-- phpMyAdmin SQL Dump
-- version 4.9.2
-- https://www.phpmyadmin.net/
--
-- Hôte : 127.0.0.1
-- Généré le :  Dim 24 mai 2020 à 01:26
-- Version du serveur :  10.4.11-MariaDB
-- Version de PHP :  7.4.1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `bugtracker`
--

DELIMITER $$
--
-- Fonctions
--
DROP FUNCTION IF EXISTS `get_issue_resolved_status_threshold`$$
CREATE DEFINER=`root`@`localhost` FUNCTION `get_issue_resolved_status_threshold` (`bug_id` INT) RETURNS INT(11) BEGIN
   DECLARE proj_id INT DEFAULT NULL;
   
   SELECT project_id INTO proj_id FROM mantis_bug_table
             WHERE id = bug_id
             LIMIT 1;
   
   RETURN get_project_resolved_status_threshold(proj_id);
END$$

DROP FUNCTION IF EXISTS `get_project_resolved_status_threshold`$$
CREATE DEFINER=`root`@`localhost` FUNCTION `get_project_resolved_status_threshold` (`proj_id` INT) RETURNS INT(11) BEGIN
   DECLARE status INT DEFAULT NULL;
   
   SELECT value INTO status FROM mantis_config_table 
          WHERE config_id = 'bug_resolved_status_threshold' 
          AND project_id = proj_id
          LIMIT 1;
   
   IF status <=> NULL THEN
      SELECT value INTO status FROM codev_config_table
             WHERE config_id = 'bug_resolved_status_threshold' 
             AND project_id = 0
             LIMIT 1;
   END IF;
   
   RETURN status;
END$$

DROP FUNCTION IF EXISTS `is_issue_in_team_commands`$$
CREATE DEFINER=`root`@`localhost` FUNCTION `is_issue_in_team_commands` (`bugid` INT, `teamid` INT) RETURNS INT(11) BEGIN
   DECLARE is_found INT DEFAULT NULL;

   SELECT COUNT(codev_command_bug_table.bug_id) INTO is_found FROM codev_command_bug_table, codev_command_table
          WHERE codev_command_table.id = codev_command_bug_table.command_id
          AND   codev_command_table.team_id = teamid
          AND   codev_command_bug_table.bug_id = bugid
          LIMIT 1;

   RETURN is_found;
END$$

DROP FUNCTION IF EXISTS `is_project_in_team`$$
CREATE DEFINER=`root`@`localhost` FUNCTION `is_project_in_team` (`projid` INT, `teamid` INT) RETURNS INT(11) BEGIN
   DECLARE is_found INT DEFAULT NULL;



   SELECT COUNT(team_id) INTO is_found FROM codev_team_project_table
          WHERE team_id = teamid
          AND   project_id = projid
          LIMIT 1;

   RETURN is_found;
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Structure de la table `codev_blog_activity_table`
--

DROP TABLE IF EXISTS `codev_blog_activity_table`;
CREATE TABLE `codev_blog_activity_table` (
  `id` int(11) NOT NULL,
  `blog_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `action` varchar(30) NOT NULL,
  `date` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Wall activity';

-- --------------------------------------------------------

--
-- Structure de la table `codev_blog_table`
--

DROP TABLE IF EXISTS `codev_blog_table`;
CREATE TABLE `codev_blog_table` (
  `id` int(11) NOT NULL,
  `date_submitted` int(11) NOT NULL,
  `src_user_id` int(11) UNSIGNED NOT NULL,
  `dest_user_id` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `dest_project_id` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `dest_team_id` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `severity` int(11) NOT NULL,
  `category` varchar(50) DEFAULT NULL,
  `summary` varchar(100) NOT NULL,
  `content` varchar(2000) DEFAULT NULL,
  `date_expire` int(11) DEFAULT NULL,
  `color` varchar(7) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Wall posts';

--
-- Déchargement des données de la table `codev_blog_table`
--

INSERT INTO `codev_blog_table` (`id`, `date_submitted`, `src_user_id`, `dest_user_id`, `dest_project_id`, `dest_team_id`, `severity`, `category`, `summary`, `content`, `date_expire`, `color`) VALUES
(1, 1526228606, 0, 0, 0, 0, 2, '3', 'Exchange messages with your team !', 'Hi,\nthis plugins allows to share notifications within the teams.\n\nExemple:\n\"The Mantis/CodevTT server will be unavailable for maintenance on May 13th\"\n\nClick <img src=\"images/b_add.png\"/> button on your right to add a message\nClick <img src=\"images/b_markAsRead.png\"/> to inform that you have read the message\nClick <img src=\"images/b_ghost.png\"/> to hide the message', 0, '0');

-- --------------------------------------------------------

--
-- Structure de la table `codev_commandset_cmd_table`
--

DROP TABLE IF EXISTS `codev_commandset_cmd_table`;
CREATE TABLE `codev_commandset_cmd_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `commandset_id` int(11) NOT NULL,
  `command_id` int(11) NOT NULL,
  `type` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_commandset_cmd_table`
--

INSERT INTO `codev_commandset_cmd_table` (`id`, `commandset_id`, `command_id`, `type`) VALUES
(1, 1, 1, 1),
(2, 1, 2, 1),
(255, 19, 250, 1),
(8, 6, 13, 1),
(63, 19, 64, 1),
(833, 112, 870, 1),
(831, 112, 846, 1),
(832, 112, 845, 1),
(253, 19, 246, 1),
(251, 19, 247, 1),
(467, 66, 466, 1),
(818, 112, 855, 1),
(586, 69, 587, 1),
(584, 69, 585, 1),
(252, 19, 245, 1),
(256, 19, 248, 1),
(458, 66, 458, 1),
(457, 66, 457, 1),
(254, 19, 249, 1),
(459, 66, 390, 1),
(289, 19, 280, 1),
(258, 19, 252, 1),
(257, 19, 251, 1),
(547, 69, 493, 1),
(260, 19, 207, 1),
(261, 19, 253, 1),
(730, 69, 749, 1),
(612, 69, 588, 1),
(290, 19, 261, 1),
(424, 19, 381, 1),
(437, 19, 439, 1),
(545, 69, 539, 1),
(439, 19, 441, 1),
(460, 66, 427, 1),
(469, 66, 467, 1),
(468, 66, 468, 1),
(463, 66, 207, 1),
(464, 66, 428, 1),
(538, 69, 522, 1),
(539, 69, 471, 1),
(540, 69, 527, 1),
(541, 69, 460, 1),
(542, 69, 387, 1),
(543, 69, 431, 1),
(544, 69, 462, 1),
(560, 69, 536, 1),
(574, 69, 572, 1),
(661, 66, 661, 1),
(699, 69, 693, 1),
(732, 112, 753, 1),
(733, 112, 751, 1),
(734, 112, 754, 1),
(753, 69, 766, 1),
(754, 112, 774, 1),
(755, 112, 775, 1),
(772, 112, 797, 1),
(873, 112, 915, 1),
(885, 112, 806, 1),
(886, 69, 626, 1),
(950, 112, 1042, 1),
(990, 112, 1091, 1),
(991, 112, 987, 1),
(992, 112, 1043, 1),
(1025, 177, 1130, 1),
(1029, 177, 1134, 1),
(1062, 177, 1176, 1),
(1066, 177, 1186, 1);

-- --------------------------------------------------------

--
-- Structure de la table `codev_commandset_table`
--

DROP TABLE IF EXISTS `codev_commandset_table`;
CREATE TABLE `codev_commandset_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(100) NOT NULL,
  `reference` varchar(64) DEFAULT NULL,
  `date` int(11) UNSIGNED DEFAULT NULL,
  `team_id` int(11) NOT NULL,
  `state` int(11) UNSIGNED DEFAULT NULL,
  `budget` int(11) DEFAULT NULL,
  `budget_days` int(11) DEFAULT NULL,
  `currency` varchar(3) DEFAULT 'EUR',
  `description` varchar(500) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_commandset_table`
--

INSERT INTO `codev_commandset_table` (`id`, `name`, `reference`, `date`, `team_id`, `state`, `budget`, `budget_days`, `currency`, `description`) VALUES
(1, 'CommantSet_1', 'Ref_1', NULL, 2, NULL, NULL, NULL, 'EUR', 'fake description...'),
(2, 'CommantSet_2', 'Ref_2', NULL, 4, NULL, NULL, NULL, 'EUR', 'fake description...'),
(6, 'CommantSet_6', 'Ref_6', 1375048800, 7, NULL, 2812900, 6800, 'EUR', 'fake description...'),
(19, 'CommantSet_19', 'Ref_19', NULL, 20, NULL, NULL, NULL, 'EUR', 'fake description...'),
(66, 'CommantSet_66', 'Ref_66', NULL, 20, NULL, NULL, NULL, 'EUR', 'fake description...'),
(69, 'CommantSet_69', 'Ref_69', NULL, 20, NULL, NULL, NULL, 'EUR', 'fake description...'),
(112, 'CommantSet_112', 'Ref_112', NULL, 20, NULL, NULL, NULL, 'EUR', 'fake description...'),
(177, 'CommantSet_177', 'Ref_177', 1514761200, 20, NULL, NULL, NULL, 'EUR', 'fake description...');

-- --------------------------------------------------------

--
-- Structure de la table `codev_command_bug_table`
--

DROP TABLE IF EXISTS `codev_command_bug_table`;
CREATE TABLE `codev_command_bug_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `command_id` int(11) NOT NULL,
  `bug_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_command_bug_table`
--

INSERT INTO `codev_command_bug_table` (`id`, `command_id`, `bug_id`) VALUES
(1, 1, 8),
(2, 1, 9),
(3, 1, 10),
(4, 1, 11),
(5, 1, 12),
(6, 1, 13),
(7, 1, 14),
(8, 1, 15),
(9, 1, 16),
(10, 1, 17),
(65, 5, 84),
(12, 1, 19),
(13, 1, 20),
(14, 1, 21),
(15, 1, 22),
(16, 1, 23),
(17, 1, 24),
(18, 1, 25),
(19, 1, 26),
(20, 1, 27),
(21, 1, 28),
(22, 1, 29),
(23, 1, 30),
(24, 1, 31),
(25, 1, 32),
(26, 1, 33),
(27, 1, 34),
(28, 1, 35),
(29, 1, 36),
(30, 1, 37),
(31, 1, 38),
(32, 1, 39),
(33, 1, 40),
(34, 1, 41),
(35, 1, 42),
(36, 1, 43),
(37, 1, 44),
(38, 1, 45),
(39, 1, 46),
(40, 1, 47),
(41, 2, 56),
(42, 2, 57),
(43, 2, 58),
(44, 2, 59),
(45, 2, 60),
(46, 2, 61),
(47, 2, 62),
(48, 2, 63),
(49, 2, 64),
(50, 2, 65),
(51, 2, 66),
(52, 2, 67),
(53, 2, 68),
(54, 2, 69),
(55, 2, 70),
(56, 2, 71),
(57, 2, 72),
(58, 2, 73),
(59, 2, 74),
(60, 2, 75),
(61, 2, 76),
(62, 2, 77),
(63, 2, 78),
(64, 2, 79),
(66, 2, 85),
(67, 1, 128),
(68, 1, 129),
(110, 2, 130),
(111, 2, 131),
(112, 2, 132),
(113, 2, 133),
(114, 2, 134),
(115, 2, 135),
(116, 2, 136),
(117, 2, 137),
(118, 2, 138),
(119, 2, 139),
(120, 2, 140),
(123, 2, 145),
(134, 1, 156),
(135, 1, 157),
(136, 1, 158),
(137, 1, 159),
(138, 1, 160),
(139, 1, 161),
(140, 1, 162),
(141, 1, 163),
(142, 1, 164),
(143, 1, 165),
(144, 1, 166),
(145, 2, 167),
(148, 1, 171),
(149, 2, 172),
(150, 1, 174),
(151, 1, 175),
(152, 1, 176),
(153, 1, 177),
(154, 1, 179),
(155, 1, 180),
(156, 1, 181),
(157, 1, 182),
(158, 1, 183),
(159, 1, 184),
(160, 1, 185),
(161, 1, 186),
(162, 2, 187),
(163, 2, 188),
(164, 2, 189),
(165, 1, 190),
(166, 2, 191),
(167, 2, 192),
(168, 2, 193),
(169, 2, 194),
(170, 1, 195),
(171, 2, 196),
(172, 1, 197),
(173, 2, 198),
(174, 2, 199),
(175, 2, 200),
(176, 2, 201),
(177, 2, 202),
(178, 2, 203),
(179, 2, 204),
(180, 2, 205),
(181, 2, 206),
(182, 2, 207),
(183, 2, 208),
(184, 2, 209),
(185, 2, 210),
(186, 2, 211),
(187, 2, 212),
(188, 1, 213),
(189, 2, 214),
(190, 2, 215),
(191, 2, 216),
(192, 2, 217),
(193, 2, 218),
(194, 2, 219),
(195, 2, 220),
(196, 2, 222),
(197, 2, 223),
(198, 2, 224),
(199, 2, 226),
(200, 2, 227),
(201, 2, 228),
(202, 2, 236),
(203, 2, 238),
(204, 2, 253),
(205, 1, 260),
(206, 1, 262),
(207, 1, 263),
(208, 1, 264),
(209, 1, 265),
(210, 1, 268),
(211, 2, 269),
(244, 2, 306),
(11771, 387, 11019),
(18253, 539, 14791),
(3095, 63, 1431),
(18066, 539, 17742),
(17658, 693, 17368),
(3826, 64, 4057),
(464, 13, 547),
(465, 13, 548),
(466, 13, 549),
(467, 13, 550),
(468, 13, 551),
(469, 13, 552),
(470, 13, 553),
(471, 13, 554),
(472, 13, 555),
(473, 13, 556),
(474, 13, 557),
(475, 13, 558),
(476, 13, 559),
(477, 13, 560),
(478, 13, 561),
(479, 13, 562),
(480, 13, 563),
(481, 13, 564),
(482, 13, 565),
(483, 13, 566),
(484, 13, 567),
(485, 13, 568),
(486, 13, 569),
(487, 13, 570),
(488, 13, 571),
(489, 13, 572),
(490, 13, 573),
(491, 13, 574),
(492, 13, 575),
(493, 13, 576),
(494, 13, 577),
(495, 13, 578),
(496, 13, 579),
(1703, 63, 1864),
(1701, 63, 1862),
(1948, 63, 2121),
(14761, 539, 14329),
(14759, 0, 14289),
(14751, 0, 14281),
(2963, 63, 2133),
(4109, 280, 2132),
(2960, 64, 3144),
(1697, 63, 1858),
(1705, 63, 1866),
(1706, 63, 1867),
(1707, 63, 1868),
(1708, 63, 1869),
(1709, 63, 1870),
(1710, 63, 1871),
(1715, 63, 1876),
(1716, 63, 1877),
(18065, 539, 17741),
(18064, 539, 17740),
(18063, 539, 17739),
(19594, 0, 19065),
(18067, 0, 17743),
(18201, 0, 17858),
(18200, 806, 17855),
(18199, 806, 17850),
(18198, 806, 17849),
(18197, 806, 17848),
(18056, 0, 17734),
(18055, 0, 17733),
(18192, 0, 17850),
(18191, 0, 17849),
(18190, 0, 17848),
(18189, 806, 17847),
(18188, 0, 17847),
(18187, 0, 17846),
(18186, 0, 17845),
(19156, 855, 18662),
(19018, 0, 18531),
(18132, 539, 17791),
(14748, 0, 14278),
(14700, 0, 14269),
(14696, 522, 14267),
(14695, 0, 14266),
(14694, 0, 14265),
(14693, 693, 14264),
(14692, 693, 14263),
(14691, 693, 14262),
(14690, 693, 14261),
(14689, 693, 14260),
(15351, 693, 15165),
(17671, 0, 17381),
(17660, 751, 17370),
(17727, 751, 17422),
(17723, 693, 17418),
(17722, 693, 17417),
(17772, 0, 17467),
(17763, 855, 17454),
(17776, 0, 17471),
(17721, 693, 17416),
(17720, 693, 17415),
(17717, 693, 17414),
(17716, 806, 17413),
(17715, 806, 17412),
(17737, 539, 17432),
(17764, 855, 17453),
(18997, 846, 17452),
(18996, 846, 17451),
(17760, 845, 17450),
(17756, 693, 17449),
(19154, 846, 18660),
(17754, 693, 17447),
(17753, 0, 17446),
(14682, 0, 14258),
(17791, 0, 17475),
(14681, 0, 14257),
(17582, 0, 17293),
(17581, 693, 17292),
(17882, 0, 17579),
(19986, 0, 19415),
(18168, 0, 17827),
(17736, 539, 17431),
(17735, 539, 17430),
(17734, 539, 17429),
(17733, 539, 17428),
(17732, 539, 17427),
(17731, 539, 17426),
(17730, 539, 17425),
(17729, 539, 17424),
(17694, 0, 17401),
(17695, 855, 17401),
(17672, 751, 17382),
(17590, 845, 17301),
(17589, 845, 17300),
(17588, 845, 17299),
(17585, 0, 17296),
(4082, 64, 4310),
(4081, 64, 4313),
(4074, 249, 2810),
(4716, 252, 4326),
(4073, 249, 2814),
(4072, 249, 2817),
(4715, 252, 4325),
(3645, 247, 2835),
(13189, 471, 5726),
(4080, 64, 4312),
(4079, 64, 4311),
(4107, 245, 4336),
(2967, 63, 1448),
(4104, 280, 4333),
(4712, 280, 4309),
(4711, 280, 4308),
(4710, 280, 3689),
(4100, 280, 4329),
(4099, 280, 4328),
(4098, 280, 4327),
(4709, 280, 3688),
(3646, 247, 3823),
(4094, 280, 4323),
(8011, 247, 2897),
(8010, 247, 2383),
(2682, 63, 2849),
(2686, 63, 2853),
(17947, 539, 17633),
(17484, 539, 17211),
(18167, 0, 17826),
(17821, 0, 17519),
(8032, 64, 8132),
(8031, 64, 8131),
(8018, 457, 8129),
(4708, 280, 3687),
(4093, 280, 4322),
(4706, 280, 3541),
(4071, 249, 2904),
(4092, 280, 4321),
(4070, 249, 2909),
(4069, 249, 2906),
(2738, 63, 2912),
(17541, 774, 16935),
(17540, 774, 16811),
(17539, 774, 16794),
(17538, 774, 17252),
(17537, 774, 17253),
(17536, 774, 17254),
(17535, 797, 17254),
(17534, 797, 17253),
(4713, 252, 3686),
(8038, 253, 3708),
(8039, 253, 3709),
(15906, 693, 14717),
(15911, 693, 14718),
(17547, 539, 17258),
(17959, 693, 17170),
(8014, 247, 2900),
(4091, 280, 4320),
(2968, 63, 1449),
(2969, 63, 2779),
(15806, 693, 14251),
(15905, 693, 14253),
(15910, 693, 14252),
(15904, 693, 14249),
(15909, 693, 14248),
(17827, 0, 17523),
(17826, 693, 17522),
(17659, 693, 17369),
(8006, 253, 3455),
(3641, 249, 3465),
(3825, 261, 4056),
(8013, 247, 2899),
(8012, 247, 2898),
(15903, 693, 14247),
(15908, 693, 14246),
(3648, 64, 3898),
(3647, 247, 3897),
(3643, 247, 2819),
(7336, 381, 6496),
(15760, 0, 15397),
(8005, 245, 3480),
(8007, 247, 3084),
(15914, 693, 15196),
(4705, 280, 3624),
(3633, 247, 3543),
(3634, 247, 3544),
(3282, 64, 3545),
(3283, 64, 3546),
(3284, 63, 3547),
(17714, 693, 17411),
(17533, 797, 17252),
(17532, 539, 17251),
(17517, 0, 17243),
(17515, 0, 17242),
(18054, 775, 17730),
(18053, 0, 17729),
(15916, 693, 15195),
(3351, 207, 3615),
(4090, 280, 4319),
(4112, 64, 4209),
(4087, 280, 3542),
(8044, 460, 5406),
(8043, 460, 5405),
(3472, 64, 3733),
(3473, 64, 3735),
(3474, 64, 3736),
(14659, 0, 14240),
(14658, 0, 14239),
(3555, 64, 3819),
(3563, 64, 3826),
(15745, 0, 15380),
(3562, 64, 3825),
(3564, 64, 3827),
(3565, 64, 3828),
(3567, 64, 3830),
(3568, 64, 3831),
(3569, 64, 3832),
(12029, 471, 7495),
(3619, 64, 3880),
(3627, 64, 3891),
(3628, 64, 3892),
(3629, 64, 3893),
(3630, 64, 3894),
(3631, 64, 3895),
(3632, 64, 3896),
(3673, 249, 3454),
(3672, 249, 3453),
(3671, 249, 3335),
(3649, 64, 3899),
(3650, 64, 3900),
(3651, 64, 3901),
(3652, 64, 3902),
(3653, 64, 3903),
(3654, 64, 3904),
(4089, 280, 4318),
(3656, 64, 3905),
(3657, 245, 3698),
(3658, 245, 3731),
(3659, 245, 3734),
(3660, 64, 3906),
(3661, 253, 3888),
(3662, 253, 3889),
(3663, 253, 3890),
(4704, 251, 4843),
(3665, 246, 3737),
(3666, 253, 3738),
(3667, 246, 3824),
(4703, 251, 4844),
(3669, 249, 3690),
(3674, 245, 3907),
(3675, 245, 3908),
(3676, 207, 3910),
(3677, 245, 3909),
(3678, 64, 3911),
(3679, 64, 3912),
(4130, 64, 4345),
(3681, 64, 3914),
(3682, 64, 3915),
(3683, 64, 3916),
(3694, 64, 3926),
(3722, 245, 3941),
(3721, 64, 3940),
(3723, 245, 3942),
(3724, 253, 3943),
(3736, 249, 3967),
(3737, 64, 3968),
(3738, 64, 3969),
(3739, 64, 3970),
(3973, 245, 4208),
(3823, 64, 4054),
(3824, 64, 4055),
(3827, 64, 4058),
(3828, 64, 4059),
(3829, 64, 4060),
(3920, 64, 4151),
(3910, 64, 4141),
(3911, 64, 4142),
(4700, 64, 4845),
(3913, 64, 4144),
(3914, 64, 4145),
(3915, 64, 4146),
(3916, 64, 4147),
(3917, 64, 4148),
(17139, 693, 16847),
(17994, 0, 17671),
(3928, 64, 4159),
(4129, 64, 4344),
(4007, 247, 4244),
(4008, 247, 4245),
(4009, 247, 4246),
(4019, 64, 4255),
(4066, 249, 4307),
(4022, 64, 4262),
(4023, 64, 4263),
(4024, 64, 4264),
(4025, 64, 4265),
(4027, 64, 4267),
(4028, 64, 4268),
(4029, 64, 4269),
(4030, 64, 4270),
(4031, 64, 4271),
(4032, 64, 4272),
(4033, 64, 4273),
(4065, 249, 4306),
(4035, 64, 4275),
(4036, 64, 4276),
(4039, 64, 4279),
(4040, 64, 4280),
(4041, 64, 4281),
(4042, 64, 4282),
(11863, 587, 3888),
(4044, 64, 4284),
(4045, 64, 4285),
(4046, 64, 4286),
(4048, 64, 4288),
(4049, 64, 4289),
(4050, 64, 4290),
(4052, 64, 4292),
(4053, 64, 4293),
(4054, 64, 4294),
(4055, 64, 4295),
(4758, 64, 4889),
(4058, 64, 4298),
(13806, 587, 4299),
(4062, 64, 4302),
(4131, 64, 4346),
(4132, 64, 4347),
(4133, 246, 4348),
(4149, 261, 4364),
(4150, 261, 4365),
(4151, 261, 4366),
(4156, 64, 4370),
(4157, 64, 4371),
(4171, 64, 4385),
(14605, 0, 14189),
(17984, 0, 17664),
(17981, 0, 17662),
(24782, 0, 23880),
(17972, 0, 17653),
(17971, 0, 17652),
(4254, 247, 4456),
(4247, 253, 4455),
(4246, 253, 4454),
(17960, 0, 17646),
(17958, 806, 17645),
(17957, 806, 17644),
(17885, 693, 17582),
(17884, 693, 17581),
(17879, 0, 17577),
(17951, 751, 17638),
(19248, 753, 18755),
(4697, 280, 2820),
(4698, 280, 2120),
(4435, 245, 4623),
(4497, 248, 4681),
(4498, 248, 4682),
(4499, 245, 4683),
(4500, 64, 4684),
(17870, 0, 17575),
(17869, 751, 17574),
(17868, 751, 17573),
(17867, 751, 17572),
(17866, 751, 17571),
(4570, 251, 4718),
(4567, 64, 4715),
(4571, 251, 4719),
(4595, 64, 4745),
(4647, 261, 4798),
(5035, 245, 5216),
(5034, 245, 5215),
(5033, 245, 5214),
(5032, 280, 5213),
(4695, 251, 4590),
(4696, 251, 4589),
(4699, 280, 2821),
(4718, 252, 4331),
(4719, 252, 4332),
(4733, 64, 4864),
(4734, 64, 4865),
(4735, 64, 4866),
(4736, 252, 4867),
(4737, 252, 4868),
(4738, 252, 4869),
(4739, 252, 4870),
(7566, 64, 7702),
(4744, 252, 4875),
(4745, 252, 4876),
(4752, 280, 4883),
(4753, 280, 4884),
(4754, 251, 4885),
(4755, 251, 4886),
(4757, 64, 4888),
(4759, 251, 4890),
(4760, 251, 4891),
(4761, 64, 4881),
(4762, 64, 4882),
(4790, 64, 4918),
(4806, 251, 4934),
(4807, 251, 4935),
(4808, 251, 4936),
(4809, 251, 4937),
(4810, 64, 4938),
(4812, 64, 4940),
(4818, 64, 4944),
(4829, 64, 4955),
(4830, 245, 4956),
(4831, 245, 4957),
(4832, 245, 4958),
(4833, 64, 4959),
(4835, 64, 4960),
(4838, 64, 4963),
(4839, 64, 4964),
(4846, 64, 4972),
(4847, 64, 4973),
(4848, 64, 4974),
(17950, 539, 17637),
(17865, 751, 17570),
(4860, 64, 4986),
(4861, 64, 4987),
(17137, 693, 16845),
(4889, 64, 5016),
(4893, 280, 5020),
(4894, 64, 5021),
(4895, 64, 5022),
(4896, 64, 5023),
(4897, 249, 5024),
(4898, 249, 5025),
(4910, 64, 5037),
(17948, 539, 17634),
(17864, 0, 17569),
(4955, 245, 5083),
(4969, 64, 5097),
(4970, 64, 5098),
(4971, 64, 5099),
(10019, 462, 9511),
(10018, 462, 9510),
(10015, 462, 9494),
(10017, 462, 9495),
(10016, 462, 9496),
(5049, 64, 5229),
(5080, 64, 5263),
(8774, 460, 8563),
(5181, 64, 5358),
(5096, 64, 5280),
(5187, 64, 5362),
(5180, 64, 5357),
(5113, 251, 5297),
(5114, 261, 5298),
(5157, 245, 5341),
(5158, 245, 5342),
(5159, 245, 5343),
(5168, 64, 5344),
(5171, 64, 5348),
(5177, 251, 5354),
(5183, 250, 5360),
(5184, 250, 5361),
(7512, 441, 7643),
(7513, 64, 7644),
(17136, 693, 16844),
(7511, 441, 7642),
(7537, 64, 7486),
(5238, 250, 5413),
(5239, 250, 5414),
(5241, 250, 5416),
(5258, 250, 5433),
(5280, 64, 5457),
(5378, 250, 5526),
(5379, 250, 5527),
(5380, 250, 5528),
(5426, 64, 5570),
(11766, 585, 5536),
(5421, 64, 5564),
(5472, 252, 5615),
(5473, 252, 5618),
(5474, 64, 5619),
(5486, 64, 5630),
(17863, 0, 17568),
(18413, 751, 18009),
(17858, 0, 17559),
(17857, 0, 17558),
(17850, 0, 17546),
(13848, 0, 13311),
(5561, 252, 5617),
(5562, 252, 5616),
(5568, 252, 5710),
(9108, 387, 8804),
(5574, 250, 5716),
(5575, 250, 5717),
(5576, 250, 5718),
(5577, 250, 5719),
(5578, 250, 5720),
(5579, 250, 5721),
(5580, 250, 5722),
(5581, 250, 5723),
(5582, 250, 5724),
(13188, 587, 5726),
(5585, 64, 5727),
(9979, 471, 5728),
(5587, 64, 5729),
(5588, 64, 5730),
(5981, 64, 6129),
(5985, 64, 6133),
(5984, 64, 6132),
(5983, 64, 6131),
(5992, 64, 6141),
(5986, 64, 6134),
(5987, 64, 6135),
(5988, 64, 6136),
(5990, 64, 6138),
(5991, 64, 6139),
(6005, 252, 6154),
(6034, 64, 6185),
(6036, 64, 6187),
(6038, 64, 6190),
(6041, 250, 5434),
(6935, 250, 7109),
(6936, 64, 7110),
(6937, 64, 7112),
(5915, 280, 6066),
(5952, 261, 6103),
(6100, 64, 6256),
(6101, 252, 6257),
(6102, 64, 6258),
(6115, 64, 6271),
(8775, 460, 8562),
(6123, 252, 6285),
(6124, 252, 6286),
(6132, 64, 6294),
(6133, 64, 6295),
(6134, 251, 6296),
(6135, 64, 6298),
(6136, 64, 6299),
(6142, 64, 6305),
(6143, 64, 6306),
(6317, 250, 6477),
(6326, 64, 6486),
(6331, 64, 6491),
(6334, 381, 4330),
(6335, 381, 6274),
(6336, 381, 6275),
(6337, 381, 6494),
(6338, 381, 6495),
(6339, 381, 6197),
(6340, 381, 6198),
(6448, 381, 6272),
(7199, 381, 7191),
(7509, 64, 7641),
(6447, 381, 6273),
(6404, 250, 6566),
(6769, 252, 6932),
(6443, 64, 6615),
(6444, 381, 6616),
(6445, 381, 6617),
(6446, 64, 6618),
(6468, 64, 6640),
(16363, 0, 16071),
(7272, 431, 7379),
(7271, 431, 7378),
(18119, 846, 17581),
(20511, 754, 19834),
(18381, 539, 18061),
(18099, 753, 17762),
(18094, 774, 17759),
(18093, 749, 17758),
(18092, 0, 17757),
(6544, 248, 6720),
(6953, 245, 6741),
(6566, 390, 6742),
(6567, 390, 6743),
(6568, 390, 6744),
(6569, 390, 6745),
(6570, 390, 6746),
(6571, 390, 6747),
(6572, 390, 6748),
(6573, 390, 6749),
(6619, 64, 6772),
(6765, 381, 6927),
(6766, 381, 6929),
(6767, 381, 6930),
(6768, 381, 6931),
(6837, 250, 7008),
(6838, 251, 7021),
(6887, 64, 7067),
(6888, 64, 7068),
(7270, 431, 7195),
(6890, 64, 7071),
(6891, 250, 7072),
(7934, 458, 7113),
(7933, 458, 7114),
(8379, 458, 8362),
(8378, 458, 7796),
(6942, 428, 7117),
(6943, 428, 7118),
(13500, 0, 12847),
(6945, 428, 7120),
(6946, 64, 7121),
(6951, 64, 6928),
(6952, 64, 7005),
(6954, 64, 6826),
(6956, 64, 7111),
(9255, 458, 8926),
(7026, 64, 7193),
(7269, 431, 7194),
(7268, 431, 7070),
(7075, 64, 7242),
(7076, 64, 7243),
(10764, 522, 8840),
(9129, 493, 8839),
(7197, 381, 7192),
(7196, 381, 7369),
(7267, 431, 6662),
(7266, 431, 6656),
(7220, 64, 7393),
(7221, 64, 7394),
(7667, 64, 7558),
(7244, 249, 7418),
(7245, 250, 7419),
(7246, 250, 7420),
(7247, 250, 7421),
(7248, 250, 7422),
(7249, 250, 7423),
(7250, 250, 7424),
(7253, 250, 7425),
(7255, 431, 7427),
(7256, 431, 7428),
(7257, 431, 7429),
(7258, 251, 7430),
(7273, 431, 7380),
(7274, 431, 7381),
(7334, 250, 7496),
(7335, 249, 3467),
(7337, 381, 6497),
(7338, 431, 7377),
(7340, 252, 7148),
(7342, 251, 6969),
(7343, 251, 6968),
(7344, 250, 6965),
(7345, 248, 6284),
(7346, 251, 6210),
(7347, 439, 6188),
(7348, 251, 6180),
(7349, 248, 6179),
(7350, 439, 6067),
(7351, 248, 6058),
(7352, 245, 6036),
(7353, 251, 6022),
(7354, 252, 6021),
(7355, 252, 5516),
(7356, 245, 5453),
(7357, 248, 5412),
(7358, 245, 5407),
(7359, 253, 5345),
(7360, 251, 5279),
(7361, 251, 5232),
(7362, 245, 4657),
(7363, 245, 4624),
(7364, 280, 4260),
(7365, 245, 4259),
(7366, 64, 7498),
(8415, 458, 7556),
(7913, 457, 7655),
(8182, 462, 7814),
(7494, 64, 7626),
(7497, 64, 7629),
(7498, 64, 7630),
(7522, 427, 7653),
(7523, 427, 7654),
(7524, 427, 7655),
(7525, 427, 7656),
(7929, 458, 7657),
(7528, 427, 7659),
(7530, 64, 6970),
(7531, 64, 7660),
(7532, 64, 7661),
(8181, 462, 7813),
(7567, 441, 7703),
(7568, 441, 7704),
(7570, 441, 7707),
(7571, 441, 7708),
(7616, 64, 7754),
(7620, 261, 7758),
(7648, 64, 7794),
(7649, 64, 7795),
(7651, 64, 7797),
(7652, 64, 7798),
(7666, 64, 7407),
(9145, 458, 8845),
(7759, 431, 7894),
(13087, 0, 12182),
(7762, 64, 7899),
(7763, 64, 7901),
(7764, 64, 7902),
(7912, 457, 7656),
(7843, 64, 7985),
(17528, 754, 7395),
(10890, 522, 7392),
(10889, 522, 7391),
(13205, 387, 12290),
(7906, 64, 8041),
(7914, 457, 7654),
(7915, 457, 7653),
(7917, 457, 7985),
(7918, 457, 8063),
(7919, 457, 8064),
(7926, 458, 8065),
(7921, 458, 8072),
(7922, 458, 8073),
(7923, 458, 8074),
(7924, 458, 8075),
(7925, 458, 8076),
(7928, 458, 8067),
(7943, 381, 8086),
(8004, 245, 3479),
(8008, 247, 3459),
(8009, 247, 3460),
(8015, 247, 2901),
(8016, 247, 2902),
(8017, 247, 2903),
(8030, 64, 8130),
(8036, 245, 3682),
(8037, 245, 3683),
(8041, 253, 3710),
(8045, 460, 5565),
(8047, 460, 8147),
(11298, 522, 10621),
(8050, 460, 8148),
(8052, 460, 8149),
(8053, 460, 7645),
(8055, 460, 8150),
(9107, 387, 8802),
(8219, 462, 8133),
(8218, 462, 8181),
(8217, 387, 8180),
(8214, 387, 5711),
(8213, 387, 6153),
(8208, 64, 8176),
(8200, 460, 8171),
(8199, 64, 8171),
(8180, 462, 8145),
(8179, 462, 8144),
(8313, 460, 8289),
(8314, 460, 8290),
(8315, 381, 8291),
(8322, 460, 8298),
(8324, 460, 8299),
(8325, 460, 8300),
(8326, 460, 8301),
(8327, 460, 8302),
(8328, 460, 8303),
(8329, 460, 8304),
(8331, 460, 8305),
(18921, 539, 18441),
(18077, 0, 17753),
(18070, 0, 17746),
(8356, 252, 8344),
(8380, 458, 8363),
(8397, 466, 8066),
(8398, 466, 8062),
(8399, 466, 8132),
(8400, 467, 8364),
(8401, 467, 8131),
(8402, 467, 8132),
(8403, 467, 8130),
(11765, 585, 8386),
(11767, 585, 8387),
(8412, 466, 8388),
(8420, 458, 8395),
(8752, 431, 8620),
(9050, 460, 8554),
(8427, 460, 8404),
(9254, 457, 8925),
(8581, 390, 8551),
(8582, 466, 8552),
(8604, 64, 3889),
(8605, 64, 3890),
(8606, 64, 3907),
(8607, 64, 3908),
(8608, 64, 3909),
(8609, 64, 4246),
(8610, 64, 4336),
(8611, 64, 4456),
(8612, 64, 4496),
(8613, 64, 4623),
(8614, 64, 4624),
(8615, 64, 4657),
(8616, 64, 4658),
(8617, 64, 4683),
(8618, 64, 5216),
(8619, 64, 5215),
(8620, 64, 5214),
(8621, 64, 4867),
(8622, 64, 4868),
(8623, 64, 4869),
(8624, 64, 4870),
(8627, 64, 4875),
(8628, 64, 4876),
(8629, 64, 4877),
(8630, 64, 4878),
(8631, 64, 4883),
(8632, 64, 4884),
(8633, 64, 5341),
(8634, 64, 5342),
(8635, 64, 5343),
(8636, 64, 5407),
(8637, 64, 5453),
(8638, 64, 5516),
(8639, 64, 5710),
(8641, 64, 5728),
(8642, 64, 6021),
(8643, 64, 6022),
(8644, 64, 6066),
(8645, 64, 6067),
(8646, 64, 6140),
(8648, 64, 6180),
(8649, 64, 6188),
(8650, 64, 6210),
(8651, 64, 6284),
(8652, 64, 6296),
(8653, 64, 6297),
(8654, 64, 6301),
(8655, 64, 6477),
(8656, 64, 6482),
(8657, 64, 6490),
(8658, 64, 6516),
(8659, 64, 6517),
(8660, 64, 6539),
(8661, 64, 6720),
(8662, 64, 6741),
(8663, 64, 6932),
(8664, 64, 6965),
(8665, 64, 7020),
(8666, 64, 7133),
(8667, 64, 7278),
(8668, 64, 7406),
(8669, 64, 7408),
(8670, 64, 7409),
(8671, 64, 7424),
(8672, 64, 7425),
(12030, 587, 7495),
(8674, 64, 7556),
(8675, 64, 7557),
(8676, 64, 7758),
(8677, 64, 7900),
(8679, 64, 7937),
(8680, 64, 8086),
(17125, 0, 16835),
(17124, 0, 16834),
(17101, 797, 16811),
(17096, 0, 16806),
(17095, 766, 16805),
(17094, 797, 16804),
(17093, 774, 16803),
(17088, 797, 16794),
(10583, 527, 4939),
(22094, 539, 21458),
(17033, 0, 16745),
(17030, 693, 16742),
(8917, 252, 8669),
(8949, 387, 8712),
(8950, 387, 8713),
(9098, 387, 8795),
(9099, 387, 8796),
(9100, 64, 8797),
(9101, 387, 8797),
(9103, 387, 8798),
(9104, 387, 8799),
(9105, 387, 8800),
(9125, 381, 8836),
(9132, 493, 8842),
(10855, 522, 8842),
(9146, 458, 8846),
(9232, 64, 8903),
(10999, 387, 9452),
(9267, 387, 8941),
(9268, 387, 8942),
(11762, 585, 8949),
(9277, 387, 8951),
(9479, 387, 8793),
(9480, 387, 9025),
(9481, 387, 9026),
(16071, 0, 15785),
(9563, 462, 9102),
(9564, 462, 9103),
(16361, 751, 12791),
(11325, 0, 10636),
(9789, 64, 9307),
(12049, 588, 11133),
(12050, 588, 11132),
(9800, 387, 9318),
(16448, 766, 15841),
(11381, 572, 10659),
(9931, 460, 6189),
(9932, 460, 5713),
(9933, 460, 5714),
(9934, 460, 8153),
(9935, 460, 9308),
(9937, 460, 8711),
(9938, 460, 9309),
(9940, 460, 8835),
(9942, 460, 9310),
(9943, 460, 9311),
(9945, 387, 8905),
(9950, 460, 9456),
(9951, 460, 9457),
(10854, 522, 6636),
(9953, 522, 8839),
(9954, 522, 8838),
(9956, 522, 9459),
(9960, 522, 9463),
(9961, 522, 9464),
(9963, 522, 9466),
(9964, 522, 9467),
(9965, 522, 9468),
(9966, 522, 9469),
(9967, 522, 9470),
(9968, 522, 9471),
(9969, 522, 9472),
(9971, 522, 9474),
(10020, 462, 9512),
(12024, 527, 7069),
(13202, 539, 12287),
(13203, 539, 12288),
(9977, 471, 4324),
(9980, 471, 4284),
(11862, 587, 3732),
(9982, 471, 4288),
(12026, 0, 11115),
(12025, 381, 7896),
(13204, 387, 12289),
(10021, 462, 9513),
(10022, 462, 9514),
(10023, 462, 9515),
(10024, 462, 9516),
(17011, 0, 16723),
(17010, 0, 16722),
(17000, 0, 16714),
(16983, 0, 16702),
(16982, 693, 16701),
(16976, 0, 16696),
(16975, 0, 16695),
(16974, 0, 16694),
(16972, 0, 16692),
(16958, 774, 16681),
(16957, 774, 16680),
(16956, 774, 16679),
(16955, 774, 16678),
(16954, 774, 16677),
(16953, 797, 16676),
(17215, 806, 16915),
(17226, 0, 16922),
(16907, 0, 16632),
(16906, 774, 16626),
(16905, 774, 16625),
(16904, 774, 16624),
(16903, 539, 16623),
(10186, 460, 3830),
(16738, 0, 16509),
(10216, 387, 9601),
(10238, 64, 9628),
(10240, 64, 9630),
(10270, 460, 9445),
(10271, 460, 9631),
(16896, 539, 15785),
(17524, 775, 17248),
(16888, 797, 16611),
(16865, 775, 16588),
(16864, 774, 16587),
(18922, 539, 18442),
(16832, 753, 16563),
(16831, 753, 16562),
(16829, 0, 16561),
(16828, 806, 16560),
(16827, 806, 16559),
(16826, 806, 16078),
(16825, 806, 15775),
(16824, 806, 15285),
(16823, 806, 16068),
(16822, 806, 16069),
(16803, 774, 16431),
(16801, 0, 16554),
(16800, 0, 16553),
(16799, 0, 16552),
(16798, 0, 16551),
(16791, 0, 16546),
(16785, 797, 16431),
(10881, 539, 8146),
(10878, 539, 9684),
(10879, 539, 9683),
(10880, 539, 8454),
(13089, 539, 12183),
(12617, 587, 11664),
(11370, 0, 10651),
(10776, 536, 10087),
(10777, 536, 9633),
(10778, 536, 9632),
(10786, 471, 10046),
(10877, 539, 9685),
(10853, 522, 6723),
(10856, 522, 9674),
(10834, 522, 10144),
(10835, 522, 10145),
(10839, 64, 10148),
(11496, 0, 10786),
(10892, 522, 8327),
(10894, 522, 10193),
(10885, 527, 9493),
(10893, 522, 8403),
(10895, 522, 10192),
(10897, 522, 10194),
(11034, 539, 10248),
(16116, 661, 15309),
(16115, 661, 15308),
(11058, 539, 10390),
(11059, 539, 10391),
(11061, 539, 10393),
(11062, 539, 10392),
(11063, 539, 10394),
(11064, 539, 10400),
(11065, 539, 10399),
(11066, 539, 10398),
(11067, 539, 10397),
(11072, 539, 10396),
(11069, 539, 10395),
(11070, 522, 10401),
(11071, 527, 10359),
(11075, 539, 10406),
(11080, 522, 10330),
(11083, 539, 10415),
(11082, 522, 10413),
(11090, 522, 10423),
(11091, 458, 10424),
(11092, 458, 10425),
(11093, 0, 10427),
(11095, 0, 10429),
(11096, 0, 10430),
(11097, 0, 10431),
(11101, 0, 10435),
(11769, 585, 10414),
(11104, 0, 10437),
(16362, 751, 12790),
(13437, 471, 12199),
(11156, 527, 10488),
(11157, 0, 10489),
(13831, 587, 13294),
(11237, 0, 10569),
(11238, 0, 10570),
(11239, 0, 10571),
(11241, 0, 10573),
(11243, 0, 10575),
(11245, 0, 10577),
(11261, 0, 10593),
(11264, 0, 10595),
(11268, 0, 10598),
(11269, 539, 10598),
(11282, 522, 10611),
(11283, 460, 8811),
(11299, 522, 10622),
(11300, 539, 10623),
(11302, 0, 10625),
(11378, 0, 10659),
(13498, 468, 12845),
(11382, 572, 8801),
(11383, 572, 8621),
(16150, 0, 15858),
(11404, 0, 10681),
(11405, 0, 10682),
(11406, 0, 10683),
(16911, 0, 16635),
(16912, 0, 16636),
(11446, 0, 10723),
(11461, 539, 10737),
(14011, 387, 10738),
(11464, 539, 10740),
(11465, 539, 10741),
(11466, 0, 10742),
(11467, 539, 10743),
(11468, 539, 10744),
(11469, 539, 10745),
(11470, 539, 10746),
(11473, 0, 10749),
(11474, 539, 10749),
(11475, 539, 10742),
(11486, 539, 10770),
(11637, 536, 10790),
(12031, 588, 10041),
(11501, 64, 10792),
(11521, 0, 10812),
(16149, 0, 15857),
(16148, 539, 15856),
(11567, 0, 10858),
(11578, 0, 10869),
(11580, 64, 10871),
(11583, 536, 10873),
(11582, 536, 10872),
(16364, 753, 16071),
(11631, 536, 10895),
(11632, 536, 10896),
(11633, 536, 10897),
(12027, 0, 11116),
(11670, 522, 10427),
(11671, 536, 10932),
(11692, 0, 10952),
(11724, 0, 10984),
(13200, 588, 9098),
(11737, 536, 10995),
(11750, 0, 11007),
(11763, 585, 9951),
(11764, 585, 6967),
(11772, 64, 11020),
(12077, 522, 11178),
(11784, 585, 11032),
(11832, 0, 11082),
(11857, 387, 11111),
(11858, 539, 11112),
(11860, 539, 11114),
(11864, 587, 4152),
(11865, 587, 4266),
(11866, 587, 4278),
(11867, 587, 4334),
(11868, 587, 4335),
(14578, 0, 14158),
(14579, 0, 14159),
(11871, 587, 4939),
(11872, 587, 5712),
(11873, 587, 5713),
(11874, 587, 5714),
(11875, 587, 6059),
(11876, 587, 6137),
(11877, 587, 6636),
(11878, 587, 6723),
(11879, 587, 7391),
(11880, 587, 7392),
(11881, 587, 7395),
(11882, 587, 7645),
(11883, 587, 7796),
(11884, 587, 8060),
(11885, 587, 8085),
(11886, 587, 8147),
(11887, 587, 8148),
(11888, 587, 8149),
(11889, 587, 8150),
(11890, 587, 8153),
(11891, 587, 8154),
(11892, 587, 8178),
(11893, 587, 8179),
(11894, 587, 8297),
(11895, 587, 8298),
(11896, 587, 8299),
(11897, 587, 8300),
(11898, 587, 8301),
(11899, 587, 8302),
(11900, 587, 8303),
(11901, 587, 8304),
(11902, 587, 8305),
(11903, 587, 8327),
(11904, 587, 8342),
(11905, 587, 8343),
(11906, 587, 8344),
(11907, 587, 8361),
(11908, 587, 8362),
(11909, 587, 8382),
(11910, 587, 8389),
(11911, 587, 8390),
(11912, 587, 8403),
(11913, 587, 8404),
(11914, 587, 8405),
(11915, 587, 8406),
(11916, 587, 8407),
(11917, 587, 8450),
(11918, 587, 8554),
(11919, 587, 8557),
(11920, 587, 8558),
(11921, 587, 8559),
(11922, 587, 8560),
(11923, 587, 8562),
(11924, 587, 8563),
(11925, 587, 8627),
(11926, 587, 8642),
(11927, 587, 8643),
(11928, 587, 8711),
(11929, 587, 8793),
(11930, 587, 8794),
(11931, 587, 8798),
(11932, 587, 8806),
(11933, 587, 8834),
(11934, 587, 8835),
(11935, 587, 8836),
(11936, 587, 8837),
(11937, 587, 8844),
(11938, 587, 8857),
(11939, 587, 8858),
(11940, 587, 8859),
(11941, 587, 8904),
(11942, 587, 8925),
(11943, 587, 8927),
(11944, 587, 8928),
(11945, 587, 8929),
(11946, 587, 8930),
(11947, 587, 8940),
(11948, 587, 8950),
(11949, 587, 9070),
(11950, 587, 9071),
(11951, 587, 9072),
(11952, 587, 9201),
(11953, 587, 9202),
(11954, 587, 9236),
(11955, 587, 9241),
(11956, 587, 9279),
(11957, 587, 9303),
(11958, 587, 9306),
(11959, 587, 9308),
(11960, 587, 9309),
(11961, 587, 9310),
(11962, 587, 9311),
(11963, 587, 9343),
(11964, 587, 9445),
(11965, 587, 9451),
(14887, 0, 14477),
(11967, 587, 9459),
(11968, 587, 9466),
(11969, 587, 9468),
(11970, 587, 9494),
(11971, 587, 9495),
(11972, 587, 9496),
(11973, 587, 9510),
(11974, 587, 9511),
(11975, 587, 9512),
(11976, 587, 9513),
(11977, 587, 9514),
(11978, 587, 9516),
(11979, 587, 9572),
(11980, 587, 9574),
(11981, 587, 9601),
(11982, 587, 9631),
(11983, 587, 9643),
(11984, 587, 9670),
(11985, 587, 9671),
(11986, 587, 9672),
(11987, 587, 9675),
(11988, 587, 9766),
(11989, 587, 10042),
(11990, 587, 10049),
(11991, 587, 10075),
(11992, 587, 10088),
(11993, 587, 10093),
(11994, 587, 10136),
(11995, 587, 10137),
(11996, 587, 10138),
(11997, 587, 10139),
(11998, 587, 10146),
(11999, 587, 10147),
(12000, 587, 10153),
(12001, 587, 10154),
(12002, 587, 10195),
(12003, 587, 10235),
(12004, 587, 10236),
(12005, 587, 10290),
(12006, 587, 10359),
(12007, 587, 10414),
(12008, 587, 10426),
(12009, 587, 10437),
(12010, 587, 10625),
(12011, 587, 10651),
(12012, 587, 10785),
(12013, 587, 10786),
(12014, 587, 10789),
(12015, 587, 10791),
(12016, 587, 10869),
(12017, 587, 10870),
(12018, 587, 10872),
(13019, 0, 12113),
(12020, 587, 10895),
(12021, 587, 10896),
(12022, 587, 10897),
(12023, 587, 10932),
(13071, 0, 12164),
(13070, 0, 12163),
(13068, 0, 12161),
(13067, 0, 12160),
(13045, 527, 12138),
(13044, 458, 12137),
(13497, 468, 11007),
(12585, 587, 11661),
(13105, 0, 12199),
(13103, 536, 12197),
(13102, 536, 12196),
(13066, 0, 12159),
(13065, 0, 12158),
(13064, 0, 12157),
(13063, 0, 12156),
(13062, 0, 12155),
(13061, 0, 12154),
(13060, 0, 12153),
(13059, 0, 12152),
(13058, 0, 12151),
(16147, 539, 15855),
(13092, 587, 12186),
(13088, 387, 11975),
(13086, 587, 12181),
(13084, 0, 12179),
(13022, 0, 12115),
(13021, 387, 12114),
(13020, 536, 12113),
(12924, 0, 11975),
(12986, 587, 12059),
(12987, 587, 12060),
(12988, 536, 12061),
(13090, 0, 12184),
(12994, 0, 12067),
(13001, 539, 9889),
(13003, 587, 12097),
(13952, 587, 13542),
(13015, 587, 12109),
(13016, 0, 12110),
(13017, 536, 12111),
(13018, 536, 12112),
(13162, 0, 12252),
(13163, 0, 12253),
(16142, 693, 15850),
(16141, 693, 15849),
(16447, 766, 15843),
(13187, 0, 12276),
(13191, 0, 12278),
(13198, 471, 12284),
(13199, 471, 12285),
(13208, 0, 12293),
(13210, 0, 12295),
(13211, 0, 12296),
(13212, 0, 12297),
(13213, 0, 12298),
(13214, 0, 12299),
(13215, 0, 12300),
(13216, 0, 12301),
(13217, 572, 12302),
(13219, 539, 12304),
(13220, 539, 12305),
(13221, 539, 12306),
(13222, 539, 12307),
(13223, 539, 12308),
(13224, 539, 12309),
(16446, 766, 16110),
(13226, 539, 12311),
(13227, 539, 12312),
(13228, 539, 12313),
(13229, 539, 12314),
(13230, 539, 12315),
(13231, 539, 12316),
(13232, 539, 12317),
(13233, 539, 12318),
(13234, 539, 12319),
(13235, 539, 12320),
(13236, 539, 12321),
(14244, 587, 13783),
(13238, 539, 12323),
(13239, 539, 12324),
(13240, 539, 12325),
(13241, 539, 12326),
(13242, 539, 12327),
(13243, 539, 12328),
(13245, 539, 12330),
(13246, 0, 12331),
(15782, 754, 13788),
(13284, 587, 12465),
(13285, 587, 12466),
(13286, 587, 12467),
(13288, 0, 12469),
(13292, 0, 12472),
(13304, 0, 12654),
(13307, 587, 12657),
(13331, 0, 12679),
(13338, 387, 12686),
(13339, 539, 12687),
(13340, 0, 12688),
(13341, 539, 12689),
(13342, 539, 12688),
(13343, 0, 12696),
(13344, 0, 12697),
(13345, 0, 12698),
(13346, 0, 12699),
(13347, 0, 12700),
(13348, 0, 12701),
(13349, 0, 12702),
(13350, 0, 12703),
(13385, 460, 12738),
(13386, 527, 12739),
(24978, 0, 24041),
(13428, 0, 12781),
(13429, 0, 12782),
(13430, 0, 12783),
(13445, 587, 12797),
(13446, 539, 12798),
(13453, 471, 12797),
(13454, 588, 9099),
(13467, 522, 12817),
(13470, 587, 12820),
(13696, 471, 13002),
(13492, 587, 12842),
(13493, 587, 12843),
(13494, 587, 12844),
(13495, 468, 12331),
(13496, 468, 10280),
(13521, 0, 12865),
(13522, 0, 12866),
(13523, 0, 12867),
(13524, 572, 12868),
(13525, 572, 12869),
(13526, 0, 12870),
(13529, 0, 12871),
(13530, 0, 12872),
(13531, 0, 12873),
(13627, 0, 12936),
(13630, 0, 12938),
(13654, 0, 12962),
(13655, 0, 12963),
(13666, 0, 12974),
(16126, 539, 15836),
(13692, 0, 12998),
(13693, 0, 12999),
(13694, 587, 13000),
(13695, 522, 13001),
(13702, 0, 13008),
(16123, 0, 15833),
(16122, 0, 15832),
(13738, 585, 13044),
(17675, 0, 17385),
(13787, 522, 13227),
(13789, 522, 13229),
(13793, 0, 13248),
(13794, 0, 13250),
(13795, 522, 13251),
(13801, 387, 13252),
(13797, 522, 13253),
(13798, 522, 13254),
(13799, 522, 13255),
(13800, 539, 13256),
(13802, 0, 13257),
(13803, 0, 13258),
(13804, 458, 13258),
(15777, 751, 15376),
(15778, 751, 15375),
(13881, 471, 13342),
(13891, 522, 13349),
(13930, 0, 13358),
(13935, 539, 13362),
(15350, 693, 15164),
(13953, 587, 13543),
(13943, 585, 13370),
(13944, 0, 13541),
(13954, 661, 13257),
(13955, 661, 12962),
(13956, 661, 13544),
(13957, 661, 13545),
(13977, 0, 13559),
(24663, 539, 23780),
(14012, 539, 13589),
(14052, 661, 13622),
(14015, 522, 13592),
(14054, 661, 13624),
(14055, 661, 13625),
(14056, 0, 13626),
(14057, 0, 13627),
(14058, 0, 13628),
(14125, 0, 13678),
(14123, 0, 13676),
(14146, 0, 13686),
(14147, 0, 13687),
(14148, 0, 13688),
(14158, 0, 13698),
(14161, 0, 13701),
(14625, 0, 14206),
(15198, 0, 14820),
(14235, 0, 13770),
(14238, 0, 13773),
(14240, 0, 13774),
(14241, 539, 13774),
(14242, 0, 13775),
(14245, 587, 13784),
(14246, 587, 13785),
(14247, 587, 13786),
(14248, 587, 13787),
(14249, 587, 13788),
(14250, 587, 13789),
(14260, 0, 13797),
(14261, 0, 13798),
(14262, 0, 13799),
(14263, 0, 13800),
(14274, 587, 13808),
(14275, 587, 13809),
(14282, 0, 13812),
(14487, 0, 14069),
(14404, 0, 13973),
(14428, 539, 14013),
(14429, 539, 14014),
(14437, 0, 14022),
(14688, 693, 14259),
(14451, 587, 14036),
(14452, 587, 14037),
(15783, 754, 14038),
(14932, 693, 14540),
(14462, 0, 14048),
(14463, 0, 14049),
(14471, 387, 14057),
(14472, 387, 14058),
(15907, 693, 14244),
(15125, 693, 14706),
(14677, 522, 14170),
(14674, 522, 14168),
(14676, 522, 14167),
(14582, 587, 14166),
(14581, 587, 14163),
(14580, 587, 14164),
(14576, 471, 14157),
(14561, 587, 14143),
(14567, 0, 14148),
(14568, 0, 14149),
(14569, 0, 14150),
(14608, 0, 14191),
(14611, 0, 14194),
(14612, 0, 14195),
(14614, 0, 14197),
(14615, 471, 14198),
(14618, 0, 14200),
(14655, 0, 14236),
(14656, 471, 14237),
(14645, 522, 14226),
(15504, 749, 14227),
(14647, 522, 14228),
(14648, 522, 14229),
(14649, 522, 14230),
(14650, 522, 14231),
(14651, 522, 14232),
(15784, 754, 14233),
(15785, 754, 14234),
(14654, 522, 14235),
(14865, 0, 14433),
(14866, 0, 14434),
(14867, 0, 14435),
(14868, 0, 14436),
(14869, 0, 14437),
(14883, 587, 14473),
(14886, 587, 14476),
(14888, 0, 14478),
(14907, 0, 14514),
(14925, 0, 14533),
(14926, 0, 14534),
(15771, 539, 15571),
(14934, 587, 14542),
(14938, 493, 14545),
(14939, 493, 14546),
(14941, 587, 14548),
(14942, 471, 14548),
(14946, 0, 14552),
(14987, 0, 14592),
(14989, 0, 14593),
(14990, 0, 14594),
(14991, 0, 14595),
(14992, 0, 14596),
(15004, 0, 14608),
(15014, 522, 14618),
(15016, 522, 14620),
(15781, 754, 14621),
(15018, 522, 14622),
(15019, 522, 14623),
(15022, 0, 14626),
(15046, 0, 14642),
(15047, 0, 14643),
(15048, 0, 14644),
(15049, 0, 14645),
(15110, 0, 14705),
(15111, 0, 14706),
(15112, 626, 14595),
(15113, 626, 14594),
(15115, 587, 14708),
(15116, 587, 14709),
(20008, 0, 19428),
(15122, 693, 14719),
(15123, 693, 14720),
(15124, 693, 14721),
(15126, 0, 14722),
(15127, 693, 14722),
(15162, 0, 14791),
(15167, 587, 14796),
(15168, 587, 14797),
(15171, 0, 14800),
(15172, 0, 14801),
(15173, 693, 14164),
(15174, 0, 14802),
(17092, 774, 16802),
(16136, 753, 15716),
(16133, 693, 14242),
(15912, 693, 15256),
(15191, 693, 14813),
(15189, 0, 14817),
(15190, 693, 14814),
(15205, 0, 14827),
(15248, 0, 15063),
(15249, 0, 15064),
(15253, 0, 15068),
(15254, 0, 15069),
(22272, 539, 21624),
(16125, 0, 15835),
(16137, 753, 15161),
(15345, 522, 15162),
(16360, 751, 15160),
(15917, 693, 14716),
(16135, 693, 15840),
(15376, 0, 15205),
(15375, 0, 15204),
(15392, 471, 15217),
(15393, 471, 15218),
(15394, 471, 15219),
(20574, 539, 19981),
(17414, 845, 15221),
(15398, 0, 15223),
(16134, 693, 14243),
(15450, 0, 15260),
(15466, 0, 15276),
(15472, 588, 14150),
(15473, 588, 12938),
(15474, 588, 15159),
(15476, 0, 15281),
(15478, 587, 15283),
(20476, 0, 19800),
(15496, 0, 15308),
(15497, 0, 15309),
(15505, 749, 15316),
(15506, 749, 15317),
(15507, 749, 15318),
(15508, 749, 15319),
(15509, 749, 14827),
(15510, 749, 15260),
(15511, 749, 15284),
(15512, 749, 15290),
(15513, 749, 15320),
(15577, 587, 15374),
(15578, 749, 15377),
(16756, 539, 16526),
(16747, 693, 16517),
(16746, 539, 16516),
(16744, 693, 16514),
(16743, 693, 16513),
(16742, 693, 16512),
(16741, 693, 16511),
(16740, 693, 16510),
(16731, 0, 16431),
(16730, 0, 16430),
(16642, 774, 16356),
(16629, 693, 16335),
(16623, 0, 16331),
(22350, 0, 21715),
(16609, 0, 16316),
(15883, 749, 15288),
(16606, 0, 16314),
(16604, 0, 16312),
(15762, 587, 15398),
(15763, 0, 15564),
(15805, 693, 14250),
(15868, 0, 15643),
(15877, 0, 15652),
(15881, 0, 15656),
(15882, 749, 15286),
(15886, 0, 15659),
(15889, 0, 15662),
(19271, 539, 18776),
(15902, 693, 14245),
(16797, 0, 16550),
(15956, 0, 15710),
(15958, 0, 15712),
(15960, 0, 15714),
(15961, 0, 15715),
(15966, 0, 15719),
(15967, 0, 15720),
(15969, 0, 15722),
(16124, 0, 15834),
(16043, 0, 15766),
(16045, 0, 15769),
(16046, 0, 15770),
(16047, 588, 15770),
(16048, 588, 15769),
(16053, 587, 15775),
(16057, 693, 15779),
(16058, 693, 15780),
(16059, 751, 15781),
(16060, 751, 15782),
(16061, 751, 14059),
(16062, 751, 14060),
(16450, 693, 16145),
(16251, 539, 15970),
(16252, 0, 15971),
(16253, 0, 15972),
(16254, 0, 15973),
(16255, 0, 15974),
(16288, 0, 16007),
(16289, 0, 16008),
(16290, 0, 16009),
(16295, 0, 16013),
(16298, 0, 16016),
(16326, 0, 16040),
(16333, 0, 16047),
(16357, 0, 16068),
(16346, 0, 16058),
(16358, 0, 16069),
(16359, 751, 16070),
(16365, 753, 16072),
(16366, 753, 16073),
(16369, 0, 16076),
(16370, 0, 16077),
(17338, 0, 17022),
(16372, 0, 16079),
(16386, 0, 16093),
(16391, 0, 16098),
(16394, 0, 16100),
(16395, 539, 16101),
(16396, 539, 16102),
(16400, 587, 16106),
(16404, 0, 16110),
(16439, 0, 16139),
(16440, 539, 16140),
(16442, 0, 16142),
(16445, 0, 16144),
(16451, 0, 16146),
(16455, 587, 16162),
(16457, 0, 16163),
(16458, 0, 16164),
(16626, 774, 16332),
(17140, 693, 16848),
(20007, 753, 18757),
(17142, 693, 16850),
(17143, 693, 16851),
(17144, 693, 16852),
(17145, 749, 16846),
(17148, 693, 16855),
(17160, 693, 16867),
(17421, 845, 16872),
(17420, 845, 16873),
(17167, 693, 16874),
(17168, 693, 16875),
(17187, 0, 16892),
(17188, 0, 16893),
(17189, 0, 16894),
(17190, 0, 16895),
(17191, 0, 16896),
(17192, 0, 16897),
(17193, 0, 16898),
(17203, 0, 16907),
(17209, 797, 16913),
(17210, 797, 16914),
(17211, 774, 16676),
(17222, 775, 16912),
(17229, 0, 16925),
(17230, 0, 16926),
(17237, 0, 16930),
(17246, 797, 16935),
(17280, 0, 16971),
(23108, 774, 22426),
(23101, 539, 22414),
(23100, 539, 22413),
(23098, 0, 22411),
(23097, 0, 22410),
(24419, 0, 23561),
(23096, 774, 22409),
(17341, 0, 17047),
(23095, 774, 22408),
(17357, 539, 17063),
(17358, 0, 17064),
(17359, 539, 17064),
(17363, 539, 17065),
(23872, 774, 23172),
(23871, 774, 23171),
(23870, 915, 23170),
(23869, 915, 23169),
(23868, 539, 23168),
(23867, 539, 23167),
(23866, 539, 23166),
(23865, 539, 23165),
(23864, 539, 22964),
(23862, 0, 23163),
(23859, 0, 23160),
(23858, 1043, 23017),
(23857, 1043, 23016),
(23856, 0, 23159),
(17411, 539, 17133),
(17413, 751, 17142),
(17415, 845, 16806),
(17416, 774, 16551),
(17417, 845, 16551),
(17418, 845, 16624),
(17419, 845, 16677),
(17424, 845, 17145),
(17751, 539, 17444),
(18267, 0, 17917),
(18271, 0, 17921),
(18273, 751, 17923),
(18304, 0, 17955),
(18429, 774, 18091),
(18428, 775, 18090),
(18317, 846, 17967),
(18318, 846, 17968),
(18323, 766, 14712),
(18334, 0, 17983),
(18335, 0, 17984),
(18338, 693, 17987),
(18339, 693, 17988),
(18358, 775, 18008),
(18359, 0, 18009),
(18380, 774, 18059),
(18378, 0, 18028),
(18387, 0, 18067),
(18391, 0, 18070),
(18452, 855, 18114),
(18453, 855, 18115),
(18454, 855, 18116),
(18456, 855, 18118),
(18457, 855, 18119),
(18458, 0, 18120),
(18459, 0, 18121),
(20099, 846, 19501),
(18521, 774, 18180),
(20508, 539, 19832),
(18589, 0, 18222),
(18588, 0, 18221),
(18587, 0, 18220),
(18564, 0, 18198),
(18951, 774, 18473),
(18672, 0, 18223),
(18950, 0, 18472),
(19155, 855, 18661),
(19157, 855, 18663),
(18712, 0, 18242),
(18713, 774, 18243),
(18714, 774, 18244),
(18736, 0, 18267),
(18737, 0, 18268),
(18738, 0, 18269),
(18739, 0, 18270),
(18740, 0, 18271),
(18750, 0, 18279),
(18758, 774, 18287),
(18759, 774, 18288),
(18760, 774, 18289),
(18776, 0, 18304),
(20391, 0, 19758),
(18875, 774, 18401),
(18876, 774, 18402),
(18877, 539, 18403),
(18878, 539, 18404),
(18879, 539, 18405),
(18901, 0, 18425),
(18903, 0, 18427),
(18971, 870, 18488),
(18972, 754, 18489),
(18973, 754, 18490),
(18974, 754, 18491),
(18975, 870, 18492),
(18976, 870, 18493),
(19252, 915, 18718),
(18995, 754, 18511),
(18998, 774, 18512),
(18999, 846, 18512),
(19025, 774, 18535),
(19065, 0, 18575),
(19078, 0, 18586),
(19079, 846, 18587),
(19091, 0, 18601),
(19092, 753, 18601),
(19101, 915, 18610),
(19212, 753, 18720),
(19213, 753, 18721),
(19228, 0, 18735),
(19249, 753, 18756),
(19272, 539, 18777),
(19643, 846, 19106),
(19455, 846, 17746),
(19456, 846, 17747),
(19457, 775, 18964),
(19458, 855, 18965),
(19481, 0, 18987),
(19480, 0, 18986),
(19493, 0, 18998),
(19631, 0, 19100),
(19540, 539, 19042),
(19555, 539, 19043),
(19560, 539, 19044),
(19561, 539, 19045),
(19562, 539, 19046),
(19563, 539, 19047),
(19572, 539, 19048),
(19573, 539, 19049),
(19576, 539, 19051),
(19583, 539, 19054),
(19584, 539, 19055),
(19593, 539, 19064),
(19611, 539, 19081),
(19615, 539, 19085),
(19652, 0, 19114),
(19653, 846, 19115),
(19654, 539, 19116),
(19655, 539, 19117),
(19658, 774, 19118),
(19662, 0, 19123),
(19664, 0, 19147),
(19665, 0, 19148),
(19666, 0, 19149),
(19735, 0, 19228),
(20277, 539, 19712),
(19701, 751, 19196),
(19712, 0, 19206),
(19719, 0, 19212),
(19732, 0, 19225),
(19733, 0, 19226),
(19734, 0, 19227),
(19742, 774, 19235),
(19743, 774, 19236),
(19753, 0, 19246),
(19754, 0, 19247),
(19755, 0, 19248),
(19786, 0, 19277),
(19907, 870, 19342),
(19906, 870, 19341),
(19897, 0, 19331),
(19955, 539, 19386),
(19977, 0, 19408),
(19978, 0, 19409),
(19991, 0, 19418),
(19992, 0, 19419),
(19996, 775, 19421),
(19997, 846, 19422),
(19998, 846, 19423),
(19999, 754, 19424),
(20000, 846, 19425),
(20001, 0, 19426),
(20003, 693, 19420),
(20004, 0, 19427),
(20006, 753, 19427),
(20062, 0, 19481),
(20100, 846, 19502),
(20112, 539, 19513),
(20113, 539, 19514),
(20114, 539, 19515),
(20125, 0, 19550),
(20161, 855, 19599),
(20165, 775, 19604),
(20167, 754, 19606),
(20168, 693, 19603),
(20169, 753, 19607),
(20170, 774, 19607),
(20175, 693, 19370),
(20269, 754, 19705),
(20270, 846, 19706),
(20271, 693, 17448),
(20278, 539, 19713),
(20279, 539, 19714),
(20280, 0, 19715),
(20284, 0, 19719),
(20510, 870, 10088),
(20813, 539, 20210),
(20431, 539, 19787),
(20430, 0, 19787),
(20429, 775, 19786),
(20428, 539, 19785),
(20404, 0, 19771),
(20403, 0, 19770),
(20379, 539, 19757),
(20378, 754, 19756),
(20377, 754, 19755),
(20376, 846, 19754),
(20509, 754, 19833),
(20812, 539, 20209),
(20811, 539, 20208),
(20533, 774, 19884),
(22452, 774, 21796),
(20559, 539, 19968),
(20576, 539, 19983),
(20575, 539, 19982),
(20577, 539, 19984),
(20578, 539, 19985),
(20579, 0, 19987),
(20601, 0, 20009),
(20841, 539, 20238),
(20840, 539, 20237),
(20784, 539, 20182),
(20783, 539, 20181),
(20782, 539, 20180),
(20781, 539, 20179),
(21242, 0, 20606),
(22596, 915, 21917),
(20937, 775, 20324),
(20943, 0, 20330),
(20944, 0, 20331),
(20946, 0, 20333),
(20948, 0, 20335),
(20952, 0, 20339),
(20961, 870, 14710),
(21060, 0, 20425),
(21062, 775, 20427),
(21063, 774, 20429),
(21064, 539, 20430),
(21065, 539, 20431),
(21071, 0, 20437),
(21076, 855, 20441),
(21077, 855, 20442),
(21078, 855, 20443),
(21079, 855, 20444),
(21080, 754, 20445),
(21081, 774, 20446),
(21084, 754, 20449),
(21085, 754, 20450),
(21086, 754, 20451),
(21096, 0, 20461),
(21097, 539, 20462),
(21119, 0, 20483),
(21197, 846, 20561),
(21198, 539, 20562),
(21199, 539, 20563),
(21200, 539, 20564),
(21234, 754, 20598),
(21235, 754, 20599),
(21253, 0, 20615),
(21282, 774, 20645),
(21283, 774, 20646),
(21279, 539, 20642),
(21278, 539, 20641),
(21277, 539, 20640),
(21322, 539, 20680),
(21323, 539, 20681),
(21324, 539, 20682),
(21325, 754, 20683),
(21356, 539, 14049),
(21357, 0, 20713),
(23849, 539, 23149),
(23465, 1091, 19872),
(23464, 1091, 19871),
(23463, 1091, 22048),
(23462, 1091, 22047),
(23586, 1091, 22788),
(23460, 1043, 22787),
(23459, 1043, 22786),
(23458, 539, 22785),
(23447, 539, 22767),
(23446, 539, 22766),
(23445, 539, 22765),
(23444, 539, 22764),
(23443, 539, 22763),
(21450, 0, 20800),
(22018, 0, 21344),
(22251, 751, 20486),
(22250, 751, 20485),
(22248, 775, 21603),
(22246, 539, 21602),
(22249, 539, 21604),
(22027, 855, 21348),
(22032, 751, 21353),
(22279, 1042, 21352),
(21579, 539, 20926),
(21580, 539, 20927),
(21581, 774, 20929),
(21582, 539, 20930),
(21583, 539, 20931),
(21584, 774, 20928),
(21727, 0, 21069),
(21725, 0, 21067),
(21716, 0, 21058),
(21910, 855, 21243),
(22029, 0, 21350),
(21975, 774, 21301),
(24815, 774, 22875),
(22016, 0, 21342),
(22017, 0, 21343),
(22033, 845, 21354),
(22088, 751, 21453),
(24820, 539, 23902),
(24819, 539, 23901),
(24818, 774, 22881),
(24817, 774, 22879),
(24816, 774, 22876),
(22170, 0, 21534),
(23442, 539, 22762),
(23441, 539, 22761),
(22179, 0, 21543),
(22202, 539, 21560),
(22203, 539, 21561),
(22204, 539, 21562),
(22205, 539, 21563),
(22206, 539, 21564),
(22587, 0, 21916),
(22239, 0, 21595),
(22240, 0, 21596),
(22241, 0, 21597),
(22242, 0, 21598),
(22243, 0, 21599),
(22244, 0, 21600),
(22261, 539, 21613),
(22266, 754, 21618),
(22267, 0, 21619),
(22268, 0, 21620),
(22270, 0, 21622),
(22271, 0, 21623),
(22273, 1042, 21625),
(22274, 1042, 21626),
(22275, 1042, 21627),
(22276, 1042, 21628),
(22277, 775, 21629),
(22280, 1042, 16075),
(22282, 1043, 16849),
(22283, 775, 21630),
(22284, 0, 21631),
(22288, 987, 21634),
(22289, 987, 21635),
(22312, 1042, 21658),
(22313, 1043, 20432),
(22314, 1043, 20433),
(22315, 1043, 21659),
(22316, 1043, 21660),
(22317, 1043, 21661),
(22358, 539, 21719),
(22359, 539, 21720),
(22360, 0, 21721),
(22409, 1043, 21756),
(22410, 1043, 21757),
(22411, 1043, 21758),
(22412, 1043, 21759),
(22917, 987, 21760),
(22918, 987, 21761),
(22415, 0, 21762),
(22445, 539, 21797),
(22446, 539, 21798),
(22475, 539, 21830),
(22476, 539, 21831),
(22477, 539, 21832),
(22478, 539, 21833),
(22479, 915, 21834),
(22480, 539, 21835),
(22481, 539, 21836),
(22482, 539, 21837),
(22485, 539, 21840),
(22486, 539, 21841),
(22488, 1042, 21843),
(22489, 1042, 21844),
(23103, 539, 22424),
(23102, 774, 22423),
(22536, 539, 21891),
(22537, 539, 21892),
(22538, 753, 21893),
(22540, 774, 21895),
(22541, 1043, 21800),
(22542, 1043, 21799),
(24916, 0, 23977),
(24130, 0, 23254),
(24290, 539, 23433),
(24289, 539, 23432),
(23629, 1043, 22923),
(22701, 774, 22022),
(22921, 774, 22214),
(22729, 539, 22049),
(22730, 539, 22050),
(22731, 539, 22051),
(22896, 539, 22229),
(22899, 539, 22232),
(22907, 539, 22240),
(22913, 987, 20713),
(22914, 987, 22247),
(22915, 987, 22248),
(24134, 0, 23276),
(24131, 0, 23255),
(24132, 0, 23256),
(24124, 0, 23248),
(24829, 1134, 23243),
(24828, 1134, 22877),
(24115, 774, 23242),
(23035, 539, 22369),
(23036, 539, 22370),
(23037, 539, 22371),
(23038, 539, 22372),
(23039, 539, 22373),
(23040, 539, 22374),
(23041, 539, 22375),
(23042, 539, 22376),
(23043, 539, 22377),
(23044, 539, 22378),
(23045, 539, 22379),
(23046, 539, 22380),
(23047, 539, 22381),
(23048, 539, 22382),
(23049, 539, 22383),
(23719, 0, 23016),
(23720, 0, 23017),
(23052, 539, 22386),
(23053, 539, 22387),
(23071, 855, 22405),
(23094, 774, 22407),
(23116, 539, 22434),
(23332, 0, 22655),
(23344, 0, 22667),
(23630, 1043, 22924),
(23376, 0, 22698),
(23848, 539, 23150),
(23835, 539, 23137),
(23836, 539, 23138),
(23516, 1042, 22805),
(23517, 1043, 22806),
(23518, 1043, 22807),
(23522, 0, 22811),
(23534, 1043, 22823),
(23535, 1043, 22824),
(23536, 1043, 22825),
(23585, 539, 22874),
(23620, 1043, 22915),
(23621, 0, 22916),
(23623, 1043, 22916),
(23625, 539, 22919),
(23626, 539, 22920),
(23631, 1091, 22925),
(23632, 855, 22926),
(23634, 539, 22933),
(23636, 539, 22935),
(23637, 539, 22936),
(23638, 539, 22937),
(23639, 539, 22938),
(23640, 539, 22939),
(23641, 539, 22940),
(23642, 539, 22941),
(23643, 539, 22942),
(23644, 539, 22943),
(23645, 539, 22944),
(24831, 1134, 22945),
(24830, 1134, 22946),
(23652, 539, 22951),
(23653, 539, 22952),
(23654, 539, 22953),
(26097, 0, 25075),
(23657, 0, 22956),
(23658, 1043, 22956),
(23664, 0, 22964),
(23705, 539, 23002),
(23706, 539, 23003),
(23707, 539, 23004),
(23708, 539, 23005),
(23709, 539, 23006),
(23721, 0, 23018),
(23746, 0, 23043),
(24146, 539, 23255),
(24210, 0, 23355),
(24147, 539, 23254),
(24209, 0, 23354),
(24206, 0, 23351),
(24166, 0, 23307),
(24167, 0, 23308),
(24145, 539, 23289),
(24144, 539, 23288),
(24275, 0, 23419),
(24276, 0, 23420),
(24719, 539, 23420),
(24278, 539, 23422),
(24279, 774, 23423),
(24280, 539, 23424),
(24281, 539, 23425),
(24282, 539, 23426),
(24283, 539, 23427),
(24284, 539, 23428),
(24285, 0, 23429),
(24291, 539, 23434),
(24292, 539, 23437),
(24293, 1042, 23438),
(24309, 0, 23454),
(24310, 0, 23455),
(24311, 0, 23456),
(24351, 0, 23496),
(24353, 915, 23497),
(24354, 915, 23498),
(24400, 539, 23543),
(24402, 1042, 23545),
(24404, 0, 23547),
(24405, 0, 23548),
(24406, 0, 23549),
(24409, 0, 23551),
(24410, 0, 23552),
(24411, 0, 23553),
(24413, 0, 23555),
(24414, 539, 23556),
(24415, 539, 23557),
(24416, 0, 23558),
(24418, 0, 23560),
(24420, 539, 23562),
(24421, 539, 23563),
(24588, 0, 23729),
(24427, 539, 23569),
(24430, 0, 23572),
(24431, 0, 23573),
(24442, 0, 23583),
(25372, 0, 24400),
(25371, 0, 24399),
(25366, 0, 24394),
(25365, 0, 24393),
(25975, 0, 24967),
(26248, 0, 25227),
(25297, 0, 24328),
(24631, 0, 23749),
(24650, 539, 23767),
(24651, 1042, 23768),
(24652, 1042, 23769),
(24653, 539, 23770),
(24654, 1042, 23771),
(24655, 539, 23772),
(24656, 539, 23773),
(24657, 539, 23774),
(24658, 539, 23775),
(24659, 539, 23776),
(24660, 1042, 23777),
(24661, 1042, 23778),
(24664, 539, 23781),
(24669, 1091, 23783),
(24667, 539, 23784),
(24670, 0, 23785),
(24672, 539, 23787),
(24674, 0, 23789),
(24675, 0, 23790),
(24676, 0, 23791),
(24677, 0, 23792),
(24717, 0, 23832),
(24718, 539, 23833),
(24720, 539, 23834),
(24721, 0, 23835),
(24722, 0, 23836),
(24795, 539, 23893),
(24823, 1042, 23905),
(24824, 1042, 23906),
(24826, 915, 23908),
(24827, 915, 23909),
(24832, 1134, 23910),
(24833, 774, 23136),
(24836, 1134, 23436),
(24837, 1134, 23435),
(24838, 0, 23911),
(24839, 0, 23912),
(24843, 0, 23915),
(24884, 0, 23953),
(26179, 539, 25153),
(25716, 1043, 24753),
(25732, 1043, 24767),
(24943, 0, 23995),
(25020, 0, 24073),
(25025, 0, 24078),
(25036, 0, 24088),
(25068, 0, 24117),
(25069, 0, 24118),
(26344, 539, 25321),
(26345, 0, 25322),
(25124, 539, 24169),
(25125, 539, 24170),
(25127, 539, 24172),
(25132, 539, 23421),
(25133, 539, 24175),
(25134, 539, 24176),
(25135, 0, 24177),
(25136, 539, 24178),
(25137, 539, 24179),
(25144, 539, 24177),
(25157, 0, 24188),
(25523, 539, 24562),
(25216, 539, 24241),
(25217, 539, 24242),
(25218, 539, 24243),
(25219, 539, 24244),
(25522, 539, 24561),
(25243, 1130, 24269),
(25244, 0, 24270),
(25245, 1134, 22409),
(25246, 1134, 23136),
(25253, 0, 24276),
(25255, 0, 24278),
(25412, 0, 24440),
(25415, 539, 24443),
(25416, 539, 24444),
(25417, 539, 24445),
(25418, 539, 24446),
(25419, 1130, 24447),
(25420, 539, 24448),
(25421, 539, 24449),
(25422, 539, 24450),
(25423, 1091, 24451),
(25424, 539, 24452),
(25425, 539, 24453),
(25426, 539, 24454),
(25427, 539, 24455),
(25432, 0, 24460),
(25434, 0, 24462),
(25493, 0, 24532),
(25494, 0, 24533),
(25507, 0, 24546),
(25508, 539, 24547),
(25524, 539, 24563),
(25537, 539, 24575),
(25538, 0, 24585),
(25539, 0, 24586),
(25540, 0, 24587),
(25541, 539, 24588),
(25542, 539, 24589),
(25543, 539, 24590),
(25544, 1134, 24591),
(25545, 1134, 24592),
(25546, 539, 24593),
(25547, 539, 24594),
(25577, 0, 24622),
(25582, 0, 24627),
(25665, 539, 24707),
(25600, 0, 24648),
(25608, 0, 24656),
(25618, 0, 24663),
(25625, 539, 24670),
(25626, 539, 24671),
(25650, 539, 24693),
(25653, 539, 24696),
(25655, 539, 24698),
(25656, 539, 24699),
(25657, 539, 24700),
(25658, 539, 24701),
(25700, 1042, 24737),
(25701, 1042, 24738),
(25715, 1043, 24739),
(25703, 1043, 24740),
(25704, 1043, 24741),
(25710, 539, 24747),
(25711, 1043, 24748),
(25712, 1043, 24749),
(25717, 1043, 24754),
(25826, 539, 24838),
(25727, 0, 24762),
(25728, 0, 24763),
(25731, 0, 24766),
(25733, 1043, 24768),
(25734, 539, 24769),
(25735, 539, 24770),
(25736, 539, 24771),
(25737, 539, 24772),
(25741, 539, 24797),
(25742, 539, 24798),
(25772, 0, 24825),
(25838, 0, 24843),
(25856, 0, 24861),
(25874, 1043, 24877),
(25875, 1043, 24878),
(25887, 1043, 24890),
(25888, 1043, 24891),
(26145, 0, 25120),
(25969, 0, 24954),
(25972, 539, 24963),
(25979, 0, 24969),
(26007, 539, 24996),
(26008, 1176, 24997),
(26009, 1176, 24998),
(26010, 1130, 24997),
(26011, 1130, 24998),
(26012, 1176, 24447),
(26013, 0, 24999),
(26014, 0, 25000),
(26015, 0, 25001),
(26017, 0, 25003),
(26019, 1043, 25004),
(26020, 1043, 25005),
(26021, 1043, 25006),
(26022, 1043, 25007),
(26023, 1043, 25008),
(26024, 1043, 24911),
(26026, 0, 25010),
(26064, 539, 25043),
(26065, 1043, 25044),
(26066, 0, 25045),
(26071, 0, 25050),
(26085, 1042, 17577),
(26086, 0, 25064),
(26087, 0, 25065),
(26088, 0, 25066),
(26089, 0, 25067),
(26090, 0, 25068),
(26091, 0, 25069),
(26113, 0, 25090),
(26125, 0, 25102),
(26136, 0, 25112),
(26148, 0, 25123),
(26151, 0, 25126),
(26152, 0, 25127),
(26158, 0, 25133),
(26180, 539, 25154),
(26181, 539, 25155),
(26182, 539, 25123),
(26224, 539, 25190),
(26239, 0, 25205),
(26262, 539, 25240),
(26275, 0, 25253),
(26276, 0, 25254),
(26277, 0, 25255),
(26286, 1043, 25267),
(26287, 1043, 25268),
(26288, 0, 25269),
(26302, 1186, 21596),
(26303, 1186, 21599),
(26304, 1186, 21619),
(26305, 1186, 21620),
(26306, 0, 25283),
(26307, 0, 25284),
(26308, 0, 25285),
(26309, 0, 25286),
(26371, 0, 25346),
(26379, 539, 25354),
(26450, 0, 25419),
(26456, 0, 25425),
(26470, 539, 25437),
(26474, 0, 25441),
(26475, 0, 25442),
(26476, 0, 25443),
(26551, 0, 25521),
(26576, 1176, 25545),
(26577, 539, 25546),
(26578, 539, 25547),
(26579, 539, 25548),
(26580, 539, 25549),
(26591, 0, 25559),
(26592, 0, 25560),
(26593, 0, 25561),
(26594, 0, 25562),
(26595, 0, 25563),
(26596, 539, 25559),
(26607, 1043, 25573),
(26611, 0, 25577),
(26612, 0, 25578),
(26613, 1176, 25579),
(26614, 1176, 25580),
(26615, 1176, 25581),
(26616, 1176, 25582),
(26617, 1176, 23545),
(26618, 1176, 25005),
(26619, 1176, 25007),
(26620, 1176, 25008),
(26621, 1176, 25267);

-- --------------------------------------------------------

--
-- Structure de la table `codev_command_provision_table`
--

DROP TABLE IF EXISTS `codev_command_provision_table`;
CREATE TABLE `codev_command_provision_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `date` int(11) UNSIGNED NOT NULL,
  `command_id` int(11) NOT NULL,
  `type` tinyint(4) NOT NULL,
  `summary` varchar(128) NOT NULL,
  `budget_days` int(11) DEFAULT NULL,
  `budget` int(11) DEFAULT NULL,
  `average_daily_rate` int(11) DEFAULT NULL,
  `currency` varchar(3) DEFAULT 'EUR',
  `is_in_check_budget` tinyint(4) NOT NULL DEFAULT 0,
  `description` longtext DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_command_provision_table`
--

INSERT INTO `codev_command_provision_table` (`id`, `date`, `command_id`, `type`, `summary`, `budget_days`, `budget`, `average_daily_rate`, `currency`, `is_in_check_budget`, `description`) VALUES
(1, 1359673200, 7, 4, 'Garantie 1er trimestre', 2749, 1300000, 47290, 'EUR', 1, NULL),
(2, 1366754400, 10, 2, '', 2550, 0, 0, 'EUR', 0, NULL),
(3, 1366754400, 10, 3, '', 2475, 0, 0, 'EUR', 1, NULL),
(4, 1366754400, 10, 99, 'VSR', 500, 0, 0, 'EUR', 1, NULL),
(5, 1366754400, 10, 99, 'Montée en compétence Orchard', 2000, 0, 0, 'EUR', 1, NULL),
(6, 1366754400, 10, 99, 'Prise en charge des  SFD', 200, 0, 0, 'EUR', 0, NULL),
(7, 1366754400, 10, 99, 'Installation de l\'environnement de Recette interne', 130, 0, 0, 'EUR', 0, NULL),
(8, 1375048800, 13, 4, '', 1300, 0, 0, 'EUR', 1, NULL),
(9, 1375048800, 13, 2, '', 650, 0, 0, 'EUR', 0, NULL),
(14, 1384729200, 16, 99, 'VSR', 1000, 0, 0, 'EUR', 1, NULL),
(13, 1384729200, 16, 4, '', 1050, 0, 0, 'EUR', 1, NULL),
(15, 1395097200, 16, 99, 'Avenant 1', 500, 0, 0, 'EUR', 1, NULL),
(64, 1414623600, 79, 2, '', 500, 250000, 50000, 'EUR', 1, NULL),
(96, 1396821600, 28, 2, '', 1300, 650000, 50000, 'EUR', 1, NULL),
(97, 1403820000, 30, 2, '', 100, 49000, 49000, 'EUR', 1, NULL),
(69, 1409522400, 60, 2, '', 225, 112500, 50000, 'EUR', 1, NULL),
(62, 1404165600, 51, 5, 'WPE.004.00 Qualité', 1100, 456500, 41500, 'EUR', 1, NULL),
(63, 1413324000, 61, 2, '', 500, 250000, 50000, 'EUR', 1, NULL),
(50, 1401660000, 46, 2, 'Pilotage phase 1', 2700, 1350000, 50000, 'EUR', 0, NULL),
(54, 1404424800, 26, 2, '', 3000, 1245000, 41500, 'EUR', 0, NULL),
(60, 1985727600, 29, 5, '', 1600, 784192, 49012, 'EUR', 1, NULL),
(47, 1403820000, 30, 3, 'Interface WDD, gestion des dépendances Maven', 200, 98024, 49012, 'EUR', 1, NULL),
(42, 1403820000, 29, 2, '', 600, 294072, 49012, 'EUR', 1, NULL),
(45, 1403820000, 29, 3, '', 4550, 2230046, 49012, 'EUR', 1, NULL),
(86, 1412028000, 53, 3, '', 175, 72625, 41500, 'EUR', 1, NULL),
(99, 1413756000, 111, 2, 'Cadrage Réalisation SATURN lot 3', 500, 250000, 50000, 'EUR', 1, NULL),
(67, 1412028000, 61, 3, '', 700, 350000, 50000, 'EUR', 1, NULL),
(68, 1412805600, 88, 3, '', 500, 293250, 58650, 'EUR', 1, NULL),
(70, 1412892000, 91, 2, 'Pilotage Global & Fonctionnel', 240, 0, 0, 'EUR', 0, NULL),
(71, 1412892000, 92, 2, 'Pilotage Global & Fonctionnel', 40, 0, 0, 'EUR', 0, NULL),
(72, 1412892000, 97, 2, 'Pilotage Global & Fonctionnel', 110, 0, 0, 'EUR', 0, NULL),
(73, 1412892000, 98, 2, 'Pilotage Global & Fonctionnel', 230, 0, 0, 'EUR', 0, NULL),
(74, 1412892000, 99, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(75, 1412892000, 100, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(76, 1412892000, 101, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(77, 1412892000, 102, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(78, 1412892000, 103, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(79, 1412892000, 104, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(80, 1412892000, 105, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(81, 1412892000, 106, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(82, 1412892000, 107, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(83, 1412892000, 108, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(85, 1412892000, 109, 2, 'Pilotage Global & Fonctionnel', 100, 0, 0, 'EUR', 0, NULL),
(131, 1418252400, 192, 2, '', 40, 0, 0, 'EUR', 0, NULL),
(132, 1418252400, 193, 2, 'Provision Management 39854', 30, 0, 0, 'EUR', 0, NULL),
(134, 1418338800, 173, 2, '', 120, 0, 0, 'EUR', 0, NULL),
(92, 1414015200, 49, 2, '', 300, 0, 0, 'EUR', 0, NULL),
(94, 1414101600, 124, 2, '', 630, 0, 0, 'EUR', 0, NULL),
(95, 1419980400, 79, 3, 'Risque dérives Saturn', 975, 487500, 50000, 'EUR', 1, NULL),
(98, 1414364400, 61, 99, 'Report de tâches de Saturn lot 3 (batches) : 15j', 1500, 750000, 50000, 'EUR', 1, NULL),
(161, 1419980400, 111, 3, 'Provision fin période', 1400, 700000, 50000, 'EUR', 1, NULL),
(101, 1414537200, 132, 2, '', 70, 0, 0, 'EUR', 0, NULL),
(102, 1414537200, 134, 2, '', 180, 0, 0, 'EUR', 0, NULL),
(103, 1414537200, 136, 2, '', 140, 0, 0, 'EUR', 0, NULL),
(119, 1417561200, 113, 99, '[SCR V14.1.0.Mar] Validation/ Livraison Lot de Mars', 861, 0, 0, 'EUR', 1, NULL),
(106, 1415142000, 141, 2, '', 270, 0, 0, 'EUR', 0, NULL),
(107, 1415142000, 143, 2, '', 310, 0, 0, 'EUR', 0, NULL),
(158, 1412546400, 75, 3, 'Provisions YHY (à vérifier)', 1900, 1114350, 58650, 'EUR', 1, NULL),
(111, 1414882800, 25, 4, '', 1475, 612125, 41500, 'EUR', 1, NULL),
(112, 1414796400, 166, 99, 'Forfait Anomalie/Assisance Novembre', 790, 0, 0, 'EUR', 1, NULL),
(140, 1418338800, 159, 2, '', 160, 0, 0, 'EUR', 0, NULL),
(138, 943916400, 160, 2, '', 60, 0, 0, 'EUR', 0, NULL),
(115, 1416178800, 174, 99, 'Déplacements Lyon', 400, 200000, 50000, 'EUR', 1, NULL),
(116, 1416178800, 174, 2, '(generique) Gestion de Projet CNAF_editique', 200, 100000, 50000, 'EUR', 1, NULL),
(121, 1417388400, 175, 2, '(generique) Gestion de Projet CNAF_editique', 246, 123000, 50000, 'EUR', 1, NULL),
(214, 1427752800, 161, 2, 'Management 39175', 160, 0, 0, 'EUR', 0, NULL),
(123, 1417561200, 114, 2, '', 50, 0, 0, 'EUR', 0, NULL),
(124, 1417734000, 187, 2, 'Pilotage 38609', 200, 0, 0, 'EUR', 0, NULL),
(125, 1417734000, 179, 2, '', 200, 0, 0, 'EUR', 0, NULL),
(126, 1417993200, 171, 2, 'Provision Management 39535', 220, 0, 0, 'EUR', 0, NULL),
(127, 1417993200, 189, 2, '', 30, 0, 0, 'EUR', 0, NULL),
(128, 1413842400, 191, 99, '[Evo xxx] Validation', 230, 0, 0, 'EUR', 1, NULL),
(129, 1413842400, 191, 99, '[Evo 38914] Validation', 100, 0, 0, 'EUR', 1, NULL),
(130, 1416178800, 191, 99, '[Evo 39385] Validation', 140, 0, 0, 'EUR', 1, NULL),
(135, 1418338800, 162, 2, '', 80, 0, 0, 'EUR', 0, NULL),
(136, 1418338800, 181, 2, '', 70, 0, 0, 'EUR', 0, NULL),
(141, 1418684400, 196, 2, '', 290, 0, 0, 'EUR', 0, NULL),
(209, 1427324400, 124, 2, 'Management lot 2', 470, 0, 0, 'EUR', 0, NULL),
(143, 1418943600, 194, 3, '', 200, 145200, 72600, 'EUR', 1, NULL),
(156, 1412028000, 69, 3, 'Provisions TVX', 400, 234600, 58650, 'EUR', 1, NULL),
(160, 1419980400, 130, 3, 'Provision fin période', 2100, 871500, 41500, 'EUR', 1, NULL),
(148, 1419980400, 127, 2, 'Provision fin période', 50, 20750, 41500, 'EUR', 1, NULL),
(149, 1419980400, 128, 2, 'Provision fin période', 500, 250000, 50000, 'EUR', 1, NULL),
(150, 1419980400, 131, 2, 'Provision fin période', 1000, 415000, 41500, 'EUR', 1, NULL),
(151, 1420758000, 197, 2, 'Provision Management 39843', 110, 0, 0, 'EUR', 0, NULL),
(152, 1420758000, 209, 2, '', 70, 0, 0, 'EUR', 0, NULL),
(166, 1421708400, 215, 2, '', 150, 0, 0, 'EUR', 0, NULL),
(230, 1429048800, 273, 2, 'Management forfait', 290, 0, 0, 'EUR', 0, NULL),
(155, 1404079200, 72, 3, 'Provisions TVX', 800, 468800, 58600, 'EUR', 1, NULL),
(159, 1419980400, 211, 2, 'Cadrage (pilotage) des cycles de maintenance', 2000, 1000000, 50000, 'EUR', 1, NULL),
(162, 1419980400, 111, 3, 'Report 2803 Saturn lot 3 maj référentiel par import de fichier', 300, 150000, 50000, 'EUR', 1, NULL),
(163, 1421362800, 213, 2, 'Provision Management 40001', 0, 0, 0, 'EUR', 0, NULL),
(165, 1421103600, 201, 3, 'Risques sur les activités échanges (5j)', 500, 293250, 58650, 'EUR', 1, NULL),
(168, 943916400, 216, 2, '', 150, 0, 0, 'EUR', 0, NULL),
(173, 1423436400, 238, 99, '', 450, 0, 0, 'EUR', 1, NULL),
(174, 1420066800, 240, 99, 'Forfait SAGESS Janvier 2015', 790, 0, 0, 'EUR', 1, NULL),
(175, 1417388400, 239, 99, 'Forfait SAGESS Décembre 2014', 790, 0, 0, 'EUR', 1, NULL),
(176, 1417388400, 241, 99, 'Forfait RIBA/TAPAS Décembre 2014', 250, 0, 0, 'EUR', 1, NULL),
(177, 1420066800, 242, 99, 'RIBA/TAPAS forfait janvier 2015', 250, 0, 0, 'EUR', 1, NULL),
(178, 1423436400, 244, 2, '', 20, 0, 0, 'EUR', 1, NULL),
(179, 943916400, 203, 2, '', 200, 0, 0, 'EUR', 0, NULL),
(180, 1423436400, 232, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(208, 1427324400, 124, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(183, 1417993200, 249, 2, '39417 TAIGA / Celltick / NIC / Cas YAVUZ Caisse Bretagne ', 30, 0, 0, 'EUR', 0, NULL),
(193, 1424991600, 263, 2, '', 200, 0, 0, 'EUR', 0, NULL),
(194, 1425596400, 214, 2, '', 90, 0, 0, 'EUR', 0, NULL),
(329, 1455145200, 447, 2, 'Management Mars', 50, 0, 0, 'EUR', 0, NULL),
(207, 1427324400, 124, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(198, 1425855600, 255, 2, '', 50, 0, 0, 'EUR', 0, NULL),
(199, 1425855600, 256, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(192, 1424386800, 254, 2, '', 230, 0, 0, 'EUR', 0, NULL),
(450, 1421362800, 249, 2, '38609 - Management', 170, 0, 0, 'EUR', 0, NULL),
(451, 1421362800, 249, 4, '38609 - Guarantee (4,22+2,55) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(452, 1433109600, 249, 2, '39029 - Management', 440, 0, 0, 'EUR', 0, NULL),
(200, 1425855600, 272, 99, 'Provision forfait RIBA TAPAS', 250, 0, 0, 'EUR', 1, NULL),
(201, 943916400, 243, 99, 'Anomalies février', 540, 0, 0, 'EUR', 1, NULL),
(202, 1427752800, 220, 3, 'Provision anomalie NAP', 700, 290500, 41500, 'EUR', 1, NULL),
(203, 1427752800, 221, 3, 'Provision anomalie NCD', 625, 259375, 41500, 'EUR', 1, NULL),
(204, 1427752800, 227, 2, 'Provision double commande Saturn', 2100, 1029000, 49000, 'EUR', 1, NULL),
(205, 1427752800, 228, 2, 'Provision double commande Saturn', 2500, 1225000, 49000, 'EUR', 1, NULL),
(206, 1427324400, 287, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(211, 1427752800, 223, 2, 'Provision double commande Saturn', 1000, 415000, 41500, 'EUR', 1, NULL),
(212, 1427752800, 161, 2, 'Management 39568', 100, 0, 0, 'EUR', 0, NULL),
(213, 1427752800, 159, 2, 'Management 39568', 100, 0, 0, 'EUR', 0, NULL),
(215, 1427666400, 161, 2, 'Management 39572', 60, 0, 0, 'EUR', 0, NULL),
(216, 1427752800, 161, 2, 'Management 39863', 200, 0, 0, 'EUR', 0, NULL),
(218, 1427752800, 161, 99, '', 150, 0, 0, 'EUR', 1, NULL),
(220, 1428444000, 124, 2, 'Management 39880', 290, 0, 0, 'EUR', 0, NULL),
(221, 1428616800, 268, 2, 'management 40108', 20, 0, 0, 'EUR', 0, NULL),
(222, 1428616800, 173, 2, 'Management 39504', 80, 0, 0, 'EUR', 0, NULL),
(223, 1428616800, 209, 2, 'Management 39908', 150, 0, 0, 'EUR', 0, NULL),
(224, 1428616800, 288, 2, 'Management 40208', 380, 0, 0, 'EUR', 0, NULL),
(225, 1428616800, 262, 2, 'Management 40126', 230, 0, 0, 'EUR', 0, NULL),
(226, 1428616800, 161, 2, 'Management 39749', 70, 0, 0, 'EUR', 0, NULL),
(227, 943916400, 263, 2, 'Management 39963', 100, 0, 0, 'EUR', 0, NULL),
(228, 943916400, 281, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(229, 943916400, 281, 99, '', 100, 0, 0, 'EUR', 1, NULL),
(328, 1455145200, 447, 99, 'Other Janvier ', 350, 0, 0, 'EUR', 1, NULL),
(246, 1432850400, 310, 3, '', 2100, 1050000, 50000, 'EUR', 1, NULL),
(235, 1431640800, 288, 2, 'Suivi GAC 1.4', 700, 0, 0, 'EUR', 0, NULL),
(236, 1431640800, 277, 2, '', 620, 0, 0, 'EUR', 0, NULL),
(237, 1431640800, 319, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(238, 1431640800, 307, 2, '', 290, 0, 0, 'EUR', 0, NULL),
(239, 1431640800, 308, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(326, 1455145200, 358, 2, 'Management forfait juillet', 80, 0, 0, 'EUR', 0, NULL),
(241, 1432764000, 320, 2, '', 170, 0, 0, 'EUR', 0, NULL),
(242, 1433455200, 268, 2, 'Management 40711', 150, 0, 0, 'EUR', 0, NULL),
(243, 1433714400, 284, 2, 'Management 40138', 640, 0, 0, 'EUR', 0, NULL),
(248, 1435010400, 331, 2, 'Management 40500', 190, 0, 0, 'EUR', 0, NULL),
(247, 1434492000, 328, 2, '', 110, 0, 0, 'EUR', 0, NULL),
(250, 1435010400, 275, 2, 'Management GAC 2.0.2', 430, 0, 0, 'EUR', 0, NULL),
(251, 1435615200, 302, 2, 'Provision fin période', 550, 275000, 50000, 'EUR', 1, NULL),
(253, 1435615200, 304, 2, 'Provision fin période', 150, 75000, 50000, 'EUR', 1, NULL),
(254, 1435615200, 305, 2, 'Provision fin période', 1550, 775000, 50000, 'EUR', 1, NULL),
(256, 1438034400, 339, 2, 'Management suppression GFIA', 130, 0, 0, 'EUR', 0, NULL),
(293, 1449702000, 391, 2, '', 30, 0, 0, 'EUR', 0, NULL),
(258, 943916400, 362, 2, 'Management juillet', 110, 0, 0, 'EUR', 0, NULL),
(259, 1440108000, 263, 2, 'Management tests performance', 50, 0, 0, 'EUR', 0, NULL),
(260, 1440972000, 352, 2, 'Provision gestion de projet', 200, 90000, 45000, 'EUR', 1, NULL),
(261, 1442354400, 268, 2, 'Management Temps GC 41124', 100, 0, 0, 'EUR', 0, NULL),
(262, 1442786400, 320, 2, '', 150, 0, 0, 'EUR', 0, NULL),
(263, 1443736800, 284, 2, 'Mangement Evol 15.1.1', 200, 0, 0, 'EUR', 0, NULL),
(264, 1443736800, 268, 2, 'Management 41372', 60, 0, 0, 'EUR', 0, NULL),
(265, 1443650400, 344, 2, 'Provision fin période', 300, 124500, 41500, 'EUR', 1, NULL),
(267, 1443650400, 349, 2, 'Provision fin période', 825, 412500, 50000, 'EUR', 1, NULL),
(268, 1443650400, 348, 2, 'Provision fin période', 1100, 550000, 50000, 'EUR', 1, NULL),
(269, 1444600800, 394, 2, 'Pour lot 1', 350, 0, 0, 'EUR', 0, NULL),
(292, 1449702000, 376, 2, '', 30, 0, 0, 'EUR', 0, NULL),
(276, 1448406000, 423, 2, '', 500, 0, 0, 'EUR', 0, NULL),
(278, 1448406000, 379, 2, '', 300, 0, 0, 'EUR', 0, NULL),
(279, 1448406000, 437, 2, '', 200, 0, 0, 'EUR', 0, NULL),
(280, 1448406000, 357, 2, '', 100, 0, 0, 'EUR', 0, NULL),
(281, 1448406000, 268, 2, 'Management 41124', 100, 0, 0, 'EUR', 0, NULL),
(363, 1458082800, 424, 2, 'Management Lot 1', 190, 0, 0, 'EUR', 0, NULL),
(285, 1441058400, 337, 2, '', 300, 136800, 45600, 'EUR', 0, NULL),
(362, 1458082800, 424, 2, 'Management lot 2', 800, 0, 0, 'EUR', 0, NULL),
(288, 1449615600, 423, 2, 'Management Lot 2', 1230, 0, 0, 'EUR', 0, NULL),
(323, 1455145200, 444, 2, '', 1550, 0, 0, 'EUR', 0, NULL),
(291, 1449615600, 430, 2, '', 160, 0, 0, 'EUR', 0, NULL),
(327, 1455145200, 447, 2, 'Management Decembre', 30, 0, 0, 'EUR', 0, NULL),
(324, 1455145200, 450, 2, '', 110, 0, 0, 'EUR', 0, NULL),
(296, 1451516400, 420, 2, 'Compense la surcharge BC0094 TMA NCD ', 250, 112500, 45000, 'EUR', 1, NULL),
(297, 1451516400, 413, 2, 'Provision fin période', 475, 197125, 41500, 'EUR', 1, NULL),
(315, 1451516400, 416, 2, '', 400, 180000, 45000, 'EUR', 1, NULL),
(299, 1452207600, 409, 4, '', 300, 0, 0, 'EUR', 1, NULL),
(300, 1453762800, 464, 2, '', 340, 0, 0, 'EUR', 0, NULL),
(303, 1451948400, 473, 2, 'Management Novembre 2015', 160, 0, 0, 'EUR', 0, NULL),
(304, 1453849200, 473, 2, 'Management Mars 2015', 290, 0, 0, 'EUR', 0, NULL),
(305, 1453849200, 473, 2, 'Management Mai 2015', 100, 0, 0, 'EUR', 0, NULL),
(306, 1453849200, 473, 2, 'Management Juin 2015', 110, 0, 0, 'EUR', 0, NULL),
(307, 1453849200, 473, 2, 'Management Juillet 2015', 110, 0, 0, 'EUR', 0, NULL),
(308, 1453849200, 473, 2, 'Management Janvier 2015', 790, 0, 0, 'EUR', 0, NULL),
(309, 1453849200, 473, 2, 'Management Février 2015', 540, 0, 0, 'EUR', 0, NULL),
(310, 1453849200, 473, 2, 'Management Avril 2015', 290, 0, 0, 'EUR', 0, NULL),
(311, 1453849200, 239, 99, 'Forfait SAGESS Novembre 2014', 590, 0, 0, 'EUR', 1, NULL),
(312, 1451516400, 420, 2, 'Provision fin de période BC', 2225, 1001250, 45000, 'EUR', 1, NULL),
(313, 1451516400, 414, 2, '', 500, 225000, 45000, 'EUR', 1, NULL),
(316, 1451516400, 419, 2, '', 3350, 1507500, 45000, 'EUR', 1, NULL),
(318, 1454626800, 178, 2, 'provision tests JMETER pour 2016', 800, 348480, 43560, 'EUR', 0, NULL),
(344, 1454281200, 506, 99, 'Reporting hebdo', 1300, 0, 0, 'EUR', 1, NULL),
(345, 1454281200, 507, 99, 'Transition contractuelle', 3500, 0, 0, 'EUR', 1, NULL),
(320, 1455145200, 463, 2, 'Mangement lot avril', 200, 0, 0, 'EUR', 0, NULL),
(321, 1455145200, 496, 2, '', 200, 0, 0, 'EUR', 0, NULL),
(322, 943916400, 438, 2, 'Management Patch fevr 2016', 90, 0, 0, 'EUR', 0, NULL),
(325, 1455145200, 378, 2, 'Management ', 300, 0, 0, 'EUR', 0, NULL),
(330, 1455145200, 447, 2, 'Mangement Juillet', 80, 0, 0, 'EUR', 0, NULL),
(331, 1455145200, 447, 2, 'Management septembre', 30, 0, 0, 'EUR', 0, NULL),
(332, 1455145200, 447, 2, 'Management Octobre', 30, 0, 0, 'EUR', 0, NULL),
(333, 1455145200, 447, 2, 'Management Novembre', 30, 0, 0, 'EUR', 0, NULL),
(334, 1455145200, 447, 2, 'Management Juin', 30, 0, 0, 'EUR', 0, NULL),
(335, 1455145200, 474, 2, 'Management Février ', 30, 0, 0, 'EUR', 0, NULL),
(337, 1452034800, 474, 2, 'Management Janvier', 80, 0, 0, 'EUR', 0, NULL),
(338, 1423609200, 242, 2, 'Management Février ', 250, 0, 0, 'EUR', 0, NULL),
(339, 1455145200, 476, 2, 'Management Fevrier', 60, 0, 0, 'EUR', 0, NULL),
(340, 1455836400, 124, 2, 'Management 42234', 50, 0, 0, 'EUR', 0, NULL),
(769, 1485990000, 499, 2, '', 565, 234475, 41500, 'EUR', 1, NULL),
(343, 1454281200, 506, 99, 'Support', 1950, 0, 0, 'EUR', 1, NULL),
(348, 1457305200, 476, 2, 'Management Mars 2016', 60, 0, 0, 'EUR', 0, NULL),
(349, 1444946400, 460, 2, 'D40997 (Devis 26.3 jh)', 320, 0, 0, 'EUR', 0, NULL),
(350, 1444946400, 460, 5, 'D40997 Qualif + autre (Devis 26.3 jh)', 630, 0, 0, 'EUR', 1, NULL),
(507, 1417474800, 247, 4, '38914 - Guarantee (8,1+4,9) * 10%', 130, 0, 0, 'EUR', 1, NULL),
(506, 1417474800, 247, 2, '38914 - Management', 320, 0, 0, 'EUR', 0, NULL),
(498, 1453330800, 460, 2, '41967 - Management', 110, 0, 0, 'EUR', 0, NULL),
(497, 1457391600, 460, 4, '40409 - Guarantee (4,86+2,94) * 10%', 80, 0, 0, 'EUR', 1, NULL),
(494, 1432591200, 460, 2, '39671 - Management', 250, 0, 0, 'EUR', 0, NULL),
(495, 1432591200, 460, 4, '39671 - Guarantee (6,37+3,86) * 10%', 100, 0, 0, 'EUR', 1, NULL),
(496, 1457391600, 460, 2, '40409 - Management', 190, 0, 0, 'EUR', 0, NULL),
(364, 1456786800, 387, 2, 'Provision pilotage lot 16.0 calculé à partir des devis evolutions', 2280, 0, 0, 'EUR', 0, NULL),
(366, 1460325600, 536, 2, 'PIlotage vendu', 530, 0, 0, 'EUR', 0, NULL),
(391, 1463522400, 522, 2, 'Provision Management D42169', 180, 0, 0, 'EUR', 0, NULL),
(373, 1459288800, 479, 99, 'non consommé', 1600, 720000, 45000, 'EUR', 1, NULL),
(374, 1461189600, 525, 2, '', 550, 0, 0, 'EUR', 0, NULL),
(737, 1477954800, 693, 4, 'Provision Garantie au titre du 4804', 160, 0, 0, 'EUR', 1, NULL),
(377, 1459720800, 458, 2, 'Provision pilotage Jalon 3567 et 3883', 1220, 0, 0, 'EUR', 0, NULL),
(380, 1461535200, 486, 99, '', 2255, 1014750, 45000, 'EUR', 1, NULL),
(381, 1462831200, 423, 2, 'Management RNCPS', 150, 0, 0, 'EUR', 0, NULL),
(384, 1454281200, 572, 2, 'Provision Management  D41497', 240, 0, 0, 'EUR', 0, NULL),
(385, 1463004000, 476, 2, 'Management Avril 2016', 60, 0, 0, 'EUR', 0, NULL),
(386, 1463004000, 476, 2, 'Management Mai 2016', 60, 0, 0, 'EUR', 0, NULL),
(389, 1463004000, 474, 2, 'Management Mars 2016', 30, 0, 0, 'EUR', 0, NULL),
(388, 1463004000, 474, 2, 'Management Avril 2016', 30, 0, 0, 'EUR', 0, NULL),
(390, 1463004000, 474, 2, 'Management Mai 2016', 30, 0, 0, 'EUR', 0, NULL),
(394, 1459720800, 536, 3, 'Provision pour garantie', 225, 0, 0, 'EUR', 1, NULL),
(395, 1451602800, 585, 99, 'Forfait assistance Janvier 2016', 2170, 0, 0, 'EUR', 1, NULL),
(396, 1454281200, 585, 99, 'Forfait assistance Février 2016', 2170, 0, 0, 'EUR', 1, NULL),
(400, 1456786800, 585, 99, 'Forfait assistance Mars 2016', 2170, 0, 0, 'EUR', 1, NULL),
(399, 1459461600, 585, 99, 'Forfait assistance Avril 2016', 2170, 0, 0, 'EUR', 1, NULL),
(402, 1462140000, 585, 99, 'Forfait assistance Mai 2016', 2170, 0, 0, 'EUR', 1, NULL),
(403, 1464732000, 585, 99, 'Forfait assistance Juin  2016', 1710, 0, 0, 'EUR', 1, NULL),
(404, 1459461600, 522, 4, 'Provision pour garantie 42171', 815, 0, 0, 'EUR', 1, NULL),
(405, 1462053600, 522, 2, 'Provision Management 42171', 2000, 0, 0, 'EUR', 0, NULL),
(406, 1462140000, 522, 4, 'Provision pour garantie 42169', 75, 0, 0, 'EUR', 1, NULL),
(407, 1464904800, 588, 4, 'Provision pour garantie 42770', 170, 0, 0, 'EUR', 1, NULL),
(408, 1467324000, 588, 2, 'Provision Management  D42770', 120, 0, 0, 'EUR', 0, NULL),
(409, 1462140000, 572, 4, 'Provision pour garantie 41497', 160, 0, 0, 'EUR', 1, NULL),
(411, 1451862000, 587, 99, 'Forfait Anomalie  Janvier  2016', 1190, 0, 0, 'EUR', 1, NULL),
(412, 1454281200, 587, 99, 'Forfait Anomalie  Février  2016', 1190, 0, 0, 'EUR', 1, NULL),
(413, 1456786800, 587, 99, 'Forfait Anomalie  Mars  2016', 1190, 0, 0, 'EUR', 1, NULL),
(414, 1459461600, 587, 99, 'Forfait Anomalie  Avril  2016', 1190, 0, 0, 'EUR', 1, NULL),
(417, 1462140000, 587, 99, 'Forfait Anomalie  Mai 2016', 1190, 0, 0, 'EUR', 1, NULL),
(416, 1464732000, 587, 99, 'Forfait Anomalie  Juin  2016', 940, 0, 0, 'EUR', 1, NULL),
(426, 1464732000, 522, 4, 'Provision pour garantie 42684', 100, 0, 0, 'EUR', 1, NULL),
(425, 1464732000, 522, 4, 'Provision pour garantie 42564', 1580, 0, 0, 'EUR', 1, NULL),
(424, 1464732000, 522, 4, 'Provision pour garantie 42783', 150, 0, 0, 'EUR', 1, NULL),
(429, 1464732000, 522, 2, 'Provision Management  D42564', 3580, 0, 0, 'EUR', 0, NULL),
(422, 1464732000, 522, 2, 'Provision Management  D42783', 310, 0, 0, 'EUR', 0, NULL),
(423, 1464732000, 522, 2, 'Provision Management  D42684', 200, 0, 0, 'EUR', 0, NULL),
(427, 1464732000, 536, 4, 'Provision pour garantie 42853', 100, 0, 0, 'EUR', 1, NULL),
(428, 1464732000, 536, 2, 'Provision Management  D42853', 250, 0, 0, 'EUR', 0, NULL),
(430, 1466978400, 387, 2, 'Provision pour management 42923', 120, 0, 0, 'EUR', 0, NULL),
(431, 1466978400, 387, 4, 'Provision pour garantie 42923', 170, 0, 0, 'EUR', 1, NULL),
(432, 1467324000, 609, 2, 'Provision pour risque', 300, 171510, 57170, 'EUR', 1, NULL),
(433, 1467324000, 468, 2, 'Provision Management  D3933', 540, 0, 0, 'EUR', 0, NULL),
(434, 1467324000, 468, 4, 'Provision pour garantie 3933', 100, 0, 0, 'EUR', 1, NULL),
(435, 1467324000, 572, 2, 'Provision Management  D43051', 60, 0, 0, 'EUR', 0, NULL),
(438, 1467324000, 471, 2, 'Provision Management  D42925', 70, 0, 0, 'EUR', 0, NULL),
(439, 1467324000, 471, 4, 'Provision pour garantie 42925', 100, 0, 0, 'EUR', 1, NULL),
(440, 1467324000, 471, 2, 'Provision Management  D42514', 230, 0, 0, 'EUR', 0, NULL),
(664, 1469656800, 493, 2, '43118 - Management', 180, 0, 0, 'EUR', 0, NULL),
(442, 1467324000, 585, 99, 'Forfait Assistance Juillet 2016', 1710, 0, 0, 'EUR', 1, NULL),
(687, 1476741600, 714, 3, 'R1', 500, 225000, 45000, 'EUR', 1, NULL),
(719, 1464645600, 548, 3, '', 225, 112500, 50000, 'EUR', 1, NULL),
(445, 1470348000, 661, 4, 'Provision pour garantie 4321', 150, 0, 0, 'EUR', 1, NULL),
(446, 1470002400, 661, 2, 'Provision Management  G4321', 180, 0, 0, 'EUR', 0, NULL),
(447, 1470348000, 661, 2, 'Provision Management G4318', 170, 0, 0, 'EUR', 0, NULL),
(448, 1470348000, 661, 4, 'Provision pour garantie G4318', 110, 0, 0, 'EUR', 1, NULL),
(449, 1470261600, 602, 3, '', 500, 207500, 41500, 'EUR', 1, NULL),
(453, 1433109600, 249, 4, '39029 - Guarantee (11,2+6,78) * 10%', 180, 0, 0, 'EUR', 1, NULL),
(454, 1417474800, 249, 2, '39195 - Management', 100, 0, 0, 'EUR', 0, NULL),
(455, 1417474800, 249, 4, '39195 - Guarantee (2,43+1,47) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(456, 1424905200, 249, 2, '39417 - Management', 10, 0, 0, 'EUR', 0, NULL),
(457, 1424905200, 249, 4, '39417 - Guarantee (0,27+0,16) * 10%', 0, 0, 0, 'EUR', 1, NULL),
(458, 1427151600, 249, 2, '39748 - Management', 180, 0, 0, 'EUR', 0, NULL),
(459, 1427151600, 249, 4, '39748 - Guarantee (4,48+2,71) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(460, 1439935200, 387, 2, '39022 - Management', 390, 0, 0, 'EUR', 0, NULL),
(461, 1439935200, 387, 4, '39022 - Guarantee (9,79+5,93) * 10%', 160, 0, 0, 'EUR', 1, NULL),
(462, 1457564400, 387, 2, '39321 - Management', 440, 0, 0, 'EUR', 0, NULL),
(463, 1457564400, 387, 4, '39321 - Guarantee (11,2+6,78) * 10%', 180, 0, 0, 'EUR', 1, NULL),
(464, 1427666400, 387, 2, '40496 - Management', 60, 0, 0, 'EUR', 0, NULL),
(465, 1427666400, 387, 4, '40496 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(466, 1443650400, 387, 2, '41176 - Management', 60, 0, 0, 'EUR', 0, NULL),
(467, 1443650400, 387, 4, '41176 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(468, 1448578800, 387, 2, '41640 - Management', 130, 0, 0, 'EUR', 0, NULL),
(469, 1448578800, 387, 4, '41640 - Guarantee (3,19+1,93) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(470, 1458169200, 387, 2, '41726 - Management', 450, 0, 0, 'EUR', 0, NULL),
(471, 1458169200, 387, 4, '41726 - Guarantee (11,45+6,93) * 10%', 180, 0, 0, 'EUR', 1, NULL),
(472, 1458169200, 387, 2, '41858 - Management', 400, 0, 0, 'EUR', 0, NULL),
(473, 1458169200, 387, 4, '41858 - Guarantee (10,1+6,11) * 10%', 160, 0, 0, 'EUR', 1, NULL),
(474, 1457305200, 387, 2, '42044 - Management', 200, 0, 0, 'EUR', 0, NULL),
(475, 1457305200, 387, 4, '42044 - Guarantee (4,99+3,02) * 10%', 80, 0, 0, 'EUR', 1, NULL),
(476, 1458169200, 387, 2, '42059 - Management', 220, 0, 0, 'EUR', 0, NULL),
(477, 1458169200, 387, 4, '42059 - Guarantee (5,64+3,41) * 10%', 90, 0, 0, 'EUR', 1, NULL),
(478, 1455663600, 387, 2, '42127 - Management', 170, 0, 0, 'EUR', 0, NULL),
(479, 1455663600, 387, 4, '42127 - Guarantee (4,41+2,67) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(480, 1456959600, 387, 2, '42178 - Management', 60, 0, 0, 'EUR', 0, NULL),
(481, 1456959600, 387, 4, '42178 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(482, 1457046000, 387, 2, '42218 - Management', 60, 0, 0, 'EUR', 0, NULL),
(483, 1457046000, 387, 4, '42218 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(484, 1456959600, 387, 2, '42257 - Management', 130, 0, 0, 'EUR', 0, NULL),
(485, 1456959600, 387, 4, '42257 - Guarantee (3,18+1,93) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(486, 1462744800, 387, 2, '42582 - Management', 40, 0, 0, 'EUR', 0, NULL),
(487, 1462744800, 387, 4, '42582 - Guarantee (0,98+0,59) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(488, 1462917600, 387, 2, '42689 - Management', 40, 0, 0, 'EUR', 0, NULL),
(489, 1462917600, 387, 4, '42689 - Guarantee (0,98+0,59) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(490, 1468274400, 387, 2, '43051 - Management', 60, 0, 0, 'EUR', 0, NULL),
(491, 1468274400, 387, 4, '43051 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(492, 1461103200, 522, 2, '41529 - Management', 100, 0, 0, 'EUR', 0, NULL),
(493, 1461103200, 522, 4, '41529 - Guarantee (2,42+1,46) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(499, 1453330800, 460, 4, '41967 - Guarantee (2,77+1,67) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(500, 1453935600, 460, 2, '42109 - Management', 350, 0, 0, 'EUR', 0, NULL),
(501, 1453935600, 460, 4, '42109 - Guarantee (8,96+5,42) * 10%', 140, 0, 0, 'EUR', 1, NULL),
(502, 1455231600, 460, 2, '42188 - Management', 100, 0, 0, 'EUR', 0, NULL),
(503, 1455231600, 460, 4, '42188 - Guarantee (2,58+1,56) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(504, 1457910000, 460, 2, '42362 - Management', 90, 0, 0, 'EUR', 0, NULL),
(505, 1457910000, 460, 4, '42362 - Guarantee (2,2+1,33) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(508, 1421190000, 247, 2, '39535 - Management', 200, 0, 0, 'EUR', 0, NULL),
(509, 1421190000, 247, 4, '39535 - Guarantee (5,14+3,11) * 10%', 80, 0, 0, 'EUR', 1, NULL),
(510, 1417474800, 247, 2, '39576 - Management', 320, 0, 0, 'EUR', 0, NULL),
(511, 1417474800, 247, 4, '39576 - Guarantee (8,1+4,9) * 10%', 130, 0, 0, 'EUR', 1, NULL),
(512, 1442959200, 247, 2, '39712 - Management', 350, 0, 0, 'EUR', 0, NULL),
(513, 1442959200, 247, 4, '39712 - Guarantee (8,82+5,34) * 10%', 140, 0, 0, 'EUR', 1, NULL),
(514, 1425510000, 247, 2, '39871 - Management', 20, 0, 0, 'EUR', 0, NULL),
(515, 1425510000, 247, 4, '39871 - Guarantee (0,4+0,24) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(516, 1421708400, 247, 2, '39889 - Management', 120, 0, 0, 'EUR', 0, NULL),
(517, 1421708400, 247, 4, '39889 - Guarantee (2,94+1,78) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(518, 1418338800, 245, 2, '39854 - Management', 30, 0, 0, 'EUR', 0, NULL),
(519, 1418338800, 245, 4, '39854 - Guarantee (0,73+0,44) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(520, 1421362800, 245, 2, '40001 - Management', 60, 0, 0, 'EUR', 0, NULL),
(521, 1421362800, 245, 4, '40001 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(522, 1422226800, 245, 2, '40019 - Management', 60, 0, 0, 'EUR', 0, NULL),
(523, 1422226800, 245, 4, '40019 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(524, 1422831600, 245, 2, '40038 - Management', 100, 0, 0, 'EUR', 0, NULL),
(525, 1422831600, 245, 4, '40038 - Guarantee (2,45+1,48) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(526, 1422831600, 245, 2, '40062 - Management', 20, 0, 0, 'EUR', 0, NULL),
(527, 1422831600, 245, 4, '40062 - Guarantee (0,4+0,24) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(528, 1424386800, 245, 2, '40106 - Management', 1820, 0, 0, 'EUR', 0, NULL),
(529, 1424386800, 245, 4, '40106 - Guarantee (46,06+27,88) * 10%', 740, 0, 0, 'EUR', 1, NULL),
(530, 1442268000, 245, 2, '40110 - Management', 20, 0, 0, 'EUR', 0, NULL),
(531, 1442268000, 245, 4, '40110 - Guarantee (0,4+0,24) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(532, 1425855600, 245, 2, '40169 - Management', 1830, 0, 0, 'EUR', 0, NULL),
(533, 1425855600, 245, 4, '40169 - Guarantee (46,3+28,03) * 10%', 740, 0, 0, 'EUR', 1, NULL),
(534, 1424386800, 245, 2, '40279 - Management', 20, 0, 0, 'EUR', 0, NULL),
(535, 1424386800, 245, 4, '40279 - Guarantee (0,6+0,36) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(536, 1426028400, 245, 2, '40407 - Management', 40, 0, 0, 'EUR', 0, NULL),
(537, 1426028400, 245, 4, '40407 - Guarantee (0,98+0,59) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(538, 1433109600, 245, 2, '40412 - Management', 1250, 0, 0, 'EUR', 0, NULL),
(539, 1433109600, 245, 4, '40412 - Guarantee (31,61+19,13) * 10%', 510, 0, 0, 'EUR', 1, NULL),
(540, 1430085600, 245, 2, '40486 - Management', 60, 0, 0, 'EUR', 0, NULL),
(541, 1430085600, 245, 4, '40486 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(542, 1430949600, 245, 2, '40564 - Management', 180, 0, 0, 'EUR', 0, NULL),
(543, 1430949600, 245, 4, '40564 - Guarantee (4,66+2,82) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(544, 1433196000, 245, 2, '40577 - Management', 1360, 0, 0, 'EUR', 0, NULL),
(545, 1433196000, 245, 4, '40577 - Guarantee (34,54+20,91) * 10%', 550, 0, 0, 'EUR', 1, NULL),
(546, 1432159200, 245, 2, '40671 - Management', 270, 0, 0, 'EUR', 0, NULL),
(547, 1432159200, 245, 4, '40671 - Guarantee (6,72+4,07) * 10%', 110, 0, 0, 'EUR', 1, NULL),
(548, 1437516000, 245, 2, '40714 - Management', 700, 0, 0, 'EUR', 0, NULL),
(549, 1437516000, 245, 4, '40714 - Guarantee (17,7+10,71) * 10%', 280, 0, 0, 'EUR', 1, NULL),
(550, 1430776800, 245, 2, '40728 - Management', 50, 0, 0, 'EUR', 0, NULL),
(551, 1430776800, 245, 4, '40728 - Guarantee (1,23+0,74) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(552, 1430776800, 245, 2, '40741 - Management', 50, 0, 0, 'EUR', 0, NULL),
(553, 1430776800, 245, 4, '40741 - Guarantee (1,23+0,74) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(554, 1436133600, 245, 2, '40927 - Management', 220, 0, 0, 'EUR', 0, NULL),
(555, 1436133600, 245, 4, '40927 - Guarantee (5,65+3,42) * 10%', 90, 0, 0, 'EUR', 1, NULL),
(556, 1438034400, 245, 2, '41023 - Management', 120, 0, 0, 'EUR', 0, NULL),
(557, 1438034400, 245, 4, '41023 - Guarantee (2,94+1,78) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(558, 1442268000, 245, 2, '41190 - Management', 140, 0, 0, 'EUR', 0, NULL),
(559, 1442268000, 245, 4, '41190 - Guarantee (3,43+2,08) * 10%', 60, 0, 0, 'EUR', 1, NULL),
(560, 1440108000, 245, 2, '41264 - Management', 90, 0, 0, 'EUR', 0, NULL),
(561, 1440108000, 245, 4, '41264 - Guarantee (2,2+1,33) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(562, 1418684400, 280, 2, '39021 - Management', 350, 0, 0, 'EUR', 0, NULL),
(563, 1418684400, 280, 4, '39021 - Guarantee (8,96+5,42) * 10%', 140, 0, 0, 'EUR', 1, NULL),
(564, 1429826400, 280, 2, '39142 - Management', 210, 0, 0, 'EUR', 0, NULL),
(565, 1429826400, 280, 4, '39142 - Guarantee (5,44+3,29) * 10%', 90, 0, 0, 'EUR', 1, NULL),
(566, 1429826400, 280, 2, '39144 - Management', 210, 0, 0, 'EUR', 0, NULL),
(567, 1429826400, 280, 4, '39144 - Guarantee (5,44+3,29) * 10%', 90, 0, 0, 'EUR', 1, NULL),
(568, 1429826400, 280, 2, '39805 - Management', 100, 0, 0, 'EUR', 0, NULL),
(569, 1429826400, 280, 4, '39805 - Guarantee (2,43+1,47) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(570, 1418857200, 280, 2, '39870 - Management', 120, 0, 0, 'EUR', 0, NULL),
(571, 1418857200, 280, 4, '39870 - Guarantee (2,94+1,78) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(572, 1422918000, 280, 2, '40030 - Management', 90, 0, 0, 'EUR', 0, NULL),
(573, 1422918000, 280, 4, '40030 - Guarantee (2,24+1,36) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(574, 1422918000, 280, 2, '40032 - Management', 130, 0, 0, 'EUR', 0, NULL),
(575, 1422918000, 280, 4, '40032 - Guarantee (3,3+1,99) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(576, 1422918000, 280, 2, '40033 - Management', 50, 0, 0, 'EUR', 0, NULL),
(577, 1422918000, 280, 4, '40033 - Guarantee (1,28+0,77) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(578, 1451948400, 250, 2, '40965 - Management', 670, 0, 0, 'EUR', 0, NULL),
(579, 1451948400, 250, 4, '40965 - Guarantee (16,92+10,24) * 10%', 270, 0, 0, 'EUR', 1, NULL),
(580, 1445378400, 250, 2, '40998 - Management', 50, 0, 0, 'EUR', 0, NULL),
(581, 1445378400, 250, 4, '40998 - Guarantee (1,23+0,74) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(582, 1439935200, 250, 2, '41041 - Management', 340, 0, 0, 'EUR', 0, NULL),
(583, 1439935200, 250, 4, '41041 - Guarantee (8,64+5,23) * 10%', 140, 0, 0, 'EUR', 1, NULL),
(584, 1444946400, 250, 2, '41546 - Management', 20, 0, 0, 'EUR', 0, NULL),
(585, 1444946400, 250, 4, '41546 - Guarantee (0,4+0,25) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(586, 1445378400, 250, 2, '41564 - Management', 20, 0, 0, 'EUR', 0, NULL),
(587, 1445378400, 250, 4, '41564 - Guarantee (0,4+0,24) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(588, 1445378400, 250, 2, '41593 - Management', 50, 0, 0, 'EUR', 0, NULL),
(589, 1445378400, 250, 4, '41593 - Guarantee (1,23+0,74) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(590, 1446073200, 250, 2, '41633 - Management', 20, 0, 0, 'EUR', 0, NULL),
(591, 1446073200, 250, 4, '41633 - Guarantee (0,4+0,25) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(592, 1432591200, 248, 2, '40783 - Management', 40, 0, 0, 'EUR', 0, NULL),
(593, 1432591200, 248, 4, '40783 - Guarantee (1+0,61) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(594, 1436133600, 251, 2, '39842 - Management', 270, 0, 0, 'EUR', 0, NULL),
(595, 1436133600, 251, 4, '39842 - Guarantee (6,72+4,07) * 10%', 110, 0, 0, 'EUR', 1, NULL),
(596, 1437688800, 251, 2, '40637 - Management', 1330, 0, 0, 'EUR', 0, NULL),
(597, 1437688800, 251, 4, '40637 - Guarantee (33,61+20,34) * 10%', 540, 0, 0, 'EUR', 1, NULL),
(598, 1433714400, 251, 2, '40641 - Management', 240, 0, 0, 'EUR', 0, NULL),
(599, 1433714400, 251, 4, '40641 - Guarantee (6,08+3,68) * 10%', 100, 0, 0, 'EUR', 1, NULL),
(600, 1440108000, 251, 2, '40653 - Management', 90, 0, 0, 'EUR', 0, NULL),
(601, 1440108000, 251, 4, '40653 - Guarantee (2,2+1,33) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(602, 1434405600, 251, 2, '40680 - Management', 150, 0, 0, 'EUR', 0, NULL),
(603, 1434405600, 251, 4, '40680 - Guarantee (3,84+2,32) * 10%', 60, 0, 0, 'EUR', 1, NULL),
(604, 1422313200, 252, 2, '39443 - Management', 110, 0, 0, 'EUR', 0, NULL),
(605, 1422313200, 252, 4, '39443 - Guarantee (2,7+1,63) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(606, 1432072800, 252, 2, '39843 - Management', 130, 0, 0, 'EUR', 0, NULL),
(607, 1432072800, 252, 4, '39843 - Guarantee (3,24+1,96) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(608, 1449183600, 252, 2, '40137 - Management', 60, 0, 0, 'EUR', 0, NULL),
(609, 1449183600, 252, 4, '40137 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(610, 1438293600, 252, 2, '41014 - Management', 80, 0, 0, 'EUR', 0, NULL),
(611, 1438293600, 252, 4, '41014 - Guarantee (1,96+1,19) * 10%', 30, 0, 0, 'EUR', 1, NULL),
(612, 1438293600, 252, 2, '41125 - Management', 190, 0, 0, 'EUR', 0, NULL),
(613, 1438293600, 252, 4, '41125 - Guarantee (4,82+2,92) * 10%', 80, 0, 0, 'EUR', 1, NULL),
(614, 1444687200, 431, 2, '41199 - Management', 80, 0, 0, 'EUR', 0, NULL),
(615, 1444687200, 431, 4, '41199 - Guarantee (1,92+1,16) * 10%', 30, 0, 0, 'EUR', 1, NULL),
(616, 1452207600, 431, 2, '41541 - Management', 1490, 0, 0, 'EUR', 0, NULL),
(617, 1452207600, 431, 4, '41541 - Guarantee (37,76+22,85) * 10%', 610, 0, 0, 'EUR', 1, NULL),
(618, 1449442800, 431, 2, '41606 - Management', 110, 0, 0, 'EUR', 0, NULL),
(619, 1449442800, 431, 4, '41606 - Guarantee (2,7+1,63) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(620, 1450306800, 431, 2, '41719 - Management', 110, 0, 0, 'EUR', 0, NULL),
(621, 1450306800, 431, 4, '41719 - Guarantee (2,7+1,63) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(622, 1444860000, 381, 2, '39996 - Management', 100, 0, 0, 'EUR', 0, NULL),
(623, 1444860000, 381, 4, '39996 - Guarantee (2,45+1,48) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(624, 1443736800, 381, 2, '40018 - Management', 120, 0, 0, 'EUR', 0, NULL),
(625, 1443736800, 381, 4, '40018 - Guarantee (2,94+1,78) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(626, 1444860000, 381, 2, '41139 - Management', 60, 0, 0, 'EUR', 0, NULL),
(627, 1444860000, 381, 4, '41139 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(628, 1445900400, 381, 2, '41639 - Management', 60, 0, 0, 'EUR', 0, NULL),
(629, 1445900400, 381, 4, '41639 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(630, 1451257200, 381, 2, '41885 - Management', 80, 0, 0, 'EUR', 0, NULL),
(631, 1451257200, 381, 4, '41885 - Guarantee (2,02+1,22) * 10%', 30, 0, 0, 'EUR', 1, NULL),
(632, 1452553200, 381, 2, '41975 - Management', 190, 0, 0, 'EUR', 0, NULL),
(633, 1452553200, 381, 4, '41975 - Guarantee (4,8+2,91) * 10%', 80, 0, 0, 'EUR', 1, NULL),
(634, 1451257200, 462, 2, '41837 - Management', 170, 0, 0, 'EUR', 0, NULL),
(635, 1451257200, 462, 4, '41837 - Guarantee (4,3+2,6) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(636, 1451516400, 462, 2, '41921 - Management', 120, 0, 0, 'EUR', 0, NULL),
(637, 1451516400, 462, 4, '41921 - Guarantee (2,94+1,78) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(638, 1456786800, 462, 2, '42294 - Management', 120, 0, 0, 'EUR', 0, NULL),
(639, 1456786800, 462, 4, '42294 - Guarantee (2,94+1,78) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(640, 1448492400, 441, 2, '41772 - Management', 30, 0, 0, 'EUR', 0, NULL),
(641, 1448492400, 441, 4, '41772 - Guarantee (0,73+0,44) * 10%', 10, 0, 0, 'EUR', 1, NULL),
(642, 1449183600, 441, 2, '41819 - Management', 60, 0, 0, 'EUR', 0, NULL),
(643, 1449183600, 441, 4, '41819 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(644, 1450134000, 441, 2, '41832 - Management', 160, 0, 0, 'EUR', 0, NULL),
(645, 1450134000, 441, 4, '41832 - Guarantee (4,14+2,51) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(646, 1458774000, 527, 2, '42386 - Management', 250, 0, 0, 'EUR', 0, NULL),
(647, 1458774000, 527, 4, '42386 - Guarantee (6,4+3,87) * 10%', 100, 0, 0, 'EUR', 1, NULL),
(648, 1459980000, 527, 2, '42405 - Management', 530, 0, 0, 'EUR', 0, NULL),
(649, 1459980000, 527, 4, '42405 - Guarantee (13,44+8,13) * 10%', 220, 0, 0, 'EUR', 1, NULL),
(650, 1459461600, 527, 2, '42441 - Management', 120, 0, 0, 'EUR', 0, NULL),
(651, 1459461600, 527, 4, '42441 - Guarantee (2,94+1,78) * 10%', 50, 0, 0, 'EUR', 1, NULL),
(652, 1462140000, 527, 2, '42599 - Management', 90, 0, 0, 'EUR', 0, NULL),
(653, 1462140000, 527, 4, '42599 - Guarantee (2,2+1,33) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(654, 1465768800, 527, 2, '42871 - Management', 60, 0, 0, 'EUR', 0, NULL),
(655, 1465768800, 527, 4, '42871 - Guarantee (1,47+0,89) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(656, 1469484000, 527, 2, '42981 - Management', 260, 0, 0, 'EUR', 0, NULL),
(657, 1469484000, 527, 4, '42981 - Guarantee (6,58+3,98) * 10%', 110, 0, 0, 'EUR', 1, NULL),
(658, 1449442800, 471, 2, '39196 - Management', 0, 0, 0, 'EUR', 0, NULL),
(659, 1449442800, 471, 4, '39196 - Guarantee (0+0) * 10%', 0, 0, 0, 'EUR', 1, NULL),
(665, 1469656800, 493, 4, '43118 - Guarantee (4,48+2,71) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(661, 1459980000, 471, 4, '42514 - Guarantee (5,93+3,59) * 10%', 100, 0, 0, 'EUR', 1, NULL),
(662, 1470088800, 471, 2, '43114 - Management', 160, 0, 0, 'EUR', 0, NULL),
(663, 1470088800, 471, 4, '43114 - Guarantee (4,16+2,52) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(666, 1470780000, 493, 2, '43177 - Management', 10, 0, 0, 'EUR', 0, NULL),
(667, 1470780000, 493, 4, '43177 - Guarantee (0,25+0,15) * 10%', 0, 0, 0, 'EUR', 1, NULL),
(776, 1485903600, 693, 4, 'Provision Garantie au titre du 44029', 100, 0, 0, 'EUR', 1, NULL),
(773, 1485903600, 845, 2, 'Provision Management au titre du 44188', 60, 0, 0, 'EUR', 0, NULL),
(774, 1487631600, 694, 3, '', 800, 346400, 43300, 'EUR', 1, NULL),
(673, 1470002400, 585, 99, 'Forfait Assistance Aout 2016', 1710, 0, 0, 'EUR', 1, NULL),
(674, 1472680800, 585, 99, 'Forfait Assistance Septembre 2016', 1710, 0, 0, 'EUR', 1, NULL),
(675, 1467324000, 587, 99, 'Forfait Anomalie Juillet 2016', 940, 0, 0, 'EUR', 1, NULL),
(676, 1470002400, 587, 99, 'Forfait Anomalie Aout 2016', 940, 0, 0, 'EUR', 1, NULL),
(677, 1472680800, 587, 99, 'Forfait Anomalie Septembre 2016', 940, 0, 0, 'EUR', 1, NULL),
(678, 1473285600, 602, 2, 'Risque : investissement travaux G.Conf', 600, 249000, 41500, 'EUR', 0, NULL),
(679, 1472680800, 471, 2, 'Provision Management D43302', 160, 0, 0, 'EUR', 0, NULL),
(680, 1472680800, 471, 2, 'Provision pour garantie 43302', 220, 0, 0, 'EUR', 0, NULL),
(681, 1474408800, 692, 3, '', 1000, 450000, 45000, 'EUR', 1, NULL),
(682, 1474495200, 602, 2, '', 500, 250000, 50000, 'EUR', 0, NULL),
(684, 1475791200, 693, 2, 'Provision Management au titre du 43464', 100, 0, 0, 'EUR', 0, NULL),
(700, 1476828000, 693, 4, 'Provision Garantie au titre du 43464', 100, 0, 0, 'EUR', 1, NULL),
(688, 1476828000, 693, 2, 'Provision Management au titre du 43419', 210, 0, 0, 'EUR', 0, NULL),
(689, 1476828000, 693, 4, 'Provision Garantie au titre du 43419', 180, 0, 0, 'EUR', 1, NULL),
(690, 1476828000, 693, 2, 'Provision Management au titre du 43420', 170, 0, 0, 'EUR', 0, NULL),
(691, 1476828000, 693, 4, 'Provision Garantie au titre du 43420', 160, 0, 0, 'EUR', 1, NULL),
(692, 1476828000, 693, 2, 'Provision Management au titre du 43421', 180, 0, 0, 'EUR', 0, NULL),
(693, 1476828000, 693, 4, 'Provision Management au titre du 43421', 150, 0, 0, 'EUR', 1, NULL),
(694, 1476828000, 693, 2, 'Provision Management au titre du 43541', 200, 0, 0, 'EUR', 0, NULL),
(695, 1476828000, 693, 4, 'Provision Garantie au titre du 43541', 210, 0, 0, 'EUR', 1, NULL),
(696, 1476828000, 693, 2, 'Provision Management au titre du 43115', 120, 0, 0, 'EUR', 0, NULL),
(697, 1476828000, 693, 4, 'Provision Garantie au titre du 43115', 170, 0, 0, 'EUR', 1, NULL),
(698, 1476828000, 693, 2, 'Provision Management au titre du 43423', 280, 0, 0, 'EUR', 0, NULL),
(699, 1476828000, 693, 4, 'Provision Garantie au titre du 43423', 230, 0, 0, 'EUR', 1, NULL),
(701, 1476828000, 693, 2, 'Provision Management au titre du 43542', 120, 0, 0, 'EUR', 0, NULL),
(702, 1476828000, 693, 4, 'Provision Garantie au titre du 43542', 170, 0, 0, 'EUR', 1, NULL),
(703, 1476914400, 714, 5, 'Pour les retours internes', 300, 135000, 45000, 'EUR', 1, NULL),
(736, 1477954800, 693, 2, 'Provision Management au titre du 43804', 260, 0, 0, 'EUR', 0, NULL),
(706, 1477868400, 693, 2, 'Provision Management au titre du 43520', 300, 0, 0, 'EUR', 0, NULL),
(707, 1477868400, 693, 4, 'Provision Garantie au titre du 43520', 320, 0, 0, 'EUR', 1, NULL),
(708, 1477868400, 732, 3, '', 250, 105000, 42000, 'EUR', 1, NULL),
(710, 1477954800, 587, 99, 'Forfait anomalie Novembre 2016', 940, 0, 0, 'EUR', 1, NULL),
(711, 1475445600, 587, 99, 'Forfait anomalie Octobre 2016', 940, 0, 0, 'EUR', 1, NULL),
(712, 1475445600, 585, 99, 'Forfait Assistance octobre 2016', 1710, 0, 0, 'EUR', 1, NULL),
(713, 1478041200, 585, 99, 'Forfait Assistance Novembre  2016', 1720, 0, 0, 'EUR', 1, NULL),
(742, 1480546800, 587, 99, 'Forfait Anomalie Decembre 2016', 940, 0, 0, 'EUR', 1, NULL),
(734, 1480546800, 585, 99, 'Forfait Assistance Decembre  2016', 1710, 0, 0, 'EUR', 1, NULL),
(716, 1477954800, 693, 2, 'Provision Management au titre du 43474', 150, 0, 0, 'EUR', 0, NULL),
(717, 1477954800, 693, 4, 'Provision Garantie au titre du 43474', 90, 0, 0, 'EUR', 1, NULL),
(879, 1489618800, 729, 99, '', 1000, 480000, 48000, 'EUR', 1, NULL),
(722, 1479855600, 588, 2, 'Provision Management au titre du 43776', 60, 0, 0, 'EUR', 0, NULL),
(723, 1479855600, 588, 4, 'Provision Garantie au titre du 43776', 100, 0, 0, 'EUR', 1, NULL),
(767, 1485990000, 662, 2, '', 725, 307255, 42380, 'EUR', 1, NULL),
(819, 1491170400, 846, 4, 'Provision Garantie  au titre du 44287', 80, 33440, 41800, 'EUR', 1, NULL),
(726, 1477954800, 749, 2, 'Provision Management au titre du 43714', 180, 0, 0, 'EUR', 0, NULL),
(727, 1477954800, 749, 4, 'Provision Garantie au titre du 43714', 110, 0, 0, 'EUR', 1, NULL),
(728, 1477954800, 749, 2, 'Provision Management au titre du 43713', 100, 0, 0, 'EUR', 0, NULL),
(729, 1477954800, 749, 4, 'Provision Garantie au titre du 43713', 100, 0, 0, 'EUR', 1, NULL),
(730, 1477954800, 693, 2, 'Provision Management au titre du 43621', 150, 0, 0, 'EUR', 0, NULL),
(731, 1477954800, 693, 4, 'Provision Garantie au titre du 43621', 130, 0, 0, 'EUR', 1, NULL),
(732, 1477954800, 693, 2, 'Provision Management au titre du 43417', 540, 0, 0, 'EUR', 0, NULL),
(733, 1477954800, 693, 4, 'Provision Garantie au titre du 43417', 390, 0, 0, 'EUR', 1, NULL),
(738, 1480546800, 693, 2, 'Provision Management au titre du 43597', 680, 0, 0, 'EUR', 0, NULL),
(739, 1480546800, 693, 4, 'Provision Garantie au titre du 43597', 460, 0, 0, 'EUR', 1, NULL),
(740, 1480546800, 693, 2, 'Provision Management au titre du 43424', 160, 0, 0, 'EUR', 0, NULL),
(741, 1480546800, 693, 4, 'Provision Management au titre du 43424', 120, 0, 0, 'EUR', 1, NULL),
(743, 1480546800, 766, 2, 'Provision Management au titre du 43830', 420, 0, 0, 'EUR', 0, NULL),
(744, 1480546800, 766, 4, 'Provision Garantie au titre du 43830', 790, 0, 0, 'EUR', 1, NULL),
(748, 1480546800, 751, 2, 'Provision Management au titre du 43802', 160, 0, 0, 'EUR', 0, NULL),
(747, 1480546800, 751, 4, 'Provision Garantie au titre du 43802', 60, 0, 0, 'EUR', 1, NULL),
(749, 1483311600, 774, 99, 'Forfait Anomalie Janvier 2017', 940, 0, 0, 'EUR', 1, NULL),
(750, 1480546800, 775, 99, 'Forfait Assistance Janvier 2017', 1710, 0, 0, 'EUR', 1, NULL),
(775, 1485903600, 693, 2, 'Provision Management au titre du 44029', 190, 0, 0, 'EUR', 0, NULL),
(752, 1480546800, 751, 2, 'Provision Management au titre du 43018', 390, 0, 0, 'EUR', 0, NULL),
(753, 1480546800, 751, 2, 'Provision Management au titre du 43614', 190, 0, 0, 'EUR', 0, NULL),
(754, 1480546800, 751, 4, 'Provision Garantie au titre du 43018', 170, 0, 0, 'EUR', 1, NULL),
(755, 1480546800, 751, 4, 'Provision Garantie au titre du 43614', 180, 0, 0, 'EUR', 1, NULL),
(756, 1480546800, 751, 2, 'Provision Management au titre du 43722', 90, 0, 0, 'EUR', 0, NULL),
(757, 1480546800, 751, 4, 'Provision Garantie au titre du 43722', 50, 0, 0, 'EUR', 1, NULL),
(758, 1485212400, 692, 2, 'GP PBA SP4', 600, 270000, 45000, 'EUR', 0, NULL),
(762, 1485212400, 756, 2, 'GP PBA SP5', 200, 90000, 45000, 'EUR', 0, NULL),
(760, 1485212400, 602, 2, 'GP HAB SP15', 1865, 807545, 43300, 'EUR', 0, NULL),
(761, 1485212400, 694, 3, 'Risque : qualité', 500, 216500, 43300, 'EUR', 1, NULL),
(765, 1483398000, 751, 2, 'Provision Management au titre du 43077', 540, 0, 0, 'EUR', 0, NULL),
(766, 1483398000, 751, 4, 'Provision Garantie au titre du 43077', 400, 0, 0, 'EUR', 1, NULL),
(771, 1483311600, 806, 2, 'Provision Management au titre du 43884', 690, 0, 0, 'EUR', 0, NULL),
(772, 1483311600, 806, 4, 'Provision Garantie au titre du 43884', 510, 0, 0, 'EUR', 1, NULL),
(777, 1485903600, 693, 2, 'Provision Management au titre du 44154', 20, 0, 0, 'EUR', 0, NULL),
(806, 1486422000, 891, 2, '43780 - Management', 680, 0, 0, 'EUR', 0, NULL),
(780, 1488841200, 856, 3, '', 500, 240000, 48000, 'EUR', 1, NULL),
(781, 1483398000, 845, 2, 'Provision Management au titre du 44197', 410, 0, 0, 'EUR', 0, NULL),
(782, 1483398000, 845, 4, 'Provision Garantie au titre du 44197', 240, 0, 0, 'EUR', 1, NULL),
(783, 1485903600, 774, 99, 'Forfait Anomalie Fevrier 2017', 940, 0, 0, 'EUR', 1, NULL),
(784, 1488322800, 774, 99, 'Forfait Anomalie Mars 2017', 940, 0, 0, 'EUR', 1, NULL),
(785, 1485903600, 775, 99, 'Forfait Assistance Février 2017', 1710, 0, 0, 'EUR', 1, NULL),
(786, 1488322800, 775, 99, 'Forfait Assistance Mars 2017', 1710, 0, 0, 'EUR', 1, NULL),
(818, 1491170400, 846, 2, 'Provision Management au titre du 44287', 270, 112860, 41800, 'EUR', 0, NULL),
(790, 1483225200, 758, 99, 'Non consommé Aude', 500, 306500, 61300, 'EUR', 1, NULL),
(802, 1488322800, 806, 2, 'Provision Management au titre du 44378', 250, 0, 0, 'EUR', 0, NULL),
(795, 1483225200, 824, 2, 'Charge vendue en cadrage MCO', 1300, 650000, 50000, 'EUR', 1, NULL),
(796, 1483225200, 823, 99, 'Prévisions charges réalisation NEM', 1000, 500000, 50000, 'EUR', 1, NULL),
(896, 1499032800, 539, 2, 'Provision Management au titre du 44695', 60, 20880, 34800, 'EUR', 0, NULL),
(798, 1483225200, 819, 99, 'Provision cadrage REA', 650, 325000, 50000, 'EUR', 1, NULL),
(803, 1488322800, 806, 4, 'Provision Garantie au titre du 44378', 130, 45240, 34800, 'EUR', 1, NULL),
(804, 1488322800, 693, 2, 'Provision Management au titre du 44249', 260, 0, 0, 'EUR', 0, NULL),
(805, 1488322800, 693, 4, 'Provision Garantie au titre du 44249', 160, 0, 0, 'EUR', 1, NULL),
(807, 1486422000, 891, 4, '43780 - Guarantee (17,15+10,38) * 10%', 280, 0, 0, 'EUR', 1, NULL),
(808, 1486681200, 891, 2, '44062 - Management', 160, 0, 0, 'EUR', 0, NULL),
(809, 1486681200, 891, 4, '44062 - Guarantee (4,16+2,52) * 10%', 70, 0, 0, 'EUR', 1, NULL),
(810, 1487026800, 891, 2, '44125 - Management', 90, 0, 0, 'EUR', 0, NULL),
(811, 1487026800, 891, 4, '44125 - Guarantee (2,26+1,37) * 10%', 40, 0, 0, 'EUR', 1, NULL),
(812, 1488927600, 891, 2, '44300 - Management', 40, 0, 0, 'EUR', 0, NULL),
(813, 1488927600, 891, 4, '44300 - Guarantee (0,96+0,58) * 10%', 20, 0, 0, 'EUR', 1, NULL),
(814, 1491170400, 774, 99, 'Forfait Anomalie Avril 2017', 940, 327120, 34800, 'EUR', 1, NULL),
(815, 1491170400, 753, 2, 'Provision Management au titre du 43778', 120, 50160, 41800, 'EUR', 0, NULL),
(816, 1491170400, 753, 4, 'Provision Garantie au titre du 43778', 70, 29260, 41800, 'EUR', 1, NULL),
(820, 1491429600, 846, 2, 'Provision Management  au titre du 44339', 340, 118320, 34800, 'EUR', 0, NULL),
(821, 1491170400, 846, 4, 'Provision Garantie au titre du 44339', 160, 55680, 34800, 'EUR', 1, NULL),
(822, 1493676000, 753, 2, 'Provision Management au titre  du  44543', 60, 20880, 34800, 'EUR', 0, NULL),
(824, 1494367200, 753, 2, 'Provision Management au titre du 43887', 200, 69600, 34800, 'EUR', 0, NULL),
(825, 1494367200, 753, 4, 'Provision Garantie au titure du 43543', 50, 17400, 34800, 'EUR', 1, NULL),
(826, 1494367200, 753, 4, 'Provision Garantie au titure du 43887', 120, 41760, 34800, 'EUR', 1, NULL),
(827, 1494280800, 846, 2, 'Provision Management au titre du 44527', 70, 24360, 34800, 'EUR', 0, NULL),
(828, 1494280800, 846, 4, 'Provision Garantie au titre du 44527', 100, 34800, 34800, 'EUR', 1, NULL),
(829, 1494453600, 855, 2, '44572 Pilotage', 80, 27840, 34800, 'EUR', 0, NULL),
(831, 1494453600, 855, 4, '44572 Garantie', 30, 10440, 34800, 'EUR', 1, NULL),
(832, 1493071200, 855, 2, '44461 Pilotage', 30, 10440, 34800, 'EUR', 0, NULL),
(833, 1493071200, 855, 4, '44461 Garantie', 20, 6960, 34800, 'EUR', 1, NULL),
(834, 1493935200, 855, 99, 'm18661 prestation Telebig (provision negative de 345 euro HT)', 0, -34500, 0, 'EUR', 1, NULL),
(835, 1494885600, 753, 2, 'Provision Management au titre du 43906', 130, 45240, 34800, 'EUR', 0, NULL),
(836, 1494885600, 753, 4, 'Provision Garantie au titre du 43906', 130, 45240, 34800, 'EUR', 1, NULL),
(837, 1494885600, 754, 2, 'Provision Management au titre du 44497', 150, 52200, 34800, 'EUR', 0, NULL);
INSERT INTO `codev_command_provision_table` (`id`, `date`, `command_id`, `type`, `summary`, `budget_days`, `budget`, `average_daily_rate`, `currency`, `is_in_check_budget`, `description`) VALUES
(838, 1494885600, 754, 4, 'Provision Garantie au titre du 44497', 130, 45240, 34800, 'EUR', 1, NULL),
(839, 1493676000, 846, 2, 'Provision Management au titre du 44322', 250, 87000, 34800, 'EUR', 0, NULL),
(840, 1493676000, 846, 4, 'Provision Garantie au titre du 43322', 230, 80040, 34800, 'EUR', 1, NULL),
(841, 1493762400, 774, 99, 'Forfait Anomalie Mai 2017', 940, 327120, 34800, 'EUR', 1, NULL),
(842, 1491170400, 775, 99, 'Forfait Assistance Avril 2017', 1710, 595080, 34800, 'EUR', 1, NULL),
(843, 1493676000, 775, 99, 'Forfait Assistance Mai 2017', 1710, 595080, 34800, 'EUR', 1, NULL),
(844, 1485817200, 539, 2, 'Provision Management pour Defect 41937', 3570, 1242300, 34800, 'EUR', 0, NULL),
(845, 1485817200, 539, 4, 'Provision Garantie pour Defect 41937', 1030, 358400, 34800, 'EUR', 1, NULL),
(846, 1485817200, 539, 2, 'Provision Management pour Defect 42497', 1600, 556800, 34800, 'EUR', 0, NULL),
(847, 1485817200, 539, 4, 'Provision Garantie pour Defect 42497', 720, 250500, 34800, 'EUR', 1, NULL),
(848, 1485817200, 539, 2, 'Provision Management pour Defect 41937', 3570, 1242300, 34800, 'EUR', 0, NULL),
(849, 1485817200, 539, 4, 'Provision Garantie pour Defect 41937', 1030, 358400, 34800, 'EUR', 1, NULL),
(850, 1485817200, 539, 2, 'Provision Management pour Defect 42497', 1600, 556800, 34800, 'EUR', 0, NULL),
(851, 1485817200, 539, 4, 'Provision Garantie pour Defect 42497', 720, 250500, 34800, 'EUR', 1, NULL),
(852, 1485817200, 539, 2, 'Provision Management pour Defect 44027', 2120, 737700, 34800, 'EUR', 0, NULL),
(853, 1485817200, 539, 4, 'Provision Garantie pour Defect 44027', 1030, 737700, 34800, 'EUR', 1, NULL),
(854, 1485817200, 539, 2, 'Provision Management pour Defect 44025', 690, 240100, 34800, 'EUR', 0, NULL),
(855, 1485817200, 539, 4, 'Provision Garantie pour Defect 44025', 390, 135700, 34800, 'EUR', 1, NULL),
(856, 1485817200, 539, 2, 'Provision Management pour Defect 44026', 2320, 807300, 34800, 'EUR', 0, NULL),
(857, 1485817200, 539, 4, 'Provision Garantie pour Defect 44026', 920, 320100, 34800, 'EUR', 1, NULL),
(858, 1485817200, 539, 2, 'Provision Management pour Defect 42991', 770, 267900, 34800, 'EUR', 0, NULL),
(859, 1485817200, 539, 4, 'Provision Garantie pour Defect 42991', 310, 107800, 34800, 'EUR', 1, NULL),
(860, 1485817200, 539, 2, 'Provision Management pour Defect 44217', 190, 66100, 34800, 'EUR', 0, NULL),
(861, 1485817200, 539, 4, 'Provision Garantie pour Defect 44217', 110, 38300, 34800, 'EUR', 1, NULL),
(862, 1485817200, 539, 2, 'Provision Management pour Defect 44190', 10, 3500, 34800, 'EUR', 0, NULL),
(863, 1485817200, 539, 2, 'Provision Management pour Defect 44059', 40, 13900, 34800, 'EUR', 0, NULL),
(864, 1485817200, 539, 2, 'Provision Management pour Defect 44060', 690, 240100, 34800, 'EUR', 0, NULL),
(865, 1485817200, 539, 4, 'Provision Garantie pour Defect 44060', 1090, 379300, 34800, 'EUR', 1, NULL),
(866, 1485817200, 539, 2, 'Provision Management pour Defect 44058', 8580, 2985800, 34800, 'EUR', 0, NULL),
(867, 1485817200, 539, 4, 'Provision Garantie pour Defect 44058', 4880, 169800, 34800, 'EUR', 1, NULL),
(868, 1485817200, 539, 2, 'Provision Management pour Defect 43955', 2320, 807300, 34800, 'EUR', 0, NULL),
(869, 1485817200, 539, 4, 'Provision Garantie pour Defect 43955', 1420, 494100, 34800, 'EUR', 1, NULL),
(872, 1493676000, 539, 2, 'Provision Management au titre du 44440', 310, 107880, 34800, 'EUR', 0, NULL),
(871, 1493676000, 539, 4, 'Provision garantie au titre du 44440', 250, 87000, 34800, 'EUR', 1, NULL),
(873, 1493762400, 846, 2, 'Provision management au titre du 44580', 40, 13920, 34800, 'EUR', 0, NULL),
(874, 1496008800, 870, 2, 'Provision Management au titre du 43975', 60, 20880, 34800, 'EUR', 0, NULL),
(875, 1496008800, 870, 4, 'Provision garantie au titure du 43975', 50, 17400, 34800, 'EUR', 1, NULL),
(876, 1496095200, 889, 2, '', 400, 192000, 48000, 'EUR', 0, NULL),
(878, 1496872800, 927, 2, '', 150, 72000, 48000, 'EUR', 0, NULL),
(880, 1496268000, 754, 2, 'Provision Management au titre du 44313', 330, 114840, 34800, 'EUR', 0, NULL),
(881, 1496268000, 754, 4, 'Provision garantie au titre du 44313', 150, 52200, 34800, 'EUR', 1, NULL),
(882, 1496268000, 539, 2, 'Provision Management au titre du 44030', 540, 187920, 34800, 'EUR', 0, NULL),
(883, 1496268000, 539, 4, 'Provision Garantie au titre du 44030', 710, 247080, 34800, 'EUR', 1, NULL),
(884, 1498514400, 539, 2, 'Provision Management au titre du 44503', 80, 27840, 34800, 'EUR', 0, NULL),
(885, 1498514400, 539, 2, 'Provision Management au titre du 44555', 240, 83520, 34800, 'EUR', 0, NULL),
(886, 1498514400, 539, 4, 'Provision Garantie  au titre du 44503', 120, 41760, 34800, 'EUR', 1, NULL),
(887, 1498514400, 539, 4, 'Provision Garantie  au titre 44555', 230, 80040, 34800, 'EUR', 1, NULL),
(888, 1496268000, 753, 2, 'Provision Management au titre du 44196', 410, 142680, 34800, 'EUR', 0, NULL),
(889, 1496268000, 753, 4, 'Provision garantie  au titre du 44196', 280, 97440, 34800, 'EUR', 1, NULL),
(890, 1496268000, 774, 99, 'Forfait anomalie Juin 2017', 700, 243600, 34800, 'EUR', 1, NULL),
(891, 1499032800, 774, 99, 'Forfait Anomalie Juillet 2017', 700, 243600, 34800, 'EUR', 1, NULL),
(892, 1496268000, 775, 99, 'Forfait Assistance Juin 2017', 1260, 438480, 34800, 'EUR', 1, NULL),
(893, 1499032800, 775, 99, 'Forfait Assistance Juillet 2017', 1260, 438480, 34800, 'EUR', 1, NULL),
(894, 1499032800, 753, 2, 'Provision Management au titre du 44525', 350, 111300, 31800, 'EUR', 0, NULL),
(895, 1499119200, 753, 4, 'Provision Garantie au titre du 44525', 480, 157440, 32800, 'EUR', 1, NULL),
(897, 1499119200, 539, 4, 'Provision Garantie au titre du 44695', 50, 17400, 34800, 'EUR', 1, NULL),
(898, 1498687200, 957, 99, '[1711] realisation', 200, 63200, 31600, 'EUR', 1, NULL),
(899, 1498687200, 957, 99, '[1711] SFD', 50, 22750, 45500, 'EUR', 1, NULL),
(900, 1498687200, 957, 3, '[1711] Analyse de l?applicatif', 350, 110600, 31600, 'EUR', 1, NULL),
(901, 1498687200, 957, 2, '[1711] pilotage', 150, 68250, 45500, 'EUR', 1, NULL),
(902, 1498687200, 957, 99, '[1711] livraison', 50, 14750, 29500, 'EUR', 1, NULL),
(903, 1498687200, 957, 3, '[1711] risque - Partages', 0, 0, 0, 'EUR', 1, NULL),
(904, 1498687200, 957, 4, '[1711] garantie - partagee', 0, 0, 0, 'EUR', 1, NULL),
(905, 1498687200, 957, 2, '[1711] marge', 600, 125313, 20886, 'EUR', 1, NULL),
(974, 1501711200, 767, 99, '[1741]Livraison', 25, 7375, 29500, 'EUR', 1, NULL),
(975, 1501711200, 767, 2, '[1754]Pilotage', 200, 91000, 45500, 'EUR', 0, NULL),
(976, 1501711200, 767, 3, '[1754]Risque', 75, 26100, 34800, 'EUR', 1, NULL),
(977, 1501711200, 767, 4, '[1754]Garantie', 38, 13224, 34800, 'EUR', 1, NULL),
(978, 1501711200, 767, 99, '[1754]Livraison', 25, 7375, 29500, 'EUR', 1, NULL),
(998, 1504216800, 774, 99, 'Forfait Anomalie Septembre 2017', 700, 243600, 34800, 'EUR', 1, NULL),
(972, 1501711200, 767, 3, '[1741]Risque', 20, 6960, 34800, 'EUR', 1, NULL),
(973, 1501711200, 767, 4, '[1741]Garantie', 21, 7308, 34800, 'EUR', 1, NULL),
(922, 1499119200, 539, 2, 'Provision Management au titre du 44691', 60, 34800, 58000, 'EUR', 0, NULL),
(923, 1499724000, 539, 4, 'Provision garantie au titre du 44691', 90, 31320, 34800, 'EUR', 1, NULL),
(967, 1501711200, 767, 2, '[1705]Pilotage', 325, 147875, 45500, 'EUR', 0, NULL),
(953, 1501538400, 774, 99, 'Forfait Anomalie Aout 2017', 700, 243600, 34800, 'EUR', 1, NULL),
(963, 1501624800, 988, 2, '[1711]Pilotage', 276, 125513, 45500, 'EUR', 0, NULL),
(964, 1501624800, 988, 3, '[1711]Risque', 0, 0, 0, 'EUR', 0, NULL),
(950, 1496268000, 1023, 99, '201706 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(951, 1498860000, 1023, 99, '201707 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(952, 1501538400, 1023, 99, '201708 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(970, 1501711200, 767, 99, '[1705]Livraison', 25, 7375, 29500, 'EUR', 1, NULL),
(971, 1501711200, 767, 2, '[1741]Pilotage', 200, 91000, 45500, 'EUR', 0, NULL),
(969, 1501711200, 767, 4, '[1705]Garantie', 25, 8700, 34800, 'EUR', 1, NULL),
(968, 1501711200, 767, 3, '[1705]Risque', 35, 12180, 34800, 'EUR', 1, NULL),
(966, 1501624800, 767, 99, '[1711]Livraison', 100, 29500, 29500, 'EUR', 1, NULL),
(965, 1501624800, 988, 4, '[1711]Garantie', 0, 0, 0, 'EUR', 0, NULL),
(949, 1501020000, 970, 99, 'Travail willy Conception', 300, 144000, 48000, 'EUR', 1, NULL),
(954, 1501538400, 775, 99, 'Forfait Assistance Aout 2017', 1260, 438480, 34800, 'EUR', 1, NULL),
(980, 1501711200, 767, 2, '[1478]Pilotage', 83, 37765, 45500, 'EUR', 0, NULL),
(981, 1501711200, 767, 3, '[1478]Risque', 25, 8693, 34770, 'EUR', 1, NULL),
(982, 1501711200, 767, 4, '[1478]Garantie', 25, 8693, 34770, 'EUR', 1, NULL),
(983, 1501711200, 767, 99, '[1478]Livraison', 25, 8693, 34770, 'EUR', 1, NULL),
(984, 1495576800, 767, 2, '[1435]Pilotage', 300, 136500, 45500, 'EUR', 0, NULL),
(985, 1495576800, 767, 3, '[1435]Risque', 300, 104310, 34770, 'EUR', 1, NULL),
(986, 1495576800, 767, 4, '[1435]Garantie', 200, 69540, 34770, 'EUR', 1, NULL),
(987, 1495576800, 767, 99, '[1435]Livraison', 100, 34770, 34770, 'EUR', 1, NULL),
(988, 1501711200, 767, 2, '[1740]Pilotage', 100, 45500, 45500, 'EUR', 0, NULL),
(989, 1501711200, 767, 3, '[1740]Risque', 43, 14964, 34800, 'EUR', 1, NULL),
(990, 1501711200, 767, 4, '[1740]Garantie', 25, 8700, 34800, 'EUR', 1, NULL),
(991, 1501711200, 767, 99, '[1740]Livraison', 25, 7375, 29500, 'EUR', 1, NULL),
(992, 1501711200, 767, 2, '[1329]Pilotage', 500, 227500, 45500, 'EUR', 0, NULL),
(993, 1501711200, 767, 3, '[1329]Risque', 27, 9388, 34770, 'EUR', 1, NULL),
(994, 1501711200, 767, 4, '[1329]Garantie', 0, 0, 0, 'EUR', 1, NULL),
(995, 1501711200, 767, 99, '[1329]Livraison', 100, 34770, 34770, 'EUR', 1, NULL),
(996, 1502056800, 959, 2, '', 150, 73500, 49000, 'EUR', 0, NULL),
(1015, 1507586400, 539, 2, 'Provision Management au titre du 44812', 120, 47760, 39800, 'EUR', 0, NULL),
(999, 1504216800, 775, 99, 'Forfait Assistance Septembre 2017', 1260, 438480, 34800, 'EUR', 1, NULL),
(1001, 1504216800, 751, 2, 'Provision Management au titre du 44836', 150, 52200, 34800, 'EUR', 0, NULL),
(1002, 1504216800, 751, 4, 'Provision Garantie au titre du 44836', 130, 45240, 34800, 'EUR', 1, NULL),
(1003, 1504216800, 754, 2, 'Provision Management au titre du 45016', 270, 107460, 39800, 'EUR', 0, NULL),
(1004, 1504216800, 754, 4, 'Provision Garantie au titre du 45016', 280, 111440, 39800, 'EUR', 1, NULL),
(1005, 1501624800, 539, 2, 'Provision Management au titre du 43795', 470, 187060, 39800, 'EUR', 0, NULL),
(1006, 1501538400, 539, 4, 'Provision Garantie au titre du 43795', 730, 290540, 39800, 'EUR', 1, NULL),
(1007, 1501538400, 539, 2, 'Provision Management au titre du 43794', 420, 167160, 39800, 'EUR', 0, NULL),
(1008, 1501538400, 539, 4, 'Provision Garantie au titre du 43794', 920, 366160, 39800, 'EUR', 1, NULL),
(1009, 1501538400, 539, 2, 'Provision Management au titre du 43796', 470, 187060, 39800, 'EUR', 0, NULL),
(1010, 1501538400, 539, 4, 'Provision Garantie au titre du 43796', 1230, 489540, 39800, 'EUR', 1, NULL),
(1011, 1504216800, 987, 2, 'Provision Management au titre du 45032', 200, 79600, 39800, 'EUR', 0, NULL),
(1012, 1504216800, 987, 4, 'Provision Garantie au titre du 45032', 220, 87560, 39800, 'EUR', 1, NULL),
(1044, 1509577200, 539, 2, 'Provision Management au titre du 45180', 450, 179100, 39800, 'EUR', 0, NULL),
(1016, 1507240800, 539, 4, 'Provision garantie au titre du 44812', 180, 71640, 39800, 'EUR', 1, NULL),
(1017, 1507240800, 539, 2, 'Provision Management au titre du 44868', 140, 55720, 39800, 'EUR', 0, NULL),
(1018, 1507240800, 539, 4, 'Provision garantie au titre du 44868', 110, 43780, 39800, 'EUR', 1, NULL),
(1019, 1506895200, 1042, 2, 'Provision management au titre du 43888', 100, 39800, 39800, 'EUR', 0, NULL),
(1020, 1506895200, 1042, 4, 'Provision garantie au titre du 43888', 100, 39800, 39800, 'EUR', 1, NULL),
(1021, 1507500000, 1042, 2, 'Provision management au titre du 45004', 290, 115420, 39800, 'EUR', 0, NULL),
(1022, 1507500000, 1042, 4, 'Provision garantie au titre du 45004', 180, 71640, 39800, 'EUR', 1, NULL),
(1023, 1506895200, 1042, 2, 'Provision management au titre du 45005', 250, 99500, 39800, 'EUR', 0, NULL),
(1024, 1507500000, 1042, 4, 'Provision garantie au titre du 45005', 130, 51740, 39800, 'EUR', 1, NULL),
(1025, 1507500000, 987, 2, 'Provision management au titre du 45046', 60, 23880, 39800, 'EUR', 0, NULL),
(1026, 1507500000, 987, 4, 'Provision garantie au titre du 45046', 140, 55720, 39800, 'EUR', 1, NULL),
(1027, 1507586400, 1042, 2, 'Provision Management au titre du 44078', 200, 79600, 39800, 'EUR', 0, NULL),
(1028, 1508191200, 1042, 4, 'Provision Garantie au titre du 44078', 330, 131340, 39800, 'EUR', 1, NULL),
(1029, 1506895200, 539, 2, 'Provision Management au itre du 45063', 100, 39800, 39800, 'EUR', 0, NULL),
(1030, 1507068000, 539, 4, 'Provision Garantie au itre du 45063', 250, 39800, 15920, 'EUR', 1, NULL),
(1031, 1506981600, 539, 2, 'Provision Managment au titre du 45174', 50, 19900, 39800, 'EUR', 0, NULL),
(1032, 1508709600, 539, 4, 'Provision Garantie au titre du 45174', 60, 23880, 39800, 'EUR', 1, NULL),
(1033, 1501538400, 870, 2, 'Provision Management au titre du 44654', 440, 175120, 39800, 'EUR', 0, NULL),
(1034, 1501538400, 870, 4, 'Provision Garantie au titre du 44654', 180, 71640, 39800, 'EUR', 1, NULL),
(1035, 1506895200, 775, 99, 'Forfait assistance Octobre 2017', 1260, 438480, 34800, 'EUR', 1, NULL),
(1036, 1509577200, 775, 99, 'Forfait assistance Novembre 2017', 1260, 438480, 34800, 'EUR', 1, NULL),
(1037, 1506895200, 774, 99, 'Forfait Anomalie Octobre 2017', 700, 243600, 34800, 'EUR', 1, NULL),
(1038, 1509577200, 774, 99, 'Forfait Anomalie Novembre 2017', 700, 243600, 34800, 'EUR', 1, NULL),
(1039, 1509490800, 1091, 2, 'Provision Management au titre du 45121', 50, 19900, 39800, 'EUR', 0, NULL),
(1040, 1509490800, 1091, 2, 'Provision Management au titre du 44615', 120, 47760, 39800, 'EUR', 0, NULL),
(1041, 1509490800, 1091, 4, 'Provision garantie au titre du 44615', 80, 31840, 39800, 'EUR', 1, NULL),
(1042, 1509490800, 1043, 2, 'Provision management au titre di 45038', 140, 55720, 39800, 'EUR', 0, NULL),
(1043, 1509490800, 1043, 4, 'Provision Garantie au titre du 45038', 150, 59700, 39800, 'EUR', 1, NULL),
(1045, 1509577200, 539, 4, 'Provision garantie au titre du 45180', 750, 298500, 39800, 'EUR', 1, NULL),
(1046, 1511132400, 1043, 2, 'Provision Management au titre du 45235', 40, 15920, 39800, 'EUR', 0, NULL),
(1047, 1511218800, 1043, 4, 'Provision garantie au titre du 45235', 60, 23880, 39800, 'EUR', 1, NULL),
(1048, 1509490800, 1043, 2, 'Provision Management au titre du 44408', 150, 59700, 39800, 'EUR', 0, NULL),
(1049, 1511218800, 1043, 4, 'Provision garantie au titre du 44408', 100, 39800, 39800, 'EUR', 1, NULL),
(1050, 1511218800, 1043, 2, 'Provision Management au titre du 45037', 150, 59700, 39800, 'EUR', 0, NULL),
(1051, 1511218800, 1043, 4, 'Provision garantie au titre du 45037', 130, 51740, 39800, 'EUR', 1, NULL),
(1052, 1509577200, 1043, 2, 'Provision Management au titre du 44612', 250, 99500, 39800, 'EUR', 0, NULL),
(1053, 1509577200, 1043, 4, 'Provision Garantie au titre du 44612', 100, 39800, 39800, 'EUR', 1, NULL),
(1054, 1509577200, 1043, 2, 'Provision Management au titre du 45229', 510, 202980, 39800, 'EUR', 0, NULL),
(1055, 1509577200, 1043, 4, 'Provision Garantie au titre du 45229', 550, 218900, 39800, 'EUR', 1, NULL),
(1056, 1512082800, 1043, 2, 'Provision Management au titre du 45279', 250, 99500, 39800, 'EUR', 0, NULL),
(1057, 1512082800, 1043, 4, 'Provision Garantie au titre du 45279', 230, 91540, 39800, 'EUR', 1, NULL),
(1058, 1512342000, 1043, 2, 'Provision Management au titre du 45234', 140, 55720, 39800, 'EUR', 0, NULL),
(1059, 1512342000, 1043, 4, 'Provision Garantie au titre du 45234', 100, 39800, 39800, 'EUR', 1, NULL),
(1060, 1512342000, 1043, 2, 'Provision Management au titre du 45264', 100, 39800, 39800, 'EUR', 0, NULL),
(1061, 1512342000, 1043, 4, 'Provision Garantie au titre du 45264', 100, 39800, 39800, 'EUR', 1, NULL),
(1062, 1512082800, 774, 99, 'Forfait Anomalie Decembre 2017', 700, 278600, 39800, 'EUR', 1, NULL),
(1063, 1512082800, 775, 99, 'Forfait assistance Decembre  2017', 1260, 501480, 39800, 'EUR', 1, NULL),
(1064, 1512082800, 1091, 2, 'Provision Management au titre du 45108', 290, 115420, 39800, 'EUR', 0, NULL),
(1065, 1512082800, 1091, 4, 'Provision Garantie au titre du  45108', 270, 134460, 49800, 'EUR', 1, NULL),
(1066, 1512082800, 1043, 2, 'Provision Management au titre du 45041', 180, 71640, 39800, 'EUR', 0, NULL),
(1067, 1512082800, 1043, 4, 'Provision Garantie au titre du 45041', 120, 47760, 39800, 'EUR', 1, NULL),
(1068, 1512082800, 1043, 2, 'Provision Management au titre du 44817', 110, 43780, 39800, 'EUR', 0, NULL),
(1069, 1512082800, 1043, 4, 'Provision Garantie au titre du 44817', 130, 51740, 39800, 'EUR', 1, NULL),
(1070, 1504216800, 1023, 99, '201709 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1071, 1506808800, 1023, 99, '201710 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1072, 1509490800, 1023, 99, '201711 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1073, 1512082800, 1023, 99, '201712 - Recurent', 0, 172882, 0, 'EUR', 1, NULL),
(1074, 1514761200, 1132, 99, '201801 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1075, 1517439600, 1132, 99, '201802 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1076, 1519858800, 1132, 99, '201803 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1077, 1522533600, 1132, 99, '201804 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1078, 1525125600, 1132, 99, '201805 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1079, 1527804000, 1132, 99, '201806 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1080, 1530396000, 1132, 99, '201807 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1081, 1533074400, 1132, 99, '201808 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1082, 1535752800, 1132, 99, '201809 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1083, 1538344800, 1132, 99, '201810 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1084, 1541026800, 1132, 99, '201811 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1085, 1543618800, 1132, 99, '201812 - Recurent', 200, 172882, 86441, 'EUR', 1, NULL),
(1086, 1514761200, 1134, 2, 'Provision Management au titre du 45258', 70, 27860, 39800, 'EUR', 0, NULL),
(1096, 1516057200, 539, 2, 'Provision Management au titre du 45191', 330, 131340, 39800, 'EUR', 0, NULL),
(1108, 1515366000, 539, 2, 'Provision Management au titre du 45319', 120, 39800, 33167, 'EUR', 0, NULL),
(1097, 1516057200, 539, 4, 'Provision Garantie au titre du 45191', 140, 55720, 39800, 'EUR', 1, NULL),
(1099, 1516662000, 539, 4, 'Provision Garantie au titre su 45319', 100, 39800, 39800, 'EUR', 1, NULL),
(1100, 1517180400, 539, 2, 'Provision Management au titre du 45426', 80, 31840, 39800, 'EUR', 0, NULL),
(1101, 1517180400, 539, 2, 'Provision Management au titre du 45385', 70, 27860, 39800, 'EUR', 0, NULL),
(1102, 1517180400, 539, 4, 'Provision Garantie au titre du 45385', 70, 27860, 39800, 'EUR', 1, NULL),
(1103, 1517180400, 539, 2, 'Provision Management au titre du 45337', 40, 39800, 99500, 'EUR', 0, NULL),
(1104, 1517180400, 539, 2, 'Provision Management au titre du 45335', 220, 39800, 18091, 'EUR', 0, NULL),
(1105, 1517180400, 539, 4, 'Provision Garantie au titre du 45335', 100, 39800, 39800, 'EUR', 1, NULL),
(1106, 1517180400, 539, 2, 'Porvision Management au titre du 45351', 270, 107460, 39800, 'EUR', 0, NULL),
(1107, 1516575600, 539, 4, 'Provision Garantie au titre du 45351', 180, 71640, 39800, 'EUR', 1, NULL),
(1109, 1517785200, 1134, 2, 'Provision Management au titre du 45241', 140, 55720, 39800, 'EUR', 0, NULL),
(1111, 1517785200, 1134, 4, 'Provision Garantie au titre du 45241', 150, 59700, 39800, 'EUR', 1, NULL),
(1112, 1517785200, 1134, 2, 'Provision Management au titre du 45287', 270, 107460, 39800, 'EUR', 0, NULL),
(1113, 1517785200, 1134, 4, 'Provision Management au titre du 45287', 280, 111440, 39800, 'EUR', 1, NULL),
(1114, 1517958000, 539, 2, 'Provision Management au titre du 45619', 50, 19900, 39800, 'EUR', 0, NULL),
(1115, 1517958000, 539, 2, 'Provision Management au titre du 45627', 70, 27860, 39800, 'EUR', 0, NULL),
(1116, 1517958000, 539, 4, 'Provision Garantie au titre du 45619', 70, 27860, 39800, 'EUR', 1, NULL),
(1117, 1517958000, 539, 4, 'Provision Garantie au titre du 45627', 120, 47760, 39800, 'EUR', 1, NULL),
(1118, 1518390000, 539, 2, 'Provision Management au titre du 45530', 200, 79600, 39800, 'EUR', 0, NULL),
(1119, 1518390000, 539, 4, 'Provision Garantie au titre du 45530', 200, 79600, 39800, 'EUR', 1, NULL),
(1120, 1518390000, 539, 2, 'Provision Management au titre du 45379', 130, 51740, 39800, 'EUR', 0, NULL),
(1121, 1518390000, 539, 4, 'Provision Garantie au titre du 45379', 110, 41690, 37900, 'EUR', 1, NULL),
(1122, 1519167600, 1142, 2, '', 500, 240000, 48000, 'EUR', 0, NULL),
(1123, 1514847600, 1130, 99, 'Forfait Anomalie Janvier 2018', 700, 278600, 39800, 'EUR', 1, NULL),
(1124, 1517439600, 1130, 99, 'Forfait Anomalie Février  2018', 700, 278600, 39800, 'EUR', 1, NULL),
(1125, 1514761200, 1131, 99, 'Provision Assistance Janvier 2018', 1260, 501480, 39800, 'EUR', 1, NULL),
(1126, 1517439600, 1131, 99, 'Provision Assistance Février 2018', 1260, 501480, 39800, 'EUR', 1, NULL),
(1127, 1519340400, 1146, 5, '', 75, 34500, 46000, 'EUR', 1, NULL),
(1128, 1517439600, 1134, 2, 'Provision Management au titre du 45601', 130, 51740, 39800, 'EUR', 0, NULL),
(1129, 1517439600, 1134, 4, 'Provision Garantie au titre du 45601', 120, 47760, 39800, 'EUR', 1, NULL),
(1130, 1519858800, 1130, 99, 'Forfait Anomalie Mars 2018', 700, 278600, 39800, 'EUR', 1, NULL),
(1131, 1519858800, 1131, 99, 'Forfait assistance Mars 2018', 1260, 501480, 39800, 'EUR', 1, NULL),
(1132, 1519858800, 539, 2, 'Provision Management au titre du 45677', 100, 39800, 39800, 'EUR', 0, NULL),
(1133, 1519858800, 539, 4, 'Provision Garantie au titre du 45677', 100, 39800, 39800, 'EUR', 1, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `codev_command_table`
--

DROP TABLE IF EXISTS `codev_command_table`;
CREATE TABLE `codev_command_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(100) NOT NULL,
  `reference` varchar(64) DEFAULT NULL,
  `version` varchar(64) DEFAULT NULL,
  `reporter` varchar(64) DEFAULT NULL,
  `start_date` int(11) UNSIGNED DEFAULT NULL,
  `deadline` int(11) DEFAULT NULL,
  `team_id` int(11) NOT NULL,
  `wbs_id` int(11) DEFAULT NULL,
  `state` int(11) UNSIGNED DEFAULT NULL,
  `currency` varchar(3) DEFAULT 'EUR',
  `total_days` int(11) DEFAULT NULL,
  `average_daily_rate` int(11) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL DEFAULT 1,
  `description` varchar(500) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_command_table`
--

INSERT INTO `codev_command_table` (`id`, `name`, `reference`, `version`, `reporter`, `start_date`, `deadline`, `team_id`, `wbs_id`, `state`, `currency`, `total_days`, `average_daily_rate`, `enabled`, `description`) VALUES
(587, 'command_587', 'R587', NULL, 'Joe the customer', 1451602800, 1483138800, 20, 13396, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(588, 'command_588', 'R588', NULL, 'Joe the customer', NULL, NULL, 20, 13639, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(693, 'command_693', 'R693', NULL, 'Joe the customer', 1474236000, 1490824800, 20, 28582, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(63, 'command_63', 'R63', NULL, 'Joe the customer', NULL, NULL, 20, 1541, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(64, 'command_64', 'R64', NULL, 'Joe the customer', NULL, NULL, 20, 1546, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(870, 'command_870', 'R870', NULL, 'Joe the customer', NULL, NULL, 20, 84190, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(253, 'command_253', 'R253', NULL, 'Joe the customer', NULL, NULL, 20, 3851, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(466, 'command_466', 'R466', NULL, 'Joe the customer', NULL, NULL, 20, 9104, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(467, 'command_467', 'R467', NULL, 'Joe the customer', NULL, NULL, 20, 9126, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(468, 'command_468', 'R468', NULL, 'Joe the customer', NULL, NULL, 20, 9147, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(261, 'command_261', 'R261', NULL, 'Joe the customer', NULL, 1427752800, 20, 4037, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(855, 'command_855', 'R855', NULL, 'Joe the customer', NULL, NULL, 20, 68925, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(207, 'command_207', 'R207', NULL, 'Joe the customer', 1420066800, 1425078000, 20, 3481, 6, 'EUR', 1200, NULL, 1, 'fake description...'),
(462, 'command_462', 'R462', NULL, 'Joe the customer', NULL, NULL, 20, 8883, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(460, 'command_460', 'R460', NULL, 'Joe the customer', NULL, 1459202400, 20, 8741, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(439, 'command_439', 'R439', NULL, 'Joe the customer', NULL, NULL, 20, 7960, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(245, 'command_245', 'R245', NULL, 'Joe the customer', NULL, NULL, 20, 3815, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(246, 'command_246', 'R246', NULL, 'Joe the customer', NULL, NULL, 20, 3816, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(247, 'command_247', 'R247', NULL, 'Joe the customer', NULL, NULL, 20, 3817, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(248, 'command_248', 'R248', NULL, 'Joe the customer', NULL, NULL, 20, 3818, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(249, 'command_249', 'R249', NULL, 'Joe the customer', NULL, NULL, 20, 3819, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(250, 'command_250', 'R250', NULL, 'Joe the customer', NULL, NULL, 20, 3820, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(251, 'command_251', 'R251', NULL, 'Joe the customer', NULL, NULL, 20, 3821, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(252, 'command_252', 'R252', NULL, 'Joe the customer', NULL, NULL, 20, 3822, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(280, 'command_280', 'R280', NULL, 'Joe the customer', 1422831600, 1431640800, 20, 4318, 9, 'EUR', NULL, NULL, 1, 'fake description...'),
(493, 'command_493', 'R493', NULL, 'Joe the customer', NULL, NULL, 20, 9760, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(381, 'command_381', 'R381', NULL, 'Joe the customer', NULL, NULL, 20, 6796, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(387, 'command_387', 'R387', NULL, 'Joe the customer', 1444600800, 1451602800, 20, 6963, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(390, 'command_390', 'R390', NULL, 'Joe the customer', NULL, NULL, 20, 7050, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(427, 'command_427', 'R427', NULL, 'Joe the customer', 1443650400, 1454022000, 20, 7509, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(428, 'command_428', 'R428', NULL, 'Joe the customer', NULL, NULL, 20, 7512, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(431, 'command_431', 'R431', NULL, 'Joe the customer', 1447282800, 1461794400, 20, 7859, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(441, 'command_441', 'R441', NULL, 'Joe the customer', 1448319600, 1451516400, 20, 8127, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(457, 'command_457', 'R457', NULL, 'Joe the customer', NULL, 1454022000, 20, 8601, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(458, 'command_458', 'R458', NULL, 'Joe the customer', 1448924400, 1456700400, 20, 8610, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(471, 'command_471', 'R471', NULL, 'Joe the customer', NULL, NULL, 20, 9452, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(522, 'command_522', 'R522', NULL, 'Joe the customer', 1459461600, NULL, 20, 10830, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(527, 'command_527', 'R527', NULL, 'Joe the customer', NULL, NULL, 20, 11282, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(536, 'command_536', 'R536', NULL, 'Joe the customer', 1457996400, 1462312800, 20, 11507, 6, 'EUR', 4090, NULL, 1, 'fake description...'),
(539, 'command_539', 'R539', NULL, 'Joe the customer', NULL, NULL, 20, 11619, 0, 'EUR', NULL, NULL, 1, 'fake description...'),
(572, 'command_572', 'R572', NULL, 'Joe the customer', 1451602800, 1472594400, 20, 12439, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(585, 'command_585', 'R585', NULL, 'Joe the customer', 1451602800, 1483138800, 20, 13241, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(626, 'command_626', 'R626', NULL, 'Joe the customer', NULL, NULL, 20, 18678, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(661, 'command_661', 'R661', NULL, 'Joe the customer', 1470002400, 1475186400, 20, 21773, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(749, 'command_749', 'R749', NULL, 'Joe the customer', 1477954800, 1485817200, 20, 38641, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(751, 'command_751', 'R751', NULL, 'Joe the customer', 1480546800, 1496181600, 20, 39576, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(753, 'command_753', 'R753', NULL, 'Joe the customer', 1477954800, NULL, 20, 39589, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(754, 'command_754', 'R754', NULL, 'Joe the customer', 1490911200, 1505340000, 20, 39592, 0, 'EUR', NULL, NULL, 1, 'fake description...'),
(766, 'command_766', 'R766', NULL, 'Joe the customer', NULL, NULL, 20, 51421, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(774, 'command_774', 'R774', NULL, 'Joe the customer', 1483311600, 1514502000, 20, 52350, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(775, 'command_775', 'R775', NULL, 'Joe the customer', NULL, NULL, 20, 52351, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(806, 'command_806', 'R806', NULL, 'Joe the customer', 1480546800, 1488236400, 20, 56054, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(797, 'command_797', 'R797', NULL, 'Joe the customer', NULL, NULL, 20, 54400, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(845, 'command_845', 'R845', NULL, 'Joe the customer', 1485903600, 1493244000, 20, 66476, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(846, 'command_846', 'R846', NULL, 'Joe the customer', 1488322800, 1499032800, 20, 66514, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(915, 'command_915', 'R915', NULL, 'Joe the customer', NULL, NULL, 20, 96607, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(987, 'command_987', 'R987', NULL, 'Joe the customer', 1501538400, 1514674800, 20, 118645, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(1091, 'command_1091', 'R1091', NULL, 'Joe the customer', NULL, NULL, 20, 137515, 6, 'EUR', NULL, NULL, 1, 'fake description...'),
(1042, 'command_1042', 'R1042', NULL, 'Joe the customer', 1505167200, 1522360800, 20, 131487, 1, 'EUR', NULL, NULL, 1, 'fake description...'),
(1043, 'command_1043', 'R1043', NULL, 'Joe the customer', 1505167200, 1520463600, 20, 131502, 0, 'EUR', NULL, NULL, 1, 'fake description...'),
(1130, 'command_1130', 'R1130', NULL, 'Joe the customer', 1514761200, 1546210800, 20, 168546, 1, 'EUR', NULL, NULL, 1, 'fake description...'),
(1134, 'command_1134', 'R1134', NULL, 'Joe the customer', 1514415600, 1519772400, 20, 168559, 1, 'EUR', NULL, NULL, 1, 'fake description...'),
(1176, 'command_1176', 'R1176', NULL, 'Joe the customer', 1517439600, 1527631200, 20, 194485, 1, 'EUR', NULL, NULL, 1, 'fake description...'),
(1186, 'command_1186', 'R1186', NULL, 'Joe the customer', 1520463600, 1537480800, 20, 210768, 6, 'EUR', NULL, NULL, 1, 'fake description...');

-- --------------------------------------------------------

--
-- Structure de la table `codev_config_table`
--

DROP TABLE IF EXISTS `codev_config_table`;
CREATE TABLE `codev_config_table` (
  `config_id` varchar(64) NOT NULL,
  `value` longtext NOT NULL,
  `type` int(11) NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `project_id` int(11) NOT NULL DEFAULT 0,
  `team_id` int(11) NOT NULL DEFAULT 0,
  `servicecontract_id` int(11) NOT NULL DEFAULT 0,
  `commandset_id` int(11) NOT NULL DEFAULT 0,
  `command_id` int(11) NOT NULL DEFAULT 0,
  `access_reqd` int(11) DEFAULT NULL,
  `description` longtext DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_config_table`
--

INSERT INTO `codev_config_table` (`config_id`, `value`, `type`, `user_id`, `project_id`, `team_id`, `servicecontract_id`, `commandset_id`, `command_id`, `access_reqd`, `description`) VALUES
('database_version', '20', 1, 0, 0, 0, 0, 0, 0, NULL, NULL),
('job_support', '2', 1, 0, 0, 0, 0, 0, 0, NULL, NULL),
('blogCategories', '1:General,2:Timetracking,3:Admin', 3, 0, 0, 0, 0, 0, 0, NULL, NULL),
('bug_resolved_status_threshold', '80', 1, 0, 0, 0, 0, 0, 0, NULL, 'bug resolved threshold as defined in Mantis (g_bug_resolved_status_threshold)'),
('client_teamid', '', 1, 0, 0, 0, 0, 0, 0, NULL, 'teamId du client'),
('customField_effortEstim', '1', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('customField_type', '2', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('customField_MgrEffortEstim', '3', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('customField_ExtId', '4', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('customField_deadLine', '5', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('customField_addEffort', '6', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('customField_backlog', '7', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('customField_deliveryDate', '8', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('externalTasksProject', '3', 1, 0, 0, 0, 0, 0, 0, NULL, 'CodevTT Projet de taches externes'),
('adminTeamId', '1', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('externalTask_leave', '2', 1, 0, 0, 0, 0, 0, 0, NULL, 'Tâche absence commune'),
('issue_tooltip_fields', 'a:6:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:15:\"codevtt_elapsed\";i:4;s:8:\"custom_7\";i:5;s:13:\"codevtt_drift\";}', 2, 0, 0, 0, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('defaultTeamId', '1', 1, 1, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '41', 1, 3, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'en', 1, 1, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 1, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '20', 1, 2, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'en', 1, 2, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '159', 1, 2, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', '', 1, 2, 0, 0, 0, 0, 1, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 5, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 4, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 3, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 2, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('projectFilters', 'ProjectCategoryFilter', 1, 2, 2, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 8, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '41', 1, 9, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '63', 1, 10, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 10, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '6', 1, 10, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '14', 1, 5, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 3, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '29', 1, 3, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '3', 1, 11, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '3', 1, 14, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 14, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '6', 1, 14, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 11, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '6', 1, 11, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '56', 1, 12, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 12, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 12, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '11', 1, 13, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '3', 1, 16, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 16, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '6', 1, 16, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '3', 1, 15, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 15, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '6', 1, 15, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', '', 1, 11, 0, 0, 0, 0, 7, NULL, ''),
('projectFilters', 'IssueCodevTypeFilter', 1, 2, 1, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultTeamId', '3', 1, 17, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 17, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '6', 1, 17, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', '', 1, 2, 0, 0, 0, 0, 7, NULL, ''),
('defaultTeamId', '33', 1, 6, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 10, 5, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 5, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 6, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '74', 1, 6, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', '', 1, 11, 0, 0, 0, 0, 9, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 3, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectVersionFilter,ProjectCategoryFilter', 1, 2, 10, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('projectFilters', 'ProjectVersionFilter,ProjectCategoryFilter', 1, 6, 10, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultTeamId', '33', 1, 23, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '41', 1, 22, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 9, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '87', 1, 9, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 22, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '74', 1, 22, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 23, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 23, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '41', 1, 24, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', 'ProjectFilter', 1, 2, 0, 0, 0, 0, 9, NULL, ''),
('commandFilters', 'ProjectVersionFilter', 1, 2, 0, 0, 0, 0, 10, NULL, ''),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 12, 6, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('defaultTeamId', '8', 1, 7, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', '', 1, 7, 0, 0, 0, 0, 7, NULL, ''),
('defaultLanguage', 'fr', 1, 7, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 7, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '57', 1, 25, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 15, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 11, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '30', 1, 27, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '11', 1, 26, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '2', 1, 8, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 8, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '0', 1, 8, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 25, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '167', 1, 25, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 26, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '12', 1, 26, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('externalTasksCat_leave', '58', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('externalTasksCat_otherInternal', '59', 1, 0, 0, 0, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 14, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:0,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 6, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 13, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 13, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 14, 7, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 7, 0, 0, 0, NULL, ''),
('defaultTeamId', '33', 1, 28, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 28, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '61', 1, 28, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 13, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '7', 1, 29, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 29, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '14', 1, 29, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '3', 1, 19, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 19, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 10, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('projectFilters', 'ProjectVersionFilter', 1, 2, 14, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:1,', 3, 0, 0, 3, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 16, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 14, 8, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('commandFilters', 'ProjectVersionFilter,ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 15, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 9, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectCategoryFilter,ProjectVersionFilter', 1, 2, 0, 0, 0, 0, 16, NULL, ''),
('defaultLanguage', 'fr', 1, 27, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '19', 1, 27, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('projectFilters', 'ProjectVersionFilter', 1, 9, 19, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('commandFilters', 'ProjectVersionFilter', 1, 9, 0, 0, 0, 0, 16, NULL, ''),
('defaultTeamId', '51', 1, 33, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:1,', 3, 0, 0, 10, 0, 0, 0, NULL, ''),
('defaultTeamId', '3', 1, 34, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('durationList', '1:1 (All day),0.9:0.9,0.8:0.8,0.7:0.7,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.1:0.1,0.05:0.05,0.125:0.125 (1 hour),', 3, 0, 0, 10, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 37, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '21', 1, 38, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('issue_tooltip_fields', 'a:8:{i:0;s:16:\"codevtt_commands\";i:1;s:10:\"project_id\";i:2;s:11:\"category_id\";i:3;s:8:\"custom_2\";i:4;s:6:\"status\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 23, 11, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('defaultLanguage', 'fr', 1, 37, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 37, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 38, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 38, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 33, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '87', 1, 33, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('projectFilters', 'ProjectVersionFilter', 1, 2, 19, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 2, 0, 3, 0, 0, 0, NULL, ''),
('durationList', '1:1 journée,0.9:0.9,0.8:0.8,0.75:0.75,0.7:0.7,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.1:0.1,0.05:0.05,0.15:0.15,', 3, 0, 0, 11, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectCategoryFilter', 1, 2, 23, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 11, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:8:{i:0;s:16:\"codevtt_commands\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:8:\"custom_1\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 25, 12, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 12, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 46, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', 'IssueExtIdFilter', 1, 2, 0, 0, 0, 0, 19, NULL, ''),
('defaultTeamId', '11', 1, 40, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '11', 1, 44, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '11', 1, 41, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', 'ProjectCategoryFilter', 1, 37, 0, 0, 0, 0, 24, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 40, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 46, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '25', 1, 46, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '23', 1, 48, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 48, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '102', 1, 48, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '0', 1, 47, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '11', 1, 42, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '12', 1, 50, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '11', 1, 39, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '15', 1, 49, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 13, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 14, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 29, 14, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('dashboard_CommandSet19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\",\"isGraphOnly\":0},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":\"on\",\"isGraphOnly\":0}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 56, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '21', 1, 53, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 39, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '23', 1, 39, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '28', 1, 61, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 61, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '59', 1, 61, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '18', 1, 63, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 63, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '36', 1, 63, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '24', 1, 64, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 34, 19, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 62, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 62, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '34', 1, 62, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 71, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 68, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('projectFilters', 'ProjectCategoryFilter', 1, 63, 36, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('commandSetFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 7, 0, NULL, ''),
('defaultTeamId', '20', 1, 73, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 39, 21, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('defaultTeamId', '21', 1, 78, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '12', 1, 79, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 72, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 74, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 74, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 74, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 74, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '22', 1, 84, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '48', 1, 83, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '57', 1, 89, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 31, NULL, ''),
('projectFilters', 'ProjectCategoryFilter', 1, 2, 29, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultTeamId', '31', 1, 75, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 75, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '21', 1, 76, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '21', 1, 80, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '23', 1, 92, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '12', 1, 91, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 92, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 92, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', 'ProjectVersionFilter,ProjectCategoryFilter', 1, 39, 0, 0, 0, 0, 19, NULL, ''),
('defaultTeamId', '38', 1, 77, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 93, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '25', 1, 81, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 81, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '25', 1, 82, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 75, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '39', 1, 75, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('projectFilters', 'ProjectCategoryFilter', 1, 79, 25, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultTeamId', '11', 1, 99, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '11', 1, 98, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 98, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '23', 1, 98, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '12', 1, 97, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '25', 1, 88, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', 'IssueExtIdFilter', 1, 72, 0, 0, 0, 0, 63, NULL, ''),
('commandFilters', 'IssueExtIdFilter', 1, 2, 0, 0, 0, 0, 63, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 53, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 88, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 40, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 40, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 23, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:0,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 21, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 81, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '47', 1, 81, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 50, 24, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('defaultLanguage', 'fr', 1, 64, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 64, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '24', 1, 108, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 93, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 93, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 97, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '25', 1, 97, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 73, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('issue_tooltip_fields', 'a:8:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_4\";i:3;s:6:\"status\";i:4;s:8:\"custom_1\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 41, 23, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('defaultTeamId', '40', 1, 96, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('issue_tooltip_fields', 'a:11:{i:0;s:10:\"project_id\";i:1;s:16:\"codevtt_commands\";i:2;s:14:\"target_version\";i:3;s:8:\"custom_4\";i:4;s:6:\"status\";i:5;s:8:\"custom_5\";i:6;s:8:\"custom_3\";i:7;s:8:\"custom_1\";i:8;s:15:\"codevtt_elapsed\";i:9;s:13:\"codevtt_drift\";i:10;s:8:\"custom_7\";}', 2, 0, 41, 20, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('issue_tooltip_fields', 'a:8:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_4\";i:3;s:6:\"status\";i:4;s:8:\"custom_1\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 45, 23, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('issue_tooltip_fields', 'a:8:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_4\";i:3;s:6:\"status\";i:4;s:8:\"custom_1\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 48, 23, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('defaultLanguage', 'fr', 1, 96, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '72', 1, 96, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_myDashboardId', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Team23', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"interval\":\"monthly\",\"userSettings\":{\"2\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"48\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"72\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"74\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"83\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"94\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"95\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"96\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"118\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"134\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"146\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"147\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"154\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"156\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"157\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"158\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"164\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"167\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"168\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"169\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"173\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"174\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"180\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"181\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"194\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"199\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"205\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"212\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"217\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"223\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"224\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"236\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"246\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"248\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"249\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"250\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"251\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"252\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"253\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"254\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"255\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"279\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"293\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"308\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"309\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"312\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"322\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"342\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"343\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"346\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"353\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"366\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"371\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"}}}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 109, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkIssuesNotInMultipleCommands:0,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 112, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '48', 1, 113, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 113, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '101', 1, 113, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 56, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '167', 1, 56, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_myDashboardId', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkloadIndicator\",\"interval\":\"monthly\"}]}', 2, 2, 0, 9, 0, 0, 0, NULL, ''),
('dashboard_myDashboardId', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0,\"isCollapsed\":false},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"currentMonth\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\",\"isCollapsed\":true},{\"pluginClassName\":\"ReopenedRateIndicator2\",\"interval\":\"30\",\"isCollapsed\":true}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 54, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '38', 1, 111, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '25', 1, 115, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 115, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('serviceContractFilters', 'ProjectFilter', 1, 2, 0, 0, 7, 0, 0, NULL, ''),
('defaultTeamId', '11', 1, 110, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 110, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '23', 1, 110, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '20', 1, 114, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 88, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 88, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 96, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 82, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Team9', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkloadIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"ReopenedRateIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 9, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 116, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '40', 1, 118, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 92, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_cmdDashboard', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"currentMonth\",\"showSidetasks\":0,\"isGraphOnly\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"currentMonth\",\"isGraphOnly\":0},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"currentMonth\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('defaultTeamId', '40', 1, 94, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 94, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 94, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 94, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('cmdStateFilters', '1:0,2:0,3:0,4:0,5:0,6:0,7:0,8:0,9:0,', 2, 88, 0, 27, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 118, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '22', 1, 85, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '49', 1, 86, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '22', 1, 87, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '40', 1, 95, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 95, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 28, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 89, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('projectFilters', 'IssueExtIdFilter', 1, 46, 25, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_cmdDashboard', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0}]}', 2, 2, 0, 14, 0, 0, 0, NULL, ''),
('dashboard_cmdDashboard', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_CommandSet', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\",\"isGraphOnly\":0},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_Command', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":\"on\",\"isGraphOnly\":0}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_CommandSet', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\",\"isGraphOnly\":0}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command136', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_Command31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":\"on\",\"isGraphOnly\":0}]}', 2, 6, 0, 14, 0, 0, 0, NULL, ''),
('dashboard_Command63', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\",\"isGraphOnly\":0},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"currentMonth\",\"showSidetasks\":0,\"isGraphOnly\":0,\"isCollapsed\":true}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_Command16', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\",\"isGraphOnly\":0},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0,\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"oneMonth\"}]}', 2, 2, 0, 9, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 64, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectVersionFilter,IssueCodevTypeFilter', 1, 72, 41, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('commandFilters', 'ProjectCategoryFilter,ProjectVersionFilter', 1, 72, 0, 0, 0, 0, 64, NULL, ''),
('serviceContractFilters', 'ProjectFilter,ProjectVersionFilter', 1, 72, 0, 0, 14, 0, 0, NULL, ''),
('serviceContractFilters', 'ProjectFilter,ProjectVersionFilter', 1, 2, 0, 0, 14, 0, 0, NULL, ''),
('commandSetFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 19, 0, NULL, ''),
('commandSetFilters', 'IssueCodevTypeFilter', 1, 72, 0, 0, 0, 19, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 29, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 122, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 85, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 85, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '15', 1, 51, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 128, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 113, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('commandSetFilters', 'ProjectVersionFilter', 1, 2, 0, 0, 0, 20, 0, NULL, ''),
('commandSetFilters', 'ProjectVersionFilter', 1, 88, 0, 0, 0, 19, 0, NULL, ''),
('dashboard_Command179', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_Command179', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0},{\"pluginClassName\":\"AvailableWorkloadIndicator\",\"interval\":\"monthly\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_CommandSet19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command168', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\",\"isGraphOnly\":0}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('commandSetFilters', 'ProjectVersionFilter', 1, 88, 0, 0, 0, 20, 0, NULL, ''),
('dashboard_CommandSet20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isGraphOnly\":0}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract14', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"HelloWorldIndicator\",\"isDateDisplayed\":\"on\",\"isCollapsed\":false}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_CommandSet7', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command63', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkloadIndicator\",\"interval\":\"monthly\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectVersionFilter', 1, 72, 0, 0, 0, 0, 113, NULL, ''),
('dashboard_Team20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"interval\":\"monthly\",\"userSettings\":{\"2\":{\"enabled\":0,\"availability\":\"50\",\"prodCoef\":\"1\"},\"72\":{\"enabled\":1,\"availability\":\"10\",\"prodCoef\":\"1\"},\"74\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"157\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"164\":{\"enabled\":0,\"availability\":\"50\",\"prodCoef\":\"1\"},\"168\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"199\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"449\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"450\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"0.4\"}},\"isCollapsed\":false},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0,\"isCollapsed\":false}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 128, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 128, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team27', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkloadIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 27, 0, 0, 0, NULL, ''),
('serviceContractFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 25, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 117, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '14', 1, 107, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '14', 1, 121, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team23', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkloadIndicator\",\"interval\":\"monthly\"}]}', 2, 109, 0, 23, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 109, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 109, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '23', 1, 117, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command191', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\",\"isGraphOnly\":0},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 200, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 167, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '90', 1, 167, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '20', 1, 140, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 140, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 140, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command64', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"RsiTypeAnoLoadIndicator\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Project100', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":\"on\"}]}', 2, 2, 0, 42, 0, 0, 0, NULL, ''),
('dashboard_Team24', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DeadlineAlertIndicator\"},{\"pluginClassName\":\"AvailableWorkloadIndicator\",\"interval\":\"monthly\"}]}', 2, 64, 0, 24, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 54, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 54, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '20', 1, 134, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '15', 1, 103, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '41', 1, 117, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team32', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"interval\":\"monthly\"}]}', 2, 2, 0, 32, 0, 0, 0, NULL, ''),
('defaultTeamId', '60', 1, 137, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '27', 1, 138, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 138, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 103, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 103, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team14', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 3, 0, 14, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 137, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 122, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 122, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 133, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 134, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 134, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command207', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"HelloWorldIndicator\",\"isDateDisplayed\":\"on\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 136, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Project29', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"HelloWorldIndicator\",\"isDateDisplayed\":\"on\"}]}', 2, 3, 0, 14, 0, 0, 0, NULL, '');
INSERT INTO `codev_config_table` (`config_id`, `value`, `type`, `user_id`, `project_id`, `team_id`, `servicecontract_id`, `commandset_id`, `command_id`, `access_reqd`, `description`) VALUES
('dashboard_Project41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 162, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '48', 1, 253, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '57', 1, 226, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '22', 1, 90, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('serviceContractFilters', 'ProjectFilter,ProjectVersionFilter', 1, 2, 0, 0, 24, 0, 0, NULL, ''),
('dashboard_ServiceContract23', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 12, 0, 0, 0, NULL, ''),
('serviceContractFilters', 'ProjectFilter', 1, 82, 0, 0, 24, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 139, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:1,8:1,9:0,', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command64', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('commandFilters', 'IssueCodevTypeFilter', 1, 2, 0, 0, 0, 0, 245, NULL, ''),
('defaultLanguage', 'fr', 1, 49, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Team20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"RsiTypeAnoLoadIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"41\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"interval\":\"weekly\",\"userSettings\":{\"2\":{\"enabled\":1,\"availability\":\"70\",\"prodCoef\":\"1\"},\"72\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"74\":{\"enabled\":1,\"availability\":\"80\",\"prodCoef\":\"1\"},\"157\":{\"enabled\":1,\"availability\":\"80\",\"prodCoef\":\"1\"},\"164\":{\"enabled\":1,\"availability\":\"50\",\"prodCoef\":\"1\"},\"168\":{\"enabled\":0,\"availability\":\"80\",\"prodCoef\":\"0\"},\"199\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"449\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"450\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":\"on\",\"isCollapsed\":false},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 394, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 4, 0, 41, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 398, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import50', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 256, 0, 50, 0, 0, 0, NULL, ''),
('dashboard_Command599', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 237, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 141, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 142, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team33', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"6\":{\"enabled\":1,\"availability\":\"40\",\"prodCoef\":\"1\"}}}]}', 2, 6, 0, 33, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 33, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:8:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:6:\"status\";i:4;s:8:\"custom_1\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 74, 33, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('onDutyTaskList', '3965', 4, 0, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '25', 1, 144, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 146, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 146, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 146, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '20', 1, 148, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 139, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 139, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 142, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 142, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 148, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 148, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '28', 1, 152, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 121, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 121, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '14', 1, 150, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 87, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '43', 1, 87, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 151, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 147, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '14', 1, 145, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', '', 1, 2, 0, 0, 0, 0, 280, NULL, ''),
('commandFilters', '', 1, 2, 0, 0, 0, 0, 249, NULL, ''),
('commandFilters', 'ProjectFilter', 1, 2, 0, 0, 0, 0, 285, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 87, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,useTrackNote:1,isTrackNoteMandatory:0,sendTimesheetEmailNotification:1,useTrackUO:0,', 3, 0, 0, 20, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:0,useTrackUO:1,useTrackNote:1,', 3, 0, 0, 16, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 27, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 11, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 12, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 15, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 22, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,useTrackNote:1,sendTimesheetEmailNotification:1,useTrackUO:1,', 3, 0, 0, 31, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 21, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 29, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 14, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 25, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:8:{i:0;s:10:\"project_id\";i:1;s:14:\"target_version\";i:2;s:11:\"category_id\";i:3;s:8:\"custom_2\";i:4;s:6:\"status\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 45, 27, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 61, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '20', 1, 157, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 157, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 157, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 157, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 33, 0, 0, 0, NULL, ''),
('defaultTeamId', '22', 1, 159, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 158, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '61', 1, 154, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 158, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 158, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 158, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Team31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"isCollapsed\":false}]}', 2, 37, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '22', 1, 162, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team11', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\"}]}', 2, 37, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command292', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 37, 0, 22, 0, 0, 0, NULL, ''),
('dashboard_Team22', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"AvailableWorkforceIndicator\"}]}', 2, 37, 0, 22, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 147, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 147, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 161, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 137, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '101', 1, 137, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '25', 1, 160, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 160, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '40', 1, 156, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 163, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 163, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 163, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '20', 1, 164, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '23', 1, 123, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 162, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 162, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command462', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"HelloWorldIndicator\",\"isDateDisplayed\":\"on\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"TimePerStatusIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command178', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"isCollapsed\":false},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command289', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DeadlineAlertIndicator\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"DriftAlertIndicator\",\"isCollapsed\":false}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 50, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '25', 1, 50, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 164, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '73', 1, 164, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 151, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 151, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 164, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '36', 1, 165, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 166, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 165, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 165, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '83', 1, 165, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 25, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 73, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 73, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 123, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('planningOptions', 'displayExtRef:1,', 3, 2, 0, 27, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '35', 1, 171, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('planningOptions', 'displayExtRef:0,', 3, 39, 0, 11, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 178, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 169, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 169, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 169, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 158, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('durationList', '1:1 (All day),0.8:0.8,0.75:0.75,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.125:0.125,0.1:0.1,0.9:0.9,', 3, 0, 0, 12, 0, 0, 0, NULL, ''),
('defaultTeamId', '40', 1, 174, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', 'IssueCodevTypeFilter', 1, 37, 0, 0, 0, 0, 337, NULL, ''),
('defaultLanguage', 'fr', 1, 144, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '48', 1, 144, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 132, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 174, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '72', 1, 174, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '23', 1, 173, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('planningOptions', 'displayExtRef:1,', 3, 173, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 173, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 173, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('planningOptions', 'displayExtRef:1,', 3, 2, 0, 25, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 134, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '12', 1, 172, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 132, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '43', 1, 132, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:0,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:0,', 3, 0, 0, 24, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:0,checkBadBacklog:0,checkEffortEstim:0,checkTimeTracksOnNewIssues:0,checkIssuesNotInCommand:0,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 24, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 169, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '48', 1, 177, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:0,', 3, 0, 0, 23, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 133, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 133, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 77, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 77, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 179, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:1,recreditBacklogOnTimetrackDeletion:1,useTrackNote:1,isTrackNoteMandatory:1,sendTimesheetEmailNotification:1,useTrackUO:1,', 3, 0, 0, 19, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectVersionFilter,ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 252, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 177, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,recreditBacklogOnTimetrackDeletion:0,useTrackNote:1,isTrackNoteMandatory:0,sendTimesheetEmailNotification:1,useTrackUO:0,', 3, 0, 0, 40, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 250, NULL, ''),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 251, NULL, ''),
('projectFilters', 'ProjectCategoryFilter', 1, 2, 45, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('projectFilters', 'ProjectCategoryFilter', 1, 177, 45, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_Project45', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"allProjects\"}]}', 2, 2, 0, 27, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 179, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 179, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '22', 1, 186, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 186, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 186, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('projectFilters', 'ProjectCategoryFilter', 1, 177, 41, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultTeamId', '41', 1, 187, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '12', 1, 52, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('projectFilters', 'IssueExtIdFilter', 1, 137, 45, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('planningOptions', 'displayExtRef:1,', 3, 137, 0, 27, 0, 0, 0, NULL, ''),
('defaultTeamId', '11', 1, 184, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 52, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '25', 1, 52, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 190, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 191, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:1,7:1,8:1,9:1,', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('commandFilters', 'IssueCodevTypeFilter', 1, 2, 0, 0, 0, 0, 212, NULL, ''),
('defaultLanguage', 'fr', 1, 190, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 190, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 187, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '87', 1, 187, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 187, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 24, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Admin20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"UserTeamList\"},{\"pluginClassName\":\"TimetrackDetailsIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 192, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 192, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 192, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 193, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Admin41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"TimetrackDetailsIndicator\",\"isDateDisplayed\":\"on\"}]}', 2, 2, 0, 41, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 188, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 189, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 191, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 191, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 41, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '23', 1, 41, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '48', 1, 194, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 172, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '23', 1, 172, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '12', 1, 143, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '22', 1, 195, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 195, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '43', 1, 195, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '25', 1, 198, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('planningOptions', 'displayExtRef:1,', 3, 117, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 79, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('durationList', '1:1 (All day),0.9:0.9,0.8:0.8,0.75:0.75,0.7:0.7,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.1:0.1,0.05:0.05,', 3, 0, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 50, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Task1436', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 72, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 72, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('planningOptions', 'displayExtRef:1,', 3, 157, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 202, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '20', 1, 199, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('planningOptions', 'displayExtRef:1,', 3, 199, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '38', 1, 176, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command55', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command387', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ReopenedRateIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":\"on\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"isCollapsed\":true}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command250', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '38', 1, 204, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '41', 1, 199, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 199, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '12', 1, 175, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 204, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isCollapsed\":false}]}', 2, 134, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command245', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 52, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '31', 1, 101, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Task6831', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 187, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Team41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isCollapsed\":false},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"3\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"9\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"22\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"24\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"33\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"187\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"188\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"189\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"206\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"}}}]}', 2, 187, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Task6832', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 9, 0, 41, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 176, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '85', 1, 176, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 189, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '87', 1, 189, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 199, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '20', 1, 205, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Task7430', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Task7420', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 200, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 130, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '15', 1, 203, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '', 1, 49, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command393', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Project73', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj73', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '56', 1, 65, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '50', 1, 326, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team11', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"37\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"39\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"41\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"44\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"46\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"52\":{\"enabled\":1,\"availability\":\"50\",\"prodCoef\":\"1\"},\"53\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"77\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"0.4\"},\"103\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"110\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"111\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"122\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"141\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"171\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"172\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"184\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"191\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"}}}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"TimePerStatusIndicator\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectCategoryFilter', 1, 169, 0, 0, 0, 0, 64, NULL, ''),
('defaultLanguage', 'fr', 1, 202, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 208, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '25', 1, 208, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"81\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"82\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"115\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"123\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"144\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"160\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"}}}]}', 2, 81, 0, 25, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 74, 0, 20, 0, 0, 0, NULL, ''),
('defaultProjectId', '65', 1, 202, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 130, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 130, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"interval\":\"weekly\"}]}', 2, 3, 0, 41, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:0,', 3, 208, 0, 12, 0, 0, 0, NULL, ''),
('defaultTeamId', '12', 1, 208, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command405', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 187, 0, 41, 0, 0, 0, NULL, ''),
('defaultTeamId', '43', 1, 207, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 111, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 111, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command441', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 200, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command471', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DeadlineAlertIndicator\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 168, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:1,', 3, 0, 0, 42, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 203, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '42', 1, 167, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('planningOptions', 'displayExtRef:1,', 3, 88, 0, 20, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 2, 0, 42, 0, 0, 0, NULL, ''),
('dashboard_Command19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract18', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command337', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"isCollapsed\":true}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command466', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"HelloWorldIndicator\",\"isDateDisplayed\":\"on\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"DeadlineAlertIndicator\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('commandSetFilters', 'ProjectVersionFilter', 1, 2, 0, 0, 0, 60, 0, NULL, ''),
('dashboard_Command405', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ReopenedRateIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 41, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 84, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '31', 1, 219, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 212, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 212, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '25', 1, 218, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command506', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 56, 0, 44, 0, 0, 0, NULL, ''),
('dashboard_Command507', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 44, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 217, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', '', 1, 2, 0, 0, 0, 0, 507, NULL, ''),
('commandSetFilters', 'ProjectCategoryFilter', 1, 56, 0, 0, 0, 68, 0, NULL, ''),
('commandSetFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 68, 0, NULL, ''),
('commandSetFilters', 'ProjectVersionFilter', 1, 82, 0, 0, 0, 24, 0, NULL, ''),
('serviceContractFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 36, 0, 0, NULL, ''),
('dashboard_ServiceContract36', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 44, 0, 0, 0, NULL, ''),
('dashboard_Command458', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command427', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command457', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command460', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\",\"isCollapsed\":true},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\",\"isCollapsed\":true},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Project41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 199, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"}]}', 2, 199, 0, 20, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:0,', 3, 9, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Project87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DeadlineAlertIndicator\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 9, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Command367', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Command405', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\",\"isCollapsed\":false},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":false},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"isCollapsed\":false}]}', 2, 9, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Command490', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 200, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 9, 0, 41, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,sendTimesheetEmailNotification:0,', 3, 0, 0, 43, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 212, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 212, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 167, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 35, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 502, NULL, ''),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Team41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"DeadlineAlertIndicator\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Team12', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 12, 0, 0, 0, NULL, ''),
('dashboard_Team15', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 15, 0, 0, 0, NULL, ''),
('dashboard_Team22', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"allProjects\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 22, 0, 0, 0, NULL, ''),
('dashboard_Team36', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 36, 0, 0, 0, NULL, ''),
('dashboard_Team25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"allProjects\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 25, 0, 0, 0, NULL, ''),
('commandFilters', 'IssueCodevTypeFilter', 1, 2, 0, 0, 0, 0, 460, NULL, ''),
('dashboard_Tasks_prj73', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command460', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '41', 1, 222, 0, 0, 0, 0, 0, NULL, 'prefered team on login');
INSERT INTO `codev_config_table` (`config_id`, `value`, `type`, `user_id`, `project_id`, `team_id`, `servicecontract_id`, `commandset_id`, `command_id`, `access_reqd`, `description`) VALUES
('dashboard_Command405', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 222, 0, 41, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 222, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 222, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', 'IssueCodevTypeFilter', 1, 2, 0, 0, 0, 0, 490, NULL, ''),
('defaultTeamId', '44', 1, 221, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 221, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 221, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team45', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"}]}', 2, 2, 0, 45, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract24', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"}]}', 2, 2, 0, 25, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:1,sendTimesheetEmailNotification:1,', 3, 0, 0, 44, 0, 0, 0, NULL, ''),
('dashboard_Team44', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"2\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"15\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"56\":{\"enabled\":1,\"availability\":\"50\",\"prodCoef\":\"1\"},\"220\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"221\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 56, 0, 44, 0, 0, 0, NULL, ''),
('commandFilters', 'IssueExtIdFilter', 1, 24, 0, 0, 0, 0, 405, NULL, ''),
('dashboard_Team44', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 44, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 219, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '79', 1, 219, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '44', 1, 220, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 226, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '167', 1, 226, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '54', 1, 227, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj96', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"TimePerStatusIndicator\"}]}', 2, 2, 0, 46, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj96', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"TimePerStatusIndicator\"}]}', 2, 227, 0, 46, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectCategoryFilter,IssueCodevTypeFilter', 1, 2, 96, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_Project95', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command387', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectCategoryFilter,IssueCodevTypeFilter', 1, 72, 0, 0, 0, 0, 387, NULL, ''),
('defaultLanguage', 'fr', 1, 227, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '159', 1, 227, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('issue_tooltip_fields', 'a:7:{i:0;s:11:\"category_id\";i:1;s:8:\"custom_4\";i:2;s:6:\"status\";i:3;s:10:\"handler_id\";i:4;s:8:\"custom_1\";i:5;s:15:\"codevtt_elapsed\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 96, 46, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('durationList', '1:1 (All day),0.9:0.9,0.875:7 h,0.8:0.8,0.75:6 h,0.7:0.7,0.625:5 h,0.6:0.6,0.5:4h,0.4:0.4,0.375:3 h,0.3:0.3,0.25:2 h,0.2:0.2,0.125:1 h,0.1:0.1,0.09375:45 mn,0.0625:30 mn,0.05:0.05,0.03125:15 mn,0.1875:1 h 30,', 3, 0, 0, 46, 0, 0, 0, NULL, ''),
('defaultTeamId', '46', 1, 230, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '41', 1, 229, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command498', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 35, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 230, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '96', 1, 230, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '46', 1, 228, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 235, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command527', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"ReopenedRateIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 74, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 234, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command522', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command690', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('commandSetFilters', '', 1, 2, 0, 0, 0, 69, 0, NULL, ''),
('defaultTeamId', '51', 1, 270, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command387', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 74, 0, 20, 0, 0, 0, NULL, ''),
('defaultProjectId', '93', 1, 220, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 220, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 197, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 84, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 186, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command532', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":false},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 79, 0, 12, 0, 0, 0, NULL, ''),
('defaultTeamId', '25', 1, 236, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '48', 1, 254, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 49, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 48, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 56, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '38', 1, 213, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team12', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"37\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"46\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"49\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"50\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"79\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"89\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"122\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"159\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"208\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isCollapsed\":false}]}', 2, 79, 0, 12, 0, 0, 0, NULL, ''),
('dashboard_CommandSet69', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"RsiTypeAnoLoadIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('durationList', '1:1 (All day),0.75:0.75,0.5:0.5,0.25:0.25,', 3, 0, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command642', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command546', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"isCollapsed\":true},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":false},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"isCollapsed\":true}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract10', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"ProgressHistoryIndicator2\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:0,', 3, 9, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 239, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_CommandSet68', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"93\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 56, 0, 44, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract36', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"allProjects\"}]}', 2, 56, 0, 44, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 236, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 236, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 72, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 169, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('commandSetFilters', 'IssueCodevTypeFilter', 1, 72, 0, 0, 0, 69, 0, NULL, ''),
('defaultTeamId', '54', 1, 245, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command501', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"currentMonth\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 35, 0, 0, 0, NULL, ''),
('dashboard_Command499', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 35, 0, 0, 0, NULL, ''),
('dashboard_Command546', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 245, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 235, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 235, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command505', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 2, 0, 44, 0, 0, 0, NULL, ''),
('defaultTeamId', '12', 1, 247, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 177, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 177, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '49', 1, 225, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 225, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 225, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 522, NULL, ''),
('dashboard_ServiceContract25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"RsiTypeAnoLoadIndicator\",\"interval\":\"monthly\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 261, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 118, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 118, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 225, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '48', 1, 224, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 224, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 224, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 224, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '40', 1, 182, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 182, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 182, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 182, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 174, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 218, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Project41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":\"on\"}]}', 2, 2, 0, 42, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 262, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_ServiceContract24', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"}]}', 2, 72, 0, 25, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 256, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 217, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('commandFilters', '', 1, 2, 0, 0, 0, 0, 575, NULL, ''),
('defaultProjectId', '79', 1, 143, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 143, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 236, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '22', 1, 211, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command536', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command522', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"RsiTypeAnoLoadIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('durationList', '1:1 (All day),0.9:0.9,0.8:0.8,0.75:0.75,0.7:0.7,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.1:0.1,', 3, 0, 0, 35, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 156, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command536', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 156, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 156, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command585', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '40', 1, 223, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 83, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '25', 1, 181, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 181, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 181, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 181, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '40', 1, 180, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 180, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj56', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 2, 0, 16, 0, 0, 0, NULL, ''),
('dashboard_Command49', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 2, 0, 16, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj56', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 188, 0, 16, 0, 0, 0, NULL, ''),
('dashboard_Command49', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 188, 0, 16, 0, 0, 0, NULL, ''),
('dashboard_Command85', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 188, 0, 16, 0, 0, 0, NULL, ''),
('dashboard_Command86', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DeadlineAlertIndicator\"}]}', 2, 2, 0, 16, 0, 0, 0, NULL, ''),
('onDutyTaskList', '', 4, 0, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command589', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isCollapsed\":false}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command589', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0}]}', 2, 282, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command582', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 267, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command582', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 267, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command583', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 267, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 267, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 267, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 267, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 223, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '45', 1, 223, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:15:\"codevtt_elapsed\";i:4;s:8:\"custom_7\";i:5;s:13:\"codevtt_drift\";i:6;s:9:\"custom_12\";}', 2, 0, 98, 19, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('dashboard_Command583', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command583', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 188, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 188, 0, 16, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 188, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '48', 1, 248, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 188, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 248, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '101', 1, 248, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command588', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command572', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_CommandSet69', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:0,checkEffortEstim:1,checkTimeTracksOnNewIssues:0,checkIssuesNotInCommand:0,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 50, 0, 0, 0, NULL, ''),
('durationList', '1:1 (All day),0.75:0.75,0.5:0.5,0.25:0.25,0.2:0.2,0.1:0.1,0.05:0.05,0.125:0.125,', 3, 0, 0, 50, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 259, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '50', 1, 260, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 259, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 259, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '50', 1, 264, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:1,sendTimesheetEmailNotification:1,useTrackUO:0,useTrackNote:0,', 3, 0, 0, 50, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 263, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 101, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 101, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 2, 0, 15, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 24, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '87', 1, 24, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '51', 1, 271, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 24, 0, 41, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 357, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Team52', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 189, 0, 52, 0, 0, 0, NULL, ''),
('dashboard_Team52', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 2, 0, 52, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 258, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command608', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 52, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 265, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 324, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command749', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 333, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 271, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 271, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '51', 1, 269, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '51', 1, 272, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_ServiceContract25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"LoadPerJobIndicator2\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\"}]}', 2, 9, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj73', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 267, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '50', 1, 266, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '50', 1, 257, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 257, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 257, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '50', 1, 400, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 333, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 292, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 262, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 262, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 2, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 260, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 260, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 2, 0, 25, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 51, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 51, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 286, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'es_ES', 1, 261, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 261, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_CommandSet78', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\",\"isCollapsed\":false}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import15', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsvBasic\"}]}', 2, 51, 0, 15, 0, 0, 0, NULL, ''),
('dashboard_CommandSet77', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"isCollapsed\":true},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 292, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 292, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 292, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsvBasic\"}]}', 2, 177, 0, 25, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 283, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 286, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 285, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '57', 1, 240, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsvBasic\"}]}', 2, 240, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 240, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '167', 1, 240, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 291, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 290, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '56', 1, 282, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '57', 1, 268, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command589', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet77', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet77', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 282, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet78', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 237, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 237, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 237, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 281, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 283, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 283, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command591', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command592', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command593', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command596', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 290, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 290, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command590', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":200,\"nbDaysToDisplay\":60,\"windowStartDate\":\"today\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"212\":{\"14014\":\"\"},\"74\":{\"14014\":\"\"},\"217\":{\"14014\":\"\"}}}', 2, 74, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 238, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 298, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('commandFilters', 'ProjectVersionFilter,IssueExtIdFilter,ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 471, NULL, ''),
('dashboard_Import53', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"}]}', 2, 2, 0, 53, 0, 0, 0, NULL, ''),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '53', 1, 294, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 294, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 294, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '53', 1, 104, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '41', 1, 297, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 285, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 281, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 188, 0, 52, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 188, 0, 52, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 289, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 238, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'en', 1, 238, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 238, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultProjectId', '165', 1, 282, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\",\"isCollapsed\":false}]}', 2, 282, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 273, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 237, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 240, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 243, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command623', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command596', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command590', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command592', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultProjectId', '98', 1, 281, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '53', 1, 296, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import12', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 79, 0, 12, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 297, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\",\"isCollapsed\":false}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet77', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 280, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 298, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 298, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 244, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 280, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 280, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 287, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command596', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 287, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 275, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 301, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 302, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 301, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 302, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 243, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 243, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 243, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 299, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 9, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Command597', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command599', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command598', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command621', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet94', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command625', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 279, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_CommandSet97', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"isDisplayExtRef\":0,\"nbDaysForecast\":200,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisMonth\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"301\":{\"13224\":\"\"},\"267\":{\"13224\":\"15\"},\"292\":{\"11149\":\"\",\"11146\":\"\"},\"297\":{\"11149\":\"\"},\"286\":{\"11146\":\"\"},\"291\":{\"11146\":\"\",\"11141\":\"\"},\"290\":{\"11147\":\"\"},\"285\":{\"11147\":\"\"},\"287\":{\"11147\":\"\"},\"280\":{\"11147\":\"\"},\"281\":{\"11147\":\"\"},\"66\":{\"13929\":\"\",\"13928\":\"\"},\"274\":{\"13929\":\"\",\"13928\":\"\"},\"238\":{\"11141\":\"\"}},\"displayedInfo\":\"externalReference\"}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"isDisplayExtRef\":0,\"nbDaysForecast\":200,\"nbDaysToDisplay\":15,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"119\":{\"16577\":\"\"},\"374\":{\"16577\":\"\"}},\"displayedInfo\":\"taskId\"}', 2, 2, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command623', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command647', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command648', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 300, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 276, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 276, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 303, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 278, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 300, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 278, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page');
INSERT INTO `codev_config_table` (`config_id`, `value`, `type`, `user_id`, `project_id`, `team_id`, `servicecontract_id`, `commandset_id`, `command_id`, `access_reqd`, `description`) VALUES
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 283, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 278, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 278, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 300, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 300, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 69, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 276, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 276, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 69, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 69, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"displayedInfo\":\"externalReference\"}', 2, 282, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\",\"isCollapsed\":false}]}', 2, 292, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 303, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 303, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 287, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '19', 1, 288, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 36, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 36, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 36, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 36, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 275, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command590', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 302, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_CommandSet79', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 305, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_CommandSet99', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 247, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '25', 1, 247, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 299, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 159, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 159, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 282, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command659', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 284, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 301, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 301, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 188, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 188, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:0,', 3, 158, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_CommandSet79', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0,\"isCollapsed\":true},{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":true}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command599', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command656', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet75', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command582', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command652', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command653', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 296, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 296, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '12', 1, 332, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":200,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"212\":{\"14014\":\"\"},\"74\":{\"14014\":\"\"},\"217\":{\"14014\":\"\"},\"72\":{\"12781\":\"\",\"14329\":\"\"},\"157\":{\"12781\":\"5\"},\"205\":{\"12781\":\"6\"},\"134\":{\"12781\":\"2\"},\"169\":{\"14329\":\"10\"},\"199\":{\"14329\":\"10\"}}}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 297, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Team48', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"isCollapsed\":false},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 137, 0, 48, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":90,\"nbDaysToDisplay\":60,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 134, 0, 20, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:6:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:15:\"codevtt_elapsed\";i:4;s:8:\"custom_7\";i:5;s:13:\"codevtt_drift\";}', 2, 0, 65, 31, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('durationList', '1:1 (All day),0.9:0.9,0.8:0.8,0.75:0.75,0.7:0.7,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.1:0.1,', 3, 0, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Project65', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Team31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":\"on\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"37\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"46\":{\"enabled\":1,\"availability\":\"20\",\"prodCoef\":\"1\"},\"54\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"101\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"111\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"122\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"129\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"130\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"133\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"142\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"143\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"161\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"163\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"166\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"176\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"179\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"190\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"191\":{\"enabled\":1,\"availability\":\"50\",\"prodCoef\":\"1\"},\"202\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"234\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"235\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"307\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":90,\"nbDaysToDisplay\":30,\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 177, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '49', 1, 308, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"isDisplayExtRef\":0,\"nbDaysForecast\":90,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"267\":{\"14432\":\"\"},\"69\":{\"14432\":\"\"}}}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 307, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '48', 1, 255, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 307, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 307, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '48', 1, 309, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 280, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 255, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 255, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '101', 1, 255, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '48', 1, 293, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 304, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command591', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command641', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 286, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 288, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 288, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '60', 1, 252, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command602', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command627', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":200,\"nbDaysToDisplay\":60,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 205, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 279, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '49', 1, 279, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 218, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 218, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":90,\"nbDaysToDisplay\":60,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 200, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_CommandSet104', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command659', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet97', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command656', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet100', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command655', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet90', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Admin19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 286, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 299, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 299, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_ServiceContract25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"}]}', 2, 109, 0, 20, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":false,\"nbDaysForecast\":90,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"66\":{\"13928\":\"\",\"13929\":\"\"},\"274\":{\"13928\":\"\",\"13929\":\"\",\"16917\":\"\",\"16916\":\"\"},\"242\":{\"16917\":\"\",\"16916\":\"\",\"16343\":\"\"},\"239\":{\"16343\":\"\"},\"267\":{\"14428\":\"\"},\"300\":{\"14428\":\"\"},\"119\":{\"16577\":\"\"},\"374\":{\"16577\":\"\"}}}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command625', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 79, 0, 12, 0, 0, 0, NULL, ''),
('defaultProjectId', '167', 1, 268, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '41', 1, 310, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command405', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"projectid\":\"allProjects\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 310, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Team41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"ReopenedRateIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 310, 0, 41, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 310, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 310, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 2, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 310, 0, 41, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 303, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_CommandSet90', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command681', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command677', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 277, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command691', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command653', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet96', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command588', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command649', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command649', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet75', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet99', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command641', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet95', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command654', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command652', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"RsiTypeAnoLoadIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 191, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 284, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '0', 1, 289, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 274, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 242, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 273, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 66, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 274, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 273, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 9, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 242, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultProjectId', '98', 1, 273, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '20', 1, 246, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 246, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 246, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 254, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '101', 1, 254, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command681', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet107', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:1,8:1,9:1,', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command685', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command642', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 298, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 289, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 289, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,useTrackNote:0,sendTimesheetEmailNotification:0,useTrackUO:0,', 3, 0, 0, 45, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,useTrackNote:1,sendTimesheetEmailNotification:0,useTrackUO:0,', 3, 0, 0, 52, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj161', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('projectFilters', 'IssueCodevTypeFilter', 1, 41, 23, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultTeamId', '31', 1, 311, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command202', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 311, 0, 15, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 226, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 69, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_CommandSet94', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import54', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsvBasic\"}]}', 2, 245, 0, 54, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj159', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 245, 0, 54, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj65', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_CommandSet103', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command684', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command595', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command593', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command597', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command594', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command592', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet93', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectFilter', 1, 191, 0, 0, 0, 0, 602, NULL, ''),
('defaultLanguage', 'fr', 1, 311, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 274, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 274, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '48', 1, 312, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_CommandSet96', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 304, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 246, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 119, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command674', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet87', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 253, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 285, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_CommandSet105', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command695', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command698', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command702', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command703', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command705', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet96', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command708', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import11', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 39, 0, 11, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 246, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 119, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command673', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 119, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 119, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 119, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 119, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 277, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 277, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 277, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 239, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 2, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 2, 0, 19, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectCategoryFilter', 1, 2, 98, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_Command643', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command673', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command646', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 166, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '19', 1, 244, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command655', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 265, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 244, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 244, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 244, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command674', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command704', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 390, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command673', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 168, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 168, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '57', 1, 324, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('projectFilters', 'ProjectVersionFilter,ProjectCategoryFilter', 1, 324, 161, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_CommandSet106', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command707', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 161, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 234, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,useTrackNote:0,sendTimesheetEmailNotification:0,useTrackUO:0,', 3, 0, 0, 30, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,useTrackNote:0,sendTimesheetEmailNotification:0,useTrackUO:0,', 3, 0, 0, 26, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,recreditBacklogOnTimetrackDeletion:1,useTrackNote:1,isTrackNoteMandatory:0,sendTimesheetEmailNotification:0,useTrackUO:0,', 3, 0, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Team19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 90, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 143, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 325, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 242, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 184, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 184, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command713', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 329, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 329, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 268, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Import35', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 143, 0, 35, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 329, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj37', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 9, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '56', 1, 331, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 304, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 281, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 328, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 329, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 291, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 66, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 275, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 275, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '57', 1, 328, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 328, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command699', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 266, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 266, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_CommandSet112', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 264, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command467', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 308, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 326, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 326, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '49', 1, 251, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 54, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command684', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command650', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command651', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command695', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command704', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import48', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\",\"isCollapsed\":false}]}', 2, 177, 0, 48, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 251, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultProjectId', '', 1, 161, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":false,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"301\":{\"13778\":\"\",\"13779\":\"\"},\"275\":{\"13778\":\"\",\"13779\":\"\"},\"119\":{\"16577\":\"14.5\"},\"374\":{\"16577\":\"15\"}}}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 282, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command658', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command713', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command621', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import15', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"}]}', 2, 311, 0, 15, 0, 0, 0, NULL, ''),
('dashboard_Import35', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 219, 0, 35, 0, 0, 0, NULL, ''),
('dashboard_Command676', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command677', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command678', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet91', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet100', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command682', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Project98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 299, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet93', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet105', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet106', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 273, 0, 19, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 324, 0, 55, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 324, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 323, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Project98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showAllActivity\":\"on\",\"showSidetasks\":0},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"oneMonth\",\"issueType\":\"tasksOnly\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0,\"isCollapsed\":false},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 324, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Project37', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 324, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet100', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 324, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 334, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '55', 1, 323, 0, 0, 0, 0, 0, NULL, 'prefered team on login');
INSERT INTO `codev_config_table` (`config_id`, `value`, `type`, `user_id`, `project_id`, `team_id`, `servicecontract_id`, `commandset_id`, `command_id`, `access_reqd`, `description`) VALUES
('planningOptions', 'displayExtRef:1,', 3, 323, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Project161', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":\"on\"}]}', 2, 323, 0, 55, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 334, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 334, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj161', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 323, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Project161', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"bugsOnly\",\"issueExtId\":\"withExtId\"},{\"pluginClassName\":\"RsiTypeAnoLoadIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 335, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 335, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Team55', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DeadlineAlertIndicator\"},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"322\":{\"enabled\":1,\"availability\":\"50\",\"prodCoef\":\"1\"},\"323\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"324\":{\"enabled\":1,\"availability\":\"50\",\"prodCoef\":\"1\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_CommandSet101', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 327, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '34', 1, 306, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 539, NULL, ''),
('dashboard_Command777', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 277, 0, 19, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 2, 0, 55, 0, 0, 0, NULL, ''),
('defaultTeamId', '56', 1, 306, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 306, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\",\"isCollapsed\":true},{\"pluginClassName\":\"ImportUsers\"}]}', 2, 37, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Import22', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 84, 0, 22, 0, 0, 0, NULL, ''),
('defaultTeamId', '22', 1, 338, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 337, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('cmdStateFilters', '1:0,2:1,3:1,4:1,5:1,6:1,7:0,8:0,9:0,', 2, 335, 0, 31, 0, 0, 0, NULL, ''),
('defaultProjectId', '98', 1, 328, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 340, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command696', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 339, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_CommandSet102', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet109', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command707', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command708', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command703', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command761', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet115', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet115', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 338, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '43', 1, 338, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '63', 1, 322, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_CommandSet104', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 266, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command691', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import49', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\",\"isCollapsed\":false}]}', 2, 177, 0, 49, 0, 0, 0, NULL, ''),
('defaultTeamId', '64', 1, 343, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import48', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 48, 0, 48, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"372\":{\"18831\":\"\",\"18881\":\"\",\"18968\":\"\",\"18935\":\"\"},\"194\":{\"18831\":\"\",\"18968\":\"\"},\"346\":{\"18881\":\"\",\"18935\":\"\"}}}', 2, 48, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Admin52', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"},{\"pluginClassName\":\"TimetrackDetailsIndicator\"}]}', 2, 2, 0, 52, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 344, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command700', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command702', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command759', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Import23', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_CommandSet108', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 282, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 282, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Admin19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"TimetrackDetailsIndicator\"},{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 2, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 344, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 284, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 299, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 343, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '102', 1, 343, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:1,8:1,9:1,', 2, 279, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '48', 1, 346, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 346, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '101', 1, 346, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 253, 0, 48, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:0,checkCommandSetNotInServiceContract:0,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj23', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 41, 0, 11, 0, 0, 0, NULL, ''),
('dashboard_Team11', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 41, 0, 11, 0, 0, 0, NULL, ''),
('defaultTeamId', '11', 1, 347, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command693', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command539', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Import49', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\",\"isCollapsed\":false}]}', 2, 48, 0, 49, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 349, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command721', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command722', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command723', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command725', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command728', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command730', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj167', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 354, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 368, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 368, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 368, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 368, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '31', 1, 373, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command830', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:1,useTrackNote:1,sendTimesheetEmailNotification:1,useTrackUO:1,', 3, 0, 0, 56, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:15:\"codevtt_elapsed\";i:4;s:8:\"custom_7\";i:5;s:13:\"codevtt_drift\";i:6;s:9:\"custom_12\";}', 2, 0, 34, 56, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 56, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 268, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 342, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 342, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 39, 0, 11, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 349, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 349, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 349, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team11', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isCollapsed\":false}]}', 2, 347, 0, 11, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 347, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 347, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import12', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 50, 0, 12, 0, 0, 0, NULL, ''),
('dashboard_Project65', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"currentMonth\",\"showSidetasks\":0,\"showAllActivity\":0}]}', 2, 161, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '50', 1, 350, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 348, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '23', 1, 345, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_CommandSet116', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 341, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 161, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '49', 1, 250, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 250, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '23', 1, 249, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 249, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '102', 1, 249, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command701', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command763', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 351, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command762', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 65, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 65, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '49', 1, 353, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '31', 1, 355, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('durationList', '1:1 (All day),0.9:0.9,0.8:0.8,0.75:0.75,0.7:0.7,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.1:0.1,0.05:0.05,0.15:0.15,', 3, 0, 0, 56, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 2, 0, 56, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 2, 0, 56, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 352, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command793', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command779', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command778', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command792', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet118', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command786', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '56', 1, 330, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 375, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 331, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '34', 1, 331, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 330, 0, 56, 0, 0, 0, NULL, ''),
('dashboard_Command795', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 282, 0, 56, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\",\"isCollapsed\":false},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\",\"isCollapsed\":false}]}', 2, 282, 0, 56, 0, 0, 0, NULL, ''),
('dashboard_CommandSet123', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Admin20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"},{\"pluginClassName\":\"TimetrackDetailsIndicator\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_CommandSet124', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet125', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command796', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet119', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command709', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 279, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command808', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command811', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet127', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 306, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 12, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_CommandSet129', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import56', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\"}]}', 2, 282, 0, 56, 0, 0, 0, NULL, ''),
('dashboard_CommandSet105', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet135', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet136', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_CommandSet137', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import57', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 359, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '23', 1, 366, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 330, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '34', 1, 330, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 330, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Team31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isCollapsed\":true}]}', 2, 234, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 359, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj167', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"}]}', 2, 359, 0, 57, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 359, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '167', 1, 359, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command799', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command798', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command801', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command780', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command781', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command782', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command783', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command784', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command785', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showAllActivity\":\"on\",\"showSidetasks\":0},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"}]}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:15:\"codevtt_elapsed\";i:4;s:8:\"custom_7\";i:5;s:13:\"codevtt_drift\";i:6;s:16:\"codevtt_commands\";}', 2, 0, 167, 57, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 2, 0, 52, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 2, 0, 52, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 357, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"isDisplayExtRef\":0,\"nbDaysForecast\":280,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"359\":{\"16747\":\"\",\"16746\":\"\"},\"362\":{\"16747\":\"\",\"16746\":\"\",\"16763\":\"\",\"16762\":\"\",\"16754\":\"\",\"16770\":\"\"},\"9\":{\"16763\":\"\",\"16762\":\"\",\"16754\":\"\",\"16770\":\"\"},\"56\":{\"16754\":\"\",\"16770\":\"\"}}}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('dashboard_CommandSet80', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"currentMonth\",\"isDisplayTasks\":\"on\",\"projectid\":\"allProjects\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command764', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"65\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command694', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('defaultLanguage', 'en', 1, 325, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '19', 1, 357, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '98', 1, 357, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 341, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 352, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 348, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 352, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 352, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import22', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 338, 0, 22, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 364, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 365, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '56', 1, 358, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 358, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 282, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '31', 1, 356, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 358, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '34', 1, 358, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('planningOptions', 'displayExtRef:0,', 3, 298, 0, 19, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":15,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 360, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 333, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 351, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '57', 1, 365, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '57', 1, 360, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('planningOptions', 'displayExtRef:0,', 3, 328, 0, 57, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 362, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 365, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '167', 1, 365, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command814', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 362, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 362, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '57', 1, 361, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 361, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 322, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Import55', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\",\"isCollapsed\":false}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 66, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '55', 1, 369, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 369, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '161', 1, 369, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command539', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 199, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '23', 1, 370, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import40', 'mantis_\"dashboardTitle\":\"title\",\"displayedPlugins\":[mantis_\"pluginClassName\":\"ImportUsers\"_table,mantis_\"pluginClassName\":\"ImportIssueCsv\"_table]_table', 2, 2, 0, 40, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 284, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 339, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 366, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '19', 1, 367, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 367, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '48', 1, 372, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '', 1, 286, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":false,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"146\":{\"10737\":\"\"},\"2\":{\"10737\":\"1\"}}}', 2, 366, 0, 20, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 66, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 369, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 370, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '178', 1, 370, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('durationList', '1:1 (All day),0.75:0.75,0.5:0.5,0.25:0.25,', 3, 0, 0, 57, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 83, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"isDisplayExtRef\":1,\"nbDaysForecast\":180,\"nbDaysToDisplay\":15,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":180,\"nbDaysToDisplay\":15,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 369, 0, 55, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:1,displayCalculatedBacklogInDialogbox:0,recreditBacklogOnTimetrackDeletion:0,useTrackNote:1,isTrackNoteMandatory:0,sendTimesheetEmailNotification:0,useTrackUO:0,', 3, 0, 0, 59, 0, 0, 0, NULL, ''),
('dashboard_Admin59', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 2, 0, 59, 0, 0, 0, NULL, ''),
('dashboard_Admin23', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"UserTeamList\"}]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_Import48', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 199, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 361, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('planningOptions', 'displayExtRef:0,', 3, 164, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '48', 1, 371, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '57', 1, 364, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 373, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 373, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:1,8:1,9:1,', 2, 355, 0, 31, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 343, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 282, 0, 56, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 205, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command705', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"WBSExport\"}]}', 2, 2, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command694', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 133, 0, 31, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 355, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 373, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 356, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command849', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 367, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:1,8:1,9:1,', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 376, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 376, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 376, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command898', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 356, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command856', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 256, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '170', 1, 256, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 371, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:1,7:1,8:1,9:1,', 2, 370, 0, 23, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 323, 0, 55, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 364, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 375, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 374, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj98', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 324, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 377, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command694', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 37, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 377, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 323, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 312, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 312, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 193, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '50', 1, 378, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 375, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 375, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 322, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '11', 1, 379, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 374, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 374, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 374, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 376, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command848', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command539', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command753', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 164, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command855', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 324, 0, 0, 0, 0, 0, NULL, 'prefered language on login');
INSERT INTO `codev_config_table` (`config_id`, `value`, `type`, `user_id`, `project_id`, `team_id`, `servicecontract_id`, `commandset_id`, `command_id`, `access_reqd`, `description`) VALUES
('dashboard_Command751', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command693', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultProjectId', '98', 1, 324, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command1052', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"WBSExport\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 143, 0, 35, 0, 0, 0, NULL, ''),
('commandSetFilters', 'ProjectVersionFilter,IssueCodevTypeFilter', 1, 2, 0, 0, 0, 112, 0, NULL, ''),
('defaultTeamId', '57', 1, 385, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command788', 'mantis_\"dashboardTitle\":\"title\",\"displayedPlugins\":[mantis_\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"_table,mantis_\"pluginClassName\":\"LoadPerUserIndicator\"_table,mantis_\"pluginClassName\":\"ProgressHistoryIndicator2\"_table]_table', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 344, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 344, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '0', 1, 209, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team40', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0}]}', 2, 2, 0, 40, 0, 0, 0, NULL, ''),
('dashboard_Command846', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj100', 'mantis_\"dashboardTitle\":\"title\",\"displayedPlugins\":[mantis_\"pluginClassName\":\"CostsIndicator\"_table,mantis_\"pluginClassName\":\"IssueBacklogVariationIndicator\"_table]_table', 2, 199, 0, 20, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 2, 0, 40, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', 'mantis_\"dashboardTitle\":\"title\",\"displayedPlugins\":[mantis_\"pluginClassName\":\"MoveIssueTimetracks\"_table]_table', 2, 2, 0, 40, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 60, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj41', 'mantis_\"dashboardTitle\":\"title\",\"displayedPlugins\":[mantis_\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"_table]_table', 2, 60, 0, 20, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 60, 0, 20, 0, 0, 0, NULL, ''),
('commandFilters', '', 1, 60, 0, 0, 0, 0, 539, NULL, ''),
('schedulerOptions', 'mantis_\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":1,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null_table', 2, 60, 0, 20, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:1,', 3, 60, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Import20', 'mantis_\"dashboardTitle\":\"title\",\"displayedPlugins\":[]_table', 2, 60, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 60, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '41', 1, 60, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 2, 0, 40, 0, 0, 0, NULL, ''),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:0,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 40, 0, 0, 0, NULL, ''),
('defaultTeamId', '49', 1, 381, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_CommandSet142', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":\"on\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showAllActivity\":\"on\",\"showSidetasks\":0},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('schedulerOptions', 'mantis_\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":false,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":mantis_\"181\":mantis_\"18182\":\"\"_table,\"2\":mantis_\"18182\":\"\"_table_table_table', 2, 2, 0, 40, 0, 0, 0, NULL, ''),
('planningOptions', 'displayExtRef:0,', 3, 168, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Team20', 'mantis_\"dashboardTitle\":\"title\",\"displayedPlugins\":[mantis_\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"_table]_table', 2, 168, 0, 20, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 367, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command774', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 331, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command904', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 137, 0, 48, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectCategoryFilter', 1, 137, 101, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 169, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Project34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"}]}', 2, 282, 0, 56, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 354, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '56', 1, 382, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 382, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 382, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command870', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 381, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 381, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 348, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command894', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Command864', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Command900', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"allProjects\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Command863', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Command899', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":\"on\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Command865', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 382, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command896', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Command895', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_Command916', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"allProjects\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 384, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 384, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '167', 1, 384, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj101', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\",\"isCollapsed\":false},{\"pluginClassName\":\"ImportIssueCsv\",\"isCollapsed\":false}]}', 2, 133, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj101', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"TimePerStatusIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 137, 0, 48, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 366, 0, 48, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 366, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('commandSetFilters', 'IssueExtIdFilter', 1, 248, 0, 0, 0, 76, 0, NULL, ''),
('dashboard_Command918', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command539', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '49', 1, 394, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 384, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisMonth\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"113\":{\"18863\":\"\",\"18866\":\"\",\"18868\":\"\",\"18922\":\"5\",\"18864\":\"3\",\"18869\":\"3\",\"18865\":\"3\",\"18902\":\"4\",\"18969\":\"16\",\"18970\":\"14\",\"18875\":\"6\",\"18879\":\"\",\"18929\":\"\",\"18827\":\"2.5\",\"18830\":\"0\"},\"194\":{\"18863\":\"\",\"18866\":\"\",\"18868\":\"\",\"18922\":\"5\",\"18969\":\"16\",\"18929\":\"\",\"18830\":\"11\",\"18831\":\"11.75\",\"18935\":\"1\",\"18916\":\"1\",\"18857\":\"1\",\"18854\":\"1\",\"18855\":\"1\",\"18924\":\"\",\"18858\":\"1\",\"18860\":\"1\",\"18861\":\"1\",\"18851\":\"1\",\"18914\":\"1\",\"18852\":\"1\",\"18915\":\"1\",\"18877\":\"\"},\"248\":{\"18864\":\"2\",\"18869\":\"2\",\"18865\":\"2\",\"18902\":\"3\",\"18875\":\"2\",\"18879\":\"\",\"18827\":\"2.5\",\"18867\":\"0\",\"18871\":\"2\",\"18828\":\"2\",\"18829\":\"2\",\"18870\":\"2\",\"18872\":\"2\",\"18903\":\"3\",\"18876\":\"4\",\"18918\":\"\",\"18927\":\"\",\"18928\":\"\",\"18920\":\"\",\"18926\":\"\",\"18931\":\"\",\"18933\":\"\",\"18932\":\"\",\"18880\":\"7.5\"},\"346\":{\"18970\":\"14\",\"18935\":\"4\",\"18890\":\"\",\"18940\":\"\",\"18892\":\"\",\"18889\":\"\",\"18893\":\"\",\"18894\":\"\",\"18897\":\"\",\"18895\":\"\",\"18898\":\"\",\"18881\":\"10\",\"18878\":\"\",\"18877\":\"3\"},\"254\":{\"18929\":\"\",\"18916\":\"1\",\"18857\":\"4\",\"18854\":\"4\",\"18855\":\"4\",\"18924\":\"\",\"18858\":\"4\",\"18860\":\"4\",\"18861\":\"4\",\"18851\":\"4\",\"18914\":\"0\",\"18852\":\"4\",\"18915\":\"0\",\"18867\":\"5\",\"18871\":\"3\",\"18828\":\"3\",\"18829\":\"3\",\"18870\":\"3\",\"18872\":\"3\",\"18903\":\"4\",\"18876\":\"4\",\"18918\":\"\",\"18927\":\"\",\"18928\":\"\",\"18920\":\"\",\"18926\":\"\",\"18931\":\"\",\"18933\":\"\",\"18932\":\"\",\"18890\":\"\",\"18940\":\"\",\"18892\":\"\",\"18889\":\"\",\"18893\":\"\",\"18894\":\"\",\"18897\":\"\",\"18895\":\"\",\"18898\":\"\",\"18853\":\"1\",\"18856\":\"1\",\"18859\":\"1\",\"18862\":\"1\",\"18850\":\"1\",\"18904\":\"\",\"18913\":\"0\",\"18888\":\"\",\"18891\":\"\",\"18896\":\"\",\"18899\":\"\",\"18923\":\"\",\"18925\":\"\",\"18934\":\"\",\"18939\":\"\",\"18941\":\"\",\"19104\":\"\"},\"293\":{\"18929\":\"\",\"18857\":\"1\",\"18854\":\"1\",\"18855\":\"1\",\"18924\":\"\",\"18858\":\"1\",\"18860\":\"1\",\"18861\":\"1\",\"18851\":\"1\",\"18852\":\"1\",\"18890\":\"\",\"18892\":\"\",\"18889\":\"\",\"18893\":\"\",\"18894\":\"\",\"18897\":\"\",\"18895\":\"\",\"18898\":\"\",\"19104\":\"\"},\"253\":{\"18916\":\"1\",\"18857\":\"1\",\"18854\":\"1\",\"18855\":\"1\",\"18858\":\"1\",\"18860\":\"1\",\"18861\":\"1\",\"18851\":\"1\",\"18914\":\"1\",\"18852\":\"1\",\"18915\":\"1\",\"18890\":\"\",\"18892\":\"\",\"18889\":\"\",\"18893\":\"\",\"18894\":\"\",\"18897\":\"\",\"18895\":\"\",\"18898\":\"\"},\"353\":{\"18916\":\"1\",\"18857\":\"1\",\"18854\":\"1\",\"18855\":\"1\",\"18858\":\"1\",\"18860\":\"1\",\"18861\":\"1\",\"18851\":\"1\",\"18914\":\"1\",\"18852\":\"1\",\"18915\":\"1\",\"18890\":\"\",\"18889\":\"\"},\"312\":{\"18916\":\"1\",\"18857\":\"1\",\"18854\":\"1\",\"18855\":\"1\",\"18858\":\"1\",\"18860\":\"1\",\"18861\":\"1\",\"18851\":\"1\",\"18914\":\"1\",\"18852\":\"1\",\"18915\":\"1\"},\"372\":{\"18916\":\"\",\"18857\":\"1\",\"18854\":\"1\",\"18855\":\"1\",\"18924\":\"\",\"18858\":\"1\",\"18860\":\"1\",\"18861\":\"1\",\"18851\":\"1\",\"18914\":\"1\",\"18852\":\"1\",\"18915\":\"1\",\"18892\":\"\",\"18889\":\"\",\"18893\":\"\",\"18894\":\"\",\"18897\":\"\",\"18895\":\"\",\"18898\":\"\",\"18881\":\"\",\"18878\":\"\",\"18877\":\"\"},\"2\":{\"18894\":\"\"},\"309\":{\"18853\":\"1\",\"18856\":\"1\",\"18859\":\"1\",\"18862\":\"1\",\"18850\":\"1\",\"18913\":\"1\",\"18888\":\"\",\"18891\":\"\",\"18896\":\"\",\"18899\":\"\",\"18923\":\"\",\"18925\":\"\",\"18939\":\"\",\"18941\":\"\"}}}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command751', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command693', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 20, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":60,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 346, 0, 48, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":null}', 2, 372, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command848', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"WBSExport\"},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 133, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command919', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"EffortEstimReliabilityIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command754', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectVersionFilter,ProjectCategoryFilter,IssueExtIdFilter', 1, 356, 65, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultTeamId', '60', 1, 388, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 388, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '101', 1, 388, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command904', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:8:{i:0;s:16:\"codevtt_commands\";i:1;s:11:\"category_id\";i:2;s:8:\"custom_2\";i:3;s:10:\"handler_id\";i:4;s:8:\"custom_1\";i:5;s:15:\"codevtt_elapsed\";i:6;s:8:\"custom_7\";i:7;s:13:\"codevtt_drift\";}', 2, 0, 101, 48, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command855', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"WBSExport\"},{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command753', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":0,\"nbDaysForecast\":180,\"nbDaysToDisplay\":90,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"346\":{\"18881\":\"\",\"18935\":\"\",\"18940\":\"\"},\"372\":{\"18935\":\"\",\"18968\":\"\",\"18929\":\"\",\"18831\":\"\",\"18940\":\"\"},\"194\":{\"18968\":\"\",\"18929\":\"\",\"18831\":\"\"},\"353\":{\"18838\":\"\"},\"312\":{\"18912\":\"\"}}}', 2, 254, 0, 48, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 389, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 355, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Admin48', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"UserTeamList\"},{\"pluginClassName\":\"TimetrackDetailsIndicator\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 390, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '61', 1, 410, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 392, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 392, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 392, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command539', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 86, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command909', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 86, 0, 40, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectCategoryFilter,ProjectVersionFilter', 1, 354, 65, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_Tasks_prj101', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj101', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 2, 0, 23, 0, 0, 0, NULL, ''),
('dashboard_Project101', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 254, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Team48', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"2\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"48\":{\"enabled\":0,\"availability\":\"60\",\"prodCoef\":\"1\"},\"113\":{\"enabled\":0,\"availability\":\"10\",\"prodCoef\":\"1\"},\"194\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"248\":{\"enabled\":0,\"availability\":\"80\",\"prodCoef\":\"1\"},\"253\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"254\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"293\":{\"enabled\":1,\"availability\":\"80\",\"prodCoef\":\"1\"},\"309\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"312\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"346\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"353\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"372\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"381\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 390, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import15', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 37, 0, 15, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 345, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 345, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Admin60', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"UserTeamList\"},{\"pluginClassName\":\"TimetrackDetailsIndicator\"}]}', 2, 2, 0, 60, 0, 0, 0, NULL, ''),
('dashboard_Team60', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"2\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"137\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"251\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"252\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"255\":{\"enabled\":1,\"availability\":\"80\",\"prodCoef\":\"1\"},\"371\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"0.5\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 60, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectFilter,ProjectCategoryFilter', 1, 282, 0, 0, 0, 0, 901, NULL, ''),
('projectFilters', 'ProjectCategoryFilter', 1, 282, 34, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('dashboard_Command918', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command920', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command922', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command921', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 392, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 393, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 393, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\",\"isCollapsed\":false}]}', 2, 335, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command871', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"WBSExport\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 335, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 380, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '25', 1, 440, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command873', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Project101', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allSidetasksProjects\"}]}', 2, 137, 0, 60, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 393, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command869', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command904', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 137, 0, 60, 0, 0, 0, NULL, ''),
('dashboard_Command754', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('commandFilters', 'ProjectCategoryFilter', 1, 2, 0, 0, 0, 0, 943, NULL, ''),
('dashboard_Command943', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"WBSExport\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 56, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 393, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 298, 0, 56, 0, 0, 0, NULL, ''),
('issue_tooltip_fields', 'a:7:{i:0;s:10:\"project_id\";i:1;s:11:\"category_id\";i:2;s:10:\"handler_id\";i:3;s:8:\"custom_2\";i:4;s:15:\"codevtt_elapsed\";i:5;s:8:\"custom_7\";i:6;s:13:\"codevtt_drift\";}', 2, 0, 182, 63, 0, 0, 0, NULL, 'fields to be displayed in issue tooltip'),
('dashboard_Tasks_prj65', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 335, 0, 31, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:0,6:0,7:0,8:0,9:0,', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command539', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command919', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command920', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command922', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Import25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_Command1012', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 394, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '102', 1, 394, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command813', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import49', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\",\"isCollapsed\":false}]}', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('defaultTeamId', '49', 1, 395, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command946', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command839', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command947', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command868', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command854', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command874', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 250, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '102', 1, 250, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command874', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 298, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command812', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command910', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 339, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command817', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('dashboard_Command800', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command911', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command903', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command902', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 252, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:0,6:0,7:0,8:0,9:0,', 2, 133, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Project102', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"defaultValue\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"}]}', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('dashboard_Team49', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"userSettings\":{\"2\":{\"enabled\":1,\"availability\":\"5\",\"prodCoef\":\"1\"},\"48\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"86\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"177\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"225\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"249\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"250\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"308\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"343\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"353\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"370\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"372\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"381\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"394\":{\"enabled\":0,\"availability\":\"100\",\"prodCoef\":\"1\"},\"395\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"},\"396\":{\"enabled\":1,\"availability\":\"100\",\"prodCoef\":\"1\"}}},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('defaultTeamId', '49', 1, 396, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 395, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 395, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 389, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 394, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_ServiceContract25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"}]}', 2, 394, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command775', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command960', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"WBSExport\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 335, 0, 31, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 397, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Command872', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 180, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 180, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '49', 1, 399, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command848', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"WBSExport\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 37, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '49', 1, 401, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 334, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 312, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 401, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 401, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command1027', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command972', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Import49', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 2, 0, 49, 0, 0, 0, NULL, ''),
('dashboard_Command968', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command974', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command973', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command971', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command988', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportUsers\",\"isCollapsed\":false}]}', 2, 339, 0, 31, 0, 0, 0, NULL, ''),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 366, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command870', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 366, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command945', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('defaultTeamId', '11', 1, 406, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '19', 1, 404, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 404, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 404, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 406, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '19', 1, 403, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 403, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '23', 1, 406, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 403, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Command767', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('dashboard_CommandSet155', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"oneMonth\"},{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 311, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command1003', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"isCollapsed\":false},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 37, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 397, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command978', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command925', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command976', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command977', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0},{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command985', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command986', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command955', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command1028', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 248, 0, 48, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 405, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 405, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 405, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command1034', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"161\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 324, 0, 55, 0, 0, 0, NULL, ''),
('dashboard_CommandSet146', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_CommandSet152', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_Command1011', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_Command1010', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, '');
INSERT INTO `codev_config_table` (`config_id`, `value`, `type`, `user_id`, `project_id`, `team_id`, `servicecontract_id`, `commandset_id`, `command_id`, `access_reqd`, `description`) VALUES
('dashboard_Command1009', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_Command1013', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_CommandSet149', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":\"on\",\"projectid\":\"65\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\",\"interval\":\"oneMonth\"},{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Import61', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"}]}', 2, 2, 0, 61, 0, 0, 0, NULL, ''),
('dashboard_Command838', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 397, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultProjectId', '', 1, 339, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 408, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 408, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command1008', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 25, 0, 0, 0, NULL, ''),
('dashboard_Command967', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('dashboard_Command693', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command754', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '12', 1, 444, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command753', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command870', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command766', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '61', 1, 407, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command846', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command891', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 40, 0, 0, 0, NULL, ''),
('dashboard_Command984', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 40, 0, 0, 0, NULL, ''),
('dashboard_Command897', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 88, 0, 40, 0, 0, 0, NULL, ''),
('dashboard_Command1035', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 226, 0, 19, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 404, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 154, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '47', 1, 154, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 405, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Team20', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 199, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command959', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj167', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 56, 0, 57, 0, 0, 0, NULL, ''),
('defaultTeamId', '61', 1, 408, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj167', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 226, 0, 57, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 390, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 311, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '56', 1, 411, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 411, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 411, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '49', 1, 412, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 412, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 412, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 411, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 54, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 414, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultProjectId', '65', 1, 355, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 353, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 353, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '19', 1, 413, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 413, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Import57', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 56, 0, 57, 0, 0, 0, NULL, ''),
('defaultTeamId', '15', 1, 454, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '12', 1, 440, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command1042', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 415, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import35', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 37, 0, 35, 0, 0, 0, NULL, ''),
('defaultTeamId', '35', 1, 418, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '12', 1, 419, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 418, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 418, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '35', 1, 417, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 419, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 419, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 417, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('planningOptions', 'displayExtRef:1,', 3, 25, 0, 57, 0, 0, 0, NULL, ''),
('dashboard_Import19', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 324, 0, 19, 0, 0, 0, NULL, ''),
('defaultProjectId', '', 1, 308, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 413, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 413, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 189, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:0,8:0,9:0,', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_CommandSet76', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('dashboard_Command978', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 48, 0, 0, 0, NULL, ''),
('defaultTeamId', '15', 1, 420, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('schedulerOptions', '{\"taskProvider\":\"SchedulerTaskProvider0\",\"isDisplayExtRef\":false,\"nbDaysForecast\":180,\"nbDaysToDisplay\":30,\"windowStartDate\":\"thisWeek\",\"warnThreshold\":5,\"displayedUsers\":null,\"timePerTaskPerUser\":{\"217\":{\"4278\":\"\"},\"72\":{\"4278\":\"\"}}}', 2, 371, 0, 20, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 416, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '31', 1, 421, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 380, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '19', 1, 423, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 423, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 423, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 423, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '56', 1, 422, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 422, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 422, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command987', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '63', 1, 424, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:0,checkIssuesNotInMultipleCommands:0,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_Admin63', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 2, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_Import63', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('defaultTeamId', '63', 1, 428, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '63', 1, 437, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '63', 1, 429, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 428, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '63', 1, 431, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '63', 1, 432, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command1103', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 2, 0, 63, 0, 0, 0, NULL, ''),
('defaultTeamId', '63', 1, 430, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Tasks_prj45', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[]}', 2, 174, 0, 40, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 441, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 441, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 441, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '63', 1, 434, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 415, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 415, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 424, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '180', 1, 424, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Project182', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('defaultTeamId', '63', 1, 425, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 425, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 425, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '63', 1, 427, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 429, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 429, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 427, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 427, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('customField_dailyPrice', '21', 1, 0, 0, 0, 0, 0, 0, 0, '0'),
('defaultTeamId', '57', 1, 442, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 442, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 442, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 430, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 432, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '49', 1, 439, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Team63', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_Import41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 24, 0, 41, 0, 0, 0, NULL, ''),
('defaultTeamId', '63', 1, 436, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'ar', 1, 431, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_ServiceContract48', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0},{\"pluginClassName\":\"LoadPerJobIndicator2\"}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('defaultTeamId', '63', 1, 433, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command1043', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 379, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Project181', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_CommandSet162', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjectIndicator\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_CommandSet169', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_CommandSet163', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"DriftAlertIndicator\",\"isResolvedIssuesDisplayed\":0},{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"defaultValue\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 10, 0, 63, 0, 0, 0, NULL, ''),
('dashboard_Command16', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"StatusHistoryIndicator2\",\"interval\":\"oneWeek\",\"issueType\":\"noFilter\",\"issueExtId\":\"noFilter\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 9, 0, 0, 0, NULL, ''),
('defaultTeamId', '63', 1, 426, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import12', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 338, 0, 12, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 56, 0, 57, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj167', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 268, 0, 57, 0, 0, 0, NULL, ''),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 268, 0, 57, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 439, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('dashboard_Tasks_prj34', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"IssueBacklogVariationIndicator\"}]}', 2, 411, 0, 56, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 426, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 426, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '49', 1, 445, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import57', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 324, 0, 57, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 79, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 441, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 444, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 444, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Tasks_prj166', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0}]}', 2, 56, 0, 57, 0, 0, 0, NULL, ''),
('dashboard_CommandSet45', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 191, 0, 31, 0, 0, 0, NULL, ''),
('dashboard_Command1091', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '61', 1, 409, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_EditTeam', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"MoveIssueTimetracks\"}]}', 2, 79, 0, 12, 0, 0, 0, NULL, ''),
('defaultTeamId', '19', 1, 456, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_ServiceContract25', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ManagementLoadHistoryIndicator\",\"interval\":\"monthly\"},{\"pluginClassName\":\"LoadPerJobIndicator2\"}]}', 2, 408, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_CommandSet112', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"}]}', 2, 408, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_CommandSet69', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 408, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '41', 1, 448, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:1,8:1,9:1,', 2, 394, 0, 49, 0, 0, 0, NULL, ''),
('dashboard_Command1134', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 72, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Import57', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 226, 0, 57, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 447, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 447, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 447, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import54', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 227, 0, 54, 0, 0, 0, NULL, ''),
('dashboard_Team54', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerUserIndicator\",\"dateRange\":\"defaultRange\",\"showSidetasks\":0,\"showAllActivity\":0},{\"pluginClassName\":\"AvailableWorkforceIndicator\"},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 227, 0, 54, 0, 0, 0, NULL, ''),
('dashboard_Project159', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"allProjects\"},{\"pluginClassName\":\"BacklogPerUserIndicator\",\"isExtRef\":0}]}', 2, 227, 0, 54, 0, 0, 0, NULL, ''),
('teamGeneralPreferences', 'forbidAddTimetracksOnClosed:0,displayCalculatedBacklogInDialogbox:0,recreditBacklogOnTimetrackDeletion:0,useTrackNote:1,isTrackNoteMandatory:0,sendTimesheetEmailNotification:1,useTrackUO:0,', 3, 0, 0, 54, 0, 0, 0, NULL, ''),
('projectFilters', 'ProjectCategoryFilter,IssueExtIdFilter', 1, 227, 159, 0, 0, 0, 0, NULL, 'filters in ProjectInfo page'),
('defaultLanguage', 'fr', 1, 44, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 229, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 229, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('durationList', '1:1 (All day),0.75:0.75,0.5:0.5,0.25:0.25,', 3, 0, 0, 41, 0, 0, 0, NULL, ''),
('defaultTeamId', '54', 1, 451, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '54', 1, 452, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 452, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '156', 1, 452, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultLanguage', 'fr', 1, 398, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 398, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('consistencyCheckList', 'checkBacklogOnResolved:1,checkBadBacklog:1,checkEffortEstim:1,checkTimeTracksOnNewIssues:1,checkIssuesNotInCommand:1,checkIssuesNotInMultipleCommands:1,checkCommandsNotInCommandset:1,checkCommandSetNotInServiceContract:1,checkUnassignedTasks:0,checkTimetracksOnRemovedIssues:0,', 3, 0, 0, 41, 0, 0, 0, NULL, ''),
('defaultTeamId', '54', 1, 315, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Import31', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 338, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '22', 1, 453, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 453, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '65', 1, 453, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Team54', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0},{\"pluginClassName\":\"AvailableWorkforceIndicator\",\"isCollapsed\":true},{\"pluginClassName\":\"BacklogPerUserIndicator\"}]}', 2, 2, 0, 54, 0, 0, 0, NULL, ''),
('durationList', '1:1 (All day),0.9:0.9,0.8:0.8,0.75:0.75,0.7:0.7,0.6:0.6,0.5:0.5,0.4:0.4,0.3:0.3,0.25:0.25,0.2:0.2,0.1:0.1,0.05:0.05,0.15:0.15 (1 heure),', 3, 0, 0, 54, 0, 0, 0, NULL, ''),
('defaultTeamId', '20', 1, 450, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 450, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '73', 1, 450, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '57', 1, 455, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 455, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '0', 1, 455, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '63', 1, 435, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('planningOptions', 'displayExtRef:1,', 3, 450, 0, 20, 0, 0, 0, NULL, ''),
('dashboard_Command1047', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerProjCategoryIndicator\",\"dateRange\":\"defaultRange\",\"isDisplayTasks\":0,\"projectid\":\"65\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 335, 0, 31, 0, 0, 0, NULL, ''),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 456, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 457, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:1,hideDevProjects:0,', 3, 457, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'fr', 1, 457, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '98', 1, 457, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Command1042', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, ''),
('defaultTeamId', '56', 1, 459, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 459, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '34', 1, 459, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultTeamId', '56', 1, 460, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 460, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultLanguage', 'ar', 1, 410, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 455, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 380, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 415, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 442, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 447, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '31', 1, 461, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '23', 1, 468, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 460, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '', 1, 460, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('defaultProjectId', '180', 1, 431, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:0,hideDevProjects:0,', 3, 229, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultProjectId', '', 1, 432, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_CommandSet186', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"BudgetDriftHistoryIndicator2\",\"interval\":\"oneMonth\"},{\"pluginClassName\":\"CostsIndicator\",\"isCollapsed\":false},{\"pluginClassName\":\"LoadPerUserIndicator\"}]}', 2, 9, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Command1146', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"CostsIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 41, 0, 0, 0, NULL, ''),
('dashboard_Import64', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 2, 0, 64, 0, 0, 0, NULL, ''),
('dashboard_Import64', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 343, 0, 64, 0, 0, 0, NULL, ''),
('defaultTeamId', '31', 1, 463, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultTeamId', '64', 1, 465, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 465, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 420, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultLanguage', 'fr', 1, 440, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultTeamId', '49', 1, 466, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 466, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('timetrackingFilters', 'onlyAssignedTo:0,hideResolved:1,hideDevProjects:0,', 3, 459, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('defaultTeamId', '19', 1, 462, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('defaultLanguage', 'fr', 1, 448, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('defaultProjectId', '87', 1, 448, 0, 0, 0, 0, 0, NULL, 'prefered project on login'),
('dashboard_Import57', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 268, 0, 57, 0, 0, 0, NULL, ''),
('defaultTeamId', '57', 1, 467, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('timetrackingFilters', 'onlyAssignedTo:1,hideResolved:0,hideDevProjects:0,', 3, 467, 0, 0, 0, 0, 0, NULL, 'filter for timetracking page'),
('cmdStateFilters', '1:1,2:1,3:1,4:1,5:1,6:0,7:1,8:1,9:1,', 2, 46, 0, 31, 0, 0, 0, NULL, ''),
('defaultTeamId', '41', 1, 4, 0, 0, 0, 0, 0, NULL, 'prefered team on login'),
('dashboard_Command1118', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('dashboard_Command1110', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"LoadPerJobIndicator2\",\"dateRange\":\"defaultRange\"},{\"pluginClassName\":\"LoadPerUserIndicator\"},{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 9, 0, 57, 0, 0, 0, NULL, ''),
('defaultLanguage', 'fr', 1, 451, 0, 0, 0, 0, 0, NULL, 'prefered language on login'),
('dashboard_Import65', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ImportUsers\"},{\"pluginClassName\":\"ImportIssueCsv\"}]}', 2, 10, 0, 65, 0, 0, 0, NULL, ''),
('dashboard_Tasks_prj41', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"FdjTimetracksPerTaskWithUOIndicator\"},{\"pluginClassName\":\"FdjBacklogUOPerTaskIndicator\"}]}', 2, 2, 0, 19, 0, 0, 0, NULL, NULL),
('dashboard_Command1176', '{\"dashboardTitle\":\"title\",\"displayedPlugins\":[{\"pluginClassName\":\"ProgressHistoryIndicator2\"}]}', 2, 2, 0, 20, 0, 0, 0, NULL, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `codev_currencies_table`
--

DROP TABLE IF EXISTS `codev_currencies_table`;
CREATE TABLE `codev_currencies_table` (
  `currency` varchar(3) NOT NULL,
  `coef` int(11) UNSIGNED NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_currencies_table`
--

INSERT INTO `codev_currencies_table` (`currency`, `coef`) VALUES
('EUR', 1000000),
('USD', 930709),
('GBP', 1153988),
('CNY', 134703),
('INR', 14125);

-- --------------------------------------------------------

--
-- Structure de la table `codev_holidays_table`
--

DROP TABLE IF EXISTS `codev_holidays_table`;
CREATE TABLE `codev_holidays_table` (
  `id` int(11) NOT NULL,
  `date` int(11) NOT NULL,
  `description` varchar(50) DEFAULT NULL,
  `color` varchar(7) NOT NULL DEFAULT 'D8D8D8'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Fixed Holidays (national, religious, etc.)';

--
-- Déchargement des données de la table `codev_holidays_table`
--

INSERT INTO `codev_holidays_table` (`id`, `date`, `description`, `color`) VALUES
(14, 1293836400, 'Reveillon', 'D8D8D8'),
(25, 1335823200, 'fete du travail', '58CC77'),
(24, 1333922400, 'lundi de paques', '58CC77'),
(20, 1279058400, 'fete nationale', '58CC77'),
(21, 1288566000, 'toussaints', '58CC77'),
(22, 1289430000, 'armistice', '58CC77'),
(23, 1293231600, 'noel', 'D8D8D8'),
(27, 1304805600, 'victoire 1945', 'D8D8D8'),
(28, 1337205600, 'ascension', '58CC77'),
(29, 1307916000, 'pentecote', '58CC77'),
(30, 1342216800, 'fete nationale', 'D8D8D8'),
(31, 1344981600, 'assomption', '58CC77'),
(32, 1313359200, 'assomption', '58CC77'),
(33, 1351724400, 'toussaint', '58CC77'),
(34, 1352588400, 'armistice', 'D8D8D8'),
(35, 1356390000, 'noel', '58CC77'),
(36, 1364767200, 'lundi de paques', '58CC77'),
(37, 1367359200, 'fete du travail', '58CC77'),
(38, 1384124400, 'armistice', '58CC77'),
(39, 1376517600, 'assomption', '58CC77'),
(40, 1373752800, 'fete nationale', 'D8D8D8'),
(41, 1367964000, 'victoire 1945', '58CC77'),
(42, 1368050400, 'ascension', '58CC77'),
(43, 1369000800, 'pentecote', '58CC77'),
(44, 1387926000, 'noel', '58CC77'),
(45, 1388530800, 'Reveillon', '58CC77'),
(46, 1388012400, 'RTT Employeur', '58CC77'),
(47, 1388098800, 'RTT Employeur', '58CC77'),
(48, 1388358000, 'RTT Employeur', '58CC77'),
(49, 1388444400, 'RTT Employeur', '58CC77'),
(50, 1405288800, 'fete nationale', '58CC77'),
(51, 1398895200, 'fete du travail', '58CC77'),
(52, 1415660400, 'armistice', '58CC77'),
(53, 1419462000, 'noel', '58CC77'),
(54, 1398031200, 'lundi de paques', '58CC77'),
(55, 1399500000, 'victoire 1945', '58CC77'),
(56, 1401314400, 'ascension', '58CC77'),
(67, 1419807600, 'RTT Employeur', '7ED796'),
(58, 1408053600, 'assomption', '58CC77'),
(59, 1414796400, 'toussaint', 'D8D8D8'),
(66, 1419548400, 'RTT Employeur', '7ED796'),
(64, 1419980400, 'RTT Employeur', '7ED796'),
(68, 1419894000, 'RTT Employeur', '7ED796'),
(69, 1420066800, 'Reveillon', '58CC77'),
(70, 1428271200, 'lundi de paques', '58CC77'),
(71, 1430431200, 'fete du travail', '58CC77'),
(72, 1431036000, 'victoire 1945', '58CC77'),
(73, 1431554400, 'ascension', '58CC77'),
(74, 1436824800, 'fete nationale', '58CC77'),
(75, 1439589600, 'assomption', 'D8D8D8'),
(76, 1447196400, 'armistice', '58CC77'),
(77, 1450998000, 'noel', '58CC77'),
(78, 1451602800, 'Reveillon', '58CC77'),
(85, 1462399200, 'ascension', '58CC77'),
(86, 1462053600, 'fete du travail', 'D8D8D8'),
(84, 1459116000, 'lundi de paques', '58CC77'),
(87, 1462658400, 'victoire 1945', 'D8D8D8'),
(88, 1468447200, 'fete nationale', '58CC77'),
(89, 1471212000, 'assomption', '58CC77'),
(90, 1478818800, 'armistice', '58CC77'),
(91, 1482620400, 'noel', 'D8D8D8'),
(92, 1463349600, 'pentecote', '58CC77'),
(93, 1477954800, 'toussaint', '58CC77'),
(94, 1499983200, 'fete nationale', '58CC77'),
(95, 1492380000, 'lundi de paques', '58CC77'),
(96, 1493589600, 'fete du travail', '58CC77'),
(97, 1494194400, 'victoire 1945', '58CC77'),
(98, 1495663200, 'ascension', '58CC77'),
(99, 1496613600, 'pentecote', '58CC77'),
(100, 1502748000, 'assomption', '58CC77'),
(101, 1509490800, 'toussaint', '58CC77'),
(102, 1514156400, 'noel', '58CC77'),
(103, 1514761200, 'reveillon', '58CC77'),
(104, 1522620000, ' 	lundi de paques', '58CC77'),
(105, 1525125600, 'fete du travail', '58CC77'),
(106, 1525730400, 'victoire 1945', '58CC77'),
(107, 1525903200, 'ascension', '58CC77'),
(108, 1526853600, 'pentecote', '58CC77'),
(109, 1531519200, 'fete nationale', 'D8D8D8'),
(110, 1534284000, 'assomption', '58CC77'),
(111, 1541026800, 'toussaint', '58CC77'),
(112, 1541890800, 'armistice', 'D8D8D8'),
(113, 1545692400, 'noel', '58CC77'),
(114, 1546297200, 'reveillon', '58CC77');

-- --------------------------------------------------------

--
-- Structure de la table `codev_job_table`
--

DROP TABLE IF EXISTS `codev_job_table`;
CREATE TABLE `codev_job_table` (
  `id` int(11) NOT NULL,
  `name` varchar(30) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `type` int(11) NOT NULL DEFAULT 0,
  `color` varchar(7) DEFAULT '000000'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_job_table`
--

INSERT INTO `codev_job_table` (`id`, `name`, `type`, `color`) VALUES
(1, 'N/A', 1, 'A8FFBD'),
(2, 'Support', 0, 'A8FFBD'),
(24, 'Processus', 1, 'FCABD1'),
(4, 'Analyse', 0, 'FFCD85'),
(5, 'Développement', 0, 'C2DFFF'),
(6, 'Tests', 0, '92C5FC'),
(7, 'Documentation', 0, 'E0F57A'),
(8, 'MOM - VABF', 1, 'C2DFFF'),
(9, 'Marche public', 1, 'FFF494'),
(11, 'Suivi fournisseur', 1, 'FFCD85'),
(17, 'Maj Environnement', 1, 'FF9F80'),
(14, 'Montage', 1, ' 	FFF49'),
(15, 'Execution', 1, 'C2DFFF'),
(20, 'Administration TECHNIQUE', 1, '	FF9F80'),
(18, 'Livraison', 1, 'FF794D'),
(19, 'Intégration', 1, 'FF9F80'),
(21, 'Administration FONCTIONNELLE', 1, 'C2DFFF'),
(22, 'Exploitation', 1, 'FFF494'),
(23, 'Support client', 1, 'FFF494'),
(25, 'Paramétrage', 1, 'AEABFC'),
(26, 'Espace SharePoint', 1, '11C6D0'),
(27, 'Réunion', 1, '11C6D0'),
(28, 'Resolution Incident', 1, 'AEABFC'),
(29, 'Qualification', 1, '92C5FC'),
(30, 'Recette', 1, 'AEABFC');

-- --------------------------------------------------------

--
-- Structure de la table `codev_plugin_table`
--

DROP TABLE IF EXISTS `codev_plugin_table`;
CREATE TABLE `codev_plugin_table` (
  `name` varchar(64) NOT NULL,
  `status` int(11) NOT NULL DEFAULT 0,
  `domains` varchar(250) NOT NULL,
  `categories` varchar(250) NOT NULL,
  `version` varchar(10) NOT NULL,
  `description` varchar(250) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_plugin_table`
--

INSERT INTO `codev_plugin_table` (`name`, `status`, `domains`, `categories`, `version`, `description`) VALUES
('BudgetDriftHistoryIndicator2', 1, 'Command,CommandSet,ServiceContract', 'Roadmap', '1.0.0', 'Display the budget history'),
('EffortEstimReliabilityIndicator2', 1, 'Team,Project,Command,CommandSet,ServiceContract', 'Quality', '1.0.0', 'Display the EffortEstim reliability rate history<br>rate = EffortEstim / elapsed (on resolved tasks only)'),
('HelloWorldIndicator', 1, 'Homepage,Team,User', 'Quality', '1.0.0', 'A simple HelloWorld plugin'),
('LoadPerJobIndicator2', 1, 'Task,Team,User,Project,Command,CommandSet,ServiceContract', 'Quality', '1.1.0', 'Check all the timetracks of the period and return their repartition per Job'),
('LoadPerProjCategoryIndicator', 1, 'Team,Project,Command,CommandSet,ServiceContract', 'Activity', '1.0.0', 'Check all the timetracks of the period and return their repartition per project categories'),
('LoadPerUserIndicator', 1, 'Task,Team,Project,Command,CommandSet,ServiceContract', 'Activity', '1.0.0', 'Check all the timetracks of the period and return their repartition per User'),
('ProgressHistoryIndicator2', 1, 'Command,CommandSet,ServiceContract', 'Roadmap', '1.0.0', 'Display the progress history'),
('ReopenedRateIndicator2', 1, 'Team,Project,Command,CommandSet,ServiceContract', 'Quality', '1.0.0', 'Display the bug reopened rate history'),
('StatusHistoryIndicator2', 1, 'Command,Team,Project,CommandSet,ServiceContract', 'Quality', '1.0.0', 'Display Issue Status history'),
('DeadlineAlertIndicator', 1, 'Team,Project,Command,CommandSet,ServiceContract', 'Roadmap', '1.0.0', 'Display unresolved tasks that should have been delivered'),
('TimetrackDetailsIndicator', 1, 'Admin', 'Admin', '1.0.0', 'Display additional info on timetracks'),
('AvailableWorkforceIndicator', 1, 'Team', 'Planning', '1.0.0', 'Man-days available in period, except leaves and external tasks'),
('DriftAlertIndicator', 1, 'Homepage,Team,Project,Command,CommandSet,ServiceContract', 'Risk', '1.0.0', 'Display tasks where the elapsed time is greater than the estimated effort'),
('LoadPerProjectIndicator', 1, 'User,Team,Command,CommandSet,ServiceContract', 'Activity', '1.1.0', 'Check all the timetracks of the period and return their repartition per Project'),
('UserTeamList', 1, 'Admin', 'Admin', '1.0.0', 'Display a history of all the teams for a given user'),
('BacklogPerUserIndicator', 1, 'Team,Project,Command,CommandSet,ServiceContract', 'Activity', '1.0.0', 'Check all the tasks and return the backlog per User'),
('IssueBacklogVariationIndicator', 1, 'Task', 'Roadmap', '1.0.0', 'Display task backlog updates since the task creation'),
('TimePerStatusIndicator', 1, 'Task', 'Roadmap', '1.0.0', 'Time allocation by status'),
('RsiTypeAnoLoadIndicator', 2, 'Team,Project,Command,CommandSet,ServiceContract', 'Quality', '1.0.0', 'Consommé par type d\'anomalie (Prod vs Recette)'),
('IssueConsistencyCheck', 1, 'Homepage', 'Risk', '1.0.0', 'Check for errors in issues'),
('ManagementLoadHistoryIndicator', 1, 'ServiceContract', 'Activity', '1.0.0', 'Compares the elapsed time on management sideTasks to the management provisions'),
('FdjBacklogUOPerTaskIndicator', 2, 'Task,Command,CommandSet', 'Activity', '1.0.0', 'Retourne les UO restant pour la tache courante'),
('FdjTimetracksPerTaskWithUOIndicator', 2, 'Task', 'Activity', '1.0.0', 'Retourne les imputations de la tache courante'),
('MoveIssueTimetracks', 1, 'Admin,TeamAdmin', 'Admin', '1.0.0', 'Move timetracks from one issue to another'),
('ImportUsers', 1, 'Import_Export,TeamAdmin', 'Import', '1.0.0', 'Import a list of users to MantisBT / CodevTT'),
('BlogPlugin', 1, 'Homepage', 'Internal', '1.0.0', 'Display a message wall on the homepage<br>Allows Administrators & team members to send messages that will be displayed on other users\' wall'),
('CostsIndicator', 1, 'Task,Command,CommandSet,ServiceContract', 'Financial', '1.0.0', 'Compute costs, using the UserDailyCosts defined in team settings'),
('ImportIssueCsv', 1, 'Import_Export', 'Import', '1.0.0', 'Import a list of issues to MantisBT / CodevTT from a CSV file'),
('WBSExport', 0, 'Command', 'Roadmap', '1.0.0', 'Export WBS to CSV file'),
('ManagementCosts', 1, 'ServiceContract', 'Financial', '1.0.0', 'Sum elapsed time on management sideTasks and compare to the sum of command provisions. Returns a result in man-days and costs'),
('SubmittedResolvedHistoryIndicator', 1, 'Command,Team,Project,CommandSet,ServiceContract', 'Roadmap', '1.0.0', 'Display the number of issues submitted/resolved in a period'),
('TasksPivotTable', 1, 'Team,Project,Command,CommandSet,ServiceContract', 'Activity', '1.0.0', 'Group tasks by adding multiple filters'),
('TimetrackList', 1, 'Task,Project,Team,User,Command,CommandSet,ServiceContract', 'Activity', '1.1.0', 'List and edit timetracks'),
('AdminTools', 1, 'Admin', 'Admin', '1.0.0', 'CodevTT administration tools'),
('OngoingTasks', 1, 'Project,Team,User,Command,CommandSet,ServiceContract', 'Activity', '1.0.0', 'List the active tasks on a given period'),
('SellingPriceForPeriod', 1, 'Task,Project,Team,User,Command,CommandSet,ServiceContract', 'Activity', '1.0.0', 'If you sell daily services with a specific price for each task, this plugin will give you the price of your batch of tasks over a given period of time. For this plugin, you need to add the \"CodevTT_DailyPrice\" customField to your mantis projects and ');

-- --------------------------------------------------------

--
-- Structure de la table `codev_project_category_table`
--

DROP TABLE IF EXISTS `codev_project_category_table`;
CREATE TABLE `codev_project_category_table` (
  `id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `type` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_project_category_table`
--

INSERT INTO `codev_project_category_table` (`id`, `project_id`, `category_id`, `type`) VALUES
(1, 4, 2, 7),
(2, 4, 3, 1),
(3, 4, 4, 3),
(4, 4, 5, 4),
(5, 4, 6, 5),
(6, 8, 29, 7),
(7, 8, 30, 1),
(8, 8, 31, 3),
(9, 8, 32, 4),
(10, 8, 33, 5),
(11, 9, 34, 7),
(12, 9, 35, 1),
(13, 9, 36, 3),
(14, 9, 37, 4),
(15, 9, 38, 5),
(16, 11, 41, 7),
(17, 11, 42, 1),
(18, 11, 43, 3),
(19, 11, 44, 4),
(20, 11, 45, 5),
(21, 13, 53, 7),
(22, 13, 54, 1),
(23, 13, 55, 3),
(24, 13, 56, 4),
(25, 13, 57, 5),
(26, 15, 60, 7),
(27, 15, 61, 1),
(28, 15, 62, 3),
(29, 15, 63, 4),
(30, 15, 64, 5),
(31, 18, 79, 7),
(32, 18, 80, 1),
(33, 18, 81, 3),
(34, 18, 82, 4),
(35, 18, 83, 5),
(36, 20, 91, 7),
(37, 20, 92, 1),
(38, 20, 93, 3),
(39, 20, 94, 4),
(40, 20, 95, 5),
(41, 22, 96, 7),
(42, 22, 97, 1),
(43, 22, 98, 3),
(44, 22, 99, 4),
(45, 22, 100, 5),
(46, 24, 101, 7),
(47, 24, 102, 1),
(48, 24, 103, 3),
(49, 24, 104, 4),
(50, 24, 105, 5),
(51, 26, 107, 7),
(52, 26, 108, 1),
(53, 26, 109, 3),
(54, 26, 110, 4),
(55, 26, 111, 5),
(56, 28, 128, 7),
(57, 30, 135, 7),
(58, 30, 136, 1),
(59, 30, 137, 3),
(60, 30, 138, 4),
(61, 30, 139, 5),
(62, 31, 141, 7),
(63, 31, 142, 1),
(64, 31, 143, 3),
(65, 31, 144, 4),
(66, 31, 145, 5),
(67, 33, 146, 7),
(68, 33, 147, 1),
(69, 33, 148, 3),
(70, 33, 149, 4),
(71, 33, 150, 5),
(72, 35, 151, 7),
(73, 35, 152, 1),
(74, 35, 153, 3),
(75, 35, 154, 4),
(76, 35, 155, 5),
(77, 37, 156, 7),
(78, 37, 157, 1),
(79, 37, 158, 3),
(80, 37, 159, 4),
(81, 37, 160, 5),
(82, 38, 161, 7),
(83, 38, 162, 1),
(84, 38, 163, 3),
(85, 38, 164, 4),
(86, 38, 165, 5),
(87, 40, 169, 7),
(88, 40, 170, 1),
(89, 40, 171, 3),
(90, 40, 172, 4),
(91, 40, 173, 5),
(92, 42, 175, 7),
(93, 42, 176, 1),
(94, 42, 177, 3),
(95, 42, 178, 4),
(96, 42, 179, 5),
(97, 44, 180, 7),
(98, 44, 181, 1),
(99, 44, 182, 3),
(100, 44, 183, 4),
(101, 44, 184, 5),
(102, 51, 190, 7),
(103, 51, 191, 1),
(104, 51, 192, 3),
(105, 51, 193, 4),
(106, 51, 194, 5),
(107, 52, 196, 7),
(108, 52, 197, 1),
(109, 52, 198, 3),
(110, 52, 199, 4),
(111, 52, 200, 5),
(112, 54, 201, 7),
(113, 54, 202, 1),
(114, 54, 203, 3),
(115, 54, 204, 4),
(116, 54, 205, 5),
(117, 55, 207, 7),
(118, 55, 208, 1),
(119, 55, 209, 3),
(120, 55, 210, 4),
(121, 55, 211, 5),
(122, 60, 218, 7),
(123, 60, 219, 1),
(124, 60, 220, 3),
(125, 60, 221, 4),
(126, 60, 222, 5),
(127, 62, 223, 7),
(128, 62, 224, 1),
(129, 62, 225, 3),
(130, 62, 226, 4),
(131, 62, 227, 5),
(132, 64, 235, 7),
(133, 64, 236, 1),
(134, 64, 237, 3),
(135, 64, 238, 4),
(136, 64, 239, 5),
(137, 66, 241, 7),
(138, 66, 242, 1),
(139, 66, 243, 3),
(140, 66, 244, 4),
(141, 66, 245, 5),
(142, 71, 251, 7),
(143, 71, 252, 1),
(144, 71, 253, 3),
(145, 71, 254, 4),
(146, 71, 255, 5),
(147, 72, 256, 7),
(148, 72, 257, 1),
(149, 72, 258, 3),
(150, 72, 259, 4),
(151, 72, 260, 5),
(152, 73, 261, 7),
(153, 73, 262, 1),
(154, 73, 263, 3),
(155, 73, 264, 4),
(156, 73, 265, 5),
(157, 76, 267, 7),
(158, 76, 268, 1),
(159, 76, 269, 3),
(160, 76, 270, 4),
(161, 76, 271, 5),
(162, 77, 272, 7),
(163, 77, 273, 1),
(164, 77, 274, 3),
(165, 77, 275, 4),
(166, 77, 276, 5),
(167, 78, 278, 7),
(168, 78, 279, 1),
(169, 78, 280, 3),
(170, 78, 281, 4),
(171, 78, 282, 5),
(172, 80, 289, 7),
(173, 80, 290, 1),
(174, 80, 291, 3),
(175, 80, 292, 4),
(176, 80, 293, 5),
(177, 81, 294, 7),
(178, 81, 295, 1),
(179, 81, 296, 3),
(180, 81, 297, 4),
(181, 81, 298, 5),
(182, 82, 299, 7),
(183, 82, 300, 1),
(184, 82, 301, 3),
(185, 82, 302, 4),
(186, 82, 303, 5),
(187, 84, 305, 7),
(188, 84, 306, 1),
(189, 84, 307, 3),
(190, 84, 308, 4),
(191, 84, 309, 5),
(192, 86, 314, 7),
(193, 86, 315, 1),
(194, 86, 316, 3),
(195, 86, 317, 4),
(196, 86, 318, 5),
(197, 88, 319, 7),
(198, 88, 320, 1),
(199, 88, 321, 3),
(200, 88, 322, 4),
(201, 88, 323, 5),
(202, 89, 329, 7),
(203, 89, 330, 1),
(204, 89, 331, 3),
(205, 89, 332, 4),
(206, 89, 333, 5),
(207, 90, 340, 7),
(208, 90, 341, 1),
(209, 90, 342, 3),
(210, 90, 343, 4),
(211, 90, 344, 5),
(212, 92, 345, 7),
(213, 92, 346, 1),
(214, 92, 347, 3),
(215, 92, 348, 4),
(216, 92, 349, 5),
(217, 94, 356, 7),
(218, 94, 357, 1),
(219, 94, 358, 3),
(220, 94, 359, 4),
(221, 94, 360, 5),
(222, 97, 370, 7),
(223, 97, 371, 1),
(224, 97, 372, 3),
(225, 97, 373, 4),
(226, 97, 374, 5),
(227, 103, 467, 7),
(228, 103, 468, 1),
(229, 103, 469, 3),
(230, 103, 470, 4),
(231, 103, 471, 5),
(232, 104, 472, 7),
(233, 104, 473, 1),
(234, 104, 474, 3),
(235, 104, 475, 4),
(236, 104, 476, 5),
(237, 105, 477, 7),
(238, 105, 478, 1),
(239, 105, 479, 3),
(240, 105, 480, 4),
(241, 105, 481, 5),
(242, 150, 485, 7),
(243, 150, 486, 1),
(244, 150, 487, 3),
(245, 150, 488, 4),
(246, 150, 489, 5),
(247, 151, 494, 7),
(248, 151, 495, 1),
(249, 151, 496, 3),
(250, 151, 497, 4),
(251, 151, 498, 5),
(252, 154, 509, 7),
(253, 154, 510, 1),
(254, 154, 511, 3),
(255, 154, 512, 4),
(256, 154, 513, 5),
(257, 156, 527, 7),
(258, 156, 528, 1),
(259, 156, 529, 3),
(260, 156, 530, 4),
(261, 156, 531, 5),
(262, 162, 543, 7),
(263, 162, 544, 1),
(264, 162, 545, 3),
(265, 162, 546, 4),
(266, 162, 547, 5),
(267, 165, 596, 7),
(268, 165, 597, 1),
(269, 165, 598, 3),
(270, 165, 599, 4),
(271, 165, 600, 5),
(272, 166, 601, 7),
(273, 166, 602, 1),
(274, 166, 603, 3),
(275, 166, 604, 4),
(276, 166, 605, 5),
(277, 168, 612, 7),
(278, 168, 613, 1),
(279, 168, 614, 3),
(280, 168, 615, 4),
(281, 168, 616, 5),
(282, 176, 638, 7),
(283, 176, 639, 1),
(284, 176, 640, 3),
(285, 176, 641, 4),
(286, 176, 642, 5),
(287, 177, 647, 7),
(288, 177, 648, 1),
(289, 177, 649, 3),
(290, 177, 650, 4),
(291, 177, 651, 5),
(292, 179, 660, 7),
(293, 179, 661, 1),
(294, 179, 662, 3),
(295, 179, 663, 4),
(296, 179, 664, 5),
(297, 185, 690, 7),
(298, 185, 691, 1),
(299, 185, 692, 3),
(300, 185, 693, 4),
(301, 185, 694, 5),
(302, 187, 698, 7),
(303, 187, 699, 1),
(304, 187, 700, 3),
(305, 187, 701, 4),
(306, 187, 702, 5);

-- --------------------------------------------------------

--
-- Structure de la table `codev_project_job_table`
--

DROP TABLE IF EXISTS `codev_project_job_table`;
CREATE TABLE `codev_project_job_table` (
  `id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `job_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_project_job_table`
--

INSERT INTO `codev_project_job_table` (`id`, `project_id`, `job_id`) VALUES
(1, 3, 1),
(2, 4, 1),
(3, 8, 1),
(4, 6, 8),
(5, 6, 9),
(6, 6, 11),
(7, 7, 8),
(42, 41, 18),
(41, 66, 1),
(10, 9, 1),
(11, 11, 1),
(12, 13, 1),
(13, 15, 1),
(14, 18, 1),
(15, 20, 1),
(16, 22, 1),
(17, 24, 1),
(18, 26, 1),
(39, 62, 1),
(20, 30, 1),
(21, 31, 1),
(22, 33, 1),
(29, 51, 1),
(24, 37, 1),
(40, 64, 1),
(26, 40, 1),
(27, 42, 1),
(58, 78, 1),
(31, 54, 1),
(38, 60, 1),
(103, 92, 1),
(210, 34, 1),
(211, 166, 1),
(43, 41, 17),
(60, 48, 17),
(59, 47, 17),
(87, 80, 1),
(88, 81, 1),
(48, 71, 1),
(49, 72, 1),
(50, 73, 1),
(51, 41, 4),
(52, 41, 7),
(53, 41, 5),
(54, 41, 2),
(55, 41, 6),
(61, 49, 17),
(62, 45, 17),
(63, 47, 7),
(64, 48, 7),
(65, 49, 7),
(66, 45, 7),
(67, 47, 4),
(68, 48, 4),
(69, 49, 4),
(70, 45, 4),
(71, 47, 5),
(72, 48, 5),
(73, 49, 5),
(74, 45, 5),
(75, 47, 2),
(76, 48, 2),
(77, 49, 2),
(78, 45, 2),
(79, 47, 18),
(80, 48, 18),
(81, 49, 18),
(82, 45, 18),
(83, 47, 6),
(84, 48, 6),
(85, 49, 6),
(86, 45, 6),
(89, 82, 1),
(90, 83, 4),
(91, 83, 7),
(92, 83, 5),
(93, 83, 2),
(94, 83, 6),
(95, 84, 1),
(104, 94, 1),
(97, 88, 1),
(105, 93, 7),
(99, 90, 1),
(100, 87, 19),
(441, 180, 4),
(438, 182, 6),
(106, 93, 20),
(107, 93, 21),
(108, 93, 19),
(109, 93, 6),
(110, 97, 1),
(111, 96, 23),
(112, 98, 1),
(113, 93, 5),
(114, 93, 24),
(115, 93, 25),
(116, 93, 26),
(117, 100, 4),
(118, 100, 5),
(119, 100, 7),
(120, 100, 18),
(121, 100, 17),
(122, 100, 2),
(123, 100, 6),
(124, 103, 1),
(125, 104, 1),
(126, 101, 4),
(127, 102, 4),
(128, 101, 5),
(129, 102, 5),
(130, 101, 7),
(131, 102, 7),
(132, 101, 18),
(133, 102, 18),
(134, 101, 17),
(135, 102, 17),
(136, 101, 2),
(137, 102, 2),
(138, 101, 6),
(139, 102, 6),
(141, 108, 1),
(142, 107, 1),
(143, 109, 1),
(144, 110, 1),
(145, 111, 1),
(146, 112, 1),
(147, 113, 1),
(148, 114, 1),
(149, 115, 1),
(150, 116, 1),
(151, 117, 1),
(152, 147, 1),
(153, 118, 1),
(154, 119, 1),
(155, 145, 1),
(156, 120, 1),
(157, 121, 1),
(158, 122, 1),
(159, 123, 1),
(160, 124, 1),
(161, 125, 1),
(162, 126, 1),
(163, 127, 1),
(164, 128, 1),
(165, 129, 1),
(166, 130, 1),
(167, 131, 1),
(168, 132, 1),
(169, 133, 1),
(170, 134, 1),
(171, 135, 1),
(172, 136, 1),
(173, 137, 1),
(174, 138, 1),
(175, 146, 1),
(176, 139, 1),
(177, 140, 1),
(178, 141, 1),
(179, 142, 1),
(180, 143, 1),
(181, 144, 1),
(182, 41, 27),
(183, 150, 1),
(184, 105, 1),
(185, 151, 1),
(186, 154, 1),
(187, 155, 1),
(188, 156, 1),
(189, 159, 4),
(190, 159, 7),
(195, 159, 28),
(192, 159, 24),
(193, 157, 19),
(194, 158, 19),
(196, 159, 2),
(197, 160, 1),
(198, 162, 1),
(199, 161, 4),
(200, 161, 5),
(201, 161, 7),
(202, 161, 19),
(203, 161, 2),
(204, 161, 18),
(205, 161, 29),
(206, 161, 30),
(207, 163, 1),
(208, 164, 1),
(209, 165, 1),
(212, 168, 1),
(213, 79, 18),
(214, 79, 27),
(215, 79, 17),
(216, 1, 2),
(217, 1, 4),
(218, 1, 5),
(219, 1, 6),
(220, 1, 7),
(221, 2, 2),
(222, 2, 4),
(223, 2, 5),
(224, 2, 6),
(225, 2, 7),
(226, 5, 2),
(227, 5, 4),
(228, 5, 5),
(229, 5, 6),
(230, 5, 7),
(231, 10, 2),
(232, 10, 4),
(233, 10, 5),
(234, 10, 6),
(235, 10, 7),
(236, 14, 2),
(237, 14, 4),
(238, 14, 5),
(239, 14, 6),
(240, 14, 7),
(241, 17, 2),
(242, 17, 4),
(243, 17, 5),
(244, 17, 6),
(245, 17, 7),
(246, 19, 2),
(247, 19, 4),
(248, 19, 5),
(249, 19, 6),
(250, 19, 7),
(251, 21, 2),
(252, 21, 4),
(253, 21, 5),
(254, 21, 6),
(255, 21, 7),
(256, 23, 2),
(257, 23, 4),
(258, 23, 5),
(259, 23, 6),
(260, 23, 7),
(261, 25, 2),
(262, 25, 4),
(263, 25, 5),
(264, 25, 6),
(265, 25, 7),
(266, 29, 2),
(267, 29, 4),
(268, 29, 5),
(269, 29, 6),
(270, 29, 7),
(271, 32, 2),
(272, 32, 4),
(273, 32, 5),
(274, 32, 6),
(275, 32, 7),
(276, 36, 2),
(277, 36, 4),
(278, 36, 5),
(279, 36, 6),
(280, 36, 7),
(281, 158, 2),
(282, 158, 4),
(283, 158, 5),
(284, 158, 6),
(285, 158, 7),
(286, 43, 2),
(287, 43, 4),
(288, 43, 5),
(289, 43, 6),
(290, 43, 7),
(291, 74, 2),
(292, 74, 4),
(293, 74, 5),
(294, 74, 6),
(295, 74, 7),
(296, 50, 2),
(297, 50, 4),
(298, 50, 5),
(299, 50, 6),
(300, 50, 7),
(301, 53, 2),
(302, 53, 4),
(303, 53, 5),
(304, 53, 6),
(305, 53, 7),
(306, 56, 2),
(307, 56, 4),
(308, 56, 5),
(309, 56, 6),
(310, 56, 7),
(311, 59, 2),
(312, 59, 4),
(313, 59, 5),
(314, 59, 6),
(315, 59, 7),
(316, 61, 2),
(317, 61, 4),
(318, 61, 5),
(319, 61, 6),
(320, 61, 7),
(321, 65, 2),
(322, 65, 4),
(323, 65, 5),
(324, 65, 6),
(325, 65, 7),
(326, 91, 2),
(327, 91, 4),
(328, 91, 5),
(329, 91, 6),
(330, 91, 7),
(331, 63, 2),
(332, 63, 4),
(333, 63, 5),
(334, 63, 6),
(335, 63, 7),
(445, 181, 2),
(442, 180, 5),
(443, 180, 6),
(411, 170, 1),
(444, 180, 7),
(341, 85, 2),
(342, 85, 4),
(343, 85, 5),
(344, 85, 6),
(345, 85, 7),
(346, 79, 2),
(347, 79, 4),
(348, 79, 5),
(349, 79, 6),
(350, 79, 7),
(351, 87, 2),
(352, 87, 4),
(353, 87, 5),
(354, 87, 6),
(355, 87, 7),
(356, 157, 2),
(357, 157, 4),
(358, 157, 5),
(359, 157, 6),
(360, 157, 7),
(361, 148, 2),
(362, 148, 4),
(363, 148, 5),
(364, 148, 6),
(365, 148, 7),
(366, 152, 2),
(367, 152, 4),
(368, 152, 5),
(369, 152, 6),
(370, 152, 7),
(371, 153, 2),
(372, 153, 4),
(373, 153, 5),
(374, 153, 6),
(375, 153, 7),
(429, 178, 2),
(428, 177, 1),
(427, 176, 1),
(430, 178, 4),
(426, 175, 1),
(381, 167, 2),
(382, 167, 4),
(383, 167, 5),
(384, 167, 6),
(385, 167, 7),
(386, 169, 2),
(387, 169, 4),
(388, 169, 5),
(389, 169, 6),
(390, 169, 7),
(437, 182, 5),
(439, 182, 7),
(440, 180, 2),
(413, 172, 1),
(412, 171, 1),
(432, 178, 6),
(435, 182, 2),
(436, 182, 4),
(434, 179, 1),
(433, 178, 7),
(431, 178, 5),
(425, 174, 1),
(414, 173, 1),
(446, 181, 4),
(447, 181, 5),
(448, 181, 6),
(449, 181, 7),
(450, 182, 19),
(451, 180, 19),
(452, 181, 19),
(453, 183, 2),
(454, 183, 4),
(455, 183, 5),
(456, 183, 6),
(457, 183, 7),
(458, 183, 19),
(459, 185, 1),
(460, 184, 2),
(461, 184, 4),
(462, 184, 5),
(463, 184, 6),
(464, 184, 7),
(465, 187, 1);

-- --------------------------------------------------------

--
-- Structure de la table `codev_servicecontract_cmdset_table`
--

DROP TABLE IF EXISTS `codev_servicecontract_cmdset_table`;
CREATE TABLE `codev_servicecontract_cmdset_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `servicecontract_id` int(11) NOT NULL,
  `commandset_id` int(11) NOT NULL,
  `type` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_servicecontract_cmdset_table`
--

INSERT INTO `codev_servicecontract_cmdset_table` (`id`, `servicecontract_id`, `commandset_id`, `type`) VALUES
(1, 1, 1, 1),
(2, 2, 2, 1),
(6, 6, 6, 1),
(54, 25, 19, 1),
(78, 25, 66, 1),
(80, 25, 69, 1),
(144, 25, 112, 1),
(171, 25, 177, 1);

-- --------------------------------------------------------

--
-- Structure de la table `codev_servicecontract_stproj_table`
--

DROP TABLE IF EXISTS `codev_servicecontract_stproj_table`;
CREATE TABLE `codev_servicecontract_stproj_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `servicecontract_id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `type` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_servicecontract_stproj_table`
--

INSERT INTO `codev_servicecontract_stproj_table` (`id`, `servicecontract_id`, `project_id`, `type`) VALUES
(1, 1, 4, 1),
(2, 2, 9, 1),
(5, 6, 15, 1),
(19, 25, 44, 1),
(20, 25, 73, 1);

-- --------------------------------------------------------

--
-- Structure de la table `codev_servicecontract_table`
--

DROP TABLE IF EXISTS `codev_servicecontract_table`;
CREATE TABLE `codev_servicecontract_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(100) NOT NULL,
  `reference` varchar(64) DEFAULT NULL,
  `team_id` int(11) NOT NULL,
  `state` int(11) UNSIGNED DEFAULT NULL,
  `version` varchar(64) DEFAULT NULL,
  `reporter` varchar(64) DEFAULT NULL,
  `start_date` int(11) UNSIGNED DEFAULT NULL,
  `end_date` int(11) UNSIGNED DEFAULT NULL,
  `description` varchar(500) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_servicecontract_table`
--

INSERT INTO `codev_servicecontract_table` (`id`, `name`, `reference`, `team_id`, `state`, `version`, `reporter`, `start_date`, `end_date`, `description`) VALUES
(1, 'serviceContract_1', 'OTP_1', 2, 0, '', 'Joe the customer', NULL, NULL, 'fake description...'),
(2, 'serviceContract_2', 'OTP_2', 4, 0, '', 'Joe the customer', NULL, NULL, 'fake description...'),
(6, 'serviceContract_6', 'OTP_6', 7, 0, '', 'Joe the customer', 1375048800, 1380492000, 'fake description...'),
(25, 'serviceContract_25', 'OTP_25', 20, 0, '', 'Joe the customer', NULL, NULL, 'fake description...');

-- --------------------------------------------------------

--
-- Structure de la table `codev_sidetasks_category_table`
--

DROP TABLE IF EXISTS `codev_sidetasks_category_table`;
CREATE TABLE `codev_sidetasks_category_table` (
  `id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `cat_management` int(11) DEFAULT NULL,
  `cat_incident` int(11) DEFAULT NULL,
  `cat_inactivity` int(11) DEFAULT NULL,
  `cat_tools` int(11) DEFAULT NULL,
  `cat_workshop` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `codev_team_project_table`
--

DROP TABLE IF EXISTS `codev_team_project_table`;
CREATE TABLE `codev_team_project_table` (
  `id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `team_id` int(11) NOT NULL,
  `type` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_team_project_table`
--

INSERT INTO `codev_team_project_table` (`id`, `project_id`, `team_id`, `type`) VALUES
(1, 3, 1, 3),
(62, 3, 20, 3),
(133, 41, 20, 2),
(122, 68, 20, 1),
(129, 73, 20, 1),
(211, 81, 20, 1);

-- --------------------------------------------------------

--
-- Structure de la table `codev_team_table`
--

DROP TABLE IF EXISTS `codev_team_table`;
CREATE TABLE `codev_team_table` (
  `id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `administrators` varchar(255) DEFAULT NULL,
  `leader_id` int(11) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL DEFAULT 1,
  `commands_enabled` tinyint(4) NOT NULL DEFAULT 1,
  `date` int(11) NOT NULL,
  `average_daily_cost` int(11) DEFAULT NULL,
  `currency` varchar(3) NOT NULL DEFAULT 'EUR',
  `lock_timetracks_date` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_team_table`
--

INSERT INTO `codev_team_table` (`id`, `name`, `description`, `administrators`, `leader_id`, `enabled`, `commands_enabled`, `date`, `average_daily_cost`, `currency`, `lock_timetracks_date`) VALUES
(1, 'CodevTT admin', 'Equipe d\'administration CodevTT', '60', 60, 0, 1, 1360796400, NULL, 'EUR', NULL),
(20, 'DEMO_Team', '', '2', 2, 1, 1, 1402524000, 34800, 'EUR', NULL);

-- --------------------------------------------------------

--
-- Structure de la table `codev_team_user_table`
--

DROP TABLE IF EXISTS `codev_team_user_table`;
CREATE TABLE `codev_team_user_table` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `team_id` int(11) NOT NULL,
  `access_level` int(11) UNSIGNED NOT NULL DEFAULT 10,
  `arrival_date` int(11) UNSIGNED NOT NULL,
  `departure_date` int(11) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_team_user_table`
--

INSERT INTO `codev_team_user_table` (`id`, `user_id`, `team_id`, `access_level`, `arrival_date`, `departure_date`) VALUES
(1, 1, 1, 10, 1360796400, 0),
(390, 128, 20, 10, 1417474800, 1434578400),
(300, 112, 20, 10, 1412546400, 1415314800),
(214, 74, 20, 10, 1403647200, 0),
(417, 83, 20, 20, 1402524000, 0),
(210, 73, 20, 10, 1403647200, 1460325600),
(228, 72, 20, 30, 1402524000, 0),
(545, 164, 20, 10, 1430085600, 0),
(289, 93, 20, 10, 1410732000, 1466719200),
(307, 2, 20, 30, 1403647200, 0),
(313, 114, 20, 10, 1413151200, 1440712800),
(455, 134, 20, 10, 1423090800, 0),
(456, 140, 20, 10, 1422226800, 1425596400),
(426, 136, 20, 10, 1420412400, 1428616800),
(749, 109, 20, 30, 1420671600, 1469916000),
(435, 139, 20, 10, 1421190000, 1425078000),
(479, 0, 20, 10, 1424818800, 1422658800),
(478, 146, 20, 10, 1425250800, 1488236400),
(480, 0, 20, 10, 1424818800, 1422658800),
(481, 0, 20, 10, 1424818800, 1422658800),
(489, 147, 20, 10, 1426028400, 1496008800),
(483, 148, 20, 10, 1424732400, 1426806000),
(485, 149, 20, 10, 1422226800, 1422572400),
(496, 116, 20, 10, 1414364400, 1472594400),
(499, 117, 20, 10, 1420585200, 1451516400),
(776, 205, 20, 30, 1447801200, 1509055200),
(527, 157, 20, 10, 1428357600, 0),
(530, 158, 20, 10, 1428962400, 1501452000),
(571, 169, 20, 10, 1436997600, 1504476000),
(595, 178, 20, 10, 1441058400, 1447974000),
(1476, 199, 20, 30, 1446073200, 0),
(770, 88, 20, 20, 1449788400, 0),
(718, 198, 20, 10, 1442181600, 1451516400),
(720, 200, 20, 10, 1446418800, 1475186400),
(779, 212, 20, 10, 1453676400, 1483138800),
(803, 218, 20, 10, 1454281200, 1462140000),
(814, 217, 20, 10, 1454886000, 1511996400),
(1759, 227, 20, 20, 1515366000, 0),
(1743, 408, 20, 20, 1513810800, 0),
(1566, 48, 20, 20, 1497823200, 0),
(1752, 450, 20, 10, 1515366000, 0),
(1751, 449, 20, 10, 1515366000, 1516143600),
(1115, 168, 20, 10, 1472680800, 1519772400),
(1068, 246, 20, 10, 1469570400, 1505340000),
(1729, 56, 20, 20, 1513033200, 0),
(1200, 345, 20, 20, 1480633200, 0),
(1170, 322, 20, 10, 1479423600, 1501452000),
(1179, 342, 20, 10, 1480287600, 1488495600),
(1246, 366, 20, 20, 1484694000, 1514674800),
(1467, 370, 20, 10, 1490223600, 1501452000),
(1565, 394, 20, 20, 1497823200, 0),
(1507, 248, 20, 20, 1493935200, 0),
(1684, 371, 20, 20, 1508882400, 0),
(1660, 256, 20, 20, 1507759200, 0),
(1790, 343, 20, 20, 1519167600, 0);

-- --------------------------------------------------------

--
-- Structure de la table `codev_timetracking_table`
--

DROP TABLE IF EXISTS `codev_timetracking_table`;
CREATE TABLE `codev_timetracking_table` (
  `id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `bugid` int(11) NOT NULL,
  `jobid` int(11) NOT NULL,
  `date` int(11) DEFAULT NULL,
  `duration` float DEFAULT NULL,
  `committer_id` int(11) DEFAULT NULL,
  `commit_date` int(11) DEFAULT NULL,
  `cost` int(11) DEFAULT NULL,
  `currency` varchar(3) DEFAULT NULL,
  `billed` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_timetracking_table`
--

INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(62, 2, 2, 1, 1361746800, 1, NULL, NULL, NULL, NULL, 0),
(63, 2, 2, 1, 1361833200, 1, NULL, NULL, NULL, NULL, 0),
(64, 2, 2, 1, 1361919600, 1, NULL, NULL, NULL, NULL, 0),
(4295, 2, 2, 1, 1398117600, 1, NULL, NULL, NULL, NULL, 0),
(4296, 2, 2, 1, 1398204000, 1, NULL, NULL, NULL, NULL, 0),
(4297, 2, 2, 1, 1398290400, 1, NULL, NULL, NULL, NULL, 0),
(4298, 2, 2, 1, 1398376800, 1, NULL, NULL, NULL, NULL, 0),
(4299, 2, 2, 1, 1398636000, 1, NULL, NULL, NULL, NULL, 0),
(4300, 2, 2, 1, 1398722400, 1, NULL, NULL, NULL, NULL, 0),
(4301, 2, 2, 1, 1398808800, 1, NULL, NULL, NULL, NULL, 0),
(4302, 2, 2, 1, 1398981600, 1, NULL, NULL, NULL, NULL, 0),
(4409, 2, 1, 1, 1390777200, 0.5, NULL, NULL, NULL, NULL, 0),
(5200, 48, 1, 1, 1395010800, 1, NULL, NULL, NULL, NULL, 0),
(5201, 48, 1, 1, 1395097200, 1, NULL, NULL, NULL, NULL, 0),
(5202, 48, 1, 1, 1395183600, 1, NULL, NULL, NULL, NULL, 0),
(5203, 48, 1, 1, 1395270000, 1, NULL, NULL, NULL, NULL, 0),
(5204, 48, 1, 1, 1395356400, 1, NULL, NULL, NULL, NULL, 0),
(5275, 2, 2, 1, 1405375200, 1, NULL, NULL, NULL, NULL, 0),
(5276, 2, 2, 1, 1405461600, 1, NULL, NULL, NULL, NULL, 0),
(5277, 2, 2, 1, 1405548000, 1, NULL, NULL, NULL, NULL, 0),
(5278, 2, 2, 1, 1405634400, 1, NULL, NULL, NULL, NULL, 0),
(5279, 2, 2, 1, 1405893600, 1, NULL, NULL, NULL, NULL, 0),
(5280, 2, 2, 1, 1405980000, 1, NULL, NULL, NULL, NULL, 0),
(5281, 2, 2, 1, 1406066400, 1, NULL, NULL, NULL, NULL, 0),
(5282, 2, 2, 1, 1406152800, 1, NULL, NULL, NULL, NULL, 0),
(5283, 2, 2, 1, 1406239200, 1, NULL, NULL, NULL, NULL, 0),
(5284, 2, 2, 1, 1406498400, 1, NULL, NULL, NULL, NULL, 0),
(5285, 2, 2, 1, 1406584800, 1, NULL, NULL, NULL, NULL, 0),
(5286, 2, 2, 1, 1406671200, 1, NULL, NULL, NULL, NULL, 0),
(5287, 2, 2, 1, 1406757600, 1, NULL, NULL, NULL, NULL, 0),
(5288, 2, 2, 1, 1406844000, 1, NULL, NULL, NULL, NULL, 0),
(5289, 2, 2, 1, 1407103200, 1, NULL, NULL, NULL, NULL, 0),
(5290, 2, 2, 1, 1407189600, 1, NULL, NULL, NULL, NULL, 0),
(5291, 2, 2, 1, 1407276000, 1, NULL, NULL, NULL, NULL, 0),
(5292, 2, 2, 1, 1407362400, 1, NULL, NULL, NULL, NULL, 0),
(5293, 2, 2, 1, 1407448800, 1, NULL, NULL, NULL, NULL, 0),
(5294, 2, 2, 1, 1407708000, 1, NULL, NULL, NULL, NULL, 0),
(5295, 2, 2, 1, 1407794400, 1, NULL, NULL, NULL, NULL, 0),
(5296, 2, 2, 1, 1407880800, 1, NULL, NULL, NULL, NULL, 0),
(5297, 2, 2, 1, 1407967200, 1, NULL, NULL, NULL, NULL, 0),
(5298, 2, 2, 1, 1399586400, 1, NULL, NULL, NULL, NULL, 0),
(6339, 2, 1041, 1, 1401400800, 1, NULL, NULL, NULL, NULL, 0),
(5300, 2, 2, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(5325, 48, 1, 1, 1397080800, 1, NULL, NULL, NULL, NULL, 0),
(5326, 48, 1, 1, 1397167200, 1, NULL, NULL, NULL, NULL, 0),
(5607, 2, 1041, 1, 1397685600, 1, NULL, NULL, NULL, NULL, 0),
(5608, 2, 1041, 1, 1397772000, 1, NULL, NULL, NULL, NULL, 0),
(5914, 2, 2, 1, 1399845600, 1, NULL, NULL, NULL, NULL, 0),
(6000, 2, 1041, 1, 1399932000, 1, NULL, NULL, NULL, NULL, 0),
(6001, 2, 1041, 1, 1400018400, 1, NULL, NULL, NULL, NULL, 0),
(6002, 2, 1041, 1, 1400104800, 1, NULL, NULL, NULL, NULL, 0),
(6003, 2, 1041, 1, 1400191200, 1, NULL, NULL, NULL, NULL, 0),
(6004, 2, 1041, 1, 1400450400, 1, NULL, NULL, NULL, NULL, 0),
(6005, 2, 1041, 1, 1400536800, 1, NULL, NULL, NULL, NULL, 0),
(6006, 2, 1041, 1, 1400623200, 1, NULL, NULL, NULL, NULL, 0),
(6007, 2, 1041, 1, 1400709600, 1, NULL, NULL, NULL, NULL, 0),
(6008, 2, 1041, 1, 1400796000, 1, NULL, NULL, NULL, NULL, 0),
(6009, 2, 1041, 1, 1401055200, 1, NULL, NULL, NULL, NULL, 0),
(6010, 2, 1041, 1, 1401141600, 1, NULL, NULL, NULL, NULL, 0),
(6011, 2, 1041, 1, 1401228000, 1, NULL, NULL, NULL, NULL, 0),
(6067, 2, 2, 1, 1399413600, 0.5, NULL, NULL, NULL, NULL, 0),
(6153, 56, 1, 1, 1398204000, 1, NULL, NULL, NULL, NULL, 0),
(6154, 56, 1, 1, 1398290400, 1, NULL, NULL, NULL, NULL, 0),
(6155, 56, 1, 1, 1398376800, 1, NULL, NULL, NULL, NULL, 0),
(6156, 56, 1, 1, 1398722400, 1, NULL, NULL, NULL, NULL, 0),
(6157, 56, 1, 1, 1398808800, 1, NULL, NULL, NULL, NULL, 0),
(6158, 56, 1, 1, 1398981600, 1, NULL, NULL, NULL, NULL, 0),
(6161, 56, 1, 1, 1399327200, 1, NULL, NULL, NULL, NULL, 0),
(6162, 56, 1, 1, 1399413600, 1, NULL, NULL, NULL, NULL, 0),
(6163, 56, 1, 1, 1399586400, 1, NULL, NULL, NULL, NULL, 0),
(6165, 56, 1, 1, 1399845600, 0.5, NULL, NULL, NULL, NULL, 0),
(6166, 56, 1, 1, 1399932000, 1, NULL, NULL, NULL, NULL, 0),
(6167, 56, 1, 1, 1400018400, 1, NULL, NULL, NULL, NULL, 0),
(6168, 56, 1, 1, 1400104800, 1, NULL, NULL, NULL, NULL, 0),
(6169, 56, 1, 1, 1400191200, 1, NULL, NULL, NULL, NULL, 0),
(6229, 2, 2, 1, 1402869600, 1, NULL, NULL, NULL, NULL, 0),
(7320, 72, 1436, 1, 1403128800, 1, NULL, NULL, NULL, NULL, 0),
(6341, 2, 1041, 1, 1401660000, 1, NULL, NULL, NULL, NULL, 0),
(6342, 2, 1041, 1, 1401746400, 1, NULL, NULL, NULL, NULL, 0),
(6694, 72, 2, 1, 1407103200, 1, NULL, NULL, NULL, NULL, 0),
(6707, 72, 2, 1, 1408658400, 1, NULL, NULL, NULL, NULL, 0),
(6706, 72, 2, 1, 1408572000, 1, NULL, NULL, NULL, NULL, 0),
(6705, 72, 2, 1, 1408485600, 1, NULL, NULL, NULL, NULL, 0),
(6704, 72, 2, 1, 1408399200, 1, NULL, NULL, NULL, NULL, 0),
(6703, 72, 2, 1, 1408312800, 1, NULL, NULL, NULL, NULL, 0),
(6702, 72, 2, 1, 1407967200, 1, NULL, NULL, NULL, NULL, 0),
(6701, 72, 2, 1, 1407880800, 1, NULL, NULL, NULL, NULL, 0),
(6700, 72, 2, 1, 1407794400, 1, NULL, NULL, NULL, NULL, 0),
(6699, 72, 2, 1, 1407708000, 1, NULL, NULL, NULL, NULL, 0),
(6698, 72, 2, 1, 1407448800, 1, NULL, NULL, NULL, NULL, 0),
(6697, 72, 2, 1, 1407362400, 1, NULL, NULL, NULL, NULL, 0),
(6696, 72, 2, 1, 1407276000, 1, NULL, NULL, NULL, NULL, 0),
(6695, 72, 2, 1, 1407189600, 1, NULL, NULL, NULL, NULL, 0),
(6664, 73, 2, 1, 1407103200, 1, NULL, NULL, NULL, NULL, 0),
(6665, 73, 2, 1, 1407189600, 1, NULL, NULL, NULL, NULL, 0),
(6666, 73, 2, 1, 1407276000, 1, NULL, NULL, NULL, NULL, 0),
(6667, 73, 2, 1, 1407362400, 1, NULL, NULL, NULL, NULL, 0),
(6668, 73, 2, 1, 1407448800, 1, NULL, NULL, NULL, NULL, 0),
(6669, 73, 2, 1, 1407708000, 1, NULL, NULL, NULL, NULL, 0),
(6670, 73, 2, 1, 1407794400, 1, NULL, NULL, NULL, NULL, 0),
(6671, 73, 2, 1, 1407880800, 1, NULL, NULL, NULL, NULL, 0),
(6672, 73, 2, 1, 1407967200, 1, NULL, NULL, NULL, NULL, 0),
(6673, 73, 2, 1, 1408312800, 1, NULL, NULL, NULL, NULL, 0),
(6674, 73, 2, 1, 1408399200, 1, NULL, NULL, NULL, NULL, 0),
(6675, 73, 2, 1, 1408485600, 1, NULL, NULL, NULL, NULL, 0),
(6676, 73, 2, 1, 1408572000, 1, NULL, NULL, NULL, NULL, 0),
(6677, 73, 2, 1, 1408658400, 1, NULL, NULL, NULL, NULL, 0),
(6678, 73, 2, 1, 1408917600, 1, NULL, NULL, NULL, NULL, 0),
(6679, 73, 2, 1, 1409004000, 1, NULL, NULL, NULL, NULL, 0),
(6680, 73, 2, 1, 1409090400, 1, NULL, NULL, NULL, NULL, 0),
(6681, 73, 2, 1, 1409176800, 1, NULL, NULL, NULL, NULL, 0),
(6682, 73, 2, 1, 1409263200, 1, NULL, NULL, NULL, NULL, 0),
(6714, 72, 1431, 1, 1402869600, 1, NULL, NULL, NULL, NULL, 0),
(7294, 2, 1400, 1, 1404424800, 1, NULL, NULL, NULL, NULL, 0),
(7291, 2, 1400, 1, 1404165600, 0.5, NULL, NULL, NULL, NULL, 0),
(7292, 2, 1400, 1, 1404252000, 1, NULL, NULL, NULL, NULL, 0),
(7293, 2, 1400, 1, 1404338400, 1, NULL, NULL, NULL, NULL, 0),
(7288, 72, 1436, 1, 1402610400, 1, NULL, NULL, NULL, NULL, 0),
(7290, 72, 1436, 1, 1403042400, 1, NULL, NULL, NULL, NULL, 0),
(7326, 72, 1436, 1, 1403733600, 0.5, NULL, NULL, NULL, NULL, 0),
(7295, 2, 1400, 1, 1404684000, 1, NULL, NULL, NULL, NULL, 0),
(7287, 72, 1436, 1, 1402524000, 1, NULL, NULL, NULL, NULL, 0),
(7272, 2, 1435, 1, 1403733600, 1, NULL, NULL, NULL, NULL, 0),
(7327, 74, 1, 1, 1403733600, 1, NULL, NULL, NULL, NULL, 0),
(6727, 72, 1431, 1, 1402956000, 1, NULL, NULL, NULL, NULL, 0),
(6740, 2, 2, 1, 1404165600, 0.5, NULL, NULL, NULL, NULL, 0),
(6748, 74, 2, 1, 1403042400, 1, NULL, NULL, NULL, NULL, 0),
(6749, 74, 2, 1, 1403128800, 1, NULL, NULL, NULL, NULL, 0),
(6750, 74, 2, 1, 1403215200, 1, NULL, NULL, NULL, NULL, 0),
(6751, 74, 2, 1, 1403474400, 1, NULL, NULL, NULL, NULL, 0),
(7245, 73, 2, 1, 1405461600, 1, NULL, NULL, NULL, NULL, 0),
(7246, 73, 2, 1, 1406066400, 1, NULL, NULL, NULL, NULL, 0),
(7247, 73, 2, 1, 1406671200, 1, NULL, NULL, NULL, NULL, 0),
(7249, 73, 2, 1, 1410300000, 1, NULL, NULL, NULL, NULL, 0),
(7250, 73, 2, 1, 1410904800, 1, NULL, NULL, NULL, NULL, 0),
(7251, 73, 2, 1, 1411509600, 1, NULL, NULL, NULL, NULL, 0),
(7252, 73, 2, 1, 1412114400, 1, NULL, NULL, NULL, NULL, 0),
(7253, 73, 2, 1, 1412719200, 1, NULL, NULL, NULL, NULL, 0),
(7254, 73, 2, 1, 1413324000, 1, NULL, NULL, NULL, NULL, 0),
(7255, 73, 2, 1, 1413928800, 1, NULL, NULL, NULL, NULL, 0),
(7256, 73, 2, 1, 1414537200, 1, NULL, NULL, NULL, NULL, 0),
(7257, 73, 2, 1, 1415142000, 1, NULL, NULL, NULL, NULL, 0),
(7259, 73, 2, 1, 1416351600, 1, NULL, NULL, NULL, NULL, 0),
(7260, 73, 2, 1, 1416956400, 1, NULL, NULL, NULL, NULL, 0),
(7261, 73, 2, 1, 1417561200, 1, NULL, NULL, NULL, NULL, 0),
(7262, 73, 2, 1, 1418166000, 1, NULL, NULL, NULL, NULL, 0),
(7263, 73, 2, 1, 1418770800, 1, NULL, NULL, NULL, NULL, 0),
(7264, 73, 2, 1, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(7265, 73, 2, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(7268, 72, 1, 1, 1405634400, 1, NULL, NULL, NULL, NULL, 0),
(9336, 72, 1, 1, 1410386400, 1, NULL, NULL, NULL, NULL, 0),
(7271, 2, 1400, 1, 1403647200, 1, NULL, NULL, NULL, NULL, 0),
(7273, 72, 1400, 1, 1404079200, 1, NULL, NULL, NULL, NULL, 0),
(7274, 72, 1400, 1, 1404165600, 1, NULL, NULL, NULL, NULL, 0),
(7275, 72, 1400, 1, 1404252000, 1, NULL, NULL, NULL, NULL, 0),
(7276, 72, 1400, 1, 1404338400, 1, NULL, NULL, NULL, NULL, 0),
(7277, 72, 1400, 1, 1404424800, 1, NULL, NULL, NULL, NULL, 0),
(7278, 72, 1400, 1, 1404684000, 1, NULL, NULL, NULL, NULL, 0),
(7279, 72, 1400, 1, 1404770400, 1, NULL, NULL, NULL, NULL, 0),
(7280, 72, 1400, 1, 1404856800, 1, NULL, NULL, NULL, NULL, 0),
(7281, 72, 1400, 1, 1404943200, 1, NULL, NULL, NULL, NULL, 0),
(7282, 72, 1400, 1, 1405029600, 1, NULL, NULL, NULL, NULL, 0),
(7283, 72, 1448, 2, 1403733600, 0.5, NULL, NULL, NULL, NULL, 0),
(7284, 72, 1436, 1, 1403474400, 1, NULL, NULL, NULL, NULL, 0),
(7285, 72, 1431, 1, 1403560800, 1, NULL, NULL, NULL, NULL, 0),
(7286, 72, 1436, 1, 1403820000, 1, NULL, NULL, NULL, NULL, 0),
(7296, 2, 1400, 1, 1404770400, 1, NULL, NULL, NULL, NULL, 0),
(7297, 2, 1400, 1, 1404856800, 1, NULL, NULL, NULL, NULL, 0),
(7298, 2, 1400, 1, 1404943200, 1, NULL, NULL, NULL, NULL, 0),
(7299, 2, 1400, 1, 1405029600, 1, NULL, NULL, NULL, NULL, 0),
(7300, 74, 1400, 1, 1404079200, 1, NULL, NULL, NULL, NULL, 0),
(7301, 74, 1400, 1, 1404165600, 1, NULL, NULL, NULL, NULL, 0),
(7302, 74, 1400, 1, 1404252000, 1, NULL, NULL, NULL, NULL, 0),
(7303, 74, 1400, 1, 1404338400, 1, NULL, NULL, NULL, NULL, 0),
(7304, 74, 1400, 1, 1404424800, 1, NULL, NULL, NULL, NULL, 0),
(7305, 74, 1400, 1, 1404684000, 1, NULL, NULL, NULL, NULL, 0),
(7306, 74, 1400, 1, 1404770400, 1, NULL, NULL, NULL, NULL, 0),
(7307, 74, 1400, 1, 1404856800, 1, NULL, NULL, NULL, NULL, 0),
(7308, 74, 1400, 1, 1404943200, 1, NULL, NULL, NULL, NULL, 0),
(7332, 74, 1400, 1, 1405029600, 0.5, NULL, NULL, NULL, NULL, 0),
(7310, 73, 1400, 1, 1404079200, 1, NULL, NULL, NULL, NULL, 0),
(7311, 73, 1400, 1, 1404165600, 1, NULL, NULL, NULL, NULL, 0),
(7312, 73, 1400, 1, 1404252000, 1, NULL, NULL, NULL, NULL, 0),
(7313, 73, 1400, 1, 1404338400, 1, NULL, NULL, NULL, NULL, 0),
(7314, 73, 1400, 1, 1404424800, 1, NULL, NULL, NULL, NULL, 0),
(7315, 73, 1400, 1, 1404684000, 1, NULL, NULL, NULL, NULL, 0),
(7316, 73, 1400, 1, 1404770400, 1, NULL, NULL, NULL, NULL, 0),
(7317, 73, 1400, 1, 1404856800, 1, NULL, NULL, NULL, NULL, 0),
(7318, 73, 1400, 1, 1404943200, 1, NULL, NULL, NULL, NULL, 0),
(7319, 73, 1400, 1, 1405029600, 1, NULL, NULL, NULL, NULL, 0),
(7321, 72, 1436, 1, 1403215200, 1, NULL, NULL, NULL, NULL, 0),
(7322, 2, 1400, 1, 1404079200, 1, NULL, NULL, NULL, NULL, 0),
(7323, 74, 1400, 1, 1403647200, 1, NULL, NULL, NULL, NULL, 0),
(7324, 73, 1400, 1, 1403647200, 1, NULL, NULL, NULL, NULL, 0),
(7325, 72, 1400, 1, 1403647200, 1, NULL, NULL, NULL, NULL, 0),
(7328, 74, 1, 1, 1403820000, 1, NULL, NULL, NULL, NULL, 0),
(7329, 74, 1, 1, 1403560800, 1, NULL, NULL, NULL, NULL, 0),
(7330, 73, 1449, 7, 1403733600, 1, NULL, NULL, NULL, NULL, 0),
(7331, 74, 1, 1, 1405029600, 0.5, NULL, NULL, NULL, NULL, 0),
(7334, 74, 2, 1, 1407103200, 1, NULL, NULL, NULL, NULL, 0),
(7335, 74, 2, 1, 1407189600, 1, NULL, NULL, NULL, NULL, 0),
(7336, 74, 2, 1, 1407276000, 1, NULL, NULL, NULL, NULL, 0),
(7337, 74, 2, 1, 1407362400, 1, NULL, NULL, NULL, NULL, 0),
(7338, 74, 2, 1, 1407448800, 1, NULL, NULL, NULL, NULL, 0),
(7339, 74, 2, 1, 1407708000, 1, NULL, NULL, NULL, NULL, 0),
(7340, 74, 2, 1, 1407794400, 1, NULL, NULL, NULL, NULL, 0),
(7341, 74, 2, 1, 1407880800, 1, NULL, NULL, NULL, NULL, 0),
(7342, 74, 2, 1, 1407967200, 1, NULL, NULL, NULL, NULL, 0),
(7343, 74, 2, 1, 1408312800, 1, NULL, NULL, NULL, NULL, 0),
(7344, 74, 2, 1, 1408399200, 1, NULL, NULL, NULL, NULL, 0),
(7345, 74, 2, 1, 1408485600, 1, NULL, NULL, NULL, NULL, 0),
(7346, 74, 2, 1, 1408572000, 1, NULL, NULL, NULL, NULL, 0),
(7347, 74, 2, 1, 1408658400, 1, NULL, NULL, NULL, NULL, 0),
(7348, 2, 1435, 1, 1403820000, 1, NULL, NULL, NULL, NULL, 0),
(7349, 73, 1449, 7, 1403820000, 1, NULL, NULL, NULL, NULL, 0),
(10016, 74, 1876, 4, 1410818400, 1, NULL, NULL, NULL, NULL, 0),
(7594, 74, 1, 1, 1405634400, 0.5, NULL, NULL, NULL, NULL, 0),
(7750, 88, 2, 1, 1405029600, 1, NULL, NULL, NULL, NULL, 0),
(7751, 88, 2, 1, 1405375200, 1, NULL, NULL, NULL, NULL, 0),
(7752, 88, 2, 1, 1405461600, 1, NULL, NULL, NULL, NULL, 0),
(7753, 88, 2, 1, 1405548000, 1, NULL, NULL, NULL, NULL, 0),
(7754, 88, 2, 1, 1405634400, 1, NULL, NULL, NULL, NULL, 0),
(7755, 88, 2, 1, 1405893600, 1, NULL, NULL, NULL, NULL, 0),
(7756, 88, 2, 1, 1405980000, 1, NULL, NULL, NULL, NULL, 0),
(7757, 88, 2, 1, 1406066400, 1, NULL, NULL, NULL, NULL, 0),
(7758, 88, 2, 1, 1406152800, 1, NULL, NULL, NULL, NULL, 0),
(7759, 88, 2, 1, 1406239200, 1, NULL, NULL, NULL, NULL, 0),
(7760, 83, 2, 1, 1406498400, 1, NULL, NULL, NULL, NULL, 0),
(7761, 83, 2, 1, 1406584800, 1, NULL, NULL, NULL, NULL, 0),
(7762, 83, 2, 1, 1406671200, 1, NULL, NULL, NULL, NULL, 0),
(7763, 83, 2, 1, 1406757600, 1, NULL, NULL, NULL, NULL, 0),
(7764, 83, 2, 1, 1406844000, 1, NULL, NULL, NULL, NULL, 0),
(7765, 83, 2, 1, 1407103200, 1, NULL, NULL, NULL, NULL, 0),
(7766, 83, 2, 1, 1407189600, 1, NULL, NULL, NULL, NULL, 0),
(7767, 83, 2, 1, 1407276000, 1, NULL, NULL, NULL, NULL, 0),
(7768, 83, 2, 1, 1407362400, 1, NULL, NULL, NULL, NULL, 0),
(7769, 83, 2, 1, 1407448800, 1, NULL, NULL, NULL, NULL, 0),
(7770, 83, 2, 1, 1407708000, 1, NULL, NULL, NULL, NULL, 0),
(7771, 83, 2, 1, 1407794400, 1, NULL, NULL, NULL, NULL, 0),
(7772, 83, 2, 1, 1407880800, 1, NULL, NULL, NULL, NULL, 0),
(7773, 83, 2, 1, 1407967200, 1, NULL, NULL, NULL, NULL, 0),
(7829, 2, 2, 1, 1408312800, 0.5, NULL, NULL, NULL, NULL, 0),
(8107, 72, 1436, 1, 1405375200, 1, NULL, NULL, NULL, NULL, 0),
(8242, 72, 1436, 1, 1406239200, 1, NULL, NULL, NULL, NULL, 0),
(8241, 72, 1436, 1, 1406152800, 1, NULL, NULL, NULL, NULL, 0),
(8240, 72, 1436, 1, 1406066400, 1, NULL, NULL, NULL, NULL, 0),
(8239, 72, 1436, 1, 1405980000, 1, NULL, NULL, NULL, NULL, 0),
(8238, 72, 1436, 1, 1405893600, 1, NULL, NULL, NULL, NULL, 0),
(8247, 72, 1436, 1, 1406757600, 1, NULL, NULL, NULL, NULL, 0),
(8246, 72, 1436, 1, 1406671200, 1, NULL, NULL, NULL, NULL, 0),
(8245, 72, 1436, 1, 1406584800, 1, NULL, NULL, NULL, NULL, 0),
(8244, 72, 1436, 1, 1406498400, 1, NULL, NULL, NULL, NULL, 0),
(8243, 72, 1436, 1, 1406844000, 1, NULL, NULL, NULL, NULL, 0),
(8248, 72, 1400, 1, 1408917600, 1, NULL, NULL, NULL, NULL, 0),
(8249, 72, 1400, 1, 1409004000, 1, NULL, NULL, NULL, NULL, 0),
(8250, 72, 1400, 1, 1409090400, 1, NULL, NULL, NULL, NULL, 0),
(8251, 72, 1400, 1, 1409176800, 1, NULL, NULL, NULL, NULL, 0),
(8252, 72, 1400, 1, 1409263200, 1, NULL, NULL, NULL, NULL, 0),
(8319, 72, 1400, 1, 1405461600, 1, NULL, NULL, NULL, NULL, 0),
(8320, 72, 1400, 1, 1405548000, 1, NULL, NULL, NULL, NULL, 0),
(8887, 2, 1435, 1, 1408312800, 0.5, NULL, NULL, NULL, NULL, 0),
(8898, 2, 1435, 1, 1408399200, 1, NULL, NULL, NULL, NULL, 0),
(8934, 2, 1435, 1, 1408485600, 1, NULL, NULL, NULL, NULL, 0),
(8935, 2, 1435, 1, 1408572000, 1, NULL, NULL, NULL, NULL, 0),
(8936, 2, 1435, 1, 1408658400, 1, NULL, NULL, NULL, NULL, 0),
(8937, 2, 1400, 1, 1408917600, 1, NULL, NULL, NULL, NULL, 0),
(8938, 2, 1400, 1, 1409004000, 1, NULL, NULL, NULL, NULL, 0),
(8939, 2, 1400, 1, 1409090400, 1, NULL, NULL, NULL, NULL, 0),
(8940, 2, 1400, 1, 1409176800, 1, NULL, NULL, NULL, NULL, 0),
(8941, 2, 1400, 1, 1409263200, 1, NULL, NULL, NULL, NULL, 0),
(8942, 2, 1400, 1, 1409522400, 1, NULL, NULL, NULL, NULL, 0),
(8943, 2, 1400, 1, 1409608800, 1, NULL, NULL, NULL, NULL, 0),
(8944, 2, 1400, 1, 1409695200, 1, NULL, NULL, NULL, NULL, 0),
(8945, 2, 1400, 1, 1409781600, 1, NULL, NULL, NULL, NULL, 0),
(8946, 2, 1400, 1, 1409868000, 1, NULL, NULL, NULL, NULL, 0),
(9466, 2, 1867, 5, 1410472800, 0.2, NULL, NULL, NULL, NULL, 0),
(9465, 2, 1435, 1, 1410732000, 0.5, NULL, NULL, NULL, NULL, 0),
(8972, 74, 1400, 1, 1408917600, 1, NULL, NULL, NULL, NULL, 0),
(8973, 74, 1400, 1, 1409004000, 1, NULL, NULL, NULL, NULL, 0),
(8974, 74, 1400, 1, 1409090400, 1, NULL, NULL, NULL, NULL, 0),
(8975, 74, 1400, 1, 1409176800, 1, NULL, NULL, NULL, NULL, 0),
(8976, 74, 1400, 1, 1409263200, 1, NULL, NULL, NULL, NULL, 0),
(8977, 74, 1400, 1, 1409522400, 1, NULL, NULL, NULL, NULL, 0),
(8978, 74, 1400, 1, 1409608800, 1, NULL, NULL, NULL, NULL, 0),
(8979, 74, 1400, 1, 1409695200, 1, NULL, NULL, NULL, NULL, 0),
(8980, 74, 1400, 1, 1409781600, 1, NULL, NULL, NULL, NULL, 0),
(8981, 74, 1400, 1, 1409868000, 1, NULL, NULL, NULL, NULL, 0),
(9258, 74, 1, 1, 1410386400, 1, NULL, NULL, NULL, NULL, 0),
(9303, 2, 1867, 4, 1410127200, 0.5, NULL, NULL, NULL, NULL, 0),
(9304, 2, 1867, 4, 1410213600, 0.5, NULL, NULL, NULL, NULL, 0),
(9305, 2, 1449, 2, 1410213600, 0.1, NULL, NULL, NULL, NULL, 0),
(9306, 2, 1435, 1, 1410213600, 0.2, NULL, NULL, NULL, NULL, 0),
(9307, 73, 1449, 7, 1410127200, 1, NULL, NULL, NULL, NULL, 0),
(9308, 73, 1449, 7, 1410213600, 1, NULL, NULL, NULL, NULL, 0),
(9309, 2, 1449, 2, 1410213600, 0.2, NULL, NULL, NULL, NULL, 0),
(9310, 2, 1435, 1, 1410127200, 0.5, NULL, NULL, NULL, NULL, 0),
(9326, 72, 1431, 1, 1409522400, 1, NULL, NULL, NULL, NULL, 0),
(9327, 72, 1431, 1, 1409608800, 1, NULL, NULL, NULL, NULL, 0),
(9328, 72, 1431, 1, 1409695200, 1, NULL, NULL, NULL, NULL, 0),
(9329, 72, 1431, 1, 1409781600, 1, NULL, NULL, NULL, NULL, 0),
(9330, 72, 1431, 1, 1409868000, 1, NULL, NULL, NULL, NULL, 0),
(9331, 73, 1400, 1, 1409522400, 1, NULL, NULL, NULL, NULL, 0),
(9332, 73, 1400, 1, 1409608800, 1, NULL, NULL, NULL, NULL, 0),
(9333, 73, 1400, 1, 1409695200, 1, NULL, NULL, NULL, NULL, 0),
(9334, 73, 1400, 1, 1409781600, 1, NULL, NULL, NULL, NULL, 0),
(9335, 73, 1400, 1, 1409868000, 1, NULL, NULL, NULL, NULL, 0),
(9337, 72, 1400, 1, 1410127200, 1, NULL, NULL, NULL, NULL, 0),
(9338, 72, 1400, 1, 1410213600, 1, NULL, NULL, NULL, NULL, 0),
(9339, 72, 1400, 1, 1410300000, 1, NULL, NULL, NULL, NULL, 0),
(9340, 74, 1449, 2, 1410300000, 0.25, NULL, NULL, NULL, NULL, 0),
(9341, 74, 2041, 1, 1410127200, 0.5, NULL, NULL, NULL, NULL, 0),
(9342, 74, 2041, 1, 1410213600, 0.5, NULL, NULL, NULL, NULL, 0),
(9343, 74, 1867, 4, 1410213600, 0.5, NULL, NULL, NULL, NULL, 0),
(9344, 74, 1867, 4, 1410127200, 0.25, NULL, NULL, NULL, NULL, 0),
(9345, 74, 1876, 4, 1410127200, 0.25, NULL, NULL, NULL, NULL, 0),
(9346, 2, 1449, 2, 1410300000, 0.2, NULL, NULL, NULL, NULL, 0),
(9372, 2, 1435, 1, 1410386400, 0.5, NULL, NULL, NULL, NULL, 0),
(9373, 2, 1867, 4, 1410300000, 0.8, NULL, NULL, NULL, NULL, 0),
(9395, 2, 1435, 1, 1410472800, 0.1, NULL, NULL, NULL, NULL, 0),
(9396, 2, 1867, 5, 1410386400, 0.5, NULL, NULL, NULL, NULL, 0),
(9399, 73, 1, 1, 1410386400, 0.5, NULL, NULL, NULL, NULL, 0),
(9400, 2, 1506, 1, 1410472800, 0.1, NULL, NULL, NULL, NULL, 0),
(9401, 2, 1435, 1, 1410472800, 0.1, NULL, NULL, NULL, NULL, 0),
(9402, 73, 1506, 1, 1410472800, 0.2, NULL, NULL, NULL, NULL, 0),
(9403, 73, 2041, 1, 1410472800, 0.8, NULL, NULL, NULL, NULL, 0),
(9407, 74, 1867, 4, 1410300000, 0.75, NULL, NULL, NULL, NULL, 0),
(9405, 2, 1867, 7, 1410472800, 0.5, NULL, NULL, NULL, NULL, 0),
(9406, 73, 1437, 1, 1410386400, 0.5, NULL, NULL, NULL, NULL, 0),
(9408, 74, 1876, 4, 1410472800, 0.8, NULL, NULL, NULL, NULL, 0),
(9409, 74, 1506, 1, 1410472800, 0.2, NULL, NULL, NULL, NULL, 0),
(9410, 74, 1436, 1, 1406498400, 1, NULL, NULL, NULL, NULL, 0),
(9411, 74, 1436, 1, 1406584800, 1, NULL, NULL, NULL, NULL, 0),
(9412, 74, 1436, 1, 1406671200, 1, NULL, NULL, NULL, NULL, 0),
(9413, 74, 1436, 1, 1406757600, 1, NULL, NULL, NULL, NULL, 0),
(9414, 74, 1436, 1, 1406844000, 1, NULL, NULL, NULL, NULL, 0),
(9415, 74, 1436, 1, 1405893600, 1, NULL, NULL, NULL, NULL, 0),
(9416, 74, 1436, 1, 1405980000, 1, NULL, NULL, NULL, NULL, 0),
(9417, 74, 1436, 1, 1406066400, 1, NULL, NULL, NULL, NULL, 0),
(9418, 74, 1436, 1, 1406152800, 1, NULL, NULL, NULL, NULL, 0),
(9419, 74, 1436, 1, 1406239200, 1, NULL, NULL, NULL, NULL, 0),
(9420, 74, 1436, 1, 1405375200, 1, NULL, NULL, NULL, NULL, 0),
(9421, 74, 1436, 1, 1405461600, 1, NULL, NULL, NULL, NULL, 0),
(9422, 74, 1436, 1, 1405548000, 1, NULL, NULL, NULL, NULL, 0),
(9423, 74, 1436, 1, 1405634400, 0.5, NULL, NULL, NULL, NULL, 0),
(9424, 73, 1436, 1, 1405375200, 1, NULL, NULL, NULL, NULL, 0),
(9425, 73, 1436, 1, 1405548000, 1, NULL, NULL, NULL, NULL, 0),
(9426, 73, 1436, 1, 1405634400, 1, NULL, NULL, NULL, NULL, 0),
(9427, 73, 1436, 1, 1405893600, 1, NULL, NULL, NULL, NULL, 0),
(9428, 73, 1436, 1, 1405980000, 1, NULL, NULL, NULL, NULL, 0),
(9429, 73, 1436, 1, 1406152800, 1, NULL, NULL, NULL, NULL, 0),
(9430, 73, 1436, 1, 1406239200, 1, NULL, NULL, NULL, NULL, 0),
(9431, 73, 1436, 1, 1406498400, 1, NULL, NULL, NULL, NULL, 0),
(9432, 73, 1436, 1, 1406584800, 1, NULL, NULL, NULL, NULL, 0),
(9433, 73, 1436, 1, 1406757600, 1, NULL, NULL, NULL, NULL, 0),
(9434, 73, 1436, 1, 1406844000, 1, NULL, NULL, NULL, NULL, 0),
(10014, 74, 1876, 4, 1411336800, 1, NULL, NULL, NULL, NULL, 0),
(9507, 74, 1400, 1, 1410904800, 1, NULL, NULL, NULL, NULL, 0),
(9508, 74, 1400, 1, 1410991200, 1, NULL, NULL, NULL, NULL, 0),
(9509, 74, 1400, 1, 1411077600, 1, NULL, NULL, NULL, NULL, 0),
(10081, 2, 2089, 1, 1411596000, 0.25, NULL, NULL, NULL, NULL, 0),
(9938, 2, 1862, 4, 1411336800, 0.5, NULL, NULL, NULL, NULL, 0),
(9937, 2, 1437, 1, 1411336800, 0.5, NULL, NULL, NULL, NULL, 0),
(9545, 73, 1858, 4, 1410732000, 0.5, NULL, NULL, NULL, NULL, 0),
(9546, 2, 1858, 4, 1410732000, 0.5, NULL, NULL, NULL, NULL, 0),
(9548, 73, 1508, 1, 1410732000, 0.5, NULL, NULL, NULL, NULL, 0),
(9549, 2, 1435, 1, 1410818400, 0.5, NULL, NULL, NULL, NULL, 0),
(9550, 73, 1508, 1, 1410818400, 0.5, NULL, NULL, NULL, NULL, 0),
(9551, 72, 1449, 7, 1410818400, 0.5, NULL, NULL, NULL, NULL, 0),
(9552, 72, 1431, 1, 1410732000, 1, NULL, NULL, NULL, NULL, 0),
(9553, 72, 1431, 1, 1410818400, 0.5, NULL, NULL, NULL, NULL, 0),
(9554, 72, 2, 1, 1410472800, 1, NULL, NULL, NULL, NULL, 0),
(9593, 2, 1858, 5, 1410818400, 0.25, NULL, NULL, NULL, NULL, 0),
(9594, 2, 1858, 4, 1410818400, 0.25, NULL, NULL, NULL, NULL, 0),
(9595, 2, 2, 1, 1410904800, 0.5, NULL, NULL, NULL, NULL, 0),
(9611, 93, 1, 1, 1410818400, 1, NULL, NULL, NULL, NULL, 0),
(9612, 93, 1, 1, 1410904800, 1, NULL, NULL, NULL, NULL, 0),
(9613, 93, 1, 1, 1410991200, 1, NULL, NULL, NULL, NULL, 0),
(9623, 2, 1867, 7, 1410904800, 0.25, NULL, NULL, NULL, NULL, 0),
(9624, 2, 1435, 1, 1410904800, 0.25, NULL, NULL, NULL, NULL, 0),
(9643, 2, 1858, 5, 1410991200, 0.25, NULL, NULL, NULL, NULL, 0),
(9644, 2, 1867, 6, 1410991200, 0.25, NULL, NULL, NULL, NULL, 0),
(9647, 2, 2041, 1, 1410991200, 0.2, NULL, NULL, NULL, NULL, 0),
(9648, 73, 1858, 5, 1410991200, 0.4, NULL, NULL, NULL, NULL, 0),
(9649, 2, 1867, 6, 1410991200, 0.25, NULL, NULL, NULL, NULL, 0),
(9655, 73, 1858, 4, 1410818400, 0.5, NULL, NULL, NULL, NULL, 0),
(9651, 2, 2041, 1, 1410991200, 0.05, NULL, NULL, NULL, NULL, 0),
(9653, 73, 1508, 1, 1410991200, 0.2, NULL, NULL, NULL, NULL, 0),
(9654, 73, 2041, 1, 1410991200, 0.4, NULL, NULL, NULL, NULL, 0),
(9667, 72, 1431, 1, 1410904800, 0.5, NULL, NULL, NULL, NULL, 0),
(9669, 72, 1435, 1, 1410904800, 0.5, NULL, NULL, NULL, NULL, 0),
(9675, 72, 1431, 1, 1411077600, 1, NULL, NULL, NULL, NULL, 0),
(9673, 72, 1435, 1, 1410991200, 0.5, NULL, NULL, NULL, NULL, 0),
(9674, 72, 1431, 1, 1410991200, 0.5, NULL, NULL, NULL, NULL, 0),
(9681, 93, 1449, 2, 1410732000, 0.4, NULL, NULL, NULL, NULL, 0),
(9683, 93, 2, 1, 1408312800, 1, NULL, NULL, NULL, NULL, 0),
(9684, 93, 2, 1, 1408399200, 1, NULL, NULL, NULL, NULL, 0),
(9685, 93, 2, 1, 1408485600, 1, NULL, NULL, NULL, NULL, 0),
(9686, 93, 2, 1, 1408572000, 1, NULL, NULL, NULL, NULL, 0),
(9687, 93, 2, 1, 1408658400, 1, NULL, NULL, NULL, NULL, 0),
(9688, 93, 2, 1, 1408917600, 1, NULL, NULL, NULL, NULL, 0),
(9689, 93, 2, 1, 1409004000, 1, NULL, NULL, NULL, NULL, 0),
(9690, 93, 2, 1, 1409090400, 1, NULL, NULL, NULL, NULL, 0),
(9691, 93, 2, 1, 1409176800, 1, NULL, NULL, NULL, NULL, 0),
(9692, 93, 2, 1, 1409263200, 1, NULL, NULL, NULL, NULL, 0),
(9693, 93, 2, 1, 1405461600, 1, NULL, NULL, NULL, NULL, 0),
(9694, 93, 2, 1, 1405634400, 1, NULL, NULL, NULL, NULL, 0),
(9695, 93, 1, 1, 1405375200, 1, NULL, NULL, NULL, NULL, 0),
(9696, 93, 1, 1, 1405548000, 1, NULL, NULL, NULL, NULL, 0),
(9751, 93, 1867, 2, 1411077600, 0.2, NULL, NULL, NULL, NULL, 0),
(9714, 93, 1400, 1, 1406066400, 1, NULL, NULL, NULL, NULL, 0),
(9713, 93, 1400, 1, 1405980000, 1, NULL, NULL, NULL, NULL, 0),
(9709, 93, 1, 1, 1405893600, 1, NULL, NULL, NULL, NULL, 0),
(9710, 93, 1, 1, 1406152800, 0.5, NULL, NULL, NULL, NULL, 0),
(9711, 93, 1, 1, 1406239200, 0.5, NULL, NULL, NULL, NULL, 0),
(9715, 93, 1, 1, 1406498400, 0.5, NULL, NULL, NULL, NULL, 0),
(9716, 93, 1, 1, 1406584800, 1, NULL, NULL, NULL, NULL, 0),
(9717, 93, 1, 1, 1406671200, 0.5, NULL, NULL, NULL, NULL, 0),
(9718, 93, 1, 1, 1406844000, 0.5, NULL, NULL, NULL, NULL, 0),
(9719, 93, 1, 1, 1407103200, 1, NULL, NULL, NULL, NULL, 0),
(9723, 93, 1436, 1, 1406239200, 0.5, NULL, NULL, NULL, NULL, 0),
(9722, 93, 1436, 1, 1406152800, 0.5, NULL, NULL, NULL, NULL, 0),
(9724, 93, 1436, 1, 1406498400, 0.5, NULL, NULL, NULL, NULL, 0),
(9725, 93, 1436, 1, 1406671200, 0.5, NULL, NULL, NULL, NULL, 0),
(9726, 93, 1436, 1, 1406757600, 1, NULL, NULL, NULL, NULL, 0),
(9727, 93, 1436, 1, 1406844000, 0.5, NULL, NULL, NULL, NULL, 0),
(9728, 93, 1, 1, 1407189600, 1, NULL, NULL, NULL, NULL, 0),
(9729, 93, 1, 1, 1407276000, 0.5, NULL, NULL, NULL, NULL, 0),
(9730, 93, 1, 1, 1407362400, 1, NULL, NULL, NULL, NULL, 0),
(9731, 93, 1, 1, 1407448800, 0.5, NULL, NULL, NULL, NULL, 0),
(9732, 93, 1436, 1, 1407276000, 0.5, NULL, NULL, NULL, NULL, 0),
(9733, 93, 1436, 1, 1407448800, 0.5, NULL, NULL, NULL, NULL, 0),
(9734, 93, 1, 1, 1407708000, 1, NULL, NULL, NULL, NULL, 0),
(9735, 93, 1, 1, 1407794400, 0.5, NULL, NULL, NULL, NULL, 0),
(9736, 93, 1, 1, 1407880800, 1, NULL, NULL, NULL, NULL, 0),
(9737, 93, 1, 1, 1407967200, 0.5, NULL, NULL, NULL, NULL, 0),
(9739, 93, 1436, 1, 1407794400, 0.5, NULL, NULL, NULL, NULL, 0),
(9740, 93, 1436, 1, 1407967200, 0.5, NULL, NULL, NULL, NULL, 0),
(9741, 93, 1436, 1, 1409522400, 1, NULL, NULL, NULL, NULL, 0),
(9742, 93, 1436, 1, 1409868000, 1, NULL, NULL, NULL, NULL, 0),
(9743, 93, 1, 1, 1409608800, 1, NULL, NULL, NULL, NULL, 0),
(9744, 93, 1, 1, 1409695200, 1, NULL, NULL, NULL, NULL, 0),
(9745, 93, 1, 1, 1409781600, 1, NULL, NULL, NULL, NULL, 0),
(9746, 93, 1400, 1, 1410127200, 1, NULL, NULL, NULL, NULL, 0),
(9747, 93, 1400, 1, 1410213600, 1, NULL, NULL, NULL, NULL, 0),
(9748, 93, 1400, 1, 1410300000, 1, NULL, NULL, NULL, NULL, 0),
(9749, 93, 1, 1, 1410386400, 1, NULL, NULL, NULL, NULL, 0),
(9750, 93, 1, 1, 1410472800, 1, NULL, NULL, NULL, NULL, 0),
(9752, 93, 2, 1, 1414537200, 1, NULL, NULL, NULL, NULL, 0),
(9753, 93, 2, 1, 1414623600, 1, NULL, NULL, NULL, NULL, 0),
(9754, 93, 2, 1, 1414710000, 1, NULL, NULL, NULL, NULL, 0),
(9759, 93, 1, 1, 1413237600, 1, NULL, NULL, NULL, NULL, 0),
(9760, 93, 1, 1, 1413324000, 1, NULL, NULL, NULL, NULL, 0),
(9762, 93, 2, 1, 1414969200, 1, NULL, NULL, NULL, NULL, 0),
(9763, 93, 2, 1, 1415055600, 1, NULL, NULL, NULL, NULL, 0),
(9764, 93, 2, 1, 1415142000, 1, NULL, NULL, NULL, NULL, 0),
(9765, 93, 2, 1, 1415228400, 1, NULL, NULL, NULL, NULL, 0),
(9766, 93, 2, 1, 1415314800, 1, NULL, NULL, NULL, NULL, 0),
(9767, 93, 2088, 1, 1410732000, 0.6, NULL, NULL, NULL, NULL, 0),
(9768, 2, 1435, 1, 1411077600, 0.2, NULL, NULL, NULL, NULL, 0),
(9769, 2, 1867, 6, 1411077600, 0.5, NULL, NULL, NULL, NULL, 0),
(9770, 73, 1508, 1, 1411077600, 0.5, NULL, NULL, NULL, NULL, 0),
(9771, 73, 1858, 5, 1411077600, 0.5, NULL, NULL, NULL, NULL, 0),
(9777, 2, 1437, 1, 1411077600, 0.3, NULL, NULL, NULL, NULL, 0),
(9804, 93, 2088, 1, 1411077600, 0.4, NULL, NULL, NULL, NULL, 0),
(9805, 93, 2041, 1, 1411077600, 0.4, NULL, NULL, NULL, NULL, 0),
(9820, 93, 1, 1, 1411423200, 1, NULL, NULL, NULL, NULL, 0),
(9821, 93, 1, 1, 1411509600, 1, NULL, NULL, NULL, NULL, 0),
(10180, 93, 2088, 1, 1411336800, 0.5, NULL, NULL, NULL, NULL, 0),
(10181, 2, 1435, 1, 1411941600, 0.1, NULL, NULL, NULL, NULL, 0),
(9826, 93, 1, 1, 1411336800, 0.1, NULL, NULL, NULL, NULL, 0),
(10083, 74, 2089, 1, 1411509600, 0.2, NULL, NULL, NULL, NULL, 0),
(10008, 2, 1437, 1, 1411423200, 0.4, NULL, NULL, NULL, NULL, 0),
(10009, 2, 1858, 5, 1411423200, 0.1, NULL, NULL, NULL, NULL, 0),
(10010, 73, 1858, 5, 1411423200, 0.5, NULL, NULL, NULL, NULL, 0),
(10011, 73, 1858, 5, 1411336800, 0.5, NULL, NULL, NULL, NULL, 0),
(10012, 73, 1437, 1, 1411336800, 0.5, NULL, NULL, NULL, NULL, 0),
(10017, 74, 1436, 1, 1410732000, 0.75, NULL, NULL, NULL, NULL, 0),
(10018, 74, 2041, 1, 1411423200, 0.25, NULL, NULL, NULL, NULL, 0),
(10019, 74, 2041, 1, 1410732000, 0.25, NULL, NULL, NULL, NULL, 0),
(10034, 72, 1431, 1, 1411336800, 1, NULL, NULL, NULL, NULL, 0),
(10035, 72, 1431, 1, 1411423200, 0.5, NULL, NULL, NULL, NULL, 0),
(10042, 2, 1862, 4, 1411423200, 0.4, NULL, NULL, NULL, NULL, 0),
(10043, 2, 1435, 1, 1411423200, 0.1, NULL, NULL, NULL, NULL, 0),
(10062, 2, 2089, 1, 1411509600, 0.25, NULL, NULL, NULL, NULL, 0),
(10063, 2, 1862, 5, 1411509600, 0.25, NULL, NULL, NULL, NULL, 0),
(10064, 2, 1862, 7, 1411509600, 0.25, NULL, NULL, NULL, NULL, 0),
(10070, 2, 1862, 7, 1411509600, 0.25, NULL, NULL, NULL, NULL, 0),
(10080, 74, 1876, 5, 1411423200, 0.75, NULL, NULL, NULL, NULL, 0),
(10088, 74, 1876, 6, 1411509600, 0.3, NULL, NULL, NULL, NULL, 0),
(10107, 74, 2120, 4, 1411509600, 0.5, NULL, NULL, NULL, NULL, 0),
(10110, 72, 2121, 4, 1411596000, 0.5, NULL, NULL, NULL, NULL, 0),
(10111, 72, 1431, 1, 1411596000, 0.5, NULL, NULL, NULL, NULL, 0),
(10112, 2, 1862, 5, 1411596000, 0.75, NULL, NULL, NULL, NULL, 0),
(10113, 73, 1858, 5, 1411596000, 1, NULL, NULL, NULL, NULL, 0),
(10142, 2, 1862, 5, 1411682400, 0.2, NULL, NULL, NULL, NULL, 0),
(10115, 2, 2089, 1, 1411682400, 0.2, NULL, NULL, NULL, NULL, 0),
(10125, 73, 1858, 5, 1411423200, 0.5, NULL, NULL, NULL, NULL, 0),
(10138, 74, 1876, 6, 1411596000, 0.25, NULL, NULL, NULL, NULL, 0),
(10137, 74, 2120, 4, 1411596000, 0.75, NULL, NULL, NULL, NULL, 0),
(10139, 74, 1, 1, 1411682400, 0.5, NULL, NULL, NULL, NULL, 0),
(10140, 74, 1876, 4, 1411682400, 0.5, NULL, NULL, NULL, NULL, 0),
(10141, 2, 1862, 5, 1411682400, 0.6, NULL, NULL, NULL, NULL, 0),
(10176, 93, 2088, 1, 1411596000, 1, NULL, NULL, NULL, NULL, 0),
(10177, 93, 2088, 1, 1411682400, 1, NULL, NULL, NULL, NULL, 0),
(10179, 93, 2041, 1, 1411336800, 0.4, NULL, NULL, NULL, NULL, 0),
(10182, 2, 1431, 1, 1411941600, 0.1, NULL, NULL, NULL, NULL, 0),
(10184, 2, 1867, 7, 1411941600, 0.1, NULL, NULL, NULL, NULL, 0),
(10185, 73, 1858, 5, 1411682400, 1, NULL, NULL, NULL, NULL, 0),
(10186, 2, 2, 1, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(10193, 72, 2, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(10209, 73, 1876, 4, 1411941600, 1, NULL, NULL, NULL, NULL, 0),
(10210, 2, 1435, 1, 1411941600, 0.4, NULL, NULL, NULL, NULL, 0),
(10211, 2, 1862, 6, 1411941600, 0.1, NULL, NULL, NULL, NULL, 0),
(10212, 2, 1867, 7, 1411941600, 0.1, NULL, NULL, NULL, NULL, 0),
(10262, 2, 1431, 1, 1412028000, 0.5, NULL, NULL, NULL, NULL, 0),
(10263, 2, 1862, 6, 1412028000, 0.5, NULL, NULL, NULL, NULL, 0),
(10264, 2, 1862, 6, 1411941600, 0.1, NULL, NULL, NULL, NULL, 0),
(10273, 74, 1, 1, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10274, 74, 2, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(10283, 73, 1876, 5, 1412028000, 0.5, NULL, NULL, NULL, NULL, 0),
(10284, 73, 1, 1, 1412028000, 0.5, NULL, NULL, NULL, NULL, 0),
(10289, 2, 1435, 1, 1412114400, 0.25, NULL, NULL, NULL, NULL, 0),
(10290, 2, 1431, 1, 1412114400, 0.25, NULL, NULL, NULL, NULL, 0),
(10291, 2, 1862, 5, 1412114400, 0.5, NULL, NULL, NULL, NULL, 0),
(10317, 74, 1876, 6, 1412028000, 1, NULL, NULL, NULL, NULL, 0),
(10316, 74, 1876, 5, 1411941600, 1, NULL, NULL, NULL, NULL, 0),
(10395, 74, 1876, 5, 1412114400, 0.75, NULL, NULL, NULL, NULL, 0),
(10319, 74, 2121, 5, 1412114400, 0.25, NULL, NULL, NULL, NULL, 0),
(10397, 74, 1876, 5, 1412287200, 1, NULL, NULL, NULL, NULL, 0),
(10353, 73, 1858, 6, 1412200800, 0.5, NULL, NULL, NULL, NULL, 0),
(10372, 2, 2089, 1, 1412200800, 0.2, NULL, NULL, NULL, NULL, 0),
(10374, 2, 1862, 5, 1412200800, 0.5, NULL, NULL, NULL, NULL, 0),
(10375, 2, 1862, 7, 1412200800, 0.3, NULL, NULL, NULL, NULL, 0),
(10391, 2, 1435, 1, 1412287200, 0.2, NULL, NULL, NULL, NULL, 0),
(10392, 2, 2089, 1, 1412287200, 0.1, NULL, NULL, NULL, NULL, 0),
(10396, 74, 1876, 5, 1412200800, 1, NULL, NULL, NULL, NULL, 0),
(10450, 73, 1876, 4, 1412546400, 0.5, NULL, NULL, NULL, NULL, 0),
(10400, 73, 1876, 5, 1412200800, 0.5, NULL, NULL, NULL, NULL, 0),
(10416, 2, 1862, 7, 1412287200, 0.5, NULL, NULL, NULL, NULL, 0),
(10417, 2, 2089, 1, 1412287200, 0.2, NULL, NULL, NULL, NULL, 0),
(10442, 112, 1436, 1, 1412546400, 0.5, NULL, NULL, NULL, NULL, 0),
(10451, 93, 1, 1, 1412028000, 1, NULL, NULL, NULL, NULL, 0),
(10449, 73, 1876, 4, 1412287200, 1, NULL, NULL, NULL, NULL, 0),
(10452, 93, 1, 1, 1412114400, 1, NULL, NULL, NULL, NULL, 0),
(10454, 93, 1, 1, 1412200800, 1, NULL, NULL, NULL, NULL, 0),
(10460, 93, 2088, 1, 1412287200, 0.5, NULL, NULL, NULL, NULL, 0),
(10459, 93, 2088, 1, 1411941600, 1, NULL, NULL, NULL, NULL, 0),
(10461, 93, 1, 1, 1412632800, 1, NULL, NULL, NULL, NULL, 0),
(10462, 93, 1, 1, 1412719200, 1, NULL, NULL, NULL, NULL, 0),
(10463, 93, 1, 1, 1413842400, 1, NULL, NULL, NULL, NULL, 0),
(10464, 93, 1, 1, 1413928800, 1, NULL, NULL, NULL, NULL, 0),
(10466, 112, 2041, 1, 1412546400, 0.5, NULL, NULL, NULL, NULL, 0),
(10470, 93, 2383, 4, 1412546400, 1, NULL, NULL, NULL, NULL, 0),
(11167, 93, 1, 1, 1413410400, 1, NULL, NULL, NULL, NULL, 0),
(10472, 93, 2383, 4, 1412287200, 0.5, NULL, NULL, NULL, NULL, 0),
(10480, 2, 2041, 1, 1412546400, 0.5, NULL, NULL, NULL, NULL, 0),
(10481, 2, 1862, 7, 1412546400, 0.25, NULL, NULL, NULL, NULL, 0),
(10482, 2, 1435, 1, 1412546400, 0.1, NULL, NULL, NULL, NULL, 0),
(10483, 73, 1869, 5, 1412546400, 0.5, NULL, NULL, NULL, NULL, 0),
(10494, 2, 2041, 1, 1412546400, 0.1, NULL, NULL, NULL, NULL, 0),
(10495, 2, 1435, 1, 1412546400, 0.05, NULL, NULL, NULL, NULL, 0),
(10496, 74, 2041, 1, 1412546400, 0.4, NULL, NULL, NULL, NULL, 0),
(10497, 74, 1437, 1, 1412546400, 0.5, NULL, NULL, NULL, NULL, 0),
(10498, 74, 2121, 5, 1412546400, 0.1, NULL, NULL, NULL, NULL, 0),
(10512, 112, 1436, 1, 1412632800, 1, NULL, NULL, NULL, NULL, 0),
(10517, 2, 1862, 5, 1412632800, 0.25, NULL, NULL, NULL, NULL, 0),
(10518, 2, 1862, 7, 1412632800, 0.25, NULL, NULL, NULL, NULL, 0),
(10519, 2, 1862, 5, 1412632800, 0.25, NULL, NULL, NULL, NULL, 0),
(10520, 2, 1862, 6, 1412632800, 0.25, NULL, NULL, NULL, NULL, 0),
(10521, 2, 1437, 1, 1412719200, 0.1, NULL, NULL, NULL, NULL, 0),
(10523, 72, 1, 1, 1412632800, 1, NULL, NULL, NULL, NULL, 0),
(10551, 112, 1436, 1, 1412719200, 1, NULL, NULL, NULL, NULL, 0),
(10556, 72, 1, 1, 1412287200, 0.5, NULL, NULL, NULL, NULL, 0),
(10570, 2, 1862, 5, 1412719200, 0.5, NULL, NULL, NULL, NULL, 0),
(10571, 2, 1862, 7, 1412719200, 0.25, NULL, NULL, NULL, NULL, 0),
(10572, 2, 2089, 1, 1412719200, 0.1, NULL, NULL, NULL, NULL, 0),
(10573, 2, 2089, 1, 1412719200, 0.05, NULL, NULL, NULL, NULL, 0),
(10574, 2, 1862, 5, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10593, 112, 1436, 1, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10587, 73, 1, 1, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10589, 73, 1877, 4, 1412632800, 1, NULL, NULL, NULL, NULL, 0),
(10590, 73, 1877, 7, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10592, 2, 1862, 6, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10594, 112, 2041, 1, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10603, 112, 1, 1, 1413151200, 1, NULL, NULL, NULL, NULL, 0),
(10604, 112, 2, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(10605, 74, 2121, 5, 1412632800, 1, NULL, NULL, NULL, NULL, 0),
(10606, 74, 1437, 1, 1412719200, 0.5, NULL, NULL, NULL, NULL, 0),
(10610, 74, 2121, 5, 1412719200, 0.5, NULL, NULL, NULL, NULL, 0),
(10611, 74, 1437, 1, 1412805600, 0.3, NULL, NULL, NULL, NULL, 0),
(10612, 74, 2120, 4, 1412805600, 0.2, NULL, NULL, NULL, NULL, 0),
(10614, 74, 2120, 4, 1412892000, 1, NULL, NULL, NULL, NULL, 0),
(10615, 72, 1431, 1, 1412892000, 0.5, NULL, NULL, NULL, NULL, 0),
(10616, 72, 2088, 1, 1412892000, 0.5, NULL, NULL, NULL, NULL, 0),
(10619, 72, 1, 1, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10618, 72, 1431, 1, 1412805600, 0.5, NULL, NULL, NULL, NULL, 0),
(10620, 72, 1431, 1, 1412719200, 1, NULL, NULL, NULL, NULL, 0),
(10621, 72, 1431, 1, 1412546400, 1, NULL, NULL, NULL, NULL, 0),
(10622, 72, 2088, 1, 1411423200, 0.5, NULL, NULL, NULL, NULL, 0),
(10623, 72, 1431, 1, 1411509600, 1, NULL, NULL, NULL, NULL, 0),
(10624, 72, 1431, 1, 1411682400, 1, NULL, NULL, NULL, NULL, 0),
(10625, 72, 1431, 1, 1411941600, 1, NULL, NULL, NULL, NULL, 0),
(10626, 72, 1431, 1, 1412028000, 1, NULL, NULL, NULL, NULL, 0),
(10627, 72, 1431, 1, 1412114400, 1, NULL, NULL, NULL, NULL, 0),
(10628, 72, 1431, 1, 1412200800, 1, NULL, NULL, NULL, NULL, 0),
(10629, 72, 1431, 1, 1412287200, 0.5, NULL, NULL, NULL, NULL, 0),
(11434, 72, 2, 1, 1413928800, 0.5, NULL, NULL, NULL, NULL, 0),
(10631, 2, 2089, 1, 1412892000, 0.6, NULL, NULL, NULL, NULL, 0),
(10632, 2, 1435, 1, 1412892000, 0.2, NULL, NULL, NULL, NULL, 0),
(10633, 2, 1866, 4, 1412892000, 0.2, NULL, NULL, NULL, NULL, 0),
(10684, 2, 1400, 1, 1413151200, 1, NULL, NULL, NULL, NULL, 0),
(10685, 2, 1400, 1, 1413237600, 1, NULL, NULL, NULL, NULL, 0),
(10686, 2, 1400, 1, 1413324000, 1, NULL, NULL, NULL, NULL, 0),
(10687, 2, 1400, 1, 1413410400, 1, NULL, NULL, NULL, NULL, 0),
(10688, 2, 1400, 1, 1413496800, 1, NULL, NULL, NULL, NULL, 0),
(10792, 74, 2133, 4, 1413237600, 0.75, NULL, NULL, NULL, NULL, 0),
(10791, 74, 2133, 4, 1413151200, 1, NULL, NULL, NULL, NULL, 0),
(10798, 73, 1877, 7, 1413237600, 0.5, NULL, NULL, NULL, NULL, 0),
(10799, 73, 1877, 5, 1413237600, 0.5, NULL, NULL, NULL, NULL, 0),
(10801, 73, 1877, 7, 1413151200, 1, NULL, NULL, NULL, NULL, 0),
(10802, 73, 1877, 7, 1412892000, 1, NULL, NULL, NULL, NULL, 0),
(10821, 112, 1436, 1, 1413237600, 1, NULL, NULL, NULL, NULL, 0),
(11037, 112, 1436, 1, 1413324000, 1, NULL, NULL, NULL, NULL, 0),
(11047, 72, 1431, 1, 1413151200, 1, NULL, NULL, NULL, NULL, 0),
(11048, 72, 1431, 1, 1413237600, 1, NULL, NULL, NULL, NULL, 0),
(11050, 72, 1431, 1, 1413324000, 0.5, NULL, NULL, NULL, NULL, 0),
(11051, 72, 1, 1, 1413324000, 0.5, NULL, NULL, NULL, NULL, 0),
(11052, 72, 1431, 1, 1413410400, 0.5, NULL, NULL, NULL, NULL, 0),
(11053, 72, 1, 1, 1413410400, 0.5, NULL, NULL, NULL, NULL, 0),
(11054, 72, 1431, 1, 1413496800, 1, NULL, NULL, NULL, NULL, 0),
(11055, 72, 1431, 1, 1413756000, 1, NULL, NULL, NULL, NULL, 0),
(11056, 72, 2, 1, 1415055600, 0.5, NULL, NULL, NULL, NULL, 0),
(11057, 72, 2, 1, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(11079, 112, 2133, 5, 1413410400, 0.1, NULL, NULL, NULL, NULL, 0),
(11080, 112, 2133, 6, 1413410400, 0.5, NULL, NULL, NULL, NULL, 0),
(11081, 112, 2133, 4, 1413410400, 0.4, NULL, NULL, NULL, NULL, 0),
(11097, 112, 1436, 1, 1413496800, 0.4, NULL, NULL, NULL, NULL, 0),
(11098, 112, 2041, 1, 1413496800, 0.6, NULL, NULL, NULL, NULL, 0),
(11115, 73, 1877, 5, 1413410400, 1, NULL, NULL, NULL, NULL, 0),
(11116, 73, 1877, 5, 1413496800, 0.7, NULL, NULL, NULL, NULL, 0),
(11117, 73, 1505, 1, 1413496800, 0.3, NULL, NULL, NULL, NULL, 0),
(11231, 114, 1436, 1, 1413237600, 1, NULL, NULL, NULL, NULL, 0),
(11230, 114, 2041, 1, 1413151200, 1, NULL, NULL, NULL, NULL, 0),
(11228, 114, 1436, 1, 1413756000, 1, NULL, NULL, NULL, NULL, 0),
(11229, 114, 1870, 4, 1413842400, 0.5, NULL, NULL, NULL, NULL, 0),
(11233, 114, 1870, 4, 1413324000, 0.5, NULL, NULL, NULL, NULL, 0),
(11173, 93, 2465, 4, 1412805600, 1, NULL, NULL, NULL, NULL, 0),
(11174, 93, 2465, 4, 1412892000, 0.5, NULL, NULL, NULL, NULL, 0),
(11175, 93, 2088, 1, 1412892000, 0.5, NULL, NULL, NULL, NULL, 0),
(11176, 93, 2465, 4, 1413151200, 1, NULL, NULL, NULL, NULL, 0),
(11177, 93, 2383, 4, 1413496800, 1, NULL, NULL, NULL, NULL, 0),
(11178, 93, 2383, 4, 1413756000, 1, NULL, NULL, NULL, NULL, 0),
(11190, 74, 1437, 1, 1413237600, 0.25, NULL, NULL, NULL, NULL, 0),
(11191, 74, 1400, 1, 1413324000, 1, NULL, NULL, NULL, NULL, 0),
(11192, 74, 1400, 1, 1413410400, 1, NULL, NULL, NULL, NULL, 0),
(11193, 74, 1400, 1, 1413496800, 1, NULL, NULL, NULL, NULL, 0),
(11234, 114, 1436, 1, 1413324000, 0.5, NULL, NULL, NULL, NULL, 0),
(11235, 114, 1436, 1, 1413410400, 1, NULL, NULL, NULL, NULL, 0),
(11236, 114, 1436, 1, 1413496800, 0.5, NULL, NULL, NULL, NULL, 0),
(11237, 114, 2041, 1, 1413496800, 0.5, NULL, NULL, NULL, NULL, 0),
(11240, 114, 2, 1, 1413842400, 0.5, NULL, NULL, NULL, NULL, 0),
(11243, 2, 1431, 1, 1413756000, 0.2, NULL, NULL, NULL, NULL, 0),
(11244, 2, 1866, 4, 1413756000, 0.5, NULL, NULL, NULL, NULL, 0),
(11245, 2, 2041, 1, 1413756000, 0.2, NULL, NULL, NULL, NULL, 0),
(11254, 2, 1435, 1, 1413842400, 0.05, NULL, NULL, NULL, NULL, 0),
(11258, 112, 1041, 1, 1413842400, 1, NULL, NULL, NULL, NULL, 0),
(11257, 112, 1041, 1, 1413756000, 1, NULL, NULL, NULL, NULL, 0),
(11259, 2, 1435, 1, 1413842400, 0.05, NULL, NULL, NULL, NULL, 0),
(11279, 2, 1435, 1, 1413756000, 0.1, NULL, NULL, NULL, NULL, 0),
(11311, 2, 1866, 7, 1413842400, 0.5, NULL, NULL, NULL, NULL, 0),
(11312, 2, 1866, 4, 1413842400, 0.2, NULL, NULL, NULL, NULL, 0),
(11313, 2, 1866, 4, 1413842400, 0.2, NULL, NULL, NULL, NULL, 0),
(11314, 72, 1, 1, 1413842400, 0.5, NULL, NULL, NULL, NULL, 0),
(11340, 2, 2089, 1, 1413928800, 0.3, NULL, NULL, NULL, NULL, 0),
(11341, 2, 1866, 7, 1413928800, 0.3, NULL, NULL, NULL, NULL, 0),
(11342, 2, 1435, 1, 1413928800, 0.1, NULL, NULL, NULL, NULL, 0),
(11343, 2, 1437, 1, 1413928800, 0.1, NULL, NULL, NULL, NULL, 0),
(11344, 2, 2089, 1, 1413928800, 0.2, NULL, NULL, NULL, NULL, 0),
(11356, 73, 1877, 5, 1413756000, 1, NULL, NULL, NULL, NULL, 0),
(11357, 73, 1877, 7, 1413842400, 0.5, NULL, NULL, NULL, NULL, 0),
(11358, 73, 1877, 5, 1413842400, 0.5, NULL, NULL, NULL, NULL, 0),
(11446, 112, 2133, 7, 1414101600, 0.3, NULL, NULL, NULL, NULL, 0),
(11362, 112, 2041, 1, 1413928800, 0.3, NULL, NULL, NULL, NULL, 0),
(11365, 73, 1400, 1, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(11369, 2, 2089, 1, 1414015200, 0.25, NULL, NULL, NULL, NULL, 0),
(11367, 73, 1400, 1, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(11445, 112, 2133, 4, 1413928800, 0.7, NULL, NULL, NULL, NULL, 0),
(11447, 112, 2133, 6, 1414101600, 0.7, NULL, NULL, NULL, NULL, 0),
(11374, 112, 2133, 6, 1414015200, 1, NULL, NULL, NULL, NULL, 0),
(11375, 2, 2089, 1, 1414015200, 0.25, NULL, NULL, NULL, NULL, 0),
(11376, 2, 1866, 6, 1414015200, 0.5, NULL, NULL, NULL, NULL, 0),
(11388, 93, 2383, 4, 1414015200, 0.5, NULL, NULL, NULL, NULL, 0),
(11389, 93, 2088, 1, 1414015200, 0.5, NULL, NULL, NULL, NULL, 0),
(11390, 2, 1866, 6, 1414101600, 0.5, NULL, NULL, NULL, NULL, 0),
(11398, 74, 2133, 4, 1413756000, 0.5, NULL, NULL, NULL, NULL, 0),
(11399, 74, 1876, 5, 1413756000, 0.5, NULL, NULL, NULL, NULL, 0),
(11400, 74, 1876, 5, 1413842400, 1, NULL, NULL, NULL, NULL, 0),
(11402, 74, 1876, 6, 1413928800, 1, NULL, NULL, NULL, NULL, 0),
(11403, 74, 1876, 6, 1414015200, 1, NULL, NULL, NULL, NULL, 0),
(11404, 114, 1436, 1, 1413928800, 0.5, NULL, NULL, NULL, NULL, 0),
(11406, 114, 1870, 5, 1413928800, 0.5, NULL, NULL, NULL, NULL, 0),
(11407, 74, 2121, 4, 1414101600, 1, NULL, NULL, NULL, NULL, 0),
(11408, 114, 1436, 1, 1414015200, 1, NULL, NULL, NULL, NULL, 0),
(11409, 114, 1870, 6, 1414101600, 1, NULL, NULL, NULL, NULL, 0),
(11411, 73, 1877, 5, 1414015200, 1, NULL, NULL, NULL, NULL, 0),
(11412, 73, 1877, 5, 1414101600, 1, NULL, NULL, NULL, NULL, 0),
(11413, 74, 1, 1, 1416870000, 0.5, NULL, NULL, NULL, NULL, 0),
(11414, 74, 1, 1, 1415833200, 1, NULL, NULL, NULL, NULL, 0),
(11415, 74, 1, 1, 1415228400, 0.5, NULL, NULL, NULL, NULL, 0),
(11416, 73, 2, 1, 1414450800, 0.5, NULL, NULL, NULL, NULL, 0),
(11433, 2, 1866, 7, 1414101600, 0.5, NULL, NULL, NULL, NULL, 0),
(11435, 72, 1431, 1, 1413842400, 0.5, NULL, NULL, NULL, NULL, 0),
(11436, 72, 1, 1, 1414015200, 0.5, NULL, NULL, NULL, NULL, 0),
(11437, 72, 1431, 1, 1413928800, 0.5, NULL, NULL, NULL, NULL, 0),
(11438, 72, 1431, 1, 1414101600, 1, NULL, NULL, NULL, NULL, 0),
(11439, 72, 1431, 1, 1414015200, 0.5, NULL, NULL, NULL, NULL, 0),
(11440, 72, 1431, 1, 1414364400, 1, NULL, NULL, NULL, NULL, 0),
(11441, 72, 1431, 1, 1414450800, 1, NULL, NULL, NULL, NULL, 0),
(11614, 72, 2849, 4, 1414537200, 0.5, NULL, NULL, NULL, NULL, 0),
(11443, 72, 1431, 1, 1414623600, 1, NULL, NULL, NULL, NULL, 0),
(11451, 114, 2, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(11549, 112, 1871, 6, 1414450800, 0.2, NULL, NULL, NULL, NULL, 0),
(11464, 112, 2133, 7, 1414364400, 0.3, NULL, NULL, NULL, NULL, 0),
(11465, 2, 2132, 4, 1414364400, 0.5, NULL, NULL, NULL, NULL, 0),
(11475, 93, 2465, 4, 1414364400, 0.2, NULL, NULL, NULL, NULL, 0),
(11471, 93, 2088, 1, 1414364400, 0.5, NULL, NULL, NULL, NULL, 0),
(11472, 93, 2088, 1, 1414101600, 0.5, NULL, NULL, NULL, NULL, 0),
(11473, 93, 2383, 4, 1414101600, 0.5, NULL, NULL, NULL, NULL, 0),
(11476, 93, 2383, 4, 1414364400, 0.3, NULL, NULL, NULL, NULL, 0),
(12544, 93, 2383, 4, 1414450800, 1, NULL, NULL, NULL, NULL, 0),
(11497, 114, 2779, 4, 1414364400, 1, NULL, NULL, NULL, NULL, 0),
(12699, 114, 2779, 4, 1414450800, 1, NULL, NULL, NULL, NULL, 0),
(11501, 2, 1435, 1, 1414450800, 0.5, NULL, NULL, NULL, NULL, 0),
(11522, 2, 1435, 1, 1414364400, 0.25, NULL, NULL, NULL, NULL, 0),
(11548, 112, 2133, 6, 1414364400, 0.7, NULL, NULL, NULL, NULL, 0),
(11550, 112, 2779, 4, 1414450800, 0.8, NULL, NULL, NULL, NULL, 0),
(11569, 74, 2120, 4, 1414364400, 1, NULL, NULL, NULL, NULL, 0),
(11570, 74, 1, 1, 1414537200, 0.5, NULL, NULL, NULL, NULL, 0),
(11797, 114, 1041, 1, 1414537200, 1, NULL, NULL, NULL, NULL, 0),
(11615, 72, 2, 1, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(11622, 2, 2132, 4, 1414450800, 0.5, NULL, NULL, NULL, NULL, 0),
(11623, 2, 2089, 1, 1414537200, 0.25, NULL, NULL, NULL, NULL, 0),
(11624, 112, 2779, 4, 1414537200, 1, NULL, NULL, NULL, NULL, 0),
(11687, 2, 2132, 4, 1414623600, 0.75, NULL, NULL, NULL, NULL, 0),
(11688, 2, 2089, 1, 1414623600, 0.25, NULL, NULL, NULL, NULL, 0),
(11689, 2, 2132, 4, 1414537200, 0.75, NULL, NULL, NULL, NULL, 0),
(11693, 112, 2779, 4, 1414623600, 1, NULL, NULL, NULL, NULL, 0),
(11744, 72, 1431, 1, 1414537200, 0.5, NULL, NULL, NULL, NULL, 0),
(11745, 72, 1431, 1, 1414710000, 0.5, NULL, NULL, NULL, NULL, 0),
(11746, 72, 2853, 7, 1414710000, 0.5, NULL, NULL, NULL, NULL, 0),
(11792, 2, 1431, 1, 1414710000, 0.2, NULL, NULL, NULL, NULL, 0),
(11793, 2, 2132, 4, 1414710000, 0.8, NULL, NULL, NULL, NULL, 0),
(11794, 2, 2132, 4, 1414364400, 0.25, NULL, NULL, NULL, NULL, 0),
(11795, 73, 1041, 1, 1414623600, 1, NULL, NULL, NULL, NULL, 0),
(11796, 73, 1041, 1, 1414710000, 1, NULL, NULL, NULL, NULL, 0),
(11888, 88, 2865, 1, 1412114400, 1, NULL, NULL, NULL, NULL, 0),
(11889, 88, 2865, 1, 1412200800, 1, NULL, NULL, NULL, NULL, 0),
(11890, 88, 2865, 1, 1412287200, 1, NULL, NULL, NULL, NULL, 0),
(11913, 2, 1431, 1, 1414969200, 0.25, NULL, NULL, NULL, NULL, 0),
(11917, 73, 2131, 4, 1414969200, 1, NULL, NULL, NULL, NULL, 0),
(11918, 73, 1877, 5, 1414364400, 1, NULL, NULL, NULL, NULL, 0),
(11919, 73, 1877, 6, 1414450800, 0.5, NULL, NULL, NULL, NULL, 0),
(11920, 112, 2779, 4, 1415055600, 1, NULL, NULL, NULL, NULL, 0),
(11921, 112, 2779, 4, 1414969200, 1, NULL, NULL, NULL, NULL, 0),
(11925, 116, 2779, 7, 1415055600, 1, NULL, NULL, NULL, NULL, 0),
(11946, 2, 2132, 4, 1414969200, 0.75, NULL, NULL, NULL, NULL, 0),
(11950, 2, 2132, 4, 1415055600, 0.5, NULL, NULL, NULL, NULL, 0),
(11984, 2, 2089, 1, 1415142000, 0.1, NULL, NULL, NULL, NULL, 0),
(11994, 2, 2465, 7, 1415055600, 0.5, NULL, NULL, NULL, NULL, 0),
(11995, 2, 2465, 7, 1415142000, 0.4, NULL, NULL, NULL, NULL, 0),
(12068, 112, 2779, 4, 1415142000, 1, NULL, NULL, NULL, NULL, 0),
(12114, 72, 2894, 1, 1415055600, 0.5, NULL, NULL, NULL, NULL, 0),
(12115, 72, 2894, 1, 1414969200, 1, NULL, NULL, NULL, NULL, 0),
(12119, 72, 2853, 7, 1415228400, 1, NULL, NULL, NULL, NULL, 0),
(12117, 72, 2853, 7, 1415142000, 0.5, NULL, NULL, NULL, NULL, 0),
(12118, 72, 2894, 1, 1415142000, 0.5, NULL, NULL, NULL, NULL, 0),
(12120, 114, 1041, 1, 1415228400, 1, NULL, NULL, NULL, NULL, 0),
(12121, 114, 1041, 1, 1415055600, 0.5, NULL, NULL, NULL, NULL, 0),
(72960, 217, 14194, 2, 1473976800, 0.25, 217, 1474017977, NULL, NULL, 0),
(12216, 73, 2131, 7, 1415055600, 1, NULL, NULL, NULL, NULL, 0),
(12217, 73, 2131, 7, 1415228400, 0.5, NULL, NULL, NULL, NULL, 0),
(12282, 73, 1505, 1, 1415314800, 0.3, NULL, NULL, NULL, NULL, 0),
(12219, 73, 1868, 4, 1415228400, 0.5, NULL, NULL, NULL, NULL, 0),
(12281, 73, 1868, 4, 1415314800, 0.7, NULL, NULL, NULL, NULL, 0),
(12288, 2, 1431, 1, 1415314800, 0.25, NULL, NULL, NULL, NULL, 0),
(12289, 2, 2912, 5, 1415228400, 1, NULL, NULL, NULL, NULL, 0),
(12290, 2, 2912, 7, 1415314800, 0.75, NULL, NULL, NULL, NULL, 0),
(12291, 2, 2089, 1, 1415142000, 0.25, NULL, NULL, NULL, NULL, 0),
(12292, 2, 2465, 4, 1415142000, 0.25, NULL, NULL, NULL, NULL, 0),
(12312, 116, 1596, 1, 1414450800, 1, NULL, NULL, NULL, NULL, 0),
(12311, 116, 1448, 7, 1414364400, 1, NULL, NULL, NULL, NULL, 0),
(12313, 116, 2041, 1, 1414969200, 1, NULL, NULL, NULL, NULL, 0),
(12314, 116, 2779, 7, 1415142000, 1, NULL, NULL, NULL, NULL, 0),
(12316, 116, 2780, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(12417, 2, 2844, 5, 1415746800, 0.5, NULL, NULL, NULL, NULL, 0),
(12418, 2, 2, 1, 1415746800, 0.5, NULL, NULL, NULL, NULL, 0),
(12424, 72, 2853, 7, 1415746800, 1, NULL, NULL, NULL, NULL, 0),
(12425, 72, 1, 1, 1415833200, 0.5, NULL, NULL, NULL, NULL, 0),
(12426, 72, 1, 1, 1415919600, 0.5, NULL, NULL, NULL, NULL, 0),
(12427, 72, 1, 1, 1416870000, 0.5, NULL, NULL, NULL, NULL, 0),
(12458, 74, 2904, 4, 1414450800, 1, NULL, NULL, NULL, NULL, 0),
(12460, 74, 2904, 4, 1414537200, 0.5, NULL, NULL, NULL, NULL, 0),
(12462, 74, 2904, 4, 1414623600, 1, NULL, NULL, NULL, NULL, 0),
(12464, 74, 2120, 6, 1414710000, 0.5, NULL, NULL, NULL, NULL, 0),
(12465, 74, 2814, 6, 1414710000, 0.5, NULL, NULL, NULL, NULL, 0),
(12466, 74, 2909, 6, 1414969200, 1, NULL, NULL, NULL, NULL, 0),
(12467, 74, 1596, 1, 1415746800, 1, NULL, NULL, NULL, NULL, 0),
(12468, 74, 2840, 6, 1415055600, 1, NULL, NULL, NULL, NULL, 0),
(12469, 74, 2821, 5, 1415142000, 1, NULL, NULL, NULL, NULL, 0),
(12470, 74, 2821, 5, 1415228400, 0.5, NULL, NULL, NULL, NULL, 0),
(12471, 74, 2821, 5, 1415314800, 1, NULL, NULL, NULL, NULL, 0),
(12472, 74, 1876, 5, 1415919600, 0.5, NULL, NULL, NULL, NULL, 0),
(12490, 74, 2840, 6, 1415919600, 0.5, NULL, NULL, NULL, NULL, 0),
(12539, 93, 3084, 4, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(12540, 93, 1, 1, 1415746800, 1, NULL, NULL, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(12541, 93, 1, 1, 1415833200, 1, NULL, NULL, NULL, NULL, 0),
(12543, 93, 2088, 1, 1415919600, 1, NULL, NULL, NULL, NULL, 0),
(12561, 116, 1871, 5, 1416178800, 0.5, NULL, NULL, NULL, NULL, 0),
(12562, 116, 2780, 1, 1416178800, 0.5, NULL, NULL, NULL, NULL, 0),
(12600, 2, 2844, 6, 1416178800, 0.4, NULL, NULL, NULL, NULL, 0),
(12601, 2, 2844, 5, 1416178800, 0.4, NULL, NULL, NULL, NULL, 0),
(12602, 2, 2838, 5, 1416178800, 0.2, NULL, NULL, NULL, NULL, 0),
(12696, 2, 2652, 5, 1416265200, 1, NULL, NULL, NULL, NULL, 0),
(12697, 116, 2779, 4, 1416265200, 0.5, NULL, NULL, NULL, NULL, 0),
(12618, 116, 1871, 5, 1416265200, 0.5, NULL, NULL, NULL, NULL, 0),
(12642, 72, 2894, 1, 1416178800, 1, NULL, NULL, NULL, NULL, 0),
(12643, 72, 2853, 7, 1416265200, 0.5, NULL, NULL, NULL, NULL, 0),
(12644, 72, 2841, 2, 1416265200, 0.25, NULL, NULL, NULL, NULL, 0),
(12645, 72, 2838, 2, 1416265200, 0.25, NULL, NULL, NULL, NULL, 0),
(12646, 72, 2853, 7, 1415833200, 0.5, NULL, NULL, NULL, NULL, 0),
(12647, 72, 2894, 1, 1415919600, 0.5, NULL, NULL, NULL, NULL, 0),
(12648, 72, 2894, 1, 1415314800, 1, NULL, NULL, NULL, NULL, 0),
(12680, 93, 1400, 1, 1416265200, 1, NULL, NULL, NULL, NULL, 0),
(12681, 93, 1400, 1, 1416351600, 1, NULL, NULL, NULL, NULL, 0),
(12682, 93, 1400, 1, 1416438000, 1, NULL, NULL, NULL, NULL, 0),
(12698, 116, 2779, 7, 1416351600, 1, NULL, NULL, NULL, NULL, 0),
(12706, 114, 1870, 6, 1414969200, 1, NULL, NULL, NULL, NULL, 0),
(12700, 114, 2779, 4, 1414623600, 1, NULL, NULL, NULL, NULL, 0),
(12701, 114, 1870, 4, 1414710000, 1, NULL, NULL, NULL, NULL, 0),
(12702, 114, 2779, 7, 1415055600, 0.5, NULL, NULL, NULL, NULL, 0),
(12703, 114, 2779, 7, 1415142000, 1, NULL, NULL, NULL, NULL, 0),
(13026, 114, 1041, 1, 1415314800, 1, NULL, NULL, NULL, NULL, 0),
(12708, 114, 1864, 5, 1415746800, 1, NULL, NULL, NULL, NULL, 0),
(12709, 114, 1864, 6, 1415833200, 1, NULL, NULL, NULL, NULL, 0),
(12710, 114, 1864, 6, 1415919600, 1, NULL, NULL, NULL, NULL, 0),
(12711, 114, 1864, 5, 1416178800, 1, NULL, NULL, NULL, NULL, 0),
(12712, 114, 1870, 6, 1416265200, 0.5, NULL, NULL, NULL, NULL, 0),
(12713, 114, 2779, 7, 1416265200, 0.5, NULL, NULL, NULL, NULL, 0),
(12715, 114, 2779, 7, 1416351600, 1, NULL, NULL, NULL, NULL, 0),
(12735, 2, 1435, 1, 1416351600, 0.25, NULL, NULL, NULL, NULL, 0),
(12749, 2, 2844, 5, 1415833200, 1, NULL, NULL, NULL, NULL, 0),
(12750, 2, 2844, 5, 1415919600, 0.8, NULL, NULL, NULL, NULL, 0),
(12751, 2, 2089, 1, 1415919600, 0.2, NULL, NULL, NULL, NULL, 0),
(12752, 116, 2, 1, 1414537200, 1, NULL, NULL, NULL, NULL, 0),
(12753, 116, 2, 1, 1414623600, 1, NULL, NULL, NULL, NULL, 0),
(12754, 116, 2, 1, 1414710000, 1, NULL, NULL, NULL, NULL, 0),
(12755, 116, 2, 1, 1416438000, 1, NULL, NULL, NULL, NULL, 0),
(12756, 116, 2, 1, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(12796, 2, 1435, 1, 1416351600, 0.25, NULL, NULL, NULL, NULL, 0),
(12760, 116, 2, 1, 1417042800, 1, NULL, NULL, NULL, NULL, 0),
(12761, 116, 2, 1, 1417129200, 1, NULL, NULL, NULL, NULL, 0),
(12765, 116, 2, 1, 1417647600, 1, NULL, NULL, NULL, NULL, 0),
(12766, 116, 2, 1, 1417734000, 1, NULL, NULL, NULL, NULL, 0),
(12770, 116, 2, 1, 1418252400, 1, NULL, NULL, NULL, NULL, 0),
(12771, 116, 2, 1, 1418338800, 1, NULL, NULL, NULL, NULL, 0),
(12786, 116, 2, 1, 1415314800, 1, NULL, NULL, NULL, NULL, 0),
(12785, 116, 2, 1, 1415228400, 1, NULL, NULL, NULL, NULL, 0),
(12775, 116, 2, 1, 1418857200, 1, NULL, NULL, NULL, NULL, 0),
(12776, 116, 2, 1, 1418943600, 1, NULL, NULL, NULL, NULL, 0),
(12784, 116, 2, 1, 1415919600, 1, NULL, NULL, NULL, NULL, 0),
(12783, 116, 2, 1, 1415833200, 1, NULL, NULL, NULL, NULL, 0),
(12782, 116, 2, 1, 1415746800, 1, NULL, NULL, NULL, NULL, 0),
(12797, 2, 2894, 1, 1416351600, 0.5, NULL, NULL, NULL, NULL, 0),
(12808, 72, 2, 1, 1416870000, 0.5, NULL, NULL, NULL, NULL, 0),
(12810, 74, 2840, 6, 1416178800, 1, NULL, NULL, NULL, NULL, 0),
(12811, 74, 2840, 6, 1416265200, 0.5, NULL, NULL, NULL, NULL, 0),
(12818, 73, 1868, 7, 1416178800, 0.7, NULL, NULL, NULL, NULL, 0),
(12819, 73, 2, 1, 1415746800, 1, NULL, NULL, NULL, NULL, 0),
(12820, 73, 1868, 7, 1415833200, 0.5, NULL, NULL, NULL, NULL, 0),
(12821, 73, 1868, 7, 1416265200, 1, NULL, NULL, NULL, NULL, 0),
(12822, 73, 2089, 1, 1416178800, 0.3, NULL, NULL, NULL, NULL, 0),
(12823, 73, 2819, 4, 1415833200, 0.5, NULL, NULL, NULL, NULL, 0),
(12824, 73, 2819, 4, 1415919600, 1, NULL, NULL, NULL, NULL, 0),
(12829, 74, 1, 1, 1416438000, 0.5, NULL, NULL, NULL, NULL, 0),
(12830, 74, 1596, 1, 1416265200, 0.5, NULL, NULL, NULL, NULL, 0),
(12831, 74, 1596, 1, 1416351600, 0.5, NULL, NULL, NULL, NULL, 0),
(12832, 74, 1876, 7, 1416351600, 0.5, NULL, NULL, NULL, NULL, 0),
(12834, 74, 1, 1, 1417042800, 0.5, NULL, NULL, NULL, NULL, 0),
(12835, 2, 2, 1, 1416438000, 0.5, NULL, NULL, NULL, NULL, 0),
(12836, 2, 2842, 5, 1416438000, 0.25, NULL, NULL, NULL, NULL, 0),
(12853, 2, 2652, 5, 1416438000, 0.25, NULL, NULL, NULL, NULL, 0),
(12934, 2, 2842, 5, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(12968, 2, 2652, 7, 1416783600, 0.5, NULL, NULL, NULL, NULL, 0),
(12995, 2, 1, 1, 1416870000, 0.5, NULL, NULL, NULL, NULL, 0),
(12996, 74, 1, 1, 1417042800, 0.5, NULL, NULL, NULL, NULL, 0),
(12997, 74, 3137, 4, 1416438000, 0.5, NULL, NULL, NULL, NULL, 0),
(12998, 74, 3137, 4, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(12999, 114, 2, 1, 1416783600, 0.5, NULL, NULL, NULL, NULL, 0),
(13001, 116, 2819, 4, 1416783600, 1, NULL, NULL, NULL, NULL, 0),
(13002, 2, 1862, 7, 1416783600, 0.2, NULL, NULL, NULL, NULL, 0),
(13003, 2, 1867, 7, 1416783600, 0.2, NULL, NULL, NULL, NULL, 0),
(13004, 2, 3144, 4, 1416783600, 0.1, NULL, NULL, NULL, NULL, 0),
(13019, 93, 1, 1, 1416870000, 1, NULL, NULL, NULL, NULL, 0),
(13020, 93, 1, 1, 1416956400, 1, NULL, NULL, NULL, NULL, 0),
(13147, 93, 3084, 4, 1416178800, 1, NULL, NULL, NULL, NULL, 0),
(13022, 114, 2835, 4, 1416438000, 1, NULL, NULL, NULL, NULL, 0),
(13023, 114, 2835, 4, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(13024, 114, 2835, 4, 1416783600, 0.5, NULL, NULL, NULL, NULL, 0),
(13025, 114, 2835, 4, 1416870000, 1, NULL, NULL, NULL, NULL, 0),
(13027, 114, 2835, 4, 1416956400, 1, NULL, NULL, NULL, NULL, 0),
(13028, 114, 2, 1, 1418079600, 1, NULL, NULL, NULL, NULL, 0),
(13029, 114, 2, 1, 1418166000, 1, NULL, NULL, NULL, NULL, 0),
(13031, 88, 2865, 1, 1415055600, 1, NULL, NULL, NULL, NULL, 0),
(13032, 88, 2865, 1, 1415142000, 1, NULL, NULL, NULL, NULL, 0),
(13035, 88, 2865, 1, 1415574000, 1, NULL, NULL, NULL, NULL, 0),
(13036, 88, 2865, 1, 1415746800, 0.5, NULL, NULL, NULL, NULL, 0),
(13039, 88, 2865, 1, 1416351600, 1, NULL, NULL, NULL, NULL, 0),
(13040, 88, 2865, 1, 1416438000, 1, NULL, NULL, NULL, NULL, 0),
(13041, 88, 2865, 1, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(13046, 88, 2865, 1, 1417129200, 1, NULL, NULL, NULL, NULL, 0),
(13047, 88, 2, 1, 1415833200, 1, NULL, NULL, NULL, NULL, 0),
(13048, 88, 2, 1, 1415919600, 1, NULL, NULL, NULL, NULL, 0),
(13049, 88, 2, 1, 1415746800, 0.5, NULL, NULL, NULL, NULL, 0),
(14482, 2, 1435, 1, 1418252400, 0.5, NULL, NULL, NULL, NULL, 0),
(13061, 116, 2819, 4, 1416870000, 1, NULL, NULL, NULL, NULL, 0),
(13062, 116, 2, 1, 1416956400, 1, NULL, NULL, NULL, NULL, 0),
(13063, 116, 2, 1, 1418166000, 1, NULL, NULL, NULL, NULL, 0),
(13108, 73, 2, 1, 1417042800, 1, NULL, NULL, NULL, NULL, 0),
(13109, 73, 2, 1, 1417129200, 1, NULL, NULL, NULL, NULL, 0),
(13110, 73, 2898, 5, 1416870000, 1, NULL, NULL, NULL, NULL, 0),
(13111, 2, 3144, 4, 1416870000, 0.5, NULL, NULL, NULL, NULL, 0),
(13112, 73, 2898, 4, 1416438000, 1, NULL, NULL, NULL, NULL, 0),
(13113, 73, 2898, 5, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(13145, 2, 3144, 4, 1416956400, 1, NULL, NULL, NULL, NULL, 0),
(13148, 93, 3084, 4, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(13149, 93, 2088, 1, 1416783600, 0.5, NULL, NULL, NULL, NULL, 0),
(14258, 93, 2088, 1, 1417388400, 0.2, NULL, NULL, NULL, NULL, 0),
(13151, 93, 3084, 4, 1416783600, 0.5, NULL, NULL, NULL, NULL, 0),
(13152, 93, 1, 1, 1417474800, 1, NULL, NULL, NULL, NULL, 0),
(13153, 93, 1, 1, 1417561200, 1, NULL, NULL, NULL, NULL, 0),
(13154, 93, 1, 1, 1417647600, 1, NULL, NULL, NULL, NULL, 0),
(13155, 93, 1, 1, 1418079600, 1, NULL, NULL, NULL, NULL, 0),
(13156, 93, 1, 1, 1418166000, 1, NULL, NULL, NULL, NULL, 0),
(13157, 93, 2, 1, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(13631, 116, 2819, 4, 1417561200, 1, NULL, NULL, NULL, NULL, 0),
(13630, 2, 1435, 1, 1417561200, 0.25, NULL, NULL, NULL, NULL, 0),
(13166, 74, 3137, 4, 1416783600, 1, NULL, NULL, NULL, NULL, 0),
(13167, 74, 3137, 4, 1416956400, 0.5, NULL, NULL, NULL, NULL, 0),
(13168, 74, 3137, 4, 1416870000, 0.5, NULL, NULL, NULL, NULL, 0),
(13180, 72, 1, 1, 1417042800, 0.5, NULL, NULL, NULL, NULL, 0),
(13181, 72, 2894, 1, 1417042800, 0.5, NULL, NULL, NULL, NULL, 0),
(13182, 72, 2894, 1, 1416783600, 1, NULL, NULL, NULL, NULL, 0),
(13183, 72, 2894, 1, 1416956400, 1, NULL, NULL, NULL, NULL, 0),
(13928, 72, 2894, 1, 1417129200, 0.5, NULL, NULL, NULL, NULL, 0),
(13194, 93, 3144, 2, 1417042800, 0.1, NULL, NULL, NULL, NULL, 0),
(13195, 2, 3144, 5, 1417042800, 0.9, NULL, NULL, NULL, NULL, 0),
(13196, 2, 1435, 1, 1417042800, 0.1, NULL, NULL, NULL, NULL, 0),
(13429, 116, 2819, 4, 1417388400, 1, NULL, NULL, NULL, NULL, 0),
(13431, 73, 1868, 7, 1416783600, 0.5, NULL, NULL, NULL, NULL, 0),
(13432, 73, 2089, 1, 1416783600, 0.4, NULL, NULL, NULL, NULL, 0),
(13433, 73, 2898, 5, 1416783600, 0.1, NULL, NULL, NULL, NULL, 0),
(13434, 73, 2898, 5, 1417388400, 1, NULL, NULL, NULL, NULL, 0),
(13552, 128, 2, 1, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(13553, 128, 2, 1, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(13554, 2, 3144, 4, 1417388400, 1, NULL, NULL, NULL, NULL, 0),
(13555, 93, 3144, 2, 1417388400, 0.2, NULL, NULL, NULL, NULL, 0),
(13560, 116, 2819, 4, 1417474800, 1, NULL, NULL, NULL, NULL, 0),
(13568, 128, 1436, 1, 1417474800, 1, NULL, NULL, NULL, NULL, 0),
(13569, 128, 2, 1, 1419202800, 1, NULL, NULL, NULL, NULL, 0),
(13570, 128, 2, 1, 1419289200, 1, NULL, NULL, NULL, NULL, 0),
(13571, 74, 2897, 6, 1417129200, 0.5, NULL, NULL, NULL, NULL, 0),
(13572, 74, 3335, 4, 1416956400, 0.5, NULL, NULL, NULL, NULL, 0),
(13573, 74, 3335, 4, 1417129200, 0.5, NULL, NULL, NULL, NULL, 0),
(13574, 74, 2897, 6, 1417388400, 1, NULL, NULL, NULL, NULL, 0),
(13575, 114, 3335, 4, 1417042800, 1, NULL, NULL, NULL, NULL, 0),
(13576, 114, 3335, 4, 1417129200, 1, NULL, NULL, NULL, NULL, 0),
(13579, 114, 3335, 4, 1417388400, 1, NULL, NULL, NULL, NULL, 0),
(13580, 114, 2, 1, 1417993200, 0.5, NULL, NULL, NULL, NULL, 0),
(13581, 74, 1, 1, 1418252400, 0.5, NULL, NULL, NULL, NULL, 0),
(13582, 74, 1, 1, 1417647600, 0.5, NULL, NULL, NULL, NULL, 0),
(13583, 74, 1, 1, 1418857200, 1, NULL, NULL, NULL, NULL, 0),
(13584, 74, 2, 1, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(13585, 74, 2, 1, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(13586, 2, 2089, 1, 1417561200, 0.25, NULL, NULL, NULL, NULL, 0),
(13587, 2, 3144, 4, 1417474800, 1, NULL, NULL, NULL, NULL, 0),
(13588, 2, 3144, 4, 1417129200, 1, NULL, NULL, NULL, NULL, 0),
(13589, 128, 2041, 1, 1417561200, 0.5, NULL, NULL, NULL, NULL, 0),
(13910, 114, 1400, 1, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(13911, 114, 1400, 1, 1418684400, 1, NULL, NULL, NULL, NULL, 0),
(13912, 114, 1400, 1, 1418770800, 1, NULL, NULL, NULL, NULL, 0),
(13924, 72, 2894, 1, 1417561200, 1, NULL, NULL, NULL, NULL, 0),
(13925, 72, 2894, 1, 1417474800, 1, NULL, NULL, NULL, NULL, 0),
(13926, 72, 2894, 1, 1417388400, 1, NULL, NULL, NULL, NULL, 0),
(13927, 72, 2902, 7, 1417129200, 0.5, NULL, NULL, NULL, NULL, 0),
(13930, 72, 1, 1, 1416438000, 0.5, NULL, NULL, NULL, NULL, 0),
(13931, 72, 2894, 1, 1416351600, 1, NULL, NULL, NULL, NULL, 0),
(13932, 72, 2894, 1, 1416438000, 0.5, NULL, NULL, NULL, NULL, 0),
(13933, 72, 2894, 1, 1416524400, 1, NULL, NULL, NULL, NULL, 0),
(13986, 128, 1435, 1, 1417561200, 0.5, NULL, NULL, NULL, NULL, 0),
(13987, 128, 2041, 1, 1417647600, 0.5, NULL, NULL, NULL, NULL, 0),
(13988, 128, 1435, 1, 1417647600, 0.5, NULL, NULL, NULL, NULL, 0),
(14011, 2, 2894, 1, 1417561200, 0.25, NULL, NULL, NULL, NULL, 0),
(14025, 2, 2089, 1, 1417647600, 0.25, NULL, NULL, NULL, NULL, 0),
(14026, 2, 3144, 4, 1417647600, 0.75, NULL, NULL, NULL, NULL, 0),
(14027, 2, 3144, 4, 1417561200, 0.25, NULL, NULL, NULL, NULL, 0),
(14130, 72, 3335, 4, 1417647600, 0.5, NULL, NULL, NULL, NULL, 0),
(14131, 72, 2894, 1, 1417647600, 0.5, NULL, NULL, NULL, NULL, 0),
(14132, 72, 2894, 1, 1417734000, 1, NULL, NULL, NULL, NULL, 0),
(14166, 2, 3144, 4, 1417734000, 1, NULL, NULL, NULL, NULL, 0),
(14167, 128, 2041, 1, 1417734000, 0.5, NULL, NULL, NULL, NULL, 0),
(14168, 128, 1435, 1, 1417734000, 0.5, NULL, NULL, NULL, NULL, 0),
(14204, 93, 3144, 2, 1417129200, 0.2, NULL, NULL, NULL, NULL, 0),
(14237, 114, 3335, 4, 1417474800, 0.5, NULL, NULL, NULL, NULL, 0),
(14238, 114, 3459, 4, 1417474800, 0.5, NULL, NULL, NULL, NULL, 0),
(14239, 114, 3459, 4, 1417561200, 1, NULL, NULL, NULL, NULL, 0),
(14240, 114, 3459, 4, 1417647600, 1, NULL, NULL, NULL, NULL, 0),
(14246, 93, 3084, 4, 1417042800, 0.6, NULL, NULL, NULL, NULL, 0),
(14247, 93, 3084, 4, 1417129200, 0.6, NULL, NULL, NULL, NULL, 0),
(14248, 93, 2088, 1, 1417042800, 0.3, NULL, NULL, NULL, NULL, 0),
(14249, 93, 2088, 1, 1417129200, 0.2, NULL, NULL, NULL, NULL, 0),
(14252, 114, 3335, 4, 1417734000, 0.5, NULL, NULL, NULL, NULL, 0),
(14253, 114, 3459, 4, 1417734000, 0.5, NULL, NULL, NULL, NULL, 0),
(14254, 114, 3459, 5, 1417993200, 0.5, NULL, NULL, NULL, NULL, 0),
(14259, 93, 2088, 1, 1417734000, 0.2, NULL, NULL, NULL, NULL, 0),
(14277, 93, 3084, 4, 1417734000, 0.8, NULL, NULL, NULL, NULL, 0),
(14270, 74, 3335, 4, 1417647600, 0.5, NULL, NULL, NULL, NULL, 0),
(14274, 74, 3455, 4, 1417474800, 1, NULL, NULL, NULL, NULL, 0),
(14278, 93, 2383, 4, 1417388400, 0.6, NULL, NULL, NULL, NULL, 0),
(14276, 74, 3460, 6, 1417734000, 1, NULL, NULL, NULL, NULL, 0),
(14288, 2, 2, 1, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(14289, 116, 2819, 4, 1417993200, 1, NULL, NULL, NULL, NULL, 0),
(14290, 74, 3460, 6, 1417561200, 1, NULL, NULL, NULL, NULL, 0),
(14310, 93, 2383, 4, 1417993200, 0.3, NULL, NULL, NULL, NULL, 0),
(14650, 93, 3459, 2, 1417993200, 0.1, NULL, NULL, NULL, NULL, 0),
(14312, 93, 3467, 4, 1417993200, 0.3, NULL, NULL, NULL, NULL, 0),
(14313, 93, 2088, 1, 1417993200, 0.1, NULL, NULL, NULL, NULL, 0),
(14314, 93, 3084, 4, 1417993200, 0.2, NULL, NULL, NULL, NULL, 0),
(14316, 93, 2, 1, 1419807600, 1, NULL, NULL, NULL, NULL, 0),
(14317, 93, 2, 1, 1419894000, 1, NULL, NULL, NULL, NULL, 0),
(14318, 93, 2, 1, 1419980400, 1, NULL, NULL, NULL, NULL, 0),
(14319, 73, 2, 1, 1420585200, 1, NULL, NULL, NULL, NULL, 0),
(14320, 73, 2, 1, 1421190000, 1, NULL, NULL, NULL, NULL, 0),
(14321, 73, 2, 1, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(14322, 73, 2, 1, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(14323, 73, 2, 1, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(14324, 73, 2, 1, 1423609200, 1, NULL, NULL, NULL, NULL, 0),
(14325, 73, 2, 1, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(14326, 73, 2, 1, 1424818800, 1, NULL, NULL, NULL, NULL, 0),
(14584, 128, 1435, 1, 1418166000, 1, NULL, NULL, NULL, NULL, 0),
(14587, 128, 2899, 5, 1418338800, 1, NULL, NULL, NULL, NULL, 0),
(14586, 128, 1435, 1, 1418252400, 1, NULL, NULL, NULL, NULL, 0),
(14598, 2, 3480, 5, 1418166000, 0.5, NULL, NULL, NULL, NULL, 0),
(14385, 128, 1435, 1, 1417993200, 1, NULL, NULL, NULL, NULL, 0),
(14386, 128, 1435, 1, 1418079600, 1, NULL, NULL, NULL, NULL, 0),
(14387, 74, 1, 1, 1418079600, 0.5, NULL, NULL, NULL, NULL, 0),
(14459, 2, 3144, 4, 1417993200, 1, NULL, NULL, NULL, NULL, 0),
(14461, 2, 2089, 1, 1418079600, 0.25, NULL, NULL, NULL, NULL, 0),
(14464, 2, 3474, 5, 1418079600, 0.25, NULL, NULL, NULL, NULL, 0),
(14514, 72, 2894, 1, 1417993200, 1, NULL, NULL, NULL, NULL, 0),
(14515, 72, 2894, 1, 1418079600, 1, NULL, NULL, NULL, NULL, 0),
(14516, 72, 2894, 1, 1418166000, 0.75, NULL, NULL, NULL, NULL, 0),
(14523, 72, 3479, 4, 1418166000, 0.25, NULL, NULL, NULL, NULL, 0),
(14524, 72, 2894, 1, 1418252400, 1, NULL, NULL, NULL, NULL, 0),
(14542, 74, 2897, 6, 1418338800, 1, NULL, NULL, NULL, NULL, 0),
(14543, 74, 2897, 6, 1418252400, 0.5, NULL, NULL, NULL, NULL, 0),
(14544, 74, 3335, 4, 1418166000, 0.5, NULL, NULL, NULL, NULL, 0),
(14545, 74, 2897, 6, 1418166000, 0.5, NULL, NULL, NULL, NULL, 0),
(14546, 74, 3459, 6, 1417993200, 1, NULL, NULL, NULL, NULL, 0),
(14547, 74, 2897, 6, 1418079600, 0.5, NULL, NULL, NULL, NULL, 0),
(14603, 2, 3144, 4, 1418079600, 0.5, NULL, NULL, NULL, NULL, 0),
(14607, 2, 1435, 1, 1418166000, 0.5, NULL, NULL, NULL, NULL, 0),
(14617, 73, 2898, 5, 1418079600, 0.6, NULL, NULL, NULL, NULL, 0),
(14620, 73, 2089, 1, 1418079600, 0.4, NULL, NULL, NULL, NULL, 0),
(14622, 73, 2089, 1, 1417993200, 0.5, NULL, NULL, NULL, NULL, 0),
(14626, 2, 2899, 2, 1418252400, 0.5, NULL, NULL, NULL, NULL, 0),
(14624, 73, 2898, 5, 1417993200, 0.5, NULL, NULL, NULL, NULL, 0),
(14628, 2, 2089, 1, 1418338800, 0.2, NULL, NULL, NULL, NULL, 0),
(14630, 2, 2899, 2, 1418338800, 0.5, NULL, NULL, NULL, NULL, 0),
(14634, 93, 2898, 2, 1418252400, 0.5, NULL, NULL, NULL, NULL, 0),
(14638, 73, 2898, 5, 1418252400, 0.5, NULL, NULL, NULL, NULL, 0),
(14639, 93, 3459, 2, 1418252400, 0.2, NULL, NULL, NULL, NULL, 0),
(14640, 73, 1, 1, 1418252400, 0.5, NULL, NULL, NULL, NULL, 0),
(14651, 93, 2383, 4, 1418252400, 0.3, NULL, NULL, NULL, NULL, 0),
(14679, 93, 3459, 2, 1418338800, 0.6, NULL, NULL, NULL, NULL, 0),
(14645, 73, 2898, 5, 1417734000, 1, NULL, NULL, NULL, NULL, 0),
(14646, 73, 2898, 5, 1417647600, 1, NULL, NULL, NULL, NULL, 0),
(14647, 73, 2898, 5, 1417474800, 0.7, NULL, NULL, NULL, NULL, 0),
(14648, 73, 2089, 1, 1417474800, 0.3, NULL, NULL, NULL, NULL, 0),
(14649, 93, 2383, 4, 1418338800, 0.4, NULL, NULL, NULL, NULL, 0),
(14680, 2, 2899, 2, 1418338800, 0.3, NULL, NULL, NULL, NULL, 0),
(14742, 74, 2, 1, 1419202800, 1, NULL, NULL, NULL, NULL, 0),
(14743, 74, 2, 1, 1419289200, 1, NULL, NULL, NULL, NULL, 0),
(14747, 116, 2, 1, 1418770800, 1, NULL, NULL, NULL, NULL, 0),
(14749, 116, 2819, 4, 1418079600, 1, NULL, NULL, NULL, NULL, 0),
(14758, 116, 2, 1, 1419548400, 1, NULL, NULL, NULL, NULL, 0),
(14759, 116, 2, 1, 1419807600, 1, NULL, NULL, NULL, NULL, 0),
(14760, 116, 2, 1, 1419894000, 1, NULL, NULL, NULL, NULL, 0),
(14761, 116, 2, 1, 1419980400, 1, NULL, NULL, NULL, NULL, 0),
(14762, 116, 2, 1, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(14787, 93, 3144, 2, 1418598000, 0.5, NULL, NULL, NULL, NULL, 0),
(14788, 93, 2383, 4, 1418598000, 0.5, NULL, NULL, NULL, NULL, 0),
(14806, 73, 2, 1, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(14807, 116, 2819, 4, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(14814, 128, 1435, 1, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(14815, 128, 1435, 1, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(14818, 2, 2650, 2, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(14817, 128, 2650, 5, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(14819, 2, 3144, 4, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(14820, 74, 2383, 6, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(14821, 74, 2383, 6, 1418684400, 0.25, NULL, NULL, NULL, NULL, 0),
(14827, 134, 2, 1, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(14828, 134, 2, 1, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(14829, 134, 1400, 1, 1418166000, 1, NULL, NULL, NULL, NULL, 0),
(14830, 134, 1400, 1, 1418252400, 1, NULL, NULL, NULL, NULL, 0),
(14831, 134, 1400, 1, 1418338800, 1, NULL, NULL, NULL, NULL, 0),
(14832, 134, 1400, 1, 1418857200, 1, NULL, NULL, NULL, NULL, 0),
(14833, 134, 1400, 1, 1418943600, 1, NULL, NULL, NULL, NULL, 0),
(14835, 134, 1, 1, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(14836, 134, 1, 1, 1418684400, 1, NULL, NULL, NULL, NULL, 0),
(14837, 134, 1, 1, 1418770800, 1, NULL, NULL, NULL, NULL, 0),
(14838, 134, 1, 1, 1417993200, 1, NULL, NULL, NULL, NULL, 0),
(14839, 134, 1, 1, 1418079600, 1, NULL, NULL, NULL, NULL, 0),
(14840, 134, 1, 1, 1417561200, 1, NULL, NULL, NULL, NULL, 0),
(14841, 134, 1, 1, 1417647600, 1, NULL, NULL, NULL, NULL, 0),
(14842, 134, 1, 1, 1417734000, 1, NULL, NULL, NULL, NULL, 0),
(14843, 134, 1400, 1, 1420412400, 1, NULL, NULL, NULL, NULL, 0),
(14844, 134, 1400, 1, 1420498800, 1, NULL, NULL, NULL, NULL, 0),
(14845, 134, 1400, 1, 1420585200, 1, NULL, NULL, NULL, NULL, 0),
(14846, 134, 1400, 1, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(14847, 134, 1400, 1, 1420758000, 1, NULL, NULL, NULL, NULL, 0),
(15676, 134, 1, 1, 1421362800, 1, NULL, NULL, NULL, NULL, 0),
(15672, 134, 1, 1, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(15675, 134, 1, 1, 1421276400, 1, NULL, NULL, NULL, NULL, 0),
(15674, 134, 1, 1, 1421190000, 1, NULL, NULL, NULL, NULL, 0),
(15673, 134, 1, 1, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(14853, 134, 1400, 1, 1421622000, 1, NULL, NULL, NULL, NULL, 0),
(14854, 134, 1400, 1, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(14855, 134, 1400, 1, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(14856, 134, 1400, 1, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(14857, 134, 1400, 1, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(14858, 134, 1400, 1, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(16760, 72, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(14939, 2, 2899, 2, 1418770800, 0.5, NULL, NULL, NULL, NULL, 0),
(14943, 2, 3547, 4, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(14944, 2, 2089, 1, 1418770800, 0.2, NULL, NULL, NULL, NULL, 0),
(14945, 2, 2089, 1, 1418857200, 0.2, NULL, NULL, NULL, NULL, 0),
(14946, 2, 3548, 2, 1418857200, 0.3, NULL, NULL, NULL, NULL, 0),
(14948, 2, 3144, 4, 1418770800, 0.3, NULL, NULL, NULL, NULL, 0),
(14959, 2, 3548, 2, 1418857200, 0.3, NULL, NULL, NULL, NULL, 0),
(14987, 128, 1435, 1, 1418770800, 0.2, NULL, NULL, NULL, NULL, 0),
(14986, 128, 2650, 5, 1418770800, 0.8, NULL, NULL, NULL, NULL, 0),
(14988, 128, 1435, 1, 1418857200, 0.2, NULL, NULL, NULL, NULL, 0),
(14992, 128, 3460, 5, 1418857200, 0.8, NULL, NULL, NULL, NULL, 0),
(14993, 128, 3460, 5, 1418943600, 0.2, NULL, NULL, NULL, NULL, 0),
(15001, 74, 3545, 4, 1418943600, 1, NULL, NULL, NULL, NULL, 0),
(15005, 74, 3459, 6, 1418684400, 0.25, NULL, NULL, NULL, NULL, 0),
(15003, 74, 3545, 4, 1418770800, 0.25, NULL, NULL, NULL, NULL, 0),
(15004, 74, 3547, 4, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(15006, 74, 3459, 6, 1418770800, 0.5, NULL, NULL, NULL, NULL, 0),
(15007, 74, 2820, 4, 1418770800, 0.25, NULL, NULL, NULL, NULL, 0),
(15025, 2, 3544, 4, 1418943600, 0.75, NULL, NULL, NULL, NULL, 0),
(15026, 2, 2089, 1, 1418943600, 0.2, NULL, NULL, NULL, NULL, 0),
(15027, 2, 3548, 2, 1418943600, 0.05, NULL, NULL, NULL, NULL, 0),
(15028, 73, 1505, 1, 1418943600, 0.1, NULL, NULL, NULL, NULL, 0),
(15029, 73, 3546, 4, 1418943600, 0.9, NULL, NULL, NULL, NULL, 0),
(15030, 73, 3541, 7, 1418857200, 1, NULL, NULL, NULL, NULL, 0),
(15031, 73, 3541, 7, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(15032, 73, 3547, 4, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(15033, 73, 2898, 6, 1418338800, 0.5, NULL, NULL, NULL, NULL, 0),
(15034, 73, 2088, 1, 1418338800, 0.5, NULL, NULL, NULL, NULL, 0),
(15035, 73, 3541, 4, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(15036, 72, 3547, 4, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(15037, 72, 2894, 1, 1418684400, 0.5, NULL, NULL, NULL, NULL, 0),
(15038, 72, 2894, 1, 1418857200, 1, NULL, NULL, NULL, NULL, 0),
(15039, 72, 2894, 1, 1418943600, 1, NULL, NULL, NULL, NULL, 0),
(15040, 72, 2894, 1, 1418598000, 1, NULL, NULL, NULL, NULL, 0),
(15041, 72, 2894, 1, 1418770800, 1, NULL, NULL, NULL, NULL, 0),
(15061, 134, 1436, 1, 1419289200, 1, NULL, NULL, NULL, NULL, 0),
(15062, 134, 1436, 1, 1419202800, 1, NULL, NULL, NULL, NULL, 0),
(15072, 116, 3467, 5, 1419202800, 1, NULL, NULL, NULL, NULL, 0),
(15073, 116, 3467, 4, 1418684400, 1, NULL, NULL, NULL, NULL, 0),
(15080, 2, 3562, 5, 1419202800, 0.5, NULL, NULL, NULL, NULL, 0),
(15081, 2, 3563, 5, 1419202800, 0.5, NULL, NULL, NULL, NULL, 0),
(15116, 73, 1508, 1, 1419289200, 0.1, NULL, NULL, NULL, NULL, 0),
(15117, 73, 2131, 7, 1419289200, 0.9, NULL, NULL, NULL, NULL, 0),
(15118, 73, 3546, 4, 1419202800, 1, NULL, NULL, NULL, NULL, 0),
(15208, 136, 1436, 1, 1420412400, 1, NULL, NULL, NULL, NULL, 0),
(15209, 2, 1435, 1, 1420412400, 0.5, NULL, NULL, NULL, NULL, 0),
(15427, 128, 3612, 5, 1420412400, 1, NULL, NULL, NULL, NULL, 0),
(15432, 2, 3480, 5, 1420412400, 0.2, NULL, NULL, NULL, NULL, 0),
(15429, 128, 1506, 1, 1420498800, 0.4, NULL, NULL, NULL, NULL, 0),
(15430, 2, 3613, 2, 1420498800, 0.5, NULL, NULL, NULL, NULL, 0),
(15431, 2, 23792, 1, 1420498800, 0.5, NULL, NULL, NULL, NULL, 0),
(15433, 128, 3613, 5, 1420498800, 0.6, NULL, NULL, NULL, NULL, 0),
(15441, 72, 3615, 4, 1420498800, 0.3, NULL, NULL, NULL, NULL, 0),
(15442, 72, 23792, 1, 1420498800, 0.7, NULL, NULL, NULL, NULL, 0),
(15443, 72, 23792, 1, 1420412400, 1, NULL, NULL, NULL, NULL, 0),
(15444, 72, 2894, 1, 1419202800, 1, NULL, NULL, NULL, NULL, 0),
(15446, 72, 2894, 1, 1419289200, 1, NULL, NULL, NULL, NULL, 0),
(15447, 72, 2894, 1, 1418338800, 1, NULL, NULL, NULL, NULL, 0),
(15961, 74, 2, 1, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(15963, 74, 2, 1, 1421708400, 0.5, NULL, NULL, NULL, NULL, 0),
(15450, 2, 2, 1, 1425250800, 1, NULL, NULL, NULL, NULL, 0),
(15451, 2, 2, 1, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(15452, 2, 2, 1, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(15453, 2, 2, 1, 1425510000, 1, NULL, NULL, NULL, NULL, 0),
(15454, 2, 2, 1, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(15455, 72, 1, 1, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(15456, 117, 1, 1, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(15457, 117, 1, 1, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(15458, 117, 1, 1, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(15459, 117, 1, 1, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(15460, 117, 1, 1, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(15461, 117, 1, 1, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(15462, 117, 2, 1, 1420758000, 1, NULL, NULL, NULL, NULL, 0),
(15463, 117, 1, 1, 1422313200, 0.4, NULL, NULL, NULL, NULL, 0),
(15464, 117, 1, 1, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(15465, 117, 1, 1, 1423522800, 0.5, NULL, NULL, NULL, NULL, 0),
(15466, 117, 1, 1, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(15467, 117, 1, 1, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(15468, 117, 1, 1, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(15469, 117, 1, 1, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(15470, 117, 1, 1, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(15471, 117, 1, 1, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(15472, 117, 1, 1, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(15473, 117, 1, 1, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(15474, 117, 1, 1, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(15475, 117, 1, 1, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(15476, 117, 1, 1, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(15481, 2, 1435, 1, 1420585200, 0.25, NULL, NULL, NULL, NULL, 0),
(15498, 109, 2, 1, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(15499, 109, 2, 1, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(15500, 109, 2, 1, 1421622000, 1, NULL, NULL, NULL, NULL, 0),
(15501, 109, 2, 1, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(15502, 109, 2, 1, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(15503, 109, 2, 1, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(15504, 109, 2, 1, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(15505, 109, 2, 1, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(15506, 109, 2, 1, 1423436400, 1, NULL, NULL, NULL, NULL, 0),
(15507, 109, 2, 1, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(15508, 109, 2, 1, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(15509, 109, 2, 1, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(15510, 109, 2, 1, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(15511, 109, 2, 1, 1424732400, 1, NULL, NULL, NULL, NULL, 0),
(15512, 109, 2, 1, 1425250800, 1, NULL, NULL, NULL, NULL, 0),
(15513, 109, 2, 1, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(15514, 109, 2, 1, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(15515, 109, 2, 1, 1425942000, 1, NULL, NULL, NULL, NULL, 0),
(15516, 109, 2, 1, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(15517, 109, 2, 1, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(15518, 109, 2, 1, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(15519, 109, 2, 1, 1427151600, 1, NULL, NULL, NULL, NULL, 0),
(15520, 109, 2, 1, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(15521, 109, 2, 1, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(15522, 109, 2, 1, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(15523, 109, 2, 1, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(15524, 109, 2, 1, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(15525, 109, 2, 1, 1429480800, 1, NULL, NULL, NULL, NULL, 0),
(15526, 109, 2, 1, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(15527, 109, 2, 1, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(15528, 109, 2, 1, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(15529, 109, 2, 1, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(15530, 109, 2, 1, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(15531, 109, 2, 1, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(15532, 109, 2, 1, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(15533, 109, 2, 1, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(15534, 109, 2, 1, 1431986400, 1, NULL, NULL, NULL, NULL, 0),
(15535, 109, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(15536, 109, 2, 1, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(15537, 109, 2, 1, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(15538, 109, 2, 1, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(15539, 109, 2, 1, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(15566, 73, 3546, 4, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(15567, 73, 1506, 1, 1420412400, 0.6, NULL, NULL, NULL, NULL, 0),
(15568, 73, 3546, 4, 1420498800, 0.6, NULL, NULL, NULL, NULL, 0),
(15569, 73, 1506, 1, 1420498800, 0.4, NULL, NULL, NULL, NULL, 0),
(15570, 73, 3546, 4, 1420412400, 0.4, NULL, NULL, NULL, NULL, 0),
(15685, 93, 3542, 4, 1418684400, 0.75, NULL, NULL, NULL, NULL, 0),
(15668, 93, 3144, 2, 1418770800, 0.25, NULL, NULL, NULL, NULL, 0),
(15588, 73, 1505, 1, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(15594, 74, 3459, 6, 1420498800, 0.5, NULL, NULL, NULL, NULL, 0),
(15593, 74, 1506, 1, 1420498800, 0.5, NULL, NULL, NULL, NULL, 0),
(15591, 74, 1506, 1, 1420412400, 0.5, NULL, NULL, NULL, NULL, 0),
(15592, 74, 3459, 6, 1420412400, 0.5, NULL, NULL, NULL, NULL, 0),
(15596, 74, 3459, 6, 1420585200, 0.5, NULL, NULL, NULL, NULL, 0),
(15597, 74, 1436, 1, 1420585200, 0.5, NULL, NULL, NULL, NULL, 0),
(15599, 74, 1436, 1, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(15665, 2, 1436, 1, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(16286, 93, 3545, 4, 1419202800, 0.5, NULL, NULL, NULL, NULL, 0),
(15687, 93, 3543, 4, 1418770800, 0.75, NULL, NULL, NULL, NULL, 0),
(15686, 93, 3543, 4, 1418684400, 0.25, NULL, NULL, NULL, NULL, 0),
(15670, 2, 3613, 5, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(15671, 2, 3613, 5, 1421017200, 0.75, NULL, NULL, NULL, NULL, 0),
(15688, 93, 3542, 4, 1418857200, 0.75, NULL, NULL, NULL, NULL, 0),
(15689, 93, 2088, 1, 1418857200, 0.25, NULL, NULL, NULL, NULL, 0),
(16304, 93, 3708, 4, 1421017200, 0.75, NULL, NULL, NULL, NULL, 0),
(15691, 93, 2088, 1, 1418943600, 1, NULL, NULL, NULL, NULL, 0),
(15711, 128, 2, 1, 1421190000, 0.5, NULL, NULL, NULL, NULL, 0),
(15712, 2, 1436, 1, 1421103600, 0.5, NULL, NULL, NULL, NULL, 0),
(15713, 128, 1436, 1, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(15714, 128, 3562, 5, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(15715, 2, 3612, 5, 1421017200, 0.25, NULL, NULL, NULL, NULL, 0),
(15716, 2, 1435, 1, 1420671600, 0.25, NULL, NULL, NULL, NULL, 0),
(15717, 2, 3648, 2, 1420585200, 0.5, NULL, NULL, NULL, NULL, 0),
(15718, 2, 3648, 2, 1420585200, 0.25, NULL, NULL, NULL, NULL, 0),
(15719, 128, 3648, 5, 1420585200, 0.75, NULL, NULL, NULL, NULL, 0),
(15720, 128, 3454, 5, 1420585200, 0.25, NULL, NULL, NULL, NULL, 0),
(15721, 2, 3454, 5, 1420671600, 0.75, NULL, NULL, NULL, NULL, 0),
(15722, 128, 3454, 5, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(15723, 2, 3480, 5, 1420412400, 0.3, NULL, NULL, NULL, NULL, 0),
(15724, 128, 3613, 5, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(15725, 128, 1435, 1, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(15736, 116, 2, 1, 1420412400, 1, NULL, NULL, NULL, NULL, 0),
(15737, 116, 2, 1, 1420498800, 1, NULL, NULL, NULL, NULL, 0),
(15738, 116, 2, 1, 1420585200, 1, NULL, NULL, NULL, NULL, 0),
(15739, 116, 2, 1, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(15740, 116, 2, 1, 1420758000, 1, NULL, NULL, NULL, NULL, 0),
(15741, 116, 3545, 5, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(15742, 116, 2, 1, 1421190000, 1, NULL, NULL, NULL, NULL, 0),
(15743, 116, 2, 1, 1421276400, 1, NULL, NULL, NULL, NULL, 0),
(15744, 116, 2, 1, 1421362800, 1, NULL, NULL, NULL, NULL, 0),
(15751, 116, 2, 1, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(15752, 116, 2, 1, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(15753, 116, 2, 1, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(15754, 116, 2, 1, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(15755, 116, 2, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(15817, 74, 2, 1, 1421190000, 0.5, NULL, NULL, NULL, NULL, 0),
(15861, 74, 1505, 1, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(15862, 74, 3454, 2, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(15863, 74, 2, 1, 1421362800, 0.5, NULL, NULL, NULL, NULL, 0),
(15864, 74, 3454, 2, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(15866, 74, 3454, 2, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(15867, 74, 3454, 2, 1421190000, 0.5, NULL, NULL, NULL, NULL, 0),
(15868, 74, 3455, 5, 1421276400, 0.5, NULL, NULL, NULL, NULL, 0),
(15869, 74, 3455, 6, 1421276400, 0.5, NULL, NULL, NULL, NULL, 0),
(15870, 74, 3545, 6, 1421362800, 0.25, NULL, NULL, NULL, NULL, 0),
(15887, 72, 3682, 4, 1421362800, 0.5, NULL, NULL, NULL, NULL, 0),
(15888, 72, 23792, 1, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(15889, 72, 23792, 1, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(15890, 72, 23792, 1, 1421190000, 1, NULL, NULL, NULL, NULL, 0),
(15891, 72, 23792, 1, 1421276400, 1, NULL, NULL, NULL, NULL, 0),
(15892, 72, 23792, 1, 1421362800, 0.5, NULL, NULL, NULL, NULL, 0),
(15893, 72, 23792, 1, 1420585200, 1, NULL, NULL, NULL, NULL, 0),
(15894, 72, 23792, 1, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(15895, 72, 23792, 1, 1420758000, 1, NULL, NULL, NULL, NULL, 0),
(15896, 134, 2, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(15922, 2, 2, 1, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(15923, 2, 2, 1, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(15924, 2, 2, 1, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(15925, 2, 2, 1, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(15926, 2, 2, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(15927, 2, 2, 1, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(15928, 2, 2, 1, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(15929, 2, 2, 1, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(15930, 2, 2, 1, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(15931, 2, 2, 1, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(15950, 93, 2131, 4, 1419202800, 0.25, NULL, NULL, NULL, NULL, 0),
(15951, 93, 2088, 1, 1421622000, 0.25, NULL, NULL, NULL, NULL, 0),
(15964, 73, 1, 1, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(15967, 116, 3687, 7, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(15968, 116, 3690, 7, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(15995, 2, 2, 1, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(15996, 2, 3683, 5, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(15997, 116, 3690, 7, 1421103600, 0.5, NULL, NULL, NULL, NULL, 0),
(15998, 116, 3687, 7, 1421103600, 0.5, NULL, NULL, NULL, NULL, 0),
(16003, 73, 3698, 7, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(16004, 73, 3698, 4, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(16005, 116, 3690, 4, 1419289200, 1, NULL, NULL, NULL, NULL, 0),
(16006, 116, 3690, 4, 1419375600, 1, NULL, NULL, NULL, NULL, 0),
(16007, 73, 3686, 4, 1421362800, 1, NULL, NULL, NULL, NULL, 0),
(16009, 73, 1436, 1, 1421276400, 0.5, NULL, NULL, NULL, NULL, 0),
(16010, 73, 3686, 4, 1421276400, 0.5, NULL, NULL, NULL, NULL, 0),
(16011, 73, 3546, 4, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(16033, 74, 3453, 2, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(16034, 74, 3453, 2, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(16035, 74, 3453, 2, 1421708400, 0.5, NULL, NULL, NULL, NULL, 0),
(16036, 74, 3454, 2, 1421362800, 0.25, NULL, NULL, NULL, NULL, 0),
(20279, 2, 3941, 17, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(20265, 93, 4259, 2, 1425855600, 0.2, NULL, NULL, NULL, NULL, 0),
(20264, 93, 4260, 2, 1425855600, 0.2, NULL, NULL, NULL, NULL, 0),
(17419, 72, 2, 1, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(20260, 93, 4255, 4, 1426114800, 0.6, NULL, NULL, NULL, NULL, 0),
(20370, 136, 4269, 4, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(20277, 116, 2, 1, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20276, 116, 2, 1, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20275, 116, 3688, 5, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20274, 116, 3690, 5, 1425942000, 1, NULL, NULL, NULL, NULL, 0),
(20273, 116, 3690, 5, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(16081, 139, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(16082, 139, 2, 1, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(16083, 139, 2, 1, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(16084, 139, 2, 1, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(16085, 139, 2, 1, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(16086, 139, 2, 1, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(16087, 139, 2, 1, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(16088, 139, 2, 1, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(16089, 139, 2, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(16090, 139, 2, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(16091, 139, 2, 1, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(16092, 139, 2, 1, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(16093, 139, 2, 1, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(16094, 139, 2, 1, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(16095, 139, 2, 1, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(16096, 139, 2, 1, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(16097, 139, 2, 1, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(16098, 139, 2, 1, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(16099, 139, 2, 1, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(16100, 139, 2, 1, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(21020, 93, 2, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(21019, 93, 2, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(21018, 93, 2, 1, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(21017, 93, 2, 1, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(21016, 93, 2, 1, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(16106, 93, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(16107, 93, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(16108, 93, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(16109, 93, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(16110, 93, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(16111, 93, 2, 1, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(16112, 93, 2, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(16113, 93, 2, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(16114, 93, 2, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(16115, 93, 2, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(16116, 73, 2, 1, 1425250800, 1, NULL, NULL, NULL, NULL, 0),
(16117, 73, 2, 1, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(16118, 73, 2, 1, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(16119, 73, 2, 1, 1425510000, 1, NULL, NULL, NULL, NULL, 0),
(16120, 73, 2, 1, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(16121, 73, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(16122, 73, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(16123, 73, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(16124, 73, 2, 1, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(16125, 73, 2, 1, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(16126, 73, 2, 1, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(16127, 73, 2, 1, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(16128, 73, 2, 1, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(16129, 73, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(16130, 73, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(16131, 73, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(16132, 73, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(16133, 73, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(16139, 136, 3544, 4, 1421794800, 0.5, NULL, NULL, NULL, NULL, 0),
(16140, 136, 3544, 5, 1421794800, 0.5, NULL, NULL, NULL, NULL, 0),
(16141, 136, 3544, 6, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(16143, 136, 3544, 4, 1421708400, 0.5, NULL, NULL, NULL, NULL, 0),
(16154, 134, 1, 1, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(16145, 134, 2, 1, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(16146, 134, 2, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(16147, 134, 2, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(16148, 134, 2, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(16149, 134, 2, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(16153, 134, 1, 1, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(16152, 136, 2, 1, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(20272, 116, 2, 1, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20271, 116, 2, 1, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20270, 2, 1435, 1, 1426201200, 0.5, NULL, NULL, NULL, NULL, 0),
(20269, 93, 4262, 2, 1426114800, 0.1, NULL, NULL, NULL, NULL, 0),
(20268, 93, 2088, 1, 1426114800, 0.1, NULL, NULL, NULL, NULL, 0),
(16163, 134, 1, 1, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(16164, 134, 1, 1, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(16165, 134, 1, 1, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(16166, 134, 1, 1, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(16167, 134, 1, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(16187, 136, 3544, 6, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(16188, 136, 3709, 6, 1421622000, 1, NULL, NULL, NULL, NULL, 0),
(16189, 136, 3709, 7, 1421708400, 0.5, NULL, NULL, NULL, NULL, 0),
(16190, 136, 3709, 5, 1421362800, 0.5, NULL, NULL, NULL, NULL, 0),
(16191, 136, 3709, 6, 1421362800, 0.5, NULL, NULL, NULL, NULL, 0),
(16192, 136, 3709, 4, 1421276400, 1, NULL, NULL, NULL, NULL, 0),
(16280, 2, 1435, 1, 1422226800, 0.5, NULL, NULL, NULL, NULL, 0),
(16281, 2, 3731, 7, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(17558, 128, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(16284, 93, 2088, 1, 1419202800, 0.25, NULL, NULL, NULL, NULL, 0),
(20374, 93, 3541, 4, 1422313200, 0.2, NULL, NULL, NULL, NULL, 0),
(16287, 93, 3545, 4, 1419289200, 1, NULL, NULL, NULL, NULL, 0),
(16288, 93, 3615, 4, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(16289, 93, 3615, 4, 1420412400, 1, NULL, NULL, NULL, NULL, 0),
(16290, 93, 3615, 4, 1420498800, 0.5, NULL, NULL, NULL, NULL, 0),
(16295, 93, 3084, 2, 1420498800, 0.5, NULL, NULL, NULL, NULL, 0),
(16292, 93, 23792, 1, 1420585200, 0.25, NULL, NULL, NULL, NULL, 0),
(16293, 93, 2088, 1, 1420585200, 0.25, NULL, NULL, NULL, NULL, 0),
(16294, 93, 3084, 2, 1420585200, 0.5, NULL, NULL, NULL, NULL, 0),
(16296, 93, 2088, 1, 1420671600, 0.2, NULL, NULL, NULL, NULL, 0),
(16297, 93, 3084, 2, 1420671600, 0.3, NULL, NULL, NULL, NULL, 0),
(16298, 93, 3546, 2, 1420671600, 0.5, NULL, NULL, NULL, NULL, 0),
(16302, 93, 1436, 1, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(16301, 93, 3708, 4, 1420758000, 0.5, NULL, NULL, NULL, NULL, 0),
(16305, 93, 3544, 4, 1421017200, 0.25, NULL, NULL, NULL, NULL, 0),
(16308, 116, 3736, 5, 1422226800, 0.5, NULL, NULL, NULL, NULL, 0),
(16309, 116, 3687, 7, 1422226800, 0.5, NULL, NULL, NULL, NULL, 0),
(16310, 116, 3687, 7, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(16311, 116, 3690, 7, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(16312, 116, 3687, 7, 1422313200, 0.5, NULL, NULL, NULL, NULL, 0),
(16325, 93, 3708, 4, 1421103600, 0.2, NULL, NULL, NULL, NULL, 0),
(16327, 93, 3544, 4, 1421103600, 0.6, NULL, NULL, NULL, NULL, 0),
(16339, 2, 3734, 5, 1422226800, 0.2, NULL, NULL, NULL, NULL, 0),
(16340, 2, 3734, 6, 1422226800, 0.3, NULL, NULL, NULL, NULL, 0),
(16341, 2, 3734, 6, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(22320, 136, 4267, 4, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(16401, 2, 3742, 5, 1422399600, 0.25, NULL, NULL, NULL, NULL, 0),
(16425, 2, 1435, 1, 1422399600, 0.2, NULL, NULL, NULL, NULL, 0),
(16426, 2, 1435, 1, 1422399600, 0.05, NULL, NULL, NULL, NULL, 0),
(16429, 2, 3563, 5, 1422399600, 0.5, NULL, NULL, NULL, NULL, 0),
(16759, 2, 3828, 4, 1422831600, 0.3, NULL, NULL, NULL, NULL, 0),
(16582, 2, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(16585, 74, 3453, 2, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(16586, 74, 2820, 4, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(16587, 74, 3698, 6, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(16588, 74, 3734, 6, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(16589, 74, 3453, 5, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(16590, 74, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(16592, 74, 3545, 6, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(16742, 2, 3548, 17, 1422831600, 0.5, NULL, NULL, NULL, NULL, 0),
(16684, 2, 3612, 5, 1422486000, 0.5, NULL, NULL, NULL, NULL, 0),
(16685, 2, 3548, 5, 1422486000, 0.5, NULL, NULL, NULL, NULL, 0),
(16743, 2, 1435, 1, 1422831600, 0.2, NULL, NULL, NULL, NULL, 0),
(16761, 72, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(16762, 72, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(16763, 72, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(16764, 72, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(16765, 72, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(16766, 72, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(16767, 72, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(16768, 72, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(16769, 72, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(16770, 72, 2, 1, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(16771, 72, 2, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(16772, 72, 2, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(16773, 72, 2, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(16774, 72, 2, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(16775, 2, 2, 1, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(16776, 2, 2, 1, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(16777, 2, 2, 1, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(16778, 2, 2, 1, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(16779, 2, 2, 1, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(16787, 2, 3828, 4, 1422918000, 0.5, NULL, NULL, NULL, NULL, 0),
(16793, 2, 3828, 4, 1422918000, 0.2, NULL, NULL, NULL, NULL, 0),
(16794, 2, 3548, 17, 1422918000, 0.3, NULL, NULL, NULL, NULL, 0),
(16831, 139, 1435, 1, 1421190000, 1, NULL, NULL, NULL, NULL, 0),
(16832, 139, 1435, 1, 1421276400, 1, NULL, NULL, NULL, NULL, 0),
(16833, 139, 1435, 1, 1421362800, 1, NULL, NULL, NULL, NULL, 0),
(16834, 139, 1435, 1, 1421622000, 1, NULL, NULL, NULL, NULL, 0),
(16835, 139, 1435, 1, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(16836, 139, 1435, 1, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(16837, 139, 1435, 1, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(16838, 139, 1435, 1, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(16839, 139, 1435, 1, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(16840, 139, 3738, 6, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(16841, 139, 3738, 6, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(16853, 139, 3738, 6, 1422486000, 0.5, NULL, NULL, NULL, NULL, 0),
(16844, 139, 3737, 6, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(16848, 139, 3737, 6, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(16850, 139, 3737, 6, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(16851, 139, 3737, 7, 1423004400, 0.5, NULL, NULL, NULL, NULL, 0),
(16852, 139, 3738, 7, 1423004400, 0.5, NULL, NULL, NULL, NULL, 0),
(16854, 139, 3824, 6, 1422486000, 0.5, NULL, NULL, NULL, NULL, 0),
(16877, 2, 3548, 17, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(16991, 93, 3708, 4, 1421794800, 0.1, NULL, NULL, NULL, NULL, 0),
(16993, 93, 3734, 2, 1421794800, 0.1, NULL, NULL, NULL, NULL, 0),
(16934, 134, 3453, 4, 1423090800, 0.5, NULL, NULL, NULL, NULL, 0),
(16935, 134, 3453, 5, 1423090800, 0.2, NULL, NULL, NULL, NULL, 0),
(16938, 134, 3453, 6, 1423090800, 0.3, NULL, NULL, NULL, NULL, 0),
(16937, 134, 3453, 6, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(16942, 2, 3548, 17, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(16943, 2, 3612, 17, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(16959, 93, 3543, 4, 1421103600, 0.2, NULL, NULL, NULL, NULL, 0),
(16960, 93, 3542, 4, 1421190000, 0.2, NULL, NULL, NULL, NULL, 0),
(16963, 93, 2088, 1, 1421190000, 0.2, NULL, NULL, NULL, NULL, 0),
(16966, 93, 3708, 4, 1421190000, 0.6, NULL, NULL, NULL, NULL, 0),
(16968, 93, 3686, 4, 1421276400, 0.2, NULL, NULL, NULL, NULL, 0),
(16969, 93, 3708, 4, 1421276400, 0.8, NULL, NULL, NULL, NULL, 0),
(16970, 93, 3708, 4, 1421362800, 1, NULL, NULL, NULL, NULL, 0),
(16972, 93, 3544, 4, 1421622000, 0.75, NULL, NULL, NULL, NULL, 0),
(16973, 93, 3544, 4, 1421708400, 0.5, NULL, NULL, NULL, NULL, 0),
(16974, 93, 2088, 1, 1421708400, 0.5, NULL, NULL, NULL, NULL, 0),
(16982, 93, 2088, 1, 1421794800, 0.1, NULL, NULL, NULL, NULL, 0),
(16988, 93, 3544, 4, 1421794800, 0.3, NULL, NULL, NULL, NULL, 0),
(16989, 93, 3735, 4, 1421794800, 0.3, NULL, NULL, NULL, NULL, 0),
(16994, 93, 3734, 4, 1421794800, 0.1, NULL, NULL, NULL, NULL, 0),
(16995, 93, 3544, 4, 1421881200, 0.25, NULL, NULL, NULL, NULL, 0),
(16996, 93, 3698, 2, 1421881200, 0.25, NULL, NULL, NULL, NULL, 0),
(16997, 93, 3735, 4, 1421881200, 0.5, NULL, NULL, NULL, NULL, 0),
(16998, 93, 3735, 4, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(16999, 93, 3735, 4, 1422226800, 0.5, NULL, NULL, NULL, NULL, 0),
(17001, 93, 23792, 1, 1422313200, 0.2, NULL, NULL, NULL, NULL, 0),
(17002, 93, 2088, 1, 1422399600, 0.25, NULL, NULL, NULL, NULL, 0),
(17003, 93, 2088, 1, 1422486000, 0.2, NULL, NULL, NULL, NULL, 0),
(17196, 93, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(17012, 136, 3819, 6, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17015, 136, 3819, 4, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(17014, 136, 2, 1, 1422918000, 0.5, NULL, NULL, NULL, NULL, 0),
(17016, 136, 3819, 4, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(17017, 136, 3819, 4, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(17018, 136, 3819, 5, 1423177200, 0.5, NULL, NULL, NULL, NULL, 0),
(17019, 136, 3819, 6, 1423177200, 0.5, NULL, NULL, NULL, NULL, 0),
(17020, 136, 3819, 4, 1422918000, 0.5, NULL, NULL, NULL, NULL, 0),
(17021, 73, 1, 1, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17022, 73, 3832, 6, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17197, 73, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(17024, 136, 3733, 4, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(17025, 136, 3733, 5, 1422313200, 0.5, NULL, NULL, NULL, NULL, 0),
(17026, 136, 3733, 4, 1422313200, 0.5, NULL, NULL, NULL, NULL, 0),
(17027, 136, 3733, 6, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(17059, 73, 3832, 6, 1423522800, 0.5, NULL, NULL, NULL, NULL, 0),
(17060, 73, 3832, 6, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(17061, 73, 3698, 6, 1423090800, 0.5, NULL, NULL, NULL, NULL, 0),
(17062, 73, 3698, 5, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(17063, 73, 3698, 7, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(17064, 2, 1435, 1, 1423522800, 0.5, NULL, NULL, NULL, NULL, 0),
(17065, 2, 1435, 1, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17084, 2, 1435, 1, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17085, 136, 3880, 4, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17086, 136, 3880, 4, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17087, 136, 3880, 4, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17088, 136, 3543, 4, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17089, 74, 1, 1, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17090, 74, 1, 1, 1423004400, 0.5, NULL, NULL, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(17091, 74, 3823, 6, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(17092, 74, 3823, 6, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(17093, 74, 3823, 6, 1423004400, 0.5, NULL, NULL, NULL, NULL, 0),
(17094, 74, 3823, 6, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(17095, 74, 3823, 6, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(17096, 74, 3823, 6, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17241, 74, 3737, 2, 1423522800, 0.5, NULL, NULL, NULL, NULL, 0),
(17098, 74, 3823, 6, 1423609200, 1, NULL, NULL, NULL, NULL, 0),
(17141, 2, 3887, 4, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17140, 2, 3887, 4, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17142, 139, 3738, 6, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(17143, 136, 3544, 5, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17144, 136, 3544, 6, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17145, 139, 3738, 6, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(17146, 139, 2, 1, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17147, 139, 3738, 6, 1423436400, 1, NULL, NULL, NULL, NULL, 0),
(17148, 139, 3737, 6, 1423609200, 1, NULL, NULL, NULL, NULL, 0),
(17149, 139, 3737, 6, 1423695600, 1, NULL, NULL, NULL, NULL, 0),
(17152, 73, 3888, 4, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17156, 73, 3889, 6, 1423522800, 0.5, NULL, NULL, NULL, NULL, 0),
(17158, 73, 3890, 6, 1423090800, 0.5, NULL, NULL, NULL, NULL, 0),
(17174, 114, 3825, 4, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17176, 114, 3826, 4, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17177, 114, 3826, 4, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17188, 114, 3895, 6, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(17181, 114, 3892, 4, 1423695600, 1, NULL, NULL, NULL, NULL, 0),
(17183, 114, 3732, 4, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(17184, 114, 3894, 4, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(17185, 114, 3732, 6, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(17187, 114, 3896, 4, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(17190, 114, 3892, 6, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17191, 114, 3891, 4, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17194, 114, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(17193, 114, 3733, 6, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(17198, 136, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(17199, 114, 1505, 1, 1422399600, 0.5, NULL, NULL, NULL, NULL, 0),
(17201, 114, 3733, 2, 1422399600, 0.5, NULL, NULL, NULL, NULL, 0),
(17202, 114, 3896, 4, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(17203, 72, 23792, 1, 1421622000, 1, NULL, NULL, NULL, NULL, 0),
(17204, 72, 23792, 1, 1421794800, 1, NULL, NULL, NULL, NULL, 0),
(17205, 72, 23792, 1, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(17206, 72, 23792, 1, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(17207, 72, 23792, 1, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(17208, 72, 23792, 1, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(17209, 72, 23792, 1, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(17210, 72, 23792, 1, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(17239, 72, 1437, 1, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(17212, 72, 23792, 1, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(17235, 72, 1, 1, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(17214, 72, 23792, 1, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(17215, 72, 23792, 1, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(17216, 72, 23792, 1, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(17217, 72, 23792, 1, 1423436400, 1, NULL, NULL, NULL, NULL, 0),
(17218, 72, 23792, 1, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17219, 72, 23792, 1, 1423609200, 1, NULL, NULL, NULL, NULL, 0),
(17220, 72, 23792, 1, 1423695600, 1, NULL, NULL, NULL, NULL, 0),
(17251, 134, 3907, 6, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17222, 114, 3732, 4, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(17233, 2, 3897, 18, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(17234, 2, 3897, 17, 1423522800, 0.5, NULL, NULL, NULL, NULL, 0),
(17236, 72, 2, 1, 1425250800, 1, NULL, NULL, NULL, NULL, 0),
(18274, 72, 23792, 1, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(17238, 74, 1435, 1, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17240, 74, 3737, 2, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17242, 74, 3823, 6, 1423522800, 0.5, NULL, NULL, NULL, NULL, 0),
(17243, 74, 2904, 2, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17244, 74, 3823, 6, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17247, 2, 23792, 1, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17250, 134, 3907, 6, 1423436400, 1, NULL, NULL, NULL, NULL, 0),
(17252, 72, 3615, 4, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17253, 72, 23792, 1, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17254, 134, 3909, 5, 1423609200, 0.8, NULL, NULL, NULL, NULL, 0),
(17481, 134, 1437, 1, 1423609200, 0.2, NULL, NULL, NULL, NULL, 0),
(17257, 134, 3909, 5, 1423695600, 1, NULL, NULL, NULL, NULL, 0),
(17262, 136, 3543, 5, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17263, 136, 2, 1, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17321, 140, 3916, 5, 1423782000, 1, NULL, NULL, NULL, NULL, 0),
(17322, 140, 2, 1, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(17323, 140, 2, 1, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(17324, 140, 2, 1, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(17325, 139, 3906, 6, 1423782000, 1, NULL, NULL, NULL, NULL, 0),
(20278, 116, 2, 1, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(20267, 93, 4259, 2, 1426114800, 0.1, NULL, NULL, NULL, NULL, 0),
(20266, 93, 4260, 2, 1426114800, 0.1, NULL, NULL, NULL, NULL, 0),
(20261, 93, 4255, 4, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(17420, 72, 2, 1, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(17421, 72, 2, 1, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(17422, 72, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(17423, 72, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(17424, 2, 2, 1, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(17425, 2, 2, 1, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(17426, 2, 2, 1, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(17427, 2, 2, 1, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(18372, 136, 4057, 4, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(17430, 74, 2, 1, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(17431, 74, 2, 1, 1428444000, 1, NULL, NULL, NULL, NULL, 0),
(17432, 74, 2, 1, 1428530400, 1, NULL, NULL, NULL, NULL, 0),
(17433, 74, 2, 1, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(17434, 74, 2, 1, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(17435, 74, 2, 1, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(17436, 74, 2, 1, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(17437, 74, 2, 1, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(17438, 74, 2, 1, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(17439, 74, 2, 1, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(17440, 74, 2, 1, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(17441, 74, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(17442, 74, 2, 1, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(17443, 74, 2, 1, 1431986400, 1, NULL, NULL, NULL, NULL, 0),
(17444, 74, 2, 1, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(17445, 74, 2, 1, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(17446, 74, 2, 1, 1432245600, 1, NULL, NULL, NULL, NULL, 0),
(23952, 74, 2, 1, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(17448, 74, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(17449, 74, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(17450, 74, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(17451, 74, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(17452, 74, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(17453, 74, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(17454, 74, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(17455, 74, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(17456, 74, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(17457, 74, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(17458, 74, 2, 1, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(17459, 74, 2, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(17460, 74, 2, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(17461, 74, 2, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(17462, 74, 2, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(17463, 72, 2, 1, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(17464, 140, 2, 1, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(17471, 140, 3926, 5, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(17470, 140, 3926, 5, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(17469, 140, 3926, 5, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(17468, 140, 3926, 5, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(17472, 140, 3926, 5, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(17473, 140, 3926, 5, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(17474, 140, 3926, 5, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(17475, 140, 3926, 5, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(17476, 140, 3926, 5, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(17477, 140, 3926, 5, 1423436400, 1, NULL, NULL, NULL, NULL, 0),
(17478, 140, 3926, 5, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17479, 140, 3926, 5, 1423609200, 1, NULL, NULL, NULL, NULL, 0),
(17480, 140, 3926, 5, 1423695600, 1, NULL, NULL, NULL, NULL, 0),
(17482, 134, 3909, 5, 1423782000, 1, NULL, NULL, NULL, NULL, 0),
(17483, 134, 3909, 5, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(17484, 116, 2, 1, 1423609200, 1, NULL, NULL, NULL, NULL, 0),
(17485, 116, 2, 1, 1423695600, 1, NULL, NULL, NULL, NULL, 0),
(17486, 116, 2, 1, 1423782000, 1, NULL, NULL, NULL, NULL, 0),
(17487, 116, 2, 1, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(17488, 116, 2, 1, 1423090800, 1, NULL, NULL, NULL, NULL, 0),
(17489, 116, 2, 1, 1423177200, 1, NULL, NULL, NULL, NULL, 0),
(17490, 116, 3545, 5, 1422313200, 0.5, NULL, NULL, NULL, NULL, 0),
(17491, 116, 3545, 6, 1424041200, 0.5, NULL, NULL, NULL, NULL, 0),
(17492, 116, 3907, 5, 1423436400, 1, NULL, NULL, NULL, NULL, 0),
(17493, 116, 3907, 5, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17520, 2, 1435, 1, 1424041200, 0.25, NULL, NULL, NULL, NULL, 0),
(17530, 2, 3940, 4, 1424041200, 0.75, NULL, NULL, NULL, NULL, 0),
(17522, 2, 3940, 4, 1423782000, 0.75, NULL, NULL, NULL, NULL, 0),
(17523, 2, 1435, 1, 1423782000, 0.25, NULL, NULL, NULL, NULL, 0),
(17527, 136, 3543, 6, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(17528, 136, 3543, 6, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(17529, 2, 1435, 1, 1424127600, 0.25, NULL, NULL, NULL, NULL, 0),
(17533, 140, 3916, 4, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(17534, 140, 3900, 4, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(17538, 2, 3897, 17, 1424127600, 0.75, NULL, NULL, NULL, NULL, 0),
(17542, 2, 3941, 17, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(17543, 2, 3941, 17, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(17544, 2, 1436, 1, 1421190000, 0.5, NULL, NULL, NULL, NULL, 0),
(17545, 128, 3562, 18, 1421622000, 1, NULL, NULL, NULL, NULL, 0),
(17546, 128, 3562, 18, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(17547, 128, 3562, 18, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(17548, 128, 3562, 18, 1423436400, 1, NULL, NULL, NULL, NULL, 0),
(17549, 128, 3562, 18, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(17550, 2, 3943, 17, 1421190000, 0.5, NULL, NULL, NULL, NULL, 0),
(17551, 2, 3943, 17, 1421103600, 0.5, NULL, NULL, NULL, NULL, 0),
(17552, 2, 3943, 17, 1421276400, 1, NULL, NULL, NULL, NULL, 0),
(17553, 2, 3943, 17, 1421362800, 1, NULL, NULL, NULL, NULL, 0),
(17554, 2, 3943, 17, 1421622000, 0.5, NULL, NULL, NULL, NULL, 0),
(17555, 128, 3710, 17, 1421190000, 0.5, NULL, NULL, NULL, NULL, 0),
(17556, 128, 3710, 17, 1421362800, 1, NULL, NULL, NULL, NULL, 0),
(17557, 128, 3710, 17, 1421276400, 1, NULL, NULL, NULL, NULL, 0),
(17560, 128, 3897, 18, 1424127600, 0.5, NULL, NULL, NULL, NULL, 0),
(17589, 116, 3690, 5, 1424041200, 0.5, NULL, NULL, NULL, NULL, 0),
(17578, 2, 1435, 1, 1419289200, 1, NULL, NULL, NULL, NULL, 0),
(17579, 2, 2089, 1, 1418857200, 0.2, NULL, NULL, NULL, NULL, 0),
(17580, 2, 3897, 17, 1424214000, 0.5, NULL, NULL, NULL, NULL, 0),
(17593, 116, 3687, 4, 1424127600, 0.4, NULL, NULL, NULL, NULL, 0),
(17591, 116, 3688, 4, 1424127600, 0.3, NULL, NULL, NULL, NULL, 0),
(17592, 116, 3689, 4, 1424127600, 0.3, NULL, NULL, NULL, NULL, 0),
(17594, 116, 3687, 4, 1422831600, 0.5, NULL, NULL, NULL, NULL, 0),
(17595, 116, 3689, 4, 1422831600, 0.5, NULL, NULL, NULL, NULL, 0),
(17597, 116, 3688, 4, 1422918000, 1, NULL, NULL, NULL, NULL, 0),
(17602, 139, 1435, 1, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(17603, 139, 3737, 6, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(17604, 139, 3737, 6, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(17618, 114, 3912, 6, 1423782000, 1, NULL, NULL, NULL, NULL, 0),
(17619, 114, 3911, 6, 1424041200, 0.5, NULL, NULL, NULL, NULL, 0),
(17620, 2, 1435, 1, 1424214000, 0.5, NULL, NULL, NULL, NULL, 0),
(17621, 114, 3916, 6, 1424041200, 0.5, NULL, NULL, NULL, NULL, 0),
(17622, 114, 3891, 6, 1424127600, 0.5, NULL, NULL, NULL, NULL, 0),
(17623, 114, 3916, 6, 1424127600, 0.5, NULL, NULL, NULL, NULL, 0),
(17624, 114, 3826, 6, 1424214000, 0.5, NULL, NULL, NULL, NULL, 0),
(17625, 114, 3826, 4, 1424214000, 0.5, NULL, NULL, NULL, NULL, 0),
(18002, 2, 3940, 4, 1424473200, 1, NULL, NULL, NULL, NULL, 0),
(34551, 93, 6154, 5, 1444341600, 1, 93, 1444835445, NULL, NULL, 0),
(34037, 93, 6190, 5, 1444255200, 1, 93, 1444388373, NULL, NULL, 0),
(17846, 128, 3967, 17, 1424300400, 0.25, NULL, NULL, NULL, NULL, 0),
(17847, 134, 3909, 6, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(17848, 134, 3909, 6, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(17849, 134, 3909, 6, 1424300400, 0.5, NULL, NULL, NULL, NULL, 0),
(17861, 74, 1, 1, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(17862, 114, 2, 1, 1424300400, 0.5, NULL, NULL, NULL, NULL, 0),
(17863, 2, 3897, 17, 1424300400, 0.5, NULL, NULL, NULL, NULL, 0),
(17864, 73, 3968, 4, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(17865, 73, 2089, 1, 1424127600, 0.5, NULL, NULL, NULL, NULL, 0),
(17866, 73, 3888, 7, 1424127600, 0.25, NULL, NULL, NULL, NULL, 0),
(17867, 73, 1505, 1, 1424127600, 0.25, NULL, NULL, NULL, NULL, 0),
(17868, 73, 3898, 6, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(17869, 73, 3898, 5, 1423782000, 1, NULL, NULL, NULL, NULL, 0),
(17870, 73, 3898, 4, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17871, 73, 3698, 4, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(17872, 73, 3698, 4, 1421881200, 1, NULL, NULL, NULL, NULL, 0),
(17873, 73, 3698, 5, 1421967600, 1, NULL, NULL, NULL, NULL, 0),
(17874, 73, 2089, 1, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(17875, 73, 3698, 7, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(17876, 128, 3941, 18, 1424300400, 0.5, NULL, NULL, NULL, NULL, 0),
(17877, 128, 2041, 1, 1424300400, 0.25, NULL, NULL, NULL, NULL, 0),
(17878, 128, 3941, 18, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(17879, 128, 3897, 17, 1424127600, 0.5, NULL, NULL, NULL, NULL, 0),
(17881, 128, 3943, 18, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(17885, 128, 3943, 17, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17883, 128, 3941, 17, 1423609200, 0.5, NULL, NULL, NULL, NULL, 0),
(17884, 128, 3897, 17, 1423695600, 0.5, NULL, NULL, NULL, NULL, 0),
(17886, 128, 1436, 1, 1423695600, 0.25, NULL, NULL, NULL, NULL, 0),
(17887, 128, 3943, 18, 1423695600, 0.25, NULL, NULL, NULL, NULL, 0),
(17888, 128, 2041, 1, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17889, 128, 3941, 18, 1423782000, 0.5, NULL, NULL, NULL, NULL, 0),
(17890, 128, 3562, 18, 1422918000, 0.5, NULL, NULL, NULL, NULL, 0),
(17891, 128, 3967, 17, 1422918000, 0.5, NULL, NULL, NULL, NULL, 0),
(17895, 128, 3943, 17, 1423004400, 1, NULL, NULL, NULL, NULL, 0),
(17896, 128, 3943, 18, 1423090800, 0.5, NULL, NULL, NULL, NULL, 0),
(17897, 128, 3943, 18, 1423090800, 0.5, NULL, NULL, NULL, NULL, 0),
(17898, 128, 3941, 18, 1423177200, 0.5, NULL, NULL, NULL, NULL, 0),
(17899, 128, 3562, 18, 1423177200, 0.5, NULL, NULL, NULL, NULL, 0),
(17900, 128, 3562, 18, 1422313200, 0.5, NULL, NULL, NULL, NULL, 0),
(17901, 128, 3967, 17, 1422313200, 0.5, NULL, NULL, NULL, NULL, 0),
(17902, 128, 3967, 17, 1422399600, 0.5, NULL, NULL, NULL, NULL, 0),
(17903, 128, 3943, 18, 1422399600, 0.5, NULL, NULL, NULL, NULL, 0),
(17904, 128, 3941, 18, 1422486000, 0.5, NULL, NULL, NULL, NULL, 0),
(17906, 128, 3967, 17, 1422486000, 0.5, NULL, NULL, NULL, NULL, 0),
(17914, 128, 3562, 18, 1421708400, 1, NULL, NULL, NULL, NULL, 0),
(17909, 72, 23792, 1, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(17910, 72, 23792, 1, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(17911, 72, 23792, 1, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(17912, 72, 23792, 1, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(17913, 72, 23792, 1, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(17915, 128, 3941, 18, 1421794800, 0.5, NULL, NULL, NULL, NULL, 0),
(17916, 128, 3941, 17, 1421794800, 0.5, NULL, NULL, NULL, NULL, 0),
(17917, 128, 3943, 17, 1421881200, 0.5, NULL, NULL, NULL, NULL, 0),
(17918, 128, 1436, 1, 1421881200, 0.25, NULL, NULL, NULL, NULL, 0),
(17919, 128, 3562, 18, 1421881200, 0.25, NULL, NULL, NULL, NULL, 0),
(17921, 128, 3943, 18, 1421967600, 0.5, NULL, NULL, NULL, NULL, 0),
(17922, 128, 3941, 18, 1421967600, 0.5, NULL, NULL, NULL, NULL, 0),
(17923, 128, 3460, 5, 1418943600, 0.5, NULL, NULL, NULL, NULL, 0),
(17924, 128, 1436, 1, 1418943600, 0.3, NULL, NULL, NULL, NULL, 0),
(17943, 128, 3941, 18, 1424386800, 0.5, NULL, NULL, NULL, NULL, 0),
(17977, 134, 3888, 5, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(17978, 134, 3888, 5, 1424300400, 0.5, NULL, NULL, NULL, NULL, 0),
(17999, 73, 3889, 4, 1424386800, 0.8, NULL, NULL, NULL, NULL, 0),
(18000, 73, 1505, 1, 1424386800, 0.2, NULL, NULL, NULL, NULL, 0),
(18001, 73, 3965, 1, 1424473200, 1, NULL, NULL, NULL, NULL, 0),
(18003, 2, 1435, 1, 1424386800, 0.5, NULL, NULL, NULL, NULL, 0),
(18550, 148, 4145, 4, 1425423600, 0.4, NULL, NULL, NULL, NULL, 0),
(18549, 148, 3893, 5, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18013, 74, 3823, 6, 1424041200, 1, NULL, NULL, NULL, NULL, 0),
(18014, 74, 3823, 6, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(18707, 74, 3942, 6, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18706, 74, 3942, 6, 1424473200, 1, NULL, NULL, NULL, NULL, 0),
(18705, 74, 3942, 6, 1424386800, 0.5, NULL, NULL, NULL, NULL, 0),
(18704, 74, 3942, 6, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(18019, 74, 3891, 4, 1424386800, 0.5, NULL, NULL, NULL, NULL, 0),
(18020, 93, 3819, 4, 1422831600, 1, NULL, NULL, NULL, NULL, 0),
(18021, 93, 3819, 4, 1422918000, 0.5, NULL, NULL, NULL, NULL, 0),
(18022, 93, 3708, 4, 1422918000, 0.1, NULL, NULL, NULL, NULL, 0),
(18069, 2, 3940, 4, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18092, 146, 1436, 1, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18098, 146, 1436, 1, 1424732400, 1, NULL, NULL, NULL, NULL, 0),
(18146, 148, 3914, 5, 1424732400, 0.25, NULL, NULL, NULL, NULL, 0),
(18147, 136, 3904, 4, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18148, 136, 3904, 4, 1424732400, 1, NULL, NULL, NULL, NULL, 0),
(18149, 136, 3904, 4, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(18150, 136, 3904, 4, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(18151, 136, 3904, 4, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(18152, 2, 3940, 4, 1424732400, 0.75, NULL, NULL, NULL, NULL, 0),
(18155, 2, 3897, 17, 1424732400, 0.25, NULL, NULL, NULL, NULL, 0),
(18156, 148, 4054, 5, 1424732400, 0.75, NULL, NULL, NULL, NULL, 0),
(18169, 139, 3737, 6, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(18170, 139, 3737, 6, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(18171, 139, 3737, 6, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18172, 139, 3737, 6, 1424732400, 1, NULL, NULL, NULL, NULL, 0),
(18173, 139, 3737, 18, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18174, 139, 1435, 1, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18175, 148, 3916, 5, 1424818800, 1, NULL, NULL, NULL, NULL, 0),
(18176, 93, 3907, 4, 1423004400, 0.4, NULL, NULL, NULL, NULL, 0),
(18177, 93, 3819, 4, 1423004400, 0.2, NULL, NULL, NULL, NULL, 0),
(18178, 93, 3819, 4, 1423090800, 0.1, NULL, NULL, NULL, NULL, 0),
(18179, 93, 3819, 4, 1423177200, 0.1, NULL, NULL, NULL, NULL, 0),
(18180, 93, 3907, 4, 1423004400, 0.2, NULL, NULL, NULL, NULL, 0),
(18181, 93, 3907, 4, 1423090800, 0.4, NULL, NULL, NULL, NULL, 0),
(18182, 73, 1506, 1, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18183, 73, 3969, 4, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18184, 134, 3888, 6, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18185, 134, 3888, 6, 1424732400, 1, NULL, NULL, NULL, NULL, 0),
(18186, 93, 3907, 4, 1423090800, 0.4, NULL, NULL, NULL, NULL, 0),
(18187, 134, 3888, 6, 1424818800, 0.8, NULL, NULL, NULL, NULL, 0),
(18188, 134, 3910, 5, 1424818800, 0.2, NULL, NULL, NULL, NULL, 0),
(18189, 93, 3909, 4, 1423090800, 0.1, NULL, NULL, NULL, NULL, 0),
(18190, 93, 3907, 4, 1423177200, 0.1, NULL, NULL, NULL, NULL, 0),
(18191, 93, 3907, 4, 1423177200, 0.3, NULL, NULL, NULL, NULL, 0),
(18193, 93, 3909, 4, 1423177200, 0.5, NULL, NULL, NULL, NULL, 0),
(18194, 93, 23792, 1, 1423436400, 0.3, NULL, NULL, NULL, NULL, 0),
(18195, 93, 3908, 4, 1423436400, 0.2, NULL, NULL, NULL, NULL, 0),
(18196, 93, 3909, 4, 1423436400, 0.5, NULL, NULL, NULL, NULL, 0),
(18197, 93, 3909, 4, 1423522800, 1, NULL, NULL, NULL, NULL, 0),
(18198, 93, 3880, 4, 1423609200, 0.2, NULL, NULL, NULL, NULL, 0),
(18199, 93, 3909, 4, 1423609200, 0.8, NULL, NULL, NULL, NULL, 0),
(18200, 93, 3892, 4, 1423695600, 0.1, NULL, NULL, NULL, NULL, 0),
(18201, 93, 3909, 4, 1423695600, 0.9, NULL, NULL, NULL, NULL, 0),
(18202, 93, 3909, 4, 1423782000, 1, NULL, NULL, NULL, NULL, 0),
(18203, 93, 3909, 4, 1424041200, 0.5, NULL, NULL, NULL, NULL, 0),
(18204, 93, 3915, 4, 1424041200, 0.25, NULL, NULL, NULL, NULL, 0),
(18205, 93, 3940, 4, 1424041200, 0.25, NULL, NULL, NULL, NULL, 0),
(18209, 93, 3909, 4, 1424127600, 1, NULL, NULL, NULL, NULL, 0),
(18210, 93, 3909, 4, 1424214000, 0.5, NULL, NULL, NULL, NULL, 0),
(18208, 93, 3915, 4, 1424214000, 0.5, NULL, NULL, NULL, NULL, 0),
(18211, 93, 3909, 4, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(18212, 93, 3904, 4, 1424386800, 0.2, NULL, NULL, NULL, NULL, 0),
(18213, 93, 3915, 4, 1424386800, 0.6, NULL, NULL, NULL, NULL, 0),
(18214, 93, 2088, 1, 1424386800, 0.2, NULL, NULL, NULL, NULL, 0),
(18216, 93, 3904, 2, 1424646000, 0.2, NULL, NULL, NULL, NULL, 0),
(18219, 140, 3914, 5, 1424646000, 0.75, NULL, NULL, NULL, NULL, 0),
(18218, 93, 3940, 2, 1424646000, 0.2, NULL, NULL, NULL, NULL, 0),
(18220, 93, 3915, 4, 1424646000, 0.6, NULL, NULL, NULL, NULL, 0),
(18221, 93, 3904, 2, 1424732400, 0.25, NULL, NULL, NULL, NULL, 0),
(18222, 93, 3915, 4, 1424732400, 0.75, NULL, NULL, NULL, NULL, 0),
(18223, 93, 3915, 4, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18224, 93, 3735, 4, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18225, 140, 3826, 5, 1424646000, 0.25, NULL, NULL, NULL, NULL, 0),
(18226, 140, 3826, 5, 1424732400, 1, NULL, NULL, NULL, NULL, 0),
(18228, 140, 3732, 4, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18229, 73, 3889, 7, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18230, 140, 3826, 5, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18234, 93, 4055, 2, 1422226800, 0.1, NULL, NULL, NULL, NULL, 0),
(18235, 93, 4055, 2, 1422313200, 0.6, NULL, NULL, NULL, NULL, 0),
(18237, 93, 3615, 4, 1422399600, 0.75, NULL, NULL, NULL, NULL, 0),
(18238, 93, 3615, 4, 1422486000, 0.8, NULL, NULL, NULL, NULL, 0),
(18239, 93, 3615, 4, 1423004400, 0.2, NULL, NULL, NULL, NULL, 0),
(18241, 93, 3907, 4, 1422918000, 0.4, NULL, NULL, NULL, NULL, 0),
(18244, 2, 3897, 17, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18245, 2, 3940, 4, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18715, 74, 3942, 6, 1425510000, 1, NULL, NULL, NULL, NULL, 0),
(18714, 74, 3942, 6, 1425423600, 0.5, NULL, NULL, NULL, NULL, 0),
(18711, 74, 3942, 6, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(18710, 74, 3942, 6, 1424905200, 0.5, NULL, NULL, NULL, NULL, 0),
(18250, 73, 3969, 4, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18251, 74, 3737, 5, 1424905200, 0.5, NULL, NULL, NULL, NULL, 0),
(18709, 74, 3942, 6, 1424818800, 1, NULL, NULL, NULL, NULL, 0),
(18253, 136, 3969, 4, 1424818800, 1, NULL, NULL, NULL, NULL, 0),
(18254, 136, 3970, 4, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18255, 93, 4056, 4, 1422226800, 0.4, NULL, NULL, NULL, NULL, 0),
(18263, 2, 3940, 4, 1424905200, 0.75, NULL, NULL, NULL, NULL, 0),
(18267, 2, 4058, 4, 1424300400, 0.5, NULL, NULL, NULL, NULL, 0),
(18268, 2, 4058, 5, 1424386800, 0.5, NULL, NULL, NULL, NULL, 0),
(18269, 72, 23792, 1, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18270, 72, 23792, 1, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18271, 72, 23792, 1, 1424818800, 1, NULL, NULL, NULL, NULL, 0),
(18272, 72, 23792, 1, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18273, 72, 23792, 1, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(18275, 72, 2, 1, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(18301, 134, 3888, 6, 1424905200, 0.2, NULL, NULL, NULL, NULL, 0),
(18302, 134, 3910, 5, 1424905200, 0.8, NULL, NULL, NULL, NULL, 0),
(18305, 139, 1435, 1, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18306, 139, 1435, 1, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(18313, 114, 3916, 5, 1424300400, 0.5, NULL, NULL, NULL, NULL, 0),
(18314, 114, 3891, 4, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(18315, 114, 3732, 4, 1424646000, 0.5, NULL, NULL, NULL, NULL, 0),
(18316, 114, 3732, 6, 1424646000, 0.5, NULL, NULL, NULL, NULL, 0),
(18317, 114, 4054, 6, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18318, 114, 3826, 6, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18319, 114, 3916, 6, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18320, 114, 3916, 18, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18321, 114, 3895, 4, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18322, 114, 3895, 6, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(18327, 148, 3891, 5, 1424991600, 0.25, NULL, NULL, NULL, NULL, 0),
(18326, 148, 4060, 5, 1424991600, 0.75, NULL, NULL, NULL, NULL, 0),
(18328, 148, 3916, 5, 1424905200, 0.5, NULL, NULL, NULL, NULL, 0),
(18329, 148, 3916, 17, 1424905200, 0.5, NULL, NULL, NULL, NULL, 0),
(18330, 140, 3826, 4, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18331, 140, 3916, 4, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(18332, 2, 3940, 4, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(18373, 136, 4057, 4, 1425250800, 1, NULL, NULL, NULL, NULL, 0),
(18487, 134, 3910, 5, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18489, 134, 3910, 6, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18506, 148, 4054, 5, 1425250800, 0.2, NULL, NULL, NULL, NULL, 0),
(18498, 134, 4059, 6, 1425250800, 0.4, NULL, NULL, NULL, NULL, 0),
(18497, 134, 4059, 5, 1425250800, 0.4, NULL, NULL, NULL, NULL, 0),
(18801, 134, 4142, 5, 1425423600, 0.8, NULL, NULL, NULL, NULL, 0),
(18799, 134, 3910, 5, 1425337200, 0.2, NULL, NULL, NULL, NULL, 0),
(18800, 134, 3910, 18, 1425423600, 0.2, NULL, NULL, NULL, NULL, 0),
(18505, 148, 3893, 6, 1425250800, 0.3, NULL, NULL, NULL, NULL, 0),
(18713, 74, 3942, 6, 1425250800, 0.25, NULL, NULL, NULL, NULL, 0),
(18545, 74, 3940, 4, 1425250800, 0.75, NULL, NULL, NULL, NULL, 0),
(18546, 74, 3940, 5, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18547, 74, 3940, 6, 1425423600, 0.5, NULL, NULL, NULL, NULL, 0),
(18548, 148, 4141, 5, 1425250800, 0.5, NULL, NULL, NULL, NULL, 0),
(18552, 72, 2, 1, 1427065200, 0.5, NULL, NULL, NULL, NULL, 0),
(18553, 72, 23792, 1, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18554, 72, 23792, 1, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(18555, 72, 23792, 1, 1425510000, 1, NULL, NULL, NULL, NULL, 0),
(18556, 72, 23792, 1, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18558, 149, 4148, 5, 1422226800, 1, NULL, NULL, NULL, NULL, 0),
(18559, 149, 4148, 5, 1422313200, 1, NULL, NULL, NULL, NULL, 0),
(18560, 149, 4148, 5, 1422399600, 1, NULL, NULL, NULL, NULL, 0),
(18561, 149, 4148, 5, 1422486000, 1, NULL, NULL, NULL, NULL, 0),
(18562, 149, 4148, 5, 1422572400, 1, NULL, NULL, NULL, NULL, 0),
(18563, 148, 4146, 5, 1425423600, 0.6, NULL, NULL, NULL, NULL, 0),
(18580, 136, 4057, 6, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18581, 136, 4057, 6, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(18582, 136, 4057, 7, 1425510000, 0.5, NULL, NULL, NULL, NULL, 0),
(18595, 148, 4146, 6, 1425510000, 0.4, NULL, NULL, NULL, NULL, 0),
(18596, 148, 4147, 5, 1425510000, 0.6, NULL, NULL, NULL, NULL, 0),
(18605, 146, 1436, 1, 1424818800, 1, NULL, NULL, NULL, NULL, 0),
(18606, 146, 1436, 1, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18607, 146, 1436, 1, 1424991600, 1, NULL, NULL, NULL, NULL, 0),
(18608, 146, 1436, 1, 1425510000, 1, NULL, NULL, NULL, NULL, 0),
(18609, 146, 1436, 1, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(18610, 146, 1436, 1, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18611, 146, 1436, 1, 1425250800, 1, NULL, NULL, NULL, NULL, 0),
(18668, 136, 4151, 4, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18669, 136, 4151, 4, 1425510000, 0.5, NULL, NULL, NULL, NULL, 0),
(18683, 140, 3900, 4, 1425250800, 0.5, NULL, NULL, NULL, NULL, 0),
(18684, 140, 3900, 5, 1425250800, 0.5, NULL, NULL, NULL, NULL, 0),
(18685, 140, 3732, 4, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18686, 140, 3732, 4, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(18688, 140, 3732, 4, 1425510000, 0.5, NULL, NULL, NULL, NULL, 0),
(18689, 140, 3732, 4, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18690, 140, 4151, 4, 1425510000, 0.5, NULL, NULL, NULL, NULL, 0),
(18700, 146, 1436, 1, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18702, 74, 3942, 6, 1425682800, 1, NULL, NULL, NULL, NULL, 0),
(18703, 74, 3942, 6, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(18708, 74, 3942, 6, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18716, 74, 3942, 6, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(20791, 74, 3942, 6, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(18718, 74, 1, 1, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(18719, 74, 2, 1, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(18720, 74, 2, 1, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(18721, 128, 3562, 18, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18722, 128, 3941, 17, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18723, 128, 3943, 17, 1424732400, 0.5, NULL, NULL, NULL, NULL, 0),
(18724, 128, 3943, 17, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18725, 128, 3941, 18, 1424818800, 0.5, NULL, NULL, NULL, NULL, 0),
(18726, 128, 3941, 18, 1424905200, 0.5, NULL, NULL, NULL, NULL, 0),
(18727, 128, 3941, 17, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18728, 128, 3941, 17, 1424905200, 0.5, NULL, NULL, NULL, NULL, 0),
(18729, 128, 3941, 18, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18733, 128, 3943, 18, 1425250800, 0.5, NULL, NULL, NULL, NULL, 0),
(18732, 128, 3941, 18, 1425250800, 0.5, NULL, NULL, NULL, NULL, 0),
(18734, 128, 3562, 18, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18736, 128, 3941, 18, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(18737, 128, 3941, 18, 1425510000, 1, NULL, NULL, NULL, NULL, 0),
(18738, 2, 3941, 17, 1424905200, 0.25, NULL, NULL, NULL, NULL, 0),
(18739, 128, 3943, 18, 1425596400, 0.5, NULL, NULL, NULL, NULL, 0),
(18740, 128, 3941, 17, 1425596400, 0.5, NULL, NULL, NULL, NULL, 0),
(18741, 128, 3941, 17, 1424386800, 0.5, NULL, NULL, NULL, NULL, 0),
(18742, 114, 3893, 6, 1425250800, 0.5, NULL, NULL, NULL, NULL, 0),
(18743, 114, 3893, 4, 1425250800, 0.5, NULL, NULL, NULL, NULL, 0),
(18744, 114, 4141, 6, 1425337200, 1, NULL, NULL, NULL, NULL, 0),
(18745, 114, 4141, 18, 1425423600, 0.5, NULL, NULL, NULL, NULL, 0),
(18746, 114, 3732, 6, 1425423600, 0.5, NULL, NULL, NULL, NULL, 0),
(18773, 114, 4147, 6, 1425510000, 0.5, NULL, NULL, NULL, NULL, 0),
(18774, 114, 3893, 4, 1425510000, 0.5, NULL, NULL, NULL, NULL, 0),
(18775, 114, 4159, 6, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18798, 134, 3910, 5, 1425250800, 0.2, NULL, NULL, NULL, NULL, 0),
(18797, 134, 4059, 6, 1425337200, 0.8, NULL, NULL, NULL, NULL, 0),
(18802, 134, 4142, 5, 1425510000, 0.5, NULL, NULL, NULL, NULL, 0),
(18803, 134, 4142, 5, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18804, 116, 2, 1, 1425423600, 1, NULL, NULL, NULL, NULL, 0),
(18805, 116, 2, 1, 1425510000, 1, NULL, NULL, NULL, NULL, 0),
(18806, 116, 2, 1, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18807, 116, 2, 1, 1424646000, 1, NULL, NULL, NULL, NULL, 0),
(18808, 116, 2, 1, 1424732400, 1, NULL, NULL, NULL, NULL, 0),
(18809, 116, 2, 1, 1424818800, 1, NULL, NULL, NULL, NULL, 0),
(18810, 116, 2, 1, 1424300400, 1, NULL, NULL, NULL, NULL, 0),
(18811, 116, 2, 1, 1424386800, 1, NULL, NULL, NULL, NULL, 0),
(18812, 116, 3690, 5, 1424905200, 1, NULL, NULL, NULL, NULL, 0),
(18813, 116, 3690, 5, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18814, 116, 3687, 7, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18815, 116, 3690, 5, 1424214000, 1, NULL, NULL, NULL, NULL, 0),
(18816, 116, 3688, 5, 1425250800, 1, NULL, NULL, NULL, NULL, 0),
(18818, 148, 4145, 5, 1425596400, 1, NULL, NULL, NULL, NULL, 0),
(18819, 134, 4144, 5, 1425510000, 0.2, NULL, NULL, NULL, NULL, 0),
(18820, 134, 4144, 6, 1425510000, 0.3, NULL, NULL, NULL, NULL, 0),
(18821, 116, 3688, 5, 1425337200, 0.5, NULL, NULL, NULL, NULL, 0),
(18827, 93, 2088, 1, 1424905200, 0.2, NULL, NULL, NULL, NULL, 0),
(18828, 93, 3970, 2, 1424905200, 0.2, NULL, NULL, NULL, NULL, 0),
(18829, 93, 3915, 4, 1424905200, 0.6, NULL, NULL, NULL, NULL, 0),
(18830, 93, 4059, 4, 1424991600, 0.4, NULL, NULL, NULL, NULL, 0),
(18831, 93, 2088, 1, 1424991600, 0.3, NULL, NULL, NULL, NULL, 0),
(18832, 93, 3915, 4, 1424991600, 0.3, NULL, NULL, NULL, NULL, 0),
(18834, 93, 3915, 4, 1425250800, 0.25, NULL, NULL, NULL, NULL, 0),
(18835, 93, 4059, 4, 1425250800, 0.75, NULL, NULL, NULL, NULL, 0),
(18836, 93, 2088, 1, 1425337200, 0.25, NULL, NULL, NULL, NULL, 0),
(18837, 93, 4144, 4, 1425337200, 0.5, NULL, NULL, NULL, NULL, 0),
(18838, 93, 4057, 2, 1425337200, 0.25, NULL, NULL, NULL, NULL, 0),
(18839, 93, 4144, 4, 1425423600, 0.5, NULL, NULL, NULL, NULL, 0),
(18840, 93, 4142, 2, 1425423600, 0.25, NULL, NULL, NULL, NULL, 0),
(18842, 93, 4057, 2, 1425423600, 0.25, NULL, NULL, NULL, NULL, 0),
(18843, 93, 2088, 1, 1425510000, 0.1, NULL, NULL, NULL, NULL, 0),
(18844, 93, 4144, 4, 1425510000, 0.7, NULL, NULL, NULL, NULL, 0),
(18845, 93, 4151, 2, 1425510000, 0.2, NULL, NULL, NULL, NULL, 0),
(18846, 93, 4151, 2, 1425596400, 0.3, NULL, NULL, NULL, NULL, 0),
(18847, 93, 3615, 4, 1425596400, 0.1, NULL, NULL, NULL, NULL, 0),
(18848, 93, 4152, 4, 1425596400, 0.6, NULL, NULL, NULL, NULL, 0),
(18849, 93, 2, 1, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(18850, 93, 2, 1, 1426633200, 0.5, NULL, NULL, NULL, NULL, 0),
(18851, 93, 2, 1, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(18862, 136, 4151, 6, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(18915, 2, 3897, 17, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(18916, 2, 3562, 2, 1425855600, 0.5, NULL, NULL, NULL, NULL, 0),
(18917, 2, 3897, 18, 1425855600, 0.2, NULL, NULL, NULL, NULL, 0),
(18918, 2, 4208, 5, 1425855600, 0.3, NULL, NULL, NULL, NULL, 0),
(18920, 73, 4209, 4, 1425942000, 1, NULL, NULL, NULL, NULL, 0),
(18921, 73, 4151, 2, 1425855600, 0.4, NULL, NULL, NULL, NULL, 0),
(18922, 73, 3687, 2, 1425855600, 0.3, NULL, NULL, NULL, NULL, 0),
(18923, 73, 4210, 2, 1425855600, 0.3, NULL, NULL, NULL, NULL, 0),
(18924, 73, 3969, 2, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18925, 73, 4057, 2, 1424991600, 0.5, NULL, NULL, NULL, NULL, 0),
(18990, 134, 4142, 5, 1425855600, 0.5, NULL, NULL, NULL, NULL, 0),
(18991, 134, 4142, 18, 1425855600, 0.1, NULL, NULL, NULL, NULL, 0),
(19018, 117, 3465, 5, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(19067, 136, 4151, 7, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(19098, 72, 1, 1, 1426460400, 0.5, NULL, NULL, NULL, NULL, 0),
(19099, 72, 2, 1, 1427065200, 0.5, NULL, NULL, NULL, NULL, 0),
(19100, 128, 1400, 1, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(19101, 128, 1400, 1, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(19102, 128, 1400, 1, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(19135, 73, 1, 1, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(19136, 73, 1, 1, 1426460400, 0.5, NULL, NULL, NULL, NULL, 0),
(20373, 73, 1, 1, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(19146, 134, 4244, 5, 1425855600, 0.2, NULL, NULL, NULL, NULL, 0),
(19148, 134, 4244, 6, 1425855600, 0.2, NULL, NULL, NULL, NULL, 0),
(19150, 134, 4244, 6, 1425942000, 0.2, NULL, NULL, NULL, NULL, 0),
(19153, 134, 4246, 5, 1425942000, 0.2, NULL, NULL, NULL, NULL, 0),
(19155, 134, 4246, 6, 1425942000, 0.6, NULL, NULL, NULL, NULL, 0),
(19158, 134, 4245, 5, 1426028400, 0.3, NULL, NULL, NULL, NULL, 0),
(19170, 134, 4245, 6, 1426028400, 0.5, NULL, NULL, NULL, NULL, 0),
(19164, 134, 1505, 1, 1426028400, 0.1, NULL, NULL, NULL, NULL, 0),
(19171, 134, 3910, 5, 1426028400, 0.1, NULL, NULL, NULL, NULL, 0),
(19219, 73, 4209, 7, 1426114800, 0.25, NULL, NULL, NULL, NULL, 0),
(20253, 93, 4244, 4, 1425855600, 0.5, NULL, NULL, NULL, NULL, 0),
(20254, 93, 4244, 4, 1425942000, 0.2, NULL, NULL, NULL, NULL, 0),
(20255, 93, 4245, 4, 1425942000, 0.4, NULL, NULL, NULL, NULL, 0),
(20256, 93, 4246, 4, 1425942000, 0.4, NULL, NULL, NULL, NULL, 0),
(20258, 93, 2088, 1, 1425855600, 0.1, NULL, NULL, NULL, NULL, 0),
(20280, 2, 3941, 17, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20281, 2, 3941, 17, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20282, 2, 3941, 17, 1426201200, 0.5, NULL, NULL, NULL, NULL, 0),
(20284, 72, 23792, 1, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(20285, 72, 23792, 1, 1425942000, 1, NULL, NULL, NULL, NULL, 0),
(20286, 72, 23792, 1, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20287, 72, 23792, 1, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20296, 147, 4286, 4, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(20297, 2, 1435, 1, 1426460400, 0.25, NULL, NULL, NULL, NULL, 0),
(20298, 2, 3941, 17, 1426460400, 0.75, NULL, NULL, NULL, NULL, 0),
(20292, 147, 1436, 1, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20293, 147, 1436, 1, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20294, 147, 1436, 1, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20302, 134, 4266, 4, 1426114800, 0.5, NULL, NULL, NULL, NULL, 0),
(20303, 134, 4266, 4, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20304, 134, 4255, 4, 1426114800, 0.5, NULL, NULL, NULL, NULL, 0),
(20305, 134, 4266, 4, 1426460400, 0.8, NULL, NULL, NULL, NULL, 0),
(20306, 134, 3454, 6, 1426460400, 0.2, NULL, NULL, NULL, NULL, 0),
(20331, 74, 1, 1, 1426460400, 0.5, NULL, NULL, NULL, NULL, 0),
(20333, 74, 3942, 6, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(20334, 74, 3942, 6, 1425942000, 1, NULL, NULL, NULL, NULL, 0),
(20335, 74, 3942, 6, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20337, 74, 3942, 6, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20338, 74, 3942, 6, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20340, 114, 4147, 6, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20341, 114, 4147, 5, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20342, 114, 4147, 4, 1426028400, 0.5, NULL, NULL, NULL, NULL, 0),
(20343, 114, 3893, 6, 1426028400, 0.5, NULL, NULL, NULL, NULL, 0),
(20344, 114, 3893, 4, 1425942000, 1, NULL, NULL, NULL, NULL, 0),
(20345, 114, 4060, 4, 1425855600, 0.5, NULL, NULL, NULL, NULL, 0),
(20346, 114, 3893, 4, 1425855600, 0.5, NULL, NULL, NULL, NULL, 0),
(20347, 73, 4265, 7, 1426460400, 0.5, NULL, NULL, NULL, NULL, 0),
(20354, 146, 4273, 4, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(20355, 146, 4273, 4, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(20356, 146, 2, 1, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(20357, 146, 4273, 4, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20358, 146, 4273, 4, 1426114800, 0.5, NULL, NULL, NULL, NULL, 0),
(20360, 146, 3624, 5, 1426114800, 0.5, NULL, NULL, NULL, NULL, 0),
(20361, 146, 3624, 5, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20362, 146, 3624, 5, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(20364, 146, 3624, 5, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(20365, 2, 23792, 1, 1426546800, 0.25, NULL, NULL, NULL, NULL, 0),
(20367, 2, 3967, 17, 1426546800, 0.75, NULL, NULL, NULL, NULL, 0),
(20368, 136, 4151, 6, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20369, 136, 4267, 4, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20371, 136, 4263, 4, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(20372, 147, 4286, 4, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(20375, 73, 1505, 1, 1426546800, 0.1, NULL, NULL, NULL, NULL, 0),
(20720, 146, 4281, 4, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(20377, 73, 4265, 4, 1426201200, 0.5, NULL, NULL, NULL, NULL, 0),
(20378, 73, 4265, 4, 1426114800, 0.5, NULL, NULL, NULL, NULL, 0),
(20379, 73, 1506, 1, 1426201200, 0.5, NULL, NULL, NULL, NULL, 0),
(20380, 73, 1505, 1, 1426028400, 0.2, NULL, NULL, NULL, NULL, 0),
(20389, 136, 4336, 4, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(20390, 136, 4336, 4, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20391, 148, 4312, 5, 1425855600, 1, NULL, NULL, NULL, NULL, 0),
(20392, 148, 4312, 5, 1425942000, 1, NULL, NULL, NULL, NULL, 0),
(20393, 148, 3911, 5, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20395, 148, 4147, 5, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20396, 148, 4147, 5, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20397, 148, 4311, 5, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(20398, 148, 3911, 5, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(20399, 148, 4311, 5, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20400, 116, 2, 1, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(20401, 116, 2, 1, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(20402, 116, 2, 1, 1427839200, 1, NULL, NULL, NULL, NULL, 0),
(20403, 116, 2, 1, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(20404, 116, 2, 1, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(20405, 116, 2, 1, 1428530400, 1, NULL, NULL, NULL, NULL, 0),
(20406, 116, 2, 1, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(20407, 116, 2, 1, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(20408, 116, 2, 1, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(20409, 116, 2, 1, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(20410, 116, 2, 1, 1429740000, 1, NULL, NULL, NULL, NULL, 0),
(20411, 116, 2, 1, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(20412, 116, 2, 1, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(20413, 116, 2, 1, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(20414, 116, 2, 1, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(20415, 116, 2, 1, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(20416, 116, 2, 1, 1432245600, 1, NULL, NULL, NULL, NULL, 0),
(20417, 116, 2, 1, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(20418, 116, 2, 1, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(20419, 116, 2, 1, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(20420, 116, 2, 1, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(20421, 117, 2, 1, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(20422, 109, 1041, 1, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20423, 109, 1041, 1, 1426114800, 1, NULL, NULL, NULL, NULL, 0),
(20424, 109, 1041, 1, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(20432, 93, 2088, 1, 1426460400, 0.2, NULL, NULL, NULL, NULL, 0),
(20433, 93, 4260, 4, 1426460400, 0.2, NULL, NULL, NULL, NULL, 0),
(20436, 93, 4259, 4, 1426460400, 0.3, NULL, NULL, NULL, NULL, 0),
(20435, 93, 4255, 4, 1426460400, 0.3, NULL, NULL, NULL, NULL, 0),
(20437, 93, 4260, 4, 1426546800, 0.3, NULL, NULL, NULL, NULL, 0),
(20548, 93, 3541, 2, 1426719600, 0.1, NULL, NULL, NULL, NULL, 0),
(20439, 93, 4264, 2, 1426546800, 0.5, NULL, NULL, NULL, NULL, 0),
(20440, 93, 2088, 1, 1426546800, 0.2, NULL, NULL, NULL, NULL, 0),
(20442, 134, 3335, 5, 1426546800, 0.3, NULL, NULL, NULL, NULL, 0),
(20443, 134, 3335, 6, 1426546800, 0.7, NULL, NULL, NULL, NULL, 0),
(20444, 134, 3335, 6, 1426633200, 0.5, NULL, NULL, NULL, NULL, 0),
(20445, 134, 3335, 5, 1426633200, 0.5, NULL, NULL, NULL, NULL, 0),
(20546, 93, 3541, 2, 1426633200, 0.1, NULL, NULL, NULL, NULL, 0),
(20447, 93, 2088, 1, 1426633200, 0.2, NULL, NULL, NULL, NULL, 0),
(20449, 136, 4263, 4, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20450, 147, 4329, 4, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20471, 114, 3460, 4, 1420153200, 1, NULL, NULL, NULL, NULL, 0),
(20472, 114, 3460, 4, 1420412400, 1, NULL, NULL, NULL, NULL, 0),
(20473, 114, 3460, 5, 1420498800, 1, NULL, NULL, NULL, NULL, 0),
(20474, 114, 3460, 6, 1420585200, 0.5, NULL, NULL, NULL, NULL, 0),
(20475, 114, 3460, 7, 1420585200, 0.5, NULL, NULL, NULL, NULL, 0),
(20476, 114, 1864, 4, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(20477, 114, 1864, 5, 1420758000, 1, NULL, NULL, NULL, NULL, 0),
(20478, 114, 1864, 6, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(20479, 136, 1436, 1, 1420498800, 1, NULL, NULL, NULL, NULL, 0),
(20480, 136, 1436, 1, 1420585200, 1, NULL, NULL, NULL, NULL, 0),
(20481, 136, 1436, 1, 1420671600, 1, NULL, NULL, NULL, NULL, 0),
(20482, 136, 1436, 1, 1420758000, 1, NULL, NULL, NULL, NULL, 0),
(20483, 136, 1436, 1, 1421017200, 1, NULL, NULL, NULL, NULL, 0),
(20484, 136, 1436, 1, 1421103600, 1, NULL, NULL, NULL, NULL, 0),
(20485, 136, 1436, 1, 1421190000, 1, NULL, NULL, NULL, NULL, 0),
(20486, 2, 3967, 17, 1426633200, 0.75, NULL, NULL, NULL, NULL, 0),
(20487, 2, 23792, 1, 1426633200, 0.25, NULL, NULL, NULL, NULL, 0),
(20610, 93, 2088, 1, 1426719600, 0.1, NULL, NULL, NULL, NULL, 0),
(20606, 147, 4329, 7, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20550, 93, 4263, 2, 1426719600, 0.1, NULL, NULL, NULL, NULL, 0),
(20605, 147, 4329, 5, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(20565, 2, 2, 1, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(20566, 74, 1, 1, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(20574, 148, 4311, 6, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20604, 93, 4263, 2, 1426633200, 0.2, NULL, NULL, NULL, NULL, 0),
(20607, 2, 23792, 1, 1426719600, 0.5, NULL, NULL, NULL, NULL, 0),
(20608, 93, 4282, 2, 1426719600, 0.1, NULL, NULL, NULL, NULL, 0),
(20617, 148, 4344, 5, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(20770, 93, 4347, 2, 1426719600, 0.2, NULL, NULL, NULL, NULL, 0),
(20769, 93, 4347, 4, 1426719600, 0.3, NULL, NULL, NULL, NULL, 0),
(20767, 93, 4329, 2, 1426719600, 0.1, NULL, NULL, NULL, NULL, 0),
(20619, 128, 3943, 18, 1425855600, 0.5, NULL, NULL, NULL, NULL, 0),
(20620, 128, 3941, 18, 1425855600, 0.5, NULL, NULL, NULL, NULL, 0),
(20621, 128, 3562, 18, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(20622, 128, 3941, 18, 1425942000, 0.5, NULL, NULL, NULL, NULL, 0),
(20623, 128, 3941, 18, 1426028400, 1, NULL, NULL, NULL, NULL, 0),
(20624, 128, 3941, 18, 1426114800, 0.5, NULL, NULL, NULL, NULL, 0),
(20625, 128, 3562, 18, 1426114800, 0.5, NULL, NULL, NULL, NULL, 0),
(20626, 128, 3562, 18, 1426201200, 0.5, NULL, NULL, NULL, NULL, 0),
(20627, 128, 3941, 18, 1426201200, 0.5, NULL, NULL, NULL, NULL, 0),
(20630, 128, 3562, 18, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20631, 128, 3941, 18, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20632, 93, 2088, 1, 1426806000, 0.2, NULL, NULL, NULL, NULL, 0),
(20634, 128, 4348, 18, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20676, 136, 4263, 4, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20695, 134, 4266, 6, 1426719600, 0.8, NULL, NULL, NULL, NULL, 0),
(20696, 134, 4347, 6, 1426719600, 0.2, NULL, NULL, NULL, NULL, 0),
(20697, 134, 4347, 6, 1426806000, 0.2, NULL, NULL, NULL, NULL, 0),
(20698, 134, 4346, 6, 1426806000, 0.6, NULL, NULL, NULL, NULL, 0),
(20699, 134, 3335, 5, 1426806000, 0.2, NULL, NULL, NULL, NULL, 0),
(20706, 146, 3624, 5, 1426633200, 0.5, NULL, NULL, NULL, NULL, 0),
(20707, 146, 4282, 4, 1426633200, 0.5, NULL, NULL, NULL, NULL, 0),
(20717, 146, 4281, 4, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20714, 73, 4306, 7, 1426806000, 0.25, NULL, NULL, NULL, NULL, 0),
(20719, 73, 1505, 1, 1426719600, 0.1, NULL, NULL, NULL, NULL, 0),
(20721, 73, 4313, 4, 1426546800, 0.9, NULL, NULL, NULL, NULL, 0),
(20722, 73, 4313, 4, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20723, 73, 3902, 4, 1426719600, 0.9, NULL, NULL, NULL, NULL, 0),
(20728, 73, 4306, 4, 1426114800, 0.25, NULL, NULL, NULL, NULL, 0),
(20733, 136, 4263, 4, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(20734, 93, 4346, 2, 1426806000, 0.25, NULL, NULL, NULL, NULL, 0),
(20731, 93, 4263, 2, 1426806000, 0.25, NULL, NULL, NULL, NULL, 0),
(20732, 93, 1505, 1, 1426806000, 0.2, NULL, NULL, NULL, NULL, 0),
(20735, 93, 4259, 4, 1426806000, 0.1, NULL, NULL, NULL, NULL, 0),
(20737, 116, 3690, 5, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(20738, 116, 3688, 5, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(20780, 93, 4329, 2, 1427065200, 0.2, NULL, NULL, NULL, NULL, 0),
(20792, 74, 3942, 6, 1426460400, 0.5, NULL, NULL, NULL, NULL, 0),
(20793, 74, 3942, 6, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20795, 74, 2817, 5, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20796, 74, 2817, 5, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20797, 74, 2821, 5, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20811, 147, 4329, 7, 1427151600, 1, NULL, NULL, NULL, NULL, 0),
(20813, 147, 4329, 6, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(20829, 72, 23792, 1, 1426460400, 0.5, NULL, NULL, NULL, NULL, 0),
(20830, 72, 23792, 1, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(20831, 72, 23792, 1, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20832, 72, 23792, 1, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20833, 72, 23792, 1, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(20838, 134, 3453, 5, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(20839, 134, 3453, 5, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(20840, 2, 23792, 1, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(20841, 2, 3941, 18, 1426719600, 0.5, NULL, NULL, NULL, NULL, 0),
(20842, 2, 3941, 17, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20843, 2, 3941, 17, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20856, 109, 1041, 1, 1426806000, 1, NULL, NULL, NULL, NULL, 0),
(20857, 114, 1041, 1, 1427151600, 1, NULL, NULL, NULL, NULL, 0),
(20890, 128, 2, 1, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(20891, 128, 2, 1, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(20897, 128, 3562, 5, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(20894, 2, 1437, 1, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(20895, 128, 1437, 1, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(20896, 128, 3941, 18, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(20908, 2, 4365, 4, 1427151600, 0.25, NULL, NULL, NULL, NULL, 0),
(20909, 2, 23792, 1, 1427151600, 0.25, NULL, NULL, NULL, NULL, 0),
(20935, 114, 2, 1, 1426633200, 1, NULL, NULL, NULL, NULL, 0),
(20936, 114, 4262, 4, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(20937, 114, 4262, 4, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(20938, 114, 2835, 7, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(20939, 114, 4310, 4, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(20943, 114, 4310, 18, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20941, 114, 4147, 6, 1426719600, 1, NULL, NULL, NULL, NULL, 0),
(20942, 114, 4310, 5, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(20944, 114, 4371, 4, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(20951, 136, 4271, 4, 1427151600, 1, NULL, NULL, NULL, NULL, 0),
(20954, 93, 2088, 1, 1427065200, 0.2, NULL, NULL, NULL, NULL, 0),
(20955, 93, 3615, 4, 1427065200, 0.6, NULL, NULL, NULL, NULL, 0),
(20959, 93, 3615, 4, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(20961, 93, 4259, 4, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(20963, 93, 4259, 4, 1427238000, 0.3, NULL, NULL, NULL, NULL, 0),
(20964, 93, 2088, 1, 1427238000, 0.1, NULL, NULL, NULL, NULL, 0),
(21029, 93, 4260, 4, 1427238000, 0.4, NULL, NULL, NULL, NULL, 0),
(20985, 147, 4329, 6, 1427238000, 1, NULL, NULL, NULL, NULL, 0),
(20987, 2, 3897, 17, 1427238000, 0.25, NULL, NULL, NULL, NULL, 0),
(20988, 2, 23792, 1, 1427238000, 0.25, NULL, NULL, NULL, NULL, 0),
(20989, 2, 4209, 4, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(20994, 147, 2, 1, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(20995, 147, 2, 1, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(20996, 147, 2, 1, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(20997, 147, 2, 1, 1430344800, 1, NULL, NULL, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(20998, 147, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(20999, 147, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(21000, 147, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(21001, 147, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(21002, 147, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(21003, 147, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(21004, 147, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(21005, 147, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(21006, 147, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(21007, 147, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(27307, 147, 2, 1, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(21014, 134, 4266, 6, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(21015, 134, 4266, 6, 1427238000, 1, NULL, NULL, NULL, NULL, 0),
(21021, 93, 2, 1, 1451257200, 1, NULL, NULL, NULL, NULL, 0),
(21022, 93, 2, 1, 1451343600, 1, NULL, NULL, NULL, NULL, 0),
(21023, 93, 2, 1, 1451430000, 1, NULL, NULL, NULL, NULL, 0),
(21024, 93, 2, 1, 1451516400, 1, NULL, NULL, NULL, NULL, 0),
(21025, 93, 2, 1, 1450911600, 1, NULL, NULL, NULL, NULL, 0),
(21026, 93, 3902, 2, 1427238000, 0.2, NULL, NULL, NULL, NULL, 0),
(21059, 72, 4327, 4, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(21060, 72, 23792, 1, 1427151600, 1, NULL, NULL, NULL, NULL, 0),
(21061, 72, 23792, 1, 1427238000, 1, NULL, NULL, NULL, NULL, 0),
(21062, 72, 23792, 1, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(21063, 72, 1, 1, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(21070, 74, 2821, 5, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(21071, 74, 2821, 5, 1427151600, 1, NULL, NULL, NULL, NULL, 0),
(21072, 74, 2821, 5, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(21073, 74, 2821, 5, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(21074, 136, 2, 1, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(23886, 72, 1, 1, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(21221, 93, 4272, 2, 1427324400, 0.25, NULL, NULL, NULL, NULL, 0),
(21220, 93, 3615, 4, 1427324400, 0.3, NULL, NULL, NULL, NULL, 0),
(21219, 93, 2088, 1, 1427324400, 0.2, NULL, NULL, NULL, NULL, 0),
(21083, 136, 4271, 4, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(21082, 136, 4271, 4, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(21235, 93, 2088, 1, 1427410800, 0.2, NULL, NULL, NULL, NULL, 0),
(22343, 147, 4263, 5, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(21233, 93, 4272, 2, 1427410800, 0.3, NULL, NULL, NULL, NULL, 0),
(21114, 136, 4271, 6, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(21115, 136, 4271, 4, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(21171, 2, 4209, 4, 1427324400, 0.5, NULL, NULL, NULL, NULL, 0),
(21172, 2, 3897, 2, 1427324400, 0.25, NULL, NULL, NULL, NULL, 0),
(21173, 2, 3897, 2, 1427410800, 0.25, NULL, NULL, NULL, NULL, 0),
(21174, 2, 4209, 4, 1427410800, 0.5, NULL, NULL, NULL, NULL, 0),
(21175, 2, 1437, 1, 1427324400, 0.25, NULL, NULL, NULL, NULL, 0),
(21176, 2, 1437, 1, 1427410800, 0.25, NULL, NULL, NULL, NULL, 0),
(21189, 147, 4329, 6, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(21193, 147, 4329, 7, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(21222, 93, 4455, 2, 1427324400, 0.1, NULL, NULL, NULL, NULL, 0),
(21223, 93, 4151, 2, 1427324400, 0.1, NULL, NULL, NULL, NULL, 0),
(21224, 93, 4456, 2, 1427324400, 0.05, NULL, NULL, NULL, NULL, 0),
(21236, 93, 3615, 4, 1427410800, 0.4, NULL, NULL, NULL, NULL, 0),
(21234, 93, 4496, 2, 1427410800, 0.05, NULL, NULL, NULL, NULL, 0),
(21310, 147, 2, 1, 1427925600, 0.5, NULL, NULL, NULL, NULL, 0),
(21311, 147, 2, 1, 1429826400, 0.5, NULL, NULL, NULL, NULL, 0),
(25028, 147, 4590, 4, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(21321, 147, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(21337, 2, 4209, 7, 1427666400, 0.4, NULL, NULL, NULL, NULL, 0),
(21341, 114, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(21342, 2, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(21372, 134, 4455, 6, 1427324400, 0.5, NULL, NULL, NULL, NULL, 0),
(21373, 134, 4455, 6, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(21374, 134, 4455, 5, 1427324400, 0.2, NULL, NULL, NULL, NULL, 0),
(21375, 134, 3910, 18, 1427324400, 0.3, NULL, NULL, NULL, NULL, 0),
(21376, 134, 4455, 6, 1427666400, 0.5, NULL, NULL, NULL, NULL, 0),
(21377, 134, 2, 1, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(22218, 73, 3902, 7, 1427666400, 0.6, NULL, NULL, NULL, NULL, 0),
(22219, 73, 4307, 2, 1427666400, 0.4, NULL, NULL, NULL, NULL, 0),
(22220, 73, 4496, 4, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(22224, 73, 4385, 4, 1426806000, 0.75, NULL, NULL, NULL, NULL, 0),
(22225, 134, 3910, 18, 1427666400, 0.2, NULL, NULL, NULL, NULL, 0),
(22248, 136, 4271, 4, 1427666400, 0.5, NULL, NULL, NULL, NULL, 0),
(22249, 136, 4267, 4, 1427666400, 0.5, NULL, NULL, NULL, NULL, 0),
(22265, 134, 2821, 4, 1427666400, 0.3, NULL, NULL, NULL, NULL, 0),
(22283, 146, 4364, 4, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(22284, 146, 4364, 4, 1427238000, 1, NULL, NULL, NULL, NULL, 0),
(22285, 146, 4364, 4, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(22286, 146, 4364, 4, 1427410800, 0.5, NULL, NULL, NULL, NULL, 0),
(22290, 146, 4282, 4, 1427410800, 0.5, NULL, NULL, NULL, NULL, 0),
(22325, 146, 4319, 4, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(22326, 146, 4319, 4, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(22328, 146, 4282, 4, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(22342, 93, 4209, 2, 1427410800, 0.05, NULL, NULL, NULL, NULL, 0),
(22345, 147, 4263, 5, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(22346, 147, 4263, 6, 1427839200, 1, NULL, NULL, NULL, NULL, 0),
(22413, 2, 23792, 1, 1427839200, 0.25, NULL, NULL, NULL, NULL, 0),
(22414, 2, 3940, 4, 1427839200, 0.75, NULL, NULL, NULL, NULL, 0),
(22566, 73, 4320, 4, 1427925600, 0.2, NULL, NULL, NULL, NULL, 0),
(22562, 73, 1435, 1, 1427925600, 0.8, NULL, NULL, NULL, NULL, 0),
(22563, 73, 4318, 4, 1427839200, 1, NULL, NULL, NULL, NULL, 0),
(22565, 2, 3562, 18, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22572, 147, 4272, 5, 1427925600, 0.5, NULL, NULL, NULL, NULL, 0),
(22573, 147, 4272, 5, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(22577, 93, 3615, 4, 1427666400, 0.8, NULL, NULL, NULL, NULL, 0),
(22578, 93, 3615, 4, 1427752800, 0.8, NULL, NULL, NULL, NULL, 0),
(22579, 93, 2088, 1, 1427666400, 0.2, NULL, NULL, NULL, NULL, 0),
(22580, 93, 2088, 1, 1427752800, 0.2, NULL, NULL, NULL, NULL, 0),
(22710, 93, 4624, 2, 1428012000, 0.9, NULL, NULL, NULL, NULL, 0),
(22590, 93, 4623, 4, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(22591, 93, 4623, 4, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22599, 93, 2088, 1, 1428012000, 0.1, NULL, NULL, NULL, NULL, 0),
(22601, 2, 3562, 18, 1427666400, 0.6, NULL, NULL, NULL, NULL, 0),
(22654, 128, 3941, 18, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(22655, 128, 3562, 18, 1427410800, 0.5, NULL, NULL, NULL, NULL, 0),
(22657, 128, 3562, 5, 1427410800, 0.5, NULL, NULL, NULL, NULL, 0),
(22659, 128, 3941, 17, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(22665, 128, 3941, 18, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(22670, 128, 3941, 18, 1427925600, 0.5, NULL, NULL, NULL, NULL, 0),
(22674, 128, 3941, 5, 1427925600, 0.5, NULL, NULL, NULL, NULL, 0),
(22675, 128, 3941, 5, 1427839200, 1, NULL, NULL, NULL, NULL, 0),
(22677, 128, 3941, 5, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(22686, 136, 4263, 6, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(22687, 136, 4271, 6, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22688, 136, 4267, 4, 1427839200, 1, NULL, NULL, NULL, NULL, 0),
(22689, 136, 4267, 4, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(22690, 114, 4456, 4, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(22692, 114, 3733, 4, 1427410800, 1, NULL, NULL, NULL, NULL, 0),
(22694, 72, 2904, 4, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(22697, 72, 2904, 7, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(22698, 114, 4456, 5, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(22699, 114, 4456, 5, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(22700, 72, 23792, 1, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(22701, 72, 23792, 1, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(22702, 72, 23792, 1, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22703, 72, 23792, 1, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(22709, 114, 4310, 4, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(22705, 114, 4370, 4, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(22706, 114, 2, 1, 1428012000, 0.5, NULL, NULL, NULL, NULL, 0),
(22707, 114, 4370, 6, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22708, 114, 4310, 6, 1428012000, 0.5, NULL, NULL, NULL, NULL, 0),
(22711, 88, 2865, 1, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(22712, 88, 2865, 1, 1427839200, 1, NULL, NULL, NULL, NULL, 0),
(22713, 88, 2865, 1, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22714, 88, 2865, 1, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(22715, 88, 2865, 1, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(22718, 146, 1041, 1, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22719, 146, 4364, 4, 1428012000, 0.2, NULL, NULL, NULL, NULL, 0),
(22720, 146, 4364, 4, 1428012000, 0.3, NULL, NULL, NULL, NULL, 0),
(22722, 146, 4290, 4, 1428012000, 0.5, NULL, NULL, NULL, NULL, 0),
(22732, 157, 2041, 1, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(22756, 116, 3688, 5, 1427065200, 1, NULL, NULL, NULL, NULL, 0),
(22757, 116, 3688, 5, 1427151600, 1, NULL, NULL, NULL, NULL, 0),
(22759, 116, 3688, 5, 1427238000, 1, NULL, NULL, NULL, NULL, 0),
(22760, 116, 3688, 5, 1427666400, 1, NULL, NULL, NULL, NULL, 0),
(22761, 116, 3688, 5, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(22772, 2, 3967, 17, 1428357600, 0.5, NULL, NULL, NULL, NULL, 0),
(22795, 2, 2041, 1, 1428357600, 0.1, NULL, NULL, NULL, NULL, 0),
(22854, 73, 1, 1, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(22821, 73, 4658, 7, 1428444000, 0.5, NULL, NULL, NULL, NULL, 0),
(22822, 73, 4658, 4, 1428357600, 0.5, NULL, NULL, NULL, NULL, 0),
(22823, 73, 4657, 7, 1428357600, 0.5, NULL, NULL, NULL, NULL, 0),
(22824, 73, 4657, 4, 1428012000, 0.5, NULL, NULL, NULL, NULL, 0),
(22825, 73, 4624, 4, 1428012000, 0.5, NULL, NULL, NULL, NULL, 0),
(22826, 73, 4496, 4, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(23439, 73, 4454, 7, 1427324400, 1, NULL, NULL, NULL, NULL, 0),
(22831, 73, 2089, 1, 1426028400, 0.8, NULL, NULL, NULL, NULL, 0),
(22852, 2, 3562, 18, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(22853, 2, 3562, 18, 1428357600, 0.4, NULL, NULL, NULL, NULL, 0),
(22862, 134, 2904, 6, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(22863, 134, 2904, 6, 1427839200, 0.25, NULL, NULL, NULL, NULL, 0),
(22866, 134, 4623, 5, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(22865, 134, 4623, 5, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(22867, 134, 4623, 5, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(22868, 134, 4623, 6, 1428444000, 0.2, NULL, NULL, NULL, NULL, 0),
(22869, 147, 4272, 4, 1428444000, 1, NULL, NULL, NULL, NULL, 0),
(22871, 147, 4272, 4, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(22898, 157, 1436, 1, 1428444000, 0.5, NULL, NULL, NULL, NULL, 0),
(22899, 157, 2, 1, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(22900, 157, 2, 1, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(22901, 157, 2, 1, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(22902, 157, 2, 1, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(22903, 157, 2, 1, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(22905, 2, 3562, 18, 1428444000, 0.9, NULL, NULL, NULL, NULL, 0),
(22906, 2, 4371, 4, 1428444000, 0.1, NULL, NULL, NULL, NULL, 0),
(22907, 2, 4371, 5, 1428530400, 1, NULL, NULL, NULL, NULL, 0),
(22937, 157, 1436, 1, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(22938, 157, 1436, 1, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(22947, 73, 1, 1, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23038, 134, 4681, 4, 1427839200, 0.25, NULL, NULL, NULL, NULL, 0),
(23039, 134, 4683, 4, 1428444000, 0.8, NULL, NULL, NULL, NULL, 0),
(23040, 134, 4683, 4, 1428530400, 0.6, NULL, NULL, NULL, NULL, 0),
(23041, 134, 4307, 6, 1428530400, 0.4, NULL, NULL, NULL, NULL, 0),
(23042, 134, 4307, 6, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23043, 72, 4683, 4, 1428444000, 0.2, NULL, NULL, NULL, NULL, 0),
(23044, 72, 4681, 4, 1428444000, 0.2, NULL, NULL, NULL, NULL, 0),
(23045, 72, 23792, 1, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(23046, 72, 23792, 1, 1428444000, 0.6, NULL, NULL, NULL, NULL, 0),
(23047, 72, 23792, 1, 1428530400, 1, NULL, NULL, NULL, NULL, 0),
(23048, 72, 23792, 1, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(23049, 157, 4684, 4, 1428444000, 0.5, NULL, NULL, NULL, NULL, 0),
(23050, 157, 4684, 4, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(23051, 157, 4684, 5, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23064, 146, 4290, 17, 1427752800, 1, NULL, NULL, NULL, NULL, 0),
(23080, 146, 4364, 4, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(23082, 146, 4290, 17, 1427839200, 0.5, NULL, NULL, NULL, NULL, 0),
(23092, 2, 4371, 5, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(23111, 146, 4282, 4, 1428530400, 0.8, NULL, NULL, NULL, NULL, 0),
(23112, 146, 4282, 4, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(23386, 93, 4624, 4, 1428962400, 0.7, NULL, NULL, NULL, NULL, 0),
(23128, 74, 1, 1, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(23129, 74, 1, 1, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(23130, 74, 1, 1, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(23131, 74, 2821, 5, 1427752800, 0.5, NULL, NULL, NULL, NULL, 0),
(23132, 74, 2821, 5, 1427839200, 1, NULL, NULL, NULL, NULL, 0),
(23133, 74, 2821, 5, 1427925600, 1, NULL, NULL, NULL, NULL, 0),
(23134, 74, 2821, 5, 1428012000, 1, NULL, NULL, NULL, NULL, 0),
(23137, 147, 4272, 4, 1428530400, 1, NULL, NULL, NULL, NULL, 0),
(23138, 147, 4272, 4, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(23143, 134, 4307, 6, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23171, 128, 3941, 18, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23160, 128, 3943, 18, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23161, 128, 3943, 18, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(23162, 116, 3688, 5, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(23164, 116, 3688, 5, 1428444000, 1, NULL, NULL, NULL, NULL, 0),
(23166, 128, 2838, 5, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(23168, 128, 3562, 18, 1428444000, 1, NULL, NULL, NULL, NULL, 0),
(23172, 128, 3941, 18, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(23175, 73, 1, 1, 1430949600, 0.5, NULL, NULL, NULL, NULL, 0),
(23190, 147, 4263, 4, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(23385, 93, 2, 1, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(23203, 74, 4683, 5, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(23205, 134, 4307, 6, 1428876000, 0.9, NULL, NULL, NULL, NULL, 0),
(23206, 134, 3454, 6, 1428876000, 0.1, NULL, NULL, NULL, NULL, 0),
(23208, 93, 4624, 4, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(23209, 93, 4624, 4, 1428444000, 1, NULL, NULL, NULL, NULL, 0),
(23210, 93, 4624, 4, 1428530400, 1, NULL, NULL, NULL, NULL, 0),
(23211, 93, 4624, 4, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(23212, 2, 3967, 17, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(23213, 114, 4456, 4, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(23214, 114, 3826, 5, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(23215, 158, 2041, 1, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23220, 158, 2, 1, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23240, 158, 2, 1, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(23245, 158, 2, 1, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(23243, 158, 2, 1, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(24530, 134, 4328, 5, 1430172000, 0.5, NULL, NULL, NULL, NULL, 0),
(23241, 158, 2, 1, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(23236, 158, 2, 1, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23237, 158, 2, 1, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23238, 158, 2, 1, 1429740000, 1, NULL, NULL, NULL, NULL, 0),
(23239, 158, 2, 1, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(23246, 158, 2, 1, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(23247, 158, 2, 1, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(23248, 158, 2, 1, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(23249, 158, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(23250, 158, 2, 1, 1431986400, 1, NULL, NULL, NULL, NULL, 0),
(24528, 158, 2, 1, 1432072800, 0.5, NULL, NULL, NULL, NULL, 0),
(23252, 158, 2, 1, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(23253, 158, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(23254, 158, 2, 1, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(23268, 134, 3454, 6, 1428962400, 0.2, NULL, NULL, NULL, NULL, 0),
(23267, 134, 2909, 6, 1428962400, 0.8, NULL, NULL, NULL, NULL, 0),
(23279, 2, 3967, 17, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23280, 2, 1435, 1, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23281, 114, 4262, 4, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23282, 114, 3826, 4, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23284, 114, 4310, 4, 1428357600, 0.5, NULL, NULL, NULL, NULL, 0),
(23286, 114, 4310, 5, 1428357600, 0.5, NULL, NULL, NULL, NULL, 0),
(23287, 114, 4310, 6, 1428444000, 0.5, NULL, NULL, NULL, NULL, 0),
(23288, 114, 4370, 4, 1428444000, 0.5, NULL, NULL, NULL, NULL, 0),
(23289, 114, 4370, 5, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(23293, 114, 4715, 4, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23292, 114, 4370, 4, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(23294, 114, 4715, 5, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23302, 2, 3967, 17, 1429048800, 0.5, NULL, NULL, NULL, NULL, 0),
(24384, 93, 4624, 4, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(23324, 134, 4681, 7, 1429048800, 0.6, NULL, NULL, NULL, NULL, 0),
(23325, 134, 2909, 6, 1429048800, 0.2, NULL, NULL, NULL, NULL, 0),
(23333, 157, 4262, 4, 1429135200, 0.5, NULL, NULL, NULL, NULL, 0),
(23334, 157, 4684, 4, 1429048800, 0.5, NULL, NULL, NULL, NULL, 0),
(23335, 157, 1436, 1, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(23338, 157, 1436, 1, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23339, 157, 1436, 1, 1429048800, 0.5, NULL, NULL, NULL, NULL, 0),
(23340, 157, 1436, 1, 1429135200, 0.5, NULL, NULL, NULL, NULL, 0),
(23341, 157, 1436, 1, 1429221600, 0.5, NULL, NULL, NULL, NULL, 0),
(23342, 157, 4684, 4, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(23343, 157, 4262, 4, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23344, 157, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(23345, 157, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(23346, 157, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(23347, 157, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(23348, 157, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(23349, 157, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(23350, 157, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(23351, 157, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(23352, 157, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(23353, 157, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(23354, 157, 2, 1, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(23355, 157, 2, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(23356, 157, 2, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(23357, 157, 2, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(23358, 157, 2, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(23387, 93, 4745, 4, 1428962400, 0.3, NULL, NULL, NULL, NULL, 0),
(23388, 93, 4745, 4, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23389, 93, 4745, 4, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23400, 2, 1435, 1, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23401, 2, 1435, 1, 1429048800, 0.5, NULL, NULL, NULL, NULL, 0),
(23403, 72, 23792, 1, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(23404, 72, 23792, 1, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23405, 72, 23792, 1, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23406, 72, 23792, 1, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23407, 157, 4684, 4, 1429221600, 0.5, NULL, NULL, NULL, NULL, 0),
(23420, 74, 2909, 6, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23421, 74, 2909, 6, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23422, 74, 2909, 6, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23423, 147, 4263, 4, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23424, 147, 4268, 4, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23425, 147, 4272, 4, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23426, 147, 4268, 4, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23429, 73, 4322, 7, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23430, 73, 4318, 7, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(23433, 73, 4320, 7, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23436, 73, 4318, 4, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23435, 73, 4320, 7, 1428962400, 0.5, NULL, NULL, NULL, NULL, 0),
(23442, 134, 3454, 6, 1429048800, 0.2, NULL, NULL, NULL, NULL, 0),
(23443, 134, 4682, 6, 1429135200, 0.5, NULL, NULL, NULL, NULL, 0),
(23444, 134, 3454, 6, 1429135200, 0.2, NULL, NULL, NULL, NULL, 0),
(23446, 134, 1436, 1, 1429135200, 0.3, NULL, NULL, NULL, NULL, 0),
(23456, 109, 1041, 1, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23457, 109, 1041, 1, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23458, 109, 1041, 1, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23555, 134, 2909, 6, 1429221600, 0.5, NULL, NULL, NULL, NULL, 0),
(23557, 134, 3454, 6, 1429221600, 0.4, NULL, NULL, NULL, NULL, 0),
(23559, 134, 2814, 6, 1429221600, 0.1, NULL, NULL, NULL, NULL, 0),
(23588, 56, 1, 1, 1426114800, 0.75, NULL, NULL, NULL, NULL, 0),
(23590, 56, 1, 1, 1426201200, 1, NULL, NULL, NULL, NULL, 0),
(23591, 56, 1, 1, 1426460400, 1, NULL, NULL, NULL, NULL, 0),
(23600, 56, 1, 1, 1426633200, 0.25, NULL, NULL, NULL, NULL, 0),
(23601, 56, 1, 1, 1426719600, 0.25, NULL, NULL, NULL, NULL, 0),
(23598, 56, 1, 1, 1426546800, 1, NULL, NULL, NULL, NULL, 0),
(23602, 56, 1, 1, 1426806000, 0.5, NULL, NULL, NULL, NULL, 0),
(23609, 73, 4322, 7, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23612, 93, 4745, 4, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23645, 2, 1, 1, 1399413600, 0.5, NULL, NULL, NULL, NULL, 0),
(24128, 72, 23792, 1, 1429480800, 1, NULL, NULL, NULL, NULL, 0),
(23717, 114, 3893, 6, 1429048800, 0.5, NULL, NULL, NULL, NULL, 0),
(23718, 114, 3893, 4, 1429048800, 0.5, NULL, NULL, NULL, NULL, 0),
(23720, 114, 4456, 4, 1429135200, 0.5, NULL, NULL, NULL, NULL, 0),
(23721, 114, 4684, 4, 1429135200, 0.5, NULL, NULL, NULL, NULL, 0),
(23723, 114, 3826, 6, 1429221600, 0.5, NULL, NULL, NULL, NULL, 0),
(23724, 114, 2, 1, 1429221600, 0.5, NULL, NULL, NULL, NULL, 0),
(23725, 114, 1506, 1, 1429480800, 0.5, NULL, NULL, NULL, NULL, 0),
(23729, 158, 1508, 1, 1429135200, 0.1, NULL, NULL, NULL, NULL, 0),
(23730, 158, 2041, 1, 1429135200, 0.9, NULL, NULL, NULL, NULL, 0),
(23736, 2, 1436, 1, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23737, 2, 3967, 18, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23738, 2, 3967, 17, 1429480800, 0.3, NULL, NULL, NULL, NULL, 0),
(23741, 2, 2132, 4, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23740, 2, 1435, 1, 1429480800, 0.1, NULL, NULL, NULL, NULL, 0),
(23742, 88, 2865, 1, 1428357600, 1, NULL, NULL, NULL, NULL, 0),
(23743, 88, 2865, 1, 1428444000, 1, NULL, NULL, NULL, NULL, 0),
(23744, 88, 2865, 1, 1428530400, 1, NULL, NULL, NULL, NULL, 0),
(23745, 88, 2865, 1, 1428616800, 1, NULL, NULL, NULL, NULL, 0),
(23746, 88, 2865, 1, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(23747, 88, 2865, 1, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23748, 88, 2865, 1, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23749, 88, 2865, 1, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23750, 88, 2865, 1, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23775, 73, 1, 1, 1431295200, 0.5, NULL, NULL, NULL, NULL, 0),
(23784, 116, 2, 1, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(23876, 116, 3690, 5, 1429480800, 0.1, NULL, NULL, NULL, NULL, 0),
(23819, 72, 2906, 5, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23839, 147, 4267, 4, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23840, 147, 4267, 4, 1429480800, 1, NULL, NULL, NULL, NULL, 0),
(23842, 2, 1435, 1, 1429567200, 0.2, NULL, NULL, NULL, NULL, 0),
(23843, 2, 23792, 1, 1429567200, 0.3, NULL, NULL, NULL, NULL, 0),
(23852, 158, 2041, 1, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23854, 2, 2132, 4, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(23855, 2, 4365, 4, 1429653600, 0.25, NULL, NULL, NULL, NULL, 0),
(23857, 128, 2, 1, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(23858, 128, 3941, 18, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(23859, 128, 3941, 18, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23861, 128, 3562, 18, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23862, 128, 3562, 18, 1429135200, 0.5, NULL, NULL, NULL, NULL, 0),
(23863, 128, 3562, 18, 1429135200, 0.5, NULL, NULL, NULL, NULL, 0),
(23865, 128, 3562, 18, 1429221600, 0.5, NULL, NULL, NULL, NULL, 0),
(23866, 128, 3941, 18, 1429221600, 0.5, NULL, NULL, NULL, NULL, 0),
(23867, 128, 3941, 18, 1429480800, 0.5, NULL, NULL, NULL, NULL, 0),
(23868, 128, 3967, 18, 1429480800, 0.5, NULL, NULL, NULL, NULL, 0),
(23869, 128, 3941, 18, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23871, 128, 3562, 18, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(23872, 128, 3562, 18, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(23873, 116, 3689, 5, 1428876000, 1, NULL, NULL, NULL, NULL, 0),
(23874, 116, 3689, 5, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23877, 116, 3689, 5, 1429480800, 0.9, NULL, NULL, NULL, NULL, 0),
(23878, 116, 3688, 5, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23879, 73, 3541, 7, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(23880, 73, 1506, 1, 1429480800, 0.4, NULL, NULL, NULL, NULL, 0),
(23881, 73, 1435, 1, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23882, 73, 4885, 7, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(23883, 73, 4889, 4, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23884, 73, 4718, 4, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(23885, 73, 4281, 4, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23887, 147, 4268, 5, 1429653600, 1, NULL, NULL, NULL, NULL, 0),
(23888, 73, 2088, 1, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(23889, 73, 3624, 4, 1427238000, 0.5, NULL, NULL, NULL, NULL, 0),
(23890, 73, 4281, 4, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(23891, 73, 4275, 4, 1427151600, 0.5, NULL, NULL, NULL, NULL, 0),
(23892, 73, 2088, 1, 1428444000, 0.5, NULL, NULL, NULL, NULL, 0),
(23893, 73, 4658, 7, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(23894, 73, 4657, 7, 1428530400, 0.5, NULL, NULL, NULL, NULL, 0),
(23895, 73, 4273, 7, 1428616800, 0.5, NULL, NULL, NULL, NULL, 0),
(23923, 146, 4321, 4, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23898, 2, 3967, 17, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23915, 2, 2132, 4, 1429653600, 0.75, NULL, NULL, NULL, NULL, 0),
(23916, 93, 4624, 4, 1429480800, 1, NULL, NULL, NULL, NULL, 0),
(23917, 93, 4624, 4, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23918, 93, 4624, 4, 1429653600, 1, NULL, NULL, NULL, NULL, 0),
(23928, 134, 4865, 4, 1429480800, 0.5, NULL, NULL, NULL, NULL, 0),
(23930, 134, 4865, 5, 1429480800, 0.3, NULL, NULL, NULL, NULL, 0),
(23931, 134, 4865, 6, 1429480800, 0.2, NULL, NULL, NULL, NULL, 0),
(23932, 134, 4865, 6, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23933, 134, 4865, 6, 1429653600, 0.2, NULL, NULL, NULL, NULL, 0),
(23934, 134, 4864, 4, 1429653600, 0.2, NULL, NULL, NULL, NULL, 0),
(23935, 134, 4864, 5, 1429653600, 0.4, NULL, NULL, NULL, NULL, 0),
(23936, 134, 4864, 6, 1429653600, 0.2, NULL, NULL, NULL, NULL, 0),
(23937, 146, 4335, 17, 1429135200, 1, NULL, NULL, NULL, NULL, 0),
(23938, 146, 4335, 17, 1429048800, 1, NULL, NULL, NULL, NULL, 0),
(23939, 146, 4335, 4, 1428962400, 1, NULL, NULL, NULL, NULL, 0),
(23940, 146, 4290, 4, 1428876000, 0.5, NULL, NULL, NULL, NULL, 0),
(24205, 146, 1506, 1, 1429480800, 0.4, NULL, NULL, NULL, NULL, 0),
(23943, 146, 4321, 5, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23944, 146, 4321, 5, 1429653600, 1, NULL, NULL, NULL, NULL, 0),
(23947, 74, 2821, 5, 1429480800, 1, NULL, NULL, NULL, NULL, 0),
(23946, 74, 2821, 5, 1429221600, 1, NULL, NULL, NULL, NULL, 0),
(23948, 74, 2821, 5, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(23949, 74, 4883, 4, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(23950, 74, 2821, 5, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(23951, 74, 4884, 5, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(23971, 157, 4262, 4, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(23973, 157, 1506, 1, 1429480800, 0.4, NULL, NULL, NULL, NULL, 0),
(23974, 157, 1436, 1, 1429480800, 0.6, NULL, NULL, NULL, NULL, 0),
(23975, 157, 1436, 1, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(23978, 157, 1436, 1, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(23977, 157, 1505, 1, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(23979, 157, 1436, 1, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(23980, 157, 1436, 1, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(24010, 72, 1, 1, 1430085600, 0.5, NULL, NULL, NULL, NULL, 0),
(24036, 2, 23792, 1, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(24037, 2, 1435, 1, 1429740000, 0.2, NULL, NULL, NULL, NULL, 0),
(24056, 147, 4267, 7, 1429826400, 0.5, NULL, NULL, NULL, NULL, 0),
(24039, 147, 4272, 7, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(24054, 147, 4263, 7, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(24211, 72, 1, 1, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(24063, 134, 4864, 5, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(24064, 134, 4864, 6, 1429740000, 0.2, NULL, NULL, NULL, NULL, 0),
(24065, 134, 4328, 4, 1429740000, 0.3, NULL, NULL, NULL, NULL, 0),
(24126, 72, 4292, 5, 1429826400, 0.5, NULL, NULL, NULL, NULL, 0),
(24129, 72, 23792, 1, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(24130, 72, 23792, 1, 1429653600, 1, NULL, NULL, NULL, NULL, 0),
(24131, 72, 23792, 1, 1429740000, 1, NULL, NULL, NULL, NULL, 0),
(24132, 72, 23792, 1, 1429826400, 0.5, NULL, NULL, NULL, NULL, 0),
(24158, 93, 4624, 4, 1429740000, 1, NULL, NULL, NULL, NULL, 0),
(24159, 93, 4624, 4, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(24191, 73, 1505, 1, 1429740000, 0.4, NULL, NULL, NULL, NULL, 0),
(24192, 73, 4843, 4, 1429826400, 0.5, NULL, NULL, NULL, NULL, 0),
(24193, 73, 4455, 4, 1429826400, 0.5, NULL, NULL, NULL, NULL, 0),
(24194, 73, 4843, 4, 1429740000, 0.6, NULL, NULL, NULL, NULL, 0),
(24195, 73, 4885, 7, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(24196, 88, 2865, 1, 1429480800, 1, NULL, NULL, NULL, NULL, 0),
(24197, 88, 2865, 1, 1429567200, 1, NULL, NULL, NULL, NULL, 0),
(24198, 88, 2865, 1, 1429653600, 1, NULL, NULL, NULL, NULL, 0),
(24199, 88, 2865, 1, 1429740000, 1, NULL, NULL, NULL, NULL, 0),
(24200, 88, 2865, 1, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(24201, 88, 2865, 1, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(24202, 88, 2865, 1, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24203, 88, 2865, 1, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(24204, 88, 2865, 1, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(24206, 146, 4321, 5, 1429480800, 0.6, NULL, NULL, NULL, NULL, 0),
(24490, 146, 4323, 5, 1429740000, 1, NULL, NULL, NULL, NULL, 0),
(24489, 146, 4323, 5, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(24209, 2, 3967, 18, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(24210, 2, 4371, 7, 1429740000, 0.3, NULL, NULL, NULL, NULL, 0),
(24216, 157, 4262, 6, 1430085600, 0.5, NULL, NULL, NULL, NULL, 0),
(24217, 157, 4684, 6, 1430085600, 0.5, NULL, NULL, NULL, NULL, 0),
(24218, 157, 1436, 1, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24219, 157, 1436, 1, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(24237, 134, 2, 1, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(24238, 134, 2, 1, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(24239, 134, 2, 1, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(24240, 134, 2, 1, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(24241, 134, 2, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(24259, 73, 4843, 4, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(24311, 114, 4866, 4, 1429480800, 0.5, NULL, NULL, NULL, NULL, 0),
(24312, 114, 4262, 4, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(24313, 114, 4866, 4, 1429567200, 0.5, NULL, NULL, NULL, NULL, 0),
(24314, 114, 4866, 4, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(24315, 114, 4939, 4, 1429653600, 0.5, NULL, NULL, NULL, NULL, 0),
(24316, 114, 4866, 6, 1429740000, 1, NULL, NULL, NULL, NULL, 0),
(24317, 114, 4940, 4, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(24318, 114, 4940, 7, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(24319, 114, 2, 1, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(24345, 134, 4327, 4, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(24348, 134, 4327, 4, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(24349, 134, 4327, 4, 1430172000, 0.5, NULL, NULL, NULL, NULL, 0),
(29131, 72, 5617, 4, 1437343200, 0.5, NULL, NULL, NULL, NULL, 0),
(24362, 146, 2, 1, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29114, 146, 2, 1, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(24364, 146, 2, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(24378, 73, 4322, 7, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24552, 73, 4912, 4, 1430344800, 0.5, NULL, NULL, NULL, NULL, 0),
(24385, 93, 4624, 4, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24386, 93, 4624, 4, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(24391, 74, 4918, 4, 1430085600, 0.75, NULL, NULL, NULL, NULL, 0),
(24392, 74, 2821, 5, 1430085600, 0.25, NULL, NULL, NULL, NULL, 0),
(24393, 74, 2821, 5, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24394, 74, 2821, 5, 1429826400, 1, NULL, NULL, NULL, NULL, 0),
(24395, 74, 2821, 5, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(24418, 72, 23792, 1, 1430085600, 0.5, NULL, NULL, NULL, NULL, 0),
(24419, 72, 23792, 1, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24420, 72, 23792, 1, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(24421, 72, 23792, 1, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(24529, 134, 4328, 5, 1430690400, 0.5, NULL, NULL, NULL, NULL, 0),
(24426, 116, 3688, 5, 1429653600, 1, NULL, NULL, NULL, NULL, 0),
(24427, 116, 3689, 5, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(24428, 116, 3689, 5, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24429, 116, 4308, 5, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(24430, 116, 4936, 4, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(24431, 93, 4624, 4, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(26011, 2, 4364, 4, 1433109600, 0.1, NULL, NULL, NULL, NULL, 0),
(24445, 73, 4322, 5, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(24473, 74, 4918, 4, 1430258400, 0.2, NULL, NULL, NULL, NULL, 0),
(24475, 74, 2821, 5, 1430258400, 0.3, NULL, NULL, NULL, NULL, 0),
(24477, 74, 2821, 5, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(24491, 146, 4323, 5, 1430085600, 0.5, NULL, NULL, NULL, NULL, 0),
(24492, 146, 3624, 4, 1430085600, 0.5, NULL, NULL, NULL, NULL, 0),
(24493, 146, 3624, 5, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24494, 146, 3624, 5, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(24495, 146, 3624, 5, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(24531, 134, 4864, 4, 1430258400, 0.2, NULL, NULL, NULL, NULL, 0),
(24532, 134, 4864, 5, 1430258400, 0.2, NULL, NULL, NULL, NULL, 0),
(24533, 134, 4864, 6, 1430258400, 0.1, NULL, NULL, NULL, NULL, 0),
(24534, 134, 4328, 5, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(24535, 134, 4328, 5, 1430344800, 0.3, NULL, NULL, NULL, NULL, 0),
(24536, 134, 4328, 6, 1430344800, 0.7, NULL, NULL, NULL, NULL, 0),
(24549, 114, 2, 1, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(24550, 158, 4798, 4, 1430690400, 0.7, NULL, NULL, NULL, NULL, 0),
(24551, 73, 1506, 1, 1430690400, 0.5, NULL, NULL, NULL, NULL, 0),
(24553, 73, 4323, 5, 1430344800, 0.5, NULL, NULL, NULL, NULL, 0),
(24554, 73, 4321, 5, 1430690400, 0.5, NULL, NULL, NULL, NULL, 0),
(24556, 2, 4371, 5, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(24595, 114, 4939, 4, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(24596, 114, 4866, 4, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(24597, 2, 2132, 7, 1430776800, 0.75, NULL, NULL, NULL, NULL, 0),
(24598, 114, 4866, 6, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(24599, 2, 3967, 18, 1430776800, 0.25, NULL, NULL, NULL, NULL, 0),
(24600, 73, 1, 1, 1430949600, 0.5, NULL, NULL, NULL, NULL, 0),
(24601, 73, 4455, 4, 1430776800, 0.5, NULL, NULL, NULL, NULL, 0),
(24602, 73, 3541, 7, 1430776800, 0.5, NULL, NULL, NULL, NULL, 0),
(24603, 93, 4624, 4, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(24890, 93, 4960, 4, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(24889, 93, 4960, 4, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(24608, 134, 4328, 6, 1430690400, 0.5, NULL, NULL, NULL, NULL, 0),
(24610, 134, 4955, 4, 1430776800, 0.75, NULL, NULL, NULL, NULL, 0),
(24611, 134, 4328, 18, 1430776800, 0.1, NULL, NULL, NULL, NULL, 0),
(24612, 134, 4956, 5, 1430776800, 0.1, NULL, NULL, NULL, NULL, 0),
(24613, 134, 4956, 5, 1430776800, 0.05, NULL, NULL, NULL, NULL, 0),
(24614, 134, 4956, 6, 1430863200, 0.2, NULL, NULL, NULL, NULL, 0),
(24615, 2, 4959, 4, 1430863200, 0.25, NULL, NULL, NULL, NULL, 0),
(24620, 2, 4959, 4, 1430863200, 0.4, NULL, NULL, NULL, NULL, 0),
(24621, 158, 4798, 4, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(24622, 72, 23792, 1, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(24623, 72, 23792, 1, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(24624, 72, 23792, 1, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(24625, 72, 23792, 1, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(24629, 147, 4267, 7, 1430690400, 0.25, NULL, NULL, NULL, NULL, 0),
(24630, 147, 4272, 7, 1430690400, 0.25, NULL, NULL, NULL, NULL, 0),
(24631, 147, 4263, 7, 1430690400, 0.5, NULL, NULL, NULL, NULL, 0),
(24632, 147, 3904, 4, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(24633, 147, 3904, 4, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(24634, 147, 3904, 4, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(24878, 114, 1041, 1, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(24670, 146, 3624, 5, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(24671, 146, 3624, 5, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(24672, 146, 3624, 5, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(24673, 146, 3624, 5, 1430949600, 0.6, NULL, NULL, NULL, NULL, 0),
(24689, 146, 4885, 5, 1430949600, 0.4, NULL, NULL, NULL, NULL, 0),
(24704, 2, 4959, 4, 1430949600, 0.2, NULL, NULL, NULL, NULL, 0),
(24705, 2, 23792, 1, 1430949600, 0.8, NULL, NULL, NULL, NULL, 0),
(24706, 2, 23792, 1, 1430863200, 0.25, NULL, NULL, NULL, NULL, 0),
(24707, 2, 23792, 1, 1430863200, 0.1, NULL, NULL, NULL, NULL, 0),
(24708, 157, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(24947, 157, 4938, 6, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(24719, 134, 4328, 6, 1430863200, 0.1, NULL, NULL, NULL, NULL, 0),
(24720, 134, 3624, 6, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(24721, 134, 3624, 6, 1430863200, 0.2, NULL, NULL, NULL, NULL, 0),
(24722, 134, 4884, 6, 1430863200, 0.2, NULL, NULL, NULL, NULL, 0),
(24723, 134, 2821, 6, 1430863200, 0.1, NULL, NULL, NULL, NULL, 0),
(24724, 134, 4329, 6, 1430863200, 0.1, NULL, NULL, NULL, NULL, 0),
(24725, 134, 4292, 6, 1430863200, 0.1, NULL, NULL, NULL, NULL, 0),
(24734, 128, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(24738, 134, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(24756, 128, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(24759, 114, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(24761, 146, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(24762, 146, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(24829, 73, 2088, 1, 1431295200, 0.5, NULL, NULL, NULL, NULL, 0),
(24865, 2, 4371, 5, 1431295200, 0.25, NULL, NULL, NULL, NULL, 0),
(24866, 2, 3967, 18, 1431295200, 0.05, NULL, NULL, NULL, NULL, 0),
(24867, 2, 23792, 1, 1431295200, 0.7, NULL, NULL, NULL, NULL, 0),
(24892, 93, 4624, 4, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(24971, 93, 4959, 4, 1431381600, 0.1, NULL, NULL, NULL, NULL, 0),
(24970, 93, 4959, 4, 1431295200, 0.25, NULL, NULL, NULL, NULL, 0),
(24969, 93, 4624, 4, 1431295200, 0.25, NULL, NULL, NULL, NULL, 0),
(24941, 116, 4937, 5, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(24942, 116, 4936, 4, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(24943, 116, 4937, 5, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(24944, 109, 2, 1, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(24945, 114, 1041, 1, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(24946, 157, 2, 1, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(24948, 157, 4938, 6, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(24949, 157, 4940, 6, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(24975, 93, 4973, 4, 1431381600, 0.9, NULL, NULL, NULL, NULL, 0),
(24974, 93, 4973, 4, 1431295200, 0.5, NULL, NULL, NULL, NULL, 0),
(24976, 93, 4973, 4, 1431468000, 0.6, NULL, NULL, NULL, NULL, 0),
(24982, 2, 3967, 18, 1431381600, 0.25, NULL, NULL, NULL, NULL, 0),
(24983, 2, 23792, 1, 1431381600, 0.75, NULL, NULL, NULL, NULL, 0),
(24984, 2, 23792, 1, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(24985, 73, 4885, 7, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(24986, 73, 4885, 7, 1431381600, 0.5, NULL, NULL, NULL, NULL, 0),
(24987, 73, 4843, 7, 1431381600, 0.5, NULL, NULL, NULL, NULL, 0),
(24988, 73, 4455, 4, 1430863200, 0.5, NULL, NULL, NULL, NULL, 0),
(24989, 73, 4843, 4, 1430863200, 0.5, NULL, NULL, NULL, NULL, 0),
(25024, 147, 4590, 7, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(25027, 147, 4590, 4, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(25026, 147, 4590, 4, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(25044, 146, 4885, 4, 1431295200, 0.2, NULL, NULL, NULL, NULL, 0),
(25045, 146, 4210, 4, 1431295200, 0.8, NULL, NULL, NULL, NULL, 0),
(25046, 146, 4210, 4, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(25049, 146, 4210, 4, 1431468000, 0.5, NULL, NULL, NULL, NULL, 0),
(25048, 146, 4986, 4, 1431468000, 0.5, NULL, NULL, NULL, NULL, 0),
(25050, 146, 4210, 4, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(25051, 158, 2, 1, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(25052, 158, 2, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(25053, 158, 2, 1, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(25054, 158, 2, 1, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(25055, 158, 2, 1, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(25056, 158, 2, 1, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(25057, 158, 2, 1, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(25058, 158, 2, 1, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(25059, 158, 2, 1, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(25060, 158, 2, 1, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(25061, 158, 2, 1, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(25093, 158, 2, 1, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(25094, 158, 2, 1, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(25095, 158, 2, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(25096, 134, 4974, 4, 1431295200, 0.8, NULL, NULL, NULL, NULL, 0),
(25097, 134, 3624, 6, 1431295200, 0.1, NULL, NULL, NULL, NULL, 0),
(25098, 134, 4329, 6, 1431295200, 0.1, NULL, NULL, NULL, NULL, 0),
(25099, 134, 4329, 6, 1431381600, 0.2, NULL, NULL, NULL, NULL, 0),
(25100, 134, 4972, 4, 1431381600, 0.8, NULL, NULL, NULL, NULL, 0),
(25101, 134, 4972, 5, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(25102, 134, 4972, 6, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(25118, 134, 2, 1, 1431986400, 1, NULL, NULL, NULL, NULL, 0),
(25119, 134, 5016, 4, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25121, 2, 23792, 1, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25123, 73, 4718, 7, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25129, 164, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(25130, 164, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(25131, 164, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(25132, 164, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(25133, 164, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(25134, 164, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(25135, 164, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(25136, 164, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(25137, 164, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(25138, 164, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(25139, 164, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(25165, 73, 1, 1, 1431986400, 0.2, NULL, NULL, NULL, NULL, 0),
(25166, 73, 4718, 7, 1431986400, 0.8, NULL, NULL, NULL, NULL, 0),
(25168, 2, 1435, 1, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25170, 2, 5020, 17, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25171, 164, 2041, 1, 1431900000, 0.5, NULL, NULL, NULL, NULL, 0),
(25172, 128, 2, 1, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(25173, 128, 2, 1, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(25174, 164, 1436, 1, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(25175, 164, 2, 1, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(25176, 164, 2, 1, 1430258400, 1, NULL, NULL, NULL, NULL, 0),
(25177, 164, 2, 1, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(25179, 164, 1436, 1, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(25180, 164, 1436, 1, 1430776800, 1, NULL, NULL, NULL, NULL, 0),
(25181, 164, 1436, 1, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(25182, 164, 1436, 1, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(25183, 164, 1436, 1, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(25184, 164, 1436, 1, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(25185, 164, 1436, 1, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(25186, 164, 5020, 17, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(25188, 164, 5020, 17, 1431900000, 0.5, NULL, NULL, NULL, NULL, 0),
(25189, 116, 4889, 4, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25190, 116, 4889, 4, 1431640800, 1, NULL, NULL, NULL, NULL, 0),
(25191, 116, 4889, 4, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(25192, 116, 4889, 4, 1431986400, 1, NULL, NULL, NULL, NULL, 0),
(25193, 147, 3904, 4, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25194, 147, 3904, 7, 1431986400, 0.8, NULL, NULL, NULL, NULL, 0),
(25195, 147, 1, 1, 1431986400, 0.2, NULL, NULL, NULL, NULL, 0),
(25196, 147, 3904, 7, 1432072800, 0.5, NULL, NULL, NULL, NULL, 0),
(25197, 147, 2, 1, 1432072800, 0.5, NULL, NULL, NULL, NULL, 0),
(25200, 147, 4590, 7, 1432245600, 1, NULL, NULL, NULL, NULL, 0),
(25199, 147, 4590, 7, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(25202, 147, 3904, 5, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(25203, 147, 3904, 5, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(25206, 147, 4590, 5, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(25205, 147, 4590, 5, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(25207, 146, 4986, 4, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25208, 146, 4986, 4, 1431986400, 1, NULL, NULL, NULL, NULL, 0),
(25493, 146, 4986, 4, 1432072800, 0.5, NULL, NULL, NULL, NULL, 0),
(25211, 146, 4719, 4, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(25501, 146, 4886, 4, 1432245600, 0.3, NULL, NULL, NULL, NULL, 0),
(25213, 128, 3562, 18, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25214, 128, 3562, 18, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25215, 128, 3941, 18, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25217, 128, 3562, 18, 1431295200, 1, NULL, NULL, NULL, NULL, 0),
(25218, 128, 3967, 18, 1431381600, 1, NULL, NULL, NULL, NULL, 0),
(25219, 128, 3941, 18, 1431468000, 1, NULL, NULL, NULL, NULL, 0),
(25220, 128, 2838, 17, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(25221, 128, 2838, 17, 1430863200, 0.5, NULL, NULL, NULL, NULL, 0),
(25222, 128, 3941, 18, 1430863200, 0.5, NULL, NULL, NULL, NULL, 0),
(25239, 72, 5023, 4, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25224, 128, 2838, 17, 1430776800, 0.5, NULL, NULL, NULL, NULL, 0),
(25225, 128, 3941, 18, 1430776800, 0.5, NULL, NULL, NULL, NULL, 0),
(26340, 146, 3888, 4, 1432677600, 0.8, NULL, NULL, NULL, NULL, 0),
(26345, 146, 3888, 4, 1433109600, 0.5, NULL, NULL, NULL, NULL, 0),
(25229, 128, 3562, 18, 1430690400, 1, NULL, NULL, NULL, NULL, 0),
(25230, 128, 2838, 17, 1430344800, 1, NULL, NULL, NULL, NULL, 0),
(25231, 128, 3941, 18, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(25232, 128, 3562, 18, 1430258400, 0.5, NULL, NULL, NULL, NULL, 0),
(25234, 128, 3941, 18, 1430172000, 1, NULL, NULL, NULL, NULL, 0),
(25235, 128, 3967, 18, 1430085600, 1, NULL, NULL, NULL, NULL, 0),
(25236, 128, 3941, 18, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(25237, 128, 1436, 1, 1429740000, 0.5, NULL, NULL, NULL, NULL, 0),
(25238, 146, 2, 1, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(25240, 72, 23792, 1, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25243, 158, 1506, 1, 1431900000, 0.5, NULL, NULL, NULL, NULL, 0),
(25244, 158, 1436, 1, 1431900000, 0.5, NULL, NULL, NULL, NULL, 0),
(25245, 158, 2041, 1, 1432072800, 0.1, NULL, NULL, NULL, NULL, 0),
(25264, 73, 4718, 7, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(25266, 2, 5025, 5, 1432072800, 0.3, NULL, NULL, NULL, NULL, 0),
(25267, 2, 5020, 17, 1432072800, 0.5, NULL, NULL, NULL, NULL, 0),
(25272, 109, 1041, 1, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(25277, 134, 5022, 4, 1432072800, 0.5, NULL, NULL, NULL, NULL, 0),
(25278, 134, 5022, 5, 1432072800, 0.2, NULL, NULL, NULL, NULL, 0),
(25279, 134, 5022, 6, 1432072800, 0.3, NULL, NULL, NULL, NULL, 0),
(25289, 2, 5024, 7, 1432072800, 0.2, NULL, NULL, NULL, NULL, 0),
(25290, 2, 5024, 7, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25291, 93, 1435, 1, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25292, 93, 2041, 1, 1431468000, 0.4, NULL, NULL, NULL, NULL, 0),
(25293, 93, 2041, 1, 1431640800, 0.75, NULL, NULL, NULL, NULL, 0),
(25294, 93, 4973, 4, 1431640800, 0.25, NULL, NULL, NULL, NULL, 0),
(25296, 93, 4973, 4, 1431900000, 0.25, NULL, NULL, NULL, NULL, 0),
(25297, 93, 4745, 4, 1431900000, 0.4, NULL, NULL, NULL, NULL, 0),
(25298, 93, 2088, 1, 1431900000, 0.1, NULL, NULL, NULL, NULL, 0),
(25299, 93, 2041, 1, 1431900000, 0.25, NULL, NULL, NULL, NULL, 0),
(25300, 93, 5021, 4, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25301, 93, 5021, 4, 1432072800, 0.2, NULL, NULL, NULL, NULL, 0),
(25302, 93, 4960, 5, 1432072800, 0.8, NULL, NULL, NULL, NULL, 0),
(25303, 93, 5021, 4, 1432159200, 0.25, NULL, NULL, NULL, NULL, 0),
(25304, 93, 4960, 5, 1432159200, 0.75, NULL, NULL, NULL, NULL, 0),
(25307, 157, 4940, 5, 1431900000, 0.5, NULL, NULL, NULL, NULL, 0),
(25308, 157, 4940, 6, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25309, 157, 4940, 6, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25310, 157, 4890, 4, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25311, 157, 4890, 4, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(25312, 157, 4890, 4, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25313, 157, 4890, 4, 1431900000, 0.5, NULL, NULL, NULL, NULL, 0),
(25314, 157, 4890, 4, 1432245600, 1, NULL, NULL, NULL, NULL, 0),
(25337, 2, 5023, 5, 1432159200, 0.25, NULL, NULL, NULL, NULL, 0),
(25338, 2, 2821, 5, 1432159200, 0.25, NULL, NULL, NULL, NULL, 0),
(25339, 158, 2, 1, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(25340, 158, 2, 1, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(25341, 158, 2, 1, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(25342, 158, 2, 1, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(25343, 158, 2, 1, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(25344, 158, 2, 1, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(25345, 158, 2, 1, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(25346, 158, 2, 1, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(25347, 158, 2, 1, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(25348, 158, 2, 1, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(25354, 158, 4844, 5, 1432072800, 0.4, NULL, NULL, NULL, NULL, 0),
(25355, 158, 4844, 5, 1432245600, 1, NULL, NULL, NULL, NULL, 0),
(25356, 158, 2, 1, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(25357, 158, 2, 1, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(25358, 158, 2, 1, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(25359, 158, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(25360, 158, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(25361, 158, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(25362, 158, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(25363, 158, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(25364, 158, 2, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(25365, 158, 2, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(25366, 158, 2, 1, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(25375, 73, 4843, 7, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25374, 73, 4885, 7, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25376, 73, 4718, 7, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25419, 2, 2821, 5, 1432245600, 0.3, NULL, NULL, NULL, NULL, 0),
(25418, 2, 5020, 17, 1432245600, 0.25, NULL, NULL, NULL, NULL, 0),
(25420, 2, 5020, 18, 1432245600, 0.2, NULL, NULL, NULL, NULL, 0),
(25421, 164, 2041, 1, 1431986400, 1, NULL, NULL, NULL, NULL, 0),
(25422, 164, 1436, 1, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(25423, 164, 1436, 1, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(25424, 164, 5020, 17, 1432245600, 1, NULL, NULL, NULL, NULL, 0),
(25425, 93, 4960, 5, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25426, 93, 1435, 1, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25427, 114, 4940, 5, 1431295200, 0.5, NULL, NULL, NULL, NULL, 0),
(25428, 114, 4940, 6, 1431295200, 0.5, NULL, NULL, NULL, NULL, 0),
(25429, 114, 4940, 4, 1431900000, 1, NULL, NULL, NULL, NULL, 0),
(25430, 114, 4940, 5, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25431, 114, 4940, 6, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25432, 114, 4940, 6, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(25433, 114, 5037, 4, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(25434, 114, 5037, 4, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25435, 114, 4940, 6, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25436, 114, 5037, 4, 1430776800, 0.5, NULL, NULL, NULL, NULL, 0),
(25437, 114, 4940, 6, 1430776800, 0.5, NULL, NULL, NULL, NULL, 0),
(25438, 114, 4940, 5, 1430863200, 1, NULL, NULL, NULL, NULL, 0),
(25439, 114, 5037, 4, 1430949600, 1, NULL, NULL, NULL, NULL, 0),
(25440, 134, 4884, 6, 1432159200, 0.25, NULL, NULL, NULL, NULL, 0),
(25441, 134, 3624, 6, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25442, 134, 4329, 6, 1432159200, 0.25, NULL, NULL, NULL, NULL, 0),
(25443, 134, 4884, 6, 1432245600, 0.3, NULL, NULL, NULL, NULL, 0),
(25445, 134, 4292, 6, 1432245600, 0.2, NULL, NULL, NULL, NULL, 0),
(25448, 134, 4328, 6, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25476, 2, 5020, 17, 1432245600, 0.25, NULL, NULL, NULL, NULL, 0),
(25481, 72, 5023, 4, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25482, 72, 5023, 4, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25483, 72, 23792, 1, 1431986400, 0.5, NULL, NULL, NULL, NULL, 0),
(25484, 72, 23792, 1, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(25485, 72, 23792, 1, 1432159200, 0.5, NULL, NULL, NULL, NULL, 0),
(25486, 72, 23792, 1, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(25498, 146, 4964, 4, 1432072800, 0.5, NULL, NULL, NULL, NULL, 0),
(25500, 146, 1506, 1, 1432245600, 0.7, NULL, NULL, NULL, NULL, 0),
(27214, 93, 5342, 4, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(25543, 116, 4889, 4, 1432504800, 0.5, NULL, NULL, NULL, NULL, 0),
(25544, 116, 2, 1, 1432504800, 0.5, NULL, NULL, NULL, NULL, 0),
(25546, 2, 5025, 5, 1432504800, 0.25, NULL, NULL, NULL, NULL, 0),
(25547, 2, 1435, 1, 1432504800, 0.75, NULL, NULL, NULL, NULL, 0),
(25630, 134, 4934, 4, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(25631, 2, 23792, 1, 1432591200, 0.2, NULL, NULL, NULL, NULL, 0),
(25632, 2, 2906, 6, 1432591200, 0.25, NULL, NULL, NULL, NULL, 0),
(25636, 2, 5020, 18, 1432591200, 0.25, NULL, NULL, NULL, NULL, 0),
(25637, 2, 4881, 4, 1432591200, 0.3, NULL, NULL, NULL, NULL, 0),
(25638, 164, 2, 1, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(25658, 157, 2, 1, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(25666, 157, 4890, 4, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(25667, 157, 4940, 6, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25665, 157, 4890, 4, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25662, 157, 4890, 4, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(25663, 157, 4890, 4, 1432677600, 0.75, NULL, NULL, NULL, NULL, 0),
(25668, 157, 4940, 6, 1432677600, 0.25, NULL, NULL, NULL, NULL, 0),
(25682, 73, 4843, 7, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25683, 73, 4718, 7, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25684, 73, 4718, 7, 1432677600, 0.5, NULL, NULL, NULL, NULL, 0),
(25685, 73, 4885, 7, 1432677600, 0.5, NULL, NULL, NULL, NULL, 0),
(25686, 73, 2, 1, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(25720, 93, 4960, 5, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(25721, 93, 4960, 5, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25722, 93, 5037, 4, 1432591200, 0.4, NULL, NULL, NULL, NULL, 0),
(25723, 93, 2088, 1, 1432591200, 0.1, NULL, NULL, NULL, NULL, 0),
(25724, 93, 2088, 1, 1432677600, 0.1, NULL, NULL, NULL, NULL, 0),
(25725, 93, 4957, 2, 1432677600, 0.9, NULL, NULL, NULL, NULL, 0),
(25736, 158, 4844, 5, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(25737, 158, 4844, 5, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(25738, 72, 1, 1, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(25739, 72, 23792, 1, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(25740, 72, 23792, 1, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(25741, 72, 23792, 1, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(25742, 72, 23792, 1, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(25747, 74, 4884, 5, 1432504800, 1, NULL, NULL, NULL, NULL, 0),
(25748, 74, 5023, 4, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25749, 74, 3904, 4, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25751, 74, 2821, 5, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(25752, 74, 2120, 2, 1432764000, 0.5, NULL, NULL, NULL, NULL, 0),
(25753, 74, 2906, 4, 1432764000, 0.5, NULL, NULL, NULL, NULL, 0),
(25758, 134, 4934, 4, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(25759, 134, 4934, 4, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(25775, 2, 1435, 1, 1432764000, 0.25, NULL, NULL, NULL, NULL, 0),
(25776, 2, 4364, 4, 1432764000, 0.2, NULL, NULL, NULL, NULL, 0),
(25777, 2, 5037, 4, 1432764000, 0.25, NULL, NULL, NULL, NULL, 0),
(25778, 2, 23792, 1, 1432764000, 0.3, NULL, NULL, NULL, NULL, 0),
(25779, 2, 5037, 4, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(25780, 2, 5020, 18, 1432677600, 0.5, NULL, NULL, NULL, NULL, 0),
(25781, 2, 5024, 7, 1432677600, 0.25, NULL, NULL, NULL, NULL, 0),
(25784, 2, 5024, 7, 1432677600, 0.25, NULL, NULL, NULL, NULL, 0),
(25805, 164, 3941, 17, 1432504800, 0.75, NULL, NULL, NULL, NULL, 0),
(25806, 164, 1435, 1, 1432504800, 0.25, NULL, NULL, NULL, NULL, 0),
(25808, 164, 3941, 18, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25809, 164, 1435, 1, 1432591200, 0.5, NULL, NULL, NULL, NULL, 0),
(25810, 164, 3941, 17, 1432677600, 0.5, NULL, NULL, NULL, NULL, 0),
(25811, 164, 1435, 1, 1432677600, 0.5, NULL, NULL, NULL, NULL, 0),
(25812, 164, 1435, 1, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(25813, 164, 5020, 18, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(25817, 164, 3941, 18, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(25823, 128, 5020, 18, 1432072800, 1, NULL, NULL, NULL, NULL, 0),
(25824, 128, 5020, 18, 1432159200, 1, NULL, NULL, NULL, NULL, 0),
(25825, 128, 5020, 18, 1432245600, 1, NULL, NULL, NULL, NULL, 0),
(25826, 128, 5020, 18, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(25827, 128, 5020, 18, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(25903, 109, 2, 1, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(25904, 109, 2, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(25905, 109, 2, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(25912, 134, 5097, 4, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(26008, 2, 23792, 1, 1433109600, 0.5, NULL, NULL, NULL, NULL, 0),
(26009, 2, 1435, 1, 1433109600, 0.25, NULL, NULL, NULL, NULL, 0),
(26012, 2, 5037, 4, 1433109600, 0.1, NULL, NULL, NULL, NULL, 0),
(26013, 2, 5037, 4, 1433109600, 0.05, NULL, NULL, NULL, NULL, 0),
(26036, 114, 2, 1, 1433196000, 0.5, NULL, NULL, NULL, NULL, 0),
(26069, 134, 5097, 4, 1433109600, 0.75, NULL, NULL, NULL, NULL, 0),
(26064, 164, 5020, 17, 1433196000, 0.4, NULL, NULL, NULL, NULL, 0),
(26065, 164, 1435, 1, 1433196000, 0.3, NULL, NULL, NULL, NULL, 0),
(26067, 2, 1435, 1, 1433196000, 0.5, NULL, NULL, NULL, NULL, 0),
(26068, 164, 1435, 1, 1433196000, 0.3, NULL, NULL, NULL, NULL, 0),
(26070, 134, 4935, 5, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26080, 157, 4891, 4, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(26081, 157, 4891, 4, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(26082, 157, 4891, 4, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26083, 157, 4891, 4, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26084, 157, 4891, 4, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26087, 2, 23792, 1, 1433282400, 0.25, NULL, NULL, NULL, NULL, 0),
(26088, 2, 1435, 1, 1433282400, 0.25, NULL, NULL, NULL, NULL, 0),
(26089, 2, 5020, 18, 1433282400, 0.25, NULL, NULL, NULL, NULL, 0),
(26090, 2, 4957, 4, 1433282400, 0.25, NULL, NULL, NULL, NULL, 0),
(26091, 2, 5020, 17, 1433196000, 0.5, NULL, NULL, NULL, NULL, 0),
(26092, 2, 1435, 1, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(26105, 116, 4937, 5, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(26106, 116, 4885, 4, 1433196000, 0.5, NULL, NULL, NULL, NULL, 0),
(26107, 116, 4886, 5, 1433196000, 0.5, NULL, NULL, NULL, NULL, 0),
(26108, 116, 4886, 5, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26109, 116, 4886, 5, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26118, 74, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(26119, 74, 1, 1, 1433714400, 0.5, NULL, NULL, NULL, NULL, 0),
(26120, 74, 2906, 4, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(26121, 74, 4882, 4, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(26122, 74, 5023, 5, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(26123, 74, 5023, 6, 1433282400, 0.5, NULL, NULL, NULL, NULL, 0),
(26124, 74, 4881, 4, 1433282400, 0.5, NULL, NULL, NULL, NULL, 0),
(26127, 74, 5213, 6, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26126, 74, 5213, 6, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26128, 2, 4957, 4, 1433368800, 0.5, NULL, NULL, NULL, NULL, 0),
(26129, 2, 5214, 4, 1433368800, 0.2, NULL, NULL, NULL, NULL, 0),
(26195, 147, 3904, 6, 1433109600, 0.5, NULL, NULL, NULL, NULL, 0),
(26196, 147, 4963, 4, 1433109600, 0.5, NULL, NULL, NULL, NULL, 0),
(26197, 147, 4963, 4, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(26198, 147, 4589, 7, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26201, 147, 4589, 7, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26202, 147, 4589, 7, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26203, 164, 5020, 18, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26204, 164, 1435, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26205, 164, 5020, 18, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26401, 147, 2, 1, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(26207, 116, 4886, 5, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26316, 72, 23792, 1, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(26317, 72, 23792, 1, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(26318, 72, 23792, 1, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26319, 72, 23792, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26320, 72, 23792, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26334, 2, 23792, 1, 1433455200, 0.25, NULL, NULL, NULL, NULL, 0),
(26335, 2, 1435, 1, 1433455200, 0.5, NULL, NULL, NULL, NULL, 0),
(26336, 2, 1435, 1, 1433368800, 0.3, NULL, NULL, NULL, NULL, 0),
(26337, 2, 5214, 4, 1433455200, 0.25, NULL, NULL, NULL, NULL, 0),
(26338, 146, 4886, 4, 1432677600, 0.2, NULL, NULL, NULL, NULL, 0),
(26367, 2, 5215, 5, 1433714400, 0.5, NULL, NULL, NULL, NULL, 0),
(26341, 146, 3888, 4, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(26344, 146, 3888, 4, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(26346, 146, 4719, 4, 1433109600, 0.5, NULL, NULL, NULL, NULL, 0),
(26347, 146, 4719, 4, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(26348, 146, 4719, 5, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26349, 146, 4719, 5, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26351, 146, 4719, 5, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26352, 73, 1041, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26353, 73, 1041, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26354, 73, 1, 1, 1433714400, 0.5, NULL, NULL, NULL, NULL, 0),
(26355, 73, 5099, 7, 1432850400, 0.5, NULL, NULL, NULL, NULL, 0),
(26356, 73, 5099, 7, 1432764000, 0.5, NULL, NULL, NULL, NULL, 0),
(26357, 73, 4991, 7, 1432764000, 0.25, NULL, NULL, NULL, NULL, 0),
(26358, 73, 23792, 1, 1432764000, 0.25, NULL, NULL, NULL, NULL, 0),
(26359, 73, 5099, 4, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(26360, 73, 5099, 5, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(26361, 73, 5099, 6, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(26368, 2, 5214, 5, 1433714400, 0.5, NULL, NULL, NULL, NULL, 0),
(26382, 134, 5229, 4, 1433714400, 0.7, NULL, NULL, NULL, NULL, 0),
(26383, 134, 4935, 5, 1433714400, 0.3, NULL, NULL, NULL, NULL, 0),
(26384, 134, 4934, 4, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26389, 2, 23792, 1, 1433800800, 0.3, NULL, NULL, NULL, NULL, 0),
(26390, 2, 5216, 4, 1433800800, 0.5, NULL, NULL, NULL, NULL, 0),
(26399, 147, 4964, 5, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(26661, 147, 4986, 7, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26417, 109, 2, 1, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26418, 109, 2, 1, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26419, 109, 2, 1, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26420, 109, 2, 1, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(26421, 109, 2, 1, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(26422, 109, 2, 1, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(26423, 109, 2, 1, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(26435, 2, 5216, 5, 1433800800, 0.2, NULL, NULL, NULL, NULL, 0),
(26436, 2, 2, 1, 1433973600, 0.5, NULL, NULL, NULL, NULL, 0),
(26437, 134, 5229, 4, 1433887200, 0.25, NULL, NULL, NULL, NULL, 0),
(26438, 134, 4935, 5, 1433887200, 0.25, NULL, NULL, NULL, NULL, 0),
(26439, 134, 4935, 5, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26441, 2, 5232, 4, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26442, 2, 5232, 5, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26443, 2, 5232, 7, 1433973600, 0.5, NULL, NULL, NULL, NULL, 0),
(26449, 158, 1506, 1, 1433800800, 0.2, NULL, NULL, NULL, NULL, 0),
(26450, 158, 4844, 5, 1433800800, 0.8, NULL, NULL, NULL, NULL, 0),
(26451, 158, 4844, 5, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26452, 117, 1, 1, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26453, 117, 1, 1, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26454, 117, 1, 1, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26455, 117, 1, 1, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26456, 117, 1, 1, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(26457, 117, 1, 1, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(26458, 117, 1, 1, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(26459, 117, 1, 1, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(26460, 117, 1, 1, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(26461, 117, 1, 1, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(26462, 117, 1, 1, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(26463, 117, 1, 1, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(26464, 117, 1, 1, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(26465, 117, 1, 1, 1436220000, 1, NULL, NULL, NULL, NULL, 0),
(26466, 117, 2, 1, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(26467, 117, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(26468, 117, 2, 1, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(26469, 117, 2, 1, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(26470, 117, 2, 1, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(26471, 117, 2, 1, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(26472, 117, 2, 1, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(26473, 117, 2, 1, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(26474, 117, 2, 1, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(26475, 117, 2, 1, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(26476, 117, 2, 1, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(26477, 117, 2, 1, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(26478, 117, 2, 1, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(26479, 117, 2, 1, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(26480, 117, 2, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(26482, 128, 2838, 17, 1433109600, 0.5, NULL, NULL, NULL, NULL, 0),
(26483, 128, 3562, 4, 1433109600, 0.5, NULL, NULL, NULL, NULL, 0),
(26484, 128, 3562, 5, 1433196000, 1, NULL, NULL, NULL, NULL, 0),
(26485, 128, 3562, 18, 1433282400, 0.5, NULL, NULL, NULL, NULL, 0),
(26486, 128, 3941, 18, 1433282400, 0.5, NULL, NULL, NULL, NULL, 0),
(26487, 128, 1436, 1, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(26488, 128, 1436, 1, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(26489, 128, 3562, 18, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(26490, 128, 3941, 18, 1433800800, 0.5, NULL, NULL, NULL, NULL, 0),
(26491, 128, 3562, 18, 1433800800, 0.5, NULL, NULL, NULL, NULL, 0),
(26492, 128, 2838, 17, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26493, 128, 3562, 18, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26494, 157, 4891, 4, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(26495, 157, 4890, 4, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26496, 157, 4890, 5, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26497, 157, 4890, 4, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26526, 73, 4987, 4, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26527, 73, 4987, 4, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(26530, 73, 4987, 4, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26531, 73, 2088, 1, 1433714400, 0.5, NULL, NULL, NULL, NULL, 0),
(26532, 73, 2088, 1, 1432245600, 0.5, NULL, NULL, NULL, NULL, 0),
(26543, 74, 5213, 6, 1433714400, 0.5, NULL, NULL, NULL, NULL, 0),
(26544, 74, 3940, 5, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26545, 74, 3940, 5, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26600, 116, 4886, 5, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(26601, 116, 4886, 5, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26602, 116, 4886, 5, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(26603, 116, 4886, 5, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26604, 116, 4886, 5, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26640, 164, 1435, 1, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26638, 164, 3562, 18, 1433973600, 0.25, NULL, NULL, NULL, NULL, 0),
(26639, 164, 1435, 1, 1433973600, 0.25, NULL, NULL, NULL, NULL, 0),
(26637, 164, 3943, 17, 1433973600, 0.5, NULL, NULL, NULL, NULL, 0),
(26632, 164, 5020, 18, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(26633, 164, 5020, 18, 1433800800, 0.5, NULL, NULL, NULL, NULL, 0),
(26634, 164, 3941, 18, 1433800800, 0.5, NULL, NULL, NULL, NULL, 0),
(26635, 164, 3941, 18, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26636, 164, 3943, 18, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26647, 128, 1436, 1, 1434060000, 0.5, NULL, NULL, NULL, NULL, 0),
(26648, 128, 2838, 17, 1434060000, 0.5, NULL, NULL, NULL, NULL, 0),
(26649, 128, 1436, 1, 1433973600, 0.5, NULL, NULL, NULL, NULL, 0),
(26650, 128, 2838, 17, 1433973600, 0.5, NULL, NULL, NULL, NULL, 0),
(26655, 147, 4589, 7, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26656, 147, 4986, 7, 1434060000, 0.5, NULL, NULL, NULL, NULL, 0),
(26657, 147, 4589, 7, 1434060000, 0.5, NULL, NULL, NULL, NULL, 0),
(26660, 147, 4589, 7, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26659, 147, 4589, 7, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26664, 73, 4987, 4, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26691, 2, 5232, 4, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26693, 146, 4719, 5, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(26694, 146, 4719, 5, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26695, 146, 4719, 5, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(26696, 146, 4719, 5, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26697, 146, 4719, 5, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26707, 116, 2, 1, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(26708, 116, 2, 1, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(26709, 116, 2, 1, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(26711, 116, 2, 1, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(26712, 116, 2, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(26726, 134, 5263, 4, 1433109600, 0.25, NULL, NULL, NULL, NULL, 0),
(26727, 134, 5263, 4, 1433196000, 0.9, NULL, NULL, NULL, NULL, 0),
(26728, 134, 1505, 1, 1433196000, 0.1, NULL, NULL, NULL, NULL, 0),
(26729, 134, 4935, 5, 1433973600, 0.75, NULL, NULL, NULL, NULL, 0),
(26730, 134, 4934, 4, 1433973600, 0.25, NULL, NULL, NULL, NULL, 0),
(26731, 134, 4934, 4, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(26755, 74, 1506, 1, 1434060000, 0.5, NULL, NULL, NULL, NULL, 0),
(26756, 2, 5232, 4, 1434319200, 0.5, NULL, NULL, NULL, NULL, 0),
(26757, 2, 5232, 7, 1434319200, 0.5, NULL, NULL, NULL, NULL, 0),
(26764, 74, 3940, 5, 1434060000, 0.5, NULL, NULL, NULL, NULL, 0),
(26765, 74, 5279, 6, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26766, 74, 5279, 6, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(26768, 74, 3940, 5, 1434319200, 0.5, NULL, NULL, NULL, NULL, 0),
(26770, 74, 5279, 6, 1434319200, 0.5, NULL, NULL, NULL, NULL, 0),
(26772, 2, 5232, 5, 1434405600, 0.5, NULL, NULL, NULL, NULL, 0),
(26773, 134, 2, 1, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(26778, 157, 4891, 4, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26779, 157, 4891, 4, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26780, 157, 4891, 4, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26781, 157, 4890, 2, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(26782, 157, 4891, 5, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(26783, 157, 4891, 5, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(26784, 157, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(26785, 2, 5232, 5, 1434405600, 0.5, NULL, NULL, NULL, NULL, 0),
(26787, 134, 4935, 5, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26788, 134, 4935, 5, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26790, 134, 4935, 6, 1434492000, 0.5, NULL, NULL, NULL, NULL, 0),
(26814, 164, 3562, 18, 1434319200, 0.5, NULL, NULL, NULL, NULL, 0),
(26815, 164, 1435, 1, 1434319200, 0.5, NULL, NULL, NULL, NULL, 0),
(26816, 164, 3941, 17, 1434405600, 0.5, NULL, NULL, NULL, NULL, 0),
(26817, 164, 3943, 18, 1434405600, 0.5, NULL, NULL, NULL, NULL, 0),
(26818, 164, 3941, 17, 1434492000, 0.5, NULL, NULL, NULL, NULL, 0),
(26819, 164, 3941, 18, 1434492000, 0.5, NULL, NULL, NULL, NULL, 0),
(26828, 93, 4957, 2, 1432764000, 0.5, NULL, NULL, NULL, NULL, 0),
(26829, 93, 2088, 1, 1432764000, 0.5, NULL, NULL, NULL, NULL, 0),
(26832, 93, 2088, 1, 1433714400, 0.2, NULL, NULL, NULL, NULL, 0),
(26831, 93, 2088, 1, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(27233, 93, 2088, 1, 1433800800, 0.2, NULL, NULL, NULL, NULL, 0),
(26834, 93, 2088, 1, 1433887200, 0.2, NULL, NULL, NULL, NULL, 0),
(27234, 93, 2088, 1, 1433973600, 0.2, NULL, NULL, NULL, NULL, 0),
(26836, 93, 2088, 1, 1434060000, 0.2, NULL, NULL, NULL, NULL, 0),
(27228, 93, 5280, 4, 1433973600, 0.5, NULL, NULL, NULL, NULL, 0),
(27236, 93, 5280, 4, 1433887200, 0.4, NULL, NULL, NULL, NULL, 0),
(27235, 93, 5280, 4, 1433800800, 0.4, NULL, NULL, NULL, NULL, 0),
(27225, 93, 5280, 4, 1433714400, 0.5, NULL, NULL, NULL, NULL, 0),
(27229, 93, 5280, 4, 1434060000, 0.8, NULL, NULL, NULL, NULL, 0),
(26851, 93, 5280, 4, 1434319200, 0.5, NULL, NULL, NULL, NULL, 0),
(26852, 93, 5280, 4, 1434405600, 0.5, NULL, NULL, NULL, NULL, 0),
(27224, 93, 5280, 4, 1434492000, 0.25, NULL, NULL, NULL, NULL, 0),
(26856, 93, 2088, 1, 1434319200, 0.3, NULL, NULL, NULL, NULL, 0),
(26857, 93, 2088, 1, 1434492000, 0.2, NULL, NULL, NULL, NULL, 0),
(26893, 2, 5232, 5, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26894, 2, 5232, 5, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(26895, 72, 2, 1, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(26896, 109, 2, 1, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(26897, 114, 1041, 1, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26898, 146, 4719, 5, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26899, 146, 4719, 5, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26900, 146, 4719, 5, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26901, 146, 4719, 5, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(26902, 72, 23792, 1, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26903, 72, 23792, 1, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26904, 72, 23792, 1, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26905, 72, 23792, 1, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(26906, 72, 23792, 1, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(26907, 146, 4719, 5, 1434664800, 0.5, NULL, NULL, NULL, NULL, 0),
(26908, 72, 23792, 1, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(26909, 72, 23792, 1, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(26910, 72, 23792, 1, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(26911, 72, 23792, 1, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(26912, 72, 23792, 1, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(27632, 146, 4889, 6, 1434924000, 0.5, NULL, NULL, NULL, NULL, 0),
(27633, 146, 4889, 4, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(27638, 146, 4987, 4, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27637, 146, 4719, 6, 1435096800, 0.4, NULL, NULL, NULL, NULL, 0),
(27636, 146, 4719, 2, 1435096800, 0.1, NULL, NULL, NULL, NULL, 0),
(26919, 146, 4913, 5, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(26920, 146, 4913, 5, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(26921, 128, 1436, 1, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26922, 128, 1436, 1, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26924, 128, 1436, 1, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26925, 128, 1436, 1, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(26927, 93, 5297, 4, 1434319200, 0.2, NULL, NULL, NULL, NULL, 0),
(26928, 93, 5297, 4, 1434405600, 0.5, NULL, NULL, NULL, NULL, 0),
(26929, 93, 5297, 4, 1434492000, 0.3, NULL, NULL, NULL, NULL, 0),
(26981, 74, 5279, 6, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26982, 74, 5279, 6, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26983, 74, 5279, 6, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(26984, 74, 5279, 6, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(26988, 147, 4590, 5, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(26989, 147, 4881, 4, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(26990, 147, 4844, 5, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(26991, 147, 4844, 5, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(26992, 147, 4881, 4, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(26994, 2, 1435, 1, 1434664800, 0.5, NULL, NULL, NULL, NULL, 0),
(27003, 164, 3941, 18, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(27004, 164, 3941, 18, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(27006, 164, 3941, 18, 1434664800, 0.5, NULL, NULL, NULL, NULL, 0),
(27007, 164, 1435, 1, 1434664800, 0.5, NULL, NULL, NULL, NULL, 0),
(27008, 73, 4718, 7, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(27009, 73, 4718, 7, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(27010, 73, 4912, 4, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(27011, 73, 4912, 4, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(27012, 73, 4912, 4, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(27021, 73, 1, 1, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(27022, 116, 4886, 5, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(27023, 116, 4886, 5, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(27024, 116, 4886, 5, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(27025, 116, 4886, 5, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(27026, 116, 4886, 5, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(27035, 147, 4881, 4, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27038, 147, 4844, 5, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(27037, 147, 4844, 5, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(27039, 147, 4882, 5, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27040, 147, 4844, 5, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(27939, 147, 4882, 5, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(27940, 147, 5412, 5, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(27052, 134, 4934, 7, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(27056, 134, 4935, 5, 1434578400, 0.6, NULL, NULL, NULL, NULL, 0),
(27054, 134, 1505, 1, 1434578400, 0.1, NULL, NULL, NULL, NULL, 0),
(27055, 134, 1436, 1, 1434578400, 0.25, NULL, NULL, NULL, NULL, 0),
(27057, 134, 1505, 1, 1434578400, 0.05, NULL, NULL, NULL, NULL, 0),
(27132, 114, 2, 1, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27142, 93, 2, 1, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(27137, 114, 2, 1, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(27230, 93, 2041, 1, 1433714400, 0.3, NULL, NULL, NULL, NULL, 0),
(27215, 93, 5341, 4, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(27217, 93, 5343, 4, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(27242, 93, 4957, 2, 1433800800, 0.4, NULL, NULL, NULL, NULL, 0),
(27243, 93, 4957, 2, 1433887200, 0.4, NULL, NULL, NULL, NULL, 0),
(27240, 93, 4957, 2, 1433973600, 0.2, NULL, NULL, NULL, NULL, 0),
(27244, 93, 2041, 1, 1433973600, 0.1, NULL, NULL, NULL, NULL, 0),
(27245, 134, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(27277, 157, 5098, 4, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27278, 157, 5098, 4, 1435010400, 0.5, NULL, NULL, NULL, NULL, 0),
(27279, 157, 4891, 4, 1435010400, 0.5, NULL, NULL, NULL, NULL, 0),
(27280, 157, 4890, 7, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(27281, 2, 5344, 4, 1435010400, 0.25, NULL, NULL, NULL, NULL, 0),
(27282, 2, 4890, 4, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27283, 2, 4890, 4, 1435010400, 0.75, NULL, NULL, NULL, NULL, 0),
(27284, 2, 2089, 1, 1435096800, 0.25, NULL, NULL, NULL, NULL, 0),
(27293, 2, 23792, 1, 1435096800, 0.25, NULL, NULL, NULL, NULL, 0),
(27294, 164, 3562, 18, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27295, 164, 3562, 18, 1435010400, 0.5, NULL, NULL, NULL, NULL, 0),
(27296, 164, 1435, 1, 1435010400, 0.5, NULL, NULL, NULL, NULL, 0),
(27564, 164, 5354, 17, 1435269600, 0.5, NULL, NULL, NULL, NULL, 0),
(27298, 164, 1435, 1, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27299, 147, 2, 1, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(27300, 147, 2, 1, 1436220000, 1, NULL, NULL, NULL, NULL, 0),
(27301, 147, 2, 1, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(27302, 147, 2, 1, 1436392800, 1, NULL, NULL, NULL, NULL, 0),
(27303, 147, 2, 1, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(27309, 147, 2, 1, 1437516000, 0.5, NULL, NULL, NULL, NULL, 0),
(27310, 116, 4886, 5, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27311, 116, 4886, 5, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(27312, 134, 4935, 5, 1434924000, 0.5, NULL, NULL, NULL, NULL, 0),
(27313, 134, 4935, 6, 1434924000, 0.5, NULL, NULL, NULL, NULL, 0),
(27314, 134, 4935, 5, 1435010400, 0.6, NULL, NULL, NULL, NULL, 0),
(27315, 134, 4935, 6, 1435010400, 0.4, NULL, NULL, NULL, NULL, 0),
(27324, 158, 4844, 5, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(27317, 134, 4935, 6, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(27325, 134, 5345, 5, 1433887200, 0.5, NULL, NULL, NULL, NULL, 0),
(27326, 134, 1437, 1, 1434492000, 0.5, NULL, NULL, NULL, NULL, 0),
(27320, 158, 4844, 5, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(27321, 158, 4844, 5, 1434492000, 1, NULL, NULL, NULL, NULL, 0),
(27322, 158, 4844, 5, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(27327, 158, 2, 1, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(27330, 158, 2, 1, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(27329, 158, 2, 1, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(27331, 158, 2, 1, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(27332, 158, 2, 1, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(27333, 158, 2, 1, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(27334, 158, 2, 1, 1442527200, 1, NULL, NULL, NULL, NULL, 0),
(27335, 158, 2, 1, 1442872800, 1, NULL, NULL, NULL, NULL, 0),
(27336, 158, 2, 1, 1443045600, 1, NULL, NULL, NULL, NULL, 0),
(27337, 158, 2, 1, 1443391200, 1, NULL, NULL, NULL, NULL, 0),
(27338, 158, 2, 1, 1443564000, 1, NULL, NULL, NULL, NULL, 0),
(27339, 158, 2, 1, 1443736800, 1, NULL, NULL, NULL, NULL, 0),
(27340, 158, 2, 1, 1444082400, 1, NULL, NULL, NULL, NULL, 0),
(27341, 158, 2, 1, 1444255200, 1, NULL, NULL, NULL, NULL, 0),
(27342, 158, 2, 1, 1444600800, 1, NULL, NULL, NULL, NULL, 0),
(27343, 158, 2, 1, 1444773600, 1, NULL, NULL, NULL, NULL, 0),
(27344, 158, 2, 1, 1444946400, 1, NULL, NULL, NULL, NULL, 0),
(27345, 158, 2, 1, 1445292000, 1, NULL, NULL, NULL, NULL, 0),
(27346, 158, 2, 1, 1445464800, 1, NULL, NULL, NULL, NULL, 0),
(32780, 2, 2, 1, 1451516400, 1, 2, 1442568552, NULL, NULL, 0),
(32779, 2, 2, 1, 1451430000, 1, 2, 1442568552, NULL, NULL, 0),
(27349, 158, 2, 1, 1450825200, 1, NULL, NULL, NULL, NULL, 0),
(27350, 158, 2, 1, 1450911600, 1, NULL, NULL, NULL, NULL, 0),
(27351, 158, 2, 1, 1451257200, 1, NULL, NULL, NULL, NULL, 0),
(27352, 158, 2, 1, 1451343600, 1, NULL, NULL, NULL, NULL, 0),
(32778, 2, 2, 1, 1451343600, 1, 2, 1442568552, NULL, NULL, 0),
(32777, 2, 2, 1, 1451257200, 1, 2, 1442568552, NULL, NULL, 0),
(27355, 158, 2, 1, 1445814000, 1, NULL, NULL, NULL, NULL, 0),
(27356, 158, 2, 1, 1445986800, 1, NULL, NULL, NULL, NULL, 0),
(27357, 158, 2, 1, 1446159600, 1, NULL, NULL, NULL, NULL, 0),
(27358, 158, 2, 1, 1446505200, 1, NULL, NULL, NULL, NULL, 0),
(27359, 158, 2, 1, 1446678000, 1, NULL, NULL, NULL, NULL, 0),
(27360, 158, 2, 1, 1447023600, 1, NULL, NULL, NULL, NULL, 0),
(27361, 158, 2, 1, 1447369200, 1, NULL, NULL, NULL, NULL, 0),
(27362, 158, 2, 1, 1447714800, 1, NULL, NULL, NULL, NULL, 0),
(27363, 158, 2, 1, 1447887600, 1, NULL, NULL, NULL, NULL, 0),
(27364, 158, 2, 1, 1448233200, 1, NULL, NULL, NULL, NULL, 0),
(27365, 158, 2, 1, 1448406000, 1, NULL, NULL, NULL, NULL, 0),
(27366, 158, 2, 1, 1448578800, 1, NULL, NULL, NULL, NULL, 0),
(27367, 158, 2, 1, 1448924400, 1, NULL, NULL, NULL, NULL, 0),
(27368, 158, 2, 1, 1449097200, 1, NULL, NULL, NULL, NULL, 0),
(27369, 158, 2, 1, 1449442800, 1, NULL, NULL, NULL, NULL, 0),
(27370, 158, 2, 1, 1449615600, 1, NULL, NULL, NULL, NULL, 0),
(27371, 158, 2, 1, 1449788400, 1, NULL, NULL, NULL, NULL, 0),
(27372, 158, 2, 1, 1450134000, 1, NULL, NULL, NULL, NULL, 0),
(27373, 158, 2, 1, 1450306800, 1, NULL, NULL, NULL, NULL, 0),
(27374, 2, 1506, 1, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27375, 158, 1506, 1, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27379, 72, 1506, 1, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27380, 72, 1, 1, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(27381, 72, 23792, 1, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27382, 72, 23792, 1, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(27401, 134, 1437, 1, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27402, 134, 4934, 7, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27439, 74, 5279, 4, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27440, 74, 5279, 4, 1435010400, 0.75, NULL, NULL, NULL, NULL, 0),
(27441, 74, 4890, 4, 1435010400, 0.25, NULL, NULL, NULL, NULL, 0),
(27584, 2, 5357, 4, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27443, 74, 5279, 4, 1435096800, 0.75, NULL, NULL, NULL, NULL, 0),
(27585, 74, 5357, 4, 1435096800, 0.25, NULL, NULL, NULL, NULL, 0),
(27445, 114, 4940, 6, 1432591200, 1, NULL, NULL, NULL, NULL, 0),
(27446, 114, 5037, 4, 1432677600, 1, NULL, NULL, NULL, NULL, 0),
(27447, 114, 5037, 4, 1432764000, 1, NULL, NULL, NULL, NULL, 0),
(27448, 114, 4957, 4, 1432850400, 1, NULL, NULL, NULL, NULL, 0),
(27449, 114, 5037, 4, 1433109600, 1, NULL, NULL, NULL, NULL, 0),
(27450, 114, 4957, 4, 1433196000, 0.5, NULL, NULL, NULL, NULL, 0),
(27451, 114, 5098, 6, 1433282400, 1, NULL, NULL, NULL, NULL, 0),
(27452, 114, 5232, 4, 1433368800, 1, NULL, NULL, NULL, NULL, 0),
(27453, 114, 5098, 4, 1433455200, 1, NULL, NULL, NULL, NULL, 0),
(27454, 114, 4957, 4, 1433714400, 1, NULL, NULL, NULL, NULL, 0),
(27457, 114, 5232, 4, 1433800800, 1, NULL, NULL, NULL, NULL, 0),
(27458, 114, 5098, 6, 1433887200, 1, NULL, NULL, NULL, NULL, 0),
(27459, 114, 5098, 6, 1433973600, 1, NULL, NULL, NULL, NULL, 0),
(27460, 114, 5098, 6, 1434060000, 1, NULL, NULL, NULL, NULL, 0),
(27461, 114, 4957, 6, 1434319200, 1, NULL, NULL, NULL, NULL, 0),
(27462, 114, 5098, 4, 1434405600, 1, NULL, NULL, NULL, NULL, 0),
(27463, 114, 5098, 4, 1434578400, 1, NULL, NULL, NULL, NULL, 0),
(27464, 114, 5098, 6, 1434664800, 1, NULL, NULL, NULL, NULL, 0),
(27470, 114, 5344, 4, 1435183200, 1, NULL, NULL, NULL, NULL, 0),
(27468, 114, 5348, 4, 1435010400, 0.5, NULL, NULL, NULL, NULL, 0),
(27469, 114, 5348, 5, 1435010400, 0.5, NULL, NULL, NULL, NULL, 0),
(27472, 114, 2, 1, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27480, 114, 5344, 4, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27495, 2, 4957, 4, 1435269600, 0.25, NULL, NULL, NULL, NULL, 0),
(27501, 93, 5342, 4, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27504, 93, 5341, 4, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(27507, 93, 5343, 4, 1435269600, 0.25, NULL, NULL, NULL, NULL, 0),
(27510, 93, 5341, 4, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27509, 93, 5342, 4, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27511, 93, 4958, 2, 1435183200, 1, NULL, NULL, NULL, NULL, 0),
(27543, 158, 4844, 5, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27559, 157, 1506, 1, 1435183200, 0.4, NULL, NULL, NULL, NULL, 0),
(27560, 157, 4891, 4, 1435183200, 0.6, NULL, NULL, NULL, NULL, 0),
(27561, 157, 4891, 4, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(27562, 164, 3941, 18, 1435269600, 0.5, NULL, NULL, NULL, NULL, 0),
(27563, 164, 5354, 17, 1435096800, 0.5, NULL, NULL, NULL, NULL, 0),
(27565, 164, 5354, 17, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27566, 164, 5020, 17, 1435183200, 0.25, NULL, NULL, NULL, NULL, 0),
(27567, 164, 1435, 1, 1435183200, 0.25, NULL, NULL, NULL, NULL, 0),
(27581, 2, 23792, 1, 1435269600, 0.25, NULL, NULL, NULL, NULL, 0),
(27582, 2, 4890, 4, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27583, 2, 5357, 4, 1435269600, 0.5, NULL, NULL, NULL, NULL, 0),
(27586, 74, 5357, 4, 1435183200, 1, NULL, NULL, NULL, NULL, 0),
(27587, 74, 5357, 4, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(27884, 93, 5342, 4, 1435269600, 0.5, NULL, NULL, NULL, NULL, 0),
(27883, 93, 2088, 1, 1435269600, 0.25, NULL, NULL, NULL, NULL, 0),
(27603, 116, 4886, 5, 1435096800, 1, NULL, NULL, NULL, NULL, 0),
(27604, 116, 4886, 5, 1435183200, 1, NULL, NULL, NULL, NULL, 0),
(27608, 116, 5358, 4, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(27640, 146, 1506, 1, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27628, 146, 4719, 6, 1434664800, 0.5, NULL, NULL, NULL, NULL, 0),
(27630, 146, 4719, 6, 1434924000, 0.5, NULL, NULL, NULL, NULL, 0),
(27643, 146, 4987, 6, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27642, 146, 4889, 6, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(27655, 158, 2, 1, 1442786400, 1, NULL, NULL, NULL, NULL, 0),
(27656, 158, 2, 1, 1442959200, 1, NULL, NULL, NULL, NULL, 0),
(27657, 158, 2, 1, 1443132000, 1, NULL, NULL, NULL, NULL, 0),
(27658, 158, 2, 1, 1443477600, 1, NULL, NULL, NULL, NULL, 0),
(27659, 158, 2, 1, 1443650400, 1, NULL, NULL, NULL, NULL, 0),
(27660, 158, 2, 1, 1447628400, 1, NULL, NULL, NULL, NULL, 0),
(35513, 158, 2, 1, 1451516400, 1, 158, 1446109760, NULL, NULL, 0),
(27662, 158, 2, 1, 1450047600, 1, NULL, NULL, NULL, NULL, 0),
(27674, 146, 2, 1, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(27684, 73, 1041, 1, 1446418800, 1, NULL, NULL, NULL, NULL, 0),
(27685, 73, 1041, 1, 1446505200, 1, NULL, NULL, NULL, NULL, 0),
(27686, 73, 1041, 1, 1446591600, 1, NULL, NULL, NULL, NULL, 0),
(27687, 73, 1041, 1, 1446678000, 1, NULL, NULL, NULL, NULL, 0),
(27688, 73, 1041, 1, 1446764400, 1, NULL, NULL, NULL, NULL, 0),
(27689, 73, 1041, 1, 1447023600, 1, NULL, NULL, NULL, NULL, 0),
(27690, 73, 1041, 1, 1447110000, 1, NULL, NULL, NULL, NULL, 0),
(27691, 73, 1041, 1, 1447282800, 1, NULL, NULL, NULL, NULL, 0),
(27692, 73, 1041, 1, 1447369200, 1, NULL, NULL, NULL, NULL, 0),
(27693, 73, 1041, 1, 1447628400, 1, NULL, NULL, NULL, NULL, 0),
(27694, 73, 1041, 1, 1447714800, 1, NULL, NULL, NULL, NULL, 0),
(27695, 73, 1041, 1, 1447801200, 1, NULL, NULL, NULL, NULL, 0),
(27696, 73, 1041, 1, 1447887600, 1, NULL, NULL, NULL, NULL, 0),
(27697, 73, 1041, 1, 1447974000, 1, NULL, NULL, NULL, NULL, 0),
(27698, 73, 1041, 1, 1448233200, 1, NULL, NULL, NULL, NULL, 0),
(27699, 73, 1041, 1, 1448319600, 1, NULL, NULL, NULL, NULL, 0),
(27700, 73, 1041, 1, 1448406000, 1, NULL, NULL, NULL, NULL, 0),
(27701, 73, 1041, 1, 1448492400, 1, NULL, NULL, NULL, NULL, 0),
(27702, 73, 1041, 1, 1448578800, 1, NULL, NULL, NULL, NULL, 0),
(27703, 73, 1041, 1, 1448838000, 1, NULL, NULL, NULL, NULL, 0),
(27704, 73, 1041, 1, 1448924400, 1, NULL, NULL, NULL, NULL, 0),
(27705, 73, 1041, 1, 1449010800, 1, NULL, NULL, NULL, NULL, 0),
(27706, 73, 1041, 1, 1449097200, 1, NULL, NULL, NULL, NULL, 0),
(27707, 73, 1041, 1, 1449183600, 1, NULL, NULL, NULL, NULL, 0),
(27708, 73, 1041, 1, 1449442800, 1, NULL, NULL, NULL, NULL, 0),
(27709, 73, 1041, 1, 1449529200, 1, NULL, NULL, NULL, NULL, 0),
(27710, 73, 1041, 1, 1449615600, 1, NULL, NULL, NULL, NULL, 0),
(27711, 73, 1041, 1, 1449702000, 1, NULL, NULL, NULL, NULL, 0),
(27712, 73, 1041, 1, 1449788400, 1, NULL, NULL, NULL, NULL, 0),
(27713, 73, 1041, 1, 1450047600, 1, NULL, NULL, NULL, NULL, 0),
(27714, 73, 1041, 1, 1450134000, 1, NULL, NULL, NULL, NULL, 0),
(27715, 73, 1041, 1, 1450220400, 1, NULL, NULL, NULL, NULL, 0),
(27716, 73, 1041, 1, 1450306800, 1, NULL, NULL, NULL, NULL, 0),
(27717, 73, 1041, 1, 1450393200, 1, NULL, NULL, NULL, NULL, 0),
(27718, 73, 1041, 1, 1450652400, 1, NULL, NULL, NULL, NULL, 0),
(27719, 73, 1041, 1, 1450738800, 1, NULL, NULL, NULL, NULL, 0),
(27720, 73, 1041, 1, 1450825200, 1, NULL, NULL, NULL, NULL, 0),
(27721, 73, 1041, 1, 1450911600, 1, NULL, NULL, NULL, NULL, 0),
(27722, 73, 1041, 1, 1451257200, 1, NULL, NULL, NULL, NULL, 0),
(27723, 73, 1041, 1, 1451343600, 1, NULL, NULL, NULL, NULL, 0),
(27724, 73, 1041, 1, 1451430000, 1, NULL, NULL, NULL, NULL, 0),
(27725, 73, 1041, 1, 1451516400, 1, NULL, NULL, NULL, NULL, 0),
(27729, 116, 2, 1, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(27730, 116, 2, 1, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(27736, 74, 1, 1, 1435701600, 0.5, NULL, NULL, NULL, NULL, 0),
(27740, 2, 5362, 4, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27741, 2, 23792, 1, 1435528800, 0.25, NULL, NULL, NULL, NULL, 0),
(27743, 116, 5358, 4, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27744, 116, 4455, 6, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27745, 116, 2, 1, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(27788, 73, 4912, 7, 1434924000, 1, NULL, NULL, NULL, NULL, 0),
(27789, 73, 4912, 7, 1435010400, 1, NULL, NULL, NULL, NULL, 0),
(27792, 2, 5362, 4, 1435615200, 0.75, NULL, NULL, NULL, NULL, 0),
(27794, 73, 4912, 7, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(27795, 2, 5362, 4, 1435528800, 0.25, NULL, NULL, NULL, NULL, 0),
(27796, 73, 4912, 7, 1435183200, 1, NULL, NULL, NULL, NULL, 0),
(27797, 73, 4912, 7, 1435269600, 1, NULL, NULL, NULL, NULL, 0),
(27798, 73, 4912, 7, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27799, 73, 5405, 4, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27830, 157, 4891, 5, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(27831, 157, 4891, 5, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(27832, 157, 4891, 5, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(27833, 157, 4891, 5, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(27834, 157, 4891, 5, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(27846, 158, 1436, 1, 1435701600, 0.75, NULL, NULL, NULL, NULL, 0),
(27847, 158, 1436, 1, 1435528800, 0.25, NULL, NULL, NULL, NULL, 0),
(27848, 158, 4844, 5, 1435528800, 0.75, NULL, NULL, NULL, NULL, 0),
(27849, 158, 4844, 5, 1435701600, 0.25, NULL, NULL, NULL, NULL, 0),
(27851, 164, 3562, 18, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27852, 164, 5020, 18, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27853, 164, 5020, 18, 1435615200, 0.25, NULL, NULL, NULL, NULL, 0),
(27854, 164, 5354, 17, 1435615200, 0.5, NULL, NULL, NULL, NULL, 0),
(27855, 164, 3941, 18, 1435615200, 0.25, NULL, NULL, NULL, NULL, 0),
(27856, 164, 5354, 18, 1435701600, 0.3, NULL, NULL, NULL, NULL, 0),
(27857, 164, 3941, 18, 1435701600, 0.3, NULL, NULL, NULL, NULL, 0),
(27858, 164, 3941, 18, 1435701600, 0.4, NULL, NULL, NULL, NULL, 0),
(27859, 72, 5357, 4, 1435615200, 0.5, NULL, NULL, NULL, NULL, 0),
(27860, 72, 5357, 4, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(27861, 72, 23792, 1, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(27862, 72, 4957, 4, 1435615200, 0.5, NULL, NULL, NULL, NULL, 0),
(27863, 72, 23792, 1, 1435183200, 0.5, NULL, NULL, NULL, NULL, 0),
(27865, 134, 5407, 4, 1435269600, 0.25, NULL, NULL, NULL, NULL, 0),
(27866, 134, 4886, 6, 1435269600, 0.7, NULL, NULL, NULL, NULL, 0),
(27867, 134, 4934, 7, 1435269600, 0.05, NULL, NULL, NULL, NULL, 0),
(27868, 134, 5407, 5, 1435528800, 0.25, NULL, NULL, NULL, NULL, 0),
(27869, 134, 5407, 6, 1435528800, 0.6, NULL, NULL, NULL, NULL, 0),
(27871, 134, 4886, 6, 1435528800, 0.1, NULL, NULL, NULL, NULL, 0),
(27872, 134, 4886, 6, 1435528800, 0.05, NULL, NULL, NULL, NULL, 0),
(27873, 134, 4455, 4, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(27874, 73, 1041, 1, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(27875, 73, 1041, 1, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(27876, 73, 1041, 1, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(27877, 73, 1041, 1, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(27878, 73, 1041, 1, 1436220000, 1, NULL, NULL, NULL, NULL, 0),
(27879, 73, 1041, 1, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(27880, 73, 1041, 1, 1436392800, 1, NULL, NULL, NULL, NULL, 0),
(27881, 73, 1041, 1, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(27891, 93, 5297, 6, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(27892, 93, 5297, 6, 1435528800, 0.25, NULL, NULL, NULL, NULL, 0),
(27897, 93, 5297, 6, 1435615200, 0.25, NULL, NULL, NULL, NULL, 0),
(27894, 93, 5343, 6, 1435788000, 0.25, NULL, NULL, NULL, NULL, 0),
(27895, 93, 5343, 6, 1435615200, 0.25, NULL, NULL, NULL, NULL, 0),
(27898, 93, 5343, 6, 1435528800, 0.25, NULL, NULL, NULL, NULL, 0),
(27899, 93, 5342, 5, 1435528800, 0.5, NULL, NULL, NULL, NULL, 0),
(27901, 93, 5342, 5, 1435615200, 0.5, NULL, NULL, NULL, NULL, 0),
(28980, 169, 1436, 1, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(27941, 147, 5412, 5, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(27942, 147, 5412, 5, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(27943, 147, 5412, 5, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(27999, 2, 23792, 1, 1435788000, 0.5, NULL, NULL, NULL, NULL, 0),
(28002, 2, 2089, 1, 1435788000, 0.25, NULL, NULL, NULL, NULL, 0),
(28001, 2, 2089, 1, 1435701600, 0.25, NULL, NULL, NULL, NULL, 0),
(28853, 2, 1, 1, 1435701600, 0.5, NULL, NULL, NULL, NULL, 0),
(28009, 74, 5357, 4, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(28010, 74, 5357, 4, 1435701600, 0.5, NULL, NULL, NULL, NULL, 0),
(28011, 74, 5279, 6, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(28012, 74, 5453, 4, 1435528800, 1, NULL, NULL, NULL, NULL, 0),
(28219, 109, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(28229, 117, 2, 1, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(28230, 117, 2, 1, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(28231, 117, 2, 1, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(28232, 117, 2, 1, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(28233, 117, 2, 1, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(28291, 164, 3941, 17, 1435788000, 0.5, NULL, NULL, NULL, NULL, 0),
(28290, 164, 1435, 1, 1435788000, 0.5, NULL, NULL, NULL, NULL, 0),
(28292, 164, 3941, 17, 1435874400, 0.5, NULL, NULL, NULL, NULL, 0),
(28293, 164, 3941, 18, 1435874400, 0.2, NULL, NULL, NULL, NULL, 0),
(28294, 164, 3941, 4, 1435874400, 0.3, NULL, NULL, NULL, NULL, 0),
(28303, 93, 4266, 2, 1435788000, 0.25, NULL, NULL, NULL, NULL, 0),
(28304, 93, 5297, 6, 1435788000, 0.25, NULL, NULL, NULL, NULL, 0),
(28305, 93, 5341, 4, 1435788000, 0.25, NULL, NULL, NULL, NULL, 0),
(28310, 93, 5360, 4, 1435874400, 0.2, NULL, NULL, NULL, NULL, 0),
(28311, 93, 5457, 4, 1435874400, 0.6, NULL, NULL, NULL, NULL, 0),
(28327, 74, 1, 1, 1436133600, 0.5, NULL, NULL, NULL, NULL, 0),
(28328, 74, 5357, 5, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(28330, 72, 4957, 7, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(28331, 72, 23792, 1, 1435788000, 0.5, NULL, NULL, NULL, NULL, 0),
(28332, 72, 5357, 4, 1435788000, 0.5, NULL, NULL, NULL, NULL, 0),
(28334, 109, 2, 1, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(28335, 2, 2, 1, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(28423, 116, 5358, 4, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(28424, 116, 4455, 6, 1435615200, 1, NULL, NULL, NULL, NULL, 0),
(28425, 158, 5457, 5, 1436220000, 0.1, NULL, NULL, NULL, NULL, 0),
(29080, 158, 1436, 1, 1435874400, 0.6, NULL, NULL, NULL, NULL, 0),
(28427, 158, 5457, 5, 1435874400, 0.4, NULL, NULL, NULL, NULL, 0),
(28432, 2, 5411, 5, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(28433, 2, 5411, 4, 1435788000, 0.25, NULL, NULL, NULL, NULL, 0),
(28434, 2, 5411, 4, 1435615200, 0.25, NULL, NULL, NULL, NULL, 0),
(28435, 2, 5357, 4, 1436220000, 0.25, NULL, NULL, NULL, NULL, 0),
(28436, 114, 1, 1, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28437, 114, 1, 1, 1436306400, 0.5, NULL, NULL, NULL, NULL, 0),
(28438, 114, 1, 1, 1436392800, 0.5, NULL, NULL, NULL, NULL, 0),
(28439, 114, 1, 1, 1436479200, 0.5, NULL, NULL, NULL, NULL, 0),
(28855, 114, 1, 1, 1436133600, 0.5, NULL, NULL, NULL, NULL, 0),
(28441, 114, 1, 1, 1436911200, 0.5, NULL, NULL, NULL, NULL, 0),
(28442, 114, 1, 1, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(28443, 114, 1, 1, 1437084000, 0.5, NULL, NULL, NULL, NULL, 0),
(28857, 2, 5411, 5, 1436911200, 0.75, NULL, NULL, NULL, NULL, 0),
(28445, 114, 1, 1, 1437429600, 0.5, NULL, NULL, NULL, NULL, 0),
(28446, 114, 1, 1, 1437516000, 0.5, NULL, NULL, NULL, NULL, 0),
(28447, 114, 1, 1, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(28448, 114, 1, 1, 1437688800, 0.5, NULL, NULL, NULL, NULL, 0),
(28449, 114, 1, 1, 1437948000, 0.5, NULL, NULL, NULL, NULL, 0),
(28450, 114, 1, 1, 1438034400, 0.5, NULL, NULL, NULL, NULL, 0),
(28451, 114, 1, 1, 1438120800, 0.5, NULL, NULL, NULL, NULL, 0),
(28452, 114, 1, 1, 1438207200, 0.5, NULL, NULL, NULL, NULL, 0),
(28453, 114, 1, 1, 1438293600, 0.5, NULL, NULL, NULL, NULL, 0),
(28481, 72, 4957, 4, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28482, 72, 5357, 6, 1436133600, 0.5, NULL, NULL, NULL, NULL, 0),
(28486, 116, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(28487, 116, 5358, 4, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28558, 93, 5457, 4, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(28560, 93, 5457, 4, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28561, 93, 5360, 4, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28562, 93, 5360, 4, 1436306400, 0.75, NULL, NULL, NULL, NULL, 0),
(28563, 93, 5457, 4, 1436306400, 0.25, NULL, NULL, NULL, NULL, 0),
(28564, 2, 5411, 5, 1436306400, 0.5, NULL, NULL, NULL, NULL, 0),
(28565, 2, 2089, 1, 1436220000, 0.25, NULL, NULL, NULL, NULL, 0),
(28566, 2, 2089, 1, 1436306400, 0.25, NULL, NULL, NULL, NULL, 0),
(28567, 2, 23792, 1, 1436306400, 0.25, NULL, NULL, NULL, NULL, 0),
(28568, 2, 5411, 5, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28578, 109, 2, 1, 1436392800, 0.5, NULL, NULL, NULL, NULL, 0),
(28579, 74, 5357, 5, 1436306400, 0.5, NULL, NULL, NULL, NULL, 0),
(28580, 74, 5453, 4, 1436306400, 0.5, NULL, NULL, NULL, NULL, 0),
(28581, 74, 5357, 5, 1436220000, 1, NULL, NULL, NULL, NULL, 0),
(28582, 74, 5357, 5, 1436133600, 0.5, NULL, NULL, NULL, NULL, 0),
(28603, 164, 3562, 18, 1436133600, 0.5, NULL, NULL, NULL, NULL, 0),
(28604, 164, 5354, 17, 1436133600, 0.5, NULL, NULL, NULL, NULL, 0),
(28607, 164, 3941, 2, 1436220000, 0.25, NULL, NULL, NULL, NULL, 0),
(28606, 164, 5536, 18, 1436220000, 0.25, NULL, NULL, NULL, NULL, 0),
(28608, 164, 3941, 18, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28609, 164, 5020, 18, 1436306400, 0.75, NULL, NULL, NULL, NULL, 0),
(28610, 164, 3941, 18, 1436306400, 0.25, NULL, NULL, NULL, NULL, 0),
(28611, 164, 5020, 18, 1436392800, 0.5, NULL, NULL, NULL, NULL, 0),
(28614, 164, 5354, 18, 1436479200, 0.5, NULL, NULL, NULL, NULL, 0),
(28613, 164, 5354, 18, 1436392800, 0.5, NULL, NULL, NULL, NULL, 0),
(28619, 2, 2132, 2, 1436392800, 0.25, NULL, NULL, NULL, NULL, 0),
(28620, 2, 2089, 1, 1436392800, 0.25, NULL, NULL, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(28621, 2, 5357, 6, 1436392800, 0.25, NULL, NULL, NULL, NULL, 0),
(28622, 2, 5411, 4, 1436392800, 0.25, NULL, NULL, NULL, NULL, 0),
(28628, 72, 23792, 1, 1436133600, 0.5, NULL, NULL, NULL, NULL, 0),
(28629, 72, 23792, 1, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28630, 72, 23792, 1, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(28631, 72, 23792, 1, 1436392800, 1, NULL, NULL, NULL, NULL, 0),
(28632, 72, 23792, 1, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(28647, 134, 4455, 6, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(28648, 134, 4455, 6, 1435874400, 1, NULL, NULL, NULL, NULL, 0),
(28649, 134, 4455, 6, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(28650, 134, 4455, 6, 1436220000, 1, NULL, NULL, NULL, NULL, 0),
(29104, 134, 5360, 4, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(28653, 134, 1, 1, 1436392800, 0.2, NULL, NULL, NULL, NULL, 0),
(28654, 134, 5360, 4, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(28689, 157, 5409, 5, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(28690, 157, 5409, 5, 1436220000, 1, NULL, NULL, NULL, NULL, 0),
(28694, 157, 5410, 5, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(28692, 157, 4891, 6, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(28693, 157, 5409, 5, 1436392800, 1, NULL, NULL, NULL, NULL, 0),
(28706, 74, 1, 1, 1437688800, 0.5, NULL, NULL, NULL, NULL, 0),
(28708, 93, 5564, 2, 1436392800, 0.2, NULL, NULL, NULL, NULL, 0),
(28709, 93, 5457, 4, 1436392800, 0.8, NULL, NULL, NULL, NULL, 0),
(28710, 93, 5457, 4, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(28713, 116, 2132, 4, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(28714, 116, 2132, 4, 1436392800, 1, NULL, NULL, NULL, NULL, 0),
(28715, 116, 2132, 4, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(28716, 116, 5358, 4, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28717, 2, 4798, 4, 1436479200, 0.25, NULL, NULL, NULL, NULL, 0),
(28789, 146, 4913, 4, 1435701600, 1, NULL, NULL, NULL, NULL, 0),
(28790, 146, 4913, 4, 1435788000, 1, NULL, NULL, NULL, NULL, 0),
(28797, 146, 4719, 7, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(28792, 146, 4719, 6, 1436133600, 1, NULL, NULL, NULL, NULL, 0),
(28793, 146, 4719, 6, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28794, 146, 5564, 6, 1436220000, 0.5, NULL, NULL, NULL, NULL, 0),
(28795, 146, 4719, 6, 1436306400, 1, NULL, NULL, NULL, NULL, 0),
(28796, 146, 4719, 7, 1436392800, 1, NULL, NULL, NULL, NULL, 0),
(28798, 2, 23792, 1, 1436479200, 0.25, NULL, NULL, NULL, NULL, 0),
(28799, 2, 23792, 1, 1436738400, 0.25, NULL, NULL, NULL, NULL, 0),
(28800, 114, 1, 1, 1438552800, 0.5, NULL, NULL, NULL, NULL, 0),
(28801, 114, 1, 1, 1438639200, 0.5, NULL, NULL, NULL, NULL, 0),
(28802, 114, 1, 1, 1438725600, 0.5, NULL, NULL, NULL, NULL, 0),
(28803, 114, 1, 1, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(28804, 114, 1, 1, 1438898400, 0.5, NULL, NULL, NULL, NULL, 0),
(28805, 114, 1, 1, 1439157600, 0.5, NULL, NULL, NULL, NULL, 0),
(28806, 114, 1, 1, 1439244000, 0.5, NULL, NULL, NULL, NULL, 0),
(28807, 114, 1, 1, 1439330400, 0.5, NULL, NULL, NULL, NULL, 0),
(28808, 114, 1, 1, 1439416800, 0.5, NULL, NULL, NULL, NULL, 0),
(28809, 114, 1, 1, 1439503200, 0.5, NULL, NULL, NULL, NULL, 0),
(28810, 114, 1, 1, 1439762400, 0.5, NULL, NULL, NULL, NULL, 0),
(28811, 114, 1, 1, 1439848800, 0.5, NULL, NULL, NULL, NULL, 0),
(28812, 114, 1, 1, 1439935200, 0.5, NULL, NULL, NULL, NULL, 0),
(28813, 114, 1, 1, 1440021600, 0.5, NULL, NULL, NULL, NULL, 0),
(28814, 114, 1, 1, 1440108000, 0.5, NULL, NULL, NULL, NULL, 0),
(30999, 109, 2, 1, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(28820, 114, 1, 1, 1440972000, 0.5, NULL, NULL, NULL, NULL, 0),
(28822, 2, 23792, 1, 1436738400, 0.5, NULL, NULL, NULL, NULL, 0),
(28823, 2, 5411, 4, 1436738400, 0.25, NULL, NULL, NULL, NULL, 0),
(28824, 93, 5457, 4, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(28825, 93, 5457, 4, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(28852, 2, 4890, 4, 1435701600, 0.25, NULL, NULL, NULL, NULL, 0),
(28854, 114, 2, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(28856, 114, 2, 1, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(28859, 116, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(28860, 116, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(28861, 116, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(28862, 116, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(28863, 116, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(28864, 116, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(28865, 116, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(28866, 116, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(28867, 116, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(28868, 116, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(28870, 116, 5570, 6, 1436911200, 0.5, NULL, NULL, NULL, NULL, 0),
(28871, 116, 5358, 6, 1436911200, 0.3, NULL, NULL, NULL, NULL, 0),
(28872, 116, 5405, 4, 1436911200, 0.2, NULL, NULL, NULL, NULL, 0),
(28876, 73, 1, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(28877, 109, 2, 1, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(28880, 2, 5410, 4, 1436911200, 0.25, NULL, NULL, NULL, NULL, 0),
(28915, 114, 2, 1, 1438552800, 0.5, NULL, NULL, NULL, NULL, 0),
(28916, 114, 2, 1, 1438639200, 0.5, NULL, NULL, NULL, NULL, 0),
(28917, 114, 2, 1, 1438725600, 0.5, NULL, NULL, NULL, NULL, 0),
(28918, 114, 2, 1, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(28919, 114, 2, 1, 1438898400, 0.5, NULL, NULL, NULL, NULL, 0),
(28920, 114, 2, 1, 1439157600, 0.5, NULL, NULL, NULL, NULL, 0),
(28921, 114, 2, 1, 1439244000, 0.5, NULL, NULL, NULL, NULL, 0),
(28922, 114, 2, 1, 1439330400, 0.5, NULL, NULL, NULL, NULL, 0),
(28923, 114, 2, 1, 1439416800, 0.5, NULL, NULL, NULL, NULL, 0),
(28924, 114, 2, 1, 1439503200, 0.5, NULL, NULL, NULL, NULL, 0),
(28925, 114, 2, 1, 1439762400, 0.5, NULL, NULL, NULL, NULL, 0),
(28926, 114, 2, 1, 1439848800, 0.5, NULL, NULL, NULL, NULL, 0),
(28927, 114, 2, 1, 1439935200, 0.5, NULL, NULL, NULL, NULL, 0),
(28928, 114, 2, 1, 1440021600, 0.5, NULL, NULL, NULL, NULL, 0),
(28929, 114, 2, 1, 1440108000, 0.5, NULL, NULL, NULL, NULL, 0),
(28936, 2, 5408, 7, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(28937, 2, 5408, 7, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(28959, 72, 23792, 1, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(28960, 72, 23792, 1, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(28961, 72, 23792, 1, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(28962, 72, 23792, 1, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(28968, 164, 3562, 18, 1436479200, 0.5, NULL, NULL, NULL, NULL, 0),
(28969, 157, 5409, 5, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(28971, 157, 5409, 5, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(28972, 157, 5409, 5, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(28973, 164, 3562, 18, 1436911200, 0.5, NULL, NULL, NULL, NULL, 0),
(28974, 164, 1435, 1, 1436911200, 0.5, NULL, NULL, NULL, NULL, 0),
(28975, 164, 3562, 18, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(28976, 164, 1435, 1, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(28977, 164, 3941, 17, 1437084000, 0.5, NULL, NULL, NULL, NULL, 0),
(28978, 164, 1435, 1, 1437084000, 0.5, NULL, NULL, NULL, NULL, 0),
(28979, 169, 2041, 1, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(29024, 93, 5457, 4, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(29025, 93, 5457, 4, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(29026, 93, 5457, 4, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29027, 2, 5408, 7, 1437084000, 0.5, NULL, NULL, NULL, NULL, 0),
(29035, 116, 5405, 4, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(29036, 116, 5405, 4, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(29041, 158, 5457, 5, 1436392800, 0.05, NULL, NULL, NULL, NULL, 0),
(29042, 158, 5457, 5, 1436738400, 0.1, NULL, NULL, NULL, NULL, 0),
(29043, 158, 5457, 5, 1436911200, 0.05, NULL, NULL, NULL, NULL, 0),
(29044, 158, 5457, 5, 1437084000, 0.1, NULL, NULL, NULL, NULL, 0),
(29045, 158, 1508, 1, 1437084000, 0.05, NULL, NULL, NULL, NULL, 0),
(29046, 158, 4843, 4, 1436392800, 0.5, NULL, NULL, NULL, NULL, 0),
(29049, 158, 1436, 1, 1436220000, 0.9, NULL, NULL, NULL, NULL, 0),
(29050, 158, 4844, 5, 1437084000, 0.8, NULL, NULL, NULL, NULL, 0),
(29066, 158, 1436, 1, 1436392800, 0.4, NULL, NULL, NULL, NULL, 0),
(29067, 158, 1436, 1, 1436392800, 0.05, NULL, NULL, NULL, NULL, 0),
(29053, 158, 4843, 4, 1436738400, 0.5, NULL, NULL, NULL, NULL, 0),
(29056, 158, 4844, 5, 1437084000, 0.05, NULL, NULL, NULL, NULL, 0),
(29064, 158, 4844, 5, 1436738400, 0.4, NULL, NULL, NULL, NULL, 0),
(29072, 158, 1436, 1, 1436911200, 0.8, NULL, NULL, NULL, NULL, 0),
(29070, 158, 1436, 1, 1436911200, 0.05, NULL, NULL, NULL, NULL, 0),
(29071, 158, 4843, 4, 1436911200, 0.1, NULL, NULL, NULL, NULL, 0),
(29097, 134, 5360, 4, 1436911200, 0.8, NULL, NULL, NULL, NULL, 0),
(29095, 134, 5360, 4, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(29096, 134, 5360, 4, 1437084000, 0.2, NULL, NULL, NULL, NULL, 0),
(29098, 134, 5528, 5, 1436911200, 0.2, NULL, NULL, NULL, NULL, 0),
(29099, 134, 5526, 5, 1437084000, 0.8, NULL, NULL, NULL, NULL, 0),
(29105, 134, 5360, 4, 1436392800, 0.8, NULL, NULL, NULL, NULL, 0),
(29112, 146, 4718, 4, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(29115, 146, 4718, 4, 1436997600, 0.8, NULL, NULL, NULL, NULL, 0),
(29116, 146, 4913, 5, 1436997600, 0.2, NULL, NULL, NULL, NULL, 0),
(29118, 146, 4913, 5, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(29119, 109, 2, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(29120, 109, 2, 1, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(29121, 109, 2, 1, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(29122, 109, 2, 1, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(29123, 109, 2, 1, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(29124, 109, 2, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(29125, 109, 2, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(29126, 109, 2, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(29127, 109, 2, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(29128, 109, 2, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(29129, 146, 4913, 5, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29130, 146, 2, 1, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(29132, 72, 23792, 1, 1437343200, 0.5, NULL, NULL, NULL, NULL, 0),
(29135, 158, 5457, 5, 1437429600, 0.05, NULL, NULL, NULL, NULL, 0),
(29155, 134, 2, 1, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(29176, 93, 5457, 4, 1437429600, 0.8, NULL, NULL, NULL, NULL, 0),
(29177, 93, 5413, 2, 1437429600, 0.2, NULL, NULL, NULL, NULL, 0),
(29178, 93, 5413, 2, 1437516000, 0.2, NULL, NULL, NULL, NULL, 0),
(29179, 93, 5457, 4, 1437516000, 0.8, NULL, NULL, NULL, NULL, 0),
(29180, 93, 2, 1, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(29181, 93, 5457, 4, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(29193, 157, 4891, 5, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29194, 157, 5409, 5, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29195, 157, 5630, 4, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(29209, 158, 5406, 5, 1437429600, 0.2, NULL, NULL, NULL, NULL, 0),
(29210, 158, 5457, 5, 1437602400, 0.1, NULL, NULL, NULL, NULL, 0),
(29214, 158, 5406, 5, 1437602400, 0.25, NULL, NULL, NULL, NULL, 0),
(29212, 158, 1436, 1, 1437602400, 0.25, NULL, NULL, NULL, NULL, 0),
(29213, 158, 4844, 5, 1437602400, 0.4, NULL, NULL, NULL, NULL, 0),
(29216, 158, 1436, 1, 1437429600, 0.2, NULL, NULL, NULL, NULL, 0),
(29217, 158, 4844, 5, 1437429600, 0.5, NULL, NULL, NULL, NULL, 0),
(29218, 116, 5565, 5, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29219, 116, 5565, 5, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(29220, 116, 5565, 5, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(29221, 158, 4844, 5, 1437429600, 0.05, NULL, NULL, NULL, NULL, 0),
(29222, 116, 5405, 4, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29227, 74, 5453, 4, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(29228, 74, 5279, 6, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29229, 74, 5279, 6, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29230, 74, 5279, 6, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(29231, 74, 5279, 6, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(29232, 74, 5619, 5, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(29233, 74, 5453, 4, 1436392800, 1, NULL, NULL, NULL, NULL, 0),
(29234, 74, 5453, 4, 1436479200, 1, NULL, NULL, NULL, NULL, 0),
(29235, 74, 5279, 6, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(29236, 74, 5279, 6, 1436997600, 0.5, NULL, NULL, NULL, NULL, 0),
(29237, 74, 5279, 6, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(29245, 72, 23792, 1, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29246, 72, 23792, 1, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(29247, 72, 23792, 1, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(29248, 72, 23792, 1, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29249, 147, 4958, 5, 1436738400, 1, NULL, NULL, NULL, NULL, 0),
(29250, 147, 4958, 5, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(29251, 147, 4958, 5, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(29252, 147, 4958, 6, 1437084000, 1, NULL, NULL, NULL, NULL, 0),
(29253, 147, 5412, 5, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29254, 147, 5412, 5, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29255, 147, 4958, 5, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29257, 147, 5412, 5, 1437516000, 0.5, NULL, NULL, NULL, NULL, 0),
(29258, 147, 4958, 5, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(29267, 169, 1436, 1, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29268, 169, 1436, 1, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29269, 169, 1436, 1, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29270, 169, 1436, 1, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(29271, 169, 1436, 1, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(29272, 169, 1436, 1, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29520, 169, 5434, 4, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29521, 169, 5414, 4, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(29347, 134, 5360, 4, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29349, 116, 5565, 5, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29351, 146, 4913, 5, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29352, 146, 4913, 5, 1437516000, 0.6, NULL, NULL, NULL, NULL, 0),
(29353, 146, 4718, 7, 1437516000, 0.4, NULL, NULL, NULL, NULL, 0),
(29354, 146, 4913, 5, 1437688800, 0.1, NULL, NULL, NULL, NULL, 0),
(29355, 146, 4719, 6, 1437688800, 0.9, NULL, NULL, NULL, NULL, 0),
(29356, 109, 2, 1, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29408, 164, 3562, 18, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29411, 164, 1435, 1, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(29410, 164, 1435, 1, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29413, 164, 3941, 17, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(29414, 164, 1435, 1, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29416, 74, 5619, 5, 1437688800, 0.5, NULL, NULL, NULL, NULL, 0),
(29419, 157, 5409, 5, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(29418, 74, 5619, 5, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29420, 74, 5279, 6, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29421, 157, 5409, 5, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29422, 73, 4912, 7, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29423, 73, 4912, 7, 1436911200, 1, NULL, NULL, NULL, NULL, 0),
(29424, 73, 4912, 7, 1436997600, 1, NULL, NULL, NULL, NULL, 0),
(29425, 73, 4912, 7, 1437084000, 0.5, NULL, NULL, NULL, NULL, 0),
(29426, 73, 5405, 7, 1437084000, 0.5, NULL, NULL, NULL, NULL, 0),
(29427, 73, 5405, 7, 1437343200, 1, NULL, NULL, NULL, NULL, 0),
(29428, 73, 5405, 7, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(29429, 73, 5565, 2, 1437516000, 0.5, NULL, NULL, NULL, NULL, 0),
(29430, 73, 5405, 7, 1437516000, 0.5, NULL, NULL, NULL, NULL, 0),
(29431, 73, 4885, 2, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(29432, 73, 5405, 7, 1437602400, 0.5, NULL, NULL, NULL, NULL, 0),
(29433, 73, 4912, 7, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29434, 93, 5457, 5, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(29435, 93, 5457, 5, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29439, 147, 5412, 5, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29438, 147, 5412, 5, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29440, 147, 5412, 5, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29441, 147, 5412, 5, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(29442, 147, 5412, 5, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(29547, 158, 5406, 5, 1438120800, 0.4, NULL, NULL, NULL, NULL, 0),
(29474, 158, 5457, 5, 1437948000, 0.05, NULL, NULL, NULL, NULL, 0),
(29476, 158, 5406, 5, 1437948000, 0.05, NULL, NULL, NULL, NULL, 0),
(29478, 158, 5457, 5, 1438120800, 0.1, NULL, NULL, NULL, NULL, 0),
(29488, 72, 5617, 4, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(29519, 169, 5434, 4, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29522, 169, 5414, 4, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(29534, 74, 1, 1, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(29535, 74, 5279, 6, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29536, 74, 5279, 6, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(29537, 74, 5279, 6, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(29546, 158, 5564, 4, 1438120800, 0.5, NULL, NULL, NULL, NULL, 0),
(29545, 158, 5457, 5, 1438293600, 0.05, NULL, NULL, NULL, NULL, 0),
(29548, 158, 4843, 4, 1438293600, 0.1, NULL, NULL, NULL, NULL, 0),
(29549, 93, 5457, 5, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29550, 93, 5457, 4, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29551, 93, 5457, 4, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(29552, 93, 5342, 5, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(29576, 164, 5354, 18, 1437948000, 0.25, NULL, NULL, NULL, NULL, 0),
(29577, 164, 5354, 17, 1437948000, 0.5, NULL, NULL, NULL, NULL, 0),
(29579, 164, 1435, 1, 1437948000, 0.25, NULL, NULL, NULL, NULL, 0),
(29580, 164, 1435, 1, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29581, 164, 1435, 1, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29583, 164, 1435, 1, 1438207200, 0.5, NULL, NULL, NULL, NULL, 0),
(29584, 164, 3562, 18, 1438207200, 0.5, NULL, NULL, NULL, NULL, 0),
(29586, 164, 1435, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(29621, 157, 5410, 7, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(29627, 157, 5409, 5, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29630, 72, 23792, 1, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29632, 72, 23792, 1, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29634, 72, 23792, 1, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29635, 72, 23792, 1, 1438293600, 1, NULL, NULL, NULL, NULL, 0),
(29687, 158, 5405, 4, 1438293600, 0.05, NULL, NULL, NULL, NULL, 0),
(29714, 158, 5405, 4, 1437948000, 0.1, NULL, NULL, NULL, NULL, 0),
(29717, 158, 5406, 5, 1437948000, 0.8, NULL, NULL, NULL, NULL, 0),
(29788, 146, 4913, 5, 1437948000, 1, NULL, NULL, NULL, NULL, 0),
(29789, 146, 4913, 5, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29896, 146, 4719, 4, 1438639200, 0.2, NULL, NULL, NULL, NULL, 0),
(29895, 146, 4913, 5, 1438639200, 0.8, NULL, NULL, NULL, NULL, 0),
(29836, 146, 2, 1, 1444600800, 1, NULL, NULL, NULL, NULL, 0),
(29837, 146, 2, 1, 1444687200, 1, NULL, NULL, NULL, NULL, 0),
(29838, 146, 2, 1, 1444773600, 1, NULL, NULL, NULL, NULL, 0),
(29839, 146, 2, 1, 1444860000, 1, NULL, NULL, NULL, NULL, 0),
(29840, 146, 2, 1, 1444946400, 1, NULL, NULL, NULL, NULL, 0),
(29894, 146, 4913, 5, 1438552800, 0.2, NULL, NULL, NULL, NULL, 0),
(29842, 146, 2, 1, 1445205600, 1, NULL, NULL, NULL, NULL, 0),
(29843, 146, 2, 1, 1445292000, 1, NULL, NULL, NULL, NULL, 0),
(29844, 146, 2, 1, 1445378400, 1, NULL, NULL, NULL, NULL, 0),
(29845, 146, 2, 1, 1445464800, 1, NULL, NULL, NULL, NULL, 0),
(29846, 146, 2, 1, 1445551200, 1, NULL, NULL, NULL, NULL, 0),
(29893, 146, 4719, 4, 1438552800, 0.8, NULL, NULL, NULL, NULL, 0),
(29848, 146, 2, 1, 1445814000, 1, NULL, NULL, NULL, NULL, 0),
(29849, 146, 2, 1, 1445900400, 1, NULL, NULL, NULL, NULL, 0),
(29850, 146, 2, 1, 1445986800, 1, NULL, NULL, NULL, NULL, 0),
(29851, 146, 2, 1, 1446073200, 1, NULL, NULL, NULL, NULL, 0),
(29852, 146, 2, 1, 1446159600, 1, NULL, NULL, NULL, NULL, 0),
(29863, 116, 6021, 4, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(29865, 72, 5619, 4, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(29866, 72, 23792, 1, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(29867, 72, 23792, 1, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(29868, 72, 23792, 1, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(29869, 72, 23792, 1, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(29898, 93, 6036, 5, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(29899, 93, 6036, 5, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(29900, 93, 6036, 5, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(29904, 164, 3562, 18, 1438552800, 0.5, NULL, NULL, NULL, NULL, 0),
(29905, 164, 1435, 1, 1438552800, 0.5, NULL, NULL, NULL, NULL, 0),
(29906, 164, 1435, 1, 1438639200, 0.5, NULL, NULL, NULL, NULL, 0),
(29943, 164, 5354, 18, 1438725600, 0.5, NULL, NULL, NULL, NULL, 0),
(29908, 164, 1435, 1, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(30069, 164, 3941, 18, 1438898400, 0.25, NULL, NULL, NULL, NULL, 0),
(29910, 164, 5020, 18, 1438898400, 0.5, NULL, NULL, NULL, NULL, 0),
(29911, 164, 5020, 18, 1438639200, 0.5, NULL, NULL, NULL, NULL, 0),
(29912, 164, 1435, 1, 1438725600, 0.5, NULL, NULL, NULL, NULL, 0),
(29922, 116, 6022, 5, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(29926, 116, 6022, 5, 1438725600, 0.5, NULL, NULL, NULL, NULL, 0),
(29925, 116, 6021, 5, 1438725600, 0.5, NULL, NULL, NULL, NULL, 0),
(29946, 134, 5360, 4, 1438725600, 0.1, NULL, NULL, NULL, NULL, 0),
(29947, 134, 5526, 5, 1438725600, 0.9, NULL, NULL, NULL, NULL, 0),
(29964, 158, 5457, 5, 1438812000, 0.05, NULL, NULL, NULL, NULL, 0),
(29963, 158, 5457, 5, 1438639200, 0.1, NULL, NULL, NULL, NULL, 0),
(29972, 158, 4843, 2, 1438639200, 0.9, NULL, NULL, NULL, NULL, 0),
(29973, 158, 4843, 2, 1438812000, 0.2, NULL, NULL, NULL, NULL, 0),
(29970, 158, 4844, 18, 1438293600, 0.5, NULL, NULL, NULL, NULL, 0),
(29971, 158, 4844, 2, 1438293600, 0.3, NULL, NULL, NULL, NULL, 0),
(29976, 164, 5354, 18, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(29996, 157, 5410, 7, 1438034400, 1, NULL, NULL, NULL, NULL, 0),
(29997, 157, 5411, 5, 1438120800, 1, NULL, NULL, NULL, NULL, 0),
(29998, 157, 5411, 5, 1438207200, 1, NULL, NULL, NULL, NULL, 0),
(29999, 74, 5279, 6, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(30000, 74, 5279, 6, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(30001, 74, 5279, 6, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(30002, 74, 5279, 6, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(30003, 74, 5279, 6, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(30004, 157, 5409, 5, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(30005, 157, 4891, 5, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(30006, 157, 4891, 5, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(30008, 157, 5411, 5, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(30009, 157, 5408, 7, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(30010, 116, 6058, 4, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(30011, 116, 6058, 5, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(30012, 134, 5526, 5, 1437688800, 1, NULL, NULL, NULL, NULL, 0),
(30015, 134, 5361, 5, 1437516000, 1, NULL, NULL, NULL, NULL, 0),
(30014, 134, 5361, 5, 1437429600, 1, NULL, NULL, NULL, NULL, 0),
(30016, 134, 5361, 5, 1437602400, 1, NULL, NULL, NULL, NULL, 0),
(30051, 109, 2, 1, 1443045600, 1, NULL, NULL, NULL, NULL, 0),
(30052, 109, 2, 1, 1443132000, 1, NULL, NULL, NULL, NULL, 0),
(30055, 74, 2, 1, 1442527200, 1, NULL, NULL, NULL, NULL, 0),
(30056, 74, 2, 1, 1442786400, 1, NULL, NULL, NULL, NULL, 0),
(30067, 116, 6058, 5, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(30070, 164, 5354, 18, 1438898400, 0.25, NULL, NULL, NULL, NULL, 0),
(30082, 93, 6036, 5, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(30083, 93, 6036, 5, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(30096, 146, 4913, 5, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(30094, 146, 4913, 5, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(30101, 146, 4913, 5, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(30138, 134, 6066, 4, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(30139, 134, 6067, 4, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(30140, 134, 6067, 6, 1438898400, 0.3, NULL, NULL, NULL, NULL, 0),
(30141, 134, 5526, 5, 1438898400, 0.6, NULL, NULL, NULL, NULL, 0),
(30142, 134, 4455, 6, 1438898400, 0.1, NULL, NULL, NULL, NULL, 0),
(30144, 158, 5457, 5, 1439157600, 0.1, NULL, NULL, NULL, NULL, 0),
(30190, 169, 5414, 4, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(30196, 169, 5413, 7, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(30195, 169, 5413, 7, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(30282, 2, 5412, 4, 1439244000, 0.6, NULL, NULL, NULL, NULL, 0),
(30191, 169, 5414, 4, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(30192, 169, 5414, 4, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(30197, 169, 5413, 7, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(30194, 93, 6036, 5, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(30198, 2, 23792, 1, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(30200, 93, 5730, 4, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(30201, 93, 5730, 4, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(30283, 2, 23792, 1, 1439244000, 0.4, NULL, NULL, NULL, NULL, 0),
(30284, 2, 1505, 1, 1437084000, 0.5, NULL, NULL, NULL, NULL, 0),
(30285, 2, 1505, 1, 1436479200, 0.5, NULL, NULL, NULL, NULL, 0),
(30286, 2, 1505, 1, 1434578400, 0.5, NULL, NULL, NULL, NULL, 0),
(30287, 2, 1505, 1, 1434664800, 0.5, NULL, NULL, NULL, NULL, 0),
(30288, 117, 5618, 4, 1439244000, 0.5, NULL, NULL, NULL, NULL, 0),
(30289, 158, 5457, 5, 1439330400, 0.05, NULL, NULL, NULL, NULL, 0),
(30293, 158, 5564, 5, 1439157600, 0.9, NULL, NULL, NULL, NULL, 0),
(30291, 158, 5564, 4, 1438812000, 0.25, NULL, NULL, NULL, NULL, 0),
(30292, 158, 5564, 5, 1438812000, 0.5, NULL, NULL, NULL, NULL, 0),
(30304, 158, 5564, 5, 1439330400, 0.5, NULL, NULL, NULL, NULL, 0),
(30324, 158, 6058, 6, 1439330400, 0.4, NULL, NULL, NULL, NULL, 0),
(30325, 158, 6058, 6, 1439330400, 0.05, NULL, NULL, NULL, NULL, 0),
(30326, 2, 23792, 1, 1439330400, 0.7, NULL, NULL, NULL, NULL, 0),
(30327, 2, 5412, 5, 1439330400, 0.3, NULL, NULL, NULL, NULL, 0),
(30330, 134, 4455, 6, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(30331, 134, 4455, 6, 1439244000, 0.8, NULL, NULL, NULL, NULL, 0),
(30332, 134, 4455, 6, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(30333, 134, 5360, 4, 1439244000, 0.2, NULL, NULL, NULL, NULL, 0),
(30335, 134, 2, 1, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(30736, 158, 6058, 6, 1439503200, 0.7, NULL, NULL, NULL, NULL, 0),
(30349, 158, 5457, 5, 1439503200, 0.1, NULL, NULL, NULL, NULL, 0),
(30350, 2, 5412, 5, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(30351, 2, 3897, 18, 1439503200, 0.2, NULL, NULL, NULL, NULL, 0),
(31845, 117, 1, 1, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(31844, 117, 1, 1, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31841, 117, 1, 1, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(30365, 117, 2, 1, 1443132000, 1, NULL, NULL, NULL, NULL, 0),
(30367, 169, 5413, 7, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(30368, 169, 5413, 7, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(30370, 169, 5413, 7, 1439416800, 1, NULL, NULL, NULL, NULL, 0),
(30371, 169, 5413, 7, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(30465, 146, 4914, 5, 1439244000, 1, NULL, NULL, NULL, NULL, 0),
(30464, 146, 4914, 5, 1439157600, 1, NULL, NULL, NULL, NULL, 0),
(30466, 146, 4914, 5, 1439330400, 1, NULL, NULL, NULL, NULL, 0),
(30470, 146, 6129, 4, 1439416800, 0.5, NULL, NULL, NULL, NULL, 0),
(30471, 146, 6129, 4, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(30469, 146, 4914, 5, 1439416800, 0.5, NULL, NULL, NULL, NULL, 0),
(30517, 93, 6131, 4, 1439416800, 0.4, NULL, NULL, NULL, NULL, 0),
(30519, 93, 6132, 4, 1439416800, 0.1, NULL, NULL, NULL, NULL, 0),
(30521, 93, 5730, 4, 1439416800, 0.5, NULL, NULL, NULL, NULL, 0),
(30525, 93, 5730, 4, 1439503200, 0.7, NULL, NULL, NULL, NULL, 0),
(30523, 93, 5457, 4, 1439503200, 0.2, NULL, NULL, NULL, NULL, 0),
(30524, 93, 2088, 1, 1439503200, 0.1, NULL, NULL, NULL, NULL, 0),
(30586, 2, 23792, 1, 1439503200, 0.8, NULL, NULL, NULL, NULL, 0),
(30598, 73, 1041, 1, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(30599, 73, 1041, 1, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(30600, 73, 1041, 1, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(30601, 73, 1041, 1, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(30602, 73, 1041, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(30603, 73, 1041, 1, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(30604, 73, 1041, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(30605, 73, 1041, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(30606, 73, 1041, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(30607, 73, 1041, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(30608, 73, 1041, 1, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(30717, 2, 23792, 1, 1439762400, 0.8, NULL, NULL, NULL, NULL, 0),
(30721, 2, 3562, 18, 1439762400, 0.1, NULL, NULL, NULL, NULL, 0),
(30730, 158, 5457, 5, 1439848800, 0.05, NULL, NULL, NULL, NULL, 0),
(30731, 158, 6058, 6, 1439848800, 0.9, NULL, NULL, NULL, NULL, 0),
(30732, 158, 6058, 6, 1439848800, 0.05, NULL, NULL, NULL, NULL, 0),
(30733, 134, 6132, 4, 1439416800, 0.2, NULL, NULL, NULL, NULL, 0),
(30734, 134, 5526, 5, 1439503200, 1, NULL, NULL, NULL, NULL, 0),
(30735, 158, 6136, 4, 1439503200, 0.2, NULL, NULL, NULL, NULL, 0),
(30737, 134, 5526, 5, 1439416800, 0.8, NULL, NULL, NULL, NULL, 0),
(30738, 134, 6136, 4, 1439762400, 0.5, NULL, NULL, NULL, NULL, 0),
(30742, 134, 6067, 4, 1439762400, 0.3, NULL, NULL, NULL, NULL, 0),
(30740, 134, 6133, 4, 1439762400, 0.1, NULL, NULL, NULL, NULL, 0),
(30741, 134, 4266, 6, 1439762400, 0.1, NULL, NULL, NULL, NULL, 0),
(30744, 134, 6139, 4, 1439848800, 0.5, NULL, NULL, NULL, NULL, 0),
(30756, 2, 5354, 17, 1439848800, 0.5, NULL, NULL, NULL, NULL, 0),
(30757, 2, 3562, 18, 1439762400, 0.1, NULL, NULL, NULL, NULL, 0),
(30994, 2, 6180, 4, 1440108000, 0.75, NULL, NULL, NULL, NULL, 0),
(30995, 2, 23792, 1, 1440108000, 0.25, NULL, NULL, NULL, NULL, 0),
(30805, 2, 23792, 1, 1439848800, 0.5, NULL, NULL, NULL, NULL, 0),
(30877, 134, 6139, 4, 1439848800, 0.2, NULL, NULL, NULL, NULL, 0),
(30878, 134, 6134, 4, 1439848800, 0.3, NULL, NULL, NULL, NULL, 0),
(30879, 134, 6134, 4, 1439935200, 0.2, NULL, NULL, NULL, NULL, 0),
(30880, 134, 6138, 4, 1439935200, 0.8, NULL, NULL, NULL, NULL, 0),
(30881, 134, 6138, 4, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(30882, 134, 6138, 4, 1440108000, 0.2, NULL, NULL, NULL, NULL, 0),
(30883, 134, 4455, 6, 1440108000, 0.2, NULL, NULL, NULL, NULL, 0),
(31232, 158, 5457, 5, 1440367200, 0.05, NULL, NULL, NULL, NULL, 0),
(30905, 134, 4455, 5, 1440108000, 0.2, NULL, NULL, NULL, NULL, 0),
(30906, 134, 6138, 4, 1440108000, 0.3, NULL, NULL, NULL, NULL, 0),
(30907, 134, 6137, 4, 1440108000, 0.1, NULL, NULL, NULL, NULL, 0),
(30962, 146, 6129, 4, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(30965, 146, 6129, 4, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(30966, 146, 4914, 5, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(30967, 146, 4914, 5, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(30968, 146, 4914, 5, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(30992, 2, 6179, 4, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(30993, 2, 6179, 5, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(30996, 169, 6179, 4, 1440108000, 0.5, NULL, NULL, NULL, NULL, 0),
(30997, 169, 6179, 5, 1440108000, 0.5, NULL, NULL, NULL, NULL, 0),
(30998, 169, 5414, 4, 1439762400, 1, NULL, NULL, NULL, NULL, 0),
(31013, 147, 1041, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(31014, 147, 1041, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(31015, 147, 1041, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(31024, 147, 6137, 4, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(31025, 147, 6137, 5, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(31027, 147, 5412, 5, 1438552800, 1, NULL, NULL, NULL, NULL, 0),
(31029, 147, 5412, 5, 1438639200, 1, NULL, NULL, NULL, NULL, 0),
(31030, 147, 5412, 5, 1438725600, 1, NULL, NULL, NULL, NULL, 0),
(31031, 147, 5412, 5, 1438812000, 1, NULL, NULL, NULL, NULL, 0),
(31032, 147, 5412, 5, 1438898400, 1, NULL, NULL, NULL, NULL, 0),
(31044, 2, 23792, 1, 1440367200, 0.5, NULL, NULL, NULL, NULL, 0),
(31045, 2, 6180, 4, 1440367200, 0.5, NULL, NULL, NULL, NULL, 0),
(31046, 114, 5413, 7, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(31047, 109, 2, 1, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(31048, 109, 2, 1, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31049, 109, 2, 1, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31050, 109, 2, 1, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(31051, 109, 2, 1, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(31052, 109, 2, 1, 1442268000, 1, NULL, NULL, NULL, NULL, 0),
(31053, 109, 2, 1, 1442786400, 1, NULL, NULL, NULL, NULL, 0),
(31054, 109, 2, 1, 1442872800, 1, NULL, NULL, NULL, NULL, 0),
(31055, 109, 2, 1, 1443391200, 1, NULL, NULL, NULL, NULL, 0),
(31056, 109, 2, 1, 1443477600, 1, NULL, NULL, NULL, NULL, 0),
(31057, 109, 2, 1, 1443996000, 1, NULL, NULL, NULL, NULL, 0),
(31058, 109, 2, 1, 1444082400, 1, NULL, NULL, NULL, NULL, 0),
(31059, 109, 2, 1, 1444600800, 1, NULL, NULL, NULL, NULL, 0),
(31060, 109, 2, 1, 1444687200, 1, NULL, NULL, NULL, NULL, 0),
(31061, 109, 2, 1, 1445205600, 1, NULL, NULL, NULL, NULL, 0),
(31062, 109, 2, 1, 1445292000, 1, NULL, NULL, NULL, NULL, 0),
(31063, 109, 2, 1, 1445814000, 1, NULL, NULL, NULL, NULL, 0),
(31064, 109, 2, 1, 1445900400, 1, NULL, NULL, NULL, NULL, 0),
(31065, 109, 2, 1, 1446418800, 1, NULL, NULL, NULL, NULL, 0),
(31066, 109, 2, 1, 1446505200, 1, NULL, NULL, NULL, NULL, 0),
(31067, 109, 2, 1, 1447023600, 1, NULL, NULL, NULL, NULL, 0),
(31068, 109, 2, 1, 1447110000, 1, NULL, NULL, NULL, NULL, 0),
(31069, 109, 2, 1, 1447628400, 1, NULL, NULL, NULL, NULL, 0),
(31070, 109, 2, 1, 1447714800, 1, NULL, NULL, NULL, NULL, 0),
(31071, 109, 2, 1, 1448233200, 1, NULL, NULL, NULL, NULL, 0),
(31072, 109, 2, 1, 1448319600, 1, NULL, NULL, NULL, NULL, 0),
(31073, 109, 2, 1, 1448838000, 1, NULL, NULL, NULL, NULL, 0),
(31074, 109, 2, 1, 1448924400, 1, NULL, NULL, NULL, NULL, 0),
(31075, 109, 2, 1, 1449442800, 1, NULL, NULL, NULL, NULL, 0),
(31076, 109, 2, 1, 1449529200, 1, NULL, NULL, NULL, NULL, 0),
(31077, 109, 2, 1, 1450047600, 1, NULL, NULL, NULL, NULL, 0),
(31078, 109, 2, 1, 1450134000, 1, NULL, NULL, NULL, NULL, 0),
(31079, 109, 2, 1, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(31080, 109, 2, 1, 1442440800, 1, NULL, NULL, NULL, NULL, 0),
(31081, 109, 2, 1, 1444168800, 1, NULL, NULL, NULL, NULL, 0),
(31082, 109, 2, 1, 1449010800, 1, NULL, NULL, NULL, NULL, 0),
(31083, 109, 2, 1, 1449097200, 1, NULL, NULL, NULL, NULL, 0),
(31084, 109, 2, 1, 1449183600, 1, NULL, NULL, NULL, NULL, 0),
(31085, 109, 2, 1, 1449615600, 1, NULL, NULL, NULL, NULL, 0),
(31239, 158, 6058, 6, 1440367200, 0.75, NULL, NULL, NULL, NULL, 0),
(31105, 116, 4333, 5, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(31106, 116, 4333, 5, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(31107, 116, 4333, 5, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(31117, 169, 5718, 5, 1439848800, 1, NULL, NULL, NULL, NULL, 0),
(31118, 169, 5718, 5, 1439935200, 1, NULL, NULL, NULL, NULL, 0),
(31119, 169, 5718, 5, 1440021600, 1, NULL, NULL, NULL, NULL, 0),
(31120, 169, 6179, 5, 1440367200, 1, NULL, NULL, NULL, NULL, 0),
(31121, 169, 6179, 6, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(31122, 169, 6179, 6, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(31126, 2, 6179, 5, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(31128, 2, 6179, 5, 1440540000, 0.75, NULL, NULL, NULL, NULL, 0),
(31129, 2, 23792, 1, 1440540000, 0.25, NULL, NULL, NULL, NULL, 0),
(31130, 164, 2, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(31147, 2, 2, 1, 1447887600, 1, NULL, NULL, NULL, NULL, 0),
(31148, 2, 2, 1, 1447974000, 1, NULL, NULL, NULL, NULL, 0),
(31152, 117, 1, 1, 1439762400, 0.7, NULL, NULL, NULL, NULL, 0),
(31153, 117, 1, 1, 1439848800, 0.5, NULL, NULL, NULL, NULL, 0),
(31154, 117, 1, 1, 1439935200, 0.75, NULL, NULL, NULL, NULL, 0),
(31155, 117, 1, 1, 1440021600, 0.75, NULL, NULL, NULL, NULL, 0),
(31156, 117, 1, 1, 1440108000, 1, NULL, NULL, NULL, NULL, 0),
(31187, 116, 4333, 5, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(31188, 116, 2132, 4, 1440712800, 0.2, NULL, NULL, NULL, NULL, 0),
(31189, 116, 6058, 5, 1440712800, 0.4, NULL, NULL, NULL, NULL, 0),
(31190, 116, 4333, 5, 1440712800, 0.4, NULL, NULL, NULL, NULL, 0),
(31191, 109, 1435, 1, 1440453600, 1, NULL, NULL, NULL, NULL, 0),
(31192, 109, 1435, 1, 1440540000, 1, NULL, NULL, NULL, NULL, 0),
(31193, 109, 1435, 1, 1440626400, 1, NULL, NULL, NULL, NULL, 0),
(31194, 109, 1435, 1, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(31195, 2, 23792, 1, 1440626400, 0.5, NULL, NULL, NULL, NULL, 0),
(31196, 2, 6179, 6, 1440626400, 0.5, NULL, NULL, NULL, NULL, 0),
(31197, 2, 23792, 1, 1440712800, 0.5, NULL, NULL, NULL, NULL, 0),
(31198, 169, 6179, 6, 1440626400, 0.5, NULL, NULL, NULL, NULL, 0),
(31199, 169, 5414, 4, 1440626400, 0.5, NULL, NULL, NULL, NULL, 0),
(31200, 169, 5414, 4, 1440712800, 0.5, NULL, NULL, NULL, NULL, 0),
(31201, 169, 5413, 7, 1440712800, 0.5, NULL, NULL, NULL, NULL, 0),
(31207, 114, 6189, 4, 1440712800, 1, NULL, NULL, NULL, NULL, 0),
(31230, 158, 6058, 6, 1440021600, 0.9, NULL, NULL, NULL, NULL, 0),
(31231, 158, 5457, 5, 1440021600, 0.1, NULL, NULL, NULL, NULL, 0),
(31233, 158, 5457, 5, 1440540000, 0.1, NULL, NULL, NULL, NULL, 0),
(31234, 158, 5457, 5, 1440712800, 0.05, NULL, NULL, NULL, NULL, 0),
(31235, 158, 6058, 6, 1440712800, 0.9, NULL, NULL, NULL, NULL, 0),
(31236, 158, 6058, 6, 1440712800, 0.05, NULL, NULL, NULL, NULL, 0),
(31237, 158, 6058, 6, 1440540000, 0.9, NULL, NULL, NULL, NULL, 0),
(31238, 158, 6058, 5, 1440367200, 0.2, NULL, NULL, NULL, NULL, 0),
(34029, 146, 5569, 5, 1440712800, 1, 146, 1444383389, NULL, NULL, 0),
(34033, 146, 5569, 5, 1440626400, 1, 146, 1444383444, NULL, NULL, 0),
(34032, 146, 5569, 5, 1440540000, 1, 146, 1444383434, NULL, NULL, 0),
(34031, 146, 5569, 5, 1440453600, 1, 146, 1444383424, NULL, NULL, 0),
(34030, 146, 5569, 5, 1440367200, 1, 146, 1444383408, NULL, NULL, 0),
(31267, 74, 1, 1, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31274, 74, 1, 1, 1442181600, 0.5, NULL, NULL, NULL, NULL, 0),
(32007, 93, 3965, 1, 1443823200, 1, NULL, NULL, NULL, NULL, 0),
(31307, 164, 6141, 5, 1440367200, 0.5, NULL, NULL, NULL, NULL, 0),
(31308, 164, 1435, 1, 1440367200, 0.5, NULL, NULL, NULL, NULL, 0),
(31309, 164, 4348, 18, 1440453600, 0.75, NULL, NULL, NULL, NULL, 0),
(31310, 164, 1435, 1, 1440453600, 0.25, NULL, NULL, NULL, NULL, 0),
(31311, 164, 3562, 18, 1440540000, 0.5, NULL, NULL, NULL, NULL, 0),
(31312, 164, 4348, 18, 1440540000, 0.5, NULL, NULL, NULL, NULL, 0),
(31313, 164, 1435, 1, 1440626400, 0.25, NULL, NULL, NULL, NULL, 0),
(31314, 164, 4348, 18, 1440626400, 0.25, NULL, NULL, NULL, NULL, 0),
(31315, 164, 5354, 18, 1440626400, 0.5, NULL, NULL, NULL, NULL, 0),
(31843, 117, 1, 1, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31320, 117, 2, 1, 1445378400, 1, NULL, NULL, NULL, NULL, 0),
(31321, 117, 2, 1, 1445464800, 1, NULL, NULL, NULL, NULL, 0),
(31322, 117, 2, 1, 1445551200, 1, NULL, NULL, NULL, NULL, 0),
(31352, 2, 23792, 1, 1440972000, 0.5, NULL, NULL, NULL, NULL, 0),
(31353, 2, 6189, 4, 1440712800, 0.5, NULL, NULL, NULL, NULL, 0),
(31402, 73, 1041, 1, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31403, 73, 1041, 1, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31404, 73, 1041, 1, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(31405, 73, 1041, 1, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31406, 73, 1041, 1, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31407, 73, 1041, 1, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(31408, 73, 1041, 1, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(31409, 73, 1041, 1, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(31410, 73, 1041, 1, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(31411, 73, 1041, 1, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(31412, 73, 1041, 1, 1442268000, 1, NULL, NULL, NULL, NULL, 0),
(31413, 73, 1041, 1, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(31414, 73, 1041, 1, 1442440800, 1, NULL, NULL, NULL, NULL, 0),
(31415, 73, 1041, 1, 1442527200, 1, NULL, NULL, NULL, NULL, 0),
(31416, 73, 1041, 1, 1442786400, 1, NULL, NULL, NULL, NULL, 0),
(31417, 73, 1041, 1, 1442872800, 1, NULL, NULL, NULL, NULL, 0),
(31418, 73, 1041, 1, 1442959200, 1, NULL, NULL, NULL, NULL, 0),
(31419, 73, 1041, 1, 1443045600, 1, NULL, NULL, NULL, NULL, 0),
(31420, 73, 1041, 1, 1443132000, 1, NULL, NULL, NULL, NULL, 0),
(31421, 73, 1041, 1, 1443391200, 1, NULL, NULL, NULL, NULL, 0),
(31422, 73, 1041, 1, 1443477600, 1, NULL, NULL, NULL, NULL, 0),
(31423, 73, 1041, 1, 1443564000, 1, NULL, NULL, NULL, NULL, 0),
(31427, 74, 1, 1, 1442872800, 0.5, NULL, NULL, NULL, NULL, 0),
(31428, 116, 4333, 5, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(31429, 116, 4333, 5, 1441058400, 0.5, NULL, NULL, NULL, NULL, 0),
(31430, 116, 6058, 5, 1441058400, 0.5, NULL, NULL, NULL, NULL, 0),
(31431, 2, 23792, 1, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31432, 2, 23792, 1, 1440972000, 0.5, NULL, NULL, NULL, NULL, 0),
(31434, 2, 5723, 7, 1441144800, 0.25, NULL, NULL, NULL, NULL, 0),
(31450, 134, 5526, 5, 1441058400, 0.8, NULL, NULL, NULL, NULL, 0),
(31455, 134, 6187, 5, 1441058400, 0.2, NULL, NULL, NULL, NULL, 0),
(31456, 134, 5526, 5, 1441144800, 0.5, NULL, NULL, NULL, NULL, 0),
(31457, 157, 6185, 4, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(31458, 157, 6185, 4, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31459, 157, 6185, 4, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31460, 157, 6185, 6, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(31461, 157, 6185, 18, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31465, 2, 5723, 7, 1441144800, 0.5, NULL, NULL, NULL, NULL, 0),
(31464, 2, 23792, 1, 1441144800, 0.25, NULL, NULL, NULL, NULL, 0),
(31466, 178, 1436, 1, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31467, 178, 2041, 1, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31472, 158, 5457, 5, 1441058400, 0.1, NULL, NULL, NULL, NULL, 0),
(31473, 158, 5457, 5, 1441231200, 0.05, NULL, NULL, NULL, NULL, 0),
(31474, 158, 6058, 6, 1441058400, 0.9, NULL, NULL, NULL, NULL, 0),
(31489, 164, 5354, 18, 1440972000, 0.5, NULL, NULL, NULL, NULL, 0),
(31490, 164, 1435, 1, 1440972000, 0.5, NULL, NULL, NULL, NULL, 0),
(31493, 164, 1435, 1, 1441058400, 0.5, NULL, NULL, NULL, NULL, 0),
(31492, 164, 3562, 18, 1441058400, 0.5, NULL, NULL, NULL, NULL, 0),
(31494, 164, 1435, 1, 1441144800, 0.5, NULL, NULL, NULL, NULL, 0),
(31495, 164, 1, 1, 1441144800, 0.25, NULL, NULL, NULL, NULL, 0),
(31496, 164, 5354, 17, 1441144800, 0.25, NULL, NULL, NULL, NULL, 0),
(31497, 164, 5354, 17, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31498, 164, 5354, 18, 1441231200, 0.25, NULL, NULL, NULL, NULL, 0),
(31499, 164, 1435, 1, 1441231200, 0.25, NULL, NULL, NULL, NULL, 0),
(31500, 158, 6058, 6, 1441231200, 0.9, NULL, NULL, NULL, NULL, 0),
(31501, 158, 6058, 6, 1441231200, 0.05, NULL, NULL, NULL, NULL, 0),
(31504, 72, 5617, 4, 1441144800, 0.2, NULL, NULL, NULL, NULL, 0),
(31505, 72, 23792, 1, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31506, 72, 23792, 1, 1441144800, 0.8, NULL, NULL, NULL, NULL, 0),
(31509, 72, 23792, 1, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31508, 72, 23792, 1, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31510, 72, 1, 1, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31512, 72, 1, 1, 1442872800, 0.5, NULL, NULL, NULL, NULL, 0),
(32351, 134, 5527, 6, 1441922400, 0.4, NULL, NULL, NULL, NULL, 0),
(32350, 134, 5527, 5, 1441922400, 0.5, NULL, NULL, NULL, NULL, 0),
(31532, 93, 6190, 4, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31536, 93, 6190, 5, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31534, 93, 6256, 4, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(31535, 93, 6256, 5, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31540, 169, 5718, 5, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(31541, 169, 5718, 5, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31542, 169, 5718, 5, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31544, 169, 5718, 5, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31545, 169, 5413, 7, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31553, 147, 6134, 4, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31552, 147, 6137, 4, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(31556, 147, 4590, 5, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31559, 147, 4590, 5, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(31562, 147, 4590, 5, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31565, 164, 5354, 17, 1441317600, 0.3, NULL, NULL, NULL, NULL, 0),
(31566, 164, 1435, 1, 1441317600, 0.7, NULL, NULL, NULL, NULL, 0),
(31575, 74, 6135, 5, 1440972000, 0.4, NULL, NULL, NULL, NULL, 0),
(31576, 74, 6188, 5, 1440972000, 0.3, NULL, NULL, NULL, NULL, 0),
(31580, 74, 5616, 5, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31578, 74, 6258, 5, 1440972000, 0.3, NULL, NULL, NULL, NULL, 0),
(31579, 74, 6257, 6, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(31581, 74, 6257, 6, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31582, 74, 1437, 1, 1441317600, 0.25, NULL, NULL, NULL, NULL, 0),
(31583, 74, 6257, 6, 1441317600, 0.75, NULL, NULL, NULL, NULL, 0),
(31595, 116, 4333, 5, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(31596, 116, 4333, 5, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31597, 116, 4333, 5, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31598, 116, 6058, 5, 1441231200, 0.5, NULL, NULL, NULL, NULL, 0),
(31611, 134, 5526, 5, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(31613, 134, 5526, 6, 1441317600, 0.5, NULL, NULL, NULL, NULL, 0),
(31676, 157, 1041, 1, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31677, 157, 1041, 1, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(31678, 157, 1041, 1, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(31679, 157, 1041, 1, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(31680, 157, 1041, 1, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(31683, 158, 5457, 5, 1441576800, 0.1, NULL, NULL, NULL, NULL, 0),
(31719, 117, 1, 1, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(31738, 117, 1, 1, 1442268000, 0.5, NULL, NULL, NULL, NULL, 0),
(31746, 2, 6284, 5, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(31747, 2, 6284, 5, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31748, 2, 6284, 5, 1441576800, 0.5, NULL, NULL, NULL, NULL, 0),
(31749, 2, 23792, 1, 1441576800, 0.3, NULL, NULL, NULL, NULL, 0),
(31750, 2, 5723, 4, 1441576800, 0.2, NULL, NULL, NULL, NULL, 0),
(33534, 93, 6516, 4, 1443650400, 0.3, 93, 1443772983, NULL, NULL, 0),
(31753, 74, 5279, 6, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31754, 74, 1, 1, 1444082400, 1, NULL, NULL, NULL, NULL, 0),
(33244, 74, 1, 1, 1444600800, 0.5, 74, 1443191047, NULL, NULL, 0),
(31763, 116, 4333, 5, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31764, 116, 4333, 5, 1441663200, 0.5, NULL, NULL, NULL, NULL, 0),
(31765, 116, 2, 1, 1441663200, 0.5, NULL, NULL, NULL, NULL, 0),
(31821, 93, 6256, 5, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31822, 93, 6256, 5, 1441663200, 0.75, NULL, NULL, NULL, NULL, 0),
(31823, 93, 5730, 4, 1441663200, 0.25, NULL, NULL, NULL, NULL, 0),
(31824, 158, 5457, 5, 1441749600, 0.05, NULL, NULL, NULL, NULL, 0),
(31825, 158, 6058, 4, 1441576800, 0.3, NULL, NULL, NULL, NULL, 0),
(31826, 158, 6058, 5, 1441576800, 0.6, NULL, NULL, NULL, NULL, 0),
(32560, 158, 5457, 5, 1442268000, 0.05, NULL, NULL, NULL, NULL, 0),
(31837, 2, 5414, 5, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(31838, 117, 1, 1, 1442872800, 1, NULL, NULL, NULL, NULL, 0),
(31839, 117, 1, 1, 1442959200, 1, NULL, NULL, NULL, NULL, 0),
(31840, 117, 1, 1, 1443045600, 1, NULL, NULL, NULL, NULL, 0),
(31846, 117, 1, 1, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(31851, 2, 5414, 5, 1441749600, 0.75, NULL, NULL, NULL, NULL, 0),
(31852, 134, 6296, 4, 1441144800, 0.5, NULL, NULL, NULL, NULL, 0),
(31853, 134, 6297, 4, 1441317600, 0.5, NULL, NULL, NULL, NULL, 0),
(31854, 134, 6297, 4, 1441576800, 0.6, NULL, NULL, NULL, NULL, 0),
(31855, 134, 6297, 4, 1441663200, 0.4, NULL, NULL, NULL, NULL, 0),
(31856, 134, 4455, 4, 1441576800, 0.4, NULL, NULL, NULL, NULL, 0),
(31857, 134, 4455, 4, 1441663200, 0.6, NULL, NULL, NULL, NULL, 0),
(31858, 134, 4455, 4, 1441749600, 0.5, NULL, NULL, NULL, NULL, 0),
(31859, 134, 6187, 4, 1441749600, 0.5, NULL, NULL, NULL, NULL, 0),
(31860, 117, 1, 1, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(31864, 72, 5616, 6, 1441663200, 0.25, NULL, NULL, NULL, NULL, 0),
(31865, 72, 23792, 1, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31866, 72, 23792, 1, 1441663200, 0.75, NULL, NULL, NULL, NULL, 0),
(31867, 72, 23792, 1, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(31878, 116, 4333, 5, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(31879, 116, 4333, 5, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(31885, 2, 5723, 7, 1441836000, 0.25, NULL, NULL, NULL, NULL, 0),
(31886, 2, 5723, 7, 1441749600, 0.25, NULL, NULL, NULL, NULL, 0),
(31888, 2, 5721, 5, 1441836000, 0.5, NULL, NULL, NULL, NULL, 0),
(31890, 2, 5722, 5, 1441836000, 0.25, NULL, NULL, NULL, NULL, 0),
(31891, 157, 1041, 1, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(31892, 157, 1041, 1, 1442268000, 1, NULL, NULL, NULL, NULL, 0),
(31893, 157, 1041, 1, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(31894, 157, 1041, 1, 1442440800, 1, NULL, NULL, NULL, NULL, 0),
(31895, 157, 1041, 1, 1442527200, 1, NULL, NULL, NULL, NULL, 0),
(31896, 157, 1041, 1, 1442786400, 1, NULL, NULL, NULL, NULL, 0),
(31897, 157, 1041, 1, 1442872800, 1, NULL, NULL, NULL, NULL, 0),
(31898, 157, 1041, 1, 1442959200, 1, NULL, NULL, NULL, NULL, 0),
(31899, 157, 1041, 1, 1443045600, 1, NULL, NULL, NULL, NULL, 0),
(31900, 157, 1041, 1, 1443132000, 1, NULL, NULL, NULL, NULL, 0),
(31901, 157, 1041, 1, 1443391200, 1, NULL, NULL, NULL, NULL, 0),
(31902, 157, 1041, 1, 1443477600, 1, NULL, NULL, NULL, NULL, 0),
(31903, 157, 1041, 1, 1443564000, 1, NULL, NULL, NULL, NULL, 0),
(31904, 157, 1041, 1, 1443650400, 1, NULL, NULL, NULL, NULL, 0),
(31905, 157, 1041, 1, 1443736800, 1, NULL, NULL, NULL, NULL, 0),
(31906, 157, 1041, 1, 1443996000, 1, NULL, NULL, NULL, NULL, 0),
(31907, 157, 1041, 1, 1444082400, 1, NULL, NULL, NULL, NULL, 0),
(31908, 157, 1041, 1, 1444168800, 1, NULL, NULL, NULL, NULL, 0),
(31909, 157, 1041, 1, 1444255200, 1, NULL, NULL, NULL, NULL, 0),
(31910, 157, 1041, 1, 1444341600, 1, NULL, NULL, NULL, NULL, 0),
(31911, 134, 5361, 5, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(31912, 109, 1041, 1, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(31913, 74, 5279, 6, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(32009, 74, 6298, 5, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(32010, 74, 6298, 5, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(31916, 74, 5279, 6, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(31944, 147, 4590, 5, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(31947, 147, 6286, 7, 1441749600, 0.5, NULL, NULL, NULL, NULL, 0),
(31946, 147, 4590, 5, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(31954, 147, 6295, 4, 1441749600, 0.25, NULL, NULL, NULL, NULL, 0),
(31955, 147, 6295, 5, 1441749600, 0.25, NULL, NULL, NULL, NULL, 0),
(31962, 147, 6294, 4, 1441836000, 0.25, NULL, NULL, NULL, NULL, 0),
(31958, 147, 6286, 7, 1441922400, 0.5, NULL, NULL, NULL, NULL, 0),
(31959, 147, 4590, 5, 1441922400, 0.5, NULL, NULL, NULL, NULL, 0),
(31960, 147, 6294, 5, 1441836000, 0.75, NULL, NULL, NULL, NULL, 0),
(31963, 147, 2, 1, 1443391200, 0.5, NULL, NULL, NULL, NULL, 0),
(31964, 147, 2, 1, 1444600800, 0.5, NULL, NULL, NULL, NULL, 0),
(31981, 164, 3562, 18, 1441922400, 0.5, NULL, NULL, NULL, NULL, 0),
(31970, 164, 4348, 18, 1441576800, 0.5, NULL, NULL, NULL, NULL, 0),
(31971, 164, 5354, 18, 1441576800, 0.5, NULL, NULL, NULL, NULL, 0),
(31972, 164, 5354, 18, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(31973, 164, 5354, 17, 1441749600, 0.25, NULL, NULL, NULL, NULL, 0),
(31974, 164, 5354, 18, 1441749600, 0.75, NULL, NULL, NULL, NULL, 0),
(31978, 164, 1435, 1, 1441836000, 0.5, NULL, NULL, NULL, NULL, 0),
(31976, 164, 5354, 17, 1441836000, 0.25, NULL, NULL, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(31979, 164, 5354, 18, 1441836000, 0.25, NULL, NULL, NULL, NULL, 0),
(31980, 164, 5354, 18, 1441922400, 0.25, NULL, NULL, NULL, NULL, 0),
(31982, 164, 1435, 1, 1441922400, 0.25, NULL, NULL, NULL, NULL, 0),
(31995, 93, 6301, 4, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(31996, 93, 6301, 4, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(31997, 93, 6301, 4, 1441922400, 0.5, NULL, NULL, NULL, NULL, 0),
(31998, 93, 6301, 5, 1441922400, 0.5, NULL, NULL, NULL, NULL, 0),
(31999, 2, 5718, 5, 1441922400, 0.75, NULL, NULL, NULL, NULL, 0),
(32000, 169, 5413, 7, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(32001, 169, 5718, 5, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(32002, 169, 5718, 5, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(32003, 169, 5718, 5, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(32004, 169, 5718, 5, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(32005, 169, 5718, 5, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(32006, 2, 3965, 1, 1443823200, 1, NULL, NULL, NULL, NULL, 0),
(32015, 72, 23792, 1, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(32016, 72, 23792, 1, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(32324, 93, 6301, 5, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(32333, 178, 1596, 1, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(32334, 178, 1436, 1, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(32335, 178, 2041, 1, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(32337, 178, 1436, 1, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(32339, 178, 1436, 1, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(32340, 178, 2088, 1, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(32341, 178, 2088, 1, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(32342, 178, 2088, 1, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(32352, 134, 1505, 1, 1441922400, 0.1, NULL, NULL, NULL, NULL, 0),
(32380, 146, 4914, 6, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(33372, 146, 4914, 6, 1442354400, 1, 146, 1443605499, NULL, NULL, 0),
(32382, 146, 4914, 6, 1440972000, 1, NULL, NULL, NULL, NULL, 0),
(32383, 146, 4914, 6, 1441058400, 1, NULL, NULL, NULL, NULL, 0),
(32384, 146, 4914, 6, 1441144800, 1, NULL, NULL, NULL, NULL, 0),
(32385, 146, 4914, 6, 1441231200, 1, NULL, NULL, NULL, NULL, 0),
(32387, 146, 4914, 6, 1441317600, 1, NULL, NULL, NULL, NULL, 0),
(32388, 146, 4914, 6, 1441576800, 1, NULL, NULL, NULL, NULL, 0),
(32390, 146, 4914, 6, 1441663200, 1, NULL, NULL, NULL, NULL, 0),
(32391, 146, 4914, 6, 1441749600, 1, NULL, NULL, NULL, NULL, 0),
(32393, 146, 4914, 6, 1441836000, 1, NULL, NULL, NULL, NULL, 0),
(32394, 146, 4914, 6, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(32411, 2, 5722, 5, 1442181600, 0.5, NULL, NULL, NULL, NULL, 0),
(32424, 2, 23792, 1, 1442181600, 0.25, NULL, NULL, NULL, NULL, 0),
(32425, 2, 5722, 5, 1441922400, 0.25, NULL, NULL, NULL, NULL, 0),
(32479, 134, 5361, 6, 1442181600, 0.9, NULL, NULL, NULL, NULL, 0),
(32480, 134, 5527, 7, 1442268000, 0.6, NULL, NULL, NULL, NULL, 0),
(32481, 134, 1505, 1, 1442181600, 0.1, NULL, NULL, NULL, NULL, 0),
(32482, 116, 4333, 5, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(32483, 116, 4333, 5, 1442268000, 1, NULL, NULL, NULL, NULL, 0),
(32484, 116, 2, 1, 1443996000, 1, NULL, NULL, NULL, NULL, 0),
(32485, 116, 2, 1, 1444082400, 1, NULL, NULL, NULL, NULL, 0),
(32486, 116, 2, 1, 1444168800, 1, NULL, NULL, NULL, NULL, 0),
(32487, 116, 2, 1, 1444255200, 1, NULL, NULL, NULL, NULL, 0),
(32488, 116, 2, 1, 1444341600, 1, NULL, NULL, NULL, NULL, 0),
(32489, 116, 4333, 7, 1441922400, 1, NULL, NULL, NULL, NULL, 0),
(32490, 147, 6295, 6, 1410818400, 1, NULL, NULL, NULL, NULL, 0),
(32491, 147, 6295, 6, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(32493, 147, 6286, 7, 1442268000, 1, NULL, NULL, NULL, NULL, 0),
(32494, 147, 6294, 6, 1442354400, 0.1, NULL, NULL, NULL, NULL, 0),
(32502, 116, 6129, 6, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(32503, 157, 2, 1, 1445814000, 1, NULL, NULL, NULL, NULL, 0),
(32504, 157, 2, 1, 1445900400, 1, NULL, NULL, NULL, NULL, 0),
(32505, 157, 2, 1, 1445986800, 1, NULL, NULL, NULL, NULL, 0),
(32506, 157, 2, 1, 1446073200, 1, NULL, NULL, NULL, NULL, 0),
(32507, 157, 2, 1, 1446159600, 1, NULL, NULL, NULL, NULL, 0),
(32508, 2, 6298, 7, 1442354400, 0.3, NULL, NULL, NULL, NULL, 0),
(32509, 2, 5722, 6, 1442268000, 0.5, NULL, NULL, NULL, NULL, 0),
(32510, 72, 23792, 1, 1442181600, 1, NULL, NULL, NULL, NULL, 0),
(32511, 72, 23792, 1, 1442268000, 1, NULL, NULL, NULL, NULL, 0),
(32512, 72, 23792, 1, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(32513, 2, 5722, 6, 1442354400, 0.5, NULL, NULL, NULL, NULL, 0),
(32514, 2, 23792, 1, 1442268000, 0.5, NULL, NULL, NULL, NULL, 0),
(32515, 2, 5722, 5, 1442181600, 0.25, NULL, NULL, NULL, NULL, 0),
(32536, 74, 5279, 6, 1442181600, 0.5, NULL, NULL, NULL, NULL, 0),
(32537, 74, 5279, 6, 1442268000, 1, NULL, NULL, NULL, NULL, 0),
(32538, 74, 5279, 6, 1442354400, 1, NULL, NULL, NULL, NULL, 0),
(32539, 74, 5279, 6, 1442440800, 1, NULL, NULL, NULL, NULL, 0),
(32555, 158, 5457, 5, 1441922400, 0.1, NULL, NULL, NULL, NULL, 0),
(32556, 158, 6058, 5, 1441922400, 0.9, NULL, NULL, NULL, NULL, 0),
(32557, 158, 6058, 4, 1441749600, 0.9, NULL, NULL, NULL, NULL, 0),
(32558, 158, 6058, 4, 1441749600, 0.05, NULL, NULL, NULL, NULL, 0),
(32561, 158, 5457, 5, 1442440800, 0.1, NULL, NULL, NULL, NULL, 0),
(32562, 158, 6058, 5, 1442440800, 0.7, NULL, NULL, NULL, NULL, 0),
(32563, 158, 6058, 5, 1442268000, 0.9, NULL, NULL, NULL, NULL, 0),
(32564, 158, 6058, 5, 1442268000, 0.05, NULL, NULL, NULL, NULL, 0),
(32565, 117, 1, 1, 1442786400, 1, NULL, NULL, NULL, NULL, 0),
(32566, 117, 2, 1, 1444341600, 1, NULL, NULL, NULL, NULL, 0),
(32616, 2, 1505, 1, 1442440800, 0.75, 2, 1442560941, NULL, NULL, 0),
(32619, 72, 23792, 1, 1442440800, 1, 72, 1442560992, NULL, NULL, 0),
(32618, 169, 5718, 6, 1442181600, 1, 169, 1442560974, NULL, NULL, 0),
(32620, 72, 23792, 1, 1442527200, 1, 72, 1442560992, NULL, NULL, 0),
(32621, 169, 6477, 4, 1442268000, 1, 169, 1442561231, NULL, NULL, 0),
(32622, 169, 5729, 5, 1442440800, 1, 169, 1442561444, NULL, NULL, 0),
(32623, 169, 5416, 7, 1442354400, 1, 169, 1442561514, NULL, NULL, 0),
(32624, 169, 5729, 6, 1442527200, 1, 169, 1442561548, NULL, NULL, 0),
(32625, 93, 6301, 5, 1442268000, 0.5, 93, 1442562546, NULL, NULL, 0),
(32666, 93, 6482, 4, 1442268000, 0.5, 93, 1442565276, NULL, NULL, 0),
(32667, 93, 6482, 4, 1442354400, 1, 93, 1442565303, NULL, NULL, 0),
(32668, 93, 6482, 4, 1442440800, 1, 93, 1442565336, NULL, NULL, 0),
(32671, 93, 6482, 4, 1442527200, 1, 93, 1442565377, NULL, NULL, 0),
(32704, 2, 2, 1, 1447282800, 1, 2, 1442567302, NULL, NULL, 0),
(32705, 2, 2, 1, 1447369200, 1, 2, 1442567309, NULL, NULL, 0),
(32706, 164, 2, 1, 1447023600, 1, 2, 1442567379, NULL, NULL, 0),
(32707, 164, 2, 1, 1447110000, 1, 2, 1442567385, NULL, NULL, 0),
(32708, 134, 2, 1, 1447023600, 1, 2, 1442567444, NULL, NULL, 0),
(32709, 134, 2, 1, 1447110000, 1, 2, 1442567448, NULL, NULL, 0),
(32713, 147, 2, 1, 1445205600, 1, 2, 1442567594, NULL, NULL, 0),
(32714, 147, 2, 1, 1445292000, 1, 2, 1442567594, NULL, NULL, 0),
(32715, 147, 2, 1, 1445378400, 1, 2, 1442567594, NULL, NULL, 0),
(32716, 147, 2, 1, 1445464800, 1, 2, 1442567594, NULL, NULL, 0),
(32717, 147, 2, 1, 1445551200, 1, 2, 1442567594, NULL, NULL, 0),
(33494, 146, 2, 1, 1443736800, 1, 146, 1443715333, NULL, NULL, 0),
(32721, 146, 2, 1, 1447282800, 1, 2, 1442567646, NULL, NULL, 0),
(32722, 146, 2, 1, 1447369200, 1, 2, 1442567650, NULL, NULL, 0),
(32727, 116, 2, 1, 1450825200, 1, 2, 1442567805, NULL, NULL, 0),
(32728, 116, 2, 1, 1450911600, 1, 2, 1442567805, NULL, NULL, 0),
(32729, 116, 2, 1, 1451257200, 1, 2, 1442567805, NULL, NULL, 0),
(32730, 116, 2, 1, 1451343600, 1, 2, 1442567805, NULL, NULL, 0),
(32731, 116, 2, 1, 1451430000, 1, 2, 1442567805, NULL, NULL, 0),
(32732, 116, 2, 1, 1451516400, 1, 2, 1442567805, NULL, NULL, 0),
(32740, 164, 2, 1, 1450652400, 1, 2, 1442568087, NULL, NULL, 0),
(32741, 164, 2, 1, 1450738800, 1, 2, 1442568087, NULL, NULL, 0),
(32742, 164, 2, 1, 1450825200, 1, 2, 1442568087, NULL, NULL, 0),
(32743, 164, 2, 1, 1450911600, 1, 2, 1442568087, NULL, NULL, 0),
(39796, 164, 7496, 18, 1449442800, 0.75, 164, 1449831327, NULL, NULL, 0),
(32746, 134, 2, 1, 1450738800, 1, 2, 1442568147, NULL, NULL, 0),
(32747, 134, 2, 1, 1450825200, 1, 2, 1442568147, NULL, NULL, 0),
(32748, 134, 2, 1, 1450911600, 1, 2, 1442568147, NULL, NULL, 0),
(32749, 147, 2, 1, 1450911600, 1, 2, 1442568201, NULL, NULL, 0),
(32750, 147, 2, 1, 1451257200, 1, 2, 1442568201, NULL, NULL, 0),
(32751, 147, 2, 1, 1451343600, 1, 2, 1442568201, NULL, NULL, 0),
(32752, 147, 2, 1, 1451430000, 1, 2, 1442568201, NULL, NULL, 0),
(32753, 147, 2, 1, 1451516400, 1, 2, 1442568201, NULL, NULL, 0),
(32754, 169, 2, 1, 1450825200, 1, 169, 1442568203, NULL, NULL, 0),
(32755, 169, 2, 1, 1450911600, 1, 169, 1442568203, NULL, NULL, 0),
(32756, 169, 2, 1, 1451257200, 1, 169, 1442568203, NULL, NULL, 0),
(32757, 169, 2, 1, 1451343600, 1, 169, 1442568203, NULL, NULL, 0),
(32758, 169, 2, 1, 1451430000, 1, 169, 1442568203, NULL, NULL, 0),
(32759, 169, 2, 1, 1451516400, 1, 169, 1442568203, NULL, NULL, 0),
(32760, 146, 2, 1, 1450825200, 1, 2, 1442568271, NULL, NULL, 0),
(32761, 146, 2, 1, 1450911600, 1, 2, 1442568271, NULL, NULL, 0),
(32762, 74, 2, 1, 1451257200, 1, 2, 1442568328, NULL, NULL, 0),
(32763, 74, 2, 1, 1451343600, 1, 2, 1442568328, NULL, NULL, 0),
(32764, 74, 2, 1, 1451430000, 1, 2, 1442568328, NULL, NULL, 0),
(32765, 74, 2, 1, 1451516400, 1, 2, 1442568328, NULL, NULL, 0),
(32766, 178, 2, 1, 1450911600, 1, 2, 1442568357, NULL, NULL, 0),
(32767, 178, 2, 1, 1451257200, 1, 2, 1442568357, NULL, NULL, 0),
(32768, 178, 2, 1, 1451343600, 1, 2, 1442568357, NULL, NULL, 0),
(32769, 178, 2, 1, 1451430000, 1, 2, 1442568357, NULL, NULL, 0),
(32770, 178, 2, 1, 1451516400, 1, 2, 1442568357, NULL, NULL, 0),
(40881, 157, 1041, 1, 1450652400, 1, 72, 1450367524, NULL, NULL, 0),
(32773, 157, 2, 1, 1451257200, 1, 2, 1442568423, NULL, NULL, 0),
(32774, 157, 2, 1, 1451343600, 1, 2, 1442568423, NULL, NULL, 0),
(32775, 157, 2, 1, 1451430000, 1, 2, 1442568423, NULL, NULL, 0),
(32776, 157, 2, 1, 1451516400, 1, 2, 1442568423, NULL, NULL, 0),
(32781, 109, 2, 1, 1450911600, 1, 2, 1442568591, NULL, NULL, 0),
(32782, 109, 2, 1, 1451257200, 1, 2, 1442568591, NULL, NULL, 0),
(32783, 109, 2, 1, 1451343600, 1, 2, 1442568591, NULL, NULL, 0),
(32784, 109, 2, 1, 1451430000, 1, 2, 1442568591, NULL, NULL, 0),
(32785, 109, 2, 1, 1451516400, 1, 2, 1442568591, NULL, NULL, 0),
(32789, 117, 2, 1, 1451257200, 1, 2, 1442568804, NULL, NULL, 0),
(32790, 117, 2, 1, 1451343600, 1, 2, 1442568804, NULL, NULL, 0),
(32791, 117, 2, 1, 1451430000, 1, 2, 1442568804, NULL, NULL, 0),
(32792, 117, 2, 1, 1451516400, 1, 2, 1442568804, NULL, NULL, 0),
(32801, 116, 6129, 4, 1442440800, 1, 116, 1442578475, NULL, NULL, 0),
(32802, 116, 6285, 7, 1442527200, 0.5, 116, 1442578507, NULL, NULL, 0),
(32855, 164, 5354, 17, 1442786400, 0.25, 164, 1442827288, NULL, NULL, 0),
(32856, 164, 5354, 18, 1442786400, 0.5, 164, 1442827303, NULL, NULL, 0),
(32857, 164, 5354, 18, 1442181600, 0.5, 164, 1442827327, NULL, NULL, 0),
(32858, 164, 5354, 17, 1442181600, 0.25, 164, 1442827336, NULL, NULL, 0),
(32859, 164, 4348, 18, 1442181600, 0.25, 164, 1442827350, NULL, NULL, 0),
(32868, 164, 5354, 18, 1442440800, 0.5, 164, 1442827573, NULL, NULL, 0),
(32861, 164, 5354, 18, 1442268000, 0.25, 164, 1442827390, NULL, NULL, 0),
(32867, 164, 4348, 18, 1442354400, 0.25, 164, 1442827543, NULL, NULL, 0),
(32865, 164, 5354, 17, 1442268000, 0.75, 164, 1442827461, NULL, NULL, 0),
(32866, 164, 5354, 17, 1442354400, 0.75, 164, 1442827473, NULL, NULL, 0),
(32869, 164, 5354, 17, 1442440800, 0.5, 164, 1442827586, NULL, NULL, 0),
(32870, 164, 5354, 18, 1442527200, 1, 164, 1442827599, NULL, NULL, 0),
(32881, 93, 6490, 4, 1442786400, 1, 93, 1442840440, NULL, NULL, 0),
(32885, 116, 1041, 1, 1442786400, 1, 72, 1442845739, NULL, NULL, 0),
(34953, 169, 3965, 1, 1448665200, 1, 72, 1445525535, NULL, NULL, 0),
(34954, 72, 1400, 1, 1448838000, 1, 72, 1445525595, NULL, NULL, 0),
(32888, 116, 1041, 1, 1442872800, 1, 2, 1442846616, NULL, NULL, 0),
(32889, 116, 1041, 1, 1442959200, 1, 2, 1442846621, NULL, NULL, 0),
(32890, 116, 1041, 1, 1443045600, 1, 2, 1442846625, NULL, NULL, 0),
(32891, 116, 1041, 1, 1443132000, 1, 2, 1442846629, NULL, NULL, 0),
(32907, 2, 5279, 6, 1442786400, 0.75, 2, 1442852174, NULL, NULL, 0),
(32908, 2, 5279, 6, 1442527200, 1, 2, 1442852192, NULL, NULL, 0),
(32909, 2, 5279, 6, 1442440800, 0.25, 2, 1442852201, NULL, NULL, 0),
(32910, 2, 5279, 6, 1442354400, 0.2, 2, 1442852211, NULL, NULL, 0),
(32911, 2, 23792, 1, 1442786400, 0.25, 2, 1442852247, NULL, NULL, 0),
(36819, 169, 7111, 4, 1446159600, 1, 169, 1447088735, NULL, NULL, 0),
(36818, 169, 7278, 4, 1446073200, 1, 169, 1447088686, NULL, NULL, 0),
(32942, 72, 2, 1, 1443391200, 0.5, 72, 1442920093, NULL, NULL, 0),
(32943, 134, 4889, 4, 1442786400, 1, 134, 1442927214, NULL, NULL, 0),
(32944, 134, 4889, 5, 1442872800, 0.5, 134, 1442927266, NULL, NULL, 0),
(32945, 134, 5564, 4, 1442268000, 0.4, 134, 1442927318, NULL, NULL, 0),
(32946, 134, 5564, 4, 1442354400, 1, 134, 1442927347, NULL, NULL, 0),
(32947, 134, 5564, 5, 1442440800, 1, 134, 1442927361, NULL, NULL, 0),
(32948, 134, 6486, 4, 1442527200, 1, 134, 1442927390, NULL, NULL, 0),
(32949, 134, 1437, 1, 1442872800, 0.2, 134, 1442931907, NULL, NULL, 0),
(32950, 134, 4889, 6, 1442872800, 0.3, 134, 1442931964, NULL, NULL, 0),
(32979, 2, 5722, 7, 1442959200, 0.5, 2, 1443022714, NULL, NULL, 0),
(32966, 2, 5279, 6, 1442872800, 1, 2, 1443012338, NULL, NULL, 0),
(32980, 2, 5279, 6, 1442959200, 0.5, 2, 1443023531, NULL, NULL, 0),
(33012, 93, 6516, 4, 1442872800, 0.5, 93, 1443081423, NULL, NULL, 0),
(33014, 93, 6516, 4, 1442959200, 0.5, 93, 1443081446, NULL, NULL, 0),
(33016, 93, 6517, 4, 1442872800, 0.5, 93, 1443081517, NULL, NULL, 0),
(33017, 93, 6517, 4, 1442959200, 0.5, 93, 1443081540, NULL, NULL, 0),
(33130, 147, 3690, 4, 1442354400, 0.9, 147, 1443166059, NULL, NULL, 0),
(33134, 147, 6021, 4, 1442527200, 1, 147, 1443166285, NULL, NULL, 0),
(33133, 147, 3541, 4, 1442440800, 1, 147, 1443166230, NULL, NULL, 0),
(33135, 164, 5354, 18, 1442786400, 0.25, 164, 1443166307, NULL, NULL, 0),
(33136, 164, 5354, 17, 1442872800, 0.1, 164, 1443166338, NULL, NULL, 0),
(33137, 164, 5354, 18, 1442872800, 0.7, 164, 1443166349, NULL, NULL, 0),
(33138, 164, 3562, 18, 1442872800, 0.2, 164, 1443166364, NULL, NULL, 0),
(33139, 164, 5354, 18, 1442959200, 0.5, 164, 1443166427, NULL, NULL, 0),
(33140, 164, 5354, 17, 1442959200, 0.5, 164, 1443166440, NULL, NULL, 0),
(33141, 147, 6306, 4, 1443132000, 1, 147, 1443166448, NULL, NULL, 0),
(33142, 164, 1435, 1, 1443045600, 0.5, 164, 1443166465, NULL, NULL, 0),
(33143, 147, 6306, 4, 1442786400, 1, 147, 1443166474, NULL, NULL, 0),
(33144, 164, 3562, 18, 1443045600, 0.25, 164, 1443166481, NULL, NULL, 0),
(33145, 164, 5354, 17, 1443045600, 0.25, 164, 1443166495, NULL, NULL, 0),
(33146, 164, 5354, 18, 1443132000, 0.5, 164, 1443166511, NULL, NULL, 0),
(33147, 164, 1435, 1, 1443132000, 0.5, 164, 1443166520, NULL, NULL, 0),
(33148, 147, 5412, 5, 1443045600, 1, 147, 1443166686, NULL, NULL, 0),
(33149, 147, 6306, 4, 1442872800, 1, 147, 1443166714, NULL, NULL, 0),
(33150, 147, 6294, 5, 1442959200, 1, 147, 1443166755, NULL, NULL, 0),
(33163, 93, 6517, 4, 1443045600, 0.5, 93, 1443170626, NULL, NULL, 0),
(33164, 93, 6516, 4, 1443045600, 0.25, 93, 1443170690, NULL, NULL, 0),
(33166, 93, 6539, 4, 1443045600, 0.25, 93, 1443170735, NULL, NULL, 0),
(33167, 93, 6539, 5, 1443132000, 1, 93, 1443170746, NULL, NULL, 0),
(33204, 2, 5721, 5, 1443045600, 1, 2, 1443172996, NULL, NULL, 0),
(33269, 116, 6197, 4, 1442527200, 0.5, 116, 1443425725, NULL, NULL, 0),
(33270, 74, 6566, 6, 1442872800, 0.5, 74, 1443426089, NULL, NULL, 0),
(33271, 74, 6566, 6, 1442959200, 1, 74, 1443426099, NULL, NULL, 0),
(33272, 74, 6566, 6, 1443045600, 1, 74, 1443426113, NULL, NULL, 0),
(33273, 93, 6539, 5, 1443391200, 0.75, 93, 1443426345, NULL, NULL, 0),
(33274, 74, 6566, 6, 1443132000, 0.5, 74, 1443426514, NULL, NULL, 0),
(33275, 74, 6568, 2, 1443132000, 0.5, 74, 1443426528, NULL, NULL, 0),
(33280, 134, 4302, 4, 1443045600, 1, 134, 1443442457, NULL, NULL, 0),
(33281, 134, 4302, 5, 1443132000, 1, 134, 1443442473, NULL, NULL, 0),
(33282, 134, 4302, 6, 1443391200, 0.5, 134, 1443442497, NULL, NULL, 0),
(33283, 134, 6569, 4, 1442959200, 1, 134, 1443442840, NULL, NULL, 0),
(33306, 72, 6491, 4, 1443045600, 1, 72, 1443514551, NULL, NULL, 0),
(33307, 72, 6491, 4, 1443132000, 1, 72, 1443514574, NULL, NULL, 0),
(33308, 72, 6491, 4, 1443391200, 0.5, 72, 1443514621, NULL, NULL, 0),
(33309, 72, 23792, 1, 1442786400, 1, 72, 1443514655, NULL, NULL, 0),
(33310, 72, 23792, 1, 1442872800, 0.5, 72, 1443514655, NULL, NULL, 0),
(33311, 72, 23792, 1, 1442959200, 1, 72, 1443514655, NULL, NULL, 0),
(33317, 116, 6197, 4, 1443391200, 1, 116, 1443526568, NULL, NULL, 0),
(33320, 2, 6272, 7, 1443391200, 0.25, 2, 1443536661, NULL, NULL, 0),
(33321, 2, 5279, 6, 1443132000, 1, 2, 1443536734, NULL, NULL, 0),
(33322, 2, 5279, 6, 1443391200, 0.75, 2, 1443536765, NULL, NULL, 0),
(33323, 116, 6198, 5, 1443477600, 1, 116, 1443537295, NULL, NULL, 0),
(33329, 169, 6477, 5, 1442786400, 1, 169, 1443541003, NULL, NULL, 0),
(33330, 169, 6477, 7, 1442872800, 1, 169, 1443541023, NULL, NULL, 0),
(33331, 169, 5416, 7, 1442959200, 1, 169, 1443541068, NULL, NULL, 0),
(33333, 169, 5416, 7, 1443045600, 1, 169, 1443541143, NULL, NULL, 0),
(33336, 93, 6516, 5, 1443391200, 0.25, 93, 1443541476, NULL, NULL, 0),
(33335, 169, 4288, 4, 1443132000, 1, 169, 1443541219, NULL, NULL, 0),
(33340, 93, 6516, 5, 1443564000, 1, 93, 1443541638, NULL, NULL, 0),
(33339, 93, 6516, 5, 1443477600, 1, 93, 1443541605, NULL, NULL, 0),
(33366, 117, 6273, 4, 1443391200, 1, 117, 1443602345, NULL, NULL, 0),
(33368, 117, 6273, 5, 1443477600, 1, 117, 1443602440, NULL, NULL, 0),
(33369, 117, 1, 1, 1444168800, 1, 117, 1443602768, NULL, NULL, 0),
(33371, 146, 4914, 6, 1442268000, 1, 146, 1443605474, NULL, NULL, 0),
(33373, 146, 4914, 6, 1442440800, 1, 146, 1443605509, NULL, NULL, 0),
(33374, 146, 4914, 6, 1442527200, 1, 146, 1443605520, NULL, NULL, 0),
(33375, 146, 4914, 6, 1443564000, 1, 146, 1443605577, NULL, NULL, 0),
(33376, 146, 4914, 6, 1442786400, 1, 146, 1443605595, NULL, NULL, 0),
(33377, 146, 4914, 6, 1442872800, 1, 146, 1443605603, NULL, NULL, 0),
(33378, 146, 4914, 6, 1442959200, 1, 146, 1443605612, NULL, NULL, 0),
(33379, 146, 4914, 6, 1443045600, 1, 146, 1443605620, NULL, NULL, 0),
(33380, 146, 4914, 6, 1443132000, 1, 146, 1443605628, NULL, NULL, 0),
(33381, 146, 4914, 6, 1443391200, 1, 146, 1443605641, NULL, NULL, 0),
(33382, 146, 4914, 18, 1443477600, 1, 146, 1443605654, NULL, NULL, 0),
(33383, 178, 4915, 7, 1442786400, 1, 178, 1443606544, NULL, NULL, 0),
(33384, 178, 4915, 7, 1442872800, 1, 178, 1443606557, NULL, NULL, 0),
(33385, 178, 4915, 7, 1442959200, 1, 178, 1443606572, NULL, NULL, 0),
(33386, 178, 4915, 7, 1443045600, 1, 178, 1443606581, NULL, NULL, 0),
(33387, 178, 4915, 7, 1443132000, 1, 178, 1443606588, NULL, NULL, 0),
(33388, 178, 4915, 7, 1442268000, 1, 178, 1443606645, NULL, NULL, 0),
(33389, 178, 4915, 7, 1442354400, 1, 178, 1443606652, NULL, NULL, 0),
(33390, 178, 4915, 7, 1442440800, 1, 178, 1443606660, NULL, NULL, 0),
(33391, 178, 4915, 7, 1442527200, 1, 178, 1443606666, NULL, NULL, 0),
(33392, 178, 4915, 5, 1443564000, 1, 178, 1443606689, NULL, NULL, 0),
(33393, 178, 4915, 5, 1443391200, 1, 178, 1443606700, NULL, NULL, 0),
(33394, 178, 4909, 7, 1443477600, 1, 178, 1443606734, NULL, NULL, 0),
(35402, 169, 1506, 1, 1445814000, 0.5, 169, 1445951048, NULL, NULL, 0),
(33412, 134, 6297, 4, 1443391200, 0.5, 134, 1443614702, NULL, NULL, 0),
(33413, 134, 6297, 6, 1443477600, 1, 134, 1443614736, NULL, NULL, 0),
(33414, 134, 6297, 4, 1443564000, 0.5, 134, 1443614766, NULL, NULL, 0),
(33415, 134, 4888, 4, 1443564000, 0.5, 134, 1443614796, NULL, NULL, 0),
(33434, 116, 6615, 4, 1443564000, 1, 116, 1443622671, NULL, NULL, 0),
(33482, 116, 6615, 6, 1443650400, 0.5, 116, 1443709855, NULL, NULL, 0),
(33483, 116, 5405, 4, 1443650400, 0.5, 116, 1443709884, NULL, NULL, 0),
(33491, 2, 5279, 6, 1443477600, 1, 2, 1443713350, NULL, NULL, 0),
(33492, 2, 5279, 6, 1443564000, 1, 2, 1443713364, NULL, NULL, 0),
(33493, 2, 5279, 6, 1443650400, 1, 2, 1443713378, NULL, NULL, 0),
(33522, 74, 6135, 5, 1443477600, 1, 74, 1443770437, NULL, NULL, 0),
(33523, 74, 6566, 6, 1443391200, 1, 74, 1443771178, NULL, NULL, 0),
(33524, 74, 6566, 6, 1443564000, 1, 74, 1443771187, NULL, NULL, 0),
(33525, 74, 6566, 6, 1443650400, 1, 74, 1443771193, NULL, NULL, 0),
(33526, 74, 6566, 6, 1443736800, 1, 74, 1443771232, NULL, NULL, 0),
(33531, 93, 4330, 2, 1443650400, 0.1, 93, 1443772841, NULL, NULL, 0),
(33532, 93, 2088, 1, 1443650400, 0.1, 93, 1443772874, NULL, NULL, 0),
(33529, 147, 6306, 5, 1443477600, 1, 147, 1443772383, NULL, NULL, 0),
(33533, 147, 6306, 4, 1443391200, 0.5, 147, 1443772919, NULL, NULL, 0),
(33535, 93, 6516, 5, 1443650400, 0.5, 93, 1443773006, NULL, NULL, 0),
(33537, 164, 5354, 18, 1443391200, 0.5, 164, 1443773087, NULL, NULL, 0),
(33538, 147, 6021, 4, 1443564000, 0.25, 147, 1443773104, NULL, NULL, 0),
(33539, 164, 1435, 1, 1443391200, 0.5, 164, 1443773115, NULL, NULL, 0),
(33540, 147, 3624, 5, 1443564000, 0.5, 147, 1443773181, NULL, NULL, 0),
(33541, 164, 3562, 18, 1443736800, 0.5, 164, 1443773226, NULL, NULL, 0),
(33542, 164, 3562, 18, 1443477600, 0.5, 164, 1443773252, NULL, NULL, 0),
(33543, 164, 5354, 18, 1443477600, 0.5, 164, 1443773270, NULL, NULL, 0),
(33545, 147, 4991, 7, 1443564000, 0.25, 147, 1443773300, NULL, NULL, 0),
(33548, 72, 6636, 4, 1443650400, 0.5, 72, 1443773319, NULL, NULL, 0),
(33549, 164, 5354, 18, 1443564000, 0.5, 164, 1443773331, NULL, NULL, 0),
(33551, 72, 23792, 1, 1443736800, 1, 72, 1443773360, NULL, NULL, 0),
(33553, 147, 6141, 5, 1443650400, 1, 147, 1443773412, NULL, NULL, 0),
(33558, 164, 5354, 17, 1443564000, 0.5, 164, 1443773536, NULL, NULL, 0),
(33561, 164, 5354, 17, 1443650400, 0.25, 164, 1443773551, NULL, NULL, 0),
(33565, 164, 1435, 1, 1443650400, 0.25, 164, 1443773569, NULL, NULL, 0),
(33567, 147, 3690, 5, 1443736800, 1, 147, 1443773591, NULL, NULL, 0),
(33569, 164, 5354, 18, 1443650400, 0.5, 164, 1443773637, NULL, NULL, 0),
(33570, 164, 1435, 1, 1443736800, 0.25, 164, 1443773657, NULL, NULL, 0),
(33571, 164, 5354, 17, 1443736800, 0.25, 164, 1443773666, NULL, NULL, 0),
(33573, 73, 1041, 1, 1443650400, 1, 2, 1443773996, NULL, NULL, 0),
(33574, 73, 1041, 1, 1443736800, 1, 2, 1443773996, NULL, NULL, 0),
(33575, 73, 1041, 1, 1443996000, 1, 2, 1443773996, NULL, NULL, 0),
(33576, 73, 1041, 1, 1444082400, 1, 2, 1443773996, NULL, NULL, 0),
(33577, 73, 1041, 1, 1444168800, 1, 2, 1443773996, NULL, NULL, 0),
(33578, 73, 1041, 1, 1444255200, 1, 2, 1443773996, NULL, NULL, 0),
(33579, 73, 1041, 1, 1444341600, 1, 2, 1443773996, NULL, NULL, 0),
(33580, 73, 1041, 1, 1444600800, 1, 2, 1443773996, NULL, NULL, 0),
(33581, 73, 1041, 1, 1444687200, 1, 2, 1443773996, NULL, NULL, 0),
(33582, 73, 1041, 1, 1444773600, 1, 2, 1443773996, NULL, NULL, 0),
(33583, 73, 1041, 1, 1444860000, 1, 2, 1443773996, NULL, NULL, 0),
(33584, 73, 1041, 1, 1444946400, 1, 2, 1443773996, NULL, NULL, 0),
(33585, 73, 1041, 1, 1445205600, 1, 2, 1443773996, NULL, NULL, 0),
(33586, 73, 1041, 1, 1445292000, 1, 2, 1443773996, NULL, NULL, 0),
(33587, 73, 1041, 1, 1445378400, 1, 2, 1443773996, NULL, NULL, 0),
(33588, 73, 1041, 1, 1445464800, 1, 2, 1443773996, NULL, NULL, 0),
(33589, 73, 1041, 1, 1445551200, 1, 2, 1443773996, NULL, NULL, 0),
(33590, 73, 1041, 1, 1445814000, 1, 2, 1443773996, NULL, NULL, 0),
(33591, 73, 1041, 1, 1445900400, 1, 2, 1443773996, NULL, NULL, 0),
(33592, 73, 1041, 1, 1445986800, 1, 2, 1443773996, NULL, NULL, 0),
(33593, 73, 1041, 1, 1446073200, 1, 2, 1443773996, NULL, NULL, 0),
(33594, 73, 1041, 1, 1446159600, 1, 2, 1443773996, NULL, NULL, 0),
(33596, 169, 6618, 4, 1443391200, 1, 169, 1443774330, NULL, NULL, 0),
(33597, 169, 6618, 5, 1443477600, 1, 169, 1443774349, NULL, NULL, 0),
(33598, 169, 6618, 6, 1443564000, 1, 169, 1443774366, NULL, NULL, 0),
(33646, 116, 5405, 4, 1443736800, 1, 116, 1443793612, NULL, NULL, 0),
(33730, 158, 2, 1, 1460325600, 1, 158, 1444030925, NULL, NULL, 0),
(33731, 158, 2, 1, 1460412000, 1, 158, 1444030925, NULL, NULL, 0),
(33732, 158, 2, 1, 1460498400, 1, 158, 1444030925, NULL, NULL, 0),
(33733, 158, 2, 1, 1460584800, 1, 158, 1444030925, NULL, NULL, 0),
(33734, 158, 2, 1, 1460671200, 1, 158, 1444030925, NULL, NULL, 0),
(33745, 117, 1, 1, 1444082400, 1, 117, 1444046857, NULL, NULL, 0),
(34025, 74, 6274, 4, 1443996000, 1, 74, 1444377564, NULL, NULL, 0),
(33770, 134, 4888, 5, 1443650400, 1, 134, 1444057443, NULL, NULL, 0),
(33771, 134, 4888, 6, 1443736800, 0.5, 134, 1444057457, NULL, NULL, 0),
(33772, 134, 4888, 5, 1443736800, 0.5, 134, 1444057470, NULL, NULL, 0),
(33773, 134, 4888, 6, 1443996000, 0.5, 134, 1444057502, NULL, NULL, 0),
(33774, 134, 4888, 5, 1443996000, 0.5, 134, 1444057524, NULL, NULL, 0),
(33875, 74, 1, 1, 1444341600, 0.5, 74, 1444202760, NULL, NULL, 0),
(33882, 158, 5457, 5, 1443996000, 0.05, 158, 1444210153, NULL, NULL, 0),
(33884, 158, 6058, 4, 1443996000, 0.5, 158, 1444210353, NULL, NULL, 0),
(33885, 158, 6058, 5, 1443996000, 0.4, 158, 1444210381, NULL, NULL, 0),
(33886, 158, 6058, 5, 1443996000, 0.05, 158, 1444210395, NULL, NULL, 0),
(33896, 93, 1505, 1, 1444082400, 0.75, 93, 1444220391, NULL, NULL, 0),
(33900, 93, 6720, 4, 1443996000, 1, 93, 1444220991, NULL, NULL, 0),
(33901, 93, 6720, 4, 1444082400, 0.25, 93, 1444221014, NULL, NULL, 0),
(33902, 93, 6720, 4, 1444168800, 0.5, 93, 1444221038, NULL, NULL, 0),
(33903, 93, 6720, 5, 1443736800, 1, 93, 1444221211, NULL, NULL, 0),
(34036, 93, 6190, 4, 1444168800, 0.5, 93, 1444388361, NULL, NULL, 0),
(33939, 109, 1041, 1, 1444255200, 1, 72, 1444284644, NULL, NULL, 0),
(33940, 72, 23792, 1, 1443996000, 1, 72, 1444284711, NULL, NULL, 0),
(33941, 72, 23792, 1, 1444082400, 1, 72, 1444284711, NULL, NULL, 0),
(33942, 72, 23792, 1, 1444168800, 1, 72, 1444284711, NULL, NULL, 0),
(33943, 117, 4330, 5, 1443996000, 1, 117, 1444291987, NULL, NULL, 0),
(33944, 117, 4330, 4, 1443650400, 1, 117, 1444292012, NULL, NULL, 0),
(33945, 117, 4330, 4, 1443736800, 1, 117, 1444292030, NULL, NULL, 0),
(33946, 117, 1, 1, 1444860000, 0.5, 117, 1444292071, NULL, NULL, 0),
(33947, 117, 5730, 5, 1444255200, 1, 117, 1444292130, NULL, NULL, 0),
(33953, 2, 1436, 1, 1444168800, 0.5, 2, 1444306190, NULL, NULL, 0),
(33954, 2, 1505, 1, 1444082400, 1, 2, 1444306208, NULL, NULL, 0),
(33955, 134, 1436, 1, 1444082400, 0.3, 134, 1444306432, NULL, NULL, 0),
(33956, 134, 1436, 1, 1444082400, 0.1, 134, 1444306444, NULL, NULL, 0),
(33957, 134, 4888, 4, 1444082400, 0.1, 134, 1444306520, NULL, NULL, 0),
(33958, 134, 6616, 4, 1444082400, 0.5, 134, 1444306578, NULL, NULL, 0),
(33960, 134, 6616, 4, 1444168800, 0.6, 134, 1444306644, NULL, NULL, 0),
(33961, 134, 4889, 4, 1444168800, 0.4, 134, 1444306692, NULL, NULL, 0),
(33962, 134, 4889, 6, 1444255200, 0.6, 134, 1444306724, NULL, NULL, 0),
(35440, 74, 1505, 1, 1444168800, 0.5, 2, 1446020181, NULL, NULL, 0),
(34023, 74, 6566, 6, 1444255200, 1, 74, 1444377499, NULL, NULL, 0),
(34024, 74, 6566, 6, 1444341600, 0.5, 74, 1444377509, NULL, NULL, 0),
(34026, 72, 23792, 1, 1444255200, 1, 72, 1444380092, NULL, NULL, 0),
(34027, 72, 23792, 1, 1444341600, 1, 72, 1444380092, NULL, NULL, 0),
(34028, 146, 4914, 6, 1443650400, 1, 146, 1444383297, NULL, NULL, 0),
(34059, 164, 5354, 18, 1443996000, 1, 164, 1444400142, NULL, NULL, 0),
(34060, 164, 5354, 18, 1444082400, 0.5, 164, 1444400168, NULL, NULL, 0),
(34061, 164, 4348, 18, 1444082400, 0.25, 164, 1444400189, NULL, NULL, 0),
(34068, 164, 5354, 17, 1444255200, 0.5, 164, 1444400337, NULL, NULL, 0),
(34067, 164, 1435, 1, 1444255200, 0.5, 164, 1444400323, NULL, NULL, 0),
(34064, 164, 1435, 1, 1444168800, 1, 164, 1444400250, NULL, NULL, 0),
(34066, 164, 1435, 1, 1444082400, 0.25, 164, 1444400299, NULL, NULL, 0),
(34069, 164, 5354, 18, 1444341600, 0.5, 164, 1444400359, NULL, NULL, 0),
(34073, 164, 1435, 1, 1444341600, 0.5, 164, 1444400590, NULL, NULL, 0),
(34089, 146, 5569, 6, 1444341600, 1, 146, 1444410828, NULL, NULL, 0),
(34086, 146, 5569, 2, 1443996000, 1, 146, 1444410122, NULL, NULL, 0),
(34087, 146, 5569, 2, 1444082400, 1, 146, 1444410132, NULL, NULL, 0),
(34088, 146, 5569, 2, 1444168800, 0.5, 146, 1444410152, NULL, NULL, 0),
(34090, 146, 5569, 7, 1444255200, 0.5, 146, 1444410873, NULL, NULL, 0),
(34091, 146, 6725, 2, 1444255200, 0.5, 146, 1444411446, NULL, NULL, 0),
(34092, 146, 6725, 2, 1444168800, 0.5, 146, 1444411465, NULL, NULL, 0),
(34568, 117, 4330, 7, 1444860000, 0.5, 117, 1444902600, NULL, NULL, 0),
(34117, 116, 2, 1, 1444860000, 1, 116, 1444638708, NULL, NULL, 0),
(34118, 116, 2, 1, 1444946400, 1, 116, 1444638712, NULL, NULL, 0),
(34119, 116, 2, 1, 1445378400, 1, 116, 1444638719, NULL, NULL, 0),
(34120, 116, 2, 1, 1445464800, 1, 116, 1444638723, NULL, NULL, 0),
(34121, 116, 2, 1, 1445551200, 1, 116, 1444638727, NULL, NULL, 0),
(34134, 117, 2, 1, 1446159600, 1, 117, 1444639084, NULL, NULL, 0),
(34161, 2, 6772, 4, 1443996000, 1, 2, 1444651538, NULL, NULL, 0),
(34162, 2, 6772, 4, 1444168800, 0.5, 2, 1444651564, NULL, NULL, 0),
(34163, 2, 6772, 5, 1444255200, 0.5, 2, 1444651580, NULL, NULL, 0),
(34164, 2, 6772, 5, 1444255200, 0.5, 2, 1444651596, NULL, NULL, 0),
(34165, 2, 6772, 7, 1444341600, 1, 2, 1444651610, NULL, NULL, 0),
(34166, 2, 6772, 4, 1444600800, 0.5, 2, 1444651626, NULL, NULL, 0),
(34167, 2, 6772, 4, 1443736800, 1, 2, 1444652648, NULL, NULL, 0),
(34720, 2, 5354, 17, 1444946400, 0.5, 2, 1445239831, NULL, NULL, 0),
(34174, 157, 3893, 6, 1444600800, 1, 157, 1444661351, NULL, NULL, 0),
(34175, 116, 6197, 5, 1444600800, 1, 116, 1444661454, NULL, NULL, 0),
(34228, 2, 6772, 4, 1444600800, 0.5, 2, 1444667186, NULL, NULL, 0),
(34234, 134, 6616, 4, 1444255200, 0.4, 134, 1444729649, NULL, NULL, 0),
(34235, 134, 6616, 4, 1444341600, 1, 134, 1444729670, NULL, NULL, 0),
(34237, 134, 6616, 4, 1444600800, 0.25, 134, 1444729718, NULL, NULL, 0),
(34239, 134, 6826, 4, 1444600800, 0.75, 134, 1444730357, NULL, NULL, 0),
(34240, 134, 6826, 4, 1444687200, 0.5, 134, 1444730393, NULL, NULL, 0),
(34273, 147, 4991, 4, 1444600800, 0.5, 147, 1444741024, NULL, NULL, 0),
(34274, 147, 4991, 4, 1444687200, 1, 147, 1444741063, NULL, NULL, 0),
(34276, 147, 4991, 4, 1444341600, 1, 147, 1444741165, NULL, NULL, 0),
(34278, 147, 6294, 5, 1444255200, 1, 147, 1444741364, NULL, NULL, 0),
(34279, 147, 6306, 5, 1443996000, 1, 147, 1444741418, NULL, NULL, 0),
(34281, 147, 6141, 5, 1444082400, 1, 147, 1444741517, NULL, NULL, 0),
(34282, 147, 5569, 4, 1444168800, 1, 147, 1444741610, NULL, NULL, 0),
(34283, 116, 6198, 5, 1444687200, 1, 116, 1444743675, NULL, NULL, 0),
(34287, 117, 5730, 5, 1444600800, 1, 117, 1444745338, NULL, NULL, 0),
(34288, 117, 6273, 5, 1444687200, 1, 117, 1444745366, NULL, NULL, 0),
(34386, 72, 1436, 1, 1444773600, 0.5, 72, 1444808194, NULL, NULL, 0),
(34387, 116, 1436, 1, 1444773600, 0.5, 72, 1444808234, NULL, NULL, 0),
(34388, 178, 1436, 1, 1444773600, 0.5, 72, 1444808264, NULL, NULL, 0),
(34389, 169, 1436, 1, 1444773600, 0.5, 72, 1444808296, NULL, NULL, 0),
(34390, 74, 1436, 1, 1444773600, 0.5, 72, 1444808339, NULL, NULL, 0),
(34391, 134, 1436, 1, 1444773600, 0.5, 72, 1444808398, NULL, NULL, 0),
(34392, 117, 1436, 1, 1444773600, 0.5, 72, 1444808423, NULL, NULL, 0),
(34393, 2, 1436, 1, 1444773600, 0.5, 72, 1444808452, NULL, NULL, 0),
(34394, 109, 1436, 1, 1444773600, 0.5, 72, 1444808479, NULL, NULL, 0),
(34395, 147, 1436, 1, 1444773600, 0.5, 72, 1444808520, NULL, NULL, 0),
(34396, 157, 1436, 1, 1444773600, 0.5, 72, 1444808553, NULL, NULL, 0),
(34397, 72, 23792, 1, 1444600800, 1, 72, 1444808615, NULL, NULL, 0),
(34398, 72, 23792, 1, 1444687200, 1, 72, 1444808615, NULL, NULL, 0),
(34399, 72, 23792, 1, 1444773600, 0.5, 72, 1444808615, NULL, NULL, 0),
(34400, 72, 23792, 1, 1444860000, 1, 72, 1444808615, NULL, NULL, 0),
(34401, 72, 23792, 1, 1444946400, 1, 72, 1444808615, NULL, NULL, 0),
(34404, 116, 2, 1, 1446073200, 1, 116, 1444822196, NULL, NULL, 0),
(34405, 116, 2, 1, 1446159600, 1, 116, 1444822202, NULL, NULL, 0),
(34406, 116, 6928, 5, 1444773600, 0.4, 116, 1444827792, NULL, NULL, 0),
(34541, 74, 1, 1, 1445464800, 0.5, 74, 1444832371, NULL, NULL, 0),
(34552, 93, 6154, 5, 1444600800, 1, 93, 1444835463, NULL, NULL, 0),
(34554, 93, 6154, 5, 1444687200, 1, 93, 1444835497, NULL, NULL, 0),
(34555, 93, 6154, 5, 1444773600, 1, 93, 1444835510, NULL, NULL, 0),
(34556, 93, 6154, 5, 1444860000, 1, 93, 1444835551, NULL, NULL, 0),
(34557, 2, 1505, 1, 1444687200, 1, 2, 1444838243, NULL, NULL, 0),
(34558, 2, 23792, 1, 1444773600, 0.5, 2, 1444838256, NULL, NULL, 0),
(34561, 134, 2, 1, 1447282800, 1, 134, 1444892729, NULL, NULL, 0),
(34562, 134, 2, 1, 1447369200, 1, 134, 1444892729, NULL, NULL, 0),
(34563, 134, 6932, 6, 1444773600, 0.5, 134, 1444897035, NULL, NULL, 0),
(34564, 134, 6932, 4, 1444687200, 0.5, 134, 1444897062, NULL, NULL, 0),
(34565, 134, 6932, 18, 1444860000, 0.1, 134, 1444897095, NULL, NULL, 0),
(34566, 117, 1, 1, 1445814000, 1, 117, 1444901634, NULL, NULL, 0),
(34567, 117, 1, 1, 1445292000, 1, 117, 1444901670, NULL, NULL, 0),
(34599, 178, 4909, 7, 1443650400, 1, 178, 1444982890, NULL, NULL, 0),
(34605, 178, 4915, 4, 1443736800, 1, 178, 1444982971, NULL, NULL, 0),
(34608, 178, 4915, 4, 1443996000, 1, 178, 1444983022, NULL, NULL, 0),
(35403, 169, 7121, 4, 1445205600, 1, 169, 1445951630, NULL, NULL, 0),
(34611, 178, 4915, 7, 1444082400, 1, 178, 1444983078, NULL, NULL, 0),
(34612, 178, 4915, 7, 1444168800, 1, 178, 1444983103, NULL, NULL, 0),
(34614, 178, 4915, 7, 1444255200, 1, 178, 1444983114, NULL, NULL, 0),
(34615, 178, 4915, 7, 1444341600, 1, 178, 1444983126, NULL, NULL, 0),
(34616, 178, 4909, 4, 1444600800, 1, 178, 1444983162, NULL, NULL, 0),
(34617, 178, 4915, 7, 1444687200, 1, 178, 1444983185, NULL, NULL, 0),
(34618, 178, 4915, 7, 1444773600, 0.5, 178, 1444983196, NULL, NULL, 0),
(34619, 178, 4915, 7, 1444860000, 1, 178, 1444983217, NULL, NULL, 0),
(34620, 178, 4915, 7, 1444946400, 1, 178, 1444983224, NULL, NULL, 0),
(34627, 169, 6741, 6, 1444860000, 1, 169, 1444984246, NULL, NULL, 0),
(34628, 169, 6741, 5, 1444687200, 1, 169, 1444984265, NULL, NULL, 0),
(34629, 169, 6741, 5, 1444600800, 1, 169, 1444984275, NULL, NULL, 0),
(34630, 117, 1, 1, 1445900400, 0.5, 117, 1444985488, NULL, NULL, 0),
(34643, 134, 6616, 4, 1444860000, 0.5, 134, 1444996649, NULL, NULL, 0),
(34646, 134, 6617, 5, 1444860000, 0.4, 134, 1444996830, NULL, NULL, 0),
(34650, 134, 2041, 1, 1444946400, 0.25, 134, 1444996923, NULL, NULL, 0),
(34653, 134, 6929, 4, 1444946400, 0.75, 134, 1444997031, NULL, NULL, 0),
(34655, 157, 3893, 4, 1444687200, 1, 157, 1444998854, NULL, NULL, 0),
(34656, 157, 3893, 4, 1444773600, 0.5, 157, 1444998869, NULL, NULL, 0),
(34657, 157, 3893, 4, 1444860000, 1, 157, 1444998884, NULL, NULL, 0),
(34658, 157, 3893, 4, 1444946400, 1, 157, 1444998897, NULL, NULL, 0),
(34659, 93, 6154, 5, 1444946400, 1, 93, 1444999283, NULL, NULL, 0),
(34662, 147, 4991, 4, 1444773600, 0.5, 147, 1445003278, NULL, NULL, 0),
(34663, 147, 6306, 5, 1444860000, 1, 147, 1445003318, NULL, NULL, 0),
(34664, 147, 6294, 5, 1444946400, 1, 147, 1445003396, NULL, NULL, 0),
(34722, 2, 6965, 4, 1444860000, 1, 2, 1445240005, NULL, NULL, 0),
(34670, 169, 6741, 7, 1444946400, 1, 169, 1445007394, NULL, NULL, 0),
(34714, 2, 1435, 1, 1444946400, 0.5, 2, 1445237830, NULL, NULL, 0),
(34725, 164, 6967, 18, 1445205600, 1, 164, 1445246142, NULL, NULL, 0),
(34726, 164, 6967, 18, 1444860000, 1, 164, 1445246185, NULL, NULL, 0),
(34727, 164, 6967, 18, 1444946400, 0.5, 164, 1445246199, NULL, NULL, 0),
(34728, 164, 1435, 1, 1444600800, 1, 164, 1445246224, NULL, NULL, 0),
(34731, 164, 5354, 18, 1444687200, 0.5, 164, 1445246358, NULL, NULL, 0),
(34730, 164, 5354, 17, 1444687200, 0.5, 164, 1445246299, NULL, NULL, 0),
(34732, 164, 5354, 18, 1444773600, 0.25, 164, 1445246743, NULL, NULL, 0),
(34733, 164, 5354, 18, 1444773600, 0.5, 164, 1445246803, NULL, NULL, 0),
(34734, 164, 1435, 1, 1444773600, 0.25, 164, 1445246821, NULL, NULL, 0),
(34735, 164, 3562, 18, 1444946400, 0.5, 164, 1445246861, NULL, NULL, 0),
(34736, 93, 2, 1, 1445378400, 0.5, 93, 1445247201, NULL, NULL, 0),
(34748, 116, 1505, 1, 1444773600, 0.1, 116, 1445263056, NULL, NULL, 0),
(34750, 116, 6198, 5, 1445205600, 1, 116, 1445266209, NULL, NULL, 0),
(34751, 72, 6968, 4, 1445205600, 0.5, 72, 1445269607, NULL, NULL, 0),
(34752, 72, 6969, 5, 1445205600, 0.5, 72, 1445269637, NULL, NULL, 0),
(34753, 72, 23792, 1, 1443477600, 1, 72, 1445269713, NULL, NULL, 0),
(34754, 72, 23792, 1, 1443564000, 1, 72, 1445269713, NULL, NULL, 0),
(34755, 72, 23792, 1, 1443650400, 0.5, 72, 1445269713, NULL, NULL, 0),
(34760, 2, 6772, 5, 1445205600, 0.5, 2, 1445272468, NULL, NULL, 0),
(34761, 2, 6970, 5, 1445205600, 0.5, 2, 1445272490, NULL, NULL, 0),
(34803, 2, 6970, 5, 1445292000, 0.5, 2, 1445334881, NULL, NULL, 0),
(34806, 157, 3893, 4, 1445205600, 1, 157, 1445337569, NULL, NULL, 0),
(34880, 157, 5713, 4, 1445292000, 1, 157, 1445430438, NULL, NULL, 0),
(34807, 74, 6257, 6, 1444600800, 0.5, 74, 1445337663, NULL, NULL, 0),
(34808, 74, 6257, 6, 1444687200, 1, 74, 1445337673, NULL, NULL, 0),
(34809, 74, 6257, 6, 1444773600, 0.5, 74, 1445337682, NULL, NULL, 0),
(34810, 74, 6257, 6, 1444860000, 1, 74, 1445337691, NULL, NULL, 0),
(34811, 74, 6257, 6, 1444946400, 1, 74, 1445337706, NULL, NULL, 0),
(34812, 74, 6257, 6, 1445205600, 1, 74, 1445337763, NULL, NULL, 0),
(34816, 116, 7005, 4, 1445292000, 0.5, 116, 1445350803, NULL, NULL, 0),
(34823, 2, 5730, 4, 1445292000, 0.25, 2, 1445355924, NULL, NULL, 0),
(34824, 2, 23792, 1, 1445292000, 0.25, 2, 1445355948, NULL, NULL, 0),
(34861, 158, 5457, 5, 1444168800, 0.1, 158, 1445413827, NULL, NULL, 0),
(34862, 158, 5457, 5, 1444341600, 0.05, 158, 1445413848, NULL, NULL, 0),
(34863, 158, 5457, 5, 1444687200, 0.1, 158, 1445413893, NULL, NULL, 0),
(34864, 158, 5457, 5, 1444860000, 0.05, 158, 1445413920, NULL, NULL, 0),
(34865, 158, 5457, 5, 1445205600, 0.1, 158, 1445413940, NULL, NULL, 0),
(34866, 158, 5457, 5, 1445378400, 0.05, 158, 1445413964, NULL, NULL, 0),
(34867, 158, 6058, 5, 1444168800, 0.6, 158, 1445414075, NULL, NULL, 0),
(34868, 158, 6058, 5, 1444168800, 0.05, 158, 1445414088, NULL, NULL, 0),
(34869, 158, 6058, 5, 1444341600, 0.9, 158, 1445414110, NULL, NULL, 0),
(34870, 158, 6058, 5, 1444341600, 0.05, 158, 1445414121, NULL, NULL, 0),
(34871, 158, 6058, 5, 1444687200, 0.9, 158, 1445414168, NULL, NULL, 0),
(34874, 158, 6058, 4, 1444860000, 0.25, 158, 1445414248, NULL, NULL, 0),
(34875, 158, 6058, 5, 1444860000, 0.7, 158, 1445414263, NULL, NULL, 0),
(34877, 158, 6058, 5, 1445205600, 0.9, 158, 1445415329, NULL, NULL, 0),
(34881, 157, 7021, 5, 1445378400, 1, 157, 1445430461, NULL, NULL, 0),
(34883, 157, 7021, 6, 1445464800, 0.5, 157, 1445430518, NULL, NULL, 0),
(34884, 157, 5713, 5, 1445464800, 0.5, 157, 1445430549, NULL, NULL, 0),
(34885, 157, 3893, 7, 1445551200, 1, 157, 1445430582, NULL, NULL, 0),
(34887, 74, 1, 1, 1445900400, 0.5, 74, 1445432627, NULL, NULL, 0),
(34907, 2, 1505, 1, 1445378400, 0.5, 2, 1445444901, NULL, NULL, 0),
(34910, 134, 6929, 4, 1445205600, 1, 134, 1445498080, NULL, NULL, 0),
(34911, 134, 6930, 5, 1445292000, 0.3, 134, 1445498397, NULL, NULL, 0),
(34912, 134, 7008, 4, 1445292000, 0.7, 134, 1445498460, NULL, NULL, 0),
(34913, 134, 6929, 4, 1445378400, 0.3, 134, 1445498549, NULL, NULL, 0),
(34914, 134, 7008, 5, 1445378400, 0.7, 134, 1445498593, NULL, NULL, 0),
(34947, 72, 1, 1, 1445551200, 0.5, 72, 1445524425, NULL, NULL, 0),
(34950, 2, 5730, 4, 1445464800, 0.25, 2, 1445524930, NULL, NULL, 0),
(34952, 164, 3965, 1, 1448665200, 1, 72, 1445525230, NULL, NULL, 0),
(34963, 117, 1, 1, 1445900400, 0.5, 117, 1445584583, NULL, NULL, 0),
(34964, 117, 1, 1, 1446505200, 1, 117, 1445584619, NULL, NULL, 0),
(34965, 117, 1, 1, 1449097200, 1, 117, 1445584668, NULL, NULL, 0),
(34966, 117, 2, 1, 1447369200, 1, 117, 1445584725, NULL, NULL, 0),
(34967, 93, 6154, 6, 1445205600, 1, 93, 1445587760, NULL, NULL, 0),
(34969, 93, 6154, 6, 1445292000, 0.5, 93, 1445587828, NULL, NULL, 0),
(34975, 93, 7072, 4, 1445292000, 0.5, 93, 1445588629, NULL, NULL, 0),
(34976, 93, 7072, 4, 1445378400, 0.5, 93, 1445588645, NULL, NULL, 0),
(34977, 93, 7072, 7, 1445464800, 1, 93, 1445588675, NULL, NULL, 0),
(34978, 93, 7072, 5, 1445551200, 1, 93, 1445588688, NULL, NULL, 0),
(34981, 164, 5354, 18, 1445292000, 1, 164, 1445589893, NULL, NULL, 0),
(34982, 164, 5354, 18, 1445378400, 0.5, 164, 1445589908, NULL, NULL, 0),
(34983, 164, 1435, 1, 1445378400, 0.5, 164, 1445589977, NULL, NULL, 0),
(34985, 164, 1435, 1, 1445464800, 1, 164, 1445589995, NULL, NULL, 0),
(34986, 164, 1435, 1, 1445551200, 0.5, 164, 1445590004, NULL, NULL, 0),
(34987, 164, 5354, 18, 1445551200, 0.5, 164, 1445590109, NULL, NULL, 0),
(35001, 117, 1, 1, 1449010800, 1, 117, 1445597360, NULL, NULL, 0),
(35052, 134, 7008, 6, 1445464800, 0.25, 134, 1445610641, NULL, NULL, 0),
(36586, 147, 6744, 5, 1446764400, 1, 147, 1446814885, NULL, NULL, 0),
(35072, 134, 7008, 6, 1445551200, 1, 134, 1445611879, NULL, NULL, 0),
(35077, 134, 6929, 4, 1445464800, 0.5, 134, 1445611944, NULL, NULL, 0),
(35079, 134, 7008, 5, 1445464800, 0.25, 134, 1445611970, NULL, NULL, 0),
(35115, 74, 6566, 6, 1445292000, 1, 74, 1445846531, NULL, NULL, 0),
(35117, 74, 6969, 6, 1445551200, 0.5, 74, 1445846674, NULL, NULL, 0),
(35118, 74, 6969, 6, 1445464800, 0.5, 74, 1445846684, NULL, NULL, 0),
(35119, 74, 6929, 4, 1445378400, 0.5, 74, 1445846834, NULL, NULL, 0),
(35139, 74, 3942, 6, 1445551200, 0.5, 74, 1445847973, NULL, NULL, 0),
(35140, 74, 3942, 6, 1445378400, 0.5, 74, 1445847990, NULL, NULL, 0),
(35155, 116, 2, 1, 1445986800, 1, 116, 1445851511, NULL, NULL, 0),
(35156, 116, 2, 1, 1446678000, 1, 116, 1445851545, NULL, NULL, 0),
(35157, 116, 2, 1, 1446764400, 1, 116, 1445851552, NULL, NULL, 0),
(35158, 116, 7005, 5, 1445292000, 0.5, 116, 1445851701, NULL, NULL, 0),
(35219, 134, 5361, 6, 1445814000, 0.5, 134, 1445856408, NULL, NULL, 0),
(35220, 116, 1506, 1, 1445814000, 0.5, 116, 1445862483, NULL, NULL, 0),
(35242, 2, 1506, 1, 1445814000, 0.75, 2, 1445872454, NULL, NULL, 0),
(35257, 116, 1506, 1, 1445814000, 0.5, 116, 1445874581, NULL, NULL, 0),
(35270, 72, 1506, 1, 1445814000, 0.5, 72, 1445929715, NULL, NULL, 0),
(35271, 72, 23792, 1, 1445292000, 1, 72, 1445930034, NULL, NULL, 0),
(35272, 72, 23792, 1, 1445378400, 1, 72, 1445930034, NULL, NULL, 0),
(35273, 72, 23792, 1, 1445464800, 1, 72, 1445930034, NULL, NULL, 0),
(35274, 72, 23792, 1, 1445551200, 0.5, 72, 1445930034, NULL, NULL, 0),
(35524, 134, 6929, 4, 1445900400, 0.5, 134, 1446124133, NULL, NULL, 0),
(35287, 74, 1, 1, 1447023600, 0.5, 74, 1445937686, NULL, NULL, 0),
(38929, 72, 2, 1, 1452034800, 1, 72, 1449049030, NULL, NULL, 0),
(38930, 169, 7702, 4, 1448924400, 1, 169, 1449050072, NULL, NULL, 0),
(38927, 72, 2, 1, 1451862000, 1, 72, 1449049030, NULL, NULL, 0),
(35371, 2, 7109, 5, 1445900400, 0.25, 2, 1445942586, NULL, NULL, 0),
(35372, 2, 7110, 5, 1445900400, 0.25, 2, 1445942605, NULL, NULL, 0),
(35373, 178, 4915, 4, 1445900400, 1, 178, 1445942811, NULL, NULL, 0),
(35374, 178, 4915, 4, 1445205600, 1, 178, 1445942855, NULL, NULL, 0),
(35375, 2, 7111, 4, 1445551200, 1, 2, 1445942870, NULL, NULL, 0),
(35376, 2, 1435, 1, 1445378400, 0.5, 2, 1445942989, NULL, NULL, 0),
(35377, 178, 4915, 4, 1445292000, 1, 178, 1445943017, NULL, NULL, 0),
(35378, 2, 7112, 5, 1445464800, 0.75, 2, 1445943181, NULL, NULL, 0),
(35379, 2, 7112, 5, 1445814000, 0.25, 2, 1445943254, NULL, NULL, 0),
(35389, 93, 1506, 1, 1445814000, 0.6, 93, 1445943683, NULL, NULL, 0),
(35390, 93, 1506, 1, 1445900400, 1, 93, 1445943689, NULL, NULL, 0),
(35382, 2, 1506, 1, 1445900400, 0.5, 2, 1445943285, NULL, NULL, 0),
(35383, 164, 1506, 1, 1445814000, 0.25, 164, 1445943442, NULL, NULL, 0),
(35384, 164, 1506, 1, 1445900400, 0.5, 164, 1445943459, NULL, NULL, 0),
(35386, 169, 1506, 1, 1445900400, 1, 169, 1445943508, NULL, NULL, 0),
(35410, 169, 6741, 5, 1444773600, 0.5, 169, 1445951790, NULL, NULL, 0),
(35388, 93, 7072, 6, 1445814000, 0.4, 93, 1445943664, NULL, NULL, 0),
(35392, 117, 1, 1, 1446418800, 1, 117, 1445948726, NULL, NULL, 0),
(35393, 117, 1, 1, 1449183600, 1, 117, 1445948777, NULL, NULL, 0),
(35394, 117, 1, 1, 1450220400, 1, 117, 1445948846, NULL, NULL, 0),
(35395, 117, 1, 1, 1450306800, 1, 117, 1445948846, NULL, NULL, 0),
(35396, 117, 1, 1, 1450393200, 1, 117, 1445948846, NULL, NULL, 0),
(35397, 117, 2, 1, 1449788400, 1, 117, 1445948872, NULL, NULL, 0),
(35398, 178, 7113, 5, 1445378400, 1, 178, 1445950158, NULL, NULL, 0),
(35399, 178, 7113, 5, 1445464800, 1, 178, 1445950171, NULL, NULL, 0),
(35400, 178, 7115, 5, 1445551200, 1, 178, 1445950195, NULL, NULL, 0),
(35401, 178, 7115, 5, 1445814000, 1, 178, 1445950223, NULL, NULL, 0),
(35404, 169, 7121, 5, 1445292000, 1, 169, 1445951644, NULL, NULL, 0),
(35405, 169, 7121, 5, 1445378400, 1, 169, 1445951652, NULL, NULL, 0),
(35406, 169, 7121, 5, 1445464800, 1, 169, 1445951661, NULL, NULL, 0),
(35407, 169, 7121, 6, 1445551200, 1, 169, 1445951677, NULL, NULL, 0),
(35409, 169, 7121, 7, 1445814000, 0.5, 169, 1445951754, NULL, NULL, 0),
(35411, 169, 5724, 7, 1443650400, 1, 169, 1445951963, NULL, NULL, 0),
(35412, 169, 5724, 7, 1443736800, 1, 169, 1445951976, NULL, NULL, 0),
(35419, 134, 5361, 6, 1445814000, 0.5, 134, 1445953285, NULL, NULL, 0),
(35414, 169, 4288, 4, 1443996000, 1, 169, 1445952095, NULL, NULL, 0),
(35415, 169, 4288, 4, 1444082400, 1, 169, 1445952106, NULL, NULL, 0),
(35416, 169, 4288, 4, 1444168800, 1, 169, 1445952113, NULL, NULL, 0),
(35417, 169, 4288, 4, 1444255200, 1, 169, 1445952122, NULL, NULL, 0),
(35418, 169, 4288, 4, 1444341600, 1, 169, 1445952133, NULL, NULL, 0),
(35420, 134, 6616, 4, 1445900400, 0.5, 134, 1445953327, NULL, NULL, 0),
(38928, 72, 2, 1, 1451948400, 1, 72, 1449049030, NULL, NULL, 0),
(38936, 93, 7645, 4, 1448924400, 0.2, 93, 1449051372, NULL, NULL, 0),
(38935, 93, 7645, 4, 1449010800, 0.2, 93, 1449051353, NULL, NULL, 0),
(35429, 116, 6198, 4, 1445900400, 1, 116, 1445959660, NULL, NULL, 0),
(36869, 158, 6949, 4, 1446591600, 0.9, 158, 1447169237, NULL, NULL, 0),
(35435, 158, 1506, 1, 1445900400, 0.25, 158, 1445963222, NULL, NULL, 0),
(35436, 158, 5457, 5, 1445551200, 0.1, 158, 1445963264, NULL, NULL, 0),
(35437, 158, 6949, 4, 1445551200, 0.9, 158, 1445963427, NULL, NULL, 0),
(35528, 134, 2, 1, 1445986800, 0.5, 134, 1446124286, NULL, NULL, 0),
(35439, 74, 6566, 6, 1444168800, 0.5, 2, 1446020160, NULL, NULL, 0),
(35456, 2, 23792, 1, 1445986800, 0.5, 2, 1446026759, NULL, NULL, 0),
(35491, 2, 1506, 1, 1445986800, 0.25, 2, 1446105963, NULL, NULL, 0),
(35482, 169, 1506, 1, 1445986800, 1, 169, 1446050468, NULL, NULL, 0),
(35484, 72, 7070, 4, 1445900400, 0.5, 72, 1446052989, NULL, NULL, 0),
(35490, 2, 3686, 7, 1445986800, 0.25, 2, 1446105928, NULL, NULL, 0),
(39131, 93, 2088, 1, 1448924400, 0.2, 93, 1449239158, NULL, NULL, 0),
(35512, 158, 2, 1, 1450652400, 1, 158, 1446109411, NULL, NULL, 0),
(35514, 93, 1506, 1, 1445986800, 1, 93, 1446110025, NULL, NULL, 0),
(35526, 134, 6616, 4, 1445986800, 0.25, 134, 1446124211, NULL, NULL, 0),
(35529, 134, 6930, 5, 1445986800, 0.25, 134, 1446124313, NULL, NULL, 0),
(35530, 134, 6616, 4, 1446073200, 0.25, 134, 1446124333, NULL, NULL, 0),
(38897, 169, 7641, 7, 1448838000, 0.5, 169, 1448986493, NULL, NULL, 0),
(38896, 169, 7630, 7, 1448838000, 0.5, 169, 1448986467, NULL, NULL, 0),
(38895, 116, 7629, 4, 1448924400, 0.5, 116, 1448984314, NULL, NULL, 0),
(38894, 116, 7629, 6, 1448924400, 0.5, 116, 1448984299, NULL, NULL, 0),
(35552, 72, 23792, 1, 1446073200, 1, 72, 1446128067, NULL, NULL, 0),
(35553, 74, 3942, 6, 1445814000, 0.25, 74, 1446130340, NULL, NULL, 0),
(35555, 74, 1506, 1, 1445900400, 0.5, 74, 1446130410, NULL, NULL, 0),
(35556, 74, 1506, 1, 1445986800, 1, 74, 1446130419, NULL, NULL, 0),
(35557, 74, 1506, 1, 1446073200, 0.25, 74, 1446130430, NULL, NULL, 0),
(35558, 74, 3942, 6, 1446073200, 0.25, 74, 1446130445, NULL, NULL, 0),
(35559, 74, 1506, 1, 1445814000, 0.5, 74, 1446130672, NULL, NULL, 0),
(35560, 74, 7148, 5, 1445814000, 0.25, 74, 1446130711, NULL, NULL, 0),
(35562, 74, 7148, 6, 1446073200, 0.25, 74, 1446130738, NULL, NULL, 0),
(35821, 117, 2, 1, 1446678000, 1, 117, 1446455868, NULL, NULL, 0),
(35567, 158, 4843, 7, 1446073200, 0.25, 158, 1446134416, NULL, NULL, 0),
(35568, 158, 6949, 4, 1445378400, 0.9, 158, 1446134713, NULL, NULL, 0),
(35569, 158, 6949, 4, 1445378400, 0.05, 158, 1446134725, NULL, NULL, 0),
(35570, 158, 1506, 1, 1446073200, 0.1, 158, 1446134884, NULL, NULL, 0),
(35571, 198, 2, 1, 1445464800, 0.5, 198, 1446137134, NULL, NULL, 0),
(35572, 198, 2, 1, 1443996000, 0.5, 198, 1446137283, NULL, NULL, 0),
(36130, 134, 6930, 5, 1446418800, 0.5, 134, 1446623947, NULL, NULL, 0),
(35602, 198, 2041, 1, 1442181600, 1, 198, 1446195587, NULL, NULL, 0),
(35603, 198, 1436, 1, 1442268000, 1, 198, 1446195628, NULL, NULL, 0),
(35605, 198, 1505, 1, 1442440800, 1, 198, 1446195728, NULL, NULL, 0),
(35613, 198, 1400, 1, 1444082400, 1, 198, 1446196046, NULL, NULL, 0),
(35614, 198, 1400, 1, 1444860000, 1, 198, 1446196073, NULL, NULL, 0),
(35621, 147, 7133, 4, 1445900400, 1, 147, 1446196672, NULL, NULL, 0),
(35620, 147, 7133, 4, 1445814000, 1, 147, 1446196616, NULL, NULL, 0),
(35622, 147, 6742, 4, 1445986800, 1, 147, 1446196786, NULL, NULL, 0),
(35623, 147, 6742, 4, 1446073200, 1, 147, 1446196930, NULL, NULL, 0),
(35624, 147, 6745, 5, 1446159600, 1, 147, 1446197066, NULL, NULL, 0),
(35648, 74, 1400, 1, 1448838000, 1, 72, 1446208774, NULL, NULL, 0),
(35649, 164, 1506, 1, 1445900400, 0.5, 164, 1446209374, NULL, NULL, 0),
(35650, 164, 1435, 1, 1445986800, 1, 164, 1446209385, NULL, NULL, 0),
(35654, 164, 5354, 18, 1446159600, 1, 164, 1446209467, NULL, NULL, 0),
(35652, 164, 5354, 18, 1446073200, 0.5, 164, 1446209434, NULL, NULL, 0),
(35653, 164, 4348, 18, 1446073200, 0.5, 164, 1446209446, NULL, NULL, 0),
(35655, 72, 23792, 1, 1445814000, 0.5, 72, 1446209518, NULL, NULL, 0),
(35656, 72, 23792, 1, 1445900400, 0.5, 72, 1446209518, NULL, NULL, 0),
(35657, 72, 23792, 1, 1445986800, 1, 72, 1446209518, NULL, NULL, 0),
(35658, 72, 23792, 1, 1446159600, 1, 72, 1446209518, NULL, NULL, 0),
(35664, 74, 7148, 5, 1446159600, 0.5, 74, 1446209789, NULL, NULL, 0),
(35665, 164, 1506, 1, 1445814000, 0.25, 164, 1446210055, NULL, NULL, 0),
(35666, 164, 5354, 18, 1445814000, 0.5, 164, 1446210074, NULL, NULL, 0),
(35674, 116, 2, 1, 1447282800, 1, 2, 1446210820, NULL, NULL, 0),
(35675, 116, 2, 1, 1447369200, 1, 2, 1446210820, NULL, NULL, 0),
(36882, 116, 2, 1, 1447801200, 1, 116, 1447170573, NULL, NULL, 0),
(35677, 116, 2, 1, 1447887600, 1, 2, 1446210872, NULL, NULL, 0),
(35678, 116, 2, 1, 1447974000, 1, 2, 1446210872, NULL, NULL, 0),
(35679, 116, 2, 1, 1448492400, 1, 2, 1446210914, NULL, NULL, 0),
(35680, 116, 2, 1, 1448578800, 1, 2, 1446210919, NULL, NULL, 0),
(35681, 116, 2, 1, 1449010800, 1, 2, 1446210929, NULL, NULL, 0),
(35682, 116, 2, 1, 1449097200, 1, 2, 1446210933, NULL, NULL, 0),
(35683, 116, 2, 1, 1449183600, 1, 2, 1446210937, NULL, NULL, 0),
(35684, 116, 2, 1, 1449702000, 1, 2, 1446210944, NULL, NULL, 0),
(35685, 116, 2, 1, 1449788400, 1, 2, 1446210949, NULL, NULL, 0),
(35686, 116, 2, 1, 1450220400, 1, 2, 1446210957, NULL, NULL, 0),
(35687, 116, 2, 1, 1450306800, 1, 2, 1446210961, NULL, NULL, 0),
(35688, 116, 2, 1, 1450393200, 1, 2, 1446210964, NULL, NULL, 0),
(35689, 74, 1437, 1, 1446073200, 0.25, 74, 1446215144, NULL, NULL, 0),
(35690, 74, 1437, 1, 1446159600, 0.5, 74, 1446215153, NULL, NULL, 0),
(35694, 109, 1041, 1, 1444341600, 1, 109, 1446217009, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(38931, 93, 7702, 4, 1448924400, 0.2, 93, 1449051222, NULL, NULL, 0),
(35817, 158, 5457, 5, 1445900400, 0.05, 158, 1446453866, NULL, NULL, 0),
(35818, 158, 4843, 7, 1445900400, 0.7, 158, 1446453908, NULL, NULL, 0),
(35822, 117, 1, 1, 1446764400, 1, 117, 1446455899, NULL, NULL, 0),
(35823, 117, 1, 1, 1449702000, 1, 117, 1446455947, NULL, NULL, 0),
(35824, 93, 7242, 4, 1446159600, 1, 93, 1446456482, NULL, NULL, 0),
(35826, 93, 2, 1, 1446591600, 0.5, 93, 1446457081, NULL, NULL, 0),
(35827, 93, 7243, 2, 1446073200, 0.1, 93, 1446457637, NULL, NULL, 0),
(35828, 93, 6931, 2, 1446073200, 0.1, 93, 1446457652, NULL, NULL, 0),
(35829, 93, 6617, 4, 1446073200, 0.8, 93, 1446457707, NULL, NULL, 0),
(35857, 158, 7243, 4, 1446073200, 0.5, 158, 1446466403, NULL, NULL, 0),
(35858, 158, 7243, 4, 1446073200, 0.05, 158, 1446466421, NULL, NULL, 0),
(36863, 158, 5406, 2, 1447110000, 0.2, 158, 1447168235, NULL, NULL, 0),
(36862, 158, 6949, 4, 1447110000, 0.4, 158, 1447168165, NULL, NULL, 0),
(36861, 117, 1, 1, 1447801200, 1, 117, 1447159160, NULL, NULL, 0),
(35886, 158, 2, 1, 1452726000, 1, 158, 1446477242, NULL, NULL, 0),
(35885, 158, 2, 1, 1452553200, 1, 158, 1446477239, NULL, NULL, 0),
(35881, 158, 2, 1, 1451862000, 1, 158, 1446477107, NULL, NULL, 0),
(35882, 158, 2, 1, 1452034800, 1, 158, 1446477107, NULL, NULL, 0),
(35883, 158, 2, 1, 1452207600, 1, 158, 1446477107, NULL, NULL, 0),
(35888, 158, 2, 1, 1453071600, 1, 158, 1446477294, NULL, NULL, 0),
(35889, 158, 2, 1, 1453244400, 1, 158, 1446477294, NULL, NULL, 0),
(35890, 158, 2, 1, 1453417200, 1, 158, 1446477294, NULL, NULL, 0),
(35891, 158, 2, 1, 1453762800, 1, 158, 1446477324, NULL, NULL, 0),
(35892, 158, 2, 1, 1453935600, 1, 158, 1446477324, NULL, NULL, 0),
(35900, 116, 7193, 4, 1446418800, 1, 116, 1446480248, NULL, NULL, 0),
(35904, 93, 7242, 4, 1446418800, 1, 93, 1446482220, NULL, NULL, 0),
(35908, 157, 2, 1, 1446764400, 0.5, 157, 1446533732, NULL, NULL, 0),
(35949, 72, 23792, 1, 1446418800, 1, 72, 1446553956, NULL, NULL, 0),
(35950, 72, 23792, 1, 1446505200, 1, 72, 1446553956, NULL, NULL, 0),
(35951, 72, 23792, 1, 1446591600, 1, 72, 1446553956, NULL, NULL, 0),
(35952, 72, 23792, 1, 1446678000, 1, 72, 1446553956, NULL, NULL, 0),
(35953, 72, 23792, 1, 1446764400, 1, 72, 1446553956, NULL, NULL, 0),
(35958, 2, 7278, 4, 1446418800, 0.25, 2, 1446557555, NULL, NULL, 0),
(35959, 2, 7278, 4, 1446159600, 0.25, 2, 1446557568, NULL, NULL, 0),
(35960, 2, 7278, 4, 1446505200, 0.25, 2, 1446557597, NULL, NULL, 0),
(35961, 2, 23792, 1, 1446418800, 0.5, 2, 1446557622, NULL, NULL, 0),
(36022, 178, 7115, 5, 1445986800, 1, 178, 1446561177, NULL, NULL, 0),
(36027, 178, 7113, 5, 1446073200, 1, 178, 1446561211, NULL, NULL, 0),
(36032, 178, 7118, 4, 1446159600, 1, 178, 1446561260, NULL, NULL, 0),
(36035, 178, 7118, 4, 1446418800, 1, 178, 1446561279, NULL, NULL, 0),
(36039, 178, 7118, 4, 1446505200, 1, 178, 1446561296, NULL, NULL, 0),
(36099, 116, 7071, 6, 1446505200, 1, 116, 1446563604, NULL, NULL, 0),
(36103, 200, 1436, 1, 1446418800, 1, 72, 1446565112, NULL, NULL, 0),
(36104, 200, 1436, 1, 1446505200, 1, 72, 1446565126, NULL, NULL, 0),
(36105, 200, 1436, 1, 1446591600, 1, 72, 1446565133, NULL, NULL, 0),
(36106, 200, 1436, 1, 1446678000, 1, 72, 1446565144, NULL, NULL, 0),
(36107, 200, 1436, 1, 1446764400, 1, 72, 1446565175, NULL, NULL, 0),
(36108, 164, 5354, 18, 1446418800, 0.5, 164, 1446566616, NULL, NULL, 0),
(36109, 164, 4348, 18, 1446418800, 0.5, 164, 1446566645, NULL, NULL, 0),
(36110, 164, 5354, 18, 1446505200, 1, 164, 1446566674, NULL, NULL, 0),
(36112, 2, 1435, 1, 1446505200, 0.5, 2, 1446566822, NULL, NULL, 0),
(36132, 134, 6931, 7, 1446505200, 0.7, 134, 1446624125, NULL, NULL, 0),
(36129, 134, 6930, 6, 1446418800, 0.5, 134, 1446623924, NULL, NULL, 0),
(36133, 134, 6930, 6, 1446505200, 0.3, 134, 1446624364, NULL, NULL, 0),
(37594, 158, 1, 1, 1447801200, 0.5, 158, 1447841089, NULL, NULL, 0),
(36166, 74, 1, 1, 1447887600, 0.5, 74, 1446643583, NULL, NULL, 0),
(36195, 147, 6742, 5, 1446418800, 1, 147, 1446646639, NULL, NULL, 0),
(36197, 147, 6743, 5, 1446505200, 1, 147, 1446646746, NULL, NULL, 0),
(36198, 147, 6743, 5, 1446591600, 1, 147, 1446646781, NULL, NULL, 0),
(36199, 147, 2, 1, 1447628400, 0.5, 147, 1446646857, NULL, NULL, 0),
(36254, 117, 1, 1, 1447887600, 1, 117, 1446649151, NULL, NULL, 0),
(36255, 117, 1, 1, 1447974000, 1, 117, 1446649151, NULL, NULL, 0),
(36259, 117, 2, 1, 1450911600, 1, 117, 1446649295, NULL, NULL, 0),
(36266, 116, 1505, 1, 1446591600, 0.1, 116, 1446652025, NULL, NULL, 0),
(36267, 116, 7071, 6, 1446591600, 0.4, 116, 1446652063, NULL, NULL, 0),
(36268, 116, 7068, 5, 1446591600, 0.5, 116, 1446652102, NULL, NULL, 0),
(36270, 2, 23792, 1, 1446591600, 0.5, 2, 1446655171, NULL, NULL, 0),
(36271, 2, 1435, 1, 1446591600, 0.25, 2, 1446655183, NULL, NULL, 0),
(36272, 134, 6930, 6, 1446591600, 1, 134, 1446658068, NULL, NULL, 0),
(36281, 134, 6930, 5, 1446159600, 1, 134, 1446658186, NULL, NULL, 0),
(36288, 134, 6930, 5, 1446073200, 0.75, 134, 1446658309, NULL, NULL, 0),
(36321, 147, 6744, 5, 1446678000, 1, 147, 1446712394, NULL, NULL, 0),
(36394, 2, 1505, 1, 1446678000, 0.5, 2, 1446721583, NULL, NULL, 0),
(36395, 157, 7067, 5, 1446418800, 1, 157, 1446724809, NULL, NULL, 0),
(36396, 157, 7067, 18, 1446505200, 0.5, 157, 1446724829, NULL, NULL, 0),
(36584, 164, 5354, 18, 1446764400, 0.75, 164, 1446814827, NULL, NULL, 0),
(36470, 2, 23792, 1, 1446678000, 0.3, 2, 1446763895, NULL, NULL, 0),
(36471, 157, 7394, 4, 1446505200, 0.5, 157, 1446791809, NULL, NULL, 0),
(36472, 157, 7394, 4, 1446591600, 0.5, 157, 1446791828, NULL, NULL, 0),
(36473, 157, 7392, 4, 1446591600, 0.5, 157, 1446791864, NULL, NULL, 0),
(36475, 157, 7393, 4, 1446678000, 0.5, 157, 1446791947, NULL, NULL, 0),
(36479, 157, 7395, 4, 1446764400, 0.5, 157, 1446794617, NULL, NULL, 0),
(36478, 157, 7395, 4, 1446678000, 0.5, 157, 1446794595, NULL, NULL, 0),
(37754, 74, 1505, 1, 1447801200, 0.25, 74, 1448005293, NULL, NULL, 0),
(36481, 74, 1436, 1, 1446678000, 0.5, 74, 1446795917, NULL, NULL, 0),
(36482, 74, 7191, 6, 1446418800, 1, 74, 1446797009, NULL, NULL, 0),
(36485, 74, 7191, 6, 1446505200, 1, 74, 1446797421, NULL, NULL, 0),
(36487, 74, 6275, 2, 1446591600, 0.25, 74, 1446797539, NULL, NULL, 0),
(36488, 74, 1505, 1, 1446591600, 0.75, 74, 1446797561, NULL, NULL, 0),
(36575, 164, 1436, 1, 1446678000, 0.5, 164, 1446814534, NULL, NULL, 0),
(36578, 164, 3562, 18, 1446591600, 0.5, 164, 1446814712, NULL, NULL, 0),
(36579, 164, 1435, 1, 1446591600, 0.5, 164, 1446814723, NULL, NULL, 0),
(36580, 164, 1435, 1, 1446678000, 0.5, 164, 1446814742, NULL, NULL, 0),
(36582, 164, 6967, 18, 1446764400, 0.25, 164, 1446814786, NULL, NULL, 0),
(36606, 93, 2088, 1, 1446505200, 0.1, 93, 1446816383, NULL, NULL, 0),
(36607, 93, 6930, 2, 1446505200, 0.3, 93, 1446816435, NULL, NULL, 0),
(36608, 93, 6930, 2, 1446591600, 0.25, 93, 1446816613, NULL, NULL, 0),
(36609, 93, 7369, 4, 1446505200, 0.6, 93, 1446816660, NULL, NULL, 0),
(36610, 93, 7369, 4, 1446591600, 0.25, 93, 1446816676, NULL, NULL, 0),
(36612, 2, 23792, 1, 1446764400, 0.25, 2, 1446817322, NULL, NULL, 0),
(36620, 93, 2088, 1, 1446678000, 0.25, 93, 1446817585, NULL, NULL, 0),
(36629, 93, 1505, 1, 1446678000, 0.25, 93, 1446817868, NULL, NULL, 0),
(36624, 93, 1505, 1, 1446678000, 0.5, 93, 1446817749, NULL, NULL, 0),
(36625, 93, 1505, 1, 1446764400, 0.5, 93, 1446817762, NULL, NULL, 0),
(36633, 93, 7369, 4, 1446764400, 0.5, 93, 1446817957, NULL, NULL, 0),
(36671, 74, 1, 1, 1448406000, 0.5, 74, 1446822513, NULL, NULL, 0),
(36715, 146, 1505, 1, 1446418800, 0.2, 146, 1446829495, NULL, NULL, 0),
(36717, 146, 7406, 4, 1446418800, 0.8, 146, 1446830149, NULL, NULL, 0),
(36718, 146, 7406, 4, 1446505200, 1, 146, 1446830171, NULL, NULL, 0),
(36719, 146, 7407, 4, 1446764400, 1, 146, 1446830479, NULL, NULL, 0),
(36720, 146, 7408, 4, 1446591600, 1, 146, 1446830528, NULL, NULL, 0),
(36721, 146, 7409, 4, 1446678000, 1, 146, 1446830560, NULL, NULL, 0),
(36797, 72, 7418, 7, 1447023600, 0.5, 72, 1447082088, NULL, NULL, 0),
(37731, 164, 1435, 1, 1447628400, 0.5, 164, 1447948690, NULL, NULL, 0),
(37730, 164, 7496, 17, 1447628400, 0.5, 164, 1447948657, NULL, NULL, 0),
(37736, 146, 3479, 4, 1447023600, 1, 146, 1447949540, NULL, NULL, 0),
(37735, 164, 1435, 1, 1447801200, 0.5, 164, 1447948765, NULL, NULL, 0),
(37734, 164, 7496, 18, 1447801200, 0.5, 164, 1447948753, NULL, NULL, 0),
(36803, 146, 2, 1, 1450652400, 1, 72, 1447084171, NULL, NULL, 0),
(36804, 146, 2, 1, 1450738800, 1, 72, 1447084171, NULL, NULL, 0),
(36805, 146, 2, 1, 1451257200, 1, 72, 1447084171, NULL, NULL, 0),
(36806, 146, 2, 1, 1451343600, 1, 72, 1447084171, NULL, NULL, 0),
(36807, 146, 2, 1, 1451430000, 1, 72, 1447084171, NULL, NULL, 0),
(36808, 146, 2, 1, 1451516400, 1, 72, 1447084171, NULL, NULL, 0),
(36809, 116, 7068, 5, 1447023600, 0.5, 116, 1447084212, NULL, NULL, 0),
(36810, 116, 6198, 6, 1447023600, 0.5, 116, 1447084229, NULL, NULL, 0),
(36814, 72, 2, 1, 1450652400, 1, 72, 1447088389, NULL, NULL, 0),
(36815, 72, 2, 1, 1450738800, 1, 72, 1447088389, NULL, NULL, 0),
(36816, 72, 2, 1, 1450825200, 1, 72, 1447088389, NULL, NULL, 0),
(36817, 72, 2, 1, 1450911600, 1, 72, 1447088389, NULL, NULL, 0),
(36820, 169, 7111, 5, 1446418800, 1, 169, 1447088763, NULL, NULL, 0),
(36821, 169, 7424, 4, 1446505200, 1, 169, 1447088805, NULL, NULL, 0),
(36822, 169, 7424, 4, 1446591600, 1, 169, 1447088825, NULL, NULL, 0),
(36823, 169, 7424, 5, 1446678000, 1, 169, 1447088842, NULL, NULL, 0),
(36824, 169, 7424, 5, 1446764400, 1, 169, 1447088906, NULL, NULL, 0),
(36825, 2, 7420, 4, 1447023600, 1, 2, 1447111642, NULL, NULL, 0),
(36826, 157, 7423, 4, 1447023600, 1, 157, 1447136413, NULL, NULL, 0),
(36840, 93, 7369, 4, 1447023600, 0.8, 93, 1447143681, NULL, NULL, 0),
(36841, 93, 2088, 1, 1447023600, 0.2, 93, 1447143701, NULL, NULL, 0),
(36845, 158, 4843, 7, 1447110000, 0.1, 158, 1447149466, NULL, NULL, 0),
(36864, 158, 5405, 2, 1447110000, 0.2, 158, 1447168257, NULL, NULL, 0),
(36847, 158, 5457, 5, 1446073200, 0.1, 158, 1447150222, NULL, NULL, 0),
(36848, 158, 5457, 5, 1446418800, 0.05, 158, 1447150283, NULL, NULL, 0),
(36849, 158, 5457, 5, 1446591600, 0.1, 158, 1447150302, NULL, NULL, 0),
(36850, 158, 5457, 5, 1446764400, 0.05, 158, 1447150320, NULL, NULL, 0),
(36851, 158, 5457, 5, 1447110000, 0.1, 158, 1447150353, NULL, NULL, 0),
(36852, 117, 6275, 5, 1447023600, 1, 117, 1447152356, NULL, NULL, 0),
(36853, 117, 6275, 4, 1446505200, 1, 117, 1447152377, NULL, NULL, 0),
(36854, 117, 4330, 5, 1447110000, 1, 117, 1447152414, NULL, NULL, 0),
(36855, 158, 2, 1, 1457910000, 1, 158, 1447158741, NULL, NULL, 0),
(36856, 158, 2, 1, 1457996400, 1, 158, 1447158741, NULL, NULL, 0),
(36857, 158, 2, 1, 1458082800, 1, 158, 1447158741, NULL, NULL, 0),
(36858, 158, 2, 1, 1458169200, 1, 158, 1447158741, NULL, NULL, 0),
(36859, 158, 2, 1, 1458255600, 1, 158, 1447158741, NULL, NULL, 0),
(36866, 158, 6949, 4, 1446764400, 0.9, 158, 1447168979, NULL, NULL, 0),
(36867, 158, 6949, 4, 1446764400, 0.05, 158, 1447169006, NULL, NULL, 0),
(36877, 158, 7243, 4, 1446418800, 0.1, 158, 1447170063, NULL, NULL, 0),
(36871, 199, 7243, 5, 1447023600, 1, 199, 1447169847, NULL, NULL, 0),
(36872, 199, 7243, 5, 1447110000, 0.2, 199, 1447169871, NULL, NULL, 0),
(36883, 199, 5406, 5, 1447110000, 0.3, 199, 1447170780, NULL, NULL, 0),
(36874, 199, 5405, 4, 1447110000, 0.1, 199, 1447169967, NULL, NULL, 0),
(36878, 158, 7243, 4, 1446418800, 0.05, 158, 1447170080, NULL, NULL, 0),
(36884, 199, 5406, 6, 1447110000, 0.1, 199, 1447170857, NULL, NULL, 0),
(36879, 199, 5405, 7, 1447110000, 0.3, 199, 1447170084, NULL, NULL, 0),
(36881, 158, 6949, 4, 1446418800, 0.8, 158, 1447170106, NULL, NULL, 0),
(36887, 2, 7420, 4, 1447110000, 0.5, 2, 1447202268, NULL, NULL, 0),
(36888, 2, 23792, 1, 1447110000, 0.25, 2, 1447202296, NULL, NULL, 0),
(36889, 2, 5354, 18, 1447110000, 0.25, 2, 1447202415, NULL, NULL, 0),
(36890, 2, 7424, 4, 1446418800, 0.25, 2, 1447202499, NULL, NULL, 0),
(36892, 2, 7111, 5, 1446505200, 0.25, 2, 1447202737, NULL, NULL, 0),
(36893, 2, 7112, 4, 1446591600, 0.25, 2, 1447202837, NULL, NULL, 0),
(36894, 2, 1435, 1, 1446073200, 0.5, 2, 1447202914, NULL, NULL, 0),
(36913, 93, 2088, 1, 1447110000, 0.2, 93, 1447321086, NULL, NULL, 0),
(36901, 74, 1, 1, 1447628400, 0.5, 74, 1447315466, NULL, NULL, 0),
(36902, 147, 6744, 5, 1447023600, 1, 147, 1447317395, NULL, NULL, 0),
(36903, 147, 6745, 5, 1447110000, 1, 147, 1447317442, NULL, NULL, 0),
(36904, 147, 6744, 5, 1447282800, 1, 147, 1447317552, NULL, NULL, 0),
(36905, 158, 5457, 5, 1447282800, 0.05, 158, 1447318354, NULL, NULL, 0),
(36918, 158, 2, 1, 1448838000, 1, 158, 1447325612, NULL, NULL, 0),
(36922, 198, 2, 1, 1447369200, 0.5, 198, 1447328641, NULL, NULL, 0),
(36927, 93, 2041, 1, 1447282800, 0.3, 93, 1447335974, NULL, NULL, 0),
(36928, 93, 2088, 1, 1447282800, 0.1, 93, 1447335982, NULL, NULL, 0),
(36940, 157, 7394, 4, 1447110000, 1, 157, 1447395630, NULL, NULL, 0),
(36941, 157, 7423, 5, 1447282800, 1, 157, 1447395667, NULL, NULL, 0),
(36942, 157, 7423, 7, 1447369200, 1, 157, 1447395687, NULL, NULL, 0),
(36947, 74, 7191, 6, 1446678000, 0.5, 74, 1447401075, NULL, NULL, 0),
(36948, 74, 7191, 6, 1446764400, 1, 74, 1447401092, NULL, NULL, 0),
(36949, 199, 5405, 4, 1447282800, 0.5, 199, 1447401190, NULL, NULL, 0),
(36951, 199, 5405, 4, 1447282800, 0.5, 199, 1447401334, NULL, NULL, 0),
(36952, 199, 1436, 1, 1447369200, 1, 199, 1447401375, NULL, NULL, 0),
(36953, 199, 1436, 1, 1446418800, 1, 199, 1447401402, NULL, NULL, 0),
(36954, 199, 1436, 1, 1446505200, 1, 199, 1447401411, NULL, NULL, 0),
(36955, 199, 1436, 1, 1446591600, 1, 199, 1447401417, NULL, NULL, 0),
(36956, 199, 1436, 1, 1446678000, 1, 199, 1447401423, NULL, NULL, 0),
(36957, 199, 1436, 1, 1446764400, 1, 199, 1447401426, NULL, NULL, 0),
(36958, 199, 1436, 1, 1446073200, 1, 199, 1447401437, NULL, NULL, 0),
(36959, 199, 1436, 1, 1446159600, 1, 199, 1447401441, NULL, NULL, 0),
(36967, 74, 6275, 17, 1447110000, 1, 74, 1447401861, NULL, NULL, 0),
(37082, 74, 6198, 2, 1447023600, 0.5, 74, 1447426396, NULL, NULL, 0),
(36964, 74, 7191, 6, 1447369200, 1, 74, 1447401619, NULL, NULL, 0),
(36965, 74, 7191, 6, 1447282800, 0.5, 74, 1447401631, NULL, NULL, 0),
(36966, 74, 7419, 17, 1447282800, 0.5, 74, 1447401776, NULL, NULL, 0),
(36969, 147, 6745, 5, 1447369200, 1, 147, 1447402288, NULL, NULL, 0),
(36971, 178, 6749, 5, 1446591600, 1, 178, 1447402853, NULL, NULL, 0),
(36972, 178, 6749, 5, 1446678000, 1, 178, 1447402864, NULL, NULL, 0),
(36974, 178, 4909, 5, 1446764400, 1, 178, 1447402965, NULL, NULL, 0),
(36975, 178, 6749, 5, 1447369200, 1, 178, 1447403011, NULL, NULL, 0),
(36976, 178, 7117, 5, 1447023600, 1, 178, 1447403192, NULL, NULL, 0),
(36979, 178, 6725, 5, 1447110000, 1, 178, 1447403274, NULL, NULL, 0),
(36978, 178, 7117, 5, 1447282800, 1, 178, 1447403224, NULL, NULL, 0),
(36980, 200, 7069, 4, 1447023600, 1, 72, 1447405066, NULL, NULL, 0),
(36981, 200, 7069, 4, 1447110000, 1, 72, 1447405089, NULL, NULL, 0),
(36982, 200, 7069, 4, 1447282800, 1, 72, 1447405108, NULL, NULL, 0),
(36984, 200, 2041, 1, 1447369200, 1, 72, 1447405222, NULL, NULL, 0),
(37021, 72, 23792, 1, 1447023600, 0.5, 72, 1447416069, NULL, NULL, 0),
(37022, 72, 23792, 1, 1447110000, 1, 72, 1447416069, NULL, NULL, 0),
(37023, 72, 23792, 1, 1447282800, 1, 72, 1447416069, NULL, NULL, 0),
(37024, 72, 23792, 1, 1447369200, 1, 72, 1447416069, NULL, NULL, 0),
(37031, 164, 6967, 2, 1447282800, 0.3, 164, 1447419944, NULL, NULL, 0),
(37032, 164, 5354, 18, 1447282800, 0.2, 164, 1447419976, NULL, NULL, 0),
(37033, 164, 1435, 1, 1447282800, 0.25, 164, 1447420004, NULL, NULL, 0),
(37034, 164, 5354, 18, 1447282800, 0.25, 164, 1447420229, NULL, NULL, 0),
(37273, 164, 2, 1, 1448406000, 1, 164, 1447662188, NULL, NULL, 0),
(37271, 116, 6198, 6, 1447110000, 1, 116, 1447661707, NULL, NULL, 0),
(38409, 117, 1, 1, 1448233200, 0.5, 117, 1448544480, NULL, NULL, 0),
(37295, 157, 7395, 4, 1447628400, 0.5, 157, 1447668098, NULL, NULL, 0),
(37832, 93, 6970, 2, 1447887600, 0.5, 93, 1448020424, NULL, NULL, 0),
(37321, 93, 7369, 4, 1447110000, 0.3, 93, 1447683128, NULL, NULL, 0),
(37975, 93, 7369, 4, 1447628400, 0.8, 93, 1448042222, NULL, NULL, 0),
(37342, 93, 7369, 4, 1447282800, 0.6, 93, 1447683946, NULL, NULL, 0),
(38916, 2, 23792, 1, 1448838000, 1, 2, 1449001742, NULL, NULL, 0),
(37360, 116, 6198, 5, 1447628400, 1, 116, 1447688024, NULL, NULL, 0),
(37361, 2, 7486, 4, 1447628400, 0.75, 2, 1447689890, NULL, NULL, 0),
(37362, 2, 23792, 1, 1447628400, 0.25, 2, 1447689907, NULL, NULL, 0),
(37384, 134, 6617, 6, 1447628400, 1, 134, 1447750372, NULL, NULL, 0),
(37385, 134, 6930, 6, 1446678000, 0.5, 134, 1447751011, NULL, NULL, 0),
(37386, 134, 1436, 1, 1446678000, 0.5, 134, 1447751029, NULL, NULL, 0),
(37387, 134, 6930, 6, 1446764400, 1, 134, 1447751054, NULL, NULL, 0),
(37389, 72, 23792, 1, 1447628400, 1, 72, 1447752321, NULL, NULL, 0),
(38915, 2, 1437, 1, 1448924400, 0.25, 2, 1449001704, NULL, NULL, 0),
(37433, 169, 7420, 5, 1447023600, 1, 169, 1447766304, NULL, NULL, 0),
(37434, 169, 7420, 5, 1447110000, 1, 169, 1447766315, NULL, NULL, 0),
(37435, 169, 7420, 5, 1447282800, 1, 169, 1447766324, NULL, NULL, 0),
(37436, 169, 7420, 5, 1447369200, 1, 169, 1447766332, NULL, NULL, 0),
(37437, 169, 7420, 6, 1447628400, 1, 169, 1447766355, NULL, NULL, 0),
(37540, 178, 1437, 1, 1447714800, 1, 178, 1447775252, NULL, NULL, 0),
(37547, 2, 7425, 4, 1446764400, 0.25, 2, 1447775373, NULL, NULL, 0),
(37549, 116, 6129, 6, 1447714800, 0.5, 116, 1447775463, NULL, NULL, 0),
(37550, 116, 6198, 6, 1447714800, 0.5, 116, 1447775493, NULL, NULL, 0),
(37569, 2, 7495, 4, 1446073200, 0.5, 2, 1447781747, NULL, NULL, 0),
(37572, 2, 7424, 5, 1447714800, 0.5, 2, 1447782359, NULL, NULL, 0),
(37571, 2, 7424, 2, 1446764400, 0.5, 2, 1447782046, NULL, NULL, 0),
(37573, 2, 7496, 18, 1447714800, 0.5, 2, 1447782497, NULL, NULL, 0),
(37574, 2, 7496, 17, 1446678000, 0.2, 2, 1447782519, NULL, NULL, 0),
(37575, 2, 7496, 17, 1446159600, 0.75, 2, 1447782536, NULL, NULL, 0),
(38914, 2, 1505, 1, 1448924400, 0.25, 2, 1449001692, NULL, NULL, 0),
(38913, 2, 23792, 1, 1448924400, 0.5, 2, 1449001680, NULL, NULL, 0),
(37595, 2, 23792, 1, 1447801200, 0.75, 2, 1447860838, NULL, NULL, 0),
(37603, 157, 7430, 4, 1447628400, 0.5, 157, 1447915932, NULL, NULL, 0),
(37604, 157, 2, 1, 1447714800, 0.5, 157, 1447915964, NULL, NULL, 0),
(37605, 157, 7394, 4, 1447714800, 0.5, 157, 1447916016, NULL, NULL, 0),
(37606, 157, 7430, 4, 1447801200, 1, 157, 1447916048, NULL, NULL, 0),
(37607, 157, 7430, 4, 1447887600, 1, 157, 1447916069, NULL, NULL, 0),
(37608, 157, 7394, 4, 1447974000, 0.5, 157, 1447916096, NULL, NULL, 0),
(37609, 157, 7394, 4, 1447974000, 0.5, 157, 1447916130, NULL, NULL, 0),
(37610, 199, 7194, 4, 1447714800, 0.5, 199, 1447916420, NULL, NULL, 0),
(37611, 199, 1436, 1, 1447714800, 0.5, 199, 1447916446, NULL, NULL, 0),
(37612, 199, 1436, 1, 1447801200, 0.5, 199, 1447916463, NULL, NULL, 0),
(37613, 199, 7195, 5, 1447801200, 0.5, 199, 1447916490, NULL, NULL, 0),
(37615, 199, 1436, 1, 1447628400, 0.3, 199, 1447916638, NULL, NULL, 0),
(37616, 199, 5405, 4, 1447628400, 0.7, 199, 1447916663, NULL, NULL, 0),
(37648, 178, 1, 1, 1447628400, 1, 72, 1447920862, NULL, NULL, 0),
(37660, 72, 23792, 1, 1447714800, 1, 72, 1447930391, NULL, NULL, 0),
(37661, 72, 23792, 1, 1447801200, 1, 72, 1447930396, NULL, NULL, 0),
(37662, 72, 23792, 1, 1447887600, 1, 72, 1447930402, NULL, NULL, 0),
(37663, 72, 23792, 1, 1447974000, 1, 72, 1447930408, NULL, NULL, 0),
(37670, 178, 1437, 1, 1447801200, 1, 178, 1447936420, NULL, NULL, 0),
(37671, 178, 1437, 1, 1447887600, 1, 178, 1447936427, NULL, NULL, 0),
(37726, 146, 2, 1, 1449183600, 1, 146, 1447948612, NULL, NULL, 0),
(37727, 164, 7496, 17, 1447887600, 0.75, 164, 1447948617, NULL, NULL, 0),
(37728, 146, 2, 1, 1449442800, 1, 146, 1447948625, NULL, NULL, 0),
(37729, 164, 7496, 18, 1447887600, 0.25, 164, 1447948626, NULL, NULL, 0),
(37732, 164, 7496, 17, 1447714800, 1, 164, 1447948703, NULL, NULL, 0),
(37739, 146, 7407, 4, 1447110000, 1, 146, 1447949957, NULL, NULL, 0),
(37755, 74, 7191, 17, 1447801200, 0.75, 74, 1448005336, NULL, NULL, 0),
(37758, 74, 7419, 17, 1447714800, 1, 74, 1448005526, NULL, NULL, 0),
(37757, 74, 7191, 6, 1447628400, 0.5, 74, 1448005474, NULL, NULL, 0),
(37783, 147, 6746, 5, 1447974000, 1, 147, 1448010747, NULL, NULL, 0),
(37784, 147, 6742, 5, 1447628400, 0.5, 147, 1448010791, NULL, NULL, 0),
(37785, 147, 6742, 5, 1447714800, 1, 147, 1448010816, NULL, NULL, 0),
(37788, 147, 6742, 5, 1447887600, 0.5, 147, 1448010959, NULL, NULL, 0),
(37787, 147, 6743, 5, 1447801200, 1, 147, 1448010903, NULL, NULL, 0),
(37789, 147, 6743, 5, 1447887600, 0.5, 147, 1448010980, NULL, NULL, 0),
(37807, 164, 3562, 18, 1447974000, 0.5, 164, 1448014513, NULL, NULL, 0),
(37900, 164, 3562, 18, 1447974000, 0.5, 164, 1448032562, NULL, NULL, 0),
(37810, 169, 7420, 6, 1447714800, 1, 169, 1448015110, NULL, NULL, 0),
(37811, 169, 7420, 6, 1447801200, 1, 169, 1448015129, NULL, NULL, 0),
(37812, 169, 7419, 7, 1447887600, 1, 169, 1448015175, NULL, NULL, 0),
(37813, 169, 7419, 7, 1447974000, 1, 169, 1448015187, NULL, NULL, 0),
(37814, 93, 5730, 2, 1447974000, 0.1, 93, 1448015450, NULL, NULL, 0),
(37816, 93, 2088, 1, 1447974000, 0.3, 93, 1448015505, NULL, NULL, 0),
(37833, 93, 7369, 4, 1447801200, 0.5, 93, 1448020456, NULL, NULL, 0),
(37819, 93, 2088, 1, 1447887600, 0.3, 93, 1448015593, NULL, NULL, 0),
(37820, 93, 7369, 4, 1447887600, 0.2, 93, 1448015665, NULL, NULL, 0),
(37830, 93, 6970, 2, 1447110000, 0.5, 93, 1448020040, NULL, NULL, 0),
(37831, 93, 6970, 2, 1447369200, 1, 93, 1448020051, NULL, NULL, 0),
(37844, 147, 2, 1, 1452466800, 1, 72, 1448026026, NULL, NULL, 0),
(37845, 147, 2, 1, 1452553200, 1, 72, 1448026026, NULL, NULL, 0),
(37846, 147, 2, 1, 1452639600, 1, 72, 1448026026, NULL, NULL, 0),
(37847, 147, 2, 1, 1452726000, 1, 72, 1448026026, NULL, NULL, 0),
(37848, 147, 2, 1, 1452812400, 1, 72, 1448026026, NULL, NULL, 0),
(37849, 147, 2, 1, 1453071600, 1, 72, 1448026026, NULL, NULL, 0),
(37850, 147, 2, 1, 1453158000, 1, 72, 1448026026, NULL, NULL, 0),
(37851, 147, 2, 1, 1453244400, 1, 72, 1448026026, NULL, NULL, 0),
(37852, 147, 2, 1, 1453330800, 1, 72, 1448026026, NULL, NULL, 0),
(37853, 147, 2, 1, 1453417200, 1, 72, 1448026026, NULL, NULL, 0),
(37854, 147, 2, 1, 1453676400, 1, 72, 1448026026, NULL, NULL, 0),
(37855, 147, 2, 1, 1453762800, 1, 72, 1448026026, NULL, NULL, 0),
(37856, 147, 2, 1, 1453849200, 1, 72, 1448026026, NULL, NULL, 0),
(37857, 147, 2, 1, 1453935600, 1, 72, 1448026026, NULL, NULL, 0),
(37858, 147, 2, 1, 1454022000, 1, 72, 1448026026, NULL, NULL, 0),
(37859, 147, 2, 1, 1454281200, 1, 72, 1448026026, NULL, NULL, 0),
(37860, 147, 2, 1, 1454367600, 1, 72, 1448026026, NULL, NULL, 0),
(37861, 147, 2, 1, 1454454000, 1, 72, 1448026026, NULL, NULL, 0),
(37862, 147, 2, 1, 1454540400, 1, 72, 1448026026, NULL, NULL, 0),
(37863, 147, 2, 1, 1454626800, 1, 72, 1448026026, NULL, NULL, 0),
(37864, 147, 2, 1, 1454886000, 1, 72, 1448026026, NULL, NULL, 0),
(37865, 147, 2, 1, 1454972400, 1, 72, 1448026026, NULL, NULL, 0),
(37866, 147, 2, 1, 1455058800, 1, 72, 1448026026, NULL, NULL, 0),
(37867, 147, 2, 1, 1455145200, 1, 72, 1448026026, NULL, NULL, 0),
(37868, 157, 2, 1, 1455231600, 1, 72, 1448026209, NULL, NULL, 0),
(37869, 157, 2, 1, 1455490800, 1, 72, 1448026209, NULL, NULL, 0),
(37870, 157, 2, 1, 1455577200, 1, 72, 1448026209, NULL, NULL, 0),
(37871, 157, 2, 1, 1455663600, 1, 72, 1448026209, NULL, NULL, 0),
(37872, 157, 2, 1, 1455750000, 1, 72, 1448026209, NULL, NULL, 0),
(37873, 157, 2, 1, 1455836400, 1, 72, 1448026209, NULL, NULL, 0),
(37874, 169, 2, 1, 1455490800, 1, 72, 1448026283, NULL, NULL, 0),
(37875, 169, 2, 1, 1455577200, 1, 72, 1448026283, NULL, NULL, 0),
(37876, 169, 2, 1, 1455663600, 1, 72, 1448026283, NULL, NULL, 0),
(37877, 169, 2, 1, 1455750000, 1, 72, 1448026283, NULL, NULL, 0),
(37878, 169, 2, 1, 1455836400, 1, 72, 1448026283, NULL, NULL, 0),
(39793, 134, 2, 1, 1450652400, 1, 134, 1449828926, NULL, NULL, 0),
(39790, 169, 7894, 7, 1449788400, 1, 169, 1449828870, NULL, NULL, 0),
(39792, 169, 7894, 7, 1449702000, 0.5, 169, 1449828916, NULL, NULL, 0),
(37895, 199, 1436, 1, 1447887600, 0.6, 199, 1448030321, NULL, NULL, 0),
(37898, 199, 7498, 4, 1447974000, 0.4, 199, 1448030800, NULL, NULL, 0),
(37899, 199, 7498, 4, 1447887600, 0.4, 199, 1448030819, NULL, NULL, 0),
(37904, 134, 6930, 5, 1447714800, 0.2, 134, 1448035905, NULL, NULL, 0),
(37905, 134, 6930, 6, 1447714800, 0.3, 134, 1448035934, NULL, NULL, 0),
(37906, 134, 7070, 4, 1447714800, 0.5, 134, 1448035980, NULL, NULL, 0),
(37913, 134, 1505, 1, 1447974000, 0.1, 134, 1448036082, NULL, NULL, 0),
(37908, 178, 1, 1, 1447974000, 1, 72, 1448035982, NULL, NULL, 0),
(37909, 134, 7070, 4, 1447801200, 1, 134, 1448036003, NULL, NULL, 0),
(37910, 134, 7070, 4, 1447887600, 1, 134, 1448036030, NULL, NULL, 0),
(37912, 134, 7070, 4, 1447974000, 0.9, 134, 1448036061, NULL, NULL, 0),
(37964, 93, 1505, 1, 1447974000, 0.1, 93, 1448041468, NULL, NULL, 0),
(37965, 93, 2041, 1, 1447974000, 0.3, 93, 1448041477, NULL, NULL, 0),
(37966, 93, 7369, 4, 1447974000, 0.2, 93, 1448041526, NULL, NULL, 0),
(37974, 93, 2088, 1, 1447628400, 0.2, 93, 1448042188, NULL, NULL, 0),
(37976, 93, 2088, 1, 1447714800, 0.3, 93, 1448042332, NULL, NULL, 0),
(37977, 93, 2088, 1, 1447801200, 0.3, 93, 1448042338, NULL, NULL, 0),
(37978, 93, 6970, 2, 1447801200, 0.2, 93, 1448042580, NULL, NULL, 0),
(37979, 93, 2041, 1, 1447714800, 0.2, 93, 1448042652, NULL, NULL, 0),
(37980, 93, 6036, 2, 1447714800, 0.2, 93, 1448042930, NULL, NULL, 0),
(37981, 93, 7369, 4, 1447714800, 0.3, 93, 1448042959, NULL, NULL, 0),
(38001, 93, 2, 1, 1448838000, 1, 93, 1448268718, NULL, NULL, 0),
(38032, 200, 7069, 4, 1447628400, 1, 200, 1448272304, NULL, NULL, 0),
(38033, 200, 7069, 4, 1447714800, 1, 200, 1448272324, NULL, NULL, 0),
(38034, 200, 7069, 4, 1447801200, 1, 200, 1448272335, NULL, NULL, 0),
(38035, 200, 7069, 4, 1447887600, 1, 200, 1448272345, NULL, NULL, 0),
(38036, 200, 1400, 1, 1447974000, 1, 200, 1448272370, NULL, NULL, 0),
(39127, 93, 2041, 1, 1449010800, 0.2, 93, 1449238803, NULL, NULL, 0),
(38940, 93, 2088, 1, 1449010800, 0.1, 93, 1449051547, NULL, NULL, 0),
(38939, 93, 7192, 2, 1449010800, 0.1, 93, 1449051506, NULL, NULL, 0),
(38923, 147, 6306, 5, 1448924400, 1, 147, 1449044979, NULL, NULL, 0),
(41303, 147, 7985, 5, 1450738800, 1, 147, 1450791273, NULL, NULL, 0),
(39024, 164, 7496, 17, 1448924400, 0.5, 164, 1449157249, NULL, NULL, 0),
(39023, 164, 7496, 18, 1448924400, 0.5, 164, 1449157238, NULL, NULL, 0),
(39022, 164, 7496, 18, 1448838000, 1, 164, 1449157223, NULL, NULL, 0),
(38204, 117, 2, 1, 1448578800, 0.5, 117, 1448289654, NULL, NULL, 0),
(38205, 117, 2, 1, 1448578800, 0.5, 117, 1448289682, NULL, NULL, 0),
(38206, 117, 1, 1, 1448319600, 0.25, 117, 1448290848, NULL, NULL, 0),
(38207, 116, 6198, 4, 1448233200, 0.3, 116, 1448292943, NULL, NULL, 0),
(38208, 116, 6306, 4, 1448233200, 0.3, 116, 1448292989, NULL, NULL, 0),
(38209, 116, 6129, 4, 1448233200, 0.2, 116, 1448293019, NULL, NULL, 0),
(38210, 116, 7071, 4, 1448233200, 0.1, 116, 1448293060, NULL, NULL, 0),
(38215, 198, 2, 1, 1447887600, 0.5, 198, 1448294355, NULL, NULL, 0),
(38222, 2, 7626, 4, 1448233200, 0.25, 2, 1448323482, NULL, NULL, 0),
(38223, 2, 23792, 1, 1448233200, 0.5, 2, 1448323509, NULL, NULL, 0),
(38224, 2, 5724, 7, 1448233200, 0.25, 2, 1448323669, NULL, NULL, 0),
(38225, 2, 23792, 1, 1447801200, 0.25, 2, 1448323701, NULL, NULL, 0),
(38227, 200, 7069, 7, 1448233200, 1, 200, 1448351219, NULL, NULL, 0),
(38401, 157, 7430, 4, 1448319600, 1, 157, 1448541519, NULL, NULL, 0),
(38238, 74, 1, 1, 1449183600, 0.5, 74, 1448360133, NULL, NULL, 0),
(38239, 134, 7070, 4, 1448233200, 1, 134, 1448372089, NULL, NULL, 0),
(38240, 134, 7070, 4, 1448319600, 0.6, 134, 1448372106, NULL, NULL, 0),
(38242, 2, 23792, 1, 1448319600, 0.5, 2, 1448378219, NULL, NULL, 0),
(38243, 2, 1435, 1, 1448319600, 0.25, 2, 1448378231, NULL, NULL, 0),
(38244, 2, 1437, 1, 1448319600, 0.25, 2, 1448378246, NULL, NULL, 0),
(38247, 116, 6198, 5, 1448233200, 0.1, 116, 1448379931, NULL, NULL, 0),
(38248, 116, 6198, 5, 1448319600, 1, 116, 1448379942, NULL, NULL, 0),
(38252, 158, 7193, 4, 1448319600, 0.6, 158, 1448381127, NULL, NULL, 0),
(38251, 158, 7193, 2, 1448319600, 0.4, 158, 1448381066, NULL, NULL, 0),
(38254, 158, 5457, 5, 1447801200, 0.1, 158, 1448381274, NULL, NULL, 0),
(38255, 158, 5457, 5, 1447974000, 0.1, 158, 1448381312, NULL, NULL, 0),
(38256, 158, 6949, 4, 1447974000, 0.9, 158, 1448381589, NULL, NULL, 0),
(38257, 158, 6949, 4, 1447801200, 0.4, 158, 1448381618, NULL, NULL, 0),
(38258, 158, 6949, 4, 1447282800, 0.9, 158, 1448381672, NULL, NULL, 0),
(38259, 158, 6949, 4, 1447282800, 0.05, 158, 1448381690, NULL, NULL, 0),
(38922, 147, 6306, 5, 1448838000, 1, 147, 1449044938, NULL, NULL, 0),
(38309, 147, 6306, 4, 1448233200, 0.25, 147, 1448443504, NULL, NULL, 0),
(38310, 147, 6306, 4, 1448406000, 0.25, 147, 1448443531, NULL, NULL, 0),
(38311, 147, 6746, 5, 1448406000, 0.75, 147, 1448443581, NULL, NULL, 0),
(38312, 147, 6746, 5, 1448319600, 1, 147, 1448443621, NULL, NULL, 0),
(38641, 147, 6746, 5, 1448233200, 0.75, 147, 1448619538, NULL, NULL, 0),
(38319, 2, 2089, 1, 1448406000, 0.2, 2, 1448459346, NULL, NULL, 0),
(38320, 2, 7496, 17, 1448406000, 0.5, 2, 1448459375, NULL, NULL, 0),
(38322, 2, 23792, 1, 1448406000, 0.3, 2, 1448464711, NULL, NULL, 0),
(38323, 116, 7629, 4, 1448406000, 0.6, 116, 1448467091, NULL, NULL, 0),
(38325, 116, 6197, 2, 1448406000, 0.4, 116, 1448467138, NULL, NULL, 0),
(38921, 147, 6306, 5, 1449010800, 1, 147, 1449044915, NULL, NULL, 0),
(38920, 2, 23792, 1, 1448492400, 0.25, 2, 1449044709, NULL, NULL, 0),
(38402, 157, 7428, 4, 1448406000, 1, 157, 1448541554, NULL, NULL, 0),
(38399, 157, 7430, 4, 1448233200, 1, 157, 1448541349, NULL, NULL, 0),
(38365, 93, 7369, 4, 1448233200, 1, 93, 1448528817, NULL, NULL, 0),
(38366, 93, 7369, 4, 1448319600, 1, 93, 1448528832, NULL, NULL, 0),
(38367, 93, 7369, 4, 1448406000, 1, 93, 1448528848, NULL, NULL, 0),
(38368, 205, 2, 1, 1447801200, 1, 2, 1448530703, NULL, NULL, 0),
(38369, 205, 2, 1, 1447887600, 1, 2, 1448530703, NULL, NULL, 0),
(38370, 205, 2, 1, 1447974000, 1, 2, 1448530703, NULL, NULL, 0),
(38371, 205, 2, 1, 1448233200, 1, 2, 1448530703, NULL, NULL, 0),
(38372, 205, 2, 1, 1448319600, 1, 2, 1448530703, NULL, NULL, 0),
(38373, 205, 2, 1, 1448406000, 1, 2, 1448530703, NULL, NULL, 0),
(38374, 205, 2, 1, 1448492400, 1, 2, 1448530703, NULL, NULL, 0),
(38375, 205, 2, 1, 1448578800, 1, 2, 1448530703, NULL, NULL, 0),
(38376, 205, 2, 1, 1448838000, 1, 2, 1448530703, NULL, NULL, 0),
(38377, 205, 2, 1, 1448924400, 1, 2, 1448530703, NULL, NULL, 0),
(38378, 205, 2, 1, 1449010800, 1, 2, 1448530703, NULL, NULL, 0),
(38379, 205, 2, 1, 1449615600, 1, 2, 1448531314, NULL, NULL, 0),
(40846, 205, 8041, 6, 1450047600, 1, 72, 1450347935, NULL, NULL, 0),
(38382, 205, 2, 1, 1451430000, 1, 2, 1448531314, NULL, NULL, 0),
(38389, 158, 6949, 4, 1448492400, 0.4, 158, 1448534236, NULL, NULL, 0),
(39132, 93, 7369, 4, 1448924400, 0.2, 93, 1449239197, NULL, NULL, 0),
(38403, 157, 7428, 4, 1448492400, 1, 157, 1448541654, NULL, NULL, 0),
(38404, 157, 7428, 4, 1448578800, 1, 157, 1448541671, NULL, NULL, 0),
(38405, 117, 6273, 18, 1448233200, 0.5, 117, 1448544060, NULL, NULL, 0),
(38406, 117, 6273, 18, 1448319600, 0.75, 117, 1448544081, NULL, NULL, 0),
(38407, 117, 6656, 5, 1448406000, 0.75, 117, 1448544166, NULL, NULL, 0),
(38408, 117, 6656, 7, 1448492400, 0.1, 117, 1448544192, NULL, NULL, 0),
(38411, 117, 6656, 7, 1448492400, 0.1, 117, 1448545021, NULL, NULL, 0),
(38412, 117, 1, 1, 1448838000, 0.25, 117, 1448545309, NULL, NULL, 0),
(38431, 158, 7629, 4, 1448492400, 0.2, 158, 1448551106, NULL, NULL, 0),
(38432, 158, 7193, 4, 1448492400, 0.4, 158, 1448551154, NULL, NULL, 0),
(38437, 164, 7496, 18, 1448233200, 0.5, 164, 1448554630, NULL, NULL, 0),
(38438, 164, 7496, 17, 1448233200, 0.5, 164, 1448554644, NULL, NULL, 0),
(38439, 164, 7496, 18, 1448319600, 1, 164, 1448554667, NULL, NULL, 0),
(38440, 164, 7496, 18, 1448492400, 0.5, 164, 1448554684, NULL, NULL, 0),
(38441, 164, 1436, 1, 1448492400, 0.25, 164, 1448554705, NULL, NULL, 0),
(38442, 164, 7496, 17, 1448492400, 0.25, 164, 1448554727, NULL, NULL, 0),
(38458, 72, 23792, 1, 1448233200, 1, 72, 1448555839, NULL, NULL, 0),
(38459, 72, 23792, 1, 1448319600, 1, 72, 1448555839, NULL, NULL, 0),
(38460, 72, 23792, 1, 1448406000, 1, 72, 1448555839, NULL, NULL, 0),
(38461, 72, 23792, 1, 1448492400, 1, 72, 1448555839, NULL, NULL, 0),
(38462, 72, 23792, 1, 1448578800, 1, 72, 1448555839, NULL, NULL, 0),
(39128, 93, 2041, 1, 1449097200, 0.1, 93, 1449238816, NULL, NULL, 0),
(39129, 93, 2088, 1, 1449097200, 0.1, 93, 1449238849, NULL, NULL, 0),
(38554, 147, 6306, 4, 1448492400, 0.5, 147, 1448611397, NULL, NULL, 0),
(38555, 147, 6306, 5, 1448492400, 0.5, 147, 1448611427, NULL, NULL, 0),
(38642, 147, 6306, 5, 1448578800, 1, 147, 1448619624, NULL, NULL, 0),
(38919, 2, 4330, 6, 1448578800, 0.5, 2, 1449044641, NULL, NULL, 0),
(38559, 134, 6931, 7, 1448319600, 0.4, 134, 1448614357, NULL, NULL, 0),
(38560, 134, 6931, 7, 1448406000, 0.5, 134, 1448614381, NULL, NULL, 0),
(38561, 134, 7379, 5, 1448406000, 0.5, 134, 1448614429, NULL, NULL, 0),
(38562, 134, 7379, 5, 1448492400, 1, 134, 1448614451, NULL, NULL, 0),
(38563, 134, 7379, 5, 1448578800, 1, 134, 1448614469, NULL, NULL, 0),
(38584, 146, 7661, 5, 1447801200, 1, 146, 1448615768, NULL, NULL, 0),
(38583, 169, 2041, 1, 1448319600, 1, 169, 1448615768, NULL, NULL, 0),
(38582, 146, 7660, 5, 1447714800, 1, 146, 1448615743, NULL, NULL, 0),
(38581, 169, 2041, 1, 1448233200, 1, 2, 1448615741, NULL, NULL, 0),
(38571, 164, 5354, 18, 1447369200, 1, 164, 1448615441, NULL, NULL, 0),
(38598, 146, 6129, 4, 1448406000, 1, 146, 1448615897, NULL, NULL, 0),
(38573, 164, 7496, 17, 1448578800, 0.5, 164, 1448615470, NULL, NULL, 0),
(38580, 146, 7660, 4, 1447628400, 1, 146, 1448615730, NULL, NULL, 0),
(38576, 164, 7496, 18, 1448578800, 0.5, 164, 1448615509, NULL, NULL, 0),
(38585, 169, 2041, 1, 1448406000, 1, 169, 1448615773, NULL, NULL, 0),
(38587, 146, 7661, 5, 1447887600, 1, 146, 1448615785, NULL, NULL, 0),
(38590, 169, 7641, 5, 1448492400, 1, 169, 1448615821, NULL, NULL, 0),
(38591, 146, 7661, 5, 1447974000, 0.5, 146, 1448615829, NULL, NULL, 0),
(38592, 146, 7660, 4, 1447974000, 0.5, 146, 1448615843, NULL, NULL, 0),
(38595, 146, 6129, 4, 1448233200, 1, 146, 1448615877, NULL, NULL, 0),
(38596, 169, 7630, 4, 1448578800, 1, 169, 1448615879, NULL, NULL, 0),
(38597, 146, 6129, 4, 1448319600, 1, 146, 1448615889, NULL, NULL, 0),
(38599, 146, 6129, 4, 1448492400, 1, 146, 1448615905, NULL, NULL, 0),
(38880, 199, 7192, 6, 1448924400, 1, 199, 1448978724, NULL, NULL, 0),
(39130, 93, 2041, 1, 1448924400, 0.2, 93, 1449239137, NULL, NULL, 0),
(38692, 199, 7192, 5, 1448578800, 1, 199, 1448639731, NULL, NULL, 0),
(38693, 199, 7192, 5, 1448233200, 0.7, 199, 1448639779, NULL, NULL, 0),
(38695, 199, 1436, 1, 1448319600, 1, 199, 1448639896, NULL, NULL, 0),
(38703, 199, 1435, 1, 1448492400, 0.8, 199, 1448639996, NULL, NULL, 0),
(38707, 199, 1435, 1, 1448406000, 0.5, 199, 1448640600, NULL, NULL, 0),
(38701, 199, 7192, 5, 1448492400, 0.2, 199, 1448639974, NULL, NULL, 0),
(38704, 199, 1436, 1, 1448233200, 0.3, 199, 1448640024, NULL, NULL, 0),
(38706, 199, 7644, 5, 1448406000, 0.5, 199, 1448640556, NULL, NULL, 0),
(38708, 199, 1436, 1, 1447974000, 0.6, 199, 1448640672, NULL, NULL, 0),
(38918, 2, 1437, 1, 1448578800, 0.5, 2, 1449044595, NULL, NULL, 0),
(38739, 93, 7645, 4, 1448492400, 0.5, 93, 1448649853, NULL, NULL, 0),
(38736, 93, 7369, 4, 1448578800, 0.5, 93, 1448649766, NULL, NULL, 0),
(38743, 93, 2088, 1, 1448578800, 0.2, 93, 1448650098, NULL, NULL, 0),
(38738, 93, 2088, 1, 1448492400, 0.25, 93, 1448649805, NULL, NULL, 0),
(38740, 93, 7369, 4, 1448492400, 0.25, 93, 1448649868, NULL, NULL, 0),
(38741, 93, 7381, 2, 1448578800, 0.1, 93, 1448650048, NULL, NULL, 0),
(38742, 93, 7645, 4, 1448578800, 0.2, 93, 1448650072, NULL, NULL, 0),
(38826, 116, 7629, 6, 1448838000, 0.5, 116, 1448898043, NULL, NULL, 0),
(38827, 116, 7071, 6, 1448838000, 0.5, 116, 1448898063, NULL, NULL, 0),
(38850, 93, 3965, 1, 1448665200, 1, 93, 1448959357, NULL, NULL, 0),
(38851, 74, 7191, 6, 1447887600, 0.5, 74, 1448961280, NULL, NULL, 0),
(38852, 74, 7191, 6, 1447974000, 1, 74, 1448961293, NULL, NULL, 0),
(38854, 74, 5615, 4, 1448492400, 0.5, 74, 1448961408, NULL, NULL, 0),
(38855, 74, 7148, 5, 1448492400, 0.5, 74, 1448961441, NULL, NULL, 0),
(38856, 74, 7191, 6, 1448233200, 1, 74, 1448961466, NULL, NULL, 0),
(38857, 74, 7191, 6, 1448319600, 1, 74, 1448961476, NULL, NULL, 0),
(38858, 74, 7191, 6, 1448406000, 0.5, 74, 1448961487, NULL, NULL, 0),
(38859, 74, 7191, 6, 1448578800, 1, 74, 1448961499, NULL, NULL, 0),
(38860, 200, 2, 1, 1449183600, 1, 200, 1448962455, NULL, NULL, 0),
(44891, 74, 8087, 6, 1454540400, 0.5, 74, 1454921947, NULL, NULL, 0),
(38862, 200, 2, 1, 1460412000, 1, 200, 1448962520, NULL, NULL, 0),
(38863, 200, 2, 1, 1460498400, 1, 200, 1448962520, NULL, NULL, 0),
(38864, 200, 2, 1, 1460584800, 1, 200, 1448962520, NULL, NULL, 0),
(38865, 200, 2, 1, 1460671200, 1, 200, 1448962520, NULL, NULL, 0),
(38866, 200, 2, 1, 1460930400, 1, 200, 1448962520, NULL, NULL, 0),
(38867, 200, 2, 1, 1461016800, 1, 200, 1448962520, NULL, NULL, 0),
(42666, 205, 8133, 4, 1452466800, 0.5, 205, 1452776161, NULL, NULL, 0),
(39007, 2, 1400, 1, 1449010800, 1, 2, 1449146208, NULL, NULL, 0),
(38962, 158, 7193, 4, 1449010800, 1, 158, 1449067972, NULL, NULL, 0),
(38963, 158, 2, 1, 1450738800, 1, 158, 1449069861, NULL, NULL, 0),
(38966, 157, 7423, 6, 1448838000, 1, 157, 1449074116, NULL, NULL, 0),
(38967, 157, 7429, 4, 1448924400, 1, 157, 1449074239, NULL, NULL, 0),
(38968, 157, 1400, 1, 1449010800, 1, 157, 1449074271, NULL, NULL, 0),
(38969, 157, 1400, 1, 1449097200, 1, 157, 1449074276, NULL, NULL, 0),
(39008, 2, 1400, 1, 1449097200, 1, 2, 1449146214, NULL, NULL, 0),
(39013, 134, 7379, 6, 1448838000, 1, 134, 1449147831, NULL, NULL, 0),
(39014, 134, 7379, 6, 1448924400, 0.5, 134, 1449147880, NULL, NULL, 0),
(39015, 134, 6927, 7, 1448924400, 0.5, 134, 1449147909, NULL, NULL, 0),
(39214, 134, 1400, 1, 1449097200, 1, 72, 1449471315, NULL, NULL, 0),
(39213, 134, 1400, 1, 1449010800, 1, 72, 1449471309, NULL, NULL, 0),
(39025, 164, 7496, 18, 1449010800, 1, 164, 1449157262, NULL, NULL, 0),
(39027, 164, 7496, 18, 1449097200, 1, 164, 1449157353, NULL, NULL, 0),
(39079, 164, 7496, 18, 1449183600, 0.5, 164, 1449220956, NULL, NULL, 0),
(39084, 169, 4324, 7, 1449183600, 1, 169, 1449223134, NULL, NULL, 0),
(39086, 169, 4324, 7, 1449010800, 1, 169, 1449223145, NULL, NULL, 0),
(39087, 169, 4324, 7, 1449097200, 0.5, 169, 1449223159, NULL, NULL, 0),
(39190, 205, 1041, 1, 1449097200, 1, 72, 1449247317, NULL, NULL, 0),
(39099, 72, 7703, 4, 1449183600, 0.25, 72, 1449229854, NULL, NULL, 0),
(39100, 72, 7704, 5, 1449183600, 0.25, 72, 1449229912, NULL, NULL, 0),
(39106, 2, 1, 1, 1449702000, 1, 2, 1449231463, NULL, NULL, 0),
(39102, 72, 23792, 1, 1449010800, 1, 72, 1449230014, NULL, NULL, 0),
(39103, 72, 23792, 1, 1449097200, 1, 72, 1449230014, NULL, NULL, 0),
(39104, 72, 23792, 1, 1448924400, 1, 72, 1449230155, NULL, NULL, 0),
(39105, 72, 23792, 1, 1449183600, 0.5, 72, 1449230178, NULL, NULL, 0),
(39107, 74, 7377, 5, 1448924400, 1, 74, 1449231506, NULL, NULL, 0),
(39108, 74, 7377, 5, 1449010800, 1, 74, 1449231517, NULL, NULL, 0),
(39109, 74, 7377, 5, 1449097200, 0.75, 74, 1449231527, NULL, NULL, 0),
(39110, 74, 7377, 5, 1449183600, 0.5, 74, 1449231542, NULL, NULL, 0),
(39112, 74, 6306, 2, 1449097200, 0.25, 74, 1449231603, NULL, NULL, 0),
(39113, 74, 1, 1, 1449442800, 0.5, 74, 1449231629, NULL, NULL, 0),
(39178, 158, 7629, 4, 1449183600, 0.8, 158, 1449245524, NULL, NULL, 0),
(39125, 93, 7754, 4, 1449097200, 0.5, 93, 1449237147, NULL, NULL, 0),
(39126, 93, 7754, 4, 1449183600, 1, 93, 1449237157, NULL, NULL, 0),
(39164, 157, 7429, 6, 1449183600, 1, 157, 1449242002, NULL, NULL, 0),
(39179, 158, 7193, 4, 1449183600, 0.2, 158, 1449245576, NULL, NULL, 0),
(39184, 2, 7707, 7, 1449183600, 0.75, 2, 1449246985, NULL, NULL, 0),
(39185, 2, 23792, 1, 1449183600, 0.25, 2, 1449246995, NULL, NULL, 0),
(39188, 169, 1400, 1, 1449097200, 0.5, 169, 1449247039, NULL, NULL, 0),
(39191, 205, 1041, 1, 1449183600, 1, 72, 1449247317, NULL, NULL, 0),
(39192, 147, 6306, 5, 1449097200, 1, 147, 1449247498, NULL, NULL, 0),
(39193, 147, 6306, 6, 1449183600, 1, 147, 1449247525, NULL, NULL, 0),
(39365, 200, 7654, 7, 1448319600, 1, 200, 1449486333, NULL, NULL, 0),
(39216, 200, 1400, 1, 1449097200, 1, 72, 1449471551, NULL, NULL, 0),
(39491, 199, 1400, 1, 1449097200, 1, 199, 1449570586, NULL, NULL, 0),
(39492, 199, 7192, 5, 1449183600, 0.5, 199, 1449570627, NULL, NULL, 0),
(39490, 199, 1400, 1, 1449010800, 1, 199, 1449570582, NULL, NULL, 0),
(39489, 199, 7192, 6, 1448838000, 1, 199, 1449570573, NULL, NULL, 0),
(39493, 199, 7192, 5, 1449183600, 0.5, 199, 1449570685, NULL, NULL, 0),
(39361, 200, 7655, 4, 1448838000, 1, 200, 1449486024, NULL, NULL, 0),
(39362, 200, 7654, 4, 1448924400, 1, 200, 1449486068, NULL, NULL, 0),
(39363, 200, 1400, 1, 1449010800, 1, 200, 1449486249, NULL, NULL, 0),
(39366, 200, 7654, 7, 1448406000, 1, 200, 1449486365, NULL, NULL, 0),
(39367, 200, 7654, 7, 1448492400, 1, 200, 1449486380, NULL, NULL, 0),
(39368, 200, 7654, 7, 1448578800, 1, 200, 1449486395, NULL, NULL, 0),
(39436, 116, 7797, 6, 1449442800, 1, 116, 1449503984, NULL, NULL, 0),
(39439, 72, 7813, 4, 1449442800, 0.25, 72, 1449508426, NULL, NULL, 0),
(39443, 72, 23792, 1, 1449442800, 0.75, 72, 1449509296, NULL, NULL, 0),
(39711, 199, 7427, 5, 1449442800, 0.5, 199, 1449817524, NULL, NULL, 0),
(39495, 199, 7192, 5, 1449442800, 0.5, 199, 1449570763, NULL, NULL, 0),
(39496, 199, 7192, 5, 1449529200, 0.5, 199, 1449570780, NULL, NULL, 0),
(39497, 93, 7754, 5, 1449442800, 1, 93, 1449573147, NULL, NULL, 0),
(39498, 93, 7754, 5, 1449529200, 0.5, 93, 1449573164, NULL, NULL, 0),
(39510, 2, 7707, 7, 1449442800, 0.5, 2, 1449580401, NULL, NULL, 0),
(39511, 2, 7708, 5, 1449442800, 0.5, 2, 1449580430, NULL, NULL, 0),
(39512, 2, 7707, 7, 1449529200, 0.5, 2, 1449580467, NULL, NULL, 0),
(39513, 2, 1437, 1, 1449529200, 0.25, 2, 1449580490, NULL, NULL, 0),
(39520, 169, 4324, 7, 1449529200, 1, 169, 1449582575, NULL, NULL, 0),
(39521, 169, 4324, 7, 1449442800, 1, 169, 1449582586, NULL, NULL, 0),
(39536, 147, 7558, 4, 1449529200, 1, 147, 1449585932, NULL, NULL, 0),
(39535, 147, 7407, 4, 1449442800, 1, 147, 1449585881, NULL, NULL, 0),
(39543, 2, 1437, 1, 1449529200, 0.25, 2, 1449589256, NULL, NULL, 0),
(39544, 116, 7797, 5, 1449529200, 0.5, 116, 1449589313, NULL, NULL, 0),
(39545, 116, 7798, 5, 1449529200, 0.5, 116, 1449589326, NULL, NULL, 0),
(39552, 93, 7645, 4, 1449529200, 0.5, 93, 1449650338, NULL, NULL, 0),
(39553, 93, 7645, 4, 1449615600, 1, 93, 1449650355, NULL, NULL, 0),
(39606, 116, 7798, 6, 1449615600, 1, 116, 1449675943, NULL, NULL, 0),
(39611, 147, 7558, 5, 1449615600, 1, 147, 1449678237, NULL, NULL, 0),
(39612, 2, 7707, 7, 1449615600, 0.5, 2, 1449680323, NULL, NULL, 0),
(39613, 2, 1437, 1, 1449615600, 0.25, 2, 1449680334, NULL, NULL, 0),
(39614, 2, 1505, 1, 1449615600, 0.25, 2, 1449680350, NULL, NULL, 0),
(39633, 147, 7796, 4, 1449702000, 1, 147, 1449745190, NULL, NULL, 0),
(39634, 158, 7655, 2, 1449702000, 0.3, 158, 1449751335, NULL, NULL, 0),
(39635, 158, 7655, 2, 1449702000, 0.05, 158, 1449751346, NULL, NULL, 0),
(39636, 74, 7655, 2, 1449702000, 0.5, 74, 1449753057, NULL, NULL, 0),
(43217, 146, 8344, 4, 1453417200, 1, 146, 1453470217, NULL, NULL, 0),
(39841, 93, 7645, 4, 1449702000, 1, 93, 1449849689, NULL, NULL, 0),
(39700, 157, 7429, 6, 1449442800, 1, 157, 1449815915, NULL, NULL, 0),
(39701, 157, 7429, 6, 1449615600, 1, 157, 1449815935, NULL, NULL, 0),
(39702, 157, 7429, 6, 1449702000, 1, 157, 1449815954, NULL, NULL, 0),
(39703, 157, 7394, 4, 1449529200, 1, 157, 1449815995, NULL, NULL, 0),
(39704, 157, 4939, 4, 1449788400, 1, 157, 1449816028, NULL, NULL, 0),
(39710, 199, 7378, 5, 1449702000, 1, 199, 1449817476, NULL, NULL, 0),
(39709, 199, 7378, 5, 1449615600, 1, 199, 1449817461, NULL, NULL, 0),
(39708, 199, 7378, 4, 1449529200, 0.5, 199, 1449817350, NULL, NULL, 0),
(39734, 169, 4324, 7, 1449615600, 1, 169, 1449825033, NULL, NULL, 0),
(39735, 169, 4324, 7, 1449702000, 0.5, 169, 1449825051, NULL, NULL, 0),
(41633, 200, 7893, 4, 1449442800, 1, 200, 1450966707, NULL, NULL, 0),
(39749, 200, 7654, 4, 1449529200, 1, 200, 1449827164, NULL, NULL, 0),
(39750, 200, 7655, 4, 1449615600, 1, 200, 1449827205, NULL, NULL, 0),
(39751, 200, 7655, 4, 1449702000, 1, 200, 1449827260, NULL, NULL, 0),
(39773, 134, 7070, 7, 1449615600, 0.25, 134, 1449828025, NULL, NULL, 0),
(39756, 147, 6306, 6, 1449788400, 1, 147, 1449827488, NULL, NULL, 0),
(39755, 134, 7379, 6, 1449442800, 0.5, 134, 1449827474, NULL, NULL, 0),
(39757, 134, 7070, 4, 1449442800, 0.5, 134, 1449827492, NULL, NULL, 0),
(39761, 134, 1505, 1, 1449615600, 0.25, 134, 1449827534, NULL, NULL, 0),
(39762, 134, 7379, 5, 1449529200, 1, 134, 1449827597, NULL, NULL, 0),
(39763, 134, 7379, 5, 1449615600, 0.25, 134, 1449827626, NULL, NULL, 0),
(39772, 200, 7893, 4, 1449788400, 0.5, 200, 1449828024, NULL, NULL, 0),
(39765, 134, 7070, 7, 1449702000, 0.25, 134, 1449827715, NULL, NULL, 0),
(39766, 134, 7070, 7, 1449788400, 0.25, 134, 1449827735, NULL, NULL, 0),
(39767, 134, 7379, 5, 1449702000, 0.4, 134, 1449827772, NULL, NULL, 0),
(39774, 72, 23792, 1, 1449529200, 1, 72, 1449828085, NULL, NULL, 0),
(39770, 134, 6931, 7, 1449702000, 0.1, 134, 1449827948, NULL, NULL, 0),
(39771, 200, 7655, 4, 1449788400, 0.5, 200, 1449827955, NULL, NULL, 0),
(39775, 72, 23792, 1, 1449615600, 1, 72, 1449828085, NULL, NULL, 0),
(39776, 72, 23792, 1, 1449702000, 1, 72, 1449828085, NULL, NULL, 0),
(39777, 72, 23792, 1, 1449788400, 1, 72, 1449828085, NULL, NULL, 0),
(39778, 134, 6931, 7, 1449615600, 0.25, 134, 1449828086, NULL, NULL, 0),
(39779, 134, 4330, 4, 1449702000, 0.25, 134, 1449828139, NULL, NULL, 0),
(39781, 134, 7070, 4, 1449183600, 0.4, 134, 1449828236, NULL, NULL, 0),
(39783, 134, 7070, 7, 1449183600, 0.6, 134, 1449828351, NULL, NULL, 0),
(39784, 134, 1437, 1, 1449788400, 0.2, 134, 1449828405, NULL, NULL, 0),
(39785, 134, 2, 1, 1456095600, 1, 134, 1449828625, NULL, NULL, 0),
(39786, 134, 2, 1, 1456182000, 1, 134, 1449828625, NULL, NULL, 0),
(39787, 134, 2, 1, 1456268400, 1, 134, 1449828625, NULL, NULL, 0),
(39788, 134, 2, 1, 1456354800, 1, 134, 1449828625, NULL, NULL, 0),
(39789, 134, 2, 1, 1456441200, 1, 134, 1449828625, NULL, NULL, 0),
(39797, 164, 7496, 17, 1449442800, 0.25, 164, 1449831339, NULL, NULL, 0),
(39798, 164, 7496, 2, 1449529200, 0.5, 164, 1449831356, NULL, NULL, 0),
(39799, 164, 7496, 17, 1449529200, 0.5, 164, 1449831367, NULL, NULL, 0),
(39801, 164, 1435, 1, 1449615600, 0.5, 164, 1449831436, NULL, NULL, 0),
(39802, 164, 6967, 18, 1449615600, 0.5, 164, 1449831450, NULL, NULL, 0),
(39803, 164, 6967, 18, 1449702000, 0.5, 164, 1449831474, NULL, NULL, 0),
(39804, 164, 6967, 2, 1449702000, 0.25, 164, 1449831483, NULL, NULL, 0),
(39805, 164, 1435, 1, 1449702000, 0.25, 164, 1449831490, NULL, NULL, 0),
(39806, 164, 6967, 2, 1449788400, 0.25, 164, 1449831512, NULL, NULL, 0),
(39807, 164, 7496, 2, 1449788400, 0.25, 164, 1449831529, NULL, NULL, 0),
(39816, 164, 1435, 1, 1449788400, 0.25, 164, 1449840381, NULL, NULL, 0),
(39814, 164, 3562, 18, 1449788400, 0.25, 164, 1449840277, NULL, NULL, 0),
(39820, 164, 1435, 1, 1449183600, 0.5, 164, 1449840591, NULL, NULL, 0),
(39842, 93, 7645, 4, 1449788400, 1, 93, 1449849716, NULL, NULL, 0),
(39885, 2, 7900, 4, 1449788400, 0.05, 2, 1450031813, NULL, NULL, 0),
(39881, 2, 1505, 1, 1449788400, 0.25, 2, 1450027339, NULL, NULL, 0),
(39882, 2, 23792, 1, 1449788400, 0.25, 2, 1450027384, NULL, NULL, 0),
(39883, 2, 7707, 7, 1449788400, 0.25, 2, 1450027537, NULL, NULL, 0),
(39884, 2, 7900, 4, 1449788400, 0.2, 2, 1450031782, NULL, NULL, 0),
(39945, 198, 1505, 1, 1448924400, 0.5, 198, 1450088618, NULL, NULL, 0),
(39948, 198, 1505, 1, 1448492400, 0.5, 198, 1450088784, NULL, NULL, 0),
(40005, 146, 7795, 4, 1449529200, 1, 146, 1450098086, NULL, NULL, 0),
(39992, 146, 7794, 4, 1450047600, 1, 146, 1450097272, NULL, NULL, 0),
(39999, 146, 7796, 4, 1448578800, 1, 146, 1450097564, NULL, NULL, 0),
(40001, 146, 7796, 4, 1448838000, 1, 146, 1450097622, NULL, NULL, 0),
(40002, 146, 7796, 4, 1448924400, 1, 146, 1450097635, NULL, NULL, 0),
(40003, 146, 7557, 4, 1449010800, 1, 146, 1450097727, NULL, NULL, 0),
(40004, 146, 7557, 4, 1449097200, 1, 146, 1450097741, NULL, NULL, 0),
(40006, 146, 7795, 4, 1449615600, 1, 146, 1450098101, NULL, NULL, 0),
(40007, 146, 7794, 4, 1449702000, 1, 146, 1450098123, NULL, NULL, 0),
(40009, 146, 7794, 5, 1449788400, 0.5, 146, 1450098186, NULL, NULL, 0),
(40010, 146, 7795, 4, 1449788400, 0.5, 146, 1450098638, NULL, NULL, 0),
(40041, 116, 7798, 5, 1450047600, 1, 116, 1450106944, NULL, NULL, 0),
(40045, 158, 2, 1, 1451430000, 1, 72, 1450107916, NULL, NULL, 0),
(40049, 169, 7894, 7, 1450047600, 1, 169, 1450110653, NULL, NULL, 0),
(40354, 2, 23792, 1, 1450047600, 0.25, 2, 1450172605, NULL, NULL, 0),
(40355, 2, 7707, 4, 1450047600, 0.25, 2, 1450172636, NULL, NULL, 0),
(40356, 2, 7708, 5, 1450047600, 0.5, 2, 1450172658, NULL, NULL, 0),
(40373, 74, 7191, 6, 1449788400, 1, 74, 1450175903, NULL, NULL, 0),
(40374, 74, 7191, 6, 1449702000, 0.5, 74, 1450175915, NULL, NULL, 0),
(40375, 74, 6748, 2, 1449615600, 0.5, 74, 1450175976, NULL, NULL, 0),
(40376, 74, 7377, 5, 1449442800, 0.5, 74, 1450176012, NULL, NULL, 0),
(40377, 199, 2, 1, 1449788400, 0.5, 72, 1450176039, NULL, NULL, 0),
(40378, 74, 7377, 5, 1449529200, 1, 74, 1450176063, NULL, NULL, 0),
(40379, 74, 7191, 6, 1449615600, 0.5, 74, 1450176077, NULL, NULL, 0),
(40380, 74, 7191, 6, 1450134000, 1, 74, 1450176095, NULL, NULL, 0),
(40381, 74, 7191, 6, 1450047600, 1, 74, 1450176107, NULL, NULL, 0),
(40446, 147, 7660, 4, 1450047600, 1, 147, 1450192610, NULL, NULL, 0),
(40447, 147, 7985, 4, 1450134000, 1, 147, 1450192679, NULL, NULL, 0),
(40503, 116, 7798, 5, 1450134000, 1, 116, 1450194950, NULL, NULL, 0),
(40529, 117, 7896, 5, 1450047600, 1, 117, 1450198649, NULL, NULL, 0),
(40530, 117, 7900, 4, 1450134000, 0.75, 117, 1450198690, NULL, NULL, 0),
(40531, 117, 7899, 6, 1450134000, 0.3, 117, 1450198786, NULL, NULL, 0),
(40545, 93, 7192, 2, 1450047600, 0.2, 93, 1450254689, NULL, NULL, 0),
(40544, 93, 7379, 2, 1450047600, 0.1, 93, 1450254665, NULL, NULL, 0),
(40543, 93, 7377, 2, 1450134000, 0.3, 93, 1450254618, NULL, NULL, 0),
(40547, 93, 7645, 4, 1450047600, 0.7, 93, 1450254782, NULL, NULL, 0),
(40548, 93, 7192, 2, 1450134000, 0.1, 93, 1450254847, NULL, NULL, 0),
(40549, 93, 7645, 4, 1450134000, 0.6, 93, 1450254888, NULL, NULL, 0),
(40564, 134, 7379, 6, 1450047600, 1, 134, 1450256766, NULL, NULL, 0),
(40565, 134, 7379, 5, 1450134000, 0.1, 134, 1450256800, NULL, NULL, 0),
(40566, 134, 7379, 6, 1450134000, 0.5, 134, 1450256830, NULL, NULL, 0),
(40567, 134, 7070, 4, 1450134000, 0.4, 134, 1450256860, NULL, NULL, 0),
(40570, 205, 2, 1, 1450911600, 1, 2, 1450257072, NULL, NULL, 0),
(40571, 205, 2, 1, 1451257200, 1, 2, 1450257072, NULL, NULL, 0),
(40572, 205, 2, 1, 1451343600, 1, 2, 1450257072, NULL, NULL, 0),
(40573, 205, 2, 1, 1451516400, 1, 2, 1450257072, NULL, NULL, 0),
(40574, 205, 2, 1, 1451862000, 1, 2, 1450257072, NULL, NULL, 0),
(40575, 205, 2, 1, 1450393200, 0.5, 2, 1450257115, NULL, NULL, 0),
(40587, 93, 7377, 2, 1450220400, 0.3, 93, 1450259301, NULL, NULL, 0),
(40719, 2, 23792, 1, 1450220400, 0.5, 2, 1450281306, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(40720, 2, 23792, 1, 1450134000, 0.5, 2, 1450281312, NULL, NULL, 0),
(40721, 2, 7707, 7, 1450134000, 0.25, 2, 1450281342, NULL, NULL, 0),
(40722, 2, 7708, 5, 1450220400, 0.5, 2, 1450281360, NULL, NULL, 0),
(40795, 157, 1041, 1, 1450220400, 0.5, 72, 1450283030, NULL, NULL, 0),
(40796, 157, 1041, 1, 1450306800, 1, 72, 1450283054, NULL, NULL, 0),
(40831, 147, 7985, 5, 1450220400, 0.5, 147, 1450344922, NULL, NULL, 0),
(40832, 147, 7796, 5, 1450220400, 0.5, 147, 1450344965, NULL, NULL, 0),
(41030, 147, 7985, 5, 1450306800, 1, 147, 1450442510, NULL, NULL, 0),
(40842, 157, 1041, 1, 1450393200, 1, 72, 1450347242, NULL, NULL, 0),
(40837, 199, 7192, 5, 1450047600, 1, 199, 1450347145, NULL, NULL, 0),
(40843, 199, 7378, 5, 1450134000, 0.2, 199, 1450347243, NULL, NULL, 0),
(40839, 199, 7192, 5, 1450134000, 0.8, 199, 1450347174, NULL, NULL, 0),
(40840, 199, 7192, 5, 1450220400, 0.6, 199, 1450347185, NULL, NULL, 0),
(40841, 199, 7192, 5, 1450306800, 0.2, 199, 1450347211, NULL, NULL, 0),
(40844, 199, 7378, 5, 1450220400, 0.4, 199, 1450347376, NULL, NULL, 0),
(40845, 199, 7381, 5, 1450306800, 0.2, 199, 1450347463, NULL, NULL, 0),
(40847, 205, 8041, 6, 1450134000, 1, 72, 1450347951, NULL, NULL, 0),
(40848, 205, 8041, 6, 1450220400, 1, 72, 1450347976, NULL, NULL, 0),
(40849, 205, 8041, 6, 1449442800, 1, 72, 1450348000, NULL, NULL, 0),
(40850, 205, 8041, 6, 1449529200, 1, 72, 1450348016, NULL, NULL, 0),
(40851, 205, 8041, 6, 1449702000, 1, 72, 1450348032, NULL, NULL, 0),
(40852, 205, 8041, 6, 1449788400, 1, 72, 1450348059, NULL, NULL, 0),
(40864, 2, 7707, 7, 1450306800, 0.5, 2, 1450350149, NULL, NULL, 0),
(40865, 2, 7496, 17, 1450134000, 0.25, 2, 1450350259, NULL, NULL, 0),
(40866, 72, 23792, 1, 1450047600, 1, 72, 1450351027, NULL, NULL, 0),
(40867, 72, 23792, 1, 1450134000, 1, 72, 1450351027, NULL, NULL, 0),
(40868, 72, 23792, 1, 1450220400, 1, 72, 1450351027, NULL, NULL, 0),
(40869, 72, 23792, 1, 1450306800, 1, 72, 1450351027, NULL, NULL, 0),
(40870, 72, 23792, 1, 1450393200, 1, 72, 1450351027, NULL, NULL, 0),
(40875, 2, 2089, 1, 1448492400, 0.5, 2, 1450361553, NULL, NULL, 0),
(40876, 2, 1435, 1, 1448492400, 0.25, 2, 1450361563, NULL, NULL, 0),
(40882, 157, 1041, 1, 1450738800, 1, 72, 1450367524, NULL, NULL, 0),
(40883, 157, 1041, 1, 1450825200, 1, 72, 1450367524, NULL, NULL, 0),
(40884, 157, 1041, 1, 1450911600, 1, 72, 1450367524, NULL, NULL, 0),
(40929, 134, 7380, 5, 1450306800, 0.5, 134, 1450430827, NULL, NULL, 0),
(40930, 134, 7380, 6, 1450306800, 0.5, 134, 1450430840, NULL, NULL, 0),
(40931, 134, 7379, 6, 1449788400, 0.5, 134, 1450430899, NULL, NULL, 0),
(40932, 134, 7379, 5, 1449788400, 0.05, 134, 1450430922, NULL, NULL, 0),
(40933, 134, 7070, 4, 1450220400, 0.5, 134, 1450431017, NULL, NULL, 0),
(40936, 134, 7379, 6, 1450220400, 0.5, 134, 1450431473, NULL, NULL, 0),
(40935, 134, 7379, 6, 1450393200, 1, 134, 1450431404, NULL, NULL, 0),
(40951, 73, 1041, 1, 1451862000, 1, 2, 1450433044, NULL, NULL, 0),
(40952, 73, 1041, 1, 1451948400, 1, 2, 1450433044, NULL, NULL, 0),
(40953, 73, 1041, 1, 1452034800, 1, 2, 1450433044, NULL, NULL, 0),
(40954, 73, 1041, 1, 1452121200, 1, 2, 1450433044, NULL, NULL, 0),
(40955, 73, 1041, 1, 1452207600, 1, 2, 1450433044, NULL, NULL, 0),
(40956, 73, 1041, 1, 1452466800, 1, 2, 1450433044, NULL, NULL, 0),
(40957, 73, 1041, 1, 1452553200, 1, 2, 1450433044, NULL, NULL, 0),
(40958, 73, 1041, 1, 1452639600, 1, 2, 1450433044, NULL, NULL, 0),
(40959, 73, 1041, 1, 1452726000, 1, 2, 1450433044, NULL, NULL, 0),
(40960, 73, 1041, 1, 1452812400, 1, 2, 1450433044, NULL, NULL, 0),
(40961, 73, 1041, 1, 1453071600, 1, 2, 1450433044, NULL, NULL, 0),
(40962, 73, 1041, 1, 1453158000, 1, 2, 1450433044, NULL, NULL, 0),
(40963, 73, 1041, 1, 1453244400, 1, 2, 1450433044, NULL, NULL, 0),
(40964, 73, 1041, 1, 1453330800, 1, 2, 1450433044, NULL, NULL, 0),
(40965, 73, 1041, 1, 1453417200, 1, 2, 1450433044, NULL, NULL, 0),
(40966, 73, 1041, 1, 1453676400, 1, 2, 1450433044, NULL, NULL, 0),
(40967, 73, 1041, 1, 1453762800, 1, 2, 1450433044, NULL, NULL, 0),
(40968, 73, 1041, 1, 1453849200, 1, 2, 1450433044, NULL, NULL, 0),
(40969, 73, 1041, 1, 1453935600, 1, 2, 1450433044, NULL, NULL, 0),
(40970, 73, 1041, 1, 1454022000, 1, 2, 1450433044, NULL, NULL, 0),
(40971, 73, 1041, 1, 1454281200, 1, 2, 1450433044, NULL, NULL, 0),
(40972, 73, 1041, 1, 1454367600, 1, 2, 1450433044, NULL, NULL, 0),
(40973, 73, 1041, 1, 1454454000, 1, 2, 1450433044, NULL, NULL, 0),
(40974, 73, 1041, 1, 1454540400, 1, 2, 1450433044, NULL, NULL, 0),
(40975, 73, 1041, 1, 1454626800, 1, 2, 1450433044, NULL, NULL, 0),
(40976, 73, 1041, 1, 1454886000, 1, 2, 1450433044, NULL, NULL, 0),
(40977, 73, 1041, 1, 1454972400, 1, 2, 1450433044, NULL, NULL, 0),
(40978, 73, 1041, 1, 1455058800, 1, 2, 1450433044, NULL, NULL, 0),
(40979, 73, 1041, 1, 1455145200, 1, 2, 1450433044, NULL, NULL, 0),
(40980, 73, 1041, 1, 1455231600, 1, 2, 1450433044, NULL, NULL, 0),
(40981, 73, 1041, 1, 1455490800, 1, 2, 1450433044, NULL, NULL, 0),
(40982, 73, 1041, 1, 1455577200, 1, 2, 1450433044, NULL, NULL, 0),
(40983, 73, 1041, 1, 1455663600, 1, 2, 1450433044, NULL, NULL, 0),
(40984, 73, 1041, 1, 1455750000, 1, 2, 1450433044, NULL, NULL, 0),
(40985, 73, 1041, 1, 1455836400, 1, 2, 1450433044, NULL, NULL, 0),
(40986, 73, 1041, 1, 1456095600, 1, 2, 1450433044, NULL, NULL, 0),
(40987, 73, 1041, 1, 1456182000, 1, 2, 1450433044, NULL, NULL, 0),
(40988, 73, 1041, 1, 1456268400, 1, 2, 1450433044, NULL, NULL, 0),
(40989, 73, 1041, 1, 1456354800, 1, 2, 1450433044, NULL, NULL, 0),
(40990, 73, 1041, 1, 1456441200, 1, 2, 1450433044, NULL, NULL, 0),
(40991, 73, 1041, 1, 1456700400, 1, 2, 1450433044, NULL, NULL, 0),
(41000, 109, 2, 1, 1451862000, 1, 109, 1450440406, NULL, NULL, 0),
(41001, 109, 2, 1, 1451948400, 1, 109, 1450440406, NULL, NULL, 0),
(41002, 109, 2, 1, 1452466800, 1, 109, 1450440406, NULL, NULL, 0),
(41003, 109, 2, 1, 1452553200, 1, 109, 1450440406, NULL, NULL, 0),
(41004, 109, 2, 1, 1453071600, 1, 109, 1450440406, NULL, NULL, 0),
(41005, 109, 2, 1, 1453158000, 1, 109, 1450440406, NULL, NULL, 0),
(41006, 109, 2, 1, 1453676400, 1, 109, 1450440406, NULL, NULL, 0),
(41007, 109, 2, 1, 1453762800, 1, 109, 1450440406, NULL, NULL, 0),
(41008, 109, 2, 1, 1454281200, 1, 109, 1450440406, NULL, NULL, 0),
(41009, 109, 2, 1, 1454367600, 1, 109, 1450440406, NULL, NULL, 0),
(41010, 109, 2, 1, 1454886000, 1, 109, 1450440406, NULL, NULL, 0),
(41011, 109, 2, 1, 1454972400, 1, 109, 1450440406, NULL, NULL, 0),
(41012, 109, 2, 1, 1452639600, 1, 109, 1450440465, NULL, NULL, 0),
(41013, 109, 2, 1, 1456095600, 1, 109, 1450440521, NULL, NULL, 0),
(41014, 109, 2, 1, 1456182000, 1, 109, 1450440521, NULL, NULL, 0),
(41015, 109, 2, 1, 1456700400, 1, 109, 1450440521, NULL, NULL, 0),
(41016, 109, 2, 1, 1456786800, 1, 109, 1450440521, NULL, NULL, 0),
(41017, 109, 2, 1, 1457305200, 1, 109, 1450440521, NULL, NULL, 0),
(41018, 109, 2, 1, 1457391600, 1, 109, 1450440521, NULL, NULL, 0),
(41019, 109, 2, 1, 1457910000, 1, 109, 1450440521, NULL, NULL, 0),
(41020, 109, 2, 1, 1457996400, 1, 109, 1450440521, NULL, NULL, 0),
(41021, 109, 2, 1, 1458514800, 1, 109, 1450440521, NULL, NULL, 0),
(41022, 109, 2, 1, 1458601200, 1, 109, 1450440521, NULL, NULL, 0),
(41023, 109, 2, 1, 1456268400, 1, 109, 1450440568, NULL, NULL, 0),
(41024, 109, 2, 1, 1453935600, 1, 109, 1450440625, NULL, NULL, 0),
(41025, 109, 2, 1, 1454022000, 1, 109, 1450440625, NULL, NULL, 0),
(41031, 147, 7985, 5, 1450393200, 1, 147, 1450442526, NULL, NULL, 0),
(41136, 199, 7427, 5, 1450393200, 0.5, 199, 1450454078, NULL, NULL, 0),
(41052, 169, 7894, 7, 1450134000, 1, 169, 1450447151, NULL, NULL, 0),
(41053, 169, 7894, 7, 1450220400, 1, 169, 1450447162, NULL, NULL, 0),
(41054, 169, 7894, 7, 1450306800, 1, 169, 1450447174, NULL, NULL, 0),
(41055, 158, 7193, 4, 1450393200, 1, 158, 1450447311, NULL, NULL, 0),
(41058, 147, 2, 1, 1450825200, 0.5, 147, 1450447448, NULL, NULL, 0),
(41063, 200, 7813, 4, 1450047600, 1, 200, 1450447776, NULL, NULL, 0),
(41064, 200, 7813, 4, 1450134000, 1, 200, 1450447787, NULL, NULL, 0),
(41081, 117, 1, 1, 1452034800, 1, 117, 1450448773, NULL, NULL, 0),
(41082, 117, 1, 1, 1452121200, 1, 117, 1450448773, NULL, NULL, 0),
(41083, 117, 1, 1, 1452207600, 1, 117, 1450448773, NULL, NULL, 0),
(41084, 164, 7496, 18, 1450047600, 1, 164, 1450448787, NULL, NULL, 0),
(41085, 164, 7496, 18, 1450393200, 0.75, 164, 1450448805, NULL, NULL, 0),
(41086, 164, 7496, 17, 1450393200, 0.25, 164, 1450448817, NULL, NULL, 0),
(41087, 164, 7496, 18, 1450306800, 1, 164, 1450448865, NULL, NULL, 0),
(41088, 164, 7496, 17, 1450220400, 0.5, 164, 1450448886, NULL, NULL, 0),
(41090, 164, 7496, 17, 1450134000, 0.5, 164, 1450448901, NULL, NULL, 0),
(41091, 164, 1435, 1, 1450134000, 0.5, 164, 1450448915, NULL, NULL, 0),
(41092, 164, 1435, 1, 1450220400, 0.5, 164, 1450448923, NULL, NULL, 0),
(41099, 158, 8060, 4, 1449702000, 0.6, 158, 1450449234, NULL, NULL, 0),
(41100, 158, 8060, 4, 1449702000, 0.05, 158, 1450449247, NULL, NULL, 0),
(41113, 158, 8060, 4, 1449529200, 1, 158, 1450449959, NULL, NULL, 0),
(41121, 158, 7193, 4, 1450220400, 0.25, 158, 1450450258, NULL, NULL, 0),
(41122, 158, 8060, 4, 1450220400, 0.75, 158, 1450450284, NULL, NULL, 0),
(41128, 146, 7556, 4, 1450306800, 1, 146, 1450453478, NULL, NULL, 0),
(41129, 146, 7556, 4, 1450220400, 1, 146, 1450453497, NULL, NULL, 0),
(41130, 146, 7406, 4, 1450393200, 1, 146, 1450453611, NULL, NULL, 0),
(41131, 146, 7795, 5, 1450134000, 1, 146, 1450453668, NULL, NULL, 0),
(41138, 199, 7378, 5, 1450393200, 0.5, 199, 1450454097, NULL, NULL, 0),
(41142, 199, 7378, 5, 1450306800, 0.2, 199, 1450454150, NULL, NULL, 0),
(41141, 199, 7192, 5, 1450306800, 0.4, 199, 1450454138, NULL, NULL, 0),
(41196, 117, 2, 1, 1450825200, 1, 117, 1450686510, NULL, NULL, 0),
(41206, 93, 2088, 1, 1450220400, 0.2, 93, 1450709214, NULL, NULL, 0),
(41218, 93, 8085, 2, 1450652400, 0.75, 93, 1450709751, NULL, NULL, 0),
(41221, 93, 8086, 4, 1450652400, 0.25, 93, 1450709784, NULL, NULL, 0),
(41224, 93, 8086, 4, 1450738800, 1, 93, 1450709808, NULL, NULL, 0),
(41231, 93, 7645, 4, 1450220400, 0.5, 93, 1450709896, NULL, NULL, 0),
(41232, 93, 7645, 4, 1450306800, 0.5, 93, 1450709911, NULL, NULL, 0),
(41237, 93, 7379, 2, 1450306800, 0.25, 93, 1450710178, NULL, NULL, 0),
(41245, 93, 7813, 2, 1450393200, 0.1, 93, 1450710640, NULL, NULL, 0),
(41243, 93, 8085, 2, 1450393200, 0.5, 93, 1450710398, NULL, NULL, 0),
(41240, 93, 2088, 1, 1450306800, 0.25, 93, 1450710236, NULL, NULL, 0),
(41244, 93, 7193, 2, 1450393200, 0.1, 93, 1450710542, NULL, NULL, 0),
(41246, 93, 7379, 2, 1450393200, 0.3, 93, 1450710667, NULL, NULL, 0),
(41407, 73, 2, 1, 1456786800, 1, 2, 1450863015, NULL, NULL, 0),
(41408, 73, 2, 1, 1456873200, 1, 2, 1450863015, NULL, NULL, 0),
(41409, 73, 2, 1, 1456959600, 1, 2, 1450863015, NULL, NULL, 0),
(41272, 74, 7191, 6, 1450220400, 1, 74, 1450769189, NULL, NULL, 0),
(41273, 74, 7191, 6, 1450306800, 1, 74, 1450769197, NULL, NULL, 0),
(41274, 74, 7191, 6, 1450393200, 0.5, 74, 1450769205, NULL, NULL, 0),
(41275, 74, 7377, 5, 1450393200, 0.5, 74, 1450769226, NULL, NULL, 0),
(41279, 74, 7377, 5, 1450738800, 1, 74, 1450769295, NULL, NULL, 0),
(41277, 74, 7377, 5, 1450652400, 0.5, 74, 1450769258, NULL, NULL, 0),
(41278, 74, 7191, 6, 1450652400, 0.5, 74, 1450769277, NULL, NULL, 0),
(41280, 74, 8087, 6, 1450825200, 1, 74, 1450769471, NULL, NULL, 0),
(41281, 74, 8087, 6, 1450911600, 1, 74, 1450769480, NULL, NULL, 0),
(41284, 117, 7902, 4, 1450738800, 1, 117, 1450772905, NULL, NULL, 0),
(41304, 147, 7558, 5, 1450652400, 0.5, 147, 1450791335, NULL, NULL, 0),
(41306, 147, 7985, 5, 1450652400, 0.5, 147, 1450791363, NULL, NULL, 0),
(41356, 116, 7193, 6, 1450738800, 1, 116, 1450798806, NULL, NULL, 0),
(41355, 116, 7193, 6, 1450652400, 1, 116, 1450798787, NULL, NULL, 0),
(41399, 2, 7496, 18, 1450652400, 0.25, 2, 1450805314, NULL, NULL, 0),
(41400, 2, 7496, 18, 1450738800, 0.5, 2, 1450805327, NULL, NULL, 0),
(41401, 2, 23792, 1, 1450652400, 0.75, 2, 1450805338, NULL, NULL, 0),
(41402, 2, 23792, 1, 1450738800, 0.5, 2, 1450805348, NULL, NULL, 0),
(41410, 73, 2, 1, 1457046000, 1, 2, 1450863015, NULL, NULL, 0),
(41411, 73, 2, 1, 1457305200, 1, 2, 1450863015, NULL, NULL, 0),
(41412, 73, 2, 1, 1457391600, 1, 2, 1450863015, NULL, NULL, 0),
(41413, 73, 2, 1, 1457478000, 1, 2, 1450863015, NULL, NULL, 0),
(41414, 73, 2, 1, 1457564400, 1, 2, 1450863015, NULL, NULL, 0),
(41415, 73, 2, 1, 1457650800, 1, 2, 1450863015, NULL, NULL, 0),
(41416, 73, 2, 1, 1457910000, 1, 2, 1450863015, NULL, NULL, 0),
(41417, 73, 2, 1, 1457996400, 1, 2, 1450863015, NULL, NULL, 0),
(41418, 73, 2, 1, 1458082800, 1, 2, 1450863015, NULL, NULL, 0),
(41419, 73, 2, 1, 1458169200, 1, 2, 1450863015, NULL, NULL, 0),
(41420, 73, 2, 1, 1458255600, 1, 2, 1450863015, NULL, NULL, 0),
(41421, 73, 2, 1, 1458514800, 1, 2, 1450863015, NULL, NULL, 0),
(41422, 73, 2, 1, 1458601200, 1, 2, 1450863015, NULL, NULL, 0),
(41423, 73, 2, 1, 1458687600, 1, 2, 1450863015, NULL, NULL, 0),
(41424, 73, 2, 1, 1458774000, 1, 2, 1450863015, NULL, NULL, 0),
(41425, 73, 2, 1, 1458860400, 1, 2, 1450863015, NULL, NULL, 0),
(41426, 73, 2, 1, 1459202400, 1, 2, 1450863015, NULL, NULL, 0),
(41427, 73, 2, 1, 1459288800, 1, 2, 1450863015, NULL, NULL, 0),
(41428, 73, 2, 1, 1459375200, 1, 2, 1450863015, NULL, NULL, 0),
(63241, 158, 2, 1, 1476655200, 0.5, 158, 1469183738, NULL, NULL, 0),
(63240, 158, 2, 1, 1476050400, 0.5, 158, 1469183716, NULL, NULL, 0),
(63239, 158, 2, 1, 1475445600, 0.5, 158, 1469183691, NULL, NULL, 0),
(63238, 158, 2, 1, 1474840800, 0.5, 158, 1469183650, NULL, NULL, 0),
(63237, 158, 2, 1, 1474236000, 0.5, 158, 1469183626, NULL, NULL, 0),
(63242, 158, 2, 1, 1479078000, 0.5, 158, 1469183771, NULL, NULL, 0),
(63243, 158, 2, 1, 1479682800, 0.5, 158, 1469183793, NULL, NULL, 0),
(63244, 158, 2, 1, 1480287600, 0.5, 158, 1469183817, NULL, NULL, 0),
(63245, 158, 2, 1, 1480892400, 0.5, 158, 1469183843, NULL, NULL, 0),
(44647, 158, 2, 1, 1473976800, 1, 158, 1454661133, NULL, NULL, 0),
(44646, 158, 2, 1, 1473890400, 1, 158, 1454661133, NULL, NULL, 0),
(44645, 158, 2, 1, 1473804000, 1, 158, 1454661133, NULL, NULL, 0),
(44644, 158, 2, 1, 1473717600, 1, 158, 1454661133, NULL, NULL, 0),
(44641, 134, 8450, 6, 1454540400, 0.5, 134, 1454659900, NULL, NULL, 0),
(44642, 134, 8450, 6, 1454540400, 0.5, 134, 1454659941, NULL, NULL, 0),
(44639, 134, 8060, 5, 1454454000, 0.75, 134, 1454659854, NULL, NULL, 0),
(44592, 212, 1436, 1, 1453762800, 1, 212, 1454591149, NULL, NULL, 0),
(44591, 212, 1436, 1, 1453676400, 1, 212, 1454591125, NULL, NULL, 0),
(44583, 72, 23791, 1, 1454281200, 0.5, 72, 1454575871, NULL, NULL, 0),
(44581, 72, 23791, 1, 1454626800, 0.5, 72, 1454575734, NULL, NULL, 0),
(44844, 72, 23791, 1, 1454626800, 0.5, 72, 1454690176, NULL, NULL, 0),
(44579, 72, 23791, 1, 1454454000, 1, 72, 1454575605, NULL, NULL, 0),
(44578, 72, 23791, 1, 1454540400, 0.5, 72, 1454575565, NULL, NULL, 0),
(44577, 72, 1, 1, 1454540400, 0.5, 72, 1454575488, NULL, NULL, 0),
(44576, 72, 8621, 4, 1454367600, 1, 72, 1454575435, NULL, NULL, 0),
(44575, 72, 8621, 4, 1454281200, 0.5, 72, 1454575415, NULL, NULL, 0),
(44574, 199, 2, 1, 1454454000, 1, 72, 1454575337, NULL, NULL, 0),
(44643, 158, 2, 1, 1473631200, 1, 158, 1454661133, NULL, NULL, 0),
(44556, 116, 8067, 6, 1454454000, 1, 116, 1454511685, NULL, NULL, 0),
(44555, 116, 8067, 5, 1454367600, 1, 116, 1454511673, NULL, NULL, 0),
(41543, 147, 7985, 5, 1450825200, 0.5, 147, 1450873016, NULL, NULL, 0),
(41544, 2, 7496, 18, 1450825200, 0.5, 2, 1450875465, NULL, NULL, 0),
(41545, 205, 7813, 4, 1450652400, 0.1, 205, 1450876694, NULL, NULL, 0),
(41546, 205, 8129, 6, 1450652400, 0.4, 205, 1450878134, NULL, NULL, 0),
(41547, 205, 7813, 4, 1450738800, 0.25, 205, 1450878180, NULL, NULL, 0),
(41548, 205, 7796, 4, 1450738800, 0.1, 205, 1450878235, NULL, NULL, 0),
(41549, 205, 7654, 4, 1450825200, 0.1, 205, 1450878766, NULL, NULL, 0),
(41550, 93, 8086, 4, 1450825200, 1, 93, 1450878901, NULL, NULL, 0),
(41585, 2, 23792, 1, 1450825200, 0.5, 2, 1450888174, NULL, NULL, 0),
(41597, 205, 8130, 4, 1450652400, 0.5, 205, 1450889570, NULL, NULL, 0),
(41601, 205, 8132, 4, 1450738800, 0.25, 205, 1450889973, NULL, NULL, 0),
(41599, 205, 8066, 4, 1450738800, 0.3, 205, 1450889700, NULL, NULL, 0),
(41600, 205, 8131, 4, 1450738800, 0.1, 205, 1450889925, NULL, NULL, 0),
(41602, 205, 8133, 4, 1450825200, 0.5, 205, 1450890054, NULL, NULL, 0),
(41603, 205, 8131, 4, 1450825200, 0.4, 205, 1450890125, NULL, NULL, 0),
(41604, 205, 8041, 6, 1450306800, 1, 205, 1450890153, NULL, NULL, 0),
(41605, 205, 8041, 6, 1450393200, 0.5, 205, 1450890170, NULL, NULL, 0),
(41610, 200, 7813, 4, 1450220400, 1, 200, 1450949110, NULL, NULL, 0),
(41611, 200, 7813, 4, 1450306800, 1, 200, 1450949121, NULL, NULL, 0),
(41613, 200, 7813, 4, 1450652400, 1, 200, 1450949168, NULL, NULL, 0),
(41614, 200, 7813, 7, 1450738800, 1, 200, 1450949186, NULL, NULL, 0),
(41615, 200, 7813, 7, 1450825200, 0.5, 200, 1450949206, NULL, NULL, 0),
(41616, 2, 2, 1, 1454886000, 1, 2, 1450953961, NULL, NULL, 0),
(41617, 2, 2, 1, 1454972400, 1, 2, 1450953961, NULL, NULL, 0),
(41618, 2, 2, 1, 1455058800, 1, 2, 1450953961, NULL, NULL, 0),
(41619, 2, 2, 1, 1455145200, 1, 2, 1450953961, NULL, NULL, 0),
(41620, 2, 2, 1, 1455231600, 1, 2, 1450953961, NULL, NULL, 0),
(41624, 199, 2041, 1, 1450652400, 0.5, 199, 1450966074, NULL, NULL, 0),
(41625, 199, 2041, 1, 1450738800, 0.5, 199, 1450966084, NULL, NULL, 0),
(41627, 199, 7899, 5, 1450825200, 0.6, 199, 1450966235, NULL, NULL, 0),
(41630, 199, 7901, 5, 1450652400, 0.2, 199, 1450966394, NULL, NULL, 0),
(41631, 199, 7896, 5, 1450652400, 0.3, 199, 1450966452, NULL, NULL, 0),
(41632, 199, 7896, 5, 1450738800, 0.5, 199, 1450966468, NULL, NULL, 0),
(41634, 199, 7427, 5, 1450911600, 0.1, 199, 1450966805, NULL, NULL, 0),
(41635, 199, 7378, 5, 1450911600, 0.4, 199, 1450966825, NULL, NULL, 0),
(41638, 199, 2041, 1, 1450911600, 0.5, 199, 1450966976, NULL, NULL, 0),
(41639, 199, 2041, 1, 1450825200, 0.4, 199, 1450966990, NULL, NULL, 0),
(41641, 200, 8144, 4, 1450825200, 0.5, 200, 1450966995, NULL, NULL, 0),
(41643, 200, 8144, 4, 1450911600, 1, 200, 1450967044, NULL, NULL, 0),
(41645, 200, 8145, 4, 1450393200, 1, 200, 1450967110, NULL, NULL, 0),
(41654, 2, 23792, 1, 1450911600, 1, 2, 1450971519, NULL, NULL, 0),
(41678, 200, 7897, 4, 1451257200, 1, 200, 1451306839, NULL, NULL, 0),
(41699, 200, 7897, 4, 1451343600, 0.5, 200, 1451403560, NULL, NULL, 0),
(42062, 200, 7897, 4, 1451343600, 0.1, 200, 1452072237, NULL, NULL, 0),
(41701, 200, 7813, 2, 1451343600, 0.2, 200, 1451403661, NULL, NULL, 0),
(41702, 200, 8145, 2, 1451343600, 0.1, 200, 1451403683, NULL, NULL, 0),
(41703, 200, 8146, 4, 1451343600, 0.1, 200, 1451403718, NULL, NULL, 0),
(41705, 72, 23792, 1, 1451257200, 1, 72, 1451405717, NULL, NULL, 0),
(41706, 72, 23792, 1, 1451343600, 1, 72, 1451405717, NULL, NULL, 0),
(41707, 72, 23792, 1, 1451430000, 1, 72, 1451405717, NULL, NULL, 0),
(41708, 72, 23792, 1, 1451516400, 1, 72, 1451405717, NULL, NULL, 0),
(41709, 169, 8085, 4, 1450652400, 1, 72, 1451406093, NULL, NULL, 0),
(41710, 169, 8085, 4, 1450738800, 1, 72, 1451406109, NULL, NULL, 0),
(41740, 200, 7897, 4, 1451430000, 1, 200, 1451491592, NULL, NULL, 0),
(41779, 199, 7814, 5, 1451516400, 0.5, 199, 1451558199, NULL, NULL, 0),
(41777, 199, 7896, 5, 1451430000, 0.5, 199, 1451558140, NULL, NULL, 0),
(41778, 199, 7896, 5, 1451343600, 0.5, 199, 1451558149, NULL, NULL, 0),
(41782, 199, 7899, 5, 1451257200, 1, 199, 1451558296, NULL, NULL, 0),
(41781, 199, 8145, 5, 1451430000, 0.5, 199, 1451558248, NULL, NULL, 0),
(41783, 199, 7899, 5, 1451343600, 0.5, 199, 1451558319, NULL, NULL, 0),
(41784, 199, 7378, 5, 1451516400, 0.1, 199, 1451566763, NULL, NULL, 0),
(41785, 199, 8145, 5, 1451516400, 0.1, 199, 1451566803, NULL, NULL, 0),
(41786, 199, 8179, 4, 1451516400, 0.3, 199, 1451566858, NULL, NULL, 0),
(41788, 200, 8180, 4, 1451516400, 1, 200, 1451571748, NULL, NULL, 0),
(41789, 134, 8176, 4, 1451257200, 1, 72, 1451575817, NULL, NULL, 0),
(41790, 134, 8176, 4, 1451343600, 1, 72, 1451575830, NULL, NULL, 0),
(41791, 134, 8176, 4, 1451430000, 1, 72, 1451575858, NULL, NULL, 0),
(41792, 134, 7378, 6, 1451516400, 1, 72, 1451575923, NULL, NULL, 0),
(41819, 164, 7496, 18, 1451257200, 0.5, 164, 1451898261, NULL, NULL, 0),
(41820, 164, 7496, 18, 1451343600, 0.5, 164, 1451898275, NULL, NULL, 0),
(41821, 164, 7496, 18, 1451430000, 0.5, 164, 1451898291, NULL, NULL, 0),
(41823, 164, 7496, 18, 1451516400, 0.5, 164, 1451898304, NULL, NULL, 0),
(41825, 164, 7496, 17, 1451343600, 0.5, 164, 1451898321, NULL, NULL, 0),
(41826, 164, 7496, 17, 1451430000, 0.5, 164, 1451898332, NULL, NULL, 0),
(41827, 164, 1435, 1, 1451257200, 0.5, 164, 1451898348, NULL, NULL, 0),
(41828, 164, 1435, 1, 1451516400, 0.5, 164, 1451898356, NULL, NULL, 0),
(41872, 200, 2, 1, 1452553200, 1, 200, 1451898988, NULL, NULL, 0),
(42265, 134, 7378, 6, 1451862000, 0.5, 134, 1452249448, NULL, NULL, 0),
(44925, 72, 23791, 1, 1454886000, 0.9, 72, 1454933157, NULL, NULL, 0),
(41956, 134, 7070, 4, 1451862000, 0.5, 134, 1451909861, NULL, NULL, 0),
(41955, 200, 2, 1, 1454022000, 1, 200, 1451905792, NULL, NULL, 0),
(41954, 200, 2, 1, 1453935600, 1, 200, 1451905792, NULL, NULL, 0),
(41958, 169, 8085, 4, 1450393200, 1, 169, 1451913226, NULL, NULL, 0),
(41967, 74, 1, 1, 1452553200, 0.5, 74, 1451919025, NULL, NULL, 0),
(41970, 2, 7707, 7, 1451862000, 0.25, 2, 1451921452, NULL, NULL, 0),
(41972, 2, 23792, 1, 1450306800, 0.5, 2, 1451921530, NULL, NULL, 0),
(41974, 2, 23792, 1, 1450393200, 1, 2, 1451921563, NULL, NULL, 0),
(41980, 116, 2, 1, 1452121200, 1, 116, 1451922669, NULL, NULL, 0),
(41981, 116, 2, 1, 1452207600, 1, 116, 1451922699, NULL, NULL, 0),
(41982, 116, 2, 1, 1452639600, 1, 116, 1451922704, NULL, NULL, 0),
(41983, 116, 2, 1, 1452726000, 1, 116, 1451922708, NULL, NULL, 0),
(41984, 116, 2, 1, 1452812400, 1, 116, 1451922711, NULL, NULL, 0),
(41985, 116, 2, 1, 1453330800, 1, 116, 1451922719, NULL, NULL, 0),
(41986, 116, 2, 1, 1453417200, 1, 116, 1451922722, NULL, NULL, 0),
(41987, 116, 7653, 4, 1451862000, 1, 116, 1451922750, NULL, NULL, 0),
(41990, 117, 1, 1, 1453158000, 1, 117, 1451982744, NULL, NULL, 0),
(41991, 117, 1, 1, 1453244400, 1, 117, 1451982771, NULL, NULL, 0),
(41992, 117, 1, 1, 1453330800, 1, 117, 1451982771, NULL, NULL, 0),
(41993, 117, 1, 1, 1453417200, 1, 117, 1451982771, NULL, NULL, 0),
(41994, 117, 2, 1, 1452812400, 1, 117, 1451982798, NULL, NULL, 0),
(43180, 205, 1400, 1, 1453158000, 1, 205, 1453462770, NULL, NULL, 0),
(42018, 157, 8153, 4, 1451862000, 1, 157, 1452001579, NULL, NULL, 0),
(42019, 157, 8153, 4, 1451948400, 1, 157, 1452001602, NULL, NULL, 0),
(42037, 116, 7653, 5, 1451948400, 1, 116, 1452009394, NULL, NULL, 0),
(42047, 109, 1041, 1, 1452034800, 1, 109, 1452030951, NULL, NULL, 0),
(42048, 109, 1041, 1, 1452121200, 1, 109, 1452030951, NULL, NULL, 0),
(42049, 109, 1041, 1, 1452207600, 1, 109, 1452030951, NULL, NULL, 0),
(42050, 157, 7391, 4, 1450047600, 1, 157, 1452061324, NULL, NULL, 0),
(42051, 157, 7391, 4, 1450134000, 1, 157, 1452061338, NULL, NULL, 0),
(42052, 157, 7391, 4, 1450220400, 0.5, 157, 1452061351, NULL, NULL, 0),
(42053, 157, 2, 1, 1452121200, 1, 157, 1452061407, NULL, NULL, 0),
(42093, 157, 8153, 4, 1452034800, 0.5, 157, 1452096800, NULL, NULL, 0),
(42055, 157, 8153, 4, 1452207600, 1, 157, 1452061454, NULL, NULL, 0),
(42056, 93, 7897, 2, 1451862000, 0.8, 93, 1452069813, NULL, NULL, 0),
(42057, 93, 2088, 1, 1451862000, 0.2, 93, 1452069839, NULL, NULL, 0),
(42058, 93, 7897, 2, 1451948400, 0.3, 93, 1452069877, NULL, NULL, 0),
(42059, 93, 7645, 4, 1451948400, 0.7, 93, 1452069906, NULL, NULL, 0),
(42063, 200, 8180, 4, 1451862000, 0.5, 200, 1452072619, NULL, NULL, 0),
(42064, 200, 7656, 2, 1451862000, 0.2, 200, 1452072650, NULL, NULL, 0),
(42065, 200, 7897, 4, 1451862000, 0.3, 200, 1452072690, NULL, NULL, 0),
(42066, 200, 7897, 4, 1451948400, 1, 200, 1452072727, NULL, NULL, 0),
(42067, 200, 7897, 4, 1452034800, 0.5, 200, 1452072762, NULL, NULL, 0),
(42094, 157, 8327, 4, 1452034800, 0.5, 157, 1452096836, NULL, NULL, 0),
(42095, 116, 7653, 5, 1452034800, 1, 116, 1452097839, NULL, NULL, 0),
(42117, 200, 8180, 4, 1452034800, 0.5, 200, 1452158665, NULL, NULL, 0),
(42156, 93, 8291, 2, 1452034800, 0.5, 93, 1452175009, NULL, NULL, 0),
(42151, 158, 8155, 4, 1451948400, 0.5, 158, 1452170299, NULL, NULL, 0),
(42153, 158, 8155, 4, 1452121200, 0.2, 158, 1452170592, NULL, NULL, 0),
(42157, 93, 8291, 2, 1452121200, 0.2, 93, 1452175033, NULL, NULL, 0),
(42158, 93, 2088, 1, 1452034800, 0.1, 93, 1452175054, NULL, NULL, 0),
(42159, 93, 7645, 4, 1452034800, 0.3, 93, 1452175335, NULL, NULL, 0),
(42160, 93, 8327, 2, 1452034800, 0.1, 93, 1452175360, NULL, NULL, 0),
(42430, 93, 7645, 4, 1452121200, 0.5, 93, 1452503246, NULL, NULL, 0),
(42165, 74, 1400, 1, 1453158000, 1, 74, 1452179034, NULL, NULL, 0),
(42166, 2, 8342, 5, 1452121200, 0.25, 2, 1452179739, NULL, NULL, 0),
(42170, 2, 23791, 1, 1451862000, 0.75, 2, 1452185492, NULL, NULL, 0),
(42171, 2, 23791, 1, 1451948400, 1, 2, 1452185492, NULL, NULL, 0),
(42172, 2, 23791, 1, 1452034800, 1, 2, 1452185492, NULL, NULL, 0),
(42173, 2, 23791, 1, 1452121200, 0.75, 2, 1452185492, NULL, NULL, 0),
(42179, 169, 2, 1, 1455231600, 0.5, 169, 1452241514, NULL, NULL, 0),
(42180, 200, 1041, 1, 1452207600, 1, 72, 1452242844, NULL, NULL, 0),
(42181, 164, 7496, 18, 1451862000, 0.5, 164, 1452243728, NULL, NULL, 0),
(42183, 164, 7496, 18, 1451948400, 1, 164, 1452243795, NULL, NULL, 0),
(42184, 164, 7496, 17, 1452034800, 0.5, 164, 1452243827, NULL, NULL, 0),
(42185, 164, 7496, 18, 1452121200, 0.5, 164, 1452243863, NULL, NULL, 0),
(42189, 164, 1435, 1, 1452207600, 0.25, 164, 1452243948, NULL, NULL, 0),
(42187, 164, 1435, 1, 1452121200, 0.5, 164, 1452243898, NULL, NULL, 0),
(42188, 164, 7496, 17, 1452207600, 0.75, 164, 1452243922, NULL, NULL, 0),
(42191, 164, 1435, 1, 1452034800, 0.5, 164, 1452243959, NULL, NULL, 0),
(42192, 164, 7496, 17, 1451862000, 0.5, 164, 1452243970, NULL, NULL, 0),
(42215, 205, 7113, 4, 1452034800, 0.2, 205, 1452244235, NULL, NULL, 0),
(42218, 205, 8075, 4, 1452034800, 0.2, 205, 1452244274, NULL, NULL, 0),
(42219, 205, 8073, 4, 1452034800, 0.2, 205, 1452244373, NULL, NULL, 0),
(42220, 205, 8075, 4, 1452034800, 0.2, 205, 1452244417, NULL, NULL, 0),
(42221, 205, 8065, 4, 1452034800, 0.2, 205, 1452244496, NULL, NULL, 0),
(42222, 205, 8074, 4, 1452121200, 0.5, 205, 1452244562, NULL, NULL, 0),
(42223, 205, 8133, 4, 1452121200, 0.5, 205, 1452244654, NULL, NULL, 0),
(44235, 158, 8155, 4, 1454022000, 1, 158, 1454082826, NULL, NULL, 0),
(42266, 134, 7378, 6, 1451948400, 0.5, 134, 1452249468, NULL, NULL, 0),
(42267, 134, 7070, 4, 1451948400, 0.5, 134, 1452249488, NULL, NULL, 0),
(42268, 134, 7070, 4, 1452034800, 0.5, 134, 1452249509, NULL, NULL, 0),
(42269, 134, 8291, 4, 1452034800, 0.5, 134, 1452249563, NULL, NULL, 0),
(42270, 134, 8291, 4, 1452121200, 0.5, 134, 1452249581, NULL, NULL, 0),
(42271, 134, 8292, 5, 1452121200, 0.5, 134, 1452249612, NULL, NULL, 0),
(42508, 134, 8291, 4, 1452207600, 0.3, 134, 1452587947, NULL, NULL, 0),
(42273, 134, 7070, 4, 1452207600, 0.2, 134, 1452249733, NULL, NULL, 0),
(42274, 134, 8292, 6, 1452207600, 0.3, 134, 1452249755, NULL, NULL, 0),
(42281, 2, 8361, 5, 1452207600, 0.5, 2, 1452255560, NULL, NULL, 0),
(42283, 74, 8087, 6, 1451862000, 1, 74, 1452257184, NULL, NULL, 0),
(42284, 74, 8087, 6, 1451948400, 1, 74, 1452257190, NULL, NULL, 0),
(42285, 74, 8087, 6, 1452034800, 1, 74, 1452257197, NULL, NULL, 0),
(42286, 74, 8181, 6, 1452121200, 1, 74, 1452257218, NULL, NULL, 0),
(42287, 74, 8181, 6, 1452207600, 0.5, 74, 1452257260, NULL, NULL, 0),
(42288, 164, 2, 1, 1454281200, 1, 164, 1452257264, NULL, NULL, 0),
(42289, 164, 2, 1, 1454367600, 1, 164, 1452257264, NULL, NULL, 0),
(42290, 164, 2, 1, 1454454000, 1, 164, 1452257264, NULL, NULL, 0),
(42291, 74, 1, 1, 1452207600, 0.5, 74, 1452257287, NULL, NULL, 0),
(42399, 147, 7985, 5, 1452207600, 1, 147, 1452273699, NULL, NULL, 0),
(42312, 147, 7985, 5, 1451862000, 1, 147, 1452261071, NULL, NULL, 0),
(42313, 147, 7985, 5, 1451948400, 1, 147, 1452261082, NULL, NULL, 0),
(42314, 147, 7985, 5, 1452034800, 1, 147, 1452261092, NULL, NULL, 0),
(42315, 147, 7985, 5, 1452121200, 1, 147, 1452261112, NULL, NULL, 0),
(42352, 72, 23791, 1, 1452121200, 1, 72, 1452269548, NULL, NULL, 0),
(42353, 72, 23791, 1, 1452207600, 1, 72, 1452269548, NULL, NULL, 0),
(42355, 146, 8064, 4, 1451862000, 1, 146, 1452271152, NULL, NULL, 0),
(42356, 146, 8064, 4, 1451948400, 1, 146, 1452271162, NULL, NULL, 0),
(42361, 146, 8364, 4, 1452034800, 1, 146, 1452271608, NULL, NULL, 0),
(42363, 146, 8364, 4, 1452121200, 1, 146, 1452271627, NULL, NULL, 0),
(42365, 146, 8064, 4, 1452207600, 0.5, 146, 1452271644, NULL, NULL, 0),
(42370, 146, 8344, 4, 1452207600, 0.5, 146, 1452271742, NULL, NULL, 0),
(42410, 199, 8179, 5, 1451862000, 1, 199, 1452496212, NULL, NULL, 0),
(42411, 199, 8179, 5, 1451948400, 0.8, 199, 1452496237, NULL, NULL, 0),
(42412, 199, 7378, 5, 1451948400, 0.2, 199, 1452496262, NULL, NULL, 0),
(42413, 199, 7814, 5, 1452034800, 0.5, 199, 1452496281, NULL, NULL, 0),
(42414, 199, 7814, 5, 1452121200, 0.5, 199, 1452496291, NULL, NULL, 0),
(42415, 199, 1, 1, 1452034800, 0.5, 199, 1452496334, NULL, NULL, 0),
(42418, 199, 8343, 5, 1452207600, 0.2, 199, 1452499816, NULL, NULL, 0),
(42592, 199, 8382, 5, 1452207600, 0.5, 199, 1452676272, NULL, NULL, 0),
(42426, 200, 2, 1, 1459980000, 1, 200, 1452502312, NULL, NULL, 0),
(42427, 200, 2, 1, 1460066400, 1, 200, 1452502312, NULL, NULL, 0),
(42428, 93, 2088, 1, 1452121200, 0.1, 93, 1452502946, NULL, NULL, 0),
(42429, 93, 8085, 2, 1452121200, 0.2, 93, 1452503036, NULL, NULL, 0),
(42431, 93, 8361, 4, 1452207600, 0.75, 93, 1452503276, NULL, NULL, 0),
(42432, 93, 8085, 2, 1452207600, 0.25, 93, 1452503294, NULL, NULL, 0),
(42433, 93, 8085, 2, 1452466800, 0.25, 93, 1452503310, NULL, NULL, 0),
(42434, 93, 8361, 4, 1452466800, 0.75, 93, 1452503351, NULL, NULL, 0),
(42493, 157, 8150, 4, 1452466800, 0.5, 157, 1452524654, NULL, NULL, 0),
(42459, 158, 8155, 4, 1452466800, 0.5, 158, 1452515684, NULL, NULL, 0),
(42460, 200, 7897, 4, 1452121200, 1, 200, 1452516280, NULL, NULL, 0),
(42489, 157, 8153, 4, 1452466800, 0.5, 157, 1452522976, NULL, NULL, 0),
(42496, 116, 8066, 5, 1452466800, 1, 116, 1452527459, NULL, NULL, 0),
(42506, 157, 2, 1, 1453417200, 0.5, 157, 1452587827, NULL, NULL, 0),
(42507, 134, 8292, 5, 1452466800, 0.5, 134, 1452587843, NULL, NULL, 0),
(42509, 134, 1505, 1, 1452207600, 0.2, 134, 1452587977, NULL, NULL, 0),
(42510, 134, 8292, 6, 1452466800, 0.5, 134, 1452588034, NULL, NULL, 0),
(42511, 2, 8155, 4, 1452466800, 0.5, 2, 1452588190, NULL, NULL, 0),
(42512, 2, 23791, 1, 1452207600, 0.5, 2, 1452588462, NULL, NULL, 0),
(42513, 2, 1435, 1, 1452466800, 0.25, 2, 1452588504, NULL, NULL, 0),
(42514, 2, 23791, 1, 1452466800, 0.25, 2, 1452588517, NULL, NULL, 0),
(42524, 117, 3686, 17, 1451862000, 0.5, 117, 1452591035, NULL, NULL, 0),
(42525, 117, 4874, 4, 1451862000, 0.5, 117, 1452591073, NULL, NULL, 0),
(42526, 117, 4874, 4, 1451948400, 1, 117, 1452591092, NULL, NULL, 0),
(42527, 117, 4873, 4, 1452466800, 0.75, 117, 1452591224, NULL, NULL, 0),
(42530, 2, 2, 1, 1455490800, 1, 2, 1452594387, NULL, NULL, 0),
(42531, 2, 2, 1, 1455577200, 1, 2, 1452594387, NULL, NULL, 0),
(42532, 2, 2, 1, 1455663600, 1, 2, 1452594387, NULL, NULL, 0),
(42533, 2, 2, 1, 1455750000, 1, 2, 1452594387, NULL, NULL, 0),
(42534, 2, 2, 1, 1455836400, 1, 2, 1452594387, NULL, NULL, 0),
(42600, 164, 7496, 18, 1452553200, 1, 164, 1452681734, NULL, NULL, 0),
(42601, 134, 1505, 1, 1452553200, 0.1, 134, 1452689923, NULL, NULL, 0),
(42602, 134, 7379, 5, 1452553200, 0.9, 134, 1452689966, NULL, NULL, 0),
(42603, 134, 7379, 5, 1452639600, 1, 134, 1452690007, NULL, NULL, 0),
(42604, 93, 2088, 1, 1452639600, 0.1, 93, 1452690014, NULL, NULL, 0),
(42540, 146, 2, 1, 1452812400, 1, 146, 1452594487, NULL, NULL, 0),
(42545, 116, 8066, 5, 1452553200, 1, 116, 1452612833, NULL, NULL, 0),
(42546, 116, 2, 1, 1453849200, 1, 116, 1452612854, NULL, NULL, 0),
(42547, 116, 2, 1, 1453935600, 1, 116, 1452612859, NULL, NULL, 0),
(42548, 116, 2, 1, 1454022000, 1, 116, 1452612862, NULL, NULL, 0),
(42549, 116, 2, 1, 1454540400, 1, 116, 1452612867, NULL, NULL, 0),
(42550, 116, 2, 1, 1454626800, 1, 116, 1452612870, NULL, NULL, 0),
(42551, 116, 2, 1, 1455058800, 1, 116, 1452612875, NULL, NULL, 0),
(42552, 116, 2, 1, 1455145200, 1, 116, 1452612879, NULL, NULL, 0),
(42553, 116, 2, 1, 1455231600, 1, 116, 1452612882, NULL, NULL, 0),
(42554, 116, 2, 1, 1455750000, 1, 116, 1452612887, NULL, NULL, 0),
(42555, 116, 2, 1, 1455836400, 1, 116, 1452612890, NULL, NULL, 0),
(42557, 116, 2, 1, 1456268400, 1, 116, 1452612903, NULL, NULL, 0),
(42558, 116, 2, 1, 1456354800, 1, 116, 1452612906, NULL, NULL, 0),
(42559, 116, 2, 1, 1456441200, 1, 116, 1452612909, NULL, NULL, 0),
(42560, 116, 2, 1, 1456959600, 1, 116, 1452612914, NULL, NULL, 0),
(42561, 116, 2, 1, 1457046000, 1, 116, 1452612919, NULL, NULL, 0),
(42562, 93, 8297, 2, 1452553200, 0.1, 93, 1452618010, NULL, NULL, 0),
(42563, 93, 1505, 1, 1452553200, 0.1, 93, 1452618042, NULL, NULL, 0),
(42564, 93, 8361, 4, 1452553200, 0.5, 93, 1452618097, NULL, NULL, 0),
(42565, 93, 8085, 2, 1452553200, 0.3, 93, 1452618137, NULL, NULL, 0),
(42566, 2, 8155, 4, 1452553200, 1, 2, 1452624667, NULL, NULL, 0),
(42583, 74, 8181, 6, 1452466800, 1, 74, 1452675769, NULL, NULL, 0),
(42586, 199, 8297, 5, 1452553200, 0.6, 199, 1452676073, NULL, NULL, 0),
(42585, 199, 8382, 5, 1452466800, 0.5, 199, 1452676036, NULL, NULL, 0),
(42644, 74, 8390, 4, 1452639600, 0.5, 74, 1452700031, NULL, NULL, 0),
(42588, 199, 8179, 5, 1452466800, 0.5, 199, 1452676120, NULL, NULL, 0),
(42589, 199, 5405, 4, 1452553200, 0.4, 199, 1452676150, NULL, NULL, 0),
(42590, 199, 8179, 5, 1452121200, 0.5, 199, 1452676211, NULL, NULL, 0),
(42591, 199, 5405, 4, 1452207600, 0.3, 199, 1452676230, NULL, NULL, 0),
(42593, 93, 8361, 4, 1452639600, 0.2, 93, 1452677674, NULL, NULL, 0),
(42594, 2, 8155, 4, 1452639600, 0.5, 2, 1452680312, NULL, NULL, 0),
(42595, 164, 2, 1, 1460325600, 1, 164, 1452681587, NULL, NULL, 0),
(42596, 164, 2, 1, 1460412000, 1, 164, 1452681587, NULL, NULL, 0),
(42597, 164, 2, 1, 1460498400, 1, 164, 1452681587, NULL, NULL, 0),
(42598, 164, 2, 1, 1460584800, 1, 164, 1452681587, NULL, NULL, 0),
(42599, 164, 2, 1, 1460671200, 1, 164, 1452681587, NULL, NULL, 0),
(42605, 93, 7645, 4, 1452639600, 0.7, 93, 1452690054, NULL, NULL, 0),
(42608, 2, 23791, 1, 1452639600, 0.25, 2, 1452696957, NULL, NULL, 0),
(42636, 74, 8389, 4, 1452553200, 0.5, 74, 1452699603, NULL, NULL, 0),
(42637, 74, 1505, 1, 1452639600, 0.25, 74, 1452699624, NULL, NULL, 0),
(42638, 93, 2, 1, 1452726000, 1, 93, 1452699702, NULL, NULL, 0),
(42642, 199, 8297, 5, 1452639600, 0.2, 199, 1452699884, NULL, NULL, 0),
(42641, 199, 8178, 5, 1452639600, 0.6, 199, 1452699860, NULL, NULL, 0),
(42643, 199, 7814, 7, 1452639600, 0.2, 199, 1452699919, NULL, NULL, 0),
(44403, 134, 8305, 6, 1453762800, 0.5, 134, 1454341027, NULL, NULL, 0),
(42646, 93, 2, 1, 1452812400, 1, 93, 1452701615, NULL, NULL, 0),
(42647, 157, 2, 1, 1460325600, 1, 72, 1452754525, NULL, NULL, 0),
(42648, 157, 2, 1, 1460412000, 1, 72, 1452754525, NULL, NULL, 0),
(42649, 157, 2, 1, 1460498400, 1, 72, 1452754525, NULL, NULL, 0),
(42650, 157, 2, 1, 1460584800, 1, 72, 1452754525, NULL, NULL, 0),
(42651, 157, 2, 1, 1460671200, 1, 72, 1452754525, NULL, NULL, 0),
(42655, 157, 6189, 6, 1452553200, 0.5, 157, 1452762600, NULL, NULL, 0),
(42656, 157, 8153, 6, 1452553200, 0.5, 157, 1452762659, NULL, NULL, 0),
(42657, 157, 6189, 6, 1452639600, 1, 157, 1452762707, NULL, NULL, 0),
(42658, 157, 8148, 4, 1452726000, 0.5, 157, 1452762739, NULL, NULL, 0),
(42659, 157, 6189, 6, 1452726000, 0.5, 157, 1452762762, NULL, NULL, 0),
(42673, 205, 8075, 4, 1452466800, 0.1, 205, 1452776758, NULL, NULL, 0),
(42675, 205, 8073, 4, 1452466800, 0.2, 205, 1452776798, NULL, NULL, 0),
(42676, 205, 7113, 4, 1452639600, 0.5, 205, 1452776840, NULL, NULL, 0),
(42679, 205, 8074, 4, 1452553200, 0.5, 205, 1452776919, NULL, NULL, 0),
(42680, 205, 8074, 4, 1452553200, 0.5, 205, 1452776920, NULL, NULL, 0),
(42687, 205, 8129, 6, 1452639600, 0.5, 205, 1452777294, NULL, NULL, 0),
(42689, 205, 8344, 4, 1452466800, 0.2, 205, 1452777314, NULL, NULL, 0),
(43163, 157, 8148, 6, 1453417200, 0.5, 157, 1453460983, NULL, NULL, 0),
(42752, 134, 7379, 6, 1452812400, 1, 134, 1452847628, NULL, NULL, 0),
(42750, 134, 7379, 5, 1452726000, 0.8, 134, 1452847608, NULL, NULL, 0),
(42753, 134, 1506, 1, 1452726000, 0.2, 134, 1452847648, NULL, NULL, 0),
(42798, 2, 1506, 1, 1452726000, 0.5, 2, 1452860073, NULL, NULL, 0),
(42799, 72, 23791, 1, 1452466800, 1, 72, 1452860157, NULL, NULL, 0),
(42800, 72, 23791, 1, 1452553200, 1, 72, 1452860157, NULL, NULL, 0),
(42801, 72, 23791, 1, 1452639600, 1, 72, 1452860157, NULL, NULL, 0),
(42802, 72, 23791, 1, 1452726000, 1, 72, 1452860157, NULL, NULL, 0),
(42803, 72, 23791, 1, 1452812400, 1, 72, 1452860157, NULL, NULL, 0),
(42804, 157, 8149, 4, 1452812400, 0.8, 2, 1452863766, NULL, NULL, 0),
(42805, 157, 8149, 5, 1452812400, 0.2, 2, 1452863781, NULL, NULL, 0),
(42817, 200, 7897, 4, 1452466800, 1, 200, 1452872869, NULL, NULL, 0),
(42818, 200, 8180, 4, 1452639600, 0.8, 200, 1452872915, NULL, NULL, 0),
(42819, 200, 7897, 17, 1452639600, 0.2, 200, 1452872947, NULL, NULL, 0),
(42820, 200, 7897, 4, 1452726000, 0.3, 200, 1452872961, NULL, NULL, 0),
(42821, 200, 8180, 4, 1452726000, 0.5, 200, 1452872989, NULL, NULL, 0),
(42822, 200, 8180, 4, 1452726000, 0.2, 200, 1452873060, NULL, NULL, 0),
(42823, 200, 8180, 4, 1452812400, 1, 200, 1452873077, NULL, NULL, 0),
(42824, 2, 23791, 1, 1452639600, 0.25, 2, 1452873185, NULL, NULL, 0),
(42825, 2, 23791, 1, 1452726000, 0.5, 2, 1452873193, NULL, NULL, 0),
(42826, 2, 23791, 1, 1452812400, 1, 2, 1452873201, NULL, NULL, 0),
(42828, 164, 7496, 17, 1452466800, 0.5, 164, 1452874903, NULL, NULL, 0),
(42829, 164, 7496, 17, 1452812400, 0.5, 164, 1452874914, NULL, NULL, 0),
(42830, 164, 7496, 18, 1452812400, 0.5, 164, 1452874928, NULL, NULL, 0),
(42831, 164, 7496, 18, 1452726000, 0.5, 164, 1452874937, NULL, NULL, 0),
(42832, 164, 7496, 17, 1452639600, 0.5, 164, 1452874965, NULL, NULL, 0),
(42838, 158, 8060, 4, 1452812400, 1, 158, 1452877175, NULL, NULL, 0),
(42834, 164, 1435, 1, 1452466800, 0.5, 164, 1452874999, NULL, NULL, 0),
(42837, 164, 8386, 17, 1452639600, 0.5, 164, 1452875159, NULL, NULL, 0),
(42836, 164, 8386, 17, 1452726000, 0.5, 164, 1452875125, NULL, NULL, 0),
(42839, 158, 8060, 4, 1452466800, 0.5, 158, 1452877209, NULL, NULL, 0),
(42840, 169, 8085, 5, 1451862000, 1, 169, 1452877265, NULL, NULL, 0),
(42841, 158, 8060, 4, 1451948400, 0.25, 158, 1452877270, NULL, NULL, 0),
(42842, 169, 8085, 5, 1451948400, 1, 169, 1452877274, NULL, NULL, 0),
(42843, 169, 8085, 5, 1452034800, 1, 169, 1452877283, NULL, NULL, 0),
(42844, 169, 8085, 5, 1452121200, 1, 169, 1452877291, NULL, NULL, 0),
(42845, 169, 8085, 5, 1452207600, 1, 169, 1452877300, NULL, NULL, 0),
(42846, 169, 8085, 5, 1452466800, 1, 169, 1452877329, NULL, NULL, 0),
(42847, 169, 8085, 5, 1452553200, 1, 169, 1452877336, NULL, NULL, 0),
(42848, 169, 8085, 5, 1452639600, 1, 169, 1452877343, NULL, NULL, 0),
(42849, 169, 8085, 5, 1452726000, 1, 169, 1452877353, NULL, NULL, 0),
(42853, 158, 8155, 4, 1452639600, 0.25, 158, 1452877511, NULL, NULL, 0),
(42851, 169, 4324, 7, 1452812400, 1, 169, 1452877380, NULL, NULL, 0),
(42852, 158, 8060, 4, 1452639600, 0.75, 158, 1452877471, NULL, NULL, 0),
(42899, 199, 8405, 5, 1453071600, 0.05, 199, 1453111511, NULL, NULL, 0),
(42900, 199, 8406, 5, 1453071600, 0.05, 199, 1453111528, NULL, NULL, 0),
(42901, 199, 8407, 5, 1453071600, 0.1, 199, 1453111545, NULL, NULL, 0),
(42902, 199, 8179, 7, 1452812400, 1, 199, 1453112405, NULL, NULL, 0),
(42903, 199, 8179, 7, 1452726000, 0.5, 199, 1453112422, NULL, NULL, 0),
(42904, 199, 1506, 1, 1452726000, 0.5, 199, 1453112505, NULL, NULL, 0),
(42960, 2, 8289, 4, 1453071600, 0.75, 2, 1453130441, NULL, NULL, 0),
(42963, 116, 8362, 5, 1453071600, 1, 116, 1453132099, NULL, NULL, 0),
(42964, 199, 8179, 5, 1453071600, 0.8, 199, 1453133962, NULL, NULL, 0),
(42966, 200, 7069, 4, 1453071600, 0.5, 200, 1453134595, NULL, NULL, 0),
(42967, 200, 8180, 4, 1453071600, 0.5, 200, 1453134643, NULL, NULL, 0),
(42969, 72, 1, 1, 1453330800, 1, 72, 1453191821, NULL, NULL, 0),
(42970, 72, 1, 1, 1454022000, 1, 72, 1453191862, NULL, NULL, 0),
(42971, 2, 23791, 1, 1453071600, 0.25, 2, 1453194739, NULL, NULL, 0),
(42972, 146, 8344, 4, 1452466800, 1, 146, 1453194789, NULL, NULL, 0),
(42973, 158, 8060, 4, 1453158000, 0.2, 158, 1453194809, NULL, NULL, 0),
(42974, 146, 7985, 6, 1452553200, 1, 146, 1453194842, NULL, NULL, 0),
(42975, 146, 7985, 5, 1452639600, 1, 146, 1453194947, NULL, NULL, 0),
(42976, 146, 7985, 5, 1452726000, 1, 146, 1453194969, NULL, NULL, 0),
(42982, 93, 7645, 4, 1453071600, 1, 93, 1453198891, NULL, NULL, 0),
(42983, 93, 7645, 4, 1453158000, 1, 93, 1453198907, NULL, NULL, 0),
(43003, 158, 8155, 4, 1453158000, 0.8, 158, 1453217231, NULL, NULL, 0),
(43004, 158, 2, 1, 1458514800, 1, 158, 1453217845, NULL, NULL, 0),
(43008, 116, 8072, 5, 1453158000, 1, 116, 1453219171, NULL, NULL, 0),
(43009, 2, 8289, 7, 1453158000, 0.25, 2, 1453221563, NULL, NULL, 0),
(43010, 2, 8289, 5, 1453158000, 0.25, 2, 1453221577, NULL, NULL, 0),
(43011, 2, 8289, 7, 1453158000, 0.5, 2, 1453221596, NULL, NULL, 0),
(43012, 164, 8386, 18, 1453071600, 0.25, 164, 1453222390, NULL, NULL, 0),
(43013, 164, 7496, 18, 1453071600, 0.25, 164, 1453222416, NULL, NULL, 0),
(43014, 164, 7496, 17, 1453071600, 0.5, 164, 1453222428, NULL, NULL, 0),
(43015, 164, 7496, 18, 1453158000, 1, 164, 1453222444, NULL, NULL, 0),
(43017, 157, 8148, 4, 1453071600, 1, 157, 1453271670, NULL, NULL, 0),
(43018, 157, 8148, 4, 1453158000, 1, 157, 1453271682, NULL, NULL, 0),
(43019, 157, 8148, 4, 1453244400, 0.5, 157, 1453271698, NULL, NULL, 0),
(43024, 2, 8289, 7, 1453244400, 0.1, 2, 1453280221, NULL, NULL, 0),
(43027, 2, 2, 1, 1456354800, 1, 2, 1453285945, NULL, NULL, 0),
(43031, 116, 8072, 5, 1453244400, 1, 116, 1453303910, NULL, NULL, 0),
(43080, 74, 8087, 6, 1452812400, 1, 74, 1453448073, NULL, NULL, 0),
(43055, 134, 7379, 6, 1453071600, 0.5, 134, 1453372706, NULL, NULL, 0),
(43056, 134, 7379, 5, 1453071600, 0.5, 134, 1453372727, NULL, NULL, 0),
(43057, 134, 7379, 6, 1453158000, 0.7, 134, 1453372770, NULL, NULL, 0),
(43058, 134, 7379, 5, 1453158000, 0.2, 134, 1453372785, NULL, NULL, 0),
(43059, 134, 1505, 1, 1453158000, 0.1, 134, 1453372802, NULL, NULL, 0),
(43060, 134, 7070, 7, 1453244400, 0.4, 134, 1453372857, NULL, NULL, 0),
(43061, 134, 1505, 1, 1453244400, 0.1, 134, 1453372871, NULL, NULL, 0),
(43062, 134, 8303, 4, 1453330800, 0.4, 134, 1453373220, NULL, NULL, 0),
(43063, 134, 1437, 1, 1453330800, 0.1, 134, 1453373295, NULL, NULL, 0),
(43064, 93, 7645, 4, 1453244400, 1, 93, 1453386007, NULL, NULL, 0),
(43065, 93, 8404, 4, 1453330800, 1, 93, 1453386031, NULL, NULL, 0),
(43079, 74, 8087, 6, 1452726000, 1, 74, 1453448065, NULL, NULL, 0),
(43076, 158, 1, 1, 1453330800, 0.4, 158, 1453398630, NULL, NULL, 0),
(43077, 158, 2041, 1, 1453330800, 0.6, 158, 1453398642, NULL, NULL, 0),
(43081, 74, 8087, 6, 1453071600, 1, 74, 1453448112, NULL, NULL, 0),
(43082, 74, 8087, 6, 1453244400, 1, 74, 1453448120, NULL, NULL, 0),
(43083, 74, 8087, 6, 1453330800, 1, 74, 1453448130, NULL, NULL, 0),
(43084, 74, 8087, 6, 1453417200, 1, 74, 1453448143, NULL, NULL, 0),
(43085, 74, 1, 1, 1453849200, 0.5, 74, 1453448283, NULL, NULL, 0),
(43086, 164, 7496, 18, 1453330800, 0.75, 164, 1453451971, NULL, NULL, 0),
(43087, 164, 1435, 1, 1453330800, 0.25, 164, 1453451983, NULL, NULL, 0),
(43088, 164, 7496, 18, 1453244400, 0.5, 164, 1453452002, NULL, NULL, 0),
(43089, 164, 8387, 17, 1453244400, 0.5, 164, 1453452068, NULL, NULL, 0),
(43090, 164, 1435, 1, 1453417200, 1, 164, 1453452082, NULL, NULL, 0),
(43164, 157, 8148, 4, 1453244400, 0.5, 157, 1453461021, NULL, NULL, 0),
(43165, 157, 8148, 4, 1453330800, 0.5, 157, 1453461108, NULL, NULL, 0),
(43166, 157, 8148, 4, 1453330800, 0.5, 157, 1453461133, NULL, NULL, 0),
(43170, 72, 23791, 1, 1453071600, 1, 72, 1453461417, NULL, NULL, 0),
(43171, 72, 23791, 1, 1453158000, 1, 72, 1453461424, NULL, NULL, 0),
(43172, 72, 23791, 1, 1453244400, 1, 72, 1453461435, NULL, NULL, 0),
(43173, 72, 23791, 1, 1453417200, 1, 72, 1453461441, NULL, NULL, 0),
(43179, 205, 2, 1, 1453071600, 1, 205, 1453462753, NULL, NULL, 0),
(43181, 205, 1400, 1, 1453244400, 1, 205, 1453462775, NULL, NULL, 0),
(43182, 205, 1400, 1, 1453330800, 1, 205, 1453462779, NULL, NULL, 0),
(43185, 205, 8388, 6, 1453676400, 1, 205, 1453462891, NULL, NULL, 0),
(43184, 205, 8388, 6, 1453417200, 1, 205, 1453462843, NULL, NULL, 0),
(43186, 205, 8551, 4, 1453762800, 1, 205, 1453463425, NULL, NULL, 0),
(43187, 205, 8551, 4, 1453849200, 1, 205, 1453463437, NULL, NULL, 0),
(43188, 205, 8551, 4, 1453935600, 1, 205, 1453463450, NULL, NULL, 0),
(43189, 205, 8551, 4, 1454022000, 1, 205, 1453463459, NULL, NULL, 0),
(43190, 134, 8302, 4, 1453330800, 0.4, 134, 1453467332, NULL, NULL, 0),
(43191, 134, 8301, 4, 1453330800, 0.1, 134, 1453467367, NULL, NULL, 0),
(43192, 134, 8301, 4, 1453417200, 0.5, 134, 1453467400, NULL, NULL, 0),
(43193, 200, 7069, 4, 1453158000, 1, 200, 1453467759, NULL, NULL, 0),
(43194, 200, 7069, 4, 1453244400, 1, 200, 1453467776, NULL, NULL, 0),
(43195, 200, 7069, 4, 1453330800, 1, 200, 1453467788, NULL, NULL, 0),
(43196, 200, 7069, 4, 1453417200, 1, 200, 1453467808, NULL, NULL, 0),
(43197, 169, 8147, 4, 1453071600, 1, 169, 1453469045, NULL, NULL, 0),
(43198, 169, 8147, 4, 1453158000, 1, 169, 1453469059, NULL, NULL, 0),
(43201, 146, 8344, 4, 1453158000, 0.5, 146, 1453469141, NULL, NULL, 0),
(43200, 146, 8344, 4, 1453071600, 1, 146, 1453469103, NULL, NULL, 0),
(43202, 169, 8147, 4, 1453244400, 1, 169, 1453469172, NULL, NULL, 0),
(43204, 169, 8147, 4, 1453330800, 1, 169, 1453469186, NULL, NULL, 0),
(43208, 199, 5406, 5, 1453158000, 1, 199, 1453469420, NULL, NULL, 0),
(43225, 199, 5405, 4, 1453417200, 1, 199, 1453470530, NULL, NULL, 0),
(43209, 199, 5565, 5, 1453244400, 1, 199, 1453469430, NULL, NULL, 0),
(43214, 146, 8552, 4, 1453158000, 0.5, 146, 1453470160, NULL, NULL, 0),
(43215, 146, 8552, 4, 1453244400, 1, 146, 1453470181, NULL, NULL, 0),
(43216, 146, 8344, 4, 1453330800, 1, 146, 1453470191, NULL, NULL, 0),
(43221, 169, 8154, 4, 1453417200, 1, 169, 1453470432, NULL, NULL, 0),
(43222, 199, 2041, 1, 1453330800, 0.2, 199, 1453470480, NULL, NULL, 0),
(43223, 93, 8404, 4, 1453417200, 1, 93, 1453470492, NULL, NULL, 0),
(43224, 199, 5565, 5, 1453330800, 0.8, 199, 1453470500, NULL, NULL, 0),
(43254, 2, 1505, 1, 1453417200, 0.25, 2, 1453472461, NULL, NULL, 0),
(43262, 2, 1435, 1, 1453417200, 0.75, 2, 1453476150, NULL, NULL, 0),
(43263, 2, 8557, 4, 1453244400, 0.9, 2, 1453476856, NULL, NULL, 0),
(43264, 2, 8557, 4, 1453330800, 0.5, 2, 1453476873, NULL, NULL, 0),
(43265, 2, 8557, 5, 1453330800, 0.5, 2, 1453476884, NULL, NULL, 0),
(43268, 134, 8554, 4, 1453244400, 0.5, 134, 1453478657, NULL, NULL, 0),
(43271, 134, 8060, 4, 1453417200, 0.5, 134, 1453478721, NULL, NULL, 0),
(43492, 88, 1400, 1, 1453071600, 1, 88, 1453714096, NULL, NULL, 0),
(43494, 88, 1400, 1, 1453158000, 1, 88, 1453714124, NULL, NULL, 0),
(43495, 88, 1400, 1, 1453244400, 1, 88, 1453714132, NULL, NULL, 0),
(43776, 199, 5405, 7, 1453762800, 0.5, 199, 1453907510, NULL, NULL, 0),
(43574, 158, 2, 1, 1455836400, 1, 158, 1453734173, NULL, NULL, 0),
(43577, 116, 8072, 5, 1453676400, 1, 116, 1453736838, NULL, NULL, 0),
(43665, 93, 8404, 4, 1453676400, 1, 93, 1453804733, NULL, NULL, 0),
(43666, 93, 8404, 4, 1453762800, 1, 93, 1453804741, NULL, NULL, 0),
(45800, 72, 23791, 1, 1455663600, 1, 72, 1455725170, NULL, NULL, 0),
(43670, 2, 8289, 7, 1453762800, 0.25, 2, 1453806640, NULL, NULL, 0),
(43671, 2, 23791, 1, 1453676400, 0.5, 2, 1453806673, NULL, NULL, 0),
(43672, 205, 23791, 1, 1451948400, 1, 205, 1453811041, NULL, NULL, 0),
(43673, 205, 23791, 1, 1452207600, 1, 205, 1453811054, NULL, NULL, 0),
(43674, 205, 23791, 1, 1452726000, 1, 205, 1453811060, NULL, NULL, 0),
(43675, 205, 23791, 1, 1452812400, 1, 205, 1453811066, NULL, NULL, 0),
(43676, 134, 8289, 7, 1453676400, 0.25, 2, 1453815767, NULL, NULL, 0),
(43678, 116, 8072, 5, 1453762800, 1, 116, 1453820471, NULL, NULL, 0),
(43679, 200, 7069, 7, 1453676400, 1, 200, 1453822064, NULL, NULL, 0),
(43680, 200, 8129, 7, 1453762800, 0.25, 200, 1453822155, NULL, NULL, 0),
(43681, 200, 7069, 7, 1453762800, 0.5, 200, 1453822193, NULL, NULL, 0),
(43682, 200, 8454, 4, 1453762800, 0.25, 200, 1453822328, NULL, NULL, 0),
(43689, 164, 8387, 18, 1453762800, 0.5, 164, 1453824989, NULL, NULL, 0),
(43690, 164, 7496, 18, 1453762800, 0.5, 164, 1453825094, NULL, NULL, 0),
(43691, 164, 1435, 1, 1453676400, 0.5, 164, 1453825187, NULL, NULL, 0),
(43693, 164, 8620, 2, 1453676400, 0.5, 164, 1453825428, NULL, NULL, 0),
(43694, 72, 8621, 4, 1453762800, 0.5, 72, 1453826626, NULL, NULL, 0),
(43695, 72, 23791, 1, 1453676400, 1, 72, 1453826640, NULL, NULL, 0),
(43713, 158, 2, 1, 1454540400, 0.5, 158, 1453884814, NULL, NULL, 0),
(43714, 158, 2, 1, 1458860400, 1, 158, 1453884887, NULL, NULL, 0),
(43715, 158, 2, 1, 1459720800, 1, 158, 1453885025, NULL, NULL, 0),
(43716, 158, 2, 1, 1461535200, 1, 158, 1453885045, NULL, NULL, 0),
(43717, 158, 2, 1, 1461276000, 1, 158, 1453885119, NULL, NULL, 0),
(43720, 158, 2, 1, 1462140000, 1, 158, 1453885186, NULL, NULL, 0),
(43723, 158, 2, 1, 1462744800, 1, 158, 1453885218, NULL, NULL, 0),
(43726, 158, 2, 1, 1463954400, 0.5, 158, 1453885265, NULL, NULL, 0),
(55154, 158, 2, 1, 1464559200, 1, 158, 1463125883, NULL, NULL, 0),
(43734, 158, 2, 1, 1464300000, 1, 158, 1453885352, NULL, NULL, 0),
(43742, 158, 2, 1, 1466719200, 1, 158, 1453885438, NULL, NULL, 0),
(54688, 158, 2, 1, 1465164000, 1, 158, 1462867318, NULL, NULL, 0),
(43752, 158, 2, 1, 1466373600, 0.5, 158, 1453885521, NULL, NULL, 0),
(43759, 2, 23791, 1, 1453849200, 0.5, 2, 1453896791, NULL, NULL, 0),
(43761, 157, 8150, 4, 1453849200, 0.5, 157, 1453903789, NULL, NULL, 0),
(43762, 157, 7395, 4, 1453676400, 0.5, 157, 1453904863, NULL, NULL, 0),
(43763, 157, 7392, 4, 1453676400, 0.5, 157, 1453904888, NULL, NULL, 0),
(43764, 157, 8150, 4, 1453762800, 0.5, 157, 1453904925, NULL, NULL, 0),
(43765, 157, 6189, 4, 1453762800, 0.5, 157, 1453904950, NULL, NULL, 0),
(43766, 157, 8559, 4, 1453849200, 0.5, 157, 1453905012, NULL, NULL, 0),
(43767, 157, 8150, 4, 1453935600, 0.5, 157, 1453905113, NULL, NULL, 0),
(43768, 157, 8404, 4, 1453935600, 0.5, 157, 1453905138, NULL, NULL, 0),
(43769, 157, 8150, 4, 1454022000, 0.5, 157, 1453905171, NULL, NULL, 0),
(43770, 157, 8147, 4, 1454022000, 0.5, 157, 1453905205, NULL, NULL, 0),
(43771, 199, 8563, 5, 1453762800, 0.5, 199, 1453907384, NULL, NULL, 0),
(43772, 199, 8563, 5, 1453676400, 0.2, 199, 1453907397, NULL, NULL, 0),
(43773, 199, 8562, 5, 1453676400, 0.6, 199, 1453907414, NULL, NULL, 0),
(43775, 199, 5405, 5, 1453849200, 0.9, 199, 1453907486, NULL, NULL, 0),
(43777, 199, 5565, 5, 1453676400, 0.2, 199, 1453907531, NULL, NULL, 0),
(43779, 200, 8454, 4, 1453849200, 0.5, 200, 1453908949, NULL, NULL, 0),
(43780, 200, 8180, 4, 1453849200, 0.5, 200, 1453909013, NULL, NULL, 0),
(45799, 72, 23791, 1, 1455577200, 1, 72, 1455725160, NULL, NULL, 0),
(44124, 2, 8557, 4, 1453762800, 0.75, 2, 1453999019, NULL, NULL, 0),
(44125, 2, 8557, 5, 1453849200, 0.5, 2, 1453999038, NULL, NULL, 0),
(44126, 2, 23791, 1, 1453676400, 0.5, 2, 1453999066, NULL, NULL, 0),
(44127, 2, 23791, 1, 1453935600, 1, 2, 1453999072, NULL, NULL, 0),
(44151, 199, 8669, 5, 1453935600, 0.5, 199, 1454054460, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(44152, 199, 5405, 5, 1453935600, 0.5, 199, 1454054504, NULL, NULL, 0),
(44177, 164, 11032, 18, 1453849200, 1, 164, 1454060618, NULL, NULL, 0),
(44172, 164, 6967, 2, 1453935600, 0.25, 164, 1454060387, NULL, NULL, 0),
(44173, 164, 8620, 18, 1453935600, 0.25, 164, 1454060410, NULL, NULL, 0),
(44174, 164, 8620, 18, 1453935600, 0.5, 164, 1454060429, NULL, NULL, 0),
(44175, 164, 8387, 17, 1454022000, 0.5, 164, 1454060447, NULL, NULL, 0),
(44176, 164, 6967, 18, 1454022000, 0.5, 164, 1454060462, NULL, NULL, 0),
(44178, 74, 1436, 1, 1453676400, 1, 74, 1454061750, NULL, NULL, 0),
(44179, 74, 1, 1, 1454454000, 0.5, 74, 1454061991, NULL, NULL, 0),
(44181, 74, 8087, 6, 1453762800, 1, 74, 1454062173, NULL, NULL, 0),
(44182, 74, 8087, 6, 1453849200, 0.5, 74, 1454062206, NULL, NULL, 0),
(44183, 74, 1, 1, 1454972400, 0.5, 74, 1454062342, NULL, NULL, 0),
(44184, 74, 8712, 4, 1453935600, 1, 74, 1454062683, NULL, NULL, 0),
(44185, 74, 2041, 1, 1454022000, 0.5, 74, 1454062772, NULL, NULL, 0),
(44186, 158, 2, 1, 1455490800, 1, 158, 1454065235, NULL, NULL, 0),
(44211, 199, 8669, 5, 1454022000, 0.3, 199, 1454074112, NULL, NULL, 0),
(44233, 158, 8155, 4, 1453676400, 1, 158, 1454082763, NULL, NULL, 0),
(44234, 158, 8155, 4, 1453849200, 1, 158, 1454082784, NULL, NULL, 0),
(44318, 93, 8404, 4, 1453849200, 1, 93, 1454316580, NULL, NULL, 0),
(44320, 93, 8404, 4, 1453935600, 1, 93, 1454316600, NULL, NULL, 0),
(44321, 93, 8404, 4, 1454022000, 1, 93, 1454316610, NULL, NULL, 0),
(44362, 72, 8621, 4, 1453935600, 0.5, 72, 1454326953, NULL, NULL, 0),
(44364, 72, 23791, 1, 1453762800, 0.5, 72, 1454326992, NULL, NULL, 0),
(44365, 72, 23791, 1, 1453849200, 1, 72, 1454327001, NULL, NULL, 0),
(44366, 72, 23791, 1, 1453935600, 0.5, 72, 1454327012, NULL, NULL, 0),
(44367, 2, 23791, 1, 1454022000, 1, 2, 1454331262, NULL, NULL, 0),
(44399, 74, 8712, 4, 1454022000, 0.5, 74, 1454340605, NULL, NULL, 0),
(44400, 134, 8304, 6, 1453676400, 0.75, 134, 1454340859, NULL, NULL, 0),
(44402, 134, 8303, 4, 1453762800, 0.5, 134, 1454340986, NULL, NULL, 0),
(44404, 134, 8298, 4, 1453849200, 0.5, 134, 1454341081, NULL, NULL, 0),
(44405, 74, 8713, 4, 1452639600, 0.25, 74, 1454341091, NULL, NULL, 0),
(44406, 134, 8302, 4, 1453849200, 0.5, 134, 1454341136, NULL, NULL, 0),
(44407, 134, 8299, 4, 1453935600, 0.75, 134, 1454341180, NULL, NULL, 0),
(44408, 134, 8301, 4, 1453935600, 0.25, 134, 1454341227, NULL, NULL, 0),
(44409, 134, 8060, 4, 1454022000, 0.25, 134, 1454341269, NULL, NULL, 0),
(44410, 134, 8300, 4, 1454022000, 0.5, 134, 1454341302, NULL, NULL, 0),
(44411, 134, 8554, 4, 1454022000, 0.25, 134, 1454341372, NULL, NULL, 0),
(44412, 134, 8290, 5, 1454281200, 1, 134, 1454341413, NULL, NULL, 0),
(44413, 116, 8067, 5, 1454281200, 1, 116, 1454341848, NULL, NULL, 0),
(44414, 169, 8147, 7, 1453676400, 1, 169, 1454348497, NULL, NULL, 0),
(44415, 169, 8147, 7, 1453762800, 1, 169, 1454348529, NULL, NULL, 0),
(44416, 169, 8154, 4, 1453849200, 1, 169, 1454348563, NULL, NULL, 0),
(44417, 169, 8154, 7, 1453935600, 1, 169, 1454348591, NULL, NULL, 0),
(44418, 169, 8154, 7, 1454022000, 1, 169, 1454348599, NULL, NULL, 0),
(44419, 169, 8147, 7, 1454281200, 0.5, 169, 1454348678, NULL, NULL, 0),
(44420, 169, 8154, 7, 1454281200, 0.5, 169, 1454348715, NULL, NULL, 0),
(44421, 169, 8147, 5, 1454367600, 1, 169, 1454348812, NULL, NULL, 0),
(44422, 199, 2041, 1, 1454022000, 0.2, 199, 1454396456, NULL, NULL, 0),
(44423, 199, 2041, 1, 1453849200, 0.1, 199, 1454396473, NULL, NULL, 0),
(44424, 199, 5405, 5, 1454022000, 0.5, 199, 1454396592, NULL, NULL, 0),
(44478, 2, 8387, 18, 1454281200, 0.5, 2, 1454435246, NULL, NULL, 0),
(44479, 146, 1436, 1, 1453676400, 1, 146, 1454435298, NULL, NULL, 0),
(44480, 146, 7796, 4, 1453762800, 1, 146, 1454435540, NULL, NULL, 0),
(44481, 146, 7796, 4, 1453849200, 1, 146, 1454435560, NULL, NULL, 0),
(44482, 146, 7796, 5, 1453935600, 0.5, 146, 1454435575, NULL, NULL, 0),
(44483, 146, 3732, 4, 1453935600, 0.5, 146, 1454435626, NULL, NULL, 0),
(44484, 146, 3732, 4, 1454022000, 1, 146, 1454435692, NULL, NULL, 0),
(44921, 146, 8837, 5, 1454281200, 1, 146, 1454928016, NULL, NULL, 0),
(63166, 158, 2, 1, 1482706800, 1, 158, 1469177864, NULL, NULL, 0),
(63167, 158, 2, 1, 1482447600, 1, 158, 1469177919, NULL, NULL, 0),
(44524, 134, 8299, 5, 1454367600, 0.25, 134, 1454492005, NULL, NULL, 0),
(44525, 134, 8300, 5, 1454367600, 0.25, 134, 1454492076, NULL, NULL, 0),
(44526, 134, 8302, 7, 1454367600, 0.1, 134, 1454492117, NULL, NULL, 0),
(44528, 134, 8303, 5, 1454367600, 0.2, 134, 1454492240, NULL, NULL, 0),
(44529, 134, 8303, 6, 1454367600, 0.1, 134, 1454492252, NULL, NULL, 0),
(44530, 134, 8554, 7, 1454367600, 0.1, 134, 1454492273, NULL, NULL, 0),
(44531, 134, 8060, 5, 1454454000, 0.25, 134, 1454492303, NULL, NULL, 0),
(44532, 158, 8155, 4, 1454281200, 1, 158, 1454493111, NULL, NULL, 0),
(44533, 158, 8155, 4, 1454367600, 1, 158, 1454493132, NULL, NULL, 0),
(44534, 158, 8155, 4, 1454454000, 0.25, 158, 1454493159, NULL, NULL, 0),
(44536, 93, 8404, 5, 1454281200, 1, 93, 1454496442, NULL, NULL, 0),
(44537, 93, 8404, 5, 1454367600, 1, 93, 1454496459, NULL, NULL, 0),
(44538, 93, 8404, 5, 1454454000, 1, 93, 1454496481, NULL, NULL, 0),
(44701, 158, 8076, 5, 1454454000, 0.75, 158, 1454665644, NULL, NULL, 0),
(44703, 158, 8076, 5, 1454540400, 0.5, 158, 1454665767, NULL, NULL, 0),
(44711, 212, 1436, 1, 1453849200, 1, 212, 1454666966, NULL, NULL, 0),
(44712, 212, 1436, 1, 1453935600, 1, 212, 1454666993, NULL, NULL, 0),
(44713, 212, 1436, 1, 1454022000, 1, 212, 1454667006, NULL, NULL, 0),
(44744, 164, 6967, 2, 1454540400, 0.25, 164, 1454672953, NULL, NULL, 0),
(44745, 164, 8620, 17, 1454540400, 0.5, 164, 1454672969, NULL, NULL, 0),
(44746, 164, 8620, 2, 1454540400, 0.25, 164, 1454672999, NULL, NULL, 0),
(44747, 164, 8620, 17, 1454626800, 0.5, 164, 1454673107, NULL, NULL, 0),
(44748, 164, 11032, 18, 1454626800, 0.5, 164, 1454673270, NULL, NULL, 0),
(44758, 72, 2, 1, 1470607200, 1, 72, 1454679174, NULL, NULL, 0),
(44759, 72, 2, 1, 1470693600, 1, 72, 1454679174, NULL, NULL, 0),
(44760, 72, 2, 1, 1470780000, 1, 72, 1454679174, NULL, NULL, 0),
(44761, 72, 2, 1, 1470866400, 1, 72, 1454679174, NULL, NULL, 0),
(44762, 72, 2, 1, 1470952800, 1, 72, 1454679174, NULL, NULL, 0),
(44763, 72, 2, 1, 1471298400, 1, 72, 1454679174, NULL, NULL, 0),
(44764, 72, 2, 1, 1471384800, 1, 72, 1454679174, NULL, NULL, 0),
(44765, 72, 2, 1, 1471471200, 1, 72, 1454679174, NULL, NULL, 0),
(44766, 72, 2, 1, 1471557600, 1, 72, 1454679174, NULL, NULL, 0),
(44767, 72, 2, 1, 1471816800, 1, 72, 1454679174, NULL, NULL, 0),
(44768, 72, 2, 1, 1471903200, 1, 72, 1454679174, NULL, NULL, 0),
(44769, 72, 2, 1, 1471989600, 1, 72, 1454679174, NULL, NULL, 0),
(44770, 72, 2, 1, 1472076000, 1, 72, 1454679174, NULL, NULL, 0),
(44771, 72, 2, 1, 1472162400, 1, 72, 1454679174, NULL, NULL, 0),
(44772, 72, 2, 1, 1472421600, 1, 72, 1454679174, NULL, NULL, 0),
(44773, 72, 2, 1, 1472508000, 1, 72, 1454679174, NULL, NULL, 0),
(44783, 199, 7896, 5, 1454626800, 0.2, 199, 1454682768, NULL, NULL, 0),
(44784, 199, 7896, 5, 1454540400, 0.1, 199, 1454682777, NULL, NULL, 0),
(44786, 199, 5405, 5, 1454626800, 0.7, 199, 1454682833, NULL, NULL, 0),
(44787, 199, 5565, 5, 1454626800, 0.1, 199, 1454682850, NULL, NULL, 0),
(44789, 199, 8819, 5, 1454540400, 0.5, 199, 1454684415, NULL, NULL, 0),
(44790, 199, 8819, 5, 1454367600, 0.4, 199, 1454684428, NULL, NULL, 0),
(44791, 157, 8559, 4, 1454281200, 1, 157, 1454684985, NULL, NULL, 0),
(44792, 157, 8559, 4, 1454540400, 1, 157, 1454684999, NULL, NULL, 0),
(44793, 157, 8560, 4, 1454626800, 0.25, 157, 1454685055, NULL, NULL, 0),
(44794, 157, 6189, 4, 1454367600, 1, 157, 1454685098, NULL, NULL, 0),
(44795, 157, 6189, 4, 1454626800, 0.75, 157, 1454685123, NULL, NULL, 0),
(44796, 157, 8148, 4, 1454454000, 0.5, 157, 1454685189, NULL, NULL, 0),
(44797, 157, 8149, 6, 1454454000, 0.5, 157, 1454685233, NULL, NULL, 0),
(44798, 212, 1436, 1, 1454281200, 0.5, 212, 1454686466, NULL, NULL, 0),
(44799, 212, 8811, 6, 1454281200, 0.5, 212, 1454686753, NULL, NULL, 0),
(44800, 212, 1436, 1, 1454367600, 0.5, 212, 1454686822, NULL, NULL, 0),
(44804, 212, 8811, 6, 1454367600, 0.5, 212, 1454687286, NULL, NULL, 0),
(44802, 212, 1436, 1, 1454454000, 0.5, 212, 1454687101, NULL, NULL, 0),
(44803, 212, 8811, 6, 1454454000, 0.5, 212, 1454687165, NULL, NULL, 0),
(44805, 212, 1436, 1, 1454540400, 0.5, 212, 1454687364, NULL, NULL, 0),
(44806, 212, 8811, 6, 1454540400, 0.5, 212, 1454687424, NULL, NULL, 0),
(44807, 212, 8811, 6, 1454626800, 1, 212, 1454687454, NULL, NULL, 0),
(45053, 158, 8076, 5, 1454886000, 1, 158, 1455014403, NULL, NULL, 0),
(44827, 2, 23791, 1, 1454626800, 0.5, 2, 1454688909, NULL, NULL, 0),
(44828, 2, 8155, 7, 1454626800, 0.5, 2, 1454688949, NULL, NULL, 0),
(44829, 2, 1435, 1, 1454540400, 0.25, 2, 1454688978, NULL, NULL, 0),
(44830, 2, 23791, 1, 1454454000, 0.25, 2, 1454689007, NULL, NULL, 0),
(44831, 2, 23791, 1, 1454454000, 0.25, 2, 1454689017, NULL, NULL, 0),
(44833, 2, 1435, 1, 1454281200, 0.25, 2, 1454689036, NULL, NULL, 0),
(44834, 2, 8620, 18, 1454281200, 0.25, 2, 1454689098, NULL, NULL, 0),
(44835, 2, 8620, 18, 1454367600, 1, 2, 1454689119, NULL, NULL, 0),
(44836, 2, 8620, 17, 1454454000, 0.5, 2, 1454689132, NULL, NULL, 0),
(44837, 2, 8620, 17, 1454540400, 0.75, 2, 1454689143, NULL, NULL, 0),
(44845, 158, 8076, 5, 1454626800, 1, 158, 1454692017, NULL, NULL, 0),
(44987, 164, 8620, 17, 1454886000, 1, 164, 1454942443, NULL, NULL, 0),
(45741, 74, 1506, 1, 1455490800, 1, 74, 1455630912, NULL, NULL, 0),
(45738, 200, 8799, 4, 1454626800, 1, 72, 1455627258, NULL, NULL, 0),
(44882, 200, 8454, 4, 1454454000, 1, 200, 1454920562, NULL, NULL, 0),
(44892, 74, 8087, 6, 1454626800, 1, 74, 1454921958, NULL, NULL, 0),
(44893, 74, 8363, 2, 1454281200, 0.5, 74, 1454922069, NULL, NULL, 0),
(44894, 74, 1436, 1, 1454281200, 0.5, 74, 1454922090, NULL, NULL, 0),
(44895, 74, 1505, 1, 1454454000, 0.5, 74, 1454922106, NULL, NULL, 0),
(44896, 74, 8643, 4, 1454367600, 0.5, 74, 1454922227, NULL, NULL, 0),
(44897, 74, 8087, 6, 1454367600, 0.5, 74, 1454922353, NULL, NULL, 0),
(44899, 74, 8811, 4, 1454540400, 0.5, 74, 1454922513, NULL, NULL, 0),
(44902, 199, 5565, 5, 1454367600, 0.6, 199, 1454922836, NULL, NULL, 0),
(44905, 199, 8819, 5, 1454540400, 0.4, 199, 1454922894, NULL, NULL, 0),
(44904, 134, 8305, 4, 1454886000, 0.2, 134, 1454922868, NULL, NULL, 0),
(44906, 134, 8304, 5, 1454886000, 0.5, 134, 1454922901, NULL, NULL, 0),
(44907, 199, 5405, 5, 1454281200, 1, 199, 1454922914, NULL, NULL, 0),
(44908, 146, 2, 1, 1454454000, 1, 146, 1454922949, NULL, NULL, 0),
(44909, 146, 2, 1, 1454540400, 1, 146, 1454922964, NULL, NULL, 0),
(44910, 134, 6059, 4, 1454626800, 0.1, 134, 1454922977, NULL, NULL, 0),
(44911, 134, 6059, 4, 1454626800, 0.05, 134, 1454923006, NULL, NULL, 0),
(44912, 169, 8147, 5, 1454454000, 1, 169, 1454923146, NULL, NULL, 0),
(44913, 169, 4278, 4, 1454540400, 1, 169, 1454923221, NULL, NULL, 0),
(44914, 169, 4278, 4, 1454626800, 1, 169, 1454923235, NULL, NULL, 0),
(44915, 93, 8836, 4, 1454540400, 1, 93, 1454923378, NULL, NULL, 0),
(44916, 93, 8836, 4, 1454626800, 1, 93, 1454923395, NULL, NULL, 0),
(44917, 93, 8836, 4, 1454886000, 1, 93, 1454923412, NULL, NULL, 0),
(44919, 146, 8837, 5, 1454367600, 1, 146, 1454927976, NULL, NULL, 0),
(44922, 146, 8837, 5, 1454626800, 1, 146, 1454928029, NULL, NULL, 0),
(44923, 72, 8806, 4, 1454886000, 0.1, 72, 1454933114, NULL, NULL, 0),
(44995, 146, 1, 1, 1454886000, 0.5, 72, 1454948154, NULL, NULL, 0),
(45086, 134, 8305, 6, 1454972400, 0.5, 134, 1455027696, NULL, NULL, 0),
(45087, 134, 8301, 5, 1454972400, 0.5, 134, 1455027734, NULL, NULL, 0),
(45088, 116, 8846, 5, 1454886000, 1, 116, 1455031309, NULL, NULL, 0),
(45089, 116, 8846, 5, 1454972400, 1, 116, 1455031323, NULL, NULL, 0),
(45120, 134, 8304, 4, 1455058800, 0.1, 134, 1455096259, NULL, NULL, 0),
(45122, 134, 8844, 5, 1454626800, 0.8, 134, 1455096437, NULL, NULL, 0),
(45123, 134, 8844, 4, 1454626800, 0.05, 134, 1455096448, NULL, NULL, 0),
(45124, 134, 8301, 5, 1455058800, 0.5, 134, 1455096484, NULL, NULL, 0),
(45136, 158, 8076, 5, 1454972400, 0.25, 158, 1455112339, NULL, NULL, 0),
(45127, 72, 8621, 4, 1454972400, 0.5, 72, 1455105797, NULL, NULL, 0),
(45128, 72, 23791, 1, 1454972400, 0.5, 72, 1455105808, NULL, NULL, 0),
(45135, 134, 8301, 5, 1455058800, 0.2, 134, 1455111060, NULL, NULL, 0),
(45137, 158, 7657, 5, 1454972400, 0.75, 158, 1455112506, NULL, NULL, 0),
(45138, 74, 1, 1, 1456268400, 0.5, 74, 1455116154, NULL, NULL, 0),
(45139, 74, 8834, 4, 1454886000, 0.5, 74, 1455116288, NULL, NULL, 0),
(45140, 74, 8857, 4, 1454886000, 0.5, 74, 1455116513, NULL, NULL, 0),
(45203, 74, 1506, 1, 1455145200, 1, 74, 1455260854, NULL, NULL, 0),
(45142, 74, 8643, 4, 1454972400, 0.5, 74, 1455116778, NULL, NULL, 0),
(45152, 157, 8153, 6, 1454886000, 0.5, 157, 1455187134, NULL, NULL, 0),
(45153, 157, 4939, 4, 1455058800, 1, 157, 1455187287, NULL, NULL, 0),
(45154, 157, 8858, 4, 1454886000, 0.5, 157, 1455187788, NULL, NULL, 0),
(45155, 157, 8842, 4, 1454972400, 0.5, 157, 1455187835, NULL, NULL, 0),
(45156, 157, 8859, 4, 1454972400, 0.5, 157, 1455192628, NULL, NULL, 0),
(45157, 157, 8842, 4, 1455145200, 1, 157, 1455192657, NULL, NULL, 0),
(45177, 164, 11032, 17, 1455058800, 1, 164, 1455199087, NULL, NULL, 0),
(45175, 164, 6967, 18, 1454972400, 0.5, 164, 1455199043, NULL, NULL, 0),
(45176, 164, 8620, 18, 1454972400, 0.5, 164, 1455199054, NULL, NULL, 0),
(45181, 199, 1505, 1, 1455145200, 0.4, 199, 1455206233, NULL, NULL, 0),
(45202, 74, 1506, 1, 1455058800, 1, 74, 1455260841, NULL, NULL, 0),
(45204, 74, 1506, 1, 1455231600, 1, 74, 1455260858, NULL, NULL, 0),
(45205, 199, 5405, 7, 1454886000, 0.3, 199, 1455262648, NULL, NULL, 0),
(45206, 199, 5406, 5, 1454886000, 0.1, 199, 1455262672, NULL, NULL, 0),
(45207, 199, 5565, 5, 1454886000, 0.2, 199, 1455262694, NULL, NULL, 0),
(45208, 199, 8669, 7, 1454886000, 0.2, 199, 1455263005, NULL, NULL, 0),
(45209, 199, 8819, 5, 1455058800, 0.5, 199, 1455263069, NULL, NULL, 0),
(45210, 199, 8819, 5, 1454972400, 0.5, 199, 1455263503, NULL, NULL, 0),
(45211, 199, 1506, 1, 1455145200, 0.3, 199, 1455266943, NULL, NULL, 0),
(45212, 158, 7657, 5, 1455058800, 1, 158, 1455268072, NULL, NULL, 0),
(45213, 158, 7657, 5, 1455145200, 1, 158, 1455268091, NULL, NULL, 0),
(45220, 169, 4278, 4, 1454886000, 1, 169, 1455270805, NULL, NULL, 0),
(45221, 169, 4278, 4, 1454972400, 1, 169, 1455270831, NULL, NULL, 0),
(45222, 169, 4278, 4, 1455058800, 1, 169, 1455270840, NULL, NULL, 0),
(45223, 169, 4278, 4, 1455145200, 1, 169, 1455270859, NULL, NULL, 0),
(45224, 169, 4278, 4, 1455231600, 0.5, 169, 1455270873, NULL, NULL, 0),
(45282, 134, 8301, 6, 1455145200, 0.5, 134, 1455273403, NULL, NULL, 0),
(45288, 134, 8642, 4, 1455145200, 0.5, 134, 1455273469, NULL, NULL, 0),
(45293, 134, 8060, 4, 1455058800, 0.2, 134, 1455273517, NULL, NULL, 0),
(45299, 134, 8305, 6, 1454886000, 0.3, 134, 1455273624, NULL, NULL, 0),
(45300, 134, 8301, 7, 1455231600, 0.2, 134, 1455273660, NULL, NULL, 0),
(45301, 134, 8794, 4, 1455231600, 0.8, 134, 1455273720, NULL, NULL, 0),
(45307, 72, 8621, 4, 1455145200, 0.5, 72, 1455277452, NULL, NULL, 0),
(45308, 72, 23791, 1, 1455231600, 0.5, 72, 1455277473, NULL, NULL, 0),
(45309, 72, 8621, 4, 1455058800, 0.5, 72, 1455277493, NULL, NULL, 0),
(45310, 72, 23791, 1, 1455058800, 0.5, 72, 1455277503, NULL, NULL, 0),
(45311, 72, 23791, 1, 1455145200, 0.5, 72, 1455277508, NULL, NULL, 0),
(45312, 205, 2, 1, 1455058800, 1, 205, 1455278705, NULL, NULL, 0),
(45393, 158, 7657, 5, 1455231600, 1, 158, 1455288067, NULL, NULL, 0),
(45321, 93, 8836, 5, 1454972400, 0.5, 93, 1455282817, NULL, NULL, 0),
(45322, 93, 8836, 5, 1455058800, 0.5, 93, 1455282854, NULL, NULL, 0),
(45335, 93, 8905, 4, 1455231600, 0.25, 93, 1455284951, NULL, NULL, 0),
(45326, 93, 8842, 4, 1455145200, 0.25, 93, 1455283190, NULL, NULL, 0),
(45327, 93, 8404, 5, 1455058800, 0.5, 93, 1455283288, NULL, NULL, 0),
(45331, 93, 8404, 5, 1455145200, 0.5, 93, 1455284873, NULL, NULL, 0),
(45336, 93, 8905, 4, 1455145200, 0.25, 93, 1455284992, NULL, NULL, 0),
(45338, 93, 8836, 4, 1454972400, 0.5, 93, 1455285041, NULL, NULL, 0),
(45340, 93, 8404, 5, 1455231600, 0.5, 93, 1455285142, NULL, NULL, 0),
(45341, 93, 8842, 4, 1455231600, 0.25, 93, 1455285177, NULL, NULL, 0),
(45342, 93, 2, 1, 1462485600, 1, 93, 1455285359, NULL, NULL, 0),
(45343, 93, 2, 1, 1462744800, 1, 93, 1455285367, NULL, NULL, 0),
(45345, 93, 2, 1, 1462831200, 1, 93, 1455285373, NULL, NULL, 0),
(45346, 93, 2, 1, 1462917600, 1, 93, 1455285377, NULL, NULL, 0),
(45347, 93, 2, 1, 1463004000, 1, 93, 1455285382, NULL, NULL, 0),
(45348, 93, 2, 1, 1463090400, 1, 93, 1455285385, NULL, NULL, 0),
(45349, 93, 2, 1, 1468533600, 1, 93, 1455285414, NULL, NULL, 0),
(45350, 93, 2, 1, 1471298400, 1, 93, 1455285432, NULL, NULL, 0),
(45351, 93, 2, 1, 1471384800, 1, 93, 1455285436, NULL, NULL, 0),
(45353, 93, 2, 1, 1471471200, 1, 93, 1455285441, NULL, NULL, 0),
(45354, 93, 2, 1, 1471557600, 1, 93, 1455285446, NULL, NULL, 0),
(45355, 93, 2, 1, 1471816800, 1, 93, 1455285455, NULL, NULL, 0),
(45356, 93, 2, 1, 1471903200, 1, 93, 1455285459, NULL, NULL, 0),
(45357, 93, 2, 1, 1471989600, 1, 93, 1455285464, NULL, NULL, 0),
(45358, 93, 2, 1, 1472076000, 1, 93, 1455285468, NULL, NULL, 0),
(45359, 93, 2, 1, 1472162400, 1, 93, 1455285472, NULL, NULL, 0),
(45360, 93, 2, 1, 1470952800, 1, 93, 1455285482, NULL, NULL, 0),
(45361, 93, 2, 1, 1472421600, 1, 93, 1455285568, NULL, NULL, 0),
(45362, 93, 2, 1, 1482793200, 1, 93, 1455285787, NULL, NULL, 0),
(45363, 93, 2, 1, 1482879600, 1, 93, 1455285791, NULL, NULL, 0),
(45364, 93, 2, 1, 1482966000, 1, 93, 1455285795, NULL, NULL, 0),
(45365, 93, 2, 1, 1483052400, 1, 93, 1455285799, NULL, NULL, 0),
(45403, 164, 8620, 18, 1455231600, 0.5, 164, 1455290099, NULL, NULL, 0),
(45404, 164, 8620, 18, 1455145200, 1, 164, 1455290110, NULL, NULL, 0),
(45405, 164, 8620, 17, 1455231600, 0.5, 164, 1455290128, NULL, NULL, 0),
(45406, 212, 2041, 1, 1455231600, 1, 212, 1455291005, NULL, NULL, 0),
(45407, 212, 2041, 1, 1455145200, 0.5, 212, 1455291023, NULL, NULL, 0),
(45408, 212, 1436, 1, 1455145200, 0.5, 212, 1455291048, NULL, NULL, 0),
(45409, 212, 8811, 4, 1455058800, 1, 212, 1455291161, NULL, NULL, 0),
(45410, 212, 8811, 6, 1454972400, 1, 212, 1455291204, NULL, NULL, 0),
(45411, 212, 8811, 6, 1454886000, 1, 212, 1455291243, NULL, NULL, 0),
(45445, 146, 1505, 1, 1455231600, 0.25, 146, 1455298184, NULL, NULL, 0),
(45440, 146, 8837, 4, 1454886000, 0.5, 146, 1455297962, NULL, NULL, 0),
(45441, 146, 8837, 4, 1454972400, 1, 146, 1455297983, NULL, NULL, 0),
(45442, 146, 1506, 1, 1455058800, 1, 146, 1455298040, NULL, NULL, 0),
(45443, 146, 1506, 1, 1455145200, 0.25, 146, 1455298058, NULL, NULL, 0),
(45444, 146, 8837, 5, 1455145200, 0.75, 146, 1455298089, NULL, NULL, 0),
(45446, 146, 7114, 4, 1455231600, 0.75, 146, 1455298308, NULL, NULL, 0),
(45491, 200, 8454, 4, 1455231600, 1, 200, 1455521095, NULL, NULL, 0),
(45492, 200, 8454, 4, 1455145200, 1, 200, 1455521109, NULL, NULL, 0),
(45493, 200, 8180, 4, 1455058800, 1, 200, 1455521137, NULL, NULL, 0),
(45494, 200, 8180, 4, 1454972400, 1, 200, 1455521175, NULL, NULL, 0),
(45495, 200, 8180, 4, 1454886000, 1, 200, 1455521191, NULL, NULL, 0),
(45496, 72, 1, 1, 1455231600, 0.5, 72, 1455521323, NULL, NULL, 0),
(45598, 72, 8621, 4, 1455490800, 0.5, 72, 1455539101, NULL, NULL, 0),
(45502, 199, 8842, 4, 1455231600, 0.5, 199, 1455521756, NULL, NULL, 0),
(45501, 199, 8403, 4, 1455231600, 0.5, 199, 1455521708, NULL, NULL, 0),
(45500, 199, 8819, 6, 1455145200, 0.3, 199, 1455521614, NULL, NULL, 0),
(45521, 200, 8798, 4, 1455490800, 0.5, 200, 1455528237, NULL, NULL, 0),
(45532, 134, 2, 1, 1462485600, 1, 134, 1455531222, NULL, NULL, 0),
(45533, 134, 2, 1, 1462744800, 1, 134, 1455531222, NULL, NULL, 0),
(45534, 134, 2, 1, 1462831200, 1, 134, 1455531222, NULL, NULL, 0),
(45535, 134, 2, 1, 1462917600, 1, 134, 1455531222, NULL, NULL, 0),
(45536, 134, 2, 1, 1463004000, 1, 134, 1455531222, NULL, NULL, 0),
(45537, 134, 2, 1, 1463090400, 1, 134, 1455531222, NULL, NULL, 0),
(45559, 116, 2, 1, 1457305200, 1, 116, 1455533284, NULL, NULL, 0),
(45560, 116, 2, 1, 1457391600, 1, 116, 1455533290, NULL, NULL, 0),
(45562, 116, 2, 1, 1457478000, 1, 116, 1455533301, NULL, NULL, 0),
(45563, 116, 2, 1, 1457564400, 1, 116, 1455533306, NULL, NULL, 0),
(45566, 116, 2, 1, 1457650800, 1, 116, 1455533318, NULL, NULL, 0),
(45571, 116, 2, 1, 1457910000, 1, 116, 1455533380, NULL, NULL, 0),
(45572, 116, 2, 1, 1457996400, 1, 116, 1455533384, NULL, NULL, 0),
(45573, 116, 2, 1, 1458082800, 1, 116, 1455533388, NULL, NULL, 0),
(45574, 116, 2, 1, 1458169200, 1, 116, 1455533411, NULL, NULL, 0),
(45576, 116, 2, 1, 1458255600, 1, 116, 1455533415, NULL, NULL, 0),
(45587, 147, 1041, 1, 1455490800, 1, 72, 1455537925, NULL, NULL, 0),
(45588, 147, 1041, 1, 1455577200, 1, 72, 1455537925, NULL, NULL, 0),
(45589, 147, 1041, 1, 1455663600, 1, 72, 1455537925, NULL, NULL, 0),
(45590, 147, 1041, 1, 1455750000, 1, 72, 1455537925, NULL, NULL, 0),
(45591, 147, 1041, 1, 1455836400, 1, 72, 1455537925, NULL, NULL, 0),
(45592, 147, 1041, 1, 1456095600, 1, 72, 1455537925, NULL, NULL, 0),
(45593, 147, 1041, 1, 1456182000, 1, 72, 1455537925, NULL, NULL, 0),
(45594, 147, 1041, 1, 1456268400, 1, 72, 1455537925, NULL, NULL, 0),
(45595, 147, 1041, 1, 1456354800, 1, 72, 1455537925, NULL, NULL, 0),
(45596, 147, 1041, 1, 1456441200, 1, 72, 1455537925, NULL, NULL, 0),
(45597, 147, 1041, 1, 1455231600, 1, 72, 1455537977, NULL, NULL, 0),
(45600, 205, 8925, 4, 1454281200, 0.1, 205, 1455539143, NULL, NULL, 0),
(45605, 205, 8551, 4, 1454281200, 0.8, 205, 1455540153, NULL, NULL, 0),
(45604, 205, 8926, 4, 1454281200, 0.1, 205, 1455540134, NULL, NULL, 0),
(45606, 205, 8551, 4, 1454367600, 0.5, 205, 1455540221, NULL, NULL, 0),
(45607, 205, 8926, 4, 1454367600, 0.5, 205, 1455540308, NULL, NULL, 0),
(45608, 205, 2088, 1, 1454454000, 0.5, 205, 1455540370, NULL, NULL, 0),
(45609, 205, 23791, 1, 1454454000, 0.5, 205, 1455540410, NULL, NULL, 0),
(45610, 205, 8927, 4, 1454540400, 0.5, 205, 1455540905, NULL, NULL, 0),
(45611, 205, 8928, 4, 1454540400, 0.5, 205, 1455541143, NULL, NULL, 0),
(45612, 205, 8929, 4, 1454626800, 0.5, 205, 1455542548, NULL, NULL, 0),
(45613, 205, 8551, 4, 1454626800, 0.5, 205, 1455542578, NULL, NULL, 0),
(45615, 205, 8926, 4, 1454886000, 1, 205, 1455542841, NULL, NULL, 0),
(45616, 205, 8926, 2, 1454972400, 1, 205, 1455542932, NULL, NULL, 0),
(46223, 74, 1, 1, 1455750000, 0.5, 74, 1455871235, NULL, NULL, 0),
(45655, 116, 8798, 5, 1455490800, 1, 116, 1455547518, NULL, NULL, 0),
(45657, 134, 2, 1, 1469397600, 1, 134, 1455547899, NULL, NULL, 0),
(45658, 134, 2, 1, 1469484000, 1, 134, 1455547899, NULL, NULL, 0),
(45659, 134, 2, 1, 1469570400, 1, 134, 1455547899, NULL, NULL, 0),
(45660, 134, 2, 1, 1469656800, 1, 134, 1455547899, NULL, NULL, 0),
(45661, 134, 2, 1, 1469743200, 1, 134, 1455547899, NULL, NULL, 0),
(49885, 2, 1, 1, 1459288800, 0.5, 2, 1458913148, NULL, NULL, 0),
(49884, 212, 8363, 6, 1458687600, 0.5, 212, 1458912659, NULL, NULL, 0),
(49883, 212, 8363, 6, 1458601200, 1, 212, 1458912626, NULL, NULL, 0),
(49882, 212, 8363, 6, 1458514800, 1, 212, 1458912599, NULL, NULL, 0),
(49881, 134, 2, 1, 1467928800, 1, 134, 1458907822, NULL, NULL, 0),
(45667, 134, 2, 1, 1470002400, 1, 134, 1455548043, NULL, NULL, 0),
(45668, 134, 2, 1, 1470088800, 1, 134, 1455548043, NULL, NULL, 0),
(45669, 134, 2, 1, 1470175200, 1, 134, 1455548043, NULL, NULL, 0),
(45670, 134, 2, 1, 1470261600, 1, 134, 1455548043, NULL, NULL, 0),
(45671, 134, 2, 1, 1470348000, 1, 134, 1455548043, NULL, NULL, 0),
(45679, 72, 8621, 4, 1455490800, 0.5, 72, 1455552901, NULL, NULL, 0),
(45729, 134, 8794, 5, 1455490800, 0.5, 134, 1455613588, NULL, NULL, 0),
(45730, 134, 2041, 1, 1455490800, 0.2, 134, 1455613634, NULL, NULL, 0),
(45731, 134, 1437, 1, 1455490800, 0.3, 134, 1455613672, NULL, NULL, 0),
(45734, 200, 8799, 4, 1454281200, 1, 72, 1455627154, NULL, NULL, 0),
(45735, 200, 8799, 4, 1454367600, 1, 72, 1455627171, NULL, NULL, 0),
(45737, 200, 8799, 4, 1454540400, 1, 72, 1455627245, NULL, NULL, 0),
(45742, 74, 1506, 1, 1455577200, 0.5, 74, 1455630925, NULL, NULL, 0),
(45743, 199, 8930, 5, 1455577200, 0.5, 199, 1455631475, NULL, NULL, 0),
(45744, 158, 7657, 5, 1455577200, 1, 158, 1455632321, NULL, NULL, 0),
(46690, 199, 5714, 4, 1456095600, 1, 199, 1456209754, NULL, NULL, 0),
(45761, 134, 4266, 6, 1455577200, 0.5, 134, 1455640748, NULL, NULL, 0),
(45762, 134, 8794, 6, 1455577200, 0.5, 134, 1455640795, NULL, NULL, 0),
(45764, 199, 5405, 5, 1455490800, 0.5, 199, 1455695368, NULL, NULL, 0),
(45765, 199, 8403, 5, 1455490800, 0.3, 199, 1455695520, NULL, NULL, 0),
(45766, 199, 8403, 5, 1455577200, 0.2, 199, 1455695535, NULL, NULL, 0),
(45774, 93, 8836, 4, 1455490800, 1, 93, 1455704913, NULL, NULL, 0),
(45775, 93, 8836, 4, 1455577200, 1, 93, 1455704925, NULL, NULL, 0),
(46294, 93, 8941, 4, 1455663600, 1, 93, 1455894550, NULL, NULL, 0),
(45780, 116, 1, 1, 1455577200, 0.8, 116, 1455705363, NULL, NULL, 0),
(45781, 116, 8072, 5, 1455577200, 0.2, 116, 1455705384, NULL, NULL, 0),
(45782, 164, 8949, 18, 1455490800, 1, 164, 1455718804, NULL, NULL, 0),
(45783, 164, 8949, 18, 1455577200, 0.75, 164, 1455718820, NULL, NULL, 0),
(45784, 164, 8387, 18, 1455577200, 0.25, 164, 1455718840, NULL, NULL, 0),
(45785, 164, 11032, 18, 1455663600, 0.5, 164, 1455718863, NULL, NULL, 0),
(45786, 164, 1435, 1, 1455663600, 0.25, 164, 1455718880, NULL, NULL, 0),
(45787, 164, 8620, 17, 1455663600, 0.25, 164, 1455718929, NULL, NULL, 0),
(45791, 116, 8798, 5, 1455663600, 1, 116, 1455721888, NULL, NULL, 0),
(45795, 199, 8940, 4, 1455577200, 0.3, 199, 1455724390, NULL, NULL, 0),
(45793, 199, 8403, 5, 1455663600, 0.5, 199, 1455724297, NULL, NULL, 0),
(45794, 199, 5405, 7, 1455663600, 0.25, 199, 1455724326, NULL, NULL, 0),
(45796, 199, 8940, 4, 1455490800, 0.2, 199, 1455724406, NULL, NULL, 0),
(74921, 248, 2, 1, 1475186400, 1, 248, 1475245758, NULL, NULL, 0),
(74917, 248, 2, 1, 1476223200, 1, 248, 1475245725, NULL, NULL, 0),
(74919, 248, 2, 1, 1477432800, 1, 248, 1475245744, NULL, NULL, 0),
(74918, 248, 2, 1, 1476828000, 1, 248, 1475245734, NULL, NULL, 0),
(45853, 158, 7657, 5, 1455663600, 1, 158, 1455785985, NULL, NULL, 0),
(46158, 158, 7657, 5, 1455750000, 0.25, 158, 1455818780, NULL, NULL, 0),
(46519, 199, 1, 1, 1455750000, 0.3, 199, 1456135608, NULL, NULL, 0),
(46160, 158, 8076, 5, 1455750000, 0.75, 158, 1455818901, NULL, NULL, 0),
(46161, 72, 8454, 4, 1455750000, 0.5, 72, 1455863705, NULL, NULL, 0),
(46162, 72, 23791, 1, 1455750000, 0.5, 72, 1455863720, NULL, NULL, 0),
(46163, 72, 23791, 1, 1455836400, 0.5, 72, 1455863732, NULL, NULL, 0),
(46164, 72, 1, 1, 1455836400, 0.5, 72, 1455863744, NULL, NULL, 0),
(46165, 72, 1, 1, 1456182000, 1, 72, 1455863759, NULL, NULL, 0),
(46166, 72, 23791, 1, 1456095600, 1, 72, 1455863772, NULL, NULL, 0),
(46960, 72, 23791, 1, 1456354800, 0.5, 72, 1456471921, NULL, NULL, 0),
(46168, 109, 2, 1, 1459202400, 1, 109, 1455867870, NULL, NULL, 0),
(46169, 109, 2, 1, 1459288800, 1, 109, 1455867870, NULL, NULL, 0),
(46170, 109, 2, 1, 1459375200, 1, 109, 1455867870, NULL, NULL, 0),
(46171, 109, 2, 1, 1459461600, 1, 109, 1455867870, NULL, NULL, 0),
(46172, 109, 2, 1, 1459720800, 1, 109, 1455867917, NULL, NULL, 0),
(46173, 109, 2, 1, 1459807200, 1, 109, 1455867917, NULL, NULL, 0),
(46174, 109, 2, 1, 1459893600, 1, 109, 1455867917, NULL, NULL, 0),
(46175, 109, 2, 1, 1460325600, 1, 109, 1455867964, NULL, NULL, 0),
(46176, 109, 2, 1, 1460412000, 1, 109, 1455867964, NULL, NULL, 0),
(46177, 109, 2, 1, 1460930400, 1, 109, 1455867964, NULL, NULL, 0),
(46178, 109, 2, 1, 1461016800, 1, 109, 1455867964, NULL, NULL, 0),
(46179, 109, 2, 1, 1461535200, 1, 109, 1455867964, NULL, NULL, 0),
(46180, 109, 2, 1, 1461621600, 1, 109, 1455867964, NULL, NULL, 0),
(46181, 109, 2, 1, 1462140000, 1, 109, 1455867964, NULL, NULL, 0),
(46182, 109, 2, 1, 1462226400, 1, 109, 1455867964, NULL, NULL, 0),
(46183, 200, 8454, 4, 1455750000, 0.5, 200, 1455867973, NULL, NULL, 0),
(46184, 200, 8797, 4, 1455750000, 0.5, 200, 1455868023, NULL, NULL, 0),
(46185, 200, 8797, 4, 1455663600, 1, 200, 1455868053, NULL, NULL, 0),
(46186, 200, 8798, 4, 1455577200, 0.5, 200, 1455868107, NULL, NULL, 0),
(46187, 200, 8951, 4, 1455490800, 0.5, 200, 1455868175, NULL, NULL, 0),
(46188, 200, 8951, 4, 1455577200, 0.5, 200, 1455868194, NULL, NULL, 0),
(46189, 200, 8951, 4, 1455836400, 0.5, 200, 1455868216, NULL, NULL, 0),
(46190, 200, 8797, 4, 1455836400, 0.5, 200, 1455868232, NULL, NULL, 0),
(46191, 164, 2, 1, 1470002400, 1, 164, 1455869161, NULL, NULL, 0),
(46192, 164, 2, 1, 1470088800, 1, 164, 1455869161, NULL, NULL, 0),
(46193, 164, 2, 1, 1470175200, 1, 164, 1455869161, NULL, NULL, 0),
(46194, 164, 2, 1, 1470261600, 1, 164, 1455869161, NULL, NULL, 0),
(46195, 164, 2, 1, 1470348000, 1, 164, 1455869161, NULL, NULL, 0),
(46196, 164, 2, 1, 1470607200, 1, 164, 1455869161, NULL, NULL, 0),
(46197, 164, 2, 1, 1470693600, 1, 164, 1455869161, NULL, NULL, 0),
(46198, 164, 2, 1, 1470780000, 1, 164, 1455869161, NULL, NULL, 0),
(46199, 164, 2, 1, 1470866400, 1, 164, 1455869161, NULL, NULL, 0),
(46200, 164, 2, 1, 1470952800, 1, 164, 1455869161, NULL, NULL, 0),
(46201, 164, 2, 1, 1471298400, 1, 164, 1455869161, NULL, NULL, 0),
(46202, 164, 2, 1, 1471384800, 1, 164, 1455869161, NULL, NULL, 0),
(46203, 164, 2, 1, 1471471200, 1, 164, 1455869161, NULL, NULL, 0),
(46204, 164, 2, 1, 1471557600, 1, 164, 1455869161, NULL, NULL, 0),
(46205, 164, 2, 1, 1468533600, 1, 164, 1455869267, NULL, NULL, 0),
(46215, 74, 2, 1, 1460584800, 1, 74, 1455870470, NULL, NULL, 0),
(46216, 74, 2, 1, 1460671200, 1, 74, 1455870470, NULL, NULL, 0),
(46214, 164, 8949, 18, 1455750000, 0.3, 164, 1455869731, NULL, NULL, 0),
(46209, 164, 1435, 1, 1455836400, 0.5, 164, 1455869483, NULL, NULL, 0),
(46210, 164, 1, 1, 1455836400, 0.5, 164, 1455869531, NULL, NULL, 0),
(46211, 164, 8620, 17, 1455750000, 0.5, 164, 1455869545, NULL, NULL, 0),
(46217, 200, 2, 1, 1460325600, 1, 200, 1455870609, NULL, NULL, 0),
(46213, 164, 8620, 18, 1455750000, 0.2, 164, 1455869588, NULL, NULL, 0),
(46218, 74, 8811, 6, 1455577200, 0.5, 74, 1455870957, NULL, NULL, 0),
(46219, 74, 1505, 1, 1455663600, 0.25, 74, 1455871144, NULL, NULL, 0),
(46220, 74, 8643, 4, 1455663600, 0.75, 74, 1455871169, NULL, NULL, 0),
(46222, 74, 8643, 4, 1455750000, 0.5, 74, 1455871219, NULL, NULL, 0),
(46224, 74, 8904, 4, 1455836400, 1, 74, 1455871274, NULL, NULL, 0),
(46295, 93, 8941, 4, 1455750000, 0.75, 93, 1455894575, NULL, NULL, 0),
(46254, 93, 8403, 2, 1455836400, 0.1, 93, 1455876224, NULL, NULL, 0),
(46420, 93, 3888, 2, 1455750000, 0.25, 93, 1456132107, NULL, NULL, 0),
(46261, 212, 2041, 1, 1455490800, 0.5, 212, 1455885568, NULL, NULL, 0),
(46262, 212, 8811, 6, 1455490800, 0.5, 212, 1455886670, NULL, NULL, 0),
(46274, 212, 8363, 4, 1455836400, 1, 212, 1455887999, NULL, NULL, 0),
(46273, 212, 8363, 4, 1455750000, 0.5, 212, 1455887931, NULL, NULL, 0),
(46272, 212, 8363, 4, 1455663600, 1, 212, 1455887874, NULL, NULL, 0),
(46267, 212, 8811, 6, 1455750000, 0.5, 212, 1455887222, NULL, NULL, 0),
(46271, 212, 8363, 4, 1455577200, 0.5, 212, 1455887856, NULL, NULL, 0),
(46275, 212, 2, 1, 1455577200, 0.5, 212, 1455888063, NULL, NULL, 0),
(46278, 146, 7114, 4, 1455836400, 1, 146, 1455890831, NULL, NULL, 0),
(46279, 146, 7114, 4, 1455490800, 1, 146, 1455890847, NULL, NULL, 0),
(46282, 146, 7114, 4, 1455663600, 1, 146, 1455890924, NULL, NULL, 0),
(46281, 146, 7114, 5, 1455577200, 1, 146, 1455890895, NULL, NULL, 0),
(46283, 146, 7114, 5, 1455750000, 1, 146, 1455890946, NULL, NULL, 0),
(46292, 93, 9025, 4, 1455836400, 0.5, 93, 1455894318, NULL, NULL, 0),
(46293, 93, 8797, 2, 1455836400, 0.1, 93, 1455894377, NULL, NULL, 0),
(46296, 93, 8941, 4, 1455836400, 0.2, 93, 1455894606, NULL, NULL, 0),
(46358, 134, 4455, 6, 1455663600, 1, 134, 1455899776, NULL, NULL, 0),
(46360, 134, 4455, 4, 1455750000, 1, 134, 1455899824, NULL, NULL, 0),
(46362, 134, 4455, 6, 1455836400, 0.75, 134, 1455899854, NULL, NULL, 0),
(46363, 134, 1505, 1, 1455836400, 0.25, 134, 1455899884, NULL, NULL, 0),
(46383, 72, 1, 1, 1456441200, 0.5, 72, 1456128059, NULL, NULL, 0),
(46402, 116, 2, 1, 1470002400, 1, 116, 1456131766, NULL, NULL, 0),
(46403, 116, 2, 1, 1470088800, 1, 116, 1456131766, NULL, NULL, 0),
(46404, 116, 2, 1, 1470175200, 1, 116, 1456131766, NULL, NULL, 0),
(46405, 116, 2, 1, 1470261600, 1, 116, 1456131766, NULL, NULL, 0),
(46406, 116, 2, 1, 1470348000, 1, 116, 1456131766, NULL, NULL, 0),
(46407, 116, 2, 1, 1470607200, 1, 116, 1456131766, NULL, NULL, 0),
(46408, 116, 2, 1, 1470693600, 1, 116, 1456131766, NULL, NULL, 0),
(46409, 116, 2, 1, 1470780000, 1, 116, 1456131766, NULL, NULL, 0),
(46410, 116, 2, 1, 1470866400, 1, 116, 1456131766, NULL, NULL, 0),
(46411, 116, 2, 1, 1470952800, 1, 116, 1456131766, NULL, NULL, 0),
(46412, 116, 2, 1, 1471298400, 1, 116, 1456131766, NULL, NULL, 0),
(46413, 116, 2, 1, 1471384800, 1, 116, 1456131766, NULL, NULL, 0),
(46414, 116, 2, 1, 1471471200, 1, 116, 1456131766, NULL, NULL, 0),
(46415, 116, 2, 1, 1471557600, 1, 116, 1456131766, NULL, NULL, 0),
(46416, 116, 2, 1, 1471816800, 1, 116, 1456131766, NULL, NULL, 0),
(46417, 116, 2, 1, 1471903200, 1, 116, 1456131766, NULL, NULL, 0),
(46418, 116, 2, 1, 1471989600, 1, 116, 1456131766, NULL, NULL, 0),
(46419, 93, 3888, 2, 1455836400, 0.1, 93, 1456132089, NULL, NULL, 0),
(46421, 158, 2, 1, 1468188000, 1, 158, 1456132178, NULL, NULL, 0),
(46422, 158, 2, 1, 1468274400, 1, 158, 1456132178, NULL, NULL, 0),
(46423, 158, 2, 1, 1468360800, 1, 158, 1456132178, NULL, NULL, 0),
(46424, 158, 2, 1, 1468533600, 1, 158, 1456132178, NULL, NULL, 0),
(46425, 158, 2, 1, 1468792800, 1, 158, 1456132249, NULL, NULL, 0),
(46426, 158, 2, 1, 1468879200, 1, 158, 1456132249, NULL, NULL, 0),
(46427, 158, 2, 1, 1468965600, 1, 158, 1456132249, NULL, NULL, 0),
(48683, 218, 9344, 5, 1457305200, 1, 218, 1457959889, NULL, NULL, 0),
(46433, 158, 2, 1, 1467583200, 1, 158, 1456132303, NULL, NULL, 0),
(46434, 158, 2, 1, 1467669600, 1, 158, 1456132303, NULL, NULL, 0),
(46435, 158, 2, 1, 1467756000, 1, 158, 1456132303, NULL, NULL, 0),
(46436, 158, 2, 1, 1467842400, 1, 158, 1456132303, NULL, NULL, 0),
(46437, 158, 2, 1, 1467928800, 1, 158, 1456132303, NULL, NULL, 0),
(47732, 147, 2, 1, 1462485600, 1, 147, 1456908298, NULL, NULL, 0),
(47731, 147, 2, 1, 1462312800, 1, 147, 1456908298, NULL, NULL, 0),
(47730, 147, 2, 1, 1461535200, 1, 147, 1456908108, NULL, NULL, 0),
(47729, 158, 8806, 2, 1456786800, 1, 158, 1456908083, NULL, NULL, 0),
(57563, 158, 2, 1, 1465768800, 1, 158, 1465295415, NULL, NULL, 0),
(46612, 146, 1041, 1, 1456095600, 0.5, 72, 1456155375, NULL, NULL, 0),
(46475, 205, 1041, 1, 1456095600, 1, 72, 1456132872, NULL, NULL, 0),
(46476, 2, 1041, 1, 1456095600, 1, 72, 1456132901, NULL, NULL, 0),
(46477, 2, 1041, 1, 1456182000, 1, 72, 1456132901, NULL, NULL, 0),
(46478, 2, 1041, 1, 1456268400, 1, 72, 1456132901, NULL, NULL, 0),
(46513, 200, 8795, 4, 1456095600, 0.3, 200, 1456134241, NULL, NULL, 0),
(46520, 199, 1506, 1, 1455663600, 0.25, 199, 1456135646, NULL, NULL, 0),
(46532, 199, 5714, 5, 1455836400, 0.7, 199, 1456136222, NULL, NULL, 0),
(46847, 164, 8620, 17, 1456182000, 0.5, 164, 1456319274, NULL, NULL, 0),
(46523, 199, 8842, 5, 1455836400, 0.3, 199, 1456135744, NULL, NULL, 0),
(46846, 164, 1435, 1, 1456095600, 0.5, 164, 1456319236, NULL, NULL, 0),
(46525, 199, 8403, 5, 1455750000, 0.2, 199, 1456135772, NULL, NULL, 0),
(46526, 199, 1506, 1, 1455750000, 0.2, 199, 1456135796, NULL, NULL, 0),
(46527, 199, 8842, 5, 1455750000, 0.3, 199, 1456135838, NULL, NULL, 0),
(46528, 199, 8669, 7, 1454886000, 0.2, 199, 1456135877, NULL, NULL, 0),
(46530, 199, 5565, 5, 1454972400, 0.5, 199, 1456136007, NULL, NULL, 0),
(46531, 199, 1506, 1, 1455058800, 0.1, 199, 1456136026, NULL, NULL, 0),
(46533, 199, 5565, 5, 1455058800, 0.4, 199, 1456136397, NULL, NULL, 0),
(46542, 200, 8951, 4, 1456095600, 0.1, 200, 1456146950, NULL, NULL, 0),
(46545, 164, 11032, 18, 1456095600, 0.5, 164, 1456147018, NULL, NULL, 0),
(46550, 200, 8799, 4, 1456095600, 0.3, 200, 1456147890, NULL, NULL, 0),
(46605, 116, 5711, 2, 1456095600, 0.7, 116, 1456155087, NULL, NULL, 0),
(46606, 116, 8800, 5, 1456095600, 0.3, 116, 1456155111, NULL, NULL, 0),
(46607, 146, 1041, 1, 1456095600, 0.5, 72, 1456155325, NULL, NULL, 0),
(46608, 146, 1041, 1, 1456182000, 1, 72, 1456155325, NULL, NULL, 0),
(46609, 146, 1041, 1, 1456268400, 1, 72, 1456155325, NULL, NULL, 0),
(46610, 146, 1041, 1, 1456354800, 1, 72, 1456155325, NULL, NULL, 0),
(46611, 146, 1041, 1, 1456441200, 1, 72, 1456155325, NULL, NULL, 0),
(46707, 93, 9025, 4, 1456095600, 0.75, 93, 1456217355, NULL, NULL, 0),
(46720, 93, 5714, 4, 1456095600, 0.25, 93, 1456217809, NULL, NULL, 0),
(46722, 74, 2, 1, 1462140000, 1, 74, 1456230016, NULL, NULL, 0),
(46723, 74, 2, 1, 1462226400, 1, 74, 1456230016, NULL, NULL, 0),
(46724, 74, 2, 1, 1462312800, 1, 74, 1456230016, NULL, NULL, 0),
(46725, 74, 2, 1, 1462485600, 1, 74, 1456230016, NULL, NULL, 0),
(46726, 74, 2, 1, 1462744800, 1, 74, 1456230016, NULL, NULL, 0),
(46727, 74, 2, 1, 1462831200, 1, 74, 1456230016, NULL, NULL, 0),
(46728, 74, 2, 1, 1462917600, 1, 74, 1456230016, NULL, NULL, 0),
(46729, 74, 2, 1, 1463004000, 1, 74, 1456230016, NULL, NULL, 0),
(46730, 74, 2, 1, 1463090400, 1, 74, 1456230016, NULL, NULL, 0),
(46732, 74, 2, 1, 1463436000, 1, 74, 1456230063, NULL, NULL, 0),
(46733, 74, 2, 1, 1463522400, 1, 74, 1456230063, NULL, NULL, 0),
(46734, 74, 2, 1, 1463608800, 1, 74, 1456230063, NULL, NULL, 0),
(46735, 74, 2, 1, 1463695200, 1, 74, 1456230063, NULL, NULL, 0),
(57050, 212, 10659, 6, 1464645600, 1, 212, 1464765049, NULL, NULL, 0),
(57049, 212, 10659, 6, 1464559200, 0.5, 212, 1464765023, NULL, NULL, 0),
(57046, 74, 2, 1, 1465509600, 1, 74, 1464762758, NULL, NULL, 0),
(57045, 74, 2, 1, 1465423200, 1, 74, 1464762758, NULL, NULL, 0),
(46741, 74, 2, 1, 1470607200, 1, 74, 1456230197, NULL, NULL, 0),
(46742, 74, 2, 1, 1470693600, 1, 74, 1456230197, NULL, NULL, 0),
(46743, 74, 2, 1, 1470780000, 1, 74, 1456230197, NULL, NULL, 0),
(46744, 74, 2, 1, 1470866400, 1, 74, 1456230197, NULL, NULL, 0),
(46745, 74, 2, 1, 1470952800, 1, 74, 1456230197, NULL, NULL, 0),
(46746, 74, 2, 1, 1471298400, 1, 74, 1456230197, NULL, NULL, 0),
(46747, 74, 2, 1, 1471384800, 1, 74, 1456230197, NULL, NULL, 0),
(46748, 74, 2, 1, 1471471200, 1, 74, 1456230197, NULL, NULL, 0),
(46749, 74, 2, 1, 1471557600, 1, 74, 1456230197, NULL, NULL, 0),
(46750, 74, 2, 1, 1471816800, 1, 74, 1456230197, NULL, NULL, 0),
(46751, 74, 2, 1, 1471903200, 1, 74, 1456230197, NULL, NULL, 0),
(46752, 74, 2, 1, 1471989600, 1, 74, 1456230197, NULL, NULL, 0),
(46753, 74, 2, 1, 1472076000, 1, 74, 1456230197, NULL, NULL, 0),
(46754, 74, 2, 1, 1472162400, 1, 74, 1456230197, NULL, NULL, 0),
(46777, 116, 8950, 4, 1456182000, 1, 116, 1456241793, NULL, NULL, 0),
(46780, 157, 8627, 4, 1456182000, 0.5, 157, 1456242290, NULL, NULL, 0),
(46779, 157, 8153, 4, 1456182000, 0.5, 157, 1456242251, NULL, NULL, 0),
(46781, 157, 8403, 4, 1456095600, 0.5, 157, 1456242342, NULL, NULL, 0),
(46782, 157, 8558, 4, 1456095600, 0.5, 157, 1456242373, NULL, NULL, 0),
(46783, 74, 8643, 5, 1456095600, 1, 74, 1456243344, NULL, NULL, 0),
(46784, 74, 8643, 5, 1456182000, 0.25, 74, 1456243367, NULL, NULL, 0),
(46785, 74, 9070, 5, 1456182000, 0.75, 74, 1456243388, NULL, NULL, 0),
(48518, 146, 7113, 5, 1457305200, 1, 146, 1457714687, NULL, NULL, 0),
(48526, 212, 1505, 1, 1457564400, 0.25, 212, 1457714875, NULL, NULL, 0),
(46848, 164, 8620, 18, 1456182000, 0.5, 164, 1456319298, NULL, NULL, 0),
(46853, 164, 1435, 1, 1456268400, 0.25, 164, 1456319410, NULL, NULL, 0),
(46850, 164, 11032, 18, 1456268400, 0.5, 164, 1456319337, NULL, NULL, 0),
(46852, 164, 8387, 17, 1456268400, 0.25, 164, 1456319387, NULL, NULL, 0),
(46863, 72, 1, 1, 1456268400, 0.25, 72, 1456332841, NULL, NULL, 0),
(46864, 72, 23791, 1, 1456268400, 0.75, 72, 1456332853, NULL, NULL, 0),
(46865, 157, 2, 1, 1457046000, 1, 157, 1456383965, NULL, NULL, 0),
(46885, 74, 8713, 5, 1456354800, 0.5, 74, 1456409840, NULL, NULL, 0),
(46886, 74, 1505, 1, 1456268400, 0.25, 74, 1456410207, NULL, NULL, 0),
(46887, 74, 8802, 6, 1456268400, 0.25, 74, 1456410316, NULL, NULL, 0),
(46888, 72, 2, 1, 1459202400, 1, 72, 1456410577, NULL, NULL, 0),
(46889, 72, 2, 1, 1459288800, 1, 72, 1456410577, NULL, NULL, 0),
(46890, 72, 2, 1, 1459375200, 1, 72, 1456410577, NULL, NULL, 0),
(46891, 72, 2, 1, 1459461600, 1, 72, 1456410577, NULL, NULL, 0),
(46935, 158, 8076, 5, 1456095600, 1, 158, 1456418884, NULL, NULL, 0),
(46936, 158, 8076, 5, 1456182000, 1, 158, 1456418911, NULL, NULL, 0),
(46937, 158, 8076, 5, 1456268400, 1, 158, 1456418950, NULL, NULL, 0),
(46944, 157, 8835, 4, 1456354800, 1, 157, 1456467906, NULL, NULL, 0),
(46945, 157, 6189, 6, 1456268400, 0.5, 157, 1456467931, NULL, NULL, 0),
(46946, 157, 8153, 6, 1456268400, 0.5, 157, 1456467954, NULL, NULL, 0),
(46947, 157, 8835, 6, 1456441200, 0.5, 157, 1456467992, NULL, NULL, 0),
(46948, 157, 6189, 6, 1456441200, 0.5, 157, 1456468022, NULL, NULL, 0),
(46950, 199, 5714, 5, 1456182000, 0.5, 199, 1456469310, NULL, NULL, 0),
(46951, 199, 1, 1, 1456182000, 0.5, 199, 1456469325, NULL, NULL, 0),
(46953, 199, 5405, 5, 1456268400, 0.6, 199, 1456469435, NULL, NULL, 0),
(46954, 199, 8842, 5, 1456354800, 0.4, 199, 1456469456, NULL, NULL, 0),
(46955, 199, 5714, 4, 1456354800, 0.1, 199, 1456469499, NULL, NULL, 0),
(46956, 199, 5405, 5, 1456354800, 0.1, 199, 1456469516, NULL, NULL, 0),
(46957, 199, 9071, 5, 1456354800, 0.4, 199, 1456469551, NULL, NULL, 0),
(46958, 199, 5714, 5, 1456268400, 0.4, 199, 1456469571, NULL, NULL, 0),
(46959, 72, 1, 1, 1456354800, 0.5, 72, 1456471897, NULL, NULL, 0),
(46961, 72, 23791, 1, 1456441200, 0.5, 72, 1456471935, NULL, NULL, 0),
(46962, 205, 2, 1, 1456354800, 1, 72, 1456472075, NULL, NULL, 0),
(46963, 205, 2, 1, 1456441200, 1, 72, 1456472075, NULL, NULL, 0),
(46964, 109, 1041, 1, 1456441200, 1, 72, 1456472118, NULL, NULL, 0),
(46975, 93, 8941, 4, 1456354800, 0.3, 93, 1456476889, NULL, NULL, 0),
(46986, 93, 9025, 4, 1456354800, 0.5, 93, 1456477873, NULL, NULL, 0),
(46974, 93, 2041, 1, 1456354800, 0.2, 93, 1456476855, NULL, NULL, 0),
(46980, 93, 8941, 4, 1456268400, 0.3, 93, 1456477453, NULL, NULL, 0),
(46982, 93, 8950, 2, 1456268400, 0.2, 93, 1456477552, NULL, NULL, 0),
(46981, 93, 8950, 2, 1456182000, 0.3, 93, 1456477533, NULL, NULL, 0),
(46983, 93, 8905, 4, 1456182000, 0.7, 93, 1456477665, NULL, NULL, 0),
(46984, 93, 8905, 4, 1456268400, 0.5, 93, 1456477696, NULL, NULL, 0),
(46985, 93, 8905, 4, 1456441200, 1, 93, 1456477783, NULL, NULL, 0),
(47005, 74, 8806, 4, 1456354800, 0.5, 74, 1456481487, NULL, NULL, 0),
(47008, 74, 8811, 6, 1456441200, 0.5, 74, 1456482063, NULL, NULL, 0),
(47009, 164, 6967, 18, 1456354800, 0.75, 164, 1456482220, NULL, NULL, 0),
(47010, 164, 8620, 18, 1456354800, 0.25, 164, 1456482248, NULL, NULL, 0),
(47011, 164, 8949, 18, 1456441200, 0.75, 164, 1456482269, NULL, NULL, 0),
(47012, 164, 8620, 17, 1456441200, 0.25, 164, 1456482286, NULL, NULL, 0),
(47013, 158, 8076, 5, 1456354800, 1, 158, 1456482505, NULL, NULL, 0),
(47183, 74, 8806, 4, 1456441200, 0.5, 74, 1456731074, NULL, NULL, 0),
(47016, 200, 9071, 4, 1456441200, 1, 200, 1456490327, NULL, NULL, 0),
(47017, 200, 9071, 4, 1456354800, 1, 200, 1456490337, NULL, NULL, 0),
(47018, 200, 8797, 4, 1456182000, 1, 200, 1456490366, NULL, NULL, 0),
(47019, 200, 9099, 4, 1456268400, 1, 200, 1456490398, NULL, NULL, 0),
(47020, 200, 8797, 4, 1456095600, 0.3, 200, 1456490420, NULL, NULL, 0),
(47021, 158, 9236, 5, 1456441200, 0.5, 158, 1456491419, NULL, NULL, 0),
(47102, 158, 8806, 2, 1456441200, 0.5, 158, 1456500676, NULL, NULL, 0),
(47168, 169, 8147, 6, 1456095600, 1, 169, 1456505070, NULL, NULL, 0),
(47169, 169, 4278, 4, 1456182000, 1, 169, 1456505127, NULL, NULL, 0),
(47170, 169, 4278, 5, 1456268400, 1, 169, 1456505146, NULL, NULL, 0),
(47171, 169, 4278, 6, 1456354800, 1, 169, 1456505167, NULL, NULL, 0),
(47172, 169, 4278, 6, 1456441200, 0.5, 169, 1456505189, NULL, NULL, 0),
(47175, 2, 9202, 4, 1456441200, 0.25, 2, 1456505976, NULL, NULL, 0),
(47174, 169, 8804, 7, 1456441200, 0.5, 169, 1456505280, NULL, NULL, 0),
(47176, 212, 8363, 6, 1456095600, 1, 212, 1456506703, NULL, NULL, 0),
(47177, 212, 8363, 6, 1456182000, 1, 212, 1456506719, NULL, NULL, 0),
(47178, 212, 8363, 6, 1456268400, 1, 212, 1456506741, NULL, NULL, 0),
(47179, 212, 8363, 6, 1456354800, 1, 212, 1456506768, NULL, NULL, 0),
(47180, 212, 8363, 6, 1456441200, 1, 212, 1456506784, NULL, NULL, 0),
(47181, 199, 8842, 5, 1456441200, 0.25, 199, 1456730805, NULL, NULL, 0),
(47182, 199, 9071, 5, 1456441200, 0.75, 199, 1456730827, NULL, NULL, 0),
(47206, 147, 2, 1, 1456700400, 0.5, 147, 1456737138, NULL, NULL, 0),
(47207, 147, 6153, 4, 1456700400, 0.5, 147, 1456737167, NULL, NULL, 0),
(48128, 2, 23791, 1, 1457046000, 1, 2, 1457351884, NULL, NULL, 0),
(47395, 205, 8926, 4, 1455145200, 0.5, 205, 1456756263, NULL, NULL, 0),
(47396, 205, 9303, 4, 1455145200, 0.5, 205, 1456756695, NULL, NULL, 0),
(47442, 205, 8364, 4, 1455231600, 0.1, 205, 1456758295, NULL, NULL, 0),
(47444, 205, 1505, 1, 1455231600, 0.5, 205, 1456758419, NULL, NULL, 0),
(47474, 205, 9304, 6, 1455231600, 0.4, 205, 1456758670, NULL, NULL, 0),
(47483, 205, 8926, 2, 1455490800, 1, 205, 1456758828, NULL, NULL, 0),
(47484, 205, 8926, 2, 1455577200, 0.5, 205, 1456758859, NULL, NULL, 0),
(47485, 205, 8926, 4, 1455577200, 0.2, 205, 1456758871, NULL, NULL, 0),
(47487, 205, 8454, 2, 1455577200, 0.3, 205, 1456758936, NULL, NULL, 0),
(47488, 205, 1, 1, 1455663600, 1, 205, 1456758967, NULL, NULL, 0),
(47497, 205, 9305, 6, 1455750000, 0.5, 205, 1456759667, NULL, NULL, 0),
(47499, 205, 8454, 4, 1455750000, 0.5, 205, 1456759713, NULL, NULL, 0),
(47503, 205, 1, 1, 1455836400, 0.5, 205, 1456759737, NULL, NULL, 0),
(47506, 205, 8926, 2, 1455836400, 0.5, 205, 1456759766, NULL, NULL, 0),
(47512, 205, 8926, 2, 1456182000, 0.2, 205, 1456759800, NULL, NULL, 0),
(47515, 205, 8551, 2, 1456182000, 0.6, 205, 1456759841, NULL, NULL, 0),
(47516, 116, 9072, 4, 1456700400, 1, 116, 1456759842, NULL, NULL, 0),
(47519, 205, 9236, 4, 1456182000, 0.2, 205, 1456759857, NULL, NULL, 0),
(47522, 205, 2088, 1, 1456268400, 0.4, 205, 1456759881, NULL, NULL, 0),
(47527, 205, 9305, 6, 1456268400, 0.6, 205, 1456759924, NULL, NULL, 0),
(47529, 205, 1505, 1, 1456700400, 0.2, 205, 1456759969, NULL, NULL, 0),
(47530, 205, 8551, 2, 1456700400, 0.2, 205, 1456759988, NULL, NULL, 0),
(47549, 205, 9306, 4, 1456700400, 0.2, 205, 1456760164, NULL, NULL, 0),
(47550, 205, 8926, 2, 1456700400, 0.4, 205, 1456760217, NULL, NULL, 0),
(47578, 158, 8806, 2, 1456700400, 1, 158, 1456821353, NULL, NULL, 0),
(47584, 74, 1, 1, 1457391600, 0.5, 74, 1456822898, NULL, NULL, 0),
(47592, 134, 9202, 4, 1456786800, 0.3, 134, 1456828715, NULL, NULL, 0),
(47593, 134, 9279, 4, 1456786800, 0.2, 134, 1456828774, NULL, NULL, 0),
(47594, 134, 9201, 4, 1456700400, 0.2, 134, 1456828808, NULL, NULL, 0),
(47595, 134, 4455, 4, 1456700400, 0.6, 134, 1456828870, NULL, NULL, 0),
(47596, 134, 4455, 6, 1456700400, 0.2, 134, 1456828888, NULL, NULL, 0),
(47597, 134, 8794, 6, 1456786800, 0.05, 134, 1456829818, NULL, NULL, 0),
(47598, 134, 4266, 6, 1456786800, 0.05, 134, 1456829863, NULL, NULL, 0),
(47610, 199, 9103, 5, 1456786800, 0.3, 199, 1456842705, NULL, NULL, 0),
(47613, 2, 1435, 1, 1456786800, 0.25, 2, 1456845627, NULL, NULL, 0),
(47614, 2, 23791, 1, 1456786800, 0.75, 2, 1456845646, NULL, NULL, 0),
(47859, 2, 23791, 1, 1456700400, 0.75, 2, 1457081506, NULL, NULL, 0),
(47616, 2, 23791, 1, 1456441200, 0.75, 2, 1456845678, NULL, NULL, 0),
(47618, 116, 9072, 4, 1456786800, 0.5, 116, 1456846280, NULL, NULL, 0),
(47619, 116, 8950, 4, 1456786800, 0.5, 116, 1456846297, NULL, NULL, 0),
(47629, 74, 9241, 4, 1456786800, 0.25, 74, 1456847472, NULL, NULL, 0),
(47626, 74, 8802, 4, 1456700400, 0.5, 74, 1456847345, NULL, NULL, 0),
(47628, 74, 9241, 4, 1456700400, 0.5, 74, 1456847448, NULL, NULL, 0),
(47630, 74, 8806, 4, 1456786800, 0.25, 74, 1456847492, NULL, NULL, 0),
(47631, 74, 8811, 6, 1456786800, 0.5, 74, 1456847527, NULL, NULL, 0),
(47713, 157, 8842, 4, 1456700400, 0.5, 157, 1456901346, NULL, NULL, 0),
(47714, 157, 8711, 5, 1456700400, 0.5, 157, 1456901377, NULL, NULL, 0),
(47715, 157, 9309, 5, 1456786800, 0.5, 157, 1456901403, NULL, NULL, 0),
(47716, 157, 8835, 6, 1456786800, 0.5, 157, 1456901432, NULL, NULL, 0),
(47717, 157, 9310, 6, 1456873200, 0.5, 157, 1456901454, NULL, NULL, 0),
(47718, 157, 9311, 4, 1456873200, 0.5, 157, 1456901484, NULL, NULL, 0),
(47719, 157, 9311, 4, 1456959600, 1, 157, 1456901511, NULL, NULL, 0),
(47720, 147, 6153, 4, 1456786800, 1, 147, 1456906457, NULL, NULL, 0),
(47721, 147, 2, 1, 1459720800, 1, 147, 1456906563, NULL, NULL, 0),
(47722, 147, 2, 1, 1459807200, 1, 147, 1456906563, NULL, NULL, 0),
(47723, 147, 2, 1, 1459893600, 1, 147, 1456906563, NULL, NULL, 0),
(47724, 147, 2, 1, 1459980000, 1, 147, 1456906563, NULL, NULL, 0),
(47725, 147, 2, 1, 1460066400, 1, 147, 1456906563, NULL, NULL, 0),
(47728, 158, 2, 1, 1462485600, 1, 158, 1456907621, NULL, NULL, 0),
(47743, 134, 6059, 4, 1456873200, 0.4, 134, 1456912495, NULL, NULL, 0),
(47744, 134, 6059, 4, 1456786800, 0.4, 134, 1456912529, NULL, NULL, 0),
(47749, 158, 8806, 2, 1456873200, 0.5, 158, 1456916164, NULL, NULL, 0),
(47751, 109, 2, 1, 1458687600, 1, 109, 1456927212, NULL, NULL, 0),
(47754, 205, 8926, 2, 1456786800, 0.4, 205, 1456931424, NULL, NULL, 0),
(47755, 205, 8551, 4, 1456786800, 0.6, 205, 1456931449, NULL, NULL, 0),
(47756, 205, 8926, 4, 1456873200, 0.2, 205, 1456931484, NULL, NULL, 0),
(47757, 205, 9320, 4, 1456873200, 0.8, 205, 1456931607, NULL, NULL, 0),
(47759, 116, 8798, 7, 1456873200, 0.5, 116, 1456933263, NULL, NULL, 0),
(47760, 116, 8362, 5, 1456873200, 0.5, 116, 1456933286, NULL, NULL, 0),
(47761, 93, 8905, 5, 1456700400, 1, 93, 1456995534, NULL, NULL, 0),
(47762, 93, 8905, 5, 1456786800, 1, 93, 1456995545, NULL, NULL, 0),
(47765, 93, 8905, 5, 1456873200, 0.7, 93, 1456995595, NULL, NULL, 0),
(47764, 93, 8905, 4, 1456873200, 0.3, 93, 1456995580, NULL, NULL, 0),
(48363, 56, 1, 1, 1454367600, 0.75, 56, 1457647819, NULL, NULL, 0),
(48364, 56, 1, 1, 1454454000, 0.75, 56, 1457647840, NULL, NULL, 0),
(48368, 56, 1, 1, 1454626800, 0.75, 56, 1457647979, NULL, NULL, 0),
(47773, 56, 1, 1, 1454972400, 1, 56, 1457000593, NULL, NULL, 0),
(47774, 56, 1, 1, 1455058800, 1, 56, 1457000593, NULL, NULL, 0),
(47775, 56, 1, 1, 1455145200, 1, 56, 1457000593, NULL, NULL, 0),
(47776, 56, 1, 1, 1455231600, 1, 56, 1457000593, NULL, NULL, 0),
(47777, 56, 1, 1, 1455490800, 1, 56, 1457000593, NULL, NULL, 0),
(47778, 56, 1, 1, 1455577200, 1, 56, 1457000593, NULL, NULL, 0),
(47779, 56, 1, 1, 1455663600, 1, 56, 1457000593, NULL, NULL, 0),
(47780, 56, 1, 1, 1455750000, 1, 56, 1457000593, NULL, NULL, 0),
(47781, 56, 1, 1, 1455836400, 1, 56, 1457000593, NULL, NULL, 0),
(47782, 56, 1, 1, 1456095600, 1, 56, 1457000593, NULL, NULL, 0),
(47783, 56, 1, 1, 1456182000, 1, 56, 1457000593, NULL, NULL, 0),
(47784, 56, 1, 1, 1456268400, 1, 56, 1457000593, NULL, NULL, 0),
(47785, 56, 1, 1, 1456354800, 1, 56, 1457000593, NULL, NULL, 0),
(47786, 56, 1, 1, 1456441200, 1, 56, 1457000593, NULL, NULL, 0),
(47787, 56, 1, 1, 1456700400, 1, 56, 1457000593, NULL, NULL, 0),
(47788, 56, 1, 1, 1456786800, 1, 56, 1457000593, NULL, NULL, 0),
(47790, 56, 1, 1, 1456959600, 1, 56, 1457000593, NULL, NULL, 0),
(47793, 56, 1, 1, 1456873200, 0.5, 56, 1457002629, NULL, NULL, 0),
(47794, 164, 8387, 17, 1456700400, 1, 164, 1457014796, NULL, NULL, 0),
(47795, 164, 8387, 17, 1456786800, 1, 164, 1457014806, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(47798, 164, 8620, 18, 1456873200, 0.5, 164, 1457014911, NULL, NULL, 0),
(47799, 164, 6967, 18, 1456873200, 0.25, 164, 1457014923, NULL, NULL, 0),
(47800, 164, 8620, 18, 1456959600, 1, 164, 1457014950, NULL, NULL, 0),
(47801, 164, 8620, 18, 1456873200, 0.25, 164, 1457014977, NULL, NULL, 0),
(47822, 74, 1505, 1, 1456873200, 0.25, 74, 1457078140, NULL, NULL, 0),
(47823, 74, 9241, 5, 1456873200, 0.75, 74, 1457078184, NULL, NULL, 0),
(47824, 74, 9099, 4, 1456959600, 0.75, 74, 1457078251, NULL, NULL, 0),
(47826, 74, 8811, 6, 1456959600, 0.25, 74, 1457078293, NULL, NULL, 0),
(47827, 134, 8796, 5, 1456873200, 0.6, 134, 1457078312, NULL, NULL, 0),
(47828, 134, 8796, 5, 1456959600, 1, 134, 1457078330, NULL, NULL, 0),
(47829, 134, 8796, 5, 1457046000, 1, 134, 1457078369, NULL, NULL, 0),
(47834, 199, 8840, 7, 1456959600, 0.25, 199, 1457078751, NULL, NULL, 0),
(47831, 199, 5713, 5, 1456873200, 0.5, 199, 1457078506, NULL, NULL, 0),
(47833, 199, 8558, 7, 1456959600, 0.5, 199, 1457078578, NULL, NULL, 0),
(47835, 200, 9102, 4, 1456700400, 1, 200, 1457079185, NULL, NULL, 0),
(47836, 200, 8797, 4, 1456786800, 0.4, 200, 1457079222, NULL, NULL, 0),
(47837, 200, 8797, 4, 1456873200, 0.6, 200, 1457079237, NULL, NULL, 0),
(47838, 200, 8795, 4, 1456786800, 0.3, 200, 1457079271, NULL, NULL, 0),
(47839, 200, 9099, 4, 1456959600, 1, 200, 1457079424, NULL, NULL, 0),
(47840, 199, 8842, 5, 1456700400, 0.5, 199, 1457079433, NULL, NULL, 0),
(47841, 200, 9099, 4, 1457046000, 0.5, 200, 1457079441, NULL, NULL, 0),
(47842, 199, 8842, 5, 1456873200, 0.5, 199, 1457079467, NULL, NULL, 0),
(47843, 200, 8795, 4, 1456873200, 0.4, 200, 1457079489, NULL, NULL, 0),
(47844, 200, 8799, 4, 1456786800, 0.3, 200, 1457079565, NULL, NULL, 0),
(47845, 200, 8799, 4, 1457046000, 0.5, 200, 1457079592, NULL, NULL, 0),
(47846, 217, 1400, 1, 1456786800, 1, 217, 1457080796, NULL, NULL, 0),
(47856, 2, 8840, 4, 1456959600, 0.25, 2, 1457081397, NULL, NULL, 0),
(47848, 217, 1400, 1, 1456873200, 1, 217, 1457080814, NULL, NULL, 0),
(47849, 217, 1400, 1, 1456959600, 1, 217, 1457080823, NULL, NULL, 0),
(47850, 2, 23791, 1, 1456873200, 1, 2, 1457080932, NULL, NULL, 0),
(47851, 2, 23791, 1, 1456959600, 0.5, 2, 1457080938, NULL, NULL, 0),
(47853, 158, 9318, 5, 1456873200, 0.5, 158, 1457081179, NULL, NULL, 0),
(47854, 158, 9318, 5, 1456959600, 1, 158, 1457081210, NULL, NULL, 0),
(47857, 2, 23791, 1, 1456959600, 0.25, 2, 1457081406, NULL, NULL, 0),
(47858, 2, 8842, 4, 1456700400, 0.25, 2, 1457081490, NULL, NULL, 0),
(47860, 217, 2, 1, 1456700400, 1, 217, 1457083735, NULL, NULL, 0),
(47883, 218, 1436, 1, 1453071600, 1, 218, 1457086546, NULL, NULL, 0),
(47884, 218, 1436, 1, 1453158000, 1, 218, 1457086575, NULL, NULL, 0),
(47886, 218, 1436, 1, 1453244400, 1, 218, 1457086587, NULL, NULL, 0),
(47887, 218, 1436, 1, 1453330800, 1, 218, 1457086609, NULL, NULL, 0),
(47888, 218, 1436, 1, 1453417200, 1, 218, 1457086616, NULL, NULL, 0),
(47889, 217, 1436, 1, 1454886000, 1, 217, 1457086629, NULL, NULL, 0),
(47890, 217, 1041, 1, 1454972400, 1, 217, 1457086641, NULL, NULL, 0),
(47891, 217, 1041, 1, 1455058800, 1, 217, 1457086650, NULL, NULL, 0),
(47892, 217, 1436, 1, 1455145200, 1, 217, 1457086678, NULL, NULL, 0),
(47893, 217, 1436, 1, 1455231600, 1, 217, 1457086684, NULL, NULL, 0),
(47894, 218, 1436, 1, 1453676400, 1, 218, 1457086703, NULL, NULL, 0),
(47895, 218, 1436, 1, 1453762800, 1, 218, 1457086779, NULL, NULL, 0),
(47896, 218, 1436, 1, 1453849200, 1, 218, 1457086796, NULL, NULL, 0),
(47897, 218, 9343, 4, 1453935600, 1, 218, 1457087034, NULL, NULL, 0),
(47898, 218, 9344, 5, 1454022000, 1, 218, 1457087435, NULL, NULL, 0),
(47899, 217, 8928, 4, 1455490800, 1, 217, 1457087611, NULL, NULL, 0),
(47900, 217, 1436, 1, 1455577200, 1, 217, 1457087678, NULL, NULL, 0),
(47901, 217, 1436, 1, 1455663600, 1, 217, 1457087687, NULL, NULL, 0),
(47902, 217, 1436, 1, 1455750000, 1, 217, 1457087698, NULL, NULL, 0),
(47903, 217, 1436, 1, 1455836400, 1, 217, 1457087702, NULL, NULL, 0),
(47904, 218, 9344, 5, 1454281200, 1, 218, 1457087732, NULL, NULL, 0),
(47905, 218, 9344, 5, 1454367600, 1, 218, 1457087766, NULL, NULL, 0),
(47906, 218, 9344, 5, 1454454000, 1, 218, 1457087797, NULL, NULL, 0),
(47907, 217, 9305, 6, 1457046000, 1, 217, 1457087884, NULL, NULL, 0),
(47908, 217, 9305, 6, 1456095600, 1, 217, 1457087918, NULL, NULL, 0),
(47909, 217, 9236, 6, 1456182000, 1, 217, 1457087971, NULL, NULL, 0),
(47910, 217, 9305, 6, 1456268400, 1, 217, 1457088043, NULL, NULL, 0),
(47911, 218, 8927, 4, 1454540400, 1, 218, 1457088053, NULL, NULL, 0),
(47912, 217, 9305, 6, 1456354800, 1, 217, 1457088070, NULL, NULL, 0),
(47913, 217, 9305, 6, 1456441200, 1, 217, 1457088081, NULL, NULL, 0),
(47915, 218, 9344, 5, 1454626800, 1, 218, 1457088206, NULL, NULL, 0),
(47916, 217, 2, 1, 1460325600, 1, 217, 1457088314, NULL, NULL, 0),
(47917, 217, 2, 1, 1460412000, 1, 217, 1457088314, NULL, NULL, 0),
(47918, 217, 2, 1, 1460498400, 1, 217, 1457088314, NULL, NULL, 0),
(47919, 217, 2, 1, 1460584800, 1, 217, 1457088314, NULL, NULL, 0),
(47920, 217, 2, 1, 1460671200, 1, 217, 1457088314, NULL, NULL, 0),
(47926, 93, 8905, 4, 1456959600, 0.2, 93, 1457092527, NULL, NULL, 0),
(47927, 93, 8941, 4, 1456959600, 0.4, 93, 1457092585, NULL, NULL, 0),
(47928, 93, 9025, 4, 1456959600, 0.4, 93, 1457092619, NULL, NULL, 0),
(47929, 218, 9344, 5, 1454886000, 1, 218, 1457097336, NULL, NULL, 0),
(47930, 218, 9344, 5, 1454972400, 1, 218, 1457097400, NULL, NULL, 0),
(47931, 218, 9344, 5, 1455058800, 1, 218, 1457097451, NULL, NULL, 0),
(47932, 218, 9344, 5, 1455145200, 1, 218, 1457097484, NULL, NULL, 0),
(47933, 218, 9320, 5, 1455231600, 1, 218, 1457097711, NULL, NULL, 0),
(47937, 218, 9344, 5, 1455577200, 1, 218, 1457098029, NULL, NULL, 0),
(47936, 218, 9344, 5, 1455490800, 1, 218, 1457097839, NULL, NULL, 0),
(47938, 218, 9344, 5, 1455663600, 1, 218, 1457098047, NULL, NULL, 0),
(47939, 218, 9344, 5, 1455750000, 1, 218, 1457098069, NULL, NULL, 0),
(47940, 218, 9344, 5, 1455836400, 1, 218, 1457098089, NULL, NULL, 0),
(47941, 218, 9344, 5, 1456095600, 1, 218, 1457098117, NULL, NULL, 0),
(47942, 218, 9344, 5, 1456182000, 1, 218, 1457098141, NULL, NULL, 0),
(47943, 218, 9344, 5, 1456268400, 1, 218, 1457098207, NULL, NULL, 0),
(47944, 218, 9344, 5, 1456354800, 1, 218, 1457098232, NULL, NULL, 0),
(47945, 218, 9344, 5, 1456441200, 1, 218, 1457098279, NULL, NULL, 0),
(47946, 218, 9344, 5, 1456700400, 1, 218, 1457098332, NULL, NULL, 0),
(47947, 218, 9344, 5, 1456786800, 1, 218, 1457098351, NULL, NULL, 0),
(47948, 218, 9344, 5, 1456873200, 1, 218, 1457098369, NULL, NULL, 0),
(47951, 218, 9344, 5, 1456959600, 1, 218, 1457098390, NULL, NULL, 0),
(47953, 218, 9344, 5, 1457046000, 1, 218, 1457098410, NULL, NULL, 0),
(47956, 218, 2, 1, 1458860400, 1, 218, 1457098742, NULL, NULL, 0),
(47957, 218, 2, 1, 1459202400, 1, 218, 1457098742, NULL, NULL, 0),
(47958, 218, 2, 1, 1459288800, 0.5, 218, 1457098882, NULL, NULL, 0),
(53819, 164, 11032, 18, 1461708000, 0.5, 164, 1461761166, NULL, NULL, 0),
(53817, 164, 8949, 18, 1461708000, 0.5, 164, 1461761101, NULL, NULL, 0),
(47970, 74, 1, 1, 1457305200, 0.5, 74, 1457099724, NULL, NULL, 0),
(48001, 169, 8804, 4, 1456786800, 1, 169, 1457108719, NULL, NULL, 0),
(48002, 169, 8804, 5, 1456873200, 1, 169, 1457108742, NULL, NULL, 0),
(48003, 169, 4278, 7, 1456959600, 1, 169, 1457108812, NULL, NULL, 0),
(48004, 169, 4278, 7, 1457046000, 0.5, 169, 1457108840, NULL, NULL, 0),
(48005, 169, 8800, 4, 1457046000, 0.5, 169, 1457108970, NULL, NULL, 0),
(48006, 169, 8804, 4, 1456700400, 1, 169, 1457109034, NULL, NULL, 0),
(48008, 72, 23791, 1, 1456700400, 1, 72, 1457110557, NULL, NULL, 0),
(48009, 72, 23791, 1, 1456786800, 1, 72, 1457110557, NULL, NULL, 0),
(48010, 72, 23791, 1, 1456873200, 1, 72, 1457110557, NULL, NULL, 0),
(48011, 72, 23791, 1, 1456959600, 1, 72, 1457110557, NULL, NULL, 0),
(48012, 72, 23791, 1, 1457046000, 1, 72, 1457110557, NULL, NULL, 0),
(48013, 72, 2, 1, 1457650800, 1, 72, 1457336145, NULL, NULL, 0),
(48014, 72, 2, 1, 1459720800, 1, 72, 1457336173, NULL, NULL, 0),
(48015, 212, 8363, 6, 1456700400, 1, 212, 1457338025, NULL, NULL, 0),
(48016, 212, 8363, 6, 1456786800, 1, 212, 1457338042, NULL, NULL, 0),
(48017, 212, 8363, 6, 1456873200, 1, 212, 1457338063, NULL, NULL, 0),
(48018, 212, 8363, 6, 1456959600, 1, 212, 1457338105, NULL, NULL, 0),
(48020, 212, 8363, 6, 1457046000, 1, 212, 1457338121, NULL, NULL, 0),
(48022, 147, 6153, 5, 1457305200, 1, 147, 1457338447, NULL, NULL, 0),
(48025, 147, 6153, 5, 1456873200, 1, 147, 1457338511, NULL, NULL, 0),
(48026, 147, 6153, 5, 1456959600, 1, 147, 1457338528, NULL, NULL, 0),
(48027, 147, 6153, 5, 1457046000, 1, 147, 1457338540, NULL, NULL, 0),
(48059, 134, 2, 1, 1468533600, 1, 134, 1457339979, NULL, NULL, 0),
(48070, 217, 9305, 6, 1457305200, 1, 217, 1457340125, NULL, NULL, 0),
(48101, 146, 7114, 5, 1456700400, 1, 146, 1457342038, NULL, NULL, 0),
(48102, 146, 7114, 5, 1456786800, 1, 146, 1457342053, NULL, NULL, 0),
(48103, 146, 7114, 5, 1456873200, 1, 146, 1457342066, NULL, NULL, 0),
(48104, 146, 7114, 5, 1456959600, 1, 146, 1457342077, NULL, NULL, 0),
(48105, 146, 7114, 5, 1457046000, 1, 146, 1457342086, NULL, NULL, 0),
(48129, 72, 23791, 1, 1457305200, 1, 72, 1457352271, NULL, NULL, 0),
(48130, 164, 6967, 18, 1457046000, 0.75, 164, 1457352278, NULL, NULL, 0),
(48131, 164, 8949, 17, 1457046000, 0.25, 164, 1457352369, NULL, NULL, 0),
(48132, 164, 8949, 17, 1457305200, 0.5, 164, 1457352390, NULL, NULL, 0),
(48133, 158, 9318, 5, 1457046000, 0.8, 158, 1457354303, NULL, NULL, 0),
(48134, 158, 9318, 5, 1457046000, 0.05, 158, 1457354320, NULL, NULL, 0),
(48135, 74, 8806, 4, 1457046000, 1, 74, 1457357276, NULL, NULL, 0),
(48163, 199, 9103, 5, 1456700400, 0.5, 199, 1457370001, NULL, NULL, 0),
(48165, 199, 5713, 5, 1456959600, 0.25, 199, 1457370150, NULL, NULL, 0),
(48167, 199, 5714, 5, 1457046000, 1, 199, 1457370288, NULL, NULL, 0),
(48238, 217, 9305, 6, 1457478000, 1, 217, 1457516591, NULL, NULL, 0),
(48178, 158, 2, 1, 1457478000, 1, 158, 1457426388, NULL, NULL, 0),
(48179, 158, 9318, 5, 1457305200, 1, 158, 1457426468, NULL, NULL, 0),
(48180, 2, 9444, 4, 1457305200, 0.5, 2, 1457426490, NULL, NULL, 0),
(48181, 2, 23791, 1, 1457305200, 0.5, 2, 1457426521, NULL, NULL, 0),
(48184, 157, 9308, 4, 1457305200, 0.5, 157, 1457440983, NULL, NULL, 0),
(48183, 164, 1436, 1, 1457305200, 0.5, 164, 1457432446, NULL, NULL, 0),
(48185, 157, 8842, 4, 1457305200, 0.5, 157, 1457441052, NULL, NULL, 0),
(48186, 157, 8842, 4, 1457391600, 1, 157, 1457441067, NULL, NULL, 0),
(48187, 157, 2, 1, 1471816800, 1, 157, 1457441123, NULL, NULL, 0),
(48188, 157, 2, 1, 1471903200, 1, 157, 1457441131, NULL, NULL, 0),
(48189, 157, 2, 1, 1471989600, 1, 157, 1457441135, NULL, NULL, 0),
(48190, 157, 2, 1, 1472076000, 1, 157, 1457441138, NULL, NULL, 0),
(48191, 157, 2, 1, 1472162400, 1, 157, 1457441141, NULL, NULL, 0),
(49407, 147, 2, 1, 1460498400, 1, 147, 1458549660, NULL, NULL, 0),
(53205, 147, 2, 1, 1465768800, 0.5, 147, 1461327868, NULL, NULL, 0),
(49408, 147, 2, 1, 1460584800, 1, 147, 1458549660, NULL, NULL, 0),
(48196, 158, 8076, 2, 1457391600, 0.1, 158, 1457443527, NULL, NULL, 0),
(48225, 158, 8076, 2, 1457391600, 0.05, 158, 1457455517, NULL, NULL, 0),
(48198, 74, 1, 1, 1458082800, 1, 74, 1457445186, NULL, NULL, 0),
(48201, 134, 8796, 5, 1457305200, 1, 134, 1457453897, NULL, NULL, 0),
(48202, 134, 8796, 5, 1457391600, 1, 134, 1457453912, NULL, NULL, 0),
(48217, 93, 5714, 2, 1457046000, 0.25, 93, 1457454843, NULL, NULL, 0),
(48218, 93, 8941, 4, 1457046000, 0.1, 93, 1457454946, NULL, NULL, 0),
(48219, 93, 9025, 4, 1457046000, 0.25, 93, 1457454985, NULL, NULL, 0),
(49530, 93, 8905, 6, 1457046000, 0.4, 93, 1458574974, NULL, NULL, 0),
(48222, 93, 9451, 4, 1457305200, 1, 93, 1457455340, NULL, NULL, 0),
(48223, 93, 9451, 4, 1457391600, 1, 93, 1457455353, NULL, NULL, 0),
(48516, 158, 1436, 1, 1457046000, 0.1, 158, 1457714543, NULL, NULL, 0),
(48226, 158, 9318, 5, 1457391600, 0.6, 158, 1457455547, NULL, NULL, 0),
(48237, 217, 9305, 6, 1457391600, 0.5, 217, 1457516569, NULL, NULL, 0),
(48240, 217, 2, 1, 1457391600, 0.5, 217, 1457516632, NULL, NULL, 0),
(48241, 164, 1436, 1, 1457391600, 0.3, 164, 1457516866, NULL, NULL, 0),
(48242, 164, 8949, 17, 1457391600, 0.7, 164, 1457516875, NULL, NULL, 0),
(48243, 164, 11032, 18, 1457478000, 0.5, 164, 1457516896, NULL, NULL, 0),
(48244, 164, 8949, 17, 1457478000, 0.25, 164, 1457516928, NULL, NULL, 0),
(48245, 164, 8387, 17, 1457478000, 0.25, 164, 1457516945, NULL, NULL, 0),
(48253, 157, 9311, 5, 1457478000, 1, 157, 1457539374, NULL, NULL, 0),
(48261, 93, 8942, 5, 1457478000, 0.5, 93, 1457604506, NULL, NULL, 0),
(48262, 93, 9026, 5, 1457478000, 0.5, 93, 1457604538, NULL, NULL, 0),
(48263, 93, 9026, 5, 1457564400, 0.5, 93, 1457604587, NULL, NULL, 0),
(48264, 93, 8942, 5, 1457564400, 0.5, 93, 1457604607, NULL, NULL, 0),
(48267, 217, 9305, 6, 1457650800, 1, 217, 1457604840, NULL, NULL, 0),
(48266, 217, 9305, 6, 1457564400, 1, 217, 1457604797, NULL, NULL, 0),
(48271, 109, 2, 1, 1457564400, 0.5, 109, 1457612388, NULL, NULL, 0),
(48332, 72, 23791, 1, 1457391600, 1, 72, 1457621917, NULL, NULL, 0),
(48333, 72, 23791, 1, 1457478000, 1, 72, 1457621921, NULL, NULL, 0),
(48335, 72, 23791, 1, 1457564400, 1, 72, 1457621927, NULL, NULL, 0),
(48336, 72, 23791, 1, 1457910000, 0.5, 72, 1457621978, NULL, NULL, 0),
(48408, 147, 6153, 5, 1457478000, 1, 147, 1457690992, NULL, NULL, 0),
(48359, 56, 1, 1, 1454281200, 0.75, 56, 1457647627, NULL, NULL, 0),
(48370, 157, 9311, 5, 1457564400, 1, 157, 1457677358, NULL, NULL, 0),
(48371, 157, 9493, 4, 1457650800, 1, 157, 1457677878, NULL, NULL, 0),
(48374, 199, 9494, 5, 1457305200, 0.3, 199, 1457682957, NULL, NULL, 0),
(48375, 199, 9495, 5, 1457305200, 0.3, 199, 1457683183, NULL, NULL, 0),
(48378, 74, 8811, 6, 1457564400, 1, 74, 1457683815, NULL, NULL, 0),
(48377, 199, 9496, 5, 1457305200, 0.4, 199, 1457683441, NULL, NULL, 0),
(48379, 74, 1505, 1, 1457478000, 0.5, 74, 1457683851, NULL, NULL, 0),
(48380, 74, 8811, 6, 1457478000, 0.5, 74, 1457684245, NULL, NULL, 0),
(48381, 74, 8811, 6, 1457391600, 0.5, 74, 1457684260, NULL, NULL, 0),
(48382, 74, 9098, 4, 1457305200, 0.5, 74, 1457684507, NULL, NULL, 0),
(48383, 200, 9099, 4, 1457305200, 1, 200, 1457686272, NULL, NULL, 0),
(48384, 200, 9099, 4, 1457564400, 1, 200, 1457686304, NULL, NULL, 0),
(48385, 200, 8797, 4, 1457391600, 0.2, 200, 1457686707, NULL, NULL, 0),
(48386, 200, 8951, 4, 1457391600, 0.2, 200, 1457686730, NULL, NULL, 0),
(48387, 200, 8795, 4, 1457391600, 0.2, 200, 1457686758, NULL, NULL, 0),
(48389, 134, 8796, 6, 1457650800, 1, 134, 1457687819, NULL, NULL, 0),
(48390, 134, 8796, 6, 1457478000, 1, 134, 1457687840, NULL, NULL, 0),
(48391, 134, 8796, 5, 1457564400, 1, 134, 1457687855, NULL, NULL, 0),
(48394, 200, 1400, 1, 1457391600, 0.4, 200, 1457688015, NULL, NULL, 0),
(48395, 200, 8800, 4, 1457478000, 0.2, 200, 1457688062, NULL, NULL, 0),
(48396, 200, 8804, 2, 1457478000, 0.2, 200, 1457688094, NULL, NULL, 0),
(48397, 200, 8797, 2, 1457478000, 0.2, 200, 1457688105, NULL, NULL, 0),
(48398, 200, 1400, 1, 1457478000, 0.1, 200, 1457688128, NULL, NULL, 0),
(48399, 200, 8795, 2, 1457478000, 0.1, 200, 1457688147, NULL, NULL, 0),
(48400, 200, 4278, 2, 1457478000, 0.1, 200, 1457688183, NULL, NULL, 0),
(48401, 200, 9099, 4, 1457478000, 0.1, 200, 1457688204, NULL, NULL, 0),
(48402, 200, 9099, 4, 1457650800, 0.2, 200, 1457688220, NULL, NULL, 0),
(48406, 200, 9452, 4, 1457650800, 0.8, 200, 1457688401, NULL, NULL, 0),
(48407, 147, 6153, 5, 1457391600, 1, 147, 1457690975, NULL, NULL, 0),
(48409, 147, 6153, 5, 1457564400, 1, 147, 1457691013, NULL, NULL, 0),
(48442, 164, 1436, 1, 1457564400, 1, 164, 1457702247, NULL, NULL, 0),
(48451, 169, 8800, 4, 1457305200, 1, 169, 1457703317, NULL, NULL, 0),
(48452, 169, 8800, 4, 1457391600, 1, 169, 1457703338, NULL, NULL, 0),
(48449, 164, 8949, 17, 1457650800, 0.5, 164, 1457702342, NULL, NULL, 0),
(48453, 169, 8800, 5, 1457478000, 0.5, 169, 1457703364, NULL, NULL, 0),
(48454, 169, 4278, 4, 1457478000, 0.5, 169, 1457703418, NULL, NULL, 0),
(48455, 93, 8942, 5, 1457650800, 0.5, 93, 1457703480, NULL, NULL, 0),
(48456, 93, 8942, 5, 1457650800, 0.5, 93, 1457703493, NULL, NULL, 0),
(48458, 169, 8804, 6, 1457564400, 0.5, 169, 1457703566, NULL, NULL, 0),
(48459, 169, 8800, 5, 1457564400, 0.5, 169, 1457703605, NULL, NULL, 0),
(48460, 169, 8804, 6, 1457650800, 1, 169, 1457703653, NULL, NULL, 0),
(48461, 158, 9318, 5, 1457564400, 0.9, 158, 1457705062, NULL, NULL, 0),
(48462, 158, 1505, 1, 1457564400, 0.1, 158, 1457705100, NULL, NULL, 0),
(48470, 2, 23791, 1, 1457391600, 1, 2, 1457709579, NULL, NULL, 0),
(48471, 2, 23791, 1, 1457478000, 1, 2, 1457709582, NULL, NULL, 0),
(48472, 2, 23791, 1, 1457564400, 1, 2, 1457709586, NULL, NULL, 0),
(48473, 2, 23791, 1, 1457650800, 1, 2, 1457709590, NULL, NULL, 0),
(48474, 199, 9512, 5, 1457478000, 0.5, 199, 1457710820, NULL, NULL, 0),
(48477, 199, 9512, 5, 1457564400, 0.25, 199, 1457710956, NULL, NULL, 0),
(48478, 199, 9510, 5, 1457391600, 0.25, 199, 1457711030, NULL, NULL, 0),
(48480, 199, 9511, 5, 1457391600, 0.25, 199, 1457711049, NULL, NULL, 0),
(48481, 199, 9513, 5, 1457391600, 0.5, 199, 1457711079, NULL, NULL, 0),
(48483, 199, 9514, 5, 1457564400, 0.5, 199, 1457711106, NULL, NULL, 0),
(48485, 199, 9516, 5, 1457564400, 0.25, 199, 1457711134, NULL, NULL, 0),
(48491, 199, 9511, 5, 1457650800, 0.2, 199, 1457711267, NULL, NULL, 0),
(48487, 199, 9513, 5, 1457478000, 0.5, 199, 1457711180, NULL, NULL, 0),
(48488, 199, 9512, 5, 1457650800, 0.2, 199, 1457711199, NULL, NULL, 0),
(48489, 199, 9510, 5, 1457650800, 0.2, 199, 1457711211, NULL, NULL, 0),
(48490, 199, 9514, 5, 1457650800, 0.2, 199, 1457711229, NULL, NULL, 0),
(48492, 199, 9513, 5, 1457650800, 0.2, 199, 1457711276, NULL, NULL, 0),
(48511, 212, 8802, 4, 1457305200, 0.5, 212, 1457714119, NULL, NULL, 0),
(48512, 212, 8363, 6, 1457305200, 0.5, 212, 1457714224, NULL, NULL, 0),
(48513, 212, 8363, 6, 1457391600, 0.75, 212, 1457714303, NULL, NULL, 0),
(48514, 212, 1436, 1, 1457391600, 0.25, 212, 1457714473, NULL, NULL, 0),
(48515, 158, 1436, 1, 1457391600, 0.25, 158, 1457714483, NULL, NULL, 0),
(48517, 158, 1436, 1, 1457046000, 0.05, 158, 1457714548, NULL, NULL, 0),
(48529, 146, 7113, 5, 1457564400, 0.1, 146, 1457714923, NULL, NULL, 0),
(48521, 146, 7113, 5, 1457478000, 1, 146, 1457714709, NULL, NULL, 0),
(48523, 212, 8802, 4, 1457478000, 0.25, 212, 1457714752, NULL, NULL, 0),
(48524, 146, 7113, 5, 1457650800, 1, 146, 1457714755, NULL, NULL, 0),
(48525, 212, 8363, 6, 1457478000, 0.75, 212, 1457714779, NULL, NULL, 0),
(48527, 146, 1436, 1, 1457391600, 0.25, 146, 1457714882, NULL, NULL, 0),
(48528, 146, 7113, 5, 1457391600, 0.75, 146, 1457714895, NULL, NULL, 0),
(48530, 146, 1436, 1, 1457564400, 0.9, 146, 1457714932, NULL, NULL, 0),
(48531, 212, 8363, 6, 1457564400, 0.75, 212, 1457714951, NULL, NULL, 0),
(48532, 212, 8363, 6, 1457650800, 1, 212, 1457714980, NULL, NULL, 0),
(48582, 158, 9318, 5, 1457650800, 1, 158, 1457732585, NULL, NULL, 0),
(48657, 205, 1041, 1, 1457305200, 1, 205, 1457958414, NULL, NULL, 0),
(48658, 205, 1041, 1, 1457391600, 1, 205, 1457958433, NULL, NULL, 0),
(48659, 205, 1041, 1, 1457478000, 1, 205, 1457958438, NULL, NULL, 0),
(48660, 205, 1041, 1, 1457564400, 1, 205, 1457958441, NULL, NULL, 0),
(48661, 205, 1041, 1, 1457650800, 1, 205, 1457958444, NULL, NULL, 0),
(48663, 217, 9305, 6, 1457910000, 1, 217, 1457958764, NULL, NULL, 0),
(48684, 218, 9344, 5, 1457391600, 1, 218, 1457959922, NULL, NULL, 0),
(48688, 218, 9344, 5, 1457478000, 1, 218, 1457960069, NULL, NULL, 0),
(48689, 218, 9344, 5, 1457650800, 1, 218, 1457960086, NULL, NULL, 0),
(48716, 164, 6967, 18, 1457910000, 0.5, 164, 1457969142, NULL, NULL, 0),
(48694, 2, 9444, 4, 1457910000, 0.5, 2, 1457962436, NULL, NULL, 0),
(48713, 74, 8181, 6, 1457650800, 0.5, 74, 1457966634, NULL, NULL, 0),
(48714, 74, 8811, 6, 1457650800, 0.5, 74, 1457966656, NULL, NULL, 0),
(48715, 218, 1436, 1, 1457564400, 1, 2, 1457967198, NULL, NULL, 0),
(48717, 164, 11032, 4, 1457910000, 0.5, 164, 1457969197, NULL, NULL, 0),
(48718, 164, 8949, 17, 1457650800, 0.5, 164, 1457969662, NULL, NULL, 0),
(48719, 205, 2, 1, 1460325600, 1, 205, 1457969964, NULL, NULL, 0),
(48720, 205, 2, 1, 1460412000, 1, 205, 1457969964, NULL, NULL, 0),
(48721, 205, 2, 1, 1460498400, 1, 205, 1457969964, NULL, NULL, 0),
(48722, 205, 2, 1, 1460584800, 1, 205, 1457969964, NULL, NULL, 0),
(48723, 205, 2, 1, 1460671200, 1, 205, 1457969964, NULL, NULL, 0),
(48724, 205, 1400, 1, 1461535200, 1, 205, 1457970133, NULL, NULL, 0),
(48725, 205, 1400, 1, 1461621600, 1, 205, 1457970133, NULL, NULL, 0),
(48726, 205, 1400, 1, 1461708000, 1, 205, 1457970133, NULL, NULL, 0),
(48727, 205, 1400, 1, 1461794400, 1, 205, 1457970133, NULL, NULL, 0),
(48728, 205, 1400, 1, 1461880800, 1, 205, 1457970133, NULL, NULL, 0),
(48735, 205, 8363, 6, 1456959600, 0.5, 205, 1457971586, NULL, NULL, 0),
(48736, 205, 8551, 4, 1456959600, 0.5, 205, 1457971609, NULL, NULL, 0),
(48737, 205, 1505, 1, 1457046000, 1, 205, 1457971727, NULL, NULL, 0),
(48738, 205, 1505, 1, 1457910000, 0.4, 205, 1457971749, NULL, NULL, 0),
(48739, 205, 9563, 4, 1457910000, 0.6, 205, 1457971907, NULL, NULL, 0),
(48745, 93, 8942, 5, 1457910000, 0.5, 93, 1457977189, NULL, NULL, 0),
(48746, 93, 9026, 5, 1457910000, 0.5, 93, 1457977217, NULL, NULL, 0),
(48747, 157, 9493, 5, 1457910000, 1, 157, 1458023370, NULL, NULL, 0),
(48748, 157, 9493, 5, 1457996400, 1, 157, 1458023383, NULL, NULL, 0),
(48749, 157, 2, 1, 1461708000, 1, 157, 1458023418, NULL, NULL, 0),
(48851, 217, 9305, 6, 1457996400, 0.5, 217, 1458123904, NULL, NULL, 0),
(48759, 217, 9305, 6, 1458082800, 1, 217, 1458045133, NULL, NULL, 0),
(48760, 217, 9305, 6, 1458169200, 1, 217, 1458045145, NULL, NULL, 0),
(49592, 217, 2, 1, 1458255600, 1, 217, 1458635246, NULL, NULL, 0),
(48764, 169, 2, 1, 1458860400, 1, 169, 1458050049, NULL, NULL, 0),
(48765, 169, 2, 1, 1459202400, 1, 169, 1458050049, NULL, NULL, 0),
(48775, 93, 8905, 4, 1457996400, 0.25, 93, 1458051585, NULL, NULL, 0),
(49034, 93, 9572, 4, 1457996400, 0.5, 93, 1458215601, NULL, NULL, 0),
(48789, 2, 9444, 4, 1457996400, 0.25, 2, 1458116662, NULL, NULL, 0),
(48790, 2, 23791, 1, 1457910000, 0.5, 2, 1458116684, NULL, NULL, 0),
(48791, 2, 23791, 1, 1457996400, 0.75, 2, 1458116689, NULL, NULL, 0),
(48793, 2, 1, 1, 1458601200, 0.5, 2, 1458116716, NULL, NULL, 0),
(48803, 134, 8796, 6, 1457910000, 0.3, 134, 1458118431, NULL, NULL, 0),
(48804, 134, 9457, 5, 1457910000, 0.4, 134, 1458118650, NULL, NULL, 0),
(48805, 134, 9457, 6, 1457996400, 1, 134, 1458118677, NULL, NULL, 0),
(48850, 217, 1506, 1, 1457996400, 0.5, 217, 1458123829, NULL, NULL, 0),
(50171, 199, 8840, 4, 1459202400, 1, 199, 1459431453, NULL, NULL, 0),
(48860, 147, 5565, 5, 1457996400, 1, 147, 1458134260, NULL, NULL, 0),
(48862, 147, 8951, 5, 1458082800, 0.5, 147, 1458134375, NULL, NULL, 0),
(48863, 147, 5565, 5, 1458082800, 0.5, 147, 1458134432, NULL, NULL, 0),
(48872, 2, 1435, 1, 1458082800, 0.5, 2, 1458147100, NULL, NULL, 0),
(48873, 2, 23791, 1, 1458082800, 0.5, 2, 1458147109, NULL, NULL, 0),
(48978, 157, 9493, 5, 1458082800, 1, 157, 1458206384, NULL, NULL, 0),
(48979, 157, 9493, 5, 1458169200, 1, 157, 1458206406, NULL, NULL, 0),
(48980, 157, 9493, 6, 1458255600, 1, 157, 1458206422, NULL, NULL, 0),
(49021, 164, 8949, 17, 1457996400, 0.25, 164, 1458211074, NULL, NULL, 0),
(49022, 164, 8949, 18, 1457996400, 0.25, 164, 1458211091, NULL, NULL, 0),
(49023, 164, 1041, 1, 1457996400, 0.5, 164, 1458211113, NULL, NULL, 0),
(49024, 164, 11032, 18, 1458082800, 0.5, 164, 1458211135, NULL, NULL, 0),
(49025, 164, 8949, 18, 1458082800, 0.5, 164, 1458211154, NULL, NULL, 0),
(49026, 164, 11032, 18, 1458169200, 0.5, 164, 1458211174, NULL, NULL, 0),
(49035, 93, 9572, 4, 1458082800, 1, 93, 1458215677, NULL, NULL, 0),
(49033, 93, 9574, 4, 1457996400, 0.25, 93, 1458215557, NULL, NULL, 0),
(49036, 93, 9574, 4, 1458169200, 0.5, 93, 1458215695, NULL, NULL, 0),
(49037, 2, 1435, 1, 1458169200, 0.2, 2, 1458220858, NULL, NULL, 0),
(49099, 72, 23791, 1, 1458082800, 0.3, 72, 1458231371, NULL, NULL, 0),
(49100, 72, 1, 1, 1458255600, 1, 72, 1458231390, NULL, NULL, 0),
(49101, 72, 23791, 1, 1457910000, 0.5, 72, 1458231425, NULL, NULL, 0),
(49102, 72, 23791, 1, 1457996400, 1, 72, 1458231438, NULL, NULL, 0),
(49103, 72, 1, 1, 1458082800, 0.7, 72, 1458231449, NULL, NULL, 0),
(49104, 72, 23791, 1, 1458169200, 1, 72, 1458231454, NULL, NULL, 0),
(49105, 2, 9444, 4, 1458169200, 0.1, 2, 1458233794, NULL, NULL, 0),
(49106, 2, 23791, 1, 1458169200, 0.7, 2, 1458233854, NULL, NULL, 0),
(49120, 74, 8181, 6, 1457910000, 1, 74, 1458286072, NULL, NULL, 0),
(49121, 74, 8181, 6, 1457996400, 1, 74, 1458286102, NULL, NULL, 0),
(49122, 74, 8181, 6, 1458169200, 0.5, 74, 1458286124, NULL, NULL, 0),
(49123, 74, 9098, 4, 1458169200, 0.5, 74, 1458286162, NULL, NULL, 0),
(52349, 93, 10049, 2, 1460325600, 0.5, 93, 1460534160, NULL, NULL, 0),
(52346, 74, 10089, 6, 1460498400, 0.5, 74, 1460529857, NULL, NULL, 0),
(52345, 74, 10089, 6, 1460412000, 0.5, 74, 1460529842, NULL, NULL, 0),
(52344, 74, 10089, 6, 1460325600, 0.75, 74, 1460529827, NULL, NULL, 0),
(52343, 74, 1506, 1, 1460325600, 0.25, 74, 1460529305, NULL, NULL, 0),
(49162, 74, 2, 1, 1468533600, 1, 74, 1458297271, NULL, NULL, 0),
(49166, 200, 9099, 6, 1458169200, 0.5, 200, 1458305747, NULL, NULL, 0),
(49167, 200, 9099, 6, 1458255600, 0.5, 200, 1458305787, NULL, NULL, 0),
(49168, 200, 9452, 4, 1458169200, 0.5, 200, 1458305819, NULL, NULL, 0),
(49171, 200, 9632, 4, 1458082800, 0.5, 200, 1458305993, NULL, NULL, 0),
(49170, 200, 9632, 4, 1457996400, 0.3, 200, 1458305929, NULL, NULL, 0),
(49172, 200, 8800, 7, 1458082800, 0.2, 200, 1458306272, NULL, NULL, 0),
(49173, 200, 9099, 6, 1458082800, 0.2, 200, 1458306471, NULL, NULL, 0),
(49174, 200, 9452, 4, 1458082800, 0.1, 200, 1458306489, NULL, NULL, 0),
(49175, 200, 9632, 4, 1457910000, 0.6, 200, 1458306770, NULL, NULL, 0),
(49176, 164, 11032, 18, 1458169200, 0.5, 164, 1458308051, NULL, NULL, 0),
(49177, 147, 8951, 7, 1458169200, 0.25, 147, 1458308154, NULL, NULL, 0),
(49178, 147, 5565, 5, 1458169200, 0.75, 147, 1458308192, NULL, NULL, 0),
(49179, 134, 8793, 4, 1458169200, 1, 134, 1458308212, NULL, NULL, 0),
(49180, 147, 5565, 5, 1458255600, 1, 147, 1458308221, NULL, NULL, 0),
(49181, 164, 8949, 2, 1458255600, 0.5, 164, 1458308242, NULL, NULL, 0),
(49182, 134, 8793, 4, 1458082800, 1, 134, 1458308275, NULL, NULL, 0),
(49183, 134, 9634, 4, 1458255600, 0.5, 134, 1458308337, NULL, NULL, 0),
(49184, 164, 8949, 17, 1458255600, 0.5, 164, 1458308340, NULL, NULL, 0),
(49185, 134, 8793, 4, 1458255600, 0.5, 134, 1458308454, NULL, NULL, 0),
(49186, 93, 9572, 5, 1458169200, 0.5, 93, 1458308686, NULL, NULL, 0),
(49188, 93, 8905, 4, 1458255600, 0.1, 93, 1458308872, NULL, NULL, 0),
(49189, 212, 8363, 6, 1457910000, 1, 212, 1458308997, NULL, NULL, 0),
(49193, 212, 8363, 6, 1457996400, 0.5, 212, 1458309159, NULL, NULL, 0),
(49191, 93, 9572, 5, 1458255600, 0.9, 93, 1458309025, NULL, NULL, 0),
(49192, 212, 8802, 4, 1457996400, 0.5, 212, 1458309097, NULL, NULL, 0),
(49194, 212, 8363, 6, 1458082800, 0.5, 212, 1458309181, NULL, NULL, 0),
(49195, 212, 8802, 4, 1458082800, 0.5, 212, 1458309220, NULL, NULL, 0),
(49196, 212, 8363, 6, 1458169200, 1, 212, 1458309242, NULL, NULL, 0),
(49197, 212, 8363, 6, 1458255600, 1, 212, 1458309265, NULL, NULL, 0),
(49198, 218, 9344, 5, 1457910000, 1, 218, 1458309650, NULL, NULL, 0),
(49199, 218, 9344, 5, 1457996400, 1, 218, 1458309681, NULL, NULL, 0),
(49200, 218, 9344, 5, 1458082800, 1, 218, 1458309701, NULL, NULL, 0),
(49201, 218, 9344, 5, 1458169200, 1, 218, 1458309718, NULL, NULL, 0),
(49202, 218, 9344, 5, 1458255600, 1, 218, 1458309740, NULL, NULL, 0),
(49203, 200, 6153, 7, 1457996400, 0.2, 200, 1458310366, NULL, NULL, 0),
(49206, 134, 9643, 4, 1457910000, 0.3, 134, 1458310808, NULL, NULL, 0),
(49205, 200, 8795, 7, 1457996400, 0.25, 200, 1458310588, NULL, NULL, 0),
(49207, 200, 8797, 7, 1457996400, 0.25, 200, 1458311187, NULL, NULL, 0),
(49208, 93, 2, 1, 1459202400, 1, 93, 1458311269, NULL, NULL, 0),
(49209, 200, 9099, 6, 1457910000, 0.4, 200, 1458311523, NULL, NULL, 0),
(49211, 200, 1, 1, 1458255600, 0.2, 200, 1458311578, NULL, NULL, 0),
(49216, 199, 9644, 4, 1458082800, 1, 199, 1458311772, NULL, NULL, 0),
(49215, 199, 9644, 4, 1458169200, 0.6, 199, 1458311755, NULL, NULL, 0),
(49217, 199, 9644, 4, 1457996400, 0.5, 199, 1458311803, NULL, NULL, 0),
(49218, 199, 9512, 4, 1458255600, 0.5, 199, 1458312361, NULL, NULL, 0),
(49219, 199, 8840, 4, 1457996400, 0.25, 199, 1458312504, NULL, NULL, 0),
(49220, 199, 9631, 5, 1457910000, 0.5, 199, 1458312558, NULL, NULL, 0),
(49221, 199, 9516, 4, 1458169200, 0.4, 199, 1458312592, NULL, NULL, 0),
(49223, 199, 9496, 5, 1458255600, 0.5, 199, 1458312752, NULL, NULL, 0),
(49224, 199, 9496, 5, 1457910000, 0.5, 199, 1458312767, NULL, NULL, 0),
(49225, 199, 9496, 5, 1457996400, 0.25, 199, 1458312783, NULL, NULL, 0),
(49242, 2, 23791, 1, 1458255600, 0.75, 2, 1458319340, NULL, NULL, 0),
(49243, 2, 9646, 1, 1458255600, 0.25, 2, 1458319557, NULL, NULL, 0),
(49252, 169, 8804, 6, 1458082800, 1, 169, 1458325681, NULL, NULL, 0),
(49253, 169, 8804, 6, 1458169200, 1, 169, 1458325705, NULL, NULL, 0),
(49254, 169, 8804, 6, 1458255600, 0.5, 169, 1458325722, NULL, NULL, 0),
(49255, 169, 4278, 4, 1457910000, 1, 169, 1458325756, NULL, NULL, 0),
(49256, 169, 8800, 5, 1458255600, 0.5, 169, 1458325796, NULL, NULL, 0),
(49257, 169, 8800, 5, 1457996400, 1, 169, 1458325817, NULL, NULL, 0),
(49389, 200, 9452, 4, 1458255600, 0.3, 200, 1458545760, NULL, NULL, 0),
(49390, 74, 1, 1, 1460412000, 0.5, 74, 1458546284, NULL, NULL, 0),
(49391, 74, 1, 1, 1460498400, 0.5, 74, 1458546312, NULL, NULL, 0),
(49392, 74, 8181, 6, 1458255600, 0.5, 74, 1458546362, NULL, NULL, 0),
(49403, 74, 8811, 6, 1458255600, 0.5, 74, 1458547142, NULL, NULL, 0),
(49404, 72, 2, 1, 1459807200, 1, 72, 1458547425, NULL, NULL, 0),
(49405, 72, 1, 1, 1458601200, 1, 72, 1458547452, NULL, NULL, 0),
(49406, 72, 23791, 1, 1458514800, 1, 72, 1458547463, NULL, NULL, 0),
(49410, 164, 2, 1, 1458687600, 0.5, 164, 1458550996, NULL, NULL, 0),
(49411, 72, 2, 1, 1468533600, 1, 72, 1458551144, NULL, NULL, 0),
(49412, 116, 2, 1, 1458774000, 1, 116, 1458551217, NULL, NULL, 0),
(49413, 116, 2, 1, 1458860400, 1, 116, 1458551217, NULL, NULL, 0),
(49414, 116, 2, 1, 1459375200, 1, 116, 1458551217, NULL, NULL, 0),
(49415, 116, 2, 1, 1459461600, 1, 116, 1458551217, NULL, NULL, 0),
(49418, 116, 2, 1, 1460584800, 1, 116, 1458551217, NULL, NULL, 0),
(49419, 116, 2, 1, 1460671200, 1, 116, 1458551217, NULL, NULL, 0),
(49420, 116, 2, 1, 1461189600, 1, 116, 1458551217, NULL, NULL, 0),
(49421, 116, 2, 1, 1461276000, 1, 116, 1458551217, NULL, NULL, 0),
(49422, 116, 2, 1, 1461794400, 1, 116, 1458551217, NULL, NULL, 0),
(49423, 116, 2, 1, 1461880800, 1, 116, 1458551217, NULL, NULL, 0),
(49424, 116, 2, 1, 1462485600, 1, 116, 1458551217, NULL, NULL, 0),
(49425, 116, 2, 1, 1463004000, 1, 116, 1458551217, NULL, NULL, 0),
(49426, 116, 2, 1, 1463090400, 1, 116, 1458551217, NULL, NULL, 0),
(49427, 116, 2, 1, 1463608800, 1, 116, 1458551217, NULL, NULL, 0),
(49428, 116, 2, 1, 1463695200, 1, 116, 1458551217, NULL, NULL, 0),
(49429, 116, 2, 1, 1464213600, 1, 116, 1458551217, NULL, NULL, 0),
(49430, 116, 2, 1, 1464300000, 1, 116, 1458551217, NULL, NULL, 0),
(49431, 116, 2, 1, 1458687600, 1, 116, 1458551277, NULL, NULL, 0),
(49432, 2, 2, 1, 1462485600, 1, 2, 1458551315, NULL, NULL, 0),
(49443, 146, 7114, 5, 1457910000, 1, 146, 1458554734, NULL, NULL, 0),
(49444, 146, 7114, 5, 1457996400, 1, 146, 1458554753, NULL, NULL, 0),
(49445, 146, 7114, 5, 1458082800, 1, 146, 1458554780, NULL, NULL, 0),
(49449, 146, 7114, 5, 1458255600, 1, 146, 1458554837, NULL, NULL, 0),
(49448, 146, 7114, 5, 1458169200, 1, 146, 1458554821, NULL, NULL, 0),
(49494, 2, 8155, 4, 1458514800, 0.25, 2, 1458564180, NULL, NULL, 0),
(49495, 199, 2, 1, 1459288800, 1, 199, 1458564804, NULL, NULL, 0),
(49527, 116, 8072, 5, 1458514800, 0.5, 116, 1458573207, NULL, NULL, 0),
(49528, 93, 9572, 5, 1458514800, 0.7, 93, 1458574782, NULL, NULL, 0),
(49529, 93, 8905, 6, 1458514800, 0.3, 93, 1458574867, NULL, NULL, 0),
(49731, 158, 1505, 1, 1458687600, 0.1, 158, 1458826591, NULL, NULL, 0),
(49593, 217, 2, 1, 1458514800, 1, 217, 1458635260, NULL, NULL, 0),
(49595, 217, 9305, 6, 1458601200, 1, 217, 1458635334, NULL, NULL, 0),
(49609, 199, 1041, 1, 1458601200, 1, 72, 1458640715, NULL, NULL, 0),
(49610, 199, 1041, 1, 1458687600, 1, 72, 1458640715, NULL, NULL, 0),
(49611, 2, 23791, 1, 1458514800, 0.75, 2, 1458641972, NULL, NULL, 0),
(49612, 134, 8796, 7, 1458514800, 0.5, 134, 1458642301, NULL, NULL, 0),
(49613, 134, 8793, 4, 1458514800, 0.5, 134, 1458642347, NULL, NULL, 0),
(49614, 134, 8793, 4, 1458601200, 0.5, 134, 1458642374, NULL, NULL, 0),
(49630, 93, 9670, 4, 1458601200, 0.7, 93, 1458667267, NULL, NULL, 0),
(49621, 116, 9672, 5, 1458514800, 0.25, 116, 1458655880, NULL, NULL, 0),
(49622, 116, 9671, 5, 1458514800, 0.25, 116, 1458655937, NULL, NULL, 0),
(49631, 93, 9675, 4, 1458601200, 0.3, 93, 1458667289, NULL, NULL, 0),
(56499, 2, 1, 1, 1464300000, 0.25, 2, 1464349639, NULL, NULL, 0),
(56498, 2, 1, 1, 1464213600, 0.3, 2, 1464349630, NULL, NULL, 0),
(49628, 134, 1505, 1, 1458601200, 0.3, 134, 1458660657, NULL, NULL, 0),
(49629, 134, 1437, 1, 1458601200, 0.2, 134, 1458662569, NULL, NULL, 0),
(49632, 93, 9675, 4, 1458687600, 1, 93, 1458667306, NULL, NULL, 0),
(49633, 157, 9674, 4, 1458514800, 0.5, 157, 1458716483, NULL, NULL, 0),
(49634, 157, 4939, 4, 1458514800, 0.5, 157, 1458716532, NULL, NULL, 0),
(49635, 157, 9674, 4, 1458601200, 1, 157, 1458716552, NULL, NULL, 0),
(49636, 157, 9674, 4, 1458687600, 1, 157, 1458716568, NULL, NULL, 0),
(49644, 158, 9099, 2, 1458601200, 1, 158, 1458722226, NULL, NULL, 0),
(49655, 217, 9305, 6, 1458687600, 1, 217, 1458736608, NULL, NULL, 0),
(49656, 2, 23791, 1, 1458601200, 0.25, 2, 1458739238, NULL, NULL, 0),
(49657, 2, 8155, 4, 1458601200, 0.25, 2, 1458739250, NULL, NULL, 0),
(49658, 169, 8804, 6, 1458514800, 1, 169, 1458739368, NULL, NULL, 0),
(49659, 169, 8800, 6, 1458601200, 1, 169, 1458739405, NULL, NULL, 0),
(49660, 169, 8800, 6, 1458687600, 0.5, 169, 1458739430, NULL, NULL, 0),
(49661, 169, 4278, 4, 1458687600, 0.5, 169, 1458739467, NULL, NULL, 0),
(49664, 158, 9099, 2, 1458687600, 0.75, 158, 1458745547, NULL, NULL, 0),
(49665, 2, 8395, 18, 1458687600, 1, 2, 1458749841, NULL, NULL, 0),
(49666, 199, 2, 1, 1470002400, 1, 199, 1458804304, NULL, NULL, 0),
(49667, 199, 2, 1, 1470088800, 1, 199, 1458804304, NULL, NULL, 0),
(49668, 199, 2, 1, 1470175200, 1, 199, 1458804304, NULL, NULL, 0),
(49669, 199, 2, 1, 1470261600, 1, 199, 1458804304, NULL, NULL, 0),
(55567, 157, 10401, 7, 1463695200, 0.5, 157, 1463723104, NULL, NULL, 0),
(50192, 134, 9684, 4, 1459288800, 0.25, 134, 1459437256, NULL, NULL, 0),
(49762, 217, 9632, 4, 1458860400, 1, 217, 1458832369, NULL, NULL, 0),
(49707, 158, 9099, 2, 1458687600, 0.1, 158, 1458810726, NULL, NULL, 0),
(49708, 93, 9675, 4, 1458774000, 0.3, 93, 1458810945, NULL, NULL, 0),
(49724, 93, 9670, 4, 1458774000, 0.5, 93, 1458820143, NULL, NULL, 0),
(49723, 93, 9344, 2, 1458774000, 0.2, 93, 1458820113, NULL, NULL, 0),
(49725, 158, 9099, 2, 1458774000, 0.5, 158, 1458820970, NULL, NULL, 0),
(49732, 158, 1505, 1, 1458687600, 0.05, 158, 1458826597, NULL, NULL, 0),
(49742, 72, 23791, 1, 1458687600, 1, 72, 1458830206, NULL, NULL, 0),
(49743, 72, 23791, 1, 1458774000, 1, 72, 1458830214, NULL, NULL, 0),
(49744, 72, 23791, 1, 1458860400, 1, 72, 1458830220, NULL, NULL, 0),
(49757, 157, 9766, 4, 1458774000, 0.5, 157, 1458832179, NULL, NULL, 0),
(49760, 157, 5712, 4, 1458774000, 0.5, 157, 1458832253, NULL, NULL, 0),
(49761, 217, 9305, 6, 1458774000, 1, 217, 1458832289, NULL, NULL, 0),
(49764, 74, 8811, 6, 1458514800, 1, 74, 1458833393, NULL, NULL, 0),
(49863, 74, 8811, 6, 1458601200, 1, 74, 1458899544, NULL, NULL, 0),
(49766, 74, 8811, 6, 1458687600, 0.5, 74, 1458833427, NULL, NULL, 0),
(49767, 74, 8811, 6, 1458774000, 0.5, 74, 1458833443, NULL, NULL, 0),
(49768, 74, 9098, 4, 1458687600, 0.5, 74, 1458833475, NULL, NULL, 0),
(49777, 158, 8806, 2, 1458774000, 0.5, 158, 1458834365, NULL, NULL, 0),
(49790, 227, 2, 1, 1458860400, 1, 227, 1458836724, NULL, NULL, 0),
(49791, 147, 9631, 5, 1458514800, 1, 147, 1458837545, NULL, NULL, 0),
(49793, 147, 9445, 5, 1458601200, 1, 147, 1458837662, NULL, NULL, 0),
(49794, 147, 9445, 5, 1458687600, 1, 147, 1458837698, NULL, NULL, 0),
(49796, 147, 5711, 5, 1458774000, 1, 147, 1458837854, NULL, NULL, 0),
(49797, 147, 9601, 5, 1458860400, 1, 147, 1458837916, NULL, NULL, 0),
(49843, 164, 8949, 17, 1458514800, 1, 164, 1458897802, NULL, NULL, 0),
(49846, 164, 8949, 18, 1458601200, 0.5, 164, 1458898053, NULL, NULL, 0),
(49845, 164, 11032, 18, 1458687600, 0.5, 164, 1458897921, NULL, NULL, 0),
(49847, 164, 8949, 17, 1458601200, 0.5, 164, 1458898078, NULL, NULL, 0),
(49850, 164, 8395, 17, 1458774000, 0.25, 164, 1458898202, NULL, NULL, 0),
(49849, 164, 8395, 18, 1458774000, 0.5, 164, 1458898141, NULL, NULL, 0),
(49851, 164, 8949, 17, 1458774000, 0.25, 164, 1458898219, NULL, NULL, 0),
(49852, 164, 8395, 18, 1458860400, 1, 164, 1458898236, NULL, NULL, 0),
(49853, 134, 9684, 4, 1458687600, 1, 134, 1458898620, NULL, NULL, 0),
(49855, 134, 9684, 4, 1458774000, 0.75, 134, 1458898722, NULL, NULL, 0),
(49856, 134, 8793, 4, 1458860400, 0.2, 134, 1458898767, NULL, NULL, 0),
(49857, 134, 9634, 4, 1458774000, 0.25, 134, 1458898885, NULL, NULL, 0),
(49859, 134, 9684, 4, 1458860400, 0.8, 134, 1458899007, NULL, NULL, 0),
(49860, 157, 5712, 4, 1458860400, 0.5, 157, 1458899436, NULL, NULL, 0),
(49861, 157, 9493, 6, 1458860400, 0.5, 157, 1458899462, NULL, NULL, 0),
(49862, 74, 8811, 6, 1458860400, 1, 74, 1458899493, NULL, NULL, 0),
(49864, 74, 9098, 4, 1458774000, 0.5, 74, 1458899562, NULL, NULL, 0),
(49866, 146, 7114, 5, 1458860400, 1, 146, 1458900037, NULL, NULL, 0),
(49867, 146, 7114, 5, 1458774000, 1, 146, 1458900051, NULL, NULL, 0),
(49868, 146, 7114, 5, 1458687600, 1, 146, 1458900064, NULL, NULL, 0),
(49869, 146, 7114, 5, 1458601200, 1, 146, 1458900076, NULL, NULL, 0),
(49870, 146, 7114, 5, 1458514800, 1, 146, 1458900086, NULL, NULL, 0),
(49871, 199, 1041, 1, 1458860400, 1, 2, 1458900277, NULL, NULL, 0),
(49872, 199, 8558, 4, 1458774000, 1, 2, 1458900515, NULL, NULL, 0),
(49873, 199, 8558, 4, 1458514800, 1, 2, 1458900535, NULL, NULL, 0),
(49874, 93, 9670, 4, 1458860400, 1, 93, 1458900602, NULL, NULL, 0),
(49878, 134, 2, 1, 1468188000, 1, 134, 1458907622, NULL, NULL, 0),
(49879, 134, 2, 1, 1468274400, 1, 134, 1458907622, NULL, NULL, 0),
(49880, 134, 2, 1, 1468360800, 1, 134, 1458907622, NULL, NULL, 0),
(49886, 212, 8802, 6, 1458687600, 0.5, 212, 1458913193, NULL, NULL, 0),
(49887, 212, 8802, 6, 1458774000, 1, 212, 1458913234, NULL, NULL, 0),
(49888, 212, 8802, 6, 1458860400, 1, 212, 1458913265, NULL, NULL, 0),
(49894, 2, 1435, 1, 1458774000, 0.25, 2, 1458913480, NULL, NULL, 0),
(49919, 2, 23791, 1, 1458774000, 0.75, 2, 1458919619, NULL, NULL, 0),
(49897, 200, 9452, 4, 1458860400, 0.5, 200, 1458916790, NULL, NULL, 0),
(49899, 200, 9099, 7, 1458860400, 0.5, 200, 1458918027, NULL, NULL, 0),
(49900, 200, 9099, 7, 1458774000, 1, 200, 1458918043, NULL, NULL, 0),
(49902, 200, 9452, 4, 1458687600, 0.5, 200, 1458918063, NULL, NULL, 0),
(49903, 200, 9452, 4, 1458687600, 0.5, 200, 1458918075, NULL, NULL, 0),
(49905, 200, 9685, 4, 1458601200, 0.25, 200, 1458918116, NULL, NULL, 0),
(49906, 200, 9684, 4, 1458601200, 0.25, 200, 1458918131, NULL, NULL, 0),
(49907, 200, 9452, 4, 1458514800, 1, 200, 1458918164, NULL, NULL, 0),
(49908, 200, 9452, 4, 1458601200, 0.5, 200, 1458918193, NULL, NULL, 0),
(49977, 2, 1435, 1, 1458860400, 0.75, 2, 1458944305, NULL, NULL, 0),
(49976, 2, 23791, 1, 1458860400, 0.25, 2, 1458944293, NULL, NULL, 0),
(50055, 116, 9671, 5, 1458601200, 0.5, 116, 1459260089, NULL, NULL, 0),
(50056, 116, 9672, 5, 1458601200, 0.5, 116, 1459260105, NULL, NULL, 0),
(50057, 116, 9671, 5, 1459202400, 1, 116, 1459260130, NULL, NULL, 0),
(50079, 134, 9634, 4, 1459202400, 1, 134, 1459267046, NULL, NULL, 0),
(50085, 158, 2, 1, 1459375200, 1, 158, 1459340262, NULL, NULL, 0),
(50088, 116, 9671, 5, 1459288800, 0.5, 116, 1459346598, NULL, NULL, 0),
(50089, 116, 9672, 5, 1459288800, 0.5, 116, 1459346621, NULL, NULL, 0),
(50097, 205, 2, 1, 1459288800, 0.5, 205, 1459352661, NULL, NULL, 0),
(50100, 205, 9889, 4, 1459288800, 0.25, 205, 1459353954, NULL, NULL, 0),
(50101, 205, 9890, 4, 1459288800, 0.25, 205, 1459354204, NULL, NULL, 0),
(50181, 157, 8840, 4, 1459375200, 1, 157, 1459431871, NULL, NULL, 0),
(50110, 157, 9674, 4, 1459288800, 0.5, 157, 1459403836, NULL, NULL, 0),
(50180, 157, 8840, 4, 1459288800, 0.5, 157, 1459431857, NULL, NULL, 0),
(50179, 157, 8840, 4, 1459202400, 1, 157, 1459431835, NULL, NULL, 0),
(50140, 164, 8949, 18, 1459202400, 1, 164, 1459414897, NULL, NULL, 0),
(50141, 164, 8387, 17, 1459288800, 0.5, 164, 1459414924, NULL, NULL, 0),
(50142, 164, 11032, 18, 1459288800, 0.5, 164, 1459414950, NULL, NULL, 0),
(50143, 164, 11032, 18, 1459375200, 0.5, 164, 1459414967, NULL, NULL, 0),
(51685, 157, 9459, 4, 1459720800, 1, 157, 1460008355, NULL, NULL, 0),
(50155, 74, 8811, 6, 1459202400, 0.5, 74, 1459422953, NULL, NULL, 0),
(50156, 74, 8802, 6, 1459202400, 0.5, 74, 1459423043, NULL, NULL, 0),
(50157, 74, 8802, 6, 1459288800, 1, 74, 1459423055, NULL, NULL, 0),
(50158, 74, 8802, 6, 1459375200, 1, 74, 1459423069, NULL, NULL, 0),
(50159, 74, 8802, 6, 1459461600, 1, 74, 1459423083, NULL, NULL, 0),
(50196, 93, 9452, 2, 1459375200, 0.3, 93, 1459439589, NULL, NULL, 0),
(50161, 93, 9675, 4, 1459288800, 0.3, 93, 1459428234, NULL, NULL, 0),
(50197, 93, 9675, 4, 1459375200, 0.5, 93, 1459439653, NULL, NULL, 0),
(50163, 93, 9670, 4, 1459375200, 0.2, 93, 1459428282, NULL, NULL, 0),
(50164, 93, 9670, 4, 1459288800, 0.7, 93, 1459428298, NULL, NULL, 0),
(50174, 147, 9601, 5, 1459202400, 1, 147, 1459431637, NULL, NULL, 0),
(50176, 147, 9601, 5, 1459288800, 1, 147, 1459431683, NULL, NULL, 0),
(50167, 147, 8842, 4, 1457910000, 1, 147, 1459430973, NULL, NULL, 0),
(50169, 147, 8842, 4, 1457650800, 1, 147, 1459431160, NULL, NULL, 0),
(50177, 147, 9601, 5, 1459375200, 1, 147, 1459431712, NULL, NULL, 0),
(50178, 147, 9601, 5, 1459461600, 1, 147, 1459431746, NULL, NULL, 0),
(50193, 134, 9943, 4, 1459288800, 0.75, 134, 1459437739, NULL, NULL, 0),
(50194, 134, 9635, 5, 1459375200, 0.5, 134, 1459437798, NULL, NULL, 0),
(50195, 134, 9635, 6, 1459375200, 0.5, 134, 1459437824, NULL, NULL, 0),
(50210, 212, 8802, 6, 1459202400, 1, 212, 1459498466, NULL, NULL, 0),
(50209, 212, 8802, 6, 1459116000, 1, 212, 1459498442, NULL, NULL, 0),
(50211, 212, 8802, 6, 1459288800, 1, 212, 1459498503, NULL, NULL, 0),
(50212, 212, 8802, 6, 1459375200, 1, 212, 1459498528, NULL, NULL, 0),
(50213, 212, 8802, 6, 1459461600, 1, 212, 1459498550, NULL, NULL, 0),
(50237, 134, 9634, 7, 1459461600, 0.3, 134, 1459501900, NULL, NULL, 0),
(50241, 73, 2041, 1, 1459461600, 1, 73, 1459504013, NULL, NULL, 0),
(50245, 2, 8798, 5, 1459375200, 0.5, 2, 1459513164, NULL, NULL, 0),
(50246, 157, 9459, 4, 1459461600, 1, 157, 1459513524, NULL, NULL, 0),
(50247, 199, 9516, 4, 1459461600, 0.6, 199, 1459513594, NULL, NULL, 0),
(50248, 199, 8840, 4, 1459375200, 1, 199, 1459513610, NULL, NULL, 0),
(50251, 164, 9951, 18, 1459461600, 0.5, 164, 1459516772, NULL, NULL, 0),
(50252, 164, 9951, 18, 1459375200, 0.5, 164, 1459516791, NULL, NULL, 0),
(50253, 164, 8949, 17, 1459461600, 0.5, 164, 1459516820, NULL, NULL, 0),
(50260, 158, 9685, 4, 1459461600, 1, 158, 1459518477, NULL, NULL, 0),
(50261, 158, 9685, 4, 1459288800, 0.5, 158, 1459518506, NULL, NULL, 0),
(50262, 158, 8806, 2, 1459202400, 1, 158, 1459520040, NULL, NULL, 0),
(50263, 158, 8806, 2, 1459288800, 0.5, 158, 1459520059, NULL, NULL, 0),
(50274, 134, 9943, 4, 1459461600, 0.7, 134, 1459522026, NULL, NULL, 0),
(50275, 93, 9452, 2, 1459461600, 1, 93, 1459522240, NULL, NULL, 0),
(50276, 169, 4278, 4, 1459288800, 1, 169, 1459527146, NULL, NULL, 0),
(50277, 169, 4278, 4, 1459375200, 1, 169, 1459527164, NULL, NULL, 0),
(50278, 169, 4278, 4, 1459461600, 1, 169, 1459527179, NULL, NULL, 0),
(50279, 169, 4278, 4, 1458774000, 1, 169, 1459527292, NULL, NULL, 0),
(50284, 2, 23791, 1, 1459202400, 1, 2, 1459529180, NULL, NULL, 0),
(50285, 2, 23791, 1, 1459288800, 0.5, 2, 1459529180, NULL, NULL, 0),
(50286, 2, 23791, 1, 1459375200, 0.5, 2, 1459529180, NULL, NULL, 0),
(50287, 2, 23791, 1, 1459461600, 1, 2, 1459529180, NULL, NULL, 0),
(50370, 217, 9632, 4, 1459202400, 1, 217, 1459754937, NULL, NULL, 0),
(50371, 217, 9632, 4, 1459288800, 1, 217, 1459754953, NULL, NULL, 0),
(50372, 217, 9632, 4, 1459375200, 1, 217, 1459754970, NULL, NULL, 0),
(50373, 217, 9632, 4, 1459461600, 1, 217, 1459754980, NULL, NULL, 0),
(50374, 217, 9632, 4, 1459720800, 1, 217, 1459754997, NULL, NULL, 0),
(51608, 200, 8454, 7, 1459807200, 1, 200, 1459929648, NULL, NULL, 0),
(51611, 116, 10045, 5, 1459807200, 1, 116, 1459929757, NULL, NULL, 0),
(51606, 217, 9632, 4, 1459807200, 0.5, 217, 1459929478, NULL, NULL, 0),
(50378, 200, 9685, 7, 1459375200, 0.25, 200, 1459755110, NULL, NULL, 0),
(50379, 200, 9684, 7, 1459375200, 0.25, 200, 1459755134, NULL, NULL, 0),
(50380, 200, 9452, 4, 1459461600, 1, 200, 1459755162, NULL, NULL, 0),
(50381, 200, 9452, 4, 1459202400, 1, 200, 1459755175, NULL, NULL, 0),
(50382, 200, 9452, 4, 1459288800, 1, 200, 1459755193, NULL, NULL, 0),
(50383, 200, 9452, 4, 1459375200, 0.5, 200, 1459755338, NULL, NULL, 0),
(50384, 200, 9452, 7, 1459720800, 1, 200, 1459755369, NULL, NULL, 0),
(50386, 73, 2, 1, 1459893600, 1, 73, 1459755839, NULL, NULL, 0),
(50387, 73, 2, 1, 1460498400, 1, 73, 1459755839, NULL, NULL, 0),
(50388, 73, 2, 1, 1461103200, 1, 73, 1459755839, NULL, NULL, 0),
(50389, 73, 2, 1, 1461708000, 1, 73, 1459755839, NULL, NULL, 0),
(50390, 73, 2, 1, 1462312800, 1, 73, 1459755839, NULL, NULL, 0),
(50391, 73, 2, 1, 1462917600, 1, 73, 1459755839, NULL, NULL, 0),
(50392, 73, 2, 1, 1463522400, 1, 73, 1459755839, NULL, NULL, 0),
(50393, 73, 2, 1, 1464127200, 1, 73, 1459755839, NULL, NULL, 0),
(50394, 73, 2, 1, 1464732000, 1, 73, 1459755839, NULL, NULL, 0),
(50395, 73, 2, 1, 1465336800, 1, 73, 1459755839, NULL, NULL, 0),
(50396, 73, 2, 1, 1465941600, 1, 73, 1459755839, NULL, NULL, 0),
(50397, 73, 2, 1, 1466546400, 1, 73, 1459755839, NULL, NULL, 0),
(50398, 73, 2, 1, 1467151200, 1, 73, 1459755839, NULL, NULL, 0),
(50399, 73, 2, 1, 1467756000, 1, 73, 1459755839, NULL, NULL, 0),
(50400, 73, 2, 1, 1468360800, 1, 73, 1459755839, NULL, NULL, 0),
(50401, 73, 2, 1, 1468965600, 1, 73, 1459755839, NULL, NULL, 0),
(50402, 73, 2, 1, 1469570400, 1, 73, 1459755839, NULL, NULL, 0),
(50403, 73, 2, 1, 1470175200, 1, 73, 1459755839, NULL, NULL, 0),
(50404, 73, 2, 1, 1470780000, 1, 73, 1459755839, NULL, NULL, 0),
(50405, 73, 2, 1, 1471384800, 1, 73, 1459755839, NULL, NULL, 0),
(50406, 73, 2, 1, 1471989600, 1, 73, 1459755839, NULL, NULL, 0),
(50407, 73, 2, 1, 1472594400, 1, 73, 1459755839, NULL, NULL, 0),
(50408, 73, 2, 1, 1473199200, 1, 73, 1459755839, NULL, NULL, 0),
(50409, 73, 2, 1, 1473804000, 1, 73, 1459755839, NULL, NULL, 0),
(50410, 73, 2, 1, 1474408800, 1, 73, 1459755839, NULL, NULL, 0),
(50411, 73, 2, 1, 1475013600, 1, 73, 1459755839, NULL, NULL, 0),
(50412, 73, 2, 1, 1475618400, 1, 73, 1459755839, NULL, NULL, 0),
(50413, 73, 2, 1, 1476223200, 1, 73, 1459755839, NULL, NULL, 0),
(50414, 73, 2, 1, 1476828000, 1, 73, 1459755839, NULL, NULL, 0),
(50415, 73, 2, 1, 1477432800, 1, 73, 1459755839, NULL, NULL, 0),
(50416, 73, 2, 1, 1478041200, 1, 73, 1459755839, NULL, NULL, 0),
(50417, 73, 2, 1, 1478646000, 1, 73, 1459755839, NULL, NULL, 0),
(50418, 73, 2, 1, 1479250800, 1, 73, 1459755839, NULL, NULL, 0),
(50419, 73, 2, 1, 1479855600, 1, 73, 1459755839, NULL, NULL, 0),
(50420, 73, 2, 1, 1480460400, 1, 73, 1459755839, NULL, NULL, 0),
(50421, 73, 2, 1, 1481065200, 1, 73, 1459755839, NULL, NULL, 0),
(50422, 73, 2, 1, 1481670000, 1, 73, 1459755839, NULL, NULL, 0),
(50423, 73, 2, 1, 1482274800, 1, 73, 1459755839, NULL, NULL, 0),
(50424, 73, 2, 1, 1482879600, 1, 73, 1459755839, NULL, NULL, 0),
(50440, 146, 7114, 5, 1459202400, 1, 146, 1459757413, NULL, NULL, 0),
(50441, 146, 7114, 5, 1459288800, 1, 146, 1459757429, NULL, NULL, 0),
(55290, 205, 10786, 4, 1463436000, 0.3, 205, 1463494971, NULL, NULL, 0),
(50443, 146, 7114, 5, 1459375200, 1, 146, 1459757444, NULL, NULL, 0),
(50444, 146, 7114, 5, 1459461600, 0.5, 146, 1459757459, NULL, NULL, 0),
(50445, 146, 2780, 1, 1459461600, 0.5, 146, 1459757484, NULL, NULL, 0),
(50454, 73, 1, 1, 1460412000, 0.5, 73, 1459758601, NULL, NULL, 0),
(50491, 164, 8387, 18, 1459720800, 0.75, 164, 1459779023, NULL, NULL, 0),
(50492, 164, 9951, 18, 1459720800, 0.25, 164, 1459779041, NULL, NULL, 0),
(50500, 218, 9344, 5, 1458514800, 1, 218, 1459780662, NULL, NULL, 0),
(50504, 116, 9671, 5, 1459720800, 0.5, 116, 1459780786, NULL, NULL, 0),
(50503, 218, 9344, 5, 1458601200, 1, 218, 1459780715, NULL, NULL, 0),
(50508, 116, 9672, 5, 1459720800, 0.5, 116, 1459781146, NULL, NULL, 0),
(50506, 218, 9344, 5, 1458687600, 1, 218, 1459780833, NULL, NULL, 0),
(50507, 218, 9344, 5, 1458774000, 1, 218, 1459780896, NULL, NULL, 0),
(50541, 116, 1505, 1, 1460066400, 0.1, 116, 1459839877, NULL, NULL, 0),
(51334, 74, 8802, 6, 1459807200, 1, 74, 1459859737, NULL, NULL, 0),
(51335, 74, 8802, 6, 1459720800, 1, 74, 1459859755, NULL, NULL, 0),
(51338, 212, 8802, 6, 1459720800, 1, 212, 1459859789, NULL, NULL, 0),
(51340, 212, 8802, 6, 1459807200, 1, 212, 1459859819, NULL, NULL, 0),
(51403, 2, 23791, 1, 1459720800, 1, 2, 1459861948, NULL, NULL, 0),
(51544, 205, 9671, 4, 1457996400, 0.1, 205, 1459872292, NULL, NULL, 0),
(51546, 205, 9672, 4, 1457996400, 0.1, 205, 1459872315, NULL, NULL, 0),
(51548, 205, 7114, 2, 1457996400, 0.2, 205, 1459872344, NULL, NULL, 0),
(51550, 205, 9671, 4, 1457996400, 0.1, 205, 1459872378, NULL, NULL, 0),
(51553, 205, 9644, 2, 1458082800, 0.2, 205, 1459872437, NULL, NULL, 0),
(51562, 205, 10040, 4, 1458082800, 0.5, 205, 1459872607, NULL, NULL, 0),
(51563, 205, 9632, 4, 1458082800, 0.3, 205, 1459872648, NULL, NULL, 0),
(51564, 205, 9632, 4, 1458169200, 0.2, 205, 1459872718, NULL, NULL, 0),
(51565, 205, 9671, 4, 1458169200, 0.5, 205, 1459872769, NULL, NULL, 0),
(51566, 205, 10040, 4, 1458169200, 0.3, 205, 1459872791, NULL, NULL, 0),
(51569, 205, 7114, 2, 1458255600, 0.2, 205, 1459873089, NULL, NULL, 0),
(51568, 205, 23791, 1, 1458255600, 0.1, 205, 1459872921, NULL, NULL, 0),
(51570, 205, 9890, 4, 1458255600, 0.5, 205, 1459873287, NULL, NULL, 0),
(51571, 205, 9632, 4, 1458255600, 0.2, 205, 1459873304, NULL, NULL, 0),
(51572, 205, 23791, 1, 1458514800, 0.2, 205, 1459873487, NULL, NULL, 0),
(51574, 205, 9632, 2, 1458514800, 0.3, 205, 1459873558, NULL, NULL, 0),
(51575, 205, 9890, 4, 1458601200, 0.5, 205, 1459873598, NULL, NULL, 0),
(51576, 205, 9671, 2, 1458601200, 0.2, 205, 1459873622, NULL, NULL, 0),
(51577, 205, 9632, 2, 1458601200, 0.3, 205, 1459873643, NULL, NULL, 0),
(51578, 205, 10040, 4, 1458687600, 0.5, 205, 1459873683, NULL, NULL, 0),
(51580, 205, 7114, 2, 1458774000, 0.1, 205, 1459873737, NULL, NULL, 0),
(51581, 205, 10040, 4, 1458774000, 0.7, 205, 1459873757, NULL, NULL, 0),
(51582, 205, 10041, 4, 1458774000, 0.2, 205, 1459873864, NULL, NULL, 0),
(51583, 205, 9344, 7, 1458860400, 0.2, 205, 1459873945, NULL, NULL, 0),
(51584, 205, 10040, 4, 1458860400, 0.8, 205, 1459874014, NULL, NULL, 0),
(51585, 205, 9890, 4, 1459202400, 1, 205, 1459874215, NULL, NULL, 0),
(51586, 205, 10042, 4, 1459375200, 0.1, 205, 1459874364, NULL, NULL, 0),
(51587, 205, 9890, 4, 1459375200, 0.9, 205, 1459874385, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(51588, 205, 10043, 6, 1459461600, 0.25, 205, 1459874484, NULL, NULL, 0),
(51592, 205, 10043, 6, 1459720800, 0.5, 205, 1459874614, NULL, NULL, 0),
(51590, 205, 9890, 4, 1459461600, 0.5, 205, 1459874558, NULL, NULL, 0),
(51591, 205, 9671, 7, 1459461600, 0.25, 205, 1459874571, NULL, NULL, 0),
(51593, 205, 10040, 4, 1459720800, 0.5, 205, 1459874632, NULL, NULL, 0),
(51594, 205, 8454, 4, 1459807200, 0.5, 205, 1459874672, NULL, NULL, 0),
(51595, 205, 9632, 4, 1459807200, 0.5, 205, 1459874698, NULL, NULL, 0),
(51604, 217, 10044, 6, 1459980000, 1, 217, 1459929409, NULL, NULL, 0),
(51603, 217, 10044, 6, 1459893600, 1, 217, 1459929383, NULL, NULL, 0),
(51602, 217, 10044, 6, 1459807200, 0.5, 217, 1459929364, NULL, NULL, 0),
(51601, 158, 2, 1, 1459980000, 1, 158, 1459927260, NULL, NULL, 0),
(51610, 200, 9632, 7, 1459893600, 0.25, 200, 1459929719, NULL, NULL, 0),
(51612, 200, 8454, 7, 1459893600, 0.75, 200, 1459929943, NULL, NULL, 0),
(51615, 158, 1, 1, 1461103200, 0.5, 158, 1459941867, NULL, NULL, 0),
(51616, 134, 10046, 5, 1459720800, 1, 134, 1459945339, NULL, NULL, 0),
(51617, 134, 10046, 4, 1459807200, 1, 134, 1459945378, NULL, NULL, 0),
(51618, 134, 10046, 6, 1459893600, 1, 134, 1459945397, NULL, NULL, 0),
(51619, 93, 9452, 2, 1459720800, 0.2, 93, 1459948550, NULL, NULL, 0),
(51620, 93, 9675, 4, 1459720800, 0.8, 93, 1459948575, NULL, NULL, 0),
(51621, 93, 9675, 4, 1459807200, 1, 93, 1459948589, NULL, NULL, 0),
(51623, 93, 10049, 2, 1459893600, 0.4, 93, 1459949256, NULL, NULL, 0),
(51624, 164, 9951, 18, 1459807200, 1, 164, 1459949543, NULL, NULL, 0),
(51625, 164, 11032, 18, 1459893600, 0.5, 164, 1459949584, NULL, NULL, 0),
(51626, 218, 9891, 5, 1459288800, 0.5, 218, 1459950509, NULL, NULL, 0),
(51627, 218, 9891, 5, 1459375200, 1, 218, 1459950552, NULL, NULL, 0),
(51628, 218, 9891, 5, 1459461600, 1, 218, 1459950576, NULL, NULL, 0),
(51629, 218, 9891, 5, 1459720800, 1, 218, 1459950651, NULL, NULL, 0),
(51630, 218, 9891, 5, 1459807200, 1, 218, 1459950692, NULL, NULL, 0),
(51631, 218, 9891, 5, 1459893600, 1, 218, 1459950718, NULL, NULL, 0),
(51632, 218, 9891, 5, 1459980000, 1, 218, 1459950750, NULL, NULL, 0),
(51646, 218, 9891, 5, 1460066400, 1, 218, 1459950771, NULL, NULL, 0),
(51649, 116, 8076, 5, 1459893600, 0.5, 116, 1459952040, NULL, NULL, 0),
(51650, 116, 10045, 5, 1459893600, 0.5, 116, 1459952073, NULL, NULL, 0),
(51665, 205, 10040, 4, 1459893600, 0.5, 205, 1459956497, NULL, NULL, 0),
(51667, 205, 9632, 4, 1459893600, 0.5, 205, 1459956522, NULL, NULL, 0),
(51686, 157, 9459, 4, 1459807200, 0.5, 157, 1460008377, NULL, NULL, 0),
(51687, 157, 8840, 4, 1459807200, 0.5, 157, 1460008406, NULL, NULL, 0),
(51688, 157, 8840, 4, 1459893600, 0.5, 157, 1460008427, NULL, NULL, 0),
(51689, 157, 9674, 4, 1459893600, 0.5, 157, 1460008466, NULL, NULL, 0),
(51691, 2, 5536, 18, 1459893600, 0.2, 2, 1460015804, NULL, NULL, 0),
(51692, 2, 1435, 1, 1459893600, 0.3, 2, 1460015817, NULL, NULL, 0),
(51693, 2, 23791, 1, 1459807200, 1, 2, 1460015826, NULL, NULL, 0),
(51694, 2, 23791, 1, 1459893600, 0.5, 2, 1460015833, NULL, NULL, 0),
(52204, 116, 10088, 4, 1460325600, 1, 116, 1460385654, NULL, NULL, 0),
(51696, 2, 2, 1, 1467583200, 1, 2, 1460029829, NULL, NULL, 0),
(51697, 2, 2, 1, 1467669600, 1, 2, 1460029829, NULL, NULL, 0),
(51698, 2, 2, 1, 1467756000, 1, 2, 1460029829, NULL, NULL, 0),
(51699, 2, 2, 1, 1467842400, 1, 2, 1460029829, NULL, NULL, 0),
(51700, 2, 2, 1, 1467928800, 1, 2, 1460029829, NULL, NULL, 0),
(51701, 2, 2, 1, 1468188000, 1, 2, 1460029829, NULL, NULL, 0),
(51702, 2, 2, 1, 1468274400, 1, 2, 1460029829, NULL, NULL, 0),
(51703, 2, 2, 1, 1468360800, 1, 2, 1460029829, NULL, NULL, 0),
(51704, 2, 2, 1, 1468533600, 1, 2, 1460029829, NULL, NULL, 0),
(51705, 2, 2, 1, 1468792800, 1, 2, 1460029829, NULL, NULL, 0),
(51706, 2, 2, 1, 1468879200, 1, 2, 1460029829, NULL, NULL, 0),
(51707, 2, 2, 1, 1468965600, 1, 2, 1460029829, NULL, NULL, 0),
(51708, 2, 2, 1, 1469052000, 1, 2, 1460029829, NULL, NULL, 0),
(51709, 2, 2, 1, 1469138400, 1, 2, 1460029829, NULL, NULL, 0),
(51710, 72, 2, 1, 1469484000, 1, 72, 1460029836, NULL, NULL, 0),
(51795, 134, 10046, 6, 1459980000, 1, 134, 1460038365, NULL, NULL, 0),
(51892, 116, 10045, 5, 1459980000, 0.5, 116, 1460040631, NULL, NULL, 0),
(51914, 73, 10075, 4, 1459980000, 0.5, 73, 1460042674, NULL, NULL, 0),
(52053, 73, 1, 1, 1459980000, 0.5, 2, 1460122447, NULL, NULL, 0),
(51918, 73, 2041, 1, 1459720800, 0.5, 73, 1460042791, NULL, NULL, 0),
(51919, 73, 1437, 1, 1459720800, 0.25, 73, 1460042812, NULL, NULL, 0),
(51921, 73, 1437, 1, 1459807200, 0.25, 73, 1460042840, NULL, NULL, 0),
(51925, 73, 8454, 4, 1459720800, 0.25, 73, 1460043036, NULL, NULL, 0),
(51926, 73, 10075, 4, 1459807200, 0.75, 73, 1460043086, NULL, NULL, 0),
(51956, 72, 1, 1, 1460066400, 1, 72, 1460095621, NULL, NULL, 0),
(51937, 158, 2, 1, 1460066400, 1, 158, 1460043766, NULL, NULL, 0),
(51942, 158, 9685, 4, 1459807200, 1, 158, 1460043875, NULL, NULL, 0),
(51943, 158, 9685, 4, 1459893600, 1, 158, 1460043902, NULL, NULL, 0),
(52670, 134, 2, 1, 1480546800, 1, 134, 1461134694, NULL, NULL, 0),
(51969, 164, 11032, 2, 1459893600, 0.5, 164, 1460103561, NULL, NULL, 0),
(51972, 164, 1437, 1, 1459980000, 0.2, 164, 1460103690, NULL, NULL, 0),
(51971, 164, 8949, 17, 1459980000, 0.5, 164, 1460103623, NULL, NULL, 0),
(51973, 164, 8949, 18, 1459980000, 0.3, 164, 1460103710, NULL, NULL, 0),
(51974, 164, 8949, 17, 1460066400, 0.2, 164, 1460103738, NULL, NULL, 0),
(51975, 164, 1435, 1, 1460066400, 0.5, 164, 1460103768, NULL, NULL, 0),
(51976, 164, 6967, 18, 1460066400, 0.3, 164, 1460103820, NULL, NULL, 0),
(51992, 199, 8840, 4, 1459893600, 0.5, 199, 1460106724, NULL, NULL, 0),
(51993, 199, 8842, 4, 1459893600, 0.5, 199, 1460106782, NULL, NULL, 0),
(51994, 199, 9472, 5, 1459980000, 1, 199, 1460106908, NULL, NULL, 0),
(51995, 199, 9472, 5, 1459807200, 1, 199, 1460106931, NULL, NULL, 0),
(51996, 199, 9472, 5, 1459720800, 1, 199, 1460106950, NULL, NULL, 0),
(51997, 93, 10049, 2, 1459893600, 0.6, 93, 1460107157, NULL, NULL, 0),
(51998, 93, 10049, 2, 1459980000, 1, 93, 1460107168, NULL, NULL, 0),
(52001, 93, 4278, 2, 1460066400, 0.5, 93, 1460109244, NULL, NULL, 0),
(52002, 93, 10049, 2, 1460066400, 0.5, 93, 1460109277, NULL, NULL, 0),
(52009, 72, 23791, 1, 1459893600, 1, 72, 1460115653, NULL, NULL, 0),
(52010, 72, 23791, 1, 1459980000, 0.1, 72, 1460115668, NULL, NULL, 0),
(52011, 72, 23791, 1, 1459980000, 0.9, 72, 1460115674, NULL, NULL, 0),
(52012, 146, 7114, 5, 1459720800, 1, 146, 1460115935, NULL, NULL, 0),
(52013, 169, 9633, 4, 1459720800, 1, 169, 1460116003, NULL, NULL, 0),
(52014, 169, 9633, 4, 1459807200, 1, 169, 1460116053, NULL, NULL, 0),
(52015, 169, 10049, 4, 1459893600, 1, 169, 1460116130, NULL, NULL, 0),
(52016, 169, 10049, 4, 1459980000, 1, 169, 1460116152, NULL, NULL, 0),
(52019, 2, 6967, 18, 1460066400, 0.25, 2, 1460116351, NULL, NULL, 0),
(52018, 169, 4278, 7, 1460066400, 1, 169, 1460116210, NULL, NULL, 0),
(52020, 2, 1435, 1, 1459980000, 0.1, 2, 1460116380, NULL, NULL, 0),
(52026, 146, 10086, 5, 1459893600, 1, 146, 1460116854, NULL, NULL, 0),
(52022, 134, 9684, 4, 1460066400, 1, 134, 1460116556, NULL, NULL, 0),
(52023, 212, 1505, 1, 1459893600, 0.25, 212, 1460116604, NULL, NULL, 0),
(52024, 212, 10018, 4, 1459893600, 0.75, 212, 1460116757, NULL, NULL, 0),
(52025, 146, 10086, 5, 1459807200, 1, 146, 1460116822, NULL, NULL, 0),
(52027, 146, 10086, 5, 1459980000, 1, 146, 1460116870, NULL, NULL, 0),
(52028, 146, 10086, 5, 1460066400, 1, 146, 1460116886, NULL, NULL, 0),
(52029, 212, 10087, 4, 1459980000, 0.25, 212, 1460116897, NULL, NULL, 0),
(52030, 212, 10018, 4, 1459980000, 0.75, 212, 1460116944, NULL, NULL, 0),
(52031, 212, 10018, 4, 1460066400, 1, 212, 1460117149, NULL, NULL, 0),
(52032, 74, 1505, 1, 1459893600, 0.25, 74, 1460117429, NULL, NULL, 0),
(52033, 74, 2041, 1, 1459893600, 0.25, 74, 1460117473, NULL, NULL, 0),
(52034, 157, 9674, 4, 1460066400, 0.5, 157, 1460117612, NULL, NULL, 0),
(52603, 157, 9459, 5, 1459980000, 0.25, 157, 1461043514, NULL, NULL, 0),
(52036, 157, 6723, 4, 1459980000, 0.5, 157, 1460117672, NULL, NULL, 0),
(52038, 74, 2041, 1, 1459893600, 0.25, 74, 1460118066, NULL, NULL, 0),
(52041, 217, 10044, 6, 1460066400, 1, 217, 1460118152, NULL, NULL, 0),
(52046, 74, 10089, 6, 1459893600, 0.25, 74, 1460118617, NULL, NULL, 0),
(52047, 74, 10089, 6, 1459980000, 1, 74, 1460118636, NULL, NULL, 0),
(52048, 74, 10089, 6, 1460066400, 1, 74, 1460118646, NULL, NULL, 0),
(52055, 116, 10088, 4, 1459980000, 0.5, 116, 1460122783, NULL, NULL, 0),
(52057, 116, 10088, 4, 1460066400, 0.9, 116, 1460125903, NULL, NULL, 0),
(52093, 2, 8949, 18, 1460066400, 0.75, 2, 1460359408, NULL, NULL, 0),
(52094, 2, 23791, 1, 1459980000, 0.5, 2, 1460359422, NULL, NULL, 0),
(52095, 2, 8949, 18, 1459980000, 0.4, 2, 1460359486, NULL, NULL, 0),
(53194, 93, 9683, 2, 1461189600, 0.2, 93, 1461318103, NULL, NULL, 0),
(53193, 164, 11032, 18, 1461276000, 1, 164, 1461317258, NULL, NULL, 0),
(53192, 164, 11032, 2, 1461189600, 0.5, 164, 1461317227, NULL, NULL, 0),
(53190, 164, 8949, 17, 1461189600, 0.5, 164, 1461317204, NULL, NULL, 0),
(54482, 212, 8802, 6, 1462312800, 1, 212, 1462363135, NULL, NULL, 0),
(54481, 158, 10415, 4, 1462312800, 0.75, 158, 1462360196, NULL, NULL, 0),
(54480, 2, 10414, 4, 1462312800, 0.25, 2, 1462354033, NULL, NULL, 0),
(52179, 212, 2, 1, 1468533600, 1, 212, 1460378650, NULL, NULL, 0),
(52188, 212, 2, 1, 1472421600, 1, 212, 1460379763, NULL, NULL, 0),
(52189, 212, 2, 1, 1472508000, 1, 212, 1460379763, NULL, NULL, 0),
(52190, 212, 2, 1, 1472594400, 1, 212, 1460379763, NULL, NULL, 0),
(52191, 212, 2, 1, 1472680800, 1, 212, 1460379763, NULL, NULL, 0),
(52192, 212, 2, 1, 1472767200, 1, 212, 1460379763, NULL, NULL, 0),
(52193, 212, 2, 1, 1473026400, 1, 212, 1460379763, NULL, NULL, 0),
(52194, 212, 2, 1, 1473112800, 1, 212, 1460379763, NULL, NULL, 0),
(52203, 116, 2, 1, 1460498400, 1, 116, 1460385622, NULL, NULL, 0),
(52212, 73, 10075, 4, 1460325600, 1, 73, 1460388425, NULL, NULL, 0),
(52213, 199, 9472, 5, 1460066400, 1, 199, 1460441256, NULL, NULL, 0),
(52315, 198, 2, 1, 1459980000, 0.5, 198, 1460471629, NULL, NULL, 0),
(52316, 116, 10088, 4, 1460412000, 1, 116, 1460471654, NULL, NULL, 0),
(52318, 147, 10093, 5, 1460325600, 1, 147, 1460476548, NULL, NULL, 0),
(52319, 147, 10093, 5, 1460412000, 1, 147, 1460476577, NULL, NULL, 0),
(52352, 93, 2041, 1, 1460325600, 0.5, 93, 1460534297, NULL, NULL, 0),
(52353, 93, 2041, 1, 1460412000, 0.3, 93, 1460534304, NULL, NULL, 0),
(52354, 93, 10049, 2, 1460412000, 0.1, 93, 1460534400, NULL, NULL, 0),
(52355, 146, 2, 1, 1460412000, 0.5, 72, 1460534652, NULL, NULL, 0),
(52356, 2, 2, 1, 1461103200, 1, 2, 1460535626, NULL, NULL, 0),
(52357, 2, 2, 1, 1461189600, 1, 2, 1460535626, NULL, NULL, 0),
(52358, 2, 2, 1, 1461276000, 1, 2, 1460535626, NULL, NULL, 0),
(52359, 2, 2, 1, 1461535200, 1, 2, 1460535626, NULL, NULL, 0),
(52360, 2, 2, 1, 1461621600, 1, 2, 1460535626, NULL, NULL, 0),
(52428, 93, 6137, 4, 1460498400, 0.3, 93, 1460726084, NULL, NULL, 0),
(52362, 93, 7148, 2, 1460412000, 0.1, 93, 1460539064, NULL, NULL, 0),
(52363, 93, 2088, 1, 1460412000, 0.1, 93, 1460539085, NULL, NULL, 0),
(52364, 72, 23791, 1, 1460325600, 1, 72, 1460556390, NULL, NULL, 0),
(52365, 72, 23791, 1, 1460412000, 1, 72, 1460556397, NULL, NULL, 0),
(52366, 72, 9632, 4, 1460498400, 1, 72, 1460556650, NULL, NULL, 0),
(52367, 2, 6967, 18, 1460412000, 1, 2, 1460561317, NULL, NULL, 0),
(52374, 93, 9675, 4, 1460412000, 0.4, 93, 1460567165, NULL, NULL, 0),
(52639, 74, 10089, 6, 1460930400, 1, 74, 1461072836, NULL, NULL, 0),
(52386, 2, 5536, 18, 1460584800, 1, 2, 1460703950, NULL, NULL, 0),
(52387, 2, 5536, 18, 1460671200, 1, 2, 1460703967, NULL, NULL, 0),
(52388, 2, 6967, 18, 1460498400, 1, 2, 1460704042, NULL, NULL, 0),
(52389, 2, 1435, 1, 1460325600, 1, 2, 1460704056, NULL, NULL, 0),
(52390, 199, 10147, 6, 1460671200, 0.2, 199, 1460704592, NULL, NULL, 0),
(52391, 199, 10147, 5, 1460584800, 0.1, 199, 1460704620, NULL, NULL, 0),
(52393, 199, 10138, 4, 1460584800, 0.3, 199, 1460704797, NULL, NULL, 0),
(52394, 134, 9684, 4, 1460325600, 1, 134, 1460705109, NULL, NULL, 0),
(52395, 134, 9684, 4, 1460412000, 1, 134, 1460705134, NULL, NULL, 0),
(52403, 134, 9683, 4, 1460671200, 1, 134, 1460706200, NULL, NULL, 0),
(52402, 134, 9683, 4, 1460584800, 1, 134, 1460706166, NULL, NULL, 0),
(52401, 134, 9683, 4, 1460498400, 1, 134, 1460706108, NULL, NULL, 0),
(52537, 217, 9632, 7, 1460930400, 1, 217, 1460983166, NULL, NULL, 0),
(52404, 218, 1505, 1, 1460325600, 1, 218, 1460706333, NULL, NULL, 0),
(52405, 218, 2041, 1, 1460412000, 1, 218, 1460706389, NULL, NULL, 0),
(52406, 218, 9890, 5, 1460498400, 0.5, 218, 1460706461, NULL, NULL, 0),
(52407, 218, 9890, 7, 1460498400, 0.5, 218, 1460706512, NULL, NULL, 0),
(52409, 218, 2041, 1, 1460584800, 1, 218, 1460706612, NULL, NULL, 0),
(52410, 146, 10086, 5, 1460671200, 1, 146, 1460707453, NULL, NULL, 0),
(52411, 146, 10086, 5, 1460498400, 1, 146, 1460707471, NULL, NULL, 0),
(52412, 146, 10086, 5, 1460584800, 1, 146, 1460707485, NULL, NULL, 0),
(52413, 146, 10086, 5, 1460412000, 0.5, 146, 1460707519, NULL, NULL, 0),
(52414, 146, 7114, 5, 1460325600, 1, 146, 1460707665, NULL, NULL, 0),
(52427, 93, 4152, 4, 1460498400, 0.3, 93, 1460726003, NULL, NULL, 0),
(52429, 93, 9675, 4, 1460498400, 0.4, 93, 1460726231, NULL, NULL, 0),
(52430, 93, 10153, 4, 1460584800, 0.3, 93, 1460726649, NULL, NULL, 0),
(52431, 199, 10136, 5, 1460498400, 0.5, 199, 1460726659, NULL, NULL, 0),
(52432, 199, 10136, 5, 1460671200, 0.6, 199, 1460726675, NULL, NULL, 0),
(52433, 199, 10136, 5, 1460412000, 0.5, 199, 1460726690, NULL, NULL, 0),
(52436, 199, 10137, 5, 1460412000, 0.5, 199, 1460726751, NULL, NULL, 0),
(52435, 93, 10154, 4, 1460584800, 0.4, 93, 1460726697, NULL, NULL, 0),
(52437, 93, 2041, 1, 1460584800, 0.2, 93, 1460726812, NULL, NULL, 0),
(52438, 199, 9471, 4, 1460498400, 0.5, 199, 1460726840, NULL, NULL, 0),
(52439, 93, 2088, 1, 1460584800, 0.1, 93, 1460726843, NULL, NULL, 0),
(52440, 199, 9471, 4, 1460325600, 1, 199, 1460726860, NULL, NULL, 0),
(52441, 93, 9675, 4, 1460671200, 0.3, 93, 1460726899, NULL, NULL, 0),
(52442, 199, 9470, 5, 1460584800, 0.3, 199, 1460726909, NULL, NULL, 0),
(52443, 199, 9470, 5, 1460671200, 0.2, 199, 1460726945, NULL, NULL, 0),
(52444, 199, 10147, 4, 1460584800, 0.3, 199, 1460726974, NULL, NULL, 0),
(52467, 169, 10049, 4, 1460325600, 1, 169, 1460737451, NULL, NULL, 0),
(52468, 169, 10049, 5, 1460412000, 1, 169, 1460737467, NULL, NULL, 0),
(52469, 169, 9633, 4, 1460498400, 1, 169, 1460737625, NULL, NULL, 0),
(52470, 169, 9633, 4, 1460584800, 1, 169, 1460737638, NULL, NULL, 0),
(52471, 169, 9633, 4, 1460671200, 1, 169, 1460737652, NULL, NULL, 0),
(52491, 93, 6137, 4, 1460671200, 0.5, 93, 1460740527, NULL, NULL, 0),
(52492, 93, 6137, 4, 1460671200, 0.2, 93, 1460740551, NULL, NULL, 0),
(52493, 72, 23791, 1, 1460584800, 1, 72, 1460958867, NULL, NULL, 0),
(52494, 72, 23791, 1, 1460671200, 1, 72, 1460958874, NULL, NULL, 0),
(52521, 116, 2, 1, 1461535200, 1, 116, 1460966202, NULL, NULL, 0),
(52522, 116, 2, 1, 1461621600, 1, 116, 1460966209, NULL, NULL, 0),
(52523, 116, 2, 1, 1461708000, 1, 116, 1460966214, NULL, NULL, 0),
(52524, 134, 9683, 4, 1460930400, 1, 134, 1460967383, NULL, NULL, 0),
(52536, 147, 10139, 5, 1460930400, 1, 147, 1460983020, NULL, NULL, 0),
(52538, 147, 10146, 5, 1460671200, 1, 147, 1460983222, NULL, NULL, 0),
(52539, 217, 1400, 1, 1461016800, 1, 217, 1460983483, NULL, NULL, 0),
(52540, 217, 1400, 1, 1461535200, 1, 217, 1460983503, NULL, NULL, 0),
(52541, 217, 1400, 1, 1461621600, 1, 217, 1460983508, NULL, NULL, 0),
(52570, 116, 4334, 4, 1460930400, 0.5, 116, 1460990059, NULL, NULL, 0),
(52571, 116, 8076, 5, 1460930400, 0.5, 116, 1460990080, NULL, NULL, 0),
(52591, 158, 9685, 4, 1460930400, 1, 158, 1460993021, NULL, NULL, 0),
(52593, 164, 11032, 18, 1460930400, 0.75, 164, 1460993427, NULL, NULL, 0),
(52594, 164, 8949, 17, 1460930400, 0.25, 164, 1460993469, NULL, NULL, 0),
(52597, 72, 1, 1, 1461880800, 0.5, 72, 1460994469, NULL, NULL, 0),
(52598, 72, 1, 1, 1461880800, 0.5, 72, 1460994667, NULL, NULL, 0),
(52599, 72, 23791, 1, 1460930400, 1, 72, 1460994763, NULL, NULL, 0),
(52600, 93, 6137, 4, 1460930400, 1, 93, 1460999669, NULL, NULL, 0),
(52604, 157, 1, 1, 1459980000, 0.25, 157, 1461043532, NULL, NULL, 0),
(52605, 157, 1, 1, 1461880800, 0.25, 157, 1461043549, NULL, NULL, 0),
(52606, 157, 6636, 4, 1460930400, 1, 157, 1461043608, NULL, NULL, 0),
(52640, 74, 10089, 6, 1461016800, 0.5, 74, 1461072862, NULL, NULL, 0),
(52641, 74, 1505, 1, 1461016800, 0.5, 74, 1461072881, NULL, NULL, 0),
(52643, 116, 10045, 6, 1461016800, 0.2, 116, 1461074862, NULL, NULL, 0),
(52644, 116, 8076, 6, 1461016800, 0.2, 116, 1461074879, NULL, NULL, 0),
(52645, 116, 8076, 5, 1461016800, 0.6, 116, 1461074891, NULL, NULL, 0),
(52655, 2, 23791, 1, 1461016800, 0.5, 2, 1461075868, NULL, NULL, 0),
(52660, 2, 8949, 17, 1460930400, 0.8, 2, 1461075939, NULL, NULL, 0),
(52661, 2, 8949, 17, 1461016800, 0.5, 2, 1461075955, NULL, NULL, 0),
(52662, 2, 1435, 1, 1460930400, 0.2, 2, 1461075969, NULL, NULL, 0),
(52665, 212, 1505, 1, 1461016800, 0.5, 212, 1461079083, NULL, NULL, 0),
(52698, 212, 10018, 4, 1460412000, 1, 212, 1461159303, NULL, NULL, 0),
(52697, 212, 10018, 4, 1460325600, 1, 212, 1461159280, NULL, NULL, 0),
(52669, 158, 9685, 4, 1461016800, 1, 158, 1461079551, NULL, NULL, 0),
(52671, 134, 2, 1, 1480633200, 1, 134, 1461134694, NULL, NULL, 0),
(53124, 134, 9683, 4, 1461276000, 1, 134, 1461308924, NULL, NULL, 0),
(52678, 199, 10235, 5, 1461103200, 0.25, 199, 1461143337, NULL, NULL, 0),
(52683, 158, 9685, 4, 1461103200, 0.5, 158, 1461152848, NULL, NULL, 0),
(52682, 199, 10236, 5, 1461103200, 0.25, 199, 1461145508, NULL, NULL, 0),
(62869, 72, 23791, 1, 1469138400, 1, 72, 1469014527, NULL, NULL, 0),
(62868, 72, 12938, 4, 1468965600, 1, 72, 1469014475, NULL, NULL, 0),
(62867, 146, 12331, 4, 1468360800, 0.5, 146, 1469004132, NULL, NULL, 0),
(52725, 93, 9683, 2, 1461016800, 0.25, 93, 1461172852, NULL, NULL, 0),
(52693, 146, 2, 1, 1469138400, 1, 146, 1461155854, NULL, NULL, 0),
(52705, 212, 2089, 1, 1461016800, 0.25, 212, 1461159629, NULL, NULL, 0),
(52707, 212, 2089, 1, 1460930400, 0.4, 212, 1461159675, NULL, NULL, 0),
(52699, 212, 10018, 4, 1460498400, 1, 212, 1461159326, NULL, NULL, 0),
(52700, 212, 10018, 6, 1460584800, 1, 212, 1461159355, NULL, NULL, 0),
(52701, 212, 10018, 6, 1460671200, 1, 212, 1461159379, NULL, NULL, 0),
(52713, 212, 1505, 1, 1461103200, 0.25, 212, 1461159920, NULL, NULL, 0),
(52711, 212, 10018, 6, 1460930400, 0.6, 212, 1461159771, NULL, NULL, 0),
(52712, 212, 10018, 6, 1461016800, 0.25, 212, 1461159811, NULL, NULL, 0),
(52719, 116, 4335, 4, 1461103200, 1, 116, 1461163540, NULL, NULL, 0),
(52720, 164, 1, 1, 1462226400, 1, 164, 1461165307, NULL, NULL, 0),
(52721, 164, 2, 1, 1461016800, 1, 164, 1461165327, NULL, NULL, 0),
(52726, 93, 7392, 4, 1461103200, 0.25, 93, 1461173146, NULL, NULL, 0),
(52723, 164, 11032, 18, 1461103200, 0.5, 164, 1461165381, NULL, NULL, 0),
(52724, 164, 8949, 17, 1461103200, 0.5, 164, 1461165404, NULL, NULL, 0),
(52727, 93, 10192, 4, 1461016800, 0.75, 93, 1461173197, NULL, NULL, 0),
(52728, 93, 7395, 4, 1461103200, 0.25, 93, 1461173242, NULL, NULL, 0),
(52729, 93, 7391, 4, 1461103200, 0.25, 93, 1461173300, NULL, NULL, 0),
(52730, 93, 8403, 4, 1461103200, 0.25, 93, 1461173350, NULL, NULL, 0),
(52734, 217, 10248, 4, 1461103200, 0.5, 217, 1461226435, NULL, NULL, 0),
(52733, 217, 9632, 7, 1461103200, 0.5, 217, 1461226374, NULL, NULL, 0),
(52736, 217, 10248, 4, 1461189600, 1, 217, 1461227379, NULL, NULL, 0),
(53792, 217, 2, 1, 1461276000, 1, 217, 1461742556, NULL, NULL, 0),
(52811, 158, 9685, 4, 1461189600, 1, 158, 1461238265, NULL, NULL, 0),
(52812, 205, 10248, 4, 1460930400, 1, 205, 1461238761, NULL, NULL, 0),
(52813, 205, 10248, 4, 1461016800, 1, 205, 1461238782, NULL, NULL, 0),
(52814, 205, 10248, 4, 1461103200, 1, 205, 1461238800, NULL, NULL, 0),
(52815, 205, 10248, 4, 1461189600, 0.75, 205, 1461238816, NULL, NULL, 0),
(52816, 205, 10280, 4, 1461189600, 0.25, 205, 1461239112, NULL, NULL, 0),
(52817, 205, 10248, 4, 1460066400, 1, 205, 1461239238, NULL, NULL, 0),
(52818, 205, 10280, 4, 1459980000, 1, 205, 1461239277, NULL, NULL, 0),
(52988, 218, 1436, 1, 1460671200, 1, 218, 1461245943, NULL, NULL, 0),
(52990, 218, 1400, 1, 1461016800, 1, 218, 1461246062, NULL, NULL, 0),
(53160, 218, 1, 1, 1461103200, 1, 218, 1461310429, NULL, NULL, 0),
(53159, 218, 1, 1, 1461189600, 1, 218, 1461310403, NULL, NULL, 0),
(53154, 218, 1, 1, 1461794400, 1, 218, 1461310266, NULL, NULL, 0),
(53153, 218, 1, 1, 1461880800, 1, 218, 1461310258, NULL, NULL, 0),
(53155, 218, 1, 1, 1461708000, 1, 218, 1461310286, NULL, NULL, 0),
(53156, 218, 1, 1, 1461621600, 1, 218, 1461310293, NULL, NULL, 0),
(53157, 218, 1, 1, 1461535200, 1, 218, 1461310300, NULL, NULL, 0),
(53158, 218, 1, 1, 1461276000, 1, 218, 1461310315, NULL, NULL, 0),
(53161, 218, 1, 1, 1460930400, 1, 218, 1461310440, NULL, NULL, 0),
(53191, 93, 10290, 4, 1461189600, 0.8, 93, 1461317221, NULL, NULL, 0),
(53189, 93, 10290, 4, 1461276000, 1, 93, 1461317195, NULL, NULL, 0),
(53078, 72, 1505, 1, 1461276000, 0.5, 72, 1461254050, NULL, NULL, 0),
(53079, 72, 23791, 1, 1461016800, 1, 72, 1461254065, NULL, NULL, 0),
(53080, 72, 23791, 1, 1461103200, 1, 72, 1461254071, NULL, NULL, 0),
(53081, 72, 23791, 1, 1461189600, 1, 72, 1461254077, NULL, NULL, 0),
(53100, 157, 6636, 4, 1461016800, 1, 157, 1461304792, NULL, NULL, 0),
(53101, 157, 6636, 4, 1461103200, 1, 157, 1461304815, NULL, NULL, 0),
(53102, 157, 10195, 4, 1461189600, 0.5, 157, 1461304858, NULL, NULL, 0),
(53105, 157, 9459, 6, 1461189600, 0.5, 157, 1461304961, NULL, NULL, 0),
(53104, 157, 9459, 6, 1461276000, 1, 157, 1461304920, NULL, NULL, 0),
(53106, 157, 9493, 6, 1460066400, 0.5, 157, 1461305048, NULL, NULL, 0),
(53123, 134, 9683, 4, 1461189600, 1, 134, 1461308901, NULL, NULL, 0),
(53121, 134, 9683, 4, 1461016800, 1, 134, 1461308794, NULL, NULL, 0),
(53122, 134, 9683, 4, 1461103200, 1, 134, 1461308860, NULL, NULL, 0),
(53127, 199, 9470, 6, 1461189600, 0.3, 199, 1461309034, NULL, NULL, 0),
(53128, 147, 10193, 4, 1461016800, 1, 147, 1461309038, NULL, NULL, 0),
(53129, 147, 10193, 4, 1461103200, 1, 147, 1461309075, NULL, NULL, 0),
(53130, 199, 9471, 4, 1460930400, 0.4, 199, 1461309077, NULL, NULL, 0),
(53132, 147, 10193, 4, 1461189600, 1, 147, 1461309131, NULL, NULL, 0),
(53133, 199, 8840, 7, 1461016800, 0.6, 199, 1461309132, NULL, NULL, 0),
(53134, 147, 10193, 4, 1461276000, 1, 147, 1461309150, NULL, NULL, 0),
(53135, 199, 8840, 7, 1461103200, 0.5, 199, 1461309151, NULL, NULL, 0),
(53141, 199, 9472, 6, 1461189600, 0.7, 199, 1461309234, NULL, NULL, 0),
(53137, 74, 10089, 6, 1461103200, 1, 74, 1461309162, NULL, NULL, 0),
(53138, 74, 10089, 6, 1461189600, 1, 74, 1461309175, NULL, NULL, 0),
(53139, 74, 10089, 6, 1461276000, 1, 74, 1461309195, NULL, NULL, 0),
(53142, 199, 9472, 6, 1461016800, 0.4, 199, 1461309260, NULL, NULL, 0),
(53143, 199, 8840, 7, 1460930400, 0.25, 199, 1461309283, NULL, NULL, 0),
(53146, 169, 9633, 5, 1460930400, 1, 169, 1461309551, NULL, NULL, 0),
(53147, 169, 9633, 5, 1461016800, 1, 169, 1461309570, NULL, NULL, 0),
(53148, 169, 9633, 5, 1461103200, 1, 169, 1461309582, NULL, NULL, 0),
(53149, 169, 9633, 5, 1461189600, 1, 169, 1461309593, NULL, NULL, 0),
(53150, 169, 9633, 5, 1461276000, 1, 169, 1461309602, NULL, NULL, 0),
(53166, 200, 2, 1, 1467842400, 1, 200, 1461310570, NULL, NULL, 0),
(53167, 200, 2, 1, 1467928800, 1, 200, 1461310570, NULL, NULL, 0),
(53168, 200, 2, 1, 1468188000, 1, 200, 1461310570, NULL, NULL, 0),
(53172, 200, 10248, 4, 1461103200, 1, 200, 1461310742, NULL, NULL, 0),
(53173, 200, 10248, 4, 1461189600, 1, 200, 1461310775, NULL, NULL, 0),
(53174, 200, 10248, 4, 1461276000, 1, 200, 1461310794, NULL, NULL, 0),
(53248, 74, 1, 1, 1461621600, 0.5, 74, 1461567283, NULL, NULL, 0),
(53176, 199, 10329, 4, 1460930400, 0.3, 199, 1461313217, NULL, NULL, 0),
(53177, 199, 10329, 4, 1460930400, 0.05, 199, 1461313231, NULL, NULL, 0),
(53206, 147, 2, 1, 1465941600, 0.5, 147, 1461327935, NULL, NULL, 0),
(59091, 93, 11975, 2, 1466373600, 1, 93, 1466496570, NULL, NULL, 0),
(53208, 147, 2, 1, 1467842400, 0.5, 147, 1461328027, NULL, NULL, 0),
(53214, 146, 10086, 6, 1461276000, 1, 146, 1461329977, NULL, NULL, 0),
(53215, 146, 10086, 6, 1461189600, 1, 146, 1461329998, NULL, NULL, 0),
(53216, 146, 10086, 5, 1461103200, 1, 146, 1461330020, NULL, NULL, 0),
(53217, 146, 10086, 5, 1461016800, 1, 146, 1461330051, NULL, NULL, 0),
(53218, 146, 7114, 5, 1460930400, 1, 146, 1461330084, NULL, NULL, 0),
(53241, 212, 10087, 4, 1461103200, 0.75, 212, 1461340290, NULL, NULL, 0),
(53242, 212, 10087, 4, 1461189600, 0.5, 212, 1461340358, NULL, NULL, 0),
(53243, 212, 10018, 6, 1461189600, 0.5, 212, 1461340386, NULL, NULL, 0),
(53244, 212, 10018, 6, 1461276000, 1, 212, 1461340410, NULL, NULL, 0),
(53245, 72, 23791, 1, 1461276000, 0.5, 72, 1461340856, NULL, NULL, 0),
(53246, 157, 2, 1, 1462485600, 1, 157, 1461563191, NULL, NULL, 0),
(53247, 109, 1041, 1, 1461276000, 1, 72, 1461567171, NULL, NULL, 0),
(53249, 72, 2, 1, 1462485600, 1, 72, 1461568736, NULL, NULL, 0),
(53263, 199, 9472, 6, 1461276000, 1, 199, 1461572075, NULL, NULL, 0),
(53264, 199, 2, 1, 1461621600, 1, 199, 1461572442, NULL, NULL, 0),
(71037, 169, 12305, 5, 1473026400, 1, 169, 1473091661, NULL, NULL, 0),
(53500, 164, 6967, 18, 1461535200, 0.5, 164, 1461597075, NULL, NULL, 0),
(53502, 164, 8949, 18, 1461535200, 0.5, 164, 1461597098, NULL, NULL, 0),
(53503, 164, 8949, 18, 1461621600, 0.75, 164, 1461597115, NULL, NULL, 0),
(53505, 164, 8395, 18, 1461621600, 0.25, 164, 1461597133, NULL, NULL, 0),
(53528, 72, 8621, 4, 1461535200, 0.5, 72, 1461598309, NULL, NULL, 0),
(53530, 72, 8801, 5, 1461535200, 0.5, 72, 1461598350, NULL, NULL, 0),
(53605, 199, 10330, 5, 1461535200, 0.75, 199, 1461600041, NULL, NULL, 0),
(71073, 147, 12689, 7, 1473026400, 1, 147, 1473146530, NULL, NULL, 0),
(71071, 147, 12688, 5, 1472767200, 1, 147, 1473146426, NULL, NULL, 0),
(71070, 134, 13774, 7, 1473026400, 0.5, 134, 1473146130, NULL, NULL, 0),
(71069, 134, 12781, 27, 1473026400, 0.25, 134, 1473146069, NULL, NULL, 0),
(71068, 134, 13785, 7, 1473026400, 0.25, 134, 1473146023, NULL, NULL, 0),
(71065, 134, 14037, 4, 1472680800, 1, 134, 1473145767, NULL, NULL, 0),
(71066, 134, 13785, 7, 1472594400, 0.7, 134, 1473145939, NULL, NULL, 0),
(71063, 134, 13785, 5, 1472767200, 1, 134, 1473145661, NULL, NULL, 0),
(53606, 199, 10329, 5, 1461535200, 0.25, 199, 1461600088, NULL, NULL, 0),
(55159, 169, 1506, 1, 1462831200, 0.5, 169, 1463129695, NULL, NULL, 0),
(56505, 164, 1435, 1, 1464300000, 0.5, 164, 1464350645, NULL, NULL, 0),
(56504, 164, 8949, 17, 1464300000, 0.5, 164, 1464350607, NULL, NULL, 0),
(56503, 164, 8949, 17, 1464213600, 0.5, 164, 1464350579, NULL, NULL, 0),
(53676, 158, 2, 1, 1461794400, 1, 158, 1461668646, NULL, NULL, 0),
(53677, 158, 9685, 4, 1461621600, 1, 158, 1461668849, NULL, NULL, 0),
(56502, 164, 11032, 18, 1464213600, 0.5, 164, 1464350542, NULL, NULL, 0),
(53755, 157, 10359, 4, 1461535200, 0.5, 157, 1461681628, NULL, NULL, 0),
(53756, 157, 10359, 6, 1461621600, 0.5, 157, 1461681655, NULL, NULL, 0),
(53757, 157, 9459, 6, 1461535200, 0.5, 157, 1461681676, NULL, NULL, 0),
(53758, 157, 9459, 6, 1461621600, 0.5, 157, 1461681695, NULL, NULL, 0),
(53759, 134, 9683, 4, 1461535200, 1, 134, 1461682656, NULL, NULL, 0),
(53760, 134, 9683, 4, 1461621600, 1, 134, 1461682718, NULL, NULL, 0),
(53771, 146, 2, 1, 1461880800, 0.5, 146, 1461683838, NULL, NULL, 0),
(53772, 146, 10086, 5, 1461535200, 1, 146, 1461683898, NULL, NULL, 0),
(53794, 109, 2, 1, 1461794400, 1, 2, 1461744998, NULL, NULL, 0),
(53795, 109, 2, 1, 1461880800, 1, 2, 1461744998, NULL, NULL, 0),
(53796, 109, 2, 1, 1462312800, 1, 2, 1461744998, NULL, NULL, 0),
(53797, 109, 2, 1, 1462485600, 1, 2, 1461744998, NULL, NULL, 0),
(53798, 109, 2, 1, 1462744800, 1, 2, 1461744998, NULL, NULL, 0),
(53799, 109, 2, 1, 1462831200, 1, 2, 1461744998, NULL, NULL, 0),
(53800, 109, 2, 1, 1462917600, 1, 2, 1461744998, NULL, NULL, 0),
(53801, 109, 2, 1, 1463004000, 1, 2, 1461744998, NULL, NULL, 0),
(53802, 109, 2, 1, 1463090400, 1, 2, 1461744998, NULL, NULL, 0),
(53803, 93, 10290, 4, 1461535200, 0.5, 93, 1461746555, NULL, NULL, 0),
(53804, 93, 9675, 4, 1461535200, 0.5, 93, 1461746610, NULL, NULL, 0),
(53805, 93, 10192, 4, 1461621600, 1, 93, 1461746709, NULL, NULL, 0),
(54301, 116, 1505, 1, 1462226400, 0.4, 116, 1462283038, NULL, NULL, 0),
(53839, 158, 9685, 4, 1461708000, 1, 158, 1461765448, NULL, NULL, 0),
(53863, 74, 10089, 6, 1461535200, 0.5, 74, 1461767880, NULL, NULL, 0),
(53866, 74, 8838, 4, 1461535200, 0.5, 74, 1461767952, NULL, NULL, 0),
(53867, 74, 8838, 4, 1461621600, 0.5, 74, 1461767968, NULL, NULL, 0),
(53869, 74, 8838, 4, 1461708000, 0.5, 74, 1461767992, NULL, NULL, 0),
(53871, 74, 8839, 5, 1461708000, 0.5, 74, 1461768061, NULL, NULL, 0),
(53872, 74, 8839, 5, 1461794400, 1, 74, 1461768076, NULL, NULL, 0),
(53971, 164, 11032, 18, 1461794400, 0.5, 164, 1461835699, NULL, NULL, 0),
(53992, 72, 23791, 1, 1461794400, 1, 72, 1461843051, NULL, NULL, 0),
(53993, 72, 23791, 1, 1461621600, 1, 72, 1461843094, NULL, NULL, 0),
(53994, 72, 23791, 1, 1461708000, 1, 72, 1461843094, NULL, NULL, 0),
(54031, 147, 10193, 4, 1461621600, 1, 147, 1461856734, NULL, NULL, 0),
(54032, 147, 10193, 4, 1461708000, 1, 147, 1461856757, NULL, NULL, 0),
(54033, 147, 10193, 4, 1461794400, 1, 147, 1461856774, NULL, NULL, 0),
(54034, 147, 10193, 4, 1461880800, 1, 147, 1461856802, NULL, NULL, 0),
(54035, 157, 10401, 4, 1461880800, 0.25, 157, 1461908106, NULL, NULL, 0),
(54036, 157, 10144, 4, 1461880800, 0.5, 157, 1461908247, NULL, NULL, 0),
(54037, 157, 6636, 4, 1461794400, 0.5, 157, 1461908292, NULL, NULL, 0),
(54038, 157, 9468, 4, 1461794400, 0.5, 157, 1461908321, NULL, NULL, 0),
(54039, 93, 7395, 4, 1461708000, 0.4, 93, 1461913046, NULL, NULL, 0),
(54040, 93, 7392, 4, 1461708000, 0.4, 93, 1461913075, NULL, NULL, 0),
(54041, 93, 8403, 4, 1461708000, 0.2, 93, 1461913101, NULL, NULL, 0),
(54044, 217, 2, 1, 1461794400, 1, 217, 1461914349, NULL, NULL, 0),
(54043, 217, 10395, 4, 1461880800, 1, 217, 1461914334, NULL, NULL, 0),
(54045, 199, 9472, 5, 1461708000, 1, 199, 1461914538, NULL, NULL, 0),
(54046, 199, 8840, 5, 1461794400, 0.5, 199, 1461914573, NULL, NULL, 0),
(54047, 199, 9471, 5, 1461794400, 0.5, 199, 1461914602, NULL, NULL, 0),
(54048, 93, 10192, 4, 1461794400, 0.5, 93, 1461915085, NULL, NULL, 0),
(54051, 134, 9684, 4, 1461708000, 1, 134, 1461916849, NULL, NULL, 0),
(54050, 93, 7392, 4, 1461794400, 0.5, 93, 1461915107, NULL, NULL, 0),
(54052, 134, 9684, 4, 1461794400, 0.7, 134, 1461916874, NULL, NULL, 0),
(54053, 134, 9683, 4, 1461794400, 0.3, 134, 1461916924, NULL, NULL, 0),
(54054, 134, 9683, 4, 1461880800, 0.5, 134, 1461916959, NULL, NULL, 0),
(54055, 134, 9683, 4, 1461880800, 0.5, 134, 1461916996, NULL, NULL, 0),
(54056, 169, 9633, 5, 1461535200, 1, 169, 1461918155, NULL, NULL, 0),
(54057, 169, 9633, 5, 1461621600, 1, 169, 1461918177, NULL, NULL, 0),
(54058, 169, 9633, 6, 1461708000, 1, 169, 1461918203, NULL, NULL, 0),
(54059, 169, 9633, 6, 1461794400, 1, 169, 1461918215, NULL, NULL, 0),
(54060, 169, 9633, 6, 1461880800, 1, 169, 1461918228, NULL, NULL, 0),
(54065, 146, 7114, 5, 1461621600, 1, 146, 1461925748, NULL, NULL, 0),
(54066, 146, 7114, 5, 1461708000, 1, 146, 1461925765, NULL, NULL, 0),
(54067, 146, 7114, 5, 1461794400, 1, 146, 1461925786, NULL, NULL, 0),
(54068, 146, 7114, 5, 1461880800, 0.5, 146, 1461925801, NULL, NULL, 0),
(54070, 212, 10018, 6, 1461535200, 1, 212, 1461933299, NULL, NULL, 0),
(54072, 212, 10018, 6, 1461621600, 0.5, 212, 1461933328, NULL, NULL, 0),
(54076, 212, 10087, 4, 1461621600, 0.5, 212, 1461933370, NULL, NULL, 0),
(56957, 134, 9683, 4, 1464645600, 1, 134, 1464678594, NULL, NULL, 0),
(54080, 212, 10087, 6, 1461794400, 1, 212, 1461933517, NULL, NULL, 0),
(54079, 212, 10087, 6, 1461708000, 1, 212, 1461933443, NULL, NULL, 0),
(54081, 212, 10087, 6, 1461880800, 0.7, 212, 1461933648, NULL, NULL, 0),
(54082, 212, 1505, 1, 1461880800, 0.3, 212, 1461933666, NULL, NULL, 0),
(54083, 88, 2, 1, 1462485600, 1, 88, 1461933766, NULL, NULL, 0),
(54084, 88, 2, 1, 1462744800, 1, 88, 1461933766, NULL, NULL, 0),
(54085, 88, 2, 1, 1462831200, 1, 88, 1461933766, NULL, NULL, 0),
(54086, 88, 2, 1, 1462917600, 1, 88, 1461933766, NULL, NULL, 0),
(54087, 88, 2, 1, 1463004000, 1, 88, 1461933766, NULL, NULL, 0),
(54088, 88, 2, 1, 1463090400, 1, 88, 1461933766, NULL, NULL, 0),
(54089, 88, 2, 1, 1463349600, 1, 88, 1461933766, NULL, NULL, 0),
(54090, 88, 2, 1, 1463436000, 1, 88, 1461933766, NULL, NULL, 0),
(54091, 88, 2, 1, 1463522400, 1, 88, 1461933766, NULL, NULL, 0),
(54092, 88, 2, 1, 1463608800, 1, 88, 1461933766, NULL, NULL, 0),
(54093, 88, 2, 1, 1463695200, 1, 88, 1461933766, NULL, NULL, 0),
(54094, 88, 2, 1, 1463954400, 1, 88, 1461933766, NULL, NULL, 0),
(54096, 217, 10248, 4, 1461708000, 0.5, 217, 1461935405, NULL, NULL, 0),
(54107, 217, 10044, 2, 1461708000, 0.3, 217, 1461936202, NULL, NULL, 0),
(54110, 74, 8839, 5, 1461880800, 0.8, 74, 1461937173, NULL, NULL, 0),
(54108, 217, 10018, 2, 1461708000, 0.2, 217, 1461936213, NULL, NULL, 0),
(54111, 164, 6967, 18, 1461880800, 0.25, 164, 1461937674, NULL, NULL, 0),
(54112, 164, 1435, 1, 1461794400, 0.5, 164, 1461937708, NULL, NULL, 0),
(54117, 2, 10422, 1, 1461708000, 1, 2, 1461938050, NULL, NULL, 0),
(54114, 164, 1, 1, 1461880800, 0.5, 164, 1461937738, NULL, NULL, 0),
(54116, 164, 6967, 17, 1461880800, 0.25, 164, 1461937809, NULL, NULL, 0),
(54118, 2, 10422, 1, 1461794400, 0.5, 2, 1461938059, NULL, NULL, 0),
(54119, 2, 23791, 1, 1461794400, 0.25, 2, 1461938083, NULL, NULL, 0),
(54120, 2, 23791, 1, 1461880800, 0.75, 2, 1461938093, NULL, NULL, 0),
(54121, 158, 9685, 4, 1461880800, 1, 158, 1461941661, NULL, NULL, 0),
(54122, 200, 10391, 4, 1461535200, 1, 200, 1461942668, NULL, NULL, 0),
(54123, 200, 10391, 4, 1461621600, 1, 200, 1461942678, NULL, NULL, 0),
(54124, 200, 10391, 7, 1461708000, 1, 200, 1461942697, NULL, NULL, 0),
(54126, 200, 10391, 7, 1461880800, 1, 200, 1461942713, NULL, NULL, 0),
(54127, 200, 2, 1, 1461794400, 1, 200, 1461942730, NULL, NULL, 0),
(54143, 74, 10423, 4, 1461880800, 0.2, 72, 1461944305, NULL, NULL, 0),
(54144, 93, 7391, 4, 1461880800, 0.3, 93, 1461944488, NULL, NULL, 0),
(54145, 93, 10192, 4, 1461880800, 0.7, 93, 1461944541, NULL, NULL, 0),
(54233, 116, 2, 1, 1462312800, 1, 116, 1462199214, NULL, NULL, 0),
(54147, 2, 1437, 1, 1461880800, 0.25, 2, 1462111703, NULL, NULL, 0),
(54148, 2, 10422, 1, 1461794400, 0.25, 2, 1462111713, NULL, NULL, 0),
(54149, 157, 2, 1, 1466546400, 1, 157, 1462167082, NULL, NULL, 0),
(54150, 199, 10427, 5, 1461880800, 1, 199, 1462172841, NULL, NULL, 0),
(54151, 200, 2, 1, 1462485600, 1, 200, 1462174112, NULL, NULL, 0),
(54170, 2, 2041, 1, 1462140000, 0.25, 2, 1462178793, NULL, NULL, 0),
(54202, 2, 10414, 4, 1462140000, 0.25, 2, 1462181398, NULL, NULL, 0),
(54203, 157, 2, 1, 1468533600, 1, 157, 1462182478, NULL, NULL, 0),
(54204, 157, 2, 1, 1477260000, 1, 157, 1462182511, NULL, NULL, 0),
(54205, 157, 2, 1, 1477346400, 1, 157, 1462182511, NULL, NULL, 0),
(54206, 157, 2, 1, 1477432800, 1, 157, 1462182511, NULL, NULL, 0),
(57541, 157, 7392, 5, 1465164000, 1, 157, 1465279294, NULL, NULL, 0),
(57542, 157, 10401, 7, 1465250400, 0.5, 157, 1465279341, NULL, NULL, 0),
(54210, 2, 23791, 1, 1462140000, 0.25, 2, 1462190253, NULL, NULL, 0),
(54228, 212, 2, 1, 1462485600, 1, 212, 1462197591, NULL, NULL, 0),
(54229, 146, 2, 1, 1462485600, 1, 146, 1462197683, NULL, NULL, 0),
(54231, 93, 4334, 2, 1462140000, 0.25, 93, 1462197809, NULL, NULL, 0),
(54232, 93, 10192, 4, 1462140000, 0.75, 93, 1462197843, NULL, NULL, 0),
(54234, 116, 4334, 4, 1462140000, 1, 116, 1462199234, NULL, NULL, 0),
(54236, 199, 10437, 5, 1462140000, 0.4, 199, 1462201350, NULL, NULL, 0),
(54237, 72, 4857, 1, 1462140000, 1, 72, 1462202009, NULL, NULL, 0),
(54238, 72, 4857, 1, 1462226400, 1, 72, 1462202019, NULL, NULL, 0),
(54521, 72, 8801, 6, 1462312800, 1, 72, 1462374166, NULL, NULL, 0),
(54242, 2, 1437, 1, 1462140000, 0.1, 2, 1462203962, NULL, NULL, 0),
(54243, 2, 23791, 1, 1462140000, 0.1, 2, 1462204007, NULL, NULL, 0),
(54244, 2, 23791, 1, 1462140000, 0.05, 2, 1462204012, NULL, NULL, 0),
(54245, 157, 10488, 4, 1462140000, 1, 157, 1462256834, NULL, NULL, 0),
(54367, 157, 10489, 5, 1462226400, 0.75, 157, 1462286609, NULL, NULL, 0),
(54247, 157, 10489, 6, 1462312800, 1, 157, 1462256894, NULL, NULL, 0),
(54254, 205, 2, 1, 1462485600, 1, 205, 1462269034, NULL, NULL, 0),
(54256, 205, 2, 1, 1470607200, 1, 205, 1462269214, NULL, NULL, 0),
(54257, 205, 2, 1, 1470693600, 1, 205, 1462269214, NULL, NULL, 0),
(54258, 205, 2, 1, 1470780000, 1, 205, 1462269214, NULL, NULL, 0),
(54259, 205, 2, 1, 1470866400, 1, 205, 1462269214, NULL, NULL, 0),
(54260, 205, 2, 1, 1470952800, 1, 205, 1462269214, NULL, NULL, 0),
(54261, 205, 2, 1, 1471298400, 1, 205, 1462269214, NULL, NULL, 0),
(54262, 205, 2, 1, 1471384800, 1, 205, 1462269214, NULL, NULL, 0),
(54263, 205, 2, 1, 1471471200, 1, 205, 1462269214, NULL, NULL, 0),
(54264, 205, 2, 1, 1471557600, 1, 205, 1462269214, NULL, NULL, 0),
(63680, 205, 2, 1, 1470348000, 0.5, 205, 1469524374, NULL, NULL, 0),
(63679, 205, 2, 1, 1473199200, 1, 205, 1469524339, NULL, NULL, 0),
(63683, 212, 13008, 6, 1469397600, 0.8, 212, 1469531379, NULL, NULL, 0),
(63684, 212, 2, 1, 1469743200, 0.5, 212, 1469531405, NULL, NULL, 0),
(54270, 93, 10192, 4, 1462226400, 1, 93, 1462271394, NULL, NULL, 0),
(54271, 93, 10192, 4, 1462312800, 1, 93, 1462271408, NULL, NULL, 0),
(54272, 217, 10395, 4, 1462140000, 1, 217, 1462275534, NULL, NULL, 0),
(54273, 217, 10399, 4, 1462226400, 0.5, 217, 1462275645, NULL, NULL, 0),
(54275, 217, 2, 1, 1462485600, 1, 217, 1462275718, NULL, NULL, 0),
(54276, 217, 10392, 4, 1462312800, 0.5, 217, 1462275765, NULL, NULL, 0),
(54277, 217, 10395, 7, 1462312800, 0.5, 217, 1462275798, NULL, NULL, 0),
(54293, 217, 9685, 4, 1462226400, 0.5, 217, 1462281536, NULL, NULL, 0),
(54344, 116, 10426, 2, 1462226400, 0.6, 116, 1462285296, NULL, NULL, 0),
(54368, 157, 1506, 1, 1462226400, 0.25, 157, 1462286638, NULL, NULL, 0),
(54382, 158, 9685, 4, 1462226400, 0.75, 158, 1462288898, NULL, NULL, 0),
(54476, 169, 9633, 6, 1462140000, 1, 169, 1462350980, NULL, NULL, 0),
(54427, 2, 10422, 1, 1462226400, 0.25, 2, 1462291661, NULL, NULL, 0),
(54429, 2, 9951, 17, 1462226400, 0.2, 2, 1462291688, NULL, NULL, 0),
(54431, 2, 9951, 18, 1462226400, 0.25, 2, 1462291719, NULL, NULL, 0),
(54469, 212, 10087, 6, 1462140000, 1, 212, 1462347825, NULL, NULL, 0),
(54472, 212, 10087, 6, 1462226400, 1, 212, 1462347870, NULL, NULL, 0),
(54475, 158, 10415, 4, 1462226400, 0.25, 158, 1462348075, NULL, NULL, 0),
(54477, 169, 9633, 6, 1462226400, 1, 169, 1462351010, NULL, NULL, 0),
(54478, 158, 9685, 4, 1462312800, 0.25, 158, 1462351040, NULL, NULL, 0),
(54479, 212, 2, 1, 1463695200, 0.5, 212, 1462351098, NULL, NULL, 0),
(54495, 200, 10391, 7, 1462140000, 1, 200, 1462371700, NULL, NULL, 0),
(54496, 200, 10391, 7, 1462226400, 1, 200, 1462371716, NULL, NULL, 0),
(54497, 200, 10393, 4, 1462312800, 1, 200, 1462371767, NULL, NULL, 0),
(54570, 2, 1, 1, 1462226400, 0.25, 2, 1462778887, NULL, NULL, 0),
(54519, 2, 9951, 17, 1462312800, 0.25, 2, 1462373343, NULL, NULL, 0),
(54520, 2, 1435, 1, 1462312800, 0.25, 2, 1462373384, NULL, NULL, 0),
(54523, 134, 9683, 4, 1462140000, 1, 134, 1462375741, NULL, NULL, 0),
(54527, 134, 10390, 5, 1462312800, 0.5, 134, 1462375861, NULL, NULL, 0),
(54528, 134, 9683, 4, 1462226400, 1, 134, 1462375902, NULL, NULL, 0),
(54529, 134, 9683, 4, 1462312800, 0.5, 134, 1462375918, NULL, NULL, 0),
(54534, 164, 8949, 18, 1462140000, 0.5, 164, 1462526554, NULL, NULL, 0),
(54572, 164, 11032, 18, 1462140000, 0.25, 164, 1462779476, NULL, NULL, 0),
(54535, 164, 6967, 17, 1462140000, 0.25, 164, 1462526578, NULL, NULL, 0),
(54537, 164, 1435, 1, 1462312800, 0.5, 164, 1462526646, NULL, NULL, 0),
(54538, 164, 1435, 1, 1462485600, 0.5, 164, 1462526654, NULL, NULL, 0),
(54539, 164, 1435, 1, 1462312800, 0.5, 164, 1462526678, NULL, NULL, 0),
(54540, 164, 8949, 18, 1462485600, 0.5, 164, 1462526708, NULL, NULL, 0),
(54542, 199, 10413, 5, 1462485600, 1, 199, 1462545493, NULL, NULL, 0),
(54545, 199, 10366, 5, 1462140000, 0.6, 199, 1462545616, NULL, NULL, 0),
(54544, 199, 10427, 4, 1462312800, 0.75, 199, 1462545561, NULL, NULL, 0),
(54546, 199, 10366, 5, 1462226400, 1, 199, 1462545631, NULL, NULL, 0),
(54547, 199, 10366, 5, 1462312800, 0.25, 199, 1462545652, NULL, NULL, 0),
(54548, 169, 10390, 4, 1462312800, 1, 169, 1462546517, NULL, NULL, 0),
(54549, 169, 10390, 5, 1462485600, 1, 169, 1462546530, NULL, NULL, 0),
(54550, 157, 1, 1, 1462831200, 0.5, 157, 1462776000, NULL, NULL, 0),
(54569, 2, 1, 1, 1462312800, 0.25, 2, 1462778808, NULL, NULL, 0),
(54571, 2, 1437, 1, 1462226400, 0.05, 2, 1462778901, NULL, NULL, 0),
(54655, 217, 10395, 7, 1462744800, 1, 217, 1462802150, NULL, NULL, 0),
(54656, 147, 2, 1, 1470607200, 1, 147, 1462802440, NULL, NULL, 0),
(54657, 147, 2, 1, 1470693600, 1, 147, 1462802440, NULL, NULL, 0),
(54658, 147, 2, 1, 1470780000, 1, 147, 1462802440, NULL, NULL, 0),
(54659, 147, 2, 1, 1470866400, 1, 147, 1462802440, NULL, NULL, 0),
(54660, 147, 2, 1, 1470952800, 1, 147, 1462802440, NULL, NULL, 0),
(54661, 147, 2, 1, 1471298400, 1, 147, 1462802440, NULL, NULL, 0),
(54662, 147, 2, 1, 1471384800, 1, 147, 1462802440, NULL, NULL, 0),
(54663, 147, 2, 1, 1471471200, 1, 147, 1462802440, NULL, NULL, 0),
(54664, 147, 2, 1, 1471557600, 1, 147, 1462802440, NULL, NULL, 0),
(54665, 147, 2, 1, 1471816800, 1, 147, 1462802440, NULL, NULL, 0),
(54666, 147, 2, 1, 1471903200, 1, 147, 1462802440, NULL, NULL, 0),
(54670, 147, 10611, 5, 1462140000, 1, 147, 1462804313, NULL, NULL, 0),
(54671, 147, 10611, 5, 1462226400, 1, 147, 1462804336, NULL, NULL, 0),
(54672, 147, 10611, 5, 1462744800, 1, 147, 1462804370, NULL, NULL, 0),
(54673, 72, 1506, 1, 1462744800, 0.2, 72, 1462806995, NULL, NULL, 0),
(54674, 2, 1, 1, 1462744800, 0.75, 2, 1462807022, NULL, NULL, 0),
(54675, 164, 8949, 17, 1462744800, 0.5, 164, 1462807280, NULL, NULL, 0),
(54676, 164, 1435, 1, 1462744800, 0.3, 164, 1462807303, NULL, NULL, 0),
(54677, 164, 1506, 1, 1462744800, 0.2, 164, 1462807347, NULL, NULL, 0),
(54678, 146, 1505, 1, 1462140000, 0.5, 146, 1462807424, NULL, NULL, 0),
(54679, 146, 7114, 5, 1462140000, 0.5, 146, 1462807571, NULL, NULL, 0),
(54680, 146, 7114, 5, 1462226400, 1, 146, 1462807592, NULL, NULL, 0),
(54681, 146, 7114, 5, 1462312800, 1, 146, 1462807604, NULL, NULL, 0),
(54682, 2, 10422, 1, 1462744800, 0.25, 2, 1462808106, NULL, NULL, 0),
(54683, 157, 1506, 1, 1462744800, 0.5, 157, 1462861683, NULL, NULL, 0),
(54684, 157, 10488, 18, 1462744800, 0.5, 157, 1462861741, NULL, NULL, 0),
(54685, 116, 10088, 4, 1462744800, 0.5, 116, 1462866426, NULL, NULL, 0),
(54686, 116, 10426, 4, 1462744800, 0.5, 116, 1462866453, NULL, NULL, 0),
(54687, 158, 2, 1, 1463004000, 1, 158, 1462867237, NULL, NULL, 0),
(54702, 116, 1506, 1, 1462831200, 0.5, 116, 1462881061, NULL, NULL, 0),
(54701, 217, 10397, 4, 1462831200, 1, 217, 1462879683, NULL, NULL, 0),
(54705, 205, 10394, 4, 1462140000, 1, 205, 1462884286, NULL, NULL, 0),
(54706, 205, 10394, 4, 1462226400, 1, 205, 1462884299, NULL, NULL, 0),
(54707, 205, 10391, 2, 1462312800, 1, 205, 1462884376, NULL, NULL, 0),
(54708, 205, 10395, 2, 1462744800, 0.5, 205, 1462884589, NULL, NULL, 0),
(55194, 205, 1, 1, 1462831200, 0.5, 205, 1463137194, NULL, NULL, 0),
(54710, 205, 10625, 4, 1462744800, 0.2, 205, 1462884757, NULL, NULL, 0),
(54712, 205, 10394, 4, 1462744800, 0.3, 205, 1462884807, NULL, NULL, 0),
(54714, 217, 10397, 7, 1462917600, 1, 217, 1462890473, NULL, NULL, 0),
(55339, 2, 23791, 1, 1463436000, 0.3, 2, 1463563363, NULL, NULL, 0),
(55338, 2, 1435, 1, 1463436000, 0.5, 2, 1463563353, NULL, NULL, 0),
(55337, 2, 1, 1, 1463436000, 0.2, 2, 1463563336, NULL, NULL, 0),
(54723, 217, 2, 1, 1468533600, 1, 217, 1462890593, NULL, NULL, 0),
(54724, 158, 1506, 1, 1462831200, 0.5, 158, 1462891846, NULL, NULL, 0),
(54725, 116, 1506, 1, 1462831200, 0.5, 116, 1462891948, NULL, NULL, 0),
(54732, 72, 23791, 1, 1462744800, 0.8, 72, 1462894682, NULL, NULL, 0),
(54727, 158, 10391, 4, 1462831200, 0.25, 158, 1462892326, NULL, NULL, 0),
(54728, 158, 10415, 4, 1462831200, 0.25, 158, 1462892412, NULL, NULL, 0),
(54730, 72, 1506, 1, 1462831200, 0.2, 72, 1462894603, NULL, NULL, 0),
(54733, 72, 23791, 1, 1462831200, 0.8, 72, 1462894689, NULL, NULL, 0),
(54740, 2, 1506, 1, 1462831200, 0.2, 2, 1462953194, NULL, NULL, 0),
(54741, 2, 1436, 1, 1462831200, 0.5, 2, 1462953505, NULL, NULL, 0),
(54742, 147, 1506, 1, 1462831200, 0.3, 147, 1462954046, NULL, NULL, 0),
(54744, 147, 10617, 4, 1462831200, 0.7, 147, 1462954300, NULL, NULL, 0),
(54750, 199, 10636, 5, 1462917600, 0.3, 199, 1462958091, NULL, NULL, 0),
(54749, 199, 2, 1, 1463004000, 1, 199, 1462957947, NULL, NULL, 0),
(54752, 164, 1506, 1, 1462831200, 0.5, 164, 1462959902, NULL, NULL, 0),
(54753, 164, 11032, 18, 1462831200, 0.5, 164, 1462959956, NULL, NULL, 0),
(54754, 164, 11032, 18, 1462917600, 0.5, 164, 1462959970, NULL, NULL, 0),
(54755, 164, 1435, 1, 1462917600, 0.5, 164, 1462959989, NULL, NULL, 0),
(54756, 2, 1, 1, 1462917600, 0.25, 2, 1462961929, NULL, NULL, 0),
(54757, 2, 1, 1, 1462917600, 0.25, 2, 1462963152, NULL, NULL, 0),
(54758, 72, 1506, 1, 1462917600, 0.2, 72, 1462964167, NULL, NULL, 0),
(54759, 72, 23791, 1, 1462917600, 0.8, 72, 1462964179, NULL, NULL, 0),
(54761, 158, 1506, 1, 1462917600, 0.5, 158, 1462969460, NULL, NULL, 0),
(54763, 158, 10415, 4, 1462917600, 0.5, 158, 1462969490, NULL, NULL, 0),
(54764, 217, 10397, 7, 1463004000, 1, 217, 1462970819, NULL, NULL, 0),
(54836, 116, 10088, 4, 1462917600, 0.5, 116, 1462976645, NULL, NULL, 0),
(54837, 116, 1506, 1, 1462917600, 0.5, 116, 1462976666, NULL, NULL, 0),
(54839, 147, 10617, 4, 1462917600, 0.75, 147, 1462979781, NULL, NULL, 0),
(54840, 147, 1506, 1, 1462917600, 0.25, 147, 1462979798, NULL, NULL, 0),
(54841, 205, 10651, 4, 1462831200, 0.1, 205, 1462981078, NULL, NULL, 0),
(55198, 205, 10393, 2, 1463004000, 0.1, 205, 1463137331, NULL, NULL, 0),
(54844, 205, 9889, 4, 1462917600, 0.4, 205, 1462981235, NULL, NULL, 0),
(54845, 205, 10394, 4, 1462917600, 0.6, 205, 1462981252, NULL, NULL, 0),
(54852, 2, 10422, 1, 1462917600, 0.5, 2, 1462981930, NULL, NULL, 0),
(54855, 2, 10422, 1, 1462831200, 0.3, 2, 1462981954, NULL, NULL, 0),
(54939, 157, 10144, 4, 1462831200, 0.5, 157, 1463038724, NULL, NULL, 0),
(54940, 157, 10144, 4, 1462917600, 1, 157, 1463038736, NULL, NULL, 0),
(54941, 157, 10144, 4, 1463004000, 1, 157, 1463038747, NULL, NULL, 0),
(54942, 157, 10144, 4, 1463090400, 1, 157, 1463038759, NULL, NULL, 0),
(54958, 2, 10422, 1, 1463004000, 0.5, 2, 1463055703, NULL, NULL, 0),
(54947, 212, 1506, 1, 1462744800, 0.3, 212, 1463055161, NULL, NULL, 0),
(54948, 212, 1506, 1, 1462831200, 0.3, 212, 1463055171, NULL, NULL, 0),
(54949, 212, 1506, 1, 1462917600, 0.3, 212, 1463055181, NULL, NULL, 0),
(54950, 212, 1506, 1, 1463004000, 0.3, 212, 1463055228, NULL, NULL, 0),
(54951, 146, 1506, 1, 1462831200, 1, 146, 1463055248, NULL, NULL, 0),
(54952, 146, 1506, 1, 1462744800, 0.2, 146, 1463055270, NULL, NULL, 0),
(54960, 212, 10659, 4, 1462831200, 0.7, 212, 1463055920, NULL, NULL, 0),
(54955, 146, 1506, 1, 1463004000, 1, 146, 1463055329, NULL, NULL, 0),
(54959, 212, 8802, 6, 1462744800, 0.7, 212, 1463055857, NULL, NULL, 0),
(54961, 212, 10659, 4, 1462917600, 0.7, 212, 1463055968, NULL, NULL, 0),
(55180, 199, 10193, 5, 1463090400, 1, 199, 1463132673, NULL, NULL, 0),
(54968, 146, 2, 1, 1463090400, 1, 146, 1463057238, NULL, NULL, 0),
(54965, 146, 10625, 4, 1462744800, 0.2, 146, 1463057070, NULL, NULL, 0),
(54967, 146, 7114, 5, 1462744800, 0.6, 146, 1463057185, NULL, NULL, 0),
(54969, 146, 10391, 4, 1462917600, 0.2, 146, 1463058707, NULL, NULL, 0),
(54970, 146, 1506, 1, 1462917600, 0.8, 146, 1463058734, NULL, NULL, 0),
(55032, 147, 2, 1, 1464559200, 1, 147, 1463062331, NULL, NULL, 0),
(61964, 147, 2, 1, 1477260000, 1, 147, 1468328597, NULL, NULL, 0),
(55052, 147, 2, 1, 1477346400, 1, 147, 1463063656, NULL, NULL, 0),
(55053, 147, 2, 1, 1477432800, 1, 147, 1463063656, NULL, NULL, 0),
(55054, 147, 2, 1, 1477519200, 1, 147, 1463063656, NULL, NULL, 0),
(55055, 147, 2, 1, 1477605600, 1, 147, 1463063656, NULL, NULL, 0),
(55056, 147, 2, 1, 1477868400, 1, 147, 1463063656, NULL, NULL, 0),
(55059, 147, 2, 1, 1482102000, 1, 147, 1463063863, NULL, NULL, 0),
(55060, 147, 2, 1, 1482188400, 1, 147, 1463063863, NULL, NULL, 0),
(55061, 147, 2, 1, 1482274800, 1, 147, 1463063863, NULL, NULL, 0),
(82522, 147, 14060, 5, 1479942000, 1, 147, 1480079634, NULL, NULL, 0),
(55063, 147, 2, 1, 1482447600, 1, 147, 1463063863, NULL, NULL, 0),
(55114, 147, 1506, 1, 1463004000, 0.5, 147, 1463068462, NULL, NULL, 0),
(55115, 147, 10617, 4, 1463004000, 0.5, 147, 1463068483, NULL, NULL, 0),
(55145, 169, 2, 1, 1466373600, 1, 169, 1463075145, NULL, NULL, 0),
(55146, 169, 2, 1, 1466460000, 1, 169, 1463075145, NULL, NULL, 0),
(55147, 169, 2, 1, 1466546400, 1, 169, 1463075145, NULL, NULL, 0),
(55148, 169, 2, 1, 1466632800, 1, 169, 1463075145, NULL, NULL, 0),
(55149, 169, 2, 1, 1466719200, 1, 169, 1463075145, NULL, NULL, 0),
(55150, 169, 2, 1, 1466978400, 1, 169, 1463075145, NULL, NULL, 0),
(55151, 169, 2, 1, 1467064800, 1, 169, 1463075145, NULL, NULL, 0),
(55152, 169, 2, 1, 1467151200, 1, 169, 1463075145, NULL, NULL, 0),
(55153, 169, 2, 1, 1467237600, 1, 169, 1463075145, NULL, NULL, 0),
(55156, 169, 10390, 5, 1462744800, 1, 169, 1463129586, NULL, NULL, 0),
(55157, 200, 10393, 4, 1462831200, 1, 200, 1463129602, NULL, NULL, 0),
(55158, 169, 10390, 7, 1462831200, 0.5, 169, 1463129609, NULL, NULL, 0),
(55160, 200, 10391, 4, 1462744800, 0.5, 200, 1463129748, NULL, NULL, 0),
(55161, 169, 1506, 1, 1462917600, 0.5, 169, 1463129752, NULL, NULL, 0),
(55162, 169, 1506, 1, 1463004000, 0.5, 169, 1463129785, NULL, NULL, 0),
(55163, 200, 10393, 4, 1462744800, 0.5, 200, 1463129788, NULL, NULL, 0),
(55164, 200, 10393, 4, 1462917600, 1, 200, 1463129802, NULL, NULL, 0),
(55165, 200, 10393, 4, 1463004000, 1, 200, 1463129820, NULL, NULL, 0),
(55166, 169, 1436, 1, 1463004000, 0.5, 169, 1463129855, NULL, NULL, 0),
(55167, 169, 1436, 1, 1462917600, 0.5, 169, 1463129893, NULL, NULL, 0),
(55168, 200, 10400, 4, 1463090400, 0.5, 200, 1463129917, NULL, NULL, 0),
(55169, 200, 10393, 4, 1463090400, 0.3, 200, 1463129972, NULL, NULL, 0),
(55170, 200, 1506, 1, 1463090400, 0.2, 200, 1463130002, NULL, NULL, 0),
(55171, 147, 1506, 1, 1463090400, 0.5, 147, 1463130855, NULL, NULL, 0),
(55172, 147, 10617, 4, 1463090400, 0.5, 147, 1463130894, NULL, NULL, 0),
(55173, 169, 10390, 7, 1463090400, 1, 169, 1463132221, NULL, NULL, 0),
(55174, 212, 10659, 4, 1463004000, 0.7, 212, 1463132360, NULL, NULL, 0),
(55176, 164, 1506, 1, 1463004000, 0.25, 164, 1463132594, NULL, NULL, 0),
(55177, 164, 1506, 1, 1463090400, 0.25, 164, 1463132622, NULL, NULL, 0),
(55178, 164, 1435, 1, 1463004000, 0.75, 164, 1463132632, NULL, NULL, 0),
(55179, 164, 1435, 1, 1463090400, 0.75, 164, 1463132638, NULL, NULL, 0),
(55181, 199, 10193, 5, 1462917600, 0.5, 199, 1463132713, NULL, NULL, 0),
(55182, 212, 1506, 1, 1463090400, 0.25, 212, 1463132740, NULL, NULL, 0),
(55183, 199, 10636, 5, 1462917600, 0.2, 199, 1463132784, NULL, NULL, 0),
(55184, 72, 23791, 1, 1463004000, 1, 72, 1463132809, NULL, NULL, 0),
(55185, 72, 23791, 1, 1463090400, 1, 72, 1463132821, NULL, NULL, 0),
(55186, 199, 10366, 5, 1462831200, 1, 199, 1463132866, NULL, NULL, 0),
(55285, 217, 10396, 7, 1463436000, 1, 217, 1463488183, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(55188, 199, 10413, 5, 1462744800, 1, 199, 1463132901, NULL, NULL, 0),
(55189, 158, 1506, 1, 1463090400, 0.5, 158, 1463133140, NULL, NULL, 0),
(55190, 158, 10415, 4, 1463090400, 0.5, 158, 1463133172, NULL, NULL, 0),
(55191, 205, 2, 1, 1464040800, 0.5, 205, 1463137056, NULL, NULL, 0),
(55192, 205, 10280, 4, 1461276000, 1, 205, 1463137133, NULL, NULL, 0),
(55193, 205, 10394, 4, 1462831200, 0.4, 205, 1463137171, NULL, NULL, 0),
(55197, 205, 10397, 2, 1463004000, 0.2, 205, 1463137306, NULL, NULL, 0),
(55199, 205, 10394, 4, 1463004000, 0.7, 205, 1463137345, NULL, NULL, 0),
(55200, 205, 9889, 4, 1463090400, 0.5, 205, 1463137386, NULL, NULL, 0),
(55201, 217, 10399, 4, 1463090400, 1, 217, 1463139147, NULL, NULL, 0),
(55213, 158, 2, 1, 1463436000, 1, 158, 1463141880, NULL, NULL, 0),
(55219, 2, 1435, 1, 1463004000, 0.5, 2, 1463155921, NULL, NULL, 0),
(55220, 2, 1435, 1, 1463090400, 0.75, 2, 1463155927, NULL, NULL, 0),
(55221, 2, 1435, 1, 1463090400, 0.25, 2, 1463155936, NULL, NULL, 0),
(55245, 109, 2, 1, 1463436000, 1, 109, 1463432639, NULL, NULL, 0),
(55246, 109, 2, 1, 1463608800, 1, 109, 1463432676, NULL, NULL, 0),
(55247, 109, 2, 1, 1464127200, 1, 109, 1463432716, NULL, NULL, 0),
(55248, 109, 2, 1, 1464559200, 1, 109, 1463432751, NULL, NULL, 0),
(55249, 109, 2, 1, 1465423200, 1, 109, 1463432810, NULL, NULL, 0),
(55250, 109, 2, 1, 1464040800, 1, 109, 1463432891, NULL, NULL, 0),
(55284, 212, 10423, 4, 1463090400, 0.75, 212, 1463485804, NULL, NULL, 0),
(55286, 205, 9889, 4, 1463436000, 0.5, 205, 1463492431, NULL, NULL, 0),
(55287, 205, 10651, 4, 1463436000, 0.2, 205, 1463492479, NULL, NULL, 0),
(55291, 205, 9889, 4, 1463090400, 0.5, 205, 1463495019, NULL, NULL, 0),
(55292, 212, 10659, 6, 1463436000, 0.3, 212, 1463495408, NULL, NULL, 0),
(55294, 116, 10088, 4, 1463436000, 0.5, 116, 1463495520, NULL, NULL, 0),
(55295, 116, 10426, 4, 1463436000, 0.5, 116, 1463495566, NULL, NULL, 0),
(55318, 158, 2, 1, 1463608800, 1, 158, 1463557623, NULL, NULL, 0),
(55319, 217, 2, 1, 1468792800, 1, 217, 1463558977, NULL, NULL, 0),
(55320, 217, 2, 1, 1468879200, 1, 217, 1463558977, NULL, NULL, 0),
(55321, 217, 2, 1, 1468965600, 1, 217, 1463558977, NULL, NULL, 0),
(55322, 217, 2, 1, 1469052000, 1, 217, 1463558977, NULL, NULL, 0),
(55323, 217, 2, 1, 1469138400, 1, 217, 1463558977, NULL, NULL, 0),
(55324, 217, 2, 1, 1469397600, 1, 217, 1463558977, NULL, NULL, 0),
(55325, 217, 2, 1, 1469484000, 1, 217, 1463558977, NULL, NULL, 0),
(55326, 217, 2, 1, 1469570400, 1, 217, 1463558977, NULL, NULL, 0),
(55327, 217, 2, 1, 1469656800, 1, 217, 1463558977, NULL, NULL, 0),
(55328, 217, 2, 1, 1469743200, 1, 217, 1463558977, NULL, NULL, 0),
(55350, 217, 10396, 7, 1463522400, 1, 217, 1463574852, NULL, NULL, 0),
(55352, 2, 1, 1, 1463522400, 0.2, 2, 1463579549, NULL, NULL, 0),
(55353, 2, 9951, 18, 1463522400, 0.5, 2, 1463579602, NULL, NULL, 0),
(55354, 2, 23791, 1, 1463522400, 0.3, 2, 1463579689, NULL, NULL, 0),
(55374, 72, 23791, 1, 1463436000, 1, 72, 1463582567, NULL, NULL, 0),
(55376, 72, 23791, 1, 1463522400, 1, 72, 1463582575, NULL, NULL, 0),
(55416, 116, 4278, 4, 1463522400, 1, 116, 1463583441, NULL, NULL, 0),
(55427, 164, 1041, 1, 1463608800, 1, 72, 1463640904, NULL, NULL, 0),
(55677, 93, 1, 1, 1464213600, 1, 93, 1463732820, NULL, NULL, 0),
(55675, 93, 1, 1, 1463954400, 1, 93, 1463732810, NULL, NULL, 0),
(55540, 93, 2, 1, 1464127200, 1, 93, 1463670276, NULL, NULL, 0),
(55676, 93, 1, 1, 1464040800, 1, 93, 1463732816, NULL, NULL, 0),
(55678, 93, 1, 1, 1464300000, 1, 93, 1463732826, NULL, NULL, 0),
(55434, 93, 10785, 2, 1463436000, 0.6, 93, 1463646537, NULL, NULL, 0),
(55435, 93, 10791, 2, 1463522400, 0.25, 93, 1463646588, NULL, NULL, 0),
(55436, 93, 10192, 7, 1463436000, 0.4, 93, 1463646646, NULL, NULL, 0),
(55437, 93, 10192, 7, 1463522400, 0.75, 93, 1463646668, NULL, NULL, 0),
(55438, 93, 10192, 7, 1463608800, 1, 93, 1463646698, NULL, NULL, 0),
(55439, 164, 1041, 1, 1463522400, 1, 2, 1463647681, NULL, NULL, 0),
(55440, 164, 1041, 1, 1463436000, 1, 2, 1463647688, NULL, NULL, 0),
(55536, 147, 10617, 5, 1463608800, 1, 147, 1463669552, NULL, NULL, 0),
(55537, 147, 10617, 5, 1463436000, 1, 147, 1463669571, NULL, NULL, 0),
(55538, 147, 10617, 5, 1463522400, 1, 147, 1463669587, NULL, NULL, 0),
(55539, 147, 10617, 5, 1463695200, 1, 147, 1463669619, NULL, NULL, 0),
(55541, 212, 10423, 4, 1463436000, 0.7, 212, 1463670588, NULL, NULL, 0),
(55542, 212, 10423, 4, 1463522400, 1, 212, 1463670627, NULL, NULL, 0),
(55543, 2, 23791, 1, 1463608800, 0.25, 2, 1463670638, NULL, NULL, 0),
(55544, 2, 9951, 18, 1463608800, 0.75, 2, 1463670672, NULL, NULL, 0),
(55545, 212, 10423, 4, 1463608800, 0.4, 212, 1463670677, NULL, NULL, 0),
(55546, 212, 10659, 6, 1463608800, 0.6, 212, 1463670714, NULL, NULL, 0),
(55559, 157, 10401, 4, 1463436000, 1, 157, 1463722974, NULL, NULL, 0),
(55560, 157, 10401, 4, 1463522400, 1, 157, 1463722995, NULL, NULL, 0),
(55561, 157, 9459, 5, 1463608800, 0.5, 157, 1463723023, NULL, NULL, 0),
(55563, 157, 9493, 5, 1463608800, 0.5, 157, 1463723049, NULL, NULL, 0),
(55564, 157, 9493, 6, 1463695200, 0.5, 157, 1463723070, NULL, NULL, 0),
(55566, 199, 8840, 4, 1463608800, 0.5, 199, 1463723092, NULL, NULL, 0),
(55571, 199, 10330, 4, 1463608800, 0.5, 199, 1463723143, NULL, NULL, 0),
(55572, 199, 10193, 5, 1463436000, 1, 199, 1463723270, NULL, NULL, 0),
(55573, 199, 8840, 5, 1463522400, 1, 199, 1463723291, NULL, NULL, 0),
(55671, 217, 10398, 7, 1463695200, 1, 217, 1463731248, NULL, NULL, 0),
(55672, 217, 10396, 7, 1463608800, 1, 217, 1463731274, NULL, NULL, 0),
(55674, 93, 10192, 7, 1463695200, 1, 93, 1463732669, NULL, NULL, 0),
(55679, 158, 2, 1, 1464213600, 1, 158, 1463733142, NULL, NULL, 0),
(55680, 158, 2, 1, 1465855200, 1, 158, 1463733252, NULL, NULL, 0),
(55705, 158, 10738, 5, 1463522400, 0.5, 158, 1463735364, NULL, NULL, 0),
(55706, 158, 10415, 4, 1463522400, 0.5, 158, 1463735415, NULL, NULL, 0),
(55726, 158, 10415, 4, 1463695200, 0.3, 158, 1463738072, NULL, NULL, 0),
(55728, 158, 10415, 4, 1463695200, 0.05, 158, 1463738122, NULL, NULL, 0),
(55733, 212, 10423, 4, 1463695200, 0.3, 212, 1463738298, NULL, NULL, 0),
(55737, 212, 10659, 6, 1463695200, 0.2, 212, 1463738424, NULL, NULL, 0),
(55747, 164, 1041, 1, 1463695200, 1, 72, 1463745292, NULL, NULL, 0),
(55790, 199, 10413, 5, 1463695200, 1, 199, 1463754635, NULL, NULL, 0),
(55794, 205, 10396, 2, 1463695200, 0.75, 205, 1463756193, NULL, NULL, 0),
(55795, 205, 10651, 2, 1463608800, 0.1, 205, 1463756357, NULL, NULL, 0),
(55797, 205, 10869, 4, 1463695200, 0.25, 205, 1463756581, NULL, NULL, 0),
(55799, 2, 1, 1, 1463695200, 0.3, 2, 1463756758, NULL, NULL, 0),
(55800, 2, 1, 1, 1463695200, 0.05, 2, 1463756766, NULL, NULL, 0),
(55802, 2, 9951, 18, 1463695200, 0.6, 2, 1463756792, NULL, NULL, 0),
(55804, 2, 9951, 18, 1463695200, 0.05, 2, 1463756804, NULL, NULL, 0),
(55807, 205, 9683, 2, 1463522400, 1, 205, 1463757024, NULL, NULL, 0),
(55813, 205, 23791, 1, 1463608800, 0.25, 205, 1463757263, NULL, NULL, 0),
(55817, 205, 9683, 2, 1463608800, 0.25, 205, 1463757304, NULL, NULL, 0),
(55818, 205, 10396, 2, 1463608800, 0.4, 205, 1463757333, NULL, NULL, 0),
(55819, 134, 10785, 4, 1463436000, 0.75, 134, 1463758847, NULL, NULL, 0),
(55820, 134, 9683, 4, 1463436000, 0.25, 134, 1463758908, NULL, NULL, 0),
(55821, 134, 9683, 4, 1463522400, 1, 134, 1463758941, NULL, NULL, 0),
(55822, 134, 10785, 5, 1463608800, 0.5, 134, 1463758980, NULL, NULL, 0),
(55823, 134, 10785, 6, 1463608800, 0.5, 134, 1463758997, NULL, NULL, 0),
(55824, 134, 10785, 6, 1463695200, 0.25, 134, 1463759032, NULL, NULL, 0),
(55825, 134, 10870, 4, 1463695200, 0.75, 134, 1463759066, NULL, NULL, 0),
(55826, 158, 2041, 1, 1463695200, 0.5, 158, 1463760239, NULL, NULL, 0),
(55827, 158, 8806, 2, 1463695200, 0.1, 158, 1463760275, NULL, NULL, 0),
(55828, 158, 8806, 2, 1463695200, 0.05, 158, 1463760288, NULL, NULL, 0),
(56010, 147, 2, 1, 1464040800, 1, 72, 1464090869, NULL, NULL, 0),
(55834, 169, 10791, 4, 1463522400, 1, 169, 1463762083, NULL, NULL, 0),
(55835, 169, 10390, 5, 1463436000, 1, 169, 1463762162, NULL, NULL, 0),
(55836, 169, 10390, 5, 1463608800, 1, 169, 1463762174, NULL, NULL, 0),
(55837, 169, 10390, 5, 1463695200, 1, 169, 1463762191, NULL, NULL, 0),
(55861, 72, 23791, 1, 1463608800, 1, 72, 1463996223, NULL, NULL, 0),
(55862, 72, 23791, 1, 1463695200, 1, 72, 1463996232, NULL, NULL, 0),
(55865, 146, 10625, 5, 1463522400, 1, 146, 1463996466, NULL, NULL, 0),
(55864, 146, 10625, 5, 1463436000, 1, 146, 1463996439, NULL, NULL, 0),
(55866, 146, 10625, 5, 1463608800, 0.5, 146, 1463996496, NULL, NULL, 0),
(55867, 146, 10651, 4, 1463608800, 0.5, 146, 1463996523, NULL, NULL, 0),
(55869, 146, 10651, 4, 1463695200, 1, 146, 1463996556, NULL, NULL, 0),
(55870, 134, 10785, 4, 1463954400, 0.5, 134, 1463996786, NULL, NULL, 0),
(55898, 116, 10088, 4, 1463954400, 1, 116, 1464013242, NULL, NULL, 0),
(55899, 2, 1, 1, 1463954400, 0.2, 2, 1464014554, NULL, NULL, 0),
(55935, 2, 9951, 18, 1463954400, 0.4, 2, 1464017849, NULL, NULL, 0),
(55901, 2, 9951, 17, 1463954400, 0.2, 2, 1464014764, NULL, NULL, 0),
(57714, 147, 10617, 4, 1464213600, 1, 72, 1465401058, NULL, NULL, 0),
(55937, 2, 1435, 1, 1463954400, 0.2, 2, 1464017868, NULL, NULL, 0),
(55942, 158, 8806, 2, 1463954400, 0.5, 158, 1464073161, NULL, NULL, 0),
(55992, 217, 10398, 7, 1464040800, 0.5, 217, 1464082254, NULL, NULL, 0),
(55993, 217, 10398, 7, 1464040800, 0.5, 217, 1464082256, NULL, NULL, 0),
(56361, 217, 10398, 7, 1464300000, 0.2, 217, 1464332447, NULL, NULL, 0),
(55996, 217, 10398, 7, 1463954400, 0.5, 217, 1464082387, NULL, NULL, 0),
(55997, 217, 10396, 7, 1463954400, 0.5, 217, 1464082408, NULL, NULL, 0),
(56009, 134, 10870, 4, 1463954400, 0.5, 134, 1464090053, NULL, NULL, 0),
(56011, 217, 10394, 4, 1464127200, 0.4, 217, 1464093760, NULL, NULL, 0),
(56013, 74, 8857, 5, 1463954400, 0.5, 74, 1464096395, NULL, NULL, 0),
(56014, 74, 8857, 6, 1464040800, 0.5, 74, 1464096413, NULL, NULL, 0),
(56015, 158, 8806, 2, 1464040800, 1, 158, 1464098436, NULL, NULL, 0),
(56023, 116, 10088, 4, 1464040800, 1, 116, 1464099519, NULL, NULL, 0),
(56025, 157, 10401, 7, 1463954400, 1, 157, 1464101452, NULL, NULL, 0),
(56026, 157, 9459, 5, 1464040800, 0.5, 157, 1464101511, NULL, NULL, 0),
(56027, 157, 9466, 5, 1464040800, 0.5, 157, 1464101549, NULL, NULL, 0),
(56028, 2, 2, 1, 1464040800, 0.5, 2, 1464103522, NULL, NULL, 0),
(56029, 2, 9951, 18, 1464040800, 0.25, 2, 1464103549, NULL, NULL, 0),
(56030, 2, 1, 1, 1464040800, 0.25, 2, 1464103567, NULL, NULL, 0),
(56037, 72, 23791, 1, 1463954400, 1, 72, 1464175964, NULL, NULL, 0),
(56038, 72, 23791, 1, 1464040800, 1, 72, 1464175964, NULL, NULL, 0),
(56039, 72, 23791, 1, 1464127200, 1, 72, 1464175964, NULL, NULL, 0),
(56040, 72, 1, 1, 1464300000, 0.5, 72, 1464176002, NULL, NULL, 0),
(56042, 147, 10617, 4, 1463954400, 1, 147, 1464179288, NULL, NULL, 0),
(56043, 147, 10617, 4, 1464127200, 0.5, 147, 1464179314, NULL, NULL, 0),
(56044, 147, 10789, 5, 1464127200, 0.5, 147, 1464179437, NULL, NULL, 0),
(56048, 158, 8806, 2, 1464127200, 1, 158, 1464179888, NULL, NULL, 0),
(56056, 164, 11032, 18, 1463954400, 1, 164, 1464181829, NULL, NULL, 0),
(56057, 164, 11032, 18, 1464040800, 0.75, 164, 1464181847, NULL, NULL, 0),
(56058, 164, 11032, 18, 1464127200, 1, 164, 1464181868, NULL, NULL, 0),
(56059, 164, 8949, 18, 1464040800, 0.25, 164, 1464181886, NULL, NULL, 0),
(56124, 212, 10952, 6, 1464040800, 0.5, 212, 1464185841, NULL, NULL, 0),
(56116, 212, 8802, 6, 1463954400, 0.5, 212, 1464185601, NULL, NULL, 0),
(56120, 212, 10952, 6, 1464127200, 0.7, 212, 1464185770, NULL, NULL, 0),
(56122, 212, 10952, 6, 1464040800, 0.5, 212, 1464185797, NULL, NULL, 0),
(56126, 212, 10423, 4, 1463954400, 0.5, 212, 1464185871, NULL, NULL, 0),
(56209, 169, 10872, 5, 1463954400, 0.5, 169, 1464191461, NULL, NULL, 0),
(56210, 169, 10895, 5, 1463954400, 0.5, 169, 1464191917, NULL, NULL, 0),
(56211, 169, 10896, 5, 1464040800, 0.5, 169, 1464191952, NULL, NULL, 0),
(56212, 169, 10897, 5, 1464040800, 0.5, 169, 1464191991, NULL, NULL, 0),
(56213, 169, 10932, 5, 1464127200, 0.5, 169, 1464192044, NULL, NULL, 0),
(56216, 157, 10401, 7, 1464213600, 1, 157, 1464240981, NULL, NULL, 0),
(56215, 169, 10873, 7, 1464127200, 0.5, 169, 1464192188, NULL, NULL, 0),
(56217, 157, 10401, 7, 1464127200, 1, 157, 1464240996, NULL, NULL, 0),
(56219, 157, 2, 1, 1471298400, 1, 157, 1464241094, NULL, NULL, 0),
(56220, 157, 2, 1, 1471384800, 1, 157, 1464241094, NULL, NULL, 0),
(56221, 157, 2, 1, 1471471200, 1, 157, 1464241094, NULL, NULL, 0),
(56222, 157, 2, 1, 1471557600, 1, 157, 1464241094, NULL, NULL, 0),
(56234, 134, 10870, 4, 1464040800, 1, 134, 1464248698, NULL, NULL, 0),
(56235, 134, 9683, 4, 1464127200, 1, 134, 1464248757, NULL, NULL, 0),
(56312, 2, 10422, 1, 1464127200, 1, 2, 1464276006, NULL, NULL, 0),
(56313, 2, 23791, 1, 1464213600, 0.25, 2, 1464276053, NULL, NULL, 0),
(56341, 212, 10659, 6, 1464127200, 0.3, 212, 1464328542, NULL, NULL, 0),
(56343, 212, 10087, 6, 1464213600, 1, 212, 1464328619, NULL, NULL, 0),
(56344, 212, 10087, 6, 1464300000, 0.5, 212, 1464328649, NULL, NULL, 0),
(56345, 212, 2, 1, 1464300000, 0.5, 212, 1464328666, NULL, NULL, 0),
(56348, 199, 10193, 5, 1464040800, 1, 199, 1464330517, NULL, NULL, 0),
(56347, 199, 8840, 7, 1464127200, 1, 199, 1464330466, NULL, NULL, 0),
(56349, 199, 10193, 5, 1463954400, 1, 199, 1464330530, NULL, NULL, 0),
(56350, 199, 10193, 5, 1464213600, 1, 199, 1464330539, NULL, NULL, 0),
(56392, 199, 10193, 5, 1464300000, 0.5, 199, 1464336451, NULL, NULL, 0),
(56362, 199, 8840, 7, 1464300000, 0.5, 199, 1464332453, NULL, NULL, 0),
(56353, 72, 23791, 1, 1464213600, 1, 72, 1464332320, NULL, NULL, 0),
(56354, 72, 23791, 1, 1464300000, 0.5, 72, 1464332328, NULL, NULL, 0),
(56355, 217, 10398, 7, 1464127200, 0.6, 217, 1464332331, NULL, NULL, 0),
(56357, 217, 2, 1, 1464213600, 1, 217, 1464332368, NULL, NULL, 0),
(56363, 217, 10399, 4, 1464300000, 0.8, 217, 1464332511, NULL, NULL, 0),
(56364, 74, 10659, 6, 1464213600, 0.5, 74, 1464332873, NULL, NULL, 0),
(56365, 74, 1, 1, 1464213600, 0.5, 74, 1464332898, NULL, NULL, 0),
(56366, 74, 8806, 2, 1464127200, 0.5, 74, 1464333057, NULL, NULL, 0),
(56367, 74, 1, 1, 1463954400, 0.5, 74, 1464333081, NULL, NULL, 0),
(56368, 74, 8839, 5, 1464127200, 0.5, 74, 1464333124, NULL, NULL, 0),
(56369, 74, 8839, 5, 1464040800, 0.5, 74, 1464333170, NULL, NULL, 0),
(58000, 74, 2, 1, 1466114400, 1, 74, 1465823772, NULL, NULL, 0),
(56397, 74, 1, 1, 1465250400, 0.5, 74, 1464336827, NULL, NULL, 0),
(56487, 212, 2, 1, 1464904800, 1, 212, 1464342565, NULL, NULL, 0),
(56488, 205, 10399, 2, 1464300000, 1, 205, 1464342880, NULL, NULL, 0),
(56489, 205, 10399, 2, 1464127200, 1, 205, 1464342968, NULL, NULL, 0),
(56490, 205, 10869, 2, 1464213600, 0.25, 205, 1464343038, NULL, NULL, 0),
(56491, 205, 11007, 4, 1464213600, 0.25, 205, 1464343198, NULL, NULL, 0),
(56492, 205, 1437, 1, 1464213600, 0.25, 205, 1464343457, NULL, NULL, 0),
(56493, 205, 10399, 2, 1464213600, 0.25, 205, 1464343491, NULL, NULL, 0),
(56494, 205, 10869, 2, 1464040800, 0.25, 205, 1464343531, NULL, NULL, 0),
(56496, 205, 10398, 2, 1463954400, 1, 205, 1464343610, NULL, NULL, 0),
(56497, 205, 10398, 2, 1464040800, 0.25, 205, 1464343619, NULL, NULL, 0),
(56595, 83, 2865, 1, 1462140000, 1, 83, 1464359803, NULL, NULL, 0),
(56596, 83, 2865, 1, 1462226400, 1, 83, 1464359825, NULL, NULL, 0),
(56597, 83, 2865, 1, 1462312800, 1, 83, 1464359831, NULL, NULL, 0),
(56598, 83, 2, 1, 1462485600, 1, 83, 1464360063, NULL, NULL, 0),
(56621, 83, 2865, 1, 1464300000, 1, 83, 1464360400, NULL, NULL, 0),
(56620, 83, 2865, 1, 1464213600, 1, 83, 1464360396, NULL, NULL, 0),
(56619, 83, 2865, 1, 1464127200, 1, 83, 1464360393, NULL, NULL, 0),
(56618, 83, 2865, 1, 1464040800, 1, 83, 1464360389, NULL, NULL, 0),
(56617, 83, 2865, 1, 1463954400, 1, 83, 1464360384, NULL, NULL, 0),
(56612, 83, 2865, 1, 1462744800, 1, 83, 1464360304, NULL, NULL, 0),
(59872, 83, 2865, 1, 1464732000, 1, 177, 1467104550, NULL, NULL, 0),
(56608, 83, 2, 1, 1463436000, 1, 83, 1464360263, NULL, NULL, 0),
(56609, 83, 2, 1, 1463522400, 1, 83, 1464360266, NULL, NULL, 0),
(56610, 83, 2, 1, 1463608800, 1, 83, 1464360270, NULL, NULL, 0),
(56611, 83, 2, 1, 1463695200, 1, 83, 1464360273, NULL, NULL, 0),
(56613, 83, 2865, 1, 1462831200, 1, 83, 1464360311, NULL, NULL, 0),
(56614, 83, 2865, 1, 1462917600, 1, 83, 1464360315, NULL, NULL, 0),
(56615, 83, 2865, 1, 1463004000, 1, 83, 1464360319, NULL, NULL, 0),
(56616, 83, 2865, 1, 1463090400, 1, 83, 1464360323, NULL, NULL, 0),
(56622, 83, 2865, 1, 1464559200, 1, 83, 1464360414, NULL, NULL, 0),
(56623, 83, 2865, 1, 1464645600, 1, 83, 1464360419, NULL, NULL, 0),
(56627, 147, 11020, 4, 1464300000, 1, 147, 1464361591, NULL, NULL, 0),
(56632, 169, 10873, 7, 1464213600, 1, 169, 1464363075, NULL, NULL, 0),
(56633, 146, 10651, 4, 1463954400, 1, 146, 1464363132, NULL, NULL, 0),
(56636, 169, 10897, 5, 1464300000, 0.5, 169, 1464363242, NULL, NULL, 0),
(56637, 169, 10896, 5, 1464300000, 0.5, 169, 1464363258, NULL, NULL, 0),
(56638, 146, 10651, 5, 1464040800, 1, 146, 1464363265, NULL, NULL, 0),
(56641, 146, 10869, 4, 1464127200, 1, 146, 1464363420, NULL, NULL, 0),
(56642, 146, 10869, 4, 1464213600, 1, 146, 1464363435, NULL, NULL, 0),
(56643, 146, 10869, 4, 1464300000, 1, 146, 1464363451, NULL, NULL, 0),
(56701, 2, 1, 1, 1464300000, 0.25, 2, 1464367136, NULL, NULL, 0),
(56703, 2, 23791, 1, 1464300000, 0.25, 2, 1464367165, NULL, NULL, 0),
(56704, 2, 1435, 1, 1464300000, 0.25, 2, 1464367178, NULL, NULL, 0),
(56706, 2, 9951, 17, 1464213600, 0.25, 2, 1464367247, NULL, NULL, 0),
(56707, 2, 1435, 1, 1464213600, 0.2, 2, 1464367258, NULL, NULL, 0),
(56741, 74, 8839, 5, 1464300000, 1, 74, 1464591199, NULL, NULL, 0),
(56742, 157, 10401, 7, 1464300000, 1, 157, 1464591516, NULL, NULL, 0),
(56772, 116, 2, 1, 1465509600, 1, 116, 1464594192, NULL, NULL, 0),
(56787, 212, 10087, 6, 1464559200, 0.5, 212, 1464595702, NULL, NULL, 0),
(56903, 74, 8839, 5, 1464559200, 0.75, 74, 1464616373, NULL, NULL, 0),
(57167, 164, 11032, 18, 1464732000, 0.5, 164, 1464792585, NULL, NULL, 0),
(57165, 164, 11032, 18, 1464645600, 0.5, 164, 1464792545, NULL, NULL, 0),
(57163, 164, 1041, 1, 1464559200, 1, 164, 1464792471, NULL, NULL, 0),
(57166, 164, 8949, 18, 1464645600, 0.5, 164, 1464792569, NULL, NULL, 0),
(56937, 72, 23791, 1, 1464559200, 1, 72, 1464617365, NULL, NULL, 0),
(57161, 217, 10280, 7, 1464732000, 1, 217, 1464791488, NULL, NULL, 0),
(56958, 134, 9683, 4, 1464559200, 1, 134, 1464678616, NULL, NULL, 0),
(57168, 164, 1, 1, 1464732000, 0.5, 164, 1464792609, NULL, NULL, 0),
(56960, 93, 1, 1, 1465164000, 1, 93, 1464682091, NULL, NULL, 0),
(56961, 93, 1, 1, 1465250400, 1, 93, 1464682098, NULL, NULL, 0),
(56962, 93, 1, 1, 1465336800, 1, 93, 1464682103, NULL, NULL, 0),
(56963, 93, 7395, 5, 1464559200, 1, 93, 1464682447, NULL, NULL, 0),
(56965, 93, 7395, 5, 1464645600, 1, 93, 1464682475, NULL, NULL, 0),
(56967, 217, 11112, 27, 1464559200, 0.4, 217, 1464683414, NULL, NULL, 0),
(56968, 217, 10399, 4, 1464559200, 0.6, 217, 1464683454, NULL, NULL, 0),
(56969, 217, 10280, 4, 1464645600, 1, 217, 1464683514, NULL, NULL, 0),
(56970, 157, 2, 1, 1465423200, 0.5, 157, 1464683901, NULL, NULL, 0),
(56971, 147, 11019, 4, 1464645600, 0.5, 147, 1464685522, NULL, NULL, 0),
(56972, 147, 11019, 5, 1464645600, 0.5, 147, 1464685548, NULL, NULL, 0),
(56974, 2, 10422, 1, 1464645600, 0.5, 2, 1464688070, NULL, NULL, 0),
(56975, 2, 9951, 17, 1464559200, 1, 2, 1464688440, NULL, NULL, 0),
(56976, 93, 2, 1, 1466028000, 1, 93, 1464689276, NULL, NULL, 0),
(56996, 116, 10426, 4, 1464645600, 1, 116, 1464704063, NULL, NULL, 0),
(57002, 116, 10426, 4, 1464559200, 1, 116, 1464704178, NULL, NULL, 0),
(57001, 116, 10426, 4, 1464127200, 1, 116, 1464704139, NULL, NULL, 0),
(57020, 205, 10399, 2, 1464559200, 0.75, 205, 1464705083, NULL, NULL, 0),
(57021, 205, 10395, 27, 1464559200, 0.25, 205, 1464705132, NULL, NULL, 0),
(57023, 205, 10869, 2, 1464645600, 0.25, 205, 1464705174, NULL, NULL, 0),
(57024, 205, 11115, 4, 1464645600, 0.5, 205, 1464705337, NULL, NULL, 0),
(57025, 205, 11116, 4, 1464645600, 0.25, 205, 1464705418, NULL, NULL, 0),
(57043, 2, 23791, 1, 1464645600, 0.25, 2, 1464711068, NULL, NULL, 0),
(57044, 2, 1, 1, 1464645600, 0.25, 2, 1464711081, NULL, NULL, 0),
(57103, 147, 11019, 5, 1464732000, 0.25, 147, 1464773389, NULL, NULL, 0),
(57104, 147, 11111, 4, 1464732000, 0.25, 147, 1464773457, NULL, NULL, 0),
(57106, 147, 11111, 5, 1464732000, 0.25, 147, 1464773537, NULL, NULL, 0),
(57107, 147, 11020, 5, 1464732000, 0.25, 147, 1464773716, NULL, NULL, 0),
(58029, 116, 12058, 4, 1465768800, 1, 116, 1465827674, NULL, NULL, 0),
(57169, 158, 8806, 2, 1464645600, 1, 158, 1464793126, NULL, NULL, 0),
(57186, 2, 1, 1, 1464732000, 0.25, 2, 1464853051, NULL, NULL, 0),
(57187, 2, 11112, 27, 1464732000, 0.25, 2, 1464853170, NULL, NULL, 0),
(57189, 2, 9889, 4, 1464732000, 0.25, 2, 1464855913, NULL, NULL, 0),
(57190, 217, 10280, 7, 1464818400, 1, 217, 1464856130, NULL, NULL, 0),
(57191, 217, 2, 1, 1464904800, 1, 217, 1464856139, NULL, NULL, 0),
(57208, 2, 1435, 1, 1464818400, 0.5, 2, 1464860746, NULL, NULL, 0),
(57209, 157, 10401, 7, 1464645600, 1, 157, 1464869170, NULL, NULL, 0),
(57210, 157, 10401, 7, 1464559200, 1, 157, 1464869183, NULL, NULL, 0),
(57211, 157, 10401, 7, 1464732000, 1, 157, 1464869196, NULL, NULL, 0),
(57212, 72, 11114, 4, 1464818400, 0.5, 72, 1464869210, NULL, NULL, 0),
(57213, 157, 7391, 4, 1464818400, 0.5, 157, 1464869227, NULL, NULL, 0),
(57214, 72, 23791, 1, 1464645600, 1, 72, 1464869234, NULL, NULL, 0),
(57215, 72, 23791, 1, 1464732000, 1, 72, 1464869241, NULL, NULL, 0),
(57216, 164, 11032, 18, 1464818400, 1, 164, 1464872652, NULL, NULL, 0),
(57217, 74, 11114, 4, 1464818400, 0.5, 74, 1464873283, NULL, NULL, 0),
(57218, 74, 11661, 4, 1464645600, 0.5, 74, 1464873321, NULL, NULL, 0),
(57219, 74, 11661, 4, 1464559200, 0.25, 74, 1464873336, NULL, NULL, 0),
(57221, 74, 8806, 2, 1464645600, 0.5, 74, 1464874235, NULL, NULL, 0),
(57222, 74, 10746, 27, 1464732000, 0.5, 74, 1464875020, NULL, NULL, 0),
(57224, 199, 10193, 5, 1464732000, 0.5, 199, 1464875037, NULL, NULL, 0),
(57225, 74, 10401, 27, 1464732000, 0.5, 74, 1464876370, NULL, NULL, 0),
(57244, 116, 10088, 5, 1464818400, 1, 116, 1464879657, NULL, NULL, 0),
(57255, 146, 2, 1, 1464732000, 0.5, 146, 1464880366, NULL, NULL, 0),
(57270, 212, 11178, 6, 1464818400, 1, 212, 1464884047, NULL, NULL, 0),
(57272, 212, 10406, 4, 1464732000, 0.5, 212, 1464884559, NULL, NULL, 0),
(57275, 212, 10423, 4, 1464732000, 0.25, 212, 1464884947, NULL, NULL, 0),
(57276, 212, 11178, 4, 1464732000, 0.25, 212, 1464885006, NULL, NULL, 0),
(57281, 72, 23791, 1, 1464818400, 0.5, 72, 1464931667, NULL, NULL, 0),
(57279, 157, 11664, 4, 1464818400, 0.5, 157, 1464930949, NULL, NULL, 0),
(57280, 157, 8403, 4, 1464904800, 1, 157, 1464930977, NULL, NULL, 0),
(57282, 72, 23791, 1, 1464904800, 1, 72, 1464931674, NULL, NULL, 0),
(57283, 199, 10193, 5, 1464559200, 0.5, 199, 1464932319, NULL, NULL, 0),
(57284, 199, 10330, 5, 1464559200, 0.5, 199, 1464932350, NULL, NULL, 0),
(57285, 199, 10330, 5, 1464645600, 1, 199, 1464932362, NULL, NULL, 0),
(57286, 199, 10330, 5, 1464732000, 0.5, 199, 1464932373, NULL, NULL, 0),
(57287, 199, 10330, 5, 1464818400, 1, 199, 1464932381, NULL, NULL, 0),
(57288, 199, 10330, 5, 1464904800, 1, 199, 1464932392, NULL, NULL, 0),
(57317, 109, 1041, 1, 1465164000, 1, 72, 1464935302, NULL, NULL, 0),
(57316, 109, 1041, 1, 1464904800, 1, 72, 1464935302, NULL, NULL, 0),
(57318, 109, 1041, 1, 1465250400, 1, 72, 1464935302, NULL, NULL, 0),
(57319, 109, 1041, 1, 1465336800, 1, 72, 1464935302, NULL, NULL, 0),
(57342, 134, 1436, 1, 1464732000, 0.25, 134, 1464940229, NULL, NULL, 0),
(57343, 134, 9683, 4, 1464732000, 0.75, 134, 1464940263, NULL, NULL, 0),
(57344, 134, 9683, 4, 1464818400, 0.5, 134, 1464940307, NULL, NULL, 0),
(57345, 134, 2088, 1, 1464818400, 0.5, 134, 1464940333, NULL, NULL, 0),
(57346, 134, 9683, 4, 1464904800, 1, 134, 1464940348, NULL, NULL, 0),
(57347, 134, 9683, 4, 1464213600, 1, 134, 1464940406, NULL, NULL, 0),
(57348, 134, 9683, 4, 1464300000, 1, 134, 1464940417, NULL, NULL, 0),
(57349, 158, 8806, 2, 1464818400, 1, 158, 1464941097, NULL, NULL, 0),
(57350, 158, 8806, 2, 1464732000, 0.7, 158, 1464941169, NULL, NULL, 0),
(57351, 199, 9516, 4, 1459461600, 0.4, 199, 1464941516, NULL, NULL, 0),
(57352, 158, 10738, 27, 1464732000, 0.3, 158, 1464941539, NULL, NULL, 0),
(57353, 199, 9103, 5, 1456786800, 0.7, 199, 1464941566, NULL, NULL, 0),
(57354, 199, 7378, 5, 1449788400, 0.5, 199, 1464941643, NULL, NULL, 0),
(57355, 164, 9951, 17, 1464904800, 1, 164, 1464942142, NULL, NULL, 0),
(57358, 2, 23791, 1, 1464818400, 0.25, 2, 1464944543, NULL, NULL, 0),
(57359, 2, 23791, 1, 1464732000, 0.25, 2, 1464944559, NULL, NULL, 0),
(57360, 2, 1, 1, 1464818400, 0.25, 2, 1464944576, NULL, NULL, 0),
(57384, 93, 7395, 5, 1464732000, 1, 93, 1464959596, NULL, NULL, 0),
(57385, 93, 7395, 5, 1464818400, 1, 93, 1464959609, NULL, NULL, 0),
(57387, 93, 7395, 5, 1464904800, 1, 93, 1464959644, NULL, NULL, 0),
(58117, 93, 2, 1, 1467151200, 0.5, 93, 1465909077, NULL, NULL, 0),
(57414, 74, 10423, 6, 1464818400, 0.5, 74, 1464961704, NULL, NULL, 0),
(57415, 74, 10423, 6, 1464904800, 1, 74, 1464961720, NULL, NULL, 0),
(57419, 116, 10088, 5, 1464904800, 1, 116, 1464963530, NULL, NULL, 0),
(57422, 2, 10422, 1, 1464904800, 0.25, 2, 1464963876, NULL, NULL, 0),
(57496, 2, 1, 1, 1464904800, 0.25, 2, 1465198473, NULL, NULL, 0),
(57424, 147, 11020, 5, 1464818400, 1, 147, 1464967211, NULL, NULL, 0),
(57425, 147, 11020, 5, 1464904800, 1, 147, 1464967227, NULL, NULL, 0),
(57460, 158, 8806, 2, 1464904800, 1, 158, 1464977342, NULL, NULL, 0),
(57461, 200, 10400, 4, 1463436000, 1, 200, 1465195714, NULL, NULL, 0),
(57462, 200, 10400, 4, 1463522400, 1, 200, 1465195731, NULL, NULL, 0),
(57463, 200, 10400, 4, 1463608800, 1, 200, 1465195742, NULL, NULL, 0),
(57464, 200, 10400, 4, 1463695200, 1, 200, 1465195755, NULL, NULL, 0),
(57465, 200, 10400, 4, 1463954400, 1, 200, 1465195775, NULL, NULL, 0),
(57466, 200, 10400, 4, 1464040800, 1, 200, 1465195786, NULL, NULL, 0),
(57467, 200, 10400, 4, 1464127200, 1, 200, 1465195801, NULL, NULL, 0),
(57469, 200, 8454, 4, 1464213600, 1, 200, 1465195860, NULL, NULL, 0),
(57470, 200, 8454, 4, 1464300000, 1, 200, 1465195878, NULL, NULL, 0),
(57471, 200, 10391, 4, 1464559200, 1, 200, 1465195934, NULL, NULL, 0),
(57472, 200, 10391, 7, 1464645600, 1, 200, 1465195948, NULL, NULL, 0),
(57473, 200, 10391, 7, 1464732000, 1, 200, 1465195963, NULL, NULL, 0),
(57475, 200, 8454, 7, 1464818400, 1, 200, 1465196029, NULL, NULL, 0),
(57476, 200, 8454, 4, 1464904800, 1, 200, 1465196048, NULL, NULL, 0),
(57497, 2, 23791, 1, 1464904800, 0.25, 2, 1465198539, NULL, NULL, 0),
(57498, 2, 1435, 1, 1464904800, 0.25, 2, 1465198551, NULL, NULL, 0),
(57507, 169, 4324, 7, 1464559200, 1, 169, 1465199471, NULL, NULL, 0),
(57508, 169, 4278, 5, 1464645600, 1, 169, 1465199533, NULL, NULL, 0),
(57509, 169, 4278, 5, 1464732000, 1, 169, 1465199542, NULL, NULL, 0),
(57510, 169, 4278, 5, 1464818400, 1, 169, 1465199552, NULL, NULL, 0),
(57511, 169, 4278, 5, 1464904800, 1, 169, 1465199564, NULL, NULL, 0),
(57518, 164, 2, 1, 1465509600, 1, 164, 1465200529, NULL, NULL, 0),
(57521, 74, 1, 1, 1465164000, 0.5, 72, 1465201625, NULL, NULL, 0),
(57522, 157, 1, 1, 1465250400, 0.5, 72, 1465201686, NULL, NULL, 0),
(57523, 157, 1, 1, 1466114400, 1, 72, 1465201790, NULL, NULL, 0),
(57524, 199, 2, 1, 1465423200, 1, 199, 1465201826, NULL, NULL, 0),
(57525, 146, 10869, 4, 1465164000, 1, 146, 1465201904, NULL, NULL, 0),
(57526, 146, 10869, 4, 1464559200, 1, 146, 1465201934, NULL, NULL, 0),
(57527, 146, 10869, 4, 1464645600, 1, 146, 1465201950, NULL, NULL, 0),
(57528, 146, 10869, 4, 1464732000, 0.5, 146, 1465201966, NULL, NULL, 0),
(57529, 146, 10869, 5, 1464818400, 1, 146, 1465201982, NULL, NULL, 0),
(57530, 146, 10869, 5, 1464904800, 1, 146, 1465201993, NULL, NULL, 0),
(57536, 157, 2, 1, 1476828000, 1, 157, 1465279104, NULL, NULL, 0),
(57537, 157, 2, 1, 1476914400, 1, 157, 1465279105, NULL, NULL, 0),
(57538, 157, 2, 1, 1477000800, 1, 157, 1465279105, NULL, NULL, 0),
(57547, 134, 9683, 4, 1465164000, 1, 134, 1465287124, NULL, NULL, 0),
(57562, 158, 2, 1, 1465509600, 1, 158, 1465295365, NULL, NULL, 0),
(57614, 116, 10088, 6, 1465164000, 1, 116, 1465308430, NULL, NULL, 0),
(57615, 116, 10088, 6, 1465250400, 1, 116, 1465308442, NULL, NULL, 0),
(57622, 72, 23791, 1, 1465250400, 1, 72, 1465309839, NULL, NULL, 0),
(57623, 72, 23791, 1, 1465164000, 1, 72, 1465309845, NULL, NULL, 0),
(57625, 158, 8806, 2, 1465250400, 1, 158, 1465311173, NULL, NULL, 0),
(57626, 2, 1, 1, 1465164000, 1, 2, 1465311913, NULL, NULL, 0),
(57627, 2, 1, 1, 1465250400, 1, 2, 1465311918, NULL, NULL, 0),
(57629, 164, 9951, 17, 1465164000, 1, 164, 1465313295, NULL, NULL, 0),
(57630, 164, 9951, 18, 1465250400, 0.5, 164, 1465313314, NULL, NULL, 0),
(57631, 164, 8395, 18, 1465250400, 0.5, 164, 1465313327, NULL, NULL, 0),
(57632, 212, 11178, 6, 1465164000, 1, 212, 1465315625, NULL, NULL, 0),
(57868, 200, 12057, 4, 1465423200, 1, 200, 1465573850, NULL, NULL, 0),
(57634, 212, 11178, 6, 1465250400, 1, 212, 1465315681, NULL, NULL, 0),
(57660, 158, 1505, 1, 1465336800, 0.25, 158, 1465386564, NULL, NULL, 0),
(57670, 116, 1505, 1, 1465336800, 0.3, 116, 1465394095, NULL, NULL, 0),
(57672, 116, 10088, 6, 1465336800, 0.7, 116, 1465394137, NULL, NULL, 0),
(57707, 164, 9951, 17, 1465336800, 0.5, 164, 1465399169, NULL, NULL, 0),
(57710, 164, 1505, 1, 1465336800, 0.3, 164, 1465399230, NULL, NULL, 0),
(57711, 164, 9951, 17, 1465336800, 0.2, 164, 1465399246, NULL, NULL, 0),
(57719, 72, 23791, 1, 1465336800, 0.8, 72, 1465458595, NULL, NULL, 0),
(57720, 72, 1505, 1, 1465336800, 0.2, 72, 1465458607, NULL, NULL, 0),
(57732, 158, 1436, 1, 1465336800, 0.25, 158, 1465476956, NULL, NULL, 0),
(57733, 2, 1, 1, 1465423200, 1, 2, 1465478893, NULL, NULL, 0),
(57735, 2, 1505, 1, 1465336800, 0.2, 2, 1465478951, NULL, NULL, 0),
(57736, 2, 23791, 1, 1465336800, 0.25, 2, 1465478969, NULL, NULL, 0),
(57737, 116, 12058, 4, 1465423200, 1, 116, 1465482020, NULL, NULL, 0),
(57753, 2, 1, 1, 1465336800, 0.5, 2, 1465515473, NULL, NULL, 0),
(57754, 2, 23791, 1, 1465336800, 0.05, 2, 1465515497, NULL, NULL, 0),
(57759, 147, 11020, 5, 1465164000, 1, 147, 1465544255, NULL, NULL, 0),
(57760, 147, 11133, 4, 1465250400, 1, 147, 1465544334, NULL, NULL, 0),
(57763, 147, 11133, 5, 1465336800, 1, 147, 1465544392, NULL, NULL, 0),
(57765, 147, 11133, 5, 1465423200, 1, 147, 1465544431, NULL, NULL, 0),
(57766, 147, 11133, 5, 1465509600, 1, 147, 1465544454, NULL, NULL, 0),
(57769, 199, 2, 1, 1465509600, 1, 72, 1465544551, NULL, NULL, 0),
(57793, 217, 11112, 27, 1465336800, 0.3, 217, 1465550632, NULL, NULL, 0),
(57774, 217, 1505, 1, 1465164000, 0.4, 217, 1465545637, NULL, NULL, 0),
(57775, 217, 10395, 2, 1465164000, 0.6, 217, 1465545645, NULL, NULL, 0),
(57776, 109, 1041, 1, 1465509600, 1, 72, 1465545820, NULL, NULL, 0),
(57777, 109, 1041, 1, 1465768800, 1, 72, 1465545820, NULL, NULL, 0),
(57778, 109, 1041, 1, 1465855200, 1, 72, 1465545820, NULL, NULL, 0),
(57779, 109, 1041, 1, 1465941600, 1, 72, 1465545820, NULL, NULL, 0),
(57780, 109, 1041, 1, 1466028000, 1, 72, 1465545820, NULL, NULL, 0),
(57784, 134, 9683, 4, 1465250400, 1, 134, 1465548573, NULL, NULL, 0),
(57785, 134, 9683, 4, 1465336800, 0.7, 134, 1465548596, NULL, NULL, 0),
(57786, 134, 1505, 1, 1465336800, 0.3, 134, 1465548623, NULL, NULL, 0),
(57787, 134, 12097, 4, 1465423200, 1, 134, 1465548671, NULL, NULL, 0),
(57788, 134, 12097, 4, 1465509600, 0.25, 134, 1465548722, NULL, NULL, 0),
(57789, 134, 12097, 5, 1465509600, 0.25, 134, 1465548751, NULL, NULL, 0),
(57790, 134, 12097, 6, 1465509600, 0.5, 134, 1465548762, NULL, NULL, 0),
(57791, 217, 2, 1, 1465423200, 1, 217, 1465550503, NULL, NULL, 0),
(57794, 217, 10395, 2, 1465336800, 0.2, 217, 1465550712, NULL, NULL, 0),
(57800, 157, 12059, 4, 1465336800, 0.5, 157, 1465556148, NULL, NULL, 0),
(57801, 157, 12059, 6, 1465509600, 0.5, 157, 1465556174, NULL, NULL, 0),
(57804, 157, 12110, 4, 1465336800, 0.5, 157, 1465556453, NULL, NULL, 0),
(57803, 157, 12110, 4, 1465509600, 0.5, 157, 1465556392, NULL, NULL, 0),
(57805, 157, 12110, 4, 1465423200, 0.5, 157, 1465556471, NULL, NULL, 0),
(57806, 72, 23791, 1, 1465423200, 1, 72, 1465559646, NULL, NULL, 0),
(57807, 72, 23791, 1, 1465509600, 0.5, 72, 1465559653, NULL, NULL, 0),
(57808, 72, 2089, 1, 1465509600, 0.5, 72, 1465559663, NULL, NULL, 0),
(57810, 217, 10399, 7, 1465250400, 0.4, 217, 1465559751, NULL, NULL, 0),
(57811, 93, 12097, 2, 1465423200, 0.25, 93, 1465561179, NULL, NULL, 0),
(57812, 93, 12110, 2, 1465423200, 0.75, 93, 1465561263, NULL, NULL, 0),
(57813, 93, 12110, 2, 1465509600, 1, 93, 1465561282, NULL, NULL, 0),
(57814, 134, 2, 1, 1482706800, 1, 134, 1465562663, NULL, NULL, 0),
(57815, 134, 2, 1, 1482793200, 1, 134, 1465562663, NULL, NULL, 0),
(57816, 134, 2, 1, 1482879600, 1, 134, 1465562663, NULL, NULL, 0),
(57817, 134, 2, 1, 1482966000, 1, 134, 1465562663, NULL, NULL, 0),
(57818, 134, 2, 1, 1483052400, 1, 134, 1465562663, NULL, NULL, 0),
(57819, 134, 2, 1, 1466028000, 1, 134, 1465562927, NULL, NULL, 0),
(57847, 146, 10869, 5, 1465250400, 1, 146, 1465571972, NULL, NULL, 0),
(57848, 146, 10869, 4, 1465336800, 0.5, 146, 1465572016, NULL, NULL, 0),
(57849, 146, 1505, 1, 1465336800, 0.5, 146, 1465572123, NULL, NULL, 0),
(57851, 169, 12112, 5, 1465509600, 1, 169, 1465573108, NULL, NULL, 0),
(57852, 169, 12061, 4, 1465164000, 0.5, 169, 1465573328, NULL, NULL, 0),
(57863, 169, 4278, 7, 1465250400, 1, 169, 1465573750, NULL, NULL, 0),
(57854, 169, 1505, 1, 1465336800, 0.5, 169, 1465573436, NULL, NULL, 0),
(57855, 169, 11975, 4, 1465423200, 1, 169, 1465573514, NULL, NULL, 0),
(57856, 169, 4278, 7, 1465164000, 0.5, 169, 1465573684, NULL, NULL, 0),
(57857, 146, 12137, 4, 1465423200, 1, 146, 1465573710, NULL, NULL, 0),
(57858, 200, 8454, 4, 1465164000, 1, 200, 1465573715, NULL, NULL, 0),
(57870, 200, 12057, 4, 1465509600, 0.2, 200, 1465573878, NULL, NULL, 0),
(57860, 146, 12137, 4, 1465509600, 1, 146, 1465573721, NULL, NULL, 0),
(57861, 200, 8454, 4, 1465250400, 1, 200, 1465573729, NULL, NULL, 0),
(57862, 169, 4278, 7, 1465336800, 0.5, 169, 1465573731, NULL, NULL, 0),
(57864, 200, 1505, 1, 1465336800, 0.5, 200, 1465573784, NULL, NULL, 0),
(57865, 212, 11178, 6, 1465423200, 1, 212, 1465573797, NULL, NULL, 0),
(57867, 200, 12057, 4, 1465336800, 0.5, 200, 1465573829, NULL, NULL, 0),
(57869, 212, 1505, 1, 1465336800, 0.5, 212, 1465573851, NULL, NULL, 0),
(57871, 212, 10423, 4, 1465336800, 0.5, 212, 1465573895, NULL, NULL, 0),
(57872, 200, 10391, 7, 1465509600, 0.5, 200, 1465573930, NULL, NULL, 0),
(57874, 212, 11178, 6, 1465509600, 0.5, 212, 1465573954, NULL, NULL, 0),
(57875, 200, 12057, 4, 1465509600, 0.1, 200, 1465573956, NULL, NULL, 0),
(57876, 200, 11132, 7, 1465509600, 0.2, 200, 1465574002, NULL, NULL, 0),
(57879, 212, 10406, 4, 1465509600, 0.5, 212, 1465574032, NULL, NULL, 0),
(57881, 2, 23791, 1, 1465509600, 0.25, 2, 1465574175, NULL, NULL, 0),
(57882, 2, 1, 1, 1465509600, 0.75, 2, 1465574183, NULL, NULL, 0),
(57913, 74, 1505, 1, 1465336800, 0.2, 74, 1465802663, NULL, NULL, 0),
(57914, 164, 9951, 17, 1465423200, 0.5, 164, 1465802821, NULL, NULL, 0),
(57915, 164, 6967, 18, 1465423200, 0.5, 164, 1465802845, NULL, NULL, 0),
(57916, 74, 10400, 4, 1465336800, 0.5, 74, 1465803421, NULL, NULL, 0),
(58954, 74, 10423, 6, 1465768800, 1, 74, 1466401312, NULL, NULL, 0),
(57918, 74, 8839, 6, 1465250400, 0.5, 74, 1465803893, NULL, NULL, 0),
(57919, 74, 8839, 6, 1465336800, 0.3, 74, 1465803911, NULL, NULL, 0),
(57921, 74, 10423, 6, 1465164000, 0.5, 74, 1465804054, NULL, NULL, 0),
(58093, 212, 1041, 1, 1465941600, 1, 72, 1465890693, NULL, NULL, 0),
(58004, 205, 10394, 4, 1465509600, 0.5, 205, 1465824847, NULL, NULL, 0),
(58092, 212, 1041, 1, 1465855200, 1, 72, 1465890693, NULL, NULL, 0),
(57958, 72, 2, 1, 1472594400, 1, 72, 1465807060, NULL, NULL, 0),
(58001, 74, 1, 1, 1465855200, 0.5, 74, 1465823784, NULL, NULL, 0),
(58002, 205, 12156, 4, 1465768800, 1, 205, 1465824747, NULL, NULL, 0),
(58460, 205, 1, 1, 1466028000, 1, 205, 1466004268, NULL, NULL, 0),
(58005, 205, 1, 1, 1465509600, 0.5, 205, 1465824863, NULL, NULL, 0),
(58009, 205, 1505, 1, 1465164000, 0.4, 205, 1465825424, NULL, NULL, 0),
(58010, 217, 12154, 4, 1465250400, 0.6, 217, 1465825493, NULL, NULL, 0),
(58008, 205, 10394, 27, 1465336800, 0.5, 205, 1465825237, NULL, NULL, 0),
(58011, 217, 12153, 4, 1465336800, 0.5, 217, 1465825528, NULL, NULL, 0),
(58019, 205, 11116, 4, 1465250400, 1, 205, 1465825647, NULL, NULL, 0),
(58017, 205, 10394, 4, 1465423200, 0.5, 205, 1465825621, NULL, NULL, 0),
(58014, 205, 11116, 4, 1465336800, 0.5, 205, 1465825572, NULL, NULL, 0),
(58018, 217, 12151, 4, 1465509600, 1, 217, 1465825637, NULL, NULL, 0),
(58020, 205, 12160, 4, 1464904800, 0.5, 205, 1465825718, NULL, NULL, 0),
(58021, 205, 12159, 4, 1464904800, 0.5, 205, 1465825769, NULL, NULL, 0),
(58023, 205, 12111, 4, 1465423200, 0.5, 205, 1465826641, NULL, NULL, 0),
(58024, 217, 12158, 4, 1465768800, 1, 217, 1465826657, NULL, NULL, 0),
(58025, 205, 9889, 4, 1465164000, 0.6, 205, 1465826753, NULL, NULL, 0),
(58026, 205, 10952, 6, 1464818400, 0.5, 205, 1465826884, NULL, NULL, 0),
(58027, 205, 12157, 4, 1464818400, 0.5, 205, 1465826957, NULL, NULL, 0),
(58028, 205, 10952, 6, 1464732000, 1, 205, 1465826975, NULL, NULL, 0),
(58030, 72, 23791, 1, 1465768800, 1, 72, 1465827765, NULL, NULL, 0),
(58031, 134, 12138, 5, 1465768800, 0.25, 134, 1465828353, NULL, NULL, 0),
(58032, 134, 12138, 6, 1465768800, 0.5, 134, 1465828381, NULL, NULL, 0),
(58530, 134, 12109, 4, 1465768800, 0.25, 134, 1466149551, NULL, NULL, 0),
(63378, 158, 10399, 7, 1469052000, 1, 158, 1469199586, NULL, NULL, 0),
(63377, 212, 10423, 6, 1469138400, 0.5, 212, 1469199565, NULL, NULL, 0),
(63682, 212, 10423, 6, 1469397600, 0.2, 212, 1469531327, NULL, NULL, 0),
(63375, 212, 13008, 6, 1469138400, 0.5, 212, 1469199509, NULL, NULL, 0),
(63379, 158, 10399, 7, 1469138400, 1, 158, 1469199616, NULL, NULL, 0),
(58111, 2, 23791, 1, 1465768800, 0.5, 2, 1465897762, NULL, NULL, 0),
(58115, 200, 2, 1, 1469138400, 0.5, 200, 1465906827, NULL, NULL, 0),
(58116, 200, 2, 1, 1469397600, 0.5, 200, 1465906827, NULL, NULL, 0),
(58118, 199, 10330, 6, 1465855200, 1, 199, 1465909094, NULL, NULL, 0),
(58119, 199, 10330, 6, 1465768800, 1, 199, 1465909106, NULL, NULL, 0),
(58120, 199, 10330, 6, 1465164000, 1, 199, 1465909163, NULL, NULL, 0),
(58121, 199, 10330, 6, 1465250400, 1, 199, 1465909172, NULL, NULL, 0),
(58122, 199, 10330, 6, 1465336800, 1, 199, 1465909179, NULL, NULL, 0),
(58126, 93, 12110, 2, 1465855200, 0.5, 93, 1465909431, NULL, NULL, 0),
(58124, 93, 12110, 2, 1465768800, 1, 93, 1465909362, NULL, NULL, 0),
(58468, 116, 12058, 4, 1465855200, 1, 116, 1466058555, NULL, NULL, 0),
(58465, 93, 8403, 4, 1465855200, 0.5, 93, 1466010813, NULL, NULL, 0),
(58173, 164, 8949, 18, 1465768800, 0.5, 164, 1465915182, NULL, NULL, 0),
(58174, 164, 9951, 17, 1465768800, 0.5, 164, 1465915196, NULL, NULL, 0),
(58175, 164, 8949, 18, 1465855200, 0.3, 164, 1465915212, NULL, NULL, 0),
(58176, 164, 9951, 17, 1465855200, 0.3, 164, 1465915257, NULL, NULL, 0),
(58177, 164, 9951, 18, 1465855200, 0.2, 164, 1465915285, NULL, NULL, 0),
(58178, 164, 6967, 18, 1465855200, 0.2, 164, 1465915302, NULL, NULL, 0),
(58180, 164, 12179, 1, 1465941600, 1, 164, 1465915532, NULL, NULL, 0),
(58971, 93, 11975, 2, 1466114400, 0.5, 93, 1466408383, NULL, NULL, 0),
(58184, 2, 1437, 1, 1465855200, 0.25, 2, 1465916112, NULL, NULL, 0),
(58185, 2, 10422, 1, 1465855200, 0.25, 2, 1465916746, NULL, NULL, 0),
(58186, 146, 12159, 5, 1465768800, 1, 146, 1465917563, NULL, NULL, 0),
(58187, 146, 12159, 5, 1465855200, 1, 146, 1465917577, NULL, NULL, 0),
(58188, 146, 2, 1, 1466028000, 0.5, 146, 1465917595, NULL, NULL, 0),
(58189, 72, 23791, 1, 1465855200, 1, 72, 1465917843, NULL, NULL, 0),
(58203, 2, 1435, 1, 1465855200, 0.5, 2, 1465923297, NULL, NULL, 0),
(58204, 157, 12110, 6, 1465941600, 1, 157, 1465968928, NULL, NULL, 0),
(58205, 157, 12059, 6, 1465768800, 1, 157, 1465968954, NULL, NULL, 0),
(58207, 157, 12182, 6, 1465855200, 1, 157, 1465969468, NULL, NULL, 0),
(58220, 217, 12154, 4, 1465941600, 0.5, 217, 1465976961, NULL, NULL, 0),
(58222, 217, 2, 1, 1465855200, 1, 217, 1465976987, NULL, NULL, 0),
(58223, 158, 2, 1, 1466114400, 1, 158, 1465977548, NULL, NULL, 0),
(58224, 158, 2, 1, 1466373600, 0.5, 158, 1465977603, NULL, NULL, 0),
(58227, 217, 12159, 6, 1465941600, 0.5, 217, 1465978360, NULL, NULL, 0),
(58259, 72, 23791, 1, 1465941600, 1, 72, 1465993507, NULL, NULL, 0),
(58272, 74, 1, 1, 1466460000, 1, 74, 1465994963, NULL, NULL, 0),
(58446, 158, 10399, 7, 1465336800, 0.5, 158, 1465998299, NULL, NULL, 0),
(58448, 158, 10399, 7, 1465423200, 1, 158, 1465998392, NULL, NULL, 0),
(58449, 158, 10399, 7, 1465941600, 1, 158, 1465998433, NULL, NULL, 0),
(58464, 205, 12183, 4, 1465855200, 1, 205, 1466005811, NULL, NULL, 0),
(58459, 205, 12159, 4, 1465941600, 0.5, 205, 1466004244, NULL, NULL, 0),
(58461, 205, 10394, 27, 1465941600, 0.5, 205, 1466004308, NULL, NULL, 0),
(58466, 93, 8403, 4, 1465941600, 0.5, 93, 1466010863, NULL, NULL, 0),
(58467, 93, 12186, 4, 1465941600, 0.5, 93, 1466010888, NULL, NULL, 0),
(58469, 116, 12058, 4, 1465941600, 1, 116, 1466058571, NULL, NULL, 0),
(58490, 217, 10280, 2, 1466028000, 0.5, 217, 1466067811, NULL, NULL, 0),
(58506, 72, 23791, 1, 1466028000, 1, 72, 1466087084, NULL, NULL, 0),
(58502, 158, 10399, 7, 1466028000, 1, 158, 1466077751, NULL, NULL, 0),
(58503, 169, 2, 1, 1466114400, 0.5, 169, 1466083811, NULL, NULL, 0),
(58504, 217, 12156, 2, 1466028000, 0.5, 217, 1466086644, NULL, NULL, 0),
(58505, 217, 12159, 6, 1466114400, 1, 217, 1466086692, NULL, NULL, 0),
(58507, 72, 23791, 1, 1466114400, 0.5, 72, 1466087093, NULL, NULL, 0),
(58508, 72, 2089, 1, 1466114400, 0.5, 72, 1466087105, NULL, NULL, 0),
(58509, 2, 1435, 1, 1465941600, 0.8, 2, 1466089515, NULL, NULL, 0),
(58561, 2, 1435, 1, 1466028000, 0.9, 2, 1466156936, NULL, NULL, 0),
(58531, 134, 12109, 4, 1465855200, 1, 134, 1466149575, NULL, NULL, 0),
(58532, 134, 12109, 4, 1465941600, 1, 134, 1466149586, NULL, NULL, 0),
(58973, 134, 12109, 4, 1466114400, 0.5, 134, 1466408868, NULL, NULL, 0),
(58534, 116, 10426, 4, 1466028000, 0.5, 116, 1466150551, NULL, NULL, 0),
(58535, 116, 12058, 4, 1466028000, 0.5, 116, 1466150563, NULL, NULL, 0),
(58560, 2, 23791, 1, 1466114400, 0.5, 2, 1466156910, NULL, NULL, 0),
(58563, 169, 12196, 5, 1466028000, 0.5, 169, 1466159382, NULL, NULL, 0),
(58564, 169, 12196, 5, 1466114400, 0.5, 169, 1466159411, NULL, NULL, 0),
(58565, 169, 12197, 5, 1466028000, 0.5, 169, 1466159453, NULL, NULL, 0),
(58566, 169, 4278, 4, 1465768800, 1, 169, 1466159485, NULL, NULL, 0),
(58570, 93, 11975, 2, 1466114400, 0.25, 93, 1466160230, NULL, NULL, 0),
(58568, 169, 11975, 4, 1465855200, 1, 169, 1466159547, NULL, NULL, 0),
(58569, 169, 11975, 4, 1465941600, 1, 169, 1466159621, NULL, NULL, 0),
(58571, 93, 12186, 4, 1466114400, 0.25, 93, 1466160283, NULL, NULL, 0),
(58647, 2, 2, 1, 1466546400, 1, 2, 1466172758, NULL, NULL, 0),
(58741, 212, 11178, 6, 1465768800, 1, 212, 1466175675, NULL, NULL, 0),
(58742, 146, 12159, 5, 1465941600, 1, 146, 1466175676, NULL, NULL, 0),
(58743, 212, 11178, 6, 1466028000, 0.5, 212, 1466175700, NULL, NULL, 0),
(58744, 146, 12137, 4, 1466028000, 0.5, 146, 1466175732, NULL, NULL, 0),
(58745, 212, 11178, 6, 1466114400, 0.7, 212, 1466175749, NULL, NULL, 0),
(58746, 146, 12137, 4, 1466114400, 1, 146, 1466175767, NULL, NULL, 0),
(58747, 212, 12113, 6, 1466028000, 0.5, 212, 1466175807, NULL, NULL, 0),
(58748, 212, 12113, 6, 1466114400, 0.3, 212, 1466175828, NULL, NULL, 0),
(58862, 147, 12114, 5, 1466114400, 1, 147, 1466177634, NULL, NULL, 0),
(58864, 147, 12114, 5, 1466028000, 1, 147, 1466177650, NULL, NULL, 0),
(58867, 147, 12114, 5, 1465941600, 0.5, 147, 1466177674, NULL, NULL, 0),
(58868, 147, 12114, 5, 1465855200, 1, 147, 1466177697, NULL, NULL, 0),
(58871, 147, 12114, 4, 1465768800, 0.5, 147, 1466177724, NULL, NULL, 0),
(58953, 74, 10423, 6, 1465855200, 0.5, 74, 1466401291, NULL, NULL, 0),
(58955, 74, 10423, 6, 1465941600, 1, 74, 1466401319, NULL, NULL, 0),
(58956, 74, 10423, 6, 1466028000, 0.5, 74, 1466401338, NULL, NULL, 0),
(58957, 74, 1505, 1, 1466028000, 0.5, 74, 1466401363, NULL, NULL, 0),
(58958, 157, 12181, 4, 1466028000, 1, 157, 1466402289, NULL, NULL, 0),
(58959, 72, 23791, 1, 1466373600, 1, 72, 1466403954, NULL, NULL, 0),
(58960, 72, 23791, 1, 1466460000, 1, 72, 1466403954, NULL, NULL, 0),
(58961, 72, 23791, 1, 1466546400, 1, 72, 1466403954, NULL, NULL, 0),
(58962, 72, 23791, 1, 1466632800, 1, 72, 1466403954, NULL, NULL, 0),
(58963, 116, 1596, 1, 1466114400, 1, 116, 1466404061, NULL, NULL, 0),
(58964, 199, 12199, 4, 1466114400, 1, 199, 1466405991, NULL, NULL, 0),
(58965, 199, 12199, 4, 1466028000, 1, 199, 1466405998, NULL, NULL, 0),
(58966, 199, 12199, 4, 1465941600, 1, 199, 1466406007, NULL, NULL, 0),
(58967, 2, 23791, 1, 1466114400, 0.3, 2, 1466406796, NULL, NULL, 0),
(58968, 164, 9951, 17, 1466028000, 0.5, 164, 1466406894, NULL, NULL, 0),
(58969, 164, 8949, 18, 1466114400, 1, 164, 1466406912, NULL, NULL, 0),
(58970, 164, 9951, 18, 1466028000, 0.5, 164, 1466406927, NULL, NULL, 0),
(59092, 93, 1, 1, 1466546400, 1, 93, 1466496587, NULL, NULL, 0),
(58981, 205, 10041, 4, 1466114400, 0.25, 205, 1466409263, NULL, NULL, 0),
(58979, 205, 1505, 1, 1466114400, 0.5, 205, 1466409227, NULL, NULL, 0),
(58982, 134, 9683, 4, 1466114400, 0.5, 134, 1466409291, NULL, NULL, 0),
(58983, 109, 2, 1, 1466978400, 1, 109, 1466409363, NULL, NULL, 0),
(58984, 109, 2, 1, 1467064800, 1, 109, 1466409363, NULL, NULL, 0),
(58985, 109, 2, 1, 1467151200, 1, 109, 1466409363, NULL, NULL, 0),
(58986, 109, 2, 1, 1467237600, 1, 109, 1466409363, NULL, NULL, 0),
(58987, 109, 2, 1, 1467324000, 1, 109, 1466409363, NULL, NULL, 0),
(58988, 205, 12252, 4, 1466114400, 0.1, 205, 1466409577, NULL, NULL, 0),
(58991, 205, 12253, 4, 1466114400, 0.05, 205, 1466409711, NULL, NULL, 0),
(58993, 205, 12253, 4, 1466114400, 0.1, 205, 1466409721, NULL, NULL, 0),
(59387, 72, 23791, 1, 1466719200, 0.5, 72, 1466767976, NULL, NULL, 0),
(59000, 200, 8454, 4, 1465768800, 1, 200, 1466412840, NULL, NULL, 0),
(59001, 200, 8454, 4, 1465855200, 1, 200, 1466412867, NULL, NULL, 0),
(59002, 200, 10391, 7, 1465941600, 1, 200, 1466412896, NULL, NULL, 0),
(59030, 200, 2089, 1, 1466028000, 1, 72, 1466418843, NULL, NULL, 0),
(59031, 200, 2089, 1, 1466114400, 0.2, 72, 1466418855, NULL, NULL, 0),
(59005, 200, 8454, 4, 1466114400, 0.8, 200, 1466412946, NULL, NULL, 0),
(59038, 217, 12159, 7, 1466373600, 0.6, 217, 1466426888, NULL, NULL, 0),
(59047, 212, 2, 1, 1466719200, 0.5, 212, 1466429024, NULL, NULL, 0),
(59081, 217, 10280, 2, 1466460000, 0.2, 217, 1466494285, NULL, NULL, 0),
(59080, 217, 10280, 2, 1466373600, 0.4, 217, 1466494268, NULL, NULL, 0),
(59086, 217, 10398, 2, 1466460000, 0.3, 217, 1466494808, NULL, NULL, 0),
(59087, 93, 11975, 2, 1466460000, 1, 93, 1466496510, NULL, NULL, 0),
(59204, 93, 12290, 6, 1466719200, 1, 72, 1466609297, NULL, NULL, 0),
(59089, 147, 2, 1, 1466373600, 0.5, 147, 1466496545, NULL, NULL, 0),
(59203, 93, 12290, 6, 1466632800, 1, 72, 1466609238, NULL, NULL, 0),
(59094, 147, 12199, 4, 1466373600, 0.5, 147, 1466496815, NULL, NULL, 0),
(59095, 147, 12199, 4, 1466460000, 1, 147, 1466496833, NULL, NULL, 0),
(59205, 147, 12199, 4, 1466546400, 0.75, 147, 1466610583, NULL, NULL, 0),
(59116, 217, 11112, 27, 1466460000, 0.4, 217, 1466502124, NULL, NULL, 0),
(59117, 217, 12159, 27, 1466460000, 0.1, 217, 1466502354, NULL, NULL, 0),
(59127, 158, 2, 1, 1466632800, 1, 158, 1466508307, NULL, NULL, 0),
(59128, 158, 2, 1, 1467064800, 1, 158, 1466508863, NULL, NULL, 0),
(59129, 158, 10399, 7, 1466460000, 1, 158, 1466509106, NULL, NULL, 0),
(59142, 116, 1596, 1, 1466373600, 1, 116, 1466518799, NULL, NULL, 0),
(59143, 116, 1596, 1, 1466460000, 1, 116, 1466518803, NULL, NULL, 0),
(59656, 217, 1041, 1, 1466546400, 1, 217, 1467013754, NULL, NULL, 0),
(59163, 164, 9951, 18, 1466373600, 0.5, 164, 1466586856, NULL, NULL, 0),
(59164, 164, 9951, 17, 1466373600, 0.5, 164, 1466586867, NULL, NULL, 0),
(59165, 164, 11032, 18, 1466460000, 0.25, 164, 1466586892, NULL, NULL, 0),
(59166, 164, 9951, 18, 1466460000, 0.5, 164, 1466586905, NULL, NULL, 0),
(59167, 164, 1435, 1, 1466460000, 0.25, 164, 1466586920, NULL, NULL, 0),
(59168, 164, 6967, 18, 1466546400, 0.25, 164, 1466586946, NULL, NULL, 0),
(59169, 164, 11032, 18, 1466546400, 0.25, 164, 1466586959, NULL, NULL, 0),
(59170, 164, 11032, 18, 1466546400, 0.25, 164, 1466586970, NULL, NULL, 0),
(59172, 164, 1436, 1, 1466546400, 0.25, 164, 1466586996, NULL, NULL, 0),
(59175, 146, 2, 1, 1466719200, 1, 146, 1466588043, NULL, NULL, 0),
(59176, 146, 2, 1, 1467151200, 1, 146, 1466588054, NULL, NULL, 0),
(59180, 158, 10399, 7, 1466546400, 1, 158, 1466596518, NULL, NULL, 0),
(59182, 212, 11178, 6, 1466373600, 1, 212, 1466597799, NULL, NULL, 0),
(59183, 212, 11178, 6, 1466460000, 1, 212, 1466597819, NULL, NULL, 0),
(59184, 212, 11178, 6, 1466546400, 1, 212, 1466597837, NULL, NULL, 0),
(59191, 74, 1, 1, 1473285600, 1, 74, 1466604392, NULL, NULL, 0),
(59192, 74, 1, 1, 1474840800, 1, 74, 1466604416, NULL, NULL, 0),
(59193, 74, 1, 1, 1476050400, 1, 74, 1466604444, NULL, NULL, 0),
(59194, 74, 1, 1, 1478473200, 1, 74, 1466604500, NULL, NULL, 0),
(59197, 116, 1596, 1, 1466546400, 1, 116, 1466605856, NULL, NULL, 0),
(59198, 116, 2, 1, 1466719200, 1, 116, 1466605868, NULL, NULL, 0),
(59206, 147, 10617, 4, 1466546400, 0.25, 147, 1466610613, NULL, NULL, 0),
(59249, 212, 11178, 6, 1466632800, 1, 212, 1466675641, NULL, NULL, 0),
(59251, 212, 11178, 6, 1466719200, 0.5, 212, 1466675673, NULL, NULL, 0),
(59274, 116, 1596, 1, 1466632800, 1, 116, 1466691827, NULL, NULL, 0),
(59278, 146, 12137, 4, 1466632800, 1, 146, 1466696336, NULL, NULL, 0),
(59279, 146, 12137, 4, 1466373600, 1, 146, 1466696363, NULL, NULL, 0),
(59280, 146, 12137, 4, 1466460000, 1, 146, 1466696426, NULL, NULL, 0),
(59281, 146, 12137, 4, 1466546400, 1, 146, 1466696663, NULL, NULL, 0),
(59282, 205, 2, 1, 1466719200, 1, 205, 1466702396, NULL, NULL, 0),
(59283, 205, 2, 1, 1466978400, 1, 205, 1466702408, NULL, NULL, 0),
(59284, 205, 10041, 4, 1466373600, 0.2, 205, 1466702443, NULL, NULL, 0),
(59285, 205, 10400, 27, 1466460000, 0.25, 205, 1466702505, NULL, NULL, 0),
(59286, 205, 10394, 27, 1466632800, 0.25, 205, 1466702573, NULL, NULL, 0),
(59287, 205, 11007, 4, 1466632800, 0.5, 205, 1466702612, NULL, NULL, 0),
(59288, 205, 10280, 4, 1466632800, 0.25, 205, 1466702657, NULL, NULL, 0),
(59289, 205, 12137, 2, 1466546400, 0.25, 205, 1466702773, NULL, NULL, 0),
(59290, 205, 9889, 27, 1466546400, 0.25, 205, 1466702852, NULL, NULL, 0),
(59291, 205, 11115, 27, 1466546400, 0.2, 205, 1466702939, NULL, NULL, 0),
(59292, 205, 10395, 2, 1466546400, 0.3, 205, 1466703005, NULL, NULL, 0),
(59293, 205, 10041, 4, 1466460000, 0.2, 205, 1466703020, NULL, NULL, 0),
(59294, 205, 12137, 2, 1466373600, 0.2, 205, 1466703129, NULL, NULL, 0),
(59295, 205, 10394, 4, 1466373600, 0.6, 205, 1466703159, NULL, NULL, 0),
(59296, 205, 10280, 4, 1466460000, 0.5, 205, 1466703187, NULL, NULL, 0),
(59297, 205, 10280, 4, 1466460000, 0.05, 205, 1466703196, NULL, NULL, 0),
(59398, 199, 10330, 6, 1466719200, 1, 199, 1466774336, NULL, NULL, 0),
(59299, 199, 12199, 4, 1466546400, 1, 199, 1466749634, NULL, NULL, 0),
(59300, 199, 12199, 4, 1466460000, 1, 199, 1466749643, NULL, NULL, 0),
(59301, 199, 10330, 4, 1466373600, 0.5, 199, 1466749669, NULL, NULL, 0),
(59302, 199, 12199, 4, 1466373600, 0.5, 199, 1466749679, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(59334, 157, 12181, 7, 1466460000, 1, 157, 1466757228, NULL, NULL, 0),
(59335, 157, 12181, 7, 1466373600, 1, 157, 1466757246, NULL, NULL, 0),
(59336, 157, 10401, 7, 1466632800, 1, 157, 1466757270, NULL, NULL, 0),
(59337, 157, 9459, 6, 1466719200, 0.5, 157, 1466757304, NULL, NULL, 0),
(59338, 157, 10622, 6, 1466719200, 0.5, 157, 1466757344, NULL, NULL, 0),
(59339, 72, 12302, 5, 1466719200, 0.25, 72, 1466757467, NULL, NULL, 0),
(59340, 72, 23791, 1, 1466719200, 0.25, 72, 1466757481, NULL, NULL, 0),
(59347, 74, 10423, 6, 1466373600, 1, 74, 1466759248, NULL, NULL, 0),
(59348, 74, 10423, 6, 1466546400, 1, 74, 1466759258, NULL, NULL, 0),
(59349, 74, 10423, 6, 1466632800, 1, 74, 1466759266, NULL, NULL, 0),
(59350, 74, 10423, 6, 1466719200, 1, 74, 1466759274, NULL, NULL, 0),
(59351, 74, 1, 1, 1467064800, 0.5, 74, 1466759334, NULL, NULL, 0),
(59353, 134, 2, 1, 1468792800, 1, 134, 1466761007, NULL, NULL, 0),
(59354, 134, 2, 1, 1468879200, 1, 134, 1466761007, NULL, NULL, 0),
(59355, 134, 2, 1, 1468965600, 1, 134, 1466761007, NULL, NULL, 0),
(59356, 134, 2, 1, 1469052000, 1, 134, 1466761007, NULL, NULL, 0),
(59357, 134, 2, 1, 1469138400, 1, 134, 1466761007, NULL, NULL, 0),
(59358, 134, 1437, 1, 1466373600, 0.25, 134, 1466761073, NULL, NULL, 0),
(59359, 134, 12303, 5, 1466373600, 0.75, 134, 1466761131, NULL, NULL, 0),
(59360, 134, 12303, 6, 1466460000, 1, 134, 1466761152, NULL, NULL, 0),
(59361, 134, 12303, 5, 1466546400, 1, 134, 1466761168, NULL, NULL, 0),
(59362, 164, 6967, 18, 1466632800, 0.5, 164, 1466761464, NULL, NULL, 0),
(59363, 164, 9951, 18, 1466632800, 0.25, 164, 1466761481, NULL, NULL, 0),
(59364, 164, 9951, 17, 1466632800, 0.25, 164, 1466761490, NULL, NULL, 0),
(59365, 164, 9951, 18, 1466719200, 0.3, 164, 1466761501, NULL, NULL, 0),
(59366, 164, 6967, 18, 1466719200, 0.3, 164, 1466761512, NULL, NULL, 0),
(59369, 134, 12318, 4, 1466632800, 1, 134, 1466761542, NULL, NULL, 0),
(59368, 164, 1435, 1, 1466719200, 0.4, 164, 1466761525, NULL, NULL, 0),
(59370, 2, 1435, 1, 1466719200, 0.5, 2, 1466761590, NULL, NULL, 0),
(59371, 2, 23791, 1, 1466719200, 0.5, 2, 1466761602, NULL, NULL, 0),
(59372, 2, 23791, 1, 1466632800, 0.5, 2, 1466761607, NULL, NULL, 0),
(59373, 134, 12318, 4, 1466719200, 1, 134, 1466762421, NULL, NULL, 0),
(59377, 2, 23791, 1, 1466460000, 0.75, 2, 1466767405, NULL, NULL, 0),
(59378, 2, 23791, 1, 1466632800, 0.25, 2, 1466767416, NULL, NULL, 0),
(59379, 72, 2, 1, 1466978400, 1, 72, 1466767436, NULL, NULL, 0),
(59380, 147, 12199, 4, 1466632800, 1, 147, 1466767440, NULL, NULL, 0),
(59381, 147, 12199, 4, 1466719200, 1, 147, 1466767466, NULL, NULL, 0),
(59382, 200, 8454, 7, 1466373600, 1, 200, 1466767890, NULL, NULL, 0),
(59383, 200, 8454, 7, 1466460000, 1, 200, 1466767898, NULL, NULL, 0),
(59384, 200, 8454, 7, 1466546400, 1, 200, 1466767906, NULL, NULL, 0),
(59385, 200, 8454, 7, 1466632800, 1, 200, 1466767918, NULL, NULL, 0),
(59386, 200, 8454, 7, 1466719200, 1, 200, 1466767932, NULL, NULL, 0),
(59397, 199, 9683, 4, 1466632800, 1, 199, 1466774301, NULL, NULL, 0),
(77212, 157, 14827, 4, 1476136800, 0.5, 157, 1476434016, NULL, NULL, 0),
(59655, 217, 9889, 4, 1466978400, 0.5, 217, 1467013716, NULL, NULL, 0),
(59657, 217, 1041, 1, 1466632800, 1, 217, 1467013760, NULL, NULL, 0),
(59658, 217, 1041, 1, 1466719200, 1, 217, 1467013764, NULL, NULL, 0),
(59762, 200, 2, 1, 1471298400, 1, 200, 1467030827, NULL, NULL, 0),
(59763, 200, 2, 1, 1471384800, 1, 200, 1467030827, NULL, NULL, 0),
(59764, 200, 2, 1, 1471471200, 1, 200, 1467030827, NULL, NULL, 0),
(59765, 200, 2, 1, 1471557600, 1, 200, 1467030827, NULL, NULL, 0),
(59824, 157, 2, 1, 1468188000, 1, 157, 1467094106, NULL, NULL, 0),
(59825, 157, 2, 1, 1468274400, 1, 157, 1467094106, NULL, NULL, 0),
(59826, 157, 2, 1, 1468360800, 1, 157, 1467094106, NULL, NULL, 0),
(60040, 199, 2, 1, 1470348000, 1, 199, 1467188548, NULL, NULL, 0),
(59873, 83, 2865, 1, 1464818400, 1, 177, 1467104558, NULL, NULL, 0),
(59874, 83, 2865, 1, 1464904800, 1, 177, 1467104564, NULL, NULL, 0),
(59875, 83, 2865, 1, 1465164000, 1, 177, 1467104589, NULL, NULL, 0),
(59876, 83, 2865, 1, 1465250400, 1, 177, 1467104595, NULL, NULL, 0),
(59879, 83, 2865, 1, 1465423200, 1, 177, 1467104615, NULL, NULL, 0),
(59878, 83, 2865, 1, 1465336800, 1, 177, 1467104604, NULL, NULL, 0),
(59880, 83, 2865, 1, 1465509600, 1, 177, 1467104620, NULL, NULL, 0),
(59881, 83, 2865, 1, 1465768800, 1, 177, 1467104632, NULL, NULL, 0),
(59882, 83, 2865, 1, 1465855200, 1, 177, 1467104638, NULL, NULL, 0),
(59883, 83, 2865, 1, 1465941600, 1, 177, 1467104643, NULL, NULL, 0),
(59884, 83, 2865, 1, 1466028000, 1, 177, 1467104647, NULL, NULL, 0),
(59885, 83, 2865, 1, 1466114400, 1, 177, 1467104651, NULL, NULL, 0),
(59886, 83, 2865, 1, 1466373600, 1, 177, 1467104661, NULL, NULL, 0),
(59887, 83, 2865, 1, 1466460000, 1, 177, 1467104665, NULL, NULL, 0),
(59888, 83, 2865, 1, 1466546400, 1, 177, 1467104669, NULL, NULL, 0),
(59889, 83, 2865, 1, 1466632800, 1, 177, 1467104673, NULL, NULL, 0),
(59890, 83, 2865, 1, 1466719200, 1, 177, 1467104676, NULL, NULL, 0),
(59891, 83, 2865, 1, 1466978400, 1, 177, 1467104683, NULL, NULL, 0),
(59892, 83, 2865, 1, 1467064800, 1, 177, 1467104688, NULL, NULL, 0),
(59893, 83, 2865, 1, 1467151200, 1, 177, 1467104693, NULL, NULL, 0),
(59894, 83, 2865, 1, 1467237600, 1, 177, 1467104696, NULL, NULL, 0),
(59913, 217, 9889, 7, 1467064800, 0.5, 217, 1467120106, NULL, NULL, 0),
(59914, 217, 9889, 7, 1466978400, 0.5, 217, 1467120118, NULL, NULL, 0),
(59915, 217, 11112, 27, 1467064800, 0.5, 217, 1467120194, NULL, NULL, 0),
(59927, 157, 12465, 4, 1467064800, 0.5, 157, 1467122184, NULL, NULL, 0),
(59928, 157, 12467, 4, 1467064800, 0.5, 157, 1467122222, NULL, NULL, 0),
(59929, 157, 12466, 4, 1466978400, 0.25, 157, 1467122275, NULL, NULL, 0),
(59930, 157, 12466, 5, 1466978400, 0.25, 157, 1467122293, NULL, NULL, 0),
(59931, 157, 10622, 6, 1466978400, 0.5, 157, 1467122373, NULL, NULL, 0),
(59935, 157, 2, 1, 1467324000, 0.5, 157, 1467122486, NULL, NULL, 0),
(59943, 2, 23791, 1, 1466978400, 1, 2, 1467125451, NULL, NULL, 0),
(59944, 2, 12654, 18, 1467064800, 1, 2, 1467125589, NULL, NULL, 0),
(60049, 116, 1596, 1, 1466978400, 1, 116, 1467190581, NULL, NULL, 0),
(60050, 116, 12186, 4, 1467064800, 1, 116, 1467190608, NULL, NULL, 0),
(60051, 116, 2, 1, 1467324000, 1, 116, 1467190618, NULL, NULL, 0),
(66693, 157, 1, 1, 1470693600, 0.5, 157, 1470807664, NULL, NULL, 0),
(66692, 157, 13592, 4, 1470780000, 1, 157, 1470807645, NULL, NULL, 0),
(66691, 157, 13592, 4, 1470693600, 0.5, 157, 1470807630, NULL, NULL, 0),
(66690, 157, 13592, 4, 1470607200, 0.5, 157, 1470807613, NULL, NULL, 0),
(60156, 2, 12654, 17, 1467151200, 0.5, 2, 1467279684, NULL, NULL, 0),
(60081, 134, 12305, 7, 1466978400, 1, 134, 1467208661, NULL, NULL, 0),
(60082, 134, 12305, 7, 1467064800, 1, 134, 1467208672, NULL, NULL, 0),
(60084, 134, 12657, 4, 1467151200, 1, 134, 1467208717, NULL, NULL, 0),
(60085, 72, 23791, 1, 1467064800, 1, 72, 1467213373, NULL, NULL, 0),
(60086, 72, 23791, 1, 1467151200, 1, 72, 1467213392, NULL, NULL, 0),
(60101, 205, 1041, 1, 1467237600, 1, 72, 1467274163, NULL, NULL, 0),
(60154, 2, 1435, 1, 1467151200, 0.5, 2, 1467279662, NULL, NULL, 0),
(60159, 147, 10617, 4, 1467064800, 0.25, 147, 1467279725, NULL, NULL, 0),
(60166, 147, 5726, 5, 1466978400, 1, 147, 1467280271, NULL, NULL, 0),
(60167, 147, 5726, 5, 1467064800, 0.75, 147, 1467280305, NULL, NULL, 0),
(60168, 147, 5726, 5, 1467151200, 0.25, 147, 1467280351, NULL, NULL, 0),
(60173, 147, 12331, 4, 1467151200, 0.75, 147, 1467280489, NULL, NULL, 0),
(60277, 200, 2, 1, 1475618400, 1, 200, 1467289673, NULL, NULL, 0),
(60276, 200, 2, 1, 1475532000, 1, 200, 1467289673, NULL, NULL, 0),
(64731, 2, 4288, 4, 1469656800, 0.5, 2, 1469720063, NULL, NULL, 0),
(60239, 205, 1041, 1, 1467324000, 1, 72, 1467285159, NULL, NULL, 0),
(60278, 200, 2, 1, 1475704800, 1, 200, 1467289673, NULL, NULL, 0),
(60279, 200, 2, 1, 1475791200, 1, 200, 1467289673, NULL, NULL, 0),
(60280, 200, 2, 1, 1476050400, 1, 200, 1467289673, NULL, NULL, 0),
(60281, 200, 2, 1, 1476136800, 1, 200, 1467289673, NULL, NULL, 0),
(60282, 200, 2, 1, 1476223200, 1, 200, 1467289673, NULL, NULL, 0),
(60283, 200, 2, 1, 1476309600, 1, 200, 1467289673, NULL, NULL, 0),
(60284, 200, 2, 1, 1476396000, 1, 200, 1467289673, NULL, NULL, 0),
(60285, 200, 2, 1, 1476655200, 1, 200, 1467289673, NULL, NULL, 0),
(60286, 200, 2, 1, 1476741600, 1, 200, 1467289673, NULL, NULL, 0),
(60287, 200, 2, 1, 1476828000, 1, 200, 1467289673, NULL, NULL, 0),
(60321, 200, 2, 1, 1468533600, 1, 200, 1467291634, NULL, NULL, 0),
(60326, 217, 12159, 27, 1467151200, 0.3, 217, 1467291758, NULL, NULL, 0),
(60331, 217, 10395, 2, 1467151200, 0.7, 217, 1467291829, NULL, NULL, 0),
(60373, 217, 10395, 18, 1467237600, 0.1, 217, 1467295183, NULL, NULL, 0),
(60347, 217, 11112, 27, 1467237600, 0.5, 217, 1467292886, NULL, NULL, 0),
(61104, 157, 1, 1, 1473717600, 0.5, 157, 1467643322, NULL, NULL, 0),
(60358, 116, 10426, 5, 1467151200, 1, 116, 1467294350, NULL, NULL, 0),
(60374, 217, 10393, 18, 1467237600, 0.1, 217, 1467295198, NULL, NULL, 0),
(60375, 217, 10392, 18, 1467237600, 0.1, 217, 1467295208, NULL, NULL, 0),
(60376, 217, 10397, 18, 1467237600, 0.1, 217, 1467295225, NULL, NULL, 0),
(60383, 116, 10426, 5, 1467237600, 1, 116, 1467296796, NULL, NULL, 0),
(60384, 164, 9951, 17, 1466978400, 0.5, 164, 1467297310, NULL, NULL, 0),
(60385, 164, 9951, 18, 1466978400, 0.5, 164, 1467297322, NULL, NULL, 0),
(60386, 164, 6967, 18, 1467151200, 0.5, 164, 1467297340, NULL, NULL, 0),
(60387, 164, 9951, 18, 1467064800, 0.5, 164, 1467297356, NULL, NULL, 0),
(60388, 164, 9951, 17, 1467064800, 0.5, 164, 1467297376, NULL, NULL, 0),
(60389, 164, 9951, 17, 1467151200, 0.5, 164, 1467297394, NULL, NULL, 0),
(60390, 164, 6967, 18, 1467237600, 0.25, 164, 1467297408, NULL, NULL, 0),
(60391, 164, 9951, 18, 1467237600, 0.5, 164, 1467297421, NULL, NULL, 0),
(60392, 164, 9951, 17, 1467237600, 0.25, 164, 1467297431, NULL, NULL, 0),
(60398, 72, 23791, 1, 1467237600, 1, 72, 1467299277, NULL, NULL, 0),
(60423, 2, 1435, 1, 1467237600, 0.7, 2, 1467301042, NULL, NULL, 0),
(60440, 157, 9468, 4, 1467151200, 1, 157, 1467350332, NULL, NULL, 0),
(60441, 157, 12465, 4, 1467237600, 1, 157, 1467350364, NULL, NULL, 0),
(60442, 157, 12465, 6, 1467324000, 0.5, 157, 1467350390, NULL, NULL, 0),
(60448, 72, 23791, 1, 1467324000, 1, 72, 1467356997, NULL, NULL, 0),
(60449, 74, 10423, 6, 1466978400, 1, 74, 1467357211, NULL, NULL, 0),
(60450, 74, 10423, 6, 1467064800, 0.5, 74, 1467357233, NULL, NULL, 0),
(60451, 74, 10423, 6, 1467151200, 1, 74, 1467357278, NULL, NULL, 0),
(60462, 74, 10290, 4, 1467237600, 1, 74, 1467358270, NULL, NULL, 0),
(60463, 74, 10290, 4, 1467324000, 1, 74, 1467358295, NULL, NULL, 0),
(60466, 217, 10399, 2, 1467324000, 0.1, 217, 1467358420, NULL, NULL, 0),
(60468, 217, 12159, 7, 1467324000, 0.6, 217, 1467358455, NULL, NULL, 0),
(60477, 158, 10399, 7, 1466978400, 1, 158, 1467358997, NULL, NULL, 0),
(60478, 158, 10399, 7, 1467151200, 1, 158, 1467359016, NULL, NULL, 0),
(60479, 158, 10399, 7, 1467237600, 1, 158, 1467359034, NULL, NULL, 0),
(60481, 158, 10399, 7, 1467324000, 1, 158, 1467359045, NULL, NULL, 0),
(60489, 164, 11032, 18, 1467324000, 1, 164, 1467359249, NULL, NULL, 0),
(61193, 116, 10399, 7, 1467583200, 1, 116, 1467727362, NULL, NULL, 0),
(60708, 2, 2, 1, 1477868400, 1, 2, 1467381392, NULL, NULL, 0),
(72479, 2, 2, 1, 1482706800, 1, 2, 1473844781, NULL, NULL, 0),
(60723, 147, 5726, 5, 1467237600, 1, 147, 1467383282, NULL, NULL, 0),
(72480, 164, 2, 1, 1482793200, 1, 164, 1473844840, NULL, NULL, 0),
(72481, 164, 2, 1, 1482879600, 1, 164, 1473844840, NULL, NULL, 0),
(72482, 164, 2, 1, 1482966000, 1, 164, 1473844840, NULL, NULL, 0),
(60724, 147, 12331, 5, 1467324000, 1, 147, 1467383317, NULL, NULL, 0),
(60728, 146, 12137, 4, 1467064800, 1, 146, 1467384164, NULL, NULL, 0),
(60727, 146, 12137, 4, 1466978400, 1, 146, 1467384084, NULL, NULL, 0),
(60732, 146, 11007, 5, 1467237600, 1, 146, 1467384605, NULL, NULL, 0),
(60731, 146, 11007, 6, 1467324000, 0.5, 146, 1467384505, NULL, NULL, 0),
(60758, 134, 12303, 5, 1467324000, 1, 134, 1467389191, NULL, NULL, 0),
(60759, 134, 12303, 5, 1467237600, 1, 134, 1467389203, NULL, NULL, 0),
(60806, 200, 8454, 4, 1466978400, 1, 200, 1467616467, NULL, NULL, 0),
(60807, 200, 8454, 4, 1467064800, 1, 200, 1467616491, NULL, NULL, 0),
(60809, 212, 11178, 6, 1466978400, 1, 212, 1467618479, NULL, NULL, 0),
(60810, 212, 11178, 6, 1467064800, 1, 212, 1467618498, NULL, NULL, 0),
(60811, 212, 11178, 6, 1467151200, 1, 212, 1467618738, NULL, NULL, 0),
(60812, 212, 11178, 6, 1467237600, 1, 212, 1467618752, NULL, NULL, 0),
(60813, 212, 11178, 6, 1467324000, 1, 212, 1467618767, NULL, NULL, 0),
(60815, 146, 12137, 4, 1467324000, 0.5, 146, 1467619534, NULL, NULL, 0),
(60843, 217, 12159, 7, 1467583200, 0.3, 217, 1467621868, NULL, NULL, 0),
(60851, 212, 2, 1, 1471816800, 1, 212, 1467622715, NULL, NULL, 0),
(60852, 212, 2, 1, 1471903200, 1, 212, 1467622715, NULL, NULL, 0),
(60853, 212, 2, 1, 1471989600, 1, 212, 1467622715, NULL, NULL, 0),
(60854, 212, 2, 1, 1472076000, 1, 212, 1467622715, NULL, NULL, 0),
(60855, 212, 2, 1, 1472162400, 1, 212, 1467622715, NULL, NULL, 0),
(60867, 2, 12654, 17, 1467237600, 0.3, 2, 1467623117, NULL, NULL, 0),
(60876, 199, 10330, 5, 1466978400, 1, 199, 1467623460, NULL, NULL, 0),
(60877, 199, 12199, 5, 1467064800, 1, 199, 1467623483, NULL, NULL, 0),
(60878, 199, 12199, 5, 1467151200, 1, 199, 1467623492, NULL, NULL, 0),
(60881, 199, 10622, 5, 1467237600, 1, 199, 1467623527, NULL, NULL, 0),
(60884, 199, 10622, 5, 1467324000, 1, 199, 1467623554, NULL, NULL, 0),
(61022, 217, 12155, 2, 1467583200, 0.1, 217, 1467632064, NULL, NULL, 0),
(61085, 134, 12303, 6, 1467583200, 0.5, 134, 1467640301, NULL, NULL, 0),
(61090, 217, 12687, 7, 1467583200, 0.5, 217, 1467641187, NULL, NULL, 0),
(61092, 217, 12687, 18, 1467583200, 0.1, 217, 1467641204, NULL, NULL, 0),
(61102, 157, 1, 1, 1467669600, 0.5, 157, 1467643279, NULL, NULL, 0),
(65344, 74, 12288, 2, 1469743200, 1, 74, 1469801795, NULL, NULL, 0),
(65794, 74, 12288, 5, 1469570400, 0.5, 2, 1470057164, NULL, NULL, 0),
(61128, 134, 1437, 1, 1467583200, 0.5, 134, 1467646808, NULL, NULL, 0),
(61175, 109, 2, 1, 1467669600, 1, 109, 1467698577, NULL, NULL, 0),
(61176, 212, 2, 1, 1473199200, 1, 212, 1467704255, NULL, NULL, 0),
(61177, 146, 2, 1, 1467756000, 1, 146, 1467705628, NULL, NULL, 0),
(61189, 212, 12113, 6, 1467583200, 1, 212, 1467726273, NULL, NULL, 0),
(61190, 212, 12113, 6, 1467669600, 0.5, 212, 1467726311, NULL, NULL, 0),
(61191, 72, 12781, 4, 1467669600, 1, 72, 1467726873, NULL, NULL, 0),
(61512, 72, 12798, 4, 1467583200, 1, 72, 1467962870, NULL, NULL, 0),
(61194, 116, 10399, 7, 1467669600, 1, 116, 1467727372, NULL, NULL, 0),
(61195, 217, 12159, 6, 1467669600, 0.5, 217, 1467727692, NULL, NULL, 0),
(61196, 205, 12687, 2, 1467064800, 0.5, 205, 1467728826, NULL, NULL, 0),
(61201, 205, 23791, 1, 1467151200, 0.5, 205, 1467729089, NULL, NULL, 0),
(61198, 205, 12159, 27, 1467151200, 0.25, 205, 1467728880, NULL, NULL, 0),
(61200, 205, 23791, 1, 1467669600, 0.25, 205, 1467729073, NULL, NULL, 0),
(61202, 205, 23791, 1, 1467583200, 0.5, 205, 1467729111, NULL, NULL, 0),
(61203, 205, 12687, 2, 1467669600, 0.75, 205, 1467729151, NULL, NULL, 0),
(61204, 205, 11007, 2, 1467583200, 0.25, 205, 1467729228, NULL, NULL, 0),
(61205, 205, 12687, 2, 1467583200, 0.25, 205, 1467729246, NULL, NULL, 0),
(61206, 205, 10396, 4, 1467151200, 0.25, 205, 1467729364, NULL, NULL, 0),
(61209, 205, 12687, 4, 1467064800, 0.25, 205, 1467729703, NULL, NULL, 0),
(61208, 205, 12157, 4, 1467064800, 0.25, 205, 1467729601, NULL, NULL, 0),
(61210, 205, 2, 1, 1468533600, 1, 205, 1467730042, NULL, NULL, 0),
(61211, 205, 2, 1, 1468792800, 1, 205, 1467730042, NULL, NULL, 0),
(61212, 205, 1, 1, 1467928800, 1, 205, 1467730646, NULL, NULL, 0),
(61213, 146, 2, 1, 1468533600, 1, 146, 1467733093, NULL, NULL, 0),
(61214, 146, 2, 1, 1468792800, 1, 146, 1467733112, NULL, NULL, 0),
(61216, 146, 2, 1, 1468879200, 1, 146, 1467733148, NULL, NULL, 0),
(61254, 164, 9951, 18, 1467669600, 0.5, 164, 1467812398, NULL, NULL, 0),
(61255, 164, 9951, 17, 1467669600, 0.5, 164, 1467812412, NULL, NULL, 0),
(61256, 164, 9951, 18, 1467583200, 0.5, 164, 1467812425, NULL, NULL, 0),
(61257, 164, 11032, 17, 1467583200, 0.5, 164, 1467812450, NULL, NULL, 0),
(61258, 164, 11032, 18, 1467756000, 0.5, 164, 1467812471, NULL, NULL, 0),
(61259, 164, 1435, 1, 1467756000, 0.5, 164, 1467812494, NULL, NULL, 0),
(61260, 164, 8395, 18, 1467842400, 0.5, 164, 1467812527, NULL, NULL, 0),
(61266, 116, 10399, 7, 1467756000, 1, 116, 1467815304, NULL, NULL, 0),
(61270, 74, 1, 1, 1467842400, 0.5, 74, 1467815823, NULL, NULL, 0),
(61271, 74, 10290, 4, 1467583200, 1, 74, 1467815870, NULL, NULL, 0),
(61272, 74, 1, 1, 1467669600, 0.5, 74, 1467815887, NULL, NULL, 0),
(61273, 74, 10290, 4, 1467669600, 0.5, 74, 1467815910, NULL, NULL, 0),
(61274, 74, 10290, 4, 1467756000, 1, 74, 1467815922, NULL, NULL, 0),
(61278, 157, 12467, 5, 1467583200, 0.5, 157, 1467821163, NULL, NULL, 0),
(61279, 157, 12467, 6, 1467756000, 0.5, 157, 1467821186, NULL, NULL, 0),
(61280, 157, 12466, 6, 1467583200, 0.5, 157, 1467821211, NULL, NULL, 0),
(61281, 157, 9468, 5, 1467669600, 0.5, 157, 1467821232, NULL, NULL, 0),
(61282, 157, 6636, 5, 1467756000, 0.5, 157, 1467821262, NULL, NULL, 0),
(61286, 157, 12465, 6, 1467842400, 0.5, 157, 1467821368, NULL, NULL, 0),
(61287, 157, 9468, 6, 1467928800, 0.5, 157, 1467821392, NULL, NULL, 0),
(61285, 157, 12467, 6, 1467842400, 0.5, 157, 1467821322, NULL, NULL, 0),
(61288, 157, 6636, 6, 1467928800, 0.5, 157, 1467821422, NULL, NULL, 0),
(61289, 109, 2, 1, 1467756000, 1, 109, 1467837033, NULL, NULL, 0),
(61290, 109, 2, 1, 1467842400, 1, 109, 1467837033, NULL, NULL, 0),
(61313, 217, 12782, 4, 1467237600, 0.1, 217, 1467876781, NULL, NULL, 0),
(61310, 217, 2, 1, 1467756000, 1, 217, 1467876675, NULL, NULL, 0),
(61312, 217, 12782, 4, 1467669600, 0.5, 217, 1467876740, NULL, NULL, 0),
(61314, 217, 12782, 4, 1467324000, 0.3, 217, 1467876822, NULL, NULL, 0),
(65341, 74, 12288, 5, 1469397600, 1, 74, 1469801761, NULL, NULL, 0),
(61316, 217, 10399, 2, 1467842400, 0.2, 217, 1467876876, NULL, NULL, 0),
(61319, 217, 12156, 4, 1467842400, 0.1, 217, 1467877056, NULL, NULL, 0),
(61323, 217, 8454, 4, 1467842400, 0.7, 217, 1467877511, NULL, NULL, 0),
(61341, 72, 23791, 1, 1467756000, 1, 72, 1467883609, NULL, NULL, 0),
(61342, 72, 1, 1, 1467842400, 1, 72, 1467883624, NULL, NULL, 0),
(61343, 72, 12781, 4, 1467928800, 0.5, 72, 1467883641, NULL, NULL, 0),
(61815, 72, 23791, 1, 1467928800, 0.5, 72, 1468216391, NULL, NULL, 0),
(61450, 217, 8454, 7, 1467928800, 1, 217, 1467901688, NULL, NULL, 0),
(61471, 134, 8454, 4, 1467842400, 1, 134, 1467905135, NULL, NULL, 0),
(61472, 134, 8454, 4, 1467756000, 1, 134, 1467905155, NULL, NULL, 0),
(61473, 134, 8454, 4, 1467669600, 1, 134, 1467905167, NULL, NULL, 0),
(61511, 109, 2, 1, 1467928800, 1, 109, 1467955703, NULL, NULL, 0),
(61513, 164, 9951, 17, 1467842400, 0.5, 164, 1467964018, NULL, NULL, 0),
(61514, 164, 9951, 17, 1467928800, 0.5, 164, 1467964032, NULL, NULL, 0),
(61538, 164, 2, 1, 1467928800, 0.5, 164, 1467970263, NULL, NULL, 0),
(61516, 212, 11178, 6, 1467669600, 0.5, 212, 1467965295, NULL, NULL, 0),
(61517, 212, 11178, 6, 1467756000, 1, 212, 1467965313, NULL, NULL, 0),
(61518, 212, 11178, 6, 1467842400, 1, 212, 1467965342, NULL, NULL, 0),
(61519, 212, 11178, 6, 1467928800, 1, 212, 1467965360, NULL, NULL, 0),
(61520, 116, 10399, 7, 1467842400, 1, 116, 1467965602, NULL, NULL, 0),
(61521, 116, 2, 1, 1469397600, 1, 116, 1467965622, NULL, NULL, 0),
(61522, 116, 2, 1, 1469484000, 1, 116, 1467965626, NULL, NULL, 0),
(61523, 116, 2, 1, 1469570400, 1, 116, 1467965712, NULL, NULL, 0),
(61524, 116, 2, 1, 1469656800, 1, 116, 1467965741, NULL, NULL, 0),
(61525, 116, 2, 1, 1469743200, 1, 116, 1467965744, NULL, NULL, 0),
(61553, 74, 12288, 5, 1467928800, 1, 74, 1467979805, NULL, NULL, 0),
(61552, 74, 11178, 2, 1467842400, 0.5, 74, 1467979775, NULL, NULL, 0),
(61581, 116, 10399, 7, 1467928800, 1, 116, 1467988156, NULL, NULL, 0),
(61605, 169, 2, 1, 1470261600, 1, 169, 1467990429, NULL, NULL, 0),
(61606, 169, 2, 1, 1470348000, 1, 169, 1467990429, NULL, NULL, 0),
(61607, 169, 2, 1, 1470607200, 1, 169, 1467990429, NULL, NULL, 0),
(61608, 169, 2, 1, 1470693600, 1, 169, 1467990429, NULL, NULL, 0),
(61938, 147, 12331, 5, 1467669600, 1, 72, 1468313378, NULL, NULL, 0),
(61937, 147, 12331, 5, 1467583200, 1, 72, 1468313365, NULL, NULL, 0),
(61615, 147, 12791, 5, 1467842400, 0.5, 147, 1467991948, NULL, NULL, 0),
(61616, 147, 12791, 5, 1467928800, 1, 147, 1467991980, NULL, NULL, 0),
(77232, 217, 8454, 7, 1476396000, 1, 217, 1476435538, NULL, NULL, 0),
(61776, 169, 9468, 5, 1467842400, 1, 169, 1467993478, NULL, NULL, 0),
(61777, 169, 12686, 4, 1467324000, 1, 169, 1467993544, NULL, NULL, 0),
(61778, 169, 12686, 5, 1467583200, 1, 169, 1467993567, NULL, NULL, 0),
(61779, 169, 12686, 5, 1467669600, 1, 169, 1467993580, NULL, NULL, 0),
(61780, 169, 12686, 6, 1467756000, 1, 169, 1467993598, NULL, NULL, 0),
(61781, 199, 12199, 27, 1467756000, 1, 199, 1467995620, NULL, NULL, 0),
(61782, 199, 12199, 4, 1467669600, 0.2, 199, 1467995640, NULL, NULL, 0),
(61789, 199, 12739, 5, 1467928800, 0.25, 199, 1467995843, NULL, NULL, 0),
(61784, 199, 10330, 6, 1467583200, 1, 199, 1467995677, NULL, NULL, 0),
(61785, 199, 10330, 6, 1467928800, 0.5, 199, 1467995699, NULL, NULL, 0),
(61788, 199, 12739, 5, 1467842400, 0.6, 199, 1467995815, NULL, NULL, 0),
(61787, 199, 12797, 5, 1467928800, 0.25, 199, 1467995738, NULL, NULL, 0),
(61790, 199, 12738, 5, 1467669600, 0.4, 199, 1467995887, NULL, NULL, 0),
(61791, 199, 10330, 6, 1467669600, 0.4, 199, 1467995909, NULL, NULL, 0),
(61792, 199, 12199, 4, 1467842400, 0.4, 199, 1467995931, NULL, NULL, 0),
(65740, 200, 2, 1, 1469397600, 0.5, 200, 1470050585, NULL, NULL, 0),
(61834, 146, 11007, 5, 1467583200, 1, 146, 1468224697, NULL, NULL, 0),
(61835, 146, 11007, 5, 1467669600, 1, 146, 1468224729, NULL, NULL, 0),
(61837, 146, 12331, 4, 1467842400, 0.5, 146, 1468225275, NULL, NULL, 0),
(61838, 146, 12331, 4, 1467928800, 1, 146, 1468225287, NULL, NULL, 0),
(61839, 146, 11007, 18, 1467842400, 0.5, 146, 1468225406, NULL, NULL, 0),
(61847, 217, 1506, 1, 1468188000, 0.4, 217, 1468227140, NULL, NULL, 0),
(61877, 199, 12817, 5, 1468188000, 0.25, 199, 1468228986, NULL, NULL, 0),
(61886, 72, 23791, 1, 1468188000, 1, 72, 1468235778, NULL, NULL, 0),
(61887, 217, 8454, 7, 1468188000, 0.6, 217, 1468236515, NULL, NULL, 0),
(61888, 217, 8454, 7, 1468274400, 1, 217, 1468236528, NULL, NULL, 0),
(62094, 217, 10280, 6, 1468360800, 0.3, 217, 1468401871, NULL, NULL, 0),
(61890, 205, 10396, 4, 1467842400, 1, 205, 1468238056, NULL, NULL, 0),
(61891, 205, 10396, 4, 1467756000, 1, 205, 1468238068, NULL, NULL, 0),
(61892, 205, 10398, 4, 1468188000, 0.5, 205, 1468238099, NULL, NULL, 0),
(61893, 205, 1505, 1, 1468188000, 0.25, 205, 1468238135, NULL, NULL, 0),
(61895, 164, 11032, 18, 1468188000, 0.5, 164, 1468241917, NULL, NULL, 0),
(61896, 164, 9951, 18, 1468188000, 0.25, 164, 1468241929, NULL, NULL, 0),
(61897, 164, 1435, 1, 1468188000, 0.25, 164, 1468241944, NULL, NULL, 0),
(61902, 116, 10399, 7, 1468188000, 1, 116, 1468247485, NULL, NULL, 0),
(61903, 205, 10398, 4, 1468188000, 0.25, 205, 1468248608, NULL, NULL, 0),
(61910, 200, 8454, 4, 1467583200, 1, 200, 1468306311, NULL, NULL, 0),
(61911, 200, 8454, 4, 1467669600, 1, 200, 1468306321, NULL, NULL, 0),
(61912, 200, 8454, 4, 1467756000, 1, 200, 1468306329, NULL, NULL, 0),
(61940, 147, 12331, 5, 1467756000, 1, 72, 1468313389, NULL, NULL, 0),
(61982, 72, 23791, 1, 1468360800, 1, 72, 1468333617, NULL, NULL, 0),
(61981, 72, 12869, 5, 1468274400, 1, 72, 1468333597, NULL, NULL, 0),
(61983, 116, 10399, 7, 1468274400, 1, 116, 1468334415, NULL, NULL, 0),
(62052, 212, 11178, 6, 1468360800, 1, 212, 1468396768, NULL, NULL, 0),
(62053, 212, 11178, 6, 1468274400, 1, 212, 1468396817, NULL, NULL, 0),
(62054, 212, 11178, 6, 1468188000, 1, 212, 1468396832, NULL, NULL, 0),
(62092, 217, 10395, 2, 1468360800, 0.2, 217, 1468401791, NULL, NULL, 0),
(62093, 217, 8454, 7, 1468360800, 0.5, 217, 1468401817, NULL, NULL, 0),
(68156, 158, 10770, 5, 1471816800, 0.5, 158, 1471877646, NULL, NULL, 0),
(62152, 116, 10399, 7, 1468360800, 1, 116, 1468419616, NULL, NULL, 0),
(62192, 116, 10399, 7, 1468533600, 1, 116, 1468593033, NULL, NULL, 0),
(62199, 169, 12330, 4, 1468188000, 1, 169, 1468595492, NULL, NULL, 0),
(62198, 169, 12196, 6, 1467928800, 1, 169, 1468595388, NULL, NULL, 0),
(62200, 169, 12330, 4, 1468274400, 1, 169, 1468595510, NULL, NULL, 0),
(62201, 169, 12330, 5, 1468533600, 1, 169, 1468595526, NULL, NULL, 0),
(62202, 169, 4278, 4, 1468360800, 1, 169, 1468595574, NULL, NULL, 0),
(62206, 199, 12843, 5, 1468274400, 1, 199, 1468823750, NULL, NULL, 0),
(62209, 199, 12843, 5, 1468360800, 0.5, 199, 1468823766, NULL, NULL, 0),
(62210, 147, 12791, 5, 1468533600, 1, 147, 1468823782, NULL, NULL, 0),
(62211, 199, 12844, 5, 1468360800, 0.5, 199, 1468823809, NULL, NULL, 0),
(62212, 199, 12844, 5, 1468533600, 1, 199, 1468823824, NULL, NULL, 0),
(62213, 147, 12791, 5, 1468360800, 1, 147, 1468823836, NULL, NULL, 0),
(62214, 199, 10330, 5, 1468188000, 0.75, 199, 1468823865, NULL, NULL, 0),
(62217, 147, 12790, 4, 1468188000, 1, 147, 1468824211, NULL, NULL, 0),
(62216, 147, 12790, 4, 1468274400, 1, 147, 1468824160, NULL, NULL, 0),
(62218, 147, 12791, 5, 1468792800, 1, 147, 1468824243, NULL, NULL, 0),
(62219, 74, 12288, 5, 1468188000, 1, 74, 1468826089, NULL, NULL, 0),
(62220, 74, 12288, 5, 1468274400, 0.5, 74, 1468826125, NULL, NULL, 0),
(62221, 74, 12288, 5, 1468360800, 1, 74, 1468826154, NULL, NULL, 0),
(62222, 74, 1, 1, 1468274400, 0.5, 74, 1468826169, NULL, NULL, 0),
(62321, 164, 11032, 18, 1468274400, 0.5, 164, 1468851815, NULL, NULL, 0),
(62322, 164, 11032, 18, 1468360800, 0.5, 164, 1468851823, NULL, NULL, 0),
(62323, 164, 9951, 17, 1468274400, 0.5, 164, 1468851838, NULL, NULL, 0),
(62324, 164, 9951, 17, 1468360800, 0.5, 164, 1468851847, NULL, NULL, 0),
(62325, 164, 9951, 18, 1468792800, 0.6, 164, 1468851866, NULL, NULL, 0),
(62326, 164, 11032, 18, 1468792800, 0.4, 164, 1468851880, NULL, NULL, 0),
(62327, 74, 1, 1, 1469052000, 0.5, 74, 1468852368, NULL, NULL, 0),
(62328, 74, 1, 1, 1469484000, 0.5, 74, 1468852383, NULL, NULL, 0),
(62350, 116, 10399, 7, 1468792800, 1, 116, 1468852981, NULL, NULL, 0),
(62394, 72, 12938, 4, 1468792800, 1, 72, 1468857638, NULL, NULL, 0),
(62710, 205, 10398, 4, 1468360800, 1, 205, 1468930408, NULL, NULL, 0),
(62713, 205, 11115, 4, 1468274400, 0.25, 205, 1468930471, NULL, NULL, 0),
(62715, 205, 12687, 4, 1468274400, 0.25, 205, 1468930570, NULL, NULL, 0),
(62716, 205, 12962, 4, 1468274400, 0.5, 205, 1468930725, NULL, NULL, 0),
(62717, 205, 10395, 4, 1468879200, 0.5, 205, 1468930820, NULL, NULL, 0),
(62718, 205, 12963, 4, 1468879200, 0.25, 205, 1468930952, NULL, NULL, 0),
(62861, 146, 12331, 5, 1468965600, 1, 146, 1469001844, NULL, NULL, 0),
(62777, 116, 10399, 7, 1468879200, 1, 116, 1468939085, NULL, NULL, 0),
(62820, 72, 12938, 4, 1468879200, 1, 72, 1468944266, NULL, NULL, 0),
(62853, 200, 8454, 4, 1468274400, 1, 200, 1468997504, NULL, NULL, 0),
(62854, 200, 8454, 7, 1468360800, 1, 200, 1468997525, NULL, NULL, 0),
(62855, 200, 8454, 7, 1468792800, 1, 200, 1468997564, NULL, NULL, 0),
(62856, 200, 8454, 7, 1468879200, 1, 200, 1468997578, NULL, NULL, 0),
(62857, 200, 8454, 7, 1468965600, 1, 200, 1468997594, NULL, NULL, 0),
(62858, 200, 8454, 7, 1469052000, 1, 200, 1468997607, NULL, NULL, 0),
(62859, 200, 8454, 7, 1469138400, 0.5, 200, 1468997620, NULL, NULL, 0),
(62862, 146, 12331, 4, 1468188000, 1, 146, 1469001881, NULL, NULL, 0),
(62863, 146, 12331, 4, 1468274400, 1, 146, 1469001891, NULL, NULL, 0),
(62864, 146, 12331, 5, 1468360800, 0.5, 146, 1469001939, NULL, NULL, 0),
(62877, 116, 10399, 7, 1468965600, 1, 116, 1469024905, NULL, NULL, 0),
(62969, 157, 9468, 6, 1468792800, 1, 157, 1469102560, NULL, NULL, 0),
(62970, 157, 12820, 4, 1468879200, 0.5, 157, 1469102598, NULL, NULL, 0),
(62971, 157, 1505, 1, 1468965600, 1, 157, 1469102675, NULL, NULL, 0),
(62972, 157, 9463, 6, 1469052000, 0.5, 157, 1469102738, NULL, NULL, 0),
(62973, 157, 12467, 6, 1469052000, 0.5, 157, 1469102806, NULL, NULL, 0),
(62974, 157, 13001, 4, 1468879200, 0.5, 157, 1469102849, NULL, NULL, 0),
(62975, 157, 13001, 4, 1469138400, 1, 157, 1469102863, NULL, NULL, 0),
(63077, 116, 10399, 7, 1469052000, 1, 116, 1469111761, NULL, NULL, 0),
(63100, 146, 12331, 5, 1469052000, 1, 146, 1469118051, NULL, NULL, 0),
(63107, 72, 23791, 1, 1469052000, 1, 72, 1469170506, NULL, NULL, 0),
(63111, 212, 10423, 6, 1468792800, 1, 212, 1469170827, NULL, NULL, 0),
(63112, 212, 10423, 6, 1468879200, 1, 212, 1469170857, NULL, NULL, 0),
(63113, 212, 10423, 6, 1468965600, 1, 212, 1469170872, NULL, NULL, 0),
(63114, 212, 10423, 6, 1469052000, 0.5, 212, 1469170902, NULL, NULL, 0),
(63116, 212, 13008, 6, 1469052000, 0.5, 212, 1469171347, NULL, NULL, 0),
(63148, 164, 11032, 18, 1468879200, 1, 164, 1469176644, NULL, NULL, 0),
(63149, 164, 9951, 18, 1468965600, 0.5, 164, 1469176654, NULL, NULL, 0),
(63150, 164, 11032, 18, 1468965600, 0.5, 164, 1469176662, NULL, NULL, 0),
(63248, 164, 12179, 1, 1469052000, 1, 72, 1469188684, NULL, NULL, 0),
(63155, 147, 12791, 5, 1468879200, 1, 147, 1469176905, NULL, NULL, 0),
(63156, 147, 12791, 5, 1468965600, 1, 147, 1469176943, NULL, NULL, 0),
(63159, 147, 13000, 4, 1469052000, 1, 147, 1469176992, NULL, NULL, 0),
(63160, 147, 13000, 4, 1469138400, 1, 147, 1469177011, NULL, NULL, 0),
(64001, 147, 13000, 4, 1469397600, 1, 147, 1469606124, NULL, NULL, 0),
(63249, 164, 12179, 1, 1469138400, 1, 72, 1469188695, NULL, NULL, 0),
(63346, 116, 10399, 7, 1469138400, 1, 116, 1469196248, NULL, NULL, 0),
(63443, 72, 23791, 1, 1469397600, 1, 72, 1469429376, NULL, NULL, 0),
(63444, 74, 12288, 5, 1468792800, 1, 74, 1469436094, NULL, NULL, 0),
(63445, 74, 12288, 5, 1468879200, 1, 74, 1469436114, NULL, NULL, 0),
(63446, 74, 12288, 5, 1468965600, 1, 74, 1469436126, NULL, NULL, 0),
(63447, 74, 12288, 5, 1469052000, 0.5, 74, 1469436218, NULL, NULL, 0),
(63448, 74, 10423, 6, 1469138400, 1, 74, 1469436376, NULL, NULL, 0),
(63449, 205, 1437, 1, 1468965600, 0.5, 205, 1469437726, NULL, NULL, 0),
(63450, 205, 10399, 4, 1469138400, 1, 205, 1469437780, NULL, NULL, 0),
(63451, 205, 10399, 4, 1469052000, 0.75, 205, 1469437795, NULL, NULL, 0),
(63452, 205, 12782, 4, 1469052000, 0.25, 205, 1469437869, NULL, NULL, 0),
(63453, 205, 10399, 4, 1468965600, 0.25, 205, 1469438025, NULL, NULL, 0),
(63454, 205, 10399, 4, 1468965600, 0.25, 205, 1469438040, NULL, NULL, 0),
(63455, 205, 12963, 4, 1468879200, 0.25, 205, 1469438056, NULL, NULL, 0),
(63456, 205, 11116, 4, 1469397600, 0.5, 205, 1469438094, NULL, NULL, 0),
(63457, 169, 12330, 5, 1468792800, 1, 169, 1469438871, NULL, NULL, 0),
(63458, 169, 12330, 5, 1468879200, 1, 169, 1469438882, NULL, NULL, 0),
(63459, 169, 4278, 4, 1468965600, 1, 169, 1469438918, NULL, NULL, 0),
(63460, 169, 4278, 4, 1469052000, 1, 169, 1469438935, NULL, NULL, 0),
(63461, 169, 4278, 4, 1469138400, 1, 169, 1469438941, NULL, NULL, 0),
(63479, 199, 12199, 5, 1469138400, 1, 199, 1469452216, NULL, NULL, 0),
(63480, 199, 12199, 5, 1469052000, 1, 199, 1469452224, NULL, NULL, 0),
(63481, 199, 12739, 5, 1468792800, 1, 199, 1469452265, NULL, NULL, 0),
(63482, 199, 12739, 5, 1468879200, 1, 199, 1469452276, NULL, NULL, 0),
(63483, 199, 12199, 5, 1468965600, 1, 199, 1469452285, NULL, NULL, 0),
(63529, 2, 23791, 1, 1469397600, 0.75, 2, 1469466231, NULL, NULL, 0),
(63528, 2, 10414, 4, 1469397600, 0.25, 2, 1469466223, NULL, NULL, 0),
(63670, 205, 12782, 4, 1469397600, 0.25, 205, 1469523958, NULL, NULL, 0),
(63671, 205, 10399, 4, 1469397600, 0.25, 205, 1469523989, NULL, NULL, 0),
(63672, 205, 13248, 2, 1469484000, 0.2, 205, 1469524096, NULL, NULL, 0),
(63673, 205, 2, 1, 1472767200, 1, 205, 1469524244, NULL, NULL, 0),
(63674, 205, 2, 1, 1473026400, 0.5, 205, 1469524268, NULL, NULL, 0),
(63675, 205, 2, 1, 1473112800, 0.5, 205, 1469524274, NULL, NULL, 0),
(63681, 2, 13002, 6, 1469484000, 0.5, 2, 1469528748, NULL, NULL, 0),
(63677, 205, 2, 1, 1473285600, 0.5, 205, 1469524284, NULL, NULL, 0),
(63678, 205, 2, 1, 1473372000, 0.5, 205, 1469524291, NULL, NULL, 0),
(72884, 164, 9951, 18, 1473804000, 0.25, 164, 1474011524, NULL, NULL, 0),
(63713, 157, 2, 1, 1474840800, 1, 157, 1469535891, NULL, NULL, 0),
(63714, 157, 2, 1, 1475791200, 1, 157, 1469535930, NULL, NULL, 0),
(63715, 157, 2, 1, 1476050400, 1, 157, 1469535930, NULL, NULL, 0),
(63718, 157, 13250, 4, 1469397600, 1, 157, 1469536353, NULL, NULL, 0),
(63719, 157, 13250, 6, 1469484000, 1, 157, 1469536366, NULL, NULL, 0),
(65343, 74, 12288, 5, 1469656800, 1, 74, 1469801783, NULL, NULL, 0),
(64157, 146, 12331, 5, 1469397600, 1, 146, 1469637564, NULL, NULL, 0),
(64160, 146, 10598, 4, 1469570400, 0.5, 146, 1469637730, NULL, NULL, 0),
(64158, 146, 12331, 6, 1469484000, 1, 146, 1469637593, NULL, NULL, 0),
(64148, 72, 12938, 4, 1469570400, 0.5, 72, 1469634516, NULL, NULL, 0),
(64147, 72, 23791, 1, 1469570400, 0.5, 72, 1469634450, NULL, NULL, 0),
(64142, 2, 11032, 18, 1469570400, 0.25, 2, 1469634273, NULL, NULL, 0),
(63953, 2, 1435, 1, 1469484000, 0.4, 2, 1469544898, NULL, NULL, 0),
(63954, 2, 23791, 1, 1469484000, 0.1, 2, 1469544905, NULL, NULL, 0),
(63949, 164, 11032, 18, 1469397600, 1, 164, 1469544682, NULL, NULL, 0),
(63947, 164, 9951, 17, 1469484000, 0.5, 164, 1469544666, NULL, NULL, 0),
(64140, 2, 23791, 1, 1469570400, 0.5, 2, 1469634231, NULL, NULL, 0),
(63945, 164, 9951, 18, 1469484000, 0.5, 164, 1469544653, NULL, NULL, 0),
(64159, 146, 12331, 18, 1469570400, 0.5, 146, 1469637638, NULL, NULL, 0),
(63935, 74, 4278, 2, 1469484000, 0.5, 74, 1469544353, NULL, NULL, 0),
(64002, 147, 13000, 4, 1469484000, 1, 147, 1469606139, NULL, NULL, 0),
(64138, 2, 1435, 1, 1469570400, 0.25, 2, 1469634222, NULL, NULL, 0),
(64248, 74, 1, 1, 1469570400, 0.5, 74, 1469690865, NULL, NULL, 0),
(64286, 83, 2865, 1, 1467324000, 1, 177, 1469692084, NULL, NULL, 0),
(64287, 83, 2865, 1, 1467583200, 1, 177, 1469692096, NULL, NULL, 0),
(64288, 83, 2865, 1, 1467669600, 1, 177, 1469692102, NULL, NULL, 0),
(64289, 83, 2865, 1, 1467756000, 1, 177, 1469692108, NULL, NULL, 0),
(64290, 83, 2865, 1, 1467842400, 1, 177, 1469692113, NULL, NULL, 0),
(64303, 83, 2, 1, 1467928800, 1, 177, 1469692128, NULL, NULL, 0),
(64305, 83, 2, 1, 1468188000, 1, 177, 1469692192, NULL, NULL, 0),
(64306, 83, 2, 1, 1468274400, 1, 177, 1469692196, NULL, NULL, 0),
(64307, 83, 2, 1, 1468360800, 1, 177, 1469692199, NULL, NULL, 0),
(64308, 83, 2, 1, 1468533600, 1, 177, 1469692203, NULL, NULL, 0),
(64309, 83, 2, 1, 1468792800, 1, 177, 1469692212, NULL, NULL, 0),
(64310, 83, 2, 1, 1468879200, 1, 177, 1469692216, NULL, NULL, 0),
(64311, 83, 2, 1, 1468965600, 1, 177, 1469692220, NULL, NULL, 0),
(64312, 83, 2, 1, 1469052000, 1, 177, 1469692223, NULL, NULL, 0),
(64313, 83, 2, 1, 1469138400, 1, 177, 1469692227, NULL, NULL, 0),
(64322, 83, 2, 1, 1469397600, 1, 177, 1469692234, NULL, NULL, 0),
(64323, 83, 2, 1, 1469484000, 1, 177, 1469692238, NULL, NULL, 0),
(64324, 83, 2, 1, 1469570400, 1, 177, 1469692241, NULL, NULL, 0),
(64325, 83, 2, 1, 1469656800, 1, 177, 1469692245, NULL, NULL, 0),
(64326, 83, 2, 1, 1469743200, 1, 177, 1469692248, NULL, NULL, 0),
(64550, 164, 11032, 18, 1469570400, 0.5, 164, 1469708680, NULL, NULL, 0),
(64551, 164, 9951, 18, 1469570400, 0.25, 164, 1469708691, NULL, NULL, 0),
(64552, 164, 9951, 17, 1469570400, 0.25, 164, 1469708701, NULL, NULL, 0),
(64600, 157, 13252, 5, 1469570400, 1, 157, 1469715907, NULL, NULL, 0),
(64598, 157, 13229, 4, 1469656800, 0.5, 157, 1469715874, NULL, NULL, 0),
(64602, 157, 13254, 4, 1469656800, 0.5, 157, 1469715947, NULL, NULL, 0),
(64657, 158, 10399, 7, 1469656800, 1, 158, 1469717775, NULL, NULL, 0),
(64658, 158, 10399, 7, 1469397600, 1, 158, 1469717792, NULL, NULL, 0),
(64659, 158, 10399, 7, 1469484000, 1, 158, 1469717803, NULL, NULL, 0),
(64663, 158, 10399, 7, 1469570400, 0.5, 158, 1469717817, NULL, NULL, 0),
(65896, 158, 13362, 7, 1470002400, 1, 158, 1470126757, NULL, NULL, 0),
(64668, 164, 11032, 18, 1469656800, 0.75, 164, 1469717851, NULL, NULL, 0),
(64669, 164, 9951, 17, 1469656800, 0.25, 164, 1469717870, NULL, NULL, 0),
(64671, 72, 12938, 4, 1469656800, 1, 72, 1469717884, NULL, NULL, 0),
(64675, 158, 2, 1, 1488150000, 0.5, 158, 1469717983, NULL, NULL, 0),
(64676, 158, 2, 1, 1488754800, 0.5, 158, 1469718014, NULL, NULL, 0),
(64677, 158, 2, 1, 1489359600, 0.5, 158, 1469718039, NULL, NULL, 0),
(64679, 158, 2, 1, 1489964400, 0.5, 158, 1469718064, NULL, NULL, 0),
(64680, 158, 2, 1, 1490565600, 0.5, 158, 1469718089, NULL, NULL, 0),
(64727, 2, 1435, 1, 1469656800, 0.25, 2, 1469720024, NULL, NULL, 0),
(64728, 2, 23791, 1, 1469656800, 0.25, 2, 1469720031, NULL, NULL, 0),
(69790, 72, 23791, 1, 1472767200, 1, 72, 1472815220, NULL, NULL, 0),
(69789, 72, 23791, 1, 1472680800, 1, 72, 1472815212, NULL, NULL, 0),
(69792, 199, 2, 1, 1472680800, 0.5, 72, 1472815268, NULL, NULL, 0),
(64818, 88, 2, 1, 1468533600, 1, 88, 1469722389, NULL, NULL, 0),
(64821, 146, 10598, 4, 1469656800, 0.5, 146, 1469724256, NULL, NULL, 0),
(64822, 146, 12331, 2, 1469656800, 0.4, 146, 1469724314, NULL, NULL, 0),
(64823, 146, 11007, 4, 1469656800, 0.1, 146, 1469724385, NULL, NULL, 0),
(64824, 218, 2, 1, 1468360800, 1, 218, 1469724438, NULL, NULL, 0),
(64825, 218, 2, 1, 1468533600, 1, 218, 1469724515, NULL, NULL, 0),
(64826, 218, 2, 1, 1469743200, 1, 218, 1469724563, NULL, NULL, 0),
(65256, 72, 23791, 1, 1469743200, 1, 72, 1469791206, NULL, NULL, 0),
(65267, 2, 13002, 6, 1469743200, 0.5, 2, 1469793867, NULL, NULL, 0),
(65382, 2, 1435, 1, 1469743200, 0.25, 2, 1469803815, NULL, NULL, 0),
(65385, 2, 9951, 17, 1469743200, 0.25, 2, 1469803866, NULL, NULL, 0),
(65397, 164, 11032, 18, 1469743200, 1, 164, 1469804423, NULL, NULL, 0),
(65398, 147, 12688, 5, 1469570400, 1, 147, 1469804498, NULL, NULL, 0),
(65399, 147, 12688, 5, 1469656800, 1, 147, 1469804527, NULL, NULL, 0),
(65400, 147, 12688, 5, 1469743200, 1, 147, 1469804548, NULL, NULL, 0),
(65474, 169, 4278, 5, 1469397600, 1, 169, 1469807018, NULL, NULL, 0),
(65476, 169, 4278, 5, 1469484000, 1, 169, 1469807031, NULL, NULL, 0),
(65477, 169, 4278, 6, 1469570400, 1, 169, 1469807048, NULL, NULL, 0),
(65479, 169, 4278, 6, 1469656800, 1, 169, 1469807060, NULL, NULL, 0),
(65480, 199, 12199, 5, 1469397600, 1, 72, 1469807115, NULL, NULL, 0),
(65482, 199, 12199, 5, 1469484000, 1, 72, 1469807137, NULL, NULL, 0),
(65484, 199, 12199, 5, 1469570400, 1, 72, 1469807157, NULL, NULL, 0),
(65485, 199, 12199, 5, 1469656800, 1, 72, 1469807174, NULL, NULL, 0),
(65486, 199, 12199, 5, 1469743200, 1, 72, 1469807184, NULL, NULL, 0),
(65488, 169, 12330, 4, 1469743200, 1, 169, 1469807197, NULL, NULL, 0),
(65527, 157, 12285, 6, 1469743200, 1, 157, 1470030267, NULL, NULL, 0),
(65573, 146, 12331, 5, 1469743200, 1, 146, 1470032869, NULL, NULL, 0),
(72374, 72, 2, 1, 1476914400, 1, 72, 1473756303, NULL, NULL, 0),
(65741, 200, 8454, 4, 1469484000, 1, 200, 1470050613, NULL, NULL, 0),
(65742, 200, 8454, 7, 1469570400, 1, 200, 1470050631, NULL, NULL, 0),
(65743, 200, 8454, 7, 1469656800, 1, 200, 1470050639, NULL, NULL, 0),
(65744, 200, 8454, 7, 1469743200, 1, 200, 1470050648, NULL, NULL, 0),
(65795, 205, 2, 1, 1469743200, 0.5, 205, 1470058499, NULL, NULL, 0),
(65796, 205, 10399, 4, 1469743200, 0.5, 205, 1470058530, NULL, NULL, 0),
(65797, 205, 12845, 6, 1469656800, 0.5, 205, 1470058562, NULL, NULL, 0),
(65798, 205, 11007, 2, 1469656800, 0.5, 205, 1470059494, NULL, NULL, 0),
(65864, 72, 12938, 4, 1470002400, 0.5, 72, 1470116160, NULL, NULL, 0),
(65865, 72, 23791, 1, 1470002400, 0.5, 72, 1470116195, NULL, NULL, 0),
(65878, 74, 1, 1, 1473976800, 1, 74, 1470122316, NULL, NULL, 0),
(65879, 74, 1, 1, 1473717600, 0.5, 74, 1470122417, NULL, NULL, 0),
(65884, 212, 10423, 6, 1470002400, 1, 212, 1470125002, NULL, NULL, 0),
(65888, 2, 4288, 4, 1470002400, 1, 2, 1470126070, NULL, NULL, 0),
(65892, 158, 13362, 7, 1469743200, 0.5, 158, 1470126642, NULL, NULL, 0),
(65894, 158, 10399, 7, 1469743200, 0.5, 158, 1470126690, NULL, NULL, 0),
(65897, 212, 13002, 6, 1469743200, 0.5, 212, 1470126769, NULL, NULL, 0),
(65929, 205, 12687, 27, 1469570400, 0.2, 205, 1470131027, NULL, NULL, 0),
(65930, 205, 12845, 6, 1469570400, 0.8, 205, 1470131096, NULL, NULL, 0),
(65931, 205, 12782, 2, 1469484000, 0.8, 205, 1470131122, NULL, NULL, 0),
(65932, 205, 12845, 6, 1470002400, 0.5, 205, 1470131179, NULL, NULL, 0),
(65933, 2, 13370, 7, 1470088800, 0.25, 2, 1470131214, NULL, NULL, 0),
(65934, 205, 10399, 4, 1470002400, 0.5, 205, 1470131228, NULL, NULL, 0),
(65936, 212, 13002, 6, 1469656800, 1, 212, 1470132200, NULL, NULL, 0),
(65937, 212, 13002, 6, 1469570400, 1, 212, 1470132219, NULL, NULL, 0),
(65938, 212, 13002, 6, 1469484000, 1, 212, 1470132233, NULL, NULL, 0),
(65960, 217, 2, 1, 1470175200, 1, 217, 1470148717, NULL, NULL, 0),
(65961, 2, 11032, 18, 1470088800, 0.25, 2, 1470149435, NULL, NULL, 0),
(65945, 217, 12331, 2, 1470002400, 1, 217, 1470146068, NULL, NULL, 0),
(65949, 217, 11112, 27, 1470088800, 0.1, 217, 1470146189, NULL, NULL, 0),
(65948, 217, 12331, 6, 1470088800, 0.9, 217, 1470146138, NULL, NULL, 0),
(65951, 158, 13362, 7, 1470088800, 1, 158, 1470146284, NULL, NULL, 0),
(65966, 2, 13541, 17, 1470088800, 0.5, 2, 1470153618, NULL, NULL, 0),
(65967, 146, 12331, 2, 1470088800, 0.2, 146, 1470153811, NULL, NULL, 0),
(65968, 146, 12331, 6, 1470088800, 0.3, 146, 1470153839, NULL, NULL, 0),
(65969, 146, 12331, 5, 1470088800, 0.5, 146, 1470153856, NULL, NULL, 0),
(65970, 146, 12331, 2, 1470002400, 0.2, 146, 1470153873, NULL, NULL, 0),
(65971, 146, 12331, 6, 1470002400, 0.3, 146, 1470153883, NULL, NULL, 0),
(65972, 146, 12331, 5, 1470002400, 0.5, 146, 1470153892, NULL, NULL, 0),
(65973, 157, 13252, 6, 1470002400, 1, 157, 1470202245, NULL, NULL, 0),
(65974, 157, 4288, 4, 1470088800, 1, 157, 1470202290, NULL, NULL, 0),
(65975, 157, 12820, 5, 1470175200, 1, 157, 1470202375, NULL, NULL, 0),
(65999, 200, 2, 1, 1470261600, 1, 200, 1470212848, NULL, NULL, 0),
(66000, 200, 8454, 7, 1470175200, 1, 200, 1470212990, NULL, NULL, 0),
(66001, 200, 8454, 7, 1470088800, 1, 200, 1470213006, NULL, NULL, 0),
(66002, 200, 8454, 4, 1470002400, 1, 200, 1470213028, NULL, NULL, 0),
(66014, 72, 12938, 4, 1470088800, 1, 72, 1470227657, NULL, NULL, 0),
(66015, 72, 12938, 4, 1470175200, 1, 72, 1470232933, NULL, NULL, 0),
(66016, 158, 13362, 7, 1470175200, 1, 158, 1470234184, NULL, NULL, 0),
(66035, 169, 12330, 5, 1470002400, 1, 169, 1470239825, NULL, NULL, 0),
(66036, 169, 12330, 5, 1470088800, 1, 169, 1470239840, NULL, NULL, 0),
(66037, 169, 12330, 5, 1470175200, 1, 169, 1470239852, NULL, NULL, 0),
(66052, 72, 23791, 1, 1470261600, 1, 72, 1470295888, NULL, NULL, 0),
(66053, 72, 23791, 1, 1470348000, 1, 72, 1470295897, NULL, NULL, 0),
(66173, 218, 2, 1, 1470348000, 1, 218, 1470314087, NULL, NULL, 0),
(66204, 158, 13362, 7, 1470261600, 1, 158, 1470314815, NULL, NULL, 0),
(66710, 158, 2, 1, 1473026400, 0.5, 158, 1470815451, NULL, NULL, 0),
(66240, 72, 2, 1, 1482706800, 1, 72, 1470317629, NULL, NULL, 0),
(66241, 72, 2, 1, 1482793200, 1, 72, 1470317629, NULL, NULL, 0),
(66242, 72, 2, 1, 1482879600, 1, 72, 1470317629, NULL, NULL, 0),
(66243, 72, 2, 1, 1482966000, 1, 72, 1470317629, NULL, NULL, 0),
(66244, 72, 2, 1, 1483052400, 1, 72, 1470317629, NULL, NULL, 0),
(66245, 72, 2, 1, 1483311600, 1, 72, 1470317629, NULL, NULL, 0),
(66246, 212, 2, 1, 1473285600, 1, 212, 1470318296, NULL, NULL, 0),
(66247, 212, 2, 1, 1473372000, 1, 212, 1470318296, NULL, NULL, 0),
(66250, 147, 12688, 5, 1470002400, 1, 147, 1470319181, NULL, NULL, 0),
(66251, 147, 13542, 4, 1470088800, 0.5, 147, 1470319238, NULL, NULL, 0),
(66252, 147, 13543, 4, 1470088800, 0.5, 147, 1470319286, NULL, NULL, 0),
(66253, 147, 13542, 4, 1470175200, 0.5, 147, 1470319311, NULL, NULL, 0),
(66254, 147, 13542, 4, 1470261600, 0.5, 147, 1470319341, NULL, NULL, 0),
(66255, 147, 13542, 4, 1470348000, 0.5, 147, 1470319370, NULL, NULL, 0),
(66256, 147, 13543, 4, 1470175200, 0.5, 147, 1470319388, NULL, NULL, 0),
(66257, 147, 13543, 4, 1470261600, 0.5, 147, 1470319401, NULL, NULL, 0),
(66258, 147, 13543, 4, 1470348000, 0.5, 147, 1470319428, NULL, NULL, 0),
(66264, 74, 1, 1, 1470261600, 0.5, 74, 1470319933, NULL, NULL, 0),
(66267, 74, 10423, 6, 1470002400, 1, 74, 1470320055, NULL, NULL, 0),
(66311, 157, 7495, 4, 1470348000, 1, 157, 1470374712, NULL, NULL, 0),
(66312, 157, 7495, 4, 1470261600, 1, 157, 1470374726, NULL, NULL, 0),
(66316, 217, 12962, 27, 1470261600, 0.1, 217, 1470379279, NULL, NULL, 0),
(66315, 217, 11112, 27, 1470261600, 0.5, 217, 1470379215, NULL, NULL, 0),
(66319, 217, 13626, 4, 1470261600, 0.2, 217, 1470379681, NULL, NULL, 0),
(66321, 217, 13627, 4, 1470261600, 0.2, 217, 1470379796, NULL, NULL, 0),
(66323, 74, 13628, 4, 1470088800, 0.5, 74, 1470382140, NULL, NULL, 0),
(66325, 74, 13628, 4, 1470261600, 0.25, 74, 1470382191, NULL, NULL, 0),
(66326, 74, 12938, 2, 1470088800, 0.5, 74, 1470382238, NULL, NULL, 0),
(66327, 74, 12938, 2, 1470175200, 1, 74, 1470382389, NULL, NULL, 0),
(66348, 74, 12999, 5, 1470348000, 1, 74, 1470384217, NULL, NULL, 0),
(66347, 74, 12999, 5, 1470261600, 0.25, 74, 1470384202, NULL, NULL, 0),
(66354, 158, 13044, 4, 1470348000, 1, 158, 1470387560, NULL, NULL, 0),
(66355, 158, 13044, 4, 1469570400, 0.5, 158, 1470387588, NULL, NULL, 0),
(66357, 217, 10395, 7, 1470348000, 0.5, 217, 1470388758, NULL, NULL, 0),
(66358, 217, 10397, 7, 1470348000, 0.5, 217, 1470388774, NULL, NULL, 0),
(66370, 205, 10399, 4, 1470348000, 0.5, 205, 1470392058, NULL, NULL, 0),
(66371, 205, 10399, 4, 1470261600, 0.75, 205, 1470392070, NULL, NULL, 0),
(66372, 205, 13624, 4, 1470261600, 0.1, 205, 1470392107, NULL, NULL, 0),
(66373, 205, 13545, 4, 1470261600, 0.1, 205, 1470392146, NULL, NULL, 0),
(66374, 205, 13257, 2, 1470261600, 0.05, 205, 1470392161, NULL, NULL, 0),
(66375, 205, 2088, 1, 1470175200, 0.25, 205, 1470392210, NULL, NULL, 0),
(66376, 205, 10399, 4, 1470175200, 0.75, 205, 1470392261, NULL, NULL, 0),
(66377, 205, 23791, 1, 1470088800, 0.25, 205, 1470392307, NULL, NULL, 0),
(66378, 205, 10396, 27, 1470088800, 0.25, 205, 1470392371, NULL, NULL, 0),
(66379, 205, 10399, 4, 1470088800, 0.5, 205, 1470392443, NULL, NULL, 0),
(66398, 200, 8454, 7, 1470348000, 1, 200, 1470406635, NULL, NULL, 0),
(66399, 200, 8454, 4, 1467151200, 1, 200, 1470406677, NULL, NULL, 0),
(66400, 200, 8454, 4, 1467237600, 1, 200, 1470406693, NULL, NULL, 0),
(66401, 200, 8454, 7, 1467324000, 1, 200, 1470406707, NULL, NULL, 0),
(66416, 146, 12331, 18, 1470175200, 0.5, 146, 1470411248, NULL, NULL, 0),
(66413, 146, 13257, 5, 1470348000, 1, 146, 1470411120, NULL, NULL, 0),
(66414, 146, 13257, 4, 1470175200, 0.5, 146, 1470411178, NULL, NULL, 0),
(66415, 146, 13257, 5, 1470261600, 1, 146, 1470411196, NULL, NULL, 0),
(66428, 212, 13002, 4, 1470088800, 1, 212, 1470412373, NULL, NULL, 0),
(66429, 212, 13002, 6, 1470175200, 1, 212, 1470412394, NULL, NULL, 0),
(66430, 212, 13002, 6, 1470261600, 1, 212, 1470412410, NULL, NULL, 0),
(66433, 2, 13541, 17, 1470261600, 1, 2, 1470517185, NULL, NULL, 0),
(66432, 212, 13002, 6, 1470348000, 1, 212, 1470412444, NULL, NULL, 0),
(66434, 2, 13541, 17, 1470175200, 0.5, 2, 1470517205, NULL, NULL, 0),
(66437, 2, 9951, 18, 1470348000, 1, 2, 1470590387, NULL, NULL, 0),
(66436, 2, 23791, 1, 1470175200, 0.5, 2, 1470517382, NULL, NULL, 0),
(66438, 217, 10397, 18, 1470607200, 0.05, 217, 1470638391, NULL, NULL, 0),
(66440, 217, 10395, 18, 1470607200, 0.05, 217, 1470638421, NULL, NULL, 0),
(66482, 217, 12962, 2, 1470607200, 0.05, 217, 1470643653, NULL, NULL, 0),
(66573, 217, 13545, 18, 1470607200, 0.05, 217, 1470723917, NULL, NULL, 0),
(66529, 217, 12962, 2, 1470607200, 0.1, 217, 1470648816, NULL, NULL, 0),
(66530, 217, 10397, 7, 1470607200, 0.1, 217, 1470648843, NULL, NULL, 0),
(66531, 217, 13589, 7, 1470607200, 0.1, 217, 1470648898, NULL, NULL, 0),
(66534, 217, 13545, 7, 1470607200, 0.5, 217, 1470660159, NULL, NULL, 0),
(66668, 217, 13624, 7, 1470693600, 0.3, 217, 1470753011, NULL, NULL, 0),
(66552, 134, 8454, 4, 1470607200, 1, 134, 1470669835, NULL, NULL, 0),
(66554, 2, 23791, 1, 1470607200, 0.5, 2, 1470673006, NULL, NULL, 0),
(66555, 2, 9951, 18, 1470607200, 0.5, 2, 1470673033, NULL, NULL, 0),
(66581, 83, 2865, 1, 1470693600, 1, 83, 1470730312, NULL, NULL, 0),
(66582, 83, 2865, 1, 1470002400, 1, 83, 1470730361, NULL, NULL, 0),
(66583, 83, 2865, 1, 1470088800, 1, 83, 1470730368, NULL, NULL, 0),
(66584, 83, 2865, 1, 1470175200, 1, 83, 1470730373, NULL, NULL, 0),
(66585, 83, 2865, 1, 1470261600, 1, 83, 1470730379, NULL, NULL, 0),
(66586, 83, 2865, 1, 1470348000, 1, 83, 1470730384, NULL, NULL, 0),
(66587, 83, 2865, 1, 1470607200, 1, 83, 1470730407, NULL, NULL, 0),
(66588, 83, 2865, 1, 1470780000, 1, 83, 1470730412, NULL, NULL, 0),
(66589, 83, 2865, 1, 1470866400, 1, 83, 1470730417, NULL, NULL, 0),
(66590, 83, 2865, 1, 1470952800, 1, 83, 1470730423, NULL, NULL, 0),
(66591, 83, 2865, 1, 1471298400, 1, 83, 1470730433, NULL, NULL, 0),
(66592, 83, 2865, 1, 1471384800, 1, 83, 1470730437, NULL, NULL, 0),
(66593, 83, 2865, 1, 1471471200, 1, 83, 1470730442, NULL, NULL, 0),
(66594, 83, 2865, 1, 1471557600, 1, 83, 1470730447, NULL, NULL, 0),
(66595, 83, 2865, 1, 1471816800, 1, 83, 1470730456, NULL, NULL, 0),
(66596, 83, 2865, 1, 1471903200, 1, 83, 1470730463, NULL, NULL, 0),
(66597, 83, 2865, 1, 1471989600, 1, 83, 1470730468, NULL, NULL, 0),
(66598, 83, 2865, 1, 1472076000, 1, 83, 1470730473, NULL, NULL, 0),
(66599, 83, 2865, 1, 1472162400, 1, 83, 1470730481, NULL, NULL, 0),
(66600, 83, 2865, 1, 1472421600, 1, 83, 1470730497, NULL, NULL, 0),
(66601, 83, 2865, 1, 1472508000, 1, 83, 1470730507, NULL, NULL, 0),
(66602, 83, 2865, 1, 1472594400, 1, 83, 1470730513, NULL, NULL, 0),
(66605, 217, 13545, 7, 1470693600, 0.1, 217, 1470732016, NULL, NULL, 0),
(66606, 217, 13545, 18, 1470693600, 0.05, 217, 1470732041, NULL, NULL, 0),
(66608, 217, 13624, 18, 1470693600, 0.05, 217, 1470732092, NULL, NULL, 0),
(66669, 158, 13256, 5, 1470693600, 0.5, 158, 1470753398, NULL, NULL, 0),
(66665, 217, 13627, 2, 1470693600, 0.1, 217, 1470747076, NULL, NULL, 0),
(66667, 217, 13627, 4, 1470693600, 0.4, 217, 1470752990, NULL, NULL, 0),
(66670, 158, 10770, 5, 1470693600, 0.5, 158, 1470753447, NULL, NULL, 0),
(66671, 158, 13044, 4, 1470607200, 0.5, 158, 1470753546, NULL, NULL, 0),
(66672, 158, 10770, 5, 1470607200, 0.5, 158, 1470753564, NULL, NULL, 0),
(66673, 2, 23791, 1, 1470693600, 0.5, 2, 1470753999, NULL, NULL, 0),
(66674, 2, 13541, 17, 1470693600, 0.5, 2, 1470754019, NULL, NULL, 0),
(66679, 199, 13676, 5, 1470693600, 0.25, 2, 1470757656, NULL, NULL, 0),
(66694, 157, 5728, 6, 1470607200, 0.5, 157, 1470807764, NULL, NULL, 0),
(66695, 157, 2, 1, 1470866400, 1, 157, 1470807793, NULL, NULL, 0),
(66696, 157, 2, 1, 1470952800, 1, 157, 1470807793, NULL, NULL, 0),
(66712, 217, 12962, 6, 1470780000, 0.3, 217, 1470815762, NULL, NULL, 0),
(66713, 217, 10398, 7, 1470780000, 0.2, 217, 1470815872, NULL, NULL, 0),
(66834, 2, 23791, 1, 1470780000, 0.5, 2, 1470854392, NULL, NULL, 0),
(66835, 2, 9951, 18, 1470780000, 0.25, 2, 1470854404, NULL, NULL, 0),
(66836, 2, 13541, 17, 1470780000, 0.25, 2, 1470854414, NULL, NULL, 0),
(67857, 217, 13686, 4, 1471471200, 0.3, 217, 1471525365, NULL, NULL, 0),
(69669, 74, 1, 1, 1473112800, 0.5, 74, 1472735180, NULL, NULL, 0),
(66906, 217, 12962, 6, 1470866400, 0.3, 217, 1470906098, NULL, NULL, 0),
(66902, 217, 1505, 1, 1470780000, 0.2, 217, 1470905521, NULL, NULL, 0),
(66905, 217, 10396, 7, 1470780000, 0.3, 217, 1470906080, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(66907, 217, 12962, 7, 1470866400, 0.2, 217, 1470906120, NULL, NULL, 0),
(66908, 217, 13624, 2, 1470866400, 0.05, 217, 1470906143, NULL, NULL, 0),
(66909, 217, 13545, 2, 1470866400, 0.05, 217, 1470906171, NULL, NULL, 0),
(66936, 217, 12962, 6, 1470866400, 0.4, 217, 1470916940, NULL, NULL, 0),
(67443, 146, 12962, 5, 1470693600, 1, 146, 1471019050, NULL, NULL, 0),
(67450, 2, 23791, 1, 1470952800, 0.5, 2, 1471019456, NULL, NULL, 0),
(67881, 146, 2, 1, 1475186400, 1, 146, 1471528327, NULL, NULL, 0),
(67880, 146, 2, 1, 1475100000, 1, 146, 1471528321, NULL, NULL, 0),
(66962, 146, 2, 1, 1473631200, 1, 146, 1470931468, NULL, NULL, 0),
(66963, 146, 2, 1, 1473717600, 1, 146, 1470931474, NULL, NULL, 0),
(66964, 146, 2, 1, 1473804000, 1, 146, 1470931479, NULL, NULL, 0),
(66965, 146, 2, 1, 1473890400, 1, 146, 1470931484, NULL, NULL, 0),
(66966, 146, 2, 1, 1473976800, 1, 146, 1470931489, NULL, NULL, 0),
(66967, 146, 2, 1, 1474236000, 1, 146, 1470931505, NULL, NULL, 0),
(66968, 146, 2, 1, 1474322400, 1, 146, 1470931510, NULL, NULL, 0),
(66969, 146, 2, 1, 1474408800, 1, 146, 1470931515, NULL, NULL, 0),
(66970, 146, 2, 1, 1474495200, 1, 146, 1470931520, NULL, NULL, 0),
(66971, 146, 2, 1, 1474581600, 1, 146, 1470931525, NULL, NULL, 0),
(66972, 146, 2, 1, 1474840800, 1, 146, 1470931549, NULL, NULL, 0),
(66973, 146, 2, 1, 1474927200, 1, 146, 1470931557, NULL, NULL, 0),
(66974, 146, 2, 1, 1475013600, 1, 146, 1470931562, NULL, NULL, 0),
(66975, 2, 13541, 17, 1470866400, 0.5, 2, 1470934855, NULL, NULL, 0),
(66976, 2, 23791, 1, 1470866400, 0.5, 2, 1470934866, NULL, NULL, 0),
(67079, 134, 12842, 4, 1470693600, 1, 134, 1470989175, NULL, NULL, 0),
(67080, 134, 12842, 4, 1470866400, 1, 134, 1470989191, NULL, NULL, 0),
(67081, 134, 12842, 4, 1470780000, 0.5, 134, 1470989203, NULL, NULL, 0),
(67082, 134, 8454, 4, 1470780000, 0.5, 134, 1470989219, NULL, NULL, 0),
(67558, 134, 8454, 4, 1470952800, 0.5, 134, 1471422141, NULL, NULL, 0),
(67084, 134, 8454, 4, 1470952800, 0.5, 134, 1470989243, NULL, NULL, 0),
(67087, 134, 2, 1, 1490565600, 1, 134, 1470989873, NULL, NULL, 0),
(67088, 134, 2, 1, 1490652000, 1, 134, 1470989873, NULL, NULL, 0),
(67089, 134, 2, 1, 1490738400, 1, 134, 1470989873, NULL, NULL, 0),
(67090, 134, 2, 1, 1490824800, 1, 134, 1470989873, NULL, NULL, 0),
(67091, 134, 2, 1, 1490911200, 1, 134, 1470989873, NULL, NULL, 0),
(67221, 217, 13624, 6, 1470952800, 0.4, 217, 1470993516, NULL, NULL, 0),
(67222, 217, 1505, 1, 1470952800, 0.2, 217, 1470993531, NULL, NULL, 0),
(67223, 217, 12962, 6, 1470952800, 0.4, 217, 1470993568, NULL, NULL, 0),
(67263, 248, 2, 1, 1467756000, 1, 248, 1471013221, NULL, NULL, 0),
(67286, 158, 10770, 5, 1470866400, 0.5, 158, 1471013866, NULL, NULL, 0),
(67287, 158, 10770, 5, 1470952800, 0.5, 158, 1471013942, NULL, NULL, 0),
(67289, 158, 13256, 5, 1470866400, 0.5, 158, 1471014019, NULL, NULL, 0),
(67290, 158, 13256, 5, 1470952800, 0.5, 158, 1471014057, NULL, NULL, 0),
(67291, 158, 13044, 4, 1470780000, 1, 158, 1471014092, NULL, NULL, 0),
(67298, 212, 13002, 6, 1470607200, 1, 212, 1471014531, NULL, NULL, 0),
(67299, 212, 13002, 6, 1470693600, 1, 212, 1471014543, NULL, NULL, 0),
(67303, 212, 13002, 6, 1470866400, 1, 212, 1471014577, NULL, NULL, 0),
(67301, 212, 13002, 6, 1470780000, 1, 212, 1471014563, NULL, NULL, 0),
(67305, 212, 13002, 6, 1470952800, 1, 212, 1471014594, NULL, NULL, 0),
(67306, 169, 7495, 6, 1470780000, 1, 169, 1471014601, NULL, NULL, 0),
(67308, 169, 7495, 6, 1470952800, 1, 169, 1471014613, NULL, NULL, 0),
(67312, 169, 12686, 4, 1470866400, 0.5, 169, 1471014708, NULL, NULL, 0),
(67314, 169, 7495, 6, 1470866400, 0.5, 169, 1471014717, NULL, NULL, 0),
(67330, 248, 2, 1, 1468360800, 1, 248, 1471015401, NULL, NULL, 0),
(67332, 248, 2, 1, 1468533600, 1, 248, 1471015412, NULL, NULL, 0),
(67334, 248, 2, 1, 1468792800, 1, 248, 1471015437, NULL, NULL, 0),
(67335, 248, 2, 1, 1468879200, 1, 248, 1471015442, NULL, NULL, 0),
(67337, 248, 2, 1, 1468965600, 1, 248, 1471015449, NULL, NULL, 0),
(67338, 248, 2, 1, 1469052000, 1, 248, 1471015453, NULL, NULL, 0),
(67339, 248, 2, 1, 1469138400, 1, 248, 1471015457, NULL, NULL, 0),
(67340, 248, 2, 1, 1469397600, 1, 248, 1471015487, NULL, NULL, 0),
(67354, 248, 2, 1, 1469484000, 1, 248, 1471015792, NULL, NULL, 0),
(67355, 248, 2, 1, 1469570400, 1, 248, 1471015797, NULL, NULL, 0),
(67356, 248, 2, 1, 1469656800, 1, 248, 1471015802, NULL, NULL, 0),
(67357, 248, 2, 1, 1469743200, 1, 248, 1471015806, NULL, NULL, 0),
(67360, 248, 2, 1, 1470175200, 1, 248, 1471015818, NULL, NULL, 0),
(67361, 248, 2, 1, 1470780000, 1, 248, 1471015824, NULL, NULL, 0),
(67411, 200, 12998, 7, 1470952800, 1, 200, 1471016321, NULL, NULL, 0),
(67413, 200, 12998, 4, 1470607200, 1, 200, 1471016341, NULL, NULL, 0),
(67415, 200, 8454, 7, 1470693600, 1, 200, 1471016357, NULL, NULL, 0),
(67416, 200, 8454, 7, 1470780000, 1, 200, 1471016366, NULL, NULL, 0),
(67418, 200, 8454, 7, 1470866400, 1, 200, 1471016373, NULL, NULL, 0),
(67442, 146, 12962, 5, 1470607200, 1, 146, 1471019025, NULL, NULL, 0),
(67448, 146, 13544, 5, 1470952800, 1, 146, 1471019424, NULL, NULL, 0),
(67451, 146, 13544, 5, 1470780000, 1, 146, 1471019467, NULL, NULL, 0),
(67452, 2, 13541, 17, 1470952800, 0.5, 2, 1471019473, NULL, NULL, 0),
(67453, 146, 13544, 5, 1470866400, 1, 146, 1471019509, NULL, NULL, 0),
(67492, 217, 13686, 4, 1471298400, 0.1, 217, 1471331215, NULL, NULL, 0),
(67496, 217, 13687, 4, 1471298400, 0.1, 217, 1471331255, NULL, NULL, 0),
(67500, 217, 8454, 18, 1471298400, 0.1, 217, 1471331457, NULL, NULL, 0),
(67534, 2, 13541, 17, 1471298400, 0.75, 2, 1471373032, NULL, NULL, 0),
(67535, 2, 23791, 1, 1471298400, 0.25, 2, 1471373057, NULL, NULL, 0),
(67537, 217, 13688, 6, 1471298400, 0.4, 217, 1471416256, NULL, NULL, 0),
(67538, 217, 1505, 1, 1471298400, 0.3, 217, 1471416307, NULL, NULL, 0),
(67548, 158, 10770, 5, 1471298400, 1, 158, 1471420790, NULL, NULL, 0),
(67560, 134, 12842, 4, 1471298400, 1, 134, 1471422229, NULL, NULL, 0),
(67600, 217, 13626, 4, 1471384800, 0.2, 217, 1471425176, NULL, NULL, 0),
(67602, 217, 13545, 6, 1471384800, 0.4, 217, 1471425197, NULL, NULL, 0),
(67604, 217, 13624, 6, 1471384800, 0.4, 217, 1471425207, NULL, NULL, 0),
(67665, 2, 2, 1, 1473026400, 1, 2, 1471433656, NULL, NULL, 0),
(67666, 2, 2, 1, 1473112800, 1, 2, 1471433656, NULL, NULL, 0),
(67667, 2, 2, 1, 1473199200, 1, 2, 1471433656, NULL, NULL, 0),
(67668, 2, 2, 1, 1473285600, 1, 2, 1471433656, NULL, NULL, 0),
(67669, 2, 2, 1, 1473372000, 1, 2, 1471433656, NULL, NULL, 0),
(67724, 217, 13626, 4, 1471471200, 0.3, 217, 1471503884, NULL, NULL, 0),
(67741, 158, 10770, 5, 1471384800, 1, 158, 1471506033, NULL, NULL, 0),
(69600, 157, 13559, 27, 1474408800, 1, 2, 1472721008, NULL, NULL, 0),
(67853, 217, 13627, 4, 1471471200, 0.1, 217, 1471525070, NULL, NULL, 0),
(67859, 217, 13687, 4, 1471471200, 0.3, 217, 1471525430, NULL, NULL, 0),
(69598, 157, 13559, 27, 1474236000, 1, 2, 1472720966, NULL, NULL, 0),
(67907, 199, 13698, 5, 1471557600, 0.5, 199, 1471599492, NULL, NULL, 0),
(67908, 199, 13698, 5, 1471471200, 1, 199, 1471599502, NULL, NULL, 0),
(67909, 199, 13698, 5, 1471384800, 0.25, 199, 1471599513, NULL, NULL, 0),
(67922, 199, 13676, 5, 1470780000, 0.5, 199, 1471599755, NULL, NULL, 0),
(67911, 199, 13676, 5, 1471384800, 0.75, 199, 1471599553, NULL, NULL, 0),
(67912, 199, 12654, 4, 1471298400, 1, 199, 1471599635, NULL, NULL, 0),
(67920, 199, 12654, 4, 1470780000, 0.5, 199, 1471599725, NULL, NULL, 0),
(67926, 199, 13541, 4, 1470866400, 0.5, 199, 1471599820, NULL, NULL, 0),
(67925, 217, 10396, 7, 1471557600, 0.2, 217, 1471599819, NULL, NULL, 0),
(67916, 217, 10398, 7, 1471557600, 0.2, 217, 1471599680, NULL, NULL, 0),
(67917, 217, 10392, 2, 1471557600, 0.3, 217, 1471599695, NULL, NULL, 0),
(67918, 199, 12654, 4, 1470866400, 0.5, 199, 1471599697, NULL, NULL, 0),
(67919, 199, 12654, 4, 1470952800, 0.5, 199, 1471599714, NULL, NULL, 0),
(67930, 199, 13541, 4, 1470607200, 0.5, 199, 1471599844, NULL, NULL, 0),
(67923, 199, 12654, 4, 1470693600, 0.5, 199, 1471599774, NULL, NULL, 0),
(67924, 199, 12654, 4, 1470607200, 0.5, 199, 1471599783, NULL, NULL, 0),
(67927, 199, 13541, 4, 1470952800, 0.5, 199, 1471599828, NULL, NULL, 0),
(67928, 217, 12962, 2, 1471557600, 0.3, 217, 1471599830, NULL, NULL, 0),
(67929, 199, 13541, 4, 1470693600, 0.25, 199, 1471599836, NULL, NULL, 0),
(67931, 199, 13541, 4, 1471557600, 0.5, 199, 1471599866, NULL, NULL, 0),
(67946, 158, 10770, 5, 1471471200, 1, 158, 1471607858, NULL, NULL, 0),
(67947, 158, 10770, 5, 1471557600, 1, 158, 1471607879, NULL, NULL, 0),
(67948, 157, 2, 1, 1472421600, 1, 2, 1471608574, NULL, NULL, 0),
(67963, 212, 13002, 6, 1471298400, 1, 212, 1471611405, NULL, NULL, 0),
(67965, 212, 13002, 6, 1471384800, 1, 212, 1471611432, NULL, NULL, 0),
(67966, 212, 13002, 6, 1471471200, 1, 212, 1471611463, NULL, NULL, 0),
(67969, 212, 13002, 6, 1471557600, 1, 212, 1471611492, NULL, NULL, 0),
(68083, 217, 10398, 5, 1471816800, 0.5, 217, 1471852649, NULL, NULL, 0),
(69599, 157, 13559, 27, 1474322400, 1, 2, 1472720996, NULL, NULL, 0),
(68044, 146, 13544, 5, 1471298400, 1, 146, 1471621838, NULL, NULL, 0),
(68046, 146, 12962, 5, 1471384800, 1, 146, 1471622053, NULL, NULL, 0),
(68056, 146, 10598, 5, 1471471200, 1, 146, 1471622703, NULL, NULL, 0),
(68058, 146, 10598, 5, 1471557600, 1, 146, 1471622717, NULL, NULL, 0),
(72440, 164, 13541, 17, 1473717600, 0.25, 164, 1473779323, NULL, NULL, 0),
(68115, 217, 13257, 6, 1471816800, 0.3, 217, 1471857749, NULL, NULL, 0),
(68116, 217, 13257, 6, 1471816800, 0.1, 217, 1471857755, NULL, NULL, 0),
(68221, 217, 10396, 7, 1471903200, 0.5, 217, 1471940217, NULL, NULL, 0),
(68222, 217, 10396, 7, 1471816800, 0.1, 217, 1471940227, NULL, NULL, 0),
(68233, 2, 23791, 1, 1471384800, 0.5, 2, 1471940472, NULL, NULL, 0),
(68234, 2, 23791, 1, 1471471200, 0.5, 2, 1471940478, NULL, NULL, 0),
(68235, 2, 23791, 1, 1471557600, 0.5, 2, 1471940484, NULL, NULL, 0),
(68236, 2, 13541, 17, 1471384800, 0.5, 2, 1471940492, NULL, NULL, 0),
(68237, 2, 13541, 17, 1471471200, 0.5, 2, 1471940500, NULL, NULL, 0),
(68238, 2, 13541, 17, 1471557600, 0.5, 2, 1471940509, NULL, NULL, 0),
(68239, 2, 23791, 1, 1471816800, 1, 2, 1471940547, NULL, NULL, 0),
(68242, 246, 1041, 1, 1471903200, 1, 2, 1471942653, NULL, NULL, 0),
(68257, 169, 7495, 6, 1471298400, 1, 169, 1471957942, NULL, NULL, 0),
(68258, 169, 7495, 6, 1471384800, 1, 169, 1471957981, NULL, NULL, 0),
(68259, 169, 4324, 7, 1471471200, 1, 169, 1471958016, NULL, NULL, 0),
(68260, 169, 4324, 7, 1471557600, 1, 169, 1471958111, NULL, NULL, 0),
(68262, 158, 13256, 5, 1471903200, 0.8, 158, 1471959251, NULL, NULL, 0),
(68263, 158, 13256, 5, 1471816800, 0.5, 158, 1471959281, NULL, NULL, 0),
(68264, 158, 10770, 5, 1471903200, 0.2, 158, 1471959303, NULL, NULL, 0),
(68266, 217, 10398, 7, 1471903200, 0.5, 217, 1471961423, NULL, NULL, 0),
(68275, 205, 10398, 4, 1471903200, 0.25, 205, 1471965478, NULL, NULL, 0),
(68274, 205, 13622, 2, 1471816800, 0.75, 205, 1471965431, NULL, NULL, 0),
(68276, 205, 10400, 4, 1471816800, 0.25, 205, 1471965522, NULL, NULL, 0),
(68277, 205, 13770, 4, 1471903200, 0.25, 205, 1471966148, NULL, NULL, 0),
(68278, 205, 4857, 1, 1471903200, 0.5, 205, 1471966175, NULL, NULL, 0),
(68290, 217, 10398, 7, 1471989600, 0.25, 217, 1472027935, NULL, NULL, 0),
(68291, 217, 10396, 7, 1471989600, 0.25, 217, 1472027943, NULL, NULL, 0),
(68292, 217, 12154, 4, 1471989600, 0.5, 217, 1472028070, NULL, NULL, 0),
(68363, 217, 13775, 4, 1472076000, 0.5, 217, 1472106880, NULL, NULL, 0),
(68364, 217, 13775, 7, 1472076000, 0.5, 217, 1472106890, NULL, NULL, 0),
(68365, 217, 13775, 7, 1472162400, 1, 217, 1472106900, NULL, NULL, 0),
(68389, 116, 2, 1, 1472421600, 1, 116, 1472108534, NULL, NULL, 0),
(68435, 164, 11032, 18, 1471816800, 1, 164, 1472117597, NULL, NULL, 0),
(68436, 164, 11032, 18, 1471903200, 1, 164, 1472117610, NULL, NULL, 0),
(68437, 164, 8395, 18, 1471989600, 0.25, 164, 1472117642, NULL, NULL, 0),
(68438, 164, 8395, 18, 1472076000, 0.25, 164, 1472117662, NULL, NULL, 0),
(68439, 164, 11032, 18, 1471989600, 0.75, 164, 1472117679, NULL, NULL, 0),
(68496, 134, 13785, 4, 1471471200, 1, 134, 1472128421, NULL, NULL, 0),
(68495, 134, 13785, 4, 1471384800, 1, 134, 1472128407, NULL, NULL, 0),
(68497, 134, 13785, 4, 1471557600, 1, 134, 1472128430, NULL, NULL, 0),
(68499, 134, 13785, 4, 1471816800, 1, 134, 1472128475, NULL, NULL, 0),
(68500, 134, 13785, 4, 1471903200, 1, 134, 1472128498, NULL, NULL, 0),
(68501, 134, 13774, 7, 1471989600, 0.5, 134, 1472128557, NULL, NULL, 0),
(68502, 134, 13774, 7, 1471989600, 0.5, 134, 1472128694, NULL, NULL, 0),
(68942, 134, 13785, 4, 1472076000, 0.9, 134, 1472474408, NULL, NULL, 0),
(68941, 134, 12330, 5, 1472076000, 0.1, 134, 1472474356, NULL, NULL, 0),
(68509, 200, 2, 1, 1472508000, 1, 200, 1472130896, NULL, NULL, 0),
(68557, 116, 10426, 4, 1472076000, 1, 116, 1472136225, NULL, NULL, 0),
(68577, 199, 2, 1, 1472076000, 0.5, 199, 1472193115, NULL, NULL, 0),
(68578, 199, 13788, 5, 1471816800, 0.3, 199, 1472193189, NULL, NULL, 0),
(68579, 199, 13001, 5, 1471816800, 0.3, 199, 1472193221, NULL, NULL, 0),
(68580, 199, 13001, 5, 1472076000, 0.5, 199, 1472193887, NULL, NULL, 0),
(68587, 2, 23791, 1, 1471903200, 1, 2, 1472197628, NULL, NULL, 0),
(68588, 2, 23791, 1, 1471989600, 1, 2, 1472197633, NULL, NULL, 0),
(68589, 2, 23791, 1, 1472076000, 1, 2, 1472197637, NULL, NULL, 0),
(68590, 2, 23791, 1, 1472162400, 1, 2, 1472197641, NULL, NULL, 0),
(68765, 199, 13797, 5, 1471903200, 0.3, 199, 1472217810, NULL, NULL, 0),
(68771, 169, 12330, 6, 1471903200, 1, 169, 1472218242, NULL, NULL, 0),
(68769, 199, 13798, 5, 1471903200, 0.3, 199, 1472218130, NULL, NULL, 0),
(68770, 169, 12330, 5, 1471816800, 1, 169, 1472218222, NULL, NULL, 0),
(68772, 169, 12330, 6, 1471989600, 1, 169, 1472218252, NULL, NULL, 0),
(68773, 199, 13799, 5, 1471903200, 0.4, 199, 1472218258, NULL, NULL, 0),
(68774, 169, 12330, 6, 1472076000, 1, 169, 1472218264, NULL, NULL, 0),
(68775, 169, 12330, 6, 1472162400, 1, 169, 1472218271, NULL, NULL, 0),
(68776, 199, 13783, 5, 1471989600, 1, 199, 1472218315, NULL, NULL, 0),
(68781, 199, 13800, 5, 1471816800, 0.4, 199, 1472219203, NULL, NULL, 0),
(70611, 134, 2, 1, 1473804000, 1, 134, 1473061552, NULL, NULL, 0),
(68810, 164, 9951, 18, 1472076000, 0.75, 164, 1472222099, NULL, NULL, 0),
(68811, 164, 9951, 18, 1472162400, 0.5, 164, 1472222122, NULL, NULL, 0),
(68812, 164, 1435, 1, 1472162400, 0.5, 164, 1472222144, NULL, NULL, 0),
(68815, 158, 13044, 4, 1471989600, 1, 158, 1472223179, NULL, NULL, 0),
(68818, 158, 13044, 4, 1472076000, 0.75, 158, 1472223249, NULL, NULL, 0),
(68819, 158, 13256, 5, 1472076000, 0.25, 158, 1472223293, NULL, NULL, 0),
(68820, 200, 8454, 4, 1471816800, 1, 200, 1472223323, NULL, NULL, 0),
(68821, 200, 8454, 4, 1471903200, 1, 200, 1472223335, NULL, NULL, 0),
(68822, 200, 8454, 4, 1471989600, 1, 200, 1472223350, NULL, NULL, 0),
(68823, 200, 8454, 4, 1472076000, 1, 200, 1472223359, NULL, NULL, 0),
(68824, 200, 8454, 6, 1472162400, 1, 200, 1472223369, NULL, NULL, 0),
(68825, 158, 10770, 5, 1472162400, 1, 158, 1472223907, NULL, NULL, 0),
(68846, 146, 13544, 5, 1471816800, 1, 146, 1472450841, NULL, NULL, 0),
(68847, 146, 12962, 5, 1471903200, 1, 146, 1472450906, NULL, NULL, 0),
(68848, 146, 12962, 5, 1471989600, 1, 146, 1472450920, NULL, NULL, 0),
(68849, 146, 2, 1, 1472076000, 1, 146, 1472450941, NULL, NULL, 0),
(68850, 146, 10598, 5, 1472162400, 1, 146, 1472450985, NULL, NULL, 0),
(68853, 217, 12781, 7, 1472421600, 0.25, 217, 1472453955, NULL, NULL, 0),
(68857, 217, 13775, 7, 1472421600, 0.75, 217, 1472454690, NULL, NULL, 0),
(68868, 147, 12688, 5, 1471989600, 1, 147, 1472459127, NULL, NULL, 0),
(68869, 147, 12688, 5, 1472076000, 1, 147, 1472459155, NULL, NULL, 0),
(68870, 147, 12688, 5, 1472162400, 1, 147, 1472459178, NULL, NULL, 0),
(68884, 164, 11032, 18, 1472421600, 0.5, 164, 1472463536, NULL, NULL, 0),
(72809, 157, 12781, 7, 1473631200, 1, 157, 1474006498, NULL, NULL, 0),
(75487, 217, 14596, 6, 1475532000, 0.4, 217, 1475574698, NULL, NULL, 0),
(73236, 246, 10744, 6, 1474236000, 0.5, 246, 1474361381, NULL, NULL, 0),
(68940, 134, 13785, 7, 1472162400, 0.5, 134, 1472474313, NULL, NULL, 0),
(68954, 134, 13785, 7, 1472421600, 0.5, 134, 1472479023, NULL, NULL, 0),
(68947, 134, 13808, 4, 1472162400, 0.5, 134, 1472478938, NULL, NULL, 0),
(68953, 134, 13809, 4, 1472421600, 0.5, 134, 1472478991, NULL, NULL, 0),
(69313, 2, 23791, 1, 1472421600, 1, 2, 1472485884, NULL, NULL, 0),
(69328, 248, 2, 1, 1471298400, 1, 248, 1472540497, NULL, NULL, 0),
(69330, 248, 2, 1, 1471471200, 1, 248, 1472540514, NULL, NULL, 0),
(69329, 248, 2, 1, 1471384800, 1, 248, 1472540506, NULL, NULL, 0),
(69331, 248, 2, 1, 1471557600, 1, 248, 1472540534, NULL, NULL, 0),
(69334, 169, 13809, 4, 1472421600, 0.25, 169, 1472542712, NULL, NULL, 0),
(69353, 158, 13256, 5, 1472421600, 1, 158, 1472548637, NULL, NULL, 0),
(69360, 217, 10399, 6, 1472508000, 0.25, 217, 1472556631, NULL, NULL, 0),
(69361, 217, 10398, 6, 1472508000, 0.25, 217, 1472556683, NULL, NULL, 0),
(69362, 217, 10397, 6, 1472508000, 0.25, 217, 1472556701, NULL, NULL, 0),
(69363, 217, 10396, 6, 1472508000, 0.25, 217, 1472556724, NULL, NULL, 0),
(69476, 205, 4857, 1, 1472594400, 0.1, 205, 1472652861, NULL, NULL, 0),
(69475, 217, 10395, 6, 1472680800, 0.25, 217, 1472652724, NULL, NULL, 0),
(69366, 217, 10396, 6, 1472594400, 0.25, 217, 1472557003, NULL, NULL, 0),
(69481, 164, 9951, 18, 1472508000, 0.75, 164, 1472653713, NULL, NULL, 0),
(69372, 248, 2, 1, 1472594400, 1, 248, 1472557419, NULL, NULL, 0),
(69386, 2, 23791, 1, 1472508000, 1, 2, 1472560242, NULL, NULL, 0),
(69393, 158, 13256, 5, 1472508000, 1, 158, 1472567006, NULL, NULL, 0),
(69395, 199, 2, 1, 1472767200, 1, 2, 1472569853, NULL, NULL, 0),
(69430, 147, 12688, 5, 1472594400, 1, 147, 1472631349, NULL, NULL, 0),
(69431, 147, 12688, 5, 1472508000, 1, 147, 1472631378, NULL, NULL, 0),
(69432, 147, 12688, 5, 1472421600, 1, 147, 1472631395, NULL, NULL, 0),
(69433, 169, 12686, 5, 1472508000, 1, 169, 1472631825, NULL, NULL, 0),
(69434, 169, 4324, 7, 1472421600, 0.25, 169, 1472631853, NULL, NULL, 0),
(69435, 169, 12686, 4, 1472421600, 0.5, 169, 1472631899, NULL, NULL, 0),
(69452, 134, 13785, 5, 1472508000, 1, 134, 1472642750, NULL, NULL, 0),
(69453, 134, 13774, 7, 1472594400, 0.1, 134, 1472642820, NULL, NULL, 0),
(69606, 134, 1437, 1, 1472594400, 0.2, 2, 1472721185, NULL, NULL, 0),
(69467, 2, 23791, 1, 1472594400, 1, 2, 1472650067, NULL, NULL, 0),
(69473, 217, 14022, 4, 1472594400, 0.25, 217, 1472652616, NULL, NULL, 0),
(69474, 217, 10392, 6, 1472680800, 0.25, 217, 1472652661, NULL, NULL, 0),
(69477, 205, 4857, 1, 1472508000, 0.5, 205, 1472652880, NULL, NULL, 0),
(69478, 217, 4857, 1, 1472594400, 0.1, 217, 1472652883, NULL, NULL, 0),
(69479, 205, 4857, 1, 1472421600, 0.1, 205, 1472652892, NULL, NULL, 0),
(69480, 217, 10399, 6, 1472594400, 0.4, 217, 1472652898, NULL, NULL, 0),
(69482, 164, 6967, 18, 1472594400, 0.75, 164, 1472653739, NULL, NULL, 0),
(69483, 164, 1435, 1, 1472421600, 0.5, 164, 1472653765, NULL, NULL, 0),
(69484, 164, 13541, 17, 1472508000, 0.25, 164, 1472653804, NULL, NULL, 0),
(69485, 164, 13541, 17, 1472594400, 0.25, 164, 1472653817, NULL, NULL, 0),
(69604, 134, 13559, 27, 1474581600, 1, 2, 1472721095, NULL, NULL, 0),
(69496, 199, 1437, 1, 1472594400, 0.2, 199, 1472657442, NULL, NULL, 0),
(69497, 199, 8840, 5, 1472594400, 0.25, 199, 1472657464, NULL, NULL, 0),
(69498, 199, 8840, 5, 1472508000, 0.25, 199, 1472657477, NULL, NULL, 0),
(69509, 199, 12199, 5, 1472594400, 0.25, 199, 1472657802, NULL, NULL, 0),
(69500, 199, 1437, 1, 1472594400, 0.05, 199, 1472657525, NULL, NULL, 0),
(69510, 199, 12199, 5, 1472508000, 0.05, 199, 1472657876, NULL, NULL, 0),
(69502, 199, 12654, 5, 1472508000, 0.3, 199, 1472657597, NULL, NULL, 0),
(69503, 199, 12654, 5, 1472508000, 0.05, 199, 1472657622, NULL, NULL, 0),
(69504, 199, 13973, 5, 1472594400, 0.25, 199, 1472657689, NULL, NULL, 0),
(69505, 199, 13973, 5, 1472508000, 0.25, 199, 1472657710, NULL, NULL, 0),
(69506, 199, 12199, 5, 1472508000, 0.1, 199, 1472657728, NULL, NULL, 0),
(69507, 199, 12654, 5, 1472421600, 0.5, 199, 1472657745, NULL, NULL, 0),
(69508, 199, 12199, 5, 1472421600, 0.5, 199, 1472657758, NULL, NULL, 0),
(69511, 158, 10770, 5, 1472594400, 1, 158, 1472657897, NULL, NULL, 0),
(69512, 199, 12199, 5, 1472162400, 1, 199, 1472657911, NULL, NULL, 0),
(69591, 205, 13559, 27, 1473631200, 1, 2, 1472720802, NULL, NULL, 0),
(69595, 205, 13559, 27, 1473717600, 1, 2, 1472720875, NULL, NULL, 0),
(69596, 205, 13559, 27, 1473804000, 1, 2, 1472720889, NULL, NULL, 0),
(69597, 205, 13559, 27, 1473890400, 1, 2, 1472720900, NULL, NULL, 0),
(69602, 157, 13559, 27, 1474495200, 1, 2, 1472721024, NULL, NULL, 0),
(69646, 164, 2, 1, 1477868400, 1, 164, 1472733285, NULL, NULL, 0),
(69668, 74, 1, 1, 1472508000, 0.5, 74, 1472735158, NULL, NULL, 0),
(69675, 169, 12305, 5, 1472594400, 1, 169, 1472737361, NULL, NULL, 0),
(69676, 169, 12305, 5, 1472680800, 1, 169, 1472737372, NULL, NULL, 0),
(69712, 217, 4857, 1, 1472767200, 0.1, 217, 1472799793, NULL, NULL, 0),
(69711, 217, 14048, 4, 1472680800, 0.25, 217, 1472799774, NULL, NULL, 0),
(69708, 217, 14049, 6, 1472767200, 0.9, 217, 1472799702, NULL, NULL, 0),
(69710, 217, 4857, 1, 1472680800, 0.25, 217, 1472799738, NULL, NULL, 0),
(70756, 198, 2, 1, 1466028000, 1, 198, 1473074010, NULL, NULL, 0),
(69726, 158, 13044, 4, 1472680800, 0.25, 158, 1472802067, NULL, NULL, 0),
(69730, 74, 2041, 1, 1472421600, 0.5, 74, 1472803423, NULL, NULL, 0),
(69731, 74, 1505, 1, 1472680800, 0.25, 74, 1472803444, NULL, NULL, 0),
(69732, 74, 13002, 6, 1472421600, 0.5, 74, 1472803536, NULL, NULL, 0),
(69733, 74, 13002, 6, 1472508000, 0.5, 74, 1472803553, NULL, NULL, 0),
(69734, 74, 13002, 6, 1472594400, 1, 74, 1472803567, NULL, NULL, 0),
(69735, 74, 13002, 6, 1472680800, 0.75, 74, 1472803581, NULL, NULL, 0),
(69736, 74, 13002, 6, 1472767200, 1, 74, 1472803637, NULL, NULL, 0),
(69770, 217, 2, 1, 1473372000, 1, 217, 1472806110, NULL, NULL, 0),
(69771, 217, 2, 1, 1473804000, 1, 217, 1472806120, NULL, NULL, 0),
(69785, 2, 23791, 1, 1472680800, 1, 2, 1472809335, NULL, NULL, 0),
(69786, 2, 23791, 1, 1472767200, 1, 2, 1472809341, NULL, NULL, 0),
(69835, 169, 12305, 5, 1472767200, 1, 169, 1472821701, NULL, NULL, 0),
(69836, 147, 12688, 5, 1472680800, 1, 147, 1472821753, NULL, NULL, 0),
(71072, 147, 12689, 7, 1473112800, 1, 147, 1473146515, NULL, NULL, 0),
(69847, 158, 13785, 5, 1472767200, 1, 158, 1472824514, NULL, NULL, 0),
(69849, 158, 1436, 1, 1472680800, 0.75, 158, 1472824650, NULL, NULL, 0),
(70570, 146, 13258, 4, 1472594400, 1, 146, 1473035322, NULL, NULL, 0),
(70571, 146, 13258, 4, 1472680800, 1, 146, 1473035343, NULL, NULL, 0),
(70572, 146, 13258, 4, 1472767200, 1, 146, 1473035375, NULL, NULL, 0),
(70573, 146, 10598, 5, 1473026400, 1, 146, 1473035426, NULL, NULL, 0),
(70576, 146, 13258, 4, 1472508000, 1, 146, 1473035667, NULL, NULL, 0),
(70575, 146, 10598, 5, 1472421600, 1, 146, 1473035596, NULL, NULL, 0),
(70582, 157, 12820, 4, 1472680800, 1, 157, 1473058353, NULL, NULL, 0),
(70583, 157, 14038, 4, 1472594400, 1, 157, 1473058415, NULL, NULL, 0),
(70584, 157, 4324, 7, 1472508000, 0.5, 157, 1473058596, NULL, NULL, 0),
(70585, 157, 13252, 4, 1472767200, 0.5, 157, 1473058641, NULL, NULL, 0),
(70586, 157, 9468, 4, 1472508000, 0.5, 157, 1473058688, NULL, NULL, 0),
(70587, 157, 12781, 4, 1472767200, 0.5, 157, 1473058778, NULL, NULL, 0),
(70612, 134, 2, 1, 1473890400, 1, 134, 1473061552, NULL, NULL, 0),
(70613, 134, 2, 1, 1473976800, 1, 134, 1473061552, NULL, NULL, 0),
(70617, 200, 4299, 4, 1472767200, 1, 200, 1473063819, NULL, NULL, 0),
(70618, 200, 4299, 4, 1472680800, 1, 200, 1473063828, NULL, NULL, 0),
(70619, 200, 4299, 4, 1472594400, 1, 200, 1473063856, NULL, NULL, 0),
(70620, 200, 4299, 4, 1472421600, 1, 200, 1473063864, NULL, NULL, 0),
(70621, 217, 2, 1, 1473285600, 0.5, 217, 1473064200, NULL, NULL, 0),
(70623, 205, 10398, 2, 1471989600, 0.25, 205, 1473065715, NULL, NULL, 0),
(70624, 205, 10400, 4, 1471989600, 0.75, 205, 1473065786, NULL, NULL, 0),
(70625, 205, 10400, 4, 1472076000, 1, 205, 1473065828, NULL, NULL, 0),
(70626, 205, 10400, 4, 1472162400, 1, 205, 1473065840, NULL, NULL, 0),
(70627, 205, 10400, 4, 1472421600, 0.9, 205, 1473065905, NULL, NULL, 0),
(70629, 205, 13775, 2, 1472508000, 0.5, 205, 1473065988, NULL, NULL, 0),
(70630, 164, 13541, 17, 1472680800, 0.5, 164, 1473065997, NULL, NULL, 0),
(70631, 205, 13775, 2, 1472594400, 0.75, 205, 1473066000, NULL, NULL, 0),
(70632, 164, 9951, 18, 1472680800, 0.5, 164, 1473066012, NULL, NULL, 0),
(70633, 205, 10400, 4, 1472594400, 0.1, 205, 1473066013, NULL, NULL, 0),
(70634, 205, 10400, 4, 1472594400, 0.05, 205, 1473066024, NULL, NULL, 0),
(70635, 205, 13775, 2, 1472680800, 0.75, 205, 1473066042, NULL, NULL, 0),
(70636, 164, 12179, 1, 1472767200, 0.4, 164, 1473066076, NULL, NULL, 0),
(70637, 205, 4857, 1, 1472680800, 0.25, 205, 1473066077, NULL, NULL, 0),
(70638, 164, 11032, 18, 1472767200, 0.6, 164, 1473066088, NULL, NULL, 0),
(70639, 205, 12781, 7, 1473026400, 0.5, 205, 1473066157, NULL, NULL, 0),
(70640, 205, 13559, 27, 1473976800, 0.5, 205, 1473066180, NULL, NULL, 0),
(70699, 88, 2, 1, 1470348000, 1, 88, 1473067899, NULL, NULL, 0),
(70700, 88, 2, 1, 1470866400, 1, 88, 1473067941, NULL, NULL, 0),
(70703, 88, 2, 1, 1473631200, 1, 88, 1473068022, NULL, NULL, 0),
(70704, 88, 2, 1, 1473717600, 1, 88, 1473068022, NULL, NULL, 0),
(70705, 88, 2, 1, 1473804000, 1, 88, 1473068022, NULL, NULL, 0),
(70706, 88, 2, 1, 1473890400, 1, 88, 1473068022, NULL, NULL, 0),
(70707, 88, 2, 1, 1473976800, 1, 88, 1473068022, NULL, NULL, 0),
(70708, 88, 2, 1, 1474236000, 1, 88, 1473068022, NULL, NULL, 0),
(70709, 88, 2, 1, 1474322400, 1, 88, 1473068022, NULL, NULL, 0),
(70730, 205, 2, 1, 1474322400, 1, 205, 1473068452, NULL, NULL, 0),
(70732, 205, 2, 1, 1475100000, 1, 205, 1473068462, NULL, NULL, 0),
(70757, 198, 2, 1, 1466114400, 1, 198, 1473074035, NULL, NULL, 0),
(70758, 198, 2, 1, 1466373600, 1, 198, 1473074062, NULL, NULL, 0),
(70759, 198, 2, 1, 1466460000, 1, 198, 1473074076, NULL, NULL, 0),
(70760, 198, 2, 1, 1466546400, 1, 198, 1473074090, NULL, NULL, 0),
(70761, 198, 2, 1, 1466632800, 1, 198, 1473074098, NULL, NULL, 0),
(70762, 198, 2, 1, 1466719200, 1, 198, 1473074107, NULL, NULL, 0),
(70763, 198, 2, 1, 1466978400, 1, 198, 1473074125, NULL, NULL, 0),
(70765, 198, 2, 1, 1467064800, 1, 198, 1473074147, NULL, NULL, 0),
(70766, 198, 2, 1, 1467151200, 1, 198, 1473074156, NULL, NULL, 0),
(70767, 198, 2, 1, 1467237600, 1, 198, 1473074166, NULL, NULL, 0),
(70768, 198, 2, 1, 1467324000, 1, 198, 1473074175, NULL, NULL, 0),
(70769, 198, 2, 1, 1467583200, 1, 198, 1473074202, NULL, NULL, 0),
(70770, 198, 2, 1, 1467669600, 1, 198, 1473074212, NULL, NULL, 0),
(70771, 198, 2, 1, 1467756000, 1, 198, 1473074219, NULL, NULL, 0),
(70772, 198, 2, 1, 1468188000, 0.5, 198, 1473074278, NULL, NULL, 0),
(70910, 217, 14048, 2, 1473026400, 0.1, 217, 1473081474, NULL, NULL, 0),
(70911, 217, 14069, 4, 1473026400, 0.4, 217, 1473081487, NULL, NULL, 0),
(70912, 217, 14049, 6, 1473026400, 0.5, 217, 1473081512, NULL, NULL, 0),
(71087, 169, 2, 1, 1477605600, 1, 169, 1473147821, NULL, NULL, 0),
(71088, 169, 2, 1, 1477868400, 1, 169, 1473147821, NULL, NULL, 0),
(71239, 248, 2, 1, 1473199200, 1, 248, 1473154653, NULL, NULL, 0),
(71281, 158, 13785, 5, 1473026400, 0.5, 158, 1473165815, NULL, NULL, 0),
(71282, 158, 13785, 5, 1473112800, 1, 158, 1473166350, NULL, NULL, 0),
(71425, 217, 14069, 4, 1473112800, 0.3, 217, 1473171923, NULL, NULL, 0),
(71426, 217, 14049, 6, 1473112800, 0.7, 217, 1473171934, NULL, NULL, 0),
(72162, 134, 13774, 7, 1473112800, 0.5, 134, 1473682144, NULL, NULL, 0),
(71466, 164, 11032, 18, 1473112800, 0.75, 164, 1473175534, NULL, NULL, 0),
(71467, 164, 11032, 18, 1473026400, 0.75, 164, 1473175549, NULL, NULL, 0),
(71468, 164, 12179, 1, 1473026400, 0.25, 164, 1473175745, NULL, NULL, 0),
(71469, 164, 1435, 1, 1473112800, 0.25, 164, 1473175761, NULL, NULL, 0),
(71471, 72, 23791, 1, 1473026400, 1, 72, 1473177686, NULL, NULL, 0),
(71472, 72, 12938, 4, 1473112800, 1, 72, 1473177767, NULL, NULL, 0),
(71513, 72, 12938, 4, 1473199200, 0.5, 72, 1473248472, NULL, NULL, 0),
(71516, 74, 1, 1, 1473631200, 0.5, 74, 1473249651, NULL, NULL, 0),
(71521, 217, 13775, 2, 1473199200, 0.5, 217, 1473252800, NULL, NULL, 0),
(71522, 217, 13775, 7, 1473199200, 0.3, 217, 1473252930, NULL, NULL, 0),
(71529, 74, 12938, 2, 1473199200, 0.5, 74, 1473257990, NULL, NULL, 0),
(71530, 74, 12938, 2, 1473112800, 0.5, 74, 1473258007, NULL, NULL, 0),
(71531, 74, 13002, 6, 1473026400, 1, 74, 1473258040, NULL, NULL, 0),
(71532, 74, 13002, 6, 1473199200, 0.5, 74, 1473258052, NULL, NULL, 0),
(71533, 74, 13002, 6, 1473372000, 1, 74, 1473258066, NULL, NULL, 0),
(71534, 72, 12938, 4, 1473199200, 0.5, 72, 1473263495, NULL, NULL, 0),
(71545, 217, 14049, 6, 1473199200, 0.2, 217, 1473315557, NULL, NULL, 0),
(71744, 158, 2, 1, 1482188400, 1, 158, 1473321482, NULL, NULL, 0),
(71739, 158, 2, 1, 1482274800, 1, 158, 1473321297, NULL, NULL, 0),
(71740, 158, 2, 1, 1482361200, 1, 158, 1473321297, NULL, NULL, 0),
(71793, 217, 13775, 2, 1473285600, 0.3, 217, 1473326082, NULL, NULL, 0),
(71794, 217, 14069, 4, 1473285600, 0.2, 217, 1473326113, NULL, NULL, 0),
(71795, 158, 13785, 5, 1473199200, 1, 158, 1473326236, NULL, NULL, 0),
(71864, 164, 11032, 18, 1473199200, 0.5, 164, 1473345760, NULL, NULL, 0),
(71865, 164, 9951, 17, 1473199200, 0.5, 164, 1473345780, NULL, NULL, 0),
(71866, 164, 11032, 18, 1473285600, 0.75, 164, 1473345792, NULL, NULL, 0),
(71867, 164, 13541, 6, 1473285600, 0.25, 164, 1473345814, NULL, NULL, 0),
(71871, 72, 23791, 1, 1473285600, 1, 72, 1473347498, NULL, NULL, 0),
(71872, 147, 12306, 5, 1473285600, 1, 147, 1473348231, NULL, NULL, 0),
(71873, 147, 12306, 5, 1473199200, 1, 147, 1473348248, NULL, NULL, 0),
(71918, 169, 14143, 4, 1473199200, 1, 169, 1473408860, NULL, NULL, 0),
(71934, 157, 2, 1, 1482706800, 1, 157, 1473409912, NULL, NULL, 0),
(71935, 157, 2, 1, 1482793200, 1, 157, 1473409912, NULL, NULL, 0),
(71939, 157, 12781, 7, 1473112800, 1, 157, 1473410068, NULL, NULL, 0),
(71940, 157, 13252, 4, 1473026400, 1, 157, 1473410095, NULL, NULL, 0),
(71941, 157, 14166, 4, 1473199200, 1, 157, 1473410154, NULL, NULL, 0),
(71942, 157, 14163, 4, 1473285600, 1, 157, 1473410203, NULL, NULL, 0),
(71943, 157, 12781, 7, 1473372000, 0.5, 157, 1473410260, NULL, NULL, 0),
(71944, 157, 14168, 4, 1473372000, 0.25, 157, 1473410316, NULL, NULL, 0),
(71945, 157, 14036, 4, 1473372000, 0.25, 157, 1473410362, NULL, NULL, 0),
(72353, 217, 14194, 2, 1473717600, 0.25, 217, 1473752403, NULL, NULL, 0),
(71969, 158, 13785, 5, 1473285600, 1, 158, 1473419322, NULL, NULL, 0),
(71970, 158, 13785, 5, 1473372000, 1, 158, 1473419334, NULL, NULL, 0),
(71971, 146, 7114, 5, 1473112800, 1, 146, 1473423055, NULL, NULL, 0),
(71972, 146, 7114, 4, 1473199200, 1, 146, 1473423088, NULL, NULL, 0),
(71973, 146, 7114, 4, 1473285600, 1, 146, 1473423112, NULL, NULL, 0),
(71974, 146, 7114, 4, 1473372000, 1, 146, 1473423132, NULL, NULL, 0),
(86798, 342, 1436, 1, 1481497200, 1, 342, 1482483094, NULL, NULL, 0),
(86799, 342, 2041, 1, 1481583600, 1, 342, 1482483174, NULL, NULL, 0),
(86824, 342, 1436, 6, 1482447600, 1, 342, 1482485478, NULL, NULL, 0),
(86795, 342, 2041, 1, 1481238000, 1, 342, 1482482979, NULL, NULL, 0),
(86794, 342, 2041, 1, 1481151600, 0.25, 342, 1482482962, NULL, NULL, 0),
(71986, 248, 1, 1, 1473285600, 0.2, 248, 1473423463, NULL, NULL, 0),
(72475, 2, 2, 1, 1482188400, 1, 2, 1473844781, NULL, NULL, 0),
(72039, 164, 9951, 18, 1473372000, 0.5, 164, 1473427736, NULL, NULL, 0),
(72040, 164, 13541, 6, 1473372000, 0.5, 164, 1473427747, NULL, NULL, 0),
(72041, 72, 23791, 1, 1473372000, 1, 72, 1473428520, NULL, NULL, 0),
(72066, 169, 14039, 4, 1473112800, 1, 169, 1473436065, NULL, NULL, 0),
(72067, 169, 14039, 4, 1473285600, 1, 169, 1473436075, NULL, NULL, 0),
(72069, 169, 14039, 4, 1473372000, 1, 169, 1473436087, NULL, NULL, 0),
(72080, 164, 3965, 1, 1474668000, 1, 2, 1473667269, NULL, NULL, 0),
(72081, 199, 3965, 1, 1474668000, 1, 2, 1473667563, NULL, NULL, 0),
(79284, 157, 3965, 1, 1480114800, 1, 72, 1477915614, NULL, NULL, 0),
(72083, 2, 3965, 1, 1480114800, 1, 2, 1477410470, NULL, NULL, 0),
(72101, 164, 2, 1, 1482706800, 1, 164, 1473668401, NULL, NULL, 0),
(72474, 2, 2, 1, 1482102000, 1, 2, 1473844781, NULL, NULL, 0),
(72476, 2, 2, 1, 1482274800, 1, 2, 1473844781, NULL, NULL, 0),
(72477, 2, 2, 1, 1482361200, 1, 2, 1473844781, NULL, NULL, 0),
(72478, 2, 2, 1, 1482447600, 1, 2, 1473844781, NULL, NULL, 0),
(72095, 164, 2, 1, 1478041200, 1, 164, 1473668357, NULL, NULL, 0),
(72136, 147, 12306, 5, 1473372000, 1, 147, 1473680981, NULL, NULL, 0),
(72135, 72, 23791, 1, 1473631200, 1, 72, 1473679973, NULL, NULL, 0),
(72137, 147, 12306, 5, 1473631200, 1, 147, 1473681005, NULL, NULL, 0),
(72138, 246, 10598, 5, 1473631200, 1, 246, 1473681195, NULL, NULL, 0),
(72276, 246, 10744, 5, 1473285600, 1, 72, 1473683418, NULL, NULL, 0),
(72142, 246, 10598, 5, 1473112800, 1, 246, 1473681454, NULL, NULL, 0),
(72143, 246, 10598, 5, 1473026400, 1, 246, 1473681568, NULL, NULL, 0),
(72144, 246, 10598, 5, 1472767200, 1, 246, 1473681591, NULL, NULL, 0),
(72145, 246, 10598, 5, 1472680800, 1, 246, 1473681608, NULL, NULL, 0),
(72148, 246, 1, 1, 1479337200, 1, 246, 1473681815, NULL, NULL, 0),
(72149, 246, 1, 1, 1487199600, 1, 246, 1473681880, NULL, NULL, 0),
(72150, 246, 1, 1, 1489014000, 1, 246, 1473681895, NULL, NULL, 0),
(72151, 134, 13774, 7, 1473199200, 1, 134, 1473681899, NULL, NULL, 0),
(72152, 246, 1, 1, 1493244000, 1, 246, 1473681916, NULL, NULL, 0),
(72153, 134, 13774, 7, 1473285600, 1, 134, 1473681933, NULL, NULL, 0),
(72154, 246, 1, 1, 1498687200, 1, 246, 1473681939, NULL, NULL, 0),
(72155, 246, 1, 1, 1498773600, 1, 246, 1473681946, NULL, NULL, 0),
(72157, 134, 8454, 27, 1473372000, 0.25, 134, 1473682015, NULL, NULL, 0),
(72158, 134, 8454, 7, 1473372000, 0.5, 134, 1473682040, NULL, NULL, 0),
(72159, 134, 13774, 7, 1473372000, 0.25, 134, 1473682053, NULL, NULL, 0),
(72163, 246, 1, 1, 1473890400, 1, 246, 1473682164, NULL, NULL, 0),
(72164, 246, 1, 1, 1473976800, 1, 246, 1473682164, NULL, NULL, 0),
(72165, 246, 1, 1, 1474495200, 1, 246, 1473682164, NULL, NULL, 0),
(72166, 246, 1, 1, 1474581600, 1, 246, 1473682164, NULL, NULL, 0),
(72167, 246, 1, 1, 1475100000, 1, 246, 1473682164, NULL, NULL, 0),
(72168, 246, 1, 1, 1475186400, 1, 246, 1473682164, NULL, NULL, 0),
(72169, 246, 1, 1, 1475704800, 1, 246, 1473682164, NULL, NULL, 0),
(72170, 246, 1, 1, 1475791200, 1, 246, 1473682164, NULL, NULL, 0),
(72171, 246, 1, 1, 1476309600, 1, 246, 1473682164, NULL, NULL, 0),
(72172, 246, 1, 1, 1476396000, 1, 246, 1473682164, NULL, NULL, 0),
(72173, 246, 1, 1, 1476914400, 1, 246, 1473682164, NULL, NULL, 0),
(72174, 246, 1, 1, 1477000800, 1, 246, 1473682164, NULL, NULL, 0),
(72175, 246, 1, 1, 1477519200, 1, 246, 1473682164, NULL, NULL, 0),
(72176, 246, 1, 1, 1477605600, 1, 246, 1473682164, NULL, NULL, 0),
(72177, 246, 1, 1, 1478127600, 1, 246, 1473682164, NULL, NULL, 0),
(72178, 246, 1, 1, 1478214000, 1, 246, 1473682164, NULL, NULL, 0),
(72179, 246, 1, 1, 1478732400, 1, 246, 1473682164, NULL, NULL, 0),
(72180, 246, 1, 1, 1479423600, 1, 246, 1473682164, NULL, NULL, 0),
(72181, 246, 1, 1, 1479942000, 1, 246, 1473682164, NULL, NULL, 0),
(72182, 246, 1, 1, 1480028400, 1, 246, 1473682164, NULL, NULL, 0),
(72183, 246, 1, 1, 1480546800, 1, 246, 1473682164, NULL, NULL, 0),
(72184, 246, 1, 1, 1480633200, 1, 246, 1473682164, NULL, NULL, 0),
(72185, 246, 1, 1, 1481151600, 1, 246, 1473682164, NULL, NULL, 0),
(72186, 246, 1, 1, 1481238000, 1, 246, 1473682164, NULL, NULL, 0),
(72187, 246, 1, 1, 1481756400, 1, 246, 1473682164, NULL, NULL, 0),
(72188, 246, 1, 1, 1481842800, 1, 246, 1473682164, NULL, NULL, 0),
(72189, 246, 1, 1, 1482361200, 1, 246, 1473682164, NULL, NULL, 0),
(72190, 246, 1, 1, 1482447600, 1, 246, 1473682164, NULL, NULL, 0),
(72195, 134, 8454, 27, 1473112800, 0.5, 134, 1473682552, NULL, NULL, 0),
(72199, 246, 1, 1, 1477432800, 1, 246, 1473682601, NULL, NULL, 0),
(72213, 246, 1, 1, 1499292000, 1, 246, 1473682875, NULL, NULL, 0),
(72214, 246, 1, 1, 1499378400, 1, 246, 1473682875, NULL, NULL, 0),
(72215, 246, 1, 1, 1504648800, 1, 246, 1473682946, NULL, NULL, 0),
(72216, 246, 1, 1, 1504735200, 1, 246, 1473682946, NULL, NULL, 0),
(72217, 246, 1, 1, 1504821600, 1, 246, 1473682946, NULL, NULL, 0),
(72219, 246, 1, 1, 1483570800, 1, 246, 1473683080, NULL, NULL, 0),
(72220, 246, 1, 1, 1483657200, 1, 246, 1473683080, NULL, NULL, 0),
(72221, 246, 1, 1, 1484175600, 1, 246, 1473683080, NULL, NULL, 0),
(72222, 246, 1, 1, 1484262000, 1, 246, 1473683080, NULL, NULL, 0),
(72223, 246, 1, 1, 1484780400, 1, 246, 1473683080, NULL, NULL, 0),
(72224, 246, 1, 1, 1484866800, 1, 246, 1473683080, NULL, NULL, 0),
(72225, 246, 1, 1, 1485385200, 1, 246, 1473683080, NULL, NULL, 0),
(72226, 246, 1, 1, 1485471600, 1, 246, 1473683080, NULL, NULL, 0),
(72227, 246, 1, 1, 1485990000, 1, 246, 1473683080, NULL, NULL, 0),
(72228, 246, 1, 1, 1486076400, 1, 246, 1473683080, NULL, NULL, 0),
(72229, 246, 1, 1, 1486594800, 1, 246, 1473683080, NULL, NULL, 0),
(72230, 246, 1, 1, 1486681200, 1, 246, 1473683080, NULL, NULL, 0),
(72231, 246, 1, 1, 1487286000, 1, 246, 1473683080, NULL, NULL, 0),
(72232, 246, 1, 1, 1487804400, 1, 246, 1473683080, NULL, NULL, 0),
(72233, 246, 1, 1, 1487890800, 1, 246, 1473683080, NULL, NULL, 0),
(72234, 246, 1, 1, 1488409200, 1, 246, 1473683080, NULL, NULL, 0),
(72235, 246, 1, 1, 1488495600, 1, 246, 1473683080, NULL, NULL, 0),
(72236, 246, 1, 1, 1489100400, 1, 246, 1473683080, NULL, NULL, 0),
(72237, 246, 1, 1, 1489618800, 1, 246, 1473683080, NULL, NULL, 0),
(72238, 246, 1, 1, 1489705200, 1, 246, 1473683080, NULL, NULL, 0),
(72239, 246, 1, 1, 1490223600, 1, 246, 1473683080, NULL, NULL, 0),
(72240, 246, 1, 1, 1490310000, 1, 246, 1473683080, NULL, NULL, 0),
(72241, 246, 1, 1, 1490824800, 1, 246, 1473683080, NULL, NULL, 0),
(72242, 246, 1, 1, 1490911200, 1, 246, 1473683080, NULL, NULL, 0),
(72243, 246, 1, 1, 1491429600, 1, 246, 1473683080, NULL, NULL, 0),
(72244, 246, 1, 1, 1491516000, 1, 246, 1473683080, NULL, NULL, 0),
(72275, 246, 10744, 5, 1473199200, 1, 72, 1473683395, NULL, NULL, 0),
(72282, 246, 1, 1, 1493676000, 1, 246, 1473683505, NULL, NULL, 0),
(72278, 246, 10744, 5, 1473372000, 1, 72, 1473683442, NULL, NULL, 0),
(72249, 246, 1, 1, 1493330400, 1, 246, 1473683080, NULL, NULL, 0),
(72250, 246, 1, 1, 1493848800, 1, 246, 1473683080, NULL, NULL, 0),
(72251, 246, 1, 1, 1493935200, 1, 246, 1473683080, NULL, NULL, 0),
(72252, 246, 1, 1, 1494453600, 1, 246, 1473683080, NULL, NULL, 0),
(72253, 246, 1, 1, 1494540000, 1, 246, 1473683080, NULL, NULL, 0),
(72254, 246, 1, 1, 1495058400, 1, 246, 1473683080, NULL, NULL, 0),
(72255, 246, 1, 1, 1495144800, 1, 246, 1473683080, NULL, NULL, 0),
(72258, 246, 1, 1, 1496268000, 1, 246, 1473683080, NULL, NULL, 0),
(72259, 246, 1, 1, 1496354400, 1, 246, 1473683080, NULL, NULL, 0),
(72260, 246, 1, 1, 1496872800, 1, 246, 1473683080, NULL, NULL, 0),
(72261, 246, 1, 1, 1496959200, 1, 246, 1473683080, NULL, NULL, 0),
(72262, 246, 1, 1, 1497477600, 1, 246, 1473683080, NULL, NULL, 0),
(72263, 246, 1, 1, 1497564000, 1, 246, 1473683080, NULL, NULL, 0),
(72264, 246, 1, 1, 1498082400, 1, 246, 1473683080, NULL, NULL, 0),
(72265, 246, 1, 1, 1498168800, 1, 246, 1473683080, NULL, NULL, 0),
(72284, 246, 1, 1, 1493762400, 1, 246, 1473683520, NULL, NULL, 0),
(72298, 217, 4857, 1, 1473631200, 0.5, 217, 1473685130, NULL, NULL, 0),
(72299, 217, 14069, 4, 1473631200, 0.2, 217, 1473685793, NULL, NULL, 0),
(72310, 217, 14194, 2, 1473631200, 0.2, 217, 1473686455, NULL, NULL, 0),
(72314, 217, 4857, 1, 1473717600, 0.5, 217, 1473688001, NULL, NULL, 0),
(72317, 199, 12199, 5, 1473026400, 1, 199, 1473692029, NULL, NULL, 0),
(72318, 199, 12199, 5, 1473112800, 1, 199, 1473692500, NULL, NULL, 0),
(72319, 199, 12199, 5, 1473199200, 1, 199, 1473692510, NULL, NULL, 0),
(72320, 199, 12199, 5, 1473285600, 1, 199, 1473692518, NULL, NULL, 0),
(72321, 199, 12654, 5, 1472680800, 0.5, 199, 1473692653, NULL, NULL, 0),
(72322, 199, 2, 1, 1482706800, 1, 199, 1473692734, NULL, NULL, 0),
(72323, 199, 2, 1, 1482793200, 1, 199, 1473692734, NULL, NULL, 0),
(72324, 199, 2, 1, 1482879600, 1, 199, 1473692734, NULL, NULL, 0),
(72325, 199, 2, 1, 1482966000, 1, 199, 1473692734, NULL, NULL, 0),
(72326, 199, 2, 1, 1483052400, 1, 199, 1473692734, NULL, NULL, 0),
(72327, 199, 14198, 5, 1473631200, 1, 199, 1473692779, NULL, NULL, 0),
(72328, 169, 2, 1, 1482706800, 1, 169, 1473692801, NULL, NULL, 0),
(72329, 169, 2, 1, 1482793200, 1, 169, 1473692801, NULL, NULL, 0),
(72330, 169, 2, 1, 1482879600, 1, 169, 1473692801, NULL, NULL, 0),
(72331, 169, 2, 1, 1482966000, 1, 169, 1473692801, NULL, NULL, 0),
(72332, 169, 2, 1, 1483052400, 1, 169, 1473692801, NULL, NULL, 0),
(72333, 169, 2, 1, 1483311600, 1, 169, 1473692801, NULL, NULL, 0),
(72334, 169, 2, 1, 1483398000, 1, 169, 1473692801, NULL, NULL, 0),
(72335, 169, 2, 1, 1483484400, 1, 169, 1473692801, NULL, NULL, 0),
(72336, 169, 2, 1, 1483570800, 1, 169, 1473692801, NULL, NULL, 0),
(72337, 169, 2, 1, 1483657200, 1, 169, 1473692801, NULL, NULL, 0),
(72338, 199, 14198, 5, 1473372000, 1, 199, 1473692808, NULL, NULL, 0),
(72352, 134, 8454, 7, 1473631200, 1, 134, 1473751705, NULL, NULL, 0),
(72351, 134, 13559, 27, 1474495200, 1, 134, 1473751647, NULL, NULL, 0),
(72376, 72, 23791, 1, 1473717600, 1, 72, 1473757258, NULL, NULL, 0),
(72385, 248, 2, 1, 1473804000, 1, 248, 1473761558, NULL, NULL, 0),
(72399, 2, 23791, 1, 1473631200, 0.75, 2, 1473771726, NULL, NULL, 0),
(72848, 217, 14069, 4, 1473890400, 0.25, 217, 1474008390, NULL, NULL, 0),
(72963, 72, 2, 1, 1473890400, 1, 72, 1474019821, NULL, NULL, 0),
(72400, 2, 1435, 1, 1473631200, 0.25, 2, 1473771742, NULL, NULL, 0),
(72431, 169, 1400, 1, 1475618400, 1, 72, 1473778264, NULL, NULL, 0),
(72432, 169, 1400, 1, 1475704800, 1, 72, 1473778271, NULL, NULL, 0),
(72433, 169, 1400, 1, 1475791200, 1, 72, 1473778277, NULL, NULL, 0),
(72434, 134, 1400, 1, 1475618400, 1, 72, 1473778317, NULL, NULL, 0),
(72435, 134, 1400, 1, 1475704800, 1, 72, 1473778330, NULL, NULL, 0),
(72436, 134, 1400, 1, 1475791200, 1, 72, 1473778338, NULL, NULL, 0),
(72437, 158, 1400, 1, 1475618400, 1, 72, 1473778384, NULL, NULL, 0),
(72438, 158, 1400, 1, 1475704800, 1, 72, 1473778406, NULL, NULL, 0),
(72439, 158, 1400, 1, 1475791200, 1, 72, 1473778417, NULL, NULL, 0),
(72441, 164, 11032, 18, 1473631200, 1, 164, 1473779341, NULL, NULL, 0),
(72442, 164, 9951, 18, 1473717600, 0.75, 164, 1473779358, NULL, NULL, 0),
(72445, 2, 23791, 1, 1473717600, 0.75, 2, 1473779663, NULL, NULL, 0),
(72509, 246, 10598, 5, 1473717600, 1, 246, 1473860023, NULL, NULL, 0),
(72449, 169, 14039, 5, 1473631200, 1, 169, 1473782121, NULL, NULL, 0),
(72454, 147, 12306, 5, 1473717600, 1, 147, 1473835020, NULL, NULL, 0),
(72483, 164, 2, 1, 1483052400, 1, 164, 1473844840, NULL, NULL, 0),
(72484, 164, 2, 1, 1483311600, 1, 164, 1473844840, NULL, NULL, 0),
(72492, 147, 12306, 5, 1473804000, 1, 147, 1473850005, NULL, NULL, 0),
(72501, 72, 23791, 1, 1473804000, 1, 72, 1473856493, NULL, NULL, 0),
(72510, 2, 1435, 1, 1473804000, 1, 2, 1473861255, NULL, NULL, 0),
(72513, 246, 10598, 6, 1473804000, 1, 246, 1473864066, NULL, NULL, 0),
(72891, 164, 11032, 18, 1473976800, 0.5, 164, 1474011789, NULL, NULL, 0),
(72810, 157, 12781, 7, 1473717600, 0.5, 157, 1474006514, NULL, NULL, 0),
(72811, 157, 12781, 7, 1473804000, 1, 157, 1474006526, NULL, NULL, 0),
(72812, 157, 12781, 7, 1473976800, 0.5, 157, 1474006582, NULL, NULL, 0),
(72813, 157, 12781, 7, 1473890400, 0.5, 157, 1474006597, NULL, NULL, 0),
(72824, 147, 14165, 5, 1473976800, 1, 147, 1474007875, NULL, NULL, 0),
(72825, 147, 14165, 5, 1473890400, 1, 147, 1474007906, NULL, NULL, 0),
(72827, 157, 14233, 4, 1473976800, 0.25, 157, 1474007934, NULL, NULL, 0),
(72829, 157, 14234, 4, 1473976800, 0.25, 157, 1474007956, NULL, NULL, 0),
(72830, 147, 2, 1, 1478559600, 1, 147, 1474007989, NULL, NULL, 0),
(72831, 147, 2, 1, 1478646000, 1, 147, 1474007989, NULL, NULL, 0),
(72832, 147, 2, 1, 1478732400, 1, 147, 1474007989, NULL, NULL, 0),
(75986, 147, 2, 1, 1479078000, 1, 147, 1475823784, NULL, NULL, 0),
(72886, 164, 11032, 18, 1473804000, 0.25, 164, 1474011562, NULL, NULL, 0),
(72847, 217, 4857, 1, 1473890400, 0.1, 217, 1474008371, NULL, NULL, 0),
(72846, 217, 14236, 4, 1473890400, 0.25, 217, 1474008354, NULL, NULL, 0),
(72849, 217, 14206, 4, 1473890400, 0.4, 217, 1474008405, NULL, NULL, 0),
(73003, 217, 14236, 4, 1473976800, 0.25, 217, 1474030013, NULL, NULL, 0),
(72885, 164, 1435, 1, 1473804000, 0.5, 164, 1474011543, NULL, NULL, 0),
(72881, 157, 14237, 4, 1473890400, 0.5, 157, 1474010945, NULL, NULL, 0),
(72887, 164, 1435, 1, 1473890400, 0.5, 164, 1474011597, NULL, NULL, 0),
(72888, 164, 6967, 18, 1473890400, 0.5, 164, 1474011679, NULL, NULL, 0),
(72892, 164, 1435, 1, 1473976800, 0.5, 164, 1474011820, NULL, NULL, 0),
(72924, 2, 1435, 1, 1473890400, 0.75, 2, 1474012998, NULL, NULL, 0),
(72931, 74, 13002, 6, 1473631200, 0.5, 74, 1474013922, NULL, NULL, 0),
(72932, 74, 13002, 6, 1473890400, 1, 74, 1474013942, NULL, NULL, 0),
(72933, 74, 13002, 6, 1473804000, 0.5, 74, 1474013963, NULL, NULL, 0),
(72949, 74, 10744, 2, 1473717600, 0.5, 74, 1474015302, NULL, NULL, 0),
(72950, 74, 10744, 2, 1473804000, 0.5, 74, 1474015316, NULL, NULL, 0),
(72956, 169, 12305, 5, 1473717600, 1, 169, 1474017340, NULL, NULL, 0),
(72957, 169, 12305, 5, 1473804000, 1, 169, 1474017355, NULL, NULL, 0),
(72958, 169, 12304, 4, 1473890400, 1, 169, 1474017555, NULL, NULL, 0),
(72959, 169, 12304, 5, 1473976800, 1, 169, 1474017722, NULL, NULL, 0),
(72964, 72, 23791, 1, 1473976800, 1, 72, 1474019839, NULL, NULL, 0),
(72965, 2, 1400, 1, 1476223200, 1, 72, 1474023460, NULL, NULL, 0),
(72966, 2, 1400, 1, 1476309600, 1, 72, 1474023460, NULL, NULL, 0),
(72967, 2, 1400, 1, 1476396000, 1, 72, 1474023460, NULL, NULL, 0),
(72968, 199, 1400, 1, 1476223200, 1, 72, 1474023496, NULL, NULL, 0),
(72969, 199, 1400, 1, 1476309600, 1, 72, 1474023496, NULL, NULL, 0),
(72970, 199, 1400, 1, 1476396000, 1, 72, 1474023496, NULL, NULL, 0),
(72971, 157, 1400, 1, 1476223200, 1, 72, 1474023523, NULL, NULL, 0),
(72972, 157, 1400, 1, 1476309600, 1, 72, 1474023523, NULL, NULL, 0),
(72973, 157, 1400, 1, 1476396000, 1, 72, 1474023523, NULL, NULL, 0),
(73004, 217, 4857, 1, 1473976800, 0.2, 217, 1474030432, NULL, NULL, 0),
(73000, 217, 14240, 2, 1473631200, 0.1, 217, 1474029854, NULL, NULL, 0),
(73001, 217, 14240, 2, 1473717600, 0.25, 217, 1474029862, NULL, NULL, 0),
(73002, 217, 14240, 2, 1473976800, 0.3, 217, 1474029872, NULL, NULL, 0),
(73017, 248, 2, 1, 1475013600, 1, 248, 1474034339, NULL, NULL, 0),
(73270, 200, 8454, 4, 1473976800, 1, 200, 1474374161, NULL, NULL, 0),
(73034, 200, 4299, 4, 1473026400, 1, 200, 1474037955, NULL, NULL, 0),
(73060, 212, 13002, 6, 1473631200, 1, 212, 1474039197, NULL, NULL, 0),
(73061, 212, 13002, 6, 1473717600, 1, 212, 1474039209, NULL, NULL, 0),
(73062, 212, 13002, 6, 1473804000, 1, 212, 1474039223, NULL, NULL, 0),
(73063, 212, 13002, 6, 1473890400, 1, 212, 1474039237, NULL, NULL, 0),
(73064, 212, 13002, 6, 1473976800, 1, 212, 1474039249, NULL, NULL, 0),
(73066, 2, 23791, 1, 1473976800, 0.25, 2, 1474039896, NULL, NULL, 0),
(73067, 2, 1435, 1, 1473976800, 0.75, 2, 1474039906, NULL, NULL, 0),
(73070, 217, 14240, 2, 1474236000, 0.25, 217, 1474267646, NULL, NULL, 0),
(73071, 199, 12199, 5, 1473717600, 1, 199, 1474267815, NULL, NULL, 0),
(73072, 199, 12199, 5, 1473804000, 1, 199, 1474267832, NULL, NULL, 0),
(73073, 199, 13541, 5, 1473890400, 0.5, 199, 1474267878, NULL, NULL, 0),
(73076, 199, 14257, 5, 1473890400, 0.25, 199, 1474268178, NULL, NULL, 0),
(73075, 199, 14057, 5, 1473890400, 0.25, 199, 1474268120, NULL, NULL, 0),
(73077, 199, 14258, 5, 1473976800, 0.5, 199, 1474268253, NULL, NULL, 0),
(73078, 199, 12199, 5, 1473976800, 0.5, 199, 1474268270, NULL, NULL, 0),
(73087, 164, 2, 1, 1474408800, 1, 164, 1474270847, NULL, NULL, 0),
(73101, 134, 8454, 7, 1473717600, 1, 134, 1474274105, NULL, NULL, 0),
(73102, 212, 2, 1, 1474408800, 0.5, 212, 1474274152, NULL, NULL, 0),
(73103, 147, 12791, 5, 1474236000, 1, 147, 1474274937, NULL, NULL, 0),
(73104, 74, 1, 1, 1474581600, 0.5, 74, 1474275031, NULL, NULL, 0),
(73105, 74, 2, 1, 1477868400, 1, 74, 1474275056, NULL, NULL, 0),
(73106, 74, 2, 1, 1482447600, 1, 74, 1474275099, NULL, NULL, 0),
(73107, 74, 2, 1, 1482706800, 1, 74, 1474275099, NULL, NULL, 0),
(73108, 74, 2, 1, 1482793200, 1, 74, 1474275099, NULL, NULL, 0),
(73109, 74, 2, 1, 1482879600, 1, 74, 1474275099, NULL, NULL, 0),
(73110, 74, 2, 1, 1482966000, 1, 74, 1474275099, NULL, NULL, 0),
(73111, 74, 2, 1, 1483052400, 1, 74, 1474275099, NULL, NULL, 0),
(73112, 74, 2, 1, 1483311600, 1, 74, 1474275099, NULL, NULL, 0),
(73113, 217, 14194, 2, 1474236000, 0.25, 217, 1474276619, NULL, NULL, 0),
(73139, 158, 13785, 5, 1474236000, 0.5, 158, 1474278156, NULL, NULL, 0),
(73148, 72, 23791, 1, 1474236000, 1, 72, 1474283498, NULL, NULL, 0),
(73328, 217, 14239, 6, 1474322400, 0.3, 217, 1474380492, NULL, NULL, 0),
(73197, 217, 13257, 2, 1474236000, 0.3, 217, 1474356902, NULL, NULL, 0),
(73199, 217, 12687, 27, 1474236000, 0.2, 217, 1474356978, NULL, NULL, 0),
(73590, 2, 14266, 4, 1474408800, 0.5, 2, 1474536546, NULL, NULL, 0),
(73591, 2, 13541, 18, 1474408800, 0.5, 2, 1474536567, NULL, NULL, 0),
(73592, 217, 14069, 2, 1474495200, 0.2, 217, 1474537172, NULL, NULL, 0),
(73224, 217, 14278, 2, 1474322400, 0.1, 217, 1474360467, NULL, NULL, 0),
(73237, 246, 10598, 5, 1474236000, 0.5, 246, 1474361398, NULL, NULL, 0),
(73261, 200, 8454, 7, 1474322400, 1, 200, 1474373462, NULL, NULL, 0),
(73262, 200, 8454, 4, 1473112800, 1, 200, 1474373488, NULL, NULL, 0),
(73263, 200, 8454, 4, 1473199200, 1, 200, 1474373497, NULL, NULL, 0),
(73264, 200, 8454, 4, 1473285600, 1, 200, 1474373508, NULL, NULL, 0),
(73265, 200, 8454, 4, 1473372000, 1, 200, 1474373516, NULL, NULL, 0),
(73266, 200, 8454, 4, 1473631200, 1, 200, 1474373599, NULL, NULL, 0),
(73267, 200, 8454, 4, 1473717600, 1, 200, 1474373616, NULL, NULL, 0),
(73268, 200, 8454, 4, 1473804000, 1, 200, 1474373625, NULL, NULL, 0),
(73269, 200, 8454, 4, 1473890400, 1, 200, 1474373659, NULL, NULL, 0),
(73272, 200, 8454, 7, 1474236000, 1, 200, 1474374178, NULL, NULL, 0),
(73307, 217, 14278, 2, 1474322400, 0.2, 217, 1474375582, NULL, NULL, 0),
(73308, 217, 13257, 2, 1474322400, 0.4, 217, 1474375598, NULL, NULL, 0),
(73336, 2, 23791, 1, 1474236000, 1, 2, 1474383789, NULL, NULL, 0),
(73337, 2, 14266, 4, 1474322400, 0.5, 2, 1474383847, NULL, NULL, 0),
(73356, 217, 14289, 4, 1474408800, 0.2, 217, 1474442841, NULL, NULL, 0),
(73427, 217, 14239, 6, 1474408800, 0.3, 217, 1474466605, NULL, NULL, 0),
(73357, 158, 14059, 4, 1474322400, 0.25, 158, 1474443297, NULL, NULL, 0),
(73369, 72, 1, 1, 1475186400, 1, 72, 1474447099, NULL, NULL, 0),
(73372, 74, 1, 1, 1475100000, 0.5, 72, 1474448036, NULL, NULL, 0),
(73376, 205, 12781, 7, 1473112800, 0.5, 205, 1474449756, NULL, NULL, 0),
(73377, 205, 12781, 7, 1473285600, 0.5, 205, 1474449764, NULL, NULL, 0),
(73378, 205, 12781, 7, 1473372000, 0.5, 205, 1474449771, NULL, NULL, 0),
(73380, 205, 8454, 27, 1473976800, 0.5, 205, 1474449857, NULL, NULL, 0),
(73384, 205, 11115, 2, 1474236000, 0.5, 205, 1474450222, NULL, NULL, 0),
(73385, 205, 13258, 2, 1474236000, 0.5, 205, 1474450231, NULL, NULL, 0),
(73425, 217, 4857, 1, 1474408800, 0.2, 217, 1474466559, NULL, NULL, 0),
(73426, 217, 14069, 4, 1474408800, 0.3, 217, 1474466584, NULL, NULL, 0),
(73428, 72, 23791, 1, 1474322400, 0.5, 72, 1474468835, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(73675, 72, 14329, 4, 1474408800, 0.5, 72, 1474548176, NULL, NULL, 0),
(73431, 72, 23791, 1, 1474408800, 0.5, 72, 1474468924, NULL, NULL, 0),
(73696, 217, 1506, 1, 1474495200, 0.5, 217, 1474612079, NULL, NULL, 0),
(73516, 246, 10744, 6, 1474408800, 1, 246, 1474531532, NULL, NULL, 0),
(73517, 246, 10744, 6, 1474322400, 1, 246, 1474531558, NULL, NULL, 0),
(73673, 72, 23791, 1, 1474322400, 0.5, 72, 1474548116, NULL, NULL, 0),
(73674, 72, 14329, 4, 1474495200, 0.5, 72, 1474548144, NULL, NULL, 0),
(73677, 72, 23791, 1, 1474495200, 0.5, 72, 1474548186, NULL, NULL, 0),
(73694, 2, 14266, 4, 1474495200, 0.5, 2, 1474583447, NULL, NULL, 0),
(73695, 217, 14239, 6, 1474495200, 0.3, 217, 1474612062, NULL, NULL, 0),
(73952, 158, 12311, 5, 1474495200, 0.75, 158, 1474638686, NULL, NULL, 0),
(73737, 158, 12314, 27, 1474322400, 0.2, 158, 1474618245, NULL, NULL, 0),
(73743, 158, 13774, 2, 1474322400, 0.3, 158, 1474618485, NULL, NULL, 0),
(73741, 158, 8454, 2, 1474322400, 0.25, 158, 1474618448, NULL, NULL, 0),
(73750, 217, 14206, 7, 1474581600, 0.3, 217, 1474619190, NULL, NULL, 0),
(73760, 217, 14477, 7, 1474581600, 0.3, 217, 1474619327, NULL, NULL, 0),
(73763, 217, 14478, 7, 1474581600, 0.3, 217, 1474619349, NULL, NULL, 0),
(73771, 217, 14239, 6, 1474581600, 0.1, 217, 1474619410, NULL, NULL, 0),
(73843, 169, 12304, 5, 1474236000, 1, 169, 1474632327, NULL, NULL, 0),
(73842, 169, 14476, 4, 1474581600, 0.5, 169, 1474632264, NULL, NULL, 0),
(73844, 169, 12304, 5, 1474322400, 1, 169, 1474632337, NULL, NULL, 0),
(73845, 169, 12304, 5, 1474408800, 1, 169, 1474632349, NULL, NULL, 0),
(73846, 169, 12304, 5, 1474495200, 1, 169, 1474632356, NULL, NULL, 0),
(73853, 164, 1435, 1, 1474236000, 0.75, 164, 1474633744, NULL, NULL, 0),
(73904, 72, 23791, 1, 1474581600, 1, 72, 1474636035, NULL, NULL, 0),
(73908, 164, 11032, 18, 1474236000, 0.25, 164, 1474637155, NULL, NULL, 0),
(73909, 164, 11032, 18, 1474581600, 1, 164, 1474637168, NULL, NULL, 0),
(73911, 164, 8395, 17, 1474495200, 0.5, 164, 1474637198, NULL, NULL, 0),
(73913, 164, 9951, 17, 1474495200, 0.5, 164, 1474637213, NULL, NULL, 0),
(73914, 164, 11032, 18, 1474322400, 1, 164, 1474637225, NULL, NULL, 0),
(73917, 157, 14514, 4, 1474581600, 1, 157, 1474637340, NULL, NULL, 0),
(73918, 2, 1435, 1, 1474581600, 0.5, 2, 1474637348, NULL, NULL, 0),
(73919, 2, 23791, 1, 1474581600, 0.5, 2, 1474637356, NULL, NULL, 0),
(73933, 147, 12791, 5, 1474322400, 1, 147, 1474637989, NULL, NULL, 0),
(73934, 74, 11178, 6, 1474581600, 0.5, 74, 1474638004, NULL, NULL, 0),
(73935, 147, 12791, 5, 1474408800, 1, 147, 1474638010, NULL, NULL, 0),
(73936, 147, 12791, 5, 1474495200, 1, 147, 1474638030, NULL, NULL, 0),
(73937, 147, 12791, 5, 1474581600, 1, 147, 1474638047, NULL, NULL, 0),
(73938, 74, 10746, 4, 1474495200, 0.5, 74, 1474638076, NULL, NULL, 0),
(73939, 158, 13774, 2, 1474408800, 0.5, 158, 1474638088, NULL, NULL, 0),
(73947, 158, 13774, 2, 1474495200, 0.25, 158, 1474638251, NULL, NULL, 0),
(73950, 74, 14244, 5, 1474322400, 1, 74, 1474638594, NULL, NULL, 0),
(73943, 74, 14244, 5, 1474495200, 0.5, 74, 1474638157, NULL, NULL, 0),
(73944, 158, 12311, 5, 1474581600, 0.75, 158, 1474638205, NULL, NULL, 0),
(73945, 74, 14244, 5, 1474408800, 1, 74, 1474638216, NULL, NULL, 0),
(73946, 158, 13774, 2, 1474581600, 0.25, 158, 1474638222, NULL, NULL, 0),
(73948, 74, 14248, 5, 1474236000, 0.5, 74, 1474638255, NULL, NULL, 0),
(73949, 74, 13785, 6, 1474236000, 0.5, 74, 1474638434, NULL, NULL, 0),
(73951, 158, 12311, 5, 1474408800, 0.5, 158, 1474638599, NULL, NULL, 0),
(73957, 212, 2, 1, 1474581600, 0.5, 72, 1474640908, NULL, NULL, 0),
(73958, 212, 2, 1, 1474840800, 1, 72, 1474640997, NULL, NULL, 0),
(73981, 169, 12304, 5, 1474581600, 0.5, 169, 1474644074, NULL, NULL, 0),
(73994, 199, 12199, 5, 1474581600, 1, 199, 1474645786, NULL, NULL, 0),
(73995, 199, 12199, 5, 1474495200, 0.5, 199, 1474645797, NULL, NULL, 0),
(73996, 199, 14329, 4, 1474495200, 0.5, 199, 1474645862, NULL, NULL, 0),
(74000, 199, 12199, 5, 1474408800, 0.5, 199, 1474645900, NULL, NULL, 0),
(74002, 199, 14473, 5, 1474408800, 0.5, 199, 1474646041, NULL, NULL, 0),
(74004, 199, 14198, 5, 1474236000, 0.5, 199, 1474646147, NULL, NULL, 0),
(74005, 199, 10145, 2, 1474322400, 0.5, 199, 1474646200, NULL, NULL, 0),
(74006, 199, 12199, 5, 1474236000, 0.5, 199, 1474646214, NULL, NULL, 0),
(74007, 199, 12199, 5, 1474322400, 0.5, 199, 1474646222, NULL, NULL, 0),
(74078, 199, 14057, 4, 1474840800, 0.05, 199, 1474879440, NULL, NULL, 0),
(74079, 199, 14058, 5, 1474840800, 0.05, 199, 1474879466, NULL, NULL, 0),
(74117, 134, 12781, 7, 1474408800, 1, 134, 1474900712, NULL, NULL, 0),
(74115, 217, 10598, 2, 1474840800, 0.1, 217, 1474895509, NULL, NULL, 0),
(74116, 217, 14239, 6, 1474840800, 0.9, 217, 1474895542, NULL, NULL, 0),
(74118, 134, 12781, 7, 1474322400, 1, 134, 1474900723, NULL, NULL, 0),
(74119, 134, 13774, 7, 1474236000, 1, 134, 1474900822, NULL, NULL, 0),
(74120, 134, 1505, 1, 1474840800, 0.1, 134, 1474901034, NULL, NULL, 0),
(74121, 134, 13774, 4, 1474840800, 0.9, 134, 1474901127, NULL, NULL, 0),
(74128, 246, 10744, 6, 1474840800, 0.5, 246, 1474902836, NULL, NULL, 0),
(78515, 74, 1436, 1, 1476914400, 1, 74, 1477289927, NULL, NULL, 0),
(74154, 72, 23791, 1, 1474840800, 1, 72, 1474905446, NULL, NULL, 0),
(74190, 198, 2, 1, 1474236000, 0.5, 198, 1474956846, NULL, NULL, 0),
(74197, 246, 10598, 6, 1474840800, 0.5, 246, 1474958318, NULL, NULL, 0),
(74206, 212, 13002, 6, 1474236000, 1, 212, 1474961770, NULL, NULL, 0),
(74207, 212, 13002, 6, 1474322400, 1, 212, 1474961801, NULL, NULL, 0),
(74208, 212, 13002, 6, 1474408800, 0.5, 212, 1474961869, NULL, NULL, 0),
(74209, 212, 13002, 6, 1474495200, 1, 212, 1474961885, NULL, NULL, 0),
(74210, 212, 13002, 6, 1474581600, 0.5, 212, 1474961908, NULL, NULL, 0),
(74373, 72, 23791, 1, 1475013600, 0.5, 72, 1475073444, NULL, NULL, 0),
(74247, 2, 13541, 17, 1474927200, 1, 2, 1474983384, NULL, NULL, 0),
(74248, 2, 13541, 17, 1474840800, 0.5, 2, 1474983404, NULL, NULL, 0),
(74249, 2, 23791, 1, 1474840800, 0.5, 2, 1474983425, NULL, NULL, 0),
(74297, 157, 14542, 4, 1475013600, 0.5, 157, 1475060784, NULL, NULL, 0),
(74298, 157, 14473, 4, 1474927200, 0.25, 157, 1475060875, NULL, NULL, 0),
(74299, 157, 14473, 4, 1474927200, 0.25, 157, 1475061082, NULL, NULL, 0),
(74300, 157, 14545, 4, 1474927200, 0.25, 157, 1475061118, NULL, NULL, 0),
(74302, 157, 14514, 6, 1474927200, 0.25, 157, 1475061248, NULL, NULL, 0),
(74303, 157, 14546, 4, 1475013600, 0.5, 157, 1475061267, NULL, NULL, 0),
(74371, 246, 14261, 4, 1474927200, 1, 246, 1475073138, NULL, NULL, 0),
(74722, 72, 23791, 1, 1474927200, 0.75, 72, 1475160745, NULL, NULL, 0),
(74374, 72, 1505, 1, 1475013600, 0.25, 72, 1475073465, NULL, NULL, 0),
(74375, 72, 23791, 1, 1475013600, 0.25, 72, 1475073474, NULL, NULL, 0),
(74376, 158, 1505, 1, 1475013600, 0.25, 158, 1475073484, NULL, NULL, 0),
(74864, 158, 12311, 27, 1475013600, 0.1, 158, 1475227979, NULL, NULL, 0),
(74863, 158, 12311, 27, 1474927200, 0.1, 158, 1475227855, NULL, NULL, 0),
(74868, 158, 12311, 5, 1475013600, 0.6, 158, 1475228092, NULL, NULL, 0),
(74866, 158, 12311, 5, 1474927200, 0.8, 158, 1475228046, NULL, NULL, 0),
(74867, 158, 12311, 5, 1474927200, 0.05, 158, 1475228059, NULL, NULL, 0),
(74382, 158, 12311, 27, 1474840800, 0.1, 158, 1475073884, NULL, NULL, 0),
(74383, 158, 12311, 5, 1474840800, 0.4, 158, 1475073937, NULL, NULL, 0),
(74419, 2, 1435, 1, 1475013600, 0.25, 2, 1475093540, NULL, NULL, 0),
(74420, 2, 1505, 1, 1475013600, 0.25, 2, 1475093547, NULL, NULL, 0),
(74422, 2, 1435, 1, 1475013600, 0.5, 2, 1475093593, NULL, NULL, 0),
(74865, 158, 12311, 27, 1474927200, 0.05, 158, 1475228019, NULL, NULL, 0),
(75835, 147, 14165, 5, 1475704800, 0.5, 147, 1475762205, NULL, NULL, 0),
(74544, 2, 14329, 2, 1475100000, 0.25, 2, 1475139794, NULL, NULL, 0),
(74547, 199, 14552, 5, 1475100000, 0.25, 199, 1475140071, NULL, NULL, 0),
(74549, 147, 12791, 5, 1474840800, 1, 147, 1475140641, NULL, NULL, 0),
(74550, 147, 12791, 5, 1474927200, 1, 147, 1475140661, NULL, NULL, 0),
(74551, 147, 12791, 5, 1475013600, 0.5, 147, 1475140702, NULL, NULL, 0),
(74552, 147, 1437, 1, 1475013600, 0.5, 147, 1475140850, NULL, NULL, 0),
(91638, 158, 1041, 1, 1485990000, 1, 72, 1485519244, NULL, NULL, 0),
(91637, 158, 1041, 1, 1485903600, 1, 72, 1485519244, NULL, NULL, 0),
(91636, 158, 1041, 1, 1485817200, 1, 72, 1485519244, NULL, NULL, 0),
(91635, 158, 1041, 1, 1485730800, 1, 72, 1485519244, NULL, NULL, 0),
(91634, 158, 1041, 1, 1485471600, 1, 72, 1485519244, NULL, NULL, 0),
(74563, 147, 12309, 5, 1475100000, 1, 147, 1475141221, NULL, NULL, 0),
(74723, 72, 2089, 1, 1474927200, 0.25, 72, 1475160765, NULL, NULL, 0),
(74724, 72, 12938, 4, 1475100000, 0.25, 72, 1475160839, NULL, NULL, 0),
(74725, 72, 23791, 1, 1475100000, 0.25, 72, 1475160857, NULL, NULL, 0),
(74726, 164, 2, 1, 1475445600, 1, 164, 1475161074, NULL, NULL, 0),
(74727, 72, 14329, 4, 1475100000, 0.5, 72, 1475161081, NULL, NULL, 0),
(74768, 157, 10330, 5, 1475100000, 0.5, 157, 1475213535, NULL, NULL, 0),
(74769, 157, 14546, 4, 1475100000, 0.5, 157, 1475213660, NULL, NULL, 0),
(74770, 157, 14548, 4, 1475186400, 0.5, 157, 1475213759, NULL, NULL, 0),
(74771, 157, 14473, 4, 1475186400, 0.5, 157, 1475213829, NULL, NULL, 0),
(74774, 199, 10330, 5, 1475100000, 0.25, 199, 1475222026, NULL, NULL, 0),
(74773, 199, 14163, 5, 1475100000, 0.5, 199, 1475222002, NULL, NULL, 0),
(74775, 199, 10330, 2, 1475013600, 0.75, 199, 1475222040, NULL, NULL, 0),
(74776, 199, 1505, 1, 1475013600, 0.25, 199, 1475222063, NULL, NULL, 0),
(74777, 199, 14250, 4, 1474840800, 0.25, 199, 1475222145, NULL, NULL, 0),
(74778, 199, 14248, 4, 1474840800, 0.25, 199, 1475222194, NULL, NULL, 0),
(74779, 199, 14243, 4, 1474840800, 0.4, 199, 1475222232, NULL, NULL, 0),
(74780, 199, 12199, 5, 1474927200, 0.5, 199, 1475222262, NULL, NULL, 0),
(74781, 199, 6495, 4, 1474927200, 0.5, 199, 1475222319, NULL, NULL, 0),
(74843, 164, 2, 1, 1475532000, 1, 164, 1475226923, NULL, NULL, 0),
(74844, 164, 1435, 1, 1474840800, 1, 164, 1475227143, NULL, NULL, 0),
(74845, 164, 1435, 1, 1474927200, 0.5, 164, 1475227155, NULL, NULL, 0),
(74846, 164, 11032, 18, 1474927200, 0.5, 164, 1475227189, NULL, NULL, 0),
(74847, 164, 9951, 17, 1475013600, 0.5, 164, 1475227202, NULL, NULL, 0),
(74848, 164, 11032, 18, 1475013600, 0.5, 164, 1475227217, NULL, NULL, 0),
(74849, 164, 9951, 18, 1475100000, 0.75, 164, 1475227238, NULL, NULL, 0),
(74850, 164, 1435, 1, 1475100000, 0.25, 164, 1475227247, NULL, NULL, 0),
(74855, 164, 11032, 18, 1475186400, 0.25, 164, 1475227333, NULL, NULL, 0),
(74854, 164, 8395, 18, 1475186400, 0.75, 164, 1475227306, NULL, NULL, 0),
(74857, 158, 12311, 27, 1475100000, 0.1, 158, 1475227591, NULL, NULL, 0),
(74862, 158, 12311, 5, 1475100000, 0.8, 158, 1475227796, NULL, NULL, 0),
(74859, 158, 12311, 27, 1475186400, 0.1, 158, 1475227729, NULL, NULL, 0),
(74860, 158, 12311, 27, 1475186400, 0.05, 158, 1475227744, NULL, NULL, 0),
(74861, 158, 12311, 27, 1475100000, 0.1, 158, 1475227767, NULL, NULL, 0),
(74871, 158, 12311, 5, 1475013600, 0.05, 158, 1475228124, NULL, NULL, 0),
(74887, 147, 12309, 5, 1475186400, 1, 147, 1475239499, NULL, NULL, 0),
(74905, 199, 14540, 5, 1475186400, 1, 199, 1475245423, NULL, NULL, 0),
(74915, 248, 2, 1, 1475618400, 1, 248, 1475245710, NULL, NULL, 0),
(74923, 248, 2, 1, 1477868400, 1, 248, 1475245762, NULL, NULL, 0),
(74924, 248, 2, 1, 1477954800, 1, 248, 1475245766, NULL, NULL, 0),
(74925, 248, 2, 1, 1478041200, 1, 248, 1475245770, NULL, NULL, 0),
(74927, 248, 2, 1, 1478127600, 1, 248, 1475245774, NULL, NULL, 0),
(74928, 248, 2, 1, 1478214000, 1, 248, 1475245778, NULL, NULL, 0),
(75078, 2, 12654, 18, 1475186400, 0.25, 2, 1475249171, NULL, NULL, 0),
(75079, 2, 23791, 1, 1475186400, 0.5, 2, 1475249193, NULL, NULL, 0),
(75080, 2, 23791, 1, 1475100000, 0.25, 2, 1475249202, NULL, NULL, 0),
(75081, 2, 1435, 1, 1475100000, 0.5, 2, 1475249222, NULL, NULL, 0),
(75082, 2, 1435, 1, 1475186400, 0.25, 2, 1475249234, NULL, NULL, 0),
(75083, 200, 1437, 1, 1474840800, 1, 2, 1475249428, NULL, NULL, 0),
(75084, 200, 1437, 1, 1474927200, 1, 2, 1475249433, NULL, NULL, 0),
(75085, 200, 1437, 1, 1475013600, 1, 2, 1475249437, NULL, NULL, 0),
(75086, 200, 1437, 1, 1475100000, 1, 2, 1475249441, NULL, NULL, 0),
(75087, 200, 1437, 1, 1475186400, 1, 2, 1475249444, NULL, NULL, 0),
(75088, 200, 1437, 1, 1474408800, 1, 2, 1475249455, NULL, NULL, 0),
(75089, 200, 1437, 1, 1474495200, 1, 2, 1475249460, NULL, NULL, 0),
(75090, 200, 1437, 1, 1474581600, 1, 2, 1475249464, NULL, NULL, 0),
(75091, 158, 12311, 5, 1475186400, 0.8, 158, 1475249480, NULL, NULL, 0),
(75092, 158, 12311, 5, 1475186400, 0.05, 158, 1475249505, NULL, NULL, 0),
(75096, 169, 12312, 4, 1474840800, 1, 169, 1475252134, NULL, NULL, 0),
(75097, 169, 12312, 4, 1474927200, 1, 169, 1475252142, NULL, NULL, 0),
(75098, 169, 12312, 5, 1475013600, 1, 169, 1475252153, NULL, NULL, 0),
(75099, 169, 12312, 5, 1475100000, 1, 169, 1475252161, NULL, NULL, 0),
(75100, 169, 12312, 5, 1475186400, 1, 169, 1475252173, NULL, NULL, 0),
(75102, 246, 14261, 5, 1475013600, 0.5, 246, 1475263923, NULL, NULL, 0),
(75103, 246, 14262, 5, 1475013600, 0.5, 246, 1475263969, NULL, NULL, 0),
(75104, 74, 2089, 1, 1474927200, 0.2, 74, 1475474912, NULL, NULL, 0),
(75105, 74, 11178, 6, 1474927200, 0.8, 74, 1475474970, NULL, NULL, 0),
(75106, 74, 11178, 6, 1475013600, 1, 74, 1475474986, NULL, NULL, 0),
(75107, 74, 11178, 6, 1475100000, 0.5, 74, 1475475003, NULL, NULL, 0),
(75108, 74, 14013, 4, 1475186400, 0.2, 74, 1475475046, NULL, NULL, 0),
(75109, 74, 11178, 6, 1475186400, 0.8, 74, 1475475067, NULL, NULL, 0),
(75267, 134, 13774, 7, 1474927200, 1, 134, 1475482390, NULL, NULL, 0),
(75268, 134, 13774, 7, 1475013600, 1, 134, 1475482409, NULL, NULL, 0),
(75269, 134, 13774, 7, 1475100000, 0.5, 134, 1475482427, NULL, NULL, 0),
(75270, 134, 8454, 4, 1475100000, 0.5, 134, 1475482460, NULL, NULL, 0),
(75271, 134, 8454, 4, 1475186400, 1, 134, 1475482477, NULL, NULL, 0),
(75305, 72, 23791, 1, 1475445600, 1, 72, 1475485838, NULL, NULL, 0),
(75306, 199, 13541, 27, 1475445600, 0.25, 199, 1475486537, NULL, NULL, 0),
(75307, 199, 14540, 5, 1475445600, 0.5, 199, 1475486572, NULL, NULL, 0),
(75315, 205, 14278, 4, 1474495200, 1, 205, 1475488148, NULL, NULL, 0),
(75316, 205, 10399, 27, 1474581600, 0.5, 205, 1475488209, NULL, NULL, 0),
(75313, 205, 10400, 4, 1474408800, 1, 205, 1475488110, NULL, NULL, 0),
(75317, 205, 10400, 4, 1474581600, 0.5, 205, 1475488232, NULL, NULL, 0),
(75318, 205, 4857, 1, 1474840800, 0.5, 205, 1475488539, NULL, NULL, 0),
(75319, 205, 4857, 1, 1474927200, 0.5, 205, 1475488550, NULL, NULL, 0),
(75320, 205, 2, 1, 1474840800, 0.25, 205, 1475488588, NULL, NULL, 0),
(75330, 205, 14593, 2, 1475013600, 0.25, 205, 1475492922, NULL, NULL, 0),
(75331, 205, 14594, 4, 1475186400, 1, 205, 1475493020, NULL, NULL, 0),
(75332, 205, 14289, 5, 1474840800, 0.25, 205, 1475493073, NULL, NULL, 0),
(75333, 205, 14595, 4, 1474927200, 0.25, 205, 1475493147, NULL, NULL, 0),
(75334, 205, 14596, 4, 1474927200, 0.25, 205, 1475493212, NULL, NULL, 0),
(75335, 205, 14596, 4, 1475013600, 0.75, 205, 1475493280, NULL, NULL, 0),
(75336, 205, 14069, 2, 1475445600, 0.5, 205, 1475493314, NULL, NULL, 0),
(75337, 212, 13002, 6, 1474927200, 1, 212, 1475495095, NULL, NULL, 0),
(75338, 212, 13002, 6, 1475013600, 1, 212, 1475495110, NULL, NULL, 0),
(75339, 212, 13002, 6, 1475100000, 1, 212, 1475495128, NULL, NULL, 0),
(75340, 212, 13002, 6, 1475186400, 1, 212, 1475495145, NULL, NULL, 0),
(75341, 212, 13002, 6, 1475445600, 1, 212, 1475495172, NULL, NULL, 0),
(75361, 48, 2, 1, 1475100000, 1, 48, 1475499060, NULL, NULL, 0),
(75362, 48, 2, 1, 1475186400, 1, 48, 1475499066, NULL, NULL, 0),
(75370, 48, 2, 1, 1475704800, 1, 48, 1475499127, NULL, NULL, 0),
(75371, 48, 2, 1, 1475791200, 1, 48, 1475499132, NULL, NULL, 0),
(75387, 48, 2, 1, 1476309600, 1, 48, 1475499595, NULL, NULL, 0),
(75388, 48, 2, 1, 1476396000, 1, 48, 1475499599, NULL, NULL, 0),
(75395, 48, 2, 1, 1476914400, 1, 48, 1475499687, NULL, NULL, 0),
(75396, 48, 2, 1, 1477000800, 1, 48, 1475499690, NULL, NULL, 0),
(78915, 48, 2, 1, 1477868400, 1, 177, 1477485668, NULL, NULL, 0),
(75404, 48, 2, 1, 1478127600, 1, 48, 1475499770, NULL, NULL, 0),
(75405, 48, 2, 1, 1478214000, 1, 48, 1475499773, NULL, NULL, 0),
(75406, 48, 2, 1, 1478732400, 1, 48, 1475499791, NULL, NULL, 0),
(75432, 217, 14596, 6, 1475445600, 1, 217, 1475504905, NULL, NULL, 0),
(75451, 2, 23791, 1, 1475445600, 0.25, 2, 1475512644, NULL, NULL, 0),
(75452, 2, 13541, 17, 1475445600, 0.75, 2, 1475512690, NULL, NULL, 0),
(75453, 147, 12309, 5, 1475532000, 1, 147, 1475559179, NULL, NULL, 0),
(75454, 147, 12309, 5, 1475445600, 1, 147, 1475559201, NULL, NULL, 0),
(75455, 199, 14608, 2, 1475445600, 0.25, 199, 1475561414, NULL, NULL, 0),
(75639, 246, 14262, 6, 1475532000, 1, 246, 1475657107, NULL, NULL, 0),
(75460, 72, 14329, 4, 1475532000, 0.5, 72, 1475568188, NULL, NULL, 0),
(75459, 74, 1, 1, 1475532000, 0.5, 74, 1475567185, NULL, NULL, 0),
(75461, 72, 23791, 1, 1475532000, 0.5, 72, 1475568206, NULL, NULL, 0),
(75464, 72, 2, 1, 1477000800, 1, 72, 1475568782, NULL, NULL, 0),
(75478, 158, 12311, 27, 1475532000, 0.1, 158, 1475572319, NULL, NULL, 0),
(75479, 158, 12311, 27, 1475532000, 0.05, 158, 1475572335, NULL, NULL, 0),
(75482, 158, 12311, 5, 1475532000, 0.8, 158, 1475572433, NULL, NULL, 0),
(75481, 158, 12311, 5, 1475445600, 0.5, 158, 1475572389, NULL, NULL, 0),
(75483, 158, 12311, 5, 1475532000, 0.05, 158, 1475572450, NULL, NULL, 0),
(75484, 217, 14278, 18, 1475532000, 0.1, 217, 1475574243, NULL, NULL, 0),
(75485, 217, 14278, 7, 1475532000, 0.25, 217, 1475574398, NULL, NULL, 0),
(75486, 217, 11115, 7, 1475532000, 0.25, 217, 1475574408, NULL, NULL, 0),
(75529, 2, 13541, 17, 1475532000, 0.25, 2, 1475589023, NULL, NULL, 0),
(75574, 134, 8454, 7, 1475532000, 1, 134, 1475595855, NULL, NULL, 0),
(75575, 134, 13774, 7, 1475445600, 0.3, 134, 1475595909, NULL, NULL, 0),
(75576, 134, 8454, 7, 1475445600, 0.7, 134, 1475595920, NULL, NULL, 0),
(75588, 169, 12312, 5, 1475445600, 1, 169, 1475598327, NULL, NULL, 0),
(75589, 169, 14329, 4, 1475532000, 1, 169, 1475598394, NULL, NULL, 0),
(75590, 157, 14473, 7, 1475445600, 1, 157, 1475645039, NULL, NULL, 0),
(75591, 157, 14545, 4, 1475532000, 0.5, 157, 1475645078, NULL, NULL, 0),
(75592, 157, 14548, 4, 1475532000, 0.5, 157, 1475645187, NULL, NULL, 0),
(75593, 157, 14036, 5, 1475618400, 1, 157, 1475645225, NULL, NULL, 0),
(75594, 157, 2, 1, 1486940400, 1, 157, 1475645317, NULL, NULL, 0),
(75595, 157, 2, 1, 1487026800, 1, 157, 1475645318, NULL, NULL, 0),
(75596, 157, 2, 1, 1487113200, 1, 157, 1475645318, NULL, NULL, 0),
(75597, 157, 2, 1, 1487199600, 1, 157, 1475645318, NULL, NULL, 0),
(75598, 157, 2, 1, 1487286000, 1, 157, 1475645318, NULL, NULL, 0),
(75816, 205, 10400, 4, 1475618400, 0.5, 205, 1475760276, NULL, NULL, 0),
(75638, 246, 14262, 5, 1475445600, 1, 246, 1475657038, NULL, NULL, 0),
(75670, 147, 14165, 5, 1475618400, 0.5, 147, 1475679848, NULL, NULL, 0),
(75671, 147, 12309, 5, 1475618400, 0.5, 147, 1475680188, NULL, NULL, 0),
(75687, 72, 23791, 1, 1475618400, 0.8, 72, 1475734215, NULL, NULL, 0),
(75805, 72, 14329, 4, 1475704800, 0.5, 72, 1475756337, NULL, NULL, 0),
(75686, 72, 2089, 1, 1475618400, 0.2, 72, 1475734195, NULL, NULL, 0),
(75690, 246, 14262, 6, 1475618400, 1, 246, 1475736625, NULL, NULL, 0),
(75747, 199, 14258, 2, 1475532000, 0.05, 199, 1475743525, NULL, NULL, 0),
(75806, 72, 23791, 1, 1475704800, 0.5, 72, 1475756346, NULL, NULL, 0),
(75812, 157, 14036, 5, 1475704800, 0.5, 157, 1475759254, NULL, NULL, 0),
(75813, 157, 12820, 5, 1475704800, 0.5, 157, 1475759278, NULL, NULL, 0),
(75814, 205, 10400, 4, 1475445600, 0.5, 205, 1475760214, NULL, NULL, 0),
(75817, 205, 4857, 1, 1475618400, 0.5, 205, 1475760323, NULL, NULL, 0),
(75818, 205, 14069, 2, 1475532000, 0.5, 205, 1475760396, NULL, NULL, 0),
(75820, 205, 8454, 4, 1475532000, 0.5, 205, 1475760435, NULL, NULL, 0),
(75822, 205, 4857, 1, 1475704800, 0.25, 205, 1475760446, NULL, NULL, 0),
(75823, 205, 8454, 4, 1475704800, 0.25, 205, 1475760461, NULL, NULL, 0),
(75824, 205, 10400, 4, 1475704800, 0.5, 205, 1475760475, NULL, NULL, 0),
(75836, 168, 12137, 4, 1472680800, 1, 168, 1475762299, NULL, NULL, 0),
(75837, 147, 12790, 7, 1475704800, 0.5, 147, 1475762311, NULL, NULL, 0),
(75880, 168, 2, 1, 1472767200, 1, 168, 1475764490, NULL, NULL, 0),
(75844, 168, 13258, 5, 1473026400, 1, 168, 1475762440, NULL, NULL, 0),
(75845, 168, 13258, 5, 1473112800, 1, 168, 1475762462, NULL, NULL, 0),
(75883, 168, 1, 1, 1473199200, 0.5, 168, 1475764620, NULL, NULL, 0),
(75884, 168, 1, 1, 1473285600, 0.5, 168, 1475764629, NULL, NULL, 0),
(75851, 168, 1, 1, 1473631200, 1, 168, 1475762735, NULL, NULL, 0),
(75852, 168, 1, 1, 1473717600, 1, 168, 1475762736, NULL, NULL, 0),
(75856, 168, 14642, 5, 1473804000, 1, 168, 1475763311, NULL, NULL, 0),
(75864, 168, 14642, 5, 1474236000, 0.5, 168, 1475763497, NULL, NULL, 0),
(75861, 168, 14642, 5, 1473890400, 1, 168, 1475763368, NULL, NULL, 0),
(75865, 168, 14642, 5, 1474322400, 1, 168, 1475763530, NULL, NULL, 0),
(75904, 168, 14642, 5, 1474408800, 1, 168, 1475765058, NULL, NULL, 0),
(75868, 168, 1, 1, 1474236000, 0.5, 168, 1475763595, NULL, NULL, 0),
(75905, 168, 14642, 5, 1474495200, 1, 168, 1475765077, NULL, NULL, 0),
(75898, 168, 12137, 4, 1473976800, 1, 168, 1475764897, NULL, NULL, 0),
(75886, 168, 2, 1, 1473372000, 1, 168, 1475764648, NULL, NULL, 0),
(75896, 168, 13258, 5, 1473285600, 0.5, 168, 1475764750, NULL, NULL, 0),
(75895, 168, 13258, 5, 1473199200, 0.5, 168, 1475764738, NULL, NULL, 0),
(75911, 168, 14594, 4, 1474840800, 1, 168, 1475765330, NULL, NULL, 0),
(75907, 168, 14642, 5, 1474581600, 1, 168, 1475765127, NULL, NULL, 0),
(75910, 168, 14594, 4, 1474927200, 1, 168, 1475765295, NULL, NULL, 0),
(75913, 168, 14644, 5, 1475013600, 1, 168, 1475765419, NULL, NULL, 0),
(75914, 168, 14644, 5, 1475100000, 1, 168, 1475765443, NULL, NULL, 0),
(75915, 168, 14644, 5, 1475186400, 1, 168, 1475765459, NULL, NULL, 0),
(75916, 168, 14645, 5, 1475704800, 0.5, 168, 1475765582, NULL, NULL, 0),
(75917, 168, 14643, 5, 1475445600, 1, 168, 1475765632, NULL, NULL, 0),
(75918, 168, 14643, 5, 1475532000, 1, 168, 1475765648, NULL, NULL, 0),
(75919, 168, 14643, 5, 1475618400, 1, 168, 1475765667, NULL, NULL, 0),
(75920, 168, 14643, 5, 1475704800, 0.5, 168, 1475765701, NULL, NULL, 0),
(75967, 199, 14705, 2, 1475704800, 0.25, 199, 1475821850, NULL, NULL, 0),
(75969, 199, 14608, 2, 1475704800, 0.25, 199, 1475821866, NULL, NULL, 0),
(75971, 199, 14705, 5, 1475532000, 0.5, 199, 1475821898, NULL, NULL, 0),
(75974, 199, 14705, 2, 1475618400, 0.25, 199, 1475821960, NULL, NULL, 0),
(75975, 199, 14622, 2, 1475618400, 0.25, 199, 1475821978, NULL, NULL, 0),
(75980, 199, 14622, 5, 1475704800, 0.5, 199, 1475822702, NULL, NULL, 0),
(75981, 199, 14259, 4, 1475618400, 0.5, 199, 1475822880, NULL, NULL, 0),
(75982, 199, 12820, 2, 1475532000, 0.4, 199, 1475823028, NULL, NULL, 0),
(75983, 199, 12820, 2, 1475532000, 0.05, 199, 1475823040, NULL, NULL, 0),
(75984, 147, 12791, 5, 1475791200, 0.5, 147, 1475823162, NULL, NULL, 0),
(75985, 147, 12309, 5, 1475791200, 0.5, 147, 1475823192, NULL, NULL, 0),
(75987, 147, 2, 1, 1479164400, 1, 147, 1475823784, NULL, NULL, 0),
(76023, 217, 1041, 1, 1475618400, 1, 72, 1475828372, NULL, NULL, 0),
(76024, 217, 1041, 1, 1475704800, 1, 72, 1475828372, NULL, NULL, 0),
(76025, 217, 1041, 1, 1475791200, 1, 72, 1475828372, NULL, NULL, 0),
(76026, 72, 23791, 1, 1475791200, 0.5, 72, 1475828398, NULL, NULL, 0),
(76027, 72, 14329, 4, 1475791200, 0.5, 72, 1475828420, NULL, NULL, 0),
(76033, 164, 11032, 18, 1475618400, 1, 164, 1475833407, NULL, NULL, 0),
(76035, 164, 8395, 18, 1475704800, 0.75, 164, 1475833435, NULL, NULL, 0),
(76036, 164, 6967, 18, 1475704800, 0.25, 164, 1475833479, NULL, NULL, 0),
(76037, 164, 11032, 18, 1475791200, 1, 164, 1475833503, NULL, NULL, 0),
(76095, 2, 1435, 1, 1475791200, 0.5, 2, 1475851325, NULL, NULL, 0),
(76096, 2, 23791, 1, 1475791200, 0.25, 2, 1475851339, NULL, NULL, 0),
(76097, 2, 13541, 17, 1475704800, 0.5, 2, 1475851356, NULL, NULL, 0),
(76099, 2, 1435, 1, 1475618400, 0.25, 2, 1475851414, NULL, NULL, 0),
(76100, 2, 13541, 17, 1475618400, 0.75, 2, 1475851434, NULL, NULL, 0),
(76102, 2, 23791, 1, 1475532000, 0.25, 2, 1475851446, NULL, NULL, 0),
(76104, 199, 14722, 5, 1475791200, 0.5, 199, 1475851720, NULL, NULL, 0),
(76106, 212, 13002, 6, 1475532000, 1, 212, 1475851823, NULL, NULL, 0),
(76107, 212, 13002, 6, 1475618400, 1, 212, 1475851839, NULL, NULL, 0),
(76108, 212, 13002, 6, 1475704800, 1, 212, 1475851853, NULL, NULL, 0),
(76109, 212, 13002, 6, 1475791200, 1, 212, 1475851865, NULL, NULL, 0),
(76114, 146, 10623, 4, 1475445600, 1, 146, 1475853201, NULL, NULL, 0),
(76115, 146, 10623, 4, 1475532000, 1, 146, 1475853223, NULL, NULL, 0),
(76146, 146, 14791, 4, 1475791200, 1, 72, 1476081075, NULL, NULL, 0),
(76145, 146, 14791, 4, 1475704800, 1, 72, 1476081052, NULL, NULL, 0),
(76134, 2, 13541, 17, 1475791200, 0.25, 2, 1475967751, NULL, NULL, 0),
(76135, 74, 11178, 27, 1475445600, 0.2, 74, 1476078118, NULL, NULL, 0),
(76136, 74, 14244, 5, 1475445600, 0.8, 74, 1476078249, NULL, NULL, 0),
(76137, 74, 14244, 5, 1475532000, 0.5, 74, 1476078287, NULL, NULL, 0),
(76138, 74, 14244, 5, 1475618400, 1, 74, 1476078311, NULL, NULL, 0),
(76139, 74, 14244, 5, 1475704800, 0.5, 74, 1476078333, NULL, NULL, 0),
(76141, 74, 11178, 6, 1475704800, 0.5, 74, 1476078371, NULL, NULL, 0),
(77163, 74, 14245, 7, 1475791200, 1, 74, 1476431822, NULL, NULL, 0),
(76143, 74, 1, 1, 1476136800, 0.5, 74, 1476078422, NULL, NULL, 0),
(76149, 146, 14708, 5, 1475618400, 1, 72, 1476081297, NULL, NULL, 0),
(76207, 72, 23791, 1, 1476050400, 0.5, 72, 1476088260, NULL, NULL, 0),
(76230, 168, 1, 1, 1476050400, 0.5, 168, 1476092025, NULL, NULL, 0),
(76231, 168, 1, 1, 1476223200, 0.5, 168, 1476092084, NULL, NULL, 0),
(76232, 168, 1, 1, 1476396000, 0.2, 168, 1476092154, NULL, NULL, 0),
(76233, 2, 14797, 4, 1476050400, 0.5, 2, 1476093887, NULL, NULL, 0),
(76241, 205, 8454, 4, 1475791200, 0.75, 205, 1476101902, NULL, NULL, 0),
(76248, 205, 14800, 4, 1475791200, 0.25, 205, 1476102041, NULL, NULL, 0),
(76252, 205, 14801, 4, 1476050400, 0.25, 205, 1476102140, NULL, NULL, 0),
(76255, 205, 4857, 1, 1476050400, 0.25, 205, 1476102172, NULL, NULL, 0),
(76286, 217, 14278, 6, 1476050400, 0.5, 217, 1476106677, NULL, NULL, 0),
(76287, 217, 11115, 6, 1476050400, 0.5, 217, 1476106704, NULL, NULL, 0),
(76481, 134, 13774, 7, 1476050400, 0.5, 134, 1476174330, NULL, NULL, 0),
(76482, 134, 12304, 7, 1476050400, 0.5, 134, 1476174442, NULL, NULL, 0),
(76483, 134, 12304, 7, 1476136800, 0.5, 134, 1476174464, NULL, NULL, 0),
(76491, 199, 2089, 1, 1476136800, 0.25, 199, 1476174793, NULL, NULL, 0),
(76495, 246, 14720, 5, 1476050400, 0.5, 246, 1476174878, NULL, NULL, 0),
(76496, 246, 14720, 6, 1476050400, 0.5, 246, 1476174896, NULL, NULL, 0),
(76511, 205, 8454, 4, 1476136800, 0.5, 205, 1476175506, NULL, NULL, 0),
(76513, 205, 4857, 1, 1476136800, 0.25, 205, 1476175534, NULL, NULL, 0),
(76512, 205, 8454, 4, 1476050400, 0.5, 205, 1476175521, NULL, NULL, 0),
(76534, 72, 14329, 4, 1476050400, 0.5, 72, 1476180022, NULL, NULL, 0),
(76535, 72, 23791, 1, 1476136800, 1, 72, 1476180030, NULL, NULL, 0),
(76556, 2, 14266, 4, 1476136800, 0.5, 2, 1476193095, NULL, NULL, 0),
(76624, 147, 14165, 6, 1476223200, 0.2, 147, 1476251856, NULL, NULL, 0),
(76625, 147, 14165, 6, 1476050400, 0.1, 147, 1476251889, NULL, NULL, 0),
(76626, 147, 14165, 6, 1476136800, 0.2, 147, 1476251915, NULL, NULL, 0),
(77050, 147, 12791, 5, 1476050400, 0.9, 147, 1476371982, NULL, NULL, 0),
(77052, 147, 12791, 5, 1476136800, 0.8, 147, 1476372090, NULL, NULL, 0),
(77051, 147, 14059, 7, 1476223200, 0.8, 147, 1476372049, NULL, NULL, 0),
(76643, 217, 14278, 6, 1476136800, 0.5, 217, 1476262297, NULL, NULL, 0),
(76644, 217, 11115, 6, 1476136800, 0.5, 217, 1476262306, NULL, NULL, 0),
(76646, 217, 14817, 4, 1476223200, 0.5, 217, 1476262439, NULL, NULL, 0),
(76671, 72, 2089, 1, 1476223200, 0.4, 72, 1476277488, NULL, NULL, 0),
(76672, 72, 23791, 1, 1476223200, 0.6, 72, 1476277505, NULL, NULL, 0),
(78453, 199, 14714, 4, 1476655200, 0.5, 199, 1477056237, NULL, NULL, 0),
(76812, 205, 4857, 1, 1476136800, 0.25, 205, 1476294590, NULL, NULL, 0),
(76813, 205, 13775, 4, 1476223200, 0.25, 205, 1476294628, NULL, NULL, 0),
(76814, 205, 8454, 4, 1476223200, 0.5, 205, 1476294645, NULL, NULL, 0),
(76815, 205, 14820, 4, 1476223200, 0.25, 205, 1476294785, NULL, NULL, 0),
(76828, 217, 14817, 4, 1476223200, 0.5, 217, 1476342823, NULL, NULL, 0),
(76829, 217, 14278, 7, 1476309600, 0.5, 217, 1476342857, NULL, NULL, 0),
(84842, 217, 14817, 18, 1481497200, 0.05, 217, 1481554487, NULL, NULL, 0),
(84840, 217, 15832, 7, 1481583600, 0.5, 217, 1481554421, NULL, NULL, 0),
(84837, 217, 4857, 1, 1481497200, 0.3, 217, 1481553534, NULL, NULL, 0),
(84838, 217, 11115, 18, 1481497200, 0.05, 217, 1481554373, NULL, NULL, 0),
(84839, 217, 13775, 18, 1481497200, 0.05, 217, 1481554393, NULL, NULL, 0),
(76969, 158, 2, 1, 1498428000, 1, 158, 1476357415, NULL, NULL, 0),
(79335, 246, 10598, 5, 1477868400, 0.2, 246, 1477930060, NULL, NULL, 0),
(79334, 246, 15195, 5, 1477868400, 0.7, 246, 1477930031, NULL, NULL, 0),
(77032, 168, 14643, 5, 1476309600, 1, 168, 1476370080, NULL, NULL, 0),
(77033, 168, 14643, 5, 1476050400, 0.5, 168, 1476370121, NULL, NULL, 0),
(77034, 168, 14643, 5, 1476136800, 1, 168, 1476370142, NULL, NULL, 0),
(77035, 168, 14643, 5, 1475791200, 1, 168, 1476370181, NULL, NULL, 0),
(77036, 168, 14643, 5, 1476223200, 0.5, 168, 1476370206, NULL, NULL, 0),
(77037, 168, 1, 1, 1433973600, 1, 168, 1476370321, NULL, NULL, 0),
(77053, 147, 14165, 6, 1476309600, 0.2, 147, 1476372108, NULL, NULL, 0),
(77048, 147, 14059, 7, 1476309600, 0.5, 147, 1476371807, NULL, NULL, 0),
(77049, 147, 12791, 5, 1476309600, 0.3, 147, 1476371865, NULL, NULL, 0),
(77058, 72, 23791, 1, 1476309600, 0.5, 72, 1476372751, NULL, NULL, 0),
(77061, 72, 14329, 4, 1476309600, 0.5, 72, 1476372813, NULL, NULL, 0),
(77231, 205, 8454, 4, 1476309600, 1, 205, 1476435444, NULL, NULL, 0),
(77107, 147, 14060, 5, 1476396000, 1, 147, 1476423414, NULL, NULL, 0),
(77152, 134, 8454, 4, 1476136800, 0.5, 134, 1476430861, NULL, NULL, 0),
(77153, 134, 8454, 4, 1476223200, 1, 134, 1476430876, NULL, NULL, 0),
(77154, 134, 8454, 4, 1476309600, 1, 134, 1476430901, NULL, NULL, 0),
(77155, 134, 8454, 4, 1476396000, 0.5, 134, 1476430921, NULL, NULL, 0),
(77156, 134, 13774, 7, 1476396000, 0.5, 134, 1476430964, NULL, NULL, 0),
(77157, 72, 23791, 1, 1476396000, 0.5, 72, 1476431250, NULL, NULL, 0),
(77158, 72, 14329, 4, 1476396000, 0.5, 72, 1476431270, NULL, NULL, 0),
(77169, 74, 14717, 4, 1476309600, 0.8, 74, 1476432564, NULL, NULL, 0),
(77164, 74, 14245, 7, 1476223200, 1, 74, 1476431860, NULL, NULL, 0),
(77165, 74, 14247, 4, 1476136800, 0.25, 74, 1476431989, NULL, NULL, 0),
(77166, 74, 14246, 5, 1476136800, 0.25, 74, 1476432015, NULL, NULL, 0),
(77167, 74, 14253, 5, 1476309600, 0.2, 74, 1476432242, NULL, NULL, 0),
(77194, 157, 2, 1, 1477868400, 1, 157, 1476433239, NULL, NULL, 0),
(77215, 157, 1, 1, 1476136800, 0.5, 157, 1476434037, NULL, NULL, 0),
(77241, 158, 8454, 27, 1476309600, 1, 158, 1476436371, NULL, NULL, 0),
(77242, 158, 8454, 27, 1476396000, 0.25, 158, 1476436392, NULL, NULL, 0),
(77244, 158, 8454, 27, 1476223200, 0.2, 158, 1476436420, NULL, NULL, 0),
(77250, 158, 13774, 4, 1476050400, 0.5, 158, 1476436598, NULL, NULL, 0),
(77252, 158, 8454, 4, 1476223200, 0.8, 158, 1476436659, NULL, NULL, 0),
(77262, 212, 14150, 6, 1476050400, 1, 212, 1476437008, NULL, NULL, 0),
(77308, 146, 14791, 5, 1476396000, 1, 146, 1476450529, NULL, NULL, 0),
(77304, 146, 14791, 4, 1476050400, 1, 146, 1476450467, NULL, NULL, 0),
(77305, 146, 14791, 4, 1476136800, 1, 146, 1476450479, NULL, NULL, 0),
(77306, 146, 14791, 4, 1476223200, 1, 146, 1476450493, NULL, NULL, 0),
(77307, 146, 14791, 5, 1476309600, 1, 146, 1476450508, NULL, NULL, 0),
(77309, 164, 1435, 1, 1476050400, 1, 164, 1476452239, NULL, NULL, 0),
(77310, 164, 1435, 1, 1476223200, 1, 164, 1476452246, NULL, NULL, 0),
(77311, 164, 11032, 18, 1476136800, 1, 164, 1476452270, NULL, NULL, 0),
(77313, 158, 8454, 4, 1476396000, 0.75, 158, 1476453215, NULL, NULL, 0),
(77314, 158, 8454, 4, 1476136800, 1, 158, 1476453246, NULL, NULL, 0),
(77323, 164, 6967, 18, 1476309600, 0.7, 164, 1476456307, NULL, NULL, 0),
(77324, 164, 1435, 1, 1476309600, 0.3, 164, 1476456320, NULL, NULL, 0),
(77325, 164, 8395, 17, 1476396000, 0.7, 164, 1476456346, NULL, NULL, 0),
(77326, 164, 1435, 1, 1476396000, 0.3, 164, 1476456378, NULL, NULL, 0),
(77327, 205, 8454, 4, 1476396000, 1, 205, 1476456452, NULL, NULL, 0),
(77328, 169, 14329, 4, 1476050400, 1, 169, 1476463273, NULL, NULL, 0),
(77329, 169, 14329, 4, 1476136800, 1, 169, 1476463285, NULL, NULL, 0),
(77330, 169, 14329, 4, 1476223200, 1, 169, 1476463293, NULL, NULL, 0),
(77331, 169, 14329, 4, 1476309600, 1, 169, 1476463299, NULL, NULL, 0),
(77332, 169, 14329, 4, 1476396000, 1, 169, 1476463307, NULL, NULL, 0),
(77541, 199, 14705, 5, 1476050400, 0.75, 199, 1476684599, NULL, NULL, 0),
(77551, 199, 14719, 4, 1476136800, 0.3, 199, 1476684762, NULL, NULL, 0),
(77552, 199, 14259, 4, 1476050400, 0.25, 199, 1476684840, NULL, NULL, 0),
(77555, 199, 14243, 4, 1476136800, 0.05, 199, 1476684906, NULL, NULL, 0),
(77554, 199, 14243, 4, 1476136800, 0.4, 199, 1476684880, NULL, NULL, 0),
(77556, 74, 14717, 2, 1476396000, 1, 74, 1476685966, NULL, NULL, 0),
(77564, 246, 14709, 5, 1476136800, 1, 246, 1476688783, NULL, NULL, 0),
(77565, 246, 14709, 5, 1476223200, 1, 246, 1476688881, NULL, NULL, 0),
(77615, 217, 14278, 6, 1476655200, 0.5, 217, 1476696147, NULL, NULL, 0),
(77611, 217, 8454, 7, 1476309600, 0.5, 217, 1476696118, NULL, NULL, 0),
(77608, 217, 8454, 7, 1476655200, 0.5, 217, 1476696079, NULL, NULL, 0),
(77623, 217, 2, 1, 1479078000, 1, 217, 1476696338, NULL, NULL, 0),
(77624, 217, 2, 1, 1479164400, 1, 217, 1476696338, NULL, NULL, 0),
(77625, 217, 2, 1, 1479250800, 1, 217, 1476696338, NULL, NULL, 0),
(77626, 217, 2, 1, 1479337200, 1, 217, 1476696338, NULL, NULL, 0),
(77627, 217, 2, 1, 1479423600, 1, 217, 1476696338, NULL, NULL, 0),
(77630, 217, 2, 1, 1477868400, 1, 217, 1476696402, NULL, NULL, 0),
(77632, 217, 2, 1, 1482361200, 1, 217, 1476696452, NULL, NULL, 0),
(77633, 217, 2, 1, 1482447600, 1, 217, 1476696453, NULL, NULL, 0),
(77634, 217, 2, 1, 1482706800, 1, 217, 1476696453, NULL, NULL, 0),
(77635, 217, 2, 1, 1482793200, 1, 217, 1476696453, NULL, NULL, 0),
(77636, 217, 2, 1, 1482879600, 1, 217, 1476696453, NULL, NULL, 0),
(77637, 217, 2, 1, 1482966000, 1, 217, 1476696453, NULL, NULL, 0),
(77638, 217, 2, 1, 1483052400, 1, 217, 1476696453, NULL, NULL, 0),
(77661, 212, 14150, 6, 1476136800, 0.5, 212, 1476706558, NULL, NULL, 0),
(77662, 212, 12791, 6, 1476136800, 0.5, 212, 1476706635, NULL, NULL, 0),
(77663, 212, 12791, 6, 1476223200, 0.5, 212, 1476706656, NULL, NULL, 0),
(77758, 147, 14060, 5, 1476655200, 1, 147, 1476718100, NULL, NULL, 0),
(77704, 212, 14716, 4, 1476223200, 0.5, 212, 1476710098, NULL, NULL, 0),
(77706, 212, 12791, 6, 1476309600, 0.5, 212, 1476710223, NULL, NULL, 0),
(77707, 212, 14013, 4, 1476309600, 0.5, 212, 1476710297, NULL, NULL, 0),
(77708, 212, 14013, 4, 1476396000, 0.5, 212, 1476710356, NULL, NULL, 0),
(77709, 212, 12791, 6, 1476396000, 0.5, 212, 1476710377, NULL, NULL, 0),
(77714, 246, 14709, 5, 1476655200, 0.5, 246, 1476889952, NULL, NULL, 0),
(77715, 246, 14715, 5, 1476655200, 0.5, 246, 1476715473, NULL, NULL, 0),
(77761, 2, 23791, 1, 1476655200, 0.25, 2, 1476730791, NULL, NULL, 0),
(77762, 2, 14266, 7, 1476655200, 0.5, 2, 1476730836, NULL, NULL, 0),
(78307, 2, 1435, 1, 1476655200, 0.25, 2, 1477037871, NULL, NULL, 0),
(77797, 217, 15064, 6, 1476741600, 0.5, 217, 1476776892, NULL, NULL, 0),
(77810, 72, 1, 1, 1477605600, 1, 72, 1476781946, NULL, NULL, 0),
(77811, 72, 23791, 1, 1476655200, 1, 72, 1476783618, NULL, NULL, 0),
(77812, 72, 23791, 1, 1476741600, 1, 72, 1476783629, NULL, NULL, 0),
(77950, 217, 10395, 7, 1476741600, 0.2, 217, 1476880922, NULL, NULL, 0),
(78601, 199, 14259, 2, 1476828000, 0.25, 199, 1477299164, NULL, NULL, 0),
(77829, 217, 10395, 18, 1476741600, 0.05, 217, 1476794126, NULL, NULL, 0),
(77830, 217, 10397, 18, 1476741600, 0.05, 217, 1476794138, NULL, NULL, 0),
(77842, 157, 13786, 4, 1476741600, 0.5, 157, 1476797244, NULL, NULL, 0),
(77843, 157, 14827, 4, 1476741600, 0.5, 157, 1476797294, NULL, NULL, 0),
(77848, 164, 1435, 1, 1476741600, 0.5, 164, 1476799300, NULL, NULL, 0),
(77849, 164, 1435, 1, 1476655200, 0.5, 164, 1476799306, NULL, NULL, 0),
(77846, 157, 15069, 4, 1476655200, 0.5, 157, 1476797647, NULL, NULL, 0),
(77847, 157, 15068, 6, 1476655200, 0.5, 157, 1476797684, NULL, NULL, 0),
(77850, 164, 9951, 18, 1476655200, 0.5, 164, 1476799328, NULL, NULL, 0),
(77851, 164, 8395, 18, 1476741600, 0.5, 164, 1476799347, NULL, NULL, 0),
(77856, 246, 14715, 5, 1476741600, 0.5, 246, 1476889933, NULL, NULL, 0),
(77857, 246, 14813, 4, 1476741600, 0.5, 246, 1476806956, NULL, NULL, 0),
(77858, 2, 14266, 7, 1476741600, 0.5, 2, 1476816334, NULL, NULL, 0),
(77859, 2, 14791, 4, 1476741600, 0.5, 2, 1476816443, NULL, NULL, 0),
(77860, 2, 23791, 1, 1476050400, 0.5, 2, 1476818295, NULL, NULL, 0),
(77873, 164, 1, 1, 1477432800, 1, 164, 1476864947, NULL, NULL, 0),
(77874, 164, 1, 1, 1477519200, 1, 164, 1476864956, NULL, NULL, 0),
(77896, 72, 23791, 1, 1476828000, 1, 72, 1476869169, NULL, NULL, 0),
(77949, 217, 10397, 7, 1476741600, 0.2, 217, 1476880905, NULL, NULL, 0),
(77952, 217, 14593, 7, 1476828000, 0.5, 217, 1476880985, NULL, NULL, 0),
(77954, 168, 14644, 5, 1476741600, 1, 168, 1476881231, NULL, NULL, 0),
(77957, 168, 14718, 5, 1477000800, 1, 168, 1476882613, NULL, NULL, 0),
(77958, 168, 1436, 1, 1476914400, 1, 168, 1476882640, NULL, NULL, 0),
(77964, 2, 1435, 1, 1476828000, 0.75, 2, 1476883613, NULL, NULL, 0),
(77975, 2, 15256, 4, 1476828000, 0.25, 2, 1476885542, NULL, NULL, 0),
(77979, 147, 14060, 5, 1476828000, 1, 147, 1476885757, NULL, NULL, 0),
(77978, 147, 14060, 5, 1476741600, 1, 147, 1476885740, NULL, NULL, 0),
(78791, 74, 1, 1, 1477519200, 0.5, 74, 1477461851, NULL, NULL, 0),
(77989, 246, 14813, 5, 1476828000, 1, 246, 1476889867, NULL, NULL, 0),
(78007, 168, 14643, 5, 1476396000, 0.8, 168, 1476890088, NULL, NULL, 0),
(78592, 199, 15162, 4, 1477000800, 1, 199, 1477298786, NULL, NULL, 0),
(78028, 199, 2089, 1, 1476655200, 0.25, 199, 1476942614, NULL, NULL, 0),
(78029, 199, 2089, 1, 1476741600, 0.25, 199, 1476942621, NULL, NULL, 0),
(78030, 199, 2089, 1, 1476828000, 0.25, 199, 1476942625, NULL, NULL, 0),
(78050, 217, 15064, 6, 1476914400, 0.5, 217, 1476948367, NULL, NULL, 0),
(78219, 158, 13774, 4, 1476655200, 0.5, 158, 1476965024, NULL, NULL, 0),
(78220, 158, 13774, 4, 1476741600, 1, 158, 1476965044, NULL, NULL, 0),
(78221, 158, 13774, 4, 1476828000, 1, 158, 1476965055, NULL, NULL, 0),
(78222, 158, 13774, 4, 1476914400, 1, 158, 1476965066, NULL, NULL, 0),
(78263, 217, 15064, 7, 1476914400, 0.5, 217, 1476972967, NULL, NULL, 0),
(78264, 217, 15064, 18, 1477000800, 0.1, 217, 1476972981, NULL, NULL, 0),
(78266, 217, 15064, 7, 1476828000, 0.5, 217, 1476973096, NULL, NULL, 0),
(78268, 164, 11032, 18, 1476914400, 0.5, 164, 1476976550, NULL, NULL, 0),
(78269, 164, 11032, 18, 1476828000, 1, 164, 1476976577, NULL, NULL, 0),
(78270, 164, 1435, 1, 1476914400, 0.5, 164, 1476976587, NULL, NULL, 0),
(78271, 2, 1435, 1, 1476914400, 0.25, 2, 1476980257, NULL, NULL, 0),
(78272, 2, 15256, 4, 1476914400, 0.75, 2, 1476980310, NULL, NULL, 0),
(78284, 134, 13774, 7, 1476655200, 1, 134, 1477034373, NULL, NULL, 0),
(78285, 134, 13774, 7, 1476914400, 1, 134, 1477034392, NULL, NULL, 0),
(78286, 134, 8454, 7, 1476741600, 1, 134, 1477034414, NULL, NULL, 0),
(78287, 134, 8454, 7, 1476828000, 1, 134, 1477034437, NULL, NULL, 0),
(78288, 134, 8454, 7, 1477000800, 1, 134, 1477034487, NULL, NULL, 0),
(78291, 158, 13774, 4, 1477000800, 1, 158, 1477037160, NULL, NULL, 0),
(78300, 146, 14791, 5, 1477000800, 1, 146, 1477037476, NULL, NULL, 0),
(78293, 146, 14791, 5, 1476655200, 0.5, 146, 1477037303, NULL, NULL, 0),
(78295, 146, 14791, 4, 1476655200, 0.5, 146, 1477037385, NULL, NULL, 0),
(78296, 146, 14791, 4, 1476741600, 0.5, 146, 1477037400, NULL, NULL, 0),
(78297, 146, 14791, 27, 1476741600, 0.5, 146, 1477037415, NULL, NULL, 0),
(78298, 146, 14791, 5, 1476828000, 1, 146, 1477037448, NULL, NULL, 0),
(78299, 146, 14791, 5, 1476914400, 1, 146, 1477037458, NULL, NULL, 0),
(78314, 147, 1436, 1, 1477000800, 1, 147, 1477039530, NULL, NULL, 0),
(78315, 147, 1436, 1, 1476914400, 1, 147, 1477039542, NULL, NULL, 0),
(78357, 217, 10399, 7, 1477000800, 0.9, 217, 1477052070, NULL, NULL, 0),
(78363, 164, 11032, 18, 1477000800, 0.5, 164, 1477053052, NULL, NULL, 0),
(78364, 164, 9951, 18, 1477000800, 0.5, 164, 1477053065, NULL, NULL, 0),
(78475, 212, 12791, 6, 1477000800, 1, 212, 1477063543, NULL, NULL, 0),
(78591, 212, 14716, 6, 1476914400, 1, 212, 1477298644, NULL, NULL, 0),
(78485, 2, 23791, 1, 1477000800, 0.3, 2, 1477064894, NULL, NULL, 0),
(78478, 212, 14716, 4, 1476828000, 0.5, 212, 1477063617, NULL, NULL, 0),
(78479, 212, 12791, 6, 1476828000, 0.5, 212, 1477063640, NULL, NULL, 0),
(78480, 212, 14716, 4, 1476741600, 0.5, 212, 1477063663, NULL, NULL, 0),
(78481, 212, 12791, 6, 1476741600, 0.5, 212, 1477063679, NULL, NULL, 0),
(78482, 212, 12791, 6, 1476655200, 0.5, 212, 1477063714, NULL, NULL, 0),
(78483, 212, 14716, 4, 1476655200, 0.5, 212, 1477063735, NULL, NULL, 0),
(78486, 2, 1437, 1, 1477000800, 0.2, 2, 1477064942, NULL, NULL, 0),
(78487, 169, 14329, 4, 1476655200, 1, 169, 1477065550, NULL, NULL, 0),
(78488, 169, 14329, 4, 1476741600, 1, 169, 1477065569, NULL, NULL, 0),
(78489, 169, 14329, 4, 1476828000, 1, 169, 1477065584, NULL, NULL, 0),
(78490, 169, 14329, 5, 1476914400, 1, 169, 1477065597, NULL, NULL, 0),
(78491, 169, 14164, 4, 1477000800, 1, 169, 1477065633, NULL, NULL, 0),
(78517, 74, 14718, 2, 1477000800, 1, 74, 1477289957, NULL, NULL, 0),
(78520, 72, 2, 1, 1478041200, 1, 72, 1477291543, NULL, NULL, 0),
(78521, 72, 2, 1, 1481842800, 1, 72, 1477291580, NULL, NULL, 0),
(78547, 146, 2, 1, 1477346400, 1, 146, 1477295819, NULL, NULL, 0),
(78647, 72, 23791, 1, 1477260000, 0.5, 72, 1477324631, NULL, NULL, 0),
(78586, 205, 10399, 4, 1476655200, 1, 205, 1477298058, NULL, NULL, 0),
(78587, 205, 10399, 4, 1476741600, 1, 205, 1477298076, NULL, NULL, 0),
(78588, 205, 10399, 4, 1476828000, 1, 205, 1477298084, NULL, NULL, 0),
(78589, 205, 10399, 4, 1476914400, 1, 205, 1477298094, NULL, NULL, 0),
(78590, 205, 10399, 4, 1477000800, 1, 205, 1477298101, NULL, NULL, 0),
(78593, 199, 15162, 4, 1476914400, 0.5, 199, 1477298802, NULL, NULL, 0),
(78594, 199, 15162, 4, 1477260000, 0.5, 199, 1477298830, NULL, NULL, 0),
(78595, 199, 14243, 4, 1476914400, 0.5, 199, 1477298856, NULL, NULL, 0),
(78596, 199, 14242, 5, 1476828000, 0.5, 199, 1477298893, NULL, NULL, 0),
(78597, 199, 14720, 4, 1476655200, 0.25, 199, 1477298949, NULL, NULL, 0),
(78598, 199, 14714, 4, 1476741600, 0.5, 199, 1477298996, NULL, NULL, 0),
(78599, 199, 15163, 5, 1476741600, 0.25, 199, 1477299020, NULL, NULL, 0),
(78600, 168, 14478, 5, 1476655200, 1, 168, 1477299142, NULL, NULL, 0),
(78602, 168, 14478, 5, 1476828000, 1, 168, 1477299189, NULL, NULL, 0),
(78610, 74, 14716, 6, 1476655200, 0.5, 74, 1477309173, NULL, NULL, 0),
(78611, 74, 14716, 6, 1476741600, 0.5, 74, 1477309191, NULL, NULL, 0),
(78612, 74, 1436, 1, 1476828000, 0.5, 74, 1477309236, NULL, NULL, 0),
(78613, 74, 15204, 6, 1476655200, 0.5, 74, 1477309596, NULL, NULL, 0),
(78614, 74, 15204, 6, 1476741600, 0.5, 74, 1477309610, NULL, NULL, 0),
(78615, 74, 15204, 6, 1476828000, 0.5, 74, 1477309620, NULL, NULL, 0),
(78617, 74, 14249, 4, 1477260000, 0.5, 74, 1477309731, NULL, NULL, 0),
(78626, 164, 11032, 18, 1477260000, 1, 164, 1477313868, NULL, NULL, 0),
(78642, 212, 14716, 6, 1477260000, 1, 212, 1477323266, NULL, NULL, 0),
(78643, 2, 23791, 1, 1477260000, 0.25, 2, 1477323883, NULL, NULL, 0),
(78644, 2, 13541, 17, 1477260000, 0.25, 2, 1477323924, NULL, NULL, 0),
(78645, 2, 1437, 1, 1477519200, 0.25, 2, 1477382495, NULL, NULL, 0),
(78648, 72, 14150, 5, 1477260000, 0.5, 72, 1477324701, NULL, NULL, 0),
(78666, 217, 14595, 6, 1477260000, 0.1, 217, 1477375468, NULL, NULL, 0),
(78665, 217, 14289, 6, 1477260000, 0.1, 217, 1477375446, NULL, NULL, 0),
(78668, 217, 14206, 6, 1477432800, 0.5, 217, 1477375550, NULL, NULL, 0),
(78660, 217, 14477, 6, 1477260000, 0.4, 217, 1477375250, NULL, NULL, 0),
(78661, 217, 14817, 6, 1477260000, 0.2, 217, 1477375279, NULL, NULL, 0),
(78662, 217, 14645, 6, 1477260000, 0.2, 217, 1477375317, NULL, NULL, 0),
(78667, 217, 14206, 6, 1477346400, 1, 217, 1477375529, NULL, NULL, 0),
(78682, 199, 2089, 1, 1477260000, 0.5, 199, 1477381665, NULL, NULL, 0),
(78702, 134, 8454, 7, 1477346400, 1, 134, 1477388649, NULL, NULL, 0),
(78703, 134, 8454, 7, 1477260000, 1, 134, 1477388662, NULL, NULL, 0),
(78713, 158, 13774, 4, 1477260000, 1, 158, 1477392326, NULL, NULL, 0),
(78714, 158, 13774, 4, 1477346400, 1, 158, 1477392341, NULL, NULL, 0),
(78739, 72, 14150, 5, 1477346400, 0.5, 72, 1477399205, NULL, NULL, 0),
(78740, 72, 23791, 1, 1477346400, 0.5, 72, 1477399215, NULL, NULL, 0),
(78768, 246, 10598, 4, 1477260000, 0.5, 246, 1477405724, NULL, NULL, 0),
(78771, 246, 15195, 4, 1477260000, 0.5, 246, 1477405826, NULL, NULL, 0),
(78780, 2, 23791, 1, 1477346400, 0.5, 2, 1477406691, NULL, NULL, 0),
(78781, 2, 13541, 17, 1477346400, 0.5, 2, 1477406730, NULL, NULL, 0),
(78784, 212, 14716, 4, 1477346400, 1, 212, 1477408860, NULL, NULL, 0),
(78792, 74, 14249, 4, 1477346400, 0.25, 74, 1477461977, NULL, NULL, 0),
(78882, 205, 4857, 1, 1477260000, 0.5, 205, 1477473327, NULL, NULL, 0),
(78883, 205, 8454, 4, 1477260000, 0.5, 205, 1477473451, NULL, NULL, 0),
(78884, 205, 8454, 4, 1477346400, 1, 205, 1477473465, NULL, NULL, 0),
(78885, 205, 8454, 4, 1477432800, 1, 205, 1477473474, NULL, NULL, 0),
(78902, 72, 14329, 4, 1477432800, 1, 72, 1477479780, NULL, NULL, 0),
(78932, 217, 14278, 18, 1477432800, 0.1, 217, 1477489152, NULL, NULL, 0),
(78933, 217, 14278, 6, 1477432800, 0.3, 217, 1477489179, NULL, NULL, 0),
(78934, 217, 13775, 6, 1477432800, 0.1, 217, 1477489215, NULL, NULL, 0),
(78945, 2, 13541, 17, 1477432800, 0.5, 2, 1477493518, NULL, NULL, 0),
(78952, 199, 2, 1, 1477432800, 1, 72, 1477496859, NULL, NULL, 0),
(79068, 217, 14595, 6, 1477519200, 0.1, 217, 1477571489, NULL, NULL, 0),
(79069, 217, 14206, 6, 1477519200, 0.3, 217, 1477571514, NULL, NULL, 0),
(79070, 217, 14477, 6, 1477519200, 0.3, 217, 1477571524, NULL, NULL, 0),
(79071, 217, 14817, 6, 1477519200, 0.2, 217, 1477571534, NULL, NULL, 0),
(79072, 217, 14645, 6, 1477519200, 0.1, 217, 1477571546, NULL, NULL, 0),
(79073, 217, 14278, 6, 1477605600, 0.25, 217, 1477571558, NULL, NULL, 0),
(79074, 217, 13775, 6, 1477605600, 0.1, 217, 1477571576, NULL, NULL, 0),
(79076, 217, 14645, 6, 1477605600, 0.1, 217, 1477571592, NULL, NULL, 0),
(79077, 217, 14817, 6, 1477605600, 0.1, 217, 1477571611, NULL, NULL, 0),
(79078, 217, 14477, 6, 1477605600, 0.25, 217, 1477571624, NULL, NULL, 0),
(79079, 217, 14289, 6, 1477605600, 0.2, 217, 1477571638, NULL, NULL, 0),
(79084, 72, 23791, 1, 1477519200, 1, 72, 1477573674, NULL, NULL, 0),
(79081, 199, 14251, 4, 1477346400, 1, 199, 1477572798, NULL, NULL, 0),
(79085, 158, 8454, 27, 1477432800, 0.5, 158, 1477574042, NULL, NULL, 0),
(79086, 158, 13774, 4, 1477432800, 0.5, 158, 1477574072, NULL, NULL, 0),
(79087, 158, 13774, 4, 1477519200, 1, 158, 1477574089, NULL, NULL, 0),
(79091, 146, 2, 1, 1479337200, 1, 146, 1477577448, NULL, NULL, 0),
(79092, 146, 2, 1, 1479423600, 1, 146, 1477577454, NULL, NULL, 0),
(79093, 146, 2, 1, 1479942000, 1, 146, 1477577498, NULL, NULL, 0),
(79094, 146, 2, 1, 1480028400, 1, 146, 1477577503, NULL, NULL, 0),
(79526, 72, 14710, 4, 1477868400, 0.2, 72, 1478159182, NULL, NULL, 0),
(79096, 146, 2, 1, 1480546800, 1, 146, 1477577576, NULL, NULL, 0),
(79097, 146, 2, 1, 1480633200, 1, 146, 1477577580, NULL, NULL, 0),
(79098, 146, 2, 1, 1480892400, 1, 146, 1477577606, NULL, NULL, 0),
(79099, 146, 2, 1, 1480978800, 1, 146, 1477577612, NULL, NULL, 0),
(79100, 146, 2, 1, 1481065200, 1, 146, 1477577615, NULL, NULL, 0),
(79103, 146, 2, 1, 1481238000, 1, 146, 1477577637, NULL, NULL, 0),
(79102, 146, 2, 1, 1481151600, 1, 146, 1477577624, NULL, NULL, 0),
(79105, 146, 2, 1, 1481670000, 1, 146, 1477577663, NULL, NULL, 0),
(79110, 169, 14164, 4, 1477260000, 1, 169, 1477586998, NULL, NULL, 0),
(79108, 146, 2, 1, 1481497200, 1, 146, 1477577762, NULL, NULL, 0),
(79109, 146, 2, 1, 1481583600, 1, 146, 1477577768, NULL, NULL, 0),
(79111, 169, 14164, 4, 1477346400, 1, 169, 1477587050, NULL, NULL, 0),
(79112, 169, 14260, 4, 1477432800, 1, 169, 1477587166, NULL, NULL, 0),
(79113, 169, 14260, 5, 1477519200, 1, 169, 1477587175, NULL, NULL, 0),
(79118, 199, 14259, 4, 1477605600, 0.1, 199, 1477636599, NULL, NULL, 0),
(79123, 146, 14791, 5, 1477260000, 1, 146, 1477642040, NULL, NULL, 0),
(79122, 164, 11032, 17, 1477346400, 0.5, 164, 1477642007, NULL, NULL, 0),
(79124, 164, 9951, 17, 1477605600, 0.5, 164, 1477642042, NULL, NULL, 0),
(79125, 164, 9951, 17, 1477605600, 0.5, 164, 1477642051, NULL, NULL, 0),
(79126, 164, 1435, 1, 1477346400, 0.5, 164, 1477642066, NULL, NULL, 0),
(79127, 146, 14791, 7, 1477432800, 1, 146, 1477642067, NULL, NULL, 0),
(79128, 146, 14791, 7, 1477519200, 0.5, 146, 1477642083, NULL, NULL, 0),
(79129, 146, 14791, 5, 1477519200, 0.5, 146, 1477642096, NULL, NULL, 0),
(79130, 146, 14791, 5, 1477605600, 1, 146, 1477642114, NULL, NULL, 0),
(79144, 2, 23791, 1, 1477519200, 0.6, 2, 1477646482, NULL, NULL, 0),
(79145, 158, 13774, 4, 1477605600, 1, 158, 1477643838, NULL, NULL, 0),
(79156, 2, 23791, 1, 1477432800, 0.5, 2, 1477644630, NULL, NULL, 0),
(79163, 2, 15256, 4, 1477519200, 0.1, 2, 1477646462, NULL, NULL, 0),
(79164, 2, 23791, 1, 1477519200, 0.05, 2, 1477646490, NULL, NULL, 0),
(79179, 157, 14227, 4, 1477519200, 0.5, 157, 1477657047, NULL, NULL, 0),
(79180, 157, 13786, 4, 1477519200, 0.5, 157, 1477657097, NULL, NULL, 0),
(79186, 205, 8454, 4, 1477519200, 0.5, 205, 1477657908, NULL, NULL, 0),
(79187, 205, 8454, 4, 1477605600, 0.5, 205, 1477657923, NULL, NULL, 0),
(79183, 157, 15260, 4, 1477605600, 1, 157, 1477657346, NULL, NULL, 0),
(79185, 205, 4857, 1, 1477519200, 0.5, 205, 1477657897, NULL, NULL, 0),
(79188, 205, 4857, 1, 1477605600, 0.5, 205, 1477657928, NULL, NULL, 0),
(79189, 205, 2, 1, 1477868400, 1, 205, 1477657942, NULL, NULL, 0),
(79190, 74, 14718, 2, 1477346400, 0.25, 74, 1477661076, NULL, NULL, 0),
(79191, 74, 14150, 2, 1477346400, 0.5, 74, 1477661114, NULL, NULL, 0),
(79192, 74, 14244, 5, 1477260000, 0.5, 74, 1477661178, NULL, NULL, 0),
(79193, 74, 14244, 5, 1477519200, 0.5, 74, 1477661199, NULL, NULL, 0),
(79194, 74, 15204, 6, 1477432800, 1, 74, 1477661227, NULL, NULL, 0),
(79195, 212, 14716, 4, 1477432800, 1, 212, 1477661313, NULL, NULL, 0),
(79201, 212, 14716, 4, 1477605600, 1, 212, 1477661852, NULL, NULL, 0),
(79200, 212, 14716, 4, 1477519200, 1, 212, 1477661561, NULL, NULL, 0),
(79199, 74, 14716, 6, 1477605600, 1, 74, 1477661522, NULL, NULL, 0),
(79205, 2, 15256, 7, 1477605600, 0.25, 2, 1477666932, NULL, NULL, 0),
(79241, 246, 15195, 5, 1477346400, 1, 246, 1477900433, NULL, NULL, 0),
(79268, 199, 14251, 4, 1477519200, 1, 199, 1477904740, NULL, NULL, 0),
(79267, 199, 14263, 4, 1477605600, 0.5, 199, 1477904709, NULL, NULL, 0),
(79269, 199, 14251, 4, 1477605600, 0.4, 199, 1477904758, NULL, NULL, 0),
(79527, 72, 23791, 1, 1477868400, 0.8, 72, 1478159213, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(79332, 134, 13774, 7, 1477605600, 1, 134, 1477929950, NULL, NULL, 0),
(79331, 134, 13774, 7, 1477519200, 1, 134, 1477929940, NULL, NULL, 0),
(79330, 134, 13774, 7, 1477432800, 1, 134, 1477929930, NULL, NULL, 0),
(79333, 134, 13774, 7, 1477868400, 1, 134, 1477929968, NULL, NULL, 0),
(79336, 246, 14264, 4, 1477868400, 0.1, 246, 1477930136, NULL, NULL, 0),
(79361, 157, 2, 1, 1478559600, 1, 157, 1478072708, NULL, NULL, 0),
(83284, 205, 2, 1, 1480460400, 1, 205, 1480594618, NULL, NULL, 0),
(79366, 74, 1, 1, 1478127600, 0.5, 74, 1478072807, NULL, NULL, 0),
(79392, 199, 2, 1, 1478646000, 1, 199, 1478075504, NULL, NULL, 0),
(79393, 199, 14242, 5, 1477868400, 1, 199, 1478078063, NULL, NULL, 0),
(79394, 205, 12137, 4, 1478041200, 0.25, 205, 1478078070, NULL, NULL, 0),
(79427, 158, 13774, 4, 1477868400, 1, 158, 1478091053, NULL, NULL, 0),
(79428, 158, 13774, 4, 1478041200, 1, 158, 1478091082, NULL, NULL, 0),
(79440, 2, 23791, 1, 1477605600, 0.25, 2, 1478093971, NULL, NULL, 0),
(79455, 217, 14206, 6, 1478041200, 0.5, 217, 1478098084, NULL, NULL, 0),
(79456, 217, 14477, 6, 1478041200, 0.2, 217, 1478098128, NULL, NULL, 0),
(79457, 217, 14593, 7, 1478041200, 0.2, 217, 1478098152, NULL, NULL, 0),
(79458, 217, 14593, 18, 1478041200, 0.1, 217, 1478098173, NULL, NULL, 0),
(79459, 74, 14150, 2, 1478041200, 0.25, 74, 1478098788, NULL, NULL, 0),
(79461, 2, 15281, 17, 1478041200, 0.25, 2, 1478101818, NULL, NULL, 0),
(79462, 2, 23791, 1, 1478041200, 0.5, 2, 1478101843, NULL, NULL, 0),
(79524, 199, 14242, 5, 1478041200, 0.75, 199, 1478158673, NULL, NULL, 0),
(79525, 199, 2089, 1, 1478041200, 0.25, 199, 1478158699, NULL, NULL, 0),
(79558, 164, 1, 1, 1478214000, 1, 164, 1478161639, NULL, NULL, 0),
(79577, 212, 14150, 6, 1477868400, 1, 212, 1478162323, NULL, NULL, 0),
(79581, 212, 14150, 6, 1478041200, 0.25, 212, 1478162476, NULL, NULL, 0),
(79583, 212, 14716, 4, 1478041200, 0.75, 212, 1478162504, NULL, NULL, 0),
(79887, 74, 14718, 2, 1478127600, 0.25, 74, 1478266568, NULL, NULL, 0),
(79733, 74, 1, 1, 1478559600, 0.5, 74, 1478182061, NULL, NULL, 0),
(79753, 158, 13774, 4, 1478127600, 1, 158, 1478187084, NULL, NULL, 0),
(79754, 2, 23791, 1, 1478127600, 0.75, 2, 1478190383, NULL, NULL, 0),
(79758, 164, 11032, 18, 1478127600, 0.75, 164, 1478189486, NULL, NULL, 0),
(79759, 164, 8395, 17, 1478127600, 0.1, 164, 1478189507, NULL, NULL, 0),
(79761, 164, 9951, 17, 1478127600, 0.1, 164, 1478189536, NULL, NULL, 0),
(79762, 164, 9951, 17, 1478127600, 0.05, 164, 1478189546, NULL, NULL, 0),
(79782, 157, 15068, 6, 1478041200, 0.5, 157, 1478241161, NULL, NULL, 0),
(79783, 157, 14473, 6, 1478041200, 0.5, 157, 1478241227, NULL, NULL, 0),
(79784, 157, 15068, 6, 1478127600, 0.5, 157, 1478241292, NULL, NULL, 0),
(79785, 157, 15289, 4, 1478127600, 0.5, 157, 1478241341, NULL, NULL, 0),
(79786, 157, 15290, 4, 1478214000, 0.5, 157, 1478241365, NULL, NULL, 0),
(79787, 157, 14227, 5, 1478214000, 0.5, 157, 1478241416, NULL, NULL, 0),
(79809, 158, 8454, 27, 1478214000, 0.2, 158, 1478248815, NULL, NULL, 0),
(79810, 217, 14206, 6, 1478127600, 0.5, 217, 1478251667, NULL, NULL, 0),
(79811, 217, 14477, 6, 1478127600, 0.2, 217, 1478251710, NULL, NULL, 0),
(79812, 217, 14478, 6, 1478127600, 0.2, 217, 1478251726, NULL, NULL, 0),
(79813, 217, 14289, 6, 1478127600, 0.05, 217, 1478251741, NULL, NULL, 0),
(79814, 217, 14645, 6, 1478127600, 0.05, 217, 1478251803, NULL, NULL, 0),
(79816, 217, 14593, 7, 1478214000, 0.1, 217, 1478251824, NULL, NULL, 0),
(79817, 217, 14593, 7, 1478214000, 0.1, 217, 1478251824, NULL, NULL, 0),
(79818, 217, 14593, 18, 1478214000, 0.05, 217, 1478251835, NULL, NULL, 0),
(79820, 217, 13775, 6, 1478214000, 0.25, 217, 1478252105, NULL, NULL, 0),
(79821, 217, 14278, 6, 1478214000, 0.5, 217, 1478252118, NULL, NULL, 0),
(79823, 205, 10426, 2, 1478127600, 0.25, 205, 1478252282, NULL, NULL, 0),
(79824, 205, 4857, 1, 1478127600, 0.25, 205, 1478252304, NULL, NULL, 0),
(79826, 205, 15308, 4, 1478127600, 0.25, 205, 1478252537, NULL, NULL, 0),
(79828, 72, 23791, 1, 1478127600, 1, 72, 1478253474, NULL, NULL, 0),
(79829, 205, 8454, 4, 1478127600, 0.25, 205, 1478253543, NULL, NULL, 0),
(79830, 205, 8454, 4, 1478041200, 0.25, 205, 1478253559, NULL, NULL, 0),
(79831, 205, 14534, 1, 1478041200, 0.5, 205, 1478253584, NULL, NULL, 0),
(79832, 72, 23791, 1, 1478214000, 1, 72, 1478253623, NULL, NULL, 0),
(79836, 146, 10426, 4, 1477868400, 1, 146, 1478255127, NULL, NULL, 0),
(79837, 146, 10426, 4, 1478041200, 1, 146, 1478255147, NULL, NULL, 0),
(79838, 146, 10426, 4, 1478127600, 1, 146, 1478255165, NULL, NULL, 0),
(79839, 205, 8454, 4, 1478214000, 0.5, 205, 1478255722, NULL, NULL, 0),
(79840, 205, 4857, 1, 1478214000, 0.5, 205, 1478255731, NULL, NULL, 0),
(79870, 147, 12791, 5, 1478214000, 1, 147, 1478257567, NULL, NULL, 0),
(79871, 147, 14059, 7, 1478127600, 1, 147, 1478257626, NULL, NULL, 0),
(79874, 147, 12791, 5, 1478041200, 1, 147, 1478257690, NULL, NULL, 0),
(79879, 158, 13774, 4, 1478214000, 0.8, 158, 1478260961, NULL, NULL, 0),
(79888, 74, 15204, 6, 1478041200, 0.75, 74, 1478266595, NULL, NULL, 0),
(79889, 74, 15204, 6, 1478127600, 0.25, 74, 1478266609, NULL, NULL, 0),
(79890, 74, 15204, 6, 1478214000, 0.5, 74, 1478266621, NULL, NULL, 0),
(79891, 74, 14721, 6, 1478214000, 0.5, 74, 1478266658, NULL, NULL, 0),
(79896, 146, 15283, 4, 1478214000, 1, 146, 1478274531, NULL, NULL, 0),
(79897, 2, 15256, 7, 1478127600, 0.25, 2, 1478276316, NULL, NULL, 0),
(79898, 2, 15256, 5, 1478214000, 0.3, 2, 1478276333, NULL, NULL, 0),
(79899, 2, 15256, 7, 1478214000, 0.2, 2, 1478276344, NULL, NULL, 0),
(79900, 2, 23791, 1, 1478214000, 0.25, 2, 1478276358, NULL, NULL, 0),
(79904, 169, 14260, 6, 1478127600, 1, 169, 1478277751, NULL, NULL, 0),
(79903, 169, 14260, 6, 1478041200, 1, 169, 1478277725, NULL, NULL, 0),
(79905, 169, 14260, 6, 1478214000, 1, 169, 1478277757, NULL, NULL, 0),
(79911, 199, 14260, 2, 1478214000, 0.25, 199, 1478504216, NULL, NULL, 0),
(80081, 199, 14260, 2, 1478473200, 0.25, 199, 1478594426, NULL, NULL, 0),
(79915, 199, 2041, 1, 1478127600, 0.25, 199, 1478504277, NULL, NULL, 0),
(79916, 199, 14242, 5, 1478214000, 0.75, 199, 1478504289, NULL, NULL, 0),
(79918, 199, 14242, 5, 1478127600, 0.5, 199, 1478504619, NULL, NULL, 0),
(79919, 199, 15256, 2, 1478127600, 0.25, 199, 1478504649, NULL, NULL, 0),
(79920, 147, 14060, 5, 1478473200, 1, 147, 1478504721, NULL, NULL, 0),
(79921, 199, 2089, 1, 1475791200, 0.5, 199, 1478504822, NULL, NULL, 0),
(79931, 246, 14264, 5, 1478041200, 1, 246, 1478506645, NULL, NULL, 0),
(79937, 48, 2, 1, 1479337200, 1, 48, 1478506833, NULL, NULL, 0),
(79938, 48, 2, 1, 1479423600, 1, 48, 1478506843, NULL, NULL, 0),
(79939, 48, 2, 1, 1479942000, 1, 48, 1478506880, NULL, NULL, 0),
(79943, 48, 2, 1, 1480028400, 1, 48, 1478506978, NULL, NULL, 0),
(79944, 48, 2, 1, 1480546800, 1, 48, 1478506996, NULL, NULL, 0),
(79945, 48, 2, 1, 1480633200, 1, 48, 1478507000, NULL, NULL, 0),
(79984, 212, 14716, 4, 1478127600, 1, 212, 1478510366, NULL, NULL, 0),
(79985, 212, 14716, 4, 1478214000, 1, 212, 1478510386, NULL, NULL, 0),
(80002, 2, 1437, 1, 1478473200, 0.5, 2, 1478532742, NULL, NULL, 0),
(80003, 134, 13774, 7, 1478041200, 1, 134, 1478516484, NULL, NULL, 0),
(80004, 134, 13774, 7, 1478127600, 1, 134, 1478516493, NULL, NULL, 0),
(80005, 134, 13774, 7, 1478214000, 1, 134, 1478516503, NULL, NULL, 0),
(80006, 134, 13774, 7, 1478473200, 1, 134, 1478516523, NULL, NULL, 0),
(80018, 164, 9951, 18, 1478473200, 0.5, 164, 1478525299, NULL, NULL, 0),
(80029, 205, 1041, 1, 1478473200, 1, 72, 1478526109, NULL, NULL, 0),
(80030, 205, 1041, 1, 1478559600, 1, 72, 1478526109, NULL, NULL, 0),
(80031, 72, 14329, 7, 1478473200, 0.5, 72, 1478526414, NULL, NULL, 0),
(80032, 72, 23791, 1, 1478473200, 0.5, 72, 1478526436, NULL, NULL, 0),
(80069, 246, 14709, 5, 1478473200, 0.5, 246, 1478592283, NULL, NULL, 0),
(80070, 246, 14715, 5, 1478473200, 0.5, 246, 1478592302, NULL, NULL, 0),
(80082, 199, 14242, 5, 1478473200, 0.5, 199, 1478594469, NULL, NULL, 0),
(80073, 217, 14478, 6, 1478473200, 0.5, 217, 1478593976, NULL, NULL, 0),
(80075, 217, 4857, 1, 1478473200, 0.25, 217, 1478594006, NULL, NULL, 0),
(80076, 217, 4857, 1, 1478559600, 0.5, 217, 1478594012, NULL, NULL, 0),
(80077, 217, 11115, 6, 1478473200, 0.25, 217, 1478594053, NULL, NULL, 0),
(80079, 217, 14478, 6, 1478559600, 0.1, 217, 1478594143, NULL, NULL, 0),
(80080, 217, 11115, 6, 1478559600, 0.4, 217, 1478594157, NULL, NULL, 0),
(80084, 199, 2089, 1, 1478473200, 0.25, 199, 1478594525, NULL, NULL, 0),
(80093, 158, 13774, 4, 1478473200, 1, 158, 1478595408, NULL, NULL, 0),
(80105, 2, 23791, 1, 1478473200, 0.25, 2, 1478600001, NULL, NULL, 0),
(80113, 2, 15380, 4, 1478473200, 0.25, 2, 1478600680, NULL, NULL, 0),
(80115, 72, 1505, 1, 1478559600, 0.3, 72, 1478601727, NULL, NULL, 0),
(80116, 72, 23791, 1, 1478559600, 0.7, 72, 1478601741, NULL, NULL, 0),
(80137, 158, 13774, 4, 1478559600, 1, 158, 1478609782, NULL, NULL, 0),
(80142, 164, 1, 1, 1478646000, 1, 164, 1478613598, NULL, NULL, 0),
(80143, 164, 1, 1, 1478732400, 1, 164, 1478613598, NULL, NULL, 0),
(80157, 168, 2, 1, 1477868400, 1, 168, 1478614099, NULL, NULL, 0),
(80158, 168, 2, 1, 1477432800, 0.5, 168, 1478614424, NULL, NULL, 0),
(80159, 168, 2, 1, 1478214000, 1, 168, 1478614497, NULL, NULL, 0),
(80160, 168, 14718, 5, 1478127600, 0.5, 168, 1478614606, NULL, NULL, 0),
(80161, 168, 14478, 5, 1478473200, 1, 168, 1478614878, NULL, NULL, 0),
(80164, 168, 14477, 17, 1478041200, 1, 168, 1478615080, NULL, NULL, 0),
(80163, 168, 14478, 5, 1478559600, 1, 168, 1478614917, NULL, NULL, 0),
(80165, 168, 14477, 17, 1478127600, 0.5, 168, 1478615142, NULL, NULL, 0),
(80166, 168, 14643, 5, 1477260000, 1, 168, 1478615223, NULL, NULL, 0),
(80167, 168, 14643, 5, 1477346400, 1, 168, 1478615241, NULL, NULL, 0),
(80168, 168, 14643, 5, 1477432800, 0.5, 168, 1478615264, NULL, NULL, 0),
(80169, 168, 14643, 5, 1477519200, 1, 168, 1478615279, NULL, NULL, 0),
(80170, 168, 14643, 5, 1477605600, 1, 168, 1478615297, NULL, NULL, 0),
(80171, 168, 2, 1, 1479855600, 0.5, 168, 1478615684, NULL, NULL, 0),
(80189, 212, 14716, 4, 1478473200, 1, 212, 1478620840, NULL, NULL, 0),
(80191, 212, 14716, 4, 1478559600, 1, 212, 1478620862, NULL, NULL, 0),
(80193, 212, 2, 1, 1478646000, 0.5, 212, 1478620908, NULL, NULL, 0),
(80196, 164, 11032, 18, 1478473200, 0.5, 164, 1478621499, NULL, NULL, 0),
(80197, 164, 11032, 18, 1478559600, 0.5, 164, 1478621509, NULL, NULL, 0),
(80198, 164, 1435, 1, 1478559600, 0.5, 164, 1478621528, NULL, NULL, 0),
(80390, 72, 23791, 1, 1478646000, 0.8, 72, 1478769035, NULL, NULL, 0),
(80222, 246, 14814, 7, 1478559600, 0.3, 246, 1478682543, NULL, NULL, 0),
(80240, 158, 13774, 4, 1478646000, 1, 158, 1478685541, NULL, NULL, 0),
(80241, 246, 14242, 5, 1478559600, 0.7, 246, 1478686901, NULL, NULL, 0),
(80242, 2, 23791, 1, 1478646000, 0.3, 2, 1478687512, NULL, NULL, 0),
(80244, 205, 1041, 1, 1478646000, 1, 72, 1478689530, NULL, NULL, 0),
(80245, 205, 1041, 1, 1478732400, 1, 72, 1478689530, NULL, NULL, 0),
(80246, 146, 2, 1, 1478646000, 1, 72, 1478689900, NULL, NULL, 0),
(80269, 217, 14478, 6, 1478646000, 0.3, 217, 1478702084, NULL, NULL, 0),
(80271, 217, 15564, 4, 1478646000, 0.5, 217, 1478702237, NULL, NULL, 0),
(80272, 217, 11115, 6, 1478646000, 0.2, 217, 1478702269, NULL, NULL, 0),
(80283, 2, 15281, 17, 1478646000, 0.7, 2, 1478709385, NULL, NULL, 0),
(80284, 2, 23791, 1, 1478559600, 0.25, 2, 1478709408, NULL, NULL, 0),
(80285, 2, 1435, 1, 1478559600, 0.5, 2, 1478709434, NULL, NULL, 0),
(80291, 157, 15284, 4, 1478473200, 0.5, 157, 1478762770, NULL, NULL, 0),
(80292, 157, 15068, 6, 1478473200, 0.5, 157, 1478762799, NULL, NULL, 0),
(80293, 157, 15316, 4, 1478646000, 0.5, 157, 1478762845, NULL, NULL, 0),
(80294, 157, 14827, 5, 1478646000, 0.5, 157, 1478762879, NULL, NULL, 0),
(80295, 157, 15290, 4, 1478732400, 1, 157, 1478762935, NULL, NULL, 0),
(80389, 72, 15398, 4, 1478646000, 0.2, 72, 1478769013, NULL, NULL, 0),
(80391, 72, 23791, 1, 1478732400, 1, 72, 1478769045, NULL, NULL, 0),
(80430, 217, 15564, 4, 1478732400, 0.2, 217, 1478772789, NULL, NULL, 0),
(80431, 217, 11115, 6, 1478732400, 0.8, 217, 1478772798, NULL, NULL, 0),
(80446, 158, 13044, 4, 1478732400, 0.5, 158, 1478773530, NULL, NULL, 0),
(80495, 199, 2, 1, 1484175600, 0.5, 199, 1478781883, NULL, NULL, 0),
(80509, 158, 13774, 4, 1478732400, 0.5, 158, 1478783994, NULL, NULL, 0),
(80535, 74, 14248, 5, 1478732400, 0.5, 74, 1478789501, NULL, NULL, 0),
(80536, 74, 15204, 6, 1478732400, 0.5, 74, 1478789536, NULL, NULL, 0),
(80537, 74, 15204, 6, 1478559600, 0.5, 74, 1478789548, NULL, NULL, 0),
(80539, 74, 15204, 6, 1478646000, 0.75, 74, 1478789588, NULL, NULL, 0),
(80540, 74, 1505, 1, 1478646000, 0.25, 74, 1478789601, NULL, NULL, 0),
(80541, 74, 1, 1, 1479769200, 1, 74, 1478789776, NULL, NULL, 0),
(80542, 74, 1, 1, 1480892400, 1, 74, 1478789800, NULL, NULL, 0),
(80543, 74, 1, 1, 1481497200, 1, 74, 1478789821, NULL, NULL, 0),
(80550, 212, 14721, 4, 1478646000, 0.5, 212, 1478792573, NULL, NULL, 0),
(80551, 212, 14721, 4, 1478732400, 1, 212, 1478792595, NULL, NULL, 0),
(80552, 169, 14329, 7, 1478473200, 0.5, 169, 1478792676, NULL, NULL, 0),
(80554, 169, 14260, 6, 1478473200, 0.5, 169, 1478792710, NULL, NULL, 0),
(80555, 169, 14260, 6, 1478559600, 1, 169, 1478792717, NULL, NULL, 0),
(80558, 169, 14260, 6, 1478646000, 0.5, 169, 1478792850, NULL, NULL, 0),
(80560, 169, 15161, 4, 1478732400, 1, 169, 1478792769, NULL, NULL, 0),
(80562, 169, 15161, 4, 1478646000, 0.5, 169, 1478792831, NULL, NULL, 0),
(80606, 146, 15283, 4, 1478559600, 1, 146, 1478796146, NULL, NULL, 0),
(80605, 146, 15283, 4, 1478732400, 1, 146, 1478796089, NULL, NULL, 0),
(80607, 146, 15283, 4, 1478473200, 0.5, 146, 1478796162, NULL, NULL, 0),
(80608, 146, 10426, 7, 1478473200, 0.5, 146, 1478796216, NULL, NULL, 0),
(80626, 157, 2, 1, 1482361200, 1, 157, 1479105353, NULL, NULL, 0),
(80627, 157, 2, 1, 1482447600, 1, 157, 1479105353, NULL, NULL, 0),
(80628, 157, 2, 1, 1483311600, 1, 157, 1479105392, NULL, NULL, 0),
(80659, 246, 14242, 5, 1478646000, 1, 246, 1479111517, NULL, NULL, 0),
(80662, 2, 23791, 1, 1478732400, 0.5, 2, 1479111724, NULL, NULL, 0),
(80663, 2, 15281, 18, 1478732400, 0.5, 2, 1479111782, NULL, NULL, 0),
(80664, 199, 2089, 1, 1478559600, 0.25, 199, 1479113122, NULL, NULL, 0),
(80666, 199, 14260, 2, 1478559600, 0.25, 199, 1479113131, NULL, NULL, 0),
(80668, 199, 14242, 5, 1478559600, 0.5, 199, 1479113146, NULL, NULL, 0),
(80669, 199, 14242, 5, 1478732400, 0.75, 199, 1479113160, NULL, NULL, 0),
(80670, 199, 14260, 2, 1478732400, 0.25, 199, 1479113166, NULL, NULL, 0),
(80675, 158, 13774, 4, 1479078000, 0.5, 158, 1479114134, NULL, NULL, 0),
(80706, 72, 23791, 1, 1479078000, 1, 72, 1479117840, NULL, NULL, 0),
(80707, 134, 13774, 7, 1478559600, 1, 134, 1479117925, NULL, NULL, 0),
(80708, 134, 13774, 7, 1478646000, 1, 134, 1479117947, NULL, NULL, 0),
(80709, 134, 13774, 7, 1478732400, 1, 134, 1479117959, NULL, NULL, 0),
(80711, 134, 13774, 4, 1479078000, 1, 134, 1479117984, NULL, NULL, 0),
(80713, 2, 1435, 1, 1479078000, 0.3, 2, 1479120840, NULL, NULL, 0),
(80736, 74, 1, 1, 1479164400, 0.5, 74, 1479132170, NULL, NULL, 0),
(80737, 168, 1, 1, 1478646000, 0.5, 168, 1479132828, NULL, NULL, 0),
(80738, 168, 14478, 5, 1478646000, 0.5, 168, 1479132860, NULL, NULL, 0),
(80739, 168, 15398, 4, 1478732400, 1, 168, 1479132969, NULL, NULL, 0),
(81018, 246, 14242, 5, 1479164400, 0.5, 246, 1479285209, NULL, NULL, 0),
(80813, 2, 2, 1, 1482793200, 1, 2, 1479141463, NULL, NULL, 0),
(80822, 157, 15165, 4, 1479078000, 0.5, 157, 1479195699, NULL, NULL, 0),
(80821, 157, 15288, 4, 1479078000, 0.5, 157, 1479195622, NULL, NULL, 0),
(80823, 157, 15285, 4, 1479164400, 0.5, 157, 1479195723, NULL, NULL, 0),
(80824, 199, 1505, 1, 1479078000, 0.25, 199, 1479197018, NULL, NULL, 0),
(80825, 199, 14242, 6, 1479078000, 0.25, 199, 1479197054, NULL, NULL, 0),
(80826, 199, 2089, 1, 1479078000, 0.5, 199, 1479197076, NULL, NULL, 0),
(80829, 246, 14242, 5, 1479078000, 1, 246, 1479199537, NULL, NULL, 0),
(80895, 72, 1435, 1, 1479164400, 0.5, 72, 1479210866, NULL, NULL, 0),
(80896, 72, 23791, 1, 1479164400, 0.5, 72, 1479210878, NULL, NULL, 0),
(80897, 158, 13774, 4, 1479164400, 1, 158, 1479211296, NULL, NULL, 0),
(80945, 205, 4857, 1, 1479078000, 0.5, 205, 1479228066, NULL, NULL, 0),
(80947, 205, 13775, 6, 1479078000, 0.5, 205, 1479228105, NULL, NULL, 0),
(80948, 205, 14278, 6, 1479164400, 0.5, 205, 1479228163, NULL, NULL, 0),
(80949, 205, 8454, 4, 1479164400, 0.5, 205, 1479228200, NULL, NULL, 0),
(80950, 2, 1435, 1, 1479164400, 1, 2, 1479228252, NULL, NULL, 0),
(80951, 2, 23791, 1, 1479078000, 0.7, 2, 1479228262, NULL, NULL, 0),
(99079, 2, 2, 1, 1495749600, 1, 2, 1488472133, NULL, NULL, 0),
(81012, 164, 1, 1, 1479250800, 1, 72, 1479280328, NULL, NULL, 0),
(81013, 164, 1, 1, 1479337200, 1, 72, 1479280328, NULL, NULL, 0),
(81014, 158, 1041, 1, 1479250800, 1, 72, 1479282074, NULL, NULL, 0),
(81019, 246, 1, 1, 1479164400, 0.5, 246, 1479285231, NULL, NULL, 0),
(81060, 72, 23791, 1, 1479250800, 1, 72, 1479296897, NULL, NULL, 0),
(81063, 74, 1, 1, 1481583600, 0.5, 74, 1479301922, NULL, NULL, 0),
(81065, 146, 15283, 4, 1479078000, 1, 146, 1479303781, NULL, NULL, 0),
(81066, 146, 10426, 4, 1479164400, 1, 146, 1479303817, NULL, NULL, 0),
(81067, 146, 10426, 4, 1479250800, 0.5, 146, 1479303854, NULL, NULL, 0),
(81068, 146, 15571, 4, 1479250800, 0.5, 146, 1479304359, NULL, NULL, 0),
(81096, 205, 2, 1, 1482102000, 1, 205, 1479314995, NULL, NULL, 0),
(81097, 205, 2, 1, 1482188400, 1, 205, 1479314995, NULL, NULL, 0),
(81098, 205, 2, 1, 1482274800, 1, 205, 1479314995, NULL, NULL, 0),
(81099, 205, 2, 1, 1482361200, 1, 205, 1479314995, NULL, NULL, 0),
(81100, 205, 2, 1, 1482447600, 1, 205, 1479314995, NULL, NULL, 0),
(81101, 205, 2, 1, 1482706800, 1, 205, 1479314995, NULL, NULL, 0),
(81102, 205, 2, 1, 1482793200, 1, 205, 1479314995, NULL, NULL, 0),
(81103, 205, 2, 1, 1482879600, 1, 205, 1479314995, NULL, NULL, 0),
(81104, 205, 2, 1, 1482966000, 1, 205, 1479314995, NULL, NULL, 0),
(81105, 205, 2, 1, 1483052400, 1, 205, 1479314995, NULL, NULL, 0),
(81106, 205, 2, 1, 1483311600, 1, 205, 1479314995, NULL, NULL, 0),
(81107, 2, 23791, 1, 1479250800, 0.7, 2, 1479315283, NULL, NULL, 0),
(81108, 2, 1435, 1, 1479250800, 0.3, 2, 1479315290, NULL, NULL, 0),
(81109, 157, 15165, 4, 1479164400, 0.5, 157, 1479365555, NULL, NULL, 0),
(81110, 157, 15165, 4, 1479250800, 0.5, 157, 1479365572, NULL, NULL, 0),
(81111, 157, 15220, 6, 1479250800, 0.5, 157, 1479365599, NULL, NULL, 0),
(81114, 158, 2, 1, 1479337200, 1, 158, 1479368031, NULL, NULL, 0),
(81115, 158, 2, 1, 1479423600, 1, 158, 1479368031, NULL, NULL, 0),
(81116, 158, 2, 1, 1479682800, 0.5, 158, 1479368069, NULL, NULL, 0),
(81117, 158, 2, 1, 1479769200, 1, 158, 1479368069, NULL, NULL, 0),
(81118, 158, 2, 1, 1479855600, 1, 158, 1479368069, NULL, NULL, 0),
(81119, 158, 2, 1, 1479942000, 1, 158, 1479368069, NULL, NULL, 0),
(81120, 158, 2, 1, 1480028400, 1, 158, 1479368069, NULL, NULL, 0),
(81121, 158, 2, 1, 1480287600, 0.5, 158, 1479368110, NULL, NULL, 0),
(81122, 158, 2, 1, 1480374000, 1, 158, 1479368110, NULL, NULL, 0),
(81128, 248, 2, 1, 1478646000, 1, 248, 1479368250, NULL, NULL, 0),
(81132, 248, 2, 1, 1479250800, 1, 248, 1479368326, NULL, NULL, 0),
(81188, 134, 13774, 4, 1479164400, 1, 134, 1479372587, NULL, NULL, 0),
(81189, 134, 13774, 4, 1479250800, 1, 134, 1479372597, NULL, NULL, 0),
(81191, 134, 13774, 4, 1479337200, 1, 134, 1479372612, NULL, NULL, 0),
(81199, 246, 14242, 5, 1479250800, 0.5, 246, 1479373074, NULL, NULL, 0),
(81201, 246, 14250, 4, 1479250800, 0.5, 246, 1479373113, NULL, NULL, 0),
(81239, 248, 2, 1, 1479855600, 1, 248, 1479378202, NULL, NULL, 0),
(81248, 248, 2, 1, 1480460400, 1, 248, 1479378315, NULL, NULL, 0),
(81284, 72, 23791, 1, 1479337200, 1, 72, 1479387198, NULL, NULL, 0),
(81596, 164, 1, 1, 1479423600, 0.5, 164, 1479481596, NULL, NULL, 0),
(81324, 2, 1435, 1, 1479337200, 0.3, 2, 1479398040, NULL, NULL, 0),
(81325, 2, 15281, 17, 1479337200, 0.7, 2, 1479398091, NULL, NULL, 0),
(81327, 157, 15221, 6, 1479337200, 0.5, 157, 1479398357, NULL, NULL, 0),
(81328, 157, 15165, 4, 1479337200, 0.5, 157, 1479398387, NULL, NULL, 0),
(81428, 157, 15165, 7, 1479423600, 0.5, 157, 1479462220, NULL, NULL, 0),
(81354, 199, 2089, 1, 1479164400, 0.25, 199, 1479456545, NULL, NULL, 0),
(81355, 199, 2089, 1, 1479250800, 0.25, 199, 1479456550, NULL, NULL, 0),
(81356, 199, 1505, 1, 1479250800, 0.4, 199, 1479456577, NULL, NULL, 0),
(81357, 199, 14242, 2, 1479164400, 0.25, 199, 1479456609, NULL, NULL, 0),
(81358, 199, 15318, 4, 1479423600, 0.25, 199, 1479456646, NULL, NULL, 0),
(81359, 199, 15318, 4, 1479337200, 0.25, 199, 1479456680, NULL, NULL, 0),
(81360, 199, 1506, 1, 1479337200, 0.25, 199, 1479456706, NULL, NULL, 0),
(81362, 199, 14164, 4, 1479337200, 0.25, 199, 1479457139, NULL, NULL, 0),
(81363, 199, 14243, 7, 1479337200, 0.25, 199, 1479457223, NULL, NULL, 0),
(81501, 322, 1, 1, 1480978800, 1, 2, 1479477071, NULL, NULL, 0),
(81374, 168, 2, 1, 1482706800, 1, 168, 1479458641, NULL, NULL, 0),
(81375, 168, 2, 1, 1482793200, 1, 168, 1479458641, NULL, NULL, 0),
(81376, 168, 2, 1, 1482879600, 1, 168, 1479458641, NULL, NULL, 0),
(81377, 168, 2, 1, 1482966000, 1, 168, 1479458641, NULL, NULL, 0),
(81378, 168, 2, 1, 1483052400, 1, 168, 1479458641, NULL, NULL, 0),
(81379, 168, 2, 1, 1483311600, 1, 168, 1479458641, NULL, NULL, 0),
(81380, 168, 2, 1, 1480028400, 1, 168, 1479458707, NULL, NULL, 0),
(81381, 168, 2, 1, 1481238000, 1, 168, 1479458737, NULL, NULL, 0),
(81427, 157, 15320, 6, 1479423600, 0.5, 157, 1479462189, NULL, NULL, 0),
(81464, 134, 13774, 4, 1479423600, 1, 134, 1479463902, NULL, NULL, 0),
(81465, 72, 23791, 1, 1479423600, 1, 72, 1479464098, NULL, NULL, 0),
(81486, 322, 2, 1, 1478473200, 1, 2, 1479473054, NULL, NULL, 0),
(81487, 322, 2, 1, 1478559600, 1, 2, 1479473054, NULL, NULL, 0),
(81488, 322, 2, 1, 1478646000, 1, 2, 1479473054, NULL, NULL, 0),
(81489, 322, 2, 1, 1478732400, 1, 2, 1479473054, NULL, NULL, 0),
(81490, 322, 2, 1, 1479078000, 1, 2, 1479473054, NULL, NULL, 0),
(81491, 322, 2, 1, 1479164400, 1, 2, 1479473054, NULL, NULL, 0),
(81492, 322, 2, 1, 1479250800, 1, 2, 1479473054, NULL, NULL, 0),
(81493, 322, 2, 1, 1479337200, 1, 2, 1479473054, NULL, NULL, 0),
(81494, 322, 2, 1, 1479423600, 1, 2, 1479473054, NULL, NULL, 0),
(81500, 322, 1, 1, 1480892400, 1, 2, 1479477071, NULL, NULL, 0),
(81502, 322, 1, 1, 1481065200, 1, 2, 1479477071, NULL, NULL, 0),
(81503, 322, 1, 1, 1481151600, 1, 2, 1479477071, NULL, NULL, 0),
(81504, 322, 1, 1, 1481238000, 1, 2, 1479477071, NULL, NULL, 0),
(81505, 322, 1, 1, 1481497200, 1, 2, 1479477071, NULL, NULL, 0),
(81506, 322, 1, 1, 1481583600, 1, 2, 1479477071, NULL, NULL, 0),
(81507, 322, 1, 1, 1481670000, 1, 2, 1479477071, NULL, NULL, 0),
(81508, 322, 1, 1, 1481756400, 1, 2, 1479477071, NULL, NULL, 0),
(81509, 322, 1, 1, 1481842800, 1, 2, 1479477071, NULL, NULL, 0),
(81540, 322, 1, 1, 1486681200, 1, 2, 1479477442, NULL, NULL, 0),
(81531, 322, 1, 1, 1485730800, 1, 2, 1479477442, NULL, NULL, 0),
(81532, 322, 1, 1, 1485817200, 1, 2, 1479477442, NULL, NULL, 0),
(81533, 322, 1, 1, 1485903600, 1, 2, 1479477442, NULL, NULL, 0),
(81534, 322, 1, 1, 1485990000, 1, 2, 1479477442, NULL, NULL, 0),
(81535, 322, 1, 1, 1486076400, 1, 2, 1479477442, NULL, NULL, 0),
(81536, 322, 1, 1, 1486335600, 1, 2, 1479477442, NULL, NULL, 0),
(81537, 322, 1, 1, 1486422000, 1, 2, 1479477442, NULL, NULL, 0),
(81538, 322, 1, 1, 1486508400, 1, 2, 1479477442, NULL, NULL, 0),
(81539, 322, 1, 1, 1486594800, 1, 2, 1479477442, NULL, NULL, 0),
(81521, 322, 1, 1, 1483311600, 1, 2, 1479477212, NULL, NULL, 0),
(81522, 322, 1, 1, 1483398000, 1, 2, 1479477212, NULL, NULL, 0),
(81523, 322, 1, 1, 1483484400, 1, 2, 1479477212, NULL, NULL, 0),
(81524, 322, 1, 1, 1483570800, 1, 2, 1479477212, NULL, NULL, 0),
(81525, 322, 1, 1, 1483657200, 1, 2, 1479477212, NULL, NULL, 0),
(81526, 322, 1, 1, 1483916400, 1, 2, 1479477212, NULL, NULL, 0),
(81527, 322, 1, 1, 1484002800, 1, 2, 1479477212, NULL, NULL, 0),
(81528, 322, 1, 1, 1484089200, 1, 2, 1479477212, NULL, NULL, 0),
(81529, 322, 1, 1, 1484175600, 1, 2, 1479477212, NULL, NULL, 0),
(81530, 322, 1, 1, 1484262000, 1, 2, 1479477212, NULL, NULL, 0),
(81541, 322, 1, 1, 1488150000, 1, 2, 1479477507, NULL, NULL, 0),
(81542, 322, 1, 1, 1488236400, 1, 2, 1479477507, NULL, NULL, 0),
(81543, 322, 1, 1, 1488322800, 1, 2, 1479477507, NULL, NULL, 0),
(81544, 322, 1, 1, 1488409200, 1, 2, 1479477507, NULL, NULL, 0),
(81545, 322, 1, 1, 1488495600, 1, 2, 1479477507, NULL, NULL, 0),
(81546, 322, 1, 1, 1488754800, 1, 2, 1479477507, NULL, NULL, 0),
(81547, 322, 1, 1, 1488841200, 1, 2, 1479477507, NULL, NULL, 0),
(81548, 322, 1, 1, 1488927600, 1, 2, 1479477507, NULL, NULL, 0),
(81549, 322, 1, 1, 1489014000, 1, 2, 1479477507, NULL, NULL, 0),
(81550, 322, 1, 1, 1489100400, 1, 2, 1479477507, NULL, NULL, 0),
(81552, 322, 1, 1, 1490565600, 1, 2, 1479477572, NULL, NULL, 0),
(81553, 322, 1, 1, 1490652000, 1, 2, 1479477572, NULL, NULL, 0),
(81554, 322, 1, 1, 1490738400, 1, 2, 1479477572, NULL, NULL, 0),
(81555, 322, 1, 1, 1490824800, 1, 2, 1479477572, NULL, NULL, 0),
(81556, 322, 1, 1, 1490911200, 1, 2, 1479477572, NULL, NULL, 0),
(81557, 322, 1, 1, 1491170400, 1, 2, 1479477572, NULL, NULL, 0),
(81558, 322, 1, 1, 1491256800, 1, 2, 1479477572, NULL, NULL, 0),
(81559, 322, 1, 1, 1491343200, 1, 2, 1479477572, NULL, NULL, 0),
(81560, 322, 1, 1, 1491429600, 1, 2, 1479477572, NULL, NULL, 0),
(81561, 322, 1, 1, 1491516000, 1, 2, 1479477572, NULL, NULL, 0),
(81563, 322, 1, 1, 1493589600, 1, 2, 1479477629, NULL, NULL, 0),
(81564, 322, 1, 1, 1493676000, 1, 2, 1479477629, NULL, NULL, 0),
(81565, 322, 1, 1, 1493762400, 1, 2, 1479477629, NULL, NULL, 0),
(81566, 322, 1, 1, 1493848800, 1, 2, 1479477629, NULL, NULL, 0),
(81567, 322, 1, 1, 1493935200, 1, 2, 1479477629, NULL, NULL, 0),
(81568, 322, 1, 1, 1494194400, 1, 2, 1479477629, NULL, NULL, 0),
(81569, 322, 1, 1, 1494280800, 1, 2, 1479477629, NULL, NULL, 0),
(81570, 322, 1, 1, 1494367200, 1, 2, 1479477629, NULL, NULL, 0),
(81571, 322, 1, 1, 1494453600, 1, 2, 1479477629, NULL, NULL, 0),
(81572, 322, 1, 1, 1494540000, 1, 2, 1479477629, NULL, NULL, 0),
(81573, 322, 1, 1, 1494799200, 1, 2, 1479477629, NULL, NULL, 0),
(81574, 322, 1, 1, 1494885600, 1, 2, 1479477629, NULL, NULL, 0),
(81575, 322, 1, 1, 1494972000, 1, 2, 1479477629, NULL, NULL, 0),
(81576, 322, 1, 1, 1495058400, 1, 2, 1479477629, NULL, NULL, 0),
(81577, 322, 1, 1, 1495144800, 1, 2, 1479477629, NULL, NULL, 0),
(81579, 322, 1, 1, 1499292000, 1, 2, 1479477669, NULL, NULL, 0),
(81584, 74, 14721, 6, 1479337200, 1, 74, 1479479112, NULL, NULL, 0),
(81586, 74, 14721, 6, 1479423600, 1, 74, 1479479126, NULL, NULL, 0),
(81616, 2, 15281, 17, 1479423600, 0.5, 2, 1479485743, NULL, NULL, 0),
(81592, 74, 15377, 6, 1479164400, 0.5, 74, 1479479202, NULL, NULL, 0),
(81593, 74, 15377, 6, 1479250800, 0.5, 74, 1479479215, NULL, NULL, 0),
(81594, 74, 15377, 6, 1479078000, 1, 74, 1479479232, NULL, NULL, 0),
(81598, 164, 9951, 18, 1479423600, 0.3, 164, 1479481638, NULL, NULL, 0),
(81599, 164, 11032, 18, 1479423600, 0.2, 164, 1479481656, NULL, NULL, 0),
(81600, 164, 11032, 18, 1479078000, 1, 164, 1479481672, NULL, NULL, 0),
(81601, 164, 9951, 18, 1479164400, 1, 164, 1479481688, NULL, NULL, 0),
(81609, 147, 12791, 7, 1479250800, 1, 147, 1479482713, NULL, NULL, 0),
(81610, 147, 12791, 7, 1479337200, 0.5, 147, 1479483154, NULL, NULL, 0),
(81611, 147, 14060, 5, 1479337200, 0.5, 147, 1479483185, NULL, NULL, 0),
(81614, 74, 14721, 27, 1479250800, 0.5, 72, 1479485525, NULL, NULL, 0),
(81617, 2, 23791, 1, 1479423600, 0.5, 2, 1479485753, NULL, NULL, 0),
(81619, 169, 14164, 4, 1479078000, 0.5, 169, 1479488555, NULL, NULL, 0),
(81620, 169, 15716, 4, 1479078000, 0.5, 169, 1479488645, NULL, NULL, 0),
(81621, 169, 15716, 4, 1479250800, 1, 169, 1479488695, NULL, NULL, 0),
(81622, 169, 14329, 4, 1479164400, 0.5, 169, 1479488753, NULL, NULL, 0),
(81623, 169, 15287, 4, 1479164400, 0.5, 169, 1479488814, NULL, NULL, 0),
(81624, 169, 14260, 6, 1479337200, 1, 169, 1479488862, NULL, NULL, 0),
(81625, 169, 14260, 6, 1479423600, 1, 169, 1479488873, NULL, NULL, 0),
(81713, 74, 1, 1, 1480374000, 0.5, 74, 1479715113, NULL, NULL, 0),
(81728, 199, 14251, 4, 1479423600, 0.75, 199, 1479720322, NULL, NULL, 0),
(81730, 199, 15318, 4, 1479250800, 0.3, 199, 1479720725, NULL, NULL, 0),
(81731, 199, 15318, 4, 1479250800, 0.05, 199, 1479720739, NULL, NULL, 0),
(81749, 217, 11115, 6, 1479682800, 1, 217, 1479723579, NULL, NULL, 0),
(81792, 246, 14250, 5, 1479682800, 1, 246, 1479748549, NULL, NULL, 0),
(81825, 205, 8454, 4, 1479423600, 1, 205, 1479809561, NULL, NULL, 0),
(81826, 205, 8454, 4, 1479337200, 0.75, 205, 1479809636, NULL, NULL, 0),
(81827, 205, 14278, 6, 1479250800, 1, 205, 1479809666, NULL, NULL, 0),
(81828, 205, 10396, 4, 1479337200, 0.25, 205, 1479809702, NULL, NULL, 0),
(81830, 205, 8454, 4, 1479682800, 0.75, 205, 1479809890, NULL, NULL, 0),
(81831, 205, 4857, 1, 1479682800, 0.25, 205, 1479809901, NULL, NULL, 0),
(82034, 217, 15766, 4, 1479769200, 0.5, 217, 1479914889, NULL, NULL, 0),
(81864, 72, 15769, 4, 1479682800, 0.5, 72, 1479817337, NULL, NULL, 0),
(81862, 72, 23791, 1, 1479769200, 0.5, 72, 1479817293, NULL, NULL, 0),
(81863, 72, 23791, 1, 1479682800, 0.5, 72, 1479817305, NULL, NULL, 0),
(81868, 212, 14716, 6, 1479682800, 0.5, 212, 1479818198, NULL, NULL, 0),
(81870, 212, 15377, 6, 1479682800, 0.5, 212, 1479818259, NULL, NULL, 0),
(81883, 212, 14716, 6, 1479423600, 0.5, 212, 1479819088, NULL, NULL, 0),
(81879, 212, 15377, 4, 1479164400, 0.5, 212, 1479818843, NULL, NULL, 0),
(81983, 212, 14721, 4, 1479250800, 1, 212, 1479890035, NULL, NULL, 0),
(81881, 212, 14716, 6, 1479078000, 1, 212, 1479818936, NULL, NULL, 0),
(81882, 212, 14716, 6, 1479164400, 0.5, 212, 1479818967, NULL, NULL, 0),
(81884, 212, 15377, 4, 1479423600, 0.5, 212, 1479819128, NULL, NULL, 0),
(81891, 147, 14060, 5, 1479423600, 1, 147, 1479819833, NULL, NULL, 0),
(81897, 147, 14060, 5, 1479769200, 1, 147, 1479819964, NULL, NULL, 0),
(81896, 147, 12791, 5, 1479682800, 1, 147, 1479819932, NULL, NULL, 0),
(81910, 2, 15281, 17, 1479682800, 0.5, 2, 1479824981, NULL, NULL, 0),
(81911, 2, 6967, 18, 1479682800, 0.5, 2, 1479825014, NULL, NULL, 0),
(81915, 157, 15165, 7, 1479682800, 1, 157, 1479827541, NULL, NULL, 0),
(81916, 157, 15320, 6, 1479769200, 0.5, 157, 1479827576, NULL, NULL, 0),
(81917, 157, 15775, 4, 1479769200, 0.5, 157, 1479828046, NULL, NULL, 0),
(81938, 2, 15281, 17, 1479769200, 0.5, 2, 1479833714, NULL, NULL, 0),
(81939, 2, 15281, 18, 1479769200, 0.25, 2, 1479833732, NULL, NULL, 0),
(81977, 246, 14250, 5, 1479769200, 1, 246, 1479889146, NULL, NULL, 0),
(81978, 246, 2, 1, 1480287600, 1, 246, 1479889234, NULL, NULL, 0),
(81979, 246, 2, 1, 1480374000, 1, 246, 1479889248, NULL, NULL, 0),
(81980, 246, 2, 1, 1480460400, 1, 246, 1479889256, NULL, NULL, 0),
(81981, 212, 14716, 6, 1479769200, 1, 212, 1479889874, NULL, NULL, 0),
(81982, 212, 14716, 6, 1479337200, 1, 212, 1479889914, NULL, NULL, 0),
(81984, 212, 15377, 4, 1479855600, 1, 212, 1479890064, NULL, NULL, 0),
(81985, 205, 2, 1, 1483398000, 1, 205, 1479891078, NULL, NULL, 0),
(82035, 157, 15317, 6, 1479855600, 0.5, 157, 1479915137, NULL, NULL, 0),
(82032, 217, 15785, 7, 1479769200, 0.5, 217, 1479914853, NULL, NULL, 0),
(82033, 217, 15785, 7, 1479855600, 1, 217, 1479914868, NULL, NULL, 0),
(82036, 157, 15260, 6, 1479855600, 0.5, 157, 1479915170, NULL, NULL, 0),
(82048, 146, 15571, 4, 1479682800, 1, 146, 1479917881, NULL, NULL, 0),
(82049, 146, 15571, 4, 1479769200, 1, 146, 1479917919, NULL, NULL, 0),
(82050, 146, 15571, 4, 1479855600, 1, 146, 1479917930, NULL, NULL, 0),
(82051, 246, 14250, 5, 1479855600, 1, 246, 1479919981, NULL, NULL, 0),
(82194, 134, 13774, 4, 1479942000, 1, 134, 1479991669, NULL, NULL, 0),
(82196, 134, 13774, 4, 1479855600, 1, 134, 1479991679, NULL, NULL, 0),
(82197, 134, 13774, 4, 1479769200, 1, 134, 1479991687, NULL, NULL, 0),
(82198, 134, 13774, 4, 1479682800, 1, 134, 1479991696, NULL, NULL, 0),
(82199, 134, 13774, 4, 1480028400, 1, 134, 1479991715, NULL, NULL, 0),
(82206, 74, 15770, 2, 1479855600, 0.25, 74, 1479993580, NULL, NULL, 0),
(82207, 74, 15377, 27, 1479855600, 0.25, 74, 1479993611, NULL, NULL, 0),
(82411, 72, 15770, 5, 1479769200, 0.5, 72, 1480000970, NULL, NULL, 0),
(82412, 72, 15770, 5, 1479855600, 0.5, 72, 1480000996, NULL, NULL, 0),
(82413, 72, 15165, 4, 1479855600, 0.5, 72, 1480001060, NULL, NULL, 0),
(82415, 72, 23791, 1, 1479942000, 1, 72, 1480001082, NULL, NULL, 0),
(82416, 72, 1, 1, 1480028400, 1, 72, 1480001136, NULL, NULL, 0),
(82417, 199, 15319, 5, 1479942000, 0.75, 199, 1480001316, NULL, NULL, 0),
(82420, 199, 2089, 1, 1479769200, 0.5, 199, 1480001592, NULL, NULL, 0),
(82419, 199, 14251, 4, 1479769200, 0.25, 199, 1480001554, NULL, NULL, 0),
(82421, 199, 2089, 1, 1479682800, 0.25, 199, 1480001604, NULL, NULL, 0),
(82425, 199, 14807, 4, 1479855600, 0.5, 199, 1480001905, NULL, NULL, 0),
(82424, 199, 15318, 4, 1479682800, 0.25, 199, 1480001790, NULL, NULL, 0),
(82442, 157, 15285, 4, 1479942000, 0.5, 157, 1480004400, NULL, NULL, 0),
(82445, 157, 15317, 6, 1479942000, 0.5, 157, 1480004468, NULL, NULL, 0),
(82492, 205, 4857, 1, 1479942000, 0.25, 205, 1480062573, NULL, NULL, 0),
(82493, 205, 8454, 4, 1479942000, 0.75, 205, 1480062594, NULL, NULL, 0),
(82494, 205, 14643, 2, 1479855600, 0.25, 205, 1480062750, NULL, NULL, 0),
(82495, 205, 8454, 4, 1479855600, 0.75, 205, 1480062784, NULL, NULL, 0),
(82496, 205, 8454, 4, 1479769200, 1, 205, 1480062861, NULL, NULL, 0),
(82516, 147, 14060, 5, 1479855600, 1, 147, 1480078761, NULL, NULL, 0),
(82521, 147, 14060, 5, 1480028400, 1, 147, 1480079620, NULL, NULL, 0),
(82544, 157, 15288, 6, 1480028400, 0.25, 157, 1480087088, NULL, NULL, 0),
(82545, 157, 15164, 5, 1480028400, 0.5, 157, 1480087144, NULL, NULL, 0),
(82546, 157, 15285, 6, 1480028400, 0.25, 157, 1480087214, NULL, NULL, 0),
(82548, 212, 15377, 6, 1479942000, 1, 212, 1480088013, NULL, NULL, 0),
(82549, 212, 15377, 4, 1480028400, 1, 212, 1480088049, NULL, NULL, 0),
(82550, 199, 14710, 5, 1480028400, 0.5, 199, 1480088059, NULL, NULL, 0),
(82551, 199, 14807, 27, 1480028400, 0.25, 199, 1480088191, NULL, NULL, 0),
(82569, 322, 14791, 5, 1479682800, 1, 322, 1480089838, NULL, NULL, 0),
(82568, 322, 14791, 5, 1480028400, 1, 322, 1480089824, NULL, NULL, 0),
(82570, 322, 14791, 5, 1479769200, 1, 322, 1480089849, NULL, NULL, 0),
(82555, 199, 14259, 2, 1479682800, 0.25, 199, 1480088336, NULL, NULL, 0),
(82571, 322, 14791, 5, 1479855600, 1, 322, 1480089858, NULL, NULL, 0),
(82560, 199, 14242, 5, 1479769200, 0.25, 199, 1480088746, NULL, NULL, 0),
(82561, 199, 14242, 5, 1479682800, 0.25, 199, 1480088755, NULL, NULL, 0),
(82565, 199, 2089, 1, 1479855600, 0.5, 199, 1480089067, NULL, NULL, 0),
(82563, 199, 15318, 7, 1479942000, 0.25, 199, 1480088824, NULL, NULL, 0),
(82572, 322, 14791, 5, 1479942000, 1, 322, 1480089867, NULL, NULL, 0),
(82573, 169, 15375, 7, 1479855600, 1, 169, 1480090219, NULL, NULL, 0),
(82574, 169, 15375, 7, 1479942000, 1, 169, 1480090246, NULL, NULL, 0),
(82576, 169, 15716, 5, 1480028400, 1, 169, 1480090558, NULL, NULL, 0),
(82577, 169, 14260, 6, 1479682800, 1, 169, 1480090622, NULL, NULL, 0),
(82578, 169, 14260, 6, 1479769200, 1, 169, 1480090637, NULL, NULL, 0),
(82579, 2, 6967, 18, 1479855600, 0.75, 2, 1480090946, NULL, NULL, 0),
(82580, 2, 6967, 18, 1479942000, 1, 2, 1480090956, NULL, NULL, 0),
(82581, 2, 15281, 17, 1480028400, 0.75, 2, 1480090969, NULL, NULL, 0),
(82600, 205, 10399, 4, 1480028400, 0.25, 205, 1480091949, NULL, NULL, 0),
(82601, 205, 8454, 4, 1480028400, 0.75, 205, 1480091969, NULL, NULL, 0),
(82668, 74, 15377, 6, 1479942000, 1, 74, 1480320033, NULL, NULL, 0),
(82669, 74, 15377, 6, 1480028400, 1, 74, 1480320042, NULL, NULL, 0),
(82670, 74, 15377, 6, 1479855600, 0.5, 74, 1480320055, NULL, NULL, 0),
(82671, 74, 14721, 6, 1479682800, 1, 74, 1480320072, NULL, NULL, 0),
(82680, 217, 14710, 7, 1479942000, 0.7, 217, 1480321844, NULL, NULL, 0),
(82679, 217, 8454, 7, 1479942000, 0.3, 217, 1480321742, NULL, NULL, 0),
(82682, 217, 14710, 7, 1480028400, 0.5, 217, 1480321881, NULL, NULL, 0),
(82684, 217, 15832, 7, 1480028400, 0.5, 217, 1480322267, NULL, NULL, 0),
(82705, 217, 15833, 4, 1480287600, 0.3, 217, 1480326102, NULL, NULL, 0),
(82704, 72, 23791, 1, 1480287600, 1, 72, 1480325728, NULL, NULL, 0),
(82706, 2, 1, 1, 1484175600, 1, 2, 1480327672, NULL, NULL, 0),
(82822, 199, 1041, 1, 1480287600, 1, 72, 1480404623, NULL, NULL, 0),
(82709, 217, 15834, 4, 1480287600, 0.4, 217, 1480328852, NULL, NULL, 0),
(82726, 342, 1436, 1, 1480287600, 1, 72, 1480332732, NULL, NULL, 0),
(82727, 342, 1436, 1, 1480374000, 1, 72, 1480332739, NULL, NULL, 0),
(82728, 342, 1436, 1, 1480460400, 1, 72, 1480332744, NULL, NULL, 0),
(82729, 342, 1436, 1, 1480546800, 1, 72, 1480332756, NULL, NULL, 0),
(82730, 342, 1436, 1, 1480633200, 1, 72, 1480332761, NULL, NULL, 0),
(82781, 217, 15835, 4, 1480287600, 0.3, 217, 1480345637, NULL, NULL, 0),
(82782, 169, 15376, 5, 1480287600, 0.5, 169, 1480346347, NULL, NULL, 0),
(82783, 169, 15376, 6, 1480287600, 0.5, 169, 1480346394, NULL, NULL, 0),
(82784, 205, 10426, 4, 1480287600, 0.5, 205, 1480348436, NULL, NULL, 0),
(82785, 205, 4857, 1, 1480287600, 0.25, 205, 1480348455, NULL, NULL, 0),
(82786, 205, 15832, 2, 1480287600, 0.25, 205, 1480348492, NULL, NULL, 0),
(82788, 2, 14791, 4, 1480287600, 0.1, 2, 1480349985, NULL, NULL, 0),
(82789, 2, 15281, 17, 1480287600, 0.5, 2, 1480350027, NULL, NULL, 0),
(82790, 2, 23791, 1, 1480287600, 0.4, 2, 1480350093, NULL, NULL, 0),
(82823, 199, 1041, 1, 1480374000, 1, 72, 1480404629, NULL, NULL, 0),
(82824, 199, 15319, 5, 1480028400, 0.25, 72, 1480404711, NULL, NULL, 0),
(82825, 199, 14243, 4, 1479164400, 0.5, 72, 1480404778, NULL, NULL, 0),
(82826, 217, 14278, 18, 1480374000, 0.1, 217, 1480405178, NULL, NULL, 0),
(82833, 147, 15836, 4, 1480374000, 1, 147, 1480408165, NULL, NULL, 0),
(82834, 147, 15836, 4, 1480287600, 1, 147, 1480408178, NULL, NULL, 0),
(82836, 147, 2, 1, 1480460400, 1, 147, 1480408245, NULL, NULL, 0),
(82852, 157, 15165, 4, 1480287600, 0.5, 157, 1480413359, NULL, NULL, 0),
(82853, 157, 15260, 6, 1480287600, 0.5, 157, 1480413385, NULL, NULL, 0),
(82854, 157, 15164, 5, 1480374000, 1, 157, 1480413412, NULL, NULL, 0),
(82883, 164, 1, 1, 1479682800, 1, 164, 1480425154, NULL, NULL, 0),
(82884, 164, 1, 1, 1479769200, 1, 164, 1480425162, NULL, NULL, 0),
(82885, 164, 1, 1, 1479855600, 1, 164, 1480425167, NULL, NULL, 0),
(82886, 164, 1, 1, 1479942000, 1, 164, 1480425175, NULL, NULL, 0),
(82887, 164, 1, 1, 1480028400, 1, 164, 1480425180, NULL, NULL, 0),
(82902, 157, 2, 1, 1482274800, 1, 157, 1480431174, NULL, NULL, 0),
(82903, 157, 2, 1, 1491948000, 1, 157, 1480431397, NULL, NULL, 0),
(82904, 157, 2, 1, 1492034400, 1, 157, 1480431397, NULL, NULL, 0),
(82905, 157, 2, 1, 1492120800, 1, 157, 1480431397, NULL, NULL, 0),
(82929, 72, 23791, 1, 1480374000, 1, 72, 1480436906, NULL, NULL, 0),
(82940, 158, 2, 1, 1480460400, 1, 158, 1480448474, NULL, NULL, 0),
(82941, 158, 2, 1, 1480546800, 1, 158, 1480448474, NULL, NULL, 0),
(82942, 158, 2, 1, 1480633200, 1, 158, 1480448474, NULL, NULL, 0),
(82943, 158, 2, 1, 1480892400, 0.5, 158, 1480448474, NULL, NULL, 0),
(82944, 158, 2, 1, 1480978800, 1, 158, 1480448474, NULL, NULL, 0),
(82945, 158, 2, 1, 1481065200, 1, 158, 1480448474, NULL, NULL, 0),
(82946, 158, 2, 1, 1481151600, 1, 158, 1480448474, NULL, NULL, 0),
(82947, 158, 2, 1, 1481238000, 1, 158, 1480448474, NULL, NULL, 0),
(82948, 158, 2, 1, 1481497200, 1, 158, 1480448474, NULL, NULL, 0),
(82949, 158, 2, 1, 1481583600, 1, 158, 1480448474, NULL, NULL, 0),
(82950, 158, 2, 1, 1481670000, 1, 158, 1480448474, NULL, NULL, 0),
(82951, 158, 2, 1, 1481756400, 1, 158, 1480448474, NULL, NULL, 0),
(82952, 158, 2, 1, 1481842800, 1, 158, 1480448474, NULL, NULL, 0),
(82953, 72, 23791, 1, 1480460400, 1, 72, 1480492290, NULL, NULL, 0),
(82970, 168, 15781, 4, 1480287600, 1, 168, 1480496357, NULL, NULL, 0),
(82972, 168, 10746, 4, 1479682800, 1, 168, 1480496859, NULL, NULL, 0),
(82973, 168, 10746, 4, 1479769200, 1, 168, 1480496892, NULL, NULL, 0),
(82975, 168, 10746, 4, 1479855600, 0.5, 168, 1480496959, NULL, NULL, 0),
(82976, 168, 10746, 4, 1479942000, 1, 168, 1480497000, NULL, NULL, 0),
(82977, 168, 1, 1, 1480374000, 1, 168, 1480497200, NULL, NULL, 0),
(82978, 164, 11032, 18, 1480374000, 1, 164, 1480497583, NULL, NULL, 0),
(82979, 164, 1, 1, 1480287600, 1, 164, 1480497597, NULL, NULL, 0),
(82981, 48, 2, 1, 1479682800, 1, 48, 1480498628, NULL, NULL, 0),
(82986, 48, 2, 1, 1481151600, 1, 48, 1480498798, NULL, NULL, 0),
(82987, 48, 2, 1, 1481238000, 1, 48, 1480498801, NULL, NULL, 0),
(83009, 48, 2, 1, 1483570800, 1, 48, 1480499094, NULL, NULL, 0),
(82998, 48, 2, 1, 1482706800, 1, 48, 1480498961, NULL, NULL, 0),
(83000, 48, 2, 1, 1482274800, 1, 48, 1480498997, NULL, NULL, 0),
(83001, 48, 2, 1, 1482361200, 1, 48, 1480499002, NULL, NULL, 0),
(83002, 48, 2, 1, 1482447600, 1, 48, 1480499006, NULL, NULL, 0),
(83003, 48, 2, 1, 1482188400, 1, 48, 1480499010, NULL, NULL, 0),
(83004, 48, 2, 1, 1482102000, 1, 48, 1480499013, NULL, NULL, 0),
(83010, 48, 2, 1, 1483657200, 1, 48, 1480499097, NULL, NULL, 0),
(83020, 217, 15785, 18, 1480460400, 0.1, 217, 1480501660, NULL, NULL, 0),
(83021, 217, 8454, 18, 1480460400, 0.1, 217, 1480501692, NULL, NULL, 0),
(83022, 217, 15833, 4, 1480460400, 0.4, 217, 1480501736, NULL, NULL, 0),
(83023, 217, 15833, 4, 1480374000, 0.5, 217, 1480501763, NULL, NULL, 0),
(83024, 217, 15835, 4, 1480374000, 0.4, 217, 1480501857, NULL, NULL, 0),
(83025, 217, 14278, 6, 1480460400, 0.4, 217, 1480501902, NULL, NULL, 0),
(83026, 217, 2, 1, 1482274800, 1, 217, 1480501974, NULL, NULL, 0),
(83027, 217, 2, 1, 1482188400, 0.5, 217, 1480502003, NULL, NULL, 0),
(83049, 48, 2, 1, 1481756400, 1, 48, 1480512992, NULL, NULL, 0),
(83050, 48, 2, 1, 1481842800, 1, 48, 1480512997, NULL, NULL, 0),
(83080, 322, 14791, 5, 1480287600, 1, 322, 1480523980, NULL, NULL, 0),
(83081, 146, 15571, 4, 1480460400, 1, 146, 1480523983, NULL, NULL, 0),
(83082, 322, 14791, 5, 1480374000, 1, 322, 1480524005, NULL, NULL, 0),
(83083, 146, 15571, 4, 1480374000, 1, 146, 1480524006, NULL, NULL, 0),
(83086, 146, 15571, 4, 1480287600, 0.8, 146, 1480524293, NULL, NULL, 0),
(83093, 146, 2, 1, 1485471600, 1, 146, 1480525091, NULL, NULL, 0),
(83111, 146, 14791, 27, 1480287600, 0.2, 72, 1480577887, NULL, NULL, 0),
(83130, 72, 23791, 1, 1480546800, 1, 72, 1480579554, NULL, NULL, 0),
(88780, 217, 16546, 4, 1484002800, 0.25, 217, 1484060511, NULL, NULL, 0),
(83230, 217, 15833, 4, 1480546800, 0.5, 217, 1480584844, NULL, NULL, 0),
(83264, 134, 15840, 5, 1480374000, 1, 72, 1480588433, NULL, NULL, 0),
(83267, 134, 13774, 4, 1480287600, 1, 72, 1480588484, NULL, NULL, 0),
(83273, 134, 13774, 27, 1480460400, 1, 72, 1480588993, NULL, NULL, 0),
(83285, 205, 2, 1, 1480633200, 1, 205, 1480594623, NULL, NULL, 0),
(83286, 157, 15164, 5, 1480546800, 1, 157, 1480594627, NULL, NULL, 0),
(83287, 157, 15164, 5, 1480460400, 1, 157, 1480594646, NULL, NULL, 0),
(83288, 2, 23791, 1, 1480374000, 0.2, 2, 1480595195, NULL, NULL, 0),
(83289, 2, 23791, 1, 1480460400, 0.2, 2, 1480595201, NULL, NULL, 0),
(83290, 2, 15281, 17, 1480374000, 0.6, 2, 1480595325, NULL, NULL, 0),
(83291, 2, 15281, 18, 1480460400, 0.25, 2, 1480595428, NULL, NULL, 0),
(83292, 2, 15281, 17, 1480460400, 0.5, 2, 1480595244, NULL, NULL, 0),
(83319, 217, 15855, 6, 1480546800, 0.5, 217, 1480600511, NULL, NULL, 0),
(83320, 217, 15855, 6, 1480633200, 0.5, 217, 1480600524, NULL, NULL, 0),
(83321, 217, 15856, 6, 1480633200, 0.5, 217, 1480600542, NULL, NULL, 0),
(83388, 157, 2, 1, 1481497200, 1, 157, 1481301844, NULL, NULL, 0),
(83389, 322, 14791, 5, 1480460400, 1, 322, 1480666564, NULL, NULL, 0),
(83390, 322, 14791, 5, 1480546800, 1, 322, 1480666588, NULL, NULL, 0),
(83397, 157, 15164, 6, 1480633200, 1, 157, 1480669607, NULL, NULL, 0),
(83398, 164, 13541, 18, 1480460400, 0.3, 164, 1480669797, NULL, NULL, 0),
(83399, 164, 13541, 17, 1480460400, 0.3, 164, 1480669817, NULL, NULL, 0),
(83400, 164, 1435, 1, 1480460400, 0.4, 164, 1480669837, NULL, NULL, 0),
(83401, 164, 1435, 1, 1480546800, 0.5, 164, 1480669848, NULL, NULL, 0),
(83402, 164, 11032, 18, 1480546800, 0.5, 164, 1480669875, NULL, NULL, 0),
(83404, 164, 15281, 18, 1480633200, 0.25, 164, 1480669937, NULL, NULL, 0),
(83405, 164, 1435, 1, 1480633200, 0.75, 164, 1480669951, NULL, NULL, 0),
(83416, 2, 23791, 1, 1480546800, 0.1, 2, 1480670487, NULL, NULL, 0),
(83499, 322, 14791, 5, 1480633200, 1, 322, 1480679468, NULL, NULL, 0),
(83550, 147, 15836, 5, 1480546800, 1, 147, 1480687669, NULL, NULL, 0),
(83552, 147, 15836, 5, 1480633200, 1, 147, 1480687697, NULL, NULL, 0),
(83574, 169, 15843, 4, 1480460400, 1, 169, 1480695260, NULL, NULL, 0),
(83575, 169, 15843, 5, 1480546800, 1, 169, 1480695270, NULL, NULL, 0),
(83576, 169, 15843, 5, 1480633200, 1, 169, 1480695286, NULL, NULL, 0),
(83577, 169, 15161, 7, 1480374000, 1, 169, 1480695378, NULL, NULL, 0),
(83605, 74, 1, 1, 1482102000, 0.5, 74, 1480922537, NULL, NULL, 0),
(83606, 74, 1436, 1, 1480287600, 0.25, 74, 1480922581, NULL, NULL, 0),
(83607, 74, 1436, 1, 1480460400, 0.25, 74, 1480922592, NULL, NULL, 0),
(83608, 74, 1505, 1, 1480460400, 0.25, 74, 1480922602, NULL, NULL, 0),
(83610, 74, 1436, 1, 1480633200, 0.25, 74, 1480922634, NULL, NULL, 0),
(83611, 74, 14721, 6, 1480287600, 0.75, 74, 1480922673, NULL, NULL, 0),
(83612, 74, 14721, 6, 1480374000, 0.5, 74, 1480922696, NULL, NULL, 0),
(83613, 74, 14721, 6, 1480460400, 0.5, 74, 1480922706, NULL, NULL, 0),
(83614, 74, 14721, 6, 1480546800, 1, 74, 1480922719, NULL, NULL, 0),
(83615, 74, 14721, 6, 1480633200, 0.75, 74, 1480922730, NULL, NULL, 0),
(83645, 248, 2, 1, 1481065200, 1, 248, 1480931465, NULL, NULL, 0),
(83646, 248, 2, 1, 1481670000, 1, 248, 1480931474, NULL, NULL, 0),
(83647, 248, 2, 1, 1482274800, 1, 248, 1480931486, NULL, NULL, 0),
(83648, 248, 2, 1, 1482706800, 1, 248, 1480931506, NULL, NULL, 0),
(83649, 248, 2, 1, 1482793200, 1, 248, 1480931514, NULL, NULL, 0),
(83650, 248, 2, 1, 1482879600, 1, 248, 1480931521, NULL, NULL, 0),
(83651, 248, 2, 1, 1482966000, 1, 248, 1480931527, NULL, NULL, 0),
(83652, 248, 2, 1, 1483052400, 1, 248, 1480931536, NULL, NULL, 0),
(83653, 248, 2, 1, 1483311600, 1, 248, 1480931554, NULL, NULL, 0),
(83654, 248, 2, 1, 1483398000, 1, 248, 1480931560, NULL, NULL, 0),
(83655, 248, 2, 1, 1483484400, 1, 248, 1480931571, NULL, NULL, 0),
(83680, 212, 15377, 6, 1480892400, 1, 212, 1480944248, NULL, NULL, 0),
(83681, 212, 15377, 6, 1480287600, 1, 212, 1480944270, NULL, NULL, 0),
(83682, 212, 15377, 6, 1480374000, 1, 212, 1480944288, NULL, NULL, 0),
(83683, 212, 15377, 6, 1480460400, 1, 212, 1480944311, NULL, NULL, 0),
(83684, 212, 15377, 6, 1480546800, 1, 212, 1480944326, NULL, NULL, 0),
(83685, 212, 15377, 6, 1480633200, 1, 212, 1480944339, NULL, NULL, 0),
(83686, 212, 2, 1, 1481238000, 0.5, 212, 1480944397, NULL, NULL, 0),
(83687, 212, 2, 1, 1481497200, 1, 212, 1480944430, NULL, NULL, 0),
(83700, 205, 10399, 4, 1480374000, 1, 205, 1480950953, NULL, NULL, 0),
(83701, 205, 10399, 4, 1480546800, 1, 205, 1480950963, NULL, NULL, 0),
(83702, 205, 4857, 1, 1480892400, 0.5, 205, 1480950981, NULL, NULL, 0),
(83703, 205, 8454, 4, 1480892400, 0.25, 205, 1480951066, NULL, NULL, 0),
(83704, 205, 10399, 4, 1480892400, 0.25, 205, 1480951083, NULL, NULL, 0),
(83705, 205, 2, 1, 1480978800, 1, 205, 1480951117, NULL, NULL, 0),
(83706, 205, 2, 1, 1481065200, 1, 205, 1480951149, NULL, NULL, 0),
(83707, 205, 2, 1, 1481151600, 1, 205, 1480951154, NULL, NULL, 0),
(83708, 205, 2, 1, 1481238000, 1, 205, 1480951157, NULL, NULL, 0),
(83745, 342, 1041, 1, 1480892400, 0.5, 2, 1481013310, NULL, NULL, 0),
(83746, 342, 1041, 1, 1480978800, 1, 2, 1481013315, NULL, NULL, 0),
(83795, 2, 23791, 1, 1480892400, 0.5, 2, 1481017203, NULL, NULL, 0),
(83797, 2, 1435, 1, 1480892400, 0.25, 2, 1481017231, NULL, NULL, 0),
(83798, 2, 1435, 1, 1480978800, 0.25, 2, 1481017237, NULL, NULL, 0),
(83801, 2, 1435, 1, 1480633200, 0.25, 2, 1481017261, NULL, NULL, 0),
(83803, 2, 15281, 17, 1480633200, 0.5, 2, 1481017273, NULL, NULL, 0),
(83806, 2, 15281, 17, 1480546800, 0.9, 2, 1481017325, NULL, NULL, 0),
(83808, 2, 15281, 17, 1480892400, 0.25, 2, 1481017354, NULL, NULL, 0),
(83819, 72, 1041, 1, 1480633200, 1, 2, 1481019609, NULL, NULL, 0),
(83820, 72, 1041, 1, 1480892400, 1, 2, 1481019617, NULL, NULL, 0),
(83821, 72, 1041, 1, 1480978800, 1, 2, 1481019623, NULL, NULL, 0),
(83822, 72, 1041, 1, 1481065200, 1, 2, 1481019628, NULL, NULL, 0),
(83823, 157, 15164, 5, 1480892400, 1, 157, 1481019902, NULL, NULL, 0),
(83824, 157, 15164, 6, 1480978800, 0.5, 157, 1481019920, NULL, NULL, 0),
(83825, 157, 14712, 4, 1480978800, 0.5, 157, 1481020002, NULL, NULL, 0),
(83841, 147, 15836, 5, 1480892400, 1, 147, 1481029058, NULL, NULL, 0),
(83842, 147, 15836, 5, 1480978800, 1, 147, 1481029072, NULL, NULL, 0),
(83843, 147, 2, 1, 1481238000, 1, 147, 1481029104, NULL, NULL, 0),
(83938, 2, 15281, 17, 1480978800, 0.5, 2, 1481037873, NULL, NULL, 0),
(83939, 2, 23791, 1, 1480978800, 0.25, 2, 1481037880, NULL, NULL, 0),
(83940, 134, 8454, 2, 1480978800, 1, 134, 1481038444, NULL, NULL, 0),
(83941, 134, 8454, 2, 1480892400, 1, 134, 1481038450, NULL, NULL, 0),
(83947, 164, 11032, 18, 1480978800, 0.5, 164, 1481040728, NULL, NULL, 0),
(83948, 164, 6967, 18, 1480978800, 0.5, 164, 1481040753, NULL, NULL, 0),
(83949, 164, 11032, 18, 1480892400, 0.5, 164, 1481040763, NULL, NULL, 0),
(83950, 164, 1435, 1, 1480892400, 0.5, 164, 1481040862, NULL, NULL, 0),
(83971, 246, 14264, 5, 1480892400, 1, 246, 1481099296, NULL, NULL, 0),
(83973, 246, 2, 1, 1480978800, 1, 246, 1481099317, NULL, NULL, 0),
(84080, 246, 14264, 5, 1481065200, 1, 246, 1481126375, NULL, NULL, 0),
(84084, 2, 1435, 1, 1481065200, 0.8, 2, 1481128450, NULL, NULL, 0),
(84086, 2, 15841, 7, 1481065200, 0.2, 2, 1481128529, NULL, NULL, 0),
(84090, 169, 15841, 7, 1480978800, 0.75, 169, 1481128618, NULL, NULL, 0),
(84092, 72, 1041, 1, 1481151600, 1, 2, 1481140793, NULL, NULL, 0),
(84093, 72, 1041, 1, 1481238000, 1, 2, 1481140793, NULL, NULL, 0),
(84094, 72, 1041, 1, 1481497200, 1, 2, 1481140793, NULL, NULL, 0),
(84095, 72, 1041, 1, 1481583600, 1, 2, 1481140793, NULL, NULL, 0),
(84120, 164, 1435, 1, 1481065200, 0.5, 164, 1481187045, NULL, NULL, 0),
(84121, 164, 11032, 18, 1481065200, 0.5, 164, 1481187061, NULL, NULL, 0),
(84122, 164, 11032, 18, 1481151600, 0.5, 164, 1481187071, NULL, NULL, 0),
(84958, 199, 8454, 5, 1480892400, 0.75, 199, 1481699093, NULL, NULL, 0),
(84451, 157, 14712, 5, 1481065200, 1, 157, 1481209652, NULL, NULL, 0),
(84452, 157, 14712, 4, 1481151600, 1, 157, 1481209672, NULL, NULL, 0),
(84474, 147, 15836, 5, 1481065200, 1, 147, 1481215295, NULL, NULL, 0),
(84475, 147, 15836, 5, 1481151600, 1, 147, 1481215310, NULL, NULL, 0),
(84588, 217, 15833, 4, 1481151600, 0.05, 217, 1481278275, NULL, NULL, 0),
(84568, 217, 1041, 1, 1480892400, 1, 217, 1481278040, NULL, NULL, 0),
(84573, 217, 1041, 1, 1480978800, 1, 217, 1481278054, NULL, NULL, 0),
(84575, 217, 1041, 1, 1481065200, 1, 217, 1481278063, NULL, NULL, 0),
(84579, 217, 1506, 1, 1481151600, 0.9, 217, 1481278115, NULL, NULL, 0),
(84581, 217, 1506, 1, 1481151600, 0.05, 217, 1481278122, NULL, NULL, 0),
(84587, 217, 15856, 7, 1481238000, 1, 217, 1481278191, NULL, NULL, 0),
(84626, 342, 2041, 1, 1480892400, 0.5, 342, 1481291643, NULL, NULL, 0),
(84625, 342, 2041, 1, 1481065200, 1, 342, 1481291619, NULL, NULL, 0),
(84627, 342, 1505, 1, 1481151600, 0.75, 342, 1481291655, NULL, NULL, 0),
(84628, 164, 1435, 1, 1481151600, 0.5, 164, 1481296750, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(84629, 164, 1435, 1, 1481238000, 0.5, 164, 1481296758, NULL, NULL, 0),
(84651, 169, 15843, 5, 1480892400, 1, 169, 1481301639, NULL, NULL, 0),
(84652, 169, 15843, 5, 1480978800, 0.25, 169, 1481301651, NULL, NULL, 0),
(84653, 169, 15843, 5, 1481065200, 1, 169, 1481301659, NULL, NULL, 0),
(84657, 157, 2, 1, 1481238000, 1, 2, 1481301826, NULL, NULL, 0),
(84655, 169, 15843, 6, 1481238000, 1, 169, 1481301680, NULL, NULL, 0),
(84656, 169, 15843, 6, 1481151600, 1, 169, 1481301693, NULL, NULL, 0),
(84728, 169, 2, 1, 1481842800, 1, 169, 1481531572, NULL, NULL, 0),
(84737, 217, 15833, 6, 1481497200, 0.5, 217, 1481532239, NULL, NULL, 0),
(84760, 164, 2, 1, 1481670000, 1, 164, 1481532974, NULL, NULL, 0),
(84841, 217, 12137, 18, 1481497200, 0.05, 217, 1481554460, NULL, NULL, 0),
(84822, 2, 23791, 1, 1481497200, 1, 2, 1481540722, NULL, NULL, 0),
(90697, 158, 2, 1, 1494972000, 1, 158, 1485178290, NULL, NULL, 0),
(90696, 158, 2, 1, 1494885600, 1, 158, 1485178290, NULL, NULL, 0),
(90695, 158, 2, 1, 1494799200, 1, 158, 1485178290, NULL, NULL, 0),
(103187, 157, 17762, 4, 1490310000, 1, 157, 1490349484, NULL, NULL, 0),
(84848, 2, 2, 1, 1483916400, 1, 2, 1481559005, NULL, NULL, 0),
(84850, 2, 23791, 1, 1481238000, 0.25, 2, 1481560473, NULL, NULL, 0),
(84851, 2, 23791, 1, 1481151600, 0.25, 2, 1481560480, NULL, NULL, 0),
(84852, 2, 1435, 1, 1481238000, 0.25, 2, 1481560487, NULL, NULL, 0),
(84853, 2, 15281, 17, 1481151600, 0.5, 2, 1481734411, NULL, NULL, 0),
(84854, 2, 15281, 17, 1481238000, 0.5, 2, 1481560515, NULL, NULL, 0),
(84868, 169, 15161, 7, 1481497200, 0.5, 169, 1481562452, NULL, NULL, 0),
(84869, 169, 15843, 6, 1481497200, 0.5, 169, 1481562509, NULL, NULL, 0),
(84896, 246, 2041, 1, 1481497200, 1, 246, 1481705521, NULL, NULL, 0),
(84901, 217, 14278, 18, 1481583600, 0.05, 217, 1481618923, NULL, NULL, 0),
(84902, 217, 14593, 18, 1481583600, 0.05, 217, 1481618950, NULL, NULL, 0),
(84927, 199, 12313, 5, 1481583600, 0.5, 199, 1481641905, NULL, NULL, 0),
(84928, 199, 2089, 1, 1481497200, 0.5, 199, 1481641935, NULL, NULL, 0),
(84929, 199, 2089, 1, 1481583600, 0.5, 199, 1481641942, NULL, NULL, 0),
(84930, 199, 2041, 1, 1481151600, 0.5, 199, 1481641965, NULL, NULL, 0),
(84931, 199, 2089, 1, 1481065200, 0.5, 199, 1481641978, NULL, NULL, 0),
(84932, 199, 12308, 5, 1481238000, 1, 199, 1481642063, NULL, NULL, 0),
(84956, 199, 2089, 1, 1480892400, 0.25, 199, 1481697457, NULL, NULL, 0),
(84959, 199, 8454, 5, 1480978800, 1, 199, 1481699108, NULL, NULL, 0),
(84960, 157, 1, 1, 1481583600, 0.5, 157, 1481699173, NULL, NULL, 0),
(84961, 157, 14712, 7, 1481583600, 0.5, 157, 1481699220, NULL, NULL, 0),
(84962, 74, 1505, 1, 1481151600, 0.25, 74, 1481699435, NULL, NULL, 0),
(84963, 74, 1436, 1, 1481065200, 0.5, 74, 1481699465, NULL, NULL, 0),
(84964, 74, 14721, 6, 1481238000, 1, 74, 1481699498, NULL, NULL, 0),
(84965, 74, 14250, 2, 1481065200, 0.25, 74, 1481699672, NULL, NULL, 0),
(84966, 74, 14721, 6, 1480978800, 1, 74, 1481699697, NULL, NULL, 0),
(84967, 74, 14721, 6, 1481065200, 0.25, 74, 1481699710, NULL, NULL, 0),
(84968, 74, 14721, 6, 1481151600, 0.75, 74, 1481699740, NULL, NULL, 0),
(84969, 199, 14263, 5, 1481497200, 0.25, 199, 1481699799, NULL, NULL, 0),
(84970, 205, 1041, 1, 1481670000, 1, 72, 1481700842, NULL, NULL, 0),
(84971, 205, 1041, 1, 1481756400, 1, 72, 1481700842, NULL, NULL, 0),
(84972, 205, 1041, 1, 1481842800, 1, 72, 1481700842, NULL, NULL, 0),
(84973, 199, 14227, 5, 1481065200, 0.5, 199, 1481700980, NULL, NULL, 0),
(84974, 199, 8454, 5, 1481151600, 0.5, 199, 1481701012, NULL, NULL, 0),
(84975, 199, 14263, 4, 1480633200, 0.25, 199, 1481701085, NULL, NULL, 0),
(84985, 199, 2041, 1, 1480460400, 0.5, 199, 1481701593, NULL, NULL, 0),
(84978, 199, 8454, 4, 1480633200, 0.75, 199, 1481701338, NULL, NULL, 0),
(84980, 199, 14242, 5, 1480546800, 0.5, 199, 1481701473, NULL, NULL, 0),
(84983, 199, 1505, 1, 1480546800, 0.5, 199, 1481701534, NULL, NULL, 0),
(84984, 199, 1505, 1, 1481497200, 0.25, 199, 1481701551, NULL, NULL, 0),
(84993, 147, 1041, 1, 1481670000, 1, 72, 1481705176, NULL, NULL, 0),
(84995, 246, 2041, 1, 1481583600, 1, 246, 1481705533, NULL, NULL, 0),
(84998, 217, 15832, 7, 1481670000, 0.25, 217, 1481705861, NULL, NULL, 0),
(84999, 217, 15832, 18, 1481670000, 0.05, 217, 1481705873, NULL, NULL, 0),
(85000, 217, 15833, 2, 1481670000, 0.1, 217, 1481705910, NULL, NULL, 0),
(85001, 217, 15835, 6, 1481583600, 0.4, 217, 1481705964, NULL, NULL, 0),
(85002, 217, 16047, 4, 1481670000, 0.6, 217, 1481706213, NULL, NULL, 0),
(85011, 212, 15377, 6, 1480978800, 1, 212, 1481710306, NULL, NULL, 0),
(85012, 212, 15377, 6, 1481065200, 1, 212, 1481710324, NULL, NULL, 0),
(85013, 212, 15377, 6, 1481151600, 1, 212, 1481710340, NULL, NULL, 0),
(85014, 212, 15377, 6, 1481238000, 0.5, 212, 1481710358, NULL, NULL, 0),
(85015, 212, 15377, 6, 1481583600, 1, 212, 1481710385, NULL, NULL, 0),
(85038, 205, 1041, 1, 1481497200, 1, 72, 1481715389, NULL, NULL, 0),
(85039, 205, 1041, 1, 1481583600, 1, 72, 1481715389, NULL, NULL, 0),
(85054, 246, 2, 1, 1482706800, 1, 246, 1481722225, NULL, NULL, 0),
(85055, 246, 2, 1, 1482793200, 1, 246, 1481722225, NULL, NULL, 0),
(85056, 246, 2, 1, 1482879600, 1, 246, 1481722225, NULL, NULL, 0),
(85057, 246, 2, 1, 1482966000, 1, 246, 1481722225, NULL, NULL, 0),
(85058, 246, 2, 1, 1483052400, 1, 246, 1481722225, NULL, NULL, 0),
(85071, 147, 2, 1, 1482361200, 1, 72, 1481728766, NULL, NULL, 0),
(85306, 217, 16077, 7, 1481756400, 0.05, 217, 1481808361, NULL, NULL, 0),
(85087, 246, 14262, 5, 1481670000, 0.3, 246, 1481732400, NULL, NULL, 0),
(85089, 246, 14264, 5, 1481670000, 0.7, 246, 1481732394, NULL, NULL, 0),
(85112, 2, 2, 1, 1481670000, 0.5, 2, 1481734313, NULL, NULL, 0),
(85113, 2, 15281, 17, 1481670000, 0.5, 2, 1481734356, NULL, NULL, 0),
(85114, 2, 15281, 17, 1481583600, 0.5, 2, 1481734370, NULL, NULL, 0),
(85115, 2, 23791, 1, 1481583600, 0.5, 2, 1481734378, NULL, NULL, 0),
(85117, 2, 1505, 1, 1481151600, 0.25, 2, 1481734428, NULL, NULL, 0),
(85155, 74, 1, 1, 1481842800, 0.5, 74, 1481791404, NULL, NULL, 0),
(85171, 146, 2, 1, 1482447600, 1, 146, 1481793301, NULL, NULL, 0),
(85172, 146, 2, 1, 1482706800, 1, 146, 1481793357, NULL, NULL, 0),
(85173, 146, 2, 1, 1482793200, 1, 146, 1481793373, NULL, NULL, 0),
(85174, 146, 2, 1, 1483052400, 1, 146, 1481793422, NULL, NULL, 0),
(85175, 147, 1041, 1, 1481756400, 1, 72, 1481793481, NULL, NULL, 0),
(85176, 147, 1041, 1, 1481842800, 1, 72, 1481793481, NULL, NULL, 0),
(85178, 212, 2, 1, 1482966000, 1, 212, 1481794020, NULL, NULL, 0),
(85179, 212, 2, 1, 1483052400, 1, 212, 1481794020, NULL, NULL, 0),
(85181, 199, 2, 1, 1481756400, 0.5, 199, 1481794343, NULL, NULL, 0),
(85186, 168, 1, 1, 1481583600, 0.5, 168, 1481794847, NULL, NULL, 0),
(85187, 168, 15832, 5, 1481583600, 0.5, 168, 1481794908, NULL, NULL, 0),
(85189, 168, 15832, 5, 1481497200, 1, 168, 1481794928, NULL, NULL, 0),
(85190, 168, 15832, 5, 1481670000, 0.5, 168, 1481794945, NULL, NULL, 0),
(85191, 168, 15832, 5, 1481756400, 1, 168, 1481794964, NULL, NULL, 0),
(85192, 168, 2, 1, 1481670000, 0.5, 168, 1481794988, NULL, NULL, 0),
(85193, 168, 1, 1, 1480892400, 1, 168, 1481795024, NULL, NULL, 0),
(85202, 168, 15833, 17, 1481151600, 0.5, 168, 1481797249, NULL, NULL, 0),
(85203, 168, 15309, 27, 1480978800, 0.5, 168, 1481797403, NULL, NULL, 0),
(85204, 168, 15309, 5, 1481065200, 1, 168, 1481797430, NULL, NULL, 0),
(85205, 168, 15309, 5, 1480978800, 0.5, 168, 1481797469, NULL, NULL, 0),
(85206, 168, 15309, 17, 1481151600, 0.5, 168, 1481797554, NULL, NULL, 0),
(85213, 168, 15835, 5, 1480460400, 1, 168, 1481798453, NULL, NULL, 0),
(85214, 168, 15835, 5, 1480546800, 1, 168, 1481798464, NULL, NULL, 0),
(85215, 168, 15835, 5, 1480633200, 1, 168, 1481798492, NULL, NULL, 0),
(85221, 217, 16077, 7, 1481756400, 0.3, 217, 1481798716, NULL, NULL, 0),
(85220, 217, 16077, 4, 1481756400, 0.25, 217, 1481798697, NULL, NULL, 0),
(85233, 168, 15309, 5, 1479250800, 1, 168, 1481799138, NULL, NULL, 0),
(85231, 168, 15309, 5, 1479078000, 1, 168, 1481799106, NULL, NULL, 0),
(85232, 168, 15309, 5, 1479164400, 1, 168, 1481799118, NULL, NULL, 0),
(85234, 168, 15309, 5, 1479337200, 1, 168, 1481799155, NULL, NULL, 0),
(85236, 168, 15309, 5, 1479423600, 1, 168, 1481799173, NULL, NULL, 0),
(85246, 168, 2, 1, 1482102000, 0.5, 168, 1481799292, NULL, NULL, 0),
(85247, 168, 1, 1, 1482447600, 1, 168, 1481799330, NULL, NULL, 0),
(85300, 217, 16077, 18, 1481842800, 0.1, 217, 1481808158, NULL, NULL, 0),
(85301, 217, 15832, 18, 1481842800, 0.1, 217, 1481808184, NULL, NULL, 0),
(85304, 217, 16047, 4, 1481842800, 0.2, 217, 1481808267, NULL, NULL, 0),
(85303, 217, 15832, 7, 1481842800, 0.6, 217, 1481808245, NULL, NULL, 0),
(85327, 217, 15833, 4, 1481756400, 0.4, 217, 1481812599, NULL, NULL, 0),
(85338, 72, 23791, 1, 1481670000, 1, 72, 1481816321, NULL, NULL, 0),
(85340, 72, 1435, 1, 1481756400, 0.5, 72, 1481816340, NULL, NULL, 0),
(85341, 72, 23791, 1, 1481756400, 0.5, 72, 1481816349, NULL, NULL, 0),
(85353, 157, 16078, 4, 1481756400, 1, 157, 1481820005, NULL, NULL, 0),
(85354, 157, 16078, 4, 1481670000, 1, 157, 1481820024, NULL, NULL, 0),
(85355, 169, 12312, 5, 1481670000, 1, 169, 1481821049, NULL, NULL, 0),
(85356, 169, 12312, 5, 1481756400, 1, 169, 1481821059, NULL, NULL, 0),
(85357, 169, 12312, 5, 1481583600, 1, 169, 1481821073, NULL, NULL, 0),
(85413, 164, 11032, 18, 1481238000, 0.5, 164, 1481880791, NULL, NULL, 0),
(85414, 164, 6967, 18, 1481497200, 0.75, 164, 1481880840, NULL, NULL, 0),
(85418, 164, 11032, 18, 1481756400, 0.75, 164, 1481881199, NULL, NULL, 0),
(85416, 164, 11032, 18, 1481497200, 0.25, 164, 1481881092, NULL, NULL, 0),
(85417, 164, 16093, 18, 1481583600, 1, 164, 1481881131, NULL, NULL, 0),
(85419, 164, 12179, 1, 1481756400, 0.25, 164, 1481881212, NULL, NULL, 0),
(85420, 164, 11032, 18, 1481842800, 0.5, 164, 1481881240, NULL, NULL, 0),
(85421, 164, 1435, 1, 1481842800, 0.5, 164, 1481881254, NULL, NULL, 0),
(85428, 157, 16078, 6, 1481842800, 0.5, 157, 1481883750, NULL, NULL, 0),
(85430, 157, 14712, 7, 1481842800, 0.5, 157, 1481883775, NULL, NULL, 0),
(86819, 342, 1436, 6, 1482188400, 1, 342, 1482485141, NULL, NULL, 0),
(107952, 147, 10623, 5, 1492725600, 1, 147, 1492778274, NULL, NULL, 0),
(85518, 199, 12311, 5, 1481756400, 0.25, 199, 1481898713, NULL, NULL, 0),
(85520, 199, 12311, 5, 1481670000, 0.5, 199, 1481898725, NULL, NULL, 0),
(85521, 199, 12313, 5, 1481842800, 0.5, 199, 1481898758, NULL, NULL, 0),
(85522, 199, 12313, 5, 1481756400, 0.25, 199, 1481898769, NULL, NULL, 0),
(85523, 199, 14250, 2, 1481842800, 0.5, 199, 1481898800, NULL, NULL, 0),
(85524, 199, 2089, 1, 1481670000, 0.5, 199, 1481898821, NULL, NULL, 0),
(85582, 2, 1435, 1, 1481756400, 1, 2, 1481903948, NULL, NULL, 0),
(85583, 2, 1435, 1, 1481842800, 1, 2, 1481903953, NULL, NULL, 0),
(85587, 146, 15571, 4, 1481842800, 1, 146, 1481904895, NULL, NULL, 0),
(85588, 146, 15571, 4, 1481756400, 1, 146, 1481904918, NULL, NULL, 0),
(85633, 199, 8454, 4, 1480460400, 0.5, 199, 1482132347, NULL, NULL, 0),
(85634, 74, 14721, 6, 1481583600, 0.5, 74, 1482132907, NULL, NULL, 0),
(85635, 74, 14721, 6, 1481670000, 1, 74, 1482132918, NULL, NULL, 0),
(85636, 74, 14721, 6, 1481756400, 1, 74, 1482132928, NULL, NULL, 0),
(85637, 74, 14721, 6, 1481842800, 0.5, 74, 1482132940, NULL, NULL, 0),
(88443, 74, 1, 1, 1484175600, 0.5, 74, 1483946240, NULL, NULL, 0),
(88511, 74, 16514, 6, 1483657200, 0.5, 74, 1483954277, NULL, NULL, 0),
(88441, 199, 12318, 5, 1483657200, 0.25, 199, 1483944839, NULL, NULL, 0),
(88440, 199, 16068, 5, 1483657200, 0.25, 199, 1483944798, NULL, NULL, 0),
(88439, 199, 1437, 1, 1483657200, 0.5, 199, 1483944764, NULL, NULL, 0),
(85679, 212, 14721, 6, 1481670000, 1, 212, 1482138274, NULL, NULL, 0),
(85680, 212, 14721, 6, 1481756400, 1, 212, 1482138295, NULL, NULL, 0),
(85681, 212, 14721, 6, 1481842800, 1, 212, 1482138312, NULL, NULL, 0),
(85735, 168, 16106, 4, 1481842800, 1, 168, 1482140516, NULL, NULL, 0),
(85737, 158, 1041, 1, 1482102000, 1, 72, 1482140869, NULL, NULL, 0),
(85738, 158, 1041, 1, 1482793200, 1, 72, 1482140910, NULL, NULL, 0),
(85739, 158, 1041, 1, 1482879600, 1, 72, 1482140910, NULL, NULL, 0),
(85740, 158, 1041, 1, 1482966000, 1, 72, 1482140910, NULL, NULL, 0),
(85741, 158, 1041, 1, 1483052400, 1, 72, 1482140910, NULL, NULL, 0),
(85742, 158, 1041, 1, 1483311600, 1, 72, 1482140910, NULL, NULL, 0),
(85743, 158, 1041, 1, 1483398000, 1, 72, 1482140910, NULL, NULL, 0),
(85744, 158, 1041, 1, 1483484400, 1, 72, 1482140910, NULL, NULL, 0),
(85745, 158, 1041, 1, 1483570800, 1, 72, 1482140910, NULL, NULL, 0),
(85746, 158, 1041, 1, 1483657200, 1, 72, 1482140910, NULL, NULL, 0),
(86412, 217, 2, 1, 1482102000, 1, 217, 1482224205, NULL, NULL, 0),
(85939, 199, 12308, 5, 1482102000, 0.5, 199, 1482154704, NULL, NULL, 0),
(85960, 199, 12309, 5, 1482102000, 0.25, 199, 1482157415, NULL, NULL, 0),
(85980, 217, 11115, 2, 1482188400, 0.25, 217, 1482159312, NULL, NULL, 0),
(85981, 217, 12137, 2, 1482188400, 0.25, 217, 1482159318, NULL, NULL, 0),
(85998, 72, 23791, 1, 1482102000, 1, 72, 1482164834, NULL, NULL, 0),
(85999, 157, 14712, 4, 1482102000, 1, 157, 1482165507, NULL, NULL, 0),
(86000, 157, 14712, 4, 1482188400, 1, 157, 1482165524, NULL, NULL, 0),
(86406, 246, 16068, 4, 1482102000, 1, 246, 1482222158, NULL, NULL, 0),
(86407, 217, 16106, 7, 1483311600, 0.3, 217, 1482224109, NULL, NULL, 0),
(86409, 217, 16106, 4, 1483311600, 0.2, 217, 1482224133, NULL, NULL, 0),
(86411, 217, 16047, 7, 1483311600, 0.5, 217, 1482224150, NULL, NULL, 0),
(86486, 164, 16139, 18, 1482188400, 1, 164, 1482243550, NULL, NULL, 0),
(86487, 164, 15281, 18, 1482102000, 0.5, 164, 1482243577, NULL, NULL, 0),
(86488, 164, 16139, 17, 1482102000, 0.5, 164, 1482243620, NULL, NULL, 0),
(86500, 322, 14791, 5, 1482188400, 1, 322, 1482247841, NULL, NULL, 0),
(86501, 322, 1, 1, 1482102000, 1, 322, 1482247862, NULL, NULL, 0),
(86518, 72, 23791, 1, 1482188400, 1, 72, 1482303148, NULL, NULL, 0),
(86519, 199, 16144, 5, 1482188400, 0.5, 199, 1482305969, NULL, NULL, 0),
(86520, 199, 2089, 1, 1482188400, 0.5, 199, 1482305993, NULL, NULL, 0),
(86526, 74, 14721, 6, 1482102000, 0.5, 74, 1482306908, NULL, NULL, 0),
(86527, 74, 14721, 6, 1482188400, 1, 74, 1482306922, NULL, NULL, 0),
(86528, 322, 2, 1, 1482447600, 0.5, 322, 1482309678, NULL, NULL, 0),
(86555, 199, 12314, 5, 1482102000, 0.25, 199, 1482320881, NULL, NULL, 0),
(86556, 199, 12314, 5, 1482274800, 0.25, 199, 1482320896, NULL, NULL, 0),
(86557, 199, 12311, 5, 1482274800, 0.25, 199, 1482320921, NULL, NULL, 0),
(86558, 199, 2089, 1, 1482274800, 0.25, 199, 1482320931, NULL, NULL, 0),
(86559, 72, 23791, 1, 1482274800, 1, 72, 1482329269, NULL, NULL, 0),
(86560, 199, 12316, 5, 1482274800, 0.25, 199, 1482331451, NULL, NULL, 0),
(86561, 246, 16068, 4, 1482188400, 1, 246, 1482331938, NULL, NULL, 0),
(86566, 212, 14721, 6, 1482102000, 1, 212, 1482335886, NULL, NULL, 0),
(86567, 212, 14721, 6, 1482188400, 1, 212, 1482335903, NULL, NULL, 0),
(86579, 74, 14721, 6, 1482361200, 1, 74, 1482392395, NULL, NULL, 0),
(86580, 74, 14721, 6, 1482274800, 0.5, 74, 1482392406, NULL, NULL, 0),
(86581, 74, 16070, 2, 1482274800, 0.5, 74, 1482392433, NULL, NULL, 0),
(86582, 72, 23791, 1, 1482361200, 1, 72, 1482392712, NULL, NULL, 0),
(86583, 246, 16068, 4, 1482274800, 1, 72, 1482392874, NULL, NULL, 0),
(86721, 168, 16162, 5, 1482188400, 1, 168, 1482416530, NULL, NULL, 0),
(86722, 168, 16162, 5, 1482102000, 0.5, 168, 1482416547, NULL, NULL, 0),
(86723, 168, 16162, 5, 1482274800, 1, 168, 1482416660, NULL, NULL, 0),
(86724, 168, 15782, 5, 1482361200, 1, 168, 1482416697, NULL, NULL, 0),
(86725, 168, 1, 1, 1483570800, 1, 168, 1482416815, NULL, NULL, 0),
(86726, 164, 11032, 18, 1482361200, 0.5, 164, 1482418755, NULL, NULL, 0),
(86727, 164, 11032, 18, 1482274800, 1, 164, 1482418713, NULL, NULL, 0),
(86728, 164, 16139, 18, 1482361200, 0.5, 164, 1482418739, NULL, NULL, 0),
(86776, 322, 14791, 5, 1482361200, 1, 322, 1482422534, NULL, NULL, 0),
(86777, 322, 14791, 6, 1482274800, 1, 322, 1482422587, NULL, NULL, 0),
(86782, 146, 15571, 4, 1482102000, 1, 146, 1482423191, NULL, NULL, 0),
(86780, 146, 16140, 4, 1482274800, 1, 146, 1482423104, NULL, NULL, 0),
(86781, 146, 16140, 4, 1482361200, 1, 146, 1482423125, NULL, NULL, 0),
(86783, 146, 15571, 4, 1482188400, 0.5, 146, 1482423217, NULL, NULL, 0),
(86784, 146, 16140, 4, 1482188400, 0.5, 146, 1482423232, NULL, NULL, 0),
(86785, 72, 23791, 1, 1482447600, 1, 72, 1482475322, NULL, NULL, 0),
(86786, 72, 1, 1, 1483657200, 1, 72, 1482475378, NULL, NULL, 0),
(86830, 164, 6967, 18, 1482447600, 0.7, 164, 1482487670, NULL, NULL, 0),
(86808, 342, 1436, 6, 1481670000, 1, 342, 1482484892, NULL, NULL, 0),
(86810, 342, 1436, 6, 1481756400, 1, 342, 1482484961, NULL, NULL, 0),
(86812, 342, 1436, 6, 1481842800, 1, 342, 1482484979, NULL, NULL, 0),
(86826, 342, 1436, 6, 1482361200, 0.75, 342, 1482485823, NULL, NULL, 0),
(86818, 342, 1436, 6, 1482102000, 1, 342, 1482485122, NULL, NULL, 0),
(86820, 342, 1436, 6, 1482274800, 1, 342, 1482485168, NULL, NULL, 0),
(86825, 342, 1505, 1, 1482361200, 0.25, 342, 1482485748, NULL, NULL, 0),
(86831, 164, 16139, 18, 1482447600, 0.3, 164, 1482487686, NULL, NULL, 0),
(86865, 322, 2, 1, 1482447600, 0.5, 72, 1482502639, NULL, NULL, 0),
(86887, 199, 16144, 5, 1482361200, 0.25, 199, 1482506937, NULL, NULL, 0),
(86888, 199, 12316, 5, 1482447600, 1, 199, 1482506976, NULL, NULL, 0),
(86894, 199, 12305, 5, 1482361200, 0.75, 199, 1482507117, NULL, NULL, 0),
(86897, 169, 12312, 5, 1482361200, 1, 169, 1482507568, NULL, NULL, 0),
(86898, 169, 12315, 5, 1482447600, 1, 169, 1482507734, NULL, NULL, 0),
(86900, 169, 12312, 5, 1482274800, 1, 169, 1482507805, NULL, NULL, 0),
(86901, 169, 16110, 5, 1482102000, 1, 169, 1482507850, NULL, NULL, 0),
(86902, 169, 16110, 5, 1482188400, 1, 169, 1482507862, NULL, NULL, 0),
(86988, 147, 15836, 5, 1481497200, 1, 147, 1482740592, NULL, NULL, 0),
(86989, 147, 15836, 5, 1481583600, 1, 147, 1482740607, NULL, NULL, 0),
(86993, 147, 12791, 5, 1482706800, 0.5, 147, 1482740681, NULL, NULL, 0),
(86994, 147, 14060, 5, 1482706800, 0.5, 147, 1482740710, NULL, NULL, 0),
(88741, 217, 15832, 18, 1484002800, 0.05, 217, 1484040992, NULL, NULL, 0),
(88740, 217, 15832, 7, 1484002800, 0.2, 217, 1484040985, NULL, NULL, 0),
(87172, 157, 2, 1, 1484607600, 1, 157, 1482935308, NULL, NULL, 0),
(87173, 157, 1505, 1, 1482879600, 0.25, 157, 1482935374, NULL, NULL, 0),
(87174, 157, 15287, 4, 1482879600, 0.25, 157, 1482935412, NULL, NULL, 0),
(87175, 157, 15165, 7, 1482879600, 0.5, 157, 1482935446, NULL, NULL, 0),
(87189, 2, 23791, 1, 1482879600, 0.5, 2, 1482966749, NULL, NULL, 0),
(87190, 2, 15281, 18, 1482879600, 0.5, 2, 1482966788, NULL, NULL, 0),
(87191, 157, 2, 1, 1483052400, 1, 157, 1482996931, NULL, NULL, 0),
(87192, 157, 14712, 6, 1482966000, 1, 157, 1482997058, NULL, NULL, 0),
(87194, 322, 14791, 5, 1482706800, 1, 322, 1482998259, NULL, NULL, 0),
(87195, 322, 14791, 4, 1482793200, 1, 322, 1482998281, NULL, NULL, 0),
(87196, 322, 14791, 5, 1482879600, 1, 322, 1482998306, NULL, NULL, 0),
(87197, 322, 14791, 6, 1482966000, 0.5, 322, 1482998333, NULL, NULL, 0),
(87198, 322, 14791, 5, 1482966000, 0.5, 322, 1482998349, NULL, NULL, 0),
(87230, 48, 2, 1, 1484175600, 1, 48, 1483007171, NULL, NULL, 0),
(87231, 48, 2, 1, 1484262000, 1, 48, 1483007182, NULL, NULL, 0),
(87232, 48, 2, 1, 1484780400, 1, 48, 1483007208, NULL, NULL, 0),
(87233, 48, 2, 1, 1484866800, 1, 48, 1483007214, NULL, NULL, 0),
(87234, 48, 2, 1, 1485385200, 1, 48, 1483007222, NULL, NULL, 0),
(87235, 48, 2, 1, 1485471600, 1, 48, 1483007228, NULL, NULL, 0),
(87249, 48, 2, 1, 1485990000, 1, 48, 1483007358, NULL, NULL, 0),
(87250, 48, 2, 1, 1486076400, 1, 48, 1483007364, NULL, NULL, 0),
(87319, 147, 12791, 5, 1482793200, 1, 147, 1483025404, NULL, NULL, 0),
(87324, 147, 12791, 5, 1482966000, 0.1, 147, 1483025595, NULL, NULL, 0),
(87323, 147, 12791, 5, 1482879600, 1, 147, 1483025575, NULL, NULL, 0),
(87322, 147, 15836, 5, 1482966000, 0.8, 147, 1483025530, NULL, NULL, 0),
(87325, 147, 14060, 5, 1482966000, 0.1, 147, 1483025607, NULL, NULL, 0),
(87326, 147, 15836, 5, 1483052400, 1, 147, 1483025622, NULL, NULL, 0),
(87328, 147, 2, 1, 1483657200, 1, 147, 1483025663, NULL, NULL, 0),
(87338, 146, 16140, 5, 1482966000, 1, 146, 1483031993, NULL, NULL, 0),
(87339, 146, 16140, 5, 1482879600, 1, 146, 1483032030, NULL, NULL, 0),
(87347, 2, 23791, 1, 1482966000, 0.5, 2, 1483090692, NULL, NULL, 0),
(87403, 322, 14791, 6, 1483052400, 1, 322, 1483101717, NULL, NULL, 0),
(87441, 158, 2, 1, 1497564000, 1, 158, 1483270564, NULL, NULL, 0),
(87442, 158, 2, 1, 1497823200, 1, 158, 1483270566, NULL, NULL, 0),
(87443, 158, 2, 1, 1497909600, 1, 158, 1483270566, NULL, NULL, 0),
(87444, 158, 2, 1, 1497996000, 1, 158, 1483270566, NULL, NULL, 0),
(87445, 158, 2, 1, 1498082400, 1, 158, 1483270566, NULL, NULL, 0),
(87446, 158, 2, 1, 1498168800, 1, 158, 1483270566, NULL, NULL, 0),
(87482, 146, 1041, 1, 1483311600, 1, 2, 1483347822, NULL, NULL, 0),
(87483, 147, 1041, 1, 1483311600, 1, 2, 1483347842, NULL, NULL, 0),
(87496, 2, 1435, 1, 1483052400, 1, 2, 1483368220, NULL, NULL, 0),
(87497, 2, 1435, 1, 1482966000, 0.5, 2, 1483368263, NULL, NULL, 0),
(87498, 2, 12790, 2, 1483311600, 0.2, 2, 1483368339, NULL, NULL, 0),
(87503, 74, 1, 1, 1484607600, 0.5, 74, 1483430836, NULL, NULL, 0),
(88383, 74, 1, 1, 1483657200, 0.5, 74, 1483708303, NULL, NULL, 0),
(96243, 74, 1, 1, 1487026800, 0.5, 74, 1487321117, NULL, NULL, 0),
(95277, 74, 2, 1, 1489446000, 1, 74, 1486972407, NULL, NULL, 0),
(87538, 246, 2041, 1, 1483311600, 0.2, 246, 1483432159, NULL, NULL, 0),
(87539, 246, 16068, 4, 1483311600, 0.5, 246, 1483432191, NULL, NULL, 0),
(87540, 246, 16069, 5, 1483311600, 0.3, 246, 1483432221, NULL, NULL, 0),
(87555, 147, 1041, 1, 1483398000, 1, 2, 1483436211, NULL, NULL, 0),
(87556, 147, 1041, 1, 1483484400, 1, 2, 1483436219, NULL, NULL, 0),
(87562, 164, 2, 1, 1488754800, 1, 164, 1483436941, NULL, NULL, 0),
(87563, 164, 2, 1, 1488841200, 1, 164, 1483436941, NULL, NULL, 0),
(87564, 164, 2, 1, 1488927600, 1, 164, 1483436941, NULL, NULL, 0),
(87565, 164, 2, 1, 1489014000, 1, 164, 1483436941, NULL, NULL, 0),
(87566, 164, 2, 1, 1489100400, 1, 164, 1483436941, NULL, NULL, 0),
(87569, 212, 1437, 1, 1482706800, 1, 72, 1483438783, NULL, NULL, 0),
(87570, 212, 1437, 1, 1482793200, 1, 72, 1483438822, NULL, NULL, 0),
(87571, 212, 1437, 1, 1482879600, 1, 72, 1483438835, NULL, NULL, 0),
(87572, 212, 14721, 6, 1482274800, 1, 72, 1483438915, NULL, NULL, 0),
(87573, 212, 1437, 1, 1482361200, 1, 72, 1483438931, NULL, NULL, 0),
(87574, 212, 1437, 1, 1482447600, 1, 72, 1483438943, NULL, NULL, 0),
(87596, 342, 16070, 6, 1483398000, 1, 342, 1483440129, NULL, NULL, 0),
(87599, 342, 1436, 6, 1482793200, 1, 342, 1483440255, NULL, NULL, 0),
(87598, 342, 1436, 6, 1482879600, 1, 342, 1483440192, NULL, NULL, 0),
(87600, 342, 1436, 6, 1482966000, 1, 342, 1483440268, NULL, NULL, 0),
(87601, 342, 1436, 6, 1483052400, 1, 342, 1483440284, NULL, NULL, 0),
(87602, 342, 2, 1, 1482706800, 1, 342, 1483440306, NULL, NULL, 0),
(87603, 342, 16070, 6, 1483311600, 1, 342, 1483440411, NULL, NULL, 0),
(87604, 342, 16070, 6, 1483484400, 1, 342, 1483440427, NULL, NULL, 0),
(87615, 146, 1041, 1, 1483398000, 1, 2, 1483447353, NULL, NULL, 0),
(87616, 146, 1041, 1, 1483484400, 1, 2, 1483447360, NULL, NULL, 0),
(87617, 2, 15841, 7, 1483398000, 0.25, 2, 1483447554, NULL, NULL, 0),
(87618, 2, 1435, 1, 1483398000, 0.5, 2, 1483613233, NULL, NULL, 0),
(87619, 2, 1435, 1, 1483311600, 0.6, 2, 1483617500, NULL, NULL, 0),
(87620, 2, 14059, 7, 1483311600, 0.2, 2, 1483447640, NULL, NULL, 0),
(87866, 168, 1, 1, 1483484400, 0.5, 168, 1483542075, NULL, NULL, 0),
(87632, 217, 16312, 4, 1483398000, 1, 217, 1483451687, NULL, NULL, 0),
(87649, 48, 2, 1, 1492466400, 1, 48, 1483454367, NULL, NULL, 0),
(87651, 48, 2, 1, 1492552800, 1, 48, 1483454376, NULL, NULL, 0),
(87652, 48, 2, 1, 1492639200, 1, 48, 1483454379, NULL, NULL, 0),
(87653, 48, 2, 1, 1492725600, 1, 48, 1483454386, NULL, NULL, 0),
(87657, 48, 2, 1, 1495490400, 1, 48, 1483454450, NULL, NULL, 0),
(87658, 48, 2, 1, 1495404000, 1, 48, 1483454455, NULL, NULL, 0),
(87659, 48, 2, 1, 1495576800, 1, 48, 1483454459, NULL, NULL, 0),
(87660, 48, 2, 1, 1495749600, 1, 48, 1483454464, NULL, NULL, 0),
(87684, 48, 2, 1, 1486681200, 1, 48, 1483455094, NULL, NULL, 0),
(87685, 48, 2, 1, 1486594800, 1, 48, 1483455109, NULL, NULL, 0),
(87691, 48, 2, 1, 1488409200, 1, 48, 1483455220, NULL, NULL, 0),
(87687, 48, 2, 1, 1487199600, 1, 48, 1483455136, NULL, NULL, 0),
(87688, 48, 2, 1, 1487286000, 1, 48, 1483455141, NULL, NULL, 0),
(87689, 48, 2, 1, 1487804400, 1, 48, 1483455167, NULL, NULL, 0),
(87690, 48, 2, 1, 1487890800, 1, 48, 1483455172, NULL, NULL, 0),
(87692, 48, 2, 1, 1488495600, 1, 48, 1483455226, NULL, NULL, 0),
(87693, 48, 2, 1, 1489014000, 1, 48, 1483455287, NULL, NULL, 0),
(87694, 48, 2, 1, 1489100400, 1, 48, 1483455296, NULL, NULL, 0),
(87695, 48, 2, 1, 1489618800, 1, 48, 1483455304, NULL, NULL, 0),
(87696, 48, 2, 1, 1489705200, 1, 48, 1483455307, NULL, NULL, 0),
(87697, 48, 2, 1, 1490223600, 1, 48, 1483455316, NULL, NULL, 0),
(87698, 48, 2, 1, 1490310000, 1, 48, 1483455319, NULL, NULL, 0),
(87699, 48, 2, 1, 1490824800, 1, 48, 1483455326, NULL, NULL, 0),
(87700, 48, 2, 1, 1490911200, 1, 48, 1483455329, NULL, NULL, 0),
(87701, 48, 2, 1, 1491429600, 1, 48, 1483455338, NULL, NULL, 0),
(87702, 48, 2, 1, 1491516000, 1, 48, 1483455344, NULL, NULL, 0),
(87703, 48, 2, 1, 1492034400, 1, 48, 1483455353, NULL, NULL, 0),
(87704, 48, 2, 1, 1492120800, 1, 48, 1483455363, NULL, NULL, 0),
(87705, 48, 2, 1, 1493244000, 1, 48, 1483455378, NULL, NULL, 0),
(87706, 48, 2, 1, 1493330400, 1, 48, 1483455383, NULL, NULL, 0),
(87707, 48, 2, 1, 1493848800, 1, 48, 1483455394, NULL, NULL, 0),
(87708, 48, 2, 1, 1493935200, 1, 48, 1483455403, NULL, NULL, 0),
(87709, 48, 2, 1, 1494453600, 1, 48, 1483455416, NULL, NULL, 0),
(87710, 48, 2, 1, 1494540000, 1, 48, 1483455420, NULL, NULL, 0),
(87711, 48, 2, 1, 1495058400, 1, 48, 1483455428, NULL, NULL, 0),
(87712, 48, 2, 1, 1495144800, 1, 48, 1483455432, NULL, NULL, 0),
(87713, 48, 2, 1, 1496268000, 1, 48, 1483455443, NULL, NULL, 0),
(87714, 48, 2, 1, 1496354400, 1, 48, 1483455448, NULL, NULL, 0),
(87715, 48, 2, 1, 1496872800, 1, 48, 1483455463, NULL, NULL, 0),
(87716, 48, 2, 1, 1496959200, 1, 48, 1483455470, NULL, NULL, 0),
(87719, 48, 2, 1, 1498082400, 1, 48, 1483455499, NULL, NULL, 0),
(87720, 48, 2, 1, 1498168800, 1, 48, 1483455503, NULL, NULL, 0),
(87721, 48, 2, 1, 1498687200, 1, 48, 1483455511, NULL, NULL, 0),
(87722, 48, 2, 1, 1498773600, 1, 48, 1483455515, NULL, NULL, 0),
(87725, 72, 16332, 4, 1483398000, 0.5, 72, 1483458097, NULL, NULL, 0),
(87726, 72, 23789, 1, 1483398000, 0.5, 72, 1483458117, NULL, NULL, 0),
(88463, 158, 1041, 1, 1483916400, 1, 72, 1483950387, NULL, NULL, 0),
(87736, 199, 12316, 5, 1483311600, 1, 199, 1483512693, NULL, NULL, 0),
(87737, 199, 12316, 5, 1483398000, 0.4, 199, 1483512717, NULL, NULL, 0),
(87738, 199, 2089, 1, 1483398000, 0.25, 199, 1483512742, NULL, NULL, 0),
(87739, 199, 2041, 1, 1483398000, 0.2, 199, 1483512776, NULL, NULL, 0),
(87751, 199, 16335, 5, 1483484400, 0.2, 199, 1483521105, NULL, NULL, 0),
(87748, 199, 16335, 5, 1483484400, 0.25, 199, 1483520910, NULL, NULL, 0),
(87749, 199, 16335, 5, 1483398000, 0.1, 199, 1483520920, NULL, NULL, 0),
(87750, 199, 16335, 5, 1483398000, 0.05, 199, 1483520932, NULL, NULL, 0),
(87754, 217, 15832, 7, 1483484400, 0.25, 217, 1483523685, NULL, NULL, 0),
(87755, 217, 15832, 18, 1483484400, 0.05, 217, 1483523696, NULL, NULL, 0),
(87756, 217, 16047, 7, 1483484400, 0.25, 217, 1483523713, NULL, NULL, 0),
(87757, 217, 16047, 18, 1483484400, 0.05, 217, 1483523722, NULL, NULL, 0),
(87758, 217, 16106, 6, 1483484400, 0.4, 217, 1483523755, NULL, NULL, 0),
(87850, 342, 2, 1, 1484866800, 1, 342, 1483531676, NULL, NULL, 0),
(87851, 342, 2, 1, 1485126000, 1, 342, 1483531676, NULL, NULL, 0),
(87858, 157, 15287, 6, 1483398000, 0.5, 157, 1483540059, NULL, NULL, 0),
(87859, 72, 16332, 4, 1483484400, 0.5, 72, 1483540071, NULL, NULL, 0),
(87861, 72, 23789, 1, 1483484400, 0.5, 72, 1483540092, NULL, NULL, 0),
(87863, 157, 15287, 6, 1483484400, 1, 157, 1483540446, NULL, NULL, 0),
(87864, 157, 16356, 4, 1483398000, 0.5, 157, 1483540491, NULL, NULL, 0),
(87870, 246, 16069, 5, 1483398000, 1, 246, 1483542478, NULL, NULL, 0),
(89667, 48, 2, 1, 1489359600, 1, 48, 1484579818, NULL, NULL, 0),
(89666, 48, 2, 1, 1489446000, 1, 48, 1484579816, NULL, NULL, 0),
(89665, 48, 2, 1, 1489532400, 1, 48, 1484579813, NULL, NULL, 0),
(87919, 147, 2, 1, 1483570800, 1, 72, 1483544604, NULL, NULL, 0),
(87982, 199, 16068, 27, 1483484400, 0.25, 199, 1483598548, NULL, NULL, 0),
(87983, 199, 2089, 1, 1483484400, 0.3, 199, 1483598570, NULL, NULL, 0),
(88348, 164, 16588, 18, 1483398000, 1, 164, 1483698504, NULL, NULL, 0),
(88106, 217, 16106, 6, 1483570800, 0.3, 217, 1483608667, NULL, NULL, 0),
(88121, 72, 16332, 4, 1483570800, 0.5, 72, 1483612006, NULL, NULL, 0),
(88346, 72, 23789, 1, 1483570800, 0.5, 72, 1483698058, NULL, NULL, 0),
(88124, 217, 16047, 18, 1483570800, 0.1, 217, 1483613192, NULL, NULL, 0),
(88125, 217, 15832, 18, 1483570800, 0.1, 217, 1483613201, NULL, NULL, 0),
(88126, 2, 23789, 1, 1483398000, 0.25, 2, 1483613215, NULL, NULL, 0),
(88127, 217, 11115, 2, 1483570800, 0.1, 217, 1483613225, NULL, NULL, 0),
(88128, 217, 13775, 2, 1483570800, 0.1, 217, 1483613236, NULL, NULL, 0),
(88129, 2, 1435, 1, 1483484400, 0.5, 2, 1483613250, NULL, NULL, 0),
(88199, 246, 16069, 5, 1483484400, 1, 246, 1483619955, NULL, NULL, 0),
(88277, 217, 16106, 6, 1483570800, 0.3, 217, 1483629233, NULL, NULL, 0),
(88313, 146, 16140, 4, 1483570800, 0.5, 146, 1483633508, NULL, NULL, 0),
(88321, 2, 16139, 17, 1483484400, 0.5, 2, 1483642964, NULL, NULL, 0),
(88322, 2, 16139, 17, 1483570800, 0.8, 2, 1483642979, NULL, NULL, 0),
(88323, 2, 12790, 7, 1483570800, 0.2, 2, 1483643028, NULL, NULL, 0),
(88324, 199, 8454, 27, 1483570800, 0.25, 199, 1483689835, NULL, NULL, 0),
(88325, 199, 16335, 4, 1483570800, 0.5, 199, 1483689872, NULL, NULL, 0),
(88326, 199, 12318, 5, 1483570800, 0.25, 199, 1483689914, NULL, NULL, 0),
(88330, 146, 1041, 1, 1483657200, 1, 2, 1483692760, NULL, NULL, 0),
(88349, 164, 16139, 18, 1483484400, 0.5, 164, 1483698527, NULL, NULL, 0),
(88350, 164, 16139, 17, 1483484400, 0.5, 164, 1483698543, NULL, NULL, 0),
(88351, 164, 16139, 17, 1483570800, 0.5, 164, 1483698573, NULL, NULL, 0),
(88353, 164, 1435, 1, 1483570800, 0.5, 164, 1483698585, NULL, NULL, 0),
(88355, 164, 16139, 18, 1483657200, 1, 164, 1483698602, NULL, NULL, 0),
(88358, 342, 16070, 6, 1483570800, 1, 342, 1483698691, NULL, NULL, 0),
(88359, 342, 16070, 6, 1483657200, 1, 342, 1483698712, NULL, NULL, 0),
(88373, 205, 8454, 4, 1483657200, 0.25, 205, 1483707566, NULL, NULL, 0),
(88376, 205, 16047, 2, 1483657200, 0.1, 205, 1483707592, NULL, NULL, 0),
(88377, 205, 10399, 4, 1483657200, 0.6, 205, 1483707627, NULL, NULL, 0),
(88378, 205, 10399, 4, 1483657200, 0.05, 205, 1483707637, NULL, NULL, 0),
(88379, 205, 4857, 1, 1483484400, 0.5, 205, 1483707663, NULL, NULL, 0),
(88380, 205, 23789, 1, 1483484400, 0.5, 205, 1483707683, NULL, NULL, 0),
(88381, 205, 10399, 4, 1483570800, 0.5, 205, 1483707704, NULL, NULL, 0),
(88382, 205, 8454, 4, 1483570800, 0.5, 205, 1483707714, NULL, NULL, 0),
(88384, 74, 14721, 6, 1483398000, 1, 74, 1483709997, NULL, NULL, 0),
(88387, 74, 14721, 6, 1483484400, 0.75, 74, 1483710043, NULL, NULL, 0),
(88510, 74, 16514, 6, 1483570800, 1, 74, 1483954266, NULL, NULL, 0),
(88388, 74, 15856, 27, 1483484400, 0.25, 74, 1483710068, NULL, NULL, 0),
(88419, 157, 15260, 4, 1483570800, 0.5, 157, 1483717259, NULL, NULL, 0),
(88429, 157, 16431, 6, 1483657200, 0.5, 157, 1483717584, NULL, NULL, 0),
(88426, 157, 15260, 6, 1483657200, 0.5, 157, 1483717484, NULL, NULL, 0),
(88427, 157, 16430, 6, 1483570800, 0.5, 157, 1483717504, NULL, NULL, 0),
(88438, 199, 2, 1, 1484262000, 1, 199, 1483944599, NULL, NULL, 0),
(88444, 74, 1, 1, 1484866800, 0.5, 74, 1483946270, NULL, NULL, 0),
(88464, 158, 1041, 1, 1484002800, 1, 72, 1483950387, NULL, NULL, 0),
(88465, 158, 1041, 1, 1484089200, 1, 72, 1483950387, NULL, NULL, 0),
(88466, 158, 1041, 1, 1484175600, 1, 72, 1483950387, NULL, NULL, 0),
(88467, 158, 1041, 1, 1484262000, 1, 72, 1483950387, NULL, NULL, 0),
(88468, 158, 1041, 1, 1484521200, 1, 72, 1483950387, NULL, NULL, 0),
(88469, 158, 1041, 1, 1484607600, 1, 72, 1483950387, NULL, NULL, 0),
(88470, 158, 1041, 1, 1484694000, 1, 72, 1483950387, NULL, NULL, 0),
(88471, 158, 1041, 1, 1484780400, 1, 72, 1483950387, NULL, NULL, 0),
(88472, 158, 1041, 1, 1484866800, 1, 72, 1483950387, NULL, NULL, 0),
(88473, 158, 1041, 1, 1485126000, 1, 72, 1483950387, NULL, NULL, 0),
(88474, 158, 1041, 1, 1485212400, 1, 72, 1483950387, NULL, NULL, 0),
(88475, 158, 1041, 1, 1485298800, 1, 72, 1483950387, NULL, NULL, 0),
(88476, 158, 1041, 1, 1485385200, 1, 72, 1483950387, NULL, NULL, 0),
(88498, 164, 2, 1, 1483916400, 1, 72, 1483952773, NULL, NULL, 0),
(88500, 146, 15571, 4, 1483570800, 0.5, 146, 1483953109, NULL, NULL, 0),
(103506, 158, 17747, 5, 1490565600, 0.05, 158, 1490602134, NULL, NULL, 0),
(103505, 158, 17747, 5, 1490565600, 0.1, 158, 1490602114, NULL, NULL, 0),
(88520, 217, 16077, 7, 1483916400, 0.25, 217, 1483956169, NULL, NULL, 0),
(88521, 217, 16077, 18, 1483916400, 0.1, 217, 1483956179, NULL, NULL, 0),
(88522, 217, 16047, 7, 1483916400, 0.25, 217, 1483956205, NULL, NULL, 0),
(88517, 217, 10395, 6, 1483657200, 0.5, 217, 1483956103, NULL, NULL, 0),
(88519, 217, 10397, 6, 1483657200, 0.5, 217, 1483956131, NULL, NULL, 0),
(88523, 217, 16047, 18, 1483916400, 0.1, 217, 1483956218, NULL, NULL, 0),
(88743, 217, 4857, 1, 1484002800, 0.5, 217, 1484041035, NULL, NULL, 0),
(88526, 217, 16106, 6, 1483916400, 0.3, 217, 1483956356, NULL, NULL, 0),
(89399, 205, 1041, 1, 1483916400, 1, 2, 1484304469, NULL, NULL, 0),
(89672, 169, 12326, 6, 1484521200, 1, 169, 1484582765, NULL, NULL, 0),
(88681, 205, 1041, 1, 1484002800, 1, 72, 1483978674, NULL, NULL, 0),
(88682, 205, 1041, 1, 1484089200, 1, 72, 1483978674, NULL, NULL, 0),
(88683, 205, 1041, 1, 1484175600, 1, 72, 1483978674, NULL, NULL, 0),
(88684, 205, 1041, 1, 1484262000, 1, 72, 1483978674, NULL, NULL, 0),
(88727, 146, 1041, 1, 1484002800, 1, 146, 1484039546, NULL, NULL, 0),
(88728, 248, 2, 1, 1485298800, 1, 248, 1484039634, NULL, NULL, 0),
(88731, 248, 2, 1, 1484694000, 1, 248, 1484039704, NULL, NULL, 0),
(88732, 248, 2, 1, 1484262000, 1, 248, 1484039713, NULL, NULL, 0),
(88734, 248, 2, 1, 1484089200, 1, 248, 1484039752, NULL, NULL, 0),
(88748, 2, 16139, 17, 1483657200, 1, 2, 1484043644, NULL, NULL, 0),
(88751, 72, 23789, 1, 1483916400, 1, 72, 1484048138, NULL, NULL, 0),
(88792, 72, 23789, 1, 1484002800, 0.5, 72, 1484064006, NULL, NULL, 0),
(88762, 164, 2, 1, 1484694000, 1, 164, 1484055498, NULL, NULL, 0),
(88763, 164, 2, 1, 1484780400, 1, 164, 1484055498, NULL, NULL, 0),
(88764, 164, 2, 1, 1484866800, 1, 164, 1484055498, NULL, NULL, 0),
(90466, 2, 2, 1, 1487026800, 1, 2, 1484924381, NULL, NULL, 0),
(90465, 2, 2, 1, 1486940400, 1, 2, 1484924381, NULL, NULL, 0),
(89605, 217, 16312, 4, 1484521200, 0.05, 217, 1484561296, NULL, NULL, 0),
(89604, 217, 16312, 4, 1484521200, 0.3, 217, 1484561280, NULL, NULL, 0),
(88775, 169, 2, 1, 1488150000, 1, 169, 1484056547, NULL, NULL, 0),
(88784, 217, 4857, 1, 1484262000, 0.5, 217, 1484060619, NULL, NULL, 0),
(88793, 72, 1, 1, 1484002800, 0.5, 72, 1484064020, NULL, NULL, 0),
(88797, 2, 23789, 1, 1484002800, 1, 2, 1484065595, NULL, NULL, 0),
(88828, 157, 2, 1, 1485212400, 1, 157, 1484117324, NULL, NULL, 0),
(89351, 74, 16514, 6, 1483916400, 0.5, 74, 1484297928, NULL, NULL, 0),
(88830, 157, 16430, 6, 1483916400, 0.5, 157, 1484117477, NULL, NULL, 0),
(88831, 157, 16430, 6, 1483916400, 0.5, 157, 1484118292, NULL, NULL, 0),
(88832, 157, 16550, 6, 1484002800, 0.5, 157, 1484118350, NULL, NULL, 0),
(88833, 157, 16551, 4, 1484002800, 0.5, 157, 1484118377, NULL, NULL, 0),
(88834, 157, 16551, 4, 1484089200, 0.5, 157, 1484118392, NULL, NULL, 0),
(88835, 157, 16551, 4, 1484089200, 0.5, 157, 1484118435, NULL, NULL, 0),
(89352, 164, 16093, 18, 1484175600, 0.75, 164, 1484297960, NULL, NULL, 0),
(88837, 157, 16552, 4, 1484175600, 1, 157, 1484118654, NULL, NULL, 0),
(88838, 157, 16553, 4, 1484262000, 1, 157, 1484118674, NULL, NULL, 0),
(88839, 157, 16554, 4, 1484521200, 1, 157, 1484118726, NULL, NULL, 0),
(88840, 217, 12137, 2, 1484089200, 0.25, 217, 1484120906, NULL, NULL, 0),
(88842, 217, 16047, 6, 1484089200, 0.75, 217, 1484122260, NULL, NULL, 0),
(88848, 147, 14060, 5, 1484089200, 0.25, 147, 1484123823, NULL, NULL, 0),
(88854, 246, 16069, 5, 1484002800, 1, 246, 1484124082, NULL, NULL, 0),
(88853, 246, 16069, 5, 1483916400, 1, 246, 1484124056, NULL, NULL, 0),
(88851, 147, 14060, 5, 1484002800, 0.25, 147, 1484123928, NULL, NULL, 0),
(88852, 147, 12791, 5, 1484002800, 0.25, 147, 1484123955, NULL, NULL, 0),
(88858, 147, 15836, 5, 1484089200, 0.5, 147, 1484124381, NULL, NULL, 0),
(88856, 147, 15836, 5, 1483916400, 1, 147, 1484124297, NULL, NULL, 0),
(88857, 147, 15836, 5, 1484002800, 0.5, 147, 1484124338, NULL, NULL, 0),
(88859, 147, 12791, 5, 1484089200, 0.25, 147, 1484124405, NULL, NULL, 0),
(88872, 146, 1041, 1, 1484089200, 1, 72, 1484128038, NULL, NULL, 0),
(88880, 2, 12790, 7, 1484089200, 0.25, 2, 1484129500, NULL, NULL, 0),
(88883, 164, 16588, 18, 1484089200, 0.5, 164, 1484130500, NULL, NULL, 0),
(88884, 164, 16139, 17, 1484089200, 0.5, 164, 1484130514, NULL, NULL, 0),
(88885, 164, 16139, 18, 1484002800, 0.5, 164, 1484130650, NULL, NULL, 0),
(88886, 164, 1435, 1, 1484002800, 0.5, 164, 1484130662, NULL, NULL, 0),
(88889, 72, 23789, 1, 1484089200, 1, 72, 1484139845, NULL, NULL, 0),
(88931, 72, 1, 1, 1484866800, 0.5, 72, 1484152208, NULL, NULL, 0),
(88932, 72, 1, 1, 1484521200, 0.5, 72, 1484152281, NULL, NULL, 0),
(88956, 217, 12137, 2, 1484175600, 0.2, 217, 1484203046, NULL, NULL, 0),
(89231, 217, 16047, 6, 1484175600, 0.6, 217, 1484228399, NULL, NULL, 0),
(88958, 199, 2089, 1, 1484089200, 0.5, 199, 1484203347, NULL, NULL, 0),
(88959, 199, 2089, 1, 1484002800, 0.5, 199, 1484203358, NULL, NULL, 0),
(88960, 199, 12317, 5, 1484002800, 0.5, 199, 1484203413, NULL, NULL, 0),
(88961, 199, 16335, 5, 1484089200, 0.5, 199, 1484203493, NULL, NULL, 0),
(88962, 217, 16312, 2, 1484175600, 0.1, 217, 1484203503, NULL, NULL, 0),
(88963, 199, 2089, 1, 1483916400, 0.25, 199, 1484203510, NULL, NULL, 0),
(88964, 199, 16068, 4, 1483916400, 0.75, 199, 1484203643, NULL, NULL, 0),
(89029, 74, 1, 1, 1485212400, 0.5, 74, 1484210247, NULL, NULL, 0),
(89031, 74, 1, 1, 1485817200, 0.5, 74, 1484210269, NULL, NULL, 0),
(89034, 74, 1, 1, 1486422000, 0.5, 74, 1484210313, NULL, NULL, 0),
(89037, 74, 1, 1, 1487718000, 0.5, 74, 1484210524, NULL, NULL, 0),
(89132, 146, 1041, 1, 1484175600, 1, 72, 1484214912, NULL, NULL, 0),
(89192, 74, 2, 1, 1493676000, 1, 74, 1484222833, NULL, NULL, 0),
(89193, 74, 2, 1, 1493762400, 1, 74, 1484222833, NULL, NULL, 0),
(89194, 74, 2, 1, 1493848800, 1, 74, 1484222833, NULL, NULL, 0),
(89195, 74, 2, 1, 1493935200, 1, 74, 1484222833, NULL, NULL, 0),
(89196, 74, 2, 1, 1494280800, 1, 74, 1484222833, NULL, NULL, 0),
(89197, 74, 2, 1, 1494367200, 1, 74, 1484222833, NULL, NULL, 0),
(89198, 74, 2, 1, 1494453600, 1, 74, 1484222833, NULL, NULL, 0),
(89199, 74, 2, 1, 1494540000, 1, 74, 1484222833, NULL, NULL, 0),
(89200, 74, 2, 1, 1494799200, 1, 74, 1484222833, NULL, NULL, 0),
(89201, 74, 2, 1, 1494885600, 1, 74, 1484222833, NULL, NULL, 0),
(89202, 74, 2, 1, 1494972000, 1, 74, 1484222833, NULL, NULL, 0),
(89203, 74, 2, 1, 1495058400, 1, 74, 1484222833, NULL, NULL, 0),
(89204, 74, 2, 1, 1495144800, 1, 74, 1484222833, NULL, NULL, 0),
(89205, 74, 2, 1, 1495404000, 1, 74, 1484222833, NULL, NULL, 0),
(89206, 74, 2, 1, 1495490400, 1, 74, 1484222833, NULL, NULL, 0),
(89207, 74, 2, 1, 1495576800, 1, 74, 1484222833, NULL, NULL, 0),
(89208, 74, 2, 1, 1495749600, 1, 74, 1484222833, NULL, NULL, 0),
(89212, 342, 2, 1, 1493244000, 1, 342, 1484224540, NULL, NULL, 0),
(89213, 342, 2, 1, 1493330400, 1, 342, 1484224540, NULL, NULL, 0),
(89214, 342, 2, 1, 1493676000, 1, 342, 1484224540, NULL, NULL, 0),
(89215, 342, 2, 1, 1493762400, 1, 342, 1484224540, NULL, NULL, 0),
(89216, 342, 2, 1, 1493848800, 1, 342, 1484224540, NULL, NULL, 0),
(89217, 342, 2, 1, 1493935200, 1, 342, 1484224540, NULL, NULL, 0),
(89218, 342, 2, 1, 1494280800, 1, 342, 1484224540, NULL, NULL, 0),
(89229, 217, 16312, 2, 1484175600, 0.05, 217, 1484228364, NULL, NULL, 0),
(89232, 217, 16047, 6, 1484175600, 0.05, 217, 1484228415, NULL, NULL, 0),
(89241, 169, 12326, 4, 1483916400, 1, 169, 1484231491, NULL, NULL, 0),
(89242, 169, 12326, 5, 1484002800, 1, 169, 1484231505, NULL, NULL, 0),
(89243, 169, 12326, 5, 1484089200, 1, 169, 1484231517, NULL, NULL, 0),
(89244, 169, 12312, 5, 1484175600, 0.5, 169, 1484231558, NULL, NULL, 0),
(89245, 169, 12315, 5, 1484175600, 0.5, 169, 1484231576, NULL, NULL, 0),
(89250, 72, 1, 1, 1485471600, 1, 72, 1484235751, NULL, NULL, 0),
(89266, 2, 23789, 1, 1484089200, 0.75, 2, 1484247843, NULL, NULL, 0),
(89268, 72, 23789, 1, 1484175600, 1, 72, 1484294873, NULL, NULL, 0),
(89269, 72, 23789, 1, 1484262000, 1, 72, 1484294902, NULL, NULL, 0),
(89270, 147, 2, 1, 1484262000, 1, 72, 1484294925, NULL, NULL, 0),
(97476, 2, 17450, 5, 1487631600, 0.5, 2, 1487852795, NULL, NULL, 0),
(89287, 2, 2, 1, 1485471600, 1, 2, 1484296571, NULL, NULL, 0),
(89773, 217, 16047, 6, 1484521200, 0.25, 217, 1484642007, NULL, NULL, 0),
(89528, 217, 4857, 1, 1484521200, 0.4, 217, 1484556819, NULL, NULL, 0),
(89512, 2, 16611, 17, 1484262000, 0.5, 2, 1484556214, NULL, NULL, 0),
(95311, 74, 1, 1, 1487199600, 0.5, 74, 1486972696, NULL, NULL, 0),
(89503, 74, 1, 1, 1485990000, 0.5, 74, 1484554052, NULL, NULL, 0),
(89350, 217, 16047, 6, 1484262000, 0.5, 217, 1484297464, NULL, NULL, 0),
(89353, 164, 16588, 18, 1484175600, 0.25, 164, 1484297974, NULL, NULL, 0),
(89354, 74, 14014, 6, 1483916400, 0.5, 74, 1484297982, NULL, NULL, 0),
(89361, 74, 14014, 6, 1484262000, 1, 74, 1484298031, NULL, NULL, 0),
(89356, 74, 14014, 6, 1484002800, 1, 74, 1484297996, NULL, NULL, 0),
(89357, 164, 16139, 18, 1484262000, 0.5, 164, 1484298003, NULL, NULL, 0),
(89358, 74, 14014, 6, 1484089200, 1, 74, 1484298008, NULL, NULL, 0),
(89359, 164, 16093, 18, 1484262000, 0.5, 164, 1484298017, NULL, NULL, 0),
(89360, 74, 14014, 6, 1484175600, 0.5, 74, 1484298022, NULL, NULL, 0),
(89393, 205, 1041, 1, 1484521200, 1, 2, 1484304370, NULL, NULL, 0),
(89394, 205, 1041, 1, 1484607600, 1, 2, 1484304370, NULL, NULL, 0),
(89395, 205, 1041, 1, 1484694000, 1, 2, 1484304370, NULL, NULL, 0),
(89396, 205, 1041, 1, 1484780400, 1, 2, 1484304370, NULL, NULL, 0),
(89397, 205, 1041, 1, 1484866800, 1, 2, 1484304370, NULL, NULL, 0),
(89400, 2, 23789, 1, 1484262000, 0.5, 2, 1484304720, NULL, NULL, 0),
(89419, 146, 1041, 1, 1484262000, 1, 72, 1484308048, NULL, NULL, 0),
(89420, 246, 16069, 5, 1484089200, 1, 246, 1484310297, NULL, NULL, 0),
(89458, 342, 16070, 6, 1483916400, 1, 342, 1484322384, NULL, NULL, 0),
(89459, 342, 16070, 6, 1484002800, 1, 342, 1484322398, NULL, NULL, 0),
(89460, 342, 16070, 6, 1484089200, 1, 342, 1484322410, NULL, NULL, 0),
(89461, 342, 16070, 6, 1484175600, 1, 342, 1484322423, NULL, NULL, 0),
(89462, 342, 16070, 6, 1484262000, 1, 342, 1484322454, NULL, NULL, 0),
(89463, 342, 16070, 6, 1484521200, 1, 342, 1484322559, NULL, NULL, 0),
(89467, 169, 16587, 4, 1484262000, 0.5, 169, 1484324697, NULL, NULL, 0),
(89468, 169, 12326, 6, 1484262000, 0.5, 169, 1484324834, NULL, NULL, 0),
(89469, 2, 2, 1, 1484607600, 1, 2, 1484579183, NULL, NULL, 0),
(89488, 199, 16068, 4, 1484175600, 0.5, 199, 1484548813, NULL, NULL, 0),
(89497, 147, 2, 1, 1484521200, 1, 72, 1484553136, NULL, NULL, 0),
(89556, 146, 15571, 7, 1483916400, 1, 146, 1484558009, NULL, NULL, 0),
(89593, 169, 2, 1, 1488236400, 1, 169, 1484559748, NULL, NULL, 0),
(89594, 169, 2, 1, 1488322800, 1, 169, 1484559748, NULL, NULL, 0),
(89595, 169, 2, 1, 1488409200, 1, 169, 1484559748, NULL, NULL, 0),
(89596, 169, 2, 1, 1488495600, 1, 169, 1484559748, NULL, NULL, 0),
(89597, 169, 2, 1, 1488754800, 1, 169, 1484559748, NULL, NULL, 0),
(89611, 164, 16611, 2, 1484521200, 0.4, 164, 1484562581, NULL, NULL, 0),
(89663, 2, 23789, 1, 1484521200, 0.5, 2, 1484579206, NULL, NULL, 0),
(89664, 2, 1435, 1, 1484521200, 0.5, 2, 1484579218, NULL, NULL, 0),
(89680, 164, 16588, 18, 1484521200, 0.6, 164, 1484583846, NULL, NULL, 0),
(89707, 217, 16047, 6, 1484607600, 0.25, 217, 1484639100, NULL, NULL, 0),
(90477, 146, 16140, 5, 1484866800, 0.3, 146, 1484925203, NULL, NULL, 0),
(89760, 246, 16069, 5, 1484521200, 1, 246, 1484641706, NULL, NULL, 0),
(89769, 217, 15832, 18, 1484607600, 0.05, 217, 1484641968, NULL, NULL, 0),
(89771, 217, 15832, 7, 1484607600, 0.2, 217, 1484641980, NULL, NULL, 0),
(89774, 217, 16312, 4, 1484607600, 0.5, 217, 1484642025, NULL, NULL, 0),
(89822, 199, 2, 1, 1484607600, 0.5, 72, 1484653387, NULL, NULL, 0),
(89943, 169, 16626, 4, 1484607600, 1, 169, 1484734113, NULL, NULL, 0),
(89952, 72, 23789, 1, 1484521200, 0.5, 72, 1484738085, NULL, NULL, 0),
(89953, 72, 23789, 1, 1484607600, 1, 72, 1484738092, NULL, NULL, 0),
(89954, 72, 23789, 1, 1484694000, 1, 72, 1484738102, NULL, NULL, 0),
(89990, 217, 15832, 7, 1484694000, 0.5, 217, 1484751964, NULL, NULL, 0),
(89992, 217, 16312, 4, 1484694000, 0.4, 217, 1484751993, NULL, NULL, 0),
(90041, 246, 16069, 5, 1484607600, 1, 246, 1484759226, NULL, NULL, 0),
(90042, 246, 16069, 5, 1484694000, 1, 246, 1484759239, NULL, NULL, 0),
(90049, 147, 15836, 5, 1484607600, 1, 147, 1484812345, NULL, NULL, 0),
(90048, 147, 15836, 5, 1484780400, 1, 147, 1484812324, NULL, NULL, 0),
(90050, 147, 15836, 5, 1484694000, 0.5, 147, 1484812367, NULL, NULL, 0),
(90054, 147, 12791, 5, 1484694000, 0.5, 147, 1484812444, NULL, NULL, 0),
(90055, 147, 15836, 5, 1484175600, 1, 147, 1484812481, NULL, NULL, 0),
(90056, 147, 15836, 5, 1484866800, 1, 147, 1484812512, NULL, NULL, 0),
(90155, 72, 23789, 1, 1484780400, 1, 72, 1484827558, NULL, NULL, 0),
(90156, 72, 23789, 1, 1484866800, 0.5, 72, 1484827569, NULL, NULL, 0),
(90170, 2, 6967, 18, 1484694000, 0.5, 2, 1484829908, NULL, NULL, 0),
(90171, 2, 2089, 1, 1484694000, 0.25, 2, 1484829926, NULL, NULL, 0),
(90207, 169, 12320, 4, 1484694000, 0.5, 169, 1484831969, NULL, NULL, 0),
(90242, 2, 16517, 7, 1484694000, 0.25, 2, 1484837712, NULL, NULL, 0),
(90287, 169, 12321, 4, 1484694000, 0.5, 169, 1484842034, NULL, NULL, 0),
(90288, 169, 16680, 4, 1484780400, 0.25, 169, 1484842081, NULL, NULL, 0),
(90289, 169, 16681, 4, 1484780400, 0.25, 169, 1484842109, NULL, NULL, 0),
(90290, 169, 15782, 5, 1484780400, 0.5, 169, 1484842147, NULL, NULL, 0),
(90304, 56, 2, 1, 1483311600, 1, 9, 1484845331, NULL, NULL, 0),
(90305, 56, 2, 1, 1484089200, 0.5, 9, 1484845338, NULL, NULL, 0),
(90321, 2, 16517, 7, 1484780400, 0.25, 2, 1484869425, NULL, NULL, 0),
(90322, 2, 6967, 17, 1484780400, 0.25, 2, 1484869461, NULL, NULL, 0),
(90323, 157, 16681, 5, 1484780400, 0.5, 157, 1484894155, NULL, NULL, 0),
(90324, 157, 16559, 7, 1484780400, 0.5, 157, 1484894188, NULL, NULL, 0),
(90325, 157, 16587, 4, 1484694000, 0.5, 157, 1484894284, NULL, NULL, 0),
(90326, 157, 16552, 6, 1484694000, 0.5, 157, 1484894326, NULL, NULL, 0),
(90327, 157, 16681, 6, 1484866800, 0.5, 157, 1484894354, NULL, NULL, 0),
(90328, 157, 16553, 6, 1484866800, 0.5, 157, 1484894382, NULL, NULL, 0),
(90338, 217, 16312, 4, 1484866800, 0.6, 217, 1484900361, NULL, NULL, 0),
(90339, 217, 15832, 18, 1484694000, 0.1, 217, 1484900378, NULL, NULL, 0),
(90340, 199, 16679, 5, 1484780400, 0.5, 199, 1484900566, NULL, NULL, 0),
(90341, 199, 16068, 5, 1484780400, 0.5, 199, 1484900588, NULL, NULL, 0),
(90342, 199, 2089, 1, 1484694000, 0.5, 199, 1484900606, NULL, NULL, 0),
(90344, 199, 2089, 1, 1484607600, 0.25, 199, 1484900694, NULL, NULL, 0),
(90346, 199, 2089, 1, 1484521200, 0.25, 199, 1484904872, NULL, NULL, 0),
(90347, 199, 16068, 5, 1484866800, 0.25, 199, 1484904894, NULL, NULL, 0),
(90348, 199, 16069, 5, 1484866800, 0.25, 199, 1484904919, NULL, NULL, 0),
(90351, 199, 8454, 5, 1484694000, 0.25, 199, 1484905283, NULL, NULL, 0),
(90350, 199, 12316, 5, 1484521200, 0.25, 199, 1484905255, NULL, NULL, 0),
(90436, 322, 14791, 5, 1484521200, 1, 322, 1484914736, NULL, NULL, 0),
(90353, 2, 16514, 7, 1484780400, 0.25, 2, 1484906596, NULL, NULL, 0),
(90437, 322, 14791, 5, 1484607600, 1, 322, 1484914748, NULL, NULL, 0),
(90438, 322, 14791, 5, 1484694000, 1, 322, 1484914759, NULL, NULL, 0),
(90439, 322, 14791, 5, 1484780400, 1, 322, 1484914773, NULL, NULL, 0),
(90454, 74, 14014, 6, 1484521200, 1, 74, 1484922482, NULL, NULL, 0),
(90455, 74, 15782, 5, 1484607600, 0.5, 74, 1484922514, NULL, NULL, 0),
(90456, 74, 15782, 5, 1484694000, 1, 74, 1484922525, NULL, NULL, 0),
(90457, 74, 15782, 5, 1484780400, 1, 74, 1484922577, NULL, NULL, 0),
(90458, 74, 15782, 5, 1484866800, 0.25, 74, 1484922593, NULL, NULL, 0),
(90459, 74, 16510, 2, 1484866800, 0.25, 74, 1484922658, NULL, NULL, 0),
(90461, 2, 2, 1, 1485385200, 0.5, 2, 1484923245, NULL, NULL, 0),
(90467, 2, 2, 1, 1487113200, 1, 2, 1484924381, NULL, NULL, 0),
(96542, 2, 2, 1, 1487199600, 1, 2, 1487531284, NULL, NULL, 0),
(90469, 2, 2, 1, 1487286000, 1, 2, 1484924381, NULL, NULL, 0),
(90473, 146, 16140, 5, 1484521200, 1, 146, 1484925144, NULL, NULL, 0),
(90474, 146, 16140, 5, 1484607600, 1, 146, 1484925154, NULL, NULL, 0),
(90475, 146, 16140, 5, 1484694000, 1, 146, 1484925165, NULL, NULL, 0),
(90476, 146, 16140, 5, 1484780400, 1, 146, 1484925175, NULL, NULL, 0),
(90479, 146, 12319, 4, 1484866800, 0.7, 146, 1484925283, NULL, NULL, 0),
(93816, 2, 23789, 1, 1486335600, 0.6, 2, 1486503173, NULL, NULL, 0),
(93815, 2, 1435, 1, 1486422000, 0.8, 2, 1486503155, NULL, NULL, 0),
(93812, 168, 16847, 5, 1486422000, 1, 168, 1486488241, NULL, NULL, 0),
(90491, 2, 1435, 1, 1484866800, 0.5, 2, 1484927407, NULL, NULL, 0),
(90492, 2, 2089, 1, 1484866800, 0.25, 2, 1484927474, NULL, NULL, 0),
(90503, 169, 12320, 5, 1484866800, 1, 169, 1484930570, NULL, NULL, 0),
(90511, 72, 2, 1, 1488150000, 1, 72, 1485152774, NULL, NULL, 0),
(90512, 217, 16722, 4, 1484780400, 0.4, 217, 1485154843, NULL, NULL, 0),
(90513, 217, 16722, 4, 1484866800, 0.4, 217, 1485154854, NULL, NULL, 0),
(90514, 217, 16312, 4, 1484780400, 0.2, 217, 1485154928, NULL, NULL, 0),
(90515, 217, 16723, 4, 1485126000, 0.4, 217, 1485155026, NULL, NULL, 0),
(90516, 217, 16723, 4, 1484780400, 0.4, 217, 1485155048, NULL, NULL, 0),
(90517, 199, 8454, 5, 1484866800, 0.5, 199, 1485158691, NULL, NULL, 0),
(90518, 199, 16068, 5, 1484521200, 0.25, 199, 1485158720, NULL, NULL, 0),
(90519, 199, 2089, 1, 1484521200, 0.25, 199, 1485158726, NULL, NULL, 0),
(90520, 199, 2089, 1, 1484607600, 0.25, 199, 1485158743, NULL, NULL, 0),
(90521, 199, 16068, 5, 1484694000, 0.25, 199, 1485158755, NULL, NULL, 0),
(90562, 164, 16588, 18, 1484607600, 0.5, 164, 1485161711, NULL, NULL, 0),
(90563, 164, 16611, 2, 1484607600, 0.5, 164, 1485161738, NULL, NULL, 0),
(90564, 322, 2, 1, 1485471600, 1, 322, 1485163973, NULL, NULL, 0),
(90565, 322, 2, 1, 1490310000, 1, 322, 1485164007, NULL, NULL, 0),
(113254, 74, 1, 1, 1496095200, 0.5, 74, 1496061773, NULL, NULL, 0),
(90620, 72, 16676, 4, 1485126000, 0.5, 72, 1485166839, NULL, NULL, 0),
(90626, 217, 16312, 4, 1485126000, 0.5, 217, 1485167411, NULL, NULL, 0),
(90634, 158, 2, 1, 1499637600, 1, 158, 1485171283, NULL, NULL, 0),
(90635, 158, 2, 1, 1499724000, 1, 158, 1485171283, NULL, NULL, 0),
(90636, 158, 2, 1, 1499810400, 1, 158, 1485171283, NULL, NULL, 0),
(90637, 158, 2, 1, 1499896800, 1, 158, 1485171283, NULL, NULL, 0),
(90643, 158, 2, 1, 1497391200, 1, 158, 1485172161, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(90644, 158, 2, 1, 1497477600, 1, 158, 1485172161, NULL, NULL, 0),
(90645, 158, 2, 1, 1498514400, 1, 158, 1485172194, NULL, NULL, 0),
(90693, 217, 16722, 4, 1485126000, 0.1, 217, 1485177887, NULL, NULL, 0),
(90698, 158, 2, 1, 1495058400, 1, 158, 1485178290, NULL, NULL, 0),
(90699, 158, 2, 1, 1495144800, 1, 158, 1485178290, NULL, NULL, 0),
(90779, 72, 23789, 1, 1485126000, 0.5, 72, 1485185232, NULL, NULL, 0),
(90824, 164, 6967, 18, 1485126000, 0.3, 164, 1485188214, NULL, NULL, 0),
(90827, 164, 16611, 17, 1485126000, 0.3, 164, 1485188285, NULL, NULL, 0),
(90828, 164, 16588, 18, 1485126000, 0.4, 164, 1485188299, NULL, NULL, 0),
(90846, 147, 2, 1, 1487545200, 1, 147, 1485240685, NULL, NULL, 0),
(90847, 147, 2, 1, 1487631600, 1, 147, 1485240685, NULL, NULL, 0),
(90848, 147, 2, 1, 1487718000, 1, 147, 1485240685, NULL, NULL, 0),
(90849, 147, 2, 1, 1487804400, 1, 147, 1485240685, NULL, NULL, 0),
(90850, 147, 2, 1, 1487890800, 1, 147, 1485240685, NULL, NULL, 0),
(90851, 199, 16701, 6, 1485212400, 0.25, 199, 1485240788, NULL, NULL, 0),
(90852, 199, 16701, 6, 1485126000, 0.25, 199, 1485240806, NULL, NULL, 0),
(90853, 199, 2089, 1, 1485126000, 0.25, 199, 1485240826, NULL, NULL, 0),
(90854, 199, 8454, 27, 1485126000, 0.25, 199, 1485240865, NULL, NULL, 0),
(90855, 199, 12304, 5, 1485126000, 0.25, 199, 1485240931, NULL, NULL, 0),
(90856, 147, 15836, 5, 1485212400, 1, 147, 1485241219, NULL, NULL, 0),
(90860, 217, 16312, 6, 1485212400, 0.4, 217, 1485243575, NULL, NULL, 0),
(91157, 246, 16069, 4, 1485212400, 0.5, 246, 1485276665, NULL, NULL, 0),
(90866, 2, 23789, 1, 1485126000, 0.3, 2, 1485249720, NULL, NULL, 0),
(90867, 2, 6967, 17, 1485126000, 0.2, 2, 1485249781, NULL, NULL, 0),
(90886, 217, 4857, 1, 1485212400, 0.2, 217, 1485252493, NULL, NULL, 0),
(90889, 342, 16070, 6, 1485212400, 1, 342, 1485254201, NULL, NULL, 0),
(90890, 342, 16070, 6, 1484607600, 1, 342, 1485254226, NULL, NULL, 0),
(90893, 342, 16070, 6, 1484780400, 1, 342, 1485254309, NULL, NULL, 0),
(90892, 342, 16070, 6, 1484694000, 1, 342, 1485254268, NULL, NULL, 0),
(90895, 342, 16070, 6, 1485298800, 1, 342, 1485254376, NULL, NULL, 0),
(90896, 342, 16070, 6, 1485385200, 1, 342, 1485254395, NULL, NULL, 0),
(90897, 342, 16070, 6, 1485471600, 1, 342, 1485254409, NULL, NULL, 0),
(92882, 74, 14014, 6, 1485903600, 0.5, 74, 1486126461, NULL, NULL, 0),
(91144, 199, 16679, 2, 1485212400, 0.25, 199, 1485273739, NULL, NULL, 0),
(97878, 157, 2, 1, 1504216800, 1, 157, 1488184743, NULL, NULL, 0),
(97877, 157, 2, 1, 1504130400, 1, 157, 1488184743, NULL, NULL, 0),
(97876, 157, 2, 1, 1504044000, 1, 157, 1488184743, NULL, NULL, 0),
(97875, 157, 2, 1, 1503957600, 1, 157, 1488184743, NULL, NULL, 0),
(97874, 157, 2, 1, 1503871200, 1, 157, 1488184743, NULL, NULL, 0),
(97873, 157, 2, 1, 1503612000, 1, 157, 1488184743, NULL, NULL, 0),
(97872, 157, 2, 1, 1503525600, 1, 157, 1488184743, NULL, NULL, 0),
(97871, 157, 2, 1, 1503439200, 1, 157, 1488184743, NULL, NULL, 0),
(97870, 157, 2, 1, 1503352800, 1, 157, 1488184743, NULL, NULL, 0),
(97869, 157, 2, 1, 1503266400, 1, 157, 1488184743, NULL, NULL, 0),
(97868, 157, 2, 1, 1503007200, 1, 157, 1488184743, NULL, NULL, 0),
(97867, 157, 2, 1, 1502920800, 1, 157, 1488184743, NULL, NULL, 0),
(97866, 157, 2, 1, 1502834400, 1, 157, 1488184743, NULL, NULL, 0),
(97865, 157, 2, 1, 1502661600, 1, 157, 1488184743, NULL, NULL, 0),
(97839, 2, 14534, 1, 1487890800, 1, 2, 1488099964, NULL, NULL, 0),
(97831, 169, 17444, 6, 1487890800, 1, 169, 1487952732, NULL, NULL, 0),
(97820, 199, 17413, 5, 1487804400, 0.05, 199, 1487948710, NULL, NULL, 0),
(97819, 199, 17412, 5, 1487804400, 0.1, 199, 1487948700, NULL, NULL, 0),
(97818, 199, 17413, 5, 1487804400, 0.1, 199, 1487948679, NULL, NULL, 0),
(97815, 217, 15856, 6, 1487890800, 0.25, 217, 1487948443, NULL, NULL, 0),
(97812, 217, 1506, 1, 1487890800, 0.75, 217, 1487948427, NULL, NULL, 0),
(97805, 199, 17414, 4, 1487804400, 0.5, 199, 1487948323, NULL, NULL, 0),
(97801, 199, 12307, 4, 1487890800, 0.75, 199, 1487948293, NULL, NULL, 0),
(97797, 199, 17471, 5, 1487890800, 0.25, 199, 1487948251, NULL, NULL, 0),
(91133, 217, 16077, 6, 1485212400, 0.3, 217, 1485270475, NULL, NULL, 0),
(91132, 217, 16077, 2, 1485212400, 0.1, 217, 1485270463, NULL, NULL, 0),
(91156, 246, 16701, 5, 1485126000, 1, 246, 1485276623, NULL, NULL, 0),
(91158, 246, 16623, 4, 1485212400, 0.5, 246, 1485276732, NULL, NULL, 0),
(91160, 2, 16514, 7, 1485212400, 0.2, 2, 1485276850, NULL, NULL, 0),
(91161, 2, 16517, 7, 1485212400, 0.1, 2, 1485276882, NULL, NULL, 0),
(91162, 2, 6967, 17, 1485212400, 0.7, 2, 1485276894, NULL, NULL, 0),
(91164, 199, 16742, 5, 1485212400, 0.1, 199, 1485283286, NULL, NULL, 0),
(91165, 199, 12318, 5, 1485212400, 0.4, 199, 1485283327, NULL, NULL, 0),
(91169, 217, 4857, 1, 1485298800, 0.25, 217, 1485329638, NULL, NULL, 0),
(91170, 217, 16312, 18, 1485298800, 0.05, 217, 1485329654, NULL, NULL, 0),
(91171, 72, 23789, 1, 1485212400, 0.5, 72, 1485330391, NULL, NULL, 0),
(91172, 72, 15785, 4, 1485212400, 0.5, 72, 1485331110, NULL, NULL, 0),
(91228, 157, 1, 1, 1485990000, 0.5, 157, 1485350668, NULL, NULL, 0),
(91229, 157, 16554, 6, 1485126000, 1, 157, 1485350797, NULL, NULL, 0),
(91230, 157, 15289, 4, 1485298800, 1, 157, 1485350877, NULL, NULL, 0),
(91235, 217, 16077, 6, 1485298800, 0.7, 217, 1485354232, NULL, NULL, 0),
(91244, 217, 16077, 6, 1485385200, 0.5, 217, 1485358035, NULL, NULL, 0),
(91245, 72, 23789, 1, 1485298800, 0.5, 72, 1485358201, NULL, NULL, 0),
(91246, 164, 2, 1, 1485730800, 1, 164, 1485358450, NULL, NULL, 0),
(91248, 72, 16794, 4, 1485298800, 0.5, 72, 1485358899, NULL, NULL, 0),
(92166, 168, 2, 1, 1486940400, 1, 168, 1485857410, NULL, NULL, 0),
(91392, 147, 15836, 5, 1485298800, 1, 147, 1485425928, NULL, NULL, 0),
(91393, 147, 15836, 5, 1485385200, 0.75, 147, 1485425951, NULL, NULL, 0),
(91592, 147, 14060, 6, 1485471600, 0.5, 147, 1485504151, NULL, NULL, 0),
(91414, 147, 15836, 5, 1485126000, 0.75, 147, 1485426217, NULL, NULL, 0),
(91415, 147, 1437, 1, 1485126000, 0.25, 147, 1485426227, NULL, NULL, 0),
(91527, 217, 16077, 6, 1485385200, 0.5, 217, 1485441614, NULL, NULL, 0),
(91565, 146, 16803, 4, 1485385200, 0.7, 146, 1485454538, NULL, NULL, 0),
(91566, 146, 12319, 4, 1485126000, 1, 146, 1485454890, NULL, NULL, 0),
(91567, 146, 12319, 5, 1485212400, 1, 146, 1485454916, NULL, NULL, 0),
(91568, 146, 12319, 5, 1485298800, 1, 146, 1485454939, NULL, NULL, 0),
(91569, 146, 12319, 5, 1485385200, 0.3, 146, 1485454960, NULL, NULL, 0),
(91585, 157, 16794, 4, 1485385200, 0.5, 157, 1485503926, NULL, NULL, 0),
(91586, 157, 16078, 6, 1485385200, 0.5, 157, 1485503963, NULL, NULL, 0),
(91590, 147, 1437, 1, 1485385200, 0.25, 147, 1485504064, NULL, NULL, 0),
(91591, 147, 1437, 1, 1485471600, 0.1, 147, 1485504092, NULL, NULL, 0),
(91589, 157, 2, 1, 1486076400, 0.5, 157, 1485504026, NULL, NULL, 0),
(91593, 157, 16806, 4, 1485471600, 1, 157, 1485504157, NULL, NULL, 0),
(91594, 147, 15836, 5, 1485471600, 0.4, 147, 1485504178, NULL, NULL, 0),
(91596, 246, 16623, 4, 1485298800, 0.5, 246, 1485504978, NULL, NULL, 0),
(91597, 246, 10598, 5, 1485298800, 0.1, 246, 1485505024, NULL, NULL, 0),
(91598, 246, 16069, 5, 1485298800, 0.4, 246, 1485505047, NULL, NULL, 0),
(91618, 164, 16611, 17, 1485471600, 0.4, 164, 1485507829, NULL, NULL, 0),
(91619, 164, 16588, 18, 1485212400, 0.6, 164, 1485507847, NULL, NULL, 0),
(91620, 164, 16611, 17, 1485212400, 0.4, 164, 1485507865, NULL, NULL, 0),
(91621, 164, 16588, 18, 1485385200, 1, 164, 1485507897, NULL, NULL, 0),
(91622, 164, 16093, 18, 1485298800, 0.5, 164, 1485507916, NULL, NULL, 0),
(91623, 164, 15281, 18, 1485298800, 0.5, 164, 1485507936, NULL, NULL, 0),
(91624, 164, 15281, 17, 1485471600, 0.6, 164, 1485507953, NULL, NULL, 0),
(91639, 158, 1041, 1, 1486076400, 1, 72, 1485519244, NULL, NULL, 0),
(91640, 158, 1041, 1, 1486335600, 1, 72, 1485519244, NULL, NULL, 0),
(91641, 158, 1041, 1, 1486422000, 1, 72, 1485519244, NULL, NULL, 0),
(91642, 158, 1041, 1, 1486508400, 1, 72, 1485519244, NULL, NULL, 0),
(91643, 158, 1041, 1, 1486594800, 1, 72, 1485519244, NULL, NULL, 0),
(91644, 158, 1041, 1, 1486681200, 1, 72, 1485519244, NULL, NULL, 0),
(91645, 158, 1041, 1, 1486940400, 1, 72, 1485519244, NULL, NULL, 0),
(91646, 158, 1041, 1, 1487026800, 1, 72, 1485519244, NULL, NULL, 0),
(91647, 158, 1041, 1, 1487113200, 1, 72, 1485519244, NULL, NULL, 0),
(91648, 158, 1041, 1, 1487199600, 1, 72, 1485519244, NULL, NULL, 0),
(91649, 158, 1041, 1, 1487286000, 1, 72, 1485519244, NULL, NULL, 0),
(91650, 158, 1041, 1, 1487545200, 1, 72, 1485519244, NULL, NULL, 0),
(91651, 158, 1041, 1, 1487631600, 1, 72, 1485519244, NULL, NULL, 0),
(91652, 158, 1041, 1, 1487718000, 1, 72, 1485519244, NULL, NULL, 0),
(91653, 158, 1041, 1, 1487804400, 1, 72, 1485519244, NULL, NULL, 0),
(91675, 74, 16514, 2, 1485126000, 0.5, 74, 1485524307, NULL, NULL, 0),
(91676, 74, 14014, 6, 1485126000, 0.5, 74, 1485524356, NULL, NULL, 0),
(91677, 74, 14014, 6, 1485212400, 0.5, 74, 1485524376, NULL, NULL, 0),
(91678, 74, 14014, 6, 1485298800, 1, 74, 1485524390, NULL, NULL, 0),
(91679, 74, 14014, 6, 1485385200, 1, 74, 1485524402, NULL, NULL, 0),
(91680, 74, 14014, 6, 1485471600, 0.5, 74, 1485524413, NULL, NULL, 0),
(91681, 74, 16070, 2, 1485471600, 0.5, 74, 1485524429, NULL, NULL, 0),
(91683, 72, 16676, 4, 1485385200, 0.2, 72, 1485524516, NULL, NULL, 0),
(91685, 72, 23789, 1, 1485385200, 0.8, 72, 1485524530, NULL, NULL, 0),
(92173, 168, 15832, 5, 1485471600, 1, 168, 1485857524, NULL, NULL, 0),
(91803, 169, 12321, 5, 1485126000, 1, 169, 1485536661, NULL, NULL, 0),
(91807, 169, 16811, 4, 1485471600, 1, 169, 1485536781, NULL, NULL, 0),
(91809, 169, 12320, 5, 1485212400, 1, 169, 1485536853, NULL, NULL, 0),
(91813, 169, 12321, 5, 1485298800, 1, 169, 1485536889, NULL, NULL, 0),
(92179, 168, 15832, 7, 1485126000, 1, 168, 1485857585, NULL, NULL, 0),
(91821, 169, 15571, 4, 1485385200, 0.5, 169, 1485537084, NULL, NULL, 0),
(91822, 169, 12321, 5, 1485385200, 0.5, 169, 1485537108, NULL, NULL, 0),
(91990, 217, 16077, 6, 1485730800, 1, 217, 1485782722, NULL, NULL, 0),
(91992, 217, 16077, 2, 1485471600, 0.3, 217, 1485782814, NULL, NULL, 0),
(91993, 217, 15832, 2, 1485471600, 0.2, 217, 1485782903, NULL, NULL, 0),
(91994, 217, 15832, 6, 1485471600, 0.5, 217, 1485782947, NULL, NULL, 0),
(91995, 217, 15832, 6, 1485817200, 0.5, 217, 1485783024, NULL, NULL, 0),
(92038, 147, 15836, 5, 1485730800, 0.4, 147, 1485789406, NULL, NULL, 0),
(92039, 147, 14060, 6, 1485730800, 0.6, 147, 1485789440, NULL, NULL, 0),
(92075, 72, 23789, 1, 1485730800, 1, 72, 1485793001, NULL, NULL, 0),
(92105, 199, 12318, 5, 1485471600, 0.1, 199, 1485796947, NULL, NULL, 0),
(92106, 199, 12318, 5, 1485385200, 0.25, 199, 1485796955, NULL, NULL, 0),
(92107, 199, 16803, 5, 1485730800, 0.6, 199, 1485796984, NULL, NULL, 0),
(92108, 199, 2089, 1, 1485298800, 0.5, 199, 1485797001, NULL, NULL, 0),
(92109, 199, 16844, 5, 1485471600, 0.3, 199, 1485797052, NULL, NULL, 0),
(92110, 199, 16874, 5, 1485471600, 0.6, 199, 1485797085, NULL, NULL, 0),
(92117, 246, 16069, 5, 1485730800, 1, 246, 1485850910, NULL, NULL, 0),
(92160, 168, 2, 1, 1485817200, 0.5, 168, 1485857207, NULL, NULL, 0),
(92163, 168, 15782, 5, 1485730800, 1, 168, 1485857291, NULL, NULL, 0),
(92165, 168, 1, 1, 1486594800, 0.5, 168, 1485857347, NULL, NULL, 0),
(92167, 168, 2, 1, 1487026800, 1, 168, 1485857415, NULL, NULL, 0),
(92168, 168, 2, 1, 1487113200, 1, 168, 1485857424, NULL, NULL, 0),
(92169, 168, 2, 1, 1487199600, 1, 168, 1485857429, NULL, NULL, 0),
(92170, 168, 2, 1, 1487286000, 1, 168, 1485857433, NULL, NULL, 0),
(92175, 168, 15832, 5, 1485385200, 1, 168, 1485857539, NULL, NULL, 0),
(92177, 168, 15832, 5, 1485298800, 1, 168, 1485857558, NULL, NULL, 0),
(92178, 168, 15832, 5, 1485212400, 1, 168, 1485857572, NULL, NULL, 0),
(92188, 157, 16851, 4, 1485730800, 0.5, 157, 1485857950, NULL, NULL, 0),
(92189, 157, 16677, 4, 1485730800, 0.5, 157, 1485857980, NULL, NULL, 0),
(92192, 157, 16907, 4, 1485817200, 1, 157, 1485858233, NULL, NULL, 0),
(92197, 2, 6967, 17, 1485385200, 0.5, 2, 1485858892, NULL, NULL, 0),
(92198, 2, 6967, 17, 1485298800, 1, 2, 1485858905, NULL, NULL, 0),
(92199, 2, 6967, 17, 1485730800, 1, 2, 1485858930, NULL, NULL, 0),
(92239, 217, 16312, 4, 1485817200, 0.5, 217, 1485872265, NULL, NULL, 0),
(92362, 72, 23789, 1, 1485903600, 0.8, 72, 1485953117, NULL, NULL, 0),
(92312, 72, 23789, 1, 1485817200, 0.5, 72, 1485931586, NULL, NULL, 0),
(92256, 146, 12319, 5, 1485817200, 1, 146, 1485874665, NULL, NULL, 0),
(92257, 146, 12319, 5, 1485730800, 1, 146, 1485874678, NULL, NULL, 0),
(92258, 164, 16588, 18, 1485817200, 0.3, 164, 1485875580, NULL, NULL, 0),
(92259, 164, 15281, 18, 1485817200, 0.3, 164, 1485875650, NULL, NULL, 0),
(92260, 147, 15836, 5, 1485817200, 0.7, 147, 1485875911, NULL, NULL, 0),
(92261, 147, 14060, 6, 1485817200, 0.3, 147, 1485875922, NULL, NULL, 0),
(92263, 164, 16912, 18, 1485817200, 0.4, 164, 1485876390, NULL, NULL, 0),
(92264, 199, 16804, 4, 1485817200, 1, 199, 1485877448, NULL, NULL, 0),
(92265, 199, 16803, 5, 1485385200, 0.75, 199, 1485877483, NULL, NULL, 0),
(92266, 199, 12318, 5, 1485298800, 0.5, 199, 1485877511, NULL, NULL, 0),
(92267, 199, 16811, 4, 1485730800, 0.4, 199, 1485877547, NULL, NULL, 0),
(92268, 205, 10399, 4, 1485817200, 1, 205, 1485877940, NULL, NULL, 0),
(92269, 205, 10399, 4, 1485730800, 1, 205, 1485878239, NULL, NULL, 0),
(92271, 205, 8454, 4, 1485471600, 1, 205, 1485878271, NULL, NULL, 0),
(92273, 205, 8454, 4, 1485385200, 1, 205, 1485878282, NULL, NULL, 0),
(92275, 2, 16139, 18, 1485817200, 0.7, 2, 1485878534, NULL, NULL, 0),
(92276, 2, 16139, 17, 1485817200, 0.3, 2, 1485878549, NULL, NULL, 0),
(92278, 205, 16312, 2, 1485298800, 0.25, 205, 1485878678, NULL, NULL, 0),
(92279, 205, 15308, 2, 1485298800, 0.75, 205, 1485878726, NULL, NULL, 0),
(92280, 205, 8454, 4, 1485212400, 1, 205, 1485878736, NULL, NULL, 0),
(92281, 205, 8454, 4, 1485126000, 1, 205, 1485878748, NULL, NULL, 0),
(92313, 72, 16676, 4, 1485817200, 0.5, 72, 1485931633, NULL, NULL, 0),
(92319, 246, 16069, 5, 1485817200, 0.5, 246, 1485937255, NULL, NULL, 0),
(92396, 246, 12327, 5, 1485817200, 0.5, 246, 1485967911, NULL, NULL, 0),
(92844, 168, 16312, 5, 1485903600, 1, 168, 1486117822, NULL, NULL, 0),
(92331, 74, 16867, 5, 1485730800, 1, 74, 1485939793, NULL, NULL, 0),
(92332, 74, 16070, 6, 1485817200, 0.5, 74, 1485939813, NULL, NULL, 0),
(92353, 169, 15571, 4, 1485730800, 1, 169, 1485941626, NULL, NULL, 0),
(92354, 169, 15571, 4, 1485817200, 1, 169, 1485941638, NULL, NULL, 0),
(92356, 217, 16312, 5, 1485903600, 0.3, 217, 1485942796, NULL, NULL, 0),
(92357, 217, 16312, 4, 1485903600, 0.2, 217, 1485942807, NULL, NULL, 0),
(92358, 217, 16312, 6, 1485903600, 0.5, 217, 1485942833, NULL, NULL, 0),
(92363, 72, 2089, 1, 1485903600, 0.2, 72, 1485953146, NULL, NULL, 0),
(92372, 342, 16070, 6, 1485903600, 1, 342, 1485958538, NULL, NULL, 0),
(92373, 342, 16070, 6, 1485730800, 1, 342, 1485958564, NULL, NULL, 0),
(92374, 342, 16070, 6, 1485817200, 1, 342, 1485958582, NULL, NULL, 0),
(92381, 147, 15836, 5, 1485903600, 1, 147, 1485962002, NULL, NULL, 0),
(92390, 164, 16912, 18, 1485903600, 0.25, 164, 1485965921, NULL, NULL, 0),
(92391, 164, 8395, 18, 1485903600, 0.4, 164, 1485965956, NULL, NULL, 0),
(92392, 164, 16611, 18, 1485903600, 0.3, 164, 1485965996, NULL, NULL, 0),
(92393, 164, 16611, 18, 1485903600, 0.05, 164, 1485966005, NULL, NULL, 0),
(92397, 246, 16623, 4, 1485903600, 1, 246, 1485967946, NULL, NULL, 0),
(92513, 217, 16922, 4, 1485990000, 0.5, 217, 1486029784, NULL, NULL, 0),
(92514, 217, 16722, 4, 1485990000, 0.5, 217, 1486029792, NULL, NULL, 0),
(92613, 74, 16867, 5, 1485903600, 0.5, 74, 1486042149, NULL, NULL, 0),
(92614, 168, 15782, 5, 1484866800, 1, 168, 1486042441, NULL, NULL, 0),
(92630, 217, 16925, 4, 1486076400, 0.5, 217, 1486046829, NULL, NULL, 0),
(92631, 217, 16926, 4, 1486076400, 0.5, 217, 1486046890, NULL, NULL, 0),
(92636, 2, 23789, 1, 1485903600, 0.5, 2, 1486048296, NULL, NULL, 0),
(92637, 2, 23789, 1, 1485990000, 0.6, 2, 1486048305, NULL, NULL, 0),
(92643, 2, 16139, 18, 1485903600, 0.25, 2, 1486048437, NULL, NULL, 0),
(92644, 2, 16139, 18, 1485990000, 0.2, 2, 1486048446, NULL, NULL, 0),
(92645, 2, 16139, 17, 1485903600, 0.25, 2, 1486048457, NULL, NULL, 0),
(92646, 2, 16139, 17, 1485990000, 0.2, 2, 1486048465, NULL, NULL, 0),
(92709, 169, 12328, 5, 1485990000, 1, 169, 1486056020, NULL, NULL, 0),
(92710, 169, 15571, 4, 1485903600, 1, 169, 1486056039, NULL, NULL, 0),
(92712, 157, 16802, 6, 1485990000, 0.5, 157, 1486106099, NULL, NULL, 0),
(92713, 157, 16802, 6, 1486076400, 0.5, 157, 1486106350, NULL, NULL, 0),
(92714, 157, 16553, 4, 1485903600, 0.5, 157, 1486106474, NULL, NULL, 0),
(92717, 157, 16677, 4, 1485903600, 0.5, 157, 1486106568, NULL, NULL, 0),
(92730, 146, 12319, 5, 1485903600, 1, 146, 1486110036, NULL, NULL, 0),
(92731, 146, 12319, 5, 1485990000, 0.5, 146, 1486110050, NULL, NULL, 0),
(92732, 146, 16102, 5, 1485990000, 0.5, 146, 1486110087, NULL, NULL, 0),
(92746, 164, 2, 1, 1502056800, 1, 164, 1486115146, NULL, NULL, 0),
(92747, 164, 2, 1, 1502143200, 1, 164, 1486115146, NULL, NULL, 0),
(92748, 164, 2, 1, 1502229600, 1, 164, 1486115146, NULL, NULL, 0),
(92749, 164, 2, 1, 1502316000, 1, 164, 1486115146, NULL, NULL, 0),
(92750, 164, 2, 1, 1502402400, 1, 164, 1486115146, NULL, NULL, 0),
(92751, 164, 2, 1, 1502661600, 1, 164, 1486115146, NULL, NULL, 0),
(92752, 164, 2, 1, 1502834400, 1, 164, 1486115146, NULL, NULL, 0),
(92753, 164, 2, 1, 1502920800, 1, 164, 1486115146, NULL, NULL, 0),
(92754, 164, 2, 1, 1503007200, 1, 164, 1486115146, NULL, NULL, 0),
(92755, 164, 2, 1, 1503266400, 1, 164, 1486115146, NULL, NULL, 0),
(92756, 164, 2, 1, 1503352800, 1, 164, 1486115146, NULL, NULL, 0),
(92757, 164, 2, 1, 1503439200, 1, 164, 1486115146, NULL, NULL, 0),
(92758, 164, 2, 1, 1503525600, 1, 164, 1486115146, NULL, NULL, 0),
(92759, 164, 2, 1, 1503612000, 1, 164, 1486115146, NULL, NULL, 0),
(92760, 72, 2, 1, 1502056800, 1, 72, 1486115158, NULL, NULL, 0),
(92761, 72, 2, 1, 1502143200, 1, 72, 1486115158, NULL, NULL, 0),
(92762, 72, 2, 1, 1502229600, 1, 72, 1486115158, NULL, NULL, 0),
(92763, 72, 2, 1, 1502316000, 1, 72, 1486115158, NULL, NULL, 0),
(92764, 72, 2, 1, 1502402400, 1, 72, 1486115158, NULL, NULL, 0),
(92765, 72, 2, 1, 1502661600, 1, 72, 1486115158, NULL, NULL, 0),
(92766, 72, 2, 1, 1502834400, 1, 72, 1486115158, NULL, NULL, 0),
(92767, 72, 2, 1, 1502920800, 1, 72, 1486115158, NULL, NULL, 0),
(92768, 72, 2, 1, 1503007200, 1, 72, 1486115158, NULL, NULL, 0),
(92769, 72, 2, 1, 1503266400, 1, 72, 1486115158, NULL, NULL, 0),
(92770, 72, 2, 1, 1503352800, 1, 72, 1486115158, NULL, NULL, 0),
(92771, 72, 2, 1, 1503439200, 1, 72, 1486115158, NULL, NULL, 0),
(92772, 72, 2, 1, 1503525600, 1, 72, 1486115158, NULL, NULL, 0),
(92773, 72, 2, 1, 1503612000, 1, 72, 1486115158, NULL, NULL, 0),
(92774, 72, 2, 1, 1503871200, 1, 72, 1486115158, NULL, NULL, 0),
(92775, 72, 2, 1, 1503957600, 1, 72, 1486115158, NULL, NULL, 0),
(92776, 72, 2, 1, 1504044000, 1, 72, 1486115158, NULL, NULL, 0),
(92777, 72, 2, 1, 1504130400, 1, 72, 1486115158, NULL, NULL, 0),
(92778, 72, 2, 1, 1504216800, 1, 72, 1486115158, NULL, NULL, 0),
(92800, 72, 2, 1, 1488236400, 1, 72, 1486115266, NULL, NULL, 0),
(99682, 199, 17368, 4, 1488495600, 0.1, 199, 1488803688, NULL, NULL, 0),
(99681, 199, 12325, 27, 1488409200, 0.5, 199, 1488803675, NULL, NULL, 0),
(99680, 199, 12325, 27, 1488495600, 0.5, 199, 1488803666, NULL, NULL, 0),
(92786, 2, 2, 1, 1499637600, 1, 2, 1486115234, NULL, NULL, 0),
(92787, 2, 2, 1, 1499724000, 1, 2, 1486115234, NULL, NULL, 0),
(92788, 2, 2, 1, 1499810400, 1, 2, 1486115234, NULL, NULL, 0),
(92789, 2, 2, 1, 1499896800, 1, 2, 1486115234, NULL, NULL, 0),
(92790, 2, 2, 1, 1500242400, 1, 2, 1486115234, NULL, NULL, 0),
(92791, 2, 2, 1, 1500328800, 1, 2, 1486115234, NULL, NULL, 0),
(92792, 2, 2, 1, 1500415200, 1, 2, 1486115234, NULL, NULL, 0),
(92793, 2, 2, 1, 1500501600, 1, 2, 1486115234, NULL, NULL, 0),
(92794, 2, 2, 1, 1500588000, 1, 2, 1486115234, NULL, NULL, 0),
(92795, 2, 2, 1, 1500847200, 1, 2, 1486115234, NULL, NULL, 0),
(92796, 2, 2, 1, 1500933600, 1, 2, 1486115234, NULL, NULL, 0),
(92797, 2, 2, 1, 1501020000, 1, 2, 1486115234, NULL, NULL, 0),
(92798, 2, 2, 1, 1501106400, 1, 2, 1486115234, NULL, NULL, 0),
(92799, 2, 2, 1, 1501192800, 1, 2, 1486115234, NULL, NULL, 0),
(92801, 72, 2, 1, 1488322800, 1, 72, 1486115266, NULL, NULL, 0),
(92802, 72, 2, 1, 1488409200, 1, 72, 1486115266, NULL, NULL, 0),
(92803, 72, 2, 1, 1488495600, 1, 72, 1486115266, NULL, NULL, 0),
(92806, 2, 2, 1, 1502661600, 1, 2, 1486115675, NULL, NULL, 0),
(92807, 2, 2, 1, 1509318000, 1, 2, 1486115868, NULL, NULL, 0),
(92808, 2, 2, 1, 1509404400, 1, 2, 1486115868, NULL, NULL, 0),
(92809, 164, 2, 1, 1495749600, 1, 164, 1486115884, NULL, NULL, 0),
(92810, 2, 2, 1, 1514242800, 1, 2, 1486116091, NULL, NULL, 0),
(92811, 2, 2, 1, 1514329200, 1, 2, 1486116091, NULL, NULL, 0),
(92812, 2, 2, 1, 1514415600, 1, 2, 1486116091, NULL, NULL, 0),
(92813, 2, 2, 1, 1514502000, 1, 2, 1486116091, NULL, NULL, 0),
(94700, 248, 2, 1, 1487113200, 1, 248, 1486732113, NULL, NULL, 0),
(94699, 248, 2, 1, 1485903600, 1, 248, 1486732078, NULL, NULL, 0),
(125919, 2, 1400, 1, 1504562400, 1, 2, 1502121109, NULL, NULL, 0),
(125918, 2, 1400, 1, 1504476000, 1, 2, 1502121104, NULL, NULL, 0),
(92820, 164, 16093, 18, 1486076400, 0.3, 164, 1486116448, NULL, NULL, 0),
(92821, 164, 16093, 18, 1485990000, 0.5, 164, 1486116409, NULL, NULL, 0),
(92822, 164, 15281, 18, 1485990000, 0.5, 164, 1486116430, NULL, NULL, 0),
(92823, 164, 16912, 18, 1486076400, 0.3, 164, 1486116471, NULL, NULL, 0),
(92824, 164, 1435, 1, 1486076400, 0.4, 164, 1486116485, NULL, NULL, 0),
(92841, 168, 15832, 4, 1485990000, 1, 168, 1486117753, NULL, NULL, 0),
(92842, 168, 15832, 4, 1486076400, 0.5, 168, 1486117766, NULL, NULL, 0),
(92845, 168, 16312, 5, 1485817200, 0.5, 168, 1486117842, NULL, NULL, 0),
(92848, 147, 12306, 5, 1485990000, 1, 147, 1486117910, NULL, NULL, 0),
(92849, 147, 12306, 5, 1486076400, 1, 147, 1486117929, NULL, NULL, 0),
(92861, 168, 15309, 5, 1486076400, 0.5, 168, 1486122900, NULL, NULL, 0),
(92862, 168, 16312, 5, 1484607600, 1, 168, 1486123066, NULL, NULL, 0),
(92863, 168, 1, 1, 1484694000, 0.5, 168, 1486123331, NULL, NULL, 0),
(92864, 168, 1, 1, 1483916400, 0.5, 168, 1486123357, NULL, NULL, 0),
(92865, 168, 16077, 5, 1484521200, 1, 168, 1486123724, NULL, NULL, 0),
(92866, 168, 16077, 5, 1484780400, 1, 168, 1486123895, NULL, NULL, 0),
(92868, 168, 15832, 5, 1484694000, 0.5, 168, 1486123971, NULL, NULL, 0),
(92869, 168, 16047, 5, 1484262000, 1, 168, 1486124199, NULL, NULL, 0),
(92870, 168, 16047, 5, 1484175600, 1, 168, 1486124227, NULL, NULL, 0),
(92871, 168, 16047, 5, 1484089200, 1, 168, 1486124289, NULL, NULL, 0),
(92872, 168, 16047, 5, 1484002800, 1, 168, 1486124302, NULL, NULL, 0),
(92874, 168, 16047, 5, 1483916400, 0.5, 168, 1486124339, NULL, NULL, 0),
(92875, 168, 15833, 17, 1483484400, 0.5, 168, 1486124584, NULL, NULL, 0),
(92876, 168, 16106, 5, 1483657200, 1, 168, 1486124777, NULL, NULL, 0),
(92877, 168, 16106, 4, 1483398000, 1, 168, 1486124794, NULL, NULL, 0),
(92878, 168, 2, 1, 1488409200, 1, 168, 1486124908, NULL, NULL, 0),
(92879, 72, 23789, 1, 1485990000, 1, 72, 1486126334, NULL, NULL, 0),
(92880, 72, 23789, 1, 1486076400, 0.8, 72, 1486126360, NULL, NULL, 0),
(92881, 72, 1505, 1, 1486076400, 0.2, 72, 1486126389, NULL, NULL, 0),
(92883, 74, 14014, 6, 1485990000, 0.5, 74, 1486126476, NULL, NULL, 0),
(93074, 2, 23789, 1, 1486076400, 0.8, 2, 1486135051, NULL, NULL, 0),
(92947, 199, 2, 1, 1492466400, 1, 199, 1486128067, NULL, NULL, 0),
(92948, 199, 2, 1, 1492552800, 1, 199, 1486128067, NULL, NULL, 0),
(92949, 199, 2, 1, 1492639200, 1, 199, 1486128067, NULL, NULL, 0),
(92950, 199, 2, 1, 1492725600, 1, 199, 1486128067, NULL, NULL, 0),
(93073, 2, 1505, 1, 1486076400, 0.2, 2, 1486135031, NULL, NULL, 0),
(93075, 74, 1505, 1, 1486076400, 0.25, 74, 1486135054, NULL, NULL, 0),
(119575, 2, 2, 1, 1499378400, 1, 2, 1499066990, NULL, NULL, 0),
(93077, 74, 10400, 4, 1486076400, 0.25, 74, 1486135352, NULL, NULL, 0),
(93078, 74, 14014, 6, 1486076400, 0.5, 74, 1486135366, NULL, NULL, 0),
(93099, 169, 1505, 1, 1486076400, 0.2, 169, 1486137617, NULL, NULL, 0),
(93083, 199, 16844, 4, 1485990000, 0.1, 199, 1486136932, NULL, NULL, 0),
(93084, 199, 16844, 4, 1485903600, 0.1, 199, 1486136941, NULL, NULL, 0),
(93086, 199, 16913, 4, 1485990000, 0.1, 199, 1486137139, NULL, NULL, 0),
(93087, 199, 16913, 4, 1485903600, 0.5, 199, 1486137150, NULL, NULL, 0),
(93089, 199, 12317, 5, 1485990000, 0.8, 199, 1486137238, NULL, NULL, 0),
(93097, 199, 1505, 1, 1486076400, 0.2, 199, 1486137572, NULL, NULL, 0),
(93100, 199, 16935, 4, 1486076400, 0.2, 199, 1486137624, NULL, NULL, 0),
(93101, 199, 2089, 1, 1485903600, 0.4, 199, 1486137657, NULL, NULL, 0),
(93817, 2, 23789, 1, 1486422000, 0.2, 2, 1486503183, NULL, NULL, 0),
(93119, 169, 12328, 5, 1486076400, 0.8, 169, 1486141251, NULL, NULL, 0),
(93140, 56, 1, 1, 1485817200, 1, 56, 1486144290, NULL, NULL, 0),
(93261, 2, 1435, 1, 1486335600, 0.4, 2, 1486375807, NULL, NULL, 0),
(93262, 72, 23789, 1, 1486335600, 1, 72, 1486375918, NULL, NULL, 0),
(93273, 164, 16588, 18, 1486335600, 0.5, 164, 1486377045, NULL, NULL, 0),
(93309, 217, 16926, 4, 1486335600, 0.25, 217, 1486384801, NULL, NULL, 0),
(93310, 217, 16971, 4, 1486335600, 0.75, 217, 1486384877, NULL, NULL, 0),
(93380, 168, 16855, 5, 1486335600, 0.8, 168, 1486401765, NULL, NULL, 0),
(93381, 168, 16847, 5, 1486335600, 0.1, 168, 1486401836, NULL, NULL, 0),
(93382, 168, 15832, 17, 1486335600, 0.1, 168, 1486401985, NULL, NULL, 0),
(93436, 199, 12324, 5, 1486076400, 0.6, 199, 1486455102, NULL, NULL, 0),
(93437, 246, 16623, 5, 1486335600, 1, 246, 1486455184, NULL, NULL, 0),
(93445, 157, 2, 1, 1486422000, 0.5, 157, 1486456296, NULL, NULL, 0),
(93446, 157, 2, 1, 1486681200, 0.5, 157, 1486456327, NULL, NULL, 0),
(93448, 157, 16846, 7, 1486335600, 0.5, 157, 1486456506, NULL, NULL, 0),
(93450, 157, 16806, 6, 1486335600, 0.5, 157, 1486456852, NULL, NULL, 0),
(93453, 157, 16802, 6, 1486594800, 1, 157, 1486456926, NULL, NULL, 0),
(93457, 157, 17022, 4, 1486422000, 0.5, 157, 1486457168, NULL, NULL, 0),
(93458, 157, 17022, 4, 1486681200, 0.5, 157, 1486457194, NULL, NULL, 0),
(93459, 157, 17022, 4, 1486508400, 0.5, 157, 1486457237, NULL, NULL, 0),
(93460, 157, 16907, 6, 1486508400, 0.5, 157, 1486457258, NULL, NULL, 0),
(93513, 205, 12308, 2, 1486335600, 1, 205, 1486468783, NULL, NULL, 0),
(93514, 205, 10400, 4, 1486076400, 1, 205, 1486468851, NULL, NULL, 0),
(93515, 205, 1400, 1, 1485903600, 1, 205, 1486468878, NULL, NULL, 0),
(93516, 205, 10400, 4, 1485990000, 1, 205, 1486468890, NULL, NULL, 0),
(93517, 205, 23789, 1, 1486422000, 1, 205, 1486469087, NULL, NULL, 0),
(93780, 72, 23789, 1, 1486422000, 1, 72, 1486480860, NULL, NULL, 0),
(93794, 164, 1435, 1, 1486422000, 0.5, 164, 1486483734, NULL, NULL, 0),
(93793, 164, 16588, 5, 1486422000, 0.5, 164, 1486483717, NULL, NULL, 0),
(93792, 164, 16588, 18, 1486335600, 0.5, 164, 1486483699, NULL, NULL, 0),
(94249, 2, 2, 1, 1490565600, 1, 2, 1486635565, NULL, NULL, 0),
(93810, 146, 1505, 1, 1486076400, 0.2, 146, 1486486089, NULL, NULL, 0),
(93811, 146, 10623, 4, 1486076400, 0.8, 146, 1486486152, NULL, NULL, 0),
(93818, 72, 1, 1, 1486681200, 1, 72, 1486536496, NULL, NULL, 0),
(93819, 72, 1, 1, 1487286000, 0.5, 72, 1486536522, NULL, NULL, 0),
(93820, 72, 1, 1, 1487890800, 1, 72, 1486536549, NULL, NULL, 0),
(93833, 246, 16623, 5, 1486422000, 1, 246, 1486543790, NULL, NULL, 0),
(93882, 2, 1505, 1, 1486508400, 0.25, 2, 1486549668, NULL, NULL, 0),
(93890, 146, 10740, 4, 1486335600, 0.2, 146, 1486550667, NULL, NULL, 0),
(93888, 146, 10740, 4, 1486422000, 1, 146, 1486550565, NULL, NULL, 0),
(93889, 146, 10740, 4, 1486508400, 1, 146, 1486550639, NULL, NULL, 0),
(93891, 146, 10623, 4, 1486335600, 0.6, 146, 1486550703, NULL, NULL, 0),
(93892, 146, 10623, 27, 1486335600, 0.2, 146, 1486550858, NULL, NULL, 0),
(93922, 72, 23789, 1, 1486508400, 1, 72, 1486563936, NULL, NULL, 0),
(93928, 217, 15832, 6, 1486594800, 1, 217, 1486567315, NULL, NULL, 0),
(93926, 217, 15832, 6, 1486422000, 1, 217, 1486567098, NULL, NULL, 0),
(93927, 217, 15832, 6, 1486508400, 1, 217, 1486567108, NULL, NULL, 0),
(93929, 217, 15832, 6, 1486681200, 1, 217, 1486567328, NULL, NULL, 0),
(94060, 246, 16623, 5, 1486508400, 0.8, 246, 1486628437, NULL, NULL, 0),
(94063, 246, 13589, 5, 1486508400, 0.2, 246, 1486628627, NULL, NULL, 0),
(94077, 72, 17145, 5, 1486594800, 0.1, 72, 1486629576, NULL, NULL, 0),
(94078, 72, 23789, 1, 1486594800, 0.9, 72, 1486629588, NULL, NULL, 0),
(94659, 158, 2, 1, 1514502000, 1, 158, 1486727316, NULL, NULL, 0),
(94658, 158, 2, 1, 1514415600, 1, 158, 1486727316, NULL, NULL, 0),
(94656, 158, 2, 1, 1514242800, 1, 158, 1486727316, NULL, NULL, 0),
(94205, 147, 12306, 5, 1486335600, 1, 147, 1486633359, NULL, NULL, 0),
(94212, 147, 10623, 5, 1486422000, 1, 147, 1486633439, NULL, NULL, 0),
(94214, 147, 10623, 5, 1486508400, 1, 147, 1486633483, NULL, NULL, 0),
(94223, 147, 10623, 5, 1486681200, 1, 147, 1486633666, NULL, NULL, 0),
(94250, 2, 2, 1, 1490652000, 1, 2, 1486635565, NULL, NULL, 0),
(94251, 2, 2, 1, 1490738400, 1, 2, 1486635565, NULL, NULL, 0),
(94441, 147, 10623, 5, 1486594800, 0.25, 147, 1486654764, NULL, NULL, 0),
(94443, 147, 17142, 4, 1486594800, 0.75, 147, 1486654852, NULL, NULL, 0),
(94513, 199, 2, 1, 1487286000, 1, 199, 1486713213, NULL, NULL, 0),
(94514, 199, 12308, 5, 1486594800, 0.5, 199, 1486713290, NULL, NULL, 0),
(94515, 199, 15970, 5, 1486594800, 0.5, 199, 1486713314, NULL, NULL, 0),
(94516, 199, 16101, 5, 1486508400, 0.1, 199, 1486713406, NULL, NULL, 0),
(94517, 199, 16101, 5, 1486508400, 0.9, 199, 1486713419, NULL, NULL, 0),
(94518, 199, 8454, 5, 1486335600, 1, 199, 1486713450, NULL, NULL, 0),
(94519, 199, 2089, 1, 1486422000, 0.5, 199, 1486713480, NULL, NULL, 0),
(94520, 199, 12309, 5, 1486422000, 0.5, 199, 1486713552, NULL, NULL, 0),
(94557, 83, 2, 1, 1483916400, 1, 83, 1486719199, NULL, NULL, 0),
(94558, 83, 2, 1, 1484002800, 1, 83, 1486719199, NULL, NULL, 0),
(94559, 83, 2, 1, 1486940400, 1, 83, 1486719303, NULL, NULL, 0),
(94560, 83, 2, 1, 1487026800, 1, 83, 1486719303, NULL, NULL, 0),
(94561, 83, 2, 1, 1487113200, 1, 83, 1486719303, NULL, NULL, 0),
(94562, 83, 2, 1, 1487199600, 1, 83, 1486719303, NULL, NULL, 0),
(94563, 83, 2, 1, 1487286000, 1, 83, 1486719303, NULL, NULL, 0),
(94564, 83, 2, 1, 1487545200, 1, 83, 1486719303, NULL, NULL, 0),
(94565, 83, 2, 1, 1487631600, 1, 83, 1486719303, NULL, NULL, 0),
(94566, 83, 2, 1, 1487718000, 1, 83, 1486719303, NULL, NULL, 0),
(94567, 83, 2, 1, 1487804400, 1, 83, 1486719303, NULL, NULL, 0),
(94568, 83, 2, 1, 1487890800, 1, 83, 1486719303, NULL, NULL, 0),
(94569, 83, 1, 1, 1483484400, 1, 83, 1486719581, NULL, NULL, 0),
(94570, 83, 1, 1, 1483570800, 1, 83, 1486719581, NULL, NULL, 0),
(94571, 83, 1, 1, 1483657200, 1, 83, 1486719581, NULL, NULL, 0),
(94572, 83, 1, 1, 1483398000, 0.5, 83, 1486719619, NULL, NULL, 0),
(94579, 164, 16588, 18, 1486508400, 0.5, 164, 1486722059, NULL, NULL, 0),
(94580, 164, 16093, 18, 1486681200, 0.5, 164, 1486722090, NULL, NULL, 0),
(94581, 164, 16588, 18, 1486681200, 0.5, 164, 1486722101, NULL, NULL, 0),
(94582, 164, 16588, 18, 1486594800, 0.5, 164, 1486722117, NULL, NULL, 0),
(94583, 164, 16912, 17, 1486594800, 0.5, 164, 1486722139, NULL, NULL, 0),
(94584, 164, 1435, 1, 1486508400, 0.5, 164, 1486722150, NULL, NULL, 0),
(94585, 83, 2865, 1, 1483311600, 1, 83, 1486722528, NULL, NULL, 0),
(94587, 83, 2865, 1, 1483398000, 0.5, 83, 1486722487, NULL, NULL, 0),
(94589, 83, 2865, 1, 1484089200, 1, 83, 1486722858, NULL, NULL, 0),
(94590, 83, 2865, 1, 1484175600, 1, 83, 1486722858, NULL, NULL, 0),
(94591, 83, 2865, 1, 1484262000, 1, 83, 1486722858, NULL, NULL, 0),
(94592, 83, 2865, 1, 1484521200, 1, 83, 1486722858, NULL, NULL, 0),
(94593, 83, 2865, 1, 1484607600, 1, 83, 1486722858, NULL, NULL, 0),
(94594, 83, 2865, 1, 1484694000, 1, 83, 1486722858, NULL, NULL, 0),
(94595, 83, 2865, 1, 1484780400, 1, 83, 1486722858, NULL, NULL, 0),
(94596, 83, 2865, 1, 1484866800, 1, 83, 1486722858, NULL, NULL, 0),
(94597, 83, 2865, 1, 1485126000, 1, 83, 1486722858, NULL, NULL, 0),
(94598, 83, 2865, 1, 1485212400, 1, 83, 1486722858, NULL, NULL, 0),
(94599, 83, 2865, 1, 1485298800, 1, 83, 1486722858, NULL, NULL, 0),
(94600, 83, 2865, 1, 1485385200, 1, 83, 1486722858, NULL, NULL, 0),
(94601, 83, 2865, 1, 1485471600, 1, 83, 1486722858, NULL, NULL, 0),
(94602, 83, 2865, 1, 1485730800, 1, 83, 1493976704, NULL, NULL, 0),
(94603, 83, 2865, 1, 1485817200, 1, 83, 1486722858, NULL, NULL, 0),
(94604, 83, 2865, 1, 1485903600, 1, 83, 1486722958, NULL, NULL, 0),
(94605, 83, 2865, 1, 1485990000, 1, 83, 1486722958, NULL, NULL, 0),
(94606, 83, 2865, 1, 1486076400, 1, 83, 1486722958, NULL, NULL, 0),
(94607, 83, 2865, 1, 1486335600, 1, 83, 1486722958, NULL, NULL, 0),
(94608, 83, 2865, 1, 1486422000, 1, 83, 1486722958, NULL, NULL, 0),
(94609, 83, 2865, 1, 1486508400, 1, 83, 1486722958, NULL, NULL, 0),
(94610, 83, 2865, 1, 1486594800, 1, 83, 1486722958, NULL, NULL, 0),
(94611, 83, 2865, 1, 1486681200, 1, 83, 1486722958, NULL, NULL, 0),
(94613, 83, 2865, 1, 1488150000, 0.5, 83, 1490192214, NULL, NULL, 0),
(94615, 83, 2, 1, 1489014000, 1, 83, 1486724052, NULL, NULL, 0),
(94616, 83, 2, 1, 1489100400, 1, 83, 1486724052, NULL, NULL, 0),
(94617, 83, 2, 1, 1492466400, 1, 83, 1486724084, NULL, NULL, 0),
(94618, 83, 2, 1, 1492552800, 1, 83, 1486724084, NULL, NULL, 0),
(94619, 83, 2, 1, 1492639200, 1, 83, 1486724084, NULL, NULL, 0),
(94620, 83, 2, 1, 1492725600, 1, 83, 1486724084, NULL, NULL, 0),
(94621, 83, 2, 1, 1500242400, 1, 83, 1486724242, NULL, NULL, 0),
(94622, 83, 2, 1, 1500328800, 1, 83, 1486724242, NULL, NULL, 0),
(94623, 83, 2, 1, 1500415200, 1, 83, 1486724242, NULL, NULL, 0),
(94624, 83, 2, 1, 1500501600, 1, 83, 1486724242, NULL, NULL, 0),
(94625, 83, 2, 1, 1500588000, 1, 83, 1486724242, NULL, NULL, 0),
(94626, 83, 2, 1, 1500847200, 1, 83, 1486724242, NULL, NULL, 0),
(94627, 83, 2, 1, 1500933600, 1, 83, 1486724242, NULL, NULL, 0),
(94628, 83, 2, 1, 1501020000, 1, 83, 1486724242, NULL, NULL, 0),
(94629, 83, 2, 1, 1501106400, 1, 83, 1486724242, NULL, NULL, 0),
(94630, 83, 2, 1, 1501192800, 1, 83, 1486724242, NULL, NULL, 0),
(94631, 83, 2, 1, 1501452000, 1, 83, 1486724242, NULL, NULL, 0),
(94632, 83, 2, 1, 1501538400, 1, 83, 1486724242, NULL, NULL, 0),
(94633, 83, 2, 1, 1501624800, 1, 83, 1486724242, NULL, NULL, 0),
(94634, 83, 2, 1, 1501711200, 1, 83, 1486724242, NULL, NULL, 0),
(94635, 83, 2, 1, 1501797600, 1, 83, 1486724242, NULL, NULL, 0),
(94641, 83, 2, 1, 1514242800, 1, 83, 1486724315, NULL, NULL, 0),
(94642, 83, 2, 1, 1514329200, 1, 83, 1486724315, NULL, NULL, 0),
(94643, 83, 2, 1, 1514415600, 1, 83, 1486724315, NULL, NULL, 0),
(94644, 83, 2, 1, 1514502000, 1, 83, 1486724315, NULL, NULL, 0),
(94645, 83, 2, 1, 1509318000, 1, 83, 1486724430, NULL, NULL, 0),
(94646, 83, 2, 1, 1509404400, 1, 83, 1486724430, NULL, NULL, 0),
(94647, 83, 2, 1, 1509577200, 1, 83, 1486724430, NULL, NULL, 0),
(94648, 83, 2, 1, 1509663600, 1, 83, 1486724430, NULL, NULL, 0),
(94657, 158, 2, 1, 1514329200, 1, 158, 1486727316, NULL, NULL, 0),
(147006, 72, 23789, 1, 1513551600, 0.5, 72, 1513666908, NULL, NULL, 0),
(94678, 72, 2, 1, 1514242800, 1, 72, 1486731006, NULL, NULL, 0),
(94679, 72, 2, 1, 1495749600, 1, 72, 1486731071, NULL, NULL, 0),
(94681, 74, 14014, 6, 1486335600, 1, 74, 1486731160, NULL, NULL, 0),
(94683, 74, 14014, 27, 1486422000, 0.5, 74, 1486731203, NULL, NULL, 0),
(94685, 74, 14014, 6, 1486508400, 1, 74, 1486731218, NULL, NULL, 0),
(94686, 74, 14014, 6, 1486594800, 0.5, 74, 1486731306, NULL, NULL, 0),
(94687, 74, 16847, 5, 1486594800, 0.25, 74, 1486731385, NULL, NULL, 0),
(94688, 74, 14721, 2, 1486594800, 0.25, 74, 1486731435, NULL, NULL, 0),
(94689, 74, 14014, 6, 1486681200, 1, 74, 1486731454, NULL, NULL, 0),
(94690, 342, 16915, 6, 1485990000, 1, 342, 1486731854, NULL, NULL, 0),
(94691, 342, 16915, 6, 1486076400, 1, 342, 1486731879, NULL, NULL, 0),
(94697, 248, 2, 1, 1486508400, 1, 248, 1486732009, NULL, NULL, 0),
(94701, 248, 2, 1, 1487545200, 1, 248, 1486732135, NULL, NULL, 0),
(94702, 248, 2, 1, 1487631600, 1, 248, 1486732151, NULL, NULL, 0),
(94703, 248, 2, 1, 1487718000, 1, 248, 1486732156, NULL, NULL, 0),
(94704, 248, 2, 1, 1487804400, 1, 248, 1486732161, NULL, NULL, 0),
(94705, 248, 2, 1, 1487890800, 1, 248, 1486732173, NULL, NULL, 0),
(94722, 2, 23789, 1, 1486594800, 0.25, 2, 1486733310, NULL, NULL, 0),
(94723, 2, 16139, 17, 1486594800, 0.75, 2, 1486733345, NULL, NULL, 0),
(94724, 2, 1435, 1, 1486508400, 0.5, 2, 1486733367, NULL, NULL, 0),
(94725, 2, 16139, 17, 1486508400, 0.25, 2, 1486733378, NULL, NULL, 0),
(94726, 2, 23789, 1, 1486681200, 0.25, 2, 1486733412, NULL, NULL, 0),
(94727, 2, 16139, 17, 1486681200, 0.75, 2, 1486733440, NULL, NULL, 0),
(94728, 2, 1400, 1, 1488150000, 1, 2, 1486733564, NULL, NULL, 0),
(94729, 2, 1400, 1, 1488236400, 1, 2, 1486733564, NULL, NULL, 0),
(94730, 2, 1400, 1, 1488322800, 1, 2, 1486733564, NULL, NULL, 0),
(94731, 2, 1400, 1, 1494972000, 1, 2, 1486733590, NULL, NULL, 0),
(94732, 2, 1400, 1, 1495058400, 1, 2, 1486733590, NULL, NULL, 0),
(94733, 2, 1400, 1, 1495144800, 1, 2, 1486733590, NULL, NULL, 0),
(94734, 2, 1400, 1, 1499032800, 1, 2, 1486733621, NULL, NULL, 0),
(94735, 2, 1400, 1, 1499119200, 1, 2, 1486733628, NULL, NULL, 0),
(94736, 2, 1400, 1, 1499205600, 1, 2, 1486733636, NULL, NULL, 0),
(94737, 342, 16915, 6, 1486335600, 1, 342, 1486733826, NULL, NULL, 0),
(94780, 199, 2, 1, 1501538400, 1, 199, 1486735589, NULL, NULL, 0),
(94781, 199, 2, 1, 1501624800, 1, 199, 1486735589, NULL, NULL, 0),
(94782, 199, 2, 1, 1501711200, 1, 199, 1486735589, NULL, NULL, 0),
(94783, 199, 2, 1, 1501797600, 1, 199, 1486735589, NULL, NULL, 0),
(94784, 199, 2, 1, 1502056800, 1, 199, 1486735589, NULL, NULL, 0),
(94785, 199, 2, 1, 1502143200, 1, 199, 1486735589, NULL, NULL, 0),
(94786, 199, 2, 1, 1502229600, 1, 199, 1486735589, NULL, NULL, 0),
(94787, 199, 2, 1, 1502316000, 1, 199, 1486735589, NULL, NULL, 0),
(94788, 199, 2, 1, 1502402400, 1, 199, 1486735589, NULL, NULL, 0),
(94790, 199, 2, 1, 1502834400, 1, 199, 1486735589, NULL, NULL, 0),
(94791, 199, 2, 1, 1502920800, 1, 199, 1486735589, NULL, NULL, 0),
(94792, 199, 2, 1, 1503007200, 1, 199, 1486735589, NULL, NULL, 0),
(94795, 199, 2, 1, 1496959200, 1, 199, 1486735650, NULL, NULL, 0),
(94804, 199, 2, 1, 1514242800, 1, 199, 1486735760, NULL, NULL, 0),
(94805, 199, 2, 1, 1514329200, 1, 199, 1486735760, NULL, NULL, 0),
(94806, 199, 2, 1, 1514415600, 1, 199, 1486735760, NULL, NULL, 0),
(94807, 199, 2, 1, 1514502000, 1, 199, 1486735760, NULL, NULL, 0),
(94808, 164, 2, 1, 1492466400, 1, 164, 1486735765, NULL, NULL, 0),
(94827, 164, 2, 1, 1492552800, 1, 164, 1486736143, NULL, NULL, 0),
(94829, 164, 2, 1, 1509577200, 1, 164, 1486736443, NULL, NULL, 0),
(94830, 164, 2, 1, 1509663600, 1, 164, 1486736443, NULL, NULL, 0),
(94884, 342, 16915, 6, 1486422000, 1, 342, 1486738550, NULL, NULL, 0),
(94890, 342, 14721, 6, 1486508400, 1, 342, 1486738591, NULL, NULL, 0),
(94892, 342, 14721, 6, 1486594800, 1, 342, 1486738616, NULL, NULL, 0),
(95087, 146, 10740, 5, 1486594800, 1, 146, 1486741926, NULL, NULL, 0),
(95088, 146, 10740, 5, 1486681200, 1, 146, 1486741940, NULL, NULL, 0),
(95132, 168, 15832, 5, 1486594800, 0.5, 168, 1486746391, NULL, NULL, 0),
(95133, 168, 15832, 5, 1486681200, 1, 168, 1486746403, NULL, NULL, 0),
(95134, 168, 15832, 5, 1486508400, 0.5, 168, 1486746422, NULL, NULL, 0),
(95135, 168, 16847, 5, 1486508400, 0.5, 168, 1486746447, NULL, NULL, 0),
(113487, 56, 1, 1, 1486681200, 0.75, 9, 1496138715, NULL, NULL, 0),
(95140, 56, 1, 1, 1486422000, 0.25, 56, 1486761557, NULL, NULL, 0),
(117889, 56, 1, 1, 1491429600, 0.25, 9, 1498218089, NULL, NULL, 0),
(95239, 56, 2, 1, 1487286000, 1, 56, 1486910349, NULL, NULL, 0),
(95241, 56, 1, 1, 1486940400, 0.25, 56, 1486910529, NULL, NULL, 0),
(95242, 56, 1, 1, 1487026800, 0.5, 56, 1486910585, NULL, NULL, 0),
(95243, 56, 2, 1, 1487890800, 1, 56, 1486910741, NULL, NULL, 0),
(95244, 56, 1, 1, 1487631600, 0.5, 56, 1486911076, NULL, NULL, 0),
(95245, 56, 1, 1, 1488150000, 0.5, 56, 1486911188, NULL, NULL, 0),
(95246, 56, 1, 1, 1487718000, 0.25, 56, 1486911322, NULL, NULL, 0),
(95247, 56, 1, 1, 1487718000, 0.25, 56, 1486911372, NULL, NULL, 0),
(95251, 169, 12328, 6, 1486335600, 1, 169, 1486942748, NULL, NULL, 0),
(95252, 169, 15571, 4, 1486422000, 1, 169, 1486942880, NULL, NULL, 0),
(95271, 74, 2, 1, 1489359600, 1, 74, 1486972302, NULL, NULL, 0),
(95273, 74, 2, 1, 1489532400, 1, 74, 1486972302, NULL, NULL, 0),
(95274, 74, 2, 1, 1489618800, 1, 74, 1486972302, NULL, NULL, 0),
(95275, 74, 2, 1, 1489705200, 1, 74, 1486972302, NULL, NULL, 0),
(95279, 74, 2, 1, 1499637600, 1, 74, 1486972444, NULL, NULL, 0),
(95280, 74, 2, 1, 1499724000, 1, 74, 1486972444, NULL, NULL, 0),
(95281, 74, 2, 1, 1499810400, 1, 74, 1486972444, NULL, NULL, 0),
(95282, 74, 2, 1, 1499896800, 1, 74, 1486972444, NULL, NULL, 0),
(95284, 74, 2, 1, 1502056800, 1, 74, 1486972479, NULL, NULL, 0),
(95285, 74, 2, 1, 1502143200, 1, 74, 1486972479, NULL, NULL, 0),
(95286, 74, 2, 1, 1502229600, 1, 74, 1486972479, NULL, NULL, 0),
(95287, 74, 2, 1, 1502316000, 1, 74, 1486972479, NULL, NULL, 0),
(95288, 74, 2, 1, 1502402400, 1, 74, 1486972479, NULL, NULL, 0),
(95289, 74, 2, 1, 1502661600, 1, 74, 1486972479, NULL, NULL, 0),
(95290, 74, 2, 1, 1502834400, 1, 74, 1486972479, NULL, NULL, 0),
(95291, 74, 2, 1, 1502920800, 1, 74, 1486972479, NULL, NULL, 0),
(95292, 74, 2, 1, 1503007200, 1, 74, 1486972479, NULL, NULL, 0),
(95293, 74, 2, 1, 1503266400, 1, 74, 1486972479, NULL, NULL, 0),
(95294, 74, 2, 1, 1503352800, 1, 74, 1486972479, NULL, NULL, 0),
(95295, 74, 2, 1, 1503439200, 1, 74, 1486972479, NULL, NULL, 0),
(95296, 74, 2, 1, 1503525600, 1, 74, 1486972479, NULL, NULL, 0),
(95297, 74, 2, 1, 1503612000, 1, 74, 1486972479, NULL, NULL, 0),
(95298, 74, 2, 1, 1505685600, 1, 74, 1486972505, NULL, NULL, 0),
(95299, 74, 2, 1, 1505772000, 1, 74, 1486972505, NULL, NULL, 0),
(95300, 74, 2, 1, 1505858400, 1, 74, 1486972505, NULL, NULL, 0),
(95301, 74, 2, 1, 1505944800, 1, 74, 1486972505, NULL, NULL, 0),
(95302, 74, 2, 1, 1506031200, 1, 74, 1486972505, NULL, NULL, 0),
(95303, 74, 2, 1, 1509318000, 1, 74, 1486972530, NULL, NULL, 0),
(95304, 74, 2, 1, 1509404400, 1, 74, 1486972530, NULL, NULL, 0),
(95305, 74, 2, 1, 1513897200, 1, 74, 1486972574, NULL, NULL, 0),
(95306, 74, 2, 1, 1514242800, 1, 74, 1486972574, NULL, NULL, 0),
(95307, 74, 2, 1, 1514329200, 1, 74, 1486972574, NULL, NULL, 0),
(95308, 74, 2, 1, 1514415600, 1, 74, 1486972574, NULL, NULL, 0),
(95309, 74, 2, 1, 1514502000, 1, 74, 1486972574, NULL, NULL, 0),
(95310, 74, 1, 1, 1489100400, 1, 74, 1486972665, NULL, NULL, 0),
(101358, 72, 2, 1, 1505080800, 1, 72, 1489501456, NULL, NULL, 0),
(95380, 205, 2, 1, 1495749600, 1, 205, 1486977775, NULL, NULL, 0),
(95382, 205, 2, 1, 1502056800, 1, 205, 1486977808, NULL, NULL, 0),
(95383, 205, 2, 1, 1502143200, 1, 205, 1486977808, NULL, NULL, 0),
(95384, 205, 2, 1, 1502229600, 1, 205, 1486977808, NULL, NULL, 0),
(95385, 205, 2, 1, 1502316000, 1, 205, 1486977808, NULL, NULL, 0),
(95386, 205, 2, 1, 1502402400, 1, 205, 1486977808, NULL, NULL, 0),
(95387, 205, 2, 1, 1502661600, 1, 205, 1486977808, NULL, NULL, 0),
(95388, 205, 2, 1, 1502834400, 1, 205, 1486977808, NULL, NULL, 0),
(95389, 205, 2, 1, 1502920800, 1, 205, 1486977808, NULL, NULL, 0),
(95390, 205, 2, 1, 1503007200, 1, 205, 1486977808, NULL, NULL, 0),
(95391, 205, 2, 1, 1503266400, 1, 205, 1486977808, NULL, NULL, 0),
(95392, 205, 2, 1, 1503352800, 1, 205, 1486977808, NULL, NULL, 0),
(95393, 205, 2, 1, 1503439200, 1, 205, 1486977808, NULL, NULL, 0),
(95394, 205, 2, 1, 1503525600, 1, 205, 1486977808, NULL, NULL, 0),
(95395, 205, 2, 1, 1503612000, 1, 205, 1486977808, NULL, NULL, 0),
(95415, 205, 2, 1, 1506636000, 1, 205, 1486979758, NULL, NULL, 0),
(95421, 205, 2, 1, 1513551600, 1, 205, 1486979826, NULL, NULL, 0),
(95422, 205, 2, 1, 1513638000, 1, 205, 1486979826, NULL, NULL, 0),
(95423, 205, 2, 1, 1513724400, 1, 205, 1486979826, NULL, NULL, 0),
(95424, 205, 2, 1, 1513810800, 1, 205, 1486979826, NULL, NULL, 0),
(95425, 205, 2, 1, 1513897200, 1, 205, 1486979826, NULL, NULL, 0),
(95426, 205, 2, 1, 1514242800, 1, 205, 1486979826, NULL, NULL, 0),
(95427, 205, 2, 1, 1514329200, 1, 205, 1486979826, NULL, NULL, 0),
(95428, 205, 2, 1, 1514415600, 1, 205, 1486979826, NULL, NULL, 0),
(95429, 205, 2, 1, 1514502000, 1, 205, 1486979826, NULL, NULL, 0),
(119999, 205, 2, 1, 1499378400, 1, 205, 1499175658, NULL, NULL, 0),
(115769, 205, 2, 1, 1497996000, 1, 205, 1497349861, NULL, NULL, 0),
(95444, 72, 17248, 4, 1486940400, 0.2, 72, 1486981879, NULL, NULL, 0),
(95445, 72, 23789, 1, 1486940400, 0.8, 72, 1486981913, NULL, NULL, 0),
(95446, 205, 2, 1, 1487890800, 1, 205, 1486983640, NULL, NULL, 0),
(114213, 74, 1, 1, 1496872800, 1, 74, 1496406274, NULL, NULL, 0),
(117700, 74, 1, 1, 1498428000, 0.5, 74, 1498199044, NULL, NULL, 0),
(135001, 74, 1, 1, 1507845600, 1, 74, 1507031164, NULL, NULL, 0),
(135698, 74, 2, 1, 1508709600, 1, 74, 1507273274, NULL, NULL, 0),
(95458, 199, 15970, 5, 1486681200, 1, 199, 1486990096, NULL, NULL, 0),
(95691, 217, 15832, 18, 1487026800, 0.2, 217, 1487166314, NULL, NULL, 0),
(95479, 147, 10623, 5, 1486940400, 1, 147, 1486997095, NULL, NULL, 0),
(95536, 342, 2, 1, 1486940400, 1, 342, 1487061379, NULL, NULL, 0),
(96678, 157, 2, 1, 1495749600, 1, 157, 1487658837, NULL, NULL, 0),
(95553, 164, 16588, 18, 1486940400, 0.25, 164, 1487064600, NULL, NULL, 0),
(95552, 164, 17251, 2, 1486940400, 0.75, 164, 1487064584, NULL, NULL, 0),
(95571, 72, 15785, 7, 1487026800, 0.5, 72, 1487067437, NULL, NULL, 0),
(95572, 72, 23789, 1, 1487026800, 0.5, 72, 1487067464, NULL, NULL, 0),
(95586, 246, 10598, 5, 1486940400, 0.5, 246, 1487078443, NULL, NULL, 0),
(95587, 246, 16623, 5, 1486940400, 0.5, 246, 1487078468, NULL, NULL, 0),
(95592, 322, 14791, 5, 1486940400, 1, 322, 1487085060, NULL, NULL, 0),
(95593, 74, 14014, 6, 1486940400, 0.5, 74, 1487085199, NULL, NULL, 0),
(96244, 74, 14014, 6, 1487113200, 1, 74, 1487321142, NULL, NULL, 0),
(95606, 164, 16093, 18, 1487026800, 0.5, 164, 1487090111, NULL, NULL, 0),
(95607, 246, 10598, 5, 1487026800, 0.8, 246, 1487090128, NULL, NULL, 0),
(95608, 164, 16139, 18, 1487026800, 0.5, 164, 1487090140, NULL, NULL, 0),
(95609, 246, 16623, 5, 1487026800, 0.2, 246, 1487090148, NULL, NULL, 0),
(95610, 164, 16588, 18, 1487113200, 0.5, 164, 1487090159, NULL, NULL, 0),
(95642, 74, 1, 1, 1488150000, 0.5, 74, 1487145723, NULL, NULL, 0),
(95643, 199, 17254, 5, 1487026800, 0.2, 199, 1487147119, NULL, NULL, 0),
(95645, 199, 17133, 5, 1487026800, 0.25, 199, 1487147189, NULL, NULL, 0),
(95648, 199, 17133, 5, 1487026800, 0.05, 199, 1487147414, NULL, NULL, 0),
(95647, 199, 10399, 2, 1487026800, 0.5, 199, 1487147362, NULL, NULL, 0),
(95649, 199, 2089, 1, 1486940400, 0.5, 199, 1487147434, NULL, NULL, 0),
(95650, 199, 17252, 5, 1486940400, 0.25, 199, 1487147624, NULL, NULL, 0),
(95699, 72, 23789, 1, 1487113200, 0.5, 72, 1487167921, NULL, NULL, 0),
(95723, 246, 10598, 7, 1487113200, 0.1, 246, 1487175770, NULL, NULL, 0),
(100551, 199, 17447, 5, 1488841200, 0.1, 199, 1489052542, NULL, NULL, 0),
(95681, 322, 14791, 5, 1487026800, 1, 322, 1487163703, NULL, NULL, 0),
(95682, 322, 14791, 5, 1487113200, 1, 322, 1487163723, NULL, NULL, 0),
(95684, 217, 15832, 6, 1486940400, 1, 217, 1487165927, NULL, NULL, 0),
(95692, 217, 15832, 7, 1487026800, 0.8, 217, 1487166360, NULL, NULL, 0),
(95687, 217, 2, 1, 1487199600, 1, 217, 1487165983, NULL, NULL, 0),
(95688, 217, 2, 1, 1487286000, 1, 217, 1487165990, NULL, NULL, 0),
(95689, 217, 11112, 27, 1487113200, 0.5, 217, 1487166044, NULL, NULL, 0),
(95690, 217, 15832, 6, 1487113200, 0.5, 217, 1487166059, NULL, NULL, 0),
(95700, 72, 17301, 5, 1487113200, 0.5, 72, 1487167977, NULL, NULL, 0),
(95701, 164, 17251, 17, 1487113200, 0.5, 164, 1487168053, NULL, NULL, 0),
(95703, 164, 2, 1, 1503871200, 1, 164, 1487171799, NULL, NULL, 0),
(95704, 164, 2, 1, 1503957600, 1, 164, 1487171799, NULL, NULL, 0),
(95705, 164, 2, 1, 1504044000, 1, 164, 1487171799, NULL, NULL, 0),
(95706, 164, 2, 1, 1504130400, 1, 164, 1487171799, NULL, NULL, 0),
(95707, 164, 2, 1, 1504216800, 1, 164, 1487171799, NULL, NULL, 0),
(96759, 146, 2, 1, 1487890800, 1, 146, 1487684084, NULL, NULL, 0),
(95713, 146, 2, 1, 1488322800, 1, 146, 1487174121, NULL, NULL, 0),
(95714, 146, 2, 1, 1488409200, 1, 146, 1487174127, NULL, NULL, 0),
(95715, 146, 2, 1, 1488495600, 1, 146, 1487174132, NULL, NULL, 0),
(95724, 246, 13589, 5, 1487113200, 0.9, 246, 1487175801, NULL, NULL, 0),
(95744, 205, 15832, 2, 1486508400, 1, 205, 1487232508, NULL, NULL, 0),
(95745, 205, 15832, 2, 1486594800, 1, 205, 1487232519, NULL, NULL, 0),
(95746, 205, 15832, 2, 1486681200, 1, 205, 1487232527, NULL, NULL, 0),
(95747, 205, 23789, 1, 1486940400, 1, 205, 1487232560, NULL, NULL, 0),
(95748, 205, 23789, 1, 1487113200, 1, 205, 1487232571, NULL, NULL, 0),
(95749, 205, 15832, 2, 1487026800, 0.5, 205, 1487232612, NULL, NULL, 0),
(95750, 205, 23789, 1, 1487026800, 0.5, 205, 1487232618, NULL, NULL, 0),
(95936, 322, 14791, 5, 1487199600, 1, 322, 1487238940, NULL, NULL, 0),
(95942, 169, 12330, 5, 1486508400, 1, 169, 1487240763, NULL, NULL, 0),
(95943, 169, 12330, 5, 1486594800, 1, 169, 1487240774, NULL, NULL, 0),
(95944, 169, 12330, 5, 1486681200, 1, 169, 1487240783, NULL, NULL, 0),
(95949, 169, 12330, 5, 1486940400, 1, 169, 1487240999, NULL, NULL, 0),
(95950, 169, 12330, 5, 1487026800, 1, 169, 1487241031, NULL, NULL, 0),
(95951, 169, 12330, 6, 1487113200, 1, 169, 1487241057, NULL, NULL, 0),
(95952, 169, 12330, 6, 1487199600, 0.5, 169, 1487241129, NULL, NULL, 0),
(96042, 88, 2, 1, 1487631600, 0.5, 88, 1487262795, NULL, NULL, 0),
(96008, 88, 2, 1, 1494799200, 1, 88, 1487262581, NULL, NULL, 0),
(96009, 88, 2, 1, 1494885600, 1, 88, 1487262581, NULL, NULL, 0),
(96010, 88, 2, 1, 1494972000, 1, 88, 1487262581, NULL, NULL, 0),
(96011, 88, 2, 1, 1495058400, 1, 88, 1487262581, NULL, NULL, 0),
(96012, 88, 2, 1, 1495144800, 1, 88, 1487262581, NULL, NULL, 0),
(96013, 88, 2, 1, 1495404000, 1, 88, 1487262581, NULL, NULL, 0),
(96014, 88, 2, 1, 1495490400, 1, 88, 1487262581, NULL, NULL, 0),
(96015, 88, 2, 1, 1495576800, 1, 88, 1487262581, NULL, NULL, 0),
(96016, 88, 2, 1, 1495749600, 1, 88, 1487262581, NULL, NULL, 0),
(96017, 88, 2, 1, 1498428000, 1, 88, 1487262634, NULL, NULL, 0),
(96018, 88, 2, 1, 1498514400, 1, 88, 1487262634, NULL, NULL, 0),
(96019, 88, 2, 1, 1498600800, 1, 88, 1487262634, NULL, NULL, 0),
(96020, 88, 2, 1, 1498687200, 1, 88, 1487262634, NULL, NULL, 0),
(96021, 88, 2, 1, 1498773600, 1, 88, 1487262634, NULL, NULL, 0),
(96022, 88, 2, 1, 1499032800, 1, 88, 1487262634, NULL, NULL, 0),
(96023, 88, 2, 1, 1499119200, 1, 88, 1487262634, NULL, NULL, 0),
(96024, 88, 2, 1, 1499205600, 1, 88, 1487262634, NULL, NULL, 0),
(96025, 88, 2, 1, 1499292000, 1, 88, 1487262634, NULL, NULL, 0),
(96026, 88, 2, 1, 1499378400, 1, 88, 1487262634, NULL, NULL, 0),
(96027, 88, 2, 1, 1505685600, 1, 88, 1487262685, NULL, NULL, 0),
(96028, 88, 2, 1, 1505772000, 1, 88, 1487262685, NULL, NULL, 0),
(96029, 88, 2, 1, 1505858400, 1, 88, 1487262685, NULL, NULL, 0),
(96030, 88, 2, 1, 1505944800, 1, 88, 1487262685, NULL, NULL, 0),
(96031, 88, 2, 1, 1506031200, 1, 88, 1487262685, NULL, NULL, 0),
(96032, 88, 2, 1, 1506290400, 1, 88, 1487262685, NULL, NULL, 0),
(96033, 88, 2, 1, 1506376800, 1, 88, 1487262685, NULL, NULL, 0),
(96034, 88, 2, 1, 1506463200, 1, 88, 1487262685, NULL, NULL, 0),
(96035, 88, 2, 1, 1506549600, 1, 88, 1487262685, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(96036, 88, 2, 1, 1506636000, 1, 88, 1487262685, NULL, NULL, 0),
(96037, 88, 2, 1, 1513897200, 1, 88, 1487262735, NULL, NULL, 0),
(96038, 88, 2, 1, 1514242800, 1, 88, 1487262735, NULL, NULL, 0),
(96039, 88, 2, 1, 1514329200, 1, 88, 1487262735, NULL, NULL, 0),
(96040, 88, 2, 1, 1514415600, 1, 88, 1487262735, NULL, NULL, 0),
(96041, 88, 2, 1, 1514502000, 1, 88, 1487262735, NULL, NULL, 0),
(101933, 198, 2, 1, 1493157600, 1, 198, 1489734927, NULL, NULL, 0),
(96211, 164, 16588, 18, 1487199600, 0.75, 164, 1487320704, NULL, NULL, 0),
(96212, 164, 1435, 1, 1487199600, 0.25, 164, 1487320719, NULL, NULL, 0),
(101932, 198, 2, 1, 1493071200, 1, 198, 1489734917, NULL, NULL, 0),
(96214, 164, 1435, 1, 1487286000, 0.5, 164, 1487320730, NULL, NULL, 0),
(96241, 74, 14014, 6, 1487026800, 0.5, 74, 1487321096, NULL, NULL, 0),
(96216, 164, 16588, 18, 1487286000, 0.5, 164, 1487320759, NULL, NULL, 0),
(101931, 198, 2, 1, 1492984800, 1, 198, 1489734902, NULL, NULL, 0),
(96218, 198, 2, 1, 1492034400, 1, 198, 1487320782, NULL, NULL, 0),
(96219, 198, 2, 1, 1492120800, 1, 198, 1487320801, NULL, NULL, 0),
(96220, 198, 2, 1, 1492466400, 1, 198, 1487320821, NULL, NULL, 0),
(96221, 198, 2, 1, 1492552800, 1, 198, 1487320830, NULL, NULL, 0),
(96222, 198, 2, 1, 1492639200, 1, 198, 1487320838, NULL, NULL, 0),
(96223, 198, 2, 1, 1492725600, 1, 198, 1487320860, NULL, NULL, 0),
(96224, 198, 2, 1, 1502661600, 1, 198, 1487320885, NULL, NULL, 0),
(96225, 198, 2, 1, 1502834400, 1, 198, 1487320894, NULL, NULL, 0),
(96226, 198, 2, 1, 1502920800, 1, 198, 1487320901, NULL, NULL, 0),
(96227, 198, 2, 1, 1503007200, 1, 198, 1487320909, NULL, NULL, 0),
(96228, 198, 2, 1, 1503266400, 1, 198, 1487320923, NULL, NULL, 0),
(96229, 198, 2, 1, 1503352800, 1, 198, 1487320929, NULL, NULL, 0),
(96230, 198, 2, 1, 1503439200, 1, 198, 1487320936, NULL, NULL, 0),
(96231, 198, 2, 1, 1503525600, 1, 198, 1487320942, NULL, NULL, 0),
(96232, 198, 2, 1, 1503612000, 1, 198, 1487320950, NULL, NULL, 0),
(96233, 198, 2, 1, 1503871200, 1, 198, 1487320958, NULL, NULL, 0),
(96234, 198, 2, 1, 1503957600, 1, 198, 1487320965, NULL, NULL, 0),
(96235, 198, 2, 1, 1504044000, 1, 198, 1487320972, NULL, NULL, 0),
(96236, 198, 2, 1, 1504130400, 1, 198, 1487320987, NULL, NULL, 0),
(96237, 74, 17248, 2, 1486940400, 0.5, 74, 1487320994, NULL, NULL, 0),
(96238, 198, 2, 1, 1504216800, 1, 198, 1487320996, NULL, NULL, 0),
(96245, 74, 14014, 6, 1487199600, 0.5, 74, 1487321155, NULL, NULL, 0),
(96246, 74, 14014, 6, 1487286000, 1, 74, 1487321170, NULL, NULL, 0),
(96248, 146, 10740, 5, 1486940400, 1, 146, 1487321225, NULL, NULL, 0),
(96249, 146, 10740, 5, 1487026800, 1, 146, 1487321236, NULL, NULL, 0),
(96250, 146, 10740, 5, 1487113200, 1, 146, 1487321244, NULL, NULL, 0),
(96251, 146, 10740, 5, 1487199600, 1, 146, 1487321256, NULL, NULL, 0),
(96252, 146, 10740, 5, 1487286000, 1, 146, 1487321265, NULL, NULL, 0),
(96281, 72, 1435, 1, 1487199600, 0.5, 72, 1487327095, NULL, NULL, 0),
(96282, 72, 23789, 1, 1487199600, 0.5, 72, 1487327111, NULL, NULL, 0),
(96283, 72, 23789, 1, 1487286000, 0.5, 72, 1487327119, NULL, NULL, 0),
(96284, 147, 10623, 5, 1487026800, 1, 147, 1487327466, NULL, NULL, 0),
(96285, 147, 10623, 5, 1487113200, 1, 147, 1487327478, NULL, NULL, 0),
(96286, 147, 10623, 5, 1487199600, 1, 147, 1487327493, NULL, NULL, 0),
(96322, 147, 10623, 5, 1487286000, 0.75, 147, 1487328394, NULL, NULL, 0),
(96289, 342, 17211, 6, 1486681200, 1, 342, 1487327644, NULL, NULL, 0),
(96290, 342, 17211, 6, 1487026800, 1, 342, 1487327688, NULL, NULL, 0),
(96291, 147, 2, 1, 1491775200, 1, 147, 1487327690, NULL, NULL, 0),
(96292, 147, 2, 1, 1491861600, 1, 147, 1487327690, NULL, NULL, 0),
(96293, 147, 2, 1, 1491948000, 1, 147, 1487327690, NULL, NULL, 0),
(96294, 147, 2, 1, 1492034400, 1, 147, 1487327690, NULL, NULL, 0),
(96295, 147, 2, 1, 1492120800, 1, 147, 1487327690, NULL, NULL, 0),
(96297, 342, 17211, 6, 1487113200, 1, 342, 1487327728, NULL, NULL, 0),
(96298, 342, 17211, 6, 1487199600, 1, 342, 1487327754, NULL, NULL, 0),
(96299, 147, 2, 1, 1495749600, 1, 147, 1487327923, NULL, NULL, 0),
(96300, 147, 2, 1, 1499032800, 1, 147, 1487328079, NULL, NULL, 0),
(96301, 147, 2, 1, 1499119200, 1, 147, 1487328079, NULL, NULL, 0),
(96302, 147, 2, 1, 1499205600, 1, 147, 1487328079, NULL, NULL, 0),
(96303, 147, 2, 1, 1499292000, 1, 147, 1487328079, NULL, NULL, 0),
(96304, 147, 2, 1, 1499378400, 1, 147, 1487328079, NULL, NULL, 0),
(96305, 147, 2, 1, 1502056800, 1, 147, 1487328152, NULL, NULL, 0),
(96306, 147, 2, 1, 1502143200, 1, 147, 1487328152, NULL, NULL, 0),
(96307, 147, 2, 1, 1502229600, 1, 147, 1487328152, NULL, NULL, 0),
(96308, 147, 2, 1, 1502316000, 1, 147, 1487328152, NULL, NULL, 0),
(96309, 147, 2, 1, 1502402400, 1, 147, 1487328152, NULL, NULL, 0),
(96310, 147, 2, 1, 1502661600, 1, 147, 1487328152, NULL, NULL, 0),
(96311, 147, 2, 1, 1502834400, 1, 147, 1487328152, NULL, NULL, 0),
(96312, 147, 2, 1, 1502920800, 1, 147, 1487328152, NULL, NULL, 0),
(96313, 147, 2, 1, 1503007200, 1, 147, 1487328152, NULL, NULL, 0),
(96314, 147, 2, 1, 1509318000, 1, 147, 1487328248, NULL, NULL, 0),
(96315, 147, 2, 1, 1509404400, 1, 147, 1487328248, NULL, NULL, 0),
(96316, 147, 2, 1, 1509577200, 1, 147, 1487328248, NULL, NULL, 0),
(96317, 147, 2, 1, 1509663600, 1, 147, 1487328248, NULL, NULL, 0),
(96318, 147, 2, 1, 1514242800, 1, 147, 1487328343, NULL, NULL, 0),
(96319, 147, 2, 1, 1514329200, 1, 147, 1487328343, NULL, NULL, 0),
(96320, 147, 2, 1, 1514415600, 1, 147, 1487328343, NULL, NULL, 0),
(96321, 147, 2, 1, 1514502000, 1, 147, 1487328343, NULL, NULL, 0),
(96327, 147, 1437, 1, 1487286000, 0.25, 147, 1487328551, NULL, NULL, 0),
(96399, 322, 14791, 5, 1487286000, 1, 322, 1487338471, NULL, NULL, 0),
(96454, 169, 1437, 1, 1487199600, 0.25, 169, 1487344397, NULL, NULL, 0),
(96456, 169, 17444, 4, 1487199600, 0.25, 169, 1487344678, NULL, NULL, 0),
(96457, 169, 17444, 4, 1487286000, 1, 169, 1487344704, NULL, NULL, 0),
(96545, 343, 2, 1, 1487113200, 1, 343, 1487543789, NULL, NULL, 0),
(96546, 343, 1041, 1, 1487199600, 1, 343, 1487543865, NULL, NULL, 0),
(96547, 343, 1041, 1, 1487286000, 1, 343, 1487543876, NULL, NULL, 0),
(96548, 157, 2, 1, 1487718000, 1, 157, 1487572993, NULL, NULL, 0),
(96549, 199, 2089, 1, 1487113200, 0.5, 199, 1487573656, NULL, NULL, 0),
(96550, 199, 17133, 5, 1486940400, 0.25, 199, 1487573682, NULL, NULL, 0),
(96551, 199, 10740, 2, 1487113200, 0.25, 199, 1487573757, NULL, NULL, 0),
(96552, 199, 12325, 4, 1487113200, 0.25, 199, 1487573801, NULL, NULL, 0),
(96553, 199, 17133, 5, 1487199600, 1, 199, 1487573819, NULL, NULL, 0),
(96569, 72, 23789, 1, 1487545200, 1, 72, 1487579804, NULL, NULL, 0),
(96643, 168, 15832, 5, 1487545200, 0.6, 168, 1487595063, NULL, NULL, 0),
(96654, 217, 16723, 4, 1487545200, 0.5, 217, 1487598656, NULL, NULL, 0),
(96655, 217, 15832, 6, 1487545200, 0.5, 217, 1487598679, NULL, NULL, 0),
(96672, 2, 23789, 1, 1487545200, 0.75, 2, 1487611740, NULL, NULL, 0),
(96673, 2, 1437, 1, 1487545200, 0.25, 2, 1487611788, NULL, NULL, 0),
(96674, 246, 13589, 5, 1487545200, 0.5, 246, 1487611841, NULL, NULL, 0),
(96675, 246, 17382, 5, 1487545200, 0.5, 246, 1487611881, NULL, NULL, 0),
(96692, 322, 14791, 5, 1487545200, 1, 322, 1487664052, NULL, NULL, 0),
(96693, 322, 14791, 5, 1487631600, 1, 322, 1487664067, NULL, NULL, 0),
(96694, 322, 2, 1, 1495749600, 1, 322, 1487664096, NULL, NULL, 0),
(96695, 322, 2, 1, 1492984800, 1, 322, 1487664187, NULL, NULL, 0),
(96696, 322, 2, 1, 1493071200, 1, 322, 1487664188, NULL, NULL, 0),
(96697, 322, 2, 1, 1493157600, 1, 322, 1487664188, NULL, NULL, 0),
(96698, 322, 2, 1, 1493244000, 1, 322, 1487664188, NULL, NULL, 0),
(96699, 322, 2, 1, 1493330400, 1, 322, 1487664188, NULL, NULL, 0),
(99555, 2, 23789, 1, 1488495600, 0.7, 2, 1488560965, NULL, NULL, 0),
(96760, 217, 15832, 6, 1487631600, 1, 217, 1487684526, NULL, NULL, 0),
(96761, 164, 17401, 4, 1487631600, 1, 164, 1487684706, NULL, NULL, 0),
(96762, 164, 17401, 4, 1487545200, 0.25, 164, 1487684729, NULL, NULL, 0),
(96763, 164, 16588, 18, 1487545200, 0.25, 164, 1487684746, NULL, NULL, 0),
(96764, 164, 8395, 18, 1487545200, 0.5, 164, 1487684787, NULL, NULL, 0),
(96937, 72, 23789, 1, 1487631600, 1, 72, 1487694592, NULL, NULL, 0),
(97003, 2, 1437, 1, 1487631600, 0.25, 2, 1487857869, NULL, NULL, 0),
(97004, 246, 16069, 27, 1487631600, 0.2, 246, 1487750533, NULL, NULL, 0),
(97005, 246, 17368, 7, 1487631600, 0.5, 246, 1487750632, NULL, NULL, 0),
(97007, 246, 17369, 5, 1487631600, 0.3, 246, 1487750718, NULL, NULL, 0),
(97045, 218, 2, 1, 1487804400, 0.5, 218, 1487754289, NULL, NULL, 0),
(97046, 218, 2, 1, 1487890800, 1, 218, 1487754351, NULL, NULL, 0),
(97047, 218, 2, 1, 1488150000, 1, 218, 1487754351, NULL, NULL, 0),
(97048, 218, 2, 1, 1488236400, 1, 218, 1487754351, NULL, NULL, 0),
(97049, 218, 2, 1, 1488754800, 1, 218, 1487754396, NULL, NULL, 0),
(97050, 218, 2, 1, 1489964400, 1, 218, 1487754437, NULL, NULL, 0),
(97051, 218, 2, 1, 1490050800, 1, 218, 1487754437, NULL, NULL, 0),
(97052, 218, 2, 1, 1490137200, 1, 218, 1487754437, NULL, NULL, 0),
(97053, 218, 2, 1, 1490223600, 1, 218, 1487754437, NULL, NULL, 0),
(97054, 218, 2, 1, 1490310000, 1, 218, 1487754437, NULL, NULL, 0),
(97055, 218, 2, 1, 1491170400, 1, 218, 1487754482, NULL, NULL, 0),
(97056, 218, 2, 1, 1491256800, 1, 218, 1487754482, NULL, NULL, 0),
(97057, 218, 2, 1, 1491343200, 1, 218, 1487754482, NULL, NULL, 0),
(97058, 218, 2, 1, 1491429600, 1, 218, 1487754482, NULL, NULL, 0),
(97059, 218, 2, 1, 1491516000, 1, 218, 1487754482, NULL, NULL, 0),
(97060, 218, 2, 1, 1495404000, 1, 218, 1487754561, NULL, NULL, 0),
(97061, 218, 2, 1, 1495490400, 1, 218, 1487754561, NULL, NULL, 0),
(97062, 218, 2, 1, 1495576800, 1, 218, 1487754561, NULL, NULL, 0),
(97063, 218, 2, 1, 1495749600, 1, 218, 1487754561, NULL, NULL, 0),
(97064, 218, 2, 1, 1496008800, 1, 218, 1487754561, NULL, NULL, 0),
(97065, 218, 2, 1, 1496095200, 1, 218, 1487754561, NULL, NULL, 0),
(97066, 218, 2, 1, 1496181600, 1, 218, 1487754561, NULL, NULL, 0),
(97067, 218, 2, 1, 1496268000, 1, 218, 1487754561, NULL, NULL, 0),
(97068, 218, 2, 1, 1496354400, 1, 218, 1487754561, NULL, NULL, 0),
(97069, 169, 17444, 5, 1487545200, 1, 169, 1487754839, NULL, NULL, 0),
(97071, 169, 17444, 5, 1487631600, 1, 169, 1487754912, NULL, NULL, 0),
(97073, 169, 17444, 6, 1487718000, 1, 169, 1487754967, NULL, NULL, 0),
(97176, 217, 15832, 6, 1487718000, 0.7, 217, 1487773798, NULL, NULL, 0),
(97177, 217, 11112, 27, 1487718000, 0.2, 217, 1487773836, NULL, NULL, 0),
(97178, 168, 1, 1, 1488754800, 0.5, 168, 1487773959, NULL, NULL, 0),
(97185, 217, 2, 1, 1499637600, 1, 217, 1487775919, NULL, NULL, 0),
(97184, 217, 1506, 1, 1487718000, 0.1, 217, 1487775735, NULL, NULL, 0),
(97186, 217, 2, 1, 1499724000, 1, 217, 1487775919, NULL, NULL, 0),
(97187, 217, 2, 1, 1499810400, 1, 217, 1487775919, NULL, NULL, 0),
(97188, 217, 2, 1, 1499896800, 1, 217, 1487775919, NULL, NULL, 0),
(117063, 217, 2, 1, 1499032800, 1, 217, 1498027425, NULL, NULL, 0),
(117066, 217, 2, 1, 1499292000, 1, 217, 1498027425, NULL, NULL, 0),
(117065, 217, 2, 1, 1499205600, 1, 217, 1498027425, NULL, NULL, 0),
(117064, 217, 2, 1, 1499119200, 1, 217, 1498027425, NULL, NULL, 0),
(97194, 217, 2, 1, 1513292400, 1, 217, 1487775984, NULL, NULL, 0),
(97195, 217, 2, 1, 1513551600, 1, 217, 1487775984, NULL, NULL, 0),
(97196, 217, 2, 1, 1513638000, 1, 217, 1487775984, NULL, NULL, 0),
(97197, 217, 2, 1, 1513724400, 1, 217, 1487775984, NULL, NULL, 0),
(97198, 217, 2, 1, 1513810800, 1, 217, 1487775984, NULL, NULL, 0),
(97199, 217, 2, 1, 1513897200, 1, 217, 1487775984, NULL, NULL, 0),
(97200, 217, 2, 1, 1514242800, 1, 217, 1487775984, NULL, NULL, 0),
(97201, 217, 2, 1, 1514329200, 1, 217, 1487775984, NULL, NULL, 0),
(97202, 217, 2, 1, 1514415600, 1, 217, 1487775984, NULL, NULL, 0),
(97203, 217, 2, 1, 1514502000, 1, 217, 1487775984, NULL, NULL, 0),
(105009, 2, 23789, 1, 1491170400, 0.25, 2, 1491228715, NULL, NULL, 0),
(105008, 2, 1435, 1, 1491170400, 0.5, 2, 1491228704, NULL, NULL, 0),
(97209, 217, 2, 1, 1495749600, 1, 217, 1487776288, NULL, NULL, 0),
(97210, 217, 2, 1, 1502661600, 1, 217, 1487776318, NULL, NULL, 0),
(138876, 217, 1041, 1, 1509663600, 1, 72, 1509016325, NULL, NULL, 0),
(138875, 217, 1041, 1, 1509577200, 1, 72, 1509016320, NULL, NULL, 0),
(97216, 72, 23789, 1, 1487718000, 1, 72, 1487780240, NULL, NULL, 0),
(97217, 72, 23789, 1, 1487804400, 1, 72, 1487780251, NULL, NULL, 0),
(97218, 246, 17369, 5, 1487718000, 0.8, 246, 1487780370, NULL, NULL, 0),
(97219, 246, 17422, 5, 1487718000, 0.2, 246, 1487780394, NULL, NULL, 0),
(97225, 199, 16068, 27, 1487631600, 0.2, 199, 1487831842, NULL, NULL, 0),
(97816, 199, 1437, 1, 1487718000, 0.25, 199, 1488448127, NULL, NULL, 0),
(97227, 199, 2089, 1, 1487718000, 0.5, 199, 1487831903, NULL, NULL, 0),
(97228, 199, 2089, 1, 1487631600, 0.25, 199, 1487831911, NULL, NULL, 0),
(97229, 199, 2089, 1, 1487545200, 0.25, 199, 1487831925, NULL, NULL, 0),
(97230, 199, 17292, 4, 1487718000, 0.1, 199, 1487832751, NULL, NULL, 0),
(97231, 199, 17411, 4, 1487718000, 0.1, 199, 1487832815, NULL, NULL, 0),
(97232, 199, 17292, 4, 1487718000, 0.05, 199, 1487832840, NULL, NULL, 0),
(97261, 322, 14791, 5, 1487718000, 0.5, 322, 1487837216, NULL, NULL, 0),
(97334, 205, 8454, 4, 1487199600, 1, 205, 1487841279, NULL, NULL, 0),
(97335, 342, 17211, 6, 1487286000, 1, 342, 1487841297, NULL, NULL, 0),
(97337, 342, 17211, 6, 1487545200, 1, 342, 1487841318, NULL, NULL, 0),
(97339, 342, 17211, 6, 1487631600, 1, 342, 1487841342, NULL, NULL, 0),
(97340, 205, 4857, 1, 1487286000, 1, 205, 1487841347, NULL, NULL, 0),
(97341, 342, 17211, 6, 1487718000, 1, 342, 1487841355, NULL, NULL, 0),
(97364, 342, 17211, 6, 1487804400, 1, 342, 1487842945, NULL, NULL, 0),
(97379, 169, 17444, 6, 1487804400, 1, 169, 1487843658, NULL, NULL, 0),
(97425, 217, 17446, 4, 1487804400, 1, 217, 1487845219, NULL, NULL, 0),
(97459, 146, 10740, 6, 1487804400, 0.8, 146, 1487847455, NULL, NULL, 0),
(97456, 146, 10740, 5, 1487545200, 1, 146, 1487847373, NULL, NULL, 0),
(97457, 146, 10740, 6, 1487631600, 1, 146, 1487847397, NULL, NULL, 0),
(97458, 146, 10740, 6, 1487718000, 1, 146, 1487847421, NULL, NULL, 0),
(97466, 146, 1437, 1, 1487804400, 0.2, 146, 1487848011, NULL, NULL, 0),
(97481, 205, 23789, 1, 1487804400, 1, 205, 1487855305, NULL, NULL, 0),
(97483, 205, 10399, 4, 1487545200, 0.5, 205, 1487855354, NULL, NULL, 0),
(97484, 205, 8454, 4, 1487545200, 0.5, 205, 1487855468, NULL, NULL, 0),
(97485, 205, 17063, 4, 1487631600, 0.5, 205, 1487855560, NULL, NULL, 0),
(97486, 205, 10399, 4, 1487631600, 0.5, 205, 1487855577, NULL, NULL, 0),
(97488, 205, 10400, 4, 1487718000, 0.5, 205, 1487855702, NULL, NULL, 0),
(97489, 205, 23789, 1, 1487718000, 0.5, 205, 1487855719, NULL, NULL, 0),
(99554, 2, 23789, 1, 1488409200, 0.7, 2, 1488560931, NULL, NULL, 0),
(97492, 2, 23789, 1, 1487718000, 0.5, 2, 1487857570, NULL, NULL, 0),
(97493, 2, 14534, 1, 1487718000, 0.25, 2, 1487857646, NULL, NULL, 0),
(97496, 2, 14534, 1, 1487804400, 0.5, 2, 1487857675, NULL, NULL, 0),
(102271, 2, 17858, 1, 1487804400, 0.25, 2, 1490004725, NULL, NULL, 0),
(97504, 2, 1437, 1, 1487718000, 0.25, 2, 1487857875, NULL, NULL, 0),
(97525, 164, 17251, 17, 1487804400, 1, 164, 1487860761, NULL, NULL, 0),
(97526, 164, 17251, 17, 1487718000, 0.5, 164, 1487860784, NULL, NULL, 0),
(97527, 164, 16588, 18, 1487718000, 0.5, 164, 1487860799, NULL, NULL, 0),
(97528, 164, 8395, 18, 1487890800, 0.5, 164, 1487860818, NULL, NULL, 0),
(97529, 164, 16588, 18, 1487890800, 0.5, 164, 1487860829, NULL, NULL, 0),
(97537, 157, 17299, 4, 1487545200, 1, 157, 1487865604, NULL, NULL, 0),
(97538, 157, 17300, 4, 1487631600, 1, 157, 1487865659, NULL, NULL, 0),
(97539, 157, 17300, 5, 1487804400, 1, 157, 1487865679, NULL, NULL, 0),
(97541, 157, 17300, 5, 1487890800, 1, 157, 1487865715, NULL, NULL, 0),
(97546, 199, 2, 1, 1488150000, 1, 199, 1487868528, NULL, NULL, 0),
(97817, 199, 13589, 5, 1487804400, 0.25, 199, 1487948649, NULL, NULL, 0),
(97611, 158, 1041, 1, 1487890800, 1, 2, 1487924345, NULL, NULL, 0),
(97612, 158, 1041, 1, 1488150000, 0.5, 2, 1487924345, NULL, NULL, 0),
(97613, 158, 1041, 1, 1488236400, 1, 2, 1487924345, NULL, NULL, 0),
(97614, 158, 1041, 1, 1488322800, 1, 2, 1487924345, NULL, NULL, 0),
(97615, 158, 1041, 1, 1488409200, 1, 2, 1487924345, NULL, NULL, 0),
(97616, 158, 1041, 1, 1488495600, 1, 2, 1487924345, NULL, NULL, 0),
(97617, 158, 1041, 1, 1488754800, 0.5, 2, 1487924345, NULL, NULL, 0),
(97618, 158, 1041, 1, 1488841200, 1, 2, 1487924345, NULL, NULL, 0),
(97619, 158, 1041, 1, 1488927600, 1, 2, 1487924345, NULL, NULL, 0),
(97620, 74, 17065, 4, 1487631600, 0.5, 74, 1487953162, NULL, NULL, 0),
(97621, 74, 17429, 2, 1487890800, 0.5, 74, 1487925965, NULL, NULL, 0),
(97622, 74, 14014, 6, 1487545200, 1, 74, 1487925993, NULL, NULL, 0),
(97623, 74, 14014, 6, 1487631600, 0.5, 74, 1487926012, NULL, NULL, 0),
(97624, 74, 14014, 6, 1487718000, 0.5, 74, 1487926027, NULL, NULL, 0),
(97625, 74, 14014, 6, 1487804400, 1, 74, 1487926040, NULL, NULL, 0),
(97626, 74, 14014, 6, 1487890800, 0.5, 74, 1487926051, NULL, NULL, 0),
(97712, 2, 17453, 4, 1487804400, 0.25, 2, 1487939894, NULL, NULL, 0),
(97713, 342, 17211, 6, 1487890800, 1, 342, 1487940931, NULL, NULL, 0),
(97741, 168, 10743, 5, 1487631600, 0.5, 168, 1487944850, NULL, NULL, 0),
(97734, 168, 10743, 5, 1487718000, 0.5, 168, 1487944611, NULL, NULL, 0),
(97735, 168, 10743, 5, 1487804400, 1, 168, 1487944626, NULL, NULL, 0),
(97736, 168, 10743, 5, 1487890800, 1, 168, 1487944641, NULL, NULL, 0),
(97740, 168, 10743, 27, 1487718000, 0.5, 168, 1487944790, NULL, NULL, 0),
(97739, 168, 10743, 17, 1487545200, 0.4, 168, 1487944766, NULL, NULL, 0),
(97742, 168, 1, 1, 1487631600, 0.5, 168, 1487944877, NULL, NULL, 0),
(97743, 169, 2, 1, 1500242400, 1, 169, 1487946609, NULL, NULL, 0),
(97744, 169, 2, 1, 1500328800, 1, 169, 1487946609, NULL, NULL, 0),
(97745, 169, 2, 1, 1500415200, 1, 169, 1487946610, NULL, NULL, 0),
(97746, 169, 2, 1, 1500501600, 1, 169, 1487946610, NULL, NULL, 0),
(97747, 169, 2, 1, 1500588000, 1, 169, 1487946610, NULL, NULL, 0),
(97748, 169, 2, 1, 1500847200, 1, 169, 1487946610, NULL, NULL, 0),
(97749, 169, 2, 1, 1500933600, 1, 169, 1487946610, NULL, NULL, 0),
(97750, 169, 2, 1, 1501020000, 1, 169, 1487946610, NULL, NULL, 0),
(97751, 169, 2, 1, 1501106400, 1, 169, 1487946610, NULL, NULL, 0),
(97752, 169, 2, 1, 1501192800, 1, 169, 1487946610, NULL, NULL, 0),
(97753, 169, 2, 1, 1501452000, 1, 169, 1487946610, NULL, NULL, 0),
(97754, 169, 2, 1, 1501538400, 1, 169, 1487946610, NULL, NULL, 0),
(97755, 169, 2, 1, 1501624800, 1, 169, 1487946610, NULL, NULL, 0),
(97756, 169, 2, 1, 1501711200, 1, 169, 1487946610, NULL, NULL, 0),
(97757, 169, 2, 1, 1501797600, 1, 169, 1487946610, NULL, NULL, 0),
(97758, 169, 2, 1, 1493676000, 1, 169, 1487946749, NULL, NULL, 0),
(97759, 169, 2, 1, 1493762400, 1, 169, 1487946749, NULL, NULL, 0),
(97760, 169, 2, 1, 1493848800, 1, 169, 1487946749, NULL, NULL, 0),
(97761, 169, 2, 1, 1493935200, 1, 169, 1487946749, NULL, NULL, 0),
(97762, 169, 2, 1, 1494280800, 1, 169, 1487946749, NULL, NULL, 0),
(97763, 169, 2, 1, 1494367200, 1, 169, 1487946749, NULL, NULL, 0),
(97764, 169, 2, 1, 1494453600, 1, 169, 1487946749, NULL, NULL, 0),
(97765, 169, 2, 1, 1494540000, 1, 169, 1487946749, NULL, NULL, 0),
(97767, 169, 2, 1, 1507500000, 1, 169, 1487946929, NULL, NULL, 0),
(97768, 169, 2, 1, 1507586400, 1, 169, 1487946929, NULL, NULL, 0),
(97769, 169, 2, 1, 1507672800, 1, 169, 1487946929, NULL, NULL, 0),
(97770, 169, 2, 1, 1507759200, 1, 169, 1487946929, NULL, NULL, 0),
(97771, 169, 2, 1, 1507845600, 1, 169, 1487946929, NULL, NULL, 0),
(97772, 169, 2, 1, 1513551600, 1, 169, 1487947000, NULL, NULL, 0),
(97773, 169, 2, 1, 1513638000, 1, 169, 1487947000, NULL, NULL, 0),
(97774, 169, 2, 1, 1513724400, 1, 169, 1487947000, NULL, NULL, 0),
(97775, 169, 2, 1, 1513810800, 1, 169, 1487947000, NULL, NULL, 0),
(97776, 169, 2, 1, 1513897200, 1, 169, 1487947000, NULL, NULL, 0),
(97777, 169, 2, 1, 1514242800, 1, 169, 1487947000, NULL, NULL, 0),
(97778, 169, 2, 1, 1514329200, 1, 169, 1487947000, NULL, NULL, 0),
(97779, 169, 2, 1, 1514415600, 1, 169, 1487947000, NULL, NULL, 0),
(97780, 169, 2, 1, 1514502000, 1, 169, 1487947000, NULL, NULL, 0),
(97781, 169, 2, 1, 1514847600, 1, 169, 1487947000, NULL, NULL, 0),
(97984, 157, 17475, 4, 1488150000, 0.5, 157, 1488191891, NULL, NULL, 0),
(97985, 157, 17299, 7, 1488150000, 0.5, 157, 1488191929, NULL, NULL, 0),
(98061, 217, 16077, 2, 1488150000, 0.4, 217, 1488201951, NULL, NULL, 0),
(98063, 217, 15856, 6, 1488150000, 0.6, 217, 1488201971, NULL, NULL, 0),
(98117, 83, 2, 1, 1494280800, 1, 83, 1488216888, NULL, NULL, 0),
(98118, 83, 2, 1, 1494367200, 1, 83, 1488216888, NULL, NULL, 0),
(98119, 83, 2, 1, 1494453600, 1, 83, 1488216888, NULL, NULL, 0),
(98120, 83, 2, 1, 1494540000, 1, 83, 1488216888, NULL, NULL, 0),
(98165, 246, 16069, 5, 1488150000, 0.1, 246, 1488270734, NULL, NULL, 0),
(98169, 246, 10598, 5, 1488150000, 0.9, 246, 1488270801, NULL, NULL, 0),
(98322, 158, 2, 1, 1509318000, 1, 158, 1488303387, NULL, NULL, 0),
(98323, 158, 2, 1, 1509404400, 1, 158, 1488303387, NULL, NULL, 0),
(98324, 158, 2, 1, 1509577200, 1, 158, 1488303387, NULL, NULL, 0),
(98325, 158, 2, 1, 1509663600, 1, 158, 1488303387, NULL, NULL, 0),
(129172, 158, 2, 1, 1509055200, 1, 158, 1503856139, NULL, NULL, 0),
(129171, 158, 2, 1, 1508968800, 1, 158, 1503856139, NULL, NULL, 0),
(129170, 158, 2, 1, 1508882400, 1, 158, 1503856139, NULL, NULL, 0),
(129169, 158, 2, 1, 1505772000, 1, 158, 1503855844, NULL, NULL, 0),
(129168, 158, 2, 1, 1505685600, 1, 158, 1503855844, NULL, NULL, 0),
(98331, 158, 2, 1, 1505080800, 1, 158, 1488303775, NULL, NULL, 0),
(98332, 158, 2, 1, 1505167200, 1, 158, 1488303775, NULL, NULL, 0),
(98333, 158, 2, 1, 1505253600, 1, 158, 1488303775, NULL, NULL, 0),
(98334, 158, 2, 1, 1505340000, 1, 158, 1488303775, NULL, NULL, 0),
(98335, 158, 2, 1, 1505426400, 1, 158, 1488303775, NULL, NULL, 0),
(103163, 158, 2, 1, 1508364000, 1, 158, 1490344854, NULL, NULL, 0),
(103164, 158, 2, 1, 1508450400, 1, 158, 1490344854, NULL, NULL, 0),
(103162, 158, 2, 1, 1508277600, 1, 158, 1490344854, NULL, NULL, 0),
(103161, 158, 2, 1, 1508191200, 1, 158, 1490344854, NULL, NULL, 0),
(103160, 158, 2, 1, 1508104800, 1, 158, 1490344854, NULL, NULL, 0),
(98356, 147, 10741, 5, 1488150000, 1, 147, 1488351929, NULL, NULL, 0),
(98354, 146, 10740, 6, 1488150000, 1, 146, 1488347684, NULL, NULL, 0),
(98355, 146, 10740, 6, 1488236400, 1, 146, 1488347698, NULL, NULL, 0),
(98357, 147, 10741, 5, 1488236400, 1, 147, 1488352243, NULL, NULL, 0),
(98358, 147, 10741, 5, 1488322800, 1, 147, 1488352270, NULL, NULL, 0),
(98385, 246, 10598, 5, 1488236400, 1, 246, 1488357481, NULL, NULL, 0),
(98466, 217, 15856, 6, 1488236400, 1, 217, 1488376888, NULL, NULL, 0),
(98490, 164, 16588, 18, 1488150000, 1, 164, 1488380034, NULL, NULL, 0),
(98491, 164, 17401, 18, 1488236400, 1, 164, 1488380059, NULL, NULL, 0),
(98492, 164, 16139, 18, 1488322800, 0.5, 164, 1488380089, NULL, NULL, 0),
(98501, 217, 11112, 27, 1488322800, 0.25, 217, 1488381810, NULL, NULL, 0),
(98502, 217, 15856, 6, 1488322800, 0.75, 217, 1488381820, NULL, NULL, 0),
(98640, 83, 10858, 1, 1488322800, 0.5, 83, 1488444212, NULL, NULL, 0),
(98641, 83, 10858, 1, 1488409200, 0.5, 83, 1488444226, NULL, NULL, 0),
(98642, 83, 2865, 1, 1488495600, 0.5, 83, 1488444252, NULL, NULL, 0),
(98643, 83, 2865, 1, 1488409200, 0.5, 83, 1488444269, NULL, NULL, 0),
(98644, 83, 2865, 1, 1488322800, 0.5, 83, 1488444278, NULL, NULL, 0),
(98645, 83, 10858, 1, 1488236400, 0.5, 83, 1488444293, NULL, NULL, 0),
(98646, 83, 2865, 1, 1488236400, 0.5, 83, 1488444302, NULL, NULL, 0),
(98647, 83, 10858, 1, 1488495600, 0.5, 83, 1488444454, NULL, NULL, 0),
(98680, 199, 17368, 4, 1488409200, 0.1, 199, 1488448161, NULL, NULL, 0),
(98687, 199, 17522, 4, 1488409200, 0.1, 199, 1488449696, NULL, NULL, 0),
(99047, 147, 10741, 5, 1488409200, 1, 147, 1488468938, NULL, NULL, 0),
(99171, 147, 10741, 5, 1488495600, 1, 147, 1488524352, NULL, NULL, 0),
(99204, 164, 16588, 18, 1488322800, 0.5, 164, 1488532284, NULL, NULL, 0),
(99205, 164, 16588, 18, 1488409200, 1, 164, 1488532294, NULL, NULL, 0),
(99206, 164, 16139, 18, 1488495600, 0.5, 164, 1488532303, NULL, NULL, 0),
(99207, 164, 17401, 18, 1488495600, 0.5, 164, 1488532313, NULL, NULL, 0),
(99270, 157, 17300, 5, 1488236400, 1, 157, 1488535676, NULL, NULL, 0),
(99271, 157, 17300, 5, 1488322800, 1, 157, 1488535706, NULL, NULL, 0),
(99273, 157, 17559, 4, 1488495600, 1, 157, 1488535959, NULL, NULL, 0),
(99274, 157, 2, 1, 1488409200, 1, 157, 1488535980, NULL, NULL, 0),
(99275, 157, 2, 1, 1488754800, 1, 157, 1488536005, NULL, NULL, 0),
(99288, 217, 10392, 7, 1488495600, 0.5, 217, 1488539052, NULL, NULL, 0),
(99289, 217, 10396, 7, 1488495600, 0.5, 217, 1488539164, NULL, NULL, 0),
(99290, 217, 10396, 7, 1488409200, 0.5, 217, 1488539186, NULL, NULL, 0),
(99295, 217, 15856, 6, 1488409200, 0.5, 217, 1488539220, NULL, NULL, 0),
(99439, 74, 14014, 27, 1488322800, 0.25, 74, 1488549931, NULL, NULL, 0),
(99440, 74, 14014, 6, 1488150000, 0.5, 74, 1488549960, NULL, NULL, 0),
(99441, 74, 14014, 6, 1488236400, 1, 74, 1488549978, NULL, NULL, 0),
(99442, 74, 17429, 2, 1488322800, 0.25, 74, 1488549994, NULL, NULL, 0),
(99443, 74, 14014, 6, 1488322800, 0.5, 74, 1488550042, NULL, NULL, 0),
(99444, 74, 14014, 6, 1488409200, 1, 74, 1488550051, NULL, NULL, 0),
(99445, 74, 12288, 5, 1488495600, 1, 74, 1488550143, NULL, NULL, 0),
(104696, 158, 17857, 5, 1490911200, 0.05, 158, 1490968936, NULL, NULL, 0),
(104695, 158, 17857, 5, 1490911200, 0.3, 158, 1490968922, NULL, NULL, 0),
(104694, 158, 17747, 5, 1490911200, 0.4, 158, 1490968901, NULL, NULL, 0),
(99464, 168, 2, 1, 1499637600, 1, 168, 1488555120, NULL, NULL, 0),
(99465, 168, 2, 1, 1499724000, 1, 168, 1488555120, NULL, NULL, 0),
(99466, 168, 2, 1, 1499810400, 1, 168, 1488555120, NULL, NULL, 0),
(99467, 168, 2, 1, 1499896800, 1, 168, 1488555120, NULL, NULL, 0),
(99468, 168, 2, 1, 1500242400, 1, 168, 1488555120, NULL, NULL, 0),
(99469, 168, 2, 1, 1500328800, 1, 168, 1488555120, NULL, NULL, 0),
(99470, 168, 2, 1, 1500415200, 1, 168, 1488555120, NULL, NULL, 0),
(99471, 168, 2, 1, 1500501600, 1, 168, 1488555120, NULL, NULL, 0),
(99472, 168, 2, 1, 1500588000, 1, 168, 1488555120, NULL, NULL, 0),
(99473, 248, 2, 1, 1488322800, 1, 248, 1488555138, NULL, NULL, 0),
(99480, 168, 2, 1, 1503266400, 1, 168, 1488555205, NULL, NULL, 0),
(99481, 168, 2, 1, 1503352800, 1, 168, 1488555205, NULL, NULL, 0),
(126706, 168, 1, 1, 1502402400, 1, 2, 1502375778, NULL, NULL, 0),
(126705, 168, 2, 1, 1504216800, 1, 2, 1502375694, NULL, NULL, 0),
(126704, 168, 2, 1, 1504130400, 1, 2, 1502375688, NULL, NULL, 0),
(99485, 248, 2, 1, 1488927600, 1, 248, 1488555215, NULL, NULL, 0),
(99486, 248, 2, 1, 1489532400, 1, 248, 1488555238, NULL, NULL, 0),
(99487, 248, 1400, 1, 1490137200, 1, 248, 1488555253, NULL, NULL, 0),
(99488, 248, 1400, 1, 1490223600, 1, 248, 1488555258, NULL, NULL, 0),
(101856, 248, 2, 1, 1490738400, 1, 248, 1489675553, NULL, NULL, 0),
(99543, 168, 10745, 5, 1488495600, 0.5, 168, 1488559703, NULL, NULL, 0),
(99544, 168, 10745, 5, 1488322800, 1, 168, 1488559726, NULL, NULL, 0),
(99545, 168, 10743, 5, 1488150000, 1, 168, 1488559810, NULL, NULL, 0),
(99546, 168, 10743, 5, 1488236400, 1, 168, 1488559828, NULL, NULL, 0),
(99547, 168, 1, 1, 1488754800, 0.5, 168, 1488559858, NULL, NULL, 0),
(99548, 168, 1, 1, 1489014000, 1, 168, 1488559873, NULL, NULL, 0),
(99596, 56, 1, 1, 1488409200, 0.25, 56, 1488607072, NULL, NULL, 0),
(99597, 56, 1, 1, 1489100400, 0.5, 56, 1488607176, NULL, NULL, 0),
(99598, 56, 1, 1, 1488322800, 0.5, 56, 1498217917, NULL, NULL, 0),
(99599, 246, 17368, 7, 1488322800, 0.5, 246, 1488754678, NULL, NULL, 0),
(99601, 146, 2, 1, 1488754800, 1, 146, 1488759093, NULL, NULL, 0),
(99602, 146, 2, 1, 1491170400, 1, 146, 1488759106, NULL, NULL, 0),
(99603, 146, 2, 1, 1491256800, 1, 146, 1488759119, NULL, NULL, 0),
(99604, 146, 2, 1, 1491343200, 1, 146, 1488759252, NULL, NULL, 0),
(99605, 146, 2, 1, 1491429600, 1, 146, 1488759265, NULL, NULL, 0),
(99606, 146, 2, 1, 1491516000, 1, 146, 1488759273, NULL, NULL, 0),
(99607, 146, 2, 1, 1491775200, 1, 146, 1488759293, NULL, NULL, 0),
(99608, 146, 2, 1, 1491861600, 1, 146, 1488759300, NULL, NULL, 0),
(99609, 146, 2, 1, 1491948000, 1, 146, 1488759307, NULL, NULL, 0),
(99610, 146, 2, 1, 1492034400, 1, 146, 1488759315, NULL, NULL, 0),
(99611, 146, 2, 1, 1492120800, 1, 146, 1488759322, NULL, NULL, 0),
(99612, 146, 2, 1, 1500242400, 1, 146, 1488759392, NULL, NULL, 0),
(99613, 146, 2, 1, 1500328800, 1, 146, 1488759400, NULL, NULL, 0),
(99614, 146, 2, 1, 1500415200, 1, 146, 1488759406, NULL, NULL, 0),
(99615, 146, 2, 1, 1500501600, 1, 146, 1488759416, NULL, NULL, 0),
(99616, 146, 2, 1, 1500588000, 1, 146, 1488759423, NULL, NULL, 0),
(99617, 146, 2, 1, 1501711200, 1, 146, 1488759458, NULL, NULL, 0),
(99618, 146, 2, 1, 1501797600, 1, 146, 1488759466, NULL, NULL, 0),
(99619, 146, 2, 1, 1488754800, 1, 146, 1488759476, NULL, NULL, 0),
(99620, 146, 2, 1, 1502056800, 1, 146, 1488759488, NULL, NULL, 0),
(99621, 146, 2, 1, 1502143200, 1, 146, 1488759496, NULL, NULL, 0),
(99622, 146, 2, 1, 1502229600, 1, 146, 1488759503, NULL, NULL, 0),
(99623, 146, 2, 1, 1502316000, 1, 146, 1488759509, NULL, NULL, 0),
(99624, 146, 2, 1, 1502402400, 1, 146, 1488759515, NULL, NULL, 0),
(99625, 146, 2, 1, 1502661600, 1, 146, 1488759528, NULL, NULL, 0),
(99626, 146, 2, 1, 1502834400, 1, 146, 1488759536, NULL, NULL, 0),
(99627, 146, 2, 1, 1502920800, 1, 146, 1488759542, NULL, NULL, 0),
(99628, 146, 2, 1, 1503007200, 1, 146, 1488759550, NULL, NULL, 0),
(99670, 2, 11112, 27, 1488409200, 0.3, 72, 1488796425, NULL, NULL, 0),
(99671, 2, 11112, 27, 1488495600, 0.3, 72, 1488796437, NULL, NULL, 0),
(99718, 199, 2089, 1, 1488236400, 0.25, 199, 1488807118, NULL, NULL, 0),
(99719, 199, 2089, 1, 1488322800, 0.5, 199, 1488807126, NULL, NULL, 0),
(99726, 199, 17577, 5, 1488409200, 0.3, 199, 1488807280, NULL, NULL, 0),
(99727, 199, 12325, 4, 1488495600, 0.4, 199, 1488807319, NULL, NULL, 0),
(99787, 2, 17401, 18, 1488754800, 0.25, 2, 1488815174, NULL, NULL, 0),
(99734, 199, 10740, 2, 1488236400, 0.1, 199, 1488807567, NULL, NULL, 0),
(99733, 199, 2089, 1, 1488236400, 0.25, 199, 1488807532, NULL, NULL, 0),
(99737, 199, 10740, 2, 1488236400, 0.25, 199, 1488807605, NULL, NULL, 0),
(99738, 199, 17577, 5, 1488236400, 0.1, 199, 1488807624, NULL, NULL, 0),
(99739, 199, 17577, 5, 1488236400, 0.05, 199, 1488807632, NULL, NULL, 0),
(99786, 199, 17448, 5, 1488322800, 0.5, 199, 1488814611, NULL, NULL, 0),
(104594, 164, 17251, 5, 1490565600, 1, 164, 1490951245, NULL, NULL, 0),
(99790, 2, 23789, 1, 1488754800, 0.25, 2, 1488815482, NULL, NULL, 0),
(99791, 2, 15281, 18, 1488754800, 0.5, 2, 1488815533, NULL, NULL, 0),
(99792, 199, 17449, 5, 1487631600, 0.1, 199, 1488815534, NULL, NULL, 0),
(99810, 246, 17582, 5, 1488322800, 0.5, 246, 1488816593, NULL, NULL, 0),
(99819, 199, 2089, 1, 1487631600, 0.4, 199, 1488816924, NULL, NULL, 0),
(99820, 199, 2089, 1, 1487631600, 0.05, 199, 1488816930, NULL, NULL, 0),
(100063, 371, 4857, 1, 1483484400, 1, 371, 1488894799, NULL, NULL, 0),
(100061, 371, 4857, 1, 1483311600, 1, 371, 1488894799, NULL, NULL, 0),
(100062, 371, 4857, 1, 1483398000, 1, 371, 1488894799, NULL, NULL, 0),
(99870, 199, 17449, 5, 1487545200, 0.75, 199, 1488817505, NULL, NULL, 0),
(99898, 56, 1, 1, 1488754800, 0.25, 56, 1488824924, NULL, NULL, 0),
(99899, 205, 23789, 1, 1488150000, 1, 205, 1488830284, NULL, NULL, 0),
(99900, 205, 23789, 1, 1488236400, 1, 205, 1488830325, NULL, NULL, 0),
(99901, 205, 23789, 1, 1488322800, 0.5, 205, 1488830347, NULL, NULL, 0),
(99902, 205, 4857, 1, 1488322800, 0.5, 205, 1488830381, NULL, NULL, 0),
(99904, 205, 10400, 4, 1488409200, 1, 205, 1488830671, NULL, NULL, 0),
(99905, 205, 10399, 4, 1488495600, 0.5, 205, 1488830698, NULL, NULL, 0),
(99906, 205, 8454, 4, 1488495600, 0.5, 205, 1488830732, NULL, NULL, 0),
(99907, 205, 23789, 1, 1488754800, 1, 205, 1488830793, NULL, NULL, 0),
(99953, 246, 10744, 5, 1488754800, 0.8, 246, 1488873451, NULL, NULL, 0),
(99954, 246, 17581, 5, 1488754800, 0.2, 246, 1488873498, NULL, NULL, 0),
(99956, 342, 14014, 6, 1488150000, 1, 72, 1488875338, NULL, NULL, 0),
(99957, 342, 1437, 1, 1488236400, 1, 72, 1488875360, NULL, NULL, 0),
(99958, 342, 1437, 1, 1488322800, 1, 72, 1488875367, NULL, NULL, 0),
(99959, 342, 1437, 1, 1488409200, 1, 72, 1488875373, NULL, NULL, 0),
(99960, 342, 1437, 1, 1488495600, 1, 72, 1488875379, NULL, NULL, 0),
(99971, 217, 15856, 6, 1488841200, 1, 217, 1488880946, NULL, NULL, 0),
(99972, 217, 15856, 6, 1488754800, 0.5, 217, 1488881016, NULL, NULL, 0),
(99973, 217, 11112, 27, 1488754800, 0.5, 217, 1488881060, NULL, NULL, 0),
(99977, 72, 23789, 1, 1488841200, 1, 72, 1488881640, NULL, NULL, 0),
(99978, 72, 23789, 1, 1488754800, 1, 72, 1488881647, NULL, NULL, 0),
(100026, 199, 10744, 2, 1488841200, 0.1, 199, 1488892882, NULL, NULL, 0),
(100027, 199, 2089, 1, 1488841200, 0.25, 199, 1488892905, NULL, NULL, 0),
(100028, 199, 2089, 1, 1488754800, 0.25, 199, 1488892912, NULL, NULL, 0),
(100064, 371, 4857, 1, 1483570800, 1, 371, 1488894799, NULL, NULL, 0),
(100065, 371, 4857, 1, 1483657200, 1, 371, 1488894799, NULL, NULL, 0),
(100066, 371, 4857, 1, 1483916400, 1, 371, 1488894799, NULL, NULL, 0),
(100067, 371, 4857, 1, 1484002800, 1, 371, 1488894799, NULL, NULL, 0),
(100068, 371, 4857, 1, 1484089200, 1, 371, 1488894799, NULL, NULL, 0),
(100069, 371, 4857, 1, 1484175600, 1, 371, 1488894799, NULL, NULL, 0),
(100070, 371, 4857, 1, 1484262000, 1, 371, 1488894799, NULL, NULL, 0),
(100071, 371, 4857, 1, 1484521200, 1, 371, 1488894799, NULL, NULL, 0),
(100072, 371, 4857, 1, 1484607600, 1, 371, 1488894799, NULL, NULL, 0),
(100073, 371, 4857, 1, 1484694000, 1, 371, 1488894799, NULL, NULL, 0),
(100074, 371, 4857, 1, 1484780400, 1, 371, 1488894799, NULL, NULL, 0),
(100075, 371, 4857, 1, 1484866800, 1, 371, 1488894799, NULL, NULL, 0),
(100076, 371, 4857, 1, 1485126000, 1, 371, 1488894799, NULL, NULL, 0),
(100077, 371, 4857, 1, 1485212400, 1, 371, 1488894799, NULL, NULL, 0),
(100078, 371, 4857, 1, 1485298800, 1, 371, 1488894799, NULL, NULL, 0),
(100079, 371, 4857, 1, 1485385200, 1, 371, 1488894799, NULL, NULL, 0),
(100080, 371, 4857, 1, 1485471600, 1, 371, 1488894799, NULL, NULL, 0),
(100242, 246, 10744, 5, 1488841200, 1, 246, 1488903052, NULL, NULL, 0),
(100207, 371, 2, 1, 1486681200, 1, 371, 1488899443, NULL, NULL, 0),
(100135, 199, 17368, 27, 1488754800, 0.4, 199, 1488895159, NULL, NULL, 0),
(100134, 371, 2, 1, 1488409200, 1, 371, 1488895157, NULL, NULL, 0),
(100133, 371, 2, 1, 1488236400, 1, 371, 1488895153, NULL, NULL, 0),
(100131, 371, 2, 1, 1488150000, 1, 371, 1488895149, NULL, NULL, 0),
(100126, 199, 2089, 1, 1488754800, 0.25, 199, 1488894930, NULL, NULL, 0),
(100128, 199, 17581, 4, 1488754800, 0.1, 199, 1488894986, NULL, NULL, 0),
(100129, 371, 2, 1, 1488322800, 1, 371, 1490964437, NULL, NULL, 0),
(100137, 371, 2, 1, 1488495600, 1, 371, 1488895160, NULL, NULL, 0),
(104692, 168, 2, 1, 1492639200, 1, 168, 1490968140, NULL, NULL, 0),
(104691, 168, 2, 1, 1492552800, 1, 168, 1490968140, NULL, NULL, 0),
(104690, 168, 2, 1, 1492466400, 1, 168, 1490968140, NULL, NULL, 0),
(100181, 371, 2, 1, 1487890800, 1, 371, 1488896519, NULL, NULL, 0),
(100254, 2, 23789, 1, 1488841200, 0.25, 2, 1488924320, NULL, NULL, 0),
(100255, 2, 16139, 18, 1488841200, 0.75, 2, 1488924357, NULL, NULL, 0),
(100259, 199, 17644, 4, 1488927600, 0.1, 199, 1488959685, NULL, NULL, 0),
(100260, 199, 17645, 4, 1488927600, 0.05, 199, 1488959700, NULL, NULL, 0),
(100263, 199, 17646, 4, 1488927600, 0.1, 199, 1488961373, NULL, NULL, 0),
(100437, 217, 17729, 18, 1489014000, 0.2, 217, 1489040328, NULL, NULL, 0),
(100301, 217, 15856, 6, 1488927600, 0.2, 217, 1488966407, NULL, NULL, 0),
(100316, 147, 17570, 4, 1488754800, 0.25, 147, 1488979745, NULL, NULL, 0),
(100317, 147, 17570, 5, 1488754800, 0.25, 147, 1488979778, NULL, NULL, 0),
(100318, 147, 17571, 4, 1488754800, 0.25, 147, 1488979879, NULL, NULL, 0),
(100320, 147, 17572, 4, 1488754800, 0.25, 147, 1488980034, NULL, NULL, 0),
(100322, 147, 17573, 4, 1488841200, 0.5, 147, 1488980154, NULL, NULL, 0),
(100323, 147, 17638, 4, 1488841200, 0.5, 147, 1488980205, NULL, NULL, 0),
(100324, 147, 17573, 5, 1488927600, 0.5, 147, 1488980253, NULL, NULL, 0),
(100325, 147, 17570, 5, 1488927600, 0.25, 147, 1488980305, NULL, NULL, 0),
(100326, 147, 17638, 4, 1488927600, 0.25, 147, 1488980351, NULL, NULL, 0),
(100427, 205, 2, 1, 1489100400, 1, 205, 1488994789, NULL, NULL, 0),
(100428, 205, 2, 1, 1490565600, 1, 205, 1488994800, NULL, NULL, 0),
(100432, 205, 4857, 1, 1488927600, 0.5, 205, 1488994887, NULL, NULL, 0),
(100430, 205, 23789, 1, 1488841200, 0.5, 205, 1488994850, NULL, NULL, 0),
(100431, 205, 10400, 4, 1488841200, 0.5, 205, 1488994859, NULL, NULL, 0),
(100433, 205, 17063, 27, 1488927600, 0.25, 205, 1488994952, NULL, NULL, 0),
(100434, 205, 10396, 4, 1488927600, 0.25, 205, 1488994984, NULL, NULL, 0),
(100435, 217, 4857, 1, 1488927600, 0.5, 217, 1489040051, NULL, NULL, 0),
(100436, 217, 11112, 27, 1488927600, 0.3, 217, 1489040064, NULL, NULL, 0),
(100438, 217, 2, 1, 1489014000, 0.5, 217, 1489040354, NULL, NULL, 0),
(100439, 217, 16723, 4, 1489014000, 0.1, 217, 1489040707, NULL, NULL, 0),
(100440, 217, 16922, 4, 1489014000, 0.1, 217, 1489040724, NULL, NULL, 0),
(100441, 217, 15856, 6, 1489014000, 0.1, 217, 1489040746, NULL, NULL, 0),
(100442, 74, 14014, 6, 1488754800, 1, 74, 1489043335, NULL, NULL, 0),
(100443, 74, 14014, 6, 1488841200, 1, 74, 1489043345, NULL, NULL, 0),
(100444, 74, 14014, 6, 1488927600, 1, 74, 1489043357, NULL, NULL, 0),
(100445, 74, 14014, 6, 1489014000, 1, 74, 1489043367, NULL, NULL, 0),
(101839, 147, 10742, 5, 1489618800, 0.25, 147, 1489673083, NULL, NULL, 0),
(100798, 2, 23789, 1, 1488927600, 0.25, 2, 1489138148, NULL, NULL, 0),
(100521, 158, 2, 1, 1502661600, 1, 158, 1489051011, NULL, NULL, 0),
(100527, 158, 2, 1, 1495749600, 1, 158, 1489051357, NULL, NULL, 0),
(100532, 199, 17733, 4, 1489014000, 0.4, 199, 1489051901, NULL, NULL, 0),
(100533, 199, 2089, 1, 1488927600, 0.5, 199, 1489051916, NULL, NULL, 0),
(100536, 199, 17133, 5, 1488927600, 0.25, 199, 1489051941, NULL, NULL, 0),
(100541, 199, 17638, 4, 1488841200, 0.5, 199, 1489052107, NULL, NULL, 0),
(100543, 157, 17300, 6, 1488841200, 1, 157, 1489052189, NULL, NULL, 0),
(100544, 157, 17300, 6, 1488927600, 0.5, 157, 1489052209, NULL, NULL, 0),
(100545, 157, 17300, 6, 1489014000, 0.5, 157, 1489052227, NULL, NULL, 0),
(100546, 157, 17300, 6, 1489100400, 0.5, 157, 1489052245, NULL, NULL, 0),
(100548, 157, 17451, 5, 1489014000, 0.5, 157, 1489052344, NULL, NULL, 0),
(100549, 157, 17451, 5, 1489100400, 0.5, 157, 1489052365, NULL, NULL, 0),
(100552, 199, 17447, 5, 1488841200, 0.05, 199, 1489052553, NULL, NULL, 0),
(100554, 157, 17734, 4, 1488927600, 0.5, 157, 1489052596, NULL, NULL, 0),
(104603, 164, 16139, 18, 1490911200, 0.5, 164, 1490951343, NULL, NULL, 0),
(101327, 217, 15855, 6, 1489446000, 1, 217, 1489485826, NULL, NULL, 0),
(100754, 199, 17743, 5, 1489100400, 0.1, 199, 1489129158, NULL, NULL, 0),
(100763, 157, 1, 1, 1489446000, 0.5, 157, 1489132710, NULL, NULL, 0),
(100766, 199, 17368, 4, 1489100400, 0.1, 199, 1489134029, NULL, NULL, 0),
(100765, 157, 2, 1, 1490137200, 1, 157, 1489133113, NULL, NULL, 0),
(100767, 147, 17570, 5, 1489014000, 0.25, 147, 1489134070, NULL, NULL, 0),
(100770, 147, 17573, 5, 1489014000, 0.25, 147, 1489134153, NULL, NULL, 0),
(100772, 147, 17370, 5, 1489014000, 0.5, 147, 1489134220, NULL, NULL, 0),
(100775, 147, 10740, 5, 1489100400, 1, 147, 1489134373, NULL, NULL, 0),
(100778, 158, 1437, 1, 1489014000, 1, 158, 1489134781, NULL, NULL, 0),
(100779, 158, 1437, 1, 1489100400, 1, 158, 1489134793, NULL, NULL, 0),
(100787, 199, 10740, 2, 1489100400, 0.1, 199, 1489137350, NULL, NULL, 0),
(100799, 2, 23789, 1, 1489014000, 0.25, 2, 1489138153, NULL, NULL, 0),
(100800, 2, 16139, 18, 1488927600, 0.75, 2, 1489138178, NULL, NULL, 0),
(100801, 2, 16139, 18, 1489014000, 0.75, 2, 1489138189, NULL, NULL, 0),
(100884, 217, 15856, 6, 1489100400, 0.5, 217, 1489142611, NULL, NULL, 0),
(100885, 217, 15855, 6, 1489100400, 0.5, 217, 1489142636, NULL, NULL, 0),
(100892, 72, 23789, 1, 1488927600, 1, 72, 1489143093, NULL, NULL, 0),
(100893, 72, 23789, 1, 1489014000, 1, 72, 1489143100, NULL, NULL, 0),
(100894, 72, 23789, 1, 1489100400, 1, 72, 1489143105, NULL, NULL, 0),
(100918, 168, 1, 1, 1489705200, 1, 168, 1489151197, NULL, NULL, 0),
(100920, 168, 10745, 5, 1488841200, 1, 168, 1489151336, NULL, NULL, 0),
(100921, 168, 10745, 27, 1488927600, 0.5, 168, 1489151357, NULL, NULL, 0),
(100922, 168, 10745, 5, 1488927600, 0.5, 168, 1489151372, NULL, NULL, 0),
(100923, 168, 10745, 5, 1489100400, 1, 168, 1489151384, NULL, NULL, 0),
(100925, 168, 10743, 5, 1488495600, 0.5, 168, 1489151469, NULL, NULL, 0),
(101047, 2, 16139, 17, 1489100400, 1, 2, 1489163845, NULL, NULL, 0),
(101048, 169, 17633, 4, 1488841200, 1, 169, 1489163923, NULL, NULL, 0),
(101049, 169, 17633, 7, 1488927600, 1, 169, 1489163951, NULL, NULL, 0),
(101050, 169, 17634, 5, 1489014000, 1, 169, 1489163981, NULL, NULL, 0),
(101051, 169, 17739, 4, 1489100400, 1, 169, 1489164025, NULL, NULL, 0),
(101057, 56, 1, 1, 1490911200, 1, 56, 1498217993, NULL, NULL, 0),
(102612, 56, 1, 1, 1490050800, 0.5, 56, 1490168092, NULL, NULL, 0),
(102611, 56, 1, 1, 1489964400, 0.25, 56, 1490168052, NULL, NULL, 0),
(101065, 199, 17757, 5, 1489014000, 0.1, 199, 1489388365, NULL, NULL, 0),
(101066, 199, 17571, 2, 1489014000, 0.1, 199, 1489388540, NULL, NULL, 0),
(101067, 199, 15856, 2, 1489014000, 0.1, 199, 1489388606, NULL, NULL, 0),
(101068, 199, 17133, 5, 1489014000, 0.3, 199, 1489388727, NULL, NULL, 0),
(101069, 199, 17133, 4, 1489100400, 0.7, 199, 1489388792, NULL, NULL, 0),
(101087, 246, 17370, 5, 1488927600, 1, 246, 1489393292, NULL, NULL, 0),
(101215, 157, 17759, 4, 1489359600, 0.5, 157, 1489418743, NULL, NULL, 0),
(101216, 157, 17300, 6, 1489359600, 0.5, 157, 1489418766, NULL, NULL, 0),
(101217, 157, 17300, 6, 1489446000, 0.5, 157, 1489418789, NULL, NULL, 0),
(101235, 72, 23789, 1, 1489359600, 0.5, 72, 1489421773, NULL, NULL, 0),
(101236, 72, 17764, 4, 1489359600, 0.5, 72, 1489421838, NULL, NULL, 0),
(101243, 164, 16588, 18, 1489359600, 1, 164, 1489421992, NULL, NULL, 0),
(101244, 2, 16139, 17, 1489359600, 0.75, 2, 1489422524, NULL, NULL, 0),
(101245, 2, 16139, 18, 1489359600, 0.25, 2, 1489422535, NULL, NULL, 0),
(101266, 246, 17758, 5, 1489359600, 0.6, 246, 1489424429, NULL, NULL, 0),
(101267, 246, 10744, 7, 1489359600, 0.4, 246, 1489424473, NULL, NULL, 0),
(101276, 199, 17758, 4, 1489359600, 0.25, 199, 1489473448, NULL, NULL, 0),
(101277, 199, 2089, 1, 1489359600, 0.5, 199, 1489473467, NULL, NULL, 0),
(101279, 199, 10742, 4, 1489359600, 0.25, 199, 1489473532, NULL, NULL, 0),
(101292, 205, 23789, 1, 1489014000, 0.5, 205, 1489480495, NULL, NULL, 0),
(101293, 205, 8454, 4, 1489014000, 0.25, 205, 1489480517, NULL, NULL, 0),
(101294, 205, 15571, 4, 1489014000, 0.25, 205, 1489480533, NULL, NULL, 0),
(101295, 205, 15571, 4, 1489359600, 0.25, 205, 1489480554, NULL, NULL, 0),
(101296, 205, 10396, 4, 1489359600, 0.25, 205, 1489480573, NULL, NULL, 0),
(101297, 205, 10399, 4, 1489359600, 0.5, 205, 1489480611, NULL, NULL, 0),
(101328, 217, 15855, 6, 1489359600, 1, 217, 1489485844, NULL, NULL, 0),
(101330, 205, 15571, 4, 1489446000, 0.25, 205, 1489488807, NULL, NULL, 0),
(101331, 72, 23789, 1, 1489446000, 1, 72, 1489492118, NULL, NULL, 0),
(101335, 158, 17746, 4, 1489359600, 0.5, 158, 1489497036, NULL, NULL, 0),
(101350, 205, 2, 1, 1492466400, 1, 205, 1489498116, NULL, NULL, 0),
(101351, 205, 2, 1, 1492552800, 1, 205, 1489498116, NULL, NULL, 0),
(101352, 205, 2, 1, 1492639200, 1, 205, 1489498116, NULL, NULL, 0),
(101353, 205, 2, 1, 1492725600, 1, 205, 1489498116, NULL, NULL, 0),
(101379, 164, 16139, 18, 1489446000, 0.3, 164, 1489503216, NULL, NULL, 0),
(101380, 164, 16912, 18, 1489446000, 0.3, 164, 1489503252, NULL, NULL, 0),
(101381, 164, 16588, 18, 1489446000, 0.4, 164, 1489503273, NULL, NULL, 0),
(101391, 147, 10740, 5, 1489359600, 1, 147, 1489505542, NULL, NULL, 0),
(101394, 147, 12688, 5, 1489446000, 0.5, 147, 1489505735, NULL, NULL, 0),
(101420, 72, 23789, 1, 1489532400, 1, 72, 1489561576, NULL, NULL, 0),
(101441, 147, 10742, 4, 1489446000, 0.5, 147, 1489566147, NULL, NULL, 0),
(101446, 246, 16516, 5, 1489446000, 0.5, 246, 1489567226, NULL, NULL, 0),
(101467, 2, 1437, 1, 1489446000, 0.2, 2, 1489575255, NULL, NULL, 0),
(101468, 2, 16139, 17, 1489446000, 0.1, 2, 1489575457, NULL, NULL, 0),
(101469, 2, 17300, 2, 1489446000, 0.3, 2, 1489575432, NULL, NULL, 0),
(101470, 2, 17453, 4, 1489446000, 0.4, 2, 1489575495, NULL, NULL, 0),
(101476, 158, 17747, 5, 1489532400, 0.9, 158, 1489580067, NULL, NULL, 0),
(101473, 158, 10745, 2, 1489532400, 0.1, 158, 1489579938, NULL, NULL, 0),
(101474, 158, 10745, 2, 1489446000, 0.1, 158, 1489579957, NULL, NULL, 0),
(101475, 158, 17746, 4, 1489446000, 0.9, 158, 1489579980, NULL, NULL, 0),
(101481, 217, 11112, 27, 1489532400, 0.25, 217, 1489584490, NULL, NULL, 0),
(101482, 217, 15856, 6, 1489532400, 0.25, 217, 1489584508, NULL, NULL, 0),
(101855, 248, 2, 1, 1490310000, 1, 248, 1489675512, NULL, NULL, 0),
(101493, 217, 15855, 6, 1489532400, 0.5, 217, 1489587776, NULL, NULL, 0),
(101556, 2, 12688, 2, 1489532400, 0.2, 2, 1489594344, NULL, NULL, 0),
(101565, 2, 17453, 4, 1489532400, 0.6, 2, 1489595367, NULL, NULL, 0),
(101566, 2, 1437, 1, 1489532400, 0.2, 2, 1489595428, NULL, NULL, 0),
(101583, 246, 16516, 5, 1489532400, 1, 246, 1489597733, NULL, NULL, 0),
(101837, 147, 12688, 5, 1489618800, 0.25, 147, 1489672988, NULL, NULL, 0),
(101838, 147, 10623, 5, 1489618800, 0.5, 147, 1489673047, NULL, NULL, 0),
(101834, 147, 12688, 5, 1489532400, 0.5, 147, 1489672869, NULL, NULL, 0),
(101835, 147, 10623, 5, 1489532400, 0.5, 147, 1489672935, NULL, NULL, 0),
(101750, 199, 2, 1, 1490223600, 1, 199, 1489658078, NULL, NULL, 0),
(101751, 168, 1, 1, 1489618800, 0.1, 168, 1489658289, NULL, NULL, 0),
(101757, 2, 12688, 2, 1489618800, 0.4, 2, 1489658853, NULL, NULL, 0),
(101824, 169, 17791, 4, 1489532400, 0.5, 169, 1489670922, NULL, NULL, 0),
(101825, 169, 17791, 4, 1489618800, 0.5, 169, 1489670940, NULL, NULL, 0),
(101851, 217, 16723, 2, 1489618800, 0.1, 217, 1489675368, NULL, NULL, 0),
(101852, 217, 16922, 2, 1489618800, 0.1, 217, 1489675386, NULL, NULL, 0),
(101853, 217, 4857, 1, 1489618800, 0.3, 217, 1489675405, NULL, NULL, 0),
(106236, 248, 2, 1, 1491256800, 1, 248, 1491892506, NULL, NULL, 0),
(104531, 248, 2, 1, 1492120800, 1, 248, 1490942207, NULL, NULL, 0),
(104530, 248, 2, 1, 1492034400, 1, 248, 1490942195, NULL, NULL, 0),
(101865, 248, 2, 1, 1492380000, 1, 248, 1489675662, NULL, NULL, 0),
(101866, 248, 2, 1, 1492466400, 1, 248, 1489675669, NULL, NULL, 0),
(101867, 248, 2, 1, 1492552800, 1, 248, 1489675680, NULL, NULL, 0),
(101868, 248, 2, 1, 1492639200, 1, 248, 1489675818, NULL, NULL, 0),
(101870, 248, 2, 1, 1492725600, 1, 248, 1489675841, NULL, NULL, 0),
(101871, 248, 2, 1, 1493157600, 1, 248, 1489675856, NULL, NULL, 0),
(101880, 248, 2, 1, 1491948000, 1, 248, 1489675965, NULL, NULL, 0),
(101881, 248, 2, 1, 1491343200, 1, 248, 1489675990, NULL, NULL, 0),
(101883, 169, 17739, 7, 1489359600, 1, 169, 1489676652, NULL, NULL, 0),
(101884, 169, 17739, 7, 1489446000, 1, 169, 1489676672, NULL, NULL, 0),
(101885, 169, 17739, 7, 1489532400, 0.5, 169, 1489676684, NULL, NULL, 0),
(101886, 169, 17740, 5, 1489618800, 0.5, 169, 1489676757, NULL, NULL, 0),
(101887, 169, 17740, 5, 1489705200, 1, 169, 1489676779, NULL, NULL, 0),
(101888, 72, 23789, 1, 1489618800, 1, 72, 1489677204, NULL, NULL, 0),
(101897, 158, 17747, 5, 1489618800, 0.1, 158, 1489678979, NULL, NULL, 0),
(101898, 158, 17746, 4, 1489618800, 0.9, 158, 1489679001, NULL, NULL, 0),
(101906, 168, 10745, 5, 1489359600, 1, 168, 1489682480, NULL, NULL, 0),
(101907, 168, 10745, 5, 1489446000, 1, 168, 1489682495, NULL, NULL, 0),
(101908, 168, 10745, 27, 1489532400, 0.5, 168, 1489682524, NULL, NULL, 0),
(101909, 168, 10745, 5, 1489532400, 0.5, 168, 1489682537, NULL, NULL, 0),
(101912, 168, 10745, 5, 1489618800, 0.9, 168, 1489682630, NULL, NULL, 0),
(101911, 168, 1, 1, 1489964400, 1, 168, 1489682577, NULL, NULL, 0),
(101927, 198, 2, 1, 1489446000, 0.5, 198, 1489734583, NULL, NULL, 0),
(101930, 198, 2, 1, 1490565600, 0.5, 198, 1489734843, NULL, NULL, 0),
(101929, 198, 2, 1, 1488754800, 0.5, 198, 1489734702, NULL, NULL, 0),
(101935, 198, 2, 1, 1493330400, 1, 198, 1489734946, NULL, NULL, 0),
(101936, 198, 2, 1, 1493244000, 1, 198, 1489735005, NULL, NULL, 0),
(102079, 147, 12688, 5, 1489705200, 1, 147, 1489759061, NULL, NULL, 0),
(101961, 157, 17300, 6, 1489618800, 0.2, 157, 1489740392, NULL, NULL, 0),
(101962, 157, 17300, 6, 1489532400, 0.5, 157, 1489740405, NULL, NULL, 0),
(101963, 157, 17300, 6, 1489705200, 0.5, 157, 1489740426, NULL, NULL, 0),
(101964, 157, 17762, 4, 1489532400, 0.5, 157, 1489740533, NULL, NULL, 0),
(101967, 157, 17826, 4, 1489705200, 0.5, 157, 1489741080, NULL, NULL, 0),
(101966, 157, 17827, 4, 1489618800, 0.8, 157, 1489741020, NULL, NULL, 0),
(101968, 164, 16588, 18, 1489532400, 0.5, 164, 1489743363, NULL, NULL, 0),
(101969, 164, 16139, 18, 1489532400, 0.5, 164, 1489743408, NULL, NULL, 0),
(101970, 164, 16139, 2, 1489618800, 0.5, 164, 1489743418, NULL, NULL, 0),
(101971, 164, 16588, 18, 1489618800, 0.5, 164, 1489743427, NULL, NULL, 0),
(101972, 164, 16588, 18, 1489705200, 0.5, 164, 1489743435, NULL, NULL, 0),
(101973, 164, 1435, 1, 1489705200, 0.5, 164, 1489743446, NULL, NULL, 0),
(101975, 72, 23789, 1, 1489705200, 1, 72, 1489744891, NULL, NULL, 0),
(102037, 217, 15855, 6, 1489618800, 0.5, 217, 1489755357, NULL, NULL, 0),
(102038, 217, 15855, 6, 1489705200, 1, 217, 1489755369, NULL, NULL, 0),
(102077, 56, 2, 1, 1489618800, 0.5, 56, 1489758355, NULL, NULL, 0),
(102078, 56, 1, 1, 1489446000, 0.5, 56, 1489758463, NULL, NULL, 0),
(102123, 199, 2089, 1, 1489446000, 0.5, 199, 1489765294, NULL, NULL, 0),
(102124, 199, 2089, 1, 1489532400, 0.5, 199, 1489765301, NULL, NULL, 0),
(102125, 199, 17133, 5, 1489618800, 1, 199, 1489765345, NULL, NULL, 0),
(102126, 199, 17133, 4, 1489705200, 1, 199, 1489765361, NULL, NULL, 0),
(102127, 199, 12304, 5, 1489446000, 0.25, 199, 1489765415, NULL, NULL, 0),
(102203, 158, 17747, 5, 1489705200, 1, 158, 1489775408, NULL, NULL, 0),
(102204, 199, 2, 1, 1499637600, 1, 199, 1489991867, NULL, NULL, 0),
(102205, 199, 2, 1, 1499724000, 1, 199, 1489991867, NULL, NULL, 0),
(102206, 199, 2, 1, 1499810400, 1, 199, 1489991867, NULL, NULL, 0),
(102207, 199, 2, 1, 1499896800, 1, 199, 1489991867, NULL, NULL, 0),
(102208, 199, 17847, 4, 1489532400, 0.1, 199, 1489992258, NULL, NULL, 0),
(102209, 199, 17846, 4, 1489532400, 0.1, 199, 1489992278, NULL, NULL, 0),
(102210, 199, 17845, 4, 1489532400, 0.3, 199, 1489992314, NULL, NULL, 0),
(102211, 199, 17133, 5, 1489446000, 0.25, 199, 1489992332, NULL, NULL, 0),
(102623, 246, 17847, 5, 1489446000, 0.4, 72, 1490600726, NULL, NULL, 0),
(102261, 164, 17251, 17, 1489964400, 1, 164, 1490002178, NULL, NULL, 0),
(102268, 2, 17858, 1, 1489618800, 0.6, 2, 1490004619, NULL, NULL, 0),
(102269, 2, 17858, 1, 1489705200, 1, 2, 1490004626, NULL, NULL, 0),
(102272, 2, 17858, 1, 1489964400, 0.75, 2, 1490112420, NULL, NULL, 0),
(102273, 2, 15281, 18, 1489964400, 0.25, 2, 1490004868, NULL, NULL, 0),
(102444, 72, 23789, 1, 1489964400, 0.8, 72, 1490026740, NULL, NULL, 0),
(102310, 48, 2, 1, 1500847200, 1, 48, 1490015450, NULL, NULL, 0),
(102311, 48, 2, 1, 1500933600, 1, 48, 1490015455, NULL, NULL, 0),
(102312, 48, 2, 1, 1501020000, 1, 48, 1490015458, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(102313, 48, 2, 1, 1501106400, 1, 48, 1490015461, NULL, NULL, 0),
(102314, 48, 2, 1, 1501192800, 1, 48, 1490015464, NULL, NULL, 0),
(102328, 48, 2, 1, 1502661600, 1, 48, 1490015539, NULL, NULL, 0),
(102344, 48, 2, 1, 1504735200, 1, 48, 1490015641, NULL, NULL, 0),
(102345, 48, 2, 1, 1504821600, 1, 48, 1490015647, NULL, NULL, 0),
(102346, 48, 2, 1, 1505340000, 1, 48, 1490015657, NULL, NULL, 0),
(102347, 48, 2, 1, 1505426400, 1, 48, 1490015660, NULL, NULL, 0),
(102389, 217, 16723, 4, 1489964400, 0.5, 217, 1490018305, NULL, NULL, 0),
(102399, 217, 4857, 1, 1489964400, 0.3, 217, 1490020666, NULL, NULL, 0),
(102414, 72, 2, 1, 1490310000, 1, 72, 1490022503, NULL, NULL, 0),
(102445, 72, 17764, 7, 1489964400, 0.2, 72, 1490026806, NULL, NULL, 0),
(102461, 199, 14014, 2, 1489964400, 0.4, 199, 1490078554, NULL, NULL, 0),
(102462, 199, 2089, 1, 1489964400, 0.25, 199, 1490078576, NULL, NULL, 0),
(102463, 199, 17856, 4, 1489964400, 0.25, 199, 1490078916, NULL, NULL, 0),
(102464, 199, 17855, 4, 1489964400, 0.1, 199, 1490078956, NULL, NULL, 0),
(102706, 246, 17849, 5, 1490050800, 1, 246, 1490187680, NULL, NULL, 0),
(102561, 157, 17762, 4, 1489964400, 1, 157, 1490108938, NULL, NULL, 0),
(102562, 157, 17762, 4, 1490050800, 0.5, 157, 1490108952, NULL, NULL, 0),
(102563, 157, 17826, 6, 1490050800, 0.5, 157, 1490108978, NULL, NULL, 0),
(102570, 72, 17764, 4, 1490050800, 0.8, 72, 1490111924, NULL, NULL, 0),
(102571, 72, 23789, 1, 1490050800, 0.2, 72, 1490111953, NULL, NULL, 0),
(102577, 2, 17858, 1, 1490050800, 0.8, 2, 1490112433, NULL, NULL, 0),
(102578, 2, 23789, 1, 1490050800, 0.2, 2, 1490112473, NULL, NULL, 0),
(102597, 199, 2089, 1, 1490050800, 0.25, 199, 1490165738, NULL, NULL, 0),
(102598, 199, 14014, 2, 1490050800, 0.5, 199, 1490165747, NULL, NULL, 0),
(102599, 199, 17747, 2, 1490050800, 0.25, 199, 1490165785, NULL, NULL, 0),
(102600, 199, 17917, 4, 1490137200, 0.1, 199, 1490165934, NULL, NULL, 0),
(102816, 147, 12688, 5, 1490050800, 0.5, 147, 1490251784, NULL, NULL, 0),
(102602, 147, 12688, 5, 1489964400, 1, 147, 1490166810, NULL, NULL, 0),
(102604, 147, 10742, 5, 1490137200, 1, 147, 1490166910, NULL, NULL, 0),
(102606, 74, 1, 1, 1490050800, 0.5, 74, 1490167363, NULL, NULL, 0),
(102609, 74, 1, 1, 1490824800, 0.5, 74, 1490167391, NULL, NULL, 0),
(102610, 56, 2, 1, 1490310000, 0.25, 56, 1490167863, NULL, NULL, 0),
(102613, 56, 2, 1, 1490310000, 0.75, 56, 1490168125, NULL, NULL, 0),
(102625, 74, 14014, 6, 1489964400, 1, 74, 1490170753, NULL, NULL, 0),
(102627, 74, 14014, 6, 1490050800, 0.5, 74, 1490170770, NULL, NULL, 0),
(102628, 205, 17063, 6, 1489964400, 1, 205, 1490170796, NULL, NULL, 0),
(102629, 205, 17063, 6, 1489618800, 0.5, 205, 1490170839, NULL, NULL, 0),
(102630, 205, 17063, 6, 1489532400, 0.5, 205, 1490170871, NULL, NULL, 0),
(102642, 168, 10745, 5, 1490050800, 1, 168, 1490172873, NULL, NULL, 0),
(102643, 168, 10745, 27, 1490137200, 0.5, 168, 1490172903, NULL, NULL, 0),
(102644, 168, 10745, 5, 1490137200, 0.5, 168, 1490172922, NULL, NULL, 0),
(102657, 322, 2, 1, 1491775200, 1, 322, 1490174192, NULL, NULL, 0),
(102658, 322, 2, 1, 1499378400, 1, 322, 1490174217, NULL, NULL, 0),
(102672, 164, 17251, 17, 1490050800, 1, 164, 1490176128, NULL, NULL, 0),
(102673, 164, 16588, 18, 1490137200, 1, 164, 1490176163, NULL, NULL, 0),
(102686, 217, 16723, 4, 1489964400, 0.2, 217, 1490177206, NULL, NULL, 0),
(102685, 217, 14013, 27, 1490050800, 0.5, 217, 1490177098, NULL, NULL, 0),
(102687, 217, 16723, 4, 1490050800, 0.1, 217, 1490177233, NULL, NULL, 0),
(102688, 217, 16922, 4, 1490050800, 0.4, 217, 1490177391, NULL, NULL, 0),
(102689, 205, 17063, 6, 1489446000, 0.5, 205, 1490178978, NULL, NULL, 0),
(102690, 205, 23789, 1, 1489446000, 0.25, 205, 1490179018, NULL, NULL, 0),
(102691, 205, 10392, 4, 1489532400, 0.25, 205, 1490179206, NULL, NULL, 0),
(102692, 205, 10396, 4, 1489532400, 0.25, 205, 1490179227, NULL, NULL, 0),
(102693, 205, 23789, 1, 1489618800, 0.5, 205, 1490179278, NULL, NULL, 0),
(102694, 205, 23789, 1, 1489705200, 1, 205, 1490179284, NULL, NULL, 0),
(102695, 205, 14013, 27, 1490050800, 0.5, 205, 1490179317, NULL, NULL, 0),
(102696, 205, 10396, 4, 1490050800, 0.25, 205, 1490179375, NULL, NULL, 0),
(102697, 205, 10399, 4, 1490050800, 0.25, 205, 1490179394, NULL, NULL, 0),
(102698, 205, 17063, 6, 1490137200, 0.25, 205, 1490179408, NULL, NULL, 0),
(102699, 205, 4857, 1, 1490137200, 0.25, 205, 1490179427, NULL, NULL, 0),
(102700, 205, 23789, 1, 1490137200, 0.5, 205, 1490179462, NULL, NULL, 0),
(102705, 246, 17849, 5, 1489964400, 1, 246, 1490187655, NULL, NULL, 0),
(102707, 246, 17849, 5, 1490137200, 0.5, 246, 1490187696, NULL, NULL, 0),
(102720, 217, 16922, 2, 1490137200, 0.3, 217, 1490190819, NULL, NULL, 0),
(102745, 83, 10858, 1, 1488150000, 0.5, 83, 1490192500, NULL, NULL, 0),
(102751, 83, 2865, 1, 1488754800, 0.5, 83, 1490192523, NULL, NULL, 0),
(102752, 83, 2865, 1, 1488841200, 0.5, 83, 1490192539, NULL, NULL, 0),
(102753, 83, 2865, 1, 1488927600, 0.5, 83, 1490192548, NULL, NULL, 0),
(102754, 83, 2865, 1, 1489359600, 0.5, 83, 1490192569, NULL, NULL, 0),
(102764, 199, 2089, 1, 1490137200, 0.25, 199, 1490196433, NULL, NULL, 0),
(102765, 199, 14014, 27, 1490137200, 0.1, 199, 1490196452, NULL, NULL, 0),
(102797, 2, 17858, 1, 1490137200, 0.25, 2, 1490349863, NULL, NULL, 0),
(102798, 2, 23789, 1, 1490137200, 0.5, 2, 1490200282, NULL, NULL, 0),
(102800, 72, 23789, 1, 1490137200, 1, 72, 1490200916, NULL, NULL, 0),
(102801, 2, 3965, 1, 1489791600, 1, 2, 1490201551, NULL, NULL, 0),
(102802, 2, 3965, 1, 1489186800, 1, 2, 1490201562, NULL, NULL, 0),
(102803, 169, 17633, 7, 1489964400, 1, 169, 1490201708, NULL, NULL, 0),
(102804, 169, 17634, 5, 1490050800, 1, 169, 1490201769, NULL, NULL, 0),
(102806, 169, 17634, 6, 1490137200, 1, 169, 1490201894, NULL, NULL, 0),
(102810, 246, 17850, 5, 1490137200, 0.5, 246, 1490202700, NULL, NULL, 0),
(102811, 88, 2, 1, 1489618800, 1, 88, 1490202917, NULL, NULL, 0),
(102817, 147, 2, 1, 1490050800, 0.5, 147, 1490251805, NULL, NULL, 0),
(102818, 147, 2, 1, 1490652000, 0.5, 147, 1490252009, NULL, NULL, 0),
(102819, 72, 1, 1, 1490652000, 0.5, 72, 1490253798, NULL, NULL, 0),
(102929, 217, 11112, 27, 1490137200, 0.3, 217, 1490261277, NULL, NULL, 0),
(102932, 157, 17921, 4, 1490223600, 0.5, 157, 1490261919, NULL, NULL, 0),
(102933, 157, 17826, 6, 1490223600, 0.5, 157, 1490261975, NULL, NULL, 0),
(102941, 217, 15855, 6, 1490223600, 1, 217, 1490262700, NULL, NULL, 0),
(102957, 72, 23789, 1, 1490223600, 1, 72, 1490264651, NULL, NULL, 0),
(102999, 169, 17741, 4, 1490223600, 1, 169, 1490280494, NULL, NULL, 0),
(103052, 205, 17063, 6, 1490223600, 0.5, 205, 1490285874, NULL, NULL, 0),
(103053, 205, 23789, 1, 1490223600, 0.5, 205, 1490285887, NULL, NULL, 0),
(103121, 248, 2, 1, 1495749600, 1, 248, 1490337257, NULL, NULL, 0),
(103122, 248, 2, 1, 1498773600, 1, 248, 1490337404, NULL, NULL, 0),
(103123, 248, 2, 1, 1499032800, 1, 248, 1490337415, NULL, NULL, 0),
(103124, 248, 2, 1, 1499119200, 1, 248, 1490337419, NULL, NULL, 0),
(103125, 248, 2, 1, 1500242400, 1, 248, 1490337608, NULL, NULL, 0),
(103126, 248, 2, 1, 1500328800, 1, 248, 1490337620, NULL, NULL, 0),
(103127, 248, 2, 1, 1500415200, 1, 248, 1490337627, NULL, NULL, 0),
(103128, 248, 2, 1, 1500501600, 1, 248, 1490337652, NULL, NULL, 0),
(103129, 248, 2, 1, 1500588000, 1, 248, 1490337657, NULL, NULL, 0),
(103130, 248, 2, 1, 1502661600, 1, 248, 1490338208, NULL, NULL, 0),
(103131, 248, 2, 1, 1502748000, 1, 248, 1490338215, NULL, NULL, 0),
(103132, 248, 2, 1, 1502834400, 1, 248, 1490338219, NULL, NULL, 0),
(103133, 248, 2, 1, 1502920800, 1, 248, 1490338223, NULL, NULL, 0),
(103134, 248, 2, 1, 1503007200, 1, 248, 1490338227, NULL, NULL, 0),
(103135, 248, 2, 1, 1503266400, 1, 248, 1490338235, NULL, NULL, 0),
(103136, 248, 2, 1, 1503352800, 1, 248, 1490338240, NULL, NULL, 0),
(103137, 248, 2, 1, 1503439200, 1, 248, 1490338248, NULL, NULL, 0),
(103138, 248, 2, 1, 1503525600, 1, 248, 1490338255, NULL, NULL, 0),
(103139, 248, 2, 1, 1503612000, 1, 248, 1490338259, NULL, NULL, 0),
(103153, 158, 2, 1, 1491170400, 1, 158, 1490343882, NULL, NULL, 0),
(103154, 158, 2, 1, 1491256800, 1, 158, 1490343882, NULL, NULL, 0),
(103155, 158, 2, 1, 1491343200, 1, 158, 1490343882, NULL, NULL, 0),
(103156, 158, 2, 1, 1491429600, 1, 158, 1490343882, NULL, NULL, 0),
(103157, 158, 2, 1, 1491516000, 1, 158, 1490343882, NULL, NULL, 0),
(103167, 158, 2, 1, 1508709600, 1, 158, 1490345238, NULL, NULL, 0),
(103168, 158, 2, 1, 1508796000, 1, 158, 1490345238, NULL, NULL, 0),
(103169, 74, 14014, 6, 1490137200, 1, 74, 1490345319, NULL, NULL, 0),
(103170, 74, 14014, 6, 1490223600, 1, 74, 1490345328, NULL, NULL, 0),
(103463, 74, 14014, 6, 1490310000, 0.75, 74, 1490595432, NULL, NULL, 0),
(129174, 158, 2, 1, 1510009200, 1, 158, 1503856753, NULL, NULL, 0),
(129173, 158, 2, 1, 1509922800, 1, 158, 1503856753, NULL, NULL, 0),
(103174, 158, 17747, 5, 1489964400, 0.5, 158, 1490346158, NULL, NULL, 0),
(103175, 158, 17747, 5, 1490050800, 1, 158, 1490346180, NULL, NULL, 0),
(103176, 158, 17747, 5, 1490137200, 1, 158, 1490346198, NULL, NULL, 0),
(103190, 2, 17923, 5, 1490137200, 0.25, 2, 1490349913, NULL, NULL, 0),
(103193, 164, 17251, 17, 1490223600, 0.5, 164, 1490350402, NULL, NULL, 0),
(103194, 164, 17251, 5, 1490223600, 0.5, 164, 1490350434, NULL, NULL, 0),
(103195, 164, 17251, 5, 1490310000, 0.75, 164, 1490350467, NULL, NULL, 0),
(103196, 164, 1435, 1, 1490310000, 0.25, 164, 1490350489, NULL, NULL, 0),
(103199, 168, 10745, 5, 1490223600, 0.75, 168, 1490350574, NULL, NULL, 0),
(103201, 168, 10745, 5, 1490310000, 1, 168, 1490350590, NULL, NULL, 0),
(103203, 168, 1505, 1, 1490223600, 0.25, 168, 1490350741, NULL, NULL, 0),
(103227, 217, 15855, 6, 1490310000, 1, 217, 1490352940, NULL, NULL, 0),
(103228, 217, 15855, 6, 1490137200, 0.4, 217, 1490352949, NULL, NULL, 0),
(103291, 147, 10623, 5, 1490223600, 1, 147, 1490362147, NULL, NULL, 0),
(103292, 147, 10623, 5, 1490310000, 0.75, 147, 1490362219, NULL, NULL, 0),
(103293, 147, 12688, 5, 1490310000, 0.25, 147, 1490362240, NULL, NULL, 0),
(103297, 158, 17747, 5, 1490223600, 1, 158, 1490362968, NULL, NULL, 0),
(103369, 158, 17747, 5, 1490310000, 0.8, 158, 1490369522, NULL, NULL, 0),
(103368, 158, 10745, 2, 1490310000, 0.2, 158, 1490369435, NULL, NULL, 0),
(103397, 169, 17741, 7, 1490310000, 1, 169, 1490373085, NULL, NULL, 0),
(103458, 199, 17133, 5, 1490310000, 0.75, 199, 1490594022, NULL, NULL, 0),
(103459, 199, 17633, 7, 1490310000, 0.25, 199, 1490594081, NULL, NULL, 0),
(103460, 199, 17133, 5, 1490137200, 0.5, 199, 1490594107, NULL, NULL, 0),
(103461, 199, 17133, 5, 1490137200, 0.05, 199, 1490594127, NULL, NULL, 0),
(103986, 74, 14014, 6, 1490565600, 1, 74, 1490768836, NULL, NULL, 0),
(103465, 74, 10743, 2, 1490310000, 0.25, 74, 1490595522, NULL, NULL, 0),
(103488, 246, 17848, 5, 1489446000, 0.1, 246, 1490600756, NULL, NULL, 0),
(103518, 217, 15855, 6, 1490565600, 0.5, 217, 1490604979, NULL, NULL, 0),
(103529, 158, 17857, 5, 1490565600, 0.3, 158, 1490607040, NULL, NULL, 0),
(103533, 158, 17857, 5, 1490565600, 0.05, 158, 1490607099, NULL, NULL, 0),
(103629, 157, 17762, 4, 1490565600, 1, 157, 1490624531, NULL, NULL, 0),
(103630, 157, 17762, 4, 1490652000, 1, 157, 1490624599, NULL, NULL, 0),
(103634, 72, 23789, 1, 1490565600, 0.5, 72, 1490628567, NULL, NULL, 0),
(103635, 72, 17765, 5, 1490565600, 0.5, 72, 1490628631, NULL, NULL, 0),
(103658, 217, 4857, 1, 1490565600, 0.5, 217, 1490687002, NULL, NULL, 0),
(103779, 246, 13589, 5, 1490565600, 0.6, 246, 1490691279, NULL, NULL, 0),
(103780, 246, 16516, 5, 1490565600, 0.4, 246, 1490691314, NULL, NULL, 0),
(103789, 147, 1, 1, 1490652000, 0.5, 147, 1490695046, NULL, NULL, 0),
(103791, 147, 17730, 4, 1490565600, 1, 147, 1490695183, NULL, NULL, 0),
(103873, 217, 15855, 6, 1490652000, 0.5, 217, 1490709542, NULL, NULL, 0),
(103942, 205, 23789, 1, 1490310000, 0.75, 205, 1490714337, NULL, NULL, 0),
(103943, 205, 17063, 6, 1490310000, 0.25, 205, 1490714367, NULL, NULL, 0),
(103944, 205, 17063, 6, 1490652000, 1, 205, 1490714396, NULL, NULL, 0),
(103953, 246, 16516, 5, 1490652000, 1, 246, 1490717644, NULL, NULL, 0),
(103971, 164, 1041, 1, 1490652000, 1, 72, 1490765110, NULL, NULL, 0),
(103972, 164, 1041, 1, 1490738400, 1, 72, 1490765110, NULL, NULL, 0),
(103973, 164, 1041, 1, 1490824800, 1, 72, 1490765110, NULL, NULL, 0),
(103987, 74, 14014, 6, 1490652000, 1, 74, 1490768851, NULL, NULL, 0),
(104583, 74, 14014, 6, 1490911200, 1, 74, 1490951091, NULL, NULL, 0),
(103990, 168, 1, 1, 1490565600, 0.5, 168, 1490772361, NULL, NULL, 0),
(103992, 168, 17637, 5, 1490652000, 1, 168, 1490772537, NULL, NULL, 0),
(103994, 168, 17637, 5, 1490565600, 0.5, 168, 1490772630, NULL, NULL, 0),
(103999, 199, 2, 1, 1490738400, 0.5, 199, 1490775122, NULL, NULL, 0),
(104009, 217, 17983, 4, 1490652000, 0.5, 217, 1490775766, NULL, NULL, 0),
(104010, 217, 17984, 4, 1490738400, 0.5, 217, 1490775832, NULL, NULL, 0),
(104011, 217, 11112, 27, 1490738400, 0.3, 217, 1490775871, NULL, NULL, 0),
(104012, 217, 17258, 6, 1490738400, 0.2, 217, 1490775909, NULL, NULL, 0),
(104026, 72, 17765, 5, 1490652000, 0.5, 72, 1490778788, NULL, NULL, 0),
(104580, 74, 10743, 2, 1490738400, 0.5, 74, 1490951069, NULL, NULL, 0),
(106175, 205, 17063, 6, 1491775200, 0.5, 205, 1491836355, NULL, NULL, 0),
(106173, 205, 14014, 2, 1491775200, 0.5, 205, 1491836271, NULL, NULL, 0),
(104581, 74, 14014, 6, 1490824800, 0.5, 74, 1490951080, NULL, NULL, 0),
(104579, 74, 14014, 6, 1490738400, 0.5, 74, 1490951057, NULL, NULL, 0),
(104635, 147, 12688, 5, 1490911200, 1, 147, 1490953134, NULL, NULL, 0),
(104137, 158, 10745, 2, 1490738400, 0.1, 158, 1490792163, NULL, NULL, 0),
(104416, 217, 17984, 7, 1490824800, 0.5, 217, 1490874704, NULL, NULL, 0),
(104417, 217, 1, 1, 1490824800, 0.3, 217, 1490874824, NULL, NULL, 0),
(104429, 217, 17258, 6, 1490824800, 0.2, 217, 1490879860, NULL, NULL, 0),
(104447, 72, 1435, 1, 1490824800, 0.4, 72, 1490882813, NULL, NULL, 0),
(104450, 72, 23789, 1, 1490738400, 0.4, 72, 1490882857, NULL, NULL, 0),
(104453, 72, 17765, 5, 1490738400, 0.6, 72, 1490882882, NULL, NULL, 0),
(104484, 147, 17730, 4, 1490738400, 1, 147, 1490885059, NULL, NULL, 0),
(104485, 147, 17730, 4, 1490824800, 0.5, 147, 1490885077, NULL, NULL, 0),
(104486, 147, 12688, 5, 1490824800, 0.5, 147, 1490885130, NULL, NULL, 0),
(104489, 205, 17063, 6, 1490738400, 0.75, 205, 1490886569, NULL, NULL, 0),
(104488, 205, 17984, 2, 1490738400, 0.25, 205, 1490886493, NULL, NULL, 0),
(104490, 205, 23789, 1, 1490824800, 0.75, 205, 1490886593, NULL, NULL, 0),
(104491, 205, 17063, 6, 1490824800, 0.25, 205, 1490886609, NULL, NULL, 0),
(104492, 2, 17858, 1, 1490824800, 0.4, 2, 1490887393, NULL, NULL, 0),
(104493, 2, 16139, 17, 1490824800, 0.6, 2, 1490887431, NULL, NULL, 0),
(104519, 199, 2089, 1, 1490565600, 0.25, 199, 1490939298, NULL, NULL, 0),
(104520, 199, 2089, 1, 1490652000, 0.25, 199, 1490939303, NULL, NULL, 0),
(104525, 199, 17133, 5, 1490652000, 0.25, 199, 1490939407, NULL, NULL, 0),
(104522, 199, 14014, 2, 1490738400, 0.5, 199, 1490939346, NULL, NULL, 0),
(104523, 199, 14014, 2, 1490652000, 0.5, 199, 1490939353, NULL, NULL, 0),
(104524, 199, 14014, 2, 1490565600, 0.5, 199, 1490939358, NULL, NULL, 0),
(104526, 199, 17133, 5, 1490565600, 0.25, 199, 1490939421, NULL, NULL, 0),
(104527, 199, 17133, 5, 1490824800, 0.25, 199, 1490939439, NULL, NULL, 0),
(104528, 199, 14014, 2, 1490824800, 0.5, 199, 1490939445, NULL, NULL, 0),
(104529, 199, 17758, 6, 1490824800, 0.25, 199, 1490939470, NULL, NULL, 0),
(104532, 72, 23789, 1, 1490824800, 0.6, 72, 1490942263, NULL, NULL, 0),
(104533, 72, 23789, 1, 1490911200, 1, 72, 1490942270, NULL, NULL, 0),
(104537, 169, 17741, 7, 1490565600, 1, 169, 1490945731, NULL, NULL, 0),
(104542, 169, 10749, 4, 1490652000, 1, 169, 1490945920, NULL, NULL, 0),
(104543, 169, 10749, 4, 1490738400, 1, 169, 1490945929, NULL, NULL, 0),
(104544, 169, 10749, 4, 1490824800, 1, 169, 1490945942, NULL, NULL, 0),
(104546, 169, 10749, 4, 1490911200, 1, 169, 1490945956, NULL, NULL, 0),
(104556, 158, 10745, 2, 1490824800, 0.1, 158, 1490948320, NULL, NULL, 0),
(104557, 158, 17857, 5, 1490652000, 1, 158, 1490948365, NULL, NULL, 0),
(104558, 158, 17857, 5, 1490738400, 0.9, 158, 1490948376, NULL, NULL, 0),
(104559, 158, 17857, 5, 1490824800, 0.9, 158, 1490948388, NULL, NULL, 0),
(104568, 158, 10745, 2, 1490911200, 0.25, 158, 1490950856, NULL, NULL, 0),
(104597, 157, 17988, 4, 1490824800, 1, 157, 1490951272, NULL, NULL, 0),
(104598, 157, 17988, 6, 1490911200, 1, 157, 1490951287, NULL, NULL, 0),
(104605, 157, 17762, 4, 1490738400, 1, 157, 1490951349, NULL, NULL, 0),
(104608, 164, 17251, 17, 1490911200, 0.5, 164, 1490951356, NULL, NULL, 0),
(104671, 217, 17983, 2, 1490911200, 0.25, 217, 1490960019, NULL, NULL, 0),
(104672, 217, 17984, 7, 1490911200, 0.75, 217, 1490960068, NULL, NULL, 0),
(104693, 168, 2, 1, 1492725600, 1, 168, 1490968140, NULL, NULL, 0),
(104742, 205, 17984, 2, 1490911200, 0.1, 205, 1490972555, NULL, NULL, 0),
(104744, 205, 23789, 1, 1490911200, 0.1, 205, 1490972569, NULL, NULL, 0),
(104746, 205, 17063, 6, 1490911200, 0.8, 205, 1490972594, NULL, NULL, 0),
(104787, 2, 1435, 1, 1490911200, 1, 2, 1490975928, NULL, NULL, 0),
(104826, 366, 2, 1, 1492034400, 1, 366, 1491155724, NULL, NULL, 0),
(104827, 366, 2, 1, 1492120800, 1, 366, 1491155724, NULL, NULL, 0),
(104828, 366, 2, 1, 1495576800, 1, 366, 1491156007, NULL, NULL, 0),
(104829, 366, 2, 1, 1495749600, 1, 366, 1491156085, NULL, NULL, 0),
(104830, 366, 2, 1, 1492725600, 1, 366, 1491156291, NULL, NULL, 0),
(104831, 366, 2, 1, 1498168800, 1, 366, 1491156492, NULL, NULL, 0),
(104832, 366, 2, 1, 1498428000, 1, 366, 1491156492, NULL, NULL, 0),
(104833, 366, 2, 1, 1502056800, 1, 366, 1491156979, NULL, NULL, 0),
(104834, 366, 2, 1, 1502143200, 1, 366, 1491156979, NULL, NULL, 0),
(104835, 366, 2, 1, 1502229600, 1, 366, 1491156979, NULL, NULL, 0),
(104836, 366, 2, 1, 1502316000, 1, 366, 1491156979, NULL, NULL, 0),
(104837, 366, 2, 1, 1502402400, 1, 366, 1491156979, NULL, NULL, 0),
(104838, 366, 2, 1, 1502661600, 1, 366, 1491156979, NULL, NULL, 0),
(104839, 366, 2, 1, 1502834400, 1, 366, 1491156979, NULL, NULL, 0),
(104840, 366, 2, 1, 1502920800, 1, 366, 1491156979, NULL, NULL, 0),
(104841, 366, 2, 1, 1503007200, 1, 366, 1491156979, NULL, NULL, 0),
(104842, 366, 2, 1, 1503266400, 1, 366, 1491156979, NULL, NULL, 0),
(104843, 366, 2, 1, 1503352800, 1, 366, 1491156979, NULL, NULL, 0),
(104844, 366, 2, 1, 1503439200, 1, 366, 1491156979, NULL, NULL, 0),
(104845, 366, 2, 1, 1503525600, 1, 366, 1491156979, NULL, NULL, 0),
(104846, 366, 2, 1, 1503612000, 1, 366, 1491156979, NULL, NULL, 0),
(104847, 366, 2, 1, 1503871200, 1, 366, 1491156979, NULL, NULL, 0),
(104848, 366, 2, 1, 1503957600, 1, 366, 1491156979, NULL, NULL, 0),
(104849, 366, 2, 1, 1504044000, 1, 366, 1491156979, NULL, NULL, 0),
(104850, 366, 2, 1, 1504130400, 1, 366, 1491156979, NULL, NULL, 0),
(104851, 366, 2, 1, 1504216800, 1, 366, 1491156979, NULL, NULL, 0),
(104852, 366, 2, 1, 1508709600, 1, 366, 1491157174, NULL, NULL, 0),
(104853, 366, 2, 1, 1508796000, 1, 366, 1491157174, NULL, NULL, 0),
(104854, 366, 2, 1, 1508882400, 1, 366, 1491157174, NULL, NULL, 0),
(104855, 366, 2, 1, 1508968800, 1, 366, 1491157174, NULL, NULL, 0),
(104856, 366, 2, 1, 1509055200, 1, 366, 1491157174, NULL, NULL, 0),
(104857, 366, 2, 1, 1513551600, 1, 366, 1491157375, NULL, NULL, 0),
(104858, 366, 2, 1, 1513638000, 1, 366, 1491157375, NULL, NULL, 0),
(104859, 366, 2, 1, 1513724400, 1, 366, 1491157375, NULL, NULL, 0),
(104860, 366, 2, 1, 1513810800, 1, 366, 1491157375, NULL, NULL, 0),
(104861, 366, 2, 1, 1513897200, 1, 366, 1491157375, NULL, NULL, 0),
(104862, 366, 2, 1, 1514242800, 1, 366, 1491157375, NULL, NULL, 0),
(104863, 366, 2, 1, 1514329200, 1, 366, 1491157375, NULL, NULL, 0),
(104864, 366, 2, 1, 1514415600, 1, 366, 1491157375, NULL, NULL, 0),
(104865, 366, 2, 1, 1514502000, 1, 366, 1491157375, NULL, NULL, 0),
(104866, 74, 1, 1, 1491170400, 0.5, 74, 1491200533, NULL, NULL, 0),
(104867, 74, 1, 1, 1491861600, 0.5, 74, 1491200563, NULL, NULL, 0),
(104870, 199, 18008, 4, 1490911200, 0.5, 199, 1491201418, NULL, NULL, 0),
(104871, 199, 18009, 4, 1490911200, 0.25, 199, 1491201599, NULL, NULL, 0),
(104872, 199, 17758, 6, 1490911200, 0.25, 199, 1491201624, NULL, NULL, 0),
(104891, 164, 2, 1, 1492639200, 1, 164, 1491203791, NULL, NULL, 0),
(104892, 164, 2, 1, 1492725600, 1, 164, 1491203791, NULL, NULL, 0),
(104914, 168, 17637, 5, 1490738400, 1, 168, 1491204870, NULL, NULL, 0),
(104915, 168, 17637, 5, 1490824800, 1, 168, 1491204894, NULL, NULL, 0),
(104916, 168, 17637, 5, 1490911200, 1, 168, 1491204903, NULL, NULL, 0),
(104918, 246, 16516, 5, 1490738400, 0.7, 246, 1491205742, NULL, NULL, 0),
(104919, 246, 16562, 4, 1490738400, 0.3, 246, 1491205773, NULL, NULL, 0),
(105006, 217, 2, 1, 1491343200, 0.5, 217, 1491227463, NULL, NULL, 0),
(104979, 157, 2, 1, 1493762400, 1, 157, 1491211052, NULL, NULL, 0),
(104986, 72, 23789, 1, 1491170400, 1, 72, 1491213288, NULL, NULL, 0),
(105002, 217, 17984, 7, 1491170400, 0.3, 217, 1491225610, NULL, NULL, 0),
(105005, 217, 18028, 4, 1491170400, 0.7, 217, 1491227237, NULL, NULL, 0),
(105015, 248, 2, 1, 1494280800, 1, 248, 1491231324, NULL, NULL, 0),
(105025, 2, 1435, 1, 1491170400, 0.25, 2, 1491235284, NULL, NULL, 0),
(105026, 246, 2, 1, 1491343200, 1, 246, 1491235356, NULL, NULL, 0),
(105027, 246, 16562, 4, 1491170400, 0.5, 246, 1491235403, NULL, NULL, 0),
(105029, 199, 2089, 1, 1491170400, 0.25, 199, 1491285802, NULL, NULL, 0),
(105033, 199, 2089, 1, 1491170400, 0.25, 199, 1491285889, NULL, NULL, 0),
(105032, 199, 10749, 27, 1491170400, 0.25, 199, 1491285865, NULL, NULL, 0),
(105034, 199, 17133, 5, 1491170400, 0.25, 199, 1491285921, NULL, NULL, 0),
(105043, 246, 17857, 5, 1491170400, 0.5, 246, 1491289894, NULL, NULL, 0),
(105059, 164, 17251, 5, 1491170400, 0.5, 164, 1491293503, NULL, NULL, 0),
(105060, 164, 16588, 18, 1491170400, 0.5, 164, 1491293562, NULL, NULL, 0),
(105061, 164, 16139, 18, 1491256800, 1, 164, 1491293608, NULL, NULL, 0),
(105062, 217, 17258, 6, 1491256800, 0.5, 217, 1491293695, NULL, NULL, 0),
(105097, 2, 1437, 1, 1491256800, 0.25, 2, 1491301118, NULL, NULL, 0),
(105109, 205, 18061, 4, 1491170400, 0.75, 205, 1491307676, NULL, NULL, 0),
(105116, 205, 17063, 6, 1491256800, 1, 205, 1491307831, NULL, NULL, 0),
(105115, 205, 10749, 2, 1491170400, 0.25, 205, 1491307787, NULL, NULL, 0),
(105137, 217, 15855, 6, 1491256800, 0.5, 217, 1491309570, NULL, NULL, 0),
(105138, 217, 11112, 27, 1491343200, 0.25, 217, 1491309663, NULL, NULL, 0),
(105195, 2, 1505, 1, 1491256800, 0.25, 2, 1491316753, NULL, NULL, 0),
(107363, 246, 17967, 4, 1492120800, 1, 246, 1492500786, NULL, NULL, 0),
(105200, 199, 1505, 1, 1491256800, 0.3, 199, 1491317511, NULL, NULL, 0),
(105274, 246, 1505, 1, 1491256800, 0.2, 246, 1491321084, NULL, NULL, 0),
(105275, 246, 17857, 5, 1491256800, 0.8, 246, 1491321110, NULL, NULL, 0),
(105276, 169, 10749, 4, 1491170400, 1, 169, 1491322514, NULL, NULL, 0),
(105277, 169, 10749, 4, 1491256800, 1, 169, 1491322527, NULL, NULL, 0),
(105283, 72, 23789, 1, 1491256800, 0.7, 72, 1491369998, NULL, NULL, 0),
(105284, 72, 1505, 1, 1491256800, 0.3, 72, 1491370017, NULL, NULL, 0),
(105298, 74, 14014, 6, 1491170400, 0.5, 74, 1491377906, NULL, NULL, 0),
(105299, 74, 14014, 6, 1491256800, 0.75, 74, 1491377919, NULL, NULL, 0),
(105300, 74, 14014, 27, 1491256800, 0.25, 74, 1491377942, NULL, NULL, 0),
(105310, 217, 15855, 6, 1491343200, 0.25, 217, 1491380742, NULL, NULL, 0),
(105311, 345, 1400, 1, 1492984800, 1, 345, 1491381333, NULL, NULL, 0),
(105312, 345, 1400, 1, 1493071200, 1, 345, 1491381333, NULL, NULL, 0),
(105313, 345, 1400, 1, 1493157600, 1, 345, 1491381333, NULL, NULL, 0),
(108883, 164, 1435, 1, 1493071200, 0.25, 164, 1493283080, NULL, NULL, 0),
(105323, 345, 2, 1, 1493244000, 1, 345, 1491381403, NULL, NULL, 0),
(105324, 345, 2, 1, 1493330400, 1, 345, 1491381403, NULL, NULL, 0),
(105329, 345, 2, 1, 1493676000, 1, 345, 1491381443, NULL, NULL, 0),
(105330, 345, 2, 1, 1493762400, 1, 345, 1491381443, NULL, NULL, 0),
(105331, 345, 2, 1, 1493848800, 1, 345, 1491381443, NULL, NULL, 0),
(105332, 345, 2, 1, 1493935200, 1, 345, 1491381443, NULL, NULL, 0),
(105358, 366, 2, 1, 1494799200, 1, 366, 1491388388, NULL, NULL, 0),
(105359, 366, 2, 1, 1494885600, 1, 366, 1491388388, NULL, NULL, 0),
(105360, 366, 2, 1, 1494972000, 1, 366, 1491388388, NULL, NULL, 0),
(105361, 366, 2, 1, 1495058400, 1, 366, 1491388388, NULL, NULL, 0),
(105362, 366, 2, 1, 1495144800, 1, 366, 1491388388, NULL, NULL, 0),
(105370, 157, 17987, 4, 1491170400, 0.5, 157, 1491397787, NULL, NULL, 0),
(105366, 157, 18059, 4, 1491343200, 1, 157, 1491397647, NULL, NULL, 0),
(105367, 157, 17988, 4, 1491170400, 0.5, 157, 1491397686, NULL, NULL, 0),
(105368, 157, 18059, 4, 1491256800, 0.7, 157, 1491397718, NULL, NULL, 0),
(105369, 157, 1505, 1, 1491256800, 0.3, 157, 1491397746, NULL, NULL, 0),
(105371, 205, 17063, 6, 1491343200, 0.5, 205, 1491398296, NULL, NULL, 0),
(105372, 205, 2041, 1, 1491343200, 0.5, 205, 1491398412, NULL, NULL, 0),
(105397, 169, 18059, 5, 1491343200, 0.2, 169, 1491403532, NULL, NULL, 0),
(105402, 72, 23789, 1, 1491343200, 0.5, 72, 1491405930, NULL, NULL, 0),
(105403, 72, 17765, 5, 1491343200, 0.5, 72, 1491405996, NULL, NULL, 0),
(105411, 246, 2, 1, 1492984800, 1, 246, 1491416097, NULL, NULL, 0),
(105412, 246, 2, 1, 1493071200, 1, 246, 1491416108, NULL, NULL, 0),
(105413, 246, 1, 1, 1493157600, 1, 246, 1491416117, NULL, NULL, 0),
(105416, 199, 2, 1, 1491429600, 1, 72, 1491460268, NULL, NULL, 0),
(105506, 366, 2, 1, 1497823200, 1, 366, 1491469756, NULL, NULL, 0),
(105507, 366, 2, 1, 1497909600, 1, 366, 1491469756, NULL, NULL, 0),
(105508, 366, 2, 1, 1497996000, 1, 366, 1491469756, NULL, NULL, 0),
(105509, 366, 2, 1, 1498082400, 1, 366, 1491469756, NULL, NULL, 0),
(105752, 2, 17401, 18, 1491429600, 0.5, 2, 1491566464, NULL, NULL, 0),
(105563, 217, 15855, 6, 1491429600, 0.7, 217, 1491479166, NULL, NULL, 0),
(105566, 2, 23789, 1, 1491343200, 0.5, 2, 1491480240, NULL, NULL, 0),
(105567, 2, 18090, 4, 1491256800, 0.5, 2, 1491480517, NULL, NULL, 0),
(105568, 2, 18090, 4, 1491343200, 0.5, 2, 1491480533, NULL, NULL, 0),
(105600, 2, 17251, 17, 1491429600, 0.25, 2, 1491486954, NULL, NULL, 0),
(105636, 2, 18090, 4, 1491429600, 0.25, 2, 1491490412, NULL, NULL, 0),
(105637, 164, 16588, 18, 1491343200, 0.5, 164, 1491490451, NULL, NULL, 0),
(105638, 164, 17251, 17, 1491343200, 0.5, 164, 1491490468, NULL, NULL, 0),
(105639, 164, 17251, 5, 1491429600, 0.25, 164, 1491490487, NULL, NULL, 0),
(105640, 164, 17251, 17, 1491429600, 0.25, 164, 1491490498, NULL, NULL, 0),
(105641, 164, 16139, 18, 1491429600, 0.5, 164, 1491490518, NULL, NULL, 0),
(105657, 72, 23789, 1, 1491429600, 0.5, 72, 1491547402, NULL, NULL, 0),
(105661, 72, 17764, 4, 1491429600, 0.5, 72, 1491547504, NULL, NULL, 0),
(105666, 164, 11032, 18, 1491516000, 0.5, 164, 1491549717, NULL, NULL, 0),
(105667, 164, 17251, 17, 1491516000, 0.4, 164, 1491566713, NULL, NULL, 0),
(105670, 157, 18059, 4, 1491429600, 0.3, 157, 1491549818, NULL, NULL, 0),
(105672, 157, 18091, 5, 1491516000, 0.3, 157, 1491549970, NULL, NULL, 0),
(105673, 205, 17063, 6, 1491429600, 1, 205, 1491551141, NULL, NULL, 0),
(105685, 370, 2, 1, 1491948000, 1, 370, 1491553770, NULL, NULL, 0),
(105686, 370, 2, 1, 1492034400, 1, 370, 1491553770, NULL, NULL, 0),
(105687, 370, 2, 1, 1492120800, 1, 370, 1491553770, NULL, NULL, 0),
(105688, 370, 2, 1, 1492466400, 1, 370, 1491553770, NULL, NULL, 0),
(105689, 370, 2, 1, 1492552800, 1, 370, 1491553770, NULL, NULL, 0),
(105732, 205, 10740, 2, 1491516000, 0.5, 205, 1491558500, NULL, NULL, 0),
(105738, 74, 14014, 6, 1491343200, 1, 74, 1491564475, NULL, NULL, 0),
(105739, 74, 14014, 6, 1491429600, 1, 74, 1491564487, NULL, NULL, 0),
(105740, 74, 14014, 6, 1491516000, 1, 74, 1491564500, NULL, NULL, 0),
(105741, 147, 10741, 5, 1491516000, 1, 147, 1491564539, NULL, NULL, 0),
(105742, 147, 10740, 5, 1491429600, 1, 147, 1491564586, NULL, NULL, 0),
(105745, 147, 17730, 5, 1491256800, 1, 147, 1491564675, NULL, NULL, 0),
(105744, 147, 12688, 5, 1491343200, 1, 147, 1491564628, NULL, NULL, 0),
(105746, 147, 10623, 5, 1491170400, 1, 147, 1491564740, NULL, NULL, 0),
(105747, 157, 18120, 4, 1491429600, 0.7, 157, 1491565780, NULL, NULL, 0),
(105748, 157, 18120, 4, 1491516000, 0.7, 157, 1491565803, NULL, NULL, 0),
(105750, 2, 18118, 4, 1491516000, 0.5, 2, 1491578868, NULL, NULL, 0),
(105756, 2, 1505, 1, 1491516000, 0.5, 2, 1491578987, NULL, NULL, 0),
(105757, 164, 1505, 1, 1491516000, 0.1, 164, 1491566824, NULL, NULL, 0),
(105845, 72, 17764, 4, 1491516000, 0.2, 72, 1491578715, NULL, NULL, 0),
(105846, 72, 17765, 5, 1491516000, 0.2, 72, 1491578798, NULL, NULL, 0),
(105847, 72, 23789, 1, 1491516000, 0.6, 72, 1491578809, NULL, NULL, 0),
(105856, 169, 10749, 4, 1491343200, 0.8, 169, 1491579524, NULL, NULL, 0),
(105857, 169, 10749, 5, 1491429600, 1, 169, 1491579538, NULL, NULL, 0),
(105858, 169, 10743, 2, 1491516000, 1, 169, 1491579852, NULL, NULL, 0),
(105900, 199, 2089, 1, 1491256800, 0.25, 199, 1491804096, NULL, NULL, 0),
(105901, 199, 2089, 1, 1491343200, 0.25, 199, 1491804102, NULL, NULL, 0),
(105902, 199, 17133, 5, 1491256800, 0.25, 199, 1491804123, NULL, NULL, 0),
(105903, 199, 16101, 5, 1491343200, 0.25, 199, 1491804290, NULL, NULL, 0),
(105904, 199, 17133, 5, 1491516000, 0.1, 199, 1491804307, NULL, NULL, 0),
(105905, 199, 17746, 5, 1491516000, 0.25, 199, 1491804432, NULL, NULL, 0),
(105906, 199, 17746, 5, 1491343200, 0.25, 199, 1491804444, NULL, NULL, 0),
(105907, 199, 16140, 5, 1491256800, 0.2, 199, 1491804510, NULL, NULL, 0),
(105908, 199, 16140, 5, 1491343200, 0.25, 199, 1491804520, NULL, NULL, 0),
(105909, 199, 14014, 5, 1491516000, 0.25, 199, 1491804571, NULL, NULL, 0),
(105910, 199, 17133, 5, 1491516000, 0.4, 199, 1491804582, NULL, NULL, 0),
(105931, 168, 17637, 5, 1491170400, 0.5, 168, 1491809409, NULL, NULL, 0),
(105929, 168, 17637, 5, 1491256800, 1, 168, 1491809360, NULL, NULL, 0),
(105930, 168, 17637, 5, 1491343200, 1, 168, 1491809374, NULL, NULL, 0),
(105936, 168, 1, 1, 1491170400, 0.5, 168, 1491809485, NULL, NULL, 0),
(105934, 168, 17637, 5, 1491429600, 1, 168, 1491809438, NULL, NULL, 0),
(105935, 168, 17637, 5, 1491516000, 1, 168, 1491809454, NULL, NULL, 0),
(106986, 169, 10749, 5, 1491775200, 1, 169, 1492157524, NULL, NULL, 0),
(106988, 169, 10749, 5, 1491861600, 1, 169, 1492157592, NULL, NULL, 0),
(108039, 371, 2, 1, 1493244000, 0.5, 371, 1492786318, NULL, NULL, 0),
(106022, 371, 2, 1, 1491948000, 1, 371, 1491817259, NULL, NULL, 0),
(106023, 371, 2, 1, 1492034400, 1, 371, 1491817272, NULL, NULL, 0),
(106024, 371, 1400, 1, 1493330400, 0.5, 371, 1491817579, NULL, NULL, 0),
(106150, 158, 10745, 2, 1491775200, 0.4, 158, 1491834704, NULL, NULL, 0),
(106039, 168, 17637, 5, 1491775200, 1, 168, 1491825333, NULL, NULL, 0),
(106042, 83, 10858, 1, 1491170400, 0.5, 83, 1491825962, NULL, NULL, 0),
(106043, 83, 10858, 1, 1491256800, 0.5, 83, 1491825962, NULL, NULL, 0),
(106044, 83, 10858, 1, 1491343200, 0.5, 83, 1491825962, NULL, NULL, 0),
(106045, 83, 10858, 1, 1491429600, 0.5, 83, 1491825962, NULL, NULL, 0),
(106046, 83, 10858, 1, 1491775200, 0.5, 83, 1491825962, NULL, NULL, 0),
(106047, 83, 10858, 1, 1491861600, 0.5, 83, 1491825962, NULL, NULL, 0),
(106048, 83, 10858, 1, 1491948000, 0.5, 83, 1491825962, NULL, NULL, 0),
(106049, 83, 10858, 1, 1492034400, 0.5, 83, 1491825962, NULL, NULL, 0),
(106050, 83, 10858, 1, 1492120800, 0.5, 83, 1491825962, NULL, NULL, 0),
(106051, 83, 10858, 1, 1492984800, 0.5, 83, 1491825962, NULL, NULL, 0),
(106052, 83, 10858, 1, 1493071200, 0.5, 83, 1491825962, NULL, NULL, 0),
(106053, 83, 10858, 1, 1493157600, 0.5, 83, 1491825962, NULL, NULL, 0),
(106054, 83, 10858, 1, 1493244000, 0.5, 83, 1491825962, NULL, NULL, 0),
(106055, 83, 10858, 1, 1493330400, 0.5, 83, 1491825962, NULL, NULL, 0),
(106324, 345, 18271, 1, 1491861600, 0.2, 345, 1491904517, NULL, NULL, 0),
(106114, 2, 1437, 1, 1491775200, 1, 2, 1496304467, NULL, NULL, 0),
(106144, 164, 1435, 1, 1491775200, 1, 164, 1491834083, NULL, NULL, 0),
(106151, 158, 17747, 5, 1491775200, 0.6, 158, 1491834725, NULL, NULL, 0),
(113653, 74, 1, 1, 1496268000, 0.5, 74, 1496235855, NULL, NULL, 0),
(106176, 205, 17063, 6, 1491516000, 0.5, 205, 1491836381, NULL, NULL, 0),
(106178, 246, 16563, 5, 1491775200, 1, 246, 1491838275, NULL, NULL, 0),
(106245, 217, 17258, 6, 1491516000, 1, 217, 1491892950, NULL, NULL, 0),
(106249, 217, 11112, 27, 1491429600, 0.3, 217, 1491893075, NULL, NULL, 0),
(106247, 217, 15855, 6, 1491775200, 0.7, 217, 1491892982, NULL, NULL, 0),
(106321, 345, 18267, 1, 1491775200, 1, 345, 1491904251, NULL, NULL, 0),
(106251, 345, 2, 1, 1514242800, 1, 345, 1491893326, NULL, NULL, 0),
(106252, 345, 2, 1, 1514329200, 1, 345, 1491893326, NULL, NULL, 0),
(106253, 345, 2, 1, 1514415600, 1, 345, 1491893326, NULL, NULL, 0),
(106254, 345, 2, 1, 1514502000, 1, 345, 1491893326, NULL, NULL, 0),
(106265, 157, 18180, 4, 1491775200, 0.5, 157, 1491894810, NULL, NULL, 0),
(106275, 72, 23789, 1, 1491775200, 0.5, 72, 1491895473, NULL, NULL, 0),
(106274, 157, 1, 1, 1491861600, 0.5, 157, 1491895291, NULL, NULL, 0),
(106276, 72, 17765, 5, 1491775200, 0.5, 72, 1491895527, NULL, NULL, 0),
(106282, 217, 17258, 6, 1491861600, 0.5, 217, 1491899686, NULL, NULL, 0),
(106279, 217, 17984, 7, 1491861600, 0.5, 217, 1491899601, NULL, NULL, 0),
(106280, 217, 17984, 7, 1491775200, 0.3, 217, 1491899628, NULL, NULL, 0),
(106323, 345, 18270, 1, 1491861600, 0.3, 345, 1491904464, NULL, NULL, 0),
(106496, 345, 18270, 1, 1491256800, 0.5, 345, 1491983380, NULL, NULL, 0),
(106495, 345, 18269, 1, 1491170400, 1, 345, 1491983368, NULL, NULL, 0),
(106328, 345, 18267, 1, 1491256800, 0.5, 345, 1491904705, NULL, NULL, 0),
(106329, 345, 2, 1, 1491343200, 0.5, 345, 1491904723, NULL, NULL, 0),
(106330, 345, 18271, 1, 1491343200, 0.5, 345, 1491904792, NULL, NULL, 0),
(106332, 345, 18267, 1, 1491429600, 0.5, 345, 1491904813, NULL, NULL, 0),
(106334, 345, 18271, 1, 1491429600, 0.5, 345, 1491904827, NULL, NULL, 0),
(106336, 345, 18271, 1, 1491516000, 1, 345, 1491904928, NULL, NULL, 0),
(106338, 157, 18243, 4, 1491775200, 0.5, 157, 1491904992, NULL, NULL, 0),
(106339, 157, 18244, 4, 1491861600, 0.5, 157, 1491905013, NULL, NULL, 0),
(106340, 158, 17747, 5, 1491861600, 0.4, 158, 1491905208, NULL, NULL, 0),
(107002, 164, 17251, 17, 1492034400, 1, 164, 1492158243, NULL, NULL, 0),
(106368, 2, 18118, 27, 1491861600, 0.5, 2, 1491920691, NULL, NULL, 0),
(106369, 2, 18118, 5, 1491861600, 0.25, 2, 1491920711, NULL, NULL, 0),
(106382, 48, 2, 1, 1506895200, 1, 48, 1491922686, NULL, NULL, 0),
(106383, 48, 2, 1, 1506981600, 1, 48, 1491922686, NULL, NULL, 0),
(106384, 48, 2, 1, 1507068000, 1, 48, 1491922686, NULL, NULL, 0),
(106385, 48, 2, 1, 1507154400, 1, 48, 1491922686, NULL, NULL, 0),
(106386, 48, 2, 1, 1507240800, 1, 48, 1491922686, NULL, NULL, 0),
(106387, 48, 2, 1, 1507500000, 1, 48, 1491922686, NULL, NULL, 0),
(106388, 48, 2, 1, 1507586400, 1, 48, 1491922686, NULL, NULL, 0),
(106389, 48, 2, 1, 1507672800, 1, 48, 1491922686, NULL, NULL, 0),
(106390, 48, 2, 1, 1507759200, 1, 48, 1491922686, NULL, NULL, 0),
(106391, 48, 2, 1, 1507845600, 1, 48, 1491922686, NULL, NULL, 0),
(106392, 48, 2, 1, 1508104800, 1, 48, 1491922686, NULL, NULL, 0),
(106393, 48, 2, 1, 1508191200, 1, 48, 1491922686, NULL, NULL, 0),
(106394, 48, 2, 1, 1508277600, 1, 48, 1491922686, NULL, NULL, 0),
(106395, 48, 2, 1, 1508364000, 1, 48, 1491922686, NULL, NULL, 0),
(106396, 48, 2, 1, 1508450400, 1, 48, 1491922686, NULL, NULL, 0),
(106401, 48, 2, 1, 1514242800, 1, 48, 1491922879, NULL, NULL, 0),
(106402, 48, 2, 1, 1514329200, 1, 48, 1491922879, NULL, NULL, 0),
(106403, 48, 2, 1, 1514415600, 1, 48, 1491922879, NULL, NULL, 0),
(106404, 48, 2, 1, 1514502000, 1, 48, 1491922879, NULL, NULL, 0),
(106422, 2, 18118, 17, 1491861600, 0.25, 2, 1491924974, NULL, NULL, 0),
(106425, 246, 16563, 5, 1491861600, 0.2, 246, 1491926406, NULL, NULL, 0),
(106426, 246, 17967, 4, 1491861600, 0.8, 246, 1491926505, NULL, NULL, 0),
(106428, 72, 23789, 1, 1491861600, 0.6, 72, 1491974612, NULL, NULL, 0),
(106429, 72, 17765, 5, 1491861600, 0.4, 72, 1491974674, NULL, NULL, 0),
(106430, 72, 23789, 1, 1491948000, 0.75, 72, 1492011950, NULL, NULL, 0),
(116989, 2, 19599, 4, 1497304800, 0.5, 2, 1497962726, NULL, NULL, 0),
(117888, 56, 1, 1, 1490652000, 0.25, 9, 1498217979, NULL, NULL, 0),
(106485, 164, 15281, 18, 1491861600, 0.5, 164, 1491982309, NULL, NULL, 0),
(106487, 164, 17251, 17, 1491861600, 0.5, 164, 1491982296, NULL, NULL, 0),
(106488, 164, 17251, 17, 1491948000, 0.75, 164, 1491982328, NULL, NULL, 0),
(106491, 205, 17063, 6, 1491861600, 0.5, 205, 1491982835, NULL, NULL, 0),
(106492, 205, 14014, 2, 1491861600, 0.25, 205, 1491982848, NULL, NULL, 0),
(106493, 205, 17065, 6, 1491861600, 0.25, 205, 1491982897, NULL, NULL, 0),
(106494, 205, 2, 1, 1491948000, 1, 205, 1491982999, NULL, NULL, 0),
(106497, 345, 18268, 1, 1491948000, 0.5, 345, 1491983671, NULL, NULL, 0),
(106498, 345, 18268, 1, 1491948000, 0.5, 345, 1491983672, NULL, NULL, 0),
(106499, 345, 18270, 1, 1491861600, 0.5, 345, 1491983709, NULL, NULL, 0),
(106548, 217, 11112, 27, 1491948000, 0.3, 217, 1492496610, NULL, NULL, 0),
(106550, 217, 18279, 4, 1491948000, 0.7, 217, 1492000525, NULL, NULL, 0),
(106580, 322, 2, 1, 1502661600, 1, 322, 1492009485, NULL, NULL, 0),
(106589, 72, 17765, 5, 1491948000, 0.25, 72, 1492012026, NULL, NULL, 0),
(106602, 246, 10598, 5, 1491948000, 1, 246, 1492014234, NULL, NULL, 0),
(106785, 168, 17637, 5, 1491861600, 1, 168, 1492071403, NULL, NULL, 0),
(106786, 168, 17637, 5, 1491948000, 1, 168, 1492071423, NULL, NULL, 0),
(106787, 168, 17637, 5, 1492034400, 0.5, 168, 1492173796, NULL, NULL, 0),
(106805, 164, 11032, 18, 1491948000, 0.25, 164, 1492158260, NULL, NULL, 0),
(106810, 2, 17251, 17, 1491948000, 1, 2, 1492073300, NULL, NULL, 0),
(106815, 74, 14014, 6, 1491775200, 1, 74, 1492073316, NULL, NULL, 0),
(106816, 74, 14014, 6, 1491861600, 0.5, 74, 1492073328, NULL, NULL, 0),
(106817, 74, 14014, 6, 1491948000, 1, 74, 1492073343, NULL, NULL, 0),
(106818, 74, 14014, 6, 1492034400, 1, 74, 1492073353, NULL, NULL, 0),
(106819, 74, 14014, 6, 1492120800, 1, 74, 1492073362, NULL, NULL, 0),
(106865, 205, 10749, 2, 1492034400, 0.2, 205, 1492085713, NULL, NULL, 0),
(106866, 205, 10741, 2, 1492034400, 0.1, 205, 1492085731, NULL, NULL, 0),
(106867, 205, 10745, 2, 1492034400, 0.1, 205, 1492085768, NULL, NULL, 0),
(106868, 205, 18287, 2, 1492034400, 0.1, 205, 1492085797, NULL, NULL, 0),
(106869, 205, 18279, 2, 1492034400, 0.1, 205, 1492085819, NULL, NULL, 0),
(106891, 72, 18287, 4, 1492034400, 0.5, 72, 1492091874, NULL, NULL, 0),
(106892, 72, 23789, 1, 1492034400, 0.5, 72, 1492091885, NULL, NULL, 0),
(106951, 246, 10598, 5, 1492034400, 1, 246, 1492098146, NULL, NULL, 0),
(107163, 158, 17747, 7, 1492120800, 1, 158, 1492180042, NULL, NULL, 0),
(106966, 158, 14710, 4, 1491948000, 1, 158, 1492155365, NULL, NULL, 0),
(106967, 158, 14710, 4, 1491861600, 0.6, 158, 1492155393, NULL, NULL, 0),
(106984, 158, 1435, 1, 1492034400, 0.5, 158, 1492156405, NULL, NULL, 0),
(106989, 169, 10749, 5, 1491948000, 1, 169, 1492157599, NULL, NULL, 0),
(106990, 169, 10749, 5, 1492034400, 1, 169, 1492157609, NULL, NULL, 0),
(106991, 169, 10749, 5, 1492120800, 1, 169, 1492157635, NULL, NULL, 0),
(107013, 72, 18287, 4, 1492120800, 0.2, 72, 1492159456, NULL, NULL, 0),
(107014, 72, 23789, 1, 1492120800, 0.4, 72, 1492183805, NULL, NULL, 0),
(107015, 345, 18270, 1, 1492034400, 1, 345, 1492160068, NULL, NULL, 0),
(107016, 345, 18270, 1, 1492120800, 0.5, 345, 1492160079, NULL, NULL, 0),
(107035, 164, 17251, 17, 1492120800, 0.5, 164, 1492162315, NULL, NULL, 0),
(107036, 164, 2, 1, 1492120800, 0.5, 164, 1492162327, NULL, NULL, 0),
(107120, 168, 1, 1, 1492034400, 0.5, 168, 1492173817, NULL, NULL, 0),
(107124, 168, 17428, 5, 1492120800, 1, 168, 1492174010, NULL, NULL, 0),
(107126, 168, 1, 1, 1492984800, 1, 168, 1492174053, NULL, NULL, 0),
(107127, 168, 1, 1, 1493071200, 1, 168, 1492174063, NULL, NULL, 0),
(107129, 2, 18116, 7, 1492034400, 0.75, 2, 1492174559, NULL, NULL, 0),
(107162, 158, 17747, 7, 1492034400, 0.5, 158, 1492180005, NULL, NULL, 0),
(107179, 2, 17251, 17, 1492034400, 0.25, 2, 1492182566, NULL, NULL, 0),
(107180, 2, 18116, 7, 1492120800, 0.75, 2, 1492182615, NULL, NULL, 0),
(107181, 2, 17251, 17, 1492120800, 0.25, 2, 1492182626, NULL, NULL, 0),
(107211, 199, 10741, 5, 1492120800, 0.5, 199, 1492183155, NULL, NULL, 0),
(107212, 199, 10741, 5, 1492034400, 1, 199, 1492183169, NULL, NULL, 0),
(107213, 199, 10740, 5, 1491948000, 1, 199, 1492183191, NULL, NULL, 0),
(107214, 199, 18288, 5, 1492120800, 0.25, 199, 1492183212, NULL, NULL, 0),
(107215, 199, 2089, 1, 1492120800, 0.25, 199, 1492183232, NULL, NULL, 0),
(107216, 199, 2089, 1, 1491861600, 0.5, 199, 1492183244, NULL, NULL, 0),
(107217, 199, 12308, 5, 1491861600, 0.25, 199, 1492183302, NULL, NULL, 0),
(107218, 199, 2089, 1, 1491775200, 0.25, 199, 1492183310, NULL, NULL, 0),
(107220, 199, 10742, 5, 1491861600, 0.25, 199, 1492183354, NULL, NULL, 0),
(107222, 199, 17133, 5, 1491775200, 0.75, 199, 1492183390, NULL, NULL, 0),
(107238, 72, 17765, 5, 1492120800, 0.4, 72, 1492183835, NULL, NULL, 0),
(107248, 205, 17063, 6, 1492034400, 0.4, 205, 1492185322, NULL, NULL, 0),
(107249, 205, 10741, 2, 1492120800, 0.2, 205, 1492185362, NULL, NULL, 0),
(107250, 205, 17063, 6, 1492120800, 0.5, 205, 1492185407, NULL, NULL, 0),
(107251, 205, 18279, 4, 1492120800, 0.3, 205, 1492185429, NULL, NULL, 0),
(107312, 217, 17063, 27, 1492034400, 0.5, 217, 1492496626, NULL, NULL, 0),
(107313, 217, 17258, 6, 1492034400, 0.5, 217, 1492496642, NULL, NULL, 0),
(107314, 217, 2, 1, 1492120800, 1, 217, 1492496667, NULL, NULL, 0),
(108143, 217, 1041, 1, 1492725600, 1, 217, 1493016924, NULL, NULL, 0),
(108142, 217, 1041, 1, 1492639200, 1, 217, 1493016921, NULL, NULL, 0),
(108141, 217, 1041, 1, 1492552800, 1, 217, 1493016917, NULL, NULL, 0),
(108140, 217, 1041, 1, 1492466400, 1, 217, 1493016913, NULL, NULL, 0),
(107320, 72, 23789, 1, 1492466400, 1, 72, 1492602355, NULL, NULL, 0),
(108128, 158, 17747, 5, 1492466400, 0.5, 158, 1492800967, NULL, NULL, 0),
(107417, 345, 17858, 1, 1492466400, 0.2, 345, 1492507238, NULL, NULL, 0),
(107418, 345, 18271, 1, 1492466400, 0.3, 345, 1492507250, NULL, NULL, 0),
(107867, 72, 17765, 5, 1492725600, 0.5, 72, 1492761123, NULL, NULL, 0),
(107447, 345, 2, 1, 1502056800, 1, 345, 1492518138, NULL, NULL, 0),
(107448, 345, 2, 1, 1502143200, 1, 345, 1492518138, NULL, NULL, 0),
(107449, 345, 2, 1, 1502229600, 1, 345, 1492518138, NULL, NULL, 0),
(107450, 345, 2, 1, 1502316000, 1, 345, 1492518138, NULL, NULL, 0),
(107451, 345, 2, 1, 1502402400, 1, 345, 1492518138, NULL, NULL, 0),
(107452, 345, 2, 1, 1502661600, 1, 345, 1492518138, NULL, NULL, 0),
(107453, 345, 2, 1, 1502834400, 1, 345, 1492518138, NULL, NULL, 0),
(107454, 345, 2, 1, 1502920800, 1, 345, 1492518138, NULL, NULL, 0),
(107455, 345, 2, 1, 1503007200, 1, 345, 1492518138, NULL, NULL, 0),
(107456, 345, 2, 1, 1503266400, 1, 345, 1492518138, NULL, NULL, 0),
(107457, 345, 2, 1, 1503352800, 1, 345, 1492518138, NULL, NULL, 0),
(107476, 246, 17967, 4, 1492466400, 0.7, 246, 1492585966, NULL, NULL, 0),
(107477, 246, 18473, 4, 1492466400, 0.3, 246, 1492585998, NULL, NULL, 0),
(107496, 157, 18289, 4, 1492466400, 0.5, 157, 1492592534, NULL, NULL, 0),
(107497, 157, 18289, 6, 1492552800, 0.5, 157, 1492592566, NULL, NULL, 0),
(107498, 157, 18243, 4, 1492552800, 0.5, 157, 1492592610, NULL, NULL, 0),
(107499, 157, 18402, 4, 1492466400, 0.5, 157, 1492592666, NULL, NULL, 0),
(107510, 147, 10742, 4, 1492466400, 0.5, 147, 1492593738, NULL, NULL, 0),
(107511, 147, 17730, 7, 1492466400, 0.5, 147, 1492593775, NULL, NULL, 0),
(107783, 147, 10623, 5, 1492639200, 1, 147, 1492701641, NULL, NULL, 0),
(107533, 72, 23789, 1, 1492552800, 1, 72, 1492602370, NULL, NULL, 0),
(107618, 246, 2041, 1, 1492552800, 0.1, 246, 1492617758, NULL, NULL, 0),
(107619, 246, 17967, 4, 1492552800, 0.2, 246, 1492617795, NULL, NULL, 0),
(107620, 246, 17764, 4, 1492552800, 0.7, 246, 1492618024, NULL, NULL, 0),
(107633, 72, 23789, 1, 1492639200, 0.8, 72, 1492756450, NULL, NULL, 0),
(107757, 345, 18270, 1, 1492639200, 0.5, 345, 1492693565, NULL, NULL, 0),
(107758, 345, 17858, 1, 1492639200, 0.5, 345, 1492693579, NULL, NULL, 0),
(107759, 345, 18271, 1, 1492552800, 1, 345, 1492693610, NULL, NULL, 0),
(107760, 345, 18271, 1, 1492466400, 0.5, 345, 1492693633, NULL, NULL, 0),
(107782, 147, 10623, 5, 1492552800, 1, 147, 1492701617, NULL, NULL, 0),
(107796, 157, 18289, 6, 1492639200, 0.5, 157, 1492703148, NULL, NULL, 0),
(107798, 157, 18243, 4, 1492639200, 0.5, 157, 1492703207, NULL, NULL, 0),
(107836, 74, 1, 1, 1492466400, 0.5, 74, 1492755649, NULL, NULL, 0),
(107837, 74, 1, 1, 1493244000, 0.5, 74, 1492755662, NULL, NULL, 0),
(107838, 74, 14014, 6, 1492466400, 0.5, 74, 1492755707, NULL, NULL, 0),
(107839, 74, 14014, 6, 1492552800, 1, 74, 1492755742, NULL, NULL, 0),
(107840, 74, 14014, 6, 1492639200, 0.5, 74, 1492755763, NULL, NULL, 0),
(107841, 74, 18488, 2, 1492639200, 0.5, 74, 1492755803, NULL, NULL, 0),
(107842, 74, 14014, 6, 1492725600, 1, 74, 1492755855, NULL, NULL, 0),
(107845, 72, 17765, 5, 1492639200, 0.2, 72, 1492756493, NULL, NULL, 0),
(107846, 72, 23789, 1, 1492725600, 0.5, 72, 1492761108, NULL, NULL, 0),
(108146, 217, 17258, 6, 1493071200, 0.7, 217, 1493106570, NULL, NULL, 0),
(108145, 217, 17258, 6, 1492984800, 1, 217, 1493017074, NULL, NULL, 0),
(108144, 217, 2, 1, 1493244000, 0.5, 217, 1493016941, NULL, NULL, 0),
(107859, 246, 18473, 4, 1492639200, 0.1, 246, 1492758700, NULL, NULL, 0),
(107863, 246, 18488, 4, 1492639200, 0.9, 246, 1492759131, NULL, NULL, 0),
(107910, 345, 17858, 1, 1492120800, 0.5, 345, 1492766164, NULL, NULL, 0),
(107911, 345, 17858, 1, 1492725600, 0.3, 345, 1492766187, NULL, NULL, 0),
(107913, 345, 18270, 1, 1492725600, 0.2, 345, 1492766199, NULL, NULL, 0),
(107935, 345, 18271, 1, 1492725600, 0.5, 345, 1492776598, NULL, NULL, 0),
(107969, 157, 18289, 6, 1492725600, 0.5, 157, 1492780681, NULL, NULL, 0),
(107970, 157, 17300, 6, 1492725600, 0.5, 157, 1492780720, NULL, NULL, 0),
(108038, 371, 2, 1, 1493330400, 0.5, 371, 1492786241, NULL, NULL, 0),
(108044, 322, 14791, 5, 1491861600, 1, 322, 1492787518, NULL, NULL, 0),
(108045, 322, 14791, 5, 1491948000, 1, 322, 1492787525, NULL, NULL, 0),
(108047, 322, 14791, 5, 1492034400, 1, 322, 1492787532, NULL, NULL, 0),
(108048, 322, 14791, 5, 1492120800, 1, 322, 1492787541, NULL, NULL, 0),
(108049, 2, 23789, 1, 1492466400, 0.25, 2, 1492787547, NULL, NULL, 0),
(108050, 2, 23789, 1, 1492552800, 0.5, 2, 1492787556, NULL, NULL, 0),
(108051, 322, 14791, 5, 1492466400, 1, 322, 1492787560, NULL, NULL, 0),
(108052, 2, 23789, 1, 1492639200, 0.25, 2, 1492787562, NULL, NULL, 0),
(108060, 2, 17251, 17, 1492639200, 0.5, 2, 1492787897, NULL, NULL, 0),
(108054, 2, 2089, 1, 1492639200, 0.25, 2, 1492787574, NULL, NULL, 0),
(108056, 322, 14791, 5, 1492552800, 1, 322, 1492787576, NULL, NULL, 0),
(108058, 322, 14791, 5, 1492639200, 1, 322, 1492787584, NULL, NULL, 0),
(108059, 322, 14791, 5, 1492725600, 1, 322, 1492787593, NULL, NULL, 0),
(108061, 2, 18116, 7, 1492552800, 0.25, 2, 1492787786, NULL, NULL, 0),
(108062, 2, 18116, 7, 1492466400, 0.25, 2, 1492787800, NULL, NULL, 0),
(108064, 2, 17251, 18, 1492466400, 0.25, 2, 1492787840, NULL, NULL, 0),
(108066, 2, 17251, 17, 1492466400, 0.25, 2, 1492787862, NULL, NULL, 0),
(108073, 2, 1435, 1, 1492725600, 1, 2, 1492787921, NULL, NULL, 0),
(108076, 2, 17251, 17, 1492552800, 0.25, 2, 1492787938, NULL, NULL, 0),
(108114, 246, 18488, 4, 1492725600, 1, 246, 1492790627, NULL, NULL, 0),
(108123, 158, 17747, 5, 1492725600, 1, 158, 1492800599, NULL, NULL, 0),
(108124, 158, 17747, 7, 1492552800, 1, 158, 1492800785, NULL, NULL, 0),
(108125, 158, 17747, 5, 1492639200, 1, 158, 1492800831, NULL, NULL, 0),
(108131, 169, 10749, 5, 1492552800, 1, 169, 1492982849, NULL, NULL, 0),
(108127, 158, 17747, 7, 1492466400, 0.5, 158, 1492800921, NULL, NULL, 0),
(108130, 169, 10749, 5, 1492466400, 1, 169, 1492982822, NULL, NULL, 0),
(108132, 169, 10749, 5, 1492639200, 1, 169, 1492982880, NULL, NULL, 0),
(108133, 169, 10749, 5, 1492725600, 1, 169, 1492982887, NULL, NULL, 0),
(117186, 246, 18442, 5, 1497996000, 0.5, 246, 1498060053, NULL, NULL, 0),
(117185, 246, 16071, 6, 1497996000, 0.5, 246, 1498060003, NULL, NULL, 0),
(117178, 72, 19342, 5, 1497996000, 0.5, 72, 1498058395, NULL, NULL, 0),
(108274, 199, 18008, 4, 1492984800, 0.25, 199, 1493033561, NULL, NULL, 0),
(108277, 199, 10394, 4, 1492984800, 0.25, 199, 1493033635, NULL, NULL, 0),
(108279, 72, 2041, 1, 1492984800, 0.75, 72, 1493118044, NULL, NULL, 0),
(108282, 199, 18401, 4, 1492984800, 0.25, 199, 1493033702, NULL, NULL, 0),
(108292, 199, 18473, 4, 1492984800, 0.1, 199, 1493035379, NULL, NULL, 0),
(108383, 199, 18473, 4, 1492984800, 0.1, 199, 1493098672, NULL, NULL, 0),
(108384, 199, 18473, 4, 1492984800, 0.05, 199, 1493098683, NULL, NULL, 0),
(108386, 217, 11112, 27, 1493071200, 0.3, 217, 1493101307, NULL, NULL, 0),
(108413, 164, 17251, 17, 1493071200, 0.75, 164, 1493108945, NULL, NULL, 0),
(108414, 164, 1435, 1, 1492984800, 1, 164, 1493109010, NULL, NULL, 0),
(108415, 158, 17747, 5, 1492984800, 1, 158, 1493110689, NULL, NULL, 0),
(108449, 83, 2, 1, 1502661600, 1, 83, 1493115870, NULL, NULL, 0),
(108450, 158, 17747, 5, 1493071200, 0.5, 158, 1493117078, NULL, NULL, 0),
(108451, 72, 18575, 27, 1492984800, 0.25, 72, 1493118064, NULL, NULL, 0),
(108452, 72, 23789, 1, 1493071200, 1, 72, 1493118088, NULL, NULL, 0),
(108504, 158, 17747, 5, 1493071200, 0.5, 158, 1493128449, NULL, NULL, 0),
(108513, 157, 18575, 27, 1492984800, 0.5, 157, 1493130178, NULL, NULL, 0),
(108514, 157, 17300, 5, 1492984800, 0.5, 157, 1493130197, NULL, NULL, 0),
(108515, 157, 18535, 5, 1493071200, 1, 157, 1493130229, NULL, NULL, 0),
(108516, 217, 15855, 6, 1493157600, 1, 217, 1493130328, NULL, NULL, 0),
(108529, 205, 17063, 6, 1492984800, 0.25, 205, 1493131749, NULL, NULL, 0),
(108525, 205, 18575, 27, 1492984800, 0.5, 205, 1493131636, NULL, NULL, 0),
(108527, 205, 17764, 2, 1492984800, 0.25, 205, 1493131700, NULL, NULL, 0),
(108528, 205, 17063, 27, 1493071200, 0.25, 205, 1493131718, NULL, NULL, 0),
(108539, 147, 16073, 5, 1493071200, 1, 147, 1493133575, NULL, NULL, 0),
(108537, 147, 10623, 5, 1492984800, 1, 147, 1493133518, NULL, NULL, 0),
(108662, 2, 18116, 4, 1493071200, 1, 2, 1493199660, NULL, NULL, 0),
(108663, 2, 18116, 4, 1492984800, 1, 2, 1493199702, NULL, NULL, 0),
(108673, 72, 16072, 7, 1493157600, 0.25, 72, 1493206870, NULL, NULL, 0),
(108678, 72, 18601, 5, 1493157600, 0.25, 72, 1493206927, NULL, NULL, 0),
(108700, 2, 1435, 1, 1493157600, 0.25, 2, 1493215486, NULL, NULL, 0),
(108718, 72, 23789, 1, 1493157600, 0.5, 72, 1493218077, NULL, NULL, 0),
(108759, 217, 15855, 6, 1493244000, 0.25, 217, 1493276689, NULL, NULL, 0),
(108767, 217, 14013, 6, 1493244000, 0.25, 217, 1493276837, NULL, NULL, 0),
(108768, 217, 14013, 6, 1493330400, 0.6, 217, 1493384550, NULL, NULL, 0),
(108835, 158, 14710, 4, 1493157600, 1, 158, 1493280665, NULL, NULL, 0),
(108884, 164, 17251, 17, 1493157600, 0.75, 164, 1493374129, NULL, NULL, 0),
(109241, 164, 16139, 18, 1493330400, 0.5, 164, 1493374166, NULL, NULL, 0),
(108889, 164, 1435, 1, 1493244000, 0.5, 164, 1493283216, NULL, NULL, 0),
(108890, 164, 17251, 17, 1493244000, 0.5, 164, 1493283227, NULL, NULL, 0),
(108944, 2, 2, 1, 1494799200, 1, 2, 1493292932, NULL, NULL, 0),
(108952, 74, 14014, 6, 1492984800, 1, 74, 1493293153, NULL, NULL, 0),
(108953, 74, 14014, 6, 1493071200, 1, 74, 1493293165, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(108954, 74, 14014, 6, 1493157600, 1, 74, 1493293172, NULL, NULL, 0),
(108955, 74, 14014, 6, 1493244000, 0.5, 74, 1493293183, NULL, NULL, 0),
(108956, 74, 14014, 6, 1493330400, 1, 74, 1493293196, NULL, NULL, 0),
(108957, 2, 18610, 27, 1493157600, 0.25, 2, 1493293204, NULL, NULL, 0),
(108958, 74, 1, 1, 1497477600, 1, 74, 1493293251, NULL, NULL, 0),
(108959, 74, 1, 1, 1497564000, 1, 74, 1493293251, NULL, NULL, 0),
(108960, 2, 18116, 4, 1493157600, 0.5, 2, 1493293294, NULL, NULL, 0),
(108966, 72, 23789, 1, 1493244000, 1, 72, 1493294728, NULL, NULL, 0),
(108967, 72, 1, 1, 1493330400, 0.5, 72, 1493295186, NULL, NULL, 0),
(108993, 147, 16073, 5, 1493157600, 1, 147, 1493304133, NULL, NULL, 0),
(108994, 147, 16073, 5, 1493244000, 1, 147, 1493304159, NULL, NULL, 0),
(112288, 147, 19081, 6, 1495058400, 1, 147, 1495206457, NULL, NULL, 0),
(108999, 147, 2, 1, 1495576800, 0.5, 147, 1493304375, NULL, NULL, 0),
(109072, 72, 23789, 1, 1493330400, 0.5, 72, 1493359026, NULL, NULL, 0),
(109103, 164, 16588, 18, 1493330400, 0.5, 164, 1493364824, NULL, NULL, 0),
(109109, 147, 16073, 5, 1493330400, 1, 147, 1493366601, NULL, NULL, 0),
(109111, 157, 18512, 6, 1493244000, 0.5, 157, 1493367663, NULL, NULL, 0),
(109112, 157, 18512, 6, 1493157600, 0.5, 157, 1493367674, NULL, NULL, 0),
(109113, 157, 18575, 1, 1493330400, 1, 157, 1493367769, NULL, NULL, 0),
(109114, 157, 18489, 4, 1493157600, 0.5, 157, 1493367836, NULL, NULL, 0),
(109115, 157, 18121, 6, 1493244000, 0.5, 157, 1493367916, NULL, NULL, 0),
(109141, 199, 2, 1, 1493330400, 1, 72, 1493368611, NULL, NULL, 0),
(109189, 2, 18662, 4, 1493244000, 0.5, 2, 1493371651, NULL, NULL, 0),
(109187, 2, 18663, 4, 1493244000, 0.25, 2, 1493371520, NULL, NULL, 0),
(109191, 2, 17251, 7, 1493244000, 0.25, 2, 1493371692, NULL, NULL, 0),
(109240, 164, 18610, 27, 1493157600, 0.25, 164, 1493374108, NULL, NULL, 0),
(109266, 217, 16723, 2, 1493330400, 0.05, 217, 1493384424, NULL, NULL, 0),
(109267, 217, 16922, 2, 1493330400, 0.05, 217, 1493384437, NULL, NULL, 0),
(109268, 217, 15856, 6, 1493330400, 0.25, 217, 1493384459, NULL, NULL, 0),
(109269, 217, 14013, 6, 1493330400, 0.05, 217, 1493385339, NULL, NULL, 0),
(109337, 158, 14710, 4, 1493244000, 1, 158, 1493395897, NULL, NULL, 0),
(109339, 158, 14710, 4, 1493330400, 1, 158, 1493395911, NULL, NULL, 0),
(109344, 199, 1041, 1, 1493676000, 1, 199, 1493626500, NULL, NULL, 0),
(109345, 199, 1041, 1, 1493762400, 1, 199, 1493626500, NULL, NULL, 0),
(109346, 199, 1041, 1, 1493848800, 1, 199, 1493626500, NULL, NULL, 0),
(109347, 199, 1041, 1, 1493935200, 1, 199, 1493626500, NULL, NULL, 0),
(109348, 199, 1041, 1, 1493589600, 1, 199, 1493626533, NULL, NULL, 0),
(109349, 199, 10740, 5, 1493244000, 0.25, 199, 1493626590, NULL, NULL, 0),
(109350, 199, 10740, 5, 1493157600, 0.25, 199, 1493626606, NULL, NULL, 0),
(109351, 199, 10398, 5, 1493244000, 0.25, 199, 1493626638, NULL, NULL, 0),
(109352, 199, 18660, 5, 1493157600, 0.5, 199, 1493626690, NULL, NULL, 0),
(109353, 199, 17063, 27, 1493071200, 0.25, 199, 1493626732, NULL, NULL, 0),
(109354, 199, 14014, 2, 1493071200, 0.25, 199, 1493626778, NULL, NULL, 0),
(109355, 199, 12325, 6, 1493071200, 0.25, 199, 1493626955, NULL, NULL, 0),
(109356, 199, 10398, 5, 1493157600, 0.25, 199, 1493626978, NULL, NULL, 0),
(109357, 199, 17746, 4, 1493071200, 0.25, 199, 1493627087, NULL, NULL, 0),
(109358, 199, 13774, 7, 1493244000, 0.5, 199, 1493627144, NULL, NULL, 0),
(109359, 169, 10749, 5, 1493071200, 1, 169, 1493671881, NULL, NULL, 0),
(109360, 169, 10749, 5, 1492984800, 1, 169, 1493671897, NULL, NULL, 0),
(109361, 169, 10749, 5, 1493157600, 1, 169, 1493671905, NULL, NULL, 0),
(109362, 169, 10749, 5, 1493244000, 1, 169, 1493671918, NULL, NULL, 0),
(109363, 169, 10749, 5, 1493330400, 1, 169, 1493671932, NULL, NULL, 0),
(109385, 217, 14013, 6, 1493676000, 1, 217, 1493709718, NULL, NULL, 0),
(109386, 158, 2, 1, 1493676000, 1, 158, 1493710699, NULL, NULL, 0),
(109387, 158, 2, 1, 1493762400, 1, 158, 1493710699, NULL, NULL, 0),
(109388, 158, 2, 1, 1493848800, 1, 158, 1493710699, NULL, NULL, 0),
(109389, 158, 2, 1, 1493935200, 1, 158, 1493710699, NULL, NULL, 0),
(109390, 158, 2, 1, 1494280800, 1, 158, 1493710735, NULL, NULL, 0),
(109391, 158, 2, 1, 1494367200, 1, 158, 1493710735, NULL, NULL, 0),
(109392, 158, 2, 1, 1494453600, 1, 158, 1493710735, NULL, NULL, 0),
(109393, 158, 2, 1, 1494540000, 1, 158, 1493710735, NULL, NULL, 0),
(109394, 158, 2, 1, 1495404000, 1, 158, 1493710770, NULL, NULL, 0),
(109395, 158, 2, 1, 1495490400, 1, 158, 1493710770, NULL, NULL, 0),
(109396, 158, 2, 1, 1495576800, 1, 158, 1493710770, NULL, NULL, 0),
(109397, 158, 2, 1, 1496008800, 1, 158, 1493710813, NULL, NULL, 0),
(109398, 158, 2, 1, 1496095200, 1, 158, 1493710813, NULL, NULL, 0),
(109400, 205, 2, 1, 1493676000, 1, 2, 1493711050, NULL, NULL, 0),
(109401, 205, 2, 1, 1493762400, 1, 2, 1493711050, NULL, NULL, 0),
(109402, 205, 2, 1, 1493848800, 1, 2, 1493711050, NULL, NULL, 0),
(109403, 205, 2, 1, 1493935200, 1, 2, 1493711050, NULL, NULL, 0),
(109434, 48, 2, 1, 1498514400, 1, 48, 1493715682, NULL, NULL, 0),
(109534, 157, 18490, 7, 1493676000, 0.25, 157, 1493721779, NULL, NULL, 0),
(109535, 157, 1, 1, 1493676000, 0.25, 157, 1493721794, NULL, NULL, 0),
(109548, 2, 18116, 7, 1493676000, 1, 2, 1493818566, NULL, NULL, 0),
(109564, 157, 18489, 7, 1493676000, 0.25, 157, 1493731715, NULL, NULL, 0),
(109568, 157, 18720, 7, 1493676000, 0.25, 157, 1493731780, NULL, NULL, 0),
(109589, 164, 18735, 18, 1493676000, 0.5, 164, 1493735536, NULL, NULL, 0),
(109590, 164, 1435, 1, 1493676000, 0.25, 164, 1493735578, NULL, NULL, 0),
(109591, 164, 18735, 7, 1493676000, 0.25, 164, 1493735634, NULL, NULL, 0),
(109614, 168, 17424, 5, 1493330400, 1, 168, 1493797423, NULL, NULL, 0),
(109617, 168, 17424, 5, 1493244000, 0.5, 168, 1493797473, NULL, NULL, 0),
(109618, 168, 17424, 5, 1493157600, 1, 168, 1493797491, NULL, NULL, 0),
(109619, 168, 1, 1, 1493244000, 0.5, 168, 1493797503, NULL, NULL, 0),
(109620, 168, 17637, 5, 1493676000, 1, 168, 1493797630, NULL, NULL, 0),
(109621, 168, 1, 1, 1493848800, 0.5, 168, 1493797667, NULL, NULL, 0),
(109632, 217, 14013, 6, 1493762400, 1, 217, 1493798864, NULL, NULL, 0),
(109741, 168, 1, 1, 1494280800, 1, 168, 1493816846, NULL, NULL, 0),
(109745, 2, 23789, 1, 1493762400, 0.7, 2, 1493818643, NULL, NULL, 0),
(109746, 2, 23789, 1, 1493330400, 0.5, 2, 1493818673, NULL, NULL, 0),
(109747, 2, 1435, 1, 1493330400, 0.5, 2, 1493818793, NULL, NULL, 0),
(109787, 147, 18718, 5, 1493676000, 1, 147, 1493881330, NULL, NULL, 0),
(109789, 147, 16073, 5, 1493762400, 1, 147, 1493881404, NULL, NULL, 0),
(109845, 72, 23789, 1, 1493848800, 1, 72, 1493886192, NULL, NULL, 0),
(109846, 72, 23789, 1, 1493762400, 1, 72, 1493886202, NULL, NULL, 0),
(109847, 72, 23789, 1, 1493676000, 1, 72, 1493886213, NULL, NULL, 0),
(109854, 157, 2, 1, 1497996000, 1, 157, 1493887950, NULL, NULL, 0),
(109879, 168, 17637, 5, 1493762400, 1, 168, 1493891121, NULL, NULL, 0),
(109880, 168, 17637, 5, 1493848800, 0.5, 168, 1493891136, NULL, NULL, 0),
(109980, 217, 14013, 6, 1493848800, 1, 217, 1493904598, NULL, NULL, 0),
(109981, 217, 14013, 6, 1493935200, 1, 217, 1493904607, NULL, NULL, 0),
(109992, 164, 17251, 17, 1493762400, 0.5, 164, 1493906840, NULL, NULL, 0),
(109993, 164, 17251, 18, 1493848800, 0.7, 164, 1493906873, NULL, NULL, 0),
(109994, 164, 1435, 1, 1493762400, 0.5, 164, 1493906883, NULL, NULL, 0),
(109995, 164, 16588, 18, 1493848800, 0.3, 164, 1493906940, NULL, NULL, 0),
(110081, 2, 18610, 7, 1493848800, 0.25, 2, 1493970110, NULL, NULL, 0),
(110082, 2, 12179, 1, 1493848800, 0.75, 2, 1493970146, NULL, NULL, 0),
(110112, 83, 18575, 1, 1492984800, 0.25, 83, 1493974077, NULL, NULL, 0),
(110113, 83, 18575, 1, 1493330400, 0.25, 83, 1493974089, NULL, NULL, 0),
(110114, 83, 18575, 1, 1493762400, 0.25, 83, 1493974108, NULL, NULL, 0),
(110115, 83, 18575, 1, 1493935200, 0.25, 83, 1493974116, NULL, NULL, 0),
(110117, 83, 2, 1, 1495749600, 1, 83, 1493974338, NULL, NULL, 0),
(110118, 83, 10858, 1, 1493676000, 0.5, 83, 1493974375, NULL, NULL, 0),
(110119, 83, 10858, 1, 1493762400, 0.5, 83, 1493974375, NULL, NULL, 0),
(110120, 83, 10858, 1, 1493848800, 0.5, 83, 1493974375, NULL, NULL, 0),
(110121, 83, 10858, 1, 1493935200, 0.5, 83, 1493974375, NULL, NULL, 0),
(110122, 83, 10858, 1, 1494799200, 0.5, 83, 1493974375, NULL, NULL, 0),
(110123, 83, 10858, 1, 1494885600, 0.5, 83, 1493974375, NULL, NULL, 0),
(110124, 83, 10858, 1, 1494972000, 0.5, 83, 1493974375, NULL, NULL, 0),
(110125, 83, 10858, 1, 1495144800, 0.5, 83, 1493974375, NULL, NULL, 0),
(110126, 83, 10858, 1, 1495404000, 0.5, 83, 1493974375, NULL, NULL, 0),
(110127, 83, 10858, 1, 1495490400, 1, 83, 1495636541, NULL, NULL, 0),
(110128, 83, 10858, 1, 1495576800, 0.5, 83, 1493974375, NULL, NULL, 0),
(110129, 83, 10858, 1, 1496008800, 0.5, 83, 1493974375, NULL, NULL, 0),
(110130, 83, 10858, 1, 1496095200, 0.5, 83, 1493974375, NULL, NULL, 0),
(110131, 83, 10858, 1, 1496181600, 0.5, 83, 1493974375, NULL, NULL, 0),
(112843, 83, 18575, 1, 1495144800, 0.5, 83, 1495636672, NULL, NULL, 0),
(112842, 83, 18575, 1, 1494885600, 0.25, 83, 1495636620, NULL, NULL, 0),
(110151, 83, 10858, 1, 1488754800, 0.5, 83, 1493974628, NULL, NULL, 0),
(110152, 83, 10858, 1, 1488841200, 0.5, 83, 1493974628, NULL, NULL, 0),
(110153, 83, 10858, 1, 1488927600, 0.5, 83, 1493974628, NULL, NULL, 0),
(110154, 83, 10858, 1, 1489359600, 0.5, 83, 1493974628, NULL, NULL, 0),
(110155, 83, 10858, 1, 1489446000, 0.5, 83, 1493974628, NULL, NULL, 0),
(110156, 83, 10858, 1, 1489532400, 0.5, 83, 1493974628, NULL, NULL, 0),
(110157, 83, 10858, 1, 1489618800, 0.5, 83, 1493974628, NULL, NULL, 0),
(110158, 83, 10858, 1, 1489705200, 0.5, 83, 1493974628, NULL, NULL, 0),
(110159, 83, 10858, 1, 1489964400, 0.5, 83, 1493974628, NULL, NULL, 0),
(110160, 83, 10858, 1, 1490050800, 0.5, 83, 1493974628, NULL, NULL, 0),
(110161, 83, 10858, 1, 1490137200, 0.5, 83, 1493974628, NULL, NULL, 0),
(110162, 83, 10858, 1, 1490223600, 0.5, 83, 1493974628, NULL, NULL, 0),
(110163, 83, 10858, 1, 1490310000, 0.5, 83, 1493974628, NULL, NULL, 0),
(110164, 83, 10858, 1, 1490565600, 0.5, 83, 1493974628, NULL, NULL, 0),
(110165, 83, 10858, 1, 1490652000, 0.5, 83, 1493974628, NULL, NULL, 0),
(110166, 83, 10858, 1, 1490738400, 0.5, 83, 1493974628, NULL, NULL, 0),
(110167, 83, 10858, 1, 1490824800, 0.5, 83, 1493974628, NULL, NULL, 0),
(110168, 83, 10858, 1, 1490911200, 0.5, 83, 1493974628, NULL, NULL, 0),
(110170, 83, 2865, 1, 1489446000, 0.5, 83, 1493974718, NULL, NULL, 0),
(110171, 83, 2865, 1, 1489532400, 0.5, 83, 1493974718, NULL, NULL, 0),
(110172, 83, 2865, 1, 1489618800, 0.5, 83, 1493974718, NULL, NULL, 0),
(110173, 83, 2865, 1, 1489705200, 0.5, 83, 1493974718, NULL, NULL, 0),
(110174, 83, 2865, 1, 1489964400, 0.5, 83, 1493974718, NULL, NULL, 0),
(110175, 83, 2865, 1, 1490050800, 0.5, 83, 1493974718, NULL, NULL, 0),
(110176, 83, 2865, 1, 1490137200, 0.5, 83, 1493974718, NULL, NULL, 0),
(110177, 83, 2865, 1, 1490223600, 0.5, 83, 1493974718, NULL, NULL, 0),
(110178, 83, 2865, 1, 1490310000, 0.5, 83, 1493974718, NULL, NULL, 0),
(110179, 83, 2865, 1, 1490565600, 0.5, 83, 1493974718, NULL, NULL, 0),
(110180, 83, 2865, 1, 1490652000, 0.5, 83, 1493974718, NULL, NULL, 0),
(110181, 83, 2865, 1, 1490738400, 0.5, 83, 1493974718, NULL, NULL, 0),
(110182, 83, 2865, 1, 1490824800, 0.5, 83, 1493974718, NULL, NULL, 0),
(110183, 83, 2865, 1, 1490911200, 0.5, 83, 1493974718, NULL, NULL, 0),
(110184, 157, 18720, 7, 1493848800, 0.5, 157, 1493975336, NULL, NULL, 0),
(110185, 157, 18755, 4, 1493848800, 0.5, 157, 1493975370, NULL, NULL, 0),
(110517, 157, 18575, 1, 1493935200, 0.5, 157, 1494402730, NULL, NULL, 0),
(110187, 157, 18756, 5, 1493935200, 0.5, 157, 1493975427, NULL, NULL, 0),
(110230, 164, 16588, 18, 1493935200, 0.5, 164, 1493985894, NULL, NULL, 0),
(110231, 164, 1435, 1, 1493935200, 0.5, 164, 1493985907, NULL, NULL, 0),
(110266, 199, 2, 1, 1495749600, 1, 199, 1493990482, NULL, NULL, 0),
(110281, 72, 23789, 1, 1493935200, 0.5, 72, 1493993448, NULL, NULL, 0),
(110286, 72, 18601, 5, 1493935200, 0.1, 72, 1493993976, NULL, NULL, 0),
(110287, 72, 18601, 6, 1493935200, 0.4, 72, 1493993999, NULL, NULL, 0),
(110290, 147, 1041, 1, 1493935200, 1, 72, 1493994185, NULL, NULL, 0),
(110345, 2, 17858, 1, 1493935200, 0.75, 2, 1494000707, NULL, NULL, 0),
(110346, 2, 17858, 1, 1493762400, 0.3, 2, 1494000733, NULL, NULL, 0),
(110347, 2, 1437, 1, 1493935200, 0.25, 2, 1494000777, NULL, NULL, 0),
(110419, 147, 18757, 4, 1493848800, 1, 147, 1494319586, NULL, NULL, 0),
(110420, 217, 14013, 6, 1494280800, 1, 217, 1494320074, NULL, NULL, 0),
(110433, 2, 23789, 1, 1494280800, 0.5, 2, 1494322328, NULL, NULL, 0),
(110437, 198, 2, 1, 1494280800, 0.5, 198, 1494326608, NULL, NULL, 0),
(110438, 198, 2, 1, 1494799200, 0.5, 198, 1494326635, NULL, NULL, 0),
(110449, 72, 23789, 1, 1494280800, 0.8, 72, 1494337755, NULL, NULL, 0),
(110474, 2, 18610, 27, 1494280800, 0.25, 2, 1494337373, NULL, NULL, 0),
(110477, 72, 18490, 7, 1494280800, 0.2, 72, 1494337782, NULL, NULL, 0),
(110490, 164, 1435, 1, 1494280800, 1, 164, 1494343258, NULL, NULL, 0),
(110499, 2, 1435, 1, 1494280800, 0.25, 2, 1494345417, NULL, NULL, 0),
(110500, 246, 17968, 5, 1494280800, 1, 246, 1494345779, NULL, NULL, 0),
(110518, 157, 18489, 6, 1494280800, 1, 157, 1494402864, NULL, NULL, 0),
(110520, 168, 17426, 5, 1493935200, 1, 168, 1494403680, NULL, NULL, 0),
(110530, 205, 17063, 6, 1494280800, 0.75, 205, 1494403916, NULL, NULL, 0),
(110539, 205, 18403, 4, 1494280800, 0.25, 205, 1494404345, NULL, NULL, 0),
(110540, 205, 17063, 6, 1494367200, 1, 205, 1494404603, NULL, NULL, 0),
(110541, 205, 18575, 1, 1493330400, 0.5, 205, 1494404644, NULL, NULL, 0),
(110542, 205, 17063, 6, 1493330400, 0.5, 205, 1494404687, NULL, NULL, 0),
(110543, 217, 11112, 27, 1494367200, 0.3, 217, 1494404785, NULL, NULL, 0),
(110544, 217, 14013, 6, 1494367200, 0.7, 217, 1494404811, NULL, NULL, 0),
(110547, 205, 17063, 6, 1493157600, 1, 205, 1494406554, NULL, NULL, 0),
(110548, 205, 17063, 6, 1493071200, 0.75, 205, 1494406780, NULL, NULL, 0),
(110549, 205, 17063, 6, 1493244000, 1, 205, 1494406788, NULL, NULL, 0),
(110554, 147, 18493, 5, 1494367200, 0.5, 147, 1494411451, NULL, NULL, 0),
(110555, 147, 18493, 5, 1494280800, 1, 147, 1494411473, NULL, NULL, 0),
(114755, 164, 1435, 1, 1496786400, 1, 164, 1496841813, NULL, NULL, 0),
(110593, 2, 18116, 7, 1494367200, 0.5, 2, 1494426297, NULL, NULL, 0),
(110594, 2, 23789, 1, 1494367200, 0.25, 2, 1494426265, NULL, NULL, 0),
(110595, 2, 23789, 1, 1494367200, 0.25, 2, 1494426227, NULL, NULL, 0),
(110596, 72, 23789, 1, 1494367200, 1, 72, 1494427149, NULL, NULL, 0),
(110615, 164, 1435, 1, 1494367200, 0.25, 164, 1494429432, NULL, NULL, 0),
(110616, 164, 17251, 17, 1494367200, 0.75, 164, 1494429474, NULL, NULL, 0),
(110629, 246, 17968, 5, 1494367200, 1, 246, 1494430651, NULL, NULL, 0),
(110632, 371, 2, 1, 1495144800, 0.5, 371, 1494432807, NULL, NULL, 0),
(110633, 371, 2, 1, 1495404000, 0.5, 371, 1494432807, NULL, NULL, 0),
(110634, 371, 2, 1, 1495749600, 1, 371, 1494432850, NULL, NULL, 0),
(110760, 199, 18401, 4, 1494453600, 0.25, 199, 1494493583, NULL, NULL, 0),
(110761, 199, 10740, 5, 1494453600, 0.3, 199, 1494493619, NULL, NULL, 0),
(110762, 199, 10742, 5, 1494280800, 0.5, 199, 1494493652, NULL, NULL, 0),
(110763, 199, 10740, 5, 1494367200, 0.5, 199, 1494493663, NULL, NULL, 0),
(110765, 199, 17967, 7, 1494367200, 0.2, 199, 1494493724, NULL, NULL, 0),
(110767, 199, 2089, 1, 1494367200, 0.3, 199, 1494493756, NULL, NULL, 0),
(110768, 199, 2089, 1, 1494280800, 0.25, 199, 1494493761, NULL, NULL, 0),
(110770, 199, 10740, 5, 1494280800, 0.25, 199, 1494493782, NULL, NULL, 0),
(110807, 2, 18965, 5, 1494453600, 0.75, 2, 1494516541, NULL, NULL, 0),
(110921, 72, 23789, 1, 1494453600, 0.2, 72, 1494508573, NULL, NULL, 0),
(110923, 72, 18964, 4, 1494453600, 0.8, 72, 1494508645, NULL, NULL, 0),
(110972, 157, 18489, 5, 1494367200, 1, 157, 1494513388, NULL, NULL, 0),
(110973, 157, 18489, 5, 1494453600, 0.75, 157, 1494513428, NULL, NULL, 0),
(110974, 157, 1, 1, 1494453600, 0.25, 157, 1494513450, NULL, NULL, 0),
(110989, 2, 18965, 7, 1494453600, 0.25, 2, 1494516512, NULL, NULL, 0),
(111006, 199, 16562, 7, 1494540000, 0.1, 199, 1494573348, NULL, NULL, 0),
(111007, 199, 10741, 5, 1494453600, 0.4, 199, 1494573379, NULL, NULL, 0),
(111008, 199, 10741, 5, 1494453600, 0.05, 199, 1494573389, NULL, NULL, 0),
(111015, 205, 17063, 6, 1494453600, 1, 205, 1494575270, NULL, NULL, 0),
(111039, 157, 18489, 6, 1494540000, 0.5, 157, 1494580015, NULL, NULL, 0),
(111091, 157, 18489, 6, 1494540000, 0.5, 157, 1494582497, NULL, NULL, 0),
(111042, 147, 18492, 5, 1494367200, 0.5, 147, 1494580654, NULL, NULL, 0),
(111058, 147, 1435, 1, 1494540000, 1, 147, 1494581091, NULL, NULL, 0),
(111057, 147, 1435, 1, 1494453600, 0.5, 147, 1494581074, NULL, NULL, 0),
(111061, 147, 18493, 5, 1494453600, 0.5, 147, 1494581114, NULL, NULL, 0),
(111076, 72, 23789, 1, 1494540000, 1, 72, 1494581363, NULL, NULL, 0),
(111079, 164, 1435, 1, 1494453600, 0.25, 164, 1494581440, NULL, NULL, 0),
(111080, 164, 17251, 17, 1494453600, 0.75, 164, 1494581449, NULL, NULL, 0),
(111081, 164, 18735, 18, 1494540000, 0.5, 164, 1494581493, NULL, NULL, 0),
(111084, 164, 18267, 1, 1494540000, 0.1, 164, 1494581539, NULL, NULL, 0),
(111086, 164, 1435, 1, 1494540000, 0.4, 164, 1494581551, NULL, NULL, 0),
(111116, 205, 18403, 6, 1494540000, 0.5, 205, 1494595840, NULL, NULL, 0),
(111117, 205, 17063, 6, 1494540000, 0.5, 205, 1494595852, NULL, NULL, 0),
(111118, 205, 2, 1, 1494885600, 0.5, 205, 1494595888, NULL, NULL, 0),
(111119, 205, 1400, 1, 1495058400, 1, 205, 1494595899, NULL, NULL, 0),
(111182, 2, 23789, 1, 1494540000, 0.5, 2, 1494782060, NULL, NULL, 0),
(111183, 2, 1435, 1, 1494540000, 0.25, 2, 1494781666, NULL, NULL, 0),
(111184, 2, 18998, 1, 1494540000, 0.25, 2, 1494782018, NULL, NULL, 0),
(111185, 199, 10741, 5, 1494540000, 0.5, 199, 1494827444, NULL, NULL, 0),
(111186, 199, 17741, 7, 1494540000, 0.1, 199, 1494827490, NULL, NULL, 0),
(111187, 199, 17739, 7, 1494540000, 0.2, 199, 1494827512, NULL, NULL, 0),
(111188, 199, 17633, 5, 1494540000, 0.1, 199, 1494827526, NULL, NULL, 0),
(111211, 168, 1, 1, 1494885600, 1, 168, 1494832324, NULL, NULL, 0),
(111212, 345, 2, 1, 1493589600, 1, 345, 1494832585, NULL, NULL, 0),
(111213, 345, 2, 1, 1494194400, 1, 345, 1494832609, NULL, NULL, 0),
(111214, 345, 10858, 1, 1494280800, 1, 345, 1494832646, NULL, NULL, 0),
(111215, 345, 10858, 1, 1494367200, 1, 345, 1494832653, NULL, NULL, 0),
(111216, 345, 18270, 1, 1494453600, 1, 345, 1494832667, NULL, NULL, 0),
(111217, 345, 18270, 1, 1494540000, 1, 345, 1494832673, NULL, NULL, 0),
(111218, 345, 2, 1, 1495404000, 1, 345, 1494832848, NULL, NULL, 0),
(111226, 72, 23789, 1, 1494799200, 1, 72, 1494835099, NULL, NULL, 0),
(111411, 199, 2089, 1, 1494799200, 0.25, 199, 1494913282, NULL, NULL, 0),
(111412, 199, 10741, 2, 1494799200, 0.5, 199, 1494913309, NULL, NULL, 0),
(111413, 199, 18491, 2, 1494799200, 0.1, 199, 1494913359, NULL, NULL, 0),
(111414, 199, 10749, 2, 1494799200, 0.05, 199, 1494913627, NULL, NULL, 0),
(111415, 199, 13774, 7, 1494799200, 0.1, 199, 1494913660, NULL, NULL, 0),
(111422, 157, 18489, 6, 1494799200, 1, 157, 1494915717, NULL, NULL, 0),
(111423, 157, 1, 1, 1494885600, 0.75, 157, 1494915733, NULL, NULL, 0),
(111424, 157, 18489, 6, 1494885600, 0.25, 157, 1494915760, NULL, NULL, 0),
(111429, 217, 14013, 6, 1494885600, 0.5, 217, 1494917885, NULL, NULL, 0),
(111430, 217, 14013, 6, 1494799200, 1, 217, 1494917875, NULL, NULL, 0),
(111432, 217, 2, 1, 1494885600, 0.5, 217, 1494917910, NULL, NULL, 0),
(111438, 246, 14710, 4, 1494799200, 0.5, 246, 1494918366, NULL, NULL, 0),
(111439, 246, 2041, 1, 1494799200, 0.5, 246, 1494918388, NULL, NULL, 0),
(111440, 147, 1435, 1, 1494799200, 1, 147, 1494918423, NULL, NULL, 0),
(111445, 199, 17967, 7, 1494885600, 0.1, 199, 1494921133, NULL, NULL, 0),
(111566, 164, 17251, 18, 1494799200, 0.5, 164, 1494942063, NULL, NULL, 0),
(111567, 164, 17251, 17, 1494799200, 0.2, 164, 1494942074, NULL, NULL, 0),
(111569, 164, 16588, 18, 1494799200, 0.3, 164, 1494942091, NULL, NULL, 0),
(111570, 164, 18735, 18, 1494885600, 0.6, 164, 1494942135, NULL, NULL, 0),
(111572, 164, 17251, 17, 1494885600, 0.2, 164, 1494942154, NULL, NULL, 0),
(111574, 164, 16588, 18, 1494885600, 0.2, 164, 1494942166, NULL, NULL, 0),
(111577, 169, 2, 1, 1495749600, 1, 169, 1494943030, NULL, NULL, 0),
(111639, 205, 17063, 6, 1494799200, 1, 205, 1494959819, NULL, NULL, 0),
(111640, 205, 17063, 6, 1494885600, 0.5, 205, 1494959835, NULL, NULL, 0),
(111641, 72, 2, 1, 1495404000, 1, 72, 1495000850, NULL, NULL, 0),
(111642, 72, 2, 1, 1495490400, 1, 72, 1495000850, NULL, NULL, 0),
(111643, 72, 2, 1, 1495576800, 1, 72, 1495000850, NULL, NULL, 0),
(111648, 246, 2041, 1, 1494885600, 0.2, 246, 1495005158, NULL, NULL, 0),
(111710, 246, 18488, 6, 1494972000, 1, 246, 1495035884, NULL, NULL, 0),
(111651, 164, 16588, 18, 1494972000, 0.5, 164, 1495006800, NULL, NULL, 0),
(111657, 199, 2, 1, 1496354400, 1, 199, 1495010554, NULL, NULL, 0),
(111682, 147, 1435, 1, 1494885600, 1, 147, 1495032921, NULL, NULL, 0),
(111683, 147, 1435, 1, 1494972000, 1, 147, 1495032928, NULL, NULL, 0),
(111701, 72, 23789, 1, 1494972000, 1, 72, 1495034196, NULL, NULL, 0),
(111700, 72, 23789, 1, 1494885600, 1, 72, 1495034180, NULL, NULL, 0),
(111709, 246, 18488, 6, 1494885600, 0.8, 246, 1495035841, NULL, NULL, 0),
(111711, 246, 2, 1, 1495404000, 1, 246, 1495035915, NULL, NULL, 0),
(111712, 246, 2, 1, 1495490400, 1, 246, 1495035929, NULL, NULL, 0),
(111713, 246, 2, 1, 1495576800, 1, 246, 1495035936, NULL, NULL, 0),
(111714, 246, 2, 1, 1495749600, 1, 246, 1495035941, NULL, NULL, 0),
(111715, 246, 2, 1, 1496008800, 1, 246, 1495035960, NULL, NULL, 0),
(111716, 246, 2, 1, 1496095200, 1, 246, 1495035965, NULL, NULL, 0),
(111717, 246, 2, 1, 1496181600, 1, 246, 1495035970, NULL, NULL, 0),
(111723, 198, 2, 1, 1495749600, 1, 198, 1495087957, NULL, NULL, 0),
(111724, 198, 2, 1, 1497477600, 0.5, 198, 1495088030, NULL, NULL, 0),
(111883, 72, 18998, 1, 1495058400, 0.2, 72, 1495104702, NULL, NULL, 0),
(111884, 72, 23789, 1, 1495058400, 0.8, 72, 1495104711, NULL, NULL, 0),
(111979, 199, 19106, 4, 1495058400, 0.25, 199, 1495171655, NULL, NULL, 0),
(111980, 199, 19106, 4, 1494972000, 0.3, 199, 1495171696, NULL, NULL, 0),
(111981, 199, 2089, 1, 1494885600, 0.25, 199, 1495171710, NULL, NULL, 0),
(111982, 199, 2089, 1, 1494972000, 0.25, 199, 1495171715, NULL, NULL, 0),
(111983, 199, 10749, 5, 1495058400, 0.75, 199, 1495171820, NULL, NULL, 0),
(111984, 199, 10398, 5, 1494972000, 0.4, 199, 1495171868, NULL, NULL, 0),
(111985, 199, 10398, 5, 1494972000, 0.05, 199, 1495171879, NULL, NULL, 0),
(111986, 199, 10398, 5, 1494885600, 0.25, 199, 1495171898, NULL, NULL, 0),
(111987, 199, 17967, 7, 1494885600, 0.25, 199, 1495171925, NULL, NULL, 0),
(111988, 199, 13774, 7, 1494885600, 0.05, 199, 1495171942, NULL, NULL, 0),
(111989, 199, 13774, 7, 1494885600, 0.1, 199, 1495171952, NULL, NULL, 0),
(111990, 72, 23789, 1, 1495144800, 1, 72, 1495173640, NULL, NULL, 0),
(113893, 217, 14013, 6, 1496181600, 0.7, 217, 1496305524, NULL, NULL, 0),
(113892, 217, 14013, 6, 1496095200, 1, 217, 1496305516, NULL, NULL, 0),
(113891, 217, 14013, 6, 1496008800, 1, 217, 1496305507, NULL, NULL, 0),
(113890, 217, 14013, 6, 1496268000, 1, 217, 1496305497, NULL, NULL, 0),
(112097, 2, 1437, 1, 1494885600, 0.4, 2, 1495184614, NULL, NULL, 0),
(112098, 2, 23789, 1, 1494885600, 0.6, 2, 1495184628, NULL, NULL, 0),
(112099, 164, 17251, 17, 1494972000, 0.3, 164, 1495184773, NULL, NULL, 0),
(112100, 164, 1435, 1, 1494972000, 0.2, 164, 1495184822, NULL, NULL, 0),
(112105, 164, 18998, 1, 1495058400, 0.25, 164, 1495185010, NULL, NULL, 0),
(112106, 164, 17251, 17, 1495058400, 0.25, 164, 1495185026, NULL, NULL, 0),
(112107, 164, 16588, 2, 1495058400, 0.5, 164, 1495185041, NULL, NULL, 0),
(112108, 164, 17251, 17, 1495144800, 0.5, 164, 1495185064, NULL, NULL, 0),
(112109, 164, 1435, 1, 1495144800, 0.5, 164, 1495185076, NULL, NULL, 0),
(112110, 157, 18489, 6, 1494972000, 0.5, 157, 1495185219, NULL, NULL, 0),
(112111, 157, 18755, 27, 1494972000, 0.5, 157, 1495185271, NULL, NULL, 0),
(112112, 157, 18489, 6, 1495058400, 1, 157, 1495185298, NULL, NULL, 0),
(112116, 157, 19114, 5, 1495144800, 0.5, 157, 1495185777, NULL, NULL, 0),
(112115, 157, 18489, 6, 1495144800, 0.5, 157, 1495185720, NULL, NULL, 0),
(112158, 371, 2, 1, 1501452000, 1, 371, 1495194634, NULL, NULL, 0),
(112159, 371, 2, 1, 1501538400, 1, 371, 1495194634, NULL, NULL, 0),
(112160, 371, 2, 1, 1501624800, 1, 371, 1495194634, NULL, NULL, 0),
(112161, 371, 2, 1, 1501711200, 1, 371, 1495194634, NULL, NULL, 0),
(112162, 371, 2, 1, 1501797600, 1, 371, 1495194635, NULL, NULL, 0),
(112163, 371, 2, 1, 1500415200, 1, 371, 1495194753, NULL, NULL, 0),
(112164, 371, 2, 1, 1500501600, 1, 371, 1495194753, NULL, NULL, 0),
(112165, 371, 2, 1, 1500588000, 1, 371, 1495194753, NULL, NULL, 0),
(112166, 371, 2, 1, 1502056800, 1, 371, 1495194809, NULL, NULL, 0),
(112167, 371, 2, 1, 1502143200, 1, 371, 1495194809, NULL, NULL, 0),
(112168, 371, 2, 1, 1502229600, 1, 371, 1495194809, NULL, NULL, 0),
(112169, 371, 2, 1, 1502316000, 1, 371, 1495194809, NULL, NULL, 0),
(112170, 371, 2, 1, 1502402400, 1, 371, 1495194809, NULL, NULL, 0),
(112260, 248, 2, 1, 1493762400, 1, 248, 1495203832, NULL, NULL, 0),
(112261, 248, 2, 1, 1494367200, 1, 248, 1495203845, NULL, NULL, 0),
(112262, 248, 2, 1, 1494972000, 1, 248, 1495203855, NULL, NULL, 0),
(112263, 248, 2, 1, 1495576800, 1, 248, 1495203864, NULL, NULL, 0),
(112264, 248, 2, 1, 1496181600, 1, 248, 1495203875, NULL, NULL, 0),
(112290, 147, 19081, 6, 1495144800, 0.5, 147, 1495206480, NULL, NULL, 0),
(112291, 147, 2, 1, 1495144800, 0.5, 147, 1495206492, NULL, NULL, 0),
(112296, 169, 18491, 5, 1494799200, 1, 169, 1495207054, NULL, NULL, 0),
(112297, 169, 10749, 5, 1494885600, 1, 169, 1495207156, NULL, NULL, 0),
(112298, 169, 10749, 5, 1494972000, 1, 169, 1495207173, NULL, NULL, 0),
(112299, 169, 10749, 5, 1495058400, 1, 169, 1495207191, NULL, NULL, 0),
(112300, 169, 10749, 6, 1495144800, 1, 169, 1495207263, NULL, NULL, 0),
(112358, 168, 17429, 5, 1494367200, 1, 168, 1495437570, NULL, NULL, 0),
(112359, 168, 17431, 5, 1494453600, 1, 168, 1495437673, NULL, NULL, 0),
(112360, 168, 17431, 5, 1494540000, 1, 168, 1495437691, NULL, NULL, 0),
(112362, 168, 17431, 5, 1494799200, 1, 168, 1495437810, NULL, NULL, 0),
(112363, 168, 17431, 5, 1494972000, 1, 168, 1495437831, NULL, NULL, 0),
(112364, 168, 17431, 5, 1495144800, 1, 168, 1495437873, NULL, NULL, 0),
(112365, 168, 17431, 5, 1495058400, 1, 168, 1495437860, NULL, NULL, 0),
(112366, 168, 2, 1, 1495663200, 1, 168, 1495437912, NULL, NULL, 0),
(112367, 168, 2, 1, 1495749600, 1, 168, 1495437917, NULL, NULL, 0),
(112417, 164, 18735, 18, 1495404000, 0.5, 164, 1495445155, NULL, NULL, 0),
(112468, 164, 19116, 5, 1495404000, 0.25, 164, 1495459485, NULL, NULL, 0),
(112469, 164, 19117, 5, 1495404000, 0.25, 164, 1495459511, NULL, NULL, 0),
(112485, 205, 17063, 6, 1495144800, 1, 205, 1495461175, NULL, NULL, 0),
(112486, 205, 17063, 6, 1494972000, 1, 205, 1495461183, NULL, NULL, 0),
(112487, 205, 17063, 7, 1495404000, 0.5, 205, 1495461207, NULL, NULL, 0),
(112495, 2, 19118, 5, 1495404000, 0.3, 2, 1495464595, NULL, NULL, 0),
(112496, 2, 23789, 1, 1495404000, 0.7, 2, 1495464615, NULL, NULL, 0),
(112541, 345, 18270, 1, 1494799200, 1, 345, 1495520903, NULL, NULL, 0),
(112542, 345, 18270, 1, 1494885600, 1, 345, 1495520925, NULL, NULL, 0),
(112543, 345, 18268, 1, 1494972000, 1, 345, 1495520944, NULL, NULL, 0),
(112544, 345, 18269, 1, 1495058400, 0.7, 345, 1495520960, NULL, NULL, 0),
(112545, 345, 18271, 1, 1495058400, 0.3, 345, 1495520969, NULL, NULL, 0),
(112546, 345, 18271, 1, 1495144800, 1, 345, 1495520983, NULL, NULL, 0),
(112547, 217, 14013, 6, 1494972000, 0.7, 217, 1495521318, NULL, NULL, 0),
(112548, 217, 14013, 6, 1495058400, 1, 217, 1495521150, NULL, NULL, 0),
(112549, 217, 14013, 6, 1495144800, 1, 217, 1495521158, NULL, NULL, 0),
(112552, 217, 14013, 6, 1495404000, 1, 217, 1495521221, NULL, NULL, 0),
(112553, 217, 14013, 6, 1495490400, 0.5, 217, 1495549188, NULL, NULL, 0),
(112554, 217, 14013, 6, 1494453600, 1, 217, 1495521260, NULL, NULL, 0),
(112555, 217, 14013, 6, 1494540000, 1, 217, 1495521277, NULL, NULL, 0),
(112556, 217, 11112, 27, 1494972000, 0.3, 217, 1495521306, NULL, NULL, 0),
(112557, 217, 11112, 27, 1495576800, 0.3, 217, 1495521348, NULL, NULL, 0),
(112558, 217, 14013, 6, 1495576800, 0.7, 217, 1495521381, NULL, NULL, 0),
(112559, 157, 18489, 6, 1495404000, 1, 157, 1495521600, NULL, NULL, 0),
(112670, 164, 17251, 18, 1495490400, 0.5, 164, 1495547384, NULL, NULL, 0),
(112680, 217, 16922, 4, 1495490400, 0.5, 217, 1495549174, NULL, NULL, 0),
(112691, 2, 23789, 1, 1495490400, 1, 2, 1495552033, NULL, NULL, 0),
(112748, 322, 2, 1, 1503871200, 1, 322, 1495614634, NULL, NULL, 0),
(112749, 322, 2, 1, 1503957600, 1, 322, 1495614634, NULL, NULL, 0),
(112750, 322, 2, 1, 1504044000, 1, 322, 1495614634, NULL, NULL, 0),
(112751, 322, 2, 1, 1504130400, 1, 322, 1495614634, NULL, NULL, 0),
(112752, 322, 2, 1, 1504216800, 1, 322, 1495614634, NULL, NULL, 0),
(112753, 322, 2, 1, 1504476000, 1, 322, 1495614634, NULL, NULL, 0),
(112754, 322, 2, 1, 1504562400, 1, 322, 1495614634, NULL, NULL, 0),
(112755, 322, 2, 1, 1504648800, 1, 322, 1495614634, NULL, NULL, 0),
(112756, 322, 2, 1, 1504735200, 1, 322, 1495614634, NULL, NULL, 0),
(112757, 322, 2, 1, 1504821600, 1, 322, 1495614634, NULL, NULL, 0),
(112758, 322, 2, 1, 1499205600, 1, 322, 1495614708, NULL, NULL, 0),
(112760, 322, 1, 1, 1505080800, 1, 322, 1495614831, NULL, NULL, 0),
(112761, 322, 1, 1, 1505167200, 1, 322, 1495614831, NULL, NULL, 0),
(112762, 322, 1, 1, 1505253600, 1, 322, 1495614831, NULL, NULL, 0),
(112763, 322, 1, 1, 1505340000, 1, 322, 1495614831, NULL, NULL, 0),
(112764, 322, 1, 1, 1505426400, 1, 322, 1495614831, NULL, NULL, 0),
(112765, 322, 1, 1, 1505685600, 1, 322, 1495614831, NULL, NULL, 0),
(112766, 322, 1, 1, 1505772000, 1, 322, 1495614831, NULL, NULL, 0),
(112767, 322, 1, 1, 1505858400, 1, 322, 1495614831, NULL, NULL, 0),
(112768, 322, 1, 1, 1505944800, 1, 322, 1495614832, NULL, NULL, 0),
(112769, 322, 1, 1, 1506031200, 1, 322, 1495614832, NULL, NULL, 0),
(112786, 164, 1435, 1, 1495490400, 0.5, 164, 1495618360, NULL, NULL, 0),
(112787, 164, 16588, 18, 1495576800, 0.5, 164, 1495618397, NULL, NULL, 0),
(112788, 164, 17251, 17, 1495576800, 0.5, 164, 1495618410, NULL, NULL, 0),
(112793, 147, 19081, 6, 1495576800, 0.5, 147, 1495620612, NULL, NULL, 0),
(112795, 147, 19081, 6, 1495490400, 1, 147, 1495620628, NULL, NULL, 0),
(112796, 147, 19081, 6, 1495404000, 1, 147, 1495620646, NULL, NULL, 0),
(112798, 205, 18287, 4, 1495490400, 0.5, 205, 1495628785, NULL, NULL, 0),
(112799, 205, 18287, 4, 1495576800, 0.5, 205, 1495628800, NULL, NULL, 0),
(112800, 205, 14013, 6, 1495576800, 0.5, 205, 1495629008, NULL, NULL, 0),
(112802, 205, 14014, 2, 1495404000, 0.5, 205, 1495629093, NULL, NULL, 0),
(112803, 205, 14014, 2, 1495490400, 0.5, 205, 1495629100, NULL, NULL, 0),
(112834, 83, 2, 1, 1507845600, 1, 83, 1495636225, NULL, NULL, 0),
(112835, 83, 2, 1, 1508104800, 1, 83, 1495636225, NULL, NULL, 0),
(112836, 83, 2, 1, 1513897200, 1, 83, 1495636284, NULL, NULL, 0),
(112837, 83, 2, 1, 1514847600, 1, 83, 1495636350, NULL, NULL, 0),
(112838, 83, 2, 1, 1514934000, 1, 83, 1495636350, NULL, NULL, 0),
(112839, 83, 2, 1, 1515020400, 1, 83, 1495636350, NULL, NULL, 0),
(112840, 83, 2, 1, 1515106800, 1, 83, 1495636350, NULL, NULL, 0),
(112841, 83, 10858, 1, 1495404000, 0.5, 83, 1495636498, NULL, NULL, 0),
(118155, 164, 1, 1, 1498687200, 1, 164, 1498465667, NULL, NULL, 0),
(118154, 164, 1, 1, 1498600800, 1, 164, 1498465659, NULL, NULL, 0),
(118160, 2, 23789, 1, 1496700000, 1, 2, 1498466650, NULL, NULL, 0),
(118157, 164, 18735, 17, 1498428000, 0.6, 164, 1498489858, NULL, NULL, 0),
(112969, 2, 23789, 1, 1495576800, 1, 2, 1496013082, NULL, NULL, 0),
(113011, 199, 19106, 5, 1495404000, 0.5, 199, 1496040386, NULL, NULL, 0),
(112971, 157, 18755, 27, 1495490400, 0.5, 157, 1496037930, NULL, NULL, 0),
(112972, 157, 18489, 6, 1495490400, 0.5, 157, 1496037955, NULL, NULL, 0),
(112973, 157, 18489, 6, 1495576800, 1, 157, 1496037968, NULL, NULL, 0),
(112975, 199, 2, 1, 1495663200, 1, 199, 1496038048, NULL, NULL, 0),
(113012, 199, 19115, 7, 1495576800, 0.25, 199, 1496040414, NULL, NULL, 0),
(113019, 199, 10749, 5, 1495576800, 0.5, 199, 1496040667, NULL, NULL, 0),
(113020, 199, 10749, 5, 1495490400, 0.5, 199, 1496040683, NULL, NULL, 0),
(113035, 199, 19196, 5, 1495490400, 0.5, 199, 1496041456, NULL, NULL, 0),
(113036, 199, 10749, 5, 1495404000, 0.5, 199, 1496041476, NULL, NULL, 0),
(113038, 199, 10749, 5, 1495576800, 0.25, 199, 1496041489, NULL, NULL, 0),
(113141, 345, 10858, 1, 1495490400, 0.6, 345, 1496046767, NULL, NULL, 0),
(113142, 345, 18269, 1, 1495490400, 0.4, 345, 1496046804, NULL, NULL, 0),
(113144, 345, 18270, 1, 1495576800, 1, 345, 1496046846, NULL, NULL, 0),
(113218, 72, 23789, 1, 1496008800, 1, 72, 1496051996, NULL, NULL, 0),
(113225, 322, 2, 1, 1496354400, 0.5, 322, 1496052973, NULL, NULL, 0),
(113235, 169, 10749, 6, 1495404000, 1, 169, 1496060032, NULL, NULL, 0),
(113236, 169, 10749, 6, 1495490400, 1, 169, 1496060078, NULL, NULL, 0),
(113237, 169, 10749, 6, 1495576800, 1, 169, 1496060086, NULL, NULL, 0),
(113347, 164, 16588, 17, 1496008800, 0.25, 164, 1496067932, NULL, NULL, 0),
(113348, 164, 17251, 17, 1496008800, 0.25, 164, 1496067952, NULL, NULL, 0),
(113350, 164, 16588, 18, 1496008800, 0.5, 164, 1496067969, NULL, NULL, 0),
(113359, 147, 19081, 6, 1496008800, 1, 147, 1496069122, NULL, NULL, 0),
(113362, 2, 1435, 1, 1496008800, 0.5, 2, 1496070981, NULL, NULL, 0),
(113363, 2, 23789, 1, 1496008800, 0.5, 2, 1496070965, NULL, NULL, 0),
(113382, 72, 2, 1, 1497218400, 1, 72, 1496129478, NULL, NULL, 0),
(113445, 157, 18489, 6, 1496008800, 0.5, 157, 1496137088, NULL, NULL, 0),
(113447, 157, 18755, 4, 1496008800, 0.5, 157, 1496137121, NULL, NULL, 0),
(113468, 56, 1, 1, 1485126000, 1, 9, 1496138241, NULL, NULL, 0),
(113469, 56, 1, 1, 1484866800, 0.5, 9, 1496138292, NULL, NULL, 0),
(113513, 56, 1, 1, 1487804400, 1, 9, 1496139697, NULL, NULL, 0),
(113608, 158, 1041, 1, 1496181600, 1, 2, 1496215933, NULL, NULL, 0),
(113609, 158, 1041, 1, 1496268000, 1, 2, 1496215933, NULL, NULL, 0),
(113610, 158, 1041, 1, 1496354400, 1, 2, 1496215933, NULL, NULL, 0),
(113611, 158, 1041, 1, 1496700000, 1, 2, 1496215933, NULL, NULL, 0),
(113612, 158, 1041, 1, 1496786400, 1, 2, 1496215933, NULL, NULL, 0),
(113613, 158, 1041, 1, 1496872800, 1, 2, 1496215933, NULL, NULL, 0),
(113614, 158, 1041, 1, 1496959200, 1, 2, 1496215933, NULL, NULL, 0),
(113615, 158, 1041, 1, 1497218400, 1, 2, 1496215933, NULL, NULL, 0),
(113616, 158, 1041, 1, 1497304800, 1, 2, 1496215933, NULL, NULL, 0),
(113618, 205, 14013, 6, 1496008800, 1, 205, 1496217423, NULL, NULL, 0),
(113620, 205, 14013, 6, 1496095200, 1, 205, 1496217442, NULL, NULL, 0),
(113750, 72, 23789, 1, 1496095200, 1, 72, 1496295171, NULL, NULL, 0),
(113751, 72, 23789, 1, 1496181600, 1, 72, 1496295177, NULL, NULL, 0),
(113753, 157, 18755, 4, 1496095200, 0.5, 157, 1496298041, NULL, NULL, 0),
(113754, 157, 18755, 4, 1496181600, 0.5, 157, 1496298065, NULL, NULL, 0),
(113755, 157, 18489, 6, 1496095200, 0.5, 157, 1496298083, NULL, NULL, 0),
(113756, 157, 18489, 6, 1496181600, 0.5, 157, 1496298096, NULL, NULL, 0),
(113895, 217, 14013, 6, 1496354400, 1, 217, 1496305533, NULL, NULL, 0),
(113896, 217, 11112, 27, 1496181600, 0.3, 217, 1496305565, NULL, NULL, 0),
(113915, 199, 18491, 6, 1496268000, 0.25, 199, 1496306745, NULL, NULL, 0),
(113916, 199, 18491, 5, 1496181600, 0.25, 199, 1496306771, NULL, NULL, 0),
(114015, 2, 17401, 18, 1496268000, 0.5, 2, 1496323588, NULL, NULL, 0),
(114016, 2, 1435, 1, 1496181600, 0.5, 2, 1496323623, NULL, NULL, 0),
(114017, 2, 23789, 1, 1496095200, 1, 2, 1496323632, NULL, NULL, 0),
(114018, 2, 23789, 1, 1496181600, 0.5, 2, 1496323671, NULL, NULL, 0),
(114019, 2, 23789, 1, 1496268000, 0.5, 2, 1496323694, NULL, NULL, 0),
(114020, 164, 17251, 17, 1496095200, 0.5, 164, 1496324305, NULL, NULL, 0),
(114021, 164, 16588, 18, 1496268000, 0.5, 164, 1496324320, NULL, NULL, 0),
(114022, 164, 17251, 17, 1496181600, 0.25, 164, 1496324333, NULL, NULL, 0),
(114023, 164, 1435, 1, 1496095200, 0.5, 164, 1496324364, NULL, NULL, 0),
(114024, 164, 1435, 1, 1496181600, 0.75, 164, 1496324373, NULL, NULL, 0),
(114025, 164, 1435, 1, 1496268000, 0.5, 164, 1496324384, NULL, NULL, 0),
(115547, 164, 1041, 1, 1497218400, 1, 2, 1497267131, NULL, NULL, 0),
(114092, 322, 14791, 5, 1496354400, 0.5, 322, 1496387045, NULL, NULL, 0),
(114094, 322, 14791, 5, 1496268000, 1, 322, 1496387121, NULL, NULL, 0),
(114099, 322, 14791, 5, 1496181600, 1, 322, 1496387279, NULL, NULL, 0),
(114101, 322, 14791, 5, 1496095200, 1, 322, 1496387344, NULL, NULL, 0),
(114102, 322, 14791, 5, 1496008800, 1, 322, 1496387458, NULL, NULL, 0),
(114105, 322, 14791, 5, 1495404000, 1, 322, 1496387724, NULL, NULL, 0),
(114106, 322, 14791, 5, 1495490400, 1, 322, 1496387734, NULL, NULL, 0),
(114107, 322, 14791, 5, 1495576800, 1, 322, 1496387746, NULL, NULL, 0),
(114126, 169, 10749, 6, 1496008800, 1, 169, 1496390807, NULL, NULL, 0),
(114127, 169, 10749, 6, 1496095200, 1, 169, 1496390869, NULL, NULL, 0),
(114128, 169, 10749, 6, 1496181600, 1, 169, 1496390877, NULL, NULL, 0),
(114129, 169, 10749, 6, 1496268000, 1, 169, 1496390886, NULL, NULL, 0),
(114130, 169, 10749, 6, 1496354400, 1, 169, 1496390897, NULL, NULL, 0),
(114143, 157, 18755, 4, 1496268000, 0.5, 157, 1496394712, NULL, NULL, 0),
(114144, 157, 18755, 4, 1496354400, 1, 157, 1496394731, NULL, NULL, 0),
(114145, 157, 18489, 6, 1496268000, 0.5, 157, 1496394751, NULL, NULL, 0),
(114152, 72, 1435, 1, 1496268000, 1, 72, 1496395918, NULL, NULL, 0),
(114153, 72, 1435, 1, 1496354400, 0.2, 72, 1496395940, NULL, NULL, 0),
(114154, 72, 23789, 1, 1496354400, 0.8, 72, 1496395946, NULL, NULL, 0),
(114159, 164, 17251, 17, 1496354400, 0.2, 164, 1496396579, NULL, NULL, 0),
(114160, 164, 18735, 18, 1496354400, 0.3, 164, 1496396606, NULL, NULL, 0),
(114161, 164, 1435, 1, 1496354400, 0.5, 164, 1496396620, NULL, NULL, 0),
(114203, 168, 17430, 5, 1495404000, 1, 168, 1496405229, NULL, NULL, 0),
(114204, 168, 17430, 5, 1495490400, 1, 168, 1496405252, NULL, NULL, 0),
(114205, 168, 17430, 5, 1495576800, 1, 168, 1496405270, NULL, NULL, 0),
(114206, 168, 17430, 5, 1496008800, 1, 168, 1496405294, NULL, NULL, 0),
(114207, 168, 17430, 5, 1496095200, 1, 168, 1496405308, NULL, NULL, 0),
(114209, 168, 17430, 5, 1496181600, 1, 168, 1496405332, NULL, NULL, 0),
(114210, 168, 17430, 5, 1496268000, 1, 168, 1496405345, NULL, NULL, 0),
(114211, 168, 17430, 5, 1496354400, 1, 168, 1496405360, NULL, NULL, 0),
(114214, 74, 18287, 4, 1496008800, 1, 74, 1496408356, NULL, NULL, 0),
(114215, 74, 18287, 4, 1496095200, 0.5, 74, 1496408374, NULL, NULL, 0),
(114216, 74, 17427, 2, 1496181600, 1, 74, 1496408600, NULL, NULL, 0),
(114217, 74, 17427, 2, 1496268000, 0.5, 74, 1496408607, NULL, NULL, 0),
(114218, 74, 17427, 2, 1496354400, 1, 74, 1496408614, NULL, NULL, 0),
(114223, 2, 17401, 18, 1496354400, 0.6, 2, 1496412347, NULL, NULL, 0),
(114224, 2, 23789, 1, 1496354400, 0.4, 2, 1496413971, NULL, NULL, 0),
(114295, 199, 1041, 1, 1496700000, 1, 72, 1496732248, NULL, NULL, 0),
(114296, 199, 1041, 1, 1496786400, 1, 72, 1496732248, NULL, NULL, 0),
(114297, 199, 1041, 1, 1496872800, 1, 72, 1496732248, NULL, NULL, 0),
(114391, 371, 2, 1, 1496354400, 1, 371, 1496739742, NULL, NULL, 0),
(114453, 371, 2, 1, 1499724000, 1, 371, 1496752955, NULL, NULL, 0),
(114454, 371, 2, 1, 1499810400, 1, 371, 1496752955, NULL, NULL, 0),
(114455, 371, 2, 1, 1499896800, 1, 371, 1496752955, NULL, NULL, 0),
(114456, 371, 2, 1, 1500242400, 1, 371, 1496752955, NULL, NULL, 0),
(114457, 371, 2, 1, 1500328800, 1, 371, 1496752955, NULL, NULL, 0),
(114458, 371, 2, 1, 1514242800, 1, 371, 1496753005, NULL, NULL, 0),
(114459, 371, 2, 1, 1514329200, 1, 371, 1496753005, NULL, NULL, 0),
(114460, 371, 2, 1, 1514415600, 1, 371, 1496753005, NULL, NULL, 0),
(114461, 371, 2, 1, 1514502000, 1, 371, 1496753005, NULL, NULL, 0),
(114463, 371, 2, 1, 1499637600, 1, 371, 1496753108, NULL, NULL, 0),
(114477, 248, 2, 1, 1496786400, 1, 248, 1496754691, NULL, NULL, 0),
(114478, 248, 2, 1, 1497391200, 1, 248, 1496754720, NULL, NULL, 0),
(114479, 248, 2, 1, 1497996000, 1, 248, 1496754742, NULL, NULL, 0),
(114480, 248, 2, 1, 1498600800, 1, 248, 1496754749, NULL, NULL, 0),
(114500, 164, 19331, 18, 1496700000, 0.5, 164, 1496757230, NULL, NULL, 0),
(114501, 164, 17251, 17, 1496700000, 0.5, 164, 1496757249, NULL, NULL, 0),
(114509, 157, 18755, 4, 1496700000, 1, 157, 1496759130, NULL, NULL, 0),
(119585, 83, 1, 1, 1497564000, 0.5, 83, 1499067518, NULL, NULL, 0),
(114581, 83, 10858, 1, 1496268000, 0.5, 83, 1496768586, NULL, NULL, 0),
(114582, 83, 10858, 1, 1496700000, 0.5, 83, 1496768586, NULL, NULL, 0),
(114583, 83, 10858, 1, 1496786400, 0.5, 83, 1496768586, NULL, NULL, 0),
(114584, 83, 10858, 1, 1496872800, 0.5, 83, 1496768586, NULL, NULL, 0),
(114585, 83, 10858, 1, 1496959200, 0.5, 83, 1496768586, NULL, NULL, 0),
(114586, 83, 10858, 1, 1497218400, 0.5, 83, 1496768586, NULL, NULL, 0),
(114587, 83, 10858, 1, 1497304800, 0.5, 83, 1496768586, NULL, NULL, 0),
(114588, 83, 10858, 1, 1497391200, 0.5, 83, 1496768586, NULL, NULL, 0),
(114589, 83, 10858, 1, 1497477600, 0.5, 83, 1496768586, NULL, NULL, 0),
(114590, 83, 10858, 1, 1497564000, 0.5, 83, 1496768586, NULL, NULL, 0),
(114591, 83, 10858, 1, 1497823200, 0.5, 83, 1496768586, NULL, NULL, 0),
(114592, 83, 10858, 1, 1497909600, 0.5, 83, 1496768586, NULL, NULL, 0),
(114593, 83, 10858, 1, 1497996000, 0.5, 83, 1496768586, NULL, NULL, 0),
(114594, 83, 10858, 1, 1498082400, 0.5, 83, 1496768586, NULL, NULL, 0),
(115710, 72, 2, 1, 1497477600, 0.5, 72, 1497342173, NULL, NULL, 0),
(114596, 83, 10858, 1, 1498428000, 0.5, 83, 1496768586, NULL, NULL, 0),
(114597, 83, 10858, 1, 1498514400, 0.5, 83, 1496768586, NULL, NULL, 0),
(114599, 83, 10858, 1, 1498687200, 0.5, 83, 1496768586, NULL, NULL, 0),
(114600, 83, 10858, 1, 1498773600, 0.5, 83, 1496768586, NULL, NULL, 0),
(114601, 345, 2, 1, 1495749600, 1, 345, 1496815059, NULL, NULL, 0),
(114602, 345, 10858, 1, 1496008800, 1, 345, 1496815094, NULL, NULL, 0),
(114603, 345, 18268, 1, 1496095200, 1, 345, 1496815114, NULL, NULL, 0),
(114604, 345, 18268, 1, 1496181600, 1, 345, 1496815121, NULL, NULL, 0),
(114605, 345, 18271, 1, 1496268000, 1, 345, 1496815135, NULL, NULL, 0),
(114606, 345, 18271, 1, 1496354400, 1, 345, 1496815142, NULL, NULL, 0),
(114608, 345, 18268, 1, 1496700000, 1, 345, 1496815173, NULL, NULL, 0),
(114611, 168, 17430, 5, 1496700000, 1, 168, 1496819549, NULL, NULL, 0),
(114620, 246, 16516, 5, 1496700000, 0.5, 246, 1496820629, NULL, NULL, 0),
(114621, 246, 18488, 4, 1496700000, 0.5, 246, 1496820708, NULL, NULL, 0),
(114631, 205, 14013, 6, 1496268000, 1, 205, 1496821491, NULL, NULL, 0),
(114630, 205, 14013, 6, 1496181600, 1, 205, 1496821469, NULL, NULL, 0),
(114633, 205, 14013, 6, 1496700000, 1, 205, 1496821673, NULL, NULL, 0),
(114632, 205, 14013, 6, 1496354400, 1, 205, 1496821501, NULL, NULL, 0),
(114760, 157, 18489, 6, 1496786400, 0.5, 157, 1496842836, NULL, NULL, 0),
(114761, 157, 18755, 4, 1496786400, 0.5, 157, 1496842860, NULL, NULL, 0),
(114801, 168, 1, 1, 1496872800, 1, 168, 1496846620, NULL, NULL, 0),
(114873, 246, 18488, 4, 1496786400, 1, 246, 1496905750, NULL, NULL, 0),
(114945, 248, 2, 1, 1498168800, 0.5, 248, 1496909761, NULL, NULL, 0),
(115964, 246, 18442, 4, 1497304800, 0.3, 246, 1497423720, NULL, NULL, 0),
(115210, 72, 19386, 7, 1496700000, 0.5, 72, 1496985787, NULL, NULL, 0),
(115211, 72, 19386, 7, 1496872800, 0.4, 72, 1496985806, NULL, NULL, 0),
(115212, 72, 1435, 1, 1496872800, 0.5, 72, 1496985918, NULL, NULL, 0),
(115213, 72, 1435, 1, 1496700000, 0.5, 72, 1496985844, NULL, NULL, 0),
(115214, 72, 23789, 1, 1496786400, 1, 72, 1496985857, NULL, NULL, 0),
(115215, 72, 19386, 7, 1496959200, 0.4, 72, 1496985888, NULL, NULL, 0),
(115216, 72, 23789, 1, 1496959200, 0.6, 72, 1496985898, NULL, NULL, 0),
(115217, 72, 19341, 4, 1496872800, 0.1, 72, 1496985955, NULL, NULL, 0),
(115218, 199, 1041, 1, 1497218400, 1, 72, 1496986682, NULL, NULL, 0),
(115219, 199, 1041, 1, 1497304800, 1, 72, 1496986682, NULL, NULL, 0),
(115220, 199, 1041, 1, 1497391200, 1, 72, 1496986682, NULL, NULL, 0),
(115221, 199, 1041, 1, 1497477600, 1, 72, 1496986682, NULL, NULL, 0),
(115222, 199, 1041, 1, 1497564000, 1, 72, 1496986682, NULL, NULL, 0),
(115321, 157, 1, 1, 1496872800, 0.5, 157, 1497007830, NULL, NULL, 0),
(115225, 157, 1, 1, 1497304800, 0.5, 157, 1496986795, NULL, NULL, 0),
(115320, 157, 17730, 4, 1496872800, 0.5, 157, 1497007782, NULL, NULL, 0),
(115234, 164, 17251, 17, 1496872800, 0.4, 164, 1496992311, NULL, NULL, 0),
(115235, 164, 19331, 18, 1496872800, 0.5, 164, 1496992325, NULL, NULL, 0),
(115236, 164, 1435, 1, 1496872800, 0.1, 164, 1496992359, NULL, NULL, 0),
(115237, 164, 17251, 17, 1496959200, 0.25, 164, 1496992370, NULL, NULL, 0),
(115238, 164, 16588, 18, 1496959200, 0.5, 164, 1496992398, NULL, NULL, 0),
(115240, 164, 1435, 1, 1496959200, 0.25, 164, 1496992486, NULL, NULL, 0),
(115319, 157, 17730, 4, 1496959200, 0.75, 157, 1497007758, NULL, NULL, 0),
(115322, 157, 1, 1, 1496959200, 0.25, 157, 1497007836, NULL, NULL, 0),
(115323, 74, 18287, 4, 1496700000, 0.5, 74, 1497009947, NULL, NULL, 0),
(115326, 74, 14014, 6, 1496700000, 0.5, 74, 1497010075, NULL, NULL, 0),
(115327, 74, 14014, 6, 1496786400, 1, 74, 1497010088, NULL, NULL, 0),
(115328, 74, 14014, 6, 1496959200, 1, 74, 1497010098, NULL, NULL, 0),
(115445, 322, 14791, 5, 1496959200, 1, 322, 1497252060, NULL, NULL, 0),
(115425, 169, 10749, 6, 1496700000, 1, 169, 1497024747, NULL, NULL, 0),
(115426, 169, 10749, 6, 1496786400, 1, 169, 1497024762, NULL, NULL, 0),
(115427, 169, 10749, 6, 1496872800, 1, 169, 1497024781, NULL, NULL, 0),
(115428, 169, 10749, 6, 1496959200, 1, 169, 1497024790, NULL, NULL, 0),
(115442, 322, 14791, 5, 1496700000, 1, 322, 1497252007, NULL, NULL, 0),
(115443, 322, 14791, 5, 1496786400, 1, 322, 1497252024, NULL, NULL, 0),
(115444, 322, 14791, 5, 1496872800, 1, 322, 1497252044, NULL, NULL, 0),
(115476, 74, 1, 1, 1497304800, 0.5, 74, 1497253503, NULL, NULL, 0),
(115512, 168, 17429, 5, 1496959200, 1, 168, 1497254695, NULL, NULL, 0),
(115511, 168, 17429, 5, 1496786400, 1, 168, 1497254684, NULL, NULL, 0),
(115514, 168, 17429, 5, 1497218400, 0.5, 168, 1497254747, NULL, NULL, 0),
(115515, 168, 1, 1, 1497218400, 0.5, 168, 1497254765, NULL, NULL, 0),
(115548, 164, 1041, 1, 1497304800, 1, 2, 1497267131, NULL, NULL, 0),
(115549, 164, 1041, 1, 1497391200, 1, 2, 1497267131, NULL, NULL, 0),
(115647, 370, 2, 1, 1497304800, 1, 370, 1497281946, NULL, NULL, 0),
(115648, 370, 2, 1, 1501797600, 1, 370, 1497281995, NULL, NULL, 0),
(115649, 370, 2, 1, 1502056800, 1, 370, 1497281995, NULL, NULL, 0),
(115650, 370, 2, 1, 1502143200, 1, 370, 1497281995, NULL, NULL, 0),
(115651, 370, 2, 1, 1502229600, 1, 370, 1497281995, NULL, NULL, 0),
(115652, 370, 2, 1, 1502316000, 1, 370, 1497281995, NULL, NULL, 0),
(115653, 370, 2, 1, 1502402400, 1, 370, 1497281995, NULL, NULL, 0),
(115654, 370, 2, 1, 1502661600, 1, 370, 1497281995, NULL, NULL, 0),
(115655, 370, 2, 1, 1502834400, 1, 370, 1497281995, NULL, NULL, 0),
(115656, 370, 2, 1, 1502920800, 1, 370, 1497281995, NULL, NULL, 0),
(115657, 370, 2, 1, 1503007200, 1, 370, 1497281995, NULL, NULL, 0),
(115658, 370, 2, 1, 1503266400, 1, 370, 1497281995, NULL, NULL, 0),
(115659, 370, 2, 1, 1503352800, 1, 370, 1497281995, NULL, NULL, 0),
(115660, 370, 2, 1, 1503439200, 1, 370, 1497281995, NULL, NULL, 0),
(115661, 370, 2, 1, 1503525600, 1, 370, 1497281995, NULL, NULL, 0),
(115662, 370, 2, 1, 1503612000, 1, 370, 1497281995, NULL, NULL, 0),
(115681, 246, 19370, 4, 1497218400, 1, 246, 1497338239, NULL, NULL, 0),
(115707, 83, 2, 1, 1498168800, 1, 83, 1497341963, NULL, NULL, 0),
(115708, 83, 2, 1, 1498600800, 1, 83, 1497341973, NULL, NULL, 0),
(115740, 168, 17429, 5, 1497304800, 1, 168, 1497346356, NULL, NULL, 0),
(115741, 217, 14013, 6, 1497304800, 1, 217, 1497430338, NULL, NULL, 0),
(115742, 217, 14013, 6, 1497218400, 1, 217, 1497346573, NULL, NULL, 0),
(115743, 217, 14013, 6, 1496700000, 1, 217, 1497346609, NULL, NULL, 0),
(115744, 217, 14013, 6, 1496786400, 0.7, 217, 1497346621, NULL, NULL, 0),
(115745, 217, 14013, 6, 1496872800, 1, 217, 1497346631, NULL, NULL, 0),
(115746, 217, 14013, 6, 1496959200, 0.8, 217, 1497346643, NULL, NULL, 0),
(115747, 217, 11112, 27, 1496786400, 0.3, 217, 1497346665, NULL, NULL, 0),
(115748, 217, 11112, 27, 1496959200, 0.2, 217, 1497346675, NULL, NULL, 0),
(116047, 217, 14013, 6, 1497477600, 1, 217, 1497430351, NULL, NULL, 0),
(115753, 2, 23789, 1, 1497218400, 0.5, 2, 1497347499, NULL, NULL, 0),
(115754, 2, 19428, 1, 1497218400, 0.25, 2, 1497347528, NULL, NULL, 0),
(115755, 2, 19386, 7, 1497218400, 0.1, 2, 1497347609, NULL, NULL, 0),
(115761, 205, 14013, 6, 1497304800, 0.5, 205, 1497349529, NULL, NULL, 0),
(115762, 205, 10749, 5, 1497304800, 0.5, 205, 1497349560, NULL, NULL, 0),
(115763, 205, 14013, 6, 1497218400, 0.25, 205, 1497349581, NULL, NULL, 0),
(115764, 205, 10749, 5, 1497218400, 0.5, 205, 1497349591, NULL, NULL, 0),
(115765, 205, 23789, 1, 1497218400, 0.25, 205, 1497349625, NULL, NULL, 0),
(115766, 205, 14013, 6, 1496786400, 1, 205, 1497349705, NULL, NULL, 0),
(115767, 205, 10749, 5, 1496872800, 1, 205, 1497349723, NULL, NULL, 0),
(115768, 205, 14013, 6, 1496959200, 1, 205, 1497349731, NULL, NULL, 0),
(115917, 246, 19423, 5, 1497304800, 0.1, 246, 1497365857, NULL, NULL, 0),
(115918, 246, 19422, 5, 1497304800, 0.3, 246, 1497365879, NULL, NULL, 0),
(115919, 246, 19425, 4, 1497304800, 0.3, 246, 1497365923, NULL, NULL, 0),
(115935, 72, 23789, 1, 1497304800, 1, 72, 1497420897, NULL, NULL, 0),
(115942, 74, 16071, 2, 1497218400, 0.5, 74, 1497422760, NULL, NULL, 0),
(115943, 74, 14014, 6, 1497218400, 0.5, 74, 1497422781, NULL, NULL, 0),
(115944, 74, 14014, 6, 1497304800, 0.5, 74, 1497422794, NULL, NULL, 0),
(115945, 74, 14014, 6, 1497391200, 1, 74, 1497422807, NULL, NULL, 0),
(116038, 168, 17429, 5, 1497391200, 1, 168, 1497429732, NULL, NULL, 0),
(116039, 168, 1, 1, 1497477600, 1, 168, 1497429759, NULL, NULL, 0),
(116045, 217, 11112, 27, 1497391200, 0.3, 217, 1497430308, NULL, NULL, 0),
(116046, 217, 14013, 6, 1497391200, 0.7, 217, 1497430319, NULL, NULL, 0),
(116048, 217, 14013, 6, 1497564000, 1, 217, 1497430363, NULL, NULL, 0),
(116117, 157, 17730, 5, 1497391200, 1, 157, 1497450215, NULL, NULL, 0),
(116118, 157, 17730, 4, 1497218400, 0.5, 157, 1497450239, NULL, NULL, 0),
(116120, 157, 18755, 7, 1497218400, 0.5, 157, 1497450271, NULL, NULL, 0),
(116121, 157, 18755, 7, 1497304800, 0.5, 157, 1497450290, NULL, NULL, 0),
(116126, 72, 23789, 1, 1497391200, 1, 72, 1497451952, NULL, NULL, 0),
(116871, 72, 23789, 1, 1497823200, 0.5, 72, 1497940406, NULL, NULL, 0),
(116424, 2, 17251, 17, 1497391200, 0.75, 2, 1497543283, NULL, NULL, 0),
(116425, 2, 23789, 1, 1497391200, 0.25, 2, 1497543295, NULL, NULL, 0),
(116426, 2, 23789, 1, 1497477600, 0.5, 2, 1497543305, NULL, NULL, 0),
(116431, 2, 19428, 1, 1496959200, 1, 2, 1497543609, NULL, NULL, 0),
(116428, 2, 23789, 1, 1497304800, 0.25, 2, 1497543502, NULL, NULL, 0),
(116429, 2, 19428, 1, 1497564000, 1, 2, 1506009266, NULL, NULL, 0),
(116430, 2, 19428, 1, 1497477600, 0.5, 2, 1497543554, NULL, NULL, 0),
(116432, 72, 19386, 7, 1497477600, 0.5, 72, 1497590264, NULL, NULL, 0),
(116433, 72, 23789, 1, 1497564000, 1, 72, 1497590288, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(116434, 164, 1041, 1, 1497477600, 1, 72, 1497590521, NULL, NULL, 0),
(116435, 164, 1041, 1, 1497564000, 1, 72, 1497590521, NULL, NULL, 0),
(116460, 157, 17730, 5, 1497477600, 1, 157, 1497601364, NULL, NULL, 0),
(116461, 157, 17730, 7, 1497564000, 1, 157, 1497601382, NULL, NULL, 0),
(116462, 322, 1, 1, 1497564000, 0.5, 322, 1497602119, NULL, NULL, 0),
(116466, 345, 18271, 1, 1496786400, 1, 345, 1497604636, NULL, NULL, 0),
(116467, 345, 18269, 1, 1496872800, 0.5, 345, 1497604660, NULL, NULL, 0),
(116468, 345, 18269, 1, 1496872800, 0.5, 345, 1497604689, NULL, NULL, 0),
(116472, 345, 10858, 1, 1496959200, 0.3, 345, 1497604782, NULL, NULL, 0),
(116470, 345, 18271, 1, 1496959200, 0.7, 345, 1497604734, NULL, NULL, 0),
(116474, 345, 18269, 1, 1497218400, 0.5, 345, 1497604836, NULL, NULL, 0),
(116475, 345, 18271, 1, 1497218400, 0.5, 345, 1497604843, NULL, NULL, 0),
(116476, 345, 18267, 1, 1497304800, 0.4, 345, 1497604867, NULL, NULL, 0),
(116477, 345, 18270, 1, 1497304800, 0.4, 345, 1497604896, NULL, NULL, 0),
(116478, 345, 18271, 1, 1497304800, 0.2, 345, 1497604901, NULL, NULL, 0),
(116480, 345, 2, 1, 1497391200, 1, 345, 1497604927, NULL, NULL, 0),
(116508, 345, 18270, 1, 1497477600, 0.5, 345, 1497605599, NULL, NULL, 0),
(116525, 345, 18269, 1, 1497477600, 0.25, 345, 1497606153, NULL, NULL, 0),
(116526, 345, 18271, 1, 1497477600, 0.25, 345, 1497606160, NULL, NULL, 0),
(116527, 345, 18269, 1, 1497564000, 0.25, 345, 1497606188, NULL, NULL, 0),
(116532, 345, 18271, 1, 1497564000, 0.75, 345, 1499844683, NULL, NULL, 0),
(116554, 168, 17429, 5, 1497564000, 1, 168, 1497615669, NULL, NULL, 0),
(116619, 199, 1041, 1, 1497823200, 1, 72, 1497624106, NULL, NULL, 0),
(116620, 199, 1041, 1, 1497909600, 1, 72, 1497624106, NULL, NULL, 0),
(116621, 199, 1041, 1, 1497996000, 1, 72, 1497624106, NULL, NULL, 0),
(116622, 199, 1041, 1, 1498082400, 1, 72, 1497624106, NULL, NULL, 0),
(116623, 199, 1041, 1, 1498168800, 1, 72, 1497624106, NULL, NULL, 0),
(116627, 205, 2, 1, 1498082400, 1, 205, 1497624828, NULL, NULL, 0),
(116628, 205, 2, 1, 1498168800, 1, 205, 1497624828, NULL, NULL, 0),
(116670, 169, 10749, 6, 1497218400, 1, 169, 1497850103, NULL, NULL, 0),
(116671, 169, 10749, 6, 1497304800, 1, 169, 1497850116, NULL, NULL, 0),
(116672, 169, 10749, 6, 1497391200, 1, 169, 1497850126, NULL, NULL, 0),
(116673, 169, 10749, 6, 1497477600, 1, 169, 1497850138, NULL, NULL, 0),
(116674, 169, 10749, 6, 1497564000, 1, 169, 1497850150, NULL, NULL, 0),
(116708, 246, 19501, 4, 1497391200, 0.3, 246, 1497858088, NULL, NULL, 0),
(116710, 246, 19502, 4, 1497391200, 0.7, 246, 1497884580, NULL, NULL, 0),
(116720, 48, 2, 1, 1497477600, 1, 48, 1497861569, NULL, NULL, 0),
(116721, 48, 2, 1, 1497564000, 1, 48, 1497861578, NULL, NULL, 0),
(116759, 74, 1, 1, 1497909600, 0.5, 74, 1497871523, NULL, NULL, 0),
(116809, 164, 17251, 18, 1497823200, 1, 164, 1497883614, NULL, NULL, 0),
(116817, 246, 19502, 5, 1497823200, 0.4, 246, 1497884694, NULL, NULL, 0),
(116822, 246, 18442, 5, 1497823200, 0.2, 246, 1497884730, NULL, NULL, 0),
(116832, 2, 19428, 1, 1497823200, 0.5, 2, 1497885728, NULL, NULL, 0),
(116833, 2, 23789, 1, 1497823200, 0.5, 2, 1497885752, NULL, NULL, 0),
(116872, 72, 19386, 27, 1497823200, 0.5, 72, 1497940432, NULL, NULL, 0),
(116943, 72, 1, 1, 1498514400, 1, 72, 1497950612, NULL, NULL, 0),
(116982, 2, 23789, 1, 1497909600, 0.25, 2, 1497962425, NULL, NULL, 0),
(116986, 2, 19599, 4, 1497909600, 0.5, 2, 1497962624, NULL, NULL, 0),
(116999, 74, 1437, 1, 1497823200, 0.5, 74, 1497965681, NULL, NULL, 0),
(117056, 72, 23789, 1, 1497909600, 1, 72, 1498025130, NULL, NULL, 0),
(117335, 217, 19513, 2, 1498082400, 0.5, 217, 1498124011, NULL, NULL, 0),
(117061, 217, 14013, 6, 1497823200, 1, 217, 1498027177, NULL, NULL, 0),
(117062, 217, 11112, 27, 1497909600, 0.3, 217, 1498027197, NULL, NULL, 0),
(117067, 217, 2, 1, 1499378400, 1, 217, 1498027425, NULL, NULL, 0),
(117068, 217, 2, 1, 1498428000, 1, 217, 1498027447, NULL, NULL, 0),
(117069, 217, 2, 1, 1498514400, 1, 217, 1498027447, NULL, NULL, 0),
(117070, 217, 2, 1, 1498600800, 1, 217, 1498027447, NULL, NULL, 0),
(117076, 2, 2, 1, 1497996000, 1, 2, 1498027951, NULL, NULL, 0),
(117077, 2, 19428, 1, 1497909600, 0.25, 2, 1498027966, NULL, NULL, 0),
(117080, 246, 19603, 4, 1497823200, 0.4, 246, 1498030266, NULL, NULL, 0),
(117081, 246, 19603, 4, 1497909600, 1, 246, 1498030307, NULL, NULL, 0),
(117128, 72, 18757, 7, 1497996000, 0.5, 72, 1498039758, NULL, NULL, 0),
(117129, 371, 2, 1, 1502661600, 1, 371, 1498036026, NULL, NULL, 0),
(117130, 164, 16588, 18, 1497909600, 1, 164, 1498037404, NULL, NULL, 0),
(117131, 164, 16588, 18, 1497996000, 0.25, 164, 1498037392, NULL, NULL, 0),
(117132, 164, 17251, 18, 1497996000, 0.5, 164, 1498037423, NULL, NULL, 0),
(117147, 72, 1, 1, 1498773600, 0.5, 72, 1498049093, NULL, NULL, 0),
(117155, 164, 17251, 17, 1497996000, 0.25, 164, 1498057418, NULL, NULL, 0),
(117255, 157, 18755, 7, 1498082400, 0.5, 157, 1498118203, NULL, NULL, 0),
(117257, 157, 19706, 4, 1497823200, 1, 157, 1498118237, NULL, NULL, 0),
(117259, 157, 19705, 4, 1497909600, 1, 157, 1498118292, NULL, NULL, 0),
(117324, 217, 19715, 4, 1497909600, 0.7, 217, 1498123734, NULL, NULL, 0),
(117326, 217, 14013, 6, 1498082400, 0.5, 217, 1498123760, NULL, NULL, 0),
(117328, 217, 11112, 27, 1498168800, 0.25, 217, 1498123806, NULL, NULL, 0),
(117334, 217, 19513, 4, 1497996000, 1, 217, 1498123987, NULL, NULL, 0),
(117338, 217, 19968, 4, 1498168800, 0.25, 217, 1498124233, NULL, NULL, 0),
(117457, 2, 19428, 1, 1498082400, 1, 2, 1498236209, NULL, NULL, 0),
(117513, 164, 2, 1, 1498082400, 0.5, 72, 1498139107, NULL, NULL, 0),
(121967, 246, 18488, 6, 1500242400, 1, 246, 1500381778, NULL, NULL, 0),
(117699, 157, 18755, 7, 1498082400, 0.5, 157, 1498199017, NULL, NULL, 0),
(117701, 157, 18756, 6, 1498168800, 1, 157, 1498199073, NULL, NULL, 0),
(117706, 72, 23789, 1, 1498082400, 1, 72, 1498199873, NULL, NULL, 0),
(117707, 72, 23789, 1, 1498168800, 1, 72, 1498219776, NULL, NULL, 0),
(117708, 217, 19514, 4, 1498168800, 0.25, 217, 1498200611, NULL, NULL, 0),
(117829, 168, 17427, 5, 1497996000, 1, 168, 1498206755, NULL, NULL, 0),
(117807, 218, 2, 1, 1499724000, 1, 218, 1498206425, NULL, NULL, 0),
(117810, 218, 2, 1, 1500847200, 1, 218, 1498206495, NULL, NULL, 0),
(117811, 218, 2, 1, 1500933600, 1, 218, 1498206495, NULL, NULL, 0),
(117812, 218, 2, 1, 1501020000, 1, 218, 1498206495, NULL, NULL, 0),
(117813, 218, 2, 1, 1501106400, 1, 218, 1498206495, NULL, NULL, 0),
(117814, 218, 2, 1, 1501192800, 1, 218, 1498206495, NULL, NULL, 0),
(117815, 218, 2, 1, 1501452000, 1, 218, 1498206495, NULL, NULL, 0),
(117816, 218, 2, 1, 1501538400, 1, 218, 1498206495, NULL, NULL, 0),
(117817, 218, 2, 1, 1501624800, 1, 218, 1498206495, NULL, NULL, 0),
(117818, 218, 2, 1, 1501711200, 1, 218, 1498206495, NULL, NULL, 0),
(117819, 218, 2, 1, 1501797600, 1, 218, 1498206495, NULL, NULL, 0),
(117826, 168, 17429, 5, 1497823200, 1, 168, 1498206703, NULL, NULL, 0),
(117828, 168, 17429, 5, 1497909600, 1, 168, 1498206719, NULL, NULL, 0),
(117830, 168, 17427, 5, 1498082400, 1, 168, 1498206768, NULL, NULL, 0),
(117831, 168, 17427, 5, 1498168800, 0.5, 168, 1498206780, NULL, NULL, 0),
(117832, 168, 1, 1, 1498168800, 0.5, 168, 1498206795, NULL, NULL, 0),
(117882, 164, 17251, 17, 1498082400, 0.5, 164, 1498215604, NULL, NULL, 0),
(117883, 164, 17251, 17, 1498168800, 0.3, 164, 1498215631, NULL, NULL, 0),
(117884, 164, 1, 1, 1498168800, 0.7, 164, 1498215663, NULL, NULL, 0),
(117890, 56, 1, 1, 1491861600, 0.5, 9, 1498218099, NULL, NULL, 0),
(117891, 56, 2, 1, 1492120800, 1, 9, 1498218114, NULL, NULL, 0),
(117892, 56, 1, 1, 1492466400, 0.5, 9, 1498218140, NULL, NULL, 0),
(117893, 56, 1, 1, 1493071200, 0.5, 9, 1498218150, NULL, NULL, 0),
(117894, 56, 2, 1, 1493330400, 1, 9, 1498218160, NULL, NULL, 0),
(117895, 56, 1, 1, 1494453600, 0.5, 9, 1498218214, NULL, NULL, 0),
(117896, 56, 1, 1, 1494540000, 0.25, 9, 1498218219, NULL, NULL, 0),
(117897, 56, 1, 1, 1494799200, 0.5, 9, 1498218237, NULL, NULL, 0),
(117898, 56, 2, 1, 1495144800, 1, 9, 1498218252, NULL, NULL, 0),
(117899, 56, 2, 1, 1495404000, 1, 9, 1498218258, NULL, NULL, 0),
(117900, 56, 2, 1, 1495490400, 1, 9, 1498218261, NULL, NULL, 0),
(117901, 56, 2, 1, 1495576800, 1, 9, 1498218265, NULL, NULL, 0),
(117902, 56, 2, 1, 1495749600, 1, 9, 1498218268, NULL, NULL, 0),
(117903, 56, 2, 1, 1496354400, 1, 9, 1498218306, NULL, NULL, 0),
(117904, 56, 1, 1, 1496700000, 0.5, 9, 1498218318, NULL, NULL, 0),
(117905, 56, 1, 1, 1496872800, 0.5, 9, 1498218324, NULL, NULL, 0),
(117906, 56, 2, 1, 1496959200, 1, 9, 1498218330, NULL, NULL, 0),
(117907, 56, 1, 1, 1497218400, 0.25, 9, 1498218338, NULL, NULL, 0),
(117908, 56, 1, 1, 1497391200, 0.25, 9, 1498218347, NULL, NULL, 0),
(117909, 56, 2, 1, 1497564000, 1, 9, 1498218354, NULL, NULL, 0),
(117910, 56, 1, 1, 1497823200, 0.5, 9, 1498218369, NULL, NULL, 0),
(117911, 56, 1, 1, 1497909600, 0.5, 9, 1498218373, NULL, NULL, 0),
(117912, 56, 2, 1, 1497996000, 1, 9, 1498218382, NULL, NULL, 0),
(117913, 56, 1, 1, 1498082400, 0.25, 9, 1498218387, NULL, NULL, 0),
(117914, 56, 2, 1, 1498168800, 1, 9, 1498218395, NULL, NULL, 0),
(117915, 56, 1, 1, 1498514400, 0.5, 9, 1498218413, NULL, NULL, 0),
(117916, 56, 1, 1, 1498687200, 0.5, 9, 1498218418, NULL, NULL, 0),
(117917, 56, 1, 1, 1498773600, 0.25, 9, 1498218422, NULL, NULL, 0),
(117920, 74, 16071, 2, 1497996000, 0.5, 74, 1498221655, NULL, NULL, 0),
(117921, 74, 18488, 6, 1498082400, 0.5, 74, 1498222491, NULL, NULL, 0),
(117922, 74, 18488, 6, 1498168800, 0.5, 74, 1498222504, NULL, NULL, 0),
(117923, 74, 17427, 2, 1497909600, 0.5, 74, 1498222580, NULL, NULL, 0),
(117924, 74, 19421, 4, 1497823200, 0.5, 74, 1498222638, NULL, NULL, 0),
(117925, 74, 19421, 4, 1497996000, 0.5, 74, 1498222652, NULL, NULL, 0),
(117926, 74, 16071, 6, 1498082400, 0.5, 74, 1498222690, NULL, NULL, 0),
(117927, 74, 16071, 6, 1498168800, 0.5, 74, 1498222706, NULL, NULL, 0),
(118047, 2, 19428, 1, 1498168800, 1, 2, 1498236219, NULL, NULL, 0),
(118054, 169, 10749, 6, 1497823200, 1, 169, 1498429474, NULL, NULL, 0),
(118055, 169, 10749, 6, 1497909600, 1, 169, 1498429490, NULL, NULL, 0),
(118056, 169, 17739, 7, 1497996000, 1, 169, 1498429574, NULL, NULL, 0),
(118057, 169, 17739, 7, 1498082400, 0.5, 169, 1498429602, NULL, NULL, 0),
(118058, 169, 17741, 7, 1498082400, 0.5, 169, 1498429637, NULL, NULL, 0),
(118059, 169, 17741, 7, 1498168800, 1, 169, 1498429647, NULL, NULL, 0),
(126377, 2, 23789, 1, 1501624800, 0.5, 2, 1502293630, NULL, NULL, 0),
(126378, 2, 23789, 1, 1501538400, 0.5, 2, 1502293641, NULL, NULL, 0),
(126374, 2, 21243, 5, 1501797600, 0.25, 2, 1502293574, NULL, NULL, 0),
(126379, 2, 23789, 1, 1501797600, 0.5, 2, 1502293671, NULL, NULL, 0),
(118120, 2, 1437, 1, 1499292000, 1, 2, 1498461878, NULL, NULL, 0),
(118123, 205, 1041, 1, 1498428000, 1, 72, 1498462080, NULL, NULL, 0),
(118161, 2, 18662, 4, 1496786400, 1, 2, 1498466615, NULL, NULL, 0),
(118162, 2, 1435, 1, 1496872800, 1, 2, 1498466641, NULL, NULL, 0),
(118163, 2, 19599, 4, 1497218400, 0.1, 2, 1498466694, NULL, NULL, 0),
(118164, 2, 19599, 4, 1497218400, 0.05, 2, 1498466715, NULL, NULL, 0),
(118165, 2, 17251, 17, 1497304800, 0.25, 2, 1498466760, NULL, NULL, 0),
(118171, 2, 19428, 1, 1498687200, 1, 2, 1498466858, NULL, NULL, 0),
(118172, 2, 19428, 1, 1498773600, 1, 2, 1498466863, NULL, NULL, 0),
(118713, 199, 1506, 1, 1498428000, 0.5, 199, 1498715147, NULL, NULL, 0),
(118213, 199, 10749, 5, 1496008800, 1, 199, 1498476974, NULL, NULL, 0),
(118214, 199, 10749, 5, 1496095200, 1, 199, 1498476983, NULL, NULL, 0),
(118215, 199, 10749, 5, 1496181600, 0.75, 199, 1498476990, NULL, NULL, 0),
(118216, 199, 10749, 5, 1496268000, 0.75, 199, 1498476999, NULL, NULL, 0),
(118217, 2, 19428, 1, 1498428000, 0.25, 2, 1498478342, NULL, NULL, 0),
(118227, 168, 1, 1, 1498514400, 0.5, 168, 1498482239, NULL, NULL, 0),
(118228, 168, 2, 1, 1498687200, 0.5, 168, 1498482252, NULL, NULL, 0),
(118229, 168, 1, 1, 1498773600, 1, 168, 1498482267, NULL, NULL, 0),
(118264, 157, 1506, 1, 1498428000, 0.5, 157, 1498487267, NULL, NULL, 0),
(118265, 157, 19756, 4, 1498428000, 0.25, 157, 1498487304, NULL, NULL, 0),
(118266, 157, 19755, 4, 1498428000, 0.25, 157, 1498487329, NULL, NULL, 0),
(118453, 157, 18756, 6, 1498514400, 0.5, 157, 1498571974, NULL, NULL, 0),
(118277, 2, 23789, 1, 1498428000, 0.25, 2, 1498488255, NULL, NULL, 0),
(118298, 72, 23789, 1, 1498428000, 1, 72, 1498489748, NULL, NULL, 0),
(118299, 164, 1506, 1, 1498428000, 0.4, 164, 1498489843, NULL, NULL, 0),
(118307, 246, 19603, 4, 1498428000, 0.7, 246, 1498492389, NULL, NULL, 0),
(118308, 246, 18442, 5, 1498428000, 0.3, 246, 1498492456, NULL, NULL, 0),
(118378, 164, 19331, 17, 1498514400, 0.5, 164, 1498553195, NULL, NULL, 0),
(118454, 157, 19786, 4, 1498514400, 0.5, 157, 1498572014, NULL, NULL, 0),
(118532, 246, 19513, 5, 1498514400, 0.6, 246, 1498577914, NULL, NULL, 0),
(118533, 246, 18442, 5, 1498514400, 0.4, 246, 1498577937, NULL, NULL, 0),
(118586, 158, 1041, 1, 1498600800, 1, 72, 1498640968, NULL, NULL, 0),
(118600, 2, 19428, 1, 1498514400, 0.25, 2, 1498648291, NULL, NULL, 0),
(118601, 2, 23789, 1, 1498600800, 0.5, 2, 1498648323, NULL, NULL, 0),
(118656, 72, 19341, 7, 1498600800, 0.4, 72, 1498654272, NULL, NULL, 0),
(118657, 72, 19342, 5, 1498600800, 0.2, 72, 1498654324, NULL, NULL, 0),
(118668, 74, 19342, 5, 1498600800, 0.3, 74, 1498660650, NULL, NULL, 0),
(118680, 2, 19428, 1, 1498600800, 0.5, 2, 1498661887, NULL, NULL, 0),
(118704, 394, 2, 1, 1496268000, 0.5, 394, 1498670530, NULL, NULL, 0),
(118705, 394, 2, 1, 1496354400, 0.5, 394, 1498670530, NULL, NULL, 0),
(118706, 394, 2, 1, 1498428000, 1, 394, 1498670572, NULL, NULL, 0),
(118707, 394, 2, 1, 1498514400, 1, 394, 1498670572, NULL, NULL, 0),
(118708, 394, 2, 1, 1500588000, 1, 394, 1498670654, NULL, NULL, 0),
(118709, 394, 2, 1, 1502661600, 1, 394, 1498670684, NULL, NULL, 0),
(118710, 394, 2, 1, 1504735200, 1, 394, 1498670779, NULL, NULL, 0),
(118711, 394, 2, 1, 1504821600, 1, 394, 1498670779, NULL, NULL, 0),
(118712, 394, 2, 1, 1505080800, 1, 394, 1498670779, NULL, NULL, 0),
(118714, 199, 2089, 1, 1498428000, 0.5, 199, 1498715168, NULL, NULL, 0),
(118715, 199, 2089, 1, 1498514400, 0.5, 199, 1498715174, NULL, NULL, 0),
(118716, 199, 19968, 27, 1498514400, 0.1, 199, 1498715229, NULL, NULL, 0),
(118717, 199, 19514, 27, 1498514400, 0.1, 199, 1498715281, NULL, NULL, 0),
(118718, 199, 19968, 4, 1498600800, 0.25, 199, 1498715329, NULL, NULL, 0),
(118719, 199, 2089, 1, 1498600800, 0.4, 199, 1498715342, NULL, NULL, 0),
(118720, 199, 18777, 5, 1498600800, 0.25, 199, 1498715380, NULL, NULL, 0),
(118721, 199, 10749, 5, 1498514400, 0.3, 199, 1498715421, NULL, NULL, 0),
(118722, 199, 19968, 4, 1498600800, 0.1, 199, 1498715482, NULL, NULL, 0),
(118723, 157, 2, 1, 1498600800, 0.5, 157, 1498716022, NULL, NULL, 0),
(118724, 157, 19786, 4, 1498600800, 0.5, 157, 1498716175, NULL, NULL, 0),
(118726, 158, 1041, 1, 1498687200, 1, 72, 1498717267, NULL, NULL, 0),
(118727, 158, 1041, 1, 1498773600, 1, 72, 1498717267, NULL, NULL, 0),
(118728, 158, 1041, 1, 1499032800, 1, 72, 1498717267, NULL, NULL, 0),
(118729, 158, 1041, 1, 1499119200, 1, 72, 1498717267, NULL, NULL, 0),
(118730, 158, 1041, 1, 1499205600, 1, 72, 1498717267, NULL, NULL, 0),
(118731, 158, 1041, 1, 1499292000, 1, 72, 1498717267, NULL, NULL, 0),
(118732, 158, 1041, 1, 1499378400, 1, 72, 1498717267, NULL, NULL, 0),
(118733, 158, 1041, 1, 1500242400, 1, 72, 1498717267, NULL, NULL, 0),
(118734, 158, 1041, 1, 1500328800, 1, 72, 1498717267, NULL, NULL, 0),
(118736, 199, 19832, 5, 1498687200, 0.1, 199, 1498718777, NULL, NULL, 0),
(118751, 72, 23789, 1, 1498600800, 0.4, 72, 1498719037, NULL, NULL, 0),
(118753, 72, 23789, 1, 1498687200, 0.8, 72, 1498746294, NULL, NULL, 0),
(118754, 72, 23789, 1, 1498773600, 0.5, 72, 1498719060, NULL, NULL, 0),
(118756, 199, 19832, 5, 1498687200, 0.05, 199, 1498719158, NULL, NULL, 0),
(118769, 217, 19513, 4, 1498168800, 0.25, 217, 1498720839, NULL, NULL, 0),
(118827, 74, 19342, 6, 1498687200, 0.25, 74, 1498726134, NULL, NULL, 0),
(118898, 74, 17432, 5, 1498687200, 0.25, 74, 1498735982, NULL, NULL, 0),
(118899, 74, 1506, 1, 1498428000, 0.5, 74, 1498736035, NULL, NULL, 0),
(118900, 74, 16071, 6, 1498514400, 1, 74, 1498736085, NULL, NULL, 0),
(118958, 74, 17424, 2, 1498600800, 0.3, 74, 1498740147, NULL, NULL, 0),
(119007, 72, 17432, 5, 1498687200, 0.2, 72, 1498746341, NULL, NULL, 0),
(119126, 164, 18735, 18, 1498514400, 0.5, 164, 1498813961, NULL, NULL, 0),
(119127, 164, 17251, 17, 1498773600, 0.75, 164, 1498814000, NULL, NULL, 0),
(119128, 164, 18735, 17, 1498773600, 0.25, 164, 1498814045, NULL, NULL, 0),
(119173, 157, 19834, 4, 1498687200, 1, 157, 1498821054, NULL, NULL, 0),
(119174, 157, 19834, 4, 1498773600, 1, 157, 1498821083, NULL, NULL, 0),
(119179, 199, 19514, 2, 1498773600, 0.1, 199, 1498825575, NULL, NULL, 0),
(119180, 199, 17741, 2, 1498687200, 0.25, 199, 1498825685, NULL, NULL, 0),
(119181, 199, 18777, 5, 1498773600, 0.25, 199, 1498825709, NULL, NULL, 0),
(119182, 199, 18777, 5, 1498687200, 0.1, 199, 1498825719, NULL, NULL, 0),
(119183, 199, 10741, 5, 1498687200, 0.25, 199, 1498825784, NULL, NULL, 0),
(119300, 199, 19884, 4, 1498773600, 0.1, 199, 1498832146, NULL, NULL, 0),
(119185, 199, 10749, 5, 1498773600, 0.25, 199, 1498825834, NULL, NULL, 0),
(119186, 199, 10749, 5, 1498687200, 0.25, 199, 1498825902, NULL, NULL, 0),
(119189, 74, 17424, 2, 1498773600, 0.25, 74, 1498826643, NULL, NULL, 0),
(119190, 74, 16071, 6, 1498600800, 0.4, 74, 1498826669, NULL, NULL, 0),
(119191, 74, 16071, 6, 1498687200, 0.5, 74, 1498827000, NULL, NULL, 0),
(119192, 74, 16071, 6, 1498773600, 0.75, 74, 1498827012, NULL, NULL, 0),
(119217, 199, 19754, 4, 1498773600, 0.2, 199, 1498828384, NULL, NULL, 0),
(119228, 217, 19715, 4, 1498687200, 0.5, 217, 1498828878, NULL, NULL, 0),
(119229, 217, 19715, 4, 1498773600, 0.5, 217, 1498828890, NULL, NULL, 0),
(119230, 217, 19081, 6, 1498773600, 0.5, 217, 1498828923, NULL, NULL, 0),
(119231, 217, 19081, 6, 1498687200, 0.5, 217, 1498828935, NULL, NULL, 0),
(119299, 199, 19884, 4, 1498773600, 0.1, 199, 1498832109, NULL, NULL, 0),
(119337, 205, 17065, 6, 1498773600, 1, 205, 1498835004, NULL, NULL, 0),
(119340, 205, 17424, 2, 1498687200, 0.5, 205, 1498835144, NULL, NULL, 0),
(119339, 205, 19341, 2, 1498687200, 0.5, 205, 1498835053, NULL, NULL, 0),
(119341, 205, 19341, 2, 1498600800, 0.5, 205, 1498835176, NULL, NULL, 0),
(119415, 205, 23789, 1, 1497823200, 0.5, 205, 1498837959, NULL, NULL, 0),
(119418, 205, 14013, 7, 1497823200, 0.5, 205, 1498838043, NULL, NULL, 0),
(119419, 205, 14013, 27, 1497909600, 0.25, 205, 1498838065, NULL, NULL, 0),
(119420, 205, 14013, 7, 1497909600, 0.75, 205, 1498838165, NULL, NULL, 0),
(119421, 205, 10749, 5, 1497391200, 0.5, 205, 1498838210, NULL, NULL, 0),
(119422, 205, 10749, 5, 1497477600, 0.5, 205, 1498838222, NULL, NULL, 0),
(119423, 205, 14013, 6, 1497564000, 1, 205, 1498838241, NULL, NULL, 0),
(119424, 205, 14013, 6, 1497477600, 0.5, 205, 1498838250, NULL, NULL, 0),
(119426, 205, 14013, 6, 1497391200, 0.5, 205, 1498838265, NULL, NULL, 0),
(119428, 205, 19832, 4, 1498600800, 0.25, 205, 1498838354, NULL, NULL, 0),
(119429, 205, 19785, 4, 1498514400, 0.25, 205, 1498838396, NULL, NULL, 0),
(119430, 205, 19757, 4, 1498514400, 0.25, 205, 1498838436, NULL, NULL, 0),
(119431, 205, 19713, 4, 1498600800, 0.25, 205, 1498838472, NULL, NULL, 0),
(119433, 205, 23789, 1, 1498514400, 0.5, 205, 1498838542, NULL, NULL, 0),
(119464, 2, 23789, 1, 1498514400, 0.25, 2, 1498947827, NULL, NULL, 0),
(119465, 2, 19428, 1, 1498428000, 0.5, 2, 1498947844, NULL, NULL, 0),
(119466, 2, 19428, 1, 1498514400, 0.5, 2, 1498947963, NULL, NULL, 0),
(119467, 169, 17741, 7, 1498428000, 1, 169, 1499002944, NULL, NULL, 0),
(119468, 169, 17739, 7, 1498514400, 1, 169, 1499002969, NULL, NULL, 0),
(119469, 169, 10749, 6, 1498600800, 1, 169, 1499003050, NULL, NULL, 0),
(119470, 169, 10749, 6, 1498687200, 1, 169, 1499003061, NULL, NULL, 0),
(119471, 169, 17740, 5, 1498773600, 0.5, 169, 1499003103, NULL, NULL, 0),
(119472, 169, 17740, 6, 1498773600, 0.5, 169, 1499003119, NULL, NULL, 0),
(122221, 322, 20461, 5, 1499119200, 1, 322, 1500476264, NULL, NULL, 0),
(119564, 164, 1, 1, 1499205600, 1, 164, 1499066767, NULL, NULL, 0),
(119565, 164, 1, 1, 1499378400, 1, 164, 1499066786, NULL, NULL, 0),
(119566, 164, 1, 1, 1499292000, 1, 164, 1499066777, NULL, NULL, 0),
(119572, 246, 19514, 5, 1498600800, 0.7, 246, 1499066921, NULL, NULL, 0),
(119577, 246, 18488, 4, 1498600800, 0.3, 246, 1499067024, NULL, NULL, 0),
(119590, 83, 10858, 1, 1495058400, 0.5, 83, 1499067687, NULL, NULL, 0),
(119620, 83, 10858, 1, 1499032800, 0.5, 83, 1499068436, NULL, NULL, 0),
(119621, 83, 10858, 1, 1499119200, 0.5, 83, 1499068436, NULL, NULL, 0),
(119622, 83, 10858, 1, 1499205600, 0.5, 83, 1499068436, NULL, NULL, 0),
(119623, 83, 10858, 1, 1499292000, 0.5, 83, 1499068436, NULL, NULL, 0),
(119624, 83, 10858, 1, 1499378400, 0.5, 83, 1499068436, NULL, NULL, 0),
(119625, 83, 10858, 1, 1499637600, 0.5, 83, 1499068436, NULL, NULL, 0),
(119626, 83, 10858, 1, 1499724000, 0.5, 83, 1499068436, NULL, NULL, 0),
(119627, 83, 10858, 1, 1499810400, 0.5, 83, 1499068436, NULL, NULL, 0),
(119628, 83, 10858, 1, 1499896800, 0.5, 83, 1499068436, NULL, NULL, 0),
(119733, 72, 23789, 1, 1499032800, 1, 72, 1499087285, NULL, NULL, 0),
(119735, 157, 2, 1, 1499205600, 0.5, 157, 1499087822, NULL, NULL, 0),
(119737, 157, 18756, 6, 1499032800, 1, 157, 1499087944, NULL, NULL, 0),
(119797, 168, 17424, 5, 1498428000, 1, 168, 1499095609, NULL, NULL, 0),
(119798, 168, 17424, 5, 1498514400, 0.5, 168, 1499095758, NULL, NULL, 0),
(119799, 168, 17424, 5, 1498600800, 1, 168, 1499095853, NULL, NULL, 0),
(119800, 168, 17424, 5, 1498687200, 0.5, 168, 1499095946, NULL, NULL, 0),
(119801, 168, 17424, 5, 1499032800, 1, 168, 1499095971, NULL, NULL, 0),
(119803, 246, 19514, 4, 1499032800, 0.1, 246, 1499096482, NULL, NULL, 0),
(119804, 246, 19515, 5, 1499032800, 0.6, 246, 1499096506, NULL, NULL, 0),
(119808, 246, 18488, 4, 1499032800, 0.3, 246, 1499096554, NULL, NULL, 0),
(122220, 322, 20461, 5, 1499032800, 1, 322, 1500476255, NULL, NULL, 0),
(119827, 199, 2089, 1, 1499032800, 0.5, 199, 1499146647, NULL, NULL, 0),
(119828, 199, 10749, 5, 1499032800, 0.1, 199, 1499146675, NULL, NULL, 0),
(119829, 199, 10749, 5, 1499032800, 0.4, 199, 1499146704, NULL, NULL, 0),
(119838, 74, 12288, 5, 1499032800, 1, 74, 1499151673, NULL, NULL, 0),
(119855, 371, 1400, 1, 1498687200, 0.5, 371, 1499153469, NULL, NULL, 0),
(127222, 2, 23789, 1, 1502402400, 0.75, 2, 1502876102, NULL, NULL, 0),
(119931, 74, 1, 1, 1500328800, 0.5, 74, 1499160377, NULL, NULL, 0),
(119932, 74, 1, 1, 1499119200, 0.5, 74, 1499160389, NULL, NULL, 0),
(119933, 74, 1, 1, 1501106400, 0.5, 74, 1499160409, NULL, NULL, 0),
(119948, 72, 23789, 1, 1499119200, 0.8, 72, 1499167128, NULL, NULL, 0),
(119949, 72, 2089, 1, 1499119200, 0.2, 72, 1499167157, NULL, NULL, 0),
(119995, 205, 2, 1, 1500933600, 1, 205, 1499175559, NULL, NULL, 0),
(121854, 168, 1, 1, 1499378400, 1, 72, 1500292440, NULL, NULL, 0),
(120029, 205, 14013, 6, 1499119200, 0.25, 205, 1499181325, NULL, NULL, 0),
(120030, 205, 17065, 6, 1499119200, 0.25, 205, 1499181429, NULL, NULL, 0),
(120031, 205, 19968, 4, 1499032800, 0.25, 205, 1499181474, NULL, NULL, 0),
(120032, 205, 19787, 6, 1499032800, 0.75, 205, 1499181642, NULL, NULL, 0),
(120033, 205, 19787, 6, 1499119200, 0.5, 205, 1499181674, NULL, NULL, 0),
(120048, 157, 18756, 6, 1499119200, 1, 157, 1499235255, NULL, NULL, 0),
(120049, 157, 18756, 6, 1499205600, 0.5, 157, 1499235274, NULL, NULL, 0),
(120067, 74, 1, 1, 1501624800, 0.5, 74, 1499238973, NULL, NULL, 0),
(120068, 164, 17251, 17, 1499032800, 1, 164, 1499240631, NULL, NULL, 0),
(120069, 164, 17251, 17, 1499119200, 0.6, 164, 1499240643, NULL, NULL, 0),
(120070, 164, 19331, 18, 1499119200, 0.4, 164, 1499240724, NULL, NULL, 0),
(120072, 246, 18488, 4, 1499119200, 1, 246, 1499241996, NULL, NULL, 0),
(120077, 168, 2, 1, 1500847200, 1, 168, 1499243251, NULL, NULL, 0),
(120117, 394, 2, 1, 1500501600, 1, 394, 1499261632, NULL, NULL, 0),
(120171, 72, 23789, 1, 1499205600, 1, 72, 1499324130, NULL, NULL, 0),
(120172, 72, 23789, 1, 1499292000, 1, 72, 1499324135, NULL, NULL, 0),
(120236, 157, 18756, 6, 1499292000, 1, 157, 1499331597, NULL, NULL, 0),
(120834, 48, 2, 1, 1506031200, 1, 48, 1499430371, NULL, NULL, 0),
(120513, 157, 18756, 6, 1499378400, 1, 157, 1499406775, NULL, NULL, 0),
(120514, 74, 17424, 2, 1499205600, 1, 74, 1499408067, NULL, NULL, 0),
(120515, 74, 17424, 2, 1499292000, 1, 74, 1499408076, NULL, NULL, 0),
(120516, 74, 17424, 2, 1499378400, 1, 74, 1499408083, NULL, NULL, 0),
(120518, 246, 18488, 4, 1499205600, 1, 246, 1499414696, NULL, NULL, 0),
(120523, 48, 2, 1, 1511132400, 1, 48, 1499416001, NULL, NULL, 0),
(120524, 48, 2, 1, 1511218800, 1, 48, 1499416006, NULL, NULL, 0),
(120525, 48, 2, 1, 1511305200, 1, 48, 1499416031, NULL, NULL, 0),
(120526, 48, 2, 1, 1511391600, 1, 48, 1499416035, NULL, NULL, 0),
(120527, 48, 2, 1, 1511478000, 1, 48, 1499416037, NULL, NULL, 0),
(120536, 169, 19427, 6, 1499292000, 1, 169, 1499416863, NULL, NULL, 0),
(120538, 169, 19427, 5, 1499205600, 1, 169, 1499416909, NULL, NULL, 0),
(122674, 48, 1, 1, 1500501600, 0.5, 48, 1500629596, NULL, NULL, 0),
(120560, 248, 2, 1, 1508709600, 1, 248, 1499419650, NULL, NULL, 0),
(120561, 248, 2, 1, 1508796000, 1, 248, 1499419650, NULL, NULL, 0),
(120562, 248, 2, 1, 1508882400, 1, 248, 1499419650, NULL, NULL, 0),
(120563, 248, 2, 1, 1508968800, 1, 248, 1499419650, NULL, NULL, 0),
(120564, 248, 2, 1, 1509055200, 1, 248, 1499419650, NULL, NULL, 0),
(120565, 248, 2, 1, 1514242800, 1, 248, 1499419684, NULL, NULL, 0),
(120566, 248, 2, 1, 1514329200, 1, 248, 1499419684, NULL, NULL, 0),
(130007, 248, 2, 1, 1514415600, 1, 248, 1504252202, NULL, NULL, 0),
(120568, 248, 2, 1, 1514502000, 1, 248, 1499419684, NULL, NULL, 0),
(120572, 72, 23789, 1, 1499378400, 1, 72, 1499419865, NULL, NULL, 0),
(120573, 169, 17740, 6, 1499032800, 1, 169, 1499419970, NULL, NULL, 0),
(120574, 169, 17740, 6, 1499119200, 0.5, 169, 1499419988, NULL, NULL, 0),
(120575, 169, 19427, 5, 1499119200, 0.5, 169, 1499420010, NULL, NULL, 0),
(120579, 74, 14014, 6, 1499119200, 0.5, 74, 1499421251, NULL, NULL, 0),
(137839, 157, 14534, 1, 1508364000, 0.25, 157, 1508478086, NULL, NULL, 0),
(120816, 394, 2, 1, 1496008800, 0.5, 394, 1499428125, NULL, NULL, 0),
(120817, 199, 20237, 5, 1499378400, 0.7, 199, 1499859956, NULL, NULL, 0),
(120821, 199, 20182, 5, 1499378400, 0.1, 199, 1499428215, NULL, NULL, 0),
(120822, 199, 20208, 5, 1499378400, 0.1, 199, 1499428233, NULL, NULL, 0),
(120824, 199, 20209, 5, 1499378400, 0.1, 199, 1499428253, NULL, NULL, 0),
(120825, 199, 20210, 5, 1499292000, 0.2, 199, 1499428279, NULL, NULL, 0),
(120826, 199, 20181, 5, 1499292000, 0.8, 199, 1499428298, NULL, NULL, 0),
(120827, 199, 19832, 5, 1499119200, 0.5, 199, 1499428364, NULL, NULL, 0),
(120828, 199, 18442, 5, 1499205600, 0.5, 199, 1499428436, NULL, NULL, 0),
(120829, 199, 2089, 1, 1499119200, 0.5, 199, 1499428452, NULL, NULL, 0),
(120830, 199, 2089, 1, 1499205600, 0.5, 199, 1499428466, NULL, NULL, 0),
(120969, 169, 19987, 5, 1499378400, 1, 169, 1499598700, NULL, NULL, 0),
(121194, 72, 23789, 1, 1499637600, 1, 72, 1499753547, NULL, NULL, 0),
(121257, 157, 18756, 6, 1499637600, 1, 157, 1499772616, NULL, NULL, 0),
(121283, 157, 20238, 4, 1499724000, 0.5, 157, 1499783921, NULL, NULL, 0),
(121259, 157, 1, 1, 1499724000, 0.5, 157, 1499772668, NULL, NULL, 0),
(121285, 83, 10858, 1, 1496354400, 0.5, 83, 1499785430, NULL, NULL, 0),
(121286, 246, 18488, 4, 1499637600, 1, 246, 1499785677, NULL, NULL, 0),
(121320, 246, 18488, 4, 1499724000, 0.6, 246, 1499842042, NULL, NULL, 0),
(121321, 246, 20238, 4, 1499724000, 0.4, 246, 1499842106, NULL, NULL, 0),
(121340, 345, 18270, 1, 1497823200, 1, 345, 1499844759, NULL, NULL, 0),
(121342, 345, 18270, 1, 1497909600, 0.5, 345, 1499844784, NULL, NULL, 0),
(121343, 345, 18271, 1, 1497909600, 0.5, 345, 1499844794, NULL, NULL, 0),
(121346, 345, 2, 1, 1497996000, 1, 345, 1499844828, NULL, NULL, 0),
(121347, 345, 2, 1, 1499637600, 1, 345, 1499844837, NULL, NULL, 0),
(121348, 345, 18270, 1, 1498428000, 1, 345, 1499844863, NULL, NULL, 0),
(121349, 345, 18270, 1, 1498514400, 0.5, 345, 1499844872, NULL, NULL, 0),
(121350, 345, 18271, 1, 1498514400, 0.5, 345, 1499844878, NULL, NULL, 0),
(121351, 345, 18271, 1, 1498687200, 0.5, 345, 1499844901, NULL, NULL, 0),
(121352, 345, 18267, 1, 1498687200, 0.5, 345, 1499844915, NULL, NULL, 0),
(121353, 345, 18267, 1, 1498773600, 0.25, 345, 1499844935, NULL, NULL, 0),
(121354, 345, 18271, 1, 1498773600, 0.75, 345, 1499844941, NULL, NULL, 0),
(121355, 345, 18270, 1, 1498082400, 1, 345, 1499844989, NULL, NULL, 0),
(121356, 345, 18269, 1, 1498168800, 0.5, 345, 1499845014, NULL, NULL, 0),
(121357, 345, 18271, 1, 1498168800, 0.5, 345, 1499845022, NULL, NULL, 0),
(121358, 345, 18271, 1, 1498600800, 1, 345, 1499845054, NULL, NULL, 0),
(121359, 345, 18270, 1, 1499032800, 1, 345, 1499845097, NULL, NULL, 0),
(121360, 345, 18270, 1, 1499119200, 1, 345, 1499845129, NULL, NULL, 0),
(121361, 345, 18268, 1, 1499205600, 1, 345, 1499845154, NULL, NULL, 0),
(121362, 345, 18269, 1, 1499292000, 1, 345, 1499845169, NULL, NULL, 0),
(121363, 345, 18269, 1, 1499378400, 0.25, 345, 1499845199, NULL, NULL, 0),
(121364, 345, 18271, 1, 1499378400, 0.75, 345, 1499845206, NULL, NULL, 0),
(121365, 345, 18270, 1, 1499724000, 0.25, 345, 1499845238, NULL, NULL, 0),
(121396, 164, 17251, 17, 1499637600, 1, 164, 1499847507, NULL, NULL, 0),
(121398, 164, 17251, 17, 1499724000, 0.6, 164, 1499929798, NULL, NULL, 0),
(121412, 157, 20425, 4, 1499810400, 0.2, 157, 1499851753, NULL, NULL, 0),
(121413, 157, 20425, 5, 1499810400, 0.3, 157, 1499851768, NULL, NULL, 0),
(121414, 157, 20425, 6, 1499810400, 0.5, 157, 1499851781, NULL, NULL, 0),
(121415, 345, 18271, 1, 1499724000, 0.75, 345, 1499853623, NULL, NULL, 0),
(121417, 72, 19341, 7, 1499810400, 0.5, 72, 1499854613, NULL, NULL, 0),
(121418, 72, 23789, 1, 1499724000, 1, 72, 1499854626, NULL, NULL, 0),
(121486, 246, 18488, 4, 1499810400, 1, 246, 1499873626, NULL, NULL, 0),
(121520, 164, 19800, 7, 1499724000, 0.4, 164, 1499929759, NULL, NULL, 0),
(121521, 164, 17251, 17, 1499810400, 0.75, 164, 1499929917, NULL, NULL, 0),
(121538, 72, 1506, 1, 1499810400, 0.2, 72, 1499930682, NULL, NULL, 0),
(121539, 72, 23789, 1, 1499810400, 0.3, 72, 1499930690, NULL, NULL, 0),
(121557, 205, 19787, 6, 1499205600, 1, 205, 1499932142, NULL, NULL, 0),
(121558, 205, 19787, 6, 1499292000, 1, 205, 1499932193, NULL, NULL, 0),
(121806, 164, 1, 1, 1499896800, 1, 164, 1500277326, NULL, NULL, 0),
(127220, 2, 19800, 18, 1502402400, 0.25, 2, 1502876077, NULL, NULL, 0),
(127223, 2, 17251, 17, 1502834400, 0.5, 2, 1502876142, NULL, NULL, 0),
(121644, 157, 20427, 5, 1499896800, 0.5, 157, 1499945381, NULL, NULL, 0),
(121645, 157, 20427, 6, 1499896800, 0.5, 157, 1499945396, NULL, NULL, 0),
(121689, 72, 18757, 7, 1499896800, 0.5, 72, 1499952400, NULL, NULL, 0),
(121693, 72, 23789, 1, 1499896800, 0.5, 72, 1499952411, NULL, NULL, 0),
(121837, 164, 1, 1, 1500415200, 1, 164, 1500282493, NULL, NULL, 0),
(121781, 169, 20324, 4, 1499637600, 1, 169, 1500246052, NULL, NULL, 0),
(121782, 169, 20324, 4, 1499724000, 1, 169, 1500246126, NULL, NULL, 0),
(121783, 169, 19427, 5, 1499896800, 1, 169, 1500246169, NULL, NULL, 0),
(121784, 169, 19987, 6, 1499810400, 1, 169, 1500246207, NULL, NULL, 0),
(121793, 246, 18488, 6, 1499896800, 1, 246, 1500276612, NULL, NULL, 0),
(121805, 164, 1435, 1, 1499810400, 0.25, 164, 1500277289, NULL, NULL, 0),
(121838, 164, 1, 1, 1500501600, 1, 164, 1500282504, NULL, NULL, 0),
(121839, 164, 1, 1, 1500588000, 1, 164, 1500282509, NULL, NULL, 0),
(121851, 72, 23789, 1, 1500242400, 1, 72, 1500287358, NULL, NULL, 0),
(121901, 164, 17251, 17, 1500242400, 1, 164, 1500297565, NULL, NULL, 0),
(121947, 72, 19341, 7, 1500328800, 0.25, 72, 1500371612, NULL, NULL, 0),
(122015, 157, 20427, 4, 1500242400, 0.5, 157, 1500387226, NULL, NULL, 0),
(122016, 157, 20445, 4, 1500242400, 0.5, 157, 1500387258, NULL, NULL, 0),
(122017, 157, 20446, 4, 1500328800, 0.5, 157, 1500387287, NULL, NULL, 0),
(122018, 157, 20449, 4, 1500328800, 0.5, 157, 1500387306, NULL, NULL, 0),
(122629, 246, 2, 1, 1500588000, 1, 72, 1500619060, NULL, NULL, 0),
(122020, 157, 2, 1, 1500415200, 0.5, 157, 1500387354, NULL, NULL, 0),
(122025, 217, 11112, 27, 1500242400, 0.5, 217, 1500388079, NULL, NULL, 0),
(122026, 217, 11112, 27, 1500242400, 0.5, 217, 1500388070, NULL, NULL, 0),
(122027, 217, 16922, 4, 1500328800, 1, 217, 1500388119, NULL, NULL, 0),
(122040, 72, 23789, 1, 1500328800, 0.25, 72, 1500391745, NULL, NULL, 0),
(122039, 72, 23789, 1, 1500328800, 0.5, 72, 1500391639, NULL, NULL, 0),
(122046, 74, 1, 1, 1500501600, 0.5, 74, 1500446517, NULL, NULL, 0),
(122047, 246, 18488, 6, 1500328800, 1, 246, 1500447870, NULL, NULL, 0),
(122061, 322, 2, 1, 1500588000, 1, 322, 1500449057, NULL, NULL, 0),
(122071, 158, 1041, 1, 1500415200, 1, 72, 1500451567, NULL, NULL, 0),
(122072, 158, 1041, 1, 1500501600, 1, 72, 1500451567, NULL, NULL, 0),
(122073, 158, 1041, 1, 1500588000, 1, 72, 1500451567, NULL, NULL, 0),
(122074, 158, 1041, 1, 1500847200, 1, 72, 1500451567, NULL, NULL, 0),
(122075, 158, 1041, 1, 1500933600, 1, 72, 1500451567, NULL, NULL, 0),
(122076, 158, 1041, 1, 1501020000, 1, 72, 1500451567, NULL, NULL, 0),
(122077, 158, 1041, 1, 1501106400, 1, 72, 1500451567, NULL, NULL, 0),
(122078, 158, 1041, 1, 1501192800, 1, 72, 1500451567, NULL, NULL, 0),
(122079, 158, 1041, 1, 1501452000, 1, 72, 1500451567, NULL, NULL, 0),
(122080, 158, 1041, 1, 1501538400, 1, 72, 1500451567, NULL, NULL, 0),
(122081, 158, 1041, 1, 1501624800, 1, 72, 1500451567, NULL, NULL, 0),
(122082, 158, 1041, 1, 1501711200, 1, 72, 1500451567, NULL, NULL, 0),
(122083, 158, 1041, 1, 1501797600, 1, 72, 1500451567, NULL, NULL, 0),
(122084, 158, 1041, 1, 1502056800, 1, 72, 1500451567, NULL, NULL, 0),
(122085, 158, 1041, 1, 1502143200, 1, 72, 1500451567, NULL, NULL, 0),
(122087, 157, 20427, 4, 1500415200, 0.5, 157, 1500451807, NULL, NULL, 0),
(122144, 168, 17426, 6, 1499119200, 1, 72, 1500464223, NULL, NULL, 0),
(122145, 168, 17428, 6, 1499205600, 1, 72, 1500464282, NULL, NULL, 0),
(122146, 168, 17427, 6, 1499292000, 1, 72, 1500464396, NULL, NULL, 0),
(122147, 205, 19787, 6, 1500328800, 1, 205, 1500466939, NULL, NULL, 0),
(122148, 205, 19787, 6, 1500242400, 1, 205, 1500466949, NULL, NULL, 0),
(122151, 205, 17065, 6, 1499896800, 1, 205, 1500467009, NULL, NULL, 0),
(122152, 205, 17065, 6, 1499810400, 1, 205, 1500467022, NULL, NULL, 0),
(122153, 205, 19787, 6, 1499724000, 1, 205, 1500467033, NULL, NULL, 0),
(122154, 205, 19787, 6, 1499637600, 1, 205, 1500467040, NULL, NULL, 0),
(122155, 205, 19787, 6, 1500415200, 0.5, 205, 1500467061, NULL, NULL, 0),
(122156, 205, 17065, 6, 1500415200, 0.5, 205, 1500467076, NULL, NULL, 0),
(122177, 199, 20324, 4, 1500415200, 0.7, 199, 1500473563, NULL, NULL, 0),
(122171, 199, 20324, 4, 1500328800, 0.5, 199, 1500473236, NULL, NULL, 0),
(122172, 199, 2, 1, 1500328800, 0.5, 199, 1500473259, NULL, NULL, 0),
(122173, 199, 14014, 5, 1500242400, 0.5, 199, 1500473348, NULL, NULL, 0),
(122174, 246, 18488, 6, 1500415200, 0.5, 246, 1500473380, NULL, NULL, 0),
(122175, 199, 2089, 1, 1500242400, 0.5, 199, 1500473377, NULL, NULL, 0),
(122176, 199, 2089, 1, 1500415200, 0.3, 199, 1500473543, NULL, NULL, 0),
(122211, 322, 20461, 5, 1500242400, 1, 322, 1500476113, NULL, NULL, 0),
(122212, 322, 20461, 5, 1500328800, 1, 322, 1500476123, NULL, NULL, 0),
(122216, 322, 20461, 5, 1499896800, 1, 322, 1500476179, NULL, NULL, 0),
(122214, 322, 20461, 5, 1500501600, 1, 322, 1500476137, NULL, NULL, 0),
(122215, 322, 20461, 5, 1500415200, 1, 322, 1500476154, NULL, NULL, 0),
(122217, 322, 20461, 5, 1499810400, 1, 322, 1500476186, NULL, NULL, 0),
(122218, 322, 20461, 5, 1499724000, 1, 322, 1500476203, NULL, NULL, 0),
(122219, 322, 20461, 5, 1499637600, 1, 322, 1500476212, NULL, NULL, 0),
(122222, 322, 20461, 5, 1498773600, 1, 322, 1500476281, NULL, NULL, 0),
(122223, 322, 20461, 5, 1498687200, 1, 322, 1500476290, NULL, NULL, 0),
(122224, 322, 20461, 5, 1498600800, 1, 322, 1500476298, NULL, NULL, 0),
(122225, 322, 20461, 5, 1498514400, 1, 322, 1500476304, NULL, NULL, 0),
(122226, 322, 20461, 5, 1498428000, 1, 322, 1500476311, NULL, NULL, 0),
(122227, 322, 20461, 5, 1498168800, 1, 322, 1500476370, NULL, NULL, 0),
(122228, 322, 20461, 5, 1498082400, 1, 322, 1500476380, NULL, NULL, 0),
(122229, 322, 20461, 5, 1497996000, 1, 322, 1500476387, NULL, NULL, 0),
(122230, 322, 20461, 5, 1497909600, 1, 322, 1500476394, NULL, NULL, 0),
(122231, 322, 20461, 5, 1497823200, 1, 322, 1500476409, NULL, NULL, 0),
(122232, 322, 14791, 5, 1497218400, 1, 322, 1500476458, NULL, NULL, 0),
(122233, 322, 14791, 5, 1497304800, 1, 322, 1500476470, NULL, NULL, 0),
(122234, 322, 14791, 5, 1497391200, 1, 322, 1500476478, NULL, NULL, 0),
(122235, 322, 14791, 5, 1497477600, 1, 322, 1500476486, NULL, NULL, 0),
(122236, 322, 14791, 5, 1497564000, 0.5, 322, 1500476498, NULL, NULL, 0),
(122278, 246, 19427, 4, 1500415200, 0.5, 246, 1500479126, NULL, NULL, 0),
(122322, 72, 23789, 1, 1500415200, 0.8, 72, 1500528156, NULL, NULL, 0),
(122323, 72, 2089, 1, 1500415200, 0.2, 72, 1500528176, NULL, NULL, 0),
(122403, 246, 2, 1, 1502661600, 1, 246, 1500537862, NULL, NULL, 0),
(122573, 74, 16071, 6, 1500501600, 0.5, 74, 1500561842, NULL, NULL, 0),
(122574, 74, 16071, 6, 1500415200, 1, 74, 1500561857, NULL, NULL, 0),
(122576, 74, 16071, 6, 1500242400, 0.5, 74, 1500561937, NULL, NULL, 0),
(122578, 74, 17065, 6, 1500242400, 0.5, 74, 1500561994, NULL, NULL, 0),
(122579, 74, 16071, 6, 1500328800, 0.5, 74, 1500562012, NULL, NULL, 0),
(122624, 157, 20445, 4, 1500501600, 0.25, 157, 1500615529, NULL, NULL, 0),
(122625, 157, 17065, 6, 1500501600, 0.75, 157, 1500618001, NULL, NULL, 0),
(122626, 72, 23789, 1, 1500588000, 1, 72, 1500618016, NULL, NULL, 0),
(122627, 157, 17065, 6, 1500588000, 1, 157, 1500618017, NULL, NULL, 0),
(122628, 72, 23789, 1, 1500501600, 1, 72, 1500618023, NULL, NULL, 0),
(123161, 217, 17065, 6, 1501020000, 0.75, 217, 1501056132, NULL, NULL, 0),
(122651, 205, 2, 1, 1504044000, 1, 205, 1500627839, NULL, NULL, 0),
(122652, 205, 2, 1, 1504130400, 1, 205, 1500627839, NULL, NULL, 0),
(130009, 74, 2, 1, 1513724400, 1, 74, 1504253121, NULL, NULL, 0),
(125005, 205, 2, 1, 1504562400, 0.5, 205, 1501779276, NULL, NULL, 0),
(125004, 205, 2, 1, 1504476000, 0.5, 205, 1501779276, NULL, NULL, 0),
(122673, 48, 1, 1, 1500588000, 1, 48, 1500629626, NULL, NULL, 0),
(122710, 164, 17251, 18, 1500328800, 1, 164, 1500639677, NULL, NULL, 0),
(122801, 199, 19754, 4, 1500588000, 0.1, 199, 1500875280, NULL, NULL, 0),
(122804, 199, 20432, 4, 1500501600, 0.4, 199, 1500875397, NULL, NULL, 0),
(122806, 199, 2089, 1, 1500501600, 0.6, 199, 1500875472, NULL, NULL, 0),
(122805, 199, 20324, 5, 1500588000, 0.6, 199, 1500875434, NULL, NULL, 0),
(122807, 199, 20450, 5, 1500588000, 0.3, 199, 1500877046, NULL, NULL, 0),
(122808, 246, 19427, 5, 1500501600, 0.5, 246, 1500878530, NULL, NULL, 0),
(122809, 246, 18488, 6, 1500501600, 0.5, 246, 1500878551, NULL, NULL, 0),
(122810, 74, 16071, 6, 1500588000, 1, 74, 1500878860, NULL, NULL, 0),
(122838, 72, 1, 1, 1501192800, 0.5, 72, 1500885088, NULL, NULL, 0),
(122839, 199, 2, 1, 1501452000, 1, 199, 1500885271, NULL, NULL, 0),
(122841, 164, 1, 1, 1501020000, 0.5, 164, 1501241126, NULL, NULL, 0),
(123843, 164, 19800, 18, 1501192800, 0.25, 164, 1501241188, NULL, NULL, 0),
(123842, 164, 17251, 17, 1501192800, 0.5, 164, 1501241204, NULL, NULL, 0),
(122846, 72, 20485, 4, 1500847200, 0.5, 72, 1500885687, NULL, NULL, 0),
(122847, 72, 23789, 1, 1500847200, 0.5, 72, 1500885703, NULL, NULL, 0),
(123022, 164, 17251, 17, 1500847200, 1, 164, 1500909696, NULL, NULL, 0),
(123031, 248, 2, 1, 1501020000, 1, 248, 1500913914, NULL, NULL, 0),
(123032, 248, 2, 1, 1501624800, 1, 248, 1500913926, NULL, NULL, 0),
(123033, 248, 2, 1, 1502229600, 1, 248, 1500913938, NULL, NULL, 0),
(123049, 199, 20561, 7, 1500933600, 0.25, 199, 1500966100, NULL, NULL, 0),
(123050, 199, 2089, 1, 1500847200, 0.4, 199, 1500966132, NULL, NULL, 0),
(123057, 246, 19427, 5, 1500847200, 0.3, 246, 1500969476, NULL, NULL, 0),
(123058, 246, 18488, 6, 1500847200, 0.7, 246, 1500969519, NULL, NULL, 0),
(123156, 217, 17065, 6, 1500933600, 1, 217, 1500986685, NULL, NULL, 0),
(123157, 217, 17065, 6, 1500847200, 0.9, 217, 1501742792, NULL, NULL, 0),
(123158, 217, 17065, 6, 1500415200, 1, 217, 1500986755, NULL, NULL, 0),
(123159, 217, 17065, 6, 1500501600, 1, 217, 1500986765, NULL, NULL, 0),
(123160, 217, 17065, 6, 1500588000, 1, 217, 1500986773, NULL, NULL, 0),
(123170, 74, 16071, 6, 1500847200, 1, 74, 1500988298, NULL, NULL, 0),
(123172, 74, 16071, 6, 1500933600, 1, 74, 1500988311, NULL, NULL, 0),
(123181, 164, 19800, 18, 1500933600, 0.6, 164, 1500991809, NULL, NULL, 0),
(123182, 164, 17251, 17, 1500933600, 0.4, 164, 1500991824, NULL, NULL, 0),
(123188, 72, 20486, 5, 1500933600, 0.5, 72, 1500994618, NULL, NULL, 0),
(123189, 72, 23789, 1, 1500933600, 0.5, 72, 1500994632, NULL, NULL, 0),
(123194, 72, 23789, 1, 1501020000, 1, 72, 1500995006, NULL, NULL, 0),
(123201, 199, 2089, 1, 1500933600, 0.25, 199, 1501047177, NULL, NULL, 0),
(123207, 199, 20563, 6, 1501020000, 0.1, 199, 1501050188, NULL, NULL, 0),
(123212, 246, 18488, 6, 1500933600, 0.4, 246, 1501054348, NULL, NULL, 0),
(123213, 246, 20563, 5, 1500933600, 0.1, 246, 1501054369, NULL, NULL, 0),
(123214, 205, 17065, 6, 1500501600, 1, 205, 1501054393, NULL, NULL, 0),
(123215, 205, 17065, 6, 1500588000, 1, 205, 1501054400, NULL, NULL, 0),
(123216, 205, 23789, 1, 1500847200, 0.5, 205, 1501054425, NULL, NULL, 0),
(123217, 246, 17742, 5, 1500933600, 0.5, 246, 1501054437, NULL, NULL, 0),
(123218, 205, 17065, 6, 1500847200, 0.5, 205, 1501054469, NULL, NULL, 0),
(123219, 217, 11112, 27, 1501020000, 0.25, 217, 1501056123, NULL, NULL, 0),
(123220, 217, 17065, 6, 1501106400, 0.75, 217, 1501742839, NULL, NULL, 0),
(123221, 217, 17065, 6, 1501192800, 1, 217, 1501056149, NULL, NULL, 0),
(123233, 164, 20615, 17, 1501020000, 0.5, 164, 1501060817, NULL, NULL, 0),
(123238, 246, 20563, 7, 1501020000, 0.2, 246, 1501071375, NULL, NULL, 0),
(123332, 199, 2089, 1, 1501020000, 0.4, 199, 1501134202, NULL, NULL, 0),
(123333, 199, 20680, 5, 1501020000, 0.5, 199, 1501134855, NULL, NULL, 0),
(123334, 199, 20682, 5, 1500847200, 0.2, 199, 1501135015, NULL, NULL, 0),
(123335, 199, 20682, 5, 1500933600, 0.5, 199, 1501135027, NULL, NULL, 0),
(123336, 199, 20681, 5, 1500847200, 0.4, 199, 1501135046, NULL, NULL, 0),
(123390, 205, 20682, 6, 1501020000, 0.5, 205, 1501140765, NULL, NULL, 0),
(123391, 205, 17065, 6, 1501020000, 0.5, 205, 1501140784, NULL, NULL, 0),
(123405, 246, 17742, 5, 1501020000, 0.8, 246, 1501141072, NULL, NULL, 0),
(123492, 164, 17251, 17, 1501106400, 0.5, 164, 1501146053, NULL, NULL, 0),
(123494, 164, 16588, 18, 1501106400, 0.5, 164, 1501146075, NULL, NULL, 0),
(123509, 246, 2, 1, 1505080800, 1, 246, 1501146335, NULL, NULL, 0),
(123510, 246, 2, 1, 1505167200, 1, 246, 1501146335, NULL, NULL, 0),
(123511, 246, 2, 1, 1505253600, 1, 246, 1501146335, NULL, NULL, 0),
(123512, 246, 2, 1, 1505340000, 1, 246, 1501146335, NULL, NULL, 0),
(123598, 157, 17065, 6, 1500847200, 1, 157, 1501154255, NULL, NULL, 0),
(123599, 157, 20598, 4, 1500933600, 0.5, 157, 1501154315, NULL, NULL, 0),
(123605, 157, 20683, 4, 1500933600, 0.5, 157, 1501154624, NULL, NULL, 0),
(123601, 157, 20683, 6, 1501020000, 0.5, 157, 1501154373, NULL, NULL, 0),
(123602, 157, 20599, 4, 1501020000, 0.5, 157, 1501154407, NULL, NULL, 0),
(123603, 157, 20599, 6, 1501106400, 0.5, 157, 1501154439, NULL, NULL, 0),
(123604, 157, 20598, 6, 1501106400, 0.5, 157, 1501154464, NULL, NULL, 0),
(123685, 72, 23789, 1, 1501106400, 1, 72, 1501163849, NULL, NULL, 0),
(123686, 72, 23789, 1, 1501192800, 0.5, 72, 1501163864, NULL, NULL, 0),
(123771, 246, 17742, 5, 1501106400, 1, 246, 1501228421, NULL, NULL, 0),
(123769, 157, 18756, 6, 1501192800, 0.5, 157, 1501228178, NULL, NULL, 0),
(123770, 157, 20713, 4, 1501192800, 0.5, 157, 1501228220, NULL, NULL, 0),
(123772, 74, 18488, 6, 1501020000, 1, 74, 1501228595, NULL, NULL, 0),
(123773, 74, 19421, 4, 1501106400, 0.5, 74, 1501228802, NULL, NULL, 0),
(123799, 164, 2, 1, 1501797600, 1, 164, 1501232813, NULL, NULL, 0),
(123837, 322, 20461, 5, 1501192800, 1, 322, 1501235649, NULL, NULL, 0),
(123838, 322, 20461, 5, 1501106400, 1, 322, 1501235655, NULL, NULL, 0),
(123839, 322, 20461, 5, 1501020000, 1, 322, 1501235686, NULL, NULL, 0),
(123840, 322, 20461, 5, 1500933600, 1, 322, 1501235705, NULL, NULL, 0),
(123841, 322, 20461, 5, 1500847200, 1, 322, 1501235715, NULL, NULL, 0),
(123844, 164, 16588, 18, 1501192800, 0.25, 164, 1501241220, NULL, NULL, 0),
(123845, 199, 20429, 4, 1501192800, 0.1, 199, 1501242138, NULL, NULL, 0),
(123846, 199, 20429, 4, 1501106400, 0.2, 199, 1501242153, NULL, NULL, 0),
(123847, 199, 2089, 1, 1501106400, 0.5, 199, 1501242164, NULL, NULL, 0),
(123848, 199, 2089, 1, 1501192800, 0.5, 199, 1501242169, NULL, NULL, 0),
(123849, 199, 20645, 5, 1501106400, 0.3, 199, 1501242373, NULL, NULL, 0),
(123858, 199, 20642, 5, 1501192800, 0.1, 199, 1501243427, NULL, NULL, 0),
(123895, 199, 20429, 4, 1501192800, 0.3, 199, 1501248563, NULL, NULL, 0),
(123896, 199, 10741, 2, 1495144800, 1, 199, 1501248675, NULL, NULL, 0),
(127253, 2, 23789, 1, 1502834400, 0.5, 2, 1502896342, NULL, NULL, 0),
(123929, 72, 23789, 1, 1501452000, 1, 72, 1501480138, NULL, NULL, 0),
(123945, 74, 19421, 4, 1501192800, 0.5, 74, 1501482268, NULL, NULL, 0),
(123946, 74, 17064, 4, 1501192800, 0.5, 74, 1501482343, NULL, NULL, 0),
(123961, 322, 20461, 5, 1501452000, 1, 322, 1501487954, NULL, NULL, 0),
(124036, 246, 17742, 5, 1501192800, 0.5, 246, 1501506412, NULL, NULL, 0),
(124035, 246, 18488, 6, 1501192800, 0.5, 246, 1501506317, NULL, NULL, 0),
(124087, 246, 18488, 6, 1501452000, 0.6, 246, 1501514859, NULL, NULL, 0),
(124090, 246, 17742, 5, 1501452000, 0.4, 246, 1501514936, NULL, NULL, 0),
(124108, 72, 23789, 1, 1501538400, 1, 72, 1501573579, NULL, NULL, 0),
(124184, 2, 17401, 18, 1501452000, 0.5, 2, 1501586029, NULL, NULL, 0),
(124185, 2, 20800, 1, 1501538400, 0.5, 2, 1501586389, NULL, NULL, 0),
(124187, 2, 20461, 4, 1501452000, 0.5, 2, 1501586549, NULL, NULL, 0),
(124260, 246, 1435, 1, 1501538400, 0.5, 246, 1501601621, NULL, NULL, 0),
(124268, 164, 17251, 17, 1501452000, 0.5, 164, 1501657951, NULL, NULL, 0),
(124269, 164, 19331, 18, 1501538400, 1, 164, 1501658012, NULL, NULL, 0),
(124270, 164, 20562, 5, 1501452000, 0.5, 164, 1501658098, NULL, NULL, 0),
(124314, 164, 20562, 5, 1501624800, 0.25, 164, 1501676415, NULL, NULL, 0),
(124403, 72, 23789, 1, 1501624800, 1, 72, 1501687921, NULL, NULL, 0),
(124502, 72, 20930, 5, 1501711200, 0.2, 72, 1501739982, NULL, NULL, 0),
(124544, 74, 12288, 5, 1501452000, 1, 74, 1501742410, NULL, NULL, 0),
(124547, 74, 19421, 4, 1501538400, 0.5, 74, 1501742445, NULL, NULL, 0),
(124551, 74, 17637, 5, 1501538400, 0.5, 74, 1501742668, NULL, NULL, 0),
(124552, 74, 17637, 5, 1501624800, 0.5, 74, 1501742683, NULL, NULL, 0),
(124555, 217, 14534, 1, 1501452000, 0.1, 217, 1501742762, NULL, NULL, 0),
(124556, 217, 14534, 1, 1500847200, 0.1, 217, 1501742778, NULL, NULL, 0),
(124558, 217, 11112, 27, 1501106400, 0.25, 217, 1501742829, NULL, NULL, 0),
(124560, 217, 17065, 6, 1501452000, 0.9, 217, 1501742879, NULL, NULL, 0),
(127165, 217, 14534, 1, 1501624800, 0.25, 217, 1502868864, NULL, NULL, 0),
(124562, 248, 2, 1, 1506290400, 1, 248, 1501742977, NULL, NULL, 0),
(124563, 248, 2, 1, 1506376800, 1, 248, 1501742977, NULL, NULL, 0),
(124564, 248, 2, 1, 1506463200, 1, 248, 1501742977, NULL, NULL, 0),
(124565, 248, 2, 1, 1506549600, 1, 248, 1501742977, NULL, NULL, 0),
(124566, 248, 2, 1, 1506636000, 1, 248, 1501742977, NULL, NULL, 0),
(127168, 217, 17065, 27, 1501711200, 0.5, 217, 1502868951, NULL, NULL, 0),
(124570, 217, 17065, 6, 1501538400, 0.7, 217, 1501743062, NULL, NULL, 0),
(127170, 217, 17065, 27, 1501797600, 0.5, 217, 1502869088, NULL, NULL, 0),
(124572, 217, 17065, 6, 1501624800, 0.75, 217, 1501743201, NULL, NULL, 0),
(124573, 217, 17065, 6, 1501711200, 0.25, 217, 1502872176, NULL, NULL, 0),
(124719, 157, 18755, 7, 1501624800, 1, 157, 1501751791, NULL, NULL, 0),
(124721, 157, 20713, 4, 1501452000, 1, 157, 1501751835, NULL, NULL, 0),
(124722, 157, 20427, 6, 1501538400, 1, 157, 1501751869, NULL, NULL, 0),
(124723, 157, 20427, 7, 1501711200, 0.5, 157, 1501751891, NULL, NULL, 0),
(124724, 157, 18755, 7, 1501711200, 0.5, 157, 1501751940, NULL, NULL, 0),
(124725, 157, 18755, 7, 1501797600, 1, 157, 1501751954, NULL, NULL, 0),
(133041, 164, 2, 1, 1512514800, 0.5, 164, 1505809353, NULL, NULL, 0),
(124779, 72, 20485, 7, 1501711200, 0.1, 72, 1501761657, NULL, NULL, 0),
(124781, 72, 20486, 5, 1501711200, 0.2, 72, 1501761691, NULL, NULL, 0),
(124782, 72, 23789, 1, 1501711200, 0.5, 72, 1501761700, NULL, NULL, 0),
(124810, 164, 17251, 17, 1501624800, 0.75, 164, 1501763910, NULL, NULL, 0),
(124811, 164, 17251, 17, 1501711200, 1, 164, 1501763919, NULL, NULL, 0),
(124871, 72, 23789, 1, 1501797600, 1, 72, 1501769615, NULL, NULL, 0),
(124873, 74, 19421, 5, 1501711200, 0.5, 74, 1501769805, NULL, NULL, 0),
(124885, 246, 16526, 4, 1501538400, 0.5, 246, 1501770426, NULL, NULL, 0),
(124891, 246, 16526, 6, 1501624800, 1, 246, 1501770478, NULL, NULL, 0),
(124989, 205, 20640, 4, 1501192800, 0.5, 205, 1501777533, NULL, NULL, 0),
(124990, 205, 17065, 6, 1501106400, 1, 205, 1501777548, NULL, NULL, 0),
(124993, 205, 20643, 4, 1501452000, 0.5, 205, 1501777632, NULL, NULL, 0),
(124992, 205, 17065, 6, 1501192800, 0.5, 205, 1501777570, NULL, NULL, 0),
(124994, 205, 20640, 4, 1501452000, 0.25, 205, 1501777678, NULL, NULL, 0),
(124995, 205, 10745, 2, 1501711200, 1, 205, 1501777819, NULL, NULL, 0),
(124996, 205, 19981, 4, 1501538400, 0.25, 205, 1501777849, NULL, NULL, 0),
(124997, 205, 19421, 2, 1501538400, 0.25, 205, 1501777882, NULL, NULL, 0),
(124998, 205, 19421, 2, 1501624800, 0.25, 205, 1501777890, NULL, NULL, 0),
(124999, 205, 20927, 4, 1501624800, 0.5, 205, 1501777964, NULL, NULL, 0),
(125000, 205, 17065, 6, 1501452000, 0.25, 205, 1501778029, NULL, NULL, 0),
(125001, 205, 17065, 6, 1501538400, 0.5, 205, 1501778043, NULL, NULL, 0),
(125002, 205, 17065, 6, 1501624800, 0.25, 205, 1501778052, NULL, NULL, 0),
(125048, 246, 16526, 6, 1501711200, 0.6, 246, 1501832316, NULL, NULL, 0),
(125049, 246, 20929, 5, 1501711200, 0.4, 246, 1501832339, NULL, NULL, 0),
(125064, 74, 17065, 2, 1501711200, 0.5, 74, 1501833334, NULL, NULL, 0),
(125066, 74, 1, 1, 1503957600, 0.5, 74, 1501833401, NULL, NULL, 0),
(125067, 74, 1, 1, 1504044000, 0.5, 74, 1501833433, NULL, NULL, 0),
(125296, 74, 17425, 4, 1501797600, 1, 74, 1501848796, NULL, NULL, 0),
(125634, 205, 1, 1, 1501797600, 0.25, 205, 1501859149, NULL, NULL, 0),
(125635, 205, 17065, 6, 1501797600, 0.75, 205, 1501859169, NULL, NULL, 0),
(125642, 246, 1435, 1, 1501797600, 1, 246, 1501860965, NULL, NULL, 0),
(125920, 2, 1400, 1, 1504648800, 1, 2, 1502121112, NULL, NULL, 0),
(125921, 2, 1400, 1, 1504735200, 1, 2, 1502121116, NULL, NULL, 0),
(125922, 2, 2, 1, 1504821600, 1, 2, 1502121132, NULL, NULL, 0),
(125923, 164, 1400, 1, 1504476000, 1, 2, 1502121180, NULL, NULL, 0),
(125924, 164, 1400, 1, 1504562400, 1, 2, 1502121183, NULL, NULL, 0),
(125925, 164, 1400, 1, 1504648800, 1, 2, 1502121187, NULL, NULL, 0),
(125926, 164, 1400, 1, 1504735200, 1, 2, 1502121191, NULL, NULL, 0),
(125985, 2, 23789, 1, 1502056800, 0.5, 2, 1502197851, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(125986, 2, 17251, 18, 1502056800, 0.25, 2, 1502197881, NULL, NULL, 0),
(125987, 2, 17251, 17, 1502056800, 0.25, 2, 1502197892, NULL, NULL, 0),
(125993, 246, 16526, 4, 1502056800, 0.8, 246, 1502199170, NULL, NULL, 0),
(125994, 246, 16526, 6, 1502056800, 0.2, 246, 1502199154, NULL, NULL, 0),
(126233, 246, 16526, 6, 1502143200, 1, 246, 1502272213, NULL, NULL, 0),
(126235, 158, 1041, 1, 1502229600, 1, 158, 1502277368, NULL, NULL, 0),
(126236, 158, 1041, 1, 1502316000, 1, 158, 1502277368, NULL, NULL, 0),
(126237, 158, 1041, 1, 1502402400, 1, 158, 1502277368, NULL, NULL, 0),
(126238, 158, 1041, 1, 1502834400, 1, 158, 1502277368, NULL, NULL, 0),
(126239, 158, 1041, 1, 1502920800, 1, 158, 1502277368, NULL, NULL, 0),
(126240, 158, 1041, 1, 1503007200, 1, 158, 1502277368, NULL, NULL, 0),
(126241, 158, 1041, 1, 1503266400, 1, 158, 1502277368, NULL, NULL, 0),
(126242, 158, 1041, 1, 1503352800, 1, 158, 1502277368, NULL, NULL, 0),
(126243, 158, 1041, 1, 1503439200, 1, 158, 1502277368, NULL, NULL, 0),
(126244, 158, 1041, 1, 1503525600, 1, 158, 1502277368, NULL, NULL, 0),
(126245, 158, 1041, 1, 1503612000, 1, 158, 1502277368, NULL, NULL, 0),
(126246, 158, 1041, 1, 1503871200, 1, 158, 1502277368, NULL, NULL, 0),
(126247, 158, 1041, 1, 1503957600, 1, 158, 1502277368, NULL, NULL, 0),
(126248, 158, 1041, 1, 1504044000, 1, 158, 1502277368, NULL, NULL, 0),
(126261, 157, 20928, 6, 1502056800, 0.5, 157, 1502283304, NULL, NULL, 0),
(126262, 157, 20427, 6, 1502056800, 0.5, 157, 1502283328, NULL, NULL, 0),
(126263, 157, 20427, 6, 1502143200, 1, 157, 1502283342, NULL, NULL, 0),
(126264, 157, 18755, 7, 1502229600, 1, 157, 1502283362, NULL, NULL, 0),
(126265, 157, 18755, 7, 1502316000, 1, 157, 1502283380, NULL, NULL, 0),
(126266, 157, 18755, 7, 1502402400, 1, 157, 1502283393, NULL, NULL, 0),
(126369, 2, 23789, 1, 1502143200, 0.5, 2, 1502293283, NULL, NULL, 0),
(126370, 2, 17251, 17, 1502143200, 0.5, 2, 1502293297, NULL, NULL, 0),
(126371, 2, 23789, 1, 1502229600, 0.5, 2, 1502293417, NULL, NULL, 0),
(126372, 2, 19331, 18, 1502229600, 0.25, 2, 1502293341, NULL, NULL, 0),
(126373, 2, 20800, 1, 1502229600, 0.25, 2, 1502293380, NULL, NULL, 0),
(126375, 2, 20800, 1, 1501797600, 0.25, 2, 1502293589, NULL, NULL, 0),
(126376, 2, 23789, 1, 1501711200, 0.5, 2, 1502293625, NULL, NULL, 0),
(126431, 246, 16526, 6, 1502229600, 0.5, 246, 1502295444, NULL, NULL, 0),
(126432, 246, 18488, 6, 1502229600, 0.5, 246, 1502295530, NULL, NULL, 0),
(126510, 169, 2, 1, 1502661600, 1, 169, 1502350922, NULL, NULL, 0),
(126589, 2, 21243, 5, 1502316000, 0.25, 2, 1502358043, NULL, NULL, 0),
(126735, 2, 23789, 1, 1502316000, 0.75, 2, 1502378264, NULL, NULL, 0),
(126745, 246, 1435, 1, 1502316000, 1, 246, 1502379508, NULL, NULL, 0),
(126775, 83, 10858, 1, 1502143200, 0.5, 83, 1502435380, NULL, NULL, 0),
(126771, 83, 18269, 1, 1502056800, 0.5, 83, 1502435330, NULL, NULL, 0),
(126772, 83, 18268, 1, 1502229600, 0.5, 83, 1502435351, NULL, NULL, 0),
(126773, 83, 10858, 1, 1502229600, 0.5, 83, 1502435361, NULL, NULL, 0),
(126774, 83, 10858, 1, 1502056800, 0.5, 83, 1502435371, NULL, NULL, 0),
(126777, 83, 10858, 1, 1502316000, 0.5, 83, 1502435394, NULL, NULL, 0),
(126778, 83, 10858, 1, 1502402400, 1, 83, 1502435400, NULL, NULL, 0),
(129202, 83, 2, 1, 1504044000, 1, 83, 1503907705, NULL, NULL, 0),
(127042, 56, 2, 1, 1501538400, 1, 9, 1502463004, NULL, NULL, 0),
(127043, 56, 2, 1, 1501624800, 1, 9, 1502463004, NULL, NULL, 0),
(127044, 56, 2, 1, 1501711200, 1, 9, 1502463004, NULL, NULL, 0),
(127045, 56, 2, 1, 1501797600, 1, 9, 1502463004, NULL, NULL, 0),
(127046, 56, 2, 1, 1502056800, 1, 9, 1502463004, NULL, NULL, 0),
(127047, 56, 2, 1, 1502143200, 1, 9, 1502463004, NULL, NULL, 0),
(127048, 56, 2, 1, 1502229600, 1, 9, 1502463004, NULL, NULL, 0),
(127049, 56, 2, 1, 1502316000, 1, 9, 1502463004, NULL, NULL, 0),
(127050, 56, 2, 1, 1502402400, 1, 9, 1502463004, NULL, NULL, 0),
(127051, 56, 2, 1, 1502661600, 1, 9, 1502463004, NULL, NULL, 0),
(127162, 246, 18488, 6, 1502402400, 1, 246, 1502867384, NULL, NULL, 0),
(127164, 217, 14534, 1, 1501538400, 0.3, 217, 1502868833, NULL, NULL, 0),
(127195, 217, 4857, 1, 1501797600, 0.2, 217, 1502872186, NULL, NULL, 0),
(127181, 217, 17065, 27, 1502056800, 0.25, 217, 1502870567, NULL, NULL, 0),
(127172, 217, 17065, 6, 1501797600, 0.3, 217, 1502872199, NULL, NULL, 0),
(127198, 217, 4857, 1, 1502143200, 0.25, 217, 1502872476, NULL, NULL, 0),
(127182, 217, 4857, 1, 1502056800, 0.5, 217, 1502870624, NULL, NULL, 0),
(127183, 217, 4857, 1, 1502056800, 0.05, 217, 1502870633, NULL, NULL, 0),
(127184, 217, 17065, 27, 1502143200, 0.25, 217, 1502871966, NULL, NULL, 0),
(127185, 217, 17065, 27, 1502229600, 0.25, 217, 1502871981, NULL, NULL, 0),
(127186, 217, 17065, 27, 1502316000, 0.25, 217, 1502871999, NULL, NULL, 0),
(127187, 217, 17065, 27, 1502402400, 0.25, 217, 1502872010, NULL, NULL, 0),
(127188, 217, 17065, 6, 1502143200, 0.25, 217, 1502872412, NULL, NULL, 0),
(127189, 217, 17065, 6, 1502229600, 0.75, 217, 1502872030, NULL, NULL, 0),
(127190, 217, 17065, 6, 1502316000, 0.75, 217, 1502872038, NULL, NULL, 0),
(127191, 217, 17065, 6, 1502402400, 0.75, 217, 1502872050, NULL, NULL, 0),
(127192, 217, 17065, 27, 1502834400, 0.25, 217, 1502872077, NULL, NULL, 0),
(127193, 217, 17065, 6, 1502834400, 0.75, 217, 1502872089, NULL, NULL, 0),
(127194, 217, 4857, 1, 1501711200, 0.25, 217, 1502872144, NULL, NULL, 0),
(127196, 217, 17065, 18, 1502056800, 0.2, 217, 1502872297, NULL, NULL, 0),
(127197, 217, 17065, 18, 1502143200, 0.25, 217, 1502872488, NULL, NULL, 0),
(127200, 169, 17634, 6, 1502056800, 1, 169, 1502872834, NULL, NULL, 0),
(127201, 169, 17634, 6, 1502143200, 1, 169, 1502872847, NULL, NULL, 0),
(127202, 169, 17740, 6, 1502229600, 1, 169, 1502872877, NULL, NULL, 0),
(127203, 169, 20642, 6, 1502402400, 1, 169, 1502873037, NULL, NULL, 0),
(127210, 169, 21301, 4, 1502316000, 1, 169, 1502875230, NULL, NULL, 0),
(127254, 2, 1437, 1, 1501624800, 0.5, 2, 1502896405, NULL, NULL, 0),
(127255, 2, 1437, 1, 1501711200, 0.5, 2, 1502896412, NULL, NULL, 0),
(127259, 246, 18488, 6, 1502834400, 1, 246, 1502900279, NULL, NULL, 0),
(127521, 2, 23789, 1, 1502920800, 0.25, 2, 1502989216, NULL, NULL, 0),
(127522, 2, 19800, 18, 1502920800, 0.25, 2, 1503043822, NULL, NULL, 0),
(127523, 246, 16526, 4, 1502920800, 0.2, 246, 1503040043, NULL, NULL, 0),
(127556, 394, 2, 1, 1502402400, 1, 394, 1503057282, NULL, NULL, 0),
(127557, 394, 2, 1, 1502834400, 1, 394, 1503057282, NULL, NULL, 0),
(127716, 2, 23789, 1, 1503007200, 0.75, 2, 1503072122, NULL, NULL, 0),
(127717, 246, 21342, 5, 1502920800, 0.8, 246, 1503072137, NULL, NULL, 0),
(127718, 246, 16526, 6, 1503007200, 0.2, 246, 1503072160, NULL, NULL, 0),
(127719, 246, 21343, 4, 1503007200, 0.8, 246, 1503072195, NULL, NULL, 0),
(127724, 199, 2, 1, 1502661600, 1, 199, 1504785957, NULL, NULL, 0),
(127727, 217, 17065, 27, 1502920800, 0.3, 217, 1503293958, NULL, NULL, 0),
(127726, 217, 1506, 1, 1503007200, 0.5, 217, 1503293937, NULL, NULL, 0),
(127728, 217, 17065, 27, 1503007200, 0.25, 217, 1503293976, NULL, NULL, 0),
(127729, 217, 4857, 1, 1503007200, 0.25, 217, 1503293998, NULL, NULL, 0),
(127730, 217, 17065, 6, 1502920800, 0.7, 217, 1503294008, NULL, NULL, 0),
(127795, 169, 21301, 4, 1502834400, 1, 169, 1503304097, NULL, NULL, 0),
(127797, 169, 21344, 4, 1502920800, 1, 169, 1503304456, NULL, NULL, 0),
(127800, 169, 21344, 4, 1503007200, 1, 169, 1503304503, NULL, NULL, 0),
(127869, 246, 2041, 1, 1503266400, 0.7, 246, 1503328825, NULL, NULL, 0),
(127870, 246, 21343, 4, 1503266400, 0.3, 246, 1503328843, NULL, NULL, 0),
(127947, 2, 21348, 4, 1503352800, 0.25, 2, 1503393930, NULL, NULL, 0),
(127948, 2, 23789, 1, 1503266400, 0.5, 2, 1503393960, NULL, NULL, 0),
(127949, 2, 17251, 17, 1503266400, 0.5, 2, 1503393982, NULL, NULL, 0),
(127954, 2, 17251, 17, 1503352800, 0.25, 2, 1503397035, NULL, NULL, 0),
(128022, 199, 2089, 1, 1503266400, 0.5, 199, 1503469034, NULL, NULL, 0),
(128023, 199, 20683, 4, 1503352800, 0.6, 199, 1503469085, NULL, NULL, 0),
(128024, 199, 20599, 4, 1503352800, 0.1, 199, 1503469127, NULL, NULL, 0),
(128025, 199, 1505, 1, 1503266400, 0.25, 199, 1503469230, NULL, NULL, 0),
(128026, 199, 2089, 1, 1503352800, 0.3, 199, 1503469271, NULL, NULL, 0),
(128027, 199, 21350, 4, 1503266400, 0.25, 199, 1503469401, NULL, NULL, 0),
(128028, 217, 4857, 1, 1503266400, 0.5, 217, 1503471563, NULL, NULL, 0),
(128029, 217, 4857, 1, 1503352800, 0.25, 217, 1503471571, NULL, NULL, 0),
(128030, 217, 17065, 6, 1503266400, 0.3, 217, 1503471703, NULL, NULL, 0),
(128031, 217, 17065, 6, 1503352800, 0.75, 217, 1503471670, NULL, NULL, 0),
(128032, 217, 17065, 27, 1503266400, 0.2, 217, 1503471689, NULL, NULL, 0),
(128033, 217, 17065, 27, 1503439200, 0.2, 217, 1503471731, NULL, NULL, 0),
(128034, 217, 17065, 6, 1503439200, 0.8, 217, 1503471741, NULL, NULL, 0),
(128036, 246, 1435, 1, 1503352800, 0.5, 246, 1503493761, NULL, NULL, 0),
(128098, 88, 2, 1, 1502661600, 1, 88, 1503478873, NULL, NULL, 0),
(128099, 88, 2, 1, 1503612000, 1, 88, 1503478923, NULL, NULL, 0),
(128387, 246, 21352, 5, 1503352800, 0.5, 246, 1503493797, NULL, NULL, 0),
(128388, 246, 21352, 5, 1503439200, 0.1, 246, 1503560299, NULL, NULL, 0),
(128515, 246, 21353, 5, 1503439200, 0.4, 246, 1503560329, NULL, NULL, 0),
(128516, 246, 1435, 1, 1503439200, 0.2, 246, 1503560345, NULL, NULL, 0),
(128518, 246, 21354, 4, 1503439200, 0.3, 246, 1503560372, NULL, NULL, 0),
(128790, 2, 17251, 17, 1503439200, 0.5, 2, 1503587023, NULL, NULL, 0),
(128791, 2, 17251, 17, 1503525600, 0.25, 2, 1503587033, NULL, NULL, 0),
(128792, 2, 17251, 18, 1503525600, 0.25, 2, 1503587042, NULL, NULL, 0),
(128793, 2, 23789, 1, 1503439200, 0.5, 2, 1503587052, NULL, NULL, 0),
(128794, 2, 23789, 1, 1503525600, 0.5, 2, 1503587059, NULL, NULL, 0),
(128795, 2, 23789, 1, 1503352800, 0.25, 2, 1503587067, NULL, NULL, 0),
(128796, 2, 17251, 18, 1503612000, 0.25, 2, 1503587083, NULL, NULL, 0),
(128812, 199, 21301, 4, 1503525600, 0.25, 199, 1503640734, NULL, NULL, 0),
(128813, 199, 21344, 4, 1503525600, 0.25, 199, 1503640761, NULL, NULL, 0),
(128814, 199, 2089, 1, 1503439200, 0.3, 199, 1503640791, NULL, NULL, 0),
(128826, 246, 16516, 5, 1503525600, 0.5, 246, 1503642536, NULL, NULL, 0),
(128827, 246, 21354, 5, 1503525600, 0.4, 246, 1503642562, NULL, NULL, 0),
(128866, 246, 21453, 4, 1503525600, 0.1, 246, 1503646720, NULL, NULL, 0),
(128886, 169, 21301, 4, 1503266400, 1, 169, 1503647163, NULL, NULL, 0),
(128887, 169, 21344, 4, 1503352800, 1, 169, 1503647180, NULL, NULL, 0),
(128889, 169, 21344, 4, 1503439200, 0.5, 169, 1503647189, NULL, NULL, 0),
(128890, 169, 21301, 4, 1503439200, 0.5, 169, 1503647198, NULL, NULL, 0),
(128892, 169, 20642, 6, 1503525600, 1, 169, 1503647231, NULL, NULL, 0),
(128893, 169, 20642, 6, 1503612000, 1, 169, 1503647246, NULL, NULL, 0),
(128935, 2, 1435, 1, 1503612000, 0.25, 2, 1503657624, NULL, NULL, 0),
(129017, 217, 17065, 27, 1503525600, 0.2, 217, 1503665852, NULL, NULL, 0),
(129018, 217, 17065, 27, 1503612000, 0.2, 217, 1503665863, NULL, NULL, 0),
(129019, 217, 17065, 6, 1503525600, 0.8, 217, 1503665875, NULL, NULL, 0),
(129020, 217, 17065, 6, 1503612000, 0.3, 217, 1503665888, NULL, NULL, 0),
(129021, 217, 1506, 1, 1503612000, 0.5, 217, 1503665905, NULL, NULL, 0),
(129029, 199, 2089, 1, 1503612000, 0.5, 199, 1503667707, NULL, NULL, 0),
(129030, 199, 2089, 1, 1503525600, 0.25, 199, 1503667731, NULL, NULL, 0),
(129033, 199, 21352, 7, 1503439200, 0.25, 199, 1503667910, NULL, NULL, 0),
(129034, 199, 20927, 4, 1503612000, 0.25, 199, 1503668081, NULL, NULL, 0),
(129183, 199, 1506, 1, 1503612000, 0.25, 199, 1503903026, NULL, NULL, 0),
(129167, 2, 23789, 1, 1503612000, 0.5, 2, 1503781779, NULL, NULL, 0),
(129177, 246, 21453, 4, 1503612000, 1, 246, 1503902712, NULL, NULL, 0),
(129182, 199, 13774, 7, 1503525600, 0.25, 199, 1503902973, NULL, NULL, 0),
(129200, 83, 1, 1, 1503612000, 0.5, 83, 1503907582, NULL, NULL, 0),
(129199, 83, 1, 1, 1503352800, 0.5, 83, 1503907521, NULL, NULL, 0),
(129201, 83, 1, 1, 1503871200, 0.5, 83, 1503907602, NULL, NULL, 0),
(129203, 83, 10858, 1, 1502834400, 0.5, 83, 1503907732, NULL, NULL, 0),
(129204, 83, 10858, 1, 1502920800, 0.5, 83, 1503907732, NULL, NULL, 0),
(129205, 83, 10858, 1, 1503007200, 0.5, 83, 1503907732, NULL, NULL, 0),
(129206, 83, 10858, 1, 1503266400, 0.5, 83, 1503907732, NULL, NULL, 0),
(129207, 83, 10858, 1, 1503352800, 0.5, 83, 1503907732, NULL, NULL, 0),
(129208, 83, 10858, 1, 1503439200, 0.5, 83, 1503907732, NULL, NULL, 0),
(129209, 83, 10858, 1, 1503525600, 0.5, 83, 1503907732, NULL, NULL, 0),
(129210, 83, 10858, 1, 1503612000, 0.5, 83, 1503907732, NULL, NULL, 0),
(129211, 83, 10858, 1, 1503871200, 0.5, 83, 1503907732, NULL, NULL, 0),
(129212, 83, 10858, 1, 1503957600, 0.5, 83, 1503907732, NULL, NULL, 0),
(129213, 83, 10858, 1, 1504130400, 0.5, 83, 1503907732, NULL, NULL, 0),
(129236, 74, 1, 1, 1505340000, 0.5, 74, 1503910265, NULL, NULL, 0),
(129259, 74, 1, 1, 1505426400, 0.5, 74, 1503919262, NULL, NULL, 0),
(129351, 246, 17065, 6, 1503871200, 0.5, 246, 1503990832, NULL, NULL, 0),
(129352, 246, 21354, 5, 1503871200, 0.5, 246, 1503990955, NULL, NULL, 0),
(129361, 169, 20642, 6, 1503871200, 1, 169, 1504008416, NULL, NULL, 0),
(129362, 169, 20642, 6, 1503957600, 0.75, 169, 1504008463, NULL, NULL, 0),
(129422, 248, 2, 1, 1504044000, 1, 248, 1504015810, NULL, NULL, 0),
(129440, 246, 21354, 5, 1503957600, 1, 246, 1504021491, NULL, NULL, 0),
(129446, 2, 23789, 1, 1503871200, 0.5, 2, 1504023856, NULL, NULL, 0),
(129447, 2, 23789, 1, 1503957600, 0.25, 2, 1504023867, NULL, NULL, 0),
(129448, 2, 17251, 17, 1503957600, 0.25, 2, 1504023898, NULL, NULL, 0),
(129449, 2, 17251, 17, 1503871200, 0.25, 2, 1504023907, NULL, NULL, 0),
(129450, 2, 16588, 18, 1503957600, 0.25, 2, 1504024080, NULL, NULL, 0),
(129451, 2, 21458, 5, 1503871200, 0.25, 2, 1504024229, NULL, NULL, 0),
(129575, 2, 23789, 1, 1504044000, 0.5, 2, 1504103344, NULL, NULL, 0),
(129576, 2, 20800, 1, 1504044000, 0.1, 2, 1504098533, NULL, NULL, 0),
(129577, 2, 20800, 1, 1503957600, 0.05, 2, 1504098541, NULL, NULL, 0),
(129593, 2, 21348, 4, 1504044000, 0.4, 2, 1505724734, NULL, NULL, 0),
(130145, 74, 10743, 5, 1504216800, 1, 74, 1504267683, NULL, NULL, 0),
(129648, 246, 21354, 5, 1504044000, 1, 246, 1504163063, NULL, NULL, 0),
(129703, 74, 1, 1, 1504130400, 0.5, 74, 1504166305, NULL, NULL, 0),
(129706, 169, 20646, 4, 1503957600, 0.25, 169, 1504166571, NULL, NULL, 0),
(129707, 169, 20646, 5, 1504044000, 0.5, 169, 1504166594, NULL, NULL, 0),
(129708, 169, 20646, 6, 1504044000, 0.5, 169, 1504166620, NULL, NULL, 0),
(129709, 169, 20644, 4, 1504130400, 0.5, 169, 1504166693, NULL, NULL, 0),
(129711, 169, 20644, 5, 1504130400, 0.5, 169, 1504166713, NULL, NULL, 0),
(136018, 217, 17065, 27, 1505772000, 0.2, 217, 1507539341, NULL, NULL, 0),
(129799, 217, 2, 1, 1506290400, 1, 217, 1504172675, NULL, NULL, 0),
(129800, 217, 2, 1, 1506376800, 1, 217, 1504172675, NULL, NULL, 0),
(129801, 217, 2, 1, 1506463200, 1, 217, 1504172675, NULL, NULL, 0),
(129802, 217, 2, 1, 1506549600, 1, 217, 1504172675, NULL, NULL, 0),
(129803, 217, 2, 1, 1506636000, 1, 217, 1504172675, NULL, NULL, 0),
(129956, 2, 23789, 1, 1504130400, 0.6, 2, 1504194936, NULL, NULL, 0),
(129957, 2, 17251, 17, 1504130400, 0.2, 2, 1504194951, NULL, NULL, 0),
(129998, 246, 21354, 5, 1504130400, 1, 246, 1504249868, NULL, NULL, 0),
(130005, 248, 2, 1, 1511737200, 1, 248, 1504252147, NULL, NULL, 0),
(130006, 248, 2, 1, 1511823600, 1, 248, 1504252157, NULL, NULL, 0),
(130010, 74, 2, 1, 1513810800, 1, 74, 1504253121, NULL, NULL, 0),
(135282, 74, 1, 1, 1507500000, 0.5, 74, 1507120954, NULL, NULL, 0),
(135701, 74, 2, 1, 1508968800, 1, 74, 1507273274, NULL, NULL, 0),
(135700, 74, 2, 1, 1508882400, 1, 74, 1507273274, NULL, NULL, 0),
(135699, 74, 2, 1, 1508796000, 1, 74, 1507273274, NULL, NULL, 0),
(130148, 74, 19871, 4, 1504130400, 0.5, 74, 1504269268, NULL, NULL, 0),
(130156, 74, 17424, 5, 1503957600, 0.5, 74, 1504269531, NULL, NULL, 0),
(130158, 74, 17424, 5, 1504044000, 0.5, 74, 1504269549, NULL, NULL, 0),
(130173, 218, 2, 1, 1502661600, 1, 218, 1504270871, NULL, NULL, 0),
(130223, 246, 21453, 4, 1504216800, 0.4, 246, 1504277309, NULL, NULL, 0),
(130225, 246, 21354, 7, 1504216800, 0.6, 246, 1504277343, NULL, NULL, 0),
(130229, 88, 2, 1, 1509318000, 1, 88, 1504280427, NULL, NULL, 0),
(130230, 88, 2, 1, 1509404400, 1, 88, 1504280427, NULL, NULL, 0),
(130232, 88, 2, 1, 1509577200, 1, 88, 1504280525, NULL, NULL, 0),
(130233, 88, 2, 1, 1509663600, 1, 88, 1504280525, NULL, NULL, 0),
(130237, 88, 2, 1, 1513551600, 1, 88, 1504280618, NULL, NULL, 0),
(130238, 88, 2, 1, 1513638000, 1, 88, 1504280618, NULL, NULL, 0),
(130239, 88, 2, 1, 1513724400, 1, 88, 1504280618, NULL, NULL, 0),
(130240, 88, 2, 1, 1513810800, 1, 88, 1504280618, NULL, NULL, 0),
(130241, 88, 2, 1, 1508104800, 1, 88, 1504280714, NULL, NULL, 0),
(130242, 88, 2, 1, 1508191200, 1, 88, 1504280714, NULL, NULL, 0),
(130243, 88, 2, 1, 1508277600, 1, 88, 1504280714, NULL, NULL, 0),
(130244, 88, 2, 1, 1508364000, 1, 88, 1504280714, NULL, NULL, 0),
(130245, 88, 2, 1, 1508450400, 1, 88, 1504280714, NULL, NULL, 0),
(130269, 169, 20644, 5, 1504216800, 0.5, 169, 1504282772, NULL, NULL, 0),
(130270, 169, 20644, 6, 1504216800, 0.5, 169, 1504282787, NULL, NULL, 0),
(130271, 169, 20644, 6, 1504476000, 1, 169, 1504282808, NULL, NULL, 0),
(130273, 2, 23789, 1, 1504216800, 1, 2, 1504302266, NULL, NULL, 0),
(130284, 199, 21354, 4, 1503439200, 0.4, 199, 1504503699, NULL, NULL, 0),
(130286, 199, 21354, 4, 1503439200, 0.05, 199, 1504503754, NULL, NULL, 0),
(130287, 199, 2089, 1, 1504216800, 0.25, 199, 1504503824, NULL, NULL, 0),
(130288, 199, 2089, 1, 1504130400, 0.25, 199, 1504503830, NULL, NULL, 0),
(130289, 199, 2089, 1, 1504044000, 0.25, 199, 1504503834, NULL, NULL, 0),
(130290, 199, 2089, 1, 1503957600, 0.25, 199, 1504503838, NULL, NULL, 0),
(130291, 199, 2089, 1, 1503871200, 0.25, 199, 1504503842, NULL, NULL, 0),
(130292, 199, 13774, 7, 1503871200, 0.5, 199, 1504504036, NULL, NULL, 0),
(130293, 199, 21564, 5, 1503871200, 0.25, 199, 1504504805, NULL, NULL, 0),
(130294, 199, 21563, 5, 1503957600, 0.75, 199, 1504504827, NULL, NULL, 0),
(130295, 199, 21562, 5, 1504044000, 0.5, 199, 1504504853, NULL, NULL, 0),
(130297, 199, 21561, 5, 1504130400, 0.5, 199, 1504505292, NULL, NULL, 0),
(130298, 199, 21560, 5, 1504216800, 0.25, 199, 1504505317, NULL, NULL, 0),
(130299, 199, 2089, 1, 1504044000, 0.25, 199, 1504505338, NULL, NULL, 0),
(130300, 199, 1506, 1, 1504130400, 0.25, 199, 1504505360, NULL, NULL, 0),
(130301, 199, 2089, 1, 1504216800, 0.25, 199, 1504505371, NULL, NULL, 0),
(130302, 199, 2089, 1, 1504216800, 0.25, 199, 1504505382, NULL, NULL, 0),
(130303, 74, 17065, 6, 1503871200, 1, 74, 1504507766, NULL, NULL, 0),
(130419, 158, 1041, 1, 1504130400, 1, 72, 1504519065, NULL, NULL, 0),
(130420, 158, 1041, 1, 1504216800, 1, 72, 1504519065, NULL, NULL, 0),
(130421, 158, 1041, 1, 1504476000, 1, 72, 1504519065, NULL, NULL, 0),
(130422, 158, 1041, 1, 1504562400, 1, 72, 1504519065, NULL, NULL, 0),
(130423, 158, 1041, 1, 1504648800, 1, 72, 1504519065, NULL, NULL, 0),
(130424, 158, 1041, 1, 1504735200, 1, 72, 1504519065, NULL, NULL, 0),
(130425, 158, 1041, 1, 1504821600, 1, 72, 1504519065, NULL, NULL, 0),
(130426, 157, 2, 1, 1509318000, 1, 157, 1504520988, NULL, NULL, 0),
(130427, 157, 2, 1, 1509404400, 1, 157, 1504520988, NULL, NULL, 0),
(130428, 157, 2, 1, 1509577200, 1, 157, 1504520988, NULL, NULL, 0),
(130429, 157, 2, 1, 1509663600, 1, 157, 1504520988, NULL, NULL, 0),
(130430, 157, 2, 1, 1514242800, 1, 157, 1504521051, NULL, NULL, 0),
(130433, 157, 2, 1, 1514502000, 1, 157, 1504521051, NULL, NULL, 0),
(130434, 157, 2, 1, 1514847600, 1, 157, 1504521051, NULL, NULL, 0),
(130435, 157, 2, 1, 1514934000, 1, 157, 1504521051, NULL, NULL, 0),
(130436, 157, 2, 1, 1515020400, 1, 157, 1504521051, NULL, NULL, 0),
(130437, 157, 2, 1, 1515106800, 1, 157, 1504521051, NULL, NULL, 0),
(130438, 205, 17065, 6, 1503871200, 1, 205, 1504522926, NULL, NULL, 0),
(130439, 205, 17065, 6, 1503957600, 1, 205, 1504522935, NULL, NULL, 0),
(130440, 205, 17065, 6, 1504216800, 1, 205, 1504522955, NULL, NULL, 0),
(130441, 205, 17065, 6, 1504476000, 0.25, 205, 1504522978, NULL, NULL, 0),
(130442, 205, 23789, 1, 1504476000, 0.25, 205, 1504522990, NULL, NULL, 0),
(131643, 72, 2, 1, 1505685600, 0.5, 72, 1505208185, NULL, NULL, 0),
(130575, 248, 2, 1, 1504648800, 1, 248, 1504597918, NULL, NULL, 0),
(130658, 72, 23789, 1, 1504476000, 1, 72, 1504611058, NULL, NULL, 0),
(130733, 157, 21350, 4, 1504476000, 0.25, 157, 1504707036, NULL, NULL, 0),
(130732, 157, 21350, 5, 1504562400, 0.25, 157, 1504706428, NULL, NULL, 0),
(130734, 157, 21595, 4, 1504476000, 0.25, 157, 1504707108, NULL, NULL, 0),
(130735, 157, 21595, 5, 1504562400, 0.25, 157, 1504707129, NULL, NULL, 0),
(130736, 157, 21596, 4, 1504476000, 0.25, 157, 1504707179, NULL, NULL, 0),
(130737, 157, 21596, 5, 1504562400, 0.5, 157, 1504707201, NULL, NULL, 0),
(130738, 157, 21599, 4, 1504476000, 0.25, 157, 1504707226, NULL, NULL, 0),
(130739, 157, 21599, 5, 1504648800, 0.25, 157, 1504707243, NULL, NULL, 0),
(130740, 157, 21600, 4, 1504648800, 0.5, 157, 1504707282, NULL, NULL, 0),
(130741, 157, 21598, 4, 1504648800, 0.25, 157, 1504707315, NULL, NULL, 0),
(130742, 157, 21597, 4, 1504735200, 1, 157, 1504707347, NULL, NULL, 0),
(130743, 157, 21597, 4, 1504821600, 1, 157, 1504707364, NULL, NULL, 0),
(130887, 199, 1041, 1, 1504735200, 1, 72, 1504772612, NULL, NULL, 0),
(130889, 217, 1041, 1, 1504648800, 1, 72, 1504772641, NULL, NULL, 0),
(130890, 217, 1041, 1, 1504735200, 1, 72, 1504772642, NULL, NULL, 0),
(130891, 217, 1041, 1, 1504821600, 1, 72, 1504772642, NULL, NULL, 0),
(130993, 72, 2089, 1, 1504648800, 0.5, 72, 1504786098, NULL, NULL, 0),
(130997, 72, 17251, 17, 1504562400, 1, 72, 1504786308, NULL, NULL, 0),
(130998, 72, 17251, 17, 1504648800, 0.5, 72, 1504786329, NULL, NULL, 0),
(130999, 72, 23789, 1, 1504735200, 1, 72, 1504786339, NULL, NULL, 0),
(131081, 205, 17065, 6, 1504562400, 0.5, 205, 1504800803, NULL, NULL, 0),
(131082, 205, 17065, 6, 1504648800, 0.75, 205, 1504800818, NULL, NULL, 0),
(131083, 205, 23789, 1, 1504648800, 0.25, 205, 1504800828, NULL, NULL, 0),
(131084, 205, 17065, 6, 1504735200, 1, 205, 1504800837, NULL, NULL, 0),
(131089, 72, 23789, 1, 1504821600, 1, 72, 1504853616, NULL, NULL, 0),
(131090, 199, 1041, 1, 1504821600, 1, 72, 1504853645, NULL, NULL, 0),
(131091, 74, 21613, 5, 1504476000, 1, 74, 1504853755, NULL, NULL, 0),
(131092, 74, 21613, 5, 1504562400, 1, 74, 1504853770, NULL, NULL, 0),
(131093, 74, 21613, 6, 1504648800, 1, 74, 1504853787, NULL, NULL, 0),
(131094, 74, 21613, 6, 1504735200, 1, 74, 1504853797, NULL, NULL, 0),
(131095, 74, 21613, 5, 1504821600, 1, 74, 1504853815, NULL, NULL, 0),
(131096, 164, 17251, 17, 1504821600, 0.5, 164, 1504882217, NULL, NULL, 0),
(131165, 168, 1, 1, 1504821600, 0.5, 168, 1504863226, NULL, NULL, 0),
(131166, 168, 1, 1, 1505426400, 1, 168, 1504863249, NULL, NULL, 0),
(131167, 168, 2, 1, 1505167200, 1, 168, 1504863264, NULL, NULL, 0),
(131169, 168, 21613, 5, 1504476000, 1, 168, 1504863351, NULL, NULL, 0),
(131170, 168, 21613, 5, 1504562400, 1, 168, 1504863371, NULL, NULL, 0),
(131171, 168, 21613, 5, 1504648800, 1, 168, 1504863389, NULL, NULL, 0),
(131172, 168, 21613, 5, 1504735200, 1, 168, 1504863406, NULL, NULL, 0),
(131175, 168, 1, 1, 1506031200, 1, 168, 1504863507, NULL, NULL, 0),
(131174, 168, 21613, 5, 1504821600, 0.5, 168, 1504863480, NULL, NULL, 0),
(131177, 168, 1, 1, 1506636000, 1, 168, 1504863534, NULL, NULL, 0),
(131178, 168, 1, 1, 1507240800, 0.5, 168, 1507711331, NULL, NULL, 0),
(131187, 168, 10743, 5, 1501797600, 1, 168, 1504863777, NULL, NULL, 0),
(131192, 168, 10743, 5, 1504044000, 1, 168, 1504864252, NULL, NULL, 0),
(131204, 168, 10745, 5, 1503957600, 1, 168, 1504864551, NULL, NULL, 0),
(131229, 246, 1437, 1, 1504476000, 1, 72, 1504867886, NULL, NULL, 0),
(131230, 246, 1437, 1, 1504562400, 1, 72, 1504867894, NULL, NULL, 0),
(131287, 248, 2, 1, 1505253600, 1, 248, 1504872636, NULL, NULL, 0),
(131288, 248, 2, 1, 1505858400, 1, 248, 1504872646, NULL, NULL, 0),
(131319, 164, 1435, 1, 1504821600, 0.5, 164, 1504882274, NULL, NULL, 0),
(131461, 217, 17065, 6, 1504476000, 0.4, 217, 1505109882, NULL, NULL, 0),
(131462, 217, 17065, 27, 1504476000, 0.1, 217, 1505109902, NULL, NULL, 0),
(131463, 217, 4857, 1, 1504476000, 0.5, 217, 1505109923, NULL, NULL, 0),
(131464, 217, 17065, 6, 1504562400, 0.75, 217, 1505109956, NULL, NULL, 0),
(131465, 217, 17065, 27, 1504562400, 0.25, 217, 1505109973, NULL, NULL, 0),
(131466, 217, 17065, 6, 1503871200, 0.75, 217, 1505110020, NULL, NULL, 0),
(131467, 217, 17065, 6, 1503957600, 0.75, 217, 1505110036, NULL, NULL, 0),
(131468, 217, 17065, 6, 1504044000, 0.75, 217, 1505110062, NULL, NULL, 0),
(131469, 217, 17065, 6, 1504130400, 0.75, 217, 1505110073, NULL, NULL, 0),
(131470, 217, 17065, 6, 1504216800, 0.75, 217, 1505110082, NULL, NULL, 0),
(131471, 217, 17065, 27, 1503871200, 0.25, 217, 1505110096, NULL, NULL, 0),
(131472, 217, 17065, 27, 1503957600, 0.25, 217, 1505110105, NULL, NULL, 0),
(131473, 217, 17065, 27, 1504044000, 0.25, 217, 1505110112, NULL, NULL, 0),
(131474, 217, 17065, 27, 1504130400, 0.25, 217, 1505110119, NULL, NULL, 0),
(131475, 217, 17065, 27, 1504216800, 0.25, 217, 1505110128, NULL, NULL, 0),
(131476, 217, 17065, 6, 1505080800, 0.75, 217, 1505110147, NULL, NULL, 0),
(131477, 217, 17065, 27, 1505080800, 0.25, 217, 1505110171, NULL, NULL, 0),
(131555, 199, 2, 1, 1505772000, 1, 199, 1505132724, NULL, NULL, 0),
(131562, 157, 21618, 4, 1505080800, 0.5, 157, 1505135888, NULL, NULL, 0),
(131563, 157, 21619, 4, 1505080800, 0.25, 157, 1505135927, NULL, NULL, 0),
(131564, 157, 21620, 4, 1505080800, 0.25, 157, 1505135973, NULL, NULL, 0),
(131565, 199, 14014, 6, 1504648800, 1, 199, 1505136027, NULL, NULL, 0),
(131566, 199, 14014, 6, 1504562400, 1, 199, 1505136044, NULL, NULL, 0),
(131567, 199, 18267, 1, 1504476000, 0.25, 199, 1505136076, NULL, NULL, 0),
(131597, 164, 21622, 17, 1505080800, 1, 164, 1505143129, NULL, NULL, 0),
(131598, 164, 2, 1, 1514847600, 1, 164, 1505143183, NULL, NULL, 0),
(131599, 164, 2, 1, 1514934000, 1, 164, 1505143183, NULL, NULL, 0),
(131600, 164, 2, 1, 1515020400, 1, 164, 1505143183, NULL, NULL, 0),
(131601, 164, 2, 1, 1515106800, 1, 164, 1505143183, NULL, NULL, 0),
(131603, 2, 23789, 1, 1505080800, 0.5, 2, 1505146300, NULL, NULL, 0),
(131604, 2, 21623, 5, 1505080800, 0.5, 2, 1505147057, NULL, NULL, 0),
(131607, 199, 1506, 1, 1505080800, 0.25, 199, 1505195274, NULL, NULL, 0),
(131606, 199, 21562, 5, 1505080800, 0.25, 199, 1505195245, NULL, NULL, 0),
(131611, 72, 2, 1, 1509577200, 1, 72, 1505200474, NULL, NULL, 0),
(131612, 72, 2, 1, 1509663600, 1, 72, 1505200474, NULL, NULL, 0),
(131642, 2, 20800, 1, 1505167200, 0.25, 2, 1505207626, NULL, NULL, 0),
(131645, 2, 21623, 5, 1505167200, 0.25, 2, 1505210423, NULL, NULL, 0),
(131661, 164, 3965, 1, 1506117600, 1, 2, 1505212464, NULL, NULL, 0),
(131662, 2, 2, 1, 1514847600, 1, 2, 1505215926, NULL, NULL, 0),
(131663, 2, 2, 1, 1515020400, 1, 2, 1515171858, NULL, NULL, 0),
(131686, 157, 21618, 7, 1505167200, 1, 157, 1505226150, NULL, NULL, 0),
(131687, 157, 21618, 6, 1505253600, 1, 157, 1505226171, NULL, NULL, 0),
(131688, 74, 21613, 5, 1505080800, 0.5, 74, 1505226419, NULL, NULL, 0),
(136347, 2, 17251, 18, 1507586400, 0.5, 2, 1507649652, NULL, NULL, 0),
(136346, 199, 1041, 1, 1507845600, 1, 72, 1507648794, NULL, NULL, 0),
(136345, 199, 1041, 1, 1507759200, 1, 72, 1507648794, NULL, NULL, 0),
(136344, 199, 1041, 1, 1507672800, 1, 72, 1507648794, NULL, NULL, 0),
(131770, 74, 1506, 1, 1505080800, 0.5, 74, 1505227105, NULL, NULL, 0),
(131771, 74, 21613, 5, 1505167200, 1, 74, 1505227144, NULL, NULL, 0),
(131772, 164, 21622, 17, 1505167200, 0.25, 164, 1505228181, NULL, NULL, 0),
(131773, 164, 17251, 17, 1505167200, 0.5, 164, 1505228245, NULL, NULL, 0),
(131774, 164, 17251, 18, 1505167200, 0.25, 164, 1505228256, NULL, NULL, 0),
(131775, 164, 1, 1, 1505253600, 1, 164, 1505228279, NULL, NULL, 0),
(131777, 164, 1, 1, 1505340000, 1, 164, 1505228296, NULL, NULL, 0),
(131778, 164, 1, 1, 1505426400, 1, 164, 1505228308, NULL, NULL, 0),
(131781, 2, 19428, 1, 1505167200, 0.25, 2, 1505228425, NULL, NULL, 0),
(131922, 199, 21562, 6, 1504476000, 0.5, 199, 1505306827, NULL, NULL, 0),
(131918, 157, 3965, 1, 1506117600, 1, 2, 1505304190, NULL, NULL, 0),
(131919, 199, 21561, 5, 1505253600, 0.4, 199, 1505306474, NULL, NULL, 0),
(131920, 199, 17633, 7, 1505253600, 0.1, 199, 1505306501, NULL, NULL, 0),
(131921, 199, 21624, 5, 1505253600, 0.25, 199, 1505306537, NULL, NULL, 0),
(131923, 199, 14014, 6, 1504476000, 0.25, 199, 1505306846, NULL, NULL, 0),
(131928, 72, 23789, 1, 1505253600, 0.5, 72, 1505308525, NULL, NULL, 0),
(131929, 72, 23789, 1, 1505167200, 1, 72, 1505308536, NULL, NULL, 0),
(131931, 72, 1, 1, 1505253600, 0.5, 72, 1505308610, NULL, NULL, 0),
(131932, 217, 2, 1, 1505167200, 1, 72, 1505308683, NULL, NULL, 0),
(131933, 2, 19428, 1, 1505253600, 0.25, 2, 1505311967, NULL, NULL, 0),
(131934, 2, 21623, 5, 1505253600, 0.5, 2, 1505399387, NULL, NULL, 0),
(132074, 217, 17065, 27, 1505253600, 0.25, 217, 1505376927, NULL, NULL, 0),
(132075, 217, 17065, 6, 1505253600, 0.5, 217, 1505376946, NULL, NULL, 0),
(132076, 217, 4857, 1, 1505340000, 0.4, 217, 1505376969, NULL, NULL, 0),
(132077, 217, 4278, 6, 1505340000, 0.1, 217, 1505377143, NULL, NULL, 0),
(132079, 217, 4278, 6, 1505253600, 0.25, 217, 1505377095, NULL, NULL, 0),
(132080, 217, 17065, 6, 1505340000, 0.5, 217, 1505377113, NULL, NULL, 0),
(132144, 157, 21634, 4, 1505340000, 1, 157, 1505379437, NULL, NULL, 0),
(132152, 72, 23789, 1, 1505340000, 1, 72, 1505382319, NULL, NULL, 0),
(132272, 2, 19428, 1, 1505340000, 0.75, 2, 1505399427, NULL, NULL, 0),
(132319, 168, 21613, 5, 1505080800, 1, 168, 1505406859, NULL, NULL, 0),
(132321, 168, 21613, 5, 1505253600, 1, 168, 1505406881, NULL, NULL, 0),
(132322, 168, 21613, 5, 1505340000, 1, 168, 1505406898, NULL, NULL, 0),
(132328, 56, 1, 1, 1499292000, 1, 56, 1505424579, NULL, NULL, 0),
(132334, 56, 1, 1, 1499378400, 0.5, 56, 1505425241, NULL, NULL, 0),
(132335, 56, 1, 1, 1499119200, 0.5, 56, 1505425260, NULL, NULL, 0),
(132336, 56, 1, 1, 1499205600, 0.5, 56, 1505425320, NULL, NULL, 0),
(132337, 56, 1, 1, 1499810400, 1, 56, 1505425478, NULL, NULL, 0),
(132338, 56, 1, 1, 1499896800, 1, 56, 1505425488, NULL, NULL, 0),
(132339, 56, 1, 1, 1500242400, 0.5, 56, 1505425611, NULL, NULL, 0),
(132340, 56, 1, 1, 1500415200, 0.5, 56, 1505425617, NULL, NULL, 0),
(132343, 56, 2, 1, 1500588000, 1, 56, 1505426193, NULL, NULL, 0),
(132354, 56, 2, 1, 1500847200, 1, 56, 1505426942, NULL, NULL, 0),
(132350, 56, 2, 1, 1501192800, 1, 56, 1505426639, NULL, NULL, 0),
(132356, 56, 2, 1, 1501452000, 1, 56, 1505427702, NULL, NULL, 0),
(132357, 56, 2, 1, 1502834400, 1, 56, 1505427855, NULL, NULL, 0),
(132376, 56, 2, 1, 1503007200, 1, 56, 1505429257, NULL, NULL, 0),
(132373, 56, 1, 1, 1503266400, 0.5, 56, 1505428798, NULL, NULL, 0),
(132385, 56, 1, 1, 1504821600, 0.5, 56, 1505429932, NULL, NULL, 0),
(132375, 56, 1, 1, 1503871200, 0.5, 56, 1505428840, NULL, NULL, 0),
(132379, 56, 1, 1, 1504216800, 0.25, 56, 1505429637, NULL, NULL, 0),
(132384, 56, 1, 1, 1504648800, 0.75, 56, 1505429911, NULL, NULL, 0),
(132383, 56, 1, 1, 1504562400, 0.5, 56, 1505429840, NULL, NULL, 0),
(132392, 56, 1, 1, 1505253600, 0.5, 56, 1505430291, NULL, NULL, 0),
(132397, 72, 23789, 1, 1505426400, 0.8, 72, 1505453014, NULL, NULL, 0),
(132398, 72, 1437, 1, 1505426400, 0.2, 72, 1505453032, NULL, NULL, 0),
(132400, 157, 21635, 6, 1505426400, 1, 157, 1505455493, NULL, NULL, 0),
(132401, 157, 1, 1, 1505772000, 0.5, 157, 1505455526, NULL, NULL, 0),
(132402, 74, 21613, 5, 1505253600, 1, 74, 1505455737, NULL, NULL, 0),
(132403, 74, 21613, 5, 1505340000, 0.5, 74, 1505455754, NULL, NULL, 0),
(132404, 74, 21613, 5, 1505426400, 0.5, 74, 1505455766, NULL, NULL, 0),
(132405, 205, 17065, 6, 1504821600, 1, 205, 1505457440, NULL, NULL, 0),
(132406, 205, 21561, 4, 1505340000, 0.75, 205, 1505457526, NULL, NULL, 0),
(132407, 205, 23789, 1, 1505340000, 0.25, 205, 1505457594, NULL, NULL, 0),
(132410, 205, 17065, 6, 1505167200, 1, 205, 1505457712, NULL, NULL, 0),
(132409, 205, 17065, 6, 1505253600, 1, 205, 1505457644, NULL, NULL, 0),
(132412, 205, 4278, 4, 1505080800, 1, 205, 1505457739, NULL, NULL, 0),
(132481, 2, 1400, 1, 1505858400, 1, 2, 1505473670, NULL, NULL, 0),
(132484, 2, 20800, 1, 1505426400, 0.25, 2, 1505728805, NULL, NULL, 0),
(132485, 2, 23789, 1, 1505426400, 0.25, 2, 1505475386, NULL, NULL, 0),
(132486, 2, 17251, 17, 1505340000, 0.25, 2, 1505475427, NULL, NULL, 0),
(132487, 2, 17251, 17, 1505426400, 0.25, 2, 1505476947, NULL, NULL, 0),
(132520, 199, 21627, 7, 1505426400, 0.25, 199, 1505484683, NULL, NULL, 0),
(135971, 157, 14534, 1, 1507500000, 0.5, 157, 1507532268, NULL, NULL, 0),
(132522, 157, 1, 1, 1510614000, 0.5, 157, 1505484719, NULL, NULL, 0),
(132523, 199, 21628, 5, 1505426400, 0.5, 199, 1505484720, NULL, NULL, 0),
(132526, 199, 21625, 7, 1505426400, 0.25, 199, 1505484753, NULL, NULL, 0),
(132531, 199, 21627, 7, 1505340000, 0.25, 199, 1505484871, NULL, NULL, 0),
(132532, 199, 21625, 7, 1505340000, 0.25, 199, 1505484883, NULL, NULL, 0),
(132593, 2, 23789, 1, 1505253600, 0.25, 2, 1505488530, NULL, NULL, 0),
(132594, 2, 17251, 18, 1505167200, 0.25, 2, 1505488581, NULL, NULL, 0),
(132724, 2, 21348, 5, 1505685600, 0.5, 2, 1505724686, NULL, NULL, 0),
(132730, 371, 2, 1, 1504130400, 1, 371, 1505724793, NULL, NULL, 0),
(132731, 371, 2, 1, 1504216800, 1, 371, 1505724799, NULL, NULL, 0),
(132740, 371, 2, 1, 1505340000, 1, 371, 1505724857, NULL, NULL, 0),
(132739, 371, 2, 1, 1505253600, 1, 371, 1505724852, NULL, NULL, 0),
(132734, 371, 2, 1, 1504476000, 1, 371, 1505724814, NULL, NULL, 0),
(132735, 371, 2, 1, 1504562400, 1, 371, 1505724819, NULL, NULL, 0),
(132736, 371, 2, 1, 1504648800, 1, 371, 1505724823, NULL, NULL, 0),
(132737, 371, 2, 1, 1504735200, 1, 371, 1505724828, NULL, NULL, 0),
(132738, 371, 2, 1, 1504821600, 1, 371, 1505724831, NULL, NULL, 0),
(132741, 371, 2, 1, 1505426400, 1, 371, 1505724861, NULL, NULL, 0),
(132759, 199, 1506, 1, 1505167200, 0.5, 199, 1505726984, NULL, NULL, 0),
(132761, 199, 21719, 5, 1505080800, 0.25, 199, 1505727028, NULL, NULL, 0),
(132762, 199, 21719, 5, 1505080800, 0.25, 199, 1505727113, NULL, NULL, 0),
(132763, 199, 21720, 5, 1505253600, 0.25, 199, 1505727143, NULL, NULL, 0),
(132765, 199, 21720, 5, 1505167200, 0.25, 199, 1505727189, NULL, NULL, 0),
(132768, 199, 21719, 5, 1505167200, 0.25, 199, 1505727222, NULL, NULL, 0),
(135422, 2, 21623, 1, 1507068000, 0.25, 2, 1507196218, NULL, NULL, 0),
(132987, 164, 21622, 17, 1505685600, 0.5, 164, 1505744296, NULL, NULL, 0),
(132988, 164, 16588, 18, 1505685600, 0.5, 164, 1505744316, NULL, NULL, 0),
(132990, 2, 21623, 1, 1505685600, 0.3, 2, 1505921558, NULL, NULL, 0),
(132991, 2, 19428, 1, 1505685600, 0.2, 2, 1505745061, NULL, NULL, 0),
(133012, 72, 23789, 1, 1505685600, 0.5, 72, 1505748342, NULL, NULL, 0),
(133037, 164, 2, 1, 1508709600, 1, 164, 1505809166, NULL, NULL, 0),
(133038, 164, 2, 1, 1508796000, 1, 164, 1505809166, NULL, NULL, 0),
(133039, 164, 2, 1, 1508882400, 1, 164, 1505809166, NULL, NULL, 0),
(133040, 164, 2, 1, 1506636000, 1, 164, 1505809238, NULL, NULL, 0),
(133108, 72, 23789, 1, 1505772000, 1, 72, 1505823439, NULL, NULL, 0),
(133193, 2, 21623, 1, 1505772000, 0.7, 2, 1505833362, NULL, NULL, 0),
(133272, 164, 17251, 17, 1505772000, 0.25, 164, 1505893639, NULL, NULL, 0),
(133273, 164, 18735, 17, 1505772000, 0.5, 164, 1505893650, NULL, NULL, 0),
(133336, 158, 1041, 1, 1505858400, 1, 72, 1505902722, NULL, NULL, 0),
(133337, 158, 1041, 1, 1505944800, 1, 72, 1505902722, NULL, NULL, 0),
(133338, 158, 1041, 1, 1506031200, 1, 72, 1505902722, NULL, NULL, 0),
(133339, 158, 1041, 1, 1506290400, 1, 72, 1505902722, NULL, NULL, 0),
(133340, 158, 1041, 1, 1506376800, 1, 72, 1505902722, NULL, NULL, 0),
(133341, 158, 1041, 1, 1506463200, 1, 72, 1505902722, NULL, NULL, 0),
(133342, 158, 1041, 1, 1506549600, 1, 72, 1505902722, NULL, NULL, 0),
(133343, 158, 1041, 1, 1506636000, 1, 72, 1505902722, NULL, NULL, 0),
(133344, 158, 1041, 1, 1506895200, 1, 72, 1505902722, NULL, NULL, 0),
(133345, 158, 1041, 1, 1506981600, 1, 72, 1505902722, NULL, NULL, 0),
(133346, 158, 1041, 1, 1507068000, 1, 72, 1505902722, NULL, NULL, 0),
(133347, 158, 1041, 1, 1507154400, 1, 72, 1505902722, NULL, NULL, 0),
(133348, 158, 1041, 1, 1507240800, 1, 72, 1505902722, NULL, NULL, 0),
(133349, 158, 1041, 1, 1507500000, 1, 72, 1505902722, NULL, NULL, 0),
(133350, 158, 1041, 1, 1507586400, 1, 72, 1505902722, NULL, NULL, 0),
(133351, 158, 1041, 1, 1507672800, 1, 72, 1505902722, NULL, NULL, 0),
(133352, 158, 1041, 1, 1507759200, 1, 72, 1505902722, NULL, NULL, 0),
(133357, 408, 2, 1, 1510527600, 1, 408, 1505911716, NULL, NULL, 0),
(133358, 408, 2, 1, 1510614000, 1, 408, 1505911716, NULL, NULL, 0),
(133359, 408, 2, 1, 1510700400, 1, 408, 1505911716, NULL, NULL, 0),
(133360, 408, 2, 1, 1510786800, 1, 408, 1505911716, NULL, NULL, 0),
(133361, 408, 2, 1, 1510873200, 1, 408, 1505911716, NULL, NULL, 0),
(133362, 408, 2, 1, 1511132400, 1, 408, 1505911716, NULL, NULL, 0),
(133363, 408, 2, 1, 1511218800, 1, 408, 1505911716, NULL, NULL, 0),
(133364, 408, 2, 1, 1511305200, 1, 408, 1505911716, NULL, NULL, 0),
(133365, 408, 2, 1, 1511391600, 1, 408, 1505911716, NULL, NULL, 0),
(133366, 408, 2, 1, 1511478000, 1, 408, 1505911716, NULL, NULL, 0),
(133393, 157, 21618, 6, 1505685600, 1, 157, 1505913988, NULL, NULL, 0),
(133394, 157, 21618, 6, 1505772000, 0.5, 157, 1505914006, NULL, NULL, 0),
(133395, 157, 21635, 4, 1505858400, 1, 157, 1505914037, NULL, NULL, 0),
(133396, 72, 23789, 1, 1505858400, 1, 72, 1505914223, NULL, NULL, 0),
(133455, 2, 21348, 5, 1505772000, 0.3, 2, 1505921538, NULL, NULL, 0),
(133616, 164, 1, 1, 1506463200, 1, 164, 1505998012, NULL, NULL, 0),
(133617, 164, 1, 1, 1506549600, 1, 164, 1505998012, NULL, NULL, 0),
(133650, 2, 23789, 1, 1505944800, 0.5, 2, 1506008103, NULL, NULL, 0),
(133652, 2, 21348, 5, 1505944800, 0.5, 2, 1506008188, NULL, NULL, 0),
(133670, 157, 21618, 6, 1506031200, 1, 157, 1506060977, NULL, NULL, 0),
(133669, 157, 21635, 6, 1505944800, 1, 157, 1506060944, NULL, NULL, 0),
(138160, 168, 1, 1, 1509055200, 1, 168, 1508745206, NULL, NULL, 0),
(138156, 168, 19872, 5, 1508277600, 1, 168, 1508745109, NULL, NULL, 0),
(138158, 168, 1, 1, 1508450400, 1, 168, 1508745171, NULL, NULL, 0),
(138157, 168, 22376, 5, 1508364000, 1, 168, 1508745146, NULL, NULL, 0),
(136196, 371, 2, 1, 1507586400, 1, 371, 1507558885, NULL, NULL, 0),
(133804, 164, 18735, 17, 1505858400, 0.3, 164, 1506073052, NULL, NULL, 0),
(133805, 164, 1, 1, 1505858400, 0.7, 164, 1506073067, NULL, NULL, 0),
(133806, 164, 1, 1, 1505944800, 1, 164, 1506073075, NULL, NULL, 0),
(133807, 164, 1, 1, 1506031200, 1, 164, 1506073080, NULL, NULL, 0),
(133823, 72, 23789, 1, 1505944800, 1, 72, 1506074911, NULL, NULL, 0),
(133824, 72, 23789, 1, 1506031200, 1, 72, 1506074918, NULL, NULL, 0),
(133826, 199, 2, 1, 1505858400, 1, 199, 1506075010, NULL, NULL, 0),
(133828, 199, 21833, 5, 1506031200, 0.3, 199, 1506075049, NULL, NULL, 0),
(133830, 199, 21830, 5, 1506031200, 0.05, 199, 1506075997, NULL, NULL, 0),
(133831, 199, 21831, 5, 1506031200, 0.25, 199, 1506076584, NULL, NULL, 0),
(133908, 164, 21623, 1, 1505772000, 0.25, 164, 1506093009, NULL, NULL, 0),
(133914, 199, 21837, 5, 1506031200, 0.25, 199, 1506319624, NULL, NULL, 0),
(133915, 199, 21626, 5, 1505944800, 0.4, 199, 1506319689, NULL, NULL, 0),
(133916, 199, 21625, 5, 1506031200, 0.1, 199, 1506319717, NULL, NULL, 0),
(133917, 199, 21628, 5, 1505944800, 0.6, 199, 1506319738, NULL, NULL, 0),
(133918, 199, 21627, 5, 1506031200, 0.05, 199, 1506319754, NULL, NULL, 0),
(133919, 199, 21832, 5, 1505685600, 0.5, 199, 1506320151, NULL, NULL, 0),
(133920, 72, 2, 1, 1506549600, 1, 72, 1506322542, NULL, NULL, 0),
(133961, 199, 21625, 7, 1506290400, 0.2, 199, 1506328731, NULL, NULL, 0),
(134089, 164, 1435, 1, 1506290400, 0.5, 164, 1506414522, NULL, NULL, 0),
(134090, 164, 16588, 4, 1506290400, 0.5, 164, 1506414575, NULL, NULL, 0),
(134091, 164, 1435, 1, 1506376800, 0.5, 164, 1506414599, NULL, NULL, 0),
(134092, 164, 19331, 18, 1506376800, 0.5, 164, 1506414630, NULL, NULL, 0),
(134095, 72, 20486, 6, 1506290400, 1, 72, 1506417053, NULL, NULL, 0),
(134096, 72, 23789, 1, 1506376800, 0.9, 72, 1506417076, NULL, NULL, 0),
(134097, 72, 1506, 1, 1506376800, 0.1, 72, 1506417137, NULL, NULL, 0),
(134108, 2, 21623, 1, 1506290400, 1, 2, 1506418195, NULL, NULL, 0),
(134109, 2, 21623, 1, 1506376800, 0.5, 2, 1506418217, NULL, NULL, 0),
(134110, 2, 23789, 1, 1506031200, 0.25, 2, 1506418411, NULL, NULL, 0),
(134111, 2, 20800, 1, 1506031200, 0.25, 2, 1506418479, NULL, NULL, 0),
(134112, 2, 21348, 4, 1506031200, 0.5, 2, 1506418525, NULL, NULL, 0),
(134113, 74, 1, 1, 1506376800, 0.5, 74, 1506419204, NULL, NULL, 0),
(134148, 168, 21613, 5, 1505685600, 1, 168, 1506430045, NULL, NULL, 0),
(134149, 168, 21613, 5, 1505772000, 1, 168, 1506430058, NULL, NULL, 0),
(134150, 168, 21613, 5, 1505858400, 1, 168, 1506430067, NULL, NULL, 0),
(134151, 168, 21613, 5, 1505944800, 1, 168, 1506430078, NULL, NULL, 0),
(134152, 168, 21613, 5, 1506290400, 0.4, 168, 1506430180, NULL, NULL, 0),
(134157, 168, 19872, 4, 1506290400, 0.6, 168, 1506430167, NULL, NULL, 0),
(134160, 168, 19872, 4, 1506376800, 0.5, 168, 1506430210, NULL, NULL, 0),
(134162, 168, 1, 1, 1506376800, 0.5, 168, 1506430226, NULL, NULL, 0),
(134268, 168, 19872, 4, 1506463200, 1, 168, 1506520731, NULL, NULL, 0),
(134217, 157, 21841, 4, 1506376800, 0.5, 157, 1506499010, NULL, NULL, 0),
(134223, 157, 21834, 4, 1506376800, 0.25, 157, 1506499760, NULL, NULL, 0),
(134221, 157, 1506, 1, 1506376800, 0.25, 157, 1506499631, NULL, NULL, 0),
(134222, 157, 21893, 4, 1506463200, 0.5, 157, 1506499675, NULL, NULL, 0),
(134224, 157, 21797, 4, 1506290400, 0.5, 157, 1506499791, NULL, NULL, 0),
(134225, 157, 21798, 4, 1506290400, 0.5, 157, 1506499819, NULL, NULL, 0),
(134229, 74, 17065, 6, 1506290400, 1, 74, 1506501158, NULL, NULL, 0),
(134227, 157, 21798, 6, 1506463200, 0.25, 157, 1506499918, NULL, NULL, 0),
(134228, 157, 21797, 6, 1506463200, 0.25, 157, 1506499960, NULL, NULL, 0),
(134230, 74, 17065, 6, 1506376800, 0.5, 74, 1506501174, NULL, NULL, 0),
(134231, 74, 17764, 4, 1506463200, 1, 74, 1506501198, NULL, NULL, 0),
(134238, 168, 2, 1, 1509318000, 1, 168, 1506503313, NULL, NULL, 0),
(134239, 168, 2, 1, 1509404400, 1, 168, 1506503313, NULL, NULL, 0),
(134240, 168, 2, 1, 1509577200, 1, 168, 1506503313, NULL, NULL, 0),
(134241, 168, 2, 1, 1509663600, 1, 168, 1506503313, NULL, NULL, 0),
(134247, 72, 23789, 1, 1506463200, 1, 72, 1506509160, NULL, NULL, 0),
(134248, 199, 1506, 1, 1506376800, 0.5, 199, 1506511883, NULL, NULL, 0),
(134250, 199, 21561, 7, 1506463200, 0.25, 199, 1506517094, NULL, NULL, 0),
(134251, 199, 21561, 4, 1506290400, 0.8, 199, 1506517120, NULL, NULL, 0),
(134252, 199, 21844, 4, 1506463200, 0.25, 199, 1506517156, NULL, NULL, 0),
(134253, 199, 13774, 7, 1505340000, 0.5, 199, 1506517272, NULL, NULL, 0),
(134254, 199, 13774, 7, 1505685600, 0.5, 199, 1506517303, NULL, NULL, 0),
(134255, 199, 13774, 4, 1506376800, 0.5, 199, 1506517330, NULL, NULL, 0),
(134267, 168, 1, 1, 1506549600, 0.5, 168, 1506520627, NULL, NULL, 0),
(134315, 199, 21760, 7, 1506549600, 0.3, 199, 1506582612, NULL, NULL, 0),
(134442, 205, 21561, 4, 1506549600, 0.5, 205, 1506592432, NULL, NULL, 0),
(134443, 205, 20430, 4, 1506463200, 0.5, 205, 1506592456, NULL, NULL, 0),
(134444, 205, 20641, 4, 1506463200, 0.5, 205, 1506592470, NULL, NULL, 0),
(134445, 205, 21835, 4, 1506376800, 0.5, 205, 1506592488, NULL, NULL, 0),
(134447, 205, 17065, 6, 1506290400, 1, 205, 1506592583, NULL, NULL, 0),
(134450, 198, 2, 1, 1506981600, 0.5, 198, 1506596753, NULL, NULL, 0),
(134451, 198, 1400, 1, 1505253600, 1, 198, 1506596830, NULL, NULL, 0),
(134452, 198, 1400, 1, 1505340000, 1, 198, 1506596845, NULL, NULL, 0),
(134453, 198, 1400, 1, 1505426400, 1, 198, 1506596854, NULL, NULL, 0),
(134474, 205, 17065, 6, 1505685600, 1, 205, 1506601100, NULL, NULL, 0),
(134475, 205, 14534, 1, 1505426400, 1, 205, 1506601222, NULL, NULL, 0),
(134476, 205, 14534, 1, 1505772000, 1, 205, 1506601250, NULL, NULL, 0),
(134477, 205, 17065, 6, 1505858400, 1, 205, 1506601259, NULL, NULL, 0),
(134478, 205, 17065, 6, 1505944800, 1, 205, 1506601273, NULL, NULL, 0),
(134479, 205, 17065, 6, 1506031200, 1, 205, 1506601281, NULL, NULL, 0),
(134480, 205, 21892, 5, 1506376800, 0.5, 205, 1506601315, NULL, NULL, 0),
(134563, 157, 21840, 4, 1506549600, 1, 157, 1506608413, NULL, NULL, 0),
(134565, 157, 21618, 6, 1506636000, 0.5, 157, 1506687954, NULL, NULL, 0),
(134600, 74, 17765, 5, 1506549600, 1, 74, 1506667937, NULL, NULL, 0),
(134601, 74, 17765, 5, 1506636000, 1, 74, 1506667949, NULL, NULL, 0),
(134614, 199, 21761, 5, 1506549600, 0.3, 199, 1506669137, NULL, NULL, 0),
(134633, 157, 1, 1, 1507845600, 1, 157, 1506673325, NULL, NULL, 0),
(134639, 72, 20486, 6, 1506636000, 0.2, 72, 1506676461, NULL, NULL, 0),
(134642, 72, 23789, 1, 1506636000, 0.8, 72, 1506676581, NULL, NULL, 0),
(134655, 157, 21917, 4, 1506636000, 0.5, 157, 1506687936, NULL, NULL, 0),
(134722, 56, 1, 1, 1506031200, 0.25, 9, 1506700934, NULL, NULL, 0),
(134723, 56, 1, 1, 1506463200, 1, 9, 1506700948, NULL, NULL, 0),
(134724, 56, 1, 1, 1506549600, 1, 9, 1506700951, NULL, NULL, 0),
(134725, 56, 1, 1, 1506636000, 1, 9, 1506700954, NULL, NULL, 0),
(134726, 56, 1, 1, 1505944800, 1, 9, 1506700960, NULL, NULL, 0),
(134727, 56, 1, 1, 1505858400, 1, 9, 1506700963, NULL, NULL, 0),
(134782, 2, 17251, 18, 1506636000, 0.5, 2, 1506757989, NULL, NULL, 0),
(134783, 2, 21623, 1, 1506549600, 0.25, 2, 1506758044, NULL, NULL, 0),
(134784, 2, 20800, 1, 1506636000, 0.2, 2, 1506758228, NULL, NULL, 0),
(134785, 2, 20800, 1, 1506549600, 0.2, 2, 1506758217, NULL, NULL, 0),
(134786, 2, 23789, 1, 1506463200, 0.25, 2, 1506758199, NULL, NULL, 0),
(134857, 72, 23789, 1, 1506895200, 1, 72, 1506938557, NULL, NULL, 0),
(134879, 370, 2, 1, 1507240800, 1, 370, 1506954960, NULL, NULL, 0),
(134880, 370, 2, 1, 1507500000, 1, 370, 1506954960, NULL, NULL, 0),
(134881, 370, 2, 1, 1507586400, 1, 370, 1506954960, NULL, NULL, 0),
(134882, 370, 2, 1, 1507672800, 1, 370, 1506954960, NULL, NULL, 0),
(134883, 370, 2, 1, 1507759200, 1, 370, 1506954960, NULL, NULL, 0),
(134884, 370, 2, 1, 1507845600, 1, 370, 1506954960, NULL, NULL, 0),
(134885, 168, 19872, 4, 1506549600, 0.5, 168, 1506955396, NULL, NULL, 0),
(134893, 164, 1, 1, 1507154400, 1, 164, 1506958091, NULL, NULL, 0),
(134894, 164, 1, 1, 1507240800, 1, 164, 1506958091, NULL, NULL, 0),
(134895, 164, 1, 1, 1507759200, 1, 164, 1506958091, NULL, NULL, 0),
(134896, 164, 1, 1, 1507845600, 1, 164, 1506958091, NULL, NULL, 0),
(134897, 164, 1, 1, 1508364000, 0.5, 164, 1508491382, NULL, NULL, 0),
(134899, 164, 1, 1, 1508968800, 1, 164, 1506958091, NULL, NULL, 0),
(134900, 164, 1, 1, 1509055200, 1, 164, 1506958091, NULL, NULL, 0),
(134901, 164, 1, 1, 1510182000, 1, 164, 1506958091, NULL, NULL, 0),
(140845, 164, 16588, 18, 1510268400, 0.5, 164, 1510311579, NULL, NULL, 0),
(134903, 164, 1, 1, 1510786800, 1, 164, 1506958091, NULL, NULL, 0),
(134904, 164, 1, 1, 1510873200, 1, 164, 1506958091, NULL, NULL, 0),
(134905, 164, 1, 1, 1511391600, 1, 164, 1506958091, NULL, NULL, 0),
(134906, 164, 1, 1, 1511478000, 1, 164, 1506958091, NULL, NULL, 0),
(134907, 164, 1, 1, 1511996400, 1, 164, 1506958091, NULL, NULL, 0),
(134908, 164, 1, 1, 1512082800, 1, 164, 1506958091, NULL, NULL, 0),
(134909, 164, 1, 1, 1512601200, 1, 164, 1506958091, NULL, NULL, 0),
(134910, 164, 1, 1, 1512687600, 1, 164, 1506958091, NULL, NULL, 0),
(134911, 164, 1, 1, 1513206000, 1, 164, 1506958091, NULL, NULL, 0),
(145966, 164, 1, 1, 1513292400, 1, 164, 1513151979, NULL, NULL, 0),
(134913, 164, 1, 1, 1513810800, 1, 164, 1506958091, NULL, NULL, 0),
(134914, 164, 1, 1, 1513897200, 1, 164, 1506958091, NULL, NULL, 0),
(148549, 164, 1435, 1, 1514502000, 0.5, 164, 1514467287, NULL, NULL, 0),
(136543, 164, 1041, 1, 1507672800, 1, 164, 1507793677, NULL, NULL, 0),
(134920, 164, 1, 1, 1510095600, 1, 164, 1506958302, NULL, NULL, 0),
(142827, 164, 1, 1, 1511910000, 1, 164, 1511357493, NULL, NULL, 0),
(143459, 164, 1, 1, 1513119600, 1, 164, 1511534729, NULL, NULL, 0),
(134942, 199, 21760, 7, 1506895200, 0.2, 199, 1506961203, NULL, NULL, 0),
(134943, 199, 13774, 7, 1506895200, 0.8, 199, 1506961234, NULL, NULL, 0),
(134944, 199, 21833, 5, 1506463200, 0.1, 199, 1507010761, NULL, NULL, 0),
(134945, 199, 21836, 5, 1506463200, 0.05, 199, 1507010817, NULL, NULL, 0),
(134946, 199, 21832, 5, 1506636000, 0.5, 199, 1507011007, NULL, NULL, 0),
(134947, 199, 21836, 5, 1506463200, 0.3, 199, 1507011034, NULL, NULL, 0),
(134948, 199, 21836, 5, 1506463200, 0.05, 199, 1507011049, NULL, NULL, 0),
(134949, 199, 21561, 4, 1506549600, 0.4, 199, 1507011229, NULL, NULL, 0),
(134950, 199, 21561, 4, 1506636000, 0.2, 199, 1507011261, NULL, NULL, 0),
(134963, 157, 21894, 4, 1506895200, 0.5, 157, 1507014918, NULL, NULL, 0),
(134966, 157, 21635, 6, 1506895200, 0.5, 157, 1507015280, NULL, NULL, 0),
(134967, 157, 14534, 1, 1506981600, 1, 157, 1507015300, NULL, NULL, 0),
(134997, 74, 14534, 1, 1506981600, 1, 74, 1507030949, NULL, NULL, 0),
(134998, 74, 14534, 1, 1507068000, 1, 74, 1507030965, NULL, NULL, 0),
(134999, 74, 14534, 1, 1507154400, 1, 74, 1507030972, NULL, NULL, 0),
(135000, 74, 17765, 5, 1506895200, 1, 74, 1507031028, NULL, NULL, 0),
(135085, 72, 23789, 1, 1506981600, 1, 72, 1507041837, NULL, NULL, 0),
(135254, 168, 1, 1, 1511132400, 1, 168, 1507109699, NULL, NULL, 0),
(135255, 168, 1, 1, 1511218800, 1, 168, 1507109720, NULL, NULL, 0),
(135281, 74, 1, 1, 1507240800, 0.5, 74, 1507120934, NULL, NULL, 0),
(135283, 2, 21623, 1, 1506981600, 0.25, 2, 1507121530, NULL, NULL, 0),
(135286, 199, 14534, 1, 1507068000, 0.5, 199, 1507122786, NULL, NULL, 0),
(135301, 72, 23789, 1, 1507068000, 1, 72, 1507127585, NULL, NULL, 0),
(135310, 164, 16588, 18, 1507068000, 0.75, 164, 1507129125, NULL, NULL, 0),
(135312, 164, 17251, 17, 1506895200, 0.75, 164, 1507129165, NULL, NULL, 0),
(135313, 164, 21623, 1, 1506895200, 0.25, 164, 1507129255, NULL, NULL, 0),
(135314, 164, 19331, 18, 1506981600, 0.7, 164, 1507129323, NULL, NULL, 0),
(135315, 164, 1435, 1, 1506981600, 0.3, 164, 1507129353, NULL, NULL, 0),
(136024, 217, 17065, 6, 1505772000, 0.6, 217, 1507539143, NULL, NULL, 0),
(135423, 2, 21623, 1, 1507154400, 0.75, 2, 1507281277, NULL, NULL, 0),
(135428, 2, 23789, 1, 1507068000, 0.75, 2, 1507281231, NULL, NULL, 0),
(136021, 217, 17065, 27, 1505944800, 0.25, 217, 1507539077, NULL, NULL, 0),
(148875, 2, 2, 1, 1520377200, 1, 2, 1514936473, NULL, NULL, 0),
(148873, 2, 2, 1, 1520204400, 1, 2, 1514936473, NULL, NULL, 0),
(148874, 2, 2, 1, 1520290800, 1, 2, 1514936473, NULL, NULL, 0),
(135702, 74, 2, 1, 1509055200, 1, 74, 1507273274, NULL, NULL, 0),
(135703, 74, 21659, 4, 1507240800, 0.25, 74, 1507273331, NULL, NULL, 0),
(135704, 74, 21758, 4, 1507240800, 0.25, 74, 1507273382, NULL, NULL, 0),
(135705, 74, 14534, 1, 1507500000, 0.5, 74, 1507273448, NULL, NULL, 0),
(135706, 74, 14534, 1, 1507586400, 1, 74, 1507273456, NULL, NULL, 0),
(135707, 74, 14534, 1, 1507672800, 1, 74, 1507273461, NULL, NULL, 0),
(136521, 74, 17765, 5, 1507759200, 1, 74, 1507792533, NULL, NULL, 0),
(135738, 157, 14534, 1, 1507154400, 1, 157, 1507277505, NULL, NULL, 0),
(135739, 157, 14534, 1, 1507068000, 1, 157, 1507277511, NULL, NULL, 0),
(135742, 157, 22022, 4, 1507240800, 1, 157, 1507277590, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(135747, 199, 17741, 7, 1507240800, 0.25, 199, 1507279475, NULL, NULL, 0),
(135761, 72, 23789, 1, 1507154400, 1, 72, 1507281005, NULL, NULL, 0),
(135762, 72, 23789, 1, 1507240800, 1, 72, 1507281012, NULL, NULL, 0),
(135764, 217, 1041, 1, 1507240800, 1, 72, 1507281063, NULL, NULL, 0),
(135769, 2, 23789, 1, 1507154400, 0.25, 2, 1507281238, NULL, NULL, 0),
(135773, 2, 20800, 1, 1506981600, 0.25, 2, 1507281341, NULL, NULL, 0),
(135850, 205, 14534, 1, 1506549600, 0.5, 205, 1507298122, NULL, NULL, 0),
(135839, 205, 14534, 1, 1506981600, 1, 205, 1507296481, NULL, NULL, 0),
(135840, 205, 14534, 1, 1507068000, 1, 205, 1507296488, NULL, NULL, 0),
(135841, 205, 14534, 1, 1507154400, 1, 205, 1507296491, NULL, NULL, 0),
(135842, 205, 20641, 6, 1507240800, 0.2, 205, 1507296534, NULL, NULL, 0),
(135851, 199, 16075, 5, 1507240800, 0.3, 199, 1507298241, NULL, NULL, 0),
(135852, 205, 21561, 4, 1506895200, 0.25, 205, 1507298267, NULL, NULL, 0),
(135853, 205, 14534, 1, 1506895200, 0.75, 205, 1507298278, NULL, NULL, 0),
(135854, 199, 21797, 5, 1507154400, 0.25, 199, 1507298280, NULL, NULL, 0),
(135855, 199, 21798, 5, 1507154400, 0.25, 199, 1507298293, NULL, NULL, 0),
(135856, 199, 21841, 5, 1507154400, 0.25, 199, 1507298308, NULL, NULL, 0),
(135857, 199, 21837, 6, 1507154400, 0.25, 199, 1507298331, NULL, NULL, 0),
(135858, 199, 21836, 6, 1507068000, 0.1, 199, 1507298509, NULL, NULL, 0),
(135859, 199, 21624, 6, 1507068000, 0.25, 199, 1507298550, NULL, NULL, 0),
(135860, 199, 21832, 6, 1507068000, 0.05, 199, 1507298587, NULL, NULL, 0),
(135864, 199, 21840, 6, 1507240800, 0.25, 199, 1507298801, NULL, NULL, 0),
(135862, 199, 21832, 6, 1507068000, 0.1, 199, 1507298699, NULL, NULL, 0),
(135863, 199, 22240, 4, 1507240800, 0.1, 199, 1507298725, NULL, NULL, 0),
(135865, 199, 21831, 6, 1507240800, 0.1, 199, 1507298825, NULL, NULL, 0),
(135867, 205, 21835, 4, 1507240800, 0.2, 205, 1507298945, NULL, NULL, 0),
(135868, 205, 14534, 1, 1507240800, 0.6, 205, 1507298959, NULL, NULL, 0),
(135879, 2, 23789, 1, 1506895200, 1, 2, 1507300969, NULL, NULL, 0),
(135880, 2, 23789, 1, 1506981600, 0.5, 2, 1507300985, NULL, NULL, 0),
(135886, 2, 2, 1, 1508968800, 1, 2, 1507302514, NULL, NULL, 0),
(135887, 2, 2, 1, 1509055200, 1, 2, 1507302514, NULL, NULL, 0),
(135972, 157, 14534, 1, 1507586400, 1, 157, 1507532285, NULL, NULL, 0),
(135973, 157, 14534, 1, 1507672800, 1, 157, 1507532298, NULL, NULL, 0),
(135974, 157, 14534, 1, 1507759200, 0.5, 157, 1507532306, NULL, NULL, 0),
(136002, 217, 2, 1, 1506895200, 1, 217, 1507538269, NULL, NULL, 0),
(136005, 217, 14534, 1, 1506981600, 1, 217, 1507538427, NULL, NULL, 0),
(136006, 217, 14534, 1, 1507068000, 1, 217, 1507538438, NULL, NULL, 0),
(136007, 217, 14534, 1, 1507154400, 1, 217, 1507538446, NULL, NULL, 0),
(136008, 217, 14534, 1, 1507500000, 0.6, 217, 1507540575, NULL, NULL, 0),
(136009, 217, 14534, 1, 1507586400, 1, 217, 1507538480, NULL, NULL, 0),
(136011, 217, 14534, 1, 1507672800, 1, 217, 1507538485, NULL, NULL, 0),
(136012, 217, 17065, 6, 1505426400, 0.75, 217, 1507538573, NULL, NULL, 0),
(136013, 217, 17065, 27, 1505426400, 0.25, 217, 1507538583, NULL, NULL, 0),
(136014, 217, 4857, 1, 1505685600, 0.3, 217, 1507538640, NULL, NULL, 0),
(136016, 217, 17065, 6, 1505685600, 0.5, 217, 1507538681, NULL, NULL, 0),
(136017, 217, 17065, 27, 1505685600, 0.2, 217, 1507539319, NULL, NULL, 0),
(136019, 217, 4857, 1, 1505858400, 0.25, 217, 1507538985, NULL, NULL, 0),
(136022, 217, 17065, 27, 1506031200, 0.25, 217, 1507539099, NULL, NULL, 0),
(136023, 217, 4857, 1, 1505772000, 0.2, 217, 1507539125, NULL, NULL, 0),
(136025, 217, 17065, 6, 1505858400, 0.5, 217, 1507539163, NULL, NULL, 0),
(136027, 217, 17065, 27, 1505858400, 0.25, 217, 1507539251, NULL, NULL, 0),
(136028, 217, 17065, 6, 1505944800, 0.75, 217, 1507539366, NULL, NULL, 0),
(136029, 217, 17065, 6, 1506031200, 0.75, 217, 1507539377, NULL, NULL, 0),
(137153, 217, 1041, 1, 1508191200, 1, 72, 1508150518, NULL, NULL, 0),
(136898, 217, 4857, 1, 1507759200, 0.5, 217, 1507878033, NULL, NULL, 0),
(136037, 217, 11112, 27, 1507500000, 0.4, 217, 1507540558, NULL, NULL, 0),
(136056, 157, 22247, 4, 1507500000, 0.25, 157, 1507551173, NULL, NULL, 0),
(136057, 157, 22248, 4, 1507500000, 0.25, 157, 1507551199, NULL, NULL, 0),
(136062, 164, 1041, 1, 1507500000, 1, 72, 1507551506, NULL, NULL, 0),
(136063, 164, 1041, 1, 1507586400, 1, 72, 1507551506, NULL, NULL, 0),
(136109, 72, 23789, 1, 1507500000, 1, 72, 1507555622, NULL, NULL, 0),
(136244, 371, 2, 1, 1509577200, 1, 371, 1507564801, NULL, NULL, 0),
(136245, 371, 2, 1, 1509663600, 1, 371, 1507564816, NULL, NULL, 0),
(136693, 56, 2, 1, 1507845600, 1, 56, 1507825034, NULL, NULL, 0),
(136298, 2, 23789, 1, 1507500000, 1, 2, 1507626701, NULL, NULL, 0),
(136299, 2, 19331, 18, 1507586400, 0.2, 2, 1507626732, NULL, NULL, 0),
(136300, 2, 16588, 18, 1507586400, 0.2, 2, 1507626851, NULL, NULL, 0),
(136301, 2, 23789, 1, 1507586400, 0.1, 2, 1507626831, NULL, NULL, 0),
(136302, 2, 23789, 1, 1507240800, 0.75, 2, 1507627986, NULL, NULL, 0),
(136303, 2, 21623, 1, 1507240800, 0.25, 2, 1507628002, NULL, NULL, 0),
(136405, 168, 19872, 5, 1506895200, 1, 168, 1507711061, NULL, NULL, 0),
(136406, 168, 19872, 5, 1506981600, 1, 168, 1507711075, NULL, NULL, 0),
(136407, 168, 19872, 5, 1507154400, 1, 168, 1507711111, NULL, NULL, 0),
(136408, 168, 19872, 5, 1507068000, 1, 168, 1507711095, NULL, NULL, 0),
(136409, 168, 19872, 5, 1507500000, 0.5, 168, 1507711139, NULL, NULL, 0),
(136410, 168, 19872, 5, 1507586400, 0.5, 168, 1507711151, NULL, NULL, 0),
(136411, 168, 19872, 5, 1507672800, 1, 168, 1507711177, NULL, NULL, 0),
(136412, 168, 1, 1, 1507500000, 0.5, 168, 1507711205, NULL, NULL, 0),
(136413, 168, 1, 1, 1507586400, 0.5, 168, 1507711222, NULL, NULL, 0),
(136414, 168, 1, 1, 1507845600, 1, 168, 1507711229, NULL, NULL, 0),
(136415, 168, 2, 1, 1507759200, 0.5, 168, 1507711241, NULL, NULL, 0),
(136416, 168, 19872, 5, 1507759200, 0.5, 168, 1507711272, NULL, NULL, 0),
(136417, 168, 2, 1, 1507240800, 0.5, 168, 1507711358, NULL, NULL, 0),
(136511, 199, 1041, 1, 1507586400, 1, 199, 1507757193, NULL, NULL, 0),
(136549, 2, 17251, 18, 1507672800, 0.25, 2, 1507794599, NULL, NULL, 0),
(136550, 2, 23789, 1, 1507672800, 0.75, 2, 1507794723, NULL, NULL, 0),
(136691, 56, 1, 1, 1507672800, 0.5, 56, 1507825411, NULL, NULL, 0),
(136690, 56, 1, 1, 1507500000, 0.5, 56, 1507824924, NULL, NULL, 0),
(136694, 56, 1, 1, 1507759200, 0.5, 56, 1507830948, NULL, NULL, 0),
(137330, 56, 2, 1, 1508104800, 1, 9, 1508243610, NULL, NULL, 0),
(136899, 217, 1506, 1, 1507759200, 0.5, 217, 1507878093, NULL, NULL, 0),
(136928, 394, 2, 1, 1509577200, 1, 394, 1507884133, NULL, NULL, 0),
(136929, 394, 2, 1, 1509663600, 1, 394, 1507884143, NULL, NULL, 0),
(136949, 205, 14534, 1, 1507586400, 1, 205, 1507892921, NULL, NULL, 0),
(136950, 205, 14534, 1, 1507672800, 1, 205, 1507892927, NULL, NULL, 0),
(136951, 205, 21561, 27, 1507500000, 0.25, 205, 1507892964, NULL, NULL, 0),
(136952, 205, 2, 1, 1507759200, 1, 205, 1507892978, NULL, NULL, 0),
(136953, 205, 2, 1, 1507845600, 1, 205, 1507892983, NULL, NULL, 0),
(136954, 205, 14534, 1, 1507500000, 0.75, 205, 1507893010, NULL, NULL, 0),
(136955, 2, 23789, 1, 1507759200, 0.75, 2, 1510074185, NULL, NULL, 0),
(136959, 2, 23789, 1, 1507845600, 0.75, 2, 1510074193, NULL, NULL, 0),
(138138, 2, 23789, 1, 1508450400, 0.5, 2, 1508542656, NULL, NULL, 0),
(137083, 157, 19872, 4, 1507759200, 0.5, 157, 1508137808, NULL, NULL, 0),
(137127, 72, 1041, 1, 1507759200, 1, 72, 1508144472, NULL, NULL, 0),
(137128, 72, 1041, 1, 1507845600, 1, 72, 1508144472, NULL, NULL, 0),
(137129, 217, 1041, 1, 1508104800, 1, 72, 1508144565, NULL, NULL, 0),
(137130, 217, 1041, 1, 1508277600, 1, 72, 1508150528, NULL, NULL, 0),
(137131, 217, 1041, 1, 1508364000, 1, 72, 1508144565, NULL, NULL, 0),
(137132, 217, 1041, 1, 1508450400, 1, 72, 1508144565, NULL, NULL, 0),
(137177, 164, 16588, 18, 1508104800, 0.5, 164, 1508157146, NULL, NULL, 0),
(137227, 2, 2, 1, 1508191200, 0.5, 2, 1508195919, NULL, NULL, 0),
(137228, 2, 23789, 1, 1508104800, 0.5, 2, 1508195962, NULL, NULL, 0),
(137229, 2, 21623, 1, 1508104800, 0.5, 2, 1508195989, NULL, NULL, 0),
(137245, 199, 21844, 7, 1508191200, 0.25, 199, 1508225617, NULL, NULL, 0),
(137331, 56, 2, 1, 1508191200, 1, 9, 1508243614, NULL, NULL, 0),
(152966, 74, 2, 1, 1525644000, 1, 72, 1516799956, NULL, NULL, 0),
(152965, 74, 2, 1, 1525384800, 1, 72, 1516799956, NULL, NULL, 0),
(152964, 74, 2, 1, 1525298400, 1, 72, 1516799956, NULL, NULL, 0),
(152963, 74, 2, 1, 1525212000, 1, 72, 1516799956, NULL, NULL, 0),
(137418, 199, 2, 1, 1525644000, 1, 199, 1508248672, NULL, NULL, 0),
(137420, 199, 2, 1, 1525816800, 1, 199, 1508248672, NULL, NULL, 0),
(137422, 199, 2, 1, 1525989600, 1, 199, 1508248672, NULL, NULL, 0),
(137423, 199, 2, 1, 1533074400, 1, 199, 1508248725, NULL, NULL, 0),
(137424, 199, 2, 1, 1533160800, 1, 199, 1508248725, NULL, NULL, 0),
(137425, 199, 2, 1, 1533247200, 1, 199, 1508248725, NULL, NULL, 0),
(137426, 199, 2, 1, 1533506400, 1, 199, 1508248725, NULL, NULL, 0),
(137427, 199, 2, 1, 1533592800, 1, 199, 1508248725, NULL, NULL, 0),
(137428, 199, 2, 1, 1533679200, 1, 199, 1508248725, NULL, NULL, 0),
(137429, 199, 2, 1, 1533765600, 1, 199, 1508248725, NULL, NULL, 0),
(137430, 199, 2, 1, 1533852000, 1, 199, 1508248725, NULL, NULL, 0),
(137431, 199, 2, 1, 1534111200, 1, 199, 1508248725, NULL, NULL, 0),
(137432, 199, 2, 1, 1534197600, 1, 199, 1508248725, NULL, NULL, 0),
(137433, 199, 2, 1, 1534284000, 1, 199, 1508248725, NULL, NULL, 0),
(137434, 199, 2, 1, 1534370400, 1, 199, 1508248725, NULL, NULL, 0),
(137435, 199, 2, 1, 1534456800, 1, 199, 1508248725, NULL, NULL, 0),
(137438, 199, 2, 1, 1512687600, 1, 199, 1508249043, NULL, NULL, 0),
(137442, 74, 2, 1, 1514847600, 1, 74, 1508251745, NULL, NULL, 0),
(137444, 74, 1, 1, 1510614000, 0.5, 74, 1508251915, NULL, NULL, 0),
(137445, 74, 1, 1, 1513033200, 0.5, 74, 1508251939, NULL, NULL, 0),
(137446, 72, 2, 1, 1514847600, 1, 72, 1508253794, NULL, NULL, 0),
(137450, 199, 2, 1, 1524434400, 1, 199, 1508268650, NULL, NULL, 0),
(137451, 199, 2, 1, 1524520800, 1, 199, 1508268650, NULL, NULL, 0),
(137452, 199, 2, 1, 1524607200, 1, 199, 1508268650, NULL, NULL, 0),
(137453, 199, 2, 1, 1524693600, 1, 199, 1508268650, NULL, NULL, 0),
(137454, 199, 2, 1, 1524780000, 1, 199, 1508268650, NULL, NULL, 0),
(137455, 74, 14534, 1, 1508277600, 1, 74, 1508307016, NULL, NULL, 0),
(137456, 74, 1, 1, 1508191200, 0.5, 74, 1508307033, NULL, NULL, 0),
(137457, 74, 1, 1, 1508450400, 0.5, 74, 1508307044, NULL, NULL, 0),
(137468, 199, 1041, 1, 1508277600, 1, 72, 1508311735, NULL, NULL, 0),
(137469, 199, 1041, 1, 1508364000, 1, 72, 1508311735, NULL, NULL, 0),
(137470, 199, 1041, 1, 1508450400, 1, 72, 1508311735, NULL, NULL, 0),
(137471, 199, 1041, 1, 1508709600, 1, 72, 1508311735, NULL, NULL, 0),
(137472, 199, 1041, 1, 1508796000, 1, 72, 1508311735, NULL, NULL, 0),
(137473, 199, 1041, 1, 1508882400, 1, 72, 1508311735, NULL, NULL, 0),
(137474, 199, 1041, 1, 1508968800, 1, 72, 1508311735, NULL, NULL, 0),
(137475, 199, 1041, 1, 1509055200, 1, 72, 1508311735, NULL, NULL, 0),
(137480, 164, 2, 1, 1517785200, 1, 164, 1508312018, NULL, NULL, 0),
(137481, 164, 2, 1, 1517871600, 1, 164, 1508312018, NULL, NULL, 0),
(137482, 164, 2, 1, 1517958000, 1, 164, 1508312018, NULL, NULL, 0),
(137483, 164, 2, 1, 1518044400, 1, 164, 1508312018, NULL, NULL, 0),
(137484, 164, 2, 1, 1518130800, 1, 164, 1508312018, NULL, NULL, 0),
(137547, 56, 2, 1, 1508450400, 0.5, 56, 1508359393, NULL, NULL, 0),
(137552, 72, 2, 1, 1514502000, 1, 72, 1508393066, NULL, NULL, 0),
(140402, 74, 22232, 6, 1510009200, 1, 74, 1510211982, NULL, NULL, 0),
(139498, 74, 1400, 1, 1511391600, 1, 74, 1509629820, NULL, NULL, 0),
(144298, 74, 22807, 5, 1511910000, 1, 74, 1512111975, NULL, NULL, 0),
(137565, 74, 1, 1, 1513206000, 1, 74, 1508394452, NULL, NULL, 0),
(137726, 72, 23789, 1, 1508104800, 1, 72, 1508411923, NULL, NULL, 0),
(137727, 72, 23789, 1, 1508191200, 1, 72, 1508411933, NULL, NULL, 0),
(137728, 72, 23789, 1, 1508277600, 1, 72, 1508411943, NULL, NULL, 0),
(137729, 72, 23789, 1, 1508364000, 1, 72, 1508411951, NULL, NULL, 0),
(137802, 2, 23789, 1, 1508364000, 0.25, 2, 1508426422, NULL, NULL, 0),
(137804, 2, 17251, 17, 1508364000, 0.25, 2, 1508426035, NULL, NULL, 0),
(137805, 2, 17251, 17, 1508277600, 0.2, 2, 1508426051, NULL, NULL, 0),
(137806, 2, 23789, 1, 1508277600, 0.8, 2, 1508426211, NULL, NULL, 0),
(137811, 2, 23789, 1, 1508191200, 0.5, 2, 1508426204, NULL, NULL, 0),
(137812, 2, 22405, 4, 1508364000, 0.5, 2, 1508426437, NULL, NULL, 0),
(137840, 157, 1, 1, 1508191200, 0.25, 157, 1508478107, NULL, NULL, 0),
(137841, 157, 14534, 1, 1508450400, 0.25, 157, 1508478179, NULL, NULL, 0),
(137842, 157, 1, 1, 1508450400, 0.25, 157, 1508478297, NULL, NULL, 0),
(137843, 157, 19872, 5, 1508364000, 0.75, 157, 1508478364, NULL, NULL, 0),
(137844, 157, 19872, 5, 1508450400, 0.5, 157, 1508478380, NULL, NULL, 0),
(137845, 157, 22409, 4, 1508277600, 1, 157, 1508478414, NULL, NULL, 0),
(137846, 157, 22407, 4, 1508104800, 0.5, 157, 1508478524, NULL, NULL, 0),
(137847, 157, 22407, 4, 1508104800, 0.5, 157, 1508478545, NULL, NULL, 0),
(137848, 157, 2, 1, 1526594400, 1, 157, 1508478851, NULL, NULL, 0),
(137849, 72, 23789, 1, 1508450400, 0.5, 72, 1508492040, NULL, NULL, 0),
(155009, 72, 23790, 1, 1517871600, 0.7, 72, 1517931415, NULL, NULL, 0),
(155008, 72, 24670, 7, 1517871600, 0.3, 72, 1517931403, NULL, NULL, 0),
(137852, 157, 2, 1, 1520204400, 1, 157, 1508478980, NULL, NULL, 0),
(137853, 157, 2, 1, 1520290800, 1, 157, 1508478980, NULL, NULL, 0),
(137854, 157, 2, 1, 1520377200, 1, 157, 1508478980, NULL, NULL, 0),
(137855, 157, 2, 1, 1520463600, 1, 157, 1508478980, NULL, NULL, 0),
(137856, 157, 2, 1, 1520550000, 1, 157, 1508478980, NULL, NULL, 0),
(137870, 157, 22411, 5, 1508191200, 0.25, 157, 1508481276, NULL, NULL, 0),
(137871, 157, 22410, 4, 1508191200, 0.5, 157, 1508481319, NULL, NULL, 0),
(137934, 74, 14534, 1, 1508364000, 0.5, 74, 1508490425, NULL, NULL, 0),
(137935, 74, 22049, 5, 1508364000, 0.5, 74, 1508490547, NULL, NULL, 0),
(137936, 74, 17765, 5, 1508104800, 1, 74, 1508490591, NULL, NULL, 0),
(137937, 74, 17765, 5, 1508191200, 0.5, 74, 1508490603, NULL, NULL, 0),
(137938, 74, 21658, 6, 1508450400, 0.5, 74, 1508490636, NULL, NULL, 0),
(137940, 164, 16588, 18, 1508191200, 0.5, 164, 1508491273, NULL, NULL, 0),
(137941, 164, 19800, 18, 1508191200, 0.5, 164, 1508491308, NULL, NULL, 0),
(137942, 164, 19800, 18, 1508104800, 0.5, 164, 1508491344, NULL, NULL, 0),
(137943, 164, 19800, 17, 1508277600, 1, 164, 1508491392, NULL, NULL, 0),
(137945, 2, 20800, 1, 1508450400, 0.5, 2, 1508491508, NULL, NULL, 0),
(137948, 72, 23789, 1, 1507586400, 1, 72, 1508492002, NULL, NULL, 0),
(137949, 72, 23789, 1, 1507672800, 1, 72, 1508492013, NULL, NULL, 0),
(137950, 72, 21658, 17, 1508450400, 0.5, 72, 1508492083, NULL, NULL, 0),
(138139, 217, 1506, 1, 1507845600, 1, 217, 1508738376, NULL, NULL, 0),
(138872, 217, 1041, 1, 1508709600, 1, 72, 1509016273, NULL, NULL, 0),
(138154, 168, 19872, 5, 1508104800, 1, 168, 1508745074, NULL, NULL, 0),
(138155, 168, 19872, 5, 1508191200, 1, 168, 1508745094, NULL, NULL, 0),
(138205, 2, 19800, 18, 1508709600, 0.25, 2, 1508763793, NULL, NULL, 0),
(138206, 2, 23789, 1, 1508709600, 0.25, 2, 1508763877, NULL, NULL, 0),
(138207, 205, 22413, 4, 1508450400, 0.75, 205, 1508766279, NULL, NULL, 0),
(138208, 205, 14534, 1, 1508450400, 0.25, 205, 1508766294, NULL, NULL, 0),
(138209, 205, 14534, 1, 1508364000, 0.25, 205, 1508766315, NULL, NULL, 0),
(138210, 205, 23789, 1, 1508364000, 0.25, 205, 1508766330, NULL, NULL, 0),
(138211, 205, 22370, 4, 1508364000, 0.5, 205, 1508766392, NULL, NULL, 0),
(138212, 205, 14534, 1, 1508277600, 0.5, 205, 1508766426, NULL, NULL, 0),
(138214, 205, 22413, 4, 1508277600, 0.5, 205, 1508766517, NULL, NULL, 0),
(138215, 205, 22413, 4, 1508191200, 1, 205, 1508766711, NULL, NULL, 0),
(138217, 205, 23789, 1, 1508104800, 1, 205, 1508766804, NULL, NULL, 0),
(138218, 205, 22232, 6, 1508709600, 0.5, 205, 1508767016, NULL, NULL, 0),
(138219, 205, 22424, 6, 1508709600, 0.5, 205, 1508767004, NULL, NULL, 0),
(138234, 2, 21623, 1, 1508709600, 0.25, 2, 1508769138, NULL, NULL, 0),
(138251, 72, 23789, 1, 1508709600, 1, 72, 1508770526, NULL, NULL, 0),
(138264, 56, 1, 1, 1508796000, 0.25, 56, 1508798227, NULL, NULL, 0),
(138307, 2, 1435, 1, 1508709600, 0.25, 2, 1508839335, NULL, NULL, 0),
(138308, 2, 1435, 1, 1508796000, 0.5, 2, 1508839376, NULL, NULL, 0),
(138309, 72, 22047, 4, 1508796000, 0.5, 72, 1508842571, NULL, NULL, 0),
(138310, 72, 23789, 1, 1508796000, 0.3, 72, 1508852695, NULL, NULL, 0),
(140098, 72, 21758, 7, 1510009200, 0.1, 72, 1510048375, NULL, NULL, 0),
(138334, 72, 22048, 5, 1508796000, 0.2, 72, 1508852736, NULL, NULL, 0),
(138350, 2, 21623, 1, 1508796000, 0.1, 2, 1508855632, NULL, NULL, 0),
(138359, 2, 20615, 18, 1508796000, 0.4, 2, 1508855723, NULL, NULL, 0),
(138363, 72, 1400, 1, 1511391600, 1, 72, 1508857046, NULL, NULL, 0),
(138364, 217, 1041, 1, 1508796000, 1, 72, 1508857521, NULL, NULL, 0),
(138365, 217, 1041, 1, 1508882400, 1, 72, 1508857521, NULL, NULL, 0),
(138366, 217, 1041, 1, 1508968800, 1, 72, 1508857521, NULL, NULL, 0),
(138367, 217, 1041, 1, 1509055200, 1, 72, 1508857521, NULL, NULL, 0),
(138559, 72, 22048, 6, 1508882400, 0.5, 72, 1508936404, NULL, NULL, 0),
(138560, 72, 23789, 1, 1508882400, 0.5, 72, 1508936419, NULL, NULL, 0),
(138573, 2, 23789, 1, 1508882400, 0.5, 2, 1508940674, NULL, NULL, 0),
(138576, 157, 22426, 4, 1508882400, 0.5, 157, 1508940911, NULL, NULL, 0),
(138577, 157, 22426, 4, 1508796000, 0.5, 157, 1508940930, NULL, NULL, 0),
(138578, 157, 22371, 5, 1508709600, 0.5, 157, 1508940963, NULL, NULL, 0),
(138582, 157, 22374, 4, 1508709600, 0.5, 157, 1508941028, NULL, NULL, 0),
(138585, 157, 22375, 4, 1508796000, 0.5, 157, 1508941086, NULL, NULL, 0),
(138586, 157, 22375, 6, 1508882400, 0.5, 157, 1508941104, NULL, NULL, 0),
(138703, 2, 1435, 1, 1508882400, 0.1, 2, 1508965161, NULL, NULL, 0),
(138796, 199, 22375, 5, 1508191200, 0.25, 199, 1509006557, NULL, NULL, 0),
(138797, 199, 22371, 5, 1508191200, 0.25, 199, 1509006599, NULL, NULL, 0),
(138798, 199, 21658, 6, 1508191200, 0.25, 199, 1509006627, NULL, NULL, 0),
(138800, 199, 21658, 6, 1508104800, 0.25, 199, 1509006643, NULL, NULL, 0),
(138801, 199, 13774, 7, 1508104800, 0.75, 199, 1509006663, NULL, NULL, 0),
(138804, 199, 13774, 5, 1507500000, 1, 199, 1509006724, NULL, NULL, 0),
(138873, 217, 1041, 1, 1509318000, 1, 72, 1509016294, NULL, NULL, 0),
(138874, 217, 1041, 1, 1509404400, 1, 72, 1509016304, NULL, NULL, 0),
(138915, 72, 23789, 1, 1508968800, 1, 72, 1509021200, NULL, NULL, 0),
(140359, 217, 1, 1, 1510009200, 0.2, 217, 1510153611, NULL, NULL, 0),
(140358, 217, 17741, 4, 1510009200, 0.2, 217, 1510153559, NULL, NULL, 0),
(140357, 217, 20431, 2, 1510095600, 0.1, 217, 1510153537, NULL, NULL, 0),
(140356, 217, 17741, 7, 1510095600, 0.5, 217, 1510153514, NULL, NULL, 0),
(138985, 157, 22414, 5, 1508968800, 0.5, 157, 1509086772, NULL, NULL, 0),
(138986, 157, 22022, 6, 1508968800, 0.5, 157, 1509086854, NULL, NULL, 0),
(138987, 157, 22414, 5, 1509055200, 1, 157, 1509086875, NULL, NULL, 0),
(139044, 72, 22763, 4, 1509055200, 0.2, 72, 1509110070, NULL, NULL, 0),
(139045, 72, 23789, 1, 1509055200, 0.8, 72, 1509110083, NULL, NULL, 0),
(139227, 199, 21837, 4, 1509318000, 0.25, 199, 1509357191, NULL, NULL, 0),
(139245, 199, 22767, 4, 1509318000, 0.25, 199, 1509366142, NULL, NULL, 0),
(139263, 72, 23789, 1, 1509318000, 1, 72, 1509439087, NULL, NULL, 0),
(139256, 164, 17251, 17, 1509318000, 0.5, 164, 1509374990, NULL, NULL, 0),
(139257, 164, 22805, 18, 1509318000, 0.5, 164, 1509375021, NULL, NULL, 0),
(139264, 72, 23789, 1, 1509404400, 0.5, 72, 1509464294, NULL, NULL, 0),
(139353, 199, 22764, 4, 1509404400, 0.5, 199, 1509463815, NULL, NULL, 0),
(139354, 199, 22764, 4, 1509318000, 0.25, 199, 1509463837, NULL, NULL, 0),
(139355, 199, 22380, 5, 1509404400, 0.25, 199, 1509463856, NULL, NULL, 0),
(139356, 199, 21756, 7, 1509404400, 0.25, 199, 1509463877, NULL, NULL, 0),
(139357, 199, 1505, 1, 1509318000, 0.25, 199, 1509464010, NULL, NULL, 0),
(139358, 72, 22806, 4, 1509404400, 0.5, 72, 1509464346, NULL, NULL, 0),
(139499, 74, 1, 1, 1511218800, 0.5, 74, 1509629832, NULL, NULL, 0),
(139500, 74, 1, 1, 1511478000, 0.5, 74, 1509629881, NULL, NULL, 0),
(139501, 74, 1400, 1, 1510268400, 0.5, 74, 1509629970, NULL, NULL, 0),
(139553, 2, 16588, 18, 1509577200, 0.5, 2, 1509638819, NULL, NULL, 0),
(139576, 199, 22374, 5, 1509577200, 0.5, 199, 1509641242, NULL, NULL, 0),
(139577, 199, 22766, 4, 1509577200, 0.5, 199, 1509641269, NULL, NULL, 0),
(139578, 2, 23789, 1, 1509577200, 0.3, 2, 1509642115, NULL, NULL, 0),
(139579, 2, 1435, 1, 1509577200, 0.2, 2, 1509725319, NULL, NULL, 0),
(139607, 56, 2, 1, 1509318000, 1, 56, 1509695598, NULL, NULL, 0),
(139608, 56, 2, 1, 1509404400, 1, 56, 1509695620, NULL, NULL, 0),
(139613, 199, 19982, 4, 1509663600, 0.25, 199, 1509697055, NULL, NULL, 0),
(139622, 199, 21757, 5, 1509663600, 0.25, 199, 1509700209, NULL, NULL, 0),
(139668, 199, 22788, 5, 1509663600, 0.1, 199, 1509702928, NULL, NULL, 0),
(139729, 199, 22051, 5, 1509663600, 0.1, 199, 1509709257, NULL, NULL, 0),
(139730, 199, 22051, 5, 1509663600, 0.05, 199, 1509709270, NULL, NULL, 0),
(139788, 199, 22764, 4, 1509663600, 0.25, 199, 1509722780, NULL, NULL, 0),
(139794, 2, 23789, 1, 1509663600, 0.25, 2, 1509725340, NULL, NULL, 0),
(139795, 2, 17251, 17, 1509663600, 0.5, 2, 1509725216, NULL, NULL, 0),
(139796, 2, 21623, 1, 1509663600, 0.25, 2, 1509725288, NULL, NULL, 0),
(139834, 199, 21799, 7, 1509922800, 0.1, 199, 1509952758, NULL, NULL, 0),
(139839, 74, 22232, 6, 1509577200, 1, 74, 1509953951, NULL, NULL, 0),
(139840, 74, 22232, 6, 1509663600, 1, 74, 1509953964, NULL, NULL, 0),
(139957, 199, 22787, 5, 1509922800, 0.5, 199, 1509979086, NULL, NULL, 0),
(139979, 199, 22786, 7, 1509922800, 0.2, 199, 1509980057, NULL, NULL, 0),
(139972, 164, 22805, 18, 1509404400, 0.5, 164, 1509979852, NULL, NULL, 0),
(139981, 199, 22786, 7, 1509922800, 0.2, 199, 1509980073, NULL, NULL, 0),
(140026, 199, 22915, 7, 1510009200, 0.1, 199, 1510038305, NULL, NULL, 0),
(140045, 199, 22916, 5, 1510009200, 0.25, 199, 1510042435, NULL, NULL, 0),
(140090, 72, 22806, 7, 1510009200, 0.5, 72, 1510048071, NULL, NULL, 0),
(140091, 72, 23789, 1, 1509922800, 1, 72, 1510048086, NULL, NULL, 0),
(140099, 72, 23789, 1, 1510009200, 0.4, 72, 1510048386, NULL, NULL, 0),
(140108, 217, 17741, 4, 1509922800, 0.4, 217, 1510153584, NULL, NULL, 0),
(140109, 217, 17741, 7, 1510009200, 0.5, 217, 1510051162, NULL, NULL, 0),
(140110, 217, 21837, 2, 1510009200, 0.1, 217, 1510051197, NULL, NULL, 0),
(140111, 217, 22764, 2, 1509922800, 0.1, 217, 1510051254, NULL, NULL, 0),
(140112, 217, 22370, 2, 1509922800, 0.1, 217, 1510051278, NULL, NULL, 0),
(140113, 217, 22874, 2, 1509922800, 0.1, 217, 1510051304, NULL, NULL, 0),
(140114, 217, 17741, 7, 1509922800, 0.1, 217, 1510051341, NULL, NULL, 0),
(140130, 199, 21837, 5, 1510009200, 0.25, 199, 1510052888, NULL, NULL, 0),
(140188, 199, 22875, 4, 1510009200, 0.4, 199, 1510066971, NULL, NULL, 0),
(140193, 157, 22876, 4, 1509922800, 0.5, 157, 1510069717, NULL, NULL, 0),
(140194, 157, 22879, 4, 1509922800, 0.25, 157, 1510069748, NULL, NULL, 0),
(140195, 157, 22879, 4, 1510009200, 0.25, 157, 1510069783, NULL, NULL, 0),
(140196, 157, 22876, 5, 1510009200, 0.25, 157, 1510069811, NULL, NULL, 0),
(140197, 157, 22881, 4, 1510009200, 0.25, 157, 1510069850, NULL, NULL, 0),
(140198, 157, 22413, 7, 1510009200, 0.25, 157, 1510069877, NULL, NULL, 0),
(140199, 157, 19872, 5, 1509922800, 0.25, 157, 1510069933, NULL, NULL, 0),
(140218, 2, 21623, 1, 1509922800, 0.25, 2, 1510074086, NULL, NULL, 0),
(140219, 2, 21623, 1, 1510009200, 0.25, 2, 1510074094, NULL, NULL, 0),
(140220, 2, 23789, 1, 1509922800, 0.5, 2, 1510074316, NULL, NULL, 0),
(140221, 2, 23789, 1, 1510009200, 0.75, 2, 1510074151, NULL, NULL, 0),
(140222, 2, 17251, 17, 1509922800, 0.25, 2, 1510074299, NULL, NULL, 0),
(140308, 199, 22370, 5, 1510095600, 0.25, 199, 1510141310, NULL, NULL, 0),
(140332, 2, 22926, 18, 1510095600, 0.3, 2, 1510145762, NULL, NULL, 0),
(140350, 199, 22229, 5, 1510095600, 0.5, 199, 1510150468, NULL, NULL, 0),
(140360, 217, 1, 1, 1509922800, 0.2, 217, 1510153626, NULL, NULL, 0),
(140361, 217, 22423, 4, 1510095600, 0.1, 217, 1510154015, NULL, NULL, 0),
(140362, 217, 17741, 18, 1510095600, 0.1, 217, 1510154032, NULL, NULL, 0),
(140363, 217, 4857, 1, 1510095600, 0.2, 217, 1510154069, NULL, NULL, 0),
(140365, 217, 22423, 4, 1510182000, 0.8, 217, 1510320303, NULL, NULL, 0),
(140366, 217, 4857, 1, 1510182000, 0.2, 217, 1510154383, NULL, NULL, 0),
(140398, 199, 20642, 5, 1510095600, 0.25, 199, 1510211262, NULL, NULL, 0),
(140399, 199, 20431, 5, 1510182000, 0.25, 199, 1510211287, NULL, NULL, 0),
(140400, 72, 23789, 1, 1510095600, 1, 72, 1510211699, NULL, NULL, 0),
(140401, 74, 22232, 6, 1509922800, 1, 74, 1510211953, NULL, NULL, 0),
(140403, 74, 22232, 6, 1510095600, 0.5, 74, 1510211997, NULL, NULL, 0),
(140404, 74, 16849, 5, 1510095600, 0.5, 74, 1510212055, NULL, NULL, 0),
(140405, 74, 1, 1, 1510182000, 0.5, 74, 1510212070, NULL, NULL, 0),
(140406, 74, 21660, 5, 1510182000, 0.5, 74, 1510212103, NULL, NULL, 0),
(140425, 2, 19800, 18, 1510182000, 0.25, 2, 1510266988, NULL, NULL, 0),
(140426, 2, 1437, 1, 1510095600, 0.2, 2, 1510215939, NULL, NULL, 0),
(140475, 168, 1, 1, 1510614000, 0.5, 168, 1510218801, NULL, NULL, 0),
(140480, 168, 2, 1, 1511737200, 1, 168, 1510218991, NULL, NULL, 0),
(140483, 168, 2, 1, 1512428400, 1, 168, 1510219030, NULL, NULL, 0),
(140486, 168, 1, 1, 1510786800, 1, 168, 1510219084, NULL, NULL, 0),
(140487, 168, 1, 1, 1510873200, 1, 168, 1510219084, NULL, NULL, 0),
(140488, 168, 1, 1, 1510268400, 1, 168, 1510219128, NULL, NULL, 0),
(140489, 168, 1, 1, 1511996400, 1, 168, 1510219188, NULL, NULL, 0),
(140490, 168, 1, 1, 1511478000, 1, 168, 1510219221, NULL, NULL, 0),
(140491, 168, 2, 1, 1514242800, 1, 168, 1510219306, NULL, NULL, 0),
(140492, 168, 2, 1, 1514329200, 1, 168, 1510219306, NULL, NULL, 0),
(140493, 168, 2, 1, 1514415600, 1, 168, 1510219306, NULL, NULL, 0),
(140494, 168, 2, 1, 1514502000, 1, 168, 1510219306, NULL, NULL, 0),
(140744, 168, 2, 1, 1514847600, 1, 168, 1510242780, NULL, NULL, 0),
(140745, 168, 2, 1, 1514934000, 1, 168, 1510242780, NULL, NULL, 0),
(140746, 168, 2, 1, 1515020400, 1, 168, 1510242780, NULL, NULL, 0),
(140747, 168, 2, 1, 1515106800, 1, 168, 1510242780, NULL, NULL, 0),
(140785, 199, 22764, 5, 1510182000, 0.25, 199, 1510297675, NULL, NULL, 0),
(140781, 2, 23789, 1, 1510182000, 0.4, 2, 1510267011, NULL, NULL, 0),
(140778, 2, 23789, 1, 1510095600, 0.5, 2, 1510266097, NULL, NULL, 0),
(140784, 199, 22766, 5, 1510182000, 0.5, 199, 1510297648, NULL, NULL, 0),
(140780, 2, 21623, 1, 1510182000, 0.3, 2, 1510266184, NULL, NULL, 0),
(140783, 2, 23789, 1, 1510182000, 0.05, 2, 1510267019, NULL, NULL, 0),
(140803, 157, 22824, 4, 1510095600, 0.5, 157, 1510308854, NULL, NULL, 0),
(140808, 157, 22923, 4, 1510182000, 0.5, 157, 1510308896, NULL, NULL, 0),
(140812, 157, 22408, 5, 1510095600, 0.5, 157, 1510309175, NULL, NULL, 0),
(140815, 157, 22413, 7, 1510268400, 0.25, 157, 1510309460, NULL, NULL, 0),
(140816, 157, 19872, 6, 1510268400, 0.5, 157, 1510309491, NULL, NULL, 0),
(140817, 157, 22945, 4, 1510268400, 0.25, 157, 1510309598, NULL, NULL, 0),
(140819, 157, 22824, 7, 1510182000, 0.5, 157, 1510309643, NULL, NULL, 0),
(140847, 72, 23789, 1, 1510182000, 1, 72, 1510311612, NULL, NULL, 0),
(140848, 164, 1435, 1, 1510268400, 0.5, 164, 1510311620, NULL, NULL, 0),
(140849, 72, 23789, 1, 1510268400, 1, 72, 1510311620, NULL, NULL, 0),
(140852, 164, 1, 1, 1510009200, 0.25, 164, 1510311643, NULL, NULL, 0),
(140853, 164, 20615, 18, 1510009200, 0.75, 164, 1510311708, NULL, NULL, 0),
(140854, 164, 16588, 18, 1509922800, 0.5, 164, 1510311724, NULL, NULL, 0),
(140869, 74, 22806, 4, 1510268400, 0.25, 74, 1510315986, NULL, NULL, 0),
(140870, 74, 22807, 5, 1510268400, 0.25, 74, 1510316009, NULL, NULL, 0),
(140873, 164, 1, 1, 1510700400, 1, 164, 1510316754, NULL, NULL, 0),
(140876, 199, 22764, 5, 1510268400, 0.6, 199, 1510318698, NULL, NULL, 0),
(140877, 199, 22964, 5, 1510268400, 0.2, 199, 1510318829, NULL, NULL, 0),
(140881, 217, 22423, 4, 1510268400, 0.8, 217, 1510586834, NULL, NULL, 0),
(140912, 199, 22214, 4, 1510268400, 0.2, 199, 1510325634, NULL, NULL, 0),
(140921, 2, 21623, 1, 1510268400, 0.7, 2, 1510329500, NULL, NULL, 0),
(140922, 2, 23789, 1, 1510268400, 0.3, 2, 1510329532, NULL, NULL, 0),
(140939, 322, 2, 1, 1512082800, 1, 322, 1510332666, NULL, NULL, 0),
(140940, 322, 2, 1, 1512342000, 1, 322, 1510332666, NULL, NULL, 0),
(140941, 322, 2, 1, 1512428400, 1, 322, 1510332666, NULL, NULL, 0),
(140942, 322, 2, 1, 1512514800, 1, 322, 1510332666, NULL, NULL, 0),
(140943, 322, 2, 1, 1512601200, 1, 322, 1510332666, NULL, NULL, 0),
(140944, 322, 2, 1, 1512687600, 1, 322, 1510332666, NULL, NULL, 0),
(140949, 322, 1, 1, 1512946800, 1, 322, 1510332694, NULL, NULL, 0),
(140950, 322, 1, 1, 1513033200, 1, 322, 1510332694, NULL, NULL, 0),
(140951, 322, 1, 1, 1513119600, 1, 322, 1510332694, NULL, NULL, 0),
(140952, 322, 1, 1, 1513206000, 1, 322, 1510332694, NULL, NULL, 0),
(140953, 322, 1, 1, 1513292400, 1, 322, 1510332694, NULL, NULL, 0),
(140954, 322, 1, 1, 1513551600, 1, 322, 1510332694, NULL, NULL, 0),
(140955, 322, 1, 1, 1513638000, 1, 322, 1510332695, NULL, NULL, 0),
(140956, 322, 1, 1, 1513724400, 1, 322, 1510332695, NULL, NULL, 0),
(140957, 322, 1, 1, 1513810800, 1, 322, 1510332695, NULL, NULL, 0),
(140958, 322, 1, 1, 1513897200, 1, 322, 1510332695, NULL, NULL, 0),
(140959, 322, 1, 1, 1510527600, 1, 322, 1510332711, NULL, NULL, 0),
(140960, 322, 1, 1, 1510614000, 1, 322, 1510332711, NULL, NULL, 0),
(140961, 322, 1, 1, 1510700400, 1, 322, 1510332712, NULL, NULL, 0),
(140962, 322, 1, 1, 1510786800, 1, 322, 1510332712, NULL, NULL, 0),
(140963, 322, 1, 1, 1510873200, 1, 322, 1510332712, NULL, NULL, 0),
(140964, 322, 1, 1, 1511132400, 1, 322, 1510332712, NULL, NULL, 0),
(140965, 322, 1, 1, 1511218800, 1, 322, 1510332712, NULL, NULL, 0),
(140966, 322, 1, 1, 1511305200, 1, 322, 1510332712, NULL, NULL, 0),
(140967, 322, 1, 1, 1511391600, 1, 322, 1510332712, NULL, NULL, 0),
(140968, 322, 1, 1, 1511478000, 1, 322, 1510332712, NULL, NULL, 0),
(140969, 322, 2, 1, 1514242800, 1, 322, 1510332752, NULL, NULL, 0),
(140970, 322, 2, 1, 1514329200, 1, 322, 1510332752, NULL, NULL, 0),
(140971, 322, 2, 1, 1514415600, 1, 322, 1510332752, NULL, NULL, 0),
(140972, 322, 2, 1, 1514502000, 1, 322, 1510332752, NULL, NULL, 0),
(141010, 72, 22047, 7, 1510527600, 0.2, 72, 1510562583, NULL, NULL, 0),
(141011, 72, 23789, 1, 1510527600, 0.8, 72, 1510562599, NULL, NULL, 0),
(141031, 217, 4857, 1, 1510527600, 0.75, 217, 1510586856, NULL, NULL, 0),
(141032, 217, 4857, 1, 1510268400, 0.2, 217, 1510586840, NULL, NULL, 0),
(141057, 199, 20432, 4, 1510527600, 0.1, 199, 1510580610, NULL, NULL, 0),
(141058, 199, 20433, 5, 1510527600, 0.5, 199, 1510580627, NULL, NULL, 0),
(141074, 217, 22386, 4, 1510527600, 0.25, 217, 1510586922, NULL, NULL, 0),
(141091, 199, 20433, 5, 1510527600, 0.4, 199, 1510642042, NULL, NULL, 0),
(141093, 217, 2, 1, 1513033200, 1, 217, 1510642587, NULL, NULL, 0),
(141094, 217, 2, 1, 1513119600, 1, 217, 1510642587, NULL, NULL, 0),
(141095, 217, 2, 1, 1513206000, 1, 217, 1510642587, NULL, NULL, 0),
(141412, 217, 2, 1, 1512946800, 0.5, 2, 1510741441, NULL, NULL, 0),
(141240, 74, 1, 1, 1511218800, 0.5, 74, 1510664029, NULL, NULL, 0),
(141241, 74, 1, 1, 1511132400, 0.5, 74, 1510664056, NULL, NULL, 0),
(141271, 168, 22378, 5, 1508968800, 1, 168, 1510669217, NULL, NULL, 0),
(141272, 168, 22378, 5, 1509922800, 0.5, 168, 1510669277, NULL, NULL, 0),
(141274, 168, 22919, 5, 1509922800, 0.5, 168, 1510669448, NULL, NULL, 0),
(141275, 168, 22920, 4, 1510009200, 0.5, 168, 1510669492, NULL, NULL, 0),
(141285, 168, 22423, 5, 1510614000, 0.5, 168, 1510669792, NULL, NULL, 0),
(141279, 168, 22919, 5, 1510009200, 0.5, 168, 1510669619, NULL, NULL, 0),
(141280, 168, 22919, 5, 1510095600, 1, 168, 1510669641, NULL, NULL, 0),
(141282, 168, 22919, 5, 1510182000, 1, 168, 1510669662, NULL, NULL, 0),
(141283, 168, 22423, 5, 1510527600, 1, 168, 1510669760, NULL, NULL, 0),
(141314, 322, 1, 1, 1515366000, 1, 322, 1510675506, NULL, NULL, 0),
(141315, 322, 1, 1, 1515452400, 1, 322, 1510675506, NULL, NULL, 0),
(141316, 322, 1, 1, 1515538800, 1, 322, 1510675506, NULL, NULL, 0),
(141317, 322, 1, 1, 1515625200, 1, 322, 1510675506, NULL, NULL, 0),
(141318, 322, 1, 1, 1515711600, 1, 322, 1510675506, NULL, NULL, 0),
(141356, 2, 23789, 1, 1510614000, 0.5, 2, 1510679611, NULL, NULL, 0),
(141357, 2, 1435, 1, 1510614000, 0.25, 2, 1510679626, NULL, NULL, 0),
(141358, 2, 1435, 1, 1510527600, 0.25, 2, 1510679633, NULL, NULL, 0),
(141359, 2, 23789, 1, 1510527600, 0.5, 2, 1510679645, NULL, NULL, 0),
(141360, 2, 21623, 1, 1510527600, 0.25, 2, 1510679693, NULL, NULL, 0),
(141361, 2, 21623, 1, 1510614000, 0.25, 2, 1510679699, NULL, NULL, 0),
(141367, 74, 22807, 5, 1510527600, 1, 74, 1510733495, NULL, NULL, 0),
(141368, 74, 22806, 4, 1510614000, 0.5, 74, 1510733527, NULL, NULL, 0),
(141374, 157, 23016, 4, 1510527600, 0.5, 157, 1510737123, NULL, NULL, 0),
(141378, 157, 22824, 4, 1510527600, 0.25, 157, 1510737269, NULL, NULL, 0),
(141379, 157, 22923, 4, 1510527600, 0.25, 157, 1510737303, NULL, NULL, 0),
(141380, 157, 23018, 4, 1510614000, 0.5, 157, 1510737350, NULL, NULL, 0),
(141381, 157, 23018, 4, 1510700400, 0.25, 157, 1510737370, NULL, NULL, 0),
(141382, 157, 22924, 5, 1510700400, 0.25, 157, 1510737481, NULL, NULL, 0),
(145950, 157, 2, 1, 1513292400, 0.5, 157, 1513147070, NULL, NULL, 0),
(141391, 83, 2, 1, 1510873200, 1, 83, 1510741098, NULL, NULL, 0),
(141392, 217, 1041, 1, 1510700400, 1, 2, 1510741351, NULL, NULL, 0),
(141393, 217, 1041, 1, 1510786800, 1, 2, 1510741351, NULL, NULL, 0),
(141394, 217, 1041, 1, 1510873200, 1, 2, 1510741351, NULL, NULL, 0),
(141395, 217, 1041, 1, 1511132400, 1, 2, 1510741351, NULL, NULL, 0),
(141396, 217, 1041, 1, 1511218800, 1, 2, 1510741351, NULL, NULL, 0),
(141397, 217, 1041, 1, 1511305200, 1, 2, 1510741351, NULL, NULL, 0),
(141398, 217, 1041, 1, 1511391600, 1, 2, 1510741351, NULL, NULL, 0),
(141399, 217, 1041, 1, 1511478000, 1, 2, 1510741351, NULL, NULL, 0),
(141400, 217, 1041, 1, 1511737200, 1, 2, 1510741351, NULL, NULL, 0),
(141401, 217, 1041, 1, 1511823600, 1, 2, 1510741351, NULL, NULL, 0),
(141402, 217, 1041, 1, 1511910000, 1, 2, 1510741351, NULL, NULL, 0),
(141403, 217, 1041, 1, 1511996400, 1, 2, 1510741351, NULL, NULL, 0),
(141404, 217, 1041, 1, 1512082800, 1, 2, 1510741351, NULL, NULL, 0),
(141405, 217, 1041, 1, 1512342000, 1, 2, 1510741351, NULL, NULL, 0),
(141406, 217, 1041, 1, 1512428400, 1, 2, 1510741351, NULL, NULL, 0),
(141407, 217, 1041, 1, 1512514800, 1, 2, 1510741351, NULL, NULL, 0),
(141408, 217, 1041, 1, 1512601200, 1, 2, 1510741351, NULL, NULL, 0),
(141409, 217, 1041, 1, 1512687600, 1, 2, 1510741351, NULL, NULL, 0),
(141414, 83, 10858, 1, 1505340000, 1, 83, 1510742195, NULL, NULL, 0),
(141415, 83, 10858, 1, 1506636000, 1, 83, 1510742225, NULL, NULL, 0),
(141435, 83, 10858, 1, 1507759200, 1, 83, 1510742660, NULL, NULL, 0),
(141436, 83, 10858, 1, 1508796000, 1, 83, 1510742676, NULL, NULL, 0),
(141437, 83, 10858, 1, 1508968800, 1, 83, 1510742709, NULL, NULL, 0),
(141475, 83, 10858, 1, 1510182000, 0.5, 83, 1510742962, NULL, NULL, 0),
(141482, 83, 1400, 1, 1511391600, 0.5, 83, 1510743419, NULL, NULL, 0),
(141483, 83, 10858, 1, 1510700400, 0.5, 83, 1510743616, NULL, NULL, 0),
(141484, 83, 10858, 1, 1511305200, 0.5, 83, 1510743872, NULL, NULL, 0),
(141517, 198, 2, 1, 1517353200, 1, 198, 1510752450, NULL, NULL, 0),
(141518, 198, 2, 1, 1517439600, 1, 198, 1510752544, NULL, NULL, 0),
(141519, 198, 2, 1, 1517526000, 1, 198, 1510752582, NULL, NULL, 0),
(141520, 198, 2, 1, 1517785200, 1, 198, 1510752646, NULL, NULL, 0),
(141521, 198, 2, 1, 1517871600, 1, 198, 1510752677, NULL, NULL, 0),
(141522, 198, 2, 1, 1517958000, 1, 198, 1510752702, NULL, NULL, 0),
(141523, 198, 2, 1, 1518130800, 1, 198, 1510752731, NULL, NULL, 0),
(141524, 198, 2, 1, 1518044400, 1, 198, 1510752759, NULL, NULL, 0),
(141525, 198, 2, 1, 1518390000, 1, 198, 1510752799, NULL, NULL, 0),
(141526, 198, 2, 1, 1518476400, 1, 198, 1510752841, NULL, NULL, 0),
(141527, 198, 2, 1, 1518562800, 1, 198, 1510752863, NULL, NULL, 0),
(141528, 198, 2, 1, 1518649200, 1, 198, 1510752920, NULL, NULL, 0),
(141529, 198, 2, 1, 1518735600, 1, 198, 1510752946, NULL, NULL, 0),
(141761, 164, 2, 1, 1510527600, 1, 164, 1510849007, NULL, NULL, 0),
(141759, 164, 17251, 18, 1510614000, 0.5, 164, 1510848729, NULL, NULL, 0),
(141760, 164, 16588, 18, 1510614000, 0.5, 164, 1510848751, NULL, NULL, 0),
(141772, 56, 1, 1, 1510614000, 0.5, 56, 1510856998, NULL, NULL, 0),
(141773, 56, 1, 1, 1510786800, 0.5, 56, 1510857005, NULL, NULL, 0),
(141774, 56, 1, 1, 1510873200, 0.5, 56, 1510857011, NULL, NULL, 0),
(141780, 74, 22232, 6, 1510786800, 1, 74, 1510862602, NULL, NULL, 0),
(141781, 74, 22232, 6, 1510873200, 1, 74, 1510862620, NULL, NULL, 0),
(141782, 74, 22232, 27, 1510700400, 0.5, 74, 1510862639, NULL, NULL, 0),
(141783, 74, 22232, 6, 1510700400, 0.5, 74, 1510862661, NULL, NULL, 0),
(141784, 74, 2, 1, 1511478000, 0.5, 74, 1510862685, NULL, NULL, 0),
(141791, 72, 23789, 1, 1510614000, 1, 72, 1510904156, NULL, NULL, 0),
(141792, 72, 23789, 1, 1510700400, 1, 72, 1510904167, NULL, NULL, 0),
(141793, 72, 23789, 1, 1510786800, 1, 72, 1510904180, NULL, NULL, 0),
(141794, 72, 23789, 1, 1510873200, 1, 72, 1510904186, NULL, NULL, 0),
(141825, 157, 22825, 5, 1510786800, 0.5, 157, 1510913648, NULL, NULL, 0),
(141831, 157, 22825, 5, 1510700400, 0.5, 157, 1510913818, NULL, NULL, 0),
(141827, 157, 23017, 5, 1510873200, 1, 157, 1510913711, NULL, NULL, 0),
(141829, 157, 23016, 4, 1510786800, 0.5, 157, 1510913741, NULL, NULL, 0),
(142146, 2, 20800, 1, 1510786800, 1, 2, 1510955936, NULL, NULL, 0),
(142147, 2, 20800, 1, 1510873200, 1, 2, 1510955944, NULL, NULL, 0),
(142247, 72, 23789, 1, 1511132400, 1, 72, 1511174355, NULL, NULL, 0),
(142285, 2, 23789, 1, 1511132400, 0.25, 2, 1511177465, NULL, NULL, 0),
(142286, 2, 17251, 17, 1511132400, 0.5, 2, 1511177506, NULL, NULL, 0),
(150263, 74, 22424, 6, 1515711600, 1, 74, 1515683845, NULL, NULL, 0),
(142459, 199, 22214, 5, 1511132400, 0.4, 199, 1511190774, NULL, NULL, 0),
(142460, 199, 23149, 4, 1511132400, 0.3, 199, 1511190818, NULL, NULL, 0),
(142461, 199, 23150, 4, 1511132400, 0.3, 199, 1511190844, NULL, NULL, 0),
(142462, 199, 22806, 7, 1510873200, 0.1, 199, 1511191152, NULL, NULL, 0),
(142465, 199, 21800, 7, 1510873200, 0.4, 199, 1511191214, NULL, NULL, 0),
(142466, 199, 21800, 5, 1510786800, 0.6, 199, 1511191247, NULL, NULL, 0),
(142467, 199, 22877, 5, 1510700400, 0.5, 199, 1511191344, NULL, NULL, 0),
(142476, 199, 22877, 5, 1510700400, 0.5, 199, 1511191370, NULL, NULL, 0),
(142477, 199, 22915, 5, 1510614000, 0.1, 199, 1511191505, NULL, NULL, 0),
(142478, 199, 22916, 5, 1510614000, 0.25, 199, 1511191535, NULL, NULL, 0),
(142479, 199, 21800, 5, 1510786800, 0.4, 199, 1511191855, NULL, NULL, 0),
(142480, 199, 22386, 7, 1510873200, 0.5, 199, 1511192035, NULL, NULL, 0),
(142502, 2, 20800, 1, 1511132400, 0.25, 2, 1511197187, NULL, NULL, 0),
(142589, 2, 23160, 1, 1511218800, 0.2, 2, 1511255643, NULL, NULL, 0),
(142596, 2, 23789, 1, 1510700400, 0.5, 2, 1511256578, NULL, NULL, 0),
(142597, 2, 1435, 1, 1510700400, 0.25, 2, 1511256588, NULL, NULL, 0),
(142598, 2, 20800, 1, 1510700400, 0.25, 2, 1511256609, NULL, NULL, 0),
(142603, 2, 23789, 1, 1511218800, 0.1, 2, 1511257538, NULL, NULL, 0),
(142615, 72, 23163, 4, 1511218800, 0.2, 72, 1511260921, NULL, NULL, 0),
(142616, 72, 23789, 1, 1511218800, 0.8, 72, 1511260935, NULL, NULL, 0),
(142628, 2, 21623, 1, 1511218800, 0.2, 2, 1511271194, NULL, NULL, 0),
(142629, 2, 17251, 17, 1511218800, 0.5, 2, 1511271205, NULL, NULL, 0),
(142630, 164, 17251, 18, 1511218800, 0.5, 164, 1511271245, NULL, NULL, 0),
(142631, 164, 20615, 18, 1511218800, 0.5, 164, 1511271285, NULL, NULL, 0),
(142657, 74, 1, 1, 1511737200, 1, 74, 1511283356, NULL, NULL, 0),
(142658, 74, 1, 1, 1511823600, 1, 74, 1511283356, NULL, NULL, 0),
(142668, 322, 1, 1, 1517180400, 1, 322, 1511338869, NULL, NULL, 0),
(142669, 322, 1, 1, 1517266800, 1, 322, 1511338869, NULL, NULL, 0),
(142670, 322, 1, 1, 1517353200, 1, 322, 1511338869, NULL, NULL, 0),
(142671, 322, 1, 1, 1517439600, 1, 322, 1511338869, NULL, NULL, 0),
(142672, 322, 1, 1, 1517526000, 1, 322, 1511338869, NULL, NULL, 0),
(142673, 322, 1, 1, 1517785200, 1, 322, 1511338869, NULL, NULL, 0),
(142674, 322, 1, 1, 1517871600, 1, 322, 1511338869, NULL, NULL, 0),
(142675, 322, 1, 1, 1517958000, 1, 322, 1511338869, NULL, NULL, 0),
(142676, 322, 1, 1, 1518044400, 1, 322, 1511338869, NULL, NULL, 0),
(142677, 322, 1, 1, 1518130800, 1, 322, 1511338869, NULL, NULL, 0),
(142678, 322, 1, 1, 1518390000, 1, 322, 1511338869, NULL, NULL, 0),
(142679, 322, 1, 1, 1518476400, 1, 322, 1511338869, NULL, NULL, 0),
(142680, 322, 1, 1, 1518562800, 1, 322, 1511338869, NULL, NULL, 0),
(142681, 322, 1, 1, 1518649200, 1, 322, 1511338869, NULL, NULL, 0),
(142682, 322, 1, 1, 1518735600, 1, 322, 1511338869, NULL, NULL, 0),
(142683, 322, 1, 1, 1520204400, 1, 322, 1511338894, NULL, NULL, 0),
(142684, 322, 1, 1, 1520290800, 1, 322, 1511338894, NULL, NULL, 0),
(142685, 322, 1, 1, 1520377200, 1, 322, 1511338894, NULL, NULL, 0),
(142686, 322, 1, 1, 1520463600, 1, 322, 1511338894, NULL, NULL, 0),
(142687, 322, 1, 1, 1520550000, 1, 322, 1511338894, NULL, NULL, 0),
(142688, 322, 1, 1, 1520809200, 1, 322, 1511338894, NULL, NULL, 0),
(142689, 322, 1, 1, 1520895600, 1, 322, 1511338894, NULL, NULL, 0),
(142690, 322, 1, 1, 1520982000, 1, 322, 1511338894, NULL, NULL, 0),
(142691, 322, 1, 1, 1521068400, 1, 322, 1511338894, NULL, NULL, 0),
(142692, 322, 1, 1, 1521154800, 1, 322, 1511338894, NULL, NULL, 0),
(148045, 72, 23789, 1, 1513897200, 1, 72, 1513935156, NULL, NULL, 0),
(142844, 157, 23017, 6, 1511132400, 0.5, 157, 1511359181, NULL, NULL, 0),
(142845, 157, 22825, 6, 1511132400, 0.5, 157, 1511359203, NULL, NULL, 0),
(142846, 157, 23136, 4, 1511218800, 0.5, 157, 1511359247, NULL, NULL, 0),
(142847, 157, 22924, 6, 1511218800, 0.5, 157, 1511359275, NULL, NULL, 0),
(142848, 157, 23136, 4, 1511305200, 0.5, 157, 1511359302, NULL, NULL, 0),
(142849, 157, 22825, 6, 1511305200, 0.5, 157, 1511359334, NULL, NULL, 0),
(142850, 72, 23789, 1, 1511305200, 0.8, 72, 1511360259, NULL, NULL, 0),
(142851, 72, 23789, 1, 1511478000, 1, 72, 1511359967, NULL, NULL, 0),
(142852, 72, 23163, 4, 1511305200, 0.2, 72, 1511360280, NULL, NULL, 0),
(142866, 2, 23163, 27, 1511305200, 0.25, 2, 1511369233, NULL, NULL, 0),
(142912, 199, 20432, 7, 1511391600, 0.25, 199, 1511426360, NULL, NULL, 0),
(142943, 199, 22386, 7, 1511391600, 0.25, 199, 1511428577, NULL, NULL, 0),
(143108, 2, 23789, 1, 1511391600, 0.4, 2, 1511458572, NULL, NULL, 0),
(143109, 2, 23789, 1, 1511305200, 0.25, 2, 1511458578, NULL, NULL, 0),
(143110, 2, 17251, 17, 1511391600, 0.1, 2, 1511458590, NULL, NULL, 0),
(143254, 157, 23017, 6, 1511478000, 0.5, 157, 1511518485, NULL, NULL, 0),
(143253, 157, 23017, 6, 1511391600, 0.5, 157, 1511518458, NULL, NULL, 0),
(143255, 157, 22825, 6, 1511478000, 0.25, 157, 1511518524, NULL, NULL, 0),
(143256, 157, 22924, 6, 1511478000, 0.25, 157, 1511518602, NULL, NULL, 0),
(145951, 157, 1, 1, 1513033200, 0.5, 157, 1513147101, NULL, NULL, 0),
(143259, 157, 23163, 27, 1511391600, 0.5, 157, 1511518657, NULL, NULL, 0),
(143341, 74, 23163, 27, 1511305200, 0.25, 74, 1511521324, NULL, NULL, 0),
(143345, 74, 22232, 6, 1511132400, 0.5, 74, 1511521357, NULL, NULL, 0),
(143347, 74, 22232, 6, 1511305200, 0.5, 74, 1511521421, NULL, NULL, 0),
(143348, 74, 22807, 5, 1511305200, 0.25, 74, 1511521453, NULL, NULL, 0),
(143605, 2, 2, 1, 1512342000, 1, 2, 1511778731, NULL, NULL, 0),
(143609, 2, 2, 1, 1512428400, 0.5, 2, 1511779102, NULL, NULL, 0),
(143621, 164, 16588, 4, 1511737200, 0.2, 164, 1511795591, NULL, NULL, 0),
(143658, 2, 23789, 1, 1511737200, 0.5, 2, 1511800360, NULL, NULL, 0),
(143662, 2, 17251, 17, 1511737200, 0.5, 2, 1511800412, NULL, NULL, 0),
(143717, 72, 23789, 1, 1511737200, 0.8, 72, 1511857301, NULL, NULL, 0),
(143718, 72, 23789, 1, 1511823600, 1, 72, 1511857312, NULL, NULL, 0),
(143719, 72, 21661, 4, 1511737200, 0.2, 72, 1511857360, NULL, NULL, 0),
(143771, 164, 23248, 18, 1511823600, 0.7, 164, 1511878038, NULL, NULL, 0),
(143829, 2, 23789, 1, 1511823600, 0.4, 2, 1511889185, NULL, NULL, 0),
(143830, 2, 17251, 17, 1511823600, 0.1, 2, 1511950667, NULL, NULL, 0),
(143919, 2, 23160, 1, 1511910000, 0.5, 2, 1511961025, NULL, NULL, 0),
(143950, 168, 2, 1, 1512601200, 1, 168, 1511963948, NULL, NULL, 0),
(143952, 157, 23254, 4, 1511823600, 0.5, 157, 1511968086, NULL, NULL, 0),
(143954, 157, 22825, 6, 1511737200, 0.5, 157, 1511968147, NULL, NULL, 0),
(143955, 157, 23017, 6, 1511737200, 0.5, 157, 1511968175, NULL, NULL, 0),
(143956, 157, 23136, 6, 1511823600, 0.5, 157, 1511968231, NULL, NULL, 0),
(143958, 157, 22945, 7, 1511910000, 0.5, 157, 1511968392, NULL, NULL, 0),
(143961, 157, 23255, 4, 1511910000, 0.5, 157, 1511968422, NULL, NULL, 0),
(143997, 72, 23789, 1, 1511910000, 1, 72, 1512027353, NULL, NULL, 0),
(144175, 199, 22935, 5, 1511996400, 0.5, 199, 1512039036, NULL, NULL, 0),
(144205, 72, 23789, 1, 1511996400, 1, 72, 1512044672, NULL, NULL, 0),
(144276, 164, 2, 1, 1512514800, 0.5, 164, 1512058874, NULL, NULL, 0),
(144277, 2, 17251, 18, 1511996400, 0.5, 2, 1512059908, NULL, NULL, 0),
(144296, 74, 1, 1, 1512514800, 1, 74, 1512111866, NULL, NULL, 0),
(144297, 74, 1, 1, 1512601200, 0.5, 74, 1512111902, NULL, NULL, 0),
(144299, 74, 22807, 5, 1511996400, 1, 74, 1512111993, NULL, NULL, 0),
(144300, 74, 22807, 5, 1512082800, 0.5, 74, 1512112009, NULL, NULL, 0),
(144301, 157, 23255, 27, 1511996400, 0.5, 157, 1512112091, NULL, NULL, 0),
(144302, 157, 22945, 5, 1511996400, 0.5, 157, 1512112122, NULL, NULL, 0),
(144303, 157, 22407, 4, 1512082800, 0.5, 157, 1512112180, NULL, NULL, 0),
(144304, 157, 23255, 6, 1512082800, 0.5, 157, 1512112320, NULL, NULL, 0),
(144305, 199, 23149, 5, 1511737200, 1, 199, 1512113705, NULL, NULL, 0),
(144306, 199, 22761, 5, 1511823600, 0.5, 199, 1512113814, NULL, NULL, 0),
(144307, 199, 22764, 5, 1511996400, 0.25, 199, 1512113844, NULL, NULL, 0),
(144308, 199, 23150, 5, 1511910000, 1, 199, 1512113876, NULL, NULL, 0),
(144309, 199, 23150, 5, 1511823600, 0.5, 199, 1512113890, NULL, NULL, 0),
(144310, 199, 23149, 4, 1511478000, 1, 199, 1512114161, NULL, NULL, 0),
(144311, 199, 22935, 4, 1511305200, 0.25, 199, 1512114309, NULL, NULL, 0),
(144312, 199, 22936, 4, 1511305200, 0.25, 199, 1512114335, NULL, NULL, 0),
(144313, 199, 22937, 4, 1511305200, 0.25, 199, 1512114383, NULL, NULL, 0),
(144314, 199, 22764, 5, 1511305200, 0.25, 199, 1512114420, NULL, NULL, 0),
(144315, 199, 20431, 4, 1511218800, 0.25, 199, 1512114542, NULL, NULL, 0),
(144316, 199, 20642, 6, 1511218800, 0.25, 199, 1512114572, NULL, NULL, 0),
(144317, 199, 22764, 5, 1511218800, 0.5, 199, 1512114610, NULL, NULL, 0),
(144318, 199, 22941, 4, 1511391600, 0.25, 199, 1512114824, NULL, NULL, 0),
(144319, 199, 22920, 4, 1511391600, 0.25, 199, 1512114871, NULL, NULL, 0),
(144320, 199, 22915, 5, 1510614000, 0.6, 199, 1512114900, NULL, NULL, 0),
(144321, 199, 22916, 5, 1510614000, 0.05, 199, 1512114914, NULL, NULL, 0),
(162791, 394, 2, 1, 1536184800, 1, 394, 1521466372, NULL, NULL, 0),
(162790, 394, 2, 1, 1536098400, 1, 394, 1521466372, NULL, NULL, 0),
(144382, 72, 23789, 1, 1512082800, 0.6, 72, 1512126056, NULL, NULL, 0),
(144397, 371, 2, 1, 1511737200, 1, 371, 1512124327, NULL, NULL, 0),
(144398, 371, 2, 1, 1511823600, 1, 371, 1512124332, NULL, NULL, 0),
(144399, 371, 2, 1, 1511910000, 1, 371, 1512124338, NULL, NULL, 0),
(144414, 371, 2, 1, 1511391600, 1, 371, 1512124783, NULL, NULL, 0),
(144415, 371, 2, 1, 1511478000, 1, 371, 1512124788, NULL, NULL, 0),
(144416, 371, 2, 1, 1511218800, 1, 371, 1512124793, NULL, NULL, 0),
(144417, 371, 2, 1, 1511132400, 1, 371, 1512124797, NULL, NULL, 0),
(144426, 72, 23004, 5, 1512082800, 0.4, 72, 1512126045, NULL, NULL, 0),
(144427, 72, 2, 1, 1516575600, 1, 72, 1512126147, NULL, NULL, 0),
(153575, 72, 23790, 1, 1517180400, 0.8, 72, 1517229822, NULL, NULL, 0),
(157167, 72, 2, 1, 1519254000, 0.5, 72, 1519142319, NULL, NULL, 0),
(144446, 74, 1, 1, 1516143600, 1, 74, 1512134450, NULL, NULL, 0),
(144447, 74, 1, 1, 1516230000, 1, 74, 1512134450, NULL, NULL, 0),
(145008, 199, 23254, 5, 1512342000, 0.5, 199, 1512556244, NULL, NULL, 0),
(145007, 199, 20433, 5, 1512514800, 0.5, 199, 1512555634, NULL, NULL, 0),
(144452, 199, 16803, 5, 1512082800, 0.25, 199, 1512134524, NULL, NULL, 0),
(144453, 74, 1, 1, 1524002400, 1, 74, 1512134533, NULL, NULL, 0),
(144454, 74, 1, 1, 1524088800, 1, 74, 1512134533, NULL, NULL, 0),
(144455, 199, 22764, 5, 1512082800, 0.5, 199, 1512134546, NULL, NULL, 0),
(144456, 74, 1, 1, 1526421600, 1, 74, 1512134556, NULL, NULL, 0),
(144457, 74, 1, 1, 1526508000, 1, 74, 1512134556, NULL, NULL, 0),
(144458, 199, 23255, 5, 1511996400, 0.25, 199, 1512134566, NULL, NULL, 0),
(144459, 74, 1, 1, 1529445600, 1, 74, 1512134579, NULL, NULL, 0),
(144460, 74, 1, 1, 1529532000, 1, 74, 1512134579, NULL, NULL, 0),
(144461, 74, 1, 1, 1531864800, 1, 74, 1512134605, NULL, NULL, 0),
(144462, 74, 1, 1, 1531951200, 1, 74, 1512134605, NULL, NULL, 0),
(144465, 74, 1, 1, 1537308000, 1, 74, 1512134654, NULL, NULL, 0),
(144466, 74, 1, 1, 1537394400, 1, 74, 1512134654, NULL, NULL, 0),
(144467, 74, 1, 1, 1539727200, 1, 74, 1512134675, NULL, NULL, 0),
(144468, 74, 1, 1, 1539813600, 1, 74, 1512134675, NULL, NULL, 0),
(144469, 74, 1, 1, 1542150000, 1, 74, 1512134700, NULL, NULL, 0),
(144470, 74, 1, 1, 1542236400, 1, 74, 1512134700, NULL, NULL, 0),
(144471, 74, 1, 1, 1545174000, 1, 74, 1512134729, NULL, NULL, 0),
(144472, 74, 1, 1, 1545260400, 1, 74, 1512134729, NULL, NULL, 0),
(144574, 2, 1435, 1, 1512082800, 0.5, 2, 1512162249, NULL, NULL, 0),
(144575, 2, 17251, 17, 1512082800, 0.25, 2, 1512162267, NULL, NULL, 0),
(144576, 2, 23789, 1, 1511478000, 0.25, 2, 1512163692, NULL, NULL, 0),
(144577, 2, 20800, 1, 1511478000, 0.25, 2, 1512163710, NULL, NULL, 0),
(144578, 2, 21623, 1, 1511478000, 0.25, 2, 1512164152, NULL, NULL, 0),
(144579, 2, 17251, 17, 1511478000, 0.25, 2, 1512164179, NULL, NULL, 0),
(144580, 56, 1, 1, 1511132400, 1, 56, 1512166685, NULL, NULL, 0),
(144581, 56, 1, 1, 1511218800, 1, 56, 1512166699, NULL, NULL, 0),
(144582, 56, 1, 1, 1511305200, 0.5, 56, 1512166759, NULL, NULL, 0),
(144583, 56, 1, 1, 1511391600, 0.25, 56, 1512166766, NULL, NULL, 0),
(144584, 56, 1, 1, 1511478000, 0.75, 56, 1512166774, NULL, NULL, 0),
(144585, 56, 1, 1, 1511737200, 0.5, 56, 1512166848, NULL, NULL, 0),
(144586, 56, 1, 1, 1511823600, 0.5, 56, 1512166854, NULL, NULL, 0),
(144587, 56, 1, 1, 1511305200, 0.5, 56, 1512166963, NULL, NULL, 0),
(144588, 56, 1, 1, 1512082800, 0.25, 56, 1512167039, NULL, NULL, 0),
(144691, 72, 21661, 6, 1512342000, 0.5, 72, 1512391705, NULL, NULL, 0),
(144692, 72, 23789, 1, 1512342000, 0.5, 72, 1512391723, NULL, NULL, 0),
(144752, 74, 22049, 5, 1512082800, 0.5, 74, 1512457451, NULL, NULL, 0),
(144753, 74, 22424, 6, 1512342000, 1, 74, 1512457483, NULL, NULL, 0),
(144754, 74, 22424, 6, 1512428400, 1, 74, 1512457496, NULL, NULL, 0),
(144913, 72, 23789, 1, 1512428400, 1, 72, 1512486868, NULL, NULL, 0),
(144916, 217, 1041, 1, 1510614000, 1, 72, 1512486919, NULL, NULL, 0),
(144921, 72, 2, 1, 1513292400, 1, 72, 1512487670, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(144923, 164, 17251, 18, 1512428400, 0.5, 164, 1512488883, NULL, NULL, 0),
(144927, 164, 16588, 18, 1512428400, 0.5, 164, 1512490437, NULL, NULL, 0),
(144928, 164, 16588, 18, 1512342000, 0.75, 164, 1512490453, NULL, NULL, 0),
(144955, 157, 23017, 6, 1512342000, 0.5, 157, 1512546479, NULL, NULL, 0),
(144956, 157, 23255, 6, 1512342000, 0.5, 157, 1512546542, NULL, NULL, 0),
(144959, 157, 23005, 5, 1512428400, 0.25, 157, 1512546693, NULL, NULL, 0),
(144960, 199, 22823, 5, 1512428400, 0.4, 199, 1512546880, NULL, NULL, 0),
(144961, 157, 23005, 5, 1512428400, 0.25, 157, 1512546887, NULL, NULL, 0),
(144963, 199, 22936, 5, 1512428400, 0.25, 199, 1512546925, NULL, NULL, 0),
(144964, 157, 23420, 4, 1512428400, 0.25, 157, 1512546945, NULL, NULL, 0),
(144965, 157, 23419, 5, 1512428400, 0.25, 157, 1512546989, NULL, NULL, 0),
(144966, 199, 21800, 5, 1512082800, 0.25, 199, 1512547061, NULL, NULL, 0),
(144967, 199, 22952, 4, 1512342000, 0.25, 199, 1512547132, NULL, NULL, 0),
(144968, 199, 22761, 5, 1512342000, 0.25, 199, 1512547166, NULL, NULL, 0),
(144969, 199, 20433, 5, 1512428400, 0.25, 199, 1512547267, NULL, NULL, 0),
(145001, 74, 1, 1, 1521586800, 1, 74, 1512555367, NULL, NULL, 0),
(145002, 74, 1, 1, 1521673200, 1, 74, 1512555367, NULL, NULL, 0),
(145041, 72, 23789, 1, 1512514800, 1, 72, 1512576497, NULL, NULL, 0),
(145056, 2, 23789, 1, 1512514800, 0.5, 2, 1512592006, NULL, NULL, 0),
(145057, 2, 1435, 1, 1512514800, 0.25, 2, 1512592124, NULL, NULL, 0),
(145058, 2, 15281, 17, 1512514800, 0.25, 2, 1512592183, NULL, NULL, 0),
(145059, 74, 1, 1, 1518562800, 1, 74, 1512631677, NULL, NULL, 0),
(145060, 74, 1, 1, 1518649200, 1, 74, 1512631685, NULL, NULL, 0),
(145266, 199, 1506, 1, 1512601200, 0.5, 199, 1512678534, NULL, NULL, 0),
(145267, 199, 22920, 4, 1512601200, 0.25, 199, 1512678589, NULL, NULL, 0),
(145268, 199, 23423, 4, 1512601200, 0.1, 199, 1512678643, NULL, NULL, 0),
(145269, 199, 21800, 2, 1512601200, 0.1, 199, 1512678670, NULL, NULL, 0),
(145270, 199, 21800, 6, 1512601200, 0.05, 199, 1512679219, NULL, NULL, 0),
(145271, 199, 23150, 5, 1512428400, 0.1, 199, 1512679503, NULL, NULL, 0),
(145272, 199, 22823, 5, 1512514800, 0.5, 199, 1512679564, NULL, NULL, 0),
(145273, 72, 23789, 1, 1512601200, 0.6, 72, 1512715346, NULL, NULL, 0),
(145274, 72, 1506, 1, 1512601200, 0.4, 72, 1512715371, NULL, NULL, 0),
(145275, 72, 23789, 1, 1512687600, 1, 72, 1512715381, NULL, NULL, 0),
(145286, 56, 2, 1, 1513292400, 1, 56, 1512716965, NULL, NULL, 0),
(145287, 56, 2, 1, 1513897200, 1, 56, 1512717001, NULL, NULL, 0),
(145291, 56, 2, 1, 1514415600, 1, 56, 1512717050, NULL, NULL, 0),
(145289, 56, 2, 1, 1514242800, 1, 56, 1512717024, NULL, NULL, 0),
(145290, 56, 2, 1, 1514329200, 1, 56, 1512717032, NULL, NULL, 0),
(145292, 56, 2, 1, 1514502000, 1, 56, 1512717055, NULL, NULL, 0),
(145344, 157, 23163, 4, 1512601200, 1, 157, 1512722884, NULL, NULL, 0),
(145343, 157, 23163, 4, 1512514800, 0.5, 157, 1512722871, NULL, NULL, 0),
(145345, 157, 22407, 4, 1512687600, 1, 157, 1512722916, NULL, NULL, 0),
(145349, 157, 23427, 4, 1512514800, 0.5, 157, 1512722980, NULL, NULL, 0),
(145516, 74, 21661, 6, 1512601200, 0.5, 74, 1512742390, NULL, NULL, 0),
(145518, 74, 21661, 6, 1512687600, 1, 74, 1512742458, NULL, NULL, 0),
(145703, 217, 1506, 1, 1512946800, 0.5, 217, 1512986116, NULL, NULL, 0),
(145714, 72, 23497, 4, 1512946800, 0.5, 72, 1512992425, NULL, NULL, 0),
(145715, 72, 23789, 1, 1512946800, 0.5, 72, 1512992446, NULL, NULL, 0),
(145845, 2, 23160, 1, 1512946800, 1, 2, 1513067471, NULL, NULL, 0),
(145879, 56, 1, 1, 1512946800, 1, 56, 1513073249, NULL, NULL, 0),
(145880, 56, 1, 1, 1513033200, 0.75, 56, 1513073282, NULL, NULL, 0),
(145924, 72, 23789, 1, 1513033200, 0.5, 72, 1513147547, NULL, NULL, 0),
(146106, 199, 1506, 1, 1513033200, 0.5, 199, 1513177986, NULL, NULL, 0),
(145943, 199, 23423, 4, 1512946800, 0.5, 199, 1513091584, NULL, NULL, 0),
(145944, 199, 21800, 5, 1512946800, 0.25, 199, 1513091647, NULL, NULL, 0),
(145945, 199, 23438, 5, 1512946800, 0.25, 199, 1513091691, NULL, NULL, 0),
(145952, 157, 22407, 4, 1512946800, 0.5, 157, 1513147141, NULL, NULL, 0),
(145953, 157, 22407, 4, 1513033200, 0.5, 157, 1513147159, NULL, NULL, 0),
(145954, 157, 23163, 27, 1512946800, 0.5, 157, 1513147183, NULL, NULL, 0),
(145955, 72, 1506, 1, 1513033200, 0.5, 72, 1513147566, NULL, NULL, 0),
(148548, 164, 16588, 18, 1514415600, 1, 164, 1514467260, NULL, NULL, 0),
(148547, 164, 16588, 18, 1514329200, 1, 164, 1514467066, NULL, NULL, 0),
(145969, 164, 22805, 17, 1513033200, 0.8, 164, 1513152117, NULL, NULL, 0),
(146064, 199, 23569, 4, 1513119600, 0.25, 199, 1513162782, NULL, NULL, 0),
(146065, 2, 1506, 1, 1513033200, 0.2, 2, 1513165093, NULL, NULL, 0),
(146066, 2, 23160, 1, 1513033200, 0.2, 2, 1513168730, NULL, NULL, 0),
(146098, 2, 16588, 18, 1513119600, 0.2, 2, 1513176122, NULL, NULL, 0),
(146103, 72, 1435, 1, 1513119600, 0.2, 72, 1513176633, NULL, NULL, 0),
(146104, 72, 23789, 1, 1513119600, 0.8, 72, 1513176642, NULL, NULL, 0),
(146105, 2, 22926, 18, 1513119600, 0.5, 2, 1513182858, NULL, NULL, 0),
(146107, 199, 23423, 4, 1513033200, 0.1, 199, 1513178000, NULL, NULL, 0),
(146108, 199, 21800, 2, 1513033200, 0.25, 199, 1513178015, NULL, NULL, 0),
(146109, 199, 20432, 7, 1513033200, 0.1, 199, 1513178043, NULL, NULL, 0),
(146110, 199, 20432, 7, 1513033200, 0.05, 199, 1513178069, NULL, NULL, 0),
(146111, 199, 23150, 4, 1513119600, 0.25, 199, 1513178087, NULL, NULL, 0),
(146112, 199, 22877, 7, 1513119600, 0.25, 199, 1513178180, NULL, NULL, 0),
(146113, 164, 16588, 18, 1511305200, 1, 164, 1513178634, NULL, NULL, 0),
(146115, 2, 23789, 1, 1513119600, 0.3, 2, 1513182924, NULL, NULL, 0),
(147054, 164, 16588, 18, 1513551600, 1, 164, 1513689673, NULL, NULL, 0),
(146245, 168, 1, 1, 1513292400, 1, 168, 1513245064, NULL, NULL, 0),
(146246, 168, 1, 1, 1513897200, 1, 168, 1513245064, NULL, NULL, 0),
(146247, 168, 1, 1, 1515711600, 1, 168, 1513245064, NULL, NULL, 0),
(146248, 168, 1, 1, 1516316400, 1, 168, 1513245065, NULL, NULL, 0),
(146249, 168, 1, 1, 1516921200, 1, 168, 1513245065, NULL, NULL, 0),
(146250, 168, 1, 1, 1517526000, 1, 168, 1513245065, NULL, NULL, 0),
(146251, 168, 1, 1, 1518130800, 1, 168, 1513245065, NULL, NULL, 0),
(146252, 168, 1, 1, 1518735600, 1, 168, 1513245065, NULL, NULL, 0),
(146253, 168, 1, 1, 1519340400, 1, 168, 1513245065, NULL, NULL, 0),
(146254, 168, 1, 1, 1519945200, 1, 168, 1513245065, NULL, NULL, 0),
(146255, 168, 1, 1, 1520550000, 1, 168, 1513245065, NULL, NULL, 0),
(146256, 168, 1, 1, 1521154800, 1, 168, 1513245065, NULL, NULL, 0),
(146257, 168, 1, 1, 1521759600, 1, 168, 1513245065, NULL, NULL, 0),
(146258, 168, 1, 1, 1522360800, 1, 168, 1513245065, NULL, NULL, 0),
(146259, 168, 1, 1, 1522965600, 1, 168, 1513245065, NULL, NULL, 0),
(146260, 168, 1, 1, 1523570400, 1, 168, 1513245065, NULL, NULL, 0),
(146261, 168, 1, 1, 1524175200, 1, 168, 1513245065, NULL, NULL, 0),
(146262, 168, 1, 1, 1524780000, 1, 168, 1513245065, NULL, NULL, 0),
(146263, 168, 1, 1, 1525384800, 1, 168, 1513245065, NULL, NULL, 0),
(146264, 168, 1, 1, 1525989600, 1, 168, 1513245065, NULL, NULL, 0),
(146265, 168, 1, 1, 1526594400, 1, 168, 1513245065, NULL, NULL, 0),
(146266, 168, 1, 1, 1527199200, 1, 168, 1513245065, NULL, NULL, 0),
(146267, 168, 1, 1, 1527804000, 1, 168, 1513245065, NULL, NULL, 0),
(146268, 168, 1, 1, 1528408800, 1, 168, 1513245065, NULL, NULL, 0),
(146269, 168, 1, 1, 1529013600, 1, 168, 1513245065, NULL, NULL, 0),
(146270, 168, 1, 1, 1529618400, 1, 168, 1513245065, NULL, NULL, 0),
(146271, 168, 1, 1, 1530223200, 1, 168, 1513245065, NULL, NULL, 0),
(146272, 168, 1, 1, 1530828000, 1, 168, 1513245065, NULL, NULL, 0),
(146273, 168, 1, 1, 1531432800, 1, 168, 1513245065, NULL, NULL, 0),
(146274, 168, 1, 1, 1532037600, 1, 168, 1513245065, NULL, NULL, 0),
(146275, 168, 1, 1, 1532642400, 1, 168, 1513245065, NULL, NULL, 0),
(146276, 168, 1, 1, 1533247200, 1, 168, 1513245065, NULL, NULL, 0),
(146277, 168, 1, 1, 1533852000, 1, 168, 1513245065, NULL, NULL, 0),
(146278, 168, 1, 1, 1534456800, 1, 168, 1513245065, NULL, NULL, 0),
(146279, 168, 1, 1, 1535061600, 1, 168, 1513245065, NULL, NULL, 0),
(146280, 168, 1, 1, 1535666400, 1, 168, 1513245065, NULL, NULL, 0),
(146282, 168, 1, 1, 1517871600, 1, 168, 1513245129, NULL, NULL, 0),
(146283, 168, 1, 1, 1517958000, 1, 168, 1513245129, NULL, NULL, 0),
(146300, 168, 2, 1, 1519599600, 1, 168, 1513246325, NULL, NULL, 0),
(146301, 168, 2, 1, 1519686000, 1, 168, 1513246325, NULL, NULL, 0),
(146302, 168, 2, 1, 1519772400, 1, 168, 1513246325, NULL, NULL, 0),
(146303, 168, 2, 1, 1519858800, 1, 168, 1513246325, NULL, NULL, 0),
(146304, 168, 1, 1, 1516748400, 1, 168, 1513246576, NULL, NULL, 0),
(146306, 168, 1506, 1, 1513033200, 0.4, 168, 1513246829, NULL, NULL, 0),
(146307, 168, 22050, 5, 1513119600, 1, 168, 1513247133, NULL, NULL, 0),
(146308, 168, 22050, 5, 1513033200, 0.6, 168, 1513247157, NULL, NULL, 0),
(146310, 168, 22050, 5, 1512946800, 1, 168, 1513247254, NULL, NULL, 0),
(146311, 168, 22377, 5, 1512687600, 1, 168, 1513247377, NULL, NULL, 0),
(146313, 168, 22377, 5, 1512514800, 1, 168, 1513247406, NULL, NULL, 0),
(146314, 168, 22377, 5, 1512342000, 1, 168, 1513247422, NULL, NULL, 0),
(146484, 157, 22407, 4, 1513119600, 1, 157, 1513322138, NULL, NULL, 0),
(146485, 157, 22407, 4, 1513206000, 1, 157, 1513322151, NULL, NULL, 0),
(146486, 157, 23563, 5, 1513292400, 0.25, 157, 1513322206, NULL, NULL, 0),
(146487, 157, 23562, 5, 1513292400, 0.25, 157, 1513322237, NULL, NULL, 0),
(146488, 74, 21661, 6, 1513292400, 1, 74, 1513323840, NULL, NULL, 0),
(146489, 74, 21661, 6, 1513033200, 0.5, 74, 1513323860, NULL, NULL, 0),
(146490, 74, 21661, 6, 1513119600, 1, 74, 1513323893, NULL, NULL, 0),
(146491, 74, 21661, 6, 1512946800, 1, 74, 1513323918, NULL, NULL, 0),
(146496, 164, 2, 1, 1514242800, 1, 164, 1513326866, NULL, NULL, 0),
(146680, 199, 23423, 4, 1513292400, 0.5, 199, 1513350737, NULL, NULL, 0),
(146681, 199, 23438, 7, 1513206000, 0.1, 199, 1513350763, NULL, NULL, 0),
(146682, 199, 22765, 5, 1513206000, 0.7, 199, 1513350785, NULL, NULL, 0),
(146683, 199, 22765, 5, 1513292400, 0.1, 199, 1513350797, NULL, NULL, 0),
(146686, 199, 23749, 5, 1513206000, 0.2, 199, 1513351026, NULL, NULL, 0),
(146687, 199, 23749, 5, 1513292400, 0.1, 199, 1513351042, NULL, NULL, 0),
(146688, 199, 23438, 4, 1513292400, 0.3, 199, 1513351086, NULL, NULL, 0),
(146690, 199, 1506, 1, 1513119600, 0.25, 199, 1513352169, NULL, NULL, 0),
(146801, 72, 21661, 6, 1513206000, 0.5, 72, 1513579236, NULL, NULL, 0),
(146802, 72, 1506, 1, 1513206000, 0.5, 72, 1513579276, NULL, NULL, 0),
(147000, 2, 17251, 17, 1513551600, 0.5, 2, 1513612745, NULL, NULL, 0),
(147007, 72, 21661, 6, 1513551600, 0.5, 72, 1513666953, NULL, NULL, 0),
(147008, 74, 1, 1, 1516662000, 1, 74, 1513668045, NULL, NULL, 0),
(147011, 74, 21661, 6, 1513551600, 1, 74, 1513668113, NULL, NULL, 0),
(147010, 74, 21661, 6, 1513638000, 1, 74, 1513668092, NULL, NULL, 0),
(147012, 157, 23770, 4, 1513551600, 0.5, 157, 1513668931, NULL, NULL, 0),
(147013, 157, 23772, 4, 1513551600, 0.5, 157, 1513668956, NULL, NULL, 0),
(147014, 157, 23006, 4, 1513638000, 0.5, 157, 1513668984, NULL, NULL, 0),
(147055, 164, 17251, 4, 1513638000, 0.6, 164, 1513689702, NULL, NULL, 0),
(147124, 2, 23789, 1, 1513638000, 0.25, 2, 1513703424, NULL, NULL, 0),
(147125, 199, 22823, 5, 1513638000, 0.25, 199, 1513703418, NULL, NULL, 0),
(147127, 199, 23773, 5, 1513638000, 0.25, 199, 1513703522, NULL, NULL, 0),
(147128, 199, 23775, 4, 1513638000, 0.1, 199, 1513703660, NULL, NULL, 0),
(147129, 199, 23774, 4, 1513638000, 0.25, 199, 1513703692, NULL, NULL, 0),
(147130, 199, 23767, 4, 1513638000, 0.1, 199, 1513703768, NULL, NULL, 0),
(147131, 199, 23767, 4, 1513638000, 0.05, 199, 1513703776, NULL, NULL, 0),
(147132, 199, 23769, 5, 1513551600, 0.25, 199, 1513703979, NULL, NULL, 0),
(147133, 199, 23771, 5, 1513551600, 0.25, 199, 1513704012, NULL, NULL, 0),
(147134, 199, 23768, 5, 1513551600, 0.25, 199, 1513704037, NULL, NULL, 0),
(147135, 199, 23545, 5, 1513551600, 0.25, 199, 1513704087, NULL, NULL, 0),
(147147, 157, 22409, 4, 1513638000, 0.5, 157, 1513755213, NULL, NULL, 0),
(147148, 157, 22409, 4, 1513724400, 0.5, 157, 1513755230, NULL, NULL, 0),
(147149, 157, 2, 1, 1513897200, 0.5, 157, 1513755256, NULL, NULL, 0),
(147341, 199, 22877, 7, 1513724400, 0.1, 199, 1513777147, NULL, NULL, 0),
(147342, 199, 22823, 5, 1513724400, 0.25, 199, 1513777165, NULL, NULL, 0),
(147367, 2, 17251, 17, 1513724400, 0.5, 2, 1513787274, NULL, NULL, 0),
(147369, 408, 2, 1, 1513810800, 0.5, 408, 1513787363, NULL, NULL, 0),
(147371, 408, 2, 1, 1513897200, 1, 408, 1513787381, NULL, NULL, 0),
(147372, 408, 2, 1, 1514242800, 1, 408, 1513787381, NULL, NULL, 0),
(147373, 408, 2, 1, 1514329200, 1, 408, 1513787381, NULL, NULL, 0),
(147374, 408, 2, 1, 1514415600, 1, 408, 1513787381, NULL, NULL, 0),
(147375, 408, 2, 1, 1514502000, 1, 408, 1513787381, NULL, NULL, 0),
(147380, 2, 23789, 1, 1513033200, 0.3, 2, 1513787466, NULL, NULL, 0),
(147381, 2, 23789, 1, 1513033200, 0.05, 2, 1513787474, NULL, NULL, 0),
(147382, 2, 23789, 1, 1513206000, 0.25, 2, 1513787505, NULL, NULL, 0),
(147383, 2, 23789, 1, 1513292400, 0.25, 2, 1513787512, NULL, NULL, 0),
(147407, 164, 22805, 18, 1513724400, 0.2, 164, 1513845074, NULL, NULL, 0),
(147435, 370, 2, 1, 1513551600, 1, 408, 1513848443, NULL, NULL, 0),
(147436, 370, 2, 1, 1513638000, 1, 408, 1513848451, NULL, NULL, 0),
(147437, 370, 2, 1, 1513724400, 1, 408, 1513848488, NULL, NULL, 0),
(147438, 370, 2, 1, 1513810800, 1, 408, 1513848488, NULL, NULL, 0),
(147439, 370, 2, 1, 1513897200, 1, 408, 1513848488, NULL, NULL, 0),
(147440, 370, 2, 1, 1514242800, 1, 408, 1513848488, NULL, NULL, 0),
(147441, 370, 2, 1, 1514329200, 1, 408, 1513848488, NULL, NULL, 0),
(147442, 370, 2, 1, 1514415600, 1, 408, 1513848488, NULL, NULL, 0),
(147443, 370, 2, 1, 1514502000, 1, 408, 1513848488, NULL, NULL, 0),
(147491, 72, 21661, 6, 1513638000, 0.5, 72, 1513852283, NULL, NULL, 0),
(147493, 72, 23789, 1, 1513638000, 0.5, 72, 1513852294, NULL, NULL, 0),
(147495, 72, 23789, 1, 1513810800, 1, 72, 1513852306, NULL, NULL, 0),
(147496, 72, 2, 1, 1513724400, 1, 72, 1513852336, NULL, NULL, 0),
(147905, 199, 22953, 5, 1513810800, 0.5, 199, 1513863497, NULL, NULL, 0),
(147906, 199, 22877, 7, 1513810800, 0.1, 199, 1513863545, NULL, NULL, 0),
(147907, 199, 23834, 5, 1513724400, 0.6, 199, 1513863715, NULL, NULL, 0),
(147908, 199, 23834, 5, 1513724400, 0.05, 199, 1513863729, NULL, NULL, 0),
(147935, 157, 23163, 4, 1513724400, 0.5, 157, 1513871776, NULL, NULL, 0),
(147936, 157, 23163, 4, 1513810800, 1, 157, 1513871789, NULL, NULL, 0),
(147937, 157, 23163, 4, 1513897200, 0.5, 157, 1513871804, NULL, NULL, 0),
(148058, 2, 17251, 17, 1513897200, 0.5, 2, 1513936759, NULL, NULL, 0),
(148191, 199, 23769, 5, 1513810800, 0.1, 199, 1513947687, NULL, NULL, 0),
(148193, 199, 22382, 5, 1513897200, 0.2, 199, 1513947712, NULL, NULL, 0),
(148170, 199, 22944, 5, 1513897200, 0.4, 199, 1513947479, NULL, NULL, 0),
(148182, 199, 23778, 5, 1513810800, 0.1, 199, 1513947619, NULL, NULL, 0),
(148184, 199, 23777, 5, 1513810800, 0.2, 199, 1513947637, NULL, NULL, 0),
(148229, 199, 23776, 5, 1513897200, 0.25, 199, 1513951143, NULL, NULL, 0),
(148230, 199, 23781, 5, 1513897200, 0.1, 199, 1513951185, NULL, NULL, 0),
(148231, 199, 23781, 5, 1513897200, 0.05, 199, 1513951198, NULL, NULL, 0),
(148450, 72, 23789, 1, 1514329200, 1, 72, 1514362251, NULL, NULL, 0),
(148451, 72, 23789, 1, 1514415600, 1, 72, 1514362257, NULL, NULL, 0),
(148503, 157, 23783, 5, 1514329200, 1, 157, 1514443334, NULL, NULL, 0),
(148504, 157, 23783, 6, 1514415600, 0.5, 157, 1514443372, NULL, NULL, 0),
(148505, 157, 23435, 4, 1514415600, 0.5, 157, 1514443405, NULL, NULL, 0),
(148550, 164, 16588, 18, 1514502000, 0.5, 164, 1514467302, NULL, NULL, 0),
(148677, 199, 2, 1, 1514761200, 1, 199, 1514880507, NULL, NULL, 0),
(148719, 199, 23905, 4, 1514847600, 0.25, 199, 1514884239, NULL, NULL, 0),
(149650, 164, 24117, 18, 1515452400, 0.5, 164, 1515485492, NULL, NULL, 0),
(148870, 199, 23901, 5, 1514847600, 0.25, 199, 1514907794, NULL, NULL, 0),
(148871, 199, 23906, 5, 1514847600, 0.25, 199, 1514907847, NULL, NULL, 0),
(148872, 199, 23902, 4, 1514847600, 0.25, 199, 1514909318, NULL, NULL, 0),
(148876, 2, 2, 1, 1520463600, 1, 2, 1514936473, NULL, NULL, 0),
(148877, 2, 2, 1, 1520550000, 1, 2, 1514936473, NULL, NULL, 0),
(148878, 74, 1, 1, 1515452400, 0.5, 74, 1514964130, NULL, NULL, 0),
(148879, 74, 1, 1, 1518476400, 0.5, 74, 1514964160, NULL, NULL, 0),
(148880, 74, 1, 1, 1520895600, 0.5, 74, 1514964181, NULL, NULL, 0),
(148881, 74, 1, 1, 1523311200, 0.5, 74, 1514964209, NULL, NULL, 0),
(148882, 74, 1, 1, 1526335200, 0.5, 74, 1514964239, NULL, NULL, 0),
(148883, 74, 1, 1, 1528754400, 0.5, 74, 1514964278, NULL, NULL, 0),
(148884, 74, 1, 1, 1531173600, 0.5, 74, 1514964299, NULL, NULL, 0),
(148885, 74, 1, 1, 1534802400, 0.5, 74, 1514964497, NULL, NULL, 0),
(148886, 74, 1, 1, 1536616800, 0.5, 74, 1514964522, NULL, NULL, 0),
(148887, 74, 1, 1, 1539036000, 0.5, 74, 1514964549, NULL, NULL, 0),
(148888, 74, 1, 1, 1542063600, 0.5, 74, 1514964580, NULL, NULL, 0),
(148889, 74, 1, 1, 1544482800, 0.5, 74, 1514964614, NULL, NULL, 0),
(148899, 74, 1, 1, 1535580000, 1, 74, 1514966810, NULL, NULL, 0),
(152569, 72, 23790, 1, 1516143600, 1, 72, 1516694424, NULL, NULL, 0),
(148974, 72, 23790, 1, 1514934000, 1, 72, 1514985953, NULL, NULL, 0),
(148975, 199, 22382, 7, 1514934000, 0.1, 199, 1514986402, NULL, NULL, 0),
(149028, 199, 22944, 5, 1515020400, 0.1, 199, 1515061454, NULL, NULL, 0),
(149046, 72, 2, 1, 1515452400, 0.5, 72, 1515067358, NULL, NULL, 0),
(149051, 199, 22386, 7, 1515020400, 0.25, 199, 1515073519, NULL, NULL, 0),
(149140, 74, 1, 1, 1516316400, 1, 74, 1515098777, NULL, NULL, 0),
(149155, 199, 22424, 2, 1515020400, 0.3, 199, 1515143840, NULL, NULL, 0),
(149168, 199, 23167, 4, 1515020400, 0.3, 199, 1515145450, NULL, NULL, 0),
(149169, 199, 23167, 4, 1515020400, 0.05, 199, 1515145464, NULL, NULL, 0),
(149220, 72, 23790, 1, 1515020400, 0.5, 72, 1515162949, NULL, NULL, 0),
(149221, 72, 23790, 1, 1515106800, 0.5, 72, 1515162956, NULL, NULL, 0),
(149222, 72, 22424, 6, 1515020400, 0.5, 72, 1515162993, NULL, NULL, 0),
(149223, 72, 22424, 6, 1515106800, 0.5, 72, 1515163008, NULL, NULL, 0),
(149227, 74, 22424, 6, 1514934000, 1, 74, 1515164872, NULL, NULL, 0),
(149228, 74, 22424, 6, 1515020400, 1, 74, 1515164884, NULL, NULL, 0),
(149229, 74, 22424, 6, 1515106800, 1, 74, 1515164895, NULL, NULL, 0),
(149237, 2, 23248, 18, 1514934000, 1, 2, 1515171849, NULL, NULL, 0),
(149238, 2, 23248, 18, 1515106800, 1, 2, 1515171872, NULL, NULL, 0),
(149239, 2, 23789, 1, 1513810800, 0.5, 2, 1515171914, NULL, NULL, 0),
(149240, 2, 23789, 1, 1513897200, 0.5, 2, 1515171939, NULL, NULL, 0),
(149379, 199, 22424, 6, 1515106800, 1, 199, 1515402280, NULL, NULL, 0),
(149380, 199, 22424, 2, 1514934000, 0.9, 199, 1515402328, NULL, NULL, 0),
(149435, 450, 1436, 1, 1515366000, 1, 2, 1515407083, NULL, NULL, 0),
(149436, 449, 1436, 1, 1515366000, 1, 2, 1515407102, NULL, NULL, 0),
(149461, 164, 1, 1, 1515538800, 1, 164, 1515419605, NULL, NULL, 0),
(149462, 164, 1, 1, 1515625200, 1, 164, 1515419605, NULL, NULL, 0),
(149463, 164, 1, 1, 1515711600, 1, 164, 1515419605, NULL, NULL, 0),
(149465, 164, 1, 1, 1516230000, 1, 164, 1515419646, NULL, NULL, 0),
(149466, 164, 1, 1, 1516316400, 1, 164, 1515419646, NULL, NULL, 0),
(149469, 74, 1, 1, 1518130800, 1, 74, 1515419697, NULL, NULL, 0),
(149470, 164, 1, 1, 1516748400, 1, 164, 1515419704, NULL, NULL, 0),
(149471, 164, 1, 1, 1516834800, 1, 164, 1515419704, NULL, NULL, 0),
(149472, 164, 1, 1, 1516921200, 1, 164, 1515419704, NULL, NULL, 0),
(149474, 164, 1, 1, 1517439600, 1, 164, 1515419743, NULL, NULL, 0),
(149475, 164, 1, 1, 1517526000, 1, 164, 1515419743, NULL, NULL, 0),
(149478, 164, 1, 1, 1518562800, 1, 164, 1515419808, NULL, NULL, 0),
(149479, 164, 1, 1, 1518649200, 1, 164, 1515419808, NULL, NULL, 0),
(149480, 164, 1, 1, 1518735600, 1, 164, 1515419808, NULL, NULL, 0),
(149484, 164, 1, 1, 1519254000, 1, 164, 1515419954, NULL, NULL, 0),
(149485, 164, 1, 1, 1519340400, 1, 164, 1515419954, NULL, NULL, 0),
(149487, 164, 1, 1, 1519772400, 1, 164, 1515420019, NULL, NULL, 0),
(149488, 164, 1, 1, 1519858800, 1, 164, 1515420019, NULL, NULL, 0),
(149489, 164, 1, 1, 1519945200, 1, 164, 1515420019, NULL, NULL, 0),
(149493, 199, 22386, 7, 1515366000, 0.3, 199, 1515420646, NULL, NULL, 0),
(149536, 56, 2, 1, 1514847600, 1, 56, 1515435109, NULL, NULL, 0),
(149516, 72, 23790, 1, 1515366000, 1, 72, 1515426384, NULL, NULL, 0),
(149533, 2, 23248, 18, 1515366000, 0.25, 2, 1515430775, NULL, NULL, 0),
(149537, 56, 2, 1, 1514934000, 0.5, 56, 1515435116, NULL, NULL, 0),
(149535, 2, 17251, 17, 1515366000, 0.75, 2, 1515430837, NULL, NULL, 0),
(149538, 56, 1, 1, 1515020400, 0.25, 56, 1515435164, NULL, NULL, 0),
(149651, 164, 24117, 18, 1515366000, 0.5, 164, 1515485507, NULL, NULL, 0),
(149652, 164, 24117, 4, 1515366000, 0.5, 164, 1515485520, NULL, NULL, 0),
(149684, 74, 1, 1, 1516921200, 0.5, 74, 1515501621, NULL, NULL, 0),
(149696, 2, 23790, 1, 1515452400, 0.5, 2, 1515505999, NULL, NULL, 0),
(149702, 164, 17251, 17, 1515452400, 0.1, 164, 1515507479, NULL, NULL, 0),
(149703, 164, 23248, 18, 1515452400, 0.4, 164, 1515507457, NULL, NULL, 0),
(149705, 157, 22409, 4, 1515452400, 0.5, 157, 1515507687, NULL, NULL, 0),
(149706, 157, 22409, 4, 1515366000, 0.5, 157, 1515507703, NULL, NULL, 0),
(149707, 157, 23435, 7, 1515366000, 0.5, 157, 1515507736, NULL, NULL, 0),
(149708, 157, 23163, 4, 1515452400, 0.5, 157, 1515507841, NULL, NULL, 0),
(149710, 157, 2, 1, 1515711600, 0.5, 157, 1515507874, NULL, NULL, 0),
(149741, 199, 22386, 7, 1515452400, 0.7, 199, 1515510716, NULL, NULL, 0),
(149742, 199, 22424, 6, 1515452400, 0.3, 199, 1515510739, NULL, NULL, 0),
(149920, 72, 1436, 1, 1515452400, 0.5, 72, 1515566964, NULL, NULL, 0),
(149921, 72, 23790, 1, 1515538800, 0.75, 72, 1515588396, NULL, NULL, 0),
(149931, 199, 23773, 5, 1515538800, 0.25, 199, 1515576094, NULL, NULL, 0),
(149935, 2, 1437, 1, 1515538800, 0.25, 2, 1515684474, NULL, NULL, 0),
(149977, 72, 1, 1, 1515538800, 0.25, 72, 1515588414, NULL, NULL, 0),
(149979, 199, 23781, 5, 1515538800, 0.25, 199, 1515589810, NULL, NULL, 0),
(149983, 199, 23893, 5, 1515538800, 0.25, 199, 1515591865, NULL, NULL, 0),
(149984, 199, 23902, 6, 1515538800, 0.1, 199, 1515593771, NULL, NULL, 0),
(149988, 157, 24169, 4, 1515538800, 0.5, 157, 1515596393, NULL, NULL, 0),
(149989, 157, 22409, 6, 1515538800, 0.5, 157, 1515596426, NULL, NULL, 0),
(149991, 74, 22424, 6, 1515538800, 1, 74, 1515596975, NULL, NULL, 0),
(149992, 74, 22424, 6, 1515366000, 1, 74, 1515596989, NULL, NULL, 0),
(149994, 74, 22424, 6, 1515452400, 0.5, 74, 1515597012, NULL, NULL, 0),
(149995, 74, 22424, 6, 1515625200, 1, 74, 1515597024, NULL, NULL, 0),
(150265, 2, 23790, 1, 1515538800, 0.25, 2, 1515684157, NULL, NULL, 0),
(150301, 2, 1435, 1, 1515625200, 0.25, 2, 1515692907, NULL, NULL, 0),
(150308, 157, 23163, 6, 1515711600, 0.5, 157, 1515740044, NULL, NULL, 0),
(150305, 157, 22409, 6, 1515625200, 0.5, 157, 1515739923, NULL, NULL, 0),
(150307, 157, 23419, 6, 1515625200, 0.5, 157, 1515740006, NULL, NULL, 0),
(150322, 74, 1, 1, 1518735600, 1, 74, 1515744608, NULL, NULL, 0),
(160264, 74, 1, 1, 1521759600, 0.5, 74, 1520497104, NULL, NULL, 0),
(150390, 72, 23790, 1, 1515625200, 1, 72, 1515754553, NULL, NULL, 0),
(150392, 449, 1436, 1, 1515452400, 1, 72, 1515754583, NULL, NULL, 0),
(150397, 449, 1436, 1, 1515538800, 1, 72, 1515755251, NULL, NULL, 0),
(150398, 449, 1436, 1, 1515625200, 1, 72, 1515755260, NULL, NULL, 0),
(150399, 449, 1436, 1, 1515711600, 1, 72, 1515755266, NULL, NULL, 0),
(150400, 450, 1436, 1, 1515452400, 1, 72, 1515755287, NULL, NULL, 0),
(150401, 450, 1436, 1, 1515538800, 1, 72, 1515755301, NULL, NULL, 0),
(150402, 450, 1436, 1, 1515625200, 1, 72, 1515755305, NULL, NULL, 0),
(150403, 450, 1436, 1, 1515711600, 1, 72, 1515755313, NULL, NULL, 0),
(150410, 72, 23790, 1, 1515711600, 1, 72, 1515756735, NULL, NULL, 0),
(150520, 199, 22424, 6, 1515711600, 0.5, 199, 1515771340, NULL, NULL, 0),
(150515, 199, 22386, 7, 1515711600, 0.25, 199, 1515771121, NULL, NULL, 0),
(150519, 199, 23167, 7, 1515711600, 0.25, 199, 1515771322, NULL, NULL, 0),
(150521, 199, 22424, 6, 1515625200, 1, 199, 1515771351, NULL, NULL, 0),
(150522, 199, 22424, 6, 1515538800, 0.1, 199, 1515771365, NULL, NULL, 0),
(150523, 199, 22424, 6, 1515538800, 0.05, 199, 1515771380, NULL, NULL, 0),
(150526, 199, 22424, 6, 1515366000, 0.7, 199, 1515771521, NULL, NULL, 0),
(150574, 56, 1, 1, 1515625200, 0.5, 56, 1515775344, NULL, NULL, 0),
(150594, 2, 17251, 18, 1515711600, 1, 2, 1515970921, NULL, NULL, 0),
(150621, 72, 2, 1, 1516316400, 0.5, 72, 1516003094, NULL, NULL, 0),
(150946, 157, 24247, 6, 1516057200, 1, 157, 1516101687, NULL, NULL, 0),
(150945, 157, 24247, 5, 1515970800, 1, 157, 1516101518, NULL, NULL, 0),
(152133, 74, 22424, 6, 1515970800, 0.5, 74, 1516607425, NULL, NULL, 0),
(150773, 322, 1, 1, 1530741600, 1, 322, 1516010620, NULL, NULL, 0),
(150861, 199, 22386, 7, 1515970800, 0.1, 199, 1516028825, NULL, NULL, 0),
(150879, 74, 1, 1, 1516057200, 0.5, 74, 1516030098, NULL, NULL, 0),
(151428, 72, 23790, 1, 1515970800, 1, 72, 1516116996, NULL, NULL, 0),
(151429, 72, 23790, 1, 1516057200, 1, 72, 1516117005, NULL, NULL, 0),
(151432, 164, 24117, 18, 1515970800, 1, 164, 1516117217, NULL, NULL, 0),
(151433, 164, 24117, 18, 1516057200, 0.5, 164, 1516117230, NULL, NULL, 0),
(151434, 164, 17251, 17, 1516057200, 0.5, 164, 1516117251, NULL, NULL, 0),
(151446, 227, 1, 1, 1516057200, 0.1, 227, 1516119921, NULL, NULL, 0),
(151470, 2, 1435, 1, 1515970800, 1, 2, 1516121218, NULL, NULL, 0),
(151471, 2, 1435, 1, 1516057200, 1, 2, 1516121223, NULL, NULL, 0),
(151835, 56, 1, 1, 1516057200, 0.5, 56, 1516313716, NULL, NULL, 0),
(151525, 168, 24269, 4, 1515970800, 1, 168, 1516180653, NULL, NULL, 0),
(151526, 168, 24269, 5, 1516057200, 1, 168, 1516180680, NULL, NULL, 0),
(151527, 199, 2, 1, 1516057200, 1, 199, 1516181271, NULL, NULL, 0),
(151528, 199, 23137, 7, 1516143600, 0.1, 199, 1516181334, NULL, NULL, 0),
(151529, 199, 23288, 7, 1516143600, 0.2, 199, 1516181367, NULL, NULL, 0),
(151533, 2, 1505, 1, 1516143600, 0.3, 2, 1516183153, NULL, NULL, 0),
(151534, 168, 21895, 4, 1516143600, 1, 168, 1516184246, NULL, NULL, 0),
(151575, 2, 23790, 1, 1516143600, 0.2, 2, 1516208228, NULL, NULL, 0),
(151595, 157, 23163, 4, 1516143600, 0.5, 157, 1516260452, NULL, NULL, 0),
(151596, 157, 24280, 4, 1516143600, 0.5, 157, 1516260479, NULL, NULL, 0),
(151597, 199, 23288, 7, 1516143600, 0.3, 199, 1516261211, NULL, NULL, 0),
(151598, 199, 24179, 5, 1515970800, 0.25, 199, 1516261324, NULL, NULL, 0),
(151599, 199, 23437, 7, 1515970800, 0.1, 199, 1516261400, NULL, NULL, 0),
(151600, 199, 23137, 7, 1516143600, 0.1, 199, 1516261462, NULL, NULL, 0),
(151601, 199, 23138, 5, 1516143600, 0.1, 199, 1516261484, NULL, NULL, 0),
(151602, 199, 23425, 7, 1515970800, 0.2, 199, 1516261522, NULL, NULL, 0),
(151603, 199, 23425, 7, 1515970800, 0.1, 199, 1516261627, NULL, NULL, 0),
(151627, 199, 24179, 5, 1515970800, 0.25, 199, 1516264684, NULL, NULL, 0),
(151636, 199, 23422, 5, 1516143600, 0.2, 199, 1516265459, NULL, NULL, 0),
(151737, 72, 2, 1, 1516316400, 0.5, 72, 1516279345, NULL, NULL, 0),
(151761, 72, 2, 1, 1533506400, 1, 72, 1516285302, NULL, NULL, 0),
(151762, 72, 2, 1, 1533592800, 1, 72, 1516285302, NULL, NULL, 0),
(151763, 72, 2, 1, 1533679200, 1, 72, 1516285302, NULL, NULL, 0),
(151764, 72, 2, 1, 1533765600, 1, 72, 1516285302, NULL, NULL, 0),
(151765, 72, 2, 1, 1533852000, 1, 72, 1516285302, NULL, NULL, 0),
(151766, 72, 2, 1, 1534111200, 1, 72, 1516285302, NULL, NULL, 0),
(151767, 72, 2, 1, 1534197600, 1, 72, 1516285302, NULL, NULL, 0),
(151768, 72, 2, 1, 1534370400, 1, 72, 1516285302, NULL, NULL, 0),
(151769, 72, 2, 1, 1534456800, 1, 72, 1516285302, NULL, NULL, 0),
(151770, 72, 2, 1, 1534716000, 1, 72, 1516285302, NULL, NULL, 0),
(151771, 72, 2, 1, 1534802400, 1, 72, 1516285302, NULL, NULL, 0),
(151772, 72, 2, 1, 1534888800, 1, 72, 1516285302, NULL, NULL, 0),
(151773, 72, 2, 1, 1534975200, 1, 72, 1516285302, NULL, NULL, 0),
(151774, 72, 2, 1, 1535061600, 1, 72, 1516285302, NULL, NULL, 0),
(151776, 72, 2, 1, 1522792800, 1, 72, 1516285369, NULL, NULL, 0),
(151777, 72, 2, 1, 1522879200, 1, 72, 1516285369, NULL, NULL, 0),
(151778, 72, 2, 1, 1522965600, 1, 72, 1516285369, NULL, NULL, 0),
(153027, 72, 2, 1, 1525816800, 1, 72, 1516866451, NULL, NULL, 0),
(151829, 56, 1, 1, 1516143600, 0.25, 56, 1516313097, NULL, NULL, 0),
(151842, 56, 1, 1, 1516316400, 0.25, 56, 1516315855, NULL, NULL, 0),
(151832, 56, 1, 1, 1516316400, 0.5, 56, 1516314043, NULL, NULL, 0),
(151837, 56, 1, 1, 1516230000, 0.5, 56, 1516313870, NULL, NULL, 0),
(151844, 56, 1, 1, 1516575600, 0.5, 56, 1516316170, NULL, NULL, 0),
(151845, 56, 1, 1, 1516662000, 0.5, 56, 1516316237, NULL, NULL, 0),
(151852, 56, 1, 1, 1517180400, 0.5, 56, 1516316852, NULL, NULL, 0),
(151853, 56, 1, 1, 1517266800, 1, 56, 1516316888, NULL, NULL, 0),
(151856, 157, 23163, 4, 1516316400, 0.5, 157, 1516345718, NULL, NULL, 0),
(151857, 157, 24281, 6, 1516316400, 0.5, 157, 1516345745, NULL, NULL, 0),
(151858, 157, 24280, 7, 1516230000, 0.5, 157, 1516345769, NULL, NULL, 0),
(151859, 157, 24281, 5, 1516230000, 0.5, 157, 1516345803, NULL, NULL, 0),
(151864, 157, 23163, 4, 1516662000, 0.5, 157, 1516346089, NULL, NULL, 0),
(151863, 157, 23163, 4, 1516575600, 0.5, 157, 1516346076, NULL, NULL, 0),
(151862, 157, 1, 1, 1516748400, 0.5, 157, 1516345926, NULL, NULL, 0),
(151865, 157, 23163, 4, 1517180400, 0.5, 157, 1516346124, NULL, NULL, 0),
(151866, 157, 23163, 4, 1517353200, 0.5, 157, 1516346138, NULL, NULL, 0),
(151942, 227, 1, 1, 1516316400, 0.25, 227, 1516360611, NULL, NULL, 0),
(152134, 74, 23557, 6, 1515970800, 0.5, 74, 1516607564, NULL, NULL, 0),
(152683, 74, 23557, 6, 1516057200, 0.5, 74, 1516718328, NULL, NULL, 0),
(153029, 72, 2, 1, 1525989600, 1, 72, 1516866491, NULL, NULL, 0),
(152385, 450, 1436, 1, 1515970800, 1, 450, 1516621336, NULL, NULL, 0),
(152386, 450, 1436, 1, 1516057200, 1, 450, 1516621345, NULL, NULL, 0),
(152387, 450, 1436, 1, 1516143600, 1, 450, 1516621351, NULL, NULL, 0),
(152388, 450, 1436, 1, 1516230000, 1, 450, 1516621356, NULL, NULL, 0),
(152389, 450, 1436, 1, 1516316400, 1, 450, 1516621363, NULL, NULL, 0),
(152584, 450, 1436, 1, 1516662000, 0.5, 450, 1516809313, NULL, NULL, 0),
(152531, 164, 17251, 18, 1516143600, 0.3, 164, 1516632437, NULL, NULL, 0),
(152568, 74, 1, 1, 1535493600, 1, 74, 1516651237, NULL, NULL, 0),
(152570, 72, 23790, 1, 1516230000, 1, 72, 1516694436, NULL, NULL, 0),
(152583, 450, 1436, 1, 1516575600, 0.3, 450, 1516809519, NULL, NULL, 0),
(152585, 168, 2, 1, 1516662000, 0.5, 168, 1516698380, NULL, NULL, 0),
(152586, 168, 21895, 4, 1516230000, 1, 168, 1516698451, NULL, NULL, 0),
(152587, 168, 2, 1, 1517439600, 0.25, 168, 1516698807, NULL, NULL, 0),
(152621, 322, 2, 1, 1516057200, 1, 322, 1516704668, NULL, NULL, 0),
(152679, 164, 23543, 5, 1516143600, 0.7, 72, 1516717610, NULL, NULL, 0),
(152690, 72, 23790, 1, 1516662000, 1, 72, 1516719158, NULL, NULL, 0),
(152763, 394, 2, 1, 1514934000, 1, 394, 1516724186, NULL, NULL, 0),
(152762, 394, 2, 1, 1514847600, 1, 394, 1516724186, NULL, NULL, 0),
(152766, 322, 2, 1, 1531173600, 1, 322, 1516724322, NULL, NULL, 0),
(152767, 322, 2, 1, 1531260000, 1, 322, 1516724322, NULL, NULL, 0),
(152768, 322, 2, 1, 1531346400, 1, 322, 1516724322, NULL, NULL, 0),
(152769, 322, 2, 1, 1531432800, 1, 322, 1516724322, NULL, NULL, 0),
(152770, 322, 2, 1, 1531692000, 1, 322, 1516724322, NULL, NULL, 0),
(152771, 322, 2, 1, 1531778400, 1, 322, 1516724322, NULL, NULL, 0),
(158360, 74, 24891, 5, 1519081200, 0.5, 74, 1519634644, NULL, NULL, 0),
(152775, 322, 2, 1, 1531087200, 1, 322, 1516724362, NULL, NULL, 0),
(152781, 322, 2, 1, 1525644000, 1, 322, 1516724557, NULL, NULL, 0),
(152782, 322, 2, 1, 1525816800, 1, 322, 1516724557, NULL, NULL, 0),
(152783, 322, 2, 1, 1525989600, 1, 322, 1516724557, NULL, NULL, 0),
(152888, 199, 22387, 5, 1516662000, 1, 199, 1516785891, NULL, NULL, 0),
(152967, 74, 2, 1, 1525816800, 1, 72, 1516799956, NULL, NULL, 0),
(152968, 74, 2, 1, 1525989600, 1, 72, 1516799956, NULL, NULL, 0),
(152971, 2, 2, 1, 1525644000, 1, 72, 1516800064, NULL, NULL, 0),
(152972, 2, 2, 1, 1525816800, 1, 72, 1516800064, NULL, NULL, 0),
(152973, 157, 2, 1, 1525039200, 1, 72, 1516800130, NULL, NULL, 0),
(152974, 157, 2, 1, 1525212000, 1, 72, 1516800130, NULL, NULL, 0),
(152975, 157, 2, 1, 1525298400, 1, 72, 1516800130, NULL, NULL, 0),
(152976, 157, 2, 1, 1525384800, 1, 72, 1516800130, NULL, NULL, 0),
(152983, 74, 1, 1, 1517958000, 1, 74, 1516801366, NULL, NULL, 0),
(153011, 450, 2041, 1, 1516748400, 1, 450, 1516809290, NULL, NULL, 0),
(153012, 450, 2041, 1, 1516662000, 0.5, 450, 1516809320, NULL, NULL, 0),
(153014, 450, 2041, 1, 1516575600, 0.7, 450, 1516809497, NULL, NULL, 0),
(153078, 157, 24451, 4, 1516662000, 0.5, 157, 1516873247, NULL, NULL, 0),
(153079, 157, 24451, 4, 1516748400, 0.5, 157, 1516873274, NULL, NULL, 0),
(153080, 157, 24451, 5, 1516834800, 1, 157, 1516873288, NULL, NULL, 0),
(153081, 157, 24447, 6, 1516575600, 0.5, 157, 1516873322, NULL, NULL, 0),
(153098, 322, 2, 1, 1531864800, 1, 322, 1516875274, NULL, NULL, 0),
(153148, 72, 23163, 4, 1516834800, 0.2, 72, 1516883054, NULL, NULL, 0),
(153149, 72, 23790, 1, 1516834800, 0.8, 72, 1516883064, NULL, NULL, 0),
(153150, 72, 23790, 1, 1516748400, 0.8, 72, 1516963356, NULL, NULL, 0),
(153152, 2, 23790, 1, 1516834800, 0.25, 2, 1516883818, NULL, NULL, 0),
(153153, 2, 23790, 1, 1516748400, 0.25, 2, 1516883834, NULL, NULL, 0),
(153154, 2, 23790, 1, 1516575600, 1, 2, 1516883859, NULL, NULL, 0),
(153155, 2, 1435, 1, 1516662000, 1, 2, 1516883871, NULL, NULL, 0),
(153156, 2, 1435, 1, 1516748400, 0.75, 2, 1516883882, NULL, NULL, 0),
(153157, 2, 1435, 1, 1516316400, 1, 2, 1516883915, NULL, NULL, 0),
(153192, 199, 23422, 5, 1516748400, 1, 199, 1516897375, NULL, NULL, 0),
(153226, 199, 24546, 5, 1516575600, 0.5, 199, 1516900812, NULL, NULL, 0),
(153229, 199, 23422, 5, 1516575600, 0.5, 199, 1516900849, NULL, NULL, 0),
(153232, 199, 24450, 4, 1516834800, 0.25, 199, 1516900904, NULL, NULL, 0),
(153233, 199, 24449, 4, 1516834800, 0.25, 199, 1516900946, NULL, NULL, 0),
(153236, 199, 24241, 4, 1516834800, 0.25, 199, 1516901064, NULL, NULL, 0),
(153237, 199, 24547, 5, 1516834800, 0.25, 199, 1516901195, NULL, NULL, 0),
(153238, 199, 23289, 5, 1516316400, 0.25, 199, 1516901306, NULL, NULL, 0),
(153239, 199, 23138, 5, 1516230000, 0.25, 199, 1516901377, NULL, NULL, 0),
(153240, 199, 24179, 5, 1516230000, 0.25, 199, 1516901405, NULL, NULL, 0),
(153241, 199, 24179, 5, 1516230000, 0.25, 199, 1516901416, NULL, NULL, 0),
(153242, 199, 23425, 7, 1516316400, 0.25, 199, 1516902461, NULL, NULL, 0),
(153243, 199, 24449, 4, 1516316400, 0.25, 199, 1516902580, NULL, NULL, 0),
(153244, 199, 23137, 4, 1516230000, 0.25, 199, 1516902670, NULL, NULL, 0),
(153245, 199, 23243, 5, 1516316400, 0.25, 199, 1516902759, NULL, NULL, 0),
(153246, 450, 1436, 1, 1516834800, 0.8, 450, 1516951624, NULL, NULL, 0),
(153247, 450, 2041, 1, 1516834800, 0.2, 450, 1516951685, NULL, NULL, 0),
(153300, 168, 1, 1, 1516662000, 0.5, 168, 1516963190, NULL, NULL, 0),
(153301, 168, 21895, 4, 1516575600, 1, 168, 1516963222, NULL, NULL, 0),
(153302, 168, 22919, 4, 1516834800, 1, 168, 1516963250, NULL, NULL, 0),
(153303, 72, 23790, 1, 1516921200, 0.8, 72, 1516963264, NULL, NULL, 0),
(153304, 72, 1437, 1, 1516921200, 0.2, 72, 1516963335, NULL, NULL, 0),
(153305, 72, 1437, 1, 1516748400, 0.2, 72, 1516963375, NULL, NULL, 0),
(153312, 450, 1436, 1, 1516921200, 1, 450, 1516963796, NULL, NULL, 0),
(153313, 199, 24452, 7, 1516921200, 0.25, 199, 1516968284, NULL, NULL, 0),
(153314, 199, 23288, 7, 1516921200, 0.1, 199, 1516968316, NULL, NULL, 0),
(153315, 157, 24451, 6, 1516921200, 1, 157, 1516970245, NULL, NULL, 0),
(153316, 199, 23138, 5, 1516921200, 0.25, 199, 1516971335, NULL, NULL, 0),
(153395, 199, 24547, 5, 1516921200, 0.25, 199, 1516977358, NULL, NULL, 0),
(159650, 199, 23910, 6, 1519945200, 0.1, 199, 1520234727, NULL, NULL, 0),
(155861, 74, 1, 1, 1518476400, 0.5, 74, 1518436355, NULL, NULL, 0),
(153523, 199, 23425, 5, 1517180400, 0.1, 199, 1517216368, NULL, NULL, 0),
(153576, 72, 1437, 1, 1517180400, 0.2, 72, 1517229842, NULL, NULL, 0),
(153578, 199, 23422, 5, 1517180400, 0.5, 199, 1517231727, NULL, NULL, 0),
(153590, 74, 23557, 6, 1516575600, 1, 74, 1517233321, NULL, NULL, 0),
(153591, 74, 23557, 6, 1516748400, 1, 74, 1517233334, NULL, NULL, 0),
(153592, 74, 23557, 6, 1516834800, 1, 74, 1517233345, NULL, NULL, 0),
(153593, 74, 23557, 6, 1516921200, 0.5, 74, 1517233358, NULL, NULL, 0),
(153594, 164, 24117, 18, 1516575600, 1, 164, 1517235139, NULL, NULL, 0),
(153595, 164, 17251, 17, 1516662000, 1, 164, 1517235190, NULL, NULL, 0),
(153649, 199, 13774, 5, 1517180400, 0.4, 199, 1517296823, NULL, NULL, 0),
(153698, 164, 24117, 18, 1517266800, 1, 164, 1517307453, NULL, NULL, 0),
(153699, 164, 24117, 18, 1517180400, 1, 164, 1517307464, NULL, NULL, 0),
(153730, 2, 17251, 17, 1517180400, 1, 2, 1517321850, NULL, NULL, 0),
(153731, 2, 17251, 17, 1517266800, 1, 2, 1517321867, NULL, NULL, 0),
(153732, 2, 23790, 1, 1516921200, 0.5, 2, 1517321890, NULL, NULL, 0),
(153733, 2, 1435, 1, 1516834800, 0.75, 2, 1517321898, NULL, NULL, 0),
(153734, 2, 17251, 17, 1516921200, 0.5, 2, 1517321938, NULL, NULL, 0),
(153735, 2, 23790, 1, 1516230000, 0.25, 2, 1517321957, NULL, NULL, 0),
(153736, 2, 1435, 1, 1516230000, 0.75, 2, 1517321985, NULL, NULL, 0),
(153807, 450, 1436, 1, 1517180400, 1, 450, 1517386355, NULL, NULL, 0),
(154300, 450, 23168, 5, 1517353200, 1, 450, 1517563455, NULL, NULL, 0),
(154299, 450, 23168, 5, 1517266800, 1, 450, 1517563412, NULL, NULL, 0),
(153837, 157, 23255, 6, 1517353200, 0.5, 157, 1517395286, NULL, NULL, 0),
(153838, 157, 24447, 6, 1517180400, 0.5, 157, 1517395358, NULL, NULL, 0),
(153839, 157, 23163, 4, 1517266800, 1, 157, 1517395396, NULL, NULL, 0),
(162310, 157, 2, 1, 1533074400, 1, 157, 1521206142, NULL, NULL, 0),
(153944, 72, 23790, 1, 1517266800, 1, 72, 1517469796, NULL, NULL, 0),
(153945, 72, 1505, 1, 1517353200, 1, 72, 1517469814, NULL, NULL, 0),
(153978, 74, 2, 1, 1518994800, 1, 74, 1517474267, NULL, NULL, 0),
(153979, 74, 2, 1, 1525039200, 1, 74, 1517474298, NULL, NULL, 0),
(153982, 74, 2, 1, 1541113200, 1, 74, 1517474372, NULL, NULL, 0),
(154061, 199, 2, 1, 1517526000, 1, 199, 1517479832, NULL, NULL, 0),
(154172, 450, 1436, 1, 1517526000, 1, 450, 1517563331, NULL, NULL, 0),
(154266, 199, 1505, 1, 1517353200, 1, 199, 1517506209, NULL, NULL, 0),
(154274, 199, 23167, 7, 1517439600, 0.1, 199, 1517516358, NULL, NULL, 0),
(154275, 157, 1, 1, 1517439600, 1, 157, 1517557168, NULL, NULL, 0),
(154276, 157, 1, 1, 1517526000, 1, 157, 1517557177, NULL, NULL, 0),
(155209, 157, 1, 1, 1517958000, 1, 157, 1518070103, NULL, NULL, 0),
(154302, 450, 23168, 6, 1517439600, 1, 450, 1517563485, NULL, NULL, 0),
(154305, 72, 23790, 1, 1517439600, 1, 72, 1517563538, NULL, NULL, 0),
(154307, 72, 23790, 1, 1517526000, 0.8, 72, 1517933818, NULL, NULL, 0),
(160973, 199, 1, 1, 1520809200, 0.05, 199, 1520865318, NULL, NULL, 0),
(154600, 157, 2, 1, 1531260000, 1, 157, 1517818333, NULL, NULL, 0),
(154601, 157, 2, 1, 1531346400, 1, 157, 1517818333, NULL, NULL, 0),
(154602, 157, 2, 1, 1531432800, 1, 157, 1517818333, NULL, NULL, 0),
(154603, 157, 2, 1, 1531692000, 1, 157, 1517818333, NULL, NULL, 0),
(154604, 157, 2, 1, 1531778400, 1, 157, 1517818333, NULL, NULL, 0),
(154605, 157, 2, 1, 1531864800, 1, 157, 1517818333, NULL, NULL, 0),
(154606, 157, 2, 1, 1531951200, 1, 157, 1517818333, NULL, NULL, 0),
(154607, 157, 2, 1, 1532037600, 1, 157, 1517818333, NULL, NULL, 0),
(154608, 157, 2, 1, 1532296800, 1, 157, 1517818333, NULL, NULL, 0),
(154609, 157, 2, 1, 1532383200, 1, 157, 1517818333, NULL, NULL, 0),
(162305, 157, 2, 1, 1532469600, 1, 157, 1521206142, NULL, NULL, 0),
(162306, 157, 2, 1, 1532556000, 1, 157, 1521206142, NULL, NULL, 0),
(162307, 157, 2, 1, 1532642400, 1, 157, 1521206142, NULL, NULL, 0),
(162308, 157, 2, 1, 1532901600, 1, 157, 1521206142, NULL, NULL, 0),
(162309, 157, 2, 1, 1532988000, 1, 157, 1521206142, NULL, NULL, 0),
(154623, 74, 23557, 6, 1517180400, 1, 74, 1517818785, NULL, NULL, 0),
(154624, 74, 23557, 6, 1517266800, 1, 74, 1517818798, NULL, NULL, 0),
(154625, 74, 23557, 6, 1517353200, 1, 74, 1517818810, NULL, NULL, 0),
(154626, 74, 23557, 6, 1517439600, 1, 74, 1517818827, NULL, NULL, 0),
(154627, 74, 23557, 6, 1517526000, 1, 74, 1517818838, NULL, NULL, 0),
(154707, 450, 1436, 1, 1517785200, 1, 450, 1517825655, NULL, NULL, 0),
(154842, 2, 22805, 17, 1517526000, 1, 2, 1517848460, NULL, NULL, 0),
(154727, 2, 23790, 1, 1517785200, 0.5, 2, 1517848532, NULL, NULL, 0),
(154756, 72, 23790, 1, 1517785200, 0.5, 72, 1517834463, NULL, NULL, 0),
(154766, 72, 24648, 1, 1517785200, 0.5, 72, 1517837287, NULL, NULL, 0),
(154844, 2, 23790, 1, 1517439600, 1, 2, 1517848498, NULL, NULL, 0),
(154845, 2, 1435, 1, 1517353200, 1, 2, 1517848513, NULL, NULL, 0),
(154846, 2, 17251, 17, 1517785200, 0.5, 2, 1517848565, NULL, NULL, 0),
(154886, 199, 24453, 5, 1517785200, 0.5, 199, 1517907521, NULL, NULL, 0),
(154887, 199, 24453, 5, 1517871600, 0.25, 199, 1517907531, NULL, NULL, 0),
(154895, 199, 23289, 5, 1517871600, 0.25, 199, 1517908546, NULL, NULL, 0),
(155003, 157, 24648, 1, 1517871600, 0.5, 157, 1517930196, NULL, NULL, 0),
(155006, 157, 24594, 5, 1517785200, 0.5, 157, 1517930362, NULL, NULL, 0),
(155005, 157, 24445, 5, 1517785200, 0.5, 157, 1517930327, NULL, NULL, 0),
(155007, 157, 24593, 7, 1517871600, 0.5, 157, 1517930388, NULL, NULL, 0),
(155013, 72, 24648, 1, 1517526000, 0.2, 72, 1517933804, NULL, NULL, 0),
(155014, 450, 1436, 1, 1517871600, 0.5, 450, 1517933827, NULL, NULL, 0),
(155186, 450, 24592, 5, 1517871600, 0.25, 450, 1518019190, NULL, NULL, 0),
(155028, 450, 24591, 7, 1517871600, 0.25, 450, 1517934824, NULL, NULL, 0),
(155105, 199, 2, 1, 1517958000, 1, 199, 1517995931, NULL, NULL, 0),
(155118, 72, 24671, 5, 1517958000, 0.2, 72, 1517999259, NULL, NULL, 0),
(155119, 72, 23790, 1, 1517958000, 0.6, 72, 1518018517, NULL, NULL, 0),
(155179, 72, 23545, 6, 1517958000, 0.2, 72, 1518018503, NULL, NULL, 0),
(155183, 450, 2041, 1, 1517958000, 0.2, 450, 1518018972, NULL, NULL, 0),
(155185, 450, 24592, 5, 1517958000, 0.8, 450, 1518019078, NULL, NULL, 0),
(155210, 157, 1, 1, 1518044400, 1, 157, 1518070216, NULL, NULL, 0),
(155582, 199, 23557, 2, 1517871600, 0.3, 199, 1518113641, NULL, NULL, 0),
(155583, 199, 22051, 5, 1518044400, 0.25, 199, 1518113683, NULL, NULL, 0),
(155584, 199, 24589, 5, 1518044400, 0.5, 199, 1518113729, NULL, NULL, 0),
(155585, 199, 23776, 5, 1518044400, 0.25, 199, 1518113795, NULL, NULL, 0),
(155587, 199, 24547, 5, 1517871600, 0.2, 199, 1518113861, NULL, NULL, 0),
(155594, 199, 23545, 5, 1517785200, 0.25, 199, 1518114492, NULL, NULL, 0),
(155589, 199, 24693, 5, 1517439600, 0.3, 199, 1518113921, NULL, NULL, 0),
(155590, 199, 24693, 5, 1517439600, 0.25, 199, 1518114297, NULL, NULL, 0),
(155591, 199, 22383, 5, 1517439600, 0.25, 199, 1518114323, NULL, NULL, 0),
(155592, 199, 24547, 5, 1517266800, 0.25, 199, 1518114399, NULL, NULL, 0),
(155595, 199, 24547, 5, 1517785200, 0.25, 199, 1518114508, NULL, NULL, 0),
(155596, 199, 24589, 5, 1516921200, 0.1, 199, 1518114539, NULL, NULL, 0),
(155597, 199, 24589, 5, 1516921200, 0.05, 199, 1518114553, NULL, NULL, 0),
(155598, 199, 24707, 5, 1517266800, 0.6, 199, 1518114731, NULL, NULL, 0),
(155600, 199, 23138, 5, 1517266800, 0.1, 199, 1518114803, NULL, NULL, 0),
(155601, 199, 22387, 5, 1517266800, 0.05, 199, 1518114835, NULL, NULL, 0),
(155602, 199, 22387, 5, 1517439600, 0.1, 199, 1518114849, NULL, NULL, 0),
(155618, 450, 24591, 7, 1518044400, 0.3, 450, 1518159795, NULL, NULL, 0),
(155619, 450, 24592, 6, 1518044400, 0.7, 450, 1518159845, NULL, NULL, 0),
(155635, 157, 23557, 6, 1518130800, 1, 157, 1518164794, NULL, NULL, 0),
(155636, 157, 2, 1, 1519686000, 1, 157, 1518164830, NULL, NULL, 0),
(155668, 72, 23790, 1, 1518044400, 1, 72, 1518171370, NULL, NULL, 0),
(155669, 72, 23790, 1, 1518130800, 1, 72, 1518171376, NULL, NULL, 0),
(155775, 450, 24592, 6, 1518130800, 0.6, 450, 1518196604, NULL, NULL, 0),
(155776, 450, 24592, 5, 1518130800, 0.2, 450, 1518196660, NULL, NULL, 0),
(155777, 450, 1506, 1, 1518130800, 0.2, 450, 1518196728, NULL, NULL, 0),
(155789, 56, 2, 1, 1517526000, 1, 56, 1518241164, NULL, NULL, 0),
(155790, 56, 1, 1, 1517439600, 0.5, 56, 1518241552, NULL, NULL, 0),
(155792, 56, 1, 1, 1517871600, 0.25, 56, 1518241630, NULL, NULL, 0),
(155793, 56, 1, 1, 1517958000, 0.25, 56, 1518241591, NULL, NULL, 0),
(155794, 56, 1, 1, 1518044400, 0.5, 56, 1518241600, NULL, NULL, 0),
(155795, 56, 1, 1, 1517958000, 0.5, 56, 1518241718, NULL, NULL, 0),
(155801, 74, 23557, 6, 1517785200, 1, 74, 1518375112, NULL, NULL, 0),
(155802, 74, 23557, 6, 1517871600, 1, 74, 1518375130, NULL, NULL, 0),
(155803, 74, 23557, 6, 1518044400, 1, 74, 1518375141, NULL, NULL, 0),
(155804, 74, 23557, 6, 1518390000, 1, 74, 1518375170, NULL, NULL, 0),
(155813, 199, 23557, 5, 1518130800, 1, 199, 1518424578, NULL, NULL, 0),
(155833, 2, 23790, 1, 1518044400, 0.5, 2, 1518531201, NULL, NULL, 0),
(155834, 2, 23790, 1, 1518130800, 0.5, 2, 1518531210, NULL, NULL, 0),
(155835, 164, 24117, 18, 1517353200, 1, 164, 1518428279, NULL, NULL, 0),
(155836, 2, 17251, 17, 1517871600, 1, 2, 1518428287, NULL, NULL, 0),
(155837, 2, 17251, 17, 1517958000, 1, 2, 1518428298, NULL, NULL, 0),
(155838, 2, 17251, 17, 1518044400, 0.5, 2, 1518428450, NULL, NULL, 0),
(155839, 2, 17251, 18, 1518130800, 0.5, 2, 1518428466, NULL, NULL, 0),
(155921, 72, 23790, 1, 1518390000, 1, 72, 1518443498, NULL, NULL, 0),
(155922, 199, 24738, 4, 1518390000, 0.25, 199, 1518444385, NULL, NULL, 0),
(155923, 199, 24737, 4, 1518390000, 0.25, 199, 1518444419, NULL, NULL, 0),
(155924, 199, 24739, 5, 1518390000, 0.25, 199, 1518445068, NULL, NULL, 0),
(155968, 450, 23545, 5, 1518390000, 0.6, 450, 1518456606, NULL, NULL, 0),
(155969, 450, 24592, 5, 1518390000, 0.2, 450, 1518456435, NULL, NULL, 0),
(155970, 450, 24592, 7, 1518390000, 0.2, 450, 1518456565, NULL, NULL, 0),
(155971, 72, 2, 1, 1520550000, 1, 72, 1518505710, NULL, NULL, 0),
(156038, 72, 24754, 4, 1518476400, 0.1, 72, 1518527841, NULL, NULL, 0),
(156997, 164, 24117, 18, 1518476400, 0.5, 164, 1518786530, NULL, NULL, 0),
(156056, 2, 23790, 1, 1518390000, 0.5, 2, 1518531187, NULL, NULL, 0),
(156057, 2, 17251, 17, 1518390000, 0.5, 2, 1518531257, NULL, NULL, 0),
(156058, 2, 23790, 1, 1518476400, 0.2, 2, 1518531288, NULL, NULL, 0),
(156059, 72, 24740, 4, 1518476400, 0.1, 72, 1518532324, NULL, NULL, 0),
(156060, 72, 23790, 1, 1518476400, 0.8, 72, 1518532352, NULL, NULL, 0),
(156061, 2, 17251, 17, 1518476400, 0.8, 2, 1518532677, NULL, NULL, 0),
(156068, 450, 2041, 1, 1518476400, 0.2, 450, 1518536600, NULL, NULL, 0),
(156071, 450, 24592, 5, 1518476400, 0.1, 450, 1518536721, NULL, NULL, 0),
(156074, 450, 24592, 6, 1518476400, 0.3, 450, 1518536798, NULL, NULL, 0),
(156075, 450, 23545, 5, 1518476400, 0.4, 450, 1518536896, NULL, NULL, 0),
(156425, 199, 24592, 2, 1518390000, 0.25, 199, 1518600609, NULL, NULL, 0),
(157561, 450, 24769, 7, 1519081200, 0.1, 450, 1519141180, NULL, NULL, 0),
(157947, 450, 24770, 5, 1519081200, 0.4, 72, 1519292686, NULL, NULL, 0),
(161094, 72, 2, 1, 1522706400, 1, 72, 1520925766, NULL, NULL, 0),
(161093, 2, 2, 1, 1525039200, 1, 2, 1520889454, NULL, NULL, 0),
(161091, 56, 1, 1, 1520809200, 0.25, 56, 1520877854, NULL, NULL, 0),
(156461, 199, 24693, 5, 1518562800, 0.25, 199, 1518605472, NULL, NULL, 0),
(156485, 72, 24753, 5, 1518562800, 0.25, 72, 1518608443, NULL, NULL, 0),
(156486, 72, 24740, 5, 1518562800, 0.25, 72, 1518608472, NULL, NULL, 0),
(156495, 74, 1, 1, 1521500400, 1, 74, 1518614680, NULL, NULL, 0),
(156517, 72, 24767, 4, 1518562800, 0.2, 72, 1518620321, NULL, NULL, 0),
(156518, 72, 23790, 1, 1518562800, 0.3, 72, 1518620338, NULL, NULL, 0),
(156534, 450, 1436, 1, 1518562800, 0.3, 450, 1518625176, NULL, NULL, 0),
(156535, 450, 23545, 5, 1518562800, 0.7, 450, 1518625232, NULL, NULL, 0),
(156759, 450, 1436, 1, 1518649200, 0.2, 450, 1518697871, NULL, NULL, 0),
(156762, 450, 24699, 4, 1518649200, 0.4, 450, 1518766219, NULL, NULL, 0),
(156911, 450, 24699, 5, 1518649200, 0.4, 450, 1518766292, NULL, NULL, 0),
(156923, 157, 1, 1, 1518476400, 0.5, 157, 1518772123, NULL, NULL, 0),
(156924, 157, 24741, 4, 1518476400, 0.5, 157, 1518772210, NULL, NULL, 0),
(156925, 157, 24748, 4, 1518562800, 0.5, 157, 1518772237, NULL, NULL, 0),
(156926, 157, 24749, 4, 1518562800, 0.5, 157, 1518772261, NULL, NULL, 0),
(156927, 157, 24748, 5, 1518649200, 0.5, 157, 1518772294, NULL, NULL, 0),
(156928, 157, 24768, 4, 1518649200, 0.5, 157, 1518772317, NULL, NULL, 0),
(156929, 157, 24768, 6, 1518735600, 0.5, 157, 1518772334, NULL, NULL, 0),
(156930, 157, 24748, 6, 1518735600, 0.5, 157, 1518772357, NULL, NULL, 0),
(156931, 157, 1, 1, 1518390000, 0.5, 157, 1518772430, NULL, NULL, 0),
(156932, 157, 23557, 6, 1518390000, 0.5, 157, 1518772685, NULL, NULL, 0),
(156957, 450, 24699, 6, 1518735600, 1, 450, 1518795718, NULL, NULL, 0),
(156999, 164, 24843, 18, 1518390000, 0.5, 164, 1518786557, NULL, NULL, 0),
(156994, 164, 24117, 18, 1518390000, 0.5, 164, 1518786318, NULL, NULL, 0),
(157001, 164, 24843, 17, 1518476400, 0.5, 164, 1518786570, NULL, NULL, 0),
(157004, 88, 2, 1, 1519167600, 0.5, 88, 1518787193, NULL, NULL, 0),
(157030, 88, 1, 1, 1517958000, 1, 88, 1518787585, NULL, NULL, 0),
(157095, 72, 24575, 4, 1518649200, 0.5, 72, 1518794118, NULL, NULL, 0),
(157096, 72, 23790, 1, 1518649200, 0.5, 72, 1518794153, NULL, NULL, 0),
(157097, 72, 23790, 1, 1518735600, 1, 72, 1518794161, NULL, NULL, 0),
(157168, 199, 24798, 5, 1518562800, 0.25, 199, 1519027251, NULL, NULL, 0),
(157169, 199, 24747, 5, 1518562800, 0.5, 199, 1519027301, NULL, NULL, 0),
(157170, 199, 22765, 5, 1518735600, 0.5, 199, 1519027379, NULL, NULL, 0),
(157171, 199, 24693, 5, 1518735600, 0.5, 199, 1519027481, NULL, NULL, 0),
(157172, 199, 23545, 2, 1518476400, 1, 199, 1519027543, NULL, NULL, 0),
(157173, 157, 2, 1, 1519945200, 1, 157, 1519028280, NULL, NULL, 0),
(157174, 157, 1, 1, 1519858800, 1, 157, 1519028311, NULL, NULL, 0),
(157183, 450, 1436, 1, 1518994800, 0.4, 450, 1519054874, NULL, NULL, 0),
(157336, 2, 23790, 1, 1518994800, 0.5, 2, 1519051506, NULL, NULL, 0),
(157337, 2, 17251, 17, 1518994800, 0.25, 2, 1519051484, NULL, NULL, 0),
(157338, 2, 17251, 18, 1518562800, 0.5, 2, 1519051785, NULL, NULL, 0),
(157340, 2, 17251, 17, 1518562800, 0.5, 2, 1519051795, NULL, NULL, 0),
(157341, 2, 23790, 1, 1518649200, 0.5, 2, 1519051804, NULL, NULL, 0),
(157342, 2, 23790, 1, 1518735600, 0.25, 2, 1519390483, NULL, NULL, 0),
(157348, 2, 17251, 17, 1518735600, 0.25, 2, 1519052405, NULL, NULL, 0),
(157356, 450, 24699, 6, 1518994800, 0.5, 450, 1519054949, NULL, NULL, 0),
(157357, 450, 24699, 7, 1518994800, 0.1, 450, 1519054983, NULL, NULL, 0),
(157425, 199, 24699, 2, 1518994800, 0.25, 199, 1519064069, NULL, NULL, 0),
(157426, 199, 24693, 2, 1518994800, 0.1, 199, 1519064142, NULL, NULL, 0),
(157427, 199, 24242, 5, 1518994800, 0.6, 199, 1519064164, NULL, NULL, 0),
(157428, 199, 24242, 5, 1518994800, 0.05, 199, 1519064175, NULL, NULL, 0),
(157429, 164, 1435, 1, 1518994800, 1, 164, 1519114393, NULL, NULL, 0),
(157430, 164, 24117, 18, 1519081200, 1, 164, 1519114421, NULL, NULL, 0),
(157447, 199, 22765, 5, 1519081200, 0.5, 199, 1519121362, NULL, NULL, 0),
(157465, 322, 2, 1, 1525039200, 1, 322, 1519123455, NULL, NULL, 0),
(157466, 322, 2, 1, 1525212000, 1, 322, 1519123455, NULL, NULL, 0);
INSERT INTO `codev_timetracking_table` (`id`, `userid`, `bugid`, `jobid`, `date`, `duration`, `committer_id`, `commit_date`, `cost`, `currency`, `billed`) VALUES
(157467, 322, 2, 1, 1525298400, 1, 322, 1519123455, NULL, NULL, 0),
(157468, 322, 2, 1, 1525384800, 1, 322, 1519123455, NULL, NULL, 0),
(157469, 322, 2, 1, 1531951200, 1, 322, 1519123476, NULL, NULL, 0),
(157470, 322, 2, 1, 1532037600, 1, 322, 1519123476, NULL, NULL, 0),
(157482, 157, 24748, 6, 1518994800, 0.5, 157, 1519131876, NULL, NULL, 0),
(157483, 157, 24768, 6, 1518994800, 0.5, 157, 1519131899, NULL, NULL, 0),
(157484, 157, 24445, 6, 1519081200, 0.5, 157, 1519131948, NULL, NULL, 0),
(157485, 157, 24594, 6, 1519081200, 0.5, 157, 1519132001, NULL, NULL, 0),
(157543, 56, 1, 1, 1519081200, 0.25, 56, 1519139801, NULL, NULL, 0),
(157544, 56, 1, 1, 1519167600, 0.25, 56, 1519139840, NULL, NULL, 0),
(157545, 56, 1, 1, 1519340400, 0.25, 56, 1519139877, NULL, NULL, 0),
(157554, 199, 24446, 5, 1519081200, 0.5, 199, 1519140063, NULL, NULL, 0),
(157559, 450, 24769, 4, 1519081200, 0.5, 450, 1519141073, NULL, NULL, 0),
(157562, 74, 1, 1, 1519686000, 0.5, 74, 1519141280, NULL, NULL, 0),
(157570, 72, 23790, 1, 1518994800, 1, 72, 1519142339, NULL, NULL, 0),
(157571, 72, 23790, 1, 1519081200, 1, 72, 1519142346, NULL, NULL, 0),
(157657, 74, 1, 1, 1520290800, 0.5, 74, 1519198538, NULL, NULL, 0),
(157829, 2, 17251, 17, 1519081200, 0.5, 2, 1519230591, NULL, NULL, 0),
(157801, 199, 24575, 6, 1519167600, 0.5, 199, 1519223694, NULL, NULL, 0),
(157804, 199, 24909, 5, 1519167600, 0.3, 199, 1519223750, NULL, NULL, 0),
(157818, 72, 24575, 6, 1519167600, 0.5, 72, 1519228587, NULL, NULL, 0),
(157819, 72, 23790, 1, 1519167600, 0.5, 72, 1519228607, NULL, NULL, 0),
(157948, 450, 24770, 6, 1519167600, 1, 72, 1519292711, NULL, NULL, 0),
(157830, 2, 23790, 1, 1519081200, 0.5, 2, 1519390447, NULL, NULL, 0),
(157831, 2, 23790, 1, 1519167600, 0.5, 2, 1519390423, NULL, NULL, 0),
(157832, 2, 1435, 1, 1519167600, 0.5, 2, 1519230626, NULL, NULL, 0),
(157833, 2, 1435, 1, 1518994800, 0.25, 2, 1519230633, NULL, NULL, 0),
(157848, 198, 2, 1, 1517180400, 1, 198, 1519286611, NULL, NULL, 0),
(157851, 198, 2, 1, 1516921200, 0.5, 198, 1519286670, NULL, NULL, 0),
(157853, 198, 2, 1, 1519254000, 0.5, 198, 1519286698, NULL, NULL, 0),
(157882, 157, 24911, 6, 1519254000, 0.5, 157, 1519288840, NULL, NULL, 0),
(157880, 157, 24911, 4, 1519167600, 0.5, 157, 1519288742, NULL, NULL, 0),
(157881, 157, 24890, 6, 1519167600, 0.5, 157, 1519288810, NULL, NULL, 0),
(157897, 2, 2, 1, 1525989600, 1, 2, 1519289523, NULL, NULL, 0),
(158031, 450, 1436, 1, 1519254000, 1, 450, 1519313803, NULL, NULL, 0),
(158137, 450, 1436, 1, 1519340400, 1, 450, 1519374602, NULL, NULL, 0),
(158144, 157, 1, 1, 1519254000, 0.5, 157, 1519375141, NULL, NULL, 0),
(158148, 157, 24877, 4, 1519340400, 0.5, 157, 1519375253, NULL, NULL, 0),
(158149, 157, 1, 1, 1519340400, 0.5, 157, 1519375413, NULL, NULL, 0),
(158150, 157, 1, 1, 1519599600, 0.5, 157, 1519375448, NULL, NULL, 0),
(158205, 72, 25006, 4, 1519340400, 0.1, 72, 1519389739, NULL, NULL, 0),
(158206, 72, 23790, 1, 1519254000, 0.5, 72, 1519389754, NULL, NULL, 0),
(158207, 2, 23790, 1, 1519254000, 0.5, 2, 1519390411, NULL, NULL, 0),
(158245, 199, 24698, 5, 1519340400, 0.25, 199, 1519397544, NULL, NULL, 0),
(158246, 199, 24575, 6, 1519340400, 0.5, 199, 1519397566, NULL, NULL, 0),
(158247, 199, 24575, 6, 1519254000, 0.5, 199, 1519397582, NULL, NULL, 0),
(158258, 2, 23790, 1, 1519340400, 0.25, 2, 1519398877, NULL, NULL, 0),
(158259, 2, 23790, 1, 1519340400, 0.25, 2, 1519398883, NULL, NULL, 0),
(158264, 2, 17251, 17, 1519340400, 0.25, 2, 1519399103, NULL, NULL, 0),
(158262, 2, 17251, 17, 1519254000, 0.5, 2, 1519399086, NULL, NULL, 0),
(158266, 2, 24843, 17, 1519340400, 0.25, 2, 1519399127, NULL, NULL, 0),
(158345, 72, 1435, 1, 1519340400, 0.4, 72, 1519627261, NULL, NULL, 0),
(158346, 72, 23790, 1, 1519340400, 0.5, 72, 1519627272, NULL, NULL, 0),
(158361, 74, 24575, 6, 1519081200, 0.5, 74, 1519634673, NULL, NULL, 0),
(158362, 74, 24575, 6, 1519167600, 1, 74, 1519634684, NULL, NULL, 0),
(158363, 74, 24575, 6, 1519254000, 1, 74, 1519634696, NULL, NULL, 0),
(158364, 74, 24575, 6, 1519340400, 1, 74, 1519634707, NULL, NULL, 0),
(158365, 74, 24575, 6, 1519599600, 1, 74, 1519634741, NULL, NULL, 0),
(158403, 72, 24575, 7, 1519599600, 0.5, 72, 1519652070, NULL, NULL, 0),
(158404, 72, 23790, 1, 1519599600, 0.5, 72, 1519652091, NULL, NULL, 0),
(158405, 199, 24575, 6, 1519340400, 0.25, 199, 1519652107, NULL, NULL, 0),
(158406, 199, 24242, 2, 1519254000, 0.25, 199, 1519652172, NULL, NULL, 0),
(158407, 199, 23243, 5, 1519254000, 0.25, 199, 1519652214, NULL, NULL, 0),
(158409, 199, 24589, 5, 1519167600, 0.2, 199, 1519652348, NULL, NULL, 0),
(158410, 164, 24117, 18, 1519167600, 1, 164, 1519652683, NULL, NULL, 0),
(158433, 164, 24843, 17, 1519599600, 1, 164, 1519658572, NULL, NULL, 0),
(158487, 450, 1436, 1, 1519599600, 1, 450, 1519716451, NULL, NULL, 0),
(158545, 2, 23790, 1, 1519599600, 0.25, 2, 1519727569, NULL, NULL, 0),
(158553, 199, 24996, 5, 1519686000, 0.25, 199, 1519728185, NULL, NULL, 0),
(158655, 450, 24592, 5, 1519686000, 0.1, 450, 1519738643, NULL, NULL, 0),
(158656, 450, 24592, 6, 1519686000, 0.3, 450, 1519802478, NULL, NULL, 0),
(158657, 450, 1436, 1, 1519686000, 0.6, 450, 1519802515, NULL, NULL, 0),
(158658, 199, 24698, 5, 1519686000, 0.25, 199, 1519739542, NULL, NULL, 0),
(158659, 2, 17251, 18, 1519686000, 0.5, 2, 1519739810, NULL, NULL, 0),
(158666, 72, 1435, 1, 1519686000, 0.3, 72, 1519742464, NULL, NULL, 0),
(158667, 72, 23790, 1, 1519686000, 0.7, 72, 1519742476, NULL, NULL, 0),
(158673, 199, 23910, 5, 1519686000, 0.5, 199, 1519744676, NULL, NULL, 0),
(158676, 199, 23243, 5, 1519599600, 0.25, 199, 1519745211, NULL, NULL, 0),
(158677, 199, 23910, 5, 1519599600, 0.5, 199, 1519745284, NULL, NULL, 0),
(158678, 199, 24575, 4, 1518649200, 1, 199, 1519745444, NULL, NULL, 0),
(158679, 199, 23428, 7, 1519599600, 0.25, 199, 1519745508, NULL, NULL, 0),
(158682, 2, 23790, 1, 1519686000, 0.25, 2, 1519746958, NULL, NULL, 0),
(158746, 227, 2, 1, 1519340400, 1, 227, 1519805965, NULL, NULL, 0),
(158918, 199, 23910, 6, 1519772400, 0.5, 199, 1519895535, NULL, NULL, 0),
(158919, 199, 24589, 5, 1519772400, 0.5, 199, 1519895552, NULL, NULL, 0),
(158920, 199, 24589, 5, 1519858800, 0.5, 199, 1519895563, NULL, NULL, 0),
(159059, 157, 25008, 4, 1519772400, 0.25, 157, 1519906792, NULL, NULL, 0),
(159058, 157, 23910, 2, 1519772400, 0.5, 157, 1519906735, NULL, NULL, 0),
(159060, 157, 25005, 4, 1519772400, 0.25, 157, 1519906823, NULL, NULL, 0),
(159061, 157, 25044, 4, 1519599600, 0.5, 157, 1519906865, NULL, NULL, 0),
(160830, 450, 25321, 5, 1520550000, 0.7, 450, 1520839205, NULL, NULL, 0),
(159357, 164, 1506, 1, 1519686000, 0.5, 164, 1519978565, NULL, NULL, 0),
(159161, 199, 2, 1, 1530828000, 1, 199, 1519913508, NULL, NULL, 0),
(159162, 199, 2, 1, 1531087200, 1, 199, 1519913508, NULL, NULL, 0),
(159342, 74, 23910, 6, 1519686000, 0.5, 74, 1519974524, NULL, NULL, 0),
(159343, 74, 23910, 6, 1519772400, 1, 74, 1519974576, NULL, NULL, 0),
(159344, 74, 23910, 6, 1519858800, 1, 74, 1519974590, NULL, NULL, 0),
(159345, 74, 23910, 6, 1519945200, 0.5, 74, 1519974614, NULL, NULL, 0),
(159358, 164, 24843, 17, 1519686000, 0.5, 164, 1519978602, NULL, NULL, 0),
(159359, 450, 23910, 6, 1519772400, 1, 450, 1519978749, NULL, NULL, 0),
(159363, 56, 2, 1, 1519599600, 1, 268, 1519979538, NULL, NULL, 0),
(159364, 56, 2, 1, 1519686000, 1, 268, 1519979538, NULL, NULL, 0),
(159365, 56, 2, 1, 1519772400, 1, 268, 1519979538, NULL, NULL, 0),
(159366, 56, 2, 1, 1519858800, 1, 268, 1519979538, NULL, NULL, 0),
(159367, 56, 2, 1, 1519945200, 1, 268, 1519979538, NULL, NULL, 0),
(159423, 199, 23910, 6, 1519858800, 0.25, 199, 1519982935, NULL, NULL, 0),
(159424, 199, 25123, 2, 1519858800, 0.25, 199, 1519982950, NULL, NULL, 0),
(159425, 74, 24838, 6, 1519945200, 0.5, 74, 1519983120, NULL, NULL, 0),
(159428, 199, 22877, 2, 1519945200, 0.1, 199, 1519984362, NULL, NULL, 0),
(159429, 199, 25123, 2, 1519945200, 0.25, 199, 1519984384, NULL, NULL, 0),
(159438, 2, 23790, 1, 1519858800, 0.25, 2, 1519985722, NULL, NULL, 0),
(159441, 2, 23790, 1, 1519945200, 0.5, 2, 1519985759, NULL, NULL, 0),
(159443, 2, 23790, 1, 1519858800, 0.25, 2, 1519985774, NULL, NULL, 0),
(159444, 2, 17251, 17, 1519599600, 0.75, 2, 1519985800, NULL, NULL, 0),
(159445, 2, 17251, 17, 1519686000, 0.25, 2, 1519985813, NULL, NULL, 0),
(159446, 2, 17251, 17, 1519772400, 1, 2, 1519985822, NULL, NULL, 0),
(159447, 2, 17251, 17, 1519858800, 0.5, 2, 1519985833, NULL, NULL, 0),
(159507, 450, 23910, 6, 1519858800, 0.3, 450, 1519999053, NULL, NULL, 0),
(159508, 450, 23910, 7, 1519858800, 0.3, 450, 1519999106, NULL, NULL, 0),
(159509, 450, 25123, 4, 1519858800, 0.2, 450, 1519999208, NULL, NULL, 0),
(159510, 450, 25123, 5, 1519858800, 0.2, 450, 1519999245, NULL, NULL, 0),
(159511, 450, 25123, 5, 1519945200, 0.2, 450, 1519999335, NULL, NULL, 0),
(159512, 450, 25123, 6, 1519945200, 0.4, 450, 1519999423, NULL, NULL, 0),
(159513, 164, 1, 1, 1520463600, 1, 164, 1520000030, NULL, NULL, 0),
(159514, 164, 1, 1, 1520550000, 1, 164, 1520000030, NULL, NULL, 0),
(159515, 164, 1, 1, 1520982000, 1, 164, 1520000062, NULL, NULL, 0),
(159516, 164, 1, 1, 1521068400, 1, 164, 1520000062, NULL, NULL, 0),
(159517, 164, 1, 1, 1521154800, 1, 164, 1520000062, NULL, NULL, 0),
(159518, 164, 1, 1, 1521673200, 1, 164, 1520000111, NULL, NULL, 0),
(159519, 164, 1, 1, 1521759600, 1, 164, 1520000111, NULL, NULL, 0),
(159520, 164, 1, 1, 1522188000, 1, 164, 1520000137, NULL, NULL, 0),
(159521, 164, 1, 1, 1522274400, 1, 164, 1520000137, NULL, NULL, 0),
(159522, 164, 1, 1, 1522360800, 1, 164, 1520000137, NULL, NULL, 0),
(159549, 450, 25043, 4, 1519945200, 0.4, 450, 1520003730, NULL, NULL, 0),
(159666, 199, 23910, 6, 1519945200, 0.5, 199, 1520237735, NULL, NULL, 0),
(159651, 199, 23910, 6, 1519945200, 0.05, 199, 1520234740, NULL, NULL, 0),
(159689, 72, 2, 1, 1521414000, 0.5, 72, 1520243133, NULL, NULL, 0),
(159814, 450, 25043, 4, 1520204400, 0.3, 450, 1520320347, NULL, NULL, 0),
(159815, 450, 25043, 5, 1520204400, 0.7, 450, 1520320376, NULL, NULL, 0),
(159816, 72, 23790, 1, 1520204400, 1, 72, 1520320494, NULL, NULL, 0),
(159817, 72, 2, 1, 1519772400, 1, 72, 1520320552, NULL, NULL, 0),
(159818, 72, 2, 1, 1519858800, 1, 72, 1520320560, NULL, NULL, 0),
(159819, 72, 2, 1, 1519945200, 1, 72, 1520320566, NULL, NULL, 0),
(159858, 199, 2, 1, 1521673200, 0.5, 199, 1520326209, NULL, NULL, 0),
(159955, 72, 2, 1, 1521154800, 0.5, 72, 1520349691, NULL, NULL, 0),
(159956, 164, 24843, 18, 1520204400, 1, 164, 1520350095, NULL, NULL, 0),
(159957, 164, 17251, 17, 1520290800, 1, 164, 1520350120, NULL, NULL, 0),
(159993, 343, 2, 1, 1502661600, 1, 343, 1520355083, NULL, NULL, 0),
(159994, 343, 2, 1, 1502748000, 1, 343, 1520355092, NULL, NULL, 0),
(159995, 343, 2, 1, 1502834400, 1, 343, 1520355097, NULL, NULL, 0),
(159996, 343, 2, 1, 1502920800, 1, 343, 1520355102, NULL, NULL, 0),
(159997, 343, 2, 1, 1503007200, 1, 343, 1520355106, NULL, NULL, 0),
(160006, 343, 2, 1, 1504476000, 1, 343, 1520355234, NULL, NULL, 0),
(160007, 343, 2, 1, 1504562400, 1, 343, 1520355239, NULL, NULL, 0),
(160008, 343, 2, 1, 1504648800, 1, 343, 1520355243, NULL, NULL, 0),
(160009, 343, 2, 1, 1504735200, 1, 343, 1520355248, NULL, NULL, 0),
(160010, 343, 2, 1, 1504821600, 1, 343, 1520355252, NULL, NULL, 0),
(160019, 450, 25043, 6, 1520290800, 1, 450, 1520357261, NULL, NULL, 0),
(160109, 343, 1041, 1, 1512342000, 1, 343, 1520416289, NULL, NULL, 0),
(160110, 343, 1041, 1, 1512428400, 1, 343, 1520416296, NULL, NULL, 0),
(160111, 343, 1041, 1, 1512514800, 1, 343, 1520416301, NULL, NULL, 0),
(160128, 343, 2, 1, 1514242800, 1, 343, 1520416719, NULL, NULL, 0),
(160129, 343, 2, 1, 1514329200, 1, 343, 1520416724, NULL, NULL, 0),
(160130, 343, 2, 1, 1514415600, 1, 343, 1520416728, NULL, NULL, 0),
(160131, 343, 2, 1, 1514502000, 1, 343, 1520416732, NULL, NULL, 0),
(160171, 72, 25008, 4, 1520377200, 0.5, 72, 1520430214, NULL, NULL, 0),
(160172, 72, 1435, 1, 1520290800, 0.5, 72, 1520430244, NULL, NULL, 0),
(160174, 72, 23790, 1, 1520290800, 0.5, 72, 1520430254, NULL, NULL, 0),
(160205, 72, 23790, 1, 1520377200, 0.5, 72, 1520437437, NULL, NULL, 0),
(160249, 450, 25240, 4, 1520377200, 0.2, 450, 1520493709, NULL, NULL, 0),
(160250, 450, 25240, 5, 1520377200, 0.6, 450, 1520493773, NULL, NULL, 0),
(160251, 450, 25240, 6, 1520377200, 0.2, 450, 1520493797, NULL, NULL, 0),
(160263, 74, 1, 1, 1521414000, 0.5, 74, 1520496526, NULL, NULL, 0),
(160390, 450, 25240, 6, 1520463600, 0.7, 450, 1520521982, NULL, NULL, 0),
(160391, 450, 25240, 7, 1520463600, 0.2, 450, 1520522007, NULL, NULL, 0),
(160395, 72, 23790, 1, 1520463600, 1, 72, 1520522961, NULL, NULL, 0),
(160396, 450, 25321, 4, 1520463600, 0.1, 450, 1520522987, NULL, NULL, 0),
(160399, 199, 24562, 4, 1520204400, 1, 199, 1520523306, NULL, NULL, 0),
(160400, 199, 24562, 4, 1520290800, 1, 199, 1520523320, NULL, NULL, 0),
(160401, 199, 24562, 4, 1520377200, 1, 199, 1520523331, NULL, NULL, 0),
(160404, 199, 25154, 4, 1520463600, 0.5, 199, 1520523354, NULL, NULL, 0),
(160407, 199, 25240, 2, 1520463600, 0.1, 199, 1520523405, NULL, NULL, 0),
(160410, 199, 24562, 4, 1520463600, 0.1, 199, 1520523463, NULL, NULL, 0),
(160447, 394, 1400, 1, 1521673200, 1, 394, 1520527133, NULL, NULL, 0),
(160448, 394, 1400, 1, 1522015200, 1, 394, 1520527146, NULL, NULL, 0),
(160449, 394, 1400, 1, 1522101600, 1, 394, 1520527152, NULL, NULL, 0),
(160450, 394, 1400, 1, 1522188000, 1, 394, 1520527157, NULL, NULL, 0),
(160550, 74, 24838, 6, 1520204400, 1, 74, 1520590441, NULL, NULL, 0),
(160554, 74, 24838, 6, 1520377200, 1, 74, 1520590482, NULL, NULL, 0),
(160553, 74, 24838, 6, 1520290800, 0.5, 74, 1520590456, NULL, NULL, 0),
(160555, 74, 24838, 6, 1520463600, 1, 74, 1520590495, NULL, NULL, 0),
(160557, 74, 24838, 6, 1520550000, 1, 74, 1520590506, NULL, NULL, 0),
(160575, 164, 17251, 18, 1520377200, 1, 164, 1520601652, NULL, NULL, 0),
(160684, 199, 25190, 4, 1520463600, 0.3, 199, 1520609492, NULL, NULL, 0),
(160685, 199, 25190, 4, 1520550000, 0.5, 199, 1520609505, NULL, NULL, 0),
(160686, 199, 25354, 5, 1520550000, 0.5, 199, 1520609523, NULL, NULL, 0),
(160829, 450, 25321, 4, 1520550000, 0.3, 450, 1520839112, NULL, NULL, 0),
(160944, 199, 23428, 7, 1520809200, 0.05, 199, 1520855702, NULL, NULL, 0),
(160966, 2, 17251, 17, 1519945200, 0.5, 2, 1520855977, NULL, NULL, 0),
(160967, 2, 24843, 18, 1520809200, 0.2, 2, 1520856041, NULL, NULL, 0),
(160968, 157, 2, 1, 1525644000, 1, 157, 1520857221, NULL, NULL, 0),
(160969, 157, 2, 1, 1525816800, 1, 157, 1520857255, NULL, NULL, 0),
(160970, 157, 2, 1, 1525989600, 1, 157, 1520857323, NULL, NULL, 0),
(161012, 72, 2, 1, 1528668000, 1, 72, 1520861002, NULL, NULL, 0),
(161013, 72, 23790, 1, 1520809200, 1, 72, 1520861052, NULL, NULL, 0),
(161083, 450, 25321, 6, 1520809200, 1, 450, 1520874920, NULL, NULL, 0),
(161244, 72, 23790, 1, 1520895600, 0.6, 72, 1520949594, NULL, NULL, 0),
(161245, 72, 25437, 4, 1520895600, 0.4, 72, 1520949658, NULL, NULL, 0),
(162784, 394, 2, 1, 1521759600, 1, 394, 1521466170, NULL, NULL, 0),
(161395, 157, 1, 1, 1520895600, 1, 157, 1520954831, NULL, NULL, 0),
(161398, 157, 1, 1, 1520809200, 0.5, 157, 1520954845, NULL, NULL, 0),
(161404, 157, 25044, 4, 1520809200, 0.5, 157, 1520954925, NULL, NULL, 0),
(161406, 157, 1, 1, 1521500400, 0.25, 157, 1520954979, NULL, NULL, 0),
(161407, 157, 1, 1, 1521500400, 0.5, 157, 1520954987, NULL, NULL, 0),
(161408, 157, 1, 1, 1521673200, 1, 157, 1520954997, NULL, NULL, 0),
(161409, 157, 1, 1, 1523311200, 1, 157, 1520955012, NULL, NULL, 0),
(161410, 157, 1, 1, 1526335200, 1, 157, 1520955028, NULL, NULL, 0),
(161474, 450, 25321, 6, 1520895600, 0.7, 450, 1521011728, NULL, NULL, 0),
(161475, 450, 25321, 7, 1520895600, 0.3, 450, 1521011756, NULL, NULL, 0),
(161491, 199, 24838, 2, 1520895600, 0.25, 199, 1521018515, NULL, NULL, 0),
(161553, 2, 23790, 1, 1520895600, 0.25, 2, 1521023317, NULL, NULL, 0),
(161554, 2, 24843, 17, 1520895600, 0.75, 2, 1521023361, NULL, NULL, 0),
(161555, 2, 24843, 17, 1520809200, 0.8, 2, 1521023374, NULL, NULL, 0),
(161569, 72, 23790, 1, 1520982000, 0.3, 72, 1521099787, NULL, NULL, 0),
(161570, 72, 1436, 1, 1520982000, 0.5, 72, 1521031385, NULL, NULL, 0),
(161691, 157, 1, 1, 1521068400, 1, 157, 1521098490, NULL, NULL, 0),
(161692, 157, 1, 1, 1521154800, 1, 157, 1521098495, NULL, NULL, 0),
(161693, 157, 25044, 4, 1520982000, 0.5, 157, 1521098531, NULL, NULL, 0),
(161694, 157, 25267, 4, 1520982000, 0.5, 157, 1521098560, NULL, NULL, 0),
(161700, 72, 25546, 4, 1520982000, 0.2, 72, 1521099831, NULL, NULL, 0),
(161706, 450, 1436, 1, 1520982000, 1, 450, 1521100717, NULL, NULL, 0),
(161797, 450, 1436, 1, 1521068400, 1, 450, 1521114276, NULL, NULL, 0),
(161851, 56, 1, 1, 1520982000, 0.25, 56, 1521120864, NULL, NULL, 0),
(161853, 56, 1, 1, 1521154800, 0.5, 56, 1521120896, NULL, NULL, 0),
(161861, 72, 25546, 4, 1521068400, 0.5, 72, 1521123469, NULL, NULL, 0),
(161862, 72, 23790, 1, 1521068400, 0.5, 72, 1521123487, NULL, NULL, 0),
(161867, 88, 2, 1, 1520550000, 1, 88, 1521124496, NULL, NULL, 0),
(161872, 83, 2, 1, 1522360800, 1, 83, 1521124738, NULL, NULL, 0),
(161889, 83, 2, 1, 1531087200, 1, 83, 1521124859, NULL, NULL, 0),
(161890, 83, 2, 1, 1531173600, 1, 83, 1521124859, NULL, NULL, 0),
(161891, 83, 2, 1, 1531260000, 1, 83, 1521124859, NULL, NULL, 0),
(161892, 83, 2, 1, 1531346400, 1, 83, 1521124859, NULL, NULL, 0),
(161893, 83, 2, 1, 1531432800, 1, 83, 1521124859, NULL, NULL, 0),
(161894, 83, 2, 1, 1531692000, 1, 83, 1521124859, NULL, NULL, 0),
(161895, 83, 2, 1, 1531778400, 1, 83, 1521124859, NULL, NULL, 0),
(161896, 83, 2, 1, 1531864800, 1, 83, 1521124859, NULL, NULL, 0),
(161897, 83, 2, 1, 1531951200, 1, 83, 1521124859, NULL, NULL, 0),
(161898, 83, 2, 1, 1532037600, 1, 83, 1521124859, NULL, NULL, 0),
(161899, 83, 2, 1, 1532296800, 1, 83, 1521124859, NULL, NULL, 0),
(161900, 83, 2, 1, 1532383200, 1, 83, 1521124859, NULL, NULL, 0),
(161901, 83, 2, 1, 1532469600, 1, 83, 1521124859, NULL, NULL, 0),
(161902, 83, 2, 1, 1532556000, 1, 83, 1521124859, NULL, NULL, 0),
(161903, 83, 2, 1, 1532642400, 1, 83, 1521124859, NULL, NULL, 0),
(161933, 88, 2, 1, 1521586800, 1, 88, 1521126396, NULL, NULL, 0),
(161934, 88, 2, 1, 1525039200, 1, 88, 1521126540, NULL, NULL, 0),
(161935, 88, 2, 1, 1525212000, 1, 88, 1521126540, NULL, NULL, 0),
(161936, 88, 2, 1, 1525298400, 1, 88, 1521126540, NULL, NULL, 0),
(161937, 88, 2, 1, 1525384800, 1, 88, 1521126540, NULL, NULL, 0),
(161938, 88, 2, 1, 1525644000, 1, 88, 1521126540, NULL, NULL, 0),
(161939, 88, 2, 1, 1525816800, 1, 88, 1521126540, NULL, NULL, 0),
(161940, 88, 2, 1, 1525989600, 1, 88, 1521126540, NULL, NULL, 0),
(161941, 88, 2, 1, 1526248800, 1, 88, 1521126540, NULL, NULL, 0),
(161942, 88, 2, 1, 1526335200, 1, 88, 1521126540, NULL, NULL, 0),
(161943, 88, 2, 1, 1526421600, 1, 88, 1521126540, NULL, NULL, 0),
(161944, 88, 2, 1, 1526508000, 1, 88, 1521126540, NULL, NULL, 0),
(161945, 88, 2, 1, 1526594400, 1, 88, 1521126540, NULL, NULL, 0),
(161981, 2, 2, 1, 1531087200, 1, 2, 1521128875, NULL, NULL, 0),
(161982, 2, 2, 1, 1531173600, 1, 2, 1521128875, NULL, NULL, 0),
(161983, 2, 2, 1, 1531260000, 1, 2, 1521128875, NULL, NULL, 0),
(161984, 2, 2, 1, 1531346400, 1, 2, 1521128875, NULL, NULL, 0),
(161985, 2, 2, 1, 1531432800, 1, 2, 1521128875, NULL, NULL, 0),
(161986, 2, 2, 1, 1531692000, 1, 2, 1521128875, NULL, NULL, 0),
(161987, 2, 2, 1, 1531778400, 1, 2, 1521128875, NULL, NULL, 0),
(161988, 2, 2, 1, 1531864800, 1, 2, 1521128875, NULL, NULL, 0),
(161989, 2, 2, 1, 1531951200, 1, 2, 1521128875, NULL, NULL, 0),
(161990, 2, 2, 1, 1532037600, 1, 2, 1521128875, NULL, NULL, 0),
(161991, 2, 2, 1, 1532296800, 1, 2, 1521128875, NULL, NULL, 0),
(161992, 2, 2, 1, 1532383200, 1, 2, 1521128875, NULL, NULL, 0),
(161993, 2, 2, 1, 1532469600, 1, 2, 1521128875, NULL, NULL, 0),
(161994, 2, 2, 1, 1532556000, 1, 2, 1521128875, NULL, NULL, 0),
(161995, 2, 2, 1, 1532642400, 1, 2, 1521128875, NULL, NULL, 0),
(161997, 2, 2, 1, 1534370400, 1, 2, 1521128930, NULL, NULL, 0),
(161998, 2, 2, 1, 1534456800, 1, 2, 1521128930, NULL, NULL, 0),
(161999, 2, 2, 1, 1541113200, 1, 2, 1521128995, NULL, NULL, 0),
(162137, 450, 1436, 1, 1521154800, 1, 450, 1521189095, NULL, NULL, 0),
(162138, 450, 2, 1, 1535925600, 1, 450, 1521189493, NULL, NULL, 0),
(162139, 450, 2, 1, 1536012000, 1, 450, 1521189493, NULL, NULL, 0),
(162140, 450, 2, 1, 1536098400, 1, 450, 1521189493, NULL, NULL, 0),
(162141, 450, 2, 1, 1536184800, 1, 450, 1521189493, NULL, NULL, 0),
(162142, 450, 2, 1, 1536271200, 1, 450, 1521189493, NULL, NULL, 0),
(162143, 450, 2, 1, 1536530400, 1, 450, 1521189493, NULL, NULL, 0),
(162144, 450, 2, 1, 1536616800, 1, 450, 1521189493, NULL, NULL, 0),
(162145, 450, 2, 1, 1536703200, 1, 450, 1521189493, NULL, NULL, 0),
(162146, 450, 2, 1, 1536789600, 1, 450, 1521189493, NULL, NULL, 0),
(162147, 450, 2, 1, 1536876000, 1, 450, 1521189493, NULL, NULL, 0),
(162235, 83, 2, 1, 1525644000, 1, 83, 1521193899, NULL, NULL, 0),
(162236, 83, 2, 1, 1525816800, 1, 83, 1521193899, NULL, NULL, 0),
(162237, 83, 2, 1, 1525989600, 1, 83, 1521193899, NULL, NULL, 0),
(162257, 164, 17251, 17, 1520809200, 1, 164, 1521196530, NULL, NULL, 0),
(162258, 164, 24117, 18, 1520895600, 1, 164, 1521196582, NULL, NULL, 0),
(162261, 371, 2, 1, 1522360800, 1, 371, 1521196950, NULL, NULL, 0),
(162262, 371, 2, 1, 1522706400, 1, 371, 1521197043, NULL, NULL, 0),
(162263, 371, 2, 1, 1522792800, 1, 371, 1521197043, NULL, NULL, 0),
(162264, 371, 2, 1, 1522879200, 1, 371, 1521197043, NULL, NULL, 0),
(162265, 371, 2, 1, 1525644000, 1, 371, 1521197205, NULL, NULL, 0),
(162266, 371, 2, 1, 1525816800, 1, 371, 1521197205, NULL, NULL, 0),
(162267, 371, 2, 1, 1525989600, 1, 371, 1521197205, NULL, NULL, 0),
(162268, 371, 2, 1, 1525212000, 1, 371, 1521197530, NULL, NULL, 0),
(162269, 371, 2, 1, 1526940000, 1, 371, 1521197561, NULL, NULL, 0),
(162270, 371, 2, 1, 1530136800, 1, 371, 1521197711, NULL, NULL, 0),
(162271, 371, 2, 1, 1530223200, 1, 371, 1521197711, NULL, NULL, 0),
(162272, 371, 2, 1, 1531778400, 1, 371, 1521197832, NULL, NULL, 0),
(162273, 371, 2, 1, 1531864800, 1, 371, 1521197832, NULL, NULL, 0),
(162274, 371, 2, 1, 1531951200, 1, 371, 1521197832, NULL, NULL, 0),
(162275, 371, 2, 1, 1532037600, 1, 371, 1521197832, NULL, NULL, 0),
(162276, 371, 2, 1, 1534716000, 1, 371, 1521197993, NULL, NULL, 0),
(162277, 371, 2, 1, 1534802400, 1, 371, 1521197993, NULL, NULL, 0),
(162278, 371, 2, 1, 1534888800, 1, 371, 1521197993, NULL, NULL, 0),
(162279, 371, 2, 1, 1534975200, 1, 371, 1521197993, NULL, NULL, 0),
(162280, 371, 2, 1, 1535061600, 1, 371, 1521197993, NULL, NULL, 0),
(162281, 371, 2, 1, 1535320800, 1, 371, 1521197993, NULL, NULL, 0),
(162282, 371, 2, 1, 1535407200, 1, 371, 1521197993, NULL, NULL, 0),
(162283, 371, 2, 1, 1535493600, 1, 371, 1521197993, NULL, NULL, 0),
(162284, 371, 2, 1, 1535580000, 1, 371, 1521197993, NULL, NULL, 0),
(162285, 371, 2, 1, 1535666400, 1, 371, 1521197993, NULL, NULL, 0),
(162286, 371, 2, 1, 1533506400, 1, 371, 1521198043, NULL, NULL, 0),
(162287, 371, 2, 1, 1533592800, 1, 371, 1521198043, NULL, NULL, 0),
(162288, 371, 2, 1, 1533679200, 1, 371, 1521198043, NULL, NULL, 0),
(162289, 371, 2, 1, 1533765600, 1, 371, 1521198043, NULL, NULL, 0),
(162290, 371, 2, 1, 1533852000, 1, 371, 1521198043, NULL, NULL, 0),
(162291, 371, 2, 1, 1534111200, 1, 371, 1521198043, NULL, NULL, 0),
(162292, 371, 2, 1, 1534197600, 1, 371, 1521198043, NULL, NULL, 0),
(162293, 72, 23790, 1, 1521154800, 0.5, 72, 1521198548, NULL, NULL, 0),
(162311, 157, 2, 1, 1533160800, 1, 157, 1521206142, NULL, NULL, 0),
(162312, 157, 2, 1, 1533247200, 1, 157, 1521206142, NULL, NULL, 0),
(162318, 198, 2, 1, 1532988000, 1, 198, 1521206732, NULL, NULL, 0),
(162319, 198, 2, 1, 1533074400, 1, 198, 1521206747, NULL, NULL, 0),
(162320, 198, 2, 1, 1533160800, 1, 198, 1521206757, NULL, NULL, 0),
(162321, 198, 2, 1, 1533247200, 1, 198, 1521206764, NULL, NULL, 0),
(162322, 198, 2, 1, 1533506400, 1, 198, 1521206798, NULL, NULL, 0),
(162323, 198, 2, 1, 1533592800, 1, 198, 1521206809, NULL, NULL, 0),
(162324, 198, 2, 1, 1533679200, 1, 198, 1521206821, NULL, NULL, 0),
(162330, 198, 2, 1, 1534197600, 1, 198, 1521206848, NULL, NULL, 0),
(162326, 198, 2, 1, 1533765600, 1, 198, 1521206827, NULL, NULL, 0),
(162328, 198, 2, 1, 1533852000, 1, 198, 1521206833, NULL, NULL, 0),
(162329, 198, 2, 1, 1534111200, 1, 198, 1521206843, NULL, NULL, 0),
(162331, 198, 2, 1, 1534370400, 1, 198, 1521206853, NULL, NULL, 0),
(162332, 198, 2, 1, 1534456800, 1, 198, 1521206873, NULL, NULL, 0),
(162333, 198, 2, 1, 1534716000, 1, 198, 1521206889, NULL, NULL, 0),
(162334, 198, 2, 1, 1534802400, 1, 198, 1521206895, NULL, NULL, 0),
(162344, 88, 2, 1, 1531692000, 1, 88, 1521212257, NULL, NULL, 0),
(162345, 88, 2, 1, 1531778400, 1, 88, 1521212258, NULL, NULL, 0),
(162346, 88, 2, 1, 1531864800, 1, 88, 1521212258, NULL, NULL, 0),
(162347, 88, 2, 1, 1531951200, 1, 88, 1521212258, NULL, NULL, 0),
(162348, 88, 2, 1, 1532037600, 1, 88, 1521212258, NULL, NULL, 0),
(162349, 88, 2, 1, 1532296800, 1, 88, 1521212258, NULL, NULL, 0),
(162350, 88, 2, 1, 1532383200, 1, 88, 1521212258, NULL, NULL, 0),
(162351, 88, 2, 1, 1532469600, 1, 88, 1521212258, NULL, NULL, 0),
(162352, 88, 2, 1, 1532556000, 1, 88, 1521212258, NULL, NULL, 0),
(162353, 88, 2, 1, 1532642400, 1, 88, 1521212258, NULL, NULL, 0),
(162400, 74, 24838, 6, 1520809200, 1, 74, 1521445124, NULL, NULL, 0),
(162401, 74, 24838, 6, 1520895600, 0.5, 74, 1521445142, NULL, NULL, 0),
(162402, 74, 24838, 6, 1520982000, 1, 74, 1521445153, NULL, NULL, 0),
(162403, 74, 24838, 6, 1521068400, 1, 74, 1521445165, NULL, NULL, 0),
(162404, 74, 24838, 6, 1521154800, 1, 74, 1521445174, NULL, NULL, 0),
(162479, 164, 2, 1, 1524434400, 1, 164, 1521451139, NULL, NULL, 0),
(162480, 164, 2, 1, 1524520800, 1, 164, 1521451139, NULL, NULL, 0),
(162481, 164, 2, 1, 1525989600, 1, 164, 1521451193, NULL, NULL, 0),
(162482, 370, 2, 1, 1525039200, 1, 370, 1521451783, NULL, NULL, 0),
(162483, 370, 2, 1, 1525212000, 1, 370, 1521451783, NULL, NULL, 0),
(162484, 370, 2, 1, 1525298400, 1, 370, 1521451783, NULL, NULL, 0),
(162485, 370, 2, 1, 1525384800, 1, 370, 1521451783, NULL, NULL, 0),
(162487, 370, 2, 1, 1528063200, 1, 370, 1521451921, NULL, NULL, 0),
(162488, 370, 2, 1, 1528149600, 1, 370, 1521451921, NULL, NULL, 0),
(162489, 370, 2, 1, 1528236000, 1, 370, 1521451921, NULL, NULL, 0),
(162490, 370, 2, 1, 1528322400, 1, 370, 1521451921, NULL, NULL, 0),
(162491, 370, 2, 1, 1528408800, 1, 370, 1521451921, NULL, NULL, 0),
(162492, 370, 2, 1, 1533506400, 1, 370, 1521451966, NULL, NULL, 0),
(162493, 370, 2, 1, 1533592800, 1, 370, 1521451966, NULL, NULL, 0),
(162494, 370, 2, 1, 1533679200, 1, 370, 1521451966, NULL, NULL, 0),
(162495, 370, 2, 1, 1533765600, 1, 370, 1521451966, NULL, NULL, 0),
(162496, 370, 2, 1, 1533852000, 1, 370, 1521451966, NULL, NULL, 0),
(162497, 370, 2, 1, 1534111200, 1, 370, 1521451966, NULL, NULL, 0),
(162498, 370, 2, 1, 1534197600, 1, 370, 1521451966, NULL, NULL, 0),
(162499, 370, 2, 1, 1534370400, 1, 370, 1521451966, NULL, NULL, 0),
(162500, 370, 2, 1, 1534456800, 1, 370, 1521451966, NULL, NULL, 0),
(162501, 370, 2, 1, 1534716000, 1, 370, 1521451966, NULL, NULL, 0),
(162502, 370, 2, 1, 1534802400, 1, 370, 1521451966, NULL, NULL, 0),
(162503, 370, 2, 1, 1534888800, 1, 370, 1521451966, NULL, NULL, 0),
(162504, 370, 2, 1, 1534975200, 1, 370, 1521451966, NULL, NULL, 0),
(162505, 370, 2, 1, 1535061600, 1, 370, 1521451966, NULL, NULL, 0),
(162513, 370, 1400, 1, 1521586800, 1, 370, 1521452000, NULL, NULL, 0),
(162514, 370, 1400, 1, 1521673200, 1, 370, 1521452000, NULL, NULL, 0),
(162515, 370, 1400, 1, 1521759600, 1, 370, 1521452000, NULL, NULL, 0),
(162520, 370, 1400, 1, 1522015200, 1, 370, 1521452072, NULL, NULL, 0),
(162521, 370, 1400, 1, 1522101600, 1, 370, 1521452072, NULL, NULL, 0),
(162522, 370, 1400, 1, 1522188000, 1, 370, 1521452072, NULL, NULL, 0),
(162544, 199, 24838, 2, 1520982000, 0.25, 199, 1521453334, NULL, NULL, 0),
(162545, 199, 24838, 2, 1521068400, 0.25, 199, 1521453343, NULL, NULL, 0),
(162546, 199, 24838, 2, 1521154800, 0.25, 199, 1521453351, NULL, NULL, 0),
(162553, 199, 25044, 4, 1521068400, 0.5, 199, 1521453927, NULL, NULL, 0),
(162556, 199, 25573, 5, 1521154800, 0.75, 199, 1521454255, NULL, NULL, 0),
(162559, 199, 25549, 5, 1520982000, 0.5, 199, 1521454418, NULL, NULL, 0),
(162560, 199, 25559, 5, 1520982000, 0.25, 199, 1521454477, NULL, NULL, 0),
(162561, 199, 25559, 5, 1520895600, 0.25, 199, 1521454486, NULL, NULL, 0),
(162562, 199, 23424, 5, 1520809200, 0.9, 199, 1521454536, NULL, NULL, 0),
(162565, 199, 25548, 5, 1521068400, 0.25, 199, 1521454636, NULL, NULL, 0),
(162566, 199, 25548, 5, 1520895600, 0.5, 199, 1521454651, NULL, NULL, 0),
(162682, 450, 1436, 1, 1521414000, 1, 450, 1521457837, NULL, NULL, 0),
(162769, 394, 2, 1, 1522706400, 1, 394, 1521466043, NULL, NULL, 0),
(162770, 394, 2, 1, 1522792800, 1, 394, 1521466043, NULL, NULL, 0),
(162771, 394, 2, 1, 1522879200, 1, 394, 1521466043, NULL, NULL, 0),
(162772, 394, 2, 1, 1522965600, 1, 394, 1521466043, NULL, NULL, 0),
(162776, 394, 2, 1, 1525644000, 1, 394, 1521466082, NULL, NULL, 0),
(162777, 394, 2, 1, 1525816800, 1, 394, 1521466082, NULL, NULL, 0),
(162778, 394, 2, 1, 1525989600, 1, 394, 1521466082, NULL, NULL, 0),
(162792, 394, 2, 1, 1536271200, 1, 394, 1521466372, NULL, NULL, 0),
(162793, 394, 2, 1, 1536530400, 1, 394, 1521466372, NULL, NULL, 0),
(162803, 394, 1400, 1, 1536616800, 1, 394, 1521466700, NULL, NULL, 0),
(162795, 394, 1400, 1, 1528149600, 1, 394, 1521466521, NULL, NULL, 0),
(162796, 394, 1400, 1, 1528236000, 1, 394, 1521466521, NULL, NULL, 0),
(162797, 394, 1400, 1, 1528322400, 1, 394, 1521466521, NULL, NULL, 0),
(162798, 394, 1400, 1, 1536703200, 1, 394, 1521466555, NULL, NULL, 0),
(162799, 394, 1400, 1, 1536789600, 1, 394, 1521466555, NULL, NULL, 0),
(162800, 394, 1400, 1, 1541458800, 1, 394, 1521466593, NULL, NULL, 0),
(162801, 394, 1400, 1, 1541545200, 1, 394, 1521466593, NULL, NULL, 0),
(162802, 394, 1400, 1, 1541631600, 1, 394, 1521466593, NULL, NULL, 0),
(162836, 72, 23790, 1, 1521414000, 0.5, 72, 1521474334, NULL, NULL, 0),
(162857, 2, 23790, 1, 1521414000, 0.5, 2, 1521478049, NULL, NULL, 0),
(162858, 2, 23790, 1, 1521414000, 0.5, 2, 1521478073, NULL, NULL, 0),
(162859, 2, 23790, 1, 1521154800, 0.25, 2, 1521478111, NULL, NULL, 0);

-- --------------------------------------------------------

--
-- Structure de la table `codev_timetrack_note_table`
--

DROP TABLE IF EXISTS `codev_timetrack_note_table`;
CREATE TABLE `codev_timetrack_note_table` (
  `timetrackid` int(11) NOT NULL,
  `noteid` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_timetrack_note_table`
--

INSERT INTO `codev_timetrack_note_table` (`timetrackid`, `noteid`) VALUES
(0, 2207),
(0, 6981),
(0, 8141),
(0, 8142),
(0, 8143),
(0, 8145),
(56957, 1954),
(56958, 1955),
(56963, 1957),
(56965, 1959),
(56967, 1961),
(56968, 1962),
(56969, 1963),
(56971, 1964),
(56972, 1965),
(56975, 1966),
(56996, 1968),
(57001, 1971),
(57002, 1972),
(57021, 1973),
(57024, 1974),
(57025, 1975),
(57049, 1976),
(57050, 1977),
(57103, 1979),
(57104, 1980),
(57106, 1982),
(57107, 1983),
(57161, 1988),
(57165, 1990),
(57166, 1547),
(57167, 1991),
(57187, 1993),
(57189, 1995),
(57190, 1996),
(57209, 1997),
(57210, 1998),
(57211, 1999),
(57212, 2000),
(57213, 2001),
(57272, 2003),
(57793, 2009),
(57909, 2010),
(58008, 2012),
(58043, 2013),
(58044, 2014),
(58045, 2015),
(58046, 2016),
(58050, 2017),
(58052, 2018),
(58053, 2019),
(58054, 2020),
(58446, 2032),
(58461, 2035),
(58569, 2037),
(59116, 2046),
(59117, 2047),
(59285, 2057),
(59286, 2058),
(59291, 2059),
(59388, 2060),
(59390, 2062),
(59391, 2063),
(59393, 2065),
(59394, 2066),
(59399, 2068),
(59401, 2069),
(59402, 2070),
(59403, 2071),
(59404, 2072),
(59405, 2073),
(59407, 2074),
(59408, 2075),
(59474, 2076),
(59475, 2077),
(59476, 2078),
(59482, 2079),
(59483, 2080),
(59484, 2081),
(59485, 2082),
(59486, 2083),
(59487, 2084),
(59488, 2085),
(59489, 2086),
(59490, 2087),
(59491, 2088),
(59504, 2089),
(59505, 2090),
(59506, 2091),
(59507, 2092),
(59508, 2093),
(59509, 2094),
(59514, 2097),
(59515, 2098),
(59516, 2099),
(59517, 2100),
(59520, 5616),
(59537, 2106),
(59538, 2107),
(59539, 2108),
(59540, 2109),
(59553, 2110),
(59554, 2111),
(59555, 2112),
(59570, 2113),
(59571, 2114),
(59572, 2115),
(59573, 2116),
(59574, 2117),
(59575, 2118),
(59576, 2119),
(59577, 2120),
(59578, 2121),
(59579, 2122),
(59580, 2123),
(59583, 2125),
(59587, 2129),
(59591, 2130),
(59592, 2131),
(59593, 2132),
(59594, 2133),
(59596, 2134),
(59597, 2135),
(59598, 2136),
(59603, 2141),
(59604, 2142),
(59605, 2143),
(59606, 2144),
(59615, 2145),
(59616, 2146),
(59617, 2147),
(59618, 2148),
(59915, 2150),
(59939, 2156),
(60043, 2159),
(60044, 2160),
(60062, 2167),
(60064, 2169),
(60065, 2170),
(60077, 2173),
(60078, 2174),
(60080, 2175),
(60087, 2176),
(60213, 2192),
(60229, 2195),
(60230, 2196),
(60232, 2197),
(60233, 2198),
(60234, 2199),
(60235, 2200),
(60236, 2201),
(60237, 2202),
(60243, 2208),
(60245, 2209),
(60249, 2210),
(60250, 2211),
(60253, 2213),
(60260, 2214),
(60268, 2215),
(60270, 2217),
(60271, 2218),
(60272, 2219),
(60274, 2221),
(60275, 2222),
(60299, 2223),
(60302, 2224),
(60304, 2225),
(60307, 2226),
(60308, 2227),
(60311, 2228),
(60326, 2233),
(60347, 2235),
(60354, 2239),
(60355, 2240),
(60359, 2241),
(60360, 2242),
(60362, 2244),
(60369, 2250),
(60370, 2251),
(60371, 2252),
(60372, 2253),
(60453, 2255),
(60454, 2256),
(60457, 2259),
(60460, 2260),
(60464, 2261),
(60467, 2262),
(60685, 2264),
(60686, 2265),
(60693, 2270),
(60694, 2271),
(60696, 2273),
(61101, 2295),
(61106, 2297),
(61108, 2298),
(61112, 2299),
(61113, 2300),
(61114, 2301),
(61115, 2302),
(61116, 2303),
(61117, 2304),
(61118, 2305),
(61119, 2306),
(61131, 2314),
(61134, 2315),
(61138, 2316),
(61156, 2320),
(61157, 2321),
(61158, 2322),
(61159, 2323),
(61160, 2324),
(61161, 2325),
(61162, 2326),
(61164, 2328),
(61165, 2329),
(61166, 2330),
(61168, 2332),
(61169, 2333),
(61170, 2334),
(61221, 2337),
(61223, 2339),
(61224, 2340),
(61295, 2341),
(61296, 2342),
(61297, 2343),
(61298, 2344),
(61300, 2345),
(61320, 2353),
(61322, 2355),
(61326, 2356),
(61330, 2357),
(61333, 2360),
(61334, 2361),
(61337, 2363),
(61338, 2364),
(61339, 2365),
(61340, 2366),
(61345, 2367),
(61346, 2368),
(61347, 2369),
(61348, 2370),
(61349, 2371),
(61350, 2372),
(61351, 2373),
(61352, 2374),
(61354, 2376),
(61356, 2377),
(61358, 2379),
(61361, 2383),
(61363, 2384),
(61364, 2385),
(61365, 2386),
(61366, 2387),
(61367, 2388),
(61368, 2389),
(61370, 2390),
(61371, 2391),
(61374, 2394),
(61375, 2395),
(61383, 2403),
(61384, 2404),
(61385, 2405),
(61386, 2406),
(61387, 2407),
(61391, 2409),
(61395, 2413),
(61397, 2415),
(61398, 2416),
(61399, 2417),
(61400, 2418),
(61402, 2420),
(61403, 2421),
(61404, 2422),
(61405, 2423),
(61407, 2425),
(61408, 2426),
(61409, 2427),
(61410, 2428),
(61411, 2429),
(61413, 2430),
(61415, 2431),
(61417, 2433),
(61418, 2434),
(61419, 2435),
(61420, 2436),
(61421, 2437),
(61422, 2438),
(61423, 2439),
(61424, 2440),
(61425, 2441),
(61426, 2442),
(61427, 2443),
(61428, 2444),
(61429, 2445),
(61431, 2447),
(61432, 2448),
(61433, 2449),
(61437, 2451),
(61438, 2452),
(61439, 2453),
(61440, 2454),
(61441, 2455),
(61451, 2459),
(61452, 2460),
(61453, 2461),
(61454, 2462),
(61455, 2463),
(61456, 2464),
(61457, 2465),
(61823, 2468),
(61824, 2469),
(61837, 2470),
(61906, 2474),
(61945, 2478),
(61947, 2479),
(61948, 2480),
(61949, 2481),
(61952, 2483),
(61953, 2484),
(61954, 2485),
(61955, 2486),
(61956, 2487),
(61957, 2488),
(61958, 2489),
(61959, 2490),
(61960, 2491),
(61961, 2492),
(61962, 2493),
(61963, 2494),
(61976, 2498),
(61984, 2499),
(61985, 2500),
(61986, 2501),
(61987, 2502),
(62036, 2503),
(62037, 2504),
(62038, 2505),
(62039, 2506),
(62040, 2507),
(62059, 2514),
(62060, 2515),
(62062, 2516),
(62091, 2517),
(62097, 2518),
(62100, 2521),
(62103, 2524),
(62104, 2525),
(62107, 2528),
(62108, 2529),
(62109, 2530),
(62110, 2531),
(62114, 2535),
(62115, 2536),
(62118, 2539),
(62120, 2540),
(62171, 2544),
(62172, 2545),
(62173, 2546),
(62174, 2547),
(62175, 2548),
(62176, 2549),
(62177, 2550),
(62178, 2551),
(62180, 2553),
(62181, 2554),
(62182, 2555),
(62183, 2556),
(62186, 2559),
(62187, 2560),
(62188, 2561),
(62189, 2562),
(62190, 2563),
(62191, 2564),
(62193, 2565),
(62194, 2566),
(62195, 2567),
(62196, 2568),
(62226, 2572),
(62387, 2574),
(62394, 2575),
(62708, 2576),
(62712, 2577),
(62717, 2578),
(62747, 2579),
(62748, 5024),
(62749, 5025),
(62757, 2584),
(62764, 2586),
(62765, 2587),
(62766, 2588),
(62820, 2589),
(62848, 2591),
(62849, 2592),
(62850, 2593),
(62851, 2594),
(62852, 2595),
(62865, 2596),
(62866, 2597),
(62878, 2599),
(62879, 2600),
(62880, 2601),
(62882, 2602),
(62885, 2604),
(62886, 2605),
(62887, 2606),
(62889, 2607),
(62890, 2608),
(62894, 2609),
(62896, 2611),
(62900, 2614),
(62903, 2616),
(62904, 2617),
(62905, 2618),
(62908, 5614),
(62912, 2622),
(62913, 5615),
(62916, 2624),
(62920, 2625),
(62923, 2626),
(62927, 2628),
(62929, 2629),
(62935, 2631),
(62937, 2633),
(62939, 2634),
(62940, 2635),
(62941, 2636),
(62958, 2637),
(62959, 2638),
(62976, 2639),
(62977, 2640),
(62978, 2641),
(62979, 2642),
(62980, 2643),
(62981, 2644),
(62982, 2645),
(62983, 2646),
(62984, 2647),
(62986, 2649),
(62988, 2652),
(62989, 2653),
(63002, 2656),
(63003, 2657),
(63005, 2659),
(63009, 2660),
(63010, 2661),
(63020, 2665),
(63026, 2666),
(63027, 2667),
(63030, 2668),
(63032, 2670),
(63033, 2671),
(63034, 2672),
(63035, 2673),
(63036, 2674),
(63037, 2675),
(63038, 2676),
(63047, 2677),
(63049, 2678),
(63050, 2679),
(63051, 2680),
(63052, 2681),
(63053, 2682),
(63054, 2683),
(63055, 2684),
(63056, 2685),
(63057, 2686),
(63059, 2687),
(63060, 2688),
(63078, 2692),
(63079, 2693),
(63080, 2694),
(63081, 2695),
(63086, 2700),
(63087, 2701),
(63088, 2702),
(63089, 2703),
(63090, 2704),
(63091, 2705),
(63094, 2708),
(63095, 2709),
(63120, 2710),
(63251, 2714),
(63252, 2715),
(63253, 2716),
(63270, 2718),
(63271, 2719),
(63272, 2720),
(63277, 2722),
(63278, 2723),
(63279, 2724),
(63335, 5009),
(63337, 2728),
(63341, 2729),
(63342, 2730),
(63347, 2733),
(63348, 2734),
(63381, 2736),
(63382, 2737),
(63383, 2738),
(63384, 2739),
(63385, 2740),
(63387, 2742),
(63388, 2743),
(63389, 2744),
(63391, 2746),
(63392, 2747),
(63394, 2749),
(63395, 2750),
(63396, 2751),
(63397, 2752),
(63398, 2753),
(63400, 2755),
(63401, 5881),
(63403, 5884),
(63404, 5883),
(63405, 5918),
(63406, 5882),
(63407, 5885),
(63408, 2763),
(63409, 2764),
(63410, 2765),
(63414, 2766),
(63419, 2767),
(63469, 2768),
(63523, 2769),
(63541, 2779),
(63542, 2780),
(63543, 2781),
(63584, 2785),
(63588, 2788),
(63591, 2791),
(63592, 2792),
(63593, 2793),
(63594, 2794),
(63595, 2795),
(63596, 2796),
(63597, 4725),
(63598, 4721),
(63599, 2799),
(63600, 2800),
(63601, 2801),
(63602, 2802),
(63614, 2811),
(63615, 2812),
(63616, 2813),
(63637, 2814),
(63638, 2815),
(63639, 2816),
(63641, 2817),
(63642, 2818),
(63643, 2819),
(63644, 2820),
(63645, 2821),
(63646, 2822),
(63648, 2823),
(63651, 2825),
(63652, 2826),
(63653, 2827),
(63654, 2828),
(63660, 2829),
(63661, 2830),
(63662, 2831),
(63663, 2832),
(63664, 2833),
(63665, 2834),
(63666, 2835),
(63667, 2836),
(63668, 2837),
(63669, 2838),
(63691, 2840),
(63692, 2841),
(63693, 2842),
(63694, 2843),
(63695, 2844),
(63696, 2845),
(63697, 2846),
(63698, 2847),
(63699, 2848),
(63700, 2849),
(63701, 4378),
(63702, 4379),
(63703, 4380),
(63704, 4813),
(63705, 2854),
(63710, 2858),
(63711, 2859),
(63716, 4150),
(63720, 2862),
(63721, 2863),
(63723, 2864),
(63724, 2865),
(63725, 2866),
(63726, 2867),
(63727, 2868),
(63736, 2869),
(63740, 4607),
(63741, 2873),
(63747, 2876),
(63754, 2879),
(63755, 2880),
(63767, 2887),
(63769, 2889),
(63771, 2891),
(63772, 2892),
(63776, 2894),
(63777, 2895),
(63925, 2899),
(63927, 2901),
(63928, 2902),
(63929, 2903),
(63934, 4151),
(63936, 2906),
(63938, 2908),
(63939, 2909),
(63942, 2912),
(63943, 2913),
(63944, 2914),
(63946, 2915),
(63948, 2916),
(63955, 2918),
(63956, 2919),
(63957, 2920),
(63961, 2921),
(63963, 2922),
(63964, 2923),
(64012, 2929),
(64059, 2931),
(64148, 2932),
(64149, 2933),
(64150, 2934),
(64152, 2936),
(64153, 2937),
(64178, 2949),
(64179, 2950),
(64182, 2951),
(64185, 2954),
(64281, 2956),
(64282, 2957),
(64304, 2958),
(64333, 2959),
(64345, 2960),
(64353, 2962),
(64354, 2963),
(64355, 2964),
(64356, 2965),
(64358, 2966),
(64359, 4085),
(64360, 2968),
(64361, 5012),
(64362, 2970),
(64363, 2971),
(64364, 2972),
(64367, 2973),
(64368, 2974),
(64369, 2975),
(64370, 2976),
(64371, 2977),
(64372, 2978),
(64375, 7414),
(64377, 7415),
(64397, 2982),
(64398, 2983),
(64399, 2984),
(64400, 2985),
(64401, 2986),
(64403, 2987),
(64405, 2989),
(64406, 2990),
(64426, 2992),
(64454, 2995),
(64458, 2997),
(64460, 2998),
(64463, 2999),
(64465, 3000),
(64471, 3002),
(64474, 3003),
(64475, 3004),
(64476, 3005),
(64477, 3006),
(64478, 3007),
(64480, 3009),
(64481, 3010),
(64482, 3011),
(64485, 3013),
(64487, 3014),
(64488, 3015),
(64489, 3016),
(64490, 3017),
(64491, 3018),
(64492, 3019),
(64496, 3022),
(64504, 3024),
(64507, 3027),
(64508, 3028),
(64509, 3029),
(64510, 3030),
(64511, 3031),
(64512, 3032),
(64513, 3033),
(64514, 3034),
(64515, 4320),
(64516, 4321),
(64517, 3037),
(64518, 3038),
(64519, 3039),
(64520, 3040),
(64541, 3042),
(64542, 3043),
(64543, 3044),
(64544, 3045),
(64545, 3046),
(64546, 3047),
(64547, 3048),
(64548, 3049),
(64549, 3050),
(64553, 3051),
(64554, 3052),
(64556, 3053),
(64558, 3055),
(64559, 3056),
(64560, 3057),
(64563, 3058),
(64566, 3059),
(64578, 3061),
(64579, 3062),
(64580, 3063),
(64582, 3065),
(64583, 3066),
(64584, 3067),
(64670, 3070),
(64671, 3071),
(64672, 4655),
(64673, 4681),
(64674, 3074),
(64681, 4682),
(64683, 3076),
(64684, 3077),
(64685, 4683),
(64686, 3079),
(64688, 3081),
(64689, 3082),
(64690, 3083),
(64691, 3084),
(64692, 3085),
(64693, 3086),
(64698, 3087),
(64699, 3088),
(64700, 3089),
(64702, 4656),
(64703, 4684),
(64705, 3092),
(64706, 3093),
(64707, 3094),
(64708, 3095),
(64709, 3096),
(64710, 3097),
(64714, 3100),
(64715, 3101),
(64717, 3103),
(64718, 3104),
(64721, 3106),
(64722, 3107),
(64732, 3109),
(64733, 3110),
(64740, 3111),
(64741, 3112),
(64745, 4382),
(64772, 5320),
(64775, 3116),
(64777, 4576),
(64778, 3119),
(64781, 4407),
(64782, 3121),
(64783, 4577),
(64784, 3123),
(64785, 3124),
(64789, 4410),
(64791, 3127),
(64792, 4412),
(64796, 3129),
(64798, 4414),
(64800, 3132),
(64802, 3133),
(64804, 3134),
(64814, 4416),
(64817, 3137),
(64819, 4411),
(64820, 3139),
(64975, 3142),
(64976, 3143),
(64977, 3144),
(64979, 3146),
(64980, 3147),
(64981, 3148),
(64983, 3150),
(64984, 3151),
(64986, 3153),
(64987, 3154),
(64988, 3155),
(64999, 3156),
(65000, 3157),
(65002, 3159),
(65003, 4057),
(65004, 3161),
(65005, 3162),
(65006, 3163),
(65007, 3164),
(65008, 4815),
(65010, 3167),
(65011, 3168),
(65012, 3169),
(65013, 3170),
(65014, 3171),
(65016, 3173),
(65017, 3174),
(65018, 3175),
(65019, 3176),
(65036, 3193),
(65037, 3194),
(65038, 3195),
(65039, 3196),
(65041, 3197),
(65042, 3198),
(65043, 3199),
(65044, 3200),
(65046, 3201),
(65050, 3205),
(65051, 3206),
(65052, 3207),
(65053, 3208),
(65054, 3209),
(65055, 3210),
(65056, 3211),
(65059, 3214),
(65060, 3215),
(65061, 3216),
(65062, 3217),
(65063, 3218),
(65064, 3219),
(65066, 3220),
(65068, 3222),
(65069, 3223),
(65070, 3224),
(65071, 3225),
(65072, 3226),
(65073, 3227),
(65074, 6893),
(65075, 3229),
(65076, 3230),
(65077, 3231),
(65078, 3232),
(65079, 3233),
(65080, 3234),
(65081, 3235),
(65082, 6542),
(65083, 3237),
(65085, 3239),
(65086, 3240),
(65087, 6545),
(65088, 4767),
(65141, 3245),
(65304, 3248),
(65305, 3249),
(65306, 3250),
(65307, 3251),
(65308, 3252),
(65309, 3253),
(65310, 3254),
(65311, 3255),
(65312, 3256),
(65313, 3257),
(65314, 3258),
(65315, 3259),
(65316, 3260),
(65317, 3261),
(65319, 3262),
(65320, 3263),
(65321, 3264),
(65322, 3265),
(65323, 3266),
(65324, 3267),
(65325, 3268),
(65326, 3269),
(65327, 3270),
(65328, 3271),
(65329, 3272),
(65330, 3273),
(65331, 3274),
(65332, 3275),
(65333, 3276),
(65334, 3277),
(65335, 3278),
(65336, 3279),
(65337, 3280),
(65338, 3281),
(65339, 3282),
(65369, 3283),
(65413, 3284),
(65495, 3286),
(65663, 3287),
(65681, 3288),
(65694, 3290),
(65695, 4819),
(65697, 3293),
(65698, 3294),
(65699, 3295),
(65700, 3296),
(65701, 3297),
(65702, 4795),
(65703, 4810),
(65708, 4809),
(65709, 4796),
(65710, 3302),
(65711, 3303),
(65736, 4817),
(65737, 4818),
(65745, 3306),
(65808, 3309),
(65864, 3310),
(65880, 3311),
(65881, 3312),
(65887, 4082),
(65888, 3316),
(65933, 3332),
(65942, 3333),
(65949, 3336),
(65965, 3340),
(65966, 3341),
(65981, 3342),
(65982, 3343),
(65986, 3344),
(65987, 3345),
(65988, 3346),
(65989, 3347),
(65990, 3348),
(65992, 3350),
(65993, 3351),
(65995, 3353),
(65996, 3354),
(65997, 3355),
(65998, 3356),
(66015, 3365),
(66021, 3367),
(66023, 3369),
(66040, 3372),
(66041, 3373),
(66042, 3374),
(66060, 3386),
(66061, 3387),
(66062, 3388),
(66064, 3389),
(66065, 3390),
(66066, 3391),
(66067, 3392),
(66068, 3393),
(66069, 4081),
(66072, 4083),
(66073, 4084),
(66076, 3400),
(66077, 3401),
(66078, 3402),
(66080, 3404),
(66096, 3406),
(66097, 3407),
(66098, 3408),
(66101, 3410),
(66106, 3414),
(66107, 3415),
(66109, 3417),
(66110, 3418),
(66111, 3419),
(66112, 3420),
(66118, 3423),
(66119, 3424),
(66121, 3426),
(66122, 4811),
(66123, 3428),
(66124, 3429),
(66125, 3431),
(66126, 3432),
(66127, 3433),
(66128, 3434),
(66133, 3435),
(66134, 3436),
(66137, 3438),
(66139, 3440),
(66143, 3444),
(66148, 4384),
(66157, 3449),
(66165, 3450),
(66166, 4383),
(66226, 3452),
(66227, 3453),
(66235, 3459),
(66236, 3461),
(66237, 3462),
(66238, 3463),
(66239, 3464),
(66248, 3466),
(66259, 3467),
(66296, 3468),
(66297, 3469),
(66315, 3472),
(66316, 3473),
(66324, 3474),
(66351, 3475),
(66369, 3477),
(66404, 3479),
(66441, 3480),
(66460, 3481),
(66461, 3482),
(66537, 3486),
(66539, 3487),
(66540, 3488),
(66543, 3489),
(66544, 3490),
(66548, 3492),
(66550, 3493),
(66575, 3495),
(66576, 3496),
(66577, 3497),
(66603, 3498),
(66617, 3499),
(66630, 3500),
(66631, 3501),
(66687, 3503),
(66709, 3504),
(66715, 3505),
(66716, 3506),
(66717, 3507),
(66718, 3508),
(66719, 3509),
(66720, 3510),
(66721, 3511),
(66722, 3512),
(66723, 3513),
(66732, 3522),
(66733, 3523),
(66739, 3524),
(66741, 3526),
(66743, 3527),
(66746, 3528),
(66748, 3529),
(66750, 3530),
(66755, 3531),
(66759, 3534),
(66760, 3535),
(66763, 3538),
(66764, 3539),
(66768, 3542),
(66771, 3544),
(66772, 3545),
(66773, 3546),
(66789, 3550),
(66791, 3552),
(66792, 3553),
(66795, 3554),
(66796, 3555),
(66797, 3556),
(66799, 3558),
(66800, 3559),
(66802, 3560),
(66803, 3561),
(66804, 3562),
(66806, 3564),
(66807, 3565),
(66810, 3566),
(66811, 3567),
(66813, 3568),
(66814, 3569),
(66815, 3570),
(66819, 3574),
(66837, 3575),
(66838, 3576),
(66839, 3577),
(66846, 4079),
(66850, 5003),
(66862, 3580),
(66863, 3581),
(66864, 3582),
(66865, 3583),
(66866, 3584),
(66867, 3585),
(66868, 3586),
(66869, 3587),
(66870, 3588),
(66871, 3589),
(66872, 3590),
(66873, 3591),
(66874, 3592),
(66875, 3593),
(66876, 3594),
(66879, 3597),
(66880, 3598),
(66895, 3603),
(66896, 3604),
(66897, 3605),
(66899, 3606),
(66910, 3609),
(66912, 3611),
(66915, 3614),
(66916, 3615),
(66917, 3616),
(66919, 3618),
(66921, 3620),
(66922, 3621),
(66923, 3622),
(66925, 3624),
(66926, 3625),
(66930, 3629),
(66931, 3630),
(66932, 3631),
(66933, 3632),
(66934, 3633),
(66935, 3634),
(66942, 3635),
(66943, 3636),
(66945, 3638),
(66946, 3639),
(66947, 3640),
(66950, 3648),
(66951, 3649),
(66952, 3650),
(66953, 3651),
(66954, 3652),
(66955, 3654),
(66956, 3655),
(66957, 3656),
(66994, 3658),
(67006, 3663),
(67009, 3664),
(67019, 3665),
(67023, 3667),
(67024, 3668),
(67026, 3670),
(67027, 3671),
(67061, 3674),
(67067, 3675),
(67069, 3676),
(67224, 6939),
(67225, 6940),
(67226, 3680),
(67246, 3686),
(67247, 3687),
(67271, 3688),
(67294, 3690),
(67306, 3691),
(67312, 3692),
(67425, 3693),
(67489, 3695),
(67507, 3696),
(67508, 3697),
(67509, 5023),
(67512, 3700),
(67513, 3701),
(67523, 3703),
(67541, 7417),
(67542, 7418),
(67544, 3706),
(67545, 7419),
(67546, 3708),
(67549, 3969),
(67550, 3970),
(67551, 3971),
(67552, 3974),
(67553, 3975),
(67554, 3715),
(67556, 3717),
(67557, 8059),
(67563, 4032),
(67564, 3720),
(67601, 3722),
(67603, 3723),
(67605, 3724),
(67614, 3725),
(67672, 3726),
(67684, 3727),
(67685, 3728),
(67686, 3729),
(67687, 3730),
(67714, 3731),
(67726, 3733),
(67727, 3734),
(67728, 3735),
(67729, 3736),
(67731, 3737),
(67732, 3738),
(67734, 3740),
(67735, 4089),
(67739, 3745),
(67740, 3746),
(67747, 3748),
(67750, 3749),
(67751, 3750),
(67752, 3751),
(67753, 3752),
(67754, 3753),
(67755, 3754),
(67756, 3755),
(67757, 3756),
(67758, 3757),
(67759, 3758),
(67763, 4031),
(67765, 3764),
(67766, 3765),
(67767, 4033),
(67768, 3767),
(67774, 3771),
(67775, 3772),
(67776, 3773),
(67777, 3774),
(67779, 3776),
(67780, 3777),
(67789, 3778),
(67790, 3779),
(67791, 3780),
(67792, 3781),
(67796, 3782),
(67801, 3787),
(67804, 3788),
(67805, 3789),
(67806, 3790),
(67807, 3791),
(67809, 3793),
(67810, 3794),
(67811, 3795),
(67812, 3796),
(67818, 3797),
(67819, 3798),
(67820, 3799),
(67829, 3800),
(67830, 3801),
(67832, 3803),
(67834, 3805),
(67835, 3806),
(67837, 3808),
(67839, 3809),
(67842, 3812),
(67846, 3815),
(67848, 3817),
(67849, 3818),
(67850, 3819),
(67856, 3823),
(67860, 3824),
(67861, 3825),
(67863, 3826),
(67865, 4086),
(67870, 3829),
(67871, 3830),
(67872, 3831),
(67873, 3832),
(67874, 3833),
(67876, 3834),
(67877, 3835),
(67878, 3836),
(67879, 3837),
(67882, 3838),
(67883, 3839),
(67887, 3841),
(67892, 3843),
(67893, 3844),
(67894, 3845),
(67895, 3846),
(67896, 3847),
(67898, 3848),
(67902, 3849),
(67942, 3850),
(67943, 3851),
(67944, 3852),
(67945, 3853),
(68007, 3857),
(68009, 3858),
(68038, 3860),
(68047, 3861),
(68149, 3862),
(68151, 3863),
(68152, 3864),
(68153, 3865),
(68154, 3866),
(68186, 3875),
(68187, 5333),
(68188, 3877),
(68209, 3878),
(68210, 3914),
(68212, 3880),
(68213, 3881),
(68214, 3882),
(68216, 3884),
(68217, 3885),
(68219, 3887),
(68239, 3903),
(68240, 3890),
(68241, 3891),
(68243, 3892),
(68244, 4104),
(68245, 3894),
(68247, 5002),
(68248, 5004),
(68249, 3897),
(68250, 3898),
(68251, 3899),
(68255, 3901),
(68256, 3902),
(68260, 3904),
(68261, 3905),
(68267, 3906),
(68268, 3933),
(68269, 3908),
(68270, 3947),
(68271, 3910),
(68272, 3911),
(68279, 3998),
(68280, 3999),
(68281, 3915),
(68282, 3916),
(68283, 3917),
(68284, 3918),
(68286, 3920),
(68287, 3921),
(68288, 3922),
(68289, 3923),
(68341, 3929),
(68342, 3930),
(68343, 3931),
(68345, 3932),
(68358, 3935),
(68361, 3937),
(68362, 4061),
(68403, 4097),
(68411, 3963),
(68412, 4090),
(68413, 3944),
(68414, 3946),
(68415, 3948),
(68416, 3949),
(68417, 3950),
(68418, 3951),
(68420, 3953),
(68421, 3954),
(68422, 3955),
(68424, 4099),
(68427, 3958),
(68429, 3960),
(68430, 3961),
(68431, 3962),
(68440, 3967),
(68441, 3968),
(68442, 3976),
(68444, 4638),
(68446, 4048),
(68447, 4639),
(68449, 4640),
(68451, 3985),
(68452, 3986),
(68453, 3987),
(68454, 3988),
(68455, 3989),
(68456, 3990),
(68457, 3991),
(68458, 3992),
(68459, 3994),
(68460, 3995),
(68461, 3996),
(68463, 4000),
(68464, 4001),
(68465, 4002),
(68466, 4003),
(68468, 4004),
(68469, 4005),
(68470, 4563),
(68471, 4564),
(68472, 4565),
(68473, 4009),
(68474, 4010),
(68475, 4011),
(68476, 4012),
(68477, 4013),
(68479, 4016),
(68482, 4015),
(68486, 4017),
(68487, 4018),
(68488, 4019),
(68489, 4020),
(68492, 4021),
(68493, 4022),
(68498, 4028),
(68505, 4029),
(68506, 4121),
(68507, 4034),
(68514, 4635),
(68515, 4637),
(68517, 5007),
(68518, 5006),
(68519, 4047),
(68530, 4054),
(68537, 4056),
(68555, 4058),
(68562, 4063),
(68563, 4065),
(68564, 4066),
(68565, 4067),
(68567, 4069),
(68568, 4070),
(68569, 4071),
(68570, 4072),
(68571, 4148),
(68572, 4074),
(68581, 4075),
(68582, 4076),
(68583, 4077),
(68584, 4078),
(68750, 4087),
(68752, 4088),
(68762, 4091),
(68763, 4092),
(68764, 4093),
(68799, 4100),
(68808, 4101),
(68813, 4102),
(68838, 4105),
(68851, 4116),
(68867, 4107),
(68945, 4326),
(69311, 4110),
(69314, 4111),
(69315, 4112),
(69316, 4113),
(69317, 4149),
(69318, 4115),
(69332, 4161),
(69335, 4424),
(69336, 4119),
(69337, 4120),
(69338, 6588),
(69339, 6589),
(69340, 6592),
(69342, 6593),
(69343, 6595),
(69344, 6596),
(69346, 6607),
(69347, 6597),
(69349, 6598),
(69350, 6600),
(69351, 6599),
(69352, 6601),
(69357, 4173),
(69358, 4175),
(69392, 4329),
(69396, 4308),
(69404, 4156),
(69405, 4260),
(69425, 4200),
(69426, 4328),
(69427, 4170),
(69428, 4165),
(69429, 4166),
(69436, 4171),
(69439, 4172),
(69455, 4176),
(69456, 4528),
(69457, 4389),
(69470, 4184),
(69471, 4183),
(69517, 6602),
(69518, 6017),
(69519, 4192),
(69520, 4193),
(69521, 4194),
(69522, 4195),
(69523, 4196),
(69524, 4197),
(69525, 4199),
(69526, 4201),
(69527, 4202),
(69528, 4203),
(69529, 4204),
(69530, 4206),
(69531, 4207),
(69532, 5162),
(69534, 4210),
(69535, 4211),
(69536, 4212),
(69542, 4691),
(69543, 4692),
(69544, 4688),
(69545, 4689),
(69546, 4690),
(69547, 4216),
(69548, 4217),
(69549, 4218),
(69550, 4219),
(69551, 4220),
(69552, 4221),
(69553, 4222),
(69554, 4223),
(69555, 4224),
(69556, 4225),
(69557, 4457),
(69558, 4226),
(69559, 4228),
(69560, 4232),
(69561, 4231),
(69565, 4234),
(69566, 4236),
(69567, 4239),
(69568, 4240),
(69572, 4425),
(69573, 5188),
(69574, 4250),
(69575, 4427),
(69577, 4428),
(69578, 4255),
(69579, 4299),
(69580, 4257),
(69581, 4258),
(69582, 4259),
(69584, 4263),
(69586, 4377),
(69587, 4266),
(69588, 4283),
(69589, 4279),
(69590, 4281),
(69592, 4274),
(69593, 4275),
(69601, 4423),
(69603, 4426),
(69605, 4284),
(69608, 4286),
(69609, 4287),
(69610, 4288),
(69611, 4289),
(69612, 4290),
(69613, 4291),
(69614, 4292),
(69615, 4293),
(69616, 4294),
(69617, 4295),
(69619, 4297),
(69620, 4304),
(69625, 4307),
(69626, 4309),
(69627, 4310),
(69628, 4311),
(69629, 4312),
(69630, 4313),
(69631, 4314),
(69632, 4315),
(69633, 4316),
(69634, 4350),
(69635, 4351),
(69636, 4352),
(69637, 4360),
(69638, 4322),
(69639, 4323),
(69640, 4324),
(69641, 4325),
(69644, 4332),
(69645, 4333),
(69647, 5879),
(69649, 4346),
(69650, 4336),
(69651, 4337),
(69652, 4338),
(69653, 4339),
(69654, 4340),
(69655, 4341),
(69656, 4344),
(69657, 4343),
(69658, 4345),
(69659, 4347),
(69660, 5880),
(69661, 4349),
(69662, 4354),
(69663, 4355),
(69664, 4357),
(69665, 4359),
(69666, 4361),
(69667, 4371),
(69671, 4370),
(69672, 4366),
(69673, 4367),
(69674, 4368),
(69679, 4374),
(69683, 4376),
(69684, 4390),
(69685, 4391),
(69724, 5287),
(69727, 4397),
(69787, 4579),
(69788, 4413),
(69791, 4415),
(69793, 4417),
(69794, 4419),
(69885, 4431),
(69985, 4432),
(69986, 4433),
(69987, 4434),
(69988, 4435),
(69989, 4436),
(69990, 4437),
(69991, 4438),
(69992, 4439),
(69993, 4440),
(69994, 4441),
(69995, 4442),
(69996, 4443),
(69997, 4444),
(69998, 4445),
(69999, 4446),
(70000, 4447),
(70001, 4448),
(70002, 4449),
(70003, 4454),
(70005, 4451),
(70006, 4452),
(70007, 4453),
(70008, 4455),
(70009, 4456),
(70010, 4894),
(70012, 4460),
(70013, 4461),
(70015, 4884),
(70017, 4464),
(70019, 4465),
(70020, 4466),
(70024, 4470),
(70025, 4471),
(70026, 4472),
(70027, 4473),
(70028, 4474),
(70029, 4475),
(70030, 4476),
(70031, 4477),
(70032, 4478),
(70034, 4866),
(70080, 4869),
(70086, 4482),
(70087, 4483),
(70088, 4484),
(70089, 4485),
(70090, 4486),
(70091, 4487),
(70092, 4488),
(70093, 4489),
(70094, 4491),
(70095, 4492),
(70096, 4493),
(70098, 4495),
(70099, 4496),
(70100, 4497),
(70101, 4498),
(70102, 4900),
(70105, 4899),
(70106, 4526),
(70107, 4505),
(70108, 4506),
(70109, 4507),
(70110, 4508),
(70111, 4509),
(70112, 4510),
(70113, 4511),
(70114, 4512),
(70115, 4513),
(70116, 4514),
(70117, 4515),
(70118, 4516),
(70119, 4517),
(70120, 4518),
(70121, 4519),
(70122, 4520),
(70123, 4521),
(70125, 4522),
(70126, 4523),
(70128, 4524),
(70129, 4872),
(70755, 5332),
(70797, 4531),
(70806, 4096),
(70808, 6162),
(70809, 6163),
(70810, 6164),
(70811, 6165),
(70812, 6166),
(70813, 6167),
(70814, 6168),
(70815, 6169),
(70816, 6170),
(70817, 6171),
(70818, 6172),
(70819, 6173),
(70820, 6175),
(70821, 6176),
(70822, 6177),
(70823, 6179),
(70824, 6180),
(70825, 6181),
(70826, 6182),
(70827, 6183),
(70828, 6184),
(70829, 6185),
(70830, 6186),
(70831, 6187),
(70832, 6188),
(70833, 6189),
(70834, 6190),
(70835, 6191),
(70836, 6192),
(70837, 6193),
(70859, 4566),
(70860, 6205),
(70861, 6206),
(70862, 6207),
(70863, 6209),
(70864, 6210),
(70865, 6211),
(70866, 6212),
(70867, 6213),
(70874, 4580),
(70875, 4581),
(70876, 4582),
(70877, 4583),
(70878, 4584),
(70879, 4585),
(70881, 4589),
(70882, 4590),
(70884, 4592),
(70885, 4593),
(70886, 4594),
(70887, 4595),
(70888, 4598),
(70889, 4597),
(70908, 4600),
(70922, 4601),
(70923, 4602),
(70924, 4603),
(70926, 4604),
(71010, 4609),
(71012, 4610),
(71013, 4611),
(71014, 4612),
(71015, 4613),
(71016, 4614),
(71017, 4615),
(71018, 4616),
(71019, 4617),
(71020, 4618),
(71022, 4619),
(71023, 4620),
(71024, 4621),
(71025, 4622),
(71026, 4623),
(71027, 4624),
(71028, 4625),
(71029, 4626),
(71031, 4627),
(71032, 4628),
(71033, 4629),
(71034, 6604),
(71035, 6606),
(71036, 6605),
(71039, 5053),
(71040, 4648),
(71041, 4647),
(71086, 4652),
(71089, 4657),
(71090, 4654),
(71093, 4911),
(71094, 4913),
(71095, 5066),
(71096, 5065),
(71097, 5068),
(71098, 4919),
(71099, 4661),
(71100, 4662),
(71101, 4663),
(71102, 4664),
(71103, 4665),
(71104, 4666),
(71105, 4667),
(71106, 4668),
(71107, 4669),
(71108, 4670),
(71109, 4671),
(71110, 4672),
(71111, 4673),
(71112, 4674),
(71113, 4675),
(71114, 4676),
(71149, 4677),
(71152, 4678),
(71153, 4680),
(71154, 4685),
(71155, 4686),
(71156, 4687),
(71157, 4693),
(71158, 4694),
(71159, 4695),
(71160, 4696),
(71161, 4697),
(71162, 4698),
(71163, 4699),
(71164, 4700),
(71165, 4701),
(71166, 4702),
(71167, 4703),
(71168, 4704),
(71169, 4705),
(71170, 4706),
(71171, 4707),
(71172, 4708),
(71173, 5000),
(71174, 4710),
(71203, 6394),
(71204, 4990),
(71206, 4989),
(71245, 4722),
(71251, 4723),
(71258, 4727),
(71263, 4726),
(71264, 4824),
(71283, 4729),
(71284, 4730),
(71285, 4731),
(71286, 4732),
(71287, 4733),
(71288, 4734),
(71289, 8482),
(71290, 8483),
(71291, 4738),
(71292, 4739),
(71293, 4740),
(71294, 4741),
(71295, 4742),
(71296, 4743),
(71297, 4744),
(71298, 4745),
(71299, 4746),
(71300, 4768),
(71301, 4748),
(71302, 4749),
(71303, 4750),
(71304, 4751),
(71305, 4752),
(71372, 6543),
(71373, 4754),
(71377, 4755),
(71378, 4757),
(71379, 6544),
(71380, 4761),
(71382, 4762),
(71391, 4770),
(71392, 6811),
(71393, 4772),
(71394, 4773),
(71395, 6813),
(71396, 8484),
(71428, 5682),
(71429, 5687),
(71430, 4791),
(71431, 5686),
(71432, 4782),
(71433, 5684),
(71434, 8867),
(71435, 4783),
(71436, 4784),
(71438, 4821),
(71439, 4822),
(71440, 4788),
(71442, 4790),
(71443, 4939),
(71444, 4793),
(71445, 5075),
(71448, 6549),
(71451, 4827),
(71453, 4807),
(71454, 4808),
(71456, 4816),
(71460, 4823),
(71472, 4825),
(71474, 4857),
(71486, 4829),
(71489, 4830),
(71490, 4831),
(71491, 4832),
(71492, 4833),
(71493, 4834),
(71494, 4835),
(71495, 4836),
(71501, 4837),
(71513, 4839),
(71514, 4840),
(71515, 4841),
(71517, 4842),
(71518, 4843),
(71520, 4844),
(71534, 4845),
(71535, 4846),
(71536, 4847),
(71537, 5008),
(71538, 4852),
(71540, 5010),
(71541, 4854),
(71542, 4855),
(71543, 4856),
(71544, 4858),
(71546, 4859),
(71549, 4861),
(71550, 4862),
(71551, 4863),
(71552, 4864),
(71553, 4865),
(71560, 4867),
(71561, 4870),
(71564, 4871),
(71566, 4873),
(71567, 4874),
(71571, 4876),
(71580, 4879),
(71590, 4881),
(71592, 4883),
(71593, 4885),
(71594, 4890),
(71595, 4887),
(71596, 5001),
(71597, 4892),
(71598, 4889),
(71599, 4891),
(71697, 4893),
(71698, 4897),
(71699, 5055),
(71700, 5085),
(71701, 4901),
(71702, 4902),
(71703, 4903),
(71704, 4904),
(71705, 4905),
(71706, 4906),
(71707, 4907),
(71711, 4908),
(71712, 4909),
(71714, 4910),
(71715, 4912),
(71716, 4916),
(71719, 4994),
(71723, 4924),
(71724, 4925),
(71725, 4926),
(71726, 4927),
(71727, 4928),
(71728, 4930),
(71729, 4931),
(71730, 4932),
(71731, 4933),
(71732, 4995),
(71733, 5078),
(71751, 4937),
(71753, 4938),
(71756, 4941),
(71757, 4942),
(71758, 4943),
(71759, 4944),
(71760, 4945),
(71761, 4946),
(71774, 4953),
(71775, 4954),
(71778, 4955),
(71779, 4956),
(71780, 4958),
(71781, 4959),
(71782, 4960),
(71783, 4961),
(71784, 5334),
(71785, 4963),
(71786, 4998),
(71787, 4968),
(71789, 4967),
(71790, 4969),
(71791, 4971),
(71796, 4973),
(71797, 4974),
(71798, 4975),
(71799, 4976),
(71803, 4977),
(71804, 4978),
(71805, 4979),
(71806, 4980),
(71807, 4982),
(71809, 4984),
(71810, 4986),
(71811, 4987),
(71812, 4988),
(71818, 4999),
(71827, 4997),
(71828, 5005),
(71829, 5048),
(71830, 6879),
(71831, 5015),
(71832, 5016),
(71833, 5017),
(71834, 5018),
(71835, 5019),
(71836, 5020),
(71838, 5022),
(71839, 5026),
(71840, 5027),
(71841, 5028),
(71842, 5030),
(71843, 5032),
(71844, 5034),
(71845, 5036),
(71846, 5037),
(71847, 5038),
(71848, 5039),
(71849, 5040),
(71854, 5041),
(71855, 6214),
(71856, 6215),
(71857, 6216),
(71858, 6217),
(71859, 6218),
(71868, 5290),
(71904, 5056),
(71958, 5057),
(71959, 5058),
(71960, 5059),
(71961, 5060),
(71962, 5061),
(71987, 5062),
(72031, 5069),
(72032, 5070),
(72033, 5338),
(72034, 5072),
(72036, 5073),
(72047, 5291),
(72048, 5084),
(72073, 5082),
(72085, 5336),
(72087, 5335),
(72094, 5090),
(72102, 6194),
(72103, 6195),
(72104, 5212),
(72105, 5102),
(72109, 5217),
(72122, 5213),
(72123, 5214),
(72125, 5215),
(72127, 5216),
(72130, 8870),
(72134, 5103),
(72160, 5105),
(72161, 5106),
(72193, 5107),
(72194, 5108),
(72197, 5110),
(72313, 6603),
(72342, 5113),
(72367, 5367),
(72377, 5115),
(72386, 5116),
(72387, 5292),
(72389, 5120),
(72390, 5286),
(72391, 5284),
(72392, 5123),
(72420, 8404),
(72422, 8852),
(72448, 5129),
(72450, 5130),
(72451, 5131),
(72452, 5132),
(72453, 5134),
(72455, 5309),
(72456, 5317),
(72457, 5137),
(72458, 5138),
(72459, 5139),
(72461, 5331),
(72462, 5141),
(72463, 5142),
(72464, 5143),
(72465, 5144),
(72466, 5145),
(72467, 5146),
(72485, 6197),
(72486, 6198),
(72487, 6199),
(72488, 5311),
(72490, 5155),
(72506, 5156),
(72511, 5158),
(72512, 5160),
(72516, 5161),
(72521, 5370),
(72522, 5371),
(72523, 5163),
(72524, 5372),
(72525, 5373),
(72526, 5374),
(72527, 5164),
(72528, 5375),
(72529, 5166),
(72549, 5167),
(72550, 5168),
(72551, 5169),
(72552, 5170),
(72583, 5172),
(72588, 5173),
(72589, 5174),
(72590, 7420),
(72591, 7421),
(72592, 5177),
(72593, 5178),
(72596, 5181),
(72597, 5182),
(72598, 5184),
(72600, 5185),
(72601, 5186),
(72602, 5189),
(72603, 5190),
(72604, 5191),
(72605, 5192),
(72606, 5193),
(72607, 5194),
(72608, 5195),
(72609, 5196),
(72610, 5197),
(72611, 5198),
(72612, 5199),
(72613, 5200),
(72614, 5201),
(72615, 5202),
(72616, 5203),
(72617, 5204),
(72618, 5919),
(72619, 5206),
(72620, 5207),
(72621, 5211),
(72622, 5218),
(72623, 5219),
(72624, 5221),
(72625, 5222),
(72626, 5223),
(72628, 5224),
(72629, 5225),
(72630, 5363),
(72631, 5227),
(72637, 5229),
(72638, 5230),
(72639, 5366),
(72641, 5240),
(72642, 5234),
(72643, 5241),
(72644, 5238),
(72645, 5246),
(72646, 5244),
(72647, 5245),
(72648, 5247),
(72649, 5248),
(72651, 5250),
(72652, 5251),
(72653, 5252),
(72665, 5312),
(72666, 5316),
(72669, 5315),
(72671, 5256),
(72672, 5265),
(72673, 5258),
(72674, 5618),
(72675, 5619),
(72676, 5620),
(72677, 5621),
(72678, 5622),
(72679, 5266),
(72680, 5267),
(72681, 5268),
(72682, 5269),
(72683, 5301),
(72684, 5302),
(72685, 5303),
(72686, 5304),
(72687, 5300),
(72688, 6219),
(72689, 6221),
(72690, 6222),
(72691, 6223),
(72692, 6224),
(72693, 5282),
(72694, 5283),
(72695, 5285),
(72696, 5288),
(72698, 8890),
(72700, 5294),
(72701, 5295),
(72702, 8407),
(72703, 8401),
(72704, 5296),
(72705, 8872),
(72706, 8854),
(72707, 5305),
(72708, 5298),
(72709, 6201),
(72728, 5306),
(72731, 5307),
(72732, 5308),
(72749, 5318),
(72765, 5319),
(72766, 5321),
(72767, 5322),
(72768, 5323),
(72769, 5325),
(72770, 5329),
(72771, 5328),
(72772, 5330),
(72773, 5339),
(72774, 5340),
(72776, 5343),
(72778, 5345),
(72779, 5346),
(72804, 5348),
(72805, 5350),
(72806, 5351),
(72807, 5352),
(72808, 5353),
(72912, 6658),
(72937, 5355),
(72939, 5356),
(72959, 5357),
(73005, 8853),
(73018, 5364),
(73080, 5546),
(73103, 5383),
(73147, 5386),
(73151, 5565),
(73152, 5389),
(73170, 5392),
(73171, 5393),
(73172, 5394),
(73173, 5395),
(73179, 5397),
(73180, 5398),
(73182, 5400),
(73190, 5550),
(73200, 5403),
(73211, 5548),
(73212, 5406),
(73214, 5547),
(73218, 5407),
(73220, 5408),
(73221, 5409),
(73225, 5410),
(73231, 5411),
(73232, 5412),
(73238, 5413),
(73239, 5414),
(73240, 5423),
(73241, 5416),
(73242, 5418),
(73243, 5896),
(73256, 5427),
(73257, 8831),
(73258, 5428),
(73259, 8833),
(73260, 8836),
(73278, 5452),
(73315, 5430),
(73316, 5431),
(73324, 5432),
(73325, 5433),
(73326, 5434),
(73327, 5435),
(73331, 5436),
(73370, 5441),
(73371, 5442),
(73375, 5444),
(73391, 9350),
(73392, 9348),
(73393, 9349),
(73394, 9351),
(73395, 9352),
(73396, 5453),
(73402, 5454),
(73403, 5455),
(73404, 5456),
(73405, 5457),
(73406, 5458),
(73408, 5459),
(73492, 5463),
(73493, 5464),
(73495, 5466),
(73496, 5860),
(73497, 5468),
(73499, 5470),
(73503, 5472),
(73511, 5555),
(73519, 5476),
(73520, 5630),
(73521, 5478),
(73522, 8889),
(73523, 5481),
(73524, 5480),
(73525, 5640),
(73526, 5483),
(73527, 5484),
(73528, 5485),
(73529, 5486),
(73530, 5487),
(73531, 5488),
(73533, 5489),
(73534, 5490),
(73535, 5535),
(73536, 7423),
(73537, 5536),
(73538, 5494),
(73540, 5495),
(73541, 5537),
(73542, 5497),
(73543, 6536),
(73544, 6537),
(73545, 5538),
(73546, 5540),
(73548, 5503),
(73549, 5504),
(73550, 5505),
(73551, 5506),
(73552, 5507),
(73553, 5519),
(73560, 5508),
(73562, 5510),
(73564, 5512),
(73565, 5513),
(73566, 5514),
(73567, 5515),
(73568, 5516),
(73569, 5518),
(73570, 5520),
(73571, 5521),
(73572, 5644),
(73573, 5523),
(73574, 5991),
(73575, 5524),
(73576, 5525),
(73577, 5629),
(73578, 6362),
(73579, 6363),
(73585, 5530),
(73587, 5532),
(73588, 5533),
(73589, 5534),
(73593, 5541),
(73594, 5542),
(73595, 5543),
(73596, 5544),
(73597, 5617),
(73609, 5557),
(73610, 5556),
(73611, 5559),
(73612, 5561),
(73613, 5566),
(73614, 5563),
(73615, 5567),
(73616, 5568),
(73617, 6202),
(73618, 6203),
(73619, 6204),
(73620, 5646),
(73621, 5647),
(73622, 5648),
(73623, 5649),
(73624, 5650),
(73625, 5624),
(73626, 5625),
(73627, 5626),
(73628, 6225),
(73629, 5627),
(73630, 5628),
(73631, 6226),
(73632, 6227),
(73634, 6228),
(73635, 5631),
(73636, 5634),
(73637, 5636),
(73638, 5635),
(73639, 5637),
(73640, 5577),
(73641, 5578),
(73642, 5579),
(73643, 5580),
(73644, 5848),
(73645, 5582),
(73646, 5583),
(73648, 5584),
(73650, 5591),
(73653, 6130),
(73654, 6131),
(73655, 5592),
(73658, 6132),
(73659, 5601),
(73661, 5597),
(73663, 6129),
(73664, 5607),
(73668, 5606),
(73669, 5623),
(73670, 8838),
(73671, 8839),
(73672, 5611),
(73676, 8835),
(73678, 5651),
(73912, 5643),
(73954, 5645),
(74019, 5652),
(74052, 5653),
(74056, 5654),
(74060, 5672),
(74088, 8843),
(74089, 8842),
(74090, 8858),
(74091, 8874),
(74117, 5661),
(74186, 5666),
(74187, 5667),
(74188, 6332),
(74196, 5669),
(74198, 5671),
(74212, 5866),
(74213, 5926),
(74214, 5867),
(74215, 5677),
(74216, 5678),
(74218, 5680),
(74221, 5688),
(74222, 5886),
(74223, 6364),
(74224, 6365),
(74227, 5693),
(74228, 5696),
(74229, 5695),
(74230, 5697),
(74231, 5698),
(74277, 5704),
(74278, 5703),
(74279, 5716),
(74280, 5706),
(74281, 5707),
(74295, 6265),
(74296, 5710),
(74332, 5868),
(74333, 5871),
(74337, 8875),
(74339, 8880),
(74341, 8857),
(74343, 8876),
(74409, 5719),
(74410, 5720),
(74412, 5722),
(74416, 5774),
(74417, 5776),
(74418, 5725),
(74426, 5888),
(74430, 5889),
(74437, 5798),
(74451, 5729),
(74452, 5730),
(74453, 5731),
(74454, 5732),
(74455, 5733),
(74456, 5734),
(74457, 5854),
(74458, 5736),
(74459, 5737),
(74460, 5738),
(74461, 5739),
(74462, 5740),
(74463, 5741),
(74464, 5742),
(74466, 5743),
(74467, 5744),
(74468, 5745),
(74470, 5747),
(74471, 5748),
(74472, 5749),
(74473, 5874),
(74474, 5875),
(74475, 5876),
(74476, 5877),
(74477, 5754),
(74478, 5878),
(74481, 6539),
(74482, 5759),
(74483, 6538),
(74484, 5913),
(74485, 5937),
(74486, 5764),
(74487, 5765),
(74488, 5766),
(74489, 5767),
(74490, 5768),
(74491, 5769),
(74492, 5770),
(74493, 5771),
(74494, 5772),
(74495, 9357),
(74496, 9353),
(74497, 9354),
(74498, 5773),
(74499, 9356),
(74501, 9358),
(74502, 5775),
(74504, 5777),
(74505, 6123),
(74507, 6491),
(74508, 6492),
(74509, 6494),
(74510, 6493),
(74512, 5785),
(74513, 5784),
(74514, 6495),
(74515, 5787),
(74516, 5788),
(74517, 5789),
(74518, 5790),
(74519, 5921),
(74520, 5920),
(74521, 5922),
(74530, 5795),
(74532, 5797),
(74533, 6311),
(74534, 5799),
(74536, 5800),
(74537, 6310),
(74539, 6314),
(74541, 6317),
(74542, 5801),
(74543, 5808),
(74545, 5807),
(74546, 5804),
(74548, 5805),
(74562, 5806),
(74570, 5809),
(74571, 5927),
(74572, 5811),
(74573, 5814),
(74574, 5813),
(74575, 5923),
(74577, 5816),
(74578, 5887),
(74579, 6366),
(74580, 6367),
(74581, 5821),
(74582, 5822),
(74583, 5823),
(74584, 5826),
(74585, 5834),
(74587, 5829),
(74589, 5833),
(74590, 5832),
(74598, 5835),
(74599, 5842),
(74600, 5840),
(74601, 5839),
(74602, 5841),
(74604, 5843),
(74605, 5844),
(74606, 5845),
(74607, 5846),
(74608, 5847),
(74625, 5849),
(74626, 5850),
(74627, 5851),
(74628, 5852),
(74629, 5853),
(74630, 6232),
(74631, 6233),
(74632, 6231),
(74633, 6229),
(74634, 6230),
(74636, 5864),
(74637, 5865),
(74639, 5873),
(74640, 5872),
(74644, 8861),
(74645, 8877),
(74646, 8859),
(74647, 8855),
(74648, 8860),
(74664, 5892),
(74665, 6124),
(74666, 6126),
(74667, 6127),
(74668, 5897),
(74669, 5915),
(74670, 5899),
(74671, 5900),
(74672, 5901),
(74673, 5902),
(74674, 6128),
(74676, 5904),
(74677, 5906),
(74678, 5908),
(74679, 5910),
(74681, 5911),
(74684, 5949),
(74724, 5914),
(74727, 5917),
(74729, 5928),
(74730, 6277),
(74731, 6276),
(74732, 5931),
(74733, 5932),
(74734, 6275),
(74878, 5935),
(74957, 5941),
(75234, 5943),
(75283, 5944),
(75298, 5945),
(75299, 5946),
(75322, 5951),
(75323, 5952),
(75324, 5953),
(75325, 5954),
(75327, 7505),
(75328, 8882),
(75351, 5996),
(75352, 5995),
(75353, 5994),
(75354, 6297),
(75355, 6103),
(75430, 5956),
(75439, 5959),
(75462, 5961),
(75463, 5963),
(75489, 5966),
(75490, 5967),
(75491, 8046),
(75492, 8047),
(75521, 5968),
(75523, 5971),
(75530, 5972),
(75535, 6643),
(75570, 5973),
(75604, 5978),
(75605, 6234),
(75606, 5980),
(75625, 5982),
(75626, 5983),
(75627, 5984),
(75628, 5985),
(75629, 5986),
(75630, 5987),
(75631, 5988),
(75632, 5989),
(75633, 5990),
(75634, 6567),
(75635, 5993),
(75645, 6000),
(75649, 6008),
(75650, 6328),
(75651, 6329),
(75652, 6309),
(75653, 6308),
(75662, 8397),
(75663, 8364),
(75664, 6009),
(75665, 6010),
(75666, 6011),
(75667, 6012),
(75668, 6013),
(75669, 6014),
(75682, 6141),
(75689, 6153),
(75691, 6273),
(75692, 7465),
(75693, 7466),
(75694, 6274),
(75696, 6027),
(75697, 6031),
(75698, 6029),
(75699, 6034),
(75700, 6035),
(75701, 6295),
(75702, 6293),
(75703, 6039),
(75704, 6042),
(75705, 6043),
(75706, 8048),
(75707, 8049),
(75709, 6045),
(75710, 6301),
(75711, 6047),
(75712, 6048),
(75713, 6302),
(75714, 6050),
(75715, 6122),
(75716, 6052),
(75717, 6057),
(75718, 6056),
(75719, 6058),
(75722, 6108),
(75723, 6061),
(75724, 6062),
(75725, 6064),
(75734, 6068),
(75735, 6067),
(75736, 6069),
(75737, 6070),
(75738, 6071),
(75739, 6072),
(75740, 6073),
(75741, 6074),
(75744, 6075),
(75752, 6159),
(75755, 6161),
(75756, 6084),
(75757, 6085),
(75758, 6086),
(75759, 6087),
(75760, 6088),
(75761, 6089),
(75762, 6090),
(75765, 6094),
(75766, 6095),
(75767, 6093),
(75769, 6096),
(75770, 6097),
(75771, 6098),
(75772, 6546),
(75774, 6105),
(75775, 6270),
(75776, 6107),
(75777, 6109),
(75778, 6271),
(75779, 6111),
(75780, 6272),
(75782, 6113),
(75783, 6114),
(75784, 6115),
(75785, 6116),
(75786, 6117),
(75787, 6118),
(75788, 6119),
(75789, 6148),
(75790, 8416),
(75791, 8429),
(75792, 8430),
(75793, 6139),
(75794, 6157),
(75795, 6138),
(75796, 6142),
(75797, 6144),
(75798, 6154),
(75799, 6146),
(75800, 6147),
(75802, 6158),
(75803, 6155),
(75804, 6156),
(75808, 6160),
(75815, 6237),
(75819, 6238),
(75821, 6330),
(75825, 6241),
(75826, 6242),
(75827, 6244),
(75828, 6245),
(75829, 6247),
(75830, 6249),
(75831, 6324),
(75832, 6315),
(75833, 6888),
(75839, 6254),
(75847, 6255),
(75850, 6256),
(75853, 6257),
(75857, 9360),
(75858, 9361),
(75860, 9362),
(75862, 9363),
(75863, 9364),
(75890, 6319),
(75892, 6322),
(75893, 6323),
(75894, 6325),
(75923, 6266),
(75924, 6267),
(75927, 6283),
(75928, 6281),
(75929, 6285),
(75930, 6287),
(75931, 6288),
(75932, 6289),
(75933, 6290),
(75934, 6393),
(75935, 6392),
(75936, 6391),
(75978, 6406),
(75979, 6407),
(76027, 6300),
(76149, 6306),
(76205, 6565),
(76206, 6327),
(76233, 6331),
(76238, 6456),
(76246, 6336),
(76313, 6338),
(76394, 6339),
(76395, 6341),
(76438, 6342),
(76439, 6343),
(76440, 6344),
(76441, 6347),
(76443, 6351),
(76447, 6352),
(76451, 6353),
(76482, 6354),
(76514, 6355),
(76516, 6356),
(76517, 6357),
(76518, 6535),
(76519, 6359),
(76521, 6360),
(76523, 6361),
(76528, 6376),
(76529, 6377),
(76530, 6378),
(76531, 6379),
(76533, 6374),
(76534, 6375),
(76536, 6380),
(76537, 6381),
(76545, 6457),
(76553, 6387),
(76554, 6388),
(76556, 6389),
(76559, 6390),
(76587, 6395),
(76623, 6396),
(76630, 7496),
(76631, 7497),
(76635, 6397),
(76636, 6398),
(76637, 6399),
(76638, 6528),
(76639, 6530),
(76640, 6531),
(76641, 6533),
(76642, 6404),
(76648, 6468),
(76653, 6408),
(76666, 6409),
(76669, 6410),
(76670, 6411),
(76673, 6412),
(76674, 6413),
(76759, 6414),
(76760, 6415),
(76811, 6416),
(76816, 6417),
(76817, 6514),
(76818, 6420),
(76819, 6419),
(76820, 6421),
(76821, 6422),
(76822, 6423),
(76824, 6756),
(76825, 6482),
(76826, 6481),
(76827, 6431),
(76830, 6757),
(76831, 6485),
(76832, 7498),
(76833, 7499),
(76834, 7501),
(76835, 7500),
(76836, 7504),
(76837, 7503),
(76838, 6434),
(76839, 6435),
(76848, 6458),
(76849, 6459),
(76850, 6460),
(76851, 6439),
(76852, 6441),
(76853, 6442),
(76854, 6522),
(76855, 6527),
(76856, 6799),
(76857, 6523),
(76858, 6524),
(76859, 6526),
(76860, 6529),
(76861, 6444),
(76866, 6534),
(76870, 6446),
(76872, 6447),
(76873, 6448),
(76874, 6449),
(76876, 6450),
(76878, 6452),
(76879, 6520),
(76880, 6521),
(76881, 6463),
(76882, 6464),
(76883, 6465),
(76884, 6466),
(76885, 6469),
(76886, 6470),
(76887, 6473),
(76888, 6474),
(76893, 6488),
(76896, 6476),
(76897, 6477),
(76898, 6489),
(76899, 6618),
(76900, 6480),
(76901, 6483),
(76902, 6490),
(76903, 6500),
(76904, 6497),
(76906, 6498),
(76907, 6499),
(76908, 6503),
(76909, 6504),
(76911, 6506),
(76914, 6640),
(76915, 6508),
(76916, 6509),
(76917, 6510),
(76918, 6511),
(76920, 6512),
(76926, 6516),
(76930, 9365),
(76941, 9366),
(76942, 9367),
(76943, 9368),
(76944, 9369),
(76952, 6518),
(76953, 6519),
(76979, 8427),
(76980, 8426),
(76981, 8425),
(76982, 8424),
(76983, 8423),
(76984, 8422),
(77016, 6547),
(77017, 6552),
(77018, 6551),
(77019, 6553),
(77020, 6555),
(77022, 6557),
(77023, 6561),
(77024, 6563),
(77025, 6562),
(77026, 6566),
(77038, 6568),
(77039, 6570),
(77040, 6571),
(77041, 6572),
(77042, 6573),
(77054, 6574),
(77061, 6575),
(77097, 6576),
(77098, 6577),
(77099, 6578),
(77100, 6581),
(77101, 6580),
(77102, 6582),
(77103, 6583),
(77104, 6584),
(77105, 6585),
(77106, 6586),
(77181, 6587),
(77293, 6608),
(77299, 6609),
(77302, 6610),
(77558, 6611),
(77576, 6803),
(77577, 6614),
(77578, 6615),
(77712, 6617),
(77759, 6619),
(77762, 6620),
(77764, 6621),
(77769, 6745),
(77776, 6623),
(77777, 6626),
(77783, 6628),
(77784, 6629),
(77785, 6630),
(77786, 6926),
(77787, 6922),
(77788, 6923),
(77789, 6919),
(77798, 6632),
(77799, 6784),
(77800, 6785),
(77801, 6786),
(77802, 6636),
(77803, 6637),
(77804, 6864),
(77808, 6644),
(77809, 6645),
(77813, 9371),
(77814, 9372),
(77815, 9373),
(77816, 9374),
(77817, 9375),
(77818, 6780),
(77819, 6781),
(77820, 6782),
(77821, 6783),
(77822, 6958),
(77823, 6957),
(77833, 6650),
(77841, 6651),
(77853, 6897),
(77855, 6871),
(77858, 6655),
(77859, 6656),
(77861, 6657),
(77862, 6861),
(77863, 6865),
(77864, 6866),
(77865, 6867),
(77866, 9317),
(77867, 6853),
(77868, 6852),
(77869, 6854),
(77871, 6855),
(77872, 6755),
(77875, 6662),
(77876, 6670),
(77877, 6666),
(77878, 6677),
(77879, 6669),
(77880, 6671),
(77881, 6672),
(77882, 6673),
(77883, 6787),
(77884, 6788),
(77885, 6911),
(77887, 6678),
(77888, 6679),
(77889, 6680),
(77898, 8399),
(77899, 8398),
(77900, 7489),
(77901, 7490),
(77902, 7493),
(77903, 7492),
(77916, 6681),
(77917, 6682),
(77918, 6683),
(77919, 6794),
(77929, 6742),
(77930, 6743),
(77931, 6917),
(77937, 6688),
(77938, 6689),
(77939, 6692),
(77940, 7214),
(77941, 6693),
(77942, 6694),
(77943, 6695),
(77944, 6872),
(77945, 6697),
(77946, 6698),
(77947, 6699),
(77948, 6700),
(77955, 6701),
(77998, 6706),
(78004, 6707),
(78006, 6708),
(78009, 6710),
(78024, 6714),
(78025, 6715),
(78026, 6716),
(78031, 6717),
(78032, 6718),
(78033, 6719),
(78034, 6789),
(78035, 6721),
(78036, 6722),
(78037, 6723),
(78038, 8051),
(78039, 8052),
(78040, 8053),
(78041, 8054),
(78042, 6724),
(78043, 6912),
(78045, 6726),
(78046, 6804),
(78047, 6805),
(78048, 6729),
(78049, 6730),
(78062, 6736),
(78090, 6754),
(78092, 6915),
(78102, 6737),
(78104, 6738),
(78108, 6739),
(78110, 6740),
(78111, 6741),
(78133, 6744),
(78135, 7118),
(78136, 6748),
(78137, 7119),
(78138, 7110),
(78139, 7180),
(78140, 7377),
(78141, 6763),
(78152, 6758),
(78158, 6760),
(78160, 6761),
(78177, 6762),
(78186, 6764),
(78190, 6765),
(78191, 6766),
(78195, 6894),
(78197, 6768),
(78198, 6769),
(78200, 6944),
(78201, 6943),
(78202, 6936),
(78203, 6937),
(78205, 6779),
(78206, 6790),
(78207, 6791),
(78208, 6792),
(78209, 6793),
(78211, 6796),
(78212, 6797),
(78213, 6801),
(78214, 6802),
(78215, 6806),
(78216, 6808),
(78217, 6809),
(78218, 6938),
(78226, 6860),
(78227, 6843),
(78228, 7462),
(78229, 7463),
(78230, 7464),
(78231, 6828),
(78232, 6832),
(78233, 6833),
(78234, 6835),
(78235, 7074),
(78236, 6836),
(78237, 6906),
(78238, 6907),
(78239, 6837),
(78240, 6908),
(78241, 6909),
(78242, 6839),
(78243, 6840),
(78244, 6841),
(78246, 6842),
(78247, 6850),
(78248, 6849),
(78261, 6889),
(78265, 6898),
(78267, 6899),
(78272, 6900),
(78290, 6946),
(78312, 6902),
(78313, 6903),
(78454, 6914),
(78486, 6916),
(78525, 6918),
(78536, 6924),
(78537, 6925),
(78538, 6927),
(78539, 6928),
(78540, 6929),
(78541, 6961),
(78542, 6934),
(78543, 6933),
(78594, 6945),
(78603, 6947),
(78616, 6977),
(78618, 6969),
(78619, 6952),
(78620, 6953),
(78621, 6980),
(78637, 7115),
(78638, 7116),
(78646, 6998),
(78648, 6963),
(78683, 6968),
(78685, 6970),
(78686, 6971),
(78699, 7494),
(78717, 6982),
(78754, 6988),
(78755, 7092),
(78775, 6991),
(78781, 6992),
(78795, 6995),
(78796, 6996),
(78835, 6999),
(78836, 7000),
(78837, 7002),
(78838, 7003),
(78839, 7004),
(78840, 7005),
(78873, 7007),
(78893, 7011),
(78895, 7012),
(78902, 7014),
(78903, 7016),
(78904, 7017),
(78908, 7018),
(78916, 7025),
(78920, 9376),
(78921, 9377),
(78922, 9378),
(78923, 9379),
(78925, 7020),
(78926, 7021),
(78928, 7023),
(78929, 7024),
(78930, 7099),
(78931, 7100),
(78935, 7028),
(78936, 7029),
(78945, 7031),
(78948, 7037),
(78950, 7034),
(78951, 7036),
(78955, 7040),
(78956, 7039),
(78957, 7041),
(78959, 7103),
(78960, 7046),
(78961, 7045),
(78962, 7047),
(78963, 7424),
(78964, 7049),
(78965, 7050),
(78966, 7051),
(78967, 7052),
(78968, 7053),
(78969, 7056),
(78970, 7055),
(78974, 7102),
(78975, 7196),
(78976, 7058),
(78977, 7059),
(78978, 7060),
(78979, 7061),
(78980, 7072),
(78981, 7070),
(78982, 7065),
(78983, 7071),
(78984, 7073),
(78985, 7344),
(78986, 7345),
(78987, 7346),
(78988, 7347),
(78989, 7348),
(78992, 7080),
(78993, 7081),
(78994, 7082),
(78995, 7107),
(78996, 7084),
(78997, 7085),
(78998, 7086),
(78999, 7087),
(79000, 7088),
(79001, 7089),
(79007, 7090),
(79013, 7091),
(79014, 7182),
(79025, 7094),
(79027, 7096),
(79028, 7382),
(79029, 7097),
(79030, 7098),
(79033, 7112),
(79034, 7113),
(79035, 7122),
(79037, 7123),
(79039, 7126),
(79040, 7125),
(79041, 7127),
(79042, 7128),
(79043, 7129),
(79044, 7130),
(79045, 7143),
(79046, 7132),
(79047, 7135),
(79048, 7169),
(79051, 7140),
(79052, 7170),
(79053, 7167),
(79054, 7144),
(79055, 7168),
(79056, 7160),
(79057, 7148),
(79058, 7149),
(79059, 7159),
(79060, 7152),
(79061, 7166),
(79062, 7154),
(79063, 7155),
(79064, 7161),
(79065, 7162),
(79066, 7163),
(79067, 7164),
(79075, 7165),
(79083, 7172),
(79088, 7174),
(79163, 7181),
(79169, 7183),
(79170, 7184),
(79171, 7185),
(79172, 7186),
(79173, 7187),
(79174, 7192),
(79175, 7193),
(79202, 7198),
(79203, 7267),
(79204, 7268),
(79239, 7208),
(79240, 7209),
(79271, 7220),
(79328, 7454),
(79395, 7312),
(79397, 7280),
(79426, 7515),
(79430, 7289),
(79431, 7223),
(79437, 7224),
(79438, 7225),
(79439, 7226),
(79460, 7230),
(79461, 7231),
(79526, 7232),
(79530, 7391),
(79531, 7392),
(79539, 7275),
(79542, 7238),
(79544, 7239),
(79545, 7384),
(79548, 7425),
(79549, 7242),
(79550, 7243),
(79551, 7387),
(79552, 7245),
(79553, 7246),
(79554, 7247),
(79559, 7290),
(79564, 7250),
(79565, 7297),
(79567, 7253),
(79568, 7254),
(79576, 7255),
(79579, 7258),
(79582, 7259),
(79584, 7262),
(79585, 7261),
(79586, 7263),
(79590, 7264),
(79596, 7269),
(79606, 7536),
(79607, 7537),
(79609, 7365),
(79613, 7538),
(79617, 7539),
(79630, 7278),
(79633, 7279),
(79635, 7531),
(79636, 7530),
(79637, 7283),
(79639, 7288),
(79640, 7285),
(79641, 7286),
(79642, 7287),
(79646, 7291),
(79647, 7293),
(79649, 7514),
(79650, 7436),
(79651, 7435),
(79652, 7301),
(79653, 7302),
(79654, 7303),
(79657, 7440),
(79658, 7315),
(79660, 7411),
(79661, 7309),
(79662, 7310),
(79663, 7311),
(79664, 7313),
(79665, 7363),
(79666, 8055),
(79667, 8056),
(79668, 8057),
(79669, 7364),
(79670, 7366),
(79672, 7319),
(79673, 7320),
(79674, 7321),
(79675, 7322),
(79676, 7323),
(79677, 7324),
(79678, 7325),
(79679, 7327),
(79680, 7328),
(79682, 7329),
(79683, 7330),
(79684, 7331),
(79685, 7333),
(79690, 7360),
(79692, 7335),
(79694, 7337),
(79697, 7339),
(79698, 7388),
(79702, 7460),
(79703, 7461),
(79706, 7352),
(79707, 7389),
(79708, 7356),
(79710, 7390),
(79713, 7359),
(79715, 7357),
(79716, 7361),
(79718, 7367),
(79719, 7368),
(79722, 7370),
(79723, 7371),
(79726, 7373),
(79727, 7374),
(79728, 7375),
(79729, 7376),
(79730, 7378),
(79731, 7426),
(79732, 7386),
(79739, 7398),
(79740, 7400),
(79741, 7403),
(79743, 7432),
(79744, 7431),
(79745, 7433),
(79748, 7407),
(79749, 7408),
(79750, 7410),
(79755, 7412),
(79756, 7413),
(79757, 7416),
(79886, 7445),
(79894, 7442),
(79895, 7446),
(79901, 7448),
(79906, 7449),
(79990, 7453),
(80002, 7482),
(80009, 7513),
(80010, 7512),
(80016, 7650),
(80017, 7726),
(80031, 7471),
(80034, 7472),
(80039, 7473),
(80040, 7755),
(80041, 7754),
(80042, 7753),
(80043, 7752),
(80044, 7483),
(80071, 7486),
(80074, 7747),
(80099, 7506),
(80108, 7507),
(80109, 7508),
(80110, 8042),
(80111, 7510),
(80114, 7511),
(80129, 7516),
(80130, 7517),
(80131, 7519),
(80132, 7522),
(80133, 7523),
(80134, 7524),
(80135, 7609),
(80138, 7526),
(80140, 7772),
(80164, 7535),
(80180, 7551),
(80181, 7552),
(80182, 7545),
(80184, 7549),
(80186, 7550),
(80199, 7553),
(80201, 7554),
(80205, 7555),
(80243, 7560),
(80248, 7561),
(80249, 7562),
(80251, 7563),
(80258, 7564),
(80259, 7565),
(80260, 7834),
(80274, 7725),
(80281, 7572),
(80282, 7573),
(80283, 7574),
(80286, 7700),
(80287, 7576),
(80288, 7577),
(80289, 7578),
(80290, 7579),
(80296, 7580),
(80297, 7704),
(80298, 7582),
(80299, 7705),
(80300, 7584),
(80301, 7706),
(80302, 7586),
(80303, 7707),
(80304, 7588),
(80305, 7623),
(80309, 7594),
(80310, 7592),
(80311, 7593),
(80315, 7595),
(80317, 7596),
(80318, 7597),
(80319, 7708),
(80320, 7599),
(80321, 7605),
(80324, 7604),
(80327, 7610),
(80328, 7611),
(80329, 7612),
(80330, 7624),
(80331, 7615),
(80332, 7701),
(80333, 7627),
(80334, 7620),
(80335, 7702),
(80336, 7631),
(80337, 7626),
(80338, 7691),
(80339, 7709),
(80340, 7632),
(80341, 7743),
(80342, 7744),
(80347, 7703),
(80348, 7643),
(80350, 7696),
(80351, 7693),
(80352, 7695),
(80355, 7774),
(80356, 7654),
(80362, 7655),
(80364, 7657),
(80365, 7658),
(80366, 7659),
(80367, 7660),
(80368, 7661),
(80369, 7662),
(80370, 7663),
(80371, 7664),
(80372, 7665),
(80376, 7666),
(80377, 7667),
(80378, 7672),
(80379, 7673),
(80380, 7674),
(80381, 7675),
(80382, 7698),
(80383, 7697),
(80384, 7699),
(80386, 7680),
(80388, 7681),
(80392, 7688),
(80393, 7683),
(80394, 7684),
(80395, 7685),
(80396, 7686),
(80404, 7714),
(80405, 7712),
(80419, 7692),
(80427, 7710),
(80429, 7713),
(80432, 7832),
(80435, 7830),
(80436, 8433),
(80437, 8431),
(80438, 7765),
(80447, 7780),
(80448, 7779),
(80449, 7778),
(80450, 7721),
(80451, 7724),
(80452, 7723),
(80478, 7727),
(80479, 7728),
(80480, 7729),
(80482, 7736),
(80483, 7739),
(80484, 7733),
(80485, 7734),
(80486, 7735),
(80487, 7737),
(80488, 7738),
(80489, 7740),
(80490, 7741),
(80494, 7742),
(80497, 7761),
(80498, 7762),
(80499, 7757),
(80501, 7763),
(80531, 7745),
(80532, 7746),
(80534, 7748),
(80553, 7749),
(80556, 7750),
(80561, 7751),
(80676, 7764),
(80694, 7974),
(80695, 7977),
(80697, 7978),
(80698, 8000),
(80712, 7767),
(80713, 7770),
(80714, 7876),
(80715, 7878),
(80716, 7881),
(80717, 8037),
(80718, 8039),
(80719, 8162),
(80720, 8163),
(80721, 8436),
(80722, 8435),
(80723, 8447),
(80733, 7773),
(80734, 7775),
(80793, 7777),
(80812, 7776),
(80814, 7800),
(80815, 7782),
(80827, 7783),
(80888, 7793),
(80894, 7785),
(80898, 7960),
(80899, 7961),
(80900, 7790),
(80901, 7791),
(80902, 7812),
(80909, 7798),
(80910, 7908),
(80911, 8024),
(80913, 8084),
(80914, 7801),
(80929, 7802),
(80930, 7803),
(80931, 7804),
(80932, 7805),
(80933, 7806),
(80935, 7807),
(80936, 7808),
(80937, 7809),
(80939, 7810),
(80952, 7813),
(81026, 7815),
(81028, 8022),
(81029, 8019),
(81030, 7818),
(81031, 7819),
(81032, 7820),
(81033, 8149),
(81046, 7824),
(81048, 7852),
(81049, 7826),
(81052, 7827),
(81055, 7962),
(81057, 7829),
(81061, 7831),
(81062, 9287),
(81064, 7835),
(81068, 7836),
(81070, 8034),
(81071, 7842),
(81072, 7971),
(81073, 7843),
(81080, 7846),
(81113, 7847),
(81135, 8023),
(81136, 8025),
(81137, 7850),
(81138, 7851),
(81139, 7853),
(81140, 7854),
(81141, 7855),
(81142, 7856),
(81143, 7858),
(81144, 7859),
(81145, 7860),
(81146, 7861),
(81151, 8026),
(81152, 7863),
(81155, 7869),
(81156, 8027),
(81157, 8110),
(81158, 7870),
(81160, 8028),
(81162, 8071),
(81163, 7877),
(81164, 8076),
(81165, 8077),
(81166, 7884),
(81167, 7885),
(81168, 7886),
(81170, 7887),
(81171, 7888),
(81173, 7890),
(81174, 7891),
(81175, 7983),
(81176, 7984),
(81177, 7992),
(81179, 7896),
(81180, 7897),
(81182, 7997),
(81183, 7998),
(81185, 7999),
(81186, 8296),
(81187, 8001),
(81190, 7903),
(81193, 7904),
(81206, 7905),
(81207, 7907),
(81208, 7909),
(81209, 8002),
(81213, 7911),
(81214, 7912),
(81216, 7913),
(81217, 7914),
(81219, 7915),
(81223, 7917),
(81224, 7918),
(81225, 7919),
(81226, 8018),
(81228, 7923),
(81229, 7925),
(81230, 7926),
(81231, 7927),
(81232, 7928),
(81233, 7929),
(81235, 7931),
(81249, 7932),
(81256, 7946),
(81258, 7935),
(81259, 7936),
(81260, 7937),
(81261, 9331),
(81262, 7939),
(81263, 7940),
(81264, 7941),
(81265, 7942),
(81266, 8128),
(81267, 7944),
(81268, 7945),
(81269, 7948),
(81270, 8044),
(81271, 7950),
(81272, 7951),
(81273, 7952),
(81274, 7953),
(81275, 7957),
(81277, 7963),
(81278, 7964),
(81279, 7965),
(81280, 7966),
(81281, 7967),
(81282, 7968),
(81285, 7970),
(81288, 7976),
(81289, 7975),
(81295, 7991),
(81296, 7990),
(81297, 7982),
(81299, 7989),
(81301, 7993),
(81304, 7994),
(81306, 7996),
(81309, 8006),
(81312, 8393),
(81313, 8394),
(81314, 8395),
(81315, 8010),
(81316, 8011),
(81317, 8012),
(81319, 8014),
(81320, 8016),
(81321, 8017),
(81322, 9334),
(81323, 9335),
(81325, 8032),
(81346, 8038),
(81361, 8040),
(81364, 8041),
(81392, 8045),
(81430, 8058),
(81436, 8060),
(81449, 8061),
(81467, 8062),
(81480, 8068),
(81482, 8069),
(81483, 8070),
(81484, 8072),
(81520, 8075),
(81551, 8078),
(81562, 8079),
(81597, 8168),
(81613, 8082),
(81615, 8083),
(81657, 8091),
(81681, 8104),
(81682, 8105),
(81683, 8106),
(81719, 8107),
(81729, 8111),
(81756, 8171),
(81772, 8379),
(81815, 8118),
(81822, 8120),
(81824, 8122),
(81829, 8126),
(81832, 8124),
(81833, 8125),
(81839, 8129),
(81840, 8130),
(81841, 8131),
(81844, 8132),
(81851, 8133),
(81852, 8365),
(81865, 8354),
(81866, 8355),
(81869, 8265),
(81871, 8264),
(81876, 8356),
(81878, 8357),
(81912, 8154);
INSERT INTO `codev_timetrack_note_table` (`timetrackid`, `noteid`) VALUES
(81913, 8155),
(81929, 8157),
(81934, 8341),
(81935, 8345),
(81936, 8347),
(81937, 8442),
(81940, 8161),
(81941, 8164),
(81956, 8166),
(81986, 8183),
(81987, 8197),
(82013, 8175),
(82014, 8176),
(82029, 8178),
(82030, 8378),
(82039, 8229),
(82045, 8181),
(82052, 8182),
(82053, 8185),
(82054, 8187),
(82055, 8190),
(82056, 8191),
(82059, 8260),
(82060, 8195),
(82066, 8198),
(82067, 8199),
(82068, 8200),
(82069, 8201),
(82070, 8206),
(82071, 8375),
(82072, 8204),
(82073, 8458),
(82074, 8335),
(82075, 8336),
(82077, 8337),
(82078, 8210),
(82079, 8211),
(82080, 8212),
(82081, 8213),
(82082, 8214),
(82083, 8215),
(82084, 8216),
(82087, 8463),
(82088, 8464),
(82089, 8217),
(82093, 8273),
(82094, 8222),
(82095, 8367),
(82096, 8396),
(82102, 8368),
(82103, 8272),
(82104, 8377),
(82109, 8232),
(82110, 8233),
(82111, 8369),
(82112, 8376),
(82113, 8236),
(82114, 8237),
(82115, 8238),
(82116, 8370),
(82117, 8241),
(82118, 8242),
(82119, 8243),
(82120, 8244),
(82121, 8245),
(82122, 8373),
(82123, 8325),
(82124, 8267),
(82125, 8249),
(82126, 8250),
(82127, 8251),
(82128, 8268),
(82129, 8253),
(82130, 8254),
(82131, 8255),
(82132, 8256),
(82133, 8257),
(82134, 8258),
(82135, 8259),
(82136, 8262),
(82137, 8263),
(82138, 8349),
(82139, 8269),
(82140, 8270),
(82141, 8271),
(82142, 8350),
(82143, 8275),
(82144, 8276),
(82145, 8277),
(82146, 8351),
(82147, 8440),
(82148, 8353),
(82149, 8329),
(82150, 8330),
(82151, 8286),
(82152, 8331),
(82153, 8332),
(82154, 8333),
(82155, 8334),
(82156, 8762),
(82157, 8294),
(82158, 8307),
(82159, 8308),
(82160, 8299),
(82161, 8793),
(82162, 8300),
(82163, 8301),
(82164, 8302),
(82165, 8439),
(82166, 8304),
(82168, 8310),
(82170, 8311),
(82171, 8326),
(82178, 8315),
(82179, 8316),
(82180, 8317),
(82181, 8318),
(82182, 8319),
(82183, 8320),
(82184, 8321),
(82185, 8322),
(82186, 8323),
(82187, 8324),
(82188, 8371),
(82189, 8338),
(82190, 8346),
(82191, 8340),
(82192, 8342),
(82193, 8343),
(82201, 8361),
(82202, 8362),
(82203, 8450),
(82204, 8387),
(82205, 8389),
(82208, 8374),
(82209, 8391),
(82210, 8392),
(82211, 8388),
(82212, 8390),
(82383, 8400),
(82384, 8402),
(82385, 8403),
(82386, 8405),
(82387, 8406),
(82396, 8408),
(82397, 9289),
(82398, 8411),
(82399, 8412),
(82400, 8413),
(82401, 8414),
(82403, 9290),
(82413, 8434),
(82462, 8437),
(82463, 8438),
(82491, 8441),
(82497, 8443),
(82498, 8444),
(82515, 8445),
(82529, 8446),
(82541, 8449),
(82575, 8452),
(82582, 8455),
(82651, 8461),
(82692, 8465),
(82693, 8466),
(82780, 8516),
(82788, 8472),
(82816, 8517),
(82820, 8477),
(82821, 8478),
(82829, 8479),
(82837, 8480),
(82838, 8165),
(82839, 8448),
(82847, 8669),
(82848, 8661),
(82860, 8487),
(82864, 8489),
(82865, 8490),
(82874, 8491),
(82878, 8492),
(82879, 8495),
(82880, 8494),
(82881, 8539),
(82882, 8540),
(82901, 8501),
(82925, 8503),
(82926, 8504),
(82927, 8505),
(82928, 8506),
(82954, 8508),
(82955, 8509),
(82956, 8518),
(82957, 8520),
(82958, 8519),
(82959, 8711),
(82980, 8536),
(83019, 8521),
(83028, 8522),
(83029, 8523),
(83030, 8538),
(83031, 8773),
(83033, 8525),
(83034, 8526),
(83037, 8527),
(83038, 9487),
(83039, 9488),
(83040, 8530),
(83041, 8531),
(83042, 8532),
(83043, 8533),
(83044, 8556),
(83045, 8535),
(83048, 8537),
(83051, 8638),
(83052, 8553),
(83061, 8554),
(83062, 8555),
(83076, 8548),
(83077, 9620),
(83078, 8551),
(83079, 8552),
(83094, 8559),
(83095, 8560),
(83096, 8637),
(83097, 8562),
(83098, 8563),
(83099, 8564),
(83100, 8566),
(83101, 9313),
(83102, 8702),
(83103, 8703),
(83104, 8701),
(83106, 8581),
(83112, 8575),
(83113, 8576),
(83114, 8577),
(83115, 8578),
(83116, 8582),
(83117, 8583),
(83118, 8584),
(83119, 8585),
(83122, 8781),
(83123, 8782),
(83124, 8588),
(83125, 8589),
(83126, 8590),
(83127, 8591),
(83128, 8592),
(83129, 8593),
(83131, 8600),
(83132, 8595),
(83134, 8597),
(83135, 8603),
(83136, 8604),
(83137, 8602),
(83138, 8605),
(83139, 8647),
(83140, 8607),
(83141, 8608),
(83143, 8609),
(83144, 8610),
(83145, 8611),
(83146, 8612),
(83147, 8613),
(83149, 8633),
(83150, 8618),
(83151, 8631),
(83152, 8784),
(83153, 8634),
(83154, 8621),
(83155, 8622),
(83156, 8623),
(83157, 8624),
(83158, 8625),
(83159, 8626),
(83163, 8627),
(83169, 8629),
(83190, 8635),
(83192, 8641),
(83193, 8642),
(83194, 8682),
(83195, 8771),
(83196, 8772),
(83197, 8683),
(83198, 8684),
(83199, 8686),
(83200, 8687),
(83201, 8748),
(83202, 8655),
(83204, 8654),
(83206, 8657),
(83207, 8658),
(83208, 8774),
(83209, 8660),
(83210, 8663),
(83212, 8664),
(83214, 8665),
(83215, 8767),
(83216, 8667),
(83217, 8668),
(83218, 8670),
(83219, 8671),
(83222, 8695),
(83223, 8696),
(83224, 8678),
(83225, 8681),
(83227, 8690),
(83228, 8722),
(83231, 8691),
(83232, 8698),
(83233, 8693),
(83234, 8765),
(83235, 8694),
(83248, 8704),
(83250, 8706),
(83251, 8707),
(83252, 8708),
(83253, 8709),
(83254, 8710),
(83255, 8712),
(83256, 8713),
(83258, 8798),
(83259, 8716),
(83260, 8717),
(83261, 8718),
(83262, 8766),
(83263, 8806),
(83265, 8808),
(83266, 8737),
(83268, 8809),
(83269, 8807),
(83270, 8810),
(83272, 8811),
(83275, 8777),
(83276, 9753),
(83277, 8739),
(83279, 8726),
(83280, 8729),
(83281, 8734),
(83282, 8733),
(83283, 9144),
(83293, 8743),
(83294, 8742),
(83295, 9489),
(83296, 9490),
(83298, 8769),
(83299, 8753),
(83301, 8763),
(83302, 8764),
(83303, 8756),
(83305, 8757),
(83306, 8758),
(83307, 9206),
(83309, 9291),
(83312, 9292),
(83313, 9293),
(83314, 8962),
(83315, 8964),
(83316, 8963),
(83391, 8775),
(83395, 8776),
(83497, 8779),
(83498, 8780),
(83545, 8783),
(83553, 8789),
(83566, 9320),
(83567, 9321),
(83635, 8795),
(83636, 8797),
(83637, 8801),
(83638, 8803),
(83641, 8921),
(83642, 8922),
(83644, 8926),
(83673, 8816),
(83674, 8903),
(83675, 8818),
(83676, 8819),
(83677, 9316),
(83678, 9747),
(83679, 9252),
(83695, 9309),
(83696, 9306),
(83731, 8844),
(83732, 8845),
(83733, 8846),
(83734, 8847),
(83735, 8848),
(83736, 8850),
(83737, 8968),
(83738, 8865),
(83739, 8866),
(83740, 8869),
(83741, 8871),
(83742, 8873),
(83743, 8878),
(83744, 8940),
(83747, 8881),
(83773, 8884),
(83783, 8885),
(83784, 8886),
(83785, 8887),
(83786, 8888),
(83813, 8909),
(83814, 8898),
(83815, 8897),
(83816, 8899),
(83817, 8905),
(83818, 8953),
(83829, 8904),
(83830, 8910),
(83834, 8911),
(83835, 8912),
(83836, 8913),
(83837, 8914),
(83838, 8915),
(83839, 9058),
(83840, 9059),
(83844, 8925),
(83849, 8927),
(83856, 8928),
(83937, 8930),
(83942, 8931),
(83943, 8932),
(83962, 8994),
(83963, 9754),
(83965, 8945),
(83966, 8936),
(83967, 8937),
(83969, 9270),
(83970, 8969),
(83975, 8941),
(83976, 8942),
(83977, 8943),
(83978, 9294),
(83979, 8946),
(83980, 8947),
(83982, 8949),
(83983, 8950),
(83984, 8951),
(84008, 8954),
(84009, 8955),
(84010, 8956),
(84011, 8957),
(84012, 8958),
(84016, 8985),
(84027, 8965),
(84028, 8966),
(84029, 9288),
(84033, 8972),
(84034, 8973),
(84035, 8974),
(84036, 8978),
(84037, 8976),
(84038, 8977),
(84055, 8979),
(84056, 8981),
(84057, 8982),
(84058, 8983),
(84059, 8984),
(84078, 8986),
(84079, 8987),
(84081, 8988),
(84085, 9036),
(84086, 8990),
(84087, 9037),
(84088, 9038),
(84089, 9039),
(84091, 8995),
(84103, 8997),
(84104, 8998),
(84107, 8999),
(84108, 9000),
(84109, 9001),
(84110, 9002),
(84111, 9003),
(84112, 9341),
(84113, 9005),
(84114, 9342),
(84115, 9344),
(84116, 9315),
(84117, 9007),
(84118, 9280),
(84119, 9282),
(84123, 9010),
(84124, 9011),
(84125, 9012),
(84126, 9013),
(84127, 9014),
(84128, 9015),
(84130, 9355),
(84131, 9019),
(84132, 9020),
(84133, 9021),
(84134, 9022),
(84135, 9023),
(84136, 9749),
(84137, 9026),
(84138, 9748),
(84139, 9027),
(84140, 9028),
(84141, 9029),
(84142, 9030),
(84143, 9202),
(84144, 9311),
(84145, 9033),
(84146, 9307),
(84147, 9780),
(84148, 9312),
(84149, 9782),
(84150, 9034),
(84151, 9035),
(84152, 9346),
(84153, 9040),
(84154, 9476),
(84155, 9042),
(84156, 9043),
(84157, 9044),
(84158, 9045),
(84159, 9046),
(84165, 9060),
(84169, 9049),
(84170, 9061),
(84172, 9203),
(84173, 9062),
(84176, 9063),
(84177, 9064),
(84179, 9066),
(84180, 9067),
(84193, 9590),
(84195, 9070),
(84196, 9585),
(84197, 9587),
(84198, 9588),
(84199, 9589),
(84208, 9477),
(84209, 9478),
(84210, 9665),
(84211, 9666),
(84212, 9667),
(84214, 9668),
(84217, 9260),
(84218, 9832),
(84219, 9833),
(84220, 9955),
(84221, 9956),
(84228, 9261),
(84229, 9262),
(84230, 9263),
(84231, 9264),
(84232, 9155),
(84233, 9156),
(84234, 9157),
(84235, 9158),
(84236, 9159),
(84252, 9683),
(84253, 9682),
(84254, 9473),
(84255, 9524),
(84256, 9523),
(84257, 9525),
(84258, 9597),
(84259, 9595),
(84260, 9598),
(84263, 9810),
(84264, 9811),
(84265, 9812),
(84266, 9340),
(84267, 9501),
(84268, 9541),
(84269, 9117),
(84270, 9118),
(84271, 9763),
(84272, 9805),
(84273, 10057),
(84274, 10058),
(84275, 10059),
(84276, 9253),
(84277, 9254),
(84278, 9345),
(84280, 9729),
(84281, 9730),
(84282, 9731),
(84283, 9757),
(84284, 9768),
(84285, 9817),
(84287, 9255),
(84288, 9828),
(84289, 9957),
(84290, 9966),
(84292, 9256),
(84294, 10150),
(84295, 10106),
(84296, 10114),
(84297, 10137),
(84298, 9143),
(84299, 9152),
(84300, 9153),
(84301, 9154),
(84302, 9149),
(84303, 9151),
(84305, 9903),
(84306, 9899),
(84307, 9900),
(84308, 9902),
(84309, 9901),
(84310, 9893),
(84313, 9894),
(84314, 9895),
(84315, 9896),
(84316, 9897),
(84317, 9170),
(84318, 9171),
(84320, 9173),
(84322, 9591),
(84323, 9592),
(84324, 9593),
(84325, 9596),
(84326, 9600),
(84327, 9599),
(84329, 9250),
(84330, 9707),
(84331, 9706),
(84332, 9705),
(84334, 9704),
(84336, 9703),
(84337, 9873),
(84338, 9874),
(84339, 9875),
(84340, 9876),
(84341, 9877),
(84342, 10070),
(84343, 10073),
(84344, 10072),
(84345, 10115),
(84346, 10116),
(84347, 9324),
(84351, 9322),
(84352, 9325),
(84357, 9207),
(84360, 9208),
(84362, 9218),
(84364, 9210),
(84366, 9212),
(84369, 9213),
(84371, 9214),
(84373, 9215),
(84375, 9216),
(84376, 9217),
(84377, 10035),
(84378, 10036),
(84379, 10038),
(84380, 10039),
(84381, 10040),
(84382, 9224),
(84383, 9225),
(84384, 9226),
(84385, 9227),
(84386, 9228),
(84393, 9230),
(84394, 9231),
(84395, 9232),
(84397, 9678),
(84399, 9677),
(84400, 9623),
(84401, 9622),
(84402, 9679),
(84403, 9625),
(84404, 9636),
(84405, 9680),
(84406, 9681),
(84407, 9628),
(84409, 9776),
(84410, 9777),
(84411, 9835),
(84412, 10034),
(84413, 9997),
(84414, 10031),
(84415, 10032),
(84416, 10033),
(84417, 10108),
(84447, 9258),
(84448, 9259),
(84450, 9266),
(84453, 9271),
(84454, 9272),
(84455, 9273),
(84456, 9274),
(84457, 9276),
(84458, 9277),
(84459, 9278),
(84460, 9279),
(84553, 9503),
(84554, 9286),
(84599, 9516),
(84606, 9380),
(84607, 9671),
(84608, 9672),
(84609, 9673),
(84610, 9674),
(84611, 9766),
(84612, 9802),
(84613, 9912),
(84614, 9979),
(84684, 9318),
(84687, 10006),
(84712, 9480),
(84788, 9502),
(84796, 9327),
(84799, 9728),
(84800, 9727),
(84801, 9726),
(84802, 9796),
(84803, 9936),
(84804, 9935),
(84805, 9937),
(84816, 9332),
(84817, 9337),
(84818, 9338),
(84821, 9339),
(84823, 9343),
(84825, 9347),
(84849, 9469),
(84896, 9513),
(84900, 9511),
(84903, 9990),
(84908, 9484),
(84915, 9654),
(84989, 9601),
(84990, 9602),
(84991, 9603),
(84994, 9570),
(85004, 9517),
(85005, 9655),
(85006, 9526),
(85007, 9527),
(85008, 9528),
(85009, 9529),
(85010, 9530),
(85022, 9535),
(85025, 9536),
(85026, 9537),
(85040, 9864),
(85042, 9543),
(85043, 9544),
(85044, 9545),
(85045, 9546),
(85046, 9547),
(85047, 9548),
(85060, 9578),
(85064, 9740),
(85065, 9742),
(85066, 9743),
(85067, 9744),
(85068, 9745),
(85069, 9746),
(85124, 9571),
(85127, 9573),
(85128, 9574),
(85132, 9577),
(85133, 9576),
(85136, 9579),
(85137, 9580),
(85138, 9581),
(85139, 9582),
(85140, 9583),
(85142, 9584),
(85145, 9586),
(85158, 9604),
(85159, 9605),
(85160, 9606),
(85161, 9607),
(85164, 9760),
(85165, 9609),
(85166, 9610),
(85167, 9611),
(85168, 9612),
(85169, 9613),
(85170, 9733),
(85180, 10935),
(85182, 9616),
(85183, 9617),
(85184, 9619),
(85194, 9629),
(85195, 9630),
(85198, 9631),
(85199, 9762),
(85200, 9633),
(85201, 9634),
(85207, 9734),
(85210, 9640),
(85211, 9641),
(85224, 9755),
(85226, 9736),
(85227, 9738),
(85228, 9741),
(85235, 9737),
(85250, 9656),
(85251, 9657),
(85254, 9659),
(85255, 9660),
(85257, 9661),
(85258, 9662),
(85266, 9771),
(85334, 9684),
(85335, 9685),
(85336, 9686),
(85337, 9687),
(85339, 9688),
(85342, 9689),
(85343, 9690),
(85344, 9691),
(85349, 9714),
(85350, 9693),
(85351, 9694),
(85352, 9695),
(85380, 9712),
(85381, 9709),
(85382, 9710),
(85383, 9711),
(85384, 10933),
(85403, 9750),
(85404, 9751),
(85405, 9752),
(85412, 9719),
(85418, 9720),
(85455, 9722),
(85458, 9723),
(85459, 9724),
(85460, 9725),
(85478, 9756),
(85612, 9759),
(85613, 9761),
(85631, 9809),
(85632, 10191),
(85667, 9764),
(85859, 9992),
(85987, 9858),
(85992, 9773),
(86168, 9774),
(86413, 9989),
(86414, 9785),
(86415, 9786),
(86416, 9993),
(86438, 9788),
(86439, 9807),
(86441, 9790),
(86442, 9791),
(86443, 9792),
(86444, 9793),
(86445, 9794),
(86485, 9804),
(86500, 9806),
(86516, 9808),
(86529, 9813),
(86530, 9814),
(86536, 10143),
(86540, 9859),
(86541, 9821),
(86542, 9860),
(86548, 9826),
(86549, 9825),
(86550, 9823),
(86551, 9824),
(86564, 9830),
(86565, 9831),
(86568, 9836),
(86587, 9839),
(86589, 9841),
(86590, 9976),
(86591, 9977),
(86594, 10134),
(86597, 10135),
(86598, 10136),
(86600, 9995),
(86601, 9996),
(86602, 9861),
(86603, 9862),
(86614, 9871),
(86615, 9987),
(86616, 9870),
(86617, 9868),
(86630, 9991),
(86631, 9983),
(86632, 9882),
(86635, 9984),
(86636, 9985),
(86637, 9904),
(86640, 9905),
(86641, 10944),
(86642, 10945),
(86657, 9909),
(86659, 9910),
(86683, 9915),
(86687, 9916),
(86688, 9917),
(86689, 9918),
(86690, 9981),
(86691, 9921),
(86692, 9982),
(86693, 9923),
(86694, 9924),
(86695, 9926),
(86697, 9929),
(86698, 9930),
(86701, 10936),
(86707, 10937),
(86708, 10939),
(86709, 10938),
(86713, 9939),
(86714, 9941),
(86715, 9942),
(86723, 9944),
(86776, 9949),
(86778, 9951),
(86832, 9959),
(86833, 10934),
(86834, 9963),
(86889, 9967),
(86891, 9969),
(86895, 9972),
(86896, 9971),
(86899, 9973),
(86944, 9980),
(86952, 9999),
(86953, 10000),
(86954, 10001),
(86955, 10002),
(86957, 9998),
(86963, 10382),
(86965, 9988),
(86999, 10099),
(87000, 10005),
(87005, 10008),
(87019, 10012),
(87034, 10014),
(87035, 10940),
(87036, 10941),
(87037, 10017),
(87038, 10942),
(87039, 10943),
(87085, 10022),
(87086, 10021),
(87095, 10023),
(87116, 10069),
(87168, 10025),
(87183, 10028),
(87184, 10029),
(87209, 10042),
(87210, 10044),
(87211, 10045),
(87212, 10046),
(87213, 10047),
(87214, 10049),
(87215, 10126),
(87216, 10128),
(87217, 10053),
(87219, 10055),
(87220, 10056),
(87254, 10062),
(87257, 10063),
(87261, 10064),
(87262, 10065),
(87263, 10068),
(87264, 10067),
(87271, 10076),
(87276, 10078),
(87278, 10097),
(87280, 10080),
(87281, 10081),
(87282, 10082),
(87283, 10083),
(87286, 10084),
(87288, 10085),
(87292, 10086),
(87293, 10087),
(87297, 10088),
(87298, 10319),
(87307, 10094),
(87308, 10095),
(87309, 10096),
(87310, 10098),
(87315, 10100),
(87316, 10101),
(87317, 10102),
(87318, 10104),
(87333, 10109),
(87334, 10110),
(87335, 10111),
(87336, 10112),
(87337, 10113),
(87403, 10117),
(87404, 10133),
(87405, 10120),
(87481, 10296),
(87489, 10166),
(87490, 10237),
(87491, 10250),
(87492, 10141),
(87493, 10334),
(87499, 10144),
(87500, 10145),
(87546, 10297),
(87558, 10149),
(87614, 10363),
(87617, 10152),
(87621, 10153),
(87622, 10154),
(87623, 10184),
(87724, 10162),
(87725, 10163),
(87727, 10295),
(87744, 10169),
(87752, 10170),
(87759, 10172),
(87825, 10174),
(87832, 10175),
(87853, 10183),
(87855, 10177),
(87856, 10387),
(87871, 10179),
(87872, 10180),
(87873, 10181),
(87968, 10182),
(87984, 10185),
(87985, 10186),
(87986, 10187),
(87987, 10188),
(87988, 10189),
(88000, 10190),
(88001, 10192),
(88003, 10213),
(88005, 10287),
(88006, 10327),
(88007, 10197),
(88008, 10198),
(88009, 10199),
(88010, 10200),
(88011, 10201),
(88012, 10288),
(88013, 10203),
(88014, 10204),
(88015, 10205),
(88016, 10286),
(88017, 10289),
(88018, 10209),
(88019, 10358),
(88020, 10211),
(88021, 10330),
(88022, 10214),
(88025, 10290),
(88026, 10217),
(88027, 10312),
(88029, 10309),
(88031, 10220),
(88032, 10224),
(88033, 10427),
(88037, 10415),
(88041, 10229),
(88045, 10231),
(88047, 10291),
(88048, 10233),
(88049, 10234),
(88053, 11025),
(88054, 10238),
(88055, 10239),
(88056, 10240),
(88057, 10241),
(88058, 10242),
(88059, 10420),
(88061, 10294),
(88062, 10314),
(88063, 10315),
(88065, 10316),
(88067, 10317),
(88068, 10421),
(88069, 10318),
(88073, 11482),
(88079, 10385),
(88081, 10254),
(88082, 10253),
(88084, 10255),
(88085, 10256),
(88086, 10257),
(88087, 10258),
(88089, 10260),
(88091, 10324),
(88093, 10263),
(88094, 10264),
(88098, 10265),
(88100, 10326),
(88101, 10268),
(88102, 10269),
(88103, 10270),
(88105, 10272),
(88107, 10273),
(88108, 10274),
(88109, 10275),
(88110, 10276),
(88112, 10277),
(88113, 10278),
(88114, 10279),
(88115, 10280),
(88116, 10299),
(88117, 10298),
(88118, 10300),
(88119, 10293),
(88123, 10292),
(88155, 10301),
(88158, 10302),
(88159, 10303),
(88179, 10313),
(88182, 10305),
(88183, 10306),
(88191, 10307),
(88216, 10320),
(88217, 10321),
(88218, 10340),
(88219, 10341),
(88220, 10342),
(88221, 10343),
(88222, 10344),
(88223, 10346),
(88229, 10347),
(88234, 10517),
(88242, 10684),
(88243, 10685),
(88244, 10683),
(88245, 10350),
(88246, 10354),
(88247, 10352),
(88248, 10353),
(88281, 10356),
(88282, 10534),
(88283, 10360),
(88284, 10361),
(88285, 10364),
(88287, 10366),
(88288, 10368),
(88289, 10369),
(88305, 10380),
(88306, 10379),
(88315, 10372),
(88320, 10381),
(88328, 10383),
(88329, 10386),
(88331, 10442),
(88338, 10950),
(88339, 10949),
(88340, 10948),
(88363, 10979),
(88366, 10947),
(88384, 10404),
(88389, 10405),
(88390, 10406),
(88406, 10409),
(88418, 10410),
(88422, 10411),
(88493, 10628),
(88494, 10416),
(88513, 10629),
(88531, 10547),
(88532, 14305),
(88546, 10450),
(88547, 10541),
(88548, 10539),
(88570, 10455),
(88612, 10458),
(88625, 10459),
(88626, 10460),
(88628, 10463),
(88631, 10462),
(88634, 10519),
(88635, 10467),
(88636, 10471),
(88637, 14302),
(88638, 10473),
(88639, 10518),
(88640, 10475),
(88641, 14303),
(88642, 10477),
(88644, 10540),
(88645, 10479),
(88646, 12466),
(88652, 10482),
(88653, 10484),
(88654, 10485),
(88655, 12468),
(88656, 10488),
(88657, 12469),
(88658, 10490),
(88659, 10491),
(88660, 10492),
(88661, 10493),
(88662, 14304),
(88664, 12472),
(88668, 10496),
(88669, 10498),
(88670, 10501),
(88671, 10502),
(88674, 10505),
(88675, 10506),
(88676, 10507),
(88677, 10508),
(88678, 10509),
(88679, 10510),
(88685, 12473),
(88686, 10520),
(88687, 10521),
(88688, 10522),
(88689, 10516),
(88690, 10549),
(88691, 10526),
(88693, 10529),
(88694, 10538),
(88696, 10546),
(88697, 10622),
(88704, 11483),
(88705, 11484),
(88706, 11485),
(88709, 11486),
(88736, 10533),
(88737, 10535),
(88739, 10558),
(88749, 10992),
(88750, 10548),
(88753, 10617),
(88754, 10852),
(88755, 10669),
(88756, 10555),
(88757, 10553),
(88758, 10556),
(88778, 10557),
(88781, 10991),
(88782, 10990),
(88783, 10989),
(88786, 10565),
(88787, 10566),
(88794, 10567),
(88795, 10568),
(88798, 12474),
(88799, 10982),
(88802, 10981),
(88803, 10576),
(88806, 10602),
(88807, 10632),
(88841, 10677),
(88843, 10581),
(88844, 10582),
(88845, 10583),
(88846, 10584),
(88847, 10585),
(88860, 10996),
(88861, 10589),
(88869, 10591),
(88870, 10598),
(88871, 10994),
(88881, 10839),
(88882, 10600),
(88888, 10601),
(88901, 10997),
(88902, 10995),
(88903, 10993),
(88904, 10618),
(88914, 10614),
(88916, 10616),
(88917, 10620),
(88923, 14325),
(88924, 10623),
(88925, 10874),
(88926, 10625),
(88927, 10634),
(88928, 10633),
(88970, 10642),
(88971, 10643),
(88972, 10644),
(88974, 10647),
(88976, 10649),
(88977, 10650),
(88978, 10651),
(88979, 10652),
(88980, 10653),
(88981, 10654),
(88987, 10984),
(88988, 10985),
(88990, 10659),
(88992, 10660),
(88993, 10661),
(88994, 10662),
(88995, 10666),
(88996, 10811),
(88997, 10810),
(88998, 10670),
(88999, 10841),
(89000, 10842),
(89001, 10843),
(89003, 10681),
(89004, 10682),
(89007, 10680),
(89008, 10686),
(89009, 10687),
(89010, 10688),
(89011, 11328),
(89015, 10693),
(89016, 10694),
(89017, 10695),
(89019, 10951),
(89020, 10698),
(89021, 10814),
(89022, 10806),
(89023, 10975),
(89024, 10816),
(89025, 10703),
(89026, 10817),
(89027, 10705),
(89028, 10818),
(89030, 10712),
(89032, 10713),
(89033, 10978),
(89038, 10976),
(89040, 10977),
(89042, 10719),
(89043, 10727),
(89044, 10957),
(89045, 10956),
(89047, 10729),
(89048, 10724),
(89049, 10725),
(89051, 10730),
(89052, 10731),
(89053, 11425),
(89054, 10734),
(89056, 10736),
(89057, 10826),
(89058, 11017),
(89059, 10827),
(89060, 10743),
(89061, 10829),
(89062, 10830),
(89064, 10749),
(89066, 10748),
(89067, 10750),
(89068, 10751),
(89069, 10752),
(89070, 10753),
(89071, 10754),
(89072, 10875),
(89073, 11038),
(89074, 10930),
(89076, 10758),
(89077, 10840),
(89078, 10763),
(89080, 10799),
(89081, 10803),
(89082, 10767),
(89083, 10768),
(89084, 10765),
(89085, 14321),
(89086, 10770),
(89087, 10771),
(89090, 10772),
(89091, 10773),
(89092, 10774),
(89093, 10775),
(89094, 10776),
(89100, 10832),
(89101, 10833),
(89103, 10834),
(89104, 10835),
(89105, 10797),
(89106, 10787),
(89107, 11001),
(89108, 10819),
(89109, 10820),
(89110, 10796),
(89111, 10821),
(89112, 10822),
(89115, 11068),
(89116, 10836),
(89118, 11003),
(89119, 12447),
(89120, 10808),
(89128, 10999),
(89129, 10831),
(89130, 11002),
(89131, 10838),
(89133, 10844),
(89134, 10845),
(89135, 11005),
(89136, 11008),
(89138, 11007),
(89139, 11009),
(89140, 10853),
(89141, 10855),
(89142, 11014),
(89143, 10857),
(89144, 10858),
(89145, 10859),
(89146, 10860),
(89148, 10861),
(89149, 10863),
(89150, 10864),
(89151, 10866),
(89157, 10873),
(89160, 10924),
(89161, 10878),
(89162, 10923),
(89163, 10922),
(89164, 11006),
(89165, 10912),
(89166, 10913),
(89167, 10886),
(89168, 10914),
(89169, 10915),
(89170, 10916),
(89171, 10917),
(89172, 10892),
(89173, 10918),
(89174, 10919),
(89175, 10920),
(89176, 10921),
(89177, 10898),
(89178, 10899),
(89179, 10900),
(89180, 10901),
(89181, 10902),
(89182, 10903),
(89183, 10904),
(89184, 10905),
(89185, 10906),
(89186, 10907),
(89187, 11019),
(89189, 10926),
(89190, 10910),
(89191, 10911),
(89209, 10925),
(89210, 10927),
(89222, 10932),
(89223, 10998),
(89226, 10986),
(89227, 10954),
(89228, 10960),
(89233, 10959),
(89234, 10961),
(89235, 10962),
(89236, 10980),
(89237, 11152),
(89238, 11000),
(89246, 10966),
(89251, 11129),
(89254, 10987),
(89255, 10988),
(89256, 10974),
(89271, 11010),
(89273, 11011),
(89275, 11012),
(89288, 11024),
(89363, 11085),
(89417, 11083),
(89418, 11082),
(89447, 11435),
(89448, 11436),
(89464, 11434),
(89470, 12475),
(89473, 11087),
(89475, 11088),
(89479, 11035),
(89482, 11036),
(89606, 11039),
(89607, 14328),
(89608, 11041),
(89609, 11107),
(89619, 11043),
(89621, 11080),
(89622, 11079),
(89624, 11479),
(89625, 11480),
(89626, 11520),
(89627, 11521),
(89628, 11053),
(89633, 11051),
(89668, 11055),
(89669, 11056),
(89670, 11057),
(89673, 11059),
(89676, 11091),
(89677, 11092),
(89678, 11093),
(89679, 11094),
(89681, 11104),
(89682, 11460),
(89683, 11461),
(89684, 11067),
(89685, 11069),
(89686, 11071),
(89687, 11072),
(89688, 11073),
(89752, 11074),
(89753, 11075),
(89754, 11078),
(89755, 11081),
(89789, 11108),
(89790, 11109),
(89792, 11105),
(89793, 11252),
(89802, 11098),
(89803, 11257),
(89804, 12518),
(89805, 12519),
(89819, 11225),
(89820, 11253),
(89821, 11251),
(89831, 11116),
(89833, 11111),
(89838, 11113),
(89840, 11114),
(89841, 11115),
(89842, 11117),
(89843, 11118),
(89844, 11119),
(89846, 14250),
(89848, 14322),
(89849, 11121),
(89850, 11122),
(89851, 11123),
(89852, 11124),
(89853, 11462),
(89854, 11126),
(89855, 11127),
(89857, 11247),
(89859, 11153),
(89860, 11154),
(89863, 11150),
(89878, 11143),
(89879, 11147),
(89880, 11240),
(89881, 11149),
(89882, 11151),
(89883, 12522),
(89884, 12523),
(89885, 12524),
(89886, 12520),
(89889, 12479),
(89890, 11163),
(89891, 12478),
(89892, 12477),
(89895, 12476),
(89900, 11168),
(89901, 11172),
(89902, 11173),
(89903, 11174),
(89905, 11176),
(89906, 11177),
(89907, 11238),
(89913, 11183),
(89914, 11182),
(89915, 11184),
(89916, 11185),
(89917, 11186),
(89918, 11187),
(89919, 11188),
(89936, 11427),
(89937, 11428),
(89938, 11429),
(89939, 11430),
(89940, 11431),
(89941, 11197),
(89942, 11528),
(89944, 11400),
(89945, 14324),
(89946, 11201),
(89947, 11202),
(89948, 11203),
(89949, 11204),
(89950, 11205),
(89955, 11206),
(89956, 11208),
(89957, 11209),
(89958, 12480),
(90002, 12280),
(90003, 11219),
(90004, 11220),
(90005, 11221),
(90028, 12521),
(90030, 11231),
(90037, 11229),
(90044, 11234),
(90045, 11236),
(90051, 11239),
(90052, 11404),
(90053, 11536),
(90057, 11241),
(90058, 12525),
(90059, 11243),
(90060, 11244),
(90061, 11245),
(90062, 11246),
(90063, 11248),
(90064, 11249),
(90069, 11901),
(90070, 11255),
(90071, 11256),
(90072, 11259),
(90073, 11530),
(90074, 11261),
(90075, 11529),
(90076, 11713),
(90077, 11262),
(90078, 11714),
(90079, 11722),
(90080, 11964),
(90081, 11965),
(90082, 11347),
(90083, 11348),
(90084, 11349),
(90085, 11266),
(90086, 11592),
(90087, 11268),
(90088, 11269),
(90089, 11270),
(90090, 11271),
(90092, 11272),
(90093, 12481),
(90094, 12482),
(90099, 11279),
(90100, 11280),
(90101, 11281),
(90102, 11345),
(90103, 11283),
(90104, 11284),
(90105, 11416),
(90106, 11286),
(90107, 11417),
(90108, 11288),
(90109, 11289),
(90110, 11290),
(90111, 11418),
(90112, 11419),
(90114, 11420),
(90116, 11401),
(90117, 11402),
(90118, 11297),
(90119, 11298),
(90120, 11299),
(90121, 11300),
(90122, 11301),
(90123, 11302),
(90124, 11303),
(90125, 11304),
(90126, 11305),
(90128, 11306),
(90130, 11307),
(90131, 11308),
(90132, 11309),
(90133, 11310),
(90134, 11311),
(90135, 11312),
(90136, 11313),
(90137, 11314),
(90138, 11315),
(90139, 11317),
(90140, 11318),
(90141, 11320),
(90142, 11322),
(90143, 11323),
(90146, 11449),
(90148, 11448),
(90149, 11329),
(90150, 11330),
(90151, 11331),
(90152, 11332),
(90153, 11333),
(90157, 11334),
(90158, 11335),
(90159, 11336),
(90160, 11337),
(90161, 11338),
(90162, 11339),
(90163, 11340),
(90164, 11341),
(90166, 11342),
(90167, 11343),
(90168, 11344),
(90169, 11346),
(90172, 11350),
(90173, 11351),
(90174, 11352),
(90175, 11353),
(90176, 11354),
(90177, 11355),
(90178, 12528),
(90179, 11466),
(90180, 11369),
(90182, 11465),
(90183, 11468),
(90184, 11447),
(90185, 11446),
(90186, 11414),
(90187, 11415),
(90188, 11371),
(90191, 11372),
(90192, 11396),
(90195, 11374),
(90196, 11375),
(90200, 11384),
(90202, 11385),
(90203, 11386),
(90205, 11389),
(90206, 11379),
(90213, 11388),
(90217, 11390),
(90218, 11391),
(90221, 11392),
(90222, 11393),
(90223, 11394),
(90224, 11403),
(90225, 11398),
(90226, 11399),
(90232, 11437),
(90242, 11407),
(90243, 11408),
(90244, 11409),
(90272, 11422),
(90273, 11423),
(90274, 11424),
(90275, 11450),
(90276, 11451),
(90277, 11452),
(90278, 11453),
(90279, 11454),
(90280, 11456),
(90285, 11432),
(90286, 11433),
(90291, 11438),
(90293, 12484),
(90294, 12483),
(90295, 14326),
(90321, 11445),
(90353, 11457),
(90406, 12527),
(90441, 11470),
(90443, 12076),
(90444, 12074),
(90445, 12085),
(90446, 12077),
(90447, 12084),
(90448, 12079),
(90449, 12095),
(90450, 12083),
(90451, 12110),
(90452, 12078),
(90453, 12081),
(90462, 12075),
(90478, 12526),
(90490, 11510),
(90493, 11511),
(90504, 12485),
(90505, 12486),
(90506, 12487),
(90507, 11515),
(90539, 12458),
(90540, 11517),
(90547, 11518),
(90550, 11571),
(90558, 11631),
(90559, 11633),
(90560, 11936),
(90561, 11937),
(90620, 11532),
(90622, 11534),
(90624, 11541),
(90627, 11663),
(90629, 12533),
(90630, 12529),
(90631, 12532),
(90632, 12488),
(90633, 12489),
(90689, 12531),
(90694, 12536),
(90700, 12538),
(90715, 11558),
(90716, 11559),
(90750, 11560),
(90751, 11561),
(90757, 11666),
(90762, 13337),
(90763, 12535),
(90777, 11761),
(90789, 11784),
(90797, 11572),
(90837, 12490),
(90838, 12491),
(90841, 11708),
(90843, 11577),
(90845, 11578),
(90851, 11579),
(90852, 11580),
(90854, 11581),
(90855, 11582),
(90856, 11583),
(90858, 11585),
(90859, 12459),
(90860, 11587),
(90861, 11661),
(90862, 11662),
(90867, 11590),
(90873, 11887),
(90874, 11593),
(90875, 11595),
(90887, 11596),
(90888, 11597),
(90913, 12041),
(90914, 12492),
(90915, 12040),
(90916, 12039),
(91125, 11607),
(91126, 11608),
(91127, 11612),
(91129, 13338),
(91130, 12534),
(91134, 11616),
(91135, 12097),
(91140, 11763),
(91141, 11619),
(91143, 12038),
(91153, 11623),
(91154, 12493),
(91155, 12494),
(91160, 11627),
(91161, 11628),
(91166, 11638),
(91167, 11636),
(91168, 11637),
(91172, 11639),
(91198, 11801),
(91211, 12537),
(91219, 12036),
(91220, 11664),
(91223, 11648),
(91224, 11649),
(91225, 11650),
(91226, 11651),
(91227, 11653),
(91231, 11667),
(91241, 12460),
(91242, 11669),
(91243, 11670),
(91248, 11671),
(91249, 13587),
(91250, 13020),
(91251, 13588),
(91252, 13018),
(91253, 13015),
(91254, 13016),
(91255, 11836),
(91256, 12497),
(91257, 12496),
(91258, 14128),
(91267, 11683),
(91268, 11684),
(91269, 11685),
(91270, 11686),
(91271, 11794),
(91272, 11691),
(91273, 11690),
(91274, 11692),
(91275, 11693),
(91277, 11694),
(91278, 11980),
(91279, 12567),
(91280, 12568),
(91281, 12566),
(91282, 11699),
(91283, 12565),
(91284, 11856),
(91285, 11709),
(91286, 11710),
(91287, 11711),
(91289, 11712),
(91290, 11716),
(91291, 11718),
(91292, 11719),
(91293, 11720),
(91294, 11723),
(91295, 11724),
(91296, 11907),
(91297, 11726),
(91299, 11730),
(91300, 12539),
(91301, 11731),
(91302, 11732),
(91303, 11736),
(91306, 11737),
(91307, 11740),
(91308, 11739),
(91309, 11741),
(91310, 11742),
(91311, 11743),
(91312, 11744),
(91313, 12037),
(91315, 11747),
(91316, 11748),
(91317, 11749),
(91318, 11750),
(91319, 11751),
(91320, 12540),
(91321, 12541),
(91323, 11908),
(91326, 11909),
(91327, 11764),
(91329, 11867),
(91332, 11868),
(91333, 11869),
(91334, 11769),
(91335, 11870),
(91336, 11871),
(91338, 12136),
(91340, 11773),
(91345, 11774),
(91348, 11775),
(91354, 11776),
(91357, 11777),
(91359, 11778),
(91366, 11779),
(91416, 11785),
(91417, 11786),
(91418, 11789),
(91419, 12879),
(91421, 11792),
(91422, 11987),
(91436, 11922),
(91437, 13022),
(91438, 13021),
(91439, 13023),
(91440, 13024),
(91446, 11800),
(91447, 11803),
(91449, 12403),
(91450, 11805),
(91451, 11806),
(91452, 11807),
(91453, 12404),
(91454, 11809),
(91455, 11810),
(91456, 11827),
(91457, 12405),
(91458, 11822),
(91459, 12406),
(91460, 11818),
(91461, 11820),
(91462, 12407),
(91463, 11824),
(91464, 11825),
(91465, 11826),
(91489, 11828),
(91490, 11829),
(91491, 11830),
(91492, 11831),
(91493, 11832),
(91494, 11833),
(91495, 11834),
(91496, 11835),
(91497, 12326),
(91498, 12327),
(91499, 11852),
(91500, 11840),
(91501, 11841),
(91502, 12240),
(91503, 11843),
(91508, 11844),
(91509, 11874),
(91510, 11875),
(91511, 11876),
(91512, 11853),
(91513, 11877),
(91514, 11850),
(91515, 11878),
(91517, 11879),
(91518, 11857),
(91519, 11858),
(91520, 11859),
(91521, 11860),
(91522, 11861),
(91523, 11905),
(91524, 11904),
(91525, 11902),
(91526, 11903),
(91539, 11881),
(91540, 12461),
(91541, 11883),
(91542, 11884),
(91543, 11885),
(91544, 11886),
(91547, 12498),
(91548, 12499),
(91549, 12500),
(91550, 12501),
(91551, 12502),
(91554, 11897),
(91555, 11898),
(91564, 11899),
(91573, 13635),
(91602, 12542),
(91603, 12545),
(91604, 12544),
(91607, 11915),
(91609, 11916),
(91610, 11917),
(91611, 11918),
(91612, 11919),
(91613, 11924),
(91614, 11921),
(91615, 11923),
(91616, 11925),
(91617, 11926),
(91627, 12543),
(91660, 11929),
(91674, 11930),
(91682, 12506),
(91683, 11933),
(91684, 12505),
(91686, 11938),
(91687, 11939),
(91688, 12504),
(91689, 11941),
(91690, 11942),
(91691, 11943),
(91692, 11944),
(91694, 13282),
(91695, 13283),
(91696, 12296),
(91697, 13280),
(91698, 12297),
(91699, 11951),
(91700, 13281),
(91701, 13278),
(91703, 13279),
(91704, 14127),
(91706, 13287),
(91708, 13284),
(91730, 13286),
(91739, 12152),
(91740, 12155),
(91758, 12503),
(91832, 11971),
(91833, 11970),
(91835, 11973),
(91836, 11974),
(91887, 11975),
(91899, 12274),
(91914, 11978),
(91915, 11979),
(91942, 12322),
(91949, 12293),
(91958, 12012),
(91960, 11990),
(91963, 12463),
(91968, 11993),
(91983, 12292),
(91984, 13339),
(91985, 12546),
(91986, 12547),
(91991, 12507),
(91998, 12508),
(92009, 12009),
(92062, 12550),
(92070, 13288),
(92074, 13289),
(92093, 12020),
(92094, 12552),
(92095, 12509),
(92100, 12021),
(92101, 12022),
(92102, 12023),
(92111, 12275),
(92112, 13620),
(92113, 13619),
(92130, 12029),
(92150, 12030),
(92152, 12323),
(92153, 12551),
(92164, 12393),
(92194, 12044),
(92195, 12045),
(92196, 12429),
(92201, 12464),
(92202, 12556),
(92203, 12555),
(92204, 12051),
(92205, 12118),
(92207, 12082),
(92210, 12055),
(92211, 12056),
(92212, 12132),
(92213, 12087),
(92215, 12088),
(92216, 12448),
(92217, 12090),
(92218, 12092),
(92219, 12112),
(92220, 12113),
(92221, 12094),
(92223, 12114),
(92224, 13291),
(92226, 12117),
(92232, 12553),
(92233, 12554),
(92234, 12248),
(92235, 12249),
(92236, 12250),
(92237, 12251),
(92238, 12252),
(92254, 13630),
(92255, 13631),
(92262, 12394),
(92277, 12513),
(92282, 12512),
(92283, 12511),
(92284, 12510),
(92307, 12131),
(92310, 12133),
(92311, 12134),
(92313, 12135),
(92317, 12137),
(92318, 12138),
(92320, 12395),
(92321, 12143),
(92322, 12142),
(92323, 12144),
(92325, 12604),
(92333, 12324),
(92347, 12244),
(92361, 12294),
(92364, 12295),
(92365, 12156),
(92366, 12656),
(92367, 12663),
(92386, 12162),
(92387, 12396),
(92394, 12557),
(92395, 12276),
(92399, 13632),
(92400, 13662),
(92401, 12277),
(92402, 13633),
(92403, 12278),
(92404, 13634),
(92405, 12177),
(92406, 12302),
(92407, 12298),
(92408, 12182),
(92409, 12300),
(92410, 12301),
(92411, 12303),
(92412, 12185),
(92413, 12583),
(92414, 12877),
(92415, 12188),
(92416, 12189),
(92417, 12190),
(92418, 12191),
(92419, 12192),
(92420, 12562),
(92421, 12561),
(92422, 12560),
(92423, 12563),
(92426, 12197),
(92427, 12198),
(92428, 12199),
(92429, 12200),
(92430, 12201),
(92431, 12202),
(92432, 12203),
(92434, 12206),
(92435, 12216),
(92436, 12221),
(92437, 12224),
(92438, 12225),
(92440, 12212),
(92441, 12213),
(92442, 12214),
(92449, 12217),
(92451, 12218),
(92452, 12219),
(92453, 12220),
(92454, 12222),
(92455, 12223),
(92456, 12226),
(92457, 12227),
(92458, 12228),
(92459, 12229),
(92460, 12266),
(92461, 12231),
(92462, 12232),
(92463, 12233),
(92464, 12234),
(92465, 12235),
(92466, 14129),
(92467, 12237),
(92468, 12238),
(92469, 12241),
(92470, 12242),
(92471, 12258),
(92472, 12245),
(92473, 12246),
(92475, 12284),
(92477, 12255),
(92478, 12291),
(92479, 12257),
(92480, 12269),
(92481, 12612),
(92482, 12515),
(92483, 12516),
(92484, 12514),
(92485, 12517),
(92486, 12281),
(92487, 12282),
(92488, 12283),
(92489, 12285),
(92490, 12286),
(92491, 12287),
(92492, 12290),
(92493, 12949),
(92497, 12299),
(92498, 12304),
(92499, 13621),
(92500, 12307),
(92502, 12310),
(92507, 12312),
(92508, 12313),
(92509, 12314),
(92519, 12669),
(92520, 12317),
(92521, 12318),
(92522, 12319),
(92523, 12320),
(92524, 12321),
(92525, 12425),
(92526, 12386),
(92527, 12330),
(92529, 12331),
(92530, 12332),
(92531, 12333),
(92533, 12335),
(92534, 12336),
(92535, 12337),
(92536, 12397),
(92537, 12392),
(92538, 12361),
(92539, 14168),
(92541, 12344),
(92546, 12345),
(92548, 12346),
(92550, 12348),
(92551, 12351),
(92552, 12367),
(92553, 12354),
(92554, 12358),
(92555, 12356),
(92556, 12357),
(92557, 12362),
(92558, 12364),
(92559, 12365),
(92560, 12368),
(92561, 12370),
(92562, 12371),
(92577, 13005),
(92578, 13007),
(92579, 13010),
(92580, 13011),
(92581, 13006),
(92582, 13009),
(92583, 13008),
(92584, 27889),
(92585, 13012),
(92586, 12398),
(92587, 12595),
(92588, 12401),
(92589, 12402),
(92590, 12465),
(92594, 12387),
(92597, 12388),
(92598, 12389),
(92599, 12390),
(92600, 12391),
(92617, 13663),
(92623, 13598),
(92624, 12413),
(92625, 12428),
(92628, 13768),
(92629, 12559),
(92632, 12569),
(92633, 12571),
(92634, 12572),
(92635, 12573),
(92638, 12575),
(92647, 12570),
(92663, 13293),
(92664, 13292),
(92670, 12430),
(92679, 12590),
(92687, 12433),
(92688, 12434),
(92689, 12449),
(92690, 12450),
(92691, 12451),
(92693, 12456),
(92694, 12452),
(92695, 12453),
(92696, 12454),
(92697, 14130),
(92698, 12455),
(92711, 13290),
(92727, 12576),
(92728, 12577),
(92729, 13121),
(92733, 13597),
(92734, 12625),
(92736, 12624),
(92743, 12587),
(92814, 12591),
(92831, 13275),
(92833, 24545),
(92834, 12622),
(92840, 12626),
(92843, 12601),
(92846, 12654),
(92850, 12603),
(92851, 16439),
(92852, 12632),
(92853, 12607),
(92854, 12608),
(92855, 13262),
(92856, 12613),
(92980, 12618),
(92992, 12620),
(93069, 13276),
(93070, 13277),
(93079, 12631),
(93085, 13243),
(93088, 13294),
(93091, 13242),
(93092, 13241),
(93093, 13240),
(93094, 13311),
(93095, 13244),
(93096, 13245),
(93098, 13246),
(93103, 13312),
(93104, 13309),
(93105, 13317),
(93106, 13316),
(93134, 12657),
(93135, 12658),
(93189, 12661),
(93190, 12763),
(93191, 13069),
(93192, 13072),
(93193, 13171),
(93237, 12670),
(93308, 13657),
(93322, 12698),
(93323, 13260),
(93324, 12689),
(93325, 12691),
(93340, 12677),
(93341, 12678),
(93342, 12679),
(93359, 13066),
(93361, 12682),
(93362, 13004),
(93363, 13003),
(93364, 13013),
(93365, 13014),
(93366, 12687),
(93367, 12693),
(93368, 12694),
(93378, 13615),
(93380, 12699),
(93382, 12700),
(93383, 12701),
(93438, 12771),
(93439, 12772),
(93440, 12773),
(93441, 13067),
(93442, 13104),
(93444, 12919),
(93449, 12711),
(93455, 12713),
(93463, 13092),
(93464, 12722),
(93465, 12723),
(93503, 12725),
(93504, 12726),
(93512, 13055),
(93752, 13610),
(93753, 13611),
(93756, 14327),
(93767, 12736),
(93768, 12737),
(93775, 13078),
(93776, 13079),
(93777, 12757),
(93778, 12748),
(93779, 13658),
(93795, 13249),
(93796, 13247),
(93797, 13248),
(93798, 12751),
(93799, 13252),
(93802, 13251),
(93803, 13250),
(93804, 12759),
(93806, 12758),
(93807, 12760),
(93834, 12764),
(93844, 13080),
(93893, 13062),
(93902, 13612),
(93941, 12783),
(93942, 12784),
(93957, 14131),
(93958, 13331),
(93959, 13326),
(93960, 14294),
(93961, 13314),
(93962, 13328),
(93963, 12801),
(93964, 13308),
(93965, 13334),
(93966, 13332),
(93967, 14295),
(93968, 13333),
(93975, 13625),
(93977, 13581),
(93978, 13582),
(93979, 12813),
(93982, 13583),
(93983, 16176),
(93989, 13626),
(93994, 12818),
(93997, 12819),
(94006, 13627),
(94009, 12821),
(94011, 12823),
(94012, 12824),
(94013, 12825),
(94014, 12847),
(94015, 12868),
(94016, 12828),
(94017, 12829),
(94018, 13155),
(94019, 13001),
(94020, 12832),
(94021, 12833),
(94022, 12834),
(94023, 13629),
(94024, 12836),
(94025, 13628),
(94026, 13154),
(94027, 12839),
(94028, 13594),
(94029, 12842),
(94030, 13593),
(94031, 12844),
(94033, 13659),
(94034, 13670),
(94035, 12849),
(94036, 13671),
(94037, 13672),
(94038, 13673),
(94039, 13660),
(94040, 13666),
(94041, 13667),
(94042, 13668),
(94043, 13669),
(94044, 13295),
(94047, 12862),
(94049, 12861),
(94052, 12863),
(94053, 12865),
(94055, 12870),
(94056, 12872),
(94058, 12896),
(94059, 12876),
(94061, 12878),
(94062, 13296),
(94074, 13081),
(94075, 12886),
(94077, 12887),
(94079, 12894),
(94080, 12889),
(94081, 12890),
(94082, 12891),
(94083, 12893),
(94087, 13297),
(94112, 13298),
(94123, 13299),
(94128, 13300),
(94135, 13301),
(94141, 13302),
(94143, 13304),
(94153, 12907),
(94154, 12908),
(94155, 12909),
(94156, 12910),
(94157, 12911),
(94171, 12912),
(94181, 13059),
(94182, 13064),
(94183, 12918),
(94184, 12921),
(94185, 12920),
(94186, 12922),
(94187, 12923),
(94188, 12925),
(94189, 12926),
(94190, 12928),
(94191, 12929),
(94192, 12930),
(94193, 12931),
(94194, 12932),
(94195, 12933),
(94196, 12934),
(94200, 12935),
(94204, 12936),
(94209, 12937),
(94211, 13637),
(94213, 13707),
(94221, 12943),
(94224, 12945),
(94225, 12946),
(94226, 13665),
(94230, 12948),
(94234, 12950),
(94246, 14426),
(94247, 29766),
(94248, 12957),
(94252, 12958),
(94258, 12959),
(94259, 12960),
(94260, 12961),
(94261, 12962),
(94262, 12963),
(94273, 12965),
(94276, 13085),
(94277, 12971),
(94280, 12972),
(94283, 12977),
(94284, 12979),
(94285, 12980),
(94296, 12982),
(94310, 13253),
(94311, 13254),
(94312, 13269),
(94313, 13270),
(94314, 12989),
(94315, 12991),
(94316, 12992),
(94317, 12993),
(94318, 12994),
(94319, 12995),
(94350, 12996),
(94359, 17526),
(94360, 17527),
(94364, 13002),
(94376, 13027),
(94377, 13028),
(94383, 13073),
(94384, 13074),
(94386, 13075),
(94395, 13076),
(94410, 13077),
(94413, 31324),
(94422, 13038),
(94425, 13039),
(94426, 13042),
(94427, 13043),
(94428, 13044),
(94429, 13046),
(94430, 13048),
(94431, 13050),
(94433, 13051),
(94434, 13052),
(94435, 13586),
(94436, 13060),
(94437, 13057),
(94438, 13063),
(94439, 13065),
(94440, 13068),
(94446, 13613),
(94447, 13614),
(94448, 13769),
(94449, 13770),
(94450, 13771),
(94451, 13090),
(94453, 13091),
(94454, 13094),
(94456, 13095),
(94458, 13097),
(94460, 13272),
(94461, 13271),
(94509, 13101),
(94554, 13661),
(94602, 19237),
(94651, 13115),
(94654, 13117),
(94655, 13120),
(94660, 13122),
(94661, 13123),
(94662, 13124),
(94663, 13125),
(94664, 13126),
(94665, 13567),
(94719, 13322),
(94721, 13319),
(94794, 13138),
(94820, 13140),
(94839, 13323),
(94840, 14284),
(94877, 13325),
(94882, 13305),
(95039, 13680),
(95119, 13321),
(95120, 13327),
(95144, 20846),
(95146, 20840),
(95147, 20845),
(95149, 20849),
(95260, 13261),
(95344, 13273),
(95345, 13274),
(95359, 13390),
(95360, 13389),
(95361, 13388),
(95362, 13647),
(95363, 13186),
(95364, 13167),
(95401, 13440),
(95402, 13452),
(95403, 13449),
(95404, 13638),
(95405, 13736),
(95406, 13811),
(95407, 13812),
(95408, 13905),
(95409, 13974),
(95410, 14158),
(95411, 14228),
(95412, 14441),
(95441, 13189),
(95442, 13340),
(95443, 13341),
(95447, 13263),
(95448, 13264),
(95449, 13220),
(95450, 13265),
(95452, 13605),
(95465, 13205),
(95466, 13266),
(95478, 14252),
(95481, 13212),
(95482, 13216),
(95483, 13217),
(95492, 13219),
(95521, 13221),
(95522, 13342),
(95528, 13223),
(95529, 13310),
(95530, 13315),
(95548, 13458),
(95549, 13267),
(95550, 13268),
(95560, 13606),
(95561, 13453),
(95563, 16174),
(95564, 16175),
(95565, 13239),
(95566, 13238),
(95576, 13257),
(95577, 13258),
(95578, 13618),
(95585, 13354),
(95590, 13420),
(95591, 13345),
(95595, 13346),
(95598, 13347),
(95611, 13351),
(95612, 13352),
(95633, 13355),
(95659, 13607),
(95660, 13379),
(95661, 13380),
(95662, 13368),
(95663, 13369),
(95672, 13372),
(95673, 13566),
(95678, 13381),
(95679, 13694),
(95680, 13692),
(95693, 13384),
(95694, 13394),
(95697, 13386),
(95698, 13387),
(95708, 13392),
(95719, 13398),
(95720, 13397),
(95721, 13399),
(95725, 13400),
(95726, 14132),
(95729, 13403),
(95731, 13404),
(95732, 13622),
(95737, 13408),
(95738, 13409),
(95739, 13410),
(95740, 13411),
(95741, 13412),
(95742, 13413),
(95743, 13414),
(95751, 13415),
(95752, 13416),
(95753, 13417),
(95754, 13418),
(95761, 13419),
(95763, 13421),
(95765, 13423),
(95766, 13424),
(95767, 13425),
(95768, 13426),
(95769, 13427),
(95770, 13428),
(95771, 13429),
(95772, 13430),
(95773, 13431),
(95774, 13432),
(95775, 13433),
(95776, 13434),
(95777, 13435),
(95778, 13436),
(95779, 13437),
(95780, 13438),
(95781, 13439),
(95782, 13441),
(95785, 13443),
(95786, 13444),
(95787, 13445),
(95788, 13446),
(95789, 13447),
(95790, 13575),
(95791, 13454),
(95792, 13595),
(95793, 13740),
(95794, 13457),
(95795, 13459),
(95796, 13460),
(95797, 13463),
(95798, 13462),
(95799, 19007),
(95800, 19008),
(95801, 13466),
(95803, 13467),
(95805, 13468),
(95806, 19009),
(95807, 13470),
(95808, 19010),
(95809, 13472),
(95810, 13473),
(95814, 13475),
(95815, 13477),
(95817, 13479),
(95818, 13800),
(95819, 13481),
(95821, 13482),
(95823, 13484),
(95825, 13486),
(95826, 13487),
(95831, 13489),
(95832, 13490),
(95833, 13491),
(95834, 13492),
(95835, 13642),
(95836, 13494),
(95837, 13643),
(95838, 13644),
(95839, 13645),
(95841, 13646),
(95842, 13499),
(95848, 13500),
(95850, 13502),
(95851, 13503),
(95852, 13504),
(95853, 13505),
(95854, 13506),
(95855, 16206),
(95856, 13508),
(95857, 13763),
(95858, 13510),
(95859, 13511),
(95860, 13512),
(95861, 13513),
(95865, 13514),
(95866, 14195),
(95867, 13516),
(95868, 13517),
(95869, 14196),
(95870, 13518),
(95872, 13519),
(95873, 13520),
(95874, 13521),
(95875, 13522),
(95876, 13530),
(95877, 13539),
(95880, 13525),
(95887, 13527),
(95888, 13528),
(95889, 13529),
(95902, 13531),
(95903, 13532),
(95904, 13592),
(95905, 13534),
(95906, 13536),
(95912, 13537),
(95913, 13541),
(95914, 13542),
(95917, 13544),
(95918, 13557),
(95920, 13546),
(95921, 13549),
(95922, 13552),
(95923, 13553),
(95924, 13551),
(95925, 13554),
(95926, 13599),
(95928, 13559),
(95929, 13623),
(95930, 13624),
(95931, 13563),
(95932, 13564),
(95933, 13608),
(95940, 13569),
(95941, 13570),
(95945, 13572),
(95946, 13901),
(95947, 13574),
(95949, 3285),
(95950, 13576),
(95951, 13577),
(95952, 13578),
(95960, 13579),
(95961, 13580),
(95962, 13664),
(95963, 14256),
(95964, 13656),
(95965, 13655),
(95991, 13600),
(95992, 13601),
(95995, 13617),
(95997, 13616),
(96154, 13650),
(96158, 13653),
(96288, 13676),
(96330, 15770),
(96332, 13679),
(96336, 13681),
(96337, 13682),
(96341, 13683),
(96395, 13687),
(96417, 13689),
(96431, 13695),
(96432, 13696),
(96454, 13698),
(96568, 13703),
(96570, 13704),
(96571, 13705),
(96572, 13706),
(96574, 13783),
(96575, 13709),
(96577, 13710),
(96593, 13963),
(96594, 13966),
(96595, 13967),
(96596, 13968),
(96597, 13969),
(96612, 13722),
(96624, 13723),
(96639, 13989),
(96640, 13729),
(96641, 13730),
(96642, 13732),
(96644, 13735),
(96645, 13738),
(96648, 13797),
(96657, 13746),
(96659, 13749),
(96660, 13750),
(96661, 13751),
(96662, 13752),
(96663, 13754),
(96664, 13853),
(96665, 13945),
(96666, 13955),
(96667, 14136),
(96669, 13759),
(96673, 13762),
(96677, 13767),
(96680, 13781),
(96681, 13773),
(96682, 13774),
(96683, 13776),
(96684, 13782),
(96701, 13981),
(96731, 13868),
(96732, 13790),
(96733, 13788),
(96734, 13791),
(96736, 13794),
(96737, 13795),
(96738, 13801),
(96739, 13799),
(96741, 13803),
(96743, 13804),
(96752, 13872),
(96753, 13806),
(96755, 13895),
(96756, 13809),
(96757, 13808),
(96758, 13810),
(96765, 13817),
(96766, 13816),
(96768, 13818),
(96769, 13819),
(96770, 13820),
(96771, 13821),
(96772, 13822),
(96773, 13823),
(96774, 13824),
(96775, 13825),
(96782, 13831),
(96785, 13832),
(96803, 13833),
(96809, 14048),
(96820, 13835),
(96827, 13990),
(96886, 13839),
(96887, 13842),
(96888, 13841),
(96991, 13848),
(96993, 13851),
(97002, 13982),
(97003, 14108),
(97016, 13855),
(97017, 13856),
(97018, 13857),
(97019, 13858),
(97020, 13859),
(97069, 13860),
(97071, 13861),
(97073, 13862),
(97115, 13867),
(97146, 13870),
(97147, 13873),
(97148, 13897),
(97150, 13875),
(97152, 13876),
(97160, 13902),
(97162, 13991),
(97168, 13885),
(97169, 13886),
(97170, 13887),
(97171, 13888),
(97172, 13889),
(97177, 13893),
(97181, 13898),
(97215, 13904),
(97220, 13906),
(97221, 13983),
(97233, 19011),
(97234, 19012),
(97235, 19013),
(97236, 19014),
(97237, 19015),
(97238, 13918),
(97239, 13919),
(97240, 13920),
(97248, 30309),
(97249, 13928),
(97250, 18814),
(97251, 13934),
(97252, 13935),
(97253, 13937),
(97254, 13938),
(97255, 13939),
(97256, 13956),
(97257, 13957),
(97258, 13958),
(97259, 13960),
(97260, 13959),
(97262, 13946),
(97264, 13947),
(97266, 13949),
(97267, 13950),
(97268, 13951),
(97269, 13953),
(97270, 13954),
(97277, 13965),
(97284, 13970),
(97285, 13971),
(97286, 13985),
(97289, 13986),
(97290, 13979),
(97291, 15034),
(97296, 14117),
(97298, 14185),
(97299, 14092),
(97301, 13993),
(97302, 13994),
(97303, 13995),
(97304, 13996),
(97305, 13997),
(97306, 13998),
(97307, 13999),
(97308, 14000),
(97309, 14003),
(97310, 14002),
(97311, 14004),
(97312, 14005),
(97313, 14006),
(97314, 14007),
(97315, 14008),
(97316, 14009),
(97317, 14010),
(97318, 14011),
(97320, 14012),
(97322, 14013),
(97323, 14100),
(97324, 14101),
(97325, 14016),
(97326, 14102),
(97327, 14018),
(97328, 14103),
(97329, 14104),
(97330, 14022),
(97331, 14024),
(97332, 14025),
(97333, 14026),
(97336, 14027),
(97342, 14028),
(97343, 14029),
(97346, 14030),
(97348, 14031),
(97350, 14032),
(97352, 14033),
(97353, 14034),
(97354, 14035),
(97355, 14036),
(97357, 14038),
(97358, 14039),
(97361, 14040),
(97363, 14041),
(97368, 14042),
(97423, 14045),
(97426, 14046),
(97428, 14047),
(97429, 14051),
(97430, 14050),
(97431, 14052),
(97432, 14053),
(97433, 14122),
(97441, 14055),
(97442, 14070),
(97443, 14061),
(97444, 14058),
(97445, 14059),
(97446, 14060),
(97447, 17184),
(97448, 17185),
(97449, 14064),
(97450, 14150),
(97451, 14153),
(97453, 14069),
(97454, 14071),
(97460, 14072),
(97466, 14073),
(97467, 14075),
(97468, 14076),
(97469, 14461),
(97470, 14463),
(97471, 14085),
(97472, 14080),
(97473, 14081),
(97474, 14083),
(97475, 14084),
(97476, 14086),
(97477, 14098),
(97478, 14094),
(97487, 14126),
(97493, 14105),
(97496, 14106),
(97504, 14109),
(97514, 14111),
(97515, 14112),
(97523, 14120),
(97524, 14119),
(97543, 14121),
(97544, 14123),
(97607, 14133),
(97620, 14135),
(97660, 14138),
(97665, 14157),
(97668, 14155),
(97669, 18992),
(97670, 29764),
(97671, 14148),
(97672, 14151),
(97673, 14154),
(97682, 14176),
(97704, 14161),
(97705, 14162),
(97706, 14163),
(97707, 14164),
(97710, 14165),
(97711, 14166),
(97712, 14167),
(97739, 14173),
(97816, 14482),
(97825, 14177),
(97826, 14178),
(97827, 14180),
(97829, 14181),
(97853, 14233),
(97854, 14184),
(97864, 14254),
(97879, 14260),
(97880, 14261),
(97881, 14732),
(97882, 14731),
(97883, 14733),
(97916, 16688),
(97922, 14194),
(97934, 14198),
(97946, 14200),
(98044, 14207),
(98045, 22922),
(98058, 14209),
(98064, 14221),
(98066, 14212),
(98067, 14213),
(98068, 14215),
(98071, 14218),
(98121, 14229),
(98126, 18823),
(98131, 14231),
(98139, 14232),
(98153, 14236),
(98158, 14237),
(98160, 14238),
(98162, 14239),
(98171, 14240),
(98201, 14241),
(98203, 14622),
(98204, 14244),
(98205, 14245),
(98207, 14246),
(98208, 14248),
(98209, 14249),
(98213, 14255),
(98235, 14281),
(98236, 14282),
(98281, 14312),
(98290, 14270),
(98291, 22923),
(98292, 14275),
(98293, 14276),
(98294, 14406),
(98295, 14408),
(98296, 14409),
(98297, 14280),
(98300, 14283),
(98301, 14317),
(98302, 14288),
(98303, 14289),
(98304, 14291),
(98305, 14292),
(98306, 14296),
(98307, 14297),
(98338, 14301),
(98384, 14370),
(98388, 14308),
(98389, 14309),
(98394, 14314),
(98399, 14623),
(98400, 14624),
(98401, 14495),
(98428, 14323),
(98438, 14329),
(98439, 14330),
(98448, 14331),
(98451, 14332),
(98452, 14334),
(98459, 14335),
(98460, 14359),
(98461, 14360),
(98462, 14339),
(98463, 14341),
(98464, 14635),
(98468, 14345),
(98469, 14346),
(98471, 14355),
(98472, 14356),
(98473, 14357),
(98489, 14369),
(98496, 14363),
(98497, 14631),
(98498, 14497),
(98499, 22924),
(98551, 14372),
(98554, 14373),
(98555, 14374),
(98556, 14375),
(98558, 14381),
(98560, 14380),
(98561, 14476),
(98563, 14475),
(98564, 14472),
(98565, 14392),
(98566, 14393),
(98567, 14394),
(98568, 14395),
(98569, 14396),
(98573, 22925),
(98576, 14398),
(98577, 16326),
(98578, 14401),
(98603, 14402),
(98611, 14403),
(98612, 14404),
(98614, 14410),
(98615, 14412),
(98616, 14413),
(98617, 14421),
(98620, 14711),
(98624, 14712),
(98625, 16177),
(98626, 14432),
(98630, 14431),
(98637, 14470),
(98638, 14454),
(98639, 14654),
(98648, 14438),
(98649, 14443),
(98650, 14444),
(98651, 14453),
(98652, 14447),
(98653, 14448),
(98654, 14449),
(98655, 14450),
(98656, 14451),
(98657, 14452),
(98658, 14456),
(98659, 14457),
(98660, 14653),
(98661, 14459),
(98663, 14460),
(98664, 14462),
(98666, 14464),
(98667, 14466),
(98668, 14467),
(98669, 14468),
(98670, 14469),
(98671, 14471),
(98672, 14473),
(98675, 14477),
(98676, 14478),
(98677, 14479),
(98678, 14480),
(98679, 14481),
(98681, 14483),
(98684, 14484),
(98685, 14485),
(98686, 14486),
(98707, 14780),
(98708, 14781),
(98709, 14492),
(98710, 14493),
(98711, 14515),
(98712, 14517),
(98713, 14519),
(98714, 14520),
(98715, 14506),
(98716, 14508),
(98717, 14509),
(98718, 14615),
(98719, 14511),
(98720, 14512),
(98721, 14513),
(98722, 14514),
(98724, 14761),
(98725, 14757),
(98726, 14759),
(98727, 14760),
(98747, 14528),
(98749, 14532),
(98757, 14538),
(98758, 18993),
(98759, 14536),
(98760, 14539),
(98956, 14716),
(98957, 14717),
(98959, 14543),
(98960, 14544),
(98961, 14545),
(98962, 19016),
(98963, 19017),
(98964, 14549),
(98966, 14614),
(98969, 14587),
(98971, 14588),
(98972, 14589),
(98986, 14557),
(98988, 14558),
(98990, 14559),
(98993, 14560),
(98995, 14597),
(98997, 14562),
(99005, 14566),
(99006, 14568),
(99009, 14570),
(99010, 14571),
(99011, 14574),
(99012, 14575),
(99013, 14576),
(99014, 15649),
(99015, 14578),
(99029, 14585),
(99030, 14586),
(99035, 14606),
(99038, 14598),
(99040, 14599),
(99048, 14607),
(99051, 14683),
(99052, 14682),
(99064, 14608),
(99070, 14609),
(99072, 14612),
(99083, 14616),
(99094, 14618),
(99100, 14620),
(99113, 14621),
(99279, 14675),
(99418, 14632),
(99420, 14641),
(99423, 14639),
(99432, 14644),
(99433, 14646),
(99434, 14652),
(99435, 14650),
(99436, 14647),
(99437, 14648),
(99438, 14649),
(99449, 14658),
(99457, 14661),
(99458, 14662),
(99512, 14665),
(99525, 14666),
(99526, 14667),
(99533, 14857),
(99534, 14672),
(99545, 14676),
(99546, 14677),
(99559, 14679),
(99564, 14680),
(99568, 14681),
(99598, 23006),
(99666, 14684),
(99667, 14688),
(99668, 14721),
(99669, 14690),
(99672, 14692),
(99674, 14694),
(99675, 14695),
(99676, 14696),
(99678, 14697),
(99679, 14698),
(99683, 14700),
(99685, 14705),
(99687, 14706),
(99690, 14707),
(99692, 15208),
(99694, 14725),
(99773, 15120),
(99787, 14722),
(99791, 14723),
(99792, 14724),
(99892, 14726),
(99893, 14727),
(99961, 14729),
(99965, 14734),
(99966, 14735),
(99967, 15083),
(99968, 15613),
(99969, 15085),
(99973, 14740),
(99974, 14743),
(99975, 14744),
(99979, 14783),
(99980, 14750),
(99986, 14849),
(99992, 15118),
(100003, 14764),
(100056, 14767),
(100058, 14768),
(100129, 16813),
(100170, 14769),
(100171, 14770),
(100172, 14771),
(100188, 14773),
(100189, 14774),
(100224, 15132),
(100243, 14848),
(100244, 14850),
(100262, 14851),
(100264, 14852),
(100265, 14853),
(100266, 14854),
(100267, 18236),
(100268, 14856),
(100269, 14858),
(100270, 14860),
(100272, 14861),
(100279, 16187),
(100296, 15116),
(100297, 14864),
(100309, 14865),
(100310, 14866),
(100332, 14871),
(100333, 14872),
(100334, 14873),
(100335, 14874),
(100336, 14875),
(100340, 14876),
(100341, 14877),
(100342, 17900),
(100343, 14879),
(100349, 14880),
(100358, 14881),
(100359, 14882),
(100362, 14883),
(100365, 14884),
(100367, 14885),
(100368, 14886),
(100373, 14887),
(100389, 14888),
(100393, 14889),
(100394, 15134),
(100396, 14891),
(100400, 14892),
(100401, 14893),
(100402, 14894),
(100403, 14895),
(100404, 14896),
(100413, 14897),
(100447, 14899),
(100448, 14900),
(100449, 14902),
(100451, 14907),
(100452, 14906),
(100453, 15032),
(100455, 14911),
(100459, 14910),
(100467, 14912),
(100470, 14913),
(100471, 14914),
(100472, 14915),
(100475, 14916),
(100480, 14917),
(100487, 19018),
(100489, 14920),
(100490, 14926),
(100491, 19019),
(100492, 15632),
(100493, 14925),
(100494, 15209),
(100516, 14932),
(100518, 15101),
(100523, 14934),
(100525, 14935),
(100526, 14936),
(100528, 14937),
(100530, 14938),
(100531, 15316),
(100535, 14940),
(100537, 14941),
(100538, 14942),
(100539, 14943),
(100540, 14944),
(100562, 14946),
(100563, 15050),
(100564, 14948),
(100566, 14949),
(100567, 14950),
(100569, 14952),
(100570, 14953),
(100571, 14954),
(100572, 14955),
(100573, 14956),
(100574, 14957),
(100575, 14958),
(100578, 15182),
(100580, 15181),
(100582, 16419),
(100583, 14962),
(100584, 15110),
(100585, 14964),
(100586, 14982),
(100587, 14968),
(100588, 14967),
(100589, 14969),
(100590, 14970),
(100591, 14971),
(100592, 14972),
(100593, 14973),
(100594, 14984),
(100595, 14975),
(100596, 14976),
(100597, 15705),
(100598, 14979),
(100599, 14981),
(100600, 14983),
(100601, 14986),
(100602, 14987),
(100603, 14988),
(100604, 14989),
(100605, 14991),
(100606, 14992),
(100609, 14993),
(100611, 14995),
(100612, 14996),
(100613, 14997),
(100614, 14998),
(100615, 15024),
(100616, 15000),
(100617, 15001),
(100618, 15003),
(100619, 15004),
(100620, 15005),
(100621, 15015),
(100622, 15010),
(100623, 15009),
(100624, 15011),
(100625, 15012),
(100626, 15122),
(100627, 15123),
(100628, 15018),
(100629, 15124),
(100630, 15022),
(100631, 15023),
(100639, 15025),
(100640, 15026),
(100643, 15642),
(100644, 15644),
(100646, 15645),
(100647, 15647),
(100649, 15646),
(100650, 15648),
(100668, 15037),
(100669, 15250),
(100675, 15117),
(100676, 15060),
(100677, 15617),
(100682, 15098),
(100683, 15046),
(100684, 15047),
(100685, 15048),
(100686, 15049),
(100687, 15618),
(100688, 15619),
(100689, 15094),
(100690, 15095),
(100693, 15062),
(100694, 15620),
(100695, 15064),
(100696, 15065),
(100697, 15621),
(100698, 15068),
(100699, 15069),
(100700, 15071),
(100702, 15135),
(100704, 15073),
(100705, 15075),
(100706, 15077),
(100707, 15080),
(100708, 15079),
(100709, 15103),
(100710, 15086),
(100712, 15088),
(100713, 15089),
(100718, 15090),
(100740, 15097),
(100745, 15100),
(100746, 17503),
(100747, 15104),
(100748, 15106),
(100749, 15109),
(100750, 15133),
(100751, 15113),
(100752, 22918),
(100756, 15125),
(100758, 15126),
(100759, 15128),
(100760, 15129),
(100761, 15130),
(100762, 15131),
(100788, 15144);
INSERT INTO `codev_timetrack_note_table` (`timetrackid`, `noteid`) VALUES
(100789, 15143),
(100790, 15142),
(100791, 15145),
(100795, 15146),
(100808, 15148),
(100812, 15149),
(100813, 15151),
(100814, 15152),
(100815, 15163),
(100816, 15154),
(100817, 15155),
(100818, 15164),
(100819, 15168),
(100822, 15160),
(100823, 15161),
(100824, 15165),
(100825, 15166),
(100826, 15167),
(100829, 15170),
(100830, 15655),
(100833, 15172),
(100837, 15173),
(100839, 15174),
(100840, 15175),
(100852, 15176),
(100879, 15177),
(100891, 15232),
(100950, 15195),
(100951, 15184),
(100955, 15185),
(100959, 15186),
(100962, 15187),
(100963, 15188),
(100977, 15194),
(100982, 15196),
(101030, 15197),
(101032, 15198),
(101033, 15199),
(101034, 15201),
(101035, 15202),
(101036, 15203),
(101037, 15204),
(101038, 15205),
(101039, 15206),
(101042, 16779),
(101045, 15207),
(101057, 23007),
(101084, 15210),
(101092, 15341),
(101093, 15612),
(101094, 15343),
(101095, 15406),
(101096, 15408),
(101098, 15434),
(101117, 15297),
(101167, 15605),
(101168, 15651),
(101172, 15222),
(101173, 15223),
(101175, 15224),
(101176, 15225),
(101177, 15226),
(101178, 15230),
(101179, 15228),
(101180, 15231),
(101198, 15241),
(101210, 16184),
(101211, 16185),
(101212, 16212),
(101214, 15240),
(101236, 15245),
(101246, 15249),
(101249, 15248),
(101268, 15611),
(101269, 15253),
(101282, 15254),
(101283, 15255),
(101302, 15256),
(101324, 15676),
(101325, 15675),
(101329, 15643),
(101332, 15538),
(101333, 15445),
(101355, 15314),
(101367, 15268),
(101369, 15269),
(101370, 15276),
(101371, 15271),
(101373, 15272),
(101374, 15285),
(101398, 15278),
(101399, 15281),
(101400, 15697),
(101403, 16151),
(101412, 15286),
(101413, 15677),
(101419, 15291),
(101442, 15292),
(101443, 15295),
(101445, 15294),
(101454, 16211),
(101456, 15302),
(101460, 18824),
(101467, 15308),
(101469, 15309),
(101471, 15726),
(101477, 15652),
(101480, 15326),
(101486, 15317),
(101491, 15318),
(101492, 15654),
(101495, 15324),
(101496, 15630),
(101497, 15328),
(101510, 15333),
(101511, 15334),
(101512, 15335),
(101513, 15336),
(101514, 15337),
(101515, 15338),
(101516, 15339),
(101517, 15340),
(101518, 15342),
(101519, 15345),
(101520, 15346),
(101525, 15347),
(101527, 15348),
(101528, 15349),
(101529, 15350),
(101532, 15351),
(101533, 15352),
(101536, 15353),
(101538, 15360),
(101540, 15361),
(101543, 15364),
(101544, 15365),
(101545, 15366),
(101546, 15370),
(101547, 15369),
(101548, 15371),
(101550, 15374),
(101552, 15373),
(101556, 15375),
(101557, 15378),
(101558, 15379),
(101566, 15380),
(101582, 15381),
(101590, 15422),
(101591, 15383),
(101592, 15384),
(101596, 15386),
(101605, 15616),
(101606, 15388),
(101607, 15390),
(101608, 15391),
(101609, 15392),
(101610, 15393),
(101611, 15394),
(101612, 15395),
(101613, 15396),
(101617, 15397),
(101618, 15398),
(101619, 15399),
(101622, 15400),
(101624, 15401),
(101625, 15527),
(101626, 15526),
(101627, 15528),
(101643, 15637),
(101644, 15638),
(101645, 15639),
(101646, 15640),
(101647, 15537),
(101648, 15641),
(101649, 15418),
(101650, 15425),
(101651, 15713),
(101652, 15426),
(101653, 15432),
(101654, 15433),
(101655, 15435),
(101656, 15430),
(101657, 15431),
(101668, 15533),
(101669, 15534),
(101670, 15535),
(101671, 15536),
(101672, 15510),
(101673, 16418),
(101674, 15508),
(101676, 16416),
(101677, 15511),
(101678, 15571),
(101680, 15451),
(101682, 15452),
(101683, 15453),
(101684, 15463),
(101685, 15539),
(101686, 15457),
(101687, 15458),
(101688, 15459),
(101690, 15503),
(101691, 15461),
(101694, 15462),
(101697, 15464),
(101699, 15465),
(101703, 15466),
(101704, 15467),
(101706, 15468),
(101707, 16924),
(101708, 16925),
(101718, 15471),
(101720, 15674),
(101724, 15501),
(101725, 15474),
(101726, 15513),
(101728, 15514),
(101729, 15515),
(101730, 15516),
(101742, 16162),
(101745, 16160),
(101746, 16417),
(101747, 15487),
(101748, 15492),
(101749, 15494),
(101752, 15496),
(101753, 15804),
(101754, 15803),
(101755, 15517),
(101756, 15500),
(101758, 15506),
(101760, 15512),
(101762, 15518),
(101767, 15519),
(101768, 15520),
(101769, 15521),
(101770, 15522),
(101771, 15523),
(101772, 15524),
(101774, 15525),
(101780, 15530),
(101783, 15532),
(101785, 15542),
(101786, 15543),
(101787, 15544),
(101788, 15545),
(101789, 15547),
(101790, 15704),
(101791, 15550),
(101792, 15551),
(101793, 15623),
(101794, 15624),
(101795, 15625),
(101796, 15626),
(101797, 15627),
(101798, 15557),
(101799, 15558),
(101800, 15559),
(101801, 15560),
(101802, 15561),
(101803, 15562),
(101804, 15563),
(101805, 15564),
(101806, 15565),
(101807, 15566),
(101815, 15567),
(101818, 15568),
(101820, 15700),
(101826, 15606),
(101827, 15607),
(101828, 15608),
(101829, 15609),
(101830, 15610),
(101841, 15622),
(101842, 15628),
(101843, 15629),
(101844, 15634),
(101845, 15635),
(101846, 15636),
(101847, 15650),
(101850, 15656),
(101889, 15672),
(101891, 15671),
(101900, 15698),
(101913, 15673),
(101914, 15678),
(101915, 15693),
(101938, 15680),
(101939, 15681),
(101940, 15682),
(101942, 17903),
(101947, 15686),
(101948, 15687),
(102001, 15689),
(102002, 15692),
(102065, 16707),
(102089, 15717),
(102090, 15701),
(102091, 15702),
(102092, 15703),
(102101, 15706),
(102102, 15707),
(102103, 15708),
(102104, 15709),
(102105, 15710),
(102106, 15711),
(102132, 15777),
(102152, 15722),
(102154, 15723),
(102155, 15725),
(102166, 15727),
(102167, 15728),
(102172, 15920),
(102175, 15741),
(102176, 15740),
(102178, 15733),
(102182, 15736),
(102183, 15735),
(102189, 15737),
(102195, 15738),
(102212, 15742),
(102213, 15743),
(102214, 15744),
(102215, 15745),
(102216, 15746),
(102217, 15747),
(102218, 15749),
(102230, 15838),
(102231, 15948),
(102232, 15949),
(102233, 15841),
(102234, 16182),
(102244, 15756),
(102247, 16665),
(102248, 15758),
(102273, 15760),
(102276, 15762),
(102278, 15778),
(102279, 15768),
(102287, 15771),
(102288, 15775),
(102290, 15776),
(102390, 15875),
(102400, 15789),
(102403, 16304),
(102404, 15791),
(102405, 15794),
(102406, 16049),
(102407, 16152),
(102408, 16302),
(102413, 16708),
(102442, 16059),
(102443, 15805),
(102445, 15806),
(102446, 15807),
(102447, 15808),
(102448, 15809),
(102449, 15810),
(102450, 15811),
(102451, 15812),
(102452, 15814),
(102456, 15816),
(102457, 15818),
(102471, 16666),
(102472, 16667),
(102473, 16668),
(102487, 15824),
(102493, 15825),
(102494, 16721),
(102502, 15827),
(102503, 15828),
(102511, 15829),
(102521, 15833),
(102522, 15832),
(102525, 15874),
(102526, 15881),
(102528, 16357),
(102529, 16356),
(102530, 16358),
(102531, 16359),
(102532, 16360),
(102533, 15849),
(102534, 15850),
(102538, 15856),
(102539, 15855),
(102541, 15860),
(102542, 16236),
(102543, 15864),
(102544, 15896),
(102546, 15867),
(102548, 15869),
(102549, 15870),
(102550, 16121),
(102551, 15951),
(102552, 15873),
(102554, 15876),
(102559, 16019),
(102560, 15939),
(102565, 16709),
(102566, 15885),
(102569, 15889),
(102570, 15891),
(102583, 15894),
(102585, 16263),
(102587, 15895),
(102594, 16220),
(102596, 16265),
(102614, 15899),
(102615, 15900),
(102616, 17144),
(102617, 17145),
(102618, 17146),
(102619, 17147),
(102620, 15905),
(102621, 15906),
(102622, 15907),
(102623, 16260),
(102624, 15908),
(102626, 15909),
(102631, 15911),
(102632, 15912),
(102634, 15913),
(102638, 15914),
(102645, 15919),
(102648, 15921),
(102649, 15922),
(102651, 15923),
(102652, 15925),
(102653, 15926),
(102654, 15927),
(102655, 15930),
(102678, 15931),
(102679, 15964),
(102680, 15933),
(102682, 15936),
(102702, 15943),
(102703, 15942),
(102714, 15945),
(102721, 16710),
(102749, 15950),
(102755, 15952),
(102756, 15953),
(102757, 15954),
(102758, 15956),
(102760, 18809),
(102763, 15963),
(102772, 15965),
(102773, 16336),
(102774, 16337),
(102775, 16335),
(102779, 16145),
(102781, 16334),
(102782, 16333),
(102790, 15973),
(102796, 15974),
(102797, 16163),
(102799, 15975),
(102801, 15977),
(102802, 15978),
(102803, 15979),
(102805, 15980),
(102806, 15981),
(102807, 15982),
(102808, 15983),
(102809, 15984),
(102813, 15985),
(102814, 15986),
(102815, 15988),
(102820, 15989),
(102821, 16171),
(102827, 16669),
(102828, 16170),
(102829, 15993),
(102830, 15994),
(102831, 16711),
(102832, 16713),
(102836, 16385),
(102837, 15999),
(102838, 18249),
(102839, 16390),
(102840, 16391),
(102843, 16003),
(102844, 16004),
(102845, 16005),
(102846, 16007),
(102847, 16014),
(102848, 16009),
(102850, 16010),
(102851, 16011),
(102852, 16012),
(102853, 16013),
(102855, 16015),
(102856, 16016),
(102872, 16020),
(102875, 16021),
(102877, 16023),
(102878, 16025),
(102879, 16026),
(102880, 16027),
(102881, 16028),
(102882, 16029),
(102883, 16030),
(102884, 16032),
(102885, 16033),
(102886, 16042),
(102887, 16035),
(102888, 16678),
(102889, 16037),
(102890, 16038),
(102891, 16039),
(102892, 16679),
(102894, 16043),
(102895, 16044),
(102926, 16045),
(102927, 16046),
(102931, 16712),
(102934, 16051),
(102935, 16052),
(102936, 16053),
(102937, 16054),
(102938, 16055),
(102939, 16056),
(102940, 16060),
(102942, 16069),
(102943, 16065),
(102944, 16066),
(102945, 16067),
(102946, 16068),
(102947, 16070),
(102950, 16104),
(102954, 16072),
(102955, 16073),
(102956, 16615),
(102958, 16075),
(102959, 16076),
(102960, 16077),
(102961, 16078),
(102962, 16079),
(102963, 24460),
(102967, 16557),
(102968, 16084),
(102969, 16555),
(102970, 16556),
(102971, 16559),
(102972, 16088),
(102975, 16102),
(102976, 16101),
(102977, 16278),
(102978, 16098),
(102979, 16103),
(102992, 16722),
(102993, 16723),
(102994, 16725),
(102995, 16726),
(102996, 16111),
(102998, 17177),
(103000, 17176),
(103001, 16127),
(103002, 17175),
(103003, 16129),
(103006, 16122),
(103007, 16128),
(103008, 16124),
(103009, 16125),
(103010, 16130),
(103011, 16131),
(103012, 16132),
(103013, 16364),
(103067, 16136),
(103070, 16138),
(103073, 16140),
(103075, 16142),
(103076, 16144),
(103113, 16147),
(103114, 16148),
(103120, 16149),
(103166, 16154),
(103183, 16714),
(103194, 16164),
(103195, 16165),
(103314, 16183),
(103315, 16186),
(103317, 16191),
(103318, 16190),
(103319, 16195),
(103320, 16194),
(103321, 16196),
(103322, 16198),
(103323, 16255),
(103324, 16396),
(103325, 16202),
(103326, 16203),
(103327, 16204),
(103337, 16207),
(103338, 16210),
(103351, 16213),
(103352, 16214),
(103353, 16215),
(103355, 16216),
(103356, 16217),
(103386, 16223),
(103387, 16221),
(103390, 16231),
(103393, 16224),
(103394, 16225),
(103396, 16227),
(103398, 16228),
(103399, 16229),
(103400, 16230),
(103401, 16232),
(103402, 16765),
(103403, 16764),
(103406, 16235),
(103418, 16237),
(103419, 16238),
(103420, 16239),
(103421, 16240),
(103422, 16242),
(103423, 16243),
(103429, 16244),
(103431, 16395),
(103433, 16245),
(103442, 16338),
(103444, 16249),
(103445, 16339),
(103446, 16251),
(103447, 17261),
(103453, 16254),
(103457, 16836),
(103473, 16321),
(103476, 16314),
(103478, 16256),
(103485, 16257),
(103486, 16258),
(103487, 16610),
(103489, 16261),
(103490, 16266),
(103491, 16262),
(103509, 16267),
(103510, 17994),
(103511, 17992),
(103512, 17993),
(103528, 16279),
(103530, 16280),
(103531, 16283),
(103532, 16282),
(103542, 16285),
(103544, 16288),
(103545, 16289),
(103546, 16290),
(103547, 16291),
(103548, 16292),
(103549, 16293),
(103551, 16296),
(103557, 16297),
(103558, 16298),
(103559, 16299),
(103560, 16300),
(103561, 16715),
(103562, 16803),
(103563, 16804),
(103564, 16809),
(103565, 16807),
(103566, 16309),
(103567, 16808),
(103568, 16311),
(103587, 16312),
(103589, 16313),
(103601, 16316),
(103603, 16317),
(103605, 16318),
(103610, 16319),
(103611, 16320),
(103619, 16746),
(103620, 16323),
(103621, 16324),
(103622, 16430),
(103623, 16327),
(103625, 16331),
(103626, 16332),
(103628, 16431),
(103631, 16833),
(103633, 16361),
(103635, 16363),
(103655, 16365),
(103656, 16366),
(103657, 16367),
(103659, 16368),
(103660, 17168),
(103756, 16371),
(103757, 16372),
(103775, 16379),
(103777, 16380),
(103778, 16381),
(103782, 16382),
(103783, 16433),
(103785, 16388),
(103796, 16392),
(103801, 16393),
(103808, 16394),
(103811, 16397),
(103814, 16716),
(103819, 16432),
(103820, 16429),
(103821, 16402),
(103824, 16561),
(103826, 16562),
(103835, 25636),
(103836, 25637),
(103859, 16422),
(103860, 16672),
(103861, 16670),
(103862, 16673),
(103863, 16674),
(103864, 16675),
(103927, 16425),
(103930, 16424),
(103947, 16603),
(103984, 16437),
(103993, 16495),
(103995, 16442),
(103996, 16657),
(103997, 16444),
(103998, 16445),
(104001, 16446),
(104007, 16448),
(104008, 16449),
(104026, 16453),
(104047, 16455),
(104048, 16701),
(104049, 16457),
(104050, 16459),
(104051, 16460),
(104052, 16473),
(104054, 16826),
(104076, 16464),
(104078, 16466),
(104083, 16467),
(104089, 16717),
(104110, 16780),
(104156, 16474),
(104179, 16478),
(104180, 16479),
(104181, 16480),
(104197, 16481),
(104199, 16482),
(104200, 16483),
(104202, 16484),
(104204, 16485),
(104224, 16491),
(104229, 16489),
(104230, 16488),
(104231, 16490),
(104233, 16492),
(104234, 16571),
(104235, 16494),
(104236, 16625),
(104239, 16683),
(104240, 16643),
(104241, 16682),
(104242, 16685),
(104243, 16686),
(104244, 16687),
(104245, 16644),
(104246, 16645),
(104252, 16506),
(104253, 16507),
(104254, 16508),
(104255, 16509),
(104256, 16510),
(104257, 16511),
(104261, 16512),
(104262, 16513),
(104263, 16514),
(104264, 16613),
(104265, 16517),
(104266, 16518),
(104269, 16519),
(104270, 16520),
(104271, 16521),
(104276, 17148),
(104278, 17149),
(104279, 17150),
(104280, 17151),
(104281, 17152),
(104306, 16527),
(104307, 16528),
(104308, 18267),
(104309, 16530),
(104310, 16531),
(104311, 16532),
(104312, 16533),
(104313, 16534),
(104314, 16535),
(104315, 16703),
(104316, 16537),
(104317, 16538),
(104318, 16539),
(104319, 16542),
(104320, 16704),
(104321, 16705),
(104322, 16706),
(104323, 16832),
(104324, 16551),
(104325, 16552),
(104328, 16558),
(104329, 16560),
(104330, 16565),
(104331, 16566),
(104332, 16567),
(104333, 16568),
(104334, 16868),
(104335, 16570),
(104336, 16572),
(104337, 16573),
(104338, 16574),
(104339, 16576),
(104340, 16577),
(104341, 16684),
(104342, 16588),
(104343, 16581),
(104345, 16834),
(104346, 16584),
(104347, 16831),
(104348, 16586),
(104349, 16587),
(104350, 16590),
(104351, 16591),
(104360, 16592),
(104361, 16593),
(104362, 16594),
(104363, 16689),
(104364, 16596),
(104365, 16598),
(104366, 16604),
(104367, 16606),
(104368, 16608),
(104369, 16609),
(104370, 16611),
(104371, 16612),
(104372, 16614),
(104373, 16616),
(104374, 16617),
(104375, 16618),
(104376, 16621),
(104377, 16623),
(104378, 16624),
(104379, 17272),
(104380, 17273),
(104381, 16777),
(104382, 16636),
(104383, 16853),
(104384, 16637),
(104385, 16638),
(104386, 16639),
(104387, 16640),
(104388, 16654),
(104392, 16748),
(104393, 16658),
(104394, 16659),
(104395, 16660),
(104396, 16661),
(104397, 16662),
(104398, 16663),
(104399, 16664),
(104400, 16677),
(104401, 16690),
(104402, 16681),
(104406, 17997),
(104407, 16727),
(104408, 16728),
(104409, 16729),
(104410, 16730),
(104411, 16696),
(104412, 16731),
(104413, 16698),
(104414, 16699),
(104415, 16724),
(104419, 16720),
(104420, 16741),
(104430, 16733),
(104431, 16734),
(104432, 16735),
(104433, 16737),
(104434, 16738),
(104435, 16739),
(104436, 17278),
(104437, 17568),
(104438, 17508),
(104439, 17509),
(104455, 16747),
(104461, 16750),
(104466, 16751),
(104467, 16752),
(104468, 16753),
(104473, 16754),
(104478, 16755),
(104479, 17178),
(104480, 17179),
(104481, 17180),
(104482, 17181),
(104483, 17182),
(104492, 16761),
(104536, 16763),
(104560, 16788),
(104561, 16801),
(104588, 16773),
(104600, 16778),
(104611, 16775),
(104623, 17065),
(104641, 16781),
(104642, 16881),
(104643, 16783),
(104648, 16784),
(104650, 16785),
(104651, 16789),
(104652, 16790),
(104653, 16791),
(104663, 16793),
(104664, 16794),
(104665, 16795),
(104666, 16796),
(104667, 16797),
(104668, 16798),
(104669, 16799),
(104670, 16800),
(104676, 16810),
(104677, 16866),
(104678, 16814),
(104679, 16815),
(104680, 16816),
(104681, 16817),
(104682, 16818),
(104683, 16819),
(104684, 16820),
(104709, 16823),
(104734, 17911),
(104738, 16825),
(104749, 16828),
(104761, 16835),
(104762, 16837),
(104763, 16838),
(104764, 16840),
(104767, 16841),
(104770, 16842),
(104787, 16844),
(104818, 16845),
(104819, 16846),
(104820, 16847),
(104821, 16848),
(104823, 16849),
(104824, 16850),
(104868, 17251),
(104869, 17252),
(104923, 16919),
(104925, 16857),
(104927, 16862),
(104930, 16861),
(104982, 16859),
(104987, 16864),
(104996, 16869),
(104997, 16969),
(104998, 17045),
(105003, 16878),
(105004, 16879),
(105007, 16948),
(105010, 16884),
(105011, 19771),
(105012, 16887),
(105016, 16886),
(105017, 16888),
(105018, 16889),
(105019, 16890),
(105031, 16894),
(105035, 16895),
(105036, 16896),
(105037, 17285),
(105038, 17286),
(105039, 17287),
(105056, 16901),
(105057, 16902),
(105058, 16903),
(105059, 16904),
(105060, 16906),
(105063, 16907),
(105065, 16908),
(105071, 16909),
(105087, 16943),
(105097, 16917),
(105099, 16921),
(105100, 16922),
(105101, 16963),
(105107, 16949),
(105110, 17230),
(105112, 16952),
(105113, 17131),
(105114, 17334),
(105117, 17127),
(105118, 17128),
(105119, 17129),
(105120, 17200),
(105121, 17201),
(105122, 16942),
(105123, 16944),
(105124, 16947),
(105144, 17301),
(105153, 16956),
(105154, 17042),
(105155, 16957),
(105156, 17873),
(105157, 17311),
(105159, 17884),
(105164, 16964),
(105182, 16965),
(105184, 19181),
(105185, 17344),
(105193, 18819),
(105194, 16973),
(105201, 17108),
(105202, 17116),
(105209, 17223),
(105210, 17225),
(105212, 17228),
(105214, 17169),
(105215, 17170),
(105216, 17171),
(105217, 17255),
(105238, 17063),
(105239, 17203),
(105241, 17216),
(105242, 17215),
(105243, 17218),
(105244, 16996),
(105246, 17275),
(105247, 17274),
(105248, 17276),
(105249, 17826),
(105250, 17160),
(105251, 17164),
(105252, 17163),
(105253, 17162),
(105254, 17165),
(105255, 17029),
(105256, 17028),
(105257, 17009),
(105258, 17010),
(105259, 17030),
(105260, 17012),
(105261, 17013),
(105263, 17085),
(105264, 17088),
(105265, 17018),
(105266, 17020),
(105267, 17195),
(105268, 17194),
(105278, 17023),
(105279, 17024),
(105280, 17025),
(105281, 17026),
(105282, 17979),
(105288, 17031),
(105289, 21764),
(105290, 17033),
(105291, 17034),
(105301, 17219),
(105302, 17038),
(105303, 17039),
(105353, 19740),
(105354, 17041),
(105363, 17043),
(105364, 17044),
(105389, 17048),
(105390, 17049),
(105391, 17052),
(105392, 17051),
(105398, 17053),
(105400, 17058),
(105403, 17055),
(105404, 17166),
(105405, 17337),
(105410, 17062),
(105414, 17066),
(105415, 17067),
(105421, 17253),
(105422, 17069),
(105423, 17070),
(105424, 17071),
(105425, 17072),
(105426, 17073),
(105427, 17074),
(105428, 17075),
(105429, 17076),
(105430, 17288),
(105431, 17081),
(105432, 17755),
(105433, 17756),
(105434, 17757),
(105435, 17759),
(105437, 17760),
(105443, 17092),
(105446, 17101),
(105447, 17095),
(105448, 17279),
(105449, 17102),
(105450, 17097),
(105451, 17724),
(105452, 17103),
(105453, 17105),
(105454, 17886),
(105455, 17109),
(105456, 17110),
(105457, 17111),
(105458, 17114),
(105459, 17117),
(105460, 17119),
(105461, 17120),
(105462, 17121),
(105463, 17122),
(105464, 17123),
(105465, 17124),
(105466, 17125),
(105467, 17126),
(105469, 17130),
(105470, 19505),
(105471, 19506),
(105472, 19507),
(105473, 17331),
(105474, 17136),
(105475, 17137),
(105476, 17138),
(105477, 17139),
(105478, 17280),
(105479, 17725),
(105480, 17726),
(105484, 17153),
(105485, 17154),
(105486, 17768),
(105488, 18040),
(105489, 18234),
(105490, 18235),
(105491, 17167),
(105502, 19747),
(105503, 19748),
(105517, 17198),
(105519, 17197),
(105520, 20384),
(105521, 17199),
(105523, 19182),
(105524, 17204),
(105525, 17205),
(105526, 17207),
(105527, 17208),
(105528, 17210),
(105549, 17212),
(105552, 17289),
(105553, 17214),
(105555, 17338),
(105566, 17233),
(105569, 17495),
(105570, 17235),
(105571, 17236),
(105572, 19772),
(105573, 17238),
(105574, 17239),
(105575, 17259),
(105576, 17548),
(105577, 17243),
(105579, 17245),
(105580, 17269),
(105581, 17247),
(105582, 18410),
(105584, 17254),
(105585, 17256),
(105586, 17258),
(105587, 17359),
(105588, 17268),
(105589, 17263),
(105590, 17266),
(105591, 17267),
(105593, 17270),
(105595, 19606),
(105601, 17293),
(105602, 17769),
(105603, 17295),
(105604, 17296),
(105605, 17778),
(105606, 17298),
(105610, 17303),
(105611, 17300),
(105617, 18154),
(105618, 17304),
(105629, 17312),
(105630, 17314),
(105633, 17315),
(105634, 17316),
(105635, 17320),
(105639, 17318),
(105642, 17319),
(105643, 17321),
(105652, 19718),
(105659, 17326),
(105660, 17329),
(105662, 17328),
(105665, 17332),
(105666, 17333),
(105667, 17367),
(105668, 17336),
(105669, 17335),
(105677, 17339),
(105684, 19719),
(105697, 17346),
(105713, 18255),
(105714, 18254),
(105715, 17783),
(105716, 17784),
(105717, 17785),
(105718, 17786),
(105733, 17360),
(105734, 17361),
(105735, 17362),
(105736, 17363),
(105749, 17364),
(105750, 17386),
(105752, 17365),
(105756, 17389),
(105757, 17369),
(105760, 17371),
(105769, 17374),
(105781, 17375),
(105787, 17431),
(105792, 17432),
(105805, 17377),
(105824, 17740),
(105829, 17379),
(105830, 17380),
(105831, 17381),
(105832, 17382),
(105833, 17383),
(105846, 17385),
(105850, 17426),
(105855, 17392),
(105939, 17395),
(105945, 17396),
(105952, 17398),
(105955, 17399),
(105956, 17400),
(105957, 17402),
(105959, 17403),
(105985, 17513),
(105986, 17416),
(105990, 17406),
(105994, 17407),
(105995, 18779),
(105996, 17408),
(105997, 17438),
(105998, 17439),
(106020, 17409),
(106021, 17410),
(106025, 21197),
(106027, 17413),
(106041, 17414),
(106063, 19231),
(106067, 19232),
(106075, 18912),
(106110, 17429),
(106114, 21027),
(106128, 17417),
(106134, 19720),
(106142, 17865),
(106143, 17864),
(106145, 17861),
(106146, 17862),
(106147, 17863),
(106207, 17514),
(106208, 17638),
(106249, 17440),
(106260, 17486),
(106261, 17450),
(106262, 17442),
(106263, 17451),
(106266, 17447),
(106268, 17452),
(106269, 17656),
(106271, 17659),
(106272, 17710),
(106273, 17711),
(106276, 17458),
(106300, 17462),
(106305, 17465),
(106306, 17466),
(106311, 17467),
(106314, 19705),
(106316, 17470),
(106317, 19706),
(106330, 17475),
(106354, 17482),
(106355, 17483),
(106357, 17491),
(106360, 17487),
(106361, 17489),
(106362, 17665),
(106363, 17493),
(106364, 17494),
(106372, 17497),
(106373, 17498),
(106375, 17745),
(106377, 17749),
(106419, 18287),
(106424, 17625),
(106426, 17507),
(106427, 19721),
(106429, 17511),
(106430, 17604),
(106483, 17517),
(106484, 17518),
(106485, 17520),
(106486, 17519),
(106489, 17521),
(106490, 17523),
(106500, 17528),
(106501, 18411),
(106502, 17533),
(106503, 17585),
(106504, 17586),
(106506, 17741),
(106512, 17557),
(106513, 17787),
(106514, 17545),
(106515, 17553),
(106516, 17551),
(106517, 17555),
(106518, 17556),
(106520, 17788),
(106521, 17561),
(106522, 17564),
(106523, 17655),
(106525, 17569),
(106526, 17570),
(106527, 17571),
(106537, 17888),
(106538, 17576),
(106539, 17577),
(106540, 17578),
(106542, 17579),
(106544, 17581),
(106547, 17588),
(106548, 17936),
(106551, 17589),
(106552, 17590),
(106553, 17593),
(106557, 19723),
(106558, 17596),
(106569, 17598),
(106577, 17658),
(106589, 17605),
(106603, 17606),
(106604, 17607),
(106608, 17611),
(106609, 17612),
(106611, 17614),
(106613, 17616),
(106614, 17617),
(106615, 17623),
(106616, 17619),
(106617, 17621),
(106618, 17622),
(106623, 17916),
(106624, 17635),
(106625, 17917),
(106626, 17637),
(106627, 17636),
(106628, 18002),
(106629, 17639),
(106630, 17640),
(106631, 17641),
(106633, 17643),
(106634, 17644),
(106635, 17645),
(106636, 17646),
(106637, 17647),
(106638, 17648),
(106639, 17649),
(106640, 17651),
(106642, 17657),
(106643, 17683),
(106644, 17868),
(106647, 17899),
(106648, 17667),
(106649, 17668),
(106650, 17669),
(106651, 17670),
(106652, 17671),
(106653, 17674),
(106654, 19508),
(106655, 17678),
(106656, 19509),
(106657, 17676),
(106658, 17677),
(106659, 17679),
(106660, 19510),
(106661, 17682),
(106662, 19511),
(106663, 19513),
(106664, 19707),
(106665, 17727),
(106666, 17688),
(106667, 17728),
(106668, 17729),
(106670, 17731),
(106702, 17694),
(106703, 19244),
(106704, 17696),
(106706, 17699),
(106707, 17698),
(106711, 17701),
(106712, 17702),
(106714, 17902),
(106715, 17901),
(106716, 17706),
(106718, 17707),
(106719, 17708),
(106720, 17709),
(106721, 17712),
(106722, 17713),
(106723, 17750),
(106724, 17747),
(106725, 17716),
(106737, 17723),
(106747, 17732),
(106756, 17734),
(106759, 17758),
(106760, 17761),
(106764, 17738),
(106765, 17739),
(106770, 17742),
(106773, 17743),
(106776, 17744),
(106787, 17875),
(106789, 17746),
(106790, 17748),
(106791, 17751),
(106792, 17752),
(106793, 17753),
(106794, 17940),
(106796, 19629),
(106800, 17780),
(106801, 17781),
(106802, 17782),
(106803, 19749),
(106804, 19750),
(106805, 17860),
(106806, 19751),
(106808, 19752),
(106810, 17776),
(106814, 19753),
(106820, 18412),
(106821, 17794),
(106822, 17797),
(106823, 19722),
(106824, 18413),
(106827, 19724),
(106830, 17836),
(106831, 17837),
(106832, 20815),
(106833, 17809),
(106834, 17810),
(106835, 17812),
(106846, 17813),
(106847, 17814),
(106849, 17817),
(106850, 17821),
(106851, 17822),
(106853, 18913),
(106854, 17825),
(106855, 17827),
(106856, 17828),
(106857, 17829),
(106858, 18259),
(106859, 17831),
(106860, 17832),
(106861, 17833),
(106862, 18143),
(106863, 18144),
(106870, 17840),
(106873, 17841),
(106874, 17842),
(106903, 17843),
(106909, 17844),
(106941, 17850),
(106942, 17851),
(106948, 19512),
(106949, 19514),
(106995, 17859),
(107011, 17866),
(107012, 17867),
(107014, 17922),
(107039, 17870),
(107046, 17871),
(107114, 17874),
(107130, 17883),
(107137, 17890),
(107142, 17889),
(107143, 17891),
(107144, 17892),
(107146, 17893),
(107147, 17894),
(107151, 17895),
(107152, 17896),
(107155, 17897),
(107156, 17898),
(107164, 17904),
(107165, 19725),
(107167, 17906),
(107168, 17907),
(107170, 17908),
(107177, 18407),
(107178, 18419),
(107194, 18408),
(107196, 17919),
(107198, 17921),
(107238, 17923),
(107242, 17949),
(107243, 17928),
(107245, 17926),
(107265, 17930),
(107277, 17931),
(107312, 17937),
(107314, 17938),
(107320, 18017),
(107357, 17982),
(107376, 18004),
(107384, 18068),
(107385, 18067),
(107386, 18063),
(107387, 18062),
(107389, 18059),
(107404, 17952),
(107407, 17951),
(107419, 17953),
(107420, 17954),
(107431, 17955),
(107432, 17999),
(107434, 18153),
(107435, 18155),
(107436, 21587),
(107438, 17960),
(107439, 18045),
(107441, 18071),
(107444, 18065),
(107460, 17967),
(107465, 17969),
(107468, 17970),
(107470, 17972),
(107476, 17974),
(107479, 17975),
(107480, 17976),
(107481, 17977),
(107482, 18409),
(107484, 18123),
(107485, 17981),
(107486, 18013),
(107489, 18082),
(107490, 18005),
(107507, 19726),
(107513, 18953),
(107514, 18954),
(107515, 18952),
(107520, 18006),
(107522, 18007),
(107524, 18253),
(107531, 18015),
(107532, 18101),
(107542, 18019),
(107543, 18020),
(107544, 18021),
(107545, 18022),
(107548, 18023),
(107549, 18024),
(107551, 18026),
(107552, 20689),
(107568, 18029),
(107569, 18030),
(107571, 18031),
(107572, 18032),
(107574, 18039),
(107586, 18041),
(107587, 18042),
(107588, 18043),
(107589, 18044),
(107611, 18046),
(107614, 18047),
(107620, 18048),
(107622, 18051),
(107625, 18245),
(107629, 18241),
(107631, 18240),
(107632, 18243),
(107633, 18219),
(107636, 18207),
(107637, 18270),
(107638, 19515),
(107640, 19518),
(107642, 18506),
(107643, 18500),
(107645, 18074),
(107646, 18075),
(107647, 18085),
(107649, 18086),
(107664, 18387),
(107665, 18388),
(107667, 18704),
(107668, 18705),
(107671, 18092),
(107672, 18094),
(107674, 18096),
(107675, 18097),
(107685, 18102),
(107686, 18103),
(107687, 18105),
(107688, 18106),
(107689, 18414),
(107690, 19754),
(107691, 19755),
(107693, 19756),
(107694, 19757),
(107696, 19579),
(107697, 18114),
(107698, 18115),
(107699, 18116),
(107700, 18118),
(107701, 18119),
(107702, 18120),
(107703, 18121),
(107704, 19727),
(107706, 18124),
(107707, 18125),
(107708, 18147),
(107709, 18148),
(107710, 18149),
(107711, 18150),
(107712, 18130),
(107713, 18132),
(107714, 24538),
(107715, 18134),
(107716, 18135),
(107717, 18136),
(107718, 18146),
(107719, 19024),
(107720, 19025),
(107731, 18156),
(107732, 18157),
(107733, 18158),
(107734, 18159),
(107735, 18650),
(107736, 18161),
(107737, 18303),
(107738, 18651),
(107739, 18652),
(107740, 18165),
(107741, 18653),
(107742, 18997),
(107743, 18654),
(107744, 18996),
(107745, 18998),
(107746, 18172),
(107747, 19184),
(107748, 18174),
(107749, 18175),
(107750, 18176),
(107752, 18183),
(107765, 18184),
(107766, 18185),
(107767, 18186),
(107768, 18187),
(107769, 18258),
(107770, 18189),
(107771, 18190),
(107774, 18191),
(107775, 18192),
(107776, 18193),
(107777, 18194),
(107778, 18195),
(107779, 18196),
(107780, 18198),
(107781, 19728),
(107784, 18237),
(107792, 18202),
(107793, 19519),
(107797, 19517),
(107799, 19516),
(107800, 18208),
(107828, 19250),
(107829, 19251),
(107830, 19252),
(107831, 19253),
(107832, 19254),
(107834, 18217),
(107843, 18218),
(107845, 18220),
(107846, 18229),
(107861, 19657),
(107862, 18222),
(107863, 18223),
(107864, 18224),
(107865, 18226),
(107868, 18230),
(107869, 19165),
(107870, 18232),
(107875, 18244),
(107928, 18248),
(107929, 18257),
(107930, 18260),
(107931, 18261),
(107932, 18262),
(107933, 18263),
(107934, 18266),
(107998, 18271),
(108004, 18272),
(108006, 18273),
(108008, 18284),
(108012, 18274),
(108015, 18275),
(108017, 18276),
(108043, 18281),
(108060, 18282),
(108114, 18286),
(108146, 18349),
(108153, 18354),
(108154, 18355),
(108155, 18356),
(108157, 22518),
(108197, 18295),
(108198, 18296),
(108269, 18298),
(108270, 18315),
(108277, 18300),
(108279, 18360),
(108286, 18302),
(108295, 18320),
(108301, 18480),
(108302, 18467),
(108303, 19070),
(108304, 18311),
(108305, 18310),
(108306, 18312),
(108319, 18313),
(108324, 18314),
(108351, 19026),
(108352, 19027),
(108353, 19729),
(108355, 18516),
(108356, 18325),
(108357, 18324),
(108358, 18326),
(108362, 18327),
(108363, 18328),
(108364, 18329),
(108367, 18331),
(108387, 18337),
(108396, 18986),
(108397, 18486),
(108398, 18344),
(108399, 18381),
(108414, 18351),
(108416, 19730),
(108451, 18361),
(108453, 18362),
(108454, 18363),
(108455, 18436),
(108456, 18435),
(108467, 18364),
(108468, 18374),
(108469, 18465),
(108470, 18716),
(108471, 18468),
(108472, 18369),
(108473, 18370),
(108474, 18373),
(108475, 18372),
(108476, 18375),
(108477, 18377),
(108482, 18415),
(108495, 18497),
(108497, 18386),
(108507, 18389),
(108517, 19256),
(108519, 19257),
(108520, 18392),
(108521, 18393),
(108522, 18394),
(108523, 18461),
(108532, 18398),
(108534, 18400),
(108574, 18445),
(108576, 18999),
(108577, 19000),
(108578, 19001),
(108579, 18406),
(108645, 18417),
(108646, 18418),
(108662, 18422),
(108673, 18423),
(108678, 18424),
(108687, 19731),
(108691, 18427),
(108693, 18428),
(108695, 18432),
(108696, 19266),
(108697, 18437),
(108698, 18444),
(108706, 18753),
(108711, 18442),
(108729, 18446),
(108730, 18447),
(108744, 19002),
(108745, 19003),
(108746, 18453),
(108747, 18454),
(108748, 18703),
(108749, 18458),
(108750, 18460),
(108751, 18462),
(108752, 18463),
(108753, 18464),
(108754, 18469),
(108755, 18470),
(108756, 18471),
(108757, 18472),
(108758, 18474),
(108760, 18475),
(108761, 18476),
(108768, 18748),
(108769, 18477),
(108770, 18478),
(108771, 18479),
(108772, 18481),
(108773, 18482),
(108774, 18487),
(108775, 18489),
(108776, 18490),
(108777, 19520),
(108779, 18492),
(108780, 18746),
(108781, 19524),
(108783, 19215),
(108784, 19528),
(108785, 18499),
(108786, 18501),
(108787, 18502),
(108788, 18504),
(108789, 18505),
(108790, 18507),
(108792, 18508),
(108793, 18509),
(108795, 18510),
(108796, 24512),
(108797, 18513),
(108798, 18514),
(108799, 18515),
(108800, 18517),
(108801, 18524),
(108802, 19028),
(108803, 19029),
(108804, 18914),
(108805, 19030),
(108808, 18961),
(108809, 18544),
(108823, 19758),
(108824, 19759),
(108829, 19760),
(108832, 19761),
(108846, 19762),
(108848, 18534),
(108849, 18535),
(108850, 18536),
(108851, 18537),
(108852, 18538),
(108853, 19732),
(108854, 22934),
(108855, 22932),
(108856, 22933),
(108857, 22935),
(108861, 19245),
(108862, 19246),
(108863, 19247),
(108864, 19248),
(108869, 19255),
(108871, 19258),
(108877, 19259),
(108878, 18642),
(108879, 18641),
(108880, 18644),
(108881, 18643),
(108884, 18740),
(108887, 18561),
(108888, 18563),
(108891, 18565),
(108893, 18570),
(108894, 18571),
(108895, 18572),
(108896, 18573),
(108897, 18574),
(108898, 18575),
(108899, 19131),
(108900, 18599),
(108901, 18579),
(108903, 19241),
(108904, 18582),
(108905, 18583),
(108906, 18584),
(108907, 19821),
(108908, 18586),
(108909, 18587),
(108910, 18596),
(108911, 18597),
(108912, 18595),
(108913, 18593),
(108914, 19743),
(108940, 19239),
(108941, 18607),
(108942, 18608),
(108943, 20484),
(108945, 18618),
(108946, 18610),
(108947, 18619),
(108948, 18620),
(108949, 18613),
(108950, 18614),
(108951, 18754),
(108957, 18616),
(108960, 18617),
(108961, 18622),
(108962, 18623),
(108963, 18624),
(108964, 18625),
(108965, 18626),
(108968, 18628),
(108969, 18715),
(108970, 18630),
(108973, 18631),
(108974, 24756),
(108975, 18633),
(108976, 18737),
(108977, 18635),
(108978, 18636),
(108979, 18637),
(108980, 18638),
(108981, 18639),
(108982, 18870),
(108983, 18871),
(108984, 18872),
(108985, 18655),
(108986, 18657),
(108987, 18659),
(108988, 18661),
(108989, 18662),
(108990, 19047),
(108995, 18671),
(108997, 18673),
(109000, 18674),
(109001, 18676),
(109002, 18677),
(109003, 18678),
(109004, 18679),
(109005, 18680),
(109006, 18681),
(109007, 18682),
(109008, 18683),
(109032, 19201),
(109033, 19200),
(109035, 19202),
(109037, 19630),
(109038, 19204),
(109040, 19526),
(109067, 19522),
(109068, 19521),
(109069, 19525),
(109070, 19527),
(109077, 18702),
(109082, 18888),
(109083, 18890),
(109084, 18709),
(109085, 18917),
(109086, 18714),
(109088, 18712),
(109094, 18713),
(109116, 18717),
(109117, 18868),
(109120, 18852),
(109136, 18719),
(109142, 18720),
(109144, 18721),
(109145, 18722),
(109146, 18723),
(109148, 18726),
(109154, 18727),
(109160, 18728),
(109163, 18729),
(109190, 18732),
(109193, 18734),
(109194, 18736),
(109227, 19281),
(109228, 18738),
(109242, 18751),
(109243, 18742),
(109244, 18743),
(109245, 18744),
(109246, 18747),
(109271, 18752),
(109277, 18755),
(109281, 18756),
(109368, 18828),
(109379, 18760),
(109380, 18761),
(109404, 18762),
(109405, 19035),
(109408, 18766),
(109423, 18767),
(109425, 18768),
(109429, 19853),
(109435, 18772),
(109447, 18796),
(109511, 19734),
(109514, 18782),
(109517, 18783),
(109521, 18785),
(109525, 18786),
(109533, 21944),
(109537, 18788),
(109540, 19031),
(109541, 19032),
(109548, 18883),
(109558, 18798),
(109559, 18799),
(109560, 18800),
(109561, 18801),
(109578, 18803),
(109585, 19572),
(109592, 18808),
(109593, 18820),
(109595, 18822),
(109600, 18826),
(109605, 18827),
(109607, 18829),
(109609, 19034),
(109610, 18831),
(109611, 18832),
(109612, 18833),
(109613, 18834),
(109620, 18835),
(109621, 18836),
(109625, 19223),
(109634, 18994),
(109636, 19005),
(109637, 19185),
(109638, 19022),
(109643, 18856),
(109645, 18857),
(109646, 18858),
(109647, 18859),
(109648, 18860),
(109649, 18864),
(109650, 19735),
(109651, 18863),
(109652, 18862),
(109653, 18861),
(109654, 18865),
(109655, 18866),
(109656, 18867),
(109659, 18853),
(109661, 18854),
(109712, 21945),
(109729, 19089),
(109733, 18879),
(109734, 19180),
(109735, 18985),
(109745, 18884),
(109752, 19083),
(109753, 19085),
(109754, 19033),
(109755, 18899),
(109756, 18900),
(109757, 18901),
(109762, 19039),
(109763, 18902),
(109764, 18903),
(109765, 18904),
(109773, 18906),
(109774, 18907),
(109786, 21946),
(109788, 18910),
(109790, 18915),
(109796, 18919),
(109797, 18920),
(109798, 19134),
(109799, 19132),
(109800, 18925),
(109801, 18926),
(109802, 18927),
(109803, 18943),
(109804, 18947),
(109806, 18946),
(109807, 18940),
(109808, 18941),
(109809, 18948),
(109810, 18939),
(109811, 18945),
(109816, 18973),
(109821, 18950),
(109822, 18951),
(109825, 19763),
(109826, 19764),
(109827, 19765),
(109830, 22929),
(109831, 18964),
(109832, 18984),
(109834, 18975),
(109836, 18976),
(109837, 18977),
(109838, 18978),
(109840, 18974),
(109841, 18980),
(109842, 18981),
(109843, 18982),
(109844, 18983),
(109850, 18987),
(109851, 18988),
(109852, 18989),
(109856, 20432),
(109858, 19736),
(109867, 19038),
(109869, 19040),
(109871, 19048),
(109872, 19049),
(109873, 19044),
(109874, 19046),
(109881, 19056),
(109882, 19055),
(109885, 19057),
(109888, 19568),
(109889, 19573),
(109890, 19574),
(109892, 19433),
(109893, 19062),
(109894, 19064),
(109895, 19065),
(109899, 19066),
(109900, 19067),
(109901, 19068),
(109902, 19069),
(109903, 19071),
(109904, 19072),
(109905, 19073),
(109906, 19074),
(109907, 19075),
(109909, 19076),
(109910, 19701),
(109911, 19632),
(109912, 19079),
(109913, 19086),
(109914, 19142),
(109915, 19088),
(109929, 19090),
(109930, 19210),
(109931, 19092),
(109932, 19209),
(109933, 19094),
(109934, 19211),
(109935, 19096),
(109936, 19212),
(109937, 19213),
(109938, 19238),
(109942, 19103),
(109943, 19100),
(109944, 19102),
(109945, 19105),
(109946, 19106),
(109947, 22927),
(109948, 19109),
(109960, 19110),
(109969, 19529),
(109970, 19531),
(109971, 19214),
(109972, 19532),
(109973, 19534),
(109974, 19301),
(109975, 19130),
(109976, 19136),
(109977, 19139),
(109978, 19140),
(109982, 19143),
(109983, 19146),
(109984, 19147),
(109985, 19553),
(109988, 19154),
(109989, 19155),
(109990, 19156),
(109991, 19158),
(109993, 19159),
(109995, 19160),
(109996, 19162),
(110003, 19161),
(110023, 19166),
(110024, 19530),
(110025, 19168),
(110026, 19169),
(110027, 19170),
(110028, 19533),
(110029, 19205),
(110031, 19206),
(110032, 19207),
(110033, 19179),
(110034, 19274),
(110042, 19189),
(110046, 19710),
(110047, 19192),
(110048, 19193),
(110049, 19854),
(110050, 19195),
(110065, 19196),
(110075, 19197),
(110077, 19198),
(110078, 19855),
(110081, 19217),
(110083, 19500),
(110086, 19220),
(110089, 19221),
(110106, 19243),
(110107, 19226),
(110108, 19228),
(110109, 19229),
(110110, 19285),
(110127, 20576),
(110137, 20577),
(110146, 19233),
(110149, 19234),
(110150, 19235),
(110169, 19236),
(110228, 21947),
(110249, 20683),
(110257, 19249),
(110287, 19262),
(110321, 19268),
(110322, 21198),
(110323, 19270),
(110345, 19273),
(110346, 19275),
(110347, 19276),
(110367, 19278),
(110368, 19279),
(110369, 19280),
(110370, 19282),
(110371, 19283),
(110377, 19284),
(110379, 19286),
(110390, 19298),
(110391, 19299),
(110395, 19287),
(110396, 19288),
(110399, 19289),
(110400, 19292),
(110401, 19293),
(110402, 19294),
(110405, 19295),
(110407, 19297),
(110412, 19400),
(110417, 19737),
(110418, 19303),
(110432, 21948),
(110434, 19326),
(110435, 19308),
(110436, 19310),
(110440, 19385),
(110441, 19315),
(110449, 19328),
(110450, 19317),
(110454, 19320),
(110458, 21192),
(110464, 19322),
(110465, 19562),
(110475, 19327),
(110478, 19329),
(110480, 19351),
(110481, 19386),
(110482, 19417),
(110483, 19494),
(110484, 19803),
(110485, 19337),
(110486, 19341),
(110487, 19340),
(110488, 22774),
(110491, 19346),
(110494, 19347),
(110496, 19349),
(110498, 19350),
(110499, 19352),
(110500, 19354),
(110505, 19355),
(110507, 19357),
(110508, 19545),
(110510, 20431),
(110511, 19547),
(110512, 19548),
(110514, 19426),
(110515, 19427),
(110516, 19429),
(110520, 19367),
(110536, 19368),
(110537, 19369),
(110538, 19370),
(110545, 19738),
(110552, 19563),
(110553, 19405),
(110556, 19402),
(110567, 19416),
(110580, 21931),
(110581, 21930),
(110582, 21933),
(110583, 21934),
(110584, 19398),
(110585, 19401),
(110586, 19403),
(110587, 19404),
(110588, 19406),
(110589, 19407),
(110593, 19410),
(110594, 19409),
(110630, 19413),
(110631, 19414),
(110638, 19415),
(110640, 21949),
(110642, 19419),
(110643, 19420),
(110644, 19421),
(110650, 21950),
(110651, 22938),
(110652, 22939),
(110653, 22937),
(110654, 19569),
(110656, 19570),
(110657, 19441),
(110658, 19442),
(110659, 19443),
(110660, 19444),
(110661, 19438),
(110662, 19439),
(110663, 19928),
(110664, 19447),
(110665, 19448),
(110666, 19449),
(110668, 19450),
(110672, 19451),
(110673, 19452),
(110674, 19459),
(110675, 19454),
(110676, 19455),
(110677, 19456),
(110678, 19457),
(110691, 19458),
(110698, 21932),
(110701, 19461),
(110702, 20427),
(110704, 20404),
(110708, 19473),
(110709, 19543),
(110710, 19544),
(110713, 19578),
(110714, 19577),
(110715, 20356),
(110716, 19576),
(110717, 20357),
(110718, 20358),
(110719, 20359),
(110720, 19575),
(110729, 19501),
(110730, 19502),
(110731, 19503),
(110732, 19504),
(110734, 19482),
(110735, 19483),
(110736, 19484),
(110738, 19485),
(110740, 19486),
(110746, 19487),
(110747, 20391),
(110748, 19489),
(110749, 19490),
(110750, 19493),
(110755, 24806),
(110756, 19497),
(110757, 19498),
(110758, 19499),
(110759, 19564),
(110764, 22930),
(110766, 22931),
(110769, 21743),
(110771, 19542),
(110772, 19552),
(110773, 19550),
(110774, 19610),
(110775, 19555),
(110777, 20268),
(110789, 19617),
(110800, 19557),
(110807, 19745),
(110814, 19558),
(110817, 19559),
(110821, 19560),
(110826, 19741),
(110827, 21741),
(110839, 19581),
(110840, 19799),
(110841, 19798),
(110842, 19804),
(110843, 25664),
(110846, 25665),
(110847, 20831),
(110848, 20829),
(110849, 20830),
(110850, 20835),
(110851, 20834),
(110852, 21072),
(110853, 21073),
(110854, 20839),
(110855, 22260),
(110856, 21798),
(110857, 21851),
(110858, 22257),
(110859, 22259),
(110860, 19603),
(110861, 19604),
(110862, 19605),
(110868, 22300),
(110879, 19614),
(110880, 19615),
(110881, 19616),
(110882, 19619),
(110883, 19620),
(110885, 19622),
(110886, 19623),
(110887, 19624),
(110889, 19631),
(110893, 19742),
(110894, 19633),
(110895, 19634),
(110896, 19635),
(110897, 19636),
(110905, 19638),
(110914, 19640),
(110916, 19642),
(110917, 19643),
(110918, 19816),
(110919, 21200),
(110922, 19649),
(110923, 19650),
(110924, 19651),
(110926, 19652),
(110928, 19653),
(110930, 19658),
(110931, 19655),
(110932, 19656),
(110933, 19659),
(110934, 19660),
(110935, 19661),
(110936, 22769),
(110937, 19664),
(110938, 22770),
(110939, 19683),
(110940, 19682),
(110941, 19708),
(110942, 19685),
(110943, 19686),
(110944, 19671),
(110945, 19672),
(110946, 20414),
(110947, 20413),
(110948, 19687),
(110949, 20412),
(110950, 19678),
(110951, 19681),
(110953, 19689),
(110955, 19690),
(110956, 19692),
(110957, 22928),
(110958, 19695),
(110960, 21896),
(110962, 19697),
(110964, 19698),
(110965, 19700),
(110966, 19702),
(110967, 19703),
(110968, 19704),
(110970, 19709),
(110975, 21199),
(110976, 19713),
(110977, 19714),
(110989, 19744),
(110990, 19766),
(110991, 19767),
(110993, 19769),
(110999, 19824),
(111000, 20706),
(111017, 19779),
(111027, 19781),
(111030, 19783),
(111041, 19814),
(111088, 19792),
(111089, 19813),
(111090, 19812),
(111096, 19827),
(111099, 19820),
(111109, 19807),
(111120, 19825),
(111148, 21201),
(111154, 19829),
(111155, 19830),
(111157, 19831),
(111158, 19832),
(111171, 19833),
(111176, 19834),
(111182, 19835),
(111192, 19838),
(111193, 19839),
(111194, 19840),
(111198, 22799),
(111199, 22801),
(111221, 20762),
(111222, 20761),
(111229, 19907),
(111238, 19851),
(111251, 19900),
(111259, 19857),
(111263, 19920),
(111264, 19863),
(111267, 19861),
(111286, 19865),
(111294, 22919),
(111296, 20017),
(111298, 20100),
(111304, 19879),
(111308, 19895),
(111310, 19894),
(111314, 19883),
(111318, 19884),
(111356, 19890),
(111357, 20079),
(111358, 20483),
(111359, 20479),
(111360, 19898),
(111365, 19901),
(111366, 19902),
(111367, 19904),
(111377, 19905),
(111379, 19906),
(111405, 19908),
(111420, 19989),
(111421, 21951),
(111429, 19911),
(111456, 19915),
(111462, 19916),
(111485, 20102),
(111486, 20103),
(111487, 20104),
(111488, 22794),
(111503, 19926),
(111507, 19927),
(111537, 19929),
(111538, 19930),
(111539, 19931),
(111540, 19932),
(111541, 19933),
(111556, 20110),
(111558, 19944),
(111570, 19947),
(111581, 19954),
(111590, 19957),
(111597, 19990),
(111606, 22795),
(111607, 22796),
(111644, 19969),
(111645, 19970),
(111646, 19971),
(111647, 19972),
(111650, 19984),
(111651, 19974),
(111652, 19980),
(111653, 19981),
(111654, 19982),
(111655, 19983),
(111656, 20007),
(111658, 19987),
(111661, 19988),
(111664, 19991),
(111665, 20025),
(111666, 19994),
(111676, 20008),
(111678, 20010),
(111679, 20014),
(111680, 20013),
(111681, 20015),
(111707, 20018),
(111708, 20020),
(111709, 20021),
(111710, 20022),
(111718, 20026),
(111719, 20024),
(111720, 20365),
(111721, 21952),
(111722, 21953),
(111725, 20433),
(111726, 22792),
(111731, 20032),
(111732, 20033),
(111733, 20034),
(111734, 20035),
(111735, 20036),
(111739, 20037),
(111743, 20038),
(111745, 20039),
(111747, 20040),
(111750, 20041),
(111751, 20042),
(111753, 22305),
(111754, 20046),
(111755, 20047),
(111764, 20057),
(111765, 20050),
(111767, 20051),
(111770, 22771),
(111771, 20053),
(111772, 20054),
(111773, 20656),
(111774, 20657),
(111775, 20061),
(111777, 20062),
(111778, 20089),
(111779, 20065),
(111780, 20074),
(111781, 20072),
(111782, 20073),
(111783, 20070),
(111784, 20075),
(111785, 20076),
(111786, 20805),
(111787, 20078),
(111788, 20090),
(111789, 20081),
(111790, 20082),
(111791, 20083),
(111792, 20085),
(111793, 20086),
(111794, 20087),
(111795, 20088),
(111796, 20094),
(111797, 20092),
(111798, 20093),
(111799, 20108),
(111800, 20096),
(111801, 20097),
(111802, 20098),
(111803, 20099),
(111809, 20428),
(111810, 20106),
(111811, 20107),
(111812, 20109),
(111813, 20111),
(111814, 20112),
(111815, 20113),
(111816, 20160),
(111817, 20115),
(111818, 20116),
(111819, 20117),
(111820, 22797),
(111821, 20120),
(111822, 20121),
(111823, 20122),
(111824, 20124),
(111825, 20125),
(111826, 20126),
(111827, 20128),
(111828, 20129),
(111829, 20130),
(111831, 20131),
(111832, 20132),
(111833, 20133),
(111834, 20134),
(111835, 20135),
(111836, 20191),
(111837, 20145),
(111838, 20411),
(111839, 20410),
(111840, 20409),
(111843, 20407),
(111844, 20146),
(111845, 20148),
(111846, 20149),
(111847, 20156),
(111848, 20152),
(111849, 20153),
(111850, 20154),
(111851, 20155),
(111852, 20157),
(111853, 21204),
(111854, 20159),
(111855, 20161),
(111856, 20162),
(111857, 20163),
(111858, 20164),
(111861, 20166),
(111863, 20167),
(111869, 20300),
(111870, 20480),
(111871, 20481),
(111872, 20485),
(111873, 20171),
(111874, 20172),
(111875, 20176),
(111876, 20177),
(111877, 20178),
(111878, 20182),
(111879, 20180),
(111880, 20181),
(111881, 20185),
(111882, 20184),
(111885, 20187),
(111886, 20189),
(111887, 20190),
(111893, 20192),
(111894, 22775),
(111895, 22917),
(111896, 22776),
(111897, 22777),
(111898, 22778),
(111899, 20199),
(111903, 20318),
(111908, 20201),
(111915, 20202),
(111917, 23147),
(111918, 20439),
(111919, 20438),
(111920, 20320),
(111921, 20208),
(111922, 20209),
(111923, 20210),
(111924, 21193),
(111925, 20380),
(111928, 20388),
(111929, 20376),
(111931, 20377),
(111932, 20378),
(111933, 20379),
(111935, 21745),
(111938, 20400),
(111939, 20426),
(111940, 20399),
(111941, 20228),
(111942, 20229),
(111943, 20713),
(111951, 21573),
(111952, 21574),
(111961, 20233),
(111963, 20237),
(111964, 20238),
(111965, 20240),
(111966, 20239),
(111968, 20241),
(111976, 20242),
(112025, 22798),
(112042, 20309),
(112045, 20308),
(112049, 20307),
(112052, 20247),
(112053, 22828),
(112055, 20282),
(112057, 20255),
(112058, 21203),
(112060, 20253),
(112061, 21202),
(112062, 22808),
(112063, 22822),
(112064, 22811),
(112068, 21576),
(112069, 21578),
(112070, 20277),
(112071, 20278),
(112072, 20279),
(112073, 20276),
(112080, 22800),
(112092, 20269),
(112093, 20271),
(112094, 20272),
(112095, 20273),
(112096, 20274),
(112097, 20275),
(112104, 20406),
(112132, 21575),
(112133, 20284),
(112137, 20310),
(112144, 20369),
(112145, 20739),
(112183, 20289),
(112185, 21784),
(112186, 20290),
(112214, 20333),
(112216, 20334),
(112218, 20335),
(112221, 20336),
(112233, 20297),
(112235, 20298),
(112241, 21219),
(112278, 20301),
(112279, 20302),
(112282, 20303),
(112301, 20304),
(112302, 20305),
(112307, 20306),
(112335, 20314),
(112336, 20313),
(112337, 20315),
(112338, 20317),
(112339, 20319),
(112340, 20322),
(112341, 20323),
(112342, 20324),
(112343, 21194),
(112347, 20367),
(112352, 21954),
(112353, 21955),
(112355, 20328),
(112357, 20338),
(112364, 20339),
(112368, 21746),
(112369, 20341),
(112370, 20349),
(112374, 20343),
(112379, 20344),
(112381, 20346),
(112382, 21577),
(112383, 20348),
(112395, 21151),
(112397, 21152),
(112399, 21153),
(112402, 20354),
(112403, 20355),
(112404, 19886),
(112408, 21154),
(112409, 21155),
(112421, 20487),
(112422, 20366),
(112424, 20422),
(112432, 20374),
(112433, 20373),
(112440, 20386),
(112447, 20394),
(112448, 20390),
(112451, 20401),
(112452, 20396),
(112455, 20430),
(112461, 20420),
(112462, 20425),
(112475, 20418),
(112476, 20419),
(112478, 20421),
(112484, 20455),
(112488, 20424),
(112495, 20429),
(112497, 20434),
(112512, 20437),
(112527, 20442),
(112532, 20448),
(112533, 20444),
(112534, 20560),
(112535, 20559),
(112547, 20449),
(112553, 20502),
(112576, 24445),
(112577, 22840),
(112578, 22841),
(112579, 20457),
(112580, 21747),
(112583, 20512),
(112584, 20456),
(112585, 20458),
(112587, 14222),
(112588, 20465),
(112590, 20464),
(112591, 20459),
(112602, 20466),
(112603, 20515),
(112606, 20468),
(112607, 20469),
(112612, 20694),
(112613, 20561),
(112615, 20474),
(112617, 20476),
(112618, 20477),
(112619, 20478),
(112621, 20510),
(112633, 20489),
(112634, 21579),
(112635, 21956),
(112636, 21957),
(112639, 20816),
(112640, 20496),
(112641, 20497),
(112642, 20498),
(112643, 20499),
(112657, 20500),
(112682, 20504),
(112683, 20505),
(112684, 20506),
(112688, 20692),
(112689, 21195),
(112697, 20513),
(112704, 20520),
(112706, 20519),
(112710, 20518),
(112713, 20521),
(112714, 20522),
(112716, 20523),
(112725, 20525),
(112726, 20526),
(112727, 20527),
(112728, 20528),
(112729, 21748),
(112730, 21580),
(112731, 20534),
(112732, 20535),
(112733, 20536),
(112735, 20537),
(112743, 20973),
(112772, 20573),
(112774, 20540),
(112775, 20543),
(112776, 20545),
(112777, 20550),
(112779, 20547),
(112780, 20557),
(112781, 20549),
(112782, 20551),
(112783, 20552),
(112784, 20554),
(112787, 20555),
(112809, 20558),
(112816, 20562),
(112817, 20563),
(112818, 20564),
(112819, 20588),
(112820, 20567),
(112821, 21191),
(112822, 20914),
(112823, 22807),
(112824, 22814),
(112825, 22813),
(112849, 20578),
(112851, 20579),
(112854, 20582),
(112855, 20581),
(112857, 20583),
(112858, 20584),
(112859, 20585),
(112860, 21148),
(112861, 20587),
(112863, 20589),
(112866, 20590),
(112871, 20591),
(112887, 20596),
(112889, 20598),
(112890, 20597),
(112894, 23149),
(112897, 23148),
(112902, 20819),
(112905, 20604),
(112907, 20605),
(112912, 20606),
(112915, 20608),
(112916, 20609),
(112917, 20614),
(112918, 20611),
(112925, 20615),
(112926, 20616),
(112927, 20617),
(112928, 20618),
(112929, 20619),
(112930, 20620),
(112931, 21749),
(112932, 20622),
(112934, 20623),
(112935, 20625),
(112936, 20626),
(112939, 20629),
(112940, 20630),
(112941, 21030),
(112942, 20632),
(112943, 20633),
(112944, 20634),
(112945, 20635),
(112946, 20636),
(112947, 20637),
(112948, 20638),
(112949, 20639),
(112950, 20640),
(112951, 21149),
(112956, 20642),
(112957, 20653),
(112959, 20652),
(112960, 20651),
(112961, 20654),
(112962, 20807),
(112963, 21196),
(112966, 20663),
(112967, 20662),
(112968, 21750),
(112977, 20665),
(112978, 20666),
(112979, 20667),
(112980, 20668),
(113006, 20738),
(113013, 20769),
(113014, 20673),
(113016, 20672),
(113025, 20828),
(113046, 20676),
(113051, 22780),
(113052, 22781),
(113053, 22782),
(113054, 22783),
(113055, 22784),
(113056, 22785),
(113061, 20686),
(113079, 20687),
(113090, 20712),
(113109, 20695),
(113110, 22815),
(113132, 20783),
(113145, 20704),
(113146, 20707),
(113148, 20709),
(113150, 20710),
(113191, 20715),
(113197, 20732),
(113198, 20716),
(113206, 20719),
(113207, 20717),
(113208, 20720),
(113214, 20721),
(113215, 20722),
(113216, 20724),
(113217, 20726),
(113221, 20727),
(113222, 20731),
(113223, 20729),
(113224, 20730),
(113226, 20734),
(113227, 20733),
(113228, 20735),
(113229, 20736),
(113230, 20865),
(113234, 20740),
(113258, 20741),
(113261, 20744),
(113262, 20746),
(113268, 20743),
(113269, 20767),
(113270, 20748),
(113277, 20747),
(113278, 20750),
(113279, 20751),
(113281, 20752),
(113282, 20753),
(113284, 20763),
(113288, 20755),
(113291, 20756),
(113292, 20757),
(113293, 20758),
(113294, 20759),
(113298, 20760),
(113313, 20764),
(113322, 20765),
(113326, 20766),
(113329, 20770),
(113345, 20775),
(113352, 20778),
(113355, 20774),
(113356, 20784),
(113357, 20885),
(113358, 20886),
(113362, 20785),
(113369, 21751),
(113370, 20787),
(113375, 20943),
(113386, 20788),
(113387, 20791),
(113388, 21009),
(113389, 20793),
(113390, 21186),
(113391, 20796),
(113392, 20799),
(113393, 20858),
(113394, 20806),
(113395, 20809),
(113396, 20811),
(113398, 20812),
(113423, 20817),
(113424, 20818),
(113433, 20821),
(113437, 20822),
(113454, 20823),
(113456, 20824),
(113457, 22842),
(113458, 20826),
(113462, 20827),
(113477, 23003),
(113478, 21370),
(113479, 21369),
(113482, 21640),
(113483, 21641),
(113488, 20848),
(113493, 21766),
(113503, 21958),
(113514, 20852),
(113517, 21581),
(113518, 21582),
(113519, 20859),
(113520, 20860),
(113521, 20861),
(113522, 20912),
(113523, 20863),
(113524, 20868),
(113529, 20870),
(113530, 20873),
(113531, 20872),
(113536, 20874),
(113542, 20876),
(113543, 21936),
(113545, 20880),
(113549, 20881),
(113560, 20883),
(113576, 20887),
(113595, 20889),
(113617, 21752),
(113623, 20892),
(113624, 21188),
(113625, 21278),
(113626, 20895),
(113629, 21122),
(113632, 21583),
(113634, 20901),
(113642, 20923),
(113644, 20904),
(113645, 20905),
(113646, 20927),
(113647, 20906),
(113648, 20941),
(113649, 20908),
(113650, 20909),
(113654, 20915),
(113659, 20917),
(113669, 21205),
(113670, 20921),
(113672, 20920),
(113694, 20926),
(113695, 20928),
(113696, 20930),
(113702, 20931),
(113703, 22818),
(113704, 22816),
(113707, 22817),
(113710, 20939),
(113712, 20940),
(113730, 20947),
(113736, 22845),
(113740, 20948),
(113759, 20952),
(113761, 20954),
(113763, 21961),
(113764, 20958),
(113766, 21959),
(113767, 20961),
(113768, 20963),
(113771, 21962),
(113772, 21960),
(113773, 21101),
(113774, 21120),
(113775, 21139),
(113780, 20974),
(113781, 20977),
(113782, 20992),
(113783, 20983),
(113784, 20984),
(113785, 20986),
(113786, 20981),
(113787, 20988),
(113788, 21588),
(113789, 20987),
(113793, 20989),
(113799, 20990),
(113800, 20991),
(113801, 20993),
(113802, 20994),
(113803, 20995),
(113804, 20996),
(113805, 20997),
(113806, 20998),
(113807, 20999),
(113808, 21000),
(113809, 21121),
(113840, 21003),
(113841, 21004),
(113842, 21005),
(113843, 21010),
(113844, 21011),
(113845, 21012),
(113846, 21015),
(113847, 21014),
(113848, 21016),
(113853, 21017),
(113855, 21018),
(113857, 21740),
(113858, 21753),
(113859, 21021),
(113861, 21276),
(113863, 24625),
(113864, 21373),
(113865, 21025),
(113866, 21277),
(113867, 21043),
(113868, 21380),
(113869, 21031),
(113870, 21032),
(113871, 21033),
(113872, 21034),
(113873, 21035),
(113874, 21037),
(113875, 21275),
(113876, 21039),
(113877, 21040),
(113878, 21041),
(113879, 21042),
(113881, 21045),
(113882, 21046),
(113883, 22684),
(113884, 21048),
(113885, 21049),
(113888, 21052),
(113889, 21340),
(113894, 21053),
(113897, 21054),
(113898, 21055),
(113899, 21070),
(113900, 21180),
(113901, 21181),
(113902, 21059),
(113903, 21182),
(113904, 21064),
(113905, 22291),
(113906, 21066),
(113907, 21068),
(113908, 21071),
(113910, 21079),
(113911, 21074),
(113912, 21077),
(113913, 21081),
(113926, 21082),
(113929, 21083),
(113930, 21084),
(113931, 21085),
(113934, 21088),
(113935, 21090),
(113936, 21094),
(113937, 21092),
(113938, 21093),
(113939, 21095),
(113940, 21096),
(113941, 21097),
(113943, 21098),
(113944, 21099),
(113946, 21100),
(113947, 21102),
(113949, 21103),
(113950, 21172),
(113951, 21105),
(113952, 21106),
(113953, 21107),
(113954, 21111),
(113955, 21112),
(113956, 21110),
(113958, 21114),
(113959, 21115),
(113960, 21116),
(113961, 21117),
(113962, 21118),
(113963, 21175),
(113971, 21123),
(113972, 21125),
(113973, 21126),
(113974, 21127),
(113975, 21128),
(113976, 21129),
(113977, 21130),
(113978, 21132),
(113979, 21133),
(113981, 21288),
(113983, 22862),
(113986, 21140),
(113988, 21141),
(113989, 21142),
(113990, 21143),
(113991, 22846),
(113992, 21511),
(113994, 22844),
(113995, 22843),
(113999, 22847),
(114000, 21584),
(114001, 21158),
(114002, 21159),
(114003, 21160),
(114004, 22809),
(114005, 21162),
(114015, 21163),
(114018, 21164),
(114019, 21165),
(114026, 21176),
(114027, 21167),
(114028, 21168),
(114029, 21169),
(114030, 21170),
(114031, 21608);
INSERT INTO `codev_timetrack_note_table` (`timetrackid`, `noteid`) VALUES
(114056, 21173),
(114059, 21174),
(114065, 21177),
(114073, 21179),
(114086, 21183),
(114088, 21189),
(114089, 21935),
(114092, 21206),
(114094, 21207),
(114099, 21208),
(114101, 21209),
(114102, 21210),
(114105, 21211),
(114106, 21212),
(114107, 21213),
(114108, 21754),
(114114, 21216),
(114115, 21215),
(114117, 21217),
(114120, 21220),
(114124, 21222),
(114125, 21223),
(114135, 21726),
(114136, 21257),
(114173, 21237),
(114174, 22819),
(114178, 22820),
(114181, 21229),
(114182, 21231),
(114184, 21234),
(114185, 21235),
(114186, 21239),
(114187, 21238),
(114188, 21240),
(114189, 21585),
(114194, 21242),
(114195, 21243),
(114196, 21244),
(114197, 21245),
(114198, 21246),
(114199, 21247),
(114200, 21248),
(114202, 21249),
(114220, 21253),
(114221, 21255),
(114222, 21256),
(114228, 21259),
(114229, 21260),
(114230, 21261),
(114232, 21262),
(114233, 21263),
(114234, 21265),
(114238, 21266),
(114241, 21268),
(114244, 21269),
(114245, 21270),
(114246, 21271),
(114247, 21272),
(114248, 21273),
(114250, 21274),
(114298, 21281),
(114324, 21282),
(114325, 21283),
(114326, 21284),
(114327, 21285),
(114328, 21755),
(114335, 21291),
(114339, 21292),
(114340, 21293),
(114341, 21294),
(114349, 21299),
(114368, 21331),
(114404, 21305),
(114433, 21308),
(114438, 21314),
(114439, 21376),
(114440, 21909),
(114441, 21571),
(114442, 21332),
(114443, 21318),
(114444, 21319),
(114445, 21320),
(114464, 21963),
(114498, 21325),
(114499, 21326),
(114502, 21327),
(114503, 21329),
(114524, 21333),
(114544, 21334),
(114545, 21335),
(114548, 21336),
(114549, 21337),
(114550, 21338),
(114551, 21339),
(114616, 22540),
(114617, 21756),
(114635, 21342),
(114645, 21343),
(114646, 21345),
(114647, 21344),
(114648, 21346),
(114650, 21347),
(114651, 21348),
(114652, 21349),
(114654, 21350),
(114655, 21351),
(114659, 21352),
(114665, 21353),
(114667, 21354),
(114673, 22921),
(114674, 21586),
(114676, 21634),
(114677, 21358),
(114684, 21359),
(114688, 21360),
(114695, 21544),
(114698, 21364),
(114699, 21503),
(114719, 21435),
(114732, 21366),
(114733, 21367),
(114745, 21387),
(114759, 21374),
(114775, 21667),
(114788, 21377),
(114790, 21378),
(114791, 21379),
(114793, 21381),
(114795, 21384),
(114798, 21386),
(114802, 22848),
(114803, 22849),
(114805, 21757),
(114825, 24624),
(114826, 21392),
(114828, 21395),
(114829, 21396),
(114830, 21397),
(114831, 21398),
(114832, 21399),
(114839, 21401),
(114840, 21403),
(114841, 21404),
(114842, 21405),
(114843, 21964),
(114844, 21965),
(114848, 22786),
(114849, 22787),
(114851, 22788),
(114852, 21416),
(114853, 21417),
(114854, 22789),
(114855, 22790),
(114863, 21419),
(114867, 21424),
(114869, 21421),
(114870, 21425),
(114871, 21423),
(114872, 21426),
(114874, 21427),
(114875, 21428),
(114876, 21429),
(114877, 21431),
(114878, 21627),
(114879, 21438),
(114880, 21433),
(114881, 21436),
(114885, 21437),
(114888, 21439),
(114890, 21440),
(114891, 21457),
(114892, 21442),
(114896, 21443),
(114899, 21444),
(114908, 21462),
(114910, 21464),
(114912, 21466),
(114915, 21721),
(114922, 21469),
(114926, 21452),
(114928, 21453),
(114929, 21454),
(114930, 21455),
(114931, 21456),
(114932, 21458),
(114933, 22735),
(114934, 21460),
(114935, 22850),
(114936, 21465),
(114937, 21467),
(114938, 21468),
(114939, 21470),
(114940, 21471),
(114941, 21472),
(114942, 21926),
(114946, 21475),
(114947, 21477),
(114948, 22772),
(114967, 21480),
(114968, 21694),
(114973, 21483),
(114983, 21486),
(114985, 21485),
(114986, 21487),
(114987, 21744),
(114988, 21489),
(114990, 21491),
(114991, 21492),
(114992, 22810),
(114993, 21495),
(114994, 21496),
(114995, 24717),
(114996, 21498),
(114997, 24718),
(114998, 21500),
(114999, 21501),
(115003, 21502),
(115007, 21504),
(115008, 21552),
(115009, 21506),
(115019, 21507),
(115022, 21508),
(115025, 21509),
(115026, 22102),
(115030, 21512),
(115031, 21514),
(115032, 21515),
(115035, 21516),
(115036, 21517),
(115037, 21519),
(115038, 22773),
(115039, 21521),
(115040, 21522),
(115041, 21523),
(115042, 21524),
(115043, 21525),
(115049, 21526),
(115050, 21631),
(115051, 21528),
(115052, 21529),
(115053, 21530),
(115055, 21531),
(115057, 22302),
(115058, 22303),
(115059, 22292),
(115062, 21536),
(115063, 21537),
(115068, 21538),
(115069, 29778),
(115071, 21543),
(115072, 21547),
(115073, 21724),
(115074, 21725),
(115075, 21727),
(115076, 21550),
(115077, 21728),
(115078, 22064),
(115092, 21768),
(115094, 25211),
(115103, 21553),
(115104, 21557),
(115105, 21558),
(115106, 21556),
(115107, 21607),
(115120, 21560),
(115121, 21561),
(115125, 21565),
(115139, 21563),
(115140, 21567),
(115143, 21638),
(115147, 21568),
(115151, 21572),
(115162, 21589),
(115164, 21592),
(115165, 21591),
(115166, 21593),
(115167, 21594),
(115168, 21595),
(115169, 21596),
(115170, 21597),
(115172, 21598),
(115173, 21599),
(115174, 21600),
(115175, 21601),
(115176, 21622),
(115177, 21621),
(115178, 21604),
(115179, 21605),
(115180, 21606),
(115181, 21610),
(115182, 21609),
(115186, 22301),
(115187, 22276),
(115188, 22277),
(115189, 22278),
(115212, 21615),
(115233, 21617),
(115240, 21624),
(115242, 21637),
(115243, 21626),
(115248, 21628),
(115249, 21644),
(115255, 21630),
(115256, 21632),
(115257, 21635),
(115263, 21770),
(115275, 21643),
(115279, 21645),
(115280, 21646),
(115285, 21647),
(115289, 21652),
(115290, 21653),
(115291, 21654),
(115293, 21657),
(115294, 21656),
(115315, 21678),
(115316, 21659),
(115317, 21661),
(115323, 21663),
(115329, 21682),
(115341, 21666),
(115342, 21668),
(115343, 22830),
(115379, 21674),
(115410, 21675),
(115412, 21676),
(115414, 21677),
(115417, 21679),
(115418, 21680),
(115419, 21681),
(115429, 21878),
(115431, 21966),
(115432, 21967),
(115439, 21688),
(115440, 21972),
(115441, 21973),
(115446, 21974),
(115469, 21692),
(115470, 21693),
(115474, 21695),
(115475, 21697),
(115477, 22116),
(115478, 22121),
(115479, 22126),
(115480, 22114),
(115481, 23095),
(115485, 21706),
(115495, 21710),
(115497, 21709),
(115502, 21723),
(115503, 21834),
(115504, 21792),
(115505, 21910),
(115506, 22159),
(115507, 22383),
(115513, 21717),
(115516, 21736),
(115517, 21722),
(115524, 21729),
(115525, 21731),
(115526, 22851),
(115528, 21734),
(115535, 21735),
(115573, 21762),
(115580, 21767),
(115591, 21769),
(115592, 21774),
(115593, 21771),
(115594, 21772),
(115595, 21773),
(115596, 21775),
(115597, 21776),
(115598, 21777),
(115609, 21778),
(115616, 22738),
(115623, 21796),
(115624, 21795),
(115631, 21791),
(115634, 21787),
(115635, 21788),
(115636, 21789),
(115637, 21790),
(115639, 21793),
(115645, 21794),
(115673, 21797),
(115683, 21799),
(115685, 21801),
(115686, 21802),
(115687, 21804),
(115704, 21805),
(115705, 21806),
(115706, 21807),
(115711, 21809),
(115712, 21912),
(115713, 21815),
(115741, 21904),
(115743, 21816),
(115756, 21818),
(115757, 21819),
(115771, 21828),
(115773, 22289),
(115775, 22290),
(115777, 22294),
(115780, 21832),
(115782, 21833),
(115822, 21975),
(115829, 21842),
(115830, 21843),
(115831, 21844),
(115832, 21845),
(115840, 21838),
(115848, 21846),
(115849, 21847),
(115852, 21848),
(115874, 21850),
(115877, 21854),
(115893, 21855),
(115896, 21857),
(115897, 21858),
(115898, 21859),
(115900, 21860),
(115906, 21861),
(115907, 21862),
(115908, 21863),
(115909, 21864),
(115910, 21865),
(115916, 22712),
(115924, 21869),
(115925, 22168),
(115926, 21875),
(115927, 21877),
(115928, 21873),
(115929, 21874),
(115930, 21876),
(115936, 22150),
(115937, 21880),
(115938, 22802),
(115939, 21968),
(115940, 22045),
(115941, 21971),
(115946, 21887),
(115949, 21888),
(115963, 21889),
(115964, 21890),
(115971, 22088),
(115972, 21893),
(115973, 21895),
(115985, 21897),
(115986, 21898),
(115988, 21899),
(115998, 22041),
(116040, 21901),
(116043, 21902),
(116044, 22256),
(116056, 21978),
(116060, 22459),
(116065, 21906),
(116066, 21927),
(116067, 21928),
(116073, 21925),
(116077, 22363),
(116078, 22364),
(116082, 21920),
(116083, 21921),
(116085, 21923),
(116086, 21924),
(116087, 22852),
(116088, 22853),
(116089, 22854),
(116090, 22855),
(116110, 21941),
(116111, 21942),
(116125, 21977),
(116130, 21979),
(116131, 21980),
(116132, 21984),
(116133, 21985),
(116135, 21986),
(116136, 21987),
(116137, 21988),
(116138, 21989),
(116139, 21990),
(116140, 21991),
(116141, 21992),
(116142, 21993),
(116143, 21994),
(116144, 21995),
(116152, 21998),
(116153, 21999),
(116154, 22000),
(116155, 22002),
(116156, 22003),
(116157, 22014),
(116158, 22013),
(116159, 22011),
(116160, 22010),
(116161, 22009),
(116162, 22015),
(116163, 22016),
(116178, 22017),
(116179, 22021),
(116180, 22022),
(116181, 22023),
(116182, 22024),
(116183, 22025),
(116184, 22026),
(116185, 22027),
(116187, 25662),
(116188, 25661),
(116189, 22030),
(116190, 22031),
(116191, 22032),
(116192, 22033),
(116193, 22034),
(116194, 22035),
(116195, 22244),
(116196, 22037),
(116202, 22869),
(116203, 22043),
(116205, 22047),
(116206, 22049),
(116207, 22926),
(116208, 22051),
(116210, 24534),
(116211, 22087),
(116212, 22055),
(116213, 22086),
(116214, 22079),
(116215, 22058),
(116216, 22059),
(116217, 22063),
(116218, 22081),
(116219, 22062),
(116221, 22067),
(116222, 22069),
(116223, 22070),
(116224, 22341),
(116225, 22073),
(116227, 22077),
(116228, 22078),
(116229, 22221),
(116230, 22083),
(116231, 22092),
(116232, 22090),
(116233, 22091),
(116234, 22142),
(116235, 22143),
(116236, 22096),
(116237, 22097),
(116238, 22098),
(116239, 22099),
(116240, 22100),
(116241, 22101),
(116242, 22103),
(116243, 22104),
(116244, 22105),
(116245, 22106),
(116246, 22107),
(116247, 22861),
(116248, 22109),
(116250, 22110),
(116251, 22111),
(116252, 22112),
(116253, 22113),
(116254, 22115),
(116255, 22864),
(116256, 22144),
(116257, 22145),
(116258, 22147),
(116259, 22123),
(116261, 22128),
(116262, 22129),
(116263, 22304),
(116264, 22152),
(116265, 22153),
(116266, 22154),
(116267, 22155),
(116268, 22139),
(116269, 22156),
(116270, 22288),
(116271, 22148),
(116272, 22149),
(116273, 22151),
(116275, 22158),
(116276, 22161),
(116277, 22163),
(116278, 22164),
(116279, 22165),
(116280, 22166),
(116281, 22167),
(116282, 22169),
(116283, 22170),
(116284, 22171),
(116285, 22185),
(116286, 22174),
(116287, 22275),
(116289, 22177),
(116290, 22178),
(116291, 22179),
(116293, 22180),
(116294, 22181),
(116295, 22182),
(116296, 22183),
(116297, 22192),
(116298, 22186),
(116299, 22196),
(116300, 22197),
(116301, 22189),
(116302, 22198),
(116303, 22194),
(116304, 22195),
(116305, 22203),
(116306, 22204),
(116307, 22285),
(116308, 22286),
(116309, 22209),
(116311, 22211),
(116312, 22212),
(116313, 22213),
(116314, 22232),
(116315, 22273),
(116316, 22231),
(116317, 22220),
(116318, 22222),
(116319, 22229),
(116321, 22224),
(116328, 22227),
(116329, 22230),
(116331, 22233),
(116332, 22234),
(116336, 22509),
(116339, 22508),
(116359, 22242),
(116365, 22315),
(116366, 22279),
(116367, 22280),
(116368, 22281),
(116369, 22282),
(116370, 22916),
(116376, 22262),
(116411, 22261),
(116412, 22265),
(116413, 22266),
(116414, 22355),
(116415, 22270),
(116429, 29094),
(116432, 22274),
(116440, 22287),
(116442, 22352),
(116443, 22295),
(116444, 22296),
(116445, 22297),
(116446, 22298),
(116447, 22299),
(116457, 22863),
(116459, 22308),
(116463, 22312),
(116464, 22316),
(116465, 22768),
(116484, 22323),
(116485, 22319),
(116486, 22321),
(116487, 22320),
(116488, 22324),
(116507, 22325),
(116528, 22327),
(116529, 25212),
(116532, 24496),
(116534, 22328),
(116547, 22330),
(116548, 22332),
(116549, 22335),
(116550, 22334),
(116551, 22336),
(116552, 22337),
(116553, 22338),
(116554, 22339),
(116576, 22343),
(116595, 22395),
(116607, 22347),
(116613, 22497),
(116614, 22351),
(116615, 22354),
(116616, 22856),
(116617, 22357),
(116618, 22359),
(116624, 22361),
(116625, 22362),
(116699, 22387),
(116700, 22408),
(116702, 22404),
(116703, 22369),
(116709, 22403),
(116710, 22424),
(116718, 22413),
(116728, 22374),
(116731, 22391),
(116734, 22376),
(116740, 22492),
(116741, 22637),
(116742, 22638),
(116743, 22639),
(116749, 22405),
(116751, 22389),
(116753, 22390),
(116758, 22392),
(116766, 22436),
(116767, 22865),
(116772, 22397),
(116775, 22490),
(116797, 22409),
(116798, 22410),
(116801, 22412),
(116802, 22415),
(116803, 22414),
(116804, 22416),
(116805, 22429),
(116807, 22524),
(116808, 22569),
(116810, 22419),
(116813, 22421),
(116816, 22423),
(116817, 22426),
(116822, 22427),
(116829, 22428),
(116832, 22430),
(116837, 22433),
(116838, 22434),
(116841, 22588),
(116844, 22438),
(116845, 22517),
(116846, 27877),
(116848, 23080),
(116850, 23081),
(116854, 22443),
(116855, 22444),
(116856, 22448),
(116857, 22446),
(116858, 22447),
(116859, 22449),
(116860, 22450),
(116873, 23540),
(116874, 22803),
(116875, 22454),
(116876, 22455),
(116877, 24645),
(116880, 22866),
(116881, 22457),
(116909, 25281),
(116924, 22460),
(116925, 22461),
(116928, 22464),
(116934, 22478),
(116939, 22466),
(116944, 22481),
(116945, 22468),
(116946, 22470),
(116947, 22823),
(116948, 22824),
(116954, 22473),
(116955, 22650),
(116956, 22653),
(116958, 22483),
(116959, 22477),
(116960, 22479),
(116970, 22482),
(116978, 22484),
(116979, 22485),
(116980, 22486),
(116986, 22487),
(116992, 22491),
(116999, 22494),
(117001, 22495),
(117004, 22496),
(117008, 22498),
(117009, 22500),
(117012, 22857),
(117013, 22858),
(117014, 22503),
(117015, 22507),
(117026, 22510),
(117027, 23143),
(117028, 23144),
(117031, 22513),
(117032, 22832),
(117033, 23018),
(117047, 22519),
(117050, 22714),
(117054, 22529),
(117081, 22530),
(117098, 22534),
(117099, 22533),
(117104, 22536),
(117123, 22537),
(117124, 22538),
(117125, 22539),
(117128, 22544),
(117130, 22541),
(117133, 22542),
(117134, 22554),
(117144, 22545),
(117145, 22546),
(117146, 22547),
(117148, 22867),
(117149, 22551),
(117150, 22553),
(117151, 22558),
(117152, 22557),
(117162, 22640),
(117165, 22585),
(117174, 22564),
(117177, 23292),
(117178, 22568),
(117179, 23884),
(117180, 23279),
(117181, 22571),
(117182, 22572),
(117183, 22574),
(117184, 22575),
(117185, 22576),
(117186, 22577),
(117187, 22988),
(117190, 23248),
(117191, 22581),
(117192, 22582),
(117193, 22583),
(117194, 22591),
(117195, 22594),
(117196, 22595),
(117197, 22596),
(117198, 22597),
(117199, 22598),
(117201, 22600),
(117202, 22683),
(117203, 22870),
(117204, 22603),
(117205, 22604),
(117206, 22605),
(117207, 22606),
(117208, 22607),
(117209, 22827),
(117212, 22610),
(117214, 22613),
(117215, 22614),
(117216, 22615),
(117217, 22804),
(117223, 22805),
(117224, 22806),
(117225, 22620),
(117226, 22621),
(117227, 22622),
(117228, 22623),
(117229, 22624),
(117230, 22625),
(117231, 23065),
(117232, 23066),
(117233, 22629),
(117234, 22630),
(117235, 22633),
(117236, 22632),
(117240, 22634),
(117242, 23323),
(117243, 23325),
(117256, 22641),
(117258, 22643),
(117267, 22644),
(117270, 22645),
(117274, 22646),
(117275, 22647),
(117276, 22649),
(117283, 22651),
(117284, 22652),
(117285, 22654),
(117287, 22655),
(117288, 22656),
(117289, 22657),
(117290, 22658),
(117291, 25659),
(117300, 23100),
(117301, 23102),
(117302, 23103),
(117303, 23106),
(117304, 23675),
(117328, 22668),
(117351, 22676),
(117352, 22677),
(117353, 22678),
(117354, 22679),
(117355, 22680),
(117374, 22685),
(117376, 22686),
(117377, 22687),
(117378, 22688),
(117379, 22689),
(117380, 22690),
(117381, 22691),
(117383, 22699),
(117384, 22693),
(117385, 22694),
(117386, 22695),
(117387, 22696),
(117388, 22697),
(117389, 22698),
(117390, 22700),
(117393, 22701),
(117396, 22703),
(117397, 22702),
(117398, 22704),
(117401, 23475),
(117402, 22859),
(117405, 22707),
(117407, 22860),
(117409, 22709),
(117412, 22711),
(117413, 22713),
(117417, 22715),
(117418, 23013),
(117419, 22716),
(117421, 22717),
(117422, 22718),
(117423, 22719),
(117424, 22883),
(117425, 22721),
(117428, 22722),
(117430, 22724),
(117431, 22766),
(117433, 22767),
(117435, 22734),
(117436, 22729),
(117437, 22730),
(117439, 22736),
(117442, 22737),
(117446, 22739),
(117447, 22740),
(117449, 30903),
(117450, 23075),
(117451, 23076),
(117453, 22745),
(117454, 22746),
(117455, 22835),
(117456, 22833),
(117457, 23035),
(117458, 22753),
(117459, 22834),
(117460, 22752),
(117461, 22754),
(117462, 22836),
(117463, 22756),
(117464, 22837),
(117465, 22838),
(117466, 22764),
(117467, 22765),
(117489, 22779),
(117494, 22791),
(117505, 22898),
(117508, 22821),
(117543, 22877),
(117544, 22872),
(117545, 22873),
(117546, 22876),
(117547, 22875),
(117549, 22878),
(117550, 23186),
(117558, 22993),
(117566, 22884),
(117568, 22885),
(117584, 22994),
(117587, 22908),
(117590, 22909),
(117593, 22888),
(117604, 22892),
(117606, 22893),
(117607, 22894),
(117609, 22895),
(117610, 22896),
(117611, 22902),
(117612, 22900),
(117613, 22901),
(117614, 22903),
(117615, 22905),
(117636, 22910),
(117652, 22913),
(117653, 22914),
(117654, 22915),
(117707, 23008),
(117712, 22940),
(117715, 22941),
(117720, 22943),
(117721, 22944),
(117722, 22945),
(117723, 22946),
(117724, 22947),
(117725, 22948),
(117726, 22949),
(117728, 22950),
(117730, 22953),
(117731, 22951),
(117736, 22952),
(117739, 22954),
(117745, 23000),
(117746, 22958),
(117747, 22957),
(117748, 22959),
(117752, 23145),
(117756, 22971),
(117760, 22962),
(117765, 22963),
(117777, 22964),
(117778, 22965),
(117779, 22967),
(117782, 23146),
(117783, 22969),
(117784, 22972),
(117785, 24770),
(117786, 22974),
(117787, 22975),
(117793, 22976),
(117833, 22977),
(117834, 22978),
(117835, 22979),
(117838, 22980),
(117839, 22981),
(117840, 25633),
(117841, 22983),
(117842, 22984),
(117851, 22990),
(117852, 22991),
(117853, 22992),
(117854, 22995),
(117871, 22996),
(117873, 22997),
(117874, 22998),
(117881, 23016),
(117884, 23002),
(117937, 23009),
(118000, 23015),
(118013, 23019),
(118014, 23021),
(118015, 23022),
(118016, 23032),
(118017, 23024),
(118019, 23025),
(118020, 23026),
(118021, 23027),
(118024, 23028),
(118030, 23029),
(118031, 23030),
(118032, 23031),
(118037, 23033),
(118046, 23034),
(118047, 23036),
(118061, 23038),
(118062, 23037),
(118063, 23039),
(118093, 23041),
(118101, 23043),
(118120, 23044),
(118135, 23045),
(118149, 23046),
(118150, 23048),
(118157, 23130),
(118158, 23049),
(118159, 23051),
(118160, 23054),
(118161, 23052),
(118162, 23053),
(118163, 23055),
(118164, 23056),
(118165, 23057),
(118171, 23058),
(118172, 23059),
(118182, 23060),
(118183, 23061),
(118194, 23068),
(118195, 23067),
(118202, 23123),
(118203, 23071),
(118204, 23072),
(118205, 23156),
(118206, 23078),
(118207, 23082),
(118208, 23083),
(118209, 23463),
(118210, 23466),
(118211, 23465),
(118217, 23090),
(118218, 23246),
(118220, 23199),
(118230, 23094),
(118231, 23107),
(118232, 23676),
(118255, 23109),
(118262, 23110),
(118276, 23118),
(118278, 23114),
(118283, 23119),
(118285, 23121),
(118286, 23120),
(118288, 23124),
(118294, 23127),
(118301, 23133),
(118302, 23134),
(118303, 23135),
(118304, 23136),
(118307, 23139),
(118308, 23140),
(118314, 23151),
(118315, 23211),
(118316, 23210),
(118333, 23157),
(118334, 23159),
(118342, 23247),
(118343, 18397),
(118344, 23163),
(118345, 23164),
(118346, 23165),
(118347, 23561),
(118348, 23168),
(118349, 23169),
(118350, 23170),
(118352, 23171),
(118366, 23177),
(118367, 23174),
(118379, 23175),
(118380, 23176),
(118384, 23193),
(118385, 23194),
(118386, 23191),
(118387, 23183),
(118396, 23187),
(118397, 23190),
(118402, 23192),
(118421, 23949),
(118425, 23196),
(118427, 23195),
(118435, 23197),
(118436, 23198),
(118448, 23200),
(118502, 23201),
(118504, 23203),
(118519, 23204),
(118522, 23205),
(118523, 23208),
(118524, 23477),
(118528, 23209),
(118534, 23221),
(118536, 23401),
(118537, 23697),
(118538, 23219),
(118539, 23220),
(118540, 23225),
(118547, 23226),
(118548, 23227),
(118549, 23228),
(118551, 23229),
(118568, 23230),
(118570, 23235),
(118571, 23236),
(118573, 23237),
(118574, 23238),
(118580, 23260),
(118595, 23240),
(118596, 23241),
(118597, 23552),
(118598, 24162),
(118599, 23244),
(118600, 23245),
(118605, 23249),
(118629, 23250),
(118637, 23948),
(118654, 23251),
(118655, 23252),
(118658, 23254),
(118659, 23255),
(118660, 23256),
(118662, 23261),
(118664, 23262),
(118665, 23264),
(118666, 23339),
(118667, 23341),
(118669, 23270),
(118670, 23682),
(118671, 23684),
(118673, 23271),
(118675, 24042),
(118676, 24043),
(118677, 24046),
(118678, 24466),
(118679, 24467),
(118680, 23275),
(118681, 23280),
(118682, 23844),
(118683, 23284),
(118684, 23286),
(118685, 23291),
(118701, 23302),
(118725, 23601),
(118735, 23329),
(118737, 23330),
(118738, 23331),
(118739, 23332),
(118740, 23309),
(118742, 23333),
(118747, 23311),
(118750, 23696),
(118753, 23597),
(118755, 23695),
(118757, 23314),
(118758, 23315),
(118759, 23316),
(118760, 23317),
(118761, 23318),
(118762, 23319),
(118763, 23320),
(118764, 23321),
(118765, 23322),
(118766, 23324),
(118767, 23326),
(118768, 23327),
(118770, 23328),
(118777, 24163),
(118778, 23342),
(118779, 23343),
(118781, 23344),
(118794, 23346),
(118796, 23347),
(118797, 23348),
(118798, 23349),
(118800, 23350),
(118801, 23351),
(118808, 23421),
(118809, 23422),
(118810, 23425),
(118811, 23426),
(118812, 23717),
(118813, 23744),
(118814, 23361),
(118815, 23362),
(118816, 23559),
(118817, 23365),
(118818, 23367),
(118819, 23369),
(118820, 23370),
(118821, 23371),
(118826, 23372),
(118828, 23379),
(118830, 23374),
(118831, 23375),
(118832, 23376),
(118834, 23377),
(118836, 23378),
(118837, 23380),
(118838, 23381),
(118840, 23382),
(118841, 23392),
(118844, 23384),
(118845, 23385),
(118846, 23396),
(118847, 23953),
(118848, 23389),
(118851, 23393),
(118852, 23397),
(118853, 23398),
(118854, 23399),
(118855, 23400),
(118856, 23402),
(118857, 23403),
(118859, 23405),
(118860, 23703),
(118861, 23407),
(118866, 23415),
(118867, 23445),
(118868, 23423),
(118869, 24264),
(118870, 24265),
(118871, 24266),
(118872, 24267),
(118873, 24268),
(118874, 23433),
(118875, 23554),
(118878, 23439),
(118880, 23443),
(118881, 23444),
(118882, 23446),
(118883, 23447),
(118884, 23448),
(118885, 23449),
(118886, 23450),
(118887, 23452),
(118888, 23453),
(118889, 23454),
(118890, 23455),
(118891, 23456),
(118892, 23904),
(118893, 25464),
(118894, 25465),
(118895, 25466),
(118897, 23467),
(118901, 23468),
(118902, 23469),
(118903, 23470),
(118904, 23471),
(118905, 23472),
(118906, 23473),
(118907, 23474),
(118908, 23476),
(118909, 23478),
(118910, 23688),
(118911, 23481),
(118914, 23483),
(118915, 23493),
(118916, 23686),
(118917, 23685),
(118918, 23489),
(118919, 23492),
(118920, 23495),
(118921, 23496),
(118922, 23505),
(118927, 23602),
(118928, 23500),
(118929, 23503),
(118949, 23508),
(118950, 23510),
(118956, 23528),
(118957, 23522),
(118959, 23521),
(118960, 24535),
(118961, 24536),
(118962, 24537),
(118963, 23529),
(118964, 23530),
(118965, 23533),
(118966, 23535),
(118967, 23536),
(118968, 23545),
(118969, 23538),
(118970, 23543),
(118971, 23544),
(118972, 23546),
(118973, 23568),
(118974, 23549),
(118975, 23550),
(118976, 23553),
(118977, 23556),
(118979, 24037),
(118981, 23563),
(118982, 23571),
(118983, 23580),
(118984, 23581),
(118985, 24854),
(118986, 23570),
(118987, 23585),
(118988, 23584),
(118989, 23583),
(118990, 23582),
(118991, 23587),
(118992, 24509),
(118993, 24513),
(118994, 24507),
(118996, 24217),
(118997, 24218),
(118998, 24069),
(119000, 24068),
(119001, 24855),
(119002, 24856),
(119004, 24234),
(119006, 24138),
(119008, 24227),
(119009, 23693),
(119010, 23690),
(119011, 23692),
(119013, 23702),
(119014, 23677),
(119015, 23673),
(119016, 24720),
(119017, 24721),
(119022, 24131),
(119023, 24132),
(119024, 24133),
(119027, 24134),
(119028, 24135),
(119034, 24062),
(119035, 24065),
(119039, 24219),
(119040, 24220),
(119041, 24213),
(119042, 24236),
(119043, 24215),
(119044, 24257),
(119045, 24255),
(119046, 24259),
(119047, 24263),
(119048, 24262),
(119049, 23914),
(119051, 24005),
(119052, 24178),
(119053, 24179),
(119054, 24328),
(119055, 24193),
(119056, 24636),
(119057, 24637),
(119058, 24141),
(119059, 24139),
(119060, 24140),
(119061, 24421),
(119062, 24108),
(119064, 24109),
(119065, 24110),
(119066, 24626),
(119067, 24228),
(119068, 24229),
(119069, 24230),
(119070, 24151),
(119071, 24154),
(119072, 24153),
(119073, 24155),
(119074, 24627),
(119075, 23860),
(119076, 24009),
(119077, 24047),
(119078, 24238),
(119080, 24310),
(119081, 24313),
(119082, 24571),
(119083, 24570),
(119084, 24568),
(119085, 24569),
(119086, 24150),
(119087, 24231),
(119088, 23678),
(119089, 23679),
(119095, 23750),
(119112, 24346),
(119114, 23689),
(119125, 23694),
(119127, 23698),
(119129, 23712),
(119130, 23700),
(119155, 23704),
(119156, 23705),
(119157, 23706),
(119158, 23720),
(119172, 23754),
(119175, 23713),
(119178, 24164),
(119187, 24461),
(119272, 23730),
(119273, 23731),
(119274, 23732),
(119275, 23733),
(119305, 23722),
(119307, 23725),
(119308, 23724),
(119317, 23728),
(119318, 23729),
(119334, 23749),
(119335, 23736),
(119336, 23741),
(119361, 24611),
(119362, 24612),
(119364, 24613),
(119365, 25663),
(119401, 24026),
(119403, 23752),
(119405, 23753),
(119466, 23755),
(119517, 23757),
(119525, 24000),
(119527, 24001),
(119528, 23762),
(119529, 24072),
(119530, 24326),
(119531, 24327),
(119532, 23766),
(119535, 24049),
(119536, 24050),
(119537, 24052),
(119538, 24053),
(119542, 24054),
(119546, 24589),
(119547, 24592),
(119549, 24593),
(119553, 23776),
(119554, 23786),
(119555, 23880),
(119556, 23999),
(119557, 24048),
(119558, 24247),
(119559, 24344),
(119560, 24442),
(119561, 24443),
(119562, 24249),
(119563, 24250),
(119565, 23787),
(119567, 24251),
(119568, 24252),
(119569, 24253),
(119572, 23793),
(119573, 23917),
(119574, 23918),
(119576, 23935),
(119577, 23797),
(119578, 24073),
(119579, 24074),
(119580, 24771),
(119581, 24076),
(119582, 24504),
(119583, 24505),
(119584, 24772),
(119606, 24107),
(119607, 24106),
(119618, 23811),
(119619, 23834),
(119638, 24004),
(119639, 23815),
(119641, 24113),
(119642, 23816),
(119644, 23841),
(119645, 23818),
(119647, 23863),
(119649, 24007),
(119650, 24008),
(119651, 24173),
(119652, 24174),
(119653, 23830),
(119655, 23940),
(119656, 24444),
(119658, 23839),
(119659, 23838),
(119660, 23835),
(119661, 23842),
(119662, 23832),
(119664, 23836),
(119670, 23850),
(119671, 23851),
(119672, 23852),
(119673, 23853),
(119703, 26954),
(119704, 23855),
(119705, 23856),
(119706, 23857),
(119707, 23859),
(119710, 24187),
(119712, 30922),
(119714, 25468),
(119715, 25469),
(119716, 25470),
(119717, 23868),
(119718, 23869),
(119731, 23872),
(119734, 23873),
(119736, 23874),
(119750, 23877),
(119765, 24359),
(119766, 24360),
(119767, 24361),
(119768, 24362),
(119769, 24357),
(119770, 24358),
(119771, 24363),
(119772, 24364),
(119773, 24365),
(119781, 23889),
(119783, 23887),
(119789, 23892),
(119790, 23895),
(119792, 23894),
(119796, 23897),
(119808, 23899),
(119834, 23905),
(119839, 23907),
(119841, 23908),
(119842, 23909),
(119863, 23910),
(119866, 23913),
(119876, 24017),
(119911, 23931),
(119929, 23932),
(119948, 23936),
(119950, 23937),
(119951, 24166),
(119952, 24165),
(119953, 24167),
(119954, 24168),
(119955, 24169),
(119993, 24119),
(119994, 24118),
(120001, 23956),
(120003, 23958),
(120010, 23959),
(120011, 23974),
(120012, 23961),
(120013, 23962),
(120014, 23969),
(120015, 23970),
(120016, 23971),
(120017, 23972),
(120018, 23981),
(120019, 23986),
(120020, 23977),
(120022, 23978),
(120023, 23979),
(120024, 23980),
(120028, 23990),
(120033, 23988),
(120034, 23989),
(120037, 23992),
(120038, 23991),
(120040, 23993),
(120041, 23994),
(120043, 23996),
(120045, 23997),
(120047, 23998),
(120056, 24745),
(120078, 24015),
(120079, 24016),
(120080, 24038),
(120081, 24021),
(120082, 24342),
(120083, 24341),
(120098, 24030),
(120101, 24027),
(120102, 24028),
(120104, 24029),
(120111, 24031),
(120116, 24032),
(120130, 24347),
(120142, 24045),
(120149, 24051),
(120158, 24117),
(120168, 24057),
(120169, 24058),
(120173, 24070),
(120174, 24079),
(120175, 24078),
(120176, 24089),
(120177, 24090),
(120178, 24082),
(120179, 24083),
(120180, 24091),
(120181, 24093),
(120182, 24087),
(120183, 24094),
(120184, 24092),
(120185, 24096),
(120187, 24097),
(120188, 24171),
(120189, 24099),
(120190, 24237),
(120193, 24103),
(120195, 24104),
(120199, 24105),
(120203, 24289),
(120204, 24290),
(120206, 24120),
(120207, 24121),
(120208, 24122),
(120209, 24123),
(120211, 24124),
(120213, 24277),
(120214, 24127),
(120216, 24278),
(120219, 24137),
(120247, 24142),
(120248, 24144),
(120250, 24145),
(120251, 24146),
(120264, 24159),
(120284, 24156),
(120307, 24160),
(120308, 24747),
(120322, 24273),
(120338, 24175),
(120339, 24176),
(120340, 24177),
(120344, 24188),
(120345, 24189),
(120346, 24190),
(120347, 24191),
(120348, 24192),
(120349, 24753),
(120350, 24746),
(120351, 24660),
(120352, 24200),
(120353, 24203),
(120357, 24221),
(120358, 26059),
(120359, 24233),
(120360, 24224),
(120386, 24463),
(120406, 24226),
(120467, 24232),
(120485, 24241),
(120486, 24281),
(120487, 24242),
(120488, 24280),
(120489, 24243),
(120497, 24245),
(120498, 24246),
(120499, 24248),
(120519, 27912),
(120537, 24274),
(120539, 24472),
(120540, 24468),
(120541, 24698),
(120542, 24740),
(120543, 24761),
(120544, 24850),
(120546, 25178),
(120580, 24283),
(120585, 24990),
(120586, 24430),
(120587, 24286),
(120589, 24288),
(120600, 24291),
(120817, 24533),
(120837, 24293),
(120838, 24294),
(120845, 24297),
(120846, 24298),
(120847, 24431),
(120873, 24311),
(120892, 24318),
(120907, 24322),
(120912, 24323),
(120913, 24324),
(120923, 24325),
(120938, 25030),
(120939, 25031),
(120940, 25032),
(120941, 24997),
(120943, 25027),
(120962, 24329),
(120968, 24979),
(120985, 24337),
(120988, 24334),
(120992, 24338),
(120997, 24428),
(121007, 24379),
(121008, 24373),
(121055, 24349),
(121056, 24378),
(121058, 24352),
(121059, 24356),
(121077, 24458),
(121080, 24366),
(121081, 24367),
(121082, 24495),
(121083, 24501),
(121085, 24499),
(121088, 28722),
(121090, 24374),
(121099, 24377),
(121157, 24380),
(121168, 24381),
(121171, 24382),
(121172, 24383),
(121173, 24384),
(121174, 24385),
(121175, 26834),
(121176, 26833),
(121177, 24388),
(121179, 24389),
(121180, 24390),
(121181, 24391),
(121182, 24394),
(121183, 24395),
(121184, 24396),
(121185, 24397),
(121186, 24599),
(121187, 24597),
(121188, 24704),
(121189, 24405),
(121190, 24403),
(121191, 24404),
(121192, 24406),
(121193, 24407),
(121200, 24409),
(121201, 24748),
(121205, 24411),
(121206, 24412),
(121207, 28799),
(121209, 24416),
(121210, 24456),
(121213, 24418),
(121214, 24419),
(121215, 24420),
(121226, 24422),
(121229, 24484),
(121230, 26840),
(121231, 24455),
(121234, 24426),
(121242, 24684),
(121248, 24433),
(121249, 24432),
(121250, 24434),
(121252, 24436),
(121253, 24437),
(121254, 26847),
(121256, 24440),
(121260, 24663),
(121261, 24447),
(121264, 24451),
(121265, 24453),
(121267, 24809),
(121270, 28721),
(121274, 24500),
(121275, 24462),
(121276, 26841),
(121277, 26842),
(121278, 26843),
(121279, 24542),
(121280, 24475),
(121281, 24602),
(121282, 24478),
(121286, 24480),
(121287, 24750),
(121289, 24749),
(121290, 24488),
(121291, 24489),
(121301, 24490),
(121302, 24491),
(121303, 24492),
(121304, 24742),
(121320, 24494),
(121336, 24497),
(121337, 24498),
(121385, 24503),
(121394, 24502),
(121398, 24575),
(121416, 24544),
(121417, 24511),
(121430, 24525),
(121437, 24532),
(121440, 24539),
(121441, 26849),
(121447, 24543),
(121462, 24555),
(121463, 24553),
(121464, 24554),
(121484, 24556),
(121486, 24557),
(121501, 24558),
(121502, 24751),
(121503, 24752),
(121504, 25635),
(121505, 25634),
(121506, 24563),
(121507, 24564),
(121508, 24565),
(121509, 24566),
(121515, 24572),
(121519, 24574),
(121521, 24576),
(121523, 24578),
(121532, 24582),
(121533, 24583),
(121537, 24584),
(121540, 24585),
(121547, 24587),
(121548, 24588),
(121550, 24601),
(121552, 26844),
(121553, 24595),
(121555, 24600),
(121559, 24603),
(121560, 24604),
(121563, 24606),
(121564, 24608),
(121565, 24609),
(121566, 24610),
(121567, 24614),
(121568, 24617),
(121569, 26057),
(121572, 24618),
(121573, 25499),
(121574, 24699),
(121577, 30901),
(121578, 25517),
(121579, 25518),
(121593, 24629),
(121594, 26850),
(121600, 24631),
(121606, 24632),
(121607, 24633),
(121608, 24792),
(121612, 25015),
(121614, 25451),
(121637, 24638),
(121638, 24640),
(121639, 24641),
(121640, 24642),
(121646, 25125),
(121647, 24646),
(121648, 24647),
(121653, 24648),
(121654, 24649),
(121656, 24651),
(121657, 24652),
(121658, 24653),
(121660, 24656),
(121661, 24657),
(121662, 24659),
(121663, 24661),
(121664, 24662),
(121665, 24664),
(121666, 24665),
(121667, 24666),
(121668, 24667),
(121669, 25564),
(121689, 24670),
(121700, 24671),
(121702, 24672),
(121703, 24673),
(121704, 24674),
(121705, 24675),
(121706, 25512),
(121707, 24677),
(121712, 24685),
(121713, 24679),
(121714, 24681),
(121715, 24682),
(121716, 24683),
(121718, 28791),
(121742, 24689),
(121743, 24690),
(121744, 24691),
(121745, 24692),
(121746, 24693),
(121747, 24694),
(121748, 24695),
(121760, 24696),
(121777, 24700),
(121778, 24702),
(121779, 24706),
(121780, 24705),
(121782, 24707),
(121786, 24769),
(121787, 24960),
(121789, 25188),
(121790, 24714),
(121791, 24715),
(121792, 25187),
(121793, 24722),
(121795, 24723),
(121797, 24725),
(121802, 24729),
(121807, 24728),
(121808, 24836),
(121809, 24727),
(121813, 24731),
(121814, 24732),
(121817, 24733),
(121823, 24734),
(121824, 24735),
(121825, 24736),
(121826, 24737),
(121827, 25467),
(121852, 24743),
(121853, 24744),
(121855, 24754),
(121856, 24755),
(121857, 24757),
(121858, 24760),
(121859, 24762),
(121860, 24763),
(121861, 24764),
(121865, 24765),
(121866, 24785),
(121867, 24800),
(121903, 24768),
(121904, 24774),
(121905, 24775),
(121906, 24776),
(121908, 24784),
(121909, 24946),
(121910, 24947),
(121911, 24988),
(121912, 24989),
(121913, 24787),
(121914, 24789),
(121926, 24864),
(121936, 24793),
(121937, 24794),
(121938, 24795),
(121940, 24796),
(121941, 24799),
(121947, 24802),
(121948, 24805),
(121949, 24804),
(121951, 24807),
(121952, 24808),
(121953, 24810),
(121954, 24811),
(121955, 25123),
(121956, 25126),
(121958, 24965),
(121959, 24966),
(121960, 25643),
(121961, 25455),
(121962, 25456),
(121963, 25457),
(121964, 25458),
(121965, 24871),
(121966, 24824),
(121967, 24825),
(121969, 24826),
(121971, 24827),
(121985, 24828),
(121987, 24829),
(121999, 24830),
(122000, 24831),
(122001, 24832),
(122002, 24865),
(122003, 24857),
(122004, 24837),
(122005, 24848),
(122006, 24898),
(122007, 24841),
(122008, 24842),
(122009, 24843),
(122010, 24844),
(122011, 24845),
(122012, 24846),
(122013, 24847),
(122014, 24849),
(122025, 24853),
(122026, 24852),
(122033, 25638),
(122034, 25639),
(122035, 25640),
(122036, 25641),
(122037, 25642),
(122047, 24866),
(122062, 24922),
(122063, 24874),
(122064, 24869),
(122065, 24870),
(122066, 26848),
(122068, 24875),
(122069, 26851),
(122070, 24936),
(122086, 24879),
(122088, 24880),
(122089, 24899),
(122090, 24882),
(122091, 26846),
(122094, 24884),
(122095, 24885),
(122100, 24888),
(122101, 25071),
(122102, 24891),
(122103, 24896),
(122104, 25070),
(122105, 25166),
(122127, 26852),
(122128, 24912),
(122129, 26845),
(122131, 24906),
(122144, 24907),
(122145, 24908),
(122146, 24910),
(122157, 24911),
(122165, 24915),
(122167, 24916),
(122168, 24977),
(122169, 24918),
(122174, 24919),
(122178, 24920),
(122246, 24925),
(122247, 24924),
(122248, 24926),
(122259, 24927),
(122263, 24928),
(122271, 24929),
(122272, 24930),
(122274, 24933),
(122276, 24932),
(122278, 24934),
(122279, 24935),
(122308, 24945),
(122309, 24937),
(122310, 24940),
(122311, 24941),
(122312, 24942),
(122313, 24939),
(122314, 24944),
(122324, 24948),
(122325, 24949),
(122326, 24950),
(122327, 24951),
(122331, 24954),
(122334, 24957),
(122335, 24958),
(122336, 24959),
(122337, 24964),
(122343, 24969),
(122344, 24970),
(122345, 24971),
(122346, 24973),
(122353, 24974),
(122355, 25041),
(122356, 25040),
(122357, 24978),
(122359, 24981),
(122360, 24982),
(122364, 24983),
(122366, 24984),
(122367, 24985),
(122373, 24986),
(122374, 24987),
(122386, 24991),
(122389, 24992),
(122390, 24993),
(122391, 24994),
(122401, 24996),
(122402, 24995),
(122407, 24999),
(122408, 25033),
(122410, 25000),
(122411, 25459),
(122412, 25460),
(122413, 25461),
(122415, 25462),
(122416, 25463),
(122418, 25006),
(122419, 25007),
(122420, 25008),
(122421, 25131),
(122426, 25029),
(122427, 25010),
(122429, 25034),
(122430, 25011),
(122431, 25012),
(122432, 25394),
(122433, 25395),
(122434, 25016),
(122435, 25019),
(122436, 25047),
(122442, 25498),
(122446, 25022),
(122447, 25023),
(122448, 25024),
(122449, 25483),
(122451, 25028),
(122456, 25036),
(122457, 25035),
(122458, 25037),
(122459, 25038),
(122460, 25039),
(122465, 25182),
(122466, 25050),
(122467, 30941),
(122468, 25046),
(122469, 25048),
(122470, 30943),
(122471, 25127),
(122472, 25534),
(122473, 25128),
(122474, 25129),
(122475, 25130),
(122476, 25132),
(122480, 25137),
(122481, 25138),
(122482, 25134),
(122483, 25065),
(122484, 25135),
(122486, 25136),
(122487, 25072),
(122488, 25073),
(122489, 25074),
(122490, 25075),
(122491, 25571),
(122492, 25083),
(122493, 28120),
(122494, 25098),
(122495, 25090),
(122496, 28127),
(122497, 25085),
(122498, 25086),
(122499, 25087),
(122500, 25088),
(122501, 25089),
(122510, 25519),
(122512, 25520),
(122514, 25521),
(122516, 25522),
(122524, 25099),
(122525, 25100),
(122526, 25101),
(122527, 25102),
(122530, 25104),
(122531, 25105),
(122532, 25107),
(122533, 25108),
(122534, 30441),
(122535, 25110),
(122536, 25194),
(122537, 25112),
(122541, 25114),
(122556, 25115),
(122558, 25116),
(122560, 25117),
(122561, 25118),
(122571, 25121),
(122572, 25122),
(122577, 25124),
(122602, 25141),
(122603, 25143),
(122611, 25150),
(122612, 25151),
(122619, 26062),
(122620, 26063),
(122621, 26064),
(122622, 26060),
(122623, 26061),
(122630, 25230),
(122634, 30964),
(122635, 25165),
(122638, 25167),
(122639, 26853),
(122640, 25169),
(122643, 25170),
(122644, 25171),
(122672, 25172),
(122673, 25177),
(122674, 25175),
(122675, 26886),
(122686, 25193),
(122711, 25183),
(122712, 25185),
(122720, 25190),
(122722, 25189),
(122732, 25192),
(122733, 25191),
(122757, 25197),
(122774, 25198),
(122777, 25676),
(122786, 25202),
(122788, 25203),
(122799, 25205),
(122800, 25206),
(122820, 26140),
(122830, 25207),
(122832, 25208),
(122833, 25209),
(122834, 25210),
(122841, 25600),
(122846, 25214),
(122867, 25221),
(122879, 25216),
(122880, 25217),
(122881, 25218),
(122917, 25219),
(122925, 25228),
(122935, 25224),
(122948, 25222),
(123020, 25223),
(123021, 25268),
(123025, 25227),
(123035, 26098),
(123036, 26097),
(123045, 25245),
(123046, 25239),
(123047, 25243),
(123048, 25244),
(123057, 25246),
(123058, 25247),
(123093, 25252),
(123094, 25251),
(123122, 26837),
(123123, 25257),
(123129, 25258),
(123131, 25259),
(123157, 25795),
(123161, 25274),
(123162, 25262),
(123163, 25263),
(123183, 25264),
(123188, 25267),
(123208, 25289),
(123210, 25270),
(123211, 25271),
(123212, 25272),
(123217, 25273),
(123220, 25797),
(123222, 25277),
(123225, 25302),
(123234, 25342),
(123235, 25280),
(123249, 25286),
(123250, 25513),
(123251, 25514),
(123255, 25291),
(123256, 25672),
(123257, 25292),
(123281, 30112),
(123282, 26814),
(123283, 26815),
(123284, 25298),
(123288, 25602),
(123302, 25299),
(123337, 26099),
(123338, 26100),
(123339, 26033),
(123340, 25306),
(123353, 25307),
(123354, 25308),
(123355, 25309),
(123356, 25310),
(123357, 25311),
(123358, 25312),
(123359, 25595),
(123380, 25934),
(123381, 25329),
(123382, 25332),
(123383, 25333),
(123384, 25935),
(123385, 25929),
(123386, 25931),
(123387, 25937),
(123388, 28126),
(123389, 28125),
(123395, 25324),
(123396, 25325),
(123398, 25327),
(123400, 25328),
(123402, 25593),
(123405, 25331),
(123427, 25334),
(123436, 25336),
(123439, 25337),
(123443, 25356),
(123454, 25381),
(123462, 25344),
(123464, 25345),
(123466, 25484),
(123468, 25347),
(123469, 25348),
(123470, 25349),
(123471, 25350),
(123472, 25351),
(123473, 25352),
(123474, 25353),
(123475, 25660),
(123476, 25355),
(123496, 25357),
(123499, 25358),
(123502, 25359),
(123505, 25362),
(123506, 25360),
(123507, 25363),
(123508, 25364),
(123515, 25365),
(123517, 25366),
(123518, 25367),
(123520, 25368),
(123522, 25369),
(123528, 25370),
(123532, 25379),
(123536, 25377),
(123539, 25374),
(123540, 25375),
(123541, 25378),
(123542, 25547),
(123543, 25383),
(123544, 25384),
(123545, 25385),
(123546, 25386),
(123547, 25387),
(123548, 25388),
(123549, 25389),
(123550, 25844),
(123551, 25392),
(123552, 25396),
(123553, 25397),
(123554, 25398),
(123555, 25578),
(123556, 25808),
(123561, 25401),
(123563, 25402),
(123566, 25404),
(123567, 25405),
(123568, 25408),
(123569, 25453),
(123570, 25409),
(123571, 25612),
(123572, 25500),
(123573, 25424),
(123574, 25438),
(123575, 25441),
(123576, 25448),
(123577, 25436),
(123578, 25419),
(123579, 25437),
(123580, 25440),
(123581, 25422),
(123582, 25439),
(123583, 25442),
(123584, 25426),
(123585, 25444),
(123586, 25429),
(123587, 25430),
(123588, 25445),
(123589, 25432),
(123590, 25446),
(123591, 25447),
(123592, 25435),
(123593, 26816),
(123595, 25452),
(123625, 25523),
(123626, 25524),
(123627, 25525),
(123628, 25526),
(123629, 25527),
(123635, 25494),
(123636, 25506),
(123637, 25495),
(123638, 25496),
(123639, 25497),
(123641, 25501),
(123642, 25502),
(123643, 25503),
(123644, 25504),
(123645, 25505),
(123649, 25507),
(123650, 25508),
(123651, 25509),
(123652, 25510),
(123653, 25511),
(123655, 25528),
(123656, 25529),
(123657, 25530),
(123658, 25531),
(123659, 25532),
(123660, 25899),
(123662, 25535),
(123676, 25536),
(123681, 25563),
(123683, 25610),
(123694, 25539),
(123695, 25540),
(123696, 25541),
(123697, 25542),
(123698, 25543),
(123699, 25544),
(123700, 25545),
(123701, 26065),
(123702, 26071),
(123703, 25554),
(123704, 26070),
(123705, 26069),
(123708, 26067),
(123713, 26066),
(123721, 26068),
(123751, 25565),
(123752, 25603),
(123767, 26817),
(123771, 25569),
(123782, 25585),
(123783, 25572),
(123784, 25573),
(123785, 25575),
(123786, 25576),
(123787, 25577),
(123788, 25579),
(123789, 25580),
(123790, 25581),
(123791, 25586),
(123792, 25583),
(123793, 25587),
(123794, 25588),
(123795, 25589),
(123796, 25590),
(123797, 25591),
(123798, 25592),
(123804, 25594),
(123836, 25608),
(123839, 25599),
(123842, 25601),
(123911, 25605),
(123912, 25606),
(123914, 25607),
(123915, 26854),
(123916, 26007),
(123933, 25654),
(123952, 25613),
(123953, 25614),
(123956, 26101),
(123957, 26102),
(123963, 25754),
(123966, 25755),
(123967, 25768),
(123968, 25765),
(123969, 25769),
(123985, 26072),
(124006, 25741),
(124008, 25625),
(124035, 25630),
(124036, 25631),
(124049, 25653),
(124064, 25644),
(124085, 25647),
(124087, 25648),
(124090, 25649),
(124092, 25650),
(124099, 25651),
(124105, 25673),
(124106, 25656),
(124107, 25657),
(124109, 25710),
(124122, 25716),
(124123, 25717),
(124124, 25857),
(124125, 26028),
(124126, 26134),
(124127, 26120),
(124184, 25677),
(124185, 25678),
(124186, 25679),
(124187, 25680),
(124188, 25681),
(124189, 25682),
(124190, 25683),
(124192, 25875),
(124193, 25876),
(124194, 26413),
(124195, 26412),
(124198, 25690),
(124200, 25691),
(124202, 25693),
(124203, 25694),
(124204, 25697),
(124205, 25699),
(124206, 25700),
(124207, 25701),
(124208, 25702),
(124209, 25703),
(124210, 25705),
(124224, 26116),
(124225, 25706),
(124226, 25707),
(124227, 25708),
(124252, 25709),
(124260, 25711),
(124267, 25713),
(124274, 26087),
(124275, 25715),
(124289, 25718),
(124292, 25722),
(124293, 25723),
(124294, 25724),
(124304, 26580),
(124305, 26581),
(124306, 25727),
(124307, 25728),
(124308, 25732),
(124309, 25731),
(124310, 25737),
(124311, 25734),
(124312, 25736),
(124313, 26582),
(124332, 25740),
(124379, 25746),
(124382, 25743),
(124386, 25744),
(124388, 25748),
(124389, 25749),
(124390, 25750),
(124397, 25751),
(124434, 25753),
(124435, 25773),
(124436, 25770),
(124448, 25774),
(124449, 25771),
(124451, 25772),
(124459, 25775),
(124466, 25776),
(124503, 25777),
(124507, 25778),
(124509, 25914),
(124510, 25780),
(124511, 25781),
(124512, 25915),
(124513, 25916),
(124519, 25912),
(124520, 25785),
(124531, 25788),
(124542, 25791),
(124545, 25792),
(124550, 26103),
(124557, 25962),
(124559, 25798),
(124573, 26652),
(124580, 25803),
(124581, 25804),
(124582, 25805),
(124583, 26427),
(124584, 26429),
(124585, 25809),
(124587, 25810),
(124588, 25812),
(124589, 25811),
(124591, 25813),
(124606, 25816),
(124607, 25817),
(124608, 25818),
(124616, 25819),
(124628, 25820),
(124629, 25821),
(124637, 25822),
(124640, 25823),
(124671, 25824),
(124672, 25825),
(124673, 30897),
(124674, 25827),
(124675, 25828),
(124677, 25829),
(124679, 25831),
(124680, 25832),
(124690, 25845),
(124692, 25846),
(124693, 25847),
(124694, 25849),
(124696, 25850),
(124698, 25851),
(124703, 25854),
(124705, 25894),
(124707, 26177),
(124710, 25858),
(124711, 25859),
(124712, 25860),
(124715, 25862),
(124717, 25873),
(124718, 25981),
(124756, 25867),
(124757, 25868),
(124758, 25869),
(124759, 25870),
(124760, 25871),
(124761, 25907),
(124768, 25874),
(124770, 25993),
(124773, 25877),
(124774, 25878),
(124780, 25879),
(124783, 25880),
(124784, 25918),
(124785, 25883),
(124786, 25884),
(124787, 25885),
(124788, 26021),
(124789, 25887),
(124791, 25889),
(124792, 25890),
(124799, 27888),
(124800, 25893),
(124812, 26073),
(124813, 26074),
(124814, 26075),
(124815, 26076),
(124816, 25901),
(124817, 26077),
(124818, 25903),
(124819, 25904),
(124820, 25905),
(124821, 26557),
(124825, 25908),
(124830, 25911),
(124831, 25954),
(124836, 25922),
(124838, 25969),
(124839, 25930),
(124840, 25928),
(124842, 26096),
(124844, 26345),
(124845, 26349),
(124846, 26351),
(124847, 26586),
(124848, 26662),
(124850, 26671),
(124851, 26691),
(124852, 31424),
(124858, 25949),
(124859, 25950),
(124862, 25951),
(124863, 25952),
(124864, 25953),
(124870, 25955),
(124878, 25956),
(124881, 25958),
(124883, 25959),
(124884, 26115),
(124885, 25963),
(124890, 25964),
(124891, 25965),
(124892, 25966),
(124897, 25967),
(124921, 25971),
(124922, 25972),
(124926, 26058),
(124928, 25975),
(124931, 26444),
(124939, 25985),
(124948, 25977),
(124952, 25978),
(124956, 25979),
(124957, 25980),
(124958, 25982),
(124959, 25983),
(124960, 25984),
(124964, 25987),
(124965, 25986),
(124978, 25989),
(124980, 25991),
(124983, 25992),
(125008, 25995),
(125011, 25994),
(125014, 25996),
(125016, 25998),
(125017, 26000),
(125018, 26001),
(125019, 26035),
(125020, 26003),
(125021, 26018),
(125023, 26024),
(125050, 26020),
(125051, 26005),
(125052, 26006),
(125055, 26008),
(125056, 26009),
(125057, 26010),
(125062, 26012),
(125063, 26013),
(125065, 26014),
(125149, 26017),
(125160, 26874),
(125162, 26019),
(125178, 26022),
(125211, 26025),
(125216, 26093),
(125236, 26027),
(125249, 26032),
(125252, 26030),
(125253, 26031),
(125275, 26034),
(125289, 26119),
(125290, 26355),
(125291, 26583),
(125292, 26123),
(125293, 26634),
(125298, 26726),
(125299, 26923),
(125300, 26924),
(125302, 26573),
(125316, 26045),
(125317, 26046),
(125319, 26047),
(125323, 26084),
(125326, 26085),
(125330, 26050),
(125334, 26051),
(125339, 26053),
(125343, 26054),
(125345, 26055),
(125346, 26056),
(125371, 26078),
(125382, 26079),
(125383, 26080),
(125384, 26081),
(125385, 26082),
(125387, 26086),
(125486, 26088),
(125488, 26089),
(125489, 26090),
(125490, 26091),
(125491, 26092),
(125520, 26094),
(125522, 26515),
(125628, 26107),
(125630, 26108),
(125631, 26109),
(125632, 26110),
(125633, 26111),
(125669, 26114),
(125719, 26146),
(125720, 26126),
(125721, 26125),
(125725, 26478),
(125727, 26129),
(125729, 26132),
(125730, 26130),
(125737, 26131),
(125742, 26133),
(125758, 26135),
(125759, 26136),
(125761, 26137),
(125762, 26138),
(125787, 26141),
(125790, 26178),
(125791, 26275),
(125800, 26139),
(125803, 26142),
(125816, 26143),
(125856, 26147),
(125862, 26590),
(125872, 26152),
(125900, 26150),
(125901, 26273),
(125913, 26153),
(125918, 26154),
(125919, 26155),
(125920, 26156),
(125921, 26157),
(125923, 26158),
(125924, 26159),
(125925, 26160),
(125926, 26161),
(125931, 26162),
(125946, 26163),
(125948, 26165),
(125949, 26167),
(125950, 26168),
(125951, 26169),
(125952, 26179),
(125968, 26171),
(125973, 26173),
(125974, 26182),
(125975, 26174),
(125976, 26175),
(125977, 26176),
(125982, 26180),
(125983, 26183),
(125984, 26185),
(125993, 26188),
(125994, 26187),
(125996, 26190),
(125999, 26556),
(126002, 26516),
(126016, 26543),
(126018, 26544),
(126026, 26201),
(126028, 26202),
(126102, 26271),
(126122, 26264),
(126124, 26265),
(126139, 26266),
(126144, 26267),
(126147, 26268),
(126151, 26269),
(126155, 26270),
(126171, 26272),
(126220, 26274),
(126222, 26276),
(126226, 26277),
(126229, 26278),
(126230, 26279),
(126232, 26281),
(126233, 26280),
(126234, 26283),
(126253, 26284),
(126254, 26285),
(126255, 26287),
(126256, 26289),
(126257, 26291),
(126267, 26292),
(126268, 26293),
(126269, 26294),
(126270, 26836),
(126271, 26296),
(126300, 26309),
(126322, 26300),
(126323, 26301),
(126324, 26302),
(126326, 26303),
(126329, 26307),
(126330, 26308),
(126331, 26310),
(126335, 26311),
(126336, 26312),
(126342, 26313),
(126364, 26314),
(126365, 26315),
(126366, 26316),
(126371, 26318),
(126374, 26319),
(126432, 26320),
(126433, 26395),
(126474, 26323),
(126480, 26535),
(126481, 26326),
(126482, 26327),
(126483, 26328),
(126484, 26329),
(126485, 26330),
(126486, 26331),
(126487, 26332),
(126488, 26537),
(126489, 26336),
(126490, 26342),
(126491, 26337),
(126492, 26338),
(126493, 26339),
(126494, 26340),
(126495, 26341),
(126496, 26343),
(126497, 26346),
(126498, 26428),
(126503, 26353),
(126504, 26354),
(126513, 26364),
(126514, 26369),
(126515, 26363),
(126516, 26365),
(126517, 26366),
(126518, 26367),
(126519, 26375),
(126520, 26370),
(126524, 26373),
(126527, 26587),
(126533, 26381),
(126536, 26379),
(126540, 26380),
(126542, 26382),
(126543, 26383),
(126544, 26384),
(126545, 26385),
(126546, 26386),
(126547, 26387),
(126549, 26389),
(126550, 26390),
(126552, 26396),
(126553, 26398),
(126556, 26399),
(126557, 26400),
(126558, 26401),
(126559, 26402),
(126560, 26403),
(126561, 26405),
(126562, 27905),
(126563, 26437),
(126564, 26438),
(126565, 26439),
(126566, 26440),
(126567, 26411),
(126569, 26415),
(126570, 26554),
(126571, 26555),
(126572, 26418),
(126573, 26419),
(126574, 26631),
(126576, 26421),
(126577, 26441),
(126578, 26632),
(126583, 26424),
(126584, 26430),
(126585, 26431),
(126586, 26432),
(126587, 26777),
(126588, 26778),
(126589, 26435),
(126590, 26570),
(126593, 26835),
(126594, 26443),
(126595, 26571),
(126596, 26463),
(126597, 26451),
(126598, 26450),
(126599, 26456),
(126600, 26455),
(126601, 26454),
(126602, 26458),
(126603, 26459),
(126604, 26460),
(126606, 26461),
(126607, 26465),
(126608, 26466),
(126609, 26474),
(126610, 28123),
(126611, 26476),
(126613, 26477),
(126614, 26471),
(126619, 26492),
(126620, 26579),
(126622, 26552),
(126623, 26483),
(126624, 26484),
(126631, 26485),
(126633, 26486),
(126634, 26487),
(126635, 26488),
(126636, 26489),
(126637, 26514),
(126638, 26491),
(126639, 26545),
(126641, 26546),
(126643, 26547),
(126647, 26531),
(126649, 26528),
(126652, 26530),
(126653, 26529),
(126654, 26532),
(126655, 30114),
(126657, 26511),
(126658, 26512),
(126659, 26541),
(126661, 26518),
(126662, 26520),
(126663, 26522),
(126664, 26523),
(126665, 26524),
(126668, 26525),
(126671, 26526),
(126677, 26527),
(126680, 26534),
(126681, 26597),
(126702, 26542),
(126707, 26549),
(126708, 26550),
(126709, 29779),
(126710, 26553),
(126723, 26191),
(126729, 26559),
(126730, 26560),
(126731, 26561),
(126732, 26700),
(126733, 26699),
(126741, 26565),
(126742, 26566),
(126745, 26567),
(126748, 26569),
(126750, 26572),
(126756, 26576),
(126769, 26577),
(126776, 26578),
(126866, 26588),
(126871, 26589),
(126888, 26591),
(126889, 26592),
(126890, 26593),
(126965, 26594),
(126966, 26595),
(126967, 26596),
(126980, 26602),
(126981, 26601),
(126982, 26600),
(127058, 26603),
(127061, 26605),
(127062, 26606),
(127071, 26608),
(127074, 26609),
(127075, 26610),
(127076, 26611),
(127077, 26612),
(127078, 26613),
(127079, 26614),
(127080, 26615),
(127081, 26616),
(127082, 26617),
(127083, 26618),
(127084, 26623),
(127085, 26620),
(127086, 26621),
(127087, 26624),
(127111, 26625),
(127113, 26626),
(127114, 26823),
(127115, 26628),
(127116, 26824),
(127127, 26635),
(127128, 26636),
(127129, 26637),
(127130, 26642),
(127131, 26639),
(127132, 26640),
(127133, 26838),
(127134, 26643),
(127135, 26644),
(127152, 26645),
(127154, 26647),
(127168, 26648),
(127169, 26650),
(127172, 26653),
(127188, 26656),
(127194, 26651),
(127196, 26654),
(127197, 26658),
(127198, 26657),
(127204, 26661),
(127248, 26665),
(127249, 26666),
(127250, 26667),
(127252, 26668),
(127254, 26669),
(127255, 26670),
(127259, 26672),
(127286, 26674),
(127287, 26675),
(127288, 26676),
(127289, 26677),
(127303, 26801),
(127306, 26679),
(127309, 26681),
(127310, 26682),
(127311, 26799),
(127313, 26685),
(127314, 26686),
(127315, 26687),
(127316, 26688),
(127317, 26689),
(127318, 26690),
(127324, 26693),
(127325, 26694),
(127326, 26992),
(127327, 27162),
(127328, 27164),
(127329, 27163),
(127332, 26708),
(127333, 26709),
(127334, 26710),
(127335, 26711),
(127336, 26712),
(127337, 26713),
(127338, 26839),
(127339, 26715),
(127341, 26716),
(127352, 26791),
(127353, 26792),
(127355, 26793),
(127359, 26721),
(127361, 26723),
(127362, 26724),
(127364, 26727),
(127365, 26735),
(127366, 26730),
(127367, 26731),
(127368, 26736),
(127369, 26733),
(127386, 26751),
(127387, 26750),
(127388, 26749),
(127389, 27107),
(127396, 27181),
(127397, 27183),
(127398, 26744),
(127404, 26746),
(127405, 30942),
(127406, 26748),
(127407, 26779),
(127417, 26991),
(127418, 26756),
(127420, 26758),
(127421, 26759),
(127422, 26760),
(127426, 26761),
(127427, 26762),
(127428, 26802),
(127429, 26803),
(127431, 26794),
(127432, 26795),
(127433, 26797),
(127434, 26769),
(127435, 26770),
(127436, 26771),
(127439, 26774),
(127440, 26775),
(127441, 26776),
(127477, 26780),
(127478, 26781),
(127479, 27146),
(127480, 27148),
(127481, 26784),
(127486, 26825),
(127488, 26786),
(127489, 26789),
(127490, 26790),
(127495, 26800),
(127496, 26798),
(127497, 26804),
(127498, 26812),
(127501, 26811),
(127518, 26826),
(127519, 26827),
(127521, 26831),
(127522, 26858),
(127525, 26855),
(127529, 26856),
(127530, 26857),
(127533, 26860),
(127534, 27027),
(127535, 26863),
(127536, 26864),
(127537, 26865),
(127538, 26866),
(127539, 26867),
(127540, 26868),
(127542, 26885),
(127543, 26870),
(127544, 26871),
(127545, 26872),
(127560, 26875),
(127565, 26880),
(127567, 26877),
(127568, 26899),
(127587, 26878),
(127598, 26881),
(127603, 26882),
(127605, 26883),
(127612, 26993),
(127636, 26889),
(127637, 26890),
(127640, 26892),
(127654, 26894),
(127659, 26895),
(127661, 26896),
(127668, 26897),
(127670, 26898),
(127674, 26900),
(127677, 26901),
(127685, 26904),
(127690, 26903),
(127693, 26905),
(127715, 26906),
(127724, 28085),
(127733, 26909),
(127735, 26958),
(127736, 26912),
(127738, 26913),
(127739, 26914),
(127747, 26915),
(127753, 27067),
(127754, 27012),
(127755, 27068),
(127756, 27379),
(127757, 27380),
(127759, 27399),
(127761, 27400),
(127792, 26926),
(127793, 26987),
(127794, 26928),
(127796, 26934),
(127809, 26931),
(127810, 26932),
(127817, 26933),
(127826, 26935),
(127833, 26936),
(127834, 26937),
(127835, 26938),
(127862, 26946),
(127863, 26942),
(127864, 30951),
(127868, 26944),
(127871, 26947),
(127874, 28619),
(127877, 26950),
(127879, 26953),
(127929, 26955),
(127933, 26957),
(127934, 26959),
(127935, 26978),
(127940, 26961),
(127944, 26970),
(127945, 26962),
(127946, 26963),
(127947, 26964),
(127950, 26965),
(127951, 26966),
(127952, 26967),
(127992, 27072),
(127993, 26973),
(127994, 27052),
(127995, 26975),
(127996, 26977),
(127997, 26979),
(127999, 26981),
(128002, 27239),
(128004, 26983),
(128007, 26984),
(128009, 26995),
(128010, 26996),
(128011, 26998),
(128012, 26999),
(128013, 27000),
(128015, 27058),
(128016, 27001),
(128017, 27003),
(128030, 27004),
(128035, 27006),
(128036, 27084),
(128037, 27008),
(128043, 27009),
(128044, 27011),
(128045, 27013),
(128046, 27014),
(128047, 27015),
(128050, 27016),
(128052, 27018),
(128053, 27020),
(128056, 27021),
(128057, 27022),
(128060, 27026),
(128061, 27025),
(128064, 27028),
(128066, 27029),
(128068, 27030),
(128069, 27031),
(128072, 27032),
(128073, 27033),
(128077, 27100),
(128136, 27035),
(128151, 27036),
(128158, 27037),
(128159, 27038),
(128160, 27039),
(128161, 27098),
(128162, 27045),
(128163, 27046),
(128166, 27047),
(128167, 27082),
(128168, 27050),
(128298, 28231),
(128301, 27310),
(128303, 27054),
(128304, 27318),
(128311, 27063),
(128365, 27065),
(128370, 27071),
(128372, 27075);
INSERT INTO `codev_timetrack_note_table` (`timetrackid`, `noteid`) VALUES
(128373, 27076),
(128374, 27078),
(128375, 27096),
(128376, 27077),
(128377, 27080),
(128380, 27090),
(128381, 27083),
(128387, 27085),
(128388, 27117),
(128393, 27086),
(128434, 27089),
(128435, 27088),
(128436, 27093),
(128439, 27095),
(128440, 27097),
(128448, 27101),
(128449, 27102),
(128450, 27103),
(128451, 27104),
(128452, 27122),
(128453, 27110),
(128455, 27111),
(128491, 27317),
(128497, 27319),
(128513, 27115),
(128514, 27118),
(128517, 27119),
(128519, 27120),
(128520, 27121),
(128525, 27123),
(128526, 27124),
(128527, 27125),
(128528, 27126),
(128529, 27127),
(128531, 27128),
(128532, 27129),
(128533, 27130),
(128534, 27131),
(128535, 27132),
(128537, 27133),
(128538, 27134),
(128539, 27904),
(128540, 27237),
(128541, 27238),
(128544, 27138),
(128545, 27139),
(128547, 27141),
(128548, 27142),
(128551, 27143),
(128552, 27144),
(128553, 27145),
(128559, 27147),
(128560, 27149),
(128561, 27150),
(128562, 27215),
(128563, 30944),
(128574, 27153),
(128575, 27154),
(128576, 27155),
(128577, 27161),
(128578, 27158),
(128579, 27159),
(128580, 27160),
(128581, 27165),
(128582, 27166),
(128583, 27167),
(128584, 27764),
(128585, 27169),
(128586, 27765),
(128587, 27171),
(128588, 27172),
(128589, 27631),
(128590, 27632),
(128593, 27371),
(128595, 27180),
(128619, 27515),
(128620, 27186),
(128621, 27187),
(128622, 27188),
(128624, 27190),
(128625, 27191),
(128626, 27192),
(128627, 27252),
(128632, 27198),
(128633, 27199),
(128634, 27200),
(128635, 27201),
(128637, 27202),
(128640, 27203),
(128653, 27205),
(128654, 27263),
(128657, 27213),
(128658, 27210),
(128685, 27222),
(128686, 27223),
(128687, 27219),
(128688, 27220),
(128689, 27221),
(128691, 27226),
(128693, 27230),
(128694, 27227),
(128695, 27228),
(128696, 27231),
(128699, 27234),
(128701, 27233),
(128704, 27307),
(128705, 27235),
(128714, 27240),
(128715, 27241),
(128726, 27242),
(128727, 27243),
(128728, 27244),
(128729, 27245),
(128730, 27249),
(128732, 27247),
(128733, 27248),
(128740, 27250),
(128743, 27253),
(128754, 27254),
(128755, 27255),
(128756, 27257),
(128757, 27258),
(128798, 27259),
(128799, 27260),
(128800, 27264),
(128801, 27265),
(128802, 27266),
(128803, 27506),
(128818, 27322),
(128819, 27323),
(128822, 27300),
(128823, 27272),
(128824, 27301),
(128832, 27275),
(128861, 27280),
(128862, 27282),
(128870, 27278),
(128885, 27279),
(128897, 27287),
(128898, 27294),
(128899, 27292),
(128900, 27293),
(128902, 27291),
(128903, 27288),
(128910, 27295),
(128926, 27296),
(128932, 27297),
(128933, 27298),
(128934, 27302),
(128935, 27303),
(128944, 27305),
(128947, 27389),
(128950, 27313),
(128951, 27308),
(128958, 27311),
(128959, 27312),
(129011, 27316),
(129064, 27326),
(129070, 27328),
(129072, 27329),
(129074, 27330),
(129075, 27331),
(129077, 27332),
(129078, 27334),
(129079, 27333),
(129080, 27335),
(129081, 27337),
(129084, 27338),
(129088, 27339),
(129089, 27340),
(129090, 27341),
(129091, 27342),
(129092, 27343),
(129108, 27344),
(129109, 27346),
(129110, 27353),
(129111, 27347),
(129117, 27348),
(129118, 27349),
(129119, 27352),
(129120, 27354),
(129121, 27355),
(129122, 27356),
(129123, 27358),
(129124, 28169),
(129125, 27370),
(129126, 27363),
(129127, 27364),
(129128, 27365),
(129129, 27366),
(129130, 27372),
(129132, 27373),
(129142, 27374),
(129143, 27375),
(129148, 27376),
(129159, 27377),
(129160, 27618),
(129184, 27381),
(129185, 27383),
(129186, 27384),
(129187, 27385),
(129197, 27386),
(129225, 27387),
(129227, 27811),
(129233, 27388),
(129234, 27465),
(129235, 27467),
(129245, 27393),
(129252, 27403),
(129253, 27418),
(129260, 27892),
(129261, 27891),
(129286, 27397),
(129289, 27401),
(129319, 27407),
(129321, 27405),
(129322, 27406),
(129329, 27409),
(129336, 27410),
(129338, 27413),
(129339, 27414),
(129340, 27415),
(129341, 27416),
(129342, 27417),
(129343, 27443),
(129344, 27421),
(129345, 27422),
(129349, 27423),
(129350, 27449),
(129353, 27424),
(129354, 27425),
(129358, 27426),
(129359, 27448),
(129360, 27431),
(129363, 27429),
(129387, 27430),
(129417, 27432),
(129423, 27433),
(129424, 28386),
(129425, 27446),
(129428, 32328),
(129429, 28388),
(129430, 28389),
(129431, 28390),
(129432, 27614),
(129433, 28395),
(129434, 28396),
(129435, 28398),
(129436, 28394),
(129437, 27447),
(129438, 27450),
(129439, 27452),
(129440, 27453),
(129441, 27458),
(129442, 27462),
(129443, 27456),
(129444, 27459),
(129445, 27461),
(129450, 27463),
(129451, 27464),
(129464, 27500),
(129471, 27555),
(129490, 27469),
(129491, 27470),
(129492, 27471),
(129493, 27472),
(129494, 27473),
(129500, 27474),
(129520, 27475),
(129521, 27476),
(129522, 27725),
(129536, 28113),
(129537, 27482),
(129538, 27731),
(129541, 27810),
(129542, 27485),
(129549, 27486),
(129550, 27487),
(129551, 27488),
(129552, 27489),
(129553, 27490),
(129555, 27491),
(129558, 27494),
(129566, 27495),
(129567, 27496),
(129569, 27497),
(129571, 27498),
(129572, 27499),
(129573, 27507),
(129574, 27502),
(129575, 27505),
(129586, 27673),
(129593, 28762),
(129604, 27511),
(129605, 27508),
(129607, 27512),
(129609, 27513),
(129620, 27514),
(129625, 27518),
(129626, 27517),
(129627, 27519),
(129628, 27520),
(129629, 27521),
(129632, 27523),
(129634, 27773),
(129635, 27525),
(129636, 27774),
(129637, 27775),
(129638, 27530),
(129639, 27529),
(129640, 27895),
(129642, 27533),
(129645, 27561),
(129646, 27537),
(129647, 27835),
(129649, 27903),
(129650, 27542),
(129651, 27906),
(129652, 27549),
(129653, 27907),
(129654, 27879),
(129655, 27552),
(129656, 27553),
(129657, 27880),
(129664, 27556),
(129670, 27557),
(129671, 27558),
(129672, 27559),
(129673, 27560),
(129676, 27574),
(129677, 27575),
(129679, 27564),
(129680, 27576),
(129682, 27577),
(129683, 27567),
(129684, 27578),
(129685, 27569),
(129686, 27570),
(129687, 27571),
(129688, 27572),
(129689, 27573),
(129691, 27579),
(129692, 27595),
(129693, 27583),
(129694, 27582),
(129695, 27584),
(129696, 27585),
(129697, 27589),
(129698, 27587),
(129699, 27591),
(129700, 27590),
(129701, 27592),
(129702, 27594),
(129704, 27596),
(129705, 27600),
(129710, 27599),
(129712, 27601),
(129713, 27602),
(129714, 27603),
(129715, 27610),
(129716, 27611),
(129717, 27606),
(129723, 27612),
(129728, 27615),
(129729, 27617),
(129731, 27619),
(129732, 27620),
(129733, 27621),
(129734, 27622),
(129735, 27623),
(129737, 27624),
(129742, 27625),
(129747, 27675),
(129748, 27627),
(129751, 27759),
(129752, 27628),
(129753, 27629),
(129754, 27630),
(129755, 27633),
(129756, 27634),
(129757, 27635),
(129758, 27812),
(129759, 27813),
(129760, 27638),
(129761, 27639),
(129762, 27640),
(129765, 27641),
(129767, 27646),
(129770, 27644),
(129774, 27649),
(129775, 27684),
(129780, 27653),
(129781, 27652),
(129782, 27669),
(129783, 27655),
(129784, 30425),
(129785, 27662),
(129787, 27663),
(129788, 30426),
(129790, 27664),
(129791, 30427),
(129792, 30428),
(129793, 30429),
(129794, 27671),
(129807, 27674),
(129816, 27762),
(129818, 27677),
(129821, 27678),
(129822, 27679),
(129823, 27680),
(129828, 27681),
(129838, 27682),
(129848, 27683),
(129867, 27893),
(129870, 27894),
(129871, 27890),
(129879, 27689),
(129902, 27697),
(129903, 27695),
(129904, 27696),
(129910, 27698),
(129911, 27699),
(129915, 27700),
(129929, 27701),
(129930, 27702),
(129931, 27703),
(129933, 27704),
(129935, 27706),
(129936, 27705),
(129939, 27710),
(129940, 27711),
(129941, 27712),
(129943, 27713),
(129944, 27714),
(129947, 27715),
(129948, 27724),
(129949, 27726),
(129951, 27717),
(129952, 27730),
(129953, 27718),
(129954, 27719),
(129955, 27720),
(129958, 27722),
(129959, 27723),
(129963, 27729),
(129966, 27732),
(129971, 27734),
(129973, 28114),
(129974, 27739),
(129975, 27784),
(129976, 28060),
(129980, 27738),
(129984, 27740),
(129989, 27746),
(129990, 27742),
(129991, 27864),
(129993, 27748),
(129994, 27749),
(129995, 27756),
(129996, 27755),
(129997, 30420),
(129999, 27757),
(130000, 27758),
(130003, 27760),
(130004, 27761),
(130008, 27763),
(130037, 27766),
(130038, 27767),
(130039, 27768),
(130040, 27769),
(130041, 28052),
(130109, 27771),
(130140, 27772),
(130147, 27776),
(130150, 27778),
(130152, 27777),
(130153, 27779),
(130154, 27780),
(130167, 28373),
(130169, 27781),
(130189, 27782),
(130225, 27783),
(130228, 27794),
(130231, 27793),
(130234, 27789),
(130236, 27788),
(130246, 27790),
(130247, 27791),
(130248, 27792),
(130258, 27795),
(130308, 27796),
(130309, 28104),
(130310, 28105),
(130311, 28107),
(130312, 28108),
(130314, 27801),
(130316, 27827),
(130317, 28645),
(130322, 27805),
(130366, 27807),
(130367, 27896),
(130372, 27809),
(130387, 27814),
(130414, 27815),
(130417, 27828),
(130443, 27825),
(130444, 27826),
(130451, 27834),
(130455, 27821),
(130456, 27823),
(130498, 27824),
(130503, 28733),
(130509, 27831),
(130510, 27832),
(130525, 27833),
(130530, 32813),
(130542, 33419),
(130547, 36291),
(130566, 27840),
(130568, 27841),
(130581, 30945),
(130582, 27876),
(130583, 27929),
(130584, 28065),
(130585, 27998),
(130626, 27854),
(130627, 28620),
(130628, 27850),
(130629, 28621),
(130630, 27908),
(130631, 28628),
(130632, 28629),
(130633, 28626),
(130634, 27859),
(130635, 28194),
(130643, 27922),
(130644, 27865),
(130645, 27887),
(130650, 27867),
(130651, 27868),
(130652, 27870),
(130663, 27873),
(130664, 27874),
(130675, 30933),
(130676, 27910),
(130677, 27884),
(130678, 27885),
(130679, 27897),
(130680, 27898),
(130681, 27899),
(130683, 27900),
(130685, 27901),
(130688, 28124),
(130689, 28121),
(130690, 27916),
(130691, 27952),
(130698, 27918),
(130699, 27919),
(130713, 27920),
(130719, 27923),
(130720, 27939),
(130721, 27926),
(130722, 27937),
(130723, 27934),
(130728, 28008),
(130729, 27933),
(130753, 27935),
(130759, 27938),
(130823, 27940),
(130826, 27942),
(130827, 27943),
(130829, 27944),
(130830, 27945),
(130831, 27946),
(130832, 27947),
(130833, 27953),
(130834, 27949),
(130835, 27954),
(130836, 27955),
(130839, 27956),
(130841, 27958),
(130842, 27959),
(130844, 27960),
(130845, 27961),
(130846, 27972),
(130847, 27965),
(130848, 27966),
(130849, 27967),
(130850, 27968),
(130852, 27970),
(130857, 27993),
(130858, 27973),
(130859, 27974),
(130860, 27975),
(130861, 28184),
(130862, 28183),
(130863, 27978),
(130864, 27979),
(130865, 27981),
(130866, 27982),
(130867, 27989),
(130868, 27988),
(130869, 27991),
(130870, 27992),
(130871, 27987),
(130872, 27990),
(130873, 30442),
(130875, 27995),
(130877, 27996),
(130879, 27999),
(130880, 28000),
(130881, 28001),
(130882, 28002),
(130883, 28003),
(130888, 28118),
(130892, 28117),
(130894, 28119),
(130900, 28009),
(130901, 30430),
(130902, 28011),
(130903, 28012),
(130904, 28109),
(130905, 28014),
(130906, 28015),
(130907, 28016),
(130908, 28017),
(130909, 28018),
(130910, 28019),
(130913, 28021),
(130914, 28022),
(130915, 28025),
(130921, 28027),
(130922, 28028),
(130923, 28031),
(130924, 28030),
(130925, 30431),
(130926, 28040),
(130932, 28579),
(130933, 28041),
(130934, 28042),
(130935, 28132),
(130936, 28044),
(130938, 28046),
(130939, 28047),
(130940, 28048),
(130941, 28049),
(130942, 28586),
(130943, 28051),
(130944, 28053),
(130945, 28054),
(130946, 28055),
(130947, 28056),
(130948, 28057),
(130969, 30137),
(130970, 30138),
(130971, 30136),
(130972, 28066),
(130973, 28067),
(130974, 28068),
(130976, 28070),
(130977, 28080),
(130978, 28081),
(130979, 28078),
(130980, 28077),
(130981, 28545),
(130982, 28079),
(130990, 30695),
(130991, 30696),
(130992, 30691),
(130995, 28089),
(130996, 28091),
(131000, 30692),
(131001, 28093),
(131002, 30694),
(131003, 30697),
(131004, 30698),
(131005, 30699),
(131006, 30700),
(131007, 30701),
(131008, 28103),
(131009, 28196),
(131010, 28146),
(131023, 28131),
(131036, 28112),
(131040, 28115),
(131041, 28116),
(131042, 30139),
(131043, 28130),
(131059, 28223),
(131085, 28208),
(131086, 28207),
(131096, 28195),
(131114, 28135),
(131115, 28136),
(131116, 28137),
(131117, 28138),
(131119, 28139),
(131128, 30859),
(131137, 28749),
(131138, 28140),
(131139, 28141),
(131156, 28142),
(131157, 28198),
(131158, 28143),
(131174, 28144),
(131178, 30482),
(131192, 28147),
(131204, 28148),
(131214, 28150),
(131221, 28151),
(131223, 28154),
(131227, 28153),
(131265, 28163),
(131266, 28164),
(131267, 28165),
(131268, 28166),
(131269, 28167),
(131270, 28170),
(131280, 28191),
(131293, 29066),
(131294, 28173),
(131295, 28175),
(131296, 28177),
(131297, 28180),
(131298, 28182),
(131301, 28185),
(131302, 28186),
(131304, 28187),
(131305, 28188),
(131306, 28190),
(131320, 28197),
(131324, 28199),
(131325, 28200),
(131326, 28201),
(131327, 28202),
(131328, 28757),
(131334, 28204),
(131480, 29158),
(131482, 28211),
(131484, 28210),
(131488, 28209),
(131494, 28221),
(131495, 28215),
(131500, 28222),
(131503, 28218),
(131513, 28227),
(131514, 28225),
(131517, 28252),
(131522, 28228),
(131524, 28247),
(131560, 30461),
(131568, 28232),
(131569, 28233),
(131570, 28234),
(131571, 28235),
(131572, 28236),
(131573, 28237),
(131578, 28238),
(131579, 28302),
(131580, 28241),
(131586, 28242),
(131588, 28243),
(131590, 28275),
(131595, 30949),
(131596, 28248),
(131602, 28251),
(131603, 28253),
(131608, 28794),
(131609, 28796),
(131610, 28795),
(131613, 28259),
(131614, 28260),
(131615, 28382),
(131616, 28383),
(131617, 28690),
(131618, 30421),
(131619, 28268),
(131620, 28269),
(131621, 28270),
(131623, 28274),
(131624, 28273),
(131635, 28276),
(131636, 28277),
(131637, 28278),
(131638, 28279),
(131639, 28329),
(131663, 36911),
(131666, 28285),
(131667, 28288),
(131668, 28287),
(131669, 28291),
(131670, 28292),
(131671, 28631),
(131677, 28294),
(131683, 28297),
(131781, 28298),
(131785, 28299),
(131786, 28300),
(131787, 28301),
(131788, 28303),
(131789, 28304),
(131790, 28305),
(131791, 28756),
(131792, 28308),
(131793, 28309),
(131794, 28650),
(131795, 28680),
(131796, 28312),
(131798, 28313),
(131800, 28315),
(131802, 28322),
(131805, 28317),
(131806, 28318),
(131807, 28323),
(131808, 28324),
(131809, 28325),
(131810, 28326),
(131811, 28333),
(131812, 28334),
(131813, 28367),
(131814, 28336),
(131815, 28338),
(131816, 28339),
(131817, 28340),
(131818, 28341),
(131819, 28342),
(131821, 28343),
(131822, 28344),
(131824, 28345),
(131825, 28346),
(131826, 28347),
(131827, 28348),
(131829, 28350),
(131830, 28351),
(131831, 28352),
(131832, 28797),
(131839, 28803),
(131841, 28804),
(131850, 28805),
(131852, 28362),
(131914, 28372),
(131928, 28365),
(131933, 28368),
(131934, 28604),
(131937, 28371),
(131951, 28375),
(131952, 28376),
(131955, 28377),
(131961, 28378),
(131962, 28664),
(131963, 30317),
(131964, 28381),
(131965, 28403),
(131966, 28404),
(131967, 28405),
(131968, 28406),
(131974, 28553),
(131981, 28407),
(131982, 28421),
(131983, 28409),
(131984, 28410),
(131991, 28411),
(131994, 30658),
(131996, 28413),
(131997, 28417),
(131999, 28419),
(132000, 28768),
(132002, 28420),
(132003, 28423),
(132006, 28425),
(132009, 28426),
(132010, 28427),
(132011, 28428),
(132012, 28442),
(132013, 28443),
(132014, 28431),
(132015, 28445),
(132016, 28435),
(132017, 28437),
(132018, 28497),
(132019, 28864),
(132020, 28440),
(132021, 28806),
(132022, 28444),
(132023, 28446),
(132024, 28698),
(132025, 28700),
(132027, 28451),
(132030, 28455),
(132031, 28456),
(132033, 28577),
(132034, 28617),
(132038, 28459),
(132045, 28461),
(132046, 28462),
(132047, 28464),
(132052, 28465),
(132060, 28466),
(132061, 28467),
(132062, 28468),
(132064, 28470),
(132065, 28471),
(132066, 28472),
(132067, 28473),
(132068, 28474),
(132077, 28475),
(132081, 28476),
(132082, 28477),
(132083, 28478),
(132102, 28495),
(132103, 28494),
(132104, 28486),
(132105, 28487),
(132121, 28485),
(132139, 28488),
(132140, 28489),
(132141, 28490),
(132142, 28491),
(132143, 28492),
(132145, 28499),
(132146, 28500),
(132147, 28501),
(132148, 28502),
(132149, 28503),
(132150, 30657),
(132151, 28505),
(132153, 28506),
(132154, 28507),
(132155, 28509),
(132156, 28510),
(132157, 28511),
(132159, 28609),
(132160, 28514),
(132161, 28515),
(132162, 28516),
(132163, 28517),
(132167, 28518),
(132168, 28519),
(132170, 28798),
(132171, 28523),
(132172, 28522),
(132173, 28524),
(132174, 28525),
(132178, 28528),
(132179, 28529),
(132180, 28530),
(132181, 28531),
(132182, 28532),
(132184, 28546),
(132185, 28547),
(132186, 28541),
(132187, 30896),
(132192, 28584),
(132193, 28549),
(132194, 28550),
(132195, 28551),
(132196, 28552),
(132197, 28554),
(132198, 30659),
(132199, 28585),
(132200, 30660),
(132201, 28559),
(132202, 28790),
(132204, 28562),
(132208, 28566),
(132212, 28597),
(132214, 28572),
(132215, 28573),
(132216, 28574),
(132217, 28575),
(132218, 30142),
(132219, 28578),
(132223, 28810),
(132224, 28581),
(132226, 28703),
(132232, 28587),
(132233, 28588),
(132234, 28589),
(132236, 28594),
(132239, 28750),
(132240, 28751),
(132241, 28771),
(132242, 28596),
(132243, 28598),
(132245, 28599),
(132247, 28800),
(132252, 28602),
(132267, 28603),
(132273, 28605),
(132274, 28606),
(132275, 28607),
(132276, 28608),
(132283, 28610),
(132284, 28683),
(132286, 28684),
(132290, 28614),
(132303, 28615),
(132309, 28616),
(132406, 28618),
(132413, 28632),
(132414, 28633),
(132415, 28634),
(132416, 28699),
(132419, 28636),
(132421, 28637),
(132422, 28785),
(132423, 28638),
(132424, 28640),
(132425, 28642),
(132426, 28643),
(132436, 28660),
(132438, 28658),
(132443, 28669),
(132444, 28649),
(132447, 28653),
(132448, 28807),
(132449, 28657),
(132452, 28659),
(132454, 28663),
(132455, 28661),
(132465, 28666),
(132466, 28668),
(132468, 28670),
(132469, 28671),
(132470, 28672),
(132471, 28679),
(132472, 28675),
(132473, 28676),
(132474, 28677),
(132475, 28681),
(132476, 28682),
(132477, 28685),
(132479, 28686),
(132480, 29172),
(132481, 28688),
(132482, 28691),
(132483, 29171),
(132484, 28772),
(132494, 28718),
(132507, 28695),
(132508, 28696),
(132513, 28723),
(132524, 28701),
(132527, 28702),
(132535, 28704),
(132539, 28705),
(132540, 28706),
(132541, 28707),
(132545, 28711),
(132548, 28712),
(132549, 28713),
(132550, 28714),
(132553, 28715),
(132556, 28716),
(132559, 28717),
(132562, 28719),
(132565, 28720),
(132571, 28724),
(132583, 28729),
(132584, 28755),
(132585, 28728),
(132586, 28727),
(132588, 28732),
(132590, 28734),
(132591, 28735),
(132592, 28737),
(132593, 28738),
(132602, 28744),
(132603, 28743),
(132606, 28741),
(132617, 28746),
(132659, 28747),
(132687, 28748),
(132697, 28752),
(132703, 28843),
(132707, 28753),
(132714, 28754),
(132720, 28758),
(132721, 28759),
(132724, 28760),
(132728, 28761),
(132745, 30661),
(132758, 28821),
(132773, 28773),
(132797, 28783),
(132798, 28906),
(132799, 28907),
(132800, 28988),
(132801, 28989),
(132802, 28784),
(132878, 28787),
(132879, 28788),
(132880, 28789),
(132886, 28793),
(132887, 28792),
(132904, 28813),
(132913, 32830),
(132934, 30904),
(132935, 29225),
(132943, 28812),
(132962, 28814),
(132975, 28816),
(132990, 28933),
(132991, 28817),
(132992, 28818),
(133003, 30113),
(133007, 28820),
(133008, 28822),
(133009, 28823),
(133010, 28824),
(133011, 28825),
(133030, 28828),
(133031, 30318),
(133032, 28834),
(133033, 29067),
(133035, 30662),
(133036, 28840),
(133058, 28844),
(133061, 29318),
(133097, 28846),
(133101, 28849),
(133102, 28850),
(133103, 28856),
(133104, 28853),
(133105, 28854),
(133106, 28855),
(133130, 28865),
(133131, 28866),
(133132, 28868),
(133133, 28869),
(133134, 32551),
(133150, 30905),
(133159, 28875),
(133160, 28876),
(133161, 28877),
(133164, 29168),
(133165, 28880),
(133166, 28881),
(133194, 28883),
(133266, 28885),
(133278, 29320),
(133279, 28888),
(133280, 28889),
(133289, 28890),
(133290, 28891),
(133305, 28892),
(133309, 28893),
(133334, 30906),
(133335, 28898),
(133353, 28903),
(133354, 28904),
(133355, 28905),
(133356, 29319),
(133368, 28910),
(133397, 28912),
(133398, 28913),
(133400, 28914),
(133407, 28916),
(133432, 28918),
(133433, 28919),
(133434, 28920),
(133438, 30319),
(133444, 30320),
(133445, 28924),
(133446, 28925),
(133447, 28927),
(133448, 28931),
(133452, 28929),
(133454, 28930),
(133456, 29001),
(133457, 28937),
(133458, 28936),
(133459, 28938),
(133460, 28939),
(133461, 28940),
(133462, 30907),
(133463, 28945),
(133464, 28946),
(133465, 28947),
(133466, 28951),
(133467, 30908),
(133468, 30331),
(133469, 29119),
(133470, 29120),
(133471, 30663),
(133473, 30664),
(133474, 30332),
(133475, 30333),
(133480, 28966),
(133481, 30334),
(133482, 28969),
(133483, 28970),
(133484, 28971),
(133485, 30335),
(133486, 30337),
(133490, 28980),
(133491, 28981),
(133492, 30336),
(133493, 28983),
(133494, 28984),
(133495, 29266),
(133496, 28987),
(133497, 29135),
(133498, 28992),
(133499, 28993),
(133503, 29169),
(133515, 30422),
(133530, 28997),
(133543, 29216),
(133548, 29208),
(133550, 29002),
(133551, 29003),
(133555, 29004),
(133556, 29005),
(133558, 29006),
(133560, 29009),
(133561, 29010),
(133562, 29011),
(133563, 29012),
(133564, 29017),
(133565, 29527),
(133566, 29528),
(133567, 29079),
(133568, 29018),
(133569, 29019),
(133570, 29020),
(133571, 29021),
(133572, 29022),
(133574, 29114),
(133575, 29391),
(133576, 29025),
(133577, 29026),
(133578, 29028),
(133579, 29029),
(133580, 29030),
(133581, 29031),
(133582, 29032),
(133583, 29033),
(133584, 29034),
(133585, 29035),
(133586, 29036),
(133587, 29037),
(133588, 29039),
(133589, 29040),
(133590, 29041),
(133591, 29042),
(133592, 29043),
(133593, 29059),
(133594, 29057),
(133595, 29061),
(133596, 29062),
(133597, 29579),
(133598, 29117),
(133599, 29064),
(133608, 29068),
(133609, 29069),
(133611, 29070),
(133623, 29118),
(133624, 29107),
(133625, 29113),
(133626, 29076),
(133627, 29077),
(133630, 29081),
(133645, 29084),
(133647, 29085),
(133648, 29086),
(133649, 29232),
(133650, 29091),
(133651, 29089),
(133652, 29093),
(133662, 29095),
(133666, 29097),
(133671, 29098),
(133676, 29100),
(133679, 32643),
(133680, 29102),
(133681, 29103),
(133684, 29115),
(133759, 29112),
(133763, 29123),
(133764, 29125),
(133767, 30116),
(133768, 30117),
(133771, 30118),
(133773, 30119),
(133774, 30120),
(133777, 29321),
(133779, 29137),
(133782, 29138),
(133784, 29140),
(133791, 30665),
(133792, 29765),
(133793, 29145),
(133794, 29146),
(133795, 29148),
(133796, 29149),
(133797, 29150),
(133799, 29151),
(133800, 29152),
(133801, 29155),
(133802, 29154),
(133803, 29156),
(133808, 29157),
(133814, 29159),
(133817, 29161),
(133821, 29162),
(133825, 29163),
(133827, 29165),
(133829, 29166),
(133833, 29181),
(133834, 29183),
(133835, 29200),
(133836, 29201),
(133837, 29199),
(133838, 29185),
(133839, 29182),
(133840, 29198),
(133841, 29187),
(133842, 29189),
(133843, 29190),
(133844, 29191),
(133845, 29192),
(133846, 29205),
(133847, 29194),
(133848, 29195),
(133849, 29197),
(133850, 29204),
(133851, 29203),
(133852, 29206),
(133853, 29207),
(133854, 29219),
(133857, 29310),
(133860, 30303),
(133865, 30950),
(133870, 29214),
(133882, 29215),
(133883, 30423),
(133885, 29218),
(133902, 29221),
(133903, 29222),
(133904, 29223),
(133905, 29224),
(133921, 29233),
(133925, 29234),
(133926, 29235),
(133927, 30321),
(133928, 30115),
(133930, 30323),
(133931, 29245),
(133933, 29246),
(133935, 29249),
(133936, 29248),
(133937, 29247),
(133942, 30948),
(133943, 29324),
(133945, 29375),
(133946, 29516),
(133947, 29519),
(133950, 29257),
(133951, 29258),
(133968, 29322),
(133969, 29260),
(133996, 29262),
(133997, 30324),
(134006, 29264),
(134010, 29412),
(134012, 29268),
(134013, 30909),
(134023, 30111),
(134024, 29275),
(134025, 29276),
(134026, 29277),
(134027, 29358),
(134028, 29279),
(134029, 29280),
(134040, 29312),
(134041, 30910),
(134047, 29290),
(134052, 30666),
(134054, 29819),
(134055, 29377),
(134056, 29294),
(134057, 29295),
(134058, 29298),
(134059, 29767),
(134062, 29301),
(134063, 29329),
(134065, 29303),
(134066, 29314),
(134068, 29307),
(134069, 29308),
(134070, 29311),
(134071, 29313),
(134078, 29370),
(134079, 29353),
(134081, 29317),
(134093, 29371),
(134094, 29328),
(134095, 29330),
(134108, 29331),
(134109, 29332),
(134110, 29333),
(134112, 29334),
(134114, 29338),
(134115, 29360),
(134120, 29342),
(134138, 29343),
(134139, 29344),
(134140, 29345),
(134141, 29348),
(134147, 30325),
(134152, 29351),
(134164, 29352),
(134204, 29363),
(134207, 29357),
(134208, 30937),
(134209, 29362),
(134232, 29366),
(134236, 29660),
(134237, 29379),
(134245, 29552),
(134246, 30667),
(134262, 29376),
(134263, 29378),
(134269, 29496),
(134271, 30911),
(134272, 30912),
(134273, 29387),
(134274, 29394),
(134275, 29393),
(134276, 29395),
(134277, 29396),
(134287, 30668),
(134289, 29398),
(134290, 29399),
(134291, 29400),
(134292, 29401),
(134293, 29402),
(134294, 29403),
(134295, 30143),
(134296, 30147),
(134298, 29410),
(134299, 29409),
(134300, 29436),
(134301, 29439),
(134302, 30102),
(134303, 29434),
(134304, 29433),
(134305, 32552),
(134307, 29420),
(134308, 29626),
(134309, 29424),
(134310, 29426),
(134311, 29427),
(134312, 29431),
(134313, 29435),
(134314, 29440),
(134316, 30326),
(134317, 29444),
(134318, 29443),
(134319, 29542),
(134320, 29446),
(134321, 29543),
(134322, 29451),
(134323, 29449),
(134324, 30121),
(134326, 30122),
(134327, 30123),
(134328, 30124),
(134329, 30126),
(134330, 29457),
(134331, 29459),
(134332, 29460),
(134335, 29461),
(134338, 29462),
(134339, 29463),
(134340, 29464),
(134341, 29465),
(134342, 29467),
(134343, 29469),
(134344, 29485),
(134345, 30898),
(134346, 30613),
(134347, 30614),
(134348, 30616),
(134349, 29475),
(134350, 30934),
(134351, 29478),
(134356, 29481),
(134358, 29482),
(134361, 29483),
(134371, 29489),
(134377, 29608),
(134383, 29588),
(134384, 29590),
(134385, 29495),
(134386, 29493),
(134387, 29661),
(134388, 29498),
(134390, 29507),
(134392, 29503),
(134393, 29504),
(134394, 29506),
(134395, 29508),
(134396, 29511),
(134397, 29510),
(134398, 29514),
(134400, 29517),
(134401, 29518),
(134402, 29520),
(134403, 29521),
(134404, 29522),
(134406, 29523),
(134408, 29993),
(134409, 29994),
(134412, 29526),
(134418, 29529),
(134419, 29531),
(134428, 29532),
(134429, 29533),
(134430, 29534),
(134431, 30338),
(134432, 29536),
(134433, 29537),
(134434, 29538),
(134435, 30339),
(134436, 30340),
(134437, 30341),
(134438, 30342),
(134439, 30343),
(134440, 30913),
(134448, 29606),
(134449, 29664),
(134455, 29555),
(134456, 30669),
(134457, 30670),
(134458, 30617),
(134459, 30611),
(134460, 30612),
(134461, 30615),
(134462, 30899),
(134463, 31299),
(134465, 29934),
(134466, 29567),
(134467, 29937),
(134468, 29922),
(134469, 29570),
(134470, 30900),
(134471, 29572),
(134472, 29573),
(134473, 29580),
(134481, 30762),
(134482, 30763),
(134483, 30764),
(134484, 30765),
(134485, 30766),
(134486, 30327),
(134494, 29589),
(134495, 29591),
(134496, 29592),
(134497, 29593),
(134498, 29594),
(134499, 29595),
(134500, 29596),
(134505, 29597),
(134506, 29659),
(134510, 29631),
(134512, 29601),
(134516, 29618),
(134519, 29604),
(134565, 29646),
(134575, 29609),
(134576, 29612),
(134577, 29613),
(134579, 29615),
(134580, 29617),
(134581, 29619),
(134584, 29620),
(134597, 29621),
(134613, 29622),
(134615, 29623),
(134616, 29624),
(134617, 29625),
(134639, 29629),
(134643, 29630),
(134646, 30424),
(134648, 29663),
(134649, 29638),
(134650, 29639),
(134651, 29640),
(134652, 29641),
(134653, 29642),
(134654, 29643),
(134657, 29649),
(134660, 29651),
(134661, 29665),
(134662, 29653),
(134666, 29668),
(134669, 29667),
(134674, 30328),
(134677, 29666),
(134678, 29669),
(134679, 29677),
(134680, 29672),
(134681, 29673),
(134682, 29679),
(134683, 29676),
(134685, 29678),
(134687, 29680),
(134688, 29681),
(134689, 29682),
(134692, 29684),
(134698, 29686),
(134699, 29687),
(134701, 29689),
(134704, 29690),
(134705, 29691),
(134710, 29692),
(134782, 29693),
(134783, 29694),
(134784, 29697),
(134785, 29696),
(134786, 29695),
(134789, 29698),
(134802, 29699),
(134803, 30671),
(134811, 29704),
(134814, 29702),
(134816, 29705),
(134817, 29945),
(134818, 29707),
(134856, 29811),
(134861, 29713),
(134862, 29712),
(134863, 30141),
(134865, 29734),
(134868, 29717),
(134871, 29722),
(134873, 29723),
(134874, 29724),
(134875, 29725),
(134876, 29726),
(134878, 29729),
(134891, 29735),
(134892, 29736),
(134897, 31362),
(134934, 29738),
(134935, 29739),
(134936, 29740),
(134940, 29741),
(134941, 29742),
(134953, 30915),
(134954, 30914),
(134958, 29746),
(134959, 29747),
(134968, 29748),
(134969, 29750),
(134971, 29751),
(134972, 29752),
(134973, 29791),
(134980, 29759),
(134981, 29760),
(134982, 29761),
(134983, 29916),
(134984, 29917),
(135002, 29768),
(135003, 30148),
(135004, 29772),
(135005, 29800),
(135065, 29775),
(135066, 29776),
(135072, 29781),
(135084, 30252),
(135097, 29782),
(135098, 30672),
(135101, 29786),
(135102, 29788),
(135103, 29784),
(135104, 29785),
(135107, 29789),
(135111, 29790),
(135132, 29794),
(135136, 29792),
(135137, 29793),
(135138, 29796),
(135142, 29795),
(135223, 29799),
(135224, 30011),
(135225, 29818),
(135247, 29804),
(135248, 29805),
(135256, 29828),
(135257, 29813),
(135276, 29812),
(135277, 29810),
(135278, 29814),
(135279, 29815),
(135283, 29816),
(135284, 29821),
(135287, 29820),
(135299, 29824),
(135300, 29825),
(135311, 29827),
(135319, 29829),
(135320, 29830),
(135321, 29833),
(135322, 29834),
(135323, 29835),
(135324, 29836),
(135325, 29838),
(135326, 29839),
(135327, 29840),
(135328, 29841),
(135340, 30916),
(135354, 29854),
(135357, 30673),
(135358, 30674),
(135359, 30675),
(135369, 30346),
(135370, 30345),
(135371, 30016),
(135372, 30344),
(135373, 30347),
(135375, 30348),
(135378, 32595),
(135380, 32597),
(135382, 32633),
(135384, 29880),
(135385, 30287),
(135386, 29886),
(135387, 32554),
(135388, 29884),
(135389, 29885),
(135390, 29887),
(135391, 30938),
(135393, 29894),
(135394, 30009),
(135395, 30010),
(135399, 30946),
(135400, 30947),
(135404, 29901),
(135405, 30030),
(135406, 29903),
(135409, 29905),
(135412, 29991),
(135413, 29907),
(135414, 29908),
(135415, 29909),
(135416, 29910),
(135417, 29911),
(135419, 29913),
(135420, 29914),
(135421, 29915),
(135422, 29926),
(135423, 30068),
(135426, 29928),
(135428, 30065),
(135431, 29933),
(135432, 29935),
(135433, 29936),
(135434, 29938),
(135436, 30079),
(135437, 29952),
(135438, 30767),
(135439, 29943),
(135440, 30768),
(135441, 30769),
(135442, 30770),
(135443, 30771),
(135445, 29950),
(135459, 29955),
(135460, 29956),
(135461, 29957),
(135462, 30280),
(135464, 29960),
(135465, 29961),
(135466, 29962),
(135467, 29963),
(135476, 30297),
(135477, 30299),
(135478, 29967),
(135479, 29977),
(135480, 29978),
(135481, 29979),
(135482, 29972),
(135483, 29980),
(135484, 29975),
(135486, 29976),
(135487, 29986),
(135488, 32218),
(135489, 29988),
(135490, 29989),
(135491, 29990),
(135529, 29992),
(135549, 29996),
(135552, 29997),
(135554, 29998),
(135560, 30135),
(135561, 30939),
(135562, 30004),
(135566, 30935),
(135572, 30006),
(135573, 30007),
(135574, 30008),
(135583, 30014),
(135588, 30015),
(135596, 32240),
(135597, 30019),
(135598, 30020),
(135599, 30021),
(135600, 30022),
(135694, 30310),
(135695, 30313),
(135710, 30132),
(135711, 30033),
(135712, 30034),
(135713, 30035),
(135714, 30036),
(135715, 30037),
(135724, 30917),
(135725, 30918),
(135727, 30043),
(135728, 30044),
(135729, 30045),
(135730, 30046),
(135732, 30048),
(135733, 30049),
(135736, 30056),
(135745, 30057),
(135746, 30058),
(135754, 32335),
(135756, 32332),
(135757, 32338),
(135758, 32346),
(135759, 32343),
(135765, 30109),
(135766, 30062),
(135767, 32344),
(135768, 32347),
(135769, 30066),
(135770, 30063),
(135771, 30620),
(135774, 30140),
(135780, 30072),
(135782, 30073),
(135783, 30074),
(135785, 30076),
(135786, 30077),
(135787, 30078),
(135804, 30080),
(135806, 30081),
(135815, 30082),
(135816, 30083),
(135823, 30088),
(135824, 32754),
(135826, 30172),
(135829, 30101),
(135830, 30098),
(135831, 30099),
(135843, 30690),
(135845, 30106),
(135846, 30107),
(135847, 30108),
(135848, 30110),
(135866, 30133),
(135869, 30130),
(135870, 30134),
(135871, 30149),
(135872, 30146),
(135873, 30150),
(135874, 30151),
(135885, 30161),
(135895, 30153),
(135897, 30154),
(135898, 30159),
(135899, 30158),
(135901, 30162),
(135902, 30160),
(135907, 30164),
(135908, 30165),
(135909, 30166),
(135910, 30167),
(135911, 30168),
(135912, 30169),
(135913, 30173),
(135915, 30171),
(135920, 30174),
(135951, 30237),
(135955, 30239),
(135956, 30238),
(135969, 30282),
(135976, 30462),
(135983, 30245),
(135989, 30246),
(135992, 30247),
(135993, 30248),
(136003, 30314),
(136004, 30315),
(136008, 30265),
(136010, 32675),
(136015, 30253),
(136017, 30259),
(136018, 30260),
(136023, 30257),
(136026, 30298),
(136030, 30300),
(136033, 30383),
(136037, 30264),
(136041, 30274),
(136042, 30483),
(136043, 30522),
(136044, 30573),
(136045, 30524),
(136046, 30329),
(136054, 30281),
(136058, 30283),
(136061, 30386),
(136064, 30286),
(136066, 30289),
(136067, 30290),
(136074, 30291),
(136075, 30292),
(136076, 30293),
(136077, 30294),
(136078, 30295),
(136079, 30296),
(136114, 30304),
(136124, 30931),
(136171, 30306),
(136187, 30308),
(136199, 30311),
(136219, 30835),
(136234, 30349),
(136236, 30350),
(136237, 30351),
(136241, 30374),
(136242, 30372),
(136243, 30354),
(136246, 30355),
(136247, 30375),
(136248, 30373),
(136249, 30362),
(136250, 30365),
(136251, 30367),
(136252, 30368),
(136253, 30369),
(136260, 30370),
(136262, 30376),
(136263, 30377),
(136264, 30843),
(136265, 30840),
(136266, 30380),
(136267, 30381),
(136268, 30750),
(136269, 30385),
(136273, 30387),
(136274, 30503),
(136275, 30389),
(136276, 30390),
(136278, 30468),
(136279, 30393),
(136285, 30923),
(136286, 34606),
(136291, 34607),
(136295, 30401),
(136296, 32676),
(136297, 30406),
(136298, 30407),
(136300, 30410),
(136301, 30409),
(136302, 30411),
(136305, 30412),
(136306, 32531),
(136307, 32530),
(136312, 30438),
(136313, 30574),
(136317, 30643),
(136318, 30647),
(136319, 30644),
(136331, 30440),
(136336, 30443),
(136337, 30444),
(136338, 30445),
(136339, 30446),
(136340, 30447),
(136341, 30448),
(136347, 30453),
(136348, 30454),
(136349, 30455),
(136350, 30456),
(136351, 30457),
(136352, 30460),
(136354, 30819),
(136366, 30463),
(136367, 30464),
(136368, 30465),
(136370, 30466),
(136371, 30467),
(136372, 30469),
(136373, 30474),
(136375, 30473),
(136377, 30632),
(136378, 30752),
(136380, 30477),
(136383, 30478),
(136384, 30479),
(136407, 30480),
(136411, 30481),
(136434, 30486),
(136437, 30489),
(136438, 30490),
(136439, 30491),
(136440, 30511),
(136444, 30495),
(136445, 30796),
(136446, 30494),
(136451, 34608),
(136453, 30504),
(136454, 30505),
(136455, 30506),
(136456, 32355),
(136457, 32356),
(136458, 30508),
(136459, 32357),
(136460, 32359),
(136461, 30510),
(136464, 32360),
(136465, 32361),
(136466, 32358),
(136485, 30512),
(136486, 30529),
(136487, 30514),
(136488, 30515),
(136489, 30516),
(136490, 30531),
(136491, 30517),
(136492, 30518),
(136493, 30519),
(136494, 30520),
(136495, 30521),
(136497, 30525),
(136498, 30526),
(136499, 30527),
(136500, 30528),
(136501, 30532),
(136504, 32681),
(136505, 32682),
(136506, 32683),
(136507, 32684),
(136508, 32685),
(136509, 32686),
(136510, 32687),
(136517, 31030),
(136522, 30541),
(136523, 30542),
(136524, 30543),
(136525, 30544),
(136526, 30545),
(136527, 30547),
(136528, 30549),
(136529, 30554),
(136530, 30551),
(136531, 32219),
(136537, 30556),
(136538, 30557),
(136539, 31056),
(136540, 30754),
(136541, 30560),
(136545, 33227),
(136546, 32533),
(136547, 32534),
(136548, 32535),
(136550, 30566),
(136551, 30749),
(136552, 30589),
(136553, 30572),
(136554, 32634),
(136555, 32635),
(136557, 32636),
(136558, 32637),
(136559, 30581),
(136560, 30580),
(136561, 30582),
(136562, 30705),
(136563, 30584),
(136564, 30800),
(136565, 30588),
(136566, 30801),
(136567, 30591),
(136568, 30593),
(136569, 30594),
(136571, 33236),
(136572, 33237),
(136573, 30597),
(136574, 30776),
(136576, 30601),
(136580, 30603),
(136582, 30604),
(136583, 30605),
(136584, 30606),
(136585, 30610),
(136586, 30609),
(136600, 30621),
(136601, 30622),
(136602, 30623),
(136603, 31149),
(136604, 31151),
(136605, 30626),
(136606, 30784),
(136607, 30630),
(136608, 30629),
(136609, 30633),
(136610, 30634),
(136611, 30635),
(136612, 34609),
(136613, 30637),
(136614, 30639),
(136615, 34610),
(136616, 30642),
(136617, 30795),
(136618, 30751),
(136622, 30753),
(136623, 30755),
(136624, 30651),
(136625, 30756),
(136626, 30653),
(136627, 32757),
(136628, 30655),
(136629, 30713),
(136635, 30687),
(136637, 30820),
(136641, 30689),
(136646, 30772),
(136647, 30773),
(136648, 30707),
(136650, 30706),
(136651, 30712),
(136652, 30783),
(136653, 30710),
(136654, 30714),
(136655, 30722),
(136656, 30717),
(136657, 30723),
(136658, 30725),
(136660, 30728),
(136661, 30732),
(136662, 30731),
(136669, 30734),
(136670, 30735),
(136671, 30736),
(136672, 30737),
(136673, 30738),
(136674, 30739),
(136675, 30740),
(136676, 30741),
(136677, 30742),
(136678, 30743),
(136679, 30818),
(136680, 30745),
(136681, 30746),
(136682, 30747),
(136683, 30748),
(136690, 30774),
(136691, 30775),
(136694, 30778),
(136696, 30777),
(136701, 30781),
(136703, 30782),
(136896, 30940),
(136897, 30968),
(136905, 30793),
(136906, 30794),
(136912, 30797),
(136916, 30799),
(136930, 30833),
(136931, 30804),
(136932, 30805),
(136937, 30807),
(136938, 30839),
(136939, 30809),
(136943, 32638),
(136944, 32639),
(136946, 30816),
(136955, 32394),
(136959, 32395),
(136974, 30822),
(136979, 30821),
(136999, 30823),
(137000, 30848),
(137001, 30825),
(137002, 30826),
(137003, 30850),
(137004, 30829),
(137005, 30841),
(137006, 30838),
(137012, 30834),
(137013, 30836),
(137014, 30837),
(137015, 30842),
(137016, 30846),
(137017, 30845),
(137018, 30849),
(137019, 30851),
(137020, 30854),
(137021, 30853),
(137022, 30855),
(137029, 30856),
(137030, 33238),
(137034, 30860),
(137035, 30861),
(137084, 30874),
(137089, 30866),
(137090, 30867),
(137091, 30868),
(137093, 33239),
(137094, 31754),
(137095, 30873),
(137096, 30924),
(137105, 30902),
(137111, 30875),
(137112, 30876),
(137113, 31803),
(137118, 30954),
(137119, 31137),
(137121, 31236),
(137122, 31486),
(137126, 30887),
(137130, 30894),
(137134, 30888),
(137135, 30889),
(137136, 30890),
(137137, 30891),
(137142, 30966),
(137148, 34611),
(137155, 30895),
(137162, 30919),
(137164, 30921),
(137170, 30930),
(137172, 31755),
(137173, 30927),
(137174, 30978),
(137178, 30929),
(137183, 30932),
(137185, 30936),
(137191, 31021),
(137196, 31022),
(137198, 31100),
(137212, 30958),
(137213, 30959),
(137214, 30960),
(137217, 30961),
(137224, 31799),
(137225, 30971),
(137226, 30972),
(137232, 30973),
(137236, 30976),
(137244, 31048),
(137246, 31223),
(137247, 31224),
(137248, 31225),
(137249, 31231),
(137250, 31242),
(137251, 30986),
(137252, 30988),
(137253, 30990),
(137254, 30991),
(137261, 30992),
(137265, 30996),
(137271, 31002),
(137272, 31003),
(137273, 31004),
(137280, 31020),
(137281, 31006),
(137282, 31007),
(137284, 31009),
(137286, 31011),
(137291, 31804),
(137296, 31013),
(137298, 31252),
(137312, 31757),
(137317, 31018),
(137318, 31201),
(137319, 31033),
(137321, 31560),
(137325, 31688),
(137332, 31027),
(137333, 31029),
(137334, 31026),
(137336, 31025),
(137343, 31093),
(137356, 31028),
(137375, 34612),
(137376, 31036),
(137394, 31396),
(137440, 31038),
(137441, 31395),
(137466, 31040),
(137467, 31041),
(137476, 31042),
(137477, 31043),
(137478, 31044),
(137479, 31045),
(137488, 31050),
(137489, 33241),
(137490, 31052),
(137491, 31053),
(137492, 31055),
(137493, 31058),
(137494, 31060),
(137504, 31066),
(137505, 31064),
(137506, 31063),
(137507, 31065),
(137513, 31067),
(137516, 31068),
(137517, 34613),
(137518, 34614),
(137519, 34616),
(137520, 31074),
(137521, 33242),
(137522, 31076),
(137525, 31760),
(137526, 31078),
(137529, 31806),
(137530, 31081),
(137531, 31082),
(137532, 31087),
(137533, 31090),
(137534, 31091),
(137536, 31084),
(137537, 31085),
(137538, 31086),
(137539, 31089),
(137548, 31092),
(137550, 31095),
(137551, 31096),
(137553, 31097),
(137555, 31098),
(137556, 31099),
(137557, 31101),
(137558, 31102),
(137559, 31103),
(137560, 31104),
(137575, 31111),
(137576, 31112),
(137577, 31113),
(137578, 31115),
(137579, 31116),
(137580, 31121),
(137581, 31120),
(137582, 32229),
(137584, 31125),
(137585, 31126),
(137587, 31161),
(137588, 31756),
(137589, 31758),
(137593, 31759),
(137594, 31762),
(137595, 31764),
(137598, 31136),
(137599, 32216),
(137600, 31140),
(137601, 31141),
(137602, 34456),
(137603, 31143),
(137604, 31144),
(137605, 32217),
(137606, 31152),
(137607, 31153),
(137608, 31154),
(137609, 34590),
(137610, 34591),
(137611, 31157),
(137615, 31158),
(137616, 31159),
(137617, 31472),
(137625, 31162),
(137626, 31163),
(137629, 32536),
(137630, 31165),
(137631, 31166),
(137632, 31167),
(137633, 31218),
(137634, 31169),
(137635, 31170),
(137636, 31171),
(137637, 32537),
(137638, 32538),
(137639, 32539),
(137640, 31177),
(137642, 31179),
(137644, 31183),
(137645, 31184),
(137646, 33243),
(137647, 31188),
(137648, 31189),
(137649, 31190),
(137650, 31191),
(137651, 31192),
(137652, 31193),
(137653, 31194),
(137654, 31195),
(137672, 31196),
(137685, 31202),
(137686, 31200),
(137702, 31213),
(137705, 31801),
(137706, 31215),
(137707, 31243),
(137708, 31207),
(137709, 31208),
(137710, 31209),
(137711, 31277),
(137712, 31212),
(137713, 31214),
(137714, 31217),
(137715, 31816),
(137716, 32645),
(137717, 31817),
(137718, 32646),
(137720, 32647),
(137721, 32648),
(137722, 32649),
(137723, 32650),
(137724, 31237),
(137725, 31238),
(137733, 31292),
(137743, 31241),
(137753, 32363),
(137754, 32362),
(137755, 31761),
(137756, 32364),
(137764, 31270),
(137766, 31255),
(137767, 31268),
(137768, 31260),
(137770, 31259),
(137772, 31264),
(137773, 31265),
(137774, 31267),
(137775, 31404),
(137777, 31269),
(137778, 31689),
(137782, 31274),
(137783, 31273),
(137795, 31279),
(137796, 31280),
(137797, 32691),
(137798, 32689),
(137799, 32690),
(137800, 32692),
(137801, 32688),
(137802, 31296),
(137803, 31808),
(137806, 31294),
(137811, 31293),
(137812, 31297),
(137815, 32205),
(137816, 31302),
(137817, 31794),
(137819, 31305),
(137821, 31323),
(137825, 31321),
(137826, 31322),
(137827, 31320),
(137828, 31319),
(137829, 31773),
(137837, 31325),
(137838, 31399),
(137849, 31365),
(137857, 31326),
(137858, 31328),
(137859, 31329),
(137860, 31332),
(137861, 31334),
(137862, 31335),
(137863, 31336),
(137864, 31338),
(137865, 31339),
(137866, 31340),
(137867, 31342),
(137868, 31350),
(137869, 31347),
(137879, 31346),
(137883, 31348),
(137913, 31349),
(137917, 31351),
(137918, 31352),
(137919, 33244),
(137920, 31354),
(137921, 31356),
(137922, 31358),
(137923, 31359),
(137939, 31361),
(137945, 31363),
(137947, 31387),
(137974, 31367),
(138006, 31370),
(138007, 31371),
(138009, 31372),
(138014, 31373),
(138015, 31375),
(138016, 31376),
(138022, 31392),
(138023, 32296),
(138024, 31388),
(138028, 31401),
(138029, 31389),
(138030, 31391),
(138031, 31394),
(138032, 31397),
(138064, 31765),
(138078, 31407),
(138137, 31907),
(138144, 31409),
(138145, 31410),
(138146, 31411),
(138147, 31412),
(138148, 31413),
(138149, 31414),
(138150, 31415),
(138151, 31416),
(138162, 31417),
(138163, 31418),
(138164, 31419),
(138165, 31421),
(138168, 31422),
(138171, 31423),
(138189, 33519),
(138190, 31449),
(138191, 33522),
(138192, 31507),
(138194, 31436),
(138197, 31479),
(138198, 31478),
(138199, 31440),
(138200, 31453),
(138201, 31443),
(138202, 31444),
(138203, 31445),
(138204, 31446),
(138206, 31447),
(138218, 31451),
(138234, 31454),
(138239, 31810),
(138240, 31812),
(138244, 31460),
(138245, 31462),
(138252, 33245),
(138253, 31464),
(138263, 31465),
(138264, 31466),
(138265, 31467),
(138273, 31469),
(138276, 31538),
(138277, 31473),
(138278, 31474),
(138279, 31475),
(138280, 31476),
(138281, 31480),
(138285, 31483),
(138307, 31484),
(138308, 31485),
(138310, 31504),
(138318, 31488),
(138319, 31489),
(138320, 31492),
(138321, 31493),
(138322, 31494),
(138325, 31495),
(138326, 31496),
(138327, 31497),
(138328, 31859),
(138329, 31499),
(138330, 31500),
(138331, 31501),
(138332, 31503),
(138340, 31508),
(138341, 31509),
(138343, 31510),
(138344, 31744),
(138350, 31512),
(138359, 31513),
(138362, 31514),
(138368, 31516),
(138369, 31813),
(138370, 31518),
(138390, 31519),
(138392, 31520),
(138394, 31521),
(138395, 31522),
(138396, 31529),
(138397, 31533),
(138398, 31528),
(138399, 31526),
(138400, 31527),
(138401, 31530),
(138402, 31531),
(138403, 31534),
(138404, 31535),
(138405, 31536),
(138418, 31655),
(138419, 31685),
(138430, 33246),
(138434, 31544),
(138441, 31545),
(138442, 31546),
(138443, 31547),
(138444, 31548),
(138445, 31549),
(138446, 31550),
(138447, 31886),
(138448, 32376),
(138449, 31899),
(138450, 32377),
(138451, 32374),
(138452, 32371),
(138453, 32372),
(138454, 31556),
(138455, 31557),
(138457, 31559),
(138460, 31561),
(138461, 31672),
(138476, 31563),
(138481, 31564),
(138484, 31565),
(138488, 31871),
(138489, 31873),
(138490, 31872),
(138506, 31572),
(138507, 31573),
(138508, 31574),
(138509, 31897),
(138510, 31895),
(138511, 32378),
(138512, 32331),
(138513, 32367),
(138514, 32368),
(138552, 33247),
(138564, 31605),
(138573, 31583),
(138574, 31611),
(138587, 31585),
(138589, 31814),
(138611, 31588),
(138612, 31589),
(138613, 31593),
(138618, 31592),
(138672, 32206),
(138674, 31603),
(138675, 31602),
(138688, 31604),
(138692, 31607),
(138693, 31608),
(138694, 31609),
(138696, 31610),
(138704, 31612),
(138705, 31613),
(138706, 32490),
(138707, 31615),
(138708, 31616),
(138709, 31623),
(138712, 31620),
(138713, 31621),
(138714, 33528),
(138715, 31624),
(138716, 31625),
(138717, 31626),
(138718, 31627),
(138719, 31629),
(138720, 31631),
(138721, 31632),
(138722, 31633),
(138723, 31634),
(138724, 32696),
(138725, 32697),
(138726, 32693),
(138727, 31638),
(138728, 31639),
(138729, 32694),
(138730, 31641),
(138731, 32695),
(138732, 31766),
(138733, 31646),
(138734, 32698),
(138735, 31767),
(138736, 32699),
(138737, 31650),
(138740, 31769),
(138742, 31653),
(138743, 31900),
(138744, 32812),
(138745, 31659),
(138747, 31660),
(138749, 31661),
(138753, 31667),
(138755, 32325),
(138756, 31700),
(138758, 31669),
(138759, 31670),
(138760, 31673),
(138762, 31674),
(138763, 31675),
(138770, 31676),
(138771, 31678),
(138775, 31768),
(138785, 31770),
(138791, 31771),
(138792, 33269),
(138793, 31922),
(138794, 31881),
(138795, 31687),
(138819, 31690),
(138820, 31692),
(138832, 31693),
(138833, 31694),
(138834, 31695),
(138835, 31696),
(138836, 31697),
(138848, 31698),
(138851, 31699),
(138854, 31701),
(138856, 31818),
(138857, 31819),
(138858, 31820),
(138859, 31821),
(138861, 31822),
(138862, 31789),
(138864, 31790),
(138866, 31791),
(138867, 32651),
(138868, 32652),
(138869, 32654),
(138870, 32655),
(138871, 32656),
(138877, 31716),
(138878, 31717),
(138879, 31719),
(138881, 31720),
(138882, 31721),
(138883, 31722),
(138884, 31723),
(138885, 31849),
(138886, 31725),
(138887, 31726),
(138890, 31727),
(138891, 31728),
(138892, 31729),
(138904, 31731),
(138909, 31732),
(138910, 31739),
(138911, 31740),
(138912, 31741),
(138913, 31742),
(138914, 32116),
(138916, 31809),
(138917, 31807),
(138918, 31805),
(138919, 31811),
(138920, 31752),
(138921, 31753),
(138924, 31763),
(138925, 31772),
(138926, 31774),
(138927, 31775),
(138928, 31776),
(138929, 31777),
(138930, 34538),
(138932, 31780),
(138933, 31781),
(138934, 31782),
(138935, 31787),
(138936, 32755),
(138937, 31785),
(138938, 31792),
(138939, 31793),
(138941, 32241),
(138942, 31797),
(138943, 31798),
(138944, 31878),
(138945, 34515),
(138946, 34516),
(138947, 34517),
(138948, 34518),
(138950, 34519),
(138951, 34524),
(138952, 34525),
(138953, 34526),
(138954, 34523),
(138955, 31833),
(138956, 31834),
(138957, 31835),
(138958, 31836),
(138959, 31837),
(138960, 31840),
(138961, 31839),
(138962, 31842),
(138963, 31845),
(138964, 31846),
(138965, 31847),
(138966, 31852),
(138968, 31850),
(138970, 31851),
(138971, 31876),
(138972, 31854),
(138973, 31855),
(138974, 31860),
(138975, 32098),
(138976, 31862),
(138977, 31864),
(138981, 31865),
(138982, 31866),
(138983, 31869),
(138984, 31868),
(138990, 33248),
(138994, 33331),
(139002, 32501),
(139003, 31877),
(139023, 31879),
(139024, 31880),
(139025, 31883),
(139027, 31882),
(139036, 31884),
(139039, 31885),
(139054, 31946),
(139061, 31889),
(139062, 31890),
(139063, 31891),
(139064, 31893),
(139081, 32234),
(139161, 31903),
(139162, 31904),
(139164, 31906),
(139181, 34465),
(139184, 35873),
(139185, 31912),
(139188, 31920),
(139189, 31921),
(139190, 31918),
(139191, 31919),
(139192, 33268),
(139193, 33249),
(139194, 31977),
(139195, 31956),
(139196, 31960),
(139197, 32039),
(139198, 32040),
(139200, 36463),
(139201, 31931),
(139215, 31932),
(139216, 31957),
(139219, 31934),
(139220, 31935),
(139240, 31940),
(139241, 31941),
(139244, 31944),
(139246, 31945),
(139247, 31947),
(139248, 31948),
(139249, 31949),
(139250, 31950),
(139251, 31965),
(139252, 31952),
(139253, 31954),
(139254, 31955),
(139261, 31988),
(139264, 31991),
(139265, 31961),
(139267, 31963),
(139268, 31964),
(139269, 31966),
(139270, 31967),
(139271, 32096),
(139272, 32097),
(139274, 31972),
(139275, 31973),
(139276, 31976),
(139277, 31975),
(139281, 32001),
(139282, 32002),
(139283, 31980),
(139300, 31983),
(139303, 31984),
(139331, 31985),
(139333, 31986),
(139334, 31987),
(139343, 31990),
(139385, 31993),
(139386, 31994),
(139387, 31995),
(139388, 31996),
(139390, 31998),
(139394, 31999),
(139395, 32000),
(139396, 32003),
(139397, 32004),
(139398, 32005),
(139399, 32006),
(139402, 33251),
(139404, 32024),
(139406, 32010),
(139407, 32011),
(139408, 32012),
(139411, 32013),
(139412, 32015),
(139415, 32025),
(139416, 32018),
(139417, 32019),
(139419, 32091),
(139420, 32021),
(139421, 32023),
(139422, 32192),
(139423, 32180),
(139424, 32540),
(139425, 32541),
(139426, 32542),
(139427, 32543),
(139428, 32032),
(139429, 32033),
(139430, 32034),
(139431, 32035),
(139432, 32369),
(139433, 32370),
(139434, 32365),
(139435, 32366),
(139436, 32106),
(139437, 32107),
(139438, 32044),
(139442, 32046),
(139443, 32047),
(139444, 32048),
(139445, 34641),
(139446, 34642),
(139477, 33252),
(139478, 33253),
(139479, 32055),
(139481, 32057),
(139482, 32058),
(139483, 32059),
(139484, 32063),
(139486, 32061),
(139487, 32062),
(139488, 32064),
(139489, 32065),
(139492, 32067),
(139493, 32068),
(139494, 32069),
(139495, 32070),
(139496, 32071),
(139497, 32073),
(139502, 32074),
(139503, 32657),
(139504, 32658),
(139505, 32659),
(139506, 32660),
(139507, 33270),
(139508, 33271),
(139509, 33272),
(139510, 32082),
(139516, 32083),
(139517, 32084),
(139518, 32085),
(139519, 32086),
(139520, 32087),
(139521, 32088),
(139522, 32089),
(139523, 34374),
(139524, 32092),
(139528, 32093),
(139531, 32100),
(139532, 32603),
(139533, 32604),
(139534, 32640),
(139535, 32641),
(139536, 32105),
(139537, 32134),
(139538, 34415),
(139539, 32326),
(139553, 32113),
(139554, 33330),
(139555, 33329),
(139556, 33328),
(139571, 32117),
(139572, 32230),
(139573, 32119),
(139574, 32121),
(139575, 32549),
(139578, 32123),
(139579, 32173),
(139603, 32124),
(139604, 32125),
(139609, 32130),
(139610, 32129),
(139611, 32132),
(139612, 32557),
(139615, 32136),
(139616, 32163),
(139619, 32164),
(139627, 32141),
(139628, 32140),
(139630, 32142),
(139631, 32143),
(139700, 32147),
(139701, 32156),
(139702, 32149),
(139703, 32151),
(139704, 32152),
(139705, 32153),
(139710, 32155),
(139728, 32157),
(139731, 32159),
(139751, 32162),
(139778, 32165),
(139784, 32166),
(139786, 32417),
(139794, 32174),
(139796, 32172),
(139807, 33327),
(139808, 32176),
(139811, 32177),
(139812, 32178),
(139833, 32220),
(139866, 32578),
(139867, 32579),
(139868, 32574),
(139869, 32575),
(139870, 32576),
(139889, 32189),
(139890, 32190),
(139893, 32223),
(139898, 32215),
(139899, 32304),
(139904, 32198),
(139905, 32199),
(139912, 32200),
(139913, 32201),
(139914, 32202),
(139915, 32203),
(139917, 32207),
(139918, 33523),
(139920, 32222),
(139921, 32209),
(139922, 32210),
(139923, 32784),
(139924, 32785),
(139925, 32814),
(139941, 32398),
(139965, 32224),
(139966, 32225),
(139967, 32226),
(139969, 32228),
(139987, 32236),
(139990, 32237),
(139991, 32238),
(139994, 32247),
(139998, 32248),
(139999, 32245),
(140000, 32246),
(140006, 32922),
(140010, 32249),
(140011, 32250),
(140012, 32254),
(140013, 32253),
(140015, 32255),
(140016, 32256),
(140017, 32257),
(140018, 32258),
(140019, 32261),
(140020, 32262),
(140021, 32263),
(140022, 32264),
(140023, 32265),
(140024, 32272),
(140025, 32267),
(140027, 32270),
(140028, 32269),
(140029, 32273),
(140030, 32274),
(140031, 32275),
(140032, 32276),
(140033, 33541),
(140034, 32278),
(140035, 32280),
(140036, 32281),
(140037, 32282),
(140038, 32283),
(140039, 32284),
(140046, 32383),
(140070, 33274),
(140071, 33273),
(140072, 33275),
(140073, 33276),
(140074, 33278),
(140076, 32301),
(140077, 32295),
(140104, 32300),
(140108, 32437),
(140111, 32307),
(140126, 32309),
(140129, 32314),
(140141, 32317),
(140142, 32318),
(140144, 32319),
(140145, 32320),
(140146, 32321),
(140147, 33254),
(140148, 33256),
(140149, 32324),
(140150, 32327),
(140163, 32663),
(140164, 32664),
(140165, 32665),
(140166, 32666),
(140168, 32667),
(140169, 32668),
(140170, 32669),
(140171, 32670),
(140176, 32375),
(140186, 32379),
(140187, 32380),
(140191, 32382),
(140192, 33527),
(140200, 32385),
(140203, 32390),
(140204, 32389),
(140205, 32388),
(140207, 32391),
(140212, 32392),
(140214, 32393),
(140220, 32396),
(140232, 32397),
(140260, 32465),
(140261, 32466),
(140262, 32565),
(140285, 32404),
(140286, 32406),
(140287, 32407),
(140288, 32408),
(140289, 32440),
(140294, 32410),
(140298, 32753),
(140299, 32756),
(140300, 32758),
(140301, 32760),
(140302, 32745),
(140303, 32743),
(140307, 32502),
(140328, 32439),
(140330, 32809),
(140331, 32828),
(140334, 32420),
(140335, 32419),
(140336, 32421),
(140337, 32422),
(140338, 32423),
(140345, 32763),
(140346, 32764),
(140347, 32765),
(140351, 32507),
(140352, 32432),
(140353, 32506),
(140354, 32434),
(140364, 32438),
(140365, 32817),
(140393, 32441),
(140394, 32443),
(140395, 32444),
(140396, 32445),
(140397, 32447),
(140408, 32448),
(140409, 32449),
(140410, 32450),
(140411, 32451),
(140412, 32452),
(140421, 32454),
(140422, 33025),
(140423, 32456),
(140424, 32457),
(140425, 32804),
(140426, 32467),
(140427, 32468),
(140428, 32723),
(140429, 32480),
(140430, 32474),
(140431, 32476),
(140432, 32473),
(140433, 32724),
(140434, 32478),
(140435, 32479),
(140436, 32481),
(140437, 33121),
(140438, 33124),
(140448, 32791),
(140449, 32519),
(140450, 32500),
(140458, 32494),
(140460, 32498),
(140462, 32624),
(140463, 32626),
(140464, 32496),
(140465, 32617),
(140466, 32497),
(140467, 32616),
(140468, 32499),
(140469, 32504),
(140470, 32508),
(140471, 32544),
(140472, 32511),
(140473, 32512),
(140474, 32545),
(140476, 32546),
(140477, 32515),
(140478, 32547),
(140479, 32797),
(140481, 32548),
(140482, 32523),
(140484, 32524),
(140485, 33137),
(140548, 32559),
(140549, 32553),
(140550, 32555),
(140551, 32556),
(140553, 32566),
(140554, 32567),
(140555, 32794),
(140556, 32569),
(140557, 32563),
(140558, 32570),
(140559, 32571),
(140560, 32577),
(140561, 32581),
(140562, 32585),
(140563, 32586),
(140564, 32587),
(140565, 32588),
(140566, 32589),
(140568, 32596),
(140569, 32598),
(140570, 32605),
(140571, 32606),
(140572, 32607),
(140573, 32608),
(140574, 32610),
(140575, 32611),
(140576, 32612),
(140577, 32613),
(140578, 32614),
(140579, 32615),
(140582, 32620),
(140583, 32632),
(140584, 32622),
(140585, 32628),
(140586, 32625),
(140587, 32642),
(140588, 32644),
(140589, 32661),
(140590, 32662),
(140591, 32671),
(140593, 32672),
(140594, 32673),
(140595, 32674),
(140596, 32937),
(140597, 32941),
(140598, 32951),
(140600, 33286),
(140601, 32708),
(140603, 32707),
(140605, 32709),
(140606, 33290),
(140607, 33257),
(140608, 33259),
(140609, 32766),
(140610, 32714),
(140611, 32716),
(140612, 33340),
(140613, 32719),
(140614, 32722),
(140615, 33341),
(140616, 33342),
(140619, 32949),
(140620, 33343),
(140621, 33344),
(140622, 32732),
(140623, 32733),
(140624, 32738),
(140625, 32735),
(140626, 32736),
(140627, 32737),
(140628, 32741),
(140629, 32769),
(140630, 32770),
(140631, 32762),
(140632, 32746),
(140633, 32933),
(140634, 32748),
(140635, 32749),
(140636, 32750),
(140637, 32751),
(140638, 32752),
(140644, 34529),
(140648, 32768),
(140649, 32771),
(140650, 32772),
(140651, 32799),
(140654, 33310),
(140656, 33311),
(140657, 32837),
(140658, 33312),
(140659, 33313),
(140660, 33314),
(140697, 34375),
(140735, 32790),
(140740, 32861),
(140741, 32793),
(140751, 32795),
(140752, 32796),
(140753, 32798),
(140780, 32802),
(140781, 32805),
(140789, 32807),
(140800, 32811),
(140844, 32815),
(140878, 32816),
(140881, 32872),
(140887, 32818),
(140890, 32819),
(140892, 32820),
(140894, 32824);
INSERT INTO `codev_timetrack_note_table` (`timetrackid`, `noteid`) VALUES
(140895, 32825),
(140896, 32827),
(140913, 33261),
(140919, 33024),
(140920, 32832),
(140921, 32833),
(140922, 32834),
(140923, 32836),
(140938, 32839),
(140976, 32840),
(140977, 32841),
(140980, 32842),
(140985, 32843),
(140986, 32844),
(140987, 32845),
(140988, 32847),
(140997, 32851),
(140999, 32849),
(141000, 32850),
(141002, 32858),
(141016, 32854),
(141018, 32855),
(141019, 32856),
(141028, 32857),
(141031, 32874),
(141032, 32873),
(141033, 32862),
(141040, 32891),
(141041, 32864),
(141045, 32865),
(141046, 32866),
(141047, 32867),
(141048, 32868),
(141055, 33287),
(141056, 33288),
(141063, 32871),
(141075, 32875),
(141076, 32876),
(141077, 32877),
(141078, 32878),
(141079, 32975),
(141080, 32976),
(141081, 32977),
(141082, 33105),
(141083, 33122),
(141085, 33123),
(141086, 33129),
(141087, 33578),
(141088, 32888),
(141090, 33262),
(141092, 32890),
(141099, 32892),
(141100, 33049),
(141115, 34530),
(141116, 32895),
(141118, 32979),
(141132, 32897),
(141141, 32899),
(141143, 32900),
(141145, 32903),
(141146, 32917),
(141147, 32906),
(141149, 32905),
(141156, 32908),
(141163, 32910),
(141171, 32918),
(141172, 33141),
(141173, 33142),
(141174, 33143),
(141175, 33144),
(141176, 33093),
(141183, 32926),
(141189, 32927),
(141192, 32928),
(141198, 32929),
(141207, 32930),
(141209, 33087),
(141215, 33289),
(141226, 32936),
(141239, 32939),
(141242, 32943),
(141244, 32945),
(141245, 33037),
(141247, 32952),
(141248, 32987),
(141250, 32966),
(141252, 32962),
(141254, 32963),
(141256, 32964),
(141257, 32965),
(141258, 32968),
(141259, 32971),
(141260, 32972),
(141262, 32974),
(141263, 32978),
(141264, 33496),
(141265, 32981),
(141266, 32982),
(141267, 32983),
(141268, 32984),
(141269, 32985),
(141270, 32986),
(141276, 32996),
(141278, 32997),
(141281, 32990),
(141283, 32992),
(141284, 32991),
(141286, 32993),
(141287, 32994),
(141288, 32995),
(141289, 32998),
(141290, 32999),
(141292, 33000),
(141293, 34512),
(141294, 34513),
(141295, 34514),
(141296, 33004),
(141297, 33005),
(141300, 33008),
(141301, 33006),
(141302, 33007),
(141305, 33009),
(141310, 33010),
(141313, 33011),
(141320, 33012),
(141321, 33013),
(141323, 33015),
(141324, 33020),
(141325, 33095),
(141326, 33098),
(141327, 33385),
(141328, 33022),
(141329, 33027),
(141330, 33029),
(141331, 33030),
(141332, 33031),
(141333, 33032),
(141334, 33033),
(141351, 33334),
(141353, 33038),
(141354, 33036),
(141355, 33039),
(141362, 33040),
(141363, 33041),
(141369, 33315),
(141370, 33316),
(141371, 33317),
(141372, 33318),
(141373, 33319),
(141383, 33073),
(141384, 33080),
(141413, 33051),
(141457, 33058),
(141461, 33059),
(141465, 33063),
(141466, 33060),
(141470, 33062),
(141474, 34508),
(141478, 33055),
(141479, 33295),
(141480, 33296),
(141490, 33064),
(141503, 33263),
(141504, 33264),
(141530, 33068),
(141531, 33320),
(141534, 33070),
(141537, 33071),
(141538, 33075),
(141539, 33076),
(141540, 33077),
(141541, 33078),
(141544, 33373),
(141545, 33375),
(141546, 33308),
(141547, 33380),
(141548, 33382),
(141553, 33088),
(141554, 33089),
(141555, 33090),
(141556, 33091),
(141557, 33092),
(141559, 33099),
(141560, 33101),
(141561, 33228),
(141562, 33229),
(141563, 33230),
(141564, 33231),
(141565, 33232),
(141566, 33108),
(141567, 33112),
(141568, 33113),
(141569, 33114),
(141570, 33115),
(141571, 33116),
(141572, 33117),
(141573, 33118),
(141574, 33632),
(141577, 33335),
(141578, 33127),
(141579, 33336),
(141585, 33130),
(141586, 33131),
(141587, 33132),
(141588, 33133),
(141589, 33134),
(141590, 33135),
(141591, 33136),
(141592, 33139),
(141593, 33140),
(141596, 33145),
(141597, 33146),
(141598, 33147),
(141599, 33148),
(141600, 33149),
(141602, 33150),
(141603, 33151),
(141604, 33152),
(141615, 33153),
(141618, 33154),
(141627, 33155),
(141632, 33326),
(141637, 33158),
(141641, 33159),
(141642, 33160),
(141644, 33161),
(141645, 33163),
(141646, 33164),
(141647, 33165),
(141651, 33169),
(141656, 33170),
(141659, 33172),
(141663, 33173),
(141665, 33174),
(141666, 33175),
(141667, 33177),
(141668, 33685),
(141669, 33179),
(141672, 33439),
(141679, 33323),
(141682, 33309),
(141683, 33209),
(141684, 33206),
(141685, 33192),
(141686, 33186),
(141687, 33190),
(141688, 33198),
(141689, 33199),
(141690, 33200),
(141691, 33201),
(141692, 33203),
(141693, 33207),
(141694, 33202),
(141695, 33210),
(141696, 33211),
(141697, 33212),
(141698, 33279),
(141700, 33214),
(141701, 33215),
(141703, 33280),
(141704, 33224),
(141705, 33281),
(141707, 33223),
(141709, 33221),
(141710, 33282),
(141712, 33283),
(141717, 33233),
(141718, 33234),
(141719, 33605),
(141720, 33606),
(141721, 34643),
(141722, 34644),
(141723, 33337),
(141724, 33338),
(141725, 33299),
(141726, 33339),
(141727, 32629),
(141728, 33302),
(141729, 33303),
(141730, 33304),
(141731, 33305),
(141732, 33306),
(141733, 33307),
(141754, 33321),
(141755, 33322),
(141756, 33324),
(141757, 33325),
(141768, 33463),
(141787, 33346),
(141788, 33347),
(141789, 33348),
(141798, 33350),
(141799, 33351),
(141800, 33352),
(141801, 34547),
(141802, 33356),
(141803, 33355),
(141810, 33358),
(141879, 33359),
(141880, 33360),
(141884, 33363),
(141886, 33364),
(141887, 33365),
(141888, 33366),
(141889, 33367),
(141896, 33368),
(142003, 33371),
(142007, 33372),
(142033, 33377),
(142034, 33378),
(142071, 33381),
(142072, 33383),
(142078, 33384),
(142146, 33386),
(142147, 33387),
(142148, 33388),
(142149, 33403),
(142150, 33391),
(142151, 33392),
(142154, 33393),
(142155, 33395),
(142156, 33396),
(142157, 33397),
(142158, 33401),
(142159, 33400),
(142161, 33404),
(142162, 33405),
(142170, 33406),
(142172, 33407),
(142173, 33691),
(142174, 33510),
(142175, 33690),
(142176, 33612),
(142177, 33689),
(142178, 33631),
(142179, 33818),
(142215, 33942),
(142216, 33943),
(142218, 33422),
(142239, 33423),
(142242, 33425),
(142243, 33426),
(142244, 33427),
(142245, 33428),
(142246, 33429),
(142248, 33430),
(142249, 33435),
(142250, 33432),
(142251, 33433),
(142252, 33434),
(142253, 33436),
(142254, 33437),
(142285, 33438),
(142288, 33441),
(142289, 33442),
(142290, 33443),
(142296, 33462),
(142302, 33444),
(142303, 33445),
(142304, 33446),
(142305, 33447),
(142306, 33448),
(142307, 33449),
(142309, 33451),
(142312, 33453),
(142316, 33454),
(142317, 33455),
(142319, 33456),
(142322, 33457),
(142326, 33458),
(142328, 33459),
(142329, 33460),
(142330, 33461),
(142356, 33464),
(142358, 33465),
(142359, 33509),
(142360, 33474),
(142369, 33475),
(142370, 33471),
(142371, 33481),
(142372, 33476),
(142373, 33477),
(142374, 33478),
(142375, 33479),
(142377, 33491),
(142387, 33483),
(142388, 33490),
(142390, 33485),
(142393, 33486),
(142394, 33487),
(142395, 33492),
(142396, 33489),
(142397, 33493),
(142398, 33497),
(142399, 33495),
(142400, 33498),
(142403, 33499),
(142404, 33500),
(142406, 33501),
(142407, 33502),
(142408, 33503),
(142410, 33504),
(142411, 33507),
(142412, 33508),
(142413, 33511),
(142414, 33512),
(142415, 33514),
(142430, 33516),
(142442, 37510),
(142453, 38894),
(142457, 33517),
(142458, 33521),
(142481, 33529),
(142482, 33530),
(142483, 33531),
(142484, 33532),
(142485, 33533),
(142487, 33535),
(142493, 33536),
(142495, 33538),
(142496, 33539),
(142502, 33540),
(142517, 33542),
(142518, 33570),
(142558, 33544),
(142563, 33550),
(142567, 33546),
(142569, 33547),
(142570, 33666),
(142572, 33549),
(142583, 33552),
(142584, 33553),
(142585, 33554),
(142591, 33555),
(142594, 33750),
(142595, 33753),
(142599, 34397),
(142600, 33560),
(142601, 33561),
(142602, 33562),
(142605, 33563),
(142609, 33618),
(142610, 33565),
(142611, 33566),
(142615, 33567),
(142618, 33576),
(142619, 33579),
(142620, 33702),
(142621, 33703),
(142622, 34592),
(142624, 33580),
(142625, 33581),
(142626, 33582),
(142632, 33584),
(142633, 33585),
(142634, 33592),
(142635, 33645),
(142636, 33646),
(142637, 33593),
(142638, 33590),
(142639, 33594),
(142640, 33595),
(142642, 33608),
(142643, 33609),
(142644, 35028),
(142645, 33602),
(142646, 33603),
(142647, 35027),
(142648, 33610),
(142652, 33611),
(142653, 33615),
(142654, 33616),
(142660, 34308),
(142662, 33625),
(142667, 33667),
(142693, 34367),
(142694, 34365),
(142695, 34366),
(142696, 33633),
(142697, 33634),
(142698, 33635),
(142699, 33662),
(142700, 34175),
(142701, 34177),
(142702, 33639),
(142704, 33649),
(142708, 33659),
(142714, 33642),
(142724, 33643),
(142741, 34103),
(142746, 33648),
(142780, 33650),
(142781, 33651),
(142782, 33652),
(142785, 33653),
(142787, 33728),
(142790, 33655),
(142808, 33657),
(142828, 33658),
(142829, 34014),
(142850, 33660),
(142853, 33661),
(142857, 33886),
(142859, 33663),
(142860, 33664),
(142881, 33668),
(142882, 33712),
(142883, 34309),
(142885, 34307),
(142888, 34313),
(142890, 33678),
(142892, 33679),
(142894, 33680),
(142895, 33681),
(142896, 33682),
(142897, 33683),
(142898, 33684),
(142899, 33686),
(142911, 33694),
(142913, 33695),
(142914, 33696),
(142915, 33697),
(142917, 33698),
(142923, 33699),
(142941, 34387),
(142942, 34388),
(142944, 34389),
(142945, 34390),
(142946, 33720),
(142947, 33710),
(142948, 33711),
(142949, 34352),
(142951, 33715),
(142952, 33723),
(142953, 33717),
(142954, 33718),
(142955, 33719),
(142956, 33721),
(142957, 33722),
(142962, 33724),
(142963, 33725),
(142965, 33726),
(142966, 33727),
(142968, 33729),
(142969, 33732),
(142970, 33731),
(142971, 33734),
(142972, 33735),
(142973, 33736),
(142974, 33737),
(142975, 33890),
(142977, 33739),
(142978, 34645),
(142979, 33744),
(142980, 34646),
(142981, 34398),
(142982, 34399),
(142983, 33748),
(142984, 33749),
(142985, 33751),
(142986, 33752),
(142987, 33754),
(142988, 34551),
(142989, 33756),
(142991, 33758),
(142992, 33760),
(142993, 33769),
(142994, 33771),
(142995, 33772),
(142996, 34355),
(142997, 34356),
(142998, 34358),
(142999, 33775),
(143000, 33776),
(143001, 34354),
(143002, 34359),
(143003, 33779),
(143007, 33781),
(143009, 33780),
(143010, 33782),
(143011, 33783),
(143012, 34593),
(143013, 33785),
(143014, 33786),
(143015, 34407),
(143018, 33811),
(143033, 33797),
(143034, 33798),
(143035, 33799),
(143036, 34408),
(143037, 33800),
(143038, 33801),
(143039, 33803),
(143040, 33804),
(143041, 33805),
(143049, 34323),
(143050, 34324),
(143051, 34325),
(143052, 34326),
(143055, 33822),
(143056, 33821),
(143057, 33820),
(143058, 33816),
(143059, 34594),
(143061, 34595),
(143062, 33826),
(143063, 33827),
(143064, 34368),
(143065, 33840),
(143078, 33838),
(143079, 33833),
(143080, 33940),
(143081, 33837),
(143082, 33839),
(143083, 33843),
(143084, 33842),
(143085, 33844),
(143087, 33847),
(143088, 33857),
(143089, 33866),
(143090, 33852),
(143091, 33853),
(143092, 33854),
(143094, 33856),
(143096, 33864),
(143097, 33858),
(143100, 33861),
(143104, 33863),
(143111, 33865),
(143113, 33867),
(143114, 33868),
(143115, 33869),
(143118, 33870),
(143119, 33871),
(143125, 33872),
(143127, 33873),
(143128, 33874),
(143129, 33876),
(143130, 33879),
(143131, 33878),
(143174, 33880),
(143186, 33881),
(143194, 33882),
(143196, 34369),
(143203, 33885),
(143206, 33941),
(143214, 33934),
(143230, 33888),
(143231, 33889),
(143258, 33891),
(143267, 33893),
(143268, 33894),
(143269, 33895),
(143270, 33896),
(143272, 34340),
(143284, 33954),
(143315, 33900),
(143325, 33899),
(143336, 33901),
(143338, 33902),
(143340, 33903),
(143344, 34342),
(143351, 33904),
(143354, 34010),
(143355, 33906),
(143356, 33907),
(143357, 33908),
(143358, 33909),
(143359, 33910),
(143360, 33911),
(143361, 33912),
(143367, 33913),
(143372, 33914),
(143373, 33919),
(143374, 33920),
(143375, 33921),
(143376, 33922),
(143377, 33923),
(143378, 33924),
(143379, 33926),
(143380, 33927),
(143381, 33928),
(143411, 33929),
(143416, 33930),
(143419, 33932),
(143444, 33936),
(143447, 33963),
(143452, 33947),
(143453, 34400),
(143456, 33951),
(143460, 33952),
(143472, 33944),
(143516, 33957),
(143520, 33949),
(143521, 33959),
(143523, 33960),
(143525, 33962),
(143527, 33961),
(143529, 33964),
(143565, 34020),
(143568, 33966),
(143569, 33967),
(143570, 33968),
(143583, 34370),
(143584, 33990),
(143586, 34138),
(143587, 34139),
(143588, 35795),
(143589, 35796),
(143591, 33995),
(143592, 33978),
(143593, 33979),
(143594, 34158),
(143595, 34159),
(143596, 34161),
(143598, 34160),
(143614, 33985),
(143615, 33986),
(143616, 34026),
(143618, 33992),
(143619, 33993),
(143620, 33994),
(143622, 33996),
(143623, 33997),
(143625, 34003),
(143626, 33999),
(143627, 34000),
(143631, 34001),
(143635, 34002),
(143636, 34004),
(143642, 34021),
(143647, 34011),
(143648, 34013),
(143650, 34017),
(143652, 34016),
(143654, 34022),
(143655, 34019),
(143679, 34023),
(143684, 34311),
(143693, 34027),
(143694, 34028),
(143695, 34029),
(143696, 34030),
(143697, 34031),
(143698, 34032),
(143699, 34033),
(143700, 34034),
(143701, 34035),
(143702, 34036),
(143703, 34038),
(143704, 34039),
(143706, 34041),
(143707, 34042),
(143708, 34043),
(143709, 34044),
(143710, 34045),
(143711, 34046),
(143712, 34047),
(143713, 34048),
(143714, 34050),
(143716, 34144),
(143721, 34081),
(143722, 34070),
(143723, 34056),
(143724, 34093),
(143725, 34083),
(143726, 34082),
(143727, 34401),
(143737, 34068),
(143738, 34069),
(143739, 34071),
(143740, 34072),
(143741, 34312),
(143754, 34074),
(143773, 34078),
(143774, 34079),
(143775, 34080),
(143791, 34085),
(143793, 34087),
(143796, 34091),
(143798, 34152),
(143799, 34396),
(143800, 34455),
(143830, 34125),
(143831, 34094),
(143832, 34095),
(143833, 34096),
(143834, 34097),
(143835, 34098),
(143861, 34110),
(143862, 34099),
(143863, 34100),
(143864, 34101),
(143865, 34102),
(143889, 34104),
(143890, 34112),
(143891, 34113),
(143892, 34114),
(143894, 34115),
(143895, 34116),
(143897, 34118),
(143898, 34120),
(143899, 34122),
(143900, 34147),
(143905, 34148),
(143906, 34371),
(143907, 34372),
(143908, 34131),
(143910, 34409),
(143911, 34134),
(143912, 34135),
(143913, 34136),
(143914, 34137),
(143919, 34140),
(143920, 34142),
(143921, 34155),
(143922, 34197),
(143946, 34146),
(143987, 34669),
(143989, 34154),
(143990, 34314),
(143994, 34419),
(143995, 34357),
(143999, 34162),
(144000, 34163),
(144001, 34164),
(144002, 34165),
(144003, 34194),
(144012, 34167),
(144013, 34168),
(144014, 34821),
(144015, 34170),
(144016, 34172),
(144017, 34173),
(144018, 34174),
(144019, 34176),
(144020, 34178),
(144021, 34179),
(144022, 34181),
(144023, 34584),
(144024, 34586),
(144025, 34186),
(144026, 34382),
(144029, 34188),
(144030, 34189),
(144031, 34190),
(144032, 34191),
(144033, 34192),
(144037, 34193),
(144038, 34502),
(144039, 34196),
(144040, 34199),
(144041, 34200),
(144042, 34201),
(144043, 34203),
(144044, 34204),
(144045, 34402),
(144046, 34206),
(144047, 34207),
(144048, 34208),
(144049, 34209),
(144050, 34210),
(144051, 34211),
(144053, 34212),
(144054, 34213),
(144057, 34214),
(144060, 34215),
(144065, 34216),
(144066, 34217),
(144067, 34218),
(144068, 34219),
(144070, 34220),
(144071, 34221),
(144078, 34222),
(144079, 34223),
(144093, 34226),
(144098, 34230),
(144099, 34231),
(144100, 34232),
(144105, 34233),
(144110, 34234),
(144111, 34236),
(144112, 34235),
(144114, 34237),
(144118, 34238),
(144121, 34239),
(144122, 34240),
(144124, 34242),
(144125, 34241),
(144132, 34406),
(144133, 34403),
(144136, 34245),
(144137, 34469),
(144138, 34926),
(144139, 34925),
(144140, 34253),
(144142, 34938),
(144143, 34256),
(144144, 34261),
(144146, 34259),
(144176, 34262),
(144177, 34263),
(144178, 34264),
(144179, 34265),
(144180, 34267),
(144181, 34268),
(144182, 34315),
(144183, 34554),
(144184, 34271),
(144185, 34272),
(144186, 34274),
(144187, 34275),
(144188, 34276),
(144189, 34277),
(144190, 34278),
(144191, 34279),
(144192, 34280),
(144193, 34281),
(144194, 34282),
(144195, 34283),
(144196, 34284),
(144197, 34285),
(144198, 34289),
(144199, 34288),
(144201, 34291),
(144204, 34290),
(144206, 34292),
(144207, 34391),
(144208, 34392),
(144209, 34393),
(144210, 34394),
(144211, 34360),
(144212, 34361),
(144213, 34395),
(144214, 34362),
(144215, 34363),
(144216, 34364),
(144217, 34316),
(144218, 34317),
(144219, 34319),
(144220, 34321),
(144221, 34322),
(144222, 34347),
(144223, 34333),
(144224, 34332),
(144225, 34334),
(144226, 34887),
(144227, 34336),
(144228, 34337),
(144229, 34338),
(144230, 34886),
(144234, 34343),
(144235, 34344),
(144237, 34558),
(144241, 34351),
(144242, 34350),
(144248, 34378),
(144249, 34379),
(144250, 34380),
(144251, 34383),
(144253, 34405),
(144270, 34410),
(144271, 34411),
(144272, 34412),
(144273, 34413),
(144274, 34414),
(144288, 34418),
(144289, 34420),
(144291, 34428),
(144292, 34427),
(144293, 34423),
(144294, 34424),
(144295, 34426),
(144322, 34429),
(144327, 34467),
(144333, 34531),
(144335, 34434),
(144336, 34435),
(144337, 34436),
(144352, 34439),
(144354, 34440),
(144356, 34441),
(144364, 34445),
(144365, 34443),
(144366, 34444),
(144367, 34446),
(144382, 34453),
(144411, 34447),
(144412, 34448),
(144418, 34449),
(144419, 34450),
(144424, 34451),
(144425, 34452),
(144430, 34549),
(144482, 34457),
(144493, 34466),
(144505, 34459),
(144506, 34460),
(144507, 34461),
(144509, 34462),
(144510, 34463),
(144514, 34464),
(144528, 34468),
(144529, 34470),
(144530, 34471),
(144533, 34473),
(144534, 34474),
(144536, 34475),
(144538, 34476),
(144540, 34477),
(144560, 34553),
(144561, 34480),
(144596, 34482),
(144597, 34481),
(144617, 34906),
(144618, 34907),
(144619, 34908),
(144620, 34909),
(144621, 34488),
(144626, 34500),
(144628, 34498),
(144629, 34499),
(144630, 34496),
(144631, 34497),
(144632, 34501),
(144633, 34507),
(144634, 34556),
(144668, 34543),
(144671, 34510),
(144673, 34532),
(144688, 34528),
(144689, 34546),
(144690, 34534),
(144691, 34052),
(144693, 34540),
(144696, 34541),
(144702, 34542),
(144716, 35753),
(144717, 35752),
(144721, 34562),
(144723, 34563),
(144724, 34555),
(144746, 34559),
(144756, 34565),
(144757, 34568),
(144758, 34567),
(144763, 34569),
(144766, 34570),
(144768, 34571),
(144769, 34572),
(144775, 34573),
(144776, 34574),
(144777, 34575),
(144779, 34576),
(144782, 34577),
(144786, 34578),
(144788, 34580),
(144789, 34582),
(144790, 34583),
(144792, 34585),
(144796, 34597),
(144804, 34933),
(144805, 34932),
(144806, 34931),
(144807, 34883),
(144808, 34930),
(144821, 34842),
(144822, 34618),
(144823, 34851),
(144824, 34620),
(144825, 34621),
(144826, 34622),
(144827, 34623),
(144828, 34624),
(144830, 34626),
(144834, 34631),
(144851, 34648),
(144852, 34964),
(144853, 34636),
(144856, 34639),
(144884, 34647),
(144922, 34649),
(144925, 34651),
(144926, 34652),
(144962, 34656),
(144972, 34657),
(144973, 34658),
(144974, 34662),
(144975, 34755),
(144976, 34661),
(144979, 34665),
(144980, 34666),
(144981, 34667),
(144982, 34668),
(144989, 34676),
(144991, 34677),
(144999, 34834),
(145010, 34673),
(145011, 34674),
(145012, 34675),
(145021, 34678),
(145023, 34679),
(145025, 34680),
(145026, 34681),
(145030, 34683),
(145031, 36269),
(145032, 34684),
(145033, 36235),
(145034, 34687),
(145035, 34689),
(145039, 34961),
(145042, 34691),
(145045, 34844),
(145046, 34784),
(145047, 34783),
(145055, 34694),
(145056, 34696),
(145057, 34697),
(145058, 34698),
(145062, 34699),
(145063, 34700),
(145064, 34701),
(145065, 34703),
(145067, 34704),
(145068, 34716),
(145070, 34707),
(145071, 34827),
(145090, 34712),
(145091, 34711),
(145094, 34713),
(145109, 34717),
(145110, 34718),
(145111, 34719),
(145113, 34720),
(145114, 35936),
(145115, 34722),
(145116, 34723),
(145117, 34725),
(145118, 34726),
(145119, 34727),
(145120, 34728),
(145121, 34730),
(145122, 34737),
(145123, 34740),
(145124, 34733),
(145125, 34734),
(145126, 34735),
(145128, 34752),
(145129, 34756),
(145130, 34749),
(145131, 34750),
(145133, 34748),
(145134, 34746),
(145135, 34753),
(145136, 34751),
(145143, 34758),
(145144, 34759),
(145145, 34760),
(145146, 34768),
(145148, 34769),
(145149, 34764),
(145150, 34765),
(145151, 34766),
(145152, 34767),
(145153, 34770),
(145154, 34771),
(145155, 34772),
(145156, 34773),
(145161, 34774),
(145162, 34775),
(145163, 34780),
(145164, 34777),
(145165, 34778),
(145166, 34779),
(145167, 34781),
(145168, 34782),
(145169, 34793),
(145170, 34792),
(145171, 34791),
(145172, 34790),
(145173, 34794),
(145174, 34795),
(145175, 34796),
(145176, 34797),
(145177, 34798),
(145178, 34799),
(145179, 34800),
(145180, 34801),
(145181, 34802),
(145182, 34813),
(145183, 34804),
(145184, 34814),
(145185, 34815),
(145186, 34816),
(145187, 34810),
(145188, 35907),
(145190, 34818),
(145191, 34819),
(145192, 34820),
(145196, 34822),
(145197, 34823),
(145198, 34824),
(145199, 34825),
(145200, 34826),
(145204, 34828),
(145205, 34829),
(145206, 34831),
(145207, 34832),
(145209, 34833),
(145210, 34835),
(145214, 34837),
(145215, 34838),
(145216, 34839),
(145219, 34841),
(145240, 34843),
(145259, 34845),
(145303, 34846),
(145304, 34847),
(145305, 34983),
(145321, 34852),
(145322, 34853),
(145323, 34854),
(145324, 34855),
(145326, 34856),
(145327, 34858),
(145328, 34859),
(145331, 34860),
(145332, 34861),
(145333, 34862),
(145334, 34863),
(145335, 34864),
(145337, 34867),
(145339, 34868),
(145341, 34869),
(145342, 34871),
(145347, 34872),
(145358, 34874),
(145360, 34876),
(145361, 34878),
(145364, 34879),
(145366, 34880),
(145372, 34881),
(145373, 34882),
(145378, 34888),
(145380, 34889),
(145381, 34890),
(145383, 34891),
(145384, 36167),
(145385, 34895),
(145386, 34896),
(145387, 34897),
(145388, 34899),
(145390, 34915),
(145391, 34901),
(145392, 34902),
(145393, 34903),
(145394, 34904),
(145395, 34905),
(145397, 36016),
(145398, 36017),
(145399, 36376),
(145400, 36375),
(145401, 36015),
(145403, 34919),
(145404, 34917),
(145408, 34920),
(145409, 34921),
(145414, 34922),
(145424, 34923),
(145425, 34924),
(145426, 34927),
(145427, 34928),
(145428, 34929),
(145430, 34935),
(145436, 34937),
(145448, 34939),
(145450, 34940),
(145469, 34943),
(145470, 34944),
(145471, 34945),
(145472, 34946),
(145474, 34947),
(145475, 34948),
(145476, 34949),
(145477, 34950),
(145478, 34951),
(145479, 34952),
(145515, 34956),
(145517, 34955),
(145520, 34958),
(145529, 34959),
(145551, 34962),
(145552, 34963),
(145575, 34965),
(145599, 34966),
(145600, 34967),
(145601, 34968),
(145602, 34969),
(145603, 34970),
(145607, 34971),
(145613, 34972),
(145614, 34973),
(145619, 34974),
(145620, 34975),
(145622, 34976),
(145623, 34977),
(145624, 34978),
(145625, 34979),
(145626, 34980),
(145632, 34981),
(145644, 34984),
(145649, 34985),
(145652, 34986),
(145653, 34987),
(145660, 34988),
(145671, 34991),
(145672, 34989),
(145698, 35793),
(145699, 35794),
(145700, 35848),
(145701, 35934),
(145706, 34997),
(145707, 34998),
(145708, 34999),
(145709, 35000),
(145710, 35001),
(145711, 35002),
(145712, 35003),
(145717, 35781),
(145726, 35005),
(145791, 35007),
(145792, 35017),
(145793, 35009),
(145794, 35018),
(145795, 35015),
(145796, 35012),
(145797, 35029),
(145798, 35031),
(145799, 35019),
(145800, 35020),
(145802, 35021),
(145803, 35024),
(145804, 35025),
(145805, 35026),
(145811, 35032),
(145812, 35033),
(145813, 35034),
(145814, 35035),
(145815, 35036),
(145816, 35037),
(145817, 35040),
(145818, 35039),
(145820, 35041),
(145832, 35773),
(145833, 35042),
(145843, 35754),
(145844, 35755),
(145845, 35751),
(145848, 35759),
(145854, 35757),
(145855, 35758),
(145862, 35760),
(145863, 35761),
(145869, 35763),
(145871, 35766),
(145872, 36007),
(145874, 35799),
(145876, 35767),
(145877, 35769),
(145920, 35774),
(145922, 35798),
(145923, 35777),
(145924, 35801),
(145925, 35851),
(145928, 35785),
(145929, 35786),
(145930, 35787),
(145931, 35788),
(145932, 35789),
(145933, 35790),
(145934, 35791),
(145948, 35852),
(145958, 35802),
(145973, 35850),
(145974, 35806),
(145975, 35807),
(145976, 35808),
(145977, 36079),
(145978, 36080),
(146007, 35811),
(146009, 35818),
(146048, 35815),
(146054, 35817),
(146058, 35819),
(146059, 35820),
(146060, 35821),
(146062, 35823),
(146063, 35824),
(146068, 35833),
(146069, 35832),
(146073, 35836),
(146074, 35837),
(146075, 35838),
(146076, 35840),
(146077, 35841),
(146078, 35944),
(146079, 35843),
(146080, 35844),
(146081, 35845),
(146082, 35846),
(146098, 35853),
(146105, 35858),
(146114, 35859),
(146115, 35861),
(146116, 35860),
(146117, 35862),
(146118, 35864),
(146119, 35866),
(146120, 35865),
(146124, 35867),
(146125, 35868),
(146126, 35869),
(146127, 35870),
(146129, 34596),
(146136, 35871),
(146137, 35872),
(146139, 35875),
(146140, 35876),
(146141, 35877),
(146150, 35878),
(146151, 35879),
(146152, 35880),
(146153, 35881),
(146154, 35882),
(146155, 35883),
(146156, 35884),
(146157, 35885),
(146158, 35886),
(146159, 35887),
(146160, 36040),
(146161, 35893),
(146162, 35890),
(146163, 35891),
(146164, 35892),
(146165, 35894),
(146166, 35895),
(146167, 35896),
(146168, 35897),
(146170, 35898),
(146171, 35899),
(146173, 35901),
(146174, 35902),
(146175, 35903),
(146176, 35904),
(146177, 35905),
(146178, 35908),
(146180, 35909),
(146181, 35910),
(146182, 35911),
(146183, 35912),
(146195, 35913),
(146196, 35914),
(146197, 35915),
(146198, 35916),
(146199, 35917),
(146203, 35918),
(146204, 35920),
(146205, 35921),
(146206, 35922),
(146207, 35923),
(146208, 35924),
(146209, 35925),
(146210, 36074),
(146211, 35927),
(146212, 35928),
(146213, 35929),
(146214, 35930),
(146215, 35931),
(146216, 35932),
(146217, 35933),
(146218, 35937),
(146219, 35938),
(146220, 35939),
(146221, 36070),
(146222, 36780),
(146224, 35942),
(146225, 35943),
(146226, 35945),
(146227, 35947),
(146228, 35948),
(146229, 35949),
(146230, 35950),
(146231, 35951),
(146232, 35952),
(146233, 35953),
(146235, 36554),
(146242, 35955),
(146243, 35956),
(146281, 35957),
(146284, 35958),
(146285, 35959),
(146287, 35960),
(146288, 35961),
(146289, 35962),
(146290, 35963),
(146291, 35966),
(146292, 35965),
(146295, 35967),
(146296, 35968),
(146298, 35969),
(146299, 35970),
(146305, 35971),
(146312, 35972),
(146315, 35973),
(146316, 36048),
(146318, 35976),
(146319, 35978),
(146320, 35979),
(146321, 35980),
(146322, 35981),
(146323, 35982),
(146324, 35983),
(146325, 35992),
(146328, 35993),
(146331, 35994),
(146332, 36104),
(146333, 35988),
(146334, 35991),
(146335, 36105),
(146341, 35995),
(146342, 35996),
(146343, 35997),
(146345, 36093),
(146351, 36092),
(146353, 36002),
(146355, 36004),
(146358, 36006),
(146359, 36026),
(146360, 36013),
(146367, 36020),
(146368, 36021),
(146370, 36023),
(146371, 36024),
(146372, 36025),
(146373, 36027),
(146374, 36028),
(146375, 36145),
(146376, 36031),
(146377, 36146),
(146378, 36033),
(146380, 36034),
(146381, 36035),
(146382, 36036),
(146384, 36037),
(146385, 36039),
(146386, 36041),
(146387, 36045),
(146388, 36232),
(146393, 36051),
(146395, 36057),
(146407, 36086),
(146408, 36151),
(146409, 36198),
(146410, 36267),
(146418, 36068),
(146442, 36063),
(146451, 36062),
(146454, 36064),
(146455, 36065),
(146456, 36066),
(146464, 36069),
(146468, 36071),
(146476, 36073),
(146477, 36072),
(146507, 36076),
(146508, 36081),
(146512, 36077),
(146514, 36078),
(146524, 36082),
(146525, 36083),
(146526, 36084),
(146527, 36137),
(146559, 36377),
(146560, 36088),
(146579, 36094),
(146580, 36095),
(146581, 36096),
(146582, 36097),
(146593, 36098),
(146594, 36099),
(146595, 36100),
(146599, 36101),
(146605, 36108),
(146660, 36109),
(146661, 36110),
(146662, 36111),
(146663, 36112),
(146664, 36113),
(146666, 36114),
(146667, 36120),
(146668, 36116),
(146669, 36118),
(146670, 36119),
(146671, 36121),
(146676, 36122),
(146677, 36123),
(146678, 36124),
(146679, 36125),
(146684, 36126),
(146685, 36127),
(146691, 36128),
(146692, 36129),
(146693, 36130),
(146694, 36134),
(146695, 36132),
(146766, 36136),
(146776, 36138),
(146777, 36141),
(146778, 36140),
(146779, 36142),
(146781, 36143),
(146783, 36147),
(146784, 36144),
(146804, 36149),
(146810, 36150),
(146813, 36196),
(146819, 36153),
(146820, 36154),
(146859, 36390),
(146869, 36159),
(146874, 36438),
(146877, 36161),
(146878, 36162),
(146879, 36163),
(146880, 36164),
(146881, 36165),
(146882, 36166),
(146885, 36169),
(146886, 36170),
(146903, 36175),
(146907, 36180),
(146909, 36177),
(146911, 36178),
(146912, 36179),
(146914, 36181),
(146915, 36182),
(146916, 36183),
(146920, 36185),
(146921, 36186),
(146924, 36187),
(146925, 36188),
(146926, 36189),
(146927, 36194),
(146928, 36193),
(146929, 36192),
(146930, 36191),
(146931, 36190),
(146997, 36195),
(147000, 36197),
(147016, 36199),
(147017, 36317),
(147018, 36318),
(147019, 36319),
(147020, 36320),
(147021, 36204),
(147022, 36234),
(147023, 36207),
(147027, 36236),
(147035, 36210),
(147036, 36212),
(147037, 36276),
(147040, 36214),
(147056, 36223),
(147064, 36218),
(147065, 36219),
(147066, 36220),
(147067, 36222),
(147070, 36231),
(147071, 36225),
(147075, 36233),
(147112, 36237),
(147124, 36238),
(147139, 36239),
(147140, 36240),
(147145, 36243),
(147146, 36244),
(147154, 36245),
(147155, 36246),
(147157, 36250),
(147162, 36253),
(147163, 36254),
(147164, 36255),
(147294, 36256),
(147295, 36257),
(147296, 36258),
(147297, 36259),
(147298, 36260),
(147301, 36261),
(147302, 36288),
(147309, 36265),
(147315, 36268),
(147317, 36478),
(147318, 36271),
(147319, 36272),
(147320, 36273),
(147321, 36274),
(147322, 36275),
(147326, 36503),
(147327, 36278),
(147338, 36657),
(147344, 36280),
(147345, 36287),
(147346, 36284),
(147353, 36285),
(147354, 36484),
(147360, 36286),
(147365, 36371),
(147382, 36290),
(147390, 36292),
(147391, 36293),
(147392, 36296),
(147393, 36295),
(147394, 36297),
(147395, 36298),
(147396, 36299),
(147397, 36301),
(147398, 36302),
(147399, 36303),
(147400, 36304),
(147405, 36306),
(147406, 36307),
(147407, 36308),
(147412, 36309),
(147415, 36310),
(147417, 36311),
(147418, 36312),
(147419, 36313),
(147420, 36314),
(147421, 36315),
(147422, 36324),
(147425, 36432),
(147426, 36433),
(147446, 36325),
(147448, 36326),
(147449, 37291),
(147450, 36329),
(147451, 37292),
(147452, 36331),
(147486, 36332),
(147487, 36333),
(147488, 36490),
(147489, 36337),
(147490, 36336),
(147492, 36338),
(147494, 36559),
(147496, 36341),
(147497, 36340),
(147673, 36342),
(147674, 36343),
(147675, 36344),
(147676, 36345),
(147677, 36346),
(147682, 36347),
(147683, 36348),
(147684, 36350),
(147685, 36351),
(147686, 36352),
(147692, 36365),
(147693, 36374),
(147694, 36372),
(147695, 36487),
(147696, 36366),
(147697, 36529),
(147698, 36367),
(147772, 36361),
(147852, 36369),
(147854, 36368),
(147857, 36370),
(147858, 36645),
(147859, 36378),
(147860, 36379),
(147861, 36380),
(147862, 36381),
(147865, 36383),
(147867, 36384),
(147869, 36385),
(147870, 36387),
(147871, 36388),
(147872, 36470),
(147886, 36391),
(147887, 36392),
(147888, 36393),
(147889, 36394),
(147890, 36395),
(147891, 36396),
(147898, 36399),
(147901, 36403),
(147904, 36407),
(147921, 36409),
(147922, 36410),
(147923, 36411),
(147924, 36412),
(147928, 36414),
(147929, 36415),
(147930, 36416),
(147931, 36417),
(147932, 36418),
(147933, 36419),
(147934, 36421),
(147938, 36429),
(147939, 36428),
(147940, 36427),
(147954, 36521),
(147972, 36436),
(147978, 36437),
(147993, 36439),
(147994, 36440),
(147995, 36441),
(147996, 36442),
(147997, 36443),
(147998, 36444),
(147999, 36445),
(148000, 36446),
(148001, 36447),
(148002, 36448),
(148003, 36449),
(148004, 36450),
(148005, 36451),
(148006, 36452),
(148007, 36453),
(148008, 36454),
(148009, 36455),
(148010, 36456),
(148011, 36457),
(148016, 36970),
(148017, 36464),
(148018, 36459),
(148028, 36467),
(148029, 36468),
(148030, 36466),
(148031, 36465),
(148034, 36462),
(148059, 36469),
(148116, 36476),
(148126, 36480),
(148134, 36481),
(148218, 36485),
(148220, 36483),
(148222, 36486),
(148246, 36491),
(148259, 36492),
(148325, 36493),
(148343, 36497),
(148346, 36498),
(148347, 36660),
(148348, 36500),
(148363, 36504),
(148365, 36505),
(148366, 36506),
(148367, 36507),
(148372, 36512),
(148373, 36513),
(148374, 36514),
(148375, 36515),
(148376, 36516),
(148377, 36517),
(148378, 36518),
(148379, 36520),
(148380, 36522),
(148381, 36523),
(148382, 36524),
(148383, 36525),
(148389, 36654),
(148390, 36653),
(148393, 36530),
(148396, 36531),
(148410, 36546),
(148412, 36774),
(148413, 36775),
(148415, 36556),
(148416, 36555),
(148417, 36557),
(148418, 36558),
(148434, 36641),
(148436, 36642),
(148452, 36646),
(148470, 36647),
(148473, 36649),
(148500, 36650),
(148501, 36651),
(148506, 36728),
(148510, 36718),
(148515, 36737),
(148524, 36661),
(148525, 36662),
(148526, 36663),
(148528, 36665),
(148529, 36667),
(148530, 36676),
(148531, 36668),
(148533, 36669),
(148534, 36670),
(148535, 36671),
(148536, 36675),
(148537, 36674),
(148538, 36677),
(148539, 36678),
(148540, 36679),
(148541, 36680),
(148544, 36681),
(148545, 36682),
(148570, 36684),
(148571, 36687),
(148573, 36690),
(148574, 36689),
(148578, 36691),
(148581, 36692),
(148582, 36693),
(148583, 36694),
(148584, 36695),
(148585, 36696),
(148586, 36697),
(148587, 36698),
(148588, 36699),
(148589, 36700),
(148590, 36701),
(148591, 36702),
(148592, 36704),
(148593, 36705),
(148594, 36711),
(148595, 36712),
(148596, 36713),
(148599, 36714),
(148601, 36716),
(148602, 36717),
(148607, 36777),
(148608, 36778),
(148641, 36729),
(148655, 36733),
(148656, 36734),
(148657, 36735),
(148658, 36736),
(148673, 36863),
(148674, 36865),
(148675, 36864),
(148676, 36912),
(148682, 36843),
(148683, 36840),
(148704, 36841),
(148709, 36842),
(148712, 36850),
(148713, 36851),
(148735, 36828),
(148737, 36754),
(148738, 36755),
(148741, 36757),
(148742, 36758),
(148743, 36759),
(148744, 36760),
(148745, 36761),
(148748, 36762),
(148799, 36764),
(148821, 36767),
(148822, 36768),
(148823, 36769),
(148842, 36772),
(148852, 36811),
(148901, 36787),
(148908, 36790),
(148915, 36789),
(148919, 36791),
(148920, 36792),
(148950, 36795),
(148963, 36796),
(148965, 36797),
(148970, 36798),
(148971, 36799),
(148972, 36800),
(148976, 36803),
(148977, 36804),
(148978, 36805),
(148995, 36806),
(148996, 36807),
(148997, 36808),
(148998, 36809),
(149001, 36810),
(149009, 36821),
(149012, 36825),
(149013, 36826),
(149029, 36845),
(149030, 36866),
(149053, 36859),
(149055, 36860),
(149056, 36861),
(149057, 36862),
(149088, 36907),
(149089, 36869),
(149090, 36870),
(149122, 36871),
(149124, 36873),
(149126, 36875),
(149130, 36876),
(149131, 36877),
(149132, 36878),
(149134, 36879),
(149135, 36880),
(149141, 36881),
(149142, 36882),
(149143, 36883),
(149153, 36884),
(149159, 36910),
(149160, 36887),
(149170, 36889),
(149182, 36895),
(149183, 36893),
(149202, 36908),
(149219, 36956),
(149230, 36963),
(149340, 37620),
(149341, 37112),
(149342, 36915),
(149349, 36917),
(149350, 37309),
(149351, 37310),
(149352, 37311),
(149353, 37312),
(149387, 37588),
(149388, 37589),
(149389, 37590),
(149390, 37591),
(149391, 36926),
(149392, 36927),
(149393, 36928),
(149394, 36929),
(149396, 36931),
(149397, 36932),
(149399, 37222),
(149400, 37225),
(149457, 36937),
(149464, 36938),
(149467, 36939),
(149468, 36940),
(149473, 36943),
(149476, 36942),
(149477, 36944),
(149481, 36946),
(149482, 36947),
(149483, 36948),
(149486, 36950),
(149490, 36951),
(149495, 36954),
(149496, 36955),
(149497, 36957),
(149498, 36958),
(149500, 36959),
(149501, 36960),
(149502, 36962),
(149513, 36964),
(149514, 36965),
(149515, 36967),
(149517, 36971),
(149518, 36972),
(149519, 36973),
(149520, 36974),
(149521, 36975),
(149522, 36976),
(149523, 36977),
(149524, 36978),
(149525, 36979),
(149526, 36980),
(149527, 36981),
(149538, 36984),
(149550, 36985),
(149551, 36986),
(149552, 36987),
(149555, 37081),
(149556, 37389),
(149557, 37124),
(149558, 37125),
(149559, 37091),
(149560, 37126),
(149561, 38006),
(149562, 38007),
(149563, 38008),
(149564, 37492),
(149565, 37493),
(149566, 37494),
(149567, 37495),
(149568, 37496),
(149569, 37497),
(149570, 37085),
(149571, 37105),
(149572, 37345),
(149573, 37736),
(149577, 37084),
(149579, 37167),
(149580, 37252),
(149581, 37585),
(149582, 37322),
(149584, 37227),
(149585, 37231),
(149586, 37235),
(149588, 37020),
(149589, 37021),
(149590, 37022),
(149591, 37023),
(149592, 37024),
(149593, 37025),
(149594, 37026),
(149596, 37028),
(149597, 37587),
(149598, 37583),
(149599, 37582),
(149601, 37581),
(149602, 38058),
(149603, 38057),
(149604, 38056),
(149605, 38055),
(149606, 37323),
(149607, 37324),
(149608, 37326),
(149609, 37325),
(149610, 37327),
(149614, 37296),
(149615, 37286),
(149616, 37307),
(149617, 37288),
(149618, 37320),
(149620, 37388),
(149621, 37518),
(149622, 37575),
(149624, 37238),
(149625, 37247),
(149626, 37251),
(149627, 37262),
(149628, 37261),
(149629, 37242),
(149630, 37264),
(149631, 37266),
(149632, 37269),
(149633, 37328),
(149635, 37730),
(149636, 37275),
(149637, 37300),
(149638, 37304),
(149639, 37306),
(149640, 37482),
(149641, 37234),
(149642, 37248),
(149643, 37250),
(149644, 37254),
(149645, 37725),
(149665, 37078),
(149677, 37079),
(149678, 37171),
(149685, 37329),
(149686, 37330),
(149687, 37331),
(149688, 37332),
(149689, 37093),
(149690, 37097),
(149691, 37158),
(149696, 37099),
(149702, 37101),
(149704, 37103),
(149739, 37487),
(149909, 37106),
(149910, 37107),
(149911, 37108),
(149912, 37109),
(149913, 37110),
(149918, 37111),
(149921, 37149),
(149922, 37113),
(149923, 37114),
(149924, 37116),
(149926, 37137),
(149927, 37127),
(149928, 37128),
(149929, 37886),
(149935, 37419),
(149936, 37132),
(149937, 37133),
(149938, 37134),
(149944, 37135),
(149967, 37136),
(149968, 37139),
(149969, 37141),
(149970, 37142),
(149972, 37144),
(149973, 37145),
(149974, 37146),
(149975, 37147),
(149976, 37148),
(149978, 37152),
(149980, 37151),
(149981, 37153),
(149982, 37154),
(149986, 37156),
(149987, 37157),
(149993, 37159),
(149997, 37584),
(149999, 37163),
(150000, 37164),
(150012, 37177),
(150014, 37180),
(150015, 37181),
(150016, 37182),
(150017, 37183),
(150018, 37184),
(150019, 37186),
(150020, 37187),
(150021, 37188),
(150022, 37189),
(150023, 37190),
(150024, 37191),
(150025, 37192),
(150026, 37193),
(150027, 37194),
(150028, 37195),
(150029, 37196),
(150030, 37199),
(150031, 37202),
(150032, 37508),
(150033, 37203),
(150034, 37204),
(150035, 37205),
(150036, 37206),
(150039, 37218),
(150040, 37216),
(150041, 37213),
(150042, 37214),
(150043, 37217),
(150044, 37219),
(150045, 37220),
(150046, 37221),
(150047, 37506),
(150048, 37258),
(150049, 37263),
(150050, 37268),
(150051, 37507),
(150052, 37232),
(150053, 37270),
(150054, 37271),
(150055, 37272),
(150056, 37239),
(150057, 37241),
(150058, 37243),
(150059, 37244),
(150060, 37245),
(150061, 37249),
(150062, 37260),
(150063, 37259),
(150064, 37265),
(150065, 37267),
(150066, 37276),
(150067, 37277),
(150068, 37278),
(150069, 37593),
(150072, 37284),
(150073, 37285),
(150074, 37287),
(150075, 37289),
(150076, 37293),
(150077, 37294),
(150078, 37295),
(150079, 37297),
(150080, 37299),
(150081, 37301),
(150082, 37302),
(150083, 37420),
(150088, 37766),
(150089, 37313),
(150090, 37314),
(150091, 37317),
(150092, 37318),
(150093, 37319),
(150095, 37904),
(150096, 37905),
(150097, 37906),
(150098, 37907),
(150099, 37348),
(150100, 37908),
(150112, 38340),
(150113, 37909),
(150114, 37910),
(150115, 37911),
(150116, 37912),
(150120, 37344),
(150138, 37377),
(150146, 37363),
(150147, 37362),
(150149, 37361),
(150152, 37848),
(150153, 37365),
(150154, 37368),
(150155, 37369),
(150157, 37364),
(150158, 37366),
(150159, 37373),
(150160, 37372),
(150161, 38243),
(150162, 37375),
(150163, 37376),
(150174, 37380),
(150175, 37381),
(150176, 37382),
(150177, 37383),
(150178, 37384),
(150179, 37385),
(150181, 37386),
(150182, 37387),
(150187, 37391),
(150188, 37392),
(150189, 37393),
(150190, 37394),
(150191, 37395),
(150192, 37396),
(150193, 37397),
(150199, 37399),
(150200, 37400),
(150201, 37401),
(150211, 37404),
(150216, 37405),
(150217, 37406),
(150218, 37408),
(150220, 37409),
(150222, 37410),
(150248, 37418),
(150250, 37416),
(150255, 37417),
(150268, 37421),
(150272, 37450),
(150274, 37452),
(150301, 37449),
(150302, 37451),
(150306, 37501),
(150310, 37454),
(150311, 37458),
(150312, 37456),
(150318, 37457),
(150319, 37459),
(150320, 37460),
(150321, 37461),
(150324, 37462),
(150325, 37463),
(150326, 37464),
(150327, 37465),
(150328, 37466),
(150329, 37467),
(150330, 37468),
(150331, 37469),
(150332, 37470),
(150333, 37471),
(150334, 37472),
(150335, 37473),
(150336, 37474),
(150337, 37475),
(150338, 37476),
(150347, 37477),
(150349, 37479),
(150350, 37480),
(150351, 37509),
(150386, 37484),
(150387, 37485),
(150389, 37486),
(150394, 37488),
(150395, 37489),
(150396, 37491),
(150411, 37498),
(150412, 37499),
(150449, 37503),
(150452, 37505),
(150492, 37511),
(150496, 37512),
(150531, 37513),
(150534, 37516),
(150538, 37515),
(150555, 37517),
(150559, 37519),
(150560, 37521),
(150561, 37522),
(150562, 37523),
(150564, 37525),
(150568, 37526),
(150574, 37527),
(150575, 37528),
(150576, 37529),
(150595, 37632),
(150596, 37532),
(150599, 37631),
(150600, 37537),
(150602, 37534),
(150604, 37711),
(150608, 37860),
(150612, 37741),
(150616, 37546),
(150617, 37574),
(150618, 37734),
(150619, 37735),
(150620, 37550),
(150622, 37551),
(150623, 37552),
(150624, 37553),
(150625, 37554),
(150630, 37555),
(150631, 37556),
(150632, 37557),
(150633, 37558),
(150634, 37559),
(150635, 37560),
(150641, 37562),
(150653, 37601),
(150659, 37566),
(150662, 37568),
(150663, 37569),
(150785, 37571),
(150794, 37573),
(150796, 38054),
(150811, 37597),
(150851, 37592),
(150892, 40826),
(150897, 38897),
(150900, 37599),
(150910, 37920),
(150911, 37604),
(150918, 37605),
(150919, 37611),
(150920, 37887),
(150921, 37888),
(150922, 37609),
(150923, 37889),
(150930, 37615),
(150931, 37617),
(150932, 37618),
(150933, 37619),
(150934, 37621),
(150935, 37747),
(150936, 37748),
(150938, 37624),
(150939, 37628),
(150940, 37629),
(150947, 37637),
(150948, 37635),
(150949, 37638),
(150950, 37639),
(150951, 37642),
(151415, 37643),
(151416, 37644),
(151417, 37646),
(151420, 37647),
(151421, 37648),
(151422, 37649),
(151424, 37650),
(151426, 37651),
(151427, 37661),
(151430, 37655),
(151431, 37656),
(151435, 37657),
(151437, 37658),
(151445, 37659),
(151446, 37665),
(151450, 37662),
(151453, 37663),
(151458, 37667),
(151459, 37668),
(151462, 37670),
(151463, 37671),
(151467, 37672),
(151468, 37673),
(151469, 37674),
(151470, 37675),
(151471, 37676),
(151472, 37677),
(151473, 37678),
(151475, 37682),
(151477, 37685),
(151495, 37686),
(151496, 37687),
(151497, 37688),
(151498, 37689),
(151499, 38036),
(151500, 38037),
(151501, 37690),
(151502, 37691),
(151505, 37692),
(151506, 37693),
(151507, 39077),
(151508, 37694),
(151509, 37698),
(151510, 37696),
(151511, 37700),
(151512, 37699),
(151515, 39078),
(151528, 37703),
(151531, 38563),
(151533, 37704),
(151536, 37707),
(151537, 37708),
(151538, 37709),
(151553, 37712),
(151554, 37713),
(151555, 37714),
(151556, 37715),
(151557, 37716),
(151558, 37717),
(151560, 37719),
(151561, 37720),
(151562, 37721),
(151563, 37722),
(151566, 37723),
(151568, 37724),
(151572, 37727),
(151573, 37728),
(151575, 37729),
(151577, 37732),
(151591, 37733),
(151605, 37744),
(151606, 37738),
(151607, 37834),
(151609, 37743),
(151610, 37745),
(151611, 37746),
(151613, 37749),
(151614, 37750),
(151615, 37751),
(151616, 37752),
(151617, 37753),
(151618, 37754),
(151619, 37756),
(151620, 37758),
(151622, 37760),
(151623, 37761),
(151624, 37762),
(151625, 37763),
(151626, 37764),
(151628, 37869),
(151629, 37767),
(151630, 37768),
(151631, 37769),
(151632, 38282),
(151633, 38283),
(151634, 37772),
(151635, 37773),
(151637, 37774),
(151638, 37781),
(151639, 37789),
(151640, 37783),
(151641, 37786),
(151642, 38225),
(151643, 37780),
(151644, 37788),
(151645, 37785),
(151646, 37790),
(151647, 37791),
(151648, 37792),
(151649, 37793),
(151650, 37794),
(151652, 37795),
(151657, 37796),
(151658, 37797),
(151670, 37798),
(151671, 37799),
(151672, 37800),
(151673, 37801),
(151674, 37802),
(151676, 37804),
(151677, 37805),
(151680, 37806),
(151681, 37807),
(151683, 37808),
(151687, 37813),
(151688, 37810),
(151689, 37821),
(151690, 38369),
(151691, 37814),
(151692, 37815),
(151693, 37816),
(151694, 37822),
(151695, 37818),
(151696, 37820),
(151699, 37823),
(151700, 37824),
(151708, 37832),
(151710, 37833),
(151713, 37837),
(151714, 37847),
(151717, 37845),
(151718, 37844),
(151723, 37842),
(151726, 37843),
(151738, 37849),
(151739, 37850),
(151740, 37851),
(151741, 37852),
(151742, 37853),
(151743, 37854),
(151744, 37855),
(151745, 37856),
(151746, 37857),
(151747, 38027),
(151748, 37859),
(151749, 37986),
(151750, 37862),
(151751, 37864),
(151752, 37865),
(151758, 37868),
(151759, 37951),
(151760, 37870),
(151779, 37871),
(151782, 37872),
(151792, 37873),
(151793, 37874),
(151794, 37875),
(151795, 37876),
(151796, 37877),
(151803, 37878),
(151811, 37880),
(151812, 37881),
(151813, 37882),
(151814, 37883),
(151815, 37884),
(151816, 37885),
(151829, 37890),
(151832, 37894),
(151835, 37892),
(151837, 37893),
(151842, 37895),
(151844, 37896),
(151845, 37897),
(151852, 37898),
(151853, 37899),
(151873, 37914),
(151877, 37915),
(151878, 38015),
(151880, 38045),
(151881, 37917),
(151882, 37918),
(151883, 37919),
(151884, 37921),
(151885, 37922),
(151886, 37938),
(151887, 37924),
(151888, 37925),
(151889, 37928),
(151890, 37929),
(151891, 37930),
(151892, 37931),
(151894, 37935),
(151896, 37934),
(151899, 37936),
(151900, 37937),
(151901, 37939),
(151902, 37940),
(151904, 37941),
(151905, 37942),
(151906, 37943),
(151907, 37944),
(151926, 37952),
(151935, 37950),
(151940, 37977),
(151941, 37953),
(151942, 37954),
(151943, 37955),
(151944, 37956),
(151947, 38093),
(151948, 38535),
(151949, 38536),
(151950, 38226),
(151951, 38227),
(151952, 38228),
(151953, 38229),
(151971, 38005),
(151972, 37966),
(151973, 37967),
(151975, 37975),
(151977, 37992),
(151982, 37968),
(151983, 37969),
(151989, 37970),
(151990, 37971),
(151999, 37973),
(152001, 38010),
(152008, 37978),
(152009, 37980),
(152010, 37981),
(152011, 37982),
(152012, 37983),
(152013, 37984),
(152014, 37985),
(152015, 37987),
(152016, 37988),
(152017, 37989),
(152018, 37990),
(152019, 37991),
(152020, 37993),
(152021, 37994),
(152022, 37995),
(152023, 37996),
(152024, 37997),
(152025, 37998),
(152026, 37999),
(152031, 38000),
(152042, 38001),
(152043, 38002),
(152069, 38003),
(152086, 38011),
(152106, 38013),
(152112, 38014),
(152113, 38016),
(152130, 38017),
(152143, 38018),
(152149, 38019),
(152151, 38020),
(152162, 38025),
(152163, 38023),
(152164, 38026),
(152178, 38029),
(152179, 38064),
(152180, 38297),
(152183, 38298),
(152184, 38300),
(152185, 38301),
(152186, 38303),
(152199, 38173),
(152209, 38172),
(152210, 38041),
(152213, 38042),
(152214, 38043),
(152219, 38046),
(152223, 38047),
(152224, 38081),
(152225, 38049),
(152232, 38050),
(152237, 38052),
(152238, 38051),
(152268, 41008),
(152269, 41009),
(152271, 39677),
(152275, 39680),
(152278, 41626),
(152396, 38060),
(152397, 38061),
(152398, 38062),
(152404, 38080),
(152430, 40827),
(152431, 38066),
(152432, 38179),
(152433, 38068),
(152499, 38069),
(152520, 38070),
(152533, 38158),
(152539, 38072),
(152540, 38121),
(152541, 38904),
(152550, 38076),
(152551, 38426),
(152552, 38427),
(152557, 38082),
(152558, 38084),
(152559, 38085),
(152560, 38086),
(152561, 38092),
(152562, 38091),
(152563, 38088),
(152564, 38533),
(152565, 38534),
(152571, 38105),
(152574, 38161),
(152583, 38205),
(152584, 38200),
(152590, 38104),
(152601, 38184),
(152602, 38108),
(152603, 38109),
(152604, 38110),
(152605, 38111),
(152606, 38112),
(152607, 38113),
(152619, 38114),
(152620, 38115),
(152623, 38117),
(152637, 38118),
(152640, 38119),
(152666, 38122),
(152671, 38413),
(152672, 38416),
(152673, 38414),
(152675, 38418),
(152676, 38421),
(152678, 38423),
(152686, 38129),
(152687, 38130),
(152688, 38180),
(152692, 38132),
(152694, 38191),
(152727, 38134),
(152749, 38135),
(152750, 38136),
(152751, 38137),
(152779, 38138),
(152780, 38139),
(152786, 38140),
(152791, 38143),
(152792, 38142),
(152809, 38145),
(152810, 38146),
(152811, 38147),
(152812, 38148),
(152813, 38149),
(152814, 38194),
(152815, 38346),
(152828, 38153),
(152829, 38154),
(152834, 38155),
(152836, 38156),
(152857, 38157),
(152863, 38159),
(152876, 38165),
(152879, 38162),
(152880, 38163),
(152881, 38182),
(152882, 38164),
(152905, 39030),
(152908, 39061),
(152911, 38171),
(152912, 39062),
(152915, 39034),
(152916, 38174),
(152920, 39036),
(152925, 38169),
(152926, 39035),
(152927, 39032),
(152929, 39069),
(152930, 39080),
(152931, 39082),
(152937, 38175),
(152940, 38178),
(152941, 39081),
(152942, 38177),
(152978, 38446),
(152979, 38201),
(152980, 38186),
(152981, 38188),
(152982, 38189),
(152984, 38190),
(152989, 38192),
(153003, 39949),
(153004, 39948),
(153013, 38209),
(153015, 38206),
(153016, 38456),
(153017, 38210),
(153018, 38211),
(153019, 38212),
(153021, 38214),
(153022, 38215),
(153023, 38216),
(153026, 38217),
(153028, 38218),
(153030, 38219),
(153031, 38220),
(153032, 38221),
(153033, 38222),
(153034, 38223),
(153035, 38224),
(153036, 38230),
(153037, 38231),
(153038, 38234),
(153039, 38233),
(153040, 38256),
(153041, 38236),
(153042, 38238),
(153044, 38239),
(153045, 38241),
(153048, 38899),
(153049, 38248),
(153050, 38247),
(153051, 38249),
(153052, 38250),
(153053, 38251),
(153054, 38253),
(153055, 38254),
(153056, 38255),
(153059, 38259),
(153060, 38258),
(153062, 38260),
(153063, 38261),
(153065, 38262),
(153066, 38263),
(153068, 38264),
(153069, 38265),
(153070, 38266),
(153071, 38267),
(153072, 38268),
(153073, 38269),
(153074, 38270),
(153075, 38271),
(153076, 38272),
(153077, 38273),
(153088, 38274),
(153089, 38289),
(153090, 38364),
(153091, 40828),
(153092, 38515),
(153093, 38284),
(153094, 38285),
(153095, 38286),
(153096, 38646),
(153097, 38648),
(153099, 38290),
(153100, 38292),
(153101, 38293),
(153102, 38294),
(153103, 38295),
(153104, 38296),
(153106, 38313),
(153107, 38307),
(153108, 38306),
(153112, 38311),
(153113, 38310),
(153114, 38312),
(153115, 38314),
(153116, 38315),
(153118, 38316),
(153119, 38317),
(153120, 38318),
(153121, 38325),
(153122, 38324),
(153123, 38328),
(153124, 38329),
(153125, 38323),
(153127, 38326),
(153128, 38430),
(153130, 38341),
(153131, 38332),
(153132, 38333),
(153133, 38337),
(153134, 38335),
(153135, 38336),
(153136, 38338),
(153137, 38339),
(153146, 38342),
(153147, 38343),
(153150, 38439),
(153151, 38345),
(153154, 38347),
(153172, 38348),
(153175, 38350),
(153179, 38353),
(153180, 38354),
(153181, 38355),
(153182, 38356),
(153183, 38357),
(153184, 38358),
(153187, 38359),
(153188, 38360),
(153189, 38361),
(153190, 38362),
(153191, 38363),
(153193, 38420),
(153194, 38425),
(153196, 38367),
(153198, 38368),
(153200, 38370),
(153201, 38371),
(153202, 38372),
(153203, 40083),
(153204, 40084),
(153205, 40077),
(153206, 40078),
(153207, 40080),
(153208, 40081),
(153209, 40082),
(153210, 40059),
(153211, 40061),
(153212, 40057),
(153213, 40056),
(153214, 40060),
(153215, 40063),
(153216, 40065),
(153217, 40075),
(153218, 40073),
(153220, 38390),
(153221, 38391),
(153222, 38503),
(153223, 38504),
(153224, 38505),
(153227, 38431),
(153228, 38432),
(153230, 38433),
(153231, 38434),
(153234, 38428),
(153235, 38429),
(153244, 38401),
(153245, 38402),
(153247, 38403),
(153266, 38404),
(153267, 38405),
(153268, 38406),
(153269, 38407),
(153270, 38408),
(153271, 38409),
(153272, 38410),
(153273, 38412),
(153274, 38422),
(153275, 38424),
(153292, 38788),
(153293, 38436),
(153294, 38437),
(153297, 38438),
(153342, 38480),
(153346, 38441),
(153350, 38442),
(153351, 38443),
(153352, 38444),
(153353, 38445),
(153354, 38447),
(153355, 38448),
(153356, 38449),
(153357, 38450),
(153358, 38451),
(153359, 38452),
(153360, 38453),
(153361, 38454),
(153363, 38469),
(153367, 38457),
(153370, 38460),
(153372, 38461),
(153373, 38462),
(153374, 38465),
(153376, 38464),
(153380, 38467),
(153385, 38468),
(153386, 38470),
(153387, 38471),
(153399, 38473),
(153401, 38474),
(153404, 38931),
(153410, 38477),
(153412, 38475),
(153413, 38478),
(153419, 38479),
(153421, 38484),
(153424, 38485),
(153425, 38486),
(153426, 38488),
(153427, 38489),
(153431, 38490),
(153432, 38491),
(153437, 38492),
(153438, 38493),
(153439, 38494),
(153440, 38495),
(153441, 38496),
(153442, 38497),
(153443, 38498),
(153458, 38499),
(153484, 38589),
(153488, 40087),
(153502, 38502),
(153515, 38567),
(153516, 38568),
(153524, 38531),
(153525, 38736),
(153527, 38739),
(153528, 38740),
(153529, 38742),
(153530, 38744),
(153531, 38594),
(153541, 38516),
(153543, 38517),
(153546, 38523),
(153547, 38522),
(153565, 38598),
(153566, 38588),
(153567, 38618),
(153568, 38773),
(153569, 38530),
(153570, 38537),
(153571, 38831),
(153572, 38836),
(153573, 38835),
(153574, 38834),
(153575, 38546),
(153577, 38547),
(153587, 38548),
(153588, 38550),
(153589, 38551),
(153603, 38553),
(153604, 38554),
(153605, 38555),
(153606, 38556),
(153607, 38557),
(153608, 38558),
(153609, 38559),
(153610, 38560),
(153611, 38561),
(153612, 38562),
(153625, 38569),
(153626, 38570),
(153628, 38572),
(153631, 38613),
(153632, 38596),
(153633, 38595),
(153644, 39443),
(153646, 38579),
(153647, 38576),
(153648, 38578),
(153651, 38609),
(153652, 38583),
(153682, 38584),
(153683, 38585),
(153684, 38591),
(153706, 38590),
(153707, 38673),
(153738, 38600),
(153751, 38602),
(153766, 38622),
(153767, 38670),
(153768, 38606),
(153772, 38607),
(153773, 38608),
(153774, 38610),
(153778, 38612),
(153780, 38614),
(153803, 38615),
(153805, 38616),
(153810, 38617),
(153811, 38619),
(153815, 38620),
(153830, 38624),
(153841, 38626),
(153842, 38627),
(153843, 38628),
(153847, 39440),
(153848, 38885),
(153854, 38631),
(153862, 38633),
(153863, 38634),
(153867, 38635),
(153874, 38636),
(153876, 38637),
(153877, 38638),
(153878, 38639),
(153879, 38640),
(153890, 38642),
(153891, 38644),
(153892, 38645),
(153894, 38649),
(153898, 38650),
(153899, 38651),
(153900, 38652),
(153901, 38653),
(153902, 38654),
(153903, 38655),
(153904, 38656),
(153905, 39333),
(153906, 39334),
(153907, 38661),
(153908, 38660),
(153909, 38659),
(153925, 38706),
(153926, 38664),
(153930, 38665),
(153933, 38666),
(153934, 38668),
(153946, 38671),
(153947, 38672),
(153948, 38674),
(153949, 38675),
(153950, 38676),
(153951, 38677),
(153952, 38678),
(153953, 38679),
(153954, 38855),
(153955, 38681),
(153956, 38692),
(153958, 38684),
(153959, 38685),
(153961, 38686),
(153963, 38687),
(153965, 38688),
(153966, 38689),
(153967, 38690),
(153968, 38691),
(153969, 38693),
(153970, 38694),
(153977, 38695),
(154003, 38696),
(154006, 38697),
(154011, 38709),
(154012, 38712),
(154013, 38720),
(154014, 38708),
(154015, 38725),
(154016, 38732),
(154017, 38735),
(154018, 38705),
(154020, 38707),
(154026, 39950),
(154027, 38711),
(154028, 38714),
(154029, 38715),
(154030, 38716),
(154031, 38717),
(154032, 38718),
(154033, 38719),
(154034, 38721),
(154035, 38722),
(154036, 38723),
(154037, 38724),
(154038, 38726),
(154039, 39409),
(154040, 38728),
(154041, 38729),
(154042, 38733),
(154043, 38734),
(154044, 38737),
(154045, 38738),
(154046, 38741),
(154047, 38743),
(154048, 38745),
(154049, 38746),
(154050, 38747),
(154051, 38748),
(154052, 38749),
(154058, 39441),
(154059, 38754),
(154060, 38755),
(154063, 38756),
(154074, 38757),
(154075, 38759),
(154076, 38761),
(154077, 38762),
(154080, 38783),
(154081, 38764),
(154082, 38781),
(154084, 38767),
(154085, 38768),
(154086, 38769),
(154087, 38770),
(154088, 38771),
(154089, 38775),
(154090, 38777),
(154092, 38780),
(154097, 38778),
(154099, 38779),
(154103, 39515),
(154104, 38785),
(154105, 38786),
(154106, 38787),
(154107, 38808),
(154112, 38790),
(154114, 38791),
(154115, 38792),
(154117, 38793),
(154121, 38927),
(154122, 38928),
(154124, 38920),
(154125, 38799),
(154128, 38802),
(154132, 38803),
(154135, 38804),
(154136, 38843),
(154137, 38807),
(154148, 38812),
(154149, 38820),
(154150, 38814),
(154152, 38816),
(154154, 38818),
(154163, 38823),
(154164, 38824),
(154166, 38825),
(154167, 38826),
(154168, 38827),
(154169, 38828),
(154170, 38829),
(154171, 38830),
(154172, 38880),
(154212, 38838),
(154233, 38840),
(154234, 38842),
(154235, 38844),
(154236, 40829),
(154237, 38848),
(154238, 38849),
(154240, 38850),
(154241, 38851),
(154242, 38852),
(154243, 38853),
(154244, 38854),
(154252, 38856),
(154253, 38863),
(154254, 38859),
(154255, 38860),
(154256, 38862),
(154257, 38864),
(154259, 38944),
(154260, 38866),
(154262, 38867),
(154263, 38868),
(154264, 38869),
(154265, 38870),
(154281, 38871),
(154282, 38873),
(154287, 39216),
(154288, 39214),
(154289, 39215),
(154290, 39210),
(154291, 39517),
(154294, 38879),
(154307, 39088),
(154308, 38886),
(154311, 38881),
(154313, 38884),
(154319, 38887),
(154329, 41627),
(154331, 38889),
(154334, 38890),
(154365, 38982),
(154366, 38983),
(154369, 38984),
(154376, 38930),
(154433, 38900),
(154442, 38933),
(154443, 38905),
(154444, 38909);
INSERT INTO `codev_timetrack_note_table` (`timetrackid`, `noteid`) VALUES
(154445, 38910),
(154446, 38912),
(154447, 38914),
(154448, 38915),
(154449, 37160),
(154458, 38929),
(154459, 38922),
(154460, 38923),
(154462, 38924),
(154472, 38932),
(154486, 38934),
(154503, 38937),
(154531, 38938),
(154546, 38940),
(154551, 39442),
(154553, 38942),
(154554, 38943),
(154558, 38945),
(154566, 38946),
(154567, 38947),
(154633, 38948),
(154644, 38950),
(154652, 38951),
(154662, 38952),
(154663, 38954),
(154665, 38955),
(154666, 38956),
(154675, 38961),
(154679, 36953),
(154680, 39009),
(154685, 38963),
(154686, 38964),
(154689, 39020),
(154692, 39019),
(154698, 38965),
(154703, 38966),
(154704, 38968),
(154710, 38969),
(154711, 38970),
(154712, 38971),
(154713, 38972),
(154715, 38973),
(154718, 38974),
(154721, 38975),
(154722, 38976),
(154723, 38977),
(154724, 38978),
(154725, 39047),
(154727, 39040),
(154740, 39424),
(154741, 39421),
(154745, 38992),
(154752, 39284),
(154753, 39286),
(154754, 39472),
(154757, 38999),
(154758, 39023),
(154759, 39002),
(154767, 39003),
(154781, 39004),
(154782, 39005),
(154783, 39006),
(154784, 39007),
(154798, 39272),
(154801, 39010),
(154802, 39011),
(154803, 39012),
(154804, 39013),
(154805, 39014),
(154806, 39015),
(154812, 39016),
(154813, 39045),
(154822, 39024),
(154823, 39025),
(154831, 39033),
(154841, 39042),
(154842, 39038),
(154843, 39039),
(154847, 39041),
(154850, 39043),
(154857, 39044),
(154859, 39046),
(154862, 39049),
(154863, 39050),
(154864, 39051),
(154865, 39143),
(154866, 39549),
(154868, 39548),
(154873, 39059),
(154881, 39108),
(154894, 39093),
(154897, 39068),
(154901, 39090),
(154902, 39067),
(154910, 39079),
(154911, 39070),
(154921, 39071),
(154924, 39073),
(154925, 39075),
(154988, 39083),
(154990, 39084),
(154992, 39085),
(155030, 39092),
(155031, 39094),
(155032, 39095),
(155033, 39096),
(155034, 39956),
(155040, 39099),
(155045, 39944),
(155055, 39100),
(155093, 39102),
(155096, 39103),
(155097, 39104),
(155098, 39105),
(155099, 39106),
(155100, 39107),
(155102, 39176),
(155103, 39109),
(155104, 39110),
(155115, 39111),
(155119, 39123),
(155134, 39434),
(155135, 39435),
(155150, 39128),
(155151, 39116),
(155152, 39117),
(155153, 39118),
(155173, 39119),
(155175, 39433),
(155184, 39125),
(155190, 39126),
(155191, 39127),
(155200, 39129),
(155203, 39132),
(155204, 39133),
(155205, 39134),
(155206, 39135),
(155208, 39136),
(155211, 39137),
(155212, 39138),
(155213, 39139),
(155214, 39140),
(155215, 39141),
(155216, 39145),
(155217, 39154),
(155218, 39152),
(155219, 39153),
(155220, 39151),
(155221, 39589),
(155222, 39158),
(155223, 39157),
(155224, 39160),
(155225, 39161),
(155232, 39162),
(155233, 39163),
(155234, 39175),
(155235, 39165),
(155237, 39166),
(155238, 39167),
(155241, 39168),
(155242, 39169),
(155243, 39170),
(155244, 39171),
(155245, 39172),
(155246, 39173),
(155247, 39251),
(155248, 39254),
(155249, 39179),
(155250, 39255),
(155251, 39256),
(155252, 39250),
(155253, 39183),
(155254, 39184),
(155255, 39226),
(155256, 39227),
(155257, 39229),
(155258, 39230),
(155259, 39239),
(155260, 39238),
(155261, 39191),
(155262, 39234),
(155263, 39233),
(155265, 39194),
(155266, 39202),
(155267, 39197),
(155268, 39198),
(155269, 39200),
(155270, 39363),
(155271, 39204),
(155272, 39365),
(155273, 39206),
(155274, 39222),
(155275, 39223),
(155276, 39213),
(155283, 39217),
(155284, 39218),
(155285, 39219),
(155286, 39220),
(155287, 39221),
(155288, 39224),
(155289, 39228),
(155290, 39231),
(155292, 39295),
(155293, 39237),
(155294, 39240),
(155296, 39242),
(155297, 39248),
(155298, 39244),
(155299, 39246),
(155300, 39247),
(155301, 39249),
(155302, 39253),
(155303, 39258),
(155304, 39259),
(155305, 39394),
(155306, 39395),
(155314, 39263),
(155315, 39264),
(155316, 39266),
(155317, 39269),
(155318, 39268),
(155319, 39271),
(155320, 39270),
(155321, 39273),
(155322, 39274),
(155323, 39953),
(155324, 39276),
(155325, 39277),
(155326, 39952),
(155327, 39951),
(155328, 39281),
(155329, 39283),
(155330, 39287),
(155331, 39289),
(155332, 39291),
(155333, 39955),
(155334, 39954),
(155335, 39294),
(155336, 39957),
(155337, 39297),
(155338, 39298),
(155339, 39301),
(155341, 39302),
(155342, 39304),
(155460, 39306),
(155461, 39307),
(155462, 39308),
(155463, 39326),
(155464, 39330),
(155465, 39329),
(155466, 39313),
(155467, 39314),
(155468, 39316),
(155469, 39317),
(155470, 39318),
(155471, 39319),
(155472, 39325),
(155473, 39324),
(155479, 39331),
(155482, 39336),
(155483, 39337),
(155484, 39338),
(155485, 39339),
(155486, 39890),
(155487, 39891),
(155488, 39342),
(155489, 39343),
(155490, 39344),
(155491, 39345),
(155492, 39346),
(155493, 39347),
(155494, 39348),
(155495, 39349),
(155496, 39350),
(155497, 39351),
(155498, 39353),
(155499, 39354),
(155502, 39356),
(155504, 39373),
(155505, 39375),
(155506, 39360),
(155507, 39362),
(155509, 39374),
(155510, 39376),
(155512, 39378),
(155513, 39379),
(155514, 39380),
(155516, 39382),
(155517, 39383),
(155518, 39384),
(155519, 39385),
(155520, 39386),
(155521, 39389),
(155523, 39390),
(155524, 39391),
(155525, 39392),
(155526, 39566),
(155527, 39561),
(155529, 39397),
(155532, 40035),
(155546, 39405),
(155566, 39406),
(155569, 39407),
(155571, 39408),
(155575, 40068),
(155577, 40076),
(155578, 40070),
(155579, 40071),
(155580, 40072),
(155581, 40051),
(155604, 39417),
(155605, 39418),
(155606, 39419),
(155607, 39422),
(155609, 39425),
(155611, 39429),
(155615, 39427),
(155616, 40111),
(155623, 41625),
(155638, 39481),
(155643, 39555),
(155650, 39445),
(155651, 39524),
(155655, 39447),
(155657, 39448),
(155658, 39449),
(155659, 39450),
(155663, 39453),
(155664, 39456),
(155670, 39469),
(155699, 39457),
(155700, 39458),
(155701, 39459),
(155702, 39460),
(155703, 39529),
(155704, 39464),
(155706, 39466),
(155708, 39468),
(155717, 39470),
(155718, 39471),
(155720, 39473),
(155721, 39474),
(155722, 39475),
(155723, 39476),
(155724, 39477),
(155725, 39479),
(155726, 39480),
(155729, 39482),
(155742, 39484),
(155743, 39485),
(155744, 39958),
(155746, 39487),
(155747, 39489),
(155748, 39490),
(155749, 39491),
(155750, 39492),
(155751, 39494),
(155778, 40502),
(155779, 40505),
(155780, 40500),
(155781, 40499),
(155787, 39499),
(155788, 40498),
(155790, 39505),
(155792, 39510),
(155793, 39507),
(155794, 39508),
(155795, 39511),
(155808, 39512),
(155810, 39513),
(155811, 39514),
(155824, 39516),
(155825, 39835),
(155826, 39836),
(155827, 39837),
(155828, 40512),
(155829, 40516),
(155830, 39523),
(155832, 39525),
(155833, 39626),
(155834, 39627),
(155841, 39527),
(155842, 39538),
(155843, 39537),
(155844, 40031),
(155845, 40030),
(155846, 40028),
(155847, 40029),
(155848, 39601),
(155855, 39539),
(155858, 39590),
(155862, 39543),
(155881, 39544),
(155892, 39602),
(155906, 39547),
(155915, 39550),
(155925, 39582),
(155945, 39552),
(155948, 39909),
(155957, 39638),
(155958, 39557),
(155962, 39558),
(155964, 39559),
(155965, 39560),
(155966, 39562),
(155967, 39565),
(155968, 39568),
(155976, 39571),
(155977, 39570),
(155979, 39573),
(155987, 39574),
(155991, 39583),
(155992, 39575),
(155993, 39576),
(155994, 39578),
(155997, 39637),
(156000, 39580),
(156001, 39581),
(156004, 39587),
(156009, 39586),
(156012, 39649),
(156014, 39591),
(156015, 39778),
(156018, 39708),
(156019, 39597),
(156021, 39624),
(156022, 39598),
(156023, 39599),
(156024, 39600),
(156025, 39604),
(156026, 39703),
(156027, 39606),
(156028, 39607),
(156033, 39630),
(156034, 39610),
(156035, 39611),
(156036, 39612),
(156037, 39613),
(156038, 39614),
(156047, 39615),
(156048, 39616),
(156049, 39617),
(156050, 39618),
(156051, 39619),
(156053, 39621),
(156054, 40022),
(156055, 39623),
(156056, 39625),
(156058, 39628),
(156059, 39629),
(156062, 39859),
(156063, 39633),
(156064, 39634),
(156067, 39850),
(156068, 39636),
(156077, 39639),
(156083, 39641),
(156084, 39642),
(156085, 39643),
(156086, 39645),
(156089, 39646),
(156091, 39648),
(156098, 39651),
(156099, 39652),
(156100, 39660),
(156101, 39653),
(156103, 39654),
(156104, 39655),
(156106, 39656),
(156107, 39657),
(156108, 39658),
(156109, 39659),
(156116, 39661),
(156117, 39668),
(156118, 39663),
(156121, 39664),
(156128, 39665),
(156129, 39666),
(156137, 39676),
(156157, 39672),
(156262, 39675),
(156426, 39681),
(156428, 39682),
(156453, 39686),
(156454, 39946),
(156455, 39688),
(156456, 39690),
(156458, 39702),
(156460, 39947),
(156462, 39692),
(156479, 39693),
(156489, 39695),
(156493, 39696),
(156513, 39697),
(156514, 39698),
(156515, 39699),
(156516, 39959),
(156517, 39701),
(156532, 39705),
(156538, 39713),
(156540, 39711),
(156541, 39712),
(156547, 39714),
(156548, 39715),
(156629, 39717),
(156630, 39718),
(156631, 39719),
(156632, 39720),
(156633, 39721),
(156634, 39722),
(156635, 39723),
(156636, 39724),
(156639, 39729),
(156642, 39732),
(156643, 39733),
(156644, 39734),
(156645, 39735),
(156646, 39736),
(156647, 39737),
(156650, 39738),
(156651, 39794),
(156652, 39826),
(156655, 39741),
(156656, 39742),
(156657, 39743),
(156658, 39744),
(156659, 39745),
(156660, 39746),
(156665, 39751),
(156666, 39748),
(156667, 39755),
(156668, 39754),
(156669, 39756),
(156670, 39768),
(156671, 39758),
(156672, 39759),
(156673, 39760),
(156674, 39761),
(156675, 39762),
(156676, 39763),
(156677, 39764),
(156679, 39765),
(156681, 39766),
(156682, 39767),
(156696, 39770),
(156697, 39771),
(156698, 39772),
(156699, 39773),
(156709, 39833),
(156713, 39776),
(156714, 39779),
(156719, 39781),
(156722, 39782),
(156723, 39783),
(156725, 39784),
(156729, 39785),
(156730, 39786),
(156731, 39789),
(156732, 39788),
(156737, 39790),
(156739, 39791),
(156747, 39829),
(156748, 39796),
(156750, 39797),
(156751, 40543),
(156754, 39805),
(156755, 39806),
(156756, 39807),
(156757, 39808),
(156758, 39809),
(156760, 39810),
(156762, 39919),
(156763, 39813),
(156764, 39814),
(156765, 39815),
(156766, 39817),
(156767, 39819),
(156768, 39965),
(156769, 39822),
(156770, 39823),
(156772, 39828),
(156773, 39830),
(156774, 39831),
(156780, 39832),
(156786, 40967),
(156787, 39849),
(156791, 39839),
(156792, 39840),
(156793, 39841),
(156794, 39842),
(156795, 39845),
(156796, 39844),
(156797, 39848),
(156798, 39884),
(156801, 39851),
(156802, 39852),
(156803, 39853),
(156805, 39854),
(156806, 39942),
(156807, 39857),
(156809, 39858),
(156811, 39867),
(156812, 39860),
(156813, 39861),
(156814, 39862),
(156828, 39863),
(156829, 39864),
(156830, 39865),
(156831, 39866),
(156832, 39868),
(156835, 39920),
(156836, 39925),
(156838, 39887),
(156839, 39886),
(156840, 39885),
(156841, 39875),
(156842, 39888),
(156844, 39937),
(156845, 39938),
(156846, 39939),
(156847, 40129),
(156848, 39882),
(156849, 40010),
(156850, 40034),
(156851, 39911),
(156863, 39902),
(156864, 39916),
(156865, 39898),
(156866, 39894),
(156867, 39895),
(156868, 39896),
(156869, 39897),
(156870, 39899),
(156871, 39900),
(156872, 40305),
(156873, 39903),
(156875, 39904),
(156876, 39906),
(156877, 39907),
(156887, 39910),
(156900, 39924),
(156901, 39923),
(156902, 39926),
(156909, 39917),
(156910, 39918),
(156914, 39928),
(156916, 39929),
(156917, 40319),
(156918, 39931),
(156919, 39932),
(156920, 39934),
(156921, 40013),
(156922, 40048),
(156935, 39940),
(156936, 39943),
(156951, 40282),
(156952, 39961),
(156953, 39962),
(156954, 39963),
(156955, 39964),
(156956, 39966),
(156957, 40017),
(156971, 39970),
(156972, 39971),
(156973, 39982),
(156974, 39973),
(156975, 39974),
(156976, 39975),
(156977, 39976),
(156978, 39977),
(156980, 39979),
(156981, 39980),
(156982, 39981),
(156983, 40019),
(156984, 39984),
(156985, 39985),
(156986, 39986),
(156987, 39987),
(156988, 39988),
(156995, 40025),
(157000, 39990),
(157002, 40024),
(157005, 39993),
(157010, 40000),
(157019, 39995),
(157022, 39996),
(157029, 39997),
(157031, 39998),
(157032, 40011),
(157033, 40001),
(157035, 40002),
(157036, 40003),
(157037, 40004),
(157039, 40005),
(157040, 40008),
(157041, 40007),
(157044, 40009),
(157112, 40144),
(157115, 40021),
(157128, 40026),
(157138, 40032),
(157139, 40033),
(157142, 40036),
(157143, 40038),
(157162, 40044),
(157163, 40045),
(157164, 40046),
(157165, 40047),
(157167, 40214),
(157179, 40088),
(157180, 40159),
(157181, 40090),
(157182, 40141),
(157183, 40152),
(157187, 40124),
(157198, 40093),
(157205, 40094),
(157206, 40095),
(157207, 40096),
(157208, 40097),
(157209, 40098),
(157210, 40110),
(157222, 40105),
(157223, 40280),
(157225, 40108),
(157226, 40109),
(157227, 40113),
(157231, 40114),
(157232, 40118),
(157237, 40120),
(157253, 40121),
(157275, 40122),
(157290, 40143),
(157294, 40125),
(157309, 40126),
(157311, 40127),
(157313, 40146),
(157317, 40131),
(157321, 40133),
(157322, 40134),
(157324, 40135),
(157336, 40136),
(157342, 40620),
(157345, 40518),
(157346, 40519),
(157347, 40139),
(157352, 40520),
(157353, 40521),
(157355, 40747),
(157356, 40153),
(157386, 40156),
(157387, 40158),
(157400, 40161),
(157414, 40162),
(157416, 40163),
(157431, 40167),
(157436, 40168),
(157437, 40170),
(157438, 40171),
(157439, 40173),
(157440, 40175),
(157441, 40177),
(157442, 40178),
(157443, 40179),
(157445, 40231),
(157476, 40183),
(157479, 40202),
(157500, 40217),
(157502, 40216),
(157504, 40219),
(157507, 40218),
(157508, 40215),
(157535, 40196),
(157536, 40197),
(157537, 40205),
(157538, 40437),
(157539, 40436),
(157541, 40220),
(157542, 40221),
(157543, 40204),
(157544, 40206),
(157545, 40207),
(157546, 40397),
(157555, 40208),
(157556, 40209),
(157563, 40212),
(157569, 40222),
(157609, 40223),
(157614, 40224),
(157616, 40225),
(157617, 40226),
(157618, 40227),
(157619, 40229),
(157621, 40228),
(157630, 40230),
(157635, 40232),
(157636, 40233),
(157637, 40234),
(157638, 40235),
(157639, 40236),
(157641, 40237),
(157642, 40238),
(157646, 40239),
(157654, 40240),
(157655, 40241),
(157656, 40242),
(157658, 40243),
(157663, 40245),
(157667, 40246),
(157668, 40247),
(157680, 40248),
(157693, 40252),
(157694, 40253),
(157697, 40413),
(157698, 40258),
(157699, 40414),
(157700, 40729),
(157711, 40276),
(157712, 40264),
(157713, 40302),
(157714, 40275),
(157715, 40266),
(157716, 40267),
(157717, 40268),
(157718, 40269),
(157719, 40273),
(157720, 40271),
(157724, 40272),
(157726, 40277),
(157729, 40278),
(157730, 40279),
(157731, 40287),
(157732, 40285),
(157733, 40284),
(157734, 40286),
(157735, 40288),
(157736, 40289),
(157737, 40290),
(157738, 40291),
(157740, 40292),
(157741, 40293),
(157742, 40294),
(157743, 40297),
(157744, 40296),
(157755, 40298),
(157786, 40299),
(157788, 40315),
(157792, 40303),
(157796, 40304),
(157797, 40415),
(157798, 40306),
(157799, 40307),
(157800, 40308),
(157802, 41020),
(157805, 40331),
(157806, 40313),
(157815, 40317),
(157820, 40321),
(157821, 40322),
(157822, 40324),
(157825, 40472),
(157826, 40473),
(157830, 40619),
(157831, 40618),
(157846, 40339),
(157847, 40340),
(157849, 40341),
(157850, 40342),
(157852, 40343),
(157854, 40344),
(157883, 40345),
(157884, 40347),
(157885, 40358),
(157886, 40349),
(157890, 40351),
(157891, 40352),
(157892, 40353),
(157893, 40354),
(157894, 40355),
(157895, 40356),
(157896, 40357),
(157899, 40360),
(157900, 40369),
(157901, 40363),
(157902, 40364),
(157903, 40365),
(157904, 40366),
(157905, 40367),
(157906, 40368),
(157907, 40370),
(157908, 40373),
(157909, 40372),
(157911, 40375),
(157912, 40376),
(157913, 40377),
(157914, 40378),
(157915, 40379),
(157916, 40380),
(157917, 40381),
(157918, 40382),
(157921, 40383),
(157922, 40392),
(157923, 40390),
(157924, 40391),
(157926, 40388),
(157927, 40393),
(157928, 40394),
(157930, 40396),
(157931, 40398),
(157932, 40399),
(157933, 40400),
(157939, 40401),
(157941, 40402),
(157942, 40623),
(157943, 40404),
(157944, 40405),
(157945, 40406),
(157946, 40407),
(157947, 40408),
(157954, 40411),
(157967, 40412),
(157976, 40416),
(157977, 40417),
(157978, 40419),
(157979, 40421),
(157980, 40420),
(157981, 40422),
(157982, 40424),
(157983, 40425),
(157984, 40427),
(157985, 40428),
(157986, 40430),
(157987, 41108),
(157988, 41105),
(157990, 40439),
(157991, 40440),
(157992, 40442),
(157993, 40444),
(157996, 40446),
(157997, 40511),
(157998, 40448),
(157999, 40450),
(158000, 40451),
(158004, 40452),
(158005, 40453),
(158006, 40455),
(158007, 40456),
(158008, 40457),
(158016, 40458),
(158017, 40461),
(158018, 40460),
(158019, 40462),
(158020, 40466),
(158021, 40464),
(158022, 40467),
(158023, 40471),
(158024, 40469),
(158025, 40470),
(158026, 40529),
(158027, 40479),
(158028, 40481),
(158029, 40483),
(158030, 40485),
(158033, 40489),
(158034, 40487),
(158035, 40486),
(158036, 40488),
(158037, 40490),
(158038, 40491),
(158039, 40492),
(158040, 40493),
(158041, 40494),
(158043, 40496),
(158044, 40497),
(158045, 40501),
(158046, 40503),
(158047, 40504),
(158049, 40508),
(158050, 40524),
(158051, 40525),
(158052, 40523),
(158053, 40526),
(158054, 40527),
(158055, 40528),
(158056, 40530),
(158057, 40531),
(158058, 40532),
(158059, 40533),
(158076, 40871),
(158077, 40872),
(158078, 40873),
(158079, 40874),
(158080, 40875),
(158081, 40548),
(158084, 40592),
(158100, 40597),
(158103, 40622),
(158104, 40546),
(158105, 40547),
(158106, 40549),
(158107, 40553),
(158108, 41142),
(158109, 40552),
(158110, 40554),
(158111, 40563),
(158112, 40561),
(158113, 40559),
(158114, 40560),
(158116, 40567),
(158117, 40571),
(158118, 40573),
(158119, 40574),
(158120, 40575),
(158122, 40576),
(158123, 40584),
(158124, 40578),
(158125, 40579),
(158126, 40580),
(158127, 40581),
(158128, 40582),
(158129, 40583),
(158130, 40585),
(158131, 40586),
(158132, 40587),
(158133, 40588),
(158134, 40589),
(158139, 40590),
(158143, 40591),
(158145, 40593),
(158146, 40594),
(158147, 40595),
(158152, 40598),
(158153, 40599),
(158156, 40600),
(158160, 40602),
(158171, 40603),
(158176, 40605),
(158177, 40606),
(158186, 40649),
(158190, 40610),
(158195, 40611),
(158197, 40612),
(158200, 40614),
(158203, 40615),
(158204, 40644),
(158205, 40617),
(158224, 40835),
(158226, 42140),
(158227, 42139),
(158232, 40645),
(158234, 40629),
(158235, 40630),
(158236, 40633),
(158240, 40635),
(158242, 40643),
(158243, 40666),
(158244, 40637),
(158250, 40639),
(158255, 40638),
(158258, 40641),
(158265, 40647),
(158267, 40650),
(158268, 40654),
(158269, 40652),
(158270, 40653),
(158271, 40655),
(158272, 40657),
(158273, 40658),
(158274, 40659),
(158275, 40660),
(158276, 40661),
(158277, 40662),
(158278, 40663),
(158279, 40664),
(158286, 40668),
(158287, 40670),
(158288, 40671),
(158289, 40672),
(158290, 40673),
(158291, 40674),
(158292, 40675),
(158293, 40676),
(158294, 41260),
(158327, 40725),
(158328, 40723),
(158329, 40724),
(158344, 40966),
(158347, 40882),
(158348, 40881),
(158349, 41005),
(158350, 40731),
(158359, 40732),
(158366, 40734),
(158378, 40736),
(158379, 40738),
(158390, 40761),
(158391, 40740),
(158392, 40742),
(158393, 40744),
(158398, 40870),
(158399, 41115),
(158400, 41116),
(158401, 41117),
(158402, 41575),
(158420, 40754),
(158425, 40830),
(158426, 40756),
(158431, 40757),
(158432, 40758),
(158434, 40760),
(158441, 40764),
(158442, 40765),
(158443, 40766),
(158444, 40767),
(158460, 40768),
(158461, 40769),
(158488, 40833),
(158500, 40893),
(158501, 40839),
(158502, 40840),
(158503, 41023),
(158504, 41024),
(158505, 40843),
(158506, 40849),
(158507, 40845),
(158508, 40846),
(158509, 40847),
(158510, 40848),
(158518, 40852),
(158519, 40853),
(158523, 40861),
(158524, 40862),
(158528, 40854),
(158530, 40855),
(158534, 40880),
(158536, 40856),
(158541, 40859),
(158543, 40879),
(158544, 40860),
(158545, 40863),
(158548, 40864),
(158554, 40865),
(158555, 40884),
(158557, 40867),
(158558, 40868),
(158559, 40981),
(158656, 40903),
(158657, 40904),
(158662, 40876),
(158663, 40877),
(158665, 40878),
(158669, 40883),
(158671, 40888),
(158674, 40886),
(158675, 40887),
(158682, 40889),
(158689, 40891),
(158692, 40890),
(158693, 40892),
(158735, 40894),
(158736, 40896),
(158737, 40898),
(158740, 40901),
(158741, 40902),
(158747, 40905),
(158750, 40909),
(158751, 40908),
(158755, 40910),
(158756, 40911),
(158757, 40913),
(158758, 40915),
(158759, 40914),
(158760, 40916),
(158761, 40917),
(158762, 40961),
(158763, 40920),
(158764, 40925),
(158765, 40926),
(158766, 40923),
(158767, 40924),
(158768, 40927),
(158769, 40929),
(158770, 40930),
(158771, 40931),
(158772, 40932),
(158773, 40933),
(158774, 40934),
(158775, 40935),
(158776, 40936),
(158777, 40953),
(158803, 40940),
(158805, 40941),
(158806, 40942),
(158808, 40943),
(158809, 40945),
(158810, 40946),
(158812, 40944),
(158814, 41743),
(158821, 40965),
(158822, 40956),
(158823, 40955),
(158826, 41019),
(158828, 40957),
(158830, 41230),
(158831, 41122),
(158842, 40964),
(158859, 40968),
(158871, 40969),
(158872, 40970),
(158876, 40971),
(158883, 40972),
(158890, 40973),
(158894, 40974),
(158895, 40975),
(158896, 40976),
(158898, 40977),
(158900, 40978),
(158901, 40980),
(158904, 40982),
(158910, 40983),
(158913, 40984),
(158914, 40985),
(158915, 40986),
(158916, 40987),
(158917, 40988),
(158922, 40989),
(158928, 41012),
(158934, 40995),
(158936, 40998),
(158938, 40993),
(158939, 40999),
(158944, 41124),
(158957, 41000),
(158958, 41001),
(158959, 41002),
(158960, 41003),
(158961, 41004),
(158973, 41006),
(158974, 41195),
(159011, 41013),
(159012, 41014),
(159013, 41015),
(159014, 41016),
(159041, 41018),
(159042, 41346),
(159046, 41028),
(159049, 41022),
(159054, 41025),
(159056, 41027),
(159065, 41029),
(159067, 41030),
(159068, 41031),
(159069, 41037),
(159070, 41034),
(159071, 41035),
(159072, 41375),
(159073, 41376),
(159074, 41039),
(159075, 41040),
(159082, 41063),
(159084, 41043),
(159085, 41066),
(159086, 41073),
(159087, 41071),
(159088, 41047),
(159089, 41048),
(159090, 41049),
(159091, 41068),
(159092, 41051),
(159093, 41061),
(159094, 41053),
(159095, 41055),
(159096, 41056),
(159097, 41057),
(159098, 41058),
(159100, 41064),
(159101, 41067),
(159102, 41069),
(159104, 41072),
(159105, 41074),
(159110, 41077),
(159111, 41078),
(159112, 41079),
(159113, 41081),
(159114, 41082),
(159117, 41084),
(159118, 41086),
(159119, 41087),
(159120, 41210),
(159121, 41090),
(159122, 41091),
(159123, 41092),
(159124, 41093),
(159125, 41134),
(159126, 41129),
(159127, 41098),
(159128, 41097),
(159246, 41107),
(159247, 41109),
(159248, 41101),
(159249, 41110),
(159250, 41111),
(159251, 41943),
(159252, 41106),
(159253, 41113),
(159254, 41114),
(159255, 41119),
(159262, 41120),
(159273, 41123),
(159274, 41125),
(159275, 41126),
(159276, 41127),
(159277, 41128),
(159280, 41130),
(159282, 41131),
(159283, 41132),
(159284, 41133),
(159286, 41136),
(159287, 41137),
(159288, 41138),
(159289, 41139),
(159290, 41140),
(159291, 41141),
(159292, 41143),
(159293, 41144),
(159294, 41145),
(159296, 41147),
(159297, 41148),
(159298, 41149),
(159299, 41150),
(159301, 41151),
(159302, 41152),
(159303, 41153),
(159304, 41157),
(159305, 41156),
(159306, 41158),
(159308, 41159),
(159310, 41160),
(159311, 41161),
(159312, 41162),
(159315, 41163),
(159316, 41164),
(159318, 41166),
(159319, 41167),
(159320, 41245),
(159321, 41169),
(159322, 41170),
(159323, 41171),
(159324, 41172),
(159325, 41173),
(159333, 41175),
(159334, 41782),
(159336, 41177),
(159337, 41181),
(159338, 41180),
(159339, 41186),
(159340, 41187),
(159341, 41188),
(159346, 41190),
(159347, 41191),
(159353, 41192),
(159360, 41193),
(159361, 41194),
(159388, 41286),
(159404, 41204),
(159417, 41205),
(159418, 41206),
(159420, 41208),
(159426, 41237),
(159427, 41211),
(159430, 41215),
(159432, 41216),
(159433, 41217),
(159434, 41219),
(159438, 41221),
(159439, 41220),
(159441, 41222),
(159449, 41223),
(159455, 41224),
(159464, 41225),
(159465, 41228),
(159486, 41231),
(159492, 41232),
(159494, 41233),
(159495, 41234),
(159497, 41235),
(159499, 41259),
(159500, 41257),
(159501, 41238),
(159502, 41261),
(159503, 41240),
(159504, 41256),
(159523, 41242),
(159533, 41244),
(159548, 41246),
(159551, 41345),
(159552, 41247),
(159558, 41248),
(159559, 41249),
(159560, 41250),
(159561, 41251),
(159564, 41253),
(159565, 41252),
(159581, 41255),
(159616, 41258),
(159628, 41262),
(159629, 41263),
(159632, 41264),
(159635, 41265),
(159644, 41266),
(159645, 41267),
(159659, 41268),
(159667, 41290),
(159675, 41270),
(159676, 41271),
(159677, 41272),
(159678, 41273),
(159679, 41274),
(159680, 41279),
(159681, 41277),
(159683, 41281),
(159684, 41282),
(159685, 41283),
(159686, 41284),
(159687, 41302),
(159690, 41287),
(159692, 41742),
(159703, 41289),
(159704, 41291),
(159705, 41292),
(159706, 41293),
(159707, 41307),
(159708, 41570),
(159709, 41571),
(159710, 41572),
(159711, 41574),
(159712, 41954),
(159713, 41300),
(159714, 41301),
(159724, 41311),
(159728, 41308),
(159729, 41309),
(159750, 41310),
(159756, 41312),
(159757, 41313),
(159758, 41314),
(159759, 41315),
(159760, 41316),
(159762, 41318),
(159771, 41319),
(159789, 41326),
(159790, 41321),
(159791, 41322),
(159792, 41601),
(159793, 41324),
(159794, 41325),
(159796, 41327),
(159797, 41328),
(159802, 41329),
(159804, 41330),
(159805, 41331),
(159806, 41332),
(159807, 41333),
(159811, 41336),
(159812, 41335),
(159839, 41337),
(159840, 41338),
(159841, 41562),
(159842, 41561),
(159843, 41563),
(159870, 41343),
(159871, 41344),
(159893, 41348),
(159894, 41692),
(159895, 41350),
(159899, 41351),
(159900, 41353),
(159902, 41359),
(159903, 41360),
(159904, 41363),
(159906, 41356),
(159908, 41357),
(159910, 41358),
(159930, 41361),
(159931, 41362),
(159935, 41383),
(159941, 41365),
(159942, 41366),
(159943, 41432),
(159944, 41368),
(159945, 41431),
(159946, 41430),
(159947, 41429),
(159948, 41372),
(159949, 41382),
(159951, 41433),
(159952, 41374),
(159958, 41440),
(159959, 41442),
(159960, 41497),
(159961, 41498),
(159962, 41381),
(160017, 41385),
(160018, 41386),
(160026, 41388),
(160030, 41419),
(160033, 41437),
(160035, 41516),
(160038, 41393),
(160041, 41394),
(160044, 41396),
(160045, 41398),
(160047, 41402),
(160048, 41506),
(160049, 41404),
(160051, 41406),
(160058, 41408),
(160062, 41409),
(160065, 41410),
(160066, 41411),
(160106, 41417),
(160107, 41416),
(160113, 41418),
(160124, 41420),
(160125, 41421),
(160145, 41423),
(160146, 41424),
(160147, 41425),
(160148, 41426),
(160149, 41427),
(160150, 41529),
(160164, 41447),
(160176, 41436),
(160189, 41438),
(160190, 41589),
(160200, 41446),
(160210, 41449),
(160211, 41450),
(160212, 41451),
(160213, 41452),
(160220, 41453),
(160221, 41454),
(160233, 41455),
(160235, 41456),
(160238, 41457),
(160244, 41458),
(160245, 41462),
(160247, 41461),
(160248, 41729),
(160252, 41464),
(160253, 41465),
(160254, 41466),
(160255, 41467),
(160256, 41468),
(160257, 41469),
(160258, 41470),
(160259, 41472),
(160260, 41473),
(160265, 41474),
(160271, 41481),
(160272, 41482),
(160273, 41483),
(160274, 41558),
(160284, 41486),
(160285, 41487),
(160286, 41488),
(160287, 41490),
(160288, 41491),
(160289, 41492),
(160290, 41493),
(160291, 41494),
(160292, 41629),
(160293, 41630),
(160294, 41544),
(160295, 41508),
(160296, 41502),
(160297, 41503),
(160298, 41505),
(160303, 41510),
(160305, 41511),
(160306, 41512),
(160307, 41513),
(160308, 41514),
(160309, 41515),
(160312, 41517),
(160313, 41545),
(160314, 41547),
(160315, 41520),
(160316, 41521),
(160317, 41522),
(160318, 41524),
(160319, 41525),
(160320, 41526),
(160321, 41749),
(160327, 41530),
(160328, 41541),
(160329, 41533),
(160330, 41535),
(160335, 41939),
(160342, 41548),
(160343, 41549),
(160344, 41550),
(160346, 41551),
(160347, 41552),
(160348, 41554),
(160349, 41556),
(160350, 41557),
(160351, 41559),
(160352, 41560),
(160354, 41565),
(160358, 41566),
(160363, 41628),
(160388, 41568),
(160389, 41569),
(160390, 41573),
(160392, 41576),
(160397, 41578),
(160402, 41579),
(160403, 41580),
(160405, 41581),
(160406, 41582),
(160409, 41584),
(160411, 41583),
(160414, 41585),
(160432, 41587),
(160441, 41590),
(160442, 41591),
(160443, 41592),
(160444, 41593),
(160445, 41594),
(160452, 41595),
(160453, 41596),
(160454, 41597),
(160455, 41598),
(160456, 41599),
(160457, 41603),
(160458, 41602),
(160459, 41604),
(160462, 41605),
(160463, 41606),
(160464, 41607),
(160470, 41610),
(160471, 41611),
(160472, 41612),
(160473, 41613),
(160474, 42051),
(160475, 41615),
(160476, 41618),
(160477, 41619),
(160489, 41622),
(160570, 41631),
(160571, 41632),
(160572, 41633),
(160576, 41634),
(160609, 41653),
(160620, 41640),
(160632, 41651),
(160633, 41652),
(160634, 41654),
(160635, 41655),
(160637, 41656),
(160640, 41657),
(160642, 41658),
(160645, 41660),
(160646, 41661),
(160647, 41664),
(160648, 41662),
(160649, 41663),
(160650, 41833),
(160651, 41666),
(160652, 41667),
(160653, 41668),
(160654, 41669),
(160655, 41834),
(160656, 41853),
(160658, 41852),
(160659, 41677),
(160660, 41851),
(160694, 41683),
(160695, 41682),
(160696, 41684),
(160697, 41685),
(160698, 41686),
(160699, 41687),
(160704, 41688),
(160724, 41693),
(160725, 41694),
(160726, 41695),
(160727, 41696),
(160728, 41697),
(160729, 41698),
(160730, 41699),
(160731, 41700),
(160732, 41701),
(160733, 41702),
(160740, 41703),
(160741, 41715),
(160742, 41714),
(160743, 41713),
(160744, 41712),
(160750, 41709),
(160751, 41710),
(160774, 41850),
(160786, 41717),
(160812, 41720),
(160813, 41723),
(160814, 41724),
(160824, 41885),
(160825, 41922),
(160826, 41921),
(160827, 41923),
(160828, 41728),
(160831, 41730),
(160836, 41731),
(160881, 41734),
(160882, 41735),
(160883, 41736),
(160889, 41740),
(160890, 41741),
(160894, 41738),
(160895, 41739),
(160914, 41744),
(160933, 41745),
(160942, 41751),
(160943, 41752),
(160973, 41780),
(160974, 41755),
(160975, 41770),
(160976, 41757),
(160977, 41758),
(160979, 41786),
(160980, 41798),
(160981, 41799),
(160982, 41800),
(160983, 41764),
(160984, 41765),
(160985, 41766),
(160986, 41767),
(160987, 41768),
(160994, 42035),
(161000, 41769),
(161005, 41771),
(161006, 41772),
(161007, 41773),
(161008, 41774),
(161009, 41775),
(161019, 41776),
(161020, 41777),
(161030, 41779),
(161032, 41781),
(161034, 41783),
(161068, 41785),
(161071, 41787),
(161072, 41788),
(161073, 41789),
(161074, 41790),
(161075, 41791),
(161076, 41792),
(161077, 41793),
(161084, 41795),
(161089, 42181),
(161091, 41797),
(161151, 41808),
(161152, 41809),
(161153, 41810),
(161160, 41811),
(161161, 41812),
(161168, 41817),
(161193, 41819),
(161199, 41821),
(161204, 41822),
(161225, 41824),
(161227, 41849),
(161230, 41826),
(161231, 41828),
(161232, 41854),
(161234, 41830),
(161253, 41835),
(161256, 41836),
(161269, 41838),
(161270, 41840),
(161272, 41839),
(161381, 41841),
(161387, 41842),
(161397, 41848),
(161403, 41845),
(161405, 41846),
(161411, 41847),
(161435, 41855),
(161439, 41856),
(161453, 41858),
(161455, 41860),
(161460, 41869),
(161461, 41868),
(161469, 41874),
(161470, 41871),
(161471, 41872),
(161472, 41873),
(161473, 41875),
(161516, 42197),
(161553, 41878),
(161559, 42186),
(161565, 41880),
(161567, 42199),
(161568, 42198),
(161569, 41932),
(161571, 41882),
(161595, 42005),
(161596, 41887),
(161597, 41958),
(161599, 41891),
(161600, 41895),
(161601, 42004),
(161603, 41894),
(161606, 41897),
(161607, 41896),
(161608, 41898),
(161629, 41900),
(161630, 41901),
(161634, 41906),
(161636, 41907),
(161643, 41909),
(161652, 41912),
(161659, 41913),
(161661, 41914),
(161662, 41917),
(161695, 41924),
(161696, 41929),
(161697, 41930),
(161698, 41931),
(161699, 41928),
(161700, 41933),
(161701, 41934),
(161702, 41935),
(161703, 41936),
(161704, 41937),
(161705, 41938),
(161719, 41942),
(161720, 41941),
(161721, 41944),
(161722, 41945),
(161723, 41947),
(161724, 41950),
(161725, 41949),
(161726, 41951),
(161728, 41952),
(161731, 41956),
(161732, 41957),
(161733, 41996),
(161734, 41987),
(161735, 41959),
(161736, 41960),
(161737, 41961),
(161738, 41962),
(161739, 41963),
(161740, 41964),
(161741, 41965),
(161742, 42088),
(161743, 41967),
(161744, 41968),
(161746, 41969),
(161747, 41970),
(161748, 41971),
(161749, 41972),
(161753, 41973),
(161754, 41974),
(161755, 41975),
(161756, 41976),
(161757, 41977),
(161771, 41980),
(161772, 41981),
(161773, 41982),
(161774, 41983),
(161783, 41985),
(161784, 41988),
(161785, 42003),
(161786, 41991),
(161787, 41993),
(161788, 41998),
(161789, 42000),
(161790, 42001),
(161791, 42002),
(161792, 42008),
(161793, 42007),
(161794, 42006),
(161796, 42011),
(161798, 42012),
(161800, 42017),
(161801, 42016),
(161802, 42018),
(161803, 42029),
(161804, 42025),
(161805, 42026),
(161806, 42030),
(161807, 42036),
(161808, 42142),
(161809, 42033),
(161849, 42138),
(161851, 42038),
(161853, 42039),
(161860, 42040),
(161920, 42041),
(161921, 42042),
(161922, 42043),
(161923, 42044),
(161924, 42045),
(161925, 42156),
(161927, 42047),
(161928, 42048),
(161929, 42049),
(161930, 42050),
(161973, 42052),
(162014, 42053),
(162015, 42054),
(162016, 42055),
(162017, 42056),
(162018, 42057),
(162019, 42058),
(162020, 42059),
(162021, 42060),
(162022, 42061),
(162023, 42062),
(162024, 42063),
(162061, 42065),
(162062, 42066),
(162063, 42067),
(162064, 42068),
(162069, 42073),
(162070, 42074),
(162071, 42075),
(162072, 42076),
(162073, 42077),
(162100, 42177),
(162116, 42078),
(162117, 42079),
(162118, 42080),
(162119, 42081),
(162120, 42082),
(162123, 42085),
(162124, 42086),
(162125, 42087),
(162152, 42099),
(162153, 42090),
(162154, 42091),
(162155, 42092),
(162156, 42093),
(162157, 42094),
(162158, 42105),
(162159, 42096),
(162160, 42097),
(162161, 42098),
(162162, 42108),
(162163, 42109),
(162167, 42102),
(162168, 42107),
(162173, 42110),
(162176, 42111),
(162177, 42112),
(162180, 42113),
(162181, 42114),
(162182, 42117),
(162183, 42116),
(162184, 42120),
(162205, 42123),
(162207, 42125),
(162208, 42127),
(162210, 42128),
(162244, 42129),
(162246, 42130),
(162247, 42131),
(162251, 42135),
(162254, 42133),
(162256, 42137),
(162343, 42144),
(162354, 42145),
(162355, 42146),
(162356, 42147),
(162358, 42148),
(162360, 42149),
(162361, 42150),
(162363, 42151),
(162369, 42152),
(162370, 42153),
(162371, 42154),
(162373, 42155),
(162374, 42157),
(162380, 42178),
(162383, 42158),
(162384, 42159),
(162410, 42160),
(162411, 42161),
(162412, 42162),
(162413, 42163),
(162414, 42164),
(162415, 42165),
(162416, 42166),
(162417, 42167),
(162418, 42168),
(162438, 42174),
(162441, 42171),
(162445, 42170),
(162446, 42172),
(162448, 42173),
(162453, 42175),
(162486, 42179),
(162529, 42180),
(162533, 42182),
(162543, 42185),
(162578, 42188),
(162579, 42189),
(162580, 42190),
(162599, 42191),
(162600, 42192),
(162601, 42193),
(162602, 42194),
(162603, 42195),
(162625, 42196),
(162630, 42201),
(162680, 42202),
(162684, 42203),
(162685, 42208),
(162686, 42205),
(162687, 42206),
(162688, 42207),
(162689, 42210),
(162690, 42218),
(162691, 42219),
(162692, 42220),
(162693, 42221),
(162694, 42222),
(162695, 42225),
(162696, 42217),
(162697, 42226),
(162698, 42227),
(162699, 42228),
(162756, 42229),
(162759, 42230),
(162783, 42231),
(162819, 42233),
(162820, 42232),
(162837, 42237),
(162838, 42235),
(162839, 42236),
(162840, 42238),
(162841, 42239),
(162843, 42240),
(162845, 42241),
(162846, 42242),
(162847, 42243),
(162848, 42244),
(162849, 42245),
(162850, 42246),
(162851, 42247),
(162852, 42248),
(162853, 42249),
(162854, 42250),
(162855, 42251),
(162857, 42254),
(162858, 42255),
(162859, 42256);

-- --------------------------------------------------------

--
-- Structure de la table `codev_uo_table`
--

DROP TABLE IF EXISTS `codev_uo_table`;
CREATE TABLE `codev_uo_table` (
  `id` int(11) NOT NULL,
  `timetrackid` int(11) NOT NULL,
  `value` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_uo_table`
--

INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(14, 57909, 0.5),
(15, 58043, 1),
(16, 58044, 0.7),
(17, 58045, 0.8),
(18, 58046, 0.5),
(19, 58050, 0.2),
(20, 58052, 1),
(21, 58053, 1),
(22, 58054, 1),
(564, 63382, 0.5),
(569, 63389, 0.5),
(568, 63387, 0.5),
(567, 63385, 0.75),
(566, 63384, 0.5),
(565, 63383, 0.5),
(30, 59388, 1),
(31, 59390, 1),
(32, 59391, 1),
(33, 59393, 1),
(34, 59394, 1),
(35, 59399, 0.5),
(36, 59401, 1),
(37, 59402, 1),
(38, 59403, 1),
(39, 59404, 1),
(40, 59405, 0.5),
(41, 59407, 1),
(42, 59408, 1),
(43, 59474, 1),
(44, 59475, 1),
(45, 59476, 1),
(46, 59482, 0.5),
(47, 59483, 0.75),
(48, 59484, 1),
(49, 59485, 1),
(50, 59487, 1),
(51, 59489, 1),
(52, 59490, 1),
(53, 59491, 1),
(54, 59504, 1),
(55, 59506, 1),
(56, 59508, 1),
(57, 59509, 1),
(502, 63049, 1),
(501, 63047, 1),
(60, 59515, 1),
(61, 59516, 1),
(62, 59517, 1),
(424, 62766, 0.25),
(66, 59537, 0.5),
(65, 59520, 0.75),
(67, 59539, 1),
(68, 59540, 0.5),
(69, 59553, 1),
(70, 59554, 1),
(71, 59555, 1),
(72, 59570, 1),
(73, 59571, 1),
(74, 59572, 1),
(75, 59573, 0.5),
(76, 59574, 0.5),
(77, 59575, 0.5),
(78, 59576, 0.5),
(79, 59579, 1),
(80, 59580, 1),
(81, 59587, 1),
(82, 59592, 0.5),
(83, 59593, 0.5),
(84, 59596, 0.5),
(85, 59597, 1),
(86, 59598, 1),
(87, 59606, 1),
(88, 59615, 1),
(89, 59616, 1),
(90, 59617, 1),
(91, 59618, 1),
(93, 59939, 1),
(94, 60043, 0.2),
(95, 60044, 0.1),
(96, 60062, 0.8),
(98, 60064, 0.1),
(99, 60065, 0.2),
(101, 60077, 0.5),
(102, 60078, 0.3),
(103, 60080, 0.6),
(104, 60087, 0.2),
(1046, 65982, 1),
(1045, 65981, 1),
(115, 60232, 1),
(114, 60230, 1),
(113, 60229, 1),
(111, 60213, 1),
(868, 64732, 1),
(116, 60233, 1),
(117, 60234, 1),
(118, 60235, 1),
(119, 60236, 1),
(120, 60237, 1),
(131, 60270, 1),
(122, 60243, 0.5),
(123, 60245, 0.5),
(124, 60249, 0.5),
(125, 60250, 0.5),
(127, 60253, 0.2),
(128, 60260, 1),
(129, 60268, 0.8),
(132, 60271, 1),
(133, 60272, 1),
(136, 60275, 1),
(135, 60274, 1),
(137, 60299, 1),
(138, 60302, 1),
(139, 60304, 1),
(140, 60307, 1),
(141, 60308, 1),
(142, 60311, 1),
(145, 60354, 0.5),
(146, 60355, 0.5),
(147, 60359, 1),
(148, 60360, 1),
(150, 60362, 1),
(159, 60372, 1),
(158, 60371, 1),
(156, 60369, 1),
(157, 60370, 1),
(160, 60453, 1),
(161, 60454, 1),
(165, 60460, 1),
(164, 60457, 0.2),
(166, 60464, 1),
(167, 60467, 1),
(168, 60685, 1),
(169, 60686, 1),
(1044, 65965, 1),
(1043, 65942, 1),
(1041, 65881, 1),
(1040, 65880, 1),
(174, 60693, 0.25),
(175, 60694, 0.5),
(425, 62848, 0.5),
(177, 60696, 0.5),
(427, 62850, 0.4),
(426, 62849, 0.5),
(422, 62764, 0.5),
(423, 62765, 0.25),
(182, 61101, 0.5),
(184, 61106, 0.5),
(185, 61108, 1),
(186, 61112, 1),
(187, 61113, 1),
(188, 61114, 1),
(189, 61115, 0.3),
(190, 61116, 0.2),
(191, 61117, 1),
(192, 61118, 1),
(193, 61119, 1),
(1038, 65745, 1),
(1036, 65710, 1),
(1034, 65701, 1),
(1031, 65694, 0.5),
(1029, 65681, 1),
(1026, 65413, 1),
(200, 61131, 1),
(201, 61134, 1),
(202, 61138, 1),
(227, 61297, 0.3),
(228, 61298, 0.7),
(226, 61296, 0.5),
(206, 61156, 1),
(207, 61157, 1),
(208, 61158, 1),
(209, 61159, 1),
(210, 61160, 1),
(211, 61161, 1),
(212, 61162, 1),
(214, 61164, 1),
(215, 61165, 1),
(216, 61166, 1),
(219, 61169, 1),
(218, 61168, 1),
(220, 61170, 1),
(221, 61221, 0.2),
(223, 61223, 0.3),
(224, 61224, 0.2),
(225, 61295, 0.5),
(229, 61300, 0.3),
(328, 61456, 0.6),
(330, 61823, 0.6),
(1049, 65988, 1),
(1025, 65369, 1),
(1048, 65987, 0.8),
(1047, 65986, 0.4),
(237, 61320, 1),
(327, 61455, 1),
(239, 61322, 1),
(240, 61326, 1),
(241, 61330, 1),
(1050, 65989, 1),
(244, 61333, 0.2),
(245, 61334, 0.5),
(247, 61337, 0.4),
(248, 61338, 0.5),
(249, 61339, 0.5),
(250, 61340, 0.2),
(251, 61345, 0.5),
(252, 61346, 1),
(253, 61347, 1),
(254, 61348, 1),
(255, 61349, 1),
(256, 61350, 1),
(257, 61351, 1),
(258, 61352, 1),
(268, 61365, 0.8),
(260, 61354, 1),
(261, 61356, 0.2),
(263, 61358, 0.3),
(265, 61361, 0.5),
(266, 61363, 0.4),
(267, 61364, 1),
(269, 61366, 0.25),
(270, 61367, 0.25),
(271, 61368, 0.5),
(272, 61370, 0.5),
(273, 61371, 0.5),
(275, 61374, 1),
(276, 61375, 1),
(277, 61383, 1),
(278, 61384, 1),
(279, 61385, 1),
(280, 61386, 1),
(281, 61387, 1),
(288, 61397, 0.3),
(283, 61391, 1),
(295, 61405, 0.5),
(294, 61404, 0.8),
(286, 61395, 1),
(289, 61398, 1),
(290, 61399, 1),
(291, 61400, 1),
(292, 61402, 1),
(293, 61403, 0.2),
(325, 61441, 1),
(297, 61407, 0.5),
(298, 61408, 1),
(299, 61409, 0.2),
(300, 61410, 0.2),
(301, 61411, 0.2),
(302, 61413, 0.4),
(303, 61415, 1),
(304, 61417, 0.5),
(305, 61418, 1),
(306, 61419, 1),
(307, 61420, 1),
(308, 61421, 1),
(309, 61422, 1),
(310, 61423, 1),
(311, 61424, 1),
(312, 61425, 0.5),
(313, 61426, 1),
(314, 61427, 1),
(315, 61428, 0.2),
(316, 61429, 1),
(317, 61431, 0.2),
(318, 61432, 1),
(319, 61433, 1),
(321, 61437, 1),
(322, 61438, 1),
(323, 61439, 1),
(324, 61440, 1),
(329, 61457, 0.1),
(331, 61824, 0.4),
(332, 61906, 1),
(696, 63927, 0.5),
(334, 61945, 1),
(335, 61947, 1),
(336, 61948, 1),
(337, 61949, 1),
(339, 61952, 1),
(340, 61953, 1),
(341, 61954, 1),
(342, 61955, 1),
(343, 61956, 1),
(344, 61957, 1),
(345, 61958, 1),
(346, 61959, 1),
(347, 61960, 1),
(348, 61961, 1),
(349, 61962, 1),
(350, 61963, 1),
(351, 61976, 1),
(352, 61984, 0.4),
(353, 61985, 0.6),
(354, 61986, 0.5),
(355, 61987, 0.5),
(356, 62036, 1),
(357, 62037, 1),
(358, 62038, 1),
(359, 62039, 1),
(360, 62040, 0.6),
(364, 62059, 1),
(366, 62062, 1),
(365, 62060, 1),
(367, 62091, 1),
(368, 62097, 1),
(369, 62100, 1),
(1449, 68186, 1),
(473, 62982, 1),
(372, 62103, 1),
(373, 62104, 1),
(375, 62107, 0.5),
(376, 62108, 1),
(377, 62109, 1),
(378, 62110, 1),
(383, 62115, 1),
(483, 63002, 1),
(382, 62114, 1),
(387, 62120, 1),
(386, 62118, 1),
(389, 62171, 1),
(390, 62172, 1),
(391, 62173, 1),
(392, 62174, 1),
(393, 62175, 1),
(394, 62176, 1),
(395, 62177, 1),
(396, 62178, 1),
(1035, 65708, 1),
(398, 62180, 1),
(399, 62181, 1),
(400, 62182, 1),
(401, 62183, 1),
(895, 64975, 1),
(896, 64976, 1),
(404, 62186, 1),
(405, 62187, 1),
(406, 62188, 1),
(407, 62189, 1),
(408, 62190, 1),
(409, 62191, 1),
(410, 62193, 0.7),
(411, 62194, 0.3),
(412, 62195, 0.2),
(413, 62196, 0.8),
(416, 62387, 1),
(415, 62226, 1),
(417, 62708, 1),
(418, 62712, 1),
(419, 62747, 1),
(420, 62757, 1),
(428, 62851, 0.2),
(429, 62852, 0.4),
(430, 62865, 1),
(431, 62866, 1),
(536, 63088, 1),
(433, 62878, 0.2),
(434, 62879, 0.5),
(435, 62880, 0.15),
(436, 62882, 1),
(437, 62885, 0.15),
(438, 62886, 0.5),
(439, 62887, 0.5),
(440, 62889, 1),
(441, 62890, 1),
(442, 62894, 1),
(964, 65066, 0.5),
(444, 62896, 1),
(543, 63095, 1),
(542, 63094, 1),
(447, 62900, 1),
(448, 62903, 1),
(449, 62904, 1),
(450, 62905, 1),
(451, 62908, 0.25),
(452, 62912, 1),
(453, 62913, 0.5),
(454, 62916, 1),
(455, 62920, 1),
(456, 62923, 1),
(457, 62927, 1),
(458, 62929, 1),
(461, 62937, 1),
(460, 62935, 1),
(462, 62939, 1),
(463, 62940, 1),
(464, 62941, 1),
(465, 62958, 1),
(466, 62959, 1),
(467, 62976, 1),
(468, 62977, 1),
(469, 62978, 1),
(470, 62979, 1),
(471, 62980, 1),
(472, 62981, 1),
(474, 62983, 1),
(475, 62984, 1),
(477, 62986, 0.25),
(3099, 73910, 0),
(479, 62988, 1),
(480, 62989, 1),
(694, 63925, 0.5),
(484, 63003, 1),
(485, 63005, 0.8),
(486, 63009, 0.2),
(487, 63010, 1),
(489, 63020, 1),
(490, 63026, 1),
(491, 63027, 1),
(492, 63030, 1),
(494, 63032, 1),
(495, 63033, 1),
(496, 63034, 1),
(497, 63035, 1),
(498, 63036, 1),
(499, 63037, 1),
(500, 63038, 1),
(503, 63050, 1),
(504, 63051, 1),
(505, 63052, 1),
(506, 63053, 1),
(507, 63054, 1),
(508, 63055, 1),
(509, 63056, 1),
(510, 63057, 1),
(511, 63059, 1),
(512, 63060, 1),
(1166, 66748, 1),
(535, 63087, 1),
(534, 63086, 1),
(528, 63080, 1),
(527, 63079, 1),
(1232, 66895, 1),
(1261, 66946, 1),
(1264, 66951, 1),
(1257, 66942, 1),
(1161, 66739, 1),
(1160, 66733, 2),
(1159, 66732, 1),
(1260, 66945, 1),
(1265, 66952, 1),
(529, 63081, 1),
(559, 63337, 1),
(546, 63120, 1),
(537, 63089, 1),
(538, 63090, 1),
(539, 63091, 1),
(1164, 66743, 0.5),
(1163, 66741, 1),
(1165, 66746, 1),
(1262, 66947, 1),
(551, 63252, 0.4),
(552, 63253, 0.3),
(550, 63251, 0.3),
(553, 63270, 1),
(554, 63271, 1),
(555, 63272, 1),
(556, 63277, 1),
(557, 63278, 1),
(558, 63279, 1),
(560, 63341, 1),
(561, 63342, 1),
(562, 63347, 1),
(563, 63348, 1),
(570, 63392, 0.5),
(576, 63400, 0.5),
(572, 63395, 1),
(573, 63396, 1),
(574, 63397, 1),
(575, 63398, 1),
(577, 63405, 0.25),
(578, 63407, 0.25),
(579, 63408, 0.5),
(580, 63409, 1),
(581, 63410, 1),
(582, 63414, 0.5),
(583, 63469, 1),
(584, 63523, 1),
(1219, 66872, 0.5),
(587, 63584, 0.5),
(594, 63592, 1),
(593, 63591, 1),
(590, 63588, 1),
(595, 63593, 1),
(596, 63594, 1),
(597, 63595, 1),
(598, 63596, 1),
(599, 63597, 0.8),
(600, 63598, 0.6),
(601, 63599, 1),
(602, 63600, 1),
(603, 63601, 1),
(604, 63602, 1),
(1223, 66876, 1),
(1220, 66873, 1),
(610, 63614, 1),
(611, 63615, 1),
(612, 63616, 1),
(613, 63637, 1),
(614, 63638, 2),
(615, 63639, 1),
(616, 63641, 1),
(617, 63642, 1),
(618, 63643, 1),
(619, 63644, 1),
(620, 63645, 1),
(621, 63646, 0.5),
(622, 63648, 1),
(753, 64397, 1),
(624, 63651, 1),
(625, 63652, 2),
(626, 63653, 1),
(627, 63654, 1),
(628, 63660, 1),
(629, 63661, 2),
(630, 63662, 2),
(631, 63663, 1),
(632, 63664, 1),
(633, 63665, 1),
(634, 63666, 1),
(635, 63667, 1),
(636, 63668, 1),
(637, 63669, 1),
(638, 63691, 1),
(639, 63692, 1),
(640, 63693, 1),
(641, 63694, 1),
(642, 63695, 1),
(643, 63696, 1),
(644, 63697, 1),
(645, 63698, 1),
(646, 63699, 1),
(647, 63700, 1),
(648, 63701, 2),
(649, 63702, 2),
(650, 63703, 2),
(651, 63704, 1),
(652, 63705, 1),
(654, 63710, 1),
(655, 63711, 1),
(656, 63716, 0.5),
(700, 63936, 0.4),
(658, 63720, 1),
(659, 63721, 2),
(660, 63723, 2),
(661, 63724, 1),
(662, 63725, 1),
(663, 63726, 1),
(664, 63727, 1),
(665, 63736, 1),
(667, 63741, 1),
(668, 63747, 1),
(715, 63961, 0.6),
(716, 63963, 0.7),
(714, 63957, 1),
(1039, 65808, 1),
(674, 63754, 0.5),
(675, 63755, 0.5),
(1033, 65700, 1),
(2300, 71463, 0),
(1028, 65663, 1),
(713, 63956, 1),
(684, 63769, 1),
(682, 63767, 0.5),
(685, 63771, 1),
(686, 63772, 1),
(1149, 66722, 1),
(689, 63776, 0.5),
(690, 63777, 0.5),
(1053, 65992, 1),
(1051, 65990, 1),
(697, 63928, 1),
(698, 63929, 1),
(707, 63946, 0.3),
(702, 63938, 0.3),
(703, 63939, 0.2),
(704, 63942, 0.3),
(705, 63943, 0.5),
(706, 63944, 1),
(708, 63948, 1),
(717, 63964, 1),
(854, 64706, 1),
(712, 63955, 1),
(858, 64710, 1),
(857, 64709, 1),
(722, 64012, 0.4),
(745, 64363, 1),
(724, 64059, 1),
(725, 64149, 1),
(726, 64150, 1),
(727, 64152, 1),
(728, 64153, 1),
(730, 64178, 1),
(731, 64179, 1),
(732, 64182, 1),
(1027, 65495, 1),
(744, 64362, 1),
(735, 64185, 0.8),
(737, 64281, 1),
(738, 64282, 0.5),
(739, 64304, 0.5),
(740, 64333, 0.5),
(741, 64345, 0.5),
(742, 64353, 1),
(743, 64358, 1),
(746, 64364, 1),
(747, 64367, 1),
(748, 64368, 1),
(749, 64369, 1),
(750, 64370, 1),
(751, 64371, 1),
(752, 64372, 1),
(754, 64398, 1),
(755, 64399, 1),
(756, 64400, 1),
(757, 64401, 1),
(758, 64403, 1),
(760, 64405, 1),
(761, 64406, 1),
(802, 64514, 1),
(763, 64454, 1),
(799, 64511, 0.5),
(765, 64458, 1),
(766, 64460, 0.2),
(801, 64513, 1),
(768, 64463, 0.8),
(769, 64465, 1),
(771, 64471, 1),
(800, 64512, 1),
(774, 64474, 1),
(775, 64475, 1),
(776, 64476, 1),
(777, 64477, 1),
(778, 64478, 1),
(779, 64480, 1),
(780, 64481, 1),
(781, 64482, 1),
(1266, 66953, 1),
(783, 64485, 1),
(784, 64487, 1),
(785, 64488, 1),
(786, 64489, 1),
(787, 64490, 1),
(788, 64491, 1),
(789, 64492, 1),
(856, 64708, 1),
(855, 64707, 1),
(792, 64496, 1),
(793, 64504, 1),
(795, 64507, 1),
(796, 64508, 0.7),
(797, 64509, 0.3),
(798, 64510, 0.5),
(803, 64515, 0.5),
(804, 64516, 0.5),
(805, 64517, 1),
(806, 64518, 1),
(807, 64519, 1),
(808, 64520, 1),
(2120, 70927, 0),
(810, 64541, 1),
(811, 64542, 1),
(812, 64543, 1),
(813, 64544, 1),
(814, 64545, 1),
(815, 64546, 1),
(816, 64547, 1),
(817, 64548, 1),
(818, 64549, 1),
(819, 64553, 1),
(820, 64554, 1),
(821, 64555, 1),
(822, 64556, 1),
(824, 64558, 1),
(825, 64559, 1),
(826, 64560, 1),
(827, 64563, 1),
(828, 64566, 1),
(829, 64578, 1),
(830, 64579, 1),
(831, 64580, 1),
(832, 64582, 1),
(833, 64583, 1),
(834, 64584, 1),
(835, 64670, 1),
(836, 64674, 1),
(837, 64681, 0.5),
(838, 64683, 1),
(839, 64684, 1),
(840, 64685, 0.5),
(841, 64686, 1),
(843, 64688, 1),
(844, 64689, 1),
(845, 64690, 1),
(846, 64691, 1),
(847, 64692, 1),
(848, 64693, 1),
(849, 64698, 1),
(850, 64699, 1),
(851, 64700, 1),
(852, 64703, 0.75),
(853, 64705, 1),
(1417, 67871, 1),
(860, 64714, 1),
(861, 64715, 1),
(865, 64721, 1),
(863, 64717, 1),
(864, 64718, 1),
(866, 64722, 1),
(869, 64733, 1),
(870, 64740, 1),
(871, 64741, 1),
(872, 64745, 2),
(874, 64772, 0.75),
(875, 64775, 0.5),
(877, 64778, 0.5),
(878, 64781, 1),
(879, 64782, 0.5),
(880, 64784, 0.25),
(881, 64785, 0.5),
(893, 64820, 1),
(883, 64791, 0.75),
(884, 64792, 0.5),
(885, 64796, 0.5),
(887, 64800, 0.5),
(888, 64802, 0.5),
(889, 64804, 1),
(890, 64814, 1),
(891, 64817, 0.5),
(892, 64819, 1),
(897, 64977, 1),
(898, 64979, 1),
(899, 64980, 1),
(900, 64981, 1),
(901, 64983, 1),
(902, 64984, 1),
(1062, 66040, 1),
(904, 64986, 1),
(905, 64987, 1),
(906, 64988, 1),
(907, 64999, 0.5),
(908, 65000, 0.5),
(910, 65002, 1),
(911, 65003, 1),
(912, 65004, 1),
(913, 65005, 0.5),
(914, 65006, 1),
(915, 65007, 1),
(918, 65011, 1),
(917, 65010, 1),
(919, 65012, 0.5),
(920, 65013, 1),
(921, 65014, 2),
(2192, 71154, 1),
(923, 65016, 1),
(924, 65017, 1),
(925, 65018, 1),
(926, 65019, 1),
(1037, 65736, 0.2),
(962, 65062, 1),
(963, 65063, 0.5),
(960, 65059, 1),
(966, 65068, 0.25),
(961, 65060, 1),
(969, 65071, 0.5),
(968, 65070, 0.5),
(956, 65054, 1),
(967, 65069, 0.25),
(957, 65055, 1),
(943, 65036, 1),
(944, 65037, 1),
(945, 65038, 1),
(946, 65039, 1),
(947, 65041, 1),
(948, 65042, 1),
(949, 65043, 1),
(950, 65044, 1),
(951, 65046, 1),
(955, 65052, 1),
(954, 65051, 1),
(970, 65072, 0.75),
(971, 65073, 0.8),
(972, 65074, 0.5),
(973, 65075, 1),
(974, 65076, 0.5),
(975, 65077, 1),
(976, 65078, 0.7),
(977, 65079, 1),
(978, 65080, 1),
(979, 65081, 0.5),
(980, 65082, 0.5),
(981, 65083, 0.5),
(2257, 71380, 0.5),
(983, 65085, 0.5),
(984, 65086, 0.5),
(985, 65087, 0.75),
(986, 65088, 0.5),
(2262, 71391, 0.5),
(988, 65141, 1),
(990, 65304, 1),
(991, 65305, 1),
(992, 65306, 1),
(993, 65307, 1),
(994, 65308, 1),
(995, 65309, 1),
(996, 65310, 1),
(997, 65311, 1),
(998, 65312, 1),
(999, 65313, 1),
(1000, 65314, 1),
(1001, 65315, 1),
(1002, 65316, 1),
(1003, 65317, 1),
(1004, 65319, 1),
(1005, 65320, 0.8),
(1006, 65321, 1),
(1007, 65322, 1),
(1008, 65323, 0.5),
(1009, 65324, 0.5),
(1010, 65325, 1),
(1011, 65326, 0.75),
(1012, 65327, 1),
(1013, 65328, 1),
(1014, 65329, 0.5),
(1015, 65330, 0.5),
(1016, 65331, 0.5),
(1017, 65332, 0.25),
(1018, 65333, 1),
(1019, 65334, 1),
(1020, 65335, 1),
(1021, 65336, 1),
(1022, 65337, 1),
(1023, 65338, 0.5),
(1024, 65339, 0.5),
(1054, 65993, 1),
(1057, 65996, 0.8),
(1056, 65995, 0.2),
(1058, 65997, 0.5),
(1059, 65998, 0.5),
(1061, 66023, 1),
(1063, 66041, 1),
(1064, 66042, 1),
(1438, 67944, 1),
(1437, 67943, 1),
(1436, 67942, 1),
(1068, 66060, 0.2),
(1069, 66061, 0.2),
(1070, 66062, 0.6),
(1071, 66064, 0.5),
(1072, 66065, 0.5),
(1073, 66066, 0.4),
(1074, 66067, 0.4),
(1075, 66068, 0.2),
(1076, 66076, 1),
(1077, 66077, 1),
(1078, 66078, 1),
(1079, 66080, 1),
(1080, 66096, 1),
(1081, 66097, 1),
(1082, 66098, 0.5),
(1085, 66101, 1),
(1092, 66118, 0.5),
(1086, 66106, 1),
(1087, 66107, 1),
(1088, 66109, 1),
(1089, 66110, 1),
(1090, 66111, 1),
(1091, 66112, 1),
(1093, 66119, 0.75),
(1095, 66121, 0.5),
(1096, 66122, 1),
(1097, 66123, 1),
(1098, 66124, 0.5),
(1099, 66125, 1),
(1100, 66126, 1),
(1101, 66127, 1),
(1102, 66128, 1),
(1103, 66137, 1),
(1104, 66139, 1),
(1106, 66143, 1),
(1130, 66460, 1),
(1108, 66148, 1),
(1109, 66157, 1),
(1110, 66165, 1),
(1111, 66166, 1),
(1112, 66226, 1),
(1113, 66227, 1),
(1435, 67902, 0.5),
(1434, 67898, 0.5),
(1117, 66235, 1),
(1118, 66236, 1),
(1119, 66237, 1),
(1120, 66238, 1),
(1121, 66239, 1),
(1122, 66248, 1),
(1123, 66259, 1),
(1124, 66296, 1),
(1125, 66297, 1),
(1126, 66324, 1),
(1128, 66404, 1),
(1129, 66441, 1),
(1131, 66461, 1),
(1133, 66537, 1),
(1134, 66575, 1),
(1135, 66576, 1),
(1136, 66577, 1),
(1137, 66630, 1),
(1138, 66631, 1),
(1289, 67212, 1.5),
(1303, 67425, 1),
(1141, 66709, 1),
(1142, 66715, 1),
(1143, 66716, 1),
(1144, 66717, 1),
(1145, 66718, 1),
(1146, 66719, 0.5),
(1147, 66720, 1),
(1148, 66721, 0.5),
(1150, 66723, 0.5),
(1258, 66943, 1),
(1167, 66750, 1),
(1168, 66755, 0.5),
(1171, 66758, 0.25),
(1172, 66759, 0.75),
(1173, 66760, 1),
(1176, 66764, 1),
(1175, 66763, 0.5),
(1178, 66768, 0.5),
(1182, 66789, 1),
(1184, 66791, 1),
(1185, 66796, 1),
(1186, 66797, 1),
(1188, 66799, 1),
(1189, 66800, 1),
(1190, 66802, 1),
(1191, 66803, 1),
(1192, 66804, 1),
(1195, 66807, 1),
(1194, 66806, 1),
(1301, 67271, 1),
(1300, 67247, 1),
(1198, 66810, 1),
(1199, 66811, 1),
(1200, 66813, 1),
(1201, 66814, 1),
(1202, 66815, 1),
(1278, 67019, 1),
(1302, 67294, 1),
(1205, 66819, 0.5),
(1206, 66837, 0.2),
(1207, 66838, 0.9),
(1208, 66839, 1),
(1209, 66862, 1),
(1210, 66863, 1),
(1211, 66864, 1),
(1212, 66865, 1),
(1213, 66866, 1),
(1214, 66867, 1),
(1215, 66868, 1),
(1216, 66869, 1),
(1217, 66870, 1),
(1218, 66871, 0.5),
(1221, 66874, 1),
(1222, 66875, 1),
(1409, 67849, 1),
(1408, 67848, 0.25),
(1226, 66879, 1),
(1227, 66880, 1),
(1414, 67861, 1),
(1413, 67860, 1),
(1896, 69671, 1),
(1898, 69673, 1),
(1233, 66896, 1),
(1234, 66897, 1),
(1276, 67006, 2),
(1236, 66899, 1),
(1415, 67863, 1),
(1238, 66910, 1),
(1239, 66912, 1),
(1241, 66915, 0.6),
(1242, 66916, 0.4),
(1243, 66917, 0.5),
(1244, 66919, 0.5),
(1245, 66921, 0.5),
(1246, 66922, 0.5),
(1247, 66923, 1),
(1249, 66925, 0.5),
(1250, 66926, 0.5),
(1251, 66930, 1),
(1252, 66931, 1),
(1253, 66932, 1),
(1254, 66933, 1),
(1255, 66934, 1),
(1256, 66935, 1),
(1267, 66954, 1),
(1268, 66955, 1),
(1269, 66956, 0.5),
(1270, 66957, 1),
(1271, 66994, 1),
(1282, 67026, 0.5),
(1281, 67024, 1),
(1280, 67023, 1),
(1277, 67009, 2),
(1283, 67027, 1),
(1286, 67061, 0.5),
(1287, 67067, 1),
(1288, 67069, 0.5),
(1290, 67224, 1),
(1291, 67225, 1),
(1292, 67226, 1),
(1394, 67829, 1),
(1294, 67228, 1),
(1305, 67507, 1),
(1299, 67246, 1),
(1304, 67489, 1),
(1306, 67508, 1),
(1307, 67512, 1),
(1308, 67513, 2),
(1339, 67731, 1),
(1310, 67523, 1),
(1311, 67544, 1),
(1312, 67546, 1),
(1445, 68151, 1),
(1314, 67549, 1),
(1315, 67550, 1),
(1316, 67551, 1),
(1317, 67554, 1),
(1318, 67556, 1),
(1319, 67557, 0.5),
(1320, 67563, 0.5),
(1321, 67564, 1),
(1361, 67766, 1),
(1360, 67763, 0),
(1324, 67601, 1),
(1325, 67603, 1),
(1326, 67605, 1),
(1327, 67614, 1),
(1328, 67672, 1),
(1329, 67684, 0.5),
(1330, 67685, 1),
(1331, 67686, 0.5),
(1332, 67687, 1),
(1333, 67714, 1),
(1443, 68038, 1),
(1335, 67726, 1),
(1336, 67727, 1),
(1337, 67728, 1),
(1338, 67729, 1),
(1340, 67732, 1),
(1341, 67734, 1),
(1342, 67735, 1),
(1343, 67739, 0.6),
(1344, 67740, 0.4),
(1349, 67752, 1),
(1346, 67747, 0.4),
(1347, 67750, 0.3),
(1348, 67751, 0.3),
(1350, 67753, 0.5),
(1351, 67754, 0.5),
(1352, 67755, 2),
(1353, 67756, 2),
(1354, 67757, 0.4),
(1355, 67758, 0.8),
(1356, 67759, 1),
(1721, 69342, 1),
(1719, 69340, 2),
(1731, 69352, 1),
(1362, 67767, 0),
(1363, 67768, 1),
(1839, 69608, 1),
(1367, 67774, 0.25),
(1840, 69609, 1),
(1368, 67775, 0.75),
(1369, 67776, 0.75),
(1370, 67777, 0.25),
(1371, 67779, 1),
(1372, 67780, 1),
(1373, 67789, 1),
(1374, 67790, 1),
(1375, 67791, 1),
(1376, 67792, 1),
(1377, 67796, 1),
(1398, 67835, 1),
(1385, 67807, 1),
(1381, 67801, 1),
(1382, 67804, 1),
(1383, 67805, 1),
(1384, 67806, 1),
(1386, 67809, 1),
(1387, 67810, 1),
(1388, 67811, 1),
(1389, 67812, 1),
(1390, 67817, 0.5),
(1391, 67818, 0.5),
(1392, 67819, 0.5),
(1393, 67820, 0.5),
(1395, 67830, 1),
(1396, 67832, 1),
(1397, 67834, 1),
(1399, 67837, 1),
(1400, 67839, 2),
(1423, 67878, 1),
(1424, 67879, 1),
(1403, 67842, 2),
(1425, 67882, 1),
(1405, 67844, 1.5),
(1421, 67876, 1),
(1407, 67846, 2),
(1410, 67850, 1),
(1418, 67872, 1),
(1412, 67856, 1),
(1416, 67870, 1),
(1419, 67873, 1),
(1420, 67874, 1),
(1422, 67877, 1),
(1426, 67883, 0.5),
(1836, 69601, 0.9),
(1428, 67887, 1),
(1429, 67892, 1),
(1430, 67893, 1),
(1431, 67894, 1),
(1432, 67895, 1),
(1433, 67896, 1),
(1439, 67945, 1),
(1837, 69603, 1),
(1441, 68007, 0.5),
(1442, 68009, 1),
(1444, 68149, 0.5),
(1446, 68152, 1),
(1447, 68153, 1),
(1448, 68154, 0.5),
(1450, 68188, 1),
(1451, 68209, 1),
(1452, 68212, 1),
(1453, 68213, 1),
(1454, 68214, 1),
(1456, 68216, 1),
(1457, 68217, 1),
(1458, 68219, 1),
(1460, 68240, 0.5),
(1461, 68241, 0.5),
(1462, 68243, 0),
(1463, 68244, 0),
(1464, 68245, 0),
(1465, 68246, 0),
(1606, 68530, 1),
(1467, 68248, 0.5),
(1468, 68249, 1),
(1469, 68250, 0.5),
(1470, 68251, 0.5),
(1471, 68254, 0),
(1472, 68255, 1),
(1473, 68256, 1),
(1474, 68261, 0),
(1475, 68267, 1),
(1476, 68268, 0),
(1477, 68269, 0),
(1478, 68270, 1),
(1479, 68271, 1),
(1480, 68272, 0),
(1481, 68279, 0.5),
(1482, 68280, 0.75),
(1483, 68210, 1),
(1484, 68281, 1),
(1485, 68282, 0.5),
(1486, 68283, 0.5),
(1487, 68284, 1),
(1489, 68286, 1),
(1490, 68287, 1),
(1491, 68288, 1),
(1492, 68289, 1),
(1493, 68341, 0.4),
(1494, 68342, 0.8),
(1495, 68343, 0),
(1496, 68344, 0),
(1497, 68345, 0),
(1498, 68346, 0),
(1499, 68347, 0),
(1500, 68348, 0),
(1507, 68356, 0),
(1502, 68351, 0),
(1509, 68358, 0),
(1504, 68353, 0),
(1506, 68355, 0),
(1508, 68357, 0),
(1510, 68359, 0),
(1513, 68362, 1),
(1512, 68361, 1),
(1569, 68368, 0),
(1515, 68370, 0),
(1516, 68371, 0),
(1517, 68372, 0),
(1518, 68373, 0),
(1520, 68403, 1),
(1521, 68411, 1),
(1522, 68412, 1),
(1523, 68413, 1),
(1524, 68414, 0.4),
(1525, 68415, 0.3),
(1526, 68416, 1),
(1527, 68417, 0.3),
(1528, 68418, 1),
(1583, 68481, 0),
(1530, 68420, 0.5),
(1531, 68421, 1),
(1532, 68422, 0.5),
(1533, 68424, 0.3),
(1580, 68478, 0),
(1535, 68427, 0.2),
(1537, 68429, 1),
(1538, 68430, 1),
(1539, 68431, 1),
(1540, 67552, 1),
(1541, 67553, 1),
(1542, 68440, 1),
(1543, 68441, 1),
(1544, 68442, 0.5),
(1561, 68459, 1),
(1546, 68444, 0.75),
(1562, 68460, 0.5),
(1548, 68446, 0.5),
(1549, 68447, 0.2),
(1560, 68458, 0.5),
(1551, 68449, 0.9),
(1605, 68519, 1),
(1553, 68451, 0.5),
(1554, 68452, 1),
(1555, 68453, 1),
(1556, 68454, 1),
(1557, 68455, 1),
(1558, 68456, 0.5),
(1559, 68457, 1),
(1563, 68461, 0.75),
(1600, 68514, 0.25),
(1565, 68463, 1),
(1566, 68464, 1),
(1567, 68465, 1),
(1568, 68466, 0),
(1570, 68468, 1),
(1571, 68469, 1),
(1572, 68470, 1),
(1573, 68471, 1),
(1574, 68472, 1),
(1575, 68473, 1),
(1576, 68474, 1),
(1577, 68475, 1),
(1578, 68476, 1),
(1579, 68477, 2),
(1581, 68479, 1),
(1689, 68896, 0),
(1584, 68482, 0.5),
(1585, 68483, 0),
(1586, 68484, 0),
(2042, 70171, 0),
(1588, 68486, 1),
(1589, 68487, 2),
(1590, 68488, 1),
(1591, 68489, 1),
(1592, 68492, 1),
(1593, 68493, 0),
(1595, 68498, 1),
(1596, 68505, 1),
(1597, 68506, 1),
(1598, 68507, 1),
(1601, 68515, 0.5),
(1603, 68517, 0),
(1604, 68518, 0),
(1607, 68537, 1),
(1608, 68555, 1),
(1610, 68562, 1),
(1611, 68563, 1),
(1612, 68564, 1),
(1613, 68565, 1),
(1616, 68568, 0.5),
(1615, 68567, 0.5),
(1617, 68569, 1),
(1618, 68570, 1),
(1619, 68571, 1),
(1620, 68572, 1),
(1621, 68581, 1),
(1622, 68582, 1),
(1623, 68583, 1),
(1624, 68584, 1),
(1625, 66846, 2),
(1626, 66850, 2),
(1627, 66852, 1),
(1628, 65886, 0.5),
(1629, 66069, 1.5),
(1630, 65887, 0.5),
(1631, 66070, 0.5),
(1632, 66072, 1),
(1633, 66073, 2),
(1634, 64359, 1),
(1635, 67865, 1),
(1636, 68729, 0),
(1637, 68750, 0.75),
(1638, 68752, 0.25),
(1639, 68754, 0),
(1640, 68755, 0),
(1641, 68756, 0),
(1642, 68757, 0),
(1643, 68758, 0),
(1644, 68759, 0),
(1645, 68760, 0),
(1646, 68761, 0),
(1647, 68762, 1),
(1648, 68763, 1),
(1649, 68764, 1),
(1650, 68777, 0),
(1651, 68778, 0),
(1652, 68779, 0),
(1653, 68780, 0),
(1654, 68782, 0),
(1655, 68783, 0),
(1656, 68784, 0),
(1657, 68785, 0),
(1658, 68786, 0),
(1660, 68790, 0),
(1661, 68791, 0),
(1662, 68792, 0),
(1663, 68793, 0),
(1664, 68794, 0),
(1665, 68798, 0),
(1666, 68799, 0.5),
(1674, 68831, 0),
(1675, 68832, 0),
(1669, 68808, 1),
(1670, 68813, 1),
(1676, 68833, 0),
(1678, 68835, 0),
(1677, 68834, 0),
(1679, 68836, 0),
(1680, 68837, 0),
(1681, 68838, 0),
(1682, 68839, 0),
(1683, 68840, 0),
(1684, 68841, 0),
(1685, 68842, 0),
(1686, 68851, 1),
(1687, 68867, 1),
(1688, 68871, 0),
(1690, 68901, 0),
(1691, 68904, 0),
(1692, 68945, 1),
(1701, 69305, 0),
(1694, 68948, 0),
(1695, 68949, 0),
(1696, 68950, 0),
(1697, 68951, 0),
(1698, 68952, 0),
(1700, 69304, 0),
(1702, 69311, 1),
(1703, 69314, 1),
(1704, 69315, 1),
(1705, 69316, 1),
(1706, 69317, 1),
(1707, 69318, 1),
(1709, 69320, 0),
(1710, 69321, 0),
(1711, 69322, 0),
(1712, 69323, 0),
(1713, 69332, 1),
(1714, 69335, 1),
(1715, 69336, 1),
(1716, 69337, 1),
(1717, 69338, 2),
(1718, 69339, 2),
(1722, 69343, 1),
(1723, 69344, 1),
(1725, 69346, 1),
(1726, 69347, 1),
(1728, 69349, 0.5),
(1729, 69350, 1),
(1730, 69351, 1),
(1732, 69357, 1),
(1733, 69358, 1),
(1734, 63934, 0.5),
(1735, 69392, 0.5),
(1736, 69396, 1),
(1737, 69404, 0.5),
(1738, 69405, 0.5),
(1741, 69425, 1),
(1742, 69426, 0.5),
(1743, 69427, 1),
(1744, 69428, 1),
(1745, 69429, 1),
(1746, 69436, 1),
(1747, 69437, 0),
(1748, 69438, 0),
(1749, 69439, 0),
(1750, 69440, 0),
(1751, 69441, 0),
(1752, 69442, 0),
(1753, 69455, 1),
(1754, 69456, 1),
(1755, 69457, 1),
(1929, 69797, 0.1),
(2118, 70925, 0),
(1758, 69468, 0),
(1759, 69469, 0),
(1760, 69470, 0),
(1761, 69471, 0),
(1816, 69574, 0.25),
(1815, 69573, 0.5),
(1814, 69572, 1),
(1838, 69605, 1),
(1766, 69516, 0),
(1767, 69517, 1.5),
(1768, 69518, 0.25),
(1769, 69519, 0.5),
(1770, 69520, 0.5),
(1771, 69521, 1),
(1772, 69522, 1),
(1773, 69523, 0.25),
(1774, 69524, 0.75),
(1775, 69525, 1),
(1776, 69526, 1),
(1777, 69527, 1),
(1778, 69528, 0.75),
(1779, 69529, 0.5),
(1780, 69530, 1),
(1781, 69531, 0.5),
(1782, 69532, 0.5),
(2525, 72102, 1),
(1784, 69534, 1),
(1785, 69535, 1),
(1786, 69536, 1),
(1787, 69542, 1),
(1788, 69543, 1),
(1789, 69544, 1),
(1790, 69545, 1),
(1791, 69546, 1),
(1792, 69547, 1),
(1793, 69548, 1),
(1794, 69549, 1),
(1795, 69550, 1),
(1796, 69551, 1),
(1797, 69552, 2),
(1798, 69553, 2),
(1799, 69554, 2),
(1800, 69555, 1),
(1801, 69556, 2),
(1802, 69557, 1),
(1803, 69558, 2),
(1804, 69559, 1),
(1805, 69560, 1),
(1806, 69561, 2),
(1807, 69565, 2),
(1808, 69566, 2),
(1809, 69567, 2),
(1810, 69568, 0.8),
(2151, 71086, 2),
(2122, 63740, 0.2),
(1817, 69575, 0.5),
(1821, 69579, 0.5),
(1819, 69577, 1),
(1820, 69578, 0.2),
(1822, 69580, 0.3),
(1823, 69581, 0.3),
(1824, 69582, 0.7),
(1830, 69588, 0.75),
(1826, 69584, 1),
(1828, 69586, 0.7),
(1829, 69587, 0.3),
(1831, 69589, 1),
(1832, 69590, 0.7),
(1833, 69592, 2),
(1834, 69593, 2),
(1905, 69724, 0.5),
(1841, 69610, 1),
(1842, 69611, 1),
(1843, 69612, 0.5),
(1844, 69613, 1),
(1845, 69614, 1),
(1846, 69615, 1),
(1847, 69616, 1),
(1848, 69617, 1),
(1851, 69620, 1),
(1850, 69619, 1),
(1855, 69627, 1),
(1853, 69625, 1),
(1854, 69626, 1),
(1856, 69628, 1),
(1857, 69629, 1),
(1858, 69630, 1),
(1859, 69631, 1),
(1860, 69632, 1),
(1861, 69633, 1),
(1862, 69634, 1),
(1863, 69635, 1),
(1864, 69636, 1),
(1865, 69637, 1),
(1866, 69638, 1),
(1867, 69639, 1),
(1868, 69640, 1),
(1869, 69641, 1),
(2053, 70616, 0),
(1931, 69799, 0.05),
(1872, 69644, 2),
(1873, 69645, 2),
(1874, 69647, 0.75),
(1897, 69672, 1),
(1876, 69649, 1),
(1877, 69650, 1),
(1878, 69651, 1),
(1879, 69652, 1),
(1880, 69653, 1),
(1881, 69654, 1),
(1882, 69655, 1),
(1883, 69656, 1),
(1884, 69657, 1),
(1885, 69658, 1),
(1886, 69659, 1),
(1887, 69660, 0.5),
(1888, 69661, 1),
(1889, 69662, 1),
(1890, 69663, 1),
(1891, 69664, 1),
(1892, 69665, 1),
(1893, 69666, 1),
(1894, 69667, 0.5),
(1899, 69674, 2),
(1900, 69679, 0.3),
(1901, 69683, 1),
(1902, 69684, 0),
(1903, 69685, 0),
(1932, 69800, 0),
(2717, 72696, 0.75),
(1907, 69727, 1),
(1908, 69737, 0),
(1909, 69738, 0),
(1910, 69739, 0),
(1911, 69741, 0),
(1912, 69743, 0),
(1913, 69744, 0),
(1914, 69745, 0),
(1915, 69746, 0),
(1916, 69747, 0),
(1917, 69751, 0),
(1918, 64777, 1),
(1919, 64783, 1),
(1920, 64789, 2),
(1921, 64798, 1),
(1922, 69787, 1),
(1923, 69788, 2),
(1924, 69791, 1),
(1925, 69793, 1),
(1926, 69794, 1),
(1933, 69803, 0),
(1939, 69838, 0),
(1935, 69805, 0),
(1936, 69806, 0),
(1937, 69807, 0),
(1938, 69811, 0),
(1940, 69850, 0),
(1941, 69851, 0),
(1942, 69852, 0),
(1943, 69857, 0),
(1944, 69885, 1),
(1945, 69985, 1),
(1946, 69986, 1),
(1947, 69987, 1),
(1948, 69988, 1),
(1949, 69989, 1),
(1950, 69990, 1),
(1951, 69991, 1),
(1952, 69992, 1),
(1953, 69993, 1),
(1954, 69994, 1),
(1955, 69995, 1),
(1956, 69996, 1),
(1957, 69997, 1),
(1958, 69998, 1),
(1959, 69999, 1),
(1960, 70000, 1),
(1961, 70001, 1),
(1962, 70002, 1),
(1963, 70003, 0.5),
(1964, 70004, 0),
(1965, 70005, 1),
(1966, 70006, 1),
(1967, 70007, 1),
(1968, 70008, 0.5),
(1969, 70009, 0),
(1970, 70010, 0.5),
(2381, 71700, 1),
(1972, 70012, 1),
(1973, 70013, 1),
(2361, 71582, 0),
(1975, 70015, 0.5),
(1976, 70016, 0),
(1977, 70017, 1),
(1978, 70018, 0),
(1979, 70019, 0.5),
(1980, 70020, 1),
(1986, 70026, 1),
(1987, 70027, 1),
(1988, 70028, 1),
(1984, 70024, 1),
(1985, 70025, 1),
(1989, 70029, 1),
(1990, 70030, 1),
(1991, 70031, 1),
(1992, 70032, 1),
(2344, 71561, 1),
(1994, 70034, 1),
(1995, 70080, 1),
(1996, 70086, 1),
(1997, 70087, 1),
(1998, 70088, 1),
(1999, 70089, 1),
(2000, 70090, 1),
(2001, 70091, 1),
(2002, 70092, 1),
(2003, 70093, 1),
(2004, 70094, 0.5),
(2005, 70095, 0.5),
(2006, 70096, 1),
(2046, 70308, 0),
(2008, 70098, 1),
(2009, 70099, 1),
(2010, 70100, 1),
(2011, 70101, 1),
(2012, 70102, 1),
(2382, 71701, 1),
(2383, 71702, 1),
(2015, 70105, 1),
(2016, 70106, 0.75),
(2017, 70107, 1),
(2018, 70108, 1),
(2019, 70109, 1),
(2020, 70110, 1),
(2021, 70111, 1),
(2022, 70112, 1),
(2023, 70113, 1),
(2024, 70114, 1),
(2025, 70115, 1),
(2026, 70116, 1),
(2027, 70117, 1),
(2028, 70118, 1),
(2029, 70119, 1),
(2030, 70120, 1),
(2031, 70121, 1),
(2032, 70122, 1),
(2033, 70123, 1),
(2034, 70125, 1),
(2035, 70126, 1),
(2036, 70128, 1),
(2037, 70129, 0.75),
(2038, 70163, 0),
(2039, 70164, 0),
(2040, 70167, 0),
(2041, 70169, 0),
(2043, 70172, 0),
(2048, 70328, 0),
(2045, 70174, 0),
(2047, 70314, 0),
(2049, 70333, 0),
(2050, 70338, 0),
(2051, 70473, 0),
(2052, 70610, 0),
(2054, 70755, 1),
(2055, 70797, 1),
(2056, 70799, 0),
(2057, 70806, 0),
(2058, 70808, 1),
(2059, 70809, 1),
(2060, 70810, 1),
(2061, 70811, 1),
(2062, 70812, 1),
(2063, 70813, 1),
(2064, 70814, 1),
(2065, 70815, 1),
(2066, 70816, 1),
(2067, 70817, 1),
(2068, 70818, 1),
(2069, 70819, 1),
(2070, 70820, 1),
(2071, 70821, 1),
(2072, 70822, 1),
(2073, 70823, 1),
(2074, 70824, 1),
(2075, 70825, 1),
(2076, 70826, 1),
(2077, 70827, 1),
(2078, 70828, 1),
(2079, 70829, 1),
(2080, 70830, 1),
(2081, 70831, 1),
(2082, 70832, 1),
(2083, 70833, 1),
(2084, 70834, 1),
(2085, 70835, 1),
(2086, 70836, 1),
(2087, 70837, 0.5),
(2088, 70859, 1),
(2089, 70860, 1),
(2090, 70861, 1),
(2091, 70862, 1),
(2092, 70863, 1),
(2093, 70864, 1),
(2094, 70865, 1),
(2095, 70866, 1),
(2096, 70867, 1),
(2097, 70868, 1),
(2098, 70874, 1),
(2099, 70875, 1),
(2100, 70876, 1),
(2101, 70877, 1),
(2102, 70878, 1),
(2103, 70879, 1),
(2114, 70908, 2),
(2105, 70881, 1),
(2106, 70882, 0.5),
(2115, 70922, 2),
(2108, 70884, 1),
(2109, 70885, 2),
(2110, 70886, 2),
(2111, 70887, 2),
(2112, 70888, 2),
(2113, 70889, 2),
(2116, 70923, 2),
(2117, 70924, 1),
(2119, 70926, 2),
(2150, 71041, 0.4),
(2123, 71010, 1),
(2124, 71012, 1),
(2125, 71013, 1),
(2126, 71014, 1),
(2127, 71015, 1),
(2128, 71016, 1),
(2129, 71017, 1),
(2130, 71018, 1),
(2131, 71019, 1),
(2132, 71020, 1),
(2145, 71034, 1),
(2134, 71022, 1),
(2135, 71023, 1),
(2136, 71024, 1),
(2137, 71025, 1),
(2138, 71026, 1),
(2139, 71027, 1),
(2140, 71028, 1),
(2141, 71029, 1),
(2142, 71031, 1),
(2143, 71032, 1),
(2144, 71033, 1),
(2146, 71035, 0.5),
(2147, 71036, 0.25),
(2148, 71039, 0.5),
(2149, 71040, 0.6),
(2152, 71089, 1),
(2153, 71090, 1),
(2154, 64672, 0.5),
(2155, 64702, 0.5),
(2156, 71093, 0.05),
(2157, 71094, 0.6),
(2158, 71095, 0.25),
(2159, 71096, 0.1),
(2160, 71097, 2),
(2161, 71098, 2),
(2162, 71099, 1),
(2163, 71100, 1),
(2164, 71101, 1),
(2165, 71102, 1),
(2166, 71103, 1),
(2167, 71104, 1),
(2168, 71105, 1),
(2169, 71106, 1),
(2170, 71107, 1),
(2171, 71108, 1),
(2172, 71109, 1),
(2173, 71110, 2),
(2174, 71111, 0.5),
(2175, 71112, 2),
(2176, 71113, 2),
(2177, 71114, 2),
(2178, 71117, 0),
(2179, 71138, 0),
(2180, 71142, 0),
(2181, 71144, 0),
(2182, 71145, 0),
(2183, 71146, 0),
(2184, 71147, 0),
(2185, 71148, 0),
(2186, 71149, 0),
(2187, 71150, 0),
(2188, 71151, 0),
(2189, 71152, 1),
(2190, 71153, 1),
(2191, 64673, 0.75),
(2193, 71155, 1),
(2194, 71156, 1),
(2195, 71157, 1),
(2196, 71158, 1),
(2197, 71159, 1),
(2198, 71160, 1),
(2199, 71161, 1),
(2200, 71162, 1),
(2201, 71163, 1),
(2202, 71164, 1),
(2203, 71165, 1),
(2204, 71166, 1),
(2205, 71167, 1),
(2206, 71168, 1),
(2207, 71169, 1),
(2208, 71170, 0),
(2209, 71171, 0),
(2210, 71172, 0),
(2211, 71173, 0),
(2212, 71174, 0),
(2213, 71203, 1),
(2214, 71204, 0.5),
(2215, 71206, 0.5),
(2410, 71756, 1),
(2721, 72700, 0.5),
(2722, 72701, 0.5),
(2219, 71245, 1),
(2220, 71251, 0),
(2221, 71254, 0),
(2222, 71258, 0),
(2223, 71260, 0),
(2224, 71262, 0),
(2225, 71263, 0),
(2226, 71264, 1),
(2227, 71270, 0),
(2228, 71271, 0),
(2229, 71283, 0.5),
(2230, 71284, 0),
(2231, 71285, 0.5),
(2232, 71286, 0),
(2233, 71287, 0.5),
(2234, 71288, 0.75),
(2235, 71289, 0.5),
(2236, 71290, 0.5),
(2237, 71291, 0.5),
(2238, 71292, 0.75),
(2239, 71293, 0.5),
(2240, 71294, 0.5),
(2241, 71295, 0.5),
(2242, 71296, 0.25),
(2243, 71297, 0.25),
(2244, 71298, 0.5),
(2245, 71299, 0.25),
(2246, 71300, 0.25),
(2247, 71301, 0),
(2248, 71302, 0),
(2249, 71303, 0),
(2250, 71304, 0),
(2251, 71305, 1),
(2252, 71372, 0.5),
(2253, 71373, 2),
(2254, 71377, 1),
(2255, 71378, 1),
(2256, 71379, 0.25),
(2258, 71382, 0.5),
(4024, 71384, 0.25),
(2260, 71388, 0),
(2261, 71389, 0),
(2297, 65008, 1),
(2264, 71393, 0.5),
(2265, 71394, 2),
(2266, 71395, 0.5),
(2267, 71396, 1),
(2268, 71428, 0.5),
(2269, 71429, 0.25),
(2270, 71430, 1),
(2271, 71431, 0.25),
(2272, 71432, 1),
(2273, 71433, 0.25),
(2274, 71434, 1),
(2275, 71435, 1),
(2276, 71436, 0.5),
(2292, 71451, 1),
(2278, 71438, 0.5),
(2279, 71439, 0.5),
(2280, 71440, 1),
(2286, 65702, 1),
(2282, 71442, 0.5),
(2283, 71443, 1),
(2284, 71444, 0),
(2285, 71445, 1),
(2287, 65709, 0.5),
(2295, 71454, 0.75),
(2289, 71448, 0.25),
(2290, 65737, 0.5),
(2294, 71453, 0),
(2296, 65703, 0.75),
(2298, 71456, 0.5),
(2299, 71460, 0),
(2301, 71464, 2),
(2302, 71465, 2),
(2303, 71470, 0),
(2305, 71474, 1),
(2306, 71485, 0),
(2307, 71486, 0),
(2308, 71489, 0.5),
(2309, 71490, 0.75),
(2310, 71491, 1),
(2311, 71492, 1),
(2312, 71493, 1),
(2313, 71494, 1),
(2314, 71495, 1),
(2315, 71496, 0),
(2316, 71497, 0),
(2317, 71501, 0),
(2318, 71514, 0),
(2319, 71515, 0),
(2320, 71517, 0.5),
(2321, 71518, 0.5),
(2322, 71519, 0),
(2323, 71520, 1),
(2324, 71535, 1),
(2325, 71536, 1),
(2326, 71537, 2),
(2327, 71538, 1),
(2329, 71540, 0.5),
(2330, 71541, 1),
(2331, 71542, 1),
(2332, 71543, 1),
(2333, 71544, 1),
(2334, 71546, 1),
(2335, 71549, 1),
(2336, 71550, 1),
(2337, 71551, 1),
(2338, 71552, 1),
(2339, 71553, 1),
(2340, 71554, 0),
(2341, 71556, 0),
(2342, 71557, 0),
(2343, 71560, 2),
(2345, 71562, 2),
(2346, 71563, 2),
(2347, 71564, 0.5),
(2348, 71566, 1),
(2349, 71567, 0.25),
(2350, 71571, 0.5),
(2370, 71592, 1),
(2352, 71573, 0),
(2353, 71574, 0),
(2354, 71575, 0),
(2355, 71576, 0),
(2356, 71577, 0),
(2357, 71578, 0),
(2358, 71579, 0),
(2359, 71580, 0.5),
(2360, 71581, 0),
(2362, 71583, 0),
(2363, 71584, 0),
(2364, 71585, 0),
(2365, 71586, 0),
(2366, 71587, 0),
(2367, 71588, 0),
(2368, 71590, 0.75),
(2371, 71593, 1),
(2372, 71594, 1),
(2373, 71595, 1),
(2374, 71596, 1),
(2375, 71597, 1),
(2376, 71598, 1),
(2377, 71599, 0.5),
(2378, 71697, 1),
(2379, 71698, 0.5),
(2380, 71699, 0.75),
(2384, 71703, 2),
(2385, 71704, 1),
(2386, 71705, 2),
(2387, 71706, 1),
(2388, 71707, 1),
(2389, 71711, 1),
(2390, 71712, 1),
(2391, 71714, 1),
(2392, 71715, 1),
(2393, 71716, 1),
(2395, 71719, 1),
(2457, 68247, 1.5),
(2397, 71723, 1),
(2398, 71724, 1),
(2399, 71725, 1),
(2400, 71726, 1),
(2401, 71727, 1),
(2402, 71728, 1),
(2403, 71729, 1),
(2404, 71730, 1),
(2405, 71731, 1),
(2406, 71732, 1),
(2407, 71733, 0.5),
(2408, 71751, 1),
(2409, 71753, 1),
(2411, 71757, 1),
(2412, 71758, 1),
(2413, 71759, 1),
(2414, 71760, 1),
(2415, 71761, 1),
(2485, 71854, 1),
(2477, 71842, 1),
(2478, 71843, 1),
(2479, 71844, 1),
(2480, 71845, 1),
(2481, 71846, 0),
(2422, 71774, 0.5),
(2423, 71775, 0.5),
(2424, 71778, 0.5),
(2425, 71779, 0.5),
(2426, 71780, 0.2),
(2427, 71781, 0),
(2428, 71782, 0.3),
(2429, 71783, 1),
(2430, 71784, 0.5),
(2431, 71785, 0.5),
(2432, 71786, 1),
(2433, 71787, 0.2),
(2502, 72031, 1),
(2435, 71789, 0.5),
(2436, 71790, 0.3),
(2437, 71791, 0.5),
(2438, 71792, 0),
(2439, 71796, 1),
(2440, 71797, 1),
(2441, 71798, 1),
(2442, 71799, 1),
(2443, 71801, 0),
(2444, 71802, 0),
(2445, 71803, 1),
(2446, 71804, 1),
(2447, 71805, 0.75),
(2448, 71806, 0.25),
(2449, 71807, 1),
(2494, 71904, 1),
(2451, 71809, 1),
(2452, 71810, 1),
(2453, 71811, 1),
(2454, 71812, 1),
(2455, 71818, 0),
(2456, 71827, 2),
(2458, 71828, 1),
(2459, 63335, 1),
(2460, 64361, 1),
(2461, 71829, 0.25),
(2462, 71830, 0.25),
(2463, 71831, 0.5),
(2464, 71832, 0.75),
(2465, 71833, 0.5),
(2466, 71834, 0.5),
(2467, 71835, 0.5),
(2468, 71836, 1),
(2538, 72134, 1),
(2470, 71838, 1),
(2471, 67509, 1),
(2472, 62748, 1),
(2473, 62749, 1),
(2474, 71839, 0.25),
(2475, 71840, 1),
(2476, 71841, 0.25),
(2482, 71847, 0),
(2483, 71848, 0),
(2484, 71849, 1),
(2486, 71855, 1),
(2487, 71856, 1),
(2488, 71857, 1),
(2489, 71858, 1),
(2490, 71859, 1),
(2491, 71862, 0),
(2492, 71863, 0),
(2493, 71868, 1),
(2495, 71958, 1),
(2496, 71959, 1),
(2497, 71960, 1),
(2498, 71961, 1),
(2499, 71962, 1),
(2500, 71987, 1),
(2503, 72032, 1),
(2504, 72033, 1),
(2505, 72034, 1),
(2506, 72036, 1),
(2507, 72042, 0),
(2508, 72043, 0),
(2510, 72045, 0),
(2511, 72046, 0),
(2512, 72047, 1),
(2513, 72048, 0.5),
(2514, 72049, 0),
(2515, 72050, 0),
(2517, 72055, 0),
(2518, 72056, 0),
(2519, 72057, 0),
(2520, 72073, 1),
(2524, 72094, 1),
(2522, 72085, 0.5),
(2523, 72087, 0.5),
(2526, 72103, 1),
(2527, 72104, 1),
(2528, 72105, 0.5),
(2539, 72160, 0.5),
(2533, 72122, 1),
(2534, 72123, 1),
(2532, 72109, 0.5),
(2535, 72125, 1),
(2536, 72127, 1),
(2537, 72130, 1),
(2540, 72161, 0.5),
(2541, 72193, 0.25),
(2542, 72194, 0.25),
(2543, 72197, 1),
(2544, 72312, 0),
(2545, 72313, 2),
(2708, 72687, 2),
(2547, 72342, 1),
(2548, 72367, 1),
(2549, 72377, 1),
(2550, 72386, 1),
(2551, 72387, 0.5),
(2716, 72695, 0.5),
(2553, 72389, 1),
(2554, 72390, 0.5),
(2555, 72391, 0.5),
(2556, 72392, 0.25),
(2585, 72466, 0.25),
(2558, 72420, 0.5),
(2559, 72422, 0.5),
(2560, 72423, 0),
(2561, 72424, 0),
(2599, 72498, 0),
(2565, 72429, 0),
(2600, 72499, 0),
(2567, 72443, 0),
(2568, 72446, 0),
(2609, 72511, 1),
(2570, 72448, 1),
(2571, 72450, 0.5),
(2572, 72451, 0.25),
(2573, 72452, 0.25),
(2574, 72453, 0.5),
(2575, 72455, 0.5),
(2576, 72456, 0),
(2577, 72457, 1),
(2578, 72458, 1),
(2579, 72459, 1),
(2580, 72461, 0.5),
(2581, 72462, 1),
(2582, 72463, 0.5),
(2583, 72464, 0.75),
(2584, 72465, 1),
(2586, 72467, 0.25),
(2587, 72485, 1),
(2588, 72486, 1),
(2589, 72487, 1),
(2590, 72488, 0.5),
(2593, 72491, 0),
(2592, 72490, 0),
(2594, 72493, 0),
(2595, 72494, 0),
(2598, 72497, 0),
(2597, 72496, 0),
(2601, 72500, 0),
(2602, 72502, 0),
(2603, 72503, 0),
(2604, 72504, 0),
(2605, 72505, 0),
(2606, 72506, 0),
(2607, 72507, 0),
(2608, 72508, 0),
(2610, 72512, 1),
(2611, 72514, 1),
(2612, 72515, 0.5),
(2613, 72516, 1),
(2614, 72521, 1),
(2615, 72522, 1),
(2616, 72523, 1),
(2617, 72524, 1),
(2618, 72525, 0.5),
(2619, 72526, 0.5),
(2620, 72527, 1),
(2621, 72528, 1),
(2622, 72529, 1),
(2623, 72549, 1),
(2624, 72550, 0.5),
(2625, 72551, 0.5),
(2626, 72552, 1),
(2629, 72583, 1),
(2628, 72580, 0),
(2630, 72588, 1),
(2631, 72589, 1),
(2632, 72590, 1),
(2633, 72591, 1),
(2634, 72592, 1),
(2635, 72593, 0.5),
(2639, 72598, 0.25),
(2637, 72596, 1),
(2638, 72597, 1),
(2640, 72600, 0.25),
(2641, 72601, 1),
(2642, 72602, 1),
(2643, 72603, 1),
(2644, 72604, 1),
(2645, 72605, 1),
(2646, 72606, 1),
(2647, 72607, 1),
(2648, 72608, 1),
(2649, 72609, 1),
(2650, 72610, 1),
(2651, 72611, 1),
(2652, 72612, 1),
(2653, 72613, 1),
(2654, 72614, 0.25),
(2655, 72615, 0.5),
(2656, 72616, 1),
(2657, 72617, 0.5),
(3415, 74730, 2),
(2659, 72619, 1),
(2660, 72620, 0.5),
(2661, 72621, 0.5),
(2662, 72622, 1),
(2663, 72623, 1),
(2664, 72624, 0.5),
(2665, 72625, 1),
(2666, 72626, 0.5),
(2667, 72628, 1),
(2668, 72629, 1),
(2669, 72630, 0.75),
(2670, 72631, 1),
(2671, 72637, 1),
(2672, 72638, 1),
(2673, 72639, 1),
(2674, 72641, 1),
(2675, 72642, 0),
(2676, 72643, 0.25),
(2677, 72644, 0.75),
(2678, 72645, 1),
(2679, 72646, 1),
(2680, 72647, 1),
(2681, 72648, 1),
(2682, 72649, 1),
(2684, 72651, 1),
(2685, 72652, 1),
(2686, 72653, 1),
(2687, 72665, 0.25),
(2688, 72666, 0.5),
(2734, 72749, 1),
(2735, 72750, 0.5),
(2691, 72670, 0),
(2692, 72671, 1),
(2693, 72672, 1),
(2694, 72673, 1),
(2695, 72674, 2),
(2696, 72675, 1),
(2697, 72676, 0.5),
(2698, 72677, 1),
(2699, 72678, 1),
(2700, 72679, 1),
(2701, 72680, 1),
(2702, 72681, 0.5),
(2703, 72682, 1),
(2704, 72683, 2),
(2705, 72684, 2),
(2706, 72685, 2),
(2707, 72686, 2),
(2709, 72688, 1),
(2710, 72689, 1),
(2711, 72690, 1),
(2712, 72691, 1),
(2713, 72692, 1),
(2714, 72693, 0.75),
(2715, 72694, 0.25),
(2718, 72697, 1),
(2719, 72698, 0.5),
(2720, 72699, 0.5),
(2723, 72702, 0.5),
(2724, 72703, 0.5),
(2725, 72704, 0.25),
(2726, 72705, 0.5),
(2727, 72706, 0.5),
(2728, 72707, 1),
(2729, 72708, 1),
(2730, 72709, 1),
(2731, 72728, 1),
(2732, 72731, 1),
(2733, 72732, 1),
(2736, 72765, 0.25),
(2737, 72766, 0.25),
(2738, 72767, 0.25),
(2739, 72768, 0.25),
(2740, 72769, 0.5),
(2741, 72770, 0.25),
(2742, 72771, 0.25),
(2743, 72772, 1),
(2744, 68187, 1),
(2745, 72773, 1),
(2746, 72774, 1),
(2748, 72776, 1),
(2751, 72779, 1),
(2750, 72778, 1),
(2752, 72782, 0),
(2753, 72783, 0),
(2754, 72804, 1),
(2755, 72805, 1),
(2756, 72806, 1),
(2757, 72807, 1),
(2758, 72808, 1),
(2759, 72898, 0),
(2760, 72899, 0),
(2761, 72900, 0),
(2762, 72901, 0),
(2763, 72902, 0),
(2764, 72903, 0),
(2765, 72904, 0),
(2766, 72905, 0),
(2767, 72906, 0),
(2768, 72917, 0),
(2769, 72920, 0),
(2770, 72923, 0),
(2771, 72926, 0),
(2772, 72927, 0),
(2773, 72928, 0),
(2774, 72929, 0),
(2775, 72930, 0),
(2776, 72934, 0),
(2777, 72937, 0),
(2778, 72939, 1),
(2779, 72940, 0),
(2780, 72951, 0),
(2781, 73005, 0.5),
(2782, 73018, 0.25),
(2783, 73080, 1),
(2784, 73114, 0),
(2785, 73115, 0),
(2786, 73116, 0),
(2787, 73117, 0),
(2788, 73118, 0),
(2789, 73119, 0),
(2790, 73120, 0),
(2791, 73121, 0),
(2792, 73122, 0),
(2793, 73123, 0),
(2794, 73124, 0),
(2795, 73125, 0),
(2796, 73126, 0),
(2797, 73127, 0),
(2798, 73128, 0),
(2799, 73129, 0),
(2800, 73131, 0),
(2801, 73132, 0),
(2802, 73133, 0),
(2803, 73134, 0),
(2804, 73135, 0),
(2805, 73136, 0),
(2806, 73137, 0),
(2807, 73138, 0),
(2808, 73140, 0),
(2809, 73141, 0),
(2810, 73142, 0),
(2811, 73143, 0),
(2823, 73182, 0.5),
(2813, 73147, 0),
(2814, 73151, 1),
(2815, 73152, 1),
(2816, 73170, 1),
(2817, 73171, 0.25),
(2818, 73172, 0.25),
(2819, 73173, 0.5),
(2820, 73179, 0.5),
(2821, 73180, 1),
(2824, 73190, 1),
(2825, 73200, 0),
(2826, 73202, 0),
(3025, 73596, 1),
(2828, 73206, 0),
(2829, 73207, 0),
(2830, 73208, 0),
(3022, 73593, 1),
(3023, 73594, 1),
(2833, 73211, 1),
(2834, 73212, 1),
(3024, 73595, 1),
(2836, 73214, 0.5),
(3026, 73597, 1),
(2839, 73218, 1),
(2843, 73225, 1),
(2841, 73220, 1),
(2842, 73221, 1),
(2844, 73226, 0),
(2845, 73227, 0),
(2846, 73228, 0),
(2848, 73230, 0),
(2849, 73231, 1),
(2850, 73232, 1),
(2851, 73233, 0),
(2852, 73234, 0),
(2853, 73238, 1),
(2854, 73239, 1),
(2855, 73240, 1),
(2856, 73241, 1),
(2857, 73242, 1),
(2858, 73243, 1),
(3093, 73680, 0),
(3096, 73902, 0),
(3095, 73809, 0),
(3097, 73906, 0),
(3098, 73907, 0),
(2865, 73256, 1),
(2866, 73257, 0.5),
(2867, 73258, 0.5),
(2868, 73259, 0.5),
(2869, 73260, 0.5),
(2870, 73273, 0),
(2871, 73274, 0),
(2872, 73275, 0),
(2873, 73276, 0),
(2874, 73277, 0),
(2875, 73278, 1),
(2876, 73279, 0),
(2877, 73280, 0),
(2878, 73281, 0),
(2879, 73282, 0),
(2880, 73283, 0),
(2881, 73284, 0),
(2882, 73285, 0),
(2883, 73286, 0),
(2884, 73287, 0),
(2885, 73288, 0),
(2886, 73290, 0),
(2887, 73291, 0),
(2888, 73292, 0),
(2889, 73293, 0),
(2890, 73294, 0),
(2891, 73295, 0),
(2893, 73297, 0),
(2894, 73298, 0),
(2895, 73299, 0),
(2896, 73300, 0),
(2897, 73301, 0),
(2898, 73302, 0),
(2899, 73303, 0),
(2900, 73304, 0),
(2901, 73305, 0),
(2902, 73306, 0),
(2903, 73309, 0),
(2907, 73313, 0),
(2906, 73312, 0),
(2908, 73315, 0),
(2909, 73316, 0),
(2910, 73320, 0),
(2911, 73324, 1),
(2912, 73325, 1),
(2913, 73326, 1),
(2914, 73327, 1),
(2915, 73330, 1),
(2916, 73331, 0),
(2917, 73332, 1),
(2918, 73333, 0),
(2919, 73334, 1),
(2920, 73335, 1),
(2921, 73338, 0),
(2922, 73339, 0),
(2923, 73340, 0),
(2924, 73344, 0),
(2925, 73345, 0),
(2926, 73346, 0),
(2927, 73347, 0),
(2928, 73348, 0),
(2929, 73349, 0),
(2930, 73351, 0),
(2931, 73352, 0),
(2932, 73370, 0.5),
(2933, 73371, 0.75),
(2934, 73375, 1),
(2935, 73391, 0.5),
(2936, 73392, 1),
(2937, 73393, 1),
(2938, 73394, 1),
(2939, 73395, 1),
(2940, 73396, 1),
(2941, 73402, 1),
(2942, 73403, 1),
(2943, 73404, 1),
(2944, 73405, 1),
(2945, 73406, 1),
(2946, 73408, 0.5),
(2947, 73414, 0),
(2948, 73492, 1),
(2949, 73493, 1),
(2951, 73495, 0.5),
(2952, 73496, 0.5),
(2953, 73497, 1),
(3383, 74645, 0.5),
(2955, 73499, 0.5),
(2956, 73503, 0.5),
(2957, 73511, 1),
(3106, 74052, 1),
(2959, 73519, 1),
(2960, 73520, 1),
(2961, 73521, 1),
(2962, 73522, 0.25),
(2963, 73523, 0.5),
(2964, 73524, 1),
(2965, 73525, 1),
(2966, 73526, 0.25),
(2967, 73527, 1),
(2968, 73528, 1),
(2969, 73529, 1),
(2970, 73530, 1),
(2971, 73531, 1),
(2972, 73533, 0.75),
(2973, 73534, 1),
(2974, 73535, 1),
(2975, 73536, 1),
(2976, 73537, 1),
(2977, 73538, 1),
(2978, 73540, 0.5),
(2979, 73541, 1),
(2980, 73542, 1),
(2981, 73543, 0.5),
(2982, 73544, 1),
(2983, 73545, 0.5),
(2984, 73546, 2),
(2985, 73548, 1),
(2986, 73549, 1),
(2987, 73550, 1),
(2988, 73551, 1),
(2989, 73552, 0),
(2990, 73553, 0.75),
(2991, 73554, 1),
(2992, 73555, 0.5),
(2993, 73556, 1),
(2994, 73557, 1),
(2995, 73558, 1),
(2996, 73559, 1),
(2997, 73560, 0.5),
(3382, 74644, 1),
(2999, 73562, 1),
(3001, 73564, 1),
(3002, 73565, 1),
(3003, 73566, 1),
(3004, 73567, 1),
(3005, 73568, 1),
(3006, 73569, 1),
(3007, 73570, 1),
(3008, 73571, 1),
(3009, 73572, 1),
(3010, 73573, 0),
(3011, 73574, 1),
(3012, 73575, 0),
(3013, 73576, 0),
(3014, 73577, 0.5),
(3015, 73578, 1),
(3016, 73579, 1),
(3017, 73585, 1),
(3019, 73587, 1),
(3020, 73588, 1),
(3021, 73589, 1),
(3027, 73609, 1),
(3028, 73610, 1),
(3029, 73611, 1),
(3030, 73612, 1),
(3031, 73613, 1),
(3032, 73614, 1),
(3033, 73615, 1),
(3034, 73616, 1),
(3035, 73617, 1),
(3036, 73618, 1),
(3037, 73619, 1),
(3038, 73620, 1),
(3039, 73621, 1),
(3040, 73622, 1),
(3041, 73623, 1),
(3042, 73624, 1),
(3043, 73625, 1),
(3044, 73626, 1),
(3045, 73627, 1),
(3046, 73628, 1),
(3047, 73629, 1),
(3048, 73630, 1),
(3049, 73631, 1),
(3050, 73632, 1),
(3051, 73633, 1),
(3052, 73634, 1),
(3053, 73635, 1),
(3054, 73636, 1),
(3055, 73637, 1),
(3056, 73638, 1),
(3057, 73639, 1),
(3058, 73640, 1),
(3059, 73641, 2),
(3060, 73642, 1),
(3061, 73643, 1),
(3062, 73644, 1),
(3063, 73645, 0.5),
(3064, 73646, 1),
(3065, 73647, 1.5),
(3066, 73648, 0.25),
(3091, 73676, 1),
(3068, 73650, 1),
(3077, 73659, 0.75),
(3079, 73661, 1),
(3071, 73653, 0.5),
(3072, 73654, 0.5),
(3073, 73655, 1),
(3075, 73657, 0),
(3076, 73658, 0.5),
(3081, 73663, 0.5),
(3082, 73664, 0.25),
(3087, 73669, 1),
(3085, 73667, 1),
(3086, 73668, 1),
(3088, 73670, 0.5),
(3089, 73671, 1),
(3090, 73672, 1),
(3092, 73678, 1),
(3100, 73912, 0),
(3101, 73931, 0),
(3102, 73932, 0),
(3103, 73953, 0),
(3104, 73954, 2),
(3105, 74019, 1),
(3107, 74056, 1),
(3108, 74060, 1),
(3109, 74088, 0.5),
(3110, 74089, 0.5),
(3111, 74090, 0.5),
(3112, 74091, 0.5),
(3407, 74678, 1),
(3678, 75830, 1),
(3115, 74186, 0.25),
(3116, 74187, 0.75),
(3117, 74188, 0.25),
(3118, 74196, 1),
(3119, 74198, 1),
(3406, 74677, 1),
(3121, 74212, 1),
(3122, 74213, 0.25),
(3123, 74214, 0.5),
(3124, 74215, 1),
(3125, 74216, 1),
(3127, 74218, 1),
(3128, 74221, 0.75),
(3129, 74222, 1),
(3130, 74223, 0.5),
(3131, 74224, 1),
(3132, 74227, 1),
(3133, 74228, 1),
(3134, 74229, 1),
(3135, 74230, 1),
(3136, 74231, 1),
(3408, 74679, 1),
(3138, 74268, 0),
(3139, 74269, 0),
(3141, 74271, 0),
(3142, 74272, 0),
(3144, 74274, 0),
(3145, 74275, 0),
(3679, 75831, 1),
(3147, 74277, 1),
(3148, 74278, 1),
(3149, 74279, 1),
(3150, 74280, 0.5),
(3151, 74281, 0.75),
(3152, 74288, 0),
(3153, 74289, 0),
(3154, 74290, 0),
(3155, 74291, 0),
(3156, 74292, 0),
(3157, 74293, 0),
(3183, 74335, 0),
(3159, 74295, 1),
(3160, 74296, 1),
(3161, 74306, 0),
(3168, 74318, 0),
(3163, 74308, 0),
(3164, 74309, 0),
(3165, 74315, 0),
(3166, 74316, 0),
(3167, 74317, 0),
(3169, 74320, 0),
(3170, 74321, 0),
(3171, 74322, 0),
(3172, 74323, 0),
(3173, 74324, 0),
(3178, 74329, 0),
(3175, 74326, 0),
(3176, 74327, 0),
(3177, 74328, 0),
(3179, 74330, 0),
(3180, 74331, 0),
(3181, 74332, 0.5),
(3182, 74333, 1),
(3409, 74680, 0.25),
(3185, 74337, 0.5),
(3189, 74341, 0.5),
(3187, 74339, 0),
(3199, 74351, 0),
(3191, 74343, 0.5),
(3192, 74344, 0),
(3193, 74345, 0),
(3194, 74346, 0),
(3195, 74347, 0),
(3196, 74348, 0),
(3197, 74349, 0),
(3198, 74350, 0),
(3200, 74352, 0),
(3201, 74353, 0),
(3203, 74355, 0),
(3206, 74386, 0),
(3207, 74387, 0),
(3208, 74388, 0),
(3209, 74389, 0),
(3210, 74392, 0),
(3211, 74393, 0),
(3212, 74394, 0),
(3213, 74395, 0),
(3214, 74396, 0),
(3215, 74397, 0),
(3216, 74398, 0),
(3217, 74402, 0),
(3218, 74403, 0),
(3219, 74404, 0),
(3220, 74405, 0),
(3221, 74406, 0),
(3222, 74407, 0),
(3227, 74412, 1),
(3224, 74409, 1),
(3225, 74410, 1),
(3228, 74413, 0),
(3229, 74414, 0),
(3230, 74415, 0),
(3231, 74416, 0),
(3232, 74417, 0),
(3233, 74418, 1),
(3234, 74426, 2),
(3235, 74427, 1),
(3236, 74428, 1),
(3237, 74429, 0),
(3238, 74430, 1),
(3239, 74437, 0.5),
(3240, 74442, 0),
(3241, 74443, 0),
(3242, 74444, 0),
(3243, 74445, 0),
(3244, 74446, 0),
(3245, 74447, 0),
(3246, 74448, 0),
(3247, 74449, 0),
(3248, 74451, 0.5),
(3249, 74452, 0.5),
(3250, 74453, 1),
(3251, 74454, 1),
(3252, 74455, 0.5),
(3253, 74456, 0.5),
(3254, 74457, 0.5),
(3255, 74458, 1),
(3256, 74459, 0.5),
(3257, 74460, 2),
(3258, 74461, 1),
(3259, 74462, 1),
(3260, 74463, 1),
(3261, 74464, 1),
(3287, 74490, 1),
(3263, 74466, 1),
(3264, 74467, 1),
(3265, 74468, 1),
(3279, 74482, 1),
(3267, 74470, 1),
(3268, 74471, 0.5),
(3269, 74472, 1),
(3270, 74473, 4),
(3271, 74474, 4),
(3272, 74475, 4),
(3273, 74476, 4),
(3274, 74477, 0.5),
(3275, 74478, 4),
(3282, 74485, 1),
(3281, 74484, 1),
(3278, 74481, 1),
(3280, 74483, 1),
(3283, 74486, 0),
(3284, 74487, 0),
(3285, 74488, 1),
(3286, 74489, 1),
(3288, 74491, 1),
(3289, 74492, 1),
(3290, 74493, 1),
(3291, 74494, 1),
(3292, 74495, 0.5),
(3293, 74496, 1),
(3294, 74497, 1),
(3295, 74498, 1.5),
(3296, 74499, 1),
(3298, 74501, 1),
(3299, 74502, 0.25),
(3300, 74504, 1),
(3301, 74505, 1),
(3307, 74511, 0),
(3303, 74507, 1),
(3304, 74508, 1),
(3305, 74509, 0.75),
(3306, 74510, 0.5),
(3308, 74512, 1),
(3309, 74513, 1),
(3310, 74514, 1),
(3311, 74515, 1),
(3312, 74516, 1),
(3313, 74517, 1),
(3314, 74518, 1),
(3315, 74519, 1),
(3316, 74520, 0.5),
(3317, 74521, 1),
(3341, 74574, 0.25),
(3319, 74530, 1),
(3326, 74537, 2),
(3321, 74532, 1),
(3322, 74533, 1),
(3323, 74534, 1),
(3743, 76003, 0),
(3325, 74536, 0.5),
(3414, 74729, 1),
(3683, 75839, 1),
(3330, 74541, 1),
(3331, 74542, 0.5),
(3332, 74543, 1),
(3333, 74545, 1),
(3334, 74546, 0.5),
(3335, 74548, 1),
(3336, 74562, 0.5),
(3337, 74570, 1),
(3338, 74571, 1),
(3339, 74572, 1),
(3340, 74573, 0.75),
(3342, 74575, 1),
(3343, 74577, 0),
(3344, 74578, 0.5),
(3345, 74579, 1),
(3346, 74580, 1),
(3347, 74581, 1),
(3348, 74582, 1),
(3349, 74583, 0.5),
(3350, 74584, 0.25),
(3351, 74585, 1),
(3357, 74598, 0.5),
(3353, 74587, 1),
(3356, 74590, 0.75),
(3355, 74589, 0.75),
(3358, 74599, 0.25),
(3359, 74600, 0.5),
(3360, 74601, 0.5),
(3361, 74602, 1),
(3362, 74604, 1),
(3363, 74605, 1),
(3364, 74606, 1),
(3365, 74607, 1),
(3366, 74608, 1),
(3367, 74625, 1),
(3368, 74626, 1),
(3369, 74627, 1),
(3370, 74628, 1),
(3371, 74629, 2),
(3372, 74630, 1),
(3373, 74631, 1),
(3374, 74632, 1),
(3375, 74633, 1),
(3376, 74634, 1),
(3380, 74639, 0.25),
(3378, 74636, 1),
(3379, 74637, 1),
(3381, 74640, 1),
(3384, 74646, 0),
(3385, 74647, 0.25),
(3386, 74648, 0.25),
(3387, 63401, 0.25),
(3388, 63406, 0.25),
(3389, 63404, 0.25),
(3390, 63403, 0.25),
(3393, 74664, 1),
(3394, 74665, 0.5),
(3395, 74666, 1),
(3396, 74667, 0.5),
(3397, 74668, 1),
(3398, 74669, 0.5),
(3399, 74670, 1),
(3400, 74671, 1),
(3401, 74672, 1),
(3402, 74673, 1),
(3403, 74674, 0.5),
(3404, 74675, 0.5),
(3405, 74676, 1),
(3410, 74681, 1),
(3411, 74682, 0.25),
(3412, 74683, 0.5),
(3413, 74684, 0.5),
(3416, 74731, 2),
(3417, 74732, 1),
(3418, 74733, 0.5),
(3419, 74734, 1),
(3420, 74792, 0),
(3421, 74793, 0),
(3422, 74794, 0),
(3423, 74795, 0),
(3424, 74796, 0),
(3425, 74797, 0),
(3426, 74798, 0),
(3427, 74799, 0),
(3428, 74800, 0),
(3429, 74801, 0),
(3430, 74803, 0),
(3431, 74806, 0),
(3432, 74807, 0),
(3433, 74808, 0),
(3434, 74809, 0),
(3435, 74810, 0),
(3436, 74812, 0),
(3437, 74813, 0),
(3438, 74814, 0),
(3439, 74815, 0),
(3440, 74816, 0),
(3441, 74817, 0),
(3442, 74818, 0),
(3443, 74819, 0),
(3444, 74820, 0),
(3445, 74821, 0),
(3446, 74822, 0),
(3447, 74823, 0),
(3448, 74824, 0),
(3449, 74825, 0),
(3450, 74826, 0),
(3451, 74827, 0),
(3452, 74869, 0),
(3456, 74878, 0.5),
(3455, 74874, 0),
(3457, 74879, 0.5),
(3458, 74880, 0),
(3459, 74881, 0),
(3460, 74882, 0),
(3461, 74883, 0),
(3462, 74884, 0),
(3463, 74885, 0),
(3464, 74886, 0),
(3465, 74957, 1),
(3466, 74994, 0),
(3467, 74995, 0),
(3468, 75036, 0),
(3469, 75042, 0),
(3470, 75045, 0),
(3471, 75047, 0),
(3472, 75065, 0),
(3473, 75071, 0),
(3474, 75072, 0),
(3477, 75075, 0),
(3476, 75074, 0),
(3479, 75077, 0),
(3480, 75093, 0),
(3481, 75094, 0),
(3482, 75095, 0),
(3483, 75101, 0),
(3484, 75234, 1),
(3485, 75266, 0),
(3492, 75278, 0),
(3487, 75273, 0),
(3496, 75295, 0),
(3489, 75275, 0),
(3490, 75276, 0),
(3491, 75277, 0),
(3493, 75279, 0),
(3494, 75280, 0),
(3495, 75283, 0),
(3497, 75297, 0),
(3498, 75298, 0),
(3499, 75299, 0),
(3506, 75324, 1),
(3505, 75323, 1),
(3504, 75322, 1),
(3507, 75325, 1),
(3508, 75327, 0.5),
(3509, 75328, 0),
(3511, 75351, 1),
(3512, 75352, 1),
(3513, 75353, 1),
(3514, 75354, 1),
(3515, 75355, 2),
(3516, 75430, 1),
(3517, 75439, 1),
(3518, 75462, 1),
(3519, 75463, 1),
(3520, 75489, 1),
(3521, 75490, 1),
(3522, 75491, 1),
(3523, 75492, 1),
(3524, 75521, 1),
(3526, 75523, 1),
(3527, 75524, 0),
(3528, 75526, 0),
(3529, 75530, 1),
(3530, 75570, 1),
(3531, 75572, 0),
(3532, 75573, 0),
(3539, 75625, 0.5),
(3534, 75604, 1),
(3672, 75821, 1),
(3536, 75606, 1),
(3670, 75815, 2),
(3671, 75819, 1),
(3540, 75626, 0.75),
(3541, 75627, 0.5),
(3542, 75628, 0.75),
(3543, 75629, 1),
(3544, 75630, 1),
(3545, 75631, 1),
(3546, 75632, 1),
(3547, 75633, 1),
(3548, 75634, 0),
(3549, 75635, 1),
(3550, 75645, 1),
(3551, 75649, 1),
(3552, 75650, 1),
(3553, 75651, 1),
(3554, 75652, 1),
(3555, 75653, 1),
(3734, 75978, 2),
(3557, 75662, 2),
(3558, 75663, 2),
(3559, 75664, 1),
(3560, 75665, 1),
(3561, 75666, 1),
(3562, 75667, 1),
(3563, 75668, 1),
(3564, 75669, 1),
(3565, 75682, 0.25),
(3662, 75798, 0.75),
(3663, 75799, 1),
(3669, 75808, 1),
(3664, 75800, 1),
(3570, 75689, 0.5),
(3571, 75691, 1),
(3572, 75692, 1),
(3573, 75693, 1),
(3574, 75694, 1),
(3687, 75857, 1),
(3576, 75696, 1),
(3577, 75697, 1),
(3578, 75698, 0.5),
(3579, 75699, 0.25),
(3580, 75700, 0.75),
(3581, 75701, 0.25),
(3582, 75702, 0.5),
(3583, 75703, 1),
(3584, 75704, 1),
(3585, 75705, 0.5),
(3586, 75706, 1),
(3587, 75707, 1),
(3728, 75932, 1),
(3589, 75709, 1),
(3590, 75710, 1),
(3591, 75711, 1),
(3592, 75712, 1),
(3593, 75713, 0.75),
(3594, 75714, 1),
(3595, 75715, 0.5),
(3596, 75716, 1),
(3597, 75717, 1),
(3598, 75718, 1),
(3599, 75719, 1),
(3676, 75828, 1),
(3675, 75827, 2),
(3602, 75722, 0.25),
(3603, 75723, 1),
(3604, 75724, 0.75),
(3605, 75725, 0.5),
(3606, 75734, 1),
(3607, 75735, 1),
(3608, 75736, 1),
(3609, 75737, 1),
(3610, 75738, 1),
(3611, 75739, 1),
(3612, 75740, 1),
(3613, 75741, 1),
(3614, 75744, 1),
(3621, 75753, 1),
(3637, 75772, 0.75),
(3617, 75749, 1),
(3639, 75774, 2),
(3640, 75775, 1),
(3620, 75752, 0.5),
(3623, 75755, 2),
(3624, 75756, 1);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(3625, 75757, 1),
(3626, 75758, 1),
(3627, 75759, 1),
(3628, 75760, 4),
(3629, 75761, 4),
(3630, 75762, 1),
(3631, 75765, 1),
(3632, 75766, 1),
(3633, 75767, 1),
(3634, 75769, 1),
(3635, 75770, 1),
(3636, 75771, 2),
(3642, 75777, 0),
(3641, 75776, 0),
(3643, 75778, 0),
(3644, 75779, 0),
(3645, 75780, 0),
(3646, 75782, 2),
(3647, 75783, 1),
(3648, 75784, 0.5),
(3649, 75785, 0.5),
(3650, 75786, 2),
(3651, 75787, 1),
(3652, 75788, 1),
(3653, 75789, 1),
(3654, 75790, 1),
(3655, 75791, 1),
(3656, 75792, 1),
(3657, 75793, 1),
(3658, 75794, 1),
(3659, 75795, 1),
(3660, 75796, 0.75),
(3661, 75797, 1),
(3666, 75802, 1),
(3667, 75803, 1),
(3668, 75804, 1),
(3673, 75825, 0.75),
(3674, 75826, 0.5),
(3677, 75829, 1),
(3680, 75832, 0.5),
(3681, 75833, 0.5),
(3684, 75847, 1),
(3685, 75850, 1),
(3686, 75853, 1),
(3688, 75858, 1),
(3689, 75860, 1),
(3690, 75862, 1),
(3691, 75863, 1),
(3693, 75872, 0),
(3694, 75873, 0),
(3695, 75874, 0),
(3696, 75876, 0),
(3721, 75925, 0),
(3698, 75881, 0),
(3710, 75899, 0),
(3700, 75885, 0),
(3701, 75887, 0),
(3702, 75888, 0),
(3709, 75897, 0),
(3704, 75890, 0.5),
(3729, 75933, 0.75),
(3706, 75892, 1),
(3707, 75893, 1),
(3708, 75894, 1),
(3712, 75901, 0),
(3727, 75931, 1),
(3714, 75903, 0),
(3726, 75930, 0.5),
(3716, 75912, 0),
(3718, 75922, 0),
(3719, 75923, 1),
(3720, 75924, 1),
(3722, 75926, 0),
(3723, 75927, 1),
(3724, 75928, 1),
(3725, 75929, 1),
(3730, 75934, 0.5),
(3731, 75935, 1),
(3732, 75936, 2),
(3735, 75979, 2),
(3737, 75997, 0),
(3738, 75998, 0),
(3739, 75999, 0),
(3740, 76000, 0),
(3741, 76001, 0),
(3742, 76002, 0),
(3744, 76004, 0),
(3745, 76005, 0),
(3746, 76006, 0),
(3761, 76021, 0),
(3760, 76020, 0),
(3749, 76009, 0),
(3750, 76010, 0),
(3751, 76011, 0),
(3757, 76017, 0),
(3753, 76013, 0),
(3754, 76014, 0),
(3755, 76015, 0),
(3756, 76016, 0),
(3758, 76018, 0),
(3759, 76019, 0),
(3762, 76022, 0),
(3763, 76053, 0),
(3764, 76054, 0),
(3765, 76055, 0),
(3766, 76060, 0),
(3767, 76065, 0),
(3770, 76111, 0),
(3769, 76073, 0),
(3773, 76150, 0),
(3772, 76148, 0),
(3774, 76151, 0),
(3775, 76152, 0),
(3776, 76205, 0),
(3777, 76206, 0.5),
(3778, 76238, 1),
(3779, 76246, 2),
(3965, 76896, 1),
(3781, 76274, 0),
(3782, 76275, 0),
(3783, 76276, 0),
(3784, 76277, 0),
(3848, 76518, 0.5),
(3919, 76826, 1),
(3787, 76312, 0),
(3788, 76313, 1),
(3789, 76394, 1),
(3790, 76395, 1),
(3791, 76403, 0),
(3794, 76406, 0),
(3793, 76405, 0),
(3795, 76407, 0),
(3796, 76408, 0),
(3797, 76409, 0),
(3798, 76410, 0),
(3799, 76411, 0),
(3800, 76412, 0),
(3801, 76413, 0),
(3802, 76414, 0),
(3803, 76415, 0),
(3806, 76438, 0.5),
(3805, 76417, 0),
(3807, 76439, 0.75),
(3808, 76440, 1),
(3809, 76441, 1),
(3812, 76444, 0),
(3811, 76443, 1),
(3813, 76445, 0),
(3814, 76446, 0),
(3815, 76447, 0),
(3816, 76448, 0),
(3817, 76449, 0),
(3818, 76450, 0),
(3819, 76451, 0),
(3820, 76452, 0),
(3821, 76484, 0),
(3822, 76485, 0),
(3823, 76486, 0),
(3824, 76487, 0),
(3825, 76488, 0),
(3826, 76489, 0),
(3827, 76490, 0),
(3828, 76492, 0),
(3829, 76493, 0),
(3830, 76494, 0),
(3831, 76497, 0),
(3832, 76498, 0),
(3833, 76499, 0),
(3847, 76517, 0.75),
(3835, 76501, 0),
(3836, 76502, 0),
(3846, 76516, 0.25),
(3845, 76514, 1),
(3873, 76619, 0),
(3840, 76506, 0),
(3841, 76507, 0),
(3843, 76509, 0),
(3844, 76510, 0),
(3849, 76519, 0.75),
(3850, 76521, 1),
(3851, 76523, 2),
(3852, 76524, 1),
(3853, 76528, 1),
(3854, 76529, 1),
(3855, 76530, 1),
(3856, 76531, 0.25),
(3859, 76536, 1),
(3858, 76533, 0.75),
(3860, 76537, 1),
(3861, 76538, 0),
(3862, 76539, 0),
(3864, 76541, 0),
(3865, 76542, 0),
(3866, 76543, 0),
(3867, 76544, 0),
(3868, 76545, 1),
(3869, 76546, 0),
(3870, 76553, 1),
(3871, 76559, 1),
(3872, 76587, 1),
(3874, 76620, 0),
(3875, 76623, 1),
(3876, 76630, 2),
(3877, 76631, 1),
(3878, 76632, 0),
(3879, 76635, 1),
(3880, 76636, 1),
(3881, 76637, 1),
(3882, 76638, 2),
(3883, 76639, 2),
(3884, 76640, 2),
(3885, 76641, 2),
(3886, 76642, 1),
(3887, 76653, 1),
(3888, 76666, 0.5),
(3889, 76669, 0.75),
(3890, 76670, 0.5),
(3891, 76673, 0),
(3892, 76674, 0),
(3893, 76675, 0),
(3904, 76757, 0),
(3905, 76758, 0),
(3906, 76759, 1),
(3907, 76760, 1),
(3908, 76811, 1),
(3903, 76685, 0),
(3909, 76816, 1),
(3910, 76817, 0.5),
(3911, 76818, 2),
(3912, 76819, 2),
(3913, 76820, 2),
(3914, 76821, 2),
(3915, 76822, 2),
(3961, 76887, 1),
(3917, 76824, 1),
(3918, 76825, 1),
(3920, 76827, 1),
(3921, 76830, 0.75),
(3922, 76831, 0.5),
(3923, 76832, 0.5),
(3924, 76833, 1),
(3925, 76834, 1),
(3926, 76835, 0.5),
(3927, 76836, 0.25),
(3928, 76837, 1.5),
(3929, 76838, 1),
(3930, 76839, 1),
(3931, 76848, 1),
(3932, 76849, 1),
(3933, 76850, 1),
(3934, 76851, 1),
(3935, 76852, 1),
(3936, 76853, 0.5),
(3937, 76854, 2),
(3938, 76855, 1),
(3939, 76856, 1),
(3940, 76857, 1),
(3941, 76858, 1),
(3942, 76859, 1),
(3943, 76860, 1),
(3944, 76861, 1),
(3945, 76866, 0),
(3946, 76870, 1),
(3947, 76872, 1),
(3948, 76873, 1),
(3949, 76874, 1),
(3950, 76876, 1),
(3952, 76878, 1),
(3953, 76879, 2),
(3954, 76880, 2),
(3955, 76881, 0.75),
(3956, 76882, 1),
(3957, 76883, 1),
(3958, 76884, 0.5),
(3959, 76885, 1),
(3960, 76886, 1),
(3962, 76888, 1),
(3966, 76897, 1),
(3964, 76893, 1),
(3967, 76898, 1),
(3968, 76899, 1),
(3969, 76900, 1),
(3970, 76901, 1),
(3971, 76902, 1),
(3972, 76903, 2),
(3973, 76904, 4),
(3974, 76905, 2),
(3975, 76906, 4),
(3976, 76907, 4),
(3977, 76908, 0.25),
(3978, 76909, 0.25),
(3979, 76910, 0),
(3980, 76911, 0.5),
(3983, 76914, 1),
(3984, 76915, 1),
(3985, 76916, 1),
(3986, 76917, 0.5),
(3987, 76918, 1),
(3988, 76919, 0),
(3989, 76920, 1),
(3990, 76921, 0),
(3992, 76923, 0),
(3994, 76926, 0.5),
(3995, 76930, 1),
(3996, 76941, 1),
(3997, 76942, 1),
(3998, 76943, 1),
(3999, 76944, 1),
(4000, 76945, 0),
(4001, 76946, 0),
(4002, 76947, 0),
(4003, 76949, 0),
(4004, 76950, 0),
(4005, 76951, 0),
(4006, 76952, 1),
(4007, 76953, 1),
(4008, 76979, 1),
(4009, 76980, 1),
(4010, 76981, 1),
(4011, 76982, 1),
(4012, 76983, 1),
(4013, 76984, 1),
(4037, 77027, 0),
(4036, 77026, 0),
(4035, 77025, 1),
(4034, 77024, 0.5),
(4033, 77023, 1),
(4032, 77022, 1),
(4030, 77020, 1),
(4029, 77019, 1),
(4028, 77018, 1),
(4027, 77017, 1),
(4025, 77016, 0),
(4026, 71446, 0.25),
(4038, 77038, 1),
(4039, 77039, 1),
(4040, 77040, 1),
(4041, 77041, 1),
(4042, 77042, 1),
(4043, 77054, 1),
(4044, 77055, 0),
(4045, 77056, 0),
(4046, 77057, 0),
(4047, 77059, 0),
(4048, 77060, 0),
(4049, 77085, 0),
(4050, 77086, 0),
(4051, 77097, 0.5),
(4052, 77098, 1),
(4053, 77099, 0.5),
(4054, 77100, 1),
(4055, 77101, 0.5),
(4056, 77102, 0.5),
(4057, 77103, 1),
(4058, 77104, 0.5),
(4059, 77105, 0.5),
(4060, 77106, 0.5),
(4061, 77139, 0),
(4062, 77140, 0),
(4063, 77141, 0),
(4064, 77142, 0),
(4065, 77143, 0),
(4066, 77148, 0),
(4067, 77150, 0),
(4068, 77181, 0),
(4069, 77293, 1),
(4070, 77299, 0),
(4071, 77302, 1),
(4444, 78776, 0),
(4077, 77320, 0),
(4074, 77317, 0),
(4075, 77318, 0),
(4076, 77319, 0),
(4078, 77322, 0),
(4079, 77558, 1),
(4081, 77576, 1),
(4082, 77577, 1),
(4083, 77578, 1),
(4084, 77580, 0),
(4085, 77581, 0),
(4086, 77582, 0),
(4087, 77583, 0),
(4088, 77584, 0),
(4089, 77585, 0),
(4090, 77586, 0),
(4091, 77664, 0),
(4092, 77665, 0),
(4093, 77694, 0),
(4094, 77697, 0),
(4095, 77698, 0),
(4096, 77699, 0),
(4098, 77701, 0),
(4099, 77702, 0),
(4100, 77703, 0),
(4101, 77712, 1),
(4102, 77743, 2),
(4103, 77759, 1),
(4104, 77760, 0),
(4105, 77764, 1),
(4106, 77765, 0),
(4107, 77766, 0),
(4108, 77769, 1),
(4109, 77776, 0.5),
(4110, 77777, 1),
(4111, 77783, 0.5),
(4112, 77784, 0.75),
(4113, 77785, 1),
(4114, 77786, 2),
(4115, 77787, 1),
(4116, 77788, 1),
(4117, 77789, 1),
(4118, 77798, 1),
(4119, 77799, 2),
(4120, 77800, 2),
(4121, 77801, 2),
(4122, 77802, 1),
(4123, 77803, 1),
(4124, 77804, 1),
(4125, 77805, 0),
(4126, 77806, 0),
(4127, 77807, 0),
(4128, 77808, 1),
(4129, 77809, 1),
(4130, 77813, 1),
(4131, 77814, 1),
(4132, 77815, 1),
(4133, 77816, 1),
(4134, 77817, 1),
(4135, 77818, 1),
(4136, 77819, 0.75),
(4137, 77820, 0.5),
(4138, 77821, 0.5),
(4139, 77822, 0.75),
(4140, 77823, 1),
(4141, 77833, 1),
(4142, 77841, 1),
(4143, 77852, 0),
(4144, 77853, 1),
(4291, 78201, 0.5),
(4146, 77855, 1),
(4147, 77861, 1),
(4148, 77862, 2),
(4149, 77863, 2),
(4150, 77864, 2),
(4151, 77865, 2),
(4152, 77866, 1),
(4153, 77872, 1),
(4154, 77875, 1),
(4155, 77876, 1),
(4156, 77877, 0.75),
(4157, 77878, 0.25),
(4158, 77879, 1),
(4159, 77880, 1),
(4160, 77881, 1),
(4161, 77882, 1),
(4162, 77883, 1),
(4163, 77884, 1),
(4164, 77885, 1),
(4165, 77887, 1),
(4166, 77888, 1),
(4167, 77889, 1),
(4168, 77898, 0.25),
(4169, 77899, 1.5),
(4170, 77900, 1),
(4171, 77901, 0),
(4172, 77902, 0.5),
(4173, 77903, 1),
(4174, 77916, 1),
(4175, 77917, 1),
(4176, 77918, 0.5),
(4177, 77919, 1),
(4178, 77929, 1),
(4179, 77930, 1),
(4180, 77931, 1),
(4181, 77937, 1),
(4182, 77938, 1),
(4183, 77939, 1),
(4184, 77940, 1),
(4185, 77941, 1),
(4186, 77942, 1),
(4187, 77943, 1),
(4188, 77944, 1),
(4189, 77945, 0.5),
(4190, 77946, 0.75),
(4191, 77947, 0.5),
(4192, 77948, 0.75),
(4193, 77955, 1),
(4197, 78004, 1),
(4198, 78006, 1),
(4196, 77998, 1),
(4301, 78212, 1),
(4200, 78009, 1),
(4201, 78015, 0),
(4202, 78024, 1),
(4203, 78025, 1),
(4204, 78026, 1),
(4205, 78031, 0),
(4206, 78032, 0),
(4207, 78033, 0),
(4208, 78034, 1),
(4209, 78035, 1),
(4210, 78036, 1),
(4211, 78037, 0),
(4212, 78038, 1),
(4213, 78039, 1),
(4214, 78040, 1),
(4215, 78041, 1),
(4216, 78042, 1),
(4217, 78043, 1),
(4218, 78045, 4),
(4219, 78046, 4),
(4220, 78047, 4),
(4221, 78048, 4),
(4222, 78049, 4),
(4223, 78062, 0.75),
(4224, 78090, 1),
(4225, 78092, 1),
(4227, 78102, 0.5),
(4228, 78104, 0.5),
(4229, 78108, 0.5),
(4230, 78110, 0.25),
(4231, 78111, 1),
(4232, 78133, 2),
(4234, 78135, 1),
(4235, 78136, 1),
(4236, 78137, 1),
(4237, 78138, 1),
(4238, 78139, 1),
(4239, 78140, 1),
(4240, 78141, 1),
(4241, 78142, 0),
(4242, 78143, 0),
(4243, 78144, 0),
(4244, 78145, 0),
(4245, 78146, 0),
(4246, 78147, 0),
(4247, 78148, 0),
(4248, 78149, 0),
(4249, 78150, 0),
(4255, 78160, 0),
(4251, 78152, 0),
(4254, 78159, 0),
(4253, 78158, 0),
(4256, 78161, 0),
(4257, 78162, 0),
(4258, 78163, 0),
(4259, 78164, 0),
(4260, 78165, 0),
(4261, 78166, 0),
(4262, 78167, 0),
(4263, 78168, 0),
(4266, 78171, 0),
(4265, 78170, 0),
(4267, 78172, 0),
(4268, 78173, 0),
(4269, 78174, 0),
(4270, 78175, 0),
(4271, 78176, 0),
(4272, 78177, 0),
(4273, 78178, 0),
(4274, 78179, 0),
(4275, 78180, 0),
(4276, 78181, 0),
(4277, 78182, 0),
(4278, 78183, 0),
(4279, 78184, 0),
(4280, 78185, 0),
(4281, 78186, 1),
(4282, 78190, 1),
(4283, 78191, 1),
(4290, 78200, 1),
(4289, 78198, 0.5),
(4288, 78197, 0.5),
(4287, 78195, 1),
(4292, 78202, 1),
(4293, 78203, 0.75),
(4306, 78217, 1),
(4295, 78205, 1),
(4296, 78206, 1),
(4297, 78207, 1),
(4298, 78208, 1),
(4299, 78209, 2),
(4300, 78211, 0),
(4302, 78213, 1),
(4303, 78214, 1),
(4304, 78215, 1),
(4305, 78216, 1),
(4307, 78218, 0.25),
(4308, 71392, 0.25),
(4309, 78225, 0),
(4310, 78226, 1),
(4311, 78227, 1),
(4312, 78228, 1),
(4313, 78229, 1),
(4314, 78230, 1),
(4315, 78231, 1),
(4316, 78232, 1),
(4317, 78233, 0.75),
(4318, 78234, 0.5),
(4319, 78235, 1),
(4320, 78236, 0.75),
(4321, 78237, 1),
(4322, 78238, 1),
(4323, 78239, 0.5),
(4324, 78240, 1),
(4325, 78241, 1),
(4326, 78242, 1),
(4327, 78243, 1),
(4328, 78244, 1),
(4329, 78246, 1),
(4330, 78247, 1),
(4331, 78248, 1),
(4332, 77868, 0),
(4333, 77867, 0),
(4334, 77869, 0),
(4335, 77871, 0),
(4337, 78261, 1),
(4338, 78265, 1),
(4339, 78267, 1),
(4340, 78290, 1),
(4341, 78312, 1),
(4342, 78313, 1),
(4343, 78355, 0),
(4344, 78356, 0),
(4345, 78436, 0),
(4346, 78454, 1),
(4347, 78461, 0),
(4348, 78462, 0),
(4349, 78463, 0),
(4350, 78464, 0),
(4351, 78465, 0),
(4352, 78466, 0),
(4353, 78467, 0),
(4354, 78468, 0),
(4356, 78470, 0),
(4357, 78471, 0),
(4358, 78472, 0),
(4359, 78473, 0),
(4360, 78474, 0),
(4361, 78525, 1),
(4362, 78528, 0),
(4363, 78529, 0),
(4365, 78531, 0),
(4366, 78532, 0),
(4367, 78533, 0),
(4368, 78534, 0),
(4369, 78535, 0),
(4370, 78536, 1),
(4371, 78537, 2),
(4372, 78538, 1),
(4373, 78539, 1),
(4374, 78540, 1),
(4375, 78542, 1),
(4376, 78543, 0.5),
(4377, 78603, 1),
(4379, 78605, 0),
(4380, 78606, 0),
(4381, 78607, 0),
(4383, 78609, 0),
(4384, 78616, 2),
(4385, 78618, 1),
(4386, 78619, 0.5),
(4387, 78620, 0.5),
(4388, 78621, 1),
(4389, 78637, 1),
(4390, 78638, 1),
(4394, 78652, 0),
(4392, 78650, 0),
(4393, 78651, 0),
(4396, 78654, 0),
(4397, 78655, 0),
(4398, 78669, 0),
(4399, 78670, 0),
(4400, 78671, 0),
(4401, 78672, 0),
(4404, 78675, 0),
(4403, 78674, 0),
(4405, 78676, 0),
(4406, 78677, 0),
(4407, 78678, 0),
(4408, 78679, 0),
(4409, 78683, 1),
(4410, 78685, 0.5),
(4411, 78686, 0.75),
(5929, 83544, 0),
(4413, 78690, 0),
(4414, 78692, 0),
(5930, 83545, 1),
(4418, 78697, 0),
(4417, 78696, 0),
(4419, 78698, 0),
(4420, 78699, 2),
(4422, 78717, 1),
(4426, 78754, 1),
(4424, 78725, 0),
(4425, 78732, 0),
(4427, 78755, 2),
(4428, 78757, 0),
(4429, 78758, 0),
(4436, 78765, 0),
(4431, 78760, 0),
(4446, 78795, 0.5),
(4433, 78762, 0),
(4434, 78763, 0),
(4441, 78773, 0),
(4437, 78767, 0),
(4445, 78777, 0),
(4443, 78775, 1),
(4440, 78772, 0),
(4447, 78796, 0.5),
(4448, 78814, 0),
(4449, 78815, 0),
(4450, 78816, 0),
(4459, 78843, 0),
(4452, 78835, 1),
(4453, 78836, 1),
(4454, 78837, 0.5),
(4455, 78838, 1),
(4456, 78839, 0.75),
(4457, 78840, 1),
(6112, 84043, 0),
(4460, 78873, 1),
(4461, 78886, 0),
(4462, 78887, 0),
(4463, 78888, 0),
(4464, 78892, 0),
(4465, 78893, 0.5),
(4466, 78895, 0.75),
(4467, 78903, 0.75),
(4468, 78904, 0.25),
(4469, 78908, 1),
(4470, 78916, 1),
(4471, 78920, 1),
(4472, 78921, 1),
(4473, 78922, 1),
(4474, 78923, 1),
(4475, 78925, 1),
(4476, 78926, 1),
(4478, 78928, 1),
(4479, 78929, 1),
(4480, 78930, 2),
(4481, 78931, 2),
(4482, 78935, 1),
(4483, 78936, 1),
(4484, 78948, 1),
(4485, 78950, 1),
(4486, 78951, 1),
(4487, 78953, 0),
(4488, 78954, 0),
(4489, 78955, 1),
(4490, 78956, 1),
(4491, 78957, 1),
(4500, 78966, 1),
(4493, 78959, 1),
(4494, 78960, 1),
(4495, 78961, 1),
(4496, 78962, 1),
(4497, 78963, 1),
(4498, 78964, 1),
(4499, 78965, 0.5),
(4501, 78967, 1),
(4502, 78968, 1),
(4503, 78969, 1),
(4504, 78970, 1),
(4505, 78974, 2),
(4506, 78975, 2),
(4507, 78976, 1),
(4508, 78977, 0.5),
(4509, 78978, 0.5),
(4510, 78979, 1),
(4511, 78980, 1),
(4512, 78981, 1),
(4513, 78982, 1),
(4514, 78983, 1),
(4515, 78984, 1),
(4516, 78985, 0.5),
(4517, 78986, 1),
(4518, 78987, 1),
(4519, 78988, 1),
(4520, 78989, 1),
(4521, 78992, 4),
(4522, 78993, 4),
(4523, 78994, 4),
(4524, 78995, 4),
(4525, 78996, 4),
(4526, 78997, 1),
(4527, 78998, 1),
(4528, 78999, 1),
(4529, 79000, 1),
(4530, 79001, 1),
(4531, 79002, 0),
(4532, 79007, 0),
(4533, 79013, 1),
(4534, 79014, 0.5),
(4535, 79025, 0),
(4541, 79033, 1),
(4537, 79027, 0),
(4538, 79028, 1),
(4539, 79029, 0),
(4540, 79030, 0),
(4542, 79034, 1),
(4543, 79035, 1),
(4546, 79039, 1),
(4545, 79037, 1),
(4547, 79040, 1),
(4548, 79041, 0.25),
(4549, 79042, 0.75),
(4550, 79043, 1),
(4551, 79044, 1),
(4552, 79045, 0.5),
(4553, 79046, 1),
(4554, 79047, 1),
(4555, 79048, 0),
(4565, 79058, 1),
(4558, 79051, 1),
(4559, 79052, 0),
(4560, 79053, 0),
(4561, 79054, 1),
(4562, 79055, 0),
(4563, 79056, 1),
(4564, 79057, 1),
(4566, 79059, 1),
(4567, 79060, 1),
(4568, 79061, 2),
(4569, 79062, 1),
(4570, 79063, 1),
(4571, 79064, 1),
(4572, 79065, 0.5),
(4573, 79066, 1),
(4574, 79067, 0.5),
(4575, 79075, 1),
(4578, 79088, 1),
(4577, 79083, 1),
(4579, 79089, 0),
(4580, 79090, 0),
(4581, 79119, 0),
(4582, 79120, 0),
(4583, 79169, 1),
(4584, 79170, 1),
(4585, 79171, 1),
(4586, 79172, 1),
(4587, 79173, 1),
(4588, 79174, 1),
(4589, 79175, 1),
(4835, 80104, 0),
(4591, 79202, 1),
(4592, 79203, 0.5),
(4593, 79204, 0.5),
(4594, 79206, 0),
(4595, 79207, 0),
(4596, 79210, 0),
(4597, 79211, 0),
(4598, 79212, 0),
(4599, 79213, 0),
(4600, 79214, 0),
(4601, 79215, 0),
(4602, 79216, 0),
(4603, 79217, 0),
(4604, 79218, 0),
(4605, 79219, 0),
(4606, 79220, 0),
(4607, 79221, 0),
(4608, 79239, 1.5),
(4609, 79240, 0.25),
(4610, 79270, 0),
(4611, 79271, 1),
(4612, 79328, 0.5),
(4613, 79395, 0.5),
(4614, 79397, 1),
(4615, 79426, 1),
(4616, 79430, 2),
(4617, 79437, 1),
(4618, 79438, 1),
(4619, 79439, 1),
(4620, 79460, 1),
(4621, 79512, 0),
(4622, 79529, 0.75),
(4623, 79530, 0.5),
(4624, 79531, 0.5),
(4625, 79532, 0.75),
(4637, 79544, 1),
(4627, 79534, 0),
(4628, 79535, 0),
(4629, 79536, 0),
(5062, 80613, 0),
(4672, 79613, 1),
(4632, 79539, 1),
(4635, 79542, 1),
(5060, 80611, 0),
(4636, 79543, 0),
(4638, 79545, 1),
(4639, 79546, 0),
(4640, 79547, 0),
(4641, 79548, 2),
(4642, 79549, 4),
(4643, 79550, 1),
(4644, 79551, 0),
(4645, 79552, 4),
(4646, 79553, 4),
(4647, 79554, 1),
(4648, 79555, 0),
(4649, 79556, 0),
(4688, 79647, 1),
(4651, 79559, 1),
(4652, 79565, 0.25),
(4690, 79649, 1),
(4654, 79567, 0.25),
(4655, 79568, 1),
(4656, 79576, 1),
(4657, 79579, 1),
(4658, 79582, 1),
(4659, 79584, 0.5),
(4660, 79585, 1),
(4661, 79586, 1),
(4662, 79588, 0),
(4663, 79589, 0),
(4664, 79590, 0),
(4665, 79594, 0),
(4666, 79596, 0),
(4667, 79597, 0),
(4670, 79607, 1),
(4669, 79606, 1),
(4671, 79609, 2),
(4673, 79617, 1),
(4674, 79627, 0),
(4676, 79629, 0),
(4677, 79630, 1),
(4678, 79633, 0),
(4679, 79634, 0),
(4680, 79635, 1),
(4681, 79636, 1),
(4682, 79637, 0.5),
(4683, 79639, 1),
(4684, 79640, 0.5),
(4685, 79641, 1),
(4686, 79642, 1),
(4687, 79646, 1),
(4691, 79650, 0),
(4692, 79651, 1),
(4693, 79652, 1),
(4694, 79653, 1),
(4695, 79654, 1),
(4783, 79833, 0),
(4792, 79894, 1),
(4698, 79657, 2),
(4699, 79660, 1),
(4700, 79661, 1),
(4701, 79662, 1),
(4702, 79663, 0.5),
(4703, 79664, 1),
(4704, 79665, 2),
(4705, 79658, 1),
(4706, 79666, 1),
(4707, 79667, 1),
(4708, 79668, 1),
(4709, 79669, 2),
(4710, 79670, 2),
(4712, 79672, 1),
(4713, 79673, 0.5),
(4714, 79674, 0.25),
(4715, 79675, 0.5),
(4716, 79676, 0.5),
(4717, 79677, 0.5),
(4718, 79678, 0.5),
(4719, 79679, 1),
(4720, 79680, 1),
(4721, 79682, 1),
(4722, 79683, 1),
(4723, 79684, 1),
(4724, 79685, 1),
(4725, 79690, 1),
(4726, 79692, 1),
(4727, 79694, 1),
(4739, 79707, 1),
(4740, 79710, 1),
(4730, 79697, 1),
(4731, 79698, 1),
(4737, 79705, 1),
(4738, 79706, 1),
(4741, 79708, 1),
(4735, 79702, 1),
(4736, 79703, 1),
(4744, 79715, 1),
(4743, 79713, 1),
(4745, 79716, 1),
(4752, 79726, 1),
(4747, 79718, 1),
(4748, 79719, 1),
(4749, 79722, 1),
(4750, 79723, 1),
(4754, 79728, 1),
(4753, 79727, 1),
(4755, 79729, 1),
(4756, 79730, 1),
(4757, 79731, 0.5),
(4758, 79732, 0.75),
(4767, 79744, 1),
(4766, 79743, 1),
(4773, 79750, 1),
(4762, 79739, 1),
(4763, 79740, 1),
(4764, 79741, 1),
(4768, 79745, 1),
(4771, 79748, 1),
(4772, 79749, 1),
(4774, 79755, 1),
(4775, 79756, 1),
(4776, 64375, 1),
(4777, 64377, 1),
(4778, 79757, 1),
(4779, 67541, 1),
(4780, 67542, 1),
(4781, 67545, 1),
(4782, 79763, 0),
(4784, 79835, 0),
(4786, 79881, 1),
(4787, 79882, 0),
(4788, 79883, 0),
(4789, 79884, 0),
(4790, 79885, 0),
(4791, 79886, 1),
(4793, 79895, 1),
(4794, 79906, 1),
(4795, 79962, 0),
(4796, 79965, 0),
(4797, 79966, 0),
(4798, 79967, 0),
(4799, 79973, 0),
(4800, 79986, 0),
(4801, 79987, 0),
(4802, 79988, 0),
(4803, 79990, 0.5),
(4806, 80009, 1),
(4805, 80008, 0),
(4807, 80010, 1),
(4808, 80016, 1),
(4809, 80017, 1),
(4810, 80034, 1),
(4811, 80039, 1),
(4812, 80040, 1),
(4813, 80041, 1),
(4814, 80042, 1),
(4815, 80043, 1),
(4817, 80044, 1),
(4818, 80045, 0),
(4819, 80046, 0),
(4820, 80047, 0),
(4821, 80048, 0),
(4875, 80202, 0),
(4874, 80201, 0),
(4825, 80052, 0),
(4826, 80053, 0),
(4830, 80071, 1),
(4828, 80055, 0),
(4829, 80056, 0),
(4831, 80074, 1),
(4832, 80099, 1),
(4833, 80100, 0),
(4834, 80101, 0),
(4836, 80106, 0),
(4837, 80107, 0),
(4838, 80108, 1),
(4839, 80109, 1),
(4840, 80110, 0.5),
(4841, 80111, 1),
(4842, 80129, 1),
(4843, 80130, 1),
(4844, 80131, 0.5),
(4845, 80132, 1),
(4846, 80133, 0.25),
(4847, 80134, 0.5),
(4848, 80135, 0.5),
(4849, 80138, 1),
(4850, 80139, 0),
(4851, 80140, 0.5),
(4852, 80172, 0),
(4858, 80178, 0),
(4854, 80174, 0),
(4859, 80179, 0),
(4856, 80176, 0),
(4860, 80180, 1),
(4861, 80181, 1),
(4862, 80182, 1),
(4863, 80183, 0),
(4864, 80184, 1),
(4865, 80185, 0),
(4866, 80186, 1),
(4867, 80187, 0),
(4868, 80188, 0),
(4869, 80190, 0),
(4870, 80192, 0),
(4871, 80194, 0),
(4872, 80195, 0),
(4873, 80199, 1),
(4876, 80203, 0),
(4877, 80204, 0),
(4878, 80205, 0),
(4879, 80219, 0),
(4880, 80243, 1),
(4881, 80247, 0),
(4882, 80248, 1),
(4883, 80249, 1),
(4884, 80251, 0.25),
(4885, 80252, 0),
(4886, 80253, 0),
(4887, 80254, 0),
(4888, 80255, 0),
(4889, 80256, 0),
(4890, 80257, 0),
(4891, 80258, 1),
(4892, 80259, 1),
(4893, 80260, 0.5),
(5128, 81061, 0.25),
(4895, 80274, 1),
(4896, 80281, 1),
(4897, 80282, 1),
(4898, 80286, 2),
(4899, 80287, 1),
(4900, 80288, 1),
(4901, 80289, 1),
(4902, 80290, 1),
(4903, 80296, 1),
(4904, 80297, 2),
(4905, 80298, 1),
(4906, 80299, 2),
(4907, 80300, 1),
(4908, 80301, 2),
(4909, 80302, 1),
(4910, 80303, 2),
(4911, 80304, 1),
(4912, 80305, 1),
(4928, 80327, 1),
(4914, 80309, 1),
(4915, 80310, 1),
(4916, 80311, 1),
(4917, 80315, 1),
(4918, 80317, 0),
(4919, 80318, 0),
(4920, 80319, 1),
(4921, 80320, 0),
(4922, 80321, 1),
(4932, 80331, 0.5),
(4931, 80330, 1),
(4925, 80324, 0),
(4930, 80329, 0.5),
(4929, 80328, 1),
(4933, 80332, 1),
(4934, 80333, 1),
(4935, 80334, 0.5),
(4936, 80335, 0.5),
(4937, 80336, 1),
(4938, 80337, 1),
(4939, 80338, 0.75),
(4940, 80339, 1),
(4941, 80340, 0.5),
(4942, 80341, 1),
(4943, 80342, 1),
(5018, 80484, 1),
(5016, 80482, 0.5),
(5017, 80483, 0.5),
(5014, 80480, 2),
(4948, 80347, 0.5),
(4949, 80348, 1),
(4950, 80349, 0.75),
(4951, 80350, 0.5),
(4952, 80351, 1),
(4953, 80352, 1),
(4954, 80355, 0.5),
(4955, 80356, 1),
(4956, 80362, 1),
(4958, 80364, 1),
(4959, 80365, 1),
(4960, 80366, 1),
(4961, 80367, 1),
(4962, 80368, 1),
(4963, 80369, 1),
(4964, 80370, 1),
(4965, 80371, 4),
(4966, 80372, 4),
(4967, 80376, 4),
(4968, 80377, 4),
(4969, 80378, 1),
(4970, 80379, 1),
(4971, 80380, 1),
(4972, 80381, 1),
(4973, 80382, 2),
(4974, 80383, 2),
(4975, 80384, 2),
(4977, 80386, 1),
(4978, 80387, 0),
(4979, 80388, 1),
(4980, 80392, 0),
(4981, 80393, 1),
(4982, 80394, 1),
(4983, 80395, 1),
(4984, 80396, 1),
(4985, 80404, 1),
(4986, 80405, 1),
(4987, 80409, 0),
(4988, 80415, 0),
(4989, 80416, 0),
(4990, 80417, 0),
(4991, 80418, 0),
(4992, 80419, 0),
(5903, 83322, 0),
(4994, 80422, 0),
(4995, 80423, 0),
(4996, 80426, 0),
(4997, 80427, 1),
(4998, 80429, 1),
(4999, 80432, 0.75),
(5026, 80492, 0),
(5001, 80434, 0),
(5002, 80435, 0.75),
(5003, 80436, 1),
(5004, 80437, 1),
(5005, 80438, 1),
(5006, 80447, 1),
(5007, 80448, 1),
(5008, 80449, 1),
(5009, 80450, 1),
(5010, 80451, 1),
(5011, 80452, 0.5),
(5012, 80478, 0.5),
(5013, 80479, 1),
(5019, 80485, 1),
(5020, 80486, 1),
(5021, 80487, 1),
(5022, 80488, 0.5),
(5023, 80489, 0.5),
(5024, 80490, 1),
(5027, 80493, 0),
(5028, 80494, 0),
(5029, 80497, 1),
(5030, 80498, 1),
(5031, 80499, 1),
(5032, 80501, 2),
(5033, 80531, 0),
(5034, 80532, 0),
(5036, 80534, 0),
(5037, 80553, 0),
(5038, 80556, 0),
(5039, 80557, 0),
(5040, 80559, 0),
(5041, 80561, 0),
(5042, 80566, 0),
(5043, 80571, 0),
(5044, 80577, 0),
(5045, 80582, 0),
(5046, 80587, 0),
(5047, 80591, 0),
(5048, 80594, 0),
(5049, 80595, 0),
(5050, 80596, 0),
(5051, 80597, 0),
(5052, 80598, 0),
(5053, 80599, 0),
(5054, 80600, 0),
(5055, 80601, 0),
(5056, 80602, 0),
(5057, 80603, 0),
(5058, 80609, 0),
(5061, 80612, 0),
(5063, 80615, 0),
(5064, 80616, 0),
(5065, 80617, 0),
(5066, 80651, 0),
(5334, 81482, 1),
(5068, 80676, 1),
(5069, 80712, 1),
(5070, 80714, 2),
(5071, 80715, 1),
(5072, 80716, 1),
(5073, 80717, 1),
(5074, 80718, 1),
(5075, 80719, 1),
(5076, 80720, 2),
(5077, 80721, 1),
(5078, 80722, 1),
(5079, 80723, 1),
(5080, 80733, 0.5),
(5081, 80734, 0.5),
(5082, 80793, 1),
(5083, 80812, 0),
(5084, 80814, 1),
(5085, 80815, 1),
(5086, 80827, 1),
(5087, 80831, 0),
(5088, 80888, 1),
(5089, 80894, 1),
(5090, 80898, 1),
(5091, 80899, 1),
(5092, 80900, 0.5),
(5093, 80901, 1),
(5094, 80902, 0.5),
(5095, 80908, 0),
(5096, 80909, 1),
(5097, 80910, 1),
(5098, 80911, 1),
(5100, 80913, 1),
(5101, 80914, 0),
(5102, 80929, 1),
(5103, 80930, 1),
(5104, 80931, 1),
(5105, 80932, 0.5),
(5106, 80933, 0.5),
(5107, 80935, 0.5),
(5108, 80936, 0.5),
(5109, 80937, 1),
(5110, 80939, 1),
(5111, 80952, 0.5),
(5112, 81025, 0),
(5113, 81026, 1),
(5114, 81028, 0.25),
(5115, 81029, 1),
(5116, 81030, 0),
(5117, 81031, 0),
(5118, 81032, 0),
(5119, 81033, 1),
(5121, 81046, 0.5),
(5122, 81048, 0.5),
(5123, 81049, 0.5),
(5124, 81052, 0),
(5125, 81053, 0),
(5126, 81055, 1),
(5127, 81057, 2),
(5129, 81062, 0.5),
(5130, 81064, 1),
(5282, 81346, 1),
(5132, 81070, 1),
(5133, 81071, 1),
(5134, 81072, 1),
(5135, 81073, 1),
(5136, 81080, 0),
(5137, 81113, 0),
(5138, 81135, 2),
(5139, 81136, 1),
(5140, 81137, 0.5),
(5141, 81138, 1),
(5142, 81139, 1),
(5143, 81140, 1),
(5144, 81141, 0.75),
(5145, 81142, 1),
(5146, 81143, 1),
(5147, 81144, 1),
(5148, 81145, 1),
(5149, 81146, 1),
(5150, 81151, 1),
(5151, 81152, 1),
(5221, 81230, 1),
(5220, 81229, 1),
(5154, 81155, 0.75),
(5155, 81156, 1),
(5156, 81157, 1),
(5157, 81158, 0.5),
(5335, 81483, 1),
(5159, 81160, 1),
(5336, 81484, 0.5),
(5161, 81162, 1),
(5162, 81163, 2),
(5163, 81164, 1),
(5164, 81165, 1),
(5165, 81166, 1),
(5166, 81167, 1),
(5167, 81168, 1),
(5168, 81170, 4),
(5169, 81171, 1),
(5260, 81299, 1),
(5171, 81173, 1),
(5172, 81174, 1),
(5173, 81175, 1),
(5174, 81176, 1),
(5175, 81177, 0.5),
(5263, 81304, 1),
(5177, 81179, 1),
(5178, 81180, 1),
(5436, 81941, 0),
(5180, 81182, 0.5),
(5181, 81183, 0.75),
(5182, 81185, 1),
(5183, 81186, 0.75),
(5184, 81187, 0.5),
(5185, 81190, 1),
(5186, 81193, 1),
(5187, 81194, 0),
(5188, 81195, 0),
(5189, 81196, 0),
(5190, 81197, 0),
(5191, 81198, 0),
(5192, 81200, 0),
(5193, 81202, 0),
(5194, 81203, 0),
(5195, 81204, 0),
(5196, 81205, 0),
(5197, 81206, 1),
(5198, 81207, 1),
(5199, 81208, 1),
(5200, 81209, 1),
(5201, 81210, 0),
(5202, 81211, 0),
(5203, 81212, 0),
(5204, 81213, 1),
(5205, 81214, 1),
(5206, 81215, 0),
(5207, 81216, 1),
(5208, 81217, 1),
(5209, 81218, 0),
(5210, 81219, 1),
(5211, 81220, 0),
(5212, 81221, 0),
(5214, 81223, 0.5),
(5215, 81224, 1),
(5216, 81225, 0.5),
(5217, 81226, 0.75),
(5226, 81249, 1),
(5219, 81228, 0.5),
(5222, 81231, 1),
(5223, 81232, 1),
(5224, 81233, 0.5),
(5225, 81235, 1),
(5227, 81256, 1),
(5228, 81257, 0),
(5229, 81258, 0.5),
(5230, 81259, 1),
(5231, 81260, 0.5),
(5232, 81261, 0.5),
(5233, 81262, 1),
(5234, 81263, 1),
(5235, 81264, 1),
(5236, 81265, 1),
(5237, 81266, 1),
(5238, 81267, 0.5),
(5239, 81268, 0.5),
(5240, 81269, 1),
(5241, 81270, 1),
(5242, 81271, 1),
(5243, 81272, 1),
(5244, 81273, 1),
(5245, 81274, 1),
(5246, 81275, 1),
(5283, 81361, 1),
(5248, 81277, 1),
(5249, 81278, 1),
(5250, 81279, 0),
(5251, 81280, 0),
(5252, 81281, 0),
(5253, 81282, 0),
(5254, 81285, 1),
(5255, 81288, 1),
(5256, 81289, 1),
(5257, 81295, 1),
(5258, 81296, 1),
(5259, 81297, 2),
(5261, 81301, 0.5),
(5262, 81303, 0),
(5264, 81306, 0),
(5342, 81602, 0),
(5341, 81597, 1),
(5267, 81309, 1),
(5268, 81312, 2),
(5269, 81313, 2),
(5270, 81314, 2),
(5271, 81315, 1),
(5272, 81316, 0.75),
(5273, 81317, 0.5),
(5275, 81319, 0.75),
(5276, 81320, 0.5),
(5277, 81321, 1),
(5278, 81322, 0.75),
(5279, 81323, 0.75),
(5280, 81329, 0),
(5323, 81468, 0),
(5284, 81364, 0.5),
(5285, 81392, 1),
(5286, 81429, 0),
(5287, 81430, 0.5),
(5288, 81431, 0),
(5311, 81454, 0),
(5290, 81433, 0),
(5291, 81434, 0),
(5292, 81435, 0),
(5293, 81436, 0),
(5294, 81437, 0),
(5295, 81438, 0),
(5296, 81439, 0),
(5297, 81440, 0),
(5298, 81441, 0),
(5299, 81442, 0),
(5300, 81443, 0),
(5301, 81444, 0),
(5302, 81445, 0),
(5303, 81446, 0),
(5304, 81447, 0),
(5305, 81448, 0),
(5306, 81449, 0),
(5307, 81450, 0),
(5315, 81458, 0),
(5309, 81452, 0),
(5310, 81453, 0),
(5312, 81455, 0),
(5313, 81456, 0),
(5314, 81457, 0),
(5316, 81459, 0),
(5317, 81460, 0),
(5318, 81461, 0),
(5319, 81462, 0),
(5329, 81474, 0),
(5321, 81466, 0),
(5322, 81467, 0),
(5332, 81480, 1),
(5327, 81472, 0),
(5330, 81475, 0),
(5331, 81476, 0),
(5333, 81481, 0),
(5337, 81485, 0),
(5338, 81520, 0),
(5339, 81551, 1),
(5340, 81562, 1),
(5343, 81603, 0),
(5344, 81604, 0),
(5345, 81605, 0),
(5347, 81607, 0),
(5348, 81608, 0),
(5349, 81612, 0),
(5350, 81613, 0),
(5351, 81615, 0),
(5352, 81626, 0),
(5353, 81627, 0),
(5354, 81651, 0),
(5355, 81657, 0),
(5362, 81690, 0),
(5361, 81688, 0),
(5358, 81681, 0),
(5359, 81682, 0),
(5360, 81683, 0),
(5363, 81693, 0),
(5364, 81694, 0),
(5365, 81695, 0),
(5366, 81696, 0),
(5367, 81697, 0),
(5369, 81704, 0),
(5375, 81716, 0),
(5371, 81711, 0),
(5373, 81714, 0),
(5374, 81715, 0),
(5376, 81719, 0),
(5398, 81823, 0),
(5378, 81721, 0),
(5379, 81722, 0),
(5380, 81729, 1),
(5381, 81756, 1),
(5385, 81767, 0),
(5384, 81766, 0),
(5386, 81768, 0),
(5387, 81769, 0),
(5388, 81770, 0),
(5389, 81771, 0),
(5390, 81772, 1),
(5391, 81774, 0),
(5392, 81776, 0),
(5397, 81822, 1),
(5394, 81788, 0),
(5395, 81791, 0),
(5396, 81815, 0),
(5399, 81824, 1),
(5400, 81829, 0.75),
(5401, 81832, 0.5),
(5402, 81833, 2),
(5403, 81838, 0),
(5404, 81839, 1),
(5405, 81840, 1),
(5406, 81841, 1),
(5407, 81844, 0),
(5408, 81851, 1),
(5409, 81852, 2),
(5410, 81865, 1),
(5411, 81866, 0.75),
(5413, 81869, 1),
(5414, 81871, 1),
(5415, 81876, 0.25),
(5416, 81877, 0.5),
(5417, 81878, 1),
(5418, 81887, 0),
(5419, 81889, 0),
(5420, 81907, 0),
(5421, 81912, 1),
(5422, 81913, 1),
(5434, 81932, 0),
(5424, 81922, 0),
(5425, 81923, 0),
(5426, 81924, 0),
(5427, 81925, 0),
(5428, 81926, 0),
(5429, 81927, 0),
(5430, 81928, 0),
(5431, 81929, 0),
(5432, 81930, 0),
(5433, 81931, 0),
(5435, 81940, 2),
(5437, 81942, 0),
(5474, 82041, 0),
(5439, 81956, 0),
(5444, 81962, 0),
(5441, 81959, 0),
(5442, 81960, 0),
(5443, 81961, 0),
(5445, 81963, 0),
(5446, 81964, 0),
(5447, 81965, 0),
(5448, 81969, 0),
(5449, 81970, 0),
(5450, 81971, 0),
(5451, 81972, 0),
(5452, 81973, 0),
(5453, 81974, 0),
(5454, 81975, 0),
(5455, 81976, 0),
(5456, 81986, 1),
(5457, 81987, 0.5),
(5460, 81995, 0),
(5461, 81996, 0),
(5462, 81997, 0),
(5463, 82010, 0),
(5464, 82012, 0),
(5465, 82013, 1),
(5466, 82014, 1),
(5467, 82024, 0),
(5468, 82025, 0),
(5493, 82069, 2),
(5470, 82029, 1),
(5471, 82030, 1),
(5472, 82039, 1),
(5473, 82040, 0),
(5475, 82042, 0),
(5476, 82043, 0),
(5479, 82046, 0),
(5478, 82045, 0),
(5480, 82047, 0),
(5481, 82053, 0.25),
(5482, 82054, 0.75),
(5483, 82055, 1),
(5484, 82056, 1),
(5487, 82059, 1),
(5488, 82060, 0.5),
(5548, 82135, 0.5),
(5490, 82066, 1),
(5491, 82067, 2),
(5492, 82068, 1),
(5494, 82070, 2),
(5495, 82071, 1),
(5496, 82072, 2),
(5497, 82073, 2),
(5597, 82191, 1),
(5596, 82190, 0.5),
(5595, 82189, 1),
(5501, 82078, 1),
(5502, 82079, 1),
(5503, 82080, 1),
(5504, 82081, 1),
(5505, 82082, 1),
(5506, 82083, 1),
(5507, 82084, 0.25),
(5508, 82087, 1),
(5509, 82088, 1),
(5510, 82089, 0.75),
(5518, 82102, 2),
(5517, 82096, 0.75),
(5516, 82095, 2),
(5514, 82093, 1),
(5515, 82094, 0.25),
(5519, 82103, 0.5),
(5520, 82104, 1),
(5522, 82109, 0.75),
(5523, 82110, 1),
(5524, 82111, 1),
(5525, 82112, 1),
(5526, 82113, 1),
(5527, 82114, 0.25),
(5528, 82115, 0.5),
(5529, 82116, 2),
(5530, 82117, 0.5),
(5531, 82118, 1),
(5532, 82119, 0.5),
(5533, 82120, 1),
(5534, 82121, 1),
(5535, 82122, 0.75),
(5536, 82123, 1),
(5537, 82124, 0.5),
(5538, 82125, 1),
(5539, 82126, 1),
(5540, 82127, 1),
(5541, 82128, 0.5),
(5542, 82129, 1),
(5543, 82130, 0.5),
(5544, 82131, 2),
(5545, 82132, 1),
(5546, 82133, 0.25),
(5547, 82134, 0.25),
(5549, 82136, 0.5),
(5550, 82137, 0.25),
(5551, 82138, 1.5),
(5552, 82139, 1),
(5553, 82140, 1),
(5554, 82141, 2),
(5555, 82142, 2),
(5556, 82143, 2),
(5557, 82144, 2),
(5558, 82145, 1),
(5559, 82146, 2),
(5560, 82147, 2),
(5561, 82148, 2),
(5603, 82204, 0.25),
(5602, 82203, 1),
(5564, 82151, 0.5),
(5601, 82202, 1),
(5600, 82201, 1),
(5599, 82193, 1),
(5598, 82192, 1),
(5569, 82156, 2),
(5570, 82157, 0.5),
(5571, 82158, 1),
(5572, 82159, 1),
(5573, 82160, 1),
(5574, 82161, 1),
(5575, 82162, 1),
(5576, 82163, 1),
(5577, 82164, 1),
(5578, 82165, 1),
(5579, 82166, 1),
(5580, 82167, 0.75),
(5581, 82168, 0.5),
(5582, 82170, 1),
(5583, 82171, 0.5),
(5584, 82178, 0),
(5585, 82179, 0),
(5586, 82180, 0),
(5587, 82181, 0),
(5588, 82182, 0),
(5589, 82183, 2),
(5590, 82184, 1),
(5591, 82185, 1),
(5592, 82186, 1),
(5593, 82187, 1),
(5594, 82188, 0.75),
(5604, 82205, 0.25),
(5605, 82208, 0.5),
(5606, 82209, 2),
(5607, 82210, 2),
(5608, 82211, 1.5),
(5609, 82212, 1.5),
(5610, 82383, 1),
(5611, 82384, 1),
(5612, 82385, 1),
(5613, 82386, 1),
(5614, 82387, 1),
(5615, 82396, 1),
(5616, 82397, 2),
(5617, 82398, 0.5),
(5618, 82399, 0.75),
(5619, 82400, 0.75),
(5620, 82401, 0.5),
(5621, 82403, 2),
(5622, 82436, 0),
(5623, 82450, 0),
(5624, 82451, 0),
(5625, 82452, 0),
(5626, 82453, 0),
(5627, 82454, 0),
(5628, 82455, 0),
(5634, 82461, 0),
(5630, 82457, 0),
(5631, 82458, 0),
(5633, 82460, 0),
(5635, 82462, 0.25),
(5636, 82463, 0.75),
(5637, 82491, 1),
(5638, 82497, 0.25),
(5639, 82498, 0.75),
(5640, 82514, 0),
(5641, 82515, 0),
(5642, 82529, 0),
(5643, 82540, 0),
(5644, 82541, 0.75),
(5645, 82567, 0),
(5646, 82575, 0.25),
(5647, 82584, 0),
(5648, 82585, 0),
(5649, 82586, 0),
(5650, 82587, 0),
(5651, 82588, 0),
(5652, 82589, 0),
(5653, 82590, 0),
(5654, 82591, 0),
(5655, 82592, 0),
(5656, 82593, 0),
(5662, 82599, 0),
(5658, 82595, 0),
(5659, 82596, 0),
(5660, 82597, 0),
(5661, 82598, 0),
(5663, 82602, 0),
(5664, 82603, 0.5),
(5665, 82650, 0),
(5666, 82651, 0),
(5667, 82652, 0),
(5668, 82692, 1),
(5669, 82693, 1),
(5670, 82780, 0.75),
(5671, 82791, 0),
(5672, 82813, 0),
(5673, 82814, 0),
(5674, 82815, 0),
(5675, 82816, 0.5),
(5676, 82818, 0),
(5677, 82819, 0),
(5678, 82820, 1),
(5679, 82821, 1),
(5681, 82828, 0),
(5682, 82829, 1),
(5905, 83360, 0),
(5684, 82837, 1),
(5685, 82838, 0),
(5686, 82839, 0),
(5688, 82843, 0),
(5689, 82844, 0),
(5690, 82845, 0),
(5691, 82846, 0),
(5692, 82847, 0),
(5693, 82848, 0),
(5694, 82860, 1),
(5695, 82864, 0.75),
(5696, 82865, 0.5),
(5697, 82868, 0.5),
(5698, 82874, 0.25),
(5699, 82878, 1),
(5700, 82879, 1),
(5701, 82880, 1),
(5702, 82881, 1),
(5703, 82882, 1),
(5705, 82901, 1),
(5706, 82924, 0),
(5707, 82925, 0.5),
(5708, 82926, 0.5),
(5709, 82927, 0.5),
(5710, 82928, 0.5),
(5711, 82930, 0),
(5712, 82954, 1),
(5713, 82955, 1),
(5721, 83029, 1),
(5719, 83019, 1),
(5720, 83028, 1),
(5717, 82959, 1),
(5718, 82980, 1),
(5722, 83030, 1),
(5723, 83031, 2),
(5724, 83032, 1),
(5725, 83033, 0.5),
(5726, 83034, 0.5),
(5727, 83037, 1),
(5728, 83038, 2),
(5729, 83039, 2),
(5730, 83040, 1),
(5731, 83041, 0.75),
(5732, 83042, 0.5),
(5733, 83043, 0.25),
(5734, 83044, 1),
(5735, 83045, 0.5),
(5736, 83048, 1),
(5737, 83051, 1),
(5738, 83052, 2),
(5739, 83061, 2),
(5740, 83062, 2),
(5741, 83072, 0),
(5742, 83073, 0),
(5745, 83076, 0.75),
(5744, 83075, 0),
(5746, 83077, 0.5),
(5747, 83078, 1),
(5748, 83079, 1),
(5749, 83094, 2),
(5750, 83095, 2),
(5751, 83096, 2),
(5752, 83097, 0.5),
(5753, 83098, 0.75),
(5754, 83099, 0.5),
(5755, 83100, 0.75),
(5756, 83101, 0.5),
(5757, 83102, 2),
(5758, 83103, 2),
(5759, 83104, 1.5),
(5760, 83105, 0),
(5761, 83106, 1),
(5762, 83107, 0),
(5763, 83108, 0),
(5766, 83112, 1),
(5765, 83110, 0),
(5767, 83113, 1),
(5768, 83114, 0.5),
(5769, 83115, 0.5),
(5770, 83116, 0.5),
(5771, 83117, 1),
(5772, 83118, 1),
(5773, 83119, 1),
(5774, 83122, 2),
(5775, 83123, 2),
(5776, 83124, 0.5),
(5777, 83125, 0.5),
(5778, 83126, 0.5),
(5779, 83127, 1),
(5780, 83128, 1),
(5781, 83129, 1),
(5782, 83131, 0),
(5783, 83132, 1),
(5787, 83136, 1),
(5785, 83134, 1),
(5786, 83135, 1),
(5788, 83137, 1),
(5789, 83138, 0),
(5790, 83139, 1),
(5791, 83140, 0),
(5792, 83141, 0),
(5793, 83143, 2),
(5794, 83144, 1),
(5795, 83145, 1),
(5796, 83146, 1),
(5797, 83147, 1),
(5799, 83149, 1),
(5800, 83150, 1),
(5801, 83151, 1),
(5802, 83152, 1),
(5803, 83153, 0.5),
(5804, 83154, 0.25),
(5805, 83155, 0.75),
(5806, 83156, 0.75),
(5807, 83157, 0.25),
(5808, 83158, 0.5),
(5809, 83159, 0.5),
(5810, 83163, 0.5),
(5811, 83169, 1),
(5857, 83250, 1),
(5813, 83190, 1),
(5814, 83192, 2),
(5815, 83193, 2),
(5816, 83194, 2),
(5817, 83195, 1),
(5818, 83196, 1),
(5819, 83197, 1),
(5820, 83198, 2),
(5821, 83199, 2),
(5822, 83200, 2),
(5823, 83201, 2),
(5824, 83202, 1),
(5836, 83214, 0.5),
(5826, 83204, 1),
(5832, 83210, 1),
(5828, 83206, 1),
(5829, 83207, 1),
(5830, 83208, 0.5),
(5831, 83209, 1),
(5835, 83213, 2),
(5834, 83212, 1),
(5837, 83215, 1),
(5838, 83216, 1),
(5839, 83217, 1),
(5840, 83218, 1),
(5841, 83219, 1),
(5843, 83222, 2),
(5844, 83223, 2),
(5845, 83224, 1),
(5846, 83225, 0),
(7515, 88781, 1),
(5848, 83227, 0),
(5849, 83228, 1),
(5850, 83231, 0),
(5851, 83232, 1),
(5852, 83233, 0),
(5853, 83234, 2),
(5854, 83235, 0.75),
(5855, 83236, 2),
(5856, 83248, 1),
(5858, 83251, 1),
(5859, 83252, 1),
(5860, 83253, 1),
(5861, 83254, 1),
(5862, 83255, 1),
(5863, 83256, 1),
(5970, 83636, 0.5),
(5865, 83258, 0.5),
(5866, 83259, 0.75),
(5867, 83260, 1),
(5868, 83261, 1),
(5869, 83262, 0.5),
(5870, 83263, 0.5),
(5871, 83265, 1),
(5872, 83266, 1),
(5873, 83268, 1),
(5874, 83269, 0.5),
(5875, 83270, 1),
(5904, 83341, 0),
(5877, 83272, 1),
(5880, 83276, 0.75),
(5879, 83275, 1),
(5881, 83277, 0.5),
(5882, 83279, 0.5),
(5883, 83280, 1),
(5884, 83281, 1),
(5885, 83282, 0.5),
(5886, 83283, 0.75),
(5887, 83295, 2),
(5888, 83296, 2),
(5889, 83298, 1),
(5890, 83299, 0),
(5891, 83301, 2),
(5892, 83302, 2),
(5893, 83306, 1),
(5894, 83307, 1),
(5895, 83309, 2),
(5907, 83392, 0),
(5906, 83391, 0.75),
(5898, 83312, 2),
(5899, 83313, 2),
(5900, 83314, 1),
(5901, 83315, 1),
(5902, 83316, 2),
(5908, 83393, 0),
(5909, 83394, 0),
(5910, 83395, 0.25),
(5911, 83419, 0),
(5912, 83420, 0),
(5913, 83485, 0),
(5914, 83495, 0),
(5915, 83496, 0),
(5916, 83497, 0),
(5917, 83498, 0),
(5918, 83504, 0),
(5922, 83510, 0),
(5920, 83508, 0),
(5921, 83509, 0),
(5923, 83511, 0),
(5924, 83512, 0),
(5925, 83513, 0),
(5926, 83514, 0),
(5927, 83515, 0),
(5928, 83535, 0),
(5931, 83548, 0),
(5932, 83549, 0),
(5933, 83551, 0),
(5934, 83553, 1),
(5935, 83566, 1),
(5936, 83567, 1),
(5937, 83568, 0),
(5938, 83569, 0),
(5939, 83570, 0),
(5940, 83571, 0),
(5941, 83572, 0),
(5942, 83573, 0),
(5943, 83579, 0),
(5944, 83580, 0),
(5945, 83581, 0),
(5946, 83582, 0),
(5947, 83583, 0),
(5948, 83584, 0),
(5949, 83585, 0),
(5950, 83586, 0),
(5951, 83587, 0),
(5952, 83588, 0),
(5953, 83589, 0),
(5954, 83590, 0),
(5955, 83591, 0),
(5956, 83592, 0),
(5957, 83593, 0),
(5958, 83594, 0),
(5959, 83595, 0),
(5960, 83596, 0),
(5961, 83597, 0),
(5962, 83598, 0),
(5963, 83599, 0),
(5964, 83600, 0),
(5965, 83601, 0),
(5968, 83604, 0),
(5967, 83603, 0),
(5969, 83635, 1),
(5971, 83637, 0.5),
(5972, 83638, 0.5),
(5973, 83641, 1),
(5974, 83642, 1),
(6045, 83849, 1),
(5976, 83644, 1),
(5977, 83673, 0.5),
(5978, 83674, 2),
(5979, 83675, 1),
(5980, 83676, 0.5),
(5981, 83677, 0.5),
(5982, 83678, 1),
(5983, 83679, 1),
(5984, 83695, 0),
(5985, 83696, 0),
(5986, 83719, 0),
(5987, 83720, 0),
(5988, 83721, 0),
(5989, 83728, 0),
(5990, 83731, 2),
(5991, 83732, 0.75),
(5992, 83733, 0.25),
(5993, 83734, 1),
(5994, 83735, 1),
(5995, 83736, 1),
(5996, 83737, 1),
(5997, 83738, 0.25),
(5998, 83739, 0.75),
(5999, 83740, 1),
(6000, 83741, 1),
(6001, 83742, 1),
(6002, 83743, 1),
(6003, 83744, 2),
(6004, 83747, 1),
(6006, 83773, 0),
(6007, 83783, 0),
(6008, 83784, 0),
(6009, 83785, 0),
(6010, 83786, 0),
(6011, 83787, 0),
(6016, 83793, 0),
(6013, 83790, 0),
(6017, 83794, 0),
(6015, 83792, 0),
(6018, 83796, 0),
(6019, 83799, 0),
(6020, 83800, 0),
(6021, 83802, 0),
(6022, 83804, 0),
(6023, 83805, 0),
(6024, 83807, 0),
(6026, 83810, 0),
(6027, 83811, 0),
(6028, 83812, 0),
(6029, 83813, 1),
(6030, 83814, 1),
(6031, 83815, 1),
(6032, 83816, 1),
(6033, 83817, 0.5),
(6034, 83818, 0),
(6035, 83829, 0.5),
(6036, 83830, 1),
(6037, 83834, 2),
(6038, 83835, 2),
(6039, 83836, 2),
(6040, 83837, 2),
(6041, 83838, 2),
(6042, 83839, 1),
(6043, 83840, 1),
(6044, 83844, 1),
(6046, 83856, 1),
(6047, 83937, 1),
(6048, 83942, 0.5),
(6049, 83943, 0.5),
(6050, 83944, 0),
(6051, 83945, 0),
(6097, 84024, 0),
(6053, 83951, 0),
(6054, 83952, 0),
(6055, 83953, 0),
(6056, 83954, 0),
(6057, 83955, 0),
(6058, 83956, 0),
(6059, 83957, 0),
(6060, 83958, 0),
(6061, 83959, 0),
(6062, 83960, 0),
(6063, 83961, 0),
(6064, 83962, 2),
(6065, 83963, 1),
(6066, 83965, 1),
(6067, 83966, 0.5),
(6068, 83967, 1),
(6069, 83969, 0.5),
(6070, 83970, 1.5),
(6071, 83975, 1),
(6072, 83976, 1),
(6073, 83977, 1),
(6074, 83978, 1),
(6075, 83979, 1),
(6076, 83980, 1),
(6080, 83984, 1),
(6078, 83982, 1),
(6079, 83983, 1),
(6081, 84008, 1),
(6082, 84009, 1),
(6083, 84010, 1),
(6084, 84011, 1),
(6085, 84012, 1),
(6086, 84013, 0),
(6087, 84014, 0),
(6088, 84015, 0),
(6089, 84016, 0.25),
(6090, 84017, 0),
(6099, 84026, 0),
(6092, 84019, 0),
(6093, 84020, 0),
(6094, 84021, 0),
(6095, 84022, 0),
(6096, 84023, 0),
(6098, 84025, 0),
(6100, 84027, 2),
(6101, 84028, 2),
(6102, 84029, 2),
(6455, 84820, 0),
(6454, 84819, 0),
(6105, 84033, 2),
(6106, 84034, 1),
(6107, 84035, 1),
(6108, 84036, 1),
(6109, 84037, 1),
(6110, 84038, 1),
(6111, 84039, 0),
(6113, 84044, 0),
(6114, 84045, 0),
(6115, 84046, 0),
(6116, 84047, 0),
(6117, 84048, 0),
(6118, 84049, 0),
(6119, 84050, 0),
(6120, 84051, 0),
(6121, 84052, 0),
(6122, 84053, 0),
(6123, 84054, 0),
(6124, 84055, 0),
(6125, 84056, 0),
(6126, 84057, 0),
(6127, 84058, 0),
(6128, 84059, 0),
(6129, 84060, 0),
(6130, 84061, 0),
(6131, 84062, 0),
(6132, 84063, 0),
(6133, 84064, 0),
(6134, 84065, 0),
(6135, 84078, 0.25),
(6136, 84079, 0.25),
(6137, 84081, 1),
(6391, 84448, 1),
(6140, 84085, 1),
(6141, 84087, 1),
(6142, 84088, 1),
(6143, 84089, 1),
(6144, 84091, 2),
(6145, 84103, 1),
(6146, 84104, 1),
(6147, 84107, 1),
(6148, 84108, 1),
(6149, 84109, 1),
(6150, 84110, 1),
(6151, 84111, 1),
(6152, 84112, 0.25),
(6153, 84113, 1),
(6154, 84114, 1),
(6155, 84115, 1),
(6156, 84116, 1),
(6157, 84117, 1),
(6158, 84118, 0.25),
(6159, 84119, 0.75),
(6160, 84123, 1),
(6161, 84124, 1),
(6162, 84125, 4),
(6163, 84126, 2),
(6164, 84127, 1),
(6165, 84128, 0.5),
(6167, 84130, 1),
(6168, 84132, 1),
(6169, 84133, 1),
(6170, 84134, 0.5),
(6171, 84135, 1),
(6172, 84136, 1),
(6173, 84137, 1),
(6174, 84138, 0.75),
(6175, 84139, 1),
(6176, 84140, 0.5),
(6177, 84141, 1),
(6178, 84142, 0.5),
(6179, 84143, 0.5),
(6180, 84144, 0),
(6181, 84145, 1),
(6182, 84146, 0),
(6183, 84147, 0),
(6184, 84148, 1),
(6185, 84149, 0),
(6186, 84150, 1),
(6187, 84151, 1),
(6188, 84152, 0.5),
(6189, 84153, 2),
(6190, 84154, 2),
(6191, 84155, 1),
(6192, 84156, 1),
(6193, 84157, 1),
(6194, 84158, 1),
(6195, 84159, 1),
(6202, 84176, 1),
(6197, 84165, 1),
(6198, 84169, 1),
(6199, 84170, 1),
(6200, 84172, 1),
(6201, 84173, 1),
(6203, 84177, 1),
(6205, 84179, 1),
(6206, 84180, 1),
(6207, 84193, 2),
(6209, 84195, 1),
(6210, 84196, 1),
(6211, 84197, 2),
(6212, 84198, 2),
(6213, 84199, 2),
(6302, 84322, 1),
(6386, 84440, 0),
(6217, 84208, 1),
(6218, 84209, 1),
(6219, 84210, 2),
(6220, 84211, 1),
(6221, 84212, 0.5),
(6223, 84214, 1),
(6225, 84217, 2),
(6226, 84218, 1),
(6227, 84219, 1),
(6228, 84220, 1),
(6229, 84221, 1),
(6230, 84228, 2),
(6231, 84229, 2),
(6232, 84230, 2),
(6233, 84231, 2),
(6234, 84232, 2),
(6235, 84233, 2),
(6236, 84234, 2),
(6237, 84235, 2),
(6238, 84236, 2),
(6239, 84252, 1),
(6240, 84253, 1),
(6241, 84254, 1),
(6242, 84255, 0.5),
(6243, 84256, 1),
(6244, 84257, 2),
(6245, 84258, 1),
(6246, 84259, 1),
(6247, 84260, 2),
(6699, 85632, 2),
(6249, 84263, 1),
(6250, 84264, 1),
(6251, 84265, 1),
(6252, 84266, 1),
(6253, 84267, 1),
(6254, 84268, 1),
(6255, 84269, 1),
(6256, 84270, 1),
(6257, 84271, 1),
(6258, 84272, 1),
(6259, 84273, 1),
(6260, 84274, 1),
(6261, 84275, 1),
(6262, 84276, 1),
(6263, 84277, 1),
(6264, 84278, 0.5),
(6265, 84280, 1),
(6266, 84281, 1),
(6267, 84282, 1),
(6268, 84283, 1),
(6269, 84284, 1),
(6270, 84285, 1),
(6273, 84288, 1),
(6272, 84287, 1),
(6274, 84289, 1),
(6275, 84290, 1),
(6276, 84292, 1),
(6277, 84295, 1),
(6278, 84296, 1),
(6279, 84297, 1),
(6280, 84298, 0.5),
(6281, 84299, 1),
(6282, 84300, 0.5),
(6283, 84301, 1),
(6284, 84066, 0),
(6285, 84302, 1),
(6286, 84303, 0.75),
(6287, 84305, 2),
(6288, 84306, 2),
(6289, 84307, 2),
(6290, 84308, 2),
(6291, 84309, 1),
(6292, 84310, 1),
(6293, 84313, 0.5),
(6294, 84314, 1),
(6295, 84315, 1),
(6296, 84316, 1),
(6297, 84317, 1),
(6298, 84318, 1),
(7121, 87315, 1),
(6300, 84320, 1),
(6303, 84323, 1),
(6304, 84324, 1),
(6305, 84325, 0.5),
(6306, 84326, 2),
(6307, 84327, 1),
(6309, 84329, 1.5),
(6310, 84330, 2),
(6311, 84331, 2),
(6312, 84332, 2),
(6313, 84334, 1.5),
(6314, 84336, 0.25),
(6315, 84337, 1),
(6316, 84338, 1),
(6317, 84339, 1),
(6318, 84340, 1),
(6319, 84341, 1),
(6320, 84342, 1),
(6321, 84343, 0.75),
(6322, 84344, 0.25),
(6323, 84345, 1),
(6324, 84346, 1),
(6325, 84347, 1),
(6326, 84349, 1),
(6327, 84350, 1),
(6328, 84351, 1),
(6329, 84352, 2),
(6468, 84911, 0),
(6466, 84908, 1),
(6332, 84357, 1),
(6333, 84360, 1),
(6334, 84362, 1),
(6335, 84364, 1),
(6477, 84977, 0),
(6337, 84366, 1),
(6338, 84369, 1),
(6339, 84371, 1),
(6340, 84373, 1),
(6341, 84375, 1),
(6342, 84376, 1),
(6343, 84377, 1),
(6344, 84378, 1),
(6345, 84379, 1),
(6346, 84380, 1),
(6347, 84381, 1),
(6348, 84382, 1),
(6349, 84383, 1),
(6350, 84384, 1),
(6351, 84385, 1),
(6352, 84386, 1),
(6672, 85463, 0),
(6354, 84393, 1),
(6355, 84394, 1),
(6356, 84395, 1),
(6357, 84397, 1),
(6359, 84399, 1),
(6360, 84400, 1),
(6361, 84401, 1),
(6362, 84402, 1),
(6363, 84403, 1),
(6364, 84404, 1),
(6365, 84405, 1),
(6366, 84406, 1),
(6367, 84407, 1),
(6369, 84409, 1),
(6370, 84410, 1),
(6371, 84411, 1),
(6372, 84412, 0.5),
(6373, 84413, 1),
(6374, 84414, 1),
(6375, 84415, 1),
(6376, 84416, 1),
(6377, 84417, 1),
(6390, 84447, 0.5),
(6384, 84438, 0),
(6382, 84436, 0),
(6383, 84437, 0),
(6412, 84606, 1),
(6389, 84444, 0),
(6393, 84450, 1),
(6394, 84453, 1),
(6395, 84454, 1),
(6396, 84455, 1),
(6397, 84456, 2),
(6398, 84457, 1),
(6399, 84458, 1),
(6400, 84459, 1),
(6401, 84460, 1),
(6403, 84470, 0),
(6404, 84471, 0),
(6405, 84472, 0),
(6406, 84473, 0),
(6407, 84485, 0),
(6408, 84486, 0),
(6409, 84553, 0.25),
(6410, 84554, 0.5),
(6411, 84599, 1),
(6413, 84607, 0.5),
(6414, 84608, 1),
(6415, 84609, 1),
(6416, 84610, 1),
(6417, 84611, 1),
(6418, 84612, 1),
(6419, 84613, 1),
(6420, 84614, 0.5),
(6938, 86945, 0.5),
(6939, 86946, 1),
(6423, 84684, 1),
(6426, 84687, 1),
(6427, 84688, 1),
(6819, 86615, 0.75),
(6434, 84741, 0),
(6430, 84712, 0),
(6433, 84740, 0),
(6435, 84788, 1),
(6436, 84796, 1),
(6437, 84797, 1),
(6439, 84799, 1),
(6440, 84800, 1),
(6441, 84801, 2),
(6442, 84802, 2),
(6443, 84803, 1),
(6444, 84804, 1),
(6445, 84805, 1),
(6446, 84806, 1),
(6684, 85559, 0),
(6659, 85411, 0),
(6449, 84811, 0),
(6451, 84816, 0.5),
(6452, 84817, 1),
(6453, 84818, 1),
(6456, 84821, 1),
(6457, 84823, 1),
(6458, 84825, 0.5),
(6459, 84836, 0),
(6460, 84849, 1),
(6478, 84979, 0),
(6464, 84900, 2),
(6463, 84894, 0),
(6465, 84903, 1),
(6469, 84912, 0),
(6470, 84913, 0),
(6471, 84914, 0),
(6472, 84915, 1),
(6492, 85006, 1),
(6475, 84924, 0),
(6476, 84933, 0),
(6479, 84981, 0),
(6480, 84982, 0),
(6481, 84986, 0),
(6482, 84987, 0),
(6483, 84988, 0),
(6484, 84989, 1),
(6485, 84990, 1),
(6486, 84991, 1),
(6487, 84992, 0.5),
(6488, 84994, 2),
(6489, 85003, 0),
(6490, 85004, 0),
(6491, 85005, 1),
(6493, 85007, 1),
(6494, 85008, 1),
(6495, 85009, 1),
(6496, 85010, 1),
(6497, 85017, 0),
(6498, 85018, 0),
(6499, 85020, 0),
(6500, 85021, 0),
(6501, 85022, 1),
(6508, 85029, 0),
(6504, 85025, 1),
(6505, 85026, 1),
(6509, 85030, 0),
(6510, 85031, 0),
(6511, 85032, 0),
(6512, 85033, 0),
(6513, 85035, 0),
(6514, 85036, 0),
(6515, 85040, 1),
(6516, 85042, 0.5),
(6517, 85043, 0.25),
(6518, 85044, 0.25),
(6519, 85045, 0.25),
(6520, 85046, 0.75),
(6521, 85047, 0.5),
(6522, 85053, 0),
(6523, 85060, 1),
(6524, 85061, 0),
(6525, 85062, 0),
(6526, 85063, 0),
(6527, 85064, 1),
(6528, 85065, 1),
(6529, 85066, 0.5),
(6530, 85067, 1.5),
(6531, 85068, 2),
(6532, 85069, 2),
(6533, 85075, 0),
(6534, 85076, 0),
(6535, 85077, 0),
(6566, 85118, 0),
(6537, 85079, 0),
(6538, 85080, 0),
(6539, 85081, 0),
(6540, 85082, 0),
(6541, 85083, 0),
(6542, 85084, 0),
(6543, 85090, 0),
(6544, 85091, 0),
(6545, 85092, 0),
(6546, 85093, 0),
(6547, 85094, 0),
(6548, 85095, 0),
(6555, 85102, 0),
(6565, 85116, 0),
(6553, 85100, 0),
(6554, 85101, 0),
(6557, 85104, 0),
(6559, 85106, 0),
(6567, 85119, 0),
(6563, 85110, 0),
(6564, 85111, 0),
(6568, 85120, 0),
(6569, 85124, 2),
(6570, 85125, 0),
(6571, 85127, 0.5),
(6572, 85128, 0.5),
(6573, 85132, 0.75),
(6574, 85133, 0.75),
(6575, 85136, 1),
(6576, 85137, 1),
(6577, 85138, 1),
(6578, 85139, 1),
(6579, 85140, 1),
(6580, 85142, 1),
(6582, 85145, 1),
(6583, 85156, 1),
(6584, 85158, 1),
(6585, 85159, 1),
(6586, 85160, 1),
(6587, 85161, 1),
(6588, 85164, 1),
(6589, 85165, 1),
(6590, 85166, 1),
(6591, 85167, 1),
(6592, 85168, 1),
(6593, 85169, 1),
(6594, 85170, 1),
(6595, 85180, 2),
(6596, 85182, 1),
(6597, 85183, 0.5),
(6598, 85184, 1),
(6599, 85194, 2),
(6600, 85195, 2),
(6601, 85196, 0),
(6602, 85198, 1),
(6603, 85199, 0.5),
(6604, 85200, 1),
(6605, 85201, 1),
(6606, 85207, 1),
(6607, 85210, 1),
(6608, 85211, 1),
(6609, 85224, 0.5),
(6610, 85226, 0.5),
(6611, 85227, 1),
(6612, 85228, 1),
(6613, 85235, 1),
(6614, 85250, 2),
(6615, 85251, 2),
(6621, 85266, 1),
(6617, 85254, 1),
(6618, 85255, 1),
(6619, 85257, 1),
(6620, 85258, 1),
(6622, 85334, 0.5),
(6623, 85335, 0.25),
(6624, 85336, 0.25),
(6625, 85337, 0.25),
(6626, 85339, 0.75),
(6627, 85342, 1),
(6628, 85343, 0.5),
(6629, 85344, 1),
(6630, 85345, 0),
(6631, 85346, 0),
(6632, 85347, 0),
(6633, 85348, 0),
(6634, 85349, 1),
(6635, 85350, 1),
(6636, 85351, 1),
(6637, 85352, 1),
(6638, 85380, 1),
(6639, 85381, 1),
(6640, 85382, 1),
(6641, 85383, 1),
(6642, 85384, 1),
(6643, 85393, 0),
(6644, 85396, 0),
(6645, 85397, 0),
(6646, 85398, 0),
(6647, 85399, 0),
(6648, 85400, 0),
(6649, 85401, 0),
(6650, 85402, 0),
(6651, 85403, 1),
(6652, 85404, 1),
(6653, 85405, 1),
(6654, 85406, 0),
(6655, 85407, 0),
(6656, 85408, 0),
(6657, 85409, 0),
(6658, 85410, 0),
(6660, 85412, 1),
(6662, 85427, 0),
(6663, 85454, 0),
(6664, 85455, 1),
(6665, 85456, 0),
(6666, 85457, 0),
(6667, 85458, 1),
(6668, 85459, 1),
(6669, 85460, 1),
(6670, 85461, 0),
(6671, 85462, 0),
(6673, 85464, 0),
(6674, 85465, 0),
(6675, 85477, 1),
(6676, 85478, 1),
(6677, 85505, 0),
(6685, 85560, 0),
(6679, 85554, 0),
(6680, 85555, 0),
(6681, 85556, 0),
(6682, 85557, 0),
(6683, 85558, 0),
(6686, 85561, 0),
(6689, 85564, 0),
(6688, 85563, 0),
(6690, 85566, 0),
(6691, 85567, 0),
(6692, 85570, 0),
(6693, 85584, 0),
(6694, 85585, 0),
(6695, 85586, 0),
(6696, 85591, 0),
(6697, 85612, 1),
(6698, 85613, 1),
(6700, 85667, 1),
(6702, 85703, 0),
(6703, 85733, 0),
(6704, 85734, 0),
(6705, 85736, 0),
(6707, 85748, 0),
(6711, 85765, 0),
(6710, 85760, 0),
(6712, 85776, 0),
(6713, 85796, 0),
(6714, 85797, 0),
(6715, 85798, 0),
(6716, 85859, 1),
(6717, 85965, 0),
(6718, 85966, 0),
(6719, 85967, 0),
(6720, 85968, 0),
(6722, 85970, 0),
(6723, 85971, 0),
(6724, 85972, 0),
(6725, 85973, 0),
(6726, 85984, 0),
(6727, 85985, 0),
(6734, 86111, 0),
(6729, 85987, 2),
(6730, 85988, 0),
(6733, 85992, 1),
(6735, 86114, 0),
(6736, 86168, 2),
(6737, 86413, 1),
(6738, 86414, 0),
(6739, 86415, 0),
(6740, 86416, 1),
(6741, 86417, 0),
(6742, 86418, 0),
(6743, 86419, 0),
(6744, 86420, 0),
(6745, 86421, 0),
(6746, 86422, 0),
(6747, 86423, 0),
(6748, 86424, 0),
(6749, 86425, 0),
(6750, 86426, 0),
(6751, 86427, 0),
(6752, 86430, 0),
(6753, 86431, 0),
(6754, 86432, 0),
(6755, 86433, 0),
(6756, 86434, 0),
(6757, 86435, 0),
(6758, 86436, 0),
(6759, 86437, 0),
(6760, 86438, 0),
(6761, 86439, 0),
(6762, 86440, 0),
(6763, 86441, 0),
(6764, 86442, 0),
(6765, 86443, 0),
(6766, 86444, 0),
(6767, 86445, 0),
(6769, 86485, 1),
(6770, 86503, 0),
(6771, 86504, 0),
(6772, 86511, 0),
(6773, 86512, 0),
(6774, 86513, 0),
(6775, 86514, 0),
(6776, 86515, 0),
(6777, 86516, 0),
(6778, 86517, 0),
(6779, 86529, 1),
(6780, 86530, 2),
(6781, 86536, 0.5),
(6782, 86539, 0),
(6783, 86540, 1),
(6784, 86542, 2),
(6785, 86543, 0),
(6786, 86544, 0),
(6787, 86545, 0),
(6791, 86549, 0),
(6790, 86548, 0),
(6792, 86550, 0),
(6793, 86551, 0),
(6794, 86552, 0),
(6795, 86553, 0),
(6796, 86554, 0),
(6797, 86564, 1),
(6798, 86565, 1),
(6799, 86568, 2),
(6804, 86589, 1),
(6802, 86587, 1),
(6805, 86590, 1),
(6806, 86591, 1),
(7139, 87404, 2),
(6809, 86594, 2),
(6810, 86597, 2),
(6811, 86598, 2),
(6813, 86600, 1),
(6814, 86601, 1),
(6815, 86602, 2),
(6816, 86603, 2),
(6817, 86612, 1),
(6818, 86614, 1),
(6820, 86616, 1),
(6821, 86617, 1),
(6822, 86622, 1),
(6823, 86625, 1),
(6824, 86626, 1),
(6826, 86630, 1),
(6827, 86631, 2),
(6828, 86632, 1),
(6829, 86635, 1),
(6830, 86636, 1),
(6831, 86637, 1),
(6832, 86640, 1),
(6833, 86641, 2),
(6834, 86642, 2),
(6835, 86650, 0),
(6836, 86651, 0),
(6837, 86652, 0),
(6838, 86654, 0),
(6839, 86655, 0),
(6840, 86656, 0),
(6841, 86657, 1),
(6842, 86658, 0),
(6843, 86659, 1),
(6844, 86661, 1),
(6845, 86662, 1),
(6846, 86664, 0),
(6847, 86666, 0),
(6848, 86668, 0),
(6849, 86671, 0),
(6850, 86675, 0),
(6851, 86676, 0),
(6852, 86677, 0),
(6853, 86680, 0),
(6854, 86681, 0),
(6855, 86682, 0),
(6856, 86683, 1),
(6857, 86687, 1),
(6858, 86688, 1),
(6859, 86689, 1),
(6860, 86690, 1),
(6861, 86691, 1),
(6862, 86692, 1),
(6863, 86693, 1),
(6864, 86694, 1),
(6865, 86695, 0.5),
(6937, 86944, 1),
(6867, 86697, 1),
(6868, 86698, 0.5),
(6869, 86699, 0),
(6870, 86700, 0),
(6871, 86701, 1),
(6872, 86702, 0),
(6873, 86703, 0),
(6874, 86704, 0),
(6875, 86705, 0),
(6876, 86706, 0),
(6877, 86707, 1),
(6878, 86708, 1),
(6879, 86709, 1),
(6880, 86710, 0),
(6881, 86711, 0),
(6882, 86712, 0),
(6883, 86713, 1),
(6884, 86714, 1),
(6885, 86715, 0),
(6886, 86716, 0),
(6887, 86717, 0),
(6888, 86718, 0),
(6889, 86719, 0),
(6891, 86730, 0),
(6892, 86778, 1),
(6893, 86800, 0),
(6896, 86803, 0),
(6895, 86802, 0),
(6897, 86804, 0),
(6898, 86805, 0),
(6899, 86806, 0),
(6900, 86807, 0),
(6901, 86811, 0),
(6902, 86814, 0),
(6905, 86821, 0),
(6904, 86817, 0),
(6906, 86822, 0),
(6907, 86833, 2),
(6908, 86834, 1),
(6909, 86847, 0),
(6910, 86848, 0),
(6911, 86849, 0),
(6912, 86850, 0),
(6913, 86851, 0),
(7060, 87165, 0),
(6915, 86853, 0),
(6921, 86859, 0),
(6918, 86856, 0),
(6919, 86857, 0),
(6920, 86858, 0),
(6922, 86860, 0),
(6923, 86861, 0),
(6924, 86862, 0),
(6926, 86884, 0),
(6927, 86885, 0),
(6928, 86889, 1),
(6929, 86891, 1),
(6931, 86893, 0),
(6932, 86895, 1),
(6933, 86896, 1),
(6934, 86899, 1),
(6935, 86936, 0),
(6936, 86937, 1),
(6940, 86947, 1),
(6941, 86948, 1),
(6942, 86949, 1),
(6943, 86950, 1),
(6944, 86951, 1),
(6945, 86952, 1),
(6946, 86953, 1),
(6947, 86954, 1),
(6948, 86955, 1),
(6949, 86957, 1),
(6950, 86958, 1),
(6951, 86959, 1),
(6952, 86960, 1),
(6953, 86961, 1),
(6954, 86962, 1),
(6955, 86963, 1),
(6965, 86999, 1),
(6957, 86965, 0.5),
(6958, 86966, 0.5),
(6959, 86967, 0),
(6960, 86968, 1),
(6963, 86970, 0),
(6962, 86969, 1),
(6964, 86971, 1),
(6966, 87000, 1),
(6968, 87002, 0),
(6969, 87003, 0),
(6970, 87004, 0),
(6971, 87005, 1),
(6972, 87006, 0),
(6973, 87007, 0),
(6974, 87014, 0.5),
(6975, 87018, 0.5),
(6976, 87019, 1),
(6977, 87020, 0),
(6978, 87021, 0),
(6979, 87022, 0),
(6980, 87023, 0),
(6981, 87024, 0),
(6982, 87025, 0),
(6983, 87026, 0),
(6984, 87027, 0),
(6985, 87031, 0),
(6987, 87033, 0),
(6988, 87034, 1),
(6989, 87035, 1),
(6990, 87036, 1),
(6991, 87037, 1),
(6992, 87038, 1),
(6993, 87039, 1),
(6994, 87040, 0),
(6995, 87041, 0),
(6996, 87042, 0),
(6997, 87043, 0),
(6998, 87044, 0),
(6999, 87045, 0),
(7000, 87046, 0),
(7001, 87047, 0),
(7002, 87048, 0),
(7003, 87049, 0),
(7004, 87050, 0),
(7005, 87051, 0),
(7006, 87052, 0),
(7007, 87053, 0),
(7008, 87054, 0),
(7009, 87055, 0),
(7010, 87056, 0),
(7011, 87057, 0),
(7012, 87058, 0),
(7013, 87059, 0),
(7014, 87060, 0),
(7015, 87061, 0),
(7016, 87062, 0),
(7017, 87063, 0),
(7018, 87064, 0),
(7019, 87065, 0),
(7020, 87066, 0),
(7021, 87067, 0),
(7022, 87068, 0),
(7023, 87069, 0),
(7024, 87070, 0),
(7025, 87071, 0),
(7026, 87072, 0),
(7027, 87073, 0),
(7028, 87074, 0),
(7029, 87075, 0),
(7030, 87076, 0),
(7031, 87077, 0),
(7032, 87078, 0),
(7033, 87079, 0),
(7034, 87080, 0),
(7035, 87081, 0),
(7036, 87082, 0),
(7037, 87083, 0),
(7038, 87084, 0),
(7039, 87085, 0),
(7040, 87086, 0),
(7041, 87087, 0),
(7047, 87093, 0),
(7043, 87089, 0),
(7044, 87090, 0),
(7045, 87091, 0),
(7046, 87092, 0),
(7048, 87094, 0),
(7049, 87095, 0),
(7050, 87096, 0),
(7809, 89260, 0),
(7052, 87098, 0),
(7127, 87331, 0),
(7054, 87100, 0),
(7055, 87101, 0),
(7056, 87112, 0.5),
(7057, 87116, 1),
(7058, 87128, 2),
(7059, 87129, 2);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(7061, 87166, 0),
(7062, 87167, 0),
(7063, 87168, 1),
(7064, 87169, 0),
(7065, 87170, 0),
(7066, 87171, 0),
(7067, 87176, 0),
(7068, 87177, 0),
(7069, 87178, 0),
(7070, 87179, 0),
(7071, 87180, 0),
(7072, 87181, 0),
(7073, 87182, 0),
(7074, 87183, 1),
(7075, 87184, 1),
(7076, 87186, 0),
(7078, 87188, 0),
(7079, 87209, 1),
(7080, 87210, 0.5),
(7081, 87211, 1),
(7082, 87212, 2),
(7083, 87213, 1),
(7084, 87214, 1),
(7085, 87215, 1),
(7086, 87216, 2),
(7087, 87217, 1),
(7089, 87219, 1),
(7090, 87220, 1),
(7091, 87254, 1),
(7092, 87257, 1),
(7093, 87261, 1),
(7094, 87262, 1),
(7095, 87263, 1),
(7096, 87264, 1),
(7097, 87271, 1),
(7098, 87276, 1),
(7099, 87278, 1),
(7100, 87280, 1),
(7101, 87281, 1),
(7102, 87282, 0.5),
(7103, 87283, 0.5),
(7104, 87286, 1),
(7105, 87288, 1),
(7106, 87292, 1),
(7107, 87293, 1),
(7108, 87297, 1),
(7109, 87298, 1),
(7125, 87329, 0),
(7112, 87306, 0.5),
(7113, 87305, 1),
(7114, 86621, 1),
(7115, 86624, 1),
(7116, 87307, 1),
(7117, 87308, 1),
(7118, 87309, 1),
(7119, 87310, 1),
(7120, 87311, 1),
(7122, 87316, 1),
(7123, 87317, 1),
(7124, 87318, 1),
(7126, 87330, 0),
(7128, 87332, 0),
(7129, 87333, 1),
(7130, 87334, 1),
(7131, 87335, 1),
(7132, 87336, 1),
(7133, 87337, 1),
(7134, 87381, 0),
(7136, 87383, 0),
(7137, 87384, 0),
(7138, 87385, 0),
(7140, 87405, 1),
(7141, 87417, 0),
(7142, 87418, 0),
(7143, 87419, 0),
(7144, 87420, 0),
(7145, 87421, 0),
(7146, 87437, 0),
(7147, 87438, 0),
(7148, 87439, 0),
(7149, 87440, 0),
(7150, 87481, 1),
(7151, 87489, 1),
(7152, 87490, 1),
(7153, 87491, 2),
(7154, 87492, 0.5),
(7155, 87493, 2),
(7156, 87499, 1),
(7157, 87500, 1),
(7158, 87541, 0),
(7159, 87542, 0),
(7160, 87546, 0.75),
(7161, 87558, 1),
(7163, 87614, 0.25),
(7164, 87621, 1),
(7165, 87622, 1),
(7166, 87623, 1),
(7170, 87724, 1),
(7171, 87727, 2),
(7172, 87728, 0),
(7173, 87729, 0),
(7174, 87744, 1),
(7175, 87745, 1),
(7176, 87746, 1),
(7183, 87852, 0.75),
(7178, 87752, 0),
(7180, 87759, 1),
(7181, 87825, 0.5),
(7182, 87832, 1.5),
(7184, 87853, 0.5),
(7185, 87855, 1),
(7186, 87856, 1),
(7187, 87871, 1),
(7188, 87872, 1),
(7189, 87873, 1),
(7200, 87984, 1),
(7191, 87965, 0),
(7192, 87966, 0),
(7193, 87967, 0),
(7194, 87968, 1.5),
(7195, 87969, 0),
(7196, 87970, 0),
(7197, 87971, 0),
(7198, 87972, 0),
(7199, 87973, 0),
(7201, 87985, 1),
(7202, 87986, 1),
(7203, 87987, 1),
(7204, 87988, 1),
(7205, 88001, 1),
(7206, 88003, 1),
(7207, 88005, 1),
(7208, 88006, 1),
(7209, 88007, 0.5),
(7210, 88008, 0.75),
(7211, 88009, 1),
(7212, 88010, 0.5),
(7213, 88011, 0.5),
(7214, 88012, 2),
(7215, 88013, 0.5),
(7216, 88014, 1),
(7217, 88015, 0.25),
(7218, 88016, 1),
(7219, 88017, 1),
(7220, 88018, 1),
(7221, 88019, 1),
(7222, 88020, 0.5),
(7223, 88021, 2),
(7224, 88022, 0.5),
(7369, 88364, 0),
(7368, 88363, 1),
(7227, 88025, 1),
(7228, 88026, 0.5),
(7229, 88027, 1),
(7230, 88028, 0),
(7231, 88029, 1),
(7232, 88030, 0),
(7233, 88031, 0),
(7234, 88032, 0.5),
(7235, 88033, 1),
(7402, 88495, 0),
(7243, 88041, 0.75),
(7365, 88354, 0),
(7239, 88037, 1),
(7246, 88045, 1),
(7349, 88288, 1),
(7401, 88494, 1),
(7244, 88043, 0),
(7245, 88044, 0),
(7247, 88047, 2),
(7248, 88048, 1),
(7249, 88049, 1),
(7342, 88281, 1),
(7343, 88282, 1),
(7252, 88052, 1),
(7253, 88053, 1),
(7254, 88054, 1),
(7255, 88055, 1),
(7256, 88056, 1),
(7257, 88057, 1),
(7258, 88058, 1),
(7259, 88059, 2),
(7260, 88061, 1),
(7261, 88062, 2),
(7262, 88063, 2),
(7263, 88065, 2),
(7264, 88067, 2),
(7265, 88068, 1),
(7266, 88069, 2),
(7268, 88073, 2),
(7269, 88079, 1),
(7271, 88081, 1),
(7272, 88082, 1),
(7273, 88084, 1),
(7274, 88085, 1),
(7275, 88086, 0.75),
(7276, 88087, 0.5),
(9480, 94654, 1),
(7278, 88089, 1),
(9477, 94651, 1),
(7280, 88091, 0.75),
(7281, 88093, 1),
(7282, 88094, 1),
(7283, 88095, 1),
(7284, 88096, 1),
(7285, 88098, 0.5),
(9482, 94660, 1),
(7287, 88100, 1),
(7288, 88101, 0.75),
(7289, 88102, 1),
(7290, 88103, 1),
(7400, 88493, 0.4),
(7292, 88105, 1),
(7293, 88107, 1),
(7294, 88108, 1),
(7295, 88109, 1),
(7296, 88110, 1),
(7297, 88112, 1),
(7298, 88113, 1),
(7299, 88114, 1),
(7300, 88115, 1),
(7301, 88116, 1),
(7302, 88117, 0.25),
(7303, 88118, 1),
(7304, 88119, 1),
(7306, 88123, 1),
(7307, 88155, 1),
(7308, 88158, 1),
(7309, 88159, 1),
(7310, 88179, 2),
(7311, 88182, 1),
(7312, 88183, 0),
(7313, 88184, 0),
(7314, 88191, 1),
(7315, 88193, 1),
(7316, 88198, 0.5),
(7317, 88216, 1),
(7318, 88217, 0.25),
(7319, 88218, 1),
(7329, 88228, 0),
(7346, 88285, 0.25),
(7359, 88329, 1),
(7348, 88287, 1),
(7325, 88223, 1),
(7330, 88229, 0),
(7331, 88230, 0),
(7332, 88231, 0),
(7333, 88234, 1),
(7337, 88244, 1),
(7335, 88242, 2),
(7336, 88243, 2),
(7338, 88245, 1),
(7339, 88246, 1),
(7340, 88247, 1),
(7341, 88248, 0.5),
(7344, 88283, 1),
(7345, 88284, 1),
(7350, 88289, 1),
(7351, 88295, 0.5),
(7352, 88305, 1),
(7353, 88306, 1),
(7358, 88328, 1),
(7357, 88320, 1),
(7356, 88315, 1),
(7360, 88331, 2),
(7361, 88338, 4),
(7362, 88339, 4),
(7363, 88340, 4),
(7364, 88347, 0),
(7366, 88360, 0),
(7367, 88362, 0),
(7370, 88365, 0),
(7371, 88366, 4),
(7372, 88367, 0),
(7373, 88389, 1),
(7374, 88390, 1),
(7375, 88391, 0),
(7376, 88393, 0),
(7377, 88394, 0),
(7378, 88400, 0),
(7379, 88401, 0),
(7380, 88402, 0),
(7381, 88403, 0),
(7382, 88406, 1),
(7383, 88409, 0),
(7384, 88412, 0),
(7385, 88414, 0),
(7386, 88415, 0),
(7387, 88416, 0),
(7389, 88418, 1),
(7390, 88421, 0),
(7391, 88422, 1),
(7392, 88423, 0),
(7393, 88424, 0),
(7394, 88425, 0),
(7395, 88430, 0),
(7396, 88431, 0),
(7397, 88432, 0),
(7398, 88433, 0),
(7399, 88434, 0),
(7479, 88690, 1),
(7410, 88534, 0),
(7406, 88513, 1),
(7407, 88531, 1),
(7408, 88532, 1.25),
(7409, 88533, 0),
(7412, 88536, 0),
(7414, 88546, 2),
(7415, 88547, 1),
(7416, 88548, 1),
(7417, 88570, 0.2),
(7418, 88597, 0),
(7419, 88598, 0),
(7420, 88599, 0),
(7421, 88600, 0),
(7422, 88604, 0),
(7423, 88605, 0),
(7424, 88606, 0),
(7425, 88607, 0),
(7426, 88612, 1),
(7427, 88615, 0),
(7428, 88616, 0),
(7429, 88617, 0),
(7430, 88625, 0),
(7431, 88626, 0),
(7432, 88627, 0),
(7433, 88628, 0.75),
(7434, 88629, 0),
(7435, 88630, 0),
(7436, 88631, 0.5),
(7437, 88632, 0),
(7438, 88634, 0.5),
(7439, 88635, 1),
(7440, 88636, 0.5),
(7441, 88637, 1),
(7442, 88638, 2),
(7443, 88639, 0.5),
(7444, 88640, 0.5),
(7445, 88641, 1),
(7446, 88642, 1),
(7447, 88644, 0.5),
(7448, 88645, 0.2),
(7449, 88646, 1),
(7450, 88652, 0.3),
(7451, 88653, 0.4),
(7452, 88654, 0.4),
(7453, 88655, 1),
(7454, 88656, 6),
(7455, 88657, 1),
(7456, 88658, 1),
(7457, 88659, 0.3),
(7458, 88660, 1),
(7459, 88661, 0.25),
(7460, 88662, 1.25),
(7461, 88664, 1.5),
(7462, 88668, 1),
(7463, 88669, 0.2),
(7464, 88670, 0.1),
(7465, 88671, 1.8),
(7474, 88685, 0.5),
(7879, 89673, 1),
(7468, 88674, 1),
(7469, 88675, 0.6),
(7470, 88676, 1.2),
(7471, 88677, 0.2),
(7472, 88678, 1),
(7473, 88679, 0.6),
(7475, 88686, 0.3),
(7476, 88687, 0.4),
(7477, 88688, 0.2),
(7478, 88689, 1),
(7480, 88691, 1),
(7481, 88693, 1),
(7482, 88694, 2),
(7483, 88696, 1),
(7484, 88697, 1),
(7485, 88699, 0),
(7486, 88701, 0),
(7487, 88702, 0),
(7488, 88703, 0),
(7489, 88704, 1),
(7490, 88705, 1),
(7491, 88706, 1),
(7493, 88709, 2),
(7494, 88736, 1),
(7495, 88737, 1),
(7588, 88990, 0),
(7497, 88739, 1),
(7498, 88744, 0),
(7499, 88745, 0),
(7500, 88746, 0),
(7501, 88747, 0),
(7502, 88749, 0.3),
(7503, 88750, 1),
(7504, 88753, 1),
(7505, 88754, 1.5),
(7506, 88755, 2),
(7507, 88756, 0),
(7508, 88757, 1),
(7509, 88760, 0),
(7510, 88761, 0),
(7511, 88776, 0),
(7522, 88794, 1),
(7513, 88778, 1),
(7516, 88782, 0.4),
(7517, 88783, 0.3),
(7520, 88787, 1),
(7519, 88786, 1),
(7521, 88788, 0),
(7523, 88795, 1),
(7525, 88798, 0.5),
(7526, 88799, 1.4),
(7598, 89000, 2),
(7596, 88998, 2),
(7529, 88802, 0.2),
(7530, 88803, 0.75),
(7531, 88804, 0),
(7532, 88805, 0),
(7533, 88806, 0.5),
(7534, 88807, 2),
(7535, 88841, 2),
(7536, 88843, 1),
(7537, 88844, 1),
(7538, 88845, 1),
(7539, 88846, 1),
(7540, 88847, 1),
(7541, 88860, 1),
(7542, 88861, 0.5),
(7543, 88862, 0),
(7544, 88863, 0),
(7545, 88869, 1),
(7546, 88870, 2),
(7547, 88871, 0.2),
(7548, 88881, 1),
(7549, 88882, 1),
(7550, 88888, 1),
(7551, 88901, 1),
(7552, 88902, 0.2),
(7553, 88903, 0.3),
(7554, 88904, 1),
(7555, 88909, 0),
(7556, 88910, 0),
(7557, 88911, 0),
(7558, 88914, 1),
(7597, 88999, 2),
(7560, 88916, 0.2),
(7561, 88917, 1),
(7562, 88923, 1),
(7563, 88924, 0.2),
(7564, 88925, 1),
(7565, 88926, 0.2),
(7566, 88927, 0.4),
(7567, 88928, 0.1),
(7953, 89886, 1),
(7939, 89860, 1),
(7570, 88940, 0),
(7571, 88941, 0),
(7572, 88942, 0),
(7573, 88970, 0.5),
(7574, 88971, 0.5),
(7575, 88972, 0.25),
(7577, 88974, 0.5),
(7606, 89008, 1),
(7579, 88976, 1),
(7580, 88977, 1),
(7581, 88978, 1),
(7582, 88979, 1),
(7583, 88980, 1),
(7584, 88981, 1),
(7585, 88987, 0.7),
(7586, 88988, 0.3),
(7592, 88994, 0),
(7589, 88991, 0),
(7590, 88992, 1),
(7591, 88993, 0),
(7593, 88995, 2),
(7594, 88996, 0.5),
(7595, 88997, 0.5),
(7599, 89001, 2),
(7600, 89002, 1),
(7601, 89003, 2),
(7602, 89004, 2),
(7603, 89005, 0),
(7604, 89006, 0),
(7605, 89007, 2),
(7607, 89009, 1),
(7608, 89010, 1),
(7609, 89011, 1),
(7614, 89016, 1),
(7615, 89017, 1),
(7627, 89030, 1),
(7613, 89015, 1),
(7617, 89019, 2),
(7618, 89020, 1),
(7619, 89021, 2),
(7620, 89022, 0.5),
(7814, 89363, 0.3),
(7622, 89024, 2),
(7623, 89025, 0.5),
(7624, 89026, 2),
(7625, 89027, 0.5),
(7626, 89028, 2),
(7628, 89032, 1),
(7806, 89257, 0),
(7808, 89259, 0),
(7807, 89258, 0),
(7727, 89138, 0.3),
(7633, 89042, 0.25),
(7634, 89043, 1),
(7635, 89044, 0.5),
(7636, 89045, 0.5),
(7740, 89151, 2),
(7638, 89047, 1),
(7639, 89048, 0.5),
(7640, 89049, 0.25),
(7952, 89885, 1),
(7642, 89051, 1),
(7643, 89052, 1),
(7644, 89053, 0.75),
(7645, 89054, 1),
(7747, 89158, 0),
(7647, 89056, 0.5),
(7648, 89057, 2),
(7649, 89058, 0.5),
(7650, 89059, 2),
(7651, 89060, 0.5),
(7652, 89061, 2),
(7653, 89062, 2),
(7655, 89064, 0.5),
(7792, 89228, 4),
(7657, 89066, 0.25),
(7658, 89067, 0.5),
(7659, 89068, 1),
(7660, 89069, 0.75),
(7661, 89070, 0.5),
(7662, 89071, 1),
(7663, 89072, 1),
(7664, 89073, 1),
(7665, 89074, 2),
(7813, 89288, 1),
(7667, 89076, 1),
(7668, 89077, 0.5),
(7669, 89078, 1),
(7865, 89619, 0.4),
(7671, 89080, 1),
(7672, 89081, 1),
(7673, 89082, 0),
(7674, 89083, 0),
(7675, 89084, 0.2),
(7676, 89085, 1),
(7677, 89086, 0.1),
(7678, 89087, 0.25),
(7679, 89088, 0),
(7680, 89089, 0),
(7681, 89090, 0.75),
(7682, 89091, 1),
(7683, 89092, 1),
(7684, 89093, 1),
(7685, 89094, 1),
(7686, 89095, 0),
(7687, 89096, 0),
(7688, 89097, 0),
(7720, 89130, 0.25),
(7690, 89099, 0),
(7691, 89100, 2),
(7692, 89101, 2),
(7694, 89103, 2),
(7695, 89104, 2),
(7696, 89105, 1),
(7697, 89106, 1),
(7698, 89107, 1),
(7699, 89108, 2),
(7700, 89109, 2),
(7701, 89110, 1),
(7702, 89111, 2),
(7703, 89112, 2),
(7704, 89114, 1),
(7705, 89115, 1),
(7706, 89116, 0.5),
(7938, 89859, 1),
(7708, 89118, 0.5),
(7709, 89119, 1),
(7710, 89120, 1),
(7735, 89146, 2),
(7734, 89145, 2),
(7733, 89144, 0.5),
(7732, 89143, 0.75),
(7942, 89863, 0.5),
(7716, 89126, 2),
(7746, 89157, 0.5),
(7718, 89128, 0.4),
(7719, 89129, 1),
(7721, 89131, 1),
(7722, 89133, 1),
(7723, 89134, 1),
(7724, 89135, 0.8),
(7725, 89136, 1),
(7726, 89137, 2),
(7728, 89139, 1),
(7729, 89140, 0.25),
(7730, 89141, 1),
(7731, 89142, 1),
(7736, 89147, 2),
(7737, 89148, 1),
(7738, 89149, 0.25),
(7739, 89150, 0.5),
(7748, 89160, 3),
(7749, 89161, 0),
(7750, 89162, 4),
(7751, 89163, 4),
(7752, 89164, 0.4),
(7753, 89165, 1),
(7754, 89166, 1),
(7755, 89167, 2),
(7756, 89168, 1),
(7757, 89169, 0.25),
(7758, 89170, 0.75),
(7759, 89171, 1),
(7760, 89172, 1),
(7761, 89173, 0.75),
(7762, 89174, 0.25),
(7763, 89175, 0.75),
(7764, 89176, 0.25),
(7765, 89177, 1),
(7766, 89178, 1),
(7767, 89179, 1),
(7768, 89180, 1),
(7769, 89181, 1),
(7770, 89182, 1),
(7771, 89183, 0.75),
(7772, 89184, 0.25),
(7773, 89185, 0.25),
(7774, 89186, 1),
(7775, 89187, 0.5),
(7781, 89210, 1),
(7777, 89189, 0.5),
(7778, 89190, 1),
(7779, 89191, 1),
(7780, 89209, 2),
(7782, 89211, 2),
(7811, 89273, 0.75),
(7810, 89271, 1),
(7812, 89275, 0.75),
(7786, 89222, 0.25),
(7787, 89223, 1),
(7788, 89224, 1),
(7797, 89237, 1),
(7790, 89226, 1),
(7791, 89227, 2),
(7793, 89233, 4),
(7794, 89234, 0),
(7795, 89235, 0),
(7796, 89236, 1),
(7798, 89238, 0.4),
(7801, 89246, 0.8),
(7802, 89251, 0.5),
(7803, 89254, 0.6),
(7804, 89255, 0.4),
(7805, 89256, 0.25),
(7815, 89417, 0.8),
(7816, 89418, 0.4),
(7817, 89447, 0.5),
(7818, 89448, 0.5),
(7819, 89449, 0),
(7820, 89450, 0),
(7821, 89451, 0),
(7822, 89464, 0.25),
(7823, 89470, 0.2),
(7824, 89472, 0),
(7825, 89473, 0.3),
(7826, 89474, 0),
(7827, 89475, 0.3),
(7828, 89476, 0),
(7829, 89477, 0),
(7834, 89482, 0),
(7831, 89479, 0),
(7832, 89480, 0),
(7833, 89481, 0),
(7835, 89484, 0),
(7836, 89485, 0),
(7837, 89486, 0),
(7838, 89487, 0),
(7841, 89514, 0),
(7840, 89513, 0),
(7842, 89515, 0),
(7843, 89516, 0),
(7844, 89517, 0),
(7845, 89518, 0),
(7846, 89519, 0),
(7847, 89520, 0),
(7848, 89521, 0),
(7849, 89522, 0),
(7850, 89523, 0),
(7851, 89524, 0),
(7852, 89525, 0),
(7853, 89526, 0),
(7854, 89527, 0),
(7855, 89529, 0),
(7856, 89532, 0),
(7857, 89533, 0),
(7858, 89534, 0),
(7859, 89535, 0),
(7860, 89537, 0),
(7861, 89606, 0.2),
(7862, 89607, 1),
(7863, 89608, 0.1),
(7864, 89609, 1),
(7867, 89621, 0.2),
(7868, 89622, 0.3),
(7869, 89623, 0),
(7870, 89624, 2),
(7871, 89625, 1),
(7872, 89626, 1),
(7873, 89627, 1),
(7874, 89628, 1),
(7875, 89633, 0),
(7876, 89668, 0.3),
(7877, 89669, 0.1),
(7878, 89670, 1),
(7880, 89674, 0),
(7881, 89675, 0),
(7882, 89676, 0.5),
(7883, 89677, 0.5),
(7884, 89678, 0.3),
(7885, 89679, 0.5),
(7886, 89681, 1),
(7887, 89682, 1),
(7888, 89683, 0.5),
(7889, 89684, 1),
(7890, 89685, 0.5),
(7891, 89686, 0.75),
(7892, 89687, 0.5),
(7893, 89688, 1),
(7894, 89752, 1),
(7895, 89753, 1),
(7896, 89754, 0.5),
(7897, 89755, 0.5),
(7898, 89757, 0),
(7899, 89758, 0),
(7900, 89761, 0),
(7901, 89762, 0),
(7902, 89763, 0),
(7903, 89764, 0),
(7904, 89765, 0),
(7905, 89766, 0),
(7907, 89768, 0),
(7908, 89770, 0),
(7909, 89772, 0),
(7910, 89785, 0),
(7911, 89786, 0),
(7912, 89787, 0),
(7913, 89788, 0),
(7914, 89789, 2),
(7915, 89790, 2),
(7917, 89792, 2),
(7918, 89793, 2),
(7929, 89821, 1),
(7928, 89820, 1),
(7927, 89819, 1),
(7922, 89802, 0),
(7923, 89803, 0),
(7924, 89804, 0.6),
(7925, 89805, 1),
(7930, 89846, 0.2),
(7931, 89848, 1),
(7932, 89851, 0.2),
(7933, 89853, 1),
(7934, 89855, 1),
(7951, 89884, 1),
(7936, 89857, 1),
(7950, 89883, 1),
(7944, 89873, 0),
(7945, 89878, 2),
(7946, 89879, 2),
(7947, 89880, 1),
(7948, 89881, 2),
(7949, 89882, 1),
(7954, 89888, 0.5),
(7955, 89889, 1),
(7956, 89890, 0.5),
(7957, 89891, 0.4),
(7958, 89892, 0.1),
(7959, 89895, 0.3),
(7960, 89897, 0),
(7961, 89900, 0.75),
(7962, 89907, 1),
(7963, 89936, 2),
(7964, 89937, 2),
(7965, 89938, 2),
(7966, 89939, 2),
(7967, 89940, 2),
(7968, 89941, 1),
(7969, 89942, 1),
(7970, 89944, 2),
(7971, 89945, 1),
(7972, 89946, 0.2),
(7973, 89947, 0.3),
(7974, 89948, 1),
(7975, 89949, 0.5),
(7976, 89950, 0.5),
(7977, 89955, 1),
(7978, 89956, 1),
(7979, 89957, 1),
(7980, 89958, 0.6),
(8085, 90103, 1),
(7988, 89966, 0),
(7987, 89965, 0),
(7985, 89963, 0),
(7989, 89967, 0),
(7991, 89969, 0),
(7993, 89975, 0),
(8357, 90910, 0),
(7995, 89980, 0),
(8018, 90014, 0),
(7997, 89982, 0),
(7998, 89983, 0),
(8003, 89988, 0),
(8000, 89985, 0),
(8001, 89986, 0),
(8004, 89989, 0),
(8005, 89993, 0),
(8006, 89994, 0),
(8007, 89995, 0),
(8008, 89996, 0),
(8009, 89997, 0),
(8010, 89998, 0),
(8011, 89999, 0),
(8012, 90000, 0),
(8930, 92487, 2),
(8014, 90002, 1),
(8015, 90003, 1),
(8016, 90004, 1),
(8017, 90005, 1),
(8020, 90016, 0),
(8021, 90017, 0),
(8022, 90018, 0),
(8023, 90021, 0),
(8024, 90022, 0),
(8025, 90023, 0),
(8026, 90024, 0),
(8027, 90025, 0),
(8028, 90026, 0),
(8029, 90027, 0),
(8030, 90028, 1),
(8031, 90030, 1),
(8032, 90034, 0),
(8033, 90035, 0),
(8034, 90036, 0),
(8035, 90037, 1),
(8037, 90044, 0.4),
(8038, 90045, 0.2),
(8040, 90051, 1),
(8041, 90052, 1),
(8042, 90053, 1),
(8043, 90057, 1),
(8044, 90058, 1),
(8045, 90059, 1),
(8046, 90060, 1),
(8047, 90061, 1),
(8048, 90062, 1),
(8049, 90063, 1),
(8050, 90064, 1),
(8051, 90069, 1),
(8052, 90070, 1),
(8053, 90071, 1),
(8054, 90072, 0),
(8055, 90073, 1),
(8056, 90074, 1),
(8057, 90075, 1),
(8058, 90076, 1),
(8059, 90077, 0),
(8060, 90078, 1),
(8061, 90079, 1),
(8062, 90080, 1),
(8063, 90081, 1),
(8064, 90082, 2),
(8065, 90083, 2),
(8066, 90084, 2),
(8067, 90085, 1),
(8068, 90086, 1),
(8069, 90087, 2),
(8070, 90088, 2),
(8071, 90089, 2),
(8072, 90090, 2),
(8073, 90091, 2),
(8074, 90092, 1),
(8075, 90093, 1),
(8076, 90094, 0.2),
(8084, 90102, 1),
(8083, 90101, 1),
(8082, 90100, 1),
(8081, 90099, 0),
(8086, 90104, 1),
(8087, 90105, 1),
(8088, 90106, 1),
(8089, 90107, 1),
(8090, 90108, 0.5),
(8091, 90109, 0),
(8092, 90110, 0),
(8093, 90111, 1),
(8094, 90112, 1),
(8199, 90271, 0.5),
(8096, 90114, 1),
(8198, 90270, 1),
(8098, 90116, 2),
(8099, 90117, 2),
(8100, 90118, 1),
(8101, 90119, 0.5),
(8102, 90120, 0.5),
(8103, 90121, 0.5),
(8104, 90122, 0.5),
(8105, 90124, 0.5),
(8106, 90125, 0.5),
(8107, 90126, 0.25),
(8108, 90128, 0.25),
(8109, 90129, 0),
(8110, 90130, 0.5),
(8111, 90131, 0.5),
(8112, 90132, 0.5),
(8113, 90133, 0.5),
(8114, 90134, 1),
(8115, 90135, 1),
(8116, 90136, 1),
(8117, 90137, 1),
(8118, 90138, 1),
(8119, 90139, 1),
(8120, 90140, 1),
(8121, 90141, 1),
(8122, 90142, 1),
(8123, 90143, 1),
(8124, 90144, 1),
(8125, 90145, 2),
(8126, 90146, 0.5),
(8200, 90272, 0.75),
(8128, 90148, 0.75),
(8129, 90149, 1),
(8130, 90150, 1),
(8131, 90151, 1),
(8132, 90152, 1),
(8133, 90153, 1),
(8134, 90154, 1),
(8135, 90157, 0.75),
(8136, 90158, 0.5),
(8137, 90159, 0.75),
(8138, 90160, 0.5),
(8139, 90161, 1),
(8140, 90162, 1),
(8141, 90163, 0.25),
(8142, 90164, 0.5),
(8143, 90166, 1),
(8144, 90167, 1),
(8145, 90168, 1),
(8146, 90169, 1),
(8147, 90172, 1),
(8148, 90173, 1),
(8149, 90174, 1),
(8150, 90175, 1),
(8151, 90176, 0.75),
(8152, 90177, 0.25),
(8153, 90178, 0.6),
(8154, 90179, 1),
(8155, 90180, 1),
(8156, 90181, 0),
(8157, 90182, 0.5),
(8158, 90183, 1),
(8159, 90184, 1),
(8160, 90185, 0.5),
(8161, 90186, 0.5),
(8162, 90187, 1),
(8163, 90188, 1),
(8164, 90191, 0.5),
(8165, 90192, 0.25),
(8166, 90195, 0.25),
(8167, 90196, 0.25),
(8203, 90275, 2),
(8169, 90199, 0.5),
(8170, 90200, 1),
(8202, 90274, 1),
(8172, 90202, 2),
(8173, 90203, 2),
(8189, 90220, 2),
(8175, 90205, 2),
(8176, 90206, 1),
(8188, 90219, 2),
(8178, 90209, 0.5),
(8201, 90273, 1),
(8180, 90211, 1),
(8181, 90212, 2),
(8182, 90213, 1),
(8183, 90214, 2),
(8343, 90874, 1),
(8405, 91198, 0),
(8186, 90217, 1),
(8187, 90218, 1),
(8190, 90221, 1),
(8191, 90222, 1),
(8192, 90223, 1),
(8193, 90224, 1),
(8194, 90225, 1),
(8195, 90226, 1),
(8196, 90232, 3),
(8197, 90244, 1),
(8204, 90276, 2),
(8205, 90277, 2),
(8206, 90278, 2),
(8207, 90279, 2),
(8208, 90280, 2),
(8209, 90282, 1),
(8210, 90283, 0.5),
(8211, 90284, 0.5),
(8212, 90285, 0.3),
(8213, 90286, 0.2),
(8214, 90291, 1),
(8215, 90292, 0),
(8216, 90293, 0.5),
(8217, 90294, 0.9),
(8218, 90295, 1),
(8219, 90306, 0),
(8220, 90370, 0),
(8221, 90371, 0),
(8222, 90382, 0),
(8223, 90384, 0),
(8224, 90385, 0),
(8225, 90387, 0),
(8226, 90388, 0),
(8227, 90395, 0),
(8228, 90401, 0),
(8229, 90402, 0),
(8230, 90403, 0),
(8231, 90404, 0),
(8232, 90405, 0),
(8233, 90406, 0.2),
(8234, 90407, 0),
(8235, 90408, 0),
(8236, 90412, 0),
(8237, 90413, 0),
(8238, 90414, 0),
(8239, 90415, 0),
(8240, 90416, 0),
(8241, 90417, 0),
(8242, 90424, 0),
(8243, 90425, 0),
(8244, 90426, 0),
(8245, 90427, 0),
(8246, 90429, 0),
(8247, 90430, 0),
(8248, 90431, 0),
(8249, 90432, 0),
(8250, 90433, 0),
(8263, 90462, 0.4),
(8252, 90443, 1),
(8253, 90444, 0.5),
(8254, 90445, 0.2),
(8255, 90446, 0.8),
(8256, 90447, 0.6),
(8257, 90448, 0.5),
(8258, 90449, 1),
(8259, 90450, 1),
(8260, 90451, 0),
(8261, 90452, 0.2),
(8262, 90453, 0.3),
(8264, 90478, 0.4),
(8265, 90490, 1),
(8266, 90493, 1),
(8267, 90494, 0),
(8268, 90495, 0),
(8269, 90496, 0),
(8270, 90504, 0.8),
(8271, 90505, 2),
(8272, 90506, 1),
(8273, 90507, 0),
(8274, 90508, 0),
(8275, 90509, 0),
(8276, 90528, 0),
(8277, 90529, 0),
(8278, 90530, 0),
(8279, 90531, 0),
(8280, 90539, 1),
(8281, 90540, 0.2),
(8282, 90547, 0.2),
(8283, 90550, 0.4),
(8284, 90558, 2),
(8285, 90559, 1),
(8286, 90560, 1),
(8287, 90561, 1),
(8288, 90621, 0),
(8289, 90622, 0.1),
(8291, 90624, 0.1),
(8295, 90629, 0.6),
(8293, 90627, 1),
(8296, 90630, 0.1),
(8297, 90631, 1),
(8298, 90632, 0.5),
(8299, 90633, 0.4),
(8300, 90664, 0),
(8301, 90665, 0),
(8302, 90668, 0),
(8303, 90689, 1),
(8304, 90690, 0),
(8306, 90692, 0),
(8307, 90694, 0.4),
(8308, 90700, 0.6),
(8309, 90712, 0),
(8310, 90713, 0),
(8311, 90714, 0),
(8312, 90715, 0.5),
(8313, 90716, 1),
(8314, 90757, 2),
(8315, 90762, 0.4),
(8316, 90763, 1),
(8317, 90777, 1),
(8318, 90789, 1),
(9440, 94439, 1),
(8320, 90797, 0.4),
(8321, 90798, 0),
(8322, 90799, 0),
(8323, 90800, 0),
(8324, 90801, 0),
(8325, 90802, 0),
(8326, 90803, 0),
(8327, 90814, 0),
(8328, 90815, 0),
(8330, 90825, 0),
(8331, 90826, 0),
(8332, 90829, 0),
(8341, 90861, 1),
(8334, 90837, 0.2),
(8335, 90838, 0.8),
(8336, 90841, 1),
(8337, 90843, 0.5),
(8338, 90845, 0.75),
(8339, 90858, 0.2),
(8340, 90859, 1),
(8342, 90862, 1),
(8344, 90875, 1),
(8345, 90887, 2),
(8346, 90888, 0.4),
(8347, 90898, 0),
(8348, 90899, 0),
(8349, 90900, 0),
(8350, 90901, 0),
(8351, 90903, 0),
(8352, 90904, 0),
(8354, 90907, 0),
(8355, 90908, 0),
(8370, 90924, 0),
(8358, 90911, 0),
(8359, 90912, 0),
(8360, 90913, 0.5),
(8361, 90914, 0.8),
(8362, 90915, 0.75),
(8363, 90916, 0.5),
(8364, 90917, 0),
(8365, 90918, 0),
(8366, 90919, 0),
(8367, 90920, 0),
(8368, 90922, 0),
(8369, 90923, 0),
(8371, 90925, 0),
(8372, 90926, 0),
(8373, 90927, 0),
(8374, 90928, 0),
(8375, 90929, 0),
(8376, 90930, 0),
(9441, 94440, 1),
(8378, 91125, 1),
(8379, 91126, 1),
(8380, 91127, 2),
(8381, 91128, 0),
(8382, 91129, 0.4),
(8383, 91130, 0.1),
(8384, 91131, 0.6),
(8385, 91134, 0),
(8386, 91135, 0),
(8387, 91140, 1),
(8388, 91141, 1),
(8389, 91143, 0.5),
(8390, 91146, 0),
(8391, 91147, 0),
(8392, 91149, 0),
(8393, 91150, 0),
(8394, 91151, 0),
(8395, 91152, 0),
(8396, 91153, 0),
(8397, 91154, 1),
(8398, 91155, 1),
(8399, 91159, 0),
(8400, 91163, 0),
(8401, 91166, 1),
(8402, 91167, 1),
(8403, 91168, 1),
(8404, 91197, 0),
(8406, 91209, 0),
(8407, 91210, 0),
(8408, 91211, 0.2),
(8409, 91219, 0.5),
(8410, 91220, 1),
(8634, 91698, 1),
(8412, 91223, 1),
(8413, 91224, 1),
(8414, 91225, 0.5),
(8415, 91226, 1),
(8416, 91227, 1),
(8417, 91231, 1),
(8418, 91232, 0),
(8419, 91233, 0),
(8420, 91234, 0),
(8421, 91241, 1),
(8422, 91242, 0.7),
(8423, 91243, 0.2),
(8424, 91249, 1),
(8425, 91250, 0.5),
(8426, 91251, 1),
(8427, 91252, 0.5),
(8428, 91253, 0.25),
(8429, 91254, 0.75),
(8430, 91255, 2),
(8431, 91256, 0.2),
(8432, 91257, 1.6),
(8433, 91258, 0.1),
(8434, 91259, 0),
(8435, 91267, 1),
(8436, 91268, 1),
(8437, 91269, 1),
(8438, 91270, 1),
(8439, 91271, 1),
(8440, 91272, 0.75),
(8441, 91273, 0.5),
(8442, 91274, 0.5),
(8443, 91275, 0.75),
(8444, 91276, 0),
(8445, 91277, 1),
(8446, 91278, 1),
(8447, 91279, 1),
(8448, 91280, 1),
(8449, 91281, 1),
(8450, 91282, 1),
(8451, 91283, 2),
(8452, 91284, 2),
(8453, 91285, 1),
(8454, 91286, 1),
(8455, 91287, 1),
(8457, 91289, 1),
(8458, 91290, 1),
(8459, 91291, 1),
(8460, 91292, 1),
(8461, 91293, 1),
(8462, 91294, 1),
(8463, 91295, 1),
(8464, 91296, 0.5),
(8465, 91297, 1),
(8466, 91299, 0.5),
(8467, 91300, 0.5),
(8468, 91301, 0.5),
(8469, 91302, 1),
(8470, 91303, 1),
(8473, 91306, 1),
(8590, 91554, 0),
(8474, 91307, 1),
(8475, 91308, 1),
(8476, 91309, 1),
(8477, 91310, 1),
(8478, 91311, 1),
(8479, 91312, 1),
(8480, 91313, 1),
(8771, 92194, 2),
(8482, 91315, 1),
(8483, 91316, 0.5),
(8484, 91317, 1),
(8485, 91318, 1),
(8486, 91319, 1),
(8487, 91320, 1),
(8488, 91321, 1),
(9443, 94446, 1),
(8490, 91323, 2),
(8494, 91327, 1),
(8495, 91329, 2),
(8493, 91326, 2),
(8496, 91332, 2),
(8497, 91333, 1),
(8498, 91334, 1),
(8499, 91335, 2),
(8500, 91336, 2),
(8501, 91338, 1),
(8502, 91340, 0.75),
(8503, 91345, 0.5),
(8504, 91348, 1),
(8505, 91354, 1),
(8506, 91357, 1),
(8507, 91359, 0.75),
(8508, 91366, 0.5),
(8509, 91416, 1),
(8510, 91417, 1),
(8511, 91418, 1),
(8512, 91419, 1),
(8513, 91421, 1),
(8514, 91422, 1),
(8515, 91436, 1),
(8516, 91437, 0.5),
(8517, 91438, 0.5),
(8518, 91439, 0.5),
(8519, 91440, 0.5),
(8520, 91441, 0),
(8521, 91442, 0),
(8522, 91445, 0),
(8523, 91446, 0),
(8524, 91447, 0),
(8525, 91448, 0),
(8526, 91449, 1),
(8527, 91450, 0.5),
(8528, 91451, 0.5),
(8529, 91452, 0.25),
(8530, 91453, 1),
(8531, 91454, 0.5),
(8532, 91455, 0.5),
(8533, 91456, 0.5),
(8534, 91457, 1),
(8535, 91458, 0.5),
(8536, 91459, 1),
(8537, 91460, 1),
(8538, 91461, 1),
(8539, 91462, 1),
(8540, 91463, 0.25),
(8541, 91464, 1),
(8542, 91465, 1),
(8616, 91628, 0),
(8544, 91467, 0),
(8545, 91489, 1),
(8546, 91490, 1),
(8547, 91491, 1),
(8548, 91492, 1),
(8549, 91493, 1),
(8550, 91494, 1),
(8551, 91495, 1),
(8552, 91496, 1),
(8553, 91497, 2),
(8554, 91498, 2),
(8555, 91499, 1),
(8556, 91500, 2),
(8557, 91501, 2),
(8558, 91502, 2),
(8559, 91503, 2),
(8560, 91506, 0),
(8561, 91507, 0),
(8562, 91508, 1),
(8563, 91509, 0.5),
(8564, 91510, 1),
(8565, 91511, 1),
(8566, 91512, 0.75),
(8567, 91513, 1),
(8568, 91514, 1),
(8569, 91515, 1),
(8570, 91517, 1),
(8571, 91518, 1),
(8572, 91519, 1),
(8573, 91520, 1),
(8574, 91521, 1),
(8575, 91522, 1),
(8576, 91525, 1),
(8577, 91526, 1),
(8578, 91539, 0.5),
(8579, 91540, 1.5),
(8580, 91541, 0.4),
(8581, 91545, 0),
(8582, 91546, 0),
(8583, 91547, 0.2),
(8584, 91548, 0.5),
(8585, 91549, 1),
(8586, 91550, 1),
(8587, 91551, 0.4),
(8592, 91556, 0),
(8591, 91555, 0),
(8593, 91557, 0),
(8594, 91564, 0),
(8595, 91570, 0),
(8596, 91571, 0),
(8597, 91572, 0),
(8598, 91573, 1),
(9434, 94423, 0),
(8600, 91602, 0.1),
(8601, 91603, 0.4),
(8602, 91604, 0.4),
(8606, 91610, 0.5),
(8604, 91607, 1),
(8605, 91609, 0.5),
(8607, 91611, 0.5),
(8608, 91612, 0.5),
(8609, 91613, 1),
(8610, 91614, 1),
(8611, 91615, 1),
(8612, 91616, 0.5),
(8613, 91617, 0.5),
(8614, 91625, 0),
(8615, 91627, 0.4),
(8617, 91629, 0),
(8618, 91630, 0),
(8619, 91631, 0),
(8620, 91682, 0.4),
(8621, 91684, 0.5),
(8622, 91686, 1),
(8623, 91687, 1),
(8624, 91688, 1),
(8625, 91689, 1),
(8626, 91690, 1),
(8627, 91691, 2),
(8628, 91692, 2),
(8644, 91708, 1),
(8630, 91694, 0.5),
(8631, 91695, 1),
(8632, 91696, 1),
(8633, 91697, 0.5),
(8635, 91699, 1),
(8636, 91700, 1),
(8637, 91701, 1),
(8640, 91704, 0.5),
(8639, 91703, 1),
(8641, 91705, 0),
(8642, 91706, 0.5),
(8645, 91709, 0),
(8646, 91710, 0),
(8647, 91711, 0),
(8648, 91712, 0),
(8649, 91713, 0),
(8650, 91714, 0),
(8652, 91716, 0),
(8653, 91717, 0),
(8654, 91718, 0),
(8655, 91721, 0),
(8656, 91722, 0),
(8657, 91723, 0),
(8658, 91724, 0),
(8659, 91725, 0),
(8660, 91726, 0),
(8661, 91729, 0),
(8662, 91730, 0.5),
(8663, 91736, 0),
(8664, 91739, 1),
(8665, 91740, 1),
(8667, 91742, 0),
(8668, 91743, 0),
(8669, 91744, 0),
(8670, 91745, 0),
(8671, 91746, 0),
(8672, 91747, 0),
(8673, 91748, 0),
(8674, 91749, 0),
(8675, 91750, 0),
(8676, 91751, 0),
(9083, 93088, 1),
(8678, 91753, 0),
(8679, 91754, 0),
(8680, 91755, 0),
(8681, 91756, 0),
(8682, 91758, 0.5),
(8683, 91820, 0),
(8684, 91823, 0),
(8685, 91824, 0),
(8686, 91825, 0),
(8687, 91826, 0),
(8688, 91827, 0),
(8689, 91828, 0),
(8690, 91829, 0),
(8691, 91830, 0),
(8692, 91831, 0),
(8693, 91838, 0),
(8694, 91839, 0),
(8695, 91840, 0),
(8696, 91841, 0),
(8697, 91842, 0),
(8698, 91884, 0),
(8699, 91885, 0),
(8700, 91886, 0),
(8701, 91887, 0),
(8702, 91888, 0),
(8703, 91889, 0),
(8704, 91890, 0),
(8705, 91891, 0),
(8706, 91892, 0),
(8707, 91893, 0),
(8708, 91894, 0),
(8709, 91895, 0),
(8710, 91896, 0),
(8711, 91897, 0),
(8712, 91898, 0),
(8713, 91899, 1),
(8714, 91907, 0),
(8715, 91908, 0),
(8716, 91909, 0),
(8717, 91914, 0.75),
(8718, 91915, 0.5),
(8720, 91942, 2),
(8721, 91949, 1),
(8722, 91958, 1),
(8723, 91960, 0.2),
(8724, 91963, 1.5),
(8725, 91966, 0),
(8726, 91968, 0.2),
(8729, 91971, 0),
(8728, 91970, 0),
(8730, 91983, 2),
(8731, 91984, 0.8),
(8732, 91985, 1),
(8733, 91986, 0.4),
(8734, 91988, 0),
(8735, 91989, 0),
(8736, 91991, 0.3),
(8737, 91996, 0),
(8738, 91997, 0),
(8739, 91998, 1),
(8740, 92009, 0.5),
(9439, 94438, 0.5),
(8742, 92062, 0.1),
(8743, 92070, 0.75),
(8744, 92074, 0.25),
(8745, 92076, 0),
(8746, 92077, 0),
(8747, 92078, 0),
(8748, 92079, 0),
(8750, 92081, 0),
(8751, 92082, 0),
(8755, 92092, 0),
(8754, 92091, 0),
(8756, 92093, 0),
(8757, 92094, 1),
(8758, 92095, 0.2),
(8759, 92097, 0),
(8760, 92098, 0),
(8761, 92100, 0),
(8762, 92101, 0),
(8763, 92102, 0),
(8764, 92111, 1),
(8765, 92130, 1),
(8766, 92150, 0),
(8767, 92151, 0),
(8768, 92152, 2),
(8769, 92153, 0.2),
(8770, 92164, 0.5),
(8772, 92195, 1),
(8773, 92196, 0.5),
(8775, 92201, 1.5),
(8776, 92202, 0.6),
(8777, 92203, 0.7),
(8778, 92204, 2),
(8779, 92205, 0.2),
(8780, 92207, 0.2),
(8781, 92210, 1),
(8782, 92211, 1),
(8783, 92212, 1),
(8784, 92213, 0.1),
(8796, 92232, 0.6),
(8786, 92215, 0.3),
(8787, 92216, 0.6),
(8788, 92217, 1),
(8789, 92218, 0.2),
(8790, 92219, 1.2),
(8791, 92220, 1),
(8792, 92221, 0.5),
(8793, 92223, 0),
(8794, 92224, 2.5),
(8795, 92226, 0.2),
(8797, 92233, 0.2),
(8798, 92234, 1),
(8799, 92235, 0.5),
(8800, 92236, 1),
(8801, 92237, 1),
(8802, 92238, 1),
(9438, 94437, 0.5),
(8831, 92364, 1),
(8806, 92254, 1),
(8807, 92255, 1),
(8808, 92262, 0.5),
(8809, 92274, 0),
(8810, 92277, 0.2),
(8811, 92282, 0.4),
(8812, 92283, 0.2),
(8813, 92284, 1),
(8814, 92307, 1),
(8815, 92308, 0),
(8817, 92310, 0),
(8818, 92311, 0),
(8819, 92317, 1),
(8820, 92318, 1),
(8821, 92320, 0.5),
(8822, 92321, 1),
(8823, 92322, 1),
(8824, 92323, 1),
(8825, 92325, 0.5),
(9061, 92846, 1),
(8827, 92333, 2),
(8828, 92335, 0),
(8829, 92347, 1),
(8830, 92361, 1),
(8832, 92365, 1),
(8833, 92366, 1),
(8834, 92367, 1),
(8835, 92368, 0),
(8836, 92369, 0),
(8837, 92370, 0),
(8838, 92371, 0),
(8839, 92375, 0),
(8840, 92376, 0),
(8844, 92380, 0),
(8843, 92379, 0),
(8845, 92383, 0),
(8846, 92384, 0),
(8847, 92385, 0),
(8848, 92386, 1),
(8849, 92387, 0.5),
(9437, 94436, 0.5),
(8851, 92394, 0.6),
(8852, 92395, 1),
(8853, 92399, 0.5),
(8854, 92400, 2),
(8855, 92401, 1),
(8856, 92402, 1),
(8857, 92403, 1),
(8858, 92404, 1),
(8859, 92405, 1),
(8860, 92406, 2),
(8861, 92407, 2),
(8862, 92408, 1),
(8863, 92409, 2),
(8864, 92410, 2),
(8865, 92411, 2),
(8866, 92412, 1),
(8867, 92413, 1),
(8868, 92414, 1),
(8869, 92415, 1),
(8870, 92416, 1),
(8871, 92417, 1),
(8872, 92418, 1),
(8873, 92419, 1),
(8874, 92420, 2),
(8875, 92421, 2),
(8876, 92422, 2),
(8877, 92423, 1),
(8878, 92426, 1),
(8879, 92427, 1),
(8880, 92428, 0.5),
(8881, 92429, 0.5),
(8882, 92430, 0.75),
(8883, 92431, 0.5),
(8884, 92432, 0.75),
(8886, 92434, 1),
(8887, 92435, 1),
(8888, 92436, 1),
(8889, 92437, 1),
(8890, 92438, 1),
(8895, 92449, 0.75),
(8892, 92440, 1),
(8893, 92441, 1),
(8894, 92442, 1),
(8896, 92451, 0.5),
(8897, 92452, 0.75),
(8898, 92453, 0.5),
(8899, 92454, 1),
(8900, 92455, 1),
(8901, 92456, 1),
(8902, 92457, 0.5),
(8903, 92458, 1),
(8904, 92459, 0.25),
(8905, 92460, 1),
(8906, 92461, 0.25),
(8907, 92462, 1),
(8908, 92463, 0.5),
(8909, 92464, 0.5),
(8910, 92465, 1),
(8911, 92466, 0.3),
(8912, 92467, 1),
(8913, 92468, 1),
(8914, 92469, 2),
(8915, 92470, 2),
(8916, 92471, 1),
(8917, 92472, 1),
(8918, 92473, 2),
(9082, 93085, 1),
(8920, 92475, 1),
(8927, 92484, 1),
(8922, 92477, 1),
(8923, 92478, 2),
(8924, 92479, 1),
(8925, 92482, 0.2),
(8926, 92483, 0.3),
(8928, 92485, 0.1),
(8929, 92486, 1),
(8931, 92488, 2),
(8932, 92489, 2),
(8933, 92490, 2),
(8934, 92491, 2),
(8935, 92492, 2),
(8936, 92493, 2),
(8937, 92497, 1),
(8938, 92498, 1),
(8939, 92500, 1),
(8940, 92502, 1),
(8941, 92507, 0.25),
(8942, 92508, 0.25),
(8943, 92509, 0.5),
(8944, 92519, 1),
(8945, 92520, 1),
(8946, 92521, 1),
(8947, 92522, 1),
(8948, 92523, 1),
(8949, 92524, 1),
(8950, 92525, 0.5),
(8951, 92526, 1),
(8952, 92527, 1),
(8953, 92529, 0.5),
(8954, 92530, 0.5),
(8955, 92531, 1),
(9436, 94435, 0.5),
(8957, 92533, 1),
(8958, 92534, 1),
(8959, 92535, 1),
(8960, 92536, 1),
(8961, 92537, 0.5),
(8962, 92538, 0.5),
(8963, 92539, 0.75),
(9007, 92629, 0.4),
(8965, 92541, 1),
(8966, 92546, 1),
(8967, 92548, 1),
(8968, 92549, 0),
(8969, 92550, 1),
(8970, 92551, 1),
(8971, 92552, 1),
(8972, 92553, 0.75),
(8973, 92554, 0.5),
(8974, 92555, 1),
(8975, 92556, 1),
(8976, 92557, 1),
(8977, 92558, 0.75),
(8978, 92559, 1),
(8979, 92560, 0.5),
(8980, 92561, 1),
(8981, 92562, 1),
(8982, 92577, 0.5),
(8983, 92578, 0.5),
(8984, 92579, 0.5),
(8985, 92580, 0.5),
(8986, 92581, 0.5),
(8987, 92582, 0.5),
(8988, 92583, 0.5),
(8989, 92584, 1),
(8990, 92585, 0.5),
(8991, 92586, 1),
(8992, 92587, 0.25),
(8993, 92588, 1),
(8994, 92589, 1),
(8995, 92590, 1.5),
(8996, 92594, 1),
(8997, 92597, 1),
(8998, 92598, 1),
(8999, 92599, 1),
(9000, 92600, 1),
(9001, 92617, 2),
(9002, 92623, 0.5),
(9003, 92624, 1),
(9004, 92625, 1),
(9006, 92628, 2),
(9008, 92632, 1),
(9009, 92633, 1),
(9010, 92634, 1),
(9011, 92635, 1),
(9012, 92638, 1),
(9013, 92647, 1),
(9014, 92663, 2.5),
(9015, 92664, 1),
(9016, 92665, 0),
(9018, 92667, 0),
(9019, 92669, 0),
(9020, 92671, 0),
(9021, 92676, 0),
(9022, 92677, 0),
(9023, 92678, 0),
(9024, 92679, 0.25),
(9025, 92687, 0.4),
(9026, 92688, 0.3),
(9027, 92689, 1),
(9028, 92690, 1),
(9029, 92691, 0.3),
(9032, 92694, 0.6),
(9031, 92693, 0.6),
(9033, 92695, 1),
(9034, 92696, 0.6),
(9035, 92697, 0.7),
(9036, 92698, 1),
(9037, 92711, 1),
(9038, 92727, 1),
(9039, 92728, 1),
(9040, 92729, 1),
(9041, 92733, 0.5),
(9042, 92734, 1),
(9078, 93055, 0),
(9044, 92736, 1),
(9079, 93069, 1),
(9046, 92743, 1),
(9049, 92804, 0),
(9050, 92805, 0),
(9051, 92814, 0.75),
(9052, 92825, 0),
(9053, 92826, 0),
(9054, 92827, 0),
(9055, 92831, 0.6),
(9056, 92833, 0.75),
(9057, 92834, 1),
(9059, 92840, 0.5),
(9060, 92843, 2),
(9062, 92850, 1),
(9063, 92851, 0.5),
(9064, 92852, 0.3),
(9065, 92853, 0.4),
(9066, 92854, 0.1),
(9067, 92855, 1),
(9080, 93070, 1),
(9069, 92983, 0),
(9070, 92984, 0),
(9071, 92985, 0),
(9072, 92986, 0),
(9073, 92987, 0),
(9074, 92988, 0),
(9444, 94447, 1),
(9077, 92992, 0),
(9081, 93079, 0.4),
(9084, 93091, 0.2),
(9085, 93092, 0.5),
(9086, 93093, 0.2),
(9087, 93094, 0.2),
(9088, 93095, 1),
(9089, 93096, 0.5),
(9090, 93098, 0.4),
(9091, 93102, 0),
(9092, 93103, 0.5),
(9093, 93104, 0.6),
(9094, 93105, 1),
(9095, 93106, 0.3),
(9096, 93108, 0),
(9097, 93109, 0),
(9098, 93110, 0),
(9099, 93111, 0),
(9100, 93112, 0),
(9102, 93114, 0),
(9103, 93115, 0),
(9104, 93116, 0),
(9105, 93117, 0),
(9106, 93118, 0),
(9107, 93120, 0),
(9108, 93121, 0),
(9109, 93122, 0),
(9110, 93123, 0),
(9111, 93124, 0),
(9112, 93125, 0),
(9113, 93126, 0),
(9114, 93127, 0),
(9115, 93128, 0),
(9126, 93165, 0),
(9117, 93130, 0),
(9118, 93131, 0),
(9119, 93132, 0),
(9120, 93133, 0),
(9851, 96264, 0),
(9850, 96263, 0),
(9125, 93154, 0),
(9127, 93166, 0),
(9128, 93167, 0),
(9129, 93168, 0),
(9130, 93169, 0),
(9131, 93189, 1),
(9132, 93190, 1),
(9133, 93191, 1),
(9134, 93192, 1),
(9135, 93193, 1),
(9136, 93237, 1),
(9139, 93242, 0),
(9138, 93241, 0),
(9140, 93245, 0),
(9141, 93246, 0),
(9142, 93247, 0),
(9143, 93308, 2),
(9144, 93322, 1),
(9145, 93323, 2),
(9146, 93324, 0.4),
(9147, 93325, 0.4),
(9148, 93340, 1),
(9149, 93341, 1),
(9150, 93342, 1),
(9151, 93354, 0),
(9152, 93359, 0.5),
(9153, 93361, 1),
(9154, 93362, 0.75),
(9155, 93363, 0.25),
(9156, 93364, 0.5),
(9157, 93365, 0.5),
(9158, 93366, 1),
(9159, 93368, 1),
(9161, 93378, 1),
(9163, 93383, 0),
(9164, 93438, 2),
(9165, 93439, 1),
(9166, 93440, 1),
(9167, 93441, 1),
(9168, 93442, 1),
(9355, 94185, 1),
(9170, 93444, 0.5),
(9171, 93449, 1),
(9424, 94376, 1),
(9173, 93455, 1),
(9423, 94364, 1),
(12159, 103337, 0.6),
(9177, 93463, 0.5),
(9178, 93464, 1),
(9179, 93465, 1),
(9180, 93476, 0),
(9181, 93501, 0),
(9182, 93502, 0),
(9183, 93503, 0),
(9184, 93504, 0),
(9185, 93505, 0),
(9186, 93506, 0),
(9187, 93507, 0),
(9188, 93509, 0),
(9189, 93510, 0),
(9190, 93511, 0),
(9191, 93512, 0.5),
(9192, 93752, 1),
(9193, 93753, 1),
(9194, 93756, 4),
(9195, 93767, 1),
(9196, 93768, 1),
(9197, 93775, 2),
(9198, 93776, 2),
(9199, 93777, 0.4),
(9200, 93778, 1),
(9201, 93779, 2),
(9209, 93797, 0.2),
(9208, 93796, 1.8),
(9204, 93789, 0),
(9210, 93799, 1),
(9207, 93795, 0.2),
(9211, 93802, 0),
(9212, 93803, 0.3),
(9213, 93804, 0),
(9214, 93806, 0),
(9215, 93807, 0),
(9216, 93813, 0),
(9217, 93814, 0),
(9218, 93826, 0),
(9219, 93827, 0),
(9220, 93828, 0),
(9221, 93829, 0),
(9222, 93834, 1),
(9223, 93844, 2),
(9224, 93893, 0.5),
(9225, 93899, 0),
(9227, 93902, 1),
(9228, 93907, 0),
(9229, 93908, 0),
(9230, 93931, 0),
(9231, 93932, 0),
(9232, 93933, 0),
(9233, 93935, 0),
(9234, 93936, 0),
(9235, 93941, 1),
(9236, 93942, 0),
(9237, 93943, 0),
(9238, 93957, 0.3),
(9239, 93958, 1),
(9240, 93959, 1),
(9241, 93960, 1),
(9242, 93961, 0.1),
(9243, 93962, 0.1),
(9244, 93963, 0),
(9245, 93964, 0.2),
(9246, 93965, 0),
(9247, 93966, 0.5),
(9248, 93967, 1),
(9249, 93968, 1),
(9250, 93969, 0),
(11785, 102358, 0),
(11783, 102356, 0),
(9253, 93972, 0),
(9254, 93973, 0),
(9255, 93974, 0),
(9256, 93975, 1),
(9257, 93977, 1),
(9258, 93978, 1),
(9259, 93979, 1),
(9260, 93980, 0),
(9261, 93981, 0),
(9262, 93982, 1),
(9263, 93983, 1),
(9264, 93989, 1),
(9265, 93994, 1),
(9266, 93997, 1),
(9267, 94002, 0),
(9268, 94004, 0),
(9269, 94005, 0),
(9270, 94006, 1),
(9271, 94007, 0),
(9272, 94008, 0),
(9273, 94009, 1),
(9279, 94015, 1),
(9275, 94011, 0.5),
(9276, 94012, 1),
(9277, 94013, 0.5),
(9278, 94014, 1),
(9280, 94016, 1),
(9281, 94017, 1),
(9282, 94018, 1),
(9283, 94019, 1),
(9284, 94020, 0.25),
(9285, 94021, 1),
(9286, 94022, 1),
(9287, 94023, 1),
(9288, 94024, 1),
(9289, 94025, 1),
(9290, 94026, 2),
(9291, 94027, 0.25),
(9292, 94028, 0.5),
(9293, 94029, 1),
(9294, 94030, 0.5),
(9295, 94031, 1),
(9298, 94034, 2),
(9297, 94033, 2),
(9299, 94035, 0.5),
(9300, 94036, 2),
(9301, 94037, 2),
(9302, 94038, 2),
(9303, 94039, 2),
(9304, 94040, 2),
(9305, 94041, 2),
(9306, 94042, 2),
(9307, 94043, 2),
(9308, 94044, 1),
(9309, 94047, 0.75),
(9310, 94049, 1),
(9311, 94052, 1),
(9312, 94053, 1),
(9313, 94055, 1),
(9314, 94056, 0.25),
(9315, 94058, 1),
(9316, 94059, 0.5),
(9317, 94061, 1),
(9318, 94062, 1),
(9319, 94064, 0),
(9320, 94068, 0),
(9321, 94072, 0),
(9322, 94073, 0),
(9323, 94074, 2),
(9324, 94075, 1),
(9325, 94079, 1),
(9326, 94080, 1),
(9327, 94081, 1),
(9328, 94082, 1),
(9329, 94083, 1),
(9330, 94087, 0.25),
(9331, 94112, 1.25),
(9332, 94123, 1),
(9333, 94128, 1.25),
(9334, 94135, 1),
(9335, 94141, 1.25),
(9336, 94143, 1.25),
(9337, 94153, 1),
(9338, 94154, 1),
(9339, 94155, 1),
(9340, 94156, 1),
(9341, 94157, 1),
(9342, 94158, 0),
(9343, 94159, 0),
(9344, 94160, 0),
(9345, 94161, 0),
(9346, 94162, 0),
(9347, 94166, 0),
(9348, 94170, 0),
(9349, 94171, 1),
(9350, 94173, 0),
(9351, 94181, 0.5),
(9352, 94182, 0.5),
(9353, 94183, 1),
(9354, 94184, 1),
(9356, 94186, 1),
(9357, 94187, 1),
(9358, 94188, 2),
(9359, 94189, 1),
(9360, 94190, 1),
(9361, 94191, 1),
(9362, 94192, 1),
(9363, 94193, 1),
(9364, 94194, 1),
(9365, 94195, 1),
(9366, 94196, 1),
(9367, 94197, 0),
(9368, 94198, 0),
(9369, 94199, 0),
(9370, 94200, 1),
(9371, 94203, 0),
(9372, 94204, 1),
(9373, 94206, 0),
(9377, 94210, 0),
(9375, 94208, 0),
(9376, 94209, 1),
(9378, 94211, 0.5),
(9379, 94213, 1),
(9380, 94215, 0),
(9381, 94216, 0),
(9382, 94217, 0),
(9383, 94219, 0),
(9384, 94221, 1),
(9385, 94224, 1),
(9386, 94225, 1),
(9387, 94226, 0.75),
(9389, 94230, 1),
(9390, 94234, 1),
(9391, 94246, 0.5),
(9392, 94247, 1),
(9393, 94248, 1),
(9394, 94252, 1),
(9395, 94258, 1),
(9396, 94259, 1),
(9397, 94260, 1),
(9398, 94261, 1),
(9399, 94262, 1),
(9400, 94273, 0.25),
(9401, 94276, 1),
(9402, 94277, 0.75),
(9403, 94280, 1),
(9404, 94283, 1),
(9405, 94284, 1),
(9406, 94285, 1),
(9407, 94296, 1),
(9408, 94306, 0),
(9409, 94310, 0.2),
(9410, 94311, 0.5),
(9411, 94312, 0.2),
(9412, 94313, 0.3),
(9413, 94314, 1),
(9414, 94315, 1),
(9415, 94316, 1),
(9416, 94317, 0.5),
(9417, 94318, 0.5),
(9418, 94319, 0.75),
(9425, 94377, 1),
(9426, 94383, 1),
(9421, 94359, 1),
(9422, 94360, 1),
(9427, 94384, 1),
(9428, 94386, 1),
(9430, 94395, 1),
(9435, 94424, 0),
(9433, 94410, 1),
(9445, 94448, 2),
(9446, 94449, 2),
(9447, 94450, 2),
(9448, 94451, 0.25),
(9449, 94453, 1),
(9450, 94454, 1),
(9451, 94456, 1),
(9452, 94458, 1),
(9517, 95119, 0.2),
(9454, 94460, 0.4),
(9455, 94461, 0.5),
(9456, 94501, 0),
(9457, 94502, 0),
(9458, 94503, 0),
(9459, 94505, 0),
(9460, 94506, 0),
(9461, 94507, 0),
(9462, 94508, 0),
(9463, 94509, 0),
(9464, 94510, 0),
(9465, 94511, 0),
(9466, 94522, 0),
(9467, 94529, 0),
(9468, 94530, 0),
(9469, 94531, 0),
(9470, 94532, 0),
(9471, 94533, 0),
(9472, 94534, 0),
(9473, 94554, 2),
(9839, 96094, 0),
(9484, 94662, 1),
(9481, 94655, 0.5),
(9483, 94661, 1),
(9485, 94663, 1),
(9486, 94664, 1),
(9487, 94665, 1),
(9488, 94719, 0.2),
(9491, 94743, 0),
(9490, 94721, 1),
(9492, 94744, 0),
(9493, 94745, 0),
(9494, 94750, 0),
(9495, 94752, 0),
(9496, 94776, 0),
(9497, 94777, 0),
(9498, 94778, 0),
(9499, 94779, 0),
(9500, 94794, 0),
(9501, 94811, 0),
(9502, 94820, 0),
(9503, 94822, 0),
(9504, 94831, 0),
(9505, 94834, 0),
(9506, 94835, 0),
(9507, 94836, 0),
(9508, 94837, 0),
(9509, 94838, 0),
(9510, 94839, 0.3),
(9511, 94840, 4),
(9512, 94877, 1),
(9870, 96334, 0),
(9514, 94882, 1.25),
(9866, 96330, 0),
(9516, 95039, 0.5),
(9518, 95120, 0.4),
(9519, 95122, 0),
(9520, 95123, 0),
(9521, 95124, 0),
(9522, 95125, 0),
(9523, 95136, 0),
(9524, 95137, 0),
(9525, 95138, 0),
(9526, 95257, 0),
(9527, 95258, 0),
(9528, 95259, 0),
(9529, 95260, 1.5),
(9530, 95264, 0),
(9531, 95265, 0),
(9532, 95266, 0),
(9533, 95267, 0),
(9535, 95269, 0),
(9536, 95270, 0),
(9537, 95276, 0),
(9538, 95283, 0),
(9539, 95323, 0),
(9540, 95333, 0),
(9541, 95344, 0.9),
(9542, 95345, 0.2),
(9543, 95359, 1),
(9544, 95360, 1),
(9545, 95361, 1),
(9546, 95362, 1),
(9547, 95363, 0.3),
(9548, 95364, 1),
(9553, 95370, 0),
(9554, 95371, 0),
(9551, 95367, 0),
(9555, 95372, 0),
(9556, 95373, 0),
(9557, 95374, 0),
(9558, 95381, 0),
(9559, 95401, 1),
(9560, 95402, 1),
(9561, 95403, 1),
(9562, 95404, 1),
(9563, 95405, 1),
(9564, 95406, 1),
(9565, 95407, 1),
(9566, 95408, 1),
(9567, 95409, 1),
(9568, 95410, 1),
(9569, 95411, 1),
(9570, 95412, 1),
(9571, 95441, 0.3),
(9572, 95442, 1.5),
(9573, 95443, 2),
(9574, 95447, 0.2),
(9575, 95448, 0.6),
(9576, 95449, 1),
(9577, 95450, 0.1),
(9579, 95452, 1),
(9580, 95465, 1),
(9581, 95466, 0.3),
(9582, 95468, 0),
(9583, 95469, 0),
(9589, 95475, 0),
(9590, 95478, 0.5),
(9588, 95474, 0),
(9591, 95481, 1),
(9592, 95482, 1),
(9593, 95483, 1),
(9594, 95521, 0.8),
(9595, 95522, 1),
(9596, 95528, 1.2),
(9597, 95529, 0.4),
(9598, 95530, 0.7),
(9599, 95543, 0),
(9600, 95544, 0),
(9999, 96680, 1),
(9602, 95548, 1),
(9603, 95549, 0.1),
(9604, 95550, 0.5),
(9606, 95560, 1),
(9607, 95561, 1),
(9608, 95563, 1),
(9609, 95564, 1),
(9610, 95566, 1),
(9611, 95576, 0.5),
(9612, 95577, 0.5),
(9613, 95578, 1.25),
(9614, 95585, 1),
(9615, 95590, 1),
(9616, 95591, 0.5),
(9617, 95594, 0),
(9618, 95595, 1),
(9619, 95596, 0),
(9620, 95597, 0),
(9621, 95598, 1),
(9622, 95599, 0),
(9623, 95601, 0),
(9624, 95602, 0),
(9625, 95603, 0),
(9626, 95604, 0),
(9627, 95605, 0),
(9628, 95611, 0.6),
(9629, 95612, 0.7),
(9651, 95693, 0.6),
(9631, 95633, 1),
(9632, 95634, 0),
(9633, 95635, 0),
(9634, 95636, 0),
(9635, 95637, 0),
(9636, 95638, 0),
(9637, 95639, 0),
(9638, 95640, 0),
(9639, 95641, 0),
(9640, 95651, 0),
(9642, 95659, 1),
(9643, 95660, 2),
(9644, 95661, 2),
(9645, 95662, 1),
(9646, 95672, 1),
(9647, 95673, 1),
(9648, 95678, 2),
(9649, 95679, 2),
(9650, 95680, 2),
(9652, 95694, 0.6),
(9653, 95697, 1.25),
(9654, 95698, 1.25),
(9655, 95708, 1),
(9656, 95716, 0),
(9657, 95717, 0),
(9658, 95718, 0),
(9659, 95719, 0.4),
(9660, 95720, 0.7),
(9661, 95721, 0.1),
(9662, 95725, 1),
(9663, 95726, 0.5),
(9664, 95729, 1),
(9665, 95731, 0.5),
(9666, 95732, 1),
(9796, 95929, 1),
(9797, 95930, 1),
(9669, 95737, 1),
(9670, 95738, 1),
(9671, 95739, 1),
(9672, 95740, 1),
(9673, 95741, 1),
(9674, 95742, 1),
(9675, 95743, 1),
(9676, 95751, 1),
(9677, 95752, 1),
(9678, 95753, 2),
(9679, 95754, 1),
(9680, 95761, 2),
(9681, 95763, 2),
(9823, 95990, 0),
(9683, 95765, 1),
(9684, 95766, 2),
(9685, 95767, 1),
(9686, 95768, 1),
(9687, 95769, 0.5),
(9688, 95770, 1),
(9689, 95771, 0.5),
(9690, 95772, 0.5),
(9691, 95773, 0.5),
(9692, 95774, 1),
(9693, 95775, 1),
(9694, 95776, 1),
(9695, 95777, 1),
(9696, 95778, 0.5),
(9697, 95779, 0.5),
(9698, 95780, 1),
(9699, 95781, 1),
(9700, 95782, 0.5),
(9701, 95785, 1),
(9702, 95786, 1),
(9703, 95787, 1),
(9704, 95788, 1),
(9705, 95789, 1),
(9706, 95790, 1),
(9707, 95791, 1),
(9708, 95792, 1),
(9709, 95793, 1),
(9710, 95794, 1),
(9711, 95795, 1),
(9712, 95796, 1),
(9713, 95797, 1),
(9714, 95798, 1),
(9715, 95799, 2),
(9716, 95800, 2),
(9717, 95801, 1),
(9718, 95803, 1),
(9719, 95805, 1),
(9720, 95806, 2),
(9721, 95807, 1),
(9722, 95808, 2),
(9723, 95809, 1),
(9724, 95810, 1),
(9725, 95813, 0),
(9726, 95814, 1),
(9727, 95815, 1),
(9732, 95821, 1),
(9729, 95817, 1),
(9730, 95818, 1),
(9731, 95819, 1),
(10273, 97487, 1),
(9734, 95823, 1),
(9782, 95906, 0.25),
(9736, 95825, 1),
(9737, 95826, 1),
(9738, 95831, 1),
(9739, 95832, 1),
(9740, 95833, 1),
(9741, 95834, 1),
(9742, 95835, 2),
(9743, 95836, 1),
(9744, 95837, 2),
(9745, 95838, 2),
(9746, 95839, 2),
(9747, 95841, 2),
(9748, 95842, 0.5),
(9749, 95848, 1),
(9783, 95912, 1),
(9751, 95850, 1),
(9752, 95851, 1),
(9753, 95852, 1),
(9754, 95853, 1),
(9755, 95854, 1),
(9756, 95855, 0.5),
(9757, 95856, 1),
(9758, 95857, 1),
(9759, 95858, 1),
(9760, 95859, 0.75),
(9761, 95860, 0.5),
(9762, 95861, 1),
(9763, 95865, 1),
(9764, 95866, 1),
(9765, 95867, 1),
(9766, 95868, 0.75),
(9767, 95870, 1),
(9768, 95872, 1),
(9769, 95873, 0.5),
(9770, 95874, 1),
(9771, 95875, 0.5),
(9772, 95876, 1),
(9773, 95877, 0.5),
(9774, 95880, 1),
(9775, 95887, 0.5),
(9776, 95888, 1),
(9777, 95889, 0.25),
(9778, 95902, 0.5),
(9779, 95903, 1),
(9780, 95904, 1),
(9781, 95905, 0.5),
(9784, 95913, 0.25),
(9785, 95914, 0.25),
(9786, 95917, 0.75),
(9787, 95918, 1),
(9788, 95920, 1),
(9789, 95921, 1),
(9790, 95922, 1),
(9791, 95923, 0.5),
(9792, 95924, 1),
(9793, 95925, 1),
(9794, 95926, 0.5),
(9795, 95928, 0.75),
(9798, 95931, 0.75),
(9799, 95932, 1),
(9800, 95933, 1),
(9801, 95940, 1),
(9802, 95941, 1),
(9803, 95945, 1),
(9804, 95946, 1),
(9805, 95947, 1),
(9806, 95960, 1),
(9807, 95961, 0.8),
(9808, 95962, 1),
(9809, 95963, 0.8),
(9810, 95964, 1),
(9811, 95965, 1),
(9813, 95967, 0),
(9814, 95968, 0),
(9815, 95969, 0),
(9816, 95970, 0),
(9818, 95973, 0),
(9819, 95974, 0),
(9820, 95975, 0),
(9821, 95981, 0),
(9822, 95982, 0),
(9824, 95991, 0.5),
(9825, 95992, 0.25),
(9826, 95993, 0),
(9827, 95994, 0),
(9828, 95995, 1.25),
(9829, 95996, 0),
(9830, 95997, 0.5),
(9831, 95998, 0),
(9832, 95999, 0),
(9833, 96000, 0),
(9834, 96001, 0),
(9835, 92113, 1),
(9836, 92112, 1),
(9837, 92499, 1),
(9838, 92398, 0.5),
(9840, 96096, 0),
(9841, 96102, 0),
(9842, 96105, 0),
(9843, 96154, 0.2),
(9844, 96158, 0.1),
(9846, 96161, 0),
(9847, 96162, 0),
(9848, 96208, 0),
(9849, 96209, 0),
(9852, 96265, 0),
(9853, 96266, 0),
(9854, 96267, 0),
(9855, 96268, 0),
(9856, 96269, 0),
(9857, 96270, 0),
(9858, 96271, 0),
(9859, 96272, 0),
(9860, 96273, 0),
(9861, 96274, 0),
(9862, 96275, 0),
(9863, 96276, 0),
(9864, 96277, 0),
(9865, 96278, 0),
(9867, 96331, 0),
(9868, 96332, 3),
(9871, 96335, 0),
(9872, 96336, 0),
(9873, 96337, 0),
(9874, 96339, 0),
(9875, 96340, 0),
(9876, 96341, 1),
(9877, 96342, 0),
(9878, 96343, 0),
(9879, 96344, 0),
(9880, 96345, 0),
(9881, 96346, 0),
(9882, 96347, 0),
(9883, 96348, 0),
(12096, 103080, 0),
(9885, 96350, 0),
(9886, 96351, 0),
(12097, 103081, 0),
(9940, 96467, 0),
(9889, 96359, 0),
(9891, 96362, 0),
(9892, 96363, 0),
(9893, 96386, 0),
(9894, 96387, 0),
(9895, 96388, 0),
(9898, 96392, 0),
(9897, 96391, 0),
(9899, 96393, 0),
(9900, 96394, 0),
(9901, 96395, 1),
(9902, 96397, 0),
(9903, 96400, 0),
(9905, 96404, 0),
(9906, 96406, 0),
(9907, 96409, 0),
(9908, 96412, 0),
(9909, 96413, 0),
(9910, 96414, 0),
(9911, 96417, 0),
(9912, 96418, 0),
(9913, 96423, 0),
(9914, 96427, 0),
(9915, 96428, 0),
(9919, 96432, 8),
(9917, 96430, 0),
(9918, 96431, 1),
(9920, 96433, 0),
(9923, 96436, 0),
(9922, 96435, 0),
(9930, 96443, 0),
(9931, 96444, 0),
(9927, 96440, 0),
(9928, 96441, 0),
(9929, 96442, 0),
(9933, 96446, 0),
(9934, 96450, 0),
(9935, 96451, 0),
(9937, 96453, 0),
(9938, 96458, 0.5),
(9939, 96459, 0),
(9944, 96497, 0),
(9942, 96490, 0),
(9945, 96568, 0.2),
(9946, 96570, 0.2),
(9947, 96571, 1),
(9948, 96572, 0.5),
(9949, 96574, 1),
(9950, 96575, 0),
(9951, 96577, 0),
(9952, 96593, 2),
(9953, 96594, 2),
(9954, 96595, 2),
(9955, 96596, 2),
(9956, 96597, 2),
(9957, 96599, 0),
(9958, 96600, 0),
(9959, 96610, 0),
(9960, 96612, 0),
(9976, 96639, 1),
(9962, 96615, 0),
(9963, 96618, 0),
(9964, 96622, 0),
(9965, 96623, 0),
(9966, 96624, 1),
(9967, 96625, 0),
(9968, 96626, 0),
(9969, 96627, 0),
(9973, 96631, 0),
(9971, 96629, 0),
(9972, 96630, 0),
(9974, 96632, 0),
(9975, 96633, 0),
(9977, 96640, 1),
(9978, 96641, 0.6),
(9979, 96642, 0.4),
(9980, 96644, 1),
(9981, 96645, 1),
(9982, 96648, 1),
(9983, 96656, 0),
(9984, 96657, 1),
(9985, 96658, 0),
(9986, 96659, 0.25),
(9987, 96660, 0.75),
(9988, 96661, 0.75),
(9989, 96662, 0.5),
(9990, 96663, 1),
(9991, 96664, 1),
(9992, 96665, 1),
(9993, 96666, 1),
(9994, 96667, 1),
(9995, 96670, 0),
(9996, 96671, 0),
(9997, 96676, 0),
(9998, 96677, 2),
(10000, 96681, 2),
(10001, 96682, 2),
(10002, 96683, 2),
(10003, 96684, 0.5),
(10004, 96701, 1),
(10005, 96702, 0),
(10006, 96703, 0),
(10007, 96704, 0),
(10008, 96705, 0),
(10009, 96708, 0),
(10010, 96709, 0),
(10011, 96725, 0),
(10012, 96726, 0),
(10013, 96731, 1),
(10014, 96732, 0.8),
(10015, 96733, 1),
(10016, 96734, 1),
(10017, 96735, 0),
(10018, 96736, 0.8),
(10019, 96737, 1),
(10020, 96738, 1),
(10021, 96739, 1),
(10022, 96740, 0),
(10023, 96741, 1),
(10024, 96742, 0),
(10025, 96743, 1),
(10528, 98277, 0),
(10027, 96745, 0),
(10525, 98274, 0),
(10030, 96748, 0),
(10031, 96749, 0),
(10032, 96750, 0),
(10033, 96751, 0),
(10034, 96752, 1),
(10035, 96753, 1),
(10516, 98216, 0),
(10037, 96755, 0.6),
(10038, 96757, 0.2),
(10039, 96758, 0.8),
(10040, 96765, 1),
(10041, 96766, 1),
(10042, 96767, 0),
(10043, 96768, 1),
(10044, 96769, 1),
(10045, 96770, 1),
(10046, 96771, 1),
(10047, 96772, 1),
(10048, 96773, 1),
(10049, 96774, 1),
(10050, 96775, 1),
(10051, 96777, 0),
(10052, 96778, 0),
(10053, 96779, 0),
(10054, 96782, 1),
(10055, 96785, 1),
(10056, 96803, 1.25),
(10057, 96809, 0.5),
(10058, 96820, 0.25),
(10059, 96827, 1),
(10534, 98290, 0.25),
(10061, 96886, 1),
(10062, 96887, 1),
(10063, 96888, 1),
(10064, 96943, 0),
(10065, 96986, 0),
(10066, 96987, 0),
(10067, 96989, 0),
(10068, 96990, 0),
(10069, 96991, 0),
(10070, 96992, 0),
(10071, 96993, 0),
(10072, 97002, 1),
(10073, 97010, 0),
(10074, 97011, 0),
(10075, 97012, 0),
(10076, 97015, 0),
(10077, 97016, 1),
(10078, 97017, 1),
(10079, 97018, 1),
(10080, 97019, 1),
(10081, 97020, 1),
(10082, 97083, 0),
(10083, 97088, 0),
(10084, 97090, 0),
(10085, 97104, 0),
(10086, 97105, 0),
(10087, 97114, 0),
(10088, 97115, 1),
(10089, 97116, 0),
(10090, 97117, 0),
(10091, 97119, 0),
(10092, 97120, 0),
(10093, 97121, 0),
(10094, 97122, 0),
(10095, 97123, 0),
(10096, 97124, 0),
(10097, 97128, 0),
(10098, 97130, 0),
(10099, 97131, 0),
(10100, 97132, 0),
(10101, 97133, 0),
(10942, 100036, 0),
(10103, 97135, 0),
(10104, 97137, 0),
(10105, 97139, 0),
(10106, 97142, 0),
(10107, 97144, 0),
(10108, 97146, 0),
(10109, 97147, 1),
(10110, 97148, 0.8),
(10111, 97149, 0),
(10112, 97150, 0.4),
(10116, 97154, 0),
(10114, 97152, 0.4),
(10115, 97153, 0),
(10117, 97160, 1),
(10118, 97162, 1),
(10121, 97168, 1),
(10120, 97167, 0),
(10122, 97169, 1),
(10123, 97170, 1),
(10124, 97171, 1),
(10125, 97172, 1),
(10126, 97179, 0),
(10226, 97388, 0),
(10128, 97181, 1),
(10129, 97215, 0),
(10130, 97220, 1),
(10131, 97221, 1),
(10132, 97233, 2),
(10133, 97234, 2),
(10134, 97235, 2),
(10135, 97236, 2),
(10136, 97237, 2),
(10137, 97238, 1),
(10138, 97239, 1),
(10139, 97240, 1),
(10149, 97252, 1),
(10150, 97253, 1),
(10151, 97254, 1),
(10147, 97250, 0.5),
(10148, 97251, 1),
(10145, 97248, 0.5),
(10146, 97249, 1),
(10152, 97255, 1),
(10153, 97256, 2),
(10154, 97257, 2),
(10155, 97258, 2),
(10156, 97259, 2),
(10157, 97260, 2),
(10158, 97262, 1),
(10159, 97264, 1),
(10160, 97266, 1),
(10161, 97267, 1),
(10162, 97268, 1),
(10163, 97269, 1),
(10164, 97270, 1),
(10165, 97277, 1),
(10166, 97284, 1),
(10167, 97285, 1),
(10168, 97286, 1),
(10169, 97289, 1),
(10170, 97290, 1),
(10171, 97291, 1),
(10172, 97296, 1),
(10173, 97298, 1),
(10174, 97299, 0.75),
(10175, 97301, 1),
(10176, 97302, 1),
(10177, 97303, 0),
(10178, 97304, 1),
(10179, 97305, 0),
(10180, 97306, 2),
(10181, 97307, 0),
(10182, 97308, 2),
(10183, 97309, 2),
(10184, 97310, 1),
(10185, 97311, 2),
(10186, 97312, 1),
(10187, 97313, 1),
(10188, 97314, 1),
(10189, 97315, 1),
(10190, 97316, 1),
(10191, 97317, 0.75),
(10192, 97318, 1),
(10193, 97320, 0.25),
(10194, 97322, 0.5),
(10195, 97323, 1),
(10196, 97324, 1),
(10197, 97325, 0.5),
(10198, 97326, 1),
(10199, 97327, 0.5),
(10200, 97328, 1),
(10201, 97329, 1),
(10202, 97330, 0.5),
(10203, 97331, 0.5),
(10204, 97332, 1),
(10205, 97333, 1),
(10206, 97336, 0.25),
(10207, 97342, 0.5),
(10208, 97343, 0.5),
(10209, 97346, 0.75),
(10210, 97348, 1),
(10211, 97349, 0),
(10212, 97350, 1),
(10213, 97351, 0),
(10214, 97352, 1),
(10215, 97353, 1),
(10216, 97354, 1),
(10217, 97355, 1),
(10219, 97357, 1),
(10220, 97358, 1),
(10221, 97361, 1),
(10222, 97363, 1),
(10223, 97368, 1),
(10224, 97383, 0),
(10225, 97384, 0),
(10227, 97392, 0),
(10228, 97400, 0),
(10229, 97406, 0),
(10230, 97407, 0),
(10231, 97414, 0),
(10232, 97416, 0),
(10233, 97417, 0),
(10234, 97418, 0),
(10235, 97419, 0),
(10236, 97420, 0),
(10237, 97421, 0),
(10238, 97422, 0),
(10239, 97423, 1),
(10240, 97426, 1),
(10241, 97428, 1.25),
(10242, 97429, 0.5),
(10243, 97430, 1),
(10244, 97431, 0.5),
(10245, 97432, 1.25),
(10246, 97433, 0.6),
(10247, 97441, 0.25),
(10248, 97442, 1),
(10249, 97443, 0.5),
(10250, 97444, 1),
(10251, 97445, 0),
(10252, 97446, 0.75),
(10253, 97447, 2),
(10254, 97448, 2),
(10255, 97449, 0.25),
(10256, 97450, 2),
(10257, 97451, 1.5),
(10310, 97672, 2),
(10259, 97453, 0.5),
(10260, 97454, 0.25),
(10261, 97460, 1),
(10262, 97467, 0),
(10263, 97468, 0),
(10264, 97469, 0),
(10265, 97470, 0),
(10266, 97471, 0.8),
(10267, 97472, 1),
(10268, 97473, 1.5),
(10269, 97474, 0.4),
(10270, 97475, 0.5),
(10271, 97477, 1),
(10272, 97478, 0.25),
(10274, 97514, 1),
(10275, 97515, 1),
(10276, 97523, 1),
(10277, 97524, 1),
(10281, 97543, 1),
(10279, 97531, 0),
(10280, 97532, 0),
(10282, 97544, 0),
(10283, 97547, 0),
(10518, 98235, 0.7),
(10286, 97550, 0),
(10287, 97553, 0),
(10294, 97561, 0),
(10292, 97558, 0),
(10609, 98478, 0),
(10296, 97563, 0),
(10297, 97607, 1),
(10298, 97657, 0),
(10300, 97659, 0),
(10301, 97660, 0.2),
(10302, 97661, 0),
(10303, 97662, 0),
(10306, 97668, 1),
(10305, 97665, 0.5),
(10307, 97669, 0.5),
(10308, 97670, 0.5),
(10309, 97671, 0.5),
(10311, 97673, 0.25),
(10312, 97682, 1),
(10313, 97683, 0),
(10314, 97684, 0),
(10315, 97685, 0),
(10316, 97686, 0),
(10317, 97687, 0),
(10318, 97688, 0),
(10319, 97689, 0),
(10320, 97690, 0),
(10321, 97691, 0),
(10322, 97692, 0),
(10323, 97693, 0),
(10324, 97694, 0),
(10325, 97695, 0),
(10326, 97696, 0),
(10327, 97702, 0),
(10328, 97703, 0),
(10329, 97704, 0),
(10330, 97705, 0),
(10331, 97706, 0),
(10332, 97707, 0),
(10333, 97710, 2),
(10334, 97711, 0),
(10335, 97721, 0),
(10336, 97722, 0),
(10337, 97723, 0),
(10338, 97726, 0),
(10339, 97727, 0),
(10340, 97728, 0),
(10341, 97729, 0),
(10342, 97825, 1.25),
(10343, 97826, 0.5),
(10344, 97827, 0.25),
(10345, 97828, 0),
(10346, 97829, 0.25),
(10347, 97830, 0),
(10348, 97832, 0),
(10349, 97835, 0),
(10350, 97836, 0),
(10351, 97837, 0),
(10352, 97851, 0),
(10353, 97852, 0),
(10354, 97853, 1),
(10355, 97854, 1),
(10356, 97862, 0),
(10357, 97863, 0),
(10358, 97864, 1),
(10359, 97879, 1),
(10360, 97880, 1),
(10361, 97881, 1),
(10362, 97882, 1),
(10363, 97883, 2),
(10364, 97916, 0.5),
(10726, 98747, 1),
(10366, 97922, 1),
(10367, 97934, 1),
(10368, 97946, 0.3),
(10369, 97953, 0),
(10438, 98085, 0),
(10371, 97961, 0),
(10373, 97986, 0),
(10374, 97988, 0),
(10375, 97989, 0),
(10376, 97990, 0);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(10378, 97992, 0),
(11786, 102359, 0),
(11784, 102357, 0),
(10381, 97995, 0),
(10382, 97996, 0),
(10383, 97997, 0),
(10384, 97998, 0),
(10385, 97999, 0),
(10386, 98000, 0),
(10388, 98002, 0),
(10389, 98003, 0),
(10390, 98004, 0),
(10391, 98005, 0),
(10392, 98006, 0),
(10393, 98007, 0),
(10394, 98008, 0),
(10395, 98009, 0),
(10396, 98010, 0),
(10397, 98011, 0),
(10398, 98012, 0),
(10399, 98013, 0),
(10400, 98014, 0),
(10401, 98015, 0),
(10402, 98016, 0),
(10403, 98017, 0),
(10404, 98018, 0),
(10405, 98019, 0),
(10406, 98020, 0),
(10407, 98021, 0),
(10408, 98022, 0),
(10409, 98023, 0),
(10410, 98024, 0),
(10411, 98025, 0),
(10412, 98026, 0),
(10413, 98027, 0),
(10414, 98028, 0),
(10415, 98029, 0),
(10416, 98030, 0),
(10417, 98031, 0),
(10418, 98032, 0),
(10421, 98035, 0),
(10420, 98034, 0),
(10422, 98036, 0),
(10423, 98037, 0),
(10424, 98038, 0),
(10425, 98044, 1),
(10426, 98045, 1),
(10427, 98055, 0),
(10440, 98087, 0),
(10429, 98058, 0),
(10430, 98059, 0),
(10431, 98064, 1),
(11243, 100750, 2),
(10433, 98066, 0),
(10434, 98067, 0),
(10435, 98068, 0.8),
(10819, 99457, 0),
(10437, 98071, 0.4),
(10439, 98086, 0),
(10441, 98090, 0),
(10442, 98109, 0),
(10443, 98110, 0),
(10444, 98111, 0),
(10445, 98112, 0),
(10446, 98114, 0),
(10447, 98115, 0),
(10533, 98287, 0),
(10449, 98121, 1),
(10450, 98126, 1),
(10451, 98131, 1),
(10452, 98132, 0),
(10453, 98133, 0),
(10454, 98134, 0),
(10455, 98139, 1),
(10456, 98140, 0),
(10457, 98141, 0),
(10458, 98142, 0),
(10459, 98143, 0),
(10460, 98144, 0),
(10461, 98145, 0),
(10462, 98146, 0),
(10463, 98148, 0),
(10464, 98149, 0),
(10465, 98151, 0),
(10466, 98152, 0),
(10467, 98153, 1),
(10468, 98154, 0),
(10469, 98155, 0),
(10470, 98156, 0),
(10505, 98203, 0.8),
(10472, 98158, 1),
(10473, 98159, 0),
(10474, 98160, 1),
(10478, 98166, 0),
(10476, 98162, 1),
(10477, 98163, 0),
(10479, 98171, 1),
(10480, 98172, 0),
(10481, 98173, 0),
(10485, 98177, 0),
(10483, 98175, 0),
(10484, 98176, 0),
(10486, 98178, 0),
(10487, 98179, 0),
(10488, 98180, 0),
(10489, 98181, 0),
(10490, 98182, 0),
(10491, 98183, 0),
(10492, 98184, 0),
(10504, 98201, 0.5),
(10503, 98200, 0),
(10495, 98187, 0),
(10496, 98188, 0),
(10501, 98194, 0),
(10498, 98191, 0),
(10499, 98192, 0),
(10500, 98193, 0),
(10502, 98199, 0),
(10506, 98204, 1),
(10507, 98205, 1),
(10508, 98207, 1),
(10509, 98208, 1),
(10510, 98209, 2),
(10511, 98210, 0),
(10512, 98211, 0),
(10513, 98213, 1),
(10514, 98214, 0),
(10515, 98215, 0),
(10517, 98217, 0),
(10519, 98236, 1),
(10521, 98238, 0),
(10522, 98239, 0),
(10526, 98275, 0),
(10524, 98241, 0),
(10527, 98276, 0),
(10612, 98481, 0),
(10611, 98480, 0),
(10531, 98281, 0.4),
(10532, 98286, 0),
(10535, 98291, 1),
(10536, 98292, 1),
(10537, 98293, 1),
(10538, 98294, 1),
(10539, 98295, 1),
(10540, 98296, 1),
(10541, 98297, 1),
(10542, 98301, 3),
(10543, 98302, 0),
(10544, 98303, 1),
(10545, 98304, 4),
(10546, 98305, 0.4),
(10547, 98306, 0.2),
(10548, 98307, 1),
(10549, 98336, 0),
(10550, 98337, 0),
(10551, 98338, 0.2),
(10552, 98339, 0),
(10553, 98340, 0),
(10554, 98350, 0),
(10555, 98352, 0),
(10556, 98384, 1.5),
(10559, 98388, 2),
(10558, 98387, 0),
(10560, 98389, 2),
(10561, 98391, 0),
(10562, 98392, 0),
(10564, 98394, 0),
(10565, 98399, 0.4),
(10566, 98400, 0.2),
(10567, 98401, 0.6),
(10568, 98414, 0),
(10610, 98479, 0),
(10616, 98485, 0),
(10604, 98473, 2),
(10576, 98422, 0),
(10838, 99527, 0),
(10607, 98476, 0),
(10580, 98427, 0),
(10581, 98428, 1),
(10582, 98438, 1),
(10583, 98439, 1),
(10584, 98448, 0.8),
(10585, 98451, 0.2),
(10586, 98452, 0.2),
(10587, 98453, 0),
(10588, 98454, 0),
(10589, 98455, 0),
(10590, 98456, 0),
(10591, 98457, 0),
(10592, 98458, 0),
(10593, 98459, 0.3),
(10594, 98460, 0.2),
(10595, 98461, 0.5),
(10596, 98462, 0.5),
(10597, 98463, 1),
(10598, 98464, 1.25),
(10599, 98468, 1),
(10600, 98469, 0.5),
(10603, 98472, 1),
(10602, 98471, 1),
(10613, 98482, 0),
(10614, 98483, 0),
(10615, 98484, 0),
(10617, 98486, 0),
(10618, 98487, 0),
(10619, 98488, 0),
(10620, 98489, 0.7),
(10621, 98493, 0),
(10622, 98494, 0),
(10623, 98495, 0),
(10624, 98496, 1),
(10625, 98497, 0.3),
(10626, 98498, 0.6),
(10627, 98499, 1),
(10628, 98508, 0),
(10631, 98554, 0.5),
(10630, 98551, 1),
(10632, 98555, 0.5),
(10633, 98556, 0.75),
(10634, 98558, 1),
(10635, 98560, 1),
(10636, 98561, 1),
(10637, 98563, 1),
(10638, 98564, 1),
(10639, 98565, 1),
(10640, 98566, 1),
(10641, 98567, 1),
(10642, 98568, 1),
(10643, 98569, 1),
(10644, 98573, 1),
(10645, 98576, 1),
(10646, 98577, 1),
(10647, 98578, 1),
(10648, 98603, 1),
(10649, 98611, 0),
(10650, 98612, 1),
(10684, 98667, 1),
(10652, 98614, 1),
(10653, 98615, 1),
(10654, 98616, 0),
(10655, 98617, 0.75),
(10656, 98620, 1),
(10657, 98624, 0.5),
(10658, 98625, 0.5),
(10659, 98626, 0.5),
(10664, 98637, 1),
(10742, 98966, 1),
(10663, 98630, 1),
(10665, 98638, 1),
(10666, 98639, 1),
(10667, 98648, 0.5),
(10668, 98649, 0.5),
(10669, 98650, 0.25),
(10670, 98651, 0.5),
(10671, 98652, 2),
(10672, 98653, 0.25),
(10673, 98654, 0.25),
(10674, 98655, 2),
(10675, 98656, 0.25),
(10676, 98657, 0.5),
(10677, 98658, 0.5),
(10678, 98659, 0.5),
(10679, 98660, 1),
(10680, 98661, 0.25),
(10681, 98663, 1),
(10682, 98664, 0.5),
(10683, 98666, 0),
(10685, 98668, 1),
(10686, 98669, 1),
(10687, 98670, 1),
(10688, 98671, 1),
(10689, 98672, 1),
(10690, 98673, 0),
(10691, 98674, 0),
(10692, 98675, 0.5),
(10693, 98676, 0.75),
(10694, 98677, 1),
(10695, 98678, 1),
(10696, 98679, 1),
(10697, 98681, 1),
(10698, 98682, 0),
(10699, 98683, 0),
(10700, 98684, 0),
(10701, 98685, 1),
(10702, 98686, 1),
(10705, 98690, 0),
(10704, 98689, 0),
(10706, 98707, 2),
(10707, 98708, 2),
(10708, 98709, 0.4),
(10709, 98710, 0),
(10710, 98711, 1),
(10711, 98712, 2),
(10712, 98713, 2),
(10713, 98714, 2),
(10714, 98715, 1),
(10715, 98716, 1),
(10716, 98717, 1),
(10717, 98718, 1),
(10718, 98719, 1),
(10719, 98720, 1),
(10720, 98721, 2),
(10721, 98722, 0),
(10722, 98724, 1),
(10723, 98725, 1),
(10724, 98726, 1),
(10725, 98727, 1),
(10727, 98749, 1),
(10730, 98757, 2),
(10731, 98758, 0.5),
(10732, 98759, 2),
(10733, 98760, 1),
(10734, 98956, 1),
(10735, 98957, 1),
(10736, 98959, 1),
(10737, 98960, 1),
(10738, 98961, 1),
(10739, 98962, 2),
(10740, 98963, 2),
(10741, 98964, 1),
(10743, 98969, 2),
(10744, 98970, 0),
(10745, 98971, 1),
(10746, 98972, 1),
(10747, 98986, 1),
(10748, 98988, 1),
(10749, 98990, 1),
(10750, 98993, 1),
(10751, 98995, 0.75),
(10752, 98997, 1),
(10753, 99005, 1),
(10754, 99006, 1),
(10755, 99009, 1),
(10756, 99010, 0),
(10757, 99011, 0.5),
(10758, 99012, 1),
(10759, 99013, 0.5),
(10760, 99014, 1),
(10761, 99015, 1),
(10762, 99029, 1),
(10763, 99030, 0.5),
(10772, 99051, 1),
(10770, 99048, 1),
(10773, 99052, 0.5),
(10767, 99035, 0.5),
(10768, 99038, 1),
(10769, 99040, 1),
(10774, 99064, 0.2),
(10775, 99070, 1),
(10776, 99072, 0.3),
(11149, 100600, 2),
(10778, 99083, 1),
(10779, 99094, 1),
(10780, 99100, 1),
(10781, 99113, 1),
(10782, 99163, 0),
(10783, 99165, 0),
(10784, 99166, 0),
(10785, 99168, 0),
(10786, 99169, 0),
(10787, 99188, 0),
(10788, 99189, 0),
(10789, 99191, 0),
(10790, 99192, 0),
(10791, 99201, 0),
(10792, 99202, 0),
(10793, 99203, 0),
(10794, 99208, 0),
(10795, 99209, 0),
(10796, 99210, 0),
(10797, 99211, 0),
(10798, 99212, 0),
(10799, 99217, 0),
(10800, 99218, 0),
(10801, 99276, 0),
(10804, 99279, 1),
(10803, 99278, 0),
(10805, 99284, 0),
(10806, 99418, 2),
(11242, 100749, 1),
(10808, 99420, 0.4),
(10809, 99423, 1),
(10810, 99432, 5),
(10811, 99433, 0.5),
(10812, 99434, 0.5),
(10813, 99435, 0.25),
(10814, 99436, 5),
(10815, 99437, 1.25),
(10816, 99438, 0.5),
(10818, 99449, 1),
(10820, 99458, 0),
(10829, 99515, 0),
(10822, 99503, 0),
(10823, 99504, 0),
(10824, 99506, 0),
(10825, 99511, 0),
(10826, 99512, 1),
(10830, 99516, 0),
(10837, 99526, 1),
(10832, 99520, 0),
(10833, 99522, 0),
(10834, 99523, 0),
(10835, 99524, 0),
(10836, 99525, 0),
(10841, 99530, 0),
(10840, 99529, 0),
(10842, 99531, 0),
(10843, 99532, 0),
(10844, 99533, 1),
(10845, 99534, 0.1),
(10846, 99535, 0),
(10847, 99536, 0),
(10848, 99537, 0),
(10849, 99538, 0),
(10850, 99539, 0),
(10851, 99540, 0),
(10852, 99556, 0),
(10853, 99558, 0),
(10854, 99559, 0),
(10855, 99564, 0),
(10856, 99568, 0),
(10857, 99574, 0),
(10858, 99575, 0),
(10859, 99580, 0),
(10860, 99584, 0),
(10861, 99585, 0),
(10862, 99586, 0),
(10863, 99587, 0),
(10864, 99588, 0),
(10865, 99589, 0),
(10866, 99590, 0),
(10867, 99591, 0),
(10868, 99592, 0),
(10869, 99593, 0),
(10870, 99594, 0),
(10871, 99595, 0),
(10872, 99666, 1),
(10873, 99667, 1),
(10874, 99668, 1),
(10875, 99669, 1),
(10876, 99672, 1),
(10877, 99674, 0),
(10878, 99675, 0),
(10879, 99676, 0),
(10880, 99677, 0),
(10881, 99678, 2),
(10882, 99679, 0.6),
(10883, 99683, 2),
(10884, 99685, 2),
(10885, 99687, 2),
(10886, 99690, 2),
(10887, 99692, 2),
(10888, 99694, 0.3),
(11239, 100746, 0.5),
(10891, 99892, 0),
(10892, 99893, 0),
(10893, 99894, 0),
(10894, 99897, 0),
(10984, 100243, 1),
(10896, 99961, 1),
(10897, 99962, 0),
(10898, 99965, 1),
(10899, 99966, 1),
(10900, 99967, 1),
(10901, 99968, 1),
(10902, 99969, 2),
(10905, 99975, 1),
(10904, 99974, 1),
(11028, 100358, 1),
(12247, 103542, 0.5),
(10908, 99979, 1),
(10909, 99980, 0.5),
(10910, 99982, 0),
(10911, 99983, 0),
(10912, 99984, 0),
(10913, 99985, 0),
(10914, 99986, 0.6),
(10915, 99990, 0),
(10916, 99992, 2),
(10918, 99994, 0),
(10919, 100001, 0),
(10920, 100002, 0),
(10921, 100003, 2),
(10922, 100004, 0),
(10923, 100005, 0),
(10943, 100037, 0),
(10925, 100012, 0),
(11298, 100928, 0),
(10927, 100016, 0),
(10946, 100041, 0),
(10932, 100021, 0),
(10930, 100019, 0),
(10931, 100020, 0),
(10933, 100022, 0),
(10934, 100023, 0),
(10935, 100024, 0),
(10936, 100025, 0),
(10937, 100029, 0),
(10938, 100030, 0),
(10939, 100032, 0),
(11182, 100635, 0),
(10941, 100035, 0),
(10944, 100039, 0),
(10945, 100040, 0),
(10947, 100049, 0),
(10948, 100050, 0),
(10949, 100051, 0),
(10950, 100052, 0),
(10951, 100055, 0),
(10952, 100059, 0),
(10953, 100060, 0),
(10954, 100132, 0),
(10955, 100139, 0),
(10957, 100145, 0),
(10958, 100161, 0),
(10959, 100163, 0),
(10960, 100168, 0),
(10961, 100169, 0),
(10962, 100170, 0.6),
(10963, 100171, 0.4),
(10964, 100172, 0.6),
(10965, 100173, 0),
(10966, 100174, 0),
(10967, 100175, 0),
(10968, 100183, 0),
(10969, 100184, 0),
(10970, 100185, 0),
(10971, 100186, 0),
(10972, 100187, 0),
(10973, 100188, 1),
(10974, 100189, 0),
(10982, 100233, 0),
(10976, 100191, 0),
(10977, 100192, 0),
(10978, 100224, 2),
(11244, 100751, 1),
(10981, 100232, 0),
(10985, 100244, 1),
(10986, 100248, 0),
(10987, 100249, 0),
(11105, 100523, 1),
(11007, 100328, 0),
(10990, 100262, 1.5),
(10991, 100264, 1),
(10992, 100265, 1),
(10993, 100266, 1),
(10994, 100267, 1),
(10995, 100268, 1),
(10996, 100269, 0),
(10997, 100270, 1),
(10998, 100272, 0.5),
(10999, 100296, 2),
(11000, 100297, 1),
(11001, 100309, 1),
(11002, 100310, 1),
(11003, 100311, 0),
(11005, 100313, 0),
(11008, 100329, 0),
(11009, 100330, 0),
(11010, 100331, 0),
(11011, 100332, 1),
(11012, 100333, 1),
(11013, 100334, 1),
(11014, 100335, 1),
(11015, 100336, 1),
(11016, 100340, 1),
(11017, 100341, 1),
(11018, 100342, 0.5),
(11019, 100343, 1),
(11022, 100346, 0),
(11234, 100716, 0),
(11025, 100349, 0.3),
(11026, 100350, 0),
(11027, 100352, 0),
(11029, 100359, 1),
(11030, 100362, 1),
(11031, 100365, 1),
(11032, 100367, 1),
(11033, 100368, 1),
(11034, 100373, 1),
(11035, 100389, 1),
(11036, 100393, 1),
(11037, 100394, 2),
(11038, 100396, 1),
(11039, 100400, 1),
(11040, 100401, 1),
(11041, 100402, 1),
(11042, 100403, 1),
(11043, 100404, 1),
(11047, 100408, 0),
(11046, 100407, 0),
(11048, 100409, 0),
(11049, 100410, 0),
(11050, 100411, 0),
(11051, 100412, 0),
(11052, 100413, 3),
(11053, 100414, 0),
(11054, 100415, 0),
(11055, 100416, 0),
(11056, 100417, 0),
(11057, 100418, 0),
(11059, 100420, 0),
(11060, 100421, 0),
(11061, 100422, 0),
(11062, 100423, 0),
(11063, 100424, 0),
(11064, 100425, 0),
(11065, 100426, 0),
(11066, 100447, 2),
(11067, 100448, 1),
(11068, 100449, 0.5),
(11069, 100451, 1),
(11070, 100452, 1),
(11071, 100453, 1),
(11075, 100467, 1),
(11073, 100455, 2),
(11074, 100459, 2),
(11076, 100470, 1),
(11077, 100471, 1),
(11078, 100472, 1),
(11079, 100475, 1),
(11080, 100476, 0),
(11082, 100478, 0),
(11083, 100479, 0),
(11084, 100480, 1),
(11085, 100482, 0),
(11086, 100484, 0),
(11262, 100803, 0),
(11088, 100487, 2),
(11104, 100518, 1),
(11090, 100489, 1),
(11091, 100490, 0),
(11092, 100491, 2),
(11093, 100492, 1),
(11094, 100493, 0),
(11095, 100494, 1),
(11102, 100509, 0),
(11101, 100507, 0),
(11103, 100516, 0.5),
(11099, 100503, 0),
(11224, 100705, 1),
(11106, 100525, 1),
(11107, 100526, 1),
(11108, 100528, 1),
(11109, 100530, 1),
(11110, 100531, 0.5),
(11111, 100535, 1),
(11112, 100537, 1),
(11113, 100538, 1),
(11114, 100539, 1),
(11115, 100540, 1),
(11116, 100562, 1),
(11117, 100563, 1),
(11118, 100564, 1),
(11119, 100566, 0.5),
(11120, 100567, 1),
(11245, 99773, 0.75),
(11122, 100569, 2),
(11123, 100570, 2),
(11124, 100571, 2),
(11125, 100572, 1),
(11126, 100573, 2),
(11127, 100574, 1),
(11128, 100575, 1),
(11129, 100578, 1),
(11130, 100580, 1),
(11131, 100582, 0),
(11132, 100583, 2),
(11133, 100584, 1),
(11134, 100585, 1),
(11135, 100586, 2),
(11136, 100587, 1),
(11137, 100588, 0.5),
(11138, 100589, 0.3),
(11139, 100590, 1),
(11140, 100591, 0.3),
(11141, 100592, 0.5),
(11142, 100593, 1),
(11143, 100594, 2),
(11144, 100595, 1),
(11145, 100596, 0.3),
(11146, 100597, 2),
(11147, 100598, 1),
(11148, 100599, 1),
(11150, 100601, 1),
(11151, 100602, 1),
(11152, 100603, 0.2),
(11153, 100604, 0.75),
(11154, 100605, 0.5),
(11155, 100606, 0.3),
(11156, 100609, 1),
(11197, 100669, 0.5),
(11158, 100611, 1),
(11159, 100612, 0.4),
(11160, 100613, 1),
(11161, 100614, 0.2),
(11162, 100615, 0.6),
(11163, 100616, 2),
(11164, 100617, 0.6),
(11165, 100618, 0.4),
(11166, 100619, 0.2),
(11167, 100620, 1),
(11168, 100621, 1),
(11169, 100622, 0.5),
(11170, 100623, 0.5),
(11171, 100624, 0.5),
(11172, 100625, 0.25),
(11173, 100626, 0.25),
(11174, 100627, 0.25),
(11175, 100628, 0.25),
(11176, 100629, 0.5),
(11177, 100630, 1),
(11178, 100631, 1),
(11183, 100636, 0),
(11180, 100633, 0),
(11181, 100634, 0),
(11185, 100638, 0),
(11186, 100639, 0.4),
(11187, 100640, 0.6),
(11188, 100643, 1),
(11189, 100644, 1),
(11190, 100646, 1),
(11191, 100647, 1),
(11192, 100648, 0),
(11193, 100649, 1),
(11194, 100650, 0.5),
(11195, 100651, 0),
(11196, 100668, 1),
(11198, 100675, 2),
(11199, 100676, 0.25),
(11200, 100677, 1.5),
(11202, 100682, 0.5),
(11203, 100683, 1),
(11204, 100684, 1),
(11205, 100685, 1),
(11206, 100686, 1),
(11207, 100687, 2),
(11208, 100688, 2),
(11209, 100689, 0.5),
(11210, 100690, 2),
(11211, 100691, 0),
(11212, 100692, 0),
(11213, 100693, 1),
(11214, 100694, 2),
(11215, 100695, 1),
(11216, 100696, 1),
(11217, 100697, 2),
(11218, 100698, 1),
(11219, 100699, 1),
(11221, 100700, 1),
(11222, 100702, 2),
(11223, 100704, 2),
(11225, 100706, 2),
(11226, 100707, 2),
(11227, 100708, 2),
(11228, 100709, 0.5),
(11229, 100710, 1),
(11246, 100752, 0.5),
(11231, 100712, 2),
(11232, 100713, 2),
(11233, 100715, 0),
(11278, 100821, 0),
(11236, 100718, 1),
(11237, 100740, 0.4),
(11238, 100745, 1),
(11240, 100747, 0.75),
(11241, 100748, 1),
(11247, 100756, 1),
(11248, 100758, 1),
(11249, 100759, 1),
(11250, 100760, 1),
(11251, 100761, 1),
(11252, 100762, 1),
(11253, 100788, 1),
(11254, 100789, 1),
(11255, 100790, 1),
(11256, 100791, 0.3),
(11257, 100794, 0),
(11258, 100795, 1),
(11260, 100797, 0),
(11263, 100804, 0),
(11264, 100805, 0),
(11265, 100806, 0),
(11268, 100811, 0),
(11267, 100808, 0),
(11269, 100812, 2),
(11270, 100813, 1),
(11271, 100814, 0.5),
(11272, 100815, 1.25),
(11273, 100816, 0.5),
(11274, 100817, 0.5),
(11275, 100818, 1.25),
(11276, 100819, 0.25),
(11277, 100820, 0),
(11279, 100822, 1),
(11280, 100823, 0.5),
(11281, 100824, 1.25),
(11282, 100825, 0.5),
(11283, 100826, 0.5),
(11285, 100829, 0.25),
(11286, 100830, 2),
(11287, 100833, 0.5),
(11288, 100837, 0.5),
(11289, 100839, 1.25),
(11290, 100840, 0.25),
(11291, 100852, 0.25),
(11292, 100879, 0.6),
(11293, 100886, 0),
(11294, 100887, 0),
(11295, 100889, 0),
(11296, 100891, 2),
(11297, 100926, 0),
(11299, 100950, 0),
(11300, 100951, 0),
(11301, 100953, 0),
(11302, 100955, 0),
(11303, 100956, 0),
(11304, 100957, 0),
(11305, 100959, 0),
(11306, 100962, 0),
(11307, 100963, 0),
(11308, 100964, 0),
(11309, 100966, 0),
(11310, 100969, 0),
(11315, 100977, 0),
(11312, 100972, 0),
(11313, 100975, 0),
(11314, 100976, 0),
(11316, 100978, 0),
(11317, 100979, 0),
(11318, 100993, 0),
(11319, 100996, 0),
(11320, 100997, 0),
(11321, 101000, 0),
(11322, 101002, 0),
(11323, 101006, 0),
(11324, 101007, 0),
(11325, 101008, 0),
(11326, 101009, 0),
(11327, 101010, 0),
(11328, 101011, 0),
(11329, 101012, 0),
(11330, 101021, 0),
(11331, 101023, 0),
(11332, 101024, 0),
(11333, 101030, 1),
(11334, 101031, 0),
(11335, 101045, 1),
(11336, 101052, 0),
(11337, 101053, 0),
(11338, 101054, 0),
(11339, 101055, 0),
(11340, 101056, 0),
(11341, 101084, 1),
(11342, 101089, 0),
(11343, 101090, 0),
(11344, 101091, 0),
(11345, 101092, 1),
(11346, 101093, 1),
(11347, 101094, 1),
(11348, 101095, 1),
(11349, 101096, 2),
(11350, 101097, 0),
(11351, 101098, 3.2),
(11352, 101099, 0),
(11353, 101100, 0),
(11354, 101101, 0),
(11355, 101102, 0),
(11356, 101103, 0),
(11357, 101105, 0),
(11358, 101107, 0),
(11359, 101108, 0),
(11360, 101109, 0),
(11361, 101110, 0),
(11362, 101117, 1),
(11363, 101167, 2),
(11364, 101168, 2),
(11365, 101169, 0),
(11366, 101171, 0),
(11367, 101172, 1),
(11368, 101173, 1),
(11369, 101175, 0.8),
(11370, 101176, 0.5),
(11371, 101177, 0.4),
(11372, 101178, 0.7),
(11373, 101179, 0.7),
(11374, 101180, 0.8),
(11375, 101185, 0),
(11376, 101189, 0),
(11377, 101196, 0),
(11378, 101198, 2),
(11379, 101199, 0),
(11380, 101200, 0),
(11437, 101454, 0.5),
(11382, 101210, 1),
(11383, 101211, 1),
(11384, 101212, 1),
(11677, 101981, 0),
(11386, 101214, 0.4),
(11387, 101218, 0),
(11388, 101219, 0),
(11389, 101220, 0),
(11390, 101221, 0),
(11391, 101222, 0),
(11392, 101223, 0),
(11393, 101224, 0),
(11394, 101225, 0),
(11395, 101226, 0),
(11396, 101227, 0),
(11397, 101246, 0.4),
(11398, 101249, 0.1),
(11399, 101263, 0),
(11400, 101264, 0),
(11401, 101268, 1),
(11402, 101269, 2),
(11403, 101274, 0),
(11404, 101275, 0),
(11405, 101282, 1),
(11406, 101283, 1),
(11409, 101291, 0),
(11408, 101290, 0),
(11410, 101302, 1),
(11411, 101324, 1),
(11412, 101325, 2),
(11413, 101329, 2),
(11414, 101332, 2),
(11415, 101333, 2),
(11416, 101367, 0.8),
(11417, 101369, 0.6),
(11418, 101370, 0.6),
(11419, 101371, 2),
(11420, 101373, 2),
(11421, 101374, 1),
(11422, 101395, 0),
(11423, 101396, 0),
(11424, 101397, 0),
(11425, 101398, 1),
(11426, 101399, 1),
(11427, 101400, 1),
(11428, 101403, 1),
(11690, 102080, 0),
(11430, 101412, 1),
(11431, 101413, 0.4),
(11432, 101419, 2),
(11433, 101442, 2),
(11434, 101443, 2),
(11435, 101445, 2),
(11438, 101456, 1),
(11439, 101460, 0.5),
(11440, 101471, 2),
(11441, 101477, 1),
(11442, 101480, 0.7),
(11443, 101484, 0),
(11444, 101485, 0),
(11445, 101486, 1),
(11446, 101487, 0),
(11447, 101489, 0),
(11448, 101490, 0),
(11449, 101491, 0),
(11450, 101492, 2),
(11451, 101495, 1),
(11452, 101496, 1),
(11453, 101497, 1),
(11454, 101504, 0),
(11455, 101505, 0),
(11456, 101510, 1),
(11457, 101511, 1),
(11458, 101512, 1),
(11459, 101513, 1),
(11460, 101514, 1),
(11461, 101515, 1),
(11462, 101516, 2),
(11463, 101517, 2),
(11464, 101518, 2),
(11465, 101519, 2),
(11466, 101520, 0.5),
(11467, 101525, 1.25),
(11468, 101527, 0.5),
(11469, 101528, 0.5),
(11470, 101529, 1.25),
(11471, 101530, 0),
(11512, 101617, 1),
(11473, 101532, 1),
(11474, 101533, 1),
(11475, 101535, 0),
(11476, 101536, 1),
(11477, 101537, 0),
(11478, 101538, 0.5),
(11480, 101540, 0.7),
(11487, 101547, 1),
(11488, 101548, 2),
(11483, 101543, 1),
(11484, 101544, 0.2),
(11485, 101545, 0.5),
(11486, 101546, 1),
(11489, 101550, 0.5),
(11490, 101552, 1.5),
(11491, 101557, 1),
(11492, 101558, 0.5),
(11493, 101582, 2),
(11494, 101590, 2),
(11495, 101591, 0),
(11496, 101592, 0),
(11497, 101593, 0),
(11498, 101594, 0),
(11499, 101595, 0),
(11500, 101596, 0),
(11501, 101601, 0),
(11502, 101605, 2),
(11503, 101606, 2),
(11504, 101607, 1),
(11505, 101608, 1),
(11506, 101609, 1),
(11507, 101610, 1),
(11508, 101611, 1),
(11509, 101612, 1),
(11510, 101613, 1),
(11511, 101614, 0),
(11513, 101618, 1),
(11514, 101619, 1),
(11515, 101622, 2),
(11516, 101624, 2),
(11517, 101625, 2),
(11518, 101626, 2),
(11519, 101627, 2),
(11520, 101643, 2),
(11521, 101644, 2),
(11522, 101645, 2),
(11523, 101646, 2),
(11524, 101647, 2),
(11525, 101648, 2),
(11526, 101649, 2),
(11527, 101650, 2),
(11528, 101651, 2),
(11529, 101652, 2),
(11530, 101653, 1),
(11531, 101654, 1),
(11532, 101655, 1),
(11533, 101656, 1),
(11534, 101657, 1),
(11535, 101658, 0),
(11536, 101659, 0),
(11537, 101660, 0),
(11538, 101661, 0),
(11539, 101662, 0),
(11540, 101663, 0),
(11541, 101664, 0),
(11542, 101665, 0),
(11543, 101666, 0),
(11544, 101667, 0),
(11545, 101668, 2),
(11546, 101669, 2),
(11547, 101670, 2),
(11548, 101671, 2),
(11549, 101672, 1),
(11550, 101673, 0),
(11551, 101674, 1),
(11552, 101676, 0),
(11553, 101677, 1),
(11554, 101678, 2),
(11771, 102276, 0.6),
(11556, 101680, 0),
(11557, 101681, 0),
(11558, 101682, 2),
(11559, 101683, 0),
(11560, 101684, 1),
(11561, 101685, 1),
(11562, 101686, 0),
(11563, 101687, 1),
(11564, 101688, 1),
(11565, 101689, 0),
(11566, 101690, 1),
(11567, 101691, 2),
(11568, 101692, 0),
(11569, 101694, 2),
(11570, 101695, 0),
(11571, 101697, 2),
(11572, 101699, 2),
(11573, 101703, 0.5),
(11574, 101704, 1),
(11575, 101706, 1),
(11576, 101707, 1),
(11577, 101708, 1),
(11578, 101714, 0),
(11579, 101715, 0),
(11580, 101716, 0),
(11581, 101717, 0),
(11582, 101718, 1),
(11583, 101719, 0),
(11584, 101720, 1),
(11585, 101724, 1),
(11586, 101725, 0.5),
(11587, 101726, 2),
(11588, 101728, 4),
(11589, 101729, 4),
(11590, 101730, 4),
(11591, 101732, 0),
(11608, 101762, 0.6),
(11593, 101734, 0),
(11594, 101736, 0),
(11595, 101742, 1),
(11596, 101745, 1),
(11597, 101746, 0),
(11598, 101747, 1),
(11599, 101748, 1),
(11600, 101749, 0.8),
(11601, 101752, 0.4),
(11602, 101753, 1),
(11603, 101754, 1),
(11604, 101755, 3),
(11605, 101756, 0.2),
(11606, 101758, 4),
(11607, 101760, 1),
(11609, 101767, 1),
(11610, 101768, 2),
(11611, 101769, 2),
(11612, 101770, 2),
(11613, 101771, 1),
(11614, 101772, 2),
(11615, 101774, 2),
(11616, 101780, 0.5),
(11617, 101783, 0.6),
(11618, 101785, 2),
(11619, 101786, 2),
(11620, 101787, 0.2),
(11621, 101788, 1),
(11622, 101789, 1),
(11623, 101790, 1),
(11624, 101791, 1),
(11625, 101792, 0.2),
(11626, 101793, 2),
(11627, 101794, 2),
(11628, 101795, 2),
(11629, 101796, 2),
(11630, 101797, 2),
(11631, 101798, 0.25),
(11632, 101799, 0.25),
(11633, 101800, 1),
(11634, 101801, 1),
(11635, 101802, 1),
(11636, 101803, 1),
(11637, 101804, 1),
(11638, 101805, 2),
(11639, 101806, 1),
(11640, 101807, 1),
(11641, 101815, 1),
(11642, 101818, 0),
(11643, 101820, 0.4),
(11644, 101826, 2),
(11645, 101827, 2),
(11646, 101828, 2),
(11647, 101829, 2),
(11648, 101830, 2),
(11649, 101841, 1),
(11650, 101842, 1),
(11651, 101843, 1),
(11652, 101844, 1),
(11653, 101845, 1),
(11654, 101846, 1),
(11655, 101847, 1),
(11656, 101850, 0),
(11657, 101872, 0),
(11658, 101874, 0),
(11659, 101877, 0),
(11660, 101889, 0.4),
(11661, 101891, 0.5),
(12095, 103076, 1),
(12094, 103075, 1),
(11666, 101896, 0),
(12091, 103070, 0.25),
(11667, 101900, 0),
(11668, 101913, 1),
(11669, 101914, 2.5),
(11670, 101915, 1),
(11671, 101938, 1),
(11672, 101939, 1),
(11673, 101940, 1),
(11674, 101942, 2),
(11675, 101947, 2),
(11676, 101948, 2),
(11678, 101990, 0),
(11679, 101991, 0),
(11680, 101992, 0),
(11681, 101993, 0),
(11682, 101995, 0),
(11683, 101997, 0),
(11684, 101998, 0),
(11685, 101999, 0),
(11686, 102000, 0),
(11687, 102001, 1),
(11688, 102002, 5),
(11689, 102065, 2),
(11691, 102089, 0.2),
(11692, 102090, 0.6),
(11693, 102091, 2),
(11694, 102092, 4),
(11706, 102111, 0),
(11697, 102095, 0),
(11698, 102096, 0),
(11699, 102097, 0),
(11700, 102098, 0),
(11701, 102099, 0),
(11763, 102248, 1),
(11713, 102120, 0),
(11704, 102109, 0),
(11711, 102117, 0),
(11707, 102112, 0),
(11708, 102113, 0),
(11709, 102114, 0),
(11710, 102115, 0),
(11712, 102118, 0),
(11715, 102132, 0.5),
(11716, 102133, 0),
(11718, 102142, 0),
(11720, 102145, 0),
(11722, 102151, 0),
(11723, 102152, 0.2),
(11724, 102153, 0),
(11725, 102154, 0.5),
(11726, 102155, 1),
(11727, 102156, 0),
(11728, 102157, 0),
(11730, 102159, 0),
(11731, 102160, 0),
(11732, 102167, 0),
(11733, 102172, 0.5),
(11734, 102175, 1),
(11735, 102176, 0.8),
(11736, 102178, 0.2),
(11739, 102182, 0.2),
(11738, 102180, 0),
(11740, 102183, 1),
(11741, 102184, 0),
(11742, 102185, 0),
(11770, 102256, 0),
(11744, 102188, 0),
(11745, 102189, 0),
(11746, 102212, 0.5),
(11747, 102213, 1.25),
(11748, 102214, 0.5),
(11749, 102215, 0.5),
(11750, 102216, 0.5),
(11751, 102217, 1),
(11752, 102218, 0.5),
(11753, 102230, 1),
(11754, 102231, 1),
(11755, 102232, 1),
(11756, 102233, 1),
(11757, 102234, 2),
(11759, 102244, 2),
(11762, 102247, 1),
(11761, 102246, 0),
(11768, 102254, 0),
(11769, 102255, 0),
(11766, 102252, 0),
(11767, 102253, 0),
(11821, 102452, 1),
(11773, 102278, 0.8),
(11774, 102279, 1),
(11775, 102287, 0.5),
(11776, 102288, 1),
(11777, 102289, 0),
(11778, 102290, 0),
(11779, 102291, 0),
(11787, 102360, 0),
(11781, 102294, 0),
(11782, 102295, 0),
(11788, 102361, 0),
(11789, 102362, 0),
(11790, 102363, 0),
(11791, 102364, 0),
(11792, 102365, 0),
(11793, 102366, 0),
(11794, 102367, 0),
(11795, 102368, 0),
(11796, 102369, 0),
(11797, 102370, 0),
(11798, 102371, 0),
(11799, 102372, 0),
(11800, 102390, 4),
(11801, 102396, 0),
(11802, 102397, 0),
(11803, 102400, 1),
(11807, 102404, 1),
(11808, 102405, 0.5),
(11806, 102403, 1.5),
(11809, 102406, 0.5),
(11810, 102407, 1),
(11811, 102408, 0.25),
(11812, 102413, 2),
(11813, 102442, 1),
(11814, 102443, 0.5),
(11815, 102446, 0.2),
(11816, 102447, 0.5),
(11817, 102448, 1.25),
(11818, 102449, 0.7),
(11819, 102450, 0.2),
(11820, 102451, 1),
(11822, 102456, 2),
(11823, 102457, 2),
(11824, 102467, 0),
(11825, 102468, 0),
(11826, 102469, 0),
(11827, 102470, 0),
(11828, 102471, 1),
(11829, 102472, 1),
(11830, 102473, 1),
(11831, 102475, 0),
(11834, 102493, 1),
(11833, 102487, 1),
(11835, 102494, 4),
(11836, 102502, 2),
(11837, 102503, 2),
(11838, 102511, 0.5),
(11839, 102521, 2),
(11840, 102522, 1),
(11841, 102525, 1.5),
(11842, 102526, 1),
(11843, 102528, 2),
(11844, 102529, 2),
(11845, 102530, 2),
(11846, 102531, 2),
(11847, 102532, 2),
(11848, 102533, 2),
(11849, 102534, 2),
(11850, 102538, 2),
(11851, 102539, 0.6),
(11854, 102542, 0.25),
(11853, 102541, 3),
(11855, 102543, 0.25),
(11856, 102544, 0.5),
(11857, 102545, 0),
(11858, 102546, 1),
(11859, 102547, 0),
(11860, 102548, 0.2),
(11861, 102549, 0.5),
(11862, 102550, 1),
(11863, 102551, 0.5),
(11864, 102552, 0.4),
(11865, 102553, 0),
(11866, 102554, 0),
(11867, 102559, 2),
(11868, 102560, 0.4),
(11869, 102564, 0),
(11870, 102565, 2),
(11871, 102566, 0.75),
(11872, 102567, 0),
(11875, 102579, 0),
(11874, 102569, 1),
(11876, 102583, 1),
(11877, 102586, 0),
(11878, 102587, 0.2),
(11879, 102588, 0),
(11880, 102590, 0),
(11881, 102593, 0),
(11882, 102594, 1),
(11883, 102614, 1),
(11884, 102615, 0.5),
(11885, 102616, 1),
(11886, 102617, 2),
(11887, 102618, 2),
(11888, 102619, 2),
(11889, 102620, 2),
(11890, 102621, 1),
(11891, 102622, 1),
(11892, 102624, 1),
(11893, 102626, 1),
(11894, 102631, 0.2),
(11895, 102632, 0.5),
(11896, 102634, 0.8),
(11897, 102638, 1),
(11909, 102653, 1),
(12248, 103543, 0),
(11963, 102799, 1),
(11901, 102645, 1),
(11902, 102646, 0),
(11903, 102647, 0),
(11904, 102648, 2),
(11905, 102649, 2),
(11906, 102650, 0),
(11907, 102651, 2),
(11908, 102652, 0.5),
(11910, 102654, 1),
(11911, 102655, 1),
(11912, 102659, 0),
(11913, 102661, 0),
(11914, 102662, 0),
(11915, 102663, 0),
(11916, 102665, 0),
(11917, 102666, 0),
(11918, 102667, 0),
(11919, 102668, 0),
(11920, 102669, 0),
(11921, 102674, 0),
(11953, 102771, 0),
(11923, 102678, 1),
(11924, 102679, 0.5),
(11925, 102680, 0.6),
(11926, 102682, 0.4),
(11927, 102702, 1),
(11928, 102703, 0.5),
(11929, 102704, 0),
(11931, 102710, 0),
(11932, 102711, 0),
(11933, 102712, 0),
(11934, 102713, 0),
(11935, 102714, 0),
(11936, 102715, 0),
(11937, 102721, 2),
(11938, 102722, 0),
(11939, 102723, 0),
(11940, 102724, 0),
(11941, 102749, 0.2),
(11942, 102755, 0.5),
(11943, 102756, 0.6),
(11944, 102757, 0.2),
(11945, 102758, 2),
(11946, 102760, 1),
(11947, 102763, 0.5),
(11954, 102772, 1),
(11955, 102773, 2),
(11950, 102768, 0),
(11956, 102774, 2),
(11957, 102775, 1),
(11958, 102779, 1),
(11959, 102781, 2),
(11960, 102782, 2),
(11961, 102790, 1),
(11962, 102796, 1),
(11964, 102805, 0.5),
(11965, 102807, 0.75),
(11966, 102808, 1),
(11967, 102809, 1),
(11968, 102813, 2),
(11969, 102814, 2),
(11970, 102815, 2),
(11971, 102820, 0.25),
(11972, 102821, 0.75),
(11973, 102827, 1),
(11974, 102828, 0.5),
(11975, 102829, 1),
(11976, 102830, 1),
(11977, 102831, 1),
(11978, 102832, 1),
(12017, 102894, 1),
(11980, 102836, 1),
(11981, 102837, 0.5),
(11982, 102838, 1),
(11983, 102839, 2),
(11984, 102840, 2),
(11985, 102843, 2),
(11986, 102844, 2),
(11987, 102845, 2),
(11988, 102846, 2),
(11989, 102847, 2),
(11990, 102848, 1),
(11991, 102850, 1),
(11992, 102851, 2),
(11993, 102852, 2),
(11994, 102853, 1),
(11995, 102855, 1),
(11996, 102856, 1),
(11997, 102872, 2),
(11998, 102875, 2),
(12024, 102935, 1),
(12000, 102877, 1),
(12001, 102878, 1),
(12002, 102879, 1),
(12003, 102880, 1),
(12004, 102881, 1),
(12005, 102882, 2),
(12006, 102883, 1),
(12007, 102884, 2),
(12008, 102885, 0.75),
(12009, 102886, 0.5),
(12010, 102887, 2),
(12011, 102888, 2),
(12012, 102889, 2),
(12013, 102890, 2),
(12014, 102891, 1),
(12015, 102892, 2),
(12018, 102895, 1),
(12019, 102926, 1),
(12020, 102927, 0.5),
(12146, 103315, 1),
(12022, 102931, 2),
(12023, 102934, 2),
(12025, 102936, 1),
(12026, 102937, 1),
(12027, 102938, 1),
(12028, 102939, 1),
(12029, 102940, 1),
(12030, 102942, 1),
(12031, 102943, 2),
(12032, 102944, 2),
(12033, 102945, 1),
(12034, 102946, 1),
(12035, 102947, 1),
(12036, 102950, 1),
(12037, 102954, 2),
(12038, 102955, 2),
(12039, 102956, 2),
(12040, 102958, 1),
(12041, 102959, 1),
(12042, 102960, 1),
(12043, 102961, 1),
(12044, 102962, 1),
(12045, 102963, 1),
(12046, 102965, 0),
(12047, 102967, 2),
(12048, 102968, 2),
(12049, 102969, 2),
(12050, 102970, 2),
(12051, 102971, 2),
(12052, 102972, 1),
(12243, 103528, 2),
(12054, 102975, 2),
(12055, 102976, 2),
(12056, 102977, 2),
(12057, 102978, 2),
(12058, 102979, 2),
(12130, 103267, 0),
(12131, 103268, 0),
(12061, 102991, 0),
(12062, 102992, 4),
(12063, 102993, 4),
(12064, 102994, 4),
(12065, 102995, 4),
(12066, 102996, 1),
(12138, 103302, 0),
(12068, 102998, 2),
(12069, 103000, 2),
(12070, 103001, 4),
(12071, 103002, 2),
(12072, 103003, 1),
(12074, 103006, 1),
(12075, 103007, 1),
(12076, 103008, 1),
(12077, 103009, 2),
(12078, 103010, 0.2),
(12079, 103011, 0.5),
(12080, 103012, 1),
(12081, 103013, 0.6),
(12082, 103042, 0),
(12084, 103044, 0),
(12086, 103046, 0),
(12087, 103047, 0),
(12088, 103048, 0),
(12089, 103059, 0),
(12090, 103067, 0.25),
(12098, 103082, 0),
(12093, 103073, 0.25),
(12099, 103083, 0),
(12100, 103084, 0),
(12102, 103086, 0),
(12103, 103087, 0),
(12104, 103088, 0),
(12105, 103099, 0),
(12106, 103100, 0),
(12107, 103106, 0),
(12108, 103107, 0),
(12109, 103108, 0),
(12110, 103109, 0),
(12111, 103110, 0),
(12113, 103165, 0),
(12114, 103183, 2),
(12115, 103184, 0),
(12116, 103185, 0),
(12117, 103186, 0),
(12118, 103208, 0),
(12120, 103211, 0),
(12121, 103212, 0),
(12122, 103234, 0),
(12123, 103235, 0),
(12124, 103236, 0),
(12125, 103246, 0),
(12126, 103257, 0),
(12127, 103264, 0),
(12128, 103265, 0),
(12129, 103266, 0),
(12132, 103269, 0),
(12133, 103270, 0),
(12134, 103273, 0),
(12135, 103274, 0),
(12136, 103275, 0),
(12293, 103683, 0),
(12139, 103303, 0),
(12140, 103304, 0),
(12141, 103305, 0),
(12142, 103306, 0),
(12143, 103307, 0),
(12144, 103308, 0),
(12145, 103314, 1),
(12147, 103317, 1),
(12148, 103318, 1),
(12149, 103319, 1),
(12150, 103320, 0.2),
(12151, 103321, 0.5),
(12152, 103322, 1),
(12153, 103323, 0),
(12154, 103325, 0.5),
(12155, 103326, 0.8),
(12156, 103327, 0.4),
(12160, 103338, 0),
(12158, 103331, 0),
(14184, 109773, 0),
(12162, 103341, 0),
(12163, 103342, 0),
(12164, 103343, 0),
(12165, 103344, 0),
(12166, 103345, 0),
(12167, 103346, 0),
(12168, 103347, 0),
(12169, 103348, 0),
(12170, 103349, 0),
(12184, 103392, 0),
(12172, 103370, 0),
(12173, 103371, 0),
(12175, 103379, 0),
(12274, 103620, 1),
(12201, 103418, 0.1),
(12178, 103386, 1),
(12179, 103387, 1),
(12180, 103388, 0),
(12182, 103390, 0.1),
(12183, 103391, 0),
(12185, 103393, 0),
(12186, 103394, 0),
(12187, 103396, 1),
(12188, 103398, 1),
(12189, 103399, 0.1),
(12190, 103400, 0.4),
(12191, 103401, 0.4),
(12192, 103402, 0.3),
(12193, 103403, 0.6),
(12194, 103406, 0.2),
(12195, 103408, 0),
(12196, 103411, 0),
(12197, 103413, 0),
(12198, 103415, 0),
(12199, 103416, 0),
(12200, 103417, 0),
(12202, 103419, 2),
(12203, 103420, 2),
(12204, 103421, 2),
(12205, 103422, 2),
(12206, 103423, 0),
(12207, 103426, 0),
(12208, 103429, 0),
(12209, 103430, 0),
(12210, 103431, 0),
(12211, 103434, 0),
(12212, 103435, 0),
(12217, 103445, 2),
(12216, 103444, 1),
(12215, 103442, 1),
(12218, 103446, 1),
(12219, 103447, 2),
(12220, 103485, 1),
(12221, 103486, 1),
(12222, 103487, 0.5),
(12223, 103489, 1),
(12224, 103490, 0),
(12225, 103491, 0),
(12226, 103492, 0),
(12227, 103493, 0),
(12228, 103495, 0),
(12229, 103496, 0),
(12230, 103498, 0),
(12231, 103499, 0),
(12232, 103500, 0),
(12233, 103501, 0),
(12234, 103502, 0),
(12235, 103503, 0),
(12236, 103504, 0),
(12237, 103509, 1),
(12238, 103510, 1),
(12239, 103511, 1),
(12240, 103512, 1),
(12245, 103531, 0.5),
(12244, 103530, 0.5),
(12246, 103532, 0.5),
(12249, 103544, 0),
(12250, 103545, 0),
(12251, 103546, 0),
(12252, 103547, 0),
(12253, 103548, 0),
(12254, 103549, 0),
(12255, 103550, 0),
(12256, 103551, 0),
(12257, 103557, 0),
(12258, 103558, 0),
(12259, 103559, 0),
(12260, 103560, 0),
(12261, 103561, 2),
(12262, 103562, 0.5),
(12263, 103563, 1),
(12264, 103564, 1),
(12265, 103565, 0.25),
(12266, 103566, 1),
(12267, 103567, 1.5),
(12268, 103568, 1),
(12269, 103587, 0.5),
(12270, 103589, 0.5),
(12271, 103612, 0),
(12273, 103619, 0.2),
(12275, 103621, 0.4),
(12276, 103622, 0.2),
(12277, 103623, 1),
(12278, 103624, 0),
(12279, 103625, 1),
(12280, 103626, 0.3),
(12281, 103627, 0),
(12282, 103628, 2),
(12283, 103631, 2),
(12284, 103633, 1),
(12285, 103636, 0),
(12286, 103637, 0),
(12287, 103655, 2),
(12288, 103656, 0.1),
(12289, 103657, 0.4),
(12290, 103659, 0.1),
(12291, 103660, 2),
(12292, 103682, 0),
(12294, 103686, 0),
(12295, 103756, 0.25),
(12296, 103757, 0.75),
(12297, 103775, 2),
(12370, 104123, 0),
(12299, 103777, 2),
(12300, 103778, 1),
(12301, 103781, 0),
(12302, 103782, 1),
(12303, 103783, 1),
(12306, 103796, 0),
(12305, 103785, 0.5),
(12307, 103797, 0),
(12308, 103798, 0),
(12309, 103799, 0),
(12310, 103800, 0),
(12311, 103801, 1),
(12312, 103805, 0),
(12313, 103806, 0),
(12314, 103808, 0),
(12315, 103809, 0),
(12316, 103810, 0),
(12317, 103811, 0),
(12318, 103814, 2),
(12319, 103815, 0),
(12320, 103816, 0),
(12321, 103819, 1.5),
(12322, 103820, 0.6),
(12323, 103821, 0.2),
(12371, 104124, 0),
(12325, 103824, 2),
(12326, 103826, 2),
(12327, 103835, 2),
(12328, 103836, 2),
(12329, 103859, 1),
(12330, 103860, 1),
(12331, 103861, 1),
(12332, 103862, 1),
(12333, 103863, 1),
(12334, 103864, 1),
(12335, 103927, 2),
(12336, 103930, 2),
(12337, 103945, 0),
(12338, 103946, 0),
(12339, 103947, 2),
(12340, 103949, 0),
(12341, 103950, 0),
(12342, 103951, 0),
(12343, 103993, 1),
(12344, 103995, 1),
(12345, 103996, 1),
(12346, 103997, 0.6),
(12347, 103998, 1),
(12348, 104001, 0.1),
(12349, 104007, 0.2),
(12350, 104008, 0.2),
(12351, 104039, 0),
(12352, 104047, 1.5),
(12353, 104048, 0.4),
(12354, 104049, 0.25),
(12355, 104050, 0.75),
(12356, 104051, 0.4),
(12357, 104052, 0.8),
(12358, 104053, 0),
(12359, 104054, 0.5),
(12360, 104055, 0),
(12361, 104076, 0.2),
(12362, 104078, 0.5),
(12363, 104083, 0.1),
(12364, 104089, 2),
(12365, 104090, 0),
(12959, 105613, 0),
(12367, 104092, 0),
(12368, 104093, 0),
(12369, 104122, 0),
(12372, 104156, 0.6),
(12373, 104170, 0),
(12374, 104171, 0),
(12375, 104172, 0),
(12376, 104179, 1),
(12377, 104180, 1),
(12378, 104181, 1),
(12379, 104185, 0),
(12380, 104187, 0),
(12381, 104191, 0),
(12382, 104192, 0),
(12384, 104196, 0),
(12385, 104197, 2),
(12386, 104199, 2),
(12387, 104200, 2),
(12388, 104202, 2),
(12389, 104204, 2),
(12390, 104208, 0),
(12391, 104224, 2),
(12392, 104225, 0),
(12393, 104227, 0),
(12394, 104228, 0),
(12395, 104229, 0.1),
(12396, 104230, 0.2),
(12397, 104231, 0.4),
(12398, 104233, 0.5),
(12399, 104234, 0.5),
(12400, 104235, 0.25),
(12401, 104236, 1),
(12402, 104240, 2),
(12403, 104239, 2),
(12404, 104241, 2),
(12405, 104242, 2),
(12406, 104243, 2),
(12407, 104244, 2),
(12408, 104245, 2),
(12409, 104246, 2),
(12410, 104252, 1.5),
(12411, 104253, 0.5),
(12412, 104254, 1.5),
(12413, 104255, 0.5),
(12414, 104256, 2),
(12415, 104257, 2),
(12416, 104261, 2),
(12417, 104262, 2),
(12418, 104263, 2),
(12419, 104264, 0.5),
(12420, 104265, 1),
(12421, 104266, 1),
(12422, 104269, 2),
(12423, 104270, 2),
(12424, 104271, 2),
(12425, 104276, 2),
(12426, 104278, 2),
(12427, 104279, 2),
(12428, 104280, 2),
(12429, 104281, 2),
(12430, 104306, 1),
(12431, 104307, 1),
(12432, 104308, 0.5),
(12433, 104309, 1),
(12434, 104310, 1),
(12435, 104311, 1),
(12436, 104312, 2),
(12437, 104313, 2),
(12438, 104314, 1),
(12439, 104315, 2),
(12440, 104316, 1),
(12441, 104317, 2),
(12442, 104318, 0.75),
(12443, 104319, 0.5),
(12444, 104320, 2),
(12445, 104321, 2),
(12446, 104322, 2),
(12447, 104323, 2),
(12448, 104324, 1),
(12449, 104325, 2),
(12456, 104332, 0.75),
(12452, 104328, 0.25),
(12453, 104329, 1),
(12454, 104330, 1),
(12455, 104331, 1),
(12457, 104333, 1),
(12458, 104334, 2),
(12459, 104335, 1),
(12460, 104336, 0.5),
(12461, 104337, 2),
(12462, 104338, 0.5),
(12463, 104339, 0.25),
(12464, 104340, 2),
(12465, 104341, 1.5),
(12466, 104342, 2),
(12467, 104343, 0.5),
(12469, 104345, 2),
(12470, 104346, 1),
(12471, 104347, 2),
(12472, 104348, 2),
(12473, 104349, 2),
(12474, 104350, 2),
(12475, 104351, 1),
(12476, 104356, 0),
(12477, 104357, 0),
(12478, 104358, 0),
(12479, 104359, 0),
(12480, 104360, 2),
(12481, 104361, 1),
(12482, 104362, 1),
(12483, 104363, 1),
(12484, 104364, 1),
(12485, 104365, 1),
(12486, 104366, 2),
(12487, 104367, 2),
(12488, 104368, 1),
(12489, 104369, 1),
(12490, 104370, 1),
(12491, 104371, 1),
(12492, 104372, 1),
(12493, 104373, 2),
(12494, 104374, 2),
(12495, 104375, 1),
(12496, 104376, 2),
(12497, 104377, 2),
(12498, 104378, 2),
(12499, 104379, 2),
(12500, 104380, 2),
(12501, 104381, 0.3),
(12502, 104382, 1),
(12503, 104383, 1),
(12504, 104384, 2),
(12505, 104385, 2),
(12506, 104386, 2),
(12507, 104387, 2),
(12508, 104388, 2),
(12513, 104398, 1),
(12512, 104392, 3),
(12514, 104399, 1),
(12515, 104400, 0.5),
(12516, 104401, 1),
(12517, 104402, 2),
(12518, 104406, 2),
(12519, 104407, 2),
(12520, 104408, 4),
(12521, 104409, 4),
(12522, 104410, 4),
(12523, 104411, 1),
(12524, 104412, 4),
(12525, 104413, 1),
(12526, 104414, 1),
(12527, 104415, 0.7),
(12528, 104419, 0.2),
(12529, 104420, 2),
(12530, 104430, 2),
(12531, 104431, 2),
(12532, 104432, 1.5),
(12533, 104433, 0.5),
(12534, 104434, 2),
(12535, 104435, 2),
(12536, 104436, 1),
(12537, 104437, 1),
(12538, 104438, 2),
(12539, 104439, 2),
(12540, 104440, 0),
(12541, 104441, 0),
(12542, 104446, 0),
(12543, 104448, 0),
(12544, 104449, 0),
(12545, 104451, 0),
(12546, 104454, 0),
(12547, 104461, 10),
(12548, 104478, 2),
(12549, 104479, 2),
(12550, 104480, 2),
(12551, 104481, 2),
(12552, 104482, 2),
(12553, 104483, 2),
(12554, 104534, 0),
(12555, 104536, 0.5),
(12556, 104560, 0.3),
(12557, 104561, 0.4),
(12558, 104562, 0),
(12559, 104563, 0),
(12560, 104564, 0),
(12562, 104566, 0),
(12563, 104567, 0),
(12564, 104570, 0),
(12565, 104576, 0),
(12566, 104578, 0),
(12567, 104586, 0),
(12568, 104588, 0.3),
(12569, 104591, 0),
(12573, 104641, 0.2),
(12571, 104600, 0.5),
(12572, 104611, 0.2),
(12574, 104642, 1),
(12575, 104643, 3),
(12576, 104648, 1),
(12577, 104650, 1),
(12578, 104651, 0.2),
(12579, 104652, 0.2),
(12580, 104653, 0.2),
(12581, 104661, 0),
(12582, 104662, 0),
(12583, 104663, 0.4),
(12584, 104664, 0.2),
(12585, 104665, 0.2),
(12586, 104666, 0.2),
(12587, 104667, 0.3),
(12588, 104668, 2),
(12589, 104669, 0.2),
(12590, 104670, 0.2),
(12591, 104676, 0.1),
(12592, 104677, 0.4),
(12593, 104678, 0.5),
(12594, 104679, 0.6),
(12595, 104680, 0.2),
(12596, 104681, 0.8),
(12597, 104682, 0.6),
(12598, 104683, 0.5),
(12599, 104684, 0.1),
(12600, 104699, 0),
(12601, 104700, 0),
(12602, 104701, 0),
(12603, 104702, 0),
(12604, 104703, 0),
(12605, 104704, 0),
(12606, 104705, 0),
(12607, 104706, 0),
(12608, 104707, 0),
(12609, 104708, 0),
(12610, 104709, 0.2),
(12611, 104710, 0),
(12612, 104711, 0),
(12613, 104712, 0),
(12614, 104713, 0),
(12615, 104714, 0),
(12616, 104715, 0),
(12617, 104716, 0),
(12618, 104717, 0),
(12619, 104718, 0),
(12620, 104719, 0),
(12621, 104721, 0),
(12622, 104722, 0),
(12623, 104724, 0),
(12624, 104725, 0),
(12625, 104726, 0),
(12626, 104728, 0),
(12627, 104729, 0),
(12628, 104730, 0),
(12629, 104731, 0),
(12630, 104732, 0),
(12631, 104733, 0),
(12632, 104734, 0.3),
(12633, 104735, 0),
(12634, 104736, 0),
(12635, 104737, 0),
(12636, 104738, 1),
(12637, 104739, 0),
(12646, 104756, 0),
(12639, 104741, 0),
(12640, 104745, 0),
(12641, 104747, 0),
(12642, 104749, 0.3),
(12643, 104751, 0),
(12657, 104985, 0),
(12648, 104758, 0),
(12649, 104759, 0),
(12650, 104760, 0),
(12651, 104868, 1),
(12652, 104869, 1),
(12656, 104984, 0),
(12655, 104923, 1),
(12658, 104987, 1.2),
(12659, 104996, 2),
(12660, 104997, 2),
(12661, 104998, 2),
(12725, 105144, 0),
(12726, 105153, 0),
(12788, 105268, 1),
(12665, 105003, 2),
(12666, 105004, 1),
(12667, 105007, 0.75),
(12668, 105010, 0.2),
(12669, 105011, 0.5),
(12670, 105016, 1),
(12671, 105012, 0.1),
(12672, 105017, 0.3),
(12673, 105018, 1),
(12674, 105019, 0.2),
(12675, 105031, 2),
(12676, 105035, 1),
(12677, 105036, 0.5),
(12678, 105037, 2),
(12679, 105038, 2),
(12680, 105039, 2),
(12681, 105041, 0),
(12682, 105042, 0),
(12683, 105055, 0),
(12684, 105056, 0.6),
(12685, 105057, 0.4),
(12686, 105058, 0.5),
(12687, 105063, 1),
(12688, 105065, 0.2),
(12689, 105066, 0),
(12690, 105067, 0),
(12691, 105068, 0),
(12924, 105571, 0.2),
(12693, 105070, 0),
(12694, 105071, 0.7),
(12696, 105073, 0),
(12697, 105074, 0),
(12698, 105075, 0),
(12702, 105087, 1),
(12700, 105077, 0),
(12721, 105122, 2),
(12722, 105123, 1),
(12723, 105124, 2),
(12724, 105140, 0),
(14340, 110106, 1),
(12708, 105099, 1),
(12709, 105100, 1),
(12710, 105101, 1),
(12711, 105107, 0.5),
(12712, 105110, 2),
(12713, 105112, 2),
(12714, 105113, 2),
(12715, 105114, 1.5),
(12716, 105117, 2),
(12717, 105118, 2),
(12718, 105119, 2),
(12719, 105120, 2),
(12720, 105121, 2),
(12727, 105154, 1.2),
(12728, 105155, 0.2),
(12729, 105156, 0.4),
(12730, 105157, 1),
(12972, 105626, 0),
(12732, 105159, 3),
(12733, 105162, 0),
(12734, 105163, 0),
(12735, 105164, 0),
(12736, 105182, 1),
(12787, 105267, 2),
(12738, 105184, 1),
(12739, 105185, 1),
(12740, 105193, 0.25),
(12741, 105194, 1),
(12742, 105196, 0),
(12743, 105198, 0),
(12744, 105199, 0),
(12745, 105201, 2),
(12746, 105202, 2),
(12784, 105264, 2),
(12781, 105260, 0.2),
(12749, 105209, 2),
(12750, 105210, 2),
(12752, 105212, 2),
(12783, 105263, 2),
(12754, 105214, 1),
(12755, 105215, 1),
(12756, 105216, 2),
(12757, 105217, 2),
(12782, 105261, 0.2),
(12759, 105238, 2),
(12760, 105239, 2),
(12786, 105266, 2),
(12762, 105241, 2),
(12763, 105242, 2),
(12764, 105243, 2),
(12765, 105244, 0.5),
(12785, 105265, 2),
(12767, 105246, 2),
(12768, 105247, 2),
(12769, 105248, 2),
(12770, 105249, 2),
(12771, 105250, 2),
(12772, 105251, 2),
(12773, 105252, 2),
(12774, 105253, 2),
(12775, 105254, 2),
(12776, 105255, 1),
(12777, 105256, 1),
(12778, 105257, 0.1),
(12779, 105258, 0.4),
(12780, 105259, 2),
(12789, 105278, 0.75),
(12790, 105279, 0.5),
(12791, 105280, 0.5),
(12792, 105281, 1),
(12793, 105282, 4),
(12794, 105288, 0.5),
(12795, 105289, 0.75),
(12796, 105290, 1),
(12797, 105291, 1),
(12798, 105294, 0),
(12799, 105295, 0),
(12800, 105296, 0),
(12801, 105297, 0),
(12802, 105301, 1),
(12803, 105302, 0.2),
(12804, 105303, 3),
(12805, 105353, 2),
(12806, 105354, 1),
(12807, 105363, 1),
(12808, 105364, 1),
(12809, 105373, 0),
(12810, 105374, 0),
(12811, 105375, 0),
(12812, 105376, 0),
(12813, 105377, 0),
(12814, 105378, 0),
(12815, 105379, 0),
(12816, 105380, 0),
(12817, 105381, 0),
(12818, 105382, 0),
(12819, 105383, 0),
(12820, 105384, 0),
(12821, 105385, 0),
(12822, 105386, 0),
(12823, 105387, 0),
(12824, 105388, 0),
(12825, 105389, 1),
(12826, 105390, 0.2),
(12827, 105391, 2),
(12828, 105392, 1),
(12829, 105398, 1),
(12830, 105400, 1),
(12831, 105404, 3),
(12832, 105405, 0.3),
(12833, 105406, 0),
(12834, 105409, 0),
(12835, 105410, 0),
(12836, 105414, 1),
(12837, 105415, 1),
(12838, 105421, 1),
(12839, 105422, 1),
(12840, 105423, 1),
(12841, 105424, 1),
(12842, 105425, 1),
(12843, 105426, 1),
(12844, 105427, 1),
(12845, 105428, 1),
(12846, 105429, 2),
(12847, 105430, 2),
(12848, 105431, 2),
(12849, 105432, 1),
(12850, 105433, 1),
(12851, 105434, 1),
(12852, 105435, 1),
(12853, 105437, 1),
(12854, 105443, 0.5),
(12855, 105446, 0.75),
(12856, 105447, 0.5),
(12857, 105448, 2),
(12858, 105449, 0.25),
(12859, 105450, 0.75),
(12860, 105451, 2),
(12861, 105452, 0.5),
(12862, 105453, 0.75),
(12863, 105454, 1),
(12864, 105455, 1),
(12865, 105456, 1),
(12866, 105457, 0.3),
(12867, 105458, 1),
(12868, 105459, 0),
(12869, 105460, 1),
(12870, 105461, 1),
(12871, 105462, 1),
(12872, 105463, 1),
(12873, 105464, 0.5),
(12874, 105465, 1),
(12875, 105466, 1),
(12876, 105467, 1),
(12877, 105469, 1),
(12878, 105470, 2),
(12879, 105471, 2),
(12880, 105472, 2),
(12881, 105473, 0.5),
(12882, 105474, 1),
(12883, 105475, 1),
(12884, 105476, 1),
(12885, 105477, 1),
(12886, 105478, 1),
(12887, 105479, 1),
(12888, 105480, 2),
(12889, 105484, 1),
(12890, 105485, 1),
(12891, 105486, 1),
(13501, 107507, 2),
(12893, 105488, 1),
(12894, 105489, 1),
(12895, 105490, 2),
(12896, 105491, 3),
(12897, 105502, 2),
(12898, 105503, 2),
(12923, 105570, 1),
(12901, 105517, 1),
(12922, 105569, 1),
(12903, 105519, 1),
(12904, 105520, 1),
(12905, 105521, 1),
(12989, 105659, 0.7),
(12907, 105523, 1),
(12908, 105524, 1),
(12909, 105525, 1),
(12910, 105526, 1),
(12911, 105527, 1),
(12912, 105528, 1),
(12913, 105529, 0),
(12914, 105530, 0),
(12915, 105532, 0),
(13009, 105714, 1),
(12917, 105549, 1),
(12918, 105552, 0.5),
(12919, 105553, 1),
(12920, 105555, 1),
(13283, 106666, 1),
(12925, 105572, 0.3),
(12926, 105573, 0.1),
(12927, 105574, 0.1),
(12928, 105575, 0.2),
(12929, 105576, 0.4),
(12930, 105577, 0.2),
(12931, 105579, 1),
(12932, 105580, 0.5),
(12933, 105581, 0.2),
(12934, 105582, 0.3),
(12935, 105584, 2),
(12936, 105585, 0.4),
(12937, 105586, 0.8),
(12938, 105587, 0.7),
(12939, 105588, 1),
(12940, 105589, 0.25),
(12941, 105590, 0.2),
(12942, 105591, 0.2),
(12943, 105592, 0),
(12944, 105593, 0.25),
(12945, 105595, 1),
(12946, 105596, 0),
(12947, 105597, 0),
(12948, 105599, 0),
(12949, 105601, 1),
(12950, 105602, 0.5),
(12951, 105603, 1),
(12952, 105604, 0.5),
(12953, 105605, 0.5),
(12954, 105606, 1),
(12961, 105615, 0),
(12956, 105610, 0),
(12957, 105611, 0),
(12958, 105612, 0),
(12960, 105614, 0),
(12962, 105616, 0),
(12963, 105617, 2),
(12964, 105618, 0),
(12965, 105619, 0),
(12966, 105620, 0),
(12968, 105622, 0),
(12969, 105623, 0),
(12970, 105624, 0),
(12971, 105625, 0),
(12973, 105627, 0),
(12974, 105628, 0),
(12975, 105629, 0.2),
(12976, 105630, 3),
(12977, 105631, 0),
(12978, 105632, 0),
(12979, 105633, 0.2),
(12980, 105634, 0.2),
(12981, 105635, 0.5),
(12982, 105642, 0.2),
(12983, 105643, 1),
(12984, 105648, 0),
(12985, 105649, 0),
(12986, 105650, 0),
(12987, 105651, 0),
(12988, 105652, 2),
(12990, 105660, 0.5),
(12991, 105662, 0.2),
(12992, 105665, 1),
(12993, 105669, 0.25),
(12994, 105677, 1),
(12996, 105684, 2),
(12997, 105690, 0),
(12998, 105691, 0),
(12999, 105694, 0),
(13000, 105695, 0),
(13001, 105696, 0),
(13002, 105697, 0),
(13003, 105699, 0),
(13004, 105701, 0),
(13005, 105702, 0),
(13006, 105703, 0),
(13007, 105705, 0),
(13008, 105713, 2),
(13010, 105715, 1),
(13011, 105716, 1),
(13012, 105717, 1),
(13013, 105718, 1),
(13014, 105733, 2),
(13015, 105734, 1),
(13016, 105735, 0.1),
(13017, 105736, 0.5),
(13018, 105749, 0.2),
(13019, 105760, 0.2),
(13022, 105769, 2),
(13023, 105770, 0),
(13024, 105771, 0),
(13025, 105772, 0),
(13026, 105773, 0),
(13027, 105774, 0),
(13028, 105775, 0),
(13029, 105776, 0),
(13030, 105777, 0),
(13031, 105781, 0),
(13032, 105782, 0),
(13033, 105783, 0),
(13034, 105784, 0),
(13035, 105785, 0),
(13036, 105786, 0),
(13037, 105787, 0),
(13038, 105788, 0),
(13039, 105789, 0),
(13040, 105790, 0),
(13041, 105791, 0),
(13042, 105792, 0),
(13043, 105805, 1),
(13044, 105806, 0),
(13045, 105807, 0),
(13046, 105808, 0),
(13047, 105809, 0),
(13048, 105810, 0),
(13049, 105811, 0),
(13050, 105812, 0),
(13051, 105813, 0),
(13052, 105814, 0),
(13053, 105824, 2),
(13054, 105835, 0),
(13055, 105836, 0),
(13056, 105837, 0),
(13057, 105838, 0),
(13058, 105839, 0),
(13059, 105840, 0),
(13060, 105841, 0),
(13061, 105843, 0),
(13062, 105844, 0),
(13063, 105850, 1),
(13064, 105870, 0),
(13065, 105872, 0),
(13066, 105893, 0),
(13067, 105914, 0),
(13068, 105915, 0),
(13069, 105916, 0),
(13070, 105917, 0),
(13071, 105918, 0),
(13072, 105919, 0),
(13386, 106941, 0.5),
(13074, 105939, 0),
(13075, 105952, 2),
(13076, 105955, 0.5),
(13077, 105956, 1),
(13078, 105957, 0.6),
(13079, 105959, 0.2),
(13080, 105985, 2),
(13081, 106025, 0.6),
(13082, 106027, 0.2),
(13083, 106037, 0),
(13084, 106075, 0.5),
(13085, 106134, 2),
(13086, 106142, 1),
(13087, 106143, 1),
(13088, 106145, 1),
(13089, 106146, 1),
(13090, 106147, 1),
(13092, 106186, 0),
(13093, 106187, 0),
(13094, 106207, 2),
(13095, 106208, 2),
(13096, 106261, 0.2),
(13097, 106262, 2),
(13098, 106263, 0.7),
(13099, 106266, 0.1),
(13100, 106268, 1),
(13101, 106269, 1),
(13147, 106361, 1),
(13103, 106271, 1),
(13104, 106272, 1),
(13105, 106273, 1),
(13134, 106314, 0.5),
(13275, 106658, 2),
(13132, 106311, 1),
(13277, 106660, 2),
(13276, 106659, 2),
(13123, 106300, 1),
(13126, 106303, 0),
(13125, 106302, 0),
(13127, 106305, 0.5),
(13136, 106316, 1),
(13137, 106317, 1),
(13272, 106655, 0.3),
(13279, 106662, 2),
(13143, 106354, 1),
(13144, 106355, 1),
(13145, 106357, 0.5),
(13146, 106360, 1),
(13148, 106362, 0.7),
(13149, 106363, 0.6),
(13150, 106364, 1),
(13151, 106372, 0),
(13152, 106373, 0),
(13154, 106375, 1),
(13156, 106377, 2),
(13157, 106427, 2),
(13162, 106436, 0),
(13159, 106432, 0),
(13160, 106433, 0),
(13163, 106437, 0),
(13164, 106483, 1.5),
(13165, 106484, 0.2),
(13166, 106486, 2),
(13167, 106489, 0.5),
(13168, 106490, 0.1),
(13169, 106500, 0.1),
(13170, 106501, 0.7),
(13171, 106502, 0.2),
(13172, 106503, 1),
(13173, 106504, 1),
(13175, 106506, 1),
(13176, 106507, 0),
(13177, 106508, 0),
(13178, 106509, 0),
(13179, 106510, 0),
(13180, 106511, 0),
(13181, 106512, 0.3),
(13182, 106513, 0.4),
(13183, 106514, 0.1),
(13184, 106515, 0.3),
(13185, 106516, 0.3),
(13186, 106517, 0.2),
(13187, 106518, 1),
(13188, 106520, 0.3),
(13189, 106521, 1),
(13190, 106522, 1),
(13191, 106523, 1),
(13198, 106539, 0.2),
(13193, 106525, 1),
(13194, 106526, 1),
(13195, 106527, 1),
(13196, 106537, 1),
(13197, 106538, 0.2),
(13199, 106540, 0.5),
(13200, 106542, 0.2),
(13201, 106544, 0.2),
(13202, 106547, 1),
(13203, 106551, 0.2),
(13204, 106552, 0.5),
(13205, 106553, 0.5),
(13206, 106557, 1.5),
(13207, 106558, 0.5),
(13210, 106561, 0),
(13209, 106560, 0),
(13211, 106569, 0.3),
(13212, 106570, 0),
(13213, 106574, 0),
(13214, 106575, 0),
(13215, 106576, 0),
(13216, 106577, 4),
(13343, 106820, 0.25),
(13218, 106581, 0),
(13219, 106583, 0),
(13220, 106585, 0),
(13221, 106588, 0),
(13222, 106590, 0),
(13558, 107632, 1),
(13559, 107636, 1),
(13557, 107631, 1),
(13226, 106603, 1),
(13227, 106604, 0.5),
(13231, 106608, 1),
(13232, 106609, 1),
(13234, 106611, 1),
(13236, 106613, 1),
(13237, 106614, 1),
(13238, 106615, 1),
(13239, 106616, 1),
(13240, 106617, 1),
(13241, 106618, 1),
(13242, 106623, 1),
(13243, 106624, 1),
(13244, 106625, 1),
(13245, 106626, 1),
(13246, 106627, 1),
(13247, 106628, 2),
(13248, 106629, 2),
(13249, 106630, 1),
(13250, 106631, 1),
(13254, 106635, 1),
(13252, 106633, 1),
(13253, 106634, 1),
(13255, 106636, 1),
(13256, 106637, 1),
(13257, 106638, 1),
(13258, 106639, 1),
(13259, 106640, 0.5),
(13261, 106642, 2),
(13262, 106643, 0.5),
(13263, 106644, 1),
(13264, 106647, 1),
(13265, 106648, 1),
(13266, 106649, 1),
(13267, 106650, 0.2),
(13268, 106651, 1),
(13269, 106652, 1),
(13270, 106653, 2),
(13271, 106654, 2),
(13273, 106656, 2),
(13274, 106657, 2),
(13278, 106661, 2),
(13280, 106663, 2),
(13281, 106664, 2),
(13282, 106665, 2),
(13284, 106667, 2),
(13285, 106668, 2),
(13286, 106670, 1),
(13287, 106702, 1),
(13288, 106703, 0.5),
(13289, 106704, 1),
(13290, 106706, 1),
(13291, 106707, 1),
(13293, 106711, 1),
(13294, 106712, 1),
(13299, 106718, 1),
(13296, 106714, 1),
(13297, 106715, 1),
(13298, 106716, 0.5),
(13300, 106719, 0.5),
(13301, 106720, 1),
(13302, 106721, 1),
(13303, 106722, 1),
(13304, 106723, 1),
(13305, 106724, 0.5),
(13306, 106725, 1),
(13307, 106733, 0),
(13308, 106736, 0),
(13309, 106737, 1),
(13310, 106738, 0),
(13311, 106739, 0),
(13312, 106740, 0),
(13313, 106741, 0),
(13318, 106760, 1),
(13315, 106747, 1),
(13316, 106756, 1),
(13317, 106759, 1),
(13549, 107623, 0),
(13321, 106773, 1),
(13551, 107625, 1),
(13323, 106776, 1),
(13324, 106783, 0),
(13325, 106784, 0),
(13326, 106788, 0),
(13327, 106789, 0.3),
(13328, 106790, 0.2),
(13329, 106791, 0.5),
(13330, 106792, 1),
(13331, 106793, 1),
(13332, 106794, 1),
(13334, 106796, 2),
(13335, 106800, 2),
(13336, 106801, 2),
(13337, 106802, 2),
(13338, 106803, 2),
(13339, 106804, 2),
(13340, 106806, 2),
(13341, 106808, 2),
(13342, 106814, 2),
(13344, 106821, 0.2),
(13345, 106822, 0.3),
(13346, 106823, 0.05),
(13347, 106824, 0.15),
(13348, 106827, 2),
(13349, 106830, 0.75),
(13350, 106831, 0.75),
(13351, 106832, 0.5),
(13352, 106833, 1),
(13353, 106834, 0.5),
(13354, 106835, 1),
(13355, 106846, 0.25),
(13356, 106847, 0.25),
(13357, 106849, 0.25),
(13358, 106850, 0.25),
(13359, 106851, 0.25),
(13361, 106853, 0.75),
(13362, 106854, 1),
(13363, 106855, 1),
(13364, 106856, 1),
(13365, 106857, 1),
(13366, 106858, 1),
(13367, 106859, 1),
(13368, 106860, 0.75),
(13369, 106861, 0.5),
(13370, 106862, 2),
(13371, 106863, 2),
(13372, 106870, 1),
(13373, 106873, 1),
(13374, 106874, 1),
(13375, 106876, 0),
(13376, 106889, 0),
(13377, 106890, 0),
(13378, 106903, 0),
(13379, 106904, 0),
(13385, 106910, 0),
(13384, 106909, 0),
(13387, 106942, 0.9),
(13388, 106948, 2),
(13389, 106949, 2),
(13555, 107629, 1),
(13391, 106995, 1),
(13392, 107024, 0),
(13393, 107025, 0),
(13394, 107026, 0),
(13395, 107027, 0),
(13396, 107028, 0),
(13397, 107029, 0),
(13398, 107030, 0),
(13399, 107031, 0),
(13400, 107046, 2),
(13401, 107130, 0),
(13402, 107140, 0),
(13403, 107141, 0),
(13404, 107142, 0),
(13405, 107143, 0),
(13406, 107144, 0),
(13407, 107146, 0),
(13408, 107147, 0),
(13409, 107151, 0),
(13410, 107152, 0),
(13411, 107155, 0),
(13412, 107156, 0),
(13413, 107157, 0),
(13414, 107158, 0),
(13415, 107164, 0.5),
(13416, 107165, 1.5);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(13417, 107167, 0.2),
(13418, 107168, 0.5),
(13419, 107170, 0.2),
(13420, 107177, 0.1),
(13421, 107178, 0.3),
(13422, 107194, 0.15),
(13423, 107196, 0.5),
(13424, 107198, 0.2),
(13425, 107236, 0),
(13429, 107241, 0),
(13427, 107239, 0),
(13428, 107240, 0),
(13430, 107242, 0),
(13431, 107243, 0),
(13432, 107252, 0),
(13433, 107253, 0),
(13434, 107254, 0),
(13435, 107255, 0),
(13436, 107256, 0),
(13437, 107257, 0),
(13438, 107258, 0),
(13439, 107259, 0),
(13440, 107260, 0),
(13441, 107261, 0),
(13442, 107277, 0),
(13443, 107278, 0),
(13444, 107279, 0),
(13445, 107280, 0),
(13446, 107281, 0),
(13447, 107282, 0),
(13448, 107283, 0),
(13449, 107357, 1),
(13450, 107376, 0.5),
(13451, 107381, 0),
(13452, 107382, 0),
(13453, 107383, 0),
(13454, 107384, 0.5),
(13455, 107385, 1),
(13456, 107386, 2),
(13457, 107387, 2),
(13458, 107389, 2),
(13459, 107392, 0),
(13460, 107393, 0),
(13461, 107402, 0),
(13464, 107405, 0),
(13463, 107404, 0),
(13465, 107406, 0),
(13466, 107408, 0),
(13467, 107409, 0),
(13468, 107411, 0),
(13548, 107622, 0),
(13470, 107419, 1),
(13471, 107420, 1),
(13472, 107421, 0),
(13473, 107432, 2),
(13474, 107434, 1),
(13475, 107435, 2),
(13476, 107436, 0.5),
(13477, 107438, 1),
(13478, 107439, 1),
(13479, 107441, 1),
(13480, 107444, 1),
(13481, 107460, 2),
(13482, 107465, 1),
(13483, 107466, 0),
(13484, 107467, 0),
(13485, 107468, 0.7),
(13487, 107470, 1),
(13488, 107474, 0),
(13489, 107479, 0.2),
(13490, 107480, 0.5),
(13491, 107481, 0.1),
(13492, 107482, 0.4),
(13493, 107484, 1),
(13494, 107485, 2),
(13495, 107486, 1),
(13496, 107487, 0),
(13497, 107488, 0),
(13498, 107489, 1),
(13499, 107490, 0.3),
(13500, 107491, 0),
(13502, 107513, 2),
(13503, 107514, 2),
(13504, 107515, 2),
(13505, 107520, 1),
(13506, 107522, 1),
(13507, 107524, 1),
(13508, 107530, 0),
(13509, 107531, 1),
(13510, 107532, 1),
(13511, 107534, 0),
(13512, 107543, 0),
(13513, 107552, 13),
(13514, 107566, 0),
(13515, 107567, 0),
(13516, 107568, 0),
(13517, 107569, 0),
(13518, 107570, 0),
(13519, 107571, 0),
(13520, 107572, 0),
(13521, 107573, 0),
(13522, 107574, 0.2),
(13523, 107583, 0),
(13524, 107588, 0),
(13525, 107589, 0),
(13526, 107590, 0),
(13527, 107591, 0),
(13528, 107592, 0),
(13529, 107593, 0),
(13530, 107594, 0),
(13531, 107595, 0),
(13532, 107596, 0),
(13533, 107597, 0),
(13534, 107598, 0),
(13535, 107602, 0),
(13536, 107607, 0),
(13537, 107608, 0),
(13538, 107609, 0),
(13539, 107610, 0),
(13540, 107611, 0),
(13541, 107612, 0),
(13542, 107613, 0),
(13543, 107614, 0),
(13552, 107626, 0),
(13545, 107616, 0),
(13546, 107617, 0),
(13547, 107621, 0),
(13556, 107630, 0),
(13553, 107627, 0),
(13554, 107628, 0),
(13560, 107637, 1),
(13561, 107638, 2),
(13562, 107640, 2),
(13563, 107642, 2),
(13564, 107643, 2),
(13565, 107645, 1),
(13566, 107646, 1),
(13567, 107647, 1),
(13568, 107649, 1),
(13569, 107664, 1),
(13570, 107665, 1),
(13787, 108506, 0),
(13572, 107667, 1),
(13573, 107668, 2),
(13574, 107671, 1),
(13575, 107674, 5),
(13576, 107675, 1),
(13577, 107685, 1),
(13578, 107686, 1),
(13579, 107687, 0.8),
(13580, 107688, 0.1),
(13581, 107689, 0.4),
(13582, 107690, 2),
(13583, 107691, 2),
(13585, 107693, 2),
(13586, 107694, 2),
(13587, 107696, 1),
(13588, 107697, 1),
(13589, 107698, 1),
(13590, 107699, 1),
(13591, 107700, 1),
(13592, 107701, 1),
(13593, 107702, 1),
(13594, 107703, 1),
(13595, 107704, 2),
(13596, 107706, 1),
(13597, 107707, 0.75),
(13598, 107708, 2),
(13599, 107709, 2),
(13600, 107710, 2),
(13601, 107711, 2),
(13602, 107712, 0.5),
(13603, 107713, 1),
(13604, 107714, 2),
(13605, 107715, 1),
(13606, 107716, 0.5),
(13607, 107717, 1),
(13608, 107718, 2),
(13609, 107719, 1),
(13610, 107720, 1),
(13611, 107731, 1),
(13612, 107732, 1),
(13613, 107733, 1),
(13614, 107734, 1),
(13615, 107735, 2),
(13616, 107736, 2),
(13617, 107737, 2),
(13618, 107738, 2),
(13619, 107739, 2),
(13620, 107740, 1),
(13621, 107741, 2),
(13622, 107742, 2),
(13623, 107743, 2),
(13624, 107744, 2),
(13625, 107745, 2),
(13626, 107746, 1),
(13627, 107747, 1),
(13628, 107748, 1),
(13629, 107749, 0.5),
(13630, 107750, 1),
(13631, 107752, 0.75),
(13632, 107756, 0),
(13633, 107761, 0),
(13634, 107762, 0),
(13635, 107763, 0),
(14037, 109099, 0),
(13637, 107765, 0.5),
(13638, 107766, 2),
(13639, 107767, 1),
(13640, 107768, 1),
(13641, 107769, 1),
(13642, 107770, 1),
(13643, 107771, 2),
(13644, 107774, 1),
(13645, 107775, 1),
(13646, 107776, 1),
(13647, 107777, 1),
(13648, 107778, 1),
(13649, 107779, 1),
(13650, 107780, 1),
(13651, 107781, 2),
(13652, 107784, 0.8),
(13653, 107792, 1),
(13654, 107793, 2),
(13667, 107865, 2),
(13656, 107797, 2),
(13657, 107799, 2),
(13658, 107809, 0),
(13659, 107828, 2),
(13660, 107829, 2),
(13661, 107830, 2),
(13662, 107831, 2),
(13663, 107832, 2),
(13664, 107861, 0.4),
(13665, 107862, 0.5),
(13666, 107864, 0.7),
(13668, 107868, 1),
(13669, 107869, 0.5),
(13670, 107870, 1),
(13671, 107928, 1),
(13672, 107929, 1),
(13673, 107930, 1),
(13674, 107931, 1),
(13675, 107932, 1),
(13676, 107933, 1),
(13677, 107934, 0.5),
(13678, 108004, 0.4),
(13679, 108006, 0.5),
(13680, 108012, 0.3),
(13681, 108015, 1),
(13682, 108016, 0),
(13683, 108017, 0.2),
(13684, 108018, 0),
(13685, 108019, 0),
(14130, 109605, 1),
(13687, 108022, 0),
(13688, 108023, 0),
(13689, 108024, 0),
(13690, 108025, 0),
(13691, 108026, 0),
(14351, 110218, 0),
(14352, 110219, 0),
(13694, 108029, 0),
(13695, 108031, 0),
(13696, 108032, 0),
(13697, 108033, 0),
(13698, 108034, 0),
(13699, 108035, 0),
(13700, 108036, 0),
(13701, 108037, 0),
(13702, 108046, 0),
(13703, 108115, 0),
(13704, 108121, 0),
(13705, 108122, 0),
(13706, 108134, 0),
(13707, 108135, 0),
(13708, 108136, 0),
(13709, 108137, 0),
(13710, 108138, 0),
(13711, 108153, 1),
(13712, 108154, 1),
(13713, 108155, 1),
(13782, 108495, 1),
(13715, 108157, 2),
(13716, 108160, 0),
(13717, 108161, 0),
(13718, 108165, 0),
(13719, 108166, 0),
(13720, 108167, 0),
(13721, 108168, 0),
(13722, 108169, 0),
(13723, 108170, 0),
(13724, 108197, 0.2),
(13725, 108198, 0.5),
(13726, 108269, 0.2),
(13727, 108270, 0.9),
(13728, 108286, 2),
(13729, 108291, 0),
(13730, 108293, 0),
(13731, 108294, 0),
(13732, 108295, 1),
(13734, 108300, 0),
(13735, 108301, 0.5),
(13736, 108302, 1),
(13737, 108303, 1),
(13738, 108304, 0.5),
(13739, 108305, 1),
(13740, 108308, 0),
(13741, 108316, 0),
(13742, 108319, 0),
(13743, 108324, 2),
(13744, 108351, 1),
(13745, 108352, 1),
(13746, 108353, 2),
(13747, 108355, 1),
(13748, 108356, 0.2),
(13749, 108357, 0.5),
(13750, 108358, 1),
(13751, 108362, 0),
(13752, 108363, 1),
(13753, 108364, 0.1),
(13754, 108367, 0.2),
(13755, 108371, 0),
(13756, 108372, 0),
(13757, 108373, 0),
(13758, 108387, 1),
(13855, 108747, 1),
(13761, 108396, 1),
(13762, 108397, 1),
(13763, 108398, 1),
(15378, 113538, 0),
(15377, 113537, 0),
(13766, 108416, 2),
(13767, 108453, 4),
(13768, 108454, 0.2),
(13769, 108467, 1),
(13770, 108468, 1),
(13771, 108469, 1),
(13772, 108470, 1),
(13773, 108471, 1),
(13774, 108472, 0.2),
(13775, 108473, 0.5),
(13776, 108474, 1),
(13777, 108475, 1),
(13778, 108476, 1),
(13779, 108477, 0.6),
(13780, 108482, 0.5),
(13785, 108502, 0),
(13784, 108497, 1),
(13788, 108507, 2),
(13789, 108508, 0),
(14144, 109678, 0),
(14132, 109607, 1),
(13792, 108511, 0),
(13793, 108517, 1),
(13794, 108519, 2),
(13795, 108520, 0.6),
(13796, 108521, 0.1),
(13797, 108522, 0.5),
(13798, 108523, 0.5),
(13799, 108532, 0),
(13801, 108534, 1),
(13803, 108545, 0),
(13804, 108546, 0),
(13805, 108547, 0),
(13808, 108550, 0),
(13807, 108549, 0),
(13809, 108551, 0),
(13810, 108574, 2),
(13812, 108576, 2),
(13813, 108577, 2),
(13814, 108578, 1),
(13815, 108579, 0.5),
(13816, 108638, 0),
(13817, 108687, 2),
(13819, 108689, 0),
(13820, 108691, 1),
(13821, 108692, 0),
(13822, 108693, 1),
(13823, 108694, 0),
(13824, 108695, 2),
(13825, 108696, 2),
(13826, 108698, 1),
(13828, 108709, 0),
(13829, 108710, 0),
(13830, 108711, 0),
(13832, 108713, 0),
(13833, 108714, 0),
(13834, 108715, 0),
(13835, 108719, 0),
(13836, 108720, 0),
(13837, 108721, 0),
(13838, 108722, 0),
(13839, 108723, 0),
(13840, 108724, 0),
(14681, 111294, 2),
(13842, 108726, 0),
(13843, 108727, 0),
(13844, 108728, 0),
(13845, 108729, 1),
(13846, 108730, 0.1),
(13847, 108731, 0),
(13848, 108734, 0),
(13849, 108735, 0),
(13850, 108736, 0),
(13851, 108737, 0),
(13852, 108744, 2),
(13853, 108745, 2),
(13854, 108746, 1),
(13856, 108748, 1),
(13857, 108749, 0.4),
(13858, 108750, 1),
(13859, 108751, 0.2),
(13860, 108752, 0.3),
(13861, 108753, 0.1),
(13862, 108754, 0.5),
(13863, 108755, 1),
(13864, 108756, 0.75),
(13865, 108757, 1),
(13866, 108758, 1),
(13867, 108760, 1),
(13868, 108761, 1),
(13869, 108769, 1),
(13870, 108770, 1),
(13871, 108771, 1),
(13872, 108772, 1),
(13873, 108773, 1),
(13874, 108774, 1),
(13875, 108775, 1),
(13876, 108776, 1),
(13877, 108777, 2),
(13878, 108779, 2),
(13879, 108780, 1.2),
(13880, 108781, 2),
(13881, 108782, 0),
(13882, 108783, 2),
(13883, 108784, 2),
(13884, 108785, 1),
(13885, 108786, 1),
(13886, 108787, 1),
(13887, 108788, 1),
(13888, 108789, 0),
(13889, 108790, 1),
(13890, 108792, 1),
(13891, 108793, 0),
(13892, 108795, 0.75),
(13893, 108796, 0.5),
(13894, 108797, 1),
(13895, 108798, 0),
(13896, 108799, 1),
(13897, 108800, 1),
(13898, 108801, 1),
(13899, 108802, 1),
(13900, 108803, 1),
(13901, 108804, 1),
(13902, 108805, 1),
(13903, 108806, 0),
(13904, 108807, 0),
(13905, 108808, 1),
(13906, 108809, 0.25),
(13907, 108812, 0),
(13908, 108813, 0),
(13909, 108814, 0),
(13910, 108815, 0),
(13911, 108823, 2),
(13912, 108824, 2),
(13913, 108829, 2),
(13914, 108832, 2),
(13915, 108846, 2),
(13916, 108848, 1),
(13917, 108849, 1),
(13918, 108850, 1),
(13919, 108851, 1),
(13920, 108852, 1),
(13921, 108853, 2),
(13922, 108854, 1),
(13923, 108855, 1),
(13924, 108856, 1),
(13925, 108857, 1),
(13926, 108861, 1),
(14140, 109636, 2),
(14230, 109856, 1),
(14138, 109634, 0.5),
(13930, 108869, 2),
(13931, 108871, 2),
(13932, 108877, 2),
(13933, 108878, 1),
(13934, 108879, 1),
(13935, 108880, 1.5),
(13936, 108881, 0.5),
(13937, 108887, 1),
(13938, 108888, 1),
(13939, 108891, 1),
(13941, 108893, 0.5),
(13942, 108894, 1),
(13943, 108895, 1),
(13944, 108896, 1),
(13945, 108897, 1),
(13946, 108898, 1),
(13947, 108899, 1),
(13948, 108900, 0.75),
(13949, 108901, 1),
(13950, 108903, 1),
(13951, 108904, 1),
(13952, 108905, 1),
(13953, 108906, 1),
(13954, 108907, 1),
(13955, 108908, 1),
(13956, 108909, 1),
(13957, 108910, 1),
(13958, 108911, 1),
(13959, 108912, 1),
(13960, 108913, 1),
(13961, 108914, 1),
(13962, 108933, 0),
(14362, 110321, 0.5),
(15373, 113533, 0),
(15375, 113535, 0),
(13966, 108940, 0),
(13967, 108941, 4),
(13968, 108942, 4),
(13969, 108943, 4),
(13970, 108945, 2),
(13971, 108946, 1),
(13972, 108947, 2),
(13973, 108948, 2),
(13974, 108949, 2),
(13975, 108950, 2),
(13976, 108951, 1),
(13977, 108961, 1),
(13978, 108962, 1),
(13979, 108963, 1),
(13980, 108964, 1),
(13981, 108965, 1),
(13982, 108968, 2),
(13983, 108969, 2),
(13984, 108970, 2),
(13985, 108973, 2),
(13986, 108974, 1),
(13987, 108975, 1),
(13988, 108976, 1),
(13989, 108977, 1),
(13990, 108978, 1),
(13991, 108979, 1),
(13992, 108980, 1),
(13993, 108981, 1),
(13994, 108982, 2),
(13995, 108983, 2),
(13996, 108984, 2),
(13997, 108985, 1),
(13998, 108986, 1),
(13999, 108987, 0.5),
(14000, 108988, 1),
(14001, 108989, 1),
(14002, 108990, 1),
(14003, 108995, 0.2),
(14004, 108997, 0.5),
(14005, 109000, 0.1),
(14006, 109001, 0.4),
(14007, 109002, 1),
(14008, 109003, 1),
(14009, 109004, 1),
(14010, 109005, 0.2),
(14011, 109006, 0.5),
(14012, 109007, 0.4),
(14013, 109008, 0.6),
(14014, 109009, 0),
(14015, 109010, 0),
(14016, 109011, 0),
(14017, 109012, 0),
(14018, 109032, 2),
(14019, 109033, 2),
(14020, 109035, 2),
(14021, 109037, 1),
(14022, 109038, 2),
(14023, 109040, 2),
(14024, 109067, 2),
(14025, 109068, 2),
(14026, 109069, 2),
(14027, 109070, 2),
(14028, 109077, 1),
(14029, 109082, 1),
(14030, 109083, 1),
(14031, 109084, 1),
(14032, 109085, 2),
(14033, 109086, 1.6),
(14034, 109088, 0.5),
(14035, 109094, 0.1),
(14036, 109098, 0),
(14038, 109100, 0),
(14039, 109101, 0),
(14040, 109102, 0),
(14041, 109116, 0.1),
(14046, 109163, 0.9),
(14043, 109148, 0.2),
(14044, 109154, 1),
(14045, 109160, 0.8),
(14048, 109190, 0.3),
(14050, 109193, 0.1),
(14051, 109194, 0.2),
(14052, 109242, 3),
(14053, 109243, 1),
(14054, 109244, 0.2),
(14055, 109245, 0.2),
(14056, 109246, 0.2),
(14057, 109247, 0),
(14059, 109254, 0),
(14160, 109722, 0),
(14161, 109723, 0),
(14159, 109721, 0),
(14158, 109720, 0),
(14064, 109270, 0),
(14065, 109271, 1),
(14066, 109277, 0.4),
(14067, 109281, 0.8),
(14068, 109292, 0),
(14069, 109311, 0),
(14070, 109317, 0),
(14071, 109318, 0),
(14072, 109324, 0),
(14073, 109325, 0),
(14074, 109326, 0),
(14075, 109327, 0),
(14076, 109330, 0),
(14077, 109331, 0),
(14078, 109332, 0),
(14079, 109334, 0),
(14080, 109368, 1.5),
(14081, 109405, 1),
(14082, 109408, 0.2),
(14083, 109423, 0.2),
(14084, 109425, 0.5),
(14085, 109429, 0.3),
(14798, 111673, 0),
(14087, 109431, 0),
(14088, 109432, 0),
(14089, 109433, 0),
(14090, 109435, 0),
(14962, 112094, 1),
(14092, 109437, 0),
(14093, 109511, 2),
(14094, 109514, 0.5),
(14095, 109517, 0.2),
(14096, 109521, 0.5),
(14097, 109533, 2),
(14098, 109540, 1),
(14099, 109541, 1),
(14100, 109551, 0),
(14101, 109552, 0),
(14102, 109553, 0),
(14103, 109554, 0),
(14104, 109557, 0),
(14105, 109558, 1),
(14106, 109559, 1),
(14107, 109560, 0.6),
(14108, 109561, 0.5),
(14109, 109565, 0),
(14110, 109566, 0),
(14111, 109567, 0),
(14112, 109578, 1),
(14114, 109581, 0),
(14115, 109582, 0),
(14116, 109583, 0),
(14117, 109584, 0),
(14118, 109585, 4),
(14119, 109586, 0),
(14120, 109587, 0),
(14121, 109588, 0),
(14122, 109592, 0.5),
(14123, 109593, 0.75),
(14125, 109595, 0.5),
(14126, 109596, 0),
(14127, 109602, 0),
(14128, 109603, 0),
(14129, 109604, 0),
(14133, 109609, 1),
(14134, 109610, 0.5),
(14135, 109611, 0.5),
(14136, 109612, 0.4),
(14137, 109613, 0.7),
(14141, 109637, 2),
(14142, 109638, 2),
(14143, 109650, 2),
(14147, 109681, 0),
(14148, 109682, 0),
(14149, 109684, 0),
(14150, 109685, 0),
(14151, 109687, 0),
(14152, 109688, 0),
(14153, 109712, 2),
(14154, 109716, 0),
(14155, 109717, 0),
(14156, 109718, 0),
(14157, 109719, 0),
(14162, 109724, 0),
(14163, 109725, 0),
(14164, 109726, 0),
(14165, 109727, 0),
(14166, 109728, 0),
(14167, 109729, 1),
(14168, 109731, 0),
(14169, 109733, 1),
(14170, 109734, 0.5),
(14171, 109735, 1),
(14172, 109743, 0),
(14173, 109744, 0),
(14174, 109752, 0.3),
(14175, 109753, 0.3),
(14176, 109754, 1),
(14177, 109755, 1),
(14178, 109756, 1),
(14179, 109757, 0.5),
(14180, 109763, 0.1),
(14181, 109764, 0.5),
(14182, 109765, 1.6),
(14183, 109766, 0),
(14185, 109774, 0),
(14300, 109996, 0),
(14187, 109776, 0),
(14189, 109786, 2),
(14190, 109788, 0.25),
(14191, 109790, 0.5),
(14192, 109796, 1),
(14193, 109797, 0.75),
(14194, 109798, 1),
(14195, 109799, 1),
(14196, 109800, 1),
(14197, 109801, 0.75),
(14198, 109802, 0.5),
(14199, 109803, 2),
(14200, 109804, 2),
(14201, 109805, 0),
(14202, 109806, 2),
(14203, 109807, 1),
(14204, 109808, 1),
(14205, 109809, 1),
(14206, 109810, 1),
(14207, 109811, 1),
(14208, 109816, 1),
(14211, 109825, 2),
(14212, 109826, 2),
(14213, 109827, 2),
(14214, 109830, 2),
(14215, 109831, 0.25),
(14216, 109832, 1),
(14217, 109834, 1),
(14218, 109836, 1),
(14219, 109837, 1),
(14220, 109838, 1),
(14221, 109840, 1),
(14222, 109841, 1),
(14223, 109842, 1),
(14224, 109843, 1),
(14225, 109844, 1),
(14226, 109850, 1),
(14227, 109851, 1),
(14228, 109852, 1),
(14234, 109869, 1),
(14231, 109857, 0),
(14232, 109858, 2),
(14233, 109867, 1),
(14235, 109871, 1),
(14236, 109872, 1),
(14237, 109873, 1),
(14238, 109881, 1),
(14239, 109882, 1),
(14240, 109885, 1),
(14241, 109888, 1),
(14242, 109889, 4),
(14243, 109890, 4),
(14244, 109892, 2),
(14245, 109893, 1),
(14246, 109894, 1),
(14247, 109895, 1),
(14248, 109899, 1),
(14249, 109900, 1),
(14250, 109901, 1),
(14251, 109902, 1),
(14252, 109903, 1),
(14253, 109904, 1),
(14254, 109905, 2),
(14255, 109906, 1),
(14256, 109907, 1),
(14257, 109909, 1),
(14258, 109910, 0.5),
(14259, 109911, 1),
(14260, 109912, 1),
(14261, 109913, 0.5),
(14262, 109914, 0.6),
(14263, 109915, 0.2),
(14264, 109929, 1),
(14265, 109930, 2),
(14266, 109931, 1),
(14267, 109932, 2),
(14268, 109933, 1),
(14269, 109934, 2),
(14270, 109935, 1),
(14271, 109936, 2),
(14272, 109937, 2),
(14273, 109942, 1),
(14274, 109943, 1),
(14275, 109944, 0.5),
(14276, 109945, 0.5),
(14277, 109946, 0.5),
(14278, 109947, 1),
(14279, 109948, 0.5),
(14280, 109969, 2),
(14281, 109970, 2),
(14282, 109971, 0.25),
(14283, 109972, 2),
(14284, 109973, 2),
(14285, 109974, 1),
(14286, 109975, 0.75),
(14287, 109976, 1),
(14288, 109977, 1),
(14289, 109978, 1),
(14290, 109982, 1),
(14291, 109983, 1),
(14292, 109984, 1),
(14293, 109985, 1),
(14297, 109989, 1),
(14296, 109988, 1),
(14298, 109990, 1),
(14299, 109991, 1),
(14301, 109997, 0),
(14302, 109998, 0),
(14303, 109999, 0),
(14304, 110000, 0),
(14305, 110001, 0),
(14306, 110002, 0),
(14307, 110003, 0),
(14977, 112151, 0),
(14309, 110005, 0),
(14310, 110006, 0),
(14976, 112150, 0),
(14312, 110010, 0),
(14313, 110022, 0),
(14314, 110023, 0.5),
(14315, 110024, 2),
(14316, 110025, 2),
(14317, 110026, 2),
(14318, 110027, 2),
(14319, 110028, 2),
(14320, 110029, 2),
(14322, 110031, 2),
(14323, 110032, 2),
(14324, 110033, 0.5),
(15376, 113536, 0),
(15374, 113534, 0),
(14327, 110046, 3),
(14328, 110047, 0.2),
(14329, 110048, 0.5),
(14330, 110049, 0.8),
(14331, 110050, 0.2),
(14332, 110065, 0.1),
(14333, 110075, 0.1),
(14334, 110077, 1),
(14335, 110078, 0.4),
(14336, 110083, 2),
(14354, 110246, 0),
(14338, 110085, 0),
(14339, 110086, 1),
(14341, 110107, 1),
(14342, 110108, 1),
(14343, 110109, 1),
(14344, 110146, 0.2),
(14345, 110149, 0.5),
(14346, 110150, 0.4),
(14347, 110169, 0.2),
(14348, 110215, 0),
(14349, 110216, 0),
(14350, 110217, 0),
(14353, 110228, 2),
(14669, 111229, 1),
(14356, 110249, 0.3),
(14357, 108862, 1),
(14358, 108863, 1),
(14359, 108864, 1),
(14360, 110257, 1),
(14363, 110322, 0.4),
(14364, 110323, 0.3),
(14365, 110325, 0),
(14366, 110329, 0),
(14367, 110330, 0),
(14368, 110337, 0),
(14637, 111092, 0),
(14638, 111093, 0),
(14372, 110341, 0),
(14373, 110342, 0),
(14374, 110343, 0),
(14375, 110352, 0),
(14376, 110353, 0),
(14377, 110354, 0),
(14378, 110355, 0),
(14379, 110367, 0.2),
(14380, 110368, 0.5),
(14381, 110369, 1),
(14382, 110370, 0.3),
(14383, 110395, 0.5),
(14384, 110396, 0.5),
(14385, 110399, 0.5),
(14386, 110400, 0.5),
(14387, 110401, 0.5),
(14388, 110402, 0.5),
(14389, 110405, 0.6),
(14390, 110407, 0.7),
(14391, 110412, 2),
(14392, 110417, 2),
(14393, 110418, 1),
(14394, 110432, 2),
(14395, 110434, 0.2),
(14396, 110435, 1.5),
(14397, 110436, 0),
(14398, 110440, 0.5),
(14399, 110441, 1),
(14400, 110450, 1.5),
(14401, 110454, 0.5),
(14402, 110458, 1.6),
(14403, 110463, 0),
(14404, 110464, 1),
(14405, 110465, 2),
(14406, 110475, 0.2),
(14407, 110480, 1),
(14408, 110481, 1),
(14409, 110483, 1),
(14410, 110484, 2),
(14411, 110485, 0.6),
(14412, 110486, 1),
(14413, 110487, 1),
(14414, 110488, 1),
(14415, 110491, 0.2),
(14416, 110494, 0.5),
(14417, 110496, 0.1),
(14419, 110502, 0),
(14420, 110503, 0),
(14421, 110504, 0),
(14422, 110507, 0.2),
(14423, 110508, 2),
(14980, 112214, 2),
(14425, 110510, 2),
(14426, 110511, 2),
(14427, 110512, 2),
(14428, 110514, 1),
(14429, 110515, 1),
(14430, 110516, 1),
(14432, 110521, 0),
(14433, 110522, 0),
(14434, 110523, 0),
(14776, 111632, 0),
(14881, 111813, 0.75),
(14437, 110526, 0),
(14438, 110527, 0),
(14439, 110536, 2),
(14440, 110537, 2),
(14441, 110538, 1),
(14442, 110545, 2),
(14443, 110552, 2),
(14444, 110553, 0.3),
(14445, 110556, 1.5),
(14446, 110567, 1),
(14447, 110580, 1),
(14448, 110581, 1),
(14449, 110582, 1),
(14450, 110583, 1),
(14451, 110584, 0.2),
(14452, 110585, 2),
(14453, 110586, 2),
(14454, 110587, 2),
(14455, 110588, 0.2),
(14456, 110589, 0.1),
(14457, 110630, 1),
(14458, 110631, 1),
(14459, 110637, 0),
(14460, 110638, 1),
(14461, 110640, 2),
(14462, 110642, 1),
(14463, 110643, 1),
(14464, 110644, 1),
(14465, 110650, 2),
(14466, 110651, 2),
(14467, 110652, 1),
(14468, 110653, 0.5),
(14469, 110654, 1),
(14471, 110656, 1),
(14472, 110657, 1),
(14473, 110658, 1),
(14474, 110659, 1),
(14475, 110660, 1),
(14476, 110661, 1),
(14477, 110662, 1),
(14478, 110663, 2),
(14479, 110664, 1),
(14480, 110665, 1),
(14481, 110666, 1),
(14482, 110668, 1),
(14483, 110672, 1),
(14484, 110673, 0.5),
(14485, 110674, 0.25),
(14486, 110675, 0.5),
(14487, 110676, 0.5),
(14488, 110677, 0.5),
(14489, 110691, 2),
(14490, 110698, 1),
(14491, 110701, 0.25),
(14492, 110702, 2),
(14493, 110704, 2),
(14494, 110708, 1),
(14495, 110709, 1),
(14496, 110710, 1),
(14497, 110713, 4),
(14498, 110714, 4),
(14499, 110716, 4),
(14500, 110720, 4),
(14501, 110729, 2),
(14502, 110730, 2),
(14503, 110731, 2),
(14504, 110732, 2),
(14505, 110734, 1),
(14506, 110735, 0.2),
(14507, 110736, 0.2),
(14508, 110738, 0.1),
(14509, 110746, 1),
(14510, 110747, 0.5),
(14511, 110748, 2),
(14512, 110749, 1),
(14513, 110750, 1),
(14514, 110755, 0.5),
(14515, 110756, 1),
(14516, 110757, 1),
(14517, 110758, 1),
(14518, 110759, 2),
(14519, 110764, 2),
(14520, 110766, 2),
(14521, 110769, 1),
(14522, 110771, 1),
(14523, 110772, 1),
(14524, 110773, 1),
(14525, 110774, 0.5),
(14526, 110775, 1),
(14527, 110777, 1),
(14528, 110800, 0),
(14530, 110809, 0),
(14531, 110814, 0.5),
(14532, 110817, 1),
(14533, 110821, 0.5),
(14534, 110826, 1),
(14535, 110827, 2),
(14536, 110839, 0.75),
(14537, 110840, 1),
(14538, 110841, 0.5),
(14539, 110842, 1),
(14540, 110843, 1),
(14961, 112093, 1),
(14960, 112092, 1),
(14543, 110846, 2),
(14544, 110847, 1),
(14545, 110848, 1),
(14546, 110849, 1),
(14547, 110850, 1),
(14548, 110851, 1),
(14549, 110852, 1),
(14550, 110853, 1),
(14551, 110854, 2),
(14552, 110855, 2),
(14553, 110856, 1),
(14554, 110857, 1),
(14555, 110858, 1),
(14556, 110859, 1),
(14557, 110860, 3),
(14558, 110861, 0.1),
(14559, 110862, 0.6),
(14560, 110868, 0.5),
(14561, 110879, 1),
(14562, 110880, 1),
(14563, 110881, 1),
(14564, 110882, 0.5),
(14565, 110883, 1),
(14568, 110886, 1),
(14567, 110885, 1),
(14569, 110887, 1),
(14570, 110889, 1),
(14571, 110894, 1),
(14572, 110895, 1),
(14573, 110896, 1),
(14574, 110897, 1),
(14575, 110914, 1),
(14576, 110916, 1),
(14577, 110917, 0.2),
(14578, 110918, 2),
(14579, 110919, 1.5),
(14581, 110922, 0.4),
(14582, 110924, 0.6),
(14583, 110926, 0.2),
(14584, 110928, 0.9),
(14585, 110930, 1),
(14586, 110931, 1),
(14587, 110932, 1),
(14588, 110933, 0.5),
(14589, 110934, 1),
(14590, 110935, 0.5),
(14591, 110936, 1.5),
(14592, 110937, 1),
(14593, 110938, 2),
(14594, 110939, 2),
(14595, 110940, 2),
(14596, 110941, 2),
(14597, 110942, 2),
(14598, 110943, 2),
(14599, 110944, 1),
(14600, 110945, 1),
(14601, 110946, 2),
(14602, 110947, 2),
(14603, 110948, 1),
(14604, 110949, 2),
(14605, 110950, 1),
(14606, 110951, 1),
(14607, 110953, 0.5),
(14608, 110955, 0.75),
(14609, 110956, 1),
(14610, 110957, 1),
(14611, 110958, 1),
(14612, 110960, 1),
(14613, 110962, 0.5),
(14614, 110964, 0.5),
(14615, 110965, 0.5),
(14616, 110966, 0.5),
(14617, 110967, 0.5),
(14618, 110968, 0.5),
(14619, 110970, 3),
(14621, 110975, 0.2),
(14622, 110976, 0.1),
(14623, 110977, 0.1),
(14624, 110990, 0.5),
(14625, 110991, 0.1),
(14626, 110993, 0.8),
(14627, 110999, 2),
(14628, 111000, 0.3),
(14629, 111041, 1),
(14630, 111045, 0),
(14631, 111047, 0),
(14632, 111049, 0),
(14633, 111054, 0),
(14634, 111088, 0.5),
(14635, 111089, 0.5),
(14636, 111090, 0.4),
(14639, 111096, 1),
(14640, 111109, 0.5),
(15352, 113457, 1),
(14643, 111120, 0.4),
(14644, 111148, 1),
(14645, 111171, 0.3),
(14646, 111176, 1),
(14647, 111177, 0),
(14648, 111178, 0),
(14649, 111179, 0),
(14650, 111180, 0),
(14651, 111181, 0),
(14654, 111192, 1),
(14655, 111193, 1),
(14656, 111194, 1),
(14657, 111198, 2),
(14658, 111199, 2),
(14659, 111200, 0),
(14660, 111201, 0),
(14661, 111202, 0),
(14662, 111203, 0),
(14663, 111204, 0),
(14664, 111205, 0),
(14667, 111210, 0),
(14668, 111219, 0),
(14670, 111232, 0),
(14671, 111233, 0),
(14672, 111234, 0),
(14673, 111235, 0),
(14674, 111238, 0.6),
(14675, 111251, 2),
(14676, 111259, 0.7),
(14677, 111263, 0.8),
(14799, 111674, 0),
(14679, 111267, 1),
(14682, 111296, 0.4),
(14683, 111298, 1.2),
(14684, 111304, 1),
(14685, 111308, 0.5),
(14686, 111310, 2),
(14687, 111314, 0),
(14688, 111318, 0),
(14689, 111320, 0),
(14691, 111343, 0),
(14692, 111356, 2),
(14693, 111357, 2),
(14694, 111358, 4),
(14695, 111359, 4),
(14696, 111360, 0.4),
(14697, 111365, 0.4),
(14698, 111366, 0.5),
(14699, 111367, 0.6),
(14700, 111377, 0.8),
(14701, 111379, 0.6),
(14702, 111395, 0),
(14703, 111397, 0),
(14704, 111398, 0),
(14705, 111399, 0),
(14707, 111401, 0),
(14708, 111402, 0),
(14709, 111403, 0),
(14710, 111404, 0),
(14711, 111405, 0),
(14712, 111406, 0),
(14713, 111407, 0),
(14714, 111408, 0),
(14715, 111409, 0),
(14716, 111410, 0),
(14717, 111421, 2),
(17458, 119645, 2),
(14719, 111456, 1),
(14720, 111462, 1),
(14721, 111470, 0),
(14722, 111473, 0),
(14723, 111483, 0),
(14724, 111485, 2),
(14725, 111486, 2),
(14726, 111487, 1),
(14727, 111488, 0.5),
(14728, 111489, 0),
(14738, 111500, 0),
(14730, 111491, 0),
(14731, 111493, 0),
(14737, 111499, 0),
(14733, 111495, 0),
(14734, 111496, 0),
(14735, 111497, 0),
(14736, 111498, 0),
(14978, 112152, 0),
(14740, 111503, 0.3),
(14741, 111507, 3),
(14742, 111537, 2),
(14743, 111538, 1),
(14744, 111539, 1),
(14745, 111540, 1),
(14746, 111541, 1),
(14747, 111556, 0.5),
(14748, 111558, 1),
(14775, 111631, 0),
(14750, 111560, 0),
(14751, 111561, 0),
(14752, 111562, 0),
(14753, 111563, 0),
(14754, 111564, 0),
(14755, 111565, 0),
(14756, 111568, 0),
(14757, 111571, 0),
(14758, 111573, 0),
(14759, 111575, 0),
(14760, 111576, 0),
(14761, 111581, 1),
(14762, 111597, 0.75),
(14763, 111598, 0),
(14764, 111599, 0),
(14765, 111601, 0),
(14783, 111644, 0.2),
(14767, 111603, 0),
(14768, 111604, 0),
(14769, 111605, 0),
(14770, 111606, 2),
(14771, 111607, 2),
(14772, 111628, 0),
(14773, 111629, 0),
(14957, 111904, 0),
(14958, 111905, 0),
(14963, 112095, 1),
(14782, 111638, 0),
(14781, 111637, 0),
(14784, 111645, 0.5),
(14785, 111646, 1),
(14786, 111647, 0.2),
(14787, 111650, 1),
(14788, 111652, 1),
(14789, 111653, 1),
(14790, 111654, 1),
(14791, 111655, 1),
(14792, 111656, 1),
(14793, 111658, 1),
(14794, 111661, 0.5),
(14795, 111664, 0.5),
(14796, 111665, 1.6),
(14797, 111666, 1.2),
(14800, 111676, 1),
(14802, 111678, 1),
(14803, 111679, 1),
(14804, 111680, 1),
(14805, 111681, 1),
(14806, 111707, 2),
(14807, 111708, 2),
(14808, 111718, 1),
(14809, 111719, 1),
(14810, 111720, 1),
(14811, 111721, 2),
(14812, 111722, 2),
(14813, 111725, 2),
(14814, 111726, 1),
(14815, 111727, 0),
(14816, 111728, 0),
(14826, 111739, 1),
(14827, 111740, 0),
(14819, 111731, 1),
(14820, 111732, 0),
(14821, 111733, 1),
(14822, 111734, 1),
(14823, 111735, 1),
(14824, 111737, 0),
(14825, 111738, 0),
(14828, 111742, 0),
(14829, 111743, 0.75),
(14830, 111744, 0),
(14831, 111745, 1),
(14832, 111747, 0.5),
(14833, 111748, 0),
(14834, 111750, 1),
(14835, 111751, 1),
(14836, 111753, 0.5),
(14837, 111754, 1),
(14838, 111755, 1),
(14839, 111764, 0.25),
(14840, 111765, 0.5),
(14841, 111767, 2),
(14842, 111770, 0.5),
(14843, 111771, 2),
(14844, 111772, 2),
(14845, 111773, 2),
(14846, 111774, 2),
(14847, 111775, 0.5),
(14848, 111777, 0.25),
(14849, 111778, 1),
(14850, 111779, 0.75),
(14851, 111780, 2),
(14852, 111781, 2),
(14853, 111782, 2),
(14854, 111783, 1),
(14855, 111784, 0.5),
(14856, 111785, 1),
(14857, 111786, 0.25),
(14858, 111787, 1),
(14859, 111788, 1),
(14860, 111789, 0.5),
(14861, 111790, 0.5),
(14862, 111791, 0.5),
(14863, 111792, 0.5),
(14864, 111793, 1),
(14865, 111794, 0.5),
(14866, 111795, 1),
(14867, 111796, 0.75),
(14868, 111797, 0.75),
(14869, 111798, 0.5),
(14870, 111799, 1),
(14871, 111800, 1),
(14872, 111801, 1),
(14873, 111802, 1),
(14874, 111803, 1),
(14875, 111804, 0),
(14876, 111805, 0),
(14877, 111808, 0),
(14878, 111810, 1),
(14879, 111811, 1),
(14880, 111812, 0.5),
(14882, 111814, 1),
(14883, 111815, 1),
(14884, 111816, 1),
(14885, 111817, 1),
(14886, 111818, 1),
(14887, 111819, 0.5),
(14888, 111820, 2),
(14889, 111821, 1),
(14890, 111822, 1),
(14891, 111823, 1),
(14892, 111824, 1),
(14893, 111825, 1),
(14894, 111826, 1),
(14895, 111827, 1),
(14896, 111828, 1),
(14897, 111829, 0.5),
(14898, 111831, 1),
(14899, 111832, 1),
(14900, 111833, 1),
(14901, 111834, 2),
(14902, 111835, 2),
(14903, 111836, 0.4),
(14904, 111837, 1),
(14905, 111838, 2),
(14906, 111839, 2),
(14907, 111840, 2),
(14908, 111843, 2),
(14909, 111844, 1),
(14910, 111845, 1),
(14911, 111846, 0.5),
(14912, 111847, 2),
(14913, 111848, 1),
(14914, 111849, 1),
(14915, 111850, 0.5),
(14916, 111851, 1),
(14917, 111852, 1),
(14918, 111853, 0.8),
(14919, 111854, 1),
(14920, 111855, 1),
(14921, 111856, 1),
(14922, 111857, 1),
(14923, 111858, 1),
(14959, 112057, 1),
(14925, 111860, 0),
(14926, 111861, 1),
(14927, 111863, 1),
(17002, 118467, 0),
(17003, 118468, 0),
(14934, 111870, 4),
(17001, 118466, 0),
(14932, 111868, 0),
(14933, 111869, 0),
(14935, 111871, 4),
(14936, 111872, 4),
(14937, 111873, 1),
(14938, 111874, 1),
(14939, 111875, 1),
(14940, 111876, 1),
(14941, 111877, 1),
(14942, 111878, 0.5),
(14943, 111879, 1),
(14944, 111880, 0.4),
(14945, 111881, 1),
(14946, 111882, 1),
(14947, 111885, 1),
(14948, 111886, 1),
(14949, 111887, 1),
(14950, 111893, 0.1),
(14951, 111894, 0.5),
(14952, 111895, 1),
(14953, 111896, 1),
(14954, 111897, 1),
(14955, 111898, 1),
(14956, 111899, 1),
(14964, 112096, 1),
(14965, 112073, 1),
(14966, 112070, 1),
(14967, 112071, 1),
(14968, 112072, 1),
(14969, 112104, 2),
(14970, 112117, 0),
(14971, 112118, 0),
(14972, 112119, 0),
(14973, 112120, 0),
(14974, 112132, 1),
(14975, 112137, 1),
(14981, 112216, 2),
(14982, 112218, 2),
(14983, 112221, 2),
(14984, 112233, 0),
(14985, 112235, 0),
(14986, 112241, 0),
(15631, 114120, 0),
(14988, 112273, 0),
(14989, 112278, 0),
(14990, 112279, 0),
(14991, 112282, 0),
(14992, 112283, 0),
(14993, 112284, 0),
(14994, 112301, 0.2),
(14995, 112302, 0.2),
(14996, 112304, 0),
(14997, 112306, 0),
(14998, 112307, 0.7),
(14999, 112049, 0.7),
(15000, 112308, 0),
(15001, 112045, 0.2),
(15002, 112042, 0.1),
(15003, 112309, 0),
(15004, 112310, 0),
(15005, 112311, 0),
(15006, 112312, 0),
(15007, 112324, 0),
(15008, 112325, 0),
(15009, 112326, 0),
(15010, 112327, 0),
(15011, 112328, 0),
(15012, 112329, 0),
(15013, 112330, 0),
(15014, 112331, 0),
(15015, 112332, 0),
(15016, 112333, 0),
(15017, 112334, 0),
(15018, 112335, 1),
(15019, 112336, 1),
(15020, 112337, 0.2),
(15021, 112338, 0.4),
(15022, 111903, 0.4),
(15023, 112339, 0.2),
(15024, 111920, 1),
(15025, 112340, 0.6),
(15026, 112341, 0.2),
(15027, 112342, 2),
(15028, 112343, 1),
(15029, 112352, 2),
(15030, 112353, 2),
(15031, 112357, 2),
(15032, 112368, 1),
(15033, 112369, 1),
(15034, 112370, 1),
(15035, 112374, 0.1),
(15036, 112379, 1),
(15038, 112381, 1),
(15039, 112382, 1),
(15040, 112383, 1),
(15041, 112393, 0),
(15042, 112395, 2),
(15043, 112397, 2),
(15044, 112399, 2),
(15045, 112404, 0),
(15046, 112407, 0),
(15047, 112408, 2),
(15048, 112409, 2),
(15593, 113999, 1),
(15050, 112421, 1),
(15051, 112422, 1),
(15052, 112427, 0),
(15053, 112428, 0),
(15054, 112429, 0),
(15055, 112430, 0),
(15056, 112431, 0),
(15057, 112432, 0.8),
(15058, 112433, 1),
(15059, 111928, 0.25),
(15060, 111929, 1),
(15061, 111931, 0.5),
(15062, 111932, 0.5),
(15063, 111933, 1),
(15064, 111925, 1),
(15065, 112440, 0.75),
(15066, 112448, 0.5),
(15067, 112451, 2),
(15068, 112455, 1),
(15069, 111939, 2),
(15070, 111940, 2),
(15071, 111938, 2),
(15072, 112461, 0.4),
(15073, 112462, 1),
(15074, 112464, 0),
(15075, 112465, 0),
(15076, 112466, 0),
(15077, 112467, 0),
(15083, 112478, 0.5),
(15082, 112476, 1),
(15081, 112475, 0.8),
(15084, 112488, 0),
(15085, 112489, 0),
(15086, 112490, 0),
(15087, 112491, 0),
(15088, 112492, 0),
(15089, 112493, 0),
(15090, 112497, 0.75),
(15091, 112498, 0),
(15092, 112504, 0),
(15093, 112505, 0),
(15094, 112506, 0),
(15095, 112507, 0),
(15096, 112512, 0.3),
(15097, 112513, 0),
(15098, 112514, 0),
(15099, 112515, 0),
(15100, 112516, 0),
(15101, 112517, 0),
(15102, 112518, 0),
(15103, 112519, 0),
(15104, 112520, 0),
(15105, 112521, 0),
(15106, 112522, 0),
(15107, 112523, 0),
(15108, 112524, 0),
(15109, 112525, 0),
(15110, 111919, 1),
(15111, 111918, 1),
(15112, 112527, 0.6),
(15113, 112532, 0.5),
(15114, 112533, 1),
(15115, 112534, 1),
(15116, 112535, 1),
(15117, 112576, 1),
(15118, 112577, 1),
(15119, 112578, 1),
(15120, 112579, 1),
(15121, 112580, 1),
(15122, 112582, 0),
(15123, 112584, 1),
(15124, 112585, 1),
(15125, 112587, 0),
(15126, 112588, 0),
(15127, 112589, 0),
(15128, 112590, 0),
(15129, 112591, 0),
(15130, 112592, 0),
(15131, 112593, 0),
(15132, 112602, 1),
(15133, 112603, 1),
(15137, 112607, 0),
(15136, 112606, 0),
(15139, 112611, 0),
(15140, 112612, 0.75),
(15141, 112613, 0.4),
(15142, 112614, 0),
(15143, 112615, 0.2),
(15312, 113110, 2),
(15145, 112617, 1),
(15146, 112618, 0.8),
(15147, 112619, 0.5),
(15149, 112621, 1),
(15150, 112633, 1),
(15151, 112634, 1),
(15152, 112635, 2),
(15153, 112636, 2),
(15154, 112639, 0.5),
(15155, 112640, 1),
(15156, 112641, 0.75),
(15157, 112642, 0.5),
(15158, 112643, 1),
(15159, 112646, 0),
(15160, 112647, 0),
(15161, 112682, 1),
(15162, 112683, 0.2),
(15163, 112684, 0.2),
(15164, 112685, 0),
(15165, 112686, 0),
(15166, 112687, 0),
(15167, 112688, 2),
(15168, 112689, 1),
(15311, 113109, 0.2),
(15170, 112692, 0),
(15171, 112693, 0),
(15172, 112697, 1),
(15173, 112704, 1),
(15174, 112706, 0.3),
(15175, 112710, 0.5),
(15176, 112713, 1),
(15177, 112714, 0.3),
(15178, 112716, 0.5),
(15179, 112718, 0),
(15180, 112719, 0),
(15181, 112720, 0),
(15182, 112721, 0),
(15183, 112725, 2),
(15184, 112726, 1),
(15185, 112727, 1),
(15186, 112728, 1),
(15187, 112729, 1),
(15188, 112730, 1),
(15189, 112731, 1),
(15190, 112732, 1),
(15191, 112733, 1),
(15192, 112735, 1),
(15193, 112772, 1),
(15194, 112774, 0.2),
(15195, 112775, 0.2),
(15196, 112776, 0.7),
(15197, 112777, 1),
(15198, 112779, 0.2),
(15199, 112780, 0.3),
(15200, 112781, 1),
(15201, 112782, 1),
(15202, 112783, 1),
(15203, 112784, 1),
(15204, 112816, 1.5),
(15205, 112817, 0.2),
(15206, 112818, 0.1),
(15207, 112819, 0.4),
(15208, 112820, 0.1),
(15209, 112821, 1),
(15210, 112822, 0.3),
(15211, 112823, 2),
(15212, 112824, 2),
(15213, 112825, 2),
(15214, 112830, 0),
(15215, 112831, 0),
(15216, 112832, 0),
(15217, 112849, 1),
(15218, 112851, 1),
(15219, 112852, 0),
(15220, 112853, 0),
(15221, 112854, 1),
(15222, 112855, 1),
(15223, 112857, 1),
(15224, 112858, 1),
(15225, 112859, 1),
(15226, 112860, 1),
(15227, 112861, 0.1),
(15228, 112863, 1),
(15229, 112866, 1),
(15230, 112871, 1),
(15231, 112887, 0.8),
(15233, 112889, 1),
(15234, 112890, 0.6),
(15236, 112894, 0.4),
(15237, 112897, 0.2),
(15238, 112902, 1),
(15240, 112905, 1),
(15241, 112907, 0.5),
(15242, 112915, 1),
(15243, 112916, 1),
(15244, 112917, 1),
(15245, 112918, 0.5),
(15246, 112925, 1),
(15247, 112926, 1),
(15248, 112927, 1),
(15249, 112928, 1),
(15250, 112929, 0.5),
(15251, 112930, 0.5),
(15252, 112931, 1),
(15253, 112932, 1),
(15254, 112934, 1),
(15255, 112935, 1.4),
(15256, 112936, 1),
(15263, 112943, 1),
(15264, 112944, 1),
(15259, 112939, 1),
(15260, 112940, 1),
(15261, 112941, 1),
(15262, 112942, 1),
(15265, 112945, 1),
(15266, 112946, 1),
(15267, 112947, 1),
(15268, 112948, 1),
(15269, 112949, 1),
(15270, 112950, 1),
(15271, 112956, 1),
(15272, 112957, 2),
(15274, 112959, 2),
(15275, 112960, 2),
(15276, 112961, 2),
(15277, 112962, 1),
(15278, 112963, 0.4),
(15346, 113393, 1),
(15280, 112966, 0.6),
(15281, 112967, 1),
(15282, 112968, 1),
(15283, 112977, 1),
(15284, 112978, 1),
(15285, 112979, 1),
(16737, 117421, 2),
(15287, 113013, 1),
(15288, 113014, 1),
(15289, 113016, 1),
(15290, 113045, 0),
(15291, 113046, 1),
(15292, 113051, 1),
(15293, 113052, 1),
(15294, 113053, 1),
(15295, 113054, 1),
(15296, 113055, 1),
(15297, 113056, 1),
(15313, 113132, 0.4),
(15304, 113065, 0),
(15300, 113061, 1),
(15301, 113062, 0),
(15302, 113063, 0),
(15303, 113064, 0),
(15305, 113066, 0),
(15306, 113068, 0),
(15307, 113070, 0),
(15308, 113072, 0),
(15309, 113073, 0),
(15310, 113079, 1.4),
(15351, 113424, 0.1),
(15315, 113145, 0.5),
(15316, 113146, 0.5),
(15322, 113210, 0),
(15318, 113148, 0.5),
(15319, 113150, 0.75),
(15321, 111943, 0.5),
(15323, 113211, 0),
(15324, 113230, 1),
(15325, 113253, 0),
(15326, 113255, 0),
(15327, 113321, 0),
(15328, 113345, 0.5),
(15329, 113352, 4),
(15330, 113355, 0.2),
(15331, 113356, 3),
(15332, 113357, 3),
(15333, 113358, 1),
(15334, 113360, 0),
(15335, 113361, 0),
(15336, 113369, 1),
(15337, 113371, 0),
(15338, 113373, 0),
(15339, 113386, 1),
(15340, 113387, 1),
(15341, 113388, 1),
(15342, 113389, 1),
(15343, 113390, 1),
(15344, 113391, 0.25),
(15345, 113392, 1),
(15347, 113394, 0.25),
(15348, 113395, 1),
(15349, 113398, 0.5),
(15350, 113423, 0.5),
(15353, 113478, 1),
(15354, 113479, 1),
(15355, 113482, 1),
(15356, 113483, 2),
(15444, 113766, 2),
(15358, 113503, 2),
(15359, 113517, 1),
(15360, 113518, 1),
(15361, 113519, 0.2),
(15362, 113520, 0.5),
(15363, 113521, 1),
(15364, 113522, 1),
(15365, 113523, 0.4),
(15366, 113524, 0),
(15367, 113527, 0),
(15368, 113528, 0),
(15369, 113529, 2),
(15370, 113530, 2),
(15371, 113531, 2),
(15379, 113542, 0.4),
(15380, 113543, 0.5),
(15381, 113551, 0),
(15382, 113552, 0),
(15383, 113560, 0.3),
(15384, 113561, 0),
(15385, 113564, 0),
(15386, 113595, 0.5),
(15387, 113617, 1),
(15388, 113623, 1),
(15389, 113624, 1),
(15390, 113625, 1),
(15391, 113626, 0.2),
(15392, 113627, 0),
(15393, 113628, 0),
(15394, 113629, 0),
(15395, 113632, 1),
(15401, 113647, 0),
(15397, 113634, 0),
(15398, 113642, 1),
(15399, 113644, 1),
(15400, 113645, 0.2),
(15402, 113648, 0.8),
(15403, 113669, 0.2),
(15404, 113670, 0.2),
(15405, 113672, 0.4),
(15406, 113690, 0),
(15407, 113694, 1),
(15408, 113695, 0.4),
(15409, 113696, 0),
(15410, 113697, 0),
(15411, 113698, 0),
(15412, 113699, 0),
(15413, 113700, 0),
(15415, 113702, 0),
(15416, 113703, 2),
(15417, 113704, 2),
(15420, 113707, 2),
(15421, 113708, 0),
(15422, 113709, 0),
(15423, 113710, 0.4),
(15424, 113711, 0),
(15425, 113712, 1),
(15426, 113715, 0),
(15427, 113716, 0),
(15428, 113717, 0),
(15429, 113718, 0),
(15430, 113719, 0),
(15431, 113736, 1),
(15432, 113740, 0.6),
(15433, 113741, 0),
(15434, 113742, 0),
(15439, 113761, 1),
(15441, 113763, 2),
(15437, 113759, 1),
(15446, 113768, 1),
(15442, 113764, 1),
(15445, 113767, 1),
(15450, 113772, 2),
(15449, 113771, 2),
(15451, 113773, 1),
(15452, 113774, 1),
(15453, 113775, 1),
(15454, 113780, 2),
(15455, 113781, 0.5),
(15456, 113782, 2),
(15457, 113783, 1),
(15458, 113784, 1),
(15459, 113785, 1),
(15460, 113786, 1),
(15461, 113787, 1),
(15462, 113788, 0.5),
(15463, 113789, 2),
(15464, 113793, 0.5),
(15465, 113799, 2),
(15466, 113800, 2),
(15467, 113801, 0.5),
(15468, 113802, 1),
(15469, 113803, 0.5),
(15470, 113804, 0.5),
(15471, 113805, 1),
(15472, 113806, 1),
(15473, 113807, 1),
(15474, 113808, 0.5),
(15475, 113809, 1),
(15477, 113840, 1),
(15478, 113841, 1),
(15479, 113842, 1),
(15480, 113843, 1),
(15481, 113844, 1),
(15482, 113845, 1),
(15483, 113846, 1),
(15484, 113847, 1),
(15485, 113848, 1),
(15486, 113849, 0),
(15487, 113852, 0),
(15488, 113853, 1),
(15489, 113855, 1),
(15490, 113856, 0),
(15491, 113857, 2),
(15492, 113858, 1),
(15493, 113859, 1),
(15494, 113861, 1),
(15495, 113863, 0.25),
(15496, 113864, 1),
(15497, 113865, 0.5),
(15498, 113866, 1),
(15499, 113867, 1),
(15500, 113868, 1),
(15501, 113869, 1),
(15502, 113870, 1),
(15503, 113871, 1),
(15504, 113872, 1),
(15505, 113873, 0.5),
(15506, 113874, 1),
(15507, 113875, 1),
(15508, 113876, 1),
(15509, 113877, 0.5),
(15510, 113878, 1),
(15511, 113879, 1),
(15513, 113881, 1),
(15514, 113882, 1),
(15515, 113883, 1),
(15516, 113884, 1),
(15517, 113885, 0.5),
(15518, 113888, 0.3),
(15519, 113889, 0.2),
(15520, 113894, 0.5),
(15521, 113897, 0.5),
(15522, 113898, 0.5),
(15523, 113899, 1),
(15524, 113900, 0.5),
(15525, 113901, 1),
(15526, 113902, 1),
(15527, 113903, 0.75),
(15528, 113904, 0.5),
(15529, 113905, 0.5),
(15530, 113906, 1),
(15531, 113907, 1),
(15532, 113908, 0.5),
(15533, 113911, 1),
(15534, 113912, 0.5),
(15535, 113913, 1),
(15536, 113926, 0.5),
(15537, 113929, 0.5),
(15538, 113930, 0.5),
(15539, 113931, 1),
(15542, 113934, 0.5),
(15544, 113936, 0.5),
(15543, 113935, 0.5),
(15545, 113937, 0.25),
(15546, 113938, 0.75),
(15547, 113939, 0.75),
(15548, 113940, 0.75),
(15549, 113941, 1),
(15550, 113943, 1),
(15551, 113944, 1),
(15552, 113946, 0.2),
(15553, 113947, 1),
(15554, 113949, 1),
(15555, 113950, 0.5),
(15556, 113951, 1),
(15557, 113952, 1),
(15558, 113953, 1),
(15559, 113954, 1),
(15560, 113955, 1),
(15561, 113956, 1),
(15564, 113959, 1),
(15563, 113958, 1),
(15565, 113960, 2),
(15566, 113961, 1),
(15567, 113962, 1),
(15568, 113963, 0.3),
(15569, 113971, 0),
(15570, 113972, 1),
(15571, 113973, 1),
(15572, 113974, 1),
(15573, 113975, 1),
(15574, 113976, 1),
(15575, 113977, 0),
(15576, 113978, 1),
(15577, 113979, 1),
(15578, 113980, 0),
(15579, 113981, 1),
(15695, 114332, 0),
(15581, 113983, 1),
(15582, 113984, 0),
(15583, 113985, 0),
(15584, 113986, 1),
(15585, 113987, 0),
(15586, 113988, 1),
(15587, 113989, 1),
(15588, 113990, 1),
(15589, 113991, 1),
(15590, 113992, 1),
(15591, 113994, 1),
(15592, 113995, 1),
(15594, 114000, 1),
(15595, 114001, 1),
(15596, 114002, 1),
(15597, 114003, 1),
(15598, 114004, 1),
(15599, 114005, 1),
(15600, 114026, 0.4),
(15601, 114027, 1),
(15602, 114028, 5),
(15603, 114029, 1),
(15604, 114030, 1),
(15605, 114031, 1),
(15606, 114042, 0),
(15607, 114043, 0),
(15608, 114046, 0),
(15609, 114052, 0),
(15610, 114055, 0),
(15611, 114059, 0.2),
(15612, 114060, 0),
(15613, 114062, 0),
(15614, 114064, 0),
(15615, 114065, 0),
(15616, 114066, 0),
(15617, 114068, 0),
(15618, 114069, 0),
(15619, 114073, 1),
(15620, 114088, 1),
(15621, 114089, 1),
(15622, 111924, 1),
(15623, 112061, 0.2),
(15624, 112058, 0.2),
(15625, 114108, 1),
(15626, 114111, 0),
(15627, 114112, 0),
(15628, 114113, 0),
(15629, 114118, 0),
(15630, 114119, 0),
(15632, 114124, 4),
(15633, 114125, 0.2),
(15634, 114135, 2),
(15635, 114136, 1),
(15636, 114146, 0),
(15638, 114148, 0),
(15639, 114149, 0),
(15640, 114150, 0),
(15641, 114151, 0),
(15642, 114163, 0),
(15643, 114164, 0),
(15644, 114166, 0),
(15645, 114171, 0),
(15646, 114172, 0),
(15647, 114173, 0.6),
(15648, 114174, 2),
(15649, 114175, 0),
(15650, 114176, 0),
(15651, 114178, 2),
(15652, 114181, 1),
(15653, 114182, 1),
(15654, 114184, 0.5),
(15655, 114185, 1),
(15656, 114186, 0.6),
(15657, 114187, 0.8),
(15658, 114188, 0.5),
(15659, 114189, 1),
(15660, 114190, 0),
(15662, 114192, 0),
(15663, 114193, 0),
(15664, 114202, 0.2),
(15665, 114220, 0.2),
(15666, 114221, 1),
(15667, 114222, 0.1),
(15668, 114226, 0),
(15669, 114228, 0.5),
(15670, 114229, 0.4),
(15671, 114230, 0.5),
(15672, 114231, 0),
(15673, 114232, 0.5),
(15674, 114233, 0.4),
(15675, 114234, 0.5),
(15678, 114238, 0.5),
(15679, 114239, 0),
(15680, 114240, 0),
(15681, 114241, 0.4),
(15682, 114244, 0.5),
(15683, 114245, 0.5),
(15684, 114246, 0.5),
(15685, 114247, 1),
(15686, 114248, 0.1),
(15687, 114250, 0.4),
(15688, 114324, 2),
(15689, 114325, 2),
(15690, 114326, 2),
(15691, 114327, 2),
(15692, 114328, 1),
(15693, 114330, 0),
(15696, 114333, 0),
(15974, 115268, 0),
(15698, 114335, 1),
(15699, 114339, 0.5),
(15700, 114340, 0.3),
(15701, 114341, 0.3),
(15702, 114349, 1),
(15703, 114368, 1),
(15704, 114369, 0),
(15705, 114370, 0),
(15706, 114371, 0),
(15707, 114372, 0),
(15708, 114373, 0),
(15709, 114374, 0),
(15710, 114375, 0),
(15711, 114376, 0),
(15712, 114377, 0),
(15713, 114378, 0),
(15714, 114379, 0),
(15715, 114381, 0),
(15716, 114383, 0),
(15717, 114385, 0),
(15721, 114393, 0),
(15719, 114387, 0),
(15720, 114389, 0),
(15722, 114396, 0),
(15723, 114399, 0),
(15724, 114401, 0),
(15725, 114403, 0),
(15726, 114404, 1),
(15727, 114408, 0),
(15728, 114410, 0),
(15729, 114411, 0),
(15730, 114412, 0),
(15731, 114413, 0),
(15732, 114414, 0),
(15733, 114415, 0),
(15734, 114416, 0),
(15735, 114417, 0),
(15736, 114418, 0),
(15737, 114419, 0),
(15738, 114420, 0),
(15739, 114433, 0.5),
(15740, 114438, 1),
(15741, 114439, 1),
(15742, 114440, 1),
(15743, 114441, 1),
(15744, 114442, 0.5),
(15745, 114443, 0.3),
(15746, 114444, 0.6),
(15747, 114445, 0.2),
(15748, 114452, 0),
(15749, 114464, 2),
(15750, 114498, 0.75),
(15751, 114499, 0.4),
(15752, 114502, 0.4),
(15753, 114503, 0.6),
(15754, 114504, 0),
(15755, 114505, 0),
(15756, 114506, 0),
(15757, 114507, 0),
(15758, 114524, 0.4),
(15759, 114544, 0.4),
(15760, 114545, 0.1),
(15761, 114548, 0.2),
(15762, 114549, 0.2),
(15763, 114550, 0.2),
(15764, 114610, 0),
(15765, 114617, 1),
(15766, 114650, 0.1),
(15767, 114651, 0.4),
(15768, 114659, 1),
(15769, 114665, 1),
(15770, 114667, 1),
(15771, 114673, 0.5),
(15772, 114674, 0.75),
(15773, 114676, 1),
(15774, 114677, 0.1),
(15775, 114684, 0.5),
(15776, 114688, 1),
(15779, 114695, 1),
(15780, 114698, 0.5),
(15781, 114699, 1),
(15782, 114745, 1),
(15783, 114759, 0),
(15784, 114775, 1),
(15785, 114788, 0.2),
(15786, 114790, 1),
(15787, 114791, 1),
(15788, 114793, 1),
(15789, 114794, 0),
(15790, 114795, 3),
(15791, 114796, 0),
(15792, 114798, 1),
(15793, 114802, 1),
(15794, 114803, 1),
(15795, 114805, 1),
(15796, 114825, 1),
(15797, 114826, 0.5),
(15799, 114828, 1),
(15800, 114829, 0.5),
(15801, 114830, 1),
(15802, 114831, 0.5),
(15803, 114832, 0.5),
(15804, 114839, 1),
(15805, 114840, 1),
(15806, 114841, 1),
(15807, 114842, 1),
(15808, 114843, 2),
(15809, 114844, 2),
(15810, 114848, 1),
(15811, 114849, 1),
(16589, 117110, 0),
(15813, 114851, 1),
(15814, 114852, 0),
(15815, 114853, 0),
(15816, 114854, 1),
(15817, 114855, 1),
(15818, 114856, 0),
(15819, 114858, 0),
(15820, 114859, 0),
(15821, 114860, 0),
(15823, 114867, 1),
(15824, 114869, 1),
(15825, 114870, 1),
(15826, 114871, 1),
(15827, 114872, 1),
(15828, 114874, 1),
(15829, 114875, 1),
(15830, 114876, 1),
(15831, 114877, 1),
(15832, 114878, 0.5),
(15833, 114883, 0),
(15834, 114884, 0),
(15835, 114885, 1),
(15836, 114888, 1),
(15837, 114890, 2),
(15838, 114891, 1),
(15839, 114892, 2),
(15840, 114896, 2),
(15841, 114899, 2),
(15843, 114908, 1),
(15844, 114910, 1),
(15845, 114912, 1),
(15846, 114915, 1),
(15847, 114922, 1),
(15848, 114926, 1),
(15849, 114928, 1),
(15850, 114929, 1),
(15851, 114930, 1),
(15852, 114931, 1),
(15853, 114932, 1),
(15854, 114933, 1),
(15855, 114934, 1),
(15856, 114935, 1),
(15857, 114936, 1),
(15858, 114937, 1),
(15859, 114938, 1),
(15860, 114939, 1),
(15861, 114940, 1),
(15862, 114941, 1),
(15863, 114942, 0.75),
(15864, 114946, 0.5),
(15865, 114947, 1.5),
(15866, 114948, 0.5),
(15867, 114967, 0.5),
(15868, 114968, 0.75),
(15870, 114985, 1),
(15871, 114986, 1),
(15872, 114987, 1),
(15873, 114988, 1),
(15875, 114990, 1),
(15876, 114991, 1),
(15877, 114992, 1),
(15878, 114993, 1),
(15879, 114994, 1),
(15880, 114995, 1),
(15881, 114996, 1),
(15882, 114997, 1),
(15883, 114998, 0.5),
(15884, 114999, 1),
(15885, 115003, 1),
(15886, 115007, 0.2),
(15887, 115008, 1),
(15888, 115009, 0.3),
(15889, 115019, 1),
(15890, 115022, 1),
(15891, 115025, 1),
(15892, 115026, 1),
(15893, 115028, 0),
(15894, 115029, 0),
(15895, 115030, 1),
(15896, 115031, 1),
(15897, 115032, 1),
(15898, 115035, 0.5),
(15899, 115036, 0.5),
(15900, 115037, 1),
(15901, 115038, 1),
(15902, 115039, 0.5),
(15903, 115040, 0.5),
(15904, 115041, 0.75),
(15905, 115042, 0.5),
(15906, 115043, 0.25),
(15907, 115049, 1),
(15908, 115050, 0.3),
(15909, 115051, 0.2),
(15910, 115052, 1),
(15911, 115053, 0.6),
(15912, 115055, 1),
(15913, 115057, 1),
(15914, 115058, 0.5),
(15915, 115059, 1),
(15916, 115062, 1),
(15917, 115063, 1),
(15918, 115068, 1),
(15919, 115069, 2),
(16178, 116066, 0.5),
(15921, 115071, 2),
(15922, 115072, 2),
(15923, 115073, 2),
(15924, 115074, 2),
(15925, 115075, 2),
(15926, 115076, 2),
(15927, 115077, 2),
(15928, 115103, 1),
(15929, 115104, 1),
(15930, 115105, 1),
(15931, 115106, 1),
(15932, 115107, 0.6),
(15933, 115120, 3),
(15934, 115121, 0.4),
(15935, 115125, 0.5),
(15936, 115139, 1),
(15937, 115140, 0.25),
(15938, 115143, 0.4),
(15939, 115147, 1),
(15940, 115151, 0.2),
(15941, 111951, 1),
(15942, 111952, 1),
(15943, 112068, 1),
(15944, 112069, 1),
(15945, 115162, 1),
(15946, 115164, 1),
(15947, 115165, 0.5),
(15948, 115166, 0.5),
(15949, 115167, 1),
(15950, 115168, 0.2),
(15951, 115169, 0.5),
(15952, 115170, 0.2),
(15953, 115173, 1),
(15954, 115174, 0.2),
(15955, 115175, 0.8),
(15956, 115176, 1),
(15957, 115177, 1),
(15958, 115178, 1),
(15959, 115179, 0.7),
(15960, 115180, 1),
(15961, 115182, 1),
(15962, 115186, 1),
(15963, 115187, 2),
(15964, 115188, 2),
(15965, 115189, 2),
(15966, 115233, 1),
(15967, 115242, 3),
(15968, 115248, 1),
(15969, 115249, 1),
(15970, 115255, 1.5),
(15971, 115256, 0.2),
(15972, 115257, 0.1),
(15973, 115263, 0.5),
(16693, 117327, 0),
(15976, 115275, 0.4),
(15977, 115315, 1.5),
(15978, 115316, 0.2),
(15979, 115317, 1),
(15980, 115329, 1),
(15981, 115332, 0),
(15982, 115335, 0),
(15983, 115337, 0),
(15984, 115338, 0),
(15985, 115339, 0),
(15986, 115340, 0),
(15987, 115341, 1),
(15988, 115342, 0.4),
(15989, 115343, 1),
(16032, 115446, 1),
(15991, 115365, 0),
(15992, 115366, 0),
(15995, 115370, 0),
(15994, 115369, 0),
(15996, 115371, 0),
(15997, 115372, 0),
(15998, 115373, 0),
(15999, 115374, 0),
(16000, 115375, 0),
(16001, 115376, 0),
(16002, 115377, 0),
(16004, 115379, 1),
(16005, 115409, 0),
(16006, 115410, 1),
(16007, 115411, 0),
(16008, 115412, 0.2),
(16009, 115413, 0),
(16010, 115414, 0.2),
(16011, 115415, 0),
(16012, 115416, 0),
(16013, 115417, 0.2),
(16014, 115418, 0.5),
(16015, 115419, 0.25),
(16016, 115420, 0),
(16017, 115421, 0),
(16018, 115422, 0),
(16019, 115423, 0),
(16020, 115429, 1),
(16022, 115431, 2),
(16023, 115432, 2),
(16024, 115433, 0),
(16025, 115434, 0),
(16026, 115435, 0),
(16027, 115436, 0),
(16028, 115437, 0),
(16029, 115439, 0.1),
(16030, 115440, 1),
(16031, 115441, 1),
(16033, 115461, 0),
(16034, 115466, 0),
(16035, 115469, 1),
(16036, 115470, 0.5),
(16037, 115474, 1),
(16038, 115475, 1),
(16039, 115477, 1),
(16040, 115478, 1),
(16041, 115479, 1),
(16042, 115480, 1),
(16043, 115481, 1),
(16044, 115485, 1),
(16048, 115495, 1),
(16331, 116277, 0.5),
(16049, 115496, 0),
(16050, 115497, 1),
(16051, 115499, 0),
(16053, 115502, 1),
(16054, 115503, 1),
(16055, 115505, 1),
(16056, 115506, 1),
(16057, 115507, 1),
(16058, 115513, 1),
(16059, 115517, 0.2),
(16060, 115524, 1),
(16061, 115525, 0.4),
(16062, 115526, 1),
(16063, 115528, 0.1),
(16064, 115539, 0),
(16065, 115543, 0),
(16066, 115544, 0),
(16067, 111935, 1),
(16068, 115573, 0.25),
(16069, 115593, 0.4),
(16070, 115595, 0.4),
(16071, 115609, 0.3),
(16073, 115612, 0),
(16074, 115614, 0),
(16075, 115616, 0.5),
(16135, 115915, 0),
(16078, 115634, 0.2),
(16079, 115635, 0.2),
(16080, 115636, 0.1),
(16081, 115637, 0.3),
(16082, 115639, 0.1),
(16083, 115645, 0.2),
(16084, 115673, 1),
(16085, 115683, 2),
(16086, 115685, 2),
(16087, 115686, 2),
(16088, 115687, 2),
(16089, 115704, 1),
(16090, 115705, 0.1),
(16091, 115706, 0.9),
(16092, 115711, 1),
(16093, 115712, 1),
(16094, 115713, 1),
(16095, 115756, 1.5),
(16096, 115757, 0.2),
(16097, 115758, 0),
(16098, 115759, 0),
(16099, 115771, 1),
(16100, 115773, 2),
(16101, 115775, 2),
(16102, 115777, 1),
(16463, 116699, 2),
(16104, 115780, 1),
(16106, 115782, 1),
(16107, 115783, 0),
(16108, 115789, 0),
(16109, 115790, 0),
(16110, 115792, 0),
(16111, 115793, 0),
(16112, 115794, 0),
(16113, 115795, 0),
(16114, 115796, 0),
(16115, 115797, 0),
(16116, 115798, 0),
(16117, 115799, 0),
(16118, 115800, 0),
(16119, 115801, 0),
(16120, 115822, 1),
(16121, 115848, 0.4),
(16122, 115849, 0.5),
(16123, 115852, 0.4),
(16124, 115874, 0.5),
(16125, 115877, 0.3),
(16126, 115896, 1),
(16127, 115897, 0.1),
(16128, 115898, 0.2),
(16129, 115906, 0.3),
(16130, 115907, 0.4),
(16131, 115908, 0.5),
(16132, 115909, 0.4),
(16133, 115910, 0.5),
(16134, 115914, 0),
(16136, 115916, 0),
(16137, 115921, 0),
(16138, 115922, 0),
(16335, 116281, 2),
(16140, 115924, 1),
(16141, 115925, 2),
(16142, 115926, 0.4),
(16143, 115927, 0.2),
(16144, 115928, 0.3),
(16145, 115929, 0.2),
(16146, 115930, 0.1),
(16147, 115936, 0.25),
(16148, 115937, 1),
(16149, 115938, 2),
(16150, 115939, 2),
(16151, 115940, 2),
(16152, 115941, 2),
(16153, 115946, 1),
(16154, 115969, 0),
(16155, 115970, 0),
(16156, 115971, 1.5),
(16157, 115972, 0.2),
(16158, 115973, 0.1),
(16159, 115985, 0.2),
(16160, 115986, 0.5),
(16161, 115988, 0.6),
(16162, 115998, 1),
(16163, 116040, 1),
(16164, 116043, 1),
(16165, 116044, 1),
(16166, 116049, 0),
(16167, 116050, 0),
(16168, 116051, 0),
(16169, 116052, 0),
(16170, 116053, 0),
(16171, 116054, 0),
(16172, 116055, 0),
(16173, 116056, 1),
(16174, 116057, 0),
(16175, 116061, 0),
(16176, 116063, 0),
(16177, 116065, 1),
(16179, 116067, 0.5),
(16180, 116073, 1),
(16181, 116077, 1),
(16182, 116078, 1),
(16334, 116280, 1),
(16184, 116082, 1),
(16185, 116083, 0.4),
(16435, 116578, 0),
(16187, 116085, 0.6),
(16188, 116086, 0.5),
(16189, 116087, 1),
(16190, 116088, 1),
(16191, 116089, 1),
(16192, 116090, 1),
(16193, 116101, 0),
(16194, 116102, 0),
(16195, 116103, 0),
(16196, 116104, 0),
(16197, 116105, 0),
(16198, 116106, 0),
(16199, 116107, 0),
(16200, 116108, 0),
(16201, 116109, 0),
(16202, 116110, 0),
(16203, 116111, 0.4),
(16204, 116122, 0),
(16205, 116123, 0),
(16206, 116124, 0),
(16207, 116125, 0.5),
(16208, 116127, 0),
(16209, 116128, 0),
(16210, 116129, 0),
(16211, 116130, 0.4),
(16212, 116131, 1),
(16213, 116132, 1),
(16214, 116133, 1),
(16215, 116135, 1),
(16216, 116136, 1),
(16217, 116137, 1),
(16218, 116138, 1),
(16219, 116139, 0.2),
(16220, 116140, 1),
(16221, 116141, 0.75),
(16222, 116142, 0.5),
(16223, 116143, 1),
(16224, 116144, 1),
(16225, 116152, 1),
(16226, 116153, 1),
(16227, 116154, 1),
(16228, 116155, 1),
(16229, 116156, 1),
(16230, 116157, 1),
(16231, 116158, 1),
(16232, 116159, 1),
(16233, 116160, 1),
(16234, 116161, 1),
(16235, 116162, 1),
(16236, 116163, 1),
(16237, 116178, 1),
(16238, 116179, 1),
(16239, 116180, 1),
(16240, 116181, 1),
(16241, 116182, 1),
(16242, 116183, 1),
(16243, 116184, 1),
(16244, 116185, 1),
(16245, 116187, 1),
(16246, 116188, 1),
(16247, 116189, 1),
(16248, 116190, 1),
(16249, 116191, 1),
(16250, 116192, 1),
(16251, 116193, 1),
(16252, 116194, 0.5),
(16253, 116195, 1),
(16254, 116196, 0.5),
(16263, 116207, 1),
(16262, 116206, 0.75),
(16264, 116208, 1),
(16258, 116202, 1),
(16259, 116203, 0.4),
(16266, 116210, 1),
(16261, 116205, 1),
(16267, 116211, 0.3),
(16268, 116212, 0.6),
(16269, 116213, 1.5),
(16270, 116214, 0.5),
(16271, 116215, 1),
(16272, 116216, 0.2),
(16273, 116217, 0.1),
(16274, 116218, 0.6),
(16275, 116219, 0.9),
(16277, 116221, 1),
(16278, 116222, 1),
(16279, 116223, 1),
(16280, 116224, 1),
(16281, 116225, 2),
(16283, 116227, 0.75),
(16284, 116228, 0.5),
(16285, 116229, 1),
(16286, 116230, 0.3),
(16287, 116231, 0.75),
(16288, 116232, 0.4),
(16289, 116233, 0.5),
(16290, 116234, 0.25),
(16291, 116235, 1.5),
(16292, 116236, 2),
(16293, 116237, 1),
(16294, 116238, 1),
(16295, 116239, 1),
(16296, 116240, 1),
(16297, 116241, 1),
(16298, 116242, 1),
(16299, 116243, 1),
(16300, 116244, 1),
(16301, 116245, 1),
(16302, 116246, 1),
(16303, 116247, 1),
(16304, 116248, 1),
(16305, 116250, 1),
(16306, 116251, 1),
(16307, 116252, 1),
(16308, 116253, 1),
(16309, 116254, 1),
(16310, 116255, 0.5),
(16311, 116256, 1),
(16312, 116257, 1),
(16313, 116258, 0.75),
(16314, 116259, 0.5),
(16315, 116261, 1),
(16316, 116262, 1);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(16317, 116263, 0.5),
(16318, 116264, 1),
(16319, 116265, 2),
(16320, 116266, 2),
(16321, 116267, 2),
(16322, 116268, 1),
(16323, 116269, 2),
(16324, 116270, 1),
(16325, 116271, 0.5),
(16326, 116272, 0.75),
(16327, 116273, 0.5),
(16329, 116275, 1),
(16330, 116276, 2),
(16332, 116278, 1),
(16333, 116279, 1),
(16336, 116282, 1),
(16337, 116283, 2),
(16338, 116284, 2),
(16339, 116285, 0.5),
(16340, 116286, 1),
(16341, 116287, 1),
(16343, 116289, 1),
(16344, 116290, 1),
(16345, 116291, 2),
(16346, 116293, 2),
(16347, 116294, 1),
(16348, 116295, 2),
(16349, 116296, 2),
(16350, 116297, 1),
(16351, 116298, 0.1),
(16352, 116299, 1),
(16353, 116300, 0.5),
(16354, 116301, 1),
(16355, 116302, 1),
(16356, 116303, 0.5),
(16357, 116304, 0.1),
(16358, 116305, 1),
(16359, 116306, 1),
(16360, 116307, 2),
(16361, 116308, 0.25),
(16362, 116309, 0.75),
(16394, 116440, 1.5),
(16364, 116311, 0.3),
(16365, 116312, 0.3),
(16366, 116313, 0.4),
(16367, 116314, 0.3),
(16368, 116315, 1),
(16369, 116316, 0.7),
(16370, 116317, 0.4),
(16371, 116318, 0.2),
(16372, 116319, 0.2),
(16373, 116321, 0.15),
(16378, 116332, 0.3),
(16375, 116328, 0.15),
(16376, 116329, 0.5),
(16377, 116331, 0.3),
(16379, 116336, 0.3),
(16380, 116339, 0.5),
(16381, 116359, 0.6),
(16382, 116365, 0.5),
(16383, 116366, 2),
(16384, 116367, 2),
(16385, 116368, 2),
(16386, 116369, 2),
(16387, 116370, 2),
(16388, 116376, 1),
(16389, 116411, 1),
(16390, 116412, 1),
(16391, 116413, 1),
(16392, 116414, 1),
(16393, 116415, 0.2),
(16395, 116442, 0.4),
(16396, 116443, 1),
(16397, 116444, 0.3),
(16398, 116445, 0.1),
(16399, 116446, 0.2),
(16400, 116447, 0.1),
(16692, 117325, 0),
(16402, 116454, 0),
(16403, 116456, 0),
(16404, 116457, 1),
(16405, 116458, 0),
(16406, 116459, 1),
(16407, 116463, 3),
(16408, 116464, 0.2),
(16409, 116465, 1),
(16410, 116507, 1),
(16411, 116534, 0.1),
(16412, 116547, 0.1),
(16413, 116548, 0.2),
(16414, 116549, 1),
(16415, 116550, 1),
(16416, 116551, 0.1),
(16417, 116552, 0.1),
(16418, 116553, 0.2),
(16732, 117413, 1),
(16421, 116558, 0),
(16422, 116559, 0),
(16423, 116562, 0),
(16424, 116563, 0),
(16425, 116565, 0),
(16426, 116566, 0),
(16427, 116567, 0),
(16428, 116568, 0),
(16430, 116570, 0),
(16431, 116571, 0),
(16432, 116573, 0),
(16433, 116576, 1),
(16434, 116577, 0),
(16436, 116579, 0),
(16437, 116580, 0),
(16438, 116581, 0),
(16439, 116584, 0),
(16440, 116585, 0),
(16442, 116589, 0),
(16443, 116595, 2),
(16444, 116599, 0),
(16445, 116603, 0),
(16446, 116604, 0),
(16447, 116606, 0),
(16448, 116608, 0),
(16449, 116609, 0),
(16450, 116610, 0),
(16451, 116611, 0),
(16452, 116612, 0),
(16453, 116614, 1.2),
(16454, 116615, 1),
(16455, 116616, 1),
(16456, 116617, 0.2),
(16457, 116618, 0.4),
(16458, 116624, 0.5),
(16459, 116625, 5),
(16726, 117405, 1),
(16722, 117400, 0),
(16464, 116700, 2),
(16465, 116703, 1),
(16691, 117323, 0),
(16467, 116718, 0.4),
(16468, 116719, 0),
(16469, 116731, 1),
(16486, 116797, 0.1),
(16471, 116740, 2),
(16472, 116741, 2),
(16473, 116742, 2),
(16474, 116743, 2),
(16476, 116749, 0.2),
(16477, 116751, 0.4),
(16478, 116753, 1.5),
(16479, 116758, 1),
(16480, 116766, 1),
(16481, 116767, 1),
(16487, 116798, 1),
(16483, 116772, 2),
(16485, 116775, 1),
(16489, 116801, 0.4),
(16490, 116813, 1),
(16491, 116816, 2),
(16492, 116829, 2),
(16493, 116841, 1),
(16494, 116845, 2),
(16495, 116846, 1),
(16496, 116848, 1),
(16497, 116850, 1),
(16498, 116854, 0.5),
(16499, 116855, 0.3),
(16500, 116856, 0.6),
(16501, 116857, 0.1),
(16502, 116858, 0.1),
(16503, 116859, 1),
(16504, 116860, 1),
(16505, 116873, 2),
(16506, 116874, 2),
(16507, 116875, 1),
(16508, 116876, 1),
(16509, 116880, 1),
(16510, 116881, 1),
(16511, 116921, 0),
(16512, 116939, 1),
(16513, 116944, 0.5),
(16514, 116945, 1),
(16515, 116946, 0.25),
(16516, 116947, 1.5),
(16517, 116948, 2),
(16518, 116954, 1),
(16519, 116955, 0.6),
(16520, 116956, 1),
(16521, 116958, 0.6),
(16522, 116960, 0.5),
(16523, 116970, 0.1),
(16524, 116972, 0),
(16525, 116974, 0),
(16526, 116975, 0),
(16527, 116976, 0),
(16528, 116977, 0),
(16529, 116992, 0.4),
(16530, 116993, 0),
(16531, 116994, 0),
(16532, 116995, 0),
(16533, 117001, 1),
(16534, 117004, 1),
(16535, 117008, 0.5),
(16536, 117009, 1),
(16537, 117010, 0),
(16538, 117011, 0),
(16539, 117012, 1),
(16540, 117013, 1),
(16541, 117014, 0.4),
(16542, 117015, 0.5),
(16543, 117016, 0),
(16544, 117017, 0),
(16545, 117018, 0),
(16546, 117019, 0),
(16547, 117020, 0),
(16548, 117021, 0),
(16549, 117022, 0),
(16550, 117023, 0),
(16551, 117026, 0.15),
(16552, 117027, 0.3),
(16553, 117028, 1.4),
(16554, 117031, 0.4),
(16555, 117032, 2),
(16556, 117033, 2),
(16717, 117390, 1),
(16558, 117046, 0),
(16559, 117048, 0),
(16560, 117050, 0),
(16561, 117052, 0),
(16562, 117054, 1),
(16563, 117082, 0),
(16564, 117083, 0),
(16565, 117084, 0),
(16566, 117085, 0),
(16567, 117086, 0),
(16568, 117087, 0),
(16569, 117088, 0),
(16570, 117089, 0),
(16571, 117092, 0),
(16572, 117093, 0),
(16573, 117094, 0),
(16574, 117095, 0),
(16575, 117096, 0),
(16576, 117097, 0),
(16577, 117098, 1),
(16578, 117099, 1),
(16581, 117102, 0),
(16580, 117101, 0),
(16582, 117103, 0),
(16583, 117104, 1),
(16584, 117105, 0),
(16585, 117106, 0),
(16586, 117107, 0),
(16587, 117108, 0),
(16588, 117109, 0),
(16590, 117111, 0),
(16591, 117112, 0),
(16592, 117113, 0),
(16593, 117114, 0),
(16594, 117115, 0),
(16595, 117116, 0),
(16596, 117117, 0),
(16597, 117118, 0),
(16598, 117119, 0),
(16599, 117120, 0),
(16600, 117121, 0),
(16601, 117122, 0),
(16602, 117123, 0.1),
(16603, 117124, 0.8),
(16604, 117125, 0.1),
(16605, 117133, 2),
(16606, 117134, 2),
(16607, 117137, 0),
(16608, 117138, 0),
(16609, 117139, 0),
(16610, 117144, 0.6),
(16611, 117145, 0.2),
(16612, 117146, 0.2),
(16613, 117148, 1),
(16614, 117149, 1),
(16615, 117150, 1.5),
(16616, 117151, 0.5),
(16617, 117152, 0.2),
(16618, 117153, 0),
(16619, 117154, 0),
(16620, 117181, 0.2),
(16621, 117182, 0.1),
(16622, 117183, 0.6),
(16623, 117184, 0.2),
(16624, 117194, 1),
(16625, 117195, 1),
(16626, 117196, 1),
(16627, 117197, 1),
(16628, 117198, 1),
(16629, 117199, 1),
(16633, 117203, 1),
(16631, 117201, 1),
(16632, 117202, 1),
(16634, 117204, 1),
(16635, 117205, 1),
(16636, 117206, 0.75),
(16637, 117207, 1),
(16638, 117208, 0.5),
(16639, 117209, 2),
(16640, 117212, 1),
(16642, 117214, 1),
(16643, 117215, 0.5),
(16644, 117216, 1),
(16645, 117217, 2),
(16646, 117223, 2),
(16647, 117224, 2),
(16648, 117225, 2),
(16649, 117226, 1),
(16650, 117227, 1),
(16651, 117228, 1),
(16652, 117229, 1),
(16653, 117230, 1),
(16654, 117231, 1),
(16655, 117232, 1),
(16656, 117233, 2),
(16657, 117234, 2),
(16658, 117235, 1),
(16659, 117236, 2),
(16660, 117240, 2),
(16661, 117242, 1),
(16662, 117243, 1),
(16663, 117246, 0),
(16664, 117248, 0),
(16665, 117249, 0),
(16666, 117256, 1),
(16667, 117258, 0.5),
(16686, 117300, 1),
(16669, 117267, 1),
(16670, 117270, 1),
(16671, 117274, 1),
(16672, 117275, 1),
(16673, 117276, 1),
(16674, 117280, 0),
(16675, 117283, 0.6),
(16676, 117284, 0.4),
(16677, 117285, 1),
(16678, 117287, 0.3),
(16679, 117288, 1),
(16680, 117289, 0.5),
(16681, 117290, 1),
(16682, 117291, 1),
(16688, 117302, 1),
(16687, 117301, 1),
(16689, 117303, 1),
(16690, 117304, 1),
(16694, 117329, 0),
(16695, 117332, 0),
(16696, 117333, 0),
(16697, 117351, 2),
(16698, 117352, 2),
(16699, 117353, 2),
(16700, 117354, 2),
(16701, 117355, 2),
(16702, 117374, 1),
(16703, 117376, 1),
(16704, 117377, 1),
(16705, 117378, 0.2),
(16706, 117379, 1),
(16707, 117380, 1),
(16708, 117381, 1),
(16710, 117383, 1),
(16711, 117384, 1),
(16712, 117385, 1),
(16713, 117386, 0.75),
(16714, 117387, 0.5),
(16715, 117388, 1),
(16716, 117389, 1),
(16718, 117393, 0),
(16720, 117397, 1),
(16721, 117398, 0.5),
(16723, 117401, 0.5),
(16724, 117402, 1),
(16725, 117404, 0),
(16727, 117407, 1),
(16728, 117408, 0),
(16729, 117410, 0),
(16730, 117411, 0),
(16731, 117412, 2),
(16733, 117414, 0),
(16734, 117417, 2),
(16735, 117419, 1),
(16736, 117420, 0),
(16738, 117422, 1),
(16739, 117423, 1),
(16740, 117425, 2),
(16741, 117428, 2),
(16743, 117430, 1),
(16744, 117431, 1),
(16746, 117433, 1),
(16747, 117435, 2),
(16748, 117436, 2),
(16749, 117437, 1),
(16750, 117439, 1),
(16751, 117442, 1),
(16752, 117446, 1),
(16753, 117447, 1),
(16754, 117449, 1),
(16755, 117450, 1),
(16756, 117451, 1),
(16757, 117453, 1),
(16758, 117454, 2),
(16759, 117455, 2),
(16760, 117456, 2),
(16761, 117458, 2),
(16762, 117459, 2),
(16763, 117460, 2),
(16764, 117461, 2),
(16765, 117462, 1),
(16766, 117463, 2),
(16767, 117464, 1),
(16768, 117465, 2),
(16769, 117466, 2),
(16770, 117467, 2),
(16771, 117489, 1),
(16772, 117494, 2),
(16773, 112025, 2),
(16774, 112080, 2),
(16775, 112062, 1),
(16776, 117505, 1),
(16777, 112064, 1),
(16778, 117508, 0),
(16779, 112063, 1),
(16780, 117509, 0),
(16781, 117510, 0),
(16782, 112053, 1),
(16783, 117543, 1),
(16784, 117544, 1),
(16785, 117545, 1),
(16786, 117546, 1),
(16787, 117547, 1),
(16788, 117549, 1),
(16789, 117550, 1),
(16790, 117566, 1),
(16791, 117568, 0.5),
(16792, 117570, 0),
(16793, 117572, 0),
(16794, 117582, 0),
(16796, 117586, 0),
(16797, 117589, 0),
(16798, 117593, 1),
(16799, 117594, 0),
(16800, 117597, 0),
(16801, 117599, 0),
(16802, 117604, 1),
(16803, 117605, 0),
(16804, 117606, 1),
(16805, 117607, 1.5),
(16806, 117609, 2),
(16807, 117610, 0.7),
(16808, 117611, 0.5),
(16809, 117612, 1),
(16810, 117613, 2),
(16811, 117614, 0.1),
(16812, 117615, 1),
(16871, 117991, 0),
(16817, 117653, 2),
(16818, 117654, 2),
(16816, 117652, 2),
(16819, 117712, 0.1),
(16820, 117715, 0.4),
(16821, 117720, 2),
(16822, 117721, 0.4),
(16823, 117722, 0.3),
(16824, 117723, 1),
(16825, 117724, 1),
(16826, 117725, 1),
(16827, 117726, 1),
(16828, 117728, 0.2),
(16829, 117730, 0.2),
(16830, 117731, 1),
(16831, 117736, 1),
(16832, 117739, 1),
(16833, 117745, 0.4),
(16834, 117746, 0.1),
(16835, 117747, 0.1),
(16836, 117748, 0.4),
(16861, 117871, 0.5),
(16838, 117752, 0.3),
(16839, 117756, 0.75),
(16840, 117760, 0.2),
(16841, 117765, 0.5),
(16842, 117777, 0.15),
(16843, 117778, 0.15),
(16844, 117779, 0.15),
(16845, 117782, 0.3),
(16846, 117783, 0.1),
(16847, 117784, 0.1),
(16848, 117785, 1),
(16849, 117786, 0.3),
(16850, 117787, 1),
(16851, 117793, 1),
(16852, 117804, 0),
(16853, 117833, 1),
(16854, 117834, 1),
(16855, 117835, 1),
(16856, 117838, 1),
(16857, 117839, 0.75),
(16858, 117840, 0.5),
(16859, 117841, 2),
(16860, 117842, 2),
(16862, 117873, 0.5),
(16863, 117874, 0.3),
(16864, 117881, 0.8),
(16868, 117962, 0),
(16866, 117937, 1),
(16870, 117989, 0),
(16883, 118025, 0),
(16876, 118002, 0),
(16874, 118000, 0.4),
(16875, 118001, 0),
(16877, 118005, 0),
(16878, 118014, 1),
(16879, 118015, 0.2),
(16880, 118017, 1),
(16881, 118020, 0.5),
(16882, 118023, 0),
(16884, 118037, 2),
(16885, 118046, 1),
(16886, 118048, 0),
(16887, 118051, 0),
(16888, 118052, 0),
(16891, 118062, 0),
(16890, 118061, 0),
(16892, 118063, 0),
(16893, 118064, 0),
(16894, 118065, 0),
(19381, 126474, 0),
(16896, 118067, 0),
(16897, 118068, 0),
(16898, 118069, 0),
(16899, 118070, 0),
(16900, 118071, 0),
(16901, 118072, 0),
(16902, 118073, 0),
(19380, 126473, 0),
(19263, 126310, 0),
(19224, 126144, 0.8),
(19309, 126388, 0),
(19308, 126387, 0),
(19307, 126386, 0),
(19306, 126385, 0),
(19305, 126384, 0),
(19304, 126383, 0),
(19303, 126382, 0),
(19310, 126389, 0),
(19301, 126380, 0),
(19302, 126381, 0),
(19066, 125760, 0),
(19065, 125759, 0.2),
(16921, 118092, 0),
(19064, 125758, 1),
(16920, 118091, 0),
(16922, 118093, 0),
(16923, 118094, 0),
(16924, 118101, 2),
(16925, 118135, 1),
(16926, 118138, 0),
(16927, 118142, 0),
(16928, 118149, 0.2),
(16929, 118150, 0.5),
(16930, 118158, 0.1),
(16931, 118159, 1.5),
(16932, 118182, 0.5),
(16933, 118183, 0.5),
(16937, 118195, 1),
(16936, 118194, 0),
(16939, 118202, 1),
(16940, 118203, 0.6),
(16941, 118204, 0.4),
(16942, 118205, 0.75),
(16943, 118206, 2),
(16944, 118207, 1),
(16945, 118208, 1),
(16946, 118209, 1),
(16947, 118210, 1),
(16948, 118211, 1),
(16949, 118220, 0.8),
(16950, 118221, 0),
(16951, 118222, 0),
(16952, 118223, 0),
(16953, 118224, 0),
(16954, 118230, 0.4),
(16955, 118231, 2),
(16956, 118232, 1),
(16957, 118278, 2),
(16960, 118286, 0.2),
(16959, 118283, 0.1),
(16961, 118301, 1),
(16962, 118302, 0.2),
(16963, 118303, 0.4),
(16964, 118304, 0.2),
(16965, 118305, 0),
(16966, 111917, 0.6),
(16967, 118315, 2),
(16968, 118316, 2),
(16969, 118333, 0.2),
(16970, 118334, 1),
(16971, 118336, 0),
(16972, 118337, 0),
(16973, 118338, 0),
(16974, 118343, 0),
(16975, 118347, 2),
(16976, 118348, 0),
(16977, 118349, 0.5),
(16978, 118350, 1),
(16979, 118352, 1),
(16980, 118366, 0.2),
(16981, 118367, 0.1),
(16982, 118379, 1),
(16983, 118380, 1),
(16984, 118384, 1),
(16985, 118385, 1),
(16986, 118386, 0.25),
(16987, 118387, 1),
(16988, 118396, 1),
(16989, 118397, 1),
(17332, 119086, 1),
(16991, 118402, 1.5),
(16992, 118435, 2),
(16993, 118436, 0.4),
(16994, 118448, 1),
(16995, 118457, 0),
(16996, 118458, 0),
(16997, 118459, 0),
(16998, 118460, 0),
(16999, 118461, 0),
(17000, 118463, 0),
(17004, 118469, 0),
(17009, 118478, 0),
(17008, 118476, 0),
(17007, 118472, 0),
(17010, 118479, 0),
(17011, 118480, 0),
(17012, 118481, 0),
(17013, 118482, 0),
(17014, 118483, 0),
(17015, 118485, 0),
(17016, 118486, 0),
(17017, 118490, 0),
(17018, 118491, 0),
(17019, 118492, 0),
(17020, 118493, 0),
(17021, 118494, 0),
(17022, 118495, 0),
(17023, 118496, 0),
(17024, 118497, 0),
(17025, 118498, 0),
(17026, 118499, 0),
(17027, 118500, 0),
(17028, 118504, 1),
(17029, 118519, 0.1),
(17030, 118522, 0.5),
(17031, 118523, 0.6),
(17032, 118524, 0.5),
(17033, 118529, 0),
(17034, 118534, 1),
(17148, 118848, 0.15),
(17036, 118536, 1),
(17037, 118537, 0.6),
(17038, 118538, 0.2),
(17039, 118539, 0.6),
(17040, 118543, 0),
(17041, 118544, 0),
(17043, 118546, 0),
(17044, 118549, 0),
(17045, 118551, 0),
(17046, 118552, 0),
(17047, 118554, 0),
(17048, 118555, 0),
(17049, 118558, 0),
(17050, 118559, 0),
(17051, 118560, 0),
(17052, 118561, 0),
(17053, 118563, 0),
(17054, 118564, 0),
(17055, 118565, 0),
(17056, 118567, 0),
(17057, 118568, 1),
(17058, 118570, 1),
(17059, 118571, 0.5),
(17060, 118573, 1),
(17061, 118580, 1),
(17062, 118595, 0.3),
(17063, 118596, 1),
(17064, 118597, 1),
(17065, 118598, 2),
(17066, 118599, 1),
(17067, 118605, 1),
(17068, 118655, 0.4),
(17069, 118658, 0.6),
(17070, 118659, 1),
(17071, 118660, 0.6),
(17072, 118662, 1),
(17073, 118664, 1),
(17074, 118665, 1),
(17075, 118666, 1),
(17076, 118667, 1),
(17077, 118669, 2),
(17078, 118673, 2),
(17079, 118681, 2),
(17080, 118682, 1),
(17081, 118683, 2),
(17140, 118837, 1),
(17083, 118687, 0),
(17084, 118688, 0),
(17085, 118701, 1),
(17086, 118725, 1),
(17087, 118735, 2),
(17088, 118737, 2),
(17089, 118738, 2),
(17090, 118739, 2),
(17091, 118740, 0.5),
(17092, 118742, 2),
(17093, 118747, 0.75),
(17094, 118750, 2),
(17095, 118755, 2),
(17096, 118757, 1),
(17097, 118758, 1),
(17098, 118759, 0.5),
(17099, 118760, 0.75),
(17100, 118761, 1),
(17101, 118762, 1),
(17102, 118763, 2),
(17103, 118764, 2),
(17104, 118765, 2),
(17105, 118766, 2),
(17106, 118767, 2),
(17107, 118768, 2),
(17108, 118770, 2),
(17109, 118777, 2),
(17110, 118778, 1),
(17111, 118779, 1),
(17112, 118781, 1),
(17113, 118794, 1),
(17114, 118796, 1),
(17115, 118797, 1),
(17116, 118798, 1),
(17117, 118800, 0),
(17118, 118801, 1),
(17119, 118808, 1),
(17120, 118809, 1),
(17121, 118810, 0.5),
(17122, 118811, 1),
(17123, 118812, 2),
(17124, 118813, 2),
(17125, 118814, 2),
(17126, 118815, 2),
(17127, 118816, 1),
(17128, 118817, 2),
(17129, 118818, 2),
(17130, 118819, 0.4),
(17131, 118820, 0.2),
(17132, 118821, 0.25),
(17133, 118826, 0.1),
(17134, 118828, 1),
(17135, 118830, 0.8),
(17136, 118831, 0.3),
(17137, 118832, 0.7),
(17138, 118834, 0.1),
(17139, 118836, 0.1),
(17141, 118838, 1),
(17142, 118840, 1),
(17143, 118841, 2),
(17144, 118844, 1),
(17145, 118845, 1),
(17146, 118846, 0.4),
(17147, 118847, 2),
(17149, 118850, 0),
(17150, 118851, 0.1),
(17151, 118852, 0.5),
(17152, 118853, 0.3),
(17153, 118854, 0.3),
(17154, 118855, 0.4),
(17155, 118856, 0.5),
(17156, 118857, 0.3),
(17158, 118859, 0.3),
(17159, 118860, 0),
(17160, 118861, 0.25),
(17161, 118866, 2),
(17162, 118867, 2),
(17163, 118868, 1),
(17164, 118869, 2),
(17165, 118870, 2),
(17166, 118871, 2),
(17167, 118872, 2),
(17168, 118873, 2),
(17169, 118874, 2),
(17170, 118875, 2),
(17240, 118979, 2),
(17172, 118878, 2),
(17238, 118977, 2),
(17174, 118880, 2),
(17175, 118881, 2),
(17176, 118882, 2),
(17177, 118883, 2),
(17178, 118884, 2),
(17179, 118885, 2),
(17180, 118886, 2),
(17181, 118887, 1),
(17182, 118888, 1),
(17183, 118889, 1),
(17184, 118890, 1),
(17185, 118891, 1),
(17186, 118892, 1),
(17187, 118893, 1),
(17188, 118894, 1),
(17189, 118895, 1),
(17480, 119712, 1),
(17191, 118897, 1),
(17192, 118901, 0.2),
(17193, 118902, 0.5),
(17194, 118903, 1),
(17195, 118904, 1),
(17196, 118905, 1),
(17197, 118906, 1),
(17198, 118907, 1),
(17199, 118908, 0.1),
(17200, 118909, 1),
(17201, 118910, 0.5),
(17202, 118911, 0.5),
(17203, 118914, 1),
(17204, 118915, 0.5),
(17205, 118916, 1),
(17206, 118917, 0.5),
(17207, 118918, 1),
(17208, 118919, 0.5),
(17209, 118922, 1),
(17211, 118927, 2),
(17212, 118949, 1),
(17213, 118950, 1),
(17221, 118959, 2),
(17222, 118960, 2),
(17219, 118956, 2),
(17220, 118957, 2),
(17223, 118961, 2),
(17224, 118962, 2),
(17225, 118963, 2),
(17226, 118964, 2),
(17227, 118965, 2),
(17228, 118966, 1),
(17229, 118968, 2),
(17230, 118969, 2),
(17231, 118970, 2),
(17232, 118971, 2),
(17233, 118972, 0.2),
(17234, 118973, 0.4),
(17235, 118974, 1),
(17236, 118975, 0.2),
(17237, 118976, 5),
(17242, 118981, 1),
(17243, 118982, 2),
(17244, 118983, 2),
(17245, 118984, 2),
(17246, 118985, 2),
(17247, 118986, 0.2),
(17248, 118987, 1),
(17249, 118988, 1),
(17250, 118989, 1),
(17251, 118990, 1),
(17252, 118991, 1),
(17253, 118992, 2),
(17254, 118993, 1),
(17255, 118994, 0.5),
(17257, 118996, 2),
(17258, 118997, 2),
(17259, 118998, 2),
(17260, 118999, 0),
(17261, 119000, 2),
(17262, 119001, 2),
(17263, 119002, 1),
(17264, 119003, 0),
(17265, 119004, 1),
(17266, 119006, 1),
(17267, 119008, 1),
(17268, 119009, 1),
(17269, 119010, 1),
(17270, 119011, 0.5),
(17277, 119022, 1),
(17272, 119013, 1),
(17273, 119014, 2),
(17274, 119015, 2),
(17275, 119016, 2),
(17276, 119017, 2),
(17278, 119023, 1),
(17279, 119024, 1),
(17280, 119027, 2),
(17281, 119028, 2),
(17282, 119034, 2),
(17283, 119035, 2),
(17285, 119039, 2),
(17286, 119040, 2),
(17287, 119041, 2),
(17288, 119042, 2),
(17289, 119043, 2),
(17290, 119044, 1),
(17291, 119045, 1),
(17292, 119046, 1),
(17293, 119047, 1),
(17294, 119048, 1),
(17295, 119049, 1),
(17297, 119051, 1),
(17298, 119052, 1),
(17299, 119053, 1),
(17300, 119054, 1),
(17301, 119055, 1),
(17302, 119056, 1),
(17303, 119057, 1),
(17304, 119058, 1),
(17305, 119059, 1),
(17306, 119060, 1),
(17307, 119061, 1),
(17308, 119062, 1),
(17600, 120195, 0.5),
(17310, 119064, 1),
(17311, 119065, 1),
(17312, 119066, 1),
(17313, 119067, 1),
(17314, 119068, 1),
(17315, 119069, 1),
(17316, 119070, 1),
(17317, 119071, 2),
(17318, 119072, 2),
(17319, 119073, 2),
(17320, 119074, 2),
(17321, 119075, 2),
(17322, 119076, 2),
(17323, 119077, 2),
(17324, 119078, 2),
(17765, 121209, 1),
(17326, 119080, 1),
(17327, 119081, 1),
(17328, 119082, 1),
(17329, 119083, 1),
(17330, 119084, 1),
(17331, 119085, 1),
(17333, 119087, 0.5),
(17334, 119088, 0.5),
(17335, 119089, 0.9),
(17336, 119102, 0),
(17515, 119950, 2),
(17338, 119104, 0),
(17339, 119111, 0),
(17340, 119125, 2),
(17341, 119129, 2),
(17342, 119130, 0.6),
(17343, 119155, 0.2),
(17344, 119156, 0.5),
(17345, 119157, 0.05),
(17346, 119158, 0.7),
(17347, 119172, 0),
(17348, 119175, 0.3),
(17349, 119178, 2),
(17350, 119187, 1),
(17357, 119248, 0),
(17352, 119240, 0),
(17353, 119241, 0),
(17354, 119242, 0),
(17355, 119246, 0),
(17356, 119247, 0),
(17358, 119251, 0),
(17364, 119273, 0),
(17360, 119260, 0),
(17363, 119272, 0),
(17400, 119410, 0),
(17365, 119274, 0),
(17366, 119275, 0),
(17367, 119276, 0),
(17368, 119277, 0),
(17369, 119278, 0),
(17370, 119279, 0),
(17371, 119281, 0),
(17372, 119283, 0),
(17373, 119298, 0),
(17374, 119301, 0),
(17375, 119305, 1.5),
(17376, 119307, 0.6),
(17377, 119308, 0.4),
(17378, 119309, 0),
(17379, 119317, 0.2),
(17380, 119318, 0.5),
(17381, 119319, 0),
(17382, 119320, 0),
(17383, 119335, 0.3),
(17384, 119336, 0.5),
(17385, 119342, 0),
(17386, 119343, 0),
(17387, 119345, 0),
(17388, 119347, 0),
(17389, 119350, 0),
(17390, 119356, 0),
(17391, 119357, 0),
(17392, 119358, 0),
(17393, 119361, 2),
(17394, 119362, 2),
(17395, 119364, 2),
(17396, 119365, 2),
(17397, 119406, 0),
(17398, 119407, 0),
(17399, 119408, 0),
(17401, 119412, 0),
(17402, 119416, 0),
(17403, 119417, 0),
(17404, 119435, 0),
(17405, 119438, 0),
(17406, 119517, 0.4),
(17453, 119618, 2),
(17454, 119619, 2),
(17409, 119525, 2),
(17410, 119527, 2),
(17411, 119528, 0.6),
(17412, 119529, 2),
(17413, 119530, 2),
(17414, 119531, 2),
(17415, 119532, 0.4),
(17416, 119535, 2),
(17417, 119536, 2),
(17418, 119537, 2),
(17419, 119538, 2),
(17420, 119542, 1),
(17422, 119546, 1),
(17423, 119547, 1),
(17424, 119549, 1),
(17425, 119553, 0.5),
(17426, 119554, 0.5),
(17427, 119555, 1),
(17428, 119556, 1),
(17429, 119557, 1),
(17430, 119558, 1),
(17431, 119559, 1),
(17432, 119560, 1),
(17433, 119561, 1),
(17434, 119562, 1),
(17435, 119563, 1),
(17436, 119567, 2),
(17437, 119568, 2),
(17438, 119569, 2),
(17449, 119583, 2),
(17448, 119582, 2),
(17441, 119573, 2),
(17442, 119574, 1),
(17443, 119576, 1),
(17444, 119578, 1),
(17445, 119579, 1),
(17446, 119580, 2),
(17447, 119581, 2),
(17450, 119584, 1.5),
(17451, 119606, 1),
(17452, 119607, 1),
(17455, 119638, 1),
(17456, 119641, 1),
(17457, 119642, 2),
(17459, 119647, 2),
(17460, 119649, 2),
(17461, 119650, 2),
(17462, 119651, 2),
(17463, 119652, 1),
(17464, 119655, 1),
(17465, 119656, 1),
(17467, 119660, 1),
(17468, 119662, 2),
(17469, 119664, 2),
(17470, 119670, 2),
(17471, 119671, 2),
(17472, 119672, 2),
(17473, 119673, 2),
(17474, 119703, 1),
(17475, 119704, 0.2),
(17476, 119705, 0.2),
(17477, 119706, 0.25),
(17478, 119707, 4),
(17479, 119710, 1),
(17481, 119714, 2),
(17482, 119715, 2),
(17483, 119716, 2),
(17484, 119717, 1),
(17485, 119731, 0.6),
(17486, 119734, 0.1),
(17487, 119736, 6),
(17488, 119750, 0.1),
(17489, 119789, 2),
(17490, 119790, 0.4),
(17491, 119792, 0.3),
(17492, 119834, 0.5),
(17494, 119839, 1),
(17495, 119841, 0.8),
(17496, 119842, 1),
(17513, 119882, 0),
(17498, 119863, 0.2),
(17514, 119884, 0),
(17501, 119866, 0.25),
(17512, 119880, 0),
(17509, 119877, 0),
(17504, 119869, 0),
(17510, 119878, 0),
(18392, 123210, 0),
(17507, 119874, 0),
(17508, 119876, 2),
(17516, 119951, 2),
(17517, 119952, 2),
(17518, 119953, 2),
(17519, 119954, 2),
(17520, 119955, 2),
(17521, 119982, 0),
(17522, 119993, 2),
(17523, 119994, 2),
(17524, 120001, 0.8),
(17525, 120003, 0.6),
(17526, 120010, 1),
(17527, 120011, 0.15),
(17528, 120012, 0.5),
(17529, 120013, 0.15),
(17530, 120014, 1),
(17531, 120015, 1),
(17532, 120016, 1),
(17533, 120017, 1),
(17534, 120018, 0.5),
(17535, 120019, 1),
(17536, 120020, 0.5),
(17537, 120022, 0.3),
(17538, 120023, 0.7),
(17539, 120024, 0.1),
(17540, 120028, 0.25),
(17541, 120034, 0.75),
(17542, 120056, 2),
(17543, 120057, 0),
(17544, 120058, 0),
(17545, 120059, 0),
(17546, 120060, 0),
(17547, 120061, 0),
(17548, 120062, 0),
(17549, 120063, 0),
(17550, 120064, 0),
(17551, 120065, 0),
(17552, 120066, 0),
(17553, 120078, 1.6),
(17554, 120079, 0.2),
(17555, 120080, 2),
(17556, 120081, 2),
(17557, 120082, 2),
(17558, 120083, 2),
(17559, 120087, 0),
(17560, 120088, 0),
(17561, 120089, 0),
(17562, 120090, 0),
(17563, 120091, 0),
(17564, 120092, 0),
(17565, 120093, 0),
(17566, 120094, 0),
(17567, 120095, 0),
(17568, 120116, 5),
(17569, 120149, 0.4),
(20372, 129382, 0),
(17571, 120151, 0),
(17572, 120152, 0),
(17573, 120153, 0),
(17574, 120154, 0),
(17575, 120155, 0),
(18769, 124528, 0),
(17578, 120158, 2),
(17579, 120168, 1),
(17580, 120169, 1),
(17623, 120322, 0.8),
(17582, 120173, 1),
(17583, 120174, 2),
(17584, 120175, 2),
(17585, 120176, 2),
(17586, 120177, 2),
(17587, 120178, 2),
(17588, 120179, 2),
(17589, 120180, 2),
(17590, 120181, 2),
(17591, 120182, 1),
(17592, 120183, 2),
(17593, 120184, 1),
(17594, 120185, 1),
(17595, 120187, 1),
(17596, 120188, 1),
(17597, 120189, 1),
(17598, 120190, 0.6),
(17599, 120193, 0.2),
(17601, 120199, 0.5),
(17602, 120203, 2),
(17603, 120204, 2),
(17604, 120206, 1),
(17605, 120207, 1),
(17606, 120208, 1),
(17607, 120209, 1),
(17608, 120211, 1),
(17842, 121494, 0),
(17610, 120213, 1),
(17611, 120214, 1),
(17942, 121718, 0.5),
(17613, 120216, 1),
(17614, 120219, 0.25),
(17615, 120247, 2),
(17616, 120248, 2),
(17617, 120250, 2),
(17618, 120251, 2),
(17619, 120264, 2),
(17620, 120284, 0.2),
(17621, 120307, 2),
(17622, 120308, 2),
(17624, 120338, 1),
(17625, 120339, 2),
(17626, 120340, 2),
(17627, 120344, 2),
(17628, 120345, 2),
(17629, 120346, 2),
(17630, 120347, 2),
(17631, 120348, 2),
(17632, 120349, 2),
(17633, 120350, 2),
(17634, 120351, 1.5),
(17635, 120352, 1),
(17636, 120353, 5),
(17637, 120358, 1),
(17638, 120359, 0.7),
(20374, 129384, 0),
(20373, 129383, 0),
(20375, 129385, 0),
(17644, 120485, 1),
(17645, 120487, 1),
(17646, 120489, 1),
(17647, 120492, 0),
(17648, 120494, 0),
(17649, 120496, 0),
(17650, 120497, 1),
(17651, 120498, 1),
(17652, 120499, 1),
(17653, 120500, 0),
(17654, 120501, 0),
(17655, 120502, 0),
(17656, 120503, 0),
(17657, 120504, 0),
(17660, 120507, 0),
(17659, 120506, 0),
(17661, 120508, 0),
(17662, 120509, 0),
(17663, 120510, 0),
(17664, 120519, 2),
(17666, 120537, 0.2),
(17667, 120553, 0),
(17668, 120554, 0),
(17669, 120555, 0),
(17670, 120556, 0),
(17671, 120557, 0),
(17672, 120558, 0),
(17673, 120559, 0),
(17674, 120580, 0.75),
(17675, 120586, 0.5),
(17676, 120587, 0.4),
(17678, 120589, 2),
(17679, 120837, 1),
(17680, 120838, 0.8),
(17681, 120845, 0.5),
(17682, 120846, 0.5),
(17683, 120847, 0.9),
(17684, 120871, 0),
(17685, 120873, 1),
(17686, 120892, 2),
(17687, 120914, 0),
(17688, 120915, 0),
(17689, 120916, 0),
(17690, 120917, 0),
(17691, 120918, 0),
(17692, 120919, 0),
(17967, 121786, 1),
(17694, 120921, 0),
(17695, 120922, 0),
(17696, 120923, 0),
(17697, 120925, 0),
(17698, 120926, 0),
(17699, 120927, 0),
(17700, 120928, 0),
(17701, 120973, 0),
(17702, 120977, 0),
(17703, 120978, 0),
(17704, 120985, 2),
(17705, 120988, 2),
(17706, 120992, 0.4),
(17707, 120997, 2),
(17708, 121007, 2),
(17709, 121008, 2),
(17710, 121038, 0),
(17711, 121039, 0),
(17712, 121040, 0),
(17713, 121041, 0),
(17714, 121042, 0),
(17715, 121043, 0),
(17733, 121090, 0.4),
(17717, 121045, 0),
(17718, 121046, 0),
(17719, 121047, 0),
(17720, 121048, 0),
(17721, 121049, 0),
(17722, 121050, 0),
(17723, 121051, 0),
(17724, 121052, 0),
(17725, 121056, 1),
(17726, 121058, 0.8),
(17727, 121059, 0.1),
(17728, 121080, 0.2),
(17729, 121081, 0.5),
(17730, 121082, 0.8),
(17731, 121087, 0),
(17732, 121089, 0),
(17734, 121099, 1),
(17735, 121168, 0.3),
(17736, 121171, 1),
(17737, 121172, 1),
(17738, 121173, 1),
(17739, 121174, 1),
(17740, 121175, 1),
(17741, 121176, 1),
(17742, 121177, 1),
(17743, 121179, 0.2),
(17744, 121180, 0.1),
(17745, 121181, 0.4),
(17746, 121182, 0.5),
(17747, 121183, 0.1),
(17748, 121184, 0.2),
(17749, 121185, 1),
(17750, 121186, 1),
(17751, 121187, 1),
(17752, 121188, 1),
(17753, 121189, 0.2),
(17754, 121190, 0.2),
(17755, 121191, 0.2),
(17756, 121192, 0.1),
(17757, 121193, 0.8),
(17760, 121201, 2),
(17759, 121200, 1),
(17761, 121205, 2),
(17762, 121206, 2),
(17763, 121207, 1),
(17787, 121265, 0.5),
(17766, 121210, 1),
(17767, 121213, 2),
(17768, 121214, 2),
(17769, 121215, 1),
(17770, 121229, 1),
(17771, 121230, 0.2),
(17772, 121231, 0.4),
(17773, 121234, 2),
(17774, 121242, 1),
(17775, 121248, 0.5),
(17776, 121249, 0.5),
(17777, 121250, 0.5),
(17779, 121252, 0.9),
(17780, 121253, 0.8),
(17781, 121254, 0.5),
(17784, 121260, 0.5),
(17783, 121256, 0.1),
(17786, 121264, 1),
(17788, 121276, 0.3),
(17789, 121277, 0.3),
(17790, 121278, 0.3),
(17791, 121279, 0.3),
(17792, 121287, 2),
(17794, 121289, 2),
(17795, 121301, 1),
(17796, 121302, 1),
(17797, 121303, 0.5),
(17798, 121304, 1),
(17799, 121416, 1),
(17823, 121449, 0),
(17834, 121470, 0),
(17828, 121464, 2),
(17820, 121441, 2.5),
(17822, 121446, 0),
(17821, 121445, 0),
(17819, 121440, 0.2),
(17824, 121450, 0),
(17818, 121437, 1),
(17825, 121451, 0),
(17829, 121465, 0),
(17811, 121430, 1),
(17826, 121462, 2),
(17827, 121463, 2),
(17830, 121466, 0),
(17831, 121467, 0),
(18945, 125185, 0),
(17833, 121469, 0),
(17835, 121471, 0),
(17836, 121472, 0),
(17837, 121473, 0),
(17838, 121474, 0),
(17839, 121475, 0),
(17840, 121476, 0),
(17841, 121484, 0.4),
(17843, 121495, 0),
(17844, 121496, 0),
(17845, 121497, 0),
(17846, 121498, 0),
(17847, 121501, 0.5),
(17848, 121502, 2),
(17849, 121503, 2),
(17850, 121504, 2),
(17851, 121505, 2),
(17852, 121506, 2),
(17853, 121507, 2),
(17854, 121508, 2),
(17855, 121509, 2),
(17921, 121662, 2),
(17857, 121515, 2),
(17858, 116877, 0.5),
(17859, 121519, 0.75),
(17860, 121523, 0.5),
(17868, 121547, 0.25),
(17864, 121532, 1),
(17865, 121533, 1),
(17866, 121537, 0.75),
(17867, 121540, 0.5),
(17869, 121548, 1),
(17872, 121552, 0.3),
(17873, 121553, 0.3),
(17874, 121555, 0.5),
(17875, 121559, 1),
(17876, 121560, 1),
(18133, 122360, 1),
(17878, 121563, 1),
(17879, 121564, 1),
(17880, 121565, 1),
(17881, 121566, 1),
(17882, 121567, 1),
(17883, 121568, 1),
(17884, 121569, 1),
(17885, 121572, 1),
(17886, 121573, 1),
(17887, 121574, 1),
(17888, 121577, 2),
(17889, 121578, 2),
(17890, 121579, 2),
(17891, 121593, 0.4),
(17892, 121594, 1.5),
(17893, 121600, 1),
(17894, 121606, 2),
(17895, 121607, 2),
(17896, 121612, 1),
(20377, 129387, 0),
(20376, 129386, 0),
(20395, 129408, 0),
(20383, 129395, 0),
(20384, 129396, 0),
(20385, 129397, 0),
(20386, 129398, 0),
(17904, 121637, 1),
(17905, 121638, 1),
(17906, 121639, 1),
(17907, 121640, 1),
(17908, 121641, 0),
(17909, 121642, 0),
(17910, 121643, 0),
(17911, 121646, 1),
(17912, 121647, 1),
(17913, 121648, 1),
(17914, 121653, 1),
(17915, 121654, 1),
(17916, 121656, 1),
(17917, 121657, 0.5),
(17918, 121658, 0.75),
(17919, 121660, 0.5),
(17920, 121661, 1),
(17922, 121663, 0.25),
(17923, 121664, 2),
(17924, 121665, 0.4),
(17925, 121666, 2),
(17926, 121667, 3),
(17927, 121668, 0.2),
(17928, 121669, 2),
(18051, 122000, 1),
(17930, 121700, 2),
(17931, 121702, 0.75),
(17932, 121703, 2),
(17933, 121704, 0.5),
(17934, 121705, 2),
(17935, 121706, 0.5),
(17936, 121707, 2),
(17937, 121712, 2),
(17938, 121713, 0.75),
(17939, 121714, 1),
(17940, 121715, 1),
(17941, 121716, 1),
(18016, 121924, 0),
(17945, 121736, 0),
(18017, 121925, 0),
(17947, 121738, 0),
(17948, 121739, 0),
(17949, 121740, 0),
(17950, 121741, 0),
(17951, 121742, 0.5),
(17952, 121743, 0.5),
(17953, 121744, 0.3),
(17954, 121745, 0.6),
(17955, 121746, 0.5),
(17956, 121747, 0.4),
(17957, 121748, 0.5),
(17958, 121773, 0),
(17959, 121774, 0),
(17960, 121775, 0),
(17961, 121776, 0),
(17962, 121777, 1),
(17963, 121778, 1),
(17964, 121779, 1),
(17965, 121780, 1),
(17966, 121785, 0),
(17968, 121787, 1),
(17969, 121789, 0.75),
(17970, 121790, 0.5),
(17971, 121791, 1),
(17972, 121792, 0.5),
(17973, 121795, 1),
(17974, 121797, 1),
(17975, 121808, 1),
(17976, 121813, 1),
(17977, 121814, 1),
(17978, 121817, 1),
(17979, 121823, 1),
(17980, 121824, 1),
(17981, 121825, 1),
(17982, 121826, 1),
(17983, 121827, 0.5),
(17984, 121855, 1),
(17985, 121856, 2),
(17986, 121857, 0.2),
(17987, 121859, 1),
(17988, 121860, 0.2),
(17989, 121861, 0.4),
(17990, 121865, 0.2),
(17991, 121866, 0.5),
(17992, 121867, 2),
(17993, 121868, 0),
(17994, 121869, 0),
(17995, 121870, 0),
(17996, 121871, 0),
(17997, 121872, 0),
(17998, 121873, 0),
(17999, 121874, 0),
(18000, 121875, 0),
(18001, 121876, 0),
(18002, 121903, 1),
(18003, 121904, 1),
(18004, 121905, 1),
(18005, 121906, 1),
(18006, 121908, 2),
(18007, 121909, 2),
(18008, 121910, 2),
(18009, 121911, 2),
(18010, 121912, 2),
(18011, 121913, 0.25),
(18012, 121914, 1),
(18013, 121921, 0),
(18014, 121922, 0),
(18015, 121923, 0),
(18018, 121926, 1),
(18019, 121930, 0),
(18020, 121931, 0),
(18021, 121932, 0),
(18022, 121933, 0),
(18023, 121935, 0),
(18024, 121936, 1),
(18025, 121937, 0.8),
(18026, 121938, 0.2),
(18027, 121940, 2),
(18028, 121941, 2),
(18029, 121948, 0.2),
(18030, 121949, 1),
(18031, 121951, 0.05),
(18032, 121953, 0.2),
(18033, 121954, 0.4),
(18034, 121955, 0.5),
(18035, 121956, 2),
(18037, 121958, 1),
(18038, 121959, 1),
(18039, 121960, 1),
(18040, 121961, 2),
(18041, 121962, 2),
(18042, 121963, 2),
(18043, 121964, 2),
(18044, 121965, 2),
(18045, 121966, 2),
(18046, 121969, 2),
(18047, 121971, 2),
(18048, 121985, 0.5),
(18049, 121987, 0.4),
(18050, 121999, 0.3),
(18052, 122001, 1),
(18053, 122002, 1),
(18054, 122003, 1),
(18055, 122004, 1),
(18056, 122005, 1),
(18057, 122006, 1),
(18058, 122007, 1),
(18059, 122008, 1),
(18060, 122009, 1),
(18061, 122010, 1),
(18062, 122011, 1),
(18063, 122012, 1),
(18064, 122013, 1),
(18065, 122014, 0.5),
(18066, 122033, 4),
(18067, 122034, 4),
(18068, 122035, 1),
(18069, 122036, 1),
(18070, 122037, 1),
(18071, 122043, 0),
(18072, 122044, 0),
(18073, 122045, 0),
(18074, 122062, 0.5),
(18075, 122063, 0.15),
(18076, 122064, 0.2),
(18077, 122065, 1),
(18078, 122066, 0.75),
(18112, 122325, 0.5),
(18080, 122068, 0.25),
(18081, 122069, 1),
(18082, 122070, 0.1),
(18083, 122086, 0.15),
(18084, 122088, 0.15),
(18085, 122089, 1),
(18086, 122090, 0.4),
(18087, 122091, 0.5),
(18088, 122101, 1),
(18089, 122102, 1),
(18090, 122103, 1),
(18091, 122104, 1),
(18092, 122105, 1),
(18093, 122127, 1),
(18094, 122128, 0.2),
(18095, 122129, 1),
(18096, 122131, 1),
(18097, 122157, 0.1),
(18134, 122364, 1),
(18099, 122165, 2),
(18100, 122167, 0.6),
(18101, 122168, 0.7),
(18102, 122169, 1),
(18103, 122178, 0),
(18104, 122246, 0.2),
(18105, 122247, 0.6),
(18106, 122248, 0.5),
(18107, 122272, 0.2),
(18108, 122274, 0.2),
(18109, 122276, 0.4),
(18110, 122279, 0.7),
(18111, 122324, 1),
(18113, 122326, 1),
(18114, 122327, 1),
(18467, 123466, 1),
(18466, 123464, 1),
(18117, 122331, 2),
(18465, 123462, 1),
(18464, 123454, 3),
(18120, 122334, 2),
(18121, 122335, 2),
(18122, 122336, 2),
(18123, 122337, 2),
(18124, 122343, 1),
(18125, 122344, 1),
(18126, 122345, 1),
(18127, 122346, 1),
(18128, 122353, 2),
(18129, 122355, 1),
(18130, 122356, 1),
(18131, 122357, 0.2),
(18132, 122359, 1),
(18135, 122366, 1),
(18136, 122367, 0.2),
(18137, 122373, 0.2),
(18138, 122374, 1),
(18139, 122386, 1),
(18140, 122389, 1),
(18141, 122390, 2),
(18142, 122402, 0.2),
(18143, 122410, 1),
(18144, 122411, 2),
(18145, 122412, 2),
(18146, 122413, 2),
(18147, 122415, 2),
(18148, 122416, 2),
(18149, 122418, 1),
(18150, 122419, 1),
(18151, 122420, 1),
(18152, 122421, 2),
(18153, 122427, 1),
(18154, 122430, 1),
(18155, 122431, 1),
(18156, 122432, 1),
(18157, 122433, 1),
(18158, 122434, 0.4),
(18159, 122436, 1),
(18160, 122442, 2),
(18558, 123641, 1),
(18162, 122446, 1),
(18163, 122447, 1),
(18164, 122448, 1),
(18165, 122449, 1),
(18166, 122451, 1),
(18167, 122457, 1),
(18168, 122458, 1),
(18169, 122459, 1),
(18170, 122460, 1),
(18171, 122465, 0.5),
(18172, 122466, 1),
(18173, 122467, 1),
(18174, 122468, 1),
(18175, 122469, 0.5),
(18176, 122470, 1),
(18177, 122471, 2),
(18178, 122472, 2),
(18179, 122473, 2),
(18180, 122474, 2),
(18181, 122475, 2),
(18182, 122476, 2),
(18189, 122483, 1),
(18193, 122487, 1),
(18192, 122486, 2),
(18186, 122480, 2),
(18187, 122481, 2),
(18188, 122482, 2),
(18190, 122484, 2),
(18194, 122488, 1),
(18195, 122489, 1),
(18196, 122490, 1),
(18197, 122491, 1),
(18198, 122492, 1),
(18199, 122493, 1),
(18200, 122494, 1),
(18201, 122495, 1),
(18202, 122496, 1),
(18203, 122497, 1),
(18204, 122498, 1),
(18205, 122499, 1),
(18206, 122500, 1),
(18207, 122501, 1),
(18208, 122502, 0),
(18209, 122503, 0),
(18210, 122504, 0),
(18211, 122505, 0),
(18212, 122506, 0),
(18213, 122507, 0),
(18214, 122508, 0),
(18215, 122509, 0),
(18216, 122510, 2),
(18217, 122511, 0),
(18218, 122512, 2),
(18219, 122513, 0),
(18220, 122514, 2),
(18221, 122515, 0),
(18222, 122516, 2),
(18223, 122517, 0),
(18224, 122518, 0),
(18225, 122519, 0),
(18226, 122520, 0),
(18227, 122521, 0),
(18228, 122524, 1),
(18229, 122525, 0.5),
(18230, 122526, 0.5),
(18231, 122527, 1),
(18232, 122530, 1),
(18233, 122531, 0.5),
(18234, 122532, 0.5),
(18235, 122533, 0.5),
(18236, 122534, 2),
(18237, 122535, 0.25),
(18238, 122536, 1),
(18239, 122537, 1),
(18240, 122541, 5),
(18241, 122547, 0),
(18242, 122548, 0),
(18243, 122550, 0),
(18244, 122556, 0.5),
(18245, 122558, 0.75),
(18246, 122560, 1),
(18247, 122561, 1),
(18248, 122577, 1),
(18249, 122604, 0),
(18250, 122605, 0),
(18251, 122606, 0),
(18252, 122607, 0),
(18253, 122608, 0),
(18254, 122609, 0),
(18255, 122610, 0),
(18260, 122620, 1),
(18261, 122621, 1),
(18262, 122622, 1),
(18259, 122619, 1),
(18263, 122623, 1),
(18264, 122630, 1),
(18265, 122634, 1),
(18266, 122635, 1),
(18267, 122638, 0.3),
(18268, 122639, 1.5),
(18269, 122640, 0.2),
(18270, 122643, 0.5),
(18271, 122644, 0.2),
(18272, 122672, 1),
(18273, 122675, 13),
(18274, 122686, 1),
(18275, 122687, 0),
(18276, 122688, 0),
(18277, 122689, 0),
(18278, 122690, 0),
(18279, 122691, 0),
(18280, 122692, 0),
(18281, 122693, 0),
(18282, 122694, 0),
(18283, 122708, 0),
(18284, 122709, 0),
(18285, 122711, 1),
(18286, 122712, 1),
(18287, 122720, 0),
(18288, 122722, 0),
(19930, 127826, 1),
(18290, 122725, 0),
(19931, 127860, 0),
(18292, 122727, 0),
(18293, 122728, 0),
(18294, 122729, 0),
(18295, 122730, 0),
(18296, 122731, 0),
(18297, 122732, 0),
(18298, 122733, 0),
(18299, 122734, 0),
(18300, 122735, 0),
(18301, 122736, 0),
(18302, 122737, 0),
(18303, 122738, 0),
(18304, 122739, 0),
(18305, 122740, 0),
(18306, 122741, 0),
(18307, 122742, 0),
(18308, 122743, 0),
(18309, 122744, 0),
(18310, 122745, 0),
(18311, 122746, 0),
(18312, 122747, 0),
(18313, 122748, 0),
(18327, 122830, 0),
(18326, 122788, 1),
(18325, 122786, 1),
(18324, 122777, 0.6),
(18318, 122753, 0),
(18319, 122754, 0),
(18320, 122755, 0),
(18328, 122831, 0),
(18322, 122757, 0),
(18323, 122758, 0),
(18329, 122832, 0),
(18330, 122833, 0),
(18331, 122834, 0),
(18332, 122848, 0),
(18333, 122849, 0),
(18334, 122850, 0),
(18335, 122851, 0),
(18336, 122852, 0),
(18337, 122853, 0),
(18338, 122854, 0),
(18341, 122857, 0),
(18340, 122856, 0),
(18342, 122858, 0),
(18343, 122859, 0),
(18344, 122860, 0),
(18345, 122861, 0),
(18346, 122862, 0),
(18347, 122867, 1),
(18348, 122868, 0),
(18349, 122869, 0),
(18350, 122870, 0),
(18351, 122871, 0),
(18352, 122872, 0),
(18353, 122873, 0),
(18354, 122874, 0),
(18355, 122875, 0),
(18356, 122876, 0),
(18357, 122877, 0),
(18358, 122878, 0),
(18359, 122879, 0),
(18360, 122880, 0),
(18361, 122881, 0),
(18362, 122882, 0),
(18363, 122883, 0),
(18364, 122884, 0),
(18365, 122885, 0),
(18366, 122886, 0),
(18367, 122935, 1),
(18368, 123020, 1),
(18369, 123021, 1),
(18370, 123034, 0),
(18371, 123035, 2),
(18372, 123036, 2),
(18373, 123045, 1),
(18374, 123046, 1),
(18375, 123047, 1),
(18376, 123048, 1),
(18377, 123093, 1),
(18378, 123094, 1),
(18379, 123100, 0),
(18380, 123112, 0),
(18381, 123117, 0),
(18382, 123122, 0.8),
(18383, 123123, 0.8),
(18384, 123129, 0.4),
(18385, 123130, 0),
(18386, 123131, 0),
(18387, 123152, 0),
(18388, 123153, 0),
(18389, 123183, 1),
(18390, 123208, 1),
(18391, 123209, 0),
(18393, 123211, 0),
(18394, 123222, 1),
(18395, 123223, 0),
(18396, 123224, 0),
(18397, 123225, 1),
(18398, 123234, 3),
(18399, 123235, 0.6),
(18400, 123245, 0),
(18401, 123246, 0),
(18402, 123247, 0),
(18403, 123248, 0),
(18404, 123249, 1),
(18405, 123250, 1),
(18406, 123251, 1),
(18683, 124182, 0),
(18682, 124181, 0),
(18409, 123254, 0),
(18410, 123255, 1),
(18411, 123257, 1),
(18412, 123258, 0),
(18413, 123259, 0),
(18680, 124168, 0),
(18681, 124169, 0),
(18416, 123262, 0),
(18417, 123263, 0),
(18705, 124213, 0),
(18419, 123269, 0),
(18424, 123275, 0),
(18421, 123272, 0),
(18422, 123273, 0),
(18423, 123274, 0),
(18425, 123276, 0),
(18426, 123277, 0),
(18427, 123278, 0),
(18428, 123280, 0),
(18429, 123281, 1),
(18430, 123282, 1),
(18431, 123283, 1),
(18432, 123284, 2),
(18433, 123285, 0),
(18434, 123286, 0),
(18435, 123287, 0),
(18436, 123288, 0),
(18437, 123289, 0),
(18438, 123290, 0),
(18439, 123291, 0),
(18440, 123337, 2),
(18441, 123338, 2),
(18442, 123353, 1),
(18443, 123354, 1),
(18444, 123355, 0.75),
(18445, 123356, 0.5),
(18446, 123357, 1),
(18447, 123358, 1),
(18448, 123359, 1),
(18449, 123380, 1),
(18450, 123381, 1),
(18451, 123382, 1),
(18452, 123383, 1),
(18453, 123384, 1),
(18454, 123385, 1),
(18455, 123386, 1),
(18456, 123387, 1),
(18457, 123388, 1),
(18458, 123389, 1),
(18459, 123395, 1),
(18460, 123396, 1),
(18461, 123398, 1),
(18462, 123400, 1),
(18463, 123402, 1),
(18468, 123468, 1),
(18469, 123469, 1),
(18470, 123470, 1),
(18471, 123471, 2),
(18472, 123472, 2),
(18473, 123473, 1),
(18474, 123474, 2),
(18475, 123475, 2),
(18476, 123476, 1),
(18477, 123496, 1),
(18478, 123499, 1),
(18479, 123506, 1),
(18480, 123507, 1),
(18481, 123528, 2),
(18482, 123532, 2),
(18483, 123536, 2),
(18484, 123539, 2),
(18485, 123540, 2),
(18486, 123541, 3),
(18487, 123542, 0.1),
(18488, 123543, 1),
(18489, 123544, 1),
(18490, 123545, 1),
(18491, 123546, 1),
(18492, 123547, 1),
(18493, 123548, 1),
(18494, 123549, 1),
(18495, 123550, 1),
(18496, 123551, 1),
(18497, 123552, 1),
(18498, 123553, 1),
(18499, 123554, 1),
(18500, 123555, 1),
(18501, 123556, 1),
(18502, 123561, 0.5),
(18503, 123563, 0.5),
(18504, 123566, 0.75),
(18505, 123567, 0.75),
(18506, 123568, 1),
(18507, 123569, 1),
(18508, 123570, 1),
(18509, 123571, 0.5),
(18510, 123572, 2),
(18511, 123573, 1),
(18512, 123574, 1),
(18513, 123575, 1),
(18514, 123576, 1),
(18515, 123577, 0.75),
(18516, 123578, 1),
(18517, 123579, 0.5),
(18518, 123580, 0.25),
(18519, 123581, 1),
(18520, 123582, 0.5),
(18521, 123583, 0.5),
(18522, 123584, 0.5),
(18523, 123585, 1),
(18524, 123586, 0.4),
(18525, 123587, 1),
(18526, 123588, 1),
(18527, 123589, 1),
(18528, 123590, 0.5),
(18529, 123591, 0.75),
(18530, 123592, 1),
(18531, 123593, 1),
(18532, 123594, 0),
(18533, 123595, 1),
(18559, 123642, 1),
(18560, 123643, 1),
(18561, 123644, 1),
(18567, 123653, 1),
(18566, 123652, 1),
(18562, 123645, 1),
(18565, 123651, 1),
(18563, 123649, 1),
(18568, 123655, 1),
(18564, 123650, 1),
(20986, 131301, 0.2),
(20985, 131280, 1),
(20984, 131279, 0),
(20983, 131278, 0),
(20982, 131277, 0),
(18549, 123625, 2),
(18550, 123626, 2),
(18551, 123627, 2),
(18552, 123628, 2),
(18553, 123629, 2),
(18554, 123635, 2),
(18555, 123637, 2),
(18556, 123638, 2),
(18557, 123639, 2),
(18569, 123656, 1),
(18570, 123657, 1),
(18571, 123658, 1),
(18572, 123659, 1),
(18573, 123660, 1),
(18574, 123681, 1),
(18575, 123683, 1),
(18576, 123694, 1),
(18577, 123695, 1),
(18578, 123696, 1),
(18579, 123697, 1),
(18580, 123698, 0.5),
(18581, 123699, 1),
(18582, 123700, 0.5),
(18583, 123701, 0.5),
(18584, 123702, 0.5),
(18585, 123703, 1),
(18586, 123704, 0.5),
(18587, 123705, 0.5),
(18588, 123708, 1),
(18589, 123713, 0.5),
(18590, 123721, 0.5),
(18591, 123724, 0),
(18592, 123725, 0),
(18593, 123727, 0),
(18594, 123728, 0),
(18595, 123751, 1),
(18596, 123752, 1),
(18597, 123767, 1),
(18598, 123782, 0.6),
(18599, 123783, 0.5),
(18600, 123784, 1),
(18601, 123785, 0.2),
(18602, 123786, 0.5),
(18603, 123787, 0.2),
(18604, 123788, 1.5),
(18605, 123789, 0.1),
(18606, 123790, 0.1),
(18607, 123791, 0.2),
(18608, 123792, 1),
(18609, 123793, 0.4),
(18610, 123794, 0.2),
(18611, 123795, 0.1),
(18612, 123796, 1),
(18613, 123797, 0.6),
(18614, 123798, 0.3),
(18615, 123800, 0),
(18616, 123802, 0),
(18617, 123803, 0),
(18618, 123804, 1),
(18619, 123805, 0),
(18620, 123817, 0),
(18621, 123818, 0),
(18622, 123819, 0),
(18623, 123820, 0),
(18624, 123821, 0),
(18625, 123822, 0),
(18626, 123824, 0),
(18627, 123836, 1),
(18629, 123851, 0),
(18634, 123914, 0.3),
(18633, 123855, 0),
(18635, 123915, 2),
(18636, 123921, 0),
(18637, 123922, 0),
(18638, 123923, 0),
(18639, 123924, 0),
(18640, 123952, 1),
(18641, 123953, 1),
(20981, 131276, 0),
(18643, 123956, 2),
(18644, 123957, 2),
(18645, 123963, 1),
(18646, 123966, 1),
(18647, 123967, 1),
(18648, 123968, 1),
(18649, 123969, 1),
(18650, 123985, 0.25),
(18651, 123987, 0),
(18652, 124006, 1),
(18653, 124008, 1),
(18654, 124009, 0),
(18703, 124211, 0),
(18656, 124064, 0.5),
(18657, 124085, 0.6),
(18658, 124092, 2),
(18659, 124099, 0.3),
(18660, 124105, 0.5),
(18661, 124106, 1),
(18662, 124107, 1),
(18663, 124109, 1),
(18664, 124112, 0),
(18665, 124113, 0),
(18666, 124114, 0),
(18667, 124115, 0),
(18668, 124117, 0),
(18669, 124119, 0),
(18670, 124122, 2),
(18671, 124123, 2),
(18672, 124124, 2),
(18673, 124125, 2),
(18674, 124126, 2),
(18675, 124127, 1),
(18676, 124131, 0),
(18677, 124132, 0),
(18684, 124186, 0.5),
(18685, 124188, 0.5),
(18686, 124189, 1),
(18687, 124190, 1),
(18688, 124192, 1),
(18689, 124193, 0.5),
(18690, 124194, 0.25),
(18691, 124195, 1.5),
(18692, 124198, 1),
(18693, 124200, 1),
(18694, 124202, 0.5),
(18695, 124203, 0.75),
(18696, 124204, 0.75),
(18697, 124205, 0.5),
(18698, 124206, 0.5),
(18699, 124207, 0.75),
(18700, 124208, 0.75),
(18701, 124209, 0.5),
(18702, 124210, 1),
(18704, 124212, 0),
(18706, 124225, 0.4),
(18707, 124226, 1.5),
(18708, 124227, 1),
(18709, 124245, 0),
(18710, 124246, 0),
(18711, 124248, 0),
(18712, 124249, 0),
(18713, 124250, 0),
(18714, 124251, 0),
(18715, 124252, 1),
(18716, 124257, 0),
(18717, 124259, 0),
(18718, 124267, 1),
(18719, 124274, 1),
(18720, 124289, 1),
(18721, 124290, 0),
(18722, 124291, 0),
(18723, 124292, 2),
(18724, 124293, 2),
(18725, 124294, 2),
(18726, 124295, 0),
(18727, 124296, 0),
(18728, 124297, 0),
(18729, 124298, 0),
(18730, 124299, 0),
(18731, 124300, 0),
(18732, 124301, 0),
(18733, 124302, 0),
(20600, 129918, 0),
(18735, 124304, 0.5),
(18736, 124305, 1),
(18737, 124306, 1),
(18738, 124307, 1),
(18739, 124308, 1),
(18740, 124309, 1),
(18741, 124310, 1),
(18742, 124311, 1),
(18743, 124312, 1),
(18744, 124313, 0.5),
(18745, 124332, 1),
(18746, 124388, 0),
(18747, 124389, 0),
(18748, 124390, 0),
(18749, 124437, 0),
(18750, 124438, 0),
(18751, 124439, 0),
(18752, 124440, 0),
(18753, 124441, 0),
(18754, 124503, 0.75),
(18755, 124507, 0.5),
(18756, 124509, 2),
(18757, 124510, 0.75),
(18758, 124511, 0.5),
(18759, 124512, 2),
(18760, 124513, 2),
(18761, 124519, 0.5),
(18762, 124520, 1),
(18763, 124522, 0),
(18765, 124524, 0),
(18766, 124525, 0),
(18767, 124526, 0),
(18768, 124527, 0),
(18770, 124529, 0),
(18772, 124531, 2),
(18773, 124532, 0),
(18774, 124533, 0),
(18777, 124542, 1),
(18778, 124545, 1),
(18779, 124548, 0),
(18780, 124549, 0),
(18781, 124550, 2),
(18782, 124557, 1),
(18783, 124559, 1),
(18784, 124580, 1),
(18785, 124581, 1),
(18786, 124582, 1),
(18787, 124583, 1),
(18788, 124584, 1),
(18789, 124585, 1),
(18790, 124587, 1),
(18791, 124589, 1),
(18794, 124606, 0.2),
(18795, 124607, 1),
(18796, 124608, 1),
(18815, 124628, 1),
(18831, 124674, 1),
(18830, 124673, 1),
(18829, 124672, 1),
(18828, 124671, 1),
(18821, 124634, 0),
(18827, 124670, 0),
(18804, 124616, 1),
(18826, 124668, 0),
(18825, 124640, 1),
(18816, 124629, 0.3),
(18824, 124639, 0),
(18823, 124637, 1),
(18822, 124636, 0),
(18820, 124633, 0),
(18832, 124675, 1),
(18833, 124676, 0),
(18834, 124677, 1),
(18835, 124678, 0),
(18836, 124679, 1),
(18837, 124680, 1),
(18854, 124697, 0),
(18839, 124682, 0),
(18840, 124683, 0),
(18843, 124686, 0),
(18858, 124701, 1.8),
(18844, 124687, 0),
(18852, 124695, 0),
(18851, 124694, 1),
(18847, 124690, 2),
(18849, 124692, 1),
(18850, 124693, 1),
(18853, 124696, 1),
(18855, 124698, 1),
(18856, 124699, 0),
(18857, 124700, 0),
(18859, 124702, 0),
(18860, 124703, 1),
(18861, 124705, 0.5),
(18939, 125062, 1),
(18863, 124710, 2),
(18864, 124711, 2),
(18865, 124712, 2),
(18867, 124715, 2),
(18868, 124717, 2),
(18869, 124718, 1),
(18870, 124756, 2),
(18871, 124757, 2),
(18872, 124758, 2),
(18873, 124759, 2),
(18874, 124760, 2),
(18875, 124761, 2),
(18876, 124768, 1),
(18877, 124773, 0.5),
(18878, 124774, 0.5),
(18879, 124780, 1),
(18880, 124783, 0.5),
(18881, 124784, 0.75),
(18882, 124785, 1),
(18883, 124786, 1),
(18884, 124787, 0.5),
(18885, 124788, 2),
(18886, 124789, 1),
(18888, 124791, 0.5),
(18889, 124792, 2),
(18890, 124799, 1),
(18891, 124800, 1),
(18892, 124812, 0.75),
(18893, 124813, 1),
(18894, 124814, 1),
(18895, 124815, 1),
(18896, 124816, 1),
(18897, 124817, 1),
(18898, 124818, 1),
(18899, 124819, 1),
(18900, 124820, 1),
(18901, 124821, 1),
(18902, 124825, 1),
(18903, 124830, 1),
(18904, 124831, 1),
(18905, 124836, 2),
(18906, 124838, 2),
(18907, 124839, 1),
(18908, 124840, 1),
(18909, 124842, 1),
(19126, 125947, 0),
(18911, 124844, 1),
(18912, 124845, 1),
(18913, 124846, 1),
(18914, 124847, 1),
(18915, 124848, 1),
(18916, 124850, 1),
(18917, 124851, 1),
(18918, 124852, 1),
(18919, 124864, 1),
(18920, 124870, 1),
(18921, 124890, 1),
(18929, 124916, 0),
(19015, 125392, 0),
(18924, 124907, 0),
(18925, 124908, 0),
(18926, 124911, 0),
(18927, 124912, 0),
(18928, 124914, 0),
(18930, 124922, 2),
(18931, 124926, 1.5),
(18932, 124931, 2),
(18933, 124956, 0.1),
(18934, 124957, 0.4),
(18935, 124958, 1),
(18936, 124959, 0.2),
(18937, 124960, 0.3),
(18938, 125017, 0.5),
(18940, 125063, 1),
(18941, 125065, 1),
(18943, 125173, 0),
(18944, 125182, 0),
(18946, 125186, 0),
(18947, 125187, 0),
(18950, 125193, 0),
(18949, 125192, 0),
(18951, 125207, 0),
(18952, 125208, 0),
(18953, 125216, 0),
(18954, 125218, 0),
(18955, 125219, 0),
(18956, 125220, 0),
(18957, 125221, 0),
(18958, 125222, 0),
(18959, 125223, 0),
(18960, 125224, 0),
(18961, 125225, 0),
(18962, 125226, 0),
(18963, 125227, 0),
(18964, 125228, 0),
(18965, 125229, 0),
(18966, 125230, 0),
(18967, 125231, 0),
(18968, 125232, 0),
(18969, 125253, 1),
(18970, 125289, 0.5),
(18971, 125290, 1),
(18972, 125291, 1),
(18973, 125292, 1),
(18974, 125293, 1),
(18975, 125294, 0),
(18976, 125298, 1),
(18977, 125299, 1),
(18978, 125300, 1),
(19419, 126514, 1),
(18980, 125347, 0),
(18981, 125348, 0),
(18982, 125349, 0),
(18983, 125350, 0),
(18985, 125352, 0),
(18986, 125353, 0),
(18987, 125354, 0),
(18988, 125356, 0),
(18989, 125357, 0),
(18990, 125361, 0),
(18991, 125362, 0),
(18992, 125363, 0),
(18993, 125364, 0),
(18994, 125365, 0),
(19258, 126302, 0),
(19010, 125387, 1),
(19017, 125483, 0),
(18998, 125369, 0),
(18999, 125370, 0),
(19000, 125371, 2),
(19001, 125374, 0),
(19002, 125375, 0),
(19003, 125376, 0),
(19004, 125377, 0),
(19005, 125378, 0),
(19006, 125379, 0),
(19007, 125380, 0),
(19008, 125381, 0),
(19013, 125390, 0),
(19016, 125393, 0),
(19018, 125484, 0),
(19019, 125485, 0),
(19020, 125487, 0),
(19021, 125492, 0),
(19022, 125493, 0),
(19023, 125494, 0),
(19024, 125495, 0),
(19025, 125496, 0),
(19026, 125497, 0),
(19027, 125498, 0),
(19028, 125499, 0),
(19029, 125502, 0),
(19030, 125504, 0),
(19031, 125509, 0),
(19032, 125510, 0),
(19033, 125513, 0),
(19034, 125514, 0),
(19035, 125522, 1),
(19036, 125524, 0),
(19037, 125525, 0),
(19039, 125575, 0),
(19040, 125578, 0),
(19041, 125584, 0),
(19042, 125592, 0),
(19043, 125595, 0),
(19044, 125596, 0),
(19046, 125601, 0),
(19047, 125603, 0),
(19049, 125609, 0),
(19050, 125628, 0.2),
(19051, 125630, 1.5),
(19052, 125631, 0.1),
(19053, 125632, 0.3),
(19054, 125633, 0.2),
(19055, 125643, 0),
(19056, 125644, 0),
(19057, 125645, 0),
(19058, 125646, 0),
(19059, 125675, 0),
(19060, 125719, 1),
(19061, 125722, 0),
(19062, 125725, 1),
(19063, 125730, 1),
(19067, 125761, 0.2),
(19068, 125762, 2),
(19069, 125769, 0),
(19070, 125777, 0),
(19071, 125778, 0),
(19072, 125779, 0),
(19073, 125781, 0),
(19074, 125785, 0),
(19075, 125787, 0),
(19076, 125788, 0),
(19077, 125795, 0),
(19078, 125796, 0),
(19079, 125797, 0),
(19080, 125798, 0),
(19081, 125800, 0),
(19082, 125816, 0),
(19083, 125818, 0),
(19084, 125823, 0),
(19085, 125825, 0),
(19086, 125826, 0),
(19087, 125837, 0),
(19088, 125844, 0),
(19092, 125852, 0),
(19090, 125847, 0),
(19091, 125851, 0),
(19093, 125854, 0),
(19094, 125855, 0),
(19095, 125856, 0),
(19096, 125857, 0),
(19097, 125861, 0),
(19098, 125864, 0),
(19121, 125913, 0),
(19100, 125868, 0),
(19101, 125869, 0),
(19240, 126250, 0),
(19103, 125871, 0),
(19104, 125872, 0),
(19119, 125911, 0),
(19107, 125885, 0),
(19108, 125886, 0),
(19109, 125887, 0),
(19110, 125888, 0),
(19111, 125889, 0),
(19112, 125890, 0),
(19113, 125891, 0),
(19114, 125892, 0),
(19115, 125896, 0),
(19116, 125897, 0),
(19117, 125898, 0),
(19124, 125917, 0),
(19123, 125916, 0),
(19125, 125946, 1),
(19127, 125948, 1),
(19128, 125949, 0.5),
(19129, 125950, 1),
(19130, 125951, 1),
(19131, 125964, 0),
(19132, 125965, 0),
(19133, 125966, 0),
(19134, 125968, 0.5),
(19135, 125975, 0.2),
(19136, 125976, 1),
(19137, 125977, 0.7),
(19138, 125978, 0),
(19139, 125979, 0),
(19140, 125980, 0),
(19141, 125983, 1),
(19142, 125984, 1),
(19143, 125996, 2),
(19144, 125998, 0),
(19145, 125999, 0),
(19146, 126000, 0),
(19147, 126001, 0),
(19148, 126002, 1),
(19149, 126004, 0),
(19150, 126005, 0),
(19151, 126006, 0),
(19153, 126008, 0),
(19154, 126009, 0),
(19155, 126010, 0),
(19156, 126011, 0),
(19157, 126012, 0),
(19158, 126013, 0),
(19159, 126014, 0),
(19160, 126015, 0),
(19161, 126016, 2),
(19163, 126018, 2),
(19164, 126025, 0),
(19165, 126026, 2),
(19166, 126027, 0),
(19167, 126028, 2),
(19168, 126029, 0),
(19169, 126030, 0),
(19927, 127823, 0),
(19926, 127822, 0),
(19172, 126033, 0),
(19173, 126034, 0),
(19174, 126035, 0),
(19175, 126036, 0),
(19176, 126037, 0),
(19177, 126038, 0),
(19178, 126039, 0),
(19179, 126040, 0),
(19180, 126041, 0),
(19181, 126042, 0),
(19182, 126043, 0),
(19183, 126044, 0),
(19184, 126045, 0),
(19185, 126046, 0),
(19186, 126047, 0),
(19187, 126048, 0),
(19188, 126049, 0),
(19189, 126050, 0),
(19190, 126051, 0),
(19919, 127815, 0),
(19918, 127814, 0),
(19917, 127813, 0),
(19916, 127812, 0),
(19196, 126057, 0),
(19197, 126058, 0),
(19198, 126059, 0),
(19199, 126060, 0),
(19200, 126061, 0),
(19201, 126062, 0),
(19202, 126063, 0),
(19203, 126064, 0),
(19205, 126066, 0),
(19206, 126067, 0),
(19208, 126069, 0),
(19209, 126070, 0),
(19210, 126071, 0),
(19211, 126072, 0),
(19212, 126073, 0),
(19213, 126074, 0),
(19214, 126075, 0),
(19215, 126076, 0),
(19216, 126098, 0),
(19217, 126101, 0),
(19255, 126278, 0),
(19219, 126124, 1),
(19221, 126127, 0),
(19222, 126128, 0),
(19223, 126139, 1),
(19225, 126147, 0.9),
(19226, 126151, 0.5),
(19227, 126155, 0.1),
(19228, 126171, 1),
(19229, 126207, 0),
(19230, 126208, 0),
(19231, 126209, 0),
(19232, 126210, 0),
(19233, 126212, 0),
(19477, 126593, 0.05),
(19235, 126214, 0),
(19236, 126220, 1),
(19237, 126230, 1),
(19238, 126234, 1),
(19239, 126249, 0),
(19241, 126251, 0),
(19242, 126252, 0),
(19243, 126253, 0),
(19244, 126254, 2),
(19245, 126255, 2),
(19246, 126256, 2),
(19247, 126258, 0),
(19248, 126259, 0),
(19249, 126260, 0),
(19250, 126267, 0.5),
(19251, 126268, 0.2),
(19252, 126269, 0.2),
(19253, 126270, 0.05),
(19254, 126271, 0.25),
(19256, 126279, 0),
(19257, 126300, 1),
(19259, 126303, 0),
(19260, 126304, 0),
(19261, 126305, 0),
(19262, 126306, 0),
(19264, 126311, 0),
(19265, 126313, 0),
(19266, 126314, 0),
(19267, 126315, 0),
(19268, 126316, 0),
(19269, 126317, 0),
(19270, 126318, 0),
(19271, 126319, 0),
(19272, 126320, 0),
(19273, 126321, 0),
(19274, 126329, 1),
(19275, 126330, 1),
(19276, 126331, 2),
(19277, 126340, 0),
(19278, 126342, 0),
(19279, 126344, 0),
(19280, 126345, 0),
(19281, 126346, 0),
(19282, 126347, 0),
(19283, 126348, 0),
(19284, 126349, 0),
(19285, 126350, 0),
(19286, 126351, 0),
(19287, 126352, 0),
(19288, 126353, 0),
(19289, 126354, 0),
(19290, 126355, 0),
(19291, 126356, 0),
(19292, 126357, 0);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(19293, 126358, 0),
(19294, 126359, 0),
(19295, 126360, 0),
(19296, 126361, 0),
(19297, 126362, 0),
(19298, 126364, 0.2),
(19299, 126365, 0.2),
(19300, 126366, 0.6),
(19311, 126390, 0),
(19312, 126391, 0),
(19314, 126393, 0),
(19315, 126394, 0),
(19316, 126395, 0),
(19317, 126396, 0),
(19318, 126397, 0),
(19319, 126398, 0),
(19320, 126399, 0),
(19321, 126400, 0),
(19325, 126404, 0),
(19324, 126403, 0),
(19326, 126405, 0),
(19327, 126406, 0),
(19328, 126407, 0),
(19329, 126408, 0),
(19330, 126409, 0),
(19331, 126410, 0),
(19332, 126411, 0),
(19333, 126413, 0),
(19334, 126414, 0),
(19335, 126415, 0),
(19336, 126416, 0),
(19337, 126417, 0),
(19338, 126418, 0),
(19339, 126419, 0),
(19340, 126433, 2),
(19341, 126434, 0),
(19342, 126435, 0),
(19343, 126436, 0),
(19344, 126437, 0),
(19345, 126438, 0),
(19346, 126439, 0),
(19347, 126440, 0),
(19348, 126441, 0),
(19349, 126442, 0),
(19350, 126443, 0),
(19375, 126468, 0),
(19352, 126445, 0),
(19374, 126467, 0),
(19354, 126447, 0),
(19355, 126448, 0),
(19356, 126449, 0),
(19357, 126450, 0),
(19358, 126451, 0),
(19359, 126452, 0),
(19382, 126475, 0),
(19379, 126472, 0),
(19378, 126471, 0),
(19377, 126470, 0),
(19376, 126469, 0),
(19367, 126460, 0),
(19373, 126466, 0),
(19369, 126462, 0),
(19372, 126465, 0),
(19371, 126464, 0),
(19383, 126476, 0),
(19384, 126477, 0),
(19385, 126478, 0),
(19386, 126480, 0.75),
(19387, 126481, 0.5),
(19388, 126482, 1),
(19389, 126483, 0.75),
(19390, 126484, 0.5),
(19391, 126485, 1),
(19392, 126486, 0.5),
(19393, 126487, 1),
(19394, 126488, 0.5),
(19395, 126489, 1),
(19396, 126490, 0.8),
(19397, 126491, 1),
(19398, 126492, 1),
(19399, 126493, 0.8),
(19400, 126494, 1),
(19401, 126495, 0.4),
(19402, 126496, 1),
(19403, 126497, 0.8),
(19404, 126498, 1),
(19556, 126796, 0),
(19406, 126500, 0),
(19407, 126501, 0),
(19408, 126502, 0),
(19409, 126503, 0),
(19410, 126504, 0),
(19412, 126506, 0),
(19418, 126513, 1),
(19420, 126515, 1),
(19421, 126516, 1),
(19422, 126517, 1),
(19423, 126518, 1),
(19424, 126519, 0.25),
(19425, 126520, 1),
(19427, 126524, 1),
(19438, 126544, 0.75),
(19440, 126546, 0.2),
(19430, 126527, 0.25),
(19435, 126541, 0),
(19436, 126542, 0.2),
(19434, 126534, 0),
(19437, 126543, 0.2),
(19439, 126545, 0.5),
(19441, 126547, 1),
(19527, 126662, 0.25),
(19443, 126549, 0.5),
(19444, 126550, 1),
(19446, 126552, 2),
(19447, 126553, 2),
(19448, 126554, 0),
(19449, 126555, 0),
(19450, 126556, 1),
(19451, 126557, 1),
(19452, 126558, 1),
(19453, 126559, 1),
(19454, 126560, 1),
(19455, 126561, 1),
(19456, 126562, 1),
(19457, 126563, 1),
(19458, 126564, 1),
(19459, 126565, 1),
(19460, 126566, 1),
(19461, 126567, 1),
(19462, 126569, 1),
(19463, 126570, 0.25),
(19464, 126571, 0.75),
(19465, 126572, 1),
(19466, 126573, 1),
(19467, 126574, 0.75),
(19468, 126576, 2),
(19469, 126577, 1),
(19470, 126578, 0.5),
(19471, 126583, 1),
(19472, 126584, 1),
(19473, 126585, 1),
(19474, 126586, 1),
(19475, 126587, 1),
(19476, 126588, 1),
(19478, 126594, 0.2),
(19479, 126596, 2),
(19480, 126597, 1),
(19481, 126598, 0.5),
(19482, 126599, 1),
(19483, 126600, 1),
(19484, 126601, 1),
(19485, 126602, 0.5),
(19486, 126603, 0.75),
(19487, 126604, 0.5),
(19488, 126606, 1),
(19489, 126607, 2),
(19490, 126608, 2),
(19491, 126609, 1),
(19492, 126610, 2),
(19493, 126611, 2),
(19494, 126612, 0),
(19495, 126613, 2),
(19496, 126614, 2),
(19497, 126619, 2),
(19498, 126622, 1),
(19499, 126623, 2),
(19500, 126624, 2),
(19501, 126631, 1),
(19502, 126633, 1),
(19503, 126634, 1),
(19504, 126635, 1),
(19505, 126636, 1),
(19506, 126637, 1),
(19507, 126638, 2),
(19508, 126639, 2),
(19510, 126641, 2),
(19523, 126657, 1),
(19512, 126643, 2),
(19524, 126658, 1),
(19525, 126659, 0.5),
(19516, 126647, 1),
(19517, 126649, 1),
(19518, 126652, 1),
(19519, 126653, 1),
(19520, 126654, 1),
(19521, 126655, 1),
(19526, 126661, 2),
(19528, 126663, 0.4),
(19529, 126664, 0.5),
(19530, 126665, 0.7),
(19531, 126680, 2),
(19532, 126681, 2),
(19533, 126702, 1),
(19534, 126709, 1),
(19535, 126718, 0),
(19536, 126724, 0),
(19537, 126725, 0),
(19539, 126727, 0),
(19540, 126728, 0),
(19541, 126729, 1),
(19542, 126730, 1),
(19543, 126731, 1),
(19544, 126732, 1),
(19545, 126733, 1),
(19546, 126756, 1),
(19547, 126769, 0),
(19549, 126776, 0),
(19552, 126790, 0),
(19551, 126782, 0),
(19553, 126791, 0),
(19554, 126792, 0),
(19555, 126793, 0),
(19557, 126797, 0),
(19558, 126798, 0),
(19559, 126812, 0),
(19560, 126813, 0),
(19561, 126821, 0),
(19562, 126823, 0),
(19563, 126825, 0),
(19564, 126826, 0),
(19565, 126827, 0),
(19625, 127054, 0),
(19567, 126829, 0),
(19568, 126830, 0),
(19570, 126832, 0),
(19571, 126843, 0),
(19572, 126844, 0),
(19573, 126845, 0),
(19574, 126846, 0),
(19575, 126847, 0),
(19576, 126850, 0),
(19577, 126851, 0),
(19721, 127324, 2),
(19734, 127339, 0.4),
(19580, 126854, 0),
(19638, 127072, 0),
(19582, 126866, 1),
(19583, 126872, 0),
(19584, 126874, 0),
(19585, 126888, 0.5),
(19586, 126889, 0.4),
(19587, 126890, 0.4),
(19588, 126893, 0),
(19592, 126897, 0),
(19590, 126895, 0),
(19591, 126896, 0),
(19593, 126898, 0),
(19594, 126899, 0),
(19595, 126900, 0),
(19596, 126901, 0),
(19597, 126902, 0),
(19598, 126903, 0),
(19599, 126904, 0),
(19600, 126905, 0),
(19601, 126906, 0),
(19602, 126907, 0),
(19603, 126908, 0),
(19604, 126909, 0),
(19605, 126910, 0),
(19606, 126911, 0),
(19607, 126912, 0),
(19608, 126913, 0),
(19609, 126914, 0),
(19610, 126915, 0),
(19611, 126916, 0),
(19612, 126917, 0),
(19613, 126918, 0),
(19614, 126919, 0),
(19615, 126920, 0),
(19616, 126921, 0),
(19617, 126922, 0),
(19618, 126923, 0),
(19661, 127153, 0),
(19620, 126979, 0),
(19621, 126983, 0),
(19622, 126984, 0),
(19623, 127052, 0),
(19624, 127053, 0),
(19626, 127055, 0),
(19627, 127056, 0),
(19628, 127058, 0.5),
(19629, 127059, 0),
(19631, 127061, 0.3),
(19632, 127062, 0.6),
(19633, 127067, 0),
(19634, 127068, 0),
(19635, 127069, 0),
(19636, 127070, 0),
(19637, 127071, 0),
(19639, 127073, 0),
(19640, 127074, 1),
(19641, 127075, 0.8),
(19642, 127076, 0.1),
(19643, 127077, 1),
(19644, 127078, 1),
(19645, 127079, 0.6),
(19646, 127080, 1),
(19647, 127111, 1),
(19648, 127113, 0.5),
(19649, 127114, 0.75),
(19650, 127115, 0.5),
(19651, 127116, 0.75),
(19652, 127127, 1),
(19653, 127128, 0.2),
(19654, 127129, 0.5),
(19655, 127130, 2),
(19656, 127131, 1),
(19657, 127132, 0.5),
(19658, 127133, 0.1),
(19659, 127134, 0.2),
(19660, 127152, 1),
(19662, 127154, 1),
(19663, 127155, 0),
(19664, 127156, 0),
(19665, 127157, 0),
(19666, 127158, 0),
(19667, 127159, 0),
(19668, 127161, 0),
(19669, 127163, 0),
(19670, 127177, 0),
(19671, 127178, 0),
(19672, 127179, 0),
(19673, 127180, 0),
(19674, 127204, 2),
(19675, 127207, 0),
(19676, 127208, 0),
(20390, 129402, 0),
(20389, 129401, 0),
(20388, 129400, 0),
(20394, 129407, 0),
(20393, 129406, 0),
(20392, 129405, 0),
(20391, 129404, 0),
(20400, 129413, 0),
(20427, 129490, 2),
(20398, 129411, 0),
(20397, 129410, 0),
(20404, 129417, 0.5),
(20403, 129416, 0),
(20402, 129415, 0),
(19695, 127248, 1),
(19696, 127249, 1),
(19697, 127250, 1),
(19698, 127252, 1),
(19699, 127260, 0),
(19700, 127261, 0),
(19701, 127262, 0),
(19702, 127263, 0),
(19703, 127265, 0),
(19704, 127286, 1),
(19705, 127287, 1),
(19706, 127288, 0.5),
(19707, 127289, 0.5),
(19708, 127303, 1),
(19709, 127306, 1),
(19712, 127310, 1),
(19711, 127309, 1),
(19713, 127311, 1),
(19714, 127313, 1),
(19715, 127314, 1),
(19716, 127315, 1),
(19717, 127316, 1),
(19718, 127317, 1),
(19719, 127318, 1),
(19722, 127325, 2),
(19723, 127326, 2),
(19724, 127327, 1),
(19725, 127328, 1),
(19726, 127329, 1),
(19727, 127332, 2),
(19728, 127333, 2),
(19729, 127334, 2),
(19730, 127335, 0.2),
(19731, 127336, 1),
(19732, 127337, 0.2),
(19733, 127338, 0.5),
(19735, 127340, 0),
(19736, 127341, 0),
(19737, 127342, 0),
(19739, 127352, 2),
(19740, 127353, 2),
(19741, 127355, 2),
(19744, 127365, 1),
(19743, 127364, 1),
(19745, 127366, 2),
(19746, 127367, 2),
(19747, 127368, 1),
(19748, 127369, 2),
(19749, 127386, 2),
(19750, 127387, 2),
(19751, 127388, 2),
(19752, 127389, 2),
(19754, 127396, 2),
(19755, 127397, 2),
(19756, 127398, 1),
(19757, 127404, 1),
(19758, 127405, 1),
(19759, 127406, 2),
(19760, 127407, 2),
(19761, 127417, 2),
(19762, 127418, 1),
(19767, 127426, 1),
(19764, 127420, 1),
(19765, 127421, 1),
(19766, 127422, 1),
(19768, 127427, 1),
(19769, 127428, 1),
(19770, 127429, 1),
(19771, 127430, 0),
(19772, 127431, 0.25),
(19773, 127432, 0.25),
(19774, 127433, 0.5),
(19775, 127434, 0.75),
(19776, 127435, 0.75),
(19777, 127436, 0.5),
(19778, 127439, 1),
(19779, 127440, 1),
(19780, 127441, 1),
(19781, 127442, 0),
(19782, 127443, 0),
(19783, 127444, 0),
(19784, 127445, 0),
(19785, 127446, 0),
(19786, 127447, 0),
(19787, 127448, 0),
(19788, 127449, 0),
(19789, 127450, 0),
(19790, 127451, 0),
(19791, 127452, 0),
(19792, 127453, 0),
(19793, 127454, 0),
(19794, 127456, 0),
(19797, 127459, 0),
(19796, 127458, 0),
(19798, 127460, 0),
(19799, 127461, 0),
(19800, 127462, 0),
(19801, 127463, 0),
(19802, 127464, 0),
(19803, 127465, 0),
(19804, 127468, 0),
(19805, 127477, 1),
(19806, 127478, 1),
(19807, 127479, 1),
(19808, 127480, 1),
(19809, 127481, 1),
(19810, 127486, 1),
(19811, 127488, 1),
(19812, 127489, 1),
(19813, 127490, 1),
(19814, 127492, 0),
(19815, 127493, 0),
(19816, 127494, 0),
(19817, 127495, 1),
(19818, 127496, 1),
(19819, 127497, 1),
(19820, 127498, 1),
(20975, 131265, 2),
(20976, 131266, 2),
(19823, 127501, 1),
(20977, 131267, 2),
(19827, 127514, 0),
(19828, 127517, 0),
(19829, 127518, 0.4),
(19830, 127519, 0.4),
(20978, 131268, 2),
(19834, 127527, 0),
(19833, 127525, 0),
(19835, 127528, 0),
(19836, 127529, 0.5),
(19837, 127530, 1),
(19840, 127534, 1),
(19839, 127533, 0.5),
(19841, 127535, 1),
(19842, 127536, 0.7),
(19843, 127537, 0.5),
(19844, 127538, 0.6),
(19845, 127539, 0.6),
(19846, 127540, 0.6),
(19847, 127542, 1),
(19848, 127543, 0.2),
(19849, 127544, 1),
(19850, 127545, 1),
(19851, 127549, 0),
(19852, 127550, 0),
(19853, 127551, 0),
(19854, 127552, 0),
(19855, 127572, 0),
(19856, 127583, 0),
(19857, 127585, 0),
(19858, 127586, 0),
(19859, 127588, 0),
(19860, 127589, 0),
(19861, 127590, 0),
(19862, 127591, 0),
(19864, 127595, 0),
(19865, 127599, 0),
(19866, 127600, 0),
(19867, 127601, 0),
(19868, 127612, 2),
(19869, 127615, 0),
(19870, 127617, 0),
(19871, 127618, 0),
(19872, 127623, 0),
(19873, 127624, 0),
(19875, 127640, 1),
(19876, 127668, 0.5),
(19877, 127674, 1),
(19878, 127677, 1),
(19879, 127690, 1),
(19880, 127708, 0),
(19884, 127713, 0),
(19882, 127711, 0),
(19883, 127712, 0),
(19885, 127715, 0),
(19886, 127720, 0),
(19887, 127721, 0),
(19888, 127722, 0),
(19889, 127723, 0),
(19890, 127733, 1),
(19892, 127735, 1),
(19893, 127738, 0.4),
(19894, 127739, 0.3),
(19895, 127741, 0),
(19896, 127742, 0),
(19897, 127743, 0),
(19898, 127744, 0),
(19899, 127745, 0),
(19900, 127748, 0),
(19901, 127753, 1),
(19902, 127754, 1),
(19903, 127755, 1),
(19904, 127756, 1),
(19905, 127757, 1),
(19906, 127760, 0),
(19907, 127792, 0.2),
(19908, 127793, 1),
(19909, 127794, 1),
(19910, 127796, 1),
(19911, 127798, 0),
(19912, 127799, 0),
(19913, 127801, 0),
(19942, 127931, 0),
(19920, 127816, 0),
(19921, 127817, 2),
(19922, 127818, 0),
(19923, 127819, 0),
(19924, 127820, 0),
(19925, 127821, 0),
(19928, 127824, 0),
(19929, 127825, 0),
(19932, 127861, 0),
(19933, 127862, 6),
(19934, 127864, 1),
(19935, 127871, 1),
(19936, 127874, 1),
(19938, 127879, 1),
(19943, 127932, 0),
(19944, 127934, 1),
(19941, 127929, 0),
(19945, 127935, 1),
(19946, 127940, 1),
(19947, 127944, 0.2),
(19948, 127945, 0.2),
(19949, 127946, 0.5),
(19950, 127950, 0),
(19951, 127951, 0.5),
(19952, 127952, 0.4),
(19953, 127953, 0),
(19954, 127992, 0.6),
(19955, 127996, 1),
(19956, 127999, 1),
(19957, 128000, 0),
(19958, 128001, 0),
(19959, 128002, 1),
(19960, 128003, 0),
(19961, 128005, 0),
(19962, 128006, 0),
(19963, 128007, 1),
(19964, 128008, 0),
(19965, 128009, 2),
(19966, 128010, 2),
(19967, 128011, 2),
(19968, 128012, 1),
(19969, 128014, 0),
(19970, 128016, 2),
(19971, 128017, 2),
(19972, 128043, 0.5),
(19973, 128044, 1),
(19974, 128045, 1),
(19975, 128046, 1),
(19976, 128047, 1),
(19977, 128050, 1),
(19978, 128052, 0.4),
(19979, 128053, 0.1),
(19980, 128056, 1.2),
(19981, 128057, 1),
(19982, 128060, 1),
(19983, 128061, 1),
(19984, 128064, 0.5),
(19985, 128066, 1),
(19986, 128068, 0.4),
(19987, 128069, 0.2),
(19988, 128072, 1),
(19989, 128073, 1),
(19990, 128077, 1),
(19991, 128136, 0.3),
(19992, 128151, 0.1),
(19993, 128158, 1),
(19994, 128159, 1),
(19995, 128160, 1),
(19996, 128161, 1),
(19997, 128162, 2),
(19998, 128163, 2),
(19999, 128164, 0),
(20000, 128165, 0),
(20001, 128166, 2),
(20002, 128167, 2),
(20003, 128168, 1),
(20004, 128298, 1),
(20319, 129189, 0),
(20006, 128304, 1),
(20315, 129185, 2),
(20316, 129186, 1),
(20979, 131269, 2),
(20010, 128311, 1),
(20011, 128316, 0),
(20012, 128318, 0),
(20013, 128320, 0),
(20014, 128323, 0),
(20015, 128325, 0),
(20016, 128331, 0),
(20017, 128334, 0),
(20018, 128335, 0),
(20019, 128336, 0),
(20020, 128338, 0),
(20021, 128340, 0),
(20022, 128342, 0),
(20023, 128344, 0),
(20024, 128345, 0),
(20025, 128346, 0),
(20026, 128347, 0),
(20027, 128348, 0),
(20028, 128350, 0),
(20029, 128351, 0),
(20030, 128352, 0),
(20031, 128355, 0),
(20032, 128356, 0),
(20033, 128357, 0),
(20034, 128362, 0),
(20035, 128364, 0),
(20036, 128365, 0.1),
(20037, 128370, 0.4),
(20040, 128381, 2),
(20039, 128375, 0.5),
(20041, 128435, 0.1),
(20042, 128436, 1),
(20043, 128437, 0),
(20044, 128438, 0),
(20045, 128439, 0.5),
(20046, 128440, 1),
(20047, 128448, 2),
(20048, 128449, 2),
(20049, 128450, 2),
(20050, 128451, 2),
(20051, 128452, 1),
(20052, 128453, 0.2),
(20053, 128491, 1),
(20054, 128497, 1),
(20055, 128513, 1),
(20056, 128514, 1),
(20057, 128517, 1),
(20058, 128519, 1),
(20059, 128520, 1),
(20060, 128522, 0),
(20061, 128523, 0),
(20062, 128524, 0),
(20063, 128525, 1),
(20064, 128526, 1),
(20065, 128527, 1),
(20066, 128528, 1),
(20067, 128529, 1),
(20068, 128530, 0),
(20069, 128531, 1),
(20070, 128532, 1),
(20071, 128533, 1),
(20072, 128534, 1),
(20073, 128535, 1),
(20074, 128536, 0),
(20075, 128537, 1),
(20076, 128538, 2),
(20077, 128539, 4),
(20078, 128540, 4),
(20079, 128541, 4),
(20080, 128544, 2),
(20081, 128545, 2),
(20083, 128547, 2),
(20084, 128548, 2),
(20085, 128551, 0),
(20086, 128552, 1),
(20087, 128553, 1),
(20088, 128554, 0),
(20089, 128559, 1),
(20090, 128560, 2),
(20091, 128561, 1),
(20092, 128562, 1),
(20093, 128563, 2),
(20094, 128574, 1),
(20095, 128575, 1),
(20096, 128576, 1),
(20097, 128577, 1),
(20098, 128578, 1),
(20099, 128579, 1),
(20100, 128580, 1),
(20101, 128581, 1),
(20102, 128582, 1),
(20103, 128583, 1),
(20104, 128584, 1),
(20105, 128585, 1),
(20106, 128586, 1),
(20107, 128587, 1),
(20108, 128588, 1),
(20109, 128589, 1),
(20110, 128590, 1),
(20775, 130689, 1),
(20776, 130690, 1),
(20113, 128593, 1),
(20114, 128595, 0.2),
(20115, 128619, 1),
(20116, 128620, 1),
(20117, 128621, 1),
(20118, 128622, 1),
(20121, 128625, 1),
(20120, 128624, 1),
(20122, 128626, 1),
(20123, 128627, 0.5),
(20317, 129187, 2),
(20318, 129188, 0),
(20126, 128632, 1),
(20127, 128633, 1),
(20128, 128634, 1),
(20129, 128635, 1),
(20130, 128637, 1),
(20131, 128640, 0.3),
(20132, 128642, 0),
(20133, 128653, 0.2),
(20134, 128654, 1),
(20135, 128657, 0.7),
(20136, 128658, 0.6),
(20137, 128662, 0),
(20138, 128672, 0),
(20139, 128673, 0),
(20140, 128674, 0),
(20141, 128675, 0),
(20142, 128676, 0),
(20143, 128677, 0),
(20144, 128685, 1),
(20145, 128686, 1),
(20146, 128687, 1),
(20147, 128688, 1),
(20148, 128689, 1),
(20149, 128691, 1),
(20150, 128694, 1),
(20151, 128695, 1),
(20153, 128701, 2),
(20154, 128705, 2),
(20155, 128714, 1),
(20156, 128715, 1),
(20157, 128726, 1),
(20158, 128727, 2),
(20159, 128728, 2),
(20160, 128729, 2),
(20161, 128730, 0.4),
(20162, 128732, 1),
(20163, 128733, 1),
(20164, 128740, 0.4),
(20165, 128743, 0.4),
(20166, 128754, 2),
(20167, 128755, 2),
(20168, 128756, 2),
(20169, 128757, 2),
(20170, 128798, 1),
(20171, 128799, 0.5),
(20172, 128800, 1),
(20173, 128801, 1),
(20174, 128802, 0.2),
(20175, 128803, 0.5),
(20176, 128804, 0),
(20177, 128805, 0),
(20178, 128806, 0),
(20179, 128818, 1),
(20180, 128819, 1),
(20181, 128822, 1),
(20182, 128823, 1),
(20183, 128824, 1),
(20565, 129797, 0),
(20185, 128828, 0),
(20186, 128829, 0),
(20187, 128830, 0),
(20188, 128831, 0),
(20189, 128832, 0.1),
(20190, 128897, 0),
(20191, 128898, 0),
(20192, 128899, 0),
(20193, 128900, 0),
(20194, 128903, 0),
(20195, 128917, 0),
(20196, 128918, 0),
(20197, 128919, 0),
(20198, 128920, 0),
(20199, 128922, 0),
(20201, 128924, 0),
(20202, 128925, 0),
(20203, 128926, 0),
(20204, 128932, 0.25),
(20205, 128933, 0.4),
(20206, 128934, 1),
(20207, 128944, 0.5),
(20208, 128947, 0.6),
(20209, 128974, 0),
(20211, 128981, 0),
(20212, 128982, 0),
(20213, 128984, 0),
(20214, 128986, 0),
(20215, 128987, 0),
(20216, 128990, 0),
(20217, 128992, 0),
(20218, 128996, 0),
(20219, 128997, 0),
(20220, 128999, 0),
(20221, 129000, 0),
(20222, 129001, 0),
(20223, 129003, 0),
(20224, 129004, 0),
(20225, 129006, 0),
(20226, 129011, 1),
(20227, 129012, 0),
(20228, 129014, 0),
(20229, 129056, 0),
(20230, 129057, 0),
(20231, 129058, 0),
(20232, 129059, 0),
(20980, 131270, 0.5),
(20234, 129061, 0),
(20235, 129062, 0),
(20236, 129064, 2),
(20237, 129065, 0),
(20238, 129066, 0),
(20239, 129067, 0),
(20240, 129068, 0),
(20241, 129069, 0),
(20242, 129070, 0.3),
(20243, 129072, 0.2),
(20244, 129073, 0),
(20245, 129074, 0.8),
(20246, 129075, 0.2),
(20247, 129076, 0),
(20248, 129077, 0.75),
(20249, 129078, 0.15),
(20250, 129079, 0.1),
(20251, 129080, 0.15),
(20252, 129081, 0.1),
(20253, 129082, 0),
(20254, 129083, 0),
(20255, 129084, 0.3),
(20258, 129087, 0),
(20257, 129086, 0),
(20259, 129088, 0.2),
(20260, 129089, 0.2),
(20261, 129090, 0.1),
(20262, 129091, 0.1),
(20263, 129092, 0.3),
(20264, 129093, 0),
(20265, 129094, 0),
(20266, 129095, 0),
(20267, 129108, 0.5),
(20268, 129110, 0.5),
(20269, 129111, 0.5),
(20270, 129117, 0.2),
(20271, 129118, 0.3),
(20272, 129119, 0.2),
(20273, 129120, 0.6),
(20274, 129121, 0.5),
(20275, 129122, 0.2),
(20276, 129123, 0.8),
(20277, 129124, 0.75),
(20278, 129125, 0.8),
(20279, 129126, 0.3),
(20280, 129127, 1),
(20281, 129128, 0.6),
(20282, 129129, 0.9),
(20283, 129130, 0.7),
(20284, 129131, 0),
(20285, 129132, 0.3),
(20286, 129133, 0),
(20287, 129141, 0),
(20288, 129142, 0),
(20289, 129143, 1),
(20290, 129144, 0),
(20291, 129145, 0),
(20292, 129146, 0),
(20293, 129147, 0),
(20294, 129148, 0.8),
(20295, 129149, 0),
(20296, 129150, 0),
(20297, 129151, 0),
(20298, 129152, 0),
(20299, 129153, 0),
(20300, 129154, 0),
(20301, 129155, 0),
(20302, 129156, 0),
(20303, 129157, 0),
(20304, 129158, 0),
(20309, 129164, 0),
(20306, 129160, 0),
(20307, 129161, 0),
(20308, 129162, 0),
(20330, 129321, 0.1),
(20311, 129179, 0),
(20314, 129184, 2),
(20320, 129190, 0),
(20321, 129196, 0),
(20322, 129222, 0),
(20323, 129225, 1),
(20324, 129233, 0.4),
(20325, 129234, 0.2),
(20326, 129235, 0.4),
(20327, 129253, 1),
(20328, 129260, 1),
(20329, 129261, 1),
(20331, 129322, 1),
(20332, 129323, 0),
(20333, 129325, 0),
(20334, 129326, 0),
(20335, 129329, 0.2),
(20336, 129331, 0),
(20337, 129332, 0),
(20338, 129333, 0),
(20339, 129334, 0),
(20340, 129335, 0),
(20341, 129336, 0.8),
(20342, 129338, 0.25),
(20343, 129339, 0.25),
(20344, 129340, 0.5),
(20345, 129341, 0.7),
(20346, 129342, 0.2),
(20347, 129343, 1),
(20348, 129344, 1),
(20349, 129353, 0.1),
(20350, 129354, 0.5),
(20351, 129358, 1),
(20352, 129359, 1),
(20353, 129360, 1),
(20354, 129363, 0),
(20355, 129364, 0),
(20357, 129366, 0),
(20358, 129367, 0),
(20359, 129368, 0),
(20360, 129369, 0),
(20361, 129370, 0),
(20362, 129372, 0),
(20363, 129373, 0),
(20364, 129374, 0),
(20365, 129375, 0),
(20366, 129376, 0),
(20367, 129377, 0),
(20381, 129392, 0),
(20382, 129393, 0),
(20379, 129390, 0),
(20378, 129389, 0),
(20396, 129409, 0),
(20401, 129414, 0),
(20405, 129423, 1),
(20406, 129424, 1),
(20407, 129428, 1),
(20408, 129429, 1),
(20409, 129430, 1),
(20410, 129431, 1),
(20411, 129432, 0),
(20412, 129433, 1),
(20413, 129434, 1),
(20414, 129435, 1),
(20415, 129436, 1),
(20416, 129438, 1),
(20417, 129439, 1),
(20418, 129441, 0),
(20419, 129442, 2),
(20420, 129443, 2),
(20421, 129444, 0.2),
(20422, 129445, 2),
(20423, 129464, 1),
(20424, 129487, 0),
(20425, 129488, 0),
(20426, 129489, 0),
(20428, 129491, 2),
(20429, 129492, 2),
(20430, 129493, 2),
(20431, 129494, 2),
(20432, 129500, 1),
(20433, 129520, 0.25),
(20434, 129521, 0.1),
(20435, 129522, 1),
(20436, 129536, 1),
(20437, 129537, 1),
(20438, 129538, 1),
(20439, 129544, 0),
(20440, 129547, 0),
(20441, 129548, 0),
(20442, 129549, 1),
(20443, 129550, 1),
(20444, 129551, 1),
(20445, 129552, 1),
(20446, 129553, 1),
(20447, 129554, 0),
(20448, 129555, 0.8),
(20449, 129556, 0),
(20450, 129557, 0),
(20451, 129558, 0.2),
(20452, 129573, 1),
(20453, 129574, 1),
(20454, 129586, 0.6),
(20455, 129605, 0.1),
(20456, 129607, 0.5),
(20457, 129609, 1),
(20458, 129624, 0),
(20459, 129625, 0.5),
(20460, 129626, 1),
(20461, 129627, 1),
(20462, 129628, 1),
(20463, 129629, 0.5),
(20464, 129634, 2),
(20465, 129635, 1),
(20466, 129636, 2),
(20467, 129637, 2),
(20468, 129638, 1),
(20469, 129639, 1),
(20470, 129640, 1),
(20656, 130147, 1),
(20472, 129642, 1),
(20657, 130157, 0),
(20654, 130143, 0),
(20475, 129645, 1),
(20476, 129646, 1),
(20477, 129647, 2),
(20478, 129649, 4),
(20479, 129650, 0.2),
(20480, 129651, 1),
(20481, 129652, 1),
(20482, 129653, 2),
(20483, 129654, 1),
(20484, 129655, 1),
(20485, 129656, 1),
(20486, 129657, 1),
(20487, 129670, 1),
(20488, 129671, 1),
(20489, 129672, 1),
(20490, 129673, 1),
(20491, 129676, 1),
(20492, 129677, 1),
(20493, 129679, 1),
(20494, 129680, 1),
(20495, 129682, 1),
(20496, 129683, 1),
(20497, 129684, 1),
(20498, 129685, 2),
(20499, 129686, 2),
(20500, 129687, 2),
(20501, 129688, 1),
(20502, 129689, 2),
(20503, 129691, 1),
(20504, 129692, 1),
(20505, 129693, 0.7),
(20506, 129694, 1),
(20507, 129695, 1),
(20508, 129696, 1),
(20509, 129697, 1),
(20510, 129698, 1),
(20511, 129699, 1),
(20512, 129700, 0.1),
(20513, 129701, 0.5),
(20514, 129702, 1),
(20515, 129704, 1),
(20516, 129705, 1),
(20517, 129710, 1),
(20518, 129712, 0.5),
(20519, 129713, 0.25),
(20520, 129714, 0.5),
(20521, 129715, 0.75),
(20522, 129716, 0.25),
(20523, 129717, 1),
(20527, 129727, 0),
(20525, 129723, 1),
(20528, 129728, 1),
(20529, 129729, 0.5),
(20530, 129730, 0),
(20531, 129731, 1),
(20532, 129732, 0.5),
(20533, 129733, 1),
(20534, 129734, 0.75),
(20535, 129735, 0.5),
(20536, 129737, 1),
(20537, 129747, 1),
(20538, 129752, 1),
(20539, 129753, 1),
(20540, 129754, 1),
(20541, 129755, 1),
(20542, 129756, 1),
(20543, 129757, 1),
(20544, 129758, 1),
(20545, 129759, 1),
(20546, 129760, 1),
(20547, 129761, 1),
(20548, 129762, 1),
(20549, 129765, 1),
(20550, 129774, 1),
(20551, 129781, 0.4),
(20552, 129782, 0.3),
(20553, 129783, 0.2),
(20554, 129784, 1),
(20555, 129785, 0.6),
(20556, 129787, 0.2),
(20557, 129788, 1),
(20558, 129790, 0.2),
(20559, 129791, 1),
(20560, 129792, 1),
(20561, 129793, 1),
(20562, 129794, 0.7),
(20564, 129796, 0),
(20566, 129804, 0),
(20567, 129805, 0),
(20568, 129806, 0),
(20569, 129807, 0.4),
(20570, 129816, 1),
(20571, 129818, 0.2),
(20573, 129821, 1),
(20574, 129822, 1),
(20575, 129823, 1),
(20576, 129828, 0.3),
(20577, 129838, 0.1),
(20578, 129867, 1),
(20579, 129870, 1),
(20580, 129871, 0.5),
(20581, 129879, 1),
(20582, 129882, 0),
(20583, 129883, 0),
(20584, 129884, 0),
(20585, 129885, 0),
(20586, 129898, 0),
(20587, 129900, 0),
(20588, 129901, 0),
(20589, 129903, 0.4),
(20590, 129905, 0),
(20591, 129906, 0),
(20592, 129907, 0),
(20595, 129911, 0),
(20594, 129910, 4),
(20596, 129912, 0),
(20597, 129913, 0),
(20598, 129914, 0),
(20599, 129915, 0),
(20601, 129922, 0),
(20602, 129926, 0),
(20603, 129927, 0),
(20604, 129929, 0.1),
(20605, 129930, 0.5),
(20606, 129931, 0.5),
(20607, 129932, 0),
(20608, 129933, 1),
(20609, 129936, 0.2),
(20610, 129937, 0),
(20611, 129938, 0),
(20612, 129939, 1),
(20613, 129940, 0.2),
(20614, 129941, 0.5),
(20615, 129942, 0),
(20616, 129943, 1),
(20617, 129944, 1),
(20618, 129945, 0),
(20619, 129947, 0.5),
(20620, 129951, 0.75),
(20621, 129953, 1),
(20622, 129954, 0.5),
(20623, 129955, 0.5),
(20624, 129958, 0.75),
(20625, 129960, 0),
(20626, 129961, 0),
(20627, 129948, 1),
(20628, 129949, 1),
(20629, 129952, 1),
(20630, 129966, 1),
(20631, 129973, 1),
(20632, 129975, 1),
(20633, 129976, 1),
(20634, 129989, 1),
(20635, 129990, 1),
(20636, 129991, 0.75),
(20637, 129993, 2),
(20638, 129994, 2),
(20639, 129995, 2),
(20640, 129996, 2),
(20641, 129997, 2),
(20642, 129999, 0.1),
(20643, 130000, 0.4),
(20644, 130003, 0.2),
(20645, 130004, 0.2),
(20646, 130008, 0.4),
(20647, 130037, 1),
(20648, 130038, 1),
(20649, 130039, 1),
(20650, 130040, 1),
(20651, 130041, 1),
(20652, 130109, 1),
(20653, 130140, 1),
(20658, 130169, 0.3),
(20659, 130179, 0),
(20660, 130187, 0),
(20661, 130188, 0),
(20662, 130189, 1),
(20663, 130199, 0),
(20664, 130200, 0),
(20665, 130205, 0),
(20666, 130206, 0),
(20667, 130212, 0),
(20668, 130213, 0),
(20669, 130214, 0),
(20670, 130215, 0),
(20671, 130216, 0),
(20672, 130218, 0),
(20673, 130219, 0),
(20674, 130220, 0),
(20676, 130222, 0),
(20677, 130224, 0),
(20678, 130226, 0),
(20679, 130231, 1),
(20680, 130234, 1),
(20681, 130236, 0.2),
(20682, 130246, 0.5),
(20683, 130247, 0.1),
(20684, 130248, 0.2),
(20685, 130255, 0),
(20686, 130257, 0),
(20687, 130260, 0),
(20688, 130264, 0),
(20689, 130308, 1),
(20690, 130309, 1),
(20691, 130310, 1),
(20692, 130311, 1),
(20693, 130312, 1),
(20694, 130317, 0.2),
(20695, 130322, 1),
(20696, 130363, 0),
(20698, 130366, 2),
(20699, 130367, 0.6),
(20700, 130368, 0),
(20701, 130372, 0),
(20702, 130387, 1),
(20703, 130414, 2),
(20704, 130417, 1),
(20705, 130443, 0.4),
(20706, 130444, 1),
(20707, 130449, 0),
(20708, 130451, 1),
(20709, 130462, 0),
(20710, 130463, 0),
(20711, 130464, 0),
(20712, 130465, 0),
(20713, 130466, 0),
(20714, 130509, 0.2),
(20715, 130510, 0.1),
(20716, 130525, 0.2),
(20717, 130535, 0),
(20718, 130536, 0),
(20719, 130544, 0),
(20725, 130581, 1),
(20724, 130568, 2),
(20723, 130566, 2),
(20726, 130582, 1),
(20727, 130583, 1),
(20728, 130584, 1),
(20729, 130585, 1),
(20730, 130626, 1),
(20731, 130627, 1),
(20732, 130628, 2),
(20733, 130629, 1),
(20734, 130630, 2),
(20735, 130631, 1),
(20736, 130632, 1),
(20737, 130633, 1),
(20738, 130634, 0.5),
(20739, 130635, 1),
(20740, 130636, 0),
(20741, 130637, 0),
(20742, 130638, 0),
(20744, 130643, 1),
(20745, 130644, 0.5),
(20746, 130645, 1),
(20747, 130650, 1),
(20748, 130651, 1),
(20749, 130652, 1),
(20750, 130659, 0),
(20751, 130660, 0),
(20752, 130661, 0),
(20753, 130662, 0),
(20754, 130663, 1),
(20755, 130664, 1),
(20756, 130666, 0),
(20757, 130667, 0),
(20758, 130668, 0),
(20759, 130669, 0),
(20760, 130670, 0),
(20761, 130671, 0),
(20762, 130672, 0),
(20763, 130673, 0),
(20764, 130674, 0),
(20765, 130675, 1),
(20766, 130676, 1),
(20767, 130677, 0.4),
(20768, 130678, 0.2),
(20769, 130679, 1),
(20770, 130680, 1),
(20771, 130681, 0.4),
(20772, 130683, 0.6),
(20773, 130685, 0.6),
(20774, 130688, 2),
(20777, 130691, 1),
(20778, 130692, 0),
(20779, 130698, 1),
(20780, 130699, 1),
(20781, 130719, 0.1),
(20782, 130720, 0.2),
(20783, 130721, 0.3),
(20784, 130722, 1.2),
(20785, 130723, 1),
(20786, 130724, 0),
(20787, 130725, 0),
(20788, 130726, 0),
(20789, 130728, 1),
(20790, 130729, 1),
(20791, 130750, 0),
(20792, 130751, 0),
(20793, 130752, 0),
(20794, 130753, 1),
(20795, 130754, 0),
(20796, 130755, 0),
(20797, 130756, 0),
(20798, 130759, 2),
(20799, 130808, 0),
(20800, 130809, 0),
(20801, 130810, 0),
(20802, 130811, 0),
(20803, 130812, 0),
(20804, 130817, 0),
(20805, 130823, 0.2),
(20806, 130826, 1.5),
(20807, 130827, 0.4),
(20808, 130829, 0.5),
(20809, 130830, 0.75),
(20810, 130831, 0.75),
(20811, 130832, 0.5),
(20812, 130833, 1),
(20813, 130834, 1),
(20814, 130835, 1),
(20815, 130836, 1),
(20816, 130839, 1),
(20988, 131304, 0.5),
(20818, 130841, 1),
(20819, 130842, 1),
(20820, 130844, 1),
(20821, 130845, 1),
(20822, 130846, 1),
(20823, 130847, 0.5),
(20824, 130848, 1),
(20825, 130849, 1),
(20826, 130850, 1),
(20827, 130852, 1),
(20828, 130857, 1),
(20829, 130858, 1),
(20830, 130859, 1),
(20831, 130860, 0.5),
(20832, 130861, 1),
(20833, 130862, 1),
(20834, 130863, 0.25),
(20835, 130864, 1),
(20836, 130865, 0.5),
(20837, 130866, 1),
(20838, 130867, 1),
(20839, 130868, 1),
(20840, 130869, 1),
(20841, 130870, 1),
(20842, 130871, 1),
(20843, 130872, 0.5),
(20844, 130873, 1.5),
(20845, 130875, 2),
(20846, 130877, 1),
(20847, 130879, 2),
(20848, 130880, 2),
(20849, 130881, 2),
(20850, 130882, 2),
(20851, 130883, 2),
(20853, 130888, 2),
(20854, 130892, 2),
(20855, 130894, 1),
(20856, 130900, 1),
(20857, 130901, 1),
(20858, 130902, 1),
(20859, 130903, 1),
(20860, 130904, 0.8),
(20861, 130905, 3),
(20862, 130906, 1),
(20863, 130907, 1),
(20864, 130908, 1),
(20865, 130909, 1),
(20866, 130910, 1),
(20867, 130913, 1),
(20868, 130914, 1),
(20869, 130915, 0.5),
(20899, 130969, 4),
(20871, 130921, 1),
(20872, 130922, 1),
(20873, 130923, 1),
(20874, 130924, 1),
(20875, 130925, 1),
(21181, 132065, 1),
(21182, 132066, 1),
(21185, 132081, 2),
(21186, 132082, 2),
(20880, 130926, 1),
(20881, 130932, 0.5),
(20882, 130933, 0.2),
(20883, 130934, 0.1),
(20884, 130935, 1),
(20885, 130936, 1.5),
(21268, 132232, 1),
(20887, 130938, 0.5),
(20888, 130939, 0.5),
(20889, 130940, 1),
(20890, 130941, 0.25),
(20891, 130942, 1),
(20892, 130943, 1),
(20893, 130944, 1),
(20894, 130945, 1),
(20895, 130946, 1),
(20896, 130947, 1),
(20897, 130948, 1),
(21187, 132083, 2),
(20900, 130970, 4),
(20901, 130971, 4),
(20902, 130972, 1),
(20903, 130973, 1),
(20904, 130974, 1),
(20949, 131037, 0),
(20906, 130976, 2),
(20907, 130977, 1),
(20908, 130978, 1),
(20909, 130979, 1),
(20910, 130980, 1),
(20911, 130981, 1),
(20912, 130990, 2),
(20913, 130991, 2),
(20914, 130992, 2),
(20916, 130995, 2),
(20917, 130996, 2),
(20918, 131000, 2),
(20919, 131001, 2),
(20920, 131002, 2),
(20921, 131003, 2),
(20922, 131004, 2),
(20923, 131005, 2),
(20924, 131006, 2),
(20925, 131007, 2),
(20926, 131008, 1),
(20927, 131009, 0.6),
(20928, 131010, 1),
(20929, 131011, 0),
(20930, 131012, 0),
(20931, 131013, 0),
(20933, 131015, 0),
(20934, 131019, 0),
(20935, 131020, 0),
(20936, 131021, 0),
(20937, 131022, 0),
(20938, 131023, 0.1),
(20939, 131024, 0),
(20940, 131025, 0),
(20941, 131027, 0),
(20942, 131030, 0),
(20943, 131031, 0),
(20944, 131032, 0),
(20945, 131033, 0),
(20946, 131034, 0),
(20948, 131036, 1),
(20951, 131039, 0),
(20952, 131040, 0.2),
(20953, 131041, 0),
(20954, 131042, 4),
(20955, 131043, 1),
(20956, 131059, 1),
(20957, 131114, 1),
(20958, 131115, 1),
(20959, 131116, 1),
(20960, 131117, 1),
(20961, 131119, 1),
(22897, 137084, 2),
(20963, 131127, 0),
(20964, 131128, 0),
(20965, 131132, 0),
(20966, 131135, 0),
(20967, 131137, 0),
(20968, 131138, 1),
(20969, 131156, 1),
(20970, 131158, 1),
(20973, 131223, 0.2),
(20972, 131214, 1),
(20974, 131227, 0.2),
(20987, 131302, 0.2),
(20989, 131305, 1),
(20990, 131306, 0.3),
(20996, 131315, 0),
(20992, 131309, 0),
(20993, 131311, 0),
(20994, 131312, 0),
(20995, 131314, 0),
(20997, 131320, 0.4),
(20998, 131321, 0),
(20999, 131324, 0.2),
(21000, 131325, 0.5),
(21001, 131326, 0.2),
(21002, 131327, 0.6),
(21003, 131328, 0.3),
(21004, 131329, 0),
(21005, 131330, 0),
(21006, 131331, 0),
(21007, 131332, 0),
(21008, 131334, 1),
(21009, 131335, 0),
(21010, 131336, 0),
(21015, 131501, 0),
(21012, 131490, 0),
(21013, 131497, 0),
(21014, 131499, 0),
(21016, 131515, 0),
(21017, 131516, 0),
(21018, 131517, 1),
(21019, 131522, 2),
(21020, 131568, 1),
(21021, 131569, 1),
(21022, 131570, 1),
(21023, 131571, 1),
(21024, 131572, 1),
(21025, 131573, 1),
(21026, 131578, 1),
(21027, 131579, 1.4),
(21028, 131580, 1.5),
(21029, 131586, 1),
(21030, 131588, 0.2),
(21031, 131590, 2.5),
(21032, 131595, 0.5),
(21033, 131596, 1),
(21034, 131602, 1),
(21035, 131608, 1),
(21036, 131609, 1),
(21037, 131610, 1),
(21038, 131613, 1),
(21039, 131614, 1),
(21040, 131615, 1),
(21041, 131616, 1),
(21042, 131617, 1),
(21043, 131618, 1),
(21044, 131619, 1),
(21045, 131620, 1),
(21046, 131621, 1),
(21216, 132170, 1),
(21048, 131623, 0.75),
(21049, 131624, 0.5),
(21050, 131635, 0.2),
(21051, 131636, 0.2),
(21052, 131637, 1),
(21053, 131638, 0.2),
(21054, 131639, 1),
(21284, 132248, 0),
(21059, 131668, 1),
(21057, 131666, 1),
(21058, 131667, 1),
(21060, 131669, 0.6),
(21061, 131670, 0.7),
(21062, 131671, 1),
(21063, 131768, 0),
(21064, 131769, 0),
(21066, 131780, 0),
(21068, 131783, 0),
(21069, 131784, 0),
(21070, 131785, 0.1),
(21071, 131786, 0.1),
(21072, 131787, 0.1),
(21073, 131788, 0.3),
(21074, 131789, 0.3),
(21075, 131790, 0.3),
(21076, 131791, 0.3),
(21077, 131792, 0.15),
(21078, 131793, 0.15),
(21079, 131794, 0.2),
(21080, 131795, 0.25),
(21081, 131798, 0.15),
(21082, 131799, 0),
(21083, 131800, 1),
(21084, 131801, 0),
(21085, 131802, 0.3),
(21278, 132242, 0.5),
(21087, 131804, 0),
(21088, 131805, 0.2),
(21089, 131806, 0.1),
(21090, 131807, 0.25),
(21091, 131808, 1),
(21092, 131809, 1),
(21093, 131810, 1),
(21094, 131811, 1),
(21095, 131812, 1),
(21096, 131813, 1),
(21097, 131821, 1),
(21098, 131822, 0.2),
(21099, 131824, 0.2),
(21100, 131825, 0.5),
(21101, 131826, 0.2),
(21102, 131827, 0),
(21104, 131829, 0),
(21105, 131830, 0.2),
(21106, 131831, 0.5),
(21107, 131832, 1),
(21108, 131839, 0.5),
(21110, 131841, 1),
(21111, 131842, 0),
(21112, 131843, 0),
(21113, 131844, 0),
(21114, 131845, 0),
(21115, 131846, 0),
(21116, 131847, 0),
(21117, 131850, 1),
(21283, 132247, 1),
(21119, 131852, 2),
(21120, 131914, 1),
(21121, 131951, 1),
(21122, 131952, 1),
(21123, 131961, 1),
(21124, 131962, 1),
(21125, 131963, 1),
(21126, 131964, 1),
(21127, 131965, 1),
(21128, 131966, 1),
(21129, 131967, 1),
(21130, 131968, 1),
(21131, 131974, 1),
(21132, 131981, 0.2),
(21133, 131982, 0.2),
(21134, 131983, 0.75),
(21135, 131984, 0.5),
(21136, 131991, 0.5),
(21137, 131994, 2),
(21138, 131996, 1.5),
(21139, 131997, 0.75),
(21144, 132002, 0.5),
(21141, 131999, 0.5),
(21142, 132000, 0),
(21143, 132001, 0),
(21145, 132003, 0.1),
(21146, 132006, 0.6),
(21147, 132009, 2),
(21148, 132010, 2),
(21149, 132011, 2),
(21150, 132012, 1),
(21151, 132013, 1),
(21152, 132014, 2),
(21153, 132015, 1),
(21154, 132016, 2),
(21155, 132017, 1.5),
(21156, 132018, 1),
(21157, 132019, 1),
(21158, 132020, 1),
(21159, 132021, 1),
(21160, 132022, 2),
(21161, 132023, 1),
(21162, 132024, 1),
(21163, 132025, 1),
(21324, 132449, 0.6),
(21165, 132027, 2),
(21166, 132030, 1),
(21167, 132031, 1),
(21168, 132033, 0.5),
(21169, 132034, 1),
(21170, 132038, 1),
(21174, 132047, 1),
(21172, 132045, 1),
(21173, 132046, 1),
(21175, 132052, 1),
(21176, 132060, 1),
(21177, 132061, 1),
(21178, 132062, 1),
(21180, 132064, 1),
(21183, 132067, 0.5),
(21184, 132068, 2),
(21188, 132102, 1),
(21189, 132103, 1),
(21190, 132104, 1),
(21191, 132105, 1),
(21192, 132139, 2),
(21193, 132140, 2),
(21194, 132141, 2),
(21195, 132142, 2),
(21196, 132143, 2),
(21197, 132145, 0.75),
(21198, 132146, 0.5),
(21199, 132147, 1),
(21200, 132148, 1),
(21201, 132149, 0.75),
(21202, 132150, 0.5),
(21203, 132151, 1),
(21204, 132153, 0.5),
(21205, 132154, 1),
(21206, 132155, 1),
(21207, 132156, 1),
(21208, 132157, 1),
(21209, 132159, 2),
(21210, 132160, 1),
(21211, 132161, 1),
(21212, 132162, 1),
(21213, 132163, 1),
(21214, 132167, 1),
(21215, 132168, 1),
(21217, 132171, 1),
(21218, 132172, 1),
(21219, 132173, 1),
(21220, 132174, 1),
(21260, 132218, 1),
(21261, 132219, 0.5),
(21223, 132178, 1.5),
(21224, 132179, 0.2),
(21225, 132180, 0.4),
(21226, 132181, 0.4),
(21227, 132182, 0.5),
(21228, 132184, 1),
(21229, 132185, 1),
(21230, 132186, 1),
(21231, 132187, 1),
(21270, 132234, 1),
(21269, 132233, 1),
(21234, 132192, 1),
(21235, 132193, 1),
(21236, 132194, 1),
(21237, 132195, 0.4),
(21238, 132196, 1),
(21239, 132197, 1),
(21240, 132198, 2),
(21241, 132199, 1),
(21242, 132200, 2),
(21243, 132201, 1),
(21244, 132202, 1),
(21246, 132204, 1),
(22558, 136074, 1),
(22571, 136235, 0),
(22570, 136234, 1),
(21250, 132208, 1),
(22568, 136219, 0.3),
(22567, 136187, 0.4),
(22566, 136171, 4),
(21254, 132212, 1),
(21280, 132244, 0),
(21256, 132214, 0.1),
(21257, 132215, 1),
(21258, 132216, 1),
(21259, 132217, 1),
(21263, 132221, 0),
(21264, 132222, 0),
(21265, 132223, 1),
(21266, 132225, 0),
(21267, 132226, 1),
(21404, 132837, 0),
(21272, 132236, 1),
(21273, 132237, 0),
(21274, 132238, 0),
(21275, 132239, 0),
(21276, 132240, 0),
(21277, 132241, 0),
(21279, 132243, 1),
(21281, 132245, 1),
(21282, 132246, 0),
(21285, 132249, 0),
(21286, 132250, 0),
(21287, 132251, 0),
(21288, 132252, 0.4),
(21289, 132283, 0.2),
(21290, 132284, 0.2),
(21291, 132286, 0.2),
(21294, 132291, 0),
(21293, 132290, 0),
(21295, 132292, 0),
(21296, 132293, 0),
(21298, 132301, 0),
(21299, 132302, 0),
(21300, 132303, 0),
(21301, 132309, 0),
(21302, 132318, 0),
(21303, 132413, 1),
(21304, 132414, 5),
(21305, 132415, 1),
(21306, 132416, 2),
(21307, 132417, 0),
(21308, 132418, 0),
(21309, 132419, 0.1),
(21310, 132420, 0),
(21311, 132421, 0.5),
(21312, 132423, 0),
(21313, 132424, 0.1),
(21314, 132425, 1),
(21315, 132426, 0.6),
(21316, 132427, 0),
(21317, 132436, 0.2),
(21318, 132438, 0.25),
(21319, 132443, 0.2),
(21320, 132444, 0.2),
(21338, 132471, 0.75),
(21322, 132447, 0.1),
(21323, 132448, 1),
(21325, 132450, 0),
(21326, 132452, 0.4),
(21329, 132459, 0),
(21328, 132455, 0.2),
(21330, 132460, 0),
(21331, 132461, 0),
(21332, 132462, 0),
(21333, 132465, 0.2),
(21334, 132466, 1),
(21335, 132468, 0.2),
(21336, 132469, 0.1),
(21337, 132470, 0.1),
(21339, 132472, 0.3),
(21340, 132473, 0.2),
(21341, 132474, 1),
(21342, 132475, 0.2),
(21343, 132476, 0.25),
(21344, 132477, 0.15),
(21345, 132478, 0),
(21346, 132479, 0.15),
(21347, 132480, 0.2),
(21348, 132482, 0.4),
(21349, 132483, 0.5),
(21351, 132517, 0),
(21352, 132518, 0),
(21354, 132529, 0),
(21355, 132534, 0),
(21356, 132536, 0),
(21357, 132537, 0),
(21358, 132538, 0),
(21366, 132561, 0),
(21365, 132560, 0),
(21361, 132554, 0),
(21362, 132555, 0),
(21363, 132557, 0),
(21364, 132558, 0),
(21367, 132563, 0),
(21368, 132583, 0.2),
(21369, 132584, 0.3),
(21370, 132586, 0.2),
(21407, 132880, 1),
(21372, 132588, 0.3),
(21373, 132590, 0.3),
(21374, 132591, 0.2),
(21375, 132592, 0.4),
(21376, 132602, 0.05),
(21377, 132603, 0.05),
(21378, 132606, 0.6),
(21379, 132617, 0.3),
(21380, 132645, 0),
(21381, 132654, 0),
(21382, 132656, 0),
(21383, 132694, 0),
(21384, 132699, 0),
(21385, 132700, 0),
(21390, 132707, 1),
(21387, 132703, 0),
(21398, 132797, 1),
(21389, 132705, 0),
(21391, 132714, 0.2),
(21392, 132720, 0.6),
(21393, 132721, 0.2),
(21394, 132745, 2),
(21395, 132758, 0.5),
(21396, 132764, 0),
(21397, 132770, 0),
(21399, 132798, 1),
(21400, 132799, 1),
(21401, 132800, 1),
(21402, 132801, 1),
(21403, 132802, 1),
(21405, 132878, 1),
(21406, 132879, 2),
(21408, 132934, 0.5),
(21409, 132935, 1),
(21410, 132949, 0),
(21411, 132962, 2),
(21412, 132992, 1),
(21413, 133003, 0.5),
(21414, 133007, 0.4),
(21415, 133008, 0.2),
(21416, 133009, 1),
(21417, 133010, 0),
(21418, 133011, 0.3),
(21419, 133013, 0),
(21420, 133014, 0),
(21421, 133015, 0),
(21422, 133016, 0),
(21473, 133230, 0),
(21424, 133031, 0.5),
(21425, 133032, 1),
(21426, 133033, 1),
(21429, 133036, 1),
(21428, 133035, 2),
(21430, 133042, 0),
(21431, 133044, 0),
(21432, 133046, 0),
(21433, 133047, 0),
(21434, 133048, 0),
(21435, 133050, 0),
(21436, 133054, 0),
(21437, 133058, 0),
(21438, 133061, 1),
(21439, 133063, 0),
(21440, 133097, 2),
(21441, 133103, 1),
(21442, 133104, 1),
(21443, 133105, 1),
(21444, 133106, 0.5),
(21445, 133110, 0),
(21446, 133112, 0),
(21447, 133114, 0),
(21448, 133116, 0),
(21449, 133130, 1),
(21450, 133131, 1),
(21451, 133132, 1),
(21452, 133133, 1),
(21453, 133134, 1),
(21454, 133150, 2),
(21455, 133152, 0),
(21456, 133153, 0),
(21457, 133154, 0),
(21458, 133156, 0),
(21459, 133157, 0),
(21460, 133158, 0),
(21461, 133159, 3),
(21462, 133160, 0.2),
(21463, 133161, 0.5),
(21464, 133164, 0.8),
(21465, 133165, 1),
(21466, 133166, 0.2),
(21467, 133194, 0.9),
(21468, 133196, 0),
(21469, 133202, 0),
(21470, 133203, 0),
(21471, 133204, 0),
(21472, 133205, 0),
(21474, 133231, 0),
(21475, 133232, 0),
(21476, 133233, 0),
(21477, 133234, 0),
(21478, 133235, 0),
(21479, 133236, 0),
(21480, 133237, 0),
(21481, 133238, 0),
(21482, 133239, 0),
(21483, 133246, 0),
(21484, 133247, 0),
(21485, 133266, 1.5),
(21487, 133269, 0),
(21489, 133275, 0),
(21490, 133278, 2),
(21491, 133279, 0.8),
(21492, 133280, 0.2),
(21493, 133289, 0.1),
(21494, 133290, 0.1),
(21495, 133299, 0),
(21510, 133325, 0),
(21497, 133301, 0),
(21498, 133302, 0),
(21499, 133303, 0),
(21500, 133304, 0),
(21501, 133305, 0.2),
(21502, 133306, 0),
(21503, 133307, 0),
(21504, 133308, 0),
(21505, 133309, 1),
(21506, 133315, 0),
(21507, 133316, 0),
(21511, 133332, 0),
(21512, 133333, 0),
(21513, 133334, 2),
(21514, 133335, 0.1),
(21515, 133356, 2),
(21516, 133367, 0),
(21517, 133368, 0),
(21518, 133369, 0),
(21519, 133370, 0),
(21523, 133386, 0),
(21521, 133383, 0),
(21522, 133384, 0),
(21524, 133388, 0),
(21525, 133389, 0),
(21526, 133432, 1),
(21527, 133433, 1),
(21528, 133434, 2),
(21531, 133444, 1),
(21530, 133438, 1),
(21532, 133445, 0.2),
(21533, 133446, 0.2),
(21534, 133447, 0.1),
(21535, 133448, 2),
(21536, 133452, 2),
(21537, 133454, 2),
(21538, 133456, 1),
(21539, 133457, 1),
(21540, 133458, 1),
(21541, 133459, 1),
(21542, 133460, 1),
(21543, 133461, 1),
(21544, 133462, 2),
(21545, 133463, 1),
(21546, 133464, 1),
(21547, 133465, 1),
(21548, 133466, 1),
(21549, 133467, 2),
(21550, 133468, 1.5),
(21551, 133469, 1),
(21552, 133470, 1),
(21553, 133471, 1),
(21554, 133473, 2),
(21555, 133474, 0.5),
(21556, 133475, 1),
(21557, 133480, 1),
(21558, 133481, 1),
(21559, 133482, 1),
(21560, 133483, 1),
(21561, 133484, 1),
(21562, 133485, 2),
(21563, 133486, 2),
(21564, 133490, 1),
(21565, 133491, 0.75),
(21566, 133492, 2),
(21567, 133493, 0.5),
(21568, 133494, 0.5),
(21569, 133495, 2),
(21570, 133496, 1),
(21571, 133497, 1),
(21572, 133498, 1),
(21573, 133499, 1),
(21574, 133503, 1),
(21575, 133504, 0),
(21576, 133505, 0),
(21577, 133506, 0),
(21578, 133507, 0),
(21579, 133508, 0),
(21580, 133509, 0),
(21581, 133511, 0),
(21582, 133512, 0),
(21583, 133514, 0),
(21584, 133515, 1),
(21585, 133516, 0),
(21586, 133517, 0),
(21587, 133518, 0),
(21588, 133519, 0),
(21589, 133520, 0),
(21590, 133521, 0),
(21591, 133522, 0),
(21592, 133523, 0),
(21593, 133524, 0),
(21594, 133525, 0),
(21595, 133526, 0),
(21596, 133527, 0),
(21597, 133528, 0),
(21598, 133529, 0),
(21599, 133531, 0),
(21600, 133533, 0),
(21601, 133535, 0),
(21602, 133536, 0),
(21603, 133537, 0),
(21604, 133538, 0),
(21605, 133539, 0),
(21606, 133540, 0),
(21607, 133541, 0),
(21608, 133542, 0),
(21609, 133543, 1),
(21610, 133548, 0.5),
(21611, 133556, 2),
(21612, 133558, 2),
(21614, 133560, 2),
(21615, 133561, 1),
(21616, 133562, 1),
(21617, 133563, 1),
(21618, 133564, 2),
(21619, 133565, 1),
(21620, 133566, 1),
(21621, 133567, 1),
(21622, 133568, 2),
(21623, 133569, 2),
(21624, 133570, 2),
(21625, 133571, 2),
(21626, 133572, 2),
(21627, 133574, 0.6),
(21628, 133575, 0.7),
(21629, 133576, 0.75),
(21630, 133577, 1),
(21631, 133578, 1),
(21632, 133579, 2),
(21633, 133580, 2),
(21634, 133581, 1),
(21635, 133582, 1),
(21636, 133583, 2),
(21637, 133584, 2),
(21638, 133585, 2),
(21639, 133586, 2),
(21640, 133587, 2),
(21641, 133588, 1),
(21642, 133589, 1),
(21643, 133590, 1),
(21644, 133591, 1),
(21645, 133592, 1),
(21646, 133593, 1),
(21647, 133594, 1),
(21648, 133595, 1),
(21649, 133596, 1),
(21650, 133597, 1),
(21651, 133598, 2),
(21652, 133599, 1),
(21653, 133608, 1),
(21654, 133609, 1),
(21655, 133623, 2),
(21656, 133624, 2),
(21657, 133625, 2),
(21658, 133626, 1),
(21659, 133627, 1),
(21660, 133630, 0.1),
(21661, 133631, 0),
(21662, 133645, 1),
(21663, 133647, 4),
(21664, 133648, 1),
(21665, 133649, 0.7),
(21666, 133651, 1),
(21667, 133676, 1),
(21668, 133679, 0.75),
(21669, 133680, 2),
(21670, 133681, 2),
(21671, 133684, 2),
(21672, 133759, 0.6),
(21673, 133763, 1),
(21674, 133764, 2),
(21678, 133771, 2),
(21676, 133767, 2),
(21677, 133768, 2),
(21679, 133773, 2),
(21680, 133774, 2),
(21681, 133777, 2),
(21682, 133779, 1),
(21683, 133782, 1),
(21685, 133784, 1),
(21686, 133791, 2),
(21687, 133792, 0.25),
(21688, 133793, 1),
(21689, 133794, 0.4),
(21690, 133795, 0.2),
(21691, 133797, 0.2),
(21692, 133799, 0.3),
(21693, 133800, 0.3),
(21694, 133801, 0.2),
(21695, 133802, 0.5),
(21696, 133803, 0.2),
(21697, 133808, 1),
(21698, 133814, 0),
(21699, 133815, 0),
(21700, 133816, 0),
(21701, 133820, 0),
(21702, 133825, 5),
(21703, 133827, 3),
(21704, 133829, 0.1),
(21705, 133833, 0.15),
(21706, 133834, 0.15),
(21707, 133835, 0.2),
(21708, 133836, 0.1),
(21709, 133837, 0.2),
(21710, 133838, 0.15),
(21711, 133839, 0.2),
(21712, 133840, 0.1),
(21713, 133841, 0.15),
(21714, 133842, 0.25),
(21715, 133843, 0.3),
(21716, 133844, 0.7),
(21717, 133845, 0.3),
(21718, 133846, 0.2),
(21719, 133847, 0.3),
(21720, 133848, 0.1),
(21721, 133849, 0.2),
(21722, 133850, 0.2),
(21723, 133851, 0.1),
(21724, 133852, 0.5),
(21725, 133853, 0.1),
(21726, 133854, 1),
(21727, 133857, 0.2),
(21728, 133865, 0.5),
(21743, 133885, 0.1),
(21730, 133867, 0),
(21732, 133872, 0),
(21734, 133874, 0),
(21735, 133875, 0),
(21736, 133876, 0),
(21737, 133877, 0),
(21738, 133878, 0),
(21739, 133881, 0),
(21740, 133882, 0),
(21741, 133883, 1),
(21742, 133884, 0),
(21744, 133887, 0),
(21745, 133889, 0),
(21746, 133893, 0),
(21747, 133894, 0),
(21748, 133895, 0),
(21749, 133901, 0),
(21750, 133902, 1),
(21751, 133903, 1),
(21752, 133904, 1),
(21753, 133905, 1),
(21754, 133906, 0),
(21755, 133907, 0),
(21757, 133921, 0.6),
(21758, 133925, 0.1),
(21759, 133926, 0.1),
(21760, 133927, 1),
(21761, 133928, 2),
(21763, 133930, 1),
(21764, 133931, 1),
(21765, 133942, 2),
(21766, 133943, 2),
(21768, 133945, 2),
(21769, 133946, 2),
(21770, 133947, 2),
(21771, 133950, 1),
(21772, 133951, 1),
(21773, 133968, 2),
(21774, 133969, 0.1),
(21775, 133974, 0),
(21776, 133975, 0),
(21777, 133976, 0),
(21778, 133977, 0),
(21779, 133978, 0),
(21780, 133996, 1.5),
(21781, 133997, 1),
(21794, 134011, 0),
(21784, 134000, 0),
(21793, 134010, 2),
(21786, 134002, 0),
(21787, 134003, 0),
(21788, 134005, 0),
(21789, 134006, 2),
(21790, 134007, 0),
(21791, 134008, 0),
(21792, 134009, 0),
(21795, 134012, 0),
(21796, 134013, 2),
(21797, 134023, 1),
(21798, 134024, 0.15),
(21799, 134025, 0.15),
(21800, 134026, 0.7),
(21801, 134027, 1),
(21802, 134028, 3),
(21803, 134029, 0.2),
(21841, 134122, 0),
(21810, 134041, 2),
(21809, 134040, 0.5),
(21811, 134047, 1),
(21812, 134048, 0),
(21813, 134049, 0),
(21814, 134050, 0),
(21815, 134051, 0),
(21816, 134052, 2),
(21817, 134055, 1),
(21818, 134056, 2),
(21819, 134057, 2),
(21820, 134058, 2),
(21821, 134059, 2),
(21822, 134062, 0.1),
(21823, 134063, 1),
(21824, 134065, 1),
(21825, 134066, 0.5),
(21826, 134068, 0.9),
(21827, 134069, 0.7),
(21828, 134070, 0),
(21829, 134071, 0),
(21830, 134079, 2),
(21879, 134245, 2),
(21832, 134094, 1),
(21833, 134114, 1),
(21834, 134115, 0.2),
(21835, 134116, 0),
(21836, 134117, 0),
(21837, 134118, 0),
(21838, 134119, 0),
(21839, 134120, 2),
(21840, 134121, 0),
(21842, 134123, 0),
(21843, 134124, 0),
(21844, 134125, 0),
(21845, 134126, 0),
(21846, 134127, 0),
(21847, 134128, 0),
(21848, 134129, 0),
(21849, 134130, 0),
(21881, 134262, 1),
(21851, 134132, 0),
(21852, 134133, 0),
(21853, 134134, 0),
(21854, 134135, 0),
(21855, 134136, 0),
(21856, 134137, 0),
(21857, 134138, 1),
(21858, 134139, 1),
(21859, 134140, 1),
(21860, 134141, 1),
(21862, 134147, 1),
(21863, 134164, 1),
(21864, 134193, 0),
(21865, 134194, 0),
(21866, 134197, 0),
(21867, 134198, 0),
(21868, 134201, 0),
(21869, 134204, 0.2),
(21870, 134207, 1),
(21871, 134208, 0.5),
(21872, 134209, 0.4),
(21873, 134210, 0),
(21874, 134211, 0),
(21875, 134212, 0),
(21876, 134213, 0),
(21877, 134236, 1),
(21878, 134237, 0.6),
(21880, 134246, 2),
(21882, 134263, 1),
(21883, 134269, 1),
(21884, 134270, 0),
(21885, 134271, 2),
(21886, 134272, 2),
(21887, 134273, 0.2),
(21888, 134274, 0.8),
(21889, 134275, 0.7),
(21890, 134276, 0.4),
(21891, 134277, 0.3),
(21892, 134287, 2),
(21893, 134289, 1),
(21894, 134290, 1),
(21895, 134291, 1),
(21896, 134292, 1),
(21897, 134293, 1),
(21898, 134294, 1),
(21899, 134295, 1),
(21900, 134296, 2),
(21901, 134298, 2),
(21902, 134299, 2),
(21903, 134300, 1),
(21904, 134301, 1),
(21905, 134302, 1),
(21906, 134303, 1),
(21907, 134304, 1),
(21908, 134305, 1),
(22494, 135843, 0.5),
(21910, 134307, 2),
(21911, 134308, 2),
(21912, 134309, 1),
(21913, 134310, 0.75),
(21914, 134311, 0.5),
(21915, 134312, 1),
(21916, 134313, 1),
(21917, 134314, 1),
(21918, 134316, 1),
(21919, 134317, 1),
(21920, 134318, 1),
(21921, 134319, 2),
(21922, 134320, 1),
(21923, 134321, 2),
(21924, 134322, 2),
(21925, 134323, 2),
(21926, 134324, 2),
(21928, 134326, 2),
(21929, 134327, 2),
(21930, 134328, 2),
(21931, 134329, 2),
(21932, 134330, 0.5),
(21933, 134331, 0.5),
(21934, 134332, 1),
(21935, 134335, 1),
(21936, 134338, 1),
(21937, 134339, 1),
(21938, 134340, 1),
(21939, 134341, 1),
(21940, 134342, 0.5),
(21941, 134343, 0.25),
(21942, 134344, 1),
(21943, 134345, 1),
(21944, 134346, 2),
(21945, 134347, 2),
(21946, 134348, 2),
(21947, 134349, 1),
(21948, 134350, 1),
(21949, 134351, 0),
(21950, 134352, 0),
(22139, 134685, 0.5),
(21952, 134354, 0),
(21953, 134355, 0),
(21954, 134356, 0),
(21955, 134357, 0),
(21956, 134358, 0.6),
(21957, 134359, 0),
(21958, 134361, 0.4),
(21959, 134364, 0),
(21960, 134365, 0),
(21961, 134367, 0),
(21962, 134368, 0),
(21963, 134369, 0),
(21964, 134370, 0),
(21965, 134371, 1),
(21966, 134372, 0),
(21967, 134375, 0),
(21968, 134377, 1),
(21969, 134383, 1),
(21970, 134384, 1),
(21971, 134385, 1),
(21972, 134386, 1),
(21973, 134387, 1),
(21974, 134388, 1),
(22559, 136075, 1),
(21976, 134390, 2),
(22560, 136076, 1),
(21978, 134392, 2),
(21979, 134393, 2),
(21980, 134394, 2),
(21981, 134395, 2),
(21982, 134396, 2),
(21983, 134397, 2),
(21984, 134398, 2),
(21989, 134403, 1),
(21986, 134400, 2),
(21987, 134401, 2),
(21988, 134402, 1),
(21990, 134404, 2),
(21991, 134406, 1),
(21992, 134408, 1),
(21993, 134409, 1),
(21994, 134412, 1),
(21995, 134418, 1),
(21996, 134419, 1),
(21997, 134428, 1),
(21998, 134429, 1),
(21999, 134430, 1),
(22000, 134431, 2),
(22001, 134432, 1),
(22002, 134433, 1),
(22003, 134434, 1),
(22004, 134435, 1),
(22005, 134436, 1),
(22006, 134437, 2),
(22007, 134438, 2),
(22008, 134439, 2),
(22009, 134440, 2),
(22010, 134448, 2),
(22011, 134449, 1),
(22012, 134455, 1),
(22013, 134456, 2),
(22014, 134457, 2),
(22015, 134458, 2),
(22016, 134459, 2),
(22017, 134460, 2),
(22018, 134461, 2),
(22019, 134462, 2),
(22020, 134463, 2),
(22457, 135736, 2),
(22022, 134465, 2),
(22023, 134466, 2),
(22024, 134467, 2),
(22025, 134468, 2),
(22026, 134469, 2),
(22027, 134470, 2),
(22028, 134471, 2),
(22029, 134472, 2),
(22030, 134473, 0.5),
(22031, 134481, 2),
(22032, 134482, 2),
(22033, 134483, 2),
(22034, 134484, 2),
(22035, 134485, 2),
(22036, 134486, 1),
(22037, 134487, 0),
(22038, 134488, 0),
(22039, 134489, 0),
(22040, 134490, 0),
(22070, 134564, 0),
(22071, 134573, 0),
(22043, 134493, 0),
(22044, 134494, 1),
(22045, 134495, 1),
(22046, 134496, 1),
(22047, 134497, 1),
(22048, 134498, 1),
(22049, 134499, 1),
(22050, 134500, 1),
(22051, 134501, 0),
(22059, 134509, 0),
(22053, 134503, 0),
(22054, 134504, 0),
(22055, 134505, 1),
(22056, 134506, 1),
(22057, 134507, 0),
(22058, 134508, 0),
(22060, 134510, 1),
(22072, 134575, 1),
(22063, 134516, 0.2),
(22064, 134517, 0),
(22065, 134518, 0),
(22066, 134519, 0.4),
(22067, 134520, 0),
(22068, 134521, 0),
(22069, 134522, 0),
(22073, 134576, 2),
(22074, 134577, 2),
(22076, 134579, 2),
(22077, 134580, 0.2),
(22078, 134581, 2),
(22079, 134584, 2),
(22080, 134587, 0),
(22081, 134588, 0),
(22082, 134589, 0),
(22083, 134590, 0),
(22084, 134591, 0),
(22085, 134592, 0),
(22086, 134593, 0),
(22087, 134594, 0),
(22088, 134595, 0),
(22089, 134596, 0),
(22090, 134597, 0),
(22091, 134598, 0),
(22092, 134599, 0),
(22093, 134602, 0),
(22094, 134607, 0),
(22095, 134609, 0),
(22096, 134611, 0),
(22097, 134612, 0),
(22098, 134613, 1),
(22099, 134615, 0.1),
(22100, 134616, 0.2),
(22101, 134617, 0.6),
(22102, 134618, 0),
(22103, 134619, 0),
(22104, 134620, 0),
(22105, 134625, 0),
(22106, 134626, 0),
(22226, 135072, 1),
(22108, 134635, 0),
(22109, 134636, 0),
(22110, 134643, 0),
(22111, 134644, 0),
(22112, 134645, 0),
(22113, 134646, 1),
(22115, 134648, 1.5),
(22116, 134649, 1),
(22117, 134650, 1),
(22118, 134651, 1),
(22119, 134652, 1),
(22120, 134653, 1),
(22121, 134654, 1),
(22131, 134677, 0.2),
(22123, 134657, 1),
(22124, 134660, 1),
(22125, 134661, 0.2),
(22126, 134662, 0.2),
(22127, 134666, 0.3),
(22128, 134669, 0.2),
(22130, 134674, 1),
(22132, 134678, 1),
(22133, 134679, 0.4),
(22134, 134680, 5),
(22135, 134681, 2),
(22136, 134682, 0.25),
(22137, 134683, 0.2),
(22138, 134684, 0),
(22140, 134686, 0),
(22141, 134687, 0.5),
(22142, 134688, 0.9),
(22143, 134689, 0.8),
(22144, 134692, 0.25),
(22145, 134698, 0.4),
(22146, 134699, 0.3),
(22149, 134702, 0),
(22148, 134701, 1),
(22150, 134703, 0),
(22151, 134704, 0),
(22152, 134705, 0.15),
(22153, 134789, 1),
(22154, 134803, 2),
(22155, 134811, 0.5),
(22156, 134814, 0.25),
(22157, 134816, 0),
(22158, 134817, 2),
(22159, 134818, 0),
(22160, 134819, 0),
(22161, 134820, 2),
(22162, 134821, 0),
(22163, 134822, 0),
(22164, 134823, 0),
(22165, 134824, 0),
(22166, 134825, 0),
(22167, 134826, 0),
(22168, 134827, 0),
(22169, 134832, 0),
(22170, 134833, 0),
(22171, 134834, 0),
(22172, 134835, 0),
(22173, 134836, 0),
(22174, 134837, 0),
(22175, 134838, 0),
(22176, 134839, 0),
(22177, 134840, 0),
(22178, 134841, 0),
(22179, 134856, 1),
(22180, 134858, 0),
(22181, 134859, 0),
(22182, 134860, 0),
(22183, 134861, 1.5),
(22184, 134862, 0.1),
(22185, 134863, 0.2),
(22186, 134865, 1),
(22187, 134868, 2),
(22188, 134871, 0.5),
(22189, 134873, 1),
(22190, 134874, 1),
(22191, 134875, 1),
(22192, 134878, 0.1),
(22193, 134891, 0.2),
(22194, 134892, 0.5),
(22195, 134917, 0),
(22196, 134919, 0),
(22197, 134923, 0),
(22198, 134926, 0),
(22199, 134928, 0),
(22200, 134929, 0),
(22201, 134931, 0),
(22202, 134932, 0),
(22203, 134933, 0),
(22204, 134953, 2),
(22205, 134954, 2),
(22206, 134958, 1),
(22207, 134959, 0.5),
(22208, 134968, 1),
(22209, 134969, 0.2),
(22210, 134970, 0),
(22211, 134971, 1),
(22212, 134972, 1),
(22213, 134973, 2),
(22214, 134980, 1),
(22215, 134981, 1),
(22216, 134982, 1),
(22217, 134983, 1),
(22218, 134984, 1),
(22219, 135002, 2),
(22220, 135003, 2),
(22221, 135004, 1),
(22222, 135005, 1),
(22223, 135023, 0),
(22224, 135024, 1.5),
(22225, 135062, 0),
(22227, 135076, 0),
(22463, 135752, 0),
(22229, 135097, 0.2),
(22230, 135098, 2),
(22231, 135107, 1),
(22232, 135111, 1),
(22233, 135131, 0),
(22234, 135195, 0),
(22235, 135197, 0),
(22236, 135199, 0),
(22237, 135202, 0),
(22238, 135204, 0),
(22239, 135207, 0),
(22240, 135223, 2),
(22241, 135224, 1),
(22242, 135225, 1),
(22243, 135247, 2),
(22244, 135248, 2),
(22245, 135256, 2),
(22246, 135258, 0),
(22247, 135259, 0),
(22248, 135260, 0),
(22249, 135261, 0),
(22250, 135262, 0),
(22251, 135263, 0),
(22252, 135264, 0),
(22253, 135265, 0),
(22254, 135266, 0),
(22255, 135267, 0),
(22256, 135268, 0),
(22257, 135269, 0),
(22258, 135270, 0),
(22259, 135276, 1),
(22260, 135277, 1),
(22261, 135278, 1),
(22262, 135279, 1),
(22263, 135284, 0.2),
(22264, 135287, 0.2),
(22368, 135461, 1),
(22367, 135460, 1),
(22267, 135299, 1);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(22268, 135311, 0.1),
(22269, 135319, 1),
(22270, 135320, 0.25),
(22271, 135321, 1),
(22272, 135322, 0.1),
(22273, 135323, 0.4),
(22274, 135324, 0.1),
(22275, 135325, 0.5),
(22276, 135326, 0.7),
(22277, 135327, 1),
(22278, 135328, 0.75),
(22280, 135340, 2),
(22369, 135462, 0.75),
(22372, 135465, 2),
(22371, 135464, 2),
(22561, 136077, 1),
(22562, 136078, 1),
(22563, 136079, 1),
(22564, 136080, 0),
(22289, 135354, 2),
(22780, 136616, 1),
(22565, 136114, 0.6),
(22292, 135357, 2),
(22293, 135358, 2),
(22294, 135359, 2),
(22298, 135363, 0),
(22299, 135364, 0),
(22300, 135365, 0),
(22301, 135366, 0),
(22303, 135368, 0),
(22304, 135369, 2),
(22305, 135370, 2),
(22306, 135371, 1),
(22307, 135372, 2),
(22308, 135373, 2),
(22428, 135598, 1),
(22310, 135375, 2),
(22429, 135599, 1),
(22312, 135378, 1),
(22313, 135380, 1),
(22314, 135382, 1),
(22430, 135600, 1),
(22316, 135384, 2),
(22317, 135385, 1),
(22318, 135386, 1),
(22319, 135387, 2),
(22320, 135388, 1),
(22321, 135389, 2),
(22322, 135390, 2),
(22323, 135391, 0.5),
(22432, 135694, 0.75),
(22325, 135393, 1),
(22326, 135394, 1),
(22327, 135395, 1),
(22328, 135399, 1),
(22329, 135400, 2),
(22373, 135466, 2),
(22374, 135467, 2),
(22375, 135476, 2),
(22333, 135404, 1),
(22334, 135405, 1),
(22335, 135406, 1),
(22336, 135407, 0),
(22338, 135409, 0.2),
(22339, 135412, 2),
(22340, 135414, 2),
(22341, 135415, 0.25),
(22342, 135416, 2),
(22343, 135417, 2),
(22345, 135419, 2),
(22346, 135420, 2),
(22347, 135421, 1),
(22348, 135426, 1),
(22434, 135710, 2),
(22487, 135826, 1),
(22358, 135437, 1),
(22352, 135431, 1),
(22353, 135432, 1),
(22354, 135433, 1),
(22355, 135434, 1),
(22425, 135578, 0),
(22357, 135436, 1),
(22359, 135438, 2),
(22360, 135439, 1),
(22361, 135440, 2),
(22362, 135441, 2),
(22363, 135442, 2),
(22364, 135443, 2),
(22365, 135445, 0.5),
(22366, 135459, 1),
(22535, 136026, 2),
(22376, 135477, 2),
(22377, 135478, 2),
(22378, 135479, 2),
(22379, 135480, 2),
(22380, 135481, 2),
(22381, 135482, 2),
(22382, 135483, 1),
(22383, 135484, 1),
(22384, 135486, 1),
(22385, 135487, 1),
(22386, 135488, 1),
(22387, 135489, 1),
(22388, 135490, 1),
(22389, 135491, 1),
(22390, 135515, 0),
(22391, 135516, 0),
(22392, 135517, 0),
(22393, 135518, 0),
(22394, 135519, 0),
(22395, 135522, 0),
(22400, 135527, 0),
(22397, 135524, 0),
(22398, 135525, 0),
(22399, 135526, 0),
(22401, 135528, 0),
(22402, 135532, 0),
(22403, 135534, 0),
(22404, 135536, 0),
(22405, 135537, 0),
(22406, 135542, 0),
(22409, 135549, 2),
(22408, 135544, 0),
(22410, 135552, 0.4),
(22411, 135554, 1),
(22412, 135560, 0.4),
(22413, 135561, 1),
(22414, 135562, 3),
(22415, 135563, 0),
(22416, 135564, 0),
(22417, 135565, 0),
(22418, 135566, 0.5),
(22419, 135567, 0),
(22420, 135568, 0),
(22421, 135569, 0),
(22422, 135570, 0),
(22423, 135571, 0),
(22424, 135572, 1),
(22426, 135596, 0.5),
(22427, 135597, 1),
(22433, 135695, 0.25),
(22435, 135711, 1),
(22436, 135712, 1),
(22437, 135713, 1),
(22438, 135714, 1),
(22439, 135715, 1),
(22440, 135716, 0),
(22441, 135717, 0),
(22442, 135718, 0),
(22443, 135719, 0),
(22444, 135720, 0),
(22460, 135745, 0),
(22446, 135722, 0),
(22447, 135723, 0),
(22448, 135724, 2),
(22449, 135725, 2),
(22450, 135727, 1),
(22451, 135728, 1),
(22452, 135729, 1),
(22453, 135730, 1),
(22455, 135732, 1),
(22456, 135733, 1),
(22461, 135746, 0.8),
(22500, 135849, 0),
(22462, 135751, 0),
(22464, 135753, 0),
(22465, 135755, 0),
(22498, 135847, 0.5),
(22467, 135765, 0.75),
(22468, 135766, 1),
(22469, 135770, 0.5),
(22470, 135771, 1),
(22471, 135774, 0.2),
(22472, 135780, 2),
(22473, 135782, 1),
(22474, 135783, 1),
(22476, 135785, 2),
(22477, 135786, 1),
(22478, 135787, 1),
(22479, 135807, 0),
(22480, 135808, 0),
(22481, 135815, 0.3),
(22482, 135816, 0.2),
(22573, 136237, 0.1),
(22485, 135823, 1),
(22486, 135824, 0.25),
(22557, 136067, 2),
(22572, 136236, 0.5),
(22490, 135829, 0.75),
(22491, 135830, 1),
(22492, 135831, 1),
(22501, 135866, 0.3),
(22497, 135846, 1),
(22496, 135845, 2),
(22499, 135848, 2),
(22502, 135869, 0.2),
(22503, 135870, 0.1),
(22504, 135871, 0.1),
(22505, 135872, 0.1),
(22506, 135873, 0.1),
(22507, 135888, 0),
(22508, 135889, 0),
(22509, 135890, 0),
(22510, 135891, 0),
(22511, 135892, 0),
(22512, 135893, 0),
(22513, 135894, 0),
(22514, 135910, 1),
(22515, 135911, 1),
(22516, 135912, 1),
(22517, 135913, 1),
(22518, 135914, 0),
(22519, 135915, 0.1),
(22520, 135916, 0),
(22522, 135969, 1),
(22556, 136066, 2),
(22525, 135977, 0),
(22527, 135983, 0.4),
(22528, 135989, 1),
(22529, 135992, 1),
(22530, 135993, 0.2),
(22531, 136003, 0.1),
(22532, 136004, 1.5),
(22533, 136010, 2),
(22537, 136031, 0),
(22536, 136030, 2),
(22538, 136032, 0),
(22539, 136033, 2),
(22612, 136297, 0.5),
(22611, 136296, 2),
(22543, 136041, 1),
(22544, 136042, 1),
(22545, 136043, 1),
(22546, 136044, 1),
(22547, 136045, 1),
(22548, 136046, 2),
(22834, 136906, 1),
(22551, 136054, 0.5),
(22552, 136058, 1),
(22555, 136064, 2),
(22574, 136238, 0),
(22575, 136239, 0),
(22576, 136240, 0),
(22577, 136241, 0.3),
(22578, 136242, 0.15),
(22579, 136243, 0.15),
(22580, 136246, 0.1),
(22581, 136247, 0.4),
(22582, 136248, 0.15),
(22583, 136249, 0.1),
(22584, 136250, 0.1),
(22585, 136251, 0.1),
(22586, 136252, 0.1),
(22587, 136253, 0.1),
(22588, 136260, 0.1),
(22591, 136263, 0.15),
(22590, 136262, 0.1),
(22592, 136264, 0.7),
(22593, 136265, 0.8),
(22594, 136266, 2),
(22595, 136267, 2),
(22596, 136268, 2),
(22597, 136269, 0.2),
(22598, 136272, 0),
(22599, 136273, 1),
(22600, 136274, 0.1),
(22601, 136275, 4),
(22602, 136276, 0.2),
(22603, 136277, 0.2),
(22604, 136278, 1.5),
(22605, 136279, 0.2),
(22606, 136285, 1),
(22607, 136286, 1),
(22608, 136291, 2),
(22613, 136305, 0.6),
(22610, 136295, 0.5),
(22614, 136306, 2),
(22615, 136307, 2),
(22616, 136312, 0.5),
(22617, 136313, 1),
(22622, 136331, 0.8),
(22619, 136317, 1),
(22620, 136318, 1),
(22621, 136319, 1),
(22623, 136336, 0),
(22624, 136337, 0),
(22625, 136338, 0),
(22626, 136339, 1),
(22627, 136340, 1),
(22628, 136341, 1),
(22629, 136342, 0),
(22630, 136348, 1),
(22631, 136349, 0.6),
(22632, 136350, 0.3),
(22633, 136351, 0.2),
(22634, 136352, 2),
(22635, 136366, 1),
(22636, 136367, 1),
(22637, 136368, 0.5),
(22638, 136370, 0.4),
(22639, 136371, 0.5),
(22640, 136373, 2),
(22641, 136375, 2),
(22642, 136377, 2),
(22643, 136378, 2),
(22644, 136379, 0),
(22646, 136386, 0),
(22647, 136387, 0),
(22648, 136388, 0),
(22649, 136389, 0),
(22650, 136390, 0),
(22651, 136391, 0),
(22652, 136392, 0),
(22653, 136393, 0),
(22654, 136394, 0),
(22655, 136395, 0),
(22656, 136396, 0),
(22657, 136397, 0),
(22658, 136398, 0),
(22660, 136400, 0),
(22661, 136401, 0),
(22662, 136402, 0),
(22663, 136403, 0),
(22664, 136434, 2),
(22667, 136437, 2),
(22668, 136438, 2),
(22669, 136439, 2),
(22681, 136486, 2),
(22671, 136444, 1),
(22672, 136445, 0.5),
(22673, 136446, 1),
(22674, 136451, 2),
(22695, 136501, 0),
(22676, 136453, 0.2),
(22677, 136454, 0.5),
(22678, 136455, 0.4),
(22679, 136458, 1),
(22680, 136461, 0.4),
(22682, 136487, 0.2),
(22683, 136488, 0),
(22684, 136489, 2),
(22685, 136490, 0),
(22686, 136491, 1),
(22687, 136492, 1),
(22688, 136493, 1),
(22689, 136494, 1),
(22690, 136495, 1),
(22691, 136497, 0.2),
(22692, 136498, 1),
(22693, 136499, 0.3),
(22694, 136500, 0.4),
(22696, 136502, 0),
(22697, 136503, 0),
(22698, 136504, 2),
(22699, 136505, 2),
(22700, 136506, 2),
(22701, 136507, 2),
(22702, 136508, 2),
(22703, 136509, 2),
(22704, 136510, 2),
(22705, 136516, 0),
(22706, 136517, 0),
(22707, 136518, 0),
(22708, 136519, 0),
(22726, 136545, 1),
(22710, 136522, 1),
(22711, 136523, 1),
(22712, 136524, 1),
(22713, 136525, 1),
(22714, 136526, 1),
(22715, 136527, 1),
(22716, 136528, 1),
(22717, 136529, 1),
(22718, 136530, 1),
(22719, 136531, 1),
(22720, 136537, 1),
(22721, 136538, 1),
(22722, 136539, 1),
(22723, 136540, 2),
(22724, 136541, 0.4),
(22725, 136542, 0),
(22727, 136546, 1),
(22728, 136547, 2),
(22729, 136548, 2),
(22730, 136551, 2),
(22731, 136552, 1),
(22732, 136553, 1),
(22733, 136554, 1),
(22734, 136555, 1),
(22735, 136557, 1),
(22736, 136558, 1),
(22737, 136559, 1),
(22738, 136560, 1),
(22739, 136561, 1),
(22740, 136562, 1),
(22741, 136563, 1),
(22742, 136564, 1),
(22743, 136565, 2),
(22744, 136566, 1),
(22745, 136567, 2),
(22746, 136568, 2),
(22747, 136569, 1),
(22748, 136571, 2),
(22749, 136572, 2),
(22750, 136573, 1),
(22751, 136574, 1),
(22752, 136575, 0),
(22753, 136576, 0),
(22754, 136579, 0),
(22755, 136580, 2),
(22756, 136581, 0),
(22757, 136582, 1),
(22758, 136583, 2),
(22759, 136584, 1),
(22760, 136585, 1),
(22761, 136586, 1),
(22762, 136592, 0),
(23222, 137821, 1),
(22764, 136600, 1),
(22765, 136601, 1),
(22766, 136602, 1),
(22767, 136603, 1),
(22768, 136604, 1),
(22769, 136605, 1),
(22770, 136606, 0.5),
(22771, 136607, 1),
(22772, 136608, 1),
(22773, 136609, 2),
(22774, 136610, 2),
(22775, 136611, 2),
(22776, 136612, 2),
(22777, 136613, 2),
(22778, 136614, 2),
(22779, 136615, 2),
(22781, 136617, 1),
(22782, 136618, 2),
(22783, 136622, 2),
(22784, 136623, 2),
(22785, 136624, 1),
(22786, 136625, 2),
(22787, 136626, 0.75),
(22788, 136627, 0.5),
(22789, 136628, 1),
(22790, 136629, 1),
(23220, 137819, 1),
(23232, 137858, 1),
(23234, 137860, 1),
(23233, 137859, 2),
(22796, 136635, 0.4),
(22797, 136641, 0.25),
(22798, 136646, 2),
(22799, 136647, 2),
(22800, 136650, 1),
(22801, 136651, 1),
(22802, 136652, 0.5),
(22803, 136653, 1),
(22804, 136654, 2),
(22805, 136655, 1),
(22806, 136656, 1),
(22807, 136657, 1),
(22808, 136658, 1),
(22809, 136660, 1),
(22810, 136661, 1),
(22811, 136662, 1),
(22812, 136663, 0),
(22975, 137275, 0),
(22814, 136669, 1),
(22815, 136670, 1),
(22816, 136671, 1),
(22817, 136672, 1),
(22818, 136673, 1),
(22819, 136674, 0.4),
(22820, 136675, 0.8),
(22821, 136676, 0.4),
(22822, 136677, 5),
(22823, 136678, 3),
(22824, 136679, 0.4),
(22825, 136680, 1),
(22826, 136681, 1),
(22827, 136683, 0.15),
(22828, 136701, 2),
(22829, 136703, 2),
(22830, 136896, 1),
(22831, 136897, 0.25),
(22905, 137105, 0),
(22833, 136905, 1),
(22835, 136912, 0.2),
(22836, 136916, 0.2),
(22837, 136930, 2),
(22838, 136931, 1),
(22839, 136932, 1),
(22840, 136937, 1),
(22841, 136938, 0.6),
(22842, 136939, 2),
(22843, 136943, 1),
(22844, 136944, 1),
(22845, 136962, 0),
(22846, 136963, 0),
(22847, 136964, 0),
(22848, 136965, 0),
(22849, 136966, 0),
(22850, 136970, 0),
(22851, 136972, 0),
(22852, 136973, 0),
(22853, 136974, 0),
(22854, 136975, 0),
(22855, 136976, 0),
(22856, 136977, 0),
(22857, 136978, 0),
(22858, 136979, 0.2),
(22859, 136980, 0),
(22860, 136981, 0),
(22861, 136982, 0),
(22862, 136983, 0),
(22863, 136985, 0),
(22864, 136986, 0),
(22865, 136987, 0),
(22866, 136988, 0),
(22867, 136989, 0),
(22869, 136991, 0),
(22870, 136992, 0),
(22871, 136995, 0),
(22872, 136997, 0),
(22873, 136999, 0.1),
(22874, 137000, 0.1),
(22875, 137001, 0.3),
(22876, 137002, 0.2),
(22877, 137003, 0.6),
(22878, 137004, 0.15),
(22879, 137005, 0.2),
(22880, 137006, 0.2),
(22881, 137011, 0),
(22882, 137012, 0.2),
(22883, 137013, 0.3),
(22884, 137014, 0.2),
(22885, 137015, 0.1),
(22886, 137016, 0.3),
(22887, 137017, 0.7),
(22888, 137018, 0.3),
(22889, 137019, 0.7),
(22890, 137020, 0.4),
(22891, 137021, 0.3),
(22892, 137022, 1),
(22893, 137028, 0),
(22894, 137029, 1),
(22895, 137030, 2),
(22896, 137031, 0),
(22898, 137086, 0),
(22899, 137088, 0),
(22900, 137089, 1),
(22901, 137090, 1),
(22902, 137091, 1),
(22903, 137093, 2),
(22904, 137094, 2),
(22906, 137106, 0),
(22907, 137110, 0),
(22908, 137111, 1),
(22909, 137112, 1),
(22910, 137113, 1),
(22911, 137114, 0),
(22912, 137115, 0),
(22913, 137116, 0),
(22914, 137117, 0),
(22915, 137118, 1),
(22916, 137119, 2),
(22917, 137121, 2),
(22918, 137122, 1),
(22919, 137135, 1),
(22920, 137136, 1),
(22921, 137137, 1),
(22922, 137148, 2),
(22923, 137155, 0.4),
(22931, 137172, 2),
(22925, 137161, 0),
(22926, 137162, 0.4),
(22927, 137164, 0.2),
(22930, 137170, 2),
(22929, 137166, 0),
(22932, 137173, 1),
(22933, 137174, 0.7),
(22934, 137178, 0.6),
(22935, 137180, 0),
(22936, 137183, 0.4),
(22937, 137185, 1),
(22938, 137187, 0),
(22940, 137191, 0.25),
(22941, 137196, 0.2),
(22942, 137198, 0.2),
(22943, 137215, 0),
(22944, 137216, 0),
(22945, 137220, 0),
(22946, 137224, 0.75),
(22947, 137236, 1),
(22948, 137244, 0.4),
(22949, 137246, 1),
(22950, 137247, 1),
(22951, 137248, 1),
(22952, 137249, 1),
(22953, 137250, 1),
(22954, 137251, 0.4),
(22955, 137252, 0.05),
(22956, 137253, 0.2),
(22957, 137254, 0.6),
(22958, 137258, 0),
(22959, 137259, 0),
(22960, 137260, 0),
(22961, 137261, 0.2),
(22973, 137273, 0.4),
(22972, 137272, 0.5),
(22976, 137276, 0),
(22965, 137265, 1),
(22974, 137274, 0),
(22977, 137277, 0),
(22978, 137278, 0),
(22971, 137271, 1),
(22979, 137280, 2),
(22980, 137281, 0.4),
(22982, 137284, 2),
(22983, 137286, 2),
(22984, 137291, 1),
(22985, 137296, 1),
(22986, 137298, 1),
(22987, 137312, 2),
(22988, 137317, 0.3),
(22989, 137318, 1),
(22990, 137322, 0),
(22991, 137332, 0),
(22992, 137333, 0),
(22993, 137334, 0),
(22994, 137335, 0),
(22995, 137336, 0.25),
(22996, 137337, 0),
(22997, 137338, 0),
(22998, 137339, 0),
(22999, 137340, 0),
(23000, 137341, 0),
(23001, 137342, 0),
(23002, 137343, 0),
(23003, 137344, 0),
(23004, 137345, 0),
(23005, 137346, 0),
(23006, 137347, 0),
(23007, 137348, 0),
(23008, 137349, 0),
(23009, 137350, 0),
(23010, 137351, 0),
(23011, 137352, 0),
(23012, 137353, 0),
(23013, 137354, 0),
(23014, 137355, 0),
(23015, 137356, 0),
(23016, 137359, 0),
(23017, 137360, 0),
(23018, 137362, 0),
(23019, 137363, 0),
(23020, 137364, 0),
(23021, 137365, 0),
(23022, 137366, 0),
(23023, 137367, 0),
(23024, 137368, 0),
(23025, 137369, 0),
(23026, 137370, 0),
(23027, 137373, 0),
(23028, 137374, 0),
(23029, 137375, 2),
(23030, 137376, 0),
(23031, 137377, 0),
(23032, 137378, 0),
(23033, 137379, 0),
(23034, 137380, 0),
(23035, 137381, 0),
(23036, 137382, 0),
(23037, 137383, 0),
(23038, 137384, 0),
(23039, 137385, 0),
(23040, 137394, 2),
(23041, 137440, 0.2),
(23042, 137441, 0.2),
(23043, 137449, 0),
(23044, 137466, 1),
(23045, 137467, 1),
(23046, 137476, 1),
(23047, 137477, 1),
(23048, 137478, 1),
(23049, 137488, 2),
(23050, 137489, 2),
(23051, 137490, 3),
(23052, 137491, 1),
(23053, 137492, 1),
(23054, 137493, 1),
(23055, 137494, 1),
(23056, 137504, 2),
(23057, 137505, 0.6),
(23058, 137506, 0.2),
(23059, 137507, 2),
(23060, 137517, 2),
(23061, 137518, 2),
(23062, 137519, 2),
(23063, 137521, 2),
(23064, 137524, 0),
(23065, 137525, 2),
(23067, 137529, 1),
(23068, 137530, 0.05),
(23069, 137531, 2),
(23070, 137542, 0),
(23071, 137543, 0),
(23072, 137548, 2),
(23075, 137551, 0),
(23074, 137550, 2),
(23076, 137553, 2),
(23077, 137555, 2),
(23078, 137556, 0),
(23079, 137557, 2),
(23080, 137558, 2),
(23081, 137559, 0.2),
(23082, 137560, 0.5),
(23084, 137575, 1),
(23085, 137576, 1),
(23086, 137577, 1),
(23087, 137578, 1),
(23088, 137579, 1),
(23089, 137580, 1),
(23090, 137581, 1),
(23091, 137582, 1),
(23093, 137584, 0.1),
(23094, 137585, 0.8),
(23095, 137587, 1),
(23096, 137588, 2),
(23097, 137589, 2),
(23098, 137593, 2),
(23099, 137594, 2),
(23100, 137595, 2),
(23101, 137598, 1),
(23102, 137599, 2),
(23103, 137600, 1),
(23104, 137601, 2),
(23105, 137602, 1),
(23106, 137603, 1),
(23107, 137604, 1),
(23108, 137605, 2),
(23109, 137606, 1),
(23110, 137607, 1),
(23111, 137608, 1),
(23112, 137609, 1),
(23113, 137610, 1),
(23114, 137611, 1),
(23115, 137615, 1),
(23116, 137616, 0.5),
(23117, 137617, 0.5),
(23118, 137623, 0),
(23119, 137624, 0),
(23120, 137625, 0),
(23121, 137626, 1),
(23122, 137629, 2),
(23123, 137630, 1),
(23124, 137631, 1),
(23125, 137632, 1),
(23126, 137633, 2),
(23127, 137634, 1),
(23128, 137635, 1),
(23129, 137636, 2),
(23130, 137637, 2),
(23131, 137638, 2),
(23132, 137639, 1),
(23133, 137640, 1),
(23558, 138771, 1),
(23135, 137642, 1),
(23138, 137645, 2),
(23137, 137644, 2),
(23139, 137646, 2),
(23140, 137647, 2),
(23141, 137648, 2),
(23142, 137649, 1),
(23143, 137650, 2),
(23144, 137651, 2),
(23145, 137652, 2),
(23146, 137653, 2),
(23147, 137654, 2),
(23148, 137672, 0.5),
(23149, 137685, 1),
(23150, 137686, 0.5),
(23151, 137702, 2),
(23152, 137705, 1),
(23153, 137706, 2),
(23154, 137707, 2),
(23155, 137708, 1),
(23156, 137709, 1),
(23157, 137710, 1),
(23158, 137711, 1),
(23159, 137712, 1),
(23160, 137713, 1),
(23161, 137714, 1),
(23162, 137715, 1),
(23163, 137716, 2),
(23164, 137717, 1),
(23165, 137718, 2),
(23167, 137720, 2),
(23168, 137721, 2),
(23169, 137722, 2),
(23170, 137723, 2),
(23171, 137724, 1),
(23172, 137725, 1),
(23173, 137733, 0),
(23174, 137735, 0),
(23175, 137738, 0),
(23176, 137739, 0),
(23177, 137740, 0),
(23178, 137753, 1),
(23179, 137754, 0.5),
(23180, 137755, 2),
(23181, 137756, 1),
(23182, 137764, 1),
(23183, 137766, 1),
(23184, 137767, 1),
(23185, 137768, 1),
(23186, 137770, 1),
(23187, 137772, 1),
(23188, 137773, 1),
(23189, 137774, 1),
(23190, 137775, 1),
(23191, 137777, 0.3),
(23566, 138819, 1),
(23193, 137782, 0.6),
(23194, 137783, 0.2),
(23218, 137817, 1),
(23216, 137815, 1),
(23217, 137816, 1),
(23209, 137798, 2),
(23213, 137803, 1),
(23208, 137797, 2),
(23212, 137801, 2),
(23211, 137800, 2),
(23210, 137799, 2),
(23207, 137796, 3),
(23206, 137795, 0.1),
(23235, 137861, 1),
(23231, 137857, 2),
(23226, 137825, 1),
(23227, 137826, 1),
(23228, 137827, 1),
(23229, 137828, 1),
(23230, 137829, 1),
(23236, 137862, 1),
(23237, 137863, 0.2),
(23238, 137864, 0.3),
(23239, 137865, 1),
(23240, 137866, 0.1),
(23241, 137867, 0.8),
(23242, 137868, 11),
(23243, 137869, 0.2),
(23244, 137879, 6),
(23245, 137913, 1),
(23246, 137917, 2),
(23247, 137918, 1),
(23248, 137919, 2),
(23249, 137920, 1),
(23250, 137921, 1),
(23251, 137922, 1),
(23252, 137923, 1),
(23253, 137939, 1),
(23254, 137947, 1),
(23255, 137951, 0),
(23256, 137952, 0),
(23257, 137956, 0),
(23258, 137958, 0),
(23259, 137964, 0),
(23260, 137982, 0),
(23261, 137983, 0),
(23262, 137984, 0),
(23263, 137996, 0),
(23264, 137997, 0),
(23265, 137998, 0),
(23266, 137999, 0),
(23267, 138000, 0),
(23268, 138001, 0),
(23269, 138002, 0),
(23270, 138003, 0),
(23271, 138004, 0),
(23272, 138005, 0),
(23273, 138006, 1),
(23274, 138007, 0.5),
(23275, 138008, 0),
(23276, 138009, 1),
(23277, 138010, 0),
(23278, 138011, 0),
(23279, 138012, 0),
(23280, 138013, 0),
(23281, 138014, 1),
(23282, 138015, 1),
(23283, 138016, 1),
(23284, 138021, 0),
(23285, 138022, 0.6),
(23286, 138023, 1),
(23287, 138024, 0.2),
(23288, 138025, 0),
(23289, 138026, 0),
(23290, 138027, 0),
(23291, 138028, 0.4),
(23292, 138029, 2),
(23293, 138030, 0.4),
(23294, 138031, 0.3),
(23295, 138032, 0.1),
(23296, 138047, 0),
(23297, 138064, 2),
(23298, 138068, 0),
(23299, 138069, 0),
(23488, 138556, 0),
(23487, 138555, 0),
(23302, 138112, 0),
(23303, 138113, 0),
(23305, 138115, 0),
(23306, 138116, 0),
(23311, 138121, 0),
(23308, 138118, 0),
(23309, 138119, 0),
(23310, 138120, 0),
(23312, 138122, 0),
(23313, 138123, 0),
(23314, 138124, 0),
(23315, 138125, 0),
(23318, 138128, 0),
(23317, 138127, 0),
(23319, 138129, 0),
(23320, 138130, 0),
(23321, 138131, 0),
(23322, 138132, 0),
(23323, 138133, 0),
(23324, 138134, 0),
(23325, 138135, 0),
(23327, 138144, 1),
(23328, 138145, 1),
(23329, 138146, 1),
(23330, 138147, 1),
(23331, 138148, 0.7),
(23332, 138149, 0.3),
(23333, 138150, 1),
(23334, 138151, 1),
(23335, 138167, 0),
(23336, 138168, 1),
(23337, 138174, 0),
(23338, 138175, 0),
(23339, 138176, 0),
(23340, 138177, 0),
(23343, 138190, 2),
(23342, 138189, 0.6),
(23344, 138191, 0.4),
(23345, 138192, 2),
(23346, 138194, 0.5),
(23347, 138197, 0.4),
(23348, 138198, 1.2),
(23349, 138199, 1),
(23350, 138200, 0.5),
(23351, 138201, 1),
(23352, 138202, 0.3),
(23353, 138203, 2),
(23354, 138204, 1),
(23355, 138239, 1),
(23356, 138240, 1),
(23357, 138244, 1),
(23358, 138245, 1),
(23359, 138252, 2),
(23360, 138253, 0.4),
(23361, 138259, 0),
(23362, 138260, 0),
(23363, 138261, 0),
(23364, 138262, 0),
(23365, 138263, 0),
(23366, 138265, 2),
(23535, 138732, 2),
(23368, 138273, 1),
(23369, 138276, 1),
(23370, 138277, 1),
(23371, 138278, 1),
(23372, 138279, 0.4),
(23373, 138280, 0.6),
(23374, 138281, 0.5),
(23375, 138282, 0),
(23486, 138554, 0),
(23377, 138284, 0),
(23378, 138285, 2),
(23379, 138318, 1),
(23380, 138319, 1),
(23381, 138320, 1),
(23382, 138321, 1),
(23383, 138322, 1),
(23384, 138325, 2),
(23385, 138326, 0.6),
(23386, 138327, 1),
(23387, 138328, 1),
(23388, 138329, 1),
(23389, 138330, 0.3),
(23390, 138331, 0.4),
(23391, 138332, 1),
(24081, 140126, 0.5),
(23393, 138340, 1),
(23394, 138343, 1),
(23395, 138344, 1),
(23396, 138362, 0.3),
(23397, 138368, 1),
(23398, 138369, 1),
(23399, 138370, 0.5),
(23400, 138371, 0),
(23401, 138372, 0),
(23402, 138373, 0),
(23403, 138374, 0),
(23404, 138375, 0),
(23405, 138376, 0),
(23406, 138377, 0),
(23407, 138378, 0),
(23408, 138379, 0),
(23409, 138380, 0),
(23410, 138381, 0),
(23411, 138382, 0),
(23412, 138383, 0),
(23413, 138384, 0),
(23414, 138385, 0),
(23415, 138386, 0),
(23416, 138387, 0),
(23417, 138388, 0),
(23418, 138390, 0),
(23419, 138391, 0),
(23420, 138392, 1),
(23421, 138394, 0.25),
(23422, 138395, 0.15),
(23423, 138396, 0.2),
(23424, 138397, 0.1),
(23425, 138398, 0.1),
(23426, 138399, 1),
(23427, 138400, 0.9),
(23428, 138401, 0.8),
(23429, 138402, 0.6),
(23430, 138403, 0.9),
(23431, 138404, 0.5),
(23432, 138405, 1),
(23433, 138418, 1),
(23434, 138419, 2),
(23435, 138424, 0),
(23436, 138425, 0),
(23437, 138426, 0),
(23438, 138427, 0),
(23439, 138429, 0),
(23440, 138430, 2),
(23441, 138441, 1),
(23442, 138442, 1),
(23443, 138443, 1),
(23444, 138444, 1),
(23445, 138445, 1),
(23446, 138446, 2),
(23447, 138447, 2),
(23448, 138448, 1),
(23449, 138449, 2),
(23450, 138450, 1),
(23451, 138451, 1),
(23452, 138454, 1),
(23453, 138455, 1),
(23454, 138461, 2),
(23455, 138488, 1),
(23456, 138489, 1),
(23457, 138490, 1),
(24030, 139966, 1),
(23646, 138945, 1),
(23460, 138506, 1),
(23461, 138507, 1),
(23462, 138508, 1),
(23463, 138509, 1),
(23464, 138510, 1),
(23465, 138511, 0.5),
(23466, 138512, 0.5),
(23468, 138516, 0),
(23469, 138517, 0),
(23470, 138518, 0),
(23471, 138520, 0),
(23472, 138521, 0),
(23473, 138522, 0),
(23474, 138523, 0),
(23475, 138524, 0),
(23476, 138525, 0),
(23477, 138526, 0),
(23478, 138527, 0),
(23479, 138528, 0),
(23480, 138529, 0),
(23481, 138530, 0),
(23482, 138531, 0),
(23483, 138532, 0),
(23484, 138552, 2),
(23489, 138557, 0),
(23490, 138558, 0),
(23491, 138564, 0),
(23492, 138587, 1),
(23493, 138589, 0.5),
(23495, 138608, 0),
(23496, 138609, 0),
(23497, 138610, 0),
(23498, 138611, 0.2),
(23499, 138612, 0.5),
(23500, 138613, 1),
(23501, 138618, 1),
(23502, 138672, 1),
(23503, 138674, 1),
(23504, 138675, 1),
(23505, 138690, 0),
(23506, 138693, 1),
(23507, 138694, 0.5),
(23508, 138704, 1),
(23509, 138705, 1),
(23510, 138706, 1),
(23511, 138707, 1),
(23512, 138708, 1),
(23513, 138709, 1),
(24901, 142481, 1),
(23515, 138712, 0.2),
(23516, 138713, 1),
(23517, 138714, 0),
(23518, 138715, 0.5),
(23519, 138716, 0.5),
(23520, 138717, 0.7),
(23521, 138718, 1),
(23522, 138719, 1.5),
(23523, 138720, 0.2),
(23524, 138721, 1),
(23525, 138722, 0.2),
(23526, 138723, 0),
(23527, 138724, 2),
(23528, 138725, 2),
(23529, 138726, 2),
(23530, 138727, 1),
(23531, 138728, 1),
(23532, 138729, 2),
(23533, 138730, 1),
(23534, 138731, 2),
(23536, 138733, 1),
(23537, 138734, 2),
(23538, 138735, 2),
(23539, 138736, 2),
(23540, 138737, 1),
(23541, 138740, 2),
(23542, 138742, 1),
(23543, 138743, 1),
(23544, 138745, 2),
(23545, 138747, 2),
(23546, 138749, 2),
(23549, 138753, 0),
(23550, 138755, 1),
(23551, 138756, 0.5),
(23552, 138758, 1),
(23553, 138759, 2),
(23554, 138760, 1),
(23555, 138762, 1),
(23556, 138763, 1),
(23557, 138770, 1),
(23559, 138775, 2),
(23560, 138785, 2),
(23561, 138791, 1.5),
(23562, 138792, 0.5),
(23563, 138793, 1),
(23564, 138794, 1),
(23565, 138795, 1),
(23567, 138820, 1),
(23568, 138832, 1),
(23569, 138833, 1),
(23570, 138834, 1),
(23571, 138835, 1),
(23572, 138836, 1),
(23573, 138837, 0),
(23574, 138838, 0),
(23575, 138839, 0),
(23576, 138840, 0),
(23578, 138842, 0),
(23579, 138843, 0),
(23580, 138844, 0),
(23581, 138845, 0),
(23582, 138846, 0),
(23583, 138847, 0),
(23584, 138848, 1),
(23585, 138849, 0),
(23586, 138850, 0),
(23587, 138851, 1),
(23588, 138854, 2),
(23592, 138858, 1),
(23590, 138856, 1),
(23591, 138857, 1),
(23593, 138859, 1),
(23643, 138939, 1),
(23595, 138861, 1),
(23596, 138862, 2),
(23597, 138863, 0),
(23598, 138864, 2),
(23599, 138865, 0),
(23600, 138866, 2),
(23601, 138867, 2),
(23602, 138868, 2),
(23603, 138869, 2),
(23604, 138870, 2),
(23605, 138871, 2),
(23606, 138877, 0.5),
(23607, 138878, 0.9),
(23608, 138879, 1),
(23609, 138881, 0.9),
(23610, 138882, 0.5),
(23611, 138883, 3),
(23612, 138884, 1),
(23613, 138885, 5),
(23614, 138888, 0),
(23615, 138889, 0),
(23616, 138904, 5),
(23617, 138910, 0.5),
(23618, 138911, 0.5),
(23619, 138912, 1),
(23620, 138913, 1),
(23621, 138914, 1),
(23622, 138916, 1),
(23623, 138917, 1),
(23624, 138918, 1),
(23625, 138919, 1),
(23626, 138920, 1),
(23627, 138921, 1),
(23628, 138924, 1),
(23629, 138925, 1.5),
(23630, 138926, 1),
(23631, 138927, 0.5),
(23632, 138928, 0.5),
(23633, 138929, 1),
(23634, 138930, 0.5),
(23636, 138932, 0.75),
(23637, 138933, 0.25),
(23638, 138934, 0.5),
(23639, 138935, 1),
(23640, 138936, 0.75),
(23641, 138937, 0.75),
(23642, 138938, 2),
(23644, 138941, 0.75),
(23645, 138944, 1),
(23647, 138946, 1),
(23648, 138947, 1),
(23649, 138948, 1),
(23651, 138950, 1),
(23652, 138951, 1),
(23653, 138952, 1),
(23654, 138953, 1),
(23655, 138954, 1),
(23656, 138955, 1),
(23657, 138956, 1),
(23658, 138957, 1),
(23659, 138958, 1),
(23660, 138959, 1),
(23661, 138960, 1),
(23662, 138961, 1),
(23663, 138962, 1),
(23664, 138963, 1),
(23665, 138964, 1),
(23666, 138965, 1),
(23667, 138966, 1),
(23668, 138968, 1),
(23669, 138970, 1),
(23670, 138971, 0.5),
(23671, 138972, 1),
(23672, 138973, 1),
(23673, 138974, 1),
(23674, 138975, 1),
(23675, 138976, 1),
(23676, 138978, 0),
(23677, 138979, 0),
(23678, 138980, 0),
(23679, 138981, 0.2),
(23680, 138982, 0.2),
(23681, 138983, 0.3),
(23682, 138984, 0),
(23683, 138990, 2),
(23684, 138994, 1),
(23685, 139001, 0),
(23686, 139002, 1),
(23687, 139003, 0.6),
(23688, 139019, 0),
(23689, 139020, 0),
(23690, 139021, 0),
(23691, 139022, 0),
(23692, 139023, 1),
(23693, 139024, 1),
(23694, 139050, 0),
(23695, 139051, 0),
(23696, 139052, 0),
(23697, 139053, 0),
(23698, 139054, 0.2),
(23699, 139055, 0),
(23700, 139056, 0),
(23701, 139057, 0),
(23702, 139058, 0),
(23703, 139059, 0),
(23704, 139060, 0),
(23705, 139061, 0.7),
(23706, 139062, 0.2),
(23707, 139063, 0.3),
(23708, 139064, 1),
(23709, 139073, 0),
(23710, 139074, 0),
(23711, 139075, 0),
(23712, 139081, 1),
(23713, 139185, 1),
(23717, 139189, 1),
(23716, 139188, 1),
(23718, 139190, 1),
(23719, 139191, 1),
(23720, 139192, 2),
(23721, 139193, 2),
(23722, 139194, 1),
(23723, 139195, 1),
(23724, 139196, 1),
(23725, 139197, 1),
(23726, 139198, 1),
(23727, 139199, 0),
(23728, 139200, 0),
(23729, 139201, 0),
(26632, 148116, 0.4),
(23731, 139203, 0),
(23732, 139204, 0),
(23733, 139205, 0),
(23734, 139206, 0),
(23735, 139207, 0),
(23736, 139208, 0),
(23737, 139209, 0),
(23738, 139215, 0.1),
(23739, 139216, 2),
(23740, 139219, 0),
(23741, 139220, 0),
(23742, 139240, 0.2),
(23743, 139241, 0.5),
(23744, 139244, 0.1),
(23745, 139246, 2),
(23746, 139247, 0.6),
(23747, 139248, 1),
(23748, 139249, 1),
(23749, 139250, 4),
(23750, 139251, 0.1),
(23751, 139252, 1),
(23752, 139253, 0),
(23753, 139254, 1),
(23754, 139261, 2),
(23755, 139265, 1),
(23757, 139267, 2),
(23758, 139268, 0.6),
(23759, 139269, 0.2),
(23760, 139270, 0.6),
(23761, 139271, 0.5),
(23762, 139272, 1),
(23763, 139274, 1),
(23764, 139275, 1),
(23765, 139276, 1),
(23766, 139277, 1),
(23767, 139281, 1),
(23768, 139282, 1),
(23769, 139283, 1),
(23770, 139300, 1),
(23771, 139303, 1),
(23772, 139331, 1),
(23773, 139333, 1),
(23774, 139334, 1),
(23775, 139343, 1),
(23776, 139394, 2),
(23777, 139395, 1),
(23778, 139396, 1),
(23779, 139397, 1),
(23780, 139398, 1),
(23781, 139399, 1),
(23782, 139402, 2),
(23783, 139403, 0),
(23784, 139404, 1),
(23785, 139405, 0),
(23786, 139406, 1),
(23787, 139407, 1),
(23788, 139408, 1),
(23791, 139411, 1),
(23790, 139410, 0),
(23792, 139412, 1),
(23793, 139413, 0),
(23794, 139414, 0),
(23795, 139415, 1),
(23796, 139416, 1),
(23797, 139417, 1),
(23798, 139418, 0),
(23799, 139419, 1),
(23800, 139420, 1),
(23801, 139421, 1),
(23802, 139422, 1),
(23803, 139423, 1),
(23804, 139424, 2),
(23805, 139425, 2),
(23806, 139426, 2),
(23807, 139427, 2),
(23808, 139428, 1),
(23809, 139429, 1),
(23810, 139430, 1),
(23811, 139431, 1),
(23812, 139434, 0.5),
(23813, 139435, 0.5),
(23814, 139436, 1.5),
(23815, 139437, 0.1),
(23816, 139438, 0.2),
(23817, 139441, 0),
(23818, 139442, 0.1),
(23819, 139443, 2),
(23820, 139444, 2),
(23821, 139445, 2),
(23822, 139446, 2),
(23823, 139455, 0),
(23824, 139456, 0),
(23825, 139457, 0),
(23826, 139458, 0),
(23827, 139459, 0),
(23828, 139460, 0),
(23829, 139461, 0),
(23832, 139464, 0),
(23831, 139463, 0),
(23833, 139465, 0),
(23834, 139466, 0),
(23835, 139467, 0),
(23836, 139468, 0),
(23837, 139469, 0),
(23838, 139470, 0),
(23839, 139471, 0),
(23840, 139472, 0),
(23841, 139473, 0),
(23842, 139474, 0),
(23844, 139476, 0),
(23845, 139477, 2),
(23846, 139478, 2),
(23847, 139479, 1),
(24045, 140015, 0.2),
(23849, 139481, 2),
(23850, 139482, 2),
(23851, 139483, 1),
(23852, 139484, 1),
(23853, 139486, 1),
(23854, 139487, 1),
(23855, 139488, 1),
(23856, 139489, 1),
(23858, 139492, 1),
(23859, 139493, 0.5),
(23860, 139494, 0.5),
(23861, 139495, 1),
(23862, 139496, 1),
(23863, 139497, 0.75),
(23864, 139502, 1),
(23865, 139503, 2),
(23866, 139504, 2),
(23867, 139505, 2),
(23868, 139506, 2),
(23869, 139507, 2),
(23870, 139508, 2),
(23871, 139509, 2),
(23872, 139510, 0),
(23873, 139516, 2),
(23874, 139517, 1),
(23875, 139518, 1),
(23876, 139519, 1),
(23877, 139520, 2),
(23878, 139521, 1),
(23879, 139522, 2),
(23880, 139523, 2),
(23881, 139524, 1),
(23882, 139525, 0),
(23883, 139526, 0),
(23884, 139528, 1),
(23888, 139532, 1),
(23887, 139531, 1),
(23889, 139533, 1),
(23890, 139534, 1),
(23891, 139535, 1),
(23892, 139536, 0.1),
(23893, 139537, 1),
(23894, 139538, 1),
(23895, 139539, 1),
(23896, 139554, 1),
(23897, 139555, 1),
(23898, 139556, 1),
(23899, 139558, 0),
(23900, 139559, 0),
(23901, 139560, 0),
(23902, 139561, 0),
(23903, 139562, 0),
(23904, 139563, 0),
(23905, 139564, 0),
(23906, 139565, 0),
(23907, 139566, 0),
(23908, 139567, 0),
(23909, 139568, 0),
(23910, 139569, 0),
(23911, 139570, 0),
(23912, 139571, 1),
(23913, 139572, 0.5),
(23914, 139573, 1),
(23915, 139574, 1),
(23916, 139575, 1),
(23917, 139603, 1),
(23918, 139604, 1),
(23919, 139609, 1),
(23920, 139610, 1),
(23921, 139611, 1),
(23922, 139612, 1),
(23923, 139615, 1),
(23924, 139616, 1),
(23926, 139618, 0),
(23927, 139619, 0.8),
(23928, 139627, 5),
(23929, 139628, 3),
(23930, 139630, 0.6),
(23931, 139631, 0.1),
(24033, 139987, 0.25),
(24032, 139969, 0.5),
(23936, 139670, 0),
(23937, 139671, 0),
(23938, 139672, 0),
(23939, 139673, 0),
(23940, 139674, 0),
(23941, 139675, 0),
(23942, 139676, 0),
(23943, 139677, 0),
(23944, 139678, 0),
(23945, 139679, 0),
(23946, 139680, 0),
(23947, 139681, 0),
(23948, 139682, 0),
(23949, 139683, 0),
(23950, 139684, 0),
(23951, 139685, 0),
(23952, 139686, 0),
(23953, 139687, 0),
(23954, 139688, 0),
(23955, 139689, 0),
(23956, 139690, 0),
(23957, 139691, 0),
(23958, 139692, 0),
(23959, 139693, 0),
(23960, 139694, 0),
(23961, 139695, 0),
(23962, 139696, 0),
(23963, 139697, 0),
(23964, 139698, 0),
(23965, 139700, 0.5),
(23966, 139701, 0.3),
(23967, 139702, 0.5),
(23968, 139703, 0.25),
(23969, 139704, 0.25),
(23970, 139705, 0.25),
(23971, 139710, 0.25),
(23972, 139721, 0),
(23973, 139722, 0),
(23974, 139723, 0),
(23975, 139724, 0),
(23976, 139725, 0),
(23977, 139726, 0),
(23978, 139727, 0),
(23979, 139728, 0.2),
(23980, 139731, 1),
(23981, 139732, 0),
(23982, 139733, 0),
(23983, 139751, 1),
(23984, 139752, 0),
(23985, 139765, 0),
(23986, 139766, 0),
(23987, 139773, 0),
(23988, 139774, 0),
(23989, 139775, 0),
(23990, 139776, 0),
(23991, 139777, 0),
(23992, 139778, 0.75),
(23993, 139784, 0.25),
(23995, 139786, 0.5),
(23996, 139787, 0),
(23997, 139807, 1),
(23998, 139833, 1),
(23999, 139866, 2),
(24000, 139867, 2),
(24001, 139868, 2),
(24002, 139869, 2),
(24003, 139870, 2),
(24005, 139889, 1),
(24006, 139890, 1),
(24007, 139893, 1),
(24008, 139898, 1),
(24009, 139899, 1),
(24010, 139904, 1),
(24011, 139905, 1),
(24012, 139912, 1),
(24013, 139913, 1),
(24014, 139914, 1),
(24015, 139915, 1),
(24016, 139917, 1),
(24017, 139918, 0.8),
(24018, 139920, 0),
(24019, 139921, 1),
(24020, 139922, 1),
(24021, 139923, 1),
(24022, 139924, 1),
(24023, 139925, 1),
(24024, 139941, 1),
(24035, 139991, 1),
(24029, 139965, 1),
(24031, 139967, 1),
(24034, 139990, 1),
(24036, 139994, 1),
(24037, 139995, 0),
(24038, 139998, 1),
(24039, 139999, 1),
(24040, 140000, 1),
(24041, 140006, 0),
(24042, 140011, 1),
(24043, 140012, 1),
(24044, 140013, 1),
(24046, 140016, 0),
(24047, 140017, 0),
(24048, 140018, 0.2),
(24049, 140019, 0.1),
(24050, 140020, 0.15),
(24051, 140021, 0.15),
(24052, 140022, 0.15),
(24053, 140023, 1),
(24054, 140024, 0.3),
(24055, 140025, 0.75),
(24056, 140027, 0.5),
(24057, 140028, 0.6),
(24058, 140029, 0.3),
(24059, 140030, 0),
(24060, 140031, 1),
(24061, 140032, 0.1),
(24062, 140033, 0),
(24063, 140034, 0.2),
(24064, 140035, 1),
(24065, 140036, 1),
(24066, 140037, 1),
(24067, 140038, 1),
(24068, 140039, 1),
(24069, 140046, 0.2),
(24070, 140047, 0),
(24071, 140048, 0),
(24072, 140070, 2),
(24073, 140071, 2),
(24074, 140072, 2),
(24075, 140073, 2),
(24076, 140074, 2),
(24077, 140076, 1),
(24078, 140077, 1),
(24079, 140100, 0),
(24080, 140104, 1),
(24085, 140141, 1),
(24086, 140142, 1),
(24084, 140129, 0.5),
(24087, 140144, 1),
(24088, 140147, 2),
(24089, 140148, 2),
(24090, 140149, 1),
(24091, 140150, 1),
(24200, 140450, 1),
(24094, 140163, 2),
(24095, 140164, 2),
(24096, 140165, 2),
(24097, 140166, 2),
(24099, 140168, 2),
(24100, 140169, 2),
(24101, 140170, 2),
(24102, 140171, 2),
(24104, 140173, 0),
(24105, 140174, 0),
(24106, 140175, 0),
(24107, 140176, 0),
(24108, 140177, 0),
(24109, 140178, 0),
(24112, 140181, 0),
(24111, 140180, 0),
(24113, 140186, 0.5),
(24114, 140187, 0.4),
(24115, 140190, 0),
(24116, 140191, 0.2),
(24117, 140192, 1.4),
(24118, 140200, 1),
(24119, 140201, 0),
(24120, 140202, 0),
(24121, 140203, 1),
(24122, 140204, 0.25),
(24123, 140205, 0.5),
(24124, 140207, 0.25),
(24125, 140232, 1),
(24126, 140260, 1),
(24127, 140261, 1),
(24128, 140262, 1),
(24129, 140277, 0),
(24130, 140278, 0),
(24131, 140279, 0),
(24132, 140280, 0),
(24133, 140281, 0),
(24134, 140282, 0),
(24135, 140285, 1),
(24136, 140286, 1),
(24137, 140287, 1),
(24138, 140288, 1),
(24139, 140289, 1),
(24140, 140307, 1),
(24141, 140328, 2),
(24143, 140330, 2),
(24144, 140331, 1),
(24145, 140334, 0.8),
(24146, 140335, 1),
(24147, 140336, 0.6),
(24148, 140337, 1),
(24149, 140338, 0.6),
(24256, 140587, 0),
(24151, 140345, 2),
(24152, 140346, 2),
(24153, 140347, 2),
(24154, 140351, 1),
(24155, 140352, 1),
(24156, 140353, 1),
(24157, 140354, 1),
(24158, 140364, 1),
(24159, 140367, 0),
(24160, 140368, 0),
(24161, 140376, 0),
(24162, 140381, 0),
(24163, 140385, 0),
(24164, 140388, 0),
(24165, 140394, 1),
(24166, 140395, 1),
(24167, 140396, 1),
(24168, 140397, 1),
(24169, 140408, 1),
(24170, 140409, 1),
(24171, 140410, 1),
(24172, 140411, 1),
(24173, 140412, 1),
(24174, 140413, 0),
(24175, 140414, 0),
(24176, 140415, 0),
(24177, 140416, 0),
(24180, 140419, 0),
(24181, 140420, 0),
(24182, 140421, 0.4),
(24183, 140422, 0.2),
(24184, 140423, 1),
(24185, 140424, 1),
(24186, 140427, 1),
(24187, 140428, 1),
(24188, 140429, 1),
(24189, 140430, 1),
(24190, 140431, 1),
(24191, 140432, 1),
(24192, 140433, 1),
(24193, 140434, 1),
(24194, 140435, 1),
(24195, 140436, 1),
(24196, 140437, 1),
(24197, 140438, 1),
(24198, 140448, 1),
(24199, 140449, 2),
(24202, 140458, 1),
(24203, 140460, 1),
(24204, 140464, 1),
(24205, 140466, 1),
(24206, 140468, 1),
(24207, 140469, 1),
(24208, 140470, 1),
(24209, 140471, 2),
(24210, 140472, 2),
(24211, 140473, 1),
(24212, 140474, 2),
(24213, 140476, 2),
(24214, 140477, 2),
(24215, 140478, 2),
(24216, 140479, 0.3),
(24217, 140481, 2),
(24218, 140482, 1),
(24219, 140484, 2),
(24220, 140485, 2),
(24221, 140548, 1),
(24222, 140553, 1),
(24223, 140554, 1),
(24224, 140555, 1),
(24225, 140556, 1),
(24226, 140558, 1),
(24227, 140560, 1),
(24228, 140561, 1),
(24229, 140562, 1),
(24230, 140563, 1),
(24231, 140564, 1),
(24232, 140565, 1),
(24233, 140566, 1),
(24235, 140568, 2),
(24236, 140569, 1),
(24237, 140570, 1),
(24238, 140571, 1),
(24239, 140572, 1),
(24240, 140573, 1),
(24241, 140574, 1),
(24242, 140575, 1),
(24243, 140576, 1),
(24244, 140577, 0.25),
(24245, 140578, 0.2),
(24246, 140579, 1),
(24247, 140467, 0.25),
(24248, 140465, 0.75),
(24249, 140463, 1),
(24250, 140462, 1),
(24251, 140582, 0.75),
(24252, 140583, 1),
(24253, 140584, 1),
(24254, 140585, 1.5),
(24255, 140586, 2),
(24257, 140588, 0.2),
(24258, 140589, 0.75),
(24259, 140590, 0.75),
(24260, 140591, 2),
(24261, 140593, 2),
(24262, 140594, 2),
(24263, 140595, 2),
(24264, 140596, 1),
(24265, 140597, 1),
(24266, 140598, 0.25),
(24286, 140620, 2),
(24268, 140600, 1),
(24269, 140601, 1),
(24273, 140605, 1),
(24271, 140603, 1),
(24274, 140606, 1),
(24275, 140607, 2),
(24276, 140608, 2),
(24277, 140609, 0.5),
(24278, 140610, 1),
(24279, 140611, 1),
(24280, 140612, 2),
(24281, 140613, 1),
(24282, 140614, 1),
(24283, 140615, 2),
(24284, 140616, 2),
(24285, 140619, 0.75),
(24287, 140621, 2),
(24288, 140622, 0.5),
(24289, 140623, 0.5),
(24290, 140624, 0.75),
(24291, 140625, 1),
(24292, 140626, 1),
(24293, 140627, 1),
(24294, 140629, 1),
(24295, 140630, 1),
(24296, 140631, 1),
(24297, 140632, 1),
(24298, 140633, 1),
(24299, 140634, 1),
(24300, 140635, 1),
(24301, 140636, 2),
(24302, 140637, 2),
(24303, 140638, 2),
(24304, 140644, 0.5),
(24305, 140648, 0.4),
(24306, 140649, 1),
(24307, 140650, 1),
(24308, 140651, 1),
(24309, 140654, 2),
(24310, 140656, 2),
(24311, 140657, 1),
(24312, 140658, 2),
(24313, 140659, 2),
(24314, 140660, 2),
(24318, 140664, 0),
(24319, 140665, 0),
(24919, 142558, 0.6),
(24321, 140667, 0),
(24323, 140669, 0),
(24324, 140670, 0),
(24325, 140671, 0),
(24326, 140672, 0),
(24327, 140673, 0),
(24328, 140677, 0),
(24329, 140684, 0),
(24330, 140689, 0),
(24331, 140691, 0),
(24332, 140692, 0),
(24333, 140697, 2),
(24334, 140700, 0),
(24335, 140740, 1),
(24336, 140751, 2),
(24337, 140752, 1),
(24338, 140753, 3),
(24339, 140789, 1),
(24340, 140790, 0),
(24341, 140791, 0),
(24342, 140792, 0),
(24343, 140793, 0),
(24344, 140800, 1),
(24345, 140801, 0),
(24346, 140802, 0),
(24347, 140804, 0),
(24348, 140805, 0),
(24349, 140806, 0),
(24350, 140825, 0),
(24351, 140826, 0),
(24352, 140827, 0),
(24353, 140828, 0),
(24354, 140829, 0),
(24355, 140831, 0),
(24356, 140832, 0),
(24357, 140833, 0),
(24358, 140834, 0),
(24359, 140835, 0),
(24360, 140839, 0),
(24361, 140875, 0),
(24362, 140878, 0.4),
(24363, 140887, 0),
(24364, 140888, 0),
(24365, 140889, 0),
(24366, 140890, 0),
(24367, 140891, 0),
(24368, 140892, 0.25),
(24369, 140894, 0.3),
(24370, 140895, 1),
(24371, 140896, 1),
(24372, 140913, 2),
(24373, 140919, 1),
(24374, 140920, 0.3),
(24375, 140938, 1),
(24376, 140985, 0.25),
(24377, 140986, 1),
(24378, 140987, 2),
(24379, 140988, 0.2),
(24380, 140999, 0.3),
(24381, 141000, 0.1),
(24382, 141002, 2),
(24383, 141016, 1),
(24384, 141018, 1),
(24385, 141019, 1),
(24386, 141028, 1),
(24397, 141075, 0.8),
(24388, 141033, 1),
(24389, 141040, 1),
(24390, 141041, 1),
(24391, 141045, 1),
(24392, 141046, 1),
(24393, 141048, 1),
(24394, 141055, 1),
(24395, 141056, 1),
(24396, 141063, 1),
(24398, 141076, 0.6),
(24399, 141077, 1),
(24400, 141078, 1),
(24401, 141079, 1),
(24402, 141080, 1),
(24403, 141081, 1),
(24404, 141082, 2),
(24405, 141083, 2),
(24406, 141085, 2),
(24407, 141086, 2),
(24408, 141087, 2),
(24409, 141088, 1),
(24410, 141090, 2),
(24411, 141100, 1),
(24412, 141115, 0.5),
(24413, 141116, 1),
(24414, 141118, 1),
(24415, 141121, 0),
(24416, 141122, 0),
(24417, 141124, 0),
(24418, 141127, 0),
(24419, 141128, 0),
(24420, 141129, 0),
(24421, 141134, 0),
(24422, 141136, 0),
(24423, 141138, 0),
(24424, 141139, 0),
(24425, 141140, 0),
(24426, 141156, 0),
(24427, 141157, 0),
(24428, 141158, 0),
(24429, 141159, 0),
(24430, 141160, 0),
(24431, 141161, 0),
(24432, 141162, 0),
(24433, 141171, 1),
(24434, 141172, 1),
(24435, 141173, 1),
(24436, 141174, 1),
(24437, 141175, 1),
(24438, 141176, 2),
(24439, 141177, 0),
(24440, 141178, 0),
(24441, 141179, 0),
(24442, 141180, 0),
(24443, 141181, 0),
(24444, 141182, 0),
(24445, 141184, 0),
(24446, 141185, 0),
(24447, 141186, 0),
(24448, 141187, 0),
(24449, 141188, 0),
(24450, 141198, 1),
(24451, 141207, 1),
(24452, 141209, 1),
(24453, 141215, 1),
(24456, 141242, 0.4),
(24455, 141239, 1),
(24457, 141244, 1.2),
(24458, 141245, 2),
(24459, 141247, 2),
(24460, 141248, 1),
(24469, 141257, 0.4),
(24462, 141250, 0.2),
(24470, 141258, 0.15),
(24464, 141252, 0.15),
(24471, 141259, 0.15),
(24466, 141254, 0.15),
(24468, 141256, 0.1),
(24472, 141260, 0.2),
(24474, 141262, 0.2),
(24475, 141263, 0.3),
(24476, 141264, 0.3),
(24477, 141265, 0.4),
(24478, 141266, 1),
(24479, 141267, 0.1),
(24480, 141268, 0.4),
(24481, 141269, 0.2),
(24482, 141270, 0.6),
(24483, 141276, 0.25),
(24484, 141278, 0.25),
(24485, 141281, 0),
(24486, 141284, 0.5),
(24487, 141287, 0.4),
(24488, 141288, 0.5),
(24489, 141289, 0.1),
(24490, 141290, 2),
(24491, 141292, 2),
(24492, 141293, 2),
(24493, 141294, 2),
(24494, 141295, 2),
(24495, 141297, 0.6),
(24496, 141323, 2),
(24497, 141324, 2),
(24498, 141325, 2),
(24499, 141326, 2),
(24500, 141327, 2),
(24501, 141328, 1),
(24502, 141329, 1),
(24503, 141330, 0.3),
(24504, 141331, 1),
(24505, 141332, 0.4),
(24506, 141333, 0.6),
(24507, 141334, 0.7),
(24508, 141351, 1),
(24509, 141353, 0.4),
(24510, 141354, 0.2),
(24511, 141355, 1),
(24512, 141362, 5),
(24513, 141363, 0.25),
(24514, 141369, 2),
(24515, 141370, 2),
(24516, 141371, 2),
(24517, 141372, 2),
(24518, 141373, 2),
(24519, 141383, 1),
(24520, 141384, 1),
(24521, 141389, 0),
(24522, 141390, 0),
(24523, 141413, 1),
(24524, 141438, 0),
(24525, 141477, 0),
(24526, 141478, 0.5),
(24527, 141479, 1.5),
(24528, 141480, 2),
(24529, 141485, 0),
(24530, 141486, 0),
(24531, 141487, 0),
(24532, 141488, 0),
(24533, 141489, 0),
(24534, 141490, 1),
(24535, 141491, 0),
(24536, 141492, 0),
(24537, 141493, 0),
(24538, 141494, 0),
(24539, 141495, 0),
(24540, 141496, 0),
(24541, 141497, 0),
(24542, 141498, 0),
(24543, 141499, 0),
(24544, 141500, 0),
(24545, 141501, 0),
(24546, 141502, 0),
(24547, 141503, 2),
(24548, 141504, 2),
(24550, 141506, 0),
(24551, 141507, 0),
(24552, 141508, 0),
(24553, 141509, 0),
(24557, 141513, 0),
(24555, 141511, 0),
(24556, 141512, 0),
(24558, 141514, 0),
(24559, 141515, 0),
(24560, 141530, 1),
(24561, 141531, 0.2),
(24562, 141534, 1),
(24563, 141537, 1),
(24564, 141538, 1),
(24565, 141539, 1),
(24566, 141540, 1),
(24567, 141541, 1),
(24568, 141544, 1),
(24569, 141545, 0.75),
(24570, 141546, 1),
(24571, 141547, 2),
(24572, 141548, 2),
(24574, 141553, 1),
(24575, 141554, 1),
(24576, 141555, 1),
(24577, 141556, 1),
(24578, 141557, 1),
(24579, 141559, 1),
(24580, 141560, 1),
(24581, 141561, 2),
(24582, 141562, 2),
(24583, 141563, 2),
(24584, 141564, 2),
(24585, 141565, 2),
(24586, 141566, 1),
(24587, 141567, 1),
(24588, 141568, 1),
(24589, 141569, 1),
(24590, 141570, 1),
(24591, 141571, 1),
(24592, 141572, 1),
(24593, 141573, 1),
(24594, 141574, 1),
(24596, 141577, 1),
(24597, 141578, 1),
(24598, 141579, 1),
(24599, 141580, 0),
(24600, 141581, 0),
(24601, 141582, 0),
(24602, 141583, 0),
(24603, 141584, 0),
(24604, 141585, 1),
(24605, 141586, 1),
(24606, 141587, 1),
(24607, 141588, 1),
(24608, 141589, 1),
(24609, 141590, 1),
(24610, 141591, 1),
(24611, 141592, 1),
(24612, 141593, 1),
(24613, 141596, 1),
(24614, 141597, 1),
(24615, 141598, 1),
(24616, 141599, 1),
(24617, 141600, 1),
(24618, 141602, 1),
(24619, 141618, 2),
(24620, 141620, 0),
(24622, 141627, 1),
(24623, 141632, 1),
(24625, 141641, 1),
(24626, 141642, 1),
(24627, 141644, 1),
(24628, 141645, 1),
(24629, 141646, 1),
(24630, 141647, 1),
(25101, 143088, 1),
(24632, 141651, 1),
(24633, 141652, 0),
(24634, 141653, 0),
(24637, 141656, 1),
(24636, 141655, 0),
(24638, 141657, 0),
(24639, 141658, 0),
(24640, 141659, 1),
(24645, 141664, 0),
(24642, 141661, 0),
(24650, 141669, 1),
(24644, 141663, 1),
(24646, 141665, 1),
(24647, 141666, 1),
(24648, 141667, 1),
(24649, 141668, 1),
(24651, 141670, 0),
(24652, 141671, 0),
(24653, 141672, 1),
(24654, 141674, 0),
(24655, 141675, 0),
(24656, 141676, 0),
(24657, 141677, 0),
(24658, 141679, 1),
(24918, 142526, 0),
(24660, 141681, 0),
(24661, 141682, 1),
(24662, 141683, 1),
(24663, 141684, 1),
(24664, 141685, 1),
(24665, 141686, 1),
(24666, 141687, 1),
(24667, 141688, 1),
(24668, 141689, 1),
(24669, 141690, 1),
(24670, 141691, 1),
(24671, 141692, 1),
(24672, 141693, 1),
(24673, 141694, 1),
(24674, 141695, 1),
(24675, 141696, 1),
(24676, 141697, 1),
(24677, 141698, 2),
(24678, 141699, 0),
(24679, 141700, 1),
(24680, 141701, 1),
(24681, 141702, 0),
(24682, 141703, 2),
(24683, 141704, 1),
(24684, 141705, 2),
(24685, 141706, 0),
(24686, 141707, 1),
(24687, 141708, 0),
(24688, 141709, 1),
(24689, 141710, 2),
(24690, 141711, 0),
(24691, 141712, 2),
(24692, 141714, 0),
(24693, 141716, 0),
(24694, 141717, 2),
(24695, 141718, 2),
(24696, 141719, 2),
(24697, 141721, 1),
(24698, 141722, 2),
(24699, 141723, 1),
(24700, 141724, 1),
(24701, 141726, 1),
(24702, 141727, 0.5),
(24703, 141728, 0.5),
(24704, 141729, 0.75),
(24705, 141730, 1),
(24706, 141731, 0.5),
(24707, 141734, 0),
(24708, 141736, 0),
(24709, 141738, 0),
(24710, 141739, 0),
(24711, 141740, 0),
(24712, 141741, 0),
(24713, 141742, 0),
(24717, 141746, 0),
(24715, 141744, 0),
(24716, 141745, 0),
(24718, 141747, 0),
(24719, 141748, 0),
(24720, 141752, 0),
(24721, 141753, 0),
(24722, 141754, 0.4),
(24723, 141755, 0.4),
(24724, 141756, 0.2),
(24725, 141757, 0.75),
(24726, 141767, 0),
(24727, 141768, 3),
(24728, 141769, 0),
(24729, 141771, 0),
(24730, 141802, 1),
(24731, 141803, 1),
(24732, 141810, 0.3),
(24733, 141866, 0),
(24734, 141869, 0),
(24735, 141870, 0),
(24736, 141871, 0),
(24737, 141872, 0),
(24738, 141873, 0),
(24739, 141884, 1),
(24741, 141886, 1),
(24742, 141887, 0.5),
(24743, 141888, 1),
(24744, 141889, 1),
(24745, 141896, 1),
(24746, 141909, 0),
(24747, 141910, 0),
(24748, 141911, 0),
(24749, 141912, 0),
(24750, 141913, 0),
(24751, 141967, 0),
(24752, 141984, 0),
(24753, 142003, 1),
(24754, 142033, 0.5),
(24755, 142034, 0.6),
(24756, 142072, 0),
(24757, 142073, 0),
(24758, 142074, 0),
(24759, 142075, 0),
(24760, 142076, 0),
(24761, 142078, 1),
(24907, 142498, 0),
(24763, 142080, 0),
(24764, 142081, 0),
(24765, 142087, 0),
(24766, 142092, 0),
(24767, 142094, 0),
(24768, 142095, 0),
(24769, 142096, 0),
(24770, 142099, 0),
(25146, 143332, 0),
(24772, 142102, 0),
(24773, 142103, 0),
(24774, 142104, 0),
(24775, 142105, 0),
(24776, 142106, 0),
(24909, 142505, 0),
(24778, 142110, 0),
(24779, 142111, 0),
(24780, 142114, 0),
(24781, 142117, 0),
(24782, 142133, 0),
(24783, 142134, 0),
(24784, 142135, 0),
(24785, 142136, 0),
(24786, 142151, 1),
(24787, 142154, 1),
(24788, 142155, 1),
(24789, 142156, 0.7),
(24790, 142157, 1),
(24791, 142158, 0.6),
(24792, 142159, 0.4),
(24793, 142162, 1),
(24794, 142170, 2),
(24795, 142171, 0),
(24796, 142172, 2),
(24797, 142173, 2),
(24798, 142174, 1),
(24799, 142175, 2),
(24800, 142176, 1),
(24801, 142177, 2),
(24802, 142178, 1),
(24803, 142179, 1),
(24804, 142199, 0),
(24805, 142200, 0),
(24806, 142201, 0),
(24807, 142204, 0),
(24808, 142206, 0),
(24809, 142207, 0),
(24810, 142208, 0),
(24811, 142209, 0),
(24812, 142210, 0),
(24813, 142211, 0),
(24814, 142212, 0),
(24815, 142213, 0),
(24816, 142214, 0),
(24817, 142216, 0),
(25203, 143476, 0),
(24819, 142218, 0),
(24820, 142220, 0),
(24821, 142221, 0),
(24822, 142222, 0),
(24823, 142223, 0),
(24824, 142224, 0),
(24825, 142225, 0),
(24826, 142226, 0),
(24827, 142227, 0),
(24828, 142228, 0),
(24831, 142231, 0),
(24830, 142230, 0),
(24832, 142232, 0),
(24833, 142233, 0),
(24834, 142234, 0),
(24835, 142235, 0),
(24836, 142237, 0),
(24837, 142238, 0),
(24838, 142239, 1),
(24840, 142242, 0),
(24841, 142243, 0),
(24842, 142244, 0.1),
(24843, 142245, 0.2),
(24844, 142246, 0.2),
(24845, 142248, 0.2),
(24846, 142249, 0.3),
(24847, 142250, 0.2),
(24848, 142251, 0.2),
(24849, 142252, 0.5),
(24850, 142253, 0.2),
(24851, 142254, 1),
(24852, 142288, 1),
(24853, 142289, 1),
(24854, 142290, 1),
(24855, 142302, 1),
(24856, 142303, 1),
(24857, 142304, 1),
(24858, 142305, 1),
(24859, 142306, 1),
(24860, 142316, 1),
(24861, 142317, 1),
(24862, 142319, 1),
(24863, 142322, 1),
(24864, 142328, 0.25),
(24865, 142356, 0.4),
(24866, 142359, 0.25),
(24867, 142360, 0),
(24868, 142369, 0.5),
(24869, 142370, 0.6),
(24870, 142371, 0.15),
(24871, 142372, 0.2),
(24872, 142373, 1.5),
(24873, 142374, 0.15),
(24874, 142375, 0.2),
(24875, 142377, 0.15),
(24876, 142387, 1),
(24877, 142388, 0.2),
(24878, 142390, 0.2),
(24879, 142393, 1),
(24880, 142394, 0.15),
(24881, 142395, 0.1),
(24882, 142396, 0.2),
(24883, 142397, 0.3),
(24884, 142398, 0.1),
(24885, 142399, 0.6),
(24886, 142400, 0),
(24887, 142403, 0.2),
(24888, 142404, 0.1),
(24889, 142406, 0.2),
(24890, 142407, 1),
(24891, 142408, 0.4),
(24892, 142410, 0.1),
(24893, 142411, 0.6),
(24894, 142412, 0.4),
(24895, 142413, 0.2),
(24896, 142414, 2),
(24897, 142415, 0.2),
(24898, 142430, 1),
(24899, 142457, 2.5),
(24900, 142458, 1),
(24902, 142482, 0.5),
(24903, 142483, 0.5),
(24904, 142484, 0.25),
(24905, 142487, 0.7),
(24906, 142497, 0),
(24910, 142506, 0),
(24911, 142507, 0),
(24912, 142508, 0),
(24913, 142509, 0),
(24914, 142517, 1),
(24915, 142518, 1),
(24920, 142563, 0.7),
(24917, 142525, 0),
(24921, 142567, 0.5),
(24922, 142569, 0.4),
(24923, 142570, 1),
(24924, 142572, 0.6),
(24925, 142591, 1),
(24926, 142594, 1),
(24927, 142595, 2),
(24928, 142599, 1),
(24929, 142600, 1),
(24930, 142601, 1),
(24931, 142602, 1),
(24932, 142609, 1),
(24933, 142610, 1),
(24934, 142611, 1),
(24935, 142618, 2),
(24936, 142619, 2),
(24937, 142620, 2),
(24938, 142621, 2),
(24939, 142622, 2),
(24940, 142632, 0.3),
(24941, 142633, 0.2),
(24942, 142634, 0.5),
(24943, 142635, 0),
(24944, 142637, 0.5),
(24945, 142638, 0.1),
(24946, 142639, 0.2),
(24947, 142640, 0.5),
(25100, 143087, 1),
(24949, 142642, 0.3),
(24950, 142643, 0.2),
(24951, 142644, 0.2),
(24952, 142645, 0.2),
(24953, 142646, 0.2),
(24954, 142647, 0.6),
(24955, 142652, 1),
(24956, 142653, 1),
(24957, 142654, 1),
(24985, 142885, 1),
(24959, 142660, 1),
(24960, 142662, 1),
(24961, 142667, 1),
(24962, 142693, 2),
(24963, 142694, 2),
(24964, 142695, 2),
(24965, 142696, 1),
(24966, 142697, 1),
(24967, 142698, 1),
(24968, 142699, 1),
(24969, 142700, 1),
(24970, 142701, 1),
(24971, 142702, 1),
(24972, 142704, 1),
(24973, 142708, 1),
(24974, 142780, 0.5),
(24975, 142781, 2),
(24976, 142782, 2),
(24977, 142785, 0.1),
(24978, 142787, 1),
(24979, 142790, 0.5),
(24980, 142828, 1),
(24981, 142853, 1),
(24982, 142881, 1),
(24983, 142882, 1),
(24984, 142883, 1),
(24986, 142888, 0.5),
(24987, 142890, 1),
(24988, 142892, 1),
(24989, 142894, 1),
(24990, 142895, 1),
(24991, 142896, 1),
(24992, 142897, 1),
(24993, 142898, 1),
(24994, 142899, 1),
(24995, 142911, 1),
(24996, 142913, 1),
(24997, 142914, 1),
(24998, 142923, 1),
(24999, 142941, 2),
(25000, 142942, 2),
(25001, 142944, 2),
(25002, 142945, 2),
(25003, 142946, 2),
(25004, 142947, 2),
(25005, 142948, 2),
(25006, 142949, 2),
(25014, 142957, 1),
(25008, 142951, 1),
(25009, 142952, 2),
(25010, 142953, 1),
(25011, 142954, 1),
(25012, 142955, 1),
(25013, 142956, 1),
(25015, 142962, 1),
(25016, 142963, 1),
(25017, 142965, 1),
(25018, 142966, 1),
(25019, 142968, 0.15),
(25020, 142969, 1),
(25021, 142970, 1),
(25022, 142971, 0.4),
(25023, 142972, 2),
(25024, 142973, 0),
(25025, 142974, 1),
(25026, 142975, 1),
(25027, 142977, 2),
(25028, 142978, 2),
(25029, 142979, 1),
(25030, 142980, 2),
(25031, 142981, 1),
(25032, 142982, 1),
(25033, 142983, 1),
(25034, 142984, 1),
(25035, 142985, 1),
(25036, 142986, 0.5),
(25037, 142987, 2),
(25038, 142988, 2),
(25039, 142989, 1),
(25062, 143018, 1),
(25041, 142991, 2),
(25042, 142992, 2),
(25043, 142993, 1),
(25044, 142994, 1),
(25045, 142995, 1),
(25046, 142996, 2),
(25047, 142997, 2),
(25048, 142998, 2),
(25049, 142999, 1),
(25050, 143000, 1),
(25051, 143001, 2),
(25052, 143002, 2),
(25053, 143003, 1),
(25054, 143009, 1),
(25055, 143010, 0.75),
(25056, 143011, 0.5),
(25057, 143012, 1),
(25058, 143013, 1),
(25059, 143014, 1),
(25060, 143015, 1),
(26695, 148415, 1),
(25063, 143033, 1),
(25064, 143034, 1),
(25065, 143035, 1),
(25066, 143036, 1),
(25067, 143037, 1),
(25068, 143038, 3),
(25069, 143039, 0.4),
(25070, 143040, 0.6),
(25071, 143041, 0.1),
(25072, 143045, 0),
(25073, 143046, 0),
(25074, 143047, 0),
(25075, 143049, 2),
(25076, 143050, 2),
(25077, 143051, 2),
(25078, 143052, 2),
(25079, 143053, 0),
(25084, 143058, 1),
(25081, 143055, 1),
(25082, 143056, 1),
(25083, 143057, 1),
(25085, 143059, 0.5),
(25087, 143061, 0.5),
(25088, 143062, 1),
(25089, 143063, 1),
(25090, 143064, 2),
(25091, 143065, 1),
(25092, 143078, 1),
(25093, 143079, 1),
(25094, 143080, 1),
(25095, 143081, 1),
(25096, 143082, 1),
(25097, 143083, 1),
(25098, 143084, 1),
(25099, 143085, 2),
(25102, 143089, 1),
(25103, 143090, 1),
(25104, 143091, 1),
(25105, 143092, 1),
(25106, 143094, 1),
(25107, 143097, 1),
(25108, 143104, 1),
(25109, 143111, 1),
(25110, 143127, 1),
(25111, 143128, 1),
(25112, 143129, 1),
(25113, 143130, 1),
(25114, 143131, 1),
(25115, 143196, 2),
(25116, 143206, 1),
(25117, 143209, 0),
(25118, 143214, 0),
(25119, 143230, 0.5),
(25120, 143231, 0.25),
(25121, 143246, 0),
(25122, 143247, 0),
(25123, 143249, 0),
(25124, 143250, 0),
(25125, 143251, 0),
(25126, 143258, 0.5),
(25127, 143267, 1),
(25128, 143268, 1),
(25129, 143269, 1),
(25130, 143270, 1),
(25131, 143272, 1),
(25132, 143284, 1),
(25134, 143312, 0),
(25135, 143313, 0),
(25136, 143314, 0),
(25137, 143315, 0),
(25138, 143316, 0),
(25139, 143317, 0),
(25140, 143323, 0),
(25141, 143325, 0),
(25142, 143328, 0),
(25143, 143329, 0),
(25144, 143330, 0),
(25145, 143331, 0),
(25147, 143333, 0),
(25148, 143338, 0.5),
(25149, 143340, 1),
(25150, 143342, 0),
(25151, 143343, 0),
(25152, 143344, 0),
(25153, 143346, 0),
(25154, 143349, 0),
(25155, 143350, 0),
(25156, 143351, 1),
(25157, 143363, 0),
(25158, 143364, 0),
(25159, 143367, 1),
(25160, 143372, 1),
(25161, 143373, 0.7),
(25162, 143374, 0.6),
(25163, 143375, 1),
(25164, 143376, 1),
(25165, 143377, 1),
(25166, 143378, 1),
(25167, 143379, 1),
(25168, 143380, 0.5),
(25169, 143381, 1),
(25170, 143383, 0),
(25172, 143389, 0),
(25173, 143390, 0),
(25174, 143391, 0),
(25175, 143392, 0),
(25176, 143393, 0),
(25177, 143394, 0),
(25178, 143395, 0),
(25179, 143396, 0),
(25180, 143397, 0),
(25181, 143398, 0),
(25182, 143399, 0),
(25184, 143401, 0),
(25185, 143404, 0),
(25186, 143405, 0),
(25187, 143406, 0),
(25188, 143407, 0),
(25189, 143410, 0),
(25190, 143431, 0),
(25191, 143432, 0),
(25192, 143433, 0),
(25197, 143438, 0),
(25194, 143435, 0),
(25195, 143436, 0),
(25196, 143437, 0),
(25198, 143440, 0),
(25199, 143441, 0),
(25200, 143452, 1.2),
(25201, 143453, 1),
(25202, 143474, 0),
(25204, 143479, 0),
(25205, 143480, 0),
(25206, 143481, 0),
(25207, 143482, 0),
(25208, 143483, 0),
(25209, 143484, 0),
(25210, 143485, 0),
(25211, 143486, 0),
(25212, 143487, 0),
(25213, 143488, 0),
(25224, 143533, 0),
(25215, 143493, 0);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(25216, 143495, 0),
(25217, 143497, 0),
(25218, 143498, 0),
(25219, 143500, 0),
(25220, 143501, 0),
(25221, 143510, 0),
(25222, 143531, 0),
(25223, 143532, 0),
(25225, 143534, 0),
(25226, 143535, 0),
(25227, 143536, 0),
(25236, 143545, 0),
(25229, 143538, 0),
(25237, 143546, 0),
(25232, 143541, 0),
(25233, 143542, 0),
(25234, 143543, 0),
(25238, 143547, 0),
(25239, 143548, 0),
(25240, 143549, 0),
(25241, 143550, 0),
(25242, 143551, 0),
(25243, 143552, 0),
(25244, 143553, 0),
(25245, 143554, 0),
(25246, 143555, 0),
(25247, 143565, 1),
(25248, 143568, 1),
(25249, 143569, 0.2),
(25250, 143570, 0),
(25251, 143583, 2),
(25252, 143584, 1),
(25253, 143586, 1),
(25254, 143587, 1),
(25255, 143588, 1),
(25256, 143589, 1),
(25257, 143591, 1),
(25258, 143592, 1),
(25259, 143593, 1),
(25260, 143594, 1),
(25261, 143595, 1),
(25262, 143596, 1),
(25263, 143598, 1),
(25264, 143614, 0.2),
(25265, 143615, 1),
(25266, 143616, 1),
(26726, 148473, 1),
(25268, 143618, 1),
(25269, 143619, 1),
(25270, 143620, 1),
(25271, 143623, 1),
(25272, 143642, 1),
(25273, 143654, 0.3),
(25274, 143655, 0.1),
(25275, 143679, 1),
(25276, 143681, 0),
(25277, 143684, 1),
(25278, 143693, 0.2),
(25279, 143694, 0.75),
(25280, 143695, 0.25),
(25281, 143696, 0.2),
(25282, 143697, 0.2),
(25283, 143698, 0.2),
(25284, 143699, 0.5),
(25285, 143700, 1),
(25286, 143701, 0.4),
(25287, 143702, 0),
(25288, 143703, 0.2),
(25289, 143704, 0),
(25302, 143722, 0.7),
(25291, 143706, 1),
(25292, 143707, 1),
(25293, 143708, 0.2),
(25294, 143709, 0.2),
(25295, 143710, 1),
(25296, 143711, 0.2),
(25297, 143712, 0),
(25298, 143713, 1),
(25299, 143714, 1),
(25300, 143716, 1),
(25301, 143721, 1),
(25303, 143723, 1),
(25304, 143724, 1),
(25305, 143725, 1),
(25306, 143726, 1),
(25307, 143727, 1),
(25308, 143737, 0.5),
(25309, 143738, 0.6),
(25310, 143739, 0.4),
(25311, 143740, 0.8),
(25312, 143741, 1),
(25313, 143754, 1),
(25314, 143773, 1),
(25315, 143774, 1),
(25316, 143791, 2),
(25317, 143793, 2),
(25318, 143798, 2),
(25319, 143799, 2),
(25320, 143800, 2),
(25321, 143803, 0),
(25322, 143804, 0),
(25323, 143805, 0),
(25324, 143806, 0),
(25325, 143814, 0),
(25326, 143815, 0),
(25327, 143818, 0),
(25328, 143819, 0),
(25329, 143820, 0),
(25330, 143821, 0),
(25331, 143822, 0),
(25332, 143831, 0),
(25333, 143832, 0),
(25334, 143833, 0),
(25335, 143834, 0),
(25336, 143835, 0),
(25356, 143855, 0),
(25355, 143854, 0),
(25354, 143853, 0),
(25353, 143852, 0),
(25352, 143851, 0),
(25351, 143850, 0),
(25350, 143849, 0),
(25349, 143848, 0),
(25348, 143847, 0),
(25347, 143846, 0),
(25357, 143856, 0),
(25358, 143862, 1),
(25359, 143863, 1),
(25360, 143864, 1),
(25361, 143865, 1),
(25362, 143868, 0),
(25363, 143889, 1),
(25364, 143890, 1),
(25365, 143891, 1),
(25366, 143892, 1),
(25367, 143894, 1),
(25368, 143895, 1),
(25369, 143897, 1),
(25370, 143898, 1),
(25371, 143899, 1),
(25372, 143900, 0.8),
(25373, 143901, 0),
(25374, 143902, 0),
(25375, 143903, 0),
(25376, 143905, 1),
(25377, 143906, 1),
(25378, 143907, 2),
(25379, 143908, 1),
(25382, 143911, 0.5),
(25381, 143910, 1),
(25383, 143912, 1),
(25384, 143913, 1),
(25385, 143914, 1),
(25386, 143922, 1),
(25387, 143939, 0),
(25388, 143940, 0),
(25389, 143941, 0),
(25390, 143942, 0),
(25395, 143949, 0),
(25394, 143946, 1),
(25393, 143945, 0),
(25396, 143980, 0),
(25397, 143981, 0),
(25398, 143982, 0),
(25399, 143983, 0),
(25400, 143984, 0),
(25401, 143985, 0),
(25402, 143986, 0),
(25403, 143987, 0),
(25404, 143989, 0),
(25405, 143990, 1),
(25406, 143991, 0),
(25407, 143994, 1),
(25408, 143995, 1.5),
(25409, 143999, 1),
(25410, 144000, 0.5),
(25411, 144001, 0.2),
(25412, 144002, 0.4),
(25413, 144003, 0.75),
(25414, 144004, 0),
(25415, 144005, 0),
(25416, 144006, 0),
(25417, 144007, 0),
(25418, 144008, 0),
(25419, 144009, 0),
(25420, 144010, 0),
(25421, 144011, 0),
(25422, 144012, 1),
(25423, 144013, 1),
(25424, 144014, 1),
(25425, 144015, 2),
(25426, 144016, 2),
(25427, 144017, 2),
(25428, 144018, 2),
(25429, 144019, 2),
(25430, 144020, 1),
(25431, 144021, 1),
(25432, 144022, 1),
(25433, 144023, 1),
(25434, 144024, 1),
(25435, 144025, 1),
(25436, 144026, 1),
(25437, 144029, 1),
(25438, 144030, 1),
(25439, 144031, 1),
(25440, 144032, 1),
(25441, 144033, 1),
(25442, 144037, 1),
(25443, 144038, 1),
(25444, 144039, 1),
(25445, 144040, 2),
(25446, 144041, 2),
(25447, 144042, 2),
(25448, 144043, 2),
(25449, 144044, 2),
(25450, 144045, 1),
(25451, 144046, 1),
(25452, 144047, 1),
(25453, 144048, 1),
(25454, 144049, 1),
(25455, 144050, 1),
(25456, 144051, 2),
(25457, 144052, 0),
(25458, 144054, 1),
(25459, 144060, 1),
(25460, 144065, 1),
(25461, 144067, 1),
(25462, 144068, 1),
(25463, 144070, 1),
(25464, 144071, 0.5),
(25465, 144076, 0),
(25466, 144078, 0.5),
(25467, 144079, 1),
(25468, 144080, 0),
(25679, 144629, 0.2),
(25470, 144082, 0),
(25489, 144114, 1),
(25472, 144084, 0),
(25476, 144091, 0),
(25484, 144099, 2),
(25478, 144093, 2),
(25486, 144105, 2),
(25480, 144095, 0),
(25481, 144096, 0),
(25485, 144100, 0.75),
(25483, 144098, 1),
(25487, 144110, 1),
(25488, 144112, 1),
(25490, 144118, 1),
(25491, 144121, 2),
(25492, 144122, 1),
(25493, 144125, 0.5),
(25494, 144129, 0),
(25495, 144130, 0),
(25496, 144131, 0),
(25497, 144132, 1),
(25498, 144133, 0.4),
(25499, 144136, 2),
(25500, 144137, 0.4),
(25501, 144138, 1),
(25502, 144139, 1),
(25503, 144140, 1),
(25505, 144142, 1),
(25506, 144143, 1),
(25507, 144144, 1),
(25508, 144146, 1),
(25509, 144176, 1),
(25510, 144177, 1),
(25511, 144178, 1),
(25512, 144179, 1),
(25513, 144180, 1),
(25514, 144181, 1),
(25515, 144182, 1),
(25516, 144183, 2),
(25517, 144184, 1),
(25518, 144185, 1),
(25519, 144186, 1),
(25520, 144187, 1),
(25521, 144188, 1),
(25522, 144189, 0.2),
(25523, 144190, 0.5),
(25524, 144191, 0.1),
(25525, 144192, 0.3),
(25526, 144193, 0.05),
(25527, 144194, 1),
(25528, 144195, 0.2),
(25529, 144196, 1),
(25530, 144197, 0.15),
(25531, 144198, 1),
(25532, 144199, 0.3),
(25533, 144204, 0.2),
(25534, 144206, 1),
(25535, 144207, 2),
(25536, 144208, 2),
(25537, 144209, 2),
(25538, 144210, 2),
(25539, 144211, 2),
(25540, 144212, 2),
(25541, 144213, 2),
(25542, 144214, 2),
(25543, 144215, 2),
(25544, 144216, 2),
(25545, 144217, 1),
(25546, 144218, 1),
(25547, 144219, 1),
(25548, 144220, 1),
(25549, 144221, 1),
(25550, 144222, 1),
(25551, 144223, 2),
(25552, 144224, 2),
(25553, 144225, 2),
(25554, 144226, 1),
(25555, 144227, 1),
(25556, 144228, 1),
(25557, 144229, 1),
(25558, 144230, 1),
(25560, 144234, 1),
(25561, 144235, 1),
(26727, 148476, 0),
(25563, 144237, 2),
(25564, 144238, 0),
(25565, 144241, 1),
(25566, 144242, 1),
(25568, 144248, 2),
(25569, 144249, 5),
(25570, 144250, 3),
(25571, 144251, 1),
(25572, 144253, 0.2),
(25573, 144270, 1),
(25574, 144271, 1),
(25575, 144272, 1),
(25576, 144273, 1),
(25577, 144274, 0.5),
(25578, 144288, 0.5),
(25579, 144289, 1),
(25580, 144291, 1),
(25581, 144292, 1),
(25582, 144293, 1),
(25583, 144294, 1),
(25584, 144295, 1),
(25585, 144327, 1),
(25586, 144333, 1),
(25587, 144335, 2),
(25588, 144336, 1),
(25589, 144337, 1),
(25590, 144347, 0),
(25591, 144349, 0),
(25592, 144364, 0.2),
(25593, 144365, 0.2),
(25594, 144366, 0.4),
(25595, 144367, 1),
(25596, 144368, 0),
(25597, 144369, 0),
(25598, 144370, 0),
(25599, 144371, 0),
(25600, 144372, 0),
(25601, 144373, 0),
(25602, 144383, 0),
(25603, 144384, 0),
(25604, 144386, 0),
(25605, 144387, 0),
(25606, 144388, 0),
(25607, 144389, 0),
(25608, 144390, 0),
(25609, 144425, 1),
(25610, 144430, 1),
(25611, 144478, 0),
(25612, 144479, 0),
(25613, 144480, 0),
(25614, 144481, 0),
(25615, 144483, 0),
(25616, 144484, 0),
(25617, 144485, 0),
(25618, 144486, 0),
(25619, 144487, 0),
(25620, 144488, 0),
(25621, 144489, 0),
(25622, 144490, 0),
(25623, 144491, 0),
(25624, 144492, 0),
(25625, 144493, 0.3),
(25626, 144494, 0),
(25627, 144495, 0),
(25628, 144496, 0),
(25629, 144497, 0),
(25630, 144505, 1),
(25631, 144506, 0.6),
(25632, 144507, 0.1),
(25639, 144520, 0),
(25634, 144509, 1),
(25636, 144517, 0),
(25637, 144518, 0),
(25638, 144519, 0),
(25640, 144521, 0),
(25641, 144523, 0),
(25642, 144524, 0),
(25643, 144525, 0),
(25644, 144526, 0),
(25645, 144528, 0.3),
(25646, 144529, 0.4),
(25647, 144530, 0.2),
(25649, 144533, 0.7),
(25650, 144534, 1),
(25651, 144536, 1),
(25652, 144538, 0.7),
(25653, 144540, 0.6),
(25654, 144542, 0),
(25655, 144543, 0),
(25656, 144544, 0),
(25657, 144545, 0),
(25658, 144546, 0),
(25659, 144547, 0),
(25660, 144548, 0),
(25661, 144560, 1),
(25662, 144561, 0.5),
(25663, 144568, 0),
(25664, 144569, 0),
(25665, 144570, 0),
(25666, 144571, 0),
(25667, 144572, 0),
(25686, 144673, 1),
(25669, 144617, 1),
(25670, 144618, 1),
(25671, 144619, 1),
(25672, 144620, 1),
(25673, 144621, 2),
(25678, 144628, 1),
(25677, 144626, 1),
(25680, 144630, 1),
(25681, 144631, 0.5),
(25682, 144632, 0.8),
(25683, 144633, 1),
(25684, 144634, 1),
(25685, 144671, 1),
(25687, 144688, 1),
(25688, 144689, 0.7),
(25689, 144690, 0.1),
(25690, 144693, 1),
(25691, 144694, 0),
(25692, 144696, 1),
(25693, 144721, 1.2),
(25694, 144723, 0.4),
(25695, 144724, 0.5),
(25696, 144746, 1),
(25697, 144756, 0.75),
(25698, 144757, 1),
(25699, 144758, 1),
(25700, 144763, 0.5),
(25701, 144766, 1),
(25702, 144768, 0.2),
(25703, 144769, 0.6),
(25704, 144788, 1),
(25705, 144789, 1),
(25706, 144790, 1),
(25707, 144792, 1),
(25708, 144795, 0),
(25709, 144804, 0.5),
(25710, 144805, 1),
(25711, 144806, 2),
(25712, 144807, 2),
(25713, 144808, 2),
(25715, 144810, 0),
(25716, 144811, 0),
(25717, 144812, 0),
(25718, 144813, 0),
(25719, 144814, 0),
(25720, 144815, 0),
(25721, 144816, 0),
(25722, 144817, 0),
(25723, 144818, 0),
(25724, 144819, 0),
(25740, 144873, 0),
(25726, 144821, 0.5),
(25727, 144822, 1),
(25728, 144823, 1),
(25729, 144824, 1),
(25730, 144825, 1),
(25731, 144826, 1),
(25732, 144827, 1),
(25733, 144828, 1),
(25735, 144830, 1),
(25736, 144851, 0.4),
(25737, 144852, 1),
(25738, 144853, 0.6),
(25739, 144856, 1),
(25741, 144874, 0),
(25743, 144876, 0),
(25744, 144877, 0),
(25745, 144879, 0),
(25746, 144882, 0),
(25747, 144886, 0),
(25748, 144888, 0),
(25749, 144919, 0),
(25750, 144922, 1),
(25751, 144925, 1),
(25752, 144926, 0.5),
(25753, 144929, 0),
(25754, 144931, 0),
(25755, 144932, 0),
(25756, 144939, 0),
(25757, 144942, 0),
(25758, 144947, 0),
(25759, 144948, 0),
(25762, 144972, 2),
(25761, 144950, 0),
(25763, 144973, 2),
(25764, 144974, 2),
(25765, 144975, 2),
(25766, 144976, 2),
(25767, 144979, 2),
(25768, 144980, 0.2),
(25769, 144981, 0.2),
(25770, 144982, 1),
(25771, 144988, 0),
(25772, 144989, 0),
(25773, 144990, 0),
(25774, 144991, 0),
(25775, 144992, 0),
(25776, 144993, 0),
(25777, 144994, 0),
(25778, 144995, 0),
(25779, 144999, 1),
(25780, 145000, 0),
(25781, 145010, 2),
(25782, 145011, 0.1),
(25783, 145012, 0.2),
(25784, 145022, 0),
(25785, 145025, 1),
(25786, 145026, 1),
(25787, 145027, 0),
(25788, 145030, 0.4),
(25789, 145032, 1.2),
(25790, 145034, 0.7),
(25791, 145037, 0),
(25792, 145040, 0),
(25793, 145042, 1),
(25794, 145043, 0),
(25795, 145044, 0),
(25796, 145045, 0),
(25797, 145046, 1),
(25798, 145047, 0.5),
(25799, 145062, 2),
(25800, 145063, 2),
(25801, 145064, 2),
(25802, 145065, 2),
(25803, 145067, 2),
(25804, 145068, 1),
(25861, 145168, 1),
(25806, 145070, 1),
(25807, 145071, 1),
(26849, 148749, 0),
(25809, 145090, 1),
(25810, 145091, 1),
(25811, 145094, 1),
(25812, 145109, 1),
(25813, 145110, 1),
(25814, 145111, 1),
(25815, 145113, 1),
(25816, 145114, 1),
(25817, 145115, 1),
(25818, 145116, 1),
(25819, 145117, 1),
(25820, 145118, 1),
(25821, 145119, 1),
(25822, 145120, 1),
(25823, 145121, 1),
(25824, 145122, 1),
(25825, 145123, 1),
(25826, 145124, 1),
(25827, 145125, 1),
(25828, 145126, 1),
(25834, 145133, 1),
(25830, 145128, 1),
(25831, 145129, 1),
(25832, 145130, 0.5),
(25835, 145134, 2),
(25836, 145135, 1),
(25837, 145136, 1),
(25971, 145428, 0.5),
(25946, 145378, 1),
(25840, 145143, 1),
(25841, 145144, 1),
(25842, 145145, 1),
(25843, 145146, 1),
(25845, 145148, 1),
(25846, 145149, 0.5),
(25847, 145150, 1),
(25848, 145151, 1),
(25849, 145152, 1),
(25850, 145153, 1),
(25851, 145154, 2),
(25852, 145155, 1),
(25853, 145156, 2),
(25854, 145161, 2),
(25855, 145162, 0.25),
(25856, 145163, 2),
(25857, 145164, 0.5),
(25858, 145165, 0.5),
(25859, 145166, 1),
(25860, 145167, 2),
(25862, 145169, 1),
(25863, 145170, 1),
(25864, 145171, 1),
(25865, 145172, 1),
(25866, 145173, 1),
(25867, 145174, 2),
(25868, 145175, 2),
(25869, 145176, 1),
(25870, 145177, 1),
(25871, 145178, 2),
(25872, 145179, 1),
(25873, 145180, 1),
(25874, 145181, 2),
(25875, 145182, 1),
(25876, 145183, 1),
(25877, 145184, 1),
(25878, 145185, 1),
(25879, 145186, 1),
(25880, 145187, 1),
(25881, 145188, 1),
(25973, 145450, 1),
(25883, 145190, 2),
(25884, 145191, 4),
(25885, 145192, 0.2),
(25886, 145196, 1),
(25887, 145197, 1),
(25888, 145198, 1),
(25889, 145199, 1),
(25890, 145200, 1),
(25891, 145204, 1),
(25892, 145205, 1),
(25893, 145206, 1),
(25894, 145207, 1),
(25895, 145209, 1),
(25896, 145210, 0),
(25897, 145214, 1),
(25898, 145215, 1),
(25899, 145216, 1),
(25900, 145233, 0),
(25901, 145240, 0),
(25902, 145241, 0),
(25903, 145245, 0),
(25904, 145305, 1),
(25906, 145321, 1),
(25907, 145322, 0.5),
(25908, 145323, 0.5),
(25909, 145324, 1),
(25910, 145326, 1),
(25911, 145327, 0.75),
(25912, 145328, 1),
(25913, 145331, 1),
(25914, 145332, 1),
(25915, 145333, 1),
(25916, 145334, 1),
(25917, 145335, 1),
(25919, 145337, 1),
(25920, 145339, 1),
(25921, 145341, 1),
(25922, 145342, 1),
(25923, 145347, 1),
(25924, 145350, 0),
(25925, 145351, 0),
(25926, 145352, 0),
(25927, 145353, 0),
(25928, 145354, 0),
(25929, 145356, 0),
(25930, 145357, 0),
(25931, 145358, 1),
(25932, 145359, 0),
(25933, 145360, 1),
(25934, 145361, 1),
(25935, 145362, 0),
(25936, 145363, 0),
(25937, 145364, 0),
(25938, 145365, 0),
(25939, 145366, 1),
(25940, 145367, 0),
(25941, 145368, 0),
(25942, 145369, 0),
(25943, 145370, 0),
(25944, 145372, 2),
(25945, 145373, 2),
(25947, 145380, 1),
(25948, 145381, 1),
(25949, 145383, 1),
(25950, 145384, 1),
(25951, 145385, 1),
(25952, 145386, 0.4),
(25953, 145387, 0.1),
(25954, 145388, 1),
(25955, 145390, 1),
(25956, 145391, 1),
(25957, 145392, 1),
(25958, 145393, 1),
(25959, 145394, 1),
(25960, 145395, 1),
(25962, 145397, 1),
(25963, 145398, 1),
(25964, 145399, 1),
(25965, 145400, 1),
(25966, 145403, 1),
(25967, 145408, 1),
(25968, 145414, 1),
(25969, 145426, 1),
(25970, 145427, 0),
(25972, 145448, 2),
(25974, 145469, 0.5),
(25975, 145470, 0.9),
(25976, 145471, 0.9),
(25977, 145472, 0.5),
(25978, 145474, 0.5),
(25979, 145475, 0.7),
(25980, 145476, 1),
(25981, 145477, 0.5),
(25982, 145478, 0.4),
(25983, 145479, 0.7),
(25984, 145515, 0.6),
(25985, 145517, 0.4),
(25986, 145519, 0),
(25987, 145520, 1),
(25988, 145521, 0),
(25989, 145522, 0),
(25990, 145523, 0),
(25991, 145524, 0),
(25992, 145525, 0),
(25993, 145526, 0),
(25994, 145527, 0),
(25995, 145528, 0),
(25996, 145541, 0),
(25997, 145543, 0),
(25998, 145544, 0),
(25999, 145545, 0),
(26000, 145546, 0),
(26001, 145547, 0),
(26002, 145548, 0),
(26003, 145549, 0),
(26004, 145550, 0),
(26005, 145552, 1),
(26006, 145554, 0),
(26007, 145555, 0),
(26008, 145556, 0),
(26009, 145557, 0),
(26010, 145558, 0),
(26011, 145571, 0),
(26012, 145575, 1),
(26013, 145599, 0),
(26014, 145600, 0),
(26015, 145608, 0),
(26016, 145632, 1),
(26017, 145672, 0.5),
(26018, 145698, 1),
(26019, 145699, 1),
(26020, 145700, 1),
(26021, 145701, 1),
(26464, 147154, 0.8),
(26023, 145706, 2),
(26024, 145707, 0.5),
(26025, 145708, 1),
(26026, 145709, 1),
(26027, 145710, 0.25),
(26028, 145711, 0.25),
(26029, 145712, 1),
(26030, 145717, 2),
(26031, 145726, 0.5),
(26032, 145747, 0),
(26033, 145748, 0),
(26248, 146359, 1),
(26035, 145791, 0.15),
(26036, 145792, 0.1),
(26037, 145793, 0.2),
(26038, 145794, 0.1),
(26039, 145795, 0.15),
(26040, 145796, 0.2),
(26041, 145798, 0.5),
(26042, 145799, 0.1),
(26043, 145800, 0.2),
(26044, 145802, 0.2),
(26045, 145803, 0.25),
(26046, 145804, 0.25),
(26047, 145805, 0.3),
(26048, 145811, 0.5),
(26049, 145812, 0.6),
(26050, 145813, 0.5),
(26051, 145814, 0.4),
(26052, 145815, 0.5),
(26053, 145816, 0.5),
(26054, 145817, 0.6),
(26055, 145818, 0.7),
(26056, 145819, 0),
(26057, 145820, 1),
(26058, 145831, 0),
(26059, 145872, 0.4),
(26060, 145874, 1),
(26061, 145876, 2),
(26062, 145877, 1),
(26064, 145920, 1),
(26065, 145922, 1),
(26066, 145923, 1),
(26067, 145925, 1.2),
(26068, 145928, 1),
(26069, 145932, 2),
(26070, 145933, 1),
(26071, 145934, 1),
(26072, 145948, 1.2),
(26073, 145958, 1),
(26074, 145973, 1),
(26075, 145974, 2),
(26076, 145975, 2),
(26077, 145976, 2),
(26078, 145977, 2),
(26079, 145978, 2),
(26080, 145979, 0),
(26081, 145980, 0),
(26082, 145981, 0),
(26083, 145988, 0),
(26084, 145990, 0),
(26085, 145991, 0),
(26086, 145993, 0),
(26087, 146008, 0),
(26088, 146009, 0),
(26089, 146010, 0),
(26090, 146014, 0),
(26091, 146022, 0),
(26100, 146050, 0),
(26102, 146053, 0),
(26094, 146033, 0),
(26099, 146049, 0),
(26097, 146037, 0),
(26098, 146038, 0),
(26101, 146051, 0),
(26160, 146175, 1),
(26104, 146056, 0),
(26105, 146057, 0),
(26159, 146174, 1),
(26107, 146068, 0),
(26108, 146069, 0),
(26161, 146176, 1),
(26111, 146073, 1),
(26112, 146074, 1),
(26113, 146075, 0.3),
(26114, 146076, 0.25),
(26115, 146077, 0.1),
(26116, 146078, 1),
(26117, 146079, 0.5),
(26118, 146080, 0.3),
(26119, 146081, 0.1),
(26120, 146082, 0.15),
(26121, 146083, 0),
(26122, 146099, 0),
(26123, 146100, 0),
(26124, 146114, 1),
(26125, 146116, 1),
(26126, 146117, 1),
(26127, 146118, 1),
(26128, 146120, 1),
(26129, 146124, 1),
(26130, 146125, 1),
(26131, 146126, 1),
(26132, 146127, 1),
(26133, 146139, 0.2),
(26134, 146140, 0.5),
(26135, 146141, 0.3),
(26136, 146150, 1),
(26137, 146151, 1),
(26138, 146152, 1),
(26139, 146153, 0.5),
(26140, 146154, 1),
(26141, 146155, 1),
(26142, 146156, 1),
(26143, 146157, 1),
(26144, 146158, 1),
(26145, 146159, 1),
(26146, 146160, 0.5),
(26147, 146161, 1),
(26148, 146162, 1),
(26149, 146163, 1),
(26150, 146164, 1),
(26151, 146165, 2),
(26152, 146166, 2),
(26153, 146167, 2),
(26154, 146168, 0),
(26155, 146170, 1),
(26156, 146171, 1),
(26158, 146173, 1),
(26162, 146177, 1),
(26163, 146178, 1),
(26164, 146180, 1),
(26165, 146181, 1),
(26166, 146182, 1),
(26167, 146183, 1),
(26168, 146195, 2),
(26169, 146196, 2),
(26170, 146197, 2),
(26171, 146198, 2),
(26172, 146199, 2),
(26173, 146203, 2),
(26174, 146204, 2),
(26175, 146205, 2),
(26176, 146206, 2),
(26177, 146207, 2),
(26178, 146208, 1),
(26179, 146209, 2),
(26180, 146210, 1),
(26181, 146211, 2),
(26182, 146212, 2),
(26183, 146213, 2),
(26184, 146214, 2),
(26185, 146215, 2),
(26186, 146216, 2),
(26187, 146217, 2),
(26188, 146218, 1),
(26189, 146219, 1),
(26190, 146220, 1),
(26191, 146221, 1),
(26192, 146222, 1),
(26193, 146224, 1),
(26194, 146225, 4),
(26195, 146226, 1),
(26196, 146227, 1),
(26197, 146228, 1),
(26198, 146229, 1),
(26199, 146230, 1),
(26200, 146231, 1),
(26201, 146232, 1),
(26202, 146233, 1),
(26203, 146235, 0.5),
(26204, 146242, 2),
(26205, 146243, 1),
(26206, 146284, 2),
(26207, 146285, 2),
(26208, 146287, 2),
(26209, 146288, 2),
(26210, 146289, 2),
(26211, 146290, 1),
(26212, 146291, 1),
(26213, 146292, 1),
(26214, 146295, 2),
(26215, 146296, 1),
(26216, 146298, 1),
(26217, 146299, 1),
(26218, 146305, 1),
(26219, 146312, 1),
(26220, 146315, 2),
(26221, 146316, 1),
(26223, 146318, 2),
(26224, 146319, 2),
(26225, 146320, 1),
(26226, 146321, 1),
(26227, 146322, 1),
(26228, 146323, 1),
(26229, 146324, 0.5),
(26230, 146325, 1),
(26231, 146328, 1),
(26232, 146331, 1),
(26233, 146332, 1),
(26234, 146333, 1),
(26235, 146334, 1),
(26236, 146335, 0.5),
(26237, 146341, 1),
(26238, 146342, 1),
(26239, 146343, 1),
(26240, 146345, 0.75),
(26241, 146351, 0.25),
(26697, 148418, 0.5),
(26243, 146353, 1),
(26247, 146358, 1),
(26245, 146355, 1),
(26249, 146360, 0.4),
(26250, 146367, 1),
(26251, 146368, 5),
(26252, 146370, 0.15),
(26253, 146371, 0.25),
(26254, 146372, 0.2),
(26255, 146373, 0.1),
(26256, 146374, 0.25),
(26257, 146375, 0.2),
(26258, 146376, 1),
(26259, 146377, 0.3),
(26260, 146378, 1),
(26261, 146380, 0.5),
(26262, 146381, 1),
(26263, 146382, 1),
(26264, 146384, 0.25),
(26265, 146385, 0.15),
(26266, 146386, 0.4),
(26267, 146387, 0.4),
(26268, 146388, 1),
(26270, 146393, 0.1),
(26271, 146407, 1),
(26272, 146408, 1),
(26273, 146409, 1),
(26274, 146410, 0.5),
(26275, 146416, 0),
(26276, 146418, 5),
(26277, 146419, 0),
(26278, 146420, 0),
(26279, 146421, 0),
(26280, 146422, 0),
(26281, 146423, 0),
(26282, 146424, 0),
(26283, 146425, 0),
(26284, 146442, 1),
(26285, 146451, 1),
(26286, 146454, 1),
(26287, 146455, 1),
(26288, 146456, 0.5),
(26289, 146464, 1),
(26290, 146499, 0),
(26291, 146500, 0),
(26292, 146501, 0),
(26293, 146502, 0),
(26294, 146503, 0),
(26593, 147955, 0),
(26296, 146507, 1),
(26297, 146512, 0.5),
(26298, 146514, 1),
(26299, 146524, 1),
(26300, 146525, 3),
(26301, 146526, 0.5),
(26302, 146527, 1),
(26303, 146559, 1),
(26304, 146560, 1),
(26305, 146579, 0.25),
(26306, 146580, 0.5),
(26307, 146581, 0.5),
(26308, 146582, 0.5),
(26309, 146593, 0.5),
(26310, 146594, 0.5),
(26311, 146595, 0.5),
(26312, 146597, 0),
(26313, 146601, 0),
(26314, 146603, 0),
(26315, 146604, 0),
(26316, 146605, 11),
(26317, 146606, 0),
(26318, 146609, 0),
(26319, 146617, 0),
(26320, 146635, 0),
(26321, 146637, 0),
(26322, 146639, 0),
(26323, 146640, 0),
(26324, 146641, 0),
(26325, 146642, 0),
(26326, 146643, 0),
(26327, 146644, 0),
(26328, 146645, 0),
(26329, 146646, 0),
(26330, 146647, 0),
(26331, 146648, 0),
(26332, 146649, 0),
(26333, 146650, 0),
(26334, 146651, 0),
(26335, 146652, 0),
(26336, 146653, 0),
(26337, 146654, 0),
(26338, 146655, 0),
(26339, 146656, 0),
(26340, 146657, 0),
(26341, 146658, 0),
(26342, 146659, 0),
(26343, 146660, 1),
(26344, 146661, 0.9),
(26345, 146662, 0.5),
(26346, 146663, 0.5),
(26347, 146664, 0.9),
(26348, 146666, 0.8),
(26349, 146667, 0.8),
(26350, 146668, 1),
(26351, 146669, 0.2),
(26352, 146670, 1),
(26353, 146671, 0.2),
(26354, 146676, 2.5),
(26355, 146677, 0.5),
(26356, 146678, 0.2),
(26357, 146679, 0.75),
(26358, 146684, 1),
(26359, 146685, 0.25),
(26360, 146696, 0),
(26361, 146697, 0),
(26362, 146698, 0),
(26363, 146699, 0),
(26364, 146700, 0),
(26365, 146701, 0),
(26366, 146702, 0),
(26367, 146703, 0),
(26368, 146704, 0),
(26369, 146705, 0),
(26370, 146707, 0),
(26371, 146708, 0),
(26372, 146741, 0),
(26373, 146743, 0),
(26374, 146747, 0),
(26375, 146748, 0),
(26376, 146752, 0),
(26377, 146753, 0),
(26378, 146754, 0),
(26379, 146755, 0),
(26380, 146756, 0),
(26381, 146759, 0),
(26382, 146761, 0),
(26383, 146762, 0),
(26384, 146763, 0),
(26385, 146764, 0),
(26386, 146765, 0),
(26387, 146767, 0),
(26388, 146768, 0),
(26389, 146769, 0),
(26390, 146770, 0),
(26391, 146771, 0),
(26392, 146772, 0),
(26393, 146773, 0),
(26394, 146774, 0),
(26395, 146775, 0),
(26396, 146776, 0.4),
(26397, 146777, 0.3),
(26398, 146778, 0.3),
(26399, 146779, 0.6),
(26400, 146780, 0),
(26401, 146781, 0.15),
(26402, 146782, 0),
(26403, 146783, 0),
(26404, 146784, 0.2),
(26405, 146792, 0),
(26406, 146797, 0),
(26407, 146798, 0),
(26409, 146804, 1),
(26410, 146805, 0),
(26411, 146806, 0),
(26412, 146807, 0),
(26413, 146808, 0),
(26414, 146809, 0),
(26415, 146810, 1),
(26416, 146813, 2),
(26417, 146819, 1),
(26418, 146820, 0.1),
(26419, 146823, 0),
(26420, 146824, 0),
(26421, 146825, 0),
(26422, 146826, 0),
(26423, 146828, 0),
(26425, 146832, 0),
(26426, 146833, 0),
(26427, 146834, 0),
(26428, 146859, 0.5),
(26429, 146869, 0.3),
(26430, 146877, 1),
(26431, 146878, 1),
(26432, 146879, 1),
(26433, 146880, 1),
(26434, 146881, 1),
(26435, 146882, 1),
(26436, 146886, 1),
(26437, 146907, 1),
(26438, 146909, 1),
(26439, 146911, 1),
(26440, 146912, 1),
(26441, 146997, 1),
(26442, 147005, 0),
(26443, 147016, 2),
(26444, 147017, 2),
(26445, 147018, 2),
(26446, 147019, 2),
(26447, 147020, 2),
(26448, 147021, 1),
(26449, 147022, 1),
(26450, 147023, 1),
(26451, 147035, 0.8),
(26452, 147036, 1.2),
(26453, 147037, 0.4),
(26454, 147056, 2),
(26455, 147064, 0.2),
(26456, 147065, 0.2),
(26457, 147066, 0.2),
(26458, 147067, 0.1),
(26459, 147070, 1),
(26460, 147071, 1),
(26461, 147075, 1),
(26462, 147139, 1),
(26463, 147140, 1),
(26465, 147155, 1),
(26466, 147157, 1),
(26525, 147486, 1),
(26868, 148923, 0),
(26469, 147162, 1),
(26470, 147163, 1),
(26471, 147294, 1),
(26472, 147295, 1),
(26473, 147296, 1),
(26474, 147297, 1),
(26475, 147298, 1),
(26476, 147301, 1),
(26477, 147302, 1),
(27060, 149552, 1),
(26479, 147315, 1),
(26480, 147317, 0.4),
(26481, 147318, 1),
(26482, 147319, 1),
(26483, 147320, 1),
(26484, 147321, 1),
(26485, 147322, 1),
(26486, 147326, 0.6),
(26487, 147327, 0.1),
(26488, 147344, 1),
(26489, 147345, 0.2),
(26490, 147346, 0.3),
(26491, 147354, 0),
(26492, 147360, 0.4),
(26493, 147365, 1),
(26494, 147366, 0),
(26495, 147386, 0),
(26496, 147388, 0),
(26497, 147389, 0),
(26498, 147390, 2),
(26499, 147391, 2),
(26500, 147392, 1),
(26501, 147393, 2),
(26502, 147394, 2),
(26503, 147395, 2),
(26504, 147396, 1),
(26505, 147397, 1),
(26506, 147398, 0),
(26507, 147399, 1),
(26508, 147400, 0),
(26509, 147405, 2),
(26510, 147406, 1),
(26511, 147412, 2),
(26512, 147415, 1),
(26513, 147417, 1),
(26514, 147418, 2),
(26515, 147419, 1),
(26516, 147420, 1),
(26517, 147421, 1),
(26518, 147422, 2),
(26519, 147446, 1),
(26520, 147448, 1),
(26521, 147449, 2),
(26522, 147450, 1),
(26523, 147451, 0.5),
(26524, 147452, 2),
(26526, 147487, 1),
(26527, 147488, 1),
(26528, 147489, 1),
(26529, 147490, 1),
(26530, 147492, 1),
(26531, 147494, 0.5),
(26532, 147497, 1),
(26533, 147673, 2),
(26534, 147674, 2),
(26535, 147675, 2),
(26536, 147676, 2),
(26537, 147677, 2),
(26538, 147682, 2),
(26539, 147683, 2),
(26540, 147684, 2),
(26541, 147685, 2),
(26542, 147686, 2),
(26543, 147692, 1),
(26544, 147693, 2),
(26545, 147694, 2),
(26546, 147695, 2),
(26547, 147696, 1),
(26548, 147697, 0.75),
(26549, 147698, 1),
(26550, 147772, 1),
(26551, 147852, 1),
(26552, 147854, 1),
(26553, 147857, 1),
(26554, 147858, 1),
(26555, 147859, 1),
(26556, 147860, 1),
(26557, 147861, 1),
(26558, 147862, 1),
(26560, 147865, 1),
(26561, 147867, 1),
(26562, 147869, 1),
(26563, 147870, 1),
(26564, 147871, 1),
(26565, 147872, 0.5),
(26566, 147886, 2),
(26567, 147887, 2),
(26568, 147888, 2),
(26569, 147889, 2),
(26570, 147890, 2),
(26571, 147891, 1),
(27059, 149551, 1),
(27058, 149550, 1),
(26574, 147896, 0),
(26596, 147973, 0),
(26576, 147898, 0.5),
(26588, 147929, 1),
(26589, 147930, 2),
(26579, 147901, 0.5),
(26590, 147931, 2),
(26591, 147932, 2),
(26582, 147904, 1),
(26583, 147921, 1),
(26584, 147922, 1),
(26585, 147923, 1),
(26586, 147924, 1),
(26587, 147928, 2),
(26597, 147974, 0),
(26595, 147970, 0),
(26598, 147975, 0),
(26599, 147977, 0),
(26952, 149052, 0),
(26601, 147993, 0.2),
(26602, 147994, 1),
(26603, 147995, 1),
(26604, 147996, 0.5),
(26605, 147997, 1),
(26606, 147998, 0.2),
(26607, 147999, 0.2),
(26608, 148000, 3),
(26609, 148001, 0.2),
(26610, 148002, 1),
(26611, 148003, 0.2),
(26612, 148004, 0.4),
(26613, 148005, 0.1),
(26614, 148006, 0.2),
(26615, 148007, 1),
(26616, 148008, 1),
(26617, 148009, 1),
(26618, 148010, 1),
(26619, 148011, 0.3),
(26620, 148018, 1),
(26621, 148019, 0),
(26622, 148020, 0),
(26623, 148021, 0),
(26624, 148022, 0),
(26625, 148023, 0),
(26626, 148024, 0),
(26627, 148025, 0),
(26628, 148026, 0),
(26629, 148027, 0),
(26630, 148032, 0),
(26631, 148033, 0),
(26633, 148126, 2),
(26634, 148134, 2),
(26635, 148145, 0),
(26636, 148146, 0),
(26637, 148218, 0),
(26638, 148219, 0),
(26639, 148222, 2),
(26640, 148223, 0),
(26641, 148325, 1),
(26643, 148343, 1),
(26644, 148346, 3),
(26645, 148347, 1),
(26646, 148348, 0.75),
(26647, 148356, 0),
(26648, 148357, 0),
(26649, 148358, 0),
(26650, 148359, 0),
(26651, 148360, 0),
(26652, 148361, 0),
(26653, 148362, 0),
(26654, 148363, 0.2),
(26655, 148364, 0),
(26656, 148365, 1),
(26657, 148366, 1),
(26658, 148367, 0.5),
(26663, 148372, 0.5),
(26666, 148375, 0.5),
(26664, 148373, 0.5),
(26665, 148374, 0.5),
(26667, 148376, 0.1),
(26668, 148377, 0.4),
(26669, 148378, 0.5),
(26670, 148379, 0.5),
(26671, 148380, 0.5),
(26672, 148381, 0.5),
(26673, 148382, 0.4),
(26674, 148383, 0.1),
(26675, 148389, 0.5),
(26676, 148390, 0.5),
(26677, 148393, 0.25),
(26691, 148410, 1),
(26693, 148412, 2),
(26694, 148413, 2),
(26696, 148417, 2),
(26699, 148422, 0),
(26700, 148423, 0),
(26701, 148424, 0),
(26702, 148425, 0),
(26703, 148426, 0),
(26704, 148431, 0),
(26705, 148432, 0),
(26706, 148433, 0),
(26707, 148434, 0),
(26708, 148435, 0),
(26709, 148436, 0),
(26710, 148437, 0),
(26711, 148438, 0),
(26712, 148439, 0),
(26713, 148440, 0),
(26714, 148441, 0),
(26715, 148442, 0),
(26716, 148443, 0),
(26717, 148444, 0),
(26718, 148445, 0),
(26719, 148446, 0),
(26720, 148447, 0),
(26722, 148449, 0),
(26723, 148452, 1),
(26724, 148470, 0),
(26728, 148483, 0),
(26729, 148484, 0),
(26730, 148485, 0),
(26731, 148489, 0),
(26732, 148490, 0),
(26733, 148491, 0),
(26734, 148492, 0),
(26735, 148493, 0),
(26736, 148494, 0),
(26737, 148495, 0),
(26738, 148496, 0),
(26739, 148497, 0),
(26740, 148498, 0),
(26741, 148499, 0),
(26742, 148500, 2),
(26743, 148501, 2),
(26791, 148607, 1),
(26745, 148506, 1),
(26746, 148510, 1),
(26747, 148515, 1),
(26748, 148524, 2),
(26749, 148525, 2),
(26750, 148526, 2),
(26752, 148528, 2),
(26753, 148529, 1),
(26754, 148531, 1),
(26755, 148533, 1),
(26756, 148534, 1),
(26757, 148535, 1),
(26758, 148536, 1),
(26759, 148537, 1),
(26760, 148538, 1),
(26761, 148539, 1),
(26762, 148540, 0),
(26763, 148541, 1),
(26764, 148544, 1),
(26765, 148545, 1),
(26766, 148570, 2),
(26767, 148571, 2),
(26769, 148573, 2),
(26770, 148574, 2),
(26771, 148581, 0.5),
(26772, 148582, 0.5),
(26773, 148583, 0.5),
(26774, 148584, 0.5),
(26775, 148585, 0.2),
(26776, 148586, 0.2),
(26777, 148587, 0.2),
(26778, 148588, 0.2),
(26779, 148589, 0.8),
(26780, 148590, 0.5),
(26781, 148591, 0.8),
(26782, 148592, 1),
(26783, 148593, 1),
(26784, 148594, 2),
(26785, 148595, 2),
(26786, 148596, 0),
(26787, 148599, 2),
(26789, 148601, 1),
(26790, 148602, 1),
(26792, 148608, 1),
(26793, 148634, 0),
(26794, 148635, 0),
(26795, 148636, 0),
(26796, 148637, 0),
(26797, 148638, 0),
(26798, 148639, 0),
(26799, 148640, 0),
(26800, 148641, 1),
(26801, 148652, 0),
(26802, 148653, 0),
(26803, 148654, 0),
(26804, 148655, 1),
(26805, 148656, 1),
(26806, 148657, 1),
(26807, 148658, 1),
(26808, 148673, 1),
(26809, 148674, 1),
(26810, 148675, 1),
(26811, 148676, 0),
(26812, 148682, 2),
(26813, 148683, 2),
(26955, 149055, 0.5),
(26816, 148704, 2),
(26817, 148709, 2),
(26829, 148723, 0),
(26956, 149056, 1),
(26820, 148712, 1),
(26821, 148713, 1),
(26822, 148714, 0),
(26823, 148715, 0),
(26824, 148716, 0),
(26825, 148717, 0),
(26826, 148718, 0),
(26827, 148720, 0),
(26828, 148721, 0),
(26830, 148724, 0),
(26831, 148725, 0),
(26833, 148727, 0),
(26834, 148728, 0),
(26848, 148748, 0),
(26836, 148730, 0),
(26837, 148732, 0),
(26839, 148735, 1),
(26840, 148737, 1),
(26841, 148738, 1),
(26999, 149387, 1),
(26843, 148741, 1),
(26844, 148742, 1),
(26845, 148743, 1),
(26846, 148744, 1),
(26847, 148745, 1),
(26850, 148750, 0),
(26851, 148752, 0),
(26860, 148829, 0),
(26854, 148777, 0),
(26855, 148799, 1),
(27102, 149599, 1),
(27149, 149678, 1),
(26858, 148822, 1),
(26859, 148823, 1),
(26861, 148852, 2),
(27008, 149396, 1),
(27150, 149685, 1),
(26864, 148902, 0),
(26865, 148915, 0.6),
(26866, 148919, 1),
(26867, 148920, 1),
(26869, 148924, 0),
(26870, 148925, 0),
(26871, 148926, 0),
(26872, 148927, 0),
(27145, 149667, 0),
(26877, 148932, 0),
(26875, 148930, 0),
(26878, 148933, 0),
(26879, 148934, 0),
(26880, 148935, 0),
(26881, 148936, 0),
(26882, 148937, 0),
(26883, 148938, 0),
(26884, 148939, 0),
(26885, 148940, 0),
(26886, 148941, 0),
(26887, 148942, 0),
(26888, 148943, 0),
(26889, 148944, 0),
(26890, 148945, 0),
(26971, 149159, 1),
(26892, 148947, 0),
(26893, 148948, 0),
(26894, 148949, 0),
(26895, 148950, 0),
(26896, 148951, 0),
(26897, 148952, 0),
(26899, 148956, 0),
(26900, 148957, 0),
(26901, 148958, 0),
(26902, 148959, 0),
(26903, 148960, 0),
(26904, 148961, 0),
(26905, 148962, 0),
(26906, 148963, 0),
(26907, 148964, 0),
(26908, 148965, 1),
(26909, 148966, 0),
(26910, 148967, 0),
(26911, 148968, 0),
(26912, 148969, 0),
(26913, 148970, 0.4),
(26914, 148971, 0.4),
(26915, 148972, 1),
(26917, 148976, 0.2),
(26918, 148977, 0.4),
(26919, 148978, 0.2),
(26920, 148995, 1),
(26921, 148996, 1),
(26922, 148997, 1),
(26923, 148998, 1),
(26924, 149001, 0.2),
(27061, 149555, 1),
(26926, 149005, 0),
(27101, 149598, 1),
(27100, 149597, 0.5),
(26929, 149012, 1),
(26930, 149014, 0),
(26931, 149015, 0),
(27084, 149581, 1),
(27003, 149391, 1),
(27012, 149400, 1),
(27004, 149392, 1),
(27005, 149393, 1),
(27011, 149399, 1),
(26939, 149026, 0),
(26940, 149027, 0),
(26941, 149029, 1),
(26942, 149030, 0.4),
(27151, 149686, 1),
(27152, 149687, 1),
(26945, 149035, 0),
(26946, 149036, 0),
(26947, 149037, 0),
(26948, 149040, 0),
(26949, 149041, 0),
(26950, 149042, 0),
(26951, 149043, 0),
(26953, 149053, 1),
(26954, 149054, 0),
(26957, 149057, 1),
(26960, 149088, 0.4),
(26961, 149119, 0),
(26962, 149120, 0),
(26963, 149121, 0),
(26964, 149138, 0),
(26965, 149139, 0),
(26966, 149141, 1),
(26967, 149142, 1),
(26968, 149143, 1),
(26969, 149153, 0),
(26970, 149154, 0),
(26972, 149160, 2),
(26973, 149170, 0.8),
(26974, 149182, 0.6),
(26975, 149183, 0.6),
(26976, 149202, 0.4),
(26977, 149203, 0),
(26978, 149211, 0),
(26979, 149212, 0),
(26980, 149213, 0),
(26981, 149214, 0),
(26982, 149215, 0),
(26983, 149216, 0),
(26984, 149217, 0),
(26985, 149218, 0),
(26986, 149224, 0),
(26987, 149225, 0),
(26988, 149226, 0),
(26989, 149230, 5),
(26990, 149243, 0),
(26991, 149340, 1),
(26992, 149341, 1),
(26994, 149349, 1),
(26995, 149350, 1),
(26996, 149351, 1),
(26997, 149352, 1),
(26998, 149353, 1),
(27000, 149388, 1),
(27001, 149389, 1),
(27002, 149390, 1),
(27006, 149394, 1),
(27009, 149397, 1),
(27013, 149403, 0),
(27014, 149404, 0),
(27015, 149405, 0),
(27016, 149406, 0),
(27017, 149412, 0),
(27018, 149413, 0),
(27019, 149414, 0),
(27020, 149415, 0),
(27021, 149416, 0),
(27148, 149670, 0),
(27147, 149669, 0),
(27024, 149419, 0),
(27146, 149668, 0),
(27026, 149423, 0),
(27027, 149464, 0.7),
(27028, 149467, 0.5),
(27029, 149468, 0.6),
(27030, 149473, 0.5),
(27031, 149476, 0.5),
(27032, 149477, 0.5),
(27033, 149481, 0.2),
(27034, 149482, 0.2),
(27035, 149483, 0.2),
(27036, 149486, 0.2),
(27037, 149490, 0.1),
(27038, 149495, 0.5),
(27039, 149501, 1),
(27040, 149502, 12),
(27041, 149513, 0.2),
(27042, 149514, 1),
(27043, 149515, 1),
(27044, 149517, 0.2),
(27046, 149518, 0.5),
(27047, 149519, 1),
(27048, 149520, 1),
(27049, 149521, 1),
(27050, 149522, 0.2),
(27051, 149523, 0.2),
(27052, 149524, 0.5),
(27053, 149525, 0.3),
(27054, 149526, 1),
(27055, 149527, 0.2),
(27056, 149528, 0),
(27057, 149529, 0),
(27062, 149556, 1),
(27063, 149557, 1),
(27064, 149558, 1),
(27065, 149559, 1),
(27066, 149560, 1),
(27067, 149561, 1),
(27068, 149562, 1),
(27069, 149563, 1),
(27070, 149564, 1),
(27071, 149565, 1),
(27072, 149566, 1),
(27073, 149567, 1),
(27074, 149568, 1),
(27075, 149569, 1),
(27076, 149570, 1),
(27077, 149571, 1),
(27078, 149572, 1),
(27079, 149573, 1),
(27080, 149577, 1),
(27263, 150069, 1),
(27082, 149579, 1),
(27083, 149580, 0.5),
(27085, 149582, 1),
(27099, 149596, 1),
(27087, 149584, 1),
(27088, 149585, 1),
(27089, 149586, 1),
(27091, 149588, 1),
(27092, 149589, 1),
(27093, 149590, 1),
(27094, 149591, 1),
(27095, 149592, 1),
(27096, 149593, 1),
(27097, 149594, 1),
(27103, 149601, 1),
(27104, 149602, 1),
(27105, 149603, 1),
(27106, 149604, 1),
(27107, 149605, 0.5),
(27108, 149606, 1),
(27109, 149607, 1),
(27110, 149608, 0.5),
(27111, 149609, 0.5),
(27112, 149610, 1),
(27113, 149614, 1),
(27114, 149615, 1),
(27115, 149616, 1),
(27116, 149617, 1),
(27117, 149618, 1),
(27188, 149968, 0.7),
(27119, 149620, 1),
(27120, 149621, 1),
(27121, 149622, 0.5),
(27531, 151577, 0),
(27123, 149624, 1),
(27124, 149625, 1),
(27125, 149626, 1),
(27126, 149627, 1),
(27127, 149628, 1),
(27128, 149629, 1),
(27129, 149630, 1),
(27130, 149631, 1),
(27131, 149632, 1),
(27132, 149633, 1),
(27134, 149635, 1),
(27135, 149636, 1),
(27136, 149637, 1),
(27137, 149638, 1),
(27138, 149639, 1),
(27139, 149640, 1),
(27140, 149641, 1),
(27141, 149642, 1),
(27142, 149643, 1),
(27143, 149644, 1),
(27144, 149645, 1),
(27153, 149688, 1),
(27154, 149689, 2),
(27155, 149690, 6),
(27156, 149691, 0.5),
(27157, 149730, 0),
(27158, 149731, 0),
(27159, 149733, 0),
(27160, 149753, 0),
(27161, 149754, 0),
(27162, 149755, 0),
(27163, 149756, 0),
(27164, 149757, 0),
(27165, 149758, 0),
(27166, 149759, 0),
(27173, 149912, 0),
(27168, 149902, 0),
(27170, 149904, 0),
(27171, 149907, 0),
(27172, 149908, 0),
(27174, 149913, 0),
(27175, 149914, 0),
(27176, 149915, 0),
(27177, 149916, 0),
(27178, 149917, 0),
(27179, 149927, 1),
(27180, 149928, 1),
(27181, 149929, 0.5),
(27182, 149932, 0),
(27183, 149936, 2),
(27184, 149937, 0.5),
(27185, 149938, 2),
(27186, 149944, 4),
(27187, 149967, 1),
(27189, 149969, 0.2),
(27190, 149970, 0.5),
(27192, 149972, 0.3),
(27193, 149973, 0.4),
(27194, 149974, 1),
(27195, 149975, 0.4),
(27196, 149976, 0.1),
(27197, 149978, 2),
(27198, 149986, 0.2),
(27199, 149987, 0.2),
(27200, 149993, 0.5),
(27201, 149997, 0.5),
(27264, 150072, 1),
(27265, 150073, 1),
(27266, 150074, 1),
(27267, 150075, 1),
(27268, 150076, 1),
(27269, 150077, 1),
(27270, 150078, 1),
(27272, 150080, 1),
(27276, 150088, 1),
(27211, 150012, 0.5),
(27213, 150014, 0.5),
(27214, 150015, 1),
(27215, 150016, 1),
(27216, 150017, 1),
(27217, 150018, 1),
(27218, 150019, 1),
(27219, 150020, 1),
(27220, 150021, 1),
(27221, 150022, 1),
(27222, 150023, 1),
(27223, 150024, 1),
(27224, 150025, 1),
(27225, 150026, 1),
(27226, 150027, 1),
(27227, 150028, 1),
(27228, 150029, 1),
(27229, 150030, 1),
(27230, 150031, 1),
(27231, 150032, 0),
(27232, 150033, 1),
(27233, 150034, 1),
(27234, 150035, 1),
(27235, 150036, 1),
(27236, 150039, 1),
(27237, 150040, 1),
(27238, 150041, 1),
(27239, 150042, 1),
(27240, 150043, 1),
(27241, 150044, 1),
(27242, 150045, 1),
(27243, 150046, 1),
(27244, 150047, 1),
(27245, 150048, 1),
(27246, 150049, 1),
(27247, 150050, 1),
(27248, 150051, 1),
(27249, 150052, 1),
(27250, 150053, 1),
(27251, 150054, 1),
(27252, 150055, 1),
(27253, 150056, 1),
(27254, 150057, 1),
(27255, 150058, 1),
(27256, 150059, 1),
(27257, 150060, 1),
(27258, 150061, 1),
(27259, 150062, 1),
(27260, 150063, 1),
(27261, 150064, 1),
(27262, 150065, 1),
(27271, 150079, 1),
(27273, 150081, 1),
(27274, 150082, 1),
(27275, 150083, 1),
(27277, 150089, 1),
(27278, 150090, 1),
(27279, 150091, 1),
(27280, 150092, 1),
(27281, 150093, 1),
(27294, 150106, 0),
(27283, 150095, 1),
(27284, 150096, 1),
(27285, 150097, 1),
(27286, 150098, 1),
(27287, 150099, 0.5),
(27288, 150100, 1),
(27289, 150101, 0),
(27290, 150102, 0),
(27291, 150103, 0),
(27292, 150104, 0),
(27293, 150105, 0),
(27295, 150107, 0),
(27296, 150108, 0),
(27297, 150109, 0),
(27298, 150110, 0),
(27299, 150111, 0),
(27300, 150112, 1),
(27301, 150113, 1),
(27302, 150114, 1),
(27303, 150115, 1),
(27304, 150116, 1),
(27305, 150120, 2),
(27306, 150138, 1),
(27307, 150146, 1),
(27308, 150147, 1),
(27310, 150149, 1),
(27311, 150152, 1),
(27312, 150153, 1),
(27313, 150154, 1),
(27314, 150155, 1),
(27316, 150157, 1),
(27317, 150158, 1),
(27318, 150159, 1),
(27319, 150160, 1),
(27320, 150161, 1),
(27321, 150162, 1),
(27322, 150163, 1),
(27323, 150174, 1),
(27324, 150175, 1),
(27325, 150176, 1),
(27326, 150181, 1),
(27327, 150182, 1),
(27328, 150183, 0),
(27331, 150186, 0),
(27330, 150185, 0),
(27332, 150187, 1),
(27333, 150188, 1),
(27334, 150189, 1),
(27335, 150190, 1),
(27336, 150191, 1),
(27337, 150192, 1),
(27338, 150193, 1),
(27339, 150194, 0),
(27340, 150199, 0.4),
(27341, 150201, 0.2),
(27342, 150204, 0),
(27343, 150205, 0),
(27344, 150206, 0),
(27345, 150208, 0),
(27346, 150209, 0),
(27347, 150210, 0),
(27348, 150211, 0.3),
(27349, 150216, 0.5),
(27350, 150217, 0.3),
(27351, 150218, 0.3),
(27352, 150219, 0),
(27353, 150220, 0.5),
(27354, 150221, 0),
(27355, 150222, 0.5),
(27356, 150223, 0),
(27491, 151463, 0.3),
(27358, 150250, 1),
(27359, 150268, 1),
(27360, 150285, 0),
(27361, 150287, 0),
(27362, 150288, 0),
(27363, 150294, 0),
(27364, 150295, 0),
(27365, 150296, 0),
(27419, 150414, 0),
(27367, 150303, 0),
(27368, 150306, 1),
(27369, 150310, 0.2),
(27370, 150311, 0.75),
(27371, 150312, 0.3),
(27372, 150318, 0.4),
(27373, 150319, 0.2),
(27374, 150320, 1),
(27375, 150321, 0),
(27376, 150324, 0.1),
(27377, 150325, 1),
(27378, 150326, 1),
(27379, 150327, 0.2),
(27380, 150328, 1),
(27381, 150329, 1),
(27382, 150330, 0.2),
(27383, 150331, 0.5),
(27384, 150332, 1),
(27385, 150333, 1),
(27386, 150334, 0.05),
(27387, 150335, 0.2),
(27388, 150336, 1),
(27389, 150337, 1),
(27390, 150347, 1),
(29102, 156910, 1),
(27392, 150349, 1),
(27393, 150350, 1),
(27394, 150352, 0),
(27395, 150353, 0),
(27396, 150354, 0),
(27397, 150355, 0),
(27398, 150356, 0),
(27399, 150358, 0),
(27400, 150359, 0),
(27401, 150363, 0),
(27402, 150365, 0),
(27403, 150366, 0),
(27404, 150368, 0),
(27405, 150369, 0),
(27406, 150370, 0),
(27407, 150371, 0),
(27408, 150372, 0),
(27409, 150373, 0),
(27410, 150374, 0),
(27411, 150375, 0),
(27412, 150376, 0),
(27413, 150377, 0),
(27414, 150404, 0),
(27415, 150405, 0),
(27416, 150406, 0),
(27417, 150407, 0),
(27418, 150408, 0),
(27420, 150452, 1),
(27421, 150531, 1),
(27422, 150534, 0.6),
(27423, 150538, 0.2),
(27424, 150559, 0.5),
(27425, 150560, 1),
(27426, 150561, 1),
(27427, 150562, 0.1),
(27428, 150563, 0),
(27429, 150564, 0.4),
(27430, 150565, 0),
(27431, 150568, 0.4),
(27432, 150593, 0),
(27433, 150595, 1),
(27434, 150596, 1),
(27435, 150599, 1),
(27436, 150602, 1),
(27437, 150604, 1),
(27438, 150608, 1),
(27439, 150612, 0.5),
(27441, 150616, 1),
(27442, 150617, 1),
(27443, 150618, 1),
(27444, 150619, 1),
(27445, 150620, 1),
(27446, 150641, 2),
(27447, 150653, 0.7),
(27448, 150659, 1),
(27449, 150660, 0),
(27450, 150661, 0),
(27451, 150662, 1),
(27452, 150785, 0.1),
(27453, 150794, 1),
(27454, 150796, 0.5),
(27455, 150800, 0),
(27456, 150801, 0),
(27457, 150811, 0.2),
(27458, 150830, 0),
(27459, 150892, 1),
(27460, 150898, 0),
(27461, 150899, 0),
(27462, 150900, 0),
(27463, 150910, 0.5),
(27464, 150918, 1),
(27465, 150919, 1),
(27466, 150920, 1),
(27467, 150921, 1),
(27468, 150923, 1),
(27469, 150933, 1),
(27470, 150934, 1),
(27471, 150935, 1),
(27472, 150936, 1),
(27473, 150937, 0),
(27474, 150938, 1),
(27475, 150940, 1),
(27476, 150947, 2),
(27477, 150948, 0.2),
(27478, 150953, 0),
(27479, 150954, 0),
(27480, 151445, 0.05),
(27481, 151453, 0.25),
(27482, 151454, 0),
(27483, 151455, 0),
(27484, 151456, 0),
(27485, 151457, 0),
(27486, 151458, 1),
(27487, 151459, 1),
(27488, 151460, 0),
(27489, 151461, 0),
(27490, 151462, 0.1),
(27492, 151464, 0),
(27493, 151465, 0),
(27494, 151466, 0),
(27495, 151467, 0.3),
(27496, 151468, 0.3),
(27497, 151469, 0.3),
(27498, 151483, 0),
(27499, 151484, 0),
(27500, 151485, 0),
(27501, 151486, 0),
(27502, 151487, 0),
(27503, 151488, 0),
(27504, 151489, 0),
(27505, 151490, 0),
(27506, 151491, 0),
(27507, 151492, 0),
(27508, 151493, 0),
(27509, 151501, 1),
(27510, 151502, 1),
(27511, 151505, 1),
(27512, 151506, 1),
(27513, 151508, 1),
(27514, 151509, 1),
(27515, 151510, 1),
(27516, 151511, 0),
(27517, 151512, 0.5),
(27518, 151536, 1),
(27519, 151537, 1),
(27520, 151538, 1),
(27521, 151554, 0.5),
(27522, 151555, 0.5),
(27523, 151556, 0.5),
(27524, 151557, 0.5),
(27525, 151558, 0.5),
(27919, 153003, 1),
(27527, 151560, 0.5),
(27528, 151561, 0.5),
(27529, 151562, 0.5),
(27530, 151563, 0.5),
(27532, 151578, 0),
(27533, 151580, 0),
(27534, 151581, 0),
(27536, 151588, 0),
(27537, 151589, 0),
(27538, 151590, 0),
(27539, 151591, 0),
(27540, 151593, 0),
(27541, 151594, 0),
(27542, 151605, 1),
(27543, 151606, 1),
(27544, 151607, 1),
(27545, 151609, 1),
(27546, 151610, 1),
(27547, 151611, 1),
(27548, 151613, 1),
(27549, 151614, 2),
(27550, 151615, 1),
(27551, 151616, 1),
(27552, 151617, 1),
(27553, 151618, 1),
(27554, 151619, 1),
(27555, 151622, 1),
(27556, 151623, 1),
(27557, 151624, 1),
(27558, 151625, 1),
(27559, 151626, 1),
(27560, 151628, 2),
(27561, 151629, 1),
(27562, 151630, 1),
(27563, 151631, 1),
(27564, 151632, 1),
(27565, 151633, 1),
(27566, 151634, 2),
(27567, 151637, 2),
(27568, 151638, 1),
(27569, 151639, 1),
(27570, 151640, 1),
(27571, 151641, 1),
(27572, 151642, 1),
(27573, 151643, 2),
(27574, 151644, 2),
(27575, 151645, 2),
(27576, 151646, 1),
(27577, 151647, 2),
(27578, 151648, 1),
(27579, 151649, 2),
(27580, 151650, 2),
(27581, 151668, 0),
(27582, 151669, 0),
(27583, 151670, 1),
(27584, 151671, 1),
(27585, 151672, 1),
(27586, 151673, 1),
(27587, 151674, 1),
(27588, 151676, 1),
(27589, 151677, 1),
(27590, 151680, 1),
(27591, 151687, 2),
(27592, 151688, 2),
(27593, 151689, 1),
(27594, 151690, 1),
(27595, 151693, 2),
(27596, 151694, 1),
(27597, 151695, 2),
(27598, 151699, 1),
(27599, 151700, 1),
(27600, 151708, 1),
(27601, 151710, 1),
(27602, 151717, 1),
(27603, 151718, 1),
(27604, 151723, 1),
(27605, 151726, 0),
(27606, 151738, 0.2),
(27607, 151739, 0.5),
(27608, 151740, 1),
(27609, 151741, 0.3),
(27610, 151742, 0.2),
(27611, 151743, 0.2),
(27612, 151744, 0.2),
(27613, 151745, 0.2),
(27614, 151746, 0.5),
(27615, 151747, 1),
(27616, 151748, 0.5),
(27617, 151749, 0.5),
(27618, 151750, 0.5),
(27619, 151751, 2),
(27620, 151752, 1),
(27621, 151754, 0),
(27622, 151755, 0),
(27623, 151757, 0),
(27624, 151758, 1),
(27625, 151759, 1),
(27626, 151760, 0.2),
(27627, 151779, 0.1),
(27628, 151782, 0.7),
(27629, 151785, 0),
(27630, 151786, 0),
(27631, 151787, 0),
(27632, 151788, 0),
(27633, 151789, 0),
(27634, 151790, 0),
(27635, 151791, 0),
(27636, 151792, 1),
(27637, 151793, 1),
(27638, 151794, 1),
(27639, 151795, 1),
(27640, 151796, 1),
(27641, 151800, 0),
(27642, 151801, 0),
(27643, 151802, 0),
(27644, 151804, 0),
(27645, 151805, 0),
(27646, 151806, 0),
(27647, 151808, 0),
(27648, 151809, 0),
(27649, 151810, 0),
(27650, 151811, 4),
(27651, 151812, 0.6),
(27652, 151813, 1),
(27653, 151814, 1),
(27654, 151815, 0.3),
(27655, 151816, 0.4),
(28050, 153221, 1),
(28051, 153222, 1),
(27658, 151880, 1),
(27659, 151883, 0),
(27660, 151884, 1),
(27661, 151885, 1),
(27662, 151886, 1),
(27663, 151887, 1),
(27664, 151888, 1),
(27665, 151889, 0.5),
(27666, 151890, 0.5),
(27667, 151891, 1),
(27668, 151892, 1),
(27671, 151896, 1),
(27670, 151894, 1),
(27672, 151899, 1),
(27673, 151900, 1),
(27674, 151901, 0.2),
(27675, 151905, 2),
(27676, 151909, 0),
(27677, 151910, 0),
(27678, 151911, 0),
(27680, 151923, 0),
(27681, 151924, 0),
(27682, 151925, 0),
(27683, 151927, 0),
(27684, 151928, 0),
(27685, 151929, 0),
(27695, 151950, 1),
(27694, 151949, 1),
(27693, 151948, 1),
(27696, 151951, 1),
(27692, 151947, 1),
(27691, 151935, 1),
(27697, 151952, 1),
(27698, 151953, 0.5),
(27699, 151971, 0.5),
(27700, 151973, 1),
(27701, 151982, 0),
(27702, 151983, 1),
(27703, 151989, 1),
(27704, 151990, 1),
(27705, 151994, 0),
(27706, 151995, 0),
(27707, 151996, 0),
(27708, 151997, 0),
(27709, 151998, 0),
(27710, 152000, 0),
(27711, 152001, 0.6),
(27712, 152002, 0),
(27713, 152009, 0.2),
(27714, 152010, 1.5),
(27715, 152011, 0.3),
(27716, 152012, 0.05),
(27717, 152013, 0.1),
(27718, 152014, 0.3),
(27719, 152015, 1),
(27720, 152016, 0.4),
(27721, 152017, 0.3),
(27722, 152018, 1.4),
(27723, 152019, 0.1),
(27724, 152020, 0.2),
(27725, 152022, 0.5),
(27726, 152023, 0.05),
(27727, 152024, 0.05),
(27728, 152025, 0.4),
(27729, 152026, 0.05),
(27730, 152031, 1),
(27731, 152042, 1),
(27732, 152043, 0.2),
(27736, 152069, 1),
(27734, 152045, 0),
(27735, 152046, 0),
(27737, 152085, 0),
(27738, 152089, 0),
(27739, 152091, 0),
(27740, 152092, 0),
(27741, 152107, 0),
(27742, 152108, 0),
(27743, 152109, 0),
(27744, 152110, 0),
(27745, 152119, 0),
(27746, 152120, 0),
(27747, 152140, 0),
(27748, 152141, 0),
(27749, 152142, 0),
(27750, 152143, 1),
(27751, 152149, 1),
(27752, 152151, 1),
(27753, 152162, 1),
(27754, 152163, 1),
(27755, 152164, 1),
(27757, 152178, 1),
(27758, 152179, 2),
(27759, 152180, 1),
(27760, 152183, 1),
(27761, 152184, 1),
(27762, 152185, 1),
(27763, 152186, 1),
(27764, 152207, 0),
(27765, 152223, 1),
(27766, 152224, 0.2),
(27767, 152225, 1),
(27768, 152404, 0.3),
(27769, 152430, 1),
(27770, 152431, 0.4),
(27771, 152432, 5),
(27772, 152433, 0.4),
(27773, 152499, 0.75),
(27774, 152520, 1),
(27775, 152540, 1),
(27776, 152541, 0.25),
(28444, 154450, 0),
(27778, 152549, 0),
(27779, 152551, 1),
(27780, 152552, 1),
(27781, 152558, 0.2),
(27782, 152559, 0.5),
(27783, 152560, 0.5),
(27784, 152564, 1),
(27785, 152565, 1),
(27786, 152566, 0),
(27787, 152567, 0),
(27788, 152571, 1),
(27789, 152574, 1),
(27790, 152575, 0),
(27791, 152576, 0),
(27793, 152578, 0),
(27794, 152579, 0),
(27795, 152580, 0),
(27796, 152581, 0),
(27797, 152582, 0),
(27798, 152590, 0.3),
(27799, 152591, 0),
(27800, 152595, 0),
(27801, 152596, 0),
(27802, 152600, 0),
(27803, 152601, 0.3),
(27804, 152602, 0.5),
(27805, 152603, 0.3),
(27806, 152604, 0.2),
(27807, 152605, 0.4),
(27808, 152606, 0.4),
(27809, 152607, 0.2),
(27810, 152619, 1),
(27811, 152620, 1),
(27812, 152624, 0),
(27813, 152625, 0),
(27814, 152626, 0),
(27815, 152627, 0),
(27816, 152628, 0),
(27817, 152629, 0),
(27818, 152630, 0),
(27819, 152631, 0),
(27820, 152632, 0),
(27821, 152633, 0),
(27822, 152634, 0),
(27823, 152635, 0),
(27824, 152636, 0),
(27825, 152637, 1),
(27826, 152641, 0),
(27827, 152671, 1),
(27828, 152672, 1),
(27829, 152673, 0.5),
(27830, 152675, 0.5),
(27831, 152676, 0.5),
(27832, 152678, 1),
(27833, 152680, 0),
(27834, 152681, 0),
(27835, 152682, 0),
(27836, 152686, 0.8),
(27837, 152687, 1),
(27838, 152688, 2),
(27839, 152692, 0.4),
(27840, 152694, 1.2),
(27841, 152749, 1),
(27842, 152750, 0.5),
(27843, 152751, 0),
(27857, 152773, 0),
(27856, 152772, 0),
(27855, 152765, 0),
(27854, 152764, 0),
(27853, 152761, 0),
(27850, 152758, 0),
(27860, 152778, 0),
(27852, 152760, 0),
(27858, 152776, 0),
(27859, 152777, 0),
(27861, 152779, 0),
(27862, 152780, 0),
(27863, 152784, 0),
(27864, 152785, 0),
(27865, 152786, 2),
(27866, 152789, 0),
(27867, 152791, 1),
(27868, 152792, 1),
(27869, 152793, 0),
(27870, 152794, 0),
(27871, 152795, 0),
(27872, 152796, 0),
(27873, 152797, 0),
(27874, 152798, 0),
(27875, 152799, 0),
(27876, 152800, 0),
(27877, 152801, 0),
(27878, 152802, 0),
(27879, 152803, 0),
(27880, 152804, 0),
(27881, 152805, 0),
(27882, 152806, 0),
(27883, 152807, 0),
(27884, 152808, 0),
(27885, 152815, 1),
(27886, 152822, 0),
(27887, 152823, 0),
(27888, 152824, 0),
(27889, 152825, 0),
(27890, 152826, 0),
(27891, 152827, 0),
(27892, 152834, 1),
(27893, 152835, 0),
(27894, 152836, 1),
(27895, 152837, 0),
(27896, 152840, 0),
(27897, 152842, 0),
(27898, 152843, 0),
(27899, 152844, 0),
(27900, 152845, 0),
(27901, 152846, 0),
(27902, 152847, 0),
(27903, 152850, 0),
(27904, 152851, 0),
(28558, 155057, 0),
(27906, 152881, 1),
(27907, 152911, 0.5),
(27908, 152916, 1),
(27909, 152925, 1),
(27910, 152958, 0),
(27911, 152959, 0),
(27912, 152978, 0.4),
(27913, 152979, 1),
(27914, 152980, 1),
(27915, 152981, 1),
(27916, 152982, 1),
(27917, 152984, 1),
(27918, 152989, 1),
(27920, 153004, 1),
(27921, 153009, 0),
(27922, 153010, 0),
(27923, 153013, 0.1),
(27924, 153015, 0.2),
(27925, 153016, 0.2),
(27926, 153017, 1),
(27927, 153018, 0.25),
(27928, 153019, 0),
(27929, 153026, 1),
(27930, 153028, 1),
(27931, 153030, 1),
(27932, 153031, 1),
(27933, 153032, 1),
(27934, 153033, 1),
(27935, 153034, 1),
(27936, 153035, 1),
(27937, 153036, 0.5),
(27938, 153037, 1),
(27939, 153038, 1),
(27940, 153039, 1),
(27941, 153042, 1),
(27942, 153044, 1),
(27943, 153045, 1),
(27944, 153049, 1),
(27945, 153050, 1),
(27946, 153051, 2),
(27947, 153052, 2),
(27948, 153053, 2),
(27949, 153054, 2),
(27950, 153059, 1),
(27951, 153060, 1),
(27952, 153062, 1),
(27953, 153063, 1),
(27954, 153065, 1),
(27955, 153066, 1),
(27956, 153068, 0),
(27957, 153069, 0),
(27958, 153070, 0),
(27959, 153071, 0),
(27960, 153072, 0),
(27961, 153073, 0),
(27962, 153074, 0),
(27963, 153075, 0),
(27964, 153076, 0),
(27965, 153088, 1),
(27966, 153089, 0.5),
(27967, 153090, 0.5),
(27968, 153091, 1),
(27969, 153092, 6),
(27970, 153093, 1),
(27971, 153094, 1),
(27972, 153095, 1),
(27973, 153096, 1),
(27974, 153097, 1),
(27975, 153099, 1),
(27976, 153100, 1),
(27977, 153101, 1),
(27978, 153102, 1),
(27979, 153103, 1),
(27980, 153104, 0.6),
(27981, 153106, 1),
(27982, 153107, 1),
(27983, 153108, 1),
(27984, 153112, 1),
(27985, 153113, 1),
(27986, 153114, 1),
(27987, 153115, 1),
(27988, 153116, 1),
(27989, 153118, 1),
(27990, 153119, 1),
(27991, 153121, 1),
(27992, 153122, 1),
(27993, 153123, 1),
(27994, 153124, 1),
(27995, 153125, 1),
(27996, 153127, 1),
(27997, 153128, 1),
(27998, 153130, 1),
(27999, 153131, 1),
(28000, 153132, 1),
(28001, 153133, 1),
(28002, 153134, 1),
(28003, 153135, 1),
(28004, 153136, 1),
(28005, 153137, 1),
(28006, 153146, 2),
(28007, 153147, 2),
(28008, 153151, 0.5),
(28009, 153168, 0),
(28010, 153172, 1),
(28014, 153179, 0.6),
(28012, 153174, 0),
(28013, 153175, 1),
(28015, 153180, 1),
(28016, 153181, 1),
(28017, 153182, 1),
(28018, 153183, 1),
(28019, 153184, 0),
(28020, 153187, 1),
(28021, 153188, 1),
(28022, 153189, 1),
(28023, 153190, 1),
(28024, 153191, 1),
(28025, 153193, 1),
(28026, 153194, 1),
(28027, 153196, 1),
(28028, 153198, 1),
(28029, 153200, 0.5),
(28030, 153201, 1),
(28031, 153202, 1),
(28032, 153203, 1),
(28033, 153204, 1),
(28034, 153205, 1),
(28035, 153206, 1),
(28036, 153207, 1),
(28037, 153208, 1),
(28038, 153209, 1),
(28039, 153210, 1),
(28040, 153211, 1),
(28041, 153212, 1),
(28042, 153213, 1),
(28043, 153214, 1),
(28044, 153215, 1),
(28045, 153216, 1),
(28046, 153217, 1),
(28047, 153218, 1),
(28054, 153227, 1),
(28049, 153220, 0.5),
(28052, 153223, 1),
(28053, 153224, 1),
(28055, 153228, 1),
(28056, 153230, 1),
(28057, 153231, 1),
(28058, 153234, 1),
(28059, 153235, 1),
(28060, 153266, 1),
(28061, 153267, 1),
(28062, 153268, 1),
(28063, 153269, 1),
(28064, 153270, 1),
(28065, 153271, 1),
(28066, 153272, 1),
(28067, 153273, 1),
(28068, 153274, 1),
(28069, 153275, 1),
(28070, 153287, 0),
(28071, 153288, 0),
(28072, 153289, 0),
(28073, 153290, 0),
(28074, 153291, 0),
(28075, 153292, 1),
(28076, 153342, 0.6),
(28077, 153346, 1),
(28078, 153350, 0.2),
(28079, 153351, 0.2),
(28080, 153352, 0.2),
(28081, 153353, 0.2),
(28082, 153354, 0.1),
(28083, 153355, 0.2),
(28084, 153356, 0.5),
(28085, 153357, 0.5),
(28086, 153358, 0.5),
(28087, 153359, 0.5),
(28088, 153360, 0.5),
(28089, 153361, 0.4),
(28090, 153363, 0.1),
(28091, 153367, 0.2),
(28092, 153368, 0),
(28093, 153370, 0.5),
(28094, 153372, 0.4),
(28095, 153373, 0.4),
(28096, 153374, 0.5),
(28097, 153376, 0.6),
(28098, 153380, 0.8),
(28099, 153385, 0.2),
(28100, 153387, 0.1),
(28101, 153399, 1.2),
(28102, 153401, 0.2),
(28104, 153421, 0.2),
(28105, 153424, 0.5),
(28106, 153425, 0.5),
(28107, 153437, 0.6),
(28108, 153438, 1),
(28109, 153439, 1),
(28110, 153440, 0.2),
(28111, 153441, 1),
(28112, 153442, 0.7),
(28113, 153443, 0.3),
(28114, 153484, 1),
(28115, 153502, 0.5),
(28116, 153525, 1),
(28117, 153527, 1),
(28118, 153528, 1),
(28119, 153529, 1),
(28120, 153530, 1),
(28121, 153531, 1),
(28122, 153541, 0.4),
(28123, 153543, 0.6),
(28124, 153546, 2),
(28125, 153547, 2),
(28126, 153551, 0),
(28127, 153552, 0),
(28128, 153553, 0),
(28129, 153554, 0),
(28130, 153555, 0),
(28131, 153565, 0.5),
(28132, 153566, 0.5),
(28133, 153567, 1),
(28134, 153568, 0.5),
(28135, 153570, 1),
(28136, 153571, 1),
(28137, 153572, 1),
(28138, 153573, 0),
(28139, 153574, 1),
(28140, 153577, 2),
(28141, 153579, 0),
(28142, 153580, 0);
INSERT INTO `codev_uo_table` (`id`, `timetrackid`, `value`) VALUES
(28143, 153581, 0),
(28144, 153582, 0),
(28145, 153583, 0),
(28146, 153584, 0),
(28147, 153585, 0),
(28148, 153586, 0),
(28149, 153587, 1),
(28150, 153588, 1),
(28151, 153589, 1),
(28152, 153603, 1),
(28153, 153604, 1),
(28154, 153605, 1),
(28155, 153606, 0),
(28156, 153607, 1),
(28157, 153608, 1),
(28158, 153609, 1),
(28159, 153610, 1),
(28160, 153611, 1),
(28161, 153612, 1),
(28162, 153625, 1),
(28163, 153626, 0.25),
(28164, 153628, 0.75),
(28165, 153632, 1),
(28166, 153633, 2),
(28167, 153638, 0),
(28168, 153643, 0),
(28169, 153644, 1),
(28170, 153645, 0),
(28171, 153647, 1),
(28172, 153682, 0.6),
(28173, 153683, 1),
(28174, 153684, 1),
(28175, 153706, 0),
(28176, 153707, 1),
(28177, 153751, 0.2),
(28178, 153766, 1),
(28179, 153767, 1),
(28180, 153768, 1),
(28181, 153774, 2),
(28182, 153777, 0),
(28183, 153779, 0),
(28184, 153781, 0),
(28185, 153782, 0),
(28186, 153783, 0),
(28187, 153784, 0),
(28188, 153785, 0),
(28189, 153786, 0),
(28190, 153787, 0),
(28191, 153788, 0),
(28192, 153789, 0),
(28193, 153792, 0),
(28194, 153793, 0),
(28195, 153794, 0),
(28196, 153795, 0),
(28197, 153796, 0),
(28198, 153797, 0),
(28199, 153798, 0),
(28200, 153799, 0),
(28201, 153800, 0),
(28202, 153801, 0),
(28203, 153810, 0.3),
(28204, 153811, 0.6),
(28205, 153815, 1),
(28208, 153841, 0.5),
(28207, 153833, 0),
(28209, 153842, 0),
(28210, 153843, 1),
(28211, 153847, 0),
(28212, 153848, 1),
(28213, 153852, 0),
(28214, 153854, 0),
(28215, 153855, 0),
(28216, 153856, 0),
(28217, 153857, 0),
(28218, 153858, 0),
(28219, 153859, 0),
(28220, 153862, 1),
(28221, 153863, 1),
(28222, 153867, 1),
(28223, 153874, 1),
(28224, 153876, 1),
(28225, 153877, 1),
(28226, 153878, 1),
(28227, 153879, 1),
(28228, 153890, 1),
(28229, 153891, 0.6),
(28230, 153892, 0.3),
(28231, 153894, 0.1),
(28232, 153898, 0.5),
(28233, 153899, 0.1),
(28234, 153900, 0.2),
(28235, 153901, 1),
(28236, 153902, 1),
(28237, 153903, 1),
(28238, 153904, 0.2),
(28239, 153905, 1),
(28240, 153906, 1),
(28241, 153910, 0),
(28242, 153911, 0),
(28243, 153912, 0),
(28244, 153913, 0),
(28245, 153914, 0),
(28246, 153916, 0),
(28247, 153917, 0),
(28248, 153926, 1),
(28249, 153930, 1),
(28250, 153933, 1),
(28251, 153934, 1),
(28252, 153935, 0),
(28253, 153936, 0),
(28254, 153937, 0),
(28255, 153939, 0),
(28256, 153940, 0),
(28257, 153941, 0),
(28258, 153942, 0),
(28259, 153943, 0),
(28260, 153946, 1),
(28261, 153947, 1),
(28262, 153948, 1),
(28263, 153949, 1),
(28264, 153950, 1),
(28265, 153951, 1),
(28266, 153952, 1),
(28267, 153953, 1),
(28268, 153954, 1),
(28269, 153955, 2),
(28270, 153956, 2),
(28272, 153958, 2),
(28273, 153959, 0),
(28274, 153961, 1),
(28275, 153963, 1),
(28276, 153965, 1),
(28277, 153966, 1),
(28278, 153967, 1),
(28279, 153968, 1),
(28280, 153969, 2),
(28281, 153970, 1),
(28282, 153977, 1),
(28283, 153992, 0),
(28284, 153996, 0),
(28285, 154003, 2),
(28286, 154006, 1),
(28287, 154008, 0),
(28288, 154009, 0),
(28289, 154010, 0),
(28290, 154011, 0.3),
(28291, 154012, 0.2),
(28292, 154013, 0.2),
(28293, 154014, 0.2),
(28294, 154015, 0.2),
(28295, 154016, 0.2),
(28296, 154017, 0.2),
(28297, 154018, 0.15),
(28298, 154020, 0.8),
(28299, 154026, 1),
(28300, 154027, 0.5),
(28301, 154028, 1),
(28302, 154029, 1),
(28303, 154030, 1),
(28304, 154031, 1),
(28305, 154033, 0.8),
(28306, 154034, 0.3),
(28307, 154035, 0.4),
(28308, 154036, 0.2),
(28309, 154037, 0.3),
(28310, 154038, 0.2),
(28311, 154039, 0.5),
(28312, 154040, 0),
(28313, 154041, 0.4),
(28314, 154042, 0.4),
(28315, 154043, 0.6),
(28316, 154044, 1),
(28317, 154045, 1),
(28318, 154046, 1),
(28319, 154047, 1),
(28320, 154048, 1),
(28321, 154049, 1),
(28322, 154050, 1),
(28323, 154051, 1),
(28324, 154052, 1),
(28330, 154060, 1),
(28328, 154058, 1),
(28329, 154059, 1),
(28331, 154063, 0.2),
(28332, 154074, 1),
(28333, 154075, 1),
(28334, 154076, 1),
(28335, 154077, 1),
(28336, 154080, 1),
(28337, 154081, 1),
(28338, 154082, 2),
(28344, 154088, 2),
(28340, 154084, 1),
(28341, 154085, 1),
(28342, 154086, 1),
(28343, 154087, 1),
(28345, 154089, 1),
(28346, 154090, 2),
(28347, 154092, 2),
(28348, 154097, 1),
(28349, 154099, 1),
(28350, 154103, 1),
(28351, 154104, 1),
(28352, 154105, 1),
(28353, 154106, 1),
(28354, 154112, 1),
(28355, 154114, 1),
(28356, 154115, 1),
(28357, 154117, 1),
(28358, 154121, 1),
(28359, 154122, 1),
(28360, 154124, 1),
(28361, 154125, 1),
(28362, 154136, 0.4),
(28363, 154137, 0.2),
(28365, 154148, 1),
(28366, 154149, 1),
(28367, 154150, 1),
(28368, 154152, 1),
(28369, 154154, 1),
(28370, 154159, 0),
(28371, 154160, 0),
(28372, 154161, 0),
(28373, 154162, 0),
(28374, 154163, 1),
(28375, 154164, 1),
(28376, 154165, 0),
(28377, 154166, 1),
(28378, 154167, 1),
(28379, 154168, 1),
(28380, 154169, 2),
(28381, 154170, 1),
(28382, 154171, 2),
(28383, 154173, 0),
(28384, 154174, 0),
(28468, 154559, 0),
(28393, 154230, 0),
(28387, 154223, 0),
(28388, 154224, 0),
(28392, 154228, 0),
(28390, 154226, 0),
(28394, 154233, 0),
(28395, 154234, 0.1),
(28396, 154235, 0.1),
(28397, 154236, 1),
(28398, 154237, 5),
(28399, 154238, 1.2),
(28400, 154239, 0),
(28401, 154240, 1),
(28402, 154241, 1),
(28403, 154242, 1),
(28404, 154243, 1),
(28405, 154244, 1),
(28406, 154260, 1),
(28407, 154262, 1),
(28408, 154263, 1),
(28409, 154264, 1),
(28410, 154265, 1),
(28411, 154287, 1),
(28412, 154288, 1),
(28413, 154289, 1),
(28414, 154290, 1),
(28415, 154291, 1),
(28416, 154294, 1),
(28417, 154311, 1),
(28418, 154313, 1),
(28419, 154319, 1),
(28420, 154323, 0),
(28421, 154324, 0),
(28422, 154325, 0),
(28423, 154326, 0),
(28424, 154327, 0),
(28425, 154332, 0),
(28426, 154333, 0),
(28427, 154335, 0),
(28428, 154365, 1),
(28429, 154366, 1),
(28430, 154369, 1),
(28431, 154376, 0.2),
(28432, 154431, 0),
(28433, 154432, 0),
(28434, 154433, 0),
(28435, 154434, 0),
(28436, 154435, 0),
(28439, 154438, 0),
(28438, 154437, 0),
(28440, 154439, 0),
(28441, 154440, 0),
(28442, 154441, 0),
(28443, 154442, 1.2),
(28445, 154451, 0),
(28446, 154452, 0),
(28447, 154453, 0),
(28448, 154454, 0),
(28449, 154455, 0),
(28450, 154458, 1),
(28451, 154472, 1),
(28452, 154496, 0),
(28453, 154497, 0),
(28454, 154508, 0),
(28455, 154511, 0),
(28456, 154516, 0),
(28457, 154517, 0),
(28458, 154518, 0),
(28459, 154519, 0),
(28460, 154520, 0),
(28461, 154521, 0),
(30201, 160397, 1),
(30200, 160392, 1),
(28465, 154546, 2),
(28466, 154551, 1),
(28467, 154558, 1),
(28469, 154560, 0),
(28470, 154569, 0),
(28471, 154633, 1),
(28472, 154642, 0),
(28473, 154644, 0.2),
(28474, 154652, 0.3),
(28475, 154662, 0.5),
(28476, 154663, 0.1),
(28477, 154665, 2),
(28478, 154666, 0.3),
(28594, 155151, 1),
(28485, 154745, 1),
(28484, 154680, 1.5),
(28483, 154675, 0),
(28487, 154752, 1),
(28488, 154753, 1),
(28489, 154754, 1),
(28775, 155542, 0),
(28491, 154757, 1),
(28492, 154767, 1),
(28493, 154798, 0.8),
(28494, 154813, 1),
(28496, 154841, 0.2),
(28497, 154843, 0.4),
(28498, 154847, 0),
(28499, 154850, 0.1),
(28500, 154860, 0),
(28501, 154861, 0),
(28502, 154862, 1),
(28503, 154863, 1),
(28504, 154864, 1),
(28505, 154865, 1),
(28506, 154866, 1),
(28508, 154868, 1),
(28509, 154869, 0),
(28517, 154877, 0),
(28511, 154871, 0),
(28512, 154872, 0),
(28513, 154873, 1),
(28514, 154874, 0),
(28515, 154875, 0),
(28516, 154876, 0),
(28518, 154878, 0),
(28519, 154881, 0.6),
(28520, 154902, 0.4),
(28521, 154921, 2),
(28522, 154924, 2),
(28523, 154925, 1),
(28533, 154988, 1),
(28525, 154952, 0),
(28526, 154953, 0),
(28527, 154954, 0),
(28528, 154956, 0),
(30424, 161453, 0),
(28530, 154960, 0),
(28531, 154961, 0),
(28532, 154962, 0),
(28534, 154990, 0.2),
(28535, 154992, 0.8),
(28536, 155033, 0),
(28537, 155034, 1),
(28538, 155036, 0),
(28539, 155037, 0),
(28540, 155038, 0),
(28541, 155039, 0),
(28542, 155040, 0),
(28543, 155041, 0),
(28544, 155042, 0),
(28545, 155043, 0),
(28546, 155044, 0),
(28547, 155045, 1),
(28548, 155046, 0),
(28549, 155047, 0),
(28550, 155048, 0),
(28551, 155049, 0),
(28552, 155050, 0),
(28553, 155051, 0),
(28554, 155052, 0),
(28555, 155053, 0),
(28556, 155055, 0),
(28557, 155056, 0),
(28559, 155058, 0),
(28560, 155059, 0),
(28561, 155060, 0),
(28562, 155061, 0),
(28563, 155062, 0),
(28564, 155063, 0),
(28565, 155064, 0),
(28566, 155065, 0),
(28567, 155066, 0),
(28568, 155067, 0),
(28569, 155068, 0),
(28570, 155069, 0),
(28571, 155070, 0),
(28572, 155071, 0),
(28573, 155072, 0),
(28574, 155073, 0),
(28575, 155074, 0),
(28576, 155075, 0),
(28577, 155076, 0),
(28578, 155077, 0),
(28579, 155078, 0),
(28580, 155079, 0),
(28581, 155080, 0),
(28582, 155081, 0),
(28583, 155082, 0),
(28584, 155083, 0),
(28585, 155087, 0),
(28586, 155097, 3),
(28587, 155098, 1),
(28588, 155100, 1.6),
(28589, 155103, 0.2),
(28590, 155104, 1),
(28591, 155115, 0),
(28592, 155134, 1),
(28593, 155135, 1),
(28595, 155152, 1),
(28596, 155153, 1),
(28597, 155175, 1),
(28598, 155184, 0.6),
(28599, 155211, 1),
(28600, 155212, 1),
(28601, 155213, 1),
(28602, 155214, 1),
(28603, 155215, 1),
(28604, 155216, 1),
(28605, 155217, 1),
(28606, 155218, 1),
(28607, 155219, 1),
(28608, 155220, 1),
(28609, 155221, 1),
(28610, 155222, 1),
(28611, 155223, 1),
(28612, 155224, 1),
(28613, 155226, 0),
(28624, 155241, 0),
(28617, 155232, 1),
(28616, 155231, 0),
(28618, 155233, 1),
(28619, 155234, 2),
(28620, 155235, 1),
(28621, 155236, 0),
(28622, 155237, 1),
(28623, 155238, 1),
(28625, 155242, 0),
(28626, 155243, 0),
(28627, 155244, 0),
(28628, 155245, 0),
(28629, 155246, 0),
(28630, 155247, 1),
(28631, 155248, 1),
(28632, 155250, 1),
(28633, 155251, 0.5),
(28634, 155252, 1),
(28635, 155253, 0.5),
(28636, 155254, 0.25),
(28637, 155255, 1),
(28638, 155256, 1),
(28639, 155257, 1),
(28640, 155258, 1),
(28641, 155259, 1),
(28642, 155260, 1),
(28643, 155261, 1),
(28644, 155262, 1),
(28645, 155263, 0.5),
(28646, 155265, 1),
(28647, 155266, 1),
(28648, 155267, 1),
(28649, 155268, 1),
(28650, 155269, 1),
(28651, 155270, 1),
(28652, 155271, 1),
(28653, 155272, 1),
(28654, 155273, 1),
(28655, 155274, 1),
(28656, 155275, 1),
(28657, 155276, 1),
(28658, 155283, 1),
(28659, 155284, 1),
(28660, 155285, 1),
(28661, 155286, 1),
(28662, 155287, 1),
(28663, 155288, 1),
(28664, 155289, 1),
(28665, 155290, 1),
(29104, 156914, 1),
(28667, 155292, 1),
(28668, 155293, 1),
(28669, 155294, 0.2),
(28671, 155296, 0),
(28672, 155297, 0.3),
(28673, 155298, 0),
(28674, 155299, 0),
(28675, 155300, 0.2),
(28676, 155301, 0.2),
(28677, 155302, 0.3),
(28678, 155303, 1),
(28679, 155304, 1),
(28680, 155305, 1),
(28681, 155306, 1),
(28682, 155314, 0.2),
(28683, 155315, 0.2),
(28684, 155316, 1),
(28685, 155317, 1),
(28686, 155318, 0),
(28687, 155319, 1),
(28688, 155320, 1),
(28689, 155321, 0.3),
(28690, 155322, 0.4),
(28691, 155323, 1),
(28692, 155324, 0.3),
(28693, 155325, 0.1),
(28694, 155326, 1),
(28695, 155327, 1),
(28696, 155328, 0.25),
(28697, 155329, 0.4),
(28698, 155330, 0.15),
(28699, 155331, 0.25),
(28700, 155332, 0.15),
(28701, 155333, 1),
(28702, 155334, 1),
(28703, 155335, 0.1),
(28704, 155336, 1),
(28705, 155337, 0.2),
(28706, 155338, 0.2),
(28707, 155339, 0.2),
(28708, 155341, 0.2),
(28709, 155342, 0.6),
(28710, 155460, 1),
(28711, 155461, 1),
(28712, 155462, 1),
(28713, 155463, 1),
(28714, 155464, 1),
(28715, 155465, 1),
(28716, 155466, 1),
(28717, 155467, 1),
(28718, 155468, 1),
(28719, 155469, 1),
(28720, 155470, 1),
(28721, 155471, 1),
(28722, 155472, 1),
(28723, 155473, 1),
(28724, 155474, 0),
(28725, 155475, 0),
(28726, 155476, 0),
(28727, 155477, 0),
(28728, 155478, 0),
(28729, 155479, 1),
(28730, 155480, 0),
(28731, 155481, 0),
(28732, 155482, 1),
(28733, 155483, 1),
(28734, 155484, 1),
(28735, 155485, 1),
(28736, 155486, 1),
(28737, 155487, 1),
(28738, 155488, 1),
(28739, 155489, 1),
(28740, 155490, 1),
(28741, 155491, 1),
(28742, 155492, 1),
(28743, 155493, 1),
(28744, 155494, 1),
(28745, 155495, 1),
(28746, 155496, 1),
(28747, 155497, 1),
(28748, 155498, 1),
(28749, 155499, 1),
(28750, 155502, 1),
(28756, 155509, 1),
(28752, 155504, 1),
(28753, 155505, 1),
(28754, 155506, 1),
(28755, 155507, 1),
(28757, 155510, 1),
(28759, 155512, 1),
(28760, 155513, 1),
(28761, 155514, 1),
(29105, 156916, 1),
(28763, 155516, 1),
(28764, 155517, 1),
(28765, 155518, 1),
(28766, 155519, 1),
(28767, 155520, 1),
(28768, 155521, 2),
(28769, 155523, 0.8),
(28770, 155524, 3),
(28771, 155525, 1.2),
(28774, 155541, 0),
(28776, 155575, 1),
(28778, 155577, 1),
(28779, 155578, 0),
(28780, 155579, 1),
(28781, 155580, 1),
(28782, 155581, 1),
(28783, 155639, 0),
(28784, 155643, 1),
(28785, 155646, 0),
(28786, 155650, 0.6),
(28787, 155651, 1),
(28788, 155652, 0),
(28789, 155653, 0),
(28790, 155657, 0.4),
(28791, 155658, 0.2),
(28792, 155659, 1),
(28793, 155663, 1),
(28794, 155664, 1),
(28795, 155670, 1),
(28796, 155682, 0),
(28797, 155685, 0),
(28798, 155699, 1),
(28799, 155700, 1),
(28800, 155701, 0.2),
(28801, 155702, 0),
(28802, 155703, 0),
(28803, 155704, 0.2),
(28804, 155708, 1),
(30199, 160386, 0),
(30198, 160385, 0),
(28807, 155713, 0),
(28808, 155714, 0),
(28809, 155715, 0),
(28810, 155716, 0),
(28811, 155717, 0),
(28812, 155718, 0),
(28816, 155722, 0),
(28814, 155720, 0),
(28815, 155721, 0),
(28817, 155723, 0),
(28818, 155724, 0.1),
(28819, 155725, 0),
(28820, 155726, 0.6),
(28821, 155731, 0),
(28823, 155733, 0),
(28824, 155734, 0),
(28825, 155738, 0),
(28826, 155739, 0),
(28827, 155740, 0),
(28828, 155742, 0.2),
(28829, 155743, 0.4),
(28830, 155744, 1),
(28831, 155746, 0),
(28832, 155747, 0),
(28833, 155749, 0),
(28834, 155750, 0),
(28835, 155778, 0.25),
(28836, 155779, 0.2),
(28837, 155780, 0.25),
(28838, 155781, 0.25),
(28839, 155787, 0),
(28840, 155788, 0.25),
(28841, 155808, 1),
(28842, 155810, 1),
(28843, 155811, 1),
(28844, 155824, 0.6),
(28845, 155825, 1),
(28846, 155826, 1),
(28847, 155827, 1),
(28848, 155828, 1),
(28849, 155829, 1),
(28850, 155830, 1),
(28852, 155842, 1),
(28853, 155843, 1),
(28854, 155844, 1),
(28855, 155845, 1),
(28856, 155846, 1),
(28857, 155847, 1),
(28858, 155848, 0.4),
(28859, 155858, 1),
(29106, 156917, 1),
(28861, 155867, 0),
(28862, 155868, 0),
(28863, 155892, 0),
(28864, 155915, 1),
(28865, 155925, 1),
(28866, 155944, 0),
(28867, 155957, 1),
(28868, 155959, 0),
(28869, 155960, 0),
(28870, 155976, 0),
(28871, 155977, 1),
(28872, 155978, 0),
(28873, 155979, 0.5),
(28874, 155981, 0),
(28875, 155984, 0),
(28876, 155985, 0),
(28877, 155987, 0.3),
(28878, 155988, 0),
(28879, 155989, 0),
(28880, 155990, 0),
(28881, 155991, 0),
(28882, 155992, 0.2),
(28883, 155993, 0.8),
(28884, 155994, 1),
(28885, 155996, 0),
(28886, 155997, 1),
(28887, 155998, 0),
(28888, 156000, 1),
(28889, 156001, 1),
(28892, 156004, 0),
(28891, 156003, 0),
(28893, 156005, 0),
(28894, 156006, 0),
(28895, 156007, 0),
(28897, 156009, 1),
(28898, 156011, 0),
(28899, 156012, 0),
(28900, 156013, 0),
(28901, 156014, 1),
(28902, 156015, 1),
(28903, 156018, 1),
(28904, 156022, 2),
(28905, 156023, 0.4),
(28906, 156024, 0.4),
(28907, 156025, 1),
(28908, 156026, 1),
(28909, 156027, 1.6),
(28910, 156028, 0.3),
(28911, 156033, 1),
(28912, 156034, 0.2),
(28913, 156035, 2),
(28914, 156036, 2),
(28915, 156037, 2),
(28919, 156048, 0),
(28918, 156047, 0),
(28920, 156049, 0),
(28921, 156050, 0),
(28922, 156051, 0),
(29147, 157000, 0),
(28924, 156053, 0),
(28925, 156054, 0),
(28926, 156055, 0.4),
(28927, 156062, 2),
(28928, 156063, 0.4),
(28929, 156064, 0.2),
(28930, 156083, 0.1),
(28931, 156084, 0),
(28932, 156085, 0.2),
(28933, 156086, 0.3),
(28934, 156089, 0),
(28935, 156090, 0),
(28936, 156091, 0),
(28937, 156426, 1),
(28938, 156428, 1),
(28939, 156453, 0),
(28940, 156454, 1),
(28941, 156455, 0),
(28942, 156456, 0),
(28943, 156460, 1),
(28944, 156462, 0),
(28945, 156513, 1),
(28946, 156514, 0),
(28947, 156515, 0),
(28948, 156516, 1),
(28949, 156521, 0),
(28950, 156522, 0),
(28951, 156523, 0),
(28952, 156524, 0),
(28953, 156525, 0),
(28954, 156526, 0),
(28955, 156527, 0),
(28956, 156528, 0),
(28961, 156547, 0),
(28962, 156548, 0),
(28959, 156540, 0.7),
(28960, 156541, 0.1),
(28963, 156629, 0),
(28964, 156630, 0),
(28965, 156631, 0),
(28966, 156632, 1),
(28967, 156633, 2),
(28968, 156634, 1),
(28969, 156635, 1),
(28970, 156636, 0),
(28973, 156639, 2),
(29101, 156909, 1),
(28975, 156642, 2),
(28976, 156643, 2),
(28977, 156644, 1),
(28978, 156645, 1),
(28979, 156646, 1),
(28980, 156647, 1),
(28981, 156650, 2),
(28982, 156651, 1),
(28983, 156652, 1),
(28984, 156655, 1),
(28985, 156656, 1),
(28986, 156657, 1),
(28987, 156658, 1),
(28988, 156659, 1),
(28989, 156660, 1),
(28990, 156665, 1),
(28991, 156666, 1),
(28992, 156667, 1),
(28993, 156668, 1),
(28994, 156669, 2),
(28995, 156670, 1),
(28996, 156671, 2),
(28997, 156672, 2),
(28998, 156673, 1),
(28999, 156674, 1),
(29000, 156675, 1),
(29001, 156676, 0.5),
(29002, 156677, 2),
(29003, 156679, 0.5),
(29004, 156681, 1),
(29005, 156682, 1),
(29006, 156696, 1),
(29007, 156697, 0),
(29008, 156698, 1),
(29009, 156699, 1),
(29010, 156713, 1),
(29011, 156714, 1),
(29012, 156719, 1),
(29013, 156722, 2),
(29014, 156723, 1),
(29015, 156725, 2),
(29016, 156729, 1),
(29017, 156730, 1),
(29018, 156731, 1),
(29019, 156732, 1),
(29020, 156737, 1),
(29021, 156747, 1),
(29022, 156748, 1),
(29023, 156750, 1),
(29024, 156751, 0.5),
(29504, 158100, 1),
(29026, 156754, 1),
(29027, 156755, 1),
(29028, 156756, 1),
(29029, 156757, 1),
(29030, 156758, 1),
(29031, 156760, 1),
(29033, 156763, 1),
(29034, 156764, 1),
(29035, 156765, 1),
(29036, 156766, 1),
(29037, 156767, 1),
(29038, 156768, 1),
(29039, 156769, 1),
(29040, 156770, 1),
(29043, 156773, 0),
(29042, 156772, 1),
(29044, 156774, 1),
(29045, 156776, 0),
(29046, 156787, 1.5),
(29047, 156789, 0),
(29048, 156791, 1),
(29049, 156792, 1),
(29050, 156793, 1),
(29051, 156794, 1),
(29052, 156795, 0.8),
(29053, 156796, 1),
(29054, 156797, 0.6),
(29055, 156812, 3),
(29056, 156813, 0.8),
(29057, 156814, 3),
(29058, 156824, 0),
(29059, 156825, 0),
(29060, 156826, 0),
(29061, 156828, 0.2),
(29062, 156829, 0.3),
(29063, 156830, 0),
(29064, 156831, 0.4),
(29065, 156833, 0),
(29066, 156834, 0),
(29067, 156835, 1),
(29068, 156836, 1),
(29107, 156919, 1),
(29070, 156838, 1),
(29071, 156839, 1),
(29072, 156840, 1),
(29073, 156841, 0),
(29074, 156842, 1),
(29081, 156849, 0),
(29076, 156844, 1),
(29077, 156845, 1),
(29078, 156846, 1),
(29079, 156847, 1),
(29080, 156848, 0),
(29082, 156850, 1),
(29083, 156863, 1),
(29084, 156864, 0.5),
(29085, 156866, 1),
(29086, 156867, 1),
(29087, 156868, 1),
(29088, 156869, 1),
(29089, 156870, 1),
(29090, 156871, 1),
(29091, 156872, 1),
(29092, 156873, 1),
(29093, 156875, 1),
(29094, 156876, 1),
(29095, 156877, 1),
(29096, 156889, 0),
(29097, 156900, 1),
(29098, 156901, 1),
(29099, 156902, 1),
(29108, 156920, 1),
(29109, 156921, 0.8),
(29110, 156922, 1),
(29111, 156935, 1),
(29112, 156937, 0),
(29113, 156938, 0),
(29114, 156939, 0),
(29115, 156940, 0),
(29116, 156941, 0),
(29117, 156944, 0),
(29118, 156947, 0),
(29119, 156949, 0),
(29120, 156951, 1),
(29121, 156952, 1),
(29122, 156953, 1),
(29123, 156954, 1),
(29124, 156955, 1),
(29125, 156956, 1),
(29148, 157002, 0),
(29202, 157115, 0),
(29128, 156971, 0),
(29129, 156972, 0),
(29130, 156973, 0),
(29131, 156974, 1),
(29132, 156975, 1),
(29133, 156976, 1),
(29134, 156977, 1),
(29135, 156978, 2),
(29136, 156979, 0),
(29137, 156980, 1),
(29138, 156981, 1),
(29139, 156982, 0),
(29140, 156983, 0),
(29141, 156984, 0.5),
(29142, 156985, 0.5),
(29143, 156986, 0),
(29144, 156987, 0.5),
(29145, 156988, 0),
(29146, 156995, 0),
(29149, 157005, 0),
(29150, 157010, 0),
(29151, 157019, 0),
(29152, 157029, 0),
(29153, 157031, 0),
(29154, 157033, 0),
(29155, 157035, 0),
(29156, 157036, 0),
(29157, 157037, 0),
(29158, 157038, 0),
(29159, 157039, 0),
(29160, 157040, 0),
(29161, 157041, 0),
(29162, 157042, 0),
(29163, 157043, 0),
(29164, 157044, 0),
(29165, 157045, 0),
(29166, 157046, 0),
(29167, 157047, 0),
(29168, 157049, 0),
(29169, 157050, 0),
(29170, 157051, 0),
(29171, 157052, 0),
(29172, 157053, 0),
(29173, 157054, 0),
(29174, 157055, 0),
(29175, 157056, 0),
(29176, 157057, 0),
(29177, 157058, 0),
(29178, 157059, 0),
(29179, 157060, 0),
(29180, 157061, 0),
(29181, 157062, 0),
(29182, 157063, 0),
(29183, 157064, 0),
(29184, 157065, 0),
(29185, 157066, 0),
(29186, 157067, 0),
(29187, 157068, 0),
(29188, 157081, 0),
(29189, 157082, 0),
(29190, 157083, 0),
(29191, 157084, 0),
(29192, 157085, 0),
(29193, 157086, 0),
(29194, 157087, 0),
(29195, 157088, 0),
(29196, 157089, 0),
(29947, 159800, 0),
(29948, 159802, 0),
(29199, 157092, 0),
(29200, 157093, 0),
(29201, 157094, 0),
(29203, 157138, 0),
(29204, 157139, 1),
(29205, 157154, 0),
(29206, 157155, 0),
(29207, 157156, 0),
(29208, 157157, 0),
(29209, 157158, 0),
(29210, 157159, 0),
(29211, 157160, 0),
(29212, 157161, 0),
(29213, 157162, 1),
(29214, 157163, 1),
(29215, 157164, 1),
(29216, 157165, 1),
(29217, 153488, 0.5),
(29218, 157179, 0),
(29219, 157180, 0),
(29220, 157181, 0),
(29221, 157182, 1.5),
(29222, 157187, 1),
(29223, 157198, 1),
(29224, 157205, 0),
(29225, 157206, 0),
(29226, 157207, 0),
(29227, 157208, 0),
(29228, 157209, 0),
(29229, 157222, 1),
(29230, 157223, 1.4),
(29231, 157301, 0),
(29232, 157302, 0),
(29233, 157303, 0),
(29234, 157330, 0),
(29235, 157345, 1),
(29236, 157346, 1),
(29237, 157352, 1),
(29238, 157353, 1),
(29239, 157355, 1),
(29240, 157386, 0),
(29241, 157387, 0),
(29242, 157391, 0),
(29243, 157393, 0),
(29244, 157395, 0),
(29245, 157399, 0),
(29246, 157400, 1),
(29247, 157418, 0),
(29248, 157419, 0),
(29249, 157420, 0),
(29250, 157424, 0),
(29251, 157437, 1.4),
(29252, 157438, 0.3),
(29253, 157439, 1),
(29254, 157441, 1),
(29255, 157443, 1),
(29803, 159311, 1),
(29380, 157885, 0.3),
(29379, 157884, 0.2),
(29259, 157476, 0.2),
(29381, 157886, 0.5),
(29382, 157890, 1),
(29262, 157479, 1),
(29263, 157487, 0),
(29264, 157488, 0),
(29938, 159788, 0),
(29267, 157491, 0),
(29276, 157500, 0),
(29269, 157493, 0),
(29270, 157494, 0),
(29271, 157495, 0),
(29272, 157496, 0),
(29273, 157497, 0),
(29274, 157498, 0),
(29275, 157499, 0),
(29926, 159775, 0),
(29278, 157502, 0),
(29279, 157503, 0),
(29280, 157504, 0),
(29281, 157505, 0),
(29282, 157506, 0),
(29283, 157507, 0),
(29284, 157508, 0),
(29285, 157509, 0),
(29286, 157510, 0),
(29287, 157511, 0),
(29288, 157512, 0),
(29289, 157513, 0),
(29290, 157514, 0),
(29291, 157515, 0),
(29292, 157516, 0),
(29293, 157522, 0),
(29294, 157523, 0),
(29295, 157524, 0),
(29296, 157525, 0),
(29297, 157526, 0),
(29298, 157527, 0),
(29299, 157528, 0),
(29300, 157529, 0),
(29301, 157530, 0),
(29302, 157531, 0),
(29303, 157532, 0),
(29304, 157533, 0),
(29305, 157534, 0),
(29306, 157535, 1),
(29307, 157536, 1.5),
(29308, 157537, 4),
(29309, 157538, 1),
(29310, 157539, 1),
(29311, 157555, 1.2),
(29312, 157556, 0.4),
(29313, 157563, 0.1),
(29314, 157569, 0),
(29315, 157606, 0),
(29316, 157614, 0),
(29317, 157619, 0),
(29318, 157620, 0),
(29319, 157622, 0),
(29320, 157632, 0),
(29321, 157633, 0),
(29322, 157634, 0),
(29323, 157693, 1),
(29324, 157694, 1),
(29327, 157698, 1),
(29326, 157697, 1),
(29328, 157699, 1),
(29329, 157700, 1),
(29330, 157711, 0.3),
(29331, 157712, 1),
(29332, 157714, 1),
(29333, 157715, 1),
(29334, 157716, 0),
(29335, 157717, 1),
(29336, 157718, 1),
(29337, 157719, 0),
(29338, 157720, 0),
(29339, 157724, 0),
(29340, 157729, 0.1),
(29341, 157730, 0.2),
(29342, 157732, 1),
(29343, 157733, 1),
(29344, 157734, 1),
(29345, 157735, 1),
(29346, 157736, 1),
(29347, 157737, 1),
(29348, 157738, 1),
(29349, 157740, 1),
(29350, 157741, 1),
(29351, 157742, 1),
(29352, 157743, 1),
(29353, 157744, 1),
(29354, 157786, 1),
(29355, 157788, 0.6),
(29362, 157806, 1),
(29357, 157798, 1),
(29358, 157799, 1),
(29359, 157800, 1),
(29360, 157802, 1),
(29361, 157805, 3),
(29363, 157820, 1),
(29364, 157821, 1),
(29365, 157822, 1),
(29366, 157825, 1),
(29367, 157826, 1),
(29368, 157828, 0),
(29369, 157847, 1),
(29370, 157849, 1),
(29371, 157850, 1),
(29372, 157852, 1),
(29373, 157854, 1),
(29374, 157855, 0),
(29375, 157856, 0),
(29376, 157857, 0),
(29377, 157858, 0),
(29378, 157883, 0.7),
(29383, 157891, 1),
(29384, 157892, 1),
(29385, 157893, 1),
(29386, 157894, 0),
(29387, 157895, 0.9),
(29401, 157911, 1),
(29389, 157899, 0.1),
(29390, 157900, 1),
(29391, 157901, 0.7),
(29392, 157902, 1),
(29393, 157903, 0.1),
(29394, 157904, 1),
(29395, 157905, 0.1),
(29396, 157906, 1),
(29397, 157907, 1),
(29416, 157928, 1),
(29399, 157909, 0),
(29402, 157912, 2),
(29403, 157913, 1),
(29404, 157914, 2),
(29405, 157915, 1),
(29406, 157916, 2),
(29407, 157917, 1),
(29408, 157918, 2),
(29409, 157921, 0),
(29410, 157922, 0),
(29411, 157923, 0),
(29412, 157924, 0),
(29445, 157990, 1),
(29414, 157926, 0),
(29415, 157927, 1),
(29507, 158105, 1),
(29418, 157930, 1),
(29419, 157931, 1),
(29420, 157932, 1),
(29421, 157933, 1),
(29422, 157939, 1),
(29423, 157941, 1),
(29424, 157942, 1),
(29425, 157943, 1),
(29426, 157944, 1),
(29427, 157945, 1),
(29428, 157946, 1),
(29429, 157949, 0),
(29430, 157950, 0),
(29431, 157952, 0),
(29432, 157953, 0),
(29433, 157954, 0.4),
(29434, 157967, 0.4),
(29435, 157976, 1),
(29436, 157977, 1),
(29437, 157978, 1),
(29438, 157982, 1),
(29439, 157983, 1),
(29440, 157984, 1),
(29441, 157985, 1),
(29442, 157986, 1),
(29443, 157987, 1),
(29444, 157988, 1),
(29446, 157991, 1),
(29447, 157992, 1),
(29448, 157993, 1),
(29449, 157998, 0.2),
(29450, 157999, 0.5),
(29451, 158004, 1),
(29452, 158005, 1),
(29453, 158006, 1),
(29454, 158007, 1),
(29455, 158008, 1),
(29456, 158017, 1),
(29457, 158018, 1),
(29458, 158019, 1),
(29459, 158020, 1),
(29460, 158021, 1),
(29461, 158022, 0.3),
(29462, 158023, 0.3),
(29463, 158024, 0.3),
(29464, 158025, 0.4),
(29465, 158026, 0.15),
(29466, 158027, 1),
(29467, 158028, 1),
(29468, 158029, 1),
(29469, 158030, 1),
(29475, 158037, 1),
(29471, 158033, 0),
(29472, 158034, 0),
(29473, 158035, 0),
(29474, 158036, 0),
(29476, 158038, 1),
(29477, 158039, 1),
(29478, 158040, 1),
(29479, 158041, 1),
(29480, 158043, 0.1),
(29481, 158044, 0.7),
(29482, 158045, 0.2),
(29483, 158046, 0.4),
(29484, 158047, 0.4),
(29485, 158050, 1),
(29486, 158051, 1),
(29487, 158052, 1),
(29488, 158053, 1),
(29489, 158054, 1),
(29490, 158055, 1),
(29491, 158056, 0.4),
(29492, 158057, 0.4),
(29493, 158058, 0.4),
(29494, 158059, 0.6),
(29495, 158076, 1),
(29496, 158077, 0.5),
(29497, 158078, 1),
(29498, 158079, 1),
(29499, 158080, 1),
(29500, 158081, 1),
(29521, 158119, 1),
(29535, 158134, 1),
(29503, 158084, 1),
(29505, 158103, 1),
(29506, 158104, 1),
(29508, 158106, 1),
(29509, 158107, 1),
(29510, 158108, 1),
(29511, 158109, 1),
(29512, 158110, 1),
(29513, 158111, 1),
(29514, 158112, 1),
(29515, 158113, 1),
(29516, 158114, 1),
(29520, 158118, 1),
(29518, 158116, 1),
(29519, 158117, 1),
(29522, 158120, 1),
(29523, 158122, 1),
(29524, 158123, 1),
(29525, 158124, 1),
(29526, 158125, 1),
(29527, 158126, 1),
(29528, 158127, 1),
(29529, 158128, 1),
(29530, 158129, 1),
(29531, 158130, 1),
(29532, 158131, 1),
(29533, 158132, 1),
(29534, 158133, 1),
(29536, 158135, 0),
(29537, 158136, 0),
(29538, 158138, 0),
(29539, 158139, 0),
(29540, 158140, 0),
(29541, 158142, 0),
(29542, 158143, 2),
(29543, 158145, 1),
(29544, 158146, 2),
(29545, 158147, 0),
(29546, 158152, 1),
(29547, 158153, 0),
(29548, 158154, 0),
(29549, 158156, 1),
(29550, 158160, 0.1),
(29551, 158161, 0),
(29552, 158162, 0),
(29553, 158163, 0),
(29554, 158165, 0),
(29555, 158171, 0.2),
(29556, 158176, 0.4),
(29557, 158177, 1),
(29558, 158186, 0.5),
(29559, 158190, 1),
(29560, 158195, 0),
(29561, 158197, 0),
(29562, 158200, 0),
(29563, 158203, 0),
(29564, 158204, 0),
(29579, 158270, 3),
(29566, 158226, 1),
(29567, 158227, 1),
(29568, 158232, 0),
(29569, 158234, 0),
(29570, 158235, 0),
(29571, 158236, 0.2),
(29572, 158240, 0),
(29573, 158242, 0),
(29574, 158254, 0),
(29575, 158265, 0.2),
(29576, 158267, 1.2),
(29577, 158268, 0),
(29578, 158269, 0),
(29580, 158271, 0),
(29581, 158272, 3),
(29582, 158273, 0),
(29583, 158274, 2),
(29584, 158275, 0),
(29585, 158276, 0),
(29586, 158277, 0),
(29587, 158278, 0),
(29588, 158279, 0),
(29589, 158286, 0),
(29590, 158287, 0),
(29591, 158288, 0),
(29592, 158289, 0),
(29593, 158290, 0),
(29594, 158291, 0),
(29595, 158327, 0.2),
(29596, 158328, 0.3),
(29597, 158329, 0.5),
(29598, 158335, 0),
(29599, 158347, 1),
(29600, 158348, 1),
(29601, 158349, 1),
(29602, 158359, 1),
(29603, 158366, 0.4),
(29604, 158378, 0.4),
(29605, 158379, 0.6),
(29606, 158390, 0.1),
(29607, 158391, 1),
(29608, 158392, 1),
(29609, 158393, 1.6),
(29637, 158675, 0.2),
(29611, 158398, 1),
(29612, 158399, 1),
(29613, 158400, 1),
(29614, 158401, 1),
(29615, 158402, 1),
(29616, 158425, 1),
(29617, 158431, 1),
(29618, 158432, 1),
(29619, 158434, 0.1),
(29620, 158441, 0.7),
(29621, 158442, 0.1),
(29622, 158443, 0.1),
(29623, 158444, 0),
(29624, 158500, 1),
(29625, 158501, 1),
(29626, 158502, 1),
(29627, 158503, 1),
(29628, 158504, 1),
(29629, 158554, 0.4),
(29630, 158555, 0.3),
(29631, 158557, 3),
(29632, 158559, 1.2),
(29633, 158662, 1),
(29634, 158663, 1),
(29635, 158669, 0.4),
(29636, 158674, 2),
(29638, 158736, 0.8),
(29639, 158737, 0),
(29642, 158740, 0),
(29644, 158758, 1),
(29643, 158741, 0),
(29645, 158759, 1),
(29646, 158761, 1),
(29647, 158762, 0.4),
(29648, 158763, 1),
(29649, 158764, 1),
(29650, 158765, 1),
(29651, 158766, 1),
(29652, 158767, 1),
(29653, 158768, 1),
(29654, 158769, 1),
(29655, 158770, 1),
(29656, 158771, 1),
(29657, 158772, 1),
(29658, 158773, 2),
(29659, 158774, 2),
(29660, 158775, 1),
(29661, 158776, 0.2),
(29662, 158803, 1),
(29663, 158806, 1),
(29664, 158808, 1),
(29665, 158812, 1),
(29846, 159486, 0),
(29667, 158828, 0.2),
(29668, 158830, 0.5),
(29669, 158831, 0.8),
(29670, 158886, 0),
(29671, 158887, 0),
(29672, 158888, 0),
(29673, 158889, 0),
(29674, 158890, 0),
(29675, 158891, 0),
(29676, 158892, 0),
(29677, 158893, 0),
(29678, 158894, 1),
(29679, 158895, 1),
(29680, 158896, 1),
(29681, 158898, 1),
(29682, 158900, 1),
(29683, 158901, 1),
(29684, 158904, 1),
(29685, 158910, 0.4),
(29686, 158913, 0),
(29687, 158914, 0),
(29688, 158915, 0),
(29689, 158916, 0),
(29690, 158917, 0),
(29691, 158922, 1),
(29692, 158928, 1),
(29693, 158934, 1),
(29694, 158936, 1),
(29695, 158938, 0.2),
(29696, 158939, 1),
(29697, 158944, 0.3),
(29698, 158957, 1),
(29699, 158958, 1),
(29700, 158959, 1),
(29701, 158960, 1),
(29702, 158961, 1),
(29703, 158973, 5),
(29704, 158974, 1),
(29705, 159011, 1),
(29706, 159012, 1),
(29707, 159013, 1),
(29708, 159014, 1),
(29709, 159018, 0),
(29710, 159019, 0),
(29711, 159020, 0),
(29712, 159054, 1),
(29714, 159056, 1),
(29715, 159065, 1),
(29716, 159067, 2),
(29717, 159068, 2),
(29718, 159069, 1),
(29719, 159070, 0),
(29720, 159071, 1),
(29721, 159072, 1),
(29722, 159073, 1),
(29723, 159074, 0),
(29724, 159075, 0),
(29742, 159100, 1),
(29726, 159082, 1),
(29727, 159084, 1),
(29728, 159085, 1),
(29729, 159086, 1),
(29730, 159087, 1),
(29731, 159088, 1),
(29732, 159089, 1),
(29733, 159090, 1),
(29734, 159091, 1),
(29735, 159092, 1),
(29736, 159093, 1),
(29737, 159094, 1),
(29738, 159095, 1),
(29739, 159096, 1),
(29740, 159097, 1),
(29741, 159098, 1),
(29743, 159101, 1),
(29744, 159102, 1),
(29745, 159104, 1),
(29746, 159105, 1),
(29750, 159111, 1),
(29749, 159110, 1),
(29751, 159112, 1),
(29752, 159113, 1),
(29753, 159114, 1),
(29754, 159117, 1),
(29755, 159119, 1),
(29756, 159120, 1),
(29757, 159121, 1),
(29758, 159122, 1),
(29759, 159123, 1),
(29760, 159124, 1),
(29761, 159125, 1),
(29762, 159126, 1),
(29763, 159127, 1),
(29764, 159128, 1),
(29765, 159246, 1),
(29766, 159247, 1),
(29767, 159248, 1),
(29768, 159249, 1),
(29769, 159250, 1),
(29770, 159251, 1),
(29771, 159252, 0.2),
(29772, 159253, 0),
(29773, 159254, 0),
(29774, 159255, 0),
(29775, 159262, 0),
(29777, 159273, 0),
(29778, 159274, 0),
(29779, 159275, 0),
(29780, 159276, 0),
(29781, 159277, 0),
(29782, 159280, 0),
(29783, 159282, 0),
(29784, 159283, 0),
(29785, 159284, 0),
(29807, 159318, 1),
(29787, 159286, 0),
(29788, 159287, 2),
(29789, 159288, 1),
(29790, 159289, 1),
(29791, 159290, 1),
(29792, 159291, 1),
(29793, 159292, 0),
(29794, 159293, 0),
(29795, 159294, 0),
(29797, 159296, 1),
(29798, 159297, 1),
(29799, 159298, 1),
(29800, 159299, 1),
(29801, 159301, 0),
(29802, 159302, 1),
(29804, 159312, 1),
(29805, 159315, 1),
(29806, 159316, 1),
(29808, 159320, 1),
(29809, 159321, 1),
(29810, 159322, 1),
(29811, 159323, 1),
(29812, 159325, 1),
(29813, 159331, 0),
(29814, 159334, 0.5),
(29815, 159337, 1),
(29816, 159338, 1),
(29817, 159339, 1),
(29818, 159340, 1),
(29819, 159341, 0),
(29820, 159360, 2),
(29821, 159361, 1),
(29823, 159388, 1),
(29824, 159427, 1),
(29825, 159430, 0.9),
(29826, 159432, 0),
(29827, 159433, 0),
(29828, 159434, 0.5),
(29829, 159439, 0.4),
(29830, 159449, 0),
(30180, 160367, 0),
(30179, 160366, 0),
(30185, 160372, 0),
(30184, 160371, 0),
(29835, 159455, 0.6),
(30183, 160370, 0),
(30189, 160376, 0),
(30192, 160379, 0),
(30191, 160378, 0),
(30197, 160384, 0),
(30193, 160380, 0),
(30188, 160375, 0),
(30190, 160377, 0),
(29844, 159464, 0.2),
(29845, 159465, 0.4),
(29847, 159492, 0),
(29848, 159495, 0),
(29849, 159523, 1),
(29850, 159533, 0.6),
(29851, 159558, 0.3),
(29852, 159559, 0.5),
(29853, 159560, 0.2),
(29854, 159562, 0),
(29855, 159568, 0),
(29856, 159571, 0),
(29857, 159577, 0),
(29858, 159579, 0),
(29859, 159582, 0),
(29860, 159583, 0),
(29861, 159584, 0),
(29862, 159619, 0),
(29863, 159628, 0),
(29864, 159633, 0),
(29865, 159634, 0),
(29866, 159636, 0),
(29867, 159637, 0),
(29868, 159638, 0),
(29869, 159639, 0),
(29870, 159640, 0),
(29871, 159641, 0),
(29872, 159642, 0),
(29873, 159643, 0),
(29874, 159644, 0),
(29875, 159645, 0),
(29876, 159659, 1),
(29877, 159667, 1.5),
(30174, 160361, 0),
(30176, 160363, 1),
(30194, 160381, 0),
(30195, 160382, 0),
(30196, 160383, 0),
(29883, 159675, 1),
(29884, 159676, 0),
(29885, 159677, 0),
(29886, 159678, 0),
(29887, 159679, 0),
(29888, 159680, 0),
(29889, 159681, 0),
(29890, 159683, 0),
(29891, 159684, 0),
(29892, 159685, 0),
(29893, 159686, 0),
(29894, 159687, 0),
(29895, 159690, 1),
(29896, 159703, 1),
(29897, 159706, 2),
(29898, 159707, 0.6),
(29899, 159708, 1),
(29900, 159709, 1),
(29901, 159710, 1),
(29902, 159711, 1),
(29903, 159712, 1),
(29904, 159724, 2),
(29905, 159725, 0),
(29906, 159726, 0),
(29907, 159727, 0),
(29908, 159736, 0),
(29909, 159737, 0),
(29910, 159738, 0),
(30399, 161228, 0),
(29912, 159743, 0),
(29913, 159745, 0),
(29914, 159746, 0),
(29915, 159750, 0),
(29916, 159756, 0),
(29917, 159757, 0),
(29918, 159758, 0),
(29919, 159759, 0),
(29920, 159760, 0),
(29922, 159762, 0),
(29923, 159772, 0),
(29924, 159773, 0),
(29925, 159774, 0),
(29927, 159776, 0),
(29950, 159805, 0),
(29929, 159778, 0),
(29930, 159779, 0),
(29949, 159804, 0),
(29932, 159782, 0),
(29933, 159783, 0),
(29934, 159784, 0),
(29935, 159785, 0),
(29936, 159786, 0),
(29937, 159787, 0),
(29939, 159789, 0),
(29940, 159790, 0),
(29941, 159791, 0),
(29942, 159792, 0),
(29943, 159793, 0),
(29944, 159794, 0),
(29945, 159796, 0),
(29946, 159797, 1),
(29951, 159806, 0),
(29952, 159807, 0),
(29953, 159820, 0),
(29954, 159839, 1),
(29955, 159840, 1),
(29956, 159841, 1),
(29957, 159842, 1),
(29958, 159843, 1),
(29959, 159844, 0),
(29960, 159845, 0),
(29961, 159846, 0),
(29962, 159847, 0),
(29963, 159848, 0),
(29964, 159849, 0),
(29965, 159850, 0),
(29966, 159851, 0),
(29967, 159852, 0),
(29968, 159853, 0),
(29969, 159854, 0),
(29970, 159855, 0),
(29971, 159856, 0),
(29972, 159857, 0),
(29973, 159859, 0),
(29974, 159860, 0),
(29975, 159861, 0),
(29976, 159862, 0),
(29977, 159863, 0),
(29978, 159864, 0),
(29979, 159865, 0),
(29980, 159866, 0),
(29981, 159867, 0),
(29982, 159868, 0),
(29983, 159869, 0),
(29984, 159870, 2),
(29985, 159871, 0.8),
(29986, 159880, 0),
(29987, 159883, 0),
(29988, 159885, 0),
(29989, 159886, 0),
(29990, 159887, 0),
(29991, 159889, 0),
(29992, 159890, 0),
(29993, 159891, 0),
(29994, 159892, 0),
(29995, 159893, 0.5),
(29996, 159894, 0.5),
(29997, 159895, 1),
(29998, 159897, 0),
(29999, 159898, 0),
(30000, 159899, 1),
(30001, 159900, 1),
(30002, 159901, 0),
(30003, 159902, 1),
(30004, 159903, 0),
(30005, 159904, 0.2),
(30025, 159925, 0),
(30007, 159906, 0.4),
(30008, 159908, 0.4),
(30009, 159909, 0),
(30010, 159910, 0.2),
(30011, 159911, 0),
(30012, 159912, 0),
(30013, 159913, 0),
(30014, 159914, 0),
(30015, 159915, 0),
(30016, 159916, 0),
(30017, 159917, 0),
(30018, 159918, 0),
(30019, 159919, 0),
(30020, 159920, 0),
(30021, 159921, 0),
(30022, 159922, 0),
(30026, 159926, 0),
(30027, 159927, 0),
(30028, 159928, 0),
(30029, 159936, 0),
(30030, 159937, 0),
(30031, 159938, 0),
(30032, 159939, 0),
(30033, 159941, 0.2),
(30034, 159942, 0.4),
(30035, 159943, 0.15),
(30036, 159944, 0.15),
(30037, 159945, 0.15),
(30038, 159946, 0.15),
(30039, 159947, 0.15),
(30040, 159951, 0.25),
(30041, 159952, 2),
(30042, 159954, 0),
(30043, 159958, 1),
(30044, 159959, 1),
(30045, 159960, 1),
(30046, 159961, 1),
(30047, 159962, 1),
(30048, 160018, 1),
(30373, 161161, 1),
(30050, 160028, 0),
(30051, 160029, 0),
(30052, 160033, 1),
(30053, 160034, 0),
(30054, 160035, 0.5),
(30143, 160312, 2),
(30056, 160037, 0),
(30057, 160039, 0),
(30058, 160042, 0),
(30059, 160043, 0),
(30060, 160044, 1),
(30061, 160045, 1),
(30062, 160047, 0.6),
(30063, 160048, 0.6),
(30064, 160065, 1),
(30065, 160066, 2),
(30066, 160106, 1),
(30172, 160359, 0),
(30068, 160135, 0),
(30069, 160136, 0),
(30070, 160137, 0),
(30071, 160138, 0),
(30072, 160139, 0),
(30073, 160148, 1),
(30074, 160149, 1),
(30075, 160150, 0.15),
(30076, 160151, 0),
(30077, 160152, 0),
(30078, 160153, 0),
(30439, 161469, 1),
(30440, 161470, 0),
(30437, 161467, 0),
(30159, 160341, 0),
(30083, 160164, 1),
(30084, 160184, 0),
(30085, 160185, 0),
(30086, 160186, 0),
(30087, 160187, 0),
(30088, 160188, 0),
(30089, 160200, 1),
(30090, 160201, 0),
(30091, 160202, 0),
(30092, 160203, 0),
(30093, 160204, 0),
(30094, 160210, 0),
(30095, 160211, 0),
(30096, 160233, 0.25),
(30097, 160235, 0.1),
(30098, 160238, 0.2),
(30099, 160243, 0),
(30100, 160244, 1),
(30101, 160245, 1),
(30103, 160247, 1),
(30104, 160248, 1),
(30105, 160252, 1),
(30106, 160253, 1),
(30107, 160254, 1),
(30108, 160255, 1),
(30109, 160256, 1),
(30110, 160257, 1),
(30111, 160258, 1),
(30112, 160259, 1),
(30113, 160260, 1),
(30114, 160265, 1),
(30115, 160266, 0),
(30116, 160267, 0),
(30117, 160271, 1),
(30118, 160272, 1),
(30119, 160273, 1),
(30120, 160274, 1),
(30121, 160284, 2),
(30122, 160285, 2),
(30123, 160286, 2),
(30124, 160287, 2),
(30125, 160288, 2),
(30126, 160289, 1),
(30127, 160290, 1),
(30128, 160291, 1),
(30129, 160292, 1),
(30130, 160293, 1),
(30131, 160294, 1),
(30132, 160295, 0.2),
(30133, 160296, 1),
(30134, 160297, 1),
(30135, 160298, 1),
(30136, 160303, 1),
(30140, 160307, 0),
(30138, 160305, 0),
(30139, 160306, 0),
(30141, 160308, 0),
(30142, 160309, 0),
(30144, 160313, 2),
(30145, 160314, 2),
(30146, 160315, 0.2),
(30147, 160316, 1),
(30148, 160317, 1),
(30149, 160318, 1),
(30150, 160319, 1),
(30151, 160320, 1),
(30152, 160321, 1),
(30153, 160327, 0.1),
(30154, 160328, 1),
(30155, 160329, 0.4),
(30156, 160330, 0.1),
(30157, 160335, 0.6),
(30158, 160338, 0),
(30160, 160342, 1),
(30161, 160343, 1),
(30162, 160344, 1),
(30163, 160346, 1),
(30164, 160347, 1),
(30165, 160348, 1),
(30166, 160349, 0),
(30167, 160350, 1),
(30168, 160351, 1),
(30169, 160352, 1),
(30170, 160354, 1),
(30171, 160355, 0),
(30173, 160360, 0),
(30175, 160362, 0),
(30177, 160364, 0),
(30178, 160365, 0),
(30181, 160368, 0),
(30182, 160369, 0),
(30186, 160373, 0),
(30202, 160402, 1),
(30203, 160403, 1),
(30204, 160405, 0.5),
(30205, 160406, 1),
(30206, 160441, 1),
(30207, 160442, 1),
(30208, 160443, 1),
(30209, 160444, 1),
(30210, 160445, 1),
(30211, 160457, 0),
(30212, 160458, 0.1),
(30213, 160459, 0.2),
(30214, 160462, 0),
(30215, 160463, 0),
(30216, 160470, 1),
(30217, 160471, 1),
(30218, 160472, 1),
(30219, 160473, 1),
(30220, 160474, 1),
(30221, 160475, 1),
(30222, 160476, 1),
(30223, 160477, 1),
(30225, 160512, 0),
(30226, 160513, 0),
(30227, 160514, 0),
(30228, 160515, 0),
(30229, 160516, 0),
(30230, 160517, 0),
(30231, 160518, 0),
(30232, 160519, 0),
(30233, 160520, 0),
(30234, 160522, 0),
(30235, 160551, 0),
(30236, 160556, 0),
(30237, 160558, 0),
(30238, 160559, 0),
(30239, 160560, 0),
(30257, 160633, 0),
(30266, 160649, 0),
(30256, 160632, 0),
(30245, 160620, 0),
(30258, 160634, 0),
(30259, 160635, 0),
(30260, 160637, 0),
(30261, 160640, 0),
(30262, 160642, 0),
(30263, 160645, 0),
(30265, 160648, 0),
(30264, 160646, 0),
(30267, 160650, 0),
(30268, 160651, 0),
(30269, 160652, 0),
(30270, 160653, 0),
(30271, 160654, 0),
(30272, 160655, 0),
(30273, 160656, 0.2),
(30274, 160658, 0.2),
(30275, 160659, 0),
(30276, 160660, 0.3),
(30277, 160676, 0),
(30278, 160677, 0),
(30279, 160694, 1),
(30280, 160695, 1),
(30281, 160696, 1),
(30282, 160697, 1),
(30283, 160698, 1),
(30284, 160699, 1),
(30285, 160700, 0),
(30286, 160703, 0),
(30287, 160723, 0),
(30288, 160724, 0.5),
(30289, 160725, 0.5),
(30290, 160726, 0.5),
(30291, 160727, 0.3),
(30292, 160728, 0.2),
(30293, 160729, 0.5),
(30294, 160730, 0.5),
(30295, 160731, 0.2),
(30296, 160732, 0.4),
(30297, 160733, 0.4),
(30298, 160734, 0),
(30299, 160740, 1),
(30300, 160741, 1),
(30301, 160742, 1),
(30302, 160743, 1),
(30303, 160744, 1),
(30305, 160750, 1),
(30306, 160751, 1),
(30307, 160774, 0.3),
(30308, 160825, 1),
(30309, 160826, 1),
(30310, 160827, 1),
(30311, 160828, 1),
(30312, 160831, 1),
(30313, 160848, 0),
(30314, 160849, 0),
(30315, 160850, 0),
(30317, 160853, 0),
(30318, 160856, 0),
(30320, 160864, 0),
(30321, 160865, 0),
(30322, 160866, 0),
(30323, 160868, 0),
(30324, 160869, 0),
(30325, 160870, 0),
(30326, 160942, 1),
(30327, 160975, 0),
(30328, 160977, 0),
(30627, 162367, 0),
(30330, 160980, 0),
(30331, 160981, 0),
(30332, 160982, 0),
(30333, 160983, 0),
(30334, 160984, 0),
(30335, 160985, 0),
(30336, 160986, 0),
(30337, 161000, 0),
(30338, 161019, 1),
(30339, 161020, 1),
(30340, 161025, 0),
(30341, 161026, 0),
(30342, 161027, 0),
(30343, 161028, 0),
(30344, 161029, 0),
(30345, 161032, 1),
(30346, 161071, 0.2),
(30347, 161072, 0.3),
(30348, 161073, 1),
(30349, 161074, 0),
(30350, 161075, 1),
(30351, 161076, 0.5),
(30352, 161077, 0.2),
(30353, 161084, 1),
(30354, 161089, 1),
(30628, 162369, 0),
(30629, 162370, 0),
(30630, 162371, 0),
(30631, 162373, 0.7),
(30626, 162363, 0),
(30625, 162362, 0),
(30362, 161146, 0),
(30363, 161147, 0),
(30364, 161148, 0),
(30365, 161149, 0),
(30366, 161150, 0),
(30367, 161151, 1),
(30368, 161152, 1),
(30369, 161153, 1),
(30372, 161160, 1),
(30371, 161155, 0),
(30374, 161162, 0),
(30375, 161163, 0),
(30624, 162361, 0),
(30377, 161165, 0),
(30378, 161166, 0),
(30623, 162360, 0),
(30380, 161168, 1),
(30622, 162358, 0),
(30382, 161170, 0),
(30383, 161171, 0),
(30384, 161172, 0),
(30386, 161175, 0),
(30387, 161176, 0),
(30388, 161177, 0),
(30389, 161178, 0),
(30390, 161179, 0),
(30391, 161182, 0),
(30393, 161184, 0),
(30394, 161185, 0),
(30396, 161198, 0),
(30397, 161225, 0.25),
(30398, 161227, 0.3),
(30400, 161229, 0),
(30401, 161230, 0),
(30402, 161234, 1),
(30403, 161253, 0.25),
(30404, 161256, 0.15),
(30406, 161269, 1),
(30407, 161272, 0),
(30408, 161380, 0),
(30409, 161394, 0),
(30410, 161397, 1),
(30672, 162626, 0),
(30412, 161402, 0),
(30413, 161403, 1),
(30414, 161405, 1),
(30415, 161411, 0.25),
(30426, 161455, 0),
(30422, 161444, 0),
(30423, 161452, 0),
(30427, 161456, 0),
(30428, 161457, 0),
(30429, 161458, 0),
(30430, 161459, 0),
(30431, 161460, 0),
(30432, 161461, 0),
(30433, 161462, 0),
(30434, 161464, 0),
(30435, 161465, 0),
(30436, 161466, 0),
(30438, 161468, 0),
(30441, 161471, 2),
(30442, 161472, 1),
(30443, 161473, 0),
(30444, 161516, 0),
(30445, 161534, 0),
(30446, 161538, 0),
(30447, 161559, 0),
(30448, 161567, 0),
(30449, 161568, 0),
(30450, 161576, 0),
(30451, 161600, 1),
(30452, 161603, 1),
(30453, 161641, 0),
(30454, 161642, 0),
(30455, 161643, 0.15),
(30456, 161644, 0),
(30457, 161645, 0),
(30458, 161646, 0),
(30459, 161652, 0.15),
(30460, 161653, 0),
(30461, 161655, 0),
(30462, 161659, 0.15),
(30463, 161661, 0.2),
(30464, 161662, 0.1),
(30465, 161678, 0),
(30466, 161695, 1),
(30467, 161699, 1),
(30468, 161696, 1),
(30469, 161697, 1),
(30470, 161698, 1),
(30471, 161701, 1),
(30472, 161702, 1),
(30473, 161703, 1),
(30474, 161704, 1),
(30475, 161705, 1),
(30476, 161719, 1),
(30477, 161720, 0),
(30478, 161721, 0),
(30479, 161722, 1),
(30480, 161723, 1),
(30481, 161724, 1),
(30482, 161725, 1),
(30483, 161726, 1),
(30484, 161728, 1),
(30485, 161731, 1),
(30486, 161732, 1),
(30487, 161735, 1),
(30488, 161736, 1),
(30489, 161737, 1),
(30490, 161738, 1),
(30491, 161739, 1),
(30492, 161740, 1),
(30493, 161741, 0),
(30494, 161742, 1),
(30495, 161743, 1),
(30496, 161746, 1),
(30497, 161747, 1),
(30498, 161748, 1),
(30499, 161749, 1),
(30500, 161753, 2),
(30501, 161754, 1),
(30502, 161755, 2),
(30503, 161756, 2),
(30504, 161757, 2),
(30505, 161771, 0),
(30506, 161772, 0.15),
(30507, 161773, 0.25),
(30508, 161774, 0.1),
(30509, 161783, 1),
(30510, 161784, 1),
(30511, 161785, 1),
(30512, 161786, 1),
(30513, 161787, 1),
(30514, 161788, 1),
(30515, 161789, 1),
(30516, 161791, 1),
(30517, 161794, 1),
(30518, 161793, 1),
(30519, 161792, 1),
(30521, 161796, 1),
(30522, 161798, 1),
(30534, 161843, 0),
(30524, 161800, 1),
(30525, 161801, 1),
(30526, 161802, 1),
(30527, 161803, 1),
(30528, 161804, 1),
(30529, 161805, 1),
(30530, 161806, 1),
(30531, 161807, 1),
(30532, 161808, 1),
(30533, 161809, 1),
(30535, 161844, 0),
(30536, 161845, 0),
(30537, 161849, 1),
(30538, 161920, 1),
(30539, 161921, 1),
(30540, 161922, 1),
(30541, 161923, 1),
(30542, 161924, 1),
(30543, 161925, 1),
(30544, 161927, 1),
(30545, 161928, 1),
(30546, 161929, 1),
(30547, 161930, 1),
(30548, 162007, 0),
(30549, 162009, 0),
(30550, 162010, 0),
(30551, 162011, 0),
(30552, 162012, 0),
(30553, 162013, 0),
(30554, 162014, 1),
(30555, 162015, 1),
(30556, 162016, 1),
(30557, 162017, 1),
(30558, 162018, 1),
(30559, 162019, 1),
(30560, 162020, 1),
(30561, 162021, 1),
(30562, 162022, 1),
(30563, 162023, 1),
(30564, 162024, 1),
(30565, 162035, 0),
(30566, 162037, 0),
(30567, 162038, 0),
(30568, 162039, 0),
(30569, 162050, 0),
(30570, 162061, 0),
(30571, 162062, 0.2),
(30572, 162063, 0.25),
(30573, 162064, 0.5),
(30574, 162068, 0),
(30575, 162069, 1),
(30576, 162070, 1),
(30577, 162071, 1),
(30578, 162072, 1),
(30579, 162073, 1),
(30580, 162097, 0),
(30581, 162098, 0),
(30582, 162099, 0),
(30583, 162100, 0),
(30584, 162116, 0),
(30585, 162117, 0),
(30586, 162118, 0),
(30587, 162119, 0),
(30588, 162120, 0),
(30595, 162153, 0.6),
(30594, 162152, 0.5),
(30591, 162123, 0),
(30592, 162124, 0),
(30593, 162125, 0),
(30596, 162154, 0.3),
(30597, 162155, 0.3),
(30598, 162156, 0.3),
(30599, 162157, 0.6),
(30600, 162158, 0),
(30601, 162159, 0.6),
(30602, 162160, 0.5),
(30603, 162161, 0.5),
(30604, 162162, 0),
(30605, 162163, 0),
(30606, 162167, 0),
(30607, 162168, 0),
(30608, 162173, 0),
(30609, 162176, 0),
(30610, 162177, 0),
(30611, 162180, 0),
(30612, 162181, 0),
(30613, 162182, 0),
(30614, 162183, 0),
(30617, 162251, 0.2),
(30616, 162217, 0),
(30618, 162254, 1),
(30619, 162256, 0.2),
(30620, 162343, 0.2),
(30621, 162354, 0.5),
(30632, 162374, 1),
(30633, 162380, 0),
(30634, 162381, 0),
(30635, 162382, 0),
(30636, 162383, 0),
(30637, 162410, 1),
(30638, 162411, 1),
(30639, 162412, 1),
(30640, 162413, 1),
(30641, 162414, 1),
(30642, 162415, 1),
(30643, 162416, 1),
(30644, 162417, 1),
(30645, 162418, 1),
(30646, 162445, 1),
(30647, 162486, 1),
(30648, 162533, 0.1),
(30674, 162628, 0),
(30650, 162541, 0),
(30651, 162542, 0),
(30652, 162563, 0),
(30653, 162564, 0),
(30654, 162567, 0),
(30655, 162568, 0),
(30656, 162569, 0),
(30657, 162570, 0),
(30658, 162571, 0),
(30659, 162572, 0),
(30660, 162573, 0),
(30661, 162574, 0),
(30662, 162578, 1),
(30663, 162579, 1),
(30664, 162580, 1),
(30665, 162599, 0.5),
(30666, 162600, 1),
(30667, 162601, 1),
(30668, 162602, 1),
(30669, 162603, 1),
(30670, 162618, 0),
(30671, 162625, 1),
(30675, 162629, 0),
(30676, 162630, 1),
(30677, 162680, 1),
(30678, 162684, 0),
(30679, 162685, 1),
(30680, 162686, 1),
(30681, 162687, 1),
(30682, 162688, 1),
(30683, 162689, 1),
(30684, 162690, 1),
(30685, 162691, 1),
(30686, 162692, 1),
(30687, 162693, 0),
(30688, 162694, 1),
(30689, 162695, 1),
(30690, 162696, 1),
(30691, 162697, 1),
(30692, 162698, 0),
(30693, 162699, 0),
(30694, 162758, 0),
(30695, 162759, 0),
(30696, 162760, 0),
(30697, 162761, 0),
(30698, 162762, 0),
(30699, 162763, 0),
(30700, 162764, 0),
(30701, 162765, 0),
(30702, 162766, 0),
(30703, 162767, 0),
(30704, 162768, 0),
(30705, 162773, 0),
(30706, 162774, 0),
(30707, 162779, 0),
(30708, 162780, 0),
(30709, 162781, 0),
(30710, 162782, 0),
(30711, 162783, 1),
(30712, 162785, 0),
(30713, 162788, 0),
(30714, 162789, 0),
(30715, 162804, 0),
(30716, 162805, 0),
(30717, 162820, 0.7),
(30718, 162835, 0),
(30719, 162837, 0),
(30720, 162838, 0),
(30721, 162839, 0),
(30722, 162840, 0),
(30723, 162841, 0),
(30724, 162843, 1),
(30725, 162845, 1),
(30726, 162846, 1),
(30727, 162847, 1),
(30728, 162848, 1),
(30729, 162854, 1);

-- --------------------------------------------------------

--
-- Structure de la table `codev_userdailycost_table`
--

DROP TABLE IF EXISTS `codev_userdailycost_table`;
CREATE TABLE `codev_userdailycost_table` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `team_id` int(11) NOT NULL,
  `start_date` int(11) UNSIGNED NOT NULL,
  `daily_rate` int(11) UNSIGNED NOT NULL,
  `currency` varchar(3) NOT NULL DEFAULT 'EUR',
  `description` varchar(250) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_userdailycost_table`
--

INSERT INTO `codev_userdailycost_table` (`id`, `user_id`, `team_id`, `start_date`, `daily_rate`, `currency`, `description`) VALUES
(2, 217, 20, 1402524000, 30300, 'EUR', ''),
(3, 72, 20, 1402524000, 42100, 'EUR', ''),
(4, 199, 20, 1402524000, 36000, 'EUR', ''),
(5, 169, 20, 1402524000, 29500, 'EUR', ''),
(6, 74, 20, 1402524000, 30500, 'EUR', ''),
(7, 2, 20, 1402524000, 39800, 'EUR', ''),
(8, 164, 20, 1402524000, 36600, 'EUR', ''),
(9, 205, 20, 1402524000, 34800, 'EUR', ''),
(10, 158, 20, 1402524000, 38700, 'EUR', ''),
(11, 147, 20, 1402524000, 31600, 'EUR', ''),
(13, 246, 20, 1402524000, 0, 'EUR', ''),
(14, 157, 20, 1402524000, 38700, 'EUR', ''),
(16, 168, 20, 1402524000, 37100, 'EUR', ''),
(17, 322, 20, 1402524000, 0, 'EUR', ''),
(18, 146, 20, 1402524000, 31600, 'EUR', ''),
(19, 342, 20, 1402524000, 29500, 'EUR', ''),
(21, 234, 31, 1483225200, 48000, 'EUR', ''),
(23, 293, 48, 1462140000, 32000, 'EUR', ''),
(24, 113, 48, 1462140000, 43300, 'EUR', ''),
(25, 309, 48, 1462140000, 34100, 'EUR', ''),
(26, 48, 48, 1462140000, 36800, 'EUR', ''),
(27, 312, 48, 1462140000, 44400, 'EUR', ''),
(28, 372, 48, 1462140000, 44000, 'EUR', ''),
(29, 353, 48, 1462140000, 36200, 'EUR', ''),
(30, 194, 48, 1462140000, 34900, 'EUR', ''),
(31, 346, 48, 1462140000, 28000, 'EUR', ''),
(32, 254, 48, 1462140000, 47200, 'EUR', ''),
(33, 253, 48, 1462140000, 34100, 'EUR', ''),
(34, 248, 48, 1462140000, 46700, 'EUR', ''),
(35, 250, 49, 1496268000, 29500, 'EUR', ''),
(36, 249, 49, 1496268000, 37100, 'EUR', ''),
(37, 353, 49, 1496268000, 30800, 'EUR', ''),
(38, 2, 49, 1496268000, 39800, 'EUR', ''),
(39, 86, 49, 1496268000, 34800, 'EUR', ''),
(40, 225, 49, 1496268000, 31600, 'EUR', ''),
(41, 308, 49, 1496268000, 31600, 'EUR', ''),
(42, 396, 49, 1496268000, 0, 'EUR', ''),
(46, 48, 49, 1496268000, 32200, 'EUR', ''),
(44, 372, 49, 1496268000, 44000, 'EUR', ''),
(51, 381, 49, 1499032800, 31600, 'EUR', ''),
(48, 309, 49, 1497823200, 29500, 'EUR', ''),
(50, 399, 49, 1499032800, 46000, 'EUR', ''),
(52, 394, 49, 1499032800, 45500, 'EUR', ''),
(53, 395, 49, 1496268000, 36500, 'EUR', ''),
(54, 401, 49, 1496268000, 34100, 'EUR', ''),
(56, 343, 48, 1501538400, 27000, 'EUR', ''),
(62, 236, 48, 1501538400, 44100, 'EUR', ''),
(61, 154, 48, 1501538400, 43300, 'EUR', ''),
(60, 88, 48, 1501538400, 46700, 'EUR', ''),
(66, 236, 25, 1410904800, 29500, 'EUR', ''),
(67, 218, 25, 1410904800, 37000, 'EUR', ''),
(68, 88, 25, 1410904800, 42100, 'EUR', ''),
(69, 198, 25, 1410904800, 25000, 'EUR', ''),
(70, 154, 25, 1410904800, 38700, 'EUR', ''),
(71, 407, 25, 1496268000, 10000, 'EUR', ''),
(73, 181, 25, 1496268000, 15000, 'EUR', ''),
(74, 251, 49, 1498860000, 0, 'EUR', ''),
(75, 251, 49, 1501538400, 30300, 'EUR', ''),
(76, 312, 49, 1501538400, 39800, 'EUR', ''),
(77, 193, 49, 1501538400, 39800, 'EUR', ''),
(78, 394, 49, 1504216800, 45700, 'EUR', ''),
(79, 412, 49, 1505685600, 45700, 'EUR', ''),
(80, 199, 49, 1504216800, 36000, 'EUR', ''),
(81, 322, 63, 1509490800, 0, 'EUR', ''),
(83, 10, 63, 1509490800, 53300, 'EUR', ''),
(84, 428, 63, 1509490800, 35000, 'EUR', ''),
(85, 432, 63, 1509490800, 33000, 'EUR', ''),
(86, 425, 63, 1509490800, 38400, 'EUR', ''),
(87, 427, 63, 1509490800, 48300, 'EUR', ''),
(88, 424, 63, 1509490800, 48300, 'EUR', ''),
(89, 431, 63, 1509490800, 33000, 'EUR', ''),
(90, 434, 63, 1509490800, 30800, 'EUR', ''),
(91, 435, 63, 1509490800, 0, 'EUR', ''),
(92, 433, 63, 1509490800, 33000, 'EUR', ''),
(93, 429, 63, 1509490800, 36000, 'EUR', ''),
(94, 430, 63, 1509490800, 33000, 'EUR', ''),
(95, 437, 63, 1509490800, 53100, 'EUR', ''),
(96, 436, 63, 1509490800, 33000, 'EUR', ''),
(97, 426, 63, 1509490800, 68041, 'EUR', ''),
(98, 438, 63, 1509490800, 51500, 'EUR', ''),
(100, 445, 49, 1511737200, 45500, 'EUR', ''),
(101, 439, 49, 1504216800, 46500, 'EUR', ''),
(102, 408, 61, 1502143200, 40000, 'EUR', ''),
(103, 450, 20, 1515366000, 40000, 'EUR', ''),
(104, 9, 41, 1514761200, 40900, 'EUR', ''),
(105, 448, 41, 1514761200, 35800, 'EUR', ''),
(106, 229, 41, 1514761200, 35800, 'EUR', ''),
(107, 24, 41, 1514761200, 40300, 'EUR', ''),
(108, 297, 41, 1514761200, 33600, 'EUR', '');

-- --------------------------------------------------------

--
-- Structure de la table `codev_user_dailyrate_table`
--

DROP TABLE IF EXISTS `codev_user_dailyrate_table`;
CREATE TABLE `codev_user_dailyrate_table` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `team_id` int(11) NOT NULL,
  `start_date` int(11) UNSIGNED NOT NULL,
  `daily_rate` int(11) UNSIGNED NOT NULL,
  `currency` varchar(3) NOT NULL DEFAULT 'EUR'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `codev_wbs_table`
--

DROP TABLE IF EXISTS `codev_wbs_table`;
CREATE TABLE `codev_wbs_table` (
  `id` int(11) UNSIGNED NOT NULL,
  `root_id` int(11) UNSIGNED DEFAULT NULL,
  `parent_id` int(11) UNSIGNED DEFAULT NULL,
  `wbs_order` int(11) NOT NULL,
  `bug_id` int(11) DEFAULT NULL,
  `expand` tinyint(4) NOT NULL DEFAULT 0,
  `title` varchar(255) DEFAULT NULL,
  `icon` varchar(64) DEFAULT NULL,
  `font` varchar(64) DEFAULT NULL,
  `color` varchar(64) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `codev_wbs_table`
--

INSERT INTO `codev_wbs_table` (`id`, `root_id`, `parent_id`, `wbs_order`, `bug_id`, `expand`, `title`, `icon`, `font`, `color`) VALUES
(1546, NULL, NULL, 1, NULL, 0, 'TAIGA Forfait Anomalies 2015', NULL, NULL, NULL),
(1543, 1541, 1541, 4, NULL, 0, 'experimentation', NULL, NULL, NULL),
(1541, NULL, NULL, 1, NULL, 1, 'TAIGA Experimentation', NULL, NULL, NULL),
(1548, 1541, 1543, 1, 1858, 0, '', NULL, NULL, NULL),
(1552, 1541, 1543, 2, 1862, 0, '', NULL, NULL, NULL),
(3042, 1541, 1543, 12, 2133, 0, '', NULL, NULL, NULL),
(1554, 1541, 1543, 3, 1864, 0, '', NULL, NULL, NULL),
(3862, 3819, 4344, 4, 3335, 0, '', NULL, NULL, NULL),
(1556, 1541, 1543, 4, 1866, 0, '', NULL, NULL, NULL),
(1557, 1541, 1543, 5, 1867, 0, '', NULL, NULL, NULL),
(1558, 1541, 1543, 6, 1868, 0, '', NULL, NULL, NULL),
(1559, 1541, 1543, 7, 1869, 0, '', NULL, NULL, NULL),
(1560, 1541, 1543, 8, 1870, 0, '', NULL, NULL, NULL),
(1561, 1541, 1543, 9, 1871, 0, '', NULL, NULL, NULL),
(4343, 4318, 4341, 6, 2132, 0, '', NULL, NULL, NULL),
(3864, 3819, 4346, 3, 3454, 0, '', NULL, NULL, NULL),
(1566, 1541, 1543, 10, 1876, 0, '', NULL, NULL, NULL),
(1567, 1541, 1543, 11, 1877, 0, '', NULL, NULL, NULL),
(3863, 3819, 4345, 5, 3453, 0, '', NULL, NULL, NULL),
(73652, 28582, 28909, 23, 17170, 0, '', NULL, NULL, NULL),
(67229, 52350, 52350, 1, 16935, 0, '', 'NULL', 'NULL', 'NULL'),
(67228, 52350, 52350, 32, 16811, 0, '', 'NULL', 'NULL', 'NULL'),
(67227, 52350, 52350, 33, 16794, 0, '', 'NULL', 'NULL', 'NULL'),
(67226, 52350, 52350, 34, 17252, 0, '', 'NULL', 'NULL', 'NULL'),
(67225, 52350, 52350, 35, 17253, 0, '', 'NULL', 'NULL', 'NULL'),
(67224, 52350, 52350, 36, 17254, 0, '', 'NULL', 'NULL', 'NULL'),
(67223, 54400, 54400, 3, NULL, 0, 'Anos', NULL, NULL, NULL),
(67222, 54400, 54400, 2, NULL, 0, 'Evol', NULL, NULL, NULL),
(67221, 54400, 67223, 1, 17254, 0, '', NULL, NULL, NULL),
(67217, 11619, 54405, 6, NULL, 1, '44217  Flux PAF', 'NULL', 'NULL', 'NULL'),
(3190, 1541, 1541, 1, 1431, 0, '', NULL, NULL, NULL),
(3847, 3815, 3815, 1, 3698, 0, NULL, NULL, NULL, NULL),
(3846, 1546, 1546, 1, 3905, 0, '', NULL, NULL, NULL),
(1912, 1541, 1543, 13, 2121, 0, '', NULL, NULL, NULL),
(3839, 1546, 1546, 2, 3899, 0, '', NULL, NULL, NULL),
(3835, 3817, 3817, 1, 2835, 0, NULL, NULL, NULL, NULL),
(3838, 1546, 1546, 3, 3898, 0, '', NULL, NULL, NULL),
(4310, 1546, 1546, 4, 4310, 0, '', NULL, NULL, NULL),
(4302, 3819, 4344, 3, 2810, 0, '', NULL, NULL, NULL),
(5013, 3822, 3822, 12, 4326, 0, '', NULL, NULL, NULL),
(4301, 3819, 4346, 2, 2814, 0, '', NULL, NULL, NULL),
(4300, 3819, 4345, 4, 2817, 0, '', NULL, NULL, NULL),
(5012, 3822, 3822, 13, 4325, 0, '', NULL, NULL, NULL),
(3840, 1546, 1546, 5, 3900, 0, '', NULL, NULL, NULL),
(3841, 1546, 1546, 6, 3901, 0, '', NULL, NULL, NULL),
(16231, 9452, 10861, 1, 5726, 0, '', NULL, NULL, NULL),
(4309, 1546, 1546, 7, 4313, 0, '', NULL, NULL, NULL),
(4308, 1546, 1546, 8, 4312, 0, '', NULL, NULL, NULL),
(4307, 1546, 1546, 9, 4311, 0, '', NULL, NULL, NULL),
(5008, 4318, 4342, 12, 4308, 0, '', NULL, NULL, NULL),
(3049, 1541, 3307, 1, 1448, 0, '', NULL, NULL, NULL),
(5007, 4318, 4342, 11, 3689, 0, '', NULL, NULL, NULL),
(4332, 4318, 4342, 6, 4329, 0, '', NULL, NULL, NULL),
(4331, 4318, 4342, 5, 4328, 0, '', NULL, NULL, NULL),
(4330, 4318, 4341, 5, 4327, 0, '', NULL, NULL, NULL),
(5006, 4318, 4342, 10, 3688, 0, '', NULL, NULL, NULL),
(5005, 4318, 4341, 7, 3687, 0, '', NULL, NULL, NULL),
(5003, 4318, 4341, 10, 3541, 0, '', NULL, NULL, NULL),
(3837, 3817, 3817, 1, 3897, 0, NULL, NULL, NULL, NULL),
(3836, 3817, 3817, 1, 3823, 0, NULL, NULL, NULL, NULL),
(8708, 3817, 3817, 1, 2383, 0, NULL, NULL, NULL, NULL),
(8709, 3817, 3817, 1, 2897, 0, NULL, NULL, NULL, NULL),
(8710, 3817, 3817, 1, 2898, 0, NULL, NULL, NULL, NULL),
(2718, 1541, 3307, 5, 2849, 0, '', NULL, NULL, NULL),
(2723, 1541, 3307, 3, 2853, 0, '', NULL, NULL, NULL),
(66553, 11619, 39363, 4, 17211, 0, '', 'NULL', 'NULL', 'NULL'),
(13262, 6963, 13391, 1, 11019, 0, '', NULL, NULL, NULL),
(8730, 1546, 1546, 10, 8132, 0, '', NULL, NULL, NULL),
(8729, 1546, 1546, 11, 8131, 0, '', NULL, NULL, NULL),
(4299, 3819, 4344, 2, 2904, 0, '', NULL, NULL, NULL),
(4298, 3819, 4346, 1, 2909, 0, '', NULL, NULL, NULL),
(4297, 3819, 4345, 3, 2906, 0, '', NULL, NULL, NULL),
(2781, 1541, 1543, 14, 2912, 0, '', NULL, NULL, NULL),
(13275, 13241, 13241, 1, 11032, 0, '', NULL, NULL, NULL),
(13263, 1546, 1546, 12, 11020, 0, '', NULL, NULL, NULL),
(13777, 10830, 14210, 2, 11178, 0, '', NULL, NULL, NULL),
(20557, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13254, 13241, 13241, 4, 9951, 0, '', NULL, NULL, NULL),
(13255, 13241, 13241, 5, 6967, 0, '', NULL, NULL, NULL),
(3037, 1546, 1546, 14, 3144, 0, '', NULL, NULL, NULL),
(8716, 8601, 8601, 1, 8129, 0, '', NULL, NULL, NULL),
(8714, 3817, 3817, 1, 2902, 0, NULL, NULL, NULL, NULL),
(8715, 3817, 3817, 1, 2903, 0, NULL, NULL, NULL, NULL),
(8713, 3817, 3817, 1, 2901, 0, NULL, NULL, NULL, NULL),
(3050, 1541, 3307, 2, 1449, 0, '', NULL, NULL, NULL),
(3051, 1541, 3307, 4, 2779, 0, '', NULL, NULL, NULL),
(8704, 3851, 3851, 1, 3455, 0, NULL, NULL, NULL, NULL),
(8705, 3817, 3817, 1, 3084, 0, NULL, NULL, NULL, NULL),
(3831, 3819, 3819, 1, 3465, 0, '', NULL, NULL, NULL),
(8712, 3817, 3817, 1, 2900, 0, NULL, NULL, NULL, NULL),
(8711, 3817, 3817, 1, 2899, 0, NULL, NULL, NULL, NULL),
(3844, 1546, 1546, 15, 3904, 0, '', NULL, NULL, NULL),
(4321, 4318, 4341, 4, 4318, 0, '', NULL, NULL, NULL),
(3843, 1546, 1546, 16, 3903, 0, '', NULL, NULL, NULL),
(3842, 1546, 1546, 17, 3902, 0, '', NULL, NULL, NULL),
(3833, 3817, 3817, 1, 2819, 0, NULL, NULL, NULL, NULL),
(7949, 6796, 6796, 1, 6496, 0, '', NULL, NULL, NULL),
(7950, 6796, 6796, 2, 6497, 0, '', NULL, NULL, NULL),
(7951, 7859, 7882, 2, 7377, 0, '', NULL, NULL, NULL),
(3307, 1541, 1541, 3, NULL, 1, 'Autre', NULL, NULL, NULL),
(8706, 3817, 3817, 1, 3459, 0, NULL, NULL, NULL, NULL),
(8703, 3815, 3815, 1, 3480, 0, NULL, NULL, NULL, NULL),
(8707, 3817, 3817, 1, 3460, 0, NULL, NULL, NULL, NULL),
(4349, 1546, 1546, 18, 4209, 0, '', NULL, NULL, NULL),
(5002, 4318, 4342, 9, 3624, 0, '', NULL, NULL, NULL),
(4322, 4318, 4342, 4, 4319, 0, '', NULL, NULL, NULL),
(3850, 1546, 1546, 19, 3906, 0, '', NULL, NULL, NULL),
(3848, 3815, 3815, 1, 3731, 0, NULL, NULL, NULL, NULL),
(3849, 3815, 3815, 1, 3734, 0, NULL, NULL, NULL, NULL),
(4323, 4318, 4341, 3, 4320, 0, '', NULL, NULL, NULL),
(3823, 3817, 3817, 1, 3543, 0, NULL, NULL, NULL, NULL),
(3824, 3817, 3817, 1, 3544, 0, NULL, NULL, NULL, NULL),
(3403, 1546, 1546, 21, 3545, 0, '', NULL, NULL, NULL),
(3404, 1546, 1546, 22, 3546, 0, '', NULL, NULL, NULL),
(3405, 1541, 1541, 2, 3547, 0, '', NULL, NULL, NULL),
(66590, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(3481, NULL, NULL, 1, NULL, 0, '2618  GAC Etude Impact Radiation ', NULL, NULL, NULL),
(3482, 3481, 3481, 1, 3615, 0, '', NULL, NULL, NULL),
(4326, 4318, 4342, 3, 4323, 0, '', NULL, NULL, NULL),
(4325, 4318, 4341, 2, 4322, 0, '', NULL, NULL, NULL),
(4324, 4318, 4342, 2, 4321, 0, '', NULL, NULL, NULL),
(4319, 4318, 4341, 1, 3542, 0, '', NULL, NULL, NULL),
(4318, NULL, NULL, 1, NULL, 1, 'TAIGA v15.0.0_Juillet', NULL, NULL, NULL),
(8737, 3851, 3851, 1, 3708, 0, NULL, NULL, NULL, NULL),
(8738, 3851, 3851, 1, 3709, 0, NULL, NULL, NULL, NULL),
(8740, 3851, 3851, 1, 3710, 0, NULL, NULL, NULL, NULL),
(8743, 8741, 8757, 1, 5405, 0, '', NULL, NULL, NULL),
(4344, 3819, 3819, 6, NULL, 0, 'Spec', NULL, NULL, NULL),
(8741, NULL, NULL, 1, NULL, 1, 'TAIGA v15.1.0_Avril', NULL, NULL, NULL),
(8745, 8741, 8758, 2, 5565, 0, '', NULL, NULL, NULL),
(8744, 8741, 8758, 3, 5406, 0, '', NULL, NULL, NULL),
(3632, 1546, 1546, 25, 3733, 0, '', NULL, NULL, NULL),
(3633, 1546, 1546, 26, 3735, 0, '', NULL, NULL, NULL),
(3634, 1546, 1546, 27, 3736, 0, '', NULL, NULL, NULL),
(27940, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(3721, 1546, 1546, 28, 3819, 0, '', NULL, NULL, NULL),
(3731, 1546, 1546, 29, 3827, 0, '', NULL, NULL, NULL),
(3730, 1546, 1546, 30, 3826, 0, '', NULL, NULL, NULL),
(38725, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(3729, 1546, 1546, 31, 3825, 0, '', NULL, NULL, NULL),
(3732, 1546, 1546, 32, 3828, 0, '', NULL, NULL, NULL),
(3734, 1546, 1546, 33, 3830, 0, '', NULL, NULL, NULL),
(3735, 1546, 1546, 34, 3831, 0, '', NULL, NULL, NULL),
(3736, 1546, 1546, 35, 3832, 0, '', NULL, NULL, NULL),
(7947, 3820, 3820, 1, 7496, 0, '', NULL, NULL, NULL),
(13637, 9452, 10861, 5, 7495, 0, '', NULL, NULL, NULL),
(3801, 1546, 1546, 36, 3880, 0, '', NULL, NULL, NULL),
(3809, 1546, 1546, 37, 3891, 0, '', NULL, NULL, NULL),
(3810, 1546, 1546, 38, 3892, 0, '', NULL, NULL, NULL),
(3811, 1546, 1546, 39, 3893, 0, '', NULL, NULL, NULL),
(3812, 1546, 1546, 40, 3894, 0, '', NULL, NULL, NULL),
(3813, 1546, 1546, 41, 3895, 0, '', NULL, NULL, NULL),
(3814, 1546, 1546, 42, 3896, 0, '', NULL, NULL, NULL),
(3815, NULL, NULL, 1, NULL, 0, 'TAIGA v14.2_P', NULL, NULL, NULL),
(3816, NULL, NULL, 1, NULL, 0, 'TAIGA v14.2_P_Mar', NULL, NULL, NULL),
(3817, NULL, NULL, 1, NULL, 0, 'TAIGA v14.2.0_Mar', NULL, NULL, NULL),
(3818, NULL, NULL, 1, NULL, 0, 'TAIGA v15.0_P', NULL, NULL, NULL),
(3819, NULL, NULL, 1, NULL, 1, 'TAIGA v15.0.0', NULL, NULL, NULL),
(3820, NULL, NULL, 1, NULL, 1, 'TAIGA v15.0.0_Nov', NULL, NULL, NULL),
(3821, NULL, NULL, 1, NULL, 1, 'TAIGA v15.0_Sep', NULL, NULL, NULL),
(3822, NULL, NULL, 1, NULL, 1, 'TAIGA v15.1.0', NULL, NULL, NULL),
(3851, NULL, NULL, 1, NULL, 0, 'TAIGA v14.1_P', NULL, NULL, NULL),
(3852, 3851, 3851, 1, 3888, 0, NULL, NULL, NULL, NULL),
(3853, 3851, 3851, 1, 3889, 0, NULL, NULL, NULL, NULL),
(3854, 3851, 3851, 1, 3890, 0, NULL, NULL, NULL, NULL),
(5001, 3821, 5247, 7, 4843, 0, '', NULL, NULL, NULL),
(3856, 3816, 3816, 1, 3737, 0, NULL, NULL, NULL, NULL),
(3857, 3851, 3851, 1, 3738, 0, NULL, NULL, NULL, NULL),
(3858, 3816, 3816, 1, 3824, 0, NULL, NULL, NULL, NULL),
(5000, 3821, 5248, 7, 4844, 0, '', NULL, NULL, NULL),
(3860, 3819, 4345, 2, 3690, 0, '', NULL, NULL, NULL),
(3865, 3815, 3815, 1, 3907, 0, NULL, NULL, NULL, NULL),
(3866, 3815, 3815, 1, 3908, 0, NULL, NULL, NULL, NULL),
(3867, 3481, 3481, 2, 3910, 0, '', NULL, NULL, NULL),
(3868, 3815, 3815, 1, 3909, 0, NULL, NULL, NULL, NULL),
(3869, 1546, 1546, 43, 3911, 0, '', NULL, NULL, NULL),
(3870, 1546, 1546, 44, 3912, 0, '', NULL, NULL, NULL),
(4366, 1546, 1546, 45, 4344, 0, '', NULL, NULL, NULL),
(3872, 1546, 1546, 46, 3914, 0, '', NULL, NULL, NULL),
(3873, 1546, 1546, 47, 3915, 0, '', NULL, NULL, NULL),
(3874, 1546, 1546, 48, 3916, 0, '', NULL, NULL, NULL),
(6418, 1546, 1546, 49, 6129, 0, '', NULL, NULL, NULL),
(3889, 1546, 1546, 50, 3926, 0, '', NULL, NULL, NULL),
(3919, 3815, 3815, 1, 3941, 0, NULL, NULL, NULL, NULL),
(3918, 1546, 1546, 51, 3940, 0, '', NULL, NULL, NULL),
(3920, 3815, 3815, 1, 3942, 0, NULL, NULL, NULL, NULL),
(3921, 3851, 3851, 1, 3943, 0, NULL, NULL, NULL, NULL),
(3933, 3819, 3819, 9, 3967, 0, '', NULL, NULL, NULL),
(3934, 1546, 1546, 52, 3968, 0, '', NULL, NULL, NULL),
(3935, 1546, 1546, 53, 3969, 0, '', NULL, NULL, NULL),
(3936, 1546, 1546, 54, 3970, 0, '', NULL, NULL, NULL),
(4036, 1546, 1546, 55, 4055, 0, '', NULL, NULL, NULL),
(4200, 3815, 3815, 1, 4208, 0, NULL, NULL, NULL, NULL),
(4035, 1546, 1546, 56, 4054, 0, '', NULL, NULL, NULL),
(4037, NULL, NULL, 1, NULL, 1, 'TAIGA - Etude Impact Fusion PL', NULL, NULL, NULL),
(4038, 4037, 5073, 1, 4056, 0, '', NULL, NULL, NULL),
(4039, 1546, 1546, 57, 4057, 0, '', NULL, NULL, NULL),
(4040, 1546, 1546, 58, 4058, 0, '', NULL, NULL, NULL),
(4041, 1546, 1546, 59, 4059, 0, '', NULL, NULL, NULL),
(4042, 1546, 1546, 60, 4060, 0, '', NULL, NULL, NULL),
(4126, 1546, 1546, 61, 4141, 0, '', NULL, NULL, NULL),
(4127, 1546, 1546, 62, 4142, 0, '', NULL, NULL, NULL),
(4294, 3819, 4345, 1, 4307, 0, '', NULL, NULL, NULL),
(4129, 1546, 1546, 63, 4144, 0, '', NULL, NULL, NULL),
(4130, 1546, 1546, 64, 4145, 0, '', NULL, NULL, NULL),
(4131, 1546, 1546, 65, 4146, 0, '', NULL, NULL, NULL),
(4132, 1546, 1546, 66, 4147, 0, '', NULL, NULL, NULL),
(4133, 1546, 1546, 67, 4148, 0, '', NULL, NULL, NULL),
(4137, 1546, 1546, 68, 4151, 0, '', NULL, NULL, NULL),
(4150, 1546, 1546, 70, 4159, 0, '', NULL, NULL, NULL),
(4234, 3817, 3817, 1, 4244, 0, NULL, NULL, NULL, NULL),
(4235, 3817, 3817, 1, 4245, 0, NULL, NULL, NULL, NULL),
(4236, 3817, 3817, 1, 4246, 0, NULL, NULL, NULL, NULL),
(4293, 3819, 4344, 1, 4306, 0, '', NULL, NULL, NULL),
(4246, 1546, 1546, 71, 4255, 0, '', NULL, NULL, NULL),
(4504, 3817, 3817, 1, 4456, 0, NULL, NULL, NULL, NULL),
(4249, 1546, 1546, 72, 4262, 0, '', NULL, NULL, NULL),
(4250, 1546, 1546, 73, 4263, 0, '', NULL, NULL, NULL),
(4251, 1546, 1546, 74, 4264, 0, '', NULL, NULL, NULL),
(4252, 1546, 1546, 75, 4265, 0, '', NULL, NULL, NULL),
(4254, 1546, 1546, 77, 4267, 0, '', NULL, NULL, NULL),
(4255, 1546, 1546, 78, 4268, 0, '', NULL, NULL, NULL),
(4256, 1546, 1546, 79, 4269, 0, '', NULL, NULL, NULL),
(4257, 1546, 1546, 80, 4270, 0, '', NULL, NULL, NULL),
(4258, 1546, 1546, 81, 4271, 0, '', NULL, NULL, NULL),
(4259, 1546, 1546, 82, 4272, 0, '', NULL, NULL, NULL),
(4260, 1546, 1546, 83, 4273, 0, '', NULL, NULL, NULL),
(4262, 1546, 1546, 84, 4275, 0, '', NULL, NULL, NULL),
(4263, 1546, 1546, 85, 4276, 0, '', NULL, NULL, NULL),
(9762, 9760, 9767, 2, 8839, 0, '', NULL, NULL, NULL),
(4266, 1546, 1546, 87, 4279, 0, '', NULL, NULL, NULL),
(4267, 1546, 1546, 88, 4280, 0, '', NULL, NULL, NULL),
(4268, 1546, 1546, 89, 4281, 0, '', NULL, NULL, NULL),
(4269, 1546, 1546, 90, 4282, 0, '', NULL, NULL, NULL),
(4271, 1546, 1546, 91, 4284, 0, '', NULL, NULL, NULL),
(4272, 1546, 1546, 92, 4285, 0, '', NULL, NULL, NULL),
(4273, 1546, 1546, 93, 4286, 0, '', NULL, NULL, NULL),
(4275, 1546, 1546, 94, 4288, 0, '', NULL, NULL, NULL),
(4276, 1546, 1546, 95, 4289, 0, '', NULL, NULL, NULL),
(4277, 1546, 1546, 96, 4290, 0, '', NULL, NULL, NULL),
(4995, 4318, 4318, 1, 2120, 0, '', NULL, NULL, NULL),
(4279, 1546, 1546, 97, 4292, 0, '', NULL, NULL, NULL),
(4280, 1546, 1546, 98, 4293, 0, '', NULL, NULL, NULL),
(4281, 1546, 1546, 99, 4294, 0, '', NULL, NULL, NULL),
(4282, 1546, 1546, 100, 4295, 0, '', NULL, NULL, NULL),
(5059, 1546, 1546, 101, 4881, 0, '', NULL, NULL, NULL),
(4994, 4318, 4341, 9, 2820, 0, '', NULL, NULL, NULL),
(4285, 1546, 1546, 102, 4298, 0, '', NULL, NULL, NULL),
(21250, 13396, 13396, 1, 4299, 0, '', NULL, NULL, NULL),
(5073, 4037, 4037, 1, NULL, 0, 'Etude preliminaire', NULL, NULL, NULL),
(4289, 1546, 1546, 103, 4302, 0, '', NULL, NULL, NULL),
(4997, 1546, 1546, 104, 4845, 0, '', NULL, NULL, NULL),
(5009, 4318, 4341, 8, 4309, 0, '', NULL, NULL, NULL),
(4336, 4318, 4342, 1, 4333, 0, '', NULL, NULL, NULL),
(4339, 3815, 3815, 1, 4336, 0, NULL, NULL, NULL, NULL),
(4341, 4318, 4318, 6, NULL, 1, 'SPEC', NULL, NULL, NULL),
(4342, 4318, 4318, 7, NULL, 1, 'DEV', NULL, NULL, NULL),
(4345, 3819, 3819, 7, NULL, 0, 'Dev', NULL, NULL, NULL),
(4346, 3819, 3819, 8, NULL, 0, 'Qualif', NULL, NULL, NULL),
(5010, 3822, 3822, 14, 3686, 0, '', NULL, NULL, NULL),
(4367, 1546, 1546, 105, 4345, 0, '', NULL, NULL, NULL),
(4368, 1546, 1546, 106, 4346, 0, '', NULL, NULL, NULL),
(4369, 1546, 1546, 107, 4347, 0, '', NULL, NULL, NULL),
(4370, 3816, 3816, 1, 4348, 0, NULL, NULL, NULL, NULL),
(4386, 4037, 5074, 4, 4364, 0, '', NULL, NULL, NULL),
(4387, 4037, 5074, 3, 4365, 0, '', NULL, NULL, NULL),
(4388, 4037, 5074, 2, 4366, 0, '', NULL, NULL, NULL),
(4397, 1546, 1546, 108, 4370, 0, '', NULL, NULL, NULL),
(4398, 1546, 1546, 109, 4371, 0, '', NULL, NULL, NULL),
(4412, 1546, 1546, 110, 4385, 0, '', NULL, NULL, NULL),
(4496, 3851, 3851, 1, 4455, 0, NULL, NULL, NULL, NULL),
(4495, 3851, 3851, 1, 4454, 0, NULL, NULL, NULL, NULL),
(4697, 3815, 3815, 1, 4623, 0, NULL, NULL, NULL, NULL),
(4777, 3818, 3818, 1, 4681, 0, '', NULL, NULL, NULL),
(4778, 3818, 3818, 2, 4682, 0, '', NULL, NULL, NULL),
(4779, 3815, 3815, 1, 4683, 0, NULL, NULL, NULL, NULL),
(4780, 1546, 1546, 111, 4684, 0, '', NULL, NULL, NULL),
(4848, 1546, 1546, 112, 4715, 0, '', NULL, NULL, NULL),
(5136, 1546, 1546, 113, 4960, 0, '', NULL, NULL, NULL),
(4851, 3821, 5247, 6, 4718, 0, '', NULL, NULL, NULL),
(4852, 3821, 5248, 6, 4719, 0, '', NULL, NULL, NULL),
(9485, 8741, 9174, 1, 8562, 0, '', NULL, NULL, NULL),
(9484, 8741, 9174, 2, 8563, 0, '', NULL, NULL, NULL),
(4888, 1546, 1546, 114, 4745, 0, '', NULL, NULL, NULL),
(4941, 4037, 5074, 1, 4798, 0, '', NULL, NULL, NULL),
(5378, 3815, 3815, 1, 5216, 0, NULL, NULL, NULL, NULL),
(5377, 3815, 3815, 1, 5215, 0, NULL, NULL, NULL, NULL),
(5376, 3815, 3815, 1, 5214, 0, NULL, NULL, NULL, NULL),
(5375, 4318, 4318, 2, 5213, 0, '', NULL, NULL, NULL),
(4992, 3821, 5248, 5, 4590, 0, '', NULL, NULL, NULL),
(4993, 3821, 5247, 5, 4589, 0, '', NULL, NULL, NULL),
(4996, 4318, 4342, 7, 2821, 0, '', NULL, NULL, NULL),
(5015, 3822, 3822, 15, 4331, 0, '', NULL, NULL, NULL),
(5016, 3822, 3822, 16, 4332, 0, '', NULL, NULL, NULL),
(5030, 1546, 1546, 115, 4864, 0, '', NULL, NULL, NULL),
(5031, 1546, 1546, 116, 4865, 0, '', NULL, NULL, NULL),
(5032, 1546, 1546, 117, 4866, 0, '', NULL, NULL, NULL),
(5033, 3822, 3822, 17, 4867, 0, '', NULL, NULL, NULL),
(5034, 3822, 3822, 18, 4868, 0, '', NULL, NULL, NULL),
(5035, 3822, 3822, 19, 4869, 0, '', NULL, NULL, NULL),
(5036, 3822, 3822, 20, 4870, 0, '', NULL, NULL, NULL),
(8226, 1546, 1546, 119, 7702, 0, '', NULL, NULL, NULL),
(5041, 3822, 3822, 21, 4875, 0, '', NULL, NULL, NULL),
(5042, 3822, 3822, 22, 4876, 0, '', NULL, NULL, NULL),
(5049, 4318, 4341, 11, 4883, 0, '', NULL, NULL, NULL),
(5050, 4318, 4342, 8, 4884, 0, '', NULL, NULL, NULL),
(5051, 3821, 5247, 4, 4885, 0, '', NULL, NULL, NULL),
(5052, 3821, 5248, 4, 4886, 0, '', NULL, NULL, NULL),
(5054, 1546, 1546, 120, 4888, 0, '', NULL, NULL, NULL),
(5056, 1546, 1546, 121, 4889, 0, '', NULL, NULL, NULL),
(5057, 3821, 5247, 3, 4890, 0, '', NULL, NULL, NULL),
(5058, 3821, 5248, 3, 4891, 0, '', NULL, NULL, NULL),
(5060, 1546, 1546, 122, 4882, 0, '', NULL, NULL, NULL),
(5074, 4037, 4037, 5, NULL, 1, 'Etude', NULL, NULL, NULL),
(5091, 1546, 1546, 123, 4918, 0, '', NULL, NULL, NULL),
(5107, 3821, 5247, 2, 4934, 0, '', NULL, NULL, NULL),
(5108, 3821, 5248, 2, 4935, 0, '', NULL, NULL, NULL),
(5109, 3821, 5247, 1, 4936, 0, '', NULL, NULL, NULL),
(5110, 3821, 5248, 1, 4937, 0, '', NULL, NULL, NULL),
(5111, 1546, 1546, 124, 4938, 0, '', NULL, NULL, NULL),
(5113, 1546, 1546, 126, 4940, 0, '', NULL, NULL, NULL),
(5119, 1546, 1546, 127, 4944, 0, '', NULL, NULL, NULL),
(5130, 1546, 1546, 128, 4955, 0, '', NULL, NULL, NULL),
(5131, 3815, 3815, 1, 4956, 0, NULL, NULL, NULL, NULL),
(5132, 3815, 3815, 1, 4957, 0, NULL, NULL, NULL, NULL),
(5133, 3815, 3815, 1, 4958, 0, NULL, NULL, NULL, NULL),
(5134, 1546, 1546, 129, 4959, 0, '', NULL, NULL, NULL),
(5139, 1546, 1546, 130, 4963, 0, '', NULL, NULL, NULL),
(5140, 1546, 1546, 131, 4964, 0, '', NULL, NULL, NULL),
(5149, 1546, 1546, 132, 4972, 0, '', NULL, NULL, NULL),
(5150, 1546, 1546, 133, 4973, 0, '', NULL, NULL, NULL),
(5151, 1546, 1546, 134, 4974, 0, '', NULL, NULL, NULL),
(5163, 1546, 1546, 135, 4986, 0, '', NULL, NULL, NULL),
(5164, 1546, 1546, 136, 4987, 0, '', NULL, NULL, NULL),
(5195, 1546, 1546, 137, 5016, 0, '', NULL, NULL, NULL),
(5200, 4318, 4318, 3, 5020, 0, '', NULL, NULL, NULL),
(5201, 1546, 1546, 138, 5021, 0, '', NULL, NULL, NULL),
(5202, 1546, 1546, 139, 5022, 0, '', NULL, NULL, NULL),
(5203, 1546, 1546, 140, 5023, 0, '', NULL, NULL, NULL),
(5204, 3819, 3819, 2, 5024, 0, '', NULL, NULL, NULL),
(5205, 3819, 3819, 3, 5025, 0, '', NULL, NULL, NULL),
(5218, 1546, 1546, 141, 5037, 0, '', NULL, NULL, NULL),
(5247, 3821, 3821, 1, NULL, 0, 'Spec', NULL, NULL, NULL),
(5248, 3821, 3821, 14, NULL, 0, 'Dev', NULL, NULL, NULL),
(5270, 3815, 3815, 1, 5083, 0, NULL, NULL, NULL, NULL),
(5284, 1546, 1546, 142, 5097, 0, '', NULL, NULL, NULL),
(5285, 1546, 1546, 143, 5098, 0, '', NULL, NULL, NULL),
(5286, 1546, 1546, 144, 5099, 0, '', NULL, NULL, NULL),
(10907, 8883, 10915, 4, 9510, 0, '', NULL, NULL, NULL),
(10906, 8883, 10915, 3, 9495, 0, '', NULL, NULL, NULL),
(10904, 8883, 10915, 1, 9494, 0, '', NULL, NULL, NULL),
(10905, 8883, 10915, 2, 9496, 0, '', NULL, NULL, NULL),
(5394, 1546, 1546, 145, 5229, 0, '', NULL, NULL, NULL),
(5426, 1546, 1546, 146, 5263, 0, '', NULL, NULL, NULL),
(5533, 3821, 3821, 2, 5354, 0, '', NULL, NULL, NULL),
(5447, 1546, 1546, 148, 5280, 0, '', NULL, NULL, NULL),
(5536, 1546, 1546, 149, 5357, 0, '', NULL, NULL, NULL),
(5468, 3821, 3821, 3, 5297, 0, '', NULL, NULL, NULL),
(5469, 4037, 4037, 2, 5298, 0, '', NULL, NULL, NULL),
(5512, 3815, 3815, 1, 5341, 0, NULL, NULL, NULL, NULL),
(5513, 3815, 3815, 1, 5342, 0, NULL, NULL, NULL, NULL),
(5514, 3815, 3815, 1, 5343, 0, NULL, NULL, NULL, NULL),
(5524, 1546, 1546, 150, 5344, 0, '', NULL, NULL, NULL),
(5527, 1546, 1546, 151, 5348, 0, '', NULL, NULL, NULL),
(5537, 1546, 1546, 152, 5358, 0, '', NULL, NULL, NULL),
(5539, 3820, 5801, 1, 5360, 0, '', NULL, NULL, NULL),
(5540, 3820, 6445, 1, 5361, 0, '', NULL, NULL, NULL),
(5543, 1546, 1546, 153, 5362, 0, '', NULL, NULL, NULL),
(8128, 8127, 8127, 1, 7642, 0, '', NULL, NULL, NULL),
(8127, NULL, NULL, 1, NULL, 0, 'TAIGA v15.1.2', NULL, NULL, NULL),
(8155, 1546, 1546, 154, 7486, 0, '', NULL, NULL, NULL),
(5596, 3820, 6482, 1, 5413, 0, '', NULL, NULL, NULL),
(5597, 3820, 6483, 1, 5414, 0, '', NULL, NULL, NULL),
(5599, 3820, 6482, 4, 5416, 0, '', NULL, NULL, NULL),
(5616, 3820, 6483, 3, 5433, 0, '', NULL, NULL, NULL),
(5641, 1546, 1546, 155, 5457, 0, '', NULL, NULL, NULL),
(5749, 3820, 6445, 2, 5526, 0, '', NULL, NULL, NULL),
(5750, 3820, 6445, 3, 5527, 0, '', NULL, NULL, NULL),
(5751, 3820, 6445, 4, 5528, 0, '', NULL, NULL, NULL),
(5807, 1546, 1546, 156, 5570, 0, '', NULL, NULL, NULL),
(5802, 3820, 3820, 2, NULL, 1, '40965 - Appel Prov 2016', NULL, NULL, NULL),
(13257, 13241, 13241, 6, 5536, 0, '', NULL, NULL, NULL),
(5800, 1546, 1546, 157, 5564, 0, '', NULL, NULL, NULL),
(5801, 3820, 3820, 16, NULL, 0, '40998', NULL, NULL, NULL),
(5854, 3822, 5963, 1, 5615, 0, '', NULL, NULL, NULL),
(5855, 3822, 5963, 2, 5618, 0, '', NULL, NULL, NULL),
(5856, 1546, 1546, 158, 5619, 0, '', NULL, NULL, NULL),
(5884, 1546, 1546, 159, 5630, 0, '', NULL, NULL, NULL),
(66895, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(5961, 3822, 5963, 3, 5617, 0, '', NULL, NULL, NULL),
(5962, 3822, 5963, 4, 5616, 0, '', NULL, NULL, NULL),
(5963, 3822, 3822, 23, NULL, 1, 'Livraison 15/09', NULL, NULL, NULL),
(5964, 3822, 3822, 24, NULL, 0, 'Livraison 15/10', NULL, NULL, NULL),
(5972, 3822, 3822, 1, 5710, 0, '', NULL, NULL, NULL),
(9739, 6963, 9155, 4, 8804, 0, '', NULL, NULL, NULL),
(5978, 3820, 6483, 4, 5716, 0, '', NULL, NULL, NULL),
(5979, 3820, 6483, 5, 5717, 0, '', NULL, NULL, NULL),
(5980, 3820, 6483, 6, 5718, 0, '', NULL, NULL, NULL),
(5981, 3820, 6483, 7, 5719, 0, '', NULL, NULL, NULL),
(5982, 3820, 6483, 8, 5720, 0, '', NULL, NULL, NULL),
(5983, 3820, 6483, 9, 5721, 0, '', NULL, NULL, NULL),
(5984, 3820, 6483, 10, 5722, 0, '', NULL, NULL, NULL),
(5985, 3820, 6482, 2, 5723, 0, '', NULL, NULL, NULL),
(5986, 3820, 6482, 3, 5724, 0, '', NULL, NULL, NULL),
(16230, 13396, 13396, 9, 5726, 0, '', NULL, NULL, NULL),
(5989, 1546, 1546, 163, 5727, 0, '', NULL, NULL, NULL),
(10868, 9452, 10861, 2, 5728, 0, '', NULL, NULL, NULL),
(5991, 1546, 1546, 164, 5729, 0, '', NULL, NULL, NULL),
(5992, 1546, 1546, 165, 5730, 0, '', NULL, NULL, NULL),
(6421, 1546, 1546, 166, 6132, 0, '', NULL, NULL, NULL),
(6420, 1546, 1546, 167, 6131, 0, '', NULL, NULL, NULL),
(6422, 1546, 1546, 169, 6133, 0, '', NULL, NULL, NULL),
(6423, 1546, 1546, 170, 6134, 0, '', NULL, NULL, NULL),
(6424, 1546, 1546, 171, 6135, 0, '', NULL, NULL, NULL),
(6425, 1546, 1546, 172, 6136, 0, '', NULL, NULL, NULL),
(6427, 1546, 1546, 173, 6138, 0, '', NULL, NULL, NULL),
(6429, 1546, 1546, 174, 6141, 0, '', NULL, NULL, NULL),
(6428, 1546, 1546, 175, 6139, 0, '', NULL, NULL, NULL),
(6445, 3820, 5801, 2, NULL, 1, 'dev', NULL, NULL, NULL),
(6442, 3822, 3822, 2, 6154, 0, '', NULL, NULL, NULL),
(6472, 1546, 1546, 176, 6185, 0, '', NULL, NULL, NULL),
(6474, 1546, 1546, 177, 6187, 0, '', NULL, NULL, NULL),
(10971, 8741, 10829, 2, NULL, 0, 'Evo 3en1', NULL, NULL, NULL),
(6476, 1546, 1546, 178, 6190, 0, '', NULL, NULL, NULL),
(6482, 3820, 5802, 1, NULL, 1, 'SPEC', NULL, NULL, NULL),
(6483, 3820, 5802, 2, NULL, 1, 'Dev', NULL, NULL, NULL),
(6484, 3820, 6483, 2, 5434, 0, '', NULL, NULL, NULL),
(6345, 4318, 4318, 4, 6066, 0, '', NULL, NULL, NULL),
(7798, 6796, 6796, 3, 7191, 0, '', NULL, NULL, NULL),
(6388, 4037, 4037, 3, 6103, 0, '', NULL, NULL, NULL),
(6544, 1546, 1546, 180, 6256, 0, '', NULL, NULL, NULL),
(6545, 3822, 3822, 3, 6257, 0, '', NULL, NULL, NULL),
(6546, 1546, 1546, 181, 6258, 0, '', NULL, NULL, NULL),
(6559, 1546, 1546, 182, 6271, 0, '', NULL, NULL, NULL),
(6570, 3822, 3822, 4, 6285, 0, '', NULL, NULL, NULL),
(6571, 3822, 3822, 5, 6286, 0, '', NULL, NULL, NULL),
(6579, 1546, 1546, 183, 6294, 0, '', NULL, NULL, NULL),
(6580, 1546, 1546, 184, 6295, 0, '', NULL, NULL, NULL),
(6581, 3821, 3821, 4, 6296, 0, '', NULL, NULL, NULL),
(6582, 1546, 1546, 185, 6298, 0, '', NULL, NULL, NULL),
(6583, 1546, 1546, 186, 6299, 0, '', NULL, NULL, NULL),
(6589, 1546, 1546, 187, 6305, 0, '', NULL, NULL, NULL),
(6590, 1546, 1546, 188, 6306, 0, '', NULL, NULL, NULL),
(6915, 6796, 6796, 4, 6617, 0, '', NULL, NULL, NULL),
(6778, 3820, 3820, 3, 6477, 0, '', NULL, NULL, NULL),
(6789, 1546, 1546, 189, 6486, 0, '', NULL, NULL, NULL),
(6795, 1546, 1546, 190, 6491, 0, '', NULL, NULL, NULL),
(6796, NULL, NULL, 1, NULL, 1, 'TAIGA v15.1.0_Jan', NULL, NULL, NULL),
(6914, 6796, 6796, 11, 6616, 0, '', NULL, NULL, NULL),
(6913, 1546, 1546, 191, 6615, 0, '', NULL, NULL, NULL),
(6799, 6796, 6796, 12, 4330, 0, '', NULL, NULL, NULL),
(6800, 6796, 6796, 13, 6274, 0, '', NULL, NULL, NULL),
(6801, 6796, 6796, 14, 6275, 0, '', NULL, NULL, NULL),
(6802, 6796, 6796, 15, 6494, 0, '', NULL, NULL, NULL),
(6803, 6796, 6796, 16, 6495, 0, '', NULL, NULL, NULL),
(6804, 6796, 6796, 17, 6197, 0, '', NULL, NULL, NULL),
(6805, 6796, 6796, 18, 6198, 0, '', NULL, NULL, NULL),
(6916, 1546, 1546, 192, 6618, 0, '', NULL, NULL, NULL),
(8125, 1546, 1546, 193, 7641, 0, '', NULL, NULL, NULL),
(6918, 6796, 6796, 19, 6272, 0, '', NULL, NULL, NULL),
(6917, 6796, 6796, 20, 6273, 0, '', NULL, NULL, NULL),
(7508, 1546, 1546, 194, 7112, 0, '', NULL, NULL, NULL),
(7507, 1546, 1546, 195, 7110, 0, '', NULL, NULL, NULL),
(7506, 3820, 3820, 4, 7109, 0, '', NULL, NULL, NULL),
(6873, 3820, 3820, 5, 6566, 0, '', NULL, NULL, NULL),
(7300, 3822, 3822, 6, 6932, 0, '', NULL, NULL, NULL),
(6948, 1546, 1546, 197, 6640, 0, '', NULL, NULL, NULL),
(6963, NULL, NULL, 1, NULL, 1, 'TAIGA v16.0.0', NULL, NULL, NULL),
(7877, 7859, 7859, 7, 7195, 0, '', NULL, NULL, NULL),
(7876, 7859, 7859, 6, 7194, 0, '', NULL, NULL, NULL),
(7027, 3818, 3818, 3, 6720, 0, '', NULL, NULL, NULL),
(7526, 3815, 3815, 1, 6741, 0, NULL, NULL, NULL, NULL),
(7050, NULL, NULL, 1, NULL, 0, 'GAC- Cessation - 2.0.4', NULL, NULL, NULL),
(7051, 7050, 7050, 1, 6742, 0, '', NULL, NULL, NULL),
(7052, 7050, 7050, 2, 6743, 0, '', NULL, NULL, NULL),
(7053, 7050, 7050, 3, 6744, 0, '', NULL, NULL, NULL),
(7054, 7050, 7050, 4, 6745, 0, '', NULL, NULL, NULL),
(7055, 7050, 7050, 5, 6746, 0, '', NULL, NULL, NULL),
(7056, 7050, 7050, 6, 6747, 0, '', NULL, NULL, NULL),
(7057, 7050, 7050, 7, 6748, 0, '', NULL, NULL, NULL),
(7058, 7050, 7050, 8, 6749, 0, '', NULL, NULL, NULL),
(7115, 1546, 1546, 199, 6772, 0, '', NULL, NULL, NULL),
(7296, 6796, 6796, 21, 6927, 0, '', NULL, NULL, NULL),
(7297, 6796, 7528, 3, 6929, 0, '', NULL, NULL, NULL),
(7298, 6796, 7528, 2, 6930, 0, '', NULL, NULL, NULL),
(7299, 6796, 7528, 1, 6931, 0, '', NULL, NULL, NULL),
(7393, 3820, 3820, 6, 7008, 0, '', NULL, NULL, NULL),
(7394, 3821, 3821, 5, 7021, 0, '', NULL, NULL, NULL),
(7447, 1546, 1546, 200, 7067, 0, '', NULL, NULL, NULL),
(7448, 1546, 1546, 201, 7068, 0, '', NULL, NULL, NULL),
(7875, 7859, 7882, 1, 7070, 0, '', NULL, NULL, NULL),
(7450, 1546, 1546, 202, 7071, 0, '', NULL, NULL, NULL),
(7451, 3820, 3820, 7, 7072, 0, '', NULL, NULL, NULL),
(7509, NULL, NULL, 1, NULL, 0, 'GAC- Reliquat  1.5.02', NULL, NULL, NULL),
(8625, 8610, 8627, 2, 7113, 0, '', NULL, NULL, NULL),
(8624, 8610, 8628, 2, 7114, 0, '', NULL, NULL, NULL),
(7512, NULL, 0, 1, NULL, 0, 'GAC - Compléments 2.0.4', 'NULL', 'NULL', 'NULL'),
(9101, 8610, 9163, 3, 8362, 0, '', NULL, NULL, NULL),
(9100, 8610, 9163, 2, 7796, 0, '', NULL, NULL, NULL),
(7515, 7512, 7512, 1, 7117, 0, NULL, 'NULL', 'NULL', 'NULL'),
(7516, 7512, 7512, 2, 7118, 0, NULL, 'NULL', 'NULL', 'NULL'),
(7518, 7512, 7512, 3, 7120, 0, NULL, 'NULL', 'NULL', 'NULL'),
(7519, 1546, 1546, 203, 7121, 0, '', NULL, NULL, NULL),
(7524, 1546, 1546, 204, 6928, 0, '', NULL, NULL, NULL),
(7525, 1546, 1546, 205, 7005, 0, '', NULL, NULL, NULL),
(7527, 1546, 1546, 206, 6826, 0, '', NULL, NULL, NULL),
(7528, 6796, 6796, 22, NULL, 0, '41540 DSI', NULL, NULL, NULL),
(8129, 8127, 8127, 2, 7643, 0, '', NULL, NULL, NULL),
(7530, 1546, 1546, 207, 7111, 0, '', NULL, NULL, NULL),
(7606, 1546, 1546, 208, 7193, 0, '', NULL, NULL, NULL),
(7874, 7859, 7859, 5, 6662, 0, '', NULL, NULL, NULL),
(7873, 7859, 7859, 4, 6656, 0, '', NULL, NULL, NULL),
(9760, NULL, NULL, 1, NULL, 1, 'TAIGA v16.0.P_3en1', NULL, NULL, NULL),
(7655, 1546, 1546, 209, 7242, 0, '', NULL, NULL, NULL),
(7656, 1546, 1546, 210, 7243, 0, '', NULL, NULL, NULL),
(7823, 1546, 1546, 212, 7393, 0, '', NULL, NULL, NULL),
(7793, 6796, 6796, 5, 7369, 0, '', NULL, NULL, NULL),
(7794, 6796, 6796, 6, 7192, 0, '', NULL, NULL, NULL),
(7814, 6963, 6963, 7, NULL, 1, 'Evol', NULL, NULL, NULL),
(7824, 1546, 1546, 215, 7394, 0, '', NULL, NULL, NULL),
(8331, 1546, 1546, 217, 7558, 0, '', NULL, NULL, NULL),
(7847, 3819, 3819, 4, 7418, 0, '', NULL, NULL, NULL),
(7848, 3820, 3820, 8, 7419, 0, '', NULL, NULL, NULL),
(7849, 3820, 3820, 9, 7420, 0, '', NULL, NULL, NULL),
(7850, 3820, 3820, 10, 7421, 0, '', NULL, NULL, NULL),
(7851, 3820, 3820, 11, 7422, 0, '', NULL, NULL, NULL),
(7852, 3820, 3820, 12, 7423, 0, '', NULL, NULL, NULL),
(7853, 3820, 3820, 13, 7424, 0, '', NULL, NULL, NULL),
(7857, 3820, 3820, 14, 7425, 0, '', NULL, NULL, NULL),
(7878, 7859, 7882, 4, 7378, 0, '', NULL, NULL, NULL),
(7859, NULL, NULL, 1, NULL, 1, 'TAIGA v15.1.0 Mars', NULL, NULL, NULL),
(7860, 7859, 7859, 8, 7427, 0, '', NULL, NULL, NULL),
(7861, 7859, 7859, 1, 7428, 0, '', NULL, NULL, NULL),
(7862, 7859, 7859, 3, 7429, 0, '', NULL, NULL, NULL),
(7863, 3821, 3821, 6, 7430, 0, '', NULL, NULL, NULL),
(7879, 7859, 7882, 3, 7379, 0, '', NULL, NULL, NULL),
(7880, 7859, 7882, 5, 7380, 0, '', NULL, NULL, NULL),
(7881, 7859, 7882, 6, 7381, 0, '', NULL, NULL, NULL),
(7882, 7859, 7859, 9, NULL, 1, 'DSI - 41541', NULL, NULL, NULL),
(9147, NULL, NULL, 1, NULL, 0, 'GAC 2.0', NULL, NULL, NULL),
(7948, 3819, 3819, 5, 3467, 0, '', NULL, NULL, NULL),
(16312, 11619, 12685, 5, 12288, 0, '', 'NULL', 'NULL', 'NULL'),
(7953, 3822, 3822, 7, 7148, 0, '', NULL, NULL, NULL),
(7955, 3821, 3821, 7, 6969, 0, '', NULL, NULL, NULL),
(7956, 3821, 3821, 8, 6968, 0, '', NULL, NULL, NULL),
(7957, 3820, 3820, 15, 6965, 0, '', NULL, NULL, NULL),
(7958, 3818, 3818, 4, 6284, 0, '', NULL, NULL, NULL),
(7959, 3821, 3821, 9, 6210, 0, '', NULL, NULL, NULL),
(7960, NULL, NULL, 1, NULL, 0, 'TAIGA v15.0.1', NULL, NULL, NULL),
(7961, 7960, 7960, 1, 6188, 0, '', NULL, NULL, NULL),
(7962, 3821, 3821, 10, 6180, 0, '', NULL, NULL, NULL),
(7963, 3818, 3818, 5, 6179, 0, '', NULL, NULL, NULL),
(7964, 7960, 7960, 2, 6067, 0, '', NULL, NULL, NULL),
(7965, 3818, 3818, 6, 6058, 0, '', NULL, NULL, NULL),
(7966, 3815, 3815, 1, 6036, 0, NULL, NULL, NULL, NULL),
(7967, 3821, 3821, 11, 6022, 0, '', NULL, NULL, NULL),
(7968, 3822, 3822, 8, 6021, 0, '', NULL, NULL, NULL),
(7969, 3822, 3822, 9, 5516, 0, '', NULL, NULL, NULL),
(7970, 3815, 3815, 1, 5453, 0, NULL, NULL, NULL, NULL),
(7971, 3818, 3818, 7, 5412, 0, '', NULL, NULL, NULL),
(7972, 3815, 3815, 1, 5407, 0, NULL, NULL, NULL, NULL),
(7973, 3851, 3851, 1, 5345, 0, NULL, NULL, NULL, NULL),
(7974, 3821, 3821, 12, 5279, 0, '', NULL, NULL, NULL),
(7975, 3821, 3821, 13, 5232, 0, '', NULL, NULL, NULL),
(7976, 3815, 3815, 1, 4657, 0, NULL, NULL, NULL, NULL),
(7977, 3815, 3815, 1, 4624, 0, NULL, NULL, NULL, NULL),
(7978, 4318, 4318, 5, 4260, 0, '', NULL, NULL, NULL),
(7979, 3815, 3815, 1, 4259, 0, NULL, NULL, NULL, NULL),
(7981, 1546, 1546, 218, 7498, 0, '', NULL, NULL, NULL),
(9156, 8610, 9163, 1, 7556, 0, '', NULL, NULL, NULL),
(8888, 8883, 8889, 1, 7814, 0, '', NULL, NULL, NULL),
(8110, 1546, 1546, 219, 7626, 0, '', NULL, NULL, NULL),
(8113, 1546, 1546, 220, 7629, 0, '', NULL, NULL, NULL),
(8114, 1546, 1546, 221, 7630, 0, '', NULL, NULL, NULL),
(8130, 1546, 1546, 222, 7644, 0, '', NULL, NULL, NULL),
(8139, 7509, 7509, 1, 7653, 0, '', NULL, NULL, NULL),
(8140, 7509, 7509, 2, 7654, 0, '', NULL, NULL, NULL),
(8141, 7509, 7509, 3, 7655, 0, '', NULL, NULL, NULL),
(8142, 7509, 7509, 4, 7656, 0, '', NULL, NULL, NULL),
(8620, 8610, 8628, 4, 7657, 0, '', NULL, NULL, NULL),
(8619, 8610, 8628, 6, 8067, 0, '', NULL, NULL, NULL),
(8145, 7509, 7509, 5, 7659, 0, '', NULL, NULL, NULL),
(8148, 1546, 1546, 224, 6970, 0, '', NULL, NULL, NULL),
(8149, 1546, 1546, 225, 7660, 0, '', NULL, NULL, NULL),
(8150, 1546, 1546, 226, 7661, 0, '', NULL, NULL, NULL),
(8227, 8127, 8127, 3, 7703, 0, '', NULL, NULL, NULL),
(8228, 8127, 8127, 4, 7704, 0, '', NULL, NULL, NULL),
(8231, 8127, 8127, 5, 7707, 0, '', NULL, NULL, NULL),
(8232, 8127, 8127, 6, 7708, 0, '', NULL, NULL, NULL),
(8277, 1546, 1546, 228, 7754, 0, '', NULL, NULL, NULL),
(8887, 8883, 8886, 1, 7813, 0, '', NULL, NULL, NULL),
(8281, 4037, 4037, 4, 7758, 0, '', NULL, NULL, NULL),
(8312, 1546, 1546, 229, 7794, 0, '', NULL, NULL, NULL),
(8313, 1546, 1546, 230, 7795, 0, '', NULL, NULL, NULL),
(8315, 1546, 1546, 232, 7797, 0, '', NULL, NULL, NULL),
(8316, 1546, 1546, 233, 7798, 0, '', NULL, NULL, NULL),
(8330, 1546, 1546, 234, 7407, 0, '', NULL, NULL, NULL),
(8439, 7859, 7882, 7, 7894, 0, '', NULL, NULL, NULL),
(8442, 1546, 1546, 235, 7899, 0, '', NULL, NULL, NULL),
(8443, 1546, 1546, 236, 7901, 0, '', NULL, NULL, NULL),
(8444, 1546, 1546, 237, 7902, 0, '', NULL, NULL, NULL),
(8527, 1546, 1546, 238, 7985, 0, '', NULL, NULL, NULL),
(11633, 10830, 10835, 8, 7392, 0, '', NULL, NULL, NULL),
(11632, 10830, 10835, 7, 7391, 0, '', NULL, NULL, NULL),
(16311, 11619, 75996, 2, 12287, 0, '', 'NULL', 'NULL', 'NULL'),
(9452, NULL, NULL, 1, NULL, 1, 'TAIGA v16.0.0_PROV', NULL, NULL, NULL),
(9898, 8610, 8610, 1, 8926, 0, '', NULL, NULL, NULL),
(8595, 1546, 1546, 239, 8041, 0, '', NULL, NULL, NULL),
(8601, NULL, NULL, 1, NULL, 1, 'GAC 1.5.5 (Patch)', NULL, NULL, NULL),
(8602, 8601, 8630, 1, 7656, 0, '', NULL, NULL, NULL),
(8603, 8601, 8629, 1, 7655, 0, '', NULL, NULL, NULL),
(8604, 8601, 8629, 2, 7654, 0, '', NULL, NULL, NULL),
(8605, 8601, 8630, 2, 7653, 0, '', NULL, NULL, NULL),
(8607, 8601, 8734, 1, 7985, 0, '', NULL, NULL, NULL),
(8608, 8601, 8629, 3, 8063, 0, '', NULL, NULL, NULL),
(8609, 8601, 8630, 3, 8064, 0, '', NULL, NULL, NULL),
(8610, NULL, NULL, 1, NULL, 1, 'GAC 1.7', NULL, NULL, NULL),
(8617, 8610, 8627, 6, 8065, 0, '', NULL, NULL, NULL),
(8612, 8610, 8628, 5, 8072, 0, '', NULL, NULL, NULL),
(8613, 8610, 8627, 4, 8073, 0, '', NULL, NULL, NULL),
(8614, 8610, 8627, 5, 8074, 0, '', NULL, NULL, NULL),
(8615, 8610, 8627, 3, 8075, 0, '', NULL, NULL, NULL),
(8616, 8610, 8628, 3, 8076, 0, '', NULL, NULL, NULL),
(9782, 8610, 8610, 8, NULL, 0, 'GAC 1.7.2', NULL, NULL, NULL),
(8627, 8610, 9782, 1, NULL, 1, 'Spec', NULL, NULL, NULL),
(8628, 8610, 9782, 2, NULL, 1, 'Dev', NULL, NULL, NULL),
(8629, 8601, 8601, 4, NULL, 1, 'Spec', NULL, NULL, NULL),
(8630, 8601, 8601, 5, NULL, 1, 'Dev', NULL, NULL, NULL),
(8640, 6796, 6796, 7, 8086, 0, '', NULL, NULL, NULL),
(8702, 3815, 3815, 1, 3479, 0, NULL, NULL, NULL, NULL),
(8728, 1546, 1546, 242, 8130, 0, '', NULL, NULL, NULL),
(8734, 8601, 8601, 3, NULL, 1, 'Anomalies', NULL, NULL, NULL),
(8735, 3815, 3815, 1, 3682, 0, NULL, NULL, NULL, NULL),
(8736, 3815, 3815, 1, 3683, 0, NULL, NULL, NULL, NULL),
(8747, 8741, 9165, 1, 8147, 0, '', NULL, NULL, NULL),
(12246, 10830, 10837, 5, 10621, 0, '', NULL, NULL, NULL),
(8750, 8741, 9165, 2, 8148, 0, '', NULL, NULL, NULL),
(8752, 8741, 9165, 3, 8149, 0, '', NULL, NULL, NULL),
(8753, 8741, 9165, 4, 7645, 0, '', NULL, NULL, NULL),
(8755, 8741, 9165, 5, 8150, 0, '', NULL, NULL, NULL),
(8756, 8741, 10824, 1, NULL, 1, 'Anomalies', NULL, NULL, NULL),
(8757, 8741, 8892, 1, NULL, 1, 'Spec', NULL, NULL, NULL),
(8758, 8741, 8892, 2, NULL, 1, 'Dev', NULL, NULL, NULL),
(9738, 6963, 6963, 1, 8802, 0, '', NULL, NULL, NULL),
(8935, 8883, 8886, 2, 8133, 0, '', NULL, NULL, NULL),
(8934, 8883, 8883, 1, 8181, 0, '', NULL, NULL, NULL),
(8932, 6963, 9154, 3, 8180, 0, '', NULL, NULL, NULL),
(8929, 6963, 9155, 8, 5711, 0, '', NULL, NULL, NULL),
(8928, 6963, 9154, 4, 6153, 0, '', NULL, NULL, NULL),
(8927, 6963, 6963, 6, NULL, 1, 'Ano', NULL, NULL, NULL),
(8922, 1546, 1546, 249, 8176, 0, '', NULL, NULL, NULL),
(8912, 8741, 9165, 6, 8171, 0, '', NULL, NULL, NULL),
(8911, 1546, 1546, 251, 8171, 0, '', NULL, NULL, NULL),
(8892, 8741, 10824, 2, NULL, 1, 'Evol', NULL, NULL, NULL),
(8889, 8883, 8883, 4, NULL, 1, 'DEVT', NULL, NULL, NULL),
(8886, 8883, 8883, 3, NULL, 1, 'SPEC', NULL, NULL, NULL),
(8885, 8883, 8889, 2, 8145, 0, '', NULL, NULL, NULL),
(8884, 8883, 8886, 3, 8144, 0, '', NULL, NULL, NULL),
(8883, NULL, NULL, 1, NULL, 1, 'TAIGA V15.1.0_PUMA', NULL, NULL, NULL),
(9031, 8741, 8757, 2, 8289, 0, '', NULL, NULL, NULL),
(9032, 8741, 8758, 1, 8290, 0, '', NULL, NULL, NULL),
(9033, 6796, 6796, 8, 8291, 0, '', NULL, NULL, NULL),
(9042, 8741, 9173, 1, 8298, 0, '', NULL, NULL, NULL),
(9044, 8741, 9173, 2, 8299, 0, '', NULL, NULL, NULL),
(9045, 8741, 9173, 3, 8300, 0, '', NULL, NULL, NULL),
(9046, 8741, 9173, 5, 8301, 0, '', NULL, NULL, NULL),
(9047, 8741, 9173, 6, 8302, 0, '', NULL, NULL, NULL),
(9048, 8741, 9173, 7, 8303, 0, '', NULL, NULL, NULL),
(9049, 8741, 9173, 8, 8304, 0, '', NULL, NULL, NULL),
(9051, 8741, 9173, 9, 8305, 0, '', NULL, NULL, NULL),
(9076, 3822, 3822, 10, 8344, 0, '', NULL, NULL, NULL),
(9102, 8610, 8610, 4, 8363, 0, '', NULL, NULL, NULL),
(9104, NULL, NULL, 1, NULL, 1, 'GAC 1.5.6 (Patch)', NULL, NULL, NULL),
(9120, 9104, 9125, 1, 8066, 0, '', NULL, NULL, NULL),
(9121, 9104, 9124, 1, 8062, 0, '', NULL, NULL, NULL),
(9122, 9104, 9123, 1, 8132, 0, '', NULL, NULL, NULL),
(9123, 9104, 9104, 3, NULL, 1, 'Anomalies', NULL, NULL, NULL),
(9124, 9104, 9104, 4, NULL, 1, 'Spec', NULL, NULL, NULL),
(9125, 9104, 9104, 5, NULL, 1, 'Dev', NULL, NULL, NULL),
(9126, NULL, NULL, 1, NULL, 1, 'GAC 1.5 Patch', NULL, NULL, NULL),
(9127, 9126, 9126, 1, 8364, 0, '', NULL, NULL, NULL),
(9128, 9126, 9126, 2, 8131, 0, '', NULL, NULL, NULL),
(9129, 9126, 9126, 3, 8132, 0, '', NULL, NULL, NULL),
(9130, 9126, 9126, 4, 8130, 0, '', NULL, NULL, NULL),
(13256, 13241, 13241, 7, 8386, 0, '', NULL, NULL, NULL),
(13258, 13241, 13241, 8, 8387, 0, '', NULL, NULL, NULL),
(9151, 9104, 9104, 2, 8388, 0, '', NULL, NULL, NULL),
(9154, 6963, 7814, 2, NULL, 1, 'Spec', NULL, NULL, NULL),
(9155, 6963, 7814, 3, NULL, 1, 'Dev', NULL, NULL, NULL),
(9162, 8610, 8610, 5, 8395, 0, '', NULL, NULL, NULL),
(9163, 8610, 8610, 7, NULL, 1, 'GAC 1.7.1', NULL, NULL, NULL),
(9165, 8741, 8756, 1, NULL, 1, '3en1', NULL, NULL, NULL),
(9457, 7859, 7859, 2, 8620, 0, '', NULL, NULL, NULL),
(9675, 8741, 9173, 4, 8554, 0, '', NULL, NULL, NULL),
(9173, 8741, 8756, 2, NULL, 0, 'DSI', NULL, NULL, NULL),
(9174, 8741, 8756, 3, NULL, 1, 'Nouveau dossier', NULL, NULL, NULL),
(9175, 8741, 9165, 7, 8404, 0, '', NULL, NULL, NULL),
(9897, 8601, 8601, 2, 8925, 0, '', NULL, NULL, NULL),
(9363, 7050, 7050, 9, 8551, 0, '', NULL, NULL, NULL),
(9364, 9104, 9104, 1, 8552, 0, '', NULL, NULL, NULL),
(67210, 39592, 94947, 1, 7395, 0, '', NULL, NULL, NULL),
(9541, 3822, 3822, 11, 8669, 0, '', NULL, NULL, NULL),
(9573, 6963, 9154, 5, 8712, 0, '', NULL, NULL, NULL),
(9574, 6963, 9155, 7, 8713, 0, '', NULL, NULL, NULL),
(9729, 6963, 9154, 1, 8795, 0, '', NULL, NULL, NULL),
(9730, 6963, 9155, 5, 8796, 0, '', NULL, NULL, NULL),
(9731, 1546, 1546, 279, 8797, 0, '', NULL, NULL, NULL),
(9732, 6963, 9154, 8, 8797, 0, '', NULL, NULL, NULL),
(9734, 6963, 8927, 3, 8798, 0, '', NULL, NULL, NULL),
(9735, 6963, 9154, 2, 8799, 0, '', NULL, NULL, NULL),
(9736, 6963, 9155, 6, 8800, 0, '', NULL, NULL, NULL),
(9757, 6796, 6796, 9, 8836, 0, '', NULL, NULL, NULL),
(11493, 10830, 13016, 1, 8840, 0, '', NULL, NULL, NULL),
(9765, 9760, 9767, 1, 8842, 0, '', NULL, NULL, NULL),
(9767, 9760, 9760, 1, NULL, 1, 'Evol', NULL, NULL, NULL),
(9780, 8610, 8627, 1, 8845, 0, '', NULL, NULL, NULL),
(9781, 8610, 8628, 1, 8846, 0, '', NULL, NULL, NULL),
(10840, 10830, 10835, 5, 9459, 0, '', NULL, NULL, NULL),
(9874, 1546, 1546, 285, 8903, 0, '', NULL, NULL, NULL),
(11753, 6963, 11751, 1, 9452, 0, '', NULL, NULL, NULL),
(9912, 6963, 9154, 6, 8941, 0, '', NULL, NULL, NULL),
(9913, 6963, 9155, 3, 8942, 0, '', NULL, NULL, NULL),
(13253, 13241, 13241, 9, 8949, 0, '', NULL, NULL, NULL),
(9923, 6963, 7814, 1, 8951, 0, '', NULL, NULL, NULL),
(14755, 9452, 10865, 2, NULL, 0, 'Etudes', NULL, NULL, NULL),
(10127, 6963, 8927, 2, 8793, 0, '', NULL, NULL, NULL),
(10128, 6963, 9154, 7, 9025, 0, '', NULL, NULL, NULL),
(10129, 6963, 9155, 2, 9026, 0, '', NULL, NULL, NULL),
(43163, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(10211, 8883, 8886, 4, 9102, 0, '', NULL, NULL, NULL),
(10212, 8883, 8889, 3, 9103, 0, '', NULL, NULL, NULL),
(10462, 1546, 1546, 297, 9307, 0, '', NULL, NULL, NULL),
(10473, 6963, 9155, 1, 9318, 0, '', NULL, NULL, NULL),
(12440, 12439, 12439, 1, 10659, 0, '', NULL, NULL, NULL),
(10621, 1546, 1546, 304, 3889, 0, '', NULL, NULL, NULL),
(10622, 1546, 1546, 305, 3890, 0, '', NULL, NULL, NULL),
(10623, 1546, 1546, 306, 3907, 0, '', NULL, NULL, NULL),
(10624, 1546, 1546, 307, 3908, 0, '', NULL, NULL, NULL),
(10625, 1546, 1546, 308, 3909, 0, '', NULL, NULL, NULL),
(10626, 1546, 1546, 309, 4246, 0, '', NULL, NULL, NULL),
(10627, 1546, 1546, 310, 4336, 0, '', NULL, NULL, NULL),
(10628, 1546, 1546, 311, 4456, 0, '', NULL, NULL, NULL),
(10629, 1546, 1546, 312, 4496, 0, '', NULL, NULL, NULL),
(10630, 1546, 1546, 313, 4623, 0, '', NULL, NULL, NULL),
(10631, 1546, 1546, 314, 4624, 0, '', NULL, NULL, NULL),
(10632, 1546, 1546, 315, 4657, 0, '', NULL, NULL, NULL),
(10633, 1546, 1546, 316, 4658, 0, '', NULL, NULL, NULL),
(10634, 1546, 1546, 317, 4683, 0, '', NULL, NULL, NULL),
(10635, 1546, 1546, 318, 5216, 0, '', NULL, NULL, NULL),
(10636, 1546, 1546, 319, 5215, 0, '', NULL, NULL, NULL),
(10637, 1546, 1546, 320, 5214, 0, '', NULL, NULL, NULL),
(10638, 1546, 1546, 321, 4867, 0, '', NULL, NULL, NULL),
(10639, 1546, 1546, 322, 4868, 0, '', NULL, NULL, NULL),
(10640, 1546, 1546, 323, 4869, 0, '', NULL, NULL, NULL),
(10641, 1546, 1546, 324, 4870, 0, '', NULL, NULL, NULL),
(10644, 1546, 1546, 327, 4875, 0, '', NULL, NULL, NULL),
(10645, 1546, 1546, 328, 4876, 0, '', NULL, NULL, NULL),
(10646, 1546, 1546, 329, 4877, 0, '', NULL, NULL, NULL),
(10647, 1546, 1546, 330, 4878, 0, '', NULL, NULL, NULL),
(10648, 1546, 1546, 331, 4883, 0, '', NULL, NULL, NULL),
(10649, 1546, 1546, 332, 4884, 0, '', NULL, NULL, NULL),
(10650, 1546, 1546, 333, 5341, 0, '', NULL, NULL, NULL),
(10651, 1546, 1546, 334, 5342, 0, '', NULL, NULL, NULL),
(10652, 1546, 1546, 335, 5343, 0, '', NULL, NULL, NULL),
(10653, 1546, 1546, 336, 5407, 0, '', NULL, NULL, NULL),
(10654, 1546, 1546, 337, 5453, 0, '', NULL, NULL, NULL),
(10655, 1546, 1546, 338, 5516, 0, '', NULL, NULL, NULL),
(10656, 1546, 1546, 339, 5710, 0, '', NULL, NULL, NULL),
(10657, 1546, 1546, 340, 5728, 0, '', NULL, NULL, NULL),
(10658, 1546, 1546, 341, 6021, 0, '', NULL, NULL, NULL),
(10659, 1546, 1546, 342, 6022, 0, '', NULL, NULL, NULL),
(10660, 1546, 1546, 343, 6066, 0, '', NULL, NULL, NULL),
(10661, 1546, 1546, 344, 6067, 0, '', NULL, NULL, NULL),
(10662, 1546, 1546, 345, 6140, 0, '', NULL, NULL, NULL),
(10663, 1546, 1546, 346, 6180, 0, '', NULL, NULL, NULL),
(10664, 1546, 1546, 347, 6188, 0, '', NULL, NULL, NULL),
(10665, 1546, 1546, 348, 6210, 0, '', NULL, NULL, NULL),
(10666, 1546, 1546, 349, 6284, 0, '', NULL, NULL, NULL),
(10667, 1546, 1546, 350, 6296, 0, '', NULL, NULL, NULL),
(10668, 1546, 1546, 351, 6297, 0, '', NULL, NULL, NULL),
(10669, 1546, 1546, 352, 6301, 0, '', NULL, NULL, NULL),
(10670, 1546, 1546, 353, 6477, 0, '', NULL, NULL, NULL),
(10671, 1546, 1546, 354, 6482, 0, '', NULL, NULL, NULL),
(10672, 1546, 1546, 355, 6490, 0, '', NULL, NULL, NULL),
(10673, 1546, 1546, 356, 6516, 0, '', NULL, NULL, NULL),
(10674, 1546, 1546, 357, 6517, 0, '', NULL, NULL, NULL),
(10675, 1546, 1546, 358, 6539, 0, '', NULL, NULL, NULL),
(10676, 1546, 1546, 359, 6720, 0, '', NULL, NULL, NULL),
(10677, 1546, 1546, 360, 6741, 0, '', NULL, NULL, NULL),
(10678, 1546, 1546, 361, 6932, 0, '', NULL, NULL, NULL),
(10679, 1546, 1546, 362, 6965, 0, '', NULL, NULL, NULL),
(10680, 1546, 1546, 363, 7020, 0, '', NULL, NULL, NULL),
(10681, 1546, 1546, 364, 7133, 0, '', NULL, NULL, NULL),
(10682, 1546, 1546, 365, 7278, 0, '', NULL, NULL, NULL),
(10683, 1546, 1546, 366, 7406, 0, '', NULL, NULL, NULL),
(10684, 1546, 1546, 367, 7408, 0, '', NULL, NULL, NULL),
(10685, 1546, 1546, 368, 7409, 0, '', NULL, NULL, NULL),
(10686, 1546, 1546, 369, 7424, 0, '', NULL, NULL, NULL),
(10687, 1546, 1546, 370, 7425, 0, '', NULL, NULL, NULL),
(13638, 13396, 13396, 10, 7495, 0, '', NULL, NULL, NULL),
(10689, 1546, 1546, 371, 7556, 0, '', NULL, NULL, NULL),
(10690, 1546, 1546, 372, 7557, 0, '', NULL, NULL, NULL),
(10691, 1546, 1546, 373, 7758, 0, '', NULL, NULL, NULL),
(10692, 1546, 1546, 374, 7900, 0, '', NULL, NULL, NULL),
(10694, 1546, 1546, 376, 7937, 0, '', NULL, NULL, NULL),
(10695, 1546, 1546, 377, 8086, 0, '', NULL, NULL, NULL),
(10972, 8741, 10829, 1, NULL, 1, 'Anomalies', NULL, NULL, NULL),
(10805, 8741, 10971, 1, 6189, 0, '', NULL, NULL, NULL),
(10806, 8741, 10972, 9, 5713, 0, '', NULL, NULL, NULL),
(10807, 8741, 10972, 8, 5714, 0, '', NULL, NULL, NULL),
(10808, 8741, 10972, 7, 8153, 0, '', NULL, NULL, NULL),
(10809, 8741, 10972, 6, 9308, 0, '', NULL, NULL, NULL),
(10811, 8741, 10972, 5, 8711, 0, '', NULL, NULL, NULL),
(10812, 8741, 10972, 4, 9309, 0, '', NULL, NULL, NULL),
(10814, 8741, 10972, 3, 8835, 0, '', NULL, NULL, NULL),
(10816, 8741, 10972, 2, 9310, 0, '', NULL, NULL, NULL),
(10817, 8741, 10972, 1, 9311, 0, '', NULL, NULL, NULL),
(10819, 6963, 7814, 4, 8905, 0, '', NULL, NULL, NULL),
(10824, 8741, 8741, 3, NULL, 0, 'Lot 1', NULL, NULL, NULL),
(10825, 8741, 8741, 5, NULL, 1, 'Lot 2 (Livraison 29/03)', NULL, NULL, NULL),
(10826, 8741, 10828, 1, 9456, 0, '', NULL, NULL, NULL),
(10827, 8741, 10828, 2, 9457, 0, '', NULL, NULL, NULL),
(10828, 8741, 10825, 3, NULL, 1, 'DSI', NULL, NULL, NULL),
(10829, 8741, 10825, 2, NULL, 1, '3en1', NULL, NULL, NULL),
(10830, NULL, NULL, 1, NULL, 1, 'TAIGA v16.0.0_TO', NULL, NULL, NULL),
(11587, 10830, 11594, 4, NULL, 0, 'Refusé Real / Annulé', NULL, NULL, NULL),
(10832, 10830, 10838, 2, 8839, 0, '', NULL, NULL, NULL),
(10833, 10830, 10837, 2, 8838, 0, '', NULL, NULL, NULL),
(10834, 10830, 10830, 1, NULL, 1, 'Lot 1 ( Livraison 28/06 )', NULL, NULL, NULL),
(10835, 10830, 11594, 3, NULL, 0, 'Anomalies', NULL, NULL, NULL),
(10836, 10830, 11594, 2, NULL, 0, 'Evolutions', NULL, NULL, NULL),
(10837, 10830, 10836, 1, NULL, 1, 'Spec ( Livraison 20/05 )', NULL, NULL, NULL),
(10838, 10830, 10836, 2, NULL, 0, 'Dev', NULL, NULL, NULL),
(10844, 10830, 10835, 4, 9463, 0, '', NULL, NULL, NULL),
(10845, 10830, 11587, 1, 9464, 0, '', NULL, NULL, NULL),
(14691, 10830, 11231, 3, NULL, 1, '42783', NULL, NULL, NULL),
(10847, 10830, 10835, 3, 9466, 0, '', NULL, NULL, NULL),
(10848, 10830, 11587, 2, 9467, 0, '', NULL, NULL, NULL),
(10849, 10830, 16232, 2, 9468, 0, '', NULL, NULL, NULL),
(10850, 10830, 11587, 5, 9469, 0, '', NULL, NULL, NULL),
(10851, 10830, 10838, 1, 9470, 0, '', NULL, NULL, NULL),
(10852, 10830, 10837, 1, 9471, 0, '', NULL, NULL, NULL),
(10853, 10830, 11860, 1, 9472, 0, '', NULL, NULL, NULL),
(10855, 10830, 11587, 4, 9474, 0, '', NULL, NULL, NULL),
(10908, 8883, 10915, 5, 9511, 0, '', NULL, NULL, NULL),
(13559, 11282, 11282, 1, 7069, 0, '', NULL, NULL, NULL),
(10861, 9452, 9452, 3, NULL, 0, 'Anomalies Prod', NULL, NULL, NULL),
(10862, 9452, 10865, 3, NULL, 0, 'Evolutions', NULL, NULL, NULL),
(10863, 9452, 10862, 1, NULL, 1, 'Spec ( Livraison 15/07 )', NULL, NULL, NULL),
(10864, 9452, 10862, 2, NULL, 1, 'Dev', NULL, NULL, NULL),
(10865, 9452, 9452, 1, NULL, 1, 'Lot 1 ( Livraison 23/08 )', NULL, NULL, NULL),
(10866, 9452, 10863, 1, 4324, 0, '', NULL, NULL, NULL),
(10869, 9452, 10861, 3, 4284, 0, '', NULL, NULL, NULL),
(13396, NULL, NULL, 1, NULL, 0, 'TAIGA Forfait Anomalies 2016', NULL, NULL, NULL),
(10871, 9452, 10861, 4, 4288, 0, '', NULL, NULL, NULL),
(13561, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13560, 6796, 6796, 10, 7896, 0, '', NULL, NULL, NULL),
(10909, 8883, 10915, 6, 9512, 0, '', NULL, NULL, NULL),
(10910, 8883, 10915, 7, 9513, 0, '', NULL, NULL, NULL),
(10911, 8883, 10915, 8, 9514, 0, '', NULL, NULL, NULL),
(10912, 8883, 10915, 9, 9515, 0, '', NULL, NULL, NULL),
(10913, 8883, 10915, 10, 9516, 0, '', NULL, NULL, NULL),
(10914, 8883, 8883, 2, NULL, 1, 'Anomalies', NULL, NULL, NULL),
(10915, 8883, 10914, 1, NULL, 1, 'FC30', NULL, NULL, NULL),
(10970, 8741, 8741, 4, 3830, 0, '', NULL, NULL, NULL),
(11002, 6963, 8927, 1, 9601, 0, '', NULL, NULL, NULL),
(11024, 1546, 1546, 391, 9628, 0, '', NULL, NULL, NULL),
(11026, 1546, 1546, 392, 9630, 0, '', NULL, NULL, NULL),
(11056, 8741, 10972, 10, 9445, 0, '', NULL, NULL, NULL),
(11057, 8741, 10825, 1, 9631, 0, '', NULL, NULL, NULL),
(14334, 13396, 13396, 53, 11664, 0, '', NULL, NULL, NULL),
(15813, 11619, 11862, 3, 12183, 0, '', 'NULL', 'NULL', 'NULL'),
(11283, 11282, 11282, 2, 4939, 0, '', NULL, NULL, NULL),
(11282, NULL, NULL, 1, NULL, 0, 'TAIGA v15.1.P_Avril', NULL, NULL, NULL),
(11231, 10830, 11594, 1, NULL, 1, 'Etudes', NULL, NULL, NULL),
(11624, 11619, 11795, 4, 8146, 0, '', 'NULL', 'NULL', 'NULL'),
(11621, 11619, 11797, 2, 9684, 0, '', 'NULL', 'NULL', 'NULL'),
(11622, 11619, 11797, 3, 9683, 0, '', 'NULL', 'NULL', 'NULL'),
(11623, 11619, 66427, 1, 8454, 0, '', 'NULL', 'NULL', 'NULL'),
(12361, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(11507, NULL, NULL, 1, NULL, 1, 'Controle de Residence', NULL, NULL, NULL),
(11508, 11507, 14868, 1, 10087, 0, '', NULL, NULL, NULL),
(11509, 11507, 14870, 2, 9633, 0, '', NULL, NULL, NULL),
(11510, 11507, 14869, 1, 9632, 0, '', NULL, NULL, NULL),
(11518, 9452, 10864, 2, 10046, 0, '', NULL, NULL, NULL),
(11566, 10830, 10837, 3, 10144, 0, '', NULL, NULL, NULL),
(11567, 10830, 10838, 5, 10145, 0, '', NULL, NULL, NULL),
(11571, 1546, 1546, 401, 10148, 0, '', NULL, NULL, NULL),
(11748, 6963, 6963, 8, NULL, 1, '16.0.1-19 Mai', NULL, NULL, NULL),
(12708, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(11586, 10830, 10835, 2, 6723, 0, '', NULL, NULL, NULL),
(11588, 10830, 16232, 1, 6636, 0, '', NULL, NULL, NULL),
(11589, 10830, 11587, 3, 8842, 0, '', NULL, NULL, NULL),
(11590, 10830, 11231, 1, 9674, 0, '', NULL, NULL, NULL),
(11636, 10830, 10835, 10, 8403, 0, '', NULL, NULL, NULL),
(11594, 10830, 10834, 2, NULL, 1, '3en1', NULL, NULL, NULL),
(11619, NULL, 0, 1, NULL, 1, 'TAIGA v18.0_PUMA', 'NULL', 'NULL', 'NULL'),
(11620, 11619, 11797, 4, 9685, 0, '', 'NULL', 'NULL', 'NULL'),
(11635, 10830, 10835, 9, 8327, 0, '', NULL, NULL, NULL),
(11637, 10830, 14691, 1, 10193, 0, '', NULL, NULL, NULL),
(11628, 11282, 11282, 3, 9493, 0, '', NULL, NULL, NULL),
(11638, 10830, 11231, 2, 10192, 0, '', NULL, NULL, NULL),
(11640, 10830, 10835, 1, 10194, 0, '', NULL, NULL, NULL),
(11749, 6963, 11748, 1, NULL, 0, 'Ano', NULL, NULL, NULL),
(11750, 6963, 11748, 2, NULL, 1, 'Evol', NULL, NULL, NULL),
(11751, 6963, 11750, 1, NULL, 1, 'Spec', NULL, NULL, NULL),
(11752, 6963, 11750, 2, NULL, 0, 'Dev', NULL, NULL, NULL),
(13732, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(11795, 11619, 11796, 1, NULL, 1, 'Etudes', 'NULL', 'NULL', 'NULL');
INSERT INTO `codev_wbs_table` (`id`, `root_id`, `parent_id`, `wbs_order`, `bug_id`, `expand`, `title`, `icon`, `font`, `color`) VALUES
(11796, 11619, 11619, 9, NULL, 0, 'Evol', 'NULL', 'NULL', 'NULL'),
(11797, 11619, 11795, 7, NULL, 1, '41937', 'NULL', 'NULL', 'NULL'),
(11798, 11619, 11796, 2, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(11799, 11619, 11619, 24, NULL, 1, 'Anomalies  de recette', 'NULL', 'NULL', 'NULL'),
(11800, 11619, 11830, 2, 10248, 0, '', 'NULL', 'NULL', 'NULL'),
(11826, 11619, 16915, 2, 10390, 0, '', 'NULL', 'NULL', 'NULL'),
(67216, 11619, 54405, 5, NULL, 1, '44026 Flux GA', 'NULL', 'NULL', 'NULL'),
(11830, 11619, 54405, 2, NULL, 1, '42497', 'NULL', 'NULL', 'NULL'),
(11831, 11619, 11830, 3, 10391, 0, '', 'NULL', 'NULL', 'NULL'),
(11833, 11619, 11798, 3, 10393, 0, '', 'NULL', 'NULL', 'NULL'),
(11834, 11619, 67217, 1, 10392, 0, '', 'NULL', 'NULL', 'NULL'),
(11835, 11619, 11830, 4, 10394, 0, '', 'NULL', 'NULL', 'NULL'),
(11836, 11619, 75996, 1, 10400, 0, '', 'NULL', 'NULL', 'NULL'),
(11837, 11619, 54364, 1, 10399, 0, '', 'NULL', 'NULL', 'NULL'),
(11838, 11619, 67216, 2, 10398, 0, '', 'NULL', 'NULL', 'NULL'),
(11839, 11619, 54357, 1, 10397, 0, '', 'NULL', 'NULL', 'NULL'),
(11844, 11619, 67216, 1, 10396, 0, '', 'NULL', 'NULL', 'NULL'),
(11841, 11619, 54357, 2, 10395, 0, '', 'NULL', 'NULL', 'NULL'),
(11842, 10830, 10837, 4, 10401, 0, '', NULL, NULL, NULL),
(11843, 11282, 11282, 4, 10359, 0, '', NULL, NULL, NULL),
(11851, 11619, 39364, 3, 10406, 0, '', 'NULL', 'NULL', 'NULL'),
(11856, 10830, 11860, 2, 10330, 0, '', NULL, NULL, NULL),
(11862, 11619, 11795, 8, NULL, 1, '42497', 'NULL', 'NULL', 'NULL'),
(11858, 10830, 11860, 3, 10413, 0, '', NULL, NULL, NULL),
(11861, 11619, 11862, 2, 10415, 0, '', 'NULL', 'NULL', 'NULL'),
(11860, 10830, 10838, 4, NULL, 0, '42171', NULL, NULL, NULL),
(11869, 10830, 14210, 1, 10423, 0, '', NULL, NULL, NULL),
(11870, 8610, 8610, 3, 10424, 0, '', NULL, NULL, NULL),
(11871, 8610, 8610, 6, 10425, 0, '', NULL, NULL, NULL),
(11872, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(11875, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(11878, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(11882, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(11890, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13260, 13241, 13241, 10, 10414, 0, '', NULL, NULL, NULL),
(11898, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18532, 13396, 13396, 11, 12797, 0, '', NULL, NULL, NULL),
(12615, 11619, 71292, 7, 10737, 0, '', 'NULL', 'NULL', 'NULL'),
(11971, 11282, 11282, 5, 10488, 0, '', NULL, NULL, NULL),
(11972, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12059, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12068, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12078, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12090, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12103, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12117, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12146, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12162, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12178, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12198, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12215, 11619, 54358, 1, 10598, 0, '', 'NULL', 'NULL', 'NULL'),
(12228, 10830, 14691, 2, 10611, 0, '', NULL, NULL, NULL),
(12231, 8741, 8741, 1, 8811, 0, '', NULL, NULL, NULL),
(12247, 10830, 10838, 3, 10622, 0, '', NULL, NULL, NULL),
(12248, 11619, 54365, 3, 10623, 0, '', 'NULL', 'NULL', 'NULL'),
(12250, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12292, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12395, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12416, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12439, NULL, NULL, 1, NULL, 1, 'TAIGA Arcad', NULL, NULL, NULL),
(12441, 12439, 14631, 1, 8801, 0, '', NULL, NULL, NULL),
(12442, 12439, 14631, 2, 8621, 0, '', NULL, NULL, NULL),
(12463, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12486, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12510, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12575, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21954, 6963, 6963, 2, 10738, 0, '', NULL, NULL, NULL),
(12618, 11619, 54365, 4, 10740, 0, '', 'NULL', 'NULL', 'NULL'),
(12619, 11619, 54365, 5, 10741, 0, '', 'NULL', 'NULL', 'NULL'),
(12620, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12647, 11619, 12685, 2, 10743, 0, '', 'NULL', 'NULL', 'NULL'),
(12648, 11619, 54358, 2, 10744, 0, '', 'NULL', 'NULL', 'NULL'),
(12649, 11619, 12685, 4, 10745, 0, '', 'NULL', 'NULL', 'NULL'),
(12650, 11619, 12685, 1, 10746, 0, '', 'NULL', 'NULL', 'NULL'),
(12653, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12681, 11619, 16915, 4, 10749, 0, '', 'NULL', 'NULL', 'NULL'),
(12682, 11619, 54365, 6, 10742, 0, '', 'NULL', 'NULL', 'NULL'),
(67220, 54400, 67223, 2, 17253, 0, '', NULL, NULL, NULL),
(67219, 54400, 67223, 3, 17252, 0, '', NULL, NULL, NULL),
(12685, 11619, 71296, 1, NULL, 1, '43955 - TP', 'NULL', 'NULL', 'NULL'),
(21955, 11619, 71292, 8, 13589, 0, '', 'NULL', 'NULL', 'NULL'),
(12697, 11619, 71292, 5, 10770, 0, '', 'NULL', 'NULL', 'NULL'),
(39364, 11619, 71298, 1, NULL, 1, 'PUMA', 'NULL', 'NULL', 'NULL'),
(12980, 11507, 12976, 1, 10790, 0, '', NULL, NULL, NULL),
(12745, 1546, 1546, 407, 10792, 0, '', NULL, NULL, NULL),
(12765, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12841, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12882, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12915, 1546, 1546, 409, 10871, 0, '', NULL, NULL, NULL),
(12918, 11507, 12976, 3, 10873, 0, '', NULL, NULL, NULL),
(12917, 11507, 12976, 2, 10872, 0, '', NULL, NULL, NULL),
(39365, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(12973, 11507, 12976, 4, 10895, 0, '', NULL, NULL, NULL),
(12974, 11507, 12976, 6, 10896, 0, '', NULL, NULL, NULL),
(12975, 11507, 12976, 5, 10897, 0, '', NULL, NULL, NULL),
(12976, 11507, 11507, 4, NULL, 1, 'Anomalies de recette', NULL, NULL, NULL),
(41745, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13015, 10830, 13016, 2, 10427, 0, '', NULL, NULL, NULL),
(13016, 10830, 10837, 6, NULL, 1, '42171', NULL, NULL, NULL),
(13022, 11507, 12976, 7, 10932, 0, '', NULL, NULL, NULL),
(13046, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13110, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16309, 9452, 9452, 2, NULL, 0, 'Anomalies de Recette', NULL, NULL, NULL),
(16308, 13639, 13660, 2, 9098, 0, '', NULL, NULL, NULL),
(13156, 11507, 12976, 8, 10995, 0, '', NULL, NULL, NULL),
(13161, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13206, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13241, NULL, NULL, 1, NULL, 0, 'TAIGA Forfait Assistance 2016', NULL, NULL, NULL),
(13330, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13390, 6963, 13391, 2, 11111, 0, '', NULL, NULL, NULL),
(13391, 6963, 6963, 10, NULL, 1, 'Anos de Recette', NULL, NULL, NULL),
(13392, 11619, 11619, 7, 11112, 0, '', 'NULL', 'NULL', 'NULL'),
(13394, 11619, 11795, 2, 11114, 0, '', 'NULL', 'NULL', 'NULL'),
(13397, 13396, 13396, 54, 3888, 0, '', NULL, NULL, NULL),
(13398, 13396, 13396, 55, 3732, 0, '', NULL, NULL, NULL),
(13399, 13396, 13396, 56, 4152, 0, '', NULL, NULL, NULL),
(13400, 13396, 13396, 57, 4266, 0, '', NULL, NULL, NULL),
(13401, 13396, 13396, 58, 4278, 0, '', NULL, NULL, NULL),
(13402, 13396, 13396, 59, 4334, 0, '', NULL, NULL, NULL),
(13403, 13396, 13396, 60, 4335, 0, '', NULL, NULL, NULL),
(26392, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13406, 13396, 13396, 61, 4939, 0, '', NULL, NULL, NULL),
(13407, 13396, 13396, 62, 5712, 0, '', NULL, NULL, NULL),
(13408, 13396, 13396, 63, 5713, 0, '', NULL, NULL, NULL),
(13409, 13396, 13396, 64, 5714, 0, '', NULL, NULL, NULL),
(13410, 13396, 13396, 65, 6059, 0, '', NULL, NULL, NULL),
(13411, 13396, 13396, 66, 6137, 0, '', NULL, NULL, NULL),
(13412, 13396, 13396, 67, 6636, 0, '', NULL, NULL, NULL),
(13413, 13396, 13396, 68, 6723, 0, '', NULL, NULL, NULL),
(13414, 13396, 13396, 69, 7391, 0, '', NULL, NULL, NULL),
(13415, 13396, 13396, 70, 7392, 0, '', NULL, NULL, NULL),
(13416, 13396, 13396, 71, 7395, 0, '', NULL, NULL, NULL),
(13417, 13396, 13396, 72, 7645, 0, '', NULL, NULL, NULL),
(13418, 13396, 13396, 73, 7796, 0, '', NULL, NULL, NULL),
(13419, 13396, 13396, 74, 8060, 0, '', NULL, NULL, NULL),
(13420, 13396, 13396, 75, 8085, 0, '', NULL, NULL, NULL),
(13421, 13396, 13396, 76, 8147, 0, '', NULL, NULL, NULL),
(13422, 13396, 13396, 77, 8148, 0, '', NULL, NULL, NULL),
(13423, 13396, 13396, 78, 8149, 0, '', NULL, NULL, NULL),
(13424, 13396, 13396, 79, 8150, 0, '', NULL, NULL, NULL),
(13425, 13396, 13396, 80, 8153, 0, '', NULL, NULL, NULL),
(13426, 13396, 13396, 81, 8154, 0, '', NULL, NULL, NULL),
(13427, 13396, 13396, 82, 8178, 0, '', NULL, NULL, NULL),
(13428, 13396, 13396, 83, 8179, 0, '', NULL, NULL, NULL),
(13429, 13396, 13396, 84, 8297, 0, '', NULL, NULL, NULL),
(13430, 13396, 13396, 85, 8298, 0, '', NULL, NULL, NULL),
(13431, 13396, 13396, 86, 8299, 0, '', NULL, NULL, NULL),
(13432, 13396, 13396, 87, 8300, 0, '', NULL, NULL, NULL),
(13433, 13396, 13396, 88, 8301, 0, '', NULL, NULL, NULL),
(13434, 13396, 13396, 89, 8302, 0, '', NULL, NULL, NULL),
(13435, 13396, 13396, 90, 8303, 0, '', NULL, NULL, NULL),
(13436, 13396, 13396, 91, 8304, 0, '', NULL, NULL, NULL),
(13437, 13396, 13396, 92, 8305, 0, '', NULL, NULL, NULL),
(13438, 13396, 13396, 93, 8327, 0, '', NULL, NULL, NULL),
(13439, 13396, 13396, 94, 8342, 0, '', NULL, NULL, NULL),
(13440, 13396, 13396, 95, 8343, 0, '', NULL, NULL, NULL),
(13441, 13396, 13396, 96, 8344, 0, '', NULL, NULL, NULL),
(13442, 13396, 13396, 97, 8361, 0, '', NULL, NULL, NULL),
(13443, 13396, 13396, 98, 8362, 0, '', NULL, NULL, NULL),
(13444, 13396, 13396, 99, 8382, 0, '', NULL, NULL, NULL),
(13445, 13396, 13396, 100, 8389, 0, '', NULL, NULL, NULL),
(13446, 13396, 13396, 101, 8390, 0, '', NULL, NULL, NULL),
(13447, 13396, 13396, 102, 8403, 0, '', NULL, NULL, NULL),
(13448, 13396, 13396, 103, 8404, 0, '', NULL, NULL, NULL),
(13449, 13396, 13396, 104, 8405, 0, '', NULL, NULL, NULL),
(13450, 13396, 13396, 105, 8406, 0, '', NULL, NULL, NULL),
(13451, 13396, 13396, 106, 8407, 0, '', NULL, NULL, NULL),
(13452, 13396, 13396, 107, 8450, 0, '', NULL, NULL, NULL),
(13453, 13396, 13396, 108, 8554, 0, '', NULL, NULL, NULL),
(13454, 13396, 13396, 109, 8557, 0, '', NULL, NULL, NULL),
(13455, 13396, 13396, 110, 8558, 0, '', NULL, NULL, NULL),
(13456, 13396, 13396, 111, 8559, 0, '', NULL, NULL, NULL),
(13457, 13396, 13396, 112, 8560, 0, '', NULL, NULL, NULL),
(13458, 13396, 13396, 113, 8562, 0, '', NULL, NULL, NULL),
(13459, 13396, 13396, 114, 8563, 0, '', NULL, NULL, NULL),
(13460, 13396, 13396, 115, 8627, 0, '', NULL, NULL, NULL),
(13461, 13396, 13396, 116, 8642, 0, '', NULL, NULL, NULL),
(13462, 13396, 13396, 117, 8643, 0, '', NULL, NULL, NULL),
(13463, 13396, 13396, 118, 8711, 0, '', NULL, NULL, NULL),
(13464, 13396, 13396, 119, 8793, 0, '', NULL, NULL, NULL),
(13465, 13396, 13396, 120, 8794, 0, '', NULL, NULL, NULL),
(13466, 13396, 13396, 121, 8798, 0, '', NULL, NULL, NULL),
(13467, 13396, 13396, 122, 8806, 0, '', NULL, NULL, NULL),
(13468, 13396, 13396, 123, 8834, 0, '', NULL, NULL, NULL),
(13469, 13396, 13396, 124, 8835, 0, '', NULL, NULL, NULL),
(13470, 13396, 13396, 125, 8836, 0, '', NULL, NULL, NULL),
(13471, 13396, 13396, 126, 8837, 0, '', NULL, NULL, NULL),
(13472, 13396, 13396, 127, 8844, 0, '', NULL, NULL, NULL),
(13473, 13396, 13396, 128, 8857, 0, '', NULL, NULL, NULL),
(13474, 13396, 13396, 129, 8858, 0, '', NULL, NULL, NULL),
(13475, 13396, 13396, 130, 8859, 0, '', NULL, NULL, NULL),
(13476, 13396, 13396, 131, 8904, 0, '', NULL, NULL, NULL),
(13477, 13396, 13396, 132, 8925, 0, '', NULL, NULL, NULL),
(13478, 13396, 13396, 133, 8927, 0, '', NULL, NULL, NULL),
(13479, 13396, 13396, 134, 8928, 0, '', NULL, NULL, NULL),
(13480, 13396, 13396, 135, 8929, 0, '', NULL, NULL, NULL),
(13481, 13396, 13396, 136, 8930, 0, '', NULL, NULL, NULL),
(13482, 13396, 13396, 137, 8940, 0, '', NULL, NULL, NULL),
(13483, 13396, 13396, 138, 8950, 0, '', NULL, NULL, NULL),
(13484, 13396, 13396, 139, 9070, 0, '', NULL, NULL, NULL),
(13485, 13396, 13396, 140, 9071, 0, '', NULL, NULL, NULL),
(13486, 13396, 13396, 141, 9072, 0, '', NULL, NULL, NULL),
(13487, 13396, 13396, 142, 9201, 0, '', NULL, NULL, NULL),
(13488, 13396, 13396, 143, 9202, 0, '', NULL, NULL, NULL),
(13489, 13396, 13396, 144, 9236, 0, '', NULL, NULL, NULL),
(13490, 13396, 13396, 145, 9241, 0, '', NULL, NULL, NULL),
(13491, 13396, 13396, 146, 9279, 0, '', NULL, NULL, NULL),
(13492, 13396, 13396, 147, 9303, 0, '', NULL, NULL, NULL),
(13493, 13396, 13396, 148, 9306, 0, '', NULL, NULL, NULL),
(13494, 13396, 13396, 149, 9308, 0, '', NULL, NULL, NULL),
(13495, 13396, 13396, 150, 9309, 0, '', NULL, NULL, NULL),
(13496, 13396, 13396, 151, 9310, 0, '', NULL, NULL, NULL),
(13497, 13396, 13396, 152, 9311, 0, '', NULL, NULL, NULL),
(13498, 13396, 13396, 153, 9343, 0, '', NULL, NULL, NULL),
(13499, 13396, 13396, 154, 9445, 0, '', NULL, NULL, NULL),
(13500, 13396, 13396, 155, 9451, 0, '', NULL, NULL, NULL),
(30573, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13502, 13396, 13396, 156, 9459, 0, '', NULL, NULL, NULL),
(13503, 13396, 13396, 157, 9466, 0, '', NULL, NULL, NULL),
(13504, 13396, 13396, 158, 9468, 0, '', NULL, NULL, NULL),
(13505, 13396, 13396, 159, 9494, 0, '', NULL, NULL, NULL),
(13506, 13396, 13396, 160, 9495, 0, '', NULL, NULL, NULL),
(13507, 13396, 13396, 161, 9496, 0, '', NULL, NULL, NULL),
(13508, 13396, 13396, 162, 9510, 0, '', NULL, NULL, NULL),
(13509, 13396, 13396, 163, 9511, 0, '', NULL, NULL, NULL),
(13510, 13396, 13396, 164, 9512, 0, '', NULL, NULL, NULL),
(13511, 13396, 13396, 165, 9513, 0, '', NULL, NULL, NULL),
(13512, 13396, 13396, 166, 9514, 0, '', NULL, NULL, NULL),
(13513, 13396, 13396, 167, 9516, 0, '', NULL, NULL, NULL),
(13514, 13396, 13396, 168, 9572, 0, '', NULL, NULL, NULL),
(13515, 13396, 13396, 169, 9574, 0, '', NULL, NULL, NULL),
(13516, 13396, 13396, 170, 9601, 0, '', NULL, NULL, NULL),
(13517, 13396, 13396, 171, 9631, 0, '', NULL, NULL, NULL),
(13518, 13396, 13396, 172, 9643, 0, '', NULL, NULL, NULL),
(13519, 13396, 13396, 173, 9670, 0, '', NULL, NULL, NULL),
(13520, 13396, 13396, 174, 9671, 0, '', NULL, NULL, NULL),
(13521, 13396, 13396, 175, 9672, 0, '', NULL, NULL, NULL),
(13522, 13396, 13396, 176, 9675, 0, '', NULL, NULL, NULL),
(13523, 13396, 13396, 177, 9766, 0, '', NULL, NULL, NULL),
(13524, 13396, 13396, 178, 10042, 0, '', NULL, NULL, NULL),
(13525, 13396, 13396, 179, 10049, 0, '', NULL, NULL, NULL),
(13526, 13396, 13396, 180, 10075, 0, '', NULL, NULL, NULL),
(13527, 13396, 13396, 181, 10088, 0, '', NULL, NULL, NULL),
(13528, 13396, 13396, 182, 10093, 0, '', NULL, NULL, NULL),
(13529, 13396, 13396, 183, 10136, 0, '', NULL, NULL, NULL),
(13530, 13396, 13396, 184, 10137, 0, '', NULL, NULL, NULL),
(13531, 13396, 13396, 185, 10138, 0, '', NULL, NULL, NULL),
(13532, 13396, 13396, 186, 10139, 0, '', NULL, NULL, NULL),
(13533, 13396, 13396, 187, 10146, 0, '', NULL, NULL, NULL),
(13534, 13396, 13396, 188, 10147, 0, '', NULL, NULL, NULL),
(13535, 13396, 13396, 189, 10153, 0, '', NULL, NULL, NULL),
(13536, 13396, 13396, 190, 10154, 0, '', NULL, NULL, NULL),
(13537, 13396, 13396, 191, 10195, 0, '', NULL, NULL, NULL),
(13538, 13396, 13396, 192, 10235, 0, '', NULL, NULL, NULL),
(13539, 13396, 13396, 193, 10236, 0, '', NULL, NULL, NULL),
(13540, 13396, 13396, 194, 10290, 0, '', NULL, NULL, NULL),
(13541, 13396, 13396, 195, 10359, 0, '', NULL, NULL, NULL),
(13542, 13396, 13396, 196, 10414, 0, '', NULL, NULL, NULL),
(13543, 13396, 13396, 197, 10426, 0, '', NULL, NULL, NULL),
(13544, 13396, 13396, 198, 10437, 0, '', NULL, NULL, NULL),
(13545, 13396, 13396, 199, 10625, 0, '', NULL, NULL, NULL),
(13546, 13396, 13396, 200, 10651, 0, '', NULL, NULL, NULL),
(13547, 13396, 13396, 201, 10785, 0, '', NULL, NULL, NULL),
(13548, 13396, 13396, 202, 10786, 0, '', NULL, NULL, NULL),
(13549, 13396, 13396, 203, 10789, 0, '', NULL, NULL, NULL),
(13550, 13396, 13396, 204, 10791, 0, '', NULL, NULL, NULL),
(13551, 13396, 13396, 205, 10869, 0, '', NULL, NULL, NULL),
(13552, 13396, 13396, 206, 10870, 0, '', NULL, NULL, NULL),
(13553, 13396, 13396, 207, 10872, 0, '', NULL, NULL, NULL),
(14871, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13555, 13396, 13396, 208, 10895, 0, '', NULL, NULL, NULL),
(13556, 13396, 13396, 209, 10896, 0, '', NULL, NULL, NULL),
(13557, 13396, 13396, 210, 10897, 0, '', NULL, NULL, NULL),
(13558, 13396, 13396, 211, 10932, 0, '', NULL, NULL, NULL),
(13598, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13639, NULL, NULL, 1, NULL, 1, 'TAIGA V16.1.0_PUMA', NULL, NULL, NULL),
(13640, 13639, 13660, 5, 10041, 0, '', NULL, NULL, NULL),
(13663, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(13662, 13639, 13639, 1, NULL, 1, 'Qualif', NULL, NULL, NULL),
(13660, 13639, 14628, 1, NULL, 1, 'Spec', NULL, NULL, NULL),
(13659, 13639, 13660, 1, 11132, 0, '', NULL, NULL, NULL),
(13658, 13639, 13661, 1, 11133, 0, '', NULL, NULL, NULL),
(13661, 13639, 14628, 2, NULL, 1, 'Devt', NULL, NULL, NULL),
(16077, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14210, 10830, 10834, 1, NULL, 0, 'Qualif', NULL, NULL, NULL),
(14260, 9452, 10865, 1, NULL, 0, 'Qualif', NULL, NULL, NULL),
(14288, 13396, 13396, 212, 11661, 0, '', NULL, NULL, NULL),
(16014, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14628, 13639, 13639, 2, NULL, 1, 'Evol', NULL, NULL, NULL),
(14629, 13639, 13639, 4, NULL, 0, 'Anomalies Recette', NULL, NULL, NULL),
(14631, 12439, 12439, 2, NULL, 1, 'Evol', NULL, NULL, NULL),
(14632, 12439, 12439, 3, NULL, 1, 'Anos Recette', NULL, NULL, NULL),
(14645, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14686, 10830, 10830, 3, NULL, 1, 'Anomalies Recette', NULL, NULL, NULL),
(14698, 13639, 13639, 3, NULL, 1, 'Anomalies', NULL, NULL, NULL),
(14751, 13396, 13396, 12, 12059, 0, '', NULL, NULL, NULL),
(14752, 13396, 13396, 13, 12060, 0, '', NULL, NULL, NULL),
(14753, 11507, 12976, 9, 12061, 0, '', NULL, NULL, NULL),
(15814, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14760, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14808, 11619, 11795, 3, 9889, 0, '', 'NULL', 'NULL', 'NULL'),
(14810, 13396, 13396, 14, 12097, 0, '', NULL, NULL, NULL),
(14822, 13396, 13396, 15, 12109, 0, '', NULL, NULL, NULL),
(14823, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14866, 11507, 14869, 2, 12111, 0, '', NULL, NULL, NULL),
(14867, 11507, 14870, 1, 12112, 0, '', NULL, NULL, NULL),
(14868, 11507, 11507, 1, NULL, 0, 'Qualif', NULL, NULL, NULL),
(14869, 11507, 11507, 2, NULL, 0, 'Specs', NULL, NULL, NULL),
(14870, 11507, 11507, 3, NULL, 0, 'Devt', NULL, NULL, NULL),
(14915, 11507, 14868, 2, 12113, 0, '', NULL, NULL, NULL),
(14916, 6963, 13391, 4, 12114, 0, '', NULL, NULL, NULL),
(14917, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14985, 8610, 8610, 2, 12137, 0, '', NULL, NULL, NULL),
(14986, 11282, 11282, 6, 12138, 0, '', NULL, NULL, NULL),
(27449, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(14999, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15045, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15092, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15140, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15189, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15239, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15290, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15342, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15395, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15449, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15504, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15561, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15618, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15691, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15751, 13396, 13396, 16, 12181, 0, '', NULL, NULL, NULL),
(15752, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(15812, 6963, 13391, 3, 11975, 0, '', NULL, NULL, NULL),
(15876, 13396, 13396, 17, 12186, 0, '', NULL, NULL, NULL),
(15886, 11507, 12976, 10, 12196, 0, '', NULL, NULL, NULL),
(15887, 11507, 12976, 11, 12197, 0, '', NULL, NULL, NULL),
(15889, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16165, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16232, 10830, 10830, 2, NULL, 1, 'Lot 2 (Livraison 8/08) RUN2', NULL, NULL, NULL),
(16234, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18533, 11619, 11795, 1, 12798, 0, '', 'NULL', 'NULL', 'NULL'),
(16306, 9452, 10864, 1, 12284, 0, '', NULL, NULL, NULL),
(16307, 9452, 10863, 2, 12285, 0, '', NULL, NULL, NULL),
(16313, 6963, 16317, 1, 12289, 0, '', NULL, NULL, NULL),
(16314, 6963, 16318, 1, 12290, 0, '', NULL, NULL, NULL),
(16315, 6963, 6963, 9, NULL, 0, '16.0.2 - 27 Juin', NULL, NULL, NULL),
(16316, 6963, 16315, 1, NULL, 1, 'Evol', NULL, NULL, NULL),
(16317, 6963, 16316, 1, NULL, 0, 'Spec', NULL, NULL, NULL),
(16318, 6963, 16316, 2, NULL, 0, 'Dev', NULL, NULL, NULL),
(16321, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16389, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16457, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16526, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16596, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16667, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16739, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16812, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(16886, 12439, 14632, 1, 12302, 0, '', NULL, NULL, NULL),
(16888, 11619, 16914, 2, 12304, 0, '', 'NULL', 'NULL', 'NULL'),
(16889, 11619, 16914, 3, 12305, 0, '', 'NULL', 'NULL', 'NULL'),
(16890, 11619, 16914, 4, 12306, 0, '', 'NULL', 'NULL', 'NULL'),
(16891, 11619, 16914, 5, 12307, 0, '', 'NULL', 'NULL', 'NULL'),
(16892, 11619, 16914, 6, 12308, 0, '', 'NULL', 'NULL', 'NULL'),
(16893, 11619, 16914, 7, 12309, 0, '', 'NULL', 'NULL', 'NULL'),
(16895, 11619, 16914, 8, 12311, 0, '', 'NULL', 'NULL', 'NULL'),
(16896, 11619, 16914, 9, 12312, 0, '', 'NULL', 'NULL', 'NULL'),
(16897, 11619, 16914, 10, 12313, 0, '', 'NULL', 'NULL', 'NULL'),
(16898, 11619, 16914, 11, 12314, 0, '', 'NULL', 'NULL', 'NULL'),
(16899, 11619, 16914, 12, 12315, 0, '', 'NULL', 'NULL', 'NULL'),
(16900, 11619, 16914, 13, 12316, 0, '', 'NULL', 'NULL', 'NULL'),
(16901, 11619, 16914, 14, 12317, 0, '', 'NULL', 'NULL', 'NULL'),
(16902, 11619, 16914, 15, 12318, 0, '', 'NULL', 'NULL', 'NULL'),
(16903, 11619, 16914, 16, 12319, 0, '', 'NULL', 'NULL', 'NULL'),
(16904, 11619, 16914, 17, 12320, 0, '', 'NULL', 'NULL', 'NULL'),
(16905, 11619, 16914, 18, 12321, 0, '', 'NULL', 'NULL', 'NULL'),
(16907, 11619, 16914, 19, 12323, 0, '', 'NULL', 'NULL', 'NULL'),
(16908, 11619, 16914, 20, 12324, 0, '', 'NULL', 'NULL', 'NULL'),
(16909, 11619, 16914, 21, 12325, 0, '', 'NULL', 'NULL', 'NULL'),
(16910, 11619, 16914, 22, 12326, 0, '', 'NULL', 'NULL', 'NULL'),
(16911, 11619, 16914, 23, 12327, 0, '', 'NULL', 'NULL', 'NULL'),
(16912, 11619, 16914, 24, 12328, 0, '', 'NULL', 'NULL', 'NULL'),
(16914, 11619, 71294, 4, NULL, 1, '44058 SPOC', 'NULL', 'NULL', 'NULL'),
(16915, 11619, 71294, 3, NULL, 1, '44027 -MAJOC', 'NULL', 'NULL', 'NULL'),
(16916, 11619, 16915, 3, 12330, 0, '', 'NULL', 'NULL', 'NULL'),
(16917, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20806, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17030, 13396, 13396, 18, 12465, 0, '', NULL, NULL, NULL),
(17031, 13396, 13396, 19, 12466, 0, '', NULL, NULL, NULL),
(17032, 13396, 13396, 20, 12467, 0, '', NULL, NULL, NULL),
(17034, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17113, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17201, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17281, 13396, 13396, 21, 12657, 0, '', NULL, NULL, NULL),
(17308, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20802, 10830, 14686, 14, 13229, 0, '', NULL, NULL, NULL),
(17393, 6963, 13391, 5, 12686, 0, '', NULL, NULL, NULL),
(17394, 11619, 17476, 1, 12687, 0, '', 'NULL', 'NULL', 'NULL'),
(17395, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17475, 11619, 17477, 1, 12689, 0, '', 'NULL', 'NULL', 'NULL'),
(17476, 11619, 54405, 3, NULL, 1, '42991', 'NULL', 'NULL', 'NULL'),
(17477, 11619, 71292, 4, NULL, 1, '42991', 'NULL', 'NULL', 'NULL'),
(17478, 11619, 17477, 2, 12688, 0, '', 'NULL', 'NULL', 'NULL'),
(17481, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20800, 10830, 14686, 13, 13227, 0, '', NULL, NULL, NULL),
(17562, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17644, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17727, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17811, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17896, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(17982, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18069, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(171846, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18196, 8741, 8741, 2, 12738, 0, '', NULL, NULL, NULL),
(18197, 11282, 11282, 7, 12739, 0, '', NULL, NULL, NULL),
(18246, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18335, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18425, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18523, 9452, 14755, 1, 12199, 0, '', NULL, NULL, NULL),
(48597, 39576, 39582, 4, 12790, 0, '', 'NULL', 'NULL', 'NULL'),
(48596, 39576, 39583, 4, 12791, 0, '', 'NULL', 'NULL', 'NULL'),
(18540, 9452, 10861, 6, 12797, 0, '', NULL, NULL, NULL),
(18541, 13639, 13660, 4, 9099, 0, '', NULL, NULL, NULL),
(18556, 10830, 14686, 2, 12817, 0, '', NULL, NULL, NULL),
(18559, 13396, 13396, 22, 12820, 0, '', NULL, NULL, NULL),
(18574, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18673, 13396, 13396, 23, 12842, 0, '', NULL, NULL, NULL),
(18674, 13396, 13396, 24, 12843, 0, '', NULL, NULL, NULL),
(18675, 13396, 13396, 25, 12844, 0, '', NULL, NULL, NULL),
(18676, 9147, 9147, 1, 12331, 0, '', NULL, NULL, NULL),
(18677, 9147, 9147, 4, 10280, 0, '', NULL, NULL, NULL),
(18678, NULL, 0, 1, NULL, 1, 'GAC 2.1', 'NULL', 'NULL', 'NULL'),
(18679, 9147, 9147, 2, 11007, 0, '', NULL, NULL, NULL),
(18680, 9147, 9147, 3, 12845, 0, '', NULL, NULL, NULL),
(21771, 13396, 13396, 26, 13542, 0, '', NULL, NULL, NULL),
(18682, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18794, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18887, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(18981, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19076, 12439, 14631, 3, 12868, 0, '', NULL, NULL, NULL),
(19077, 12439, 14631, 4, 12869, 0, '', NULL, NULL, NULL),
(19078, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19176, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19273, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19371, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19577, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19680, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19806, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(19908, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20021, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20162, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20267, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20373, 13396, 13396, 27, 13000, 0, '', NULL, NULL, NULL),
(20374, 10830, 14686, 3, 13001, 0, '', NULL, NULL, NULL),
(20375, 9452, 14260, 1, 13002, 0, '', NULL, NULL, NULL),
(20383, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20531, 13241, 13241, 2, 13044, 0, '', NULL, NULL, NULL),
(68282, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20664, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(20914, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21022, 10830, 14686, 4, 13251, 0, '', NULL, NULL, NULL),
(21028, 6963, 6963, 3, 13252, 0, '', NULL, NULL, NULL),
(21024, 10830, 14686, 15, 13253, 0, '', NULL, NULL, NULL),
(21025, 10830, 14686, 16, 13254, 0, '', NULL, NULL, NULL),
(21026, 10830, 14686, 19, 13255, 0, '', NULL, NULL, NULL),
(21027, 11619, 71292, 6, 13256, 0, '', 'NULL', 'NULL', 'NULL'),
(21029, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21138, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21248, 8610, 22073, 1, 13258, 0, '', NULL, NULL, NULL),
(21279, 13396, 13396, 28, 13294, 0, '', NULL, NULL, NULL),
(21296, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21440, 9452, 16309, 3, 13342, 0, '', NULL, NULL, NULL),
(21451, 10830, 16232, 3, 13349, 0, '', NULL, NULL, NULL),
(21516, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21632, 11619, 11797, 5, 13362, 0, '', 'NULL', 'NULL', 'NULL'),
(36663, 28582, 28910, 7, 15165, 0, '', NULL, NULL, NULL),
(21640, 13241, 13241, 3, 13370, 0, '', NULL, NULL, NULL),
(21641, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21772, 13396, 13396, 29, 13543, 0, '', NULL, NULL, NULL),
(21773, NULL, NULL, 1, NULL, 1, 'GAC 2.0.50.03', NULL, NULL, NULL),
(21774, 21773, 21780, 2, 13257, 0, '', NULL, NULL, NULL),
(21775, 21773, 21779, 1, 12962, 0, '', NULL, NULL, NULL),
(21776, 21773, 21780, 3, 13544, 0, '', NULL, NULL, NULL),
(21777, 21773, 21779, 2, 13545, 0, '', NULL, NULL, NULL),
(21778, 21773, 21773, 2, NULL, 1, 'Evol', NULL, NULL, NULL),
(21779, 21773, 21778, 1, NULL, 1, 'Spec', NULL, NULL, NULL),
(21780, 21773, 21778, 2, NULL, 1, 'Devt', NULL, NULL, NULL),
(21781, 21773, 21773, 3, NULL, 0, 'Anomalies', NULL, NULL, NULL),
(21806, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(21953, 10830, 10830, 4, NULL, 1, 'Lot 3 (Livraison ??)', NULL, NULL, NULL),
(21958, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(22073, 8610, 8610, 9, NULL, 1, 'GAC 1.7.3', NULL, NULL, NULL),
(22075, 10830, 14686, 5, 13592, 0, '', NULL, NULL, NULL),
(22112, 21773, 21773, 1, 13622, 0, '', NULL, NULL, NULL),
(22114, 21773, 21779, 3, 13624, 0, '', NULL, NULL, NULL),
(22115, 21773, 21780, 1, 13625, 0, '', NULL, NULL, NULL),
(22116, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(22231, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(22347, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(22537, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(22656, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(22795, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(22915, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(23036, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(23167, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(23292, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(35352, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(23495, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(23622, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(23749, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(23876, 11619, 66427, 2, 13774, 0, '', 'NULL', 'NULL', 'NULL'),
(23877, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(24006, 13396, 13396, 30, 13783, 0, '', NULL, NULL, NULL),
(24007, 13396, 13396, 31, 13784, 0, '', NULL, NULL, NULL),
(24008, 13396, 13396, 32, 13785, 0, '', NULL, NULL, NULL),
(24009, 13396, 13396, 33, 13786, 0, '', NULL, NULL, NULL),
(24010, 13396, 13396, 34, 13787, 0, '', NULL, NULL, NULL),
(24011, 13396, 13396, 35, 13788, 0, '', NULL, NULL, NULL),
(24012, 13396, 13396, 36, 13789, 0, '', NULL, NULL, NULL),
(24023, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(24152, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(24282, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(24413, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(24556, 13396, 13396, 37, 13808, 0, '', NULL, NULL, NULL),
(24557, 13396, 13396, 38, 13809, 0, '', NULL, NULL, NULL),
(24564, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(24699, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(24968, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(25127, 11619, 39363, 3, 14013, 0, '', 'NULL', 'NULL', 'NULL'),
(25128, 11619, 39363, 2, 14014, 0, '', 'NULL', 'NULL', 'NULL'),
(25136, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(28586, 28582, 28910, 3, 14259, 0, '', NULL, NULL, NULL),
(25285, 13396, 13396, 39, 14036, 0, '', NULL, NULL, NULL),
(25286, 13396, 13396, 40, 14037, 0, '', NULL, NULL, NULL),
(39595, 39592, 94947, 2, 14038, 0, '', NULL, NULL, NULL),
(25290, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(25432, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(25570, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(25716, 6963, 6963, 4, 14057, 0, '', NULL, NULL, NULL),
(25717, 6963, 6963, 5, 14058, 0, '', NULL, NULL, NULL),
(40173, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(34144, 28582, 28910, 1, 14706, 0, '', NULL, NULL, NULL),
(40836, 28582, 40842, 1, 15256, 0, '', NULL, NULL, NULL),
(44359, 39589, 39589, 3, NULL, 1, 'Anos de Recette', 'NULL', 'NULL', 'NULL'),
(44358, 39589, 44356, 2, NULL, 1, 'Devt', 'NULL', 'NULL', 'NULL'),
(44357, 39589, 44356, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(44356, 39589, 39589, 2, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(44355, 39589, 39589, 1, NULL, 1, 'Qualif', 'NULL', 'NULL', 'NULL'),
(25737, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(27297, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(25951, 13396, 13396, 41, 14143, 0, '', NULL, NULL, NULL),
(25957, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(26098, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(26240, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(26389, 9452, 14260, 2, 14157, 0, '', NULL, NULL, NULL),
(26536, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(26681, 13396, 13396, 42, 14164, 0, '', NULL, NULL, NULL),
(26682, 13396, 13396, 43, 14163, 0, '', NULL, NULL, NULL),
(26683, 13396, 13396, 44, 14166, 0, '', NULL, NULL, NULL),
(28263, 10830, 14686, 18, 14167, 0, '', NULL, NULL, NULL),
(28261, 10830, 14686, 17, 14168, 0, '', NULL, NULL, NULL),
(28264, 10830, 14686, 1, 14170, 0, '', NULL, NULL, NULL),
(26706, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(26853, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(27001, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(27148, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(27446, 9452, 16309, 2, 14198, 0, '', NULL, NULL, NULL),
(27606, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(27938, 9452, 16309, 1, 14237, 0, '', NULL, NULL, NULL),
(27786, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(27776, 10830, 14686, 6, 14226, 0, '', NULL, NULL, NULL),
(38642, 38641, 38646, 6, 14227, 0, '', NULL, NULL, NULL),
(27778, 10830, 14686, 7, 14228, 0, '', NULL, NULL, NULL),
(27779, 10830, 14686, 8, 14229, 0, '', NULL, NULL, NULL),
(27780, 10830, 14686, 9, 14230, 0, '', NULL, NULL, NULL),
(27781, 10830, 14686, 10, 14231, 0, '', NULL, NULL, NULL),
(27782, 10830, 14686, 11, 14232, 0, '', NULL, NULL, NULL),
(39596, 39592, 94947, 3, 14233, 0, '', NULL, NULL, NULL),
(39597, 39592, 94947, 4, 14234, 0, '', NULL, NULL, NULL),
(27785, 10830, 14686, 12, 14235, 0, '', NULL, NULL, NULL),
(28093, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(40840, 28582, 28911, 16, 15195, 0, '', NULL, NULL, NULL),
(40838, 28582, 28910, 13, 15196, 0, '', NULL, NULL, NULL),
(40832, 28582, 28911, 10, 14246, 0, '', NULL, NULL, NULL),
(40827, 28582, 28910, 9, 14247, 0, '', NULL, NULL, NULL),
(40833, 28582, 28911, 11, 14248, 0, '', NULL, NULL, NULL),
(40828, 28582, 28910, 10, 14249, 0, '', NULL, NULL, NULL),
(40834, 28582, 28911, 12, 14252, 0, '', NULL, NULL, NULL),
(40829, 28582, 28910, 11, 14253, 0, '', NULL, NULL, NULL),
(39623, 28582, 28910, 8, 14251, 0, '', NULL, NULL, NULL),
(40835, 28582, 28911, 13, 14718, 0, '', NULL, NULL, NULL),
(40830, 28582, 28910, 12, 14717, 0, '', NULL, NULL, NULL),
(44354, 39589, 44357, 1, 15161, 0, '', 'NULL', 'NULL', 'NULL'),
(28268, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(28423, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(28582, NULL, NULL, 1, NULL, 1, 'TAIGA v17.1 DSI ', NULL, NULL, NULL),
(28587, 28582, 28911, 2, 14260, 0, '', NULL, NULL, NULL),
(28588, 28582, 28910, 4, 14261, 0, '', NULL, NULL, NULL),
(28589, 28582, 28911, 3, 14262, 0, '', NULL, NULL, NULL),
(28590, 28582, 28910, 2, 14263, 0, '', NULL, NULL, NULL),
(28591, 28582, 28911, 1, 14264, 0, '', NULL, NULL, NULL),
(28592, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(28749, 28582, 28582, 7, NULL, 0, 'Anomalies de Production', NULL, NULL, NULL),
(28750, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(28908, 28582, 28582, 5, NULL, 0, 'Evols', NULL, NULL, NULL),
(28909, 28582, 28582, 6, NULL, 1, 'Anomalies de Recette', NULL, NULL, NULL),
(28912, 28582, 28582, 1, NULL, 0, 'Qualif', NULL, NULL, NULL),
(28910, 28582, 28908, 1, NULL, 1, 'Specs', NULL, NULL, NULL),
(28911, 28582, 28908, 2, NULL, 1, 'Devt', NULL, NULL, NULL),
(28913, 10830, 14686, 20, 14267, 0, '', NULL, NULL, NULL),
(28917, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(29123, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(29285, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(29455, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(29618, 11619, 11795, 5, 14329, 0, '', 'NULL', 'NULL', 'NULL'),
(29731, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(29894, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(30058, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(30223, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(30389, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(30569, 13396, 13396, 45, 14473, 0, '', NULL, NULL, NULL),
(30572, 13396, 13396, 46, 14476, 0, '', NULL, NULL, NULL),
(30741, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(30933, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(31120, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(31291, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(31482, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(39363, 11619, 71299, 2, NULL, 1, 'Amélioration échanges OC', 'NULL', 'NULL', 'NULL'),
(31468, 28582, 28911, 4, 14540, 0, '', NULL, NULL, NULL),
(31470, 13396, 13396, 47, 14542, 0, '', NULL, NULL, NULL),
(31474, 9760, 9760, 2, 14545, 0, '', NULL, NULL, NULL),
(31475, 9760, 9760, 3, 14546, 0, '', NULL, NULL, NULL),
(31477, 13396, 13396, 48, 14548, 0, '', NULL, NULL, NULL),
(31478, 9452, 16309, 7, 14548, 0, '', NULL, NULL, NULL),
(31696, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(31870, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(32044, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(32219, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(32395, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(32583, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(32770, 10830, 14686, 22, 14618, 0, '', NULL, NULL, NULL),
(32772, 10830, 14686, 23, 14620, 0, '', NULL, NULL, NULL),
(39593, 39592, 94947, 5, 14621, 0, '', NULL, NULL, NULL),
(32774, 10830, 14686, 24, 14622, 0, '', NULL, NULL, NULL),
(32775, 10830, 14686, 21, 14623, 0, '', NULL, NULL, NULL),
(32778, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(32980, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(33159, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(33339, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(33520, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(34944, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(33762, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(33945, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(34129, 18678, 18678, 1, 14595, 0, NULL, 'NULL', 'NULL', 'NULL'),
(34130, 18678, 18678, 2, 14594, 0, NULL, 'NULL', 'NULL', 'NULL'),
(34132, 13396, 13396, 49, 14708, 0, '', NULL, NULL, NULL),
(34133, 13396, 13396, 50, 14709, 0, '', NULL, NULL, NULL),
(109040, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(44353, 39589, 44358, 1, 15716, 0, '', 'NULL', 'NULL', 'NULL'),
(40831, 28582, 28911, 14, 14244, 0, '', NULL, NULL, NULL),
(34141, 28582, 28910, 5, 14719, 0, '', NULL, NULL, NULL),
(34142, 28582, 28911, 6, 14720, 0, '', NULL, NULL, NULL),
(34143, 28582, 28912, 1, 14721, 0, '', NULL, NULL, NULL),
(40842, 28582, 28582, 4, NULL, 0, 'Etudes', NULL, NULL, NULL),
(34145, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(34330, 28582, 28911, 5, 14722, 0, '', NULL, NULL, NULL),
(34365, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(34563, 13396, 13396, 51, 14796, 0, '', NULL, NULL, NULL),
(34564, 13396, 13396, 52, 14797, 0, '', NULL, NULL, NULL),
(34568, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(34755, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(34943, 28582, 28749, 1, 14164, 0, '', NULL, NULL, NULL),
(44350, 28582, 28911, 18, 14242, 0, '', NULL, NULL, NULL),
(35338, 28582, 28911, 7, 14813, 0, '', NULL, NULL, NULL),
(35147, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(35337, 28582, 28910, 6, 14814, 0, '', NULL, NULL, NULL),
(36662, 28582, 28911, 8, 15164, 0, '', NULL, NULL, NULL),
(35549, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(35979, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(35785, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(36176, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(36371, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(39576, NULL, 0, 1, NULL, 1, 'TAIGA v17.2 AFFI', 'NULL', 'NULL', 'NULL'),
(51424, 51421, 51421, 1, 15841, 0, '', NULL, NULL, NULL),
(36657, 10830, 14686, 25, 15162, 0, '', NULL, NULL, NULL),
(48595, 39576, 39583, 5, 15160, 0, '', 'NULL', 'NULL', 'NULL'),
(40841, 28582, 28912, 2, 14716, 0, '', NULL, NULL, NULL),
(44360, 39589, 39589, 4, NULL, 1, 'Anos de Production', 'NULL', 'NULL', 'NULL'),
(36680, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(36883, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(37081, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(37294, 9452, 16309, 4, 15217, 0, '', NULL, NULL, NULL),
(37295, 9452, 16309, 5, 15218, 0, '', NULL, NULL, NULL),
(37296, 9452, 16309, 6, 15219, 0, '', NULL, NULL, NULL),
(114288, 11619, 160554, 15, 19982, 0, '', 'NULL', 'NULL', 'NULL'),
(66482, 66476, 66480, 1, 15221, 0, '', NULL, NULL, NULL),
(37300, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(44351, 28582, 28910, 15, 14243, 0, '', NULL, NULL, NULL),
(37562, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(56708, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(37779, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(44352, 28582, 28909, 1, 15840, 0, '', NULL, NULL, NULL),
(37990, 13639, 13661, 2, 14150, 0, '', NULL, NULL, NULL),
(37991, 13639, 13660, 3, 12938, 0, '', NULL, NULL, NULL),
(37992, 13639, 13661, 3, 15159, 0, '', NULL, NULL, NULL),
(37994, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(38197, 13396, 13396, 5, 15283, 0, '', NULL, NULL, NULL),
(38228, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(38431, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(38641, NULL, NULL, 1, NULL, 1, 'TAIGA V16.1-3en1', NULL, NULL, NULL),
(38643, 38641, 38641, 4, NULL, 1, 'Evols', NULL, NULL, NULL),
(38644, 38641, 38643, 1, NULL, 0, 'Specs', NULL, NULL, NULL),
(38645, 38641, 38643, 2, NULL, 0, 'Devt', NULL, NULL, NULL),
(38646, 38641, 38641, 5, NULL, 1, 'Anos de Recette', NULL, NULL, NULL),
(38647, 38641, 38641, 6, NULL, 0, 'Anos de Production', NULL, NULL, NULL),
(38648, 38641, 38644, 1, 15316, 0, '', NULL, NULL, NULL),
(38649, 38641, 38645, 1, 15317, 0, '', NULL, NULL, NULL),
(38650, 38641, 38644, 2, 15318, 0, '', NULL, NULL, NULL),
(38651, 38641, 38645, 2, 15319, 0, '', NULL, NULL, NULL),
(38652, 38641, 38646, 1, 14827, 0, '', NULL, NULL, NULL),
(38653, 38641, 38646, 2, 15260, 0, '', NULL, NULL, NULL),
(38654, 38641, 38646, 3, 15284, 0, '', NULL, NULL, NULL),
(38655, 38641, 38646, 4, 15290, 0, '', NULL, NULL, NULL),
(38656, 38641, 38646, 5, 15320, 0, '', NULL, NULL, NULL),
(38720, 13396, 13396, 6, 15374, 0, '', NULL, NULL, NULL),
(38721, 38641, 38722, 1, 15377, 0, '', NULL, NULL, NULL),
(38722, 38641, 38641, 1, NULL, 1, 'Qualif', NULL, NULL, NULL),
(38944, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(39150, 13396, 13396, 7, 15398, 0, '', NULL, NULL, NULL),
(39151, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(39573, 11619, 11795, 6, 15571, 0, '', 'NULL', 'NULL', 'NULL'),
(131486, 11619, 160554, 35, 21624, 0, '', 'NULL', 'NULL', 'NULL'),
(48598, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(39581, 39576, 39576, 2, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(39582, 39576, 39581, 1, NULL, 1, 'Specs', 'NULL', 'NULL', 'NULL'),
(39583, 39576, 39581, 2, NULL, 1, 'Devt', 'NULL', 'NULL', 'NULL'),
(39584, 39576, 39576, 1, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(39585, 39576, 39576, 3, NULL, 1, 'Anos de Recette', 'NULL', 'NULL', 'NULL'),
(39586, 39576, 39576, 4, NULL, 1, 'Anos de Production', 'NULL', 'NULL', 'NULL'),
(39587, 39576, 39583, 1, 15376, 0, '', 'NULL', 'NULL', 'NULL'),
(39588, 39576, 39582, 1, 15375, 0, '', 'NULL', 'NULL', 'NULL'),
(39589, NULL, 0, 1, NULL, 1, 'TAIGA v17.4', 'NULL', 'NULL', 'NULL'),
(39592, NULL, NULL, 1, NULL, 1, 'TAIGA v17.3.TO', NULL, NULL, NULL),
(39594, 39592, 94947, 6, 13788, 0, '', NULL, NULL, NULL),
(39622, 28582, 28911, 9, 14250, 0, '', NULL, NULL, NULL),
(39685, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(39901, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(40384, 38641, 38646, 7, 15288, 0, '', NULL, NULL, NULL),
(52363, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(40383, 38641, 38646, 8, 15286, 0, '', NULL, NULL, NULL),
(40388, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(40601, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(40826, 28582, 28911, 15, 14245, 0, '', NULL, NULL, NULL),
(54681, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(40881, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(41095, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(41310, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(41525, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(41962, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(42181, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(58727, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(42475, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(42696, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(42917, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(43139, 13639, 13661, 4, 15770, 0, '', NULL, NULL, NULL),
(43140, 13639, 13660, 6, 15769, 0, '', NULL, NULL, NULL),
(43145, 13396, 13396, 8, 15775, 0, '', NULL, NULL, NULL),
(43149, 28582, 28910, 14, 15779, 0, '', NULL, NULL, NULL),
(43150, 28582, 28911, 17, 15780, 0, '', NULL, NULL, NULL),
(43151, 39576, 39582, 2, 15781, 0, '', 'NULL', 'NULL', 'NULL'),
(43152, 39576, 39583, 2, 15782, 0, '', 'NULL', 'NULL', 'NULL'),
(43153, 39576, 39582, 3, 14059, 0, '', 'NULL', 'NULL', 'NULL'),
(43154, 39576, 39583, 3, 14060, 0, '', 'NULL', 'NULL', 'NULL'),
(51421, NULL, NULL, 1, NULL, 0, 'TAIGA_DiversDefects 2016', NULL, NULL, NULL),
(43435, 21773, 21780, 4, 15309, 0, '', NULL, NULL, NULL),
(43434, 21773, 21779, 4, 15308, 0, '', NULL, NULL, NULL),
(54081, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(43441, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(43665, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(43890, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(44116, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(44343, 11619, 54365, 2, 15836, 0, '', 'NULL', 'NULL', 'NULL'),
(51423, 51421, 51421, 4, 15843, 0, '', NULL, NULL, NULL),
(44364, 28582, 28909, 2, 15849, 0, '', NULL, NULL, NULL),
(44365, 28582, 28909, 3, 15850, 0, '', NULL, NULL, NULL),
(44370, 11619, 39364, 5, 15855, 0, '', 'NULL', 'NULL', 'NULL'),
(44371, 11619, 39364, 4, 15856, 0, '', 'NULL', 'NULL', 'NULL'),
(44372, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(44600, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(67218, 11619, 11619, 8, 17251, 0, '', 'NULL', 'NULL', 'NULL'),
(44898, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(45171, 11619, 16914, 25, 15970, 0, '', 'NULL', 'NULL', 'NULL'),
(45172, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(45403, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(67235, 11619, 39364, 7, 17258, 0, '', 'NULL', 'NULL', 'NULL'),
(45635, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(45868, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(46134, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(46369, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(46605, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(46846, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(47086, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(47352, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(47601, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(49094, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(47854, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(48107, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(48350, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(48594, 39576, 39584, 1, 16070, 0, '', 'NULL', 'NULL', 'NULL'),
(48843, 39589, 44355, 1, 16071, 0, '', 'NULL', 'NULL', 'NULL'),
(48844, 39589, 44357, 2, 16072, 0, '', 'NULL', 'NULL', 'NULL'),
(48845, 39589, 97238, 1, 16073, 0, '', 'NULL', 'NULL', 'NULL'),
(114207, 84190, 84190, 4, NULL, 0, 'Anos de Production', 'NULL', 'NULL', 'NULL'),
(48848, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(65487, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(49342, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(49603, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(49856, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(50108, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(50359, 11619, 16914, 26, 16101, 0, '', 'NULL', 'NULL', 'NULL'),
(50360, 11619, 16914, 27, 16102, 0, '', 'NULL', 'NULL', 'NULL'),
(50365, 13396, 13396, 4, 16106, 0, '', NULL, NULL, NULL),
(50369, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(50655, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(50908, 11619, 16914, 28, 16140, 0, '', 'NULL', 'NULL', 'NULL'),
(50910, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(51166, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(51422, 51421, 51421, 5, 16110, 0, '', NULL, NULL, NULL),
(51426, 28582, 28911, 19, 16145, 0, '', NULL, NULL, NULL),
(51427, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(51686, 13396, 13396, 2, 16162, 0, '', NULL, NULL, NULL),
(51689, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(51946, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(53424, 52350, 52350, 37, 16332, 0, '', 'NULL', 'NULL', 'NULL'),
(52350, NULL, 0, 1, NULL, 0, 'TAIGA Forfait Anomalies 2017', 'NULL', 'NULL', 'NULL'),
(52351, NULL, 0, 1, NULL, 0, 'TAIGA Forfait Assistances 2017', 'NULL', 'NULL', 'NULL'),
(66514, NULL, 0, 1, NULL, 1, 'TAIGA v17.2.50 MCO', 'NULL', 'NULL', 'NULL'),
(52623, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(52885, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(75996, 11619, 54405, 7, NULL, 0, '43955 TP', 'NULL', 'NULL', 'NULL'),
(53160, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(53427, 28582, 28909, 4, 16335, 0, '', NULL, NULL, NULL),
(53444, 52350, 52350, 38, 16356, 0, '', 'NULL', 'NULL', 'NULL'),
(56054, NULL, NULL, 1, NULL, 1, 'TAIGA v16.1.P_3en1', NULL, NULL, NULL),
(53548, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(53811, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(54347, 28582, 28911, 20, 16510, 0, '', NULL, NULL, NULL),
(54348, 28582, 28910, 16, 16511, 0, '', NULL, NULL, NULL),
(54349, 28582, 28911, 21, 16512, 0, '', NULL, NULL, NULL),
(54350, 28582, 28909, 5, 16513, 0, '', NULL, NULL, NULL),
(54351, 28582, 28912, 3, 16514, 0, '', NULL, NULL, NULL),
(54353, 11619, 76729, 3, 16516, 0, '', 'NULL', 'NULL', 'NULL'),
(54354, 28582, 28912, 4, 16517, 0, '', NULL, NULL, NULL),
(54357, 11619, 54405, 4, NULL, 0, '44025', 'NULL', 'NULL', 'NULL'),
(54358, 11619, 71292, 2, NULL, 0, '44025', 'NULL', 'NULL', 'NULL'),
(207134, 11619, 160554, 74, 25153, 0, '', 'NULL', 'NULL', 'NULL'),
(54364, 11619, 54404, 2, NULL, 1, '44027 - MAJOC', 'NULL', 'NULL', 'NULL'),
(54365, 11619, 71292, 3, NULL, 1, '44026- Flux GA', 'NULL', 'NULL', 'NULL'),
(54367, 11619, 76728, 1, 16526, 0, '', 'NULL', 'NULL', 'NULL'),
(54400, NULL, NULL, 1, NULL, 1, 'TAIGA - Bascule_FusionPL', NULL, NULL, NULL),
(54401, 54400, 67223, 4, 16431, 0, '', NULL, NULL, NULL),
(54404, 11619, 11798, 1, NULL, 1, 'Amelioration échanges OC', 'NULL', 'NULL', 'NULL'),
(54405, 11619, 11798, 2, NULL, 1, 'PUMA', 'NULL', 'NULL', 'NULL');
INSERT INTO `codev_wbs_table` (`id`, `root_id`, `parent_id`, `wbs_order`, `bug_id`, `expand`, `title`, `icon`, `font`, `color`) VALUES
(54410, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(54948, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(55216, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(55485, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(55755, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(56027, 52350, 52350, 39, 16431, 0, '', 'NULL', 'NULL', 'NULL'),
(56055, 56054, 56062, 1, 16069, 0, '', NULL, NULL, NULL),
(56056, 56054, 56061, 1, 16068, 0, '', NULL, NULL, NULL),
(56057, 56054, 56064, 1, 15285, 0, '', NULL, NULL, NULL),
(56058, 56054, 56064, 2, 15775, 0, '', NULL, NULL, NULL),
(56059, 56054, 56064, 3, 16078, 0, '', NULL, NULL, NULL),
(56060, 56054, 56054, 2, NULL, 1, 'Evol', NULL, NULL, NULL),
(56061, 56054, 56060, 1, NULL, 0, 'Spec', NULL, NULL, NULL),
(56062, 56054, 56060, 2, NULL, 0, 'Devt', NULL, NULL, NULL),
(56063, 56054, 56054, 3, NULL, 1, 'Anos Recette', NULL, NULL, NULL),
(56064, 56054, 56054, 4, NULL, 0, 'Anos Prod', NULL, NULL, NULL),
(56065, 56054, 56061, 2, 16559, 0, '', NULL, NULL, NULL),
(56066, 56054, 56062, 2, 16560, 0, '', NULL, NULL, NULL),
(56067, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(56340, 39589, 44357, 3, 16562, 0, '', 'NULL', 'NULL', 'NULL'),
(56341, 39589, 44358, 3, 16563, 0, '', 'NULL', 'NULL', 'NULL'),
(56383, 52350, 52350, 40, 16587, 0, '', 'NULL', 'NULL', 'NULL'),
(56384, 52351, 52351, 1, 16588, 0, '', 'NULL', 'NULL', 'NULL'),
(56410, 54400, 54400, 1, 16611, 0, '', NULL, NULL, NULL),
(67206, 52351, 52351, 10, 17248, 0, '', 'NULL', 'NULL', 'NULL'),
(56418, 11619, 76390, 3, 15785, 0, '', 'NULL', 'NULL', 'NULL'),
(56427, 11619, 16915, 5, 16623, 0, '', 'NULL', 'NULL', 'NULL'),
(56428, 52350, 52350, 41, 16624, 0, '', 'NULL', 'NULL', 'NULL'),
(56429, 52350, 52350, 42, 16625, 0, '', 'NULL', 'NULL', 'NULL'),
(56430, 52350, 52350, 43, 16626, 0, '', 'NULL', 'NULL', 'NULL'),
(56432, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(56982, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(63577, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(63559, 56054, 56054, 1, 16915, 0, '', NULL, NULL, NULL),
(57297, 54400, 67223, 5, 16676, 0, '', NULL, NULL, NULL),
(57298, 52350, 52350, 44, 16677, 0, '', 'NULL', 'NULL', 'NULL'),
(57299, 52350, 52350, 45, 16678, 0, '', 'NULL', 'NULL', 'NULL'),
(57300, 52350, 52350, 46, 16679, 0, '', 'NULL', 'NULL', 'NULL'),
(57301, 52350, 52350, 47, 16680, 0, '', 'NULL', 'NULL', 'NULL'),
(57302, 52350, 52350, 48, 16681, 0, '', 'NULL', 'NULL', 'NULL'),
(57318, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(57595, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(57872, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(58150, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(58437, 28582, 28909, 6, 16701, 0, '', NULL, NULL, NULL),
(58438, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66492, 66476, 66479, 2, 17145, 0, '', NULL, NULL, NULL),
(59015, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(59306, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(59588, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66487, 66476, 66481, 1, 16677, 0, '', NULL, NULL, NULL),
(59889, 28582, 28909, 7, 16742, 0, '', NULL, NULL, NULL),
(59901, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66486, 66476, 66480, 2, 16624, 0, '', NULL, NULL, NULL),
(79471, 52350, 52350, 49, 17759, 0, '', 'NULL', 'NULL', 'NULL'),
(60240, 54400, 67223, 6, 16794, 0, '', NULL, NULL, NULL),
(60244, 52350, 52350, 50, 16802, 0, '', 'NULL', 'NULL', 'NULL'),
(60245, 52350, 52350, 51, 16803, 0, '', 'NULL', 'NULL', 'NULL'),
(60246, 54400, 67223, 7, 16804, 0, '', NULL, NULL, NULL),
(60247, 51421, 51421, 2, 16805, 0, '', NULL, NULL, NULL),
(60248, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66485, 66476, 66481, 2, 16551, 0, '', NULL, NULL, NULL),
(60539, 54400, 67223, 8, 16811, 0, '', NULL, NULL, NULL),
(68951, 28582, 28910, 19, 17415, 0, '', NULL, NULL, NULL),
(68952, 28582, 28911, 24, 17416, 0, '', NULL, NULL, NULL),
(60568, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66484, 52350, 52350, 52, 16551, 0, '', 'NULL', 'NULL', 'NULL'),
(60854, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66483, 66476, 66481, 3, 16806, 0, '', NULL, NULL, NULL),
(61154, 28582, 28909, 8, 16844, 0, '', NULL, NULL, NULL),
(61155, 28582, 28909, 9, 16845, 0, '', NULL, NULL, NULL),
(61157, 28582, 28909, 10, 16847, 0, '', NULL, NULL, NULL),
(61158, 28582, 28909, 11, 16848, 0, '', NULL, NULL, NULL),
(109039, 39589, 44357, 7, 18757, 0, '', 'NULL', 'NULL', 'NULL'),
(61160, 28582, 28909, 12, 16850, 0, '', NULL, NULL, NULL),
(61161, 28582, 28909, 13, 16851, 0, '', NULL, NULL, NULL),
(61162, 28582, 28909, 14, 16852, 0, '', NULL, NULL, NULL),
(61163, 38641, 38641, 2, 16846, 0, '', NULL, NULL, NULL),
(61166, 28582, 28909, 15, 16855, 0, '', NULL, NULL, NULL),
(61178, 28582, 28909, 16, 16867, 0, '', NULL, NULL, NULL),
(66489, 66476, 66478, 1, 16872, 0, '', NULL, NULL, NULL),
(66488, 66476, 66479, 1, 16873, 0, '', NULL, NULL, NULL),
(61185, 28582, 28910, 17, 16874, 0, '', NULL, NULL, NULL),
(61186, 28582, 28911, 22, 16875, 0, '', NULL, NULL, NULL),
(61205, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(61493, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66481, 66476, 66476, 4, NULL, 0, 'Anos Prod', NULL, NULL, NULL),
(61782, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(62072, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66480, 66476, 66476, 3, NULL, 1, 'Anos Recette', NULL, NULL, NULL),
(70313, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(62363, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66479, 66476, 66477, 2, NULL, 1, 'Dev', NULL, NULL, NULL),
(62655, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66478, 66476, 66477, 1, NULL, 1, 'Spec', NULL, NULL, NULL),
(62948, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66477, 66476, 66476, 1, NULL, 1, 'Evol', NULL, NULL, NULL),
(63251, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(87230, 52350, 52350, 53, 18091, 0, '', 'NULL', 'NULL', 'NULL'),
(63552, 54400, 67222, 1, 16913, 0, '', NULL, NULL, NULL),
(63553, 54400, 67222, 2, 16914, 0, '', NULL, NULL, NULL),
(63554, 52350, 52350, 54, 16676, 0, '', 'NULL', 'NULL', 'NULL'),
(63573, 52351, 52351, 11, 16912, 0, '', 'NULL', 'NULL', 'NULL'),
(66476, NULL, NULL, 1, NULL, 1, 'TAIGA v17.1.50 MCO', NULL, NULL, NULL),
(63875, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66475, 39576, 39585, 1, 17142, 0, '', 'NULL', 'NULL', 'NULL'),
(64172, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(64477, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66473, 11619, 16914, 29, 17133, 0, '', 'NULL', 'NULL', 'NULL'),
(64786, 54400, 67223, 9, 16935, 0, '', NULL, NULL, NULL),
(64820, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(134780, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(134779, 52350, 52350, 11, 22409, 0, '', 'NULL', 'NULL', 'NULL'),
(134778, 52350, 52350, 12, 22408, 0, '', 'NULL', 'NULL', 'NULL'),
(134777, 52350, 52350, 13, 22407, 0, '', 'NULL', 'NULL', 'NULL'),
(65180, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(65791, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66109, 11619, 39364, 6, 17063, 0, '', 'NULL', 'NULL', 'NULL'),
(66110, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(66414, 11619, 66419, 1, 17064, 0, '', 'NULL', 'NULL', 'NULL'),
(66418, 11619, 66419, 2, 17065, 0, '', 'NULL', 'NULL', 'NULL'),
(66419, 11619, 71300, 1, NULL, 1, 'Partie TP', 'NULL', 'NULL', 'NULL'),
(66427, 11619, 54404, 3, NULL, 1, '44058 - SPOC', 'NULL', 'NULL', 'NULL'),
(67269, 28582, 28909, 17, 17292, 0, '', NULL, NULL, NULL),
(67270, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(67578, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(67887, 66476, 66478, 2, 17299, 0, '', NULL, NULL, NULL),
(67888, 66476, 66479, 3, 17300, 0, '', NULL, NULL, NULL),
(67889, 66476, 66479, 4, 17301, 0, '', NULL, NULL, NULL),
(68279, 39576, 39585, 3, 17382, 0, '', 'NULL', 'NULL', 'NULL'),
(67971, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(67958, 28582, 28910, 18, 17368, 0, '', NULL, NULL, NULL),
(67959, 28582, 28911, 23, 17369, 0, '', NULL, NULL, NULL),
(67960, 39576, 39585, 2, 17370, 0, '', 'NULL', 'NULL', 'NULL'),
(79908, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(68615, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(68925, NULL, 0, 1, NULL, 1, 'ANV-CTX', 'NULL', 'NULL', 'NULL'),
(68926, 68925, 68925, 1, 17401, 0, '', 'NULL', 'NULL', 'NULL'),
(68945, 28582, 28909, 18, 17411, 0, '', NULL, NULL, NULL),
(68946, 56054, 56063, 1, 17412, 0, '', NULL, NULL, NULL),
(68947, 56054, 56063, 2, 17413, 0, '', NULL, NULL, NULL),
(68948, 28582, 28909, 19, 17414, 0, '', NULL, NULL, NULL),
(68953, 28582, 28910, 20, 17417, 0, '', NULL, NULL, NULL),
(68954, 28582, 28911, 25, 17418, 0, '', NULL, NULL, NULL),
(68958, 39576, 39585, 4, 17422, 0, '', 'NULL', 'NULL', 'NULL'),
(68960, 11619, 12685, 13, 17424, 0, '', 'NULL', 'NULL', 'NULL'),
(68961, 11619, 12685, 6, 17425, 0, '', 'NULL', 'NULL', 'NULL'),
(68962, 11619, 12685, 12, 17426, 0, '', 'NULL', 'NULL', 'NULL'),
(68963, 11619, 12685, 7, 17427, 0, '', 'NULL', 'NULL', 'NULL'),
(68964, 11619, 12685, 8, 17428, 0, '', 'NULL', 'NULL', 'NULL'),
(68965, 11619, 12685, 9, 17429, 0, '', 'NULL', 'NULL', 'NULL'),
(68966, 11619, 12685, 10, 17430, 0, '', 'NULL', 'NULL', 'NULL'),
(68967, 11619, 12685, 11, 17431, 0, '', 'NULL', 'NULL', 'NULL'),
(68968, 11619, 12685, 14, 17432, 0, '', 'NULL', 'NULL', 'NULL'),
(76390, 11619, 71297, 2, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(68983, 11619, 16915, 6, 17444, 0, '', 'NULL', 'NULL', 'NULL'),
(68985, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(69296, 28582, 28909, 20, 17447, 0, '', NULL, NULL, NULL),
(96662, 66514, 79508, 3, 18660, 0, '', 'NULL', 'NULL', 'NULL'),
(69298, 28582, 28909, 21, 17449, 0, '', NULL, NULL, NULL),
(69302, 66476, 66479, 5, 17450, 0, '', NULL, NULL, NULL),
(94978, 66514, 79507, 3, 17451, 0, '', 'NULL', 'NULL', 'NULL'),
(94979, 66514, 79508, 2, 17452, 0, '', 'NULL', 'NULL', 'NULL'),
(69308, 68925, 69310, 1, 17453, 0, '', 'NULL', 'NULL', 'NULL'),
(69307, 68925, 69311, 1, 17454, 0, '', 'NULL', 'NULL', 'NULL'),
(69309, 68925, 68925, 10, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(69310, 68925, 69309, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(69311, 68925, 69309, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(69312, 68925, 68925, 11, NULL, 0, 'Anos Recette', 'NULL', 'NULL', 'NULL'),
(69313, 68925, 68925, 12, NULL, 0, 'Anos Prod', 'NULL', 'NULL', 'NULL'),
(69324, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(69639, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(69971, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(70631, 28582, 28909, 22, 17522, 0, '', NULL, NULL, NULL),
(70632, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(87229, 52351, 52351, 12, 18090, 0, '', 'NULL', 'NULL', 'NULL'),
(70969, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(71291, 11619, 11619, 10, NULL, 0, 'Lot 1 (23/05)', 'NULL', 'NULL', 'NULL'),
(71292, 11619, 71291, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(71293, 11619, 11619, 11, NULL, 0, 'Lot 2 (19/06)', 'NULL', 'NULL', 'NULL'),
(71294, 11619, 71293, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(71295, 11619, 11619, 13, NULL, 0, 'Lot 3 (08/08   29/09)', 'NULL', 'NULL', 'NULL'),
(71296, 11619, 71295, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(71297, 11619, 11619, 14, NULL, 0, 'Lot 4 (25/08)', 'NULL', 'NULL', 'NULL'),
(71298, 11619, 71291, 1, NULL, 1, 'Qualif Lot 1', 'NULL', 'NULL', 'NULL'),
(71299, 11619, 71293, 1, NULL, 1, 'Qualif Lot 2', 'NULL', 'NULL', 'NULL'),
(71300, 11619, 71295, 1, NULL, 1, 'Qualif Lot 3', 'NULL', 'NULL', 'NULL'),
(73650, 56054, 56063, 3, 17644, 0, '', NULL, NULL, NULL),
(71303, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(71620, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(71942, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(72261, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(72581, 39576, 39585, 5, 17570, 0, '', 'NULL', 'NULL', 'NULL'),
(72582, 39576, 39585, 6, 17571, 0, '', 'NULL', 'NULL', 'NULL'),
(72583, 39576, 39585, 7, 17572, 0, '', 'NULL', 'NULL', 'NULL'),
(72584, 39576, 39585, 8, 17573, 0, '', 'NULL', 'NULL', 'NULL'),
(72585, 39576, 39585, 9, 17574, 0, '', 'NULL', 'NULL', 'NULL'),
(72586, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(72915, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(73239, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(73563, 28582, 28909, 24, 17581, 0, '', NULL, NULL, NULL),
(73564, 28582, 28909, 25, 17582, 0, '', NULL, NULL, NULL),
(73640, 11619, 76390, 2, 17633, 0, '', 'NULL', 'NULL', 'NULL'),
(73641, 11619, 76729, 2, 17634, 0, '', 'NULL', 'NULL', 'NULL'),
(73643, 11619, 12685, 3, 17637, 0, '', 'NULL', 'NULL', 'NULL'),
(73644, 39576, 39585, 11, 17638, 0, '', 'NULL', 'NULL', 'NULL'),
(73651, 56054, 56063, 4, 17645, 0, '', NULL, NULL, NULL),
(73653, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(74007, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(74332, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(74666, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(74995, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(75326, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(75662, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(132036, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(76044, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(94496, 11619, 109941, 1, 18442, 0, '', 'NULL', 'NULL', 'NULL'),
(94495, 11619, 109940, 2, 18441, 0, '', 'NULL', 'NULL', 'NULL'),
(76395, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(76727, 52351, 52351, 13, 17730, 0, '', 'NULL', 'NULL', 'NULL'),
(76728, 11619, 71297, 1, NULL, 0, 'Qual', 'NULL', 'NULL', 'NULL'),
(76729, 11619, 71297, 3, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(76730, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(77063, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(77421, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(98686, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(77417, 11619, 76390, 1, 17739, 0, '', 'NULL', 'NULL', 'NULL'),
(77418, 11619, 76729, 1, 17740, 0, '', 'NULL', 'NULL', 'NULL'),
(77419, 11619, 121081, 4, 17741, 0, '', 'NULL', 'NULL', 'NULL'),
(77420, 11619, 121082, 2, 17742, 0, '', 'NULL', 'NULL', 'NULL'),
(77758, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(78101, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(78439, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(78778, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(79130, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(79470, 38641, 38641, 3, 17758, 0, '', NULL, NULL, NULL),
(79477, 39589, 44357, 4, 17762, 0, '', 'NULL', 'NULL', 'NULL'),
(79504, 66514, 79510, 1, 17581, 0, '', 'NULL', 'NULL', 'NULL'),
(99503, 66514, 79508, 5, 19106, 0, '', 'NULL', 'NULL', 'NULL'),
(79506, 66514, 66514, 2, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(79507, 66514, 79506, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(79508, 66514, 79506, 2, NULL, 1, 'Devt', 'NULL', 'NULL', 'NULL'),
(79509, 66514, 66514, 3, NULL, 1, 'Anos Recette', 'NULL', 'NULL', 'NULL'),
(79510, 66514, 66514, 4, NULL, 1, 'Anos Prod', 'NULL', 'NULL', 'NULL'),
(79521, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(79873, 11619, 54364, 2, 17791, 0, '', 'NULL', 'NULL', 'NULL'),
(80250, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(106998, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(80600, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(80945, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(81297, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(81643, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(81990, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(82338, 56054, 56063, 5, 17847, 0, '', NULL, NULL, NULL),
(82339, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(82688, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(83038, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(94530, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(83393, 56054, 56062, 3, 17848, 0, '', NULL, NULL, NULL),
(83394, 56054, 56062, 5, 17849, 0, '', NULL, NULL, NULL),
(83395, 56054, 56062, 4, 17850, 0, '', NULL, NULL, NULL),
(83396, 56054, 56061, 3, 17855, 0, '', NULL, NULL, NULL),
(83397, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(83813, 11619, 11797, 6, 14791, 0, '', 'NULL', 'NULL', 'NULL'),
(83834, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(84190, NULL, 0, 1, NULL, 1, 'TAIGA V17.5', 'NULL', 'NULL', 'NULL'),
(84191, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(84546, 39576, 39585, 10, 17923, 0, '', 'NULL', 'NULL', 'NULL'),
(84584, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(97178, 11619, 109940, 1, 18776, 0, '', 'NULL', 'NULL', 'NULL'),
(84951, 66514, 79507, 1, 17967, 0, '', 'NULL', 'NULL', 'NULL'),
(84952, 66514, 79508, 1, 17968, 0, '', 'NULL', 'NULL', 'NULL'),
(84958, 51421, 51421, 3, 14712, 0, '', NULL, NULL, NULL),
(84972, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(85328, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(109038, 39589, 44358, 6, 19427, 0, '', 'NULL', 'NULL', 'NULL'),
(114208, 39592, 94946, 6, 19834, 0, '', NULL, NULL, NULL),
(85688, 28582, 28909, 26, 17987, 0, '', NULL, NULL, NULL),
(85689, 28582, 28909, 27, 17988, 0, '', NULL, NULL, NULL),
(85709, 52351, 52351, 14, 18008, 0, '', 'NULL', 'NULL', 'NULL'),
(85710, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(86086, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(86446, 52350, 52350, 55, 18059, 0, '', 'NULL', 'NULL', 'NULL'),
(86447, 11619, 11798, 4, 18061, 0, '', 'NULL', 'NULL', 'NULL'),
(86455, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(86818, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(96725, 39589, 44358, 4, 18721, 0, '', 'NULL', 'NULL', 'NULL'),
(87212, 39576, 39585, 15, 18009, 0, '', 'NULL', 'NULL', 'NULL'),
(87213, 11619, 11619, 17, NULL, 0, 'Run2 (14/11)', 'NULL', 'NULL', 'NULL'),
(87256, 68925, 69310, 2, 18114, 0, '', 'NULL', 'NULL', 'NULL'),
(87257, 68925, 69311, 2, 18115, 0, '', 'NULL', 'NULL', 'NULL'),
(87258, 68925, 96666, 1, 18116, 0, '', 'NULL', 'NULL', 'NULL'),
(87260, 68925, 96666, 2, 18118, 0, '', 'NULL', 'NULL', 'NULL'),
(87261, 68925, 96666, 3, 18119, 0, '', 'NULL', 'NULL', 'NULL'),
(87262, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(96724, 39589, 44357, 5, 18720, 0, '', 'NULL', 'NULL', 'NULL'),
(87623, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(109961, 66514, 79509, 1, 19501, 0, '', 'NULL', 'NULL', 'NULL'),
(88052, 52350, 52350, 56, 18180, 0, '', 'NULL', 'NULL', 'NULL'),
(114203, 11619, 160554, 12, 19832, 0, '', 'NULL', 'NULL', 'NULL'),
(88498, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(88112, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(88862, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(89227, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(89675, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(90095, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(90463, 52350, 52350, 57, 18243, 0, '', 'NULL', 'NULL', 'NULL'),
(90464, 52350, 52350, 58, 18244, 0, '', 'NULL', 'NULL', 'NULL'),
(90505, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(90874, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(91244, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(91615, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(91987, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(92369, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(92755, 52350, 52350, 59, 18287, 0, '', 'NULL', 'NULL', 'NULL'),
(92756, 52350, 52350, 60, 18288, 0, '', 'NULL', 'NULL', 'NULL'),
(92757, 52350, 52350, 61, 18289, 0, '', 'NULL', 'NULL', 'NULL'),
(92773, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(93722, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(99107, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(113250, 52351, 52351, 7, 19786, 0, '', 'NULL', 'NULL', 'NULL'),
(93313, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(93691, 52350, 52350, 62, 18401, 0, '', 'NULL', 'NULL', 'NULL'),
(93692, 52350, 52350, 63, 18402, 0, '', 'NULL', 'NULL', 'NULL'),
(93693, 11619, 54405, 1, 18403, 0, '', 'NULL', 'NULL', 'NULL'),
(93694, 11619, 71292, 9, 18404, 0, '', 'NULL', 'NULL', 'NULL'),
(93695, 11619, 71294, 2, 18405, 0, '', 'NULL', 'NULL', 'NULL'),
(103499, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(94100, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(94907, 52350, 52350, 64, 18473, 0, '', 'NULL', 'NULL', 'NULL'),
(94932, 84190, 121706, 1, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(94933, 84190, 121706, 2, NULL, 0, 'Evol', 'NULL', 'NULL', 'NULL'),
(94934, 84190, 94933, 1, NULL, 1, 'Specs', 'NULL', 'NULL', 'NULL'),
(94935, 84190, 94933, 2, NULL, 1, 'Devt', 'NULL', 'NULL', 'NULL'),
(94936, 84190, 84190, 3, NULL, 0, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(94938, 84190, 94932, 1, 18488, 0, '', 'NULL', 'NULL', 'NULL'),
(94939, 39592, 94942, 1, 18489, 0, '', NULL, NULL, NULL),
(94940, 39592, 94944, 1, 18490, 0, '', NULL, NULL, NULL),
(94941, 39592, 94945, 1, 18491, 0, '', NULL, NULL, NULL),
(94942, 39592, 39592, 1, NULL, 0, 'Qualif', NULL, NULL, NULL),
(94943, 39592, 39592, 2, NULL, 1, 'Evol', NULL, NULL, NULL),
(94944, 39592, 94943, 1, NULL, 0, 'Specs', NULL, NULL, NULL),
(94945, 39592, 94943, 2, NULL, 1, 'Devt', NULL, NULL, NULL),
(94946, 39592, 39592, 3, NULL, 1, 'Anos de recette', NULL, NULL, NULL),
(94947, 39592, 39592, 4, NULL, 0, 'Anos de production', NULL, NULL, NULL),
(94948, 84190, 94934, 1, 18492, 0, '', 'NULL', 'NULL', 'NULL'),
(94949, 84190, 94935, 2, 18493, 0, '', 'NULL', 'NULL', 'NULL'),
(97159, 96607, 96607, 1, 18718, 0, NULL, 'NULL', 'NULL', 'NULL'),
(94977, 39592, 94942, 2, 18511, 0, '', NULL, NULL, NULL),
(94980, 52350, 52350, 65, 18512, 0, '', 'NULL', 'NULL', 'NULL'),
(94981, 66514, 79510, 2, 18512, 0, '', 'NULL', 'NULL', 'NULL'),
(95002, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(95390, 52350, 52350, 66, 18535, 0, '', 'NULL', 'NULL', 'NULL'),
(96663, 68925, 96666, 5, 18661, 0, '', 'NULL', 'NULL', 'NULL'),
(95433, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(96666, 68925, 68925, 13, NULL, 1, 'Telebig', 'NULL', 'NULL', 'NULL'),
(114292, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(95824, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(96665, 68925, 96666, 4, 18663, 0, '', 'NULL', 'NULL', 'NULL'),
(96204, 66514, 66514, 1, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(96205, 66514, 96204, 1, 18587, 0, '', 'NULL', 'NULL', 'NULL'),
(96217, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(96664, 68925, 96666, 6, 18662, 0, '', 'NULL', 'NULL', 'NULL'),
(96598, 39589, 97238, 2, 18601, 0, '', 'NULL', 'NULL', 'NULL'),
(96607, NULL, 0, 1, NULL, 0, 'TAIGA_DiversDefects 2017', 'NULL', 'NULL', 'NULL'),
(96608, 96607, 96607, 2, 18610, 0, NULL, 'NULL', 'NULL', 'NULL'),
(96741, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(113249, 11619, 160554, 10, 19785, 0, '', 'NULL', 'NULL', 'NULL'),
(97155, 39589, 44357, 6, 18755, 0, '', 'NULL', 'NULL', 'NULL'),
(97156, 39589, 44358, 5, 18756, 0, '', 'NULL', 'NULL', 'NULL'),
(97179, 11619, 109941, 2, 18777, 0, '', 'NULL', 'NULL', 'NULL'),
(97399, 68925, 96666, 7, 18965, 0, '', 'NULL', 'NULL', 'NULL'),
(97398, 52351, 52351, 15, 18964, 0, '', 'NULL', 'NULL', 'NULL'),
(97397, 66514, 79508, 4, 17747, 0, '', 'NULL', 'NULL', 'NULL'),
(97396, 66514, 79507, 4, 17746, 0, '', 'NULL', 'NULL', 'NULL'),
(97238, 39589, 44358, 2, NULL, 0, '43887', 'NULL', 'NULL', 'NULL'),
(97802, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(97421, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(111955, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(113251, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(98195, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(98629, 11619, 11797, 1, 19042, 0, '', 'NULL', 'NULL', 'NULL'),
(98644, 11619, 54404, 1, 19043, 0, '', 'NULL', 'NULL', 'NULL'),
(98649, 11619, 71294, 1, 19044, 0, '', 'NULL', 'NULL', 'NULL'),
(98650, 11619, 11862, 1, 19045, 0, '', 'NULL', 'NULL', 'NULL'),
(98651, 11619, 11830, 1, 19046, 0, '', 'NULL', 'NULL', 'NULL'),
(98652, 11619, 71292, 1, 19047, 0, '', 'NULL', 'NULL', 'NULL'),
(98661, 11619, 71299, 1, 19048, 0, '', 'NULL', 'NULL', 'NULL'),
(98662, 11619, 16915, 1, 19049, 0, '', 'NULL', 'NULL', 'NULL'),
(98668, 11619, 54365, 1, 19051, 0, '', 'NULL', 'NULL', 'NULL'),
(98675, 11619, 39364, 2, 19054, 0, '', 'NULL', 'NULL', 'NULL'),
(98676, 11619, 39364, 8, 19055, 0, '', 'NULL', 'NULL', 'NULL'),
(98685, 11619, 39364, 1, 19064, 0, '', 'NULL', 'NULL', 'NULL'),
(99086, 11619, 39363, 1, 19081, 0, '', 'NULL', 'NULL', 'NULL'),
(99090, 11619, 16914, 1, 19085, 0, '', 'NULL', 'NULL', 'NULL'),
(99512, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(99898, 66514, 79507, 2, 19115, 0, '', 'NULL', 'NULL', 'NULL'),
(99899, 11619, 160554, 3, 19116, 0, '', 'NULL', 'NULL', 'NULL'),
(99900, 11619, 160554, 4, 19117, 0, '', 'NULL', 'NULL', 'NULL'),
(99903, 52350, 52350, 27, 19118, 0, '', 'NULL', 'NULL', 'NULL'),
(99908, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(100296, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(100684, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(101073, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(110590, 11619, 160554, 6, 19712, 0, '', 'NULL', 'NULL', 'NULL'),
(101509, 39576, 39585, 12, 19196, 0, '', 'NULL', 'NULL', 'NULL'),
(101521, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(101917, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(102320, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(102712, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(103105, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(103902, 52350, 52350, 28, 19235, 0, '', 'NULL', 'NULL', 'NULL'),
(103903, 52350, 52350, 29, 19236, 0, '', 'NULL', 'NULL', 'NULL'),
(103913, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(104309, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(104706, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(105145, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(115420, 11619, 160554, 19, 20238, 0, '', 'NULL', 'NULL', 'NULL'),
(105695, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(106106, 84190, 94934, 2, 19341, 0, '', 'NULL', 'NULL', 'NULL'),
(106107, 84190, 94935, 1, 19342, 0, '', 'NULL', 'NULL', 'NULL'),
(115419, 11619, 160554, 24, 20237, 0, '', 'NULL', 'NULL', 'NULL'),
(106163, 11619, 71294, 5, 19386, 0, '', 'NULL', 'NULL', 'NULL'),
(106185, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(106586, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(107405, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(107809, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(108217, 52351, 52351, 8, 19421, 0, '', 'NULL', 'NULL', 'NULL'),
(108218, 66514, 79509, 2, 19422, 0, '', 'NULL', 'NULL', 'NULL'),
(108219, 66514, 79509, 4, 19423, 0, '', 'NULL', 'NULL', 'NULL'),
(108220, 39592, 94946, 1, 19424, 0, '', NULL, NULL, NULL),
(108221, 66514, 79509, 5, 19425, 0, '', 'NULL', 'NULL', 'NULL'),
(108222, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(108629, 28582, 28909, 28, 19420, 0, '', NULL, NULL, NULL),
(108630, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(109505, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(109939, 11619, 11619, 12, NULL, 0, 'Lot 18.0.04 ( 18/07)', 'NULL', 'NULL', 'NULL'),
(109940, 11619, 109939, 2, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(109941, 11619, 109939, 3, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(109962, 66514, 79509, 3, 19502, 0, '', 'NULL', 'NULL', 'NULL'),
(109977, 11619, 109941, 4, 19513, 0, '', 'NULL', 'NULL', 'NULL'),
(109979, 11619, 160554, 5, 19514, 0, '', 'NULL', 'NULL', 'NULL'),
(109980, 11619, 109941, 3, 19515, 0, '', 'NULL', 'NULL', 'NULL'),
(109993, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(110438, 68925, 96666, 8, 19599, 0, '', 'NULL', 'NULL', 'NULL'),
(110442, 52351, 52351, 9, 19604, 0, '', 'NULL', 'NULL', 'NULL'),
(110444, 39592, 94945, 2, 19606, 0, '', NULL, NULL, NULL),
(110445, 28582, 28909, 29, 19603, 0, '', NULL, NULL, NULL),
(110446, 39589, 44359, 1, 19607, 0, '', 'NULL', 'NULL', 'NULL'),
(110447, 52350, 52350, 30, 19607, 0, '', 'NULL', 'NULL', 'NULL'),
(110454, 28582, 28582, 2, 19370, 0, '', NULL, NULL, NULL),
(110581, 39592, 94946, 2, 19705, 0, '', NULL, NULL, NULL),
(110582, 66514, 79509, 6, 19706, 0, '', 'NULL', 'NULL', 'NULL'),
(110583, 28582, 28582, 3, 17448, 0, '', NULL, NULL, NULL),
(110591, 11619, 160554, 8, 19713, 0, '', 'NULL', 'NULL', 'NULL'),
(110592, 11619, 160554, 7, 19714, 0, '', 'NULL', 'NULL', 'NULL'),
(110593, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(111004, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(111418, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(114206, 84190, 114207, 1, 10088, 0, '', 'NULL', 'NULL', 'NULL'),
(111931, 11619, 160554, 9, 19757, 0, '', 'NULL', 'NULL', 'NULL'),
(111930, 39592, 94946, 3, 19756, 0, '', NULL, NULL, NULL),
(111929, 39592, 94946, 4, 19755, 0, '', NULL, NULL, NULL),
(111928, 66514, 79509, 7, 19754, 0, '', 'NULL', 'NULL', 'NULL'),
(112388, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(112802, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(113667, 11619, 113668, 1, 19787, 0, '', 'NULL', 'NULL', 'NULL'),
(113668, 11619, 109939, 1, NULL, 1, 'Qualif Lot 1 P', 'NULL', 'NULL', 'NULL'),
(113727, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(114204, 39592, 94946, 5, 19833, 0, '', NULL, NULL, NULL),
(115390, 11619, 160554, 22, 20210, 0, '', 'NULL', 'NULL', 'NULL'),
(115389, 11619, 160554, 21, 20209, 0, '', 'NULL', 'NULL', 'NULL'),
(115388, 11619, 160554, 23, 20208, 0, '', 'NULL', 'NULL', 'NULL'),
(114234, 52350, 52350, 31, 19884, 0, '', 'NULL', 'NULL', 'NULL'),
(114287, 11619, 109940, 4, 19981, 0, '', 'NULL', 'NULL', 'NULL'),
(114269, 11619, 109940, 3, 19968, 0, '', 'NULL', 'NULL', 'NULL'),
(119104, 39592, 94946, 8, 20449, 0, '', NULL, NULL, NULL),
(114289, 11619, 160554, 11, 19983, 0, '', 'NULL', 'NULL', 'NULL'),
(114290, 11619, 160554, 13, 19984, 0, '', 'NULL', 'NULL', 'NULL'),
(114291, 11619, 160554, 14, 19985, 0, '', 'NULL', 'NULL', 'NULL'),
(114732, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(115359, 11619, 160554, 17, 20182, 0, '', 'NULL', 'NULL', 'NULL'),
(115358, 11619, 160554, 16, 20181, 0, '', 'NULL', 'NULL', 'NULL'),
(115357, 11619, 160554, 20, 20180, 0, '', 'NULL', 'NULL', 'NULL'),
(115356, 11619, 160554, 18, 20179, 0, '', 'NULL', 'NULL', 'NULL'),
(115452, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(118641, 52351, 52351, 5, 20427, 0, '', 'NULL', 'NULL', 'NULL'),
(134152, 96607, 96607, 3, 21917, 0, NULL, 'NULL', 'NULL', 'NULL'),
(115963, 52351, 52351, 6, 20324, 0, '', 'NULL', 'NULL', 'NULL'),
(115970, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(116391, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(155633, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(116814, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(117238, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(155631, 131487, 131498, 2, 23545, 0, '', NULL, NULL, NULL),
(117665, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(118101, 84190, 94934, 3, 14710, 0, '', 'NULL', 'NULL', 'NULL'),
(118214, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(155629, 11619, 149577, 5, 23543, 0, '', 'NULL', 'NULL', 'NULL'),
(118642, 52350, 52350, 23, 20429, 0, '', 'NULL', 'NULL', 'NULL'),
(118643, 11619, 146900, 1, 20430, 0, '', 'NULL', 'NULL', 'NULL'),
(118644, 11619, 146901, 1, 20431, 0, '', 'NULL', 'NULL', 'NULL'),
(118645, NULL, 0, 1, NULL, 1, 'TAIGA 17.5.50 MCO', 'NULL', 'NULL', 'NULL'),
(142345, 68925, 68925, 2, 22926, 0, NULL, 'NULL', 'NULL', 'NULL'),
(118647, 118645, 118645, 1, NULL, 1, 'Evols', 'NULL', 'NULL', 'NULL'),
(118648, 118645, 118647, 1, NULL, 1, 'Specs', 'NULL', 'NULL', 'NULL'),
(118649, 118645, 118647, 2, NULL, 0, 'Devt', 'NULL', 'NULL', 'NULL'),
(118650, 118645, 118645, 2, NULL, 1, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(118657, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(119088, 68925, 68925, 3, 20441, 0, NULL, 'NULL', 'NULL', 'NULL'),
(119089, 68925, 68925, 4, 20442, 0, NULL, 'NULL', 'NULL', 'NULL'),
(119090, 68925, 68925, 5, 20443, 0, NULL, 'NULL', 'NULL', 'NULL'),
(119091, 68925, 68925, 6, 20444, 0, NULL, 'NULL', 'NULL', 'NULL'),
(119092, 39592, 94946, 7, 20445, 0, '', NULL, NULL, NULL),
(119093, 52350, 52350, 24, 20446, 0, '', 'NULL', 'NULL', 'NULL'),
(119105, 39592, 94946, 9, 20450, 0, '', NULL, NULL, NULL),
(119106, 39592, 94946, 10, 20451, 0, '', NULL, NULL, NULL),
(119118, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(119546, 11619, 109940, 5, 20462, 0, '', 'NULL', 'NULL', 'NULL'),
(119573, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(120110, 66514, 79507, 5, 20561, 0, '', 'NULL', 'NULL', 'NULL'),
(120111, 11619, 71296, 2, 20562, 0, '', 'NULL', 'NULL', 'NULL'),
(120112, 11619, 71296, 3, 20563, 0, '', 'NULL', 'NULL', 'NULL'),
(120113, 11619, 160554, 51, 20564, 0, '', 'NULL', 'NULL', 'NULL'),
(120147, 39592, 94946, 12, 20598, 0, '', NULL, NULL, NULL),
(120148, 39592, 94946, 11, 20599, 0, '', NULL, NULL, NULL),
(120156, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(120598, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(121074, 11619, 146901, 2, 20642, 0, '', 'NULL', 'NULL', 'NULL'),
(121073, 11619, 146900, 2, 20641, 0, '', 'NULL', 'NULL', 'NULL'),
(121072, 11619, 121081, 1, 20640, 0, '', 'NULL', 'NULL', 'NULL'),
(121079, 11619, 11619, 15, NULL, 1, 'Lot 5 - Retour Recette Lot2 ( 15/09)', 'NULL', 'NULL', 'NULL'),
(121080, 11619, 87213, 4, NULL, 1, 'Qualif', 'NULL', 'NULL', 'NULL'),
(121081, 11619, 87213, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(121082, 11619, 87213, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(121083, 52350, 52350, 25, 20645, 0, '', 'NULL', 'NULL', 'NULL'),
(121084, 52350, 52350, 26, 20646, 0, '', 'NULL', 'NULL', 'NULL'),
(142343, 131502, 133016, 10, 22924, 0, '', NULL, NULL, NULL),
(121131, 11619, 160554, 50, 20680, 0, '', 'NULL', 'NULL', 'NULL'),
(121132, 11619, 160554, 49, 20681, 0, '', 'NULL', 'NULL', 'NULL'),
(121133, 11619, 160554, 48, 20682, 0, '', 'NULL', 'NULL', 'NULL'),
(121134, 39592, 94946, 13, 20683, 0, '', NULL, NULL, NULL),
(124064, 52350, 52350, 20, 21301, 0, '', 'NULL', 'NULL', 'NULL'),
(121176, 11619, 71291, 3, 14049, 0, '', 'NULL', 'NULL', 'NULL'),
(135702, 11619, 135699, 1, 22424, 0, '', 'NULL', 'NULL', 'NULL'),
(121177, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(121703, 84190, 84190, 2, NULL, 1, 'Run 2 (28/09)', 'NULL', 'NULL', 'NULL'),
(121704, 84190, 121703, 1, NULL, 0, 'SPEC', 'NULL', 'NULL', 'NULL'),
(121705, 84190, 121703, 2, NULL, 0, 'DEV', 'NULL', 'NULL', 'NULL'),
(121706, 84190, 84190, 1, NULL, 1, 'Run 1', 'NULL', 'NULL', 'NULL'),
(137524, 137515, 137520, 2, NULL, 1, 'Devt', 'NULL', 'NULL', 'NULL'),
(137523, 137515, 137520, 1, NULL, 0, 'Specs', 'NULL', 'NULL', 'NULL'),
(137522, 137515, 137515, 4, NULL, 0, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(137521, 137515, 137515, 3, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(137520, 137515, 137515, 1, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(137519, 137515, 137524, 1, 19872, 0, '', 'NULL', 'NULL', 'NULL'),
(137518, 137515, 137523, 1, 19871, 0, '', 'NULL', 'NULL', 'NULL'),
(137517, 137515, 137524, 2, 22048, 0, '', 'NULL', 'NULL', 'NULL'),
(137516, 137515, 137523, 2, 22047, 0, '', 'NULL', 'NULL', 'NULL'),
(137515, NULL, 0, 1, NULL, 1, 'TAIGA V 18.1.50 MCO', 'NULL', 'NULL', 'NULL'),
(141830, 137515, 137524, 3, 22788, 0, '', 'NULL', 'NULL', 'NULL'),
(137513, 131502, 133016, 6, 22787, 0, '', NULL, NULL, NULL),
(137512, 131502, 133015, 6, 22786, 0, '', NULL, NULL, NULL),
(137511, 11619, 135705, 11, 22785, 0, '', 'NULL', 'NULL', 'NULL'),
(137499, 11619, 160554, 62, 22767, 0, '', 'NULL', 'NULL', 'NULL'),
(121756, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(129671, 39576, 39583, 6, 20486, 0, '', 'NULL', 'NULL', 'NULL'),
(129670, 39576, 39582, 5, 20485, 0, '', 'NULL', 'NULL', 'NULL'),
(129668, 52351, 52351, 4, 21603, 0, '', 'NULL', 'NULL', 'NULL'),
(129666, 11619, 160554, 37, 21602, 0, '', 'NULL', 'NULL', 'NULL'),
(129669, 11619, 160554, 52, 21604, 0, '', 'NULL', 'NULL', 'NULL'),
(125425, 68925, 68925, 7, 21348, 0, NULL, 'NULL', 'NULL', 'NULL'),
(122933, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(122343, 11619, 160554, 47, 20926, 0, '', 'NULL', 'NULL', 'NULL'),
(122344, 11619, 160554, 46, 20927, 0, '', 'NULL', 'NULL', 'NULL'),
(122345, 52350, 52350, 21, 20929, 0, '', 'NULL', 'NULL', 'NULL'),
(122346, 11619, 160554, 45, 20930, 0, '', 'NULL', 'NULL', 'NULL'),
(122347, 11619, 160554, 44, 20931, 0, '', 'NULL', 'NULL', 'NULL'),
(122348, 52350, 52350, 22, 20928, 0, '', 'NULL', 'NULL', 'NULL'),
(137498, 11619, 146902, 3, 22766, 0, '', 'NULL', 'NULL', 'NULL'),
(137496, 11619, 146902, 2, 22764, 0, '', 'NULL', 'NULL', 'NULL'),
(137497, 11619, 135705, 10, 22765, 0, '', 'NULL', 'NULL', 'NULL'),
(122492, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(123368, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(123996, 68925, 68925, 8, 21243, 0, NULL, 'NULL', 'NULL', 'NULL'),
(125427, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(168542, 52350, 52350, 2, 22875, 0, NULL, 'NULL', 'NULL', 'NULL'),
(124106, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(124542, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(124979, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(131499, 131487, 131495, 3, 21352, 0, '', NULL, NULL, NULL),
(125869, 39576, 39585, 13, 21353, 0, '', 'NULL', 'NULL', 'NULL'),
(125870, 66476, 66476, 2, 21354, 0, '', NULL, NULL, NULL),
(125926, 39576, 39585, 14, 21453, 0, '', 'NULL', 'NULL', 'NULL'),
(125938, 11619, 121079, 1, 21458, 0, '', 'NULL', 'NULL', 'NULL'),
(126034, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(137495, 11619, 135704, 7, 22763, 0, '', 'NULL', 'NULL', 'NULL'),
(137494, 11619, 160554, 1, 22762, 0, '', 'NULL', 'NULL', 'NULL'),
(137493, 11619, 146902, 1, 22761, 0, '', 'NULL', 'NULL', 'NULL'),
(126483, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(126946, 11619, 160554, 43, 21560, 0, '', 'NULL', 'NULL', 'NULL'),
(126947, 11619, 160554, 41, 21561, 0, '', 'NULL', 'NULL', 'NULL'),
(126948, 11619, 160554, 40, 21562, 0, '', 'NULL', 'NULL', 'NULL'),
(126949, 11619, 160554, 39, 21563, 0, '', 'NULL', 'NULL', 'NULL'),
(126950, 11619, 160554, 38, 21564, 0, '', 'NULL', 'NULL', 'NULL'),
(133688, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(134704, 11619, 135704, 6, 22369, 0, '', 'NULL', 'NULL', 'NULL'),
(130585, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(126998, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(127440, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(127883, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(128327, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(128772, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(129218, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(129681, 11619, 66419, 3, 21613, 0, '', 'NULL', 'NULL', 'NULL'),
(129686, 39592, 94945, 3, 21618, 0, '', NULL, NULL, NULL),
(129687, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(130135, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(131035, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(131487, NULL, NULL, 1, NULL, 1, 'TAIGA v18.1 DSI-EM', NULL, NULL, NULL),
(131488, 131487, 131494, 2, 21625, 0, '', NULL, NULL, NULL),
(131489, 131487, 131495, 4, 21626, 0, '', NULL, NULL, NULL),
(131490, 131487, 131494, 3, 21627, 0, '', NULL, NULL, NULL),
(131491, 131487, 131495, 5, 21628, 0, '', NULL, NULL, NULL),
(131492, 131487, 131487, 4, NULL, 1, 'Qualif', NULL, NULL, NULL),
(131493, 131487, 131487, 1, NULL, 1, 'Evol', NULL, NULL, NULL),
(131494, 131487, 131493, 1, NULL, 1, 'Specs', NULL, NULL, NULL),
(131495, 131487, 131493, 2, NULL, 1, 'Devt', NULL, NULL, NULL),
(131496, 52351, 52351, 2, 21629, 0, '', 'NULL', 'NULL', 'NULL'),
(131498, 131487, 131487, 5, NULL, 1, 'Anos de recette', NULL, NULL, NULL),
(131500, 131487, 131495, 1, 16075, 0, '', NULL, NULL, NULL),
(131502, NULL, NULL, 1, NULL, 1, 'TAIGA v 18.2.0 DSI INT', NULL, NULL, NULL),
(131503, 131502, 192663, 1, 16849, 0, '', NULL, NULL, NULL),
(131504, 52351, 52351, 3, 21630, 0, '', 'NULL', 'NULL', 'NULL'),
(131505, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(131960, 118645, 118648, 1, 21634, 0, '', 'NULL', 'NULL', 'NULL'),
(131961, 118645, 118649, 1, 21635, 0, '', 'NULL', 'NULL', 'NULL'),
(131984, 131487, 131492, 1, 21658, 0, '', NULL, NULL, NULL),
(131985, 131502, 133015, 3, 20432, 0, '', NULL, NULL, NULL),
(131986, 131502, 133016, 3, 20433, 0, '', NULL, NULL, NULL),
(131987, 131502, 133015, 1, 21659, 0, '', NULL, NULL, NULL),
(131988, 131502, 133016, 1, 21660, 0, '', NULL, NULL, NULL),
(131989, 131502, 133013, 1, 21661, 0, '', NULL, NULL, NULL),
(132498, 11619, 160554, 32, 21719, 0, '', 'NULL', 'NULL', 'NULL'),
(132499, 11619, 160554, 42, 21720, 0, '', 'NULL', 'NULL', 'NULL'),
(132500, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(133009, 131502, 133015, 5, 21756, 0, '', NULL, NULL, NULL),
(133010, 131502, 133016, 5, 21757, 0, '', NULL, NULL, NULL),
(133011, 131502, 133015, 4, 21758, 0, '', NULL, NULL, NULL),
(133012, 131502, 133016, 4, 21759, 0, '', NULL, NULL, NULL),
(133013, 131502, 142374, 2, NULL, 1, 'Qualif', NULL, NULL, NULL),
(133014, 131502, 142374, 1, NULL, 0, 'Evol', NULL, NULL, NULL),
(133015, 131502, 133014, 1, NULL, 1, 'Specs', NULL, NULL, NULL),
(133016, 131502, 133014, 2, NULL, 1, 'Devt', NULL, NULL, NULL),
(133017, 131502, 131502, 3, NULL, 1, 'Anos de Recette', NULL, NULL, NULL),
(134576, 118645, 118648, 2, 21760, 0, '', 'NULL', 'NULL', 'NULL'),
(134577, 118645, 118649, 2, 21761, 0, '', 'NULL', 'NULL', 'NULL'),
(133020, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(133523, 52350, 52350, 14, 21796, 0, '', 'NULL', 'NULL', 'NULL'),
(133516, 11619, 160554, 34, 21797, 0, '', 'NULL', 'NULL', 'NULL'),
(133517, 11619, 160554, 33, 21798, 0, '', 'NULL', 'NULL', 'NULL'),
(133555, 11619, 160554, 31, 21830, 0, '', 'NULL', 'NULL', 'NULL'),
(133556, 11619, 160554, 30, 21831, 0, '', 'NULL', 'NULL', 'NULL'),
(133557, 11619, 160554, 29, 21832, 0, '', 'NULL', 'NULL', 'NULL'),
(133558, 11619, 160554, 28, 21833, 0, '', 'NULL', 'NULL', 'NULL'),
(133559, 96607, 96607, 4, 21834, 0, NULL, 'NULL', 'NULL', 'NULL'),
(133560, 11619, 133562, 1, 21835, 0, '', 'NULL', 'NULL', 'NULL'),
(133561, 11619, 133562, 2, 21836, 0, '', 'NULL', 'NULL', 'NULL'),
(133562, 11619, 11619, 16, NULL, 0, 'Lot X  ', 'NULL', 'NULL', 'NULL'),
(133563, 11619, 135704, 8, 21837, 0, '', 'NULL', 'NULL', 'NULL'),
(133566, 11619, 160554, 27, 21840, 0, '', 'NULL', 'NULL', 'NULL'),
(133567, 11619, 160554, 53, 21841, 0, '', 'NULL', 'NULL', 'NULL'),
(133569, 131487, 131495, 2, 21843, 0, '', NULL, NULL, NULL),
(133570, 131487, 131494, 1, 21844, 0, '', NULL, NULL, NULL),
(135696, 52350, 52350, 15, 22423, 0, '', 'NULL', 'NULL', 'NULL'),
(133629, 11619, 160554, 26, 21891, 0, '', 'NULL', 'NULL', 'NULL'),
(133630, 11619, 160554, 25, 21892, 0, '', 'NULL', 'NULL', 'NULL'),
(133631, 39589, 44359, 2, 21893, 0, '', 'NULL', 'NULL', 'NULL'),
(133633, 52350, 52350, 16, 21895, 0, '', 'NULL', 'NULL', 'NULL'),
(133634, 131502, 133016, 2, 21800, 0, '', NULL, NULL, NULL),
(133635, 131502, 133015, 2, 21799, 0, '', NULL, NULL, NULL),
(170723, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(147664, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(153557, 11619, 11799, 3, 23433, 0, '', 'NULL', 'NULL', 'NULL'),
(153556, 11619, 135705, 20, 23432, 0, '', 'NULL', 'NULL', 'NULL'),
(142342, 131502, 133015, 10, 22923, 0, '', NULL, NULL, NULL),
(134279, 52350, 52350, 17, 22022, 0, '', 'NULL', 'NULL', 'NULL'),
(134580, 52350, 52350, 18, 22214, 0, '', 'NULL', 'NULL', 'NULL'),
(134313, 11619, 135705, 1, 22049, 0, '', 'NULL', 'NULL', 'NULL'),
(134314, 11619, 135705, 2, 22050, 0, '', 'NULL', 'NULL', 'NULL'),
(134315, 11619, 135705, 3, 22051, 0, '', 'NULL', 'NULL', 'NULL'),
(134705, 11619, 135705, 5, 22370, 0, '', 'NULL', 'NULL', 'NULL'),
(134552, 11619, 135705, 4, 22229, 0, '', 'NULL', 'NULL', 'NULL'),
(134556, 11619, 121080, 1, 22232, 0, '', 'NULL', 'NULL', 'NULL'),
(134566, 11619, 135704, 2, 22240, 0, '', 'NULL', 'NULL', 'NULL'),
(134572, 118645, 118650, 1, 20713, 0, '', 'NULL', 'NULL', 'NULL'),
(134573, 118645, 118650, 2, 22247, 0, '', 'NULL', 'NULL', 'NULL'),
(134574, 118645, 118650, 3, 22248, 0, '', 'NULL', 'NULL', 'NULL'),
(147188, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(192661, 131502, 192663, 7, 24877, 0, '', NULL, NULL, NULL),
(147177, 52350, 52350, 7, 23242, 0, '', 'NULL', 'NULL', 'NULL'),
(134706, 11619, 135704, 1, 22371, 0, '', 'NULL', 'NULL', 'NULL'),
(134707, 11619, 135705, 6, 22372, 0, '', 'NULL', 'NULL', 'NULL'),
(134708, 11619, 160554, 36, 22373, 0, '', 'NULL', 'NULL', 'NULL'),
(134709, 11619, 135704, 4, 22374, 0, '', 'NULL', 'NULL', 'NULL'),
(134710, 11619, 135704, 5, 22375, 0, '', 'NULL', 'NULL', 'NULL'),
(134711, 11619, 135705, 7, 22376, 0, '', 'NULL', 'NULL', 'NULL'),
(134712, 11619, 135705, 8, 22377, 0, '', 'NULL', 'NULL', 'NULL'),
(134713, 11619, 135705, 9, 22378, 0, '', 'NULL', 'NULL', 'NULL'),
(134714, 11619, 160554, 54, 22379, 0, '', 'NULL', 'NULL', 'NULL'),
(134715, 11619, 160554, 55, 22380, 0, '', 'NULL', 'NULL', 'NULL'),
(134716, 11619, 135704, 3, 22381, 0, '', 'NULL', 'NULL', 'NULL'),
(134717, 11619, 149576, 2, 22382, 0, '', 'NULL', 'NULL', 'NULL'),
(134718, 11619, 149577, 1, 22383, 0, '', 'NULL', 'NULL', 'NULL'),
(143427, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(134721, 11619, 149576, 1, 22386, 0, '', 'NULL', 'NULL', 'NULL'),
(134722, 11619, 149577, 2, 22387, 0, '', 'NULL', 'NULL', 'NULL'),
(134748, 68925, 68925, 9, 22405, 0, NULL, 'NULL', 'NULL', 'NULL'),
(135236, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(135694, 11619, 121081, 2, 22413, 0, '', 'NULL', 'NULL', 'NULL'),
(135695, 11619, 121082, 1, 22414, 0, '', 'NULL', 'NULL', 'NULL'),
(135697, 11619, 11619, 19, NULL, 0, 'Lot 18.0.10 ( 12/01/21018)', 'NULL', 'NULL', 'NULL'),
(135699, 11619, 135697, 2, NULL, 1, 'Qualif', 'NULL', 'NULL', 'NULL'),
(135704, 11619, 87213, 3, NULL, 1, 'Anos de Recette', 'NULL', 'NULL', 'NULL'),
(135705, 11619, 135697, 1, NULL, 1, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(137525, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(135710, 52350, 52350, 19, 22426, 0, '', 'NULL', 'NULL', 'NULL'),
(135723, 11619, 121081, 3, 22434, 0, '', 'NULL', 'NULL', 'NULL'),
(135973, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(136447, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(142344, 137515, 137521, 1, 22925, 0, '', 'NULL', 'NULL', 'NULL'),
(136942, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(137986, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(138448, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(138911, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(139380, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(145456, 11619, 149576, 3, 23137, 0, '', 'NULL', 'NULL', 'NULL'),
(139847, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(140314, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(140784, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(141284, 131487, 131487, 3, 22805, 0, '', NULL, NULL, NULL),
(141285, 131502, 133015, 8, 22806, 0, '', NULL, NULL, NULL),
(141286, 131502, 141777, 1, 22807, 0, '', NULL, NULL, NULL),
(141294, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(141774, 131502, 141777, 2, 22823, 0, '', NULL, NULL, NULL),
(141775, 131502, 133015, 7, 22824, 0, '', NULL, NULL, NULL),
(141776, 131502, 133016, 7, 22825, 0, '', NULL, NULL, NULL),
(141777, 131502, 133016, 8, NULL, 0, 'D45229', NULL, NULL, NULL),
(141829, 11619, 160554, 60, 22874, 0, '', 'NULL', 'NULL', 'NULL'),
(141864, 131502, 133015, 9, 22915, 0, '', NULL, NULL, NULL),
(141865, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(145476, 11619, 160554, 2, 23149, 0, '', 'NULL', 'NULL', 'NULL'),
(142336, 131502, 133016, 9, 22916, 0, '', NULL, NULL, NULL),
(142338, 11619, 135705, 12, 22919, 0, '', 'NULL', 'NULL', 'NULL'),
(142339, 11619, 160554, 59, 22920, 0, '', 'NULL', 'NULL', 'NULL'),
(142348, 11619, 163804, 1, 22933, 0, '', 'NULL', 'NULL', 'NULL'),
(142350, 11619, 135705, 13, 22935, 0, '', 'NULL', 'NULL', 'NULL'),
(142351, 11619, 135705, 14, 22936, 0, '', 'NULL', 'NULL', 'NULL'),
(142352, 11619, 160554, 63, 22937, 0, '', 'NULL', 'NULL', 'NULL'),
(142353, 11619, 160554, 56, 22938, 0, '', 'NULL', 'NULL', 'NULL'),
(142354, 11619, 160554, 57, 22939, 0, '', 'NULL', 'NULL', 'NULL'),
(142355, 11619, 146902, 5, 22940, 0, '', 'NULL', 'NULL', 'NULL'),
(142356, 11619, 146902, 11, 22941, 0, '', 'NULL', 'NULL', 'NULL'),
(142357, 11619, 146902, 6, 22942, 0, '', 'NULL', 'NULL', 'NULL'),
(142358, 11619, 160554, 58, 22943, 0, '', 'NULL', 'NULL', 'NULL'),
(142359, 11619, 135705, 15, 22944, 0, '', 'NULL', 'NULL', 'NULL'),
(168568, 168559, 168561, 2, 22945, 0, '', NULL, NULL, NULL),
(168567, 168559, 168562, 2, 22946, 0, '', NULL, NULL, NULL),
(142369, 11619, 146902, 12, 22951, 0, '', 'NULL', 'NULL', 'NULL'),
(142370, 11619, 146902, 13, 22952, 0, '', 'NULL', 'NULL', 'NULL'),
(142371, 11619, 135705, 16, 22953, 0, '', 'NULL', 'NULL', 'NULL'),
(201881, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(142374, 131502, 131502, 1, NULL, 1, 'R1', NULL, NULL, NULL),
(142375, 131502, 131502, 2, NULL, 1, 'R2', NULL, NULL, NULL),
(142378, 131502, 142375, 1, NULL, 1, 'Qualif', NULL, NULL, NULL),
(142379, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(145475, 11619, 146902, 8, 23150, 0, '', 'NULL', 'NULL', 'NULL'),
(142850, 131502, 142378, 1, 22956, 0, '', NULL, NULL, NULL),
(142861, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(143386, 11619, 160554, 61, 23002, 0, '', 'NULL', 'NULL', 'NULL'),
(143387, 11619, 146902, 4, 23003, 0, '', 'NULL', 'NULL', 'NULL'),
(143388, 11619, 135705, 17, 23004, 0, '', 'NULL', 'NULL', 'NULL'),
(143389, 11619, 149579, 1, 23005, 0, '', 'NULL', 'NULL', 'NULL'),
(143390, 11619, 149579, 3, 23006, 0, '', 'NULL', 'NULL', 'NULL'),
(163806, 11619, 160554, 76, 23780, 0, '', 'NULL', 'NULL', 'NULL'),
(143900, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(145486, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(144374, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(168566, 168559, 168562, 1, 23243, 0, '', NULL, NULL, NULL),
(168565, 168559, 168561, 1, 22877, 0, '', NULL, NULL, NULL),
(144882, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(145457, 11619, 149577, 3, 23138, 0, '', 'NULL', 'NULL', 'NULL'),
(145954, 131502, 133015, 11, 23016, 0, '', NULL, NULL, NULL),
(145955, 131502, 133016, 11, 23017, 0, '', NULL, NULL, NULL),
(145956, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(146427, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(146898, 11619, 11619, 18, NULL, 0, 'Lot 18.0.09.2 (05/12/2017)', 'NULL', 'NULL', 'NULL'),
(146899, 11619, 146898, 1, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(146900, 11619, 146899, 1, NULL, 0, 'Spec', 'NULL', 'NULL', 'NULL'),
(146901, 11619, 146899, 2, NULL, 1, 'Devt', 'NULL', 'NULL', 'NULL'),
(146902, 11619, 146898, 2, NULL, 1, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(146903, 11619, 146898, 3, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(146904, 11619, 146902, 7, 22964, 0, '', 'NULL', 'NULL', 'NULL'),
(146905, 11619, 135705, 18, 23165, 0, '', 'NULL', 'NULL', 'NULL'),
(146906, 11619, 135705, 19, 23166, 0, '', 'NULL', 'NULL', 'NULL'),
(146907, 11619, 163802, 2, 23167, 0, '', 'NULL', 'NULL', 'NULL'),
(146908, 11619, 163803, 2, 23168, 0, '', 'NULL', 'NULL', 'NULL'),
(146909, 96607, 96607, 5, 23169, 0, NULL, 'NULL', 'NULL', 'NULL'),
(146910, 96607, 96607, 6, 23170, 0, NULL, 'NULL', 'NULL', 'NULL'),
(146911, 52350, 52350, 8, 23171, 0, '', 'NULL', 'NULL', 'NULL'),
(146912, 52350, 52350, 9, 23172, 0, '', 'NULL', 'NULL', 'NULL'),
(148609, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(148136, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(149084, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(149570, 11619, 163802, 4, 23288, 0, '', 'NULL', 'NULL', 'NULL'),
(149571, 11619, 163803, 4, 23289, 0, '', 'NULL', 'NULL', 'NULL'),
(149572, 11619, 146902, 9, 23255, 0, '', 'NULL', 'NULL', 'NULL'),
(149573, 11619, 146902, 10, 23254, 0, '', 'NULL', 'NULL', 'NULL');
INSERT INTO `codev_wbs_table` (`id`, `root_id`, `parent_id`, `wbs_order`, `bug_id`, `expand`, `title`, `icon`, `font`, `color`) VALUES
(149574, 11619, 11619, 20, NULL, 0, 'Run 3 (09/02/2018)', 'NULL', 'NULL', 'NULL'),
(149575, 11619, 149574, 1, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(149576, 11619, 149575, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(149577, 11619, 149575, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(149579, 11619, 149574, 2, NULL, 1, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(149580, 11619, 149574, 3, NULL, 1, 'Qualif', 'NULL', 'NULL', 'NULL'),
(149601, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(150077, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(150594, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(151074, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(151553, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(167988, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(152099, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(152580, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(166897, 11619, 149579, 4, 23420, 0, '', 'NULL', 'NULL', 'NULL'),
(153063, 11619, 149579, 5, 23422, 0, '', 'NULL', 'NULL', 'NULL'),
(153064, 52350, 52350, 10, 23423, 0, '', 'NULL', 'NULL', 'NULL'),
(153065, 11619, 11619, 1, 23424, 0, '', 'NULL', 'NULL', 'NULL'),
(153066, 11619, 163802, 3, 23425, 0, '', 'NULL', 'NULL', 'NULL'),
(153067, 11619, 163803, 3, 23426, 0, '', 'NULL', 'NULL', 'NULL'),
(153068, 11619, 149576, 4, 23427, 0, '', 'NULL', 'NULL', 'NULL'),
(153069, 11619, 163802, 5, 23428, 0, '', 'NULL', 'NULL', 'NULL'),
(153070, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(153558, 11619, 160554, 66, 23434, 0, '', 'NULL', 'NULL', 'NULL'),
(153559, 11619, 11619, 6, 23437, 0, '', 'NULL', 'NULL', 'NULL'),
(153560, 131487, 131498, 1, 23438, 0, '', NULL, NULL, NULL),
(153577, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(154061, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(154546, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(155079, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(155567, 96607, 96607, 7, 23497, 0, NULL, 'NULL', 'NULL', 'NULL'),
(155568, 96607, 96607, 8, 23498, 0, NULL, 'NULL', 'NULL', 'NULL'),
(156120, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(156608, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(157098, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(157588, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(158079, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(158571, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(159066, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(159560, 11619, 149577, 4, 23556, 0, '', 'NULL', 'NULL', 'NULL'),
(159561, 11619, 149580, 1, 23557, 0, '', 'NULL', 'NULL', 'NULL'),
(159562, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(160058, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(160554, 11619, 11799, 1, NULL, 0, 'Soldées hors lot', 'NULL', 'NULL', 'NULL'),
(160555, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(161052, 11619, 149579, 7, 23562, 0, '', 'NULL', 'NULL', 'NULL'),
(161053, 11619, 149579, 6, 23563, 0, '', 'NULL', 'NULL', 'NULL'),
(161059, 11619, 163804, 2, 23569, 0, '', 'NULL', 'NULL', 'NULL'),
(161066, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(161564, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(162073, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(180754, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(162719, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(163262, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(163788, 11619, 160554, 67, 23767, 0, '', 'NULL', 'NULL', 'NULL'),
(163789, 131487, 131498, 3, 23768, 0, '', NULL, NULL, NULL),
(163790, 131487, 131498, 4, 23769, 0, '', NULL, NULL, NULL),
(163791, 11619, 149579, 8, 23770, 0, '', 'NULL', 'NULL', 'NULL'),
(163792, 131487, 131498, 5, 23771, 0, '', NULL, NULL, NULL),
(163793, 11619, 149579, 9, 23772, 0, '', 'NULL', 'NULL', 'NULL'),
(163794, 11619, 149579, 10, 23773, 0, '', 'NULL', 'NULL', 'NULL'),
(163795, 11619, 160554, 64, 23774, 0, '', 'NULL', 'NULL', 'NULL'),
(163796, 11619, 160554, 65, 23775, 0, '', 'NULL', 'NULL', 'NULL'),
(163797, 11619, 149579, 11, 23776, 0, '', 'NULL', 'NULL', 'NULL'),
(163798, 131487, 131498, 6, 23777, 0, '', NULL, NULL, NULL),
(163799, 131487, 131498, 7, 23778, 0, '', NULL, NULL, NULL),
(163800, 11619, 11619, 21, NULL, 0, '18.0.11 ( 27/02/2018)', 'NULL', 'NULL', 'NULL'),
(163801, 11619, 163800, 1, NULL, 0, 'Evol', 'NULL', 'NULL', 'NULL'),
(163802, 11619, 163801, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(163803, 11619, 163801, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(163804, 11619, 163800, 2, NULL, 1, 'Anos de Recette', 'NULL', 'NULL', 'NULL'),
(163807, 11619, 149579, 12, 23781, 0, '', 'NULL', 'NULL', 'NULL'),
(163812, 137515, 137522, 1, 23783, 0, '', 'NULL', 'NULL', 'NULL'),
(163810, 11619, 160554, 68, 23784, 0, '', 'NULL', 'NULL', 'NULL'),
(163813, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(164317, 11619, 11799, 2, 23787, 0, '', 'NULL', 'NULL', 'NULL'),
(164319, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(164823, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(165328, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(165834, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(166388, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(166896, 11619, 149579, 13, 23833, 0, '', 'NULL', 'NULL', 'NULL'),
(166898, 11619, 160554, 69, 23834, 0, '', 'NULL', 'NULL', 'NULL'),
(166899, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(167408, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(168518, 11619, 135705, 21, 23893, 0, '', 'NULL', 'NULL', 'NULL'),
(168543, 52350, 52350, 3, 22876, 0, NULL, 'NULL', 'NULL', 'NULL'),
(168544, 52350, 52350, 4, 22879, 0, NULL, 'NULL', 'NULL', 'NULL'),
(168545, 52350, 52350, 5, 22881, 0, NULL, 'NULL', 'NULL', 'NULL'),
(168546, NULL, NULL, 1, NULL, 0, 'TAIGA Forfait Anomalies 2018', NULL, NULL, NULL),
(168548, 11619, 149579, 14, 23901, 0, '', 'NULL', 'NULL', 'NULL'),
(168549, 11619, 135705, 22, 23902, 0, '', 'NULL', 'NULL', 'NULL'),
(168552, 131487, 131498, 8, 23905, 0, '', NULL, NULL, NULL),
(168553, 131487, 131498, 9, 23906, 0, '', NULL, NULL, NULL),
(168557, 96607, 96607, 9, 23908, 0, NULL, 'NULL', 'NULL', 'NULL'),
(168558, 96607, 96607, 10, 23909, 0, NULL, 'NULL', 'NULL', 'NULL'),
(168559, NULL, NULL, 1, NULL, 1, 'TAIGA 18.2.10 MCO', NULL, NULL, NULL),
(168560, 168559, 168559, 3, NULL, 1, 'Evol', NULL, NULL, NULL),
(168561, 168559, 168560, 1, NULL, 1, 'Spec', NULL, NULL, NULL),
(168562, 168559, 168560, 2, NULL, 0, 'Devt', NULL, NULL, NULL),
(168563, 168559, 168559, 4, NULL, 0, 'Qualif', NULL, NULL, NULL),
(168564, 168559, 168559, 6, NULL, 0, 'Anos de recette', NULL, NULL, NULL),
(168569, 168559, 168563, 1, 23910, 0, '', NULL, NULL, NULL),
(168570, 52350, 52350, 6, 23136, 0, NULL, 'NULL', 'NULL', 'NULL'),
(168573, 168559, 168562, 3, 23436, 0, '', NULL, NULL, NULL),
(168574, 168559, 168561, 3, 23435, 0, '', NULL, NULL, NULL),
(168575, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(169086, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(169602, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(170162, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(171272, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(172419, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(172944, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(173473, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(174027, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(174549, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(189164, 11619, 160554, 73, 24747, 0, '', 'NULL', 'NULL', 'NULL'),
(175136, 11619, 149579, 18, 24169, 0, '', 'NULL', 'NULL', 'NULL'),
(175137, 11619, 149579, 19, 24170, 0, '', 'NULL', 'NULL', 'NULL'),
(175139, 11619, 135705, 25, 24172, 0, '', 'NULL', 'NULL', 'NULL'),
(175144, 11619, 149579, 2, 23421, 0, '', 'NULL', 'NULL', 'NULL'),
(175145, 11619, 149579, 15, 24175, 0, '', 'NULL', 'NULL', 'NULL'),
(175146, 11619, 135705, 23, 24176, 0, '', 'NULL', 'NULL', 'NULL'),
(175147, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(175670, 11619, 149579, 16, 24178, 0, '', 'NULL', 'NULL', 'NULL'),
(175671, 11619, 149579, 17, 24179, 0, '', 'NULL', 'NULL', 'NULL'),
(175678, 11619, 135705, 24, 24177, 0, '', 'NULL', 'NULL', 'NULL'),
(175691, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(184080, 11619, 191490, 3, 24562, 0, '', 'NULL', 'NULL', 'NULL'),
(176296, 11619, 191490, 1, 24241, 0, '', 'NULL', 'NULL', 'NULL'),
(176297, 11619, 163804, 3, 24242, 0, '', 'NULL', 'NULL', 'NULL'),
(176298, 11619, 160554, 77, 24243, 0, '', 'NULL', 'NULL', 'NULL'),
(176299, 11619, 160554, 78, 24244, 0, '', 'NULL', 'NULL', 'NULL'),
(184079, 11619, 160554, 70, 24561, 0, '', 'NULL', 'NULL', 'NULL'),
(176328, 168546, 168546, 1, 24269, 0, '', NULL, NULL, NULL),
(176329, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(176856, 168559, 176858, 1, 22409, 0, '', NULL, NULL, NULL),
(176857, 168559, 176858, 2, 23136, 0, '', NULL, NULL, NULL),
(176858, 168559, 168559, 5, NULL, 0, 'Anos de Prod', NULL, NULL, NULL),
(176866, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(177393, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(177968, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(213161, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(213160, 11619, 215679, 1, 25321, 0, '', 'NULL', 'NULL', 'NULL'),
(178580, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(179109, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(179644, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(180175, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(181289, 11619, 11799, 4, 24443, 0, '', 'NULL', 'NULL', 'NULL'),
(181290, 11619, 163804, 4, 24444, 0, '', 'NULL', 'NULL', 'NULL'),
(181291, 11619, 163804, 5, 24445, 0, '', 'NULL', 'NULL', 'NULL'),
(181292, 11619, 191490, 2, 24446, 0, '', 'NULL', 'NULL', 'NULL'),
(181293, 168546, 168546, 4, 24447, 0, '', NULL, NULL, NULL),
(181294, 11619, 160554, 79, 24448, 0, '', 'NULL', 'NULL', 'NULL'),
(181295, 11619, 160554, 80, 24449, 0, '', 'NULL', 'NULL', 'NULL'),
(181296, 11619, 160554, 82, 24450, 0, '', 'NULL', 'NULL', 'NULL'),
(181297, 137515, 137515, 2, 24451, 0, NULL, 'NULL', 'NULL', 'NULL'),
(181298, 11619, 163802, 1, 24452, 0, '', 'NULL', 'NULL', 'NULL'),
(181299, 11619, 163803, 1, 24453, 0, '', 'NULL', 'NULL', 'NULL'),
(181300, 11619, 149576, 5, 24454, 0, '', 'NULL', 'NULL', 'NULL'),
(181301, 11619, 149577, 6, 24455, 0, '', 'NULL', 'NULL', 'NULL'),
(181307, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(181842, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(184096, 11619, 163800, 3, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(184097, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(184095, 11619, 184096, 1, 24575, 0, '', 'NULL', 'NULL', 'NULL'),
(185717, 11619, 160554, 83, 24588, 0, '', 'NULL', 'NULL', 'NULL'),
(182442, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(182978, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(183527, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(184065, 11619, 149579, 20, 24547, 0, '', 'NULL', 'NULL', 'NULL'),
(184081, 11619, 160554, 81, 24563, 0, '', 'NULL', 'NULL', 'NULL'),
(184636, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(185176, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(185718, 11619, 191490, 4, 24589, 0, '', 'NULL', 'NULL', 'NULL'),
(185719, 11619, 11799, 5, 24590, 0, '', 'NULL', 'NULL', 'NULL'),
(185720, 168559, 168561, 4, 24591, 0, '', NULL, NULL, NULL),
(185721, 168559, 168562, 4, 24592, 0, '', NULL, NULL, NULL),
(185722, 11619, 163802, 6, 24593, 0, '', 'NULL', 'NULL', 'NULL'),
(185723, 11619, 163803, 5, 24594, 0, '', 'NULL', 'NULL', 'NULL'),
(190832, 131502, 215057, 4, 24767, 0, '', NULL, NULL, NULL),
(189165, 131502, 192663, 5, 24748, 0, '', NULL, NULL, NULL),
(185754, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(186296, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(186843, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(189113, 11619, 149579, 21, 24707, 0, '', 'NULL', 'NULL', 'NULL'),
(187403, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(187954, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(188509, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(189061, 11619, 163802, 7, 24670, 0, '', 'NULL', 'NULL', 'NULL'),
(189062, 11619, 163803, 6, 24671, 0, '', 'NULL', 'NULL', 'NULL'),
(189098, 11619, 163804, 6, 24693, 0, '', 'NULL', 'NULL', 'NULL'),
(189101, 11619, 160554, 84, 24696, 0, '', 'NULL', 'NULL', 'NULL'),
(189103, 11619, 191490, 5, 24698, 0, '', 'NULL', 'NULL', 'NULL'),
(189104, 11619, 163804, 7, 24699, 0, '', 'NULL', 'NULL', 'NULL'),
(189105, 11619, 11799, 6, 24700, 0, '', 'NULL', 'NULL', 'NULL'),
(189106, 11619, 160554, 85, 24701, 0, '', 'NULL', 'NULL', 'NULL'),
(189154, 131487, 131498, 10, 24737, 0, '', NULL, NULL, NULL),
(189155, 131487, 131498, 11, 24738, 0, '', NULL, NULL, NULL),
(189169, 131502, 192663, 2, 24739, 0, '', NULL, NULL, NULL),
(189157, 131502, 192663, 3, 24740, 0, '', NULL, NULL, NULL),
(189158, 131502, 215057, 2, 24741, 0, '', NULL, NULL, NULL),
(189166, 131502, 133017, 7, 24749, 0, '', NULL, NULL, NULL),
(189170, 131502, 192663, 4, 24753, 0, '', NULL, NULL, NULL),
(189171, 131502, 215057, 3, 24754, 0, '', NULL, NULL, NULL),
(191486, 11619, 11619, 22, NULL, 1, '18.0.11.1 (27/03/2108)', 'NULL', 'NULL', 'NULL'),
(189182, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(189729, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(190282, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(190833, 131502, 192663, 6, 24768, 0, '', NULL, NULL, NULL),
(190834, 11619, 191488, 1, 24769, 0, '', 'NULL', 'NULL', 'NULL'),
(190835, 11619, 191489, 1, 24770, 0, '', 'NULL', 'NULL', 'NULL'),
(190836, 11619, 11619, 4, 24771, 0, '', 'NULL', 'NULL', 'NULL'),
(190837, 11619, 11619, 5, 24772, 0, '', 'NULL', 'NULL', 'NULL'),
(190841, 11619, 160554, 72, 24797, 0, '', 'NULL', 'NULL', 'NULL'),
(190842, 11619, 160554, 71, 24798, 0, '', 'NULL', 'NULL', 'NULL'),
(190880, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(191487, 11619, 191486, 1, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(191488, 11619, 191487, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(191489, 11619, 191487, 2, NULL, 1, 'Dev', 'NULL', 'NULL', 'NULL'),
(191490, 11619, 191486, 2, NULL, 1, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(191491, 11619, 191486, 3, NULL, 1, 'Qualif', 'NULL', 'NULL', 'NULL'),
(191492, 11619, 191491, 1, 24838, 0, '', 'NULL', 'NULL', 'NULL'),
(191504, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(192090, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(192662, 131502, 215057, 5, 24878, 0, '', NULL, NULL, NULL),
(192663, 131502, 142375, 2, NULL, 1, 'Anos de Recette', NULL, NULL, NULL),
(192681, 131502, 215057, 1, 24890, 0, '', NULL, NULL, NULL),
(192682, 131502, 192663, 8, 24891, 0, '', NULL, NULL, NULL),
(193332, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(192774, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(193329, 11619, 191490, 6, 24963, 0, '', 'NULL', 'NULL', 'NULL'),
(194485, NULL, 0, 1, NULL, 1, 'TAIGA v 18.2.2O MCO', 'NULL', 'NULL', 'NULL'),
(193902, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(194484, 11619, 191490, 7, 24996, 0, '', 'NULL', 'NULL', 'NULL'),
(215678, 11619, 215677, 1, NULL, 0, 'Evol', 'NULL', 'NULL', 'NULL'),
(194486, 194485, 220018, 1, 24997, 0, NULL, 'NULL', 'NULL', 'NULL'),
(194487, 194485, 220018, 4, 24998, 0, NULL, 'NULL', 'NULL', 'NULL'),
(194488, 168546, 168546, 2, 24997, 0, '', NULL, NULL, NULL),
(194489, 168546, 168546, 3, 24998, 0, '', NULL, NULL, NULL),
(194490, 194485, 220018, 3, 24447, 0, NULL, 'NULL', 'NULL', 'NULL'),
(194491, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(195047, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(195604, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(196163, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(196723, 131502, 192663, 10, 25004, 0, '', NULL, NULL, NULL),
(196724, 131502, 133017, 1, 25005, 0, '', NULL, NULL, NULL),
(196725, 131502, 133017, 2, 25006, 0, '', NULL, NULL, NULL),
(196726, 131502, 133017, 3, 25007, 0, '', NULL, NULL, NULL),
(196727, 131502, 133017, 4, 25008, 0, '', NULL, NULL, NULL),
(196728, 131502, 192663, 9, 24911, 0, '', NULL, NULL, NULL),
(196730, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(197333, 11619, 191490, 8, 25043, 0, '', 'NULL', 'NULL', 'NULL'),
(197334, 131502, 133017, 5, 25044, 0, '', NULL, NULL, NULL),
(197335, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(197900, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(198481, 131487, 198482, 1, 17577, 0, '', NULL, NULL, NULL),
(198482, 131487, 131487, 2, NULL, 1, 'Anos DSI 2016', NULL, NULL, NULL),
(198483, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(199046, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(199610, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(200175, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(200741, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(201308, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(202465, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(203046, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(203630, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(204213, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(204788, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(205364, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(205939, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(206520, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(207135, 11619, 191490, 9, 25154, 0, '', 'NULL', 'NULL', 'NULL'),
(207136, 11619, 191488, 2, 25155, 0, '', 'NULL', 'NULL', 'NULL'),
(207137, 11619, 160554, 75, 25123, 0, '', 'NULL', 'NULL', 'NULL'),
(207192, 11619, 191490, 10, 25190, 0, '', 'NULL', 'NULL', 'NULL'),
(215681, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(207218, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(207805, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(208401, 11619, 191490, 11, 25240, 0, '', 'NULL', 'NULL', 'NULL'),
(208419, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(208999, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(209580, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(210170, 131502, 133017, 6, 25267, 0, '', NULL, NULL, NULL),
(210171, 131502, 133017, 8, 25268, 0, '', NULL, NULL, NULL),
(210172, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(210768, NULL, 0, 1, NULL, 1, 'TAIGA v18.5.0_TO', 'NULL', 'NULL', 'NULL'),
(210769, 210768, 210776, 1, 21596, 0, '', 'NULL', 'NULL', 'NULL'),
(210770, 210768, 210776, 2, 21599, 0, '', 'NULL', 'NULL', 'NULL'),
(210771, 210768, 210776, 3, 21619, 0, '', 'NULL', 'NULL', 'NULL'),
(210772, 210768, 210776, 4, 21620, 0, '', 'NULL', 'NULL', 'NULL'),
(210773, 210768, 210768, 1, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(210774, 210768, 210773, 1, NULL, 0, 'Specs', 'NULL', 'NULL', 'NULL'),
(210775, 210768, 210773, 2, NULL, 0, 'Devt', 'NULL', 'NULL', 'NULL'),
(210776, 210768, 210768, 2, NULL, 0, 'Anos de Prod', 'NULL', 'NULL', 'NULL'),
(210777, 210768, 210768, 3, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(210778, 210768, 210768, 4, NULL, 0, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(210779, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(211363, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(211948, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(212534, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(213782, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(214378, 11619, 191490, 12, 25354, 0, '', 'NULL', 'NULL', 'NULL'),
(214467, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(215057, 131502, 133017, 9, NULL, 0, 'Soldées', NULL, NULL, NULL),
(215063, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(215674, 11619, 215679, 2, 25437, 0, '', 'NULL', 'NULL', 'NULL'),
(215677, 11619, 11619, 23, NULL, 1, '18.0.12 ', 'NULL', 'NULL', 'NULL'),
(215679, 11619, 215677, 2, NULL, 1, 'Anos de recette', 'NULL', 'NULL', 'NULL'),
(216273, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(216866, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(217583, 11619, 11619, 2, 25546, 0, NULL, 'NULL', 'NULL', 'NULL'),
(217582, 194485, 220017, 1, 25545, 0, NULL, 'NULL', 'NULL', 'NULL'),
(217584, 11619, 11619, 3, 25547, 0, NULL, 'NULL', 'NULL', 'NULL'),
(217585, 11619, 191490, 14, 25548, 0, NULL, 'NULL', 'NULL', 'NULL'),
(217586, 11619, 191490, 15, 25549, 0, NULL, 'NULL', 'NULL', 'NULL'),
(217592, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(217593, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(218192, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(218792, 11619, 191490, 13, 25559, 0, NULL, 'NULL', 'NULL', 'NULL'),
(218804, 131502, 131502, 1, 25573, 0, NULL, NULL, NULL, NULL),
(218808, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(219409, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
(220011, 194485, 220016, 2, 25579, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220012, 194485, 220017, 2, 25580, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220013, 194485, 220016, 3, 25581, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220014, 194485, 220017, 3, 25582, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220015, 194485, 194485, 1, NULL, 1, 'Evol', 'NULL', 'NULL', 'NULL'),
(220016, 194485, 220015, 1, NULL, 1, 'Spec', 'NULL', 'NULL', 'NULL'),
(220017, 194485, 220015, 2, NULL, 0, 'Devt', 'NULL', 'NULL', 'NULL'),
(220018, 194485, 194485, 2, NULL, 1, 'Anos', 'NULL', 'NULL', 'NULL'),
(220019, 194485, 194485, 3, NULL, 0, 'Qualif', 'NULL', 'NULL', 'NULL'),
(220020, 194485, 220018, 2, 23545, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220021, 194485, 220018, 5, 25005, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220022, 194485, 220018, 6, 25007, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220023, 194485, 220018, 7, 25008, 0, NULL, 'NULL', 'NULL', 'NULL'),
(220024, 194485, 220018, 8, 25267, 0, NULL, 'NULL', 'NULL', 'NULL');

-- --------------------------------------------------------

--
-- Structure de la table `mantis_api_token_table`
--

DROP TABLE IF EXISTS `mantis_api_token_table`;
CREATE TABLE `mantis_api_token_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `name` varchar(128) NOT NULL,
  `hash` varchar(128) NOT NULL,
  `date_created` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `date_used` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_api_token_table`
--

INSERT INTO `mantis_api_token_table` (`id`, `user_id`, `name`, `hash`, `date_created`, `date_used`) VALUES
(1, 2, 'tamere', '743dcf47fc48060c1f238f5ff7c3d4d85eff0dd9a3c1410957863deb2b48b66f', 1465310133, 0);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bugnote_table`
--

DROP TABLE IF EXISTS `mantis_bugnote_table`;
CREATE TABLE `mantis_bugnote_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `bug_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `reporter_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `bugnote_text_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `view_state` smallint(6) NOT NULL DEFAULT 10,
  `note_type` int(11) DEFAULT 0,
  `note_attr` varchar(250) DEFAULT '',
  `time_tracking` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `last_modified` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `date_submitted` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_bugnote_table`
--

INSERT INTO `mantis_bugnote_table` (`id`, `bug_id`, `reporter_id`, `bugnote_text_id`, `view_state`, `note_type`, `note_attr`, `time_tracking`, `last_modified`, `date_submitted`) VALUES
(398, 1435, 2, 398, 10, 0, '', 0, 1410440678, 1410440566),
(2031, 12179, 164, 2031, 10, 0, '', 0, 1465915856, 1465915856),
(3903, 23791, 2, 3903, 50, 109, '', 0, 1471957897, 1471816800),
(6468, 2, 237, 6468, 50, 109, '', 0, 1476346777, 1476136800),
(6853, 1, 328, 6853, 50, 109, '', 0, 1476967282, 1477260000),
(6852, 1, 328, 6852, 50, 109, '', 0, 1476967276, 1477346400),
(6854, 1, 328, 6854, 50, 109, '', 0, 1476967291, 1477432800),
(6855, 1, 328, 6855, 50, 109, '', 0, 1476967302, 1477605600),
(6916, 1437, 2, 6916, 50, 109, '', 0, 1477064942, 1477000800),
(7250, 1, 329, 7250, 50, 109, '', 0, 1478161885, 1478041200),
(7315, 2, 281, 7315, 50, 109, '', 0, 1478176578, 1477868400),
(7482, 1437, 2, 7482, 50, 109, '', 0, 1478532742, 1478473200),
(7770, 1435, 2, 7770, 50, 109, '', 0, 1479120841, 1479078000),
(9019, 2, 291, 9019, 50, 109, '', 0, 1481188433, 1480892400),
(9513, 2041, 246, 9513, 50, 109, '', 0, 1481705521, 1481497200),
(9809, 2, 275, 9809, 50, 109, '', 0, 1482307747, 1482102000),
(9821, 2, 243, 9821, 50, 109, '', 0, 1482314318, 1482188400),
(9959, 2, 349, 9959, 50, 109, '', 0, 1482489449, 1482361200),
(10150, 2, 276, 10150, 50, 109, '', 0, 1483441859, 1483311600),
(10190, 2, 329, 10190, 50, 109, '', 0, 1483603032, 1484175600),
(11904, 2, 341, 11904, 50, 109, '', 0, 1485504062, 1485298800),
(11905, 2, 341, 11905, 50, 109, '', 0, 1485504067, 1485385200),
(12430, 2, 277, 12430, 50, 109, '', 0, 1486052263, 1485990000),
(13239, 1, 292, 13239, 50, 109, '', 0, 1487065843, 1479682800),
(13698, 1437, 169, 13698, 50, 109, '', 0, 1487344397, 1487199600),
(13762, 1437, 2, 13762, 50, 109, '', 0, 1487611788, 1487545200),
(14073, 1437, 146, 14073, 50, 109, '', 0, 1487848011, 1487804400),
(14105, 14534, 2, 14105, 50, 109, '', 0, 1487857646, 1487718000),
(14106, 14534, 2, 14106, 50, 109, '', 0, 1487857675, 1487804400),
(14108, 1437, 2, 14108, 50, 109, '', 0, 1487857869, 1487631600),
(14109, 1437, 2, 14109, 50, 109, '', 0, 1487857875, 1487718000),
(14196, 2, 348, 14196, 50, 109, '', 0, 1488185841, 1488236400),
(14482, 1437, 199, 14482, 50, 109, '', 0, 1488448127, 1487718000),
(15071, 2, 285, 15071, 50, 109, '', 0, 1489073018, 1488150000),
(15308, 1437, 2, 15308, 50, 109, '', 0, 1489575255, 1489446000),
(15380, 1437, 2, 15380, 50, 109, '', 0, 1489595428, 1489532400),
(15977, 3965, 2, 15977, 50, 109, '', 0, 1490201551, 1489791600),
(15978, 3965, 2, 15978, 50, 109, '', 0, 1490201562, 1489186800),
(16154, 2, 273, 16154, 50, 109, '', 0, 1490345122, 1490050800),
(16163, 17858, 2, 16163, 50, 109, '', 0, 1490349863, 1490137200),
(16187, 2, 348, 16187, 50, 109, '', 0, 1490365652, 1490223600),
(16396, 1, 133, 16396, 50, 109, '', 0, 1490702329, 1490137200),
(19237, 2865, 83, 19237, 50, 109, '', 0, 1493976704, 1485730800),
(16761, 17858, 2, 16761, 50, 109, '', 0, 1490887393, 1490824800),
(16813, 2, 371, 16813, 50, 109, '', 0, 1490964437, 1488322800),
(16844, 1435, 2, 16844, 50, 109, '', 0, 1490975928, 1490911200),
(16917, 1437, 2, 16917, 50, 109, '', 0, 1491301118, 1491256800),
(17233, 23789, 2, 17233, 50, 109, '', 0, 1491480240, 1491343200),
(17389, 1505, 2, 17389, 50, 109, '', 0, 1491578987, 1491516000),
(17369, 1505, 164, 17369, 50, 109, '', 0, 1491566824, 1491516000),
(17466, 2, 274, 17466, 50, 109, '', 0, 1491901100, 1491775200),
(17475, 18271, 345, 17475, 50, 109, '', 0, 1491904792, 1491343200),
(17604, 23789, 72, 17604, 50, 109, '', 0, 1492011950, 1491948000),
(17742, 1400, 282, 17742, 50, 109, '', 0, 1492071210, 1491343200),
(17922, 23789, 72, 17922, 50, 109, '', 0, 1492183805, 1492120800),
(17938, 2, 217, 17938, 50, 109, '', 0, 1492496667, 1492120800),
(18017, 23789, 72, 18017, 50, 109, '', 0, 1492602355, 1492466400),
(18019, 1400, 382, 18019, 50, 109, '', 0, 1492605574, 1491170400),
(18020, 1400, 382, 18020, 50, 109, '', 0, 1492605729, 1491256800),
(18021, 1400, 382, 18021, 50, 109, '', 0, 1492605768, 1491343200),
(18022, 1400, 382, 18022, 50, 109, '', 0, 1492605880, 1491429600),
(18023, 1400, 382, 18023, 50, 109, '', 0, 1492605971, 1491516000),
(18024, 1400, 382, 18024, 50, 109, '', 0, 1492606262, 1492466400),
(18026, 1400, 382, 18026, 50, 109, '', 0, 1492606340, 1492552800),
(18041, 2, 339, 18041, 50, 109, '', 0, 1492612927, 1492639200),
(18042, 2, 339, 18042, 50, 109, '', 0, 1492612932, 1492725600),
(18219, 23789, 72, 18219, 50, 109, '', 0, 1492756450, 1492639200),
(18229, 23789, 72, 18229, 50, 109, '', 0, 1492761108, 1492725600),
(18312, 2, 274, 18312, 50, 109, '', 0, 1493037530, 1492984800),
(18351, 1435, 164, 18351, 50, 109, '', 0, 1493109010, 1492984800),
(18360, 2041, 72, 18360, 50, 109, '', 0, 1493118044, 1492984800),
(18361, 18575, 72, 18361, 50, 109, '', 0, 1493118064, 1492984800),
(18435, 1400, 382, 18435, 50, 109, '', 0, 1493214218, 1492984800),
(18436, 1400, 382, 18436, 50, 109, '', 0, 1493214271, 1493071200),
(18437, 1400, 382, 18437, 50, 109, '', 0, 1493214323, 1493157600),
(18762, 2, 329, 18762, 50, 109, '', 0, 1493711168, 1493848800),
(18826, 1, 339, 18826, 50, 109, '', 0, 1493744598, 1493676000),
(18836, 1, 168, 18836, 50, 109, '', 0, 1493797667, 1493848800),
(18884, 23789, 2, 18884, 50, 109, '', 0, 1493818643, 1493762400),
(19273, 17858, 2, 19273, 50, 109, '', 0, 1494000707, 1493935200),
(19274, 18575, 113, 19274, 50, 109, '', 0, 1494000715, 1493935200),
(19275, 17858, 2, 19275, 50, 109, '', 0, 1494000733, 1493762400),
(19276, 1437, 2, 19276, 50, 109, '', 0, 1494000777, 1493935200),
(19328, 23789, 72, 19328, 50, 109, '', 0, 1494337755, 1494280800),
(19352, 1435, 2, 19352, 50, 109, '', 0, 1494345417, 1494280800),
(19355, 2, 36, 19355, 50, 109, '', 0, 1494396082, 1494280800),
(19409, 23789, 2, 19409, 50, 109, '', 0, 1494426265, 1494367200),
(19457, 2, 267, 19457, 50, 109, '', 0, 1494487747, 1494367200),
(19617, 2, 304, 19617, 50, 109, '', 0, 1494505121, 1494453600),
(19835, 23789, 2, 19835, 50, 109, '', 0, 1494782060, 1494540000),
(20233, 2, 44, 20233, 50, 109, '', 0, 1495123675, 1496354400),
(20275, 1437, 2, 20275, 50, 109, '', 0, 1495184614, 1494885600),
(21149, 2, 348, 21149, 50, 109, '', 0, 1496321216, 1496181600),
(20367, 18575, 113, 20367, 50, 109, '', 0, 1495446291, 1495404000),
(20576, 10858, 83, 20576, 50, 109, '', 0, 1495636541, 1495490400),
(20738, 18575, 113, 20738, 50, 109, '', 0, 1496057595, 1496008800),
(20739, 18575, 113, 20739, 50, 109, '', 0, 1496057722, 1496268000),
(20785, 1435, 2, 20785, 50, 109, '', 0, 1496070981, 1496008800),
(23007, 1, 56, 23007, 50, 109, '', 0, 1498217993, 1490911200),
(20848, 1, 384, 20848, 50, 109, '', 0, 1496138736, 1495404000),
(23006, 1, 56, 23006, 50, 109, '', 0, 1498217917, 1488322800),
(21027, 1437, 2, 21027, 50, 109, '', 0, 1496304467, 1491775200),
(21164, 23789, 2, 21164, 50, 109, '', 0, 1496323671, 1496181600),
(21165, 23789, 2, 21165, 50, 109, '', 0, 1496323694, 1496268000),
(21426, 2, 278, 21426, 50, 109, '', 0, 1496905655, 1496613600),
(21598, 2, 358, 21598, 50, 109, '', 0, 1496935685, 1496786400),
(21615, 1435, 72, 21615, 50, 109, '', 0, 1496985918, 1496872800),
(21624, 1435, 164, 21624, 50, 109, '', 0, 1496992486, 1496959200),
(21735, 1, 46, 21735, 50, 109, '', 0, 1497262728, 1496959200),
(21736, 1, 46, 21736, 50, 109, '', 0, 1497262738, 1496959200),
(21860, 1, 382, 21860, 50, 109, '', 0, 1497363876, 1497218400),
(22064, 2, 348, 22064, 50, 109, '', 0, 1497517228, 1497477600),
(22430, 19428, 2, 22430, 50, 109, '', 0, 1497885728, 1497823200),
(22494, 1437, 74, 22494, 50, 109, '', 0, 1497965681, 1497823200),
(22908, 1, 250, 22908, 50, 109, '', 0, 1498149101, 1497996000),
(23008, 23789, 72, 23008, 50, 109, '', 0, 1498219776, 1498168800),
(23002, 1, 164, 23002, 50, 109, '', 0, 1498215664, 1498168800),
(23019, 1, 250, 23019, 50, 109, '', 0, 1498231097, 1497218400),
(23035, 19428, 2, 23035, 50, 109, '', 0, 1498236209, 1498082400),
(23036, 19428, 2, 23036, 50, 109, '', 0, 1498236219, 1498168800),
(23044, 1437, 2, 23044, 50, 109, '', 0, 1498461878, 1499292000),
(23053, 1435, 2, 23053, 50, 109, '', 0, 1498466641, 1496872800),
(23054, 23789, 2, 23054, 50, 109, '', 0, 1498466650, 1496700000),
(23058, 19428, 2, 23058, 50, 109, '', 0, 1498466858, 1498687200),
(23059, 19428, 2, 23059, 50, 109, '', 0, 1498466863, 1498773600),
(23090, 19428, 2, 23090, 50, 109, '', 0, 1498478342, 1498428000),
(23121, 19588, 96, 23121, 50, 109, '', 0, 1498488643, 1498428000),
(23124, 19588, 96, 23124, 50, 109, '', 0, 1498489010, 1497909600),
(23164, 1, 46, 23164, 50, 109, '', 0, 1498550211, 1495404000),
(23245, 19428, 2, 23245, 50, 109, '', 0, 1498648291, 1498514400),
(23275, 19428, 2, 23275, 50, 109, '', 0, 1498661887, 1498600800),
(23536, 2, 240, 23536, 50, 109, '', 0, 1498740674, 1498773600),
(23597, 23789, 72, 23597, 50, 109, '', 0, 1498746294, 1498687200),
(23689, 1, 382, 23689, 50, 109, '', 0, 1498804073, 1498687200),
(23755, 19428, 2, 23755, 50, 109, '', 0, 1498947963, 1498514400),
(23787, 1, 164, 23787, 50, 109, '', 0, 1499066786, 1499378400),
(23869, 2, 348, 23869, 50, 109, '', 0, 1499085873, 1499378400),
(23936, 23789, 72, 23936, 50, 109, '', 0, 1499167128, 1499119200),
(24357, 1, 396, 24357, 50, 109, '', 0, 1499680135, 1496268000),
(24358, 1, 396, 24358, 50, 109, '', 0, 1499680140, 1496354400),
(24359, 1, 396, 24359, 50, 109, '', 0, 1499680243, 1496700000),
(24360, 1, 396, 24360, 50, 109, '', 0, 1499680247, 1496786400),
(24361, 1, 396, 24361, 50, 109, '', 0, 1499680249, 1496872800),
(24362, 1, 396, 24362, 50, 109, '', 0, 1499680251, 1496959200),
(24363, 1, 396, 24363, 50, 109, '', 0, 1499680265, 1497218400),
(24364, 1, 396, 24364, 50, 109, '', 0, 1499680268, 1497304800),
(24365, 1, 396, 24365, 50, 109, '', 0, 1499680296, 1498773600),
(24447, 2, 389, 24447, 50, 109, '', 0, 1499776494, 1498773600),
(24478, 1, 395, 24478, 50, 109, '', 0, 1499781778, 1499637600),
(24496, 18271, 345, 24496, 50, 109, '', 0, 1499844683, 1497564000),
(24543, 2, 330, 24543, 50, 109, '', 0, 1499864592, 1499810400),
(24645, 2, 375, 24645, 50, 109, '', 0, 1499949166, 1499896800),
(24696, 2, 358, 24696, 50, 109, '', 0, 1499959286, 1501538400),
(24792, 2, 133, 24792, 50, 109, '', 0, 1500368168, 1500242400),
(24888, 1, 224, 24888, 50, 109, '', 0, 1500454283, 1500328800),
(25150, 2, 240, 25150, 50, 109, '', 0, 1500565441, 1499810400),
(25151, 2, 240, 25151, 50, 109, '', 0, 1500565450, 1499896800),
(25177, 1, 48, 25177, 50, 109, '', 0, 1500629626, 1500588000),
(25175, 1, 48, 25175, 50, 109, '', 0, 1500629596, 1500501600),
(25281, 18575, 113, 25281, 50, 109, '', 0, 1501065098, 1501020000),
(25359, 2, 237, 25359, 50, 109, '', 0, 1501146205, 1501020000),
(25365, 2, 237, 25365, 50, 109, '', 0, 1501146430, 1501452000),
(25366, 2, 237, 25366, 50, 109, '', 0, 1501146461, 1501538400),
(25367, 2, 237, 25367, 50, 109, '', 0, 1501146477, 1501624800),
(25368, 2, 237, 25368, 50, 109, '', 0, 1501146493, 1501711200),
(25369, 2, 237, 25369, 50, 109, '', 0, 1501146507, 1501797600),
(25451, 2, 279, 25451, 50, 109, '', 0, 1501152138, 1501797600),
(25600, 1, 164, 25600, 50, 109, '', 0, 1501241126, 1501020000),
(25654, 2, 36, 25654, 50, 109, '', 0, 1501570232, 1501711200),
(25967, 2, 44, 25967, 50, 109, '', 0, 1501770875, 1501020000),
(25678, 20800, 2, 25678, 50, 109, '', 0, 1501586389, 1501538400),
(25711, 1435, 246, 25711, 50, 109, '', 0, 1501601621, 1501538400),
(26582, 2, 357, 26582, 50, 109, '', 0, 1502440476, 1501624800),
(25744, 1, 395, 25744, 50, 109, '', 0, 1501683084, 1501538400),
(26650, 2, 392, 26650, 50, 109, '', 0, 1502869781, 1502661600),
(26008, 1, 395, 26008, 50, 109, '', 0, 1501832831, 1501624800),
(25975, 1, 392, 25975, 50, 109, '', 0, 1501771673, 1501711200),
(26125, 1, 395, 26125, 50, 109, '', 0, 1502091765, 1501797600),
(26154, 1400, 2, 26154, 50, 109, '', 0, 1502121104, 1504476000),
(26155, 1400, 2, 26155, 50, 109, '', 0, 1502121109, 1504562400),
(26156, 1400, 2, 26156, 50, 109, '', 0, 1502121112, 1504648800),
(26157, 1400, 2, 26157, 50, 109, '', 0, 1502121116, 1504735200),
(26158, 1400, 164, 26158, 50, 109, '', 0, 1502121180, 1504476000),
(26159, 1400, 164, 26159, 50, 109, '', 0, 1502121183, 1504562400),
(26160, 1400, 164, 26160, 50, 109, '', 0, 1502121187, 1504648800),
(26161, 1400, 164, 26161, 50, 109, '', 0, 1502121191, 1504735200),
(26178, 18575, 113, 26178, 50, 109, '', 0, 1502194985, 1502143200),
(26177, 2, 133, 26177, 50, 109, '', 0, 1502193466, 1501797600),
(26264, 2, 36, 26264, 50, 109, '', 0, 1502257824, 1502056800),
(26275, 18575, 113, 26275, 50, 109, '', 0, 1502271342, 1502229600),
(26318, 23789, 2, 26318, 50, 109, '', 0, 1502293417, 1502229600),
(26549, 1400, 395, 26549, 50, 109, '', 0, 1502376680, 1502316000),
(26567, 1435, 246, 26567, 50, 109, '', 0, 1502379508, 1502316000),
(26572, 1, 9, 26572, 50, 109, '', 0, 1502382211, 1502143200),
(26644, 2, 354, 26644, 50, 109, '', 0, 1502836666, 1502661600),
(26651, 4857, 217, 26651, 50, 109, '', 0, 1502872144, 1501711200),
(26657, 4857, 217, 26657, 50, 109, '', 0, 1502872476, 1502143200),
(26669, 1437, 2, 26669, 50, 109, '', 0, 1502896405, 1501624800),
(26670, 1437, 2, 26670, 50, 109, '', 0, 1502896412, 1501711200),
(26831, 23789, 2, 26831, 50, 109, '', 0, 1502989216, 1502920800),
(26878, 1, 253, 26878, 50, 109, '', 0, 1503061914, 1503007200),
(26882, 2, 354, 26882, 50, 109, '', 0, 1503063632, 1503352800),
(26883, 2, 354, 26883, 50, 109, '', 0, 1503063670, 1503525600),
(26898, 1, 395, 26898, 50, 109, '', 0, 1503067637, 1502920800),
(26937, 1, 224, 26937, 50, 109, '', 0, 1503315672, 1502402400),
(26975, 1, 395, 26975, 50, 109, '', 0, 1503406688, 1503266400),
(27084, 1435, 246, 27084, 50, 109, '', 0, 1503493761, 1503352800),
(27054, 1, 395, 27054, 50, 109, '', 0, 1503490301, 1503352800),
(27058, 2, 392, 27058, 50, 109, '', 0, 1503490477, 1503266400),
(27234, 1, 395, 27234, 50, 109, '', 0, 1503580663, 1503439200),
(27279, 2, 154, 27279, 50, 109, '', 0, 1503647185, 1510700400),
(27303, 1435, 2, 27303, 50, 109, '', 0, 1503657624, 1503612000),
(27307, 1, 395, 27307, 50, 109, '', 0, 1503662593, 1503525600),
(27308, 1, 395, 27308, 50, 109, '', 0, 1503662828, 1503612000),
(27313, 1, 395, 27313, 50, 109, '', 0, 1503663173, 1503525600),
(27505, 23789, 2, 27505, 50, 109, '', 0, 1504103344, 1504044000),
(27521, 2, 240, 27521, 50, 109, '', 0, 1504160966, 1504130400),
(27706, 2, 226, 27706, 50, 109, '', 0, 1504193432, 1504216800),
(27920, 2, 356, 27920, 50, 109, '', 0, 1504681414, 1504735200),
(28085, 2, 199, 28085, 50, 109, '', 0, 1504785957, 1502661600),
(29158, 1, 339, 29158, 50, 109, '', 0, 1506073385, 1504821600),
(28253, 23789, 2, 28253, 50, 109, '', 0, 1505146300, 1505080800),
(28298, 19428, 2, 28298, 50, 109, '', 0, 1505228425, 1505167200),
(28312, 2, 331, 28312, 50, 109, '', 0, 1505229191, 1505080800),
(28365, 23789, 72, 28365, 50, 109, '', 0, 1505308525, 1505253600),
(28368, 19428, 2, 28368, 50, 109, '', 0, 1505311967, 1505253600),
(28373, 18575, 113, 28373, 50, 109, '', 0, 1505367496, 1505340000),
(28377, 2, 381, 28377, 50, 109, '', 0, 1505370666, 1505167200),
(28604, 21623, 2, 28604, 50, 109, '', 0, 1505399387, 1505253600),
(28688, 1400, 2, 28688, 50, 109, '', 0, 1505473670, 1505858400),
(28738, 23789, 2, 28738, 50, 109, '', 0, 1505488531, 1505253600),
(28772, 20800, 2, 28772, 50, 109, '', 0, 1505728805, 1505426400),
(28817, 19428, 2, 28817, 50, 109, '', 0, 1505745061, 1505685600),
(28828, 2, 372, 28828, 50, 109, '', 0, 1505806094, 1505772000),
(28933, 21623, 2, 28933, 50, 109, '', 0, 1505921558, 1505685600),
(28997, 2, 392, 28997, 50, 109, '', 0, 1505981956, 1505685600),
(29091, 23789, 2, 29091, 50, 109, '', 0, 1506008103, 1505944800),
(29094, 19428, 2, 29094, 50, 109, '', 0, 1506009266, 1497564000),
(29331, 21623, 2, 29331, 50, 109, '', 0, 1506418195, 1506290400),
(29332, 21623, 2, 29332, 50, 109, '', 0, 1506418217, 1506376800),
(29333, 23789, 2, 29333, 50, 109, '', 0, 1506418411, 1506031200),
(29694, 21623, 2, 29694, 50, 109, '', 0, 1506758044, 1506549600),
(29695, 23789, 2, 29695, 50, 109, '', 0, 1506758199, 1506463200),
(29696, 20800, 2, 29696, 50, 109, '', 0, 1506758217, 1506549600),
(29697, 20800, 2, 29697, 50, 109, '', 0, 1506758228, 1506636000),
(33942, 1, 339, 33942, 50, 109, '', 0, 1511536399, 1511132400),
(29775, 1, 191, 29775, 50, 109, '', 0, 1507038620, 1506981600),
(29776, 1, 191, 29776, 50, 109, '', 0, 1507038625, 1506981600),
(29816, 21623, 2, 29816, 50, 109, '', 0, 1507121530, 1506981600),
(29819, 2, 398, 29819, 50, 109, '', 0, 1507122860, 1507759200),
(29926, 21623, 2, 29926, 50, 109, '', 0, 1507196218, 1507068000),
(30068, 21623, 2, 30068, 50, 109, '', 0, 1507281277, 1507154400),
(30257, 4857, 217, 30257, 50, 109, '', 0, 1507539125, 1505772000),
(30014, 2, 44, 30014, 50, 109, '', 0, 1507221161, 1507068000),
(30015, 2, 44, 30015, 50, 109, '', 0, 1507221215, 1508104800),
(30065, 23789, 2, 30065, 50, 109, '', 0, 1507281231, 1507068000),
(30066, 23789, 2, 30066, 50, 109, '', 0, 1507281238, 1507154400),
(30265, 14534, 217, 30265, 50, 109, '', 0, 1507540575, 1507500000),
(30407, 23789, 2, 30407, 50, 109, '', 0, 1507626701, 1507500000),
(30409, 23789, 2, 30409, 50, 109, '', 0, 1507626831, 1507586400),
(30411, 23789, 2, 30411, 50, 109, '', 0, 1507627986, 1507240800),
(30461, 2, 335, 30461, 50, 109, '', 0, 1507703155, 1507759200),
(30462, 2, 36, 30462, 50, 109, '', 0, 1507703557, 1507586400),
(30482, 1, 168, 30482, 50, 109, '', 0, 1507711331, 1507240800),
(30566, 23789, 2, 30566, 50, 109, '', 0, 1507794723, 1507672800),
(30707, 2, 244, 30707, 50, 109, '', 0, 1507816054, 1507500000),
(30747, 1, 382, 30747, 50, 109, '', 0, 1507822240, 1507759200),
(30774, 1, 56, 30774, 50, 109, '', 0, 1507824924, 1507500000),
(30775, 1, 56, 30775, 50, 109, '', 0, 1507825412, 1507672800),
(30778, 1, 56, 30778, 50, 109, '', 0, 1507830948, 1507759200),
(30873, 1, 339, 30873, 50, 109, '', 0, 1508139799, 1507845600),
(30820, 1, 382, 30820, 50, 109, '', 0, 1507898297, 1507845600),
(32395, 23789, 2, 32395, 50, 109, '', 0, 1510074193, 1507845600),
(30819, 1, 335, 30819, 50, 109, '', 0, 1507897801, 1507845600),
(30894, 1041, 217, 30894, 50, 109, '', 0, 1508150528, 1508277600),
(30924, 1, 339, 30924, 50, 109, '', 0, 1508155865, 1508104800),
(31241, 2, 416, 31241, 50, 109, '', 0, 1508417317, 1507586400),
(31296, 23789, 2, 31296, 50, 109, '', 0, 1508426422, 1508364000),
(31294, 23789, 2, 31294, 50, 109, '', 0, 1508426211, 1508277600),
(31293, 23789, 2, 31293, 50, 109, '', 0, 1508426204, 1508191200),
(31362, 1, 164, 31362, 50, 109, '', 0, 1508491382, 1508364000),
(31363, 20800, 2, 31363, 50, 109, '', 0, 1508491508, 1508450400),
(31365, 23789, 72, 31365, 50, 109, '', 0, 1508492040, 1508450400),
(31447, 23789, 2, 31447, 50, 109, '', 0, 1508763877, 1508709600),
(31454, 21623, 2, 31454, 50, 109, '', 0, 1508769138, 1508709600),
(31466, 1, 56, 31466, 50, 109, '', 0, 1508798227, 1508796000),
(31484, 1435, 2, 31484, 50, 109, '', 0, 1508839335, 1508709600),
(31485, 1435, 2, 31485, 50, 109, '', 0, 1508839377, 1508796000),
(31504, 23789, 72, 31504, 50, 109, '', 0, 1508852695, 1508796000),
(31512, 21623, 2, 31512, 50, 109, '', 0, 1508855632, 1508796000),
(31583, 23789, 2, 31583, 50, 109, '', 0, 1508940674, 1508882400),
(31907, 2, 353, 31907, 50, 109, '', 0, 1509283326, 1510268400),
(34465, 2, 346, 34465, 50, 109, '', 0, 1512138780, 1512687600),
(35873, 2, 346, 35873, 50, 109, '', 0, 1513235247, 1513119600),
(31991, 23789, 72, 31991, 50, 109, '', 0, 1509464294, 1509404400),
(32123, 23789, 2, 32123, 50, 109, '', 0, 1509642115, 1509577200),
(32174, 23789, 2, 32174, 50, 109, '', 0, 1509725340, 1509663600),
(32172, 21623, 2, 32172, 50, 109, '', 0, 1509725288, 1509663600),
(32173, 1435, 2, 32173, 50, 109, '', 0, 1509725319, 1509577200),
(32335, 1, 299, 32335, 50, 109, '', 0, 1510062319, 1506895200),
(32346, 1, 299, 32346, 50, 109, '', 0, 1510062382, 1507154400),
(32347, 1, 299, 32347, 50, 109, '', 0, 1510062398, 1507240800),
(32367, 1, 299, 32367, 50, 109, '', 0, 1510062798, 1509318000),
(32355, 1, 299, 32355, 50, 109, '', 0, 1510062459, 1507500000),
(32356, 1, 299, 32356, 50, 109, '', 0, 1510062465, 1507586400),
(32357, 1, 299, 32357, 50, 109, '', 0, 1510062471, 1507672800),
(32358, 1, 299, 32358, 50, 109, '', 0, 1510062477, 1507845600),
(32368, 1, 299, 32368, 50, 109, '', 0, 1510062804, 1509404400),
(32369, 1, 299, 32369, 50, 109, '', 0, 1510062808, 1509577200),
(32370, 1, 299, 32370, 50, 109, '', 0, 1510062813, 1509663600),
(32371, 1, 299, 32371, 50, 109, '', 0, 1510062828, 1508968800),
(32372, 1, 299, 32372, 50, 109, '', 0, 1510062837, 1509055200),
(32394, 23789, 2, 32394, 50, 109, '', 0, 1510074185, 1507759200),
(32396, 23789, 2, 32396, 50, 109, '', 0, 1510074316, 1509922800),
(32467, 1437, 2, 32467, 50, 109, '', 0, 1510215939, 1510095600),
(32616, 1, 299, 32616, 50, 109, '', 0, 1510223272, 1510182000),
(32617, 1, 299, 32617, 50, 109, '', 0, 1510223281, 1510095600),
(32624, 1, 299, 32624, 50, 109, '', 0, 1510223526, 1509922800),
(32626, 1, 299, 32626, 50, 109, '', 0, 1510223531, 1510009200),
(32741, 1, 422, 32741, 50, 109, '', 0, 1510232607, 1510095600),
(32743, 1, 422, 32743, 50, 109, '', 0, 1510232910, 1510009200),
(32745, 1, 422, 32745, 50, 109, '', 0, 1510232964, 1509922800),
(32753, 1, 422, 32753, 50, 109, '', 0, 1510233179, 1509318000),
(32756, 1, 422, 32756, 50, 109, '', 0, 1510233313, 1509404400),
(32758, 1, 422, 32758, 50, 109, '', 0, 1510233377, 1509577200),
(32760, 1, 422, 32760, 50, 109, '', 0, 1510233608, 1509663600),
(32793, 1, 422, 32793, 50, 109, '', 0, 1510240751, 1510182000),
(32802, 21623, 2, 32802, 50, 109, '', 0, 1510266184, 1510182000),
(32805, 23789, 2, 32805, 50, 109, '', 0, 1510267011, 1510182000),
(32813, 2, 339, 32813, 50, 109, '', 0, 1510309098, 1510182000),
(32830, 2, 49, 32830, 50, 109, '', 0, 1510327407, 1510527600),
(32833, 21623, 2, 32833, 50, 109, '', 0, 1510329500, 1510268400),
(32834, 23789, 2, 32834, 50, 109, '', 0, 1510329532, 1510268400),
(32836, 1, 422, 32836, 50, 109, '', 0, 1510330002, 1510268400),
(32873, 4857, 217, 32873, 50, 109, '', 0, 1510586840, 1510268400),
(32874, 4857, 217, 32874, 50, 109, '', 0, 1510586856, 1510527600),
(32905, 1041, 240, 32905, 50, 109, '', 0, 1510653707, 1510268400),
(32906, 1041, 240, 32906, 50, 109, '', 0, 1510653710, 1510095600),
(33158, 2, 344, 33158, 50, 109, '', 0, 1510830507, 1510700400),
(33299, 1, 299, 33299, 50, 109, '', 0, 1510840465, 1510527600),
(33305, 1, 299, 33305, 50, 109, '', 0, 1510840826, 1510614000),
(33306, 1, 299, 33306, 50, 109, '', 0, 1510840889, 1510700400),
(33307, 1, 299, 33307, 50, 109, '', 0, 1510840935, 1510786800),
(33350, 1, 422, 33350, 50, 109, '', 0, 1510909603, 1510527600),
(33351, 1, 422, 33351, 50, 109, '', 0, 1510909629, 1510614000),
(33352, 1, 422, 33352, 50, 109, '', 0, 1510909767, 1510700400),
(34547, 1, 422, 34547, 50, 109, '', 0, 1512400439, 1510786800),
(33381, 1, 422, 33381, 50, 109, '', 0, 1510934637, 1510873200),
(33386, 20800, 2, 33386, 50, 109, '', 0, 1510955936, 1510786800),
(33387, 20800, 2, 33387, 50, 109, '', 0, 1510955944, 1510873200),
(33419, 2, 339, 33419, 50, 109, '', 0, 1511171668, 1511218800),
(33438, 23789, 2, 33438, 50, 109, '', 0, 1511177465, 1511132400),
(33458, 2, 347, 33458, 50, 109, '', 0, 1511184752, 1510268400),
(33465, 1400, 282, 33465, 50, 109, '', 0, 1511187918, 1510182000),
(33540, 20800, 2, 33540, 50, 109, '', 0, 1511197187, 1511132400),
(33606, 2, 66, 33606, 50, 109, '', 0, 1511274184, 1510786800),
(33660, 23789, 72, 33660, 50, 109, '', 0, 1511360259, 1511305200),
(33781, 1, 299, 33781, 50, 109, '', 0, 1511431691, 1511391600),
(33872, 1, 424, 33872, 50, 109, '', 0, 1511507297, 1511478000),
(34002, 1, 426, 34002, 50, 109, '', 0, 1511798015, 1511478000),
(34004, 1, 426, 34004, 50, 109, '', 0, 1511798102, 1511737200),
(34014, 1, 426, 34014, 50, 109, '', 0, 1511798675, 1510614000),
(34140, 23160, 2, 34140, 50, 109, '', 0, 1511961025, 1511910000),
(34242, 2, 237, 34242, 50, 109, '', 0, 1512036021, 1512082800),
(34453, 23789, 72, 34453, 50, 109, '', 0, 1512126056, 1512082800),
(34597, 1, 422, 34597, 50, 109, '', 0, 1512468915, 1512342000),
(34656, 1, 422, 34656, 50, 109, '', 0, 1512547137, 1512428400),
(34961, 1, 422, 34961, 50, 109, '', 0, 1512748317, 1512514800),
(34696, 23789, 2, 34696, 50, 109, '', 0, 1512592006, 1512514800),
(34697, 1435, 2, 34697, 50, 109, '', 0, 1512592124, 1512514800),
(34750, 2, 267, 34750, 50, 109, '', 0, 1512652515, 1512514800),
(34841, 1, 422, 34841, 50, 109, '', 0, 1512662896, 1512601200),
(34845, 2, 44, 34845, 50, 109, '', 0, 1512667775, 1513724400),
(34923, 2, 444, 34923, 50, 109, '', 0, 1512728920, 1512428400),
(34962, 1, 422, 34962, 50, 109, '', 0, 1512748498, 1512687600),
(35029, 2, 331, 35029, 50, 109, '', 0, 1513006568, 1511478000),
(35751, 23160, 2, 35751, 50, 109, '', 0, 1513067471, 1512946800),
(35786, 2, 250, 35786, 50, 109, '', 0, 1513086624, 1512514800),
(35787, 2, 250, 35787, 50, 109, '', 0, 1513086628, 1512601200),
(35788, 2, 250, 35788, 50, 109, '', 0, 1513086633, 1512687600),
(35801, 23789, 72, 35801, 50, 109, '', 0, 1513147547, 1513033200),
(35861, 23789, 2, 35861, 50, 109, '', 0, 1513182924, 1513119600),
(36462, 1, 361, 36462, 50, 109, '', 0, 1513934159, 1513897200),
(36015, 2, 274, 36015, 50, 109, '', 0, 1513256988, 1513119600),
(36128, 1, 422, 36128, 50, 109, '', 0, 1513352610, 1512946800),
(36129, 1, 422, 36129, 50, 109, '', 0, 1513352683, 1513033200),
(36130, 1, 422, 36130, 50, 109, '', 0, 1513352692, 1513119600),
(36134, 1, 422, 36134, 50, 109, '', 0, 1513352963, 1513206000),
(36132, 1, 422, 36132, 50, 109, '', 0, 1513352908, 1513292400),
(36238, 23789, 2, 36238, 50, 109, '', 0, 1513703425, 1513638000),
(36466, 1, 226, 36466, 50, 109, '', 0, 1513934279, 1513724400),
(37078, 1, 89, 37078, 50, 109, '', 0, 1515492148, 1515020400),
(36265, 1041, 355, 36265, 50, 109, '', 0, 1513763678, 1512428400),
(36290, 23789, 2, 36290, 50, 109, '', 0, 1513787505, 1513206000),
(36291, 2, 339, 36291, 50, 109, '', 0, 1513792907, 1513810800),
(36341, 2, 72, 36341, 50, 109, '', 0, 1513852336, 1513724400),
(36465, 1, 226, 36465, 50, 109, '', 0, 1513934273, 1513638000),
(36428, 1, 360, 36428, 50, 109, '', 0, 1513874026, 1512514800),
(36429, 1, 360, 36429, 50, 109, '', 0, 1513874050, 1512342000),
(36464, 1, 361, 36464, 50, 109, '', 0, 1513934231, 1513206000),
(36467, 1, 226, 36467, 50, 109, '', 0, 1513934303, 1513206000),
(36468, 1, 226, 36468, 50, 109, '', 0, 1513934311, 1513292400),
(36492, 1, 361, 36492, 50, 109, '', 0, 1513953274, 1513638000),
(36531, 1, 422, 36531, 50, 109, '', 0, 1514281399, 1513897200),
(36555, 2, 334, 36555, 50, 109, '', 0, 1514301183, 1513292400),
(36676, 2, 276, 36676, 50, 109, '', 0, 1514450282, 1514156400),
(36691, 2, 306, 36691, 50, 109, '', 0, 1514472106, 1513724400),
(36785, 23160, 2, 36785, 50, 108, '', 0, 1514936077, 1514936077),
(36790, 2, 279, 36790, 50, 109, '', 0, 1514969327, 1514242800),
(36911, 2, 2, 36911, 50, 109, '', 0, 1515171858, 1515020400),
(36970, 2, 411, 36970, 50, 109, '', 0, 1515426429, 1514847600),
(36984, 1, 56, 36984, 50, 109, '', 0, 1515435164, 1515020400),
(37276, 2, 304, 37276, 50, 109, '', 0, 1515660319, 1515538800),
(37099, 23790, 2, 37099, 50, 109, '', 0, 1515505999, 1515452400),
(37419, 1437, 2, 37419, 50, 109, '', 0, 1515684474, 1515538800),
(37137, 2, 352, 37137, 50, 109, '', 0, 1515586303, 1515538800),
(37149, 23790, 72, 37149, 50, 109, '', 0, 1515588396, 1515538800),
(37277, 2, 304, 37277, 50, 109, '', 0, 1515660337, 1515625200),
(37278, 2, 304, 37278, 50, 109, '', 0, 1515660341, 1515711600),
(37383, 1, 237, 37383, 50, 109, '', 0, 1515677175, 1515366000),
(37384, 1, 237, 37384, 50, 109, '', 0, 1515677188, 1515452400),
(37385, 1, 237, 37385, 50, 109, '', 0, 1515677203, 1515538800),
(39417, 1, 426, 39417, 50, 109, '', 0, 1518115073, 1515020400),
(37449, 1435, 2, 37449, 50, 109, '', 0, 1515692907, 1515625200),
(37510, 1, 9, 37510, 50, 109, '', 0, 1515770376, 1512428400),
(37527, 1, 56, 37527, 50, 109, '', 0, 1515775344, 1515625200),
(37537, 2, 36, 37537, 50, 109, '', 0, 1516001665, 1516143600),
(37615, 1, 452, 37615, 50, 109, '', 0, 1516092929, 1515970800),
(37665, 1, 227, 37665, 50, 109, '', 0, 1516119921, 1516057200),
(37675, 1435, 2, 37675, 50, 109, '', 0, 1516121218, 1515970800),
(37676, 1435, 2, 37676, 50, 109, '', 0, 1516121223, 1516057200),
(37704, 1505, 2, 37704, 50, 109, '', 0, 1516183153, 1516143600),
(37729, 23790, 2, 37729, 50, 109, '', 0, 1516208228, 1516143600),
(37890, 1, 56, 37890, 50, 109, '', 0, 1516313097, 1516143600),
(37892, 1, 56, 37892, 50, 109, '', 0, 1516313716, 1516057200),
(37893, 1, 56, 37893, 50, 109, '', 0, 1516313870, 1516230000),
(37894, 1, 56, 37894, 50, 109, '', 0, 1516314043, 1516316400),
(37895, 1, 56, 37895, 50, 109, '', 0, 1516315855, 1516316400),
(37896, 1, 56, 37896, 50, 109, '', 0, 1516316170, 1516575600),
(37897, 1, 56, 37897, 50, 109, '', 0, 1516316237, 1516662000),
(37898, 1, 56, 37898, 50, 109, '', 0, 1516316852, 1517180400),
(37899, 1, 56, 37899, 50, 109, '', 0, 1516316888, 1517266800),
(37954, 1, 227, 37954, 50, 109, '', 0, 1516360611, 1516316400),
(38016, 1400, 226, 38016, 50, 109, '', 0, 1516390293, 1516921200),
(38200, 1436, 450, 38200, 50, 109, '', 0, 1516809313, 1516662000),
(38205, 1436, 450, 38205, 50, 109, '', 0, 1516809519, 1516575600),
(38273, 2, 344, 38273, 50, 109, '', 0, 1516872857, 1516921200),
(38347, 23790, 2, 38347, 50, 109, '', 0, 1516883859, 1516575600),
(38403, 2041, 450, 38403, 50, 109, '', 0, 1516951685, 1516834800),
(38439, 23790, 72, 38439, 50, 109, '', 0, 1516963356, 1516748400),
(38546, 23790, 72, 38546, 50, 109, '', 0, 1517229822, 1517180400),
(38563, 2, 10, 38563, 50, 109, '', 0, 1517236651, 1516921200),
(38718, 2, 274, 38718, 50, 109, '', 0, 1517476387, 1517353200),
(38808, 1, 229, 38808, 50, 109, '', 0, 1517483387, 1516834800),
(38880, 1436, 450, 38880, 50, 109, '', 0, 1517563331, 1517526000),
(38894, 1, 9, 38894, 50, 109, '', 0, 1517567265, 1515452400),
(38897, 2, 431, 38897, 50, 109, '', 0, 1517567416, 1518130800),
(39405, 2, 44, 39405, 50, 109, '', 0, 1518109553, 1517785200),
(39040, 23790, 2, 39040, 50, 109, '', 0, 1517848532, 1517785200),
(39088, 23790, 72, 39088, 50, 109, '', 0, 1517933818, 1517526000),
(39094, 1, 452, 39094, 50, 109, '', 0, 1517936343, 1517871600),
(39123, 23790, 72, 39123, 50, 109, '', 0, 1518018517, 1517958000),
(39126, 1, 452, 39126, 50, 109, '', 0, 1518019857, 1517958000),
(39176, 1, 229, 39176, 50, 109, '', 0, 1518079620, 1517958000),
(39424, 1, 426, 39424, 50, 109, '', 0, 1518115577, 1516662000),
(39421, 1, 426, 39421, 50, 109, '', 0, 1518115425, 1516748400),
(39422, 1, 426, 39422, 50, 109, '', 0, 1518115466, 1516834800),
(39425, 1, 426, 39425, 50, 109, '', 0, 1518115668, 1517439600),
(39427, 1, 426, 39427, 50, 109, '', 0, 1518115890, 1517785200),
(39429, 1, 426, 39429, 50, 109, '', 0, 1518115898, 1517958000),
(40111, 1, 426, 40111, 50, 109, '', 0, 1519035243, 1518044400),
(39466, 1, 229, 39466, 50, 109, '', 0, 1518181534, 1518130800),
(39505, 1, 56, 39505, 50, 109, '', 0, 1518241552, 1517439600),
(39510, 1, 56, 39510, 50, 109, '', 0, 1518241630, 1517871600),
(39507, 1, 56, 39507, 50, 109, '', 0, 1518241591, 1517958000),
(39508, 1, 56, 39508, 50, 109, '', 0, 1518241600, 1518044400),
(39511, 1, 56, 39511, 50, 109, '', 0, 1518241718, 1517958000),
(39562, 1, 452, 39562, 50, 109, '', 0, 1518455806, 1518130800),
(39625, 23790, 2, 39625, 50, 109, '', 0, 1518531187, 1518390000),
(39626, 23790, 2, 39626, 50, 109, '', 0, 1518531201, 1518044400),
(39627, 23790, 2, 39627, 50, 109, '', 0, 1518531210, 1518130800),
(39628, 23790, 2, 39628, 50, 109, '', 0, 1518531288, 1518476400),
(39636, 2041, 450, 39636, 50, 109, '', 0, 1518536600, 1518476400),
(39677, 1, 437, 39677, 50, 109, '', 0, 1518599515, 1518130800),
(41626, 1, 437, 41626, 50, 109, '', 0, 1520588835, 1519081200),
(39680, 1, 437, 39680, 50, 109, '', 0, 1518599717, 1518649200),
(39852, 1, 452, 39852, 50, 109, '', 0, 1518703656, 1518562800),
(39942, 1, 452, 39942, 50, 109, '', 0, 1518775964, 1518649200),
(40038, 1, 452, 40038, 50, 109, '', 0, 1518799628, 1518735600),
(40087, 2, 36, 40087, 50, 109, '', 0, 1519029829, 1519340400),
(40118, 1, 426, 40118, 50, 109, '', 0, 1519035622, 1518994800),
(40120, 1, 426, 40120, 50, 109, '', 0, 1519035631, 1519340400),
(40136, 23790, 2, 40136, 50, 109, '', 0, 1519051506, 1518994800),
(40152, 1436, 450, 40152, 50, 109, '', 0, 1519054875, 1518994800),
(40175, 1, 452, 40175, 50, 109, '', 0, 1519116603, 1518994800),
(40204, 1, 56, 40204, 50, 109, '', 0, 1519139801, 1519081200),
(40206, 1, 56, 40206, 50, 109, '', 0, 1519139840, 1519167600),
(40207, 1, 56, 40207, 50, 109, '', 0, 1519139877, 1519340400),
(40214, 2, 72, 40214, 50, 109, '', 0, 1519142320, 1519254000),
(40298, 2, 428, 40298, 50, 109, '', 0, 1519216748, 1522101600),
(40422, 1, 452, 40422, 50, 109, '', 0, 1519299900, 1519254000),
(40451, 2, 331, 40451, 50, 109, '', 0, 1519309765, 1518994800),
(40618, 23790, 2, 40618, 50, 109, '', 0, 1519390423, 1519167600),
(40619, 23790, 2, 40619, 50, 109, '', 0, 1519390447, 1519081200),
(40620, 23790, 2, 40620, 50, 109, '', 0, 1519390483, 1518735600),
(40638, 1, 452, 40638, 50, 109, '', 0, 1519397864, 1519340400),
(40641, 23790, 2, 40641, 50, 109, '', 0, 1519398877, 1519340400),
(40863, 23790, 2, 40863, 50, 109, '', 0, 1519727569, 1519599600),
(40868, 2, 12, 40868, 50, 109, '', 0, 1519735598, 1519945200),
(40889, 23790, 2, 40889, 50, 109, '', 0, 1519746958, 1519686000),
(40904, 1436, 450, 40904, 50, 109, '', 0, 1519802515, 1519686000),
(40945, 1, 426, 40945, 50, 109, '', 0, 1519827371, 1519599600),
(40946, 1, 426, 40946, 50, 109, '', 0, 1519827375, 1519686000),
(41008, 1, 437, 41008, 50, 109, '', 0, 1519897447, 1517871600),
(41009, 1, 437, 41009, 50, 109, '', 0, 1519897454, 1517958000),
(41159, 1, 417, 41159, 50, 109, '', 0, 1519922600, 1519858800),
(41160, 1, 143, 41160, 50, 109, '', 0, 1519923646, 1519858800),
(41221, 23790, 2, 41221, 50, 109, '', 0, 1519985722, 1519858800),
(41222, 23790, 2, 41222, 50, 109, '', 0, 1519985759, 1519945200),
(41256, 1, 9, 41256, 50, 109, '', 0, 1520009821, 1519858800),
(41258, 1, 9, 41258, 50, 109, '', 0, 1520009852, 1519945200),
(41259, 1, 9, 41259, 50, 109, '', 0, 1520009867, 1519686000),
(41653, 2, 465, 41653, 50, 109, '', 0, 1520605007, 1517526000),
(41743, 2, 426, 41743, 50, 109, '', 0, 1520847347, 1519945200),
(41734, 1, 426, 41734, 50, 109, '', 0, 1520846001, 1520809200),
(41735, 1, 426, 41735, 50, 109, '', 0, 1520846011, 1520895600),
(41736, 1, 426, 41736, 50, 109, '', 0, 1520846019, 1520982000),
(41742, 1, 426, 41742, 50, 109, '', 0, 1520846308, 1520204400),
(41738, 2, 426, 41738, 50, 109, '', 0, 1520846230, 1520463600),
(41739, 2, 426, 41739, 50, 109, '', 0, 1520846237, 1520550000),
(41740, 1, 426, 41740, 50, 109, '', 0, 1520846254, 1520290800),
(41741, 1, 426, 41741, 50, 109, '', 0, 1520846294, 1520377200),
(41780, 1, 199, 41780, 50, 109, '', 0, 1520865318, 1520809200),
(41783, 2, 457, 41783, 50, 109, '', 0, 1520866691, 1519945200),
(41797, 1, 56, 41797, 50, 109, '', 0, 1520877854, 1520809200),
(41878, 23790, 2, 41878, 50, 109, '', 0, 1521023317, 1520895600),
(42006, 1400, 281, 42006, 50, 109, '', 0, 1521112915, 1520895600),
(41929, 1400, 349, 41929, 50, 109, '', 0, 1521099728, 1520895600),
(41930, 1400, 349, 41930, 50, 109, '', 0, 1521099733, 1520982000),
(41931, 1400, 349, 41931, 50, 109, '', 0, 1521099736, 1521068400),
(41932, 23790, 72, 41932, 50, 109, '', 0, 1521099787, 1520982000),
(42007, 1400, 281, 42007, 50, 109, '', 0, 1521112922, 1520982000),
(42008, 1400, 281, 42008, 50, 109, '', 0, 1521112928, 1521068400),
(42035, 1, 426, 42035, 50, 109, '', 0, 1521118100, 1521068400),
(42038, 1, 56, 42038, 50, 109, '', 0, 1521120864, 1520982000),
(42039, 1, 56, 42039, 50, 109, '', 0, 1521120896, 1521154800),
(42040, 1, 229, 42040, 50, 109, '', 0, 1521122515, 1521068400),
(42180, 1, 229, 42180, 50, 109, '', 0, 1521452355, 1522101600),
(42254, 23790, 2, 42254, 50, 109, '', 0, 1521478049, 1521414000),
(42255, 23790, 2, 42255, 50, 109, '', 0, 1521478073, 1521414000),
(42256, 23790, 2, 42256, 50, 109, '', 0, 1521478111, 1521154800);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bugnote_text_table`
--

DROP TABLE IF EXISTS `mantis_bugnote_text_table`;
CREATE TABLE `mantis_bugnote_text_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `note` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_bugnote_text_table`
--

INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(1, 'tache supprimée'),
(2, 'Travaux Yves Montant; Reste 15 travaux pour T1\r\n4.5 jours\n\n'),
(3, 'Travaux Rosa Park : Reste 14 travaux pour T1\r\n1 jours\n\n'),
(4, 'Travaux Jean Malrieu\r\n1 jour\n\n'),
(5, 'Travaux Glanum : reste 12 travaux pour T1\r\nEvaluation Besoin éléments Actifs\r\n1 jour\n\n'),
(6, 'Travaux Glanum : reste 12 travaux pour T1\r\nEvaluation Besoin éléments Actifs\r\n1 jour'),
(7, 'Dérive due au blocage et suspension de l\'opération par la DEC.'),
(8, 'Commandes SCC pour le mois de Mars; \r\nInitialisation des documents de suivi  \r\nReste 1 jour pour Mars'),
(9, 'fermeture tache de dev'),
(10, 'fermeture tache de dev'),
(11, 'fermeture tache de dev'),
(12, 'fermeture tache de dev'),
(13, 'fermeture tache de dev'),
(14, 'fermeture tache de dev'),
(15, 'fermeture tache de dev'),
(16, 'fermeture tache de dev'),
(17, 'fermeture tache de dev'),
(18, 'fermeture tache de dev'),
(19, 'fermeture tache de dev'),
(20, 'fermeture tache de dev'),
(21, 'fermeture tache de dev'),
(22, 'fermeture tache de dev'),
(23, 'fermeture tache de dev'),
(24, 'fermeture tache de dev'),
(25, 'fermeture tache de dev'),
(26, 'fermeture tache de dev'),
(27, 'fermeture tache de dev'),
(28, 'fermeture tache de dev'),
(29, 'fermeture tache de dev'),
(30, 'fermeture tache de dev'),
(31, 'fermeture tache de dev'),
(32, 'fermeture tache de dev'),
(33, 'fermeture tache de dev'),
(34, 'fermeture tache de dev'),
(35, 'fermeture tache de dev'),
(36, 'fermeture tache de dev'),
(37, 'fermeture tache de dev'),
(38, 'fermeture tache de dev'),
(39, 'fermeture tache de dev'),
(40, 'fermeture tache de dev'),
(41, 'fermeture tache de dev'),
(42, 'fermeture tache de dev'),
(43, 'fermeture tache de dev'),
(44, 'fermeture tache de dev'),
(45, 'fermeture tache de dev'),
(46, 'fermeture tache de dev'),
(47, 'fermeture tache de dev'),
(48, 'fermeture tache de dev'),
(49, 'fermeture tache de dev'),
(50, 'fermeture tache de dev'),
(51, 'fermeture taches de dev'),
(52, 'fermeture taches de dev'),
(53, 'fermeture taches de dev'),
(54, 'fermeture taches de dev'),
(55, 'fermeture taches de dev'),
(56, 'fermeture taches de dev'),
(57, 'fermeture taches de dev'),
(58, 'fermeture taches de dev'),
(59, 'fermeture taches de dev'),
(60, 'fermeture taches de dev'),
(61, 'fermeture taches de dev'),
(62, 'fermeture taches de dev'),
(63, 'fermeture taches de dev'),
(64, 'fermeture taches de dev'),
(65, 'fermeture taches de dev'),
(66, 'fermeture taches de dev'),
(67, 'fermeture taches de dev'),
(68, 'fermeture taches de dev'),
(69, 'fermeture taches de dev'),
(70, 'fermeture taches de dev'),
(71, 'fermeture taches de dev'),
(72, 'fermeture taches de dev'),
(73, 'fermeture taches de dev'),
(74, 'fermeture taches de dev'),
(75, 'cas de test erroné'),
(76, 'quand je mets le nom TOUTOOOOOOOOOOOOOOOOOOOOOOOOO\r\nj\'ai le message suivant : Les chiffres et les signes de ponctuation ne sont pas autorisés , à l\'exception de : « - » et « \' »'),
(77, 'L\'inscription est passée avec un numéro de tel < 10c\n\n'),
(78, 'L\'inscription est passée avec un numéro de tel < 10c\n\n'),
(79, 'OK nouveau test'),
(80, 'OK testé'),
(81, 'inscription possible tel < 10C'),
(82, 'le texte a été modifié'),
(83, 'OK cas de test absolet ne peut pas se produire dans cette application'),
(84, 'OK testé'),
(85, 'testé OK'),
(86, 'OK testé IE'),
(87, 'OK'),
(88, 'Le cache n\'avait pas été rafraichi sur le serveur, ca devrait etre bon.\r\nmerci'),
(89, 'ATTENTION: prenom comporte entre 2 et 15 characteres (pas 13 !)\r\n\r\nmessage affiché: \"Le prénom doit comporter entre 2 et 15 caractères\"\n\n'),
(90, 'OK blocage'),
(91, 'pas de message d\'erreur sur IE alors que sur fire fox oui'),
(92, 'pb cache IE: vider le cache avec F12'),
(93, 'Problématique d\'exploitation'),
(94, 'Problématique d\'exploitation'),
(95, 'commit bb87cbaf8f50320bfb9e49b16ab9b97f8cc49425\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Mar 18 17:32:45 2013 +0100\r\n\r\n    [bo] correction export CSV (#166)\r\n\r\n    le fichier d\'export n\'est plus stocke sur le serveur mais est directement proposer au telechargement\n\n'),
(96, 'Style doit être identique à inscription : violet, italic'),
(97, 'La mention \"Bonjour xxx\" n\'apparaît pas sur la page de recherche'),
(98, 'commit 19a117d3c0b8d8c47ea8d666f8e7014c3f9f318d\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Mar 19 17:18:36 2013 +0100\r\n\r\n    [front] Barre de menu : le champ email peut déborde (#174)'),
(99, 'commit 66cfc3871732e1665bcd59be8ecf9c5dbc35cf73\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Mar 19 17:20:22 2013 +0100\r\n\r\n    [front] Menu : libellés Email et Mot de passe manquant (style) (#158)'),
(100, 'Pour information, le point 5.1.2 des spécifications contient la mention \"Bonjour xxx\" uniquement lorsque la personne est connectée et est sur la page perso. Au vu de cette anomalie reçue, il s\'agit probablement d\'une erreur dans les spécifications.'),
(101, 'commit d5c55112f11712ac06ef70f36b7a27d7cad40740\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Mar 19 17:46:17 2013 +0100\r\n\r\n    [front] Hedear : Bonjour [Prénom votant] non présent (#164)'),
(102, 'Pointage Marjorie au lieu de damien'),
(103, 'Travaux Yves Montant; Reste 12 travaux pour T1\r\n2 jours'),
(104, 'Travaux Caillols; Reste 11 travaux pour T1\r\n2.5 jours'),
(105, 'Travaux Caillols; Reste 10 travaux pour T1\r\n0,5 jours'),
(106, 'Travaux ARTHUR RIMBAUD; Reste 9 travaux pour T1\r\nConfiguration des ports en 1 pour 5\r\n0.5 jours\n\n'),
(107, 'Suivi dossier GIGN n°98693\r\nLa maquette est en place pour que pole sud effectue les tests'),
(108, 'commit a91be3f88295100a766338faea4a584642327a0d\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 21 14:08:33 2013 +0100\r\n\r\n    [front] Wording \"Surnom\" à supprimer (#189)'),
(109, 'commit a3225e3a9e26594a76283a3ac8334358c094fa63\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 21 14:51:21 2013 +0100\r\n\r\n    [email] Email de partage : mention légale manquante (#180)'),
(110, 'commit 3a02a80e2ea7e9b3bfb5aee1daab09d40cac8da2\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 21 16:38:13 2013 +0100\r\n\r\n    [email] Email de partage : pas de lien dans le footer (#181)'),
(111, 'commit 9a8fd35cf0e50b272e1d3c1db132937bcec08aa4\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 21 17:05:02 2013 +0100\r\n\r\n    [front] Nombre d\'animaux inscrits : incorrects (#187)\r\n\r\n    MAJ de la requete SQL pour afficher le nombre de vote sous le compteur'),
(112, 'Mettre le texte dans une police baton comme le reste du texte et peut-être en plus petit.'),
(113, 'Travaux Caillols ( Intégration CDI ); Reste 9 travaux pour T1\r\n0.5 jours\r\n------------------------------------------------------------------\r\nTravaux Caillols : \r\n- pb bornes résolu en salle musique (brassé sur SR2P1-7)\r\n  >> Test prévu/ATI du port SR2P1-10 qui ne répond pas    \r\n- CDI incohérent\r\n  >> RDV jeudi avec POLESUD (12H-14H)pour mise en cohérence\r\n0.5 jours\r\n-------------------------------------------------------------------------\n\n'),
(114, 'En fait, dans les spécifications de Vote, ce compteur n\'est pas présent. Il a donc été supprimé par la suite.\r\n\r\ncommit 2a51315f5a1b4f12ef694e7f88f6f34fa17b5c0e\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 21 17:50:18 2013 +0100\r\n\r\n    [front] suppression nombre d\'animaux inscrits sur module compteur\r\n\r\ncommit 96db9edff372cd5c00c610820e672f81957622f6\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 21 17:43:13 2013 +0100\r\n\r\n    [front] suppression nombre d\'animaux inscrits sur module compteur'),
(115, '- Le bloc \"Vous aimerez aussi\" n\'est pas correct. Il faut que la vignette des animaux, les boutons Votez,... soient les même que les vignettes de l\'espace perso.\r\nPas possible car la largeur de la colonne de droite ne le permet pas\r\n\r\n\r\n- phrase mention en rouge \"Vote(s) et classements sont actualisés chaque heure.\"\r\nA valider car les classements ne se font pas en temps réel'),
(116, 'Commandes SCC pour le mois de Mars;\r\nMise a jour des documents de suivi\r\nReste 0,5 jour pour Mars'),
(117, 'On a supprimé le nombre comme indiqué sur les specs'),
(118, 'commit 4f959b6bc37cf8bb61956d08fc14b33d06e4f587\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Mar 22 15:15:08 2013 +0100\r\n\r\n    [email] correction texte mention légale sur email partage (#180)'),
(119, 'commit e57c277d09c60600ac9d39838b50c016a9d377a0\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Mar 22 17:09:28 2013 +0100\r\n\r\n    [xiti] correction implementation tags xiti\r\n\r\n    - incompatibilite entre popin et xiti (ajout attribut \'target=\"xiti-workaroung\"\')\r\n    - suppression des events \"onclick\" inline (migration vers jQuery)\r\n    - suppression mauvais tags sur popin partage mail\r\n    - verification/protection si fonctionnalite xiti desactivee sur le client'),
(120, 'Après des tests, il est impossible de reproduire le bug du projecteur.\r\ncf. PJ 11618-v1.0.0.pdf (version livrée, tag v1.0.0) et 11618-v1.0.1.pdf (version courante, hash e57c277d09c60600ac9d39838b50c016a9d377a0)\n\n'),
(121, 'Pas de réception en spam avec les sources de la version 1.0.0.\r\nEn revanche, les modifications apportées au footer (#180) provoquent la réception en spam sous Gmail.\r\nAprès des tets, il s\'avère que le commit \"[email] Email de partage : pas de lien dans le footer (#181)\" (3bb6d122e4fd7ef7645ef1ab715245d3fc555e01) introduit cette regression. Plus précisément, il s\'agit de l\'ajout du code suivant (lien joueur infos service):\r\n<a href=\"http://www.joueurs-info-service.fr/\">\r\n	<img src=\"{$url}media/assets/images/email/index_21.gif\" width=\"595\" height=\"30\" alt=\"\" style=\"display:block;border:none;\" />\r\n</a>\r\n\r\nPoint en attente.'),
(124, 'IL est possible que le problème vienne de la librairie de generation de PDF: il s\'agit de wkhtmltopdf. Le fichier Site/vendor/snappy/lib/wkhtmltopdf/wkhtmltopdf correspond à la librairie compilée pour Linux 64 bit en version 0.11.0_rc1. \r\n\r\nUne autre version a peut-être été installée en exploit, d\'autres versions sont disponibles sur le site de la librairie (https://code.google.com/p/wkhtmltopdf/downloads/list). La version exacte installée avec les sources est \"wkhtmltopdf-0.11.0_rc1-static-amd64.tar.bz2\".'),
(123, 'Travaux JEAN BERNARD: reste 7 travaux pour T1\r\nEvaluation Besoin éléments Actifs\r\n1 jour'),
(130, 'Travaux COMMANDANT COUSTEAU: Reste 7 travaux pour T1\r\nÉvaluation Besoin éléments Actifs\r\n0.5 jours\r\nMCO\r\n-------\r\nEtat : En cours\n\n'),
(132, 'commit 8992afd8a849cc996a820b156dc5bee0e1a08ada\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 21 11:55:34 2013 +0100\r\n\r\n    [image] correction support PNG\r\n\r\nLe problème venait des constantes PHP IMG_PNG et IMAGETYPE_PNG qui n\'ont pas les mêmes valeurs et qui doivent être utilisées dans des cas distincts.'),
(129, 'Travaux SIMONE DE BEAUVOIR: Reste 8 travaux pour T1\r\nEvaluation Besoin éléments Actifs\r\n0,5 jours\n\n'),
(131, 'CONTRÔLE TBI: \r\nEtat des lieux : remplacement des TBI\r\nEstimation du nombre de TBI : 10\r\n0.5 jour'),
(133, 'Pas de problème de notre côté. Il s\'agit probablement d\'un problème au niveau de la configuration côté intégration.\r\n\r\n\r\nExtrait du manuel d\'installation:\r\n\r\n2.3.2 Configuration spécifique\r\nSur le site, les internautes peuvent uploader des photos au format PNG, JPG/JPEG ou GIF. La taille maximale autorisée par le site au niveau fonctionnel est de 4 Mo. La configuration PHP doit donc prendre en compte cette contrainte en autorisant l’envoi de fichiers d’une taille maximale de 4 Mo.\r\n\r\n;;;;;;;;;;;;;;;;\r\n; File Uploads ;\r\n\r\n; Whether to allow HTTP file uploads. http://php.net/file-uploads\r\nfile_uploads = On\r\n\r\n; Maximum allowed size for uploaded files. http://php.net/upload-max-filesize\r\nupload_max_filesize = 4M'),
(134, 'commit be4f33695792359a4f93a4113d091f8fc5daeaa6\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Mar 27 18:21:21 2013 +0100\r\n\r\n    [image] modification de la zone de crop par defaut'),
(135, 'Que signifie la phrase \"En insistant un minimum il est possible de dépasser les 15 caractères.\" ?? Dans quels cas peut-on dépasser les 15 caractères ?'),
(136, 'Travaux ROQUEPERTUSE: Reste 6 travaux pour T1\r\nÉvaluation Besoin éléments Actifs\r\n0.5 jours'),
(137, 'Effectué par FVM et MDN'),
(138, 'livraison PAQ; \r\nréunion lancement\r\nRéunion cadrage'),
(139, 'fin - mois de mars'),
(140, 'Pas de problème sur notre serveur de dev. Il s\'agit peut-être d\'une mauvaise configuration en intégration.\r\n\r\nLes paramètres mails se configurent dans le fichier Site/settings/override/site.ini.append.php:\r\n\r\n[MailSettings]\r\nTransport=SMTP\r\nTransportServer=localhost\r\nTransportPort=25\r\nTransportUser=\r\nTransportPassword=\r\nAdminEmail=noreply@atos.net\r\nSenderHost=atos.net\r\nEmailSender=noreply@atos.net\r\n\r\n(attention à bien vider le cache après la modification des paramètres:\r\ncd Site\r\nphp bin/php/ezcache.php --clear-all)'),
(141, 'commit 6913d73e80d796ad59a6ac54911128f2ff09d8da\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 2 17:15:52 2013 +0200\r\n\r\n    [inscription-animal] Race des chats et chiens : à distinguer (#192)'),
(142, 'commit 423a8757854fb5c1e64ee2a4907f2e4f7a3306a0\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 2 17:22:00 2013 +0200\r\n\r\n    [inscription-animal] controles validation choix de la race (#193)\r\n\r\n    plusieurs tests sont effectues:\r\n    - la race doit avoir le bon format (non vide, sans chiffres etc)\r\n    - ne doit pas etre une race de chien interdite\r\n    - ne doit pas etre un mot interdit'),
(143, 'commit b940035582845919d05251d0876c9dd26d6e33c0\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 2 18:23:30 2013 +0200\r\n\r\n    [formulaire] Modération des mots interdits (#195)'),
(144, 'La fonction PHP est implémentée, il faut maintenant l\'utiliser aux différents endroits requis.'),
(145, 'commit e0842101460e63cc3ca4cd710e18f3e5e17bfec2\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 3 10:10:50 2013 +0200\r\n\r\n    [inscription-animal] correction message d\'erreur trop long (#194)\r\n\r\ncommit 9ed08c88c8c89efc4e59e516c10f8d46e79cbf7d\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 3 10:06:47 2013 +0200\r\n\r\n    [inscription-animal] WIP rewrite valdiation du formulaire\r\n\r\n    - simplification processus verification des erreurs\r\n    - maxlength=15 sur champ prenom\r\n    - correction liste autocompletion races\r\n\r\ncommit 4691f2250c151faf1c9a507aa2c4e7c8476a93c5\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 28 19:12:46 2013 +0100\r\n\r\n    [inscription-animal] correction message d\'erreur trop long\r\n\r\ncommit 72f4f7b66d4b4ee0ded50b872750a5f523979473\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Mar 28 19:12:30 2013 +0100\r\n\r\n    [inscription-animal] WIP rewrite valdiation du formulaire'),
(146, 'commit d1cb2809ec3464b81ad62aece818cf4ccf88c5d6\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 3 10:31:52 2013 +0200\r\n\r\n    Message d\'erreur dans la popin d\'upload photo (#197)'),
(147, 'commit 870a0eaacc04e39e38b55f8227135d7f974a8b45\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 3 10:31:20 2013 +0200\r\n\r\n    Upload photo : Taille du cadre (#202)'),
(148, 'commit 9ed08c88c8c89efc4e59e516c10f8d46e79cbf7d\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate: Wed Apr 3 10:06:47 2013 +0200\r\n\r\n    [inscription-animal] WIP rewrite valdiation du formulaire\r\n\r\n    - simplification processus verification des erreurs\r\n    - maxlength=15 sur champ prenom\r\n    - correction liste autocompletion races\r\n\r\ncommit 72f4f7b66d4b4ee0ded50b872750a5f523979473\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate: Thu Mar 28 19:12:30 2013 +0100\r\n\r\n    [inscription-animal] WIP rewrite valdiation du formulaire'),
(149, 'Le point \"1/Lors de la création d\'une fiche d\'un animal,son nom ne doit pas excéder 15 caractères.\" a été résolu.\r\n\r\ncommit 9ed08c88c8c89efc4e59e516c10f8d46e79cbf7d\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate: Wed Apr 3 10:06:47 2013 +0200\r\n\r\n    [inscription-animal] WIP rewrite valdiation du formulaire\r\n\r\n    - simplification processus verification des erreurs\r\n    - maxlength=15 sur champ prenom\r\n    - correction liste autocompletion races\r\n\r\ncommit 72f4f7b66d4b4ee0ded50b872750a5f523979473\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate: Thu Mar 28 19:12:30 2013 +0100\r\n\r\n    [inscription-animal] WIP rewrite valdiation du formulaire\n\n'),
(150, 'fichier Site\\kernel\\user\\register.php#104\r\n\r\n    $defaultUserPlacement = (int)$ini->variable( \"UserSettings\", \"DefaultUserPlacement\" );\r\n\r\n    $sql = \"SELECT count(*) as count FROM ezcontentobject_tree WHERE node_id = $defaultUserPlacement\";\r\n    $rows = $db->arrayQuery( $sql );\r\n    $count = $rows[0][\'count\'];\r\n    if ( $count < 1 )\r\n    {\r\n        $errMsg = ezpI18n::tr( \'design/standard/user\', \'The node (%1) specified in [UserSettings].DefaultUserPlacement setting in site.ini does not exist!\', null, array( $defaultUserPlacement ) );\r\n        $checkErrNodeId = true;\r\n        eZDebug::writeError( \"$errMsg\" );\r\n        $tpl->setVariable( \'errMsg\', $errMsg );\r\n        $tpl->setVariable( \'checkErrNodeId\', $checkErrNodeId );\r\n    }'),
(151, 'Pour information, les spécifications initiales ne contiennent pas la vérification du nombre maximal de caractères, et ne contiennent pas non plus le message d\'erreur correspondant.\r\n\r\ncf. \"point 3.8.4.1\" des spécifications:\r\n\r\nVérifications effectuées sur le formulaire d’inscription après validation :\r\nPrénom: Présence de 2 caractères minimum, vérification premier caractère différent de « espace ». Exclusion des signes de ponctuation et les chiffres à l’exception de : « - » et « ‘ »\r\nPrénom invalide: Si le prénom est dans la liste des mots interdits livré en amont et administré par le modérateur, \r\nVeuillez choisir un autre prénom\r\nNom: Présence de 2 caractères minimum, vérification premier caractère différent de « espace ». Exclusion des signes de ponctuation et les chiffres à l’exception de : « - » et « ‘ »\r\n\r\nMessages d’erreurs :\r\nPrénom null: Veuillez saisir votre prénom\r\nPrénom invalide: Les chiffres et les signes de ponctuation ne sont pas autorisés, à l\'exception de : « - » et « ’ »\r\nNom null: Veuillez saisir votre nom\r\nNom invalide: Les chiffres et les signes de ponctuation ne sont pas autorisés, à l\'exception de : « - » et « ’ »\n\n'),
(152, 'commit df646f87d091d762fa4e1cb92b4c1f030a83aa55\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 4 00:34:13 2013 +0200\r\n\r\n    [inscription-proprietaire] WIP rewrite validation du formulaire'),
(153, 'commit df646f87d091d762fa4e1cb92b4c1f030a83aa55\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 4 00:34:13 2013 +0200\r\n\r\n    [inscription-proprietaire] WIP rewrite validation du formulaire'),
(154, 'Points déjà corrigés:\r\n- Wording dans le message d\'erreur\r\n- Le contrôle de l\'adresse mail n\'est pas correct\r\n- code Postal DOM-TOM\r\n\r\ncommit df646f87d091d762fa4e1cb92b4c1f030a83aa55\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 4 00:34:13 2013 +0200\r\n\r\n    [inscription-proprietaire] WIP rewrite validation du formulaire\r\n\r\nPoint restant sur ce bug\r\n-Le dédoublonnage pour même Nom, Prénom, Date de naissance/ CP ne fonctionne pas. On devrait avoir le message \"Cette personne est déjà inscrite\"'),
(155, 'Etant donné que les saisies utilisateurs sont maintenant vérifiées, l\'injection XSS n\'est plus active donc le point 2 est résolu.'),
(156, 'Lorsqu\'on saisie un élément dans la la liste \"Ville / Code Postal\", alors l\'élément correspondant doit être automatiquement sélectionne dans la case \"Département\".\r\n\r\nExemple : je choisi 33000 dans la case Ville Code Postal, puis je sélectionne 33000 Bordeaux.\r\nAlors, je devrai avoir 33 - Gironde dans la case Département.\r\n\r\nVoir sur le site de la phase Inscription : cela fonctionne très bien :\r\nhttp://164.7.197.64:8082/content/search\r\n'),
(157, 'Dans la page Recherche, le footer n’intègre pas les 2 logos :\r\nhttp://164.7.197.64:8080/recherche\r\n'),
(158, 'Point SCC pour le mois d’Avril \r\nSuivi des incidents 08/04\r\n1 jour \r\n--------------------------------\r\nSuivi des incidents 16/04\r\n0,5 jour \r\n--------------------------------\r\nSuivi des incidents 18/04\r\n0,5 jour \r\n--------------------------------\r\nSuivi des incidents 26/04\r\n1 jour \r\n--------------------------------\n\n'),
(159, 'Travaux ROQUEPERTUSE: reste 6 travaux pour T1\r\nEvaluation Besoin éléments Actifs\r\n1 jour'),
(160, 'Chantier PUY STE REPARADE(4 jours pour «préparation»): Reste 3 jours \r\nEvaluation Besoin éléments Actifs\r\n1 jour\n\n'),
(161, 'Chantier PUY STE REPARADE(4 jours pour «préparation»): Reste 2 jours \r\nEvaluation Besoin éléments Actifs\r\n1 jour\n\n'),
(162, 'Travaux CHARTREUX: reste 5 travaux pour T1\r\nEvaluation Besoin éléments Actifs\r\n1 jour'),
(163, 'Travaux CHARTREUX: reste 5 travaux pour T1\r\nSuivi Travaux 16/04\r\n1 jour\r\n-------------------------------------\r\nVisite Contrôle travaux (MOM) 29/04\r\n1 jour\n\n'),
(164, 'La page concernée est http://inscription-fdj.si.fr.atos.net/edition/pag/listes_animaux. Après un test rapide, les recherches par \"prénom animal\" et par \"nom de maitre\" fonctionnent, en revanche les recherches par \"race animal\" et \"email propriétaire\" ne semblent pas fonctionner.'),
(165, 'Author: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 16 15:26:21 2013 +0200\r\n\r\n    [popin] correction typo mot de passe oublié (#781)'),
(166, 'Pas de problème de notre côté. cf captures d\'écrans\r\n\r\nMode opératoire:\r\n- Aller sur une fiche (ex: http://inscription-fdj.si.fr.atos.net/Chiens/dada)\r\n- Cliquer sur \"Partager sur Facebook\"\r\n- La popin \"Connectez-vous pour utiliser votre compte Facebook avec Atos_fdj_insc.\" s\'ouvre\r\n- Entrer les identifiants du compte\r\n- EntreR un message et cliquez sur Partager'),
(167, 'Il s\'agit peut-être d\'un mauvais paramétrage:\r\n- soit au niveau de l\'application Facebook (il faut lui fournir la bonne URL)\r\n- soit au niveau applicatif (il faut renseignez la clé (appId) dans le fichier  Site/extension/poilsagratter/design/poilsagratter/templates/commun/overlays.tpl, cf. PJ)'),
(168, 'Pas de problème de notre côté. Le paramètre SiteURL (Site\\settings\\override\\site.ini.append.php) ne doit pas contenir la valeur http:// mais uniquement le nom de domaine du site.\r\nEn cas de modification de cette valeur, il faut penser à vider le cache eZ Publish\r\n\r\n\r\n-------\r\nDétails\r\n-------\r\n\r\nExtrait du fichier template du mail \"demande de modifications\" (Site\\extension\\poilsagratter\\design\\standard\\templates\\user\\apporter-modification-mail.tpl):\r\n\r\n{let site_url=ezini(\"SiteSettings\",\"SiteURL\")}\r\n\r\n<img src=\"{concat(\"http://\",$site_url,\"images/emailing/01.jpg\"|ezdesign(no,full))}\" alt=\"FDJ - illiko - Casting poils à gratter\" width=\"625\" height=\"122\" border=\"0\" style=\"display:block\">\r\n\r\n\r\nLe template ajoute tout le temps le protocole \"http://\" devant l\'URL (il s\'agit du code existant et récupéré). De ce fait, la valeur $site_url ne doit pas contenir ce protocole là, mais uniquement le nom de domaine du site. Cette valeur se modifie dans le fichier de settings Site\\settings\\override\\site.ini.append.php:\r\n\r\n[SiteSettings]\r\nSiteName=Poils à gratter\r\nSiteURL=pag-inscription\r\nDefaultAccess=fr\r\nSiteList[]=fr\r\n\r\nVoici le code de l\'email reçu avec ces configurations:\r\n\r\n<img src=\"http://inscription-fdj.si.fr.atos.net/extension/poilsagratter/design/admin2/images/emailing/01.jpg\" alt=\"FDJ - illiko - Casting poils à gratter\" width=\"625\" height=\"122\" border=\"0\" style=\"display:block\">\r\n\r\nSelon la documentation officielle eZ Publish, cette valeur SiteURL ne doit pas contenir de protocole http://doc.ez.no/eZ-Publish/Technical-manual/4.x/Reference/Configuration-files/site.ini/SiteSettings/SiteURL.\n\n'),
(169, 'Afin d’éviter la pixellisation es images, le crop n’est pas proposé en dessous d’une résolution minimum de 249 X 283 (taille de l’image sur la fiche animal)'),
(170, 'commit 27b9a24f8a128b0feac1803ec16e24136a888ef5\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 16 17:54:16 2013 +0200\r\n\r\n    [inscription-proprietaire] correction bug deconnexion facebook (#219)'),
(171, 'commit f213269463a3f56c672be2f321d0e14ed325ad4f\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 16 18:04:19 2013 +0200\r\n\r\n    [facebook] desactivation autoconnexion(via cookies) (#221)\r\n\r\ncommit 3c7af851aff4dd2f15e6c109afff49a0e193f8b8\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 16 18:26:31 2013 +0200\r\n\r\n    [facebook] autoconnexion FB nouvelle methode (#221)\r\n\r\n\r\n----------------------\r\nCommits liés a Facebook mais non liés directement à ce bug\r\n\r\ncommit 91150265b18ede6e41a2e5f330ef4929617c0b53\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 16 18:20:58 2013 +0200\r\n\r\n    [facebook] auto-connect FB ne doit pas rediriger vers l\'espace perso\r\n\r\ncommit 8e36f2e33b26378c77e96f049b45bb26ba244429\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 17 12:16:37 2013 +0200\r\n\r\n    [facebook] inclusion du script facebook en bas de page'),
(172, 'Bug toujours présent...\r\n\r\n\r\n-----------\r\nE-mail reçu (Nous avons bien reçu la  demande de participation de ...) (envoyé depuis le front)\r\n-----------\r\n<img src=\"http://inscription-fdj.si.fr.atos.net/design/poilsagratter/images/emailing/01.jpg\" alt=\"FDJ - illiko - Casting poils à gratter\" width=\"625\" height=\"122\" border=\"0\" style=\"display:block\">\r\n\r\n-----------\r\nTemplate mail (Site\\extension\\poilsagratter\\design\\standard\\templates\\user\\confirmation-inscription-mail.tpl)\r\n-----------\r\n<img src=\"{concat(\"http://\",$site_url,\"images/emailing/01.jpg\"|ezdesign(no,full))}\" alt=\"FDJ - illiko - Casting poils &agrave; gratter\" width=\"625\" height=\"122\" border=\"0\" style=\"display:block\">\r\n\r\n\r\n\r\n-----------\r\nMail demande de modification (envoyé depuis le BO)\r\n-----------\r\n<img src=\"http://inscription-fdj.si.fr.atos.net/extension/poilsagratter/design/admin2/images/emailing/01.jpg\" alt=\"FDJ - illiko - Casting poils à gratter\" width=\"625\" height=\"122\" border=\"0\" style=\"display:block\">\r\n\r\n-----------\r\nSite\\extension\\poilsagratter\\design\\standard\\templates\\user\\apporter-modification-mail.tpl\r\n-----------\r\n<img src=\"{concat(\"http://\",$site_url,\"images/emailing/01.jpg\"|ezdesign(no,full))}\" alt=\"FDJ - illiko - Casting poils &agrave; gratter\" width=\"625\" height=\"122\" border=\"0\" style=\"display:block\">'),
(173, 'commit 21a2d97f9366a51662266f446db2597f5ef6e8a6\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 18 18:20:32 2013 +0200\r\n\r\n    [recherche] correction bug recherche terme exact (#225)\r\n\r\n    Une recherche sur la race \"Safari\" par exemple ne renvoyait aucun resultat.\r\n    Desormais, on cherche \"exactement le terme entré\" ou bien \"commencant par le terme entré\"\r\n\r\ncommit 394ca4b21551544b760663dc6eb33abe4dde5897\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 18 18:22:26 2013 +0200\r\n\r\n    [recherche] la recherche doit être insensible a la casse\r\n\r\n    on doit avoir les mêmes resultats peu importe que l\'on cherche \"aix\", \"Aix\", ou \"AIX\"\r\n\r\ncommit bd4d7fba885b7b6fa8f291a04259cd74502749be\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 18 18:36:43 2013 +0200\r\n\r\n    [recherche] suppression du \"hack\" des \"e finaux\" sur la recherche\r\n\r\n    This commit revert partially c8497de4a78007115b69d6a0ea518fda1195fc8f.\r\n    Le problème des \"e finaux\" semble être apparu avec l\'introduction du widlcard de recherche (b60223a5e396132b18a9a5d03150db6fd6462eb1).\r\n    Desormais, on cherche \"exactement le terme entré\" ou bien \"commencant par le terme entré\", donc le problème n\'est plus présent'),
(175, 'Outil de débug: Luke / Lukeall http://www.getopt.org/luke/ [^]\r\n\r\n-------------------------\r\ndétails WIP recherche bug\r\n-------------------------\r\n\r\nListe caracètres présents dans les nom de villes\r\n0123456789\r\n \'()-\r\nABCDEFGHIJKLMNOPQRSTUVWXYZ\r\nabcdefghijklmnopqrstuvwxyz\r\nÈÉÎàâçèéêëíîïóôúûüÿŒœ\r\n\r\n\r\n(+submeta_etat_de_l_inscription___main_node_id_si:171+)+AND+(+attr_race_t:Siamoi*+)\r\n\r\n# tous les animaux\r\nmeta_class_identifier_ms:animal\r\n\r\n# tous les validés (ne fonctionne pas)\r\nsubmeta_etat_de_l_inscription___main_node_id_si:171\r\n\r\n& #128 ;\r\n& #0 ;\r\n& #171 ;\r\n\r\n\r\nattr_race_t:Siamoi*\r\n\r\nattr_race_s:Angora\r\nattr_race_t:Angora\r\nattr_race_t:Berger~ AND attr_race_t:Allemand~\r\n\r\nattr_etat_de_l_inscription_t:Vali*\r\n\r\nattr_prenom_s:emirus\r\nattr_prenom_s:ff*\r\n\r\nattr_maitre_t:Aix~ AND attr_maitre_t:en~ AND attr_maitre_t:Provence~\r\nattr_maitre_t:Châtillon~\r\n\r\n\r\n# 64370 Castillon(Canton d\'Arthez-de-Béarn)\r\nattr_maitre_t:64370*\r\nattr_maitre_t:Castillon~0.7\r\nattr_maitre_t:Arthez~0.7'),
(176, 'commit 07e30f5855f77eb930f8ffbdcac8b8876b863803\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 19 14:52:41 2013 +0200\r\n\r\n    [inscription-animal] utilisation placeholder sur popin Choix race (#215)'),
(177, 'commit e89eab1e658377aacc145c463384763755508f92\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 19 15:19:44 2013 +0200\r\n\r\n    [inscription-animal] photo cliquable sur choix animal (#214)'),
(178, 'commit 008c911a863c706b67cd536ff68feffdcc3138cf\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 19 15:54:59 2013 +0200\r\n\r\n    correction bug ouverture popin mdp oublié (#222)'),
(179, 'commit d88720fe4bdaaf786f0758dbc2897fdc0b6fe77e\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 19 16:35:34 2013 +0200\r\n\r\n    correction bug champ password dans popin connexion (#223)\r\n\r\n    le problème ici est que $(\"#password\").val() renvoi la valeur \"Mot de passe\" lorsque aucune saisie n\'a été faite.\r\n    Ce probleme est lié au problème du plugin JS placeholder: le plugin duplique a un traitement spécifique pour gérer les inputs type=\"password\", mais cette dupliquation ne duplique pas les data jQuery. De ce fait, le hook get n\'est pas activé sur ce champ est la valeur du placeholder est renvoyé alors qu\'elle ne devrait pas l\'être.'),
(180, 'commit 8b913c00cf8dcc3b4871a3af0264082f373c4eef\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 19 17:16:59 2013 +0200\r\n\r\n    suppression des messages d\'erreur lors de l\'affichage d\'une popin (#220)'),
(181, 'commit 72c901e08b1140e62b2bf06c58d42422f576959d\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 19 18:13:14 2013 +0200\r\n\r\n    [formulaire-proprietaire] correction affichage/mise en page\r\n\r\n    - Alignement des titres\r\n    - changement de titre\r\n    - Décaler l\'image d\'illustration vers le bas.\r\n    - Centrer le bouton Facebook.\r\n    - Ajouter un \"Ou\"'),
(182, 'Transitioned to ANO_SOUMISE by Nicolas HESSE - VIATYS (P998697) on 2013/04/19 13:49:13 \r\nFaire un test d\'upload avec la PJ ajoutée : chat_british_shorthair\r\nCette photo doit être recadré.\r\n'),
(183, 'Transitioned to ANO_SOUMISE by Nicolas HESSE - VIATYS (P998697) on 2013/04/18 09:35:34 \r\nVoir en PJ, l\'erreur rencontrer sous IE8.\r\nCette erreur est rencontrer en phase de vote ET en phase d\'inscription.\r\n \r\n19/04/2013 14:03:44 Nicolas HESSE - VIATYS (P998697)\r\nVoir en PJ : le partage fonctionne, mais il manque l\'image de l\'animal dans le partage\r\n \r\nRelationship change made by Nicolas HESSE - VIATYS (P998697) on 2013/04/19 14:02:36 \r\nCreated \'attachment\' relationship from CR \'778\' to \'ano-FacebookShare.JPG\'.\r\n'),
(184, 'Précision: le problème n\'est présent que sous IE'),
(185, 'commit 16e29850f23adaa49531cb08f58701c95095ac48\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 11:46:49 2013 +0200\r\n\r\n    [cache] le menu est mis en cache en fonction de l\'url et de l\'id utilisateur (#240)\r\n\r\n    Commit liés ba977e0a3a1b6375ced2a3013ca7d786f1996161 et 0f991bc4693d14d39f6f26f01aba3182f9817b92\r\n\r\n    Indirectement, ce commit corrige le problème de largeur de menu sur la page de confirmation d\'inscription (#240).\r\n    La correction précise de ce problème se situe au niveau de la valeur $node.class_identifier|eq(\'animal\') dans le fichier menu.tpl (design\\poilsagratter\\templates\\commun). Cette valeur est a true lors du premier affichage de la page, puis passe a false lorsqu\'on rafraichi la page. Ce comportement semble lié au cache eZ Publish... En activant le cache par URL (comme avant) et par utilisateur, la page générée est mise en cache et le problème disparait.'),
(186, 'commit c9bc7a58153e6881604a5853e1507fbeea34ac8f\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 12:15:37 2013 +0200\r\n\r\n    refresh liste derniers inscrits lors d\'une action sur le BO (#238)\r\n\r\n    on rafraichi desormais la liste dans tous les cas et pas seulement lors de la validation d\'une fiche'),
(187, 'commit 365d01d932ce025e364808c2b152655dba7528a1\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 12:32:35 2013 +0200\r\n\r\n    [inscription-anima] correction previsualisation image sans crop (#216)\r\n\r\n    Lorsque l\'image est trop petite pour être croppé, on l\'affiche directement. Le problème était qu\'il faut afficher l\'alias d\'image \"inscription_animal\" et non pas l\'alias \"previsualisation_crop\" (qui est plus grand !)'),
(188, 'commit a570ba36cdb84150d3543e52f07bcfb3b210d1ad\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 12:40:52 2013 +0200\r\n\r\n    modification image header (#241)'),
(189, 'Chantier PUY STE REPARADE(4 jours pour «préparation»): Reste 1 jours\r\nEvaluation Besoin éléments Actifs\r\n1 jour\r\n---------------------\r\nRéunion chantier préparatoire 25/04\r\n1 jour\n\n'),
(190, 'LES CHARTREUX(FULL HP): Reste x jours\r\nSuivi opérationnel\r\n1 jour'),
(191, 'ok pour partage facebook. Le lien vers l\'image était effectivement incorrect sur Inscription, et il restait bien des instructions de debogage sur Vote. Ces deux points ont été corrigés.\r\n\r\nAttention tout de même, afin de visualiser l\'image de l\'animal sur Facebook, il faut qu\'elle soit accessible depuis internet (c\'est-à-dire depuis un réseau autre que la FDJ). En effet, pour partager la fiche sur Facebook, on lui passe en paramètre l\'URL de l\'image, et c\'est Facebook lui-même qui se charge de récupérer cette url, depuis leurs serveurs. De ce fait, si l\'image n\'est pas accessible depuis Internet, elle ne pourra pas être affichée sur le site.\r\n\r\nD\'autre part, il faut aussi faire attention à la valeur SiteURL sur le site Inscription (elle ne doit pas contenir de http/https devant). cf les commentaires du bug #217 (#c168).\r\n\r\n\r\n\r\nsur dépôt inscription\r\n\r\ncommit 9e5458e0a0611a235c5c2b13eb3c70b4d4fa9f23\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 15:09:13 2013 +0200\r\n\r\n    correction lien image pour partage Facebook\r\n\r\n    la variable $image est utilisée et écrasée dans le template show_image.tpl donc on doit utiliser un autre nom\r\n\r\n Site/extension/poilsagratter/design/poilsagratter/override/templates/animal.tpl              | 6 +++---\r\n 1 file changed, 3 insertions(+), 3 deletions(-)\r\n\r\nsur dépôt vote\r\n\r\ncommit a34ed8a26978bb0f993190dd4fac5d6444917359\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 15:21:47 2013 +0200\r\n\r\n    suppression console.log sur fiche animal (#224)\r\n\r\n Site/scripts/fiche.html | 2 --\r\n 1 file changed, 2 deletions(-)'),
(192, 'Normal, hauteur minimale pour avoir le crop : 283px'),
(193, 'commit e29b5852cfec7e053771eef25cedf9dda4ce016b\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 16:43:45 2013 +0200\r\n\r\n    correction mauvais lien images mail confirmation inscription (#169)'),
(194, 'Analyse Lot 1 : \r\n- analyse COM6\r\n- analyse ECONOCOM\r\n- analyse LNA\r\n- analyse COMPUTACENTER\r\n- analyse QUADRIA\r\n- analyse SCC\r\n\r\nAnalyse Lot 2 : \r\n- Analyse offre :  Lot2 COM6\r\n- Analyse offre :  Lot2 Econocom\r\n- Analyse offre :  Lot2 SCC\r\n\r\n\r\nAnalyse Lot 4 : \r\n- analyse SCC\r\n\r\nreste 0 analyses pour cette prestation.\n\n'),
(195, 'Cette date doit être modifiée dans le fichier de configuration. cf. point \"2.4.6 Configuration de la date de fin d’inscription\" du document d\'installation et d\'utilisation'),
(196, 'Cette action doit être effectuée dans le BO du site Inscription. cf. point \"4.3 Header et pied de page\" du document d\'installation et d\'utilisation'),
(197, 'L\'ensemble de ces actions peuvent être faites via le back-office avec un compte administrateur(et non pas simple modérateur). cf point \"4.2 Pages de contenu\" du document d\'installation et d\'utilisation.'),
(198, 'De : GUERIN Romain \r\nEnvoyé : lundi 22 avril 2013 18:32\r\nÀ : \'Vivien Febvre - SOFTEAM\'; VOGEL Arnaud\r\nCc : Patrick Sontag; Florent Cas - ATOS\r\nObjet : RE: casting.fr : pb bloquant sur script de migration\r\n\r\nBonjour,\r\n\r\nVoici en pièce jointe le fichier de correction de l’anomalie 68460 concernant la table users. Ce fichier doit être placé dans le dossier Site\\extension\\poilsagratter\\export_db du site Inscription.\r\n\r\nConcernant les problèmes d’encodage, il nous est impossible de reproduire l’anomalie : les fichiers SQL sont corrects, les données dans les tables de la base et les pages du site Vote également.\r\n\r\nNous sommes à votre disposition si vous avez des questions.\r\n\r\nCordialement,\r\n\r\n\r\nRomain Guerin\r\n\r\n\r\n\r\ncommit f49f9b56970539a1ef5dce1ddebe6806574a0f6d\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 17:32:22 2013 +0200\r\n\r\n    correction script migration id utilisateur incorrect (#242)\r\n\r\n    le user_id présent dans la table pets ne correspond pas à la clé primaire de la table users donc la jointure entre les 2 tables (dans script generate_fiches.php) renvoit aucun résultat'),
(199, 'commit 639eba9133ba387b279dfc4a1a7781cd294031aa\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 23 10:37:43 2013 +0200\r\n\r\n    [inscription-animal] correction erreur touche entree sous IE8 (#244)\r\n\r\n    l\'appuie sur la touche entrée dans le formulaire doit provoquer le même comportement que le click sur le bouton \"Valider\"'),
(200, 'il y a eu : \r\n1/ Suivi déploiement Full HP LES CHARTREUX  ===> FAIT\r\n2/ travaux collège :  Jean bernard ===> Terminé\r\n3/ travaux collège :  Roger Carcassonne ===> FAIT\r\n4/ travaux collège :  Jas de Bouffan ===> FAIT\r\n5/ Préparation déménagement 1 mois mars Puy ste réparade (FAIT)\r\n6/ Préparation déménagement 1 mois avril Puy ste réparade (FAIT) Suite en presta complexe sur devis T2\r\n7/ Préparation déménagement 1 mois avril VALLON de toulouse(FAIT)\r\n8/ Préparation déménagement 1 mois Mai vallon de toulouse (FAIT)\r\n\r\n\r\nIl ne reste plus de travaux, sur ce devis -  !*\n\n'),
(201, 'Suivi expérimentation borne WIFI. \r\nFacturé en mars / -1 opération'),
(202, 'Point sur le nombre d\'opérations effectuées : \r\nSuivi experimentation borne Wi Fi (FAIT)\r\ntravaux collège : Yves Montand (FAIT)\r\ntravaux collège : Rosa Park (FAIT)\r\ntravaux collège : Jean Malrieu (FAIT)\r\ntravaux collège :  Glanum (FAIT)\r\ntravaux collège : Yves Montant (FAIT)\r\ntravaux collège : Les caillols (FAIT)\r\ntravaux collège : Les caillols ---> Fait\r\ntravaux collège : Arthur rimbaud (FAIT)\r\ntravaux collège : Simone de beauvoir ---> Fait\r\ntravaux collège : commandant cousteau ---> FAIT\r\ntravaux collège : roquepertuse ---> Fait\r\ntravaux collège : glanum ---> Fait\r\ntravaux collège : Les caillols ---> Fait\r\ntravaux collège : Jean Jaures ---> FINI\r\ntravaux collège : Roy d\'espagne ---> en cours (?  DTR envoyée en attente planification)\r\nReste donc 0 travaux simples. \r\n\r\nMerci d\'indiquer si vous êtes en encours ou si c\'est terminé !\n\n'),
(203, 'commit 5134c2864a5b7c3b29f1aa3d5e4e3c3538b4e602\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 23 15:42:03 2013 +0200\r\n\r\n    alignement bouton OK sur formulaire connexion sous IE8 (#247)\r\n\r\ncommit 005b7c493c8c89d816ab901b5a35431e817d3f1e\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 23 15:17:24 2013 +0200\r\n\r\n    modification image bouton OK (#247)'),
(204, 'L\'erreur concrète obtenue est la suivante:\r\n\r\nPHP Warning:  imagecreatefromjpeg(): gd-jpeg, libjpeg: recoverable error: Premature end of JPEG file\r\nPHP Warning:  imagecreatefromjpeg(): \'/path/to/file/796_f1280_146386_erreurupload.jpg\' is not a valid JPEG file\r\n\r\nCeci est du au fait que le fichier image de test est corrompu (cf. la base grise en bas du fichier).\r\n\r\nUn \"correctif\" est possible pour palier à ce problème, il s\'agit d\'ignorer les erreurs GD sur le traitement d\'images JPEG via le paramètre gd.jpeg_ignore_warning:\r\n\r\n\r\nini_set(\"gd.jpeg_ignore_warning\", 1);\r\n\r\n\r\nCe paramètre va permettre de voir la prévisualisation de l\'image, mais\r\n- de nouvelles erreurs risquent d\'apparaître ensuite lors du crop de l\'image, car l\'image d\'origine est toujours corrompue,\r\n- on prends le risque d\'accepter des images volontairement corrompues, exposant un peu plus le site à une faille de sécurité.'),
(205, 'commit 6fae26b77cec25d32228f78cfa6babca5f70a26b\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 23 17:23:29 2013 +0200\r\n\r\n    correction affichage nom animal trop long dans espace perso (#237)'),
(206, 'Il va falloir bien tester cette modification... Penser à vider le cache navigateur avant de faire les tests !\r\n\r\ncommit 927dabe9426db43efd366300321e791e99f46606\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 23 18:41:30 2013 +0200\r\n\r\n    correction conflit fermeture popin / upload d\'image sous IE (#249)\r\n\r\n    si la popin \"upload photo\" est fermée alors qu\'un upload est en cours, alors cela provoque des résultats inattendus (impossible de re-ouvrir la popin, photo quand même uploadee/cropee, erreur JavaScript)'),
(207, 'commit b5dabb9cfe68e5bc7a497838ba99448268ac654c\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 24 12:38:49 2013 +0200\r\n\r\n    suppression moderation mots interdits sur choix race (#235)'),
(208, 'Impossible de reproduire le bug. Testé sous IE 8, Firefox et Chrome'),
(209, 'Impossible de reproduire le bug. Testé sous IE 8 et Chrome'),
(210, 'Pas de problème de notre côté, la date est bien calée sur le 9 juin 2013.\r\n\r\nEn revanche, cette date n\'est effectivement pas synchronisée avec la date configurée dans le fichier de configuration, elle doit être modifiée manuellement dans le fichier Site\\extension\\poilsagratter\\design\\poilsagratter\\javascript\\script.js:\r\n\r\n/* Compte à rebour jusqu\'au 9 Juin 2013 */\r\nif($(\'#decompte\')[0]){\r\n    $(\'#decompte\').countDown({\r\n        targetDate: {\r\n            \'day\':     9,\r\n            \'month\':   6,\r\n            \'year\':    2013,\r\n            \'hour\':    23,\r\n            \'min\':     59,\r\n            \'sec\':     59\r\n        },\r\n        omitWeeks: true\r\n    });\r\n}'),
(211, 'Le problème vient du fait que l\'extension de l\'image est notée en dur sur le site Vote, et toutes les images ont l\'extension \"jpg\".'),
(212, 'commit a1f063d5880858536412aa03263671411cc06fff\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 24 16:53:22 2013 +0200\r\n\r\n    [BO] ajout fonction suppression mot interdit (#245)'),
(213, 'commit cd53c0dfba4c2101e5815594be7ac41979d10707\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 24 17:14:24 2013 +0200\r\n\r\n    correction previsualisation image partage par mail (#228)'),
(214, 'commit 946e94053c685acb97f573f19a1d8001a8c5fc2f\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 24 18:00:46 2013 +0200\r\n\r\n    correction filtre de moderation email proprietaire (#227)'),
(215, 'Attention, la correction a été effectuée sur le site Vote !\r\n\r\ncommit 988a499c61e5dd2e2a526202938a6e7569cf436f\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 10:42:43 2013 +0200\r\n\r\n    [scripts] resize_image convertit tous les fichiers images en JPG (#254)\r\n\r\n    Tous les fichiers images redimensionnés sont enregistrés en format JPG\r\n    Les PNG et GIF avec fond transparent sont mis avec un fond blanc au lieu\r\n    du fond noir par défaut.'),
(216, 'commit 53524b988138e4923779b19665de2eea568a77f8\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 12:45:47 2013 +0200\r\n\r\n    correction formulaire modification animal (#253)\r\n\r\ncommit 24731adf2523e163540c82370be26ce9c968e0b6\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Wed Apr 24 15:30:55 2013 +0200\r\n\r\n    rewrite formulaire modification animal (#253)'),
(217, 'commit be880fd703f1f225456ea8b48417b8c90c09647e\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 13:10:50 2013 +0200\r\n\r\n    correction sender email partage fiche (#256)'),
(218, 'commit aedfee534d636803301b55de508dca0fb83119ba\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 13:14:21 2013 +0200\r\n\r\n    alignement bouton OK sur formulaire connexion sous IE8 (#248)'),
(219, 'commit 73be889c93148709aa7497b65c0e53b2c6fa6262\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 18:46:53 2013 +0200\r\n\r\n    correction affichage prenom dans menu en etat connecte\r\n\r\n    on doit afficher le prenom (firstname) au lieu du nom de l\'utilisateur'),
(220, 'commit b6e6e695d089bc9ae971b98629a5856e98d9a5f1\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 14:40:50 2013 +0200\r\n\r\n    correction texte objet email mot de passe oublie (#260)'),
(221, 'commit 29765081d23762d83d446e7f1292276565954439\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 14:42:46 2013 +0200\r\n\r\n    wording page TOP 20 (#264)'),
(222, 'commit d82afe1052a8ab8caf8c59596eb1edd180388d56\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 14:53:28 2013 +0200\r\n\r\n    suppression rollover prenom animal sur podium page accueil (#265)'),
(223, 'commit a34ed8a26978bb0f993190dd4fac5d6444917359\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Mon Apr 22 15:21:47 2013 +0200\r\n\r\n    suppression console.log sur fiche animal (#224)'),
(224, 'commit b483f36716a9227646ca2b0b81ba0a61ba2e588b\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Thu Apr 25 15:37:25 2013 +0200\r\n\r\n    correction migration date de naissance de Inscription vers Vote (#263)'),
(225, 'commit 835cf72ba28c50af15bc3845f22487c68cb88feb\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 26 13:55:26 2013 +0200\r\n\r\n    correction alignement image animal sur \"vous aimerez aussi\" (#266)\r\n\r\ncommit a7fd24ff811aa09e684fbb2f068834586e3cf54e\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Fri Apr 26 12:53:43 2013 +0200\r\n\r\n    suppression btn vote sur \"vous aimerez aussi\" en phase finalistes (#266)'),
(226, 'Pour les caractrères spéciaux : le fichier joint à l\'anomalie est encodé en UT8(sans BOM) alors qu\'il doit être en ANSI.\r\nLe 0 manquant sur le CP : il est présent dans le fichier visible si on ouvre le csv avec un éditeur de texte. Si on ouvre avec Excel, Excel enlève le 0\r\nLes date de naissance à 0 : ce problème vient du script de transfert corrigé pour l\'anomalie 810.'),
(227, 'commit 568263880a840911fe008f6e7666c0e31ffb03e7\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 30 00:32:58 2013 +0200\r\n\r\n    [script] rewrite generate_votes pour gestion cohérence nb votes (#xxx)\r\n\r\n    on calcule une seule fois le nombre de vote, on le mets à jour en base\r\n    puis en cache (fichier). Toutes les opérations suivantes utilisent ces\r\n    valeurs calculées afin d\'assurer la cohérence entre les différentes\r\n    pages sur le site'),
(228, 'Sur Inscription:\r\n\r\ncommit 40ca4804f855831ab2dad7cfda46d2c08f97a14e\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 30 16:04:03 2013 +0200\r\n\r\n    verification de la majorité (#269)\r\n\r\n\r\nLe même bug était présent sur Vote et a été corrigé:\r\n\r\ncommit 340556e8bbcbcbfd8a91eb15252eb8b34e1061bd\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 30 16:01:23 2013 +0200\r\n\r\n    verification de la majorité (#269)'),
(229, 'commit 9593d6176da9a673f8e3df6f1d3c95a8bdda5ffa\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue Apr 30 16:31:37 2013 +0200\r\n\r\n    suppression moderation mots interdits sur formulaire animal (#235)\r\n\r\n    La vérification de la race se fait sur la popin \"Choix de la race\" via\r\n    une requete AJAX. Cette vérification ayant lieu via le navigateur web,\r\n    par mesure de sécurité on effectue à nouveau cette vérification lors\r\n    de la validation complète du formulaire animal, cette fois-ci côté\r\n    serveur exclusivement.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(230, 'NOTE a éditer et a remplir au fur et a mesure \r\nTache ouverte et prévu pour 10 travaux\r\nRenseigner l\'état : A faire, en cours (minimum DTR), fini (VABF faite)\r\net le consommé (exemple : [RRO 1j]\r\n\r\nTRAVAUX 1 : \r\n-- Collège : Gérard Philippe\r\n-- Etat : PVR-5700\r\n\r\nTRAVAUX 2 : \r\n-- Collège : Edgard Quinet EVALUATION mois Septembre\r\n-- Etat : \r\n\r\nTRAVAUX 3 : \r\n-- Collège : Rosa Park\r\n-- Etat : MCO => Clos\r\n\r\nTRAVAUX 4 : DTR-515-1-1\r\n-- Collège : Alphonse Daudet Istres\r\n-- Etat : Fini\r\n\r\nTRAVAUX 5 : Refonte du CDI par l\'AMO suite aux travaux de rebrassage du RGI par une société mandatée par la DEC\r\n-- Collège : DARIUS MILHAUD\r\n-- Etat : CDI a Faire / manque visio\r\n\r\nTRAVAUX 6 : 3 nouvelle prises\r\n-- Collège : Jean Malrieux\r\n-- Etat : Fini\r\n\r\nTRAVAUX 7 : contrôle refonte et MAJ CDI\r\n-- Collège : Roger Carcassonne\r\n-- Etat : A faire\r\n-          Synoptique avec plusieurs 2950\r\n-          1 seul 2950 déclaré dans l’inventaire\r\n-          Se déplacer sur site pour vérifier \r\n-          Mettre a jour le fichier CDI\r\n-          Vérifier la présence de tous les 2950 dans Easy Vista\r\n\r\n\r\nTRAVAUX 8 : contrôle refonte et MAJ CDI\r\n-- Collège : jean moulin de Salon \r\n-- Etat : A faire\r\n-          numéro de série absents\r\n-          Fichier CDI à transformer (nouvelle formule)\r\n-          Déplacement sur site pour verif des éléments et contrôle du cablâge \r\n-          Eventuellement mise à jour du CDI\r\n\r\n\r\nTRAVAUX 9 : contrôle refonte et MAJ CDI\r\n-- Collège : colline durance\r\n-- Etat : A faire\r\n-          Vérifier avec l’ATI si le synoptique est correct\r\n-          Fichier CDI à transformer (nouvelle formule)\r\n-          Vérifier l’ensemble des éléments. il y a eu remplacement en 2011 d’un 3550 par un 3560. Or on ne le voit pas dans le CDI\r\n-          Donc re-pointer tous le CDI\r\n-          Se déplacer sur site pour vérifier \r\n-          Mettre a jour le fichier CDI\r\n\r\n\r\nTRAVAUX 10 : contrôle refonte et MAJ CDI\r\n-- Collège : Glanum (ST Remy)\r\n-- Etat : A faire\r\nPlusieurs erreur signalées depuis 2011 et non corrigées \r\n-          RGI : manque C3550-2 (placé incorrectement sur SR-1)\r\n-          SR-1 : C3550-2 indiqué alors que présent dans RGI / manque C3550-3 / manque C2960-7 (ajouté 24/08/2010 par Pôle Sud) \r\n-          SR-2 : erreur d\'indication du bâtiment / C3550-3 indiqué alors que présent dans SR-1 / manque C3550-4 / manque C2950-3 / manque C2950-4\r\n-          SR-3 : carrément absent / manque C2950-6 / manque C3550-5\r\n-          adressage faux (pourtant signalé à plusieurs reprises) : 172.25.24.xxx au lieu de 172.28.24.xxx\r\nOn a fait une VABF en 2013 : comment se fait il qu’aucun de ses problèmes n’ait été rectifié ? \r\n-          se déplacer sur site pour refaire le CDI : nouvelle formule\n\n'),
(231, '15/04/2013 12:03:11 Nicolas HESSE - VIATYS (P998697)\r\nLe dédoublonnage pour même Nom, Prénom, Date de naissance/ CP ne fonctionne pas. On devrait avoir le message \"Cette personne est déjà inscrite\"\r\n\r\n19/04/2013 13:57:15 Nicolas HESSE - VIATYS (P998697)\r\nModifier le wording :\r\nMessage d\'erreur : \"Seuls les personnes résidant en France Métropolitaine et Monaco peuvent s’inscrire\"\r\n(sans e à \"seuls\")'),
(232, 'commit c8c832beff52639721c1d3e20f078c600cc8683a\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue May 14 10:31:09 2013 +0200\r\n\r\n    correctiong wording page finalistes (#305)'),
(233, 'Déjà résolu dans la version 5.0.1 (livrée le 07/05/2013)\r\n\r\ncommit 14fada920fb31c987005c5fd11f6dbf3045bb0d9\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue May 7 12:24:36 2013 +0200\r\n\r\n    correction bug affichage vignette videos gagnants 2012'),
(234, 'commit 2efd1657ac2f54c842e480aa52d8d4f7be2b5efc\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue May 14 11:01:02 2013 +0200\r\n\r\n    correction wording message erreur code postal (#205)'),
(235, 'commit e9c59194f600b3394eee5cc98c21f57d458ee199\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue May 14 17:49:48 2013 +0200\r\n\r\n    correction sender email partage et confirmation inscription (#272)'),
(236, 'Pour information, le même bug était présent sur la race de l\'animal.\r\n\r\ncommit d2c6fbb281e05a3bc08ed7496863ef643ee958e9\r\nAuthor: Romain Guerin <romain.guerin@atos.net>\r\nDate:   Tue May 14 18:30:28 2013 +0200\r\n\r\n    correction echappement caractère sur prenom animal (#306)\r\n\r\n    les caractères sont déjà échappés via eZ Publish donc il n\'est pas\r\n    necéssaire de les échapper une fois de plus'),
(237, 'Vallon de Toulouse : Réunion de Suivi \r\nFinalisation des procédures avant déménagement\r\n\r\n--------------------------------------------------------'),
(238, 'desc'),
(246, 'NOTE a éditer et a remplir au fur et a mesure\r\nTache ouverte et prévu pour 2 travaux\r\nRenseigner l\'état : A faire, en cours (minimum DTR), fini (VABF faite)\r\net le consommé (exemple : [RRO 1j]\r\n\r\nTRAVAUX 1 : DTR-512-1-1\r\n-- Collège :Louis Aragon\r\n-- Etat : FAIT\r\n-- Consommé :\r\n\r\nTRAVAUX 2 : DTR-517-1-1\r\n-- Collège :Belle de MAi\r\n-- Etat : FAIT\r\n-- Consommé :\n\n'),
(242, 'Remise à zero du reste à  faire'),
(247, 'Prévu : \r\nVallon de Toulouse (septembre)\r\nPuy sainte réparade (septembre)'),
(248, 'Effectuées : \r\n\r\nACTION 1 : coordination sur virtualisation du S3. Coordination avec rectorat. \r\n\r\nACTION 2 : mise en oeuvre processus de traitement des stats Osiatis et d\'alerte\n\n'),
(249, '0.5 en plus pour les TDB, car insertion des données Osiatis des 3 derniers mois (non délivrance de leur extraction depuis début avril)'),
(250, 'a'),
(251, 'NOTE a éditer et a remplir au fur et a mesure\r\nTache ouverte et prévu pour 6 travaux\r\nRenseigner l\'état : A faire, en cours (minimum DTR), fini (VABF faite)\r\net le consommé (exemple : [RRO 1j]\r\n\r\nTRAVAUX 1 : refonte, contrôle et MAJ CDI \r\n-- Collège : Frédéric Mistral Arles \r\n-- Etat : A faire\r\n-- Consommé : \r\n-          Le collège a été déménagé en février 2011\r\n-          Le fichier CDI du collège du collège est à vérifier avec l’ATI\r\n           o   Complétude des éléments\r\n           o   Câblage des éléments\r\n-          Action à voir en fonction de la verif\r\n\r\n\r\nTRAVAUX 2 :refonte, contrôle et MAJ CDI \r\n-- Collège : Louis le prince ringuet \r\n-- Etat : A faire\r\n-- Consommé : [MTO 1j]\r\n-          CDI à compléter et a mettre au nouveau format puisqu’on y ait\r\n-          Le synoptique est incomplet (manque des 3550 et des 2950 de l’inventaire)\r\n-          Idem pour onglet de configuration\r\n-          Bref faut refaire le CDI complet \r\n\r\n\r\nTRAVAUX 3 :-- Collège : Elsa Triolet \r\n-- Etat : OK controle effectué\r\n-- Consommé : 1 jour consommé\r\n\r\nTRAVAUX 4 : -- Collège : Edgard Quinet ( Évaluation )\r\n-- Etat : En cours \r\n-- Consommé : [MTO 1j] \r\n\r\nTRAVAUX 5 : -- Collège : Glanum refonte CDI phase 2 \r\n-- Etat : \r\n-- Consommé :\r\n\r\nTRAVAUX 6 : -- Collège :  Edgard Quinet ÉVALUATION mois septembre\r\n-- Etat : \r\n-- Consommé :\n\n'),
(252, 'College 1 : Déménagement Puy Ste réparade Phase 2\r\nEtat : En cours\r\nConsommé : \r\n\r\nCollege 2 : Alphonse Daudet Istre\r\nEtat : En cours\r\nConsommé :\n\n'),
(253, 'Intégration continue - pas de lot 6'),
(254, 'Intégration continue - pas de lot 6'),
(255, 'Intégration continue - pas de lot 6'),
(256, 'Intégration continue - pas de lot 6'),
(257, 'Intégration continue - pas de lot 6'),
(259, 'Imputation supplémentaire de 2 jours - Autres activités que O13.'),
(260, 'Fonctionnalité inutile suite aux choix fait pendant le projet'),
(261, 'action jêrome\r\nimputation sur autre activité. \r\nle global est à l\'équilibre'),
(262, 'nouvelle phase a prévoir à la rentrée\r\n'),
(263, 'action jérome. \r\nfinie en juillet\r\nimputation de jérome sur suivi management'),
(264, 'vu. \r\npas de livrable\r\nsuivi opération.'),
(269, 'Clos non résolu-\r\nSRT fait enlever les bornes et le concentrateur en juin'),
(265, '1 jour pour S37 '),
(266, 'ROY D\'ESPAGNE TERMINE PVR 5696-1-1'),
(267, 'Opération non aboutie a son terme. \r\nLe SRT a retiré les bornes et le concentrateur du collège.'),
(268, 'Fin - clos non résolu'),
(270, 'Clos non résolu-\r\nSRT fait enlever les bornes et le concentrateur en juin'),
(271, 'Clos non résolu-\r\nSRT fait enlever les bornes et le concentrateur en juin'),
(272, 'SUITE SUR ACTIVITE 534'),
(273, 'PUY St Réparade : Suivi des travaux pour mise en place des SR1, SR2 et bornes Wifi. Comptes rendus périodiques.\r\n\r\n\r\nAlphonse Daudet : Réception des travaux de brassage de la phase 2\n\n'),
(274, 'Etude réalisée et envoyée à S.Maeder pour approbation...\r\nImpossible maquetter localement, à faire sur maquette Montolivet au CG'),
(275, 'Elaboration proposition shutdown machines virtuelles + machines physiques\r\nProposition au CG, attente retour Osiatis + SASe\r\nRetour Osiatis + Sase = trop lourd + pas fiable\r\nArrêt travail sur tache'),
(276, 'Demande expression de besoin à DEC\r\nDemande validité projet au RSSI (M.Dovero)\r\n\r\nPas de réponses au 18/10'),
(277, 'Vallon de Toulouse  \r\nContrôle de Mise en Ordre de Marche \r\nMTO : 1jr'),
(278, 'Visite collège MIRAMARIS / Relevé configuration et interconnections BOX ADSL\r\n1 jour'),
(279, 'proposition faite par Pierre Casal\r\nmis en sommeil par Sophie Maeder et Osiatis\r\nClos : réouverture du sujet si la VABF du puy ste Réparade fait apparaitre un dysfonctionnement'),
(280, 'Visite collège ROBERT MOREL / Relevé configuration et interconnections BOX ADSL\r\n1 jour'),
(281, 'VABF effectuée. Les reserves stipulées (signal hors enceinte du collège) ont été levées par Baba.'),
(282, 'Installation de l\'onduleur RIELLO DLD330 le 20/11/2013'),
(283, 'Non relié au WS'),
(284, 'Pb de pointage GBN'),
(285, 'Visite collège JAS DE BOUFFAN/ Relevé configuration et interconnections BOX ADSL\r\n1 jour'),
(286, 'Visite collège BELLE DE MAI/ Relevé configuration et interconnections BOX ADSL\r\n1 jour'),
(287, 'Visite collège CAMPRA/ Relevé configuration et interconnections BOX ADSL\r\n1 jour'),
(288, 'L\'appui sur F5 rafraîchit la page et affiche correctement les champs\n\n'),
(289, 'user 75 numéro issu de espace abonné'),
(290, 'user 50'),
(291, 'Directive de Brice, ne pas mettre de *.'),
(292, 'Directive de Brice, ne pas mettre de *.'),
(293, 'Si le km est ajouté, la largeur n\'est plus valide.'),
(294, 'Je me suis mise en résolution d\'écran 1024 et j\'ai essayé avec IE8. Me déconnecter apparaît bien à droite mais un scroll-bar apparaît alors qu\'il ne devrait pas.'),
(295, 'J\'ai mis une taille minimale à la colonne'),
(296, 'Mise en place de l\'indispo sur toutes les pages non livrés au lot 2'),
(297, 'Pas reproduit'),
(298, 'Non reproduit'),
(299, 'Lié au bug 888'),
(300, 'non reproduit'),
(301, 'ne plante pas mais le WS renvoie toujours false.'),
(302, 'Pb de WS côte ASF'),
(303, 'Corrigé pour mot de passe oublié et logon'),
(304, 'en attente d\'un retour de Brice'),
(305, 'Problème aléatoire, une mise à jour a été faite le problème semble avoir été résolu'),
(306, 'titre mise à jour + bouton annuler ajouté'),
(307, 'Retourne à la page d\'accueil dès que le client realise une action apres la deconnexion'),
(308, 'Pb de Firefox'),
(309, 'Cote ASF'),
(310, 'Cote ASF : mauvais message'),
(311, 'FaultException renvoyé par le WS'),
(314, 'TODO:\r\n - liens popup export trajets + impayes\r\n - Afficher message dans conso si le client n\'a pas trajets pour client CIP + ajout bd'),
(315, 'ajout les nouveaux modif \"retourner le numeroEVA\" dans connexion'),
(316, 'Il faut placer un fichier dans le répertoire Media d\'Orchard sur la VM'),
(317, 'Il faut ajouter le paramétre FOR_ERR_PROFIL en BDD'),
(318, 'Ajotu d\'un paramétre en BD car phrase en dure.'),
(319, 'Pb de dev corrigé'),
(320, 'Pb côté Brice'),
(321, 'Dispo dans la prochaine livraison sur la VM'),
(322, 'Bizarre à l\'affichage mais les infos sont là.'),
(323, 'Le code promo ne plante plus mais aucun code promo n\'a été fournis pour un produit EVA3 ou NPRE.\r\n\r\nEn attente ASF'),
(324, 'Ne plante plus mais aucune zone géo n\'est renvoyée donc impossible de passer à l\'étape suivante.\r\n\r\nEn attente ASF.'),
(325, 'Fait pour Zone Géo et promotion.'),
(326, 'Message suivant mis :\r\n\r\nCommande de formule en cours ({0})\r\n\r\noù {0} est le numéro de commande'),
(327, 'En attente ASF, vers quel fichier pointer ?'),
(328, 'Bug côté ASF confirmé par Brice'),
(329, 'Résolution cote ASF'),
(333, 'Brice dit que les bannieres devront être de la bonne taille.'),
(334, 'Le WS ne devrait pas renvoyé des produits. Donc pas possible de ne pas l\'afficher. La facon de faire est de griser le btn.'),
(335, 'Pb provenant de Kiala'),
(336, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nReste à intégrer sur le nouveau WS'),
(337, '...'),
(338, 'Problème résolu.\r\nIl s\'agit d\'une erreur de comportement du code livré.\r\nCode déployé sur I, validation fonctionnelle sur I.En attente retour CNAF.'),
(339, 'Deux modifications ont été apportées:\r\n-une première permettant de résoudre le problème temporairement sur l\'environnement de Prod: exécution d\'une requête SQL permettant de modifier le comportement par défaut des Enquêtes Satisfaction (enquête désactivée par défaut)\r\n-une seconde solution permettant de résoudre le problème directement et durablement dans le code.Deux fichiers impactés.\r\nEvolution commitée le 28 Mars 2014 en WPE.003.70'),
(340, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nLivraison patch V : ano 3.70 + 3.80 + maj drupal 7.24 => 7.26'),
(341, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nconfiguration Solr:\r\nLundi: étude de l\'existant et comprendre l emode de fonctionnement solr\r\nMardi: analyse du probleme et manip BO\r\nMercredi: tester la reindexation du site sur l\'envireonnement P'),
(342, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nLa liste des patterns ne s\'affiche pas correctement dans le module \"pathauto\" (Envireonnement I) \r\n\r\nMAJ file.inc pour le traitement des fichiers temporaires (temporary://)'),
(343, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nBugs numéro : 14-CEL-597-A013 \r\nDrupal V3.80 Validation - controles du carrousel non-conformes\r\n\r\njeudi : les points supprimés s\'affiche toujours sur IE - prise en charge\r\nVendredi : changement spec - il s\'agit pas d\'une suppression des points dans le carousel mais d\'un changement des couleurs '),
(344, 'Fait dans VSR'),
(345, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nBugs numéro : 14-CEL-597-A013 \r\nDrupal V3.80 Validation - controles du carrousel non-conformes\r\n\r\njeudi : les points supprimés s\'affiche toujours sur IE - prise en charge\r\nVendredi : changement spec - il s\'agit pas d\'une suppression des points dans le carousel mais d\'un changement des couleurs'),
(346, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nmercredi aprés-midi + jeudi matin : 14-CEL-597-A001: Drupal Production - pdfs s\'ouvrent 2x dans Mentions légales '),
(347, 'utiliser le champ existant \"trait_typesaisie\" de la table \"t_traitements\"'),
(348, 'Le bug est bien confirmé (cf. la capture d\'écran jointe)'),
(349, 'Difficulté technique car complexe'),
(350, 'La cinématique a été changé afin d\'être conforme avec l\'ANO 021 remontée dans BUGS.\r\nIl s\'agissait de modifier une valeur dans le module \"caf_votre_caf\" afin de redirigé vers la page P2 lorsqu\'une caf fait partie du \"club des 5\".\n\n'),
(351, 'Potentiellement le problème est résolu.\r\nEn effet sur tous les environnements, le module \"XML Sitemap\" est désactivé.\r\nIl s\'agit uniquement de le ré-activer (action faite sur les environnements I,V et R).\r\nCependant le fonctionnement du module peut être affiné en fonction des besoins de la CNAF.\r\nEn attente de la validation de la part de la CNAF afin de faire les interventions BO sur l\'environnement P.'),
(353, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPas de portable car bloqué pour migration chess : relecture et corrections des SFD de la 3.90'),
(356, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPour migration Drupal 7.24 à 7.26:\r\nLa liste des patterns ne s\'affiche pas correctement dans le module \"pathauto\" (Envireonnement I) \r\n\r\nMAJ file.inc pour le traitement des fichiers temporaires (temporary://)'),
(355, 'En réalité, le bug ne concerne que l\'affichage du texte: il ne devrait pas y avoir \"avec un report de moins 2 jours\".'),
(358, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n3.90 E2 - Corriger les défauts d’alignement des titres\r\nRestera à commiter les fichier dès que la branche SVN 3.90 sera créée'),
(359, 'cette tache ne doit pas etre ouverte avant le lot 2'),
(360, 'From: GUERIN, ROMAIN \r\nSent: Thursday, May 15, 2014 5:24 PM\r\nTo: DUGENET, Benjamin\r\nCc: JUAN, Yannis; Arnaud VOGEL; MARIAGE, ANAIS\r\nSubject: [SYNAPSE] - compléments d\'informations UR830-100035\r\n\r\n\r\nBonjour Benjamin,\r\n\r\nJe viens d’analyser le CAP \"UR830-100035 - Comment paramétrer les années en début d\'année\" mais je n’arrive pas à le reproduire.\r\n\r\nJe t’explique ce que j’ai compris du bug et qu’elle a été ma démarche pour le reproduire. Ils veulent avoir comme paramètre d’un traitement le « numéro de référence » du trimestre précédent la date d’exécution d’un traitement, exemple :\r\n-	Si le traitement est exécuté le 20 février 2014, alors le numéro de référence du trimestre précédent doit être \"13 04\", ce qui correspond au 4ième trimestre de l’année 2013\r\n-	Si le traitement est exécuté le 20 mai 2014, alors le numéro de référence du trimestre précédent doit être \"14 01\", ce qui correspond au 1er trimestre de l’année 2014\r\n-	Si le traitement est exécuté le 20 aout  2014, alors le numéro de référence du trimestre précédent doit être \"14 02\", ce qui correspond au 2ième trimestre de l’année 2014\r\n-	Si le traitement est exécuté le 20 novembre 2014, alors le numéro de référence du trimestre précédent doit être \"14 03\", ce qui correspond au 3ième trimestre de l’année 2014 \r\n-	Si le traitement est exécuté le 20 février 2015, alors le numéro de référence du trimestre précédent doit être \"14 04\", ce qui correspond au 4ième trimestre de l’année 2014\r\n\r\nLe problème rencontré est que en début d’année (au mois de février par exemple), la référence n’est pas bonne. Au lieu d’obtenir \"13 04\" le 20 février 2014, ils obtiennent \"14 04\" car l’année n’est pas décrémentée et reste sur 2014.\r\n\r\nPour reproduire le bug, j’ai créé un nouveau traitement journalier avec 2 paramètres comme sur la capture ci-dessous :\r\n\r\n[cf. capture1.png]\r\n \r\nEnsuite j’ai recalculé la planification sur les 24 prochains mois (pour l’organisme 937 seulement). Pour chaque date de l’exemple ci-dessus (20 des mois de février, mai, août et novembre en 2014/2015) , j’ai vérifié les valeurs calculées (numéro de trimestre + année), et ces valeurs calculées sont correctes. Voici une capture d’écran pour la planification du 20 février 2015 :\r\n\r\n[cf. capture2.png]\r\n\r\n\r\nOn y voit bien la référence au trimestre \"40\" (ou \"04\", c’est juste le format qui diffère) de l’année 2014.\r\n\r\n\r\nTout ceci m’amène donc plusieurs questions :\r\n-	Est-ce que ma compréhension du bug est bien correcte ?\r\n-	Est-ce la bonne démarche pour le reproduire ?\r\n-	Est-ce que vous réussissez à reproduire le bug de votre côté ?\r\n \r\nMerci pour ton retour.\r\n\r\n\r\nCordialement,\r\n\r\nRomain GUERIN\n\n'),
(361, 'Reste la gestion des exceptions \r\no	Si le casier contient des éléments'),
(362, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nEvol E5- Ajouter les actualités locales dans le bloc ma caf\r\nLes spécifications ont changées alors qu\'il ne restait plus que les tests à passer.\r\nNouveau développement, tests à reécrire et à passer.'),
(363, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\npossibilité de trier la premiere par ordre croissant : resolved\r\ninfo bulle: la librairie utilisté \"POI\" pour la génération des fichiers XML ne permet pas d\'ajouter des infos bulles dans le fichier EXCEL -> Possibilité d\'utiliser la librairie POI-ooxml (changement de toutes les fonctionnalités)'),
(364, 'Doit pouvoir être configurable :\r\nAdresse et Port de communication du Serveur Wildfly pour l\'intégration avec un serveur a distance\r\n   - WILDFLY_REMOTE_MANAGEMENT_ADDRESS\r\n   - WILDFLY_REMOTE_MANAGEMENT_PORT\r\n   - WILDFLY_REMOTE_MANAGEMENT_USERNAME\r\n   - WILDFLY_REMOTE_MANAGEMENT_PASSWORD'),
(365, 'Tester le ServiceMasseClient dans blank-masse'),
(366, 'Créer le PowerPoint pour cette page :\r\n\r\nhttp://techniques.renov.recouv/doku.php?id=architecture:archetype:domaine_applicatif:backend:services_interactifs_jee7:erreurs'),
(367, 'Problème provient du logger de l\'acoss'),
(368, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n--WPE.003.90 - E7 - Insérer un espace de contribution sur les bornes, points d accueil et visio-guichets\r\n--WPE.003.90 - E3 - Améliorer la restitution des accueils et bornes'),
(369, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nBug :Alignemenent centré sur points-d-accueil et bornes interactives\r\nBug XITI: 14-CEL-597-A045'),
(370, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nBug :Alignemenent centré sur points-d-accueil et bornes interactives\r\nBug XITI: 14-CEL-597-A045'),
(371, 'Ces 5 variables ont été configurées en tant que variables d\'environnement dans le pom de blank-parent. \r\n\r\n   - WILDFLY_REMOTE_MANAGEMENT_ADDRESS\r\n   - WILDFLY_REMOTE_MANAGEMENT_PORT\r\n   - WILDFLY_REMOTE_MANAGEMENT_USERNAME\r\n   - WILDFLY_REMOTE_MANAGEMENT_PASSWORD\r\n   - HAWAI_DATABASE_HOSTNAME\r\n\r\nLes jobs Hudson blank-parent et blank-sonar utilisent maintenant ces variables en tant que paramètres de build.\r\n\r\nLe wiki de la partie \'Build\' (http://techniques.renov.recouv/doku.php?id=architecture:archetype:domaine_applicatif:backend:services_interactifs_jee7:build) a été mis à jour en conséquence.'),
(372, 'La génération du site est opérationnelle depuis un poste développeur pour toolbox, archetype et blank. Wildfly n\'a pas vocation à être déployé.\r\n\r\nUn ticket reste ouvert côté ALTAIR (39746): les jobs Hudson sont en erreur à cause des droits utilisateur pour svn (commande svn log) et nexus (déploiement du site)\r\nEn attente d\'une réponse de leur part.'),
(373, 'Utiliser des variables d\'environnement pour les resources de configuration:\r\nLes URL et autres IP doivent être passer en paramètre à Maven et pas écrites en dur.'),
(374, 'Ont été ajoutées les variables d\'environnement suivantes:\r\nWS_HOST = localhost\r\nWS_PORT = 8081\n\n'),
(375, 'résolution : utilisation du logger cnaf.framework.Log au lieu de cnaf.framework.utils.log.Log.'),
(376, 'Il s\'agit du champ \"plan_date_init\" de la table \"t_planif\" qui contient cette information.\r\nIl faut modifier la requête ci-dessous dans le fichier \"site\\includes\\synapse-ajax-planif.php\":\r\n\r\n      //On ajoute le traitement à la nouvelle date\r\n      $sql  = \"INSERT INTO t_planif ( id_org, id_trait_org, plan_date, plan_date_init, plan_status, plan_ord_day, date_validite ) \";\r\n      $sql .= \"VALUES ( \'$urssaf\', \'$id_trait_org\', \'$planDate\', \'$old_plan_date\', \'1\', $plan_ord_day, \'$dateValidite\' ) \";\r\n      $res = pg_query( $link, $sql );\r\n      $newPlanSeq = pg_insert_id( $link, \'t_planif\', \'plan_seq\' );\r\n'),
(377, 'Il s\'agit du champ \"plan_commentaire\" de la table \"t_planif\" qui contient cette information.\r\nIl faut modifier la requête ci-dessous dans le fichier \"site\\includes\\synapse-ajax-planif.php\":\r\n\r\n      //On ajoute le traitement à la nouvelle date\r\n      $sql  = \"INSERT INTO t_planif ( id_org, id_trait_org, plan_date, plan_date_init, plan_status, plan_ord_day, date_validite ) \";\r\n      $sql .= \"VALUES ( \'$urssaf\', \'$id_trait_org\', \'$planDate\', \'$old_plan_date\', \'1\', $plan_ord_day, \'$dateValidite\' ) \";\r\n      $res = pg_query( $link, $sql );\r\n      $newPlanSeq = pg_insert_id( $link, \'t_planif\', \'plan_seq\' );'),
(378, 'Etapes de dev:\r\n- ajouter un menu à droite: \"suppression en masse\"\r\n- lors du click, une case à cocher apparait à côté de chaque traitement affiché dans la liste (case du côté gauche, sous le poids du traitement)\r\n- le lien se transforme en \"supprimer les traitements sélectionnés / annuler\"\r\n- l\'utilisateur clique sur les cases choisies, puis clique sur le lien \"supprimer les traitements sélectionnés\"\r\n- les traitements sont supprimés un par un, les messages d\'erreurs éventuels sont affichés\r\n- lorsque tous les traitements cochés sont supprimés ou en cas de clic sur \"annuler\", les cases sont masquées et le lien revient à son état initial'),
(379, 'Mis à jour par Romain GUERIN il y a environ un mois\r\n\r\nJe n\'arrive pas a reproduire cette anomalie de mon côté. Que le traitement soit en feu rouge, orange ou vert j\'arrive bien à le supprimer des rebuts.\r\n\r\nEn revanche la suppression ne fonctionne pas dans un cas particulier: lorsque le commentaire de \"mise au rebut\" est trop long. Il est limité a 200 caractères en base ainsi que dans le champ de saisie utilisateur.\r\nLorsque je clique pour supprimer un traitement du rebut, je peux avoir 2 cas:\r\n- le traitement choisi ne possède pas de commentaire pour la planification courante: dans ce cas, le champ de saisie \"mise au rebut\" est initialisé avec une valeur vide\r\n- le traitement choisi possède un commentaire pour la planification courante: dans ce cas, le champ de saisie \"mise au rebut\" est initialisé avec la valeur du commentaire de planification. Lorsque ce dernier dépasse 200 caractères, la suppression ne fonctionne pas. Mais rien n\'empêche l\'utilisateur de modifier la valeur pré-remplie avec une valeur de moins de 200 caractères pour que la suppression fonctionne.\r\n\r\nTechniquement, le commentaire de planification est lui aussi limité à 200 caractères (il s\'agit en fait du même champ dans la base de données). Donc normalement il est impossible que le champ de saisie \"mise au rebut\" soit initialisé avec une valeur supérieur à 200 caractères, sauf si:\r\n- l\'utilisateur a délibérément contourner la vérification de la longueur\r\n- il existe un autre endroit où le commentaire peut être enregistré en base de données (soit automatiquement, soit via une saisie utilisateur non contrôlée que nous n\'avons pas trouvée)\n\n'),
(382, 'Mis à jour par Alexandre CORNU il y a environ un mois\r\n\r\nOk, on constate la même chose.\r\n\r\nPeux tu chiffrer la correction sur le Bug du commentaire.\r\n\r\nCordialement\n\n'),
(383, 'Mis à jour par Romain GUERIN il y a environ un mois\r\n\r\nOk je chiffre cette correction. En vérifiant de nouveau j\'ai vu que le commentaire saisi par l\'utilisateur est traité pour éviter des problèmes d\'injection et d\'encodage, donc le problème des 200 caractères vient peut être de là. Exemple: je saisi \"planif > 27/06\" (14 caractères) dans le champ commentaire, en base on enregistrera \"planif & gt; 27/06\" (17 caractères).\n\n'),
(384, 'Réponse de Corinne LOISEAU :\r\n\r\nBonjour\r\n\r\nc\'est normal qu\'il n\'y ait pas de report effectué car il n\'y a pas la possibilité lorsque l\'on paramètre cette fréquence de choisir l\'option report.\r\n\r\nil faut donc intégrer la notion de report sur ce type de fréquence (comme pour les autres cas)\r\n\r\nCordialement'),
(385, 'Mis à jour par Arnaud VOGEL il y a environ un mois\r\n\r\nCe problème existe aussi sur les traitements annuels.\r\nje te propose un chiffrage de 3 jours avec la modification sur les 2 fréquences.'),
(386, 'Il faut ajouter la notion de \"avec/sans report\" pour les fréquences:\r\n- Trimestrielle / Ième jour de la semaine\r\n- Annuelle / Ième jour de la semaine'),
(387, 'Lors de l\'activation du lot, la planification est bien recalculée.\r\n\r\nOr, comme le lot contient une nouvelle version du traitement, ce traitement possède un nouvel id_trait_org. Donc, pour toutes les planifications à venir, l\'ancien id_trait_org est mis à jour avec la nouvelle valeur. Or cette mise à jour à lieu AVANT le recalcul de la planificaiton. De ce fait, lors du recalcul, la suppression des anciens traitements planifiés ne trouve rien, car l\'ancien id_trait_org n\'est plus planifié.'),
(388, 'Mis à jour par Arnaud VOGEL il y a environ un mois\r\n\r\nOn a peu d\'informations sur le process pour reproduire cette anomalie.\r\nNous avons rencontré un bug à corriger dans le moteur d\'ordonnancement qui je pense doit corrigrer.\r\nChiffrage 2 jours'),
(389, 'Je pense qu\'il s\'agit du bug concernant la gestion du poids lors de la présence de  traitements avec suffixe. Lors du calcul du poids \"statique\" d\'une planification, les traitements avec suffixe n\'était pas pris en compte. De ce fait, lors de l\'insertion d\'un nouveau traitement, l\'emplacement calculé pouvait être incorrect.'),
(390, 'Mis à jour par Romain GUERIN le 04/08/14 à 17h\r\n\r\nLorsqu\'un traitement est reporté plusieurs fois d\'affilé:\r\n- la date de report du premier report était perdue.\r\n- le traitement initialement reporté indiquait la mauvaise de date pour le report réel\r\n\r\nFonctionnellement, le cas de test décrit dans ce CAP a été corrigé, ainsi que le cas de test complémentaire décrit ci-dessous:\r\nLors d\'un report multiple, il faut que:\r\n- sur la planification du jour Z, le traitement soit affiché avec comme date initiale la date X\r\n- sur les planifications des jours X et Y, le traitement soit toujours présent en rebut et il doit être indiqué que ce traitement a été replanifié au jour Z\r\n\r\nDans le code existant, seule la planification du jour Y est modifiée et\r\npas celle du jour X, et donc Synapse affichait ceci:\r\n- au jour X, traitement xxx reprogrammé le Y\r\n- au jour Y, traitement xxx reprogrammé le Z\r\n\r\nAlors qu\'on doit plutôt avoir ceci:\r\n- au jour X, traitement xxx reprogrammé le Z (ligne corrigée)\r\n- au jour Y, traitement xxx reprogrammé le Z (ligne identique)\r\n\r\nLa requête de mise à jour des status a donc été modifiée en conséquence.\n\n'),
(391, 'Mis à jour par Romain GUERIN le 05/08/14 à 11h\r\n\r\nStatut changé de Nouveau à Réalisé\r\n\r\nLa correction a été effectuée. Lorsqu\'un traitement est reporté à une journée ultérieure, le commentaire associé doit suivre le traitement même si \"durée de vie du commentaire\" === \"la journée\".\r\nFonctionnellement, seul le cas de test décrit dans ce CAP a été corrigé: le commentaire est conservé dès qu\'un traitement est replanifié à une autre date.'),
(392, 'Mis à jour par Romain GUERIN il y a environ 22 heures\r\n\r\nLa valeur du champ est limité à 200 caractères, au niveau de l\'interface et aussi au niveau base de données. Le problème identifié est le suivant: si l\'utilisateur saisi le caractère \"é\" 200 fois dans l\'interface, Synapse va tenter d\'insérer en base le texte \"& eacute;\" 200 fois, ce qui correspond à 200*8 = 1600 caractères et dépasse largement la limite de 200 caractères autorisés en base de données.\r\nPour corriger ce bug, nous sommes donc partis sur la solution suivante: le type du champ \"plan_commentaire\" de la table \"t_planif\" va être modifié pour passer de \"character varying(200)\" à \"text\". Ainsi, la limite de taille sur ce champ sera supprimé en BDD, entraînant la correction du bug. Cependant, les utilisateurs ne pourront toujours pas saisir une valeur supérieur à 200 caractères au niveau de l\'interface.\r\n\r\nFonctionnellement, aucune modification ne sera donc apportée. Est-ce que cette solution vous convient techniquement ?'),
(393, 'De : Alexandre CORNU/AC060/REC\r\nA : Romain GUERIN/AC060/REC@DONATIR, \r\nCc : anais <anais.andre@atos.net>, arnaud VOGEL <arnaud.vogel@atos.net>, elmehdi ENNA SEH <elmehdi.ennaseh@atos.net>, romain.guerin@atos.net, Yannis JUAN/AC060/REC@DONATIR\r\nDate : 05/08/2014 11:01\r\nObjet : RE: Synapse - Question CAP UR727-132882\r\n\r\nBonjour,\r\n\r\ncette solution étant transparente d\'un point de vue interface utilisateur, cela ne pose pas de problème.\r\n\r\nCordialement'),
(394, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nintegration:\r\n*reversibilité 2j\r\n*config was 1j\r\n*reversibilité jsp 0.5\r\n*config vpn nfo 1.5'),
(395, 'Ceci n\'est pas un bug'),
(396, '2.2 Modifications du nbre d\'échéances des paiements mensuels (10 -> 12 mois)\r\n\r\nmodifications a apporter dans le fichier pck_calcul_echeancier.sql\r\ndans la fonction fcn_det_der_mois_ech\r\n\r\n--------------\r\nla fonction est appellee par\r\nprc_calcul_appel_prov \r\n\r\n------------\r\n\r\n@@ -2336,9 +2336,10 @@ END prc_calcul_notif;\r\n     IF e_freq_paiement = \'T\' THEN\r\n        v_der_mois_ech := 11;\r\n     ELSE\r\n-       v_der_mois_ech := 10;\r\n+--  LoB     v_der_mois_ech := 10;\r\n+       v_der_mois_ech := 12;\r\n \r\n-       -- REG_ECH_008 (4)\r\n+/*   LoB    -- REG_ECH_008 (4)\r\n        v_situation := \'E4.1\';\r\n        IF g_cmr_no = 58 OR g_cmr_no = 59 THEN\r\n           v_der_mois_ech := 12;\r\n@@ -2422,7 +2423,7 @@ END prc_calcul_notif;\r\n        EXCEPTION\r\n          WHEN NO_DATA_FOUND THEN\r\n               v_der_mois_ech := 10;\r\n-       END;\r\n+       END;*/\r\n \r\n     END IF;\r\n     RETURN v_der_mois_ech;\n\n'),
(397, 'Ajouter \"-daily\" à la fin du nom du build. Mettre \"RELEASE\" à la fin du nom du build en minuscules.'),
(398, 'Install de la VM rsipsa01 sur le serveur d\'Aix.\r\n\r\ncette VM proposera:\r\n- repository Git mappé sur le SVN officiel du projet\r\n- serveur de fichier SAMBA pour échange/stockage de doc équipe TAIGA\r\n- serveur Web pour les tools (GitWeb, RsiKB, ...)\r\n\r\nLe serveur sera accessible à l\'extérieur via le reverse-proxy de l\'agence.\r\n\r\n\r\nBilan du 11/9/2014:\r\nVM installée et activable, mais l\'interface réseau ne démarre pas.\n\n'),
(399, 'Affecté à Cem'),
(465, 'Doublon de 2042'),
(466, 'manque TU'),
(467, 'TU livres sur SAMBA'),
(468, 'uniquement partie MAJOC'),
(473, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nIndisponibilité QC'),
(470, 'Reponse de O.Scavonne\r\n\r\n1)	Et 5) volumétrie\r\nLa liste des AYD avec les champs cités sont disponibles en annexes. Il est possible que les .CSV n’aient pas été inclus correctement ou qu’ils ne soient pas accessibles pour des raisons de compatibilité de versions Word. Je les joindrais donc à part. J’ai choisi CSV plutôt que XLS pour éviter ces pb de compatibilité, mais je les relivrerai en XLS.\r\n\r\n--> Il faut distinguer la volumétrie et listes fournies en phase de spécification de celles fournies par le traitement de reprise au format CSV   qui peut être produit 1 an après la phase de spécification et qui de toute façon fait la liste des modifs réelles.   Cela fait partie de tes sortants pour ton devis.  Et cela fait partie de l’exercice de ce defect : définir un bilan dans les specs, et mettre à disposition le fichier issu du traitement au format CSV\r\n\r\n2)	Sélection du processus de mise à jour.\r\nLa solution choisie ne met à jour que les jumeaux ayant des rangs/prénoms identiques. Les autres jumeaux de la fratrie ne sont pas modifiés. En effet l’algorithme pourrait être amélioré pour recalculer le rang de toute la fratrie, mais je ne voulais pas toucher aux jumeaux non-impactés et risquer de changer une valeur ‘correcte’ par une valeur calculée et potentiellement fausse.\r\nVoir mon commentaire suivant \r\n\r\n\r\n3)	Maj du rang gémellaire\r\nAu chapitre 3.1.2 je précise que le « deuxième » jumeau (celui qui sera mis à jour) est celui ayant le NIR le plus récent. Je me base donc sur le NIR pour déterminer le rang des jumeaux.\r\nPour déterminer son nouveau rang (et ne pas utiliser le rang d’un éventuel triplet) j’utilise le rang le plus élevé de la FRATRIE (inclue tous les frères, y compris les triplets, quadruplets non impactés par le pb de rang) + 1. \r\n\r\n--> Il ne faut pas avoir de « trou » dans le rang gémellaire, si ils sont 3  (triplés ) il faut que l’on obtienne  1 2 3   et non pas   potentiellement   2 3 3   si tu n’avais plus de 1 et que le rang 2 était en doublon et que tu ne corriges pas le 3 eme\r\nLe problème est le même si ils ne sont que 2 jumeaux, et qu’il n’ y a pas de rang 1 en base , il ne faut pas faire en final un rang 2 et un rang 3.\r\n\r\nSolution :\r\nEn fait, il faut partir  du premier jumeaux et reconstituer le rang pour toute la fratrie  quelque soit le chiffre initial et le nombre de jumeaux d’où ne pas mettre la notion de rang dans la requête de sélection mais uniquement la liste de jumeaux à potentiellement corriger. (Sélection de toute la fratrie)    \r\n\r\n\r\nComment fait tu pour déterminer le NIR le plus récent pour le 2eme jumeau?  De plus ce choix ne me semble pas opportun fonctionnellement parlant\r\nSolution :\r\n\r\nNous avions utilisé le n° d’ordre de naissance lié à la commune de naissance  pour déterminer  le premier   (rang 1 de départ)  d’où des  critères supplémentaires,  il faut qu’ils aient la même commune et  le même département de  naissance en plus de la même date de naissance pour déterminer des jumeaux.\r\n\r\n\r\n4)	Majuscules et tirets dans les prénoms\r\nJe rajouterai une règle sur les majuscules. En revanche il est exact que la solution choisie ne gère pas les tirets et espaces.  \r\n\r\n--> OK c’était un plus dans l’exercice  et correspond à la réalité à ce que nous avions fait  et  surtout  à ce qui  nous avait été demandé.\n\n'),
(406, 'Livraison réalisée'),
(407, 'Livraison réalisée'),
(408, 'Livraison réalisée'),
(409, 'Livraison réalisée'),
(410, 'Livraison réalisée'),
(411, 'Livraison réalisée'),
(412, 'Livraison réalisée'),
(413, 'Livraison réalisée'),
(414, 'Livraison réalisée'),
(415, 'Livraison réalisée'),
(416, 'Livraison réalisée'),
(417, 'Livraison réalisée'),
(418, 'Livraison réalisée'),
(419, 'Livraison réalisée'),
(420, 'Livraison réalisée'),
(421, 'Livraison réalisée'),
(422, 'Livraison réalisée'),
(423, 'Livraison réalisée'),
(424, 'Livraison réalisée'),
(425, 'Livraison réalisée'),
(426, 'Livraison réalisée'),
(427, 'Livraison réalisée'),
(428, 'Livraison réalisée'),
(429, 'Livraison réalisée'),
(430, 'Livraison réalisée'),
(431, 'Livraison réalisée'),
(432, 'Livraison réalisée'),
(433, 'Livraison réalisée'),
(434, 'Livraison réalisée'),
(435, 'Livraison réalisée'),
(436, 'Livraison réalisée'),
(437, 'Livraison réalisée'),
(438, 'Livraison réalisée'),
(439, 'Livraison réalisée'),
(440, 'Livraison réalisée'),
(441, 'Livraison réalisée'),
(442, 'Livraison réalisée'),
(443, 'Livraison réalisée'),
(444, 'Livraison réalisée'),
(445, 'Livraison réalisée'),
(446, 'Livraison réalisée'),
(447, 'Livraison réalisée'),
(448, 'Livraison réalisée'),
(449, 'Livraison réalisée'),
(450, 'Livraison réalisée'),
(451, 'Livraison réalisée'),
(452, 'Livraison réalisée'),
(453, 'Livraison réalisée'),
(454, 'Livraison réalisée'),
(455, 'Livraison réalisée'),
(456, 'Livraison réalisée'),
(457, 'Livraison réalisée'),
(458, 'Livraison réalisée'),
(459, 'Livraison réalisée'),
(460, 'Livraison réalisée'),
(461, 'Livraison réalisée'),
(462, '17/09/2014 : Rédaction des specs, en attente de validation'),
(489, 'SFD appliquée'),
(490, 'En phase de test.'),
(464, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nEn attente docs entrants\r\nrelance a marie ce jour (vendredi 19 sept)\n<!-- CODEVTT_TAG_READ_BY lbayle  --- 2014-09-26 13:41:15 -->'),
(488, 'SFD rédigée'),
(486, 'application de la SFD'),
(487, 'SFD rédigée'),
(471, 'rétrodoc effectuée pour compléter le paragraphe sur les rejets de la gestion courante de SAGESS'),
(472, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nCorrection bug IE 7&8 --> OK\r\n\r\nAutre bug relevé et corrigé'),
(8779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nContrôle Gconf, intégration, qualification et suivi ALM'),
(475, 'résolue au 24/10/2014'),
(476, 'retour de la 001: bug dans le nom de fichier de sortie (date et espaces)'),
(477, 'il faut imputer les retours sur la tache \"Retours\"...'),
(478, 'évolution appliquée'),
(479, 'évolution appliquée'),
(480, 'évolution appliquée'),
(481, 'évolution appliquée'),
(482, 'Erreur commit pour ordonnancement'),
(483, 'defect 39175 appliquée'),
(484, 'La requete J+6 ne prenait pas en compte l\'id du lot actif pour l\'organisme'),
(485, 'Régression sur la popup de débrayage suite modification css.'),
(491, 'Une réunion de travail sera organisé courant décembre par SF sur ce sujet.'),
(492, 'Remplacement de tous les \"Code Safir\" en \"Casl\" (Code Aurore Site Logique) au niveau des :\r\n- F1 nouvel arrivant\r\n- F1 changement de nom, onglet Bénéficiaire\r\n- F1 Fin de contrat (suspension), onglet Bénéficiaire\r\n- F1 Départ Inter-Organisation, onglet Bénéficiaire\r\n- F1 Départ (Suppression), onglet Bénéficiaire\r\n- F2 Ressource Structurelle, onglet Bénéficiaire\r\n- F2 sur F1 ressources structurelle, onglet Bénéficiaire\r\n- F3 sur F1 ressource et habilitation, onglet Bénéficiaire'),
(493, 'Rajout d\'un champ de filtrage \"Type Père\" :\r\n\r\n- Rajout de la combo de filtre (nom de la combo : \"cboTypePère\")\r\n- Initialisation de cette combo via la collection de procédures \"Init.ComboTypeRessourcePere\".\n\n'),
(494, 'lun. 01/09/2014 16:42\r\n\r\nBonjour,\r\n\r\nCi-joint mon compte rendu des documents décrivant le projet d\'élaboration de tableaux de bord SA ainsi que de notre entrevue.\r\nJe décrit dans ce document ma compréhension du sujet ainsi qu\'une proposition.\r\n\r\n[ATS-CD-Pole_Emploi-Tableaux_de_bord_SA-v1.0.docx]\r\n\r\nJe n\'ai pas réussi à te joindre par téléphone, aussi je t\'ai joint des questions en fin de document.\r\nJ\'essayerai de te joindre demain dans la matinée...\r\n\r\nCdt,\n\n'),
(495, 'jeu. 23/10/2014 15:00-16:00\r\n\r\nPoint rapide sur :\r\n- Uniformisation des BDC (demande Mikael)\r\n- Outil budgetaire SA : écrans simples à mettre en place\r\n- A l\'occasion : du neuf sur les stat SH ?'),
(496, 'ven. 24/10/2014 09:56\r\n\r\nBonjour Mikael,\r\n \r\nSuite à notre point d’hier :\r\n\r\nen PJ [CBP - 2014M10.zip] le modele BDD de l’outil « CBP » (commande-budget-projet) : \r\n\r\nDOC : la description de la BDD\r\nPPS, page 13 & 14 : les schémas associés (et autres informations de base)\r\nXLS : les données actualisées.\r\n\r\npour ton retour le 3/11, je t’envoie une première description écran/table, au format Excel, pour valider ensemble ce mode de communication\r\n \r\nMerci et bonnes vacances, \r\nCordialement, Sylvie.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(497, 'Résumé au jeu. 13/11/2014 16:43\r\n\r\nRe,\r\n\r\nCi-joint les dernières captures d’écran.\r\nJ’ai centré la page (optimisé en 1024 de large), aligné l’ensemble, réorganisé les filtres de recherche ainsi  que les pages de détail, rajouté une image de fond (me dire si ça ne surcharge pas trop)…\r\n\r\nJ’ai à priori fini pour cette table « prestation », \r\nj’ai rajouté les contraintes à vérifier pour griser ou pas les boutons en fonction de l’état de la prestation et des commandes associées…\r\n\r\nJean-Marc : faudrait refaire un dump de base (ne pas oublier de rajouter mon « auto increment ») \r\nafin de vérifier avec des données plus récentes si le lien vers Acteur Alias est correctement présent en base.\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\n\r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Wednesday, November 12, 2014 9:11 AM\r\nTo: NAVARRO, MiKael; MORO Jean-Marc\r\nCc: CHAUTARD David; DULAC Vincent; ROCHETTE Claude\r\nSubject: TR: [Outil Budget] Ecran > Modele de description - Prestation\r\n\r\nBonjour,\r\n\r\nPI je mets les chefs en copie pour qu’ils puissent apprécier la qualité de votre travail \r\n\r\nDonc, oui, sous réserve des « ID », cela me semble parfait, merci beaucoup et bravo.\r\nConcernant le WF : \r\n-	principe simple : s’il existe une commande réelle présente ou passée (i.e. non annulée), toutes les données associées doivent être inchangées et consultables.\r\n-	Appliqué à « prestation » (cf tableau) : sur le SUPPRIMER :\r\no	Si état initial = en_cours => changement d’état vers cloturé\r\no	Si état initial = non_ref => suppression réelle (vérifier la contrainte locale)\r\no	Si état initial = cloturé => bouton non disponible\r\n\r\nMerci\r\nA+\r\n\r\n \r\nListe des boutons :	Etat intial :	Action :	Etat final :	Contrainte :\r\nCréer	[inexistant]	nouvelle occurrence	non ref	externe (dès la création d\'une ligne de commande associée, l\'état devient \"en cours\")\r\nSupprimer	en cours	MàJ état	cloturé	locale : toutes les commandes associées doivent être à l\'état \"cloturé\" ou \"annulé\"\r\n\"	non ref	delete	[inexistant]	locale : aucune commande associée (le cas serait une anomalie)\r\n\"	autre	[bouton grisé]		\r\nModifier	en cours	[bouton grisé]		\r\n\"	non ref	MàJ données modif. WF	non ref	RAS\r\n\"	autre	[bouton grisé]		\r\nConsulter	[tous]	select	[inchangé]	\r\n\r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : lundi 10 novembre 2014 16:52\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : MORO Jean-Marc\r\nObjet : RE: [Outil Budget] Ecran > Modele de description - Prestation\r\n\r\nRe,\r\n\r\nSylvie : Ci-joint les dernières captures d’écran, dans l’ordre : liste, création, affichage, modification, suppression \r\n- Dis-moi si c’est mieux, je pense n’avoir rien oublié de tes remarques\r\n- Pourrais-tu aussi m’expliquer le workflow sur les prestations ? Car, sur le supprimer on peut le faire quand la prestation est en cours ou non référencé, mais quand elle est clôturée ???\r\n\r\nJean-Marc :\r\n- J’ai rajouté un « auto increment » sur la « primary key id_prestation » de la table « prestation » \r\n- Faudra qu’on se voit pour tout ce qui est gestion des erreurs, je crois que tu as mis un mécanisme en place, faut que tu m’explique…\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\n\r\nFrom: NAVARRO, MiKael \r\nSent: Friday, November 07, 2014 9:24 PM\r\nTo: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc: jean-marc.moro@pole-emploi.fr\r\nSubject: RE:[Outil Budget] Ecran > Modele de description - Prestation\r\n\r\nRe,\r\n\r\nOk, très bien ça part dans le bon sens.\r\nP.I. le modèle est de Jean-Marc.\r\n\r\n- Concernant les remarques sur l\'écran \"liste\" :\r\n\r\na) oui je sais mais le dump de la base que j\'ai actuellement ne comporte rien dans la table alias, \r\ndu coup j\'avais une jointure vide c\'est pour cela que j\'ai laissé l\'id pour l\'instant \r\nmais je mettrai à jour en temps voulu. Et ok, je place en colonne n°2. \r\n\r\nb), c) et d) ok, je prend en compte\r\n\r\ne) les boutons sont présent mais pas visibles sur cette capture d\'écran ;-)\r\n\r\n- Concernant les remarques sur l\'écran \"saisie\" :\r\n\r\na) alignement des liens \"of course\"\r\n\r\nb) oui le libellé est prévu pour refleter le mode en cours, \r\nje pensais aussi peut-être mettre des couleurs différentes, à voir...\r\n\r\nc) en effet c\'est en fait différent entre les libellés des listes déroulantes et des zones de saisie,\r\nj\'uniformise.\r\n\r\nd) bien retenu pour les ID :)\r\n\r\ne) je suis d\'accord, l\'écran n\'est pas finit, ce sont en effet tout les boutons disponibles ;\r\nà ce sujet pour le supprimer, à partir de la liste, je me demandais si j\'ouvrai aussi ce même écran en lecture seul pour demander confirmation ? ou, si j\'ouvrais un simple popup de confirmation ? (je préfère la première solution, ça serait plus uniforme :)\r\n\r\nBon WE,\r\nCdt,\r\n-- \r\nMikaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr]\r\nEnvoyé : vendredi 7 novembre 2014 17:40\r\nÀ : NAVARRO, MiKael\r\nObjet : RE: [Outil Budget] Ecran > Modele de description - Prestation\r\nBonjour Mikael,\r\n \r\nMerci.\r\n \r\nLe style est très bien dans l’ensemble, la mise en page colle parfaitement à l’attendu, bravo .\r\nQuelques remarques :\r\n \r\nListe :\r\na)       Acteur Alias : il ne faut pas faire afficher l’ID mais le nom de l’allias associé (source = table Alias). Ce nom doit passer en colonne N°2.\r\nb)       Nb Acteur : entier (pas de chiffres après la virgule)\r\nc)       UO : comme Acteur Allias => c’est un ID, il faut afficher le libellé de l’UO associée (source = table UO).\r\nd)       Demande dévolution : à coté du libellé « UO », serait-il possible d’ajouter son prix unitaire HT (source = table UO) ?\r\ne)       Boutons : c’est à partir ce cette liste que l’on va décider de créer, modifier, supprimer. Ces 3 boutons doivent être présents au bas de cet écran, actifs ou non en fonction du WF :\r\na.       CREER : ouvre l’écran de saisie en mode création, vierge\r\nb.       MODIFIER : ouvre l’écran de saisie en mode modif, avec les infos de la ligne sélectionnée dans la liste\r\nc.       SUPPRIMER : « annule » la ligne sélectionnée (en fonction de l’état, un vrai delete ou juste un changement d’état)\r\n \r\n \r\n \r\nSaisie :\r\na)       Alignement des liens du bandeau\r\nb)       Le libellé « Mode d’ouverture » sera soit « création » soit « modification », c’est ca ?\r\nc)       Police non homogène sur les libellés\r\nd)       Attention aux listes déroulantes : comme ci-dessus, pour l’alias et l’UO, il faut afficher les libellés et non les ID.\r\ne)       Boutons : on est déjà sur un écran de création ou de modification. Il ne doit y avoir que 2 boutons : \r\na.       VALIDER (= action de création ou de modification, selon l’appel de cet écran)\r\nb.       ANNULER (=ignorer l’action en cours et retour à la liste sans sauvegarde)\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : vendredi 7 novembre 2014 15:29\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil Budget] Ecran > Modele de description - Prestation\r\n \r\nRe,\r\n \r\nJ’ai pas pu beaucoup avancé ce matin, mais j’ai quand même finit l’écran de visualisation / recherche des prestations, ci-dessous une capture d’écran : cf. cbp-liste_prestations.png\r\n \r\nJ’ai commencé les autres écrans pour l’ajout / modification dont voici une maquette : cf. cbp-mod_prestations.png\r\n \r\nDis-moi si ce genre d’interface te convient.. ?\r\n \r\nP.S. j’espère finir tout ça lundi ;)\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\n \r\n \r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Thursday, November 06, 2014 3:08 PM\r\nTo: NAVARRO, MiKael\r\nSubject: RE: [Outil Budget] Ecran > Modele de description - Prestation\r\nImportance: Low\r\n \r\nHello,\r\n \r\nOk merci. \r\nA demain par mail.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : jeudi 6 novembre 2014 14:56\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil Budget] Ecran > Modele de description - Prestation\r\n \r\nLO,\r\n \r\nJe suis rentré de Marseille, mais cet après-midi je doit preparer le CoPil ainsi que le suivi des commandes, je planifie de travailler sur l’outil CBP demain…\r\nJe verrai donc demain où j’en suis et quand il me faudra le prochain écran.\r\n \r\nCdt,\r\n \r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Wednesday, November 05, 2014 11:32 AM\r\nTo: NAVARRO, MiKael\r\nSubject: RE: [Outil Budget] Ecran > Modele de description - Prestation\r\n \r\nHello,\r\n \r\nJe viens vendredi de facon certaine, par contre ce n’est pas encore sur pour demain :-/\r\nSTP quand te faudra-t-il la description du prochain écran ?\r\n \r\nMerci\r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : mardi 4 novembre 2014 22:02\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE:[Outil Budget] Ecran > Modele de description - Prestation\r\n \r\nBonsoir,\r\n\r\nJe pense me déplacer sur le site de Marseille Jeudi matin, j\'aurai pas beaucoup de temps mais peut-être qu\'on se verra..?\r\n \r\nCdt,\r\n-- \r\nMikaël NAVARRO\r\n \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr]\r\nEnvoyé : vendredi 31 octobre 2014 18:28\r\nÀ : NAVARRO, MiKael\r\nCc : DULAC Vincent; CHAUTARD David; ROCHETTE Claude; MORO Jean-Marc\r\nObjet : [Outil Budget] Ecran > Modele de description - Prestation\r\nBonjour Mikael,\r\n \r\nComme convenu avant tes congés, voici une description rapide d’un premier écran de saisie « simple ». Celui de la table Prestation.\r\n \r\nL’objectif est que tu commences ce lundi STP. Deux points :\r\n•                          valider / compléter ensemble ce modèle de description rapide. A terme, je l’appliquerai à tous les écrans « simples ».\r\n•                          livrer cet écran dès que possible, et s’accorder sur la « chartre » avec Jean-Marc. \r\n \r\nLa description part des données : j’ai ajouté sur chacune des indications de gestion par l’écran (fond jaune).\r\nIl y a aussi la liste des boutons, avec l’action à faire en fonction du workflow (WF), et les contraintes locales à prendre en compte dans cet écran (contraintes « externes » juste pour info).\r\nEt enfin la liste des liens vers les autres écrans (à activer ultérieurement).\r\n \r\nJ’ignore encore quel n° de tel j’aurai ce lundi : écris-moi STP, je te rappellerai (pas avant 10h).\r\n \r\nBon courage pour la reprise,\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n \r\n_____________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : vendredi 24 octobre 2014 09:56\r\nÀ : \'NAVARRO, MiKael\'\r\nCc : DULAC Vincent; CHAUTARD David; ROCHETTE Claude\r\nObjet : RE: Commande / Budget\r\n \r\nBonjour Mikael,\r\n \r\nSuite à notre point d’hier :\r\n•                          en PJ le modele BDD de l’outil « CBP » (commande-budget-projet) : \r\n•                          DOC : la description de la BDD\r\n•                          PPS, page 13 & 14 : les schémas associés (et autres informations de base)\r\n•                          XLS : les données actualisées. \r\n•                          pour ton retour le 3/11, je t’envoie une première description écran/table, au format Excel, pour valider ensemble ce mode de communication \r\n \r\nMerci et bonnes vacances, \r\n  << Fichier: CBP - 2014M10.zip >> \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR Sécurité des Accès \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n \r\n-----Rendez-vous d\'origine-----\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : jeudi 23 octobre 2014 10:23\r\nÀ : \'NAVARRO, MiKael\'\r\nCc : DULAC Vincent; CHAUTARD David\r\nObjet : Commande / Budget\r\nDate : jeudi 23 octobre 2014 15:00-16:00 (GMT+01:00) Bruxelles, Copenhague, Madrid, Paris.\r\nOù : 04 42 34 62 40\r\n \r\nPoint rapide sur :\r\n        - Uniformisation des BDC (demande Mikael)\r\n        - Outil budgetaire SA : écrans simples à mettre en place\r\n        - A l\'occasion : du neuf sur les stat SH ?\r\n \r\nJ\'attends ton appel STP au 04 42 34 62 40\r\nMerci\n\n'),
(506, 'jeu. 27/11/2014\r\n\r\nHello,\r\n \r\nJe tente de valider avant le début de mes réunions du jour (10h), sinon à partir de 16h.\r\nA tout’\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : jeudi 27 novembre 2014 08:39\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : MORO Jean-Marc\r\nObjet : RE: [REFPSA] Première version de l\'analyse\r\n \r\nLO,\r\n \r\nCi-joint la dernière version du schéma de base avec les tables Chiffrage et type de chiffrage.\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n \r\n \r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Wednesday, November 26, 2014 5:07 PM\r\nTo: NAVARRO, MiKael\r\nSubject: RE: [REFPSA] Première version de l\'analyse\r\n \r\nMerci \r\n \r\n \r\n \r\nCe jour je suis joignable sur le poste 04 91 18 86 48.\r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : mercredi 26 novembre 2014 16:56\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [REFPSA] Première version de l\'analyse\r\n \r\nJ’ai oublié, j’ai retranscrit mes notes de lundi dans un fichier texte, je te le joint à ce mail pour info.\r\n \r\n_____________________________________________\r\nFrom: NAVARRO, MiKael \r\nSent: Wednesday, November 26, 2014 4:43 PM\r\nTo: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc: Jean-Marc.MORO@pole-emploi.fr\r\nSubject: [REFPSA] Première version de l\'analyse\r\n \r\n \r\nBonjour,\r\n \r\nCi-joint ma première version de l’analyse BDD pour le Référentiel Projets\r\n \r\n<< File: REFPSA.eu.emf >> \r\nP.I. j’ai pas encore mis ce qui concerne les montants… je dois gérer des DPC côté FA/OGISL, donc je m’y remet et fini demain matin \r\n \r\nEn attendant dites-moi s’il n’y a pas d’incohérences.. ?\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729'),
(498, '[Outil Budget] Point d\'avancement au jeu. 13/11/2014 15:30-17:00'),
(499, 'Résumé au lun? 24/11/2014 09:38\r\n\r\nMikael,\r\n \r\nPI à notre point de 16h, on va basculer sur l\'outil \"Référentiel Projets\". \r\nC\'est un point d\'entrée essentiel, on gagnera du temps en gérant les budgets par cette entrée.\r\nA+\r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : DULAC Vincent \r\nEnvoyé : lundi 24 novembre 2014 09:35\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; ROCHETTE Claude\r\nCc : CHAUTARD David\r\nObjet : RE: [A VALIDER - Outil budget] Plan d\'actions rapide\r\n\r\nOui, vu en RS Jeudi\r\n\r\nBonne Réception \r\n        Vincent Dulac. \r\nResponsable Département PTSR SA \r\nTel 04.91.18.86.23 Portable 06 15 62 30 23 \r\nMessagerie : vincent.dulac@pole-emploi.fr      \r\n\r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : lundi 24 novembre 2014 09:26\r\nÀ : DULAC Vincent; ROCHETTE Claude\r\nCc : CHAUTARD David\r\nObjet : TR: [A VALIDER - Outil budget] Plan d\'actions rapide\r\n\r\nBonjour Vincent, Claude,\r\n \r\nSTP ai-je le feu vert pour lancer Mikael sur le \"referentiel projet\" (intégration du fichier Excel du jeudi en WebDev) ?\r\nRappel plan d\'actions ci-dessous : \r\n-          05/02/2015 : estimation projets T1-T2           => Ajout SYD post-séance : Objectif de livraison du Référentiel Projets (à valider VDU) >>\r\n \r\nAvantages : \r\n    - suivi des réunions Budget du jeudi facilité (possibilité de prise en charge par tous - Excel suivi par SYD uniquement)\r\n    - utilisable par Stéphan pour le suivi réunion SF sur les projets\r\n    - mise à jour auto des budgets projets de l\'outil \"Commande Budget\"\r\n \r\nInconvénients :\r\n    - on s\'écarte de l\'outil \"Commande\" en lui-même\r\n    - on s\'écarte de l\'outil \"Gestion d\'activité\" en lui-même\r\n    - les spéc sont encore à faire (mais on peut facilement s\'entendre sur un mode \"agile\" avec Mikael)\r\n \r\nPI taches MNA :\r\nOutil	Domaine	Table	Type alimentation phase 1	Qui	Etat\r\nCommande-Budget		BudgetLigne (reception)	écran	SYD/MNA	à spécifier\r\nCommande-Budget		Prestation	écran	SYD/MNA	ok\r\nCommande-Budget		Reception	automatique	SYD/MNA	à spécifier\r\nCommande-Budget		Activité	auto avec Gestion Activité	SYD/MNA	\r\nCommande-Budget		Budget	auto avec Référentiel Projet	SYD/MNA	à spécifier\r\nCommande-Budget		BudgetParametre	écran	SYD/MNA	ok\r\nCommande-Budget		BudgeTypeSA	auto avec Référentiel Projet	SYD/MNA	\r\nGestion Activité		A spécifier		SAN/CME/MNA	à spécifier\r\nRéférentiel Projet		A spécifier		SYD/CME/MNA	à spécifier\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n\r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : lundi 24 novembre 2014 09:00\r\nÀ : \'NAVARRO, MiKael\'\r\nObjet : RE: [Outil budget] Plan d\'actions rapide\r\nSalut,\r\n \r\nil faudrait que l\'on passe sur les budgets, mais nous devons en discuter et je n\'ai pas de dispo avant 16h : cela t\'irai ?\r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n\r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : lundi 24 novembre 2014 08:49\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil budget] Plan d\'actions rapide\r\nLO,\r\nProchain écran..?\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Monday, November 17, 2014 8:58 PM\r\nTo: NAVARRO, MiKael; MORO Jean-Marc; DULAC Vincent\r\nCc: CHAUTARD David; ROCHETTE Claude; MERLE Claude-ext\r\nSubject: [Outil budget] Plan d\'actions rapide\r\nBonjour,\r\nSur l’outil Budget SA, ci-dessous, un petit compte rendu suite à notre point de vendredi 14. Prochain point le (28/11) 26/11 (motif changement : calendrier VDU).\r\nEn PJ : \r\n-      pour JMM : la dernière version des données pour rechargement (attention, modèle Excel incomplet par rapport aux évol de l’outil)\r\n-      pour MNA : la description rapide de la table BudgetParametre (nouvel onglet)\r\n-      pour notre prochain point : une liste des taches en guise de plan d’actions rapide (« suivi opérationnel »)\r\nCompte-Rendu 14/11/2014\r\nPI échéances à venir :\r\n-      10/12/2014 : facturation T4\r\n-      15/12/2014 : commande T1\r\n-      05/02/2015 : reception intermédiaire T1\r\n-      05/02/2015 : estimation projets T1-T2           => Ajout SYD post-séance : Objectif de livraison du Référentiel Projets (à valider VDU)\r\n-      15/03/2015 : commande T2             => Objectif pour commander avec l’outil\r\n-      2eme sem 2015 : « GAC sera déployé début décembre (2014) sur 10 marchés de prestation MOE (MT et P) puis généralisé en 2015 à l’ensemble des marchés de prestation »\r\nActions à court terme :\r\n-      14/11 : fin MPD (JMM)\r\n-      (17/11) 19/11 : validation MPD (SYD) + test rechargement données (JMM)\r\n-      18/11 : livraison version de visu pour VDU (JMM)\r\n-      Dès que dispo SYD : alimenter MNA + étudier ensemble la table BUDGET\r\n-      ASAP : Mettre en place un plan d’actions + plan de charges\r\nMerci\r\nCe jour je suis joignable sur le poste 04 42 160 876.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\nPI notes VDU :\r\n1.	Fin du MCD ce jour (Alias) : JMM \r\n2.	Livraison de l’application avec les écrans permettant de naviguer semaine prochaine : JMM \r\n3.	Commander et réceptionner dans le nouvel outil au 10 Décembre : Vision optimiste \r\n4.	réceptionner au 30 Janvier et commander au 15 Mars : Vision réaliste \r\n5.	Installation du référentiel projet dans l’outil \r\n6.	Pour la gestion des commandes, attendre au plus tard (Fin janvier ?) pour commencer à développer la production des commandes (Excel actuel) en attendant de voir ce que fait le nouvel outil   \r\na.	L’écran doit permettre de faire et réceptionner les commandes , la production de la commande (Excel) attendra'),
(500, 'Réunion de lancement (au tél.) le lun. 24/11/2014 14:30'),
(501, 'Hello,\r\n \r\nREFPSA ? (ref projet SA ?)\r\nEn fait, le « P » de CBP représentait déjà la partie « projet » (Commande-Budget-Projet).\r\nA+\r\n \r\nCe jour je suis joignable sur le poste 04 91 18 86 48.\r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : mardi 25 novembre 2014 09:39\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil Budget] Schéma de BDD\r\n \r\nRe,\r\n \r\nT’as une idée d’un petit nom “court” pour l’outil “Référenciel Projet” ?\r\n \r\nPar exemple pour les tableaux de bords SA le projet WinDev s’appelle TDBSA ;\r\nPour l’outil Budget j’aurais proposé CBP, mais c’est sa_finance que JM a mis \r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Monday, November 24, 2014 5:02 PM\r\nTo: NAVARRO, MiKael\r\nSubject: RE: [Outil Budget] Schéma de BDD\r\n \r\nMERCI :-)\r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : lundi 24 novembre 2014 16:45\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil Budget] Schéma de BDD\r\nRe,\r\n \r\nCi-joint un fichier vectoriel (normalement ouvrable automatiquement sous Windows) de la rétro-analyse de la base MySQL pour l’outil CBP.\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n \r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Monday, November 24, 2014 9:38 AM\r\nTo: NAVARRO, MiKael\r\nCc: CHAUTARD David\r\nSubject: TR: [A VALIDER - Outil budget] Plan d\'actions rapide\r\n \r\nMikael,\r\n \r\nPI à notre point de 16h, on va basculer sur l\'outil \"Référentiel Projets\". \r\nC\'est un point d\'entrée essentiel, on gagnera du temps en gérant les budgets par cette entrée.\r\nA+\r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE'),
(502, 'De : DULAC Vincent \r\nEnvoyé : lundi 24 novembre 2014 09:35\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; ROCHETTE Claude\r\nCc : CHAUTARD David\r\nObjet : RE: [A VALIDER - Outil budget] Plan d\'actions rapide\r\nOui, vu en RS Jeudi\r\n\r\nBonne Réception \r\n        Vincent Dulac. \r\nResponsable Département PTSR SA \r\nTel 04.91.18.86.23 Portable 06 15 62 30 23 \r\nMessagerie : vincent.dulac@pole-emploi.fr      \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : lundi 24 novembre 2014 09:26\r\nÀ : DULAC Vincent; ROCHETTE Claude\r\nCc : CHAUTARD David\r\nObjet : TR: [A VALIDER - Outil budget] Plan d\'actions rapide\r\n\r\nBonjour Vincent, Claude,\r\n \r\nSTP ai-je le feu vert pour lancer Mikael sur le \"referentiel projet\" (intégration du fichier Excel du jeudi en WebDev) #3355 ? \r\nRappel plan d\'actions ci-dessous : \r\n-          05/02/2015 : estimation projets T1-T2           => Ajout SYD post-séance : Objectif de livraison du Référentiel Projets (à valider VDU) >>\r\n \r\nAvantages : \r\n    - suivi des réunions Budget du jeudi facilité (possibilité de prise en charge par tous - Excel suivi par SYD uniquement)\r\n    - utilisable par Stéphan pour le suivi réunion SF sur les projets\r\n    - mise à jour auto des budgets projets de l\'outil \"Commande Budget\"\r\n \r\nInconvénients :\r\n    - on s\'écarte de l\'outil \"Commande\" en lui-même\r\n    - on s\'écarte de l\'outil \"Gestion d\'activité\" en lui-même\r\n    - les spéc sont encore à faire (mais on peut facilement s\'entendre sur un mode \"agile\" avec Mikael)\r\n \r\n \r\nPI taches MNA :\r\nOutil	Domaine	Table	Type alimentation phase 1	Qui	Etat\r\nCommande-Budget		BudgetLigne (reception)	écran	SYD/MNA	à spécifier\r\nCommande-Budget		Prestation	écran	SYD/MNA	ok\r\nCommande-Budget		Reception	automatique	SYD/MNA	à spécifier\r\nCommande-Budget		Activité	auto avec Gestion Activité	SYD/MNA	\r\nCommande-Budget		Budget	auto avec Référentiel Projet	SYD/MNA	à spécifier\r\nCommande-Budget		BudgetParametre	écran	SYD/MNA	ok\r\nCommande-Budget		BudgeTypeSA	auto avec Référentiel Projet	SYD/MNA	\r\nGestion Activité		A spécifier		SAN/CME/MNA	à spécifier\r\nRéférentiel Projet		A spécifier		SYD/CME/MNA	à spécifier\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n \r\n\r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : lundi 24 novembre 2014 09:00\r\nÀ : \'NAVARRO, MiKael\'\r\nObjet : RE: [Outil budget] Plan d\'actions rapide\r\nSalut,\r\n \r\nil faudrait que l\'on passe sur les budgets, mais nous devons en discuter et je n\'ai pas de dispo avant 16h : cela t\'irai ?\r\n \r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n \r\n\r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : lundi 24 novembre 2014 08:49\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil budget] Plan d\'actions rapide\r\nLO,\r\nProchain écran..?\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Monday, November 17, 2014 8:58 PM\r\nTo: NAVARRO, MiKael; MORO Jean-Marc; DULAC Vincent\r\nCc: CHAUTARD David; ROCHETTE Claude; MERLE Claude-ext\r\nSubject: [Outil budget] Plan d\'actions rapide\r\nBonjour,\r\nSur l’outil Budget SA, ci-dessous, un petit compte rendu suite à notre point de vendredi 14. Prochain point le (28/11) 26/11 (motif changement : calendrier VDU).\r\nEn PJ : \r\n-      pour JMM : la dernière version des données pour rechargement (attention, modèle Excel incomplet par rapport aux évol de l’outil)\r\n-      pour MNA : la description rapide de la table BudgetParametre (nouvel onglet)\r\n-      pour notre prochain point : une liste des taches en guise de plan d’actions rapide (« suivi opérationnel »)\r\nCompte-Rendu 14/11/2014\r\nPI échéances à venir :\r\n-      10/12/2014 : facturation T4\r\n-      15/12/2014 : commande T1\r\n-      05/02/2015 : reception intermédiaire T1\r\n-      05/02/2015 : estimation projets T1-T2           => Ajout SYD post-séance : Objectif de livraison du Référentiel Projets (à valider VDU)\r\n-      15/03/2015 : commande T2             => Objectif pour commander avec l’outil\r\n-      2eme sem 2015 : « GAC sera déployé début décembre (2014) sur 10 marchés de prestation MOE (MT et P) puis généralisé en 2015 à l’ensemble des marchés de prestation »\r\nActions à court terme :\r\n-      14/11 : fin MPD (JMM)\r\n-      (17/11) 19/11 : validation MPD (SYD) + test rechargement données (JMM)\r\n-      18/11 : livraison version de visu pour VDU (JMM)\r\n-      Dès que dispo SYD : alimenter MNA + étudier ensemble la table BUDGET\r\n-      ASAP : Mettre en place un plan d’actions + plan de charges\r\nMerci\r\nCe jour je suis joignable sur le poste 04 42 160 876.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\nPI notes VDU :\r\n1.	Fin du MCD ce jour (Alias) : JMM \r\n2.	Livraison de l’application avec les écrans permettant de naviguer semaine prochaine : JMM \r\n3.	Commander et réceptionner dans le nouvel outil au 10 Décembre : Vision optimiste \r\n4.	réceptionner au 30 Janvier et commander au 15 Mars : Vision réaliste \r\n5.	Installation du référentiel projet dans l’outil \r\n6.	Pour la gestion des commandes, attendre au plus tard (Fin janvier ?) pour commencer à développer la production des commandes (Excel actuel) en attendant de voir ce que fait le nouvel outil   \r\na.	L’écran doit permettre de faire et réceptionner les commandes , la production de la commande (Excel) attendra'),
(503, 'mer. 26/11/2014 15:12\r\n\r\nQuelques corrections dans le fichier Excel (onglet « syd », sur fond rose fille ;-))\r\n\r\nNotes complémentaires : \r\n-	MNA : ASAP : revoir chartre ergonomie avec David\r\n-	JMM : lundi 1 : livrer la qualif / revoir la navigation\r\n-	MNA : jeudi 27 : livrer le modèle RefPSA (référentiel Projet SA)\r\n-	SYD : ce PM 26 : valider le modèle Budget\r\n-	SYD : vendredi 28 : valider le modèle RefPSA\r\n\r\nMerci \r\n \r\nCe jour je suis joignable sur le poste 04 91 18 86 11.\r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : DULAC Vincent \r\nEnvoyé : mercredi 26 novembre 2014 14:05\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; MERLE Claude-ext\r\nCc : CHAUTARD David; ROCHETTE Claude; \'NAVARRO, MiKael\'; MORO Jean-Marc\r\nObjet : RE: [Outil budget] Plan d\'actions rapide\r\n\r\nMes notes suite à la réunion de ce jour.\r\n\r\nClaude (Merle) prend en charge le suivi des actions ; outil finance et tableau de bord : Sylvie apporte son aide au début \r\nUne réunion de deux heures tous les 15 jours.\r\n\r\n\r\nDans le fichier Excel, j’ai mis les échéances dont certains sont à valider\r\n\r\nJ’ai noté que Mickaël prenait en charge le détail des écrans sur le référentiel projet, à mettre à jour dans le fichier Excel.\r\n\r\nLe référentiel projet est prioritaire sur l’écran 4, réception : Dead Line au 15 Mars (1 mois pour le tester avant le 15/04)\r\nIl faudra dans le fichier mettre les échéances de fin du référentiel projet mettre les échéances de début pour l’écran de 4 : Dead Line fin janvier pour commencer les saisies au 15/02\r\n\r\nProchain réunion : on fera le suivi de l’outil finance et on commencera à mettre des actions/échéances sur les TB Bord. \r\n     \r\nBonne Réception \r\n        Vincent Dulac. \r\nResponsable Département PTSR SA \r\nTel 04.91.18.86.23 Portable 06 15 62 30 23 \r\nMessagerie : vincent.dulac@pole-emploi.fr      \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : lundi 17 novembre 2014 20:58\r\nÀ : \'NAVARRO, MiKael\'; MORO Jean-Marc; DULAC Vincent\r\nCc : CHAUTARD David; ROCHETTE Claude; MERLE Claude-ext\r\nObjet : [Outil budget] Plan d\'actions rapide\r\n\r\nBonjour,\r\n\r\nSur l’outil Budget SA, ci-dessous, un petit compte rendu suite à notre point de vendredi 14. Prochain point le (28/11) 26/11 (motif changement : calendrier VDU).\r\nEn PJ : \r\n-	pour JMM : la dernière version des données pour rechargement (attention, modèle Excel incomplet par rapport aux évol de l’outil)\r\n-	pour MNA : la description rapide de la table BudgetParametre (nouvel onglet)\r\n-	pour notre prochain point : une liste des taches en guise de plan d’actions rapide (« suivi opérationnel »)\r\n\r\n\r\nCompte-Rendu 14/11/2014\r\nPI échéances à venir :\r\n-	10/12/2014 : facturation T4\r\n-	15/12/2014 : commande T1\r\n-	05/02/2015 : reception intermédiaire T1\r\n-	05/02/2015 : estimation projets T1-T2           => Ajout SYD post-séance : Objectif de livraison du Référentiel Projets (à valider VDU)\r\n-	15/03/2015 : commande T2             => Objectif pour commander avec l’outil\r\n-	2eme sem 2015 : « GAC sera déployé début décembre (2014) sur 10 marchés de prestation MOE (MT et P) puis généralisé en 2015 à l’ensemble des marchés de prestation »\r\n\r\nActions à court terme :\r\n-	14/11 : fin MPD (JMM)\r\n-	(17/11) 19/11 : validation MPD (SYD) + test rechargement données (JMM)\r\n-	18/11 : livraison version de visu pour VDU (JMM)\r\n-	Dès que dispo SYD : alimenter MNA + étudier ensemble la table BUDGET\r\n-	ASAP : Mettre en place un plan d’actions + plan de charges\r\n\r\nMerci\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 160 876.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\nPI notes VDU :\r\n1.	Fin du MCD ce jour (Alias) : JMM \r\n2.	Livraison de l’application avec les écrans permettant de naviguer semaine prochaine : JMM \r\n3.	Commander et réceptionner dans le nouvel outil au 10 Décembre : Vision optimiste \r\n4.	réceptionner au 30 Janvier et commander au 15 Mars : Vision réaliste \r\n5.	Installation du référentiel projet dans l’outil \r\n6.	Pour la gestion des commandes, attendre au plus tard (Fin janvier ?) pour commencer à développer la production des commandes (Excel actuel) en attendant de voir ce que fait le nouvel outil   \r\na.	L’écran doit permettre de faire et réceptionner les commandes , la production de la commande (Excel) attendra'),
(504, 'lun. 01/12/2014 14:10\r\n\r\nVincent,\r\nModifications importantes du modèle de donnée. \r\nDouble impact l’appli et le chargement des données.\r\nCdlt,\r\n\r\nClaude MERLE | Consultant Fonctionnel\r\n\r\n\r\nPlateforme Aix-Marseille\r\nRue Roger Renzo \r\n13 008 MARSEILLE\r\nTel : 04 91 18 86 06\r\nStandard : 04 42 90 60 00\r\nFax : 04 42 90 60 80\r\n\r\n \r\n\r\nTél +33 (0) 4 42 16 08 74 \r\nAssistante +33 (0) 4 42 39 54 00 | Fax +33 (0) 4 42 39 54 10\r\nParc Cézanne 1 - Bâtiment A380 Avenue Archimède\r\n13857 AIX EN PROVENCE Cedex 3\r\n\r\n________________________________________\r\nDe : DULAC Vincent \r\nEnvoyé : lundi 1 décembre 2014 14:07\r\nÀ : MERLE Claude-ext; \'NAVARRO, MiKael\'; MORO Jean-Marc; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : CHAUTARD David; ROCHETTE Claude\r\nObjet : RE: Projet Finance/referentiels/saisie d\'activité\r\n\r\nLes raisons de ce nouveau délai ?\r\n\r\nBonne Réception \r\n        Vincent Dulac. \r\nResponsable Département PTSR SA \r\nTel 04.91.18.86.23 Portable 06 15 62 30 23 \r\nMessagerie : vincent.dulac@pole-emploi.fr      \r\n________________________________________\r\nDe : MERLE Claude-ext \r\nEnvoyé : lundi 1 décembre 2014 14:05\r\nÀ : DULAC Vincent; \'NAVARRO, MiKael\'; MORO Jean-Marc; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : CHAUTARD David; ROCHETTE Claude\r\nObjet : RE: Projet Finance/referentiels/saisie d\'activité\r\n\r\nVincent,\r\nNous avons déplacé le premier test à lundi prochain.\r\nJ’ai déplacé l’avis de réunion à lundi 8 dec 14h00.\r\n\r\nA tous, \r\nMerci pour vos réponses.\r\n\r\n\r\nCdlt, \r\n\r\n\r\nClaude MERLE | Consultant Fonctionnel\r\n\r\n\r\nPlateforme Aix-Marseille\r\nRue Roger Renzo \r\n13 008 MARSEILLE\r\nTel : 04 91 18 86 06\r\nStandard : 04 42 90 60 00\r\nFax : 04 42 90 60 80\r\n\r\n \r\n\r\nTél +33 (0) 4 42 16 08 74 \r\nAssistante +33 (0) 4 42 39 54 00 | Fax +33 (0) 4 42 39 54 10\r\nParc Cézanne 1 - Bâtiment A380 Avenue Archimède\r\n13857 AIX EN PROVENCE Cedex 3\r\n\r\n________________________________________\r\nDe : DULAC Vincent \r\nEnvoyé : lundi 1 décembre 2014 13:58\r\nÀ : MERLE Claude-ext; \'NAVARRO, MiKael\'; MORO Jean-Marc; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : CHAUTARD David; ROCHETTE Claude\r\nObjet : RE: Projet Finance/referentiels/saisie d\'activité\r\n\r\nPour moi il est facile d’être présent sur les réunions plénières prévues, pour le reste …\r\n\r\nJ’ai quand même prévu de tester demain la partie commande : Jean marc, me dire quand je pourrais commencer \r\n\r\nBonne Réception \r\n        Vincent Dulac. \r\nResponsable Département PTSR SA \r\nTel 04.91.18.86.23 Portable 06 15 62 30 23 \r\nMessagerie : vincent.dulac@pole-emploi.fr      \r\n________________________________________\r\nDe : MERLE Claude-ext \r\nEnvoyé : lundi 1 décembre 2014 11:47\r\nÀ : \'NAVARRO, MiKael\'; MORO Jean-Marc; DULAC Vincent; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : CHAUTARD David; ROCHETTE Claude\r\nObjet : Projet Finance/referentiels/saisie d\'activité\r\n\r\nBonjour,\r\n\r\nPour le fonctionnement de ce projet, nous voulons utiliser quelques principes agile.\r\nSprint planning toutes les 2 semaines, livraison tous les lundis, tests systèmes, tests d’acceptation, démonstration toute les 2 semaines, \r\nLa démonstration est précédée du chargement des données.\r\n\r\nVincent, Sylvie vous êtes les experts fonctionnels, demandeurs, valideurs.\r\nMikael, jean Marc vous êtes les développeurs, testeurs.\r\nClaude, testeur, coordinateur.\r\n\r\nProchaine réunion mer 10 dec\r\nProchain chargement lun 15 dec\r\nProchaine démonstration mar 16 dec\r\n\r\nPour les projets Finance, référentiel et saisie d’activité, merci de renseigner votre disponibilité (en jour) pour les mois de décembre et janvier SVP.\r\nLes délais sont effectivement très courts pour faire et tester ces outils.\r\n\r\n\r\n	Decembre 14	janv-15\r\n	sem 49	sem 50	sem 51	sem 52	sem 53	sem 1	sem 2	sem 3	sem 4	sem 5\r\nJean Marc	 	 	 	 	 	 	 	 	 	 \r\nMikael	 	 	 	 	 	 	 	 	 	 \r\nVincent	 	 	 	 	 	 	 	 	 	 \r\nSylvie	 	 	 	 	 	 	 	 	 	 \r\nClaude	1	2	1	1	0	0	2	1	2	1\r\n\r\n\r\nBonne journée.\r\n\r\nClaude MERLE | Consultant Fonctionnel\r\n\r\nPlateforme Aix-Marseille\r\nRue Roger Renzo \r\n13 008 MARSEILLE\r\nTel : 04 91 18 86 06\r\nStandard : 04 42 90 60 00\r\nFax : 04 42 90 60 80');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(505, 'lun. 01/12/2014 21:20\r\n\r\nBonjour Jean-Marc,\r\n\r\nEn PJ [https://80.78.7.17/prjmngt/mantis/file_download.php?file_id=91&type=bug] les données, corrigées comme vu ensemble pour Alias.\r\n	tu trouveras la table Alias (nouvelle dans Excel, fond vert) à l’onglet Acteur.\r\n	J’ai mis les données de la table ActeurAlias à jour en fonction.\r\n	Il ne devrait plus y avoir de pb pour la table Prestation :\r\no	IDActeurAlias peut devenir IDAlias (tout court)\r\no	Il pointe vers IDAlias de la table Alias sans souci (j’espère ;-))\r\n\r\n\r\nPS : je vous relivrerai aussi le Word quand j’aurai le temps. \r\nPar contre je laisse tomber le PPS qui est devenu obsolète et inutile grâce à WebDev.\r\n=> Mika, STP pourras-tu nous relivrer le modèle quand JM aura fait les modif ?\r\n\r\nMerci\r\nA mercredi (JM, pour les compteurs de stat ;-)).\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : vendredi 28 novembre 2014 11:02\r\nÀ : MORO Jean-Marc; \'NAVARRO, MiKael\'\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\nRe,\r\n\r\nPour partage d’info sur les évol de l’outil Budget, suite à nos divers échanges de ce matin :\r\n-	je vais vous renvoyer une MàJ de l’outil CBP (graph PPS, définition Word, données Excel) – Lundi probablement (je tente pour ce soir, mais…)\r\n-	structures de tables modifiées : BUDGET ; ActeurAlias ; MARCHE. Et peut-être BudgetParametre (à confirmer)\r\n\r\nAprès cela, je pense que tout sera propre \r\nA+\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : mercredi 26 novembre 2014 19:29\r\nÀ : MORO Jean-Marc\r\nCc : \'NAVARRO, MiKael\'\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\nHello,\r\n\r\nVoici les notes sur le schéma pour corrections STP :\r\n\r\nTable Société à supprimer ; acteur pointe vers Titulaire\r\nTable Periode : 1 champs à renommer > coef_TTC\r\nTable Commande : IDAuteur pointe vers la table Auteur (et non vers Acteur)\r\nTable Acteur : supprimer les enregistrements « SA » et « CP » ( ?)\r\nTable Budget : il manque un « o » dans le libelle du champs « lib_prenom_chef_projet »\r\n\r\n\r\nPour info / mémo :\r\n- à discuter ensemble STP, car je sais que les données en l’état posent un souci :\r\nTable Prestation : IDActeurAlias devra pointer vers la table Acteur_Alias, avec une MàJ des données si besoin.\r\n\r\n- les tables budget et budgetparametre risquent d’être simplifiées grâce à la mise en place du Referentiel projets.\r\nJe me concentre sur ces « spec » avec l’aide de Mikael.\r\n\r\n\r\nA+ \r\n \r\n \r\nCe jour je suis joignable sur le poste 04 91 18 86 48.\r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI \r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : vendredi 24 octobre 2014 16:52\r\nÀ : MORO Jean-Marc\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\nBonjour,\r\n\r\nEncore qq corrections STP :\r\n\r\nPour mémo, les demandes vues ensemble par tel :\r\n-	budget\r\n-	budgetLigne\r\n-	commandeLigne\r\n\r\nPlus :\r\n-	lieu : le LIBlieu  (clef fonctionnelle) doit etre unique\r\n-	prestation : clef étrangère sur IDacteur_alias\r\n-	ref_dcp : le LIBdcp  (clef fonctionnelle) doit etre unique\r\n-	ref_societe : le LIBsociete (clef fonctionnelle) doit etre unique\r\n-	u_o : meme souci d’unicité sur plusieurs champs que pour commandeLigne : l’unicité ne porte pas sur IDUO seule, mais sur IDUO+id_marche+date_revision\r\n\r\n\r\nPréviens-moi STP quand ce sera ok.\r\nMerci \r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : jeudi 23 octobre 2014 11:03\r\nÀ : MORO Jean-Marc\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\nNi Cr !\r\nMerci, à tout’ au tel\r\n\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR Sécurité des Accès \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : MORO Jean-Marc \r\nEnvoyé : jeudi 23 octobre 2014 11:00\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\nmodifs appliquées, sauf sur la table budget : j\'ai une ou deux questions, je t\'appelle en début d\'après-midi pour cette table.\r\n \r\nJe passe sur les données en attendant.\r\n \r\nCordialement,\r\n \r\nJM Moro\r\n\r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : jeudi 23 octobre 2014 09:17\r\nÀ : MORO Jean-Marc\r\nObjet : RE: [Outil budget] BDD > Validation\r\nSalut,\r\n\r\nOk, j’attends ton « go ».\r\nNB : à partir de 10h, je serai en audio mais toujours joignable par mail. Fo avancer ;-)\r\nA+\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR Sécurité des Accès \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : MORO Jean-Marc \r\nEnvoyé : jeudi 23 octobre 2014 09:16\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\nJe suis en train de modifier le MCD, je te préviens quand c\'est fini.\r\n \r\nEnsuite, je recharge les données. Ma procédure de chargement est bonne, il y avait un pb dans les données que j\'avais récupéré.\r\n \r\nCordialement,\r\n \r\nJM Moro\r\n\r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : mercredi 22 octobre 2014 17:27\r\nÀ : MORO Jean-Marc\r\nObjet : RE: [Outil budget] BDD > Validation\r\nVoici :\r\n\r\nActeur : l’IDActeur (clef fonctionnelle) doit etre unique\r\nauteur :   clef étrangere :  faire pointer « ID_Auteur » (le technique) vers la table acteur\r\nbbz : le LIBBBZ (clef fonctionnelle) doit etre unique\r\nbudget : \r\n- utiliser les noms du modele à l’exception de l’ID technique à rajouter.\r\n- mettre les données dans le meme ordre que sur le modele, à l’exception de l’ID technique qui vient en premiere position\r\n- l’IDBudgetAn (clef fonctionnelle) doit etre unique\r\n- la donnée « mke_installe » est un montant. Selon la norme que tu as choisi, elle devrait se nommer « montant _installe_ke »\r\n- supprimer « id_periode » et la clef étrangere sur « periode »\r\n- rajouter un « lib_periode » et sla clef étrangere sur « ref_periode »\r\n \r\nbudgetparametre : l’IDbudget  (clef fonctionnelle) doit etre unique\r\nbudgettypeSA : l’IDbudgettypeSA   (clef fonctionnelle) doit etre unique\r\nCentreCout : IdCentreCout (clef fonctionnelle) doit etre unique\r\nCentreFinancier : Id CentreFinancier (clef fonctionnelle) doit etre unique\r\nCodefond : IdCodefond (clef fonctionnelle) doit etre unique\r\n\r\nCommande :\r\n- l’ID Commande  (clef fonctionnelle) doit etre unique\r\n- mettre les données dans le meme ordre que sur le modele, à l’exception de l’ID technique qui vient en premiere position\r\n            - montant_solde_a_receptionner_sap      à renommer en montant_solde_a_receptionner\r\n            - date_suppression à renommer en date_etat\r\n            - ajouter clef etrangere sur : \r\nIDCommandeprecedente\r\nIdmarche\r\nCommandeligne : renommer commande_ttc_ligne en montant_ttc_ commande_ligne pour suivre ta norme\r\netat_general: \r\n-          lib_etat_general (clef fonctionnelle) doit etre unique\r\n-          renommer lib_etat_general en EtatGeneral pour suivre ta norme\r\n\r\netat_marche: \r\n-          lib_etat_ marche (clef fonctionnelle) doit etre unique\r\n-          renommer lib_etat_ marche en EtatMarche pour suivre ta norme\r\n\r\nlieu : lib_lieu (clef fonctionnelle) doit etre unique\r\nmarché : 2 clefs étrangeres à MàJ : remplacer ref_societe par titulaire\r\nprestation : créer une table de référence des id_type_accord OU renommer id_type_accord en LIB_type_accord\r\n\r\nreception :\r\n            - renommer x_receptionne en pourcent_PV pour suivre ta norme\r\n            - renommer montant_receptionne en montant_ttc_PV pour suivre ta norme\r\n\r\nRef_periode : renommer idperiode en LIBPeriode\r\nTitulaire : ajouter clef étrangere avec ref_societe\r\n\r\nUO : \r\n-          ajouter l’IDUO (fonctionnel)\r\n-          il doit y avoir unicité sur (IDUO , ID_marche)\r\n\r\n_dpc : l’ajout du « _ » servait à identifier les tables non existantes dans Excel. Maintenant, il y en a d’autres (ref_alias, etc…). Donc autant renommer de suite « _dpc » en « ref_dpc ».\r\n\r\n\r\nBon courage\r\nMerci et à demain pour contrôle final.\r\n\r\n\r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR Sécurité des Accès \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : MORO Jean-Marc \r\nEnvoyé : mercredi 22 octobre 2014 10:17\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\nSi tu peux, donnes-moi tes remarques par messagerie : je les corrigerai au fur et à mesure.\r\n \r\nOn va se bouger ;-)\r\n \r\nJMM\r\n\r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : mercredi 22 octobre 2014 10:09\r\nÀ : MORO Jean-Marc\r\nObjet : RE: [Outil budget] BDD > Validation\r\nJe ne crois pas : on va se faire tuer par Vincent.\r\nJe te laisse déjà rattraper tout ce que je t’ai noté ci-dessous. Puis je t’appelle vers 14H et on se bouge ;-) : il faut que la structure soit nickel ce soir.\r\nJeudi, on passe au contenu.\r\nVendredi, quand on fait le point avec Vincent, il faut que cela soit OK.\r\n\r\nMerci,\r\nA+\r\n\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR Sécurité des Accès \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : MORO Jean-Marc \r\nEnvoyé : mercredi 22 octobre 2014 10:02\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : RE: [Outil budget] BDD > Validation\r\n\r\non verra ça demain matin, je t\'appelerai... il doit me manquer des notes.\r\n \r\nJMM\r\n\r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : mardi 21 octobre 2014 19:43\r\nÀ : MORO Jean-Marc\r\nObjet : [Outil budget] BDD > Validation\r\nBonjour JM,\r\n\r\nVoici mon compte-rendu de vérification sur la structure BDD.\r\n\r\n\r\nActeur_Alias : \r\n-          à renommer car ce nom existe dans le système fonctionnel, avec un autre sens. Suggestion : ref_alias\r\n-          supprimer la colonne DateObso (justement, sa place est dans l’entité fonctionnelle)\r\n\r\nActeur_|_acteur_Alias : \r\n-          à renommer car c’est une liaison entre « acteur » et « ref_alias ». Suggestion : acteur_alias, conformément au modèle fonctionnel.\r\n-          ajouter la colonne DateObso\r\n-          ne faut-il pas définir des clefs étrangères vers « acteur » et « ref_alias » ?\r\n\r\nactivité :\r\n-          supprimer les 2 colonnes « en nb de… »\r\n\r\nauteur :\r\n-          supprimer « IDAuteur » (le fonctionnel, inutile puisqu’il y a le technique)\r\n-          faire pointer « ID_Auteur » (le technique) vers « ACTEUR.ID_Acteur » : un auteur doit être un acteur\r\n-          supprimer lib_auteur (c’est nom prénom de l’ACTEUR)\r\n\r\nbbz : \r\n-          unicité sur libbbz\r\n\r\nbudget : ….rien de tout ce qu’on a décidé la dernière fois n’est fait…. \r\nSTP peux-tu reprendre intégralement cette table strictement conformément au modèle + l’ID technique comme convenu ?\r\nRespecter un minimum les noms et l’ordre sinon on ne va jamais s’y retrouver !\r\n\r\n\r\n-----------------------\r\nCela fait trop d’écarts, j’ai l’impression de recommencer tout ce qu’on a dit la dernière fois. Je n’ai pas le temps de tout refaire, j’arrête là.\r\nSTP peux-tu reprendre tout comme nous l’avons dit ? Je vérifierai après.\r\n\r\nN’hésites pas à m’appeler si besoin. 04 42 34 62 40\r\nSi tu préfères, on peut le faire ensemble par téléphone, comme cela je contrôle en meme temps que tu fais.\r\n\r\n\r\nMerci et bon courage.\r\nA+\r\n \r\nCe jour je suis joignable sur le poste 04 91 18 86 48.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR Sécurité des Accès \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\n\n'),
(507, 'lun. 01/12/2014 16;58\r\n\r\nBonjour,\r\n\r\nPouvez-vous me donner plus d’informations sur le sujet « SLA Vincent » ?\r\n\r\nmerci\r\n\r\n----------------------------------------------------------------------------------------\r\nChautard David\r\nDGA-SI, Domaine PTSR, Département SA\r\nResponsable Support Technique \r\nTel: 04.91.18.86.09 \r\nPortable: 06 15 07 84 30\r\nMessagerie: david.chautard@pole-emploi.fr\r\n----------------------------------------------------------------------------------------\r\n \r\n________________________________________\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : lundi 1 décembre 2014 16:43\r\nÀ : NAVARRO, MiKael; MORO Jean-Marc\r\nCc : CHAUTARD David\r\nObjet : RE: [REFPSA] Modele BDD\r\n\r\nHello,\r\n\r\n(excuser le ton bref, suis en audio)\r\nPI, dès que je peux je vous donne les évol vues vendredi, au propre méthode « rapide ».\r\nEt sans vouloir me mêler de ce qui ne me concerne pas en plus, je crois que l’idée des vues pour SLA Vincent a été abandonnée, non ?\r\n\r\nA+\r\n \r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : lundi 1 décembre 2014 16:05\r\nÀ : MORO Jean-Marc\r\nCc : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; CHAUTARD David\r\nObjet : RE: [REFPSA] Modele BDD\r\n\r\nSalut Jean-Marc,\r\n\r\nJ’ai généré le script SQL ‘REFPSA.sql’ depuis l’analyse de WebDev, me dire s’il est correct et exploitable.. ?\r\n\r\nD’autre-part, comme t’as surement remarqué, j’ai fait une rétro-analyse sur la base CBP (projet sa_finance, partie WebDev), mais il me semble que des modifications sont en cours. Aussi, tu pourras me dire quand ça sera stabilisé, afin que je remette au propre l’analyse.\r\n\r\nP.S. (GALA V2.17) en ce qui concerne les SLA pour Vincent, as-tu la liste des tables et champs dont il a besoin pour mettre à disposition des vues ou une base.. ?\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\n\r\n\r\nFrom: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE [mailto:ptsrsaassistanceetsuivibudgetaire.00328@pole-emploi.fr] \r\nSent: Friday, November 28, 2014 10:00 AM\r\nTo: NAVARRO, MiKael\r\nCc: MORO Jean-Marc; CHAUTARD David\r\nSubject: RE: [REFPSA] Modele BDD\r\n\r\nMikael,\r\n \r\nVoici les tables de référence liées au Référentiel Projet SA (nouveautés en vert – ignorer le gris).\r\nMerci pour tout ce travail. \r\n \r\nJ’attends ton « go » pour valider le modèle en base ;-)\r\nA+\r\n  \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n \r\n \r\n-----Rendez-vous d\'origine-----\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : jeudi 27 novembre 2014 20:34\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; \'NAVARRO, MiKael\'\r\nCc : MORO Jean-Marc; CHAUTARD David\r\nObjet : [REFPSA] Modele BDD\r\nDate : vendredi 28 novembre 2014 08:30-10:00 (GMT+01:00) Bruxelles, Copenhague, Madrid, Paris.\r\nOù : 04 42 34 62 40\r\n \r\nMerci, à de suite (04 42 34 62 40)'),
(508, 'lun. 01/12/2014 20:23\r\n\r\nRe bonjour,\r\n\r\nMerci Mikael.\r\nJe n’ai pas totalement fini mon analyse pour refondre la table BUDGET, en intégrant le détail des BBZ MIB, et en simplifiant le tout grâce au RefPSA.\r\nPour vous permettre d’avancer si tu le souhaites sans m’attendre (je suis en RTT le mardi), ci-dessous le principe de l’évolution + dans ton texte mes infos « en l’état ». \r\nAttention, stabilité non garantie encore.\r\n\r\nA mercredi\r\n\r\n \r\nCe jour je suis joignable sur le poste 04 42 34 62 40.\r\n \r\nCordialement, Sylvie. \r\n____________________________________________ \r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA \r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\n\r\n\r\n \r\nPrincipes : a) la table « BUDGET » se scinde ainsi en 3 nouvelles tables (elle disparait, ainsi que BUDGETParam). \r\nDu coup, certaines infos sont reprises dans « Projet » et dans « SuiviChiffrage ».\r\nb) les tables de référence ETATBudget  et ETATProjetBudget fusionnent vers ETATBudgetaire + ETATProjetDAB.\r\n\r\na) BUDGET est remplacée par… :\r\n\r\nMIB	SuiviChiffrage	SuiviProjetDAB\r\nIDMIB	IDBudgetAn	IDProjet\r\nLIBMIB	ANBudget	DBudgetDemande\r\nLIBBBZ	IDBudget	MAILListePrincipale\r\nIDCodeFond	DRevision	MAILListeCopie\r\nIDBudgetTypeSA	DObsolescence	LIBPrenomPrincipal\r\nETATBudgetaire	IDActeur	LIBPeriode\r\n	IDChiffrageType	MBudgetDemande\r\n	JHInterne	DBudgetAccord\r\n	JHExterne	MBudgetAccord\r\n	MBudgetTTC	\r\n	IDTrimestre	\r\n\r\n… et de nouvelles infos dans Projet :\r\nProjet\r\nIDProjet\r\nLIBProjet\r\nLIBDCPLeader\r\nIDCodeFond\r\nIDBudgetTypeSA\r\nETATBudgetaire\r\nDReveil\r\nLIBCategorie\r\nIDPlanProjetType\r\nDCCP\r\nETATProjetPhase\r\nLIBSuiviProjetPrincipal\r\nLIBNomChefProjetOperationnel\r\nIDActeurOperationnel\r\nETATOperationnel\r\nETATProjetDAB\r\n\r\n \r\nb) References associées :\r\n\r\nETATBudgetaire		ETATProjetDAB	InfoPorteur\r\nA chiffrer		Attente_Reveil	SA\r\nZéro		Rédiger_DAB	SA\r\nReport		Attente_DAB	CP\r\nA négocier		Rédiger_suivi_DAB	SA\r\nProbable		Annulé	 \r\nValidé			\r\nSoldé			\r\nA suivre N+1			\r\nArbitré			\r\n\r\n\r\n\r\n________________________________________\r\nDe : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : lundi 1 décembre 2014 16:48\r\nÀ : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : MORO Jean-Marc; CHAUTARD David; MERLE Claude-ext\r\nObjet : [REFPSA] Ecrans\r\n\r\nBonjour,\r\n \r\nCi-dessous ma liste de pages qu’il faudrait prévoir pour la grappe Projet & Chiffrage :\r\n- bien sûr Projet\r\n[SYD] pour la table :ajout de 2 infos, voir supra\r\nPour la page : ajouter notamment info calculées : \r\nMAnnuelTTC\r\nMKEInstalle\r\nMSoldeTTC\r\n\r\n- les pages pour le suivi : SuiviOperationnel, SuiviBudgetaire et SuiviChiffrage\r\n[SYD] oui, la mise en page sera à étudier pour voir l’essentiel des « sous-pages » dans la page principale.\r\n\r\n- la page pour la DocProjet\r\n[SYD] oui  – Non prioritaire\r\n\r\n- les pages pour les états ETATOperationnel, ETATProjetPhase et ETATProjetBudget en consultation seule \r\n[SYD] non ,selon moi, c’est inutile. Ces états sont assimilables à du work flow, à paramétrer par le ST à l’initilisation puis on n’y touche plus sauf évol.\r\n\r\n- et les tables de références : IDversion, LIBCPUType, LIBCategorie, LIBPlanProjetType et LIBChiffrageType\r\n[SYD] oui  – Non prioritaire\r\n\r\nA noter que l’on prévoira, dans un premier temps, que les tables de références (8 au total) soient chargées / initialisées manuellement ou via un Excel.\r\nSauf peut-être IDVersion qui pourra changer plus souvent.\r\nDe plus ces tables ne seront accessibles qu’en lecture / consultation.\r\n[SYD] donc, oui et non ;-)\r\n \r\nP.I. l’ensemble des écrans seront déclinés en deux pages, en suivant les normes GALA, ex.:\r\n- pgeProjetListe pour le listing des éléments en base + filtre de recherche\r\n- et pgeProjetFiche pour toutes les actions créer, consulter, modifier et supprimer\r\n[SYD] ok\r\n \r\nSoit, si je compte bien : 5 pages principales + 1 page version et 7 pages pour les références.\r\n[SYD] A combien estimes-tu la charge ? ca passera dans le timing ?\r\n \r\n[SYD] \r\nMerci pour tout\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729'),
(509, 'En attende EDB...'),
(510, 'De : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : lundi 1 décembre 2014 16:05\r\nÀ : MORO Jean-Marc\r\nCc : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; CHAUTARD David\r\n\r\nP.S. (GALA V2.17) en ce qui concerne les SLA pour Vincent, as-tu la liste des tables et champs dont il a besoin pour mettre à disposition des vues ou une base.. ?'),
(511, 'De : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : lundi 1 décembre 2014 16:43\r\nÀ : NAVARRO, MiKael; MORO Jean-Marc\r\nCc : CHAUTARD David\r\n\r\nEt sans vouloir me mêler de ce qui ne me concerne pas en plus, je crois que l’idée des vues pour SLA Vincent a été abandonnée, non ?'),
(512, 'From: CHAUTARD David [mailto:david.chautard@pole-emploi.fr] \r\nSent: Monday, December 01, 2014 4:58 PM\r\nTo: *SI PTSR SA SF GALA Qualif\r\nCc: *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; NAVARRO, MiKael; MORO Jean-Marc\r\n\r\nBonjour,\r\n\r\nPouvez-vous me donner plus d’informations sur le sujet « SLA Vincent » ?\r\n\r\nmerci'),
(513, 'lundi 1 décembre 2014 17:23\r\n\r\nÀ :\r\n *SI PTSR SA SF GALA Qualif \r\nCc :\r\n NAVARRO Mikael-ext \r\n\r\nBonjour,\r\n\r\nMerci de me faire un point complet sur ce sujet et des conséquences sur la V2.17\r\n\r\nCdlt,\r\n----------------------------------------------------------------------------------------\r\nChautard David\r\nDGA-SI, Domaine PTSR, Département SA\r\nResponsable Support Technique\r\nTel: 04.91.18.86.09\r\nPortable: 06 15 07 84 30\r\nMessagerie: david.chautard@pole-emploi.fr\r\n----------------------------------------------------------------------------------------\r\n\r\n\r\nDe : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nEnvoyé : lundi 1 décembre 2014 17:05\r\nÀ : CHAUTARD David\r\nObjet : TR: SLA Sogeti et outillage externe à GALA\r\n\r\nsujet « SLA Vincent » : j’ai mis les info en rouge dans le mail de Vincent en bas\r\n\r\nCordialement, Sylvie.\r\n____________________________________________\r\nSylvie DELAGNEAU - Consultant SOGETI\r\nPôle-Emploi / DSI DT PTSR SA - Pilotage SA\r\n*SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\n \r\n\r\nDe : DULAC Vincent\r\nEnvoyé : jeudi 27 novembre 2014 16:19\r\nÀ : MANSERVISI Marc\r\nCc : *SI PTSR SA SF GALA Qualif; CLEMENT Daniel; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; ROCHETTE Claude\r\nObjet : RE: SLA Sogeti et outillage externe à GALA\r\n\r\nTrès beau travail et complet.\r\n\r\nPour l’export mensuel COPIL on part sur les exports que tu demandes et je ferai modofoer le support auprés de SPIE\r\n\r\nIl faudrait transmettre ton EDB vers Laetitia, voir avec elle, si elle est OK sur la forme et lui demande de le passer dans un plan de DEV à venir avec si possible un passage pour la version GALA qui suit celle de fin Janvier   \r\n\r\nBonne Réception\r\n        Vincent Dulac.\r\n\r\nResponsable Département PTSR SA\r\nTel 04.91.18.86.23 Portable 06 15 62 30 23\r\nMessagerie : vincent.dulac@pole-emploi.fr      \r\n\r\nDe : MANSERVISI Marc\r\nEnvoyé : jeudi 27 novembre 2014 15:58\r\nÀ : DULAC Vincent\r\nCc : *SI PTSR SA SF GALA Qualif; CLEMENT Daniel; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; ROCHETTE Claude\r\nObjet : RE: SLA Sogeti et outillage externe à GALA\r\n\r\nBonjour,\r\n\r\nI - Voilà une étude de besoin pour un nouvel écran GALA concernant le suivi de la production SOGETI :\r\n\r\nNouvel écran basé sur celui des Hors délais (ce dernier doit perdurer en l’état).\r\n\r\nIl peut s’agit d’un onglet supplémentaire du même écran.\r\n\r\nFiltres :\r\n\r\n    Etat (---, à justifier, justifié, validé)\r\n    D. début\r\n    D. fin\r\n    Organisation (menu déroulant avec la liste des organisations)\r\n    Opération (menu déroulant avec la liste des opérations)\r\n    Action (menu déroulant avec la liste des actions manuelles SOGETI) \r\n\r\nDans l’encart des filtres, afficher : Total, Total Hors délais entre 2 et 5j, % Hors délai entre 2 et 5j , Total Hors délais > 5j et % Hors délai > 5j; Boutons rechercher et RAZ\r\n\r\nChamps :\r\n\r\n    Organisation\r\n    Opération\r\n    Date Effet\r\n    Date Réalisation\r\n    Date réalisable\r\n    N° Form.\r\n    Durée traitement (exemple 1,2J, tenant compte des plages horaires) : durée entre la date réalisable et la date de fin de traitement de l’action manuelle SOGETI.\r\n    Commentaire (le dernier saisi sur cet écran par SOGETI ou le valideur) \r\n\r\nLes demandes GALA à afficher sont celles qui comportent, au moins, une action manuelle SOGETI et qui sont réalisées dans la période filtrée.\r\n\r\nLes demandes GALA ne doivent apparaitre qu’une fois dans la liste ; quel que soit le nombre d’actions manuelles SOGETI.\r\n\r\nSi on filtre par Action, les GALA doivent apparaitre si, au moins, une action de ce type a été traitée manuellement par SOGETI.\r\n\r\nBoutons :\r\n\r\n    Consulter\r\n    Historique\r\n    Justifier (droit coordinateur SOGETI)\r\n        Justificatif (champ texte)\r\n        Case : ce n’est pas un hors délai\r\n        Case : traité entre 2 et 5 jours \r\n    Valider (droit superviseur)\r\n        Justificatif (champ texte)\r\n        Case : ce n’est pas un hors délai\r\n        Case : traité entre 2 et 5 jours \r\n\r\nLes réalisateurs SOGETI sont sensés traiter les demandes manuelles qui leur incombent en moins de deux jours à partir de la date réalisable.\r\n\r\nIls ont pour objectif d’en traiter 97% en moins de 2 jours et 100% en moins de 5 jours.\r\n\r\nL’idée est que le coordinateur SOGETI commente les demandes hors délais, puisse proposer de les considérer comme traitées dans les délais, puisse proposer de les considérer comme traitées hors délais mais en moins de 5 jours.\r\n\r\nPuis, que le superviseur puisse valider ou non ces considérations.\r\n\r\nBouton exporter pour exporter la sélection avec les totaux et les pourcentages.\r\n\r\nII - Voilà une étude de besoin pour un nouvel écran GALA concernant le suivi de la production SAP :\r\n\r\nNouvel écran basé sur le précédent.\r\n\r\nIl peut s’agit d’un onglet supplémentaire du même écran.\r\n\r\nFiltres :\r\n\r\n    D. début\r\n    D. fin\r\n    Organisation (menu déroulant avec la liste des organisations)\r\n    Opération (menu déroulant avec la liste des opérations) \r\n\r\nDans l’encart des filtres, afficher : Total, Total Hors délais entre 2 et 5j, % Hors délai entre 2 et 5j , Total Hors délais > 5j et % Hors délai > 5j; Boutons rechercher et RAZ\r\n\r\nChamps :\r\n\r\n    Organisation\r\n    Opération\r\n    Date Effet\r\n    Date Réalisation\r\n    Date réalisable\r\n    N° Form.\r\n    Durée traitement (exemple 1,2J, tenant compte des plages horaires) \r\n\r\nLes demandes GALA à afficher sont celles qui comportent, au moins, une action SAP et qui sont réalisées dans la période filtrée.\r\n\r\nLes demandes GALA ne doivent apparaitre qu’une fois dans la liste ; quel que soit le nombre d’actions SAP.\r\n\r\nBoutons :\r\n\r\n    Consulter\r\n    Historique\r\n    exporter pour exporter la sélection avec les totaux et les pourcentages. \r\n\r\nIII - Reste à voir l’export mensuel :\r\n\r\nVincent, ta base access permet d’exporter un fichier Statistiques_COPIL.xls que j’envoie en début de mois à Cédric PAYAN et Jérôme VERRO.\r\n\r\nIl y a beaucoup de chose là dedans. Je ne sais pas ce qui est nécessaire. Peux-tu compléter cette étude de besoin sur ce sujet ?\r\n\r\nMerci\r\nCordialement\r\nMarc MANSERVISI\r\nDSI PTSR/SA\r\nGestion des Habilitations\r\n\r\nDe : DULAC Vincent\r\nEnvoyé : jeudi 13 novembre 2014 18:40\r\nÀ : *SI PTSR SA SF GALA Qualif; CLEMENT Daniel; MANSERVISI Marc; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nCc : CHAUTARD David; ROCHETTE Claude\r\nObjet : SLA Sogeti et outillage externe à GALA\r\n\r\nCela fait un an que le nouvel AOE a démarré et j’avais écrit un outillage provisoire (qui perdure) pour la facturation.\r\n\r\nLes évolutions sont inscrites dans le plan de DEV GALA mais repoussées faute d’EDB.\r\n\r\nDaniel, Marc, merci de préparer cette EDB sur les bases suivantes (ce n’est qu’une proposition)\r\n\r\nDisposer d’un écran GALA, permettant de lister les GALA réalisés par SOGETI, sur une période donnée\r\n\r\nDate début\r\nDate Fin\r\nDirection/Région\r\nNuméro GALA\r\nType formulaire (Changement de site, nouvel arrivant …)\r\nType (SIRH, EOPPS, SUSCHI, ect….)\r\nDate d’effet\r\nDate réalisation\r\nDate d’approbation\r\nDate réalisable\r\nDélai de traitement en jour ouvrés (exemple 1,2J, tenant compte des plages horaires)\r\n\r\nSur cet écran, permettre à SOGETI la saisie d’un commentaire et l’invalidation ou pas du « Hors délai)\r\n\r\nFiltre associés : les filtres ci-dessus\r\n\r\nComptage : en fonction des filtres activés, compter le nombre GALA traités et le nombre de hors délai (>2J) et nombre de hors délai (> 5JH)\r\n\r\nDisposer des exports nécessaires suite à l’activation des filtres\r\n\r\nSur le même écran ou sur un écran supplémentaire le comptage de SAP manuel (SAP Batch)\r\n\r\nJ’ai regardé avec Laetitia, l’écran actuel GALA « hors délais » : il irait parfaitement avec certain aménagement  \r\n\r\nUne fourniture de cette EDB est souhaitée pour début Décembre et sera intégrée pour le prochain plan de DEV, en mettant la priorité associée pour ne plus avoir à maintenir cet outillage.\r\n\r\nFaire un écran er reprendre mon analyse\r\n\r\nLaetitia, ne pas adapter la V2.17 de GALA pour la base ACCES fonctionne et ne pas faire votre idée initiale de dupliquer les tables.  \r\n\r\nJe testerai cet outillage sur le MCD de Qualification\r\n\r\nJe cible de ne plus maintenir cet outil au delà de la V2.18 : il faudra mettre la priorité dans le prochain plan de DEV\r\n\r\nSylvie, inscrire cette action en RS\r\n\r\nBonne Réception\r\n        Vincent Dulac.\n\n'),
(514, '- Ajustement des combos présentes au mieux en fonction du peu de place disponible dans la zone de recherche.\r\n- Rajout de la prise en compte du filtre dans le code du bouton \"Rechercher\" : procédure locale \"InitFormulaire\" => Procédure locale \"ConditionFormulaire\" => portion de code à partir de la ligne 112.'),
(515, 'Bonjour,\r\n \r\nComme je l\'ai indiqué lors du dernier envoi des spécifications, le sujet sur les SLA est reporté en V2.18.\r\n \r\nCordialement\r\n \r\nLaetitia BLIN\r\nDépartement PTSR SA Support Fonctionnel\r\nBoîte aux lettres - *SI PTSR SA SF GALA Qualif\r\n04.42.16.08.85'),
(516, '- Ajout de la combo \"cboTypeRealisateur\" dans la zone de filtrage\r\n- Initialisation de cette combo via la collection de procédure Init.\r\nPour cela, création de la procédure globale : Init.ComboTypeRealisateur\r\n- Dans le code du bouton \"Rechercher\", depuis la procédure locale \"ActionFiltre\"Rechercher\" puis \"RequeteActionErreur\", modification du code ligne 31, ligne 69, ligne 81 et ligne 115.'),
(517, 'jeu. 04/12/2014 09:21\r\n\r\nBonjour,\r\n\r\nJ\'ai vu Sylvie hier soir : elle est d\'accord pour fusionner le gestionnaire de projets et sa_finance --> CBP.\r\n\r\nJe mets à jour les données aujourd\'hui.'),
(518, 'From: NAVARRO, MiKael\r\nSent: Monday, December 08, 2014 8:58 AM\r\nTo: \'MORO Jean-Marc\'\r\nSubject: RE: Sa finance et suiv des projets\r\n\r\nJ\'entame le renommage du projet, ne pas toucher au projet WebDev, par-contre tu peux continuer à mettre à jour la structure de la base :)\r\n\r\n> -----Original Message-----\r\n> From: MORO Jean-Marc [mailto:Jean-Marc.MORO@pole-emploi.fr]\r\n> Sent: Thursday, December 04, 2014 9:21 AM\r\n> To: NAVARRO, MiKael\r\n> Subject: Sa finance et suiv des projets\r\n> \r\n> \r\n> Bonjour,\r\n> \r\n> J\'ai vu Sylvie hier soir : elle est d\'accord pour fusionner le \r\n> gestionnaire de projets et sa_finance --> CBP.\r\n> \r\n> Je mets à jour les données aujourd\'hui.\n\n'),
(519, 'From: NAVARRO, MiKael \r\nSent: Friday, December 05, 2014 5:18 PM\r\nTo: Jean-Marc.MORO@pole-emploi.fr\r\nSubject: [CBP] MàJ BDD\r\n\r\nLO,\r\n\r\nDis-moi dès que tu auras fini la modification de la BDD, afin que je puisse faire une retro-analyse… j’aimerai bien pour mercredi prochain.\r\n\r\nCdt,'),
(520, '> -----Original Message-----\r\n> From: NAVARRO, MiKael\r\n> Sent: Monday, December 08, 2014 11:27 AM\r\n> To: \'MORO Jean-Marc\'\r\n> Subject: RE: Sa finance et suiv des projets\r\n> \r\n> Re,\r\n> \r\n> C\'est fait, après 2 essais j\'ai finalement réussi à renommer le projet\r\n> sa_finance -> cbp (dans le GDS, on effacera l\'ancien sa_finance quand on\r\n> sera sûre que le renommage est correct).\r\n> \r\n> Sinon j\'en ai profité pour réintégrer la charte de programmation de GALA et\r\n> j\'ai renommé toutes les pages suivant cette charte (mais pour l\'instant\r\n> j\'arrive pas à appliquer le nouveau modèle renommé modSAFinance).\r\n> \r\n> J\'ai testé une extraction depuis le GDS, et ma fois ça à l\'air de marcher :)\r\n>'),
(521, 'Re Re,\r\n\r\n> C\'est fait, après 2 essais j\'ai finalement réussi à renommer le projet \r\n> sa_finance -> cbp (dans le GDS, on effacera l\'ancien sa_finance quand \r\n> on sera sûre que le renommage est correct).\r\n\r\nJe l\'ai pas fait pour \"batch_sa_finance\", je le fait tant que je suis chaud ? => CBP_batch ?'),
(522, 'Info déploiement :\r\n- serveur swz9at.sip91.pole-emploi.intra\r\n- webdev/ftp = ADMIN/.....\r\n\r\nAttn. sur l\'écran de sélection du paquetage à déployer resélectionner le fichier ZIP.\r\n\r\nAttention au nom du déploiement : CBP_PROD / CBP_TEST / ...'),
(523, 'Modification de tous les \"Code Safir\" en \"Code Aurore\" ou \"Code Aurore Site Log.\" suivant les pages, pour \"Code Aurore Site Logique\".'),
(524, 'From: MERLE Claude-ext [mailto:claude.merle-ext@pole-emploi.fr] \r\nSent: Wednesday, December 10, 2014 6:20 PM\r\nTo: DULAC Vincent; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; NAVARRO, MiKael; NAVARRO Mikael-ext; MORO Jean-Marc\r\nCc: CHAUTARD David; ROCHETTE Claude\r\nSubject: projet outil budgetaire\r\n\r\nBonjour,\r\n\r\nSuite à la séance de ce jour, \r\nNos objectifs et nos actions ci-dessous jusqu’au 23 dec,\r\n\r\nOrdonnancement des exigences fonctionnelles et techniques\r\n0 Modèle de données \r\n            Définition des tables manquantes\r\nMise en forme des données sources\r\nChargement des données\r\n1 Référentiel projet\r\n2 Budget\r\n3 Commande\r\n4 Réception\r\n5 Saisie de l’activité\r\n\r\nLa démonstration de ce jour : VDU et SYD sont majoritairement ok. Des évolutions et modifications sont prises en compte pour la prochaine démo.\r\n\r\nLe fonctionnement \r\nLivraison du produit tous les vendredis midi\r\nTest les Lundis\r\nDémonstration à chaque réunion de suivi, tous les mercredis toutes les 2 semaines.\r\nLes engagements de chacun doivent être respectés.\r\n\r\nPlanning\r\n	Date de fin au plus tard		Utilisation\r\n0 Modèle de données 	15 janv 2015	Mise en production\r\nPassage du produit en maintenance	Consultation, saisie des projets\r\n1 Référentiel projet	15 janv 2015	Mise en production\r\nPassage du produit en maintenance	Consultation, saisie des projets\r\n2 Budget	15 fev 2015		\r\n3 Commande	15 mars 2015		\r\n4 Réception	15 avril 2015		\r\n5 Saisie de l’activité			\r\n\r\nBascule\r\nMigration des données 15 janv au plus tard\r\nUtilisation du nouvel outil en sasie\r\n\r\nObjectif de la période jusqu’au 23 dec : TERMINER LE MODELE DE DONNEE\r\n            SYD Modéliser les tables\r\n3 premières tables pour le mer 10 dec au soir\r\nProjets\r\nSuivi opérationnel\r\nSuivi budgétaire\r\nDernières tables du modèle pour le mer 17 dec au soir\r\nDoc projet\r\nSuivi chiffrage\r\nMib\r\nLe reste des tables\r\n\r\nJMO finir l’outillage de chargement des données\r\n            Tester le chargement des données (nb de donnée en source, nb de données en cible)\r\n\r\nCME préparation des données suivi budgétaire pour la migration des données, à partir de ven 12 dec\r\n\r\nMNA les 4 écrans du référentiel projet\r\n\r\nLundi 22 dec : constitution du backlog produit SYD, CME\r\nMardi 23 dec :  demo + planning période suivante\r\n\r\nBon courage à tous.\r\nClaude MERLE | Consultant Fonctionnel'),
(525, 'De : NAVARRO, MiKael [mailto:mikael.navarro@atos.net] \r\nEnvoyé : jeudi 11 décembre 2014 10:21\r\nÀ : MERLE Claude-ext; DULAC Vincent; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; MORO Jean-Marc\r\nCc : CHAUTARD David; ROCHETTE Claude\r\nObjet : RE: projet outil budgetaire\r\nBonjour,\r\n\r\nJ’ai pris en compte les remarques sur l’écran Prestation, à savoir (si j’ai rien oublié) :\r\n- Enlever « Acteur » sur le libellé « Acteur Alias »\r\n- Le Lieu est maintenant obligatoire « * »\r\n- Le titre a été modifié « SA Finance » -> « Commandes-Budgets-Projets »\r\n- Le filtre sur les UO en fonction du marché sélectionné et de la date de révision à NULL est aussi en place.\r\n\r\nReste à :\r\n- Statuer sur le libellé du bouton « Supprimer » => « Clôturer » sur l’écran liste des prestation et des budgets type ??? Est-ce que c’est applicable sur tous ces écrans ?\r\n  - Par-contre je mets à jour le libellé de la page + le libellé du bouton (sur l’écran de détail d’une prestation) en fonction du mode « clôture » ou « suppression définitive » \r\n  + un message d’avertissement en cas de suppression définitive.\r\n- Rajouter au survol une bulle avec les projets associés à un budget type : \r\n  - en WinDev les bulles d’aide (du moins en version 15) ne sont possibles que sur le tableau dans son ensemble ou sur une colonne\r\n  - serait-il pas plus simple de rajouter une colonne d’info qui sur le click affichera une info ? d’autre-part ça éviterait des requêtes à chaque survol !\r\n\r\nC’est remonté dans le GDS.'),
(526, 'tu peux \"faire comme celà :\r\n    - tu ajoutes une cellule (div) invisible de dimensions réduites ( 1x1 pixel) dans ta page avec les champs qui vont bien.\r\n    - tu ajoutes une colonne avec un icône d\'info\r\n    - sur le bon évènement (clic dans la ligne puis dans la colonne d\'info), tu affiches la cellule (réglage de la taille ..X ..Y)\r\n   - un autre clic (ou la sortie du curseur de la souris de la cellule) la referme\r\n \r\nCordialement,\r\nJM Moro'),
(527, 'De : MORO Jean-Marc \r\nEnvoyé : jeudi 11 décembre 2014 10:47\r\nÀ : NAVARRO Mikael-ext\r\nObjet : Mysql et requête sur les métadatas\r\n\r\nLister les champs d\'une table :\r\n\r\nSHOW COLUMNS FROM nomtable;\r\n\r\nLister les tables/champs où les clés de la table \'nom\' sont une FK :\r\n\r\nselect\r\n  TABLE_NAME\r\n ,COLUMN_NAME\r\n ,CONSTRAINT_NAME\r\n ,REFERENCED_TABLE_NAME\r\n ,REFERENCED_COLUMN_NAME\r\nfrom\r\n INFORMATION_SCHEMA.KEY_COLUMN_USAGE\r\nwhere\r\n  REFERENCED_TABLE_NAME = \'nom\';\n\n'),
(528, 'De : *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE \r\nEnvoyé : jeudi 11 décembre 2014 11:36\r\nÀ : NAVARRO, MiKael; MORO Jean-Marc\r\nCc : CHAUTARD David; ROCHETTE Claude; MERLE Claude-ext; DULAC Vincent\r\nObjet : RE: projet outil budgetaire\r\n\r\nBonjour,\r\n\r\nPI rapide : je vous fournis la structure des tables ce soir (et non hier, réunion plus longue que prévue je n’ai pas pu finir)\r\nPas besoin du RDV de 14h, merci \r\nA+'),
(529, 'Autre remarque, à mettre à l’ordre du jour de la prochaine réunion : quid de passer en WinDev/WebDev 20 ?'),
(530, '4 écrans à faire = charge prévu de 6 jours'),
(531, 'Mikael,\r\n\r\nMerci Mikael pour tes retours : \r\nLes réponses dans le texte.\r\n\r\n- Autre remarque, à mettre à l’ordre du jour de la prochaine réunion : quid de passer en WinDev/WebDev 20 ?\r\nNous gardons cette version stable de win dev. La migration pourra être envisagée quand l’outil sera terminé ou suffisamment avancé.\r\n- Statuer sur le libellé du bouton « Supprimer » => « Clôturer » sur l’écran liste des prestation et des budgets type ??? Est-ce que c’est applicable sur tous ces écrans ?\r\nSe mettre en capacité de gérer l’IHM avec des termes métier bouton « commander », « clôturer », ou du sens (semantique) métier avec du oui, non, des termes adaptés à l’action que est en train de faire. \r\nExemple : Voulez vous supprimer le projet sélectionné ? bouton reponse : oui, non, annuler\r\n  - Par-contre je mets à jour le libellé de la page + le libellé du bouton (sur l’écran de détail d’une prestation) en fonction du mode « clôture » ou « suppression définitive » \r\n+ un message d’avertissement en cas de suppression définitive.\r\n\r\n- Rajouter au survol une bulle avec les projets associés à un budget type : \r\n  - en WinDev les bulles d’aide (du moins en version 15) ne sont possibles que sur le tableau dans son ensemble ou sur une colonne\r\n-	serait-il pas plus simple de rajouter une colonne d’info qui sur le click affichera une info ? d’autre-part ça éviterait des requêtes à chaque survol ! \r\nSurvol abandonné\r\n\r\nClaude MERLE | Consultant Fonctionnel'),
(532, 'Salut Mikael,\r\nVu avec Sylvie tu as aussi toutes les infos demandées à JMO sur l’enveloppe de la base de données.\r\nTu seras donc en mesure de faire la revue de code de l’enveloppe de la base de données à partir de lundi des que JMO à terminer le job.\r\nCdlt,'),
(533, 'Bonjour,\r\n\r\nVoici la structure fonctionnelle définitive des tables stabilisées du nouveau lot « projet ».\r\n« fonctionnelle » car il s’agit du modèle Excel :\r\n-	ID particuliers : lorsque nécessaire il faut rajouter un ID « technique », selon le principe mis en place pour le 1er lot.\r\n-	Noms de certaines tables ou champs non codifiés à l’identique sur le 1er lot => ajuster selon la norme WebDev SVP\r\n\r\nMerci et à demain (site Sogeti)\r\n\r\n\r\nCode couleur :\r\n\r\nNomTable\r\nIDFonctionnelleUnique\r\nNomChamps RAS\r\nNomChamps lié à une autre table de flux\r\nNomChamps lié à une table de référence\r\nNomChamps utilisé pour la clef fonctionnelle\r\nNomChamp de type spécial (ref GED, nom de fichier)\r\n\r\n\r\nTables « projet » :\r\n\r\nSuiviBudgetaire\r\nIDSuiviBudgetaire\r\nIDProjet\r\nDRevision\r\nIDActeur\r\nLIBSuiviBudgetaire\r\n\r\n\r\nSuiviOperationnel\r\nIDSuiviOperationnel\r\nIDProjet\r\nDRevision\r\nIDActeurOperationnel\r\nLIBSuiviOperationnel\r\nIDVersion\r\n\r\n\r\nProjetDocCPU\r\nIDProjetDocCPU\r\nIDProjet\r\nLIBCPUType\r\nLIBRefGED\r\n\r\n\r\nETATOperationnel\r\nETATOperationnel\r\n\r\nETATProjetPhase\r\nETATProjetPhase\r\n\r\nETATProjetDAB\r\nETATProjetDAB\r\nInfoPorteur\r\n\r\nPlanProjetType\r\nIDPlanProjetType\r\nLIBPlanProjetType\r\n\r\nLIBCategorie\r\nLIBCategorie\r\n\r\nIDVersion\r\nIDVersion\r\n\r\nLIBCPUType\r\nLIBCPUType'),
(537, 'Requête récursive :\r\n===================\r\n\r\n       WITH Arbre(IdSite, CheminSite, ListeIdSite, ImageGenreSite) AS \r\n       (\r\n             SELECT\r\n                    SITE.ID_SITE AS IdSite\r\n                    , CAST(INSTITUTION_PERE.LIB_INSTITUTION + CHAR(9) + INSTITUTION.LIB_INSTITUTION + CHAR(9) + LTRIM(TYPE_STRUCTURE.LIB_TYPE_STRUCTURE + \' \' + SITE.LIB_SITE) AS VARCHAR(MAX)) AS CheminSite\r\n                    , CAST(\',\' + CAST(SITE.ID_SITE AS VARCHAR(MAX)) + \',\' AS VARCHAR(MAX)) AS ListeIdSite\r\n                    , \'/Images/SiteAtteinte.png\' as ImageGenreSite\r\n             FROM\r\n                    SITE   \r\n                    INNER JOIN TYPE_STRUCTURE\r\n                           ON SITE.ID_TYPE_STRUCTURE = TYPE_STRUCTURE.ID_TYPE_STRUCTURE\r\n                    INNER JOIN INSTITUTION\r\n                           ON INSTITUTION.ID_INSTITUTION = SITE.ID_INSTITUTION\r\n                    INNER JOIN INSTITUTION INSTITUTION_PERE\r\n                           ON INSTITUTION_PERE.ID_INSTITUTION = INSTITUTION.ID_INSTITUTION_PERE\r\n             WHERE\r\n                    SITE.ID_SITE_PERE IS NULL\r\n                    AND SITE.DATE_SUPPRESSION IS NULL\r\n                    %1\r\n       UNION ALL\r\n             SELECT\r\n                    SITE.ID_SITE AS IdSite\r\n                    , CAST(Arbre.CheminSite + CHAR(9) + CAST(LTRIM(TYPE_STRUCTURE.LIB_TYPE_STRUCTURE + \' \' + SITE.LIB_SITE) AS VARCHAR(MAX)) AS VARCHAR(MAX)) AS CheminSite\r\n                    , CAST(Arbre.ListeIdSite + CAST(SITE.ID_SITE AS VARCHAR(MAX)) + \',\' AS VARCHAR(MAX)) AS ListeIdSite\r\n                    , \'/Images/SiteAtteinte.png\' AS ImageGenreSite\r\n             FROM\r\n                    SITE\r\n                    INNER JOIN TYPE_STRUCTURE\r\n                           ON SITE.ID_TYPE_STRUCTURE = TYPE_STRUCTURE.ID_TYPE_STRUCTURE\r\n                    INNER JOIN INSTITUTION\r\n                           ON INSTITUTION.ID_INSTITUTION = SITE.ID_INSTITUTION\r\n                    INNER JOIN INSTITUTION INSTITUTION_PERE\r\n                           ON INSTITUTION_PERE.ID_INSTITUTION = INSTITUTION.ID_INSTITUTION_PERE\r\n                    INNER JOIN Arbre\r\n                           ON Arbre.IdSite = SITE.ID_SITE_PERE\r\n                           AND CHARINDEX(\',\' + CAST(SITE.ID_SITE AS VARCHAR(MAX)) + \',\', Arbre.ListeIdSite) = 0\r\n             WHERE\r\n                    SITE.DATE_SUPPRESSION IS NULL    \r\n                    %1\r\n             )\r\n       SELECT \r\n             INSTITUTION_PERE.LIB_INSTITUTION AS CheminSite\r\n             , INSTITUTION_PERE.ID_INSTITUTION AS IdSite\r\n             , \'/Images/building.gif\' AS ImageGenreSite\r\n       FROM\r\n             INSTITUTION INSTITUTION_PERE\r\n       WHERE\r\n             INSTITUTION_PERE.DATE_SUPPRESSION IS NULL\r\n             AND   INSTITUTION_PERE.ID_INSTITUTION_PERE IS NULL\r\n             AND   INSTITUTION_PERE.ID_INSTITUTION <> 0\r\n       UNION\r\n       SELECT \r\n             INSTITUTION_PERE.LIB_INSTITUTION + CHAR(9) + INSTITUTION.LIB_INSTITUTION AS CheminSite\r\n             , INSTITUTION.ID_INSTITUTION AS IdSite\r\n             , \'/Images/building.gif\' AS ImageGenreSite\r\n       FROM\r\n             INSTITUTION\r\n             INNER JOIN INSTITUTION INSTITUTION_PERE\r\n                    ON INSTITUTION_PERE.ID_INSTITUTION = INSTITUTION.ID_INSTITUTION_PERE\r\n       WHERE\r\n             INSTITUTION.DATE_SUPPRESSION IS NULL\r\n              AND   INSTITUTION.ID_INSTITUTION_PERE IS NOT NULL\r\n             AND   INSTITUTION.ID_INSTITUTION <>0\r\n       UNION\r\n       SELECT\r\n             CheminSite\r\n             , IdSite\r\n             , ImageGenreSite\r\n       FROM\r\n             Arbre\r\nORDER BY 1'),
(538, 'Claude,\r\n \r\nEn PJ les données du référentiel projet, triées pour constituer à terme la table PROJET et ses filles (SuiviBudgetaire, SuiviOperationnel, ProjetDocCPU).\r\nJe viens te voir pour t’expliquer la manif à faire sur les données.'),
(539, 'Merci Sylvie OUF pour cette étape -  \r\n\r\nNous avons 46 tables « données sources » et 54 tables « données cible ».\r\nLa doc projet : U:\\SECURITE DES ACCES\\PILOTAGE\\0 - Dev Outil budgétaire\r\n\r\nUtiliser le classeur CBP Liste des tables.xls pour la gestion des tables.\r\n\r\nJMO, merci pour la liste des noms de table technique, compléter le tableau colonnes B et C ;  noms fonctionnel et grappe STP.\r\n\r\nCdlt,\r\n\r\n\r\nClaude MERLE | Consultant Fonctionnel'),
(540, 'Re,\r\n\r\nJe n’ai pas commencé la revue du schéma BDD,\r\nPar-contre j’ai déjà discuté sur le code avec JM, j’ai un peu de travail de factorisation à effectuer pour préparer / optimiser la suite.\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\nFrom: MERLE Claude-ext [mailto:claude.merle-ext@pole-emploi.fr] \r\nSent: Friday, December 12, 2014 4:25 PM\r\nTo: NAVARRO, MiKael\r\nSubject: RE: Liste des tables SVP\r\n\r\nMerci Mikael, j’ai demandé à JMO de compléter le tableau dans le mail precedent.\r\nAs-tu commencé la revue de code STP ? un etat ?\r\n \r\nClaude'),
(541, 'Livraison TITAM'),
(542, 'Livraison TITAM'),
(543, 'Livraison TITAM'),
(544, 'Livraison TITAM'),
(545, 'LO,\r\n\r\nJ’ai commencé à remplir le tableau (sur U: ), et j’ai les remarques suivantes :\r\n- la table BudgetParametre ne devait-elle pas disparaitre ?\r\n- la table ETATProjetBudget ne doit-elle pas disparaitre au profit de ETATProjetDAB ?\r\n- pour ref_accord, vous préférez Accord ou AccordType comme nom fonctionnel ?\r\n- on met pas de nom fonctionnel sur les table SYS… non ?\r\n\r\nP.S. reste encore quelques tables / grappes à identifier… ça me sera plus clair quand je ferais la retro-analyse…');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(546, 'Hello,\r\nDans le texte, merci\r\nCordialement, Sylvie. \r\n\r\n- la table BudgetParametre ne devait-elle pas disparaitre ?[SYD]  oui\r\n- la table ETATProjetBudget ne doit-elle pas disparaitre au profit de ETATProjetDAB ?[SYD]  oui\r\n- pour ref_accord, vous préférez Accord ou AccordType comme nom fonctionnel ?[SYD]  AccordType\r\n- on met pas de nom fonctionnel sur les table SYS… non ?[SYD] pour ma part, inutile\r\n \r\nP.S. reste encore quelques tables / grappes à identifier… ça me sera plus clair quand je ferais la retro-analyse…[SYD]  D’ici mercredi soir, le dernières tables fonctionnelles'),
(547, 'J’ai donc annulé la ligne n°9 pour BudgetParametre, et renommé ls n°33 en ETATProjetDAB \r\nCe qui nous fait 48 + 8 = 53 tables.'),
(548, 'mardi 16 décembre 2014 10:53\r\n\r\nPour débuter.\r\n\r\nhttps://80.78.7.17/prjmngt/mantis/file_download.php?file_id=96&type=bug\n\n'),
(549, 'Bonjour Mikael,\r\n\r\nSuite à ton graph, rapidement quelques erreurs non traitées (mail du 26/11) :\r\nTable Société à supprimer ; acteur pointe vers Titulaire\r\nTable Commande : IDAuteur pointe vers la table Auteur (et non vers Acteur)\r\n\r\n+ les évol vues récemment  sur BUDGET / PROJET => je relivre le word définitif ce soir.\r\n\r\nSYD'),
(550, '17/12/2014 22:30\r\n\r\nBonjour,\r\n\r\nEn PJ voici le DOC qui décrit fonctionnellement la BDD avec les modif imposées par la migration dans une vraie base + ajout du Référentiel Projet + évolution fonctionnelle BBZ.\r\nA+\r\n\r\nhttps://80.78.7.17/prjmngt/mantis/file_download.php?file_id=97&type=bug\r\n \r\nCordialement, Sylvie.\n\n'),
(551, 'always open...'),
(552, 'LO,\r\n\r\nCi-joint les dernières mises à jour de la BDD + du schéma de base :\r\n- sur le table reception, j’ai enlevé le pourcentage_receptionne en gras (une erreur de ma part)\r\n- rajout de la date_obsolescence sur alias\r\n- rajout de l’id_titulaire à la place de lib_societe sur acteur\r\n- rajout du lien entre auteur et acteur\r\n- suppression des liens entre les mails titulaire et suivi_dab\r\n- suppression de la table ref_trimestre\r\n- rajout du lien periode / ref_periode\r\n- suppression de id_budget sur budget_ligne\r\n- rajout du lien de budget_ligne/id_budget_an vers suivi_chiffrage\r\n- rajout de l’IDBudget sur le table budget\r\n- rajout du lien budget / projet\r\n- suppression de l’artefact sur dcp\r\n\r\nVoilà, si j’ai rien oublié !'),
(553, 'Re,\r\n\r\nJ’ai livré dans le GDS les pages concernant Projet, \r\nle dév « de base » pour la grappe Projet est pour moi terminé (restera quand même à définir comment afficher / ajouter des docs au projet).\r\n\r\nBonne fêtes et à l’année prochaine.'),
(554, 'réponses fournies le 12/12/2014'),
(555, '1ère tâche :\r\nRéalisation d\'un écran d\'identification au LDAP demandant le login et le mot de passe de l\'utilisateur\r\n\r\noutils utilisés :\r\nWindowsBuilder, LDAP API (Apache)\r\n\r\ndate de début :\r\n08/01/2014\r\n\r\ndate de fin :\r\n14/01/2014\r\n\r\nnotes supplémentaires :\r\nmise en place des designs patterns singleton et observateur\n\n'),
(556, '2ème tâche :\r\nRéalisation d\'un écran permettant de sélectionner un produit et de lister les defects associés. Il sera alors possible de sélectionner le tag de base et de renseigner le nom de la nouvelle version afin de lancer la création de celle-ci.\r\n\r\noutils utilisés :\r\nSVNKit, WindowsBuilder\r\n\r\ndate de début :\r\n14/01/2014\r\n\r\ndate de fin :\r\nN/A'),
(557, 'Livraison faite le 08/01'),
(558, 'Livraison faite le 08/01'),
(559, 'Livraison faite le 08/01'),
(560, 'Reconstituer l\'environnement de NSDK à partir de 0.\n\n'),
(598, 'cette tâche représente aussi bien le defect 40108 que le defect 40188'),
(561, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nProblème de constitution (compilation) de l\'environnement de développement NSDK à partir de l\'arborescence de 1_Titulaire.\n<!-- CODEVTT_TAG_READ_BY lbayle  --- 2015-02-18 09:33:19 -->'),
(562, 'Correction réalisé dans lot 2'),
(563, 'Livraison faite le 4 décembre 2014'),
(564, 'Livraison faite le 4 décembre 2014'),
(565, 'Livraison faite le 4 décembre 2014'),
(566, 'Livraison faite le 4 décembre 2014'),
(567, 'Livraison faite le 4 décembre 2014'),
(568, 'Livraison faite le 4 décembre 2014'),
(569, 'Livraison faite le 4 décembre 2014'),
(570, 'Livraison faite le 4 décembre 2014'),
(571, 'Livraison faite le 4 décembre 2014'),
(572, 'Livraison faite le 4 décembre 2014'),
(573, 'Livraison faite le 4 décembre 2014'),
(574, 'Livraison faite le 4 décembre 2014'),
(575, 'Livraison faite le 4 décembre 2014'),
(576, 'Livraison faite le 4 décembre 2014'),
(577, 'Livraison faite le 4 décembre 2014'),
(578, 'Livraison faite le 4 décembre 2014'),
(579, 'Livraison faite le 4 décembre 2014'),
(580, 'Livraison faite le 4 décembre 2014'),
(581, 'Livraison faite le 4 décembre 2014'),
(582, 'Livraison faite le 4 décembre 2014'),
(583, 'Livraison faite le 4 décembre 2014'),
(584, 'Livraison faite le 4 décembre 2014'),
(585, 'Livraison faite le 4 décembre 2014'),
(586, 'Livraison faite le 4 décembre 2014'),
(587, 'Livraison faite le 4 décembre 2014'),
(588, 'Livraison faite le 4 décembre 2014'),
(589, 'Livraison faite le 4 décembre 2014'),
(590, 'Livraison faite le 4 décembre 2014'),
(591, 'Livraison faite le 4 décembre 2014'),
(592, 'Livraison faite le 4 décembre 2014'),
(593, 'Livraison faite le 4 décembre 2014'),
(594, 'Livraison faite le 4 décembre 2014'),
(595, 'De : Arnaud Yannick [Caisse Nationale]\r\nEnvoyé : jeudi 12 février 2015 15:54:40 (UTC+01:00) Bruxelles, Copenhague, Madrid, Paris\r\nÀ : Tassoti Alain [Caisse Nationale]\r\nCc : Perret Sabrina [Caisse Nationale]; Lemar Philippe [Caisse Nationale]; Guegan Yann [Caisse Nationale]; Desfeux Anne [Caisse Nationale]\r\nObjet : Anomalies MOA\r\nBonjour\r\n \r\nComme convenu en réunion ce matin, nous avons fait un point avec la MOA.\r\n \r\nPouvez-vous annuler les DEFECT’s 40218 et 40206 et 40207 à notre demande et qui sont en PEC réal chez vous. Les anomalies ne sont pas justifiées.\r\n \r\nCordialement,'),
(596, 'cqpdsi00.sql\r\n\r\n-- RG_DSI_338 - Les rubriques XI et XR ne doivent pas   --'),
(597, 'ijmbnf20.sh?\r\nkfbx10-rg.pco?'),
(599, '1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf50.sql\r\n\r\n17/02/2015'),
(600, 'MJE 12/02/2015 en 14.2.10\r\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_V14_2_10_02.sql \r\n1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql'),
(601, 'TAIGA_PALL/1_titulaire/aix/sql/pal_qc_40136_cmr_053.sql\r\n\r\n09/02/2015'),
(602, 'Les bases de calculs pour 2013 2014  et 2015 me paraissent correctes. (voir fichier joint export 40055 cotis_u_base.xml)\r\nMerci de nous préciser le problème et les règles de gestion associées qui ne sont pas respectées.\r\n \r\nD\'après la règle RG1, les 10% ne s\'appliquent qu\'à partir de l\'année de cotisation 2015. \r\nRG1	Le taux de calcul de la base minimale est égal à :\r\n40 % avant l’année de cotisation 2015\r\n10% à partir de l’année de cotisation 2015\r\n \r\nCe taux est utilisé pour calculé la cotisation minimale (voir annexe cas numéro 1)\r\n \r\nOn a bien cotis_u_base à 1902 pour 2015 (50% de 10% du PSS)\r\n \r\n  \r\n\r\n________________________________________\r\nMohamed Cherrak <t_cherrak>, 12/02/2015: Bonjour,\r\nEffectivement, le résultat obtenu est conforme à l\'attendu\r\nMerci de renvoyer l\'anomalie pour annulation'),
(603, '1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf01.sql\r\n\r\n02/02/2015'),
(604, '1_titulaire\\Declaration_Revenus\\Campagne_DCR\\oracle\\schema\\CMR_xxx\\packages\\pck_cqpenv02.sql\r\n\r\n\r\n14.1.40'),
(605, 'environnement de dev 14.2.10 le 20/02/2015 14h'),
(606, 'En attente d\'infos de Yann GUEGAN'),
(607, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nReprise des tags + problème sur le format des fichiers + test\n<!-- CODEVTT_TAG_READ_BY lbayle  --- 2015-02-26 16:47:04 -->'),
(608, 'pal_qc_37110.sql'),
(609, 'Erreur de lecture du testeur\r\n\r\nConfusion entre \"Accueillir au téléphone sans gestionnaire d\'appel\" \r\n   => impression externe                                       \r\n\"Accueillir sans gestionnaire d\'accueil\" \r\n   => Impression locale'),
(610, 'RAF: Confirmation par l\'équipe trafic de l\'origine du bug (a priori corrigé précédemment déjà)\n\n'),
(611, '2015/03/05 : SAGESS dump KO\r\n\r\n* Erreur en boucle :\r\nORA-39171: Le travail se heurte à une attente avec possibilité de reprise.\r\nORA-01691: impossible d\'étendre le segment LOB SYSTEM.SYS_LOB0000190726C00039$$ de 128 dans le tablespace SYSTEM\r\nORA-39171: Le travail se heurte à une attente avec possibilité de reprise.\r\nORA-01691: impossible d\'étendre le segment LOB SYSTEM.SYS_LOB0000190726C00039$$ de 128 dans le tablespace SYSTEM\r\nORA-39171: Le travail se heurte à une attente avec possibilité de reprise.\r\n...\r\n\r\n* Cause (probable) : Espace libre insuffisant dans le tablespace de destination.\r\n(a priori) L\'import est lancé sans analyser l’espace disponible.\r\n\r\n* Solution : ... ?\r\n\r\n\r\n* Sources \'google\' :\r\n\r\nhttp://databazz.fr/dba-export-et-import-dune-base-de-donnees-oracle/\r\nPour éviter ce cas d\'erreur, lancer l’export en mode estimation de taille :\r\nEstimer la taille nécessaire (commande \"expdp\" avec attribut pour estimation de taille \"ESTIMATE_ONLY=y\"). Et Vérifier qu\'il y a assez d’espace dans le tablespace de la BDD de destination (query en mode DBA \"SQL> SELECT ...\" ...)\r\n\r\nhttp://ora-39171.ora-code.net/\r\nError : \"ora-39171: Job is experiencing a resumable wait. %s\"\r\nCause : The Data Pump job is stalled with one or more of its sessions having a resumable wait. Resumable waits are typically caused by a non-expandable tablespace running out of space. ...\r\nAction : Correct the condition causing the wait. This will typically involve adding datafiles to the tablespace that is full.\r\n\r\nhttp://dbtricks.com/?tag=ora-39171\r\nWhen using Data Pump, you may encounter the following error: \"ORA-39171: Job is experiencing a resumable wait.\"\r\nTogether with  \"ORA-01653: Unable to extend table %s.%s by %s in tablespace %s \" Or \"ORA-01691  unable to extend lob segment string.string by string in tablespace string\"\r\nBoth errors basically say that the table space you are using can not allocate more space. This could be because the datafile is full, the disk is full or autoextend is not set.  ...\n\n'),
(612, 'non repro, refusé réal'),
(613, 'demande d\'info'),
(614, 'à passer en refuser réal le 11.03.2015'),
(615, 'NOn reproduit. Corrigé par le D34884 mis en service en 2014'),
(616, 'demande d\'info'),
(617, 'Annulée'),
(618, 'fix par equipe Trafic'),
(619, '40462 : Script de suppression'),
(620, 'Attente des dépôts Jazz pour la suite.'),
(621, 'Tâche CNAF'),
(622, 'Tâche CNAF'),
(623, 'Reporté pour un sprint suivant'),
(624, 'Le title a finalement été abandonné, il est directement intégré dans le Layout'),
(625, 'Fermeture par erreur'),
(626, 'Première version terminée, en attente du jeu de données'),
(627, 'Projet déjà réalisé par l\'équipe éditique : annulation'),
(628, 'En attente du jeu de données pour l\'enregistrement des scenarii'),
(629, 'Deux portlets réalisés pour la démo et la navigation. En attente des spécs / maquettes.'),
(630, 'erreur codevtt'),
(631, 'à la demande de Mazid'),
(632, 'à la demande de Mazid'),
(633, 'A la demande de Mazid'),
(634, 'Ajustement pour tâches indument imputées sur le précédent BC'),
(635, 'palliatifs dans /app/taiga/(env)tamcoc94/oraexp/expl/sql\r\n\r\non livrera: pal_qc_38786_cmr_054.sql'),
(636, 'palliatif à lancer avec sqlplus'),
(637, 'reste a maj la doc'),
(638, 'Order by\r\nComparaisons\r\nMax,Min\r\n...'),
(639, 'Comme proposé ce matin à Louis, j\'ai ajouté un 1er tableau qui est une \"extension\" de \"fusion caisse 53 54 v01\" :\r\n=> ajout de 2 onglets qui fait les calculs automatiques (il y a une petite erreur de comptage)\r\n\r\nJ\'avais de mon côté regardé les packages à partir des données stockées en base :\r\n* j\'ai noté des packages que je n\'ai pas retrouvé dans le tableau \"fusion caisse 53 54 v01\" \r\n* Je n\'ai trouvé aucun test du genre cmr >= 58 ou cmr > 58\r\nDétail de l\'analyse (et donc du tableau joint) :\r\n- extraction des lignes des packages contenant les valeurs 53 54 58 ou 59 (étude du schéma CMR_053 sur tamcoc94)\r\n- analyse en détail des valeurs\r\n- comptage des lignes contenant \"cmr\" et ciblant les caisses 53 54, ou 58 59 en différenciant les lignes de code et les commentaires\r\n\r\nCes résultats sont à confronter avec vos analyses.'),
(640, 'En attente du RSI'),
(641, 'En attente du RSI'),
(642, 'En attente du RSI'),
(643, 'Tache livrée'),
(646, 'Il semble que la liste fournie dans le fichier \" fichiers avec orderby.txt \" correspond aux attentes.\r\n\r\nRappel de la problématique :\r\n----------------------------\r\nCertains traitements peuvent s’appuyer sur l’identifiant du bénéficiaire pour ordonner des périodes.\r\nSi le tri principal des périodes est basé sur les dates de début et de fin : la fusion des dossiers ne posera pas de problème.\r\nPar contre si l’identifiant du bénéficiaire est le critère de tri majeur, l’ordre des périodes ne sera plus bon après fusion des périodes.\r\nIl convient ici de répertorier les tris qui seront à revoir.'),
(645, 'Pas de retour depuis 2 semaines,cloturé'),
(647, 'dérive 1j dû à l\'investigation perdu sur la non disponibilité de WDD (URL manquante dans la plateforme de recette)'),
(648, 'G:\\TMA_RSI_TAIGA\\Documentation\\ETD_TAIGA_cartographie_20141121_V1.10.xlsx\r\n\r\nreprendre ce document et pour chaque ligne chercher dans doc/code la structure du flux et s\'il contient un numero de caisse'),
(649, 'G:\\TMA_RSI_TAIGA\\Documentation\\ANV-CX'),
(650, 'voir le document 40289_TMA-PSA Etudes impacts applicatifs Fusion PL_V1 0_TAIGA.doc qui recense  au chapitre \"7.1.1.1	Augmentation de la taille d’identifiants\" 49 champs sur 9 caractères a passer à 10.\r\n\r\nIl faut vérifier le code SQL et SH qui cree des variables pour stocker ces 49 champs et verifier la taille allouée.\r\n\r\nil faudra completer le chapitre \"7.1.4.4	Impacts liés à l’augmentation de la taille des identifiants\"\n\n'),
(651, 'Ajout de TU plus haut niveau pour couvrir tout les cas de destinataires'),
(652, '- SAGESS DEFECT 40678 [anol] \"palliatif pal_QC35617.sql :\r\nsur l\'IHM, la \"date de derniere maj\" affichée ne correspond pas à la date d\'execution du palliatif\"\r\n\r\nBesoin QC40678 : Sur l\'IHM, la \"date de derniere maj\" affichée ne correspond pas à la date d\'execution du palliatif.\r\nAlors que dans la BDD, la \"date maj\" est correcte et correspond bien à la date d\'execution du palliatif.\r\n\r\nAnalyse : Le fait observé est reproduit. Le palliatif modifie \"BENEFICIAIRE.DATE_MAJ\" à la date d\'execution du palliatif.\r\nMais dans l\'IHM, la \"date de derniere maj\" est \"BENEFICIAIRE.DATEMAJ\".\r\n\r\nSolution proposée : Dans le palliatif, modifier \"BENEFICIAIRE.DATEMAJ\" à la date d\'execution du palliatif.\r\nAinsi, la \"date de derniere maj\" affichée sur l\'IHM correspondra à la date d\'execution du palliatif.\r\nEt la modification de \"BENEFICIAIRE.DATE_MAJ\" à la date d\'execution du palliatif est conservée (comportement actuel).'),
(653, 'VARCHAR(9)\r\nVARCHAR2(9)\r\nNUMBER(9)\r\nX(9)\n\n'),
(654, 'en attente retour sur la commande de mercredi 13/05\r\n\r\n\r\n===================\r\nconversatin du 18/05:\r\n\r\nBAYLE, LOUIS [11:31]: \r\nJe viens de t\'envoyer par mail un macro-chiffrage sur TAIGa\r\nsans doute a affiner...\r\nCASTAGNE, FABIEN [11:31]: \r\nok \r\nBAYLE, LOUIS [11:32]: \r\nle reste de l\'étude prend 15 jours\r\nCASTAGNE, FABIEN [11:33]: \r\nok je rajouterai à l\'étude commandée mercredi\r\nBAYLE, LOUIS [11:34]: \r\nJe vais regarder ton doc sur les Flux des que possible\r\nCASTAGNE, FABIEN [11:35]: \r\nil n\'y a pas grand chose, je n\'ai vu que de la Non regression\r\nBAYLE, LOUIS [11:35]: \r\non arrête l\'etude en attendant ton retour sur la commande ?\r\nCASTAGNE, FABIEN [11:35]: \r\noui on va tout cloturer\r\nBAYLE, LOUIS [11:35]: \r\nok\r\nCASTAGNE, FABIEN [11:36]: \r\nils ont commandé une étude de faisabilité, avec des tests d\'exécution donc tout le reste à faire on va l\'ajouter dans cette étude\r\n\r\n\r\n'),
(655, '39748:\r\nLa demande consiste à faire évoluer le traitement développé dans le defect 38749 qui est déjà développé, validé TRA mais non déployé en production suite à un changement dans l\'expression du besoin.\r\n\r\nLe besoin est maintenant de ne plus sélectionner les immatriculations à valider de manière automatique mais à partir d\'un fichier en entrée qui contiendra une ligne par immatriculation à valider. \r\n\r\nVoir fiche d\'exigence en PJ'),
(656, '38749:\r\n[Constat]\r\nCaisse : 027\r\nAgis : Inc 300933\r\nNIR : 1800495585040\r\nBENF : 351800\r\n\r\nLibellé : Impossible de réintégrer un assuré car un message d\'erreur s\'affiche :\r\nla période d\'imma. doit être validée avant de faire une réintégration.\r\n\r\n[Analyse]\r\nSur ce dossier, 2 immatriculations sont présentes. L\'ancienne (01/08/2008 - 31/12/2008) est non validée (IMMA_STA_VA=0) \r\nL\'immatriculation la plus récente (21/06/2012 - 21/05/2013) est validée (IMMA_STA_VA=2) .\r\nLors de l\'ajout d\'une nouvelle activité (donc implicitement, création d\'une 3ème immatriculation), le message d\'erreur apparaît car effectivement, un contrôle est effectué sur toutes les immatriculations présentes sur le dossier. Selon les spécifications :\r\n\r\nAvant de pouvoir créer une nouvelle période d\'immatriculation, une vérification est effectuée sur toutes les périodes d\'immatriculation présentes sur le dossier :\r\nS\'il existe une période d\'immatriculation non validée (IMMA_STA_VA = 0) :\r\nUn message d\'erreur 5478 (La période d\'immatriculation doit être validée avant de faire une réintégration) est renvoyée et le traitement est arrêté.\r\n(cf. gestion période d\'immatriculation V1-0.doc - 1.1.1.1 Traitement 1 (Création d\'une nouvelle période d\'immatriculation) )\r\n\r\nIl s\'avère donc que le contrôle ne s\'applique pas à chaque fois car la caisse a pu créer l\'immatriculation du 21/06/2012 sans que la vérification ne soit effectuée.\r\nToutefois, l\'immatriculation non validée est présente dans la table JNL_STAT et a été propagée dans BDU.\r\n\r\nUne volumétrie a été réalisée sur toutes les caisses et environ 380 dossiers sont concernés (document en PJ).\r\n\r\n[Correction demandée] \r\nDans la table IMMA, valider les immatriculations non validées (IMMA_STA_VA=0), qui sont dans la table JNL_STAT et qui ne correspondent pas à la dernière immatriculation du dossier :\r\n- IMMA_STA_VA = 2\r\n- IMMA_D_VA = date système\r\n- REDA_ID=BATCH\r\n- Sans journalisation'),
(657, 'annulé'),
(658, 'Searching 4023 files for \"DELETE FROM.*( |\\n).*DRT_PREST( |\\n)\" (regex)\r\n\r\nC:\\RSI\\TAIGA\\1_titulaire\\Affiliation\\EDI-CFE\\oracle\\schema\\CMR_xxx\\packages\\iqpgnl37.sql:\r\n  931  \r\n  932      -- Suppression dans table DRT_PREST\r\n  933:     Delete from DRT_PREST D\r\n  934      where exists(\r\n  935                   select I.NEW_ID\r\n  ...\r\n 1062  \r\n 1063      -- Suppression dans table DRT_PREST\r\n 1064:     Delete from DRT_PREST D\r\n 1065      where exists (\r\n 1066                    select B.BENF_ID\r\n\r\nC:\\RSI\\TAIGA\\1_titulaire\\Affiliation\\Immatriculation\\oracle\\schema\\CMR_xxx\\packages\\iqpass08.sql:\r\n  393            AND c.imma_id = a.imma_id;\r\n  394  \r\n  395:     DELETE FROM DRT_PREST a\r\n  396      WHERE a.ins_adrt_id IN (SELECT c.ins_adrt_id\r\n  397                              FROM INS_ADRT c, IAMASS06_TRAV01 b\r\n  ...\r\n  568          WHERE b.imma_id = a.imma_id;\r\n  569  \r\n  570:     DELETE FROM DRT_PREST a\r\n  571      WHERE a.imma_id IN (SELECT b.imma_id FROM IAMASS06_TRAV01 b);\r\n  572  \r\n\r\nC:\\RSI\\TAIGA\\1_titulaire\\Affiliation\\Immatriculation\\oracle\\schema\\CMR_xxx\\packages\\iqpayd02.sql:\r\n  107  -- d\'ayant droit du beneficiaire\r\n  108  \r\n  109:    DELETE FROM DRT_PREST\r\n  110:    WHERE BENF_ID = v_benf_id\r\n  111     AND INS_ADRT_ID IS NOT NULL;\r\n  112  \r\n\r\n5 matches across 3 files\n\n'),
(659, '________________________________________\r\nHUBERT Jean-Marc <hubert>, 26/05/2015: \r\nMerci de revoir les spécifications en prenant en compte que la suppression des lignes de la table ENT_I ne peut se faire sans une mise à jour coordonnée de la table INSTANCE.\r\n\r\n________________________________________\r\nLouis BAYLE <s_bayle>, 26/05/2015: Merci de préciser le comentaire, dans la mesure ou la spec a ete validée par la MOA/MOE\r\n\r\n________________________________________\r\nCécile VEROT <cev>, 27/05/2015: \r\n\r\n________________________________________\r\nHUBERT Jean-Marc <hubert>, 27/05/2015: \r\nEn effet les specs ont été validées mais le travail sur le defect 40641 a mis en lumière un oubli sur la mise à jour des dossiers (la table INSTANCE). Cet oubli concerne également le defect 40653. Il convient donc de revoir la spec avec ces modifications.'),
(660, 'On ne fait de DELETE dans DRT_PREST que dans de rares cas, sinon, il faut desactiver.\r\nIci il faut analyser les regles associées à chaque DELETE trouvé, et voir si ca doit etre remplacé par une desactivation.'),
(661, 'erreur d\'équipe'),
(662, 'Bonjour,\r\n \r\nSuite à échange avec Christian B. (DUS), mes doutes sur cette livraison semblent se confirmer.\r\n \r\nLa méthode choisie pour le développement de la fonctionnalité de copier/coller n’est pas la plus régulière ; elle n’est pas très cohérente.vis à vis de l’existant. Des fonctions existent déjà et il aurait été souhaitable de les prendre comme exemple. \r\nDans la solution choisie, le code est dupliqué dans chaque projet. Le fait d’avoir mis le source dans « Common » n’évite pas la recompilation dans l’ensemble des projets ; ce qui semble plutôt inutile.\r\n \r\nCi-dessous, vous trouverez une méthode (merci Christian) pour que l’ordre de compilation permette de revenir à la situation d’un seul passage de « COMPIL_TOUT.bat »\r\n \r\nActions à mener :\r\n \r\n1)       Définir un source « NirCCpro.ncl » et le déposer dans le répertoire « _common », ou alors ajouter les 3 prototypes dans « _common\\_aefpro1.ncl »\r\nDu style : \r\n \r\nFUNCTION   CopieNIR%(CSTRING NIR1$, CSTRING NIR2$, CSTRING NIR3$, CSTRING NIR4$, CSTRING NIR5$, CSTRING NIR6$, CSTRING NIR7$)\\\r\nEXTERNAL \"_DAAEF01. iCOPIENIR\"\r\n \r\n2)       Ajouter ce source dans les projets NSDK impactés (à la place de NirCC.ncl ») ou seulement vérifier que « _common\\_aefpro1.ncl » est déjà présent\r\n \r\n3)       Ajouter « NirCC.ncl » à un projet qui construit une DLL commune aux projets : par exemple « _DAAEF01.PRJ » sous « priv\\_uls_aef » (projet « boite à outils »)\r\nCeci va créer à la compilation 2 élements : une librairie qui permettra aux linker d’avoir la référence de la fonction définie dans une DLL, et la DLL pour l’exécution de la fonction.\r\n \r\n4)       Vérifier que la librairie « _DAAEF01.lib » est bien incluse dans les définitions des projets impactés : pour le LINKER'),
(663, 'Bonjour,\r\nVoici nos quelques questions/blocage sur les écarts comptables:\r\n\r\n\r\nUne définition/précision sur les fichiers comparés manuellement est indispensable pour qu’on puisse remonter aux composants\r\n\r\nOn est parti (comme dit dans un des mails de yann) du fait que le cqosta10.sh, bilan journalier, donnait l’état des spocs 31.\r\nMais après quelques recherches, cela est basé sur les tables de cotisations calculées.\r\nLes docs ne sont pas forcément à jour et les traitements enlevé non plus.\r\n\r\nOn aurait donc besoin d’un peu plus de détail sur comment la comparaison est faite et sur quoi. Des exemples des fichiers qui sont comparés pourraient nous aider aussi\r\nNous continuons de remonter les composants en attendant vos précisions\r\n\r\nMerci d’avance,\r\n\r\nCordialement,\r\n\r\nSabrina Perret'),
(664, 'vu avec laure :\r\ncréer les arborescences\r\n/apps/tmataiga/tamco2/oraexp/expl/sh/src/NewPAF\r\n/apps/tmataiga/tamco2/oraexp/expl/sh/src/NewPAF/in\r\n/apps/tmataiga/tamco2/oraexp/expl/sh/src/NewPAF/out\r\n/apps/tmataiga/tamco2/oraexp/expl/sh/src/NewPAF/lib\r\n\r\ndans \r\n/apps/tmataiga/tamco2/oraexp/expl/sh/src/NewPAF/ mettre \r\nPAF_transformation.xsl (1_titulaire\\Affiliation\\Immatriculation\\xslt)\r\nlanceur_transformation.sh (1_titulaire\\Affiliation\\Immatriculation\\xslt\\sh)\r\ndans\r\n/apps/tmataiga/tamco2/oraexp/expl/sh/src/NewPAF/lib\r\nmettre tous les .jar (1_titulaire\\Affiliation\\Immatriculation\\xslt)'),
(665, 'NB Dans solaris'),
(666, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nInvestigation anomalie SIDOC en prod, problème lié à la programmation d\'articles.\r\nInvestigations et intervention en prod pour supprimer l\'article en question.'),
(667, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPage première visite (sous-sections, etc...)'),
(668, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nFormation + doc'),
(669, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nMardi : Régression constatée et corrigée après le TF\r\nJeudi : Ano constatée en interne et corrigée'),
(670, 'pas de lien avec Spoc31, RSI en analyse...'),
(671, '40926 => 0.75'),
(672, 'Attention : Pas de SAXO à ce jour, demande faite au CIN (voir mail du 16/06/15 à 15:15)'),
(673, 'Batch réalisé avec Mickaël (transfert de compétences), Mickaël l\'a testé.\r\nCe batch devra être lancé sur la PROD le 28/06/15 après 18 h.\r\n\r\nContacter T.GUIOT avant (par tel) et après (par mail) l\'exécution du batch.'),
(674, '16/06/15 : Point RSA\r\n17/06/15 : Comité interne CNAF TMA +  InfoTrain Secure Coding\r\n17/06/15 et 18/06/15 : Rédaction PQP\r\n19/06/15 : Mise à jour des actions.'),
(675, 'annulée'),
(676, 'Batch à lancer au retour de Mickael'),
(677, 'analyse impact 14.0.2\r\n15/06/2015 : 0.2\r\n16/06/2015 : 0.25'),
(678, 'perf GC V15.0.0 (40968) et V14.0.2 (40971)\r\n18/06/2015 : 0.2'),
(679, 'analyse\r\n23/06/2015 : 40991 => 0.25\r\n23/06/2015 : 40992 => 0.25\r\n24/06/2015 : 40992 => 0.2\r\n24/06/2015 : 41009 => 0.1\r\n25/06/2015 : 41009 => 0.25\r\n25/06/2015 : 41010 => 0.25\r\n25/06/2015 : 41011 => 0.25\r\n\r\ndoc\r\n24/06/2015 : 40991 => 0.1\r\n\r\ndév\r\n24/06/2015 : 40991 => 0.1\r\n25/06/2015 : 41000 => 0.25\n\n'),
(680, 'Actions réalisées pour cette tâche :\r\n- Analyse des SFG réalisées par le passé pour en comprendre les objectifs\r\n- Rédaction des SFG pour le service USAPE\r\n- Correction des SFG suite aux remarques de MPD\r\n- Modification de la mise en forme du document\n\n'),
(681, 'Actions réalisées pour cette action :\r\n- Analyse des fiches de déclarations réalisées par le passé pour comprendre quelles informations y sont renseignées.\r\n- Vérification des informations renseignées dans la fiche de déclaration du service USAPE\r\n- Envoi d\'une liste de questions à MPD sur la fiche de déclaration\r\n- Contact de CFE (intervenant projet USAPE) afin de compléter correctement la fiche de déclaration du service USAPE'),
(682, 'Actions réalisées pour cette tâche (SFD - mise à jour générale du document) :\r\n- Analyse des SFD pour lister tous les éléments à éclaircir, modifier ou supprimer\r\n- Envoi d\'un mail à MPD listant tous les points identifiés suite à l\'analyse\r\n\r\n** Attente du retour de vacances fin 08/15 de MPD pour une réponse au mail **\r\n\r\nCME : Cette action est sortie du périmètre de cette MANTIS, elle sera réalisée dans la prochaine commande.\n\n'),
(683, 'Actions réalisées pour cette tâche (SFD - mise à jour du document pour la L1510) :\r\n- Mise à jour des SFD pour les tickets USAPE'),
(684, 'Actions réalisées pour cette tâche :\r\n- Identification des cas d\'utilisations, des exigences et des tests associés'),
(685, 'Discussions avec Mickael sur les saxos, codes, processus..\r\nProblèmes sur environnement de travail (RAD, RTC, log compte windows...)'),
(686, 'Paquet hbo 230.413000 validé par Mickaël PICARD\r\nPaquet hbo déployé sur l\'environnement de dev.'),
(687, '24/06/15 : Préparation suivi interne, et préparation du suivi de projet num 4.\r\n25/06/15 : Point avec l\'équipe.\n\n'),
(688, 'en attente poitevin'),
(689, 'prendre en compte FDR'),
(690, 'Vendredi 26/06 : Demande de prise en compte du batch ESAT avec nouveau lien URL\r\nLundi 29/06 : Demande de retour en arrière car ESAT n\'a pas reçu l\'AMP. Ancien lien URL est remis en production. \r\nMardi 30/06 : Régression après le retour en arrière sur le batch ESAT, traitement de incidents suivants liés à ce problème : INC0177769, INC0177852, INC0178021.\n\n'),
(691, 'Le batch est réalisé \"ModifierNomEntité.java\", il reste à l\'exécuter et pour cela nous avons besoin des droits en écriture sur le LDAP de prod.\r\nCette tâche est considérée comme réalisée. Si des problèmes sont remontés lors de l\'exécution du batch, il faudra créer des anomalies MANTIS.\r\nLe batch a été testé dans l\'environnement de production.'),
(692, 'Testé dans l\'environnement développement. Cet incident sera livré dans la L1510.'),
(693, 'Un mauvais paramétrage de la cellule est à l\'origine de ce disfonctionnement. Une intervention sur l\'environnement a été effectuée entre midi et deux pour régler le problème'),
(694, 'Il faut vérifier dans le LDAP de production que la CAF_BOURG_EN_B a bien par défaut le ticket \"OMEGA\". A ce jour, ATOS n\'a pas d\'accès au LDAP de production (relancer Jean-Michel PAQUAUX).\r\n\r\nAprés vérification, l\'analyse ci-dessus est confirmée. Un batch est prêt pour effectuer la correction (AjouterTicketsCafPivotLdap), ATOS est en attente des droits d\'écriture sur le LDAP de production pour pouvoir exécuter ce batch. Demande faite auprès de Jean-Michel PAQUAUX.\r\n\r\nSi l\'autorisation tarde, faire exécuter le batch par Séverine CHAIBRIANT.'),
(695, 'Test du batch effectué dans environnement de dev. Batch également utilisé pour USAPE.'),
(696, 'Création du batch AjouterTicketsCafPivotLdap.\r\nTesté en environnement de dev.\r\nVoir Working Set : 2386  '),
(697, 'Testé en environnement de dev\r\nWorking Set 2386'),
(698, '01/07/15 : COPIL, Suivi fichier excel (Réunion avec Sandrine) \r\n03/07/15 : Présentation HP ALM en interne\n\n'),
(699, '02/07/15 : Analyse d\'un mail de la BALF Extranet mentionnant un problème de modification d\'un organisme partenaire par un administrateur restreint'),
(700, '03/07/15 : Traitement du saxo INC0178855\n\n'),
(701, 'Assistance : Reports de versions sur Dimension'),
(702, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nSuivi de projet n°5 le 08/07/15.\r\nSuivi hedbo S29 le 16/07/15 (+ Préparation)\r\nSuivi hedbo 12/08/15\r\nSuivi hedbo 19/08/15\r\nSuivi hebdo 02/09/15\r\nSuivi hebdo interne 09/09/15\r\nRéunion avec JPX la 08/09/15 avant ses vacances (tache encours, transfert de pilotage, préparation de la recette).\r\nSuivi hebdo du 16/05/19 suivi de projet num8\r\nPoint avec Jean Michel le 29/10/15'),
(703, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n06/07/15 : Estimation du plan de charge sous Juillet-Septembre, définition du fonctionnement de la partie Maintenance sous contrôle et planification de cette période.\r\n07/07/15 : Définition de la stratégie de traitement des SAXOs et le l\'implication de LBE.\r\n08/07/15 : Mise à jour des actions et des risques.\r\n09/07/15 : Suivi d\'avancement, point équipe, support SHR sur WAS\r\n10/07/15 : Préparation bon de commande\r\n29/10/15:Préparation des indicateurs internes'),
(704, '08/07/15 : Analyse et réponse au mail de la BALF Extranet \"Demande d\'informations : partenaires multi département\" datant du 07/0/07/15.'),
(705, '09/07/15 : Analyse du saxo INC0178729'),
(706, '09/07/15 : Analyse du saxo INC0179613'),
(707, '08/07/15 : participation réunion \"suivi de projet n°5\" LBE'),
(708, 'Installation du WAS pour Lorene.\r\nTrois solutions:\r\n-lancer l\'application sur un VM distant puis ce connecter à l\'adresse du serveur\r\n-Installer un server WAS local et deployer ear\r\n-Installer RAD + WAS comme sur un poste de dev\r\n\r\nSolution retenu:\r\n-Installer un server WAS local et deployer ear'),
(709, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nFiltre sur le fichier suivi Bugs + fiche chantier'),
(710, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nInstallation du WAS pour Lorene.\r\nTrois solutions:\r\n-lancer l\'application sur un VM distant puis ce connecter à l\'adresse du serveur\r\n-Installer un server WAS local et deployer ear\r\n-Installer RAD + WAS comme sur un poste de dev\r\n\r\nSolution retenu:\r\n-Installer un server WAS local et deployer ear'),
(711, '15/07/15 : Analyse des mails reçus \r\n\"Demande info HABTIERS\" (Balf extranet)\r\n\"Habiters @RSSA\" (Balf extranet)\r\n\r\n+ Réunion sur le fichier suivi bugs'),
(712, '16/07/15 : Analyse des saxos INC0181781 et INC0181172'),
(714, '16/07/15 : Suivi de projet avec l\'équipe et préparation de sortie de LBE au 20/07/15, mise en place d\'un plan d\'action.'),
(715, '16/07/15 : Impossible d\'exécuter batch sur le LDAP de production, analyse et remontée du problème auprès de la CNAF, voir mail.\n\n'),
(716, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n16/07/15 Point avec Thierry Guiot sur les saxos à transmettre à l\'equipe ISU\r\n22/07/15 Support de Severine par rapport au BUGS J7828\r\n23/07/15 Analyse code du saxo INC0173737\r\n24/07/15 Telephone par rapport saxo INC0181172, remplir fichier activités saxo + bugs réalisé\r\n12/10/15 INC0200554 + Modification batch Mayotte'),
(717, '+ BI Finance'),
(718, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ndefect 2975 0.2\r\ndefect 3037 0.5\r\ndefect 41072 0.3\r\ndefect 3139 0.2\r\ndefect 41131 0.4\r\ndefect 03147 0.2\r\ndefect 41083 0.25 (report)\r\ndefect 3156 0.25\r\nTraitement d\'un problème d\'entreprise manquante dans le WS GAC BDU + test du patch sur les entreprises pour vérifier que les données soient corrigées avec cette évolution - 0.5'),
(719, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPerf batch CTRL'),
(720, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nperf batch CTRL'),
(721, 'Après analyse redirection du SAXO vers l\'équipe ISU.'),
(722, 'Réalisations :\r\n\r\n1)Fiche chantier	-> Y:\\64 - HABTIERS\\HabTiers\\PILOTER-ORGANISER\\Chantiers\\Version-N230-V04.13\r\n\r\n2)DMF USAPE 		-> Y:\\64 - HABTIERS\\HabTiers\\PILOTER-ORGANISER\\Chantiers\\Version-N230-V04.13\\DMF - INC0184635 - Prise en compte du service USAPE\\DMF - INC0184635 - Prise en compte du service USAPE.odt\r\n\r\n3)Fichier suivi bugs	-> Y:\\64 - HABTIERS\\HabTiers\\PILOTER-ORGANISER\\hbt-suivi-versions-bugs.xls\r\n\r\n4)JD 			-> Y:\\64 - HABTIERS\\HabTiers\\DDD\\HBT - JD\\FORMAT XLS\\JD.HBT.0230.413000.xls\r\n\r\n5)PPT présentation	-> Y:\\64 - HABTIERS\\HabTiers\\PILOTER-ORGANISER\\Présentations\\HBT-Présentation-N230-PRM-2015-07-29.ppt\n\n'),
(723, '22/07/15 : Suivi de projet interne.\r\n22/07/15 : Suivi des indicateurs.\r\n29/07/15 : Suivi de projet interne.\r\n30/07/15 : Préparation de la livraison L1510 avec le client.'),
(724, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTaches/Fichiers impactés:\r\nCreation saxo manquants 0.3\r\nFiches chantier 1\r\nDMF USAPE 0.3\r\nSuivi bugs 0.2\r\nPPT présentation 0.4\r\nJD HBO \r\nJD HBT 0.4\r\nSpecifications fonctionelles\r\nSpecifications techniques'),
(725, '30/07/15 : Travail sur les indicateurs mensuels.'),
(726, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n27/07/15 Problème VPN'),
(727, '24/07/15: Déroulement de la campagne 1_ATOS\r\n27/07/15: Déroulement de la campagne 1_ATOS et début de la campagne 2_ATOS\r\n28/07/15 : Déroulement de la campagne 2_ATOS  \r\n29/07/15 : Déroulement de la campagne 3_ATOS'),
(728, 'doublon du 40523 (15.1)'),
(729, 'Alain Civel en action.'),
(730, 'en Action à Fabien Castagne'),
(731, '41232 : Libelle 40371'),
(732, 'annullé'),
(733, 'a tester ?'),
(734, 'Suite à notre appel téléphonique, cette demande pourra eventuellement faire office d\'une evolution.'),
(735, 'Dev DEFECT_41088 commité dans branche DEV/DEFECT_41182 :\r\n\r\nSeul la partie SAGESS-IHM est modifié pour cette évolution.\r\n\r\nFichiers modifiés pour l\'évolution :\r\n- SAGESS/1_titulaire/src/SAGESS_Application/src/main/java/fr/rsi/sagess/application/echange/impl/EchangeBusinessServiceImpl.java\r\n- SAGESS/1_titulaire/src/SAGESS_Enterprise/src/main/java/fr/rsi/sagess/enterprise/echange/dao/impl/EchangeDAOImpl.java'),
(736, 'La branche DEV/DEFECT_41182 contient aussi le dev du DEFECT_41088.'),
(737, '+ SRM'),
(738, 'Uniformisation du nom de fichier généré : Habilitations[XRT|BI|SRM|OCD]_AAAAMMJJ_hhmm.csv'),
(739, 'Après lancement du batch permettant d\'affecter les tickets USAPE aux institutions internes le 18/08/2015, le problème n\'est plus reproduit.\r\nCe saxo est sous surveillance jusqu\'à la fin de la journée du 19/08/15.'),
(740, '- SAGESS : assistance (mail) : Question sur defect 40371 en SAGESS 15.0.\r\n mail de Jérôme WALTER le 20/08/2015 : traitement du graphe de GC impacté par l\'évol.\r\n  0.5j (me.20/08/2015)\r\n\r\n\r\nDetail :\r\n------------------------------------------------------------------------\r\nDe : HERRY, AMANDINE\r\nEnvoyé : jeudi 20 août 2015 17:23\r\nÀ : Walter Jérôme [Caisse Nationale]\r\nCc : LE, CAROLINE; HERRY, AMANDINE\r\nObjet : RE:RE:[SAGESS 15.0] [SAGESS 15.0] Question Nom traitement Defect 40371\r\n\r\nRe,\r\nTout d\'abord, même si le graphe que vous utilisez est obsolète, dans \"02_integration des flux de maj provenant de GA\", le traitement \"sagtrtinter06\" est bien présent.\r\n(dans le doc que vous m\'avez transmis, le graphe original est découpé sur 3 pages, et dans chaque page, l\'image est plus grande que la page. Il faut réduire la tailles des images pour rentrer dans la page, et ainsi voir la totalité du graphe. Le traitement \"sagtrtinter06\" est en p1)\r\nPour SAGESS V15.0.0, le DEX de référence est le \"dex_sagess_nominal.docx\" V15.0.0.maj01, daté du 15/04/2015.\r\nLe graphe de traitement est au § 1.4.1.2 (page 23).\r\nL\'image est illisible, mais en dessous de l\'image le fichier sagess_14.0.1.jpg est disponible dans le dex.\r\nLe dex est présent dans le projet dans : SAGESS/1_titulaire/doc/administration/dex_sagess_nominal.docx\r\nci-joint, le graphe de SAGESS v15 au format jpeg (et aussi le graphe \"obsolete\" au format bnp)\r\n\r\nAmandine HERRY\r\n------------------------------------------------------------------------\r\nDe : Walter Jérôme [Caisse Nationale] [Jerome.Walter@rsi.fr]\r\nEnvoyé : jeudi 20 août 2015 13:47\r\nÀ : HERRY, AMANDINE\r\nCc : LE, CAROLINE\r\nObjet : RE: RE:[SAGESS 15.0] [SAGESS 15.0] Question Nom traitement Defect 40371\r\n\r\nMerci, dans le graphe dont je dispose je  ne trouve au maximum que le traitement sagtrtinter05.\r\nEst-ce que vous auriez un graphe à jour ?\r\nBien cordialement,\r\n\r\nJérôme WALTER\r\n------------------------------------------------------------------------\r\nDe : HERRY, AMANDINE [mailto:amandine.herry@atos.net] \r\nEnvoyé : jeudi 20 août 2015 13:43\r\nÀ : Walter Jérôme [Caisse Nationale]\r\nCc : LE, CAROLINE; HERRY, AMANDINE\r\nObjet : RE:RE:[SAGESS 15.0] [SAGESS 15.0] Question Nom traitement Defect 40371\r\n\r\nerratum. correction de mon précédent mail :\r\nDans le graphe, c\'est le traitement \"sagtrtmspoc02\" qui est en charge, pour les MSPOC, du contrôle de cohérences entre les informations de la dernière situation de rattachement rniam du bénéficiaire et ses périodes de droits.\r\nLe defect 40371 impacte le traitement \"sagtrtmspoc02\" du graphe de la gestion courante pour les RG implémentées dans le package PCK_MSPOC modifié pour cette évolution.\r\nLe defect 40371 impacte aussi le traitement \"sagtrtinter06\" du graphe de la gestion courante pour la RGs implémentées dans le package PCK_INTERFACE_IMPORT modifié pour cette évolution.\r\nJe reste à votre disposition si vous avez d\'autres questions sur ce sujet. \r\n\r\nAmandine HERRY \r\n--------------------------------------------------------------------------------\r\nDe : HERRY, AMANDINE\r\nEnvoyé : jeudi 20 août 2015 12:27\r\nÀ : Jerome.Walter@rsi.fr\r\nCc : LE, CAROLINE; HERRY, AMANDINE\r\nObjet : RE:[SAGESS 15.0] [SAGESS 15.0] Question Nom traitement Defect 40371\r\n\r\nBonjour,\r\nDans le graphe, c\'est le traitement \"sagtrtmspoc02\" qui est en charge, pour les MSPOC, du contrôle de cohérences entre les informations de la dernière situation de rattachement rniam du bénéficiaire et ses périodes de droits.\r\nLe defect 40371 n\'impacte que ce traitement \"sagtrtmspoc02\" du graphe de la gestion courante.\r\n\r\nAmandine HERRY \r\n------------------------------------------------------------------------\r\nDe : Walter Jérôme [Caisse Nationale] [mailto:Jerome.Walter@rsi.fr] \r\nEnvoyé : jeudi 20 août 2015 11:10\r\nÀ : LE, CAROLINE; Lombardo Aurélien [Caisse Nationale]\r\nObjet : [SAGESS 15.0] Question Nom traitement Defect 40371\r\n\r\nBonjour,\r\nPourriez-vous me dire dans le graphe quel est le traitement qui est en charge du « contrôle de cohérence du rattachement RNIAM/périodes de droits » tel qu’il est décrit dans la spécification du defect 40371 dans ma partie MSPOC ?\r\nMerci pour votre retour,\r\nBien cordialement,\r\n\r\nJérôme WALTER\r\nPrestataire NORSYS pour BDU/SAGESS\r\nRSI / DSI / DID / Pôle Test \r\nTel : Du lundi au Mercredi : 04 92 94 11 44 (ou 897 144) \r\nTel : Jeudi & vendredi : 04 92 38 89 33\r\n------------------------------------------------------------------------'),
(741, '+ OCD'),
(742, 'Ce SAXO ne correspond pas à une anomalie. En effet, les dates de clôtures sont modifiées uniquement dans les cas restrictifs. Ce comportement est conforme au SFD Habtiers V4.13 N2.3 page 30.\r\n'),
(743, '19/08/15 : Préparation suivi de projet num 6 + Réunion.\r\n20/08/15 : CR du suivi de projet 6.'),
(744, '17 et 18/08/15 : Retour de vacances de CME, point avec l\'équipe, mise à jour des indicateurs internes, mise à jour de CODEV.'),
(745, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nEtude d\'impact defect 41139 -  0.5j\r\ndefect 3204 - 0.5j\r\ndefect 41209 : anomalie annulée sur 34114 - 0.4j'),
(746, 'Le batch permétant de modifier les codes INSEE relatif SAXO INC0185290 a été exécuté  sur l\'environnement de production.'),
(747, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nAssistance - Reports V15.0 RIBA_PAL'),
(748, 'Après échanges avec Mickaël PICARD, la CNAF ne considère pas ce comportement comme un anomalie. Selon la CNAF, ce comportement est conforme car l\'affectation des tickets est valable à un instant t (image). Ce point devra être statué en suivi de projet.'),
(749, 're-ouvert:\r\n\r\n________________________________________\r\nSERGE BOUTIE <t_boutie>, 25/08/2015: Bonjour,\r\nNous avons ajouté l\'assuré : BEND_IF : 1265296 NIR : 1 83 03 59 560 126 13 dans la table Blocage de l\'environnement LT20. Suite à quoi, nous avons relancé le Batch Quotidien. Cependant, le BQ a de nouveau planté, après analyse, il s\'avère que l\'erreur est la même et c\'est donc toujours le même dossier qui fait planter. Nous avons également executé la requête que vous nous aviez demandé et nous retrouvons le même assuré, le dossier en question est présent.\r\nCordialement,'),
(750, 're-ouvert:\r\n\r\nMatthias Mayer <t_mayer>, 24/08/2015: \r\n \r\nBonjour,\r\n \r\nSuite au passage du palliatif pal_qc39144.sh le 21/08/2015 les dossiers dont la période à redresser n’est pas la dernière et qui est annulée par le traitement suite aux règles de gestion RG_D39144_04 et RG_D39144_05 ne sont pas journalisés dans JNL_STAT mais dans JNL_MODIF avant passage d’un Batch Quotidien.\r\n \r\nSelon la RG_D39144_07 on s’attend à ce que ces dossiers soit journaliser directement dans JNL_STAT avant passage d’un Batch Quotidien.\r\n \r\n \r\nVoir exemple de dossiers :\r\n \r\n \r\nPériode annulée via RG_D39144_04 :\r\nDRT_PREST_ID = 106554\r\nBENF_ID Ouvrant droit = 10255\r\nBENF_ID Ayant droit = 10256\r\n \r\n \r\n \r\nPériode annulée via RG_D39144_05 :\r\nDRT_PREST_ID = 424306\r\nBENF_ID Ouvrant droit = 122121\r\nBENF_ID Ayant droit = 122122\r\nINS_ADRT_ID = 37545\r\n \r\n \r\nVoir fichier de sortie du traitement en pièce jointe.\r\n \r\nVoir export de JNL_MODIF les concernant.\r\n \r\nTests effectués sur E94 GP92 CMR007.\r\nSuite au traitement le Batch Quotidien n’a pas été demandé.\r\n \r\nChaîne de connexion :\r\ngp92-E94=(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(Host=10.92.191.36)(Port=1533))(CONNECT_DATA=(SID=gp92)))\r\n \r\n \r\n \r\nCorrection du defect anomalie 41048  refusée.'),
(751, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nLivraison d\'une version V2.0 '),
(752, 'doublon de \"filtrage assure 3en1\"'),
(753, 'pas d\'impact'),
(754, 'Pour prise en compte FDR V1Maj5'),
(755, 'rien a faire sur cette partie (RSI)'),
(756, 'rien a faire'),
(757, 'rien a faire'),
(758, 'core dump, utilisation d\'un EXE pour faire passer sur 53.\r\nadaptation d\'un outil qui genere .EXE (shell)'),
(759, 'Attente de validation des specs (retard de 2-3 semaines )'),
(760, 'Livré / activé en Prod depuis le 1er sept.'),
(761, 'Defect annulé par la TRA'),
(762, 'Defect annulé par la TRA'),
(763, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n04/09/15 support CIN\r\n31/09/15:Réponse sollicitation de la balf'),
(764, 'Bonjour,\r\n\r\nAprès avoir fait une recherche, nous pouvons vous dire que Mme MAROCCO (isabelle.marocco@lapartdereve.com) est enregistré dans l\'organisme partenaire \"LPR LA GARDE\" dont le numéro siret est le \"49287675000158\".\r\nDe ce fait il est impossible de réutiliser cette même adresse mail dans un autre organisme .\r\n\r\nCordialement.'),
(765, 'Si la demande n\'est pas urgente, nous pourrons corriger cette anomalie en retirant le contrôle du siret en cas de clôture d\'un organisme lors de la prochaine version d\'Habtiers.'),
(766, 'Bonjour,\r\n\r\n1)Pour pouvoir répondre à votre demande, j\'ai besoin de connaître les CAFs pour \r\nlesquelles vous souhaitez connaître les responsables sûreté ?\r\n\r\n2)Sur ce point, je ne comprends pas votre demande sur \"les contacts par type de service\".\r\nEst ce que vous souhaitez avoir les agents partenaires ayant les tickets OMEGA, RSA et ESAT ?\r\n\r\n3)Qu\'est-ce que vous entendez par \"structures\" ? Est-ce que vous souhaitez les habilitations par CAF?\r\n\r\nMerci par avance pour vos réponses.'),
(767, 'Bonjour,\r\n\r\nLa période de validation d\'un agent partenaire n\'a pas besoin d\'être borné. Il n\'est pas recommandé de renseigner la date du 31/12/9999 pour répondre à votre besoin. Dans votre cas, il ne faut pas renseigner la date de clôture de l\'agent. Cette méthode est préconisée.\r\n\r\nEst-ce que ma réponse permet de résoudre votre problème ?\r\n\r\nChristophe MASCE'),
(768, 'Nous ne bornons plus, désormais, les nouvelles habilitations.\r\nMais pour celles qui avaient été créées avec une date de fin etsur lesquelles notre service informatique revient, il est possible de ne pas renseigner de date de fin pour le gestionnaire mais, au niveau de la convention, si une date de fin à nulle est saisie, cela génère une exception. D\'où la saisie d\'une date fictive au 31/12/9999 qui génère, à ce moment-là, un message au correspondant rattaché à la convention.'),
(769, 'Je vous remercie pour ces informations complémentaires.\r\n\r\nNous avons corrigé le problème décrit (exception sur date de fin de convention, cf INC0184626) dans la version 230.413000. Actuellement vous avez en production la version 0220.412003 (à me confirmer).\r\n\r\nLa version 230.413000 est prévue de rentrer en production le semaine 42 (le 12/10/2015).\r\n\r\nJe vous propose donc de me confirmer :\r\n 1)Le problème identifié correspond bien à l\'INC0184626.\r\n 2)La version d\'HABTIERS en production.\r\n 3)L\'urgence du problème, est ce vous souhaitez une correction sur la version 0220.412003 (livraison d’un patch)?\r\n\r\nEn vous remerciant,\r\n\r\nChristophe MASCE'),
(770, 'Bonjour,\r\n\r\nLe comportement décrit n\'est pas conforme aux SFD.\r\n\r\nLa suppression d\'un organisme doit provoquer la clôture (automatique) en cascade des entités suivantes :\r\n·	La convention.\r\n·	Les agents partenaires.\r\n·	Les habilitations de ces agents partenaires.\r\n\r\nLe responsable habilitation ne devrait pas pouvoir affecter des tickets après la suppression de l\'organisme.\r\nD\'après la capture d\'écran fournie, on peut constater que Christel JANTER n\'a pas de date de clôture et peu donc toujours affecter des tickets.\r\n\r\nDans la base, on peut constater que :\r\n·	L’organisme partenaire (21670482500019) a bien été clôturé le 06/07/15 et ré ouvert le 07/07/15.\r\n·	La convention également a été clôturée le 06/07/17 et ré ouverte le 07/07/15.\r\n·	En revanche les dates de clôture des agents partenaires ne sont pas cohérentes, elles sont datées au 04/09/15 et au 07/09/15.\r\n\r\nJe n\'arrive pas reproduire le problème dans mon environnement de développement (version hbt.0230.413001). Avant de créer un incident SAXO, je vous propose de vous rappeler demain pour voir en détail cette anomalie.\r\n\r\nCdt,'),
(771, '02/09/15 : Préparation suivi de projet num 6 + Réunion.'),
(772, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPréparation bon de commande sprint 6 le 31/08/15\r\nPoint organisation et pilotage avec Luc le 14/09/15'),
(773, 'Bonjour,\r\n\r\nSuite à notre appel telephonique, il n\'est pas possible de créer deux partenaire avec le même nom et prénom pour un même organisme.\r\nPour résoudre ce problème, il est necessaire de donner un nom et prénom diffrérent.\r\nexemple:\r\nagent 1 -> nom: Dupont-a prenom: Jean\r\nagent 2 -> nom: Dupont-b prenom: Jean\r\n\r\nCdt.'),
(774, 'Difficultés sur l\'environnement RAD 9.1:\r\nProblème layout\r\n\r\nCFP 004');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(775, '(10/09/2015 0.5j)\r\n  (16/09/2015 0.5j)\r\n\r\nSAGESS [evol] DEFECT 41372 : (evol sur defect 41182) \"Situation > certif etat civil impossible > tableau echanges : restitution des signalements\"\r\n\r\n-besoin initial (mail 09/09/2015) : Situation \"certif etat civil impossible\", tableau echanges -> evol : n\'afficher que les signalements ATT et AGA (pas les PIN)\r\n\r\n-besoin QC41372 :\r\n .Dysfonctionnement du defect 41182 : Suite à l\'évolution 41182, tous les signalements  liés à la demande demande consultation à corriger ayant reçu une réponse négative du RNIAM seront affichés à l\'écran, \r\nex affichage obtenu S002 et S049 , affichage souhaité S049\r\n .Objectif de la présente évolution :\r\nAfficher pour les demandes de consultion à corriger ayant reçu une réponse négative du RNIAM le signalement corresponat à l\'état en cours de la demande\r\n -l\'identifiant échange de la table échange = identifiant échange de la table signalement \r\n -et la date de mise à jour de la table echange = date de traitement de la table signalement \r\n echange(ID-echange) = signalement(ECH-ID) et signalement(date-traitement) = echange(date-maj))\r\n\r\n-besoin (maj 16/09/2015) : pour toutes les Situations, dans le tableau des échanges, sont affichés le ou les signalements :\r\n    dont le statut du signalement est « A TraiTer » ou «A éxaminer en GA » (pas les PIN)) \r\n    dont la date de mise à jour du signalement = date de traitement de l’échange\n\n'),
(776, 'Bonjour,\r\n\r\nSuite au point téléphonique de ce jour avec Corinne LAFRANCE, nous avons précisé les points suivants :\r\n1)	Vous souhaitez avoir les \"Administrateurs Caf\" et \"Responsables sûreté\" pour l\'ensemble des CAFs. Etant prestataire, j\'ai fait une demande auprès de la CNAF pour savoir si je suis habilité à vous fournir ces informations.\r\n2)	HABTIERS vous permet de nommer un ou plusieurs \"Responsables sûreté\" pour votre CAF. Vous pouvez donc par exemple désigner un  premier \"Responsable sûreté\" pour traiter gérer les tickets OMEGA et un second pour gérer les tickets RSA. Est-ce que cette précision répond à votre besoin.\r\n3)	Je suis toujours en attente d’une précision sur ce point. Qu\'est-ce que vous entendez par \"structures\" ?\r\n\r\nCdt,\r\n\r\nChristophe MASCE'),
(777, 'Suite à notre conversation téléphonique de ce jour (15/09/15), nous convergeons sur les besoins suivants:\r\n1)Founir les \"responsables sureté\" et les \"administrateurs CAF\" pour l\'ensemble des CAFs.\r\n2)Founir les habilitations (nom, prénom, organisme, mail, tickets) pour chaques partenairesde la CAF du NORD.'),
(778, 'Piste à engager : revue de code et vérifier si il pourrait dans ce cas précis avoir des différences entre le LDAP et la DB2.'),
(779, 'nouveau defect 41391 qui porte plus particulièrement sur sagtrtcpt02'),
(781, 'Mail de Sarah:\r\nN’ayant toujours pas d’accès, il y aura les parties suivantes à modifier :\r\n-	Selenium.utils.AccesRubriques : méthode accesAdresse à compléter\r\n-	Selenium.utils.Authentification : méthode authentificationCdap :\r\no	Id du bouton qui permet d’accéder à la saisie du numéro allocataire\r\n-	Selenium.utils.Authentification : méthode saisieAllocataireCdap :\r\no	Id de l’élément permettant d’identifier la page de l’allocataire\r\n-	Selenium.utils.Authentification : méthode deconnexionCdap :\r\no	Id du bouton de déconnexion\r\n-	Selenium.utils.AccesRubriques : méthode accesAdresseCafPro :\r\no	Id du lien adresse \r\n-	Selenium.utils.AccesRubriques : méthode accesAdresseCdap :\r\no	Id du lien adresse \r\n\r\n\r\nRemarques / Questions :\r\n\r\n1.	Rem : Sachant que certaines rubriques ne sont accessibles que pour certains profils, il faudra intégrer à celles-ci la vérification du profil pour ne pas jouer le test le cas échéant.\r\nDu coup, il vaudrait mieux que je crée une classe Profil qui prendrait – pour l’instant – les attributs « id », « psw » et « type_profil », de manière à passer ces objets en paramètres des tests\r\nAu lieu de passer x paramètres correspondants aux attributs, et leur nombre pouvant évoluer, je préfère passer un objet Profil, ça évitera de modifier les signatures des méthodes paramétrées.\r\n\r\n2.	Rem : les jeux de données allocataires et profils (avec id & password) sont externalisés dans des fichiers de ressources et extraits pour créer les @DataProvider\r\n\r\n3.	Rem : Attention, si ça plante sur la première page web, il se peut que l’url ne soit pas bonne -> voir dans ce cas l’enum URL.CAFPRO dans selenium.utils.Enums\r\n\r\n4.	Rem   : FirstTest est une classe à la c** qui sert de brouillon pour tester le test en cours de création\r\n\r\n5.	Rem : Le fichier d’exécution des tests testng.xml est actuellement configuré pour jouer les tests de la classe de test RubriqueAdresseTest sur Firefox\r\n\r\n6.	Rem : le projet de tests avec les modifications est sur le répertoire partagé SRT\r\n\r\n7.	Q : dernière partie du test selenium.tests.check_infos_rubrique_adresse (après le clic sur le lien « Adresse » dans CDAP, l78 et suivantes) : je n’ai pas factorisé car tu m’avais dit que fonctionnellement, ça pouvait être différent car un id peut pointer ailleurs, ils peuvent ne pas avoir le même nom, l’info peut être ailleurs…'),
(782, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDEFECT 41403 - 0.5j\r\n\r\nDEFECT 41511 - 0.5j'),
(783, 'Réunion planifiée le 30/09'),
(784, 'Attente retours SF ???'),
(785, 'Réunion de lancement le lundi 14 septembre 2015 à Oullins (Lyon).\r\n\r\nAvec :\r\n- Philippe GUIRAUD (responsable FA/OGISL)\r\n- Alex SALVI (chef de projet FA/OGISL)\r\n- Véronique DUCLOS-ORLY (fonctionnel / AMOA)\r\n- Christophe BRION (chef de projet / AMOA)\r\n- Christian BEZIAU (développeur pour Atos)\r\n- et Mikael NAVARRO (FO CDS)\n\n'),
(786, 'Réunion de lancement le lundi 1er juin 2015 à Montreuil (Paris).\r\n\r\nAvec :\r\n- Philippe GUIRAUD\r\n- René MALKA\r\n- Ali EL-HAGE\r\n- Mikael NAVARRO\n\n'),
(788, 'BDC 4400624688 en date du 20/07/2015'),
(789, '49j x 610 € = 29 889,91 € HT\r\n\r\nVu avec David MITRANI de déplacement en fin de période de 2x 2j ~= 1500 € de frais.'),
(790, 'BDC 4400621296 au 30/06/2015'),
(791, 'Réception d\'un complément de 30j pour le lot 2.'),
(792, '14/09/2015 :Réalisation des indicateurs Août HBT \r\n0141-CNAF-Marché-Lot-4-PRE-Indicateurs - HABTIERS (2015 T3 - aout)--rev1.0\r\nSuivi-CNAF-MCO-HABTIERS (2015 T3 -Août) Marché Lot 4--rev1.0'),
(793, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nEntretien individuel le 14/09/15\r\nEntretien avec le commercial de proelan le 18/09'),
(794, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nSuivi Hebdo du 15/09/15'),
(795, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n15/09/15:Etat de lieux mi sprint, retard sur le périmètre, mise à jour du périmètre et proposition de descopper certaines taches.'),
(796, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPrésentation de CODEV et du suivi de ses activités sous la commande \"fictive\" des alternants et des stagiaires.\r\n\r\nJérémy : Mise en place de l\'architecture du projet + ajout dans jazzRTC + Explication des objectifs et organisation du plan de test'),
(797, 'Entretien téléphonique avec Amel le 21/09/15.\r\nEnvoie de la proposition le 22/09/15 par mail :\r\nHBT-SAXO.ppt\n\n'),
(798, 'Envoie par mail le 21/09/15.'),
(799, 'Envoie par mail le 23/09/15.\r\nHBT-Présentation-N230-PRM-2015-08-29\n\n'),
(800, 'Comme évoqué au téléphone, cette requête doit se faire à travers la balf extranet pour demander la modification d\'un SIRET (car le partenaire n\'a pas de ticket omega donc cette action ne peut se faire avec l\'administrateur restreint).'),
(801, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTraitement de la balf mail du 17/09/15: Pb OMEGA problème de SIRET pour PERENCHIES.'),
(802, '- VM conf : tout est installé sauf :\r\n     • Configuration avec mes accès JazzRTC (en attente)\r\n     • Projet CDAP\r\n     • Configuration du proxy (attente de ma création d\'accès dans l\'\'Annuaire CAF)'),
(803, 'Cela a pris beaucoup de temps du fait du manque de connaissances sur Maven : ajouter les dépendances / jar / pom dans une VM sans accès à Internet, résolution de conflits, de problèmes d\'accès aux BDD.'),
(804, '- Lecture de la partie \"Service Builder\" sur le site officiel afin de comprendre le fonctionnement\r\n- Démarrage du tuto \"Créer son premier portlet\" issu de la documentation officielle'),
(805, 'Défini avec Jérémy : les tests porteront sur les rubriques suivantes :\r\n- Paiements\r\n- Dossier\r\n- Famille\r\n- Enfants Autres Personnes\r\n- Droits\r\n- Logement\r\n- RSA\r\n- Ressources\r\n- Créances\r\n- QF CNAF\r\n- QF CAF\r\n- Adresse\r\n- Courrier'),
(806, '• Chaque rubrique a son propre fichier TXT contenant les ids possibles. --> les fichiers sont créés --> ajouts des ids pour chaque rubrique à faire\r\n\r\n• Si l\'élément est présent sous CAFPRO, on le stocke en récupérant également sa valeur (sous la forme LinkedHashMap) --> fait\r\n\r\n• CAFPRO : Connexion / authentification / saisie allocataire / déconnexion en utilisant un jeu de données  --> fait\r\n\r\n• CDAP : Connexion / authentification / saisie allocataire / déconnexion en utilisant un jeu de données --> architecture définie / reste l\'implémentation car les accès JazzRTC seront OK, pour rapatrier le projet CDAP --> en cours\r\n\r\n• Accès Rubriques : toutes les signatures des méthodes pour CDAP & CAFPRO pour chaque rubrique sont créées --> seule l\'accès Adresse (CAFPRO) est implémentée'),
(807, '• Mise en place du framework TestNG --> fait\r\n\r\n• Mise en place du paramétrage des tests par navigateur --> fait\r\n\r\n• Mise en place du reporting personnalisé par navigateur sous forme PDF --> fait\r\n\r\n• Mise en place du parallélisme des tests Thread-Safe --> fait\r\n\r\n• Mise en place des jeux de données Allocataires & profils de manière automatique pour chaque test --> fait'),
(808, '• présentation CAFPRO / CDAP --> fait'),
(809, '• Présentation générale du concept de portlet --> fait\r\n\r\n• Présentation d\'un portail --> fait'),
(810, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n0.6j 41268 (anomalie relevé sur un defect livré => refusé réal)\r\n0.2j 03202 (refusé réal)\r\n0.2j 41260 (refusé réal)\r\n0.2j 03213 (refusé réal)\r\n0.5j 03221 (refusé réal)\r\n0.2j 41309 (Assistance - reports)'),
(811, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n0.2j 41319 (refusé réal)\r\n0.7j 03226 (refusé réal)\r\n0.2j 41483 (refusé réal)\r\n0.5j 03311 (Assistance)\r\n0.3j 41479 (Assistance)\r\n0.2j 41083 (Assistance report BDUWEB manquant)'),
(812, '• Implémentation de la methode accesDossier pour CAFPRO\r\n\r\n• Ajout des id pour Adresse dans toutes les jsp Adresse concernées\r\n\r\n• Ajout des id pour Dossier dans toutes les jsp Dossier concernées\r\n\r\n• Ajout des ids de link de menu pour Adresse et Dossier dans les PrincipalHaut'),
(813, '• Récupérer les id du fichier TXT directement dans une HashMap puis ajouter leur valeur associée.\r\nSupprimer de la hashmap si id inexistant sur la page\r\n-> problème : Erreur \"Concurrent\" lorsqu\'on veut supprimer de la HashMap alors qu\'on est en train de la parcourir\r\n\r\n=> retour sur le principe : on récupère les Id dans une List puis on parcourt cette liste et pour chaque id présent, on ajoute le couple id / valeur dans la Hashmap (même si valeur nulle)'),
(814, '• Classe Authentification complétée avec toutes les méthodes CAFPRO & CDAP (connexion, authentification, saisie d\'allocataire et déconnexion).\r\n\r\n• Rubrique Droits : ajout des ids sur le menu & l\'élément de chargement de la page\r\nRéflexion sur la manière de gérer les tableaux, sachant \"logic iterate\" ne permet pas d\'avoir un id par <td>\r\n-> donc on met un id sur le tableau puis on récupère en une seule valeur la liste des droits : intitulé + montant (séparateur : \";\").\r\n=> il faudra ensuite voir le cas du \"précédent\" : id \"previous\" à ajouter et génération de 2 hashMap du coup => List<LinkedHashMap<String, String>>'),
(815, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n30/09 :\r\n-Mise en place de l\'env de dev : \r\n-- téléchargement des projets JazzRTC\r\n-- installation dans les différents IDE\r\n---configuration diverses\r\n02/10 :\r\nConfiguration du serveur liferay afin d\'utiliser l\'application PCA (roles etc.)'),
(816, 'doublon de 40667'),
(817, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRecherche et création d\'une V1 du ppt\r\nAnalyse des limites de l\'import/export'),
(818, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n- Création des LAR depuis ma VM\r\n- Installation des WARs sur ENV-I : Problème d\'update\r\n- Intégration complète\r\n-Préparation du serveur de démo pour la retro\r\n-Multiple installation pour l\'intégration'),
(819, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n24/10/15: Préparation de la Retro pour le sprint#6 (avancement, indicateurs, ppt de présentation) '),
(820, 'Ne pas oublier qu\'il faut aussi déployer le serveur de déploiement en version 20 + son accès natif SQL Server'),
(821, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n28/10/15: Définitions des taches avec Jérémy. '),
(822, '02/10/15 \r\nNous sommes entrain de mettre à jour le niveau de log de l\'application afin d\'avoir plus d\'informations sur le problème.'),
(823, 'Bonjour,\r\n\r\nNous prenons en compte votre demande, il s\'agit ici d\'une évolution.\r\nCette évolution sera traitée au prochain suivi de projet le 23/09/15.\r\n\r\nJe reviendrai vers vous par la suite.\r\n\r\nCdt,'),
(824, '- Découverte du Control panel\r\n- Début du tuto sur le management des users / organisations / rôles\r\nhttp://www.liferay.com/documentation/liferay-portal/6.2/user-guide/-/ai/the-portal-section-of-the-control-panel-liferay-portal-6-2-user-guide-16-en\r\n=> terminé\n\n'),
(825, 'Migration env. CRD vers env. CERTIAM terminée'),
(826, '- Suite du tuto, partie Users groups => terminé\n\n'),
(827, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nmodification logger en mode debug'),
(828, '- Suite du tuto, partie gestion de sites :\r\n     • Créer un site\r\n     • Créer des pages\r\n     • Hiérarchie de site\r\n     • Layout de pages (tous les exemples testés)\r\n     • Installer (déjà existants), ajouter, enlever des portlets\r\n     • Import / export avec les LAR\r\n=> terminé\r\n\r\n- En cours : Look and feel / Thèmes'),
(829, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nAnalyse de la caf de Nice (env 75% du total)'),
(830, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nInvestigation par rapport au pages accessible en /node/1234 Script script_node.php'),
(831, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nIntégration des des interfaces et sevices : Mise en place d\'un converter (classe java PartnerTypeConverter). Modification de spécificités par rapport a la charte graphique (validation par kévin)'),
(832, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRevue de code + correction sur type partenaire'),
(833, 'Point avec Thierry le 09/10/15.\r\n\r\nSuite au point téléphonique fait avec Thierry Guiot, l\'organisation pour cette période (S41-S42) est la suivante:\r\n•	PRE-PRODUCTION : L\'équipe ISU prendra en charge la mise jour de l\'URI IRSA déclarée dans la BOSE pour pointer sur /extranet/nat.su?to=/nra-irsa-web/Recherche.do... en lieu et place du /nra-irsa-web/Recherche.do. Cette action sera réalisé samedi (10/10/15) après 18h00. \r\n•	PRODUCTION : L\'équipe HABTIERS (ATOS) prendra en charge la mise à jour des tickets USAPE (batch) pour les institions internes le vendredi (16/10/15) après 18H00.'),
(834, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n06/10/15: Suivi hebdo avec Christophe Millot\r\n05/10/15: Préparation du COPIL (diapo) planifié le 07/10/15.\r\n07/10/15: COPIL TMA lot 4 \r\n13/10/15 :  Suivi hebdo avec Christophe Millot et revue des questions à poser à Michelle Balestra.'),
(835, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n02/10/15 : Point SAXO et mise à jour des indicateurs internes\r\n06/11/15 : Indicateurs HBT du mois d\'octobre et suivi du projet.\r\n14/12 : Suivi hebdo avec JPX, préparation de la L1606 (désengagement ZOS).\r\n17/12 : Réunion avec Thierry Guiot L1606 et Planification pour le chantier \"Suppression de la réinitialisation du mot de passe\". (cf 0XXX-CNAF-Marché-Lot-4-HBT-ZOS- Atelier n°3--rev1.1.ppt).\r\n04/01/16:Planification des phase 2 et 3 pour le désengagement ZOS.'),
(836, 'Support fonctionnel. Ce saxo ne concerne pas l\'application HBT. Redirection'),
(837, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n41083 (report BDUWEB)\r\n41479 (assistance BDUWEB V15.0.40)\r\n03311 (assistance DT_DEB = DT_FIN)\r\n41483 (Anomalie bloquante OutOfMemory) Refusé réal\r\n03338 (Anomalie bloquante) Refusé réal\r\n03339 (Anomalie bloquante) Refusé réal\r\n03392 (Anomalie bloquante) Refusé réal\r\n03288 (Anomalie majeur) Refusé réal\r\n41614 (Evolution/ Anomalie sur INFOBENEF)\r\n03154 (Anomalie) TAIGA - RefToMessageId'),
(838, '- Suite du tuto, partie Users, Roles and permissions\r\n=> terminé\r\n\r\n- En cours : tuto jsf'),
(840, 'Bonjour, suite à notre entretien téléphonique de ce jour, j\'ai pris note des points suivants :\r\n1)Besoin d\'indiquer une boite au lettre collective dans le mail emis ou de mentionner un message spécifique (à definir).\r\n2)Identifier clairement les messages envoyés par la CNAF aux partenaires en rajoutant le logo de la CNAF.\r\n\r\nCes points seront abordés au prochain suivi de projet.'),
(841, 'Après analyse du code, pas d\'erreur identifiée.\r\n\r\nLe problème a été résolu (support téléphonique) après avoir effectué deux opérations successives de modifications.\n\n'),
(842, 'rédaction du support architecture PHA (CNAF-PHA-Architecture technique .ppt)'),
(843, 'Erreur a l\'initialisation de la servlet de chargement des tables de codes.\r\nUn redémarrage de l\'application a été nécessaire pour fixer le problème.\r\nIl faudrait tester mais normalement ça devrait etre OK.'),
(844, '1) Est ce que l\'indisponibilité de la BOSE au moment du démarrage du serveur est à l\'origine de cette erreur \"Table de code REGION inconnue\" ?\r\nA priori non car les tables de codes sont des fichiers xml.\r\n 2) Si oui y a t\'il un moyen de charger les tables de code même en cas d\'indisponibilité de la BOSE au moment du démarrage du contexte applicatif ?\r\nCes tables sont déjà chargées au démarrage.\r\n\r\nDans quel contexte le message \"Table de code REGION inconnue\" est apparu ( au lancement de l\'appli ou après être rentré dans une vue HBT)?'),
(845, 'Bonjour Christophe,\r\nMerci pour tes réponses.\r\n\r\nPour mon cas, le message est apparu lors de la rentrée dans une vue HBT et non au démarrage de l\'application.\r\nCordialement,\r\nThierry GUIOT.'),
(846, 'J\'ai reproduit le problème en local sur ma machine.\r\n\r\nPour une raison que j\'ignore le fichier hbt-TablesDeCodes-production.xml ne devait pas être présent.\r\n\r\nDans ce contexte, je produit exactement l\'erreur en entrant dans la vue organisme d\'HBT (voir ci-joint).(See attached file: Exception_Table_Code.JPG)\r\n\r\nCdt,'),
(847, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nCette tache prend en compte la partie intégration pour les tests 0.5 jours'),
(848, 'Bonjour,\r\n\r\nCe Saxo correspond à une évolution. Je vous propose le comportement suivant:\r\n\r\nSi (Date jour >= Date de clôture), le message sera \"L\'accès au portail de la branche Famille http://services.caf.fr vient de vous être retiré\".\r\n\r\nSi (Date jour < Date de clôture), le message sera \"L\'accès au portail de la branche Famille http://services.caf.fr vous sera retiré au XX/XX/XX\".\r\n\r\nEst ce que cette proposition correspond à votre attente?\r\n\r\nSi oui, elle sera proposée au prochain suivi de projet.\r\n\r\nCdt,'),
(849, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nLes interfaces, et implémentations sont développées, pour le moment nous avons trouvé un moyen de ne pas utiliser le mapper. Le code développé dans le mapper est utilisé directement dans les services de rôle d\'application.'),
(850, 'Fin du paramétrage de l\'environnement => terminé\r\n- connexion CDAP / CafPro (avec portlet & WS OK) (Jérémy)\r\n- création des profils LR T1 à T5 avec les permissions adéquates\r\n- création des users LR user1 à user5 avec chacun le profil adéquat (non PowerUser), mdp \"test\"\r\n\r\nLe RAF va pouvoir être estimé\n\n'),
(851, 'Estimation du RAF => 8 jours\r\n\r\n1. Tâches à risque (peuvent cacher de la complexité) :\r\n- Méthodes > CreateLists : la gestion des écrans \"Précédents\" // \"trimestrielles\" peut prendre du temps\r\n- CDAP > id JSF : l\'ajout des ids peut provoquer la casse de la vue, il faudra donc être prudent et trouver des solutions au cas par cas peu être long.\r\n\r\n2. Détails :\r\n• Méthodes (2 jours):\r\n     - Authentification : vérifier la connexion à CDAP avec mon environnement en localhost (modification car on arrive sur la saisie de l\'allocataire)\r\n     - CreateLists : faire des méthodes de récupération d\'id/values sur toutes les pages \"précédentes\"\r\n\r\n• CAFPRO - ids dans JSF (pages et menu) (1 jour) :\r\n     - Paiements & Ressources\r\n\r\n• CDAP - ids dans JSF (pages et menu) (2 jours)\r\n     - Adresse, Droits, Paiements, Ressource et Dossier\r\n\r\n• Mettre à jour les ids dans les fichiers de ressources des rubriques (1 jour)\r\n     - Paiements & Ressources\r\n\r\n• Rédiger les tests  (2 jours) : \r\n     - Adresse, Droits, Paiements, Ressource et Dossier\n\n'),
(852, '• Authentification\r\n- Paramétrage modifié pour qu\'on arrive bien sur la page de saisie allocataire après authentification\r\n- Connexion, authentification & saisie allocataire terminées\r\n\r\n• CDAP - ids JSF (LR > pca > pca-portlet > src > main > webapp > views)\r\n- adresse > synthese.xhtml : ajout des ids\r\n(et aussi création dans pca-tests > ... > Enums de BASE_ID qui comprend la partie de l\'id concernant le portlet, à concaténer) \r\n\r\n• Méthodes\r\n- CreateLists > getPresentIdsAndValuesWithPrevious : terminée et fonctionnelle\r\n- accesDroitsCdap : en cours\n\n'),
(853, 'pgeFormulaireF3MultiBeneficiaire -> celCadreArbreModele'),
(855, 'Vérifier partout où il y a un bouton rechercher (là où il y a un filtre)'),
(856, 'Message apparaît lors de la sélection d\'un deuxième bénéficiaire sur le F3 GIH : \"Il n\'y a pas de gestion des doublons pour un formulaire multi bénéficiaire !\"'),
(857, 'Utiliser les comptes IACH4310 et IAGA6550 sur région Centre'),
(858, 'pgeFormulaireF3MultiBeneficiaire -> celCadreInfosDemande -> clic de lnkOngBeneficiaire'),
(859, 'Bug réouvert\r\n\r\nBonjour,\r\n\r\nRéponse     : 09/10/15\r\nAprès investigation nous pouvons vous dire que cette erreur va être corriger dans la prochaine version d\'Habtiers.\r\nNous vous invitons à réessayer la même action à partir du 19/10/2015\r\n\r\nJe viens de tester et ça ne fonctionne tjs pas.\r\n\r\nMerci de voir\r\nCdlt,'),
(860, 'Test en local -> OK\r\nVérification du paquet en production -> KO, Paquet non conforme\r\nVérification après du CSN.\r\nDemande du déploiement auprès du service de coordination des déploiements.\r\n\r\nRéponse au client: \r\n\r\nBonjour, \r\n\r\nLa paquet hbt 0230.413001 corrigeant ce problème aurait du être déployé ce week-end, mais apparemment ça n\'a pas été le cas après vérification.\r\n\r\nJ\'ai demandé au service coordination des déploiement de diffuser l\'AMP.\r\n\r\nJe reviendrai vers vous quand j\'aurai connaissance de la date du déploiement.\r\n\r\nCdt,\r\nChristophe MASCE'),
(861, 'Réduction de la hauteur de mla cellule car ça décale en dessous !!!'),
(862, 'Elargissement de la zone d\'affichage aussi sur la page F3 simple.'),
(863, 'En fait le problème était sur le FILTRE_RESSOURCE_WORKFLOW pour SAP si prestataire (n°2).\r\nOn filtrait, à tord, les actions SAP : du coup pas de màj de SAP.\r\n\r\nCf. TraitementFileAttenteEtatFormulaires -> si \"Valid. en cours\" : formulaireValidé -> génèreActions -> créeActionsPanierDependancesRessWF\r\n\r\n<pre>\r\nSELECT a.CODE_REQUETE,\r\n       ( SELECT b.SQL AS \'processing-instruction(q)\'\r\n         FROM REQUETE_SYSTEME b\r\n         WHERE b.CODE_REQUETE = a.CODE_REQUETE\r\n         FOR XML PATH(\'\'), TYPE\r\n       ) AS RQ\r\nFROM REQUETE_SYSTEME a\r\n</pre>\r\n+ FILTRE_RESSOURCE_WORKFLOW\n\n'),
(864, '=> rajouter un filtre sur le type d\'ordre \"dépl. utilisateur\"\n\n'),
(865, 'Bonjour,\r\n\r\nSuite à notre conservation téléphonique, j\'ai pris connaissance de votre besoin. Cette évolution sera abordée au prochain suivi de projet.\r\n\r\nCdt,'),
(866, 'Mail à Jean Michel PAQUAUX:\r\n\r\nBonjour Jean-Michel\r\n \r\nJe reviens vers toi pour les SAXO suivants qui demandent une prise de décision :\r\n \r\n INC0204239 (CAF DES LANDES)\r\n\r\nINC0195741 (CAF DU VAR)\r\n\r\nINC0202358 (CAF DE LA VENDEE)\r\n\r\n \r\nCes SAXOs (évolutions) demandent de pouvoir adresser une « balf » à la place du superviseur CAF dans les mails adressés aux agents partenaires (voir document ci-joint).\r\n\r\n\r\nEn effet le superviseur a uniquement un rôle d’administrateur ; en dehors de problèmes de connexion, l’agent doit s’adresser au service concerné et non au superviseur.\r\n \r\nExemple pour la CAF DES LANDES :\r\nDans le contexte OMEGA, le superviseur de cette CAF est en train de déclarer 40 partenaires comprenant la création ou la modification de 1 à 6 agents .\r\nIl y a donc 240 mails envoyés aux agents.\r\nPour l’année prochaine, elle devra déclarer 220 partenaires soit 1320 mails envoyés.\r\n \r\nMessage communiqué à ces CAFs :\r\nJ’ai indiqué à ces CAFs que ces évolutions doivent être abordées en suivi de projet pour prise de décision sur leur réalisation.\r\n \r\nImpacts :\r\nModification du MCD, persistance des adresses mail des « balf ».\r\nModification du formatage des mails existants.\r\n\r\n \r\nPeut-on convenir d’un point spécifique pour échanger sur ce sujet ?\r\n \r\nCdt,'),
(867, 'De : DE MAREUIL Fabrice-ext \r\nEnvoyé : jeudi 22 octobre 2015 15:12\r\nÀ : DEMANGE Alain\r\nCc : *SI PTSR SA SF GALA Qualif; _ldr SI PTSR SA GALA Dev\r\nObjet : Taille max attribut activites\r\n\r\nSalut Alain,\r\n\r\n\r\nActuellement, GALA permet d’alimenter l’attribut « activites » dans AAE à partir d’un nombre de sites (via leur code safir) égal à 30.\r\n\r\nIl est envisagé de passer ce nombre de sites à 140.\r\n\r\nL’attribut « activites » pourrait donc passer à 2012 caractères.\r\n\r\nEst-ce un problème ? Existe-t-il une taille max pour cet attribut (ou pour les attributs en général) ?'),
(868, 'De : DE MAREUIL Fabrice-ext \r\nEnvoyé : jeudi 22 octobre 2015 15:39\r\nÀ : MANENT Jessica-ext\r\nCc : _ldr SI PTSR SA GALA Dev; *SI PTSR SA SF GALA Qualif\r\nObjet : TR: Taille max attribut activites\r\n\r\nJessica,\r\n\r\n\r\nPour info, par rapport à l’évolution Nb de sites max passant de 30 à 140 pour les formulaires MSMA, le problème concerne la taille max de la colonne FORM_ACTION.LIB_HABILITATION\r\n\r\n\r\nPour les actions des F7 dont il est question, cette colonne contient des infos sous la forme\r\n\r\n\r\nACT_TOUTES-ACTIVITES|1|95132-P5605XR+93160-P56098V\r\n\r\n\r\n=> TailleMax =  libelle_activite (50 caractères) + 3 caractères + (14 caractères × Nb sites) - 1\r\n\r\n\r\n\r\nDonc si Nb sites = 140\r\n\r\nTailleMax = 50 + 3 + (14 × 140) – 1 = 2012\r\n\r\n\r\nJe ne maîtrise pas assez bien ce que ça représente côté espace disque d’augmenter la colonne FORM_ACTION.LIB_HABILITATION de 500 à 2500 caractères par exemple, sachant que la table FORM_ACTION contient 22,5 millions de lignes. Je crois que le type VARCHAR, contrairement au type CHAR, ne prend de l’espace disque que par rapport à la taille vraiment utilisée dans la colonne…\r\n\r\nMais si c’est vraiment nécessaire je ne vois pas d’autre solution.\r\n\r\nJ’ai demandé à Alain si l’attribut correspondant dans AAE est limité en taille de caractère.'),
(869, 'SELECT * \r\nFROM PARAMETRE_SYSTEME\r\n  INNER JOIN PARAMETRE_SYSTEM_PLATEFORME\r\n    ON PARAMETRE_SYSTEM_PLATEFORME.ID_PARAMETRE_SYSTEME = PARAMETRE_SYSTEME.ID_PARAMETRE_SYSTEME\r\nWHERE VALEUR_PARAMETRE = \'30\'\r\n\r\nID_PARAMETRE = 62\r\nNOM_PARAMETRE = \'NB_MAX_SITE_PAR_ACTIVITE\''),
(870, 'On pourrait passer la taille des champs FORM_ACTION.LIB_HABILITATION à varchar(4000) ou même varchar(max) et de même pour FORM_ACTION.LIB_HABILITATION_CPLT.\r\n\r\nD\'après la doc SQL Server, le varchar n\'occupe que la place disque nécessaire au stockage de la valeur (+ 2 chars).'),
(871, 'Problème dû au mauvais paramétrage de l\'utilisateur. La langue était paramétré à \"Catalan\" au lieu de \"Français\".'),
(872, 'ALTER TABLE FORM_ACTION MODIFY LIB_HABILITATION varchar(4000)\r\nALTER TABLE FORM_ACTION MODIFY LIB_HABILITATION_CPLT varchar(2000)'),
(873, 'pgeMSMA -> ongActivitesSites -> tblSiteAffectes\r\n\r\nbtnEnregistrer -> SaisieOkServeur -> VerifNbMaxSites -> Appli.getParam(\"NB_MAX_SITE_PAR_ACTIVITE\")'),
(874, 'FORM_ACTION.LIB_HABILITATION = \'ACT_TOUTES-ACTIVITES|1|95132-P5605XR+93160-P56098V\'\r\n=> lib_activite (50 chars) + \'|1|\' (3 chars) + (code_safir (5 chars) + \'-\' + code_tp (7 chars) + \'+\') * nb_sites - 1\r\n= 2012 pour 140 sites\r\n\r\nFORM_ACTION.LIB_HABILITATION_CPLT = \'95132,93160\'\r\n=> (code_safir (5 chars) + \',\') * nb_sites - 1\r\n= 839 pour 140 sites\n\n'),
(875, 'Attente réponse d\'Alain DEMANGE sur la taille max des attributs dans AAE...'),
(876, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nSupport sur les parametres partenaires\r\n27/10 Support pb jazz rtc'),
(877, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nCette partie prend en compte l\'intégration pour les tests 0.5 jour\r\nMonter en compétences sur les finders + dto + framework cnaf + code existant 1 jour'),
(878, '- pgeApprobationListe\r\n- pgeFormulaireListe\r\n- pgeFormRessourceLocale'),
(879, '- pgeCopieRepertoire\r\n\r\nformat numérique du n° de demande ???\r\n\r\n& plus généralement pourquoi ne pas utiliser les masques de saisie ???'),
(880, '- pgeFormRessourceLocale \r\n+ modRechercheLDAP -> impact modèle'),
(881, '- pgeFormulaireF3...\r\n- pgeGih*'),
(882, '- pgeGroupeEtat\r\n- pgeHabilitation\r\n- pgeIdentifiantDGASI\r\n- pgeOParametrie\r\n- pgeMetier*\r\n- pgeModification*'),
(883, '- pgeQuestion\r\n- pgeOrganisationSite\r\n- pgeRealisationListe\r\n- pgeReconductionContrat\r\n- pgeParametrie\r\n- pgeScheduler\r\n- pgeSupervision\r\n- pgeRessource*\r\n- pgeWsAppelDirect'),
(885, 'pgeFormulaireChgSiteMultiBeneficiaire.btnRechercherMultiBeneficiaire\r\n  \\\r\n   +-> FormulaireLib.RechercheAgentFormulaire\r\n         \\\r\n          +-> ...'),
(886, 'De : NAVARRO Mikael-ext \r\nEnvoyé : lundi 26 octobre 2015 16:28\r\nÀ : GUERRERO Virginie-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: Demandes d\'informations sur la recherche du F1 changement de site\r\n\r\nRe,\r\n\r\nQu’est ce qui se passe à la sélection / recherche d’un ou des agents pour un « Changement de Site » ?\r\n\r\n- Cas de la page FormulaireF1ChgSite : plus utilisé ?\r\n\r\nOn sélectionne le type d’ « Événement RH agent », puis :\r\n\r\nSur le clic « Recherche d’un agent » on prépare la recherche avec un filtre sur les agents actifs si le type d’ordre (Événement RH agent) est différent de « Activation Utilisateur » et « Suspension Suppr. Utilisateur ».\r\n\r\nPuis, après avoir sélectionné l’IDDGASI, prénom et nom on lance la recherche LDAP. C’est ici que le « matching » du site est effectuée afin de n’afficher que les agents correspondant à l’institution (Organisation) sélectionnée.\r\n\r\nRq. Le bouton de recherche n’est pas accessible pour les cas où le type d’ordre est égal à « Création Utilisateur ».\r\n\r\n- Cas de la page FormulaireChgSiteMultiBénéficiaire :\r\n\r\nIci le type d’ordre est positionné à « Dépl. Utilisateur », le reste du processus est le même (à partir du bouton « Ajouter »).\r\n\r\nP.S. on peut ici sélectionner plusieurs Institutions / Organisations.\r\n\r\nCdt,'),
(884, 'pgeFormulaireF1ChgSite.btnRechercherLDAP\r\n  \\\r\n   +-> FormulaireLib.RechercheAgentFormulaire\r\n         \\\r\n          +-> pgeFormulaireF1ChgSite.IinitModeleRechLDAP\r\n\r\nPuis : pgeFormulaireF1ChgSite.btnRechercherLDAPPopUp\r\n         \\\r\n          +-> LanceRecherche\r\n                \\\r\n                 +-> LdapAAE.PrepareRechercheLDAP & LdapAAE.RechercheLDAP\n\n'),
(887, 'De : The Bug Genie [mailto:gala@pole-emploi.fr] \r\nEnvoyé : lundi 26 octobre 2015 15:44\r\nObjet : Re: [version301] Demande d évolution n°27 - F3 Option GIH : Ajout d’un commentaire\r\n \r\nHi, NAVARRO Mikaël!\r\nDemande d évolution n°27 - F3 Option GIH : Ajout d’un commentaire was updated by MANENT Jessica.\r\n\r\nIl a été vu avec ST, qu\'il s\'agira juste de mettre le \"Motif de déploiement de masse\" en commentaire sous forme d\'infobulle dans la demande créee.\n\n'),
(888, 'Insert into FORM_COMMENTAIRE'),
(889, 'pgeGihMultiBeneficiaire\r\n  \\\r\n   +-> btnGenereF3GIH\r\n         \\\r\n          +-> BeneficiaireGenererF3GIH\r\n                \\\r\n                 +-> insert GIH_DEPLOIEMENT_MASSE (ID_GIH_DEPLOIEMENT_MASSE, MOTIF_DEPLOIEMENT_MASSE, ID_GALA_UTILISATEUR_MAJ, DATE_MAJ)\r\n                 +-> pour tt bénéficiaires : \r\n                       \\\r\n                        +-> récup liste des IdsActivitésFinales\r\n                        +-> insert FORM_GIH (ID_DGASI, ID_METIER, LISTE_ID_ACTIVITES, ID_GIH_DEPLOIEMENT_MASSE, ...)\r\n\r\nPuis, tte les 1 minutes :\r\n\r\nGIHServeur.TraitementFileAttenteCreationF3Gih\r\n  \\\r\n   +-> select / réservation\r\n         \\\r\n          +-> CreationF3GihAgent\r\n                \\\r\n                 +-> insert / update FORMULAIRE\r\n                 +-> insert FORM_COMMENTAIRE\n\n'),
(890, 'Insert dans FORM_COMMENTAIRE (dans GIHServeur.CreationF3GihAgent) juste après l\'enregistrement du formulaire.'),
(891, 'SELECT TOP 3 * \r\nFROM FORM_GIH \r\n    INNER JOIN GIH_DEPLOIEMENT_MASSE ON GIH_DEPLOIEMENT_MASSE.ID_GIH_DEPLOIEMENT_MASSE = FORM_GIH.ID_GIH_DEPLOIEMENT_MASSE \r\n--WHERE FORM_GIH.ID_GIH_DEPLOIEMENT_MASSE = 525\r\nORDEr BY DATE_MAJ DESC\r\n\r\nSELECT TOP 3 FORMULAIRE.ID_FORMULAIRE, BOOL_F3_GIH, ID_GIH_SYNCHRO, ID_GIH_DEPLOIEMENT_MASSE, BOOL_COMMENTAIRE, FORMULAIRE.COMMENTAIRE, FORM_COMMENTAIRE.COMMENTAIRE, FORM_COMMENTAIRE.DATE_COMMENTAIRE, ID_GALA_UTILISATEUR_MAJ, DATE_MAJ\r\nFROM FORMULAIRE\r\nLEFT JOIN FORM_COMMENTAIRE ON FORM_COMMENTAIRE.ID_FORMULAIRE = FORMULAIRE.ID_FORMULAIRE\r\n--WHERE FORMULAIRE.ID_GIH_DEPLOIEMENT_MASSE = 525\r\nORDER BY DATE_MAJ DESC'),
(892, '• Méthodes\r\n- Ajout d\'une méthode permettant l\'attente du chargement complet de la page (en utilisant JavascriptExecutor et de la programmation fonctionnelle)\r\n=> terminée & ajoutée à l\'existant\r\n\r\n- Ajout de l\'accesRubriqueDroits\r\n=> problème : bien que la page soit chargée, les onglets \"bougent\" encore (ne semblent pas encore être chargés\".\r\nSolution : si j\'ai l\'élément web et la classe qui va bien permettant de dire que l\'onglet est chargé, je peux créer la méthode de l\'accèsRubriqueCdap\r\nCar là, une fois sur deux ça plante'),
(893, 'Pour test...'),
(894, 'Pas oublier de filtrer l\'exception.'),
(895, 'A voire / tester si on place le sémaphore sur le point d\'entré principal..?\r\n\r\nAu final non, à faire sur chaque fonction.\n\n'),
(896, 'Sur la page \"Chargement d\'habilitations\" / Appels directs de WS.\n\n'),
(897, 'pgeFormulaireF3MultiBeneficiaire\r\n  \\\r\n   +-> ongRessource \"Demande Ressources/Habiliattions\"\r\n         \\\r\n          +-> ongRessourceHabilitation \"Recherche libre\"\r\n                \\\r\n                 +-> btnSuppressionHabilitationLibre\r\n                       \\\r\n                        +-> AjoutePanierRessource \r\n                              \\\r\n                               +=> tblPanierRessourceLibre\r\n  \\\r\n   +-> ongRessource \"Synthese Demande\"\r\n         \\\r\n          +-> InitSynthesePanier\r\n                \\\r\n                 +=> copie tbkSyntheseRessource\r\n         \\\r\n          +-> ongSynthese \"Synthese des demandes d\'ajout / suppression de ressources\"\r\n                \\\r\n                 +-> \"Afficher les dépendances\" = Int_filytreAffichage => NON UTILISE\r\n                \\\r\n                 +-> tblSyntheRessource\r\n                       \\\r\n                        +-> (onclick) AfficheRessourceDependanteSynthese()\r\n                              \\\r\n                               +-> (trtClic) btnAfficheRessDependanteSynthese\r\n                                     \\\r\n                                      +-> InitRessourcesDependantes\r\n                                            \\\r\n                                             +=> recherche dépendances GIH_RESSOURCE\n\n'),
(898, 'Ci-dessous la requête qui est utilisée pour afficher dans la popup les ressources en dépendance :\r\n\r\n<pre>\r\n-- Dépendances au package : ACROBAT PRO (1522943)\r\nSELECT\r\n  GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE_PERE AS ID_RESSOURCE_PARENT\r\n, GIH_RESSOURCE.ID_RESSOURCE\r\nFROM\r\nGIH_RESSOURCE_DEPENDANCE\r\nINNER JOIN GIH_RESSOURCE\r\nON    GIH_RESSOURCE.ID_RESSOURCE = GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE\r\nINNER JOIN RESSOURCE_TYPE\r\nON RESSOURCE_TYPE.ID_RESSOURCE_TYPE = GIH_RESSOURCE.ID_RESSOURCE_TYPE\r\nWHERE\r\nGIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE_PERE IN(1522943)\r\n\r\nSELECT\r\n  GIH_RESSOURCE.ID_RESSOURCE\r\n, 0 AS COCHE\r\n, RESSOURCE_TYPE.LIB_RESSOURCE_TYPE\r\n, RESSOURCE_PARENT.LIB_RESSOURCE AS LIB_RESSOURCE_PARENT\r\n, RESSOURCE.LIB_RESSOURCE\r\n, GIH_RESSOURCE.LIB_HABILITATION\r\n, GIH_RESSOURCE.ID_RESSOURCE_TYPE\r\n, CASE WHEN GIH_RESSOURCE_DEPENDANCE.BOOL_AJOUT = 1 THEN 1 ELSE 2 END AS BOOL_AJOUT\r\nFROM\r\nGIH_RESSOURCE_DEPENDANCE\r\nINNER JOIN GIH_RESSOURCE\r\nON    GIH_RESSOURCE.ID_RESSOURCE = GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE\r\nINNER JOIN RESSOURCE\r\nON    RESSOURCE.ID_RESSOURCE = GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE\r\nINNER JOIN RESSOURCE RESSOURCE_PARENT\r\nON    RESSOURCE_PARENT.ID_RESSOURCE= GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE_PERE \r\nLEFT JOIN RESSOURCE_TYPE\r\nON    RESSOURCE_TYPE.ID_RESSOURCE_TYPE = RESSOURCE.ID_RESSOURCE_TYPE\r\nWHERE\r\nRESSOURCE_TYPE.BOOL_TYPE_SYSTEME = 0\r\nAND\r\n(\r\n(GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE = 214635 AND GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE_PERE = 1522943)\r\nOR (GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE = 1378477 AND GIH_RESSOURCE_DEPENDANCE.ID_RESSOURCE_PERE = 1522943)\r\n)\r\nORDER BY\r\n  LIB_RESSOURCE_PARENT\r\n, RESSOURCE.LIB_RESSOURCE\r\n</pre>\r\n\r\nEx. pour la ressource ACROBAT PRO :\r\n\r\n<pre>\r\nID_RESSOURCE  LIB_RESSOURCE_TYPE  LIB_HABILIATATION     ID_RESSOURCE_TYPE  BOOL_AJOUT\r\n214635        Ape                 Adobe_Acrobat_USR     75                 1\r\n1378477       Ame                 GL_ADOBE_ACROBAT_USR  1117               1\r\n</pre>\r\n\r\n!!! Ce n\'est pas la même requête qui est utilisée pour créer les action !!!\r\n\r\nPour créer les action on utilise la requête récursive : \r\n\r\n<pre>\r\nSELECT a.CODE_REQUETE,\r\n       ( SELECT b.SQL AS \'processing-instruction(q)\'\r\n         FROM REQUETE_SYSTEME b\r\n         WHERE b.CODE_REQUETE = a.CODE_REQUETE\r\n         FOR XML PATH(\'\'), TYPE\r\n       ) AS RQ\r\nFROM REQUETE_SYSTEME a\r\n</pre>\r\n\r\nQui, sans la partie de l\'insert donne :\r\n\r\n<pre>\r\nID_FORMULAIRE  ID_RESSOURCE  LIB_RESSOURCE        ID_RESSOURCE_TYPE\r\n1667385        1522943       ACROBAT PRO          1022            \r\n1667385        30132         AAE Habilitation...  1008\r\n</pre>\r\n\r\n= Aucune ressource dépendante, seulement une ressource workflow !\n\n'),
(899, 'Avec le package \"<PACK Ajout>LISA: SIQMR Consultant\" en suppression on a 3 ressources en dépendance.\r\n\r\nMais, qu\'est-ce qu\'on fait si :\r\nPackage père en      : ajout / suppression\r\nRessource dépendante : ?     / ?            (p/r au BOOL_AJOUT)'),
(900, 'LO, \r\n\r\nJuste une petite question : qu\'est-ce qu\'on fait des ressources dépendantes p/r à son BOOL_AJOUT selon que le père est en ajout ou suppression ? \r\n\r\n<pre>\r\n| Package père                        | en Ajout                       | en Suppression                    |\r\n| Ressource dépendante en ajout	      | ignoré, en ajout ou supprimé ? | ignoré, en ajout ou supprimé ? | \r\n| Ressource dépendante en suppression | ignoré, en ajout ou supprimé ? | ignoré, en ajout ou supprimé ? | \r\n\r\nAujourd\'hui, on ignore les ressources dépendantes si le père est en suppression !\n\n'),
(901, 'De : GUERRERO Virginie-ext \r\nEnvoyé : mercredi 28 octobre 2015 11:36\r\nÀ : NAVARRO Mikael-ext\r\nCc : *SI PTSR SA SF GALA Qualif; MANENT Jessica-ext\r\nObjet : Spécification : Changement de site pour les comptes inactifs.\r\n\r\nBonjour Mikael,\r\n\r\nTu trouveras en pièce jointe la spécification « Changement de Site pour les comptes inactifs ».\r\nSi tu as des remarques ou des questions, n’hésites pas à revenir vers moi.\r\n\r\nCordialement'),
(902, 'pgeWsAppelDirect recherches Habilitation et Créateur LIKE BDD.Quotes(\"%\" + sai + \"%\")\n\n'),
(903, 'Pour prendre en compte les ressources dépendantes :\r\n\r\n+ , CASE WHEN CAST(PanierEtDependances.BoolAjout AS INT) = 1 THEN GIH_RESSOURCE_DEPENDANCE.BOOL_AJOUT ELSE CAST(0 AS BIT) END AS BOOL_AJOUT\r\n  , PanierEtDependances.PanierSource\r\n\r\n  AND Profondeur <= 0\r\n+ AND GIH_RESSOURCE_DEPENDANCE.BOOL_AJOUT = 1\n\n'),
(904, '• Méthodes\r\n- Ajout d\'une méthode waitPresenceOfElement (en utilisant la programmation fonctionnelle)\r\n\r\n- Contournement provisoire de l\'accesRubriqueDroitsCdap : on met un waitTime en dur, en attendant d\'avoir la classe\r\n\r\n• CDAP \r\n- Mise à jour de la jsf \"list\" pour Droits\r\n\r\n• Rédaction de tests\r\n- Poursuite de la rubrique Droits\r\nIl reste ensuite à créer des converters de date (entre \"Décembre 2015\" et 12/2015) et peut-être d\'autres.\r\nConcevoir et implémenter le lien entre id de Cafpro et xpath de cdap (certains éléments ont déjà un id qui est différent de celui de cafpro) dans CreateLists\r\nMettre cela dans le test\n\n'),
(905, 'De : MANENT Jessica-ext \r\nEnvoyé : jeudi 29 octobre 2015 16:09\r\nÀ : DE LIHOVSKOI Veronique-ext; NAVARRO Mikael-ext\r\nCc : *SI PTSR SA SF GALA Qualif\r\nObjet : Sujet spécifié V3.01 - Modele de métier\r\n\r\nCoucou Véro, Bonjour Mickael,\r\n\r\nCi-joint la spec que Patrick a fait sur les modèles de métier, elle réunit deux sujets : \r\n\r\n-           Agrandissement de la zone d’affichage du modèle de métier (Mickael)\r\n\r\nhttp://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/21\r\n\r\n-           Modèle de métier VS Déploiement\r\n\r\nhttp://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/18\r\n\r\nLa spec  est dans les BG.'),
(906, 'Au niveau du constructeur du Sémaphore :\r\n\r\nSELON ExceptionInfo(errCode)\r\n  CAS 2915 :  // le sémaphore existe déjà\r\n    SI EnModeTest() ALORS\r\n      Trace(ExceptionInfo(errMessage))\r\n    FIN\r\n  AUTRES CAS :\r\n    ExceptionDéclanche(...)\r\nFIN\r\n\r\nPuis dans les zones critiques :\r\n\r\nobjSemAttribueCode est un cSemaphore(\"semAttribueCode\")\r\nobjSemAttribueCode.Prendre()\r\n...\r\nobjSemAttribueCode.Relacher()'),
(907, 'Mais pourquoi y-a rien dans le destructeur ? Pas de SémaphoreDétruit ?\r\n\r\n=> pour prendre en compte la concurence des process..?\n\n'),
(908, 'A tester...'),
(909, 'Attente specs...'),
(910, 'Reporté en V3.02'),
(911, 'reste a faire la volumetrie'),
(912, 'Alain tassotti: imputations non saisies'),
(913, 'En \"Refusé Real\" la TRA doit refaire un test. en attendant, on la ferme...'),
(914, 'Création d\'un nouvel onglet afin de sélectionner les DCP missionables\r\nà inclure dans la recherche LDAP'),
(915, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n0.25 / pers = le 28/11 réunion retro sprint 7\r\n0.5 / pers = le 16/11 réunion de présentation des SFDs\r\n18/11 Reunion logger/validation steven'),
(916, 'De : *SI PTSR SA SF GALA Qualif \r\nEnvoyé : mardi 3 novembre 2015 09:58\r\nÀ : NAVARRO Mikael-ext\r\nCc : *SI PTSR SA SF GALA Qualif; MANENT Jessica-ext\r\nObjet : Spécification F3 option GIH Ajout d\'un commentaire\r\n\r\nBonjour Mikael,\r\n\r\nTu trouveras ci jointe la spécification F3 option GIH ajout d’un commentaire.\r\nJ’ai mis à jour l’outil The Bug Genie. J’ai ajouté en pièce jointe la spécification et précisé la demande suite au retour de la personne souhaitant l’évolution.\r\n\r\nBonne journée.\r\n\r\nCordialement,\r\n\r\nVirginie GUERRERO'),
(917, 'Suite à mail du Hélène Duclos du 02/11/2015 :\r\n Seul le motif du déploiement de masse apparaîtra au niveau de l\'info bulle sur la demande dans la \"Gestion des demandes\".\r\n Suite à demande de précision sur le besoin, il n\'a pas été évoqué d\'avoir la possibilité d\'ajouter un commentaire lors de la création des formulaires F3 option GIH.'),
(918, 'De : MANENT Jessica-ext \r\nEnvoyé : mardi 3 novembre 2015 13:58\r\nÀ : NAVARRO Mikael-ext\r\nCc : *SI PTSR SA SF GALA Qualif; _ldr SI PTSR SA GALA Dev\r\nObjet : Sujet Spécifié : Adresse mail Bénéficiaire\r\n\r\nBonjour Mikael,\r\n\r\nLe sujet Adresse mail bénéficiaire à été spécifié et la spec est dans BG\r\n\r\nhttp://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/22\r\n\r\n\r\nCordialement,\r\n \r\nJessica Manent'),
(919, 'Vu avec JMO :\r\n- ne rien afficher par défaut dans la liste des DCP missionnables\r\n- retirer la DCP courante de la liste des DCP sélectionnables (on ne missionne pas sur soi-même)\r\n- inclure dans la recherche LDAP les DCP missionnables (au plus profond = impact sur tout les écrans de recherche d\'agent)\n\n'),
(920, 'Test de la recherche LDAP avec :\r\n\r\n1/ rajout de AIT comme DCP missionnable dans AGS\r\n2/ sur un F3, ajouter les bénéficiaires YJLE5010 (AGS) \r\n   et IAHE0700 (AIT) et IAKA0530 (AIT)\r\n\r\n=> les utilisateurs AIT étaient refusés avant ils sont maintenant missionnable :)'),
(921, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n-Création de document complémentaire pour la STD\r\n18/11/2015 : Création d\'un nouveau gabarit de site'),
(922, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPoint avec Sarah sur l\'avancement des tests + choix/résolutions techniques\r\n05/11/2015 : Arrivée de Nicolas GAUCHE sur le portail partenaire, accueil et présentation du contexte projet.\r\n20/11/15 : Présentation de l\'environnement technique HABPPS/CDAP.\r\n12 et 13/11/15 : Support Nicolas Gauche. '),
(923, '+ droit ID_DROIT_ORGANISATIONS_MISSIONNABLES = 64'),
(924, 'Attente de plus de détails sur le 3ème point..?'),
(925, 'Pour des raisons de cohérence graphique nous avons inter-changés les deux listes\r\n=> sélectionnables à gauche et missionnable à droite'),
(926, 'De : MORO Jean-Marc \r\nEnvoyé : mercredi 4 novembre 2015 13:46\r\nÀ : NAVARRO Mikael-ext\r\nObjet : RE: [version301] Demande d évolution #29 - Réorg DSI - Intégration de la gestion des missions d’agents dans Gala \r\n \r\nC\'est mieux en effet ...\r\n \r\nJMM\r\n \r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : mercredi 4 novembre 2015 13:40\r\nÀ : MORO Jean-Marc\r\nObjet : TR: [version301] Demande d évolution #29 - Réorg DSI - Intégration de la gestion des missions d’agents dans Gala \r\nPI\r\n \r\n \r\n________________________________________\r\nDe : The Bug Genie [mailto:gala@pole-emploi.fr] \r\nEnvoyé : mercredi 4 novembre 2015 13:35\r\nÀ : NAVARRO Mikael-ext\r\nObjet : Re: [version301] Demande d évolution #29 - Réorg DSI - Intégration de la gestion des missions d’agents dans Gala \r\n \r\nHi, NAVARRO Mikaël!\r\nDemande d évolution #29 - Réorg DSI - Intégration de la gestion des missions d’agents dans Gala was updated by NAVARRO Mikaël.\r\n\r\nPour des raisons de cohérence graphique nous avons inter-changés les deux listes => sélectionnable à gauche et missionnables à droite. \r\n-- \r\nShow issue: http://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/29\r\nShow Version 3.01 project dashboard: http://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301'),
(1253, 'Cette tache comprend la réflexion sur les cascades.'),
(1254, 'TODO:\r\nRevue sur les retours ISU (travaux de Said).\r\nRevue sur le tableau de bord HABPPS (travaux de Julien et Nicolas).'),
(928, 'Désactivation de la recherche sur les organisations soeurs pour les LD.\r\n\r\ncf. pgeFormRessourceLocale.RechercheAgent()'),
(929, 'A tester...'),
(930, 'Voir avec David si GALA doit corriger les erreurs de désynchro du mail dans AME vs/ APE ?\r\n\r\nFaire un état des lieux des différences et envoyer à Alain DEMANGE.'),
(931, 'De : MANENT Jessica-ext \r\nEnvoyé : mercredi 4 novembre 2015 15:28\r\nÀ : NAVARRO Mikael-ext\r\nCc : *SI PTSR SA SF GALA Qualif\r\nObjet : Sujet Spécifié V3.01 - Suppression des espaces en fin de zone\r\n\r\nBonjour Mikael,\r\n\r\nLe sujet « Suppression des espaces en fin de zone » à été spécifié, la spec est dans BG :\r\n\r\nhttp://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/19\r\n\r\n\r\nCordialement,\r\n \r\nJessica Manent');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(932, 'De : NAVARRO Mikael-ext \r\nEnvoyé : jeudi 5 novembre 2015 10:11\r\nÀ : CHAUTARD David\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : [GALA V3.01] Adresse mail bénéficiaire\r\n\r\nLO,\r\n\r\nVu hier avec Fabrice, la spéc attaché au BG#22 (http://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/22) avant-hier stipule :\r\n\r\nDescription de la solution\r\n\r\nQuand un formulaire est crée, une recherche LDAP sera faite dans AME. Si une adresse mail est trouvée dans AME, elle sera récupérée et le web service mettra à jour celle dans AAE et la table ‘PERSONNE’ si différentes. \r\n\r\nSi dans AME, il n’y a pas d’adresse mail, c’est celle de AAE qui sera récupérée et mettra à jour celle de AME et de la table ‘PERSONNE4.\r\n\r\nSi la table ‘PERSONNE’ est mise à jour à l’approbation du formulaire, le mail de l’agent sera mis à jour dans la table ainsi que dans AME et AAE.\r\n\r\n*Une reprise de stock sera nécessaire pour mettre à jour les adresses mails renseignées par l’ancien processus.\r\n\r\nEst-ce vraiment à nous de récupérer les erreurs de synchro entre AME et AAE ?\r\nDe plus, jusqu’à présent on n’écrit pas dans AME.\r\n\r\nJe pense qu’il serait préférable que l’on corrige les erreurs entre AME et AAE dans les annuaires et qu’on s’assure que le WF GALA ne génère pas d’écart... ?\r\n\r\nP.I. en faisant une requête rapide sur les comptes présents et actifs dans AME et AAE avec des mails différents, je ne trouve que 61 cas.\r\n\r\nCdt,'),
(933, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nLes données sont cohérentes, certainement un contrôle au niveau métier à faire, mais nous n\'avons pas les compétences pour nous en charger'),
(934, 'De : CHAUTARD David \r\nEnvoyé : jeudi 5 novembre 2015 11:10\r\nÀ : NAVARRO Mikael-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: [GALA V3.01] Adresse mail bénéficiaire\r\n\r\nMes réponses\r\n\r\n----------------------------------------------------------------------------------------\r\nChautard David\r\nDGA-SI, D.I.T / I.E.T., Sécurité OPérationnelle et Env. de Travail  - S.O.P.E.T.\r\nResponsable Support Technique - Chef de projet \r\nTel: 04.91.18.86.09 \r\nPortable: 06 15 07 84 30\r\nMessagerie: david.chautard@pole-emploi.fr\r\n----------------------------------------------------------------------------------------\r\n \r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : jeudi 5 novembre 2015 10:11\r\nÀ : CHAUTARD David\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : [GALA V3.01] Adresse mail bénéficiaire\r\n\r\nLO,\r\n\r\nVu hier avec Fabrice, la spéc attaché au BG#22 (http://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/22) avant-hier stipule :\r\n\r\nDescription de la solution\r\n\r\nQuand un formulaire est crée, une recherche LDAP sera faite dans AME. Si une adresse mail est trouvée dans AME, elle sera récupérée et le web service mettra à jour celle dans AAE et la table ‘PERSONNE’ si différentes. \r\n non, seul les workflows nécessitants le traitement des adresses mail  « nouvel arrivant », « changement de nom » \r\n\r\nSi dans AME, il n’y a pas d’adresse mail, c’est celle de AAE qui sera récupérée et mettra à jour celle de AME et de la table ‘PERSONNE4.\r\n non\r\n\r\nSi la table ‘PERSONNE’ est mise à jour à l’approbation du formulaire, le mail de l’agent sera mis à jour dans la table ainsi que dans AME et AAE.\r\nles mises à jour dans les annuaires sont ceux des WF qui nécessitent ces actions (voir plus haut). La table personne doit être en phase avec AME pour les internes et avec AAE pour les externes\r\n\r\n*Une reprise de stock sera nécessaire pour mettre à jour les adresses mails renseignées par l’ancien processus.\r\n Oui reprise de stock nécessaire\r\n\r\nEst-ce vraiment à nous de récupérer les erreurs de synchro entre AME et AAE ?\r\n Oui si c’est nous qui avons générer l’erreur\r\n\r\nDe plus, jusqu’à présent on n’écrit pas dans AME.\r\n ??\r\n\r\nJe pense qu’il serait préférable que l’on corrige les erreurs entre AME et AAE dans les annuaires et qu’on s’assure que le WF GALA ne génère pas d’écart... ?\r\n\r\nP.I. en faisant une requête rapide sur les comptes présents et actifs dans AME et AAE avec des mails différents, je ne trouve que 61 cas.\r\n\r\nCdt,'),
(935, 'Pour résumer :\r\n- On ne corrige pas les annuaires AME et AAE\r\n- On vachercher le mail dans AME pour les internes et AAE pour les externes\r\n- On s\'assure que le WF GALA ne génère pas d\'ecarts\r\n- On voit avec SF pour rattraper les écarts\r\n\r\nP.S. on déplace la mise-à-jour de la table PERSONNE de l\'approbation à la réalisation.'),
(936, 'De : CHAUTARD David Envoyé : mercredi 4 novembre 2015 17:49 À : NAVARRO Mikael-ext Cc : _ldr SI PTSR SA GALA Dev Objet : TR: Phebus \r\n\r\nMika, \r\n\r\nCe qui est possible de faire sur les fichiers Phébus doit être décris dans le colibri ci-dessous (pour 3.02…on verra plus tard) \r\n\r\nDe : FAURE Eric (DGA SYSTEMES D INFORMATION) Envoyé : mercredi 4 novembre 2015 17:44 À : CHAUTARD David Objet : Phebus \r\n\r\nComme promis cf colibri 140463 Le champ en question est le champ « Période de référence » Je me suis un peu éloigné du sujet mais si je me souviens bien il est possible de configurer l’annuaire Phebus pour qu’il utilise le champ pour nommer le fichier. Il faut voir avec l’équipe « Echanges » : L. Moreau, L. Perrey \r\n\r\nCordialement'),
(937, 'V3.01BG39 -> V3.02BG2'),
(938, 'RE: V3.1 évol flux phebu 10:33 05/11/2015 \r\n\r\nOk, merci pour l’info. Donc, on le passe en V3.02 pour l’histoire de la fenêtre sur le nom, car sur la modification de nom on ne peut rien faire. Je mets à jour ce sujet dans le PPD et BG. \r\n\r\nJessica Manent \r\n\r\n-------------------------------------------------------------------------------- \r\n\r\nEnvoyé : mercredi 4 novembre 2015 17:38 Objet : RE: V3.1 évol flux phebus \r\n\r\nJ’ai eu un interlocuteur OPE sur le sujet qui m’a confirmé que le produit Phebus modifiait les noms de fichiers…et que s’était incontournable…encore un produti de Mù$* !: Par contre on a une petite fenêtre sur une partie du nom…mais cette info était déjà connue…et va nécessiter plus d’analyse Bon pour faire simple…on passe le sujet en 3.02 (il n’y a pas d’urgence) \r\n\r\nChautard David \r\n\r\n-------------------------------------------------------------------------------- \r\n\r\nEnvoyé : mercredi 4 novembre 2015 16:44 Objet : RE: V3.1 évol flux phebus \r\n\r\nTu as des nouvelles des responsables de la solution sur cette demande d’évolution qui est urgente et doit passer en V3.01 ? \r\n\r\nJessica Manent'),
(939, '________________________________________\r\nDe : CHAUTARD David \r\nEnvoyé : jeudi 5 novembre 2015 11:46\r\nÀ : NAVARRO Mikael-ext; NAVARRO, MIKAEL\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : TR: Sujets Specs V3.01\r\n\r\nPI\r\n\r\n----------------------------------------------------------------------------------------\r\nChautard David\r\nDGA-SI, D.I.T / I.E.T., Sécurité OPérationnelle et Env. de Travail  - S.O.P.E.T.\r\nResponsable Support Technique - Chef de projet \r\nTel: 04.91.18.86.09 \r\nPortable: 06 15 07 84 30\r\nMessagerie: david.chautard@pole-emploi.fr\r\n----------------------------------------------------------------------------------------\r\n \r\n________________________________________\r\nDe : LOPEZ Jean-Antoine-ext \r\nEnvoyé : jeudi 5 novembre 2015 11:21\r\nÀ : MANENT Jessica-ext\r\nCc : *SI PTSR SA SF GALA Qualif; CHAUTARD David\r\nObjet : RE: Sujets Specs V3.01\r\n\r\nSalut Jessica,\r\nOn a discuté avec David ce matin de l’évolution « Récupération ID SAP dans AAE pour les vacataires », la prise en charge des actions SAP à la création des vacataires est plus large que ce qui est proposé.\r\nIl faudrai approfondir l’analyse pour permettre la prise en compte des règles fonctionnelles concernant les vacataires (gestion des rôles du compte principal et compte vacataire à la création et à la suppression du compte). Il faut prendre également en compte que cette gestion des vacations avec une dérogation permettant l’utilisation d’un « double compte » sera annulée en 2016.\r\nJe partage l’avis de David qu’il n’est pas judicieux prendre en compte cette évolution. \r\nEs tu d’accord pour l’exclure de la prochaine version de GALA ?\r\n\r\nCordialement,\r\nJean Antoine LOPEZ\r\nPrestataire Sogeti.\r\n________________________________________\n\n'),
(940, 'De : MANENT Jessica-ext \r\nEnvoyé : mercredi 4 novembre 2015 11:14\r\nÀ : LOPEZ Jean-Antoine-ext; GONCALVES Paulo\r\nCc : *SI PTSR SA SF GALA Qualif; ROJEL Didier\r\nObjet : Sujets Specs V3.01\r\n\r\nBonjour Toni, Bonjour Paulo,\r\n\r\nAprès avoir fait un point avec Didier hier sur les specs, il faudrait que vous interveniez pour les finir à temps  (fin prévue le 09/11/2015):\r\n\r\nLa plupart des personnes SF sont déjà là-dessus mais malheureusement ça ne suffit pas.\r\n\r\nCi-dessous les specs qui n’appartiennent à personne et qui vous sont attribuées :\r\n\r\nSujets specs Toni (voir pièces jointes) :\r\n\r\n-	Synchronisation et changement site\r\n-	Récupération ID SAP dans AAE pour les vacataires\r\n\r\nSujet spec Paulo (voir pièce jointe) :\r\n\r\n-	Package en suppression dans un F3 non GIH\r\n\r\n\r\nN’hésitez pas à revenir vers moi si vous avez la moindre question ou vers les personnes originaires des demandes d’évolutions.\r\n\r\nMerci pour votre collaboration.\r\n\r\n\r\nDésormais, tous les sujets de specs sont attribués sauf un qui n’est pas prioritaire et peut-être fait après le 09/11/2015 : \r\n\r\n\r\nSujets non affectés\r\n\r\n\r\n-	Multi Site/ Multi activité : Augmentation nombre d’affectations de site par utilisateur (Passe de 20 à 140 sites) (Non prioritaire)\r\n\r\n\r\nSujets affectés\r\n\r\n-	Archivage des données => En cours par Jean-Marc (JMM) (attente infos sécu)\r\n-	Réorg DSI - Intégration de la gestion des missions d’agents dans Gala => Fait par Jean-Marc (JMM)\r\n-	Problème général sur l\'attribution des codes utilisateurs => A faire par Philippe (PBO) – Attente infos ST\r\n-	Création de compte dans RACF => Fait par Philippe (PBO) avec aide de Fabrice (FDE)\r\n-	F3 GIH message à supprimer => A faire par Patrick (PTO)\r\n-	Modèle de métier F3 VS déploiement (Prioritaire) => Fait par Patrick (PTO)\r\n-	Agrandir la zone d\'affichage du modèle de métier (même spec que pour ‘Modèle de métier F3’) => Fait par Patrick et Jessica (PTO & JMA)\r\n-	Déploiement Référentiel (Prioritaire) => Fait par Patrick et Jessica (PTO & JMA)\r\n-	Modification Chargement Habilitation => A faire par Patrick (PTO)\r\n-	ID_Ressource & ID_Ressource_Type dans Personne_Habilitation => En cours par Julien\r\n-	Mettre à jour les utilisateurs de la GED en temps réel => En cours par Julien (JBE)\r\n-	Génération automatique des formulaires (prioritaire) => A faire par Florence (FAS)\r\n-	Ressources - Ajout Filtre (prioritaire) => Fait par Virginie (VGU)\r\n-	Changement de site pour les comptes inactifs=> Fait par Virginie (VGU)\r\n-	F3 Option GIH - Ajout commentaire => Fait par Virginie (VGU)\r\n-	F1 et F3/F1 Update Bénéficiaire (prioritaire) => Fait par Jessica (JMA)\r\n-	Déploiement Référentiel – Libellés (prioritaire) => Fait par Jessica (JMA)\r\n-	Adresse mail bénéficiaire déphasée => Fait par Jessica (JMA)\r\n-	Suppression des espaces en fin de zone => En cours par Stéphan (SAN)\r\n-	Synchro et changement de site (Prioritaire) => A faire par Jean-Antoine (JAL)\r\n-	Récupération ID SAP dans AAE pour les vacataires => A faire par Jean-Antoine (JAL)\r\n-	Package en suppression dans un F3 non GIH => A faire par Paulo (PGO)\r\n\r\n\r\nRappel :\r\n\r\nLien où se trouvent les specs :\r\n\r\nU:\\SECURITE DES ACCES\\Support Fonctionnel\\Evolution GALA\\Documentation\\Spécification\r\n\r\n\r\nQuand la spec est faite : \r\n\r\n-	La déposer dans le répertoire (via le lien ci-dessus)\r\n-	Me l’envoyer \r\n-	L’ajouter dans la demande d’évolution Bug Génie et mettre la demande à ‘Validée’\r\n\r\nMerci.\r\n\r\nCordialement,\r\n \r\nJessica Manent\r\n \r\nDGA SI / DIT-SOPET\r\nSupport Fonctionnel GALA\r\n \r\n*SI PTSR SA SF GALA Qualif\r\n04 42 16 08 55'),
(941, 'Exclut de ls V3.01\r\nVoire même définitivement...'),
(942, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n26/10 shor lazy service\r\n22/10 shor lazy agent\r\n20/10 shor lazy caf\r\n19/10 shor lazy organism\r\n16/10 shor lazy organism'),
(943, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n27/10 Support téléphonique + revue de la doc utilisateur'),
(944, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTemps total de la tâche 0.05\r\nRencontre d\'anomalies sur PCA et j\'ai donc du passer 0.45 jours pour rectifier des erreurs liée à mon environnement.'),
(945, '19/10/15 : Mise à jour du suivi d\'avancement CNAF-AVANCEMENT-CDAP-HABPPS 1.0-V2.1\r\n20/10/15 : Point Hebdo'),
(946, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRevue + CRR'),
(947, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nEntretien + CR'),
(953, 'De : CHAUTARD David \r\nEnvoyé : jeudi 5 novembre 2015 15:56\r\nÀ : _ldr SI PTSR SA GALA Dev\r\nObjet : TR: Sujets Specs V3.01\r\n\r\nPI\r\n\r\n----------------------------------------------------------------------------------------\r\nChautard David\r\nDGA-SI, D.I.T / I.E.T., Sécurité OPérationnelle et Env. de Travail  - S.O.P.E.T.\r\nResponsable Support Technique - Chef de projet \r\nTel: 04.91.18.86.09 \r\nPortable: 06 15 07 84 30\r\nMessagerie: david.chautard@pole-emploi.fr\r\n----------------------------------------------------------------------------------------\r\n \r\n________________________________________\r\nDe : *SI PTSR SA SF GALA Qualif \r\nEnvoyé : jeudi 5 novembre 2015 15:21\r\nÀ : LOPEZ Jean-Antoine-ext\r\nCc : *SI PTSR SA SF GALA Qualif; CHAUTARD David; ROJEL Didier\r\nObjet : RE: Sujets Specs V3.01\r\n\r\nOk, vu avec Didier, on reporte en V3.02. Merci Toni.\r\n\r\nCordialement,\r\n \r\nJessica Manent\r\n \r\nDGA SI / DIT-SOPET\r\nSupport Fonctionnel GALA\r\n \r\n*SI PTSR SA SF GALA Qualif\r\n04 42 16 08 55'),
(950, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPréparation de la retro (ppt, RAF, avancement) + RETRO\r\nPoint avec Luc '),
(951, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRéunion avec l\'équipe AJEE + CRR'),
(952, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRelance pour l\'AMP de la 230.413 à la coordination des déploiement.\r\nRéponses aux sollicitations de Thierry Guiot (ZOS, analyse des exceptions en prod non reproduites).\r\n\r\n19/01/16\r\nSupport mail du 20/01/16 - URGENT - Télédéclaration ESAT en cours - Demande de création de l\'ESAT Les ateliers DE L’ETAI (géré par CAF 94)'),
(954, 'De : MANENT Jessica-ext \r\nEnvoyé : jeudi 5 novembre 2015 16:16\r\nÀ : NAVARRO Mikael-ext\r\nCc : *SI PTSR SA SF GALA Qualif; ROJEL Didier; _ldr SI PTSR SA GALA Dev\r\nObjet : Sujet spécifié V3.01 - F3 GIH message à supprimer\r\n\r\nBonjour Mikael,\r\n\r\nLe sujet ‘F3 GIH message à supprimer’ a été spécifié, la spec est dans BG :\r\n\r\nhttp://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/25\r\n\r\n\r\nCordialement,'),
(955, 'De : MANENT Jessica-ext \r\nEnvoyé : jeudi 5 novembre 2015 16:25\r\nÀ : NAVARRO Mikael-ext\r\nCc : *SI PTSR SA SF GALA Qualif; ROJEL Didier; _ldr SI PTSR SA GALA Dev\r\nObjet : RE: Sujet spécifié V3.01 - Modification chargement habilitation \r\n\r\nRe, \r\n\r\nAucun un autre sujet spécifié « Modification chargement habilitation », la spec est dans BG :\r\n\r\nhttp://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/31\r\n\r\n\r\nCordialement,'),
(956, '.'),
(957, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n21/10 Connection convention à partenaire\r\n23/10 modification workflow caf\r\n26/10 modification workflow caf\r\n'),
(958, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n04/11 -> 05/11 Lazy partenaire\r\n02/11 -> bug fix sur le lazy convention et service\r\n29/10 -> 30/10 Tenir compte du role pour le lazy organism'),
(959, 'Remplacement de l\'Erreur info (ds pgeWsAppelDirect.BeneficiairesImporterDepuisFichier) par l\'affichage d\'une fenêtre de dialogue via un bouton (cf. pgeGihDeploiementReferentiel).\n\n'),
(960, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTemps total de la tâche 0.1\r\nRencontre d\'anomalies sur PCA et j\'ai donc du passer 0.40 jours pour rectifier des erreurs liée à mon environnement.'),
(961, 'Remplacement de l\'Erreur info par l\'affichage d\'une fenêtre de dialogue. \r\n\r\nPour des raisons techniques, passage par un bouton \"Anomalies\" (visible uniquement s\'il y a des erreurs au chargement du fichier) pour afficher les détails…'),
(962, 'De : *SI PTSR SA SF GALA Qualif \r\nEnvoyé : vendredi 6 novembre 2015 17:14\r\nÀ : *SI PTSR SA SF GALA Qualif; *SI PTSR SA GH PRODUCTION; TODISCO Patrick; MORO Jean-Marc; ASSANDRI Florence; YAKHLEF Soraya-ext; BOUAZIZ Philippe-ext; ANDREJKO Stéphan; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; LOPEZ Jean-Antoine-ext; GONCALVES Paulo; ROJEL Didier; *SI PTSR SA Assistance GIH\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: Etat d\'avancement des spécifications V3.01\r\n\r\nBonjour tout le monde,\r\n\r\nMerci à tous pour votre participation et collaboration aux spécifications, nous avons réussi à finir dans les temps !! \r\n\r\n\r\n- Package en suppression dans un F3 non GIH => pas de specs car ano de prod => vu avec Paulo (PGO)'),
(963, 'Tjrs pas de réponse à la question !!!\n\n'),
(964, 'Pour répondre au critère \"générique\" des tests sachant que les ids sont différents sous Cafpro et sous Cdap, et qu\'il faut aussi gérer les tableaux qui ne sont pas présentés pareil, il a fallu revoir la conception pour la récupération des valeurs Cafpro / Cdap puis leur comparaison.\r\n\r\nEnfin, s\'ajoute le problème des pages \"précédentes\" (comme dans Droits).\r\n\r\n=> j\'ai créé une doc \"Créer un test TestNg\" avec des schémas de conception (diagramme de classe + diagramme d\'état), de manière à ce que le modèle soit validé avant poursuite du développement des tests.\r\n-> le doc est presque fini\r\n\r\n=> j\'ai commencé au passage l\'implémentation de la classe IdValue qui contiendra l\'id Cafpro, sa valeur (tableau), l\'id Cdap et sa valeur (tableau).'),
(965, 'Commentaire dans le Defect ci-dessous : (encore en dessous mail d’Emmanuel Bestagno à ce sujet)\r\n\r\nPrévoir un contrôle de chevauchement de période suite à la fusion de caisse, les périodes en chevauchement seront restituées sous forme de liste :\r\nNIR(15), benf_id, type période, id période1,ddeb1,dfin1 id période2, ddeb2, dfin2\r\nNe pas prendre en compte les périodes annulées.\r\nL\'identifiant de la période permet de connaitre l\'origine du chevauchement (03 ou 04).\r\nVoici la liste des périodes à vérifier, ces périodes sont connues pour être susceptible de provoquer une anomalie TAIGA majeure (TP ou Batch) en cas de chevauchement :\r\nPériodes de contribution CONTRIBUER\r\nPériode d\'OC per_oc\r\nPériode de créateur per_crea\r\npériode de groupe professionnel  PER_AFF_GR_P\r\nPériodes de droits aux Prestations DRT_PREST\r\nPériode d’Immatriculation\r\nPériode volontaire \r\nPériode de gratuité \r\nPériode de stage\r\nPériode Inscription Ayant-Droit\r\nPériode de pension PNS\r\nPériode de neutralité\r\nPériode d\'auto entrepreneur\r\nPériodes d’adresse d’une entreprise.\r\nPériode d\'activité PER_ACTI, pour une même entreprise, les périodes d’activité de l’assuré ne peuvent pas se chevaucher.\r\nVérifier aussi que : un bénéficiaire ne peut avoir une période d’immatriculation et une période d’inscription AYD qui se chevauchent (un bénéficiaire ne peut être assuré et ayant droit en même temps).\r\nA mettre à disponibilité une fois les traitements de fusion des cas dits complexe réalisés afin de prévoir une action de correction. Pemettra de mesurer l\'avancement à chaque itération.\r\n\r\nPour defect sur les périodes de chevauchement, voici des exemples de requête (à valider) pour point de départ.\r\n\r\nselect * from cmr_054.imma i, cmr_054.imma m where i.BENF_ID = m.BENF_ID and i.IMMA_ID <> m.IMMA_ID \r\nand i.IMMA_D_DEB <= m.IMMA_D_FIN and i.IMMA_D_FIN >= m.IMMA_D_DEB\r\n\r\n\r\nselect * from cmr_053.ins_adrt i, cmr_053.ins_adrt m where i.BENF_ID = m.BENF_ID and i.INS_ADRT_ID <> m.INS_ADRT_ID \r\nand i.INS_ADRT_D_DEB <= m.INS_ADRT_D_FIN and i.INS_ADRT_D_FIN >= m.INS_ADRT_D_DEB\r\n\r\nselect i.BENF_ID, i.INS_ADRT_ID, i.INS_ADRT_D_DEB, i.INS_ADRT_D_FIN, m.INS_ADRT_D_DEB, m.INS_ADRT_D_FIN  from cmr_053.ins_adrt i, cmr_053.ins_adrt m where i.BENF_ID = m.BENF_ID and i.INS_ADRT_ID <> m.INS_ADRT_ID \r\nand i.INS_ADRT_D_DEB <= m.INS_ADRT_D_FIN and i.INS_ADRT_D_FIN >= m.INS_ADRT_D_DEB and i.FLAG_ANNUL =0 and m.FLAG_ANNUL =0\r\n'),
(966, 'Ce saxo ne concerne pas HABTIERS.'),
(967, '- pgeFormulaireF3MultiBénéficiaire.Affiche Agent\r\n- pgeFormulaireF3MultiBénéficiaire.BénéficiaireImporterDepuisFichier\r\n- pgeFormulaireF9.Agent Ldap Afficher Informations\r\n- pgeFormulaireF1DépartSup.Affiche Agent\r\n- pgeFormulaireF3.Affiche Agent\r\n\r\n- pgeFormulaireChgSiteMultiBénéficiaire.BénéficiaireImporterDepuisFichier\r\n- pgeFormulaireF1DépartInter.Affiche Agent\r\n- pgeFormulaireF1DépartSup.Affiche Agent\r\n- pgeFormulaireF1FinCtr.Affiche Agent\r\n- pgeFormulaireF1ChgSite.Affiche Agent\r\n- pgeFormulaireF1ChgNom.Affiche Agent\r\n\r\n- pgeFormulaireF1NouveauInter.Affiche Agent\r\n- pgeFormulaireF2.Affiche Agent'),
(968, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n-Analyse de l\'erreur Axis2\r\n-Support téléphonique pour les tests CNAFs (Gerald/Palma) sur la PI\r\n-Analyse de la regression de l\'application pca backend sur la PI\r\n-Migration des tests  ATOS PI->PV afin de réinstallé l\'existant fonctionnel\r\n-Analyse de l\'existant de WPR\r\n-Résolution du problème Axis2 sur la PV'),
(969, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRédaction des matrices pour les ressources actions'),
(970, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n16/11 : Génération d\'un nouveau EAR avec moins de dépendances'),
(971, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n27/11: Stabilisation pha erreur layout steven\r\n16/11 : Réunion sur l\'avancement des groupes/utilisateurs partenaires, formation pour romain et Saïd sur le sujet.\r\n17/11 : support pour du debug PI, aide pour saïd et romain\r\n17/11 : support lorene bug RC1 steven\r\n13/11 : Stabilisation pb librarie CNAF steven'),
(972, 'atelier le 1 octobre 2015'),
(973, 'atelier effectué le 1 octobre 2015'),
(974, 'La classe IdValue a été modifiée : on ajoute deux attributs idWebCafpro et idWebCdap (les identifiants des éléments web), les deux autres éléments servant à désigner les ids issus des fichiers TXT.\r\nDistinction car ceux issus des fichiers peuvent comporter, lorsqu\'ils désignent des <table>, des indications de lignes et de commandes.\r\n\r\nLe document \"Créer un test TestNG\" a été mis à jour et déposé dans le répertoire partagé.\r\n\r\nCôté tests, la partie Cafpro pour les méthodes de tests est terminée : par une méthode générique, on est capable de récupérer les valeurs d\'élements web (table comprise) et ce y compris dans les pages précédentes.\r\nLes méthodes ont été testées sur la rubrique Droits.\r\n\r\nIl reste donc au niveau des méthodes à faire la même chose pour CDAP.\r\nIl sera plus judicieux de créer une méthode avec un paramètre ENUM.CAF pour savoir si c\'est CAFPRO (avec ses frames et son id) ou CDAP (sans frame et avec ses ids) car se ressemble beaucoup.\r\n\r\nPour vérifier cette méthode, il faudra d\'abord que j\'ajoute les ids dans la jsp de droits sous CDAP.'),
(975, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n18/11 : Réunion avec Thierry guiot pour la migration de l\'accès DAD de l\'accès central vers le CERTIAM.'),
(976, '+ pgeModifTypePrestataire\r\n+ pgeModificationMultibeneficiaire\n\n'),
(977, 'Côté tests la partie Cdap pour les méthodes de test est terminée : par une méthode générique, on est capable de récupérer les valeurs d\'élements web (table comprise) et ce y compris dans les pages précédentes.\r\nLes méthodes ont été testées sur la rubrique Droits.\r\n\r\n****** Reste à faire *******\r\n\r\n- Rubrique Droits : ajouter un contrôle sous CDAP pour bien être en vue mensuelle\r\n- Rubrique Droits : tester avec un profil T1 puis T3 un allocataire avec droits inexistants de manière à ajouter les ids correspondants dans les jsf cdap.\r\n- Rubriques Paiement, Ressource et Dossier : ajouter les ids dans les jsp Cafpro et les jsf Cdap\r\n- Rubriques Paiement, Ressource et Dossier : créer les tests  en s\'inspirant de ce qui a été fait pour la rubrique Droits\r\n\r\nLe document \"Créer un test avec TestNG\" a été mis à jour dans le dossier partagé'),
(978, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n41748 - Report BDUBASE V15.0.45\r\n41749 - MAJ spec INFO BENEF\r\n03220 - GAC assistance\r\n41787 - Report'),
(979, 'Rajout du filtre sur les institutions filles pour la liste des organisations séléctionnables.\r\n\r\n+ AND INSTITUTION.ID_INSTITUTION_PERE IS NOT NULL'),
(980, '+ pgeReconductionContrat'),
(981, 'MàJ BDDMaj.MajRequeteCreeActions / WinDev'),
(982, 'abandon'),
(983, 'Il faut supprimer le libellé qui est toujours présent.'),
(984, 'Après avoir appuyé sur le bouton visualiser, on est redirigé sur une page en erreur.'),
(985, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nje me suis trompé d\'activité'),
(986, 'Bonjour,\r\n\r\nIl semblerait qu\'il y ait un problème d\'habilitations pour cet utilisateur. Pouvez-vous faire la vérification ?\r\nMerci d\'avance.\r\n\r\nCordialement,\r\nJulie Jeannier, Support OMEGA'),
(987, 'Bonjour,\r\n\r\nLes adresses mails suivante heuvelineassociationgalipette@orange.fr et heuveline.haltegarderiegalipette@orange.fr ont bien le ticket \"Action Sociale\" (OMEGA) valide.\r\n\r\nCdt,\r\nChristophe MASCE - HABTIERS'),
(988, 'Bonjour,\r\n\r\navez vous une solution sur cette problèmatique ?\r\n\r\ncordialement'),
(989, 'bonjour,\r\n\r\nsuite à votre appel téléphonique veuillez trouvez ci-joint les coordonnées de la personne du Grand Lyon qui à le problème technique sur l\'application \r\n\r\ncordialement\r\n\r\n\r\nYamina MELIH\r\nSecrétaire Action Sociale\r\nPôle intégration - \r\nLe Corallin Vénissieux SUD\r\n\r\n+33 (0)4 72 89 03 24\r\nymelih@grandlyon.com'),
(990, 'Bonjour,\r\n\r\nAprès échanges avec Madame Yamina MELIH, il s\'avère que le problème ne concerne pas HABTIERS.\r\nLes habilitations effectuées par le responsable habilitation ne pose pas de problème.\r\nL\'erreur ci-joint est levée à l\'instruction du dossier (connection->OK, accès au service->OK). Ce saxo doit être redirigé à l\'équipe concernée.\r\n\r\nCdt,'),
(991, 'Bonjour,\r\n\r\nCe saxo ne concerne pas Habtiers.\r\n\r\nCdt,'),
(992, 'Erreur fonctionnelle - Droits non attribués à l\'admin CAF'),
(993, 'Erreur focntionnelle - Droits non attribués à l\'admin caf'),
(994, 'Verifier dans le lar les droits'),
(995, 'Batch et fourniture d\'un fichier excel.'),
(996, '- Test générique sur Rubrique Droits -> terminé\r\n\r\nUn problème cependant :\r\nTant que le problème de Maven \"NoClassDefFoundError\" concernant Surefire ne sera pas résolu, cela pose problème.\r\nEn effet, si un test tombe en échec, le reste des tests ne sera pas joué.'),
(997, 'Envoyé par mail le 24/11/12.'),
(998, '________________________________________\r\nDe : *SI PTSR SA Assistance GIH \r\nEnvoyé : mardi 6 octobre 2015 17:54\r\nÀ : NAVARRO Mikael-ext\r\nObjet : RE: ocd\r\n\r\nRe Mikael,\r\n\r\nStp, il faut m’ajouter le droit sur toutes les institutions GALA pour le rôle ST : tu peux le faire depuis l’utilisateur uniquement.\r\n\r\nMerci d’avance et à demain,\r\nCordialement,\r\nJulien Berger (Sogeti)\r\nDSI - PTSR - SA - Support Fonctionnel\r\n*SI PTSR SA Support Fonctionnel\r\n03 80 25 38 42 (du lundi au mercredi uniquement)\r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : mardi 6 octobre 2015 16:52\r\nÀ : *SI PTSR SA Assistance GIH\r\nObjet : RE: ocd\r\n\r\nLO Julien,\r\n\r\nJe rentre chez moi, n’hésite pas à m’envoyer un mail si t’as tout préparé \r\net j’enverrai le batch demain matin quand j’arrive vers 8h.\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi DIT/SOET & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888\r\n \r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : mardi 6 octobre 2015 16:29\r\nÀ : *SI PTSR SA Assistance GIH\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: ocd\r\n\r\nC fait, dsl j’ai oublié.\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi DIT/SOET & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888\r\n \r\n________________________________________\r\nDe : *SI PTSR SA Assistance GIH \r\nEnvoyé : mardi 6 octobre 2015 16:27\r\nÀ : NAVARRO Mikael-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: ocd\r\n\r\nRe-bonjour Mikael,\r\n\r\nLe rôle ST sur toutes les institutions stp \r\n\r\nCordialement,\r\nJulien Berger (Sogeti)\r\nDSI - PTSR - SA - Support Fonctionnel\r\n*SI PTSR SA Support Fonctionnel\r\n03 80 25 38 42 (du lundi au mercredi uniquement)\r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : mardi 6 octobre 2015 15:14\r\nÀ : *SI PTSR SA Assistance GIH\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: ocd\r\n\r\nRe-bonjour Julien,\r\n\r\nC’est ok pour moi sur Gala Formation, tu me dis juste quand je peux lancer le batch d’export Ocd dès que t’es prêt.\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi DIT/SOET & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888\r\n \r\n________________________________________\r\nDe : *SI PTSR SA Assistance GIH \r\nEnvoyé : mardi 6 octobre 2015 11:27\r\nÀ : NAVARRO Mikael-ext\r\nObjet : ocd\r\n\r\nBonjour Mikael,\r\n\r\n…il faut que j’arrive à avancer sur le sujet, désolé la balle est dans mon camp depuis un moment déjà…\r\n\r\nStp, pourrais-tu me donner le rôle ST sur toutes les régions dans GALA formation pour que je reprenne les tests. Stp toujours, vérifie que tout est ok de ton côté sur GALA formation, je reprends les tests dès que j’ai ton go.\r\n\r\nBonne journée et merci d’avance,\r\nCordialement,\r\nJulien Berger (Sogeti)'),
(999, '________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : mercredi 25 novembre 2015 11:07\r\nÀ : LOPEZ Jean-Antoine-ext\r\nCc : *SI PTSR SA Support Fonctionnel; ROJEL Didier; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE; _ldr SI PTSR SA GALA Dev\r\nObjet : RE: Droit et role réalisateur pour BI RH\r\n\r\nBonjour,\r\n\r\nJ’ai créé :\r\n- le droit « REA_BI_RH » (#48)\r\n- la permission « REA BI RH » (#268)\r\n- et le rôle « rea - BI RH » (#48) \r\n\r\nDites mois si ça vous convient..?\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office CDS DIT/SOPET & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888\r\n \r\n________________________________________\r\nDe : LOPEZ Jean-Antoine-ext \r\nEnvoyé : mardi 24 novembre 2015 19:06\r\nÀ : _ldr SI PTSR SA GALA Dev\r\nCc : *SI PTSR SA Support Fonctionnel; ROJEL Didier; *SI PTSR SA ASSISTANCE ET SUIVI BUDGETAIRE\r\nObjet : Droit et role réalisateur pour BI RH\r\n\r\nBonjour,\r\nNous avons reçu une commande pour que l’on mette en place l’application BI RH dans GALA.\r\n\r\nNous avons créé les nouveaux types de ressources associés aux ressources suivantes : \r\n\r\nTYPE PERE :\r\n•	BI RH\r\n\r\nTYPE FILS : \r\n•	Bi RH – Profils :\r\n      Analyste de données (DG uniquement)\r\n      Administrateur (DSI uniquement)\r\n      Consommateur de données\r\n\r\n•	Bi RH- Droit d\'accès :\r\n      National\r\nAccès National\r\n      Régional\r\nAccès Régional\r\n\r\n•	Bi RH- Domaine métier :\r\n      Transverse\r\n      Formation\r\n      Relations Sociales\r\n      GAP\r\n      GT\r\n      Pilotage\r\n\r\n•	BI RH – Régions :\r\nNouv Région Guadeloupe\r\nNouv Région Bourgogne & Franche-Comté\r\nNouv Région Bretagne\r\nNouv Région Centre\r\nNouv Région Corse\r\nNouv Région DG Siège\r\nNouv Région DSI\r\nNouv Région Guyane\r\nNouv Région Haute-Normandie & Basse Normandie & Saint Pierre et Miquelon\r\nNouv Région Ile-de-France\r\nNouv Région Languedo-Rousillon & Midi-Pyrénées\r\nNouv Région Lorraine & Champagne-Ardenne & Alsace\r\nNouv Région Martinique\r\nNouv Région Nord-Pas-de-Calais & Picardie\r\nNouv Région PACA\r\nNouv Région Pays de la Loire\r\nNouv Région PES\r\nNouv Région Poitou-Charentes & Limousin & Aquitaine\r\nNouv Région Réunion\r\nNouv Région Rhône-Alpes & Auvergne\r\n\r\nPourriez vous svp implémenté le droit et le rôle réalisateur associés à ce nouveau type de ressource.\r\n\r\nPour info :\r\nLe workflow sera calqué sur celui de BI Finance. \r\nLe flux phébus utilisé sera celui de BI Finance également.\r\nDès que le fichier à transmettre via le flux sera finalisé je vous le communiquerai le format pour que puisse être faite l’extraction quotidienne.\r\nLe nom du fichier et chemin d’accès : U:\\Commun\\FSA\\RCO\\GALA\\BI_RH_AAMMJJhhmmss.csv\r\n\r\nMerci,\r\n\r\nCordialement,\r\nJean Antoine LOPEZ.\r\n \r\nConsultant SOGETI pour \r\nDIT - IET - Sécurité Opérationnelle de l\'Environnement de Travail\r\n*SI PTSR SA Support Fonctionnel'),
(1000, 'Complément (lot 3) jusqu\'au 18/12 (26j).'),
(1001, 'Re-négociation du tarif de la prestation de Christian Beziau...'),
(1002, 'livré on sait pas vraiment quand...'),
(1003, 'Ids créés pour les rubriques Paiements et Dossier\r\nTests créés pour les rubriques Paiements et Dossier\r\n\r\nReste à faire :\r\nTester les tests Paiements et Dossier (si ids mis à jour par Jérémy)\r\nTerminer l\'implémentation de Ressources & de ses ids (car la méthode générique ne peut pas s\'appliquer)\r\n\r\nRetard : problème d\'environnement m\'empêchant d\'accéder à Cafpro ou Cdap.\r\nSolution provisoire fournie'),
(1004, 'Livraison Lot 4 - Connexion v1.0'),
(1005, 'Livraison Lot 4 - Connexion v1.0'),
(1006, 'Livraison Lot 4 - Connexion v1.0'),
(1007, 'Livraison Lot 4 - Connexion v1.0'),
(1008, 'Livraison Lot 4 - Connexion v1.0'),
(1009, 'Livraison Lot 4 - Connexion v1.0'),
(1010, 'Livraison Lot 4 - Connexion v1.0'),
(1011, 'Livraison Lot 4 - Connexion v1.0'),
(1012, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n02/11/15 : CR réunion AXIS, Définition du SPRINT#8 et suivi de projet.\r\n05/11/15:  Bilan entretient, réunion suivi interne de la TMA.\r\n25/11/15 : Suivi interne (préparation météo+synthèse)'),
(1013, 'Nicolas Loubatiere <loubatiere>, 27/11/2015: \r\nSuite demande TMA, la MOA doit confirmer ou non la résolution de l\'anomalie.\r\nSi OK, ce defect devra être clôturé, dans la négative, il devra être replanifié.'),
(1014, '+ BG29 : pgeAudit'),
(1015, 'Manquait aussi :\r\n\r\n* Onglet Habilitations RACF\r\n - Champ Nom-Prénom'),
(1017, 'En effet il y avait un cas limite lorsque l\'on vidait la liste des DCP missionnables.'),
(1018, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDérive à cause de :\r\n - Correction de divers bug de l\'admin en général.\r\n - Tâche plus longue que l\'estimation de base.'),
(1019, 'Ré-ouvert car le champ \"délégation d\'habilitations\" n\'est toujours pas modifiable dans la version sp8 RC2.'),
(1020, 'Ré-ouvert car la saisie de la date de clôture est toujours obligatoire dans la version sp8 rc2.'),
(1021, 'Ré-ouvert car lorsqu\'on clique sur \"Enregistrer les modifications\" le message d\'erreur suivant est affiché \"une erreur est survenue\"'),
(1022, 'Comme j\'étais coincée sur les tests car aucun accès à CAFPRO / CDAP du fait de taper sur la VM de Jérémy et que l\'accès était KO, j\'ai passé 1,5 jour sur JSF en tuto.\r\n\r\nEnsuite, j\'ai terminé à l\'aveugle la partie Ressources et lorsque j\'ai commencé de tester Dossier avec des avis Cotorep, j\'ai dû commencé de modifier les méthodes génériques en intégrant les cas particuliers.'),
(1023, 'Suite du tuto JSF'),
(1024, 'De : LOPEZ Jean-Antoine-ext \r\nEnvoyé : jeudi 3 décembre 2015 15:12\r\nÀ : NAVARRO Mikael-ext\r\nCc : LOPEZ Jean-Antoine-ext\r\nObjet : Fichier pour flux phébus BI RH\r\n\r\nSalut Mickael,\r\nJ’ai le format de fichier validé par le CDP de BI RH :\r\n\r\nZONE                            | LONGUEUR  | TYPE	| COMMENTAIRE\r\nN° Gala                         | 7	    | NUM	| Numéro de la demande\r\nNom personne qui a créé le Gala | 30	    | CHAR	| Créateur de la demande GALA\r\nAction (Ajout / Suppression)    | 12	    | CHAR 	| Soit \"Ajout\" soit \"Suppression\"\r\nIdentifiant Neptune             | 8	    | CHAR	| ID DGA SI\r\nNom                             | 30	    | CHAR	| Nom de l\'agent concerné par la demande\r\nPrénom                          | 30	    | CHAR	| Prénom de l\'agent concerné par la demande\r\nAdresse mail                    | 60	    | CHAR	| Email de l\'agent concerné par la demande\r\nRégion à analyser               | 3	    | CHAR	| Habilitation de type Bi RH - Régions, accessible via F3\r\nDomaine métier                  | 30	    | CHAR	| Habilitation de type Bi RH - Domaine métier accessible via F3\r\nProfil (Rôle fonctionnel)       | 50	    | CHAR	| Habilitation de type Bi RH - Profils accessible via F3\r\nDroit d’accès (portefeuille)    | 20	    | CHAR	| Habilitation de type Bi RH - Droit d\'accès accessible via F3\n\n'),
(1025, 'OK, je fais une action sur le Fait (saisie de cette note)'),
(1026, 'Ici : je saisie une note liée au changement de statut => analyzed\r\nEt je re-assigne le fait sur alexis'),
(1027, 'Re,\r\n\r\nPour cette « Région à analyser » ne faut-il pas une « Habilitation de type Bi RH – Régions » ?\r\n\r\nPour BI Finance on a une colonne « DCP/Région » (cf. fichier joint), c’est celle-là qu’il faut intégrer ? A la place ? En plus ?\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office CDS DIT/SOPET & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888\r\n \r\n________________________________________\r\nDe : LOPEZ Jean-Antoine-ext \r\nEnvoyé : lundi 7 décembre 2015 14:09\r\nÀ : NAVARRO Mikael-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: Fichier pour flux phébus BI RH\r\n\r\nSalut Mickael,\r\nLe champ « Région à analyser » n’est pas renseigné, il permet de délimiter le périmètre du portefeuille d’action.\r\n \r\nCordialement,\r\nJean Antoine LOPEZ.\r\n \r\nConsultant SOGETI pour \r\nDIT - IET - Sécurité Opérationnelle de l\'Environnement de Travail\r\n*SI PTSR SA Support Fonctionnel\r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : lundi 7 décembre 2015 12:24\r\nÀ : LOPEZ Jean-Antoine-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: Fichier pour flux phébus BI RH\r\n\r\nBonjour,\r\n\r\nCi-joint un fichier généré sur Gala SF.\r\n\r\nDis-moi si ok. ?'),
(1028, 'Récapitulatif :\r\n\r\n- Rubrique Droits\r\nSTATUT : terminé\r\n\r\n- Rubrique Paiements\r\n* Il y a un problème avec certains paiements pour l\'allocataire 3111 à partir d\'Octobre 2015 et précédent : un des deux paiements \"Mensuel\" n\'a pas de ligne \"Montant de la retenue\" et le total affiche 0.00 au lieu du montant payé\r\n-> problème lors de la vérification du test de la rubrique\r\n=> avant de modifier (cas particulier ?), Kevin va voir s\'il s\'agit d\'un problème de données ou autre chose\r\n\r\nSTATUT : en cours\r\n\r\n- Rubrique Dossier\r\n* Problème sur les titres de séjour cf 0007815\r\n* Attente de commit + mise à jour de la VM de Jérémy pour pouvoir tester la rubrique => débogage de mes tests à prévoir\r\n\r\nSTATUT : en cours\r\n\r\n- Rubrique Ressources\r\n* En raison d\'une trop grande différence de présentation entre Cafpro (une table par occupant avec ses ressources dédiées) et Cdap (un tableau à double entrée), il a fallu se passer des méthodes génériques (trop de cas particuliers à gérer).\r\n-> mettre les classes dans les jsp\r\n-> commiter et mise à jour VM Jérémy\r\n-> tester le test de la rubrique\r\n\r\n* Ajouter le cas des ressources trimestrielles (méthode commune avec celle des ressources annuelles?)\r\n\r\nSTATUT : en cours'),
(1029, 'Re,\r\nIl existe un type de ressource Bi RH – Régions dans GALA. Il prend en compte les futures régions de PE. J’avais fait un récapitulatif à Didier je le colle ci-dessous :\r\nIl faut transmettre l’information portée par l’habilitation dans le fichier de transfert (3 caractères)\r\n\r\n\r\nCi-dessous les nouvelles régions regroupant les anciennes régions\r\n\r\nRégion HQ	Région parente HQ	Description Région Parente\r\n01	A01	Nouv Région Poitou-Charentes & Limousin & Aquitaine\r\n13	A11	Nouv Région Pays de la Loire\r\n17	A05	Nouv Région Lorraine & Champagne-Ardenne & Alsace\r\n25	A06	Nouv Région Nord-Pas-de-Calais & Picardie\r\n27	A24	Nouv Région Bretagne\r\n31	A03	Nouv Région Rhône-Alpes & Auvergne\r\n34	A12	Nouv Région PACA\r\n35	A13	Nouv Région Centre\r\n39	A01	Nouv Région Poitou-Charentes & Limousin & Aquitaine\r\n40	A07	Nouv Région Haute-Normandie & Basse Normandie & Saint Pierre et Miquelon\r\n41	A07	Nouv Région Haute-Normandie & Basse Normandie & Saint Pierre et Miquelon\r\n44	A03	Nouv Région Rhône-Alpes & Auvergne\r\n46	A02	Nouv Région Languedo-Rousillon & Midi-Pyrénées\r\n48	A02	Nouv Région Languedo-Rousillon & Midi-Pyrénées\r\n49	A06	Nouv Région Nord-Pas-de-Calais & Picardie\r\n50	A04	Nouv Région Bourgogne & Franche-Comté\r\n51	A05	Nouv Région Lorraine & Champagne-Ardenne & Alsace\r\n52	A04	Nouv Région Bourgogne & Franche-Comté\r\n55	A22	Nouv Région PES\r\n63	A05	Nouv Région Lorraine & Champagne-Ardenne & Alsace\r\n65	A14	Nouv Région Corse\r\n66	A15	Nouv Réfion Guadeloupe\r\n67	A16	Nouv Région Martinique\r\n68	A17	Nouv Région Réunion\r\n69	A18	Nouv Région Guyane\r\n75	A10	Nouv Région Ile-de-France\r\n87	A01	Nouv Région Poitou-Charentes & Limousin & Aquitaine\r\n99	A07	Nouv Région Haute-Normandie & Basse Normandie & Saint Pierre et Miquelon\r\n95	A20	Nouv Région DSI\r\n99	A21	Nouv Région DG Siège\r\n\r\nJ’ai créer les ressources du type BI RH Régions :\r\n\r\nType	Ressource	Habilitation\r\nBI RH - Régions	Nouv Région Poitou-Charentes & Limousin & Aquitaine	A01\r\nBI RH - Régions	Nouv Région Languedo-Rousillon & Midi-Pyrénées	A02\r\nBI RH - Régions	Nouv Région Rhône-Alpes & Auvergne	A03\r\nBI RH - Régions	Nouv Région Bourgogne & Franche-Comté	A04\r\nBI RH - Régions	Nouv Région Lorraine & Champagne-Ardenne & Alsace	A05\r\nBI RH - Régions	Nouv Région Nord-Pas-de-Calais & Picardie	A06\r\nBI RH - Régions	Nouv Région Haute-Normandie & Basse Normandie & Saint Pierre et Miquelon	A07\r\nBI RH - Régions	Nouv Région Ile-de-France	A10\r\nBI RH - Régions	Nouv Région Pays de la Loire	A11\r\nBI RH - Régions	Nouv Région PACA	A12\r\nBI RH - Régions	Nouv Région Centre	A13\r\nBI RH - Régions	Nouv Région Corse	A14\r\nBI RH - Régions	Nouv Région Guadeloupe	A15\r\nBI RH - Régions	Nouv Région Martinique	A16\r\nBI RH - Régions	Nouv Région Réunion	A17\r\nBI RH - Régions	Nouv Région Guyane	A18\r\nBI RH - Régions	Nouv Région DSI	A20\r\nBI RH - Régions	Nouv Région DG Siège	A21\r\nBI RH - Régions	Nouv Région PES	A22\r\nBI RH - Régions	Nouv Région Bretagne	A24\r\nBI RH - Régions	Nouv Région NATIONAL	NAT\r\n\r\nQui va venir s’insérer dans le fichier de transfert flux phébus pour les agents des régions concernées à la sélection de l’activité régionale.\r\n\r\n\r\nPar exemple dans le cas suivant tout agent des régions : Poitou-Charentes ou Limousin ou Aquitaine remontera dans le fichier la valeur A01 pour le champ Région à analyser.\r\n\r\nZONE	LONGUEUR	TYPE	COMMENTAIRE	EXEMPLE\r\nN° Gala	7	NUM	Numéro de la demande	1689092\r\nNom personne qui a créé le Gala	30	CHAR	Créateur de la demande GALA	DAOUYA Sylvette\r\nAction (Ajout / Suppression)	12	CHAR 	Soit \"Ajout\" soit \"Suppression\"	ajout\r\nIdentifiant Neptune	8	CHAR	ID DGA SI	IJLO0562\r\nNom	30	CHAR	Nom de l\'agent concerné par la demande	Lopez\r\nPrénom	30	CHAR	Prénom de l\'agent concerné par la demande	Jean\r\nAdresse mail	60	CHAR	Email de l\'agent concerné par la demande	jean.lopez@pole-emploi.fr\r\n\r\nRégion à analyser (un ou plusieurs code région ou national)	3	CHAR	Habilitation de type Bi RH - Régions, accessible via F3	A01\r\nDomaine métier	30	CHAR	Habilitation de type Bi RH - Domaine métier accessible via F3	GAP\r\nProfil (Rôle fonctionnel)	50	CHAR	Habilitation de type Bi RH - Profils accessible via F3	Administrateur\r\nDroit d’accès (portefeuille)	20	CHAR	Habilitation de type Bi RH - Droit d\'accès accessible via F3	Accès \r\n\r\n\r\nSi l’activité sélectionnée est une activité à portée nationale alors le champ sera valorisée à NAT et interprété comme une couverture Nationale.\r\n\r\nPour BI Finance je ne sais pas quel sera le découpage mais on peux imaginer le même fonctionnement.\r\n \r\nCordialement,\r\nJean Antoine LOPEZ.'),
(1030, 'Bonjour Jean-Antoine,\r\n\r\nSi je comprends bien, le champ « Région à analyser » doit être renseigné avec le LIB_HABILITATION de la ressource.\r\nPour moi, il faut que dans le formulaire soit associé une ressources de type « BI RH – Régions » pour que cette colonne soit remplie.\r\n\r\nOr, dans le cas de test du fichier que je t’ai envoyé (fait sur Gala_sf) je ne trouve pas d’actions portant des ressources de type « BI RH – Régions ».\r\n\r\nJ’ai faux ?');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(1031, 'Salut Mickael,\r\nT’as tout bon, par contre je n’ai pas maintenu GALA SF ce qui explique certainement le décalage pour BI RH Régions.\r\n\r\n(PI, ci-dessous une ebauche des infos destinées à la comm qui sera faite par le pilotage.)\r\n\r\nCordialement,\r\nJean Antoine LOPEZ.\r\n \r\nConsultant SOGETI pour \r\nDIT - IET - Sécurité Opérationnelle de l\'Environnement de Travail\r\n*SI PTSR SA Support Fonctionnel\r\n\r\n\r\n________________________________________\r\nBonjour,\r\nMise en place du projet BI RH :\r\nBI RH est le nom générique donné à l’application décisionnelle qui sera disponible pour les utilisateurs des services RH. Il s’agit d’une application de type PN, basée sur le progiciel SAP Business Objects, qui permettra de présenter des données agrégées et modélisées, collectées auprès des applications transactionnelles du SI RH.\r\nCette application s’appuie sur une couche SLD, couverte par l’application BW (autre progiciel SAP).\r\n	Le projet « BI RH » a été mis en place afin de répondre à l’ensemble des besoins métier tels que :\r\n\r\n	Des besoins d’analyse de situations et de prises de décisions pour faciliter le pilotage.\r\n	Proposer des solutions de restitutions plus adaptées.\r\n	Des besoins de restitution de données aux utilisateurs via des rapports, des tableaux de bord ou des indicateurs.\r\n	Des extractions à réaliser sur les 29 bases HQ avant de reconsolider\r\n\r\nOrganisation des ressources dans gala :\r\n\r\nLes habilitations liées à cette application sont multiples et sont regroupées en Package pour la DSI ou regroupées dans des activitées associées à des métiers GIH.\r\n\r\nLes utilisateurs passeront par le Bureau Métier puis onglet Autres, puis le lien BI RH GT pour accéder à l’application.\r\n\r\n\r\nListe des activitées disponibles dans GALA : \r\n\r\n \r\n    Nationales : \r\n\r\n[GIH] Opt BI RH - Formation - Analyste de données - National\r\n[GIH] Opt BI RH - Formation - Consommateur de données - National\r\n\r\n[GIH] Opt BI RH - GAP - Analyste de données - National\r\n[GIH] Opt BI RH - GAP - Consommateur de données - National\r\n\r\n[GIH] Opt BI RH - GT - Analyste de données - National\r\n[GIH] Opt BI RH - GT - Consommateur de données - National\r\n\r\n[GIH] Opt BI RH - Pilotage - Analyste de données - National\r\n[GIH] Opt BI RH - Pilotage - Consommateur de données – National\r\n\r\n[GIH] Opt BI RH - Relations Sociales - Analyste de données - National\r\n[GIH] Opt BI RH - Relations Sociales - Consommateur de données - National\r\n\r\n[GIH] Opt BI RH - Transverse - Administrateur - National\r\n[GIH] Opt BI RH - Transverse - Analyste de données - National\r\n[GIH] Opt BI RH - Transverse - Consommateur de données - National\r\n \r\n\r\n    Régionales : \r\n\r\n[GIH] Opt BI RH - Formation - Analyste de données - Régional\r\n[GIH] Opt BI RH - Formation - Consommateur de données - Régional\r\n\r\n[GIH] Opt BI RH - GAP - Analyste de données - Régional\r\n[GIH] Opt BI RH - GAP - Consommateur de données - Régional\r\n\r\n[GIH] Opt BI RH - GT - Analyste de données - Régional\r\n[GIH] Opt BI RH - GT - Consommateur de données - Régional\r\n\r\n[GIH] Opt BI RH - Pilotage - Analyste de données – Régional\r\n[GIH] Opt BI RH - Pilotage - Consommateur de données – Régional\r\n\r\n[GIH] Opt BI RH - Relations Sociales - Analyste de données - Régional\r\n[GIH] Opt BI RH - Relations Sociales - Consommateur de données – Régional\r\n\r\n[GIH] Opt BI RH - Transverse - Administrateur - Régional\r\n[GIH] Opt BI RH - Transverse - Analyste de données - Régional\r\n[GIH] Opt BI RH - Transverse - Consommateur de données - Régional\r\n \r\n\r\nDistribution des activités dans les métiers GIH : \r\n\r\nDomaine BI-RH	Rôle fonctionnel	Métier GIH RH	DG/DR\r\nRelations Sociales	Consommateur	RH - DPT Relations sociales	DG\r\n		RH - GRH	DR\r\n		RH - GRH région DG	DR (région DG)\r\n	Analyste	RH - DPT Relations sociales	DG\r\nFormation	Consommateur	RH - Direction de la Formation	DG\r\n		RH - Formation	DR\r\n		RH - Formation région DG	DR (région DG)\r\n		RH - GRH	DR\r\n		RH - GRH région DG	DR (région DG)\r\n	Analyste	RH - Direction de la Formation	DG\r\nGAP	Consommateur	RH - DPT GAP	DG\r\n		RH - GAP	DR\r\n		RH - GAP région DG	DR (région DG)\r\n	Analyste	RH - DPT GAP	DG\r\nGT	Consommateur	RH - DPT GAP	DG\r\n		RH - GAP	DR\r\n		RH - GAP région DG	DR (région DG)\r\n	Analyste	RH - DPT GAP	DG\r\nPilotage	Consommateur	RH - DPT Etudes sociales et Indicateurs	DG\r\n	Analyste	RH - DPT Etudes sociales et Indicateurs	DG\r\nTransverse	Consommateur	RH - DSIRHI	DG\r\n	Analyste	RH - DSIRHI	DG\r\n	Administrateur	RH - DSIRHI	DG\r\n\r\n\r\n\r\nLe workflow mis en place :\r\n\r\nL’attribution se fera via un F3, les demandes devront être créées, validées, approuvées et seront toutes réalisées en bloc au lendemain de la date d’effet lorsque ces actions seront mises à disposition du service en charge de les réaliser.\r\n\r\n\r\n \r\nCordialement,\r\nJean Antoine LOPEZ.'),
(1032, '- 01/12/2015 et 02/12:2015 : mise en place des tests de non régression sur la fiabilisation, l\'import des topga de masse et de la désynchronisation RNIAM/RSI des bénéficiaires\r\n\r\n- 09/12/2015 : suite tests de non régression (même sujet)'),
(1033, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n- 01/12/2015\r\n- 02/12:2015\r\n- 09/12/2015\r\n- 10/12/2015\r\n- 11/12/2015 : mise en place des tests de non régression sur la fiabilisation, l\'import des topga de masse et de la désynchronisation RNIAM/RSI des bénéficiaires\r\n- 17/12/2015 : D41913 - Report V15.0.10\r\n- 21/12/2015 : D41930\r\n- 23/12/2015 : Livraison D41929'),
(1034, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nSynchronisation de Radouane & Saïd sur les groupes.\r\n10/12 Steven support creation partenaire\r\n\r\nSupport d\'équipe en développant des scripts utilitaires'),
(1035, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n41823 - Anomalie refonte IJ\r\n03585 - Anomalie bloquante GAC prestataire\r\n41871 - Assistance - Anomalie de production\r\n'),
(1036, 'Defect 2890 livré réal'),
(1037, 'Version livré'),
(1038, 'Version livré'),
(1039, 'Defect 2890 livré réal'),
(1040, 'Defect livré'),
(1041, 'Annulé'),
(1042, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n04/12 : Radouane-Kévin, Atelier pour la délégation\r\n08/12 : Radouane-Kévin-Otmane, Atelier pour la délégation\r\n11/12 : Atelier Gestion des Cascades et Multi-Caf\r\n21/12 : Réunion MI-SPRINT 0.5/p'),
(1043, '0.25 de réunion avec Nicolas Mercier et Christophe Millot'),
(1044, 'Vu avec Kevin.\r\nEn fait, que l\'allocataire soit radié ou non, on montre ses données (comportement différent de Cafpro) c\'est-à-dire \"Aucun élément\" si pas de données ou les données déclarées s\'il y a lieu'),
(1045, 'Vu avec Kevin.\r\nEn fait, que l\'allocataire soit radié ou non, on montre ses données (comportement différent de Cafpro) c\'est-à-dire \"Aucun élément\" si pas de données ou les données déclarées s\'il y a lieu'),
(1046, 'Vu avec Kevin.\r\nEn fait, que l\'allocataire soit radié ou non, on montre ses données (comportement différent de Cafpro) c\'est-à-dire \"Aucun élément\" si pas de données ou les données déclarées s\'il y a lieu'),
(1047, 'Rubrique Ressources :\r\n- test avec seulement des années précédentes : terminé\r\n- ajout de la gestion des trimestres précédents : terminé\r\n- gestion du dossier purgé : terminé\r\n- gestion de \"ressources non fournies\" avec trimestres / années précédents'),
(1048, 'Ajout du module Contrib.Navigation'),
(1049, 'Erreur provenant du BU :\r\nBDAdministrationService::PrintElements\r\n\r\nParamètres d\'entrées : \r\n	\r\nContexteUtilisateur = {\r\n   IdContexte = \"999d7326-780c-4206-e053-38007f0acf03\"\r\n   IdEntite = \"999d7326-780c-4206-e053-38007f0acf03\"\r\n   IdUtilisateur = \"999d7326-780c-4206-e053-38007f0acf03\"\r\n   UtilisateurCourant = UTINEW\r\n}\r\nElement = ElementEnumDTO.Entite\r\n		\r\nRetour : \r\n	\r\n   Une exception de première chance de type \'VINCI.Autoroutes.UI.ToDoV2.Tools.Exceptions.VinciBusinessException\' s\'est produite dans VA-BD-ToDoV2-IMPL-1.dll\r\n\r\n   Informations supplémentaires : Erreur lors de la génération du document ElementEntite (D:\\www\\WS-TODOV2\\VA-BU-ToDoV2\\bin\\Report\\Rpt\\CRElementEntite.rpt) au format PDF.\r\n'),
(1050, 'Ajout de l\'expression régulière sur le modèle + affichage de l\'erreur dans les vues concernées.'),
(1051, 'Modif des routes lors de la fermeture des popins. (passage des paramètres dans queryData)'),
(1052, 'Bug déjà corrigé par M. LECOURANT.'),
(1053, 'Bug du côté ASF (UpdateUtilisateur)'),
(1054, 'ContexteUtilisateur manquant dans la request de UpdateEntite'),
(1055, 'Guid rendus nullable dans les actions en AJAX'),
(1056, 'Résolu entre temps par ASF'),
(1057, 'Idem que le bug 0008007'),
(1058, 'Bug provenant des ASF'),
(1059, 'bug provenant des asf'),
(1060, 'Bug identique au 7991'),
(1061, 'Bug ASF'),
(1062, 'Bug ASF'),
(1063, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n0.33j D41906 Report V15.0.2\r\n0.33j D41909 Report V15.1.0'),
(1064, 'Le code est envoyé au BU. La BU n\'est pas implémentée correctement.'),
(1065, 'Bug ASF'),
(1066, 'Livraison le 18/12'),
(1067, 'Livraison le 18/12'),
(1068, 'Livraison le 18/12'),
(1069, 'Livraison le 18/12'),
(1070, 'Livraison le 18/12'),
(1071, 'Livraison le 18/12'),
(1072, 'Livraison le 18/12'),
(1073, 'Livraison le 18/12'),
(1074, 'Livraison le 18/12'),
(1075, 'Livraison le 18/12'),
(1076, 'Livraison le 18/12'),
(1077, 'Livraison le 18/12'),
(1078, 'Livraison le 18/12'),
(1079, 'Livraison le 18/12'),
(1080, 'Livraison le 18/12'),
(1081, 'Livraison le 18/12'),
(1082, 'Livraison le 18/12'),
(1083, 'Livraison le 18/12'),
(1084, 'Livraison le 18/12'),
(1085, 'Livraison le 18/12'),
(1086, 'Livraison le 18/12'),
(1087, 'Livraison le 18/12'),
(1088, 'Livraison le 18/12'),
(1089, 'Livraison le 18/12'),
(1090, 'Livraison le 18/12'),
(1091, 'Livraison le 18/12'),
(1092, 'Livraison le 18/12'),
(1093, 'Livraison le 18/12'),
(1094, 'Livraison le 18/12'),
(1095, 'Livraison le 18/12'),
(1096, 'Livraison le 18/12'),
(1097, 'Livraison le 18/12'),
(1098, 'Livraison le 18/12'),
(1099, 'Livraison le 18/12'),
(1100, 'Livraison le 18/12'),
(1101, 'Livraison le 18/12'),
(1102, 'Livraison le 18/12'),
(1103, 'Livraison le 18/12'),
(1104, 'Livraison le 18/12'),
(1105, 'Livraison le 18/12'),
(1106, 'Livraison le 18/12'),
(1107, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n07/12 : Suivi d\'avancement avec Christophe Millot.\r\n08/12 : Construction des tableaux de bord du service CDAP.\r\n10/12 : Présentation des fonctionnalités : Contacter ma caf + rapport mensuel connexions atypiques.\r\n14/12 : Mise en place du groupe de travail des responsables CDR pour préparation du déploiement du service CDAP.\r\n15/12 : Suivi d\'avancement avec Christophe Millot.\r\n17/12 : Réunion : 1) Configuration du service CDAP dans HABPPS : Population vs Profil ? Fusion T2/T3 ? Fusion T4/T5 ? 2)TBD CDAP Métier pour les partenaires : uniquement admin ? Service de supervision ? 3)Rôle expert régionaux CDR\r\n22/12 : Réunion à Paris pour QLWEB : Extranet bailleurs / Précisions des specifications fonctionnelles'),
(1108, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n09/12 : Point avec Sarah sur l\'avancée des tests, planification, fin des tests prévue pour fin décembre (rubriques prioritaires).\r\n\r\n04/01 : Correction des problèmes sur l\'env de Sarah + aide sur les tests '),
(1109, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n08/12 : Radaction \"0XXX-CNAF-Marché-Lot-4-PRE-Portail_Activités_2016--rev1.0\" et \"PlanDeChargePortail-2016-V1\"\r\n09/12 :Présentation à Christophe Millot'),
(1110, 'Suite à réunion du 21/12/2015 avec la CNAF :\r\n1)Remplacer WPR par PCA\r\n2)Conserver PROWEB\r\n3)Intégrer nouvelle rubrique SYNTWEB'),
(1111, 'a tester...'),
(1113, 'Pb d\'environnement -> Jérémy a passé 1/2 journée en tout pour mettre à jour l\'environnement.\r\nEn attendant, je suis montée en compétence sur le tuto JSF'),
(1114, 'Suite du tuto JSF car bloquée par mon environnement pour débugger mes tests'),
(1115, 'Fonctionnalités en cours de recette'),
(1116, 'Fonctionnalités en cours de recette'),
(1117, 'Fonctionnalités en cours de recette'),
(1118, 'Fonctionnalités en cours de recette'),
(1119, 'Fonctionnalités en cours de recette'),
(1120, 'Fonctionnalités en cours de recette'),
(1121, 'Fonctionnalités en cours de recette'),
(1122, 'Fonctionnalités en cours de recette'),
(1123, 'En attente d\'un retour des ASF'),
(1124, 'Il y a un problème sur le cache.'),
(1125, 'Reste 1 jour à imputer entre Sanaa et Lindsay pour la reunion du 5/1'),
(1126, 'Faute de frappe présente dans la version sp9 rc1\n\n'),
(1127, 'Bug côté ASF'),
(1128, 'En attente d\'une validation de la part des ASF.'),
(1129, 'En attente de validation de la part des ASF.'),
(1130, 'Bug communiqué aux ASF.'),
(1131, 'Entité --> OK\r\n\r\nListe de valeur désactivé --> Bug côté ASF\r\n\r\nValeurs désactivées --> A corriger'),
(1132, 'En attente d\'ajout de cas de tests côté ASF.'),
(1133, 'En attente d\'un cas de tests côté ASF.'),
(1134, 'En attente de validation du format côté ASF.'),
(1135, 'Voici l\'ordre demandé par Séb:\r\n\r\nAlertes\r\nDates\r\nCouleurs\r\nPlages de dossiers\r\nEtats\r\nType d’entrants\r\nCanaux d’entrées\r\nMotifs\r\nHistorique\r\nType evènements\r\nTypes clients\r\nFormule clients\r\n\r\nS’il en manque les mettre à la suite.\r\n'),
(1136, 'Régression par rapport au SPRINT précédent (SPRINT#8).'),
(1137, 'Correction non vérifiée dans la version RC1 du sprint 9 à cause du bug décrit dans la Mantis 8245.'),
(1138, 'Bonjour, \r\n\r\nCi-dessous la réponse du projet Habtiers : \r\n\"Support telephonique du 27/11/2015\r\nL\'agent que vous souhaitez créer existe déjà en tant qu\'agent partenaire de l\'organisme \"Esat les tournesols\". Cet organisme a passé une convention avec la caf de mulhouse. De ce fait vous pouvez leur demander de supprimer l\'agent concerné ou bien créer un agent avec un email différent.\"\r\n\r\nCordialement, \r\nValérie FARRON'),
(1139, 'Bonjour,\r\n-Dans le cadre du désengagement ZOS prévu courant juin 2016, la réinitialisation du mot de passe sera supprimé de l\'interface d\'Habtiers.\r\nDe ce fait, l\'utilisateur pourra seulement faire une demande de réinitialisation de mot de passe via la page d\'authentification.\r\n-Pour la demande de colorisation, cette évolution devra faire office d\'une étude par la MOA. Cordialement. SI Habtiers\r\n\r\nCdR IdF - AM. 01/12/2015, demande d\'évolution à suivre.'),
(1140, 'Resolu apres redemarrage de l\'application.'),
(1141, 'modif base de données'),
(1142, 'Bonjour,\r\n\r\nAprès analyse et comme convenu par téléphone, le partenair mentionné sera supprimé afin de résoudre le problème.\r\n\r\nCordialement'),
(1143, 'Toutes les données ont été restaurées (confirmation par mail).\r\n--------------------------------------------------\r\nSupport téléphonique le 22/12/2015\r\n\r\nSuite à notre conversation téléphonique, un batch a été réalisé pour restaurer la convention avant clôture.\r\n\r\nPouvez-vous vérifier que toutes les données ont bien été restauré.\r\n\r\nMerci.'),
(1144, 'Le batch a été fourni le 04/02/16 par mail.\r\n------------------------------------------------------------------------------------------------------------------------------------------------------------------\r\nBonjour,\r\n\r\nJ\'ai essayé de vous contacter le 22/12/2015, les actions d\'extractions que vous demandez ne sont pas réalisables via habtiers.\r\n\r\nNous pouvons cependant réaliser un batch spécifique pour extraire par organisme les données des agents partenaires qui ont le ticket aide collectif.\r\n\r\nCordialement,\r\n\r\nHOR Steven'),
(1145, 'Bonjour,\r\n\r\nSuite à notre conversation téléphone et après vérification, seul l\'agent QUENUM est impacté. De ce fait, un batch a été lancé pour mettre à jour la date de clôture de cet agent au 9999-12-31.\r\n\r\nCordialement.'),
(1146, '• Rubrique Ressources :\r\nJ\'ai pas mal perdu du temps avec des erreurs liés à l\'apprentissage du langage (types de listes) pour essayer de finir la rubrique Ressources.\r\n\r\n• Rubrique Droits : terminée\r\n• Rubrique Dossier : terminée\r\n• Rubrique Paiements : terminée\r\n\r\nRAF :\r\n- terminer Ressources\r\n- lancement des tests (sur tous les allocataires) pour les 3 rubriques : en cours\r\n- analyse des résultats\r\n- lancer les tests pour tous les allocataires et tous les profils\r\n- lancer les tests en parallèle (quantifier)'),
(1147, 'Réponse faite:\r\n\r\nPour déterminer si un utilisateur est \"Administrateur\" nous ne regardons pas en fonction du couple utilisateur/entité mais bien le rôle déclaré.\r\n\r\nPour tous les autres rôles nous nous basons sur le couple utilisateur/rôle.'),
(1148, 'Atos:\r\nSi tu regardes bien le log qui est affiché de notre côté, c\'est écrit VinciTechnicalException.\r\n\r\nNous allons regarder si c\'est nous qui récupérons mal les BusinessException ou non. Mais lors de la recette, nous avons testé ce cas et les business apparaissaient bien.'),
(1149, 'ASF:\r\nJe vous laisse vérifier, d\'après le test que j\'ai fait avec SOAPUI c\'est bien une BusinessException qui est remontée\r\n\r\n+ dans tous les cas je vous demande de prendre en compte ma remarque : \r\n\r\nLe log mentionne \"Une erreur technique non gérée est survenue\"\r\nIl doit mentionner l\'erreur retournée par la BU avec le GUID :\r\n\r\nLe code-libellé testtesttesttestteccccccccccccccccsttesttesttesttesttesttest-test est déjà présent.\r\n8ed0f895-2b58-4383-a975-6470b4cd48aa'),
(1150, 'Atos:\r\n\r\nNous avons fait le test de notre côté, nous n\'avons pas de problème.\r\n\r\nA confirmer avec la prochaine livraison.'),
(1151, 'ASF: après échange avec Geoffrey, je vous confirme que je n\'avais pas le rôle admin ni sur mon compte utilisateur ni sur le couple entité/utilisateur\r\n\r\nJe n\'avais que le rôle \"utilisateur\"'),
(1152, 'Atos:\r\nLe fait d\'afficher la tuile \"pré-qualification\" lorsqu\'on a le rôle \"Utilisateur\" est normal. cf Specs Chapitre \"Vue d\'ensemble des fonctionnalités.\"\r\n\r\nPar contre, le fait que lorsqu\'on tombe sur un autre affichage après avoir utilisé le cookie, là ce n\'est pas normal.\r\n\r\n\r\nVeux-tu que nous changions le comportement de la tuile \"Pré-qualification\" ?'),
(1153, 'ASF:\r\nOn va réserver la tuile \"pré-qualification\" aux utilisateurs ayant le rôle gestionnaire\r\n\r\net je vous demande de vérifier le comportement de l\'écran avec le cookie\r\n\r\nmerci'),
(1154, 'Suite à une réunion avec les ASF:\r\n\r\nLa taille autorisée sera gérée par la BU mais nous devons bien vérifier qu\'à la réception de cette exception, l\'application Todo réagisse bien.'),
(1155, 'Ce fonctionnement pose problème dans le cas de la multi-session.\r\n\r\nCe qui a été décidé:\r\nIl faut ajouter un bouton ou un lien (\"Oublier mon contexte/entité sauvegardée\") sur la page de choix du contexte/entité. Cette fonctionnalité doit permettre de supprimer le cookie.'),
(1156, 'Le style n\'a pas été surchargé, il provient du thème ACE que vous nous avez fourni.'),
(1157, 'Mettre un message différent quand l\'utilisateur n\'a pas le droit d\'accèder à l\'application'),
(1158, 'En complément, je viens de faire un test : \r\nJe me suis retiré la permission \"UtilisateurToDo\" et j\'ai toujours accès à ToDo.\r\n\r\nJ\'ai supprimé les cookies, etc, toujours pareil.'),
(1159, 'Voir avec les ASF pour savoir comment ils l\'ont fait sur les autres applications.'),
(1160, 'Aléatoire = \r\nModifier une valeur après 1 business.'),
(1161, 'Pb constatés:\r\n- si on choisit 50 éléments ou 100 par page, la pagination disparaissant l\'utilisateur ne pourra choisir un autre nombre d\'élément par page.\r\n\r\n- lorsqu\'on applique des filtres, la pagination peut disparaitre puis revenir pour d\'autres filtres \"effet guirlande\".\r\n\r\n- gestion sur les requêtes ajax qui peut poser problème.'),
(1162, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nJe ne sais pas si c\'est le bon endroit\r\nDefect 41942 retour de la TRA sur lot1 V1\r\nil y a le jeudi 24/12 aussi\r\nmais je n\'arrive pas à saisir'),
(1163, 'batch + modif applicatif'),
(1164, 'batch + modif applicatif'),
(1165, 'batch + modif applicatif'),
(1166, 'Radouane le 30/12/2015:\r\nJ’ai réalisé le Batch Scheduler, je l’ai nommé pha-scheduler et je l’ai poussé sur JazzRTC. J’ai pu le tester il est fonctionnel et opérationnel. J’ai créé une documentation le concernant que j’ai mise sous : « G:\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\HABPPS\\12-LIVRABLES\\Développement\\Pha-Scheduler » sous le nom de « Pha Scheduler.docx »\n\n'),
(1167, 'Radouane le 30/12/2015 :\r\nJ’ai développé une première version des statuts, la tâche n’est pas terminée puisqu’il reste les points fonctionnels à détailler avec Kévin, il me semble que Otmane et Kévin l’ont fait. J’ai également rédigé une documentation concernant cette tâche qui est sous le même répertoire « G:\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\HABPPS\\12-LIVRABLES\\Développement\\Pha-Scheduler » sous le nom de : « Status.docx »'),
(1168, 'Radouane le 30/12/2015 :\r\nJ’ai développé en très grande partie l’algorithme de cascade POUR LE BATCH, cependant il reste à déclencher la cascade en cas de suppression manuelle par l’utilisateur. il reste tout de même des améliorations à apporter à l’algorithme. Je n’ai pas rédigé de documentations puisqu’il y a la doc de Kévin et le code, que j’ai bien commenté, pour comprendre.'),
(1169, 'Correction des premières anomalies globales après lancement de non-reg, sur les rubriques Dossier, Paiements et Droits.\r\n\r\nProblème détecté (et pas des moindres) : au bout d\'un certain temps, de manière aléatoire, le navigateur demande les identifiants (proxy) comme d\'habitude sauf que là, la boîte de dialog reste au premier plan et empêche la suite de la non-régression y compris de l\'impression du rapport.\r\nJ\'ai travaillé 2 jours sur le bug sans succès en relançant hier (piste de saisie des identifiants par un robot).\r\nJe vais essayer la piste du WebClient'),
(1171, 'De : MANENT Jessica-ext \r\nEnvoyé : mercredi 13 janvier 2016 16:46\r\nÀ : CHAUTARD David; ROJEL Didier; ROCHETTE Claude; NAVARRO Mikael-ext; DE LIHOVSKOI Veronique-ext; DE MAREUIL Fabrice-ext; GONCALVES Paulo; MANSERVISI Marc; GUERRERO Virginie-ext; HELMAN Lucie-ext\r\nCc : *SI DIT IET SF GALA Qualif\r\nObjet : PDD après réunion\r\n\r\nBonjour,\r\n\r\nCi-joint le PDD avec le statut de chaque demande d’évolution + commentaires suite à notre réunion d’aujourd’hui.\r\n\r\n+ Sujets MEVO pris en compte pour la V3.02'),
(1172, 'De : NAVARRO Mikael-ext \r\nEnvoyé : jeudi 14 janvier 2016 08:36\r\nÀ : MANENT Jessica-ext; DE LIHOVSKOI Veronique-ext\r\nCc : *SI DIT IET SF GALA Qualif; CHAUTARD David; ROJEL Didier; ROCHETTE Claude; DE MAREUIL Fabrice-ext; GONCALVES Paulo; MANSERVISI Marc; GUERRERO Virginie-ext; HELMAN Lucie-ext\r\nObjet : RE: PDD après réunion\r\n\r\nBonjour,\r\n\r\nP.I. concernant la fiche n°62 « Déphasage des codes dans GALA », elle a bien été livrée depuis la version GALA 3.0.1.3 ;\r\nÇa a été fait en même temps que la demande d’évol.: V3.01BG22 (http://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version301/issues/22).\r\n\r\nCdt,\n\n'),
(1173, 'La popin a été validée par Sébastien.'),
(1174, 'passage à resolved car RAF à 0'),
(1175, 'Le pointage doit être fait sur les autres tâches'),
(1176, 'Prise en compte des recommandations CAC 2015 2/3	\r\nRépondre aux recommandations CAC 2015 ==> Intégrer et déployer les ressources habilitation non encore intégrées dans GIH 	\r\n1 Indispensable	 	\r\nDémantèlement des formulaires en PJ dans la demande GALA pour intégration dans le workflow standard de provisionning des métiers GIH\r\n\r\nPrise en compte des recommandations CAC 2015 3/3	\r\nRépondre aux recommandations CAC 2015 ==> Sécurisation des processus	\r\n1 Indispensable	\r\nLot 1 : Elaboration et publication d’un tableau de bord de suivi des revues périodique d’habilitation par région et des relances associées 	\r\nLot 2 : Mise en place d’un audit GALA permettant d’afficher les cas de non connexion sur SAP \r\n\r\nSécurisation des Synchronisation VSI	\r\nPréparation des synchronisations et gestions des actions de mises à jour des métiers	\r\n1 Indispensable		\r\nMettre en place un IHM permettant de gérer plus finement les synchronisations des droits (recertification) lors des versions SI. Permettre de gérer les actions à réaliser sans intervenir en base de données'),
(1177, 'TODO Mail au RSI: confirmer qu\'on ne peut rien faire avant fin 2016'),
(1178, 'open paceque les autres sont open, (priorités dans le planning)'),
(1179, 'De : *SI DIT IET SF GALA Qualif \r\nEnvoyé : vendredi 15 janvier 2016 16:35\r\nÀ : *SI DIT IET SF GALA Qualif; CHAUTARD David; ROJEL Didier; ROCHETTE Claude; NAVARRO Mikael-ext; DE LIHOVSKOI Veronique-ext; DE MAREUIL Fabrice-ext; GONCALVES Paulo; MANSERVISI Marc; GUERRERO Virginie-ext; HELMAN Lucie-ext\r\nObjet : RE: PDD après réunion + Sujets MEVO\r\n\r\nBonjour à tous,\r\n\r\nCi-joint le document PDD mis à jour avec liste exhaustive de tous les sujets de la V3.02 (sous réserves que d’autres arrivent par la suite).\r\n\r\nDeux nouveaux sujets ont été rajoutés suite à notre réunion PDD de mercredi dernier :\r\n\r\nSlide 22 : Reconduction de contrat des agents PAD\r\nSlide 23 : Déplacement des bornes PILA\r\n\r\nJ’ai statué les slides afin de connaitre les sujets reportés, abandonnés, pris en compte (V3.02)...  \r\n\r\nCordialement,\r\nJessica Manent'),
(1180, 'réouvert suite à la reception de la FDR 1.0'),
(1181, '- Suite du problème détecté lors d\'une non reg : le pdf ne peut pas se finir complètement car il y a un problème avec les screenshots.\r\n-> try catch de manière à faire sauter les screenshots si besoin pour voir au moins une analyse de tests (erreurs sans screenshot)\r\n\r\n- l\'erreur a été catchée: IOFile Exception.\r\nEn comparant, il s\'avère que le problème était qu\'à cause d\'un allocataire en doublon pour le même profil et la même rubrique créait donc deux screenshots (dans la gestion de la liste des screenshots) alors qu\'en réalité, un seul existait.\r\n-> lors de la récupération des allocataires dans le DataProvider, vérification qu\'ils soient uniques dans la liste\r\n\r\n- analyse de la première passe de tests (rubriques Dossier / Droits / Paiements) pour le profil T1 (ci-joint pdf Non reg complète du 19-01-16)\r\n-> 46% OK, 53% KO\r\n-> le pb des accents concerne 60 tests sur 95\r\n-> modification pour catcher l\'exception (pour continuer le test) tout en mettant une erreur non bloquante.\r\n\r\n- Constatant que le screenshot n\'est d\'aucune utilité pour les erreurs non bloquantes, modification pour qu\'il ne soit pris qu\'en cas d\'exception levée\r\n\r\n- modification du doc sur les tests pour intégrer une partie screenshot (qui fait quoi)\r\n\r\n- lancement mercredi soir d\'une non reg sur les 3 rubriques avec 59 allocataires et les 5 profils.'),
(1182, 'De : MANENT Jessica-ext \r\nEnvoyé : jeudi 21 janvier 2016 17:31\r\nÀ : ROCHETTE Claude\r\nCc : *SI DIT IET SF GALA Qualif; GUERRERO Virginie-ext; HELMAN Lucie-ext; ROJEL Didier; CHAUTARD David; _ldr SI PTSR SA GALA Dev\r\nObjet : liste des sujets pris en comptes pour GALA V3.02 + Dates de la version\r\n\r\nClaude,\r\n\r\nCi-joint le fichier comportant tous les sujets pris en compte et validé pour la V3.02 côté Support Fonctionnel / Support Technique.\r\n\r\nDates importantes de la version GALA V3.02 (SI 1) :\r\n\r\nRédaction des spécifications du 25/01 au 10/02, les envoyer au fur et à mesure qu’elles sont finies pour que ST puisse commencer à développer en parallèle.\r\n\r\nDéveloppement du 25/01 au 25/02\r\nLivraison de la qualification le 25/02\r\nQualification du 26/02 au 18/03\r\nSynchronisation de la SI 1 le 18/03 \r\nMise en production de la V3.02 le 24/03\r\n\r\nCordialement,'),
(1183, '1.25 jours imputé par Romain sur PCA'),
(1184, 'Actions imputées par Romain : 2 jours sur les tests PHA, 0.5 refacto de la vue des groupes, 0.5 de corrections diverses (bugs) avant démo'),
(1185, 'De : NAVARRO Mikael-ext \r\nEnvoyé : vendredi 22 janvier 2016 15:03\r\nÀ : MANENT Jessica-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : [GALA V3.02] Ecran de validation des synchros\r\n\r\nBonjour,\r\n\r\nLa tâche concernant l’écran de validation des synchros pour « rendre autonome SF sur les validations de synchro. et suppr. » est une tâche estimée à 10j plein de travail.\r\n\r\nAussi pouvez-vous passer la spécification de ce sujet en priorité (avant fin de semaine prochaine) ?\r\nCar même si la livraison de la spec est faite pour le 10 fév., ça risque d’être juste pour le 25 fév. surtout si des aller-retour sont nécessaires sur la solution à apporter… \r\n\r\nThks,'),
(1186, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n19/01 : Support pour David --> Cadrage de ses activités + presentation de l\'existant afin de réaliser les tests gatling\r\n\r\n04/02 support dynamicQuery pour tdb\r\n\r\n09/02 : support sur les cascades, les travaux de saïd sur le numéro d\'instructeur, avec David sur le portlet d\'erreur, Steven sur les dependances et Sarah sur la JVM websphere'),
(1187, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n21/01/16 : réunion avec C. Millot en vue de la réunion du 22 (+ préparation powerpoint)\r\n22/01/16  :Réunion à Paris avec la MOA et les représentants des caisses\r\n24/02/16 : Réunion de lancement à Paris (MOA, caisses, MACSSI, MICOM, MDR)\r\n02/03/16 : Atelier de conception #1'),
(1188, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n05/01/16 : Point Hebdo avec Christophe Millot\r\n06/01/16 : Mise en place d\'une nouvelle organisation, réunion avec Luc.  \r\n08/01/16 : Point sur les activités de l\'équipe + Infrastructure + point sur les derniers travaux de Radouane.\r\n11/01/16 : Avancement et mis à jour des indicateurs.\r\n12/01/16 : Point avec Otmane.\r\n13/01/16 : Présentation de l\'avancement à Christophe Millot avant la RETRO.'),
(1189, 'Bonjour,\r\n\r\nCette demande doit être faite au CSN via la balf extranet \"Habilitations-Extranet CSN\".\r\n\r\nCdt,\r\nChristophe MASCE'),
(1190, 'Bonjour,\r\n\r\nCette fonctionnalité n\'est pas disponible sous HABTIERS à ce jour, elle sera disponible dans la nouvelle application des habilitations \"HABPSS\".\r\n\r\nCdt,'),
(1191, 'Bonjour, \r\n\r\nSuite à notre conversation téléphonique, vous pouver effectuer la démarche suivante :\r\n1)Lister les agents associés à l\'organisme 22930008200018. \r\n2)Clôturer la convention avec l\'organisme 22930008200018.\r\n3)Affecter les tickets de l\'organisme 22930008200018 (EDG et ELISA) à l\'organisme 22930008201453.\r\n4)Recréer les agents en leur affectant les tickets (EDG, ELISA).\r\n\r\nJe reste à votre disposition pour plus de détails si besoin.\r\n\r\nCdt,'),
(1192, 'Bonjour,\r\n\r\nL’agent “bchanal@grandlyon” associé au département a été clôturé au 31/12/2015 par batch.\r\nMaintenant, vous pouvez donc modifier le mail “bchanal@rhone.fr” associé à la métropole en “bchanal@grandlyon”.\r\n\r\nN’hésitez pas à me recontacter si vous avez des questions.\r\n\r\nPS : Résultats du script\r\n=== START ModifierDateCloture ===\r\nMAIL:bchanal@grandlyon.comDATE_FERMETURE:2015-12-31 00:00:00.0\r\nTICKET:ADOC - Consulter/ORGA:17690211200802/DATE FERMETURE:2015-12-31 00:00:00.0\r\nTICKET:RSA - Premier contact - Instruire - Recueillir DSP/ORGA:17690211200802/DATE FERMETURE:2015-12-31 00:00:00.0\r\n=== END ModifierDateCloture ===\r\n\r\nCdt, \r\nChristophe MASCE le 12/01/16'),
(1193, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n15/01/16 : Préparation retro, avancement (ppt) + RETRO'),
(1194, 'Suite à notre conversation téléphonique du 12/01/16, un batch pour re ouvrir les convention cloturées le 31/12/2015 a été lancé.'),
(1195, 'Bonjour,\r\n\r\nJ\'ai essayé de vous contacter par téléphone le 12/01/16.\r\nEn regardant les données de l\'agent concerné, j\'ai remarqué que vous avez modifié sa date période du 11/01/2016 au 31/12/2017.\r\nCette solution a t-elle résolu le problème?\r\n\r\nMerci.'),
(1196, '25/01/2016\r\n\r\nBonjour,\r\n\r\nAprès vérification, nous avons remarqué que la date de clôture de certains agents et tickets ont été mis au 31-12-9999, il est préférable de mettre la date de clôture à vide pour éviter tout problème au 01/01/2017.\r\n\r\nCordialement.\r\n\r\n\r\n-----------\r\nBonjour,\r\n\r\nLa liste des agents ont été founis dans l\'echange d\'information.\r\n\r\nCdt'),
(1197, 'Voir saxo INC0227870'),
(1198, 'Bonjour,\r\n\r\nLe partenaire MSA Ile de France est bien identifiée dans habtiers dontle siret 31080225100028. Cet organisme est géré par la caf CAFYVELINES.\r\nPour habiliter ce partenaire, il faut faire une demande au résponsable sûreté de la caf des Yvelines.\r\n\r\nCordialement.'),
(1199, 'Support mail \"E: URGENT - Télédéclaration ESAT en cours - Demande de création de l\'ESAT Les ateliers DE L’ETAI (géré par CAF 94)\"'),
(1200, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n04/01/16 : Relecture des documents : Guide Utilisateur, Conception Technique, SFD\r\n05/01/16 : Ajout campagne de tests cf HBT-Cahier_de_tests_0250.415000_V1.0 '),
(1201, 'je ferme, c\'est livré...'),
(1202, 'PDD p48'),
(1203, 'Voici le chemin vers le répertoire contenant la doc d\'installation de la VM dans sa version brouillon final non vérifié :\r\n\r\nI:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\PPS\\12-LIVRABLES\\Guide Installation VM\r\n\r\nLe document word décrit :\r\n- La configuration du proxy web\r\n- L\'installation et la configuration des outils nécessaires au développement \r\n- JDK\r\n- Maven\r\n- RAD\r\n- Liferay developer studio\r\n- Backend CDAP\r\n- Frontend Liferay\r\n- La procédure pour récupérer les sources via JazzRTC\r\n- Le déploiement du Backend et Frontend via RAD et Liferay\r\n\r\nEst associé à ce document un répertoire contenant l\'ensemble des ressources nécessaires au bon fonctionnement de l’environnement technique nommé \"ressources\".\r\n\r\nCordialement,\r\nNicolas Gauche'),
(1204, '________________________________________\r\nDe : ROJEL Didier \r\nEnvoyé : mercredi 16 décembre 2015 15:34\r\nÀ : *SI DIT IET SA Assistance GIH; *SI DIT IET SA SF GALA Qualif; ANDREJKO Stéphan; ASSANDRI Florence; BOUAZIZ Philippe-ext; CHEVALLIER Jean-Michel-ext; COQUELIN Jean; GONCALVES Paulo; LOPEZ Jean-Antoine-ext; MANENT Jessica-ext; MAROUK Ibrahim; TODISCO Patrick\r\nCc : *SI DIT IET SA Support Fonctionnel\r\nObjet : TR: Habilitation XRT - Réforme territoriale transitoire SI Finance via GALA\r\nBonjour,\r\nPour votre info\r\nSalutations\r\n\r\nDidier ROJEL\r\nDépartement PTSR SA Support Fonctionnel\r\nPlateforme de Marseille-Aix\r\n\r\nBoîte aux lettres - *SI PTSR SA Support Fonctionnel\r\nTEL : 04 91 18 86 11\r\nFax : 04 91 18 86 77\r\n________________________________________\r\nDe : *SI PTSR SA Assistance GIH \r\nEnvoyé : mercredi 16 décembre 2015 10:31\r\nÀ : DUPARD Marie-Pierre\r\nCc : *SI PTSR SA Assistance GIH; POUGET Ludowic; ROJEL Didier; COLOMBEL Christophe\r\nObjet : RE: Habilitation XRT - Réforme territoriale transitoire SI Finance via GALA\r\n\r\nBonjour Marie-Pierre,\r\n\r\nHe bien, beaucoup de demandes pour XRT en fin de journée hier…\r\n\r\nPour ces trois formulaires, hors GIH, le CRSI avait utilisé le package ‘<Suppression> XRT’ qui demande en suppression l’ensemble des profils XRT connues. C’est parceque ce package est disponible pour tout Pôle-Emploi que tu retrouves en suppression les profils auditeur et signataire (tous les deux réservés pour la DG) : je ne pense pas qu’il faille faire évoluer le package ‘<Suppression> XRT’ mais c’est possible s’il s’avère que c’est nécessaire. \r\n\r\nBonne journée,\r\nCordialement,\r\nJulien Berger (Sogeti)\r\nDIT - IET - Sécurité Opérationnelle de l\'Environnement de Travail\r\n*SI PTSR SA Support Fonctionnel\r\n________________________________________\r\nDe : DUPARD Marie-Pierre \r\nEnvoyé : mercredi 16 décembre 2015 08:14\r\nÀ : *SI PTSR SA Assistance GIH\r\nCc : POUGET Ludowic; ROJEL Didier; COLOMBEL Christophe\r\nObjet : RE: Habilitation XRT - Réforme territoriale transitoire SI Finance via GALA\r\n\r\nBonjour Julien,\r\n\r\nj’ai reçu ce jour 28 demandes d’habilitation à XRT – Agents 054 pour paramétrage 054\r\n\r\nest-ce que cela signifie que je dois les paramétrer sur 072 et 074 par défaut ? (pour l’instant je ne fais rien)\r\n\r\nDe plus, il y a une totale incompréhension car il est demandé le profil de valideur ET créateur de virement – c’est incompatible !\r\nVoir gala 1755295, 1755296 et 1755297.\r\n\r\npar contre, peux-tu ôter le profil auditeur demandé pour tous alors que c’est uniquement réservé au Siège. Sauf erreur de ma part bien entendu.\r\n\r\nJe vais donc demander à Monsieur PRINTEMPS (j’aimerai y être déjà !) de revoir sa copie totalement car les agents ne sont que valideurs à ce jour et il demande la totale. PRev- compta, auditeur,….\r\n\r\nMerci pour tes actions et bonne journée\r\n\r\nBien Cordialement\r\n \r\n \r\nMarie-Pierre DUPARD\r\nFSA/Relation Client Opérationelle\r\nTél. 01.55.81.70.81\r\n\r\n\r\nDe : *SI PTSR SA Assistance GIH \r\nEnvoyé : mardi 15 décembre 2015 11:27\r\nÀ : DUPARD Marie-Pierre\r\nCc : *SI PTSR SA Assistance GIH; POUGET Ludowic; ROJEL Didier\r\nObjet : Habilitation XRT - Réforme territoriale transitoire SI Finance via GALA\r\n\r\nBonjour Marie-Pierre,\r\n\r\nDans le cadre de la prise en charge par GALA de la réforme territoriale transitoire pour pouvoir livrer le nouveau métier et les nouveaux packages définis avec Christophe et comme déjà évoqué précédemment, nous allons modifier les ressources XRT dans GALA pour intégrer la société dans l’habilitation ce jour (en fin de journée).\r\n\r\nDétails des modifications qui seront effectuées :\r\nHabilitation actuelle	Habilitation renommée\r\nCOMPTA	COMPTA|###\r\nPREV	PREV|###\r\nHABILITATION	HABILITATION|###\r\nVALIDEUR TECHNIQUE	VALIDEUR TECHNIQUE|###\r\nPAIEMENT UNITAIRE	PAIEMENT UNITAIRE|###\r\nARCHIVAGE PILOTAGE FLUX	ARCHIVAGE PILOTAGE FLUX|###\r\nTRESO	TRESO|###\r\nSIGNATAIRE	SIGNATAIRE|###\r\nAUDITEUR	AUDITEUR|###\r\n\r\nLorsque les ressources renommées seront utilisées, GALA remplacera le ### par le code société associé à la région (comme SAP) ; dans le cadre de la réforme territoriale, d’autres ressources avec les codes sociétés « en dur » seront utilisées.\r\n\r\nReprise de l’audit virtuel XRT dans GALA :\r\nNous allons procéder en deux temps :\r\n	Modification de l’habilitation associée aux utilisateurs dans l’audit virtuel lorsque l’utilisateur est rattaché à une DR\r\n	Suppression de l’habilitation associée aux utilisateurs dans l’audit virtuel lorsque l’utilisateur n’est pas rattaché à une DR\r\nUne estimation des reprises qui seront effectuées ce soir est jointe à ce message (évaluation volume reprise audit virtuel XRT.xls).\r\n\r\nActuellement, il n’y a pas d’action XRT en attente de réalisation, mais tu recevras peut-être encore quelques demandes d’habilitations avec des habilitations anciens formats si des formulaires sont créés dans la journée.\r\n\r\nBonne journée,\r\nCordialement,\r\nJulien Berger (Sogeti)\r\nDIT - IET - Sécurité Opérationnelle de l\'Environnement de Travail\r\n*SI PTSR SA Support Fonctionnel'),
(1205, 'Analyse de la non-reg du 19/01\r\n\r\nDebug des tests suite à l\'analyse de la non-régression :\r\n- création du pdf puis ajouter des screenshots en fin de non-reg\r\n- modification avec le profil T4 (ajout du n° d\'instructeur)\r\n- debug partie Dossier\r\n- début du debug Droits'),
(1206, 'Passe demain, on appelle ensemble.\r\n\r\nCordialement.\r\n\r\n-----Original Message-----\r\nFrom: NAVARRO, MiKael \r\nSent: Wednesday, May 14, 2014 8:58 AM\r\nTo: CARRIOL, HERVE\r\nSubject: [Pôle Emploi] Raccordement VPN\r\n\r\nBonjour,\r\n\r\nJ\'ai contacté la semaine dernière PHILIPPE GAUVIN qui est prêt à nous aider pour mettre en place le raccordement VPN ou une DMZ comme pour ASF.\r\n\r\nIl me faudrait donc les contacts PE afin de les mettre en relation ? Ainsi q\'un code OTP pour Philippe.\r\nD\'autre-part il faudrait initier un dossier SharePoint, il semblerait que je n\'ai pas les droits suffisants pour le faire ?\n\n'),
(1207, 'Re,\r\n\r\nMerci pour ce contact, Nicole est déjà en contact de mes derniers échanges pour le demande d’un kit VPN partenaire.\r\n\r\nCi-dessous les personnes avec qui je suis en contact pour ce sujet :\r\n- Philippe Defourneaux <philippe.defourneaux@bull.net>;\r\n- BREITBACH, DAMIEN <damien.breitbach@atos.net>; \r\n- Nicole Sorosac <nicole.sorosac@bull.net>; \r\n- LE KIM, VALERIE <valerie.lekim@atos.net>; \r\n- SEVE, JEAN-LUC <jean-luc.seve@atos.net>; \r\n- Pascal Coursimault <pascal.coursimault@bull.net>\r\nEt (décideurs) :\r\n- CHAGNAUD, JEAN-CHRISTOPHE <jean-christophe.chagnaud@atos.net>; \r\n- Xavier Couturier <xavier.couturier@bull.net>\r\n\r\nMerci,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\nFrom: HUGEL Philippe [mailto:Philippe.HUGEL@pole-emploi.fr] \r\nSent: Thursday, June 04, 2015 4:10 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: Contact ATOS pour liaison VPN Partenaire ATOS\r\n\r\nVoici le contact ATOS que j’ai pu récupérer pour le VPN Partenaire liaison PE.\r\n \r\nPhilippe HUGEL\r\nDSI / Direction Fonctions d\'Appui\r\nDépartement Outils de Gestion Interne et Solutions Légères\r\nTél. : 04.72.67.21.05 ou 06.63.31.58.01\r\nphilippe.hugel@pole-emploi.fr\r\n________________________________________\r\nDe : ALLOT \r\nEnvoyé : jeudi 4 juin 2015 15:55\r\nÀ : HUGEL Philippe\r\nObjet : \r\n\r\nBonjour Philippe,\r\n\r\nPour faire suite à ta discussion avec Jean-Marc, je te passe les coordonnées d’une chef de projet BULL/ATOS qui saura t’aiguiller vers la bonne personne en interne si besoin.\r\n\r\nnicole.sorosac@atos.net\r\nNicole Sorosac\r\nDirecteur de projet\r\nPhone: +33 4 76 29 71 37\r\nMobile: +33 6 33 20 93 52\n\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(1208, 'PI\r\n\r\nFrom: SOROSAC, NICOLE \r\nSent: Friday, June 05, 2015 2:32 PM\r\nTo: NAVARRO, MIKAEL\r\nCc: CARRIOL, HERVE; SEVE, JEAN-LUC\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n\r\nBonjour,\r\n\r\nJe suis le sujet d’accès au réseau Pôle Emploi pour votre projet avec Jean-Luc Sève.\r\n\r\nOn revient vers vous dès qu’on nous confirme qu’il est possible de vous donner un accès VPN Bull Partenaire pour le sous-traitant intervenant sur votre projet.\r\n\r\nCordialement\r\n\r\nNicole Sorosac\r\nDirecteur de projet – Atos France\r\nT. +33 (0) 4 76 29 71 37\r\nM. +33 (0) 6 33 20 93 52\r\nnicole.sorosac@atos.net\r\n1, rue de Provence \r\n38432 Echirolles\r\nAtos.net\r\n\r\nFrom: NAVARRO, MIKAEL \r\nSent: Friday, June 05, 2015 8:53 AM\r\nTo: SOROSAC, NICOLE\r\nCc: CARRIOL, HERVE; Nicole Sorosac\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n\r\nBonjour,\r\n\r\nVotre nom m’a été donné par Philippe HUGEL (Pôle Emploi Montreuil/Paris)  en tant que chef de projet BULL/ATOS \r\npour m’aiguiller afin de trouver une solution pour permettre à un prestataire externe de se connecter au réseau PE via le VPN Bull.\r\n\r\nJ’ai déjà établi des contacts (cf. ci-dessous) avec notamment Jean-Luc SEVE qui m’a expliqué l’architecture de la connexion Bull/PE,\r\net on est arrivé à la conclusion qu’il me faudrait le kit de connexion VPN partenaire (au moins temporairement en attendant de trouver une autre solution).\r\nEst-ce que je me suis adressé aux bonnes personnes, ou à défaut, savez quelle est la procédure pour obtenir ce kit ?\r\n\r\nMerci d’avance,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\nFrom: NAVARRO, MIKAEL \r\nSent: Wednesday, June 03, 2015 11:44 AM\r\nTo: CHAGNAUD, JEAN-CHRISTOPHE; Xavier Couturier\r\nCc: Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE; Nicole Sorosac; LE KIM, VALERIE; SEVE, JEAN-LUC; Pascal Coursimault\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n\r\nBonjour,\r\n\r\nVue la situation et l’urgence pour mon projet de démarrer le VPN partenaire me parait la solution.\r\n\r\nBien que cette solution n’est pas pérenne, cela me permettrait de démarrer et se donner plus de temps pour trouver / mettre en place une autre solution.\r\n\r\nAussi, quelle est la démarche à suivre pour disposer de cet accès VPN partenaire pour accéder au réseau PE ?\r\n\r\nD’avance merci,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\nFrom: CHAGNAUD, JEAN-CHRISTOPHE \r\nSent: Wednesday, June 03, 2015 9:28 AM\r\nTo: SEVE, JEAN-LUC; LE KIM, VALERIE; NAVARRO, MIKAEL; Pascal Coursimault\r\nCc: Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE; Xavier Couturier; Nicole Sorosac\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n\r\nBonjour Jean-Luc,\r\n\r\nPour la fourniture de postes Chess, vous n’avez pas besoin de vous préoccuper des coûts : ils sont pris en central.\r\nIl ne vous reste plus que la partie machine de rebond à prendre en compte.\r\n\r\nRegards,\r\n \r\nJean-Christophe Chagnaud\r\nService Manager France\r\nFixe : +33 1 7326 0686\r\nMobile : +33 6 1446 6202\r\nRiver Ouest\r\n80 quai Voltaire\r\n95877 Bezons\r\nhttp://atos.net/\r\n \r\nFrom: Jean-Luc Seve [mailto:jean-luc.seve@atos.net] \r\nSent: Wednesday, 03 June, 2015 9:25\r\nTo: CHAGNAUD, JEAN-CHRISTOPHE; LE KIM, VALERIE; NAVARRO, MIKAEL; Pascal Coursimault\r\nCc: Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE; Xavier Couturier; Nicole Sorosac\r\nSubject: RE:Pôle Emploi, accès réseau client\r\n\r\nBonjour,\r\n \r\nSi j\'ai bien compris, il faudrait que les personnes soient équipées d\'un Poste CHESS  avec utilisation de la connexion VPN URA et qu\'il se connecte chez PE aux travers d\'un rebond sur une machine intermédiaire. \r\nCette solution existe déjà en partie, connexion depuis Atos Bordeaux vers PE avec rebond sur VM hébergé en DMZ sur Cloud Echirolles. Elle présente deux désavantages majeurs.\r\n\r\n1 - Quid pour les S/T (possibilité attribution poste CHESS)\r\n2 - Coût de mise en œuvre (coût station CHESS, machine de rebond, ..)\r\n  \r\nCordialement.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : CHAGNAUD, JEAN-CHRISTOPHE [jean-christophe.chagnaud@atos.net]\r\nEnvoyé : mardi 2 juin 2015 21:32\r\nÀ : Jean-Luc Seve; LE KIM, VALERIE; NAVARRO, MIKAEL; Pascal Coursimault\r\nCc : Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE; Xavier Couturier; Nicole Sorosac\r\nObjet : RE: Pôle Emploi, accès réseau client\r\nBonsoir,\r\n \r\nPour moi, l\'accés VPN partenaire Bull n’est pas pérenne mais je n’ai encore aucune date pour son décommissionnement.\r\nComme le dit Valérie et à l’heure actuelle, la seule solution pérenne est l’utilisation de rebond soit via des serveurs soit via des PC.\r\n \r\nRegards,\r\n \r\nJean-Christophe Chagnaud\r\nService Manager France\r\nFixe : +33 1 7326 0686\r\nMobile : +33 6 1446 6202\r\nRiver Ouest\r\n80 quai Voltaire\r\n95877 Bezons\r\nhttp://atos.net/\r\n  \r\nFrom: Jean-Luc Seve [mailto:jean-luc.seve@atos.net] \r\nSent: Tuesday, 02 June, 2015 21:02\r\nTo: LE KIM, VALERIE; NAVARRO, MIKAEL; Pascal Coursimault\r\nCc: Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE; Xavier Couturier; Nicole Sorosac; CHAGNAUD, JEAN-CHRISTOPHE\r\nSubject: RE:Pôle Emploi, accès réseau client\r\n \r\nBonsoir,\r\n \r\nPour le moment cette solution n\'est pas d\'actualitée (blocage au niveau sécurité réseau côté DSI Atos) qui ne souhaite pas ouvrir les flux nécéssaires entre le réseau Atos et Bull pour permettre ce type d\'accès (voir ci-dessous réponse de  jean-Christope Chagnaud sur les demandes en cours suite à migration poste de travail Bull vers CHESS et donc changement de client VPN).\r\n  \r\nBonjour Jean-Luc,\r\nJe comprends mieux : il s’agit bien d’un accès VPN chez un Client à partir de la VM, certes via un Firewall mais la passerelle est bien chez Pôle Emploi et cela correspond bien à une violation des règles de sécurité Atos.\r\nDonc pour l’instant, je ne demanderai pas d’ouverture de flux depuis un poste sur le réseau ACN.\r\n  \r\nPour information Xavier Couturier a remonté une alerte sur le sujet. La solution serait donc d\'utiliser l\'accés VPN partenaire Bull mais je n\'ai aucune visibilité sur la pérénité et l\'adéquation de cette solution par rapport aux nouvelles règles de sécurité DSI.\r\n \r\nCordialement.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : LE KIM, VALERIE [valerie.lekim@atos.net]\r\nEnvoyé : mardi 2 juin 2015 18:52\r\nÀ : Jean-Luc Seve; NAVARRO, MIKAEL; Pascal Coursimault\r\nCc : Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE; Xavier Couturier; Nicole Sorosac\r\nObjet : RE: Pôle Emploi, accès réseau client\r\nBonjour,\r\n \r\nDans ce cas, la solution préconisée est de partir d’un PC chess, se connecter en VPN URA sur un rebond chez Bull/Atos puis partir vers PE. Il conviendrait d’ajouter dans les échanges l’Officier de sécurité du projet.\r\n \r\nKind regards,\r\n \r\nValérie Le Kim\r\n \r\nValérie Le Kim\r\nSI FR Infrastructure Manager\r\nTel +33173261440\r\nMob +33689765783\r\nValerie.lekim@atos.net\r\nRiver Ouest\r\n80, quai Voltaire\r\n95877 Bezons\r\nAtos.net\r\n  \r\nFrom: Jean-Luc Seve [mailto:jean-luc.seve@atos.net] \r\nSent: Tuesday, June 02, 2015 5:37 PM\r\nTo: NAVARRO, MIKAEL; Pascal Coursimault\r\nCc: LE KIM, VALERIE; Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE; Xavier Couturier; Nicole Sorosac\r\nSubject: RE:Pôle Emploi, accès réseau client\r\n \r\nBonjour Mikael,\r\n  \r\nSi j\'ai bien compris, vous disposez de Poste de travail spécifique PE connecté sur le réseau ATOS et utilisant la fonctionnalité \"invité\" de ce réseau pour vous connectez directement sur le réseau PE en accès VPN, votre activité tourne autour de développement (technologie Windev / Webdev) d\'applications internes pour la DSI PE (exemple application GALA). Un nouveau besoin décrit ci-dessous apparait dans le cadre d\'un nouveau projet de développement sur une durée limité dans le temps.\r\n \r\n1- Intégration d\'un S/T ayant la possibilité de travailler de son domicile a partir d\'un poste personnel mais ayant necessité  d\'accéder au référentiel de développement hébergé chez PE.\r\n2 - Possibilté d\'étendre ce mode de fonctionnement a d\'autres personnes.\r\n \r\nUne telle possibilité avait été mise en place sur le réseau BULL (accés VPN partenaire), à ma connaissance cette fonctionalité n\'existe pas chez Atos (Impossibilité d\'utiiliser la connexion URA depuis un poste non CHESS) et impossibilité à l\'heure actuelle d\'utiliser le lien d\'accés ATOS (Ex bull) depuis une connexion VPN URA vers PE.\r\n \r\nIl faudrait contacter Xavier Couturier pour sur le sujet.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : NAVARRO, MIKAEL [mikael.navarro@atos.net]\r\nEnvoyé : mardi 2 juin 2015 16:41\r\nÀ : Pascal Coursimault; Jean-Luc Seve\r\nCc : LE KIM, VALERIE; Philippe Defourneaux; BREITBACH, DAMIEN; CARRIOL, HERVE\r\nObjet : RE: Pôle Emploi, accès réseau client\r\nBonjour,\r\n \r\nMerci. \r\nNous avons besoin d’avoir une réponse sur ce point pour le démarrage d’un projet chez PE, aussi n’hésitez pas à me contacter… ci-joint mon téléphone portable : 06 27 69 0888\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n  \r\nFrom: COURSIMAULT, PASCAL \r\nSent: Tuesday, June 02, 2015 4:18 PM\r\nTo: NAVARRO, MIKAEL; Jean-Luc Seve\r\nCc: LE KIM, VALERIE; DEFOURNEAUX, PHILIPPE; BREITBACH, DAMIEN; CARRIOL, HERVE\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n \r\nBonjour Mikaël,\r\nPour notre activité, nous avons un architecte réseau qui pourra certainement vous conseiller pour vous connecter chez PE via le réseau Bull-AtoS.\r\nJ’ajoute donc Jean Luc Sève en destinataire de ce message. \r\nJean Luc contribue actuellement aux évolutions de notre architecture réseau dans le cadre de la mise en conformité du réseau aux exigences AtoS.\r\n \r\nCordialement, \r\n \r\nPascal Coursimault \r\nApplication Management\r\nPublic Sector 2\r\n+33 (0)6 85 22 08 73\r\nPascal.coursimault@atos.net\r\n285, rue de Broglie\r\nBP 72322 – 44323 Nantes Cedex 03\r\natos.net\r\n  \r\nFrom: NAVARRO, MIKAEL \r\nSent: Tuesday, June 02, 2015 4:09 PM\r\nTo: COURSIMAULT, PASCAL\r\nCc: LE KIM, VALERIE; DEFOURNEAUX, PHILIPPE; BREITBACH, DAMIEN; CARRIOL, HERVE\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n \r\nBonjour,\r\n \r\nJe reviens vers vous concernant la possibilité de passer par le réseau de Nantes pour un de nos prestataires.\r\n \r\nSerait-il possible, pour un prestataire, travaillant de chez lui avec son PC (non Chess), de se connecter à PE (avec ou sans VM) en passant par le site de Nantes ?\r\n  \r\nMerci d’avance,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n  \r\nFrom: Pascal Coursimault [mailto:pascal.coursimault@atos.net] \r\nSent: Wednesday, April 15, 2015 9:55 AM\r\nTo: CARRIOL, HERVE; NAVARRO, MiKael\r\nCc: LE KIM, VALERIE; DEFOURNEAUX, PHILIPPE; BREITBACH, DAMIEN\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n \r\nBonjour,\r\nNous avons effectivement depuis plusieurs mois sur le site Bull Nantes une connexion vers Pôle emploi dans le cadre du Lot MT2.\r\n \r\nEn résumé, nos postes de travail équipés d’un socle Bull (Seven) embarquent une VM que l’on a développé pour usage PE en CDS.\r\nLa connexion se fait par le réseau interne Bull et sort vers PE du site Bull Echirolles.\r\n  \r\nLa connexion se fait via Global protect qui nécessite un certificat PE par users.\r\n \r\nDans les 2 semaines à venir, nous devrions utiliser le même cheminement réseau sans la VM pour le Lot MT4 (SPTB) en installant sur le socle Bull Global protect et un utilitaire PE pour pointer vers une VM PE développée par eux.\r\n \r\nCe fonctionnement pourrait être revu lors de la migration Chess.\r\n \r\nCordialement, \r\n \r\nPascal Coursimault \r\nApplication Management\r\nPublic Sector 2\r\n+33 (0)6 85 22 08 73\r\nPascal.coursimault@atos.net\r\n285, rue de Broglie\r\nBP 72322 – 44323 Nantes Cedex 03\r\natos.net\r\n  \r\nDe : BREITBACH, DAMIEN [mailto:damien.breitbach@atos.net] \r\nEnvoyé : mardi 14 avril 2015 11:54\r\nÀ : CARRIOL, HERVE; NAVARRO, MiKael\r\nCc : LE KIM, VALERIE; COURSIMAULT, PASCAL; DEFOURNEAUX, PHILIPPE\r\nObjet : RE: Pôle Emploi, accès réseau client\r\n \r\nBonjour,\r\n \r\nIl s’agit effectivement forcément du centre de services P.E sur le site de Bull.\r\nPascal et Philippe en copie sont vos interlocuteurs sur cette question.\r\n \r\ncdt\r\n \r\nFrom: LE KIM, VALERIE \r\nSent: Monday, April 13, 2015 12:23 PM\r\nTo: CARRIOL, HERVE; NAVARRO, MiKael\r\nCc: BREITBACH, DAMIEN\r\nSubject: RE: Pôle Emploi, accès réseau client\r\n \r\nBonjour Hervé, Mikael,\r\n \r\nPour « la connexion qu’a Atos sur son centre de service de Nantes », est-ce qu’il s’agit bien du site Bull de Nantes ? Si oui, ils sont aussi en phase de démarrage. Damien m’a adressée sur ce sujet.\r\n \r\nIl vaut mieux reboucler avec lui car je ne connais pas du tout l’interconnexion mise en place entre le site Bull de Nantes et Pôle Emploi.\r\n  \r\nKind regards,\r\n \r\nValérie Le Kim\r\nSI FR Infrastructure Manager\r\nTel +33173261440\r\nMob +33689765783\r\nValerie.lekim@atos.net\r\nRiver Ouest\r\n80, quai Voltaire\r\n95877 Bezons\r\nAtos.net\r\n  \r\nFrom: CARRIOL, HERVE \r\nSent: Sunday, April 12, 2015 10:49 AM\r\nTo: LE KIM, VALERIE\r\nCc: NAVARRO, MiKael\r\nSubject: Pôle Emploi, accès réseau client\r\n \r\nValérie,\r\n \r\nJe fais suite au message laissé sur ton GSM il y a quelques jours (sur conseil de t’appeler de JC CHAGNAUD) :\r\n \r\nNous travaillons depuis Aix pour Pôle Emploi sur leur activité récurrente IAM : le SI GALA webdev (2 activités).\r\nLes collaborateurs travaillent depuis l’agence et en télétravail.\r\n \r\nSur une activité, les collaborateurs sont équipés de clé OTP pour accéder au réseau client ; sur l’autre, ce n’est pas possible, en raison de la composition du poste de travail.\r\n \r\nLe client nous pose la question suivante : Atos saurait ‘il faire accéder ces collaborateurs (1 à 2 selon les moments dans l’année) au réseau Pôle Emploi via une connexion qu’à Atos sur son centre de service de Nantes ?\r\n \r\nMerci de ta réponse. Mikaël NAVARRO, qui est le front unique de ce contrat, est à ta disposition pour mieux comprendre le besoin si nécessaire.\r\n \r\nCordialement.\r\n	 \r\nHervé Carriol\r\nTechnology Services - Sud-Est\r\nResponsable Département d\'Aix-en-Provence\r\nTél.: +33 (0)6 27 75 48 19\r\nherve.carriol@atos.net\r\nEuroparc de Pichaury\r\n1330, rue Guillibert de la Lauzière\r\nBâtiment A9 - L\'Olivier – CS 20468\r\n13856 Aix-en-Provence Cedex 3\r\nwww.atos.net\n\n'),
(1247, 'From: MORO Jean-Marc [mailto:Jean-Marc.MORO@pole-emploi.fr] \r\nSent: Thursday, February 04, 2016 3:48 PM\r\nTo: NAVARRO, MIKAEL; ASSANDRI Florence\r\nSubject: RE: [GALA] V0.02BG24 : Spec IHM Gestion des synchronisations (écran de validation des synchros)\r\n\r\nPour ma part :\r\n \r\n- griser le filtre :\r\n•	Pour être iso-fonctionnalité avec l\'excel utilisé actuellement. \r\n•	Il faut que l\'écran soit réactif, on va sans cesse passer d\'un filtre à l\'autre. Cette partie doit être optimisée.\r\n \r\nFlo, quel est ton avis ?'),
(1248, 'From: MORO Jean-Marc [mailto:Jean-Marc.MORO@pole-emploi.fr] \r\nSent: Thursday, February 04, 2016 4:12 PM\r\nTo: ASSANDRI Florence; NAVARRO, MIKAEL\r\nSubject: RE: [GALA] V0.02BG24 : Spec IHM Gestion des synchronisations (écran de validation des synchros)\r\n\r\nOn laisse béton...\r\n \r\nJMM\r\n\r\n________________________________________\r\nDe : ASSANDRI Florence \r\nEnvoyé : jeudi 4 février 2016 16:11\r\nÀ : MORO Jean-Marc; NAVARRO, MIKAEL\r\nObjet : RE: [GALA] V0.02BG24 : Spec IHM Gestion des synchronisations (écran de validation des synchros)\r\nBonjour,\r\n\r\nPerso, je ne pense pas que le besoin de limiter la suppression des actions à une (des) organisation (s) existe, ou que sa fréquence justifie qu’on fasse un développement  spécifique.\r\n\r\nDonc on laisse béton ?'),
(1249, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n27-28-29/01/2016 : Maj d\'HpAlm pour les tests CDAP'),
(1250, '27/01 : 0.5/personne\r\n04/02 : 0.5/personne'),
(1251, 'Oui c’est bon, on grise effectivement l’organisation.\r\n\r\nFrom: MANENT Jessica-ext [mailto:jessica.manent-ext@pole-emploi.fr] \r\nSent: Monday, February 08, 2016 10:49 AM\r\nTo: NAVARRO, MIKAEL; MORO Jean-Marc\r\nCc: _ldr SI PTSR SA GALA Dev; ROJEL Didier; CHAUTARD David\r\nSubject: RE: [GALA] V0.02BG24 : Spec IHM Gestion des synchronisations (écran de validation des synchros)\r\n\r\nBonjour Mikael,\r\n\r\nEst-ce que tu as eu une réponse ? \r\n\r\nDe mon côté, je ne maîtrise pas bien le sujet, mais au vu de l’analyse que tu as faite, il semble plus judicieux de griser l’organisation. \r\n\r\nSinon, on risque de supprimer des actions qui impactent plusieurs organisation et multiplier les lignes de résultats. C’est bien ça ?\r\n\r\nDavid, Didier, Jean-Marc, vous en pensez quoi ?\r\n\r\nCordialement,'),
(1252, 'De : DE MAREUIL Fabrice-ext \r\nEnvoyé : lundi 8 février 2016 15:10\r\nÀ : NAVARRO Mikael-ext\r\nObjet : RE: [GALA V3.02] Reqêtes GIH synchro\r\n\r\nLO,\r\n\r\n\r\nJ’aurais plutôt écrit comme-ça la 1ere requête :\r\n\r\nSELECT\r\n        GIH_SYNCHRO.ID_GIH_SYNCHRO\r\n      , GIH_SYNCHRO.ID_GIH_SYNCHRO_ETAT\r\n      , (\r\n            SELECT COUNT(*)\r\n            FROM FORMULAIRE\r\n            WHERE ID_GIH_SYNCHRO = GIH_SYNCHRO.ID_GIH_SYNCHRO\r\n                  AND   DATE_SUPPRESSION IS NULL\r\n                  AND ID_FORM_ETAT <> 14  -- annulé\r\n      ) AS NB_FORMULAIRES\r\nFROM\r\n      GIH_SYNCHRO\r\nWHERE\r\n      GIH_SYNCHRO.ID_GIH_SYNCHRO = 73\r\n\r\n\r\nIl me semble que les jointures dans ce select sont inutiles\r\n\r\nWITH RECAP AS (\r\nSELECT\r\n      GIH_SYNCHRO_ANALYSE.ID_METIER\r\n      , GIH_SYNCHRO_ANALYSE.ID_RESSOURCE\r\n      , GIH_SYNCHRO_ANALYSE.ID_RESSOURCE_TYPE\r\n      , GIH_SYNCHRO_ANALYSE.BOOL_AJOUT\r\n      , GIH_SYNCHRO_ANALYSE.BOOL_GIH_DELTA\r\n      , GIH_SYNCHRO_ANALYSE.LIB_HABILITATION\r\n      , COUNT(1) AS NB_FORM\r\nFROM\r\n      GIH_SYNCHRO_ANALYSE\r\n      INNER JOIN INSTITUTION\r\n            ON INSTITUTION.ID_INSTITUTION = GIH_SYNCHRO_ANALYSE.ID_INSTITUTION\r\n      INNER JOIN AAE_UTILISATEUR\r\n            ON AAE_UTILISATEUR.ID_DGA_SI = GIH_SYNCHRO_ANALYSE.ID_DGA_SI\r\n      LEFT JOIN GIH_METIER\r\n            ON    GIH_METIER.ID_METIER = GIH_SYNCHRO_ANALYSE.ID_METIER\r\n      LEFT JOIN RESSOURCE\r\n            ON RESSOURCE.ID_RESSOURCE = GIH_SYNCHRO_ANALYSE.ID_RESSOURCE\r\n      LEFT JOIN RESSOURCE_TYPE      \r\n            ON RESSOURCE_TYPE.ID_RESSOURCE_TYPE = GIH_SYNCHRO_ANALYSE.ID_RESSOURCE_TYPE\r\nWHERE \r\n      GIH_SYNCHRO_ANALYSE.ID_GIH_SYNCHRO = @nIdSynchro\r\nGROUP BY \r\n       GIH_SYNCHRO_ANALYSE.ID_METIER\r\n      , GIH_SYNCHRO_ANALYSE.ID_RESSOURCE_TYPE\r\n      , GIH_SYNCHRO_ANALYSE.BOOL_GIH_DELTA\r\n      , GIH_SYNCHRO_ANALYSE.BOOL_AJOUT\r\n      , GIH_SYNCHRO_ANALYSE.LIB_HABILITATION\r\n      , GIH_SYNCHRO_ANALYSE.ID_RESSOURCE\r\n)\r\n\r\n\r\nLe GROUP BY me semble inutile\r\n\r\nSELECT\r\n            F2.ID_FORM_ACTION  \r\n      FROM FORMULAIRE  \r\n            INNER JOIN FORM_ACTION AS F2  \r\n                  ON F2.ID_FORMULAIRE = FORMULAIRE.ID_FORMULAIRE\r\n                  AND F2.BOOL_AJOUT = 1\r\n                  AND F2.LIB_HABILITATION = \'WEB_SYSMQ\'\r\n                  AND F2.ID_RESSOURCE_TYPE = 17  -- \'Aae - Web\'\r\n            INNER JOIN FORM_BENEFICIAIRE\r\n                  ON FORM_BENEFICIAIRE.ID_FORM_BENEFICIAIRE = F2.ID_FORM_BENEFICIAIRE  \r\n            INNER JOIN FORM_GIH\r\n                  ON FORM_GIH.ID_DGA_SI = FORM_BENEFICIAIRE.ID_DGA_SI    \r\n                  AND FORM_GIH.ID_GIH_SYNCHRO = 73\r\n                  AND FORM_GIH.ID_METIER = 2234  -- \'Base - Agent Plateforme\'\r\n      WHERE\r\n            FORMULAIRE.DATE_SUPPRESSION IS NULL\r\n            AND FORMULAIRE.ID_GIH_SYNCHRO = 73\r\n      GROUP BY\r\n            F2.ID_FORM_ACTION\r\n\r\n\r\nFormulaires sans aucune action après suppressions, j’aurais plutôt écrit la requête comme-ça :\r\n\r\nSELECT\r\n      ID_FORMULAIRE\r\nFROM\r\n      FORMULAIRE\r\nWHERE\r\n      ID_GIH_SYNCHRO = 73\r\nAND   DATE_SUPPRESSION IS NULL\r\nAND FORMULAIRE.ID_FORM_ETAT <> 14  -- annulé\r\nAND NOT EXISTS\r\n      (\r\n      SELECT\r\n            *\r\n      FROM\r\n            FORM_ACTION\r\n      WHERE\r\n            FORM_ACTION.ID_FORMULAIRE = FORMULAIRE.ID_FORMULAIRE\r\n      )\r\n\r\n… mais apparemment ta requête est meilleure en temps de réponse\r\n\r\nCordialement, \r\n\r\nFabrice DE MAREÜIL \r\nDGA-SI / DIT-SOPET\r\nSupport Technique GALA \r\nPrestataire AtoS \r\n _ldr SI PTSR SA GALA Dev\r\n06 16 61 87 34\r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : lundi 8 février 2016 14:45\r\nÀ : DE MAREUIL Fabrice-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : [GALA V3.02] Reqêtes GIH synchro\r\n\r\nLO,\r\n\r\nCi-joint les requêtes que j’ai utilisé pour le batch et l’écran de validation des synchros.\r\n\r\nSi tu pouvais y jeter un œil ou deux.. ?\r\n\r\nThks,'),
(1209, 'Merci.\r\n\r\nFrom: SEVE, JEAN-LUC \r\nSent: Tuesday, June 16, 2015 4:55 PM\r\nTo: NAVARRO, MIKAEL; Nicole Sorosac\r\nCc: Bernard Geffroy; CARRIOL, HERVE; Xavier Couturier\r\nSubject: RE:Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\n\r\nBonjour,\r\n \r\nJe viens d\'avoir laila Sarej (contact pour accès VPN partenaire) sur le sujet, elle transmet la demande à la DSI Atos pour validation. Je vous tiens informé du retour ASAP.\r\n   \r\nCordialement.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mardi 16 juin 2015 16:36\r\nÀ : SEVE, JEAN-LUC; Nicole Sorosac\r\nCc : Bernard Geffroy; CARRIOL, HERVE; Xavier Couturier\r\nObjet : RE: Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\nBonjour,\r\n \r\nDésolé d’être insistant, mais des nouvelles concernant cette solution de connexion via le VPN Partenaire ATOS ?\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888\r\n  \r\nFrom: SEVE, JEAN-LUC \r\nSent: Thursday, June 11, 2015 4:13 PM\r\nTo: NAVARRO, MIKAEL; Nicole Sorosac\r\nCc: Bernard Geffroy; CARRIOL, HERVE; Xavier Couturier\r\nSubject: RE:Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\n \r\nBonjour Mikael,\r\n \r\nJ\'ai envoyé un mail a la personne en charge des accès VPN externe pour savoir si il est toujours possible de mettre en oeuvre ce type d\'accès et avoir les coûts associés. Elle est en congés et rentre lundi 15 donc nous devrions avoir un retour début de semaine prochaine.\r\n  \r\nCordialement.\r\n  \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : jeudi 11 juin 2015 14:56\r\nÀ : SEVE, JEAN-LUC; Nicole Sorosac\r\nCc : Bernard Geffroy; CARRIOL, HERVE; Xavier Couturier\r\nObjet : RE: Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\nBonjour,\r\n \r\nDes nouvelles concernant cette solution de connexion via le VPN Partenaire ATOS ?\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n  \r\nFrom: NAVARRO, MIKAEL \r\nSent: Friday, June 05, 2015 4:09 PM\r\nTo: \'Jean-Luc Seve\'\r\nCc: Bernard Geffroy; Nicole Sorosac; CARRIOL, HERVE\r\nSubject: RE: Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\n \r\nBonjour,\r\n \r\nDonc les réponses aux questions :\r\n- personne concernée = Ali EL-HAGE en qualité de S/T\r\n- travail depuis son poste non-Chess pour PE Montreuil,\r\n- projet « Outillage CIDC » pour FA/OGISL (projet en WebDev techno PC-Soft)\r\n- donneur d’ordre PE : Philippe GUIRAUD / Philippe HUGEL pour le marché AMOA WinDev / WebDev\r\n- donneur d’ordre Atos : Hervé CARRIOL \r\n \r\nP.S. côté PE, Ali a déjà un compte : EAEL1250 (ali.el-hage-ext@pole-emploi.fr)\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n  \r\nFrom: Jean-Luc Seve [mailto:jean-luc.seve@atos.net] \r\nSent: Friday, June 05, 2015 3:20 PM\r\nTo: NAVARRO, MIKAEL\r\nCc: Bernard Geffroy; Nicole Sorosac\r\nSubject: TR : Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\n \r\nBonjour Mikael,\r\n \r\nPour information, je ne sais pas pourquoi tu n\'etait pas dans la boucle, sais tu répondre aux questions pour que l\'on puisse avancer ?\r\n \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : Jean-Luc Seve\r\nEnvoyé : vendredi 5 juin 2015 11:27\r\nÀ : SOROSAC, NICOLE; Bernard Geffroy\r\nCc : Pascal Coursimault; Xavier Couturier\r\nObjet : RE:Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\nBonjour,\r\n \r\nJ\'ai discuté du sujet ce matin avec Xavier Couturier (responsable global client PE) à priori OK sur le principe de la solution VPN partenaire BULL, sachant qu\'il s\'agit d\'une solution temporaire et dont nous ne savons pas assurer la pérènité, mais surement la plus facile/rapide/moins couteuse à mettre en oeuvre et qui vous permettra de répondre rapidement à la problèmatique client en attendant de valider/ mettre en place une solution pérénne. Afin de finaliser le sujet, il faut que je traite les points suivants :\r\n \r\n- Aspect sécurité \r\n- les coûts liés\r\n \r\nEt pour ceci, j\'ai besoin des informations demandés, effectivement la durée prévisionnelle de la mission est un point important (merci Nicole) ainsi que les informations sur les personnes concernées \r\n \r\nNom\r\nQualité (interne ou S/T).\r\n.......\r\n \r\nSi cette solution est retenue il conviendra de faire les demandes nécéssaires en interne PE (création de compte, obtention certificat de sécurité, ...) pour la mise en oeuvre de la connexion.\r\n  \r\nCordialement.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : SOROSAC, NICOLE [nicole.sorosac@atos.net]\r\nEnvoyé : vendredi 5 juin 2015 10:59\r\nÀ : Jean-Luc Seve; Bernard Geffroy\r\nCc : Pascal Coursimault; Xavier Couturier\r\nObjet : RE: Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\nBonjour,\r\n \r\nIl nous faut connaître aussi la durée de la prestation.\r\nEn effet si on envisage un VPN Partenaires Bull, on sait que la solution n’est pas perenne.\r\n \r\nCdlt\r\n \r\nNicole\r\n \r\nFrom: Jean-Luc Seve [mailto:jean-luc.seve@atos.net] \r\nSent: Friday, June 05, 2015 9:58 AM\r\nTo: Bernard Geffroy\r\nCc: Pascal Coursimault; Xavier Couturier; Nicole Sorosac\r\nSubject: RE:Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\n \r\nBonjour,\r\n \r\nPour pouvoir vous aider à répondre à cette problèmatique, il me faut plus d\'information concernant votre prestation et plus particulièrement\r\n \r\n- Votre donneur d\'ordre interne Atos\r\n- Votre donneur d\'ordre PE ( Marché / Lot PE correspondant, ..)\r\n \r\nEt toute information utilise dont vous disposez.\r\n \r\nCordialement.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n_______________________________________\r\nDe : GEFFROY, BERNARD [bernard.geffroy@atos.net]\r\nEnvoyé : vendredi 5 juin 2015 09:39\r\nÀ : Jean-Luc Seve\r\nCc : Pascal Coursimault\r\nObjet : FW: Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\nBonjour Jean-Luc,\r\n \r\nJe ne suis plus impliqué dans Pôle Emploi, peux tu me guider dans la réponse que je vais formuler à M. Hugel dans l’attente que vous repreniez la main pour lui proposer une solution ?\r\n \r\nMerci par avance,\r\n \r\nBien cordialement,\r\n 	 \r\nBernard GEFFROY\r\nQuality & Risk Practice AM\r\nTèl.: +33 (0)251814740\r\nMob:+33 (0)680359606\r\nbernard.geffroy@atos.net\r\n285 bld de Broglie\r\n44000 Nantes\r\natos.net\r\n  \r\nFrom: HUGEL Philippe [mailto:Philippe.HUGEL@pole-emploi.fr] \r\nSent: Thursday, June 04, 2015 6:46 PM\r\nTo: bernard.geffroy@bull.net\r\nCc: BAHUAUD Eric; GUIRAUD Philippe; MEDINA Arnaud\r\nSubject: Demande de solution de connexion d\'un prestataire ATOS via le VPN Partenaire ATOS accédant à PE.\r\n \r\nMonsieur j’ai été informé de vos coordonnées par M. E Bahuaud qui travaille avec moi sur les projets FA. J’ai une problématique pour laquelle je désire vous solliciter afin de nous aider à trouver une solution nous permettant de réaliser un développement pour nos clients : Centres de Formations PE.\r\n  \r\nProblématique : \r\n \r\nJe cherche à connecter un Développeur Atos qui démarre une  prestation dans mes équipes et qui doit réaliser une application avec l’AGL PCSOFT :  WEBDEV sur son poste de travail, tout en synchronisant au jour le jour les sources de ses programmes dans le Gestionnaire de sources PE nommé GDS.\r\n \r\nLe contact ATOS qui travaille sur ce sujet est qui est au courant de la problématique :\r\n \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi PTSR/SA & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\nLes solutions envisagées :\r\n \r\nA ce jour,  la seule solution permettant la connexion du poste de travail ATOS qui se trouve en centre de service est de permettre à ce prestataire d’utiliser un poste PE avec clef OTP (Les équipes d’une autre direction – PTSR qui ont eu le même problème ont demandé il y a trois ans, une dérogation à sécurité SI afin d’utiliser un ordinateur PE avec Clef OTP – ce qui a été accepté - car ils n’ont pas trouvé à l’époque d’autre solution permettant le fonctionnement à distance d’un prestataire développant en WEBDEV  C’est le cas de M. Navarro).  \r\n \r\nCette solution n’étant pas envisageable pour des questions de sécurité à FA (et non validé par FAST), je reviens vers vous afin que vous puissiez nous aider à trouver  une solution permettant à ATOS WEBDEV de réaliser ce développement urgent pour PE.\r\n \r\nCe prestataire travaillera 2 jours par semaines sur le site de Montreuil. Pour les autres jours et sans cette connexion au GDS, il sera impossible à l’équipe projet interne PE de travailler en parallèle sur les sources de l’application qui resteront bloqués le temps de l’absence du prestataire ATOS. De plus à chaque visite sur Montreuil il sera nécessaire de rafraichir le GDS avec  l’enrichissement de modifications réalisées la veille.\r\n \r\n« Ma proposition si vous l’accepté » (Un peu d’humour !), serait de permettre à ce prestataire de se connecter au fil de l’eau, via le VPN partenaire ATOS, au gestionnaire de sources GDS PE. Si cette action est possible, il faudrait impérativement pourvoir la rendre opérationnelle au plus vite afin de ne pas retarder le démarrage des développements sur ce projet. \r\nMerci de m’informer de la faisabilité de cette solution afin que je puisse rebondir rapidement en dernier recours sur la seule solution actuellement opérationnelle    Dérogation avec Poste PE et clef OTP. \r\n \r\nEn comptant sur votre action synchronisée avec M. Navarro afin de permettre à l’équipe projet d’honorer cette demande importante pour nos clients CIDC.\r\n \r\nCordialement\r\n  \r\nPhilippe HUGEL\r\nDSI / Direction Fonctions d\'Appui\r\nDépartement Outils de Gestion Interne et Solutions Légères\r\nTél. : 04.72.67.21.05 ou 06.63.31.58.01\r\nphilippe.hugel@pole-emploi.fr\n\n'),
(1210, 'Re,\r\n\r\nOk merci, mais où puis-je récupérer le client VPN ?\r\n\r\nThks,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\nFrom: SEVE, JEAN-LUC \r\nSent: Friday, July 17, 2015 10:58 AM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE:Mot de passe accès VPN\r\n\r\nBonjour Mikael,\r\n \r\nIl s\'agit du mot de passe du client VPN (pas d\'accés  au portail BULL).\r\n \r\ncdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : vendredi 17 juillet 2015 09:16\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: Mot de passe accès VPN\r\nBonjour,\r\n \r\nJe n’arrive pas à me connecter ???\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n_____________________________________________\r\nFrom: SEVE, JEAN-LUC \r\nSent: Wednesday, July 08, 2015 9:59 AM\r\nTo: NAVARRO, MIKAEL\r\nSubject: Mot de passe accès VPN\r\n \r\nBonjour  Mikael,\r\n \r\nCi-dessous les informations pour la connexion VPN.\r\n \r\nID : ELHAGE-POLE \r\nMDP : *Poleemploi1 !\r\n \r\n•         Pour gérer le mdp par le Chef de Projet pour le partenaire : http://remoteaccess.bull.fr/password_fr.htm\r\n•         Pour retrouver les sources Anyconnect voir : http://www.wcm.bull.com/intranet/dsi/index.jsp?isFrom=link&withFrames=no&docId=888179\r\n  \r\nCordialement.\n\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(1211, 'J’ai pris contact avec PE, ils ne peuvent pas tout de suite s’occuper de ça, mais d’ici cette fin d’après-midi ou demain on reprendra ce sujet...\r\n\r\nFrom: SEVE, JEAN-LUC \r\nSent: Thursday, July 23, 2015 2:29 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n\r\nIl faudrait voir avec eux la problèmatique de certificat sachant que pour nous il existe 3 types\r\n \r\n1 - Certificat In-situ\r\n2 - Certficat Ex-situ\r\n3 - Certificat mixte.\r\n \r\nIl est compliqué de faire un test avec le certificat d\'un autre personne pour des problèmatiques de sécurité (droits d\'accès au serveur PE).\r\n \r\nTiens moi au courant.\r\n \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : jeudi 23 juillet 2015 14:24\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nC’est l’équipe de Vincent Dulac : Claude Rochette, David Chautard mais ils sont en vacances \r\nLes demandes d’habilitations passent par l’outil GALA, j’essaye de voir par quelqu’un d’autre… \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Thursday, July 23, 2015 2:03 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nMikael,\r\n \r\nSais tu qui a en charge la gestion des habilitations pour vous côté PE.\r\n \r\ncdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n_______________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : jeudi 23 juillet 2015 11:23\r\nÀ : SEVE, JEAN-LUC\r\nCc : ROY Annabelle Ext SCE; HAAG Francis SCE; CASERY, CLAUDE; benoit.boyer@orange.com; SAREJ, LAILA\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n Le Global Protect se lance bien mais j\'ai un problème de permission :\r\n \r\n  \r\nJ\'ai installé le certificat (dans IE) tel que décrit dans la procédure mais je ne vais pas plus loint..?\r\n \r\nCdt,\r\n  \r\nFrom: NAVARRO, MIKAEL \r\nSent: Thursday, July 23, 2015 9:04 AM\r\nTo: SAREJ, LAILA; SEVE, JEAN-LUC\r\nCc: ROY Annabelle Ext SCE; HAAG Francis SCE; CASERY, CLAUDE; benoit.boyer@orange.com\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour,\r\n\r\nJ\'ai maintenant accès à la plateforme de téléchargement de Global Protect (129.184.10.160) :)\r\n\r\nJe l\'ai installé (comme indiqué dans la procédure)... je vous dis pour la suite...\r\nCdt,\r\n-- \r\nMikaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n________________________________________\r\nDe : SAREJ, LAILA\r\nEnvoyé : mercredi 22 juillet 2015 18:46\r\nÀ : NAVARRO, MIKAEL; SEVE, JEAN-LUC\r\nCc : ROY Annabelle Ext SCE; HAAG Francis SCE; CASERY, CLAUDE; benoit.boyer@orange.com\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nBonjour, \r\n \r\nMerci de votre retour de test.\r\n  \r\nCordialement, \r\n \r\nLaïla SAREJ \r\nNetwork Project Manager - Atos France\r\nTechnology Transformation Services\r\nT. +33 (0) 1 30 80 74 07\r\nM.+33 (0) 6 30 38 80 79\r\nlaila.sarej@atos.net \r\nAvenue Jean Jaurès, \r\n78340 Les Clayes-sous-Bois\r\natos.net\r\n \r\n \r\nFrom: benoit.boyer@orange.com [mailto:benoit.boyer@orange.com] \r\nSent: Wednesday, July 22, 2015 5:58 PM\r\nTo: SAREJ, LAILA\r\nCc: ROY Annabelle Ext SCE; HAAG Francis SCE; SEVE, JEAN-LUC; CASERY, CLAUDE; NAVARRO, MIKAEL\r\nSubject: RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour,\r\n \r\nL’accès est ouvert entre les deux adresses pour les ports demandés.\r\n \r\nCordialement,\r\n  \r\nBenoit Boyer \r\nIngénieur Exploitation Client\r\nTel. +33 1 64 53 66 45\r\nTel. +33 6 72 87 90 52\r\n\r\nAdvanced Integration Services\r\nImmeuble Atlantis 17-19 rue Victor Basch 91300 Massy \r\nwww.orange-business.com \r\n \r\n \r\nDe : SAREJ, LAILA [mailto:laila.sarej@atos.net] \r\nEnvoyé : mercredi 22 juillet 2015 12:05\r\nÀ : BOYER Benoît NRS\r\nCc : ROY Annabelle Ext SCE; HAAG Francis SCE; SEVE, JEAN-LUC; CASERY, CLAUDE; NAVARRO, MIKAEL; SAREJ, LAILA\r\nObjet : FW: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour Benoit, \r\n \r\nDans le cadre de l’OSM  OC1353, le compte «  ELHAGE-POLE » sous-traitant a été créé et doit permettre l’accès à la plateforme Projet Pôle Emploi. Nous rencontrons des problèmes pour ce compte. En effet, de l’@ IP  129.184.98.9 ( Attribuée à la connexion VPN), on arrive pas à atteindre l’adresse cible de la passerelle VPN Pôle Emploi 129.184.10.160.\r\n \r\nMerci de vérifier de ton côté si les flux sont bien autorisés pour les protocoles listées dans le mail de Claude ci-dessous : \r\n•         Protocole ESP\r\n•         Protocole AH\r\n•         Protocole ICMP\r\n•         Protocole TCP, port 443 (HTTPS)\r\n•         Protocole UDP, ports 500 (ISAK-MP), 4500 (NAT-Transversal), 4501 (spécifique PE)\r\n \r\nCôté Echirolles , l’@IP source 129.184.98.9 est autorisée pour accéder à la cible.\r\n \r\nCordialement, \r\n \r\nLaïla SAREJ \r\nNetwork Project Manager - Atos France\r\nTechnology Transformation Services\r\nT. +33 (0) 1 30 80 74 07\r\nM.+33 (0) 6 30 38 80 79\r\nlaila.sarej@atos.net \r\nAvenue Jean Jaurès, \r\n78340 Les Clayes-sous-Bois\r\natos.net\r\n \r\n \r\nFrom: CASERY, CLAUDE \r\nSent: Wednesday, July 22, 2015 11:53 AM\r\nTo: SAREJ, LAILA\r\nCc: SEVE, JEAN-LUC; NAVARRO, MIKAEL\r\nSubject: RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n  \r\nLaila,\r\n \r\nAu fait les flux à minima que doit permettre l’accès VPN Bull de ELHAGE-POL vers 129.184.10.160 :\r\n•         Protocole ESP\r\n•         Protocole AH\r\n•         Protocole ICMP\r\n•         Protocole TCP, port 443 (HTTPS)\r\n•         Protocole UDP, ports 500 (ISAK-MP), 4500 (NAT-Transversal), 4501 (spécifique PE)\r\n \r\nKind regards,\r\n \r\nCLAUDE CASERY \r\nNetwork & Logical Security\r\nGBU France – SL BDS/BDS R&D/Validation/Infrastructure Administration\r\nTel +33476297033\r\nclaude.casery@atos.net\r\n1 rue de Provence, B.P. 208\r\n38432 Echirolles Cedex, France\r\nwww.atos.com\r\n \r\n  \r\nFrom: CASERY, CLAUDE \r\nSent: Wednesday, July 22, 2015 11:39 AM\r\nTo: SAREJ, LAILA; SEVE, JEAN-LUC; NAVARRO, MIKAEL\r\nCc: CASERY, CLAUDE\r\nSubject: RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n  \r\n@Laila,\r\n \r\nC’est déjà le cas, depuis le début.\r\nI.e. je n’ai pas créé de règle particulière pour 129.184.98.9, j’ai juste ajouté cette adresse dans un groupe qui a les droits d’accès.\r\n \r\nNB : Je ne vois toujours pas arriver 129.184.98.9, quel que soit le service.\r\n \r\n@Jean-Luc,\r\n \r\nMickaël fait tourner sur sa station une VM VirtualBox Pôle Emploi depuis laquelle est lancé le client VPN GlobalProtect de Pôle Emploi ?\r\n \r\n@Mikaël,\r\n \r\nSi tu utilises une VM VirtualBox :\r\n•         au niveau réseau, elle a l’air d’être en mode « Host-Only » et pas en mode « NAT » :\r\no   Cf « Description . . . . . . . . . . . : VirtualBox Host-Only Ethernet Adapter » dans ipconfig\r\no   Elle n’a pas de Gateway\r\n•         On est d’accord que tu passes les commandes « ping 129.184.10.160 » ou « tracert 129.184.10.160 » au niveau de cette VM ?\r\n \r\nKind regards,\r\n \r\nCLAUDE CASERY \r\nNetwork & Logical Security\r\nGBU France – SL BDS/BDS R&D/Validation/Infrastructure Administration\r\nTel +33476297033\r\nclaude.casery@atos.net\r\n1 rue de Provence, B.P. 208\r\n38432 Echirolles Cedex, France\r\nwww.atos.com\r\n \r\n \r\nFrom: SAREJ, LAILA \r\nSent: Wednesday, July 22, 2015 10:42 AM\r\nTo: SEVE, JEAN-LUC; NAVARRO, MIKAEL; CASERY, CLAUDE\r\nSubject: RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour à tous, \r\n \r\nClaude, merci d’autoriser le HTTPS ( VPNSSL) pour cette @IP source et refaire les tests.\r\n \r\nLaila\r\n  \r\nFrom: SEVE, JEAN-LUC \r\nSent: Wednesday, July 22, 2015 10:28 AM\r\nTo: NAVARRO, MIKAEL; CASERY, CLAUDE; SAREJ, LAILA\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nlaila,\r\n \r\nJe pense qu\'il y a un problème au niveau routage / droit VPN, la machine à cibler est bien 129.184.10.160.\r\n \r\nCordialement.\r\n  \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mercredi 22 juillet 2015 10:25\r\nÀ : SEVE, JEAN-LUC; CASERY, CLAUDE; SAREJ, LAILA\r\nObjet : RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nDsl c\'est un peu long, mais à chaque fois je change de machine / réseau pour avoir accès à internet et aux mails...\r\n\r\nCi-dessous le résultat du traceroute :\r\n\r\nC:\\Users\\A133472> tracert 129.184.10.160\r\n\r\nTracing route to rxf013.sip91.pole-emploi.intra [129.184.10.160]\r\nover a maximum of 30 hops:\r\n\r\n  1    54 ms     *       33 ms  vpntse.bull.net [129.184.48.140]\r\n  2    34 ms    33 ms    33 ms  129.184.86.150\r\n  3     *        *        *     Request timed out.\r\n  4     *        *        *     Request timed out.\r\n  5     *        *        *     Request timed out.\r\n  6     *        *        *     Request timed out.\r\n  7     *        *        *     Request timed out.\r\n  8     *        *        *     Request timed out.\r\n  9     *        *        *     Request timed out.\r\n 10     *        *        *     Request timed out.\r\n 11     *        *        *     Request timed out.\r\n 12     *        *        *     Request timed out.\r\n 13     *        *        *     Request timed out.\r\n 14     *        *        *     Request timed out.\r\n 15     *        *        *     Request timed out.\r\n 16     *        *        *     Request timed out.\r\n 17     *        *        *     Request timed out.\r\n 18     *        *        *     Request timed out.\r\n 19     *        *        *     Request timed out.\r\n 20     *        *        *     Request timed out.\r\n 21     *        *        *     Request timed out.\r\n 22     *        *        *     Request timed out.\r\n 23     *        *        *     Request timed out.\r\n 24     *        *        *     Request timed out.\r\n 25     *        *        *     Request timed out.\r\n 26     *        *        *     Request timed out.\r\n 27     *        *        *     Request timed out.\r\n 28     *        *        *     Request timed out.\r\n 29     *        *        *     Request timed out.\r\n 30     *        *        *     Request timed out.\r\n\r\nTrace complete.\r\n\r\nDu ping et du IPconfig :\r\n\r\nC:\\Users\\A133472> ping 129.184.10.160\r\n\r\nPinging 129.184.10.160 with 32 bytes of data:\r\nRequest timed out.\r\nRequest timed out.\r\nRequest timed out.\r\nRequest timed out.\r\n\r\nPing statistics for 129.184.10.160:\r\n    Packets: Sent = 4, Received = 0, Lost = 4 (100% loss),\r\n\r\nC:\\Users\\A133472>ipconfig /all\r\n\r\nWindows IP Configuration\r\n\r\n   Host Name . . . . . . . . . . . . : FR-GNM1CW1\r\n   Primary Dns Suffix  . . . . . . . : ww930.my-it-solutions.net\r\n   Node Type . . . . . . . . . . . . : Hybrid\r\n   IP Routing Enabled. . . . . . . . : No\r\n   WINS Proxy Enabled. . . . . . . . : No\r\n   DNS Suffix Search List. . . . . . : ww930.my-it-solutions.net\r\n                                       aofr.fr.int.atosorigin.com\r\n                                       apollo-ams.com\r\n                                       apollo-fo.fr\r\n\r\nEthernet adapter Local Area Connection 2:\r\n\r\n   Connection-specific DNS Suffix  . :\r\n   Description . . . . . . . . . . . : Cisco AnyConnect Secure Mobility Client Virtual Miniport Adapter for Windows x64\r\n   Physical Address. . . . . . . . . : 00-05-9A-3C-7A-00\r\n   DHCP Enabled. . . . . . . . . . . : No\r\n   Autoconfiguration Enabled . . . . : Yes\r\n   IPv4 Address. . . . . . . . . . . : 129.184.98.9(Preferred)\r\n   Subnet Mask . . . . . . . . . . . : 255.255.255.0\r\n   Default Gateway . . . . . . . . . : 129.184.98.1\r\n   DNS Servers . . . . . . . . . . . : 129.184.89.20\r\n   NetBIOS over Tcpip. . . . . . . . : Enabled\r\n\r\nWireless LAN adapter Wireless Network Connection 2:\r\n\r\n   Media State . . . . . . . . . . . : Media disconnected\r\n   Connection-specific DNS Suffix  . :\r\n   Description . . . . . . . . . . . : Microsoft Virtual WiFi Miniport Adapter\r\n   Physical Address. . . . . . . . . : 84-3A-4B-14-87-97\r\n   DHCP Enabled. . . . . . . . . . . : Yes\r\n   Autoconfiguration Enabled . . . . : Yes\r\n\r\nEthernet adapter Local Area Connection* 11:\r\n\r\n   Media State . . . . . . . . . . . : Media disconnected\r\n   Connection-specific DNS Suffix  . :\r\n   Description . . . . . . . . . . . : Juniper Network Connect Virtual Adapter\r\n   Physical Address. . . . . . . . . : 00-FF-40-D8-DD-07\r\n   DHCP Enabled. . . . . . . . . . . : Yes\r\n   Autoconfiguration Enabled . . . . : Yes\r\n\r\nWireless LAN adapter Wireless Network Connection:\r\n\r\n   Connection-specific DNS Suffix  . : fr.myatos.net\r\n   Description . . . . . . . . . . . : Intel(R) Centrino(R) Advanced-N 6205\r\n   Physical Address. . . . . . . . . : 84-3A-4B-14-87-96\r\n   DHCP Enabled. . . . . . . . . . . : Yes\r\n   Autoconfiguration Enabled . . . . : Yes\r\n   IPv4 Address. . . . . . . . . . . : 10.255.245.138(Preferred)\r\n   Subnet Mask . . . . . . . . . . . : 255.255.254.0\r\n   Lease Obtained. . . . . . . . . . : mercredi 22 juillet 2015 08:55:25\r\n   Lease Expires . . . . . . . . . . : jeudi 23 juillet 2015 09:58:27\r\n   Default Gateway . . . . . . . . . : 10.255.244.1\r\n   DHCPv4 Class ID . . . . . . . . . : ww930-win7\r\n   DHCP Server . . . . . . . . . . . : 10.255.244.1\r\n   DNS Servers . . . . . . . . . . . : 10.255.244.1\r\n   Primary WINS Server . . . . . . . : 10.255.244.1\r\n   NetBIOS over Tcpip. . . . . . . . : Enabled\r\n\r\nEthernet adapter Local Area Connection:\r\n\r\n   Media State . . . . . . . . . . . : Media disconnected\r\n   Connection-specific DNS Suffix  . : ww930.my-it-solutions.net\r\n   Description . . . . . . . . . . . : Intel(R) 82579LM Gigabit Network Connection\r\n   Physical Address. . . . . . . . . : B8-CA-3A-C1-72-F2\r\n   DHCP Enabled. . . . . . . . . . . : Yes\r\n   Autoconfiguration Enabled . . . . : Yes\r\n\r\nEthernet adapter VirtualBox Host-Only Network:\r\n\r\n   Connection-specific DNS Suffix  . :\r\n   Description . . . . . . . . . . . : VirtualBox Host-Only Ethernet Adapter\r\n   Physical Address. . . . . . . . . : 08-00-27-00-10-82\r\n   DHCP Enabled. . . . . . . . . . . : No\r\n   Autoconfiguration Enabled . . . . : Yes\r\n   IPv4 Address. . . . . . . . . . . : 192.168.56.1(Preferred)\r\n   Subnet Mask . . . . . . . . . . . : 255.255.255.0\r\n   Default Gateway . . . . . . . . . :\r\n   DHCPv4 Class ID . . . . . . . . . : ww930-win7\r\n   NetBIOS over Tcpip. . . . . . . . : Enabled\r\nCdt,\r\n-- \r\nMikaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n________________________________________\r\nDe : SEVE, JEAN-LUC\r\nEnvoyé : mercredi 22 juillet 2015 10:07\r\nÀ : NAVARRO, MIKAEL; CASERY, CLAUDE; SAREJ, LAILA\r\nObjet : RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nMikael, tu peux faire un tracert sur cette adresse et nous donner le résultat ?\r\n \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mercredi 22 juillet 2015 10:04\r\nÀ : SEVE, JEAN-LUC; CASERY, CLAUDE; SAREJ, LAILA\r\nObjet : RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nToujours pas d\'accès à https://129.184.10.160/global-protect/getsoftwarepage.esp et le ping part en timeout...\r\n \r\n-- \r\nMikaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n________________________________________\r\nDe : SEVE, JEAN-LUC\r\nEnvoyé : mercredi 22 juillet 2015 09:59\r\nÀ : CASERY, CLAUDE; SAREJ, LAILA\r\nCc : NAVARRO, MIKAEL\r\nObjet : RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nBonjour et merci Claude, grace à toi je viens de m\'apercevoir qu\'il y a une erreur d\'adresse dans la documentation\r\n \r\n \r\nMikael tu peux tetster à l\'url suivante.\r\n \r\nhttps://129.184.10.160/global-protect/getsoftwarepage.esp \r\n \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : CASERY, CLAUDE\r\nEnvoyé : mercredi 22 juillet 2015 09:40\r\nÀ : SEVE, JEAN-LUC; SAREJ, LAILA\r\nCc : NAVARRO, MIKAEL\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour,\r\n \r\n1.    L’adresse cible de la passerelle VPN Pôle Emploi est 129.184.10.160\r\n2.    Hier, j’ai autorisé la source 129.184.98.9 à cibler cette adresse pour les services :\r\n•         ping\r\n•         VPN IPSec\r\n3.    Au niveau FW SRMs Echirolles, je laisse une trace active sur l’adresse 129.184.98.9.\r\nNB : Pour le moment, pas d’accès.\r\n \r\nKind regards,\r\n \r\nClaude CASERY\r\n \r\n \r\nCLAUDE CASERY \r\nNetwork & Logical Security\r\nGBU France – SL BDS/BDS R&D/Validation/Infrastructure Administration\r\nTel +33476297033\r\nclaude.casery@atos.net\r\n1 rue de Provence, B.P. 208\r\n38432 Echirolles Cedex, France\r\nwww.atos.com\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Wednesday, July 22, 2015 9:28 AM\r\nTo: SAREJ, LAILA\r\nCc: NAVARRO, MIKAEL; CASERY, CLAUDE\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nA priori oui.\r\n \r\nEssai hier KO\r\nModif claude\r\nEssai ce matin KO\r\n \r\nClaude tu confirmes pour la modification ?\r\n \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : SAREJ, LAILA\r\nEnvoyé : mercredi 22 juillet 2015 09:26\r\nÀ : SEVE, JEAN-LUC\r\nCc : NAVARRO, MIKAEL; CASERY, CLAUDE\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nBonjour Jean Luc, \r\n \r\nLe blocage est-il encore persistent après la modification de Claude ? \r\n \r\nCordialement, \r\n \r\nLaïla SAREJ \r\nNetwork Project Manager - Atos France\r\nTechnology Transformation Services\r\nT. +33 (0) 1 30 80 74 07\r\nM.+33 (0) 6 30 38 80 79\r\nlaila.sarej@atos.net \r\nAvenue Jean Jaurès, \r\n78340 Les Clayes-sous-Bois\r\natos.net\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Wednesday, July 22, 2015 9:22 AM\r\nTo: SAREJ, LAILA\r\nCc: NAVARRO, MIKAEL; CASERY, CLAUDE\r\nSubject: TR : [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour laila,\r\n \r\nNous avons un petit problème concernant l\'accès VPN partenaire Pole Emploi, à priori l\'utilisateur n\'arrive pas à joindre la passerelle VPN PE qui est natté en 129.184.10.161 sur le réseau BULL, j\'ai vu hier avec Claude Casery pour autoriser l\'adresse 129.184.98.9 (adresse délivrée par le VPN) à accéder a la passerelle PE donc tout devrait être OK de ce côté, par contre pouvez-vous vérifier de votre côté qu\'il n\'y a pas de blocage ? \r\n \r\nCordialement.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mercredi 22 juillet 2015 09:11\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nRe,\r\n \r\nRien n’y fait !\r\n \r\nJe suis aujourd’hui (et demain) sur le réseau Atos, je me connecte en Wifi sur un accès Guest puis je lance AnyConnect :\r\n \r\nEthernet adapter Local Area Connection 2:\r\n \r\n   Connection-specific DNS Suffix  . :\r\n   Description . . . . . . . . . . . : Cisco AnyConnect Secure Mobility Client Virtual Miniport Adapter for Windows x64\r\n   Physical Address. . . . . . . . . : 00-05-9A-3C-7A-00\r\n   DHCP Enabled. . . . . . . . . . . : No\r\n   Autoconfiguration Enabled . . . . : Yes\r\n   IPv4 Address. . . . . . . . . . . : 129.184.98.9(Preferred)\r\n   Subnet Mask . . . . . . . . . . . : 255.255.255.0\r\n   Default Gateway . . . . . . . . . : 129.184.98.1\r\n   DNS Servers . . . . . . . . . . . : 129.184.89.20\r\n   NetBIOS over Tcpip. . . . . . . . : Enabled\r\n \r\nÇa semble ok, mais l’adresse IP 129.184.10.161 n’est pas joignable.. ?\r\n \r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Tuesday, July 21, 2015 4:43 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nj\'ai fais le necessaire auprés de l\'équipe réseau, tu peux essayer à nouveau.\r\n \r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mardi 21 juillet 2015 15:52\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nImpossible d’accéder à https://129.184.10.161/global-protect/getsoftwarepage.esp ???\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Tuesday, July 21, 2015 3:11 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nTu dois pourvoir aussi essayer sans la VM.\r\n \r\nUne fois connecte en VPN chez bull, tu te connecte sur \r\nhttps://129.184.10.161/global-protect/getsoftwarepage.esp\r\n \r\nPour telecharger le client Global protect, ensuite tu fais le configure comme dans le doc ci-jointe (sans la partie VM) \r\n \r\n  \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mardi 21 juillet 2015 14:26\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nPourrais-je avoir une imçage de cette VM à installer sur mon VirtualBox ?\r\n \r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Tuesday, July 21, 2015 2:24 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nPour ce qui nous concerne nous utilisons un VM XP qui tourne sur la PC (Virtualbox). Cette VM suporte le client VPNB Global protect qui permet la connexion à PE (necessite un certificat PE).\r\n  \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mardi 21 juillet 2015 14:19\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nNon ???\r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Tuesday, July 21, 2015 2:18 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE:[Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nOui, l\'adresse en 129.184.98 correspond bien à une adresse IP VPN BULL. Pour la suite des tests (connexion PE) tu sais comment pratiquer ?\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : NAVARRO, MIKAEL\r\nEnvoyé : mardi 21 juillet 2015 14:10\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nRe,\r\n \r\nÇa semble fonctionner :\r\n  \r\nFaut maintenant que je vois ce que je peux faire depuis ce réseau…\r\n \r\nMerci,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n  \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Tuesday, July 21, 2015 1:01 PM\r\nTo: NAVARRO, MIKAEL\r\nSubject: RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour Mikael,\r\n \r\nCi-joint  le  fichier profile, ce fichier doit etre recopié sous C:\\ProgramData\\Cisco\\Cisco AnyConnect Secure Mobility Client\\Profile.\r\n \r\nCordialement\r\n \r\nFrom: NAVARRO, MIKAEL \r\nSent: Tuesday, July 21, 2015 8:19 AM\r\nTo: SEVE, JEAN-LUC\r\nSubject: RE: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour,\r\n \r\nAnyConnect a été installé avec succès, manque plus que le profil.. ?\r\n \r\nThks,\r\n-- \r\nMiKaël NAVARRO\r\nAtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Friday, July 17, 2015 11:08 AM\r\nTo: NAVARRO, MIKAEL\r\nSubject: TR : [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nMikael,\r\n \r\nTu devrais trouver ce qu\'il te faut dans ce mail (sauf le fichier profile que je vais edssayer de retrouver et t\'envoyer)\r\n \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : Xavier Couturier\r\nEnvoyé : mercredi 8 octobre 2014 13:35\r\nÀ : Jean-Luc Seve\r\nCc : Philippe Charaux; Nicole Sorosac; Christophe Chevrier; Jean-Philippe Vigne\r\nObjet : TR: [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\nBonjour Jean-Luc\r\n \r\nVois-tu un impact sur ce qui a été mis en place pour :\r\n-          Pôle Emploi\r\n-          APRIL\r\nMerci pour ton retour\r\n \r\nXavier Couturier\r\nProgram Manager\r\nBull – Busines Integration Division\r\n \r\nTel:         +33 (0)4 76 29 75 83\r\nMob:      +33 (0)6 80 38 60 39\r\nMail:       Xavier.Couturier@bull.net\r\n \r\n \r\n \r\nDe : Laila Sarej \r\nEnvoyé : mercredi 8 octobre 2014 12:18\r\nÀ : Xavier Couturier; Claude Casery\r\nCc : \'francis.haag@orange.com\'; BRACI Sofiane NRS; Hervé Lecouvey; Anne Dumanchin; Bouchra Sadoq; Alain Comte; Laurent Imbert; Laila Sarej\r\nObjet : [Projet Pôle Emploi] Pour les titulaires d’un compte VPN Projet : vous devez installer le nouveau VPN avant le 14/10\r\n \r\nBonjour,\r\n \r\nVous êtes identifié aujourd’hui comme responsable des comptes  VPN Projet cité dans l’objet de ce mail. \r\n \r\nDans le cadre de l’évolution de l’infrastructure VPN, le « VPN Client » qui n’est plus supporté par le constructeur va être remplacé par un autre VPN appelé « AnyConnect ». Le déploiement de « AnyConnect » associé à la mise en place d’une nouvelle infrastructure permettra une utilisation plus rapide et encore plus sûre du VPN.\r\nLa migration du « VPN Client » vers le nouveau VPN « AnyConnect » va se dérouler comme suit :\r\n-          Vous devrez continuer à utiliser le « VPN Client » actuel jusqu’au 13/10/2014\r\n-          A partir de 10h00 le 14/10/2014, vous devrez impérativement utiliser le VPN « Any Connect » en remplacement du « VPN Client ». \r\n Nous vous invitons dès à présent à installer le VPN « Any Connect ». Pour cela, \r\no   Suivez le document d’installation du client Cisco AnyConnect joint à ce mail : « Manuel installation Cisco Anyconnect V1.pdf »\r\no   Extraire l’exécutable du programme à installer : « Anyconnect-win-3.0.10057-pre-deploy-k9.zip »\r\no   Utilisez le fichier de profil joint à ce mail en place de « projet.xml » (Voir document d’installation)\r\n \r\nPour l’utilisation de « Any connect » referez-vous au dossier d’utilisation joint « Dossier utilisation anyconnect V1.pdf » en choisissant votre connexion Projet.\r\n \r\nNous restons à disposition avec l’équipe projet Orange pour toute demande de support.\r\n \r\nCordialement\r\nLaïla SAREJ\r\nBull, an Atos company\r\nPhone: + 33 1 30 80 74 07\r\nMobile: +33 6 30 38 80 79\r\n \r\nhttp://www.bull.com\n\n'),
(1229, 'From: MORO Jean-Marc [mailto:Jean-Marc.MORO@pole-emploi.fr] \r\nSent: Monday, February 01, 2016 3:58 PM\r\nTo: MANENT Jessica-ext; NAVARRO, MIKAEL; NAVARRO Mikael-ext\r\nCc: ASSANDRI Florence\r\nSubject: spec AMÉLIORATION DE L’IHM DES SYNCHRONISATIONS GIH\r\n\r\n \r\nBonjour,\r\n \r\net désolé pour le retard... Il ne devrait pas y en avoir pour 10 jours de dev.\r\n \r\nCordialement,'),
(1230, 'From: MORO Jean-Marc [mailto:Jean-Marc.MORO@pole-emploi.fr] \r\nSent: Tuesday, February 02, 2016 1:35 PM\r\nTo: MANENT Jessica-ext; NAVARRO, MIKAEL; NAVARRO Mikael-ext\r\nCc: ASSANDRI Florence\r\nSubject: spec sur la modification d\'IHM de l\'ecran des synchronisations GIH\r\n\r\nJ\'ai modifié la spec sur la modification d\'IHM de l\'ecran des synchronisations GIH sur le U: .\r\n \r\nJ\'ai aussi mis à jour la PJ dans le buggenie correspondant : http://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version302/issues/24\r\n \r\nCordialement,'),
(1231, 'De : DE MAREUIL Fabrice-ext \r\nEnvoyé : mardi 2 février 2016 14:51\r\nÀ : NAVARRO Mikael-ext\r\nObjet : Rq analyse GIH'),
(1232, 'Suite à notre discussion de ce jour nous ne gèrerons les cases à cocher qu\'au niveau \"général\" : \r\n•	C\'est trop compliqué à gérer les coches et les décoches avec la vue détaillée, \r\n•	de plus il y a des problèmes de perf. \r\n•	Et, jusqu\'à présent on n\'a jamais utilisé la vue détaillée pour générer les suppressions.'),
(1233, 'Déjà pris en compte lors de la refonte multi-session'),
(1234, 'Suppression du cache sur les listes de valeurs'),
(1235, 'Testé pour toutes les listes énumérées'),
(1236, 'testé'),
(1237, 'testé'),
(1238, 'testé'),
(1239, 'ok'),
(1240, 'De : The Bug Genie [mailto:gala@pole-emploi.fr] \r\nEnvoyé : mardi 2 février 2016 16:55\r\nÀ : NAVARRO Mikael-ext\r\nObjet : Re: [version302] Demande d évolution #18 - Habilitation XRT – Réforme territoriale transitoire \r\n \r\nHi, NAVARRO Mikaël!\r\nDemande d évolution #18 - Habilitation XRT – Réforme territoriale transitoire was updated by MANENT Jessica.\r\n\r\nDemande d\'évolution clôturée car déjà en prod et qualifier, voir mail ci-dessous.. De : GUERRERO Virginie-ext Envoyé : mardi 2 février 2016 16:01 À : MANENT Jessica-ext Cc : *SI DIT IET SF GALA Qualif Objet : Habilitation XRT - Réforme territoriale transitoire SI Finance via GALA \r\n \r\n\r\n\r\nJessica, \r\n\r\nJ’ai fait le point avec Julien sur le Slide « Habilitation XRT - Réforme territoriale transitoire SI Finance via GALA ». En fait, cette demande a été réalisée. De nouvelles ressources ont été mises en place dans GALA pour pallier à un problème rencontré. Les reprises de stock ont été réalisées par ST. Cette évolution découle d’une demande faite dans le cadre de projet autour des métiers. Aucune Qualification n’est à prévoir sur le sujet pour la version. Tout est déjà en PROD. Une spécification n’est donc pas utile pour la V3.02. \r\n\r\nPS : je suis repartie du mail où des échanges ont eu lieu pour cette demande.'),
(1241, 'De : The Bug Genie [mailto:gala@pole-emploi.fr] \r\nEnvoyé : mercredi 3 février 2016 08:20\r\nObjet : Re: [version302] Demande d évolution #18 - Habilitation XRT – Réforme territoriale transitoire \r\n \r\nHi, NAVARRO Mikaël!\r\nDemande d évolution #18 - Habilitation XRT – Réforme territoriale transitoire was updated by NAVARRO Mikaël.\r\n\r\nBonjour, oui effectivement l\'essentiel a déjà été fait, cf.: \r\n\r\n<code>\r\nSELECT PERSONNE_HABILITATION.*, INSTITUTION.BOOL_REGION, PERSONNE.CODE_SAP, INSTITUTION.PREFIXE_SAP \r\nFROM PERSONNE_HABILITATION \r\n--INNER JOIN AAE_UTILISATEUR ON AAE_UTILISATEUR.ID_DGA_SI = PERSONNE_HABILITATION.ID_DGA_SI \r\nINNER JOIN PERSONNE ON PERSONNE.ID_DGA_SI = PERSONNE_HABILITATION.ID_DGA_SI \r\nINNER JOIN INSTITUTION ON INSTITUTION.ID_INSTITUTION = PERSONNE.ID_INSTITUTION \r\nWHERE PERSONNE_HABILITATION.ID_RESSOURCE_TYPE IN (1133, 1132) \r\n--AND INSTITUTION.BOOL_REGION = 0 \r\n--AND PERSONNE_HABILITATION.LIB_HABILITATION LIKE \'%###\' \r\nORDER BY PERSONNE_HABILITATION.LIB_HABILITATION \r\n</code>\r\n\r\nPar-contre je note qu\'il reste 2 personnes avec un BOOL_REGION à 0 et 14 avec des ### ???'),
(1242, 'From: MORO Jean-Marc [mailto:Jean-Marc.MORO@pole-emploi.fr] \r\nSent: Wednesday, February 03, 2016 9:02 AM\r\nTo: MANENT Jessica-ext; NAVARRO, MIKAEL; NAVARRO Mikael-ext; DE MAREUIL Fabrice-ext\r\nSubject: spec IHM Gestion des synchronisations (écran de validation des synchros)\r\n\r\n \r\nCoucou,\r\n \r\nPour tenir compte des remarques d\'hier, j\'ai modifié la spec \"IHM Gestion des synchronisations (écran de validation des synchros)\" --> nouveau document version V2.\r\n \r\nJ\'ai uploadé la nouvelle spec dans BG : http://swz9at.sip91.pole-emploi.intra/thebuggenie/thebuggenie/version302/issues/24\r\n \r\nCordialement,'),
(1243, 'sortie du lot d\'avril'),
(1244, 'doublon'),
(1245, 'De : DE MAREUIL Fabrice-ext \r\nEnvoyé : mercredi 3 février 2016 10:34\r\nÀ : NAVARRO Mikael-ext\r\nCc : MORO Jean-Marc\r\nObjet : Ecran nettoyage actions synchros\r\n\r\nLO,\r\n\r\n\r\nJM me précise qu’il faudrait a minima un message « Voulez-vous enregistrer vos modifications ? » si des modifications (coche/décoche) ont été faites sur l’affichage du général avec un filtre donné, et qu’on relance une recherche avec un autre filtre.\r\n\r\nJe pense que ce serait trop compliqué de conserver toutes les modifs en mémoire, et n’avoir à cliquer qu’une seule fois sur « Enregistrer ».\r\nQuoique… avec un tableau associatif, peut-être…'),
(1246, 'From: NAVARRO, MIKAEL \r\nSent: Thursday, February 04, 2016 3:36 PM\r\nTo: \'MORO Jean-Marc\'\r\nCc: MANENT Jessica-ext; \'_ldr SI PTSR SA GALA Dev\'\r\nSubject: [GALA] V0.02BG24 : Spec IHM Gestion des synchronisations (écran de validation des synchros)\r\n\r\nRe,\r\n\r\nSuite à notre discussion de ce matin concernant le filtre sur les Organisations :\r\n\r\nEffectivement aujourd’hui il est possible en vue « normal » de filtrer la liste par l’Organisation (malgré que la colonne ne soit pas présente dans le tableau).\r\n\r\nMais cela me pose un problème, prenons le cas sur la synchro 73 (2296 lignes aujourd’hui en V3.01 sur gala_dev) : \r\n- Si l’on filtre sur le type de ressource père « Aae », sur les organisations « Alsace » et « Limousin » avec un filtre sur le métier « Base – Agent Plateforme » on a 1 seule ligne avec l’habilitation « WEB_SYSMQ » comprenant 3 actions (que l’on peut vérifier sur le détail).\r\n- Maintenant si on ne prend que la région « Alsace », toujours qu’une seule ligne mais qu’avec que 2 actions.\r\n\r\nD’accord le filtre fait bien son travail, mais dans l’export CSV qui est fait (aujourd’hui en V3.01) on ne prend en compte que les critères « Métier », « Type de ressource », « Opération » et « Habilitation » pour faire le nettoyage des actions, en aucun cas l’ « Organisation ».\r\nAinsi, si on sélectionne cette ligne pour faire le nettoyage on croit supprimer les actions que pour la région Alsace alors que ce n’est pas le cas ! On supprimera aussi pour le Limousin !\r\n\r\nDonc si l’on veut pourvoir prendre en compte ce filtre sur l’ « Organisation », ça va nous démultiplier les lignes dans l’analyse ! Est-ce que vous êtes d’accord avec ça ?\r\nSinon, il faudrait, pour être propre, griser la sélection sur l’organisation en vue « normale » (comme c’est fait pour l’ID_DGA_SI).\r\n\r\nVous en pensez quoi ? On rajoute cette nouvelle possibilité ou pas ?\r\n\r\nP.S. sur la synchro 73 si on rajoute l’institution on passe à 4297 lignes !\n\n'),
(1212, 'Bonjour,\r\n\r\nSi si il faut le garder.\r\nIl n’est pas utilisé en ce moment mais le sera prochainement, il faut que je remette en place l’infra de connexion depuis un poste Atos…\r\n\r\nTu peux me mettre moi en tant que responsable. Rajouter aussi Aymeric Rouviere et/ou Gilbert Varteressian dans la liste des contacts.\r\n\r\nCdt,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office Pôle Emploi DIT/SOPET & FA/OGISL\r\nConsultant AtoS Business Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n\r\n\r\nFrom: SOROSAC, NICOLE \r\nSent: Wednesday, January 27, 2016 2:04 PM\r\nTo: NAVARRO, MIKAEL\r\nCc: LECOUVEY, HERVE; SEVE, JEAN-LUC\r\nSubject: RE: VPN Projets / Pole Emploi - Création compte sous-traitant\r\n\r\nBonjour Mikael,\r\n\r\nUn compte VPN Bull du nom de  ELHAGE-POLE avait été créé pour l’utilisateur Ali EL-HAGE , à ta demande et pour le projet « Outillage CIDC » de Pôle Emploi FA/OGISL.\r\nQuelques questions :\r\n-        Ce compte VPN est-il toujours utilisé ? \r\n-          Dans le cas où ils n’est plus utilisé, peut-on le supprimer ?\r\n-          Qui gère ce compte ?\r\n-          Qui en est le responsable?\r\n \r\nCordialement\r\n \r\nNicole Sorosac\r\nDirecteur de projet – Atos France\r\nT. +33 (0) 4 76 29 71 37\r\nM. +33 (0) 6 33 20 93 52\r\nnicole.sorosac@atos.net\r\n1, rue de Provence \r\n38432 Echirolles\r\nAtos.net\r\n \r\n\r\nFrom: SEVE, JEAN-LUC \r\nSent: Wednesday, January 27, 2016 12:22 PM\r\nTo: SOROSAC, NICOLE\r\nCc: LECOUVEY, HERVE\r\nSubject: RE:VPN Projets / Pole Emploi - Création compte sous-traitant\r\n\r\nBonjour Nicole,\r\n\r\nN\'ayant plus de visibilité sur le projet, peux-tu prendre ce point.\r\n\r\nCordialement.\r\n\r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : LECOUVEY, HERVE\r\nEnvoyé : mercredi 27 janvier 2016 09:57\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: VPN Projets / Pole Emploi - Création compte sous-traitant\r\nBonjour\r\n \r\nNous procédons à un inventaire des accès VPN.\r\nVous aviez demandé un accès VPN externe sont le nom est  ELHAGE-POLE.\r\nJ’ai quelques questions :\r\n-          Ce compte VPN est-il toujours utilisé ? \r\n-          Dans le cas où ils n’est plus utilisé, peut-on le supprimer ?\r\n-          Qui gère ce compte ?\r\n-          Qui en est le responsable?\r\n \r\nSans réponse de votre part le 5/02/2016, ce compte sera supprimé.\r\nCordialement\r\n \r\nHervé LECOUVEY \r\nAMOA Telecom - IT France\r\nT. +33 (0)1 73 26 02 47\r\nM. +33 (0)6 70 32 74 28 \r\nherve.lecouvey@atos.net \r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Wednesday, July 08, 2015 9:54 AM\r\nTo: SAREJ, LAILA\r\nCc: DUMANCHIN, ANNE; LECOUVEY, HERVE\r\nSubject: RE: VPN Projets / Pole Emploi - Création compte sous-traitant\r\n \r\nBonjour Laila,\r\n \r\nJ’ai modifié le mot de passe, j’attends ton retour sur les coûts liés.\r\n \r\nCordialement.\r\n \r\nFrom: SAREJ, LAILA \r\nSent: Monday, July 06, 2015 10:01 AM\r\nTo: SEVE, JEAN-LUC\r\nCc: DUMANCHIN, ANNE; LECOUVEY, HERVE; SAREJ, LAILA\r\nSubject: RE: VPN Projets / Pole Emploi - Création compte sous-traitant\r\n \r\nBonjour Jean Luc, \r\n \r\nMerci de trouver le mdp : P@ssw0rd à modifier par le Chef de Projet en suivant le lien http://remoteaccess.bull.fr/password_fr.htm\r\nJe vérifie le cout interne généré et revient vers toi.\r\n  \r\nCordialement, \r\n \r\nLaïla SAREJ \r\nNetwork Project Manager - Atos France\r\nTechnology Transformation Services\r\nT. +33 (0) 1 30 80 74 07\r\nM.+33 (0) 6 30 38 80 79\r\nlaila.sarej@atos.net \r\nAvenue Jean Jaurès, \r\n78340 Les Clayes-sous-Bois\r\natos.net\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Friday, July 03, 2015 4:57 PM\r\nTo: SAREJ, LAILA\r\nSubject: RE:VPN Projets / Pole Emploi - Création compte sous-traitant\r\n \r\nBonjour Laila et merci pour cette  information. Si j\'ai bien compris, il n\'y a pas de coût pour la mise en place, par contre y a t\'il un coût lié de votre côté ?\r\n  \r\nCdlt\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : SAREJ, LAILA\r\nEnvoyé : vendredi 3 juillet 2015 16:49\r\nÀ : SEVE, JEAN-LUC\r\nObjet : RE: VPN Projets / Pole Emploi - Création compte sous-traitant\r\nBonjour Jean Luc, \r\n \r\nJe viens d’avoir l’information que le compte est créé : \r\n•         ID : ELHAGE-POLE \r\n•         Pour gérer le mdp par le Chef de Projet pour le partenaire : http://remoteaccess.bull.fr/password_fr.htm\r\n•         Pour retrouver les sources Anyconnect voir : http://www.wcm.bull.com/intranet/dsi/index.jsp?isFrom=link&withFrames=no&docId=888179\r\n \r\nCordialement, \r\n \r\nLaïla SAREJ \r\nNetwork Project Manager - Atos France\r\nTechnology Transformation Services\r\nT. +33 (0) 1 30 80 74 07\r\nM.+33 (0) 6 30 38 80 79\r\nlaila.sarej@atos.net \r\nAvenue Jean Jaurès, \r\n78340 Les Clayes-sous-Bois\r\natos.net\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Tuesday, June 30, 2015 3:13 PM\r\nTo: anroy.ext@orange.com; SAREJ, LAILA\r\nCc: HAAG Francis SCE; LAVOINE Eric SCE/DGC; LECOUVEY, HERVE; DUMANCHIN, ANNE; ZZZ OSM BULL; COMTE, ALAIN; SADOQ, BOUCHRA; CHAGNAUD, JEAN-CHRISTOPHE; Jean-Luc Seve; Xavier Couturier; Claude Casery (claude.casery@bull.net)\r\nSubject: RE:VPN Projets / Pole Emploi - Création compte sous-traitant\r\n \r\nBonjour,\r\n \r\nJe viens aux nouvelles sur cette demande.\r\n  \r\nCordialement.\r\n \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\r\n\r\n________________________________________\r\nDe : anroy.ext@orange.com [anroy.ext@orange.com]\r\nEnvoyé : vendredi 19 juin 2015 17:52\r\nÀ : SAREJ, LAILA\r\nCc : HAAG Francis SCE; LAVOINE Eric SCE/DGC; LECOUVEY, HERVE; DUMANCHIN, ANNE; ZZZ OSM BULL; COMTE, ALAIN; LEVEILLE, BOUCHRA; CHAGNAUD, JEAN-CHRISTOPHE; Jean-Luc Seve; Xavier Couturier; Claude Casery (claude.casery@bull.net)\r\nObjet : RE: VPN Projets / Pole Emploi - Création compte sous-traitant\r\nBonjour Laila,\r\n \r\nLa demande est enregistrée sous l’OC1353.\r\n \r\nCordialement,\r\n \r\nAnnabelle ROY\r\nChange Manager Orange pour  Bull\r\nTel. 0156634374\r\nanroy.ext@orange.com \r\n \r\nDe : SAREJ, LAILA [mailto:laila.sarej@atos.net] \r\nEnvoyé : jeudi 18 juin 2015 10:47\r\nÀ : ZZZ OSM BULL\r\nCc : ROY Annabelle Ext SCE; HAAG Francis SCE; LAVOINE Eric SCE/DGC; LECOUVEY, HERVE; DUMANCHIN, ANNE; COMTE, ALAIN; LEVEILLE, BOUCHRA; CHAGNAUD, JEAN-CHRISTOPHE; Jean-Luc Seve; Xavier Couturier; Claude Casery (claude.casery@bull.net); SAREJ, LAILA\r\nObjet : VPN Projets / Pole Emploi - Création compte sous-traitant\r\n \r\nBonjour Annabelle, \r\n \r\nDans le cadre du projet Pôle Emploi, merci de prendre en compte la demande ci-dessous de création d’un nouveau compte VPN partenaire (sous-traitant ).\r\n- personne concernée = Ali EL-HAGE en qualité de S/T\r\n- travail depuis son poste non-Chess pour PE Montreuil.\r\n \r\nSi besoin de plus d’information n’hésitez pas de prendre contact avec Jean Luc Seve.\r\n \r\nCordialement, \r\n \r\nLaïla SAREJ \r\nNetwork Project Manager - Atos France\r\nTechnology Transformation Services\r\nT. +33 (0) 1 30 80 74 07\r\nM.+33 (0) 6 30 38 80 79\r\nlaila.sarej@atos.net \r\nAvenue Jean Jaurès, \r\n78340 Les Clayes-sous-Bois\r\natos.net\r\n \r\n \r\nFrom: SEVE, JEAN-LUC \r\nSent: Wednesday, June 10, 2015 3:58 PM\r\nTo: SAREJ, LAILA\r\nCc: SOROSAC, NICOLE; COUTURIER, XAVIER; CASERY, CLAUDE\r\nSubject: Besoin projet Pole Emploi\r\n \r\nBonjour Laila, \r\n \r\nNous aurions besoin de mettre à disposition rapidement une connexion à un sous-traitant sur une mission de développement pour une durée limité pour le projet Pôle Emploi. Auparavant, nous avions cette possibilité au travers de l\'accès VPN BULL partenaire dédié Pôle emploi. \r\n \r\nSavons-nous toujours mettre en œuvre ce type d\'accès (accès partenaire + compte partenaire BULL) et si oui à quel coût ?\r\n \r\nCordialement.\r\n  \r\nJean-Luc SEVE \r\nArchitecte - Atos France\r\nT. +33 (0)4 72 52 50 80\r\nM. +33 (0)6 80 46 06 70\r\njean-luc.seve@atos.net \r\n53, rue de l’étang, BP 39 - 69578 Limonest\n\n'),
(1216, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTests sp9 RC1 : 28/12/2015 > 5/01/2015'),
(1217, 'Fais sur les actions.'),
(1218, 'Fais sur les actions.'),
(1219, 'Fais sur les actions.'),
(1220, 'Fais sur les actions.'),
(1221, '-- V3.02BG18\r\nPRINT \'MiKael : Habilitations XRT - Reforme territoriale transitoire\'\r\n\r\nbegin tran;\r\n\r\nDELETE PH\r\nFROM PERSONNE_HABILITATION PH\r\nINNER JOIN PERSONNE ON PERSONNE.ID_DGA_SI = PH.ID_DGA_SI\r\nINNER JOIN INSTITUTION ON INSTITUTION.ID_INSTITUTION = PERSONNE.ID_INSTITUTION\r\nWHERE PH.ID_RESSOURCE_TYPE IN (1133, 1132)\r\nAND INSTITUTION.BOOL_REGION = 0\r\n\r\nUPDATE PH\r\nSET PH.LIB_HABILITATION = LEFT(PH.LIB_HABILITATION, \r\n                                               CHARINDEX(\'|\', PH.LIB_HABILITATION)-1) +\r\n                                               \'|\' + INSTITUTION.PREFIXE_SAP\r\nFROM PERSONNE_HABILITATION PH\r\nINNER JOIN PERSONNE ON PERSONNE.ID_DGA_SI = PH.ID_DGA_SI\r\nINNER JOIN INSTITUTION ON INSTITUTION.ID_INSTITUTION = PERSONNE.ID_INSTITUTION\r\nWHERE PH.ID_RESSOURCE_TYPE IN (1133, 1132)\r\n\r\nSELECT PERSONNE_HABILITATION.*, INSTITUTION.BOOL_REGION, PERSONNE.CODE_SAP, INSTITUTION.PREFIXE_SAP\r\nFROM PERSONNE_HABILITATION\r\n--INNER JOIN AAE_UTILISATEUR ON AAE_UTILISATEUR.ID_DGA_SI = PERSONNE_HABILITATION.ID_DGA_SI\r\nINNER JOIN PERSONNE ON PERSONNE.ID_DGA_SI = PERSONNE_HABILITATION.ID_DGA_SI\r\nINNER JOIN INSTITUTION ON INSTITUTION.ID_INSTITUTION = PERSONNE.ID_INSTITUTION\r\nWHERE PERSONNE_HABILITATION.ID_RESSOURCE_TYPE IN (1133, 1132)\r\nAND INSTITUTION.BOOL_REGION = 0\r\n--AND PERSONNE_HABILITATION.LIB_HABILITATION LIKE \'%###\'\r\nORDER BY PERSONNE_HABILITATION.LIB_HABILITATION\r\n\r\nrollback tran;'),
(1222, 'Réponse client fit partie de BDoc'),
(1223, 'abandonné par RSI'),
(1224, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n42122 - Problème d\'extraction TAIGA'),
(1225, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n28/01/16 : Participation à la fin de la formation (CME)'),
(1260, 'A intégrer'),
(1261, 'Modification côté BatchGala :\r\n* GIHServeur.GenerationAnalyseSynchro (lancée après la demande de Génération d\'Analyse)\r\n  + remplissage de la table récapitulative à partir de l\'analyse (cf. sSql2)\r\n\r\nCôté IHM : pgeGihSynchroAnalyse\r\n* RequeteSynchroAnalyse\r\n  - en mode détaillé = rien ne change, on lit GIH_SYNCHRO_ANALYSE\r\n  - en mode \"récap\" = on utilise GIH_SYNCHRO_ANALYSE_RECAP\r\n  - avec gestion des filtres suivant le mode de vue\r\n+ btnEnregistrer \r\n  - pour garder ou pas dans BOOL_INVALIDE les critères valides ou invalides\r\n+ btnApprouverSynchro (=Exécuter la synchro)\r\n  - ne fait qu\'enregistrer dans un paramètre système le numéro de synchro à approuver\r\n  - et active le BOOL_EXECUTION_IMMEDIATE du job de traitement\r\n\r\nJob GIHServeur.ApprobationSynchro :\r\n+ Sélection de la synchro à traité à partir du paramètre système\r\n+ Suppression des actions indésirables\r\n+ Clôture des formulaires vides d\'actions\r\n+ Approbation auto. des formulaires...\n\n'),
(1227, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n26/01/16 : Point avec Otmane et Said.\r\n03/02/16 : Entretien 2015 et Objectifs 2016 avec Jérémy.\r\n04/02/16 : Entretien 2015 et Objectifs 2016 avec Romain.\r\n09/02/16 : Entretien 2015 et Objectifs 2016 avec Said.\r\n11/02/16 : Objectifs 2016 avec Steven.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(1228, '________________________________________\r\nDe : MANENT Jessica-ext \r\nEnvoyé : vendredi 29 janvier 2016 10:57\r\nÀ : NAVARRO Mikael-ext\r\nObjet : RE: [GALA V3.02] Ecran de validation des synchros\r\n\r\nOui, j’espère qu’il a raison aussi. \r\n\r\nJe fais le suivi de l’avancement de ce sujet tous les jours avec lui, donc je te tiens au courant si j’ai + d’infos.\r\n\r\nCordialement,\r\n \r\nJessica Manent\r\n \r\nDGA SI / DIT-SOPET\r\nSupport Fonctionnel GALA\r\n \r\n*SI PTSR SA SF GALA Qualif\r\n04 42 16 08 55\r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : vendredi 29 janvier 2016 10:42\r\nÀ : MANENT Jessica-ext\r\nObjet : RE: [GALA V3.02] Ecran de validation des synchros\r\n\r\nOk, on verra ça.\r\n\r\nMerci pour l’info.\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office CDS DIT/SOPET & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888\r\n \r\n________________________________________\r\nDe : MANENT Jessica-ext \r\nEnvoyé : vendredi 29 janvier 2016 10:38\r\nÀ : NAVARRO Mikael-ext\r\nObjet : RE: [GALA V3.02] Ecran de validation des synchros\r\n\r\nCoucou Mika,\r\n\r\nJean-Marc n’a toujours pas fini la spec car il n’a pas eu le temps, il doit voir Florence aujourd’hui pour finir.\r\n\r\nIl m’a dit qu’il y aurait deux jours de développement  maximum et non 10j par rapport à la solution qu’il a en tête.\r\n\r\nCordialement,\r\n \r\nJessica Manent\r\n \r\nDGA SI / DIT-SOPET\r\nSupport Fonctionnel GALA\r\n \r\n*SI PTSR SA SF GALA Qualif\r\n04 42 16 08 55\r\n________________________________________\r\nDe : MANENT Jessica-ext \r\nEnvoyé : vendredi 22 janvier 2016 15:08\r\nÀ : NAVARRO Mikael-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : RE: [GALA V3.02] Ecran de validation des synchros\r\n\r\nSalut Mika,\r\n\r\nPas de soucis, Jean-Marc s’en occupe dès la semaine prochaine, il doit voir Florence avant pour discuter de la solution à mettre en place (elle revient lundi). Et devrait finir la spec mardi prochain à peu près.\r\n\r\nCordialement,\r\n \r\nJessica Manent\r\n \r\nDGA SI / DIT-SOPET\r\nSupport Fonctionnel GALA\r\n \r\n*SI PTSR SA SF GALA Qualif\r\n04 42 16 08 55\r\n________________________________________\r\nDe : NAVARRO Mikael-ext \r\nEnvoyé : vendredi 22 janvier 2016 15:03\r\nÀ : MANENT Jessica-ext\r\nCc : _ldr SI PTSR SA GALA Dev\r\nObjet : [GALA V3.02] Ecran de validation des synchros\r\n\r\nBonjour,\r\n\r\nLa tâche concernant l’écran de validation des synchros pour « rendre autonome SF sur les validations de synchro. et suppr. » est une tâche estimée à 10j plein de travail.\r\n\r\nAussi pouvez-vous passer la spécification de ce sujet en priorité (avant fin de semaine prochaine) ?\r\nCar même si la livraison de la spec est faite pour le 10 fév., ça risque d’être juste pour le 25 fév. surtout si des aller-retour sont nécessaires sur la solution à apporter… \r\n\r\nThks,\r\n-- \r\nMiKaël NAVARRO\r\nFront-Office CDS DIT/SOPET & FA/OGISL\r\nConsultant AtoS Technology Services\r\nAgence Sud-Est Aix\r\n+33 4 42 604729\r\n+33 6 27 69 0888'),
(1213, '3.14...\r\n\r\n-----Message d\'origine-----\r\nDe : MORO Jean-Marc \r\nEnvoyé : jeudi 10 septembre 2015 10:23\r\nÀ : VIOIX Jean-Sébastien\r\nObjet : Méthodes d\'accès à une VM\r\n\r\n\r\nBonjour,\r\n\r\nJe dois reprendre une série de tests pour voir s\'il est possible de configurer une VM pour une équipe de développeurs Webdev.\r\n\r\nCes personnes doivent pouvoir accéder à cette hypothétique VM :\r\n\r\n- dans les locaux de la DSI (à partir du réseau interne)\r\n- depuis les locaux de leur société (via un réseau wifi ouvert - sans filtrage de ports)\r\n- à leur domicile (via leur box)\r\n\r\nQuels kits de mobilité/accès VM seraient les plus adaptés à ces cas ?\r\n\r\nCordialement,\r\n\r\n-----------------------\r\nJean-Marc Moro\r\nDGA SI - PTSR SA\r\n04-91-18-86-61'),
(1214, 'je voulais dire : environnement de développement (outils de developpeurs) : webdev + windev + apache + php + mysql + divers.\r\n \r\nDans ce cas, il va falloir faire le test avec une VM Neptune II. Le test proprement dit va durer une semaine tout au plus.\r\n \r\nCordialement,\r\n \r\nJM Moro\r\n\r\n________________________________________\r\nDe : VIOIX Jean-Sébastien \r\nEnvoyé : lundi 25 janvier 2016 14:18\r\nÀ : MORO Jean-Marc\r\nCc : VILCOQ Stéphane; Mickael navaroo ATOS; NAVARRO Mikael-ext\r\nObjet : RE: demande d\'info\r\nBonjour,\r\n\r\nAujourd’hui il n’y a toujours pas de VM Neptune 2 en PROD. Le pilote va commencer dans les prochains jours.\r\n\r\nLa VM nous est fournies par l’équipe terminaux à l’image d’un poste, il n’y a donc pas de droits d’administrations autorisés.\r\n\r\nQu’entends-tu par serveur en environnement de DEV ?\r\n\r\nCordialement.\r\n \r\nJean-Sébastien VIOIX\r\nDPSIT/DIT/IET\r\nTél. 02 38 22 89 24\r\nFax. 02 38 71 76 76\r\n\r\n\r\nDe : MORO Jean-Marc \r\nEnvoyé : lundi 25 janvier 2016 09:53\r\nÀ : VIOIX Jean-Sébastien\r\nCc : Mickael navaroo ATOS; NAVARRO Mikael-ext\r\nObjet : RE: demande d\'info\r\n\r\nBonjour,\r\n \r\ndans ce cas, il faudrait mieux que nous ayons accès à une VM permanente en Neptune II.\r\n \r\nIl faudrait aussi que nous ayons des droits d\'admin local sur cette VM pour pouvoir installer les drivers Hasp (dongle de protection) et l\'appli de développement.\r\nPour fonctionner, l\'environnement de dev n\'a pas besoin des droits d\'admin local (on peut lancer les serveurs à la main via un batch sans les installer comme service).\r\n \r\nCordialement,\r\n--------------------------------\r\nJean-Marc Moro\r\nDSI - DIT / SOPET\r\n04-91-18-86-61\r\n\r\n________________________________________\r\nDe : VIOIX Jean-Sébastien \r\nEnvoyé : jeudi 21 janvier 2016 16:54\r\nÀ : MORO Jean-Marc\r\nObjet : RE: demande d\'info\r\nPetite correction ce sera une VM de Type DRDG à demander.\r\n\r\nPar contre ce sera pour quelle durée car nous allons prochainement les migrer vers Neptune2 ?\r\n\r\nCordialement.\r\n \r\nJean-Sébastien VIOIX\r\nDPSIT/DIT/IET\r\nTél. 02 38 22 89 24\r\nFax. 02 38 71 76 76\r\n\r\n\r\nDe : MORO Jean-Marc \r\nEnvoyé : jeudi 21 janvier 2016 15:43\r\nÀ : VIOIX Jean-Sébastien\r\nObjet : RE: demande d\'info\r\n\r\n \r\nDisposer d\'une VM :\r\n    - accessible par un accès à distance hors réseau PE via une solution login/mot de passe \r\n    - pour l\'utilisation d\'une application de développement ayant besoin d\'un dongle de protection\r\n \r\nDans un premier temps, j\'aurais simplement besoin d\'accéder à une VM via le réseau PE pour tester le point 2.\r\n \r\nCordialement,\r\n \r\n--------------------------------\r\nJean-Marc Moro\r\nDSI - DIT / SOPET\r\n04-91-18-86-61\r\n________________________________________\r\nDe : VIOIX Jean-Sébastien \r\nEnvoyé : jeudi 21 janvier 2016 15:31\r\nÀ : MORO Jean-Marc\r\nObjet : RE: demande d\'info\r\nOui nous avons plusieurs socles en permanentes ou volatiles. \r\n\r\nToutes sont référencées dans GALA.\r\n\r\nCe serait pour quel besoin ?\r\n \r\nJean-Sébastien VIOIX\r\nDPSIT/DIT/IET\r\nTél. 02 38 22 89 24\r\nFax. 02 38 71 76 76\r\n\r\n\r\nDe : MORO Jean-Marc \r\nEnvoyé : jeudi 21 janvier 2016 14:26\r\nÀ : VIOIX Jean-Sébastien\r\nObjet : demande d\'info\r\n\r\nbonjour,\r\n \r\nexiste-t-il encore une offre de VM en neptune 1 ?\r\n \r\nCordialement,\r\n--------------------------------\r\nJean-Marc Moro\r\nDSI - DIT / SOPET\r\n04-91-18-86-61\n\n'),
(1215, 'mer. 27/01/2016 16:48\r\nTO: CARON Fabrice <Fabrice.CARON@pole-emploi.fr>\r\n\r\nbonjour,\r\n \r\npourrais-tu demander à notre RHA de faire une demande d\'habilitation pour moi ( IDDGASI IJMO5880) à :\r\n \r\nApplidis Poste VDI Neptune1 pour DR et  DG\r\n \r\nJ\'ai besoin de ça pour tester s\'il est possible d\'installer notre environnement de dev (Webdev/Windev) sur une VM, sachant qu\'il y a un dongle de protection à gérer.\r\n \r\nCordialement,\r\n \r\n--------------------------------\r\nJean-Marc Moro\r\nDSI - DIT / SOPET\r\n04-91-18-86-61'),
(1255, 'Le batch a été lancé, ci-dessous les conventions impactées par la rouverture:\r\nSIRET=20004240600013\r\nSIRET=21710310000012\r\nSIRET=21710120300016\r\nSIRET=21710342300018\r\nSIRET=21710187200018\r\nSIRET=21710047800015\r\n\r\n---\r\n\r\nBonjour,\r\n\r\nSuite à notre entretien téléphonique, un batch sera lancé pour rouvrir  toutes les conventions cloturés au 31/12/15.'),
(1256, 'Bonjour,\r\n\r\nNous rencontrons actuellement un problème avec notre serveur d\'application dû à la bascule du 16/01. Nous sommes entrain d\'investiguer le problème et reviendrons vers vous lorsque le problème sera résolu.\r\n\r\nCordialement.'),
(1257, 'Le problème est du à la bascule du serveur Websphere sous linux qui s\'est effectué le 16/01.\r\nAprès analyse, le problème provenait du JNDI du compteur Websphere dont le nom était mal renseigné.\r\n\r\nLe problème a été résolu le 09/02.'),
(1258, 'Bonjour,\r\n\r\nNous rencontrons actuellement un problème avec notre serveur d\'application dû à la bascule du 16/01. Nous sommes entrain d\'investiguer le problème et reviendrons vers vous lorsqu\'il sera résolu.\r\n\r\nDans l\'attente d\'une solution je vous propose de modifier les agents qui n\'ont pas reçu leur mot de passe et de cocher la case \"regénérer mot de passe\" afin de recevoir un nouveau mot de passe.\r\n\r\nCordialement.'),
(1259, 'Le problème est du à la bascule du serveur Websphere sous linux qui s\'est effectué le 16/01.\r\nAprès analyse, le problème provenait du JNDI du compteur Websphere dont le nom était mal renseigné.\r\n\r\nLe problème a été résolu le 09/02.'),
(1262, 'Oubli de création de la tache en juin'),
(1263, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nSAGESS assistance 42141\r\nSAGESS anomalie bloquante PROD 42248\r\nReports versions 15.0.30 sur 13.1.70 et 14.0.2'),
(1264, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nAnomalie bloquante de PROD SCR'),
(1265, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n05/02/16 (matin): Présentation Caf de recette (WEBEX) \r\n- Présentation du projet à la caf de recette\r\n- Démo de la solution\r\n- Description des principaux “cas utilisateur”\r\n05/02/16 (après-midi): Suivi d\'avancement du SPRINT#10.\r\n12/02/16:Réunion #02 du groupe de travail CDR / CNAF pour préparation du déploiement du service CDAP'),
(1266, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n05/02: Réunion Désengagement ZOS\r\n18/02: Reunion F.Biava interface ISU\r\n04/03:[COPIL] Désengagement mainframe\r\n08/03: Réunion CPFI à PARIS.\r\n07/03: Reunion F.Biava Livraison Isu\r\n08/03: Desengagement MainFrame'),
(1267, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n01/02/2016:\r\nIndicateurs HABTIERS.\r\nCommande T1 2016.\r\nRegularisation, retour de 27,9 PA à reporter sur les activités du PORTAIL.\r\n10/02/16 : Réunion de suivi de projet 11 (préparation et CR)\r\n14/04/16 : Préparation transfert de compétences avec Julien.'),
(1268, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPréparation de l\'installation des machines + passage au WTC'),
(1269, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n08/02/16 : Point avec Steven et orientation techniques'),
(1270, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n08/02/16:Point sur les priorités avec Kevin et Jérémy suite au suivi d\'avancement avec Christophe Millot.\r\n11/02/16 : Point avec Sarah sur les tests (stratégie d\'analyse), point avec Nicolas sur les TDB.'),
(1271, '- Retard dû aux problèmes suivants :\r\n     • rapport pdf corrompu car les screenshots n\'étaient pas intégrés et le document non refermé\r\n     • du fait de la longueur de la non-régression, la seule possibilité est de la lancer le soir\r\n     • attente dynamique du chargement des onglets\r\n\r\n- Le problème du rapport pdf est résolu :\r\n     • meilleur encadrement par try catch\r\n     • problème de mémoire résolu en ajoutant des PdfPTable contenant 2 screenshots au fur et à mesure au lieu d\'une grosse PdfPTable contenant tous les screenshots\r\n     • mauvais nombre d\'exceptions ou de screenshots (donc blocage de la création du pdf) dû à une collision (hashcode identique) -> création d\'une classe-mère TestReportParams pour TestScreenshot et TestThrowable, contenant un attribut timestamp, qui sert avec les autres attributs à créer le hashCode().\r\n\r\n- RAF : estimé à 6 jours\r\n     • Analyser le rapport PDF\r\n     • Remontée de bug cafpro/cdap\r\n     • Correction des bugs de test\r\n     • Peaufiner la documentation'),
(1272, 'Livraison faite le 17/02/2016'),
(1273, 'Livraison faite le 17/02/2016'),
(1274, 'Livraison faite le 17/02/2016'),
(1275, 'Livraison faite le 17/02/2016'),
(1276, 'Livraison faite le 17/02/2016'),
(1277, 'Livraison faite le 17/02/2016'),
(1278, 'Livraison faite le 17/02/2016'),
(1279, 'Livraison faite le 17/02/2016'),
(1280, 'Livraison faite le 17/02/2016'),
(1281, 'Livraison faite le 17/02/2016'),
(1282, 'Livraison faite le 17/02/2016'),
(1283, 'Livraison faite le 17/02/2016'),
(1284, 'Livraison faite le 17/02/2016'),
(1285, 'Livraison faite le 17/02/2016'),
(1286, 'Livraison faite le 17/02/2016'),
(1287, 'Livraison faite le 17/02/2016'),
(1288, 'Livraison faite le 17/02/2016'),
(1289, 'Livraison faite le 17/02/2016'),
(1290, 'Livraison faite le 17/02/2016'),
(1291, 'Livraison faite le 17/02/2016'),
(1292, 'Livraison faite le 17/02/2016'),
(1293, 'Livraison faite le 17/02/2016'),
(1294, 'Livraison faite le 17/02/2016'),
(1295, 'Livraison faite le 17/02/2016'),
(1296, 'Livraison faite le 17/02/2016'),
(1297, 'Livraison faite le 17/02/2016'),
(1298, 'Livraison faite le 17/02/2016'),
(1299, 'Livraison faite le 17/02/2016'),
(1300, 'Livraison faite le 17/02/2016'),
(1301, 'Livraison faite le 17/02/2016'),
(1302, 'Livraison faite le 17/02/2016'),
(1303, 'Livraison faite le 17/02/2016'),
(1304, 'Livraison faite le 17/02/2016'),
(1305, 'Livraison faite le 17/02/2016'),
(1306, 'Livraison faite le 17/02/2016'),
(1307, 'Livraison faite le 17/02/2016'),
(1308, 'Livraison faite le 17/02/2016'),
(1309, 'Anomalie toujours présente'),
(1310, 'Anomalie toujours présente'),
(1311, 'Due à une réorganisation de la base DB2 (opé de maintenance) qui ralentit fortement la réponse de la base'),
(1312, 'Validé par le client'),
(1313, 'Validé par le client'),
(1314, 'Validé par le client'),
(1315, 'Validé par le client'),
(1316, 'Validé par le client'),
(1525, 'Annulé'),
(1318, 'Validé par le client'),
(1319, 'Validé par le client'),
(1320, 'Validé par le client'),
(1321, 'Validé par le client'),
(1322, 'Validé par le client'),
(1323, 'Analyse seule à faire; pas de correction pour le moment'),
(1324, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n42152 Assistance 0.2j\r\n42285 Assistance 0.2j\r\n42293 Assistance 0.2j\r\nWS BDU champs obligatoires 0.5j\r\n42300 Assistance 0.2j\r\n42329 Assistance 0.2j'),
(1325, 'Utilisation d\'un flag dans la table GIH_SYNCHRO en lieu et place du paramètre système.\n\n'),
(1326, 'Rajout de dates (ds GIH_SYNCHRO) pour mesurer les temps d\'exécution des différentes parties de la synchro.'),
(1327, 'opened'),
(1328, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1329, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1330, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1331, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1332, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1333, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1334, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1335, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1336, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1337, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1338, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1339, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1340, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1341, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1342, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1343, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1344, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1345, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1346, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1347, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1348, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1349, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1350, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1351, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1352, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1353, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1354, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1355, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1356, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1357, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1358, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1359, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1360, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1361, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1362, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1363, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1364, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1365, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1366, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1367, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1368, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1369, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1370, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1371, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1372, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1373, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1374, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1375, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1376, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1377, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets déjà livrés hors RRE'),
(1378, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1379, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1380, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1381, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1382, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1383, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1384, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1385, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1386, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1387, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1388, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1389, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1390, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1391, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1392, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1393, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1394, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1395, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1396, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1397, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1398, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1399, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1400, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1401, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1402, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1403, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1404, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1405, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1406, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1407, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1408, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1409, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1410, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1411, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1412, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1413, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1414, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1415, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1416, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1417, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1418, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1419, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1420, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1421, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1422, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1423, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1424, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1425, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1426, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1427, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1428, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1429, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1430, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1431, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1432, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1433, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1434, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1435, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1436, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1437, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1438, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1439, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1440, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1441, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1442, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1443, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1444, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1445, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1446, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1447, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1448, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1449, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1450, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1451, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1452, 'Lots 1, 2, 3, 4, 5-7 et 9 livrés\r\n\r\nCloture des tickets hors RRE'),
(1453, 'Livraison faite le 22/02/2016'),
(1454, 'Livraison faite le 22/02/2016'),
(1455, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n19/02 : Debug sur la PV afin de trouver pourquoi l\'import des PDFs ne fonctionne pas niveau vue.'),
(1456, 'Livré dans la version 1.3 des lots 5-7-9'),
(1457, 'Problème côté BU'),
(1458, 'La BU doit lever une Business'),
(1459, 'Refusé'),
(1460, 'identique ticket 8358'),
(1461, 'Livré le 25/02 v1.3 des lots 5-7-9'),
(1462, 'Livré le 25/02 v1.3 des lots 5-7-9'),
(1463, 'Livré le 25/02 v1.3 des lots 5-7-9'),
(1464, 'Livré le 25/02 v1.3 des lots 5-7-9'),
(1465, 'Refusé'),
(1466, 'Refusé'),
(1467, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n24/02 : Support Romain sur l\'architecture des cascades (mise en place des beans)\r\n25/02 : Support pour David sur la gestion des exceptions CNAFs (Env + config)\r\n07/03 : Support + Dev avec David sur le TDB 004 CDAP'),
(1468, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n22/02 : Préparation de la préparation d\'agence'),
(1469, 'Suite aux tests réalisés, une anomalie concernant le traitement de transformation des fichiers PAF est détectée : \r\nAprès la transformation et après l’application de la règle RG_PACR_007, le niveau de certification reçu à 0 est transformé en 1 dans le fichier plat même si la clé du NIR vaut 98.'),
(1470, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n42337 Anomalie 0.2j (RR)\r\n42314 Assistance 0.2j\r\n42425 Anomalie 1j\r\n42490 Assistance 0.2j\r\n42495 Anomalie 0.2j (RR)\r\n42496 Anomalie 0.2j (RR)'),
(1471, '\r\nQC 42343 [ano] - IHM SAGESS : Tableau des échanges du Dossier Bénéf : ordonner les échanges par signalement KO\r\n\r\n\r\nL\'anomalie est avérée (reproductible en V13.1.65).\r\n \r\nProblème :\r\nSur les tableaux des échanges \"en cours\" et \"historique\" du Dossier du Bénéficiaire, l\'action de cliquer sur la colonne \"Signalement\" lève une erreur.\r\n(Dans Dossier Bénéficiaire -> partie RNIAN -> Onglet Echanges -> Tableau des échanges \"en cours\" et \"historique\')\r\n \r\nAnalyse :\r\nDans les tableaux des échanges, cliquer sur le titre d\'une colonne, permet d\'ordonner les échanges sur ce champ.\r\n \r\nSur l\'IHM SAGESS, l\'action d\'ordonner les échanges du tableau sur un champ relance la requête en base pour récupérer la liste des échanges ordonnée sur le champ sélectionné.\r\nDans l\'IHM, pour afficher les tableaux d\'échanges, la récupération en base des échanges et des signalements associés aux échanges est faite en 2 temps : \r\n- d\'abord, requête sur la base pour récupérer la liste des échanges (ne recherche pas les signalements associés au échanges).\r\n- puis, requête sur la base pour récupérer les signalements associés aux échanges récupérés précédemment.\r\nActuellement, tel qu\'est faite l\'application, il n\'est pas possible d\'ordonner les échanges du tableau par signalement,\r\ncar la récupération en base de la liste des échanges ne recherche pas les signalements associés, et donc impossible de spécifier qu\'il faut ordonner les échanges sur ce critère là.\r\n \r\nDe plus, Il n\'est pas très pertinent d\'ordonner les échanges par \"Signalement\", car il peut y avoir plusieurs signalements dans un échange.\r\n \r\nDans les tableaux de recherche des échanges RNIAM \"Par Caisse RSI\", \"Par Bénéficiaire\", et \"Par Situation\", la colonne \"Signalement\" n\'est pas ordonnançable (non sortable).\r\n \r\nSolution :\r\nSur les tableaux des échanges \"en cours\" et \"historique\" du Dossier du Bénéficiaire : la colonne \"Signalement\" ne doit pas être ordonnançable (non sortable)\r\nComme c\'est le cas sur les tableaux des échanges RNIAM \"Par Caisse RSI\", \"Par Bénéficiaire\", et \"Par Situation\" (Colonne \"Signalement\" non sortable).\r\n'),
(1472, 'QC 42327 [ano] - ano script repDossierMort (sh et sql) \r\n\r\nLe traitement affiche un message d\'erreur inapproprié, et ne rend pas la main alors qu\'il réalise les actions attendues et qu\'il est terminé.\r\n\r\n-Erreur dans le .sh : vérifie la présence des args\"-e\" et \"-x\" qui n\'existent pas, (et ne vérifie pas la présence de \"-f\" qui existe) et lève le msg d\'erreur \"-*: syntax error\" + <usage>. Heureusement, le traitement se poursuit.\r\n-Erreur dans .sql : A la fin, il manque la commande \"EXIT SQL.SQLCODE;\" qui permet de rendre la main au shell.\r\n\r\n   -> Sera livré en SAGESS V15.0.70 (lot juin 2016).\r\n'),
(1473, 'Livré le 04/03/2016 v1.4 Lot 5-7-9'),
(1474, 'Livré le 04/03/2016 v1.4 Lot 5-7-9'),
(1475, 'Aucun retour'),
(1476, 'L\'utilisateur sera rediriger vers l\'onglet \"Dossiers\".\r\n\r\nDans ce cas, l\'onglet \"Accueil n\'apparaîtra pas.'),
(1477, 'QC 42340 [evo] IHM SAGESS, module Paramétrage FIAB : restreindre l\'utilisateur à chercher/utiliser uniquement des fichiers de requêtes de fiab du server.\r\n\r\n\r\n==> Analyse du besoin, proposition solutions, macro-chiffrage (envoyé par mail le 08/03/2016)\r\n\r\n\r\nNous avons fait un bilan des solutions pour le defect SAGESS QC42340 outil de fiab : retreindre l\'utilisateur à chercher/utiliser uniquement des fichiers de requêtes de fiab du server.\r\n\r\nPour développer cette évolution dans l\'IHM SAGESS, il n\'existe pas de solution simple, car nous sommes limité par les fonctionnalités du Framework \"struts\".\r\n\r\nActuellement, l\'action de \"Rechercher...\" le fichier de fiab, ouvre un explorer de fichier pré-positionné dans le dossier de l\'utilisateur (C:\\Users\\username\\), et l\'utilisateur peut naviguer où il le souhaite.\r\n\r\nLe technologie \"struts\" ne permet pas de positionner la fenêtre de recherche du fichier dans un répertoire spécifique, ni de restreindre l\'utilisateur à naviguer uniquement dans un répertoire spécifique, ni de vérifier l\'emplacement du fichier sélectionné par l\'utilisateur (sur action \"sauvegarder\"), ...\r\n\r\n \r\nNous vous proposons 2 autres solutions :\r\n\r\nSolution 1\r\nImplémentation d’une nouvelle fonctionnalité sur l\'IHM pour que :\r\n- l\'IHM recherche la liste des fichiers de fiab dans un emplacement spécifique, (l\'emplacement serait à configurer par variable d\'environnement, comme celle utilisée pour \"téléverser\" le fichier de fiab sur le server sur action \"sauvegarder\")\r\n- l\'IHM affiche la liste des fichiers de fiab de ce répertoire, en précisant toute l\'arborescence du fichier (full path name),\r\n- la liste de ces fichiers serait affichées soit dans une popup sur action \"Rechercher...\", soit directement dans l\'écran de Paramétrage FIAB (en fonction des limitations du Framework \"struts\")\r\n- l\'IHM permette la sélection d\'un seul fichier de fiab de cette liste\r\n- l\'IHM charge le fichier de fiab sélectionné, pour pouvoir le \"téléverser\" sur le server sur action \"sauvegarder\".\r\n \r\n=> Macro chiffrage de cette solution : entre 20 et 25 jours.\r\n\r\nSolution 2 \r\nUne solution uniquement \"informative\" serait d\'afficher un libellé, au dessus du bouton de recherche du fichier de fiab, indiquant que l\'utilisateur doit impérativement récupérer le fichier de fiab sur le server dont l\'emplacement serait spécifié sur l\'IHM. Mais aucune restriction ni vérification ne serait faite par l\'IHM.\r\n\r\n=> Macro chiffrage de cette solution : 5 jours.\n\n'),
(1478, 'Attente retour P.Mangin\r\nreportée sans date'),
(1479, 'Attente P.Mangin\r\n'),
(1480, 'remplacée par Evo 42294'),
(1481, 'a l\'origine des 3 defects de blocage'),
(1482, 'obsolete a cause 42170'),
(1483, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n18/02/16 : Prépararion de la RETRO du SPRINT10'),
(1484, 'Validé par le client le 10/032016'),
(1485, 'Validé par le client le 10/03/2016'),
(1486, 'Validé par le client 10/3/03/2016'),
(1487, 'Validé par le client 10/3/03/2016'),
(1488, 'Validé par le client 10/3/03/2016'),
(1489, 'Validé par le client 10/3/03/2016'),
(1490, 'Validé par le client 10/3/03/2016'),
(1491, 'Validé par le client 10/3/03/2016'),
(1492, 'Validé par le client 10/3/03/2016'),
(1493, 'Validé par le client 10/3/03/2016'),
(1494, 'Validé par le client 10/3/03/2016'),
(1495, 'Validé par le client 10/3/03/2016'),
(1496, 'Validé par le client 10/3/03/2016'),
(1497, 'Validé par le client 10/3/03/2016'),
(1498, 'Validé par le client 10/3/03/2016'),
(1499, 'Validé par le client 10/3/03/2016'),
(1500, 'Validé par le client 10/3/03/2016'),
(1501, 'Validé par le client 10/3/03/2016'),
(1502, 'Validé par le client 10/3/03/2016'),
(1503, 'Validé par le client 10/3/03/2016'),
(1504, 'Validé par le client 10/3/03/2016'),
(1505, 'Validé par le client 10/3/03/2016'),
(1506, 'Validé par le client 10/3/03/2016'),
(1507, 'Validé par le client 10/3/03/2016'),
(1508, 'murese	\r\n10/03/16 11:16\r\n\r\nSi la BU génére une BusinessException, est-elle systématiquement loggée ? Je viens de faire le test sur l\'ajout d\'une valeur dans le module d\'admin avec un code qui existe déjà. L\'erreur a correctement été affichée à l\'écran mais le log ne contient rien.\r\nC\'est normal ?'),
(1509, 'mariagean	\r\n10/03/16 11:58\r\n\r\n[ Modifier ][ Supprimer ]	Les logs n\'apparaissaient pas bien que ce soit pour les Technical et les Business. Nous allons corriger ce point.'),
(1510, 'Réouvert par le client le 10/03/2016'),
(1511, 'Nous n\'arrivons pas à reproduire le ticket. \r\n\r\nEs-tu sûr d\'avoir rafraîchi le cache dans ton navigateur ?'),
(1512, 'Ok pour la propriété \"extension\", cependant il ne faut pas que l\'extension apparaisse dans le nom du fichier.'),
(1513, 'Corrigé. Nous nous en sommes rendu compte pendant l\'intégration des contributions internes et nous avons fait la modification.\r\n\r\nSera livré dans la prochaine version.'),
(1514, 'Non cloturé pour le moment'),
(1515, 'Non cloturé pour le moment'),
(1516, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n24/02/2016 : Réunion de lancement offre bailleurs\r\n31/03/2016 : Préparation du COPIL OFFRE BAILLEURS\r\n05/04/2016: COPIL à la CNAF.\r\n07/04/16 : Présentation des propositions de l\'architecture '),
(1517, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n22/03/16 : Recrutement de Antoni MALKI et d\'Alfred DIBANGA\r\n26/03/16 : Entretien avec Jean Marie DESSERTAUX'),
(1518, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n25/02/16 : Entretien avec Julien AICART (entretien + objectifs)\r\n02/03/16 : Entretien avec Steven HOR (entretien + objectifs)'),
(1519, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n23/02/2016 : Préparation du BC.\r\n26/02/16 : Point avec Otmane (recadrage).\r\n01/03/16 : Revue des maquette de l\'Atelier 1. \r\n03/03/16:Suivi interne & météo\r\n09/03/16: Renforcement du test avec l\'arrivée de Dennis et de Clément en renfort, préparation d\'un planning de transfert de compétences avec Kevin et Lorène. \r\n10/03/16 : Préparation sortie de projet d\'Otmane (planning de transfert de compétences avec Sébastien)\r\n11/03/16 : Préparation du COPIL du 16/03.\r\n16/03/16 : suivi interne\r\n15/03/16: suivi de l\'offre bailleurs et communication client (avec Christophe)'),
(1520, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n29/02/16 : Point Hebdo avec Christophe.\r\n02/03/16 : Atelier n°1 OFFRE BAILLEURS\r\n11/03/16 : Réunion plan de charges 2016\r\n17/03/16 : Présentation méthode agile & implication DQT'),
(1521, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n'),
(1522, 'Sera pris en charge par les ASF'),
(1523, 'Non reproduit'),
(1524, 'Non reproduit'),
(1526, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n08/03 Relivraison MAJ fichier Livhbt-ap\r\n10/03 Support equipe integration\r\n11/03 Batch migration LDAP integration\r\n14/03 Batch migration LDAP validation + questions'),
(1527, 'Erreur des ASF.'),
(1528, 'Support:\r\n\r\nenvoi du package de Contrib.Navigation v1.0.2 sur Ideopeage'),
(1529, 'Doublon'),
(1530, 'transformé en anomalie \r\ndevis 10.7\r\n\r\nTâche SPEC	2,6\r\nTâche DEV	4,3\r\nProvision Qualif + autre	2,6\r\nProvision Pilotage	1,3\n\n'),
(1531, 'Devis 	26,3\r\nTâche SPEC	6,3\r\nTâche DEV	10,5\r\nProvision Qualif + autre	6,3\r\nProvision Pilotage	3,2\r\n'),
(1532, 'Devis 	26,3\r\nTâche SPEC	6,3\r\nTâche DEV	10,5\r\nProvision Qualif + autre	6,3\r\nProvision Pilotage	3,2\r\n'),
(1533, 'Devis 	26,3\r\nTâche SPEC	6,3\r\nTâche DEV	10,5\r\nProvision Qualif + autre	6,3\r\nProvision Pilotage	3,2\r\n'),
(1534, 'Devis 	5,4\r\nTâche SPEC	1,3\r\nTâche DEV	2,2\r\nProvision Qualif + autre	1,3\r\nProvision Pilotage	0,6\n\n'),
(1535, 'Devis 	9,9\r\nTâche SPEC	2,4\r\nTâche DEV	4,0\r\nProvision Qualif + autre	2,4\r\nProvision Pilotage	1,2\r\n'),
(1536, 'Devis 	9,9\r\nTâche SPEC	2,4\r\nTâche DEV	4,0\r\nProvision Qualif + autre	2,4\r\nProvision Pilotage	1,2\r\n'),
(1537, '--- 42109 Complement au devis du 40997 --- \r\n\r\nDevis 	20,9\r\nTâche SPEC	5,0\r\nTâche DEV	8,4  (4.4 + 4)\r\nProvision Qualif + autre	5,0\r\nProvision Pilotage	2,5\r\n\r\n'),
(1538, '--- 42109 Complement au devis du 40997 --- \r\n\r\nDevis 	20,9\r\nTâche SPEC	5,0\r\nTâche DEV	8,4\r\nProvision Qualif + autre	5,0\r\nProvision Pilotage	2,5\r\n\r\n'),
(1539, '--- 42109 Complement au devis du 40997 --- \r\n\r\nDevis 	20,9\r\nTâche SPEC	5,0\r\nTâche DEV	8,4\r\nProvision Qualif + autre	5,0\r\nProvision Pilotage	2,5\r\n'),
(1540, 'Devis 	9\r\nTâche SPEC	2,2\r\nTâche DEV	3,6\r\nProvision Qualif + autre	2,2\r\nProvision Pilotage	1,1\r\n'),
(1541, 'Devis 	9\r\nTâche SPEC	2,2\r\nTâche DEV	3,6\r\nProvision Qualif + autre	2,2\r\nProvision Pilotage	1,1\r\n'),
(1542, ''),
(1543, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n9/3 : réunion présentation fonctionnelle à Denis Bottasso et Clément Berthier, point QLWeb'),
(1545, '- Rubriques Dossier, Droits et Paiements débugguées et opérationnelles\r\n\r\n- Rubrique Ressources : en cours de débugage\r\n\r\n- Documentation :\r\n     • Doc Architecture projet à relire\r\n     • Doc Guide développeur TestNG à relire + mettre diagramme d\'état (meilleure définition)\r\n     • Mettre les différents docs et tutos dans le dossier partagé'),
(1546, 'bug non reproduit'),
(1547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57166 (Do not remove this line) -->\n'),
(1991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57167 (Do not remove this line) -->\n'),
(1548, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nAttention, prevenir qu\'il y a une autre ano a lever'),
(1552, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1550, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nlisting de tous les vieux tickets SNOW qui auraient du être fermés + réunion avec la CP SI pour décider de leur sort'),
(1551, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTicketing SNOW'),
(1553, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1554, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1555, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1556, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1557, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1558, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1559, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1560, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1561, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1562, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1563, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1564, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1565, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1566, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1567, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1568, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1569, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1570, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1571, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1572, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1573, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1574, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1575, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1576, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1577, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1578, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1579, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1580, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1581, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1582, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1583, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1584, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1585, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1586, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1587, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1588, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1589, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1590, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1591, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1592, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1593, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1594, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1595, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1596, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1597, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1598, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1599, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1600, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1601, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1602, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1603, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1604, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1605, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1606, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1607, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1608, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1609, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1610, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1611, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1612, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1613, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1614, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1615, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1616, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1617, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1618, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1619, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1620, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1621, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1622, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1623, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1624, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1625, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1626, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1627, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1628, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1629, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1630, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1631, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1632, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1633, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1634, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1635, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1636, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1637, 'v1.0 Traitement Niveau 2 livré le 22/03/2016'),
(1638, 'Livré'),
(1639, 'Livré'),
(1640, 'Livré'),
(1641, 'Livré'),
(1642, 'Livré'),
(1643, 'Livré'),
(1644, 'Livré'),
(1645, 'Livré'),
(1646, 'Livré'),
(1647, 'Livré'),
(1648, 'Livré'),
(1649, 'Livré'),
(1650, 'Livré'),
(1651, 'Livré'),
(1652, 'Livré'),
(1653, 'Livré'),
(1654, 'Livré'),
(1655, 'Livré'),
(1656, 'Livré'),
(1657, 'Livré'),
(1658, 'Livré'),
(1659, 'Livré'),
(1660, 'Livré'),
(1661, 'Livré'),
(1662, 'Livré'),
(1663, 'Livré'),
(1664, 'Livré'),
(1665, 'Livré'),
(1666, 'Livré'),
(1667, 'Livré'),
(1668, 'Livré'),
(1669, 'Livré'),
(1670, 'Livré'),
(1671, 'Livré'),
(1672, 'Livré'),
(1673, 'Livré'),
(1674, 'Livré'),
(1675, 'Livré'),
(1676, 'Livré'),
(1677, 'Livré'),
(1678, 'Livré'),
(1679, 'Livré'),
(1680, 'Livré'),
(1681, 'Livré'),
(1682, 'Livré'),
(1683, 'Livré'),
(1684, 'Livré'),
(1685, 'Livré'),
(1686, 'Livré'),
(1687, 'Livré'),
(1688, 'Livré'),
(1689, 'Livré'),
(1690, 'Livré'),
(1691, 'Livré'),
(1692, 'Livré'),
(1693, 'Livré'),
(1694, 'Report des modifications suivantes :\r\n\r\n- Suppression de la rustine\r\n- Ajout des constantes dans IConstants.java (pca-servicesdad-ejb)\r\n- Ajout des attributs dans BeanRsaType3.java (pca-servicesdad-ejb)\r\n- Ajout de la méthode getMappedRsaPPAPPI dans RSAMapping.java (pca-services-ejb)\r\n- Ajout du traitement pour le profil T15 dans RSATraitement.java (pca-services-ejb)\r\n- Ajout du traitement métier CafPro RsaType3PPAPPI.java (pca-services-ejb)\r\n- Ajout des attributs dans RSA.java (pca-services-definition)\r\n- Modification des traitements de RsaType3.java (pca-services-ejb)\n\n'),
(1695, 'Il n\'y a pas de problème.\r\nMauvaise interprétation du test.\r\n'),
(1696, 'Fermé par le client'),
(1697, 'Fermé par le client'),
(1698, 'Fermé par le client'),
(1699, 'Fermé par le client'),
(1700, 'Fermé par le client'),
(1701, 'Fermé par le client'),
(1702, 'Fermé par le client'),
(1703, 'Fermé par le client'),
(1704, 'Fermé par le client'),
(1705, 'Fermé par le client'),
(1706, 'Fermé par le client'),
(1707, 'Fermé par le client'),
(1708, 'Fermé par le client'),
(1709, 'Fermé par le client'),
(1710, 'Fermé par le client'),
(1711, 'Fermé par le client'),
(1712, 'Fermé par le client'),
(1713, 'Fermé par le client'),
(1714, 'Fermé par le client'),
(1715, 'Fermé par le client'),
(1716, 'Fermé par le client'),
(1717, 'Fermé par le client'),
(1718, 'Fermé par le client'),
(1719, 'Ok fonctionne dans le cas où le compte utilisateur est désactivé, mais ne fonctionne pas dans le cas où on a retiré l\'entité affectée à l\'utilisateur'),
(1720, 'Fermé par le client'),
(1721, 'Fermé par le client'),
(1722, 'Fermé par le client'),
(1723, 'Fermé par le client'),
(1724, 'Fermé par le client'),
(1725, 'Fermé par le client'),
(1726, 'annulé, remplacé par D42091'),
(1727, 'annulé remplacé par D42091'),
(1728, 'Annulé car remplacé par D42091'),
(1729, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nGrosses difficultées pour créer le Service Builder sur PCA. Toujours pas trouvé de solution. J\'ai consulté Romain, Steven, Ottman, et Julien. Steven va tenter de son coté car il a moins de difficultés sur sa VM.'),
(1730, '...'),
(1731, 'Il faut voir avec eux lorsqu\'on appel AssociationDossierPJ quel évènement nous souhaitons.'),
(1732, 'Commit 1806'),
(1733, '- Rubrique Ressources terminée\r\n\r\n- Vérification du parallélisme : Firefox + IE + Chrome => OK\r\n\r\n- Vérification du fonctionnement sous IE:\r\n     • Ajout du paramètre \"browser\" dans la méthode Authentification.connexionCafPro() afin de gérer le message \"Le certificat de sécurité...\" => fait\r\n    • Problème d\'utilisation de la méthode Wait.waitPageToLoad() qui utilise un Javascript executor'),
(1734, '- Vérification du fonctionnement sous IE:\r\n    • Problème d\'utilisation de la méthode findElements() avec IE => impossible d\'utiliser les tests (KO)'),
(1735, 'Mise à jour des rôles par le Control Panel :\r\npour chaque profil, il faut ajouter l\'action action.VOIR_PROFIL_TX du portlet Consultation Donnees Allocataires.\r\n\r\nNB :  T4 et T5 utilisent la même action action.VOIR_PROFIL_T4'),
(1736, 'Commit 1807'),
(1737, 'commit 1810'),
(1738, 'Suppression du NIR dans les rubriques & pour tous les profils:\r\n\r\nPeu importe le profil, la vue est la même. Les tests seront donc faits avec le profil T1.\r\n\r\n- Famille :\r\n    • list.xhtml : 3 données -> commenté & testé => OK\r\n	• synthese.xhtml : 2 données -> commenté & testé => OK\r\n	\r\n- Rsa :\r\n    • list_situationDossier.xhtml : 1 donnée -> commenté & testé => OK\r\n	\r\n- Adresse, Allocataire, Courriers, Creances, Dossier, Droits, Famille Enfants, Logement, Paiements, QfCaf, QfCnaf, Ressources,  Synthèses:\r\n    • aucune donnée donc aucune modification'),
(1739, 'Commit 1811'),
(1740, 'Commit 1803'),
(1741, 'commit 1826'),
(1742, 'Commit 1836');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(1743, 'Le scénario c\'est \r\n- aller sur un dossier en vue étendue\r\n- dans l\'onglet \"dossier\" dans descriptif réclamation il y a icone pins. Quand on clique sur celui-ci, une pop-up s\'ouvre. Il faut faire la même synchro que la popup de la liste des dossiers d\'un client.\r\nIl faut donc faire attention à vos cas de tests:\r\n- naviguer sur la page principale s\r\nur différents dossier ayant différents types d\'entrants (manuel mail, courrier, télécopie, badge) -> il faut bien vérifier que la synchro ce fait bien sur la popup quelque soit le type d\'entrant, il faut donc bien tous les tester.\r\n- contrairement à la popup de la liste des dossiers il n\'est pas possible d\'avoir un dossier sans entrant.\r\n- si avec la page principale on part sur le portefeuille / accueil / recherche avancée -> tout comme la popup de la liste des dossiers d\'un client il faut afficher qu\'aucun dossier n\'est sélectionné.'),
(1744, 'Dans Vue étendue, onglet \"Contact\" > Ajouter un contact\r\nle bouton \"Valider\" doit toujours être dégrisé. Il ne faut plus faire de contrôle javascript. Par contre, quand le client appuie sur le bouton \"Valider\", il faut que les contrôles soit fait côté serveur (à vérifier si cela a bien été fait).'),
(1745, 'Dans la vue étendue, quand on appuie sur le bouton \"Valider la préqualification\", le WS nous retourne une liste de dossiers OK et une liste de dossiers KO. Quand notre dossier est KO, nous affichons un message d\'erreur générique au lieu d\'afficher le message retourné par le WS qui n\'est pas une exception). Sébastien veut bien nous le traitions pour la vue étendue comme une exception de type business. Mais attention cette partie est commune avec la traitement de masse et la vue simple et nous ne voulons pas que le comportement change pour les 2 autres cas. Donc il va bien falloir tester cette correction là car il peut y avoir des effets de bord.'),
(1746, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n29/03/2016 - 30/03/2016 Livrable 250.415002\r\n31/03/2016 Livrable 250.415003'),
(1747, 'Commit 1843'),
(1748, 'Commit 1852'),
(1749, 'Le problème venait de la BU.\r\nElle renvoyait une liste de dossiers (pour le portefeuille) dans un ordre puis une liste d\'identifiant des dossiers (pour la navigation) dans un autre ordre.'),
(1750, 'Commit 1853 (correction effet de bord)\n\n'),
(1751, 'commit 1854'),
(1752, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nCME le 18/03/16 : Préparation de le RETRO & RETRO'),
(1753, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n29/03/16 : accueil d\'Anasse et Antoni, présentation du contexte projet, présentation des outils ATOS.\r\n30/03/16 : Logistique (env de dev CNAF, pc, écran, micro, installation de l\'env technique)'),
(1754, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n01/03/2016 : Transfert de compétences pilotage avec Kevin, BC T2 fonctionnelle, CODEV TT.\r\n07/08/2016 : Suivi des tâches CODEV et attribution des anomalies de RECETTE, de validation interne, attribution de taches pour Sarah.'),
(1755, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n08/04/16 : [Recette Portail Part] Point d’avancement #3 au 08/04 & [CDAP] Préparation Formation CDR (WEBEX)'),
(1756, 'abandon par Michèle BALLESTRA (voir mail)'),
(1757, 'abandon par Michèle BALLESTRA (voir mail)'),
(1758, 'abandon par Michèle BALLESTRA (voir mail)'),
(1759, 'abandon par Michèle BALLESTRA (voir mail)'),
(1760, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n05/04 : Support transverse et architecture PCA\r\n06/04 : Résolution du probleme d\'env de Saïd\r\n07/04 : Mise en place de l\'env de Sarah'),
(1761, 'La compatibilité IE est terminée :\r\n- modification / adaptattion des ids qui ne doivent pas contenir d\'underscore si utilisation de la méthode findElements() avec un By.className() (nom de la classe)\r\n- vérification du javascriptExecutor : si ça plante, faut relancer le test.\r\n\r\nRefactor de tout le projet pca-tests :\r\n- suppression des méthodes inutiles\r\n- vérification de tous les commentaires\r\n- renommage de packages\r\n\r\nRAF : -> estimé 1,5 jour\r\n- créer le doc concernant JazzRTC (merge et commit)\r\n- créer le doc pour résoudre le message \"symbole introuvable\" lors d\'un clean install\r\n- ajouter l\'explication de la classe Period dans le document \"Guide developpeur testng\"\r\n- créer un snippet pour avoir le squelette d\'une classe de test et documenter son utilisation (+ recherche comment l\'exporter?)\n\n'),
(1762, 'La partie déconnexion doit être gérée au niveau de la brique ISU'),
(1763, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nlors de la suppression d\'un bulletin d\'adhésion, il est normal de le voir encore dans la liste. le comportement normal est l\'update de la date de clôture de la dite suppression.'),
(1764, 'Pour info : \r\n- Il est en effet exact que l\'on puisse pas entrer une date de signature postérieure à J. Le correctif a été apporté.\r\n\r\n- Concernant la date d\'ouverture elle peut quant à elle postérieure à J. C\'est donc un comportement normal.'),
(1765, 'Commits 1803 et 1853'),
(1766, 'commit 1873'),
(1767, 'Pour info :\r\n\r\n-Le nombre d\'administrateurs et de vérificateurs sont bien définitifs.'),
(1768, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nProduction du document Architecture_TDB_PCA--draft.docx suite réunion avec Sebastien\r\nProduction du document aperçu_schema_tables_tdb.xlsx'),
(1769, 'totototot'),
(1770, 'titititti'),
(1771, 'partie A : RAF = 2/3\r\npartie B : RAF = 2/3\r\npartie C : RAF = 2/3\r\npartie D : RAF = 2/3\r\npartie E : RAF = 2/3'),
(1772, '1927\r\n1924\r\n1886\n\n'),
(1774, 'Problème :\r\n- tous les droits affichent \"Montant inférieur...\"\r\n- lorsqu\'un droit est inférieur au seuil, il apparaît comme suspendu\r\n\r\nRaison :\r\n- prestation.montantSeuilVersement est égal au montant sous Cafpro (un nombre ou \"*\")\r\n- prestation.suspension est égal aux commentaires de droite du tableau sous Cafpro (\"*Droit suspendu\" ou \"Montant inférieur au seuil de versement\")\r\n- les vérifications sur prestation.montantSeuilVersement et prestation.suspension sont faits sur \"!= null\"\r\n\r\nCorrection (dans la rubrique Droits: list.xhtml & synthese.xhtml):\r\n- value=\" #{prestation.montantSeuilVersement == \'*\' ? \'X\' : \'\'} \"\r\n- value=\" #{prestation.suspension == \'*Droit suspendu\' ? \'X\' : \'\'} \"\r\n\r\nTest :\r\n- 33001 (Juin 2016) : affiche Montant inférieur = \"X\" et Suspension = \"\"\r\n- 3877 (Décembre 2015) : affiche Montant inférieur = \"X\" et Suspension = \"\"\r\n- 640 (Juin 2016) : affiche Montant inférieur = \"\" et Suspension = \"\"\r\n- 640 (Décembre 2015) : affiche Montant inférieur = \"\" et Suspension = \"X\"\r\n- 578251(Novembre 2015) : affiche Montant inférieur = \"\" et Suspension = \"X\"\n\n'),
(1775, 'Sprint 12:\r\n- Analyse du 10072 (questionner Jérémy car non reproduit)\r\n- Analyse, correction et validation du 10071\r\n- Analyse, correction et validation du 9881\r\n- Analyse, correction et validation du 9577\r\n- Analyse, correction et validation du 9575\n\n'),
(1776, 'Pour l\'instant, non reproduit en environnement de dév. Romain a corrigé un bug sur cette rubrique qui consistait en un décalage de mois, cela a peut-être corrigé le problème pour l\'année au passage.\r\n\r\nVoir avec Jérémy\n\n'),
(1777, 'Commits 1803 et 1853'),
(1778, 'commit 1888'),
(1779, 'Il faudrait changer le message ainsi que la date (???). D\'après Christophe, il s\'agit d\'une évolution donc voir avec Kévin.'),
(1780, 'En ayant tester avec un panel d\'allocataires nous avons constater que nous étions cohérents avec les données remonter par la base CafPro.\r\nDe ce fait les ressources concernant des annuités différentes sont cohérentes sur CDAP.\r\n\r\nIl se peut donc que le problème pour l\'allocataire mentionné dans ce bug provienne directement des données transmises depuis la base Crystal.'),
(1782, 'Il manque donc un espace entre le \"à\" et le mois.\r\nDans pca-portlet/src/main/webapp/views/courriers/synthese.xhtml, ce sous-titre apparaît avec la ligne suivante:\r\nvalue=\"#{i18n.courriers_title} #{i18n.from} #{courriersMB.getDateWithMonthInLetter(courriersMB.minPeriod)} #{i18n.to}#{courriersMB.getDateWithMonthInLetter(courriersMB.maxPeriod)}\"\r\n\r\nOn constate qu\'il manque en effet un espace entre \"#{i18n.to}\" et le \"#\" suivant.\r\n\r\nCorrection : ajout de l\'espace entre les deux.\r\nTests : 2323, 3111'),
(1783, '- Si l\'on regarde les caractéristiques des user ils ont certes les mêmes les permissions mais pas les mêmes rôles. \r\nDonc le comportement est normal.\n\n'),
(1784, 'Vu avec Kevin :\r\n- gérer l\'affichage sous CDAP des messages suivants au lieu de \"aucune donnée disponible\" :\r\n     • Quittance présente : \"Quittance présente\"\r\n     • Quittance absente : \"Quittance absente\"\r\n\r\n- Vérifier qu\'il n\'y ait pas de bug sous Cafpro avec les quittances, auquel cas remonter le bug à Nicolas Mercier.\r\n-> demande d\'allocataire ayant une quittance et un n\'en ayant pas en cours'),
(1785, 'Attente des accès à la recette pour pouvoir regarder comme il faut les étapes de reproduction.'),
(1786, 'Doc utilisation de JazzRTC terminé et déposé dans le dossier alternants.\r\nDoc message \"Symbole introuvable\" terminé et déposé dans le dossier alternants.'),
(1787, 'Infos :\r\n\r\nLe bouton est nommé \"Vérifier la convention\" pour l\'homogénéité'),
(1788, 'Bug non reproduit.\r\n\r\n'),
(1789, 'Commits 1926 et 1928\n\n'),
(1790, 'Commit 1926'),
(1791, 'Livraison du 8 avril 2016'),
(1792, 'Livraison du 15 avril 2016'),
(1793, 'Livraison du 15 avril 2016'),
(1794, 'Livraison du 15 avril 2016'),
(1795, 'Livraison du 15 avril 2016'),
(1796, 'Livraison du 15 avril 2016'),
(1797, 'On doit avoir « Choisir… » au lieu de « Consulter » : il faut ajouter en premier label le « Choisir… » (comme sur la page Consulter les caf habilitées) et enlever le Consulter qui ne faisait rien (de plus, il y a déjà un item \"Détails de la convention\" permettant de la visualiser)\r\n\r\nDans pha-portlet/src/main/webapp/views/convention/list.xhtml :\r\n\r\n     • Ce qu’on a :\r\n<f:selectItem itemLabel=\"#{i18n.consult}\" itemValue=\"#{null}\" noSelectionOption=\"true\" />\r\n<f:selectItems />\r\n\r\n     • Ce qu’on devrait avoir:\r\n<f:selectItem itemLabel=\"#{i18n.organism_select}\" itemValue=\"\" noSelectionOption=\"true\" />\r\n<f:selectItems />'),
(1798, 'En fait, il faut que lors de l\'édition, on ait également la liste déroulante des partenaires disponibles comme lors de la création du groupe.\r\n\r\nDonc, en fait on va faire la même liste dans les deux cas sauf que on aura \"Sélectionner un partenaire\" en premier pour la création et le partenaire déjà sélectionné dans le cas de l\'édition :\r\n\r\n<p:column styleClass=\"largeur220\">\r\n<h:selectOneMenu styleClass=\"largeur220\" value=\"#{customGroupMB.currentGroupDto.habilitationsResponsible}\"\r\n	converter=\"partnerConverter\">\r\n<f:selectItem rendered=\"#{not customGroupMB.editGroup}\"\r\nitemLabel=\"#{i18n.convention_select_partner}\"\r\nitemValue=\"#{null}\" noSelectionOption=\"true\"\r\nitemDisabled=\"true\" />\r\n<f:selectItem rendered=\"#{customGroupMB.editGroup}\"\r\nitemLabel=\"#{customGroupMB.currentGroupDto.habilitationsResponsible.firstName} #{customGroupMB.currentGroupDto.habilitationsResponsible.lastName}\"\r\nitemValue=\"#{customGroupMB.currentGroupDto.habilitationsResponsible.identifier},#{customGroupMB.currentGroupDto.habilitationsResponsible.lastName},#{customGroupMB.currentGroupDto.habilitationsResponsible.firstName},#{customGroupMB.currentGroupDto.habilitationsResponsible.email},#{customGroupMB.currentGroupDto.habilitationsResponsible.role},#{customGroupMB.currentGroupDto.habilitationsResponsible.phone},#{customGroupMB.currentGroupDto.habilitationsResponsible.openDate},#{customGroupMB.currentGroupDto.habilitationsResponsible.closeDate},#{customGroupMB.currentGroupDto.habilitationsResponsible.mobility},#{customGroupMB.currentGroupDto.habilitationsResponsible.status},#{customGroupMB.currentGroupDto.habilitationsResponsible.corporateName}\" \r\nnoSelectionOption=\"true\"\r\nitemDisabled=\"true\" />\r\n<f:selectItems value=\"#{customGroupMB.agentPartnerList}\" var=\"partner\"\r\nitemLabel=\"#{partner.firstName} #{partner.lastName}\"\r\nitemValue=\"#{partner.identifier},#{partner.lastName},#{partner.firstName},#{partner.email},#{partner.role},#{partner.phone},#{partner.openDate},#{partner.closeDate},#{partner.mobility},#{partner.status},#{partner.corporateName}\" />\r\n</h:selectOneMenu>\r\n</p:column>\r\n\r\n\r\n'),
(1799, 'Reste à dégager le \"Sélectionner un partenaire\" dans le cas de l\'édition.\r\n\r\nEn fait, il faut simplement conserver le selectItem \"Choisir un partenaire\" et enlever celui qui doit apparaître en premier (déjà enregistré) car vient de la liste dessous.\r\n\r\n							<h:selectOneMenu styleClass=\"largeur220\"\r\n								value=\"#{customGroupMB.currentGroupDto.habilitationsResponsible}\"\r\n								converter=\"partnerConverter\">\r\n								<f:selectItem rendered=\"#{not customGroupMB.editGroup}\"\r\n									itemLabel=\"#{i18n.convention_select_partner}\"\r\n									itemValue=\"#{null}\" noSelectionOption=\"true\"\r\n									itemDisabled=\"true\" />\r\n								<f:selectItems value=\"#{customGroupMB.agentPartnerList}\"\r\n									var=\"partner\"\r\n									itemLabel=\"#{partner.firstName} #{partner.lastName}\"\r\n									itemValue=\"#{partner.identifier},#{partner.lastName},#{partner.firstName},#{partner.email},#{partner.role},#{partner.phone},#{partner.openDate},#{partner.closeDate},#{partner.mobility},#{partner.status},#{partner.corporateName}\" />\r\n							</h:selectOneMenu>\n\n'),
(1800, 'refusé real'),
(1801, 'Le label statut contient bien une valeur (chemin Consulter les conventions > éditer une convention > modifier un bulletin) (voir PJ)'),
(1802, '• IHM \"Formaliser une convention\", il ne doit avoir aucune mention d\'avenants : aucun avenant n\'apparaît (voir PJ) => OK\r\n• Détails d\'une convention / Vérifier une convention : le libellé \"Joindre un avenant\" et le bouton \"Visualiser\" ne doivent pas apparaître => demander confirmation à Kevin\r\n• Détails des conventions : le bouton \"Voir les avenants n\'apparaît pas\" => demander confirmation à Kevin'),
(1803, 'En fait, c\'est la même page edit ou create. Ce qui change, c\'est le titre et le bouton. (voir PJ)\r\n=> du coup, il faut ajouter des rendered en fonction d\'un boolean, comme pour la modification de groupe'),
(1804, 'On ne vérifie pas toutes les IHM, mais on corrige ce bug.\r\n\r\nLa validation a été rajoutée dans le PartnerMB, dans la méthode validate() avec affichage du message d\'erreur pré-existant.\r\nLe numéro saisi est soit:\r\n- type français (accepte les points, espaces et tirets): 0[1-9]([-. ]?[0-9]{2}){4}\r\n- type international (+CCC.NNNNNNNNNNxEEEE : code pays et point obligatoire): \\\\+[0-9]{1,3}\\\\.[0-9]{4,14}(?:x.+)?\r\n\r\nEst-ce qu\'on les fait dans d\'autres vues?\n\n'),
(1867, 'Pas un bug c\'est une évolution. Voir avec Kevin pour proposition. '),
(1868, 'test'),
(1869, 'Vérifier si il n\'y a pas un bug dans CAFPRO.'),
(1805, 'Fermé par le client le 18/04'),
(1806, 'Fermé par le client le 18/04'),
(1807, 'Fermé par le client le 18/04'),
(1808, 'Fermé par le client le 18/04'),
(1809, 'Fermé par le client le 18/04'),
(1810, 'Fermé par le client le 18/04'),
(1811, 'Fermé par le client le 11/04'),
(1812, 'Fermé par le client le 11/04'),
(1813, 'Fermé par le client le 11/04\r\n'),
(1814, 'Fermé par le client le 11/04'),
(1815, 'Fermé par le client le 11/04'),
(1816, 'Devis et SAS envoyé le 18/04'),
(1817, 'Fermé par le client le 11/04'),
(1818, 'remplacé par 42564'),
(1819, '2.5 jours supplémentaires ont été nécessaire afin d\'installer l\'ensemble des outils requis.'),
(1820, 'Rejeté c\'est une évolution'),
(1821, 'Mise à jour des adresses mail par batch (LDAP + BOSE)'),
(1822, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n12/04 : Point avec les Caf de validation et de recette.\r\n13/04 : Traitement des demande extranet sur les problèmes de mot de passe.\r\n14/04 et 15/04 : Point avec Thierry Guiot sur les problèmes de mot de passe.\r\n18/04 : support auprès de Thierry sur l\'incident INC0252094'),
(1823, 'FSA a envoyer'),
(1824, '1947'),
(1825, 'Commit 1951'),
(1826, 'Commit 1952\r\nCommit 1981 (correction bug trouvé en cherchant les effets de bord)\r\nCommit 1986\n\n'),
(1828, 'Le workflow décrit est le bon et correspond aux demandes fonctionnelles'),
(1829, 'Fonctionnement normal et en respect des demandes fonctionnelles'),
(1830, 'Suivant les demandes fonctionnelles le comportement attendu et actuel est : si une convention est invalidée et n\'a jamais été validée -> écran de formalisation, si une convention est invalidée et a déjà était au moins une fois validée -> écran de modification'),
(1831, '• 1ère partie\r\nChemin d\'accès: connexion en admin Caf\r\nListe des conventions > Groupes > Autres actions > ajouter l\'utilisateur au groupe\r\n\r\n\"Sélectionner un partenaire\" s\'applique aussi lors du choix du responsable d\'habilitation pour la création / édition du groupe.\r\n\r\nVu avec Kevin: on change donc la traduction\r\n=> convention_select_partner = Sélectionner un utilisateur\r\n\r\n• 2ème partie\r\nIl s\'agit d\'une demande d\'évolution. À voir comment la représenter : multi-select? bascule droite-gauche? cases à cocher\r\n=> ticket à part'),
(1832, 'Raison : Le calendrier est différent des autres, car dans ce cas il est nécessaire de saisir une période et non une date précise.'),
(1833, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n- Une portlet bienvenue est là pour indiquer l\'utilisateur connecté et qui est accessible depuis le menu\r\n- Concernant le rôle cela fera partie d\'une évolution dans le sens ou une page dédiée au profil du user sera mis en place'),
(1834, 'Vu avec Jérémy: on passe le champ en label au lieu du selectOne'),
(1835, 'Dans pca-portlet/src/main/webapp/views/ressources/list.xhtml :\r\nle problème vient qu\'on obtient un ressourcesMB.getMontant qui est soit un nombre soit \"Non Connu\". Dans le premier cas seulement, on ajoutera \"€\" à la suite.\r\n\r\n---- Opération à faire deux fois, sur le tableau des ressources trimestrielles RSA pour - de 4 personnes et + de 4 personnes ----\r\n\r\n<h:outputText\r\n     value=\"#{ressourcesMB.getMontant(ressource.libelle, column,\'rsa\')} #{ ressourcesMB.getMontant(ressource.libelle, column,\'rsa\') != \'Non Connu\' ? i18n.euro : \'\'}\"\r\n     rendered=\"#{not empty ressourcesMB.getMontant(ressource.libelle, column,\'rsa\')}\" />\r\n'),
(1836, '1947'),
(1837, 'Scope Bdoc'),
(1838, 'Scope Bdoc'),
(1839, 'Fermé par le client le 18/04'),
(1840, 'Les accès à la base cristal ne fonctionne pas.'),
(1841, 'Il faut pouvoir préqualifier en Vue etendue'),
(1842, 'Comme nous avons vu en comité de pilotage, nous allons griser le bouton \"Télécharger\" tant que le type n\'a pas été choisi.\r\n\r\nRG:\r\nA l\'ouverture de la pop-in, le bouton \"Télécharger\" est grisé.\r\nQuand l\'utilisateur choisit un type, le bouton doit se dégriser.\r\nDès que l\'utilisateur revient sur le choix \"Aucun\" dans la liste du type, le bouton doit se griser.'),
(1843, 'Commit 1987'),
(1844, 'La BU ne cloturera pas le dossier lors de l’appel de AssociationDossierPJ mais lors de l’update du dossier auquel on ajoute un indicateur comme quoi on vient de faire une association de dossier.\r\nEn attente de la mise à jour de la BU.'),
(1845, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nréunion avec l\'équipe PAie'),
(1846, 'Commit 1991'),
(1847, 'Les organismes où les status s\'affichent mal, font l\'objet de vieilles données. Le bug n\'est plus présent lorsque l\'on créé de nouveaux organismes '),
(1848, 'Commit 1995'),
(1849, 'Concernant la suppression du bulletin d\'adhésion le fonctionnement actuel et logique est :\r\n- Enregistrer les modifications de la convention\r\n- la convention passe à vérifier\r\n- lorsque l\'on retourne sur la page de modification d\'une convention, l\'enregistrement a bien été enregistrer et le statut du bulletin d\'adhésion est bien passer à \"CLOTURER\" (on ne supprime donc pas la ligne).'),
(1850, '1997'),
(1851, '1990'),
(1852, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTest note de CRA'),
(1853, 'Livraison du 22 avril 2016'),
(1854, 'Livraison du 22 avril 2016'),
(1855, 'Livraison du 22 avril 2016'),
(1856, 'Livraison du 22 avril 2016'),
(1857, 'Livraison du 22 avril 2016'),
(1858, 'Livraison du 22 avril 2016'),
(1859, 'Livraison du 22 avril 2016'),
(1860, 'Livraison du 22 avril 2016'),
(1861, 'Livraison du 22 avril 2016'),
(1862, 'Livraison du 22 avril 2016'),
(1863, 'Il faut que l\'on soit automatiquement redirigé sur la page d\'accueil (si cookie présent) ou sur la page de choix du contexte. Comme ça se fait certaine fois.'),
(1864, 'Test note de CRA 2'),
(1865, 'Information type partenaire de l\'organisme:\r\n\r\n- Supprimer l’attribut disabled du selectOne pour le remplacer par un rendered (ne s’affiche que pour l’opération Ajout d’un organisme)\r\n- Mettre un label (outputText) qui affiche le type partenaire pour l’organisme dans le cas d’une édition du partenaire ou de la visualisation de celui-ci.\r\n'),
(1866, 'Commit 2014'),
(1870, '2021'),
(1871, '2040'),
(1872, '2035'),
(1873, 'Commit 2051'),
(1874, 'Commit 2054'),
(1875, 'Livraison du 29 avril 2016'),
(1876, 'Livraison du 29 avril 2016'),
(1877, 'Livraison du 29 avril 2016'),
(1878, 'Livraison du 29 avril 2016'),
(1879, 'Livraison du 29 avril 2016'),
(1880, 'Livraison du 29 avril 2016'),
(1881, 'Livraison du 29 avril 2016'),
(1883, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPlanification et suivi des équipes.\r\n15/04: Revue des maquette avec Willy'),
(1884, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n21/04 : Préparation du SPRINT#12.\r\n22/04 : REVIEW du SPRINT#12.'),
(1885, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nAtelier de validation  #3 (12 Avr 10:15 CEDT)\r\nAtelier de conception #4 (19 Avr 10:00 CEDT)\r\nAtelier #5 - Réunion de travail (26 Avr 10:00 CEDT)\r\nRETRO du SPRINT#0 le 29/04/16\r\nRéunion avec experts CRISTAL/TIERSI #1 (27 Avr 14:00 CEDT)\r\nOffre bailleurs - 1er COPIL DSI (28 Avr 14:00 CEDT)'),
(1886, 'Depuis le bug 9893 nous demandant d\'enlever les données NIR vis-à-vis de la CNIL, les champs ne sont plus visibles dans cette rubrique.\r\nCela a été résolu dans une version supérieure à celle testée, par conséquent le problème décrit ne se pose pas.'),
(1887, 'Le problème de l\'ordre s\'est posé avec les titres de séjours (bug 7815).\r\nIl en est ressorti que l\'ordre fixé alors pour les titres de séjours est arbitraire et ne tient pas compte de qui est l\'allocataire en titre.\r\nL\'idée étant de rester iso par rapport à Cafpro.\r\n\r\nEst-ce le même cas ici?'),
(1888, 'Peut-être en relation avec le 10574.'),
(1889, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ni18N '),
(1890, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nshr\r\n25/04/16 Problème ajout categorie sous jazz\r\n26/04/16 Installation jazz + support IDE'),
(1891, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n29/04/2015: grève & perturbation réseaux & mise en place du tableau agile & travail en local sur l\'internalisation'),
(1892, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n28/04/2015 Correction pour la retro'),
(1893, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n28/04/2016 Correction pour la retro'),
(1894, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ndécalages à cause des navigateurs à fixer'),
(1895, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nSplit css et refactoring'),
(1896, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRéunion 09/05/2016 : revue maquette avec W. Chataignier\r\nRéunion 09/05/2016 :  présentation batch de traitement des fichiers xml en sortie de QL Web'),
(1897, 'Il faut ajouter une validation sur le champ \"Description\".\r\n'),
(1898, 'Dans le fichier pha-portlet/src/main/webapp/views/convention/edit.xhtml, il faut donc ajouter une validation sur le nombre maximum de caractères sur le champ « Description » avec l’attribut maxlength\r\n\r\n<p:column>\r\n<p:inputText id=\"convention_description\"\r\nmaxlength=\"75\"\r\nvalue=\"#{conventionMB.instance.description}\"\r\ndisabled=\"#{conventionMB.verifyConvention or conventionMB.detailConvention}\" />\r\n</p:column>\r\n\r\nL’utilisateur est directement force de mettre maximum 75 caractères.'),
(2769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nCorrection de quelques plans de test crée sur IF. Jeu de quelques plans d\'automatisations dans le cadre des exemples de formation. '),
(1900, 'Le symbole \"€\"  dans le tableau \"En cours\" : on ajoute la condition d\'affichage \"non égal à Non connu\":\r\nrendered=\"#{not empty qFCnafMB.QFactuel.mtQFCNAF and qFCnafMB.QFactuel.mtQFCNAF ne \'Non connu\'}\" />\r\n\r\nLe symbole \"€\" sur la ligne \"Montant des ressources\": on ajoute un opérateur ternaire pour l\'affichage du symbole €:\r\n<h:outputText\r\n	value=\" #{qFCnafMB.annee} #{i18n.qf_cnaf_labelTotalRessource} #{qFCnafMB.QFactuel.mtAssietteQFCNAF} #{ qFCnafMB.QFactuel.mtAssietteQFCNAF eq ‘non disponible’ ? ‘’ : i18n.euro}\" />\r\n\r\nTests :\r\n- allocataire affichant \"Non connu\" et \"Aucune donnée disponible\" : 602318\r\n- allocataire affichant des montants : 976001'),
(1901, 'Depuis le bug 9893 nous demandant d\'enlever les données NIR vis-à-vis de la CNIL, les champs ne sont plus visibles dans cette rubrique.\r\nCela a été résolu dans une version supérieure à celle testée, par conséquent le problème décrit ne se pose pas. '),
(1902, 'Erreur du cahier de recette'),
(1903, 'Pour l\'instant, on peut effectivement modifier tous les champs d\'un Administrateur. De même qu\'on peut aussi le clôturer, la caf n\'ayant plus d\'administrateur dans ce cas.\r\n\r\nQue doit-on faire?'),
(1904, 'Rien à modifier car ce n\'est pas dans les spécifications.'),
(1905, 'Oui, il faut que cet enfant apparaisse. Le problème est la reproduction, il nous faut le même allocataire pour vérifier.\r\n\r\n- demander à cnedi93 s\'ils peuvent copier-coller l\'allocataire n°4387869 de la base de test 760 sur la base 227 (même si le n° d\'allocataire change)\r\n- tester sous Cafpro s\'il y a déjà un bug ou non\r\n- voir si on reproduit sous CDAP'),
(1906, 'Commit 2151 et 2195\n\n'),
(1907, 'Commit 2152'),
(1908, 'Problème : on ne peut consulter cet allocataire que sur la base 760.\r\nD\'après Kevin, il faut exactement le même allocataire afin de vérifier si les informations sont correctement remontées dans Cafpro. Si c\'est le cas, corriger sous CDAP.\r\nMais il faut quand même un allocataire de test identique pour pouvoir vérifier.\r\n\r\nInformations:\r\n- Couple en vie maritale\r\n- Enfant placé\r\n- Autre personne à charge (enfant de madame?)'),
(1909, 'Doublon du 10788 déjà corrigé'),
(1923, 'Problème à reproduire et corriger. Le signalement est en cohérence avec les spécifications.\r\n\r\nLa règle est la suivante (p65 des SFD CafPro) :\r\nSi dérogation sur âge / résidence / nationalité / activité présente, alors afficher : \"Dérogation aux conditions d’éligibilité au Rsa : oui\"\r\nSinon, ne rien afficher'),
(1910, 'Ceci est un problème dans le cahier de recettes. La colonne \"nombre de parts est donc un comportement normal'),
(1911, 'Entre le moment de la rédaction du cas de test et de l\'exécution de celui-ci, la date qui devait s\'afficher a dépassé le seuil règlementaire de 24 mois, et ne s\'affiche donc plus. Ce comportement est normal, une mise à jour du cas de test doit être envisagée'),
(1912, 'Vu avec Kevin : oui, le responsable des tests doit être en premier, même si pas iso avec Cafpro'),
(1913, 'Erreur cahier de recette'),
(1919, 'Mise à jour du cahier de recette '),
(1915, 'La présence de la quittance est indépendante du fait qu\'un loyer soit renseigné.\r\nIl faut donc simplement retourner le bon libellé :\r\n- En cas de présence de quittance : « Quittance présente »\r\n- En cas d’absence : « Quittance absente » \r\n\r\nVoir avec Jérémy / Romain pour s\'assurer du bon retour en cas de présence / absence: quelle donnée est retournée?\r\n'),
(1916, 'Erreur cahier de recette\r\n'),
(1917, 'Cahier de test à mettre à jour car le libellé signalé est conforme ; cf. signalement précédent.'),
(1918, 'Cahier de test à mettre à jour, la disposition constatée sur l\'application est correcte.'),
(1920, 'Ajout des phrases demandées par Kevin dans le i18n:\r\nlogement_quittance_presente=Quittance présente\r\nlogement_quittance_absente=Quittance absente\r\n\r\nModification des vues (list et synthese) pour Logement:\r\nvalue=\"#{not empty logementMB.logement.quittanceLoyer ? i18n.logement_quittance_presente : i18n.logement_quittance_absente}\" \r\n\r\nOn ne peut vérifier qu\'avec des allocataires sans quittance et on part du principe que le backend fait bien le traitement.'),
(1921, 'Sprint 13:\r\n- Analyse et résolution du 10565\r\n- Analyse, correction et validation du 10788\r\n- Analyse, correction et validation du 10065\r\n- Analyse, correction et validation du 10579\r\n\r\n- Ajout des Mantis depuis SRC\r\n\r\n- Création du JD PCA sprint 13\n\n'),
(1924, 'Que dit le dossier NIMS ?\r\nSi ce n\'est pas une anomalie, mise à jour du cahier de recette à prévoir.'),
(1925, 'A analyser, signalement en cohérence avec les SFD CafPro.\r\n\r\nLa règle des SFD CafPro (p53) est la suivante :\r\nSi DFSUR (renseignée & différente de 31/12/9999) et DFSUR >= date du jour, afficher \"Surendettement en cours\"\r\nsinon \"Pas de surendettement en cours\"'),
(1926, 'Cahier de test à mettre à jour, comportement normal'),
(1927, 'Comportement conforme aux spécifications. Seul un libellé concernant l\'activité est retourné, aucune date n\'est sensée être affichée.'),
(1928, 'Difficultés :\r\nOn n’a pas compris tout de suite la cause de ces erreurs et on a perdu du temps a débugger et tenter des solutions. Finalement on a trouvé la parade : ajouter des Remote Services (des webservices REST en fait) aux Local Service existant, afin que les données transitent entre PHA et PCA non plus a travers des objets DTO, mais en JSON.\r\nLe JSON une fois récupéré coté PCA peut être casté en DTO sans problème de ClassCastException.\r\n\r\nÇa a été un gros point bloquant pendant plusieurs jours et je n’y serais pas arrivé sans l’expertise de Julien. Jusqu’à présent tous les portlets de TdB étaient déjà dans PHA, ils n’avaient donc aucun problème. C’était la première fois qu’on appelait les services de PHA depuis PCA.'),
(1929, 'Livraison du 27 mai 2016'),
(1930, 'Livraison du 27 mai 2016'),
(1931, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nmerge et installation proxy'),
(1932, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n+ mis en place des dto refactor\r\n+semaine 23-05 : nouveau refactor lorraine et steven'),
(1933, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n+ refactor lorraine\r\nlundi 17 : rajouté 30 min grève, travail sur les steps, 40 min daily standup, ajout de la règle métier\r\n+semaine 23-05 : nouveau refactor lorraine et steven'),
(1934, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n+ refactor lorraine\r\n+semaine 23-05 : nouveau refactor lorraine et steven'),
(1935, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n+semaine 23-05 : nouveau refactor lorraine et steven'),
(1936, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n11/05:i18n et mapping des données  des formulaires aux Beans\r\n12/05:refonte graphique partie commune aux écrans\r\n13/05:refonte graphique formulaire gestion logement\r\n17/05:refonte graphique formulaire gestion logement'),
(1937, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ni18n et mapping des données  des formulaires aux Beans\r\n18/05:refonte graphique'),
(1938, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ni18n et mapping des données  des formulaires aux Beans\r\n18/05: refonte formulaire'),
(1939, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n20/05: navigation déclaration d\'un changement'),
(1940, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n23/05:refonte graphique\r\n26/05:refonte graphique'),
(1941, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n13/05:présentation d\'architecture avec sébastien\r\n03/05 : Atelier#5\r\n04/05:Revue des maquettes avec Willy Chataignier.\r\n24/05:COPIL OFRRE BAILLEURS à PARIS'),
(1993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57187 (Do not remove this line) -->\nRéunion présentation PUMA'),
(1995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57189 (Do not remove this line) -->\nEtude ORACLE SOAP\r\n\r\nhttps://community.oracle.com/thread/2460619?tstart=0'),
(1988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57161 (Do not remove this line) -->\n'),
(1992, 'Installation poste de développement et environnement.'),
(1955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56958 (Do not remove this line) -->\n'),
(1954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56957 (Do not remove this line) -->\n'),
(1990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57165 (Do not remove this line) -->\n'),
(1957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56963 (Do not remove this line) -->\n'),
(1996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57190 (Do not remove this line) -->\n'),
(1959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56965 (Do not remove this line) -->\n'),
(1961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56967 (Do not remove this line) -->\nRéunion relecture/remarques SFD PUMA Bascule en assuré gratuit\r\nAvec : Lindsay, Jean-Marc, Bernard et Renaud.'),
(1962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56968 (Do not remove this line) -->\n'),
(1963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56969 (Do not remove this line) -->\n'),
(1964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56971 (Do not remove this line) -->\n'),
(1965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56972 (Do not remove this line) -->\n'),
(1966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56975 (Do not remove this line) -->\n'),
(1967, 'annulé RSI'),
(3878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nMEP SPDV \r\nInstallation WSPDV 3.0.1 et SPDV 3.0.0 sur INT4. \r\nAttelier Stream Sport avec Phlippe Amerio de 14H à 17H30'),
(1972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57002 (Do not remove this line) -->\n'),
(1971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57001 (Do not remove this line) -->\n'),
(1973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57021 (Do not remove this line) -->\nEchanges MOE/TMA sur les SFD Bascule'),
(1974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57024 (Do not remove this line) -->\n'),
(1975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57025 (Do not remove this line) -->\n'),
(1976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57049 (Do not remove this line) -->\n'),
(1977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57050 (Do not remove this line) -->\n'),
(1978, 'Ajout dans le portlet de Bienvenue, l\'information de redirection pour modifier son mot de passe'),
(1979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57103 (Do not remove this line) -->\n'),
(1980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57104 (Do not remove this line) -->\n'),
(1982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57106 (Do not remove this line) -->\n'),
(1983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57107 (Do not remove this line) -->\n'),
(2013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-06  (Do not remove this line) -->\netat des lieux FLV USR, attribution des tâches pour les services non couvert + prise en compte des services FALCON GDO FalconPUTFinancialBankAccounts, FalconSessionLostPassword, FalconSessionLostPasswordToken,FalconGETFinancialBankAccounts'),
(1985, 'L\'ordre est fixé en dur à Madame puis Monsieur (allocataire.madame et allocataire.monsieur).\r\nPour résoudre, on utilise donc allocataire.responsable (forcément existant) et allocataire.conjoint (si existant).\r\n\r\nIl faut penser à ajouter des opérateurs ternaires pour :\r\n- \"née Nom_jeune_fille le date\" / \"né le date\"\r\n- décédée / décédé\r\n- salariée / salarié\r\n- statut de grossesse (pour une dame c\'est mieux)'),
(1986, 'Sprint 14:\r\n- Logs :\r\n     • ApplicationInstanceApplicationRole\r\n     • TdbLastConnection\r\n\r\n- Bugs :\r\n     • 12194 : Ajout du libellé \"Bulletins d\'adhésion\" au-dessus du tableau dans convention\r\n     • 11967 : Ajout du libellé \"Sous-groupe de \" dans le cas d\'une création de groupe\r\n     • 12249 : IHM Modifier l\'appartenance au groupe (depuis Users ou Groupes)\r\n\r\n- Recherche :\r\n     • Authentification simple lors de l\'utilisation de WS\r\n     • Etude du document fourni par Sébastien\r\n\r\nMise à jour le base CRISTAL 227 pour le backend (problème IOException)\n\n'),
(2007, 'Ceci n\'est pas un bug et est conforme avec CAFPRO\r\nEn effet la différence de montant se fait par une autre prestation mais non remonté sur caf pro non plus.'),
(1997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57209 (Do not remove this line) -->\n'),
(1998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57210 (Do not remove this line) -->\n'),
(1999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57211 (Do not remove this line) -->\n'),
(2000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57212 (Do not remove this line) -->\n'),
(2001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 57213 (Do not remove this line) -->\n'),
(2003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-01  (Do not remove this line) -->\nCharge initiale pas encore estimée'),
(2004, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n03/05 : Point recette #5\r\n26/05 : Point recette #7'),
(2005, 'La clôture n\'est effective qu\'une fois la convention re-validée'),
(2006, 'En attente recalcification par le RSI'),
(2008, 'specs : spécifier date de livraison (17 juin au + tard).\r\ndev a livrer le 29/07\r\n'),
(2009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nAtelier revue de SFD\r\nLIndsay, Jean-Marc, Renaud'),
(2010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nécriture du test pour le services FalconPUTLimitsGamesBgo'),
(2012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nEchanges sur FDR MOE'),
(2014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nConstruction du tableau de bord FALCON_AUTO_tableau de bord'),
(2015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nComplétion du tableau de bord +  gestion des prérequis de test pour la prise de jeux spo gain perben + unicité IBAN'),
(2016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nestimation de charge + attribution des tâches pour la phase \"cas nominal\" des services couvert par des tests TO BE REVIEW ou TODO'),
(2017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nComplétion du tableau de bord +  gestion des prérequis de test pour la prise de jeux spo gain perben + unicité IBAN'),
(2018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-07  (Do not remove this line) -->\nImplémentation création joueurs dans ALM'),
(2019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nImplémentation création joueurs dans ALM'),
(2020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nImplémentation création joueurs dans ALM'),
(2746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nRUN2 _Préparation/organisation/consignes Acceptance de la livraison L3'),
(2747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nsynchronisation qualif/recette'),
(2755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nTests manuels _ cas de tests \"Batch\" '),
(2740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nRUN2 _Exécution des tests manuels \r\nsupport sur les premiers constats sur mobile '),
(2744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nRUN2 _INT2 _validation des nouveaux cas de tests LABO'),
(2742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRUN2  _réécriture  des tests LABO _ support'),
(2743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRUN2 _INT8 _Préparation campagne d\'acceptance d\'une livraison sur INT8 + com. '),
(2949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nPassage des tests: (APPLICATIONS/Referentiel_Portail_Drupal) - 05 - RECETTE TECHNIQUE > PTAB_2.10.4 > Test d\'acceptance > 03 - Palier du 25/07 (INT1) > 01 - Mobile iOS / 02 - Mobile_Android / 03 - Tablette_iOS'),
(2736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nRUN2 _ Point de synchro avant tirage'),
(2737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nRUN2 _Exécution des tests manuels '),
(2738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nRUN2 _Exécution des tests manuels '),
(2739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nAcceptance d\'une livraison sur INT8 avant  installation sur INT2'),
(2031, 'Un jour a sofia pour aide integration/git sur les projets ex-SixFours'),
(2032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\n- La saisie des 8 (0,5j) et 9 juin (1,5j) qui avait été faite sur le poste \"analyse\" a été réaffectée le 15 juin sur le poste \"documentation\".\r\n- Le 15/05 : Estimation de la charge initiale pour la rétro-documentation: 10,5 j\r\n- 3 personnes imputent sur cette tâche (Lindsay, Aurore et Martine). La ^rétro-documentation n\'avait pas été estimée à la création de la tâche.\r\n  => Calcul du reste à faire au 8 juin au soir : 5 (Reste à faire saisi par Aurore/Lindsay) + 10,5 (estimation initiale pour la rétro-documentation) - 0,5 (temps passé sur la rétro-documentation) = 15 j'),
(2033, 'Vu avec Kevin : il faut en fait la mention \"Sous-groupe de :\" entre la case à cocher et la liste déroulante'),
(2034, 'Modification : Suppression de la sélection dans le lazy table après la mise à jour des objets concernés.\r\n\r\nEt non pas avant, ce qui entraînait le bug. '),
(2035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nRevue du planning générale de livraison des spécifications'),
(2036, 'Problème de données pas propres. Les agents ont un statut = null donc ils n\'apparaissent pas dans les listes déroulantes.'),
(2037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nVoir plus car il faut préparer une évolution pour traiter le cas 7 et 8 sur les tables autres que BENF_COMPL_02'),
(2038, 'La vue \"modification d\'appartenance à un groupe\"  est lié à la vue de modification d\'un partenaire. Le partenaire était chargé en session et pas vidé ni remis à null lorsque l\'on quittait la vue \"Gérer l\'appartenance au groupe\". Le partenaire était donc considéré comme sélectionné lorsque l\'on passait à la gestion des appartenances du groupe.'),
(2039, 'Mise en place du composant primefaces \"defaultCommand\" pour sélection par défaut du bouton assigné à un envois du formulaire. Correctif également apporté sur l\'édition d\'une CAF.'),
(2040, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nretro\r\n\r\nshr 31/05 reunion architecture technique\r\nshr 01/06 review\r\nshr 02/06 retro\r\nshr 03/06 reunion taches techniques\r\nshr 08/06 reunion framework CNAF\r\nshr 10/06 reunion US\r\nshr 15/06 reunion TIERSI'),
(2041, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nbouchon'),
(2042, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nrefonte'),
(2044, 'Vu avec Kevin: \r\nà l\'endroit du bouton \"Voir les avenants\", on met le label \"Bulletins d\'adhésion\" comme sur la maquette.\r\nOn décale le bouton en bout de ligne sur la droite.'),
(2045, '------ Correction -----\r\n\r\nFichier : customGroup > edit.xhtml\r\nEtapes:\r\n     - on ajoute le itemLabel \"Sous-groupe de : \" sur le selectBooleanCheckbox\r\n     - on aligne bien la case à cocher et le label\r\n     - on utilise i18n pour le label\r\n\r\nsoit:\r\nitemLable=\"{i18n.group_sub_group}\"'),
(2046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nréunion PUMA - Echanges MOA/MOE/TMA sur SFD\r\nLindsay, Abecassis Bernard ; Serret Véronique; Taurel Sybille, Katsoulakis Pascal, Le poittevin dacquay Renaud, Pommereul Mireille, Lienhardt Eric'),
(2047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nRéunion pour le DEX\r\nLindsay,Alain,Achraf'),
(2048, ''),
(2049, 'Réunion pour le DEX\r\nLindsay,Alain,Achraf'),
(2053, 'Devrait etre supprimé'),
(2054, 'Mise à jour de la méthode de vérification de l’existence d\'une convention pour un organisme qui prenait en compte la caf de l\'utilisateur courant. Filtre de convention uniquement sur l\'organisme.'),
(2055, 'Ajout d\'un filtre sur les groupes dans le cas d\'un responsable d\'habilitation, on récupère uniquement les groupes dont l\'utilisateur courant est responsable d\'habilitation ou ceux qui sont des sous groupes des groupes visibles.'),
(2056, 'chargeMgr a mettre à jour en fct devis'),
(2057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nRéunion sur les études TP'),
(2058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nRéunion d\'échanges sur les FDR et sur l\'étude de la radiation rétroactive'),
(2059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nRéunion de coordination fonctionnelle solution SCR/TAIGA'),
(2060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nPrise de compétence Portail Tablette'),
(2063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nPrise de compétence Portail Tablette'),
(2062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nFDL013497'),
(2066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nPrise de compétence Portail Tablette'),
(2065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nPrise de compétence Portail Tablette'),
(2067, 'Annulé par la MOE'),
(2068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nQualification application Illiko INT4'),
(2069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nSuite qualification Illiko INT4\r\nEnvrec Stream'),
(2070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nSupport installation diamond appli native,\r\nModOp Diamond\r\nTest ALM\r\nCompilation Ios / Android (Diamond)'),
(2071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nTest Alm: Hybride'),
(2072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nTest Alm : Hybride\r\nPrise de connaissance des MOD : - MOD008948 (LOTO)\r\n- MOD008949 (EUML)'),
(2073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nTest Alm : Hybride\r\nFormation Mathieu Appli Mobile'),
(2074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nQualification application VITAN\r\nCompilation LaOla (IOS et Android)'),
(2075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nPV de qualif application VITAN\r\nSupport Michael qualif site INT2\r\nCompilation VITAN PROD'),
(2076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nTest ALM - Euromillons Site\r\nDocumentation création provisionning profile'),
(2077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nTest ALM\r\nDocumentation automatisation\r\nTest Appli Loti INT4\r\nInvestigation jeu illiko INT4'),
(2078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nSupport application VITAN / Euromillions'),
(2079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nPrise de compétence App native sport : réunion projet Olympia. Réception, installation, compilation et demande de soumission de la version 4.0.024 iOS\r\n(+mise à jour catalogue)'),
(2080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\r\nPrise de compétence App native sport : Qualification technique de la version 4.0.024 iOS (rédaction ANO040430)\n\n'),
(2081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nPrise de compétence App native sport : recherche des fonctionnalités Olympia.\r\nQualification technique de la version 4.0.024 iOS'),
(2082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nSport 2000 : qualification de la version app native parionssport iOS 4.0.024'),
(2083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nSport 2000 : qualification de la version iOS 4.0.024'),
(2084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nPTAB : Support MEP 2.0.2 retour en arrière'),
(2085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nSport : ParionsWeb compile et qualification version 4.0.012 iOS + réunion Olympia'),
(2086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nPTAB : Support'),
(2087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nSport 2000 : compil, qualif\r\nPortails : support\r\nOlympia : Etudes'),
(2088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nSport 2000 : compil, qualif\r\nPortails : support\r\nOlympia : Etudes'),
(2089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nécriture du test pour le services FalconPUTLimitsGamesBgo + FalconGETLimitsGamesBgo'),
(2090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nécriture du test pour le services FalconPUTLimitsGamesBgoTime');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(2091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nAutres : normalisation de la description des tests + mise à disposition de la procédure de déploiement des vues\r\n+ création du template TEMPLATE FALCON USR '),
(2092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nréunion hebdomadaire automatisation + mise à jour du fichier '),
(2093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nécriture du test pour le services FalconGETLimitsGamesBgoTime  + FalconPOSTAccountPin'),
(2094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nécriture du test pour le service FalconPUTAccountPin\r\n'),
(2678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nAction : plan d\'action évolution\r\nLivrable : CDS AUTO_DashboardDigishopA_nonReg,CDS AUTO_DashboardDigishopU_nonReg,CDS AUTO_DashboardDigishopI_nonReg,'),
(2677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nécriture du test pour le services FalconPUTAccountPhone et FalconGETAccountPhone'),
(2097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\ncouverture du service FalconGETFinancialDepositLimits + FalconGETFinancialDepositWallet'),
(2098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nCompte rendu d avancement + bilan des points bloquants'),
(2099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\n couverture du service FalconGETFinancialWithdrawThreshold + FalconGETFinancialHistory'),
(2100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\ncouverture du service FalconPUTFinancialDepositLimitsWeek + FalconGETFinancialDepositTransactionid'),
(2588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nVSR GDO : - Support HIA (pb de cache suite à MEP MIG) - Deploiement + tests 2.1.5_wcpte 2.0.59_auth'),
(5616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nSupport Diamond : promulagation Euromillions + Joker+\\n- Deploiement + tests'),
(2299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nVSR GDO - Pb canal adhésion (support HIA)  + OLYMPIA - Atelier n°2 compréhension '),
(2106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nDIAMOND - Support pb de promulgation'),
(2107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nStream I&Q compte : doc confluence\r\nOlympia : atelier de compréhension'),
(2108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nSupport Diamond : promulagation Euromillions + Joker+\r\n- Deploiement + tests'),
(2109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nStream I&Q compte : impact Olympia'),
(2110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nEnrichissement cas de tests MUG (ajout de tous les tests de services) '),
(2111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nRecherche bug affichage Joker+ sur INT2'),
(2112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nEnrichissement cas de tests MAG (ajout de tous les tests de services)'),
(2113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nPresto / Motors : Montée en compétence Automatisation MOTORS\r\nPrésentation catalogue de tests'),
(2114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nPresto / Motors : Montée en compétence Automatisation MOTORS'),
(2115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nPresto / Motors : Montée en compétence Automatisation MOTORS'),
(2116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nMaj confluence pour le stream PHP'),
(2117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nRéception des nouvelles livraisons pour le RUN'),
(2118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\n4 installations RUN GDO:\r\n2.3.0_edwan FDL013488\r\n2.2.0_hasard FDL013489\r\n2.1.0_mobi FDL013492\r\n2.3.0_mapi FDL013483'),
(2119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nSupport anomalies sur les livraisons du RUN'),
(2120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\n2 installations Diamond:\r\n3.0.3_edwan FDL013501\r\n3.0.4_edwan FDL013514'),
(2121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\r\nSupport sur le pb de promulgation, nouvelle livraison prévue Diamond\n\n'),
(2122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nSupport sur le pb d\'affichage des jeux illiko suite déploiement RUN'),
(2123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nSupport sur pb d\'affichage de Joker+ sur INT2'),
(2129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nRéunion sur stream PHP avec CPSI'),
(2125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\n7 reproductions INT2 (Diamond)\r\n2.2.18-p5_edwan FDL013355\r\n3.0.1_edwan FDL012940\r\n3.0.2_edwan FDL013168\r\n3.0.2_hasard FDL013425\r\n3.1.1_hasard FDL013426\r\n2.0.35_mig FDL013307\r\n2.0.306_wof FDL013379\r\n2.0.59_auth FDL013412\r\n2.1.5_wcpte FDL013406'),
(2134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nStream PHP: Maj confluence'),
(2130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\n2 installations INT2 (Diamond)\r\n3.0.2_hasard FDL013425\r\n3.1.1_hasard FDL013426'),
(2131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\n8 reproductions INT2 (Diamond)\r\n2.0.59_auth FDL013412\r\n3.0.2_hasard FDL013425\r\n3.1.1_hasard FDL013426\r\n2.0.35_mig FDL013307\r\n3.0.0_mobi FDL012673\r\n2.1.5_wcpte FDL013406\r\n2.0.306_wof FDL013379\r\n3.0.0_mrcd FDL012935'),
(2132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nRécupération de documents pour le Stream PHP'),
(2133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nSupport anomalies sur Diamond'),
(2135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nFormation Portail Tablette avec Véronique BAUDIN'),
(2136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nSupport sur les problèmes de promulgation sur Diamond'),
(2142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nRéunion sur ano DIAMOND avec CPSI'),
(2141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nIndustrialisation : Maj de install.cfg pour SPDV suite MEP'),
(2143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nSupport sur la promulgation DIAMOND'),
(2144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nIndustrialisation : Maj du script de broadcast.ksh pour l\'utilisation du $trace=1'),
(2145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nImplémentation création joueurs dans ALM'),
(2146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nImplémentation création joueurs dans ALM'),
(2147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nImplémentation création joueurs dans ALM'),
(2148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nImplémentation création joueurs dans ALM'),
(2149, 'Label ajouté et décalage du bouton'),
(2150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nRéunion rattachement RNIAM\r\nLindsay et Lamine'),
(2152, 'Erreur liée à l\'utilisation de la méthode hasUserRole de la classe RoleLocalServiceUtil pour le rôle responsable d\'habilitation dans :\r\n- la méthode isOnlyHabilitationResponsable de la classe PartnerLocalServiceImpl\r\n- la méthode getCustomGroups de la classe CustomGroupLocalServiceImpl\n\n'),
(2153, 'Pré coche de l\'option sous groupe, filtre des sous groupes en fonction du rôle de l\'utilisateur & message d\'erreur dans le cas ou l\'option sous groupe est cochée avec donc obligation de sélectionner un sous groupe pour un responsable d\'habilitation.'),
(2154, 'Ajout d\'un filtre isOnlyHabilitationResponsable excluant la suppression des rôles d\'un administrateur partenaire.'),
(2156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nSupport application VITAN\r\nSuite Test ALM Application Hybride Euromilliions / Loto\r\nQualif Appli Loto INT2 pour prépration test V.Roux'),
(2221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nRéunion Stream - Application Maitre Qualification DIAMOND INT8 (Site / Mobile)'),
(2239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nProcessus- tests d\'acceptance'),
(2159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nSupport ANO040690 pb d\'affichage des vignettes'),
(2160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nCréation MOD009709 pour traitement des promulgations avec debug'),
(2218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nSupport Anomalies'),
(2213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nAnalyse d\'anomalie sur les composants mig-mag-mug'),
(2215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nAnalyse d\'anomalie sur les composants mig-mag-mug'),
(2210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nSupport : problème affichage résultats Euromillions (suite à promulgation sur INT2)'),
(2211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nÉdition / vérification cas de tests Composants du compte'),
(2222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nFormation Illiko WEB Mise a jour catalogues'),
(2167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nCréation et support ANO040652 - pb de promulgation rapport Euromillions Europeen'),
(2169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\n1 installation DIAMOND correction pb de promulgation\r\n3.0.6_edwan	FDL013537'),
(2170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nSupport pour affichage de la grille de rapport des gagnants Euromillions non présent\r\nProblème de contribution sur INT2 corrigé'),
(2173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nSupport ANO040644 sur l\'affichage des jeux Illiko dans l\'environnement VSR.\r\nMaj manuelle sur le front pour débloquer la recette.'),
(2174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nSupport stream PHP, appel mapi en échec pour les jeux Illiko\r\nMaj des contributions sur environnement VSR INT4'),
(2175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nCréation et support ANO040719 impossibilité de lancer appli native Illiko sur INT4\r\nProblème lié à la livraison 2.3.0_mapi, pb identifié et transmis aux dev'),
(2176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nCréation et support ANO040732 MAPI en erreur lorsque la ocntribution est absente dans la rubrique Configuration.\r\nProblème identifié et informations fournies aux dev'),
(2207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 1970-01-01  (Do not remove this line) -->\nPrésentation Tests Auto '),
(2208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nPrésentation Tests Auto '),
(2209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nInstallation MAG 2.0.62 (GDO - VSR) sur INT4 + tests (demande Mael)'),
(4082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nRéunion présentation des API'),
(3316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\npassage de plusieurs APP, il y a une erreur sur les revenus > 10 millions qui empêche l\'APP de se terminer (058) et de faire l\'analyse de ce defect.'),
(3587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(2196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nmaintenance des tests Fiancial deposit et withdraw post campagne de test FALCON GDO 2.1.20 + bilan du suivi de test CDS AUTO_Dashboard falcon usr non reg.xlsx + (création des requêtes ALM pour extraction) '),
(2214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nBilan du catalogue USR FALCON 2.1 en vu de définir le reste à faire et la charge associé + création des \"squelettes\" de test pour le reste à faire pour mapping avec exigence pour traçabilté'),
(2195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\ncréation des \"squelettes\" de test pour le reste à faire pour mapping avec exigence pour traçabilité + analyse de la campagne FALCON GDO 2.1.20 '),
(2223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\ninstallation,compilation,execution,qualification,préparation soumission'),
(2192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nRetour CP, dépilage des messages sur le sport.'),
(2197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\ndéfinition des besoins ALM pour présentation réunion du lendemain/ suivi de la rédaction du catalogue de test usr falcon 2.1.0, gestion des cas d erreur du catalogue de test usr falcon 2.1.0'),
(2198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nAUTOMATISATION MOTORS Execution cas de tests DUEL DE CARTES V2 \r\n'),
(2199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nAUTOMATISATION MOTORS Execution cas de tests DUEL DE CARTES V2 \r\n'),
(2200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nAUTOMATISATION MOTORS Execution cas de tests DUEL DE CARTES V2 '),
(2201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nAUTOMATISATION MOTORS Execution cas de tests DUEL DE CARTES V2 '),
(2202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nAUTOMATISATION MOTORS Execution cas de tests DUEL DE CARTES V2'),
(2219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nQualif Illiko INT4, Qualif VITAN PROD Documentation MIFY Réunion'),
(2217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nSupport Anomalies'),
(2224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\ninstallation,compilation,execution,qualification,préparation soumission'),
(2225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\ninstallation,compilation,execution,qualification,préparation soumission'),
(2226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nVie des environnements'),
(2227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\ninstallation,compilation,execution,qualification,préparation soumission'),
(2228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\ninstallation,compilation,execution,qualification,préparation soumission'),
(2242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nVie des environnements'),
(2253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nVie des environnements'),
(2241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nVie des environnements'),
(2244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nVie des environnements'),
(2233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\n Point sur le defect 4105\r\nLecunff Sylvie, Dreyer Nathalie, Le bihan Sylvie, Verdat Lindsay, Charvier Brice'),
(2236, 'Mise à jour de la fonction de vérification de date avec une vérification sur la date de clôture dans CustomGroupMB & mise en place de la gestion des events sur la sélection du groupe parent'),
(2235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\n3 Réunions:\r\nPoint téléphonique avec Lindsay pour prendre le relai pendant son absence (gérer les livraisons PUMA, les priorités ISE, etc...)\r\nRéunion avec Alain, Sanaa et Martine -> SPOC,MAJOC (42497 et 41937)\r\nRéunion avec Bernard A. -> Etat des lieux PUMA (defect, SFD, FDR, gestion du planning)'),
(2240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nPrise de connaissance olympia'),
(2252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nVie des environnements'),
(2250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nVie des environnements'),
(2251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nVie des environnements'),
(2255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-01  (Do not remove this line) -->\nKICK OFF STEAM SPORT (PARIS)'),
(2256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-02  (Do not remove this line) -->\nFormation pour SPDV, prise connaissance sur les applications NATIVE SPORT'),
(2260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-06  (Do not remove this line) -->\nInstallation SPDV 2.0.29 sur l\'INT4 et l\'INT2 + Campagne ALM SPDV 2.0.29 et Edwan 2.2.18-p5 + Réunion SPORT2000 + Campagne ALM SPDV 2.0.29 et Edwan 2.2.18-p5'),
(2259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-03  (Do not remove this line) -->\nInstallation Edwan 2.2.18-p5 sur INT4 puis INT2'),
(2261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-07  (Do not remove this line) -->\nSuite Campagne ALM SPDV 2.0.29 et Edwan 2.2.18-p5 + Rédaction Modop 2.2.18-p5 et SPDV 2.0.029 + Réunion préparation MEP SPORT2000'),
(2262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nInvestigation sur le problème des paris / combi-bonus terminés sur le mobile + Réunion Olympia avec le client+ Réunion préparation Pré-MEP SPORT2000'),
(2263, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\netude possibilte de Webservice'),
(2264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nSuite investigation problème paris / combi-bonus --> problème fixé + Qualification SPORT2000 + passage de connaissances '),
(2265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nQualification SPORT2000 + passage de connaissances '),
(3312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nAnalyse des problèmes d\'installation du jeu duel de carte v2 sur les environements INT3 et INT8'),
(3310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\ndebut developpement partie 1  (combo)'),
(3309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nDocumentation IF et autres !!!!!!!!'),
(2270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nVSR GDO :\r\n- Deploiement + tests\r\n2.0.306_wof\r\n2.0.311_wof'),
(2271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nVSR GDO :\r\nFormation deploiement boutiques\r\nDéploiement boutique DigiA 2.0.14 + DigiI 2.0.9'),
(2589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nRAF  peu fiable, car on ne maitrise pas l\'architecture NSDK pour cette partie'),
(2273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nVSR GDO'),
(2421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\naction : organisation du planning prévisionnel hebdomadaire \r\nlivrable : planning hebdomadaire maj sous CodevTT'),
(2423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\naction : analyse des campagnes de tests FALCON USR GDO 2.1.22 et FALCON_USR_2.1.22\r\nlivrable : ATS-Test Report_USR_2.1.21.pdf '),
(2431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nAction : gestion des exigences boutik : re organnisation des \"folder\", mapping avec les tests + mise en place des requêtes ALM de suivi des exigences + mise en place des fichiers d\'avancement \r\nLivrable : CDS-AUTO_digishopA_acceptance requirement coverage,  CDS-AUTO_digishopI_acceptance requirement coverage,  CDS-AUTO_digishopU_acceptance requirement coverage + V:\\SIO\\SYSI\\CDS ATOS\\Domaine Digital&Client\\Automatisation\\FALCON : CDS AUTO_DashboardDigishopA, CDS AUTO_DashboardDigishopU,CDS AUTO_DashboardDigishopI'),
(2429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nAction : squelette du plans de montée en compétence\r\nLivrable : ATS-how to develop testing skills in fdj s env.doc'),
(2427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nPréparation de la réunion : comité hebdomadaire automatisation \r\nLivrable : CDS AUTO_Dashboard falcon usr non reg'),
(2428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nAction : réunion hebdomadaire comité automatisation '),
(2591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\n- Installation MUG 2.1.9 (VSR GDO) : FDL013679- retour arrière car souci à l\'authent \r\n- Investigation du problème avec IQ / support'),
(2590, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRefonte dernière minute pour la démo'),
(2586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nVSR GDO : Deploiement + tests 2.1.3_wcpte 1.2.2_weuml 2.0.58_auth 2.1.4_wcpte'),
(2587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nRéunions : STREAM sport et compte pour Olympia Atelier amélioration des processus'),
(2295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nVSR GDO - Déploiement + qualif ano'),
(2297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nVSR GDO - Pb de pj sur appli natives (support HIA)'),
(2298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nVSR GDO - Pb de pj sur appli natives (support HIA)'),
(2300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nVSR GDO - Support + Déploiement boutiques ( DigishopA: 2.0.15, DigishopI: 2.0.10, DigishopU: 2.0.8'),
(2301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nVSR GDO - Support + Déploiement MIG MAG MUG'),
(2302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nPoint sur le fonctionnement STREAM, VSR suite MEP GDO'),
(2303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\n2 installations INT2\r\n2.0.60_auth FDL013454\r\n2.1.6_wcpte FDL013455'),
(2304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nVSR GDO'),
(2305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nVSR GDO'),
(2306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nVSR GDO'),
(3306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\n1- Qualification et test des notification Euromiliions DIAMOND (ANO041253 et ANO041252)\r\n2-  Qualification et test du recu checker  Euromiliions DIAMOND (ANO041249 et ANO041250)'),
(3307, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPréparation ALM'),
(4818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nSupport Falcon int4'),
(2553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nMaj référentiel ALM SPDV DATAMATRIX + lecture olympia.'),
(4796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nBingo RWD - Lecture spec/prepa qualif transverse'),
(3302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nBingo RWD - Etude appel de service / Rédaction doc automatisationLecture spec/prepa qualif transverse'),
(3296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nBingo RWD support Ptab int2'),
(3297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nBingo RWD analyse pour test auto/ support NYX'),
(3290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nsupport'),
(4819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nBingo RWD  - transverse'),
(4823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nAnalyse probleme falcon int6'),
(4825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nPoursuite etude deuxième partie (affichage libelle CMR dans titre)'),
(13577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nIntégration AMABIS'),
(3287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nEcriture de test'),
(2314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nVSR GDO : Test pre requis Falcon USR'),
(2315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR + VSR GDO : Acceptance Digishop I (2.0.9) et A (2.0.14) sur INT4 + VSR GDO : Analyse Digishop I (2.0.9) et A (2.0.14) sur INT4 + '),
(2316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR'),
(2343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nInstallation MAG 2.0.65 - FDL013585 + tests acceptance et complémentaires'),
(2344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nSupports Anomalies : ANO040530, ANO040818 - recherche cause problème, et fournitures de logs falcon , Digishop.'),
(2320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR + Réunion Valérie Leroux'),
(2321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR'),
(2322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR'),
(2323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR'),
(2324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR + VSR GDO : Acceptance Digishop I (2.0.10), U (2.0.8) et A (2.0.15) sur INT4 + VSR GDO : Analyse Digishop I (2.0.10) sur INT4 + VSR GDO : Analyse Digishop A (2.0.15) sur INT4'),
(2325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nVSR GDO : Analyse Digishop U (2.0.8) sur INT4 + VSR GDO : Développement test automatique Falcon USR'),
(2326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR'),
(2328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nVSR GDO : Développement test automatique Falcon USR'),
(2329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nComplétion de tests automatiques Falcon USR + Campagne acceptance Falcon USR 2.1.20'),
(2330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nCampagne acceptance et analyse  DIGISHOP U 2.0.9 , DIGISHOP I 2.0.10 et DIGISHOPA 2.0.17 + Analyse acceptance Falcon USR 2.1.20 + Campagne acceptance Falcon USR 2.1.20 GDO'),
(2333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nMaintenance :Analyse des tests en \'To be review\' et \'Blocked data\' sur Falcon USR 2.1.20 + Complétion de tests automatiques Falcon USR'),
(2332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nComplétion de tests automatiques Falcon USR'),
(2334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nCampagne acceptance Falcon USR 2.1.21 GDO + Réunion'),
(2335, 'Maj d\'une vérification sur les dates d\'ouverture et de clôture qui excluait le cas de clôture dans EntityStatusHelperImpl.'),
(2336, 'Ajout d\'une vérification et d\'un message d\'erreur dans la méthode verif au niveau du CustomGroupMB.'),
(2337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nSupports Anomalie'),
(2342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nInstallation MAG 2.0.66 - FDL013590 + tests acceptance et complémentaires'),
(2339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRecettage / tests nouvelle environnement TEST5 (demande Mohamed / Philippe)'),
(2340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nSupports et tests avec Julia Barbier sur problème Optin Partners FDJ / SPort - cf ANO040818'),
(2341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nInstallation MUG DIAMOND - FDL013593 + tests acceptance et complémentaire'),
(2345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nInstallation MUG 2.2.1 - FDL013593 - Cas de tests acceptance technique'),
(2464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nSupport Anomalies'),
(2468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nSupport Anomalies'),
(3283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nLecture des documents liés à IF et les plans de tests FALCON'),
(3284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\n- Test ALM suite aux installation MAPI / MRCD / EDWAN\r\n- Test bug Recu chechker Android / IOS'),
(3285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nIntégration AMABIS'),
(13576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nIntégration AMABIS'),
(2353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nRédaction tests auto PRESTO Campagne USR 2.2'),
(2459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRédaction tests auto PRESTO Campagne USR 2.2'),
(2355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nRédaction tests auto PRESTO Campagne USR 2.2'),
(2356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nInstallation Duel de cartes V2 et préparation qualif'),
(2357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nInstallation Duel de cartes V2 et préparation qualif'),
(3319, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3320, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3321, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(2360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\n1 installation pour Bingo en phase de tests : 3.0.3_hasard FDL013576\r\nEnvironnement Diamond INT8'),
(2361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nSupport pb d\'affichage de la widget Euml Diamond sur livraison nouvelle version de weuml, correction apportée directement sur les fronts pour dépannage en attendant prochaine livraison'),
(2363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nMaj environnement apache pour prise en charge nouvelle page Bingo sur INT8 Page temporaire et livraison non officielle 3.0.3_hasard'),
(2364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\n2 installations pour le RUN\r\n2.3.0-p1_edwan	FDL013592\r\n2.3.1_mapi	FDL013584\r\n'),
(2365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nMise en place du nouvel environnement Cloud Front\r\nVérification fonctionnel de test5.integ.fdj.fr\r\nRemonté des pb côtés mapi'),
(2366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\n1 installation pour les corrections du RUN INT4\r\n2.2.0-p1_hasard	FDL013589'),
(2367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nSupport anomalies critiques suite livraison 2.2.0-p1_hasard sur INT4\r\nPerte du bouton d\'inscription, perte d\'affichage des carrousels de la HP'),
(2376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nMaj sur les fronts SPU INT8 pour tests composant Bingo'),
(2379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nSupport Diamond, rollback nécessaire suite livraisons Applis natives qui n\'incluent pas le merges du RUN, retrait de la widget weuml et restauration des sources sur les fronts'),
(2380, 'Modification de la méthode prepare()\r\n\r\n- la liste des utilisateurs pour un groupe ne doit pas contenir de responsables d\'habilitation de ce groupe\r\n- la liste des groupes pour un utilisateur ne doit pas contenir de groupe dont l\'utilisateur est responsable'),
(2384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nMaj de modop pour le stream PHP Palier RUN'),
(2383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nInitiation de document pour les tests ALM sur le stream PHP'),
(2385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nVSR GDO - Support + Deploiement MAG + analyse anomalie optins'),
(2387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nVSR GDO - Redaction mode opératoire de MEP - Patch de prod'),
(2388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nStream compte : Prise en compte documentation Olympia'),
(2389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nStream compte : ALM - identification des tests à intégrer dans le nouveau référentiel FRONT'),
(2390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nVSR GDO - Support +  extraction + analyse log ANO040818 '),
(2391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nStream compte : ALM - identification des tests à intégrer dans le nouveau référentiel FRONT'),
(2395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nAtelier présentation projet référentiel FRONT + construction arbo'),
(2394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nAlimentation référentiel FRONT - Atelier par stream'),
(2403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nCréation nouvelle application wspo sous ojadgate + generation clé SSH WSPO pour transfert EDWAN --> FRONTAUX SPDV + mise à jour script installation + initialisation modop OLYMPIA.'),
(2455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nAnalyse acceptance Falcon USR 2.1.22 test de non regression + Analyse acceptance Falcon USR 2.1.22 GDO + Analyse acceptance DIGISHOP U, DIGISHOP I et DIGISHOPA + Bilan DIGISHOP U , DIGISHOP I et DIGISHOPA + Bilan Acceptance Falcon USR 2.1.22 GDO + Bilan Acceptance Falcon USR 2.1.22 test de non régression'),
(2425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\naction : maintenance des tests / gestion des anomalies suite au action à mener définies dans ATS-Test Report_USR_2.1.21.pdf '),
(2409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nqualification'),
(2404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nSuite mise à jour INT7 avec BDD production --> réinstallation composant 0.0.4 wspo et spdv 2.0.31. lecture documentation OLYMPIA. + Reflexion test acceptance SPDV pour application \"REFERENTIEL DIGITAL FRONT\"'),
(2420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nqualification + mise à niveau de l\'environnement edwan INT7 pour préqualif Olympia'),
(2415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nInstallation MAG 2.0.67_auth (FDL013615) + cas de tests'),
(2416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nRéunion stream FDJ + Stream FDJ prise en main du catalogue de test existant + Reunion Valérie Le Roux test automatique'),
(2405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nChargement des données sports sur INT4 (offre, lotofoot, resultats) + installation SPDV 2.0.31 sur INT4 + lancement campagne de test ALM pour test Edwan 2.3.0-p1 et SPDV 2.0.31 sur INT4 + détection et création de l\'anomalie de production (ANO040847)'),
(2406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nSuite campagne de test ALM + réunion \"Atelier test d\'acceptance\"'),
(2407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nOLYMPIA'),
(2413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nvsr sport 2000 app natives'),
(2422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\naction : analyse des campagnes de tests FALCON USR GDO 2.1.22 et FALCON_USR_2.1.22\r\nlivrable : ATS-Test Report_USR_2.1.21.pdf '),
(2417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nvsr sport 2000 app native + réunion référentiel test front'),
(2418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nvsr sport 2000 app native '),
(3317, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3318, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(2426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nAnalyse acceptance Falcon USR 2.1.22 test de non regression + Analyse acceptance Falcon USR 2.1.22 GDO + Analyse acceptance DIGISHOP U, DIGISHOP I et DIGISHOPA + Bilan DIGISHOP U , DIGISHOP I et DIGISHOPA + Bilan Acceptance Falcon USR 2.1.22 GDO + Bilan Acceptance Falcon USR 2.1.22 test de non régression'),
(2430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nAction : planification des tests Boutik notamment la mise en place/adaptation des utilitaires créés et utilisés pour générer l\'avancement sur Falcon USR \r\nLivrable : requête ALM CDS-AUTO_digishopA_test_report, CDS-AUTO_digishopI_test_report, CDS-AUTO_digishopU_test_report\r\n\r\n'),
(2433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nAction : gestion des exigences boutik : re organnisation des \"folder\", mapping avec les tests + mise en place des requêtes ALM de suivi des exigences + mise en place des fichiers d\'avancement \r\n Livrable : CDS-AUTO_digishopA_acceptance requirement coverage, CDS-AUTO_digishopI_acceptance requirement coverage, CDS-AUTO_digishopU_acceptance requirement coverage + V:\\SIO\\SYSI\\CDS ATOS\\Domaine Digital&Client\\Automatisation\\FALCON : CDS AUTO_DashboardDigishopA, CDS AUTO_DashboardDigishopU,CDS AUTO_DashboardDigishopI '),
(2434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nautoform wof + reunion PG Riandey'),
(2435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nRevue des cas de tests sur appli hybride et webapp :  existant, manquant, etc...'),
(2436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nexecution cas de test hybride/webapp'),
(2437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\ninvestigation mod008948 et MOD008949 + execution cas de test hybride/webapp'),
(2438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\ninvestigation mod008948 et MOD008949 + execution cas de test hybride/webapp'),
(2439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\ninvestigation mod008948 et MOD008949 + execution cas de test hybride/webapp'),
(2440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\ninvestigation mod008948 et MOD008949 + execution cas de test hybride/webapp'),
(2441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nAction : plan d\'action évolution\r\nLivrable : CDS AUTO_DashboardDigishopA_nonReg,CDS AUTO_DashboardDigishopU_nonReg,CDS AUTO_DashboardDigishopI_nonReg,'),
(2442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nAction : plan d\'action évolution\r\n Livrable : CDS AUTO_DashboardDigishopA_nonReg,CDS AUTO_DashboardDigishopU_nonReg,CDS AUTO_DashboardDigishopI_nonReg,'),
(2443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nInstallation FDL013495 FDL013494 FDL013489 FDL013488 FDL013492 FDL013483'),
(2444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nAction : Réunion hebdomadaire comité automatisation'),
(2445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nTests suite à installation nouvelle version webapps + investigation problème joker+ INT2'),
(2447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nAction : préparation de la réunion hebdomadaire comité automatisation '),
(2448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nTests sur environnement cloud test5 + FDL013591'),
(2449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRevue des cas de tests WOF'),
(2451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\ninstall FDL013603 cette installation a pris une journée à cause des problèmes d\'environnements'),
(2452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\ntests FDL013603 + Install et test FDL013604 + reunion cas de tests'),
(2453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nCas de tests webapp : acceptance'),
(2454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nInvestigations problèmes sur joker+ et illiko '),
(2715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nTravail sur Pré-prod INT1 - recettage / Tests en vue de la MEP du 25 / 26 Juillet'),
(2716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nTravail sur schéma Architecture et flux Olympia dans le cadre des ateliers'),
(2460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nPRESTO / Construction du catalogue de test à partir des specs'),
(2461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nPRESTO / Construction du catalogue de test à partir des specs'),
(2462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nPréparation à la construction du catalogue de test PRESTO Mapping exigences'),
(2463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nPréparation à la construction du catalogue de test PRESTO Mapping exigences'),
(2465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nCampagne de tests sur INT 4 Diamond suite réinstall composant Hasard (demande M Puech)'),
(2466, 'Duplicat du #12202'),
(2469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nAlimentation nouveau référentiel Digital Front - Cas de tests de paramètrage'),
(2470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\n3933'),
(2471, 'A la clôture & suppression d\'un custom group changement de l\'ordre de maj des entités partnerCustomGroup qui doivent être maj avant les autorisations pour pouvoir retirer ces dernières aux utilisateurs. Suppression de l\'entité UserUserGroups et non pas UserRole.'),
(2472, 'Impact global sur les groupe, maj de toutes les signatures de méthode dans les services qui ne prenaient que le groupCode en param, ajout du nom d\'organisme en paramètre de ces fonctions.'),
(2473, 'Ajout d\'un filtre de désactivation sur le combo box de choix de délégation en mode édition d\'une convention.'),
(2474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nEcriture campage de test ALM pour Euromillions DIAMOND.'),
(2901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nFormation installation Presto par Nicolas Fontaine en prévision de l\'intégration IF'),
(2902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nPresto en vu de l\'installation IF'),
(2705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nPassage de tests pour Ramsey APPLICATION > Referentiel_Portail_Drupal: 05-RECETTE TECHNIQUE > PTAB_2.10.4 > Test acceptance > 01 - Euromillion (INT4) > 01 - Mobile iOS (03-09) 05-RECETTE TECHNIQUE > PTAB_2.10.4 > Test acceptance > 01 - Euromillion (INT4) > 03 - Tablette iOS (01-09) 05-RECETTE TECHNIQUE > PTAB_2.10.4 > Test acceptance > 02 - Diamond (INT2) > 03 - Tablette iOS (01-09)'),
(2478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-23  (Do not remove this line) -->\nPRESTO : Finalisation du générateur API Falcon par GW et mise n place mode compatibilité des DataBuilders'),
(2479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-24  (Do not remove this line) -->\nPRESTO : Finalisation du générateur API Falcon par GW et mise n place mode compatibilité des DataBuilders'),
(2480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-25  (Do not remove this line) -->\nPRESTO : Finalisation du générateur API Falcon par GW et mise n place mode compatibilité des DataBuilders'),
(2481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-26  (Do not remove this line) -->\nPRESTO : Finalisation du générateur API Falcon par GW et mise n place mode compatibilité des DataBuilders'),
(2483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-27  (Do not remove this line) -->\nPRESTO : Finalisation du générateur API Falcon par GW et mise n place mode compatibilité des DataBuilders'),
(2484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-30  (Do not remove this line) -->\nPRESTO : Test de compatibilité de la nouvelle API Falcon par GW'),
(2485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-31  (Do not remove this line) -->\nPRESTO : Test de compatibilité de la nouvelle API Falcon par GW'),
(2486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-01  (Do not remove this line) -->\nPRESTO : Test de compatibilité de la nouvelle API Falcon par GW'),
(2487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-02  (Do not remove this line) -->\nPRESTO : Vérification de la nouvelle version RTG 2.2.0 et USR 2.1.14 +  Test et correctif  + + documentation sur modifs générateur'),
(2488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-03  (Do not remove this line) -->\nPRESTO : Modification architecture API Falcon'),
(2489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-06  (Do not remove this line) -->\nPRESTO : Modification architecture API Falcon'),
(2490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-07  (Do not remove this line) -->\nPRESTO : Modification architecture API Falcon'),
(2491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nPRESTO : Modification architecture API Falcon'),
(2492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nPRESTO : Modification architecture API Falcon'),
(2493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nPRESTO : Fusion API GDO+PRESTO et Préparation de l\'environnement'),
(2494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nPRESTO : Script Presto et maj API'),
(2495, 'Duplicat du 12795'),
(2499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nFDL013663 - Installation MAG 2.0.68 - GDO sur INT4 + Cas de tests'),
(2498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nQualification Euromiliions/Diamond INT2\r\nEcriture cas de tests ALM'),
(2500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nÉcriture Cas de tests pour nouveau Référentiel Digital Front IQ'),
(2501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nSupports / Analyse Anomalies');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(2502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nÉcriture Cas de tests pour nouveau Référentiel Digital Front IQ'),
(2503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nVSR Appli natives Sport (iOS,Android)'),
(2504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nVSR Appli natives Sport (iOS,Android)'),
(2505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nVSR Appli natives Sport (iOS,Android)'),
(2506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nVSR Appli natives Sport (iOS,Android) + Olympia'),
(2507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\naction : USR FALCON ACCEPTANCE : maintenance des tests suite à la livraison des demandes d\'évolution de script . \r\nLivrable : status ready pour test USR-0108-01-account-phones-PUT-OK-Mobile&Home-AUTO; USR-0109-03-account-pin-POST-OK-generateAnew_PIN-AUTO; USR-0803-21-financial-history-GET-OK-recent-AUTO'),
(2656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nAction  : Rédaction test auto digishop I \r\nLivrable : catalogue de test ACCEPTANCE sous ALM '),
(2657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nAction  : Rédaction test auto digishop I \r\nLivrable : catalogue de test ACCEPTANCE sous ALM '),
(2514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nPRESTO AUTO / Analyse et exécution des tests de services (cas nominaux) '),
(2515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nPRESTO AUTO / Analyse et exécution des tests de services (cas nominaux) '),
(2516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nPRESTO AUTO / Rédaction cas de tests (Service Financial) '),
(2517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nPrise en main application Presto - Compilation \r\nRédaction cahier de tests ALM pour application Hybride\r\nSupport Illiko avec Jeremy'),
(2518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\n--Indisponibilité des flux --\r\nInstallation de WinSCP, Confluence, Oracle SQL Develloper, SVN SI, ControlM V8 '),
(2521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\n-- Indisponibilité des flux --\r\nPrise en main de HP ALM et réunion affectation Stream + formation Codevtt'),
(3867, 'org existe déjà en base et est déjà lié à la Caf (donc déjà visible dans la liste) :\r\n- Message d’erreur simple « cet org. existe déjà … », aucune action\r\n- Cet org existe déjà en base mais n’est pas lié à la Caf (donc il n’était pas visible dans la liste pour cette Caf) :\r\n   o Message à l’admin avec un message du type « L’organisme que vous tentez de créer est déjà répertorié en base car créé par une autre Caf : (et on affiche le nom et le type de l’organisme). Voulez-vous ajouter cet organisme à votre liste ? (Choix Oui / Non) »\r\n     §  Si l’admin choisit « non », création annulée rien ne se passe\r\n     §  Si l’admin choisit « oui », création de la relation entre la Caf de    l’admin et l’org trouvé en base, retour à la liste des organisme partenaires (et là on est sensé voir dans la liste le fameux org que l’admin a voulu créer)'),
(2645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nHP ALM - MAPI + Présentation de HP Virtuel User Generator'),
(2524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nHP ALM - MAPI + Réunion avec l\'équipe automatisation'),
(2525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nHP ALM - MAPI + Analyse de la base INT8FLLV et test des de vérifications de profil'),
(2564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nRédaction test ALM / Applis Illiko / Loto / Euromillions'),
(2528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nSupport Diamond pour l\'affichage de la widget weuml Pb lié à l\'absence d\'une version de hasard pour la nouvelle widget'),
(2529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nInstallation et analyse des livraisons pour la MEP\r\n2.2.0_hasard	FDL013489\r\n2.2.0-p1_hasard	FDL013589\r\n2.2.0-p2_hasard	FDL013611\r\n'),
(2530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\n7 installations sur INT8 pour la Qualif Diamond\r\n3.0.4_hasard	FDL013626\r\n3.1.1_hasard	FDL013426\r\n3.0.3_hasard	FDL013576\r\n2.0.13_weuml	FDL013555\r\n3.0.2_mobi	FDL013642\r\n3.0.3_mapi	FDL013643\r\n1.3.0_wloto	FDL013495\r\nSupport mobi - mapi pour livraison urgente en après midi des nouvelles versions'),
(2531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\n2 installations pour le RUN sur INT4 préparation MEP\r\n2.3.0-p2_edwan	FDL013647\r\n2.2.0-p3_hasard	FDL013624\r\nSupport sur l\'affichage des menus du site hasard.\r\nPoint avec les TL sur l\'utilisation des environnements INT6 et INT7'),
(2536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nTest insterstitiel SPDV 2.0.31 + vérification des anomalies JIRA rattachés à la fiche de livraison. Maj Modop + retour problème de production (Erreur 500 & problème résultats 1er buteur et meilleur buteur)'),
(2554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nRédaction des cas de test ALM'),
(2555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nRédaction des cas de test ALM'),
(2535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\n8 reproductions sur environnement de recette pour Diamond\r\n3.0.4_hasard	FDL013626\r\n3.1.1_hasard	FDL013426\r\n3.0.3_mapi	FDL013643\r\n3.0.2_mobi	FDL013642\r\n1.3.0_wloto	FDL013495\r\n2.0.35_mig	FDL013307\r\n2.1.4_wof	FDL013661\r\n2.1.4_wof	FDL013661\r\nSupport sur l\'affichage des widget en version portail/tab\r\n\r\nFinalisation modop pour la MEP Stream PHP\r\n•	FDL013488 : 2.3.0_edwan\r\n•	FDL013592 : 2.3.0-p1_edwan\r\n•	FDL013647 : 2.3.0-p2_edwan\r\n•	FDL013489 : 2.2.0_hasard\r\n•	FDL013589 : 2.2.0-p1_hasard\r\n•	FDL013611 : 2.2.0-p2_hasard\r\n•	FDL013624 : 2.2.0-p3_hasard\r\n•	FDL013584 : 2.3.1_mapi\r\n•	FDL013492 : 2.1.0_mobi'),
(2540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nFin test ALM + mise à jour environnement INT4 avec les données de productions + maj Modop Olympia + maj ALM'),
(2539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nSupport sur la partie Diamond environnement de recette.\r\nRéception d\'une nouvelle version de ptab pour l\'affichage des widgets.\r\nAnalyse des livraisons pour la MEP RUN/VSR.'),
(2542, 'Ajout d\'une variable isDelegateMode dans CustomGroupMB. Ajout par défaut de l\'admin partenaire en tant que responsable habilitation en mode création dans le cas d\'un mode non délégation. Pas d\'affichage de la sélection du responsable habilitation en mode non délégation.'),
(2544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nVie des environnements'),
(2545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nVie des environnements'),
(2546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nVie des environnements'),
(2547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nVie des environnements'),
(2548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nVie des environnements'),
(2549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nComplétion de tests automatiques Falcon USR + Campagne acceptance Falcon USR 2.1.22 + Analyse acceptance Falcon USR 2.1.22'),
(2550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nCampagne acceptance Falcon USR 2.1.22 + Campagne acceptance Digishop A I et U avec la version falcon 2.1.22  + Analyse acceptance Falcon USR 2.1.22'),
(2551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nAnalyse acceptance Falcon USR 2.1.22 + Réunion + Bilan Acceptance Falcon USR 2.1.22 + Complétion de tests automatiques Falcon USR'),
(3303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nBingo RWD Rédaction cas de tests'),
(2556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nRédaction des cas de test ALM'),
(3528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nEcriture de test'),
(3142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nExécution test'),
(2559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nRédaction des cas de test ALM'),
(2560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRédaction des cas de test ALM'),
(2561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nProblématique sur plateforme PHP\r\nBibliotheque easy-mysqli'),
(2562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nFDL013613\r\n+ Repro de FDL013613 sur int4\r\n+ Cas de test ALM'),
(2563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nHP ALM - MAPI + Analyse de la base INT8FLLV et test des de vérifications de profil'),
(2565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nTraitement Anomalies Tchat Bingo - multiples tests WOF et MAG - résolution avec Install et test - FDL013673'),
(2566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nRédaction cas de tests nous veau référentiel Digital IQ Front'),
(2567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nRédaction cas de tests nouveau référentiel Digital IQ Front'),
(2568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nRecettage complet INT1 dans l\'optique de la MEP du 18/07 (demande Philippe A) + création ANO 41027 / 41023'),
(3640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nqualif: vitan myfi+création des cas de test: olypmia pdv mobile+problème push notification : appli mobile euml'),
(2714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nPoint Interne Olympia / Composants du Compte suite au déplacement de CRE / PAM / JMA à Boulogne'),
(2574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nSuite Test ALM Euml / Illiko / Loto\r\nSupport VITAN '),
(2903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nPresto en vu de l\'installation IF'),
(2572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nvie des environnements'),
(2573, 'Le comportement est conforme à CafPro : l\'utilisation de cette fonctionnalité ne créée pas un mail mais un document Note qui est remis à la Caf concernée. Il n\'y a donc pas de mail envoyé à la Caf, ni de copie au demandeur.'),
(2575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\netude du fonctionnement actuel pour la partie  COMBO pour le choix de la CMR'),
(2576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nCampagne de test Illiko \r\nSupport test qualif Euromillions Diamond (Site)'),
(2577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nParcours des documentations PRESTO'),
(2578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nTemps passé pour le devis '),
(2579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nReferentiel Digital Front - Ateliers Stream'),
(5024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nVSR GDO - Support anomalies + rédactions mode opératoire MEP'),
(5025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nALM Référentiel digital Front - alimentation référentiel'),
(2649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nSupport pb de prod suite à MEP DigishopA et U VSR GDO'),
(2584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-03  (Do not remove this line) -->\nVSR GDO : Deploiement + tests + support recette\r\n2.0.292_wof\r\n2.0.43_wcpte'),
(2592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nEcriture cas de tests MAG pour nouveau référentiel Digital Front'),
(2593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nSupport pour MEP car souci sur Digishop - rollback et investigation'),
(2594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\n- Tests sur INT4 suite au problème d\'authent (rollback du MAG et réinstall ont résolu le souci)\r\n - Installation MUG 2.1.9 FDL013679 + tests acceptance technique'),
(2595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nRéunion / Atelier Projet Olympia avec Philippe Amerio'),
(2596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nVDE'),
(2597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nVDE'),
(2708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\n1) Familiarisation avec les outils suivants: - Service Now (Fiches d\'anomalies \'jeux Illiko Web\') - ALM (Campagnes de test \'PROJETS > GDO\' , \'PROJETS > PRESTO\') 2) Réunion PRESTO'),
(2599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nSupport MEP Boutik'),
(2600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nTravail sur Olympia - Architecture suite atelier'),
(2601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nTravail sur Outil d\'état d\'environnement'),
(2602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nLecture des documents d\'installation des jeux motors\r\nPrésentation du guide d\'installation de Salt par Gilles'),
(2647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nRéférentiel Digital Front - Alimentation référentiel + Ateliers ALM (F. Gendraud, P. Amerio)'),
(2604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nTravail sur cas de tests nouveau référentiel Digital Front'),
(2605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nTravail sur Olympia - Rédaction shéma architecture + flux'),
(2606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nRédaction cas de tests nouveau référentiel Digital Front'),
(2607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nVDE'),
(2608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nVDE'),
(2609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nFinalisation catalogue de test PRESTO '),
(3219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nFinalisation catalogue de test PRESTO'),
(2611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nFinalisation catalogue de test PRESTO '),
(2709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nAnalyse des fonctionnalités du portail tablette afin d\'en déduire les cas de test'),
(2614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nVuGen + Sublime Text - Explication de l\'interface des scripts'),
(2637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nOLYMPIA'),
(2616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nProjet Olympia : suite lecture document architecture + réunion hebdomadaire sur le sujet (2h30)'),
(2617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\n- Installation nouvelle livraison pour MEP RUN 2.2.0-p4_hasard FDL013688\r\n- Qualification livraison\r\n- Support INT4, pb d\'affichage des résultats Loto/SLoto\r\nCorrection effectuée suite suppression promulgation erronée en base\r\n- Maj de modop pour la MEP RUN'),
(2618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nDéplacement Boulogne - Demo Auth + Webapps WSPO + Réunion Architecture Application détaillant.'),
(2624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nNormalement, test de l\'éclatement de l\'application SPDV en applications SPDV + WSPDV sous l\'INT7.\r\nRecherche des services utilisés le composant WSPO (OLYMPIA) + flux'),
(5642, 'RAF mal positionne au depart car positionne en avance de phase vs une charge de 10 jours'),
(5614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nAtelier FRONT OLYMPIA\\nANO037865 - Demande d\\\'info DEV\\n'),
(2622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\n- Support recette bloquée avant MEP, lancement des jeux RTG non possible sur INT4\r\nPb de communication SIM - Este, arrêt du FL20417 pour rétablissement\r\n- Maj des diagrammes\r\n- Maj campagne ALM hasard'),
(5615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nALM - Alimentation référentiel digital FRONT'),
(2625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nNormalement, recherche des flux Olympia'),
(2626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nLecture de la doc MAPI + Réunion en aprem ( recueil des besoins )'),
(2628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nAnalyse des scripts MAPI et Comparaison avec la doc . '),
(2629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nEtat de lieux des scripts MAPI'),
(2633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19 (Do not remove this line) -->\r\n[ATELIERS FRONT BOULOGNE] \r\n- Démo Stream compte + sport pour Olympia\r\n- Boutique détaillant'),
(2631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\n- Support Diamond, soucis sur l\'affichage des résultats version ptab, applis natives\r\n- Qualification du retour d\'appel /mapi/statistiques/numbers?game=euromillions\r\n- Monté en connaissance sur le mécanisme de l\'affichage des résultats RTG version ptab'),
(2638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nEtat de lieux des scripts MAPI'),
(2634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nPRESTO + suivi Qualification + suivi Installation'),
(2639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\n-- indisponibilité des flux -- \r\ntests sur environnement int'),
(2640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\n-- indisponibilité des flux -- \r\ntests sur environnement int'),
(2641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\n-- indisponibilité des flux -- \r\ntests sur environnement int'),
(2642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\n-- indisponibilité des flux  --\r\nHP ALM - Rédaction des cas de test - Projet : Vie des Environnements - Création de profils'),
(2643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\n-- Indisponibilité des flux -- HP ALM - Rédaction des cas de test - Projet : Vie des Environnements - Création de profils'),
(2644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nHP ALM - MAPI + Présentation de HP Virtuel User Generator'),
(2646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nLecture des documents de mise en place des tests auto'),
(2660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nAction : réunion comité hebdomadaire \r\nLivrable : planning prévisionnel boutik'),
(2661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nAction : bilan des prérequis technique Boutik : état des lieux des scripts et de la doc API web\r\nLivrable : Boutik_etatDesLieuxTechnique.xls + ano spec '),
(2652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nVSR GDO, support + déploiement boutik'),
(2653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nvie des environnements'),
(2899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nEtude Projet Presto qui sera lié avec IF + Analyse impact IF'),
(2662, 'Concernant la faute sur la colonne \"Précédent\" pour la ligne \"Montant\", la mention correcte \"Non connu\" s\'affiche sans le e final.\r\nTest : base 227, profil T2, allocataire 2961433\r\n\r\nConcernant la partie \"Enfants à charge\" et \"Autre personnes à charge\", \"Non connu\" signifie qu\'aux yeux de la Caf, il n\'y a pas d\'enfant à charge OU qu\'ils n\'ont pas été déclarés.\r\nRemplacer cette mention par \"Aucun enfant à charge\" ne pourrait pas s\'appliquer dans le cas d\'une mauvaise ou non-déclaration.\r\nKevin m\'a confirmé que nous gardons \"Non connu\" pour ces deux parties.'),
(2659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nAction : bilan des prérequis technique Boutik : état des lieux des scripts et de la doc API web \r\nLivrable : Boutik_etatDesLieuxTechnique.xls + ano spec '),
(2665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nAction : Rédaction test auto digishop I\r\nLivrable : catalogue de test ACCEPTANCE sous ALM '),
(2666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-06  (Do not remove this line) -->\nprise en main du stream'),
(2667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\ncampagne DigiShop U 2.0.7 +I 2.0.9 +A 2.0.13'),
(2668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\n- Support compilation mise en PROD Vitan\r\n- Support Qualification Euromillions'),
(2670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\n1 - Support VITAN\r\n2 - Prise en main / Docuentation compilation appli PRESTO'),
(2671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nMAPI prise en charge des cas de tests'),
(2672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nMAPI prise en charge des cas de tests'),
(2673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\ncampagne MAPI 3.0.3 sur INT 4 et INT 8'),
(2674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\ncampagne MAPI 3.0.3 sur INT 4 et INT 8'),
(2675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\ncampagne MAPI 3.0.3 sur INT 4 et INT 8'),
(2676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\npréparation de la phase de complétion : mise à jour des types de test Non reg + attribution des tâches pour Patrice en vu du commencement de la phase de complétion'),
(2679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + compréhension technique Olympia'),
(2680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + compréhension technique Olympia'),
(2681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + compréhension technique Olympia'),
(2682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + compréhension technique Olympia'),
(2683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + compréhension technique Olympia'),
(2684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + génération des cas de test Olympia'),
(2685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + génération des cas de test  Olympia'),
(2686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente : qualification, intégration, support + génération des cas de test  Olympia'),
(2687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente + Olympia: qualification, intégration, support '),
(2688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nparionssport en ligne + parionssport point de vente + Olympia: qualification, intégration, support '),
(2702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nParcours des différentes anomalies ILLIKO sous Service Now Parcours de différents projet sous ALM pouvant servir de modèle pour l\'écriture de test ILLIKO Ebauche d\'écriture de tests ILLIKO web'),
(2700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nExécution test auto MOTORS '),
(2701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nExécution test auto MOTORS '),
(2691, 'Ne pas oublier la redaction du DEX'),
(2692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nmise à jour de fiches de tests (20)'),
(2693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nmise à jour de fiches de tests'),
(2694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\n Suppression de tests obsolètes, Remise de cas de test dans leurs répertoire respectifs, Mise à jour de cas de test, Qualification d\'anomalie: 1 fiche'),
(2695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\n Suppression de tests obsoletes,  Remise de cas de test dans leurs répertoire respectifs,  Rectification de la priorité de certains cas de test, Mise à jour de cas de test'),
(2728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Suppresion de tests obsoletes\r\n02- Remise de cas de test dans leurs répértoire respectifs\r\n03 - Rectification de la priorité de certains cas de test ( Principalement BATCH et ARJEL)\r\n04 - Rédaction de nouveau cas de test \r\n05 - Mise à jour de cas de test \r\n06 - Qualification de fiche anomalie ( 3 fiches)'),
(2710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nFormation installation jeux MOTORS\r\n'),
(2703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nEcriture plan de test pour les applications MOTORS à partir de la spec'),
(2704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nEcriture de tests sur les jeux MOTORS'),
(3635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nqualif: vitan myfi+création des cas de test: olypmia pdv mobile+problème push notification : appli mobile euml'),
(2718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nFDL013649 + FDL013648 sur int8'),
(2719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nFDL013649 + FDL013648 + FDL013555 sur int2 + FDL013661 sur int4'),
(2720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nFDL013662 + FDL013667'),
(2722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nModification (taggage, temps d\'execution, correction) des cas de tests sur ALM'),
(2723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nModification (taggage, temps d\'execution, correction) des cas de tests sur ALM'),
(2724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nModification (taggage, temps d\'execution, correction) des cas de tests sur ALM'),
(3104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nModification (taggage, temps d\'execution, correction) des cas de tests sur ALM'),
(2726, 'Recherche d\'un allocataire avec droit suspendu sur la base 227 afin de pouvoir reproduire le bug'),
(5009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\\n01- Suppresion de tests obsoletes\\n02- Remise de cas de test dans leurs répértoire respectifs\\n03 - Rectification de la priorité de certains cas de test ( Principalement BATCH et ARJEL)\\n04 - Rédaction de nouveau cas de test \\n05 - Mise à jour de cas de test \\n06 - Qualification de fiche anomalie ( 3 fiches)'),
(2729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Suppresion de tests obsoletes\r\n02- Remise de cas de test dans leurs répértoire respectifs\r\n03 - Rectification de la priorité de certains cas de test ( Principalement BATCH et ARJEL)\r\n04 - Rédaction de nouveau cas de test \r\n05 - Mise à jour de cas de test \r\n'),
(2730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Suppresion de tests obsoletes\r\n02- Remise de cas de test dans leurs répértoire respectifs\r\n03 - Rectification de la priorité de certains cas de test\r\n05 - Mise à jour de cas de test\r\n'),
(2731, 'Le problème ne venait pas de Chrome mais de la valeur récupérée par le backend. Le cas gérait ici \"* Droit suspendu\" mais dans certains cas, on récupère aussi \"*Droit suspendu\" (pas d\'espace entre * et Droit).\r\n\r\nLa valeur tient compte de ces deux possibilités (dans list.xhtml et synthese.xhtml):\r\n<h:outputText value=\"#{(prestation.suspension == \'*Droit suspendu\' or prestation.suspension == \'* Droit suspendu\') ? \'X\' : \'\'} \" />\r\n\r\nTesté sur la base 227 avec allocataires 957247 (a l\'espace) et 264508 (n\'a pas l\'espace)'),
(2732, 'Le problème est déjà corrigé.\r\nVérifié le 22/07 sur la recette, on obtient bien l\'ordre suivant : prénom nom'),
(2733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nVDE'),
(2734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nQualif Appli Euromillions pour livraison weuml : 2.0.16_weuml\r\nPresto\r\nEnvrec Appli Maitre\r\n'),
(2749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nsuivi projet\r\nsynchronisation qualif/recette'),
(2750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nRUN2 _suivi avancement de la qualif'),
(2751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nReunion suivi du portefeuille d\'anos'),
(2752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nRUN2 _suivi avancement de la qualif'),
(2753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nSupport + RUN2  diverses actions aux labo'),
(5881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nTests auto: synchronisation qualif/recette'),
(2766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\ninjection de PDJ gagnantes en masse (tout rang de gain(sauf 1,2,3)) sur INT2 via tests automatisé pour tirage du mardi soir'),
(5884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\ninjection de PDJ gagnantes en masse (tout rang de gain(sauf 1,2,3)) sur INT2 via tests automatisé pour tirage du vendredi soir\\npour le tirage du vendredi 22/07'),
(5883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nTest auto_déroulement Campagne sur INT2 en version RTG2.2.2'),
(5918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nComité hebdo _ automatisation des tests _ DIGITAL'),
(5882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nAnalyse chaine d\\\'injection des Ecredits'),
(5885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nsynchronisation qualif/recette + injection de PDJ gagnantes'),
(2763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nRéunion de suivi du portefeuille de fiches (ANO)'),
(2764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nRUN2 _suivi avancement de la qualif'),
(2765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nDIAMOND_ Passage de consignes pour mes 2 semaines de conges'),
(2767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nRUN2 _suivi avancement de la qualif'),
(2768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nALM Diamond\r\nRéunion equipe PRESTO \r\nDocumentation technique PRESTO'),
(3583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nNous avons configuré pour que tout pointe vers la production.\r\n- MAJ du lien du haut dans la liste \r\n- MAJ du logo pour pointer vers le caf.fr\r\n- MAJ du footer \'Partenaires / Bailleurs\' --> \'Partenaires\'\r\n\r\n-- PS : Il faudra mettre en place la recup du footer avec le WS normalement prévu'),
(3151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : Complétude des cas de tests existants, recherches en base de données et reproduction des anomalies'),
(3148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : MAJ référentiel de tests.	MAJ du référentiel par rapport aux explications obtenues'),
(3147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : Définition de la structure de tests, clonage et renommage dans Test Plan. Besoin non compris (MOD009659). Rédaction impossible en l\'état.\r\n'),
(3163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nReprises de quelques tests'),
(3164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Suppresion de tests obsoletes\r\n02- Remise de cas de test dans leurs répértoire respectifs\r\n03 - Rectification de la priorité de certains cas de test\r\n05 - Mise à jour de cas de test'),
(3156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nMeilleure prise en main d\'ALM, montée en compétences sur Linux, analyse de base de données. Ajout de documentations et commentaire dans OneNote (voir le formalisme à adopter). Paramétrage du Shell depuis Ojadgate'),
(4057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nPréparation de la campagne'),
(3161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nRédaction de tests'),
(3155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nFinalisation tests en vue de la préparation à la campagne.'),
(3162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nRécupération d\'informations pour monter une campagne'),
(2779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : Reprise des cas de tests pour plus de lisibilité et ajout d\'hypothèses sur l\'implémentation des évolutions demandées'),
(2780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : BDD. Analyse des requetes SQL existantes puis complétude (filtre dans USR_CONTROL_STATE).'),
(2781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nCorrections du script chkSSH (vérification de la propagation des clés sous Linux) : remplacement de nawk par sed pour gestion des espaces.'),
(3159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : Recherche d\'informations. Prise de contact par Lync puis par email pour obtenir des informations complémentaires. Antoine Maillet MOD009659 et MOD009661 Demande d\'information lun. 17:31 19 Ko Cyril Duport MOD008438 Demande d\'information lun. 17:21 14 Ko\r\n'),
(3817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\ninjection de PDJ gagnantes via tests auto'),
(3818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nPhase de pré qualif portail PRESTO et premiere installation avec le dev (pas de FDL associée)'),
(2785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nLecture specifications fonctionnelles LOTSYS et ébauche plan de test ;'),
(2792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nRédaction du plan de test IF'),
(2791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nPlan de test manuel IF ; entrevue (HTA, JGI, JPA) répartition'),
(2788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nPlan de test IF'),
(2793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nRédaction du plan de test IF ; entrevue automatisation (PGI, MLE, JGI, ERE, JPA) ; points équipe IF (RJU, HTA, CFE, JGI, PGI, JPA)'),
(2794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nDistinction des cas de test auto ; Analyse des anomalies Falcon ; Analyse des logs Falcon'),
(2795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nDistinction des cas de test auto ; Analyse des anomalies Falcon ; Analyse des logs Falcon'),
(2796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nExploration d\'anomalies GDO'),
(4725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRéunion WebEx IF API REST (VLE, LBO, LBA, …)'),
(4721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nExploration d\\\'anomalies GDO, tests MTR'),
(2799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nTests MTR, transfert de connaissances Falcon (SKA, YBA, JPA)'),
(2800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nTests MTR, rédaction de cas tests IF (moteurs et jeux)'),
(2801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nRédaction de cas tests IF (moteurs et jeux)'),
(2802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nEcriture plan de tests IF'),
(3594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nréunion IF (HTA, PGI, JPA) ; entrevue IF (HTA, LBA, JPA) ; rédaction d\'une ébauche de plan de test IF ;'),
(3590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nEcriture plan de tests IF et steps non détaillés'),
(3591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nPhase de qualification pTAB'),
(3589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nEcriture plan de tests IF et steps non détaillés'),
(2811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nEcriture plan de tests IF et steps non détaillés'),
(2812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nEcriture plan de tests IF et steps non détaillés'),
(2813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nEcriture plan de tests IF et steps non détaillés ; extraction de plans de test'),
(2814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nCompréhension Falcon pour IF'),
(2815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nRéunion pour présentation Falcon'),
(2816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nExécuter des plans de test sur GDO pour l\'Arjel + détail jeu Gare O Loup'),
(2817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nExécuter des plans de test pour la journalisation'),
(2818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nExécution des plans transverses dans le projet GDO sur la partie MOTORS BOX + BOM'),
(2819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nConstruction des plans Test IF'),
(2820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nétablir la liste des plans IQ manuels sur IF'),
(2821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nRéunion avec le socle'),
(2822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nintroduction à l\'automatisation avec Patrick + revu des deux anomalies'),
(2823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nAvancement sur le plan de la formation nouvel arrivé + revu des incidents sur Service Now'),
(2982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nExécution de la campagne INT2V2 sur Différents supports.'),
(2825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nFinalisation Rapport Plan de Formation + Reprise Tests Front pour regarder les services REST'),
(2826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nAssistance formation des nouveaux + Réunion IF + test Motors'),
(2827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nRevue test Motors + design test IF par le spec'),
(2828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nDesign test IF par le spec'),
(2829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nDesign test IF par le spec + évaluation test d\'intégration'),
(2830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nRéunion IF avec Laurent + démarrage implémentation HP ALM pour les arborescences'),
(2831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nRéunion IF avec Laurent + démarrage implémentation HP ALM pour les arborescences'),
(2832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nRédaction cas de test IF sur HP ALM '),
(2833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nRédaction cas de test IF sur HP ALM '),
(2834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nRédaction cas de test IF sur HP ALM '),
(2835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nAmélioration et rédaction des test IF sur HP ALM'),
(2836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nAmélioration et rédaction des test IF sur HP ALM'),
(2837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nAmélioration et rédaction des test IF sur HP ALM'),
(2838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nAmélioration et rédaction des test IF sur HP ALM'),
(2854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nIF : Scripts'),
(2840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nIF : Script Presto FALCON USR et maj API'),
(2841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nIF : Script Presto FALCON USR et maj API'),
(2842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nIF : Script Presto FALCON USR et maj API'),
(2843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nIF : Script Presto MOTORS'),
(2844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nIF : Script Presto MOTORS'),
(2845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nIF : Script Presto MOTORS'),
(2846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nIF : Script Presto MOTORS'),
(2847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nIF : Modification API Multimedia pour authent OAD/Presto'),
(2848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nIF : Mise à jour des scripts, Tests et publication ALM'),
(2849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nIF : Evolution de scripts GDO, analyse de logs de tests KO'),
(4378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nPRESTO : Script Presto et maj API'),
(4379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nPRESTO : Script Presto et maj API'),
(4380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nPRESTO : Script Presto et maj API'),
(4813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nPRESTO : Script Presto et maj API'),
(3143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nExécution test'),
(2858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nIF : Evolution de scripts GDO'),
(2859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nIF : Evolution de scripts GDO'),
(4150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAnalyse de campagne'),
(4151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAnalyse campagne'),
(2862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nIF : Atelier Presto, analyse de logs de tests KO'),
(2863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nIF : Analyse de logs de tests KO, Atelier IF, analyse de scripts ITG /  Atelier ITF, Evolutiuon de script'),
(2864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nIF : Atelier Presto, dev. scripts / Atelier ITF, dev. Scripts ITF'),
(2865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nMaj API Falcon / Common pour préparer les scripts ITF ITG '),
(2866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nMaj API Falcon / Common pour préparer les scripts ITF ITG '),
(2867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nMaj Motors ALM, Test script Falcon ITG modifié dans ALM'),
(2868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\n Création de scripts ITF Games'),
(2869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAnalyse des fonctionnalités manquantes pour les scripts Auto dans la nouvelle API ITF'),
(3593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nRéunion IF (LBA, LBO, VLE, ENI, HTA, JPA)'),
(4607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nReunion sur IF avec Laurent BARRIERE'),
(2873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nFiabilisation création des joueurs, nouveaux scénarios : keno'),
(3588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nEcriture plan de tests IF et steps non détaillés'),
(3592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nRéunion IF (LBA, LBO, VLE, ENI, HTA, JPA)'),
(2876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nFiabilisation création des joueurs, faisabilité profil sport '),
(3308, 'Suppression d\'une vérification qui bloquait la mise à jour des PartnerCustomGroup dans le cas ou le statut du partenaire était autre que \"OUVERT\". (Fonction updatePartnerCustomGroupForOpenGroupsOfPartner, Classe PartnerCustomGroupLocalServiceImpl)\r\n\r\nTest : Ajouter un partenaire à un groupe, vérifier dans la base de donnée qu\'un objet PartnerCustomGroup a été créé avec le groupe et le partenaire en question et que le statut de cet objet est à \"OPEN\". Clôturer le partenaire et vérifier que l\'objet PartnerCustomGroup a maintenant le statut \"CLOTURE\"\n\n'),
(2879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nContinuité sur la montée en compétence IF '),
(2880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nContinuité sur la montée en compétence IF '),
(4810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nRedemarrage des back des env'),
(4809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nBingo Pb de chat avec livraison mag 2,0,68'),
(4795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nBingo RWD redaction test manuels'),
(3636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nqualif: vitan myfi+création des cas de test: olypmia pdv mobile+problème push notification : appli mobile euml');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(3293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nbingo rwd test et redaction de test'),
(3294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\ncoproj'),
(3295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nBingo RWD redaction test + support'),
(2887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nAnalyse du fichier excel pour réalisation des cas de test IF envoyé par Laurent BARRIERE + plan de reflexion sur la mise en place des cas de tests avec Hicham et Julien'),
(2889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nAnalyse des test + montée en compétence sur proc spec LOTSYS sur IF + mise au point sur cas de tests IF avec Julien et Hicham'),
(3513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nReunion sur IF avec Laurent BARRIERE + Laurent BOGGIO'),
(3641, '1. Fournir une aide à la saisie du code postal (proposition de la ville).\r\nRemarque ATOS : Proposition à étudier -> Action ATOS.\r\n=> action lorene : en attente de la réponse CNAF\r\n\r\n2. Demande de la confirmation du loyer.\r\nRemarque ATOS : Une alerte est déjà présente, à revoir si besoin -> Action CNAF.\r\n=> action lorene de suivi et de modification des SFD : en attente de la réponse CNAF\r\n\r\n\r\n3. DEV : Séparer le nom et prénom dans la liste des locataires.\r\n=> Demande prise en compte dans le Ticket N°12877 \r\n\r\n4. DEV : Dans le step 1 , séparer le nom , prénom et raison sociale.\r\nRemarque ATOS : Proposition à faire -> Action ATOS.\r\n=> Pris en compte dans le ticket 13684\r\n\r\n5. Format du champ adresse\r\nRemarque ATOS : Après avoir renseigner le pays, l’application doit formater l’adresse en fonction du pays. La CNAF doit fournir à ATOS un exemple issu du caf.fr -> Action CNAF.\r\n=> action Lorene\n\n'),
(2891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nAnalyse des anomalies Falcon ; Analyse des logs Falcon pour montée en competence IF + deploiement des cas de test mig-mag-mug-wof-weuml-wloto-hasard-edwan pour analyse des fonction a verifier pour la non régression suite a livraison IF'),
(2892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nAnalyse des anomalies Falcon ; Analyse des logs Falcon pour montée en competence IF + deploiement des cas de test mig-mag-mug-wof-weuml-wloto-hasard-edwan pour analyse des fonction a verifier pour la non régression suite a livraison IF'),
(3512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\n	Reunion IF avec Remi JUANES et equipe IF pour mise au point + tour de table - fomation sur automatisation des tests - montée en compétence sur doc IF sous CONFLUENCE'),
(2894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nOrchestration de l\'initialisation du ReplayToken Falcon/Digishop et ITF'),
(2895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nOrchestration de l\'initialisation du ReplayToken Falcon/Digishop et ITF'),
(3327, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3328, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3329, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3330, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3331, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3322, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3323, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3324, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3325, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(3326, 'FERME POUR REGUL MANTIS\r\n(BME)'),
(2906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nRecettage Prod suite MEP du jour - découverte anomalie affichage Euromilllion résultats sur Portail tablette (Android) - Accopagneùment Ramsey Bod pour résolution'),
(2908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nSupport / Analyse anomalies'),
(2909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nRecettage Prod suite MEP du jour'),
(2916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nRéunion de suivi d\'avancement PRESTO\r\nAnalyse de la mise en place de jeux de type MOTORS sous PRESTO'),
(2915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAtelier Olympia'),
(2912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nRédaction cas de tests MUG Diamond'),
(2913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nRédaction documentation dans le cadre des ateliers du projet Olympia'),
(2914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAnalyse des appels PRESTO sur l\'environnement INT7 afin d\'écrire les tests de vérification des appels des API '),
(2918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nPRESTO : Mise en place environnement de compilation IOS et test compilation'),
(2919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nIF Environnement Postgres\r\nIF Scénarisation par blocs'),
(2920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(2921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nPoint projets Plateforme de Performance / Scripting / Automatisation\r\nDemandeur: Clause Paoli'),
(2922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(2923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nJ\'ai relevé un point à tester dans le spec IF mais il faut valider ça avec Laurent Barrière avant de l\'intégrer dans HP ALM car il manque d\'info.  '),
(2924, 'annulée'),
(3093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nUSR-0802-20-financial-deposit-GET-OK-Consultation_statut_credit_CCC-AUTO\r\nUSR-0802-21-financial-deposit-GET-OK-Consultation_statut_credit_CCC_PND-AUTO(GDO+)\r\nUSR-0802-22-financial-deposit-GET-OK-Consultation_statut_credit_CCC_REJ-AUTO_FalconV2\r\nUSR-0803-20-financial-history-GET-OK-late-AUTO'),
(3097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nVDE'),
(3096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nVDE'),
(2929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nIF Point Automatisation - Claude Paoli'),
(2971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nReunion Presto + suite evolution cas de tests webapp'),
(2931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nDocumentaion gestion des sessions utilisateurs FALCON\r\nSupport application Euromillions \r\n'),
(2932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nPoursuite de l\'analyse pour pouvoir formaliser la demande de support de la part du RSI'),
(2933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nJ\'ai regardé quelques plans suggérés dans la formation d\'automatisation pour la compréhension des erreurs. Activités divers et en attente de IF'),
(2934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nAnalyse des flux pour la webapp wspo, des cas nominaux et des cas d\'erreur. (1jrs)'),
(2937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\ncomplement flux wspo (0,5 jrs) + atelier Olympia (0,20) + ajout offre sport sur l\'INT4 pour commencer la qualification de la version SPDV 2.0.32.'),
(2936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nCampagne de test ALM SPDV 2.0.32 sous INT4 --> création des anomalies ANO041208 et ANO041212. Installation sous INT2 pour les tests métiers.'),
(3110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nredaction cas de tests'),
(3109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nProjet OLYMPIA'),
(3069, 'Remarque : les problèmes relevés concernant les IHM :\r\n• Conventions > Groupes\r\n• Conventions > Utilisateurs > Ajouter à un groupe\r\nvenaient du fait que le responsable habilitations était également admin partenaire. Du coup, en refaisant le test avec un user simplement responsable d\'habilitation, les IHM sont conformes'),
(3603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nRédaction de cas de tests ALM pour Portail tablettes'),
(3067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nConception des tests IF'),
(7414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nFiabilisation création des joueurs, mise en place int4'),
(2947, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\r\nSupport à la recette pendant les congés de steven du 11/07 au 15/07.\r\nEchange avec Fédéric Biava sur les interfaces ISU\n\n'),
(2950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nInstallation du jeu motors Duel de cartes v2\r\n+ mise a jour de la doc d\'installation\r\n+ contribution du jeu sous eDWAN'),
(2951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nContribution eDWAN du jeu duel de cartes v2\r\n+ Rédaction d\'une doc eDWAN'),
(3286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nEcriture de tests d\'acceptation pour le jeu Duel de cartes v2'),
(2970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nIF Postgres\r\nIF scénarisation par blocs'),
(2954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nIF Postgres\r\nIF Scénarisation par blocs'),
(2956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nAtelier ALM - Mise en place reférentiel IQ DIGITAL FRONT (F. Gendraud)'),
(2957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\n[OLYMPIA] Atelier hebdomadaire + documentation'),
(2958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nINT3 : Mise à niveau prod (FRONT + Boutik)'),
(2959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\n- Présentation proposition d\'organisation projet ALM IQ DIGITAL FRONT (Y. TISON, M. BASTIDE, F. GENDRAUD)\r\n- Aliementation du projet - suite\r\n'),
(2960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\n[OLYMPIA] Création nouveau composants applicatifs MACC, MICC, MUCC sur ojadgate, mise à jour du script d\'installation, déploiement sur INT7 '),
(2962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\n[OLYMPIA] Inventaire cas de tests MACC'),
(2963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nAnalyse et ajout de cas de tests Fonctions de masse et Batch'),
(2964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAnalyse et ajout cas de tests BATCH'),
(2965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAnalyse pour préparation acceptance BATCH'),
(2966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nRécupération des docs de confluence'),
(4085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nRéunion Présentation API avec C. Boitel'),
(2968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nAcceptance Batch'),
(5012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nAcceptance Batch'),
(2972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nFDL013734\r\nFDL013691\r\n'),
(2973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nFiabilisation création des joueurs, mise en place int4'),
(2974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nExecution tests AUTO As Capone '),
(2975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nExecution tests AUTO As Capone '),
(2976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nExecution tests AUTO As Capone '),
(2977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nExecution tests AUTO As Capone '),
(2978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nExecution tests AUTO As Capone '),
(3022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-03  (Do not remove this line) -->\nPrise de connaissance du projet, recherche pour tablette ou mobile avec bonne version instalée. + Début  test sur Iphone et Tablette Samsung Galaxy tab 10,1'),
(7415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nFiabilisation création des joueurs, faisabilité motors'),
(2983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nExécution de la campagne INT2V2 sur Différents supports.'),
(2984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nExécution de la campagne INT2V2 sur Différents supports.'),
(2985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nExécution de la campagne INT2V2 sur Différents supports.'),
(2986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nEtat des lieux de Mapi '),
(2987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nExécution de la campagne INT2V2 sur Différents supports. Rédaction du compte rendu de la semaine.'),
(2989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nEtat des lieux de Mapi '),
(2990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nImplémentation scripts MAPI '),
(3157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : Collecte d\'informations sur 9659	[Modérateur] -Stream coco -composants du compte'),
(2992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : MAJ référentiel de tests 	Analyse du référentiel de tests par rapport à l\'EB obtenue\r\n'),
(2995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nEtats des lieux - Catalogue de tests DigishopA'),
(3648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : MAJ référentiel de tests Analyse du référentiel de tests par rapport à l\'EB obtenue'),
(3146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : Analyse des évolution'),
(3150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nPalier septembre (MOD008438/9659/9661) : Complétude des cas de tests existants, recherches en base de données et reproduction des anomalies'),
(2997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nImplémentation scripts Digishop A '),
(2998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nRédaction cas de tests Projet Diamond'),
(2999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nTravail sur les services Boutik / composans du compte (Projet Olympia)'),
(3000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nTravail sur les services Boutik / composans du compte (Projet Olympia)'),
(3002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nTravail sur les services Boutik / composants du compte (Projet Olympia)'),
(3003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nExécution de la campagne INT2V1 sur Différents supports.'),
(3004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nExécution de la campagne INT2V1 sur Différents supports.'),
(3005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nExécution de la campagne INT2V1 sur Différents supports.'),
(3006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nExécution de la campagne INT2V1 sur Différents supports.'),
(3007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nExécution de la campagne INT2V1 sur Différents supports.'),
(3009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(5320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nPrise en main'),
(3013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nRéagencement des campagnes de test et Exécution de la campagne  sur Différents supports.'),
(3019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-01  (Do not remove this line) -->\nPrise de connaissance du projet, recherche pour tablette ou mobile avec bonne version instalée. + Début  test sur Iphone et Tablette Samsung Galaxy tab 10,1'),
(3095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nVDE'),
(3094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nVDE'),
(3023, 'Livraison le 08/07 hbt.ap-0250.415008'),
(3024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nAction : développement/maintenance test acceptance DIGISHOP A \r\nLivrable : catalogue de test DIGISHOP A acceptance ALM'),
(3032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nAction : rédaction/maintenance des tests Digishop A \r\nLivrable : catalogue de test digishop A'),
(3027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nAction : développement/maintenance test acceptance DIGISHOP A \r\nLivrable : catalogue de test DIGISHOP A acceptance ALM'),
(3028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nAction : développement/maintenance test acceptance DIGISHOP A : analyse des services liés à la perte du mot de passe \r\nLivrable : signalement du problème à l\'équipe de dev fonctionel et script + représentation schématique du séquencement '),
(3029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nAction : exécution/analyse des campagnes boutik suite à la livraison de falcon 2.1.23\r\nLivrable : bilan de test '),
(3030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nAction : exécution/analyse des campagnes boutik suite à la livraison de falcon 2.1.23\r\nLivrable : bilan de test '),
(3031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nAction : rédaction/maintenance des tests Digishop A \r\nLivrable : catalogue de test digishop A'),
(3033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nAnalyse de campagne'),
(3034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nAnalyse de campagne'),
(4320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nAnalyse de campagne'),
(4321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nEcriture de test'),
(3037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nSpécification COJO / [COHERIS] Avancement des sujets'),
(3038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nAnalyse reprise chargement client / [DOC] Préparation SFD COHERIS COJO'),
(3039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\n[DOC] Préparation SFD COHERIS COJO / Développements COJO'),
(3040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\n[DOC] Préparation SFD COHERIS COJO / Développement COJO'),
(4647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nExécution des plans de test PRESTO'),
(3042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nDIAMOND_Besoin 3 : Exécution des tests manuels '),
(3055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\n- Préparation MEP avec HIA\r\n- Répétition MEP avec HIA\r\n- déploiement :\r\n2.3.0_edwan	FDL013488\r\n2.3.0-p1_edwan	FDL013592\r\n2.3.0-p2_edwan	FDL013647\r\n2.2.0_hasard	FDL013489\r\n2.2.0-p1_hasard	FDL013589\r\n2.2.0-p2_hasard	FDL013611\r\n2.2.0-p3_hasard	FDL013624\r\n2.2.0-p4_hasard	FDL013688\r\n2.3.1_mapi	FDL013584\r\n2.1.0_mobi	FDL013492\r\n1.3.0_wloto	FDL013495\r\n1.3.0_weuml	FDL013494'),
(3056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\n[DOC] Préparation SFD COHERIS COJO / [COJO] point specs COJO / [COHERIS] Avancement des sujets'),
(3057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\n- Campagne de tests pour INT1 sur Stream PHP pour MEP\r\n- Support pb jeux RTG sur INT1'),
(3058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\n- MEP GDO Run\r\n- Support portail tablette, affichage des résultats non souhaités sur Diamond'),
(3059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\n- Maj de l\'ensemble des docs sur ojadgate\r\nAjout des nouvelles docs mobi, spdv\r\nmapi	2.3.1_mapi, 3.0.0_mapi, 3.0.1_mapi, 3.0.3_mapi\r\nmobi	2.1.0_mobi, 3.0.0_mobi, 3.0.1_mobi, 3.0.2_mobi\r\nmrcd	1502i_mrcd, 3.0.0_mrcd\r\nspdv	2.0.29-1, 2.0.32\r\n- suppression des docs sur l\'ensemble des fronts mapi, mobi, spdv, rcd INT1..8 (nettoyage)\r\n- Pt sur prochaines livraisons pour Diamond Stream PHP'),
(3088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nUSR-15-72-subscription-GET-OK-Consultation_souscriptions_offre_SPORT-AUTO\r\n[1]USR-0109-01-account-pin-PUT-OK-Confirmation_PIN_majorite_IBAN_OK-AUTO\r\nUSR-0109-02-account-pin-PUT-OK-Confirmation_PIN_modification_adresse-AUTO\r\nUSR-04-02-blockings-POST-OK-Ajout_nouveau_blocage_duration-MIXTE_siteCode_SPORT-AUTO'),
(3061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nPassage chargement baj sur articles non conformes (1/4) / [DOC] Préparation SFD COHERIS COJO (1/4) / Développement COJO (1/2)'),
(3062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nConception des tests IF'),
(3063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nConception des tests IF'),
(3065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nConception des tests IF'),
(3066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nConception des tests IF'),
(3070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nmise à jour test USR-0105-02-account-optins-PUT-OK-MIXTE-AUTO'),
(3071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nj\'ai trouve la cause du plantage :  pb de la taille du segment pour stocker les CMR'),
(4655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nRéunion IF test manuel/test auto'),
(4681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nmise à jour test USR-0105-02-account-optins-PUT-OK-MIXTE-AUTO'),
(3074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nmise à jour test USR-0105-02-account-optins-PUT-OK-MIXTE-AUTO et analyse des tests automatiques à utiliser pour IF'),
(4682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nmise à jour test USR-0105-02-account-optins-PUT-OK-MIXTE-AUTO'),
(3076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nmise à jour test USR-0105-02-account-optins-PUT-OK-MIXTE-AUTO'),
(3077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nanalyse des tests automatiques à utiliser pour IF'),
(4683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nanalyse des tests automatiques à utiliser pour IF'),
(3079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nFormation sur les tests automatiques'),
(3081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nanalyse des tests automatiques à utiliser pour IF et Mise à jour du test USR-05-30-bonus-{bonusId}-GET-OK-late-AUTO'),
(3082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nUSR-1401-05-session-authenticate-POST-OK-IBAN_OK-AUTO\r\nUSR-1401-06-session-authenticate-POST-OK-majorite_OK-AUTO\r\nUSR-1401-07-session-authenticate-POST-OK-majorite_IBAN_OK-AUTO'),
(3083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nUSR-1401-08-session-authenticate-POST-OK-Confirme-AUTO\r\nUSR-1401-09-session-authenticate-POST-OK-Confirme-PACKMAN-AUTO\r\nUSR-1401-10-session-authenticate-POST-OK-login_numerique-AUTO\r\net analyse des tests automatiques à utiliser pour IF'),
(3084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nanalyse des tests automatiques à utiliser pour IF'),
(3085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nUSR-15-72-subscription-GET-OK-Consultation_souscriptions_offre_SPORT-AUTO\r\net analyse des tests automatiques à utiliser pour IF'),
(3086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nUSR-01-05-account-POST-OK-Inscription_Interdit_de_jeux-AUTO et  analyse des tests automatiques à utiliser pour IF'),
(3087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\n- Support pb portail-tab/ redirection tablettes android vers portail mob Pb de contribution Drupal, corrigé - Organisation ALM Stream PHP - Support pb de redirection sur site hasard, maj des tags nécessaire'),
(3089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nUSR-04-03-blockings-POST-OK-Ajout_nouveau_blocage_duration-SPORT_siteCode_SPORT-AUTO\r\nUSR-04-04-blockings-POST-OK-Ajout_blocage_permanent-AUTO'),
(4656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nréunion IF'),
(4684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nUSR-04-21-blockings-GET-OK-Consultation_blocages_actifs_temporaires-AUTO\\nUSR-04-22-blockings-GET-OK-Consultation_blocages_inactifs_avec_date_fin-AUTO\\nUSR-05-11-bonus-POST-OK-AUTO'),
(3092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nUSR-100101-21-geo-birth-cities-GET-OK-Presences_villes-AUTO\r\nUSR-080102-21-financial-bank-accounts-GET-OK-Consultation_comptes_bancaires_disabled-AUTO\r\nUSR-0802-20-financial-deposit-GET-OK-Consultation_statut_credit_CCC-AUTO'),
(3457, 'Retrait de l\'utilisateur du filtre uniquement si il s\'agit du partenaire responsable habilitation du groupe sélectionné.'),
(3100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\ndev API authent et scripts ITF'),
(3101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nLire la documentation liée à IF'),
(3106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nProjet OLYMPIA'),
(3107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nProjet OLYMPIA'),
(3103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nModification (taggage, temps d\'execution, correction) des cas de tests sur ALM + tests int1 en vue de la mep lundi'),
(3111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nSupport bug PROD Euml / Loto Test EUML / LOTO (installation nouvelle version wloto et weuml) Point avec PGilles sur les outils de tests a utiliser'),
(3112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nIF : Script Presto FALCON USR et maj API'),
(4382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nCorrections dans l\\\'API sur TC de PDJ Keno avec JokerPlus et réunion'),
(3119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\n[OLYMPIA + MODERATEUR + DIAMOND] Analyse des évolutions Boutiques A et U'),
(3116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nAnalyse de la documentation disponible sur ITF'),
(4576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\n[ITF] Réunion cadrage Dev'),
(4407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nAnalyse des spécifications fonctionnelles et des descriptions des API REST ITF et atelier  Echange sur API Rest ITF'),
(3121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\n[OLYMPIA] Prise en compte des documentations (suites aux démo à Boulogne)'),
(4577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\n[ITF] Atelier Automatisation des tests'),
(3123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nCR des demos suite aux démo à Boulogne (pour Matthieu Le Ray)  '),
(3124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nApprofondissement de l\'architecture et des environnements d\'intégration pour ITF'),
(4410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nPoint projets Plateforme de Performance / Scripting / Automatisation'),
(3139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nITF scénarisation de blocs'),
(3127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\n[OLYMPIA] Préparation atelier du 26/07\r\n- Architecture\r\n- Inventaire des services\r\n- Schémas flux '),
(4412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nITF scénarisation de blocs'),
(3129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nITF scénarisation de blocs'),
(3132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nITF scénarisation de blocs'),
(4414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\n[ITF] Atelier Automatisation des tests'),
(3133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nITF scénarisation de blocs'),
(3134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nITF scénarisation de blocs'),
(4416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nITF'),
(3137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nITF scénarisation de blocs'),
(4411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nITF scénarisation de blocs'),
(3144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nExécution test'),
(3153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nAnalyse'),
(3154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nRécupération des informations'),
(4815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\\\\n01- Remise de cas de test dans leurs répértoire respectifs\\\\n02 - Rectification de la priorité de certains cas de test\\\\n03 - Mise à jour de cas de test'),
(3168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Remise de cas de test dans leurs répértoire respectifs\r\n02 - Rectification de la priorité de certains cas de test\r\n'),
(3169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nMise à jour de cas de test\r\nRédaction de cas de test'),
(3167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Remise de cas de test dans leurs répértoire respectifs\r\n02 - Rectification de la priorité de certains cas de test\r\n03 - Mise à jour de cas de test\r\n04 - Rédaction de cas de test'),
(3170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Remise de cas de test dans leurs répértoire respectifs\r\n02 - Rectification de la priorité de certains cas de test\r\n03 - Mise à jour de cas de test\r\n04 - Rédaction de cas de test'),
(3171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-02  (Do not remove this line) -->\nBesoin : Analyse Spécifications Presto'),
(4685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nMise à Jour cas de test Presto( La POM 70 cas de test à revoir )\r\n01- Suppresion de tests obsoletes\r\n02 - Mise à jour de cas de test\r\n03 - Recherche d\'information Presto (Gilles)'),
(3173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-07  (Do not remove this line) -->\n01/ Révision de differentes documentaions PRESTO\r\n02/ Identifiaction des perimetres de test\r\n03/ Réunion bilan GDO Responsable Mael vala-viaux : 14h30 à 16h45'),
(3174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\n01/ Révision de differentes documentaions PRESTO\r\n02/ Identifiaction des perimetres de test'),
(3175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\n01/ Révision de differentes documentaions PRESTO\r\n02/ Identifiaction des perimetres de test'),
(3176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\n01/ Révision de differentes documentaions PRESTO\r\n02/ Identifiaction des perimetres de test'),
(3217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\n	01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(4817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\ninstallation IF'),
(3216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\n	01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\n	01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\n01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\n	01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nInstallation IF (Backup Johan)'),
(3209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\n01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\n01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\n	01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/Réunion Avec Valerie Leroux: 14:30-16:30'),
(3210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\n01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nInstallation IF (Backup Johan)'),
(3193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\n01/ Rédaction de cas de test\r\n02/ Révision de differentes documentaions PRESTO\r\n03/ Identifiaction des perimetres de test'),
(3201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-03  (Do not remove this line) -->\nBesoin : Analyse et qualification'),
(3207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\n01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\n01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test'),
(3205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\n01/ Rédaction de cas de test 02/ Révision de differentes documentaions PRESTO 03/ Identifiaction des perimetres de test 04/ Réunion Avec Valerie Leroux: 15:30-16:50'),
(3223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nInstallation Presto + debug'),
(3224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nInstallation IF'),
(3225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-06  (Do not remove this line) -->\nPresto presentation archi'),
(3226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-07  (Do not remove this line) -->\nPresto installation SALT'),
(3227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nPresto'),
(6893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nPresto'),
(3229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nPresto'),
(3230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-13  (Do not remove this line) -->\nPresto'),
(3231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nPresto'),
(3232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nPresto'),
(3233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nPresto'),
(3234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nPresto'),
(3235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nPresto'),
(6542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nPresto'),
(3237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nPresto'),
(4760, 'La date de clôture de l\'admin partenaire est ajustée en fonction de la date de clôture de la convention.\r\nElle ne peut pas être antérieure à cette dernière.   '),
(3239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nPresto'),
(3240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nPresto'),
(6545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nPresto'),
(4767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nPresto'),
(4770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\ntransfert de competence'),
(3244, 'Correction de l\'IHM Conventions > Utilisateurs > Gérer l\'appartenance à un groupe.\r\nAjout d\'un traitement pour n\'afficher que les groupes dans le rayon d\'action du responsable d\'habilitation dans le cas ou celui-ci n\'est pas aussi admin partenaire.'),
(3245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nIF Scénarisation par blocs\r\nIF Postgres'),
(3246, 'Lors de la conversion du model en dto, l\'attribut permettant de définir si la suppression du partenaire était possible était calculé sur le fait ou non que l\'utilisateur soit responsable d\'un ou plusieurs groupe. Ajout d\'une vérification également sur le fait que celui ci soit admin partenaire au niveau du dto.\n\n'),
(3248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nPlan de tests IFF  / synthèse sur confluence'),
(3249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nPlan de tests IF '),
(3250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nPlan de tests IF '),
(3251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nPlan de tests IF '),
(3252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nPlan de tests IF '),
(3253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nMise en place de l\'environnement IF côté FDJ'),
(3254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nMise en place de l\'environnement IF côté FDJ'),
(3255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nSuivi automatisation - suivi de l\'avancement du catalogue de test - VSR GDO'),
(3256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nAtelier sur l\'authentification  - VSR GDO'),
(3257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nCoproj IF - suivi de livraison - intégration déploiement'),
(3258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nMatrice des exigences techniques avec LBO  - Suivi VSR GDO'),
(3259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nMatrice des exigences techniques avec LBO  - Suivi VSR GDO'),
(3260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nMatrice des exigences techniques avec LBO  - Suivi VSR GDO'),
(3261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nPoint de situation Intégration / Acceptance - Relance des retards et demandes d\'ateliers.'),
(3262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-07  (Do not remove this line) -->\nWebAppo Sport: \r\nVerification des logs, analyse des logs archivés sous apache2php-bo. Test de contribution sous la CMS + continuité de préparation de la MEP [SPORT2000]'),
(3263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\nWebApp Sport:\r\nPréparation MEP [SPORT2000], livraison, dépannage de bug.'),
(3264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-14  (Do not remove this line) -->\nComposants du compte:\r\nInstallation MAG (FDL013454) et MUG (FDL013455)\r\n'),
(3265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-15  (Do not remove this line) -->\nComposants du compte:\r\nMontée en compétence avec récuperation des doc sur confluence + déploiement de campagne de test GDO (pour montée en compétence sur les tests lab) + Installation MAG (FDL013454) et MUG (FDL013455) (VSR) suite a reception de fiche de livraison suite a la MEP GDO (FDL + Déploiement de campagne de tests suite a l\'installation des nouveaux modules'),
(3266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-16  (Do not remove this line) -->\nComposants du compte:\r\nDéploiement cas de test sur INT3 GDO sur mig-ma-mug-wof'),
(3267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-17  (Do not remove this line) -->\nComposants du compte:\r\nDéploiement cas de test sur INT5 pour VSR GDO mig-mag-mug-wof'),
(3268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nComposants du compte:\r\nInstallation sur INT des composants: \r\nwof 2.0.311(FDL 013413) \r\nwcpte 2.1.6 (FDL 013455)\r\nspdv 2.0.29 (FDL 013369)\r\n\r\neDwan 2.2.18-p5 (FDL 013355)\r\n\r\n+ deploiement campagne de tests mig-mag-mug ALM projet GDO'),
(3269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nComposants du compte:\r\nInstallation des boutiques digishopa, digishopu et digishopi + création des cas de tests digishop sur ALM dans le projet GDO et deploiement de la campagne de test mig mag mug associés'),
(3270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nComposants du compte:\r\nCréation des cas de tests mig-mag-mug-wof pour INT3 pour le projet GDO\r\n\r\nInstallation auth 2.0.60 (FDL 013454) + crÃ©ation campagne de test\r\n\r\nDeploiement des cas de tests precedement crÃ©Ã©\r\nRemontée de l\'erreur back-end falcon sur le palier Diamond qui cause les erreurs de PDJ RTG'),
(3271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nComposants du compte:\r\nCréation campagne de test pour mig-mag-mug INT4 + Déploiement de la campagne (environnement qui servira au RUN GDO) + Analyse incident sur INT4 sur jeux Illiko (erreur mapi)\r\nincident affichage joker+ sur INT2'),
(3272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nFdj.fr:\r\nAnalyse d\'anomalie sur les composants mig-mag-mug\r\nAnalyse des anomalies portant sur Illiko INT4 et Joker + INT2 '),
(3273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nFdj.fr:\r\nCréation d\'un fichier excel regroupant tous les cas de tests et tous les steps de chaque stream pour extraction des actions réalisées par la suite'),
(3274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nComposants du compte:\r\nDéploiement des campagnes de test MIG-MAG-MUG-WOF sur test5.integ à la demande de P.AMERIOT'),
(3275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nFdj.fr:\r\nmise a jour du fichier d\'excel contenant tous les cas de tests et les steps pour tous les streams'),
(3276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nFdj.fr:\r\nRédaction des cas de tests dans le test plan de Hasard et MAPI \r\n19 cas de tests pour 78 steps'),
(3277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nContinuité de redaction des cas de test MAPI + création du cas de test MOBI dans le test plan + création des tests lab de Hasard, MAPI et MOBI');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(3278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nFdj.fr:\r\nfinalisation de la création des tests lab Hasard MAPI et MOBI + déploiement des campagnes de tests associé'),
(3279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-09  (Do not remove this line) -->\nWebApp Sport:\r\nJour de la MEP [SPORT2000], finalisation de résolution des ANO, analyse du ModeOP réalisÃ©, analyse des derniers logs. Début de MEP prÃ©vu l\'apres midi'),
(3280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-10  (Do not remove this line) -->\nWebApp Sport:\r\nVérification et résolution des ANO qui vont remonter en PROD suite a la MEP [SPORT2000] réalisée le 09/06/2016'),
(3281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nFdj.fr:\r\nDeploiement des campagnes de test Hasard- MAPI - Wof + verification mig mag mug suite au déploiment des FDL pour installation Hasard et Edwan (fait par M.PUECH) sur INT4 pour la VSR GDO'),
(3282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nFdj.fr:\r\nDéploiement des cas de test mig-mag-mug-wof-hasard-mapi sur INT2 suite à l\'installation des composants par M.PUECH pour la mise a jour DIAMOND du domaine d\'intégration pour version RUN et prévision de la recette'),
(3332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nremise à jour de la doc car il n\'avait pas la dernière version'),
(3333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nLire des documents en attendant la platforme IF'),
(3650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nEn attente Install version 2.2.2 sur INT6 : complément sur référentiel de test'),
(3336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\natelier flux gaya\r\nMireille, Lindsay, Renaud, Jean Marc, Sybil'),
(3651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\n1/2 journée ==> Formation automatisation 1/2 journée ==> Complétude tests palier septembre'),
(3584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\n- Suite qualification et test des notifications et recu checker Euromillions (DIAMOND)'),
(3341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nLanceurAPP.sh foireux + multiples tirs 058/059 en erreurs '),
(3342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nAnalyse et correction du problème d\'installation du jeu duel de cartes v2 sur INT3\r\nFinalisation de la doc d\'install des jeux motors'),
(3343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nEcriture de test'),
(3344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nPoint IF Automatisation'),
(3345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nQualification vitan mify et Olympia'),
(3347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nqualification vitan mify et Olympia'),
(3348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nqualification vitan mify et Olympia'),
(3350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nqualification vitan mify et Olympia'),
(3351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nqualification vitan mify et Olympia'),
(3354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nTravail sur Projets Olympia : Liste services / Schémas fonctionnelles / Cas de tests'),
(3353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nAnalyse anomalies Composants du Compte'),
(3355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nAtelier Olympia - P Amerio'),
(3356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nTravail sur Projets Olympia : Liste services / Schémas fonctionnelles / Cas de tests'),
(3435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\n04/08 : MAJ des tâches CodevTT + suivi des tâches dans l\'équipe.'),
(3358, 'En attente de la MOA'),
(3359, 'En attente de la MOA'),
(3360, 'KO sur le cahier de recette V3 15-07-2016 - Scope ISU.'),
(3361, 'Corrigé par l\'équipe ISU'),
(3362, 'Corrigé par les équipes de la CNAF - vu sur la liste des signalements à OK le 30/06/2016'),
(3363, 'fichier de signalement : \"OK le 30/06/2016 comportement normal d\'après mail de F.BIAVA\"\r\n'),
(3364, 'Acquit. OK sur le fichier de signalement, responsabilité ISU : \r\n\"29/06 : Pas d\'interet à voir le bouton valider quand on saisit un mot de passe => A dé prioriser en P3 \r\nMOA à solliciter pour juger de la pertinence de la modification\"\r\n'),
(3365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nLe developpement de la partie 1  ( libelle Caisse dans COMBO est terminé),\r\npour la partie 2 ( libelle Caisse dans Bandeau supérieur), demande d\'expertise au RSI car on ne trouve pas la solution- mise en stand by dans l\'attente du retour'),
(3373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nOLYMPIA : analyse composant WSPO + Maj ALM'),
(3369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nQualification Notifications sur les APPLIS Euromillions'),
(3374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nOLYMPIA : analyse composant WSPO + Maj ALM (0,5) + atelier OLYMPIA (0,5)'),
(3372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nFormation nouvelle ressource Webapps SPORT (0,4) + SPDV (0,4 - Pb résultats) + WSPO (0,2)'),
(3509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nAnalyse USR'),
(3510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nAnalyse installation USR + Presto en vu de l\'installation de l\'USR 2.3.0 Alpha 3 pour IF- Vu avec Gilles Vassallucci et Nicolas Fontaine pour analyse- Installation Lostsys sur INT7 prévu le 04/08'),
(3505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\n	Mise a jour des cas de tests Hasard et Mapi pour le stream FDJ.fr 30 steps rajoutés + Analyse via Falcon webservice tester- Prise de connaissance des mises a jours sous Confluence IF suite a retour conges'),
(3586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nAnalyse des campagnes'),
(3534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\ncojo'),
(3535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nTests AUTO AS Capone (Prise de jeu contrôlée) Rang de gain de 5 à 10'),
(3382, 'Tache reservée à la preparation de la formation  TRA'),
(3850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\n- Support sur problème de promulgations sur INT2, fichiers de flux manquants à la date du 12 Août\r\nPb d\'affichage de la page de résultats\r\n- Anos remontées sur des erreurs JS potentiellement liées aux pb de promulgations\r\n- Importation des données d\'INT2 vers INT8 pour diagnostique\r\n- Analyse des nouvelles livraisons 2.2.0_mobi et 2.4.1_mapi\r\n- maj des scripts auto de control mapi'),
(3849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nAnalyse'),
(3386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nTests / Recherche suite ANO redirection euromillions sur portail/mob au lieu de tab'),
(3387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nBrief Vanessa nouvelle arrivante sur Olympia et composants du compte'),
(3388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nTravail projet Olympia : services Falcon et impacts Digishop'),
(3389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nFDL013760 : Installation MUG Diamond + tests'),
(3390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nTravail Projet Olympia'),
(3391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nSupports Anomalies'),
(3392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nTravail projets Olympia MICC / MACC / MUCC'),
(3393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nRéunion IQ Front'),
(4081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nacceptance Batch'),
(3508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nAnalyse USR'),
(4083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nAcceptance Batch'),
(4084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\ncoordination Olympia'),
(3507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nLivraison USR 2.3.0 alpha 4 pour IF prévu ce jour avec aide Gilles VASSALLUCCI que je dois suivre'),
(3506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nAnalyse installation USR 2.3.0 sur INT7 pour installer ensuite sur INT3'),
(3400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nFinalisation tests AUTO AS CAPONE (Socle commun) '),
(3401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nFinalisation tests AUTO AS CAPONE (Socle commun) '),
(3402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nFinalisation tests AUTO AS CAPONE (Socle commun) '),
(3539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nANOMALIE'),
(3404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nTests AUTO AS Capone (Prise de jeu contrôlée) Rang de gain de 5 à 10'),
(3405, 'Lindsay: on peut commencer le dev'),
(3406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nLecture DOC + LOG tests'),
(3407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nTransfert de connaissance Automatisation à Sylvie (initiation)'),
(3408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nLecture et info IF'),
(3410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nAction : développement/maintenance des tests digishopA \r\nLivrable : cahier de test boutik DigishopA '),
(3414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nAction : développement/maintenance des tests digishopA \r\nLivrable : cahier de test boutik DigishopA '),
(3415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nAction : développement/maintenance des tests digishopI\r\nLivrable : cahier de test boutik DigishopI '),
(3417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nAction : développement/maintenance des tests digishopU\r\nLivrable : cahier de test boutik DigishopU'),
(3418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nAction : développement/maintenance des tests digishopU\r\nLivrable : cahier de test boutik DigishopU'),
(3419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nPROJET OLYMPIA + Formation Vanessa sur le stream sport.'),
(3420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nProjet OLYMPIA'),
(3654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nRéunion avec Marc DOMENGE et HAKIM Belhouane pour une présentation générale et globale de leur projet PRESTO (contexte, documentation, architecture, ...). '),
(3423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nPoint projets Plateforme de Performance / Scripting / Automatisation - Claude Paoli'),
(3424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nIF Scénarisation des blocs'),
(3426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nbingo RWD coproj'),
(4811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nbingo test client support à NYX'),
(3428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nfichier traduction bingo'),
(3429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nsupport MEP B13'),
(3430, 'But non reproductible sur le local + PI le 04/08/2016.\r\nUne solution a probablement été apportée précédemment.'),
(3431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nDéveloppement COJO - Infocentre BO (Tables, loaders)'),
(3432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\r\nDéveloppement COJO - Infocentre BO (Procédures)'),
(3433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nDéveloppement COJO - (Maj doc, Maj proc, fichier  bouchon pour test)'),
(3434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nDéveloppement COJO - (Maj doc, Maj proc, fichier  bouchon pour test)'),
(3436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\n1/08 : Préparation de la commande, analyse des RAFs, préparation du Excel.'),
(3438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nDeveloppement de script d\'automations IF'),
(3511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nAnalyse des anomalies Falcon ; Analyse des logs Falcon pour montée en competence IF + deploiement des cas de test mig-mag-mug-wof-weuml-wloto-hasard-edwan pour analyse des fonction a verifier pour la non régression suite a livraison IF'),
(3440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nÉcriture cas de test \r\n02 - Test IQ > 00 - Livrables > Livrable > 05 - Archive de livraison - Motors\r\n02 - Test IQ > 09 - Jeux ILLIKO > 01 - Referentiel > 01 - Motors'),
(4383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nréunions (Atelier ITF + présentation Olympia)'),
(3444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nRédaction procédure d\'installation de jeux PRESTO'),
(3481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\n- Recherche d\'information pour l\'installation du jeu PRESTO As Capone \r\n- Rejet de la livraison du jeu PRESTO \'As Capone\' faute d\'avoir une procédure d\'installation claire\r\n- Ecriture de cas de test d\'acceptance de jeu PRESTO'),
(3450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nDev scripts ITF et API : mutualisation d\'une gestion d\'erreur sur PDJ RTG avec ITG'),
(4384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\ndev API et Analyse de la nouvelle doc de l\\\'API USR 2.3.0 Olympia'),
(3449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nDev scripts ITF et API Prérequis login pour ITF'),
(3452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nTest ALM et Qualif Euromillions (Android / IOS) : FDL013776 et FDL013775\r\nPoint sur les notifications avec Phillipe'),
(3453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nMise à niveau Diamond pour environnement de Qualif\r\nNouvelles livraisons + MEP du Lundi 25 Juillet\r\n3.0.4_mapi	FDL013741\r\n3.0.1_mrcd	FDL013745\r\n2.3.0_edwan	FDL013488\r\n2.3.0-p1_edwan	FDL013592\r\n2.3.0-p2_edwan	FDL013647\r\n3.0.1_edwan	FDL012940\r\n3.0.6_edwan	FDL013537\r\n2.2.0_hasard	FDL013489\r\n2.2.0-p1_hasard	FDL013589\r\n2.2.0-p2_hasard	FDL013611\r\n2.2.0-p3_hasard	FDL013624\r\n2.2.0-p4_hasard	FDL013688\r\n3.0.6_hasard	FDL013778\r\n'),
(3638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nqualif: vitan myfi+création des cas de test: olypmia pdv mobile+problème push notification : appli mobile euml'),
(3848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nTests unitaires Chargementreclamationspdv'),
(3461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nAnalyse sur problèmes d\'authentification des serveurs edwan\r\nAlgorithme retravaillé pour pb de redirection\r\nCorrrection contribution métier sur Int2 suite maj composants front'),
(3459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nCorrectifs de scripts digishop A'),
(3460, 'Étapes pour tenter de reproduire : \r\n\r\n- Ajout de l\'utilisateur u1 au groupe g1.\r\n- Dans Convention > Utilisateurs > Gérer l\'appartenance de l\'utilisateur\r\n- Dans la liste déroulante \"Groupe :\" le groupe g1 apparaît.\r\n\r\n- Suppression du groupe g1\r\n- Dans Convention > Utilisateurs > Gérer l\'appartenance de l\'utilisateur\r\n- Dans la liste déroulante \"Groupe :\" le groupe g1 n\'apparaît plus.'),
(3462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nCorrectifs de scripts digishop A'),
(3463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nCorrectifs de scripts digishop U'),
(3464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nCorrectifs de scripts digishop U'),
(3465, 'n\'arrive qu\'en 2016 si 3 annees consecutives avec assiette sociale taxee identique\r\n\r\nn\'arrivera plus l\'annee prochaine (nouvelle formule)\r\n\r\n715 dossiers\n\n'),
(3466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nSupport ano Stream portail/tab, pb d\'accès aux ressources avec tablette et navigateur Firefox\r\nVu avec Stream Portail, pb lié aux certificats d\'intégration\r\nPoint sur les livraisons prévues en semaine pour Diamond\r\nSupport ano pour pb de contribution non compatible avec css présent sur pages résultats'),
(3467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\n- Support ano038887, erreur de JS, vu avec le TL pour remonté pb, chargement du detect_os non effectué sur les pages libres\r\n- Installation livraison pour correction prod 2.2.0-p6_hasard	FDL013769\r\n- maj ALM campagne hasard\r\n- suivi des ano avec CP pour projet Diamond'),
(3468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nSupport ANO Stream PHP :\r\nANO040987	Validé	[DIAMOND] Android AppNative - non fonctionnement du bouton retour lors de l\'inscription \r\nANO040668	Affecté	DIAMOND Liens \"Réglement\" et \"Interdiction\" Pas de pop-up indiquant la redirecti\r\nANO040947	Affecté	[DIAMOND AMOA] - Site fdj.fr - Page Résultats\r\nANO040951	Validé	[DIAMOND][AMOA] Statistiques : zone numéros +/- sortis non alimentée\r\nANO041101	Affecté	[DIAMOND][AMOA] Problème d\'affichage relatif au Tirage Raffle sous le Tableau de Lots sur FDJ.fr\r\nANO041154	Validé	[DIAMOND][AMOA] Résultats: Pas de mention légale Raflle\r\nANO041300	Validé	[DIAMOND] [FDJ.FR] [FE] Affichage erroné du lien \"Tirage Exceptionnel : voir détails\"\r\nANO041102	Validé	[DIAMOND][AMOA] Le Background ne s\'affiche pas sur les Applications Android\r\nANO041140	Affecté	|DIAMOND][AMOA] Le montant des gains du Tirage Exceptionnel n\'est pas bon\r\nANO041314	Validé	[DIAMOND] Le code my million n\'est plus attribué après ABO+\r\nMOD009709	Affecté	[DIAMOND] Demand de maj du xml2bdd.php pour le traitement du $trace=1\r\nANO040960	Validé	[DIAMOND][AMOA] Les informations affichés par le module  STATISTIQUES de la WEBAPP ne sont pas corrects\r\nANO041092	Validé	[DIAMOND][MOA] Erreur dates tirage exceptionnel\r\nANO041141	Validé	[DIAMOND][AMOA] Notifications : impossible de les activer sur app Android\r\nANO041145	Validé	[DIAMOND][AMOA] Annonce d\'un Tirage Exceptionnel qui est déjà passé\r\nANO041155	Validé	[DIAMOND][AMOA] Le Layer d\'Aide ETOILE+ ne s\'affiche pas\r\nANO041237	Validé	[DIAMOND][AMOA] Statistiques non dispo si recherche = tirage récent'),
(3469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\n- Support ANO Stream PHP'),
(3474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nAnalyse + Ajout de controle.\r\nLe 01/07 : Non reproduit par le CNAF\r\nAcquit true. Cloture du mantis'),
(3473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nPoint téléphonique avec Lindsay et Achraf sur le Defect 4258. Analyse du code et des attentes fonctionnelles.'),
(3472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nRéunion avec Lindsay pour faire le point sur le RAF pendant son absence. Listing des responsabilités que je dois récupérer (Préparation COMIP et autres réunions, livraisons, suivi a effectuer auprès des autres collègues, communication à faire au client, gestion du planning...etc)'),
(3477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nRéunion avec N.Senoge pour la mise en place de l\'analyseur de log'),
(3479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nGestion des notifications / Points avec Philipe\r\nTest ALM Euromillions IOS\r\nRéunion ATOS\r\n'),
(3480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nInterprétation de l\'avancement sur IF (documentation de oAuth2 + services) + Lecture détaillée des plans de tests réalisés par Lotsys via leur Extract Excel (Envoyé par laurent Barrière)'),
(3482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nEcriture de cas de tests pour les jeux PRESTO'),
(3483, 'Evolution, ne rentre pas dans le cadre du Sprint #15.\r\n'),
(3484, 'Mise à jour de la fonction checkDate des partenaires pour inclure les règles de date pour un responsable d\'habilitation. Ajout de maj des responsables lors de la création et update de groupe.'),
(3485, '- Etude du code pour le TDB Top 5\r\n\r\n- Correction anomalies TDB4 - Montée en charge des profils\r\nLes données créées par pca-scheduler ne s\'affichent pas.\r\n-> insertion du siren sans espace\r\n-> insertion du mois à l\'heure 00:00:00 au lieu de 14:00:00\r\n\r\n- Création classe TdbCommon de type Singleton\r\n\r\nCes modifs ont été transmises par mail à Bertrand mais non commitées\n\n'),
(3486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nAide Sarah pour la configuration du front PCA'),
(3488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nSupport Sarah : problème accès WS PCA\r\nSupport Nicolas : résolution des problèmes de compilation pour PCA back'),
(3489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\n04/08 : Support sur un conflit de librairie + Revue des maquettes'),
(3490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\n04/08 : Etude technique sur les évolutions avec Kevin'),
(3493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\n08/08 : Support nouvel arrivant sur la mise en place de sa VM '),
(3492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nsupport validation avec Claude Bohler (Tel)'),
(3503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nREX'),
(3504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nMise à niveau Diamond sur environnement de recette INT2 2.3.0_edwan	FDL013488 2.3.0-p1_edwan	FDL013592 2.3.0-p2_edwan	FDL013647 2.2.0_hasard	FDL013489 2.2.0-p1_hasard FDL013589 2.2.0-p2_hasard	FDL013611 2.2.0-p3_hasard	FDL013624 2.2.0-p4_hasard	FDL013688 3.0.1_edwan	FDL012940 3.0.6_edwan	FDL013537 3.0.5_hasard	FDL013740 3.0.4_mapi	FDL013741 3.0.1_mrcd	FDL013745 2.0.17_weuml	FDL013734 1.3.2_wloto	FDL013691'),
(3495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\ndev API prerequis session ITF + suivi des dernières versions Falcon apparues sur ojadgate + maintenance scripts transverses'),
(3497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\ndev script automatisé orchestré Motors'),
(3498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nAnalyse problème de claude bohler'),
(3499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\n- Formation CodeVTT pour ALAA'),
(3500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nInvestigation bug notification sur IOS'),
(3501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nSuite investigation bug notification IOS\r\nRéunion equipe DIAMOND'),
(3502, 'Modification du CustomGroupConverter. Conversion du groupe en utilisant son nom d\'organisme en plus du groupe code qui n\'est plus unique.'),
(3639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nqualif: vitan myfi+création des cas de test: olypmia pdv mobile+problème push notification : appli mobile euml'),
(3522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nAnalyse nouvelle doc IF fournie par Lotsys\r\nOauth2 - Admin USR et RES USR'),
(3523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nAnalyse Instal USR Presto et analyse instal de jeux Motors sur le back + reunion sur IF entre Remi, Julien, Hichem et moi'),
(3524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\n[COJO] Point BO [DOC] Préparation SFD COHERIS COJO'),
(3527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nEcriture de test'),
(3529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nEcriture de test'),
(3530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nEcriture de test'),
(3653, 'Objectif : etude de Securisation des batch liferay (reprise sur panne/incident et monitoring pour l\'exploitation)\r\n\r\nOrigine du risque : si le batch crash et que personne s\'en apercoit => ???\r\n\r\n\r\n\r\n=> Proposer un system fiable pour ce batch treès critique en fait.\r\n\r\nBME'),
(3538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nANOMALIE'),
(3680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\n- Qualification application mobile (Notification et Recu checker)'),
(3544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nTest des anomalies du palier de Septembre'),
(3542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\ncokjo'),
(3834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nVie des environnements'),
(3545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\ncampagne de tests palier septembre regle des jours francs'),
(3546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\ncampagne de tests regle des jours francs'),
(3550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nAnalyse de campagne'),
(3552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nAnalyse de campagne'),
(3553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nDéconnexion et lag extreme'),
(3554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nLag de 20s toutes les  30s...'),
(3555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nAnalyse de campagne'),
(3556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nEcriture de test'),
(3558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nEcriture de test'),
(3559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nQualification site Portail Drupal'),
(3560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\n- Écriture test d’acceptance\r\n- Installation du mini-site PRESTO'),
(3561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nQualification du site ptab pmod'),
(3562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nQualification u site ptab pmod'),
(3565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nQualification u site ptab pmod'),
(3564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nQualification u site ptab pmod'),
(3566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nQualification u site ptab pmod'),
(3567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nQualification u site ptab pmod'),
(3568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nRédaction d\'une procédure pour l\'amélioration des fichiers logs sur les Back end sous Putty. Essayer de simplifier les fichiers logs dans l\'analyse des logs'),
(3569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nfin d\'installation mini-site presto\r\nAnalyse des appels de services en vue de completer les tests d\'acceptance PRESTO\r\n'),
(3570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nRéunion avec le socle (Rémi + Claude) pour définir les points bloquants à présenter en comité pour le projet IF. Les actions à faire pour les jours à venir (prendre connaissance des projets Presto ou autre) (voir mail envoyé à Claude)'),
(3690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nAnalyse problème de lancement des jeux MOTORS sur INT8\r\nEcriture cas de test PRESTO (analyse des appels de services)'),
(3665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nAction : completion/maintenance digishop U\r\nLivrable : catalogue digishop U'),
(3574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nJ\'ai regardé des anomalies sur Snow pour voir les logs et les interpréter. Finalisation de la procédure de la simplification des sorties SSH sous putty et les mettre sous V://documentation'),
(3575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nRéunion WebEx Lotsys IF OAuth2'),
(3576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(4079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nSpecs / matrice exigence / Réunion : point synchro avec Maël Vala-viaux'),
(5003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nspecs /matrice'),
(3580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS'),
(3835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nTraitement de l\'évolution de DigishopU'),
(3597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nPhase de qualification pTAB'),
(3598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nPhase de qualification pTAB'),
(3825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nInstallation Presto de la FDL013792'),
(3824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nInstallation Presto de la FDL013792'),
(4370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nsuivi d\\\'avancement de la qualif Diamond'),
(4367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nPresto : Phase de qualification'),
(3604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS '),
(3605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS '),
(3606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS\r\nGamification'),
(3826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nPhase de pre qualif Presto'),
(3608, '(BME) Voir aussi les bugs a prendre en compte dans le sprint : 9138 ,13570, 9139'),
(3609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nFinalisation script PDJ Motors orcherstre, test et relivraison scripts ITG/RTG suite mutualisation de la gestion d\'erreur des PDJ'),
(3611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nEtude du document lotsys sur la mise en oeuvre du protocole oAuth2 pour ITF et etude de la mutualisation de l\'API de PDJ Motors pour Falcon et ITF'),
(3633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nwebapps wspo'),
(3632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nwebapps wspo'),
(3614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nDéploiement nouvelles Boutik Digi A et U sur INT6 - Projet Moderateur'),
(3615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nTests / config nouveaux coposants MICC / MACC (Olympia) sur INT7'),
(3616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nInstall + tests MIG 2.2.0 (Run) - FDL013785'),
(3618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nDéploiements nouvelles Boutik Digi U / A 2.1.0 (Olympia - INT7)  + tests et conf'),
(3620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nInstall / test MIG 2.1.3 (patch de prod sur INT1) FDL013802'),
(3621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nInstall / tests MIG 2.1.2-a (Patch Prod sur INT1) FDL013809'),
(3622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nMise a niveau de tous les comosants du compte (Pallier Diamond) sur INT5 pour perf'),
(3624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nInstall / tests MIG 2.1.3-a (Run INT4) FDL013811'),
(3625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nTravail sur Parcours inscription (problème message PJ) sur INT4 - demande MVA / LBO'),
(3630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nCréation des ano SPDV ANO041379 et ANO041381. Création de la mod MOD009909 (pb paris terminés) + avancement webapps wspo.'),
(3634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nRédaction compte rendu pour les points bloquants et état d\'avancement (Projet IF) / Document envoyé à claude + Démarrage lecture projet PRESTO + compréhension de l\'architecture du projet'),
(3631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nPV qualif technique pour future MEP SPDV 2.0.32 (0.5) + Webapps Sport WSPO (0,5)'),
(3629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nCréation de la fiche de modification MOD009904 (régler les problèmes d\'affichage des paris terminées non présent en production malgré la présence des fichiers market-result) + analyse conf apache SPDV INT7 --> demande modification configuration apache statique pour les nouveaux composants WSPDV et WSPO (DMT0000962) + webapps wspo'),
(3642, 'Vient des remarques Sprint 2'),
(3643, 'Après vérification des RG de montant Loyer, voici les règles qu’il reste à développer : \r\n- IHM-021_RG-10\r\n\r\nLes  IHM-021_RG-01, IHM-021_RG-02, IHM-021_RG-11, IHM-021_RG-12 et IHM-021_RG-13 sont déjà développées.'),
(3645, '•	Après vérification des RG de Gestion Logement, voici les règles qu’il reste à développer : \r\n- IHM-017_RG-01 : il faudrait ajouter la question “ type de bailleurs : Physique ou Moral” ==> Correspond à la tache 0013684\r\n-IHM-017_RG-02 : modifier l’année de la date, elle doit s’adapter à l’année en cour et il faut remplacer le bouton « suivant » par « continuer ».\r\n\r\n•	Les  IHM-017_RG-03, IHM-017_RG-05, IHM-017_RG-06, IHM-017_RG-07  et IHM-017_RG-03 sont déjà développées.\n\n'),
(3646, 'On le met dans le périmètre SP15 pour les tâches perimètres'),
(3649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nEn attente Install version 2.2.2 sur INT6 : complément sur référentiel de test'),
(3652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nGestion des anomalies incluses dans le palier septembre + rédaction cas de test du MOD009625'),
(3655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nSuite de la lecture des spécifications du PRESTO avec l\'architecture fonctionnelle'),
(3656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\ndev api parse redirect de la transaction authent oauth2'),
(3657, '- a vérifier si cela est bien loggué'),
(3658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nIF Scénarisation par blocs\r\nIF Doc OAuth2'),
(3664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nStream FDJ.fr\r\nContinuité sur la recette Diamond et installation module + déploiement de cas de test sur INT2'),
(3663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nStream FDJ.fr\r\nMise en place des cas de test mig-mag-mug-hasard-mapi-wof + déploiement des cas de tests pour INT3 pour test d\'intégrité du domaine car soucis de promulgation loto et besoin d’être sur que INT3 est opérationnel\r\nMise en place des cas de tests Wof-Hasard-Mapi + déploiement pour recette Diamond sur INT8 pour pouvoir ensuite lancer les instal sur INT2\r\n'),
(3667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nAction : completion/maintenance digishop U\r\nLivrable : catalogue digishop U'),
(3668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nAction : completion/maintenance digishop U\r\nLivrable : catalogue digishop U'),
(3675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nFDL013812\r\nFDL013810\r\nFDL013813\r\nFDL013827\r\n'),
(3670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS\r\nSynthèse Gamification'),
(3671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nRéunion PRESTO (MDO, HBE, HTA, JPA)'),
(3674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nAction : Développement/ maintenance catalogue de test DU \r\nLivrable : catalogue de test DU '),
(3676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nAction : Définition des templates bilan de test pour Falcon USR\r\nLivrable : V:\\SIO\\SYSI\\CDS ATOS\\Documentation\\DOCUMENTATION ATOS\\Process\\auto\\Test report'),
(3801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nmodification/taggage/temps sur les tests webapp'),
(3800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nmodification/taggage/temps sur les tests webapp'),
(3679, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDon\'t 0.25 reunion client'),
(3688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nRéunion avec HAKIM pour la prise en main technique du projet PRESTO ( Base de données + session FALCON).\r\n- Prise de connaissance sur les plans de Tests PRESTO rédigé par HAKIM\r\n- Rédaction du fichier de la matrice d\'exigence technique demandé par laurent Barrière pour le projet IF'),
(3687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nQualification u site ptab pmod'),
(3686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nQualification u site ptab pmod'),
(3808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nTest différents supports DIAMOND'),
(3691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nSi l\'appel Prov parvient jusqu\'à la modif...'),
(3692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nVoire 0 si le RSI décide de faire un autre Defect pour corriger les données erronnées.'),
(3693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nTag et temps sur cas de tests ALM'),
(3694, 'Le document SFD de référence : SFD_OffreBailleur_1.0.docx\r\n\r\nRègle de Gestion	Etat 	A faire\r\nIHM-18_RG-01	OK	\r\nIHM-18_RG-02	OK	\r\nIHM-18_RG-03	OK	\r\nIHM-18_RG-04	OK	\r\nIHM-18_RG-05	OK	\r\nIHM-18_RG-06	OK	\r\nIHM-18_RG-07	KO	Si le bouton radio est sélectionné à « Non », un clic sur le bouton « Continuer » redirige :\r\n•	Soit vers l’écran « IHM-022 : Déclarer les loyers – Impayé » si le départ du locataire a lieu au plus tard le 31/12/N\r\n•	Soit vers l’écran « IHM-019 : Déclarer les loyers – Modification du mois de retour » si le locataire est étudiant et qu’il répond à la règle IHM-018_RM-04\r\n•	Soit vers l’écran « IHM-020 : Déclarer les loyers – Colocation » dans les autres cas\r\nIHM-18_RG-08	OK	\r\nIHM-18_RG-09	OK	\r\nIHM-18_RG-10	OK'),
(3695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nOLYMPIA : Prise en compte documentation (JIRA + Confluence) + rédaction des tests MACC dans ALM '),
(3697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nOLYMPIA : Prise en compte documentation (JIRA + Confluence) + rédaction des tests MACC dans ALM'),
(5023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nOLYMPIA : Prise en compte documentation (JIRA + Confluence) + rédaction des tests MACC dans ALM'),
(3700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nDéveloppement  ctl, tables,pl/sql PMD'),
(3701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nRemise en état des cas de tests et steps de MAPI pour le stream FDJ.fr + analyse de l\'anomalie ANO041365 avec M.PUECH'),
(3737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nEcriture cas de test PRESTO'),
(3703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nFinition de la rédaction de la matrice d\'exigence Technique pour le projets. \r\nEssaie des petits tests sur l\'environnement PRESTO afin de prendre connaissance de la disponibilité et la fiabilité de l\'environnement de test'),
(7417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nVie des environnements : implémentation INT6'),
(7418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nVie des environnements : implémentation INT6'),
(3706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS\r\nGamification'),
(7419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nVie des environnements : scripts box validation etebac'),
(3708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nVie des environnements : scripts box résiliation box'),
(3863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nTests webapps loto et euromillions en vue de mep semaine prochaine'),
(3969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nVie des environnements - scripts truclient'),
(3970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nVie des environnements - scripts truclient'),
(3971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nVie des environnements - scripts truclient'),
(3715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nVie des environnements'),
(3717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nVie des environnements'),
(8059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nVie des environnements'),
(4032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nTest anomalies du palier septembre'),
(3720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\ntest anomalies palier septembre FDL 013789'),
(3722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\n- Mise à disposition à HIA ModOp pour MEP du Lundi 8\r\n- Support sur les anomalies Diamond '),
(3723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\n- Remonté PB sur intersticiel KO version affectée 2.4.0_mapi ANO041371\r\n- Remonté PB sur appel Get-Games KO version affectée 2.4.0_mapi ANO041372\r\n- Support pb de promulgation sur INT3, état des lieux nécessaire sur INT3 avant diag\r\nCampagne d\'acceptance lancée sur l\'ensemble des composants FRONT\r\n\r\n- Maj d\'environnement INT8 Qualif pour Diamond\r\n2.2.0-p5_hasard	FDL013751\r\n2.2.0-p6_hasard	FDL013769\r\n3.0.7_hasard	FDL013806\r\n3.0.2_mrcd	FDL013797\r\n3.0.5_mapi	FDL013798'),
(3724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\n- La base EDWAN sur INT3 est ko, incident remonté à l\'équipe SGBD INC154147\r\n- maj de nouveaux cas de tests pour MAPI ALM\r\n- support demandé pour jeu motors sur INT6 (Instant LOTO), l\'appel envoyé semble incorrect\r\n- support jeux RTG KO sur INT8 pour validation livraisons Diamond, vu avec Nicolas pour remise en route des services RTG\r\n- Maj d\'environnement IN2 Recette pour Diamond\r\n2.2.0-p5_hasard	FDL013751\r\n2.2.0-p6_hasard	FDL013769\r\n3.0.7_hasard	FDL013806\r\n3.0.5_mapi	FDL013798\r\n3.0.2_mrcd	FDL013797'),
(3725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\n- Maj d\'environnement INT8 et INT2 pour Diamond\r\n3.0.8_hasard	FDL013819\r\n\r\n- Maj d\'environnement INT5 Perf pour Diamond :\r\n2.3.0_edwan	FDL013488\r\n2.3.0-p1_edwan	FDL013592\r\n2.3.0-p2_edwan	FDL013647\r\n2.2.0_hasard	FDL013489\r\n2.2.0-p1_hasard	FDL013589\r\n2.2.0-p2_hasard	FDL013611\r\n2.2.0-p3_hasard	FDL013624\r\n2.2.0-p4_hasard	FDL013688\r\n2.2.0-p5_hasard	FDL013751\r\n2.2.0-p6_hasard	FDL013769\r\n3.0.5_mapi	FDL013798\r\n3.0.2_mobi	FDL013642\r\n3.0.2_mrcd	FDL013797\r\n3.0.1_edwan	FDL012940\r\n3.0.6_edwan	FDL013537\r\n3.0.8_hasard	FDL013819\r\n1.3.5_wloto	FDL013813\r\n'),
(3726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nQualification ANOS : 	ANO041190, ANO041249, ANO041250, \r\nInvestigation application PRESTO\r\n	\r\n'),
(3727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS \r\nGamification'),
(3728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nOptimisation des plans de tests PRESTO avec HAKIM (Analyse de log) et quelques tests d\'exploitations.'),
(3729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nRegarder et exécuter quelques cas de tests en amont pour le projet PRESTO'),
(3730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nTransfert de connaissances PRESTO (HBE, HTA, JPA)'),
(3731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nAnalyse des erreurs 500 en production lors de l\'appel des pages :\r\nresultats/paristermines/tous-sports\r\nresultats/paristermines/football ; et\r\nExécution des campagnes de teste WOF et Hasard'),
(3859, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ntache que j\'ai commencé alors que soukaina était déjà dessus : problème de communication'),
(3733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS\r\nGamification'),
(3734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nAnalyse de campagne'),
(3735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nEcriture de test'),
(3736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nEcriture de test'),
(3738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nEcriture cas de test PRESTO'),
(4089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nEcriture cas de test PRESTO-'),
(3740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nEcriture cas de test PRESTO');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(3749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nAnalyse cas de tests acceptance technique fourni par Olivier Julia - Projet Modérateur'),
(3752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nRédaction cas de tests MICC/ MACC / MUCC - Projet Olympia'),
(3753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nSupport Anomalies'),
(3754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nDeploiement de cas de tests pour le stream FDJ.FR sur le projet GDO et Diamond suivant les livraisons qui arrivent dans la journée (recréation des campagnes de tests + deploiement) - Analyse d\'anomalie pour le meme projet - Soutient M.PUECH'),
(3745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nRédaction cas de tests MICC/ MACC / MUCC - Projet Olympia'),
(3746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nInstallation Digishop I 2.1.0 - INT6'),
(3751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nRédaction cas de tests MICC/ MACC / MUCC - Projet Olympia'),
(3748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nRéunion projet Olympia - Marie Bastide'),
(3750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nAnalyse MICC / MACC sur dev2dev3 projet Olympia (car pas de test possible sur INT7)'),
(3755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nDeploiement de cas de tests pour le stream FDJ.FR sur le projet GDO et Diamond suivant les livraisons qui arrivent dans la journée (recréation des campagnes de tests + deploiement) - Analyse d\'anomalie pour le meme projet - Soutient M.PUECH'),
(3756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nIF Point Automatisation'),
(3757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(6058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nTest sur campagne RUN3'),
(6245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nJournée Team Building à Paris'),
(6244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nTest sur campagne RUN3'),
(6061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nPalier de septembre \r\n\r\n- Suite et fin campagnes d\'acceptance MIG MAG MUG\r\n- Qualification anomalies ANO042413, ANO042235, ANO042209, ANO042097, ANO042095\r\n\r\nSupport Qualif \r\n- Pb Service getTicket digishopA\r\n- Pb affichage message de modération sur PDJ Euromillions\r\n\r\n'),
(4031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nCampagne palier septembre'),
(3764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nAjout du fix IE avant la verification du nom du fichier.'),
(3765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\ncampagne palier septembre + rédaction anos dans SNOW'),
(4033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nCréation campagne tests non reg'),
(3767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\ncorrectif, paramétrage et test pour Presto du script MOTORS Falcon Orchestré, MAJ et correctif sur API Falcon'),
(4426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nconfiguration et mise au point de l\\\\\\\'authent falcon pour ITF sur l\\\\\\\'environnement INT3USR'),
(3771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nAction : bilan avancement Stream boutik\r\nLivrable : mail jeu. 18/08/2016 10:35'),
(3772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nAction : finalisation des boutik DA/DI suite au bilan d\'avancement\r\nLivrable : catalogue de test acceptance DI/DA'),
(3773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nAction : complétion/développement  boutik DU\r\nLivrable : catalogue de test acceptance DU'),
(3774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nAction : réunion hebdomadaire comité automatisation\r\nLivrable : définition de\r\n la deadline test acceptance Stream boutik vendredi 27 inclus\r\n ré affectation ressource François sur Stream boutik  5,5j jusqu\'au vendredi 27 inclus\r\n programmation réunion lundi 29 pour palier septembre\r\n'),
(3776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nAction : complétion/développement boutik DU\r\nLivrable : catalogue de test acceptance DU '),
(3777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nAction : complétion/développement boutik DU\r\nLivrable : catalogue de test acceptance DU '),
(3778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nTest différents supports DIAMOND'),
(3779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nTest différents supports DIAMOND'),
(3780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nTest différents supports DIAMOND'),
(3781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nTransmission de compétence avec EDIZ sur Partie test orientés Bdd'),
(3782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nDev scripts ITF Motors'),
(3806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nTest différents supports DIAMOND'),
(3791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nRecherche SPDV sur le bug de production des paris terminées.\r\nRelance dev (Sebastien CARPIN) pour récupérer les catalogues des applications mobiles IOS/Android de PARIONSDIRECT (Olympia) afin de pouvoir afin lancer ces applications sur l\'environnement de PREQ et sur le futur environnement modulaire.'),
(3787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nRéunion avancement Olympia (M. Bastide) : 0.25\r\nIntégration Olympia (MACC, MICC) : 08'),
(3836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nCorrection du script DigishopUPOSTAccountManagePursesGetDomain'),
(3788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nPrise en compte évolution dernières livraisons boutiques (Olympia, modérateur) :\r\nModélisation config'),
(3789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nLes paris terminées des filtres  \"football\" et \"Tous sports\" ne s\'affichent plus en production. --> Vérification avec HIA, relance des DEV, complément de la fiche d\'anomalie. Recherche solution.\r\nRéunion projet Olympia avec Marie BASTIDE (0,26)\r\nRelance ISM par rapport à la future configuration apache des composants WSPDV et WSPO.'),
(3790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nProjet modérateur : rédactions cas de tests'),
(3838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\n-  Réunion avec Rémi Juanes pour l\'avancement du projet IF et le lancement de la campagne de la non régression globale de FALCON\r\n\r\n-  Réunion avec l\'équipe qualification manuelle CDS et construction sur HP ALM du plan de la non régression globale FALCON demandé par rémi Juanes '),
(3815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nCampagne de non reg pour FALCON'),
(3793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nComplément des tests ALM \"Prise de jeu\" sur la nouvelle webapps WSPO (Projet Olympia)'),
(3794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nNormalement projet Olympia.'),
(3795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nTests webapp euromillions et loto en vue de mep semaine prochaine'),
(3796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nTests webapp euromillions et loto en vue de mep semaine prochaine'),
(3797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nfichier bouchon'),
(3798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nfichier bouchon et test'),
(3799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nanalyse integration olympia'),
(3803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\n- Application PRESTO : qualification , installation et investigations'),
(3819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nPhase de pré qualif portail PRESTO et premiere installation avec le dev (pas de FDL associée)'),
(3805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nSuite Qualif des notifcation sur les application mobile Support test Loto INT4'),
(3809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nsuivi avancement qualif + réunion suivi des anos du projet'),
(3837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nDigishopUPOSTAccountManagePursesGetDomai'),
(3812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nreunion test automatisés avec V.leroux+ preparation jeu de donnée a injecte sur int2 via tests auto + campagne d\'acceptante sur int2 et INT8 pour validation d\'une evol sur Gateway SOA'),
(3829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\n- Qualif ANO Diamond : ANO041447 \r\n- Support install PRESTO Mobile INT8 - DFO Store\r\n- Documentation PRESTO Mobile'),
(3830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nEvolution du script MapiGetOffresGetGames'),
(3823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nCorrection de tous les scripts undelivered de la Boutik'),
(3831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nPhase de pre qualif Presto'),
(4086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nPhase de pre qualif Presto'),
(3832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nPhase de pre qualif Presto'),
(3833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nPoint sur la boutik et les scripts avec Valérie et Lionel'),
(3839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nExécution du plan de test authentification PRESTO (nouvel installation sur INT 8 ) et détection d\'un problème. '),
(4423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nIF Postgres'),
(3841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3842, 'Problème d\'environnement : depuis la modification pour la présentation des TDB PCA sous forme d\'onglets, je n\'accède plus aux TDB car le portlet SupervisionMetier est indisponible.\r\n\r\n3 jours à essayer de débugger mon environnement sans succès'),
(3843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nVDE'),
(3844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nVDE'),
(3845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nVDE'),
(3846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nVDE'),
(3847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nVDE'),
(3851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\n- Maj d\'environnement INT4 RUN Release 2\r\n2.3.0_hasard	FDL013784\r\n2.2.0_mobi	FDL013844\r\n2.4.1_mapi	FDL013843\r\nQualifications des anomalies\r\n- Support ano d\'affichage des résultats erreur de JS lors de l\'affichage du tirage expetionnel\r\n- Maj de ModOp pour MEP du 29 Run Release 2'),
(3852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\n- Support ano pas d\'affichage des résultats INT5 sans promulgations Diamond\r\n- Analyse des sources php Hasard Diamond sur les pb d\'affichage\r\nSolutions de contournement proposés\r\n- Support ano, pb d\'affichage du tableau de résultat INT4, lié à la promulgation partielle du mercredi 17\r\n- Analyse des flux XML Diamond'),
(3853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\n- Support ANO040992 cloturé\r\n- Support ANO040736 clôturé\r\n- Support ano weuml, pb d\'affichage des tirages exceptionnels, vu avec Stream Hasard pour ouverture ano'),
(3869, 'Dépassement du au test de l\'ensemble des méthodes de montantLoyer en plus des test associés aux RG.'),
(3856, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nProblème CSS+Tu + Impact'),
(3857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nQualification Stream Moteur ITG et Moteur MOTORS \r\nGamification'),
(3858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nEntrevue socle\r\nTransfert de connaissances qualif manuelle'),
(3860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nSupport et investigation Gestion des notification PROD et INteg'),
(3861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nPOC sur la PF Intergration SP15 RC0\r\n- Connexion\r\n- vérification IHM\r\n- atteindre les controles Liferay (ID=liferay dynamique)\r\n- Deconnexion\r\n=> pas de soucis majeur pour l\'instant , rapport en cours'),
(3862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nCréation d\'un script d\'automation pour les promulgations en .ksh'),
(3864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\ntests webapp loto et euromillions en vue de la mep de la semaine prochaine'),
(3865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\n	-- Indisponibilité des flux -- HP ALM - Rédaction des cas de test - Projet : Vie des Environnements - Création de profils'),
(3868, 'Dépassement du au test de l\'ensemble des méthodes de gestion Logement en plus des test associés à RG04 et 09.'),
(3870, 'Dépassement du au test de l\'ensemble des méthodes de gestion Logement en plus des test associés à RG04 et 09.'),
(3871, 'depassement du au multiple refactoring  et à la partie reflexion quand à la mise en place des RG.'),
(3872, 'Résolu par la mise en place de la vision CAF <-> Organisme \r\n--> table de liaison entre CAF et organisme permettant de filtrer la liste des organismes visibles pour une CAF.'),
(3873, 'RAF Intégration partie service suppression physique du lien si suppression CAF ou Organisme'),
(3874, 'RAF suppression physique du lien si suppression CAF ou Organisme'),
(3875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nAnalyse des erreurs 500 sur SPDV (production)\r\nCréation de cas de test pour WSPO'),
(5333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nCréation de cas de test ALM pour WSPO'),
(3877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\n- Correction des notification - job control M - PROD\r\n- Définir et prioriser  le périmètre des tests à réaliser dans le cadre de PRESTO'),
(3880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\ninstallation,integration,qualification, formateur, Olympia(réunion, création des cas de test,préparation du catalogue), divers(démystification du push notification apple et google, sollicitation lotsys)'),
(3881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\n- Rédaction d\'un mail d\'avancement hebdomadaire\r\n- Jouer une campagne de test non régression Motors ( 7 cas de test) + investigation et mise à jour des plans'),
(3882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\n- Réalisation des plans de non régression Motors 5 plans + corrections des contextes\r\n- Réalisation de 10 plans de tests sur Palier Septembre avec Sylvie ( 10 plans de tests) '),
(3884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nMise a jour des cas de tests Wof et Hasard pour le stream Fdj.fr'),
(3885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nRésolution d\'incident sur l\'environnement INT8- plus de pirse de jeux RTG-ITG-MTR possible'),
(3887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nIF Scénarisation par blocs\r\nIF Postgres'),
(3889, 'Reproduction : \r\n\r\n- Se connecter au portail\r\n- revenir à l\'adresse /portal/auth/login/ sans etre déconnecté\r\n=> pb de page liferay qui apparait'),
(3890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nAtelier Olympia Philippe Amerio'),
(3891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nEtude tests acceptance moderateurs + services Boutik'),
(3892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nAjout d\'un controle sur la recuperation du role de l\'utilisateur lors du chargement de CDAP'),
(4104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nMauvais reglage par la CNAF entre le serveur frontend et le serveur backend.'),
(3894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nRésolution du problème de classloading sur la PI. <!> Sur les lib-ext des applications, il ne doit y avoir que les libs JSF (jsfsharedlib)'),
(5002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nContinuité sur l\\\\\\\\\\\\\\\'analyse des erreurs sur INT8- soucis sur apigateway SOA. Demande a gilles vassallucci pour résolution du probleme'),
(5004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nPassage campagne de test Euromillion pour le stream Webapp (aide Jerome massano)'),
(3897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nDéveloppement et tests procedure de fusion manuelle'),
(3898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nanalyse fusion manuelle + reunion'),
(3899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nanalyse'),
(3914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nPromulgation des résultats sur INT4;\\\\nRéalisation de tests WSPDV et SPDV sur INT4;\\\\nCréation des catalogues mobile de l\\\'application Parions Direct'),
(3901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\ntests des webapp loto et euromillions en vue de la mep prochaine'),
(3902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\ntests des webapp loto et euromillions en vue de la mep prochaine + FDL013852\r\n'),
(3903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\ntoto'),
(3904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nPrêt à livrer sauf si la documentation est jugée insuffisante.'),
(3905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nMAJ des droits des rôles liferay permettant d\'acceder à la page \'Consulter dossier\''),
(3906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\n- Suite gestion des notification \r\n- Mise a jour catalogues Illiko INT3\r\n'),
(3933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nInversion des champs sur le statut de la convention et les champs pour saisir le pdf pour éviter des espaces vides.'),
(3908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nMise en place de l\'espace JazzRTC afin d’héberger le projet d\'analyse de log.'),
(3947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\n- Analyse anomalie sur l\\\'environnement INT8 PRESTO\\n- Installation du jeu MOTORS \\\"Duel de cartes v2\\\"  (FDL013851)\\n- Réunion PRESTO'),
(3910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nAnalyse instabilité des jeux Illiko'),
(3911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nMAJ du fichier language_fr'),
(3998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nRéunion IF'),
(3999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nPalier Septembre\\nNon-reg Falcon'),
(3915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nPromulgation des résultats sur INT4 pour la réalisation de testes WSPDV et SPDV;\r\nCréation d\'un script ksh pour réaliser des promulgations;\r\n Réalisation des campagnes de teste WSPDV et SPDV sur INT4.'),
(3916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nInstallation Mig 2.1.2-a sur INT4 - FDL013809\r\nInstallation Mig 2.1.3-b sur INT4 (Run + Patch de prod) - Tests - FDL013856 rejetée'),
(3917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nSupports Anomalies Mathieu Jaulin (INT2) - Sylvie Kasriel (MUG INT6) - Hicham (Déconnexion Jeu Motors)'),
(3918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nEcriture de test'),
(3920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nAnalyse de campagne'),
(3921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAnalyse de campagne'),
(3922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nAnalyse de campagne'),
(3923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nAnalyse de campagne'),
(3924, 'Dans la classe CafAuthorizationLocalServiceImpl, la méthode getCafAuthorizationsApplicationDtoByCafDto dans le cas d\'un objet cafDto null passé en paramètre récupérait le cafDto uniquement pour un agent et pas un partenaire. Modification pour faire appel à une méthode permettant de récupérer l\'objet cafDto en fonction de l\'id de l\'utilisateur courant (getCafByUserId).'),
(3925, 'RG et RM développées suite à la tâche de vérification\r\n-IHM-021_RM-05 : fait mais doit être calculer en fonction du loyer précédent et non par rapport à une donnée en dur\r\n- IHM-021_RG-09 : Alerte 1_IHM-021 ne récupère pas le [montant précédent]  et le message d’alerte Aide 1_IHM-021 n’est pas correct et doit être modifié.'),
(3926, 'RG et RM développées suite à une tâche de vérification :\r\n\r\n-IHM-017_RG-02 : modifier l’année de la date, elle doit s’adapter à l’année en cour et il faut remplacer le bouton « suivant » par « continuer ».'),
(3928, 'Ajout d\'une vérification sur la récupération du premier service associé à une convention. La liste des service était null pour la convention car le scheduler n\'est pas en place sur la PI, dans le cas contraire la convention aurait du être clôturée.'),
(3929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nPoint IF Automatisation'),
(3930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(3931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nLa suppression ne marchait pas (le statut de l\'application etait à ouvert meme en cas de delete), Optimisation de fonction'),
(3932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAnalyse sur les problèmes d\'accès entre le backend & CRISTAL : Visiblement les connecteurs ne sont pas fait'),
(3934, 'La tâche a été faite mais l\'imputation a été faite sur une autre tâche que je faisais en parallèle.'),
(3935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nApprentissage des pratiques MCO avec bertrand'),
(4061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nCampagne de testes SPDV  sur INT4;\\\\nAtelier ALM Referentiel - Digital Front de 14H à 16H30'),
(3937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\n- Documentation presto\r\n- Notifications'),
(4097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nOptimisation script ksh promulgation;\\\\nComparatif des appel miFy sur site web mobile et l\\\\\\\'applicatif natif;\\\\n'),
(3963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n- Réunion \\\"Bug Review PRESTO\\\"\\n- Installation du framework Gravity sur INT8 et INT3 (FDL013873)\\n- Installation du jeu MOTORS \\\"Instant Loto\\\" sur INT8 et INT3 (FDL013871)\\n- Réunion \\\"Atelier ALM - Referentiel DIGITAL FRONT\\\"'),
(4090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\n- Configuration du framework Gravity sur INT8 et INT3 (FDL013873)\\n- Installation du jeu MOTORS \\\"Instant Loto\\\" sur INT8 et INT3 (FDL013871)'),
(3944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAnalyse de l\'anomalie lancement des jeux ITG sur INT8'),
(3946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nTravail sur ANO041597 (WOF / MUG) car le composant part en CAB demain'),
(3948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nTravail sur souci de déconnexion (non propre) remontée par Hicham, depuis les jeux Illiko sur tous les ENV. (recherche dans les logs / console, une ANO va être crée, mais on doit investiguer)'),
(3949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nQualif sur acceptance Falcon'),
(3950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nRédaction cas de tests Projets Modérateur'),
(3951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nCampagne de tests automatiques du jeu Duel de cartes V2'),
(4015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\n	Qualif acceptance Falcon'),
(3953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nInstallation + tests MUG Diamond (pas encore le num de FDL au moment où j écris)'),
(3954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nCampagne de tests automatiques du jeu Duel de cartes V2'),
(3955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nRéunion ALM'),
(4099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nRédaction cas de tests Projets Modérateur et Olympia'),
(4016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nQualif acceptance Falcon'),
(3958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nSupports Anomalies'),
(3960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nCampagne de tests automatiques du jeu Instant LOTO'),
(3961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nCampagne de tests automatiques du jeu Instant LOTO'),
(3962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nCampagne de tests automatiques du jeu Instant LOTO'),
(3967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nQualification IF\\nNon-reg Falcon INT6'),
(3968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nNon-reg Falcon\r\nQualification IF'),
(3974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nVie des environnements - présentation powertoint'),
(3975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nVie des environnements - présentation powertoint'),
(3976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nRéunion d\'avancement sur IF  : Livraison de la BOX IF et les liens associés. '),
(3994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nAction : développement/maintenance catalogue automsatisé boutik DU\r\nLivrable : catalogue automsatisé boutik DU\r\n'),
(4638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\n- Réalisation des plans de tests pour le pallier Septembre (6 plans de tests)\\n- Deux anomalies relevées et analysées\\n- 2 Plans de non reg Motors\\n- 1 plan ITG\\nTotal 9 plans de test'),
(3995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nRéunion IF : accès BDD et appels de services REST'),
(4048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAnalyse de livraison de la plateforme IF livrée par lotsys avec base de données et appel d\\\'authentification Oauth2'),
(3992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAction : analyse campagne ACCEPTANCE_DIGISHOPA_2.0.17_Falcon_V2.1.24_INT4\r\nACCEPTANCE_DIGISHOPI_2.0.10_Falcon_V2.1.24\r\nACCEPTANCE_DIGISHOPU_2.0.9_Falcon_V2.1.24_INT4\r\nLivrable :rapport automatisé ALM'),
(4640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nRéalisation de 30 cas de test sur la campagne de non rég Falcon Globale'),
(4054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nSupport Mep SPDV 2.0.32 (0,15) + Support installation SPDV 3.0.0 et WSPV 3.0.1 (0,20) + Maj Modop composant SPDV 3.X & WSPDV 3.X.X (0,15) + Atelier Olympia (0.5)'),
(3985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nRéunion IF avec Laurent Barrière pour tester la connexion OAuth2 avec laurent Boggio'),
(3986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nAction : développement/maintenance test auto boutik digishop u\r\nLivrable : catalogue de test auto boutik digishop u sous alm domain : APPLICATIONS, projects : référentiel_boutik,  folder DU 2.0-FLV V2.1'),
(3987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nanalyse de la plateforme IF + formation sur le repository et l\'architecture falcon IF par gilles vassallucci'),
(3988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nAction : développement/maintenance test auto boutik digishop u\r\nLivrable : catalogue de test auto boutik digishop u sous alm domain : APPLICATIONS, projects : référentiel_boutik,  folder DU 2.0-FLV V2.1'),
(3989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nAction : développement/maintenance test auto boutik digishop u\r\nLivrable : catalogue de test auto boutik digishop u sous alm domain : APPLICATIONS, projects : référentiel_boutik,  folder DU 2.0-FLV V2.1'),
(3990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAction : développement/maintenance test auto boutik digishop u\r\nLivrable : catalogue de test auto boutik digishop u sous alm domain : APPLICATIONS, projects : référentiel_boutik,  folder DU 2.0-FLV V2.1'),
(3991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nanalyse IF'),
(3996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nQualification IF\r\nNon-reg Falcon'),
(4635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n- Continuer à compléter les plans de test non Reg. \\n\\nJ\\\'estime faire plus que 10 cas de test à la fin de la journée. Impossible d\\\'imputer en avance.'),
(4000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nMise en place référentiel ALM FRONT'),
(4001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nMise en place référentiel ALM FRONT'),
(4002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nMise en place référentiel ALM FRONT'),
(4003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nPalier de septembre Non régression'),
(4004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nPalier Septembre'),
(4005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nPalier Septembre (campagne auto acceptance INT6)'),
(4563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nPalier Septembre (campagne auto acceptance INT6)'),
(4564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nPalier Septembre (campagne auto acceptance INT6)'),
(4565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nPalier Septembre'),
(4009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nPalier Septembre (campagne auto acceptance INT6 V2.3)'),
(4010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nPalier Septembre (campagne auto acceptance INT6 V2.3)'),
(4011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nPalier Septembre (préparation plan de test auto New limite)'),
(4012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nPalier Septembre (préparation plan de test auto New limite)'),
(4013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nQualif acceptance Falcon'),
(4017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nDiamond'),
(4018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nFaire des tests de non regression FALCON Globale'),
(4019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nDiamond'),
(4020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nDiamond'),
(4021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\npréparation API Motors pour mutualiser les mecanismes de PDJ Motors / ITF'),
(4022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nMise en place des jobs pour sonar sur la prod, sur PHA/PPS, Alaa doit faire les jobs pour PCA.'),
(4028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nAnalyse nouvelle doc USR 2.3, adaptation du protogen et tentatives infructueuses de génération de l\\\'API USR'),
(4029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nanalyse des anomalies rencontrées sur la génération de l\\\\\\\'API avec le nouvel usr 2.3'),
(4121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\ntentative d\\\'implémentation de l\\\'appel de service d\\\'authentification oauth2'),
(4034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(4639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nRéunion sur l\\\\\\\'avancement des campagnes de palier septembre avec Rémi + suivi des plans de non reg'),
(4047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAnalyse et depannage de l\\\'environnement INT8 avec l\\\'aide de gilles vassallucci sur les jeux ITG- erreur entre la version des jeux sur le site public et la gestion de l\\\'offre sur le back'),
(4637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n- Continuer à compléter les plans de test non Reg. \\\\\\\\n\\\\\\\\nJ\\\\\\\\\\\\\\\'estime faire plus que 10 cas de test à la fin de la journée. Impossible d\\\\\\\\\\\\\\\'imputer en avance.'),
(5006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAnalyse et depannage de l\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'environnement INT8 avec l\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'aide de gilles vassallucci sur les jeux ITG- erreur entre la version des jeux sur le site public et la gestion de l\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'offre sur le back'),
(5007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nAnalyse et depannage de l\\\\\\\'environnement INT8 avec l\\\\\\\'aide de gilles vassallucci sur les jeux ITG- erreur entre la version des jeux sur le site public et la gestion de l\\\\\\\'offre sur le back'),
(4056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nSupport script ksh (SPDV) permettant de charger en masse des fichiers xml (lotofoot, résultat, offre) de production sur un environnement d\\\\\\\'intégration + avant finalisation du script, maj manuel de l\\\\\\\'environnement INT4 afin de comprendre l\\\\\\\'absence de résultats de certains markets du match PSG - Metz + projet Olympia.'),
(4058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nRédaction de tests'),
(4063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nSupport dev (0,25) + Présentation ALM (0,4) + Avancement ALM'),
(4065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nMaj modop SPDV 3.X.X + WSPDV 3.X.X\\nAvancement composant WSPO.\\nSupport futur catalogue ParionsDirect \\nRecherche information sur incident de production (INC148922)'),
(4066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nNormalement projet OLYMPIA (Maj ALM)'),
(4067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n- BUg review PREST\r\n- Reunion mise en place ALM\r\n- Installation Euml IOS et Android '),
(4070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nPalier de septembre - Implémentation tests PJ'),
(4069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nProjet Modérateur - Implementation tests PJ'),
(4071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\n- Analyse des promulgations importées sur INT8\r\n- Support lancement des jeux RTG ko sur INT4\r\n- ANO041496 ouverte sur pb de maj de champ RES_EUML_2016_DATE_MAJ, correction apportée\r\n- Déploiement nouvelles livraisons RUN Release 2\r\n- Installation livraisons RUN Release 2 INT4\r\n2.3.1_hasard	FDL013855\r\n2.4.2_mapi	FDL013854'),
(4072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\n- Support composant MIG, pb d\'affichage lors du parkour, contribution métier obligatoire lors de l\'installation de la nouvelle version\r\n- Réunion ALM MAPI Automatisation avec l\'équipe de Valérie L.\r\n- Installation livraisons RUN Release 2 INT4\r\n2.4.0_edwan	FDL013859\r\n2.3.2_hasard	FDL013861\r\n- Mise à jour ModOp pour la MEP Stream PHP du 29 Août'),
(4148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\n- Support ANO sur MRCD, pb sur le json retourné par le voucher, pb corrigé\\n- rejet livraison 2.4.0_edwan, rollback sur environnement\\n- maj de ModOp de MEP\\n- Support pb d\\\'affichage des caratères accentués, analyse des sources et flux en entrée'),
(4074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n- Support pb mrcd sur INT8, remise en route des fronts rcd, mise en place du bouchon mrcd\r\n- Support problème d\'affichage d\'historique de jeux sur MUG, ano côté mapi à analyser\r\n- Runion HP ALM\r\n- Installation livraisons INT8 Diamond\r\n3.0.9_hasard	FDL013869\r\n3.0.3_mrcd	FDL013870\r\n3.0.3_mobi	FDL013874'),
(4075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nRéception,installation,compilation,qualification version 4.5.012+Olympia: réunion,comparaison les appels Mify sport entre le webapp et native'),
(4076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nRéception,installation,compilation,qualification version 4.5.012+Olympia: réunion,comparaison les appels Mify sport entre le webapp et native'),
(4077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nRéception,installation,compilation,qualification version 4.5.012+Olympia: réunion,comparaison les appels Mify sport entre le webapp et native+Support HIA pour mettre à niveau la preprod avec la prod'),
(4078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nRéception,installation,compilation,qualification version 4.5.012+Olympia: réunion,comparaison les appels Mify sport entre le webapp et native+Support HIA pour mettre à niveau la preprod avec la prod'),
(4087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nAnalyse chargement client olympia '),
(4088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\ninstallation COJO BO COHERIS sur COHD'),
(4091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\ntests non reg sur webapps pour mep du 29/08'),
(4092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\ntests non reg sur webapps pour mep du 29/08'),
(4093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nmodop pour mep du 29/08 + resolution pb back pour tests technique webapp'),
(4095, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nAjout de tests Unitaires du au développement de nouvelles fonctionnalités'),
(4096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nIHM-021_RG-04: la [Date de référence] (IHM-021_RM-02): le 1er juillet est affiché à la place du 1er [Mois retour] N si le mois de retour est déjà connu.'),
(4098, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDéveloppement des fonctionnalités manquantes après l\'analyse SONAR'),
(4100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nInstallation / tests / vérif ANO pour MIG patch de prod 2.1.2-b (FDL013878) => KO'),
(4101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\n- Test et qualif appli Euml IOS et Android\r\n- Création anomalie : ANO041630 		'),
(4102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(4103, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nVérification et correction des TU en erreurs'),
(4105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n26/08/2016 : Support avec Romain sur les onglets, Said sur de l\'analyse.'),
(4116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nAdaptation de Script de promulgation pour réaliser des promulgations Euromillion;\\\\nTeste SPDV  sur les applications native (INT4);\\nAtelier Stream Webapp Sport de 14H30 à 17H45'),
(4107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(4110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\n- Analys bug PROD\r\n- MOD OP Diamond appli native\r\n- Qualif FDL Diamond Euromilion IOS'),
(4111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nMise à jour des services Digishop_U'),
(4112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nMise à jour des services Digishop_U'),
(4113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nMise à jour des services Digishop_U'),
(4149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nMise à jour des services Digishop_U'),
(4115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nMise à jour des services Digishop_U'),
(4119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nIF scénarisation par blocs'),
(4120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nmise à jour de la configuration d\'environnement de test ITF INT3USR et essais d\'authentification de joueur et d\'appel de services en mode déconnecté'),
(6056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\n[IF] Rédaction de cas de tests Liquidity Manager'),
(6057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nPb de prod MAG\\nFichier origine fdjOfferFull.js en prod avec url sur INT7\\n\\nAtelier automatisation Stream Compte\\n\\nPalier de septembre \\n\\n1 - Déploiement INT3 :\\n\\nMAG 2.1.15 => FDL014191 \\nMUG 2.3.14=> FDL014188\\nMUG 2.3.16=> FDL014204\\nMIG 2.2.1 => FDL014203\\n\\nBoutique Digishop A 2.1.8 => FDL014195\\nBoutique Digishop U 2.1.8 => FDL014196\\n\\n2 - Début Campagne d\\\'acceptance sur les composant installés'),
(6052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n[IF] Lecture des spécifications techniques et fonctionnelles du Liquidity Manager\r\n[IF] Remontées d\'incohérences sur la documentation Liquidity Manager'),
(6122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nAvancement référentiel ALM avec Raphaël'),
(6050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nCorrection scripts digishopU'),
(6302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nAdaptation des requêtes de vérification pour prise en compte de l\\\'extension du nombre de sélection.'),
(4175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nInstallation du jeu MOTORS  \\\\\\\"dueldecartesv2\\\\\\\" v2.0.4 (FDL013883) sur INT3 et INT8'),
(4173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nSupport à Etienne CHAUVET (Lotsys) pour l\\\'installation du jeu PRESTO \\\"As Capone\\\" v1.0.0 sur INT8'),
(4147, 'resolu'),
(4329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nAnalyse de campagne PRESTO'),
(4308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\n- Campagne test ALM Euromilllions IOS et Android\\n- Analyse sur les UID et Token des applications mobiles'),
(4156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nAction : préparation \"présentation du stram boutik\"\r\nLivrable : présentation'),
(4260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nAction : analyse des campagnes de test automatique (méthode PDCA) ACCEPTANCE_DIGISHOPA_2.0.17_Falcon_V2.1.24_INT4\\\\\\\\nACCEPTANCE_DIGISHOPI_2.0.10_Falcon_V2.1.24\\\\\\\\nACCEPTANCE_DIGISHOPU_2.0.9_Falcon_V2.1.24_INT4\\\\\\\\nLivrable : maintenance du catalogue de test/amélioration continu des tests.\\\\\\\\nNB : 1h20 supplémentaire pour rattrapage journée post incendie'),
(4161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nAnalyse de flux Mify (Vitan, /m et site parionsSport en ligne) et réorganisation pour type;\\\\nVérification des informations nécessaires (nettoyage) des catalogues mobile de l\\\\\\\'application Parions Direct;\\n'),
(4200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nCréation du schéma de flux  WSPO;\\\\nOptimisation du script .ksh  de promulgation des résultats Parions Sport et vérification de possible adaptation pour son utilisation avec les promulgations Euromillion;\\\\n\\nFormation mobile avec Abo Madiyana;'),
(4170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nAnalyse de campagne PRESTO'),
(4165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nStream FDJ MAPI : Ecriture de test'),
(4166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nStream FDJ MAPI : Ecriture de test'),
(4326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nAnalyse de campagne PRESTO'),
(4328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nAnalyse de campagne PRESTO'),
(4171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nFormation compilation appli mobile Vaness / Cedric\r\nTest extension Fiddler pour site et appli mobile\r\nDocumentation token et uid des notifications'),
(4172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nUn mail a été fait à l\\\"équipe ADAC sur l\\\'architecture du projet au niveau du log4j'),
(4176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nInstallation du jeu MOTORS  \\\\\\\"dueldecartesv2\\\\\\\" v2.0.5 (FDL013894) sur INT3 et INT8\\nRéalisation du script de déploiement des jeux PRESTO'),
(4528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\n- Analyse de l\\\'anomalie de lancement du jeu INSTANT LOTO sur Iphone sur INT3\\n- Analyse problème de lancement du jeu PRESTO \\\'As Capone\\\' sur INT8\\n\\n'),
(4432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7'),
(4604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-07  (Do not remove this line) -->\nPrise de connaissance du projet, recherche pour tablette ou mobile avec bonne version instalée. + Début test sur Iphone et Tablette Samsung Galaxy tab 10,1'),
(4181, 'RAF 5j (provision pour retours sur QUALIF), mais DEV terminés, donc => feedback'),
(4184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nMAJ des post-its'),
(4183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nSupport sur la mise en place des WSs PHA.'),
(5188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nAtelier automatisation ITF'),
(4250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nAction : réunion hebdomadaire comité automatisation\r\nLivrable : compte rendu hebdomadaire comité automatisation sur confluence ');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(4424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nscripts IF : modification du processus d\\\\\\\'authent et mise au point des scripts GetSession et GetCatalogGames'),
(4425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\ndev API sur la mutualisation des librairies MOTORS avec ITF'),
(4284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nAction : analyse des campagnes de test automatique (méthode PDCA) NONREG_DIGISHOPA_2.0.17_Falcon_V2.1.24_INT4\\nNONREG_DIGISHOPI_2.0.10_Falcon_V2.1.24\\nNONREG_DIGISHOPU_2.0.9_Falcon_V2.1.24_INT4\\nLivrable : maintenance du catalogue de test/amélioration continu des tests.'),
(6048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nCorrection scripts digishopA'),
(6017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nPrésentation de la mission J&S par Benoit G'),
(4192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nanalyse nouvelle fonctionnalité livrée sur IF'),
(4193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\ndémonstration et formation installation jeux illiko par J.QUESADA'),
(4194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nanalyse nouvelle fonctionnalité IF'),
(4195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nSuite a ouverture de flux pour acces au bastion IF Aif@if17907 (port 22) : connexion a toutes les machines pour vérification des logs, compréhension de l\'architecture, installation sqldeveloper 4.1 + module jdbc9.1.4 pour parametrage de toutes les bases de données IF (postgrésql) + analyse des bases de données'),
(4196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nanalyse et test d\'authentification IF via https://x2fgwi32.int.fdj.fr:1444/apitest/basic.html + analyse des cookies envoyés'),
(4197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nCréation de cas de tests pour Ramsey Bod sur PRESTO'),
(4199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nAnalyse IF + continuité création cas de tests Presto pour  stream portail tab mob'),
(4201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nQualification Non-Reg Falcon'),
(4202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\n0.5 : Déploiement MUG Diamond 2.2.7 + Campagne d\'acceptance technique INT8 et INT2\r\n0.5 : ALM suivi d\'utilisation du référentiel + Atelier FRONT Olympia'),
(4203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nCompte-Rendu Non-Reg Falcon'),
(4204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nRéunion objectifs et rendus socle'),
(4206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nCompte-rendu Non-Reg Falcon'),
(4207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nCompte-rendu Non-Reg\r\nConstruction 3 campagnes Non-Reg (400, 200, 100 cas) Falcon'),
(5162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nDéroulé cas de test IF (interconnexion Falcon USR et IF)'),
(5105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\ncoproj'),
(4994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nmise à jour des scripts et API ITF pour intégration du login FakeLottery'),
(4210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\n0.25 : Présentation catalogue de tests automatisés Boutiques (V. Leroux)\r\n0.5 : ALM Management (release + cycle) + Test Lab avec Stream Compte + sport webapps\r\n0.25 : Investigation anomalie MUG pour Diamond'),
(4211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\n0.5 : Demo Stream compte + Olympia via Lync avec Boulogne\r\n0.5 : Portail mobile Parions Sport :	ANO037865 (Pb de redirection sur les pages du compte)	\r\n'),
(4212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\n0.25 : Anomalie Gains Raffle Diamond\r\n0.75 : ALM (Création des cycles et releases + test lab avec les différent Stream)'),
(4213, 'IHM-020_RG-01 KO problèmes i18n\r\nIHM-020_RG-07 KO Lorsque le nombre de colocataires initiales est 0 et lorsque la sélection à « Oui »  le champ « Depuis le » n\'est pas affiché.\n\n'),
(4214, 'IHM-022_RG-05:L’aide Aide 2_IHM-022 pour la saisie des montants d’impayé n\'est pas affichée.'),
(4216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO ASCAPONE MODE PRESTO '),
(4217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO ASCAPONE MODE PRESTO '),
(4218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO ASCAPONE MODE PRESTO '),
(4219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO ASCAPONE MODE PRESTO \r\nPRÉPARATION CAMPAGNE TEST AUTO SAUVE SOURIS MODE PRESTO'),
(4220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO ASCAPONE MODE PRESTO \r\nPRÉPARATION CAMPAGNE TEST AUTO SAUVE SOURIS MODE PRESTO'),
(4221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nTest Non Reg Falcon / Diamond sur divers supports'),
(4222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nTest Non Reg Falcon / Diamond sur divers supports'),
(4223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nTest Non Reg Falcon / Diamond sur divers supports'),
(4224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nTeste d\'affichage des configurations eDwan SPDV sur INT4 pour les mobiles (ios et android). \r\n'),
(4225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nTest Non Reg Falcon / Diamond sur divers supports'),
(4226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nTest Non Reg Falcon / Diamond sur divers supports'),
(4227, 'Filtre sur l\'état: NullPointerException.'),
(4228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\n0.5 : ALM (Release + Cycle) + Test Lab\r\n0.5 : Tests palier Septembre (PJ)'),
(4231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nConstruction plan de Non-Reg Falcon USR\\nConstruction campagne de test IF'),
(4232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nPrécision cas de tests IF après livraisons'),
(4234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nExécution des plans de non régression sur INT8 pour la campagne Globale FALCON'),
(4236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nFinalisation la campagne non reg + jouer deux campagnes automatiques + rapport de résultats des cas joués'),
(4239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nConfiguration de connexion IF (test de connexion avec les tunnels dans la base de données) + Configuration connexion Putty\r\n\r\nRéunion avec Marc et Hakim pour tester des plans au Labo pour le projet PRESTO comme test d\'acceptance de la livraison à tester à partir de demain.'),
(4240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nTest plan authentification PRESTO + Saisie Anomalie'),
(4651, 'Bug non reproduit.\r\nProblème résolu '),
(4652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nRéunion IF\r\nAcquisition du mode opératoire d\'authentification IF\r\n'),
(4608, 'Ajout d\'un filtre sur le statu du partenaire avant de l\'ajouter à la liste des choix possible en tant qu\'admin partenaire de la convention.\r\n\r\nTest HPALM rédigé : SP15-PHA [14000] filtrage sur les listes admin partenaires\r\n'),
(4427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nFinalisation script GetSession'),
(4299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nAtelier Olympia - P Amerio'),
(4428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nfinalisation de l\\\\\\\'API de prerequis d\\\\\\\'authentification Falcon pour ITF'),
(4255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nSupport post MEP - problème contrib MIG'),
(4257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nTravail sur services / flux entre Digishop et Falcon'),
(4258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nRéunion avec V Leroux - tests auto sur Boutk'),
(4259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nInstllation et qualifications de patchs de prod \r\n- MIG 2.1.2-c\r\n- MUG 2.1.10'),
(4283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nAction : analyse des campagnes de test automatique (méthode PDCA) ACCEPTANCE_DIGISHOPA_2.0.17_Falcon_V2.1.24_INT4\\nACCEPTANCE_DIGISHOPI_2.0.10_Falcon_V2.1.24\\nACCEPTANCE_DIGISHOPU_2.0.9_Falcon_V2.1.24_INT4Livrable : maintenance du catalogue de test/amélioration continu des tests.\\nNB : 1h20 supplémentaire pour rattrapage journée post incendie'),
(4263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nDéplacement Boulogne :\\n- Demo stream Coco\\n- Réunion avec F Verdier (Digishop R) et B Marques (tech Lead Coco)\\n- Support Anos ( PO - A Hesse)'),
(4266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nRéunion avec V Leroux et M Jaulin sur les boutik'),
(4281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nProjet Olympia - Travail sur :\\n- flux et composants\\n- cas de tests'),
(4279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nAction : analyse des campagnes de test automatique (méthode PDCA) NONREG_DIGISHOPA_2.0.17_Falcon_V2.1.24_INT4\\\\\\\\\\\\\\\\NONREG_DIGISHOPI_2.0.10_Falcon_V2.1.24\\\\\\\\\\\\\\\\nNONREG_DIGISHOPU_2.0.9_Falcon_V2.1.24_INT4\\\\\\\\\\\\\\\\nLivrable : maintenance du catalogue de test/amélioration continu des tests.\\\\nNB : 1h20 supplémentaire pour rattrapage journée post incendie'),
(4274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nPreparation script ITF Motors orchestré et MAJ API\\nAtelier automatisation ITF'),
(4275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nModification API pour mutualiser la mécanique Motors avec ITF\\nAdaptation API PDJ MOTORS pour ITF'),
(5287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\npoint de projet perf. / scripting / automatisation'),
(4389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nRéunion bug reveiw presto\\nInstallation du jeu PRESTO \\\"Sauve Souris\\\" (FDL012642) sur INT8\\nInstallation du jeu \\\"INSTANT LOTO\\\"  sur INT5 pour les tests de perfs'),
(4286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nVie des environnements refonte sur ALM'),
(4287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nVie des environnements refonte sur ALM'),
(4288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nVie des environnements refonte sur ALM'),
(4289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nVie des environnements refonte sur ALM'),
(4290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nVie des environnements refonte sur ALM'),
(4291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\n-analyse insertion client Olympia       0.75\r\n-[COHERIS] Avancement des sujets 0.25'),
(4292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nAnalyse insertion client Olympia                                      0.75\r\n[Olympia][ARJEL] Revue de la conception et Specs    0.25'),
(4293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nRédaction des spécifications en rapport avec la solution choisie'),
(4294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nRédaction des spécifications en rapport avec la solution choisie'),
(4295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\n- Mise à jour d\'environnement de recette INT2\r\n3.0.9_hasard	FDL013869\r\n3.0.3_mrcd	FDL013870\r\n3.0.3_mobi	FDL013874\r\n- Export des tables edwan INT2 pour analyse, pb sur tirages\r\n- Mise à jour de 2 ModOp de MEP pour Diamond\r\n'),
(4304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\n- MEP du RUN Release 2 avec HIA\r\n- Finalisation ModOps Diamond\r\n- Maj pages confluence\r\n- Support ANO036030 clôturée'),
(4310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nVie des environnements ajout INT8'),
(4311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nVie des environnements ajout INT8'),
(4297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\n- Maj des docs swagger MAPI, MOBI, SPDV\r\n- Analyse des promulgations Loto Palier Diamond\r\n- Support ANO041451, ANO041559, résolution d\'affichage des caractères accentués\r\n- prise de connaissance livraisons SPDV dans le Stream PHP\r\n- conférence préparation répetition Diamond'),
(4312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nAvancement projet OLYMPIA (0,5) + Atelier OLYMPIA/COMPTE (0,5).'),
(4307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\n- Pb sur les dernières livraisons, modifications de dernières minutes apportées, retard sur les installations\r\n- Installations livraisons Diamond INT8 et INT2\r\n- Réunion tests Diamond sur la période de répetition\r\n- Maj des ModOp Diamond sur les dernières livraisons'),
(4309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\n Point avec DFO sur les livraisons Diamond avec intégration Dallas- Analyse des impacts sur l\\\'intégration Dallas dans Diamond pour la MEP- Point avec TL sur maj MAPI si intégration CheckVersion pour Presto\\n- Réunion d\\\'information sur Palier et MEP Diamond - Analyse des exigences Amigo pour tests IQ'),
(4313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nAvancement projet Olympia, création du powerpoint décrivant les différents flux entre l\'application PARIONSDIRECT, le composant WSPO et le monde ABP/AGP.'),
(4314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nDéplacement Boulogne (Démo OLYMPIA + atelier SPDV/WSPDV/WSPO + atelier catalogue application native + réunion rapide avec le CP SI STEAM SPORT).'),
(4315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nDiffusion des informations sur l\'atelier Catalogue application native ParionsDirect. Normalement, installation des nouvelles version SPDV 3.X et WSPDV 3.X. Installation des nouvelles versions sous INT2 avec HIA (à prévoir).'),
(4316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nNormalement, soit projet OLYMPIA, soit qualif SPDV/WSPDV 3.X'),
(4322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nReception et lecture doc nouvelle webapp KENO'),
(4323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nRedaction cas de test keno'),
(4324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nredaction des cas de test keno + resolution pb back'),
(4325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nFDL013908 + reunion diamond'),
(4529, 'Il n\'y a jamais eu d\'état pour un bulletin d\'adhésion.'),
(4332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nTest Diamonds / Non Reg Falcon divers supports.'),
(4333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nTest Diamonds / Non Reg Falcon divers supports.'),
(4366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nPresto : Phase de qualification'),
(4346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nContrôle des Batch ABOZEN EU3 + tentative de réexécution manuelle du batch sur INT2 (pble sur le backend-rtg-admin : SIM HS) _ Comparatif des versions applicatives installées sur INT6 et INT8 (Palier Sept et DIAMOND) et demande de mise à niveau d\\\'INT6 pour Palier Septembre'),
(4336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nVITAN Mify : qualificatio, création des anomalies, Olympia, supports divers'),
(4337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nVITAN Mify : qualificatio, création des anomalies, Olympia, supports divers'),
(4338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nVITAN Mify : qualificatio, création des anomalies, Olympia, supports divers'),
(4339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nVITAN Mify : qualificatio, création des anomalies, Olympia, supports divers'),
(4340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nVITAN Mify : qualificatio, création des anomalies, Olympia, supports divers'),
(4341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nInstallation Ptab v2.11.3 (mise à dispo sans FDL)'),
(4344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nAnalyse des problèmes rencontrés pour exécution des batchs AboZen (pbles de données : analyse avec l\\\'aide de Lotsys) pour définir si nouvelle anos ou comportement normal (=> erreur ne devant pas se produire en prod = arret du batch !)\\nRéunion : campagne de Non régression FALCON'),
(4343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nPTAB phase de qualification.'),
(4345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nPTAB : Phase de qualification de la derniere version recu'),
(4347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nQualif PRESTO'),
(5880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nPrise de relai sur avancement du projet suite au début de conges de Sylvie'),
(4349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nQualif PRESTO'),
(4350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nMise à jour API digishop'),
(4351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nMise à jour API digishop'),
(4352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nMise à jour API digishop + formation compilation mobiles iOS / android\\n'),
(4354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nPresto : Installation de la derniere version 1.3.0-b (mise à disposition sans FDL)'),
(4355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nPresto : Qualification de la derniere version installée'),
(4357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nPresto : Phase de qualification de la derniere version Presto'),
(5879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nfin d\\\\\\\\\\\\\\\'explication avec les différents personnes intervenues sur les pbles technique/fonctionnelles liées au batch AboZen sur INT2\\\\n+ Exécution de cas de test (manuel) de la campagne du Batch AboZen'),
(4359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nPTAB : Installation de la derniere version PTAB 2.11.3-b (Mise à disposition sans FDL)'),
(4360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nmise à jour API digishop + Vie des environnements'),
(4361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nPresto : Phase de qualification de la derniere version '),
(4371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nCampagne d\\\\\\\'acceptante en test auto sur INT2 suite à installation des livraisons'),
(4368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nsuivi d\'avancement DIAMOND, réunion de suivi des anos et installation à venir'),
(4372, '- Vu en reunion C.MILLOT ce jour => Kevin communique avec la MOA pour confirmer ceci ou pas'),
(4377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nSupport Anos :\\\\n- Diamond afin d\\\\\\\'etre pret pour la répet du 09/09\\\\n- Webb app sport - conflit avec MAG'),
(4374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nInstallation MUG Diamlon 2.2.8  + tests - FDL013911'),
(4376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\n- Test Euromillions version 4.5.024\\n- Support DEV / Recette sur Diamond\\n- Point DIAMOND'),
(4390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nanalyse du besoin métier et de l\'existant'),
(4391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nSB + génération des services'),
(4431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\n- Demo application MAITRE \r\n- Support PRESTO et test'),
(5288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nDev API : initialisation environnement ITF FakeLottery'),
(4397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nDev API : initialisation environnement ITF FakeLottery + intégration du login Presto via FRONT'),
(4398, 'Lié au bug résolu mantis 13358'),
(4579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nApprofondissement de l\\\'architecture et des environnements d\\\'intégration pour ITF'),
(4413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nprésentation IF'),
(4415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\n[ITF] Atelier Automatisation des tests'),
(4417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nITF'),
(4419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nIF Points multiples'),
(4433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7'),
(4434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nMatrice de couverture'),
(4435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nCampagne de NR Release  14.1.25 build 2575 + Maj tests'),
(4442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nCampagne de NR Release  14.1.25 build 2575 + Maj tests'),
(4443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nCampagne de NR Release  14.1.25 build 2575 + Maj tests'),
(4444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nCampagne de NR Release  14.1.25 build 2575 + Maj tests'),
(4445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nCampagne de NR Release 14.1.25 build 2575'),
(4455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nattente livraison 14.1.25 build 2574'),
(4456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nMAJ CT040301'),
(4457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nInstallation WSPDV 3.0.4 et SPDV 3.0.1 sur INT4;\\nPromulgation des résultats sur INT4 pour la réalisation de tests;\\nFormation sur le nouveau référentiel de testes FRONT sur ALM\\n'),
(4894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nModification des CT précédemments MAJ relatif tests envoi enveloppe à Falcon & réponse (010101, 0101011, 010104, 010107, 030301, 030401, 03901) suite évol procédure du choix de branche'),
(4460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nSession Throttler : MAJ des autres CT (remplacement & MAJ)'),
(4461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nSession Throttler : Découverte module, remplacement des CT 0603,0604,0605'),
(4881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nMise a jour ALM pour le stream FDJ.fr\r\nCréation des release, des cylces, et du test lab pour tous les paliers a venir jusqu\'en janvier 2017 pour Hasard, Mapi, eDwan'),
(4884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\\\\\\\\nTests'),
(4464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537: Tests\r\nANO040845 [MUG Falcon V2] Resettlement motif historique des  transactions KO\r\n=> Point de blocage Resettlement contournement ano ANO040803, traitement du cas de Bets_to_Reopen '),
(4466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\n point équipe sport cds & pilotage cds'),
(4472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nMAJ référentiel suite MOD - camp NR ABP 14.1.26'),
(4473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\ncamp NR ABP 14.1.25 '),
(4475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nMAJ référentiel ARJEL'),
(4474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nMAJ référentiel suite MOD /ARJEL + ANO039853 maj '),
(4470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537: Tests cas annulation remboursement'),
(4471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nBlocage : Settlement, problème de connexion (ano outcome)\r\n=> Anomalie sur les outcome ne contenant pas l\'opposant\r\nCampagne ABP 14.1.25 b2537: Tests'),
(4476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nConnaissance référentiel - prép camp NR ABP 14.1.24 (susp)'),
(4477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nConnaissance référentiel - prép camp NR ABP 14.1.24 (susp)'),
(4478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nConnaissance référentiel - prép camp NR ABP 14.1.24 (susp)'),
(4866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nConnaissance référentiel - prép camp NR ABP 14.1.24 (susp)'),
(4869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nMAJ référentiel suite MOD (MOD006151 & MOD006417)'),
(4482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7\r\nou maj Test NonReg'),
(4483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7\r\nou maj Test NonReg'),
(4484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7'),
(4485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7'),
(4486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7\r\n(+ génération Offre Portugais pour Septembre 2016)'),
(4487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7'),
(4488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-7'),
(4489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests et Fin (Maj du Test PERBEN => long)'),
(4491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4527, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPetites modifications (Css, message d\'erreur etc) à implémenter après vérification.'),
(4495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nCampagne NonReg ABP 14.1.25.0-SNAPSHOT-b4: Suite tests'),
(4900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nAjout des tests Non Reg ARJEL / ANO041214\\nDebut Camp NonReg ABP 14.1.25.0-SNAPSHOT-b4: Bug Fixing'),
(4901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nProgramme Sport : Dev API Mify'),
(4902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nMaj Test NonReg: création d\'offre pour les futures campagnes + lecture / maj tests sur Retail Interface.'),
(4899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nAjout des tests Non Reg ARJEL / ANO041214\\nRetail Manager en tâche de fond'),
(4526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nRetail Manager en tâche de fond'),
(4505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nTests Campagne NR 14.1.25 build 2575 + Maj tests'),
(4506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nVérification d\'anciennes anomalies + Tests Campagne NR 14.1.25 build 2575'),
(4507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nVérification d\'anomalies + Tests Campagne NR 14.1.25 build 2575'),
(4508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nVérification de trame ARJEL / PDJ JO'),
(4509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nReprise de l\'Offre des Portugais + Tests Campagne NR Release 14.1.25 build 2575'),
(4510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nVérification PDJ / nouveaux Sports (Badminton, Tennis Table)\r\n=> vérification trame ARJEL PASPMISE'),
(4511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nSuite maj Test campagne NonReg (BetradarFeedRelay)'),
(4512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nSuite maj Test campagne NonReg (BetradarFeedRelay)'),
(4513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-01  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\nCampagne ABP 14.1.25 b2537:\r\nTests'),
(4520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nDébut Campagne ABP 14.1.25 b2537:\r\nBug Fixing (2 Ano) + Création Offre + Tests'),
(4521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nOffre portugais + Verif Template Auto / Coefficient et nom période\r\nPréparation Campagne ABP 14.1.25 b2537 '),
(4522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nModif test / nouvelle doc / Arjel Participant Code\r\nMaj Tests ALM'),
(4523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nModif Tests ALM / Cache Expiration\r\nModif Tests ALM / nouvelle doc / Arjel Participant Code (Regex)\r\nCréation Offre INT1'),
(4524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nCampagne Non Reg ABP 14.1.24:\r\nTest / Cache Expiration\r\nModif test / nouvelle doc / Arjel Participant Code'),
(4872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nCampagne Non Reg ABP 14.1.24:\\n- Evolution Arjel Participation Code (1 Ano + test / Cache expiration)'),
(5332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nTeste d\\\'acceptence et non-reg SPDV 3.0.1 et WSPDV 3.0.4 sur INT4;\\nMAJ MODOP SPDV et WSPDV'),
(4531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(6047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nCorrection scripts digishopA'),
(6045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nAtelier Olympia / Composants du compte'),
(6289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\n- préparation INT1 pour restauration ISO-PROD\r\n- mise en place logs MRCD en production pour le drawStatus\r\n- mise à niveau environnement perf palier Diamond : Stream PHP et webapps\r\n3.0.8_edwan	FDL013956\r\n2.3.2_hasard	FDL013861\r\n3.1.2_hasard	FDL013917\r\n3.0.16_hasard	FDL014152\r\n3.0.8_mapi	FDL014135\r\n2.5.2_edwan	FDL014146\r\n3.0.3_mobi	FDL013874\r\n3.0.5_mrcd	FDL014128\r\n2.0.25_weuml	FDL013971\r\n1.3.7_wloto	FDL013852\r\n- rattrapage environnement INT3 pour le palier Modérateur :\r\n2.3.0-p2_edwan	FDL013647\r\n3.0.8_edwan	FDL013956\r\n2.5.2_edwan	FDL014146\r\n2.2.0-p6_hasard	FDL013769\r\n2.3.2_hasard	FDL013861\r\n3.1.2_hasard	FDL013917\r\n3.0.16_hasard	FDL014152\r\n3.0.8_mapi	FDL014135\r\n3.0.3_mobi	FDL013874\r\n3.0.5_mrcd	FDL014128\r\n2.0.25_weuml	FDL013971\r\n1.3.7_wloto	FDL013852\r\n2.2.0_wof	FDL013960'),
(6043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nMerge de l\'API Falcon 2.3.0-1 (transfert de compétences) et identification de problèmes dans le code généré de certains services, Test et livraison dans ALM'),
(6042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\n- Continuation des MAJs des descirptions des steps de chaque cas de test d\'acceptance USR 2.3\r\n- MAJ des requêtes SQL de sélections de joueurs & GEN DB REQUEST qui n\'étaient pas  adaptés\r\n'),
(6039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nModification API Motors mutualisé dans la partie Common pour mise en compatibilité avec les blocs'),
(6035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nTest de non régression des scripts Motors domestique, test sur la stabilité de l\\\'API, test de fonctionnalité des nouveaux scripts Motors ITF et publication nouveaux scripts et API'),
(6293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nAtelier automatisation ITF'),
(6034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nAPI Motors : Revue de code'),
(6295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nModification et livraison de scripts'),
(6029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nDev API : finalisation du mode de compatibilité de orchestration des PDJ Motors'),
(6031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nPoint de dev et Atelier de suivi des test automatisés'),
(6301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nAtelier de travail référentiel ALM\\\\nQualification ANO040825'),
(6260, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ndé-bouchonnage du récapitulatif\r\n+RAF navigation à modifier sur valider et recap'),
(6027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nDev API et Scripts ITF pour Bet Motors orchestrés'),
(6273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\ncoquilles vides + tests +liens exigences'),
(6274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\ncoquilles vides + tests +liens exigences + réunion'),
(6147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\ndev tests IF'),
(6153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nréunion équipe tests auto'),
(6154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\ndev tests IF'),
(6146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\ndev tests IF'),
(6015, 'Tous TDB\r\n\r\nUtilisation du i18n pour le filtre sur les organismes -> uniformité'),
(6016, 'Dans OrganismLocalServiceImpl:\r\n- création des méthodes privées getOrganismDtos() et getOrganismDtosForCommonUsers()\r\n- modification du search() pour adaptation avec ces méthodes\r\n\r\nDans TdbCommon:\r\n- la future modification de l\'URL concernant les users non admin Cnaf a été écrite et commentée (car WS pas prêt voir #14624)\r\n\r\n/!\\ ATTENTION /!\\\r\nModifier la BDD manuellement + vider le cache de la BDD dans Control Panel:\r\nla table habilitation_agent : il faut que les admin CNAF est un rôle \"Administrateur CNAF\" (vérification sur la String)'),
(4566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nPalier Septembre (Mise à jour SQLLib pour palier)'),
(6014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nTests AUTO PRESTO / LA POULE AUX ŒUFS'),
(6013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nTests AUTO PRESTO / LA POULE AUX ŒUFS'),
(6012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nTests AUTO PRESTO / LA POULE AUX OEUFS'),
(6011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nTests AUTO PRESTO / LA POULE AUX OEUFS'),
(6010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nTests AUTO PRESTO / LA POULE AUX OEUFS'),
(6008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nRetour arriere du framework gravity motors (v2.0.4 -> v2.0.3)  pour les environnements INT3, INT4 et INT8'),
(6328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nModification de la configuration du portail et des jeux presto afin de passer par la gateway SOA\\nAnalyse du dysfonctionnement lié a la modification'),
(4578, 'IHM-021_RG-04:La[Date de référence](IHM-021_RM-02): le 1er juillet est affiché à la place du 1er [Mois retour] N si le mois de retour est déjà connu.\r\n\r\nSi on remplit le champs \"Commentaires\" et on change le type de logement, les commentaires disparaissent.'),
(4580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nMise à jour référentiel ARJEL'),
(4581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nMise à jour référentiel ARJEL'),
(4582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nMise à jour référentiel ARJEL'),
(4583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nMise à jour référentiel ARJEL'),
(4584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-22  (Do not remove this line) -->\nMise à jour référentiel ARJEL'),
(4585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-15  (Do not remove this line) -->\nMise à jour référentiel ARJEL'),
(4586, '05/09 : Support de Sarah pour son retour de congé, avec explication du RAF sur les TDBs qu\'elle devra réaliser. Aide sur son environnement.'),
(4600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nIF (Reunion) + Finalisation Eval mise a jour ARJEL '),
(4589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nIF (Reunion)'),
(4590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nMise a jour referenciel ARJEL '),
(4601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-03  (Do not remove this line) -->\nFormation Falcon Patrick'),
(4592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-11  (Do not remove this line) -->\nEval mise a jour ARJEL'),
(4593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-08  (Do not remove this line) -->\nEval mise a jour ARJEL'),
(4594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-07  (Do not remove this line) -->\nMise a jour PT Auto withdraw'),
(4595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-04  (Do not remove this line) -->\nReunion & lecture traft'),
(4598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-05  (Do not remove this line) -->\nReunion & lecture traft'),
(4597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-06  (Do not remove this line) -->\nReunion & lecture traft'),
(4602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-06  (Do not remove this line) -->\nFormation Automatisation (Patrick, Hakim, Romain)'),
(4603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nIF Postgres'),
(4609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nCréation catalogue application maitre\r\nInstallation appli maitre ios android'),
(4610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(4614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation+ COPROJ'),
(4615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(4619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation+ COPROJ'),
(4620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(4623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(4624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation+ COPROJ'),
(4625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(4626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(4627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(4628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(4629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(6308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nDébut d\\\'installation du portail et des jeux Presto sur environnement INT5\\nInstallation de Instant Loto v1.0.2 sur INT4 (support à HIA)'),
(6309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nInstallation du framework gravity v2.0.5 sur INT8 et INT4'),
(6605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nPartage de connaissances sur les erreurs ES Reporting'),
(4633, 'Résolu par le mantis 13358'),
(4634, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nje laisse 1 jour pour imputation si je dois à nouveau modifier les Tables. Si leur description ne change plus, alors le RAF est égal à 0!\n<!-- CODEVTT_TAG_READ_BY lbayle  --- 2016-09-19 11:33:21 -->'),
(5053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nExécution des plans de tests Authentification et services API PRESTO'),
(4648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nExécution des plans de tests Authentification et services API PRESTO'),
(4657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\npréparation tests automatisés IF'),
(4654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nRéunion suivi IF'),
(4658, 'Vérification sur le service, il est impossible de modifier ou créer un service sans période d\'utilisation. '),
(4661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\ncreation fiche de relecture de la doc de la webapp keno'),
(4662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\n-Support testeurs\r\n- Dev API Mify'),
(4663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\n- Orchestation du jeu Motors Instant Loto\r\n- Réunion de suivi AUTO/Perf'),
(4664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nProgramme SPORT : \r\n- Préparation et validation campagnes feedRelay INT3 \r\n- Support'),
(4665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nProgramme Sport :\r\n- mise en place du script FeedRelayCleanner'),
(4666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nProgramme SPORT : Support Digishop'),
(4667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nProgramme SPORT : Support Digishop'),
(4668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nProgramme SPORT : \r\nMise en place de la publication des lives sur le Retail'),
(4669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nNouveau besoin: Programme SPORT : \r\n- Analyse\r\n- Support ');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(4670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nNouveau besoin: Programme SPORT : \r\n- Analyse\r\n- Support '),
(4671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nNouveau besoin: Programme SPORT : \r\n- Analyse\r\n- Support '),
(4672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nNouveau besoin: Programme SPORT : \r\n- Analyse\r\n- Support '),
(4673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nRéunion avec Laurent Barrière et Valérie le roue pour regarder comment fonctionne la FAKE loterie'),
(4674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nNouveau besoin: Programme SPORT : \r\n- Analyse\r\n- Support '),
(4675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nProgramme SPORT : \r\nMise en place de la publication des lives sur le Retail'),
(4676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nProgramme Sport :\r\n- Validatione et livraison du script FeedRelayCleanner\r\n- Réunion de préparation démo automatisation'),
(4677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nExécution de 11 plan de test sur RUN 03 de PRESTO sur ALM '),
(4678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\r\n01- Suppresion de tests obsoletes\r\n02- Remise de cas de test dans leurs répértoire respectifs\r\n03 - Rectification de la priorité de certains cas de test\r\n05 - Mise à jour de cas de test'),
(4680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nMise à Jour Référentiel Falcon:\\n01- Suppresion de tests obsoletes\\n02- Remise de cas de test dans leurs répértoire respectifs\\n03 - Rectification de la priorité de certains cas de test\\n05 - Mise à jour de cas de test'),
(4686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nMise à Jour cas de test Presto ( La POM 70 cas de test à revoir )\r\n01- Suppresion de tests obsoletes\r\n02 - Mise à jour de cas de test'),
(4687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nMise à Jour cas de test Presto( La POM 70 cas de test à revoir )\r\n01- Suppresion de tests obsoletes\r\n02 - Mise à jour de cas de test'),
(4688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nConception des tests IF'),
(4689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nConception des tests IF'),
(4690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nConception des tests IF'),
(4691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nConception des tests IF'),
(4692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nConception des tests IF'),
(4693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\n01 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes\r\n03 - Réunion Presto avec Yannick Tison'),
(4694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Suppresion de tests obsoletes'),
(4702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nCampagne de non regression globale'),
(4703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.'),
(4704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Support Hicham et Julien ( back UP Presto)'),
(4705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.'),
(4706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Excution de campagne de test Presto RUN 1'),
(4707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Excution de campagne de test Presto RUN 1'),
(4708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Excution de campagne de test Presto RUN 1'),
(5000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\\nRaisons: Nouvelles informations fournies + meilleure comprehension.\\n02 - Excution de campagne de test Presto RUN 2\\n03 - Réunion Presto organisée par Marc. De 10:00 à 11:00\\n05 - Mise à jour de cas de test ARJEL'),
(4710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\n1 - Mise à Jour et révision de cas de test Presto\r\nRaisons: Nouvelles informations fournies + meilleure comprehension.\r\n02 - Exécution de campagne de test Presto RUN 2'),
(4711, 'la suppression et la clôture d\'un bulletin sont toutes deux soumises à vérification et validation du vérificateur avant de prendre effet.'),
(6394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\n0.75 - Développement traitement A/R chargement réclamations PDV \\\\n0.25 - Réunion [Olympia] Pré-Atelier conception SID = Coheris et [COHERIS] Avancement des sujets'),
(4990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nDéveloppement A/R'),
(4989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\n0.25 - Rédaction Spécifications Olympia\\n0.25 - Réunion Revue de spec Olympia/PMD/ARJEL'),
(4941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nDev Script et API Motors Presto : Intégration du login Web via AppFront dans login orchestré et les scripts'),
(5294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\ndev API : Merge API Falcon avec USR 2.2.4 (GDO palier septembre)'),
(5295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\ndev script : ajout nouveaux services apparus avec version Falcon USR 2.2.4 (palier septembre)'),
(4722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(4723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nConsolidation des données StatsCaf sur la semaine du 29/08'),
(4727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nrefactoring + test HPALM'),
(4726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\n#05/09 : Réunion sur l\'execution des batchs'),
(4824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\n- Formation VUGEN (Michael)\\n- Installation et test Euml Android (FDL013909)\\n- Investigation problème réseau sur appli mobile\\n- Anomallies sur les notifications (ANO041859)'),
(4729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-04-26  (Do not remove this line) -->\npurge motors'),
(4730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-04-29  (Do not remove this line) -->\npurge motors'),
(4731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-02  (Do not remove this line) -->\npurge motors'),
(4732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-20  (Do not remove this line) -->\nMotors'),
(4733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-23  (Do not remove this line) -->\nMotors'),
(4734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-24  (Do not remove this line) -->\nMotors'),
(8482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-25  (Do not remove this line) -->\nMotors / Rédaction cas de tests purge et archivage'),
(8483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-26  (Do not remove this line) -->\nMotors'),
(4738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-27  (Do not remove this line) -->\nMotors'),
(4739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-30  (Do not remove this line) -->\nMotors'),
(4740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-05-31  (Do not remove this line) -->\nMotors'),
(4741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-01  (Do not remove this line) -->\nMotors'),
(4742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-02  (Do not remove this line) -->\nMotors'),
(4743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-03  (Do not remove this line) -->\nMotors'),
(4744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-06  (Do not remove this line) -->\nMotors'),
(4745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-20  (Do not remove this line) -->\nMotors'),
(4746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nMotors'),
(4768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-12  (Do not remove this line) -->\nMotors'),
(4748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-04-01  (Do not remove this line) -->\nBesoin 1 :Tests manuels Motors Falcon_V2_0_9 / Intéraction FALCON'),
(4749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-03-31  (Do not remove this line) -->\nBesoin 1:MOTORS : NR10-BDI.053.31-IQ-01-BOX-Joueur Compte P1 + NR10-BDI.053.31-IQ-0103-Jeux MOTORS-Interaction avec FALCON P1'),
(4750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-04-04  (Do not remove this line) -->\nBesoin 1:MOTORS : NR10-BDI.053.31-IQ-0206-BOM-Ordonnancement des batchs P2'),
(4751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-03-30  (Do not remove this line) -->\nMotors'),
(4752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-03-31  (Do not remove this line) -->\nMotors'),
(6543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nBingo RWD'),
(4754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-23  (Do not remove this line) -->\nBingo RWD'),
(4755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-24  (Do not remove this line) -->\nBingo RWD'),
(4757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nredaction test manuel'),
(6544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-22  (Do not remove this line) -->\nBingo Anno BO'),
(4761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-27  (Do not remove this line) -->\nBingo RWD'),
(4762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-30  (Do not remove this line) -->\ninstall falcon usr/cls/opr int8'),
(6547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nMise à Jour et révision de cas de test Presto'),
(6811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nReunion EB/demo RWD'),
(4772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-03  (Do not remove this line) -->\nsupport Bingo'),
(4773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nsupport Bingo (prod)'),
(6813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nsupport Bingo'),
(8484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nRéunion'),
(4776, 'Retrait d\'une vérification sur convention active qui bloquait la cascade d\'un bulletin d\'adhésion dans le cas ou la convention était clôturée. (EntityStatusLocalServiceImpl ligne 1505)'),
(5682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nlecture doc IF'),
(5687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nredemarrage des compo falcon int 2-4-6-8'),
(5686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\ninstall USR 2,1,24-1 sur int4'),
(5684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nBingo RWD  - transverse'),
(8867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nInstall sprint1 bingo'),
(4782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\n- Analyse de l\\\'anomalie ANO041782\\n- '),
(4783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nReunion avec Nyx'),
(4784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nInstall sprint1 bingo'),
(4822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nReunion mise à dispo envt'),
(4821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nTest sprint1 bingo'),
(4788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nAnalyse Pb perben int8'),
(6549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-28  (Do not remove this line) -->\nBingo RWD - support'),
(4790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\nPoint hebdo/point à date'),
(4791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nRéalisation de script d\\\'installation Motors et Presto\\n'),
(4939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nModification tests d\\\'acceptation Motors et Presto'),
(4793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-12  (Do not remove this line) -->\ncampagne bingo sprint1'),
(4827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nTeste du fonctionnement du site Parions Sports en Ligne;\\nAnalyse de non-reg sur le site PSEL pour la nouvelle version MEP 14.1.25.0-SNAPSHOT'),
(4808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nredemarrage compo presto/falcon'),
(4807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-29  (Do not remove this line) -->\nBingo RWD - Point technique webapp'),
(4816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\npresto'),
(4857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nMigration des cas de testes spécifique du Stream Sport sur ALM;\\nFormation Toolbar ABP avec Michael Falkowicz;\\nAnalyse des temps de réponse des appels Mify sur le site Parions Sports en Lingne '),
(4829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nProblématique sur les conventions'),
(4830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nIF Point automatisation'),
(4831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nIF Scénarisation par blocs'),
(4832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nspdv,wspdv,edwan: qualification, modop, olympia: mise a jour des catalogues,liste des appels mify, sport en ligne : compilation, qualification, soumission'),
(4833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nspdv,wspdv,edwan: qualification, modop, olympia: mise a jour des catalogues,liste des appels mify, sport en ligne : compilation, qualification, soumission'),
(4834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nspdv,wspdv,edwan: qualification, modop, olympia: mise a jour des catalogues,liste des appels mify, sport en ligne : compilation, qualification, soumission'),
(4835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nspdv,wspdv,edwan: qualification, modop, olympia: mise a jour des catalogues,liste des appels mify, sport en ligne : compilation, qualification, soumission'),
(4836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nspdv,wspdv,edwan: qualification, modop, olympia: mise a jour des catalogues,liste des appels mify, sport en ligne : compilation, qualification, soumission'),
(4837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nCME : Point avec Steven avant Réunion puis réunion avec le client.'),
(4838, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n'),
(4839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nFinalisation du devt avec la partie affiche libelle  CMR'),
(4840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nAnalyse du fichier, correction sur la rubrique synthese.'),
(4841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nIl n\'y a aucun bug sur cette partie, le hook n\'est pas activé sur la PI afin d\'éviter les redirection lors des usurpations.'),
(4842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nModification et Livraison FDL013842'),
(4843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nMAJ Specifications'),
(4844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\n- Mise a jour des models des catalogues Euromillions / Loto\r\n- Support ano euromillions diamond \r\n- AppliMaitre'),
(4845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nSFD prete à être livrée'),
(4846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\n- Préparation repet MEP Diamond\r\n- Atelier Front Olympia \r\n- Référentiel Digital Front\r\n\r\n\r\n'),
(4847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\n- Referentiel Digital Front\r\n- Analyse US Jira pour PJ'),
(5008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\ntests automatisation'),
(4852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\ntests auto'),
(5010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nimplémentation tests auto'),
(4854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nimplémentation tests auto'),
(4855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nimplémentation tests auto'),
(4856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nCréation et actualisation des cas de testes Parions Sports Web sur ALM;\r\n'),
(4858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nTeste non-reg de la nouvelle version release Parions Sports en Ligne;'),
(4859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nIF Blocs'),
(4861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nVie des environnements - graphiques - ano INT7'),
(4862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nVie des environnements'),
(4863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nVie des environnements'),
(4864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nVie des environnements'),
(4865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nVie des environnements'),
(4867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-21  (Do not remove this line) -->\nConnaissance référentiel - prép camp NR ABP 14.1.24 (susp)'),
(4870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nPoint avec P.Giambelluco sur les évènements en son absence + réunion sur test de bascule du jeu EU2 en EU3 à faire sur INT4 (en profitant de la répétition de MEP qu\\\'il y aura en fin de semaine)'),
(4871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nTEST Manuel : Campagne d\'acceptance sur INT8 : RTG2.2.6-1'),
(4873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nSuivi d\'avancement de la qualif DIAMOND'),
(4874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-18  (Do not remove this line) -->\nMatrice couverture référentiel sport'),
(4875, 'Problème sur les attestations de paiement :\r\nDemande de support à la CNAF.\r\nMise en place appel WWD depuis LIFERAY.\r\nMise en place d\'un mock pour résoudre les problèmes.\r\nTache en dérive\r\n\r\nCes travaux ont été effectués par Julien'),
(4876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nGO pour RUN3 à 13h00 de Patrick         \r\nTest MANUEL : RUN3 Déroulement des campagnes (httpfox et Arjel)'),
(4879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nReunion sur les appels API, les prises de jeux, les connexion de sessions et l\'interconnexion (10h- 12h30)'),
(4885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nMise a jours des cas de tests dans le test plan ALM du Stream FDJ pour Mapi et Hasard\r\nCréation de 97 cas de tests avec un step par cas de tests'),
(4883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nTest MANUEL : RUN3 Déroulement des campagnes (arjel et Batch AboZen\r\nSuivi des anomalies Diamond (liées aux pbles d\'environnement).\r\nredécoupage des campagnes pour prioriser et répartir les tests à couvrir (la campagne doit être fini pour mercredi prochain)'),
(4890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nTest MANUEL : RUN3 Déroulement des campagnes'),
(4887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\n[Olympia] Atelier conception SID = Coheris    0.25\r\nrédaction Spec olympia'),
(5001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nAnalyse prise de jeux IF suite a la livraison du jeux Gareoloup, Astro2015\\nAnalyse des ouvertures de sessions, des bets via la fakelottery'),
(4889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nAtelier ALM appli Native avec Tat et Abo\r\nAnalyse + ecriture des tests PJ pour le palier de septembre\r\nTests environnement INT6 suite à migration cloud Front'),
(4891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nFormation Nicolas Fontaine sur IF car backup (suite a son retour de congés)'),
(4892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nTest MANUEL : RUN3 Déroulement des campagnes'),
(4893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nRedaction cas de test pour PJ (palier septembre)\r\nALM Atelier J. Quesada (Presto)'),
(4897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-13  (Do not remove this line) -->\nSession Throttler : MAJ CT 0602 Suite retour Gilles Vassallucci'),
(5055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nBackup michel puech pour la répétition DIAMOND (mise a jour des composants suite au FDL 013956) + MIse a jour des ModOp\\nInstallation Hasard 3.0.12(FDL013932) + lancement camapagne de test sur INT8\\nInstallation MAPI 3.0.1(FDL013954) + lancement camapagne de test sur INT8\\nInstallation eDWAN 3.0.8 (FDL013956) faites par Ramsey BOD, suite a cette installation création de la campagne de tests d\\\'acceptance car non présente dans ALM pour le projet GDO: suite a la création, deploiement de la campagne de test'),
(5085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nBackup M.PUECH sur la répétition DIAMOND (passage de cas de tests sur tous le stream Hasard)\\nInstallation Hasard 3.0.13 sur INT8 puis passage des cas de tests pour validation pour pouvoir l\\\'installer ensuite sur INT2\\nInstallation Hasard 3.0.13 sr INT2 + passage des cas de tests eDWAN, Hasard, MAPI'),
(4903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nProgramme Sport : Dev API Mify \r\nRéunion préparation demo automatisation'),
(4904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nProgramme Sport : Dev API Mify '),
(4905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nFalcon - validation Anos Arjel Balise F8(Henri Frenay)'),
(4906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nProgramme Sport : Dev API Mify '),
(4907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nProgramme Sport : Dev API Mify \r\nRéunion préparation demo automatisation'),
(4908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nEcriture de cas de test pour Stream FDJ : MAPI et TAPI'),
(4909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nEcriture de cas de test pour Stream FDJ : MAPI et TAPI'),
(4910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nEcriture de cas de test pour Stream FDJ : MAPI et TAPI'),
(4911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nConstruction campagne de test IF\\nConnaissance des appels REST IF'),
(4912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nEcriture de cas de test pour Stream FDJ : MAPI et TAPI'),
(4913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nConstruction campagne de test IF\\nConnaissance des appels REST IF'),
(5066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nConstruction campagne de test IF\\\\\\\\nConnaissance des appels REST IF'),
(5065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nConstruction campagne de test IF\\\\\\\\nConnaissance des appels REST IF'),
(4916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nEcriture de cas de test pour Stream FDJ : MAPI et TAPI'),
(5068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nCampagne de tests IF'),
(4919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nCampagne de tests IF'),
(5005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nspecs /matrice'),
(4924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nCampagne ASCAPONE'),
(4925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nCampagne ASCAPONE'),
(4926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nCampagne ASCAPONE'),
(4927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nCampagne ASCAPONE'),
(4928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nMise à jour API DigishopI'),
(4930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nMise à jour API DigishopI'),
(4931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nMise à jour API DigishopI'),
(4932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nMise à jour API DigishopI'),
(4933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nMise à jour API DigishopI'),
(4995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nFinalisation et livraison des nouveaux services de limite Falcon et test de stabilité non regression des anciens services suite à l\\\'évolution de cette API Falcon USR 2.2.4'),
(5078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\npréparation API Motors pour mutualiser les mecanismes de PDJ Motors / ITF'),
(4937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nJson de description Digishop'),
(4938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nJson de description Digishop'),
(4942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nMise à jour des nouveaux services de Digishop U'),
(4943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nMise à jour des nouveaux scripts Digishop_U'),
(4944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nMise à jour des nouveaux scripts Digishop_U'),
(4945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nCréation des nouveaux services Digishop_U'),
(4946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nCréation des nouveaux services Digishop_U'),
(5041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\n- ALM Appli Maitre /Presto\r\n- Test Appli Maitre / Presto'),
(5030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nQualif DIAMOND sur INT2'),
(5032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nQualif DIAMOND sur INT8'),
(5034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nQualif DIAMOND sur INT2'),
(5036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nQualif DIAMOND sur INT2'),
(5037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nAnalyse du problème et choix de la solution + impl'),
(4953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nAtelier Olympia'),
(4954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nRédaction docs Olympia : Analyse de Flux Falcon'),
(4955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nExécution des plans de test Diamond (6 plans de test et une Anomalie)'),
(4956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nTraitement anomalies Diamond'),
(4958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nPoint M Agourramme sur Cloud Front (INT 6 / 7)'),
(4959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nExécution des plans de test PRESTO'),
(4960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nTravail sur nouveau référentiel Digital Front'),
(4961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nRédactions cas de tests modérateurs à partir de INT6'),
(5334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nRéunion avec Marc Domenge le matin pour planifier des tests'),
(4963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nRédactions cas de tests modérateurs'),
(4998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nExécution des plans de tests PRESTO (Parcours Joueur)'),
(4968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nReprise et étoffage cas de tests non régression'),
(5069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation+ COPROJ'),
(4967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nTest Boutik + MUG / MAG modérateurs suite livraison sur INT6'),
(4969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nrecettage INT6 suite migration Cloud Front'),
(4971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nSupports Anomalies'),
(4973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\ntest webapp euml pour mep diamond'),
(4974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\ntest webapp euml pour mep diamond'),
(4975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nFDL013948\r\n'),
(4976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\ntest weuml pour mep diamond'),
(4977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nAction : implémentation des tests de non Reg digishop I service createAccount\r\nLivrable : plans de test ALM associés'),
(4978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nAction : implémentation des tests de non Reg digishop I service createAccount\r\nLivrable : plans de test ALM associés'),
(4979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nAction : implémentation des tests de non Reg digishop U service updateAddresses\r\nLivrable : plans de test ALM associés\r\nWarning : blocage script 1/2 journée suite à un problème de l\'API'),
(4980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nAction : comité automatisation hebdomadaire\r\nLivrable : comte rendu comité automatisation sous confluence'),
(4982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nAction : implémentation/maintenance/optimisation des tests \\\"API Security noSession\\\"\\nLivrable : plans de test ALM associés'),
(5054, 'Attention à demander à ce que cela soit facturé;  voir si defect similaire cote BDU'),
(4984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nMaj Test NonReg\r\nmaj tests sur Retail Interface'),
(4986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nMaj Test NonReg\\nmaj tests sur Retail Interface\\nPSMS V1 : réunion début du projet\\nInitialisation d\\\'un document pour automatiser les tests manuels de NonReg'),
(4987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nPSMS V1 : Ecriture des tests dans ALM'),
(4988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nPSMS V1 : Ecriture des tests dans ALM'),
(4999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nTest PRESTO sur la réconciliation des batchs'),
(4997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nCampagne USR 2.2 PRESTO'),
(5011, 'Faux bug.\r\n'),
(5048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\ncoproj hebdo + DSI'),
(6879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nweekly meeting'),
(5015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nStrategie de test SSI\r\nlecture document stategie de test SSI'),
(5016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\ninstallation nouveaux assets bingo'),
(5017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\ninstallation nouveaux assets bingo'),
(5018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nInstallation asset B10000 et B Rugby'),
(5019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nInstallation build HTML 1,1,101,53919'),
(5020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nInstallation build HTML 1,1,101,53919'),
(5102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nsupport IQ controlM int4'),
(5022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nSupport anomalies'),
(5026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nQualif DIAMOND sur INT8'),
(5027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nQualif DIAMOND sur INT8'),
(5028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nQualif DIAMOND sur INT8'),
(5038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nTest à faire sur HPALM'),
(5039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nréunion du matin sur la planification, réunion de l\'après midi avec le centre de test'),
(5040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nCréation des nouveaux services Digishop_U'),
(6329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nAnalyse du dysfonctionnement lié a la modification de la configuration'),
(6009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\n1- Point mise a jour cataligues PRESTO + création MOD\r\n2- Prise en main Fiddler pour les applications mobiles'),
(6000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nCampagne de teste ALM de qualification fdj2-origin_release_11-4 sur INT2'),
(6297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\n- Mise à jour du script de pdj controlée PSEL Live \\\\n-- dev fonctionnalité de pdj comniné et muiltiple \\\\n-- Modification du format d\\\\\\\'input du script'),
(5047, 'Tests fait (ids : 280/285/286/284)'),
(5290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nSupport sur scripts Motors : corrections d\\\\\\\'erreurs de runtime'),
(5056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nIF Scénarisation'),
(5057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nRédaction de cas de test PRESTO'),
(5058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nInstallation PRESTO FDL013942'),
(5059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nQualification de la nouvelle version PRESTO sur INT8'),
(5060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nInstalaltion des FDL Site FDJ :\r\nFDL013956\r\nFDL013954\r\nFDL013932'),
(5061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nQualifaiication Presto et rédaction de cas de test Portail'),
(5062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nCampagne de tests DIAMOND'),
(5070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(5338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(5072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nPRESTO + suivi  Qualification  + suivi Installation'),
(5073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\n1- Rédaction campagne test Appli Maitre iOS et Android\r\n2- Test presto (Scan du QR Code non fonctionnel), création d\'anos'),
(5075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nAnalyse (avec Gilles VASSALUCCI et Marc DOMENGE) du problème de lancement du jeu As Capone sur INT2 en vue de la recette AMOA'),
(5291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nDev Script de service ITFPostGameBet'),
(5084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nAnalyse de la nouvelle release USR 2.3.0 Alpha7'),
(5081, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nmodification suite au feedback'),
(5082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nRédaction des cas de test MAG et MUG pour PJ / Palier de septembre'),
(5090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nTests Diamond'),
(5336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nExécution des plans de Test pour le projet Diamond'),
(5335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nPlan qualification presto'),
(5217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPDJ simple live (PW)'),
(5215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPSMS V1: Ecriture nouveaux cas de tests + Elaboration Matrice PDJs + Ecriture ALM + Création Offre'),
(5216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPSMS V1: Ecriture nouveaux cas de tests + Elaboration Matrice PDJs + Ecriture ALM + Création Offre'),
(5103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nIF Blocs'),
(5106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\ninstallation parametrage du client'),
(5107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nSupport HIA - Répet MEP Diamond'),
(5108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nConfig serveurs Ojadgate + INTX pour déploiement nouveaux composants du compte Olympia (MIGO / MAGO / MUGO)'),
(5110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nInstallation du jeu motors \\\"instant Loto v1.0.1\\\" (FDL013968)\\nInstallation du jeu du framework \\\"gravity v2.0.3 \\\" (FDL013995)'),
(5300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nFormation reçue sur la qualification des fiches d\\\'anomalies.\\nFormation reçue d\\\'une heure sur la prise en main des terminaux au Labo PC.\\nTravail de synthèse en autonomie sur les PDJ, découverte des terminaux et compréhension du système d\\\'information.\\nDemande d\\\'accès à ALM sur référentiel site_central et sur projet Workflow_diffusion  --> Test des accès OK\\nComplétute documentaire.'),
(5113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\n-  Test appli Euromillions INT4 (checkversion)\r\n- Mise a jour catalogue\r\n- Support test site ( Loto)'),
(5367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nMise en place de cycles et modification des tests d\\\'acceptance sous ALM'),
(5115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nIF Blocs'),
(5116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nVérification du nouveau release du site Parions Sport en Ligne;\r\nRéalisation des Tests ALM'),
(5292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nMise à jour du Script Motors Orchestré pour intégrer le nouveau jeux InstantLoto et restabilisation de l\\\\\\\'API Motors'),
(5285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nrestabilisation de l\'API et test sur les scripts Falcon, Motors, digishop, ITF'),
(5120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nTest ALM du site PSEL sur INT6 (release fdj2-master-1330)'),
(5286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nRédaction du catalogue des services Impactés par le nouvel USR 2.3.0 Alpha7.2'),
(5284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nFinalisation des Tests de services Motors, ITF, Falcon, Digishop et Publication de l\\\'API stabilisée incluant la dernière version de DigishopU'),
(5123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nFinalisation du Script ITFPostBetITG'),
(5145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nvalidation des scripts ITF opérationnels et livraison dans ALM + tests sur l\'accès aux serveurs ITF avec la CypherList'),
(5125, 'La condition du test statut n\'était pas bonne.\r\nEt la suppression physique était implémentée.'),
(5126, 'Ajout d\'un filtre dans le search et searchCount de la classe CustomGroupLocalServiceImpl : lorsqu\'on filtre par utilisateur, on récupère la liste des PartnerCustomGroup de celui ci et on filtre sur les groupes associés aux PartnerCustomGroup ayant un statut \"OUVERT\".\r\n\r\nDans le doPrepare de CustomGroupsMB ajout d\'une condition sur la liste des utilisateurs permettant de filtrer la liste des groupes : on ajoute à cette liste les utilisateurs ayant le statut \"OUVERT\".\r\n\r\n'),
(5127, 'La condition du test statut n\'était pas bonne.\r\nEt la suppression physique était implémentée'),
(5128, 'Dans le prepare de PartnersMB ajout d\'une condition sur la liste des groupes permettant de filtrer la liste des utilisateurs : on ajoute à cette liste uniquement les groupes ayant le statut \"OUVERT\".'),
(5129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\n- Test DIAMOND INT4\r\n- Test ILLIKO LIVE INT2 (inverstigation crash appli)'),
(5130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nInstall Mug Correctif Diamond sur INT 2 , 4 et 8 + tests  / recettage de INT4 en mode répet'),
(5131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nDémo via visio \"Full Modérateur\" + échanges avec A Hesse / F Gustave'),
(5132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nTravail sur cas de tests Palier de Septembre'),
(5134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nAtelier Hebdo Olympia avec P Amerio'),
(5309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nExecution Test Diamond'),
(5317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nExécution des plans de test PRESTO'),
(5137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nEcriture de test pour stream FDJ : MAPI'),
(5138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nEcriture de test pour stream FDJ : MAPI'),
(5139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nEcriture de test pour stream FDJ : MAPI'),
(5331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nEcriture de test pour stream FDJ : MAPI'),
(5141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nEcriture de test pour stream FDJ : MAPI'),
(5142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nIF Point Automatisation'),
(5143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nIF Blocs'),
(5144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nMàJ Cas de test ALM (Projet: SPORTS_2013) '),
(5146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nCorrectif sur le générateur d\'API'),
(5147, ' Nouvelle version des SFD à produire pour prendre en compte le nouveau besoin'),
(5148, 'Nouveau besoin à prendre en compte'),
(6103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n- Mise à jour du script de pdj controlée PSEL Live \\\\\\\\n-- dev fonctionnalité de pdj comniné et muiltiple \\\\\\\\n-- Modification du format d\\\\\\\\\\\\\\\'input du script\\\\n- Réunion de suivi dev sport'),
(6406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nWorkshop NYX'),
(5994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\n- Mise à jour du script de pdj controlée PSEL Live \\n-- dev fonctionnalité de pdj combiné et multiple \\n-- Modification du format d\\\'input du script\\n '),
(5993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\n[Olympia] Rédaction CP, notamment PMD'),
(5311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\ntest Plans P2'),
(5155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nRWD release 1.1.101.53988 - Firefox'),
(5156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nPérimètre testé : CAF, Authorization, agent\r\n+ IHM upload PDF'),
(5157, 'Périmètre : Caf, Convention, Habilitation, Service, Organisme, Partenaire, Groupe'),
(5158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nréunion webapp lobby bingo + tests diamond'),
(5160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nredaction fiche de relecture documentation technique wof + redaction cas de tests wof'),
(5161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nFDL014011 pour correctif ANO041995'),
(5163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nCampagne de test DIAMOND'),
(5164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nCampagne de tests DIAMOND\r\n'),
(5166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nCampagne de tests DIAMOND\\nRéécriture de winproc_init_winV8.sh > winproc_init_winV9.sh pour tenir compte des caractéristiques EuroMillions2016'),
(5167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\n- Point appli maitre avec vitrole\r\n- Test / Support Illiko-live\r\n- Test Euromillions');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(5168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nAide sur le stream FDJ.fr dans le cadre de la répétition DIAMOND.\r\nAnalyse des Erreurs sur INT4, finalisation de la création des cas de tests'),
(5169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nContinuité d\'analyse IF sur les prise de jeux, ouverture de session, delete session, recherche de session ouverte via appel REST, et sur base de données'),
(5170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nAnalyse logs sur le bastion IF suite da des connexions, replay protection, bet ITG et bet RTG et recherche de session et delete session en cours via appel REST vers la FAKE LOTTERY'),
(5172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nAnalyse logs sur le bastion IF suite da des connexions, replay protection, bet ITG et bet RTG et recherche de session et delete session en cours via appel REST vers la FAKE LOTTERY'),
(5173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nVie des environnements IN6 stabilisation'),
(5174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nVie des environnements INT6 stabilisation'),
(7420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nVie des environnements INT7 stabilisation'),
(7421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nVie des environnements INT7 stabilisation'),
(5177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nVie des environnements INT7 stabilisation'),
(5178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nDev API automatisation Motors'),
(5184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\ntransfert de compétence sur le merge de l\\\\\\\'API Falcon suite à une génération de nouvelle version'),
(5181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\ncontinuité d\'analyse des environnements IF mis a disposition + aide sur le stream FDJ dans le cadre de la répétition DIAMOND'),
(5182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\ncontinuité d\'analyse des environnements IF mis a disposition + aide sur le stream FDJ dans le cadre de la répétition DIAMOND'),
(5185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nAtelier Automatisation ITF'),
(5186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nCampagne de tests Non-Régression Falcon USR'),
(5189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nExécution campagne DIAMOND INT4'),
(5190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nDéroulé campagnes de tests IF\r\nRédaction compte-rendu\r\nEn attendant de pouvoir saisir les ANO IF sous SNOW, préparation d\'un document XLS récapitulatif reprenant les caractéristiques du mode opératoire'),
(5191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nExécution campagne DIAMOND INT4'),
(5192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nExécution campagne DIAMOND INT4'),
(5193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nMise à jour API Digishop'),
(5194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nExécution campagne DIAMOND INT4'),
(5195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nExécution campagne DIAMOND INT4'),
(5196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nDigishop A - Intégration dans l\'API de requester permettant l\'envoi de pièces jointes'),
(5197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nDigishop A - Intégration dans l\'API de requester permettant l\'envoi de pièces jointes'),
(5198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nMise à jour API Digishop'),
(5199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nDigishop A - Intégration dans l\'API de requester permettant l\'envoi de pièces jointes'),
(5200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nMise à jour API Digishop'),
(5201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nRUN3 Diamond _ exécution des tests'),
(5202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\n1h30 = Diamond _ suivi d\'avancement du run3 ( consignes aux testeurs + extract des chiffres)\r\n30min = Palier Septembre _ point sur activité IMPERATIVES à faire dans la semaine'),
(5203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nrun3 _ Exécution'),
(5204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nRUN3 _ exécution'),
(5919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nAnalyse du besoin, Écriture et Exécution du 1er step d\\\'un cas de test concernant la migration des données (limites) : Contrôle Avant/après migration sur INT8'),
(5206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nRUN3 _ Exécution'),
(5207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nRUN3 _ exécution'),
(5212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nPSMS V1: Ecriture nouveaux cas de tests + Elaboration Matrice PDJs'),
(5213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nPSMS V1: Ecriture nouveaux cas de tests + Elaboration Matrice PDJs'),
(5214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nPSMS V1: Ecriture nouveaux cas de tests + Elaboration Matrice PDJs + Ecriture ALM'),
(5211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nsuivi d\'avancement de la qualif'),
(5218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPrésentation automatisation sport / Démo'),
(5219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nCampagne tests AUTO ASCAPONE'),
(5221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nSuivi d\\\'avancement du RUN3'),
(5222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nCampagne tests AUTO ASCAPONE'),
(5223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPDJ simple live (PW)'),
(5224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPDJ Multiple Complexe'),
(5225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPDJ Multiple Complexe'),
(5363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nCampagne tests AUTO LA POULE AUX OEUFS DOR'),
(5227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nCampagne tests AUTO LA POULE AUX OEUFS DOR'),
(5228, 'TDB 1 - Connexions des utilisateurs\r\n\r\n1. Les données sont affichées et cohérentes (\"Cumul\")\r\n2. Le filtre sur l\'organisme fonctionne\r\n3. Les données ne sont pas modifiées en BDD\r\n\r\nTDB - Loader\r\n\r\nLes loaders ont été ajoutés pour les actions suivantes:\r\n- selectList (TDb 2)\r\n- après choix du partenaire\r\n- remise à zéro du choix de partenaire\r\n- filtre profils (boutons radio)\r\n- filtre profils (cases à cocher)\r\n- choix des dates'),
(5229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nAnalyse de l\'indisponibilité de l\'environnement INT8\r\n\r\nInstallation de 3 jeux presto sur INT8\r\n- As Capone (FDL013991)\r\n- La poule aux oeufs d\'or (FDL013992)\r\n- Sauve Souris (FDL013993)\r\n\r\nPassage des tests d\'acceptance des 3 jeux presto'),
(5230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nAnalyse de l\'indisponibilité de l\'environnement INT8'),
(5234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nAction : implémentation des test  digishop u de type API security \\\"session déconnecté\\\" + normalisation des tests description + commentaires + factorisation des éléments commun\\nLivrable : plan de test DU :  test API security de type \\\"session déconnecté\\\"'),
(5241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nAction : comité automatisation \\\\nLivrable : bilan sous confluence'),
(5238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nAction : maintenance / complétion du plans de test boutik DU\\nLivrable : plans de test boutik DU'),
(5240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nAction : implémentation des test  digishop u de type API security \\\\\\\"sans session\\\\\\\" + normalisation des tests description + commentaires + factorisation des éléments commun\\\\nLivrable : plan de test DU :  test API security de type \\\\\\\"sans session\\\\\\\"'),
(5246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nAction : exécution + analyse des campagnes de test boutik ACCEPTANCE INT 4 FLV 2.1.25 suite à monté mineur de version FALCON\\nACCEPTANCE_DIGISHOPA_2.0.17_Falcon_V2.1.25_INT4\\nACCEPTANCE_DIGISHOPI_2.0.10_Falcon_V2.1.25_INT4\\nACCEPTANCE_DIGISHOPU_2.0.9_Falcon_V2.1.25_INT4\\n\\nLivrable : \\nACCEPTANCE_DIGISHOPI_2.0.10_Falcon_V2.1.25_INT4 : prise en compte du versionning DI suite au modification de l\\\'équipe de dev + ré exécution de la campagne\\nACCEPTANCE_DIGISHOPU_2.0.9_Falcon_V2.1.25_INT4 : à définir post exécution\\nACCEPTANCE_DIGISHOPI_2.0.10_Falcon_V2.1.25_INT4 : à définir post exécution'),
(5244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nAction : exécution + analyse des campagnes de test boutik ACCEPTANCE INT 4 FLV 2.2.4-2 suite à monté majeur de versionning Falcon + monté majeur du versionning boutik \\nACCEPTANCE_DIGISHOP-U-2.1.2 -FALCON USR 2.2.4-2_INT6\\nACCEPTANCE_DIGISHOPA_2.1.2_Falcon_V2.2.4-2_INT6\\nACCEPTANCE_DIGISHOPI_2.1.1 _Falcon_V2.2.4-2_INT6\\n\\nLivrable : \\nétude d\\\'impact + définition de la stratégie de maintenance/développement des tests pour palier septembre'),
(5245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nCampagne tests auto LA POULE AUX OEUFS DOR'),
(5247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nInstallation, compilation, qualification, support, rédaction mode opératoire d\'installation et pv de qualification pour VITAN MIFY, Webapps parionssport point de vente. Préparation des catalogues, création des cas de test  pour Parionsdirect, réunion d\'avancement pour le projet Olympia'),
(5248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nInstallation, compilation, qualification, support, rédaction mode opératoire d\'installation et pv de qualification pour VITAN MIFY, Webapps parionssport point de vente. Préparation des catalogues, création des cas de test  pour Parionsdirect, réunion d\'avancement pour le projet Olympia'),
(5250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nInstallation, compilation, qualification, support, rédaction mode opératoire d\'installation et pv de qualification pour VITAN MIFY, Webapps parionssport point de vente. Préparation des catalogues, création des cas de test  pour Parionsdirect, réunion d\'avancement pour le projet Olympia'),
(5251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nInstallation, compilation, qualification, support, rédaction mode opératoire d\'installation et pv de qualification pour VITAN MIFY, Webapps parionssport point de vente. Préparation des catalogues, création des cas de test  pour Parionsdirect, réunion d\'avancement pour le projet Olympia'),
(5252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nInstallation, compilation, qualification, support, rédaction mode opératoire d\'installation et pv de qualification pour VITAN MIFY, Webapps parionssport point de vente. Préparation des catalogues, création des cas de test  pour Parionsdirect, réunion d\'avancement pour le projet Olympia'),
(5312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nNon reg Diamond'),
(5316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nRéunion PRESTO'),
(5315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nExécution des tests PRESTO'),
(5256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\n- Support répete Diamond HIA Phase 1\r\n- Echecs de promulgations sur environnement de recette, correction du Certifications.xml\r\n- Rattrapage promulgation sur environnement de recette\r\n- Point Diamond pour la répet Diamond\r\n- mise à jour environnement de Qualif INT8\r\n'),
(5258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\n- Rattrapage promulgation Euromillions du 9 Sept sur environnement de répète\r\n- Support répète HIA Diamond Phase 2\r\n- Promulgations manuelles pour la Phase 2 Diamond\r\n- ANO041985 critique d\'historique des tirages signalé suite MEP Phase 2\r\n- Support d\'analyse sur l\'affichage KO des résultats portail tablette, données erronées en base'),
(5618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nRole IQ'),
(5619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nRole coordination IQ'),
(5620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nRemontée dans référentiel Digital'),
(5621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nMénage Référentiel digital'),
(5622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nMénage Référentiel digital'),
(5265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\n- BugReview avec CPSI\\\\n- Etat des lieux et tests effectués sur environnement de répet Diamond suite UP des serveurs\\\\n- Acces ko à l\\\\\\\'ensemble des ressources sur hasard, mapi, restauration des fichiers absents\\\\n- analyse livraisons\\\\n3.0.7_mapi,\\\\n3.0.8_edwan\\\\n2.5.1_edwan'),
(5266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\n- Maj de ModOp Diamond\r\n- Analyse ANO041985 Historique des tirages Euromillions KO\r\n- Analyse FDL013974 3.0.13_hasard'),
(5267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPoint projets Scripts Auto / Perf et AAtelier scénario par blocs'),
(5268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nIF Blocs'),
(5269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nIF Blocs et IF Admin'),
(5301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nFormation reçue sur la recherche des prises de jeux dans le système d\\\'information. Connexion au serveur ESTE et utilisation des programmes GTECH'),
(5302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nCapitalisation des informationsm recherche sur les logiciels GTECH, et tests sur les produits Amigo, Keno et Jocker+ . Avancement de l\\\'\\\'heure server et contrôle des résultats dans les journaux et sur le reçu checker digital.'),
(5303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nCapitalisation des informations, remontés des anomalies dans service NOW et vue de la procédure de redémarrage des serveurs.'),
(5304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nTBD'),
(6567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\n[Olympia] Rédaction de CP, notamment PMD'),
(5990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne'),
(5989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne'),
(5988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne'),
(5282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nDev API automatisation : mutualisation des services de PDJ Motors pour Motors OAD /ITF'),
(5283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPoint projets Plateforme de Performance / Scripting / Automatisation'),
(5296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nreunion automatisation + modif du catalogue de test'),
(5305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nInstallation de la nouvelle release front du site web Parions Sports sur INT2;\\nCréation du MODOP d\\\'install;\\nMàJ ALM;\\nCréation d\\\'une nouvelle campagne de tests spécifique;'),
(5298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nRéalisation de Tests PSEL (INT2) sur ALM'),
(5987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne'),
(5306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\ntests diamond + cas de test wof'),
(5307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nFDL013960\r\n'),
(5308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nredaction fiche de relecture de la doc technique webapp lobby bingo'),
(5318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nMise a jour catalogues\r\nTest Presto / Appli Maitre \r\n'),
(5319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nSupport tests auto suite problème service PJ boutik'),
(5321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nRecettage INT4 répèt Diamond'),
(5322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nMàJ Doc API Boutik + Analyse install , services'),
(5323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nDémo Stream Coco (visio)'),
(5325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nMise à niveau widget comptes + boutiks sur INT8'),
(5329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nRéunion Olympia Philippe Amerio'),
(5328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nInstall + tests Patch de prod MUG - FDL014013'),
(5330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nTravail sur cas de tests Projet Olympia / PJ / Moderateurs'),
(5337, 'Offre bailleur propose ce genre d\'interface de selection de mois => se rapprocher de steven'),
(5339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(5340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(5343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(5346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(5345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPRESTO + suivi  Qualification +  Installation + préparation Tests'),
(5347, 'Information :\r\n\r\nde frederic.biava@cnedi06.cnafmail.fr (Sécurité Applicative   Service SI PROJETS TECHNIQUES )\r\n\"l\'activation ou désactivation d\'un compte est réalisée à partir de l\'interface Habpps qui appelle une des API que nous mettons à disposition. \r\nPar défaut à la création d\'un compte celui-ci est activé. \"'),
(5348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nDiamond : Passage des cas de test Diamond'),
(5351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nPRESTO : Qualification \r\nPORTAIL : Fin des cas de test'),
(5350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nRefonte des MODOP annexe d\'activation DIAMOND'),
(5352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPRESTO : Qualification\r\nPORTAIL : Installation de FDL014009'),
(5353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPRESTO : Qualification'),
(5354, 'Vérifier avec kévin.'),
(5355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nSupport sur de l\'analyse de log en production'),
(5356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\n- Compilation Euml PROD\r\n- Test Scan Recu INT (MRCD)\r\n- Rédaction test ALM AppliMaitre'),
(5357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nUn point (avec Isabelle et éventuellement Michel) est requis pour vérifier que je parte bien dans la bonne direction. Le reste à faire pourra être renseigné!!'),
(5358, 'annulé'),
(5359, 'annulé'),
(5360, 'annulé'),
(5361, 'annulé'),
(5364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nCampagne tests AUTO LA POULE AUX OEUFS DOR'),
(5366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nAnalyse pb d\\\\\\\'indisponibilité de l\\\\\\\'environnement presto INT8\\\\nPassage des tests d\\\\\\\'acceptance sur INT8\\\\nInstallation du jeu motors \\\\\\\"Instant loto\\\\\\\" (FDL014021)'),
(5546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nPDJ Live simple (PW)'),
(5370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nTravaux sur le Json de description Digishop_A'),
(5371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nTravaux sur le Json de description Digishop_A'),
(5372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nTest des nouveaux services Digishop_U'),
(5373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nDocumentation sur Olympia pour la mise en place des nouveaux services'),
(5374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nRéunions hebdomadaire sur les scripts et point avec Rémi et Anaïs'),
(5375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nRapport sur évolution de digishop_A'),
(5376, 'Après vérification avec Kévin, c\'est pas un bogue.\r\nSuppression physique vérifié\r\nLog de suppression vérifié '),
(5377, 'Après vérification avec Kévin, c\'est pas un bogue.\r\nSuppression physique vérifiée\r\nLog de suppression vérifié '),
(5378, 'Après vérification avec Kévin, c\'est pas un bogue.\r\nSuppression physique vérifiée\r\nLog de suppression vérifié '),
(5379, 'Après vérification avec Kévin, c\'est pas un bogue.\r\nSuppression physique vérifiée\r\nLog de suppression vérifié'),
(5380, 'Après vérification avec Kévin, c\'est pas un bogue.\r\nSuppression physique vérifiée\r\nLog de suppression vérifié'),
(5381, 'Après vérification avec Kévin, c\'est pas un bogue.\r\nSuppression physique vérifiée\r\nLog de suppression vérifié '),
(5382, 'Après vérification avec Kévin, c\'est pas un bogue.\r\nSuppression physique vérifiée\r\nLog de suppression vérifié '),
(5383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\n2'),
(5400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nDevAPI : mise a jour des routeTable, intégration USR 2.3, test des applications Falcon, Digishop, Motors pour éviter les memory violation et relivraison de l\'API pour les testeurs'),
(5385, '________________________________________\r\nChristophe MARANDON <marand07>, 19/09/2016: Suite à decision de la MOA, pas de correction pour cette année (seulement 250 cas sur 053&054). Correction a replanifier pour 2017.'),
(5386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nPréparation réunion client'),
(5387, 'on re-ouvrira la tâche si des modifs sont a apporter...'),
(5565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nRetour CP --> lecture mail + état des lieux SPDV, WSPDV'),
(5389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nIF Blocs'),
(5390, 'DOUBLON'),
(5391, 'Suppression logique et physique vérifiée '),
(5392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nQualif Diamonds'),
(5393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nFDL014027'),
(5394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\ntest chargement'),
(5395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\n0.25 :préparation et livraison FDL013761 \r\n0.25 : [COHERIS] Avancement des sujets'),
(5396, 'La Suppression physique est faite.\r\nOn garde les traces par les logs de suppression. '),
(5397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nSupport sur implémentation de script IF dans ALM, mise à jour du catalogue Falcon USR (versions 2.2.4 et 2.3.0)'),
(5398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\n- Support , test IllikoLive (presto) INT2\r\n- Support test Illiko INT3\r\n'),
(5550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nAction : analyse de la campagne ACCEPTANCE_DIGISHOPU_2.0.9_Falcon_V2.1.25_INT4\\nmaintenance des tests d\\\'\\\"acceptance\\\" lié aux services\\ngetAboPlus,\\ngetDepositTransactionDetails,\\nget payline wallet,\\n+ définition des tests de non reg associé\\ngestion des problématique de jeux de donnée notamment pour les tests d\\\'\\\"acceptance\\\" associés aux services : \\nget deposit transaction status (entres autres)\\n....\\n\\nLivrable : plans de test \\\"acceptance\\\" associés aux services cités précédemment\\n+ folder JeuxDeDonnée (plans de test manuel équivalent à des procédures de création de jeux de données'),
(5402, 'bug causé par des anciennes données '),
(5403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nExécution Tests PRESTO'),
(5548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nAtelier de travail sur le référentiel ALM avec Raphaël'),
(5406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nSuivi Qualif DIAMONDS'),
(5407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nQualif FALCON palier septembre'),
(5408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nSuivi Qualif FALCON, Palier septembre'),
(5409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nSuivi Qualif DIAMONDS'),
(5410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nIF Blocs'),
(5411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nAnalyse des problèmes de lancement du jeu Instant Loto sur INT8 et INT3'),
(5412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nInstallation du framework gravity 2.0.4 (FDL014036)'),
(5413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia'),
(5414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(5423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\n[PSMS_V1]: Maj Tests ALM + Création Offre + [Portugais (SCML)]: Creation Offre pour le mois d\\\\\\\'Octobre 2016'),
(5416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(5418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(5896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\\\'environnement modulaire d\\\'Olympia. Formateur'),
(5624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\n- Déploiement modérateur, PJ (MUG, MIG) sur INT8 + tests PJ\\n- ANO042097, ANO042095'),
(5625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\n0.5 Tests PJ - Modérateur\\n0.5 Atelier tests aux limites Olympia avec Matthieu'),
(5626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nCampagne acceptance MUG \\nPrésentation architecture Olympia'),
(5627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nCampagne acceptance MUG Modérateur + PJ\\nAtelier perimetre tests Olympia'),
(5628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nRedaction cas de tests Olympia'),
(5631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\n- Migration INT1 isoprod\\n- tests et verifications'),
(5635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\n- Installation Cloud Front sur INT1\\\\n- Réunion tests Olympia'),
(5636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\n- Installation MAG 2.1.13 PS 2016\\\\n- MàJ INT3'),
(5634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\n- Atelier Olympia\\n- Travail sur ALM PS 2016'),
(5637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nTest acceptance MAG / Enrichissement ALM PS2016'),
(5638, 'Non reproductible.'),
(5639, 'Ceci n\'est pas un bug.'),
(5641, 'Erreur dans le ticket, le décalage ne se trouve pas dans le récapitulatif mais dans l\'écran consultation'),
(5427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nRéunion de point sur les Streams de 11h à 12h30;\r\nMontée en compétence Stream Sport  - Étude d\'architecture, Structure BD, processus de réconciliation/Extrat ETL, processus ARJEL '),
(5428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\ninstallation nouvelle build\\nsprint  3'),
(5430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\naccueil alternant'),
(5431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nmantis'),
(5432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nCréation plan de tests non-reg USR\r\nCréation campagne de test non-reg USR (RUN 1 = pas de BOX, pas de frontal)\r\nDéroulé plan de test IF (presto USR) = environnement indisponible\r\n'),
(5433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\n[IF] Découpage tâches et estimation de charges\r\nPré-saisie ANOMALIES IF'),
(5434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\ncas de tests wof + keno'),
(5435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nRevue doc webapp lobby bingo + reunion streams'),
(5436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nCOQUILLES VIDES'),
(5437, 'Lors du retrait d\'un rôle pour un custom group, dans la méthode removeAuthorization de la classe CustomGroupAuthorizationLocalServiceImpl, l\'application associée au rôle était récupérée en fonction de son label (qui n\'était pas unique) et non de son code (qui lui est unique). \r\n\r\nCela entraînait une tentative de suppression avec une application lambda n\'ayant aucun lien avec le rôle mais possédant le même label que son application.'),
(5438, 'Scope ISU, on clos le ticket'),
(5439, 'Vérifié par NMR le 21/09/2016'),
(5440, 'Vérifié par NMR le 21/09/16'),
(5441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nIF Point Automatisation'),
(5442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nIF Blocs'),
(5443, 'Apparemment OK par NMR le 21/09/16'),
(5444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\n- Documentation\r\n- Réunion ATOS'),
(5445, 'Vérifié par NMR le 21/09/16'),
(5446, 'Vérifié par NMR le 21/09/16'),
(5447, 'Vérifié par NMR le 21/09/16'),
(5448, 'Vérifié par NMR le 21/09/16'),
(5449, 'Vérifié par NMR le 21/09/16'),
(5450, 'Vérifié par NMR le 21/09/16'),
(5452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\ndev API : correctifs sur API pour scripts ITF ainsi que sur des TC sur services limits de Falcon, Revue du catalogue de scripts Falcon Olympia, Modification de gestion du ReplayToken Motors'),
(5453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nVérification d\'erreur de prise de jeux sur INT2 (time out);\r\nRéunion: Présentation de l\'architecture Olympia de 14h30 à 16h\r\nRéunion de coordination de 16h à 17h30'),
(5454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nEcriture de cas de test Stream FDJ MAPI'),
(5455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nEcriture de cas de test Stream FDJ MAPI'),
(5456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nEcriture de cas de test Stream FDJ MAPI'),
(5457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nEcriture de cas de test Stream FDJ MAPI'),
(5458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nEcriture de cas de test Stream FDJ MAPI'),
(5459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nTransfert de compétence sur l\'évolution des scripts Falcon'),
(5611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nAutomatisation : création d\\\'un requester multipartFile'),
(5463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nAnalyse installation bastion IF (verifications des logs suites a des prises de jeux et des ouverture de session sur toutes les machines qui compose IF)'),
(5464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nAnalyse installation bastion IF (verifications des logs suites a des prises de jeux et des ouverture de session sur toutes les machines qui compose IF)'),
(5466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nAnalyse installation bastion IF (verifications des logs suites a des prises de jeux et des ouverture de session sur toutes les machines qui compose IF)'),
(5860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nPassage d\\\'une campagne de test sur INT4 suite a l\\\'installation de hasard 3.0.15\\nCampagne de test MAPI, HASARD, eDWAN dans le cadre de la MEP DIAMOND'),
(5468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nContinuité sur le passage des campagnes de test sur INT4 dans le cadre de la MEP du 23/09 + Formation sur le sport en vu de porter de l\'aide a J.MARTORRANO'),
(5892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nMontée en compétence intégration'),
(5470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nSoit formation avec TAT pour backup octobre soit formation + aide pour J.MARTORRANO'),
(5472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nDev API mutualisation des PDJ motors pour OAD et ITF'),
(5555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nPDJ Live\\nModification de la requête de vérification de la table Betslip pour la rendre générique'),
(5547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nDocumentation'),
(5653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nÉcriture de cas de tests \r\nCorrection du problème d\'accès aux jeux ITG sur INT8'),
(5476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nPassage de tests d\'acceptance du framework gravity 2.0.4\r\nanalyse du problème d\'instabilité de l\'environnement INT8 Presto\r\n'),
(5630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nAnalyse du non lancement de certains ITG sur INT8'),
(5478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\ntest olympia'),
(5481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\ntest olympia préparation bouchon'),
(5480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\ntest olympia'),
(5640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nCampagne acceptance INT8\\nContrôle ETL'),
(5483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\ntest des fichiers fournis '),
(5484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nEcriture tests automatique IF'),
(5485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nEcriture tests automatique IF'),
(5486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nPalier de septembre'),
(5487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nPalier de septembre'),
(5488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nPalier de septembre'),
(5489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nEcriture tests automatique IF'),
(5490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nPalier de septembre'),
(5535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nTravail sur ESTE et JOSE + Point gestion de connaissances ATOS'),
(7423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nPalier de septembre'),
(5536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nTravail sur ESTE et JOSE'),
(5494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nEcriture tests automatique IF'),
(5495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nEcriture tests automatique IF'),
(5537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nTravail sur ESTE et JOSE + remonté d\\\'anomalie + Analyse des cas de tests ALM'),
(5497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nTravail sur ESTE et JOSE + MAJ ALM'),
(6536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nRéunion IF'),
(6537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nRéunion IF/Lotsys'),
(5538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nTravail sur ESTE et JOSE'),
(5540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nTravail sur ESTE et JOSE'),
(5503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nMontée en compétences sur Digishop_I'),
(5504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nMontée en compétences sur Digishop_A'),
(5505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nDéveloppement de l\'API MRCD'),
(5506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nDéveloppement de l\'API MRCD'),
(5507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nDéveloppement des scripts MRCD'),
(5508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nRéunion d\'information architecture Olympia (2h00)'),
(5510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nPRESTO CAMPAGNE AUTO LA POULE / SAUVE SOURIS '),
(5512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\n**Journée obsolescence ** Mise a jour des  tests MOTORS '),
(5513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\n[IF] Découpage des tâches et estimation des charges\r\n[IF] Couverture des exigences fonctionnelles dans ALM'),
(5514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nPRESTO CAMPAGNE LA POULE / SAUVE SOURIS'),
(5515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nPRESTO CAMPAGNE LA POULE / SAUVE SOURIS'),
(5516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nPRESTO CAMPAGNE LA POULE / SAUVE SOURIS'),
(5518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\n[PSMS_V1 / Release 14.1.27 build 2719] - Tests Manuels d\\\\\\\'Acceptance (INT8)'),
(5519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\n[PSMS_V1 / Release 14.1.27 build 2719] - Tests Manuels d\\\'Acceptance (INT8)'),
(5520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\n[PSMS_V1 / Release 14.1.27 build 2719] - Tests '),
(5521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\n[PSMS_V1 / Release 14.1.27 build 2719] - Tests '),
(5644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\n[IF] Couverture des exigences fonctionnelles\\n[IF] Rédaction cas de test BO\\n[IF] Préparation réunion du 29/09\\n[IF] Complétion de cas de test insuffisants décrits dans les specs'),
(5523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nCe n\\\'est pas un SAXO mais une requête faite par mail. Date du mail 21/09/16 - 09:32'),
(5524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nIndisponibilité des environnements '),
(5525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nTests PRESTO '),
(5629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nRéunion pour Bugs REview avec Lotsys'),
(5991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\n[IF] Specs Liquidity Manager'),
(6249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\n[Olympia] Enrichissement des coquilles vides et des cas de tests existants dans la non-régression Falcon USR'),
(6362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nExécution plans de test PRESTO campagne'),
(6363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nExécution plans de test Run3 INT 8'),
(5530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nfin des tests wof 2.2.0 '),
(5532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nredaction tests wlbgo'),
(5533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nIF Blocs'),
(5534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nIF Blocs'),
(5541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\n- analyse livraison hasard sur traitement de l\'affichage des anciens résultats\r\n- installation livraison Diamond sur INT2/INT4\r\n3.0.14_hasard	FDL014024\r\n- correction ANO sur l\'affichage des anciens tirages Euromillions\r\n- ouverture ANO critique, l\'affichage du MyMillion n\'est pas pris en charge dans la dernière livraison\r\n- point avec TL sur l\'anomalie remontée'),
(5542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\n- incident sur edwan bdd ko\r\n- analyse des livraisons MRCD (pb sur produit 19), Hasard sur l\'affichage du MyMillion\r\n- installations livraisons diamond sur INT2/INT4/INT8\r\n3.0.15_hasard	FDL014033\r\n3.0.4_mrcd	FDL014026'),
(5543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\n- environnements off\r\n- réunion Atos Streams\r\n- réunions Stream FDJ Automatisation des tests\r\n- réunion avec les équipes Streams qui consomment l\'API MAPI, les requêtes utilisées par les consommateurs sont quelques fois différentes aux doc\r\n- configuration des outils pour l\'accès aux nouvelles machines CF \r\n- maj Stream PHP ALM'),
(5544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\n- Point avec HIA sur les scripts de broadcast\r\n- Maj des Modop Stream PHP\r\n- rattrapage promulgations SPU/PTAB environnement de répète\r\n- réunion MEP Diamond/Dallas Dernières mises au point\r\n- support ANO041993 Affichage logo historique de tirages, impossibilité de reproduire l\'anomalie sur environnement de préQ dev'),
(5617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\n- analyse des résultats de promulgations sur environnement de répète\\n- support anos Diamond, récupération des données INT7 vers INT8 pour reproduction d\\\'ano logo\\n- réception premières livraisons BINGO, APPLI MAITRE :\\n3.3.0_edwan\\n3.2.0_mapi\\n3.1.0_mobi\\n- passage EDWAN en full pour Bingo, point avec TL sur lib Zend absente, nécessité d\\\'avoir une version full Edwan sur le palier Diamond'),
(5557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nAction : \\\\n1.Mise au norme des tests d acceptance boutik\\\\n2.Etat des lieux des tests d acceptance boutik\\\\n\\\\nLivrable\\\\n1.\\\\n1.1 normalisation type de test ACCEPTANCE => \\\\\\\"Test d\\\\\\\'acceptance\\\\\\\"\\\\n1.2 mise au norme (compléte) description du test \\\\\\\"test d\\\\\\\'acceptance\\\\\\\"\\\\n1.3 mise au norme (partielle) description des steps\\\\n1.4 mise au norme (partielle) requête\\\\n'),
(5556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nAction : \r\n1.Etat des lieux des tests d acceptance boutik suite à palier de septembre\r\nLivrable\r\n1.etude d\'impact sur manageGameLimit (joint au folder DU 2.1-FLV V2.2 sous ALM (fichier EtudeImpactPalierSeptembre.docx)) \r\npar ailleurs point bloquant script sur les versions empêche d exécuter les campagnes via les branches 1 ou 2. Sujet en cours de traitement par l\'équipe de dev.une solution de contournement via branche 3 ( non pérein ) est pour le moment utilisé'),
(5559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nAction : prise en compte du palier de septembre sur groupe de test digishop u : manageGameLimits\\nLivrable : test associé. Blocage : des blocages script ne permettent pas d\\\'aller au bout de l\\\'action (statut script ready + mise à jour de la NON REG). Problème signalé au dev'),
(5561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nAction : prise en compte des impact palier de septembre sur les test digishopU autre que le groupe manage game limit (groupe Financial+vérification persistance en BDD)\\n\\nLivrable : test associé dans DU 2.1-FLV V2.2'),
(5563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nMatin : alimentation environnement INT4 pour campagne de test \r\nAp midi : réunion Olympia (2h) et réunion coordination sport avec le CPSI (2h)'),
(5566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nPas d\\\\\\\'environnement d\\\\\\\'intégration : avancement sur l\\\\\\\'état des lieux des dernieres livraisons SPDV, WSDPV et WSPO.\\\\nRecherche d\\\\\\\'information avec HIA sur les problèmes de perf du site PDV.\\\\nRelance des serveurs apache sur l\\\\\\\'intégralité des environnements d\\\\\\\'intégration.\\\\nCréation des sessions superputty pour se connecter au front cloud.'),
(5567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nPréparation des différents services SPDV pour mettre en place des IP LABEL.\r\nAvancement sur le fonctionnement des caches du site SPDV, le browser et le RP.'),
(5568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nNormalement campagne de test ALM SPDV, WSPDV ou avancement ALM Olympia'),
(5985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nUSR 2.3 Scripts'),
(5986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(5984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nPoint IF Automatisation '),
(6238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nDivers tests Diamond'),
(5980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nFinalisation réferenciel V2.2 (P092016)'),
(6234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nFinalisation réferenciel V2.2 (P092016)'),
(5978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nFinalisation réferenciel V2.2 (P092016)'),
(5982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nOlympia Scripts'),
(5983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nCOCO & Olympia scripts\r\nIF Blocs ALM'),
(5577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nProgramme Sport:\r\n- Test et configuration robot Sport\r\n- Traitement demandes d\'évolution scripts'),
(5578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nProgramme Sport:\r\n- Traitement demandes d\'évolution scripts'),
(5579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nProgramme Sport:\r\n- Traitement demandes d\'évolution scripts\r\n- Réunion dev Mify'),
(5580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nProgramme Sport:\r\n- dev Mify'),
(5848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nProgramme Sport:\\n- dev Mify'),
(5582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nSoit formation avec TAT pour backup octobre soit formation + aide pour J.MARTORRANO'),
(5583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nExécution des tests'),
(5584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nexécution test manuel  diamond'),
(5601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nexécution test manuel :  0,5 \\nPrésentation de l \\\'appli MF-STIM aux équipes de Qualif et de Recette : 2h00'),
(5591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nExécution tests manuels Diamond : 0,5\\nCréation et lancement campagne auto pour PDJ RTG en version Pal Sept  : ,5 => résultats ko => pas le temps d\\\'analyser , renvoyer à Eric et Patrice.'),
(5597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nAutomatisation : création d\'un requester multipartFile'),
(6130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nPrésentation projets SPORT'),
(6131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nPrésentation Olympia'),
(5592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nMontée en compétence intégration'),
(6132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nAutomatisation : création d\\\'un requester multipartFile'),
(6129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nAutomatisation : création d\\\'un requester multipartFile'),
(5651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nDev API mutualisation des sessions de jeux motors pour ITF'),
(5607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nPrise de connaissance du contenu du projet'),
(5606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\n- Documentation Illiko /AppliMaitre / COnfluence\r\n- Réunion ATOS'),
(5623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\n- Suite compilation et mise a dispo TestFlight version Euromillions 4.5 pour la PROD\\n- Réunion IllikoLive\\n- Test lancement jeu illikoLive\\n- Compilation Euml 4.6 pour phase 2 diamond'),
(8839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nsupport pb de prod'),
(5643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\npoint alternant'),
(5645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\n[OLYMPIA] Analyse documentation'),
(5646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nPRESTO : Qualification sur contribution minimum'),
(5647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nPRESTO : Mise à jour des cas de test \\nPORTAIL : Modification des MODOP en vu de la mep de ce WE'),
(5648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nPRESTO : Résolution d\\\'incidents ILLIKO Live'),
(5649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nPRESTO : Transfert de compétence aupres de Michel P\\nPORTAIL : REU avec Métier sur OPTIMS Google'),
(5650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nPRESTO & PORTAIL : Check des MODOP avant MEP DIAMOND'),
(5652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nDev API mutualisation des appels de service motors pour OAD / ITF + validation sur appel orchestré MOTORS OAD'),
(5654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nIF Blocs'),
(5655, 'retrait dépendance 12318, specs non figées, mais non bloquanbt pour le reste du dev.\r\n\r\n0012318	open	ilagier 	41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 51 à 56'),
(5656, 'necessite de l\'analyse interne, avec sanaa et Isabelle'),
(5908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\n- Mise a jour catalogues \r\n- Compilation PROD Euml\r\n- Rédaction test ALM AppliMaitre\r\n- Réunion MEP'),
(5672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nVérification d\\\\\\\\\\\\\\\'erreur de prise de jeux sur le site web Parions Sport en linge sur INT2 (INC157200);\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\n\\\\nExécution des tests sur ALM'),
(5661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\n2j pour DSI'),
(5666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nLivraison FDL014113 - suite modification loader (changement FALCON)'),
(5667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\n0.5   : Livraison FDL014115 - Livraison initiale OLYMPIA\\n0.25 : [COHERIS] Avancement des sujets'),
(6332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nLivraison FDL014123 - Correctif anomalie ANO041328'),
(5669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nTests sur ALM de la nouvelle livraison (fdj2-origin_release_10-4);\r\nAtelier de US review (de 15h à 16h);\r\n'),
(5671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nDev Script : évolution des scrpts Motors impactés par la réorganisation de l\\\'API\\nAnalyse des correspondances Motors OAD / ITF pour effectuer les appels de service et extraction de donées des réponses dans ITF'),
(5906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\n- Rédaction test ALM (Presto et Applimaitre)\r\n- Poin avec Nasserdine'),
(5866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nAtelier Olympia'),
(5926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nInstllation + Test MAG 2.1.14 - FDL014081'),
(5867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nSupport Anomalies'),
(5677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nIF Blocs'),
(5678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nRedaction cas de test wkeno'),
(5680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nredaction des cas de test wkeno'),
(5688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nfinalisation bouchon'),
(5886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nRéunion avec Gilles VASALUCCI pour analyser deux anomalies critiques'),
(6364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nexécution des plans de test sur un environnement transverse INT2'),
(6365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nUne demi de journée de blocage en raison d\\\'installation d\\\'une version urgente. + test de qualification des anomalies relevées sur INT 8'),
(5692, 'Le filtre est présent sur la page concernée.'),
(5693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nvie des environnements : palier septembre'),
(5696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nvie des environnements : palier septembre'),
(5695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nvie des environnements : palier septembre'),
(5697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nvie des environnements : palier septembre'),
(5698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nvie des environnements : palier septembre'),
(5910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\n- Rédaction test Presto / Appplimaitre\\n- Bug Review Presto\\n- Test et support PRESTO\\n- Démo appliMaitre'),
(6588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nPalier Décembre : Analyse des documents (PTDI-GPS-Trajectoire SI Sport 1.03.docx)'),
(5704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Livraison INT4 à midi + PB accès SQL INT4 (user abp en user agp) + PB configuration CMS + Back par rapport aux évolutions 8 à 25 + Live autorisés'),
(5703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: préparation campagne ALM + maj fichier PDJs'),
(5705, 'TdbCommon.getAll_Organisms() s\'appuie un appel WS en REST. Le souci est que cette requête renvoie TOUS les organismes. Il n\'y a pas de filtres en fonction du rôle.\r\n\r\nIl faut donc créer une méthode réservée aux CommonUsers (admin Caf, admin partenaires et partenaires) qui va retourner une liste d\'OrganismDto correspondant aux organismes que l\'utilisateur a le droit de voir.\r\nCette méthode, c\'est OrganismLocalServiceImpl.getOrganismDtosForCommonUsers().\r\nElle sera privée dans un premier temps pour la tester (avec le filtre, ou encore la liste des organismes partenaires).\r\nPour la passer en publique et donc créer un WS REST derrière, il faut du ServiceBuilder.\r\n-> A faire avec Romain\r\n\r\nComme finalement, la différence entre AdminCnaf et les autres, dans la méthode OrganismLocalServiceImpl.search(), c\'est une simple question de filtres, j\'ai créé une méthode privée getOrganismDtos qui en fonction d\'un booléen isAdminCnaf, va filtrer ou non.\r\nCette seconde méthode sera donc utilisée dans search() (partie AdminCnaf) et dans getOrganismDtosForCommonUsers(), afin de factoriser.\r\n\r\nProblème rencontré: comme la création d\'un admin CNAF n\'est pas complètement faite, on utilise un processus un peu bâtard:\r\n- création d\'une Caf\r\n- modification du rôle de l\'admin de cette caf en Administrateur CNAF (avec le Control Panel)\r\nCela ne modifie pas le rôle dans la table _habilitation_agent, il faut donc le modifier manuellement puis vider le cache de la BDD par le Control Panel.\r\n-> mail à faire lors du commit!!!\r\n\r\nAvec Romain:\r\n- OrganismLocalServiceImpl\r\n     • vérifier le code des méthodes getOrganismDtos(), getOrganismDtosForCommonUsers() et search()\r\n     • dégager la partie commentée dans search()\r\n- TdbCommon\r\n     • décommenter (modifier?) l\'ajout de la vérification dans la construction de l\'url de l\'appel REST\r\n- rendre la méthode publique / créer le WS'),
(5706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nPoint IF Automatisation'),
(5707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nIF Blocs\r\n'),
(5708, 'Pour les 2 points suivants : voir KEvin\r\n- Validation par la MOA du message de contrôle sur une convention existante (Suite livraison AtoS\r\n-Validation du message quand une convention n’est pas invalide'),
(6265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nTests webapp keno'),
(5710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nInstallation de la version 1.6.0 du Portail Presto (FDL014129) \r\nPassage de la campagne de tests\r\nAnalyse du non lancement des jeux\r\n=> Problème lié a la base de données Motors\r\n=> Arret/relance de al base'),
(5711, 'Aout Sept Oct => 21/10'),
(5712, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n13/09 Journal de diff + tag sprint 3 + taches sprint 4'),
(5868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nDémo Stream Coco'),
(5871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nTravail sur compte contact Olympia (CORS, Base Falcon)'),
(5911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\n1- Support /Compilation Euromillions DIAMOND pour PROD (Android)\r\n2- PV Qualif Euromillions '),
(5716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nRéalisation des tests sur ALM (INT2);'),
(5722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nDIVERS TEST DIAMOND'),
(5719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nDIVERS TEST DIAMOND / PS2016'),
(5720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nDIVERS TEST DIAMOND'),
(5774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nRUN 3 PS2016 INT8'),
(5776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nRUN3 PS2016 INT3'),
(5725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Pb de configuration pour PDJ Combiné à plus de 8 outcomes + Ano critique car impossible de parier en Simple et Combiné avec plus de 8 outcomes (ANO042365)'),
(5888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nréunion IQ + Réunion CDS : explication travail à faire sur palier Olympia + réunion MOA'),
(5889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nRéunion IQ + Démo Olympia'),
(5798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\n0.5 - Campagne qualification MUG Palier de septembre\\\\n'),
(5797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\n0.5 - Atelier Composants du compte (Olympia / Palier de septembre)'),
(5729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nfinalisation création cas de test eDWAN pour stream FDJ + finalisation test IF sur interconnexion et prise de jeux'),
(5730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nFormation Cédric Campeniere'),
(5731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nformation par Tat sur son stream'),
(5732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nAnalyse lancement des jeux PRESTO sur INT2\r\n=> Suite à la bascule des serveurs CloudFr, il y avait une différence de configuration \r\n=> Service sur les serveurs PUR non démarrés'),
(5733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nAnalyse stream de TAT pour me former suite a la prise de fonction en tant que back up '),
(5734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nPassage campagne de test de non reg sur Edwan suite a l\'installation de la premiere version d\'eDWAN Bingo + analyse pour création des repertoires associé a cette FDL014074\r\n'),
(5854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\ncontinuité sur montée en compétence stream app native sport'),
(5736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nReunion avec lotsys sur présentation IF'),
(5737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nFormation par Tat sur son stream'),
(5738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nContinuité formation + montée en competence stream app native sport'),
(5739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nCampagne TESTS AUTO PRESTO'),
(5740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\n[IF] Réunion de présentation BO IF (AMA, CPA arrivés de Boulogne)'),
(5741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nimplémentation des tests'),
(5742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nCampagne TESTS AUTO PRESTO'),
(5743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nimplémentation des tests'),
(5744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nCampagne TESTS AUTO PRESTO'),
(5745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nCampagne TESTS AUTO PRESTO'),
(5759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\n[Olympia] Rédaction des cas de test PMD'),
(5747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nCampagne TESTS AUTO PRESTO'),
(5748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nimplémentation des tests'),
(5749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nimplémentation des tests'),
(5874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nTravail sur ESTE, gestion des cas d\\\'erreur, des paiements et de PDJ Sport. Remonté des anomalies dans SNOW et échange avec les équipes de développement. \\nTravail de capitalisation dans OneNote et complétude d\\\'un document Word structuré.'),
(5875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nTravail sur ESTE, gestion des cas d\\\'erreur, des paiements et de PDJ Sport. Remonté des anomalies dans SNOW et échange avec les équipes de développement. \\nTravail de capitalisation dans OneNote et complétude d\\\'un document Word structuré.'),
(5876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nTravail sur ESTE, gestion des cas d\\\'erreur, des paiements et de PDJ Sport. Remonté des anomalies dans SNOW et échange avec les équipes de développement. \\nTravail de capitalisation dans OneNote et complétude d\\\'un document Word structuré.'),
(5877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nTravail sur ESTE, gestion des cas d\\\'erreur, des paiements et de PDJ Sport. Remonté des anomalies dans SNOW et échange avec les équipes de développement. \\nTravail de capitalisation dans OneNote et complétude d\\\'un document Word structuré.'),
(5754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nRéunions automatisation projet et CDS'),
(5878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nTravail sur ESTE, gestion des cas d\\\'erreur, des paiements et de PDJ Sport. Remonté des anomalies dans SNOW et échange avec les équipes de développement. \\nTravail de capitalisation dans OneNote et complétude d\\\'un document Word structuré.'),
(5937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\n- Support à HIA pour l\\\'installation des jeux motors \\\"As Capone\\\" et \\\"Sauve Souris\\\" sur INT2\\n- Analyse indisponibilité du Portail Presto INT7\\n=> Service sur les frontaux non démarrés\\n- Analyse impossibilité de la connexion a la BOM INT8\\n=> \\n- Fin d\\\'installation de INSTANT LOTO sur INT4\\n=> Blocage dans la création du journaling\\n'),
(6539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nRéunion automatisation projet'),
(6538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nRéunions automatisation projet et CDS'),
(5764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\n[Olympia] Rédaction cas de test PMD'),
(5765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\n[Olympia] Rédaction de cas de tests PMD'),
(5766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nSupport qualif anomalies (qualification, confirmation)\r\n\r\n- Pb de message dans MUG suite à virement avec montant non autorisé\r\n- ANO042134 => message Bingo erroné au dépassement des limites \r\n\r\nInstallation - Tests MIG 2.1.6 (upload PJ avec nouveau service)'),
(5767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nEcriture de cas de test pour stream fdj MAPI'),
(5768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nEcriture de cas de test pour stream fdj MAPI'),
(5769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nEcriture de cas de test pour stream fdj MAPI'),
(5770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nEcriture de cas de test pour stream fdj MAPI'),
(5771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nEcriture de cas de test pour stream fdj MAPI'),
(5772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nBoutiques DigiA 2.1.7 - DigiU 2.1.7 - DigiI 2.1.5:\r\n\r\n- Analyse mofdification conf\r\n- Deploiement sur INT8\r\n- Tests manuels via Interface\r\n\r\nDemo du Stream COCO - Sprint 8\r\n\r\nInstallation test - patch de prod  MUG 2.2.10 - Affichage rangs de gain'),
(5773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nIF Backoffice\r\nPoint Scripting Auto Perf\r\nPrésentation IF Blocs'),
(5775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nIF Scripts Admin'),
(5777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nIF Admin'),
(6123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nMàJ des cas de tests sur ALM;\\nRéalisation des tests ALM;'),
(6491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nCampagne d\\\\\\\'acceptance sur INT7\\\\nModification du référentiel pour faciliter la maintenance.'),
(6492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nCampagne d\\\'acceptance sur INT7\\nContrôles ETL'),
(6494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nCampagne d\\\'acceptance sur INT7\\nContrôles ETL'),
(6493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nAtelier de travail sur le référentiel ABP avec Raphaël'),
(5784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nimputation pour RUN complémentaire de non régression (RUN 3 sous ALM)'),
(5785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nCampagne Olympia sur INT7'),
(5787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nCampagne Olympia INT7 + Génération offre sur INT2'),
(5788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nCampagne Olympia INT7'),
(5789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nCampagne Olympia INT7'),
(5790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nCampagne Olympia INT7'),
(5921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nrun complémentaire de non régression + réunions diverses + temps passé avec les différents acteurs du Palier septembre 2016'),
(5920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nrun complémentaire de non régression'),
(5922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nrun de non régression complémentaire'),
(5813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nAction : comité automatisation \r\nLivrable : compte rendu confluence'),
(5795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\n1 - qualification patch de prod MUG (suite)\r\n2 - deploiement Boutiques digishop A I U sur INT3\r\n3 - Olympia  - Flux'),
(5799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nBug review Stream COCO\r\nDemo Olympia sur INT7'),
(5800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nQualification MIG - MAG - MUG palier de septembre'),
(5801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nDev API ITF Motors'),
(5808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nScripts Falcon / IF Support aux testerurs'),
(5807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nAtelier ITF, test et livraison ALM des dernieres maj d\\\'API pour Falcon 2.3 et des scripts existants impactés'),
(5804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nEvol API ITF Motors et tests scripts ITF Motors'),
(5805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nRéunion présentation IF + Point projet Auto'),
(5806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nDev scripts ITF Motors'),
(5809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nAction : prise en compte des impacts du palier de septembre sur DU\r\nLivrable :  plans de test associés au groupe DU-0101 - manageGamesLimits, DU-0120 - setThresholds, DU-010305 - setAccountWeeklyLimit\r\nNB : volumétrie de test environ 45'),
(5927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nAction : prise en compte des impacts du palier de septembre sur DU\\nLivrable :  plans de test associés au groupe DU-0101 - manageGamesLimits, DU-0120 - setThresholds, DU-010305 - setAccountWeeklyLimit\\nNB : volumétrie de test environ 45'),
(5811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nAction : prise en compte des impacts du palier de septembre sur DU\r\nLivrable :  plans de test associés au groupe DU-0101 - manageGamesLimits, DU-0120 - setThresholds, DU-010305 - setAccountWeeklyLimit\r\nNB : volumétrie de test environ 45'),
(5814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nAction : prise en compte des impacts du palier de septembre sur DU\\nLivrable :  plans de test associés au groupe DU-0101 - manageGamesLimits, DU-0120 - setThresholds, DU-010305 - setAccountWeeklyLimit\\nNB : volumétrie de test environ 45'),
(5923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\npréparation run 3'),
(5816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nexécution plans '),
(5887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nBug review'),
(6366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nPlans de test'),
(6367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nexécution des plans de test'),
(5823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nrejeu de certains cas de test pour suivi des anos en cours'),
(5821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne'),
(5822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne'),
(5826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nFDL014154 : correctif sur chargement BO'),
(5834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\ntest bouchon'),
(5829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nRédaction des nouveaux cas de test _batch  winproc'),
(5832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nÉtude d\'impact éventuel sur batch ABoZen (gestion des dettes et des interdits de jeux)'),
(5833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\ntest bouchon'),
(5835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nRéunion de présentation (de Cécile) de l\'ensemble des sujets traités par le palier Decembre_Olympia et répartition des cas de tests à écrire/revoir.\r\nLecture des specs'),
(5842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nRecherche et lecture des specs.\\\\nRédaction des nouveaux cas de tests winproc'),
(5840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nAvancement du doc de bilan de la qualification Digital du CDS _ Etat en fin de RUN3 :  justification des cas not  \\\'Passed\\\"'),
(5839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nBilan de la qualif _ justification des cas not  \'Passed\"'),
(5841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nMise à jour des cas de test à modifier'),
(5843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nSuite test SPDV 3.0.2 & WSPDV 3.0.5 & Edwan 2.5.1\r\nMaj Modop\r\n'),
(5844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nMaj ALM (Service SPDV), suite des tests WSPDV & SPDV\r\nCréation des anomalies ANO042256, ANO042303 (critique/urgente pour le métier)'),
(5845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nLivraison Edwan 2.5.2 (FDL014) --> Installation INT4, test env moduliare, installation INT2 --> qualification de l\'anomalie critique/urgente ()\r\n--> Maj Modop --> Maj RFC002826 avec Philippe BOCCARD (HIA) pour sécuriser le passage au CAB'),
(5846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nWSPO : préparation future démo vitrolles + Test + Maj ALM'),
(5847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nNormalement avancement composant WSPO (ALM + test)'),
(5849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nProgramme Sport:\r\n- dev Mify'),
(5850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nProgramme Sport:\r\n- dev Mify'),
(5851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nProgramme Sport:\r\n- dev Mify\r\n- Réunion suivi AUTO/PERF'),
(5852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nProgramme Sport:\r\n- dev Mify'),
(5853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nProgramme Sport:\r\n- dev Mify'),
(6232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nPalier Septembre (Mise à jour Référentiel V2.2) & Analyse Campagne'),
(6233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nPalier Septembre (Mise à jour Référentiel V2.2) & Analyse Campagne'),
(6231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nPalier Septembre (Mise à jour Référentiel V2.2) & Analyse Campagne'),
(6229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nPalier Septembre (Mise à jour Référentiel V2.2) & Analyse Campagne'),
(6230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nPalier Septembre (Mise à jour Référentiel V2.2) & Analyse Campagne'),
(5872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nTravail sur compte contact Olympia (CORS, Base Falcon)'),
(5864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nInvestigation Acceptance RTG 2.2.7-1, instabilité INT3'),
(5865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nInvestigation Acceptance RTG 2.2.7-1, instabilité INT3'),
(5873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nTravail sur compte contact Olympia (CORS, Base Falcon)'),
(6124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nMontée en compétence intégration'),
(6126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nMontée en compétence intégration'),
(6127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nMontée en compétence intégration'),
(5897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(5915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nRéunion passation automatisation'),
(5899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(5900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(5901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(5902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\ninstallation,intégration,qualification,mise en production,analyse incident production,support : parionssport en ligne, parionssport point de vente, parionssport direct(olympia), mise à jour de edwan int4 (pour répétition diamond) edwan int3 (pour palier septembre) edwan int1 (pour correction patch MUG de prod) et l\'environnement modulaire d\'Olympia. Formateur'),
(6128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nRéunion automatisation'),
(5904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nredaction cas de test wkeno'),
(5913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nInstallation du portail Presto sur INT2\\nSupport à HIA pour l\\\'installation de Instant Loto sur INT4\\nCorrection de l\\\'applet \\\"La poule aux oeufs d\\\\\\\'or\\\\\\\" \\n'),
(5914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nprise en compte FDR + mise à jour SFD + code'),
(5917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nTest  faisabilite Web Service + debut analyse doc (code retours AMABIS)'),
(5928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nMAJ DIGISHOP A'),
(6277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nMAJ DIGISHOP A'),
(6276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\nMAJ DIGISHOP U'),
(5931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nMAJ DIGISHOP U'),
(5932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nMAJ DIGISHOP I'),
(6275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nMAJ DIGISHOP I'),
(5934, 'Ajout d\'un filtre dans le search des classes LocalServiceImpl des entités. Ajout, à la modification et la création, de la mise à jour des date de modification et de création.'),
(5935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nFDL014162: anomalie chargement BO'),
(5936, 'Changement à effectuer dans le traitement:\r\nUserConnectionMB > dto2LineCharModel()\r\n\r\nModifier la condition : filterByProfile && !selectedProfiles.isEmpty()\r\nConcerne le cas où on choisit le filtre par profil ET qu\'on a coché un ou des profils.\r\nAttention: dto.getData().get(profile) où profile vient de selectedProfile ne convient pas. Il faut utiliser la map availableProfiles pour pouvoir faire dto.getData().get(realProfile) avec realProfile de type \"Profil_T5\" au lieu de \"Service CDAP-1462971605382\"\r\n\r\nSinon, c\'est les autres cas: on récupère \"Cumul\"'),
(5938, 'En cours d\'analyse'),
(6495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nCampagne acceptance INT7 Handball\\\\nCampagne pour ANO40825 sur INT4'),
(5941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\n- Test / Qualif Euromillions Diamond Android'),
(5942, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ntache plus conséquente car il fallait effectuer une travail de recherche et mettre en place une nouvelle solution'),
(5943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nInstallation et teste d\'acceptance  de la nouvelle release PSEL (fdj2-origin_release_11-4) sur INT2 (FDL014179);'),
(5944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nFin du parametrage Log4J pour les projets Fronts'),
(5945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nSupport sur les TDBx, la configuration systeme.'),
(5946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nAnalyse des problèmes tickets prod : PDF / Sync'),
(5949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\n- transfert de compétence Presto\\n- investigation pb de promulgation loto int2\\n- import données de promulgation sur int8 reproduction d\\\'ano\\n- point sur répète Diamond Phase 1'),
(5951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\n- investigations post mep diamond phase 1\r\n- installation livraison Diamond\r\n3.0.5_mrcd	FDL014128\r\nCorrection ano sur le gamecode sans promulgations\r\n- qualification 3.0.5_mrcd avec maj catalogue pour le remplacement d\'appel'),
(5952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\n- installation livraison Diamond\r\n3.0.15_hasard	FDL014033\r\nCorrection sur l\'affichage MyMillion sur anciens résultats Euromillions\r\n- préparation MEP avec HIA'),
(5953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\n- mise à niveau environnements INT2 - INT4 - INT8 suite MEP Diamond\r\n- Qualification livraison 3.0.16_hasard suite MEP Phase 2\r\n- impport jeux de résultats INT2 vers vers INT8, promulgations manuelles pour qualification anomalie sur appli native Android d\'affichage du MyMillion\r\n- ano d\'affichage appli native détectée lors de l\'envoi des combinaisons + rapports sans MyMillion\r\n- installation livraisons correctives de prod sur INT8-INT4\r\n3.0.5_mrcd	FDL014128\r\n3.0.16_hasard	FDL014152'),
(5954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\n- support Bingo, problèmes remontés sur le composant mobi\r\n- installation livraison pour Appli maitre  sur INT8\r\n3.2.0_mapi	FDL014069\r\n- analyse logs mrcd pour diamond, mise en place outil de log pour récupération json en prod\r\n- restauration des archives des resultats euromillions pour la prod'),
(5955, 'Non reproduit le 03/10 à 13h40.'),
(5956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\n1- Compilation Euml PROD 4.6\r\n2- Installation webAPP lobby bingo INT8\r\n3- Documentation Bingo WebAPP'),
(5957, 'TDB 1 - Liste des organismes en fonction de l\'utilisateur [#14203]\r\n\r\nVoir le ticket pour le détail.\r\nIl reste à faire le SB pour rendre publique la méthode et en Remote\r\n\r\nTDB 1 - La sélection par profil ne fonctionne pas [#14202]\r\n\r\nVoir le ticket pour le détail.\r\nComplètement coriigé\r\n\r\nTous TDB - Filtre organismes uniforme\r\n\r\nUtilisation du i18n pour avoir la même chose partout.\r\nReste à modifier le Language_fr.properties (Romain)'),
(5996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\n- Formation CodevTT\\\\n- Support création lives\\\\n- Réunion  PSMS\\\\n- Dev scripts Mify'),
(5959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nIF Blocs\r\nUSR Olympia'),
(5960, 'https://portal.permeance.com.au/web/tim.telcik/home/-/blogs/how-to-upgrade-the-patching-tool-for-liferay-portal-6-2-ee\r\n\r\nthen\r\n\r\nhttps://web.liferay.com/group/customer/products/patching-tool\r\n\r\nErreur 404'),
(5961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nExécution d\'une ampagne de tests ALM pour la version PSEL fdj2-origin_release_11-4;\r\n'),
(5963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nAction 1 : prise en compte des impacts relatifs au palier de septembre sur digishop u pour le groupe \\\"autres\\\" autres = groupe digishop u autres que accountManageGameLimits, accountsetThreshold, accountManagePurseCreditAccount. \\nAction 2 : analyse différentiel entre les services déclarés par l\\\'équipe dev script (fichier de suivi) et les services présents dans ALM afin de préparer les mise à jour de digishop i et a suite au impact du palier de septembre notamment les ajout et suppression de service\\nAction 3 : mise en conformité des fichiers de suivi pour les plans de tests 2.2\\nLivrable 1 : plans de test associés\\nLivrable 2 : scriptApiVsRequirementAlm.xls + demande de point par mail à l\\\'équipe dev\\nLivrable 3 : fichier de sous ALM/Dashboard/analysis suivi CDS_REPORTING_BOUTIK'),
(5995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\n- Dev scripts Mify\\\\n- Réunion de suivi sport'),
(5966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nMise à jour USR 2.3 & acceptance'),
(5967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nMise à jour USR 2.3 & Acceptance'),
(5968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nEcriture de cas de test pour stream FDJ MAPI. Campagne d\'acceptance et de non régression MAPI version 3.2.0. Analyse de la campagne.'),
(5971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nRéunion Falcon USR avec Valérie Le Roux. Réunion Stream Compte avec Valérie Le Roux. Test de non régression sur Falcon USR 2.3.0'),
(5972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nFDL014199 : correctif fonction fusion pour email secondaire\r\nlivraison et installation bouchon sur int6\r\n'),
(5973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\n1- Mise a jour catalogues\r\n2- Rédaction test ALM AppliMaitre\r\n3- Support presto / appliMaitre'),
(6062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nPalier de septembre - qualification'),
(6064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n- Coproj stream Composants du compte'),
(6067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nvie des environnents : nouveaux scénarios'),
(6069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nvie des environnents : nouveaux scénarios'),
(6068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nvie des environnents : nouveaux scénarios'),
(6070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nvie des environnents : nouveaux scénarios'),
(6071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nvie des environnents : nouveaux scénarios'),
(6072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nCampagne de test ALM sur INT2 pour la version site  fdj2-origin_release_11-4\r\n'),
(6073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nFalcon USR 2.3 Test de non régression.Exécuter et Analyser les campagnes'),
(6074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nFalcon USR 2.3 Test de non régression.Exécuter et Analyser les campagnes'),
(6075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nTest ALM site web  fdj2-origin_release_11-4 (INT2);\r\nMontée en compétence pour les vérifications d\'intégrité ARJEL et ETL;\r\n'),
(6161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nTravail sur BetSys'),
(6105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nrun 3 ps2016'),
(6270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nExécution de compagne:\\nRUN 05 CDS ATOS_PRESTO_V 1.6.0- INT2 et INT8\\nCas de test concernant uniquement la POM, 22 cas de test'),
(6159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nrun 3 ps2016'),
(6084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nTravail sur BetSys'),
(6085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nTravail sur BetSys'),
(6086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nassociation cas de tests / exigences'),
(6087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n PMD _ Création et modif Cas de test'),
(6088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nTravail sur BetSys'),
(6089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nTravail sur BetSys'),
(6090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nPMD redaction cas de tests'),
(6094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nCampagne acceptance INT7'),
(6095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nCréation campagnes \\\"Vie des environnements\\\"'),
(6093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nVie des environnements + préparation des PDJ PSMS'),
(6096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\npréparation offre PSMS'),
(6097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\npreparation offre PSMS'),
(6098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nTeamBuilding FDJ '),
(6546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nMise à Jour et révision de cas de test Presto'),
(6108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nrun 3 ps2016'),
(6107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nrun 3 ps2016'),
(6109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nrun 3 ps2016'),
(6271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nExécution de compagne de 100 cas de test\\nRUN 06 CDS ATOS_PRESTO_V 1.7.0- INT2\\n-----------------------------------------------------------------------\\nCompagne de test concernant uniquement\\nLe jeu Sauve souris, qui n\\\'a jamais été exécuté sur INT2( cas de test NA dans les anciens RUNs )'),
(6111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nExécution de compagne de 100 cas de test\r\nRUN 06 CDS ATOS_PRESTO_V 1.7.0- INT2\r\n-----------------------------------------------------------------------\r\nCompagne de test concernant uniquement\r\nLe jeu Sauve souris, qui n\'a jamais été exécuté sur INT2( cas de test NA dans les anciens RUNs )'),
(6272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nExécution de compagne de 100 cas de test\\nRUN 06 CDS ATOS_PRESTO_V 1.7.0- INT2\\n-----------------------------------------------------------------------\\nCompagne de test concernant uniquement\\nLe jeu Sauve souris, qui n\\\'a jamais été exécuté sur INT2( cas de test NA dans les anciens RUNs )'),
(6113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nPassage test de qualification VITAN 4.5.024\r\n+ analyse des appels (flux) via Xcode sur le Mac + analyse des problemes de connexion reseau sur IOS9 (isoler si le probleme vient du tel, de l\'OS ou de l\'application native)'),
(6114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nanalyse bug AppsFlyer sur appli Parions WEB'),
(6115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nformation Rachid sur l\'integration globale\r\nFormation Edwan (putty) explication sur tout les modules, stream, edwan cms etc...');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(6116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nfinalisation campagne de test de qualif sur Vitan'),
(6117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nContinuité analyse AppsFlyer \r\nContinuité tests sur le stream APP NATIVE SPORT'),
(6118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nUSR 2.3 Scripts'),
(6119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nUSR 2.3 Scripts'),
(6148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nSPDV\\n+\\nNettoyage des environnements d\\\'intégration'),
(8429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nMontée en compétence intégration'),
(6139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nMontée en compétence + présentation ABP / Olympia'),
(6138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nMontée en compétence + présentation ABP / Olympia'),
(6141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\ndev tests IF'),
(6142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\ndev tests IF'),
(6144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\ndev tests IF'),
(6160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n1- Fiddler prise en main et support \r\n2- Test / Qualif Presto AppliMaitre'),
(6157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nMEP : SPDV + EDWAN\\\\\\\\nCréation ano ANO042500 (pb prod du samedi 1er octobre)\\\\\\\\nEntretien avec la perf par rapport aux problèmes de cache SPDV.'),
(6158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nSPDV + WSPO (complément ALM)'),
(6155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nEtat des lieux appel application native IOS/Android PDV.\r\nAnalyse script import BDD Edwan Prod to Int --> Problème de séquence à fixer.\r\nWSPO à continuer'),
(6156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nNormalement WSPO'),
(6162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-19  (Do not remove this line) -->\nCompletion du catalogue Falcon USR'),
(6163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-20  (Do not remove this line) -->\nCompletion du catalogue Falcon USR'),
(6164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-21  (Do not remove this line) -->\nCompletion du catalogue Falcon USR'),
(6165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-25  (Do not remove this line) -->\nCompletion du catalogue Falcon USR'),
(6166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-26  (Do not remove this line) -->\nCompletion du catalogue Falcon USR'),
(6167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-27  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-28  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-07-29  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-01  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-04  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-05  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6174, 'Dépendant de la tâche 14331 .\r\n\r\nA partir du modèle générer le micro-service'),
(6175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-10  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-11  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-16  (Do not remove this line) -->\nInvestigation campagnes de tests'),
(6181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-17  (Do not remove this line) -->\ncampagne DIAMOND INT2 & INT8'),
(6182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nRTG 2,2 MAJ des cas de tests'),
(6183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\nRTG 2,2 MAJ des cas de tests'),
(6184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\nUSR 2,2,3 Merge USR non reg & GDO -> Campagne USR GLOBAL'),
(6185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 :\\n- Description des steps\\n- MAJ Limits dans la sélection des joueurs (Requêtes SQL)\\n- Numérotation du référenciel\\n- Renommage des cas de tests'),
(6186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 :\\n- Description des steps\\n- MAJ Limits dans la sélection des joueurs (Requêtes SQL)\\n- Numérotation du référenciel\\n- Renommage des cas de tests'),
(6187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 :\\n- Description des steps\\n- MAJ Limits dans la sélection des joueurs (Requêtes SQL)\\n- Numérotation du référenciel\\n- Renommage des cas de tests'),
(6188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 :\\n- Description des steps\\n- MAJ Limits dans la sélection des joueurs (Requêtes SQL)\\n- Numérotation du référenciel\\n- Renommage des cas de tests'),
(6189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 (nommage & descriptions)'),
(6190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 (nommage & descriptions)'),
(6191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 (nommage & descriptions)'),
(6192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 (nommage & descriptions)'),
(6193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\nMise à niveau de tous les cas de tests USR 2,2 (nommage & descriptions)'),
(6194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4'),
(6195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4'),
(6197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4 + MAJ cas de tests'),
(6198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4 + MAJ cas de tests'),
(6199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4 + MAJ cas de tests'),
(6201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4 + MAJ cas de tests'),
(6202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4 + MAJ cas de tests'),
(6203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4 + MAJ cas de tests'),
(6204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nInvestigation campagnes de NON REG USR 2,2,4 + MAJ cas de tests'),
(6205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\nPalier Septembre (Création Fonction de calcul des jours Francs)'),
(6206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\nARJEL GDO (Mise à jour Référentiel ARJEL V2.1) + Mise à jour USR V2.1 (Financial\\\\Bank)'),
(6207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\nTest Ano ARJEL + ARJEL GDO'),
(6209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\nPalier Septembre (Mise à jour référentiel  V2.2)'),
(6210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 Inscription Joueur & Subscription)'),
(6211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\nPalier Septembre (Campagne V2.2.3 creation Jeux données INT6 +PTJD retrait CB)'),
(6212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nPalier Septembre (Mise à jour ARJEL pour V2.2 + Test PT avec jeux de données BOX)'),
(6213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\nTest sur Interactif Factory (1/2) +Pallier Septembre (Mise à jour Referentiel V2.2 )'),
(6214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\nPallier Septembre (Mise à jour Referentiel V2.2 Arjel PT avec jeux de données)'),
(6215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 Arjel Ajout Ctrl sur PUT AccountPin & AccountAddress)'),
(6216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-07  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 Refonte  Gestion de limites )'),
(6217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-08  (Do not remove this line) -->\nPalier Septembre (Exec Campagnes V2.2.4 Acceptence & NR)'),
(6218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 Prise en charge nouveaux services)'),
(6219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-12  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 Mise à jour Inscription & complémént inscription )'),
(6221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 New service session time )'),
(6222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 New service session time )'),
(6223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 )'),
(6224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2 )'),
(6225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2  ) & Analyse Campagne + Préparation PDJ Ecredit MOTORS'),
(6226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2  ) & Analyse Campagne'),
(6227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nPallier Septembre (Mise à jour Referentiel V2.2  ) & Analyse Campagne+ Test BATCH Export PDJ MOTORS'),
(6228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nPalier Septembre (Mise à jour Referentiel V2.2  ) & Analyse Campagne'),
(6237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nRéunion & Divers sur P091026'),
(6330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nDivers tests Diamond'),
(6241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nPS - Test sur campagne RUN3'),
(6242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nTest sur campagne RUN3'),
(6247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\n[OLYMPIA] Lectures préparatoires documentation'),
(6589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-02  (Do not remove this line) -->\nPalier Décembre : Analyse des documents (PTDI-GPS-Trajectoire SI Sport 1.03.docx)'),
(6592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-18  (Do not remove this line) -->\nPalier Décembre : Analyse des documents (PTDI-GPS-Trajectoire SI Sport 1.03.docx)'),
(6254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nAction     : Exécution des campagnes boutik\\nACCEPTANCE_DIGISHOPU_2.1.8  _Falcon_2.2.5-1 _INT3\\nACCEPTANCE_DIGISHOPI_2.1.5 _Falcon_2.2.5-1 _INT3\\nACCEPTANCE_DIGISHOPA_2.1.8_Falcon_2.2.5-1 _INT3\\nLivrable  : résultat + analyse des campagnes '),
(6255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nAction     : Exécution des campagnes boutik\r\nACCEPTANCE_DIGISHOPU_2.1.8  _Falcon_2.2.5-1 _INT3\r\nACCEPTANCE_DIGISHOPI_2.1.5 _Falcon_2.2.5-1 _INT3\r\nACCEPTANCE_DIGISHOPA_2.1.8_Falcon_2.2.5-1 _INT3\r\nLivrable  : résultat + analyse des campagnes '),
(6256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nAction     : Exécution des campagnes boutik\r\nACCEPTANCE_DIGISHOPU_2.1.8  _Falcon_2.2.5-1 _INT3\r\nACCEPTANCE_DIGISHOPI_2.1.5 _Falcon_2.2.5-1 _INT3\r\nACCEPTANCE_DIGISHOPA_2.1.8_Falcon_2.2.5-1 _INT3\r\nLivrable  : rapport d\'anomalie de test (maintenance des tests ) + fonctionnelle + analyse des problématiques de jeux de données'),
(6257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nAction     : mise à jour des tests digishop a suite au palier de septembre\r\nLivrable  : test associés'),
(6288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\n- maj des docs swagger MRCD, MOBI, MAPI\r\n- support anomalie en prod, archive sur euromillions_3.zip ko\r\n- correction en production des archives euromillions vu avec équipe de sauvegarde\r\n- analyse sources 3.2.0_mapi pour application maitre, non déployée'),
(6287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nAcceptance + qualification patch de prod :\r\nMUG 2.2.14'),
(6264, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDébouchonnage du récapitulatif'),
(6266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nTests webapp keno'),
(6267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nTests webapp keno'),
(6283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nPresto : Cas de test d\\\'acceptance et qualification FDL014184'),
(6281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nPresto : Qualification de la nouvelle version 1.7\r\nFDL014184'),
(6285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nPresto : Phase de qualification'),
(6290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\n- mise à niveau d\'INT1 sur le palier Diamond, récupération d\'une copie de prod, en attente remise en route du backoffice\r\n- Support ANO042162, correction contribution INT3\r\n- réception 1ere livraison hasard FULL pour bingo 3.3.0_hasard FDL014218, analyse des impacts de la livraison\r\n- pb remontés sur la livraison, librairie Zend absente, retard sur la livraison\r\n- demande de correction contribution oubliée en prod lors de la Mep GDO, vu avec S.Mace'),
(6393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\n- réunion automatisation mapi'),
(6392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n- réception livraisons Bingo : 3.3.1_edwan FDL014216, 3.1.1_mobi FDL014220, 3.3.0_hasard FDL014218\\n- Pbs sur la livraison hasard, trop de fichiers absents\\n- réunion avec S.Mace et TO sur Bingo\\n- attente nouvelle version hasard pour Bingo incluant les fichiers absents\\n- installation livraisons Bingo \\n3.3.0_hasard	FDL014218\\n3.3.1_edwan	FDL014216\\n3.1.1_mobi	FDL014220'),
(6391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nTeamBuilding FDJ'),
(6407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nWorkshop NYX'),
(6300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nOutil Excel'),
(6303, 'Dans le cas d\'une nouvelle colocation, si le bailleur ne renseigne pas de date, il n\'y a pas de vérification\n\n'),
(6304, 'Erreur de validation dans le cas date depart logement = date fin bail = date fin gestion'),
(6305, 'Renseignement montant loyer\r\nAppuiyer sur Suivant\r\nPuis Precedent\r\nVider le champ montant loyer\r\nAppuiyer sur Suivant\r\n\r\nErreur:\r\njavax.faces.FacesException: /views/declarer/loyers/montant_loyer.xhtml @62,72 listener=\"#{montantLoyerMB.comparaisonLoyer}\": java.lang.NullPointerException'),
(6306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\na transformer une fois une fois que le defect correspondant dans GAC ISE aura ete cree'),
(6310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\nReprise après arrêt, point Claude et Rémi\\nPrise de connaissance du projet Olympia'),
(6311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nEcriture des CT - Palier Olympia - Conformité - Interdits de Jeu'),
(6314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nEcriture CT Palier Olympia - Conformité - Inscription'),
(6315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nAnalyse spec CONF suite'),
(6888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nAnalyse spec CONF suite'),
(6317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nRédaction des CT - OLYMPIA - CONF - Authentification joueur en cours de rectification'),
(6319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nRattachement des exigences aux CT OLYMPIA - CONF'),
(6322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nRattachement des exigences aux CT OLYMPIA - CONF'),
(6323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\nAnalyse spec DEFI_PMD_EDB_PorteMonnaieDigital_v1.3'),
(6324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nDEFI_PMD_EDB_PorteMonnaieDigital_v1.3 + rédaction CT OLYMPIA - PMD - Porte-monnaie Dettes'),
(6325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nRédaction CT OLYMPIA - PMD - Porte-monnaie Dettes fin + rattachement des exigences correspondantes'),
(6565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nMAJ des CT CONF IDJ suite retour Bruno Aillet'),
(6327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nAnalyse spec pour RAF écriture des CT'),
(6331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\npas chez nous...'),
(6456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nExécution campagne de Non régression Falcon USR 2.3.0'),
(6336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nTEAMBUILDING FDJ'),
(6476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nActivation du jeu Blackjack sur INT4'),
(6338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\n- Support utilisation  Fiddler (Appli parionsDirect)\r\n- Support erreur lancement jeu Illio\r\n- Formation appli native Jerome'),
(6339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne\\nAnomalie / Late Bets + maj test ALM / Late Bets + Resettlement'),
(6341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nAction 1 : état des lieux script vs test alm + identification des points bloquants \\nLivrable 1 : scriptApiVsRequirementAlm.xls\\n\\nAction 2 :\\nprise en compte des nouveaux script olympia pour digishop U et I\\nimplémentation des tests d\\\' acceptance et de non reg en cours + création/mapping exigence\\nLivrable 2 : \\\"package de test\\\" lié aux services \\nAccountCheckCheckIban\\nAccountManagePursesGetUserAccountDailyLimit\\nAccountManagePursesGetUserAccountMonthlyLimit\\nAccountManageGamesLimitsGetDetailsLimitType\\nAccountManagePursesWithdrawUserWins'),
(6342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\n[Olympia] Point dev script auto'),
(6343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nUSR 2.3 Scripts auto'),
(6344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nUSR 2.3 Scripts auto'),
(6347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nTests ALM: version fdj2-origin_release_11-4 (INT2)  sur site web, mobile et tablette;\\nVérification des informations pertinentes pour réaliser les contrôles ETL et ARJEL;'),
(6351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nTests ALM: version fdj2-origin_release_11-4 (INT2)  sur site web, mobile et tablette;\\\\n\\nCréation d\\\'offre spécifique pour la réalisation des tests;\\nVérification des informations pertinentes pour réaliser les contrôles ETL et ARJEL;'),
(6352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nSupport sur la montée de version liferay et équipe'),
(6353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nSupport sur WDD'),
(6354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\ndescription procedure get_type_rang dans STD'),
(6355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nModification API Motors mutualisé dans la partie Common pour mise en compatibilité avec les blocs (remplacement des macros par des fonctions callbacks) '),
(6356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\npoint de dev script auto Olympia'),
(6357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nModification API Motors mutualisé dans la partie Common pour mise en compatibilité avec les blocs (remplacement des macros par des fonctions callbacks) '),
(6535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nSupport, correctif et evolution sur un script auto Falcon USR GDO'),
(6359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nModification API Motors mutualisé dans la partie Common pour mise en compatibilité avec les blocs (remplacement des macros par des fonctions callbacks) '),
(6360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\n- Capture et Analyse Flux Parions Direct (appels Olympia)\r\n- Atelier automatisation testeurs pour prise en main du script de PDJs Live\r\n- Test Robot Sport'),
(6361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\n- Mise en place des tâches Windows sur le robot sport \r\n- Analyse documentation olympia'),
(6376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nMaj + Exigences'),
(6377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nMaj + Exigences'),
(6378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nMaj + Exigences'),
(6379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nMaj + Exigences'),
(6375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nEtude  PL SQL vs  decodage flux XML retourné par AMABIS'),
(6374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nRéunions de la semaine'),
(6380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nCorrection et séparation du code COJO OLYMPIA pour éviter les adhérences\r\nFDL014242 : [COJO] installe uniquement COJO et corrige les anomalies\r\nFDL014252 : [OLYMPIA] installe uniquement OLYMPIA\r\n'),
(6381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nFDL013758 : [COJO] [BI4BO] [COHD] Livraison objets Oracle CHARGEMENT FULL pour BI4BO COJO\r\nFDL013759 : [COJO] [BI4BO] [CRM2] Livraison objets Oracle CHARGEMENT FULL pour BI4BO COJO\r\nFDL014253 : [COHERIS]  [CRM2] Correctif ANO041328 - remplacement date created par date updated pour date controle majorité dans vue v_souscription_ctrl_maj \r\nFDL014255 : [COJO][OLYMPIA]  [CRM2] Livraison BOUCHON'),
(6382, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nbug à corriger'),
(6383, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nbug à corriger '),
(6384, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nbug de navigation du au merge'),
(6457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nExécution campagne de Non régression Falcon USR 2.3.0'),
(6386, 'JAR manquant depuis le passage à N2.55 (L1610)\r\n\r\nListe des saxos associés : \r\n\r\nINC0294714\r\nINC0294538\r\nINC0294409\r\nINC0294314\r\nINC0294673\r\nINC0294527'),
(6387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nAmelioration des tests d\'acceptance Presto'),
(6389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nrecherche solutions machine d\'etat: SCXML'),
(6390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\n- Support outil fiddler ParionsSport point de vente\r\n- Rédaction ALM Presto'),
(6395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\ncojo'),
(6396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nAction :couverture du service checkIban\r\nLivrable : 5 tests associés'),
(6397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nFin mise à jour des tests v1 '),
(6398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nFin mise à jour des tests v1 et prise de connaissance jackpot'),
(6399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nprise de connaissance jackpot'),
(6528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nVersioning de Digishop_A'),
(6530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nVersioning de Digishop_A...suite'),
(6531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nCorrection scripts DisgishopA concernant Authentification'),
(6533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nCorrection scripts DisgishopA concernant Authentification'),
(6404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nScripts DisgishopA  Authentification Orchestrée'),
(6408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\n- Rédaction cas de test ALM\r\n- Démo et rétrospective Application Hasard'),
(6409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nPoint IF Automatisation'),
(6410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nBO Admin IF scripts\r\nUSR 2.3 scripts'),
(6411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nPoint scripting / Auto / Perf'),
(6412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nAnalyse du tableau de bord de connexions de pca - Process trace des données et affichage'),
(6413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nTest du développement réalisé le jour précédent'),
(6414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne: Anomalie / Late Bets + maj test ALM / Late Bets + Resettlement + BetToReopen'),
(6415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nPSMS_V1 / 14.1.27_b2719 / INT4: Déroulement campagne: Anomalie / Late Bets + maj test ALM / Late Bets + Resettlement + BetToReopen + Template Live (1h)'),
(6416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nAction 1 : couverture des services getAccountDailyLimits et getAccountMonthlyLimits + couverture du service withdrawUserWins en cours\r\nLivrable 1 : tests asociés : volumétrie (test ready) 6\r\n\r\nAction 2 : run de la campagne d\'acceptance da pour prise en compte des impacts palier de septembre (analyse stoppé en raison d\'environ 80 % de service blocked script)\r\nLivrable 2 :  revue des tests liés au service getPursato en cours'),
(6417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\ntests IF'),
(6514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\ntests IF'),
(6419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nRun 5 palier septembre + formation Mickael'),
(6420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nRun 5 + Test ecredit batch compta'),
(6421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nrun 5'),
(6422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nRUN 5 Palier Septembre'),
(6423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nRun 5 palier Septembre'),
(6756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nExtension de la sélection dans le panier'),
(6482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nAtelier sur le référentiel ABP dans l\\\\\\\'ALM\\\\nExtension de sélection dans le panier'),
(6481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nRéunion avec Lyna et Raphaël.\\\\nExtension de sélection dans le panier'),
(6431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nModification API Motors mutualisé OAD / ITF pour mise en compatibilité avec les blocs (remplacement des macros par des fonctions callbacks) + maj scripts Motors / ITF et tests '),
(6485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël'),
(6434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\n[PSMS_V1 / 14.1.27_b2719 / INT4]: Déroulement campagne: Anomalie / Late Bets + maj test ALM / Late Bets + Resettlement + BetToReopen + Template Live (1h)'),
(6435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\n[PSMS_V1 / 14.1.27_b2719 / INT4]: Déroulement campagne: Anomalie / Late Bets + maj test ALM / Late Bets + Resettlement + BetToReopen + Template Live (1h)'),
(6458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nExécution et analyse campagne de Non régression Falcon USR 2.3.0'),
(6459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nExécution et analyse campagne de Non régression Falcon USR 2.3.0'),
(6460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nExécution analyse campagne de Non régression Falcon USR 2.3.0'),
(6439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nmodif test wkeno + cession formation backup abo en vue de ses vacances'),
(6441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\ntests wkeno'),
(6442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\ntests wkeno et wlbgo'),
(6522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nOLYMPIA: Reunion + Mise a jour Ref V2.3 (5 PT Inscriptions mise a jour USR_USR & TOKEN + Template PutAccountAddres + Template POSTAccountAvailabilite)'),
(6444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\ntests wkeno + wlbgo'),
(6534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nOLYMPIA: 1/2J Analyse exigences CERTIFICATION AJEL + 1/2J P092016 (Migration limite + gestion ANO)'),
(6446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nMise en oeuvre campagne PSMS'),
(6447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nMise en oeuvre campagne PSMS'),
(6448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nMise en oeuvre campagne PSMS'),
(6449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nMise en oeuvre campagne PSMS'),
(6450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nMise en oeuvre campagne PSMS'),
(6452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\n1/2 Analyse Exigences CONFORMITE ARJEL + 1/2 P092016 Execution et analyse campagne V2.2.6'),
(6520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nAnalyse Exigences CONFORMITE ARJEL'),
(6521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\n1/2 Analyse Exigences CONFORMITE ARJEL + Réunion Exigence'),
(6463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nBO IF Admin préparation scripts\r\nUSR2.3 scripts auto'),
(6464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nCampagne tests AUTO MOTORS / KENO ATLANTIA'),
(6465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nUSR 2.3 Scripts auto'),
(6466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nCampagne tests AUTO MOTORS / KENO ATLANTIA'),
(6468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nAbsence Mardi 11 Octobre (après-midi)'),
(6469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nCampagne tests AUTO MOTORS / KENO ATLANTIA'),
(6470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nCampagne tests AUTO MOTORS / KENO ATLANTIA'),
(6473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nRédaction cas de test PMD et Association aux exigences'),
(6477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nLecture des Spec de la partie Compte Contact _ recherche des impacts en Base Falcon'),
(6474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nRédaction cas de test PMD et Association aux exigences'),
(6618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nMise a jour de test d\\\'acceptation'),
(6480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nLecture des Spec (lotsys) de la partie Compte Contact _ recherche des impacts en Base Falcon; Analyse des cas de tests à créer'),
(6483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nEcriture cas de test pour Compte Contact'),
(6488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nBug Review PRESTO'),
(6489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nInstallation du jeu As Capone sur INT8 (FDL014266)\\nPassage des tests d\\\'acceptance sous ALM'),
(6490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nFinalisation de campagne de test ALM sur INT2 de la version Front fdj2-origin_release_11-4;\r\nCréation de PV de Qualif;\r\n'),
(6500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nToujours en montée en compétence.'),
(6497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nTravail sur le dayend puis sur le script d\'alimentation de la CMDB'),
(6498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nTest des tirages résultés, complétude d\'ALM, point informel avec Ange et complétude du script d\'alimentation de la CMDB'),
(6499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nComplétude d\'ALM, de la documentation et réalisation de tests sur BetSys'),
(6503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\npoint projet Scripting automatisation'),
(6504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\ntest et correctif sur librairie Motors (OAD / ITF) pour les scripts de perf + livraison scripts et API dans ALM'),
(6506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nDev scripts automatisation Falcon Palier de décembre'),
(6508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nvie des environnements : ajout du téléchargement des pièces'),
(6509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nvie des environnements : ajout du téléchargement des pièces'),
(6510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nvie des environnements : ajout du téléchargement des pièces'),
(6511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nvie des environnements : création script truclient Modification_informations_joueur'),
(6512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nvie des environnements : création script truclient Modification_informations_joueur'),
(6516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\ntests IF'),
(6517, 'NMR : Testé le 13/10. Pas d\'erreur mais tous les autre fileentryid en DB sont à 0...'),
(6518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nAction : analyse/maintenance/création des tests digishopA suite au palier de septembre\r\nLivrable : test associés ( aucune précision car ce CRA est établit en avance de phase) des précisions seront apportés jeudi 13 au soir et vendredi 14 au soir '),
(6519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nAction : analyse/maintenance/création des tests digishopA suite au palier de septembre\r\nLivrable : test associés ( aucune précision car ce CRA est établit en avance de phase) des précisions seront apportés jeudi 13 au soir et vendredi 14 au soir '),
(6523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nAcceptance API USR 2.3 INT7'),
(6524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nAcceptance API USR 2.3 INT7'),
(6526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nAcceptance nominale USR 2.3 INT7'),
(6527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nAcceptance nominale USR 2.3 INT7'),
(6529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nAcceptance nominale USR 2.3 INT7'),
(6548, 'Impossible de clôturer un service ayant au moins un bulletin d\'adhésion ouvert. CF SFD'),
(6552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\n- support échec de promulgation Loto/Superloto sur IN8, problème lié à des jeux de données parasites\\ncorrigé suite nettoyage\\n- investigation problème d\\\'affichage des promulgations SuperLoto sur INT2\\n- investigation affichage de données fantômes SuperLoto sur INT2\\n- Maj ALM sur composant Mobi\\n- support maj de l\\\'outil de promulgation'),
(6551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\n- investigation sur problèmes de promulgations sur INT2\r\ndes jeux de données insérés entre Janvier et Mai pour des tirages en Octobre on provoqués plusieurs soucis sur l\'environnement VSR Diamond.\r\nun nettoyage doit être effectué, et une alerte a été remontée\r\n- incident ouvert sur le poste de travail, bcp de difficultés à exécuter des requêtes SQL INC158400, outil nécessaire pour investiguer sur les pb de promulgations'),
(6553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\n- Promulgations euromillions en échec sur INT3, investigation, pb lié à au fichier flp1 reçu corrompu\r\n- analyse nouvelles livraisons RUN3\r\n3.0.5_mobi	FDL014215\r\n3.2.0_hasard	FDL014265\r\n3.1.0_edwan	FDL014268\r\n3.1.0_mapi	FDL014270\r\n- installation RUN3 sur INT4 test à faire sur tirage exceptionnel\r\n3.0.5_mobi	FDL014215\r\n3.2.0_hasard	FDL014265\r\n- installation RUN3 sur INT2 environnement VSR\r\n3.0.5_mobi	FDL014215\r\n3.2.0_hasard	FDL014265'),
(6555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\n- maj INT8 palier Bingo\\n2.1.16_auth	FDL014245\\n2.1.6_mig	FDL014138\\n2.5.0_wcpte	FDL014043\\n2.3.0_wof	FDL014143\\n- maj INT8 palier Diamond\\n2.0.69_auth	FDL013673\\n2.1.2-c_mig	FDL013887\\n2.2.13_wcpte	FDL014164\\n2.1.13_wof	FDL014057\\n- installation livraisons RUN3 INT2\\n3.1.0_edwan	FDL014268\\n3.0.5_mobi	FDL014215\\n- problème sur script php sql lors de l\\\'import de la base pdv\\n- initiation ModOp pour le RUN3\\n- investigation problème widget euromillions sur le raffle\\n- point à faire sur les optimisations dans le traitement control-m avec HIA'),
(6557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nLecture doc Spéc CC'),
(6561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nLecture doc Spéc CC'),
(6563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nLecture doc Spéc CC'),
(6562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nLecture doc Spéc CC'),
(6566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nDébut rédaction CT CC (?)'),
(6568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nMaj correction script maj env INT avec un autre environnement --> Ajout traitement de la séquence UTILISATEUR (0,5)\r\nAtelier Olympia (0,5)'),
(6570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nSuite à l\\\'analyse des appels des applications PARIONSSPORT PDV IOS/Androir sous Telerik --> création de plusieurs anomalies sous SNOW. Réunion téléphonique sport webapps.'),
(6571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nMaj ALM OLYMPIA + Support AMOA application native parionsdirect IOS/Android + tentative installation apk parionsdirect sur tablette détaillant --> obligé de passer par MDM car tablette verrouillée.'),
(6572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nRéunion Olympia : problèmatique émission token bluetooth par tablette détaillant sur plusieurs environnements d\'intégration ou sur le même environnement d\'intégration.\r\nRéunion CAP projet Olympia avec le client (Y.TYSON, C.DUPONT...)\r\nAvancement ALM Olympia + Support promulgation SPORTPDV pour le stream PHP.'),
(6573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nNormalement OLYMPIA'),
(6574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nAppliccation PRESTO (installation) et test'),
(6575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nfin devt du package POC  '),
(6576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\n- Olympia : ecriture coquilles de tests - boutique digishopR'),
(6577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nAtelier hebdomadaire Olympia'),
(6578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nDéploiement MAG 2.1.16 - MUG 2.3.18 - MIG 2.2.1 + Acceptance technique'),
(6581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nAtelier Boutique Détaillant'),
(6580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nPS2016 : Installation MIG 2.2.3 - FDL014259  + Acceptance\r\nPatch de prod - INT4 : Installation 2.2.15_wcpte + Aceptance'),
(6582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nSupport recette'),
(6583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nAtelier avancement des tests Olympîa'),
(6584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nOlympia : Déploiement boutique détaillant digishopR sur INT1 - quali (1ere installation)'),
(6585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nPS2016 : Deploiement MUG 2.3.22 -  MAG 2.1.18_auth + Acceptance + Boutiques A I U'),
(6586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nPS2016 : Qualification'),
(6587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nMaj Css conventions & pending'),
(6593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-19  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-22  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-23  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-25  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-26  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-29  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-30  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-01  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-02  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-05  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-06  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-24  (Do not remove this line) -->\n13813 (palier de décembre DDC) NonReg Falcon'),
(6608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nCréation et actualisation des cas de tests sur ALM;\r\nMontée en compétence ETL'),
(6609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nLe bug était du a un changement de primary key sur l\'entité convention ne permettant plus de faire un join entre les tables convention, organisme et organisme type. Le correctif apporté récupère l\'id de l\'organisme type à partir de son code et filtre sur le champ partnerTypeId de l\'entité organisme avec un join entre les tables organisme et convention.'),
(6610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nSupport IQ Front mise a jour catalogue (mapi pour geosrestriction)\r\nTest Illiko Live (INT2 et 8) - Parcours joueur'),
(6611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nContrôle d\'informations enregistré ETL et ARJEL'),
(6803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nPresto : Qualification et redactuion de cas de test'),
(6614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nPresto : Qualification et redactuion de cas de test'),
(6615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nPresto : Qualification et redactuion de cas de test'),
(6616, 'Migré de SP4 vers SP4.1'),
(6617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\n- Test resultats raffle euromillions (appli mobile)\r\n- test nouveau service mapi geoloc sur les applis sports\r\n- point suivi mission\r\n- support presto'),
(6619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nanalyse du script d\'installation des jeux motors/ITG et du framework'),
(6620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\ndevis'),
(6621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nRédaction des cas de test ALM'),
(6623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\n[PS2016] Installation MIG 2.2.3-1 - FDL014306 + Acceptance technique\r\n\r\n[MagicWord] Installation MIG 2.1.7 - FDL014214 + Acceptance technique (rejetée)\r\n\r\n[Support recette] Diamond - MUG Historique - PDJ gagnantes code Raffle \r\n\r\n[OLYMPIA] Anomalie digishopI - service createAccount avec email existant - ANO042749'),
(6626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\n[OLYMPIA] \\n- Atelier hebdomadaire - point sur le déploiement de l\\\'environnement de qualif INT1\\n- Complément cas de tests\\n'),
(6628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nPalier de décembre point scripts auto'),
(6629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nUSR 2.3 Scripts auto CC'),
(6630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nDév appels Mify.\r\nMise en place des tâches de création de l\'offre live sur INT1'),
(6926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nDév appels Mify.\\nSuivi de mission.\\nRéunion de suivi programme sport.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(6632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nMise à jour Digishop U'),
(6784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nMise à jour Digishop U'),
(6785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nEvolution digishop A'),
(6786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nEvolution digishop A'),
(6636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nMise à jour Digishop I'),
(6637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nDev API Falcon Login/logout Compte contact + dev script Falcon 2.3.0'),
(6864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nDev script et API pour Falcon USR 2.3.0'),
(6640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\n[IF] Echanges sur la base de test\\n[IF] Pré-saisie des anomalies'),
(6644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\n[PSMS_V1 / 14.1.27_b2719 / INT4]: Déroulement campagne: Annulation + maj test ALM + Template Live (1h)'),
(6645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\n[PSMS_V1 / 14.1.27_b2719 / INT4]: Déroulement campagne: Annulation + maj test ALM + Template Live (1h)'),
(6780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nCréation d\\\'un fichier temporaire servant de référence pour les vérifications de PDJs permettant d\\\'avoir le même cas de test avant et après mise à jour'),
(6781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nPDJ Live'),
(6782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nRéunion pilotage avec Valérie Le Roux'),
(6783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nRéunion pilotage avec Raphaël'),
(6650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\n- Mise a jour des catalogues (Illiko/Euml/Loto)\r\n- Support parionssport\r\n- Presto (test, support etc..)'),
(6651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nUSR 2.3 Scripts CC'),
(6652, 'IHM-008 (colocation dans déclarer changement) => SP4\r\nIHM-021 (montant loyer dans déclarer loyer)  => SP4.1'),
(6653, 'Not a bug'),
(6655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\ndevis'),
(6656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nreunion d\'architecture'),
(6657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nRédaction des cas de tests'),
(6745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\n1) INT2: Lorsqu\\\\\\\'on saisi un code; le message suivant apparait: Une erreur est survenue. CONTACTEZ LE SERVICE CLIENTS FDJ AU 0 969 36 60 60 (appel non surtaxé) => Pb coté AEGIS\\\\n2) INT2: Pb de contribution pour la page https://www2.illikolive.integ.fdj.fr/jeu-responsable => Corrigé\\\\n3) INT8: Le clic sur point de vente ne redirige pas vers la page https://www2.illikolive.integ.fdj.fr/pdv => Corrigé\\\\n4) INT8: https://prestocmsadmi8.int.fdj.fr:1443/ indisponible => OK : Lancement du script /sg/local/presto/application/illikolive-front-01/bin/startup.ksh\\\\n5) Différence entre INT8 et INT2 => Corrigé\\\\n6) Vérification version de as capone sur INT7'),
(6662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nAction : Etat des lieux boutik\\nLivrable : V:\\\\SIO\\\\SYSI\\\\CDS ATOS\\\\Domaine Digital&Client\\\\Automatisation\\\\DIGISHOP\\\\CDS AUTO_DashboardDigishop_Acc_V1.0 -181016'),
(6670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nAction : exécution + analyse campagne ACCEPTANCE_DIGISHOPA_2.1.9_Falcon_2.2.6-1_INT3\\\\\\\\nNONREG_DIGISHOPA_2.1.9_Falcon_2.2.6-1 _INT3\\\\\\\\nACCEPTANCE_DIGISHOPI_2.1.6 _Falcon_2.2.6 _INT3\\\\\\\\nNONREG_DIGISHOPI_2.1.6 _Falcon_2.2.6 _INT3\\\\\\\\nACCEPTANCE_DIGISHOPU_2.1.9  _Falcon_2.2.6 _INT3\\\\\\\\nNON REG_DIGISHOPU_2.1.9  _Falcon_2.2.6 _INT3\\\\\\\\nLivrable : \\\\\\\\nrapport de campagne d\\\\\\\\\\\\\\\'acceptation\\\\\\\\n+ TO COMPLETE'),
(6666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nAction : exécution + analyse campagne ACCEPTANCE_DIGISHOPA_2.1.9_Falcon_2.2.6-1_INT3\\nNONREG_DIGISHOPA_2.1.9_Falcon_2.2.6-1 _INT3\\nACCEPTANCE_DIGISHOPI_2.1.6 _Falcon_2.2.6 _INT3\\nNONREG_DIGISHOPI_2.1.6 _Falcon_2.2.6 _INT3\\nACCEPTANCE_DIGISHOPU_2.1.9  _Falcon_2.2.6 _INT3\\nNON REG_DIGISHOPU_2.1.9  _Falcon_2.2.6 _INT3\\nLivrable : \\nrapport de campagne d\\\'acceptation\\n+ TO COMPLETE'),
(6677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nAction : comité automatisation boutik\\nLivrable : compte rendu comité automatisation boutik sous confluence'),
(6669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nvie des environnements : prise en compte nouvel environnement INT1'),
(6671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nvie des environnements : prise en compte nouvel environnement INT1'),
(6672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nAction : exécution + analyse campagne ACCEPTANCE_DIGISHOPA_2.1.9_Falcon_2.2.6-1_INT3\\\\nNONREG_DIGISHOPA_2.1.9_Falcon_2.2.6-1 _INT3\\\\nACCEPTANCE_DIGISHOPI_2.1.6 _Falcon_2.2.6 _INT3\\\\nNONREG_DIGISHOPI_2.1.6 _Falcon_2.2.6 _INT3\\\\nACCEPTANCE_DIGISHOPU_2.1.9  _Falcon_2.2.6 _INT3\\\\nNON REG_DIGISHOPU_2.1.9  _Falcon_2.2.6 _INT3\\\\nLivrable : \\\\nrapport de campagne d\\\\\\\'acceptation\\\\n+ TO COMPLETE'),
(6673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nvie des environnements : prise en compte nouvel environnement INT1'),
(6787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nvie des environnements : prise en compte nouvel environnement INT1'),
(6788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nvie des environnements : suivi des exécutions'),
(6911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nAction 1 : état des lieu de la Non Reg Falcon \\nLivrable 1 : V:\\\\SIO\\\\SYSI\\\\CDS ATOS\\\\Domaine Digital&Client\\\\Automatisation\\\\DIGISHOP\\\\CDS AUTO_DashboardDigishop_Nr_V1.0 -201016\\n\\nAction 2 : refonte des tests lié au service digishop i getRefOptin\\nLivrable 2 : tests ALM associé au service\\n'),
(6678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nLancement des campagnes de Non régression Falcon USR 2.3. Analyse des campagnes de Non régression Falcon USR 2.3'),
(6679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nLancement des campagnes de Non régression Falcon USR 2.3. Analyse des campagnes de Non régression Falcon USR 2.3'),
(6680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nLancement des campagnes de Non régression Falcon USR 2.3. Analyse des campagnes de Non régression Falcon USR 2.3'),
(6681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\ntests IF'),
(6682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\ntest IF'),
(6683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\ntests IF'),
(6794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nréunion IF'),
(6742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\n[PSMS_V1 / 14.1.27_b2719 / INT4]: Déroulement campagne + maj test ALM + [Test Auto]: Recherche + Saisie d\\\'une Ano sur l\\\'import Template (2h)'),
(6743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\n[PSMS_V1 / 14.1.27_b2719 / INT4]: Déroulement campagne + maj test ALM + [Test Auto]: Import Template Foot sur INT1 (1h)'),
(6917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\n[PSMS_V1 / 14.1.27_b2719 / INT4]: Déroulement campagne + maj test ALM + [PB] sur Réconciliation + ETL + [Portugais]: Création Offre pour Novembre 2016 '),
(6688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nCampagne tests AUTO AS CAPONE PRESTO'),
(6689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nCampagne tests AUTO AS CAPONE PRESTO'),
(6692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nCampagne tests AUTO LA POULE AUX OEUFS PRESTO'),
(6693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nCampagne tests AUTO LA POULE AUX OEUFS PRESTO'),
(6694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nCampagne tests AUTO LA POULE AUX OEUFS PRESTO'),
(6695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\n- Support et test PRESTO \r\n- Qualif nouveau service PDV sur ApplisMobile\r\n- Bug review Presto\r\n- Point Lobby Bingo RWD'),
(6872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nDev Scripts automatisés Falcon USR 2.3 + support sur scripts Motors'),
(6697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nPoint IF Auto'),
(6698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nUSR 2.3 Scripts CC'),
(6699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nIF Scénarisation Présentation'),
(6700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nUSR 2.3 CC Scripts\r\nRTL'),
(6701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\ntests wof 2.3.1 + réu création tests lobby bingo'),
(6702, 'http://www.orafaq.com/wiki/Send_mail_from_PL/SQL\r\nhttps://oracle-base.com/articles/misc/email-from-oracle-plsql#html\n\n'),
(6707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nRédaction cas de test \"Compte Contact\"_ front Détaillant'),
(6708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nRédaction cas de test \"Compte Contact\"_ front Détaillant'),
(6706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nRédaction cas de test \\\"Compte Contact\\\"_ front Détaillant'),
(6797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nProjet Olympia : création ANO042887 \"Application Android parionsdirect\"\r\nMaintenance Parionssport \"IOS/Android mobile & tablette\" --> ajout  \"sdk\".'),
(6710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nRédaction cas de test \"Compte Contact\"_ BOX'),
(6712, 'KRE : Manque le 19/10/2016. TODO'),
(6713, 'TODO but later on'),
(6714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nMise en place référentiel de tests automatisé'),
(6715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nMatrice Offre PSMS'),
(6716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nMise à jour INT4 pour offre Offre \"Vie des environnements\"'),
(6717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nExécution de compagne de 110 cas de test\r\nRUN 07 CDS ATOS_PRESTO_V 1.9.0- INT2\r\n\r\nCommentaire:\r\n\r\nCompagne de test sur INT2 concernant,\r\nLe jeu Sauve souris,  Ascapone, car nouvelles installation: Portail Presto, et nouvelles versions de jeux.\r\nPS: Perturbations d\'environnement pendant les tests.'),
(6718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nExécution de compagne de 110 cas de test\r\nRUN 07 CDS ATOS_PRESTO_V 1.9.0- INT2\r\n\r\nCommentaire:\r\n\r\nCompagne de test sur INT2 concernant,\r\nLe jeu Sauve souris,  Ascapone, car nouvelles installation: Portail Presto, et nouvelles versions de jeux.\r\nPS: Perturbations d\'environnement pendant les tests.'),
(6719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nExécution de compagne de 110 cas de test\r\nRUN 07 CDS ATOS_PRESTO_V 1.9.0- INT2\r\n\r\nCommentaire:\r\n\r\nCompagne de test sur INT2 concernant,\r\nLe jeu Sauve souris,  Ascapone, car nouvelles installation: Portail Presto, et nouvelles versions de jeux.\r\nPS: Perturbations d\'environnement pendant les tests.'),
(6789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nExécution de compagne de 110 cas de test\\nRUN 07 CDS ATOS_PRESTO_V 1.9.0- INT2\\n\\nCommentaire:\\n\\nCompagne de test sur INT2 concernant,\\nLe jeu Sauve souris,  Ascapone, car nouvelles installation: Portail Presto, et nouvelles versions de jeux.\\nPS: Perturbations d\\\'environnement pendant les tests.'),
(6721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\ntest IF'),
(6722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\ntests IF'),
(6723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nFinalisation de l\'Exécution de compagne de 110 cas de test\r\nRUN 07 CDS ATOS_PRESTO_V 1.9.0- INT2\r\n\r\nET \r\n\r\nExécution de quelques cas de test Réconciliation, pour les jeux Sauve souris et Ascapone sur INT2 '),
(6724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nContrôle ARJEL et ETL pour les nouveaux markets disponible et validé sur le Rugby;\r\nRédaction de cas de tests ALM'),
(6912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nTest de Contrôle ARJEL et ETL pour les nouveaux markets Rugby;\\nVérification d\\\'erreur d’extraction de données pour la base ETL;'),
(6726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nTravail sur la documentation + sur script d\'alimentation de la CMDB'),
(6804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nTravail sur la documentation + sur script d\\\'alimentation de la CMDB'),
(6805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nTravail sur la documentation + sur script d\\\'alimentation de la CMDB'),
(6729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nTravail sur la documentation et sur la MOD007840'),
(6730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nTravail sur la documentation et sur la MOD007840'),
(6755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nInstallation du framework Gravity 2.0.6 sur INT8\\\\nAnalyse différences entre INT7 et INT8'),
(6754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nInstallation du portail Presto sur INT5'),
(6915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nAnalyse des dysfonctionnement des environnements INT2 et INT8\\nPassage tests d\\\'acceptation (difficulté suite aux pb d\\\'environenemnent)'),
(6736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nQualification PS2016\\\\n\\nQualification Olympia\\nDéploiement INT1 pour mises à niveau environnement (2.2.3-1_mig, 2.2.0_wof)\\\\n\\\\n\\\\n\\n\\n\\n'),
(6737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nAtelier automatisation des tests - Stream Compte'),
(6738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nRéunion plan de configuration Front'),
(6739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nDeploiement FRONT + Accptance\r\n\r\nINT3	2016-10-19 11:45:16	2.3.24_wcpte	INSTALLED	ATOS - Christophe REYNET\r\nINT3	2016-10-19 11:44:51	2.1.19_auth	INSTALLED	ATOS - Christophe REYNET\r\nINT4	2016-10-19 09:59:59	2.0.69_auth	INSTALLED	ATOS - Christophe REYNET\r\nINT4	2016-10-19 09:56:52	2.1.10_mig	INSTALLED	ATOS - Christophe REYNET'),
(6740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nOLYMPIA : Analyse Flux + Initialisation BDD RTL INT3\r\n'),
(6741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nOLYMPIA : \r\nCaptures Flux - composants du compte\r\nRédaction tests\r\nQualification'),
(6744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\n[IF] Lecture de specs Liquidity Manager\r\n[IF] Lecture de specs jeux en avance de phase'),
(6748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\n[IF] Vérification des anomalies détectées sur IF v1.0 transposées vers IF v2.0.0-alpha1\r\n[IF] Saisie d\'anomalies dans SNOW'),
(7119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nDebut de mise a jour des mod op d\\\'installation des jeux MOTORS/PRESTO et Framework'),
(7111, 'Présent dans le fichier de signalement\r\nP43'),
(7110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\n[PRESTO] Vérification de l\\\\\\\'accessibilité des jeux à partir des appareils Android\\n[PRESTO] Passage du parcours joueur sur Android-As Capone'),
(6763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\n[IF] Saisie d\\\'ano dans SNOW'),
(6757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nExtension de la sélection dans le panier'),
(6758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nrétro bailleurs + point recette'),
(6761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nhabpps / extranet bailleurs'),
(6760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nhabpps / extranet bailleurs'),
(6762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\npréparation lancement'),
(6764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\n[IF] Création cas de test BO IF\r\n[IF] Ajout de cas de test régression Falcon (backoffice et users)'),
(6765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nInstallations et tests acceptance :\r\n- MUG 2.2.16 INT4 - MEP 24/10\r\n- MAG 3.3.1 INT1 - Pallier de Décembre\r\n- MUG 2.6.0 INT1 - Pallier de Décembre'),
(6766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nRéunion CoProj Coco + supports Ano'),
(6943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nrun ps2016 + ano + ecredits'),
(6768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nModification BI4BO COJO\r\nFDL014360_Coheris_Oracle_BI4BO_COJO_CRM2_F_5.3.1.5\r\nFDL014361_Coheris_Oracle_BI4BO_COJO_COHD_F_5.3.1.6'),
(6769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nRecherche solution pour chargement INT1'),
(6937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nps 2016'),
(6809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nPS2016'),
(6779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nps 2016'),
(6790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nTest Qualification sur INT1 - Pallier de Décembre'),
(6791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nSupport recherche joueurs pour MEP 24/10'),
(6792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nSupports Ano'),
(6793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nAlimentation ALM / Support Ano / redaction Mode Op'),
(6796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nRédaction cas de test \\\"Compte Contact\\\"_ BOX'),
(6801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nProjet Olympia : Maj ALM + trace application native android --> création anomalie ANO042883 (appel double) + ajout configuration tmssport sur ojadgate + Installation WSPO 1.0.15 sur INT1 (demande M.BASTIDE)\\nAutre : mise à jour des scripts install.ksh sur ojadgate dans @@INT8  et @@RPP1 suite à écrasement ligne de code projet PRESTO.\\nRéunion plan de conf Front (1h30) '),
(6799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\ntests wkeno et wlbgo'),
(6802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nRéunion stream webapps + projet olympia (ALM)\\nMaj script install.ksh & uninstall.ksh pour récupérer le user d\\\'un utilisateur depuis le fichier des clés publiques Edwan en utilisant son agent ssh.'),
(6806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nAtelier Olympia (0,5)\r\nSuivi fiche anomalie application native IOS/Android parionssport\r\nAvancement Olympia (ALM)'),
(6808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nNormalement projet OLYMPIA (ALM + intégration)'),
(6843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\ntests et debug'),
(6860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\ndev API et scripts test automatisés Falcon Compte contact + stabilisation de l\\\\\\\'API pour maj dans ALM'),
(6828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\n- support ano de prod pb de balise sur flux FLP1_1, correction apportée sur livraison 3.0.8-p2_edwan\\\\n- rejet livraison 3.0.8-p1_edwan traitement xml2bdd.php erroné, algo revue\\\\n- Maj INT3 Palier Septembre :\\\\n3.0.8-p2_edwan	FDL014317\\\\n3.1.0_edwan	FDL014268\\\\n- tests effectués sur le nouveau service PDV de mapi (applis natives euromillions/loto/illiko/parions sport)\\\\n- alerte remontée sur le flux FLP1_1 sur INT4 pb de caractère non supporté\\\\n- récupérations informations sur TAPI et base SQL'),
(6833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\n- maj des serveurs int2/int4 pour la mise en fonction du service PDV mapi\\\\n- export des structures des tables TAPI pour maj application TAPI\\\\n- réception et analyse des nouvelles livraisons du RUN3\\\\n3.1.1_edwan	FDL014354\\\\n3.2.1_hasard	FDL014356\\\\n3.1.1_mapi	FDL014355\\\\n- point avec les dev sur une maj des versions, chevauchement des versions hasard\\\\n- 3.0.4_mobi rejetée, en régression sur la version précédemment livrée'),
(6835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\n- réunion yellowstone'),
(7074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nOlympia : Tests nouvelles fonctionnalités'),
(6836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\n- installation livraisons RUN3\\n3.1.1_edwan	FDL014354\\n3.2.1_hasard	FDL014356\\n3.1.1_mapi	FDL014355\\n- finalisation du ModOp de MEP RUN3 du 24 octobre\\n- support d\\\'affichage\\n- mise à niveau environnement de RPP\\n- alerte remontée sur problème de flux flp11 sur INT4'),
(6906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nOlympia : Tests nouvelles fonctionnalités'),
(6907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nOlympia : Tests nouvelles fonctionnalités'),
(6837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\n- réunion plan de configuration'),
(6908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nOlympia : Tests nouvelles fonctionnalités'),
(6909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nOlympia : Tests nouvelles fonctionnalités'),
(6832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\n- support d\\\\\\\'affichage des promulgations INT3\\\\n- Alerte remontée sur les flux FLP1_1 sur INT3, erreur de promulgations sur le TRAPP Euromillions\\\\n- déblocage de l\\\\\\\'ensemble des jobs planifiés pour les tests de Raffle\\\\n- analyse des résultats euromillions sur l\\\\\\\'ensemble des devices suite livraisons pour MEP et sécurisation raffle\\\\n- analyse des appels applis natives sur le service pdv géolocations'),
(6839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\n- préparation mep avec HIA\\n- support recette pour la qualification Raffle, maj environneement de DEV INT6\\n- import des promulgations INT4 vers environnement de dev\\n- correction flux FLP1_1 manuelle sur INT4 pour la recette\\n- réunion Control-M'),
(6840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nOlympia - SPORT_RETAIL - Écriture des CT Modification des données personnelles d\'un prospect '),
(6841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nAvancement conception Olympia - CC - Compte joueur\r\nTravail d\'identification et dénombrement de CT relatif au compte joueur essentiellement.\r\nCréation des cas dans ALM, cinquantaine de coquilles vides '),
(6842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nOlympia - CC - Avancement (Authent)\r\nÉcriture des cas de test relatifs à la procédure de Code Pin oublié\r\n+ Ajout de nouveaux CT relatif à l\'authentification connexion OK'),
(6850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nOlympia - CC - Avancement (Authent)\\nEcriture des CT parcours d\\\'authent\\n+ début écriture CT Compte joueur - Tableau de bord'),
(6861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nMontée en compétence sur Olympia, et rédaction des cas de testes'),
(6865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nMontée en compétence sur Olympia, et rédaction des cas de testes'),
(6866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nMontée en compétence sur Olympia, et rédaction des cas de testes'),
(9317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nMontée en compétence sur Olympia, et rédaction des cas de testes'),
(6849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nOlympia - CC - RETAIL - Compte joueur  - Tableau de bord\r\nEcriture des CT '),
(6853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nSpir Prestation'),
(6852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nSpir Prestation'),
(6854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nSpir Prestation'),
(6855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nSpir Prestation'),
(6867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nMontée en compétence sur Olympia, et rédaction des cas de testes'),
(6871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\ndev et support sur scripts d\\\\\\\'automatisation Falcon USR 2.3'),
(6889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nFDL014359 + transfert connaissance avec Abo sur stream appli mobile + redaction de cas de test'),
(8422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nOlympia : Tests nouvelles fonctionnalités'),
(6894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\n[COHERIS] Avancement des \\nFDL014242_Coheris_Oracle_COJO_CRM_F_5.3.1.2\\nFDL014255_Coheris_Oracle_OLYMPIA_CRM_Bouchon_F_5.3.1.0'),
(6897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nFDL014323_Coheris_Oracle_COJO_CRM_F_5.3.1.4\\nFDL013759_Coheris_Oracle_BI4BO_COJO_CRM2_F_5.3.1.0\\nFDL013758_Coheris_Oracle_BI4BO_COJO_COHD_F_5.3.1.0'),
(6898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nUSR 2.3 CC Scripts'),
(6899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nFormation Jerom Appli Presto\r\nPrise en main console googleDev pour push Android'),
(6900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nRéalisation du POC'),
(6946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nDev scripts automatises Falcon USR 2.3'),
(6902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nPTAB: Installation de la version 2.12 sur INT8 : FDL014314'),
(6903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nQualification de la derniere version de PTAB'),
(6913, 'Il n\'y a pas cette RG sur l\'IHM-007'),
(6914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\n- Investigation pour la compilation PRESTO Android \r\n- Support appliMaitre sur ano ANO042139\r\n- Point equipe PRESTO'),
(6916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nentretien candidat / PHP'),
(6918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\n(Olympia] Pb de configuration douchette\r\n[Olympia] Rédaction tests application détaillant'),
(6919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\n- Support testeurs, \\n- Analyse Appels Mify pour Olympia\\n- Orcherstarion pour la PDJ Olympia'),
(6923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\n- Support testeurs, \\\\\\\\n- Analyse Appels Mify pour Olympia\\n- Réunion de mise au point Olympia'),
(6922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\n- Support testeurs, \\n- Analyse Appels Mify pour Olympia'),
(6924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\n- Support testeurs\r\n- Orcherstarion pour la PDJ Olympia'),
(6925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\n- Support testeurs\r\n- Orcherstarion pour la PDJ Olympia'),
(6927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\n- Support testeurs\r\n- Orcherstarion pour la PDJ Olympia'),
(6928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\n- Support testeurs\r\n- Orcherstarion pour la PDJ Olympia'),
(6929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\n- Support testeurs\r\n- Orcherstarion pour la PDJ Olympia'),
(6934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nPalier Décembre, suivi automatisation'),
(6933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nUSR 2.3 CC Scripts'),
(6936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nQualif Ano +ano ecredits à la compta'),
(6938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nps 2016'),
(6939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-08  (Do not remove this line) -->\nps 2016 run 1'),
(6940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-09  (Do not remove this line) -->\nps 2016 run 1'),
(6944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nreunion  ps2016 + constitution ecredits'),
(6945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\ntemps du 43615'),
(6947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nDev scripts automatises Falcon USR 2.3 + atelier suivi de scripts automatisé'),
(6977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nRéu Task force : CP+Métier\\\\nweekly meeting : CP - Métier NYX\\\\nCoproj Hebdo : CP, recette, métier\\\\nInstallation livraison NYX 1.1.116.54861\\\\nBug Review'),
(6969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nContrôle des enregistrements ARJEL et ETL pour les nouveaux markets validées;\\nMaJ des cas de test ALM;\\nInstallation de la version front (fdj2-origin_release_11-6) et mobile (190) sur INT2'),
(6952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\r\nFDL014396_Coheris_Oracle_BI4BO_ANO043034_COHD_F_5.3.1.8 - ajout index'),
(6953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nAnalyse anonymisation'),
(6980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\n- Rédaction test LOTO et ILLIKO\\n- Support PRESTO'),
(6957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nAllègement et création campagne d\\\'acceptance (PSEL, OLYMPIA)'),
(6958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nCampagne Vie des environnements INT4\\nExtension des sélections'),
(7115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nSlide présentant l\\\'avancement pour reporting Joël\\nMise en place Campagne d\\\'acceptance (PSEL, OLYMPIA)\\nMise en place Campagne NonReg'),
(7116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nMise en place Campagne d\\\'acceptance (PSEL, OLYMPIA)\\nMise en place Campagne NonReg'),
(6963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\ntentative de test sur TAMCO94  : pb  plantage au demarrage TP'),
(7118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nInstallation du framework Gravity sur INT8 (FDL014394)\\\\\\\\n\\\\nMise a jour des tests d\\\\\\\'acceptance afin d\\\\\\\'utiliser le script générique a partir d\\\\\\\'eDWAN'),
(6968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nTest d’acceptance technique de la version fdj2-origin_release_11-6 installé sur INT2;\r\nContrôle ARJEL et ETL des nouveaux markets;'),
(6970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nUSR / RTL points'),
(6971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nUSR 2.3 CC + RTL scripts'),
(6975, 'Modification du texte d\'aide à la saisie de l\'impayé  par :  \"Vous devez renseigner pour chaque mois le montant de l\'impayé correspondant.\"'),
(6976, 'modification de la phrase en rouge en dessous du recap de chacune des rubriques : Remplacer « modification » par « erreur et/ou omission »'),
(7494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\ncoordination :bug review\\\\\\\\nSuivis audit SI\\\\\\\\nQualif d\\\\\\\\\\\\\\\'anno'),
(6979, '\"Supprimer la phrase \"pour déclarer tout autre chgt\" et la mettre à l\'écran récapitulatif / fin\" ==> juste sur le récap\r\n\r\n\r\n°\"En cas de bailleur en tiers payant, lorsque la CAF n\'a pas connaissance des coordonnées bancaires du bailleur, afficher une phrase afin demander au bailleur de transmettre le plus rapidement possible son RIB à la CAF\" ==> ne pas prendre en compte pour le moment.'),
(6981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 1970-01-01  (Do not remove this line) -->\n- Rédaction test LOTO et ILLIKO e EUml pour projet Moderateur\r\n- Support PRESTO'),
(6982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\n- Rédaction test LOTO et ILLIKO, Euml pour projet Moderateur\r\n- Support PRESTO'),
(6983, '\"Dans les textes d\'aides (n°2 et n°4) remplacer \"AL\" par \"aide au logement\" IHM-001 /\" ==> ne pas faire dans la modification dans le texte d\'aide n°4 (Rg pas encore développé).'),
(6984, 'Tests:\r\nSur la PI > Caf de l\'Allier créée précédemment par mes soins (admin caf : CAF33301ML // P@ssw0rd06!)\r\n\r\nA) Créations de convention\r\n\r\n• CONV 1 sans date de clôture mais avec un admin Pierre THIBAUD ayant une date de clôture au 29/10/2016 => hors scope\r\n• CONV 2 avec date de clôture au 31/12/2016 et un admin Jacques THIBAUD \r\n	- avec une date de clôture au 31/10/2016 => KO car la création de l\'admin n\'est pas bloqué mais erreur lors de la création de la convention\r\n	- avec une date de clôture au 31/12/2016 => OK\r\n• CONV3 avec date de clôture au 30/11/2016 avec un admin Jean THIBAUD avec une date de clôture ultérieure (31/12/2016) => OK\r\n\r\nB) Modifications de convention\r\n\r\n• CONV2 : avancer la date de clôture du 31/12/2016 au 29/12/2016 puis vérifier la convention -> la date de clôture de l\'admin n\'a pas changé (OK)\r\n• CONV2 : repousser la date de clôture du 29/12/2016 au 02/01/2017 puis vérifier la convention -> la date de clôture de l\'admin a été repoussée (OK)\r\n• CONV3 : avancer la date de clôture du 30/11/2016 au 29/11/2016 puis vérifier la convention -> la date de clôture de l\'admin n\'a pas changé (OK)\r\n• CONV3 : repousser la date de clôture du 29/11/2016 au 02/01/2017 puis vérifier la convention -> la date de clôture de l\'admin a été repoussée (OK)\n\n'),
(6985, 'Gestion d\'une convention sans date de clôture.\r\n=> on ne sait pas quelles sont les spec\' donc pas d\'implémentation de règles\r\n\r\nSi la convention ne se termine pas, mais qu\'on peut clôturer un admin partenaire, cela signifie que la convention peut se retrouver sans admin.'),
(6986, '=> SP16\r\n\r\nBME'),
(6988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\n[IF] Plan de test IF : import cas de test régression FALCON/XERES'),
(7092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\n[IF] Création plan de test BackOffice IF côté loterie'),
(6990, '1. Message \"Une erreur technique est survenue\" (Convention avec date de clôture uniquement)\r\n\r\nLorsqu\'on crée une convention avec une date de clôture (par exemple 31/12/2016) et un admin partenaire dont la date de clôture est antérieure\r\n(exemple 31/10/2016). Il n\'y a rien qui empêche la saisie d\'une date antérieure lors de la création de l\'admin partenaire. C\'est problématique \r\ncar cela engendre une erreur lors de la création de la convention et l\'admin partenaire ne peut plus être modifié.\r\nDe plus, le contrôle de la date ne peut être fait lors de la création de l\'admin partenaire car on ne peut rendre obligatoire le champ Date de clôture de la convention.\r\n\r\nSolution (à confirmer avec Kevin): \r\n- au lieu du bouton \"Visualiser\", un bouton \"Modifier\"\r\n- un message plus explicite comme \"la date de clôture de l\'administrateur partenaire ne peut être antérieure à la date de clôture de la convention\"\r\n\r\nSteps to reproduce:\r\n- Formaliser une convention en renseignant une date de clôture au 31/12/2016 et en créant un admin partenaire avec une date de clôture au 30/11/2016.\r\n-> rien n\'a bloqué la \"création\" de l\'admin partenaire\r\n- tenter de formaliser la convention (en ajoutant avenant et date de signature)\r\n-> message \"Une erreur technique est survenue\"\n\n'),
(6991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nCorrectif d\'anomalie : FDL014408_Coheris_Oracle_COJO_CRM_F_5.3.1.9\r\nAnonymisation COJO'),
(6992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\ntamco94: pb compil Tuxedo'),
(6993, 'Après avoir créer plusieurs conventions, groupes et utilisateurs habilités à différents Roles CDAP, et après avoir consulter CDAP, le bug n\'a pas été reproduit et le fonctionnement est normal.\r\n\r\nLe bug n\'est pas reproduit '),
(6994, 'La date doit être strictement supérieur et non supérieur ou égale.\r\nPas de vérification dans le cas de déclarer changement.'),
(6995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\n[OLYMPIA] Résolution pb de scanner code barre avec PDV + test confirmation d\'inscription / versement  depuis l\'appli détaillant sur FDJ2'),
(6996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\n[PS2016] Complément cas de test PJ avec PI et IBAN KO ou Inexpoitable (Box) \r\n[PS2016] Campagne qualification du MAG \r\n'),
(6997, '- Montée de version envliferay\r\n- Analyser pourquoi le scheduler ne remplit pas les tables pour les tdb 4 et 5\r\n- Tests sur les dates de clôture de l\'admin partenaire en relation avec la date de clôture de la convention sur la PI\r\n- Test sur le visionnage du pdf de la convention sous IE8 (PI)\n\n'),
(6999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nSynchronisation de l\'API avec les scripts\r\n'),
(7000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nSynchronisation de l\'API avec les scripts'),
(7002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\n[OLYMPIA] Echanges techniques Olympia avec PDV (Jean Bordy)'),
(7003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nMise à jour du fichier de suivi Excel en local et  sur Confluence'),
(7004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\n[PS2016] Campagne qualification MUG'),
(7005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nTests des scripts sur Olympia '),
(8979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nRevue de code'),
(7007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\ndev scripts automatisés Falcon USR palier décembre'),
(7008, 'lié au 15223'),
(7009, 'Tenir compte des coordonnées bancaires'),
(7010, 'Ok pour declarer changement mais pas pour declarer loyers'),
(7011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nPoint IF Automatisation'),
(7012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nDigishop R Blocs'),
(7013, '26/10/2016 Création du micro service OK\r\nIl faut faire appel au micro service quand on aura plus d\'info sur les quittances par lorene.'),
(7014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nanalyse des resultats controle d\'adresses par typologie code retour, redaction livrable'),
(7016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nDev scripts automatisés Falcon RTL'),
(7017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nAtelier automatisation des tests ITF'),
(7018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nCréation de jeux manuel  (mainbook et live) avec la toolbar ABP, prise de jeux et contrôle ARJEL et ETL;\r\nTest ALM;\r\n\r\n'),
(7025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\n- Test application et installation (euml/loto/illiko)\\n-Support PRESTO\\n- [Stream Mobile Hasard] Démo + Rétrospective'),
(7020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nredaction cas de test wlbgo'),
(7021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nredaction cas de test wlbgo + FDL014402\r\n'),
(7023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nredaction cas de test wkeno + reunion stream webapp'),
(7024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nredaction cas de test wkeno + reunion stream appli mobile'),
(7099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nbug review\\ntest manuel (pas de campagne)\\ngestion des anos'),
(7100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nbug review avec nyx\\ncomité automatisation\\nreunion preparation tir de perf\\nbug review\\ngestion des anos\\ntest manuels sans campagnes'),
(7028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nAcceptance RTG 2.2.8 INT3\r\nNON REGRESSION  RTG 2.2.8 INT3'),
(7029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nAcceptance RTG 2.2.8 INT3\r\nNON REGRESSION  RTG 2.2.8 INT3'),
(7030, 'KO le 26/10'),
(7031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nTuxedo tamco94'),
(7037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nSuite analyse flux application olympia --> création anomalie ANO043148 (problème directive X_LVS_HSTOKEN\\nDémo stream sport (SPDV, WSPO, PORTAIL BORNE, APPLICATION PSEL Android)\\nAvancement sur les TMS sport + périmétre tests webapps WSPO.'),
(7036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nGénération des plan d\'exécutions des requêtes Oracle posant problème --> idée de piste --> passage des requêtes sélectionnés avec un DBA dans les outils Oracle --> création de la MOD010292\r\nAnalyse des flux Olympia (Application Android) --> création de l\'anomalie : ANO043146\r\nPromulgation Edwan : création de l\'ano ANO043130'),
(7034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nProblème de production : absence de liste LF7 n°260 --> Installation de la version corrective SPDV 3.0.2-1 (FDL014391) sur INT4 + vérification du code et test sous INT4 --> installation INT2 -- > Rédaction Modop + PV Qualif Tech pour eCab.\r\nRefus des livraison SPDV 3.0.4 (FDL014380) et 3.0.5 (FDL014389).\r\nSupport PROD : problème promulgation fichier offre.xml sous Edwan --> traitement trop long --> creation de l\'ano ANO043078 (critique/urgente)'),
(7040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nNON REG RTG 2.2.8'),
(7039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nNON REG RTG 2.2.8 & USR 2.3'),
(7041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nNON REG RTG 2.2.8 & USR 2.3'),
(7051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\ntests IF et Falcon 2.3.0'),
(7103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\ntests IF et Falcon 2.3.0'),
(7046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nVie des environnements : mise en place nouveaux scénarios PDJ'),
(7045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nVie des environnements : mise en place nouveaux scénarios PDJ'),
(7047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nVie des environnements : mise en place nouveaux scénarios PDJ'),
(7424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nVie des environnements : tests migration alm 12'),
(7049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nVie des environnements : tests migration alm 12'),
(7050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\ntests IF et Falcon 2.3.0'),
(7052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\ntests IF et Falcon 2.3.0'),
(7053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\ntests IF et Falcon 2.3.0'),
(7056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nEvolution COJO pour l\\\'anonymisation à 5 ans des client PDV.\\nFDL014421 : [COJO]  [CRM2] Livraison objets Oracle CHARGEMENT FULL pour COJO\\n'),
(7055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nEvolution du Bouchon pour créations de joueurs OLYMPIA'),
(7102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nSuivi des livraisons\\\\\\\\nSuivi des anos\\\\\\\\nBug Review'),
(7058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\n[IF] Travail préliminaire création de cas de test BOIF'),
(7059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\n[FALCON] Rédaction de cas de tests \"joueurs\" (ex. demandent une exclusion temporaire sur une machine et font une PdJ simultanément sur une autre machine)'),
(7060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\n[FALCON] Rédaction de cas de tests \"joueurs\" (ex. demandent une exclusion temporaire sur une machine et font une PdJ simultanément sur une autre machine)'),
(7061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\n[FALCON] Rédaction de cas de tests \"joueurs\" (ex. demandent une exclusion temporaire sur une machine et font une PdJ simultanément sur une autre machine)'),
(7072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nPS 2016 + Montée en compétences IF'),
(7070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nps2016'),
(7065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nps2016'),
(7071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nPS2016 RUN 7'),
(7073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nMontée en compétence IF'),
(7344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(7345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(7346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(7347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(7348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(7080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nTravail sur ESR, BetSys, stats de campagne et complétude d\'ALM'),
(7081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nTravail sur ESR, BetSys, stats de campagne et complétude d\'ALM'),
(7082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nTravail sur ESR, BetSys (MOD007840) et complétude d\'ALM'),
(7107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nTravail sur MOD78040 avec complétude ALM et gestion des erreurs ESR');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(7084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nTravail sur MOD78040 avec complétude ALM et gestion des erreurs ESR'),
(7085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nCampagne tests AUTO AS CAPONE (PRESTO)'),
(7086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nCampagne tests AUTO MOTORS KENO ATLANTIA '),
(7087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nCampagne tests AUTO MOTORS KENO ATLANTIA '),
(7088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nCampagne tests AUTO MOTORS KENO ATLANTIA '),
(7089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nCampagne tests AUTO MOTORS KENO ATLANTIA '),
(7090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nClôture des tests de réconciliation Presto pour les deux jeux Ascapone et Sauve souris sur INT2. \r\nPS:Il y avait des problèmes d\'environnement. '),
(7091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nContrôle ALM et ETL des nouveaux markets validé;\r\nTest de prise de jeux main book et live sur les diferents tipes de paris;\r\nMàJ des documents de montée en compétence Sport (V:\\SIO\\SYSI\\CDS ATOS\\Domaine Digital&Client\\SPORT\\Montée en compétence)'),
(7182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nControle ARJEL et ETL;\\nTest sur la nouvelle version Front \\\"pré-livré\\\" sur INT6\\nPréparation des cas de tests ARJEL et ETL pour les markets Tennis pas encore validée par les traders '),
(7094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nEffectuer divers taches à la demande du chef de projet Marc Domenge.\r\nTests PRESTO Pour le portail Ppresto V 1.10.0 : As capone et SauveSouris, sur différents terminales : desq, IOS et Android.\r\nFaire une passe sur un fichier d\'anomalies fourni par le chef de projet.'),
(7180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\n[PRESTO] Vérification de l\\\'accessibilité des jeux à partir des appareils IOS\\n[MOTORS/PRESTO]Mise à jour du Mod Op d\\\'installation des jeux Presto/Motors/Framework\\n[MOTORS] Installation du framework Gravity v2.0.8 (FDL014446)'),
(7096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nEffectuer divers taches à la demande du chef de projet Marc Domenge.\r\nTests PRESTO Pour le portail Ppresto V 1.10.0 : As capone et SauveSouris, sur différents terminales : desq, Ios et Android.\r\nFaire une passe sur un fichier d\'anomalies fourni par le chef de projet.'),
(7097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nEffectuer divers taches à la demande du chef de projet Marc Domenge.\r\nTests PRESTO Pour le portail Ppresto V 1.10.0 : As capone et SauveSouris, sur différents terminales : desq, Ios et Android.\r\nFaire une passe sur un fichier d\'anomalies fourni par le chef de projet.'),
(7098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nEffectuer divers taches à la demande du chef de projet Marc Domenge.\r\nTests PRESTO Pour le portail Ppresto V 1.10.0 : As capone et SauveSouris, sur différents terminales : desq, Ios et Android.\r\nFaire une passe sur un fichier d\'anomalies fourni par le chef de projet.'),
(7112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nOffre Portugal + Live + PSMS (passer de 25 markets à 15)'),
(7113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nOffre Portugal + Live + PSMS (passer de 25 markets à 15)'),
(7122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nAction : \\\\nmise en place , exécution des campagnes et analyse préliminaire des campagnes \\\\nACCEPTANCE_DIGISHOPI_2.1.6 _Falcon_2.3.0-2 _INT1\\\\nACCEPTANCE_DIGISHOPA_2.1.9_Falcon_2.2.6-1_INT1\\\\nACCEPTANCE_DIGISHOPU_2.1.9 _Falcon_2.3.0-2 _INT1\\\\n\\\\nLivrable : \\\\nrapport automatique d\\\\\\\'exécution\\\\nmise à jour des statu après analyse préliminaire\\\\nmise à jour des vues version USR2.3 sur INT1'),
(7123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nAction :analyse détaillé des campagnes \\\\nACCEPTANCE_DIGISHOPI_2.1.6 _Falcon_2.3.0-2 _INT1\\\\nACCEPTANCE_DIGISHOPA_2.1.9_Falcon_2.2.6-1_INT1\\\\nACCEPTANCE_DIGISHOPU_2.1.9 _Falcon_2.3.0-2 _INT1\\\\n\\\\nLivrable : \\\\nrapport automatique d\\\\\\\'exécution\\\\nmise à jour des statu après analyse préliminaire\\\\nmise à jour des vues version USR2.3 sur INT1\\n\\nLivrable : maintenance des tests (si anomalie de test) / mise à jour des tests (si évolution fonctionnelle) / gestion des jeux de données (si blocage dû aux jeux de données)'),
(7126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nAction : refonte/mise aux normes des tests du manageGame suite à des anomalies de test récurrentes non constatées avant en raison de blocage de jeux de donnée\\nMapping des services suite à la création des plans de test FALCON 2.3\\nLivrable : tests associés dans le menu plan de test ALM\\nService mappé au plans de test 2.3'),
(7125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nAction : \r\nmise en place des fichiers de suivi pour la version Falcon 2.3\r\nprise en compte des nouveaux services \r\nLivrable : fichier de suivi dans ALM Analysis view /CDS_REPORTING_BOUTIK\r\nplans de test d\'acceptation associés au nouveau service pris en charge'),
(7127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\n[OLYMPIA] Support recette - capture flux (pb de déconnexion)'),
(7128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\n[PS2016] Qualification PJ => Tests upload avec tous les types d\'extensions autorisés, extensions non autorisées, Taille max etc...'),
(7129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\n- Maj du script menu.ksh, finalement depuis le menu la synchronisation des tms sport sera déclenchée pas le tms \"classique\". Déploiement sur l\'intégralité des edwan d\'intégration.\r\n- Ajout de la clé privée \"tmssport\" sur l\'intégralité des environnements d\'intégration.\r\n- Création de l\'anomalie ANO043210 \"[OLY] [FRJOUE] [T] Les javascripts TMS ne sont pas récupérés sur le bon environnement ni sur le bon serveur\".\r\n- Support recette AMOA pour la vérification de l\'ordre des compétitions sous SPDV.\r\n- Maj ALM'),
(7130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nNormalement de l\'Olympia.'),
(7132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nPoint sur les exigences Olympia avec Brice : 1/2 journée\r\nRédaction de cas de tests Olympia'),
(7143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nolympia _ Analyse des exigences olympia couvertes par les cas de tests deja écris (pointage dans fichier excel).'),
(7149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nCampagne de test Illiko / Loto / Euromillions'),
(7135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nOlympia _ Ecriture cas de test'),
(7169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nPréparation de jeu de données : injection de dettes (étude du traitement de masse de la BOX)'),
(7140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nAssociation exigences non regression/ cas de test falcon'),
(7170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nexécution campagnes PMD'),
(7167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nAnalyse & création PT OLYMPIA CONFORMITE'),
(7144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nAnalyse & création PT OLYMPIA CONFORMITE'),
(7168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nAnalyse & création PT OLYMPIA CONFORMITE'),
(7148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nAnalyse & création PT OLYMPIA CONFORMITE'),
(7159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nPoint avec Brice Salva (Exigences et couverture)\\nAvancement écriture CT Compte contact - Partie joueur'),
(7160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nPoint avec Maël (OLYMPIA)\\nAvancement écriture CT Compte contact - Partie joueur'),
(7152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nCompte contact - Liaisons exigences et CT, couverture'),
(7166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nAnalyse & création PT OLYMPIA CONFORMITE + réunion'),
(7154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nExigences référentiel GDO importées dans OLYMPIA - Travail de liaisons exigences et CT sur la NR Olympia'),
(7155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nOLYMPIA - PMD - Exécution'),
(7161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nUSR 2.3 RTL\r\nDigishop R\r\nPoints'),
(7162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nDigishop-R blocs + tronc commun'),
(7163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nDigishop-R'),
(7164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nUSR 2.3 RTL\r\nDigishop-R tronc commun'),
(7165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nFDL014433 + FDL014432'),
(7174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nDev scripts automatisé Falcon Palier décembre'),
(7175, 'Piste retenue : \r\n- Rajouter une liste déroulante contenant les profils de l\'utilisateur, avec un profil sélectionné par défaut. Comme pour la liste des Caf dans le cas d\'un multi-caf, l\'utilisateur peut changer à tout moment son profil de consultation qui prendra effet à sa prochaine recherche.\r\n- Si pas plusieurs profil , ne pas afficher la liste déroulante'),
(7172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\n[PS2016][PJ] Test itératif avec DFO sur INT6 pour traiter les nombreuses anomalies'),
(7173, 'Statut au 27/10: 2 points à faire :\r\n\r\n- Corriger le nombre d\'utilisateur en double\r\n- Mettre un nombre d\'utilisateur par défaut (voire le laisser vide) '),
(7176, 'Mail de C.Millto du jeu. 27/10/2016 17:20\r\nINC0298346 - pas de gestion des profils multi rôles\r\n\r\nPour un utilisateur cumulant plusieurs rôles (exemple profil T1 et T18), le fiche de synthèse affichée (et les rubriques associées) est celle correspondant au 1er rôle habilité (soit T1 ou T18 suivant la chronologie).\r\nIl faudrait que l\'utilisateur (s\'il est identifié avec un profil CDAP multi rôle) sélectionne au préalable le rôle à utiliser.\r\n \r\nIl faudrait donc, sur la page d\'accueil CDAP, identifier si le compte a accès à plusieurs profils.\r\nSi c\'est le cas, l\'utilisateur devrait sélectionner au préalable le rôle retenu avant de préciser le n° du dossier allocataire (et la caf si convention multicaf)\r\nLa solution technique consisterait donc à ajouter une liste déroulante en amont des champs ci-dessous  \r\n'),
(7177, '27/10 mise ajour descriptif saxo + contact avecisu'),
(7178, 'Mail de paule.gregoire@cnaf.fr (MOA)\r\nINC0298346 - pas de gestion des profils multi rôles \r\nA mon sens il n\'est pas possible réglementairement d\'habiliter quelqu\'un à un profil T1 (assistant de service social) et T18 (agents en charge du contentieux). \r\nIl me parait étonnant qu\'un CD confie à un travailleur social les recours contentieux. \r\nIl faudrait expertiser la légitimité de ces rôles multiples. \r\nJe suis d\'avis d\'expertiser avant de corriger. \r\n\r\n=> En attente\r\n'),
(7181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nmise au propre du POC'),
(7183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nStream FD : Installation des composants suivants :\r\nFDL014384 : MOBI 3.1.3\r\nFDL014388 : HASARD 3.3.1\r\nFDL014390 : Edwan 3.3.2'),
(7184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nPresto : Installation de la FDL014399 sur INT8 et passage des cas de test.'),
(7185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nStream FDJ PHP :\r\nRepro sur INT3 des composants suivants :\r\nedwan 3.1.1 FDL014354\r\nhasard 3.2.5 FDL014343\r\nmapi 3.1.1 FDL014355'),
(7186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nStream FDJ PHP :\r\nInstallation sur INT8 :\r\nMobi 3.1.3 FDL014429 \r\nt repro des éléments suivants sur INT3 :\r\nEdwan :\r\n2016-10-26 11:23:07     ;3.1.1_edwan                             ;INSTALLED               ;ATOS - Ramsey BOD\r\n2016-10-27 09:56:30     ;3.1.2_edwan                             ;INSTALLED               ;ATOS - Ramsey BOD\r\n\r\nMapi :\r\n2016-10-26 11:21:40     ;3.1.1_mapi                              ;INSTALLED               ;ATOS - Ramsey BOD\r\n2016-10-27 09:54:01     ;3.1.2_mapi                              ;INSTALLED               ;ATOS - Ramsey BOD\r\n\r\nHasard :\r\n2016-10-26 11:22:09     ;3.2.5_hasard                            ;INSTALLED               ;ATOS - Ramsey BOD\r\n2016-10-27 09:55:18     ;3.2.6_hasard                            ;INSTALLED               ;ATOS - Ramsey BOD\r\n'),
(7187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nStream FDJ PHP :\r\nRepro des composants suivants sur INT4 ;:\r\nEdwan :\r\n2016-10-28 10:52:13     ;3.1.1_edwan                             ;INSTALLED               ;\r\n2016-10-28 10:52:22     ;3.1.2_edwan                             ;INSTALLED               ;\r\n\r\nHasard :\r\n2016-10-24 11:36:33     ;3.2.1_hasard                            ;uninstalled             ;\r\n2016-10-24 11:37:02     ;3.2.0_hasard                            ;INSTALLED               ;\r\n2016-10-24 11:37:13     ;3.2.5_hasard                            ;INSTALLED               ;\r\n2016-10-28 10:43:41     ;3.2.6_hasard                            ;INSTALLED               ;\r\n\r\n\r\nMapi :\r\n2016-10-28 10:43:06     ;3.1.3_mapi                              ;INSTALLED               ;\r\n\r\nainsi que MAPI v3.1.3 sur INT3 '),
(7188, 'Utilisateur débloqué par action CNAF le 28/10'),
(7189, 'Présent dans le fichier de signalement\r\nP43'),
(7190, '27/10 mise ajour descriptif saxo + contact avecisu'),
(7191, 'Utilisateur débloqué par action CNAF le 28/10'),
(7192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nanonymisation'),
(7193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nFDL014450_Coheris_Oracle_BI4BO_COJO_CRM2_F_5.3.1.6 \r\nFDL014373_Coheris_Oracle_OLYMPIA_CRM_F_5.3.1.11 '),
(7194, 'Au regard de notre base de données, les comptes désactivés à tort sont :\r\nENF0670002\r\nACC671003B\r\nACC671003C\r\nACC671003D\r\nACC671003E\r\nACC428003I'),
(7195, 'e passer à réalisé quand Frederic aura rectifié les comptes en prod'),
(7196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nreunion task force\\nreporting\\nCréation de salles de jeu\\nsupport metier'),
(7197, 'Les problèmes qui restent à régler:\r\nIHM-021 : Aide 2_IHM-021 enlever les << >>\r\nDéplacer la barre d\'étapes sous le titre : réduire le margin-top du titre'),
(7198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nCampagne de test Illiko / Loto / Euromillions'),
(7377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\n- Passage et mise à jour des tests d’acceptance pour le framework Gravity v2.0.8\\\\\\\\n- Initialisation des tests d\\\\\\\\\\\\\\\'acceptance pour \\\\\\\\\\\\\\\"Keno Atlantia\\\\\\\\\\\\\\\"\\\\\\\\n-Ecriture Mod op d\\\\\\\'installation des jeux presto'),
(7267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nSupport et Correctif sur scripts ITF Motors'),
(7268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\ndev scripts automatisés Falcon RTL'),
(7202, 'de BM à C.MILLOT le 28/10 \r\nLe seul « chantier » demandé (et réalisé) a été sur le traçage des appels à ISU  (disable, …) et accès sur : \r\n/portal/auth/user/create \r\n/portal/auth/user/delete \r\n/portal/auth/user/disable \r\n/portal/auth/user/enable\r\n\r\n\r\n-	En terme d’informations\r\nUn fichier de log spécifique sera disponible avec les appels ISU  (AppelsISU.log) : Create , exists \r\nVoici quelques exemples :   [URL] [ID] [EMAIL] [PHONE] – <API>\r\n[2016-10-26 08:01:45,207]  INFO ISULogger - NomAdmin1 Caf Cannes request  : [partenaires-f.caf.fr] - [LOG007001D] - [rtyu@yopmail.com] - [ ] – create\r\n[2016-10-26 08:01:45,957]  INFO ISULogger - NomAdmin1 Caf Cannes request  : -->200\r\n\r\n                [2016-10-26 08:01:49,404]  INFO ISULogger - NomAdmin1 Caf Cannes request  : [partenaires-f.caf.fr] - [LOG007001C] - [polm@yopmail.com] - [ ] – exists\r\n[2016-10-26 08:01:49,955]  INFO ISULogger - NomAdmin1 Caf Cannes request  : -->200\r\n\r\nUn dossier de log (Dossier deletion) avec un fichier par entité liferay  contenant les suppressions\r\n\r\n\r\nSur la documentation \r\n-	Je pense que ceux sont dans les spécifications que doivent être indiqués les appels à ISU (processus métier) et le type d’appel vers ce composant externe.\r\nJe vais donc demander la création de cette documentation par l’équipe (avec kevin)…. Dans les spécifications HABPPS V1.8  il n’y a pas d’information sur la connexion avec la brique ISU\r\n\r\nConcernant le besoin :\r\n-	je préconise également de (re)voir le besoin (cas) dans sa globalité (pb de connexion,  compte jamais connecté,…) et revoir les objectifs pour mettre en place des solutions pertinentes pour le support et certainement également coté ISU (en effet certains cas ne sont gérés que de leurs coté):\r\n\r\nPour l’objectif de tracer les appels , il manque certainement le contexte d’appel ( pas forcément facile à mettre en place)\r\nCertains cas ne sont identifiables que dans la brique ISU (mot de passe oublié par ex, mot de passe temporaire périmé)\n\n'),
(7203, 'de C.MILLOT :\r\n\r\nla problématique est de tracer les opérations d\'administration menées par les administrateurs de HABPPS : affectation d\'un utilisateur à un groupe, ouverture/clôture des droits d\'un utilisateur, validation/invalidaton d\'une convention..'),
(7205, 'Passage en MCO, la fonctionnalité est urgente'),
(7206, 'Attention à la bracnhe (stream) pour le commit => N.Gauche'),
(7207, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nproblème de dé-sérialisation plus complexe que prévu '),
(7208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nDigishop R blocs support multimodal et scénarios monoblocs'),
(7209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nDigishop R support multimodal et scénarios monoblocs'),
(7220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nInstallion sur INT2 de la version front  fdj2-origin_release_11-13 et la version mobile 193;\\\\nDébut d\\\\\\\'une campagne de test ALM d\\\\\\\'acceptance et non-reg;'),
(7211, '26/10 Bug Reproduit.\r\n02/11 Bug corrigé.\r\n\r\n02/11 Corrections testées\r\n\r\n02/11 Ticket en attente de validation\n\n'),
(7454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\n- Mise en place avec PGIlles Bouchon MRCD\\n'),
(7482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nstatistiques imputations JMP'),
(7214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\n[Portugais]: Gestion Offre semaine + [Test AUTO]: Foot: Modification emplacement => Racine + Copy + Tennis: Ajout markets Live'),
(7280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nAnalyse campagne Falcon USR 2.3.2'),
(7515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nTest ALM de la version  SITE: fdj2-origin_release_11-13 et mobile 193 sur INT2 ;\\\\nAtelier hebdomadaire de synchronisation d\\\\\\\'activités Sport (10h à 11h);\\\\nRéunion US Review PSEL (15h à 16h);'),
(7289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nReunion task force cpsi/recette\\\\nDebug int8/6\\\\nPoint sur qualif mug et webapp\\\\nReunion recette du lobby\\\\ninstallation client Bingo v1.1.115_55065'),
(7224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nTest & Livraison de : DigishopPOSTAccountRegistrationCreateAccount'),
(7225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nCorrection et évolution des scripts SelfBlock'),
(7226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nCorrection des services Digishop BLOCKED consommés pour Olympia'),
(7227, '1) Lors de la clôture de la convention nous ne pouvons avoir accès aux groupes depuis la liste des autres actions, de plus le statut ne passe pas a \"clôturé\"\r\n\r\nRéponse: \r\n\r\n- Depuis la liste des autres actions, on ne peut voir que \"Détail de la convention\" et \"Télécharge PDF\" pour une convention clôturée. \r\n(Vérifié avec Kevin)\r\n\r\n2)lors de la consultation de la BD, on constate que les groupes n\'ont pas le statut \"clôturé\" et que les habilitations aux groupes sont toujours présentes\r\n\r\nRéponse:\r\n\r\n- Lors de la clôture d\'une convention, les groupes qui y sont lié ne passent pas à \"cloturé\" (fonctionnellement Vérifié, testé et validé)\r\n\r\n- Par contre, les habilitations aux groupes sont supprimées en BDD table \"habilitation_customgroupauthorization\" (fonctionnellement Vérifié, testé et validé)'),
(7228, 'Après plusieurs tentatives, le bug n\'a pas été reproduit et aucun comportement anormal n\'a été rencontré.\r\n\r\nLa seule explication qu\'on pourrait donner est la suivante :\r\n\r\nC\'est le scheduler PHA qui est censé fermer les entités en cascade, ayant leur date de clôture à aujourd\'hui.\r\nSuite un éventuel dysfonctionnement du scheduler, des conventions, ayant une date de clôture antérieure à la date du jour, ont été laissées ouvertes.\r\n\r\nLa modification du libellé de la caf a forcé la vérification des dates des entités en cascade.\r\nPar conséquent, les conventions ont été clôturées.'),
(7230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\n- Campagne qualif Euml / Loto\\n- Support appliMaitre\\n- Mise a jour des catalogues '),
(7231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nmaj fichier param_trf.txt sur les environnements'),
(7232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nRecensement des traitements dans  patrimoine TAIGA'),
(7391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nRéunion pilotage suivie tests automatisées (Avec Valérie et Raphaël)'),
(7392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël'),
(7538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nInstallation des la livraison ABP et test d’acceptation .\\n\\n05 - PDJ Simple passante avec e-credit'),
(7539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nInstallation de la version ABP abp-14-1-23-OLYMPIA-474'),
(7275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nReprise de la gestion de cookies sur Digishop-R (pb du TokenGet désactivant les cookies de session).\\nImplémentation des connexions CC.\\nContinuation blocs Digishop R pour CC'),
(7238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nFinalisation blocs Digishop R CC\r\nEcriture script de confirmation en approche monobloc'),
(7239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nDev de scripts automatisé Falcon USR 2.3'),
(7384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nDev de scripts automatisés Falcon USR 2.3'),
(7425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nPT OLYMPIA CONFORMITE'),
(7242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nTravail sur INT2 a la relance des traitements ESR des 6 derniers jours. + PDJ et résultats sur INT3'),
(7243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nRédaction PT OLYMPIA CONFORMITE '),
(7387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nRédaction PT OLYMPIA CONFORMITE'),
(7245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nTravail sur ESR sur INT3, complétude d\'ALM et travail sur la documentation'),
(7246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nTravail sur ESR sur INT2 etINT3, complétude d\'ALM et travail sur la documentation'),
(7247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nRédaction PT OLYMPIA CONFORMITE '),
(7293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nReunion avec Laurent Barrier et Laurent Boggio sur l\'installation de USR 2.3.1-1alpha et ITF 2.0.0 sur INT3 Presto'),
(7290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nTest sous IF suite a livraison USR Presto 2.3.1-1 alpha et ITF 2.0.0\\nPrise de jeux ITG (Astro 2015) Prise de jeux MTR (Sauve Mouton)\\n+ Verification sur le front game et back end des logs qui sont emis ainsi reunion pendant 1h avec Julien Paquis sur mise a point de l\\\'evolution IF pendant mes 3 semaines de congés'),
(7250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nvisite médicale'),
(7297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nPassage des campagnes de tests Hasard 3.3.1 (FDL014388) \\nEdwan 3.3.2 (FDL014390) \\nMobi 3.1.3 (FDL014429)\\nDans le cadre du palier Bingo'),
(7253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nMontée en compétence sur le Stream de ABO en vu de son remplacement pendant ses congés'),
(7254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nMontée en compétence sur le Stream de ABO pour son remplacement pendant ses congés'),
(7255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nSuivi Re7 et ANOS préparation livraison portail'),
(7258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\ncoordination IQ + préparation plan action pour livraison'),
(7259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\ncoordination IQ + préparation plan action pour livraison + suivi projet'),
(7262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\n[FALCON] Rédaction de cas de tests \\\"joueurs\\\" (ex. demandent une exclusion temporaire sur une machine et font une PdJ simultanément sur une autre machine)'),
(7261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\n[IF] Point sur nouveautés IF avec JGI et SKA'),
(7263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\n[FALCON] Rédaction de cas de tests \"joueurs\" (ex. demandent une exclusion temporaire sur une machine et font une PdJ simultanément sur une autre machine)'),
(7264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nDivers Tests sur la dernière FDL reçu dans la semaine du  24/10/2016. Tests sur Mobiles( portail mobile et appli mobile), sur desktop.\r\nLa FDL a été finalement rejetée.'),
(7269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nDivers Tests informels sur INT2 sur desktop. Et investigation dans les logs sur divers modules: USR,PRS,MTR,PUR sur divers niveaux: Gateway, backend, backend admin\r\n  '),
(7537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nRédaction et Réalisation des test sur INT 1\\n02 - PDJs et Gains - Origin Retail.01 - PDJ Simple passante'),
(7536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nRédaction et Réalisation des test sur INT 1\\n\\nredaction des tests 01 - Transaction 3G avec Token Bluetooth valide'),
(7365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nDigishop R blocs\\nDigishop I blocs\\nDigishop A refornte blocs CC\\nHomogénéisation des architectures mono et multiblocs\\nRéintégration des spécificités de l\\\'approche bimodale N1 et N2 dans les scénarios génériques.'),
(7278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\n[OLYMPIA] Complétion cas de test Palier Décembre'),
(7279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nDivers Tests informels sur INT2 sur desktop. Et investigation dans les logs sur divers modules: USR,PRS,MTR,PUR sur divers niveaux: Gateway, backend, backend admin.\r\n\r\nEn attendant Une livraison d\'une nouvelle FDL est prévu pour l\'après  midi, donc nouveau RUN à lancer.'),
(7531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nAnalyse campagne Falcon USR 2.3.2'),
(7530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nAnalyse campagne Falcon USR 2.3.2'),
(7283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\ntests Falcon'),
(7288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nTests de différents parcoure joueur, sur différents supports: Mobile( portail mobile et application), desktop \\nPS: même manière de faire que la semaine précédente( Se basant sur des fichiers fournis par le chef de projet Marc Domenge mais non pas sur ALM)'),
(7285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\ntests Falcon'),
(7286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nTests Falcon'),
(7287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\ntests Falcon'),
(7291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nStream IF'),
(7514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nRéalisation des tests de non reg PSEL sur INT2 de la version site (fdj2-origin_release_11-13) et mobile (193);'),
(7436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\ncampagne manuel sur \\n Release 1.1.105.55065'),
(7435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nsuivi des anos\\\\nreunions'),
(7301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nAcceptance INT1'),
(7302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nAcceptance INT1'),
(7303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nAcceptance INT1'),
(7312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nFDL014478_Coheris_Oracle_BI4BO_COJO_COHD_F_5.3.1.7 changement loader\\\\n[COHERIS] Avancement des sujets'),
(7411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nDéveloppements MOD010316, MOD010320 \\nAssistance test auprés de Morgane CLEMENT\\nFDL014494 : [COJO]  [CRM2] Livraison objets Oracle CHARGEMENT FULL pour COJO\\nFDL014495 : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT FULL pour OLYMPIA\\n'),
(7309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nCAMPAGNES ORCHESTRES MULTI JEUX MOTORS   '),
(7310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nCAMPAGNES ORCHESTRES MULTI JEUX MOTORS   '),
(7311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nCorrectifs ANO043333 et ANO043329 '),
(7313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nCAMPAGNES ORCHESTRES MULTI JEUX MOTORS   '),
(7363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nAvancement projet OLYMPIA (Maj test ALM pour webapps WSPO & application native parionsdirect Android & IOS).\\nRéunion téléphonique US Review (webapps sport)\\nReaffection des anomalies de recette : ANO043256, ANO043257, ANO043241, ANO043265 et ANO043267.\\nInsvestigation sur les problèmes de propagation des catalogues des applications natives sur les environnements d\\\'intégration.'),
(7315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nCP'),
(7364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nCorrection du script app_propagate.ksh utilisé par le composant MAPI\\nAvancement des tests ALM OLYMPIA'),
(7366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nNormalement projet OLYMPIA'),
(7319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nInstallations boutiques sur INT3 et 8 : FDL014451 / FDL014453 / FDL014452'),
(7320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nCoPRoj Coco'),
(7321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nSupport Ano042139'),
(7322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nInstall Boutik Inscription sur 3 et 8 : FDL014476\r\nConfiguration Cloud front'),
(7323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nInstallation MAG et MUG PS2016 - INT3 : FDL014488 / FDL014491'),
(7324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nDemo Olympia'),
(7325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nSupport au dév pour test MUG / MAG PS2016 (Pieces jointes)'),
(7327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nSupport Anos PS2016'),
(7328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nTravail sur référentiels ALM'),
(7329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nRecette hppc 12.5 : plans de test et exécutions'),
(7330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nRecette hppc 12.5 : plans de test et exécutions'),
(7331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nVie des environnements : création des joueurs sur 1 jour'),
(7333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nVie des environnements : scénario 033 versement en attente'),
(7335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nPresto : Qualification et analyse'),
(7390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nInstallation et passage de cas de test d\\\'acceptance sur Portail FDJ.\\nPas de FDL pour le moment.'),
(7356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\nrevue documentaire wlbgo'),
(7337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(7357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nmontee en competence IF + cas de tests olympia'),
(7339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(7388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nPresto : Redaction des cas de test spécifique version 1.11'),
(7389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nPresto : version1.11\\nInstallation et qualification de la FDL014485 '),
(7354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nrevue documentaire webapp keno'),
(7352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nFDL014482'),
(7460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nExécution tests Palier Dec Olympia - Batch PMD'),
(7461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nExécution tests Palier Dec Olympia - Batch PMD'),
(7360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nmontee en competence IF'),
(7359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nmontee en competence IF + cas de tests olympia'),
(7361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\n- maj des documentations swagger mapi, mobi\r\n- réception des livraisons pour la mep du 7/10\r\n- support affichage du jeu Duel de carte V2 sur INT3\r\n- qualifications livraisons\r\n3.2.6_hasard	FDL014425\r\n3.1.2_edwan	FDL014428\r\n3.1.3_mapi	FDL014444\r\n'),
(7373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\nContrôle de la couvertures des exigences Olympia(CC) par des cas de test du CDS digital back => création des cas manquants si besoin'),
(7367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\n- maj environnement de recette INT3 sur le palier modérateur\r\n- exécution campagne ALM mapi\r\n- support sur le simultateur de gain, pb applications natives\r\n- pt avec l\'équipe recette sur les ano remontés sur le simulateur'),
(7368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nContrôle de la couverture des exigences PMD par des cas de test du CDS digital back => création des cas manquants si besoin'),
(7370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nEcrire cas de tests Compte Contact '),
(7371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nEcrire cas de tests Compte Contact '),
(7374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nAnalyse du non lancement du jeu Duel de cartes v2 sur les environnement suivants: iNT2,3,4,8\r\nEtat des lieux de l\'installation et des la contribution des jeux Illiko sur les environnement INT2,3,4,8'),
(7375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nInstallation du jeu Instant Loto 2016 v1.0.3 (FDL) sur INT8\r\nMise à jour du Mod Op de Instant Loto\r\nMise a jour des tests d\'acceptance de Instant Loto\r\n'),
(7376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\n-'),
(7378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\n- Qualif test application hasard et support recette'),
(7382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\n- réunion avec backup pour préparation MEP Stream PHP du 24 octobre\\n- suite qualification livraisons \\n3.1.1_edwan	FDL014354\\n3.2.1_hasard	FDL014356\\n3.1.1_mapi	FDL014355\\n3.0.5_mobi	FDL014215\\n'),
(7426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nsupport testeurs sur des erreurs d\\\'exécution de scripts d\\\'automatisation Falcon'),
(7386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\ndev scripts automatisés Falcon USR mise en compatibilité des scripts existants avec la nouvelle version USR 2.3.2-1'),
(7409, 'Nouveau correctif dans le SP15 RC5'),
(7410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nConception CT OLYMPIA - PDJ'),
(7400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\n[Offre Portugais]: Création d\\\'une Offre de 800 Events (=> Création à partir de l\\\'Offre actuelle)'),
(7398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\n[Test AUTO]: Foot: Modification emplacement => Racine + Copy + Tennis: Ajout markets Live'),
(7403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\n[Test Auto] + Maj Test ALM'),
(7407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nConception CT OLYMPIA - AUTH MAJ - PDJ\r\n'),
(7408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nConception CT OLYMPIA -PDJ'),
(7412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-28  (Do not remove this line) -->\n[PS2016] Test MAG sur INT6 preQ avec le DEV pour pb PJ\r\n[PS2016] Préparation déploiement boutiques 2.1.11 U et A sur INT3\r\n '),
(7413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\n[PS2016] Transfert activité  PS2016  suite au retour de Mathieu (état des lieux, taches en cours et à venir\r\n\r\n[OLYMPIA] Qualification anomalies recette'),
(7416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\n[OLYMPIA] Qualification anomalies recette\r\n[OLYMPIA] Demo compte Sprint 10'),
(7431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nDEV script de PDJ olympia\\\\\\\\nRéunion : point DEV\\\\nCorrection PB vie des environnements'),
(7432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nDEV script de PDJ olympia\\\\\\\\nRéunion programme sport\\\\n'),
(7433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nDEV script de PDJ olympia\\\\\\\\n\\nLivraison et qualification première version du script sur L\\\'ALM'),
(7440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nreunion task force\\\\\\\\nreunion  sur programmation des salles pour recette du lobby\\\\\\\\nbug review\\\\\\\\suivi de qualif des composants\\\\\\\\suivi des anos\\\\\\\\Support falcon suite au plantage de l\\\'hyperviseur'),
(7437, 'Remplacé par 43713'),
(7438, 'Remplacé par 43714'),
(7445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\n- Qualif test application hasard et support recette\\n- Point sur les recu checker'),
(7441, 'Nombre d\'utilisateurs de la pending à jour : uniquement ceux des BA dont la date de clôture est avant aujourd\'hui'),
(7442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nAméliorations du bouchon'),
(7443, 'NMR : OK le 04/11 sur la PI'),
(7444, 'NMR : KO le 04/11 sur la PI'),
(7446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\n[OLYMPIA] Install day (conf Digishop R + MAJ BDD retail + Deploiement)\r\n[OLYMPIA] Analyses anomalies'),
(7447, 'A priori, le fonctionnement actuel de l\'application ne permet pas de valider une convention qui a été déjà invalidée (A vérifier avec Kevin)'),
(7449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nDev. script automatisation  +  API Falcon USR 2.3'),
(7450, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nrecherche pour l\'affichage d\'une réponse d\'erreur approprié '),
(7453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-31  (Do not remove this line) -->\n Investigations soucis technique sur les applis Mobiles'),
(7456, 'NMR : OK sur PI le 07/11'),
(7457, 'NMR : OK le 4/11'),
(7513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nTeste ALM sur INT2 de la version \\nSITE:  fdj2-origin_release_11-13 et \\nMOBILE: 193'),
(7512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nTeste ALM de qualification de la livraison site (fdj2-origin_release_11-13) et mobile (193) sur INT2;\\nMàJ des cas de tests ALM'),
(7462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nExecution tests BOX PMD'),
(7463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nExecution tests BOX PMD'),
(7464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nExecution tests BOX PMD'),
(7465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nRédaction coquilles vides de tests + lien exigences'),
(7466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\nRédaction coquilles vides de tests + lien exigences'),
(7650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nLancement campagne MAPI 3.1.3 et Analyse. Lancement campagne MAPI 3.1.4 et Analyse. Ecriture de cas de test pour MAPI.'),
(7726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n- Formation backUP application hasar'),
(7470, 'Penser à modifier les specifications de reference\r\net à les fournir comme SFD du defect'),
(7471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nProduction de la premiere version du livrable final pour relecture par lindsay'),
(7472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nDigishop R Blocs + modifs archi'),
(7473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nFDL014536_Coheris_Oracle_COJO_CRM_F_5.4.0.1\r\nContient les évolutions pour les MOD010334 et MOD010335.\r\n'),
(7755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n[PRESTO] Passage parcours joueur sur le desktop\\\\nOuverture MOD010328, MOD010336, MOD010338'),
(7483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n[Portugais]: Offre classique + Resulting Offre 800 events. [Tests AUTO]: Débuggage Template Tennis sur INT6'),
(7555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nGestion plateforme PI pour tests MCO & support sur les correctifs'),
(7554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nSupport MCO & Gestion mantis & déploiement PI'),
(7486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nDev. scripts automatisé + maj API Falcon USR 2.3 '),
(7747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nInstallation v1.1.116.55148\\\\nsuivi des anos\\\\nsuivi des installations des composants'),
(8398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nParametrage salle de jeu\\\\nInstallation v1.1.113_54724'),
(7489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\ntest patch nyx\\nsuivi anos\\nReunion qualif webapp/wof'),
(7490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\ncampagne manuel Galaxy tab'),
(7493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nsuivi anos et des installations\\nsupport audit sécurité'),
(7492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nqualif anos\\n'),
(7496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\ncoproj hebdo\\\\ntest manuel (pas de campagne car trop d\\\\\\\'anos)\\\\n\\\\n'),
(7497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nPoint planif envt\\nresolution anos'),
(7498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nweekly meeting NYX\\ncomité automatisation\\nBug review'),
(7499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nduplication B Xv de france en rugby\\nresolutions anos'),
(7500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nbug review\\n'),
(7501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\ncreation de salle de jeu sur le front\\nModif des traductions\\nsupport sur anos'),
(7503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nsupport anos '),
(7504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\ntask force\\nbug review'),
(7505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nweekly meeting\\nbug review\\n'),
(7506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n- Réunion de lancement Olympia\r\n- Debug problème PSEL\r\n- Dev script Olympia'),
(7507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nCampagnes orchestrées Multi Jeux MOTORS'),
(7508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nCampagnes orchestrées Multi Jeux MOTORS'),
(8042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nCampagnes orchestrées Multi Jeux MOTORS'),
(7510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nCampagnes orchestrées Multi Jeux MOTORS'),
(7516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nFormation sur le Stream APP Hasard pour remplacement Abo durant ses congés\r\nExplication sur le stream, Démonstration de compilation, Démonstration du lancement des App et des Scan des tickets Euromillions/Loto'),
(7517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nPassage de tous les  cas de tests du Stream APP Hasard\r\nPour visualisation du stream complet, compréhension des cas de tests et des APP\r\nVérification de la compréhension des cas de tests et analyse si besoin de modification de ceux-ci'),
(7519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nReunion cas de tests PMD / DEFI'),
(7522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nSupport projet PJ sur App Natives'),
(7523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nInstall MUG 2.3.33 - FDL014546'),
(7524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nréunion Lauralba'),
(7609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nAmélioration des cas de tests PJ');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(7526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nExécution de test de non REG sur INT2 pour PSEL front (fdj2-origin_release_11-13) et mobile (193);\r\nRédaction de PV de qualification;\r\nCréation de offres live auto et mainbook pour la réalisation de tests de qualif et recette'),
(7528, 'NMR : OK sur la recette le 08/11/2016'),
(7772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nLancement des campagnes acceptance  Digishop A 2.1.14, Digishop I 2.1.8 et Digishop U 2.1.11 sur INT1.'),
(7534, 'L\'envoi du mail fonctionne correctement en local.\r\nSur la plateforme d’intégration, l\'envoi du mail à l\'administrateur caf échoue et les  logs indiquent que c\'est dû au seveur smtp qui est mal configuré.'),
(7535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nRemontée sous GIT'),
(7551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nTest d’acceptante de la version abp-14-1-23-OLYMPIA-474:\\\\nDans ALM (projet Olymia)/Testing/ Test Labs/ \\\\ndans root/ 03 - ACCEPTATION DES LIVRAISONS/14-1-23-OLYMPIA-474acceptance 14-1-23-OLYMPIA-474\\\\n\\\\n\\\\n\\\\nPoints d\\\\\\\'attention :  \\\\n- Problème sur Falcon (authentification KO ) jusqu’à 15H.\\\\n- réunion Olympia  de 16h30 a 17h30.\\\\n\\\\n- Problème pour trouvé un téléphone disponible.'),
(7552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nTest d’acceptante de la version abp-14-1-23-OLYMPIA-474:\\\\nDans ALM (projet Olymia)/Testing/ Test Labs/ \\\\ndans root/ 03 - ACCEPTATION DES LIVRAISONS/14-1-23-OLYMPIA-474acceptance 14-1-23-OLYMPIA-474\\\\n\\\\nPoints d\\\\\\\'attention :  \\\\n- Problème pour trouvé un téléphone disponible.'),
(7544, 'Corrigé et poussé le 18/10.\r\n\r\nLe bouton \"supprimer\" a du être confondu avec le bouton modifier (accessible pour un bulletin d\'adhésion cloturé); d\'ou la réouverture du ticket.'),
(7545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nDigishop R Blocs'),
(7549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n[Olympia] Rédaction cas de test nouvelles fonctionnalités :\\n - Contrôle des trames ARJELS pour les PDJ Retails.\\n- Cycle de vie des transactions en Retails : \\n    - vérifications des logs ABP :\\n      -  T2 : Validation du token détaillant\\n      - T3 : demande demande de débit à Falcon + confirm\\n      - Base de données ABP : vérification de la création du Betslips\\n      - Base de données Falcon : demande de débit prise en compte\\n      - Vérification ABP/Falcon : resulting + paiement\\n\\nPB rencontrés:\\n     - Instabilité de Falcon et de DigishopA sur INT1 jusqu\\\'à midi : impossible de se connecter .\\n     - Impossible d\\\'effectuer des PDJ retails via l\\\'application \\\'Parions Direct\\\' : Identification de la cause => Rupture d\\\'interface côté LVS/ABP pour la fonctionnalité \\\'Cote à la hausse ou à la baisse\\\', application non alignée sur la nouvelle solution (MOD010170).\\n     - Pas de tablette détaillant disponible sur INT7. Solution de contournement : Demander aux équipes d\\\'automatisation d\\\'effectuer des PDJ retails automatiques pour constituer un jeu de données pour les tests.'),
(7547, 'Method not found: cnaf.partenaires.pha.portlet.MB.convention.ConventionMB@b2cbdac.updatePendingSecondPartner()'),
(7550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n[Olympia] Rédaction cas de tests nouvelles fonctionnalités.\\n- Annulation d\\\'une PDJ suite à l\\\'annulation d\\\'un market.\\n - Vérification de la demande de refund ABP vers Falcon. (Analyse log)\\n - Vérification de la prise en compte par Falcon (Analyse BDD)\\n - Vérification de la prise en compte par ABP (Analyse BDD)\\n\\nPB rencontré :\\n- Seuls les environnements transverses possèdent ctrl-m. ctrl-m lance les job de réconciliation automatique. INT1 ne possédant pas ctrl-m obligation de lancer la réconciliation à la main.'),
(7553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nDev Script auto et livraison des modifications et nouveaux scripts pour USR 2.3.2 dans ALM'),
(7556, 'le 25/10 /2016  -> nadine et nicolas Goubeau\r\n\r\nBonjour\r\n\r\nLa Version 1.1 (0317-CNAF-Marché-Lot-4-GUI-PBA - installation poste de developpement--rev1.1.docx) a été déposée dans \\\\Srv3d06e.certiam.cnaf\\UED - Documentation projet\\07 - PPS_Offre Bailleurs\\40 - Livrables\\41 - Concevoir\\Guides\\ .\r\n\r\nCette dernière prend en compte les remarques de la version 1.0.\r\n\r\nCdt'),
(7754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nSuite à l\\\\\\\\\\\\\\\'installation du portail Illiko-live, qualification d\\\\\\\\\\\\\\\'anomalies\\\\\\\\n'),
(7559, 'Erreur dans le test qui a été rentré dans HP ALM (corrigé).'),
(7560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nDigishop R Blocs et maj conformité Digishop I 2.1.8'),
(7561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nTests des batchs palier Olympia'),
(7562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nTests des batchs palier Olympia'),
(7563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nTests Batchs'),
(7564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nEstimer le nombre de services affectés par le changement de int à long'),
(7565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nEstimer le nombre de services affectés par le changement de int à long'),
(7834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nMise à jour digishopI 2.1.8'),
(7835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nMise à jour digishopI 2.1.8'),
(7568, 'IHM-015 : Remplacer \"Non saisie\" par \"Non saisi\" dans la liste déroulante'),
(7569, 'Tests sur la PI (tests d\'expérience + tests de non-régression de surface)'),
(7570, 'le bug n\'est pas présent sur Firefox v36.0, Chrome v41.0, et IE8.\r\nIl existe que sur Firefox v17.0.'),
(7725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n- Test, qualif support, rédaction MODOP applications natives (Loto, Euromillions, Illiko, Presto)'),
(7572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n[Test AUTO] : Offre Basket 15 matchs + [PSMS / ABP 14.1.27 b2771 / INT6]: Tests de Pré-Acceptance'),
(7573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n[Test AUTO / INT1] : Template Basket avec Live + [PSMS / ABP 14.1.27 b2771 / INT6]: Tests de Pré-Acceptance'),
(7574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\ntapqua1 17.0.0.EM_QUAL'),
(7700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n[IF] Investigation pour résoudre les accès perdus aux bases de données IF\\n[IF] Extraction du plan de test manuel pour LBA'),
(7576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n[IF] Extraction plan de test automatique IF pour LBA\r\n[IF] Entrevue avec LBO et PLE pour résoudre le pb de connexion postgresql\r\n[OLYMPIA] Ecriture de cas de tests CC\r\n'),
(7577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n[OLYMPIA] Ecriture de cas de tests CC'),
(7578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nContinuité sur le passage de toutes les campagnes de tests du stream APP Mobile Hasard\r\nEffectué sur Iphone, Android, Ipad et Android Tablette'),
(7579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nContinuité sur le passage de toutes les campagnes de tests du stream APP Mobile Hasard\r\nEffectué sur Iphone, Android, Ipad et Android Tablette + Demande info sur les points bloquant des cas de tests et point a effectuer avec Abo avant son depart sur les points important a venir sur son Stream'),
(7580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n[OLYMPIA] Rédaction de cas de test'),
(7704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nTest IF et Falcon'),
(7582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nRédaction cas de test Olympia'),
(7705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\ntest Falcon et IF'),
(7584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nRédaction cas de test Olympia'),
(7706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nTests Falcon'),
(7586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nRédaction cas de test Olympia'),
(7707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nTests Falcon'),
(7588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nRédaction cas de test Olympia'),
(7594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nRecette HP ALM 12.53'),
(7592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nVie des environnements : nouveaux joueurs olympia'),
(7593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nVie des environnements : nouveaux joueurs olympia'),
(7595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nVie des environnements : nouveaux joueurs olympia'),
(7596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n01-Test d\'acceptation: Exécution de cas de test afin de tester le nouveau portail Presto V1.11 et les deux FDL de la nouvelle version des apllis natives:\r\nFDL014533 : Illiko live - IOSv1.0.001\r\nFDL014531 : Illiko live - Android v1.0.007\r\nSur INT8 et INT2,\r\nLe nombre de cas de test est de 38, mais il faut compter qu\'il faut les exécuter pour deux jeux, Ascapone et sauve souris, et sur deux environnements.\r\n02- Retester une liste de fiche d\'anomalie que Marc(CP) nous a demandé de faire. 18 fiches ( 14 sur mobile, 4 sur desktop)\r\nPS: pour des raisons d\'installation; et de lenteur d\'internet, et que des fois on ne sait pour quelle raison ça ne marchait pas, le déroulement de l\'exécution se trouve vraiment impactée. entre interruption, chercher à savoir si c\'est le produit qui est en défaut ou autre, remobilisation...etc\r\n\r\n'),
(7597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n01-Test d\'acceptation: Exécution de cas de test afin de tester le nouveau portail Presto V1.11 et les deux FDL de la nouvelle version des apllis natives:\r\nFDL014533 : Illiko live - IOSv1.0.001\r\nFDL014531 : Illiko live - Android v1.0.007\r\nSur INT8 et INT2,\r\nLe nombre de cas de test est de 38, mais il faut compter qu\'il faut les exécuter pour deux jeux, Ascapone et sauve souris, et sur deux environnements.\r\n02- Retester une liste de fiche d\'anomalie que Marc(CP) nous a demandé de faire. 18 fiches ( 14 sur mobile, 4 sur desktop)\r\nPS: pour des raisons d\'installation; et de lenteur d\'internet, et que des fois on ne sait pour quelle raison ça ne marchait pas, le déroulement de l\'exécution se trouve vraiment impactée. entre interruption, chercher à savoir si c\'est le produit qui est en défaut ou autre, remobilisation...etc'),
(7599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n01-Test d\'acceptation: Exécution de cas de test afin de tester le nouveau portail Presto V1.11 et les deux FDL de la nouvelle version des apllis natives:\r\nFDL014533 : Illiko live - IOSv1.0.001\r\nFDL014531 : Illiko live - Android v1.0.007\r\nSur INT8 et INT2,\r\nLe nombre de cas de test est de 38, mais il faut compter qu\'il faut les exécuter pour deux jeux, Ascapone et sauve souris, et sur deux environnements.\r\n02- Retester une liste de fiche d\'anomalie que Marc(CP) nous a demandé de faire. 18 fiches ( 14 sur mobile, 4 sur desktop)\r\nPS: pour des raisons d\'installation; et de lenteur d\'internet, et que des fois on ne sait pour quelle raison ça ne marchait pas, le déroulement de l\'exécution se trouve vraiment impactée. entre interruption, chercher à savoir si c\'est le produit qui est en défaut ou autre, remobilisation...etc\r\nPS: Réécriture des cas de test d\'accepetation de livraison sur ALM, car ces derniers étaient sur un fichier excel fourni par Marc ( CP) , et ce après une réunion de 30 minutes avec Claude. ils Sont au nombre de 38.'),
(7605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nQualifications Ano dans le cadre de PS2016 + Support'),
(7610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n[Olympia] Ateliers organisations des tests'),
(7623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nANO043512 : Développement problème date limite sur les courriers\\\\n[COHERIS] Avancement des sujets'),
(7604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n01-Test d\'acceptation: Exécution de cas de test afin de tester la nouvelle FDL FDL014567 AS Capone 1.0.4 installée hier fin d\'après midi( 09/11/2016)\r\nET:\r\nEventuellement démarrage d\'un RUN 8 Presto de qualification\r\nPS: pour des raisons d\'installation; et de lenteur d\'internet, et que des fois on ne sait pour quelle raison ça ne marche pas, le déroulement de l\'exécution se trouve vraiment impactée. entre interruption, chercher à savoir si c\'est le produit qui est en défaut ou autre, remobilisation...etc\r\nPS: Finition des cas de test d\'accepetation de livraison: 30 minutes'),
(7708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n1 Installation TR3 en configuration Olympia (Non terminer) : Problème sur le scripte de migration de base Problème remonter a LVS.\\\\n\\\\n\\\\n2 : Reprise des tests d’acceptante de la version abp-14-1-23-OLYMPIA-474: \\\\n-passer les Steps KO a cause de donner incohérente en base (DAWN sélectionner, Up enregistrer en BD )\\\\n- enrichir les testes pour vérifier cette valeur en base.\\\\n- passer du temps sur \\\\n- Problème sur les PDJs marquer comme OK sur l\\\\\\\'application \\\\\\\"Parions Direct\\\\\\\" et non enregistre en base : pas d\\\\\\\'appeler Vers le T2.'),
(7612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n[OLYMPIA] Deploiement MAGO 1.0.8 + Acceptance MIGO MAGO (0.25)\r\n[OLYMPIA] Qualification anomalie + support recette (0.25)'),
(7611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nanalyse Incident - INC160147 : Anomalie sur la date de fin de validité du code PIN'),
(7624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nANO043512 développement Anomalie sur la date de fin de validité du code PIN'),
(7615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nInstallation MIG FDL014571 / MAG FDL014568 / MUG FDL014569 pour PS2016'),
(7701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nMultiples tests PJ sur les applis natives'),
(7627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n[OLYMPIA] Rédaction tests \\n[OLYMPIA] Fonctionnement historique de jeu compte contact'),
(7620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nInstall et tests MUG Bingo - FDL014584'),
(7702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nRéorganisation cas de tests PS 2016 pour passage en non rég'),
(7631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n- Dev script Olympia'),
(7632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n[OLYMPIA] Atelier avancement des tests'),
(7626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n[OLYMPIA] Rédaction tests \r\n[OLYMPIA] Support recette (0.15)\r\n[OLYMPIA] Deploiement INT3 (MIGO, MAGO, MUGO + Digi A I U R)\r\n[HORS STREAM COMPTE] MAPI Georestriction HS 0.15'),
(7691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n[OLYMPIA] Rédaction tests'),
(7743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n- Dev script Olympia\\n- Support sport'),
(7744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n- Dev script Olympia\\n- Support sport\\n- Réunion auto/perf'),
(7729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL + Reunion'),
(7703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nRéunion Atelier cas de tests PMD'),
(7643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n[Test AUTO] : Mise en place d\\\'un tableau récapitulatif + maj Template + [PSMS / ABP 14.1.27 b2771]: Tests '),
(7696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nRéunion de suivi avec Raphaël'),
(7693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nCampagne acceptance INT6'),
(7695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nCampagne d\\\\\\\'acceptance INT6\\\\nPDJ Live'),
(7774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nAnalyse de la campagne d\\\\\\\'acceptance Digishop A 2.1.14 sur Falcon 2.3.2-1'),
(7773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nAnalyse de la campagne d\\\'acceptance Digishop I 2.1.8 sur Falcon 2.3.2-1'),
(7654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nAnalyse de la campagne d\\\'acceptance Digishop A 2.1.14 Digishop U 2.1.11 sur Falcon 2.3.2-1'),
(7655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\ncas de tests olympia cc sur limites '),
(7657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\ncas de tests olympia cc + qualif ano'),
(7658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\ncas de tests olympia cc + qualif ano'),
(7659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nolympia + IF'),
(7660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nSuivi de campagne de Qualification sur TR2'),
(7661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nSuivi de Recette'),
(7662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nSuivi de campagne'),
(7663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nPréparation CR PRESTO + suivi re7'),
(7664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nTravail sur PROMO et GTOP'),
(7665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nTravail sur PROMO'),
(7666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nTravail sur PROMO et GTOP et scripting avec BGA'),
(7667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nTravail sur PROMO et GTOP (avec le DEV)'),
(7753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nInstallation du jeu \\\\\\\\\\\\\\\"As Capone\\\\\\\\\\\\\\\" v1.0.4 (FDL014368) sur INT8 et INT2\\\\\\\\nPassage des tests d\\\\\\\\\\\\\\\'acceptance\\\\\\\\nDuplication du jeu \\\\\\\\\\\\\\\"Sauve Souris\\\\\\\\\\\\\\\" sur INT2 afin de tester la désactivation d\\\\\\\\\\\\\\\'un jeu\\\\\\\\nCorrection Pb d\\\\\\\\\\\\\\\'acces a Illiko live sur INT5'),
(7752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nInstallation du jeu \\\\\\\\\\\\\\\"Sauve souris\\\\\\\\\\\\\\\" v1.0.2 (FDL014580) sur INT8 et INT2\\nPassage des tests d\\\'acceptance\\nRédaction du mod Op\\nAnalyse des différences entre les environnements'),
(7672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nExécution & analyse USR 2.3.2 INT 1 / RTG 2.2.9 INT 3'),
(7673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nExécution & analyse USR 2.3.2 INT 1 / RTG 2.2.9 INT 3'),
(7674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nExécution & analyse USR 2.3.2 INT 1 / RTG 2.2.9 INT 3'),
(7675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nExécution & analyse USR 2.3.2 INT 1 / RTG 2.2.9 INT 3'),
(7698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nFDL014545'),
(7697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nFDL014540'),
(7699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nFDL014579'),
(7680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nFDL014505'),
(7681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nFDL014577 + FDL014576\r\n'),
(7688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nRWD - Release 1.1.107.55145 -chrome - samsung galaxy tab3'),
(7683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nAcceptance INT1 Olympia'),
(7684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nAcceptance INT1 Olympia'),
(7685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nAcceptance INT6'),
(7686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nAcceptance INT6'),
(7709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n\\\\n0- Redactione de Test : PDJ simple passante pour le \\\\n- Basket :  6Steps\\\\n- Tennis :  6Steps\\\\n- Rugby :  6Steps\\\\n\\\\n1 - Installation TR3 en configuration Olympia\\\\n2 - Installation  PERF5 en configuration PSMS'),
(7714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n- import d\\\'environnement INT2 vers INT82\\n- remise en route INT2 suite sauvegarde INT2\\n- investigation sur INT6 pour les dev, pb de synchronisations ko edwan, pb de livraisons hasard et edwan\\n- maj config int6 pour passer hasard et edwan en full\\n- réinstallation les livraisons Bingo sur INT6, maj du rsync.php pour la synchro edwan\\n- correction pb de contributions sur les FAQ INT4\\n- support investigation service MOBI ko sur INT6 PHP Fatal error:  Allowed memory size of 134217728 bytes exhausted\\nPb lié à la version 3.1.5 en cours de préparation\\n- pb sur poste de travail - navigateur chrome, ie, outlook, sql dev, crash applications, et temps de réponse très long'),
(7712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\n- qualification livraisons VSR\\n- mise à jour modop de MEP VSR\\n- sauvegarde d\\\'environnement INT2 suite bascule Yallowstone côté ESTE\\n- investigations anomalie sur multiples simultateur de gain\\n- pb sur poste de travail - navigateur chrome, ie, outlook, sql dev, crash applications, et temps de réponse très long'),
(7692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nTests batch palier décembre'),
(7710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\n- pt avec HIA et équipe de sauvegardes pour récupération des flux de prod du 30 septembre pour investigations\r\n- qualification 3.1.4_mapi\r\n- rattrapage promulgation int4'),
(7713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nScripts monoblocs Digishop R'),
(7832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n- Maj des cas de test ALM 3.2.7_hasard\\n- investigations sur les promulgations KO sur INT3\\n- Installation et qualification livraison 3.2.7_hasard\\n- campagne ALM hasard VSR\\n- maj Swagger 3.1.4_mapi'),
(9287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n- investigation sur le service de georestriction KO sur l\\\\\\\'ensemble des environnements, pb lié à la maj du fichier de configuration.ini'),
(7830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n- installation livraisons Bingo hasard, edwan, mobi\\n- maj tests ALM sur palier Bingo\\n- campagne de tests hasard, edwan, mobi'),
(7831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n- Préparation modop Stream PHP pour Bingo'),
(7765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nTest de non-reg classique et envoie de PV de qualification technique, création d\\\'offre live/MainBook manuel et automatique (FeedRelay) pour la réalisation des tests sur INT2;\\n'),
(7778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nInstallation des environnements'),
(7779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nprise en main de l\\\'application parions sport en direct'),
(7780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nlancement et étude de campagne de test sur la\\nprise en main de l\\\'environnement Apple\\nproblèmes sur la version 4.6 rencontrés\\nbuilt et test en local'),
(7721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nDev Script auto Falcon USR 2.3.2 '),
(7724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n- Test qualif Application Euml/ Loto / Illiko , préparation PROD appli native palier septembre, tests checkVersion'),
(7723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nscripts automatisation Falcon USR 2.3'),
(7727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nDev API Falcon, Analyse des problèmes rencontrés sur le CreditAccount'),
(7728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\n- Support Illiko-Live, test , qualif et campagne alm application hasard\r\n'),
(7736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nPoint Couverture exigence OLYMPIA CC - Avec Maël & Brice matin\\n'),
(7739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nPoint Couverture exigence OLYMPIA CC (suite réunion veille) - Avec Maël & Brice matin\\n'),
(7733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nConception des CT Olympia CC'),
(7737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nConception des CT Olympia CC'),
(7740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nConception des CT Olympia CC'),
(7741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nConception des CT Olympia CC'),
(7742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nMaj des pom dev & baseline prod sp15 rc5 & environnement poste dev'),
(7745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\ncampagne RWD - Release 1.1.118.55145 - IE11\r\nparametrage des salles de jeux en BO'),
(7746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nModification salle de jeux en BO\r\nsuivis des anos\r\ncoproj SI\r\nCoproj weekly\r\ntest manuel sans campagne'),
(7748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\npoint sur la mep\r\nsupport metier'),
(7749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\n10/11 : Aide sur les problemes d\'env de dev de toute l\'équipe'),
(7750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n9/11 : same as 10/11'),
(7751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nReunion avec N.Goubot'),
(7763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nRecherche du crash de l\\\\\\\'application parionsdirect IOS suite à l\\\\\\\'installation de la FDL014586 (3h).\\\\nCréation de l\\\\\\\'anomalie critique urgente \\\\\\\"ANO043668\\\\\\\" (appel mify mal formé et non nécessaire).\\\\nInstallation de la livraison FDL014594 (correction ANO043668) --> plus d\\\\\\\'offre live affichée --> rejet de la FDL.\\\\nInstallation de la livraison FDL014601 (correction ANO043668) --> ca fonctionne l\\\\\\\'IOS fonctionne correctement.\\\\nMise à jour importante du modop Olympia afin de réaliser l\\\\\\\'installation Olympia sur l\\\\\\\'INT3.\\\\nConfiguration de l\\\\\\\'environnement INT3 et installation wspo sur l\\\\\\\'environnement.'),
(7757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nMaj ALM projet Olympia\\nTest composant WSPO 1.0.16 --> création de plusieurs anomalies\\nInstallation FDL014483\\nRéunion avec Philippe par rapport à ALM (1h30)'),
(7761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nSupport recette Olympia, spdv\\natelier périmétre test ALM (2h)\\ntest Olympia WSPO, applications natives'),
(7762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nsupport recette par rapport à un problème de résultat sous SPDV.\\\\\\\\ntest application natives parionsdirect.\\\\\\\\ntest composant WSPO\\\\\\\\nRéunion Bug review et Us review Olympia (1h)\\\\nCorrection d\\\\\\\'un bug dans le script de propagation des catalogues mapi (1h30)'),
(7764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nBlocs Digishop R\r\nPoint palier Décembre'),
(7766, 'Partie  MAJOC seulement '),
(7767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nTests de validation ABP Offre (ETL et ARJEL) des nouveaux markets;\r\n\r\n'),
(7768, '11 Majoc à tests  \r\nHypotheses hautes   : environ  5 cas de tests par MAJOC >>   50 cas de tests\r\nRedaction de   5 cas de tests par   Jour        >>   Au Max  10  jours pour la redaction des cas de tests  ( que l\'on peut sans doute ramener à 8 jours)\r\n\r\nPour la partie campagne de tests\r\n Hypothèses :  10 cas de tests par jour   >   5 jours par campagne  x  2 campagnes =  10 jours\r\n\r\nTotal  =  18 jours'),
(7770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nmise en place git au RSI: OK'),
(7876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n- Complétude script de PDJ Olympia\\n- Maintien Robot auto sport\\n-Point dév interne'),
(7775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nAnalyse de la campagne d\\\'acceptance Digishop A 2.1.14 sur Falcon 2.3.2-1'),
(7776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nlancement d\'un nouveau RUN Presto qui comporte 119 tests. Nom de compagne :RUN 08 CDS ATOS_PRESTO_V 1.11.0- INT2 \r\nLes jeux testés: \r\n[SAUVE SOURIS] Livraison Applet v1.0.2\r\n[As Capone] Livraison Applet v1.0.4\r\nPortail Ppresto: v1.11\r\nPS: Possibilité de rajout de cas de test.\r\nEnvironnements stables, aucun problème d\'ordre technique n\'a été rencontré'),
(7777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\ndébut campagne de test sur parions sport en ligne'),
(7800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nInstallation des jeux \\\"Happy dès été\\\" et \\\"L\\\'or des Caraibes\\\" sur INT8\\nContribution des jeux sur INT8 '),
(7782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n[OLYMPIA] \r\n- Validation anomalies recette\r\n- Alimentation BDD retail\r\n- Support recette\r\n[AUTRE]\r\n- Support pb de conf boutiques sur INT41 (IF)\r\n- Analyse pb affichage formulaire MIG sur portails (PS2016)\r\n- Support pb Illiko sur INT81 (affichage bouton \"jouer\") => pb broadcast FalconAPI\r\n'),
(7783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nInstallation sur Falcon INT4 de USR 2.3.2-1, PFI 2.3.2-1, PUR 2.3.2-1, OPR 2.4.0-2, CLS 2.4.1-6 et BOX 2.4.2-1 pour les besoins d\'IF\r\nAction réalisée avec Laurent Boggio'),
(7793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nCréation de cas de tests technique de prise de jeux  pour PSMSv1 sur ALM (Projet: SPORTS_2013 > Référentiel Multimédia > HMOA - Sport > Référentiel STREAM SPORT > PSMSv1 > 01. Module Prise de Jeux);\\nCréation des offres (Footbal, Tennis et Rugby) ABP pour la réalisation des tests;\\nRéunion de US Review Sport de 15h à 16h'),
(7785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nCorrection de scripts automatisés Falcon USR 2.3 + évolution du CreditAccount'),
(7786, 'Ceci n\'est pas un doublon !'),
(7960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nAnalyse campagne d\\\'acceptance Digishop U 2.1.11 sur INT1'),
(7961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nAnalyse campagne d\\\\\\\'acceptance Digishop U 2.1.11 sur INT1. Lancement campagne d\\\\\\\'acceptance Digishop U 2.1.13 sur INT2. Analyse campagne d\\\\\\\'acceptance Digishop U 2.1.13 sur INT2'),
(7790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n[OLYMPIA] Rédaction de cas de tests'),
(7791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n[IF] Reproduction sur FALCON USR d\'une anomalie (ANO042892) détectée sur la Fake Lottery. Nouvelle anomalie créée (ANO043790).'),
(7812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n[OLYMPIA] Rédaction de cas de tests : retrait sur compte joueur, 4 cas rédigés.'),
(7798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nInstallation du framework \\\"Gravity v2.1.1\\\" (FDL014631) sur INT8\\nInstallation du jeu \\\"La poule aux oeufs d\\\'or v1.0.1\\\" (FDL014621) sur INT8\\n\\nPassage/Maj des tests d’acceptance\\nRédaction des Mod Op\\nMise a jour du référentiel sur Confluence\\n'),
(7908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nInstallation et contribution sur INT8 des jeux ITG \\n- Castor en Or 2016 (FDL014616: Applet v1.0.1, FDL013712: Croupier v1.0.1)\\n- VEGAS 2016 (FDL014401: Applet v2.0.1, FDL013681: Croupier)\\n- Maxi Mots Croises 2016 (FDL014555: Applet v1.0.0, FDL013905: Croupier v1.0.0)'),
(8024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nTraitement de la DMT0003451: Installation du FWK Gravity 2.1.1 et du jeu Castor En Or v1.0.1\\\\\\\\n\\\\\\\\n\\\\\\\\nDMT0003452: Installation en INT8 du nouvel applet de jeu GOAL 2015 v2.2.0 (FDL014639), avec son croupier présent en production (FDL010502)\\n\\n\\nInstallation et contribution sur INT8 des jeux ITG\\n- Blackjack 2016 (FDL014445: Applet v3.0.3, FDL013520: Croupier v3.0.0)\\n- Goal2015 (FDL014639: Applet 2.0.1, FDL010502: Croupier 2.0.0) '),
(8084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nAnalyse du pb de non utilisation de la GW PRS pour PRESTO INT8\\nInstallation de Keno Atlantia sur INT8 (FDL014679)'),
(7801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nLancement d\'un nouveau RUN Presto qui comporte 119 tests. Nom de compagne : RUN 08 CDS ATOS_PRESTO_V 1.11.0- INT2 \r\nLes jeux testés: \r\n[SAUVE SOURIS] Livraison Applet v1.0.2\r\n[As Capone] Livraison Applet v1.0.4\r\nPortail Ppresto: v1.11\r\nPS: Possibilité de rajout de cas de test.\r\nEnvironnements INT2 indisponible depuis mon arrivée 8h00  jusqu’à 10h45, car tous les hyperviseurs qui portent les machines paires sont hs.\r\nDonc :\r\nLancement du portail Presto (page d’accueil) mais impossibilité de se connecté au compte joueur Presto.\r\n'),
(7802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nCAS de test Olympia + RUN / Inscription OLY'),
(7803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\ncas de test olympia + qualif anos mael'),
(7804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nTest et support suite à la MEP PS2016 : problème inscription sport, recettage'),
(7805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nConf Call Bingo'),
(7806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nTraitements des anos, et  analyse tests auto Digishop'),
(7807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nRédaction des cas de tests CC-Olympia'),
(7808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nsuivi d\'avancement du projet'),
(7809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nRédaction des cas de tests CC-Olympia et PMD'),
(7810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nexécution campagne sur INT3'),
(7813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n[OLYMPIA] Rédaction de cas de test : exception au timeout de session, 4 cas rédigés.'),
(7815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nscripts automatisés Falcon USR et RTL'),
(8022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\ntaskforce\\nPoint suivi de mep'),
(8019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\ntaskForce'),
(7818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nweekly meeting\r\ncoproj weekly\r\ncoproj SI\r\nInstallation NyxClient : 2.1.120.55290\r\n\r\n'),
(7819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\ntaskforce\r\npreparation int5\r\nSupport metier\r\namélioration du cache bingo'),
(7820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\npreparation mod op\r\npreparation pv qualif'),
(8149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nRepet sur int2\\\\\\\\\\\\\\\\nPreparation MEP'),
(7824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nPassage de tests sur l\'environnement INT4 suite a l\'installation de l\'USR 2.3.2-1\r\nLes tests a passer ont été predefini avec L.BOGGIO'),
(7852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nPassage des cas de tests Hasard, Edwan, Mobi version 3.3.5 pour hasard et edwan et 3.1.7 pour MOBI\\nDans le cadre de la MEP Bingo'),
(7826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nFormation Fiddler'),
(7827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nAjout de vérification sur les entitées en cas de clôture d\'un des éléments requis entre le moment du traçage et l\'archivage en base de donnée'),
(7962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nAnalyse acceptance Digishop U 2.1.13 Non reg sur Falcon 2.2.8 sur INT2.'),
(7829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nMise à jour digishopI 2.1.8'),
(7836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n '),
(8038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nEvolution des scripts Falcon pour gestion attributs spécifiques Comptes contact'),
(8034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nAtelier automatisation ITF + dev scripts Falcon RTL\\nFormation par Benjamin sur l\\\\\\\'outil Telerik Feedler'),
(7842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nMaj documentation'),
(7971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\\ndate controle majorité'),
(7843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\namelioration bouchon'),
(7844, 'Tests sur la PI (4ème semaine d\'affilée)'),
(7845, '- Dans le cas général, la date d\'ouverture d\'un partenaire (peu importe son rôle) est supérieure ou égale à la date d\'ouverture de l\'organisme partenaire.\r\n \r\n- Pour un organisme inactif, la cascade est testée et est bien fonctionnelle.\r\n\r\n- La date d\'ouverture d\'un organisme actif (sa date de clôture >= date du jour) n\'est pas modifiable => la cascade n\'est pas envisageable\r\n\r\n- La réouverture d\'un organisme partenaire clôturé n\'est pas répercuté sur l’état des entités filles (vérifié avec Kevin)\n\n'),
(7846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nLancement d\'un nouveau RUN Presto qui comporte 119 tests. Nom de compagne : RUN 08 CDS ATOS_PRESTO_V 1.11.0- INT2 \r\nLes jeux testés: \r\n[SAUVE SOURIS] Livraison Applet v1.0.2\r\n[As Capone] Livraison Applet v1.0.4\r\nPortail Ppresto: v1.11\r\n\r\nlancement d\'une compagne type acceptation pour tester la FDL014621 ([LA POULE AUX OEUFS D\'OR] Livraison Applet v1.0.1 ) sur INT8. Cette compagne est composée de 38 cas de test et ce sur différents devices: desktop, mobile( ANDROID, mais pas IOS car  lancement impossible de l\'appli ) \r\nPS: Problème de connexion internet, au cours du déroulement de la compagne cité juste en dessus qui empêche le bon déroulement de l\'exécution des cas de test sur mobile.\r\nDéjà qu\'a la base c\'est lent, mais là, ça ne s\'arrête pas de se déconnecter. \r\nCordialement,\r\n\r\n\r\n\r\n'),
(7847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n01\r\n Achever le RUN Presto qui comporte 119 tests. Nom de compagne : RUN 08 CDS ATOS_PRESTO_V 1.11.0- INT2\r\nLes jeux testés: \r\n[SAUVE SOURIS] Livraison Applet v1.0.2\r\n[As Capone] Livraison Applet v1.0.4\r\nPortail Ppresto: v1.11\r\nRésultat :\r\nSatisfaisant surtout pour le back ( BOX,POM,BDD)\r\nMais reste à tester Le jeu la poule aux œufs d’or qui n’est pas encore installé sur INT2.\r\n\r\n02 \r\nVu la livraison de la FDL014621 ([LA POULE AUX OEUFS D\'OR] Livraison Applet v1.0.1 ) sur INT8 => Montage d’une mini compagne pour tester le jeu La poule AUX ŒUFS d’or sur int8.\r\n'),
(8023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\ntest Falcon et IF'),
(8025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\ntest Falcon et IF'),
(7850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nréunion IF'),
(7851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nTests Falcon et IF'),
(7853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nTests Falcon et IF'),
(7854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nVie des environnements : création des comptes contact'),
(7855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nPassage des cas de tests Hasard, Edwan, Mobi version 3.3.6 pour hasard et edwan et 3.1.8 pour MOBI\r\nDans le cadre de la MEP Bingo'),
(7856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nVie des environnements : création des comptes contact'),
(7858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nRecette HPPC 12.53 : exécution des plans de test'),
(7859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nVie des environnements : création des comptes contact'),
(7860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nVie des environnements : création des comptes contact'),
(7861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nPassage des cas de tests Hasard, Edwan, Mobi version 3.3.7 pour hasard et edwan et 3.1.9 pour MOBI + passage de tt les cas de tests suivant les livraisons qui vont arriver dans la journée\r\nPassage en CAB prévu ce jour\r\nDans le cadre de la MEP Bingo'),
(8026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n-Rédaction du manuel d\\\'installation ABP (Back, Front et mobile)\\n-Installation de la version PSMS sur INT 5\\n-Repasse des testes d’acceptantes pour la version 14.1.23.OLYMPIA-SNAPSHOT 474 avec les nouvelles livraison WSPO'),
(7863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n[OLYMPIA] ALM - Complement Test MUGO - Capture Flux\r\n[OLYMPIA] Validation des anomalies\r\n '),
(7869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n[OLYMPIA] ALM - Tests MUGO \\n[OLYMPIA] Validation des anomalies\\n[OLYMPIA] Support recette / automatisation INT3\\n[OLYMPIA] Investigation pb de sessions concurrentes sur boutique détaillant'),
(8027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n-Repasse des testes ALM d’acceptantes pour la version 14.1.23.OLYMPIA-SNAPSHOT 474 avec les nouvelles livraison WSPO \\n\\n-Rédaction du manuel d\\\'installation ABP (Back, Front et mobile)'),
(8110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n[OLYMPIA] ALM - Tests MUGO \\n[OLYMPIA] Pb sesssions concurrentes - contact F. Verdier'),
(7870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nFormation Fiddler - Benjamin AUBERTEL'),
(8069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n[PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT4]: Suite campagne + Bug Fixing (Ano SVA + Ano RDU)'),
(8070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n[PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT4]: Suite campagne + Bug Fixing (Ano SVA + Ano RDU)'),
(8028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n-Rédaction des Tests ALM  : 04 - INTEGRATION SYSTEME/BPS.057.31 OLYMPIA/01 - IQ SPORT/14-1-23-OLYMPIA-474/01 - Gestion Offre Retail Live/03 - Publication Offre/02 - Suppression de publication/\\n5 cas de teste avec 5 steps \\n-Passage de Tests ALM : 02 - Suppression de publication\\n\\n------------\\nPoints d\\\'attention :\\nProblème DNS sur la LiveBox Orange qui rente impossible l\\\'utilisation de l\\\'application Parions Direct : problème contourné vers 16h avec un passage des IPs en statique et utilisation des DNS Google 8.8.8.1'),
(8072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n[PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT4]: Suite campagne'),
(8071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n[PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT4]: Suite campagne'),
(7877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\n[PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT4]: Suite campagne'),
(7878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n- Réunion de suivi sport\\n- Réunion de mise en place d\\\'une activité sport sur la vie des environnement\\n- Analyse problème erreur lors de l\\\'appel au Market_Changes avec l\\\'équipe IQ SPORT'),
(8076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n-Passage de Tests ALM : 02 - Suppression de publication\\n                                            : publication des pris via le flux betradar\\n- Support Performance : analyse perf  PSMS'),
(7881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n- Création du répertoire de sauvegarde du contexte suite à la création de l\\\'offre mainbook en manuel sur INT4 ( Erreur lors de la création via le robot car il n\\\'y avait plus d’espace disque)\\n- Formation Fiddler\\n- Atelier transfert de connaissances avec les responsables perf sur les script FeedRealy\\n-  Atelier transfert de connaissances PDJ Olympia'),
(8077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nRédaction des Tests Spécifiques : Test de Purge des BDDs ABP'),
(8037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n- Mise en place des cas de test et des campagnes activité Olympia sur le Robot SPORT\\\\n- Atelier de suivi vie des environnements\\n- Validation des campagnes sur INT1'),
(7884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nTravail sur le Moteur de Contrôle de GTOP --> problème de pointeur lié à une table mal alimentée (GTOP_FILE_INFO)'),
(7885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nTravail sur le Moteur de Contrôle de GTOP --> problème de pointeur lié à une table mal alimentée (GTOP_FILE_INFO) / Echange et analyse avec le développer. + Point sur les campagnes ALM + Ajouts de cas.'),
(7886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nTravail sur le Moteur de Contrôle de GTOP --> problème de pointeur lié à une table mal alimentée (GTOP_FILE_INFO) --> Il faut corriger l\'environnement d\'intégration pour être isoprod. + Reproduction du cas d\'anomalie sur les virements mixn après forclusion (agrément 12=Paiement après forclusion).'),
(7887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nTest du correctif de l\'ANO037173 portant sur l\'impossibilité de payer par virement après forclusion. + Point sur le palier de décembre avec jérome Ladret (ATOS) et les équipes impliquées dans le projet (DEV/INTEG etc)'),
(7888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nReproduction de l\'environnement de PROD en intégration, point sur l\'activité, et complétude de la documentation.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(7989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nTest digishop-R labo & écriture CT blocage CC'),
(7890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nStabilisation de l\'API'),
(7891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nCorrections de scripts DigishopU'),
(7983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nDéveloppement des scripts DigishopR'),
(7897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nDéveloppement des scripts DigishopR'),
(8162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\n- Mise en place vie des environnements sport PDJ Olympia\\n- Mise en place vie des environnements digital PDJ Olympia'),
(7997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nComité de pilotage avec Valérie Le Roux'),
(7998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nCampagne OLYMPIA INT1\\nConstruction Campagne PSMS (Evolution)'),
(7999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nCampagne NonReg OLYMPIA INT1\\nCampagne NonReg PSMS INT4'),
(8001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nSuivi avec Raphaël'),
(7903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nolympia run'),
(7904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nrun olympia'),
(7905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nPoint IF Auto\r\nBlocs Digishop R\r\nFormation Fiddler\r\n'),
(7907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nRevue scripts Vide des envts\\nRevue scripts Digishop R\\nFinalisation blocs Digishop R'),
(7909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nFinalisation scripts Digishop R\r\nListe API BOIF\r\nEvol arch scripts monoblocs pour amélioration de sécurité d\'emploi'),
(8002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nPréparation blocs API BOIF\\nValidation scénario Digishop R'),
(7911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nCampagne de non-reg INT1'),
(7912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nCampagne de non-reg INT1'),
(7913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nCampagne de non-reg INT4'),
(7914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nCampagne de non-reg INT1'),
(7915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nCampagne de non-reg INT4'),
(7917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nRéunion Stream Coco'),
(7918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nFormation Fiddler'),
(7919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nTests PJ suite MEP (souci sur MIG)'),
(8018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nInstallations et tests :\\\\nMIG 2.3.0 - FDL014587 - INT1 (Conformité)\\\\nMIG 2.2.6 - FDL014653 - INT8 (Bingo)\\\\nDigishop U 2.1.13 - FDL014604 - INT4 (Keno)'),
(7932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nRédaction cas de tests PMD / Defi / Conformité'),
(7923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nWebex Projet Bingo RWD\r\nWebex Stream Coco - Bug review'),
(7925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nRédaction des nouveaux cas de tests Olympia Compte Contact : Accounts & Sessions'),
(7926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nRédaction des nouveaux cas de tests Olympia Compte Contact : Accounts & Sessions'),
(7927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nRédaction des nouveaux cas de tests Olympia Compte Contact : Accounts & Sessions'),
(7928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nRédaction des nouveaux cas de tests Olympia Compte Contact : Accounts & Sessions'),
(7929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nRédaction des nouveaux cas de tests Olympia Compte Contact : Accounts & Sessions'),
(7930, '- Le contrôle sur la raison sociale d\'un organisme n\'est pas sensible à la casse.\r\n\r\n- \"Mairie de tours\" et \"Mairie de Tours\" sont censées exister en BDD d\'ou le message d\'erreur \"La raison sociale renseignée est déjà existante\".\r\n\r\n- La modification n\'est pas prise en compte'),
(7931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nMAJ Documentation'),
(7946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nInvestigation pour régler le problème de lancement de l\\\'application parionsdirect IOS 1.0.010 --> Modification du catalogue mapi parionsdirect --> OK\\nDéploiement et vérification de la configuration apache spdv sur les frontaux d\\\'intégration.'),
(7935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nBug review (OLYMPIA) + US STREAM (SPORT FRONT) + revue des anomalies soumises avec Mireille.'),
(7936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nInstallation bingo sur int5 + debugging + tests sur bingo et wof'),
(7937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nPrésentation outil Fiddler de Telerik.'),
(9331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nRédaction cas de test sur les PDJs Retails avec plusieurs outcomes'),
(7939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nFDL014629 + FDL014637.'),
(7940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nIntallation PSMS sur INT7 avec Raphael.\r\nPréparation campagne nouvelles fonctionnalités (cycle 14-1-23-OLYMPIA-474).'),
(7941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nFDL014645. + FDL014649.'),
(7942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nExécution campagne 14-1-23-OLYMPIA-474'),
(8128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nExécution campagne 14-1-23-OLYMPIA-474'),
(7944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nrepetition bingo + maj wof Int1'),
(7945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\ntests useragent sur illiko et applimaitre + qualifs ano'),
(7948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nCampagne de test FRONT pour les nouvelles évolutions PSMSv1 sur la Web, Mobile e Tablette;\r\nCréation d\'offre MainBook et Live manuellement (Avec la toolbar ABP) sur INT4 pour la réalisation des tests;\r\n '),
(8044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nCampagne de Tests Front ALM sur NT4 de PSMSv1 (Site: fdj2-master-29 et Mobile: 193) > Chemin ALM: Releases > BDI.076.30 > site-fdj2-P165-master-29_PSMS > site-fdj2-P165-master-29_PSMS;\\\\nValidation ARJEL et ETL des nouveaux markets ABP Offre sur INT4'),
(7950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nCampagne ORCHESTREE  multi jeux MOTORS \r\n'),
(7951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nCampagne ORCHESTREE  multi jeux MOTORS (8 JEUX)'),
(7952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nCampagne ORCHESTREE  multi jeux MOTORS (8 JEUX)'),
(7953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nCampagne ORCHESTREE  multi jeux MOTORS (8 JEUX)'),
(7957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nInstall-Day projet Olympia\\nQualification de FDL014655 (PSD Android 1.0.019) --> Accepté\\\\nQualification de FDL014658 (PSD IOS 1.0.012) --> Rejeté\\\\nQualification de FDL014663 (PSD IOS 1.0.013) --> ????\\\\nCréation des anomalies : ANO043917 &\\\\nSi temps disponible test intégration et ALM'),
(7963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nAnalyse campagne Digishop U Non Reg 2.1.13 Falcon 2.2.8 sur INT2'),
(7964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nAnalyse Non Reg Digishop A 2.1.14, I 2.1.8 et U 2.1.11 sur Falcon 2.3.2-1 sur INT1'),
(7965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(7966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(7967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(7968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(7970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n[OLYMPIA] Construction d\\\'une requête sous ALM pour extraire les cas de tests non liés à des exigences\\n[OLYMPIA] Couverture des exigences fonctionnelles existantes par les cas de test'),
(7976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n[OLYMPIA] Point sur l\\\'avancement à date du projet Olympia sur le CDS\\n[OLYMPIA] Atelier cas de tests Olympia côté détaillant\\n[OLYMPIA] Exécution de la campagne de test \\\"B- RUN01  IQ Digital BACK\\\"'),
(7975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\n[OLYMPIA] Suite de l\'exécution de la campagne de tests \"B- RUN01  IQ Digital BACK\"'),
(7991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nFin écriture CT Olympia CC relatifs à la gestion du TOKEN d\\\'identification'),
(7990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nPassage sur tous les CT olympia CC - lien avec exigence + écriture de quelques cas oubliés'),
(7982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nReunion + Rédaction PT CONFORMITE ARJEL'),
(7993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nRédaction PT CONFORMITE ARJEL'),
(7996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nExécution campagne Olympia CC INT3'),
(8168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nExecution Tests Presto'),
(8082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nSuppression de resttemplate, utilisation de jersey pour faire les appels WS. L\'exception etait généré par l\'instanciation du client resttemplate.'),
(8006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nPresto : Analyse et qualification '),
(8393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nPTAB : Installation de la FDL014614  sur INT8 + cas de test et repro INT4 et INT3'),
(8394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nPhase de qualification PRESTO 2.12.1-p2 et problematique Presto en cours de résolution sur INT8'),
(8395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nPhase de qualification Ptab'),
(8010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n- support recette pour portail tablette sur INT2\r\nproblèmes d\'accès à la version tablette lié au proxy et page blanche sur l\'inscription\r\n- Mise à niveau environnement de perf pour tirs\r\n3.1.2_edwan	FDL014428\r\n3.2.7_hasard	FDL014570\r\n3.3.4_edwan	FDL014583\r\n3.3.4_hasard	FDL014585\r\n3.1.6_mobi	FDL014592\r\n3.3.5_edwan	FDL014623\r\n3.3.5_hasard	FDL014624\r\n3.1.7_mobi	FDL014625\r\n- Installation livraisons Bingo INT8\r\n3.3.5_edwan	FDL014623\r\n3.3.5_hasard	FDL014624\r\n3.1.7_mobi	FDL014625\r\n- mise à jour modop MEP Bingo'),
(8011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n- Installation livraisons correctives Bingo INT8\r\n3.3.6_hasard	FDL014640\r\n3.1.8_mobi	FDL014641\r\n3.3.6_edwan	FDL014642\r\n- Mise à jour environnement de perf INT5\r\n3.3.6_hasard	FDL014640\r\n3.1.8_mobi	FDL014641\r\n3.3.6_edwan	FDL014642\r\n- support Bingo environnement de recette, erreur 500 maj de contribution métier'),
(8012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\n- conf call procédure de rollback Bingo'),
(8014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n- Mise à jour modop MEP Bingo\r\n- Mise à disposition modop de Rollback Bingo\r\n- Installation livraison Bingo\r\n- problème d\'affichage de caractères sur livraison mobi\r\n- qualification livraisons Bingo'),
(8015, 'En place sur SecurityClientImpl.java'),
(8016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n- formation Fiddler'),
(8017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n- répétition MEP Bingo\r\n- répétition retour arrière Bingo\r\n- Point projet avant le CAB Bingo\r\n- ouverture ANO043930 affichage des caractères CMS edwan\r\n- mise à jour niveau INT1 palier RUN, VSR, Bingo pour Olympia\r\n3.1.1_edwan	FDL014354\r\n3.0.16_hasard	FDL014152\r\n3.1.1_mapi	FDL014355\r\n3.0.5_mobi	FDL014215\r\n3.1.2_edwan	FDL014428\r\n3.2.7_hasard	FDL014570\r\n3.1.4_mapi	FDL014508\r\n3.3.6_edwan	FDL014642\r\n3.3.7_hasard	FDL014647\r\n3.1.8_mobi	FDL014641'),
(8032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nenvironnements 16.1 3en1 QUAL'),
(8043, 'Pas un bug.'),
(8039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\n- Validation des campagnes sur INT1\\n- Ajout script Mify \\n- Mise en place requête de vérification des lives.'),
(8040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nEvolution des scripts Falcon pour gestion attributs spécifiques Comptes contact'),
(8041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nCampagnes orchestrées Multi Jeux MOTORS'),
(8045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nCampagne de Tests Front ALM sur NT4 de PSMSv1 (Site: fdj2-master-29 et Mobile: 193) > Chemin ALM: Releases > BDI.076.30 > site-fdj2-P165-master-29_PSMS > site-fdj2-P165-master-29_PSMS;\r\nValidation ARJEL et ETL des nouveaux markets ABP Offre sur INT4\r\n\r\nDifficultés: \r\n- Pas assez de devices pour réaliser les tests\r\n- La box marche 1/10 fois, la connexion est très lente\r\n- Le site PSEL a des comportements très différents sur les mobile/navigateur, ça que gère beaucoup de scenarios à tester\r\n- Difficulté de reproduire les erreurs sur les mobiles et de valider les anomalies '),
(8046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nInvestigation Acceptance RTG 2.2.7-1, instabilité INT3'),
(8047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nInvestigation Acceptance RTG 2.2.7-1, instabilité INT3'),
(8048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n- Continuation des MAJs des descirptions des steps de chaque cas de test d\\\'acceptance USR 2.3\\n- MAJ des requêtes SQL de sélections de joueurs & GEN DB REQUEST qui n\\\'étaient pas  adaptés'),
(8049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\n- Continuation des MAJs des descirptions des steps de chaque cas de test d\\\'acceptance USR 2.3\\n- MAJ des requêtes SQL de sélections de joueurs & GEN DB REQUEST qui n\\\'étaient pas  adaptés'),
(8051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nAcceptance nominale USR 2.3 INT7'),
(8052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\nAcceptance nominale USR 2.3 INT7'),
(8053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\nAcceptance nominale USR 2.3 INT7'),
(8054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nAcceptance nominale USR 2.3 INT7'),
(8055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-02  (Do not remove this line) -->\nNON REG RTG 2.2.8 & USR 2.3'),
(8056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nNON REG RTG 2.2.8 & USR 2.3'),
(8057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nNON REG RTG 2.2.8 & USR 2.3'),
(8058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-08-31  (Do not remove this line) -->\nVie des environnements'),
(8060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nTest périmètre des TDB PHA & convention/avenants/BA '),
(8061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nSéparation de la partie batch pour les tableaux de bord'),
(8062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nAnalyse d\'exception & blocage au niveau du traitement de la maj des entitées & Gestion d\'une exception nécessitant une connexion utilisateur'),
(8066, 'utilisation de jointure externes à creuser'),
(8067, 'NOTE 1 : Petite dérive de la tâche du à une erreur sur le fichier de majapres_j2ee fournie par l\'équipe ServApp qui nous a contraint de faire une seconde livraison après avoir reçu un correctif de ce majapres_j2ee.'),
(8068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n[Portugais] + [PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT6]: Suite début campagne sur INT6'),
(8073, 'Descriptif et libelle de ce ticket est à revoir.\r\n\r\nMerci \r\n\r\nBME'),
(8074, '=> a verifier la date doit être correcte en base\r\n\r\nBME'),
(8075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nRenommage pha-scheduler -> pha-entities-scheduler'),
(8078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nCampagne AUTO KENO ATLANTIA (MOTORS)'),
(8079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nCAMPAGNE AUTO KENO ATLANTIA (MOTORS)'),
(8083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nAjout contrôle instance de la convention null sur méthode isDisplayFirstAdmin de ConventionMB (ne devrait pas arriver, log error dans ce cas)'),
(8085, 'Cette exception est due aux tests des batchs de PHA sur la plateforme. La périodicité de lancement du batch de mise à jour des entités PHA a généré un trop grand nombre d\'appels simultanés sur la base de donnée, provoquant un crash des appels à cette même BDD.'),
(8086, 'activité terminée'),
(8087, 'activité terminée'),
(8088, 'activité terminée'),
(8089, 'activité terminée'),
(8090, 'activité terminée'),
(8091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\n- préparation du support pour le retour des caf'),
(8092, 'Voir avec laurene pour le suivi de tous ces points'),
(8093, 'Pas résolu => regarder dans signaler un impayé'),
(8094, 'Merci libelle plus clair\r\nBME'),
(8095, 'A mettre en RC5 car meme ticket que le 15248 et 15257 mais pas le meme ticket SAXO\r\nBME'),
(8096, 'A001 - Arrêt des log dans les fichiers  :  lors du redémarrage des applications PHA/PCA/PPS la production des logs ne redémarre pas. \r\n Problème remonté par l’équipe de développement sur l’environnement d’intégration Websphere. Ce problème n’apparaît pas sur l’environnement de développement.\r\n\r\nActions à effectuer : reconfiguration des logs :\r\n•	utilisation du : cnaf.framework.log4j.CustomDailyRollingFileAppender\r\n•	log4j.appender.fichier.File=../../LogApps/Today/XXX/AppsOutApppie_%p.log le paramètre %p est associé au paramètre -DServerName\r\n \r\nLa documentation est disponible ici :\r\nhttp://referentielsi.intra.cnaf/wikiSI/index.php?title=Infrastructures/Guides_techniques_transversaux/G%C3%A9n%C3%A9ralit%C3%A9s/Utilisation_de_la_log\r\n\r\nEdit : Après application des paramètres préconisés par Nicolas, le problème est toujours présent.\r\nNous constatons toutefois une différence d’ordre des classloaders Websphere pour nos applications entre le serveur d’intégration et de recette. Le paramétrage PARENT_LAST ne semble pas s’appliquer correctement sur l’intégration.\r\n\r\n@Nicolas Goubeau : peux-tu STP transmettre ces éléments aux équipes en charge des environnements ?\r\n'),
(8097, 'Peux-tu fournir une note à partager avec christophe pour revue.. puis au personnes concernéés (G.Cauvin , servapp, doit/dqT ?)\r\n\r\nMerci BME'),
(8098, 'A vérifier avec KEVIN'),
(8099, 'Etait en SP13 non affecté à une commande...\r\nVérification demandée :\r\n\r\n\r\nBME\r\n'),
(8104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nMontée en compétence générale, déménagement, accés aux outils'),
(8105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nPremier contact avec Mantis et ALM, Prise de connaissance sur RTC Gconf'),
(8106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nWorkshop avec Jeremy sur la GConf + analyse et controle des commit'),
(8103, 'Lié au plan d\'action constat T#08'),
(8107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nAprès analyse,\r\nle problème ne provient pas d\'une de nos applications.\r\nClôture du mantis pour manque d\'information. Pas de solution dans l\'immédiat.'),
(8122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nTeste de validation ARJEL et ETL des nouveaux  markets Football et Tennis (INT2);\r\nFinalisation de campagne de tests ALM sur INT4 (site: fdj2-master-29 et mobile: 193)\r\n'),
(8111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nALM : Application détaillant - captures / redaction / exécution'),
(8171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nDev scripts automatisés et maj API pour Falcon USR 2.3'),
(8379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nPoint palier Décembre\\nBlocs BO IF\\nScripts USR 2.3 CC'),
(8173, 'Test en local le 23/11/2016: \r\nImpossible a reproduire les BA avec une date de cloture a j sont bien setter\r\n\r\nTest sur la PI le 23/11/2016 :\r\nIdem qu\'en local les BA sont bien clôturés\r\nTest effectué avec le compte (CAF88801OS, P@ssw0rd06!), la convention concernée est \"conv sas 2\" et le bulletin d\'adhésion est bien cloturé.\n\n'),
(8115, 'Cloture du ticket, doublon, la réponse a été donnée au client.'),
(8116, 'Le problème de log a été résolu avec la configuration des modules avec un classloader en parent_last. Le GID a été MAJ'),
(8117, 'Bonjour,\r\n\r\nNous avons réalisé, conjointement avec Sébastien et Romain, l’évaluation du temps de travail nécessaire à la mise en place de tests sur les cascades ainsi que du développement nécessaire à la sécurisation du batch PHA :\r\n\r\n-	Dev 2 jours\r\n-	Tests 6 jours ( à retravailler)\r\n'),
(8118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nPositionnement du classloader des modules en parent_last'),
(8120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nFinalisation de campagne de Test ALM PSMSv1 (tests de settlement);\\nValidation ARJEL et ETL des nouveaux markets;'),
(8126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nRun Olympia'),
(8124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nrun olympia'),
(8125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nrun olypmpia'),
(8296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nCampagne Non reg PSEL  INT4'),
(8129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nExécution campagne 14-1-23-OLYMPIA-474'),
(8130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nExécution campagne 14-1-23-OLYMPIA-474\r\nRédaction cas de tests Export ETL'),
(8131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nRédaction cas de tests Export ETL'),
(8132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nModification apporté sur la vue subscriptionForm pour l\'adapter à chaque contexte (détail, edition, creation, mode convention invalide...) + au niveau du SubscriptionMB'),
(8133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nCompilation applis IOS loto/euromillions\r\nFDL014692 + FDL014693 + '),
(8365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nFDL014701 + FDL014704'),
(8354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nSupport Nyx/dev\\\\ncoproj\\\\ntaskforce\\\\ninstallation 1.1.121.55290'),
(8355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nCampagne de test manuel sur mobile : RWD - Release 1.1.121.55290 - Samsung Browser - Samsung A3 Portrait'),
(8141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 1970-01-01  (Do not remove this line) -->\ntaskforce'),
(8142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 1970-01-01  (Do not remove this line) -->\ncoordination qualif transverse'),
(8143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 1970-01-01  (Do not remove this line) -->\ncoordination qualif transverse'),
(8145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 1970-01-01  (Do not remove this line) -->\ncoordination qualif transverse'),
(8356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nCoordination qualif transverse'),
(8357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\ninstall int5\\nPoint sur le cache Bingo avec Claude\\nreporting\\nparametrage des musique int8/5'),
(8265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nRédaction des Tests ALM : \\\\\\\\n- Tests des logs : 5 Steps\\\\\\\\n- Tests d’archivage des logs : 5 Steps\\\\\\\\n- Métriques applicatives :5steps \\\\\\\\n\\\\\\\\n analyse perf  PSMS'),
(8264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nanalyse perf  PSMS\\\\nRédaction des Tests ALM : \\\\n- Tests des logs : 5 Steps\\\\n- Tests d’archivage des logs : 5 Steps\\\\n- Métriques applicatives :'),
(8154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nAnalyse Non Reg Digishop I 2.1.8 sur Falcon 2.3.2 sur INT1. Analyse Non Reg Digishop U 2.1.11 sur Falcon 2.3.2 sur INT1'),
(8155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nAnalyse Non Reg Digishop U 2.1.11 sur Falcon 2.3.2 sur INT1'),
(8156, 'HP ALM - Création des cas de tests\r\n\r\n1. Conventions > Cas nominaux : terminé\r\n2. Conventions > Annulation : terminé\r\n3. Conventions > Cas d\'exception : terminé\r\n4. Conventions > Modif convention valide - annulation : terminé\n\n'),
(8157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nSupport sur les corrections d\'anomalies'),
(8161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nDéveloppement du script MAPIGetPdv'),
(8163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n- Mise au point API Olympia\\n- Traitement de la demande d\\\'évolution pour les scripts PDJ_PS_WEB_LivePlaceBetslip, PDJ_PW_WEB_Controlee, PDJ_Mify_Controlee et Olympia_LivePlaceBetslips afin d\\\'ajouter les côtes en sortie.'),
(8164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nAnalyse de l\'existant : réelle complexité sur la gestion des requetes (multi cas / multi jointures)'),
(8165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nProcess de delivery en Intégration (PI) et analyse de la PIC'),
(8166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nAnalyse de l\'existant'),
(8436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nMise au point des 25 scripts Mify'),
(8183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nDev API MOCK  ITF MOTORS pour préparer le script  ITF Motors Mocké'),
(8197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nRédaction cas de tests nouvelles fonctionnalités Olympia.\\n- PriceChangeMode\\n- Publication matchs imminent\\n- Arrondi des côtes'),
(8174, 'Test en local le 23/11/2016 : \r\nImpossible a reproduire Lors de la cloture de tout les BA d\'une convention et sa validation, la convention passe bien en statut cloturé.\r\n\r\nTest sur la PI le 23/11/2016 :\r\nIdem qu\'en local les BA sont bien clôturés\r\nTest effectué avec le compte (CAF88801OS, P@ssw0rd06!), la convention concernée est \"conv no del\" qui est passé au statut cloturé apres cloture de tout ses BA.'),
(8175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nMaj Documentation\r\n[COHERIS] Avancement des sujets'),
(8176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nMOD010413  : [COJO] Intégration du commentaire du pli dans les champs AF_REMARQUE et AF_REM2\r\nEvolution chargement PDV avec table de LOAD\r\nFDL014709   : [COJO]  [CRM2] Livraison objets Oracle CHARGEMENT FULL pour COJO  \r\n'),
(8201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n[PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT4]: Suite et Fin campagne (nouveaux UseCase Late Bets)'),
(8178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nFonctions et blocs RTL\r\nConnexion BO IF'),
(8378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nPoint IF Automatisation\\nFinalisation connexion CC RTL\\nEssais sur Get challenge sur RTL'),
(8229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nTest d\\\'acceptance Digishop A 2.1.15 sur Falcon 2.2.8 sur INT8 et Analyse. Test d\\\'acceptance Digishop U 2.1.14 sur Falcon 2.2.8 sur INT8'),
(8181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\n23/11 : presentation équipe sur la solution BA + Support'),
(8185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nAtelier automatisation ITF'),
(8187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nDev API MOCK ITF MOTORS + paramétrage env MOCK ITF + mise au point du script  ITF Motors Controle'),
(8188, 'PHA : ajout de la configuration pour exclure le code généré de Sonar'),
(8189, 'Le code ne peut pas rester ainsi. L\'email est envoyé avant de faire la mise à jour en base de données !! De plus, il y a de multiples try catch et raisons d\'échec avant la MAJ en BDD.\r\n\r\nEnfin en terme de responsabilités des couches de traitement, l\'envoi du mail doit être effectué dans la méthode invalidateConvention.'),
(8190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nTests Falcon et IF'),
(8191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nTests Falcon et IF'),
(8260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nRéunion tests auto'),
(8195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nTests Falcon et IF'),
(8259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nQualification anos suivantes dans le cadre des sessions Bug review :\r\n- ANO042359\r\n- ANO038167\r\n- ANO039831\r\n- ANO038638\r\n- ANO042907\r\n- ANO039712\r\n- ANO042494 \r\n'),
(8198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\n[OLYMPIA] \r\n- ANO043847 critique - reproduction avec recette + capture des logs + analyse\r\n- Analyse pb de déconnexion détaillant => contextes pdj multiples autommatisation\r\n+ atelier F. Verdier pour explication fonctionnement cookies sessions\r\n- Tests tablettes détaillant + boutiques\r\n\r\n'),
(8199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\n[PSMS_V1] [ABP 14.1.27-SNAPSHOT / b2771 / INT4]: Suite campagne'),
(8200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nCréation d\'offre mainbook et live manuel pour la validation des nouveaux markets tennis au niveau ARJEL et ETL pour ABP Offre '),
(8206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\n[PSMS_V1]: ALM / Mise en Forme nouveaux tests / Late Bets + [Portugais]: Creation nouvelle Offre / Janvier 2017+ [Test Auto]: Déploiement Template Basketball avec Live'),
(8375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nValidation ARJEL et ETL des nouveaux markets (Tennis et Football);\\nRéunion avec Fabien et Raphael pour définir les campagnes de tests ALM Sport : PSEL, PSMS, OLYMPIA (11h à 12h et de 15 à 16h);'),
(8204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\n[Test Auto]: Déploiement Template avec Live'),
(8458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\n[AML]: Ecriture des tests PSMS'),
(8335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(8336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(8337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(8210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nExécution tests Batch palier Olympia'),
(8211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nCorrection de scripts DigishopU'),
(8212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nCorrection de scripts DigishopU'),
(8213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nMise à jour environnement Mapi'),
(8214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nModification des proxys des scripts Digishop + Mise à jour suivi / Confluence. '),
(8215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nModification des proxys des scripts Digishop + Mise à jour suivi / Confluence. '),
(8216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nFDL014738  : [COJO]  [CRM2] Livraison Partielle objets Oracle MOD010423 COJO '),
(8217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nMaj documentation pour BI4BO'),
(8367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nPRESTO : Présence du dev.  pour résolution problème d\\\'aggregation des fichiers'),
(8273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne de test : 6 tests\\n[OLYMPIA] Conformité : écriture 3 cas de test\\n[OLYMPIA] ANO044055 : [ARJEL REGLEMENTAIRE] Absence de trame R2 sur rectification de date de naissance'),
(8222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nEvolution MOD010423'),
(8368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nPTAB : Création du MODOP pour repet HIA projet Bingo'),
(8377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nBlocs Falcon RTL\\nAnalyse du panorama des services exposés sur le BO IF pour réunion d\\\'orientation\\nAnalyse des pbs de timing d\\\'appel du BOIF'),
(8272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne de test : 3 cas\\n[OLYMPIA] ANO044067 [ARJEL REGLEMENTAIRE] Le joueur ne peut pas confirmer ou faire une contre-proposition à une rectification\\n[OLYMPIA] ANO044082 [ARJEL REGLEMENTAIRE] Absence de trame R2 sur validation contre-proposition des données personnelles'),
(8232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\n- Projet BINGO RWD / INT8 : installation + tests pour MAG 2.1.35 et MUG 2.5.4'),
(8233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nAnalyse acceptance Digishop A 2.1.15 sur Falcon 2.2.8 sur INT8. Analyse acceptance Digishop U 2.1.14 sur Falcon 2.2.8 sur INT8'),
(8369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nPRESTO : Recherche sur probleme d\\\'aggregation Drupal'),
(8376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nBlocs BOIF'),
(8236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nAnalyse Non reg Digishop A 2.1.15 sur Falcon 2.2.8 sur INT8. Analyse Non reg Digishop U 2.1.14 sur Falcon 2.2.8 sur INT8'),
(8237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nDebug INT7 (planté) - problème de génération du tar.gz de conf de Digishop'),
(8238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nWebex Plan de MEP Bingo RWD'),
(8370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\npTAB : Installation et qualification de pTAB version 2.13.1 Projet Bingo\\\\nFDL014714'),
(8241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nDémo Olympia Desktop'),
(8242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nTravail sur GTOP/MDC et production documentaire'),
(8243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nBug Review - Stream Coco'),
(8244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nTravail sur GTOP/MDC et production documentaire. --> Tentative de dump de BDD et analyse des erreurs.'),
(8245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nTravail sur GTOP/MDC et production documentaire --> Ecrasement de la base de données, réinitialisation et travail sur le MDC (tjs en erreur, analyse des anomalies et remontée dev)'),
(8373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n[OLYMPIA]\\n\\n- Qualification MUG\\n- Validation anomalies\\n- Support recette'),
(8325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\n[OLYMPIA]\\\\n\\\\n- Qualification MUG\\\\n- Validation anomalies\\\\n- Support recette\\\\n- Préparation tablette détaillant pour INT3 avec IQ EPDV (pb de version déployée et de configuration du clavier virtuel)\\\\n'),
(8267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nNon reg PSMS'),
(8249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nNon reg PSMS'),
(8250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nNon reg PSMS'),
(8251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nNon reg PSMS INT4 + Non reg Olympia INT3'),
(8268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nNon reg Olympia INT3'),
(8253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nNon reg Olympia INT3'),
(8254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nVSR - INT8 : install et test MUG 2.3.38'),
(8255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nTests Falcon et IF'),
(8256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nRédaction cas de test PMD / DEFI / CONFORMITE + point Philippe à ce sujet'),
(8257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nTests sur Correctifs PJ dans Digishop (Mohamed)'),
(8258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nConf Apache INT7 (Michel Puech)'),
(8262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nInstallations et tests pour les composants suivants :\\n- Digi A 2.1.15\\n- Digi U 2.1.14\\n- MAG 2.1.36\\n- MUG 2.5.5'),
(8263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nChangement de configuration et réinstall des Digishops sur INT2 suite màj Falcon USR (problème d\'authen remonté par le sport)'),
(8349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nRajout et exécution de cas de test au RUN 09 CDS ATOS_PRESTO_V 1.11.0- INT8 Poule pour mieux l\\\'étoffer.'),
(8269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nFDL014716 + FDL014715'),
(8270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n[OLYMPIA] Réécriture de cas de test : 4 cas\r\n'),
(8271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\n[OLYMPIA] Exécution de cas de test : 19 cas'),
(8350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nRe test de quelques fiche anomalies, et tentatives tant bien que mal à réaliser quelques tests.\\nPS:\\nProblèmes d\\\'environnement toute la journée. \\nSur int8:\\nL\\\'équipe du DEV travaillait dessus, ils ont fini vers 16h à peu près \\nINT2:\\nProblème technique du coté d\\\'AEGIS, qui a duré jusqu\\\'à 16hà peu près \\n\\nVOIR MES MAILS DE MARDI 22/11/2016'),
(8275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\n[OLYMPIA] Réécriture de cas de test\r\n[OLYMPIA] Enrichissement des anomalies\r\n[OLYMPIA] Exécution plans de test'),
(8276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\n[OLYMPIA] Exécution plan de test'),
(8277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nTravail sur la documentation'),
(8351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nExécution de la compagne d\\\'acceptation: IQ acceptance INT2 FDL014621 23/11/2016 pour le jeu La poule aux œufs d\\\'or.\\nPS: l\\\'installation du jeu la poule aux œufs d\\\'or objet du test de la journée en cours, n\\\'a été terminée qu\\\'a 11h15.\\nCommencement d\\\'un nouveau RUN10 sur ALM : RUN 10 CDS ATOS_PRESTO_V 1.11.0- INT2 Poule'),
(8440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nExécution du RUN 10 CDS ATOS_PRESTO_V 1.11.0- INT2 Poule\\\\\\\\\\\\\\\\nPS:Problème AEGIS toute la journée sur INT2( fin de journée vers 17:45), donc toute nouvelle PDJ Presto est impossible.\\\\\\\\nPS 2: Probablement rajout de cas de test à ce RUN, au besoin.\\nINT8, aussi était indisponible toute la journée.\\nEn attendant j\\\'ai cliqué de partout sur le site illikolive. j\\\'ai revu les PDJ qu\\\'on a pu faire hier( BDD, BOX,POM)'),
(8353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nExécution de nouveau cas de test dans le RUN 10 CDS ATOS_PRESTO_V 1.11.0- INT2'),
(8329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nRe constitution des campagnes de tests contenant tous les cas de tests TAggés pour les evolutions palier'),
(8330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nexecution des tests PMD'),
(8286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nFDL014688\r\n'),
(8331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nexecution des tests PMD sur INT3'),
(8332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nexécution des tests PMD     en Ecrivant ou Améliorant les cas de test à finaliser'),
(8333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nexécution des tests PMD     en Ecrivant ou Améliorant les cas de test à finaliser'),
(8334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nexécution des tests PMD     en Ecrivant ou Améliorant les cas de test à finaliser'),
(8762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nFDL014680'),
(8294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nFDL014728\r\nFDL014725.\r\nFDL014727.'),
(8307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nCamapgne PSMS INT4'),
(8308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nQualification ANO040825\\nETL'),
(8299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nVie des environnements comptes contact'),
(8300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nVie des environnements comptes contact'),
(8301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nVie des environnements comptes contact'),
(8302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\ntests migration hppc 12.53'),
(8439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nAnalyse problème Vie des environnement\\\\nAnalyse règles des arrondis\\\\nETL\\nAnalyse problème WRITER sur le resulting'),
(8304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\ntests migration hppc 12.53'),
(8310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nRéunion de suivi avec Raphaël'),
(8311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nInstallation PSMS sur INT8 de abp-14-1-2771'),
(8326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\n- Atelier FDL\\n[OLYMPIA] Atelier composant IHM avec techlead (CORS, Pb appName, sequence de flux)'),
(8315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nAvancement d’exécution (B- RUN01  IQ Digital BACK  ) – Partie Olympia Compte Contact - Inscription - Déclaration d’anomalies'),
(8316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nAvancement d’exécution (B- RUN01  IQ Digital BACK  ) – Partie Olympia Compte Contact - Inscription & authentification – Déclaration d’anomalies'),
(8317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nAvancement d’exécution (B- RUN01  IQ Digital BACK  ) – Partie Olympia Compte Contact -Authentification – Déclaration d’anomalies'),
(8318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nAvancement d’exécution (B- RUN01  IQ Digital BACK  ) – Partie Olympia Compte Contact - Authentification – Déclaration d’anomalies'),
(8319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nAvancement d’exécution (B- RUN01  IQ Digital BACK  ) – Partie Olympia Compte Contact -Authentification – Déclaration d’anomalies'),
(8320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nRéunion + création PT Conformité'),
(8321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nCréation PT Conformité'),
(8322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nCréation PT Conformité'),
(8323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nCréation PT Conformité'),
(8324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nCréation PT Conformité'),
(8371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\n[OLYMPIA] Install Day : Déploiements INT1\\n[OLYMPIA] ALM - tests - préparations campagnes acceptance\\n\\nFDL014733 - MAGO 1.0.10\\nFDL014732 - MIGO 1.0.2\\nFDL014734 - MUGO 1.0.2\\nFDL014676 - DIGISHOPU 2.1.14\\nFDL014674 - DIGISHOPA 2.1.15\\nFDL014633 - DIGISHOPR 1.0.3'),
(8396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nPreparation et livraison nouveau BOUCHON \\n\\n\\nFDL014747_Coheris_Oracle_OLYMPIA_CRM_Bouchon_F_5.4.1.0'),
(8338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nNouveaux cas de tests Olympia'),
(8346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nNouveaux cas de tests Olympia'),
(8340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nNouveaux cas de tests Olympia'),
(8342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nNouveaux cas de tests Olympia'),
(8343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nNouveaux cas de tests Olympia'),
(8361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nTest manuel IE (pas de campagne)\\nSuivi des anos\\nPV de qualif'),
(8362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nMEP phase 1\\nMaJ BOB int5'),
(8450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nCreation d\\\'un script pour le deploiement des sources du client nyx\\nInstallation Bingo Int4'),
(8364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nAno BOB règle du jeu\\nInstallation 1.1.101_54498'),
(8387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nBUG review (1h) + US review (1h) OLYMPIA'),
(8389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nDémo stream sport (téléphonique)'),
(8374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n[OLYMPIA] BUG Review');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(8391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nSupport recette (INT3)\\\\nAvancement/requalification des fiches Olympia\\\\nInstallation livraison FDL014740 (WSPO 1.0.21)\\\\nCampagne d\\\\\\\'acceptance WSPO 1.0.21\\\\nInstallation Edwan 3.4.1 et Mapi 3.3.2.'),
(8392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nSupport recette.\\\\nMaj test ALM projet OLYMPIA'),
(8388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nAvancement test Olympia.\\nSupport recette\\nRequalification des fiches'),
(8390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nSupport recette,\\\\nAvancement fiche anomalie.\\\\nMaj test ALM'),
(8397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\najustement parametrage client bingo'),
(8399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nParametrage salle de jeu\\\\nInstallation v1.1.113_54724'),
(8400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nsuivi Re7 '),
(8401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\npoint cloud Front'),
(8402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nSuivi  Re7 et Qualif'),
(8403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nPresto Preparation BR + suivi Re7'),
(8404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nreunion SMSI\\nMaJ test auto'),
(8405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nSuivi Re7 + BR'),
(8406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\n Suivi re7'),
(8407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-14  (Do not remove this line) -->\ncomité automatisation'),
(8408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\n- version edwan Olympia ko, pas de Zend Framework dans la livraison\r\n- réception et installation livraisons sur INT8, INT2, INT1, INT5\r\n3.3.8_hasard	FDL014669\r\n3.1.9_mobi	FDL014670\r\n- support affichage lobby Bingo ko suite livraison mobi, pb suite absence ApcGF.php\r\n- réception et installation correctif 3.1.10_mobi sur INT8, INT2, INT1, INT5'),
(9289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\n- support ANO044016 [HASARD][LOBBY BINGO] Manque les \\\"+\\\" de dépliement sur les onglets, pb lié au passage full hasard\\n- support ano régression edwan INT8, accès aux rubriques tags ko\\n- mise en service nouveau service Tirage mapi pour applimaitre\\n- analyse livraison full hasard et mobi palier bingo\\n- installation livraison bingo'),
(8411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n- réunion plan de MEP BINGO\\n- réunion point de synchro tests version full'),
(8412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n- campagne d\'acceptance technique 3.1.10_mobi\r\n- qualification ANO043930 pb d\'affichage des caractères accentués\r\n- maj doc swagger mobi_3.1.10\r\n- support composant mag, pb d\'affichage de la widget\r\n- maj configuration apache pour mapi, ajout du service Tirage'),
(8413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\n- installation livraisons bingo\r\n- support recette anos Bingo'),
(8414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\n- réunion point MEP sur les livraisons finales avec HIA, DM, CP'),
(9290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\n- préparation MEP Bingo avec HIA, mise en place des nouvelles rubriques pour mobi\\n- campagne de tests edwan version 3.3.7 pour la MEP Bingo\\n- maj doc swagger mapi olympia\\n- support recette pour ANO035596 Information incorrecte si promulgation Combinaison \\n- préparation des environnements pour les paliers Keno et Yellowstone'),
(8416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nMontée en compétence'),
(8427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\nMontée en compétence + Tests nouvelles fonctionnalités'),
(8426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\nMontée en compétence + Tests nouvelles fonctionnalités'),
(8425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nMontée en compétence + Tests nouvelles fonctionnalités'),
(8424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nMontée en compétence + Tests nouvelles fonctionnalités'),
(8423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nMontée en compétence + Tests nouvelles fonctionnalités'),
(8430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nMontée en compétence intégration'),
(8431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-04  (Do not remove this line) -->\nOlympia : Tests + rédactions tests nouvelles fonctionnalités'),
(8433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\n[Olympia] Rédaction cas de tests nouvelles fonctionnalités.\\\\\\\\n- '),
(8434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nanalyse partie TP'),
(8435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\n- Mise à jour script API Mify\\n- Réunion spécification pdj multiplex\\n- Atelier mise en place cas de test API mify'),
(8437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nAPI ITF : déplacement des requesters du Mock dans un sous dossier spécifique, vérfication et validation des modifications dans l\'API'),
(8438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nFalcon USR 2.3 : Correctifs dans l\'API et dans le script d\'automatisation PUT AccountsAccountEmail afin de pouvoir exploiter le retour du service, relivraison du script'),
(8441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nValidation ARJEL et ETL des nouveaux markets;\r\nCréation et actualisation des cas de tests ALM pour prendre en compte les évolutions PSMS;\r\n'),
(8443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nFDL014753 : [COHERIS] Mise à niveau des régles de certification dans le cadre de l\'ARJEL'),
(8444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nEcriture loader et tests de chargement de la table USR_CTR\r\nAmélioration Bouchon'),
(8445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-23  (Do not remove this line) -->\nVérification de la cohérence des change set par mise en place de contrôles croisés'),
(8446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nMise en place de contrôles croisés'),
(8447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\n- Dév nouveau service dans API Apollo\\n- Mise à jour Orchestration Résulting Apollo pour utiliser le nouveau service,\\n- Analyse erreur dans l\\\'exécution du script de PDJ PSEL MainBook.'),
(8448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nMise en place du tableau de synthèse des constats / actions'),
(8449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nITF : création d\'un cas de test pour tester le nouveau script ITF Motors Controlé, correctifs dans l\'API Motors'),
(8451, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPensez à fermer cette tache si Spec validée'),
(8452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nFalcon Palier de décembre : analyse des nouvelles versions USR\r\nDigishopA : Tests sur l\'appel du nouveau service oauth'),
(8453, 'Problème corrigé dans le work item RTC 11293.\r\n\r\n'),
(8454, 'Script SQL lié à fournir aux équipes d\'exploitation CNAF lors de la livraison\r\n\r\n(update_liferay_counter_increments.sql)\n\n'),
(8456, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n21/11 MAJ doc EF'),
(8457, 'Modif de code trouvé dans le WI 8667\r\nsur la RC4'),
(8459, 'Un seul change set pour les Mantis 0015396 et 0015710'),
(8460, 'Un seul change set pour les Mantis 0015396 et 0015710'),
(8461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\n- imputation PIL'),
(8462, 'Vu Said => OK'),
(8463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nCompilation Android + IOS des appli Loto-Euromillions-Illiko\\nFDL014688, FDL014689, FDL014690, FDL014691, FDL014692, FDL014693'),
(8464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nCompilation Android + IOS des appli Loto-Euromillions-Illiko\\nFDL014688, FDL014689, FDL014690, FDL014691, FDL014692, FDL014693\\n+ Installation La poule aux oeufs d\\\'or pour stream Illiko, FDL014621'),
(8465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nPoint synchro IQR Sport (10h à 11h30);\r\nValidation ARJEL et ETL des nouveaux markets (ABP Offre);\r\n'),
(8466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nBlocs BOIF MTRA bimodes\r\nPoint palier Décembre\r\n'),
(8467, 'Cloture de la tache (fin d\'alternance)'),
(8468, 'Réalisé sur saxo par S. Zerrouki le 04/10/2016.\r\n\r\n\"Bonjour, \r\n\r\nCe problème avait déjà été identifié par nos équipes et traité. \r\n\r\nLe correctif sera visible lors de la prochaine livraison du paquet\"'),
(8469, 'A prendre en compte dans le SP5'),
(8470, 'Je prends le point.\r\n\r\nJ\'implémente la fonctionnalité avec une requête SQL Custom.\r\nhttps://dev.liferay.com/develop/tutorials/-/knowledge_base/6-2/developing-custom-sql-queries'),
(8516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nPDJ Live\\\\nPurge Vie des environnement'),
(8472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nReunion suivi'),
(8473, 'Possibilité de modifier les roles sur les B.A non validés.'),
(8517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nAtelier de travail sur ETL avec Raphaël.'),
(8476, 'Tests du scheduler\r\n\r\nSaisie des tests sur les entités suite au passage du Scheduler:\r\n- Caf\r\n- Agents\r\n- Services\r\n- Habilitations\r\n- Organismes\r\n- Conventions\r\n- Partenaires\r\n- Bulletins\r\n(Groupe a été fait par Romain)'),
(8477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nTests Falcon'),
(8478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nTests Falcon'),
(8479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n[COHERIS] Avancement des sujets'),
(8480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nValidation des nouveaux markets (basket) ABP Offre; Vérification d\'erreur de création des nouveaux markets baskets: les nouveaux markets ne s\'affichent pas sur le site web sauf après un démarrage'),
(8669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nRédaction des cas de tests Parcours Joueurs sur le projet ALM Yellowstone.\\\\nModification des cas de tests pdj Loto2016 dans le projet ALM Olympia'),
(8661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nRédaction de cas de test des nouvelles fonctionnalités du projet Yellowstone (code Loto2016) dans le projet ALM Olympia.'),
(8487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nBlocs BOIF\r\npropagation cookie de session Retail\r\nFinalisation liste de services BOIF à scripter'),
(8489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nActions : Etat des lieux stream boutik \\nLivrables : Définition des Actions 1 à 5'),
(8490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nRéunion Falcon palier Décembre'),
(8491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nAction : Mapping service/test DU \r\nLivrable : couverture des services DU par les tests voir CDS AUTO_DashboardDigishop_Acc_V1.1 -291116.xls sous V:\\SIO\\SYSI\\CDS ATOS\\Domaine Digital&Client\\Automatisation\\DIGISHOP'),
(8492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nAcceptance 14.1.23.OLYMPIA-SNAPSHOT 494'),
(8495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nAcceptance ABP 14.1.23.OLYMPIA-SNAPSHOT 494,\\nRédaction cas de test Resettlement DUE / UNDUE'),
(8494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nRédaction cas de test Prises de jeu simple non passantes'),
(8539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nEcriture de cas de test Digishop A pour Olympia'),
(8540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nEcriture de cas de test Digishop A pour Olympia'),
(8501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nPréparation chargement table FALCON USR_ADRESS (Création tables, droits, codage sql)'),
(8502, 'Le code de la classe cnaf.partenaires.pha.portlet.service.status.EntityStatusLocalServiceImpl reste trop important (~4750 lignes) pour être maintenable et évaluer les impacts des try/catch ajoutés.\r\nDe plus nous n\'avons pas rédigé assez de tests automatisés.\r\nIl faudra bien être vigilants sur les tests manuels du scheduler.'),
(8503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nInstallation edwan 4.0.0 et mapi 3.3.2 sur INT2 pour Yellowstone\r\n(PC M.PUECH en remplacement il ne pouvait donc pas faire l\'action)'),
(8504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nanalyse et maj des proc de compilations redigées par Abo'),
(8505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nanalyse et maj des proc de compilations redigées par Abo'),
(8506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nInstallation Presto Ascapone INT8 FDL014777 (backup J.QUESADA)'),
(8507, 'Une première version est délivrée mais lors de mes tests, les onglets ne fonctionnent pas si on modifie / edite une pending.'),
(8508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nRéunion avec Audrey (et intervention de Marc), pour le positionnement des cas de tests et des campagnes dans ALM '),
(8509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\n0,25 : Formation de Patrick Giambellucco (avec Audrey) => Comment tester les service API sans passer par le front (non livré), ni les tests automatisés (non prêt)\r\n0,25 : Réunion avec Audrey pour répondre à ces questions sur le projet (points fonctionnels à préciser et précisions des tests qui la concerne ou non)'),
(8518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nexécution des tests PMD'),
(8520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nexécution des test PMD + réunion CDS _d\\\'avancement équipe CDS (30min)'),
(8519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nReunion projet _ Instance IQ : avancement global des tests de qualif'),
(8711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nexécution et écriture (si non fait/fini) des tests PMD'),
(8521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nPoint IF Auto\r\nBlocs BOIF bimodes\r\nPréparation des scripts BOIF'),
(8522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n- Analyse erreurs applicatives parionWeb\r\n- Ajout de la vérification de l\'intégrité du betSlip\r\n- Mise à jour API PW pour PDJs Controlées\r\n- Mise à jour API Mify pour PDJs Controlées\r\n- Debug Motors-ITF'),
(8523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\n- Capture nouvelle version Olympia V1.0.020\r\n- Analyse des captures, \r\n- Synthèse des différences\r\n- Adaptation code API Olympia'),
(8538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\n- Analyse erreur PDJ Olympia Vie des Envs ( Robot Digital)\\n- Mise au point script auto Olympia'),
(8525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nMOD010464 : [COHERIS] Création d\'index pour optimisation vacations\r\nFDL014799_Coheris_Oracle_GDO_CRM_5.3.0.30\r\n\r\nAssistance MEP sur chargement BI4BO'),
(8526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nAnalyse nouvelle génération des courriers'),
(8527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nAnalyse & exécution campagne acceptance API & nominale USR 2.3.3 + NON REG'),
(9487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nAnalyse & exécution campagne acceptance API & nominale USR 2.3.3 + NON REG'),
(9488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nAnalyse & exécution campagne acceptance API & nominale USR 2.3.3 + NON REG'),
(8530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nITF : recherche d\'erreur dans API ITF Motors Mock sur enchainement de script orchestré + controlé'),
(8531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nITF Motors : finalisation du script Motors controlé et adaptation des fichiers templates spécifiques ITF'),
(8532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nFormation Florian'),
(8533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nFalcon Palier décembre : correction d\'erreurs de runtime et revalidation de scripts dans ALM'),
(8556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nRéunion automatisation IF'),
(8535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nTests Falcon'),
(8536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nanalyse  ABP de la version 14.1.23.OLYMPIA-SNAPSHOT 494 sur L\\\'INT1\\nanalyse perf  PSMS sur Graphite : les tires des perfs '),
(8537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nInstallation de la version abp-14-1-23-OLYMPIA-494.platform sur INT3\r\nInstallation de la version fdj_mobile_olympia-master-19.platform sur INT3\r\nInstallation de la version site-fdj2-P165-master-52.platform sur INT3'),
(8638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nEcriture de cas de test API Digishop A pour Olympia'),
(8553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n-Environnements indisponibles toutes la matinée.\\n-Apporter de l’aide sur le projet Olympia\\n--A partir du début d’après-midi : revenir sur le projet Presto. Mais l’exécution des cas de test est bloqué, car les livret du jeu testé (la poule aux œuf d’or) sont inactif sur le INT8( environnement du test)\\n-Situation débloquée à partir de 15h25 : 21 fiches d\\\'anomalies re testées suite à l\\\'installation du nouveau portail Ppresto V1.12.1 sur INT8'),
(8554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nRe-test de quelques fiches anomalies (6 fiches)  suite à l’installation du nouveau PORTAIL Presto sur INT8\\nDans la journée installation du nouveau portail Presto v1.12.1  sur int2\\nDébut des cas d’acceptation sur desktop, car les téléphones  ne sont pas disponibles\\nPréparation du nouveau RUN11 : RUN 11 CDS ATOS_PRESTO_V 1.12.1- INT2 Poule'),
(8555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nTerminer la compagne d’acceptation 38 cas de test: IQ acceptance INT2 FDL014774 30/11/2016 et retest des fiches anomalies livrées avec la FDL (20 cas de test)\\nExécution  du nouveau RUN11 : RUN 11 CDS ATOS_PRESTO_V 1.12.1- INT2 Poule'),
(8546, 'Exécution des tests \"Gérer la navigation\" dans périmètre critique\r\nCréation et exécution des tests Tests de confirmation :\r\n   - Agent Caf - date d\'ouverture non modifiable\r\n   - Agent Caf - vérification des dates par rapport à la caf\r\n   - Modif Caf - dates non modifiables\r\n\r\nSaisie des données pour les tests du scheduler'),
(8548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nFDL014798 + FDL014802'),
(9620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nFDL014814.'),
(8551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nFDL014786. + FDL014695'),
(8552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nPreparation tests ihm event'),
(8559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n[PSMS + Build 2794] : test de PreAcceptance sur INT6'),
(8560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\n[PSMS + b2794]: Template Manager: Nouvelle ano critique sur le Rugby => Version KO'),
(8637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\n[Test Auto]: MAJ des Templates sur INT1 et INT3 + [PSMS B2794]: test sur Resettlement Live'),
(8562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\n[OLYMPIA] Atelier qualification Olympia'),
(8563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\n[OLYMPIA] ALM Qualification MUG (redaction, execution)'),
(8564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n[OLYMPIA] point de synchro IQR Palier Olympia'),
(8566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n[OLYMPIA] \\nAlimentation Detaillant INT3\\nQualification anomalies\\nComplement tests MAGO'),
(9313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nRéunion Olympia \\\\\\\"Etat des lieux\\\\\\\" organisé par J.MONTELS'),
(8703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nIntégration fichier PDV \\\"Olympia\\\" sur Edwan INT1.\\nTests aux limites, Maj des cas de tests. Création d\\\'anomalies et d\\\'une Mod.'),
(8701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\natelier Olympia (0,50) --> Refus des livraisons MAPI 3.3.0, 3.3.1 et 3.3.2.\\nAcceptance MAPI 3.3.2\\nMaj cas de test composant WSPO.'),
(8702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nCapture de flux Olympia sous Fiddler pour compléter les cas de tests ALM.\\\\\\\\nMaj des cas de test ALM MAPI et Edwan\\\\\\\\nDebut qualification Edwan 3.4.1. Comparaison de la nouvelle version par rapport à la production.'),
(8573, 'Problème précédent résolu en ajoutant un refresh sur la convention et en modifiant les paramètres primefaces des onglets.\r\nTests effectuées :\r\n1.	La création de plusieurs conventions\r\n2.	Recherche sur chaque champs\r\n3.	La validation par le validateur\r\n4.	Recherche sur chaque champs\r\n5.	La création d’une pending\r\n6.	La validation de la pending\r\n7.    Invalider une pending\r\n'),
(8581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n[OLYMPIA] Exécution de campagne de tests PMD'),
(8575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\n[IF] Lecture de la base de tests \"Liquidity Manager\"'),
(8576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\n[IF] Transfert de connaissances sur le \"Liquidity Manager\" et IF en général à \r\nSKA'),
(8577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\n[IF] Rédaction de coquilles de tests IF Liquidity Manager'),
(8578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\n[IF] Rédaction de coquilles de tests IF Liquidity Manager'),
(8582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\n[OLYMPIA] Exécution d\\\'une campagne de tests PMD'),
(8583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\n[OLYMPIA] Exécution d\'une campagne de tests PMD'),
(8584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nTests Falcon'),
(8585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nTests Falcon'),
(8782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nExécution  d’un nouveau RUN12 : RUN 12 CDS ATOS_PRESTO_V 1.12.1- INT2 [ASC-SAUV] \\\\nObjet du test :\\\\nLes FDL’s :\\\\n FDL014787 [AS CAPONE] Livraison Applet v1.0.6\\\\nReçu le 29-11-2016 15:24:37, et installée le 30/11/2016 sur INT8\\\\n FDL014789 [SAUVE SOURIS] Livraison Applet v1.0.3\\\\nReçu le 29-11-2016 16:58:23, et installée le 30/11/2016 sur INT8'),
(8588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nInstallation FDL014787 FDL014789 Jeux Presto ASCAPONE, SAUVESOURIS\r\n(remplacement J.QUESADA) + verification des ANO liés a l\'installation des nouveaux jeux '),
(8589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nContinuité formation Florian'),
(8590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nMise a jour MODOP ABO'),
(8591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nStream WEBAPP Hasard'),
(8592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nBlocs et scripts monoblocs bimodes BOIF MTRA'),
(8593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nBlocs et scripts monoblocs BOIF OPR'),
(8600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nExecution Campagne RUN01 batch - Conformité'),
(8595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nRecette hppc 12.53 trueclient'),
(8604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nVie des environnements diagnostic int3/4'),
(8602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nVie des environnements'),
(8597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nVie des environnements : comptes contact pdj olympia'),
(8603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nVie des environnements : comptes contact pdj olympia'),
(8605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nExecution Campagne RUN01 batch - Conformité'),
(8607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nExecution Campagne RUN01 batch - Conformité'),
(8608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nExecution Campagne RUN01 batch - Conformité'),
(8609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nRéunion + rédation PT Conformités'),
(8610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nRédation PT Conformités + execution campagne'),
(8611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nRédation PT Conformités '),
(8612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nRédation PT Conformités '),
(8613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nRédation PT Conformités '),
(8633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nMEP Bingo'),
(8618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nValidation ARJEL et ETL des nouveaux markets (Footbal et Basket);\\nRévision ALM des cas de tests Front;\\nInvestigation d\\\'anomalie de création des nouveaux markets basket (ANO044404)'),
(8631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nMise à jour catalogue test auto\\nSuivi des problemes de prod suite à la mep'),
(8784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nTests de NREG FRONT ISO Stream + PSMS sur INT3;\\nValidation ARJEL et ETLsur INT4 - problème d\\\'indisponibilité de la base de donnée l\\\'après-midi (INC162008);\\n'),
(8634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nRecherche et support problemes de prod suite à la mep'),
(8621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nMise à jour doc API Digishop Ojadgate'),
(8622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nTravail sur Référentiel de tests ALM\r\nAlimentation avec nouveau cas de tests POLY'),
(8623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nInstallations et tests :\r\n- Digishop A 2.2.0 INT4 (Projet IF)\r\n- MUG 2.5.7 VSR BIngo INT8\r\n'),
(8624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nTravail ALM référentiel de tests'),
(8625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nTravail référentiel de tests ALM'),
(8626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nQualification anomalies'),
(8627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nInstallations dernières version Digishops (FDL014810 / FDL014806 / FDL014813)'),
(8629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nBug review + Ateliers Olympia'),
(8706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS '),
(8635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nRecherche et support problemes de prod suite à la mep'),
(8682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nPresto : Qualification des ANOs'),
(8772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nEcriture de cas de test API Digishop I pour Olympia'),
(8641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\n[PSMS B2794]: Vérification Bug Fixing: Ano déjà qualifiées (Pour vérifier qu\\\'il n\\\'y a pas de Régression)'),
(8642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\n[PSMS B2794]: Vérification Bug Fixing: Ano déjà qualifiées (Pour vérifier qu\\\'il n\\\'y a pas de Régression)'),
(8683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nPTAB : Quamlification de la version 2.13.1\\\\\\\\nPRESTO : Repro de la version 1.12 sur INT2 (FDL014774)'),
(8647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\n[OLYMPIA] \\\\n\\\\nPb CORS pour historiques de jeux et paramètres MUGO (tests + captures des flux suite à modif sur PreQ INT7 + analyse avec IQ Sport)\\\\n\\\\nValidation des anomalies\\\\nSupport recette'),
(8684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nPTAB : Qualification de la version 2.13.1 et création MODOP\\nPRESTO : Qualification de la version 1.12'),
(8686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nPRESTO : Refonte des scripts d\\\'administration.'),
(8687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nPRESTO : Refonte des scripts d\\\'administration.'),
(8655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nCampagne d\\\'acceptance Olympia INT1'),
(8665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nScripts automatisés Falcon : Evolution du fichier de paramètre default.cfg pour configurer l\'accès par le proxy pour la totalité des scripts Falcon'),
(8654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nCampagne d\'acceptance INT1 + requêtes de compta pour Joel'),
(8663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nRédaction de la documentation, analyse du produit \"simulateur de PDJ Java\" et utilisation de KaNest'),
(8657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nCampagne de non-reg Olympia INT1'),
(8658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nRédaction de la documentation, point ALM avec Nicolas A, et initiation au simulateur KaNest avec Benoit.'),
(8774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nITF : Correctif API sur construction du BetLog en retour de PDJ ITG + Atelier Automatisation ITF'),
(8660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nCampagne de non-reg Olympia INT1'),
(8664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nAcceptance PSMS INT6 + Non-reg Olympia INT1'),
(8667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nPoint avec Benoit et Ange sur l\'activité, formation par benoit sur Simulateur de PDJ/KaNest'),
(8668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nDocumentation, étude du contexte YellowStone pour la simulation de PDJ ? '),
(8670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\n- Validation des anomalies\r\n- Deploiements IHM, Boutiques sur INT3\r\n- Tests acceptance technique sur ANDET 1.0.015\r\n- Analyse avec IQ Back anomalie ANO043175'),
(8671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nQualification Android détaillant + Boutique R\r\nValidation des anomalies\r\n\r\nAteliers composants du compte + Olympia avec équipe Boulogne'),
(8695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nmoteur de liquidite IF'),
(8696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nmoteur de liquidite'),
(8678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nmoteur de liquidité IF '),
(8681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nOlympia - Compte Contact - Déclaration d\\\'anomalies'),
(10991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSAFERGAME : Installation de la FDL015189 sur INT2'),
(8690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nOlympia - Compte Contact -  Exécution & Déclaration d\\\'anomalies'),
(8722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\ncas de test moteur de liquidite IF'),
(8691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nOlympia - Compte Contact -  Exécution & Déclaration d\'anomalies'),
(8698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nOlympia - Compte Contact -  Exécution & Déclaration d\\\'anomalies'),
(8693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nOlympia - Compte Contact -  Exécution & Déclaration d\'anomalies'),
(8694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nOlympia - Compte Contact -  Exécution & Déclaration d\'anomalies'),
(8765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nmise à jours des remise à niveau par rapports aux changements'),
(8704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nAteliers Projets PMD  + Conformité'),
(8707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS '),
(8708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS '),
(8709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS '),
(8710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS '),
(8712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nMise à jour des proxy des scripts Digishop'),
(8713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nEcriture des tests PMD non tagués \"Ready\"'),
(8797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nModification des scripts DigishopAPOSTAuthentAuthenticate & DigishopAPOSTAuthentGetChallengeSession'),
(8798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nModification des scripts DigishopAPOSTAuthentAuthenticate & DigishopAPOSTAuthentGetChallengeSession'),
(8716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nexécution et écriture (si non fait/fini) des tests PMD + point avancement '),
(8717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nMise à jour des scripts Compte Contact.\r\nAjout paramètre additionnel FDJUserPrivateData.'),
(8718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nMise à jour des scripts Compte Contact.\r\nAjout paramètre additionnel FDJUserPrivateData.'),
(8766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nRéalisation et diffusion du suivi d\\\'avancement de la qualif cds digital back (manuel)'),
(8737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nCampagne Acceptance INT6\\nPDJ Live'),
(8739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël'),
(8777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nQualification ANO041987\\nETL'),
(8726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\ncas de test moteur de liquidite IF'),
(8729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nAction : phase d\\\\\\\'analyse/conception des tests d\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\nLivrable : enveloppe de test + \\\\\\\"mapping tests-services\\\\\\\"\\\\nSur DigishopA\\\\n- ajout de :\\\\n                GET /authent/getQrCodeIdentificationData\\\\n- modification de :\\\\n                POST /authent/getChallengeSession\\\\n                POST /authent/authenticate\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\"qrcode\\\\\\\"\\\\n\\\\nSur Digishop-I\\\\n- modification de :\\\\n                POST /account/check/checkMail => pas d\\\\\\\'appel dans le cas compte contact\\\\n                POST /account/registration/createAccount\\\\n\\\\nSur Digishop-U\\\\n- ajout de :\\\\n                GET /account/getQrCodeIdentificationData\\\\n                POST /account/updateUserAccountData \\\\n                POST /account/updateUserOptins\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\n                POST /account/getUserAccountData\\\\n                POST /account/updateUserEmail\\\\n                POST /account/revokeCard\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\n                POST /account/addUserBankAccount\\\\n                POST /account/updateUserBankAccount\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\n                POST /account/managePurses/withdrawUserWins'),
(8734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nAction : phase d\\\\\\\\\\\\\\\'analyse/conception des tests d\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\"\\\\\\\\nSur DigishopA\\\\\\\\n- ajout de :\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\n- modification de :\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\n                POST /authent/authenticate\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\"\\\\\\\\n\\\\\\\\nSur Digishop-I\\\\\\\\n- modification de :\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\n\\\\\\\\nSur Digishop-U\\\\\\\\n- ajout de :\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\n                POST /account/updateUserOptins\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\n                POST /account/revokeCard\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\n                POST /account/managePurses/withdrawUserWins'),
(8733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nAction  : point sur la gestion des exigences\\\\nLivrable : A définir en réunion'),
(9144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nAction : phase d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'implémentation des tests d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\nSur DigishopA\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\\\\\\\\\n                POST /authent/authenticate\\\\\\\\\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\nSur Digishop-I\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\nSur Digishop-U\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\\\\\\\\\n                POST /account/updateUserOptins\\\\\\\\\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\\\\\\\\\n                POST /account/revokeCard\\\\\\\\\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/withdrawUserWins'),
(8748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nMise à jour catalogue test auto\\\\\\\\\\\\\\\\nSupport probleme de prod bingo\\\\\\\\\\\\\\\\nSupport Perf\\\\\\\\ninstall patch prod\\\\\\\\ntest non reg\\ninstallation 2e patch\\nRe test de non reg\\n\\\\\\\\nmep??'),
(9489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nImplémentation de nouveaux cas de tests Compte Contact'),
(9490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nImplémentation de nouveaux cas de tests Compte Contact'),
(8767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nRédaction des cas de tests d’acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(8769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nRédaction des cas de tests d’acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(8753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nExécution de la campagne de test d\'acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(8763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nRédaction Modop Edwan  3.4.x / Mapi 3.3.x\\nRejet de la FDL014705 (mapi 3.3.2)\\nPréparation MEP Edwan 3.4.x & Mapi 3.3.x du 08/12'),
(8764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nNormalement de l\\\'olympia WSPO et app native Parionsdirect.'),
(8758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nRédaction cas de test Réconciliation.\r\nProblème rencontré indisponibilité du TR3 l\'après-midi (installation Falcon + ABP)'),
(9206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nCampagne 14-1-23-OLYMPIA-494'),
(8771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nEcriture de cas de test API Digishop A pour Olympia. Ecriture de cas de test API Digishop I pour Olympia'),
(8773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\n- PDJ Olympia Vie des environnements\\n- Analyse Erreurs PDJs PSEL\\n- PDJ PSEL -Erreur Intégrité du betslip'),
(8775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nFalcon Palier décembre : support sur scipts et mise à jour scripts et API'),
(8776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nITF : Finalisation des modifications sur la constrcution du BetLog de PDJ ITG, et Préparation des nouveaux environnments ITF'),
(8781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nExécution  d’un nouveau RUN12 : RUN 12 CDS ATOS_PRESTO_V 1.12.1- INT2 [ASC-SAUV]\\\\\\\\\\\\\\\\nObjet du test :\\\\\\\\\\\\\\\\nLes FDL’s :\\\\\\\\\\\\\\\\n FDL014787 [AS CAPONE] Livraison Applet v1.0.6\\\\\\\\\\\\\\\\nReçu le 29-11-2016 15:24:37, et installée le 30/11/2016 sur INT8\\\\\\\\\\\\\\\\n FDL014789 [SAUVE SOURIS] Livraison Applet v1.0.3\\\\\\\\\\\\\\\\nReçu le 29-11-2016 16:58:23, et installée le 30/11/2016 sur INT8\\\\\\\\\\\\nTests d\\\\\\\\\\\\\\\'acceptation de deux FDL\\\\\\\\\\\\\\\'s sur INT2\\\\\\\\nFDL014818 :App Native - ILLIKO Live Android Version : Illiko-Live Android - v1.0.008\\\\\\\\nFDL014817 : App Native - ILLIKO Live iOS version : Illiko-Live IOS - v1.0.002'),
(8780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nContrôle, intégration, qualification et suivi ALM'),
(8783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nValidation ARJEL et  ETL(ABP Offre);\r\nInvestigation de la raison pour laquelle les serveurs INT3 ne redémarrent pas lors d\'un redémarrage de l\'application (pas encore de résultat);\r\nRévision des cas de tests Front sur ALM; \r\n\r\n'),
(8785, 'Ajout d\'un exclude stax-api sur la dépendance suivante tirée par CXF :\r\n<groupId>org.codehaus.woodstox</groupId>\r\n<artifactId>woodstox-core-asl</artifactId>'),
(8786, ''),
(8787, 'azertyu'),
(8789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nFalcon Palier de décembre : Mise à jour de la page Confluence des catalogues de scripts + Finalisation de la mutualisation de la génération de mail en mode AUTO + vérification de la stabilité de l\\\'API (campagne de tests ALM Référentiel_Automatisation) + tag de l\\\'API et publication des scripts Accounts modifés + analyse du système de génération d\\\'IBAN auto'),
(9320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nnanalyse perf  PSMS sur Graphite : les tires des perfs :\\\\nbloquage de la pf dans le tire du 29/11'),
(9321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nnanalyse perf  PSMS sur Graphite : les tires des perfs :\\\\nbloquage de la pf dans le tire du 29/11');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(8792, 'Reste à faire (dupliqué dans la tâche 15702):\r\nLors de la saisie des montants avec centimes, le contrôle du champ renvoi une erreur selon qu\'on mette un \".\" ou une \",\".\r\n-----\r\nPermettre la saisie des montants avec centimes avec \".\" ou \",\".\r\n-----\r\nRevoir le contrôle du montant du loyer pour que les centimes soient pris en compte dans la variation de +/- 10%.'),
(8793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nMAJ Documentation'),
(8795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nMise à jour des proxy des scripts Digishop'),
(8806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\npréparation COPROJ + préparation livraison'),
(8807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\npréparation réunions stratégie test + planning livraison digital'),
(8801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nFDL014825.'),
(8803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nFDL014823.'),
(8808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nCOPROJ +suivi LIVRAISON et tests'),
(8809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\nSuvi Recette et tests Qualification'),
(8810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nEtude d\\\'impact alimentation SID client + suivi Recette'),
(8811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nTraitement du backlog ANBO + préparation action semaine prochaine + suivi avancement des tests et correctifs'),
(8927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nPassage de connaissance sur Drupal'),
(8926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nPassage de connaissance sur Drupal'),
(8816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nFDL014822\r\n'),
(8818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nPoint Palier Décembre\r\nAnalyse blocage des accès IF notamment BOIF\r\nPréparation de nouveaux blocs et scripts BOIF'),
(8819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nFDL014852  : [COJO]  [CRM2] Livraison Partielle objets Oracle ANO044422 COJO suite demande evolution changement CHR(13) par <br>'),
(9316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\n[COHERIS] Avancement des sujets'),
(9753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nModification de la vérification de la table EVENTS dans resulting pour définir la valeurs du writer dans le fichier de config.'),
(9252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\ncompagne de test de l\\\'application VITAN 4.8 et 5.0 \\ncheck versions, \\ncatalogues, \\nintervalles de refresh  ...'),
(9306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nExécution de la campagne de test d\\\\\\\\\\\\\\\'acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(9309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nRédaction des cas de tests d’acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(8903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nActualisation des anos de prod sur BackOffice depuis Bingo Obs\\\\\\\\nRecherche d\\\\\\\\\\\\\\\'un bouchon pour Chat Bingo\\\\\\\\nModification Int5 pour tir de perf\\\\\\\\ninstallation 1.1.124_55723\\\\nanalyse log de prod\\\\n'),
(8831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\ncoproj SI\\nweekly meeting\\n'),
(8833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\ntest de la build'),
(8836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\npoint chat & session\\\\npoint sue les envt'),
(8835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nparametrage nouvelle build'),
(8838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\npoint sur livraison wof\\\\nModification des parametres de chat \\\\\\\"chatenabled\\\\\\\"'),
(8843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\npoint de synchro Bingo RWD\\n'),
(8842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nrecherche sur ano  limite de mise'),
(8844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\n[PSMS B2801]: Tests D\'acceptance sur INT6 + Bug Fixing sur INT6'),
(8845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nCompilation application Euromillion IOS FDL014848\r\nAnalyse comportement Illiko IOS + Android sous INT8\r\nBesoin de contribution + test pour recette'),
(8846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nAnalyse ANO043637, MOD010184, MOD0120328 pour cloture des demandes Snow\r\nDemandé par M.DOMENGE en tant que Backup de J.QUESADA'),
(8847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nTests Falcon'),
(8848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nTests Falcon'),
(8850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nFalcon Palier de décembre : Atelier automatisation + analyse generation AUTO des IBAN étranger, ajout nouveaux fichiers data de paramétrages par pays issus de la base'),
(8968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nFalcon palier de décembre : Conversion du RawBody en encodage local dans le  paramètre LR dans le builder RawBody du JSONrequester, préparation des fichiers paramètres requis pour la génération AUTO des IBAN étrangers'),
(8852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-13  (Do not remove this line) -->\nPAS NYX - version SMSI\\nPoint sur la reservation des envts'),
(8853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nPoint technique sur les livraisons wof wlbgo\\n'),
(8854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\nModification du fichier de traduction clienttext.json'),
(8855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nPoint Bingo RWD : répartition des rôles (Back : Front / Coord qualif)'),
(8857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\ncomité automatisation'),
(8858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\ncoproj hebdo\\nweekly meeting NYX\\n'),
(8859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nparametrage des assets'),
(8860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\nMaJ catalogue de tests auto'),
(8861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nRecherche sur la console financiere Bingo'),
(8865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nRéunion olympia _ instance IQ'),
(9291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\n- Préparation mep Bingo\\\\n- Suivi des anos Bingo\\\\n- Maj d\\\\\\\'environnement INT4 pour le palier Keno, installation livraisons :\\\\n3.2.1_mobi	FDL014751\\\\n3.2.3_mobi	FDL014761\\\\n- Support pour l\\\\\\\'affichage widget Keno'),
(8866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nExécution des tests PMD'),
(8869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\n[OLYMPIA]\r\nALM - Tests application détaillant - boutique R\r\nSupport recette\r\nValidation anomalies compte'),
(8870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-09  (Do not remove this line) -->\ninstallation modification des assets'),
(8871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nExécution des tests PMD'),
(8872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-15  (Do not remove this line) -->\ninstallation modification des assets'),
(8873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nExécution tests PMD'),
(8874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\ninstallation modification des assets'),
(8875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\ninstallation modification des assets'),
(8876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\ninstallation modification des assets'),
(8877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\ninstallation modification des assets'),
(8878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nexécution test PMD'),
(8880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\ncampagne : RWD Sprint 3 -  release 1_1_105_5418 -Firefox'),
(8881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nValidation anomalies recettes (ANO043958, ANO043676, ANO044385)\r\nSupport recette\r\nALM - Campagne qualification application détaillant'),
(8882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nredaction test manuel'),
(8884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\ndocumentation liferay et jsf'),
(8885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\n-installation des environnements hors VM\r\n-documentation sur le projet(SFD, DAT, ect...)'),
(8886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\n-installation projet local.'),
(8887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\ninstallation en local'),
(8888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nRécupération d\'une VM. Installation de l\'environnement sur la VM'),
(8889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\n[COHERIS] Avancement des sujets'),
(8890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-16  (Do not remove this line) -->\n[COHERIS] Avancement des sujets'),
(8921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nPassage de connaissance sur Drupal'),
(8922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nPassage de connaissance sur Drupal'),
(8909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nPassage de connaissance sur drupal 8'),
(8898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nPassage de connaissance sur les exigences'),
(8897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nPassage de connaissance sur les exigences'),
(8899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nPassage de connaissance sur les exigences'),
(8905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nPassage de connaissance sur les exigences'),
(8904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nPassage de connaissance sur Drupal 8'),
(8910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nPassage de connaissance sur les exigences'),
(8911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nPassage de connaissance sur Drupal '),
(8912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nPassage de connaissance sur Drupal '),
(8913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nPassage de connaissance sur Drupal '),
(8914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nPassage de connaissance sur Drupal '),
(8915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nPassage de connaissance sur Drupal '),
(8916, 'De :        Christophe MILLOT/CNEDI06/CNAF \r\nA :        Stephane DOLMETTA/CNEDI06/CNAF@CNAF, \r\nCc :        Claude PATRIGEON/CNEDI69/CNAF@CNAF, Nicolas GOUBEAU/CNEDI06/CNAF@CNAF, Christophe ROUSSEL/CNEDI93/CNAF@CNAF \r\nDate :        14/11/2016 08:52 \r\nObjet :        Re: Liferay \r\n________________________________________\r\n\r\n\r\nStéphane, \r\n\r\nSur l\'opportunité de migrer vers une licence communautaire, je pense qu\'il serait intéressant que ServApp réalise une matrice d\'avantages/inconvénients. \r\nPar rapport à tous nos échanges, il me semble que vous avez les éléments nécessaires à votre disposition. \r\n\r\nPour ce sujet et les autres (migration vers Tomcat, montée de version Liferay), il faut inclure la participation du pôle architecture DNE et en particulier de Nicolas Goubeau (point d\'entrée sur ce projet). \r\n\r\nMerci \r\nChristophe.'),
(8953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\ncodevtt+cra\\\\\\\\\\\\\\\\nsuivi des install VSR\\\\\\\\\\\\\\\\ncampagne RWD - Release 1_1_124_55723 - chrome\\\\nmontee en competence olympia\\\\nMise au point DTE'),
(8925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nmodifications Bouchon et fichier Excel pour TU\r\nFDL014881  : [OLYMPIA]  [CRM2] Livraison BOUCHON pour TESTS Unitaires'),
(8928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\n[GAMIFICATION] Lecture des spécifications'),
(8940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nRealisation du suivi d\\\\\\\'avancement\\\\nConseil sur la création des anomalies détectées, et l\\\\\\\'organisation des tests\\\\nPoint avec Sylvie Montoya  (CPQT)'),
(8930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nBlocs + scripts BOIF'),
(8931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nFDL014862 + FDL014863'),
(8932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nCompil loto android FDL014861.'),
(8994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\n[PSMS / b2801 / INT6]: Bug Fixing (0.5j) + Début Campagne (0.5j)'),
(9754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nModification de la vérification du Betslip avec cote donné par le script\\nETL'),
(8945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nRéunion Automatisation'),
(8936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nTests Falcon'),
(8937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nTests Falcon'),
(9270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nMaj requetes tests auto'),
(8969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nPresentation techniqie Gamification\\nModification du script de deploiement du client bingo sur les envt d\\\' integ'),
(8941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nCampagne de tests NON-REG PSMS sur INT6;'),
(8942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCampagne de tests NON-REG Front PSMS sur INT6 '),
(8943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCampagne de tests NON-REG PSMS sur INT6'),
(9294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nCampagne de tests NON-REG PSMS sur INT4;\\nVérification d\\\'erreur des pages blanches sur la webapp au moment qu\\\'on charge la widget du compte jouer - Problème présent sur la prod aussi;\\n'),
(8946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCampagne AUTO KENO ATLANTIA'),
(8947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nCampagne AUTO KENO ATLANTIA'),
(8951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nCampagne AUTO KENO ATLANTIA'),
(8949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCampagne AUTO KENO ATLANTIA'),
(8950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nCampagne AUTO KENO ATLANTIA'),
(8954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nMise à jour des scripts compte contact'),
(8955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nMise à jour des scripts compte contact'),
(8956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCorrections des Run-Time Setting et .param des scrips CC'),
(8957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCorrections de Run-Time Setting et .param des scrips CC'),
(8958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nLivraison des correctifs'),
(8985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nITF : Atelier automatisation des tests'),
(9292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n- remplacement poste de travail\\\\n- point sur la MEP Bingo, problèmes rencontrés lors de la mep\\\\n- Maj d\\\\\\\'environnement INT2 pour le Palier Yellow Stone\\\\n3.4.1_edwan	FDL014745\\\\n3.3.2_mapi	FDL014705\\\\n- support d\\\\\\\'affichage widget loto sur Yellow Stone, maj du code apporté côté hasard\\\\n- analyse différences edwan PROD et version full Bingo'),
(9293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\n- configuration du poste de travail\\\\n- export prod pour les environnements d\\\\\\\'integ\\\\n- réception livraison Keno, analyse des sources\\\\n- configuration du poste de travail sur les acces ssh'),
(8962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\n- support pour les promulgations en erreur sur INT4\\n- maj campagne ALM\\n- installation livraison Keno et qualification\\n3.2.5_mobi FDL014794\\n- installation livraison yallowstone et qualification\\n4.0.2_edwan	FDL014811\\n- Maj swagger 3.2.5_mobi'),
(8963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\n- paris\\n- support pour le lancement de la webapp Keno ko, pb réglé côté apache\\n- Réception nouvelles livraisons VSR Bingo \\n3.1.11_mobi	FDL014809\\n3.1.12_mobi	FDL014827\\n3.3.10_hasard	FDL014797\\n- qualification 4.0.2_edwan'),
(8964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\n- paris\\n- maj doc swagger 3.1.12_mobi\\n- installation livraisons VSR BINGO/Olympia\\n3.1.12_mobi	FDL014827\\n3.3.10_hasard	FDL014797\\n- qualification livraisons'),
(8965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nMontée en compétence Drupal 8'),
(8966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nMontée en compétence Drupal 8'),
(9288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nMontée en compétence Drupal 8'),
(9339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\n- maj swagger 3.3.3_mapi, 3.1.1_mobi\r\n- installation livraisons palier Keno\r\n- qualification livraison 3.4.3_edwan	FDL014850'),
(8972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nMontée en compétence DRUPAL'),
(8973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nVie des environnements : comptes contact'),
(8974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nVie des environnements : comptes contact'),
(8978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nVie des environnements : recette hppc 12.53'),
(8976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nVie des environnements : comptes contact'),
(8977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nVie des environnements : comptes contact'),
(8981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-09  (Do not remove this line) -->\nRevue de code'),
(8982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nRevue de code'),
(8983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nRevue de code'),
(8984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nRevue de code'),
(8986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nRéunion de Présentation de la gamification'),
(8987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nFalcon Palier décembre : support sur cas de test de service Financial'),
(8988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nPoint IF Auto\r\nScripts BOIF MTRA'),
(9036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nFormation DRUPAL 8'),
(8990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nDevis'),
(9037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nFormation DRUPAL 8'),
(9038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nFormation DRUPAL 8'),
(9039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nOLYMPIA'),
(8995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\n[PSMS / b2801 / INT6]: Patch installé par Raphael, MAIS version pas testable +[PSMS / b2807 / INT6]: Version mise à dispo à 17h00 + [TestAuto]: INT8: Modif Template Foot en Template IsoPROD\r\n'),
(8997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nScripts et blocs BOIF'),
(8998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nScripts et blocs BOIF'),
(8999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nCreation PT Conformité & exec campagne'),
(9000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nCreation PT Conformité & exec campagne'),
(9001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCreation PT Conformité & exec campagne'),
(9002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\n[GAMIFICATION] Présentation technique et fonctionnelle du projet réalisée par LOTSYS'),
(9003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCreation PT Conformité & exec campagne'),
(9341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\ndev API : Generation IBAN international création de fonctions de recherche des infos de compte et IBAN par pays'),
(9005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nCreation PT Conformité & exec campagne'),
(9315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nTest de chargement de la table USR_ADRESS (Loader et MERGE)\\nDeveloppement outil bouchon\\nAnalyse Courrier'),
(9007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nAnalyse courrier et dev'),
(9280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nANO044750 : [OLYMPIA-COHERIS Interfaces Oracle] Pb de fusion des Joueurs à l\\\'intégration issue du SID'),
(9010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nRevue de documentation'),
(9011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nMonté en compétence sur Yellowstone'),
(9012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nMonté en compétence sur Yellowstone + MAJ documentation'),
(9013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nMonté en compétence sur Yellowstone + MAJ documentation'),
(9014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nMonté en compétence sur Yellowstone + MAJ documentation'),
(9015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nMonté en compétence sur Yellowstone + MAJ documentation'),
(9355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nCompilation + installation WebApp Loto Yellowstone FDL014929\\nInstallation eDwan + Hasard + Mobi + Mapi + Mrcd sur INT21 palier YellowStone : FDL014924 ,FDL014923, FDL014922, FDL014919, FDL014918\\nInstallation eDwan Hasard Mapi Mobi pour Olympia\\n : FDL014850,FDL014797,FDL014791, FDL014827\\n\\nInstallation eDwan Hasard MRCD pour Keno : \\nFDL014917, FDL014898, FDL014897\\n\\n\\n\\n'),
(9019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nRTT'),
(9020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nFormation Drupal 8'),
(9021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nFormation Drupal 8'),
(9022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne de tests (4 cas modifiés + 13 BLOCKED et 1 PASSED)'),
(9023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nFormation Drupal 8'),
(9749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCampagne PSMS sur INT6 (14.1.27-SNAPSHOT  2806)\\nETL'),
(9026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\n[OLYMPIA] Campagne de tests'),
(9027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\n[OLYMPIA] Campagne de tests'),
(9028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nInstallation MIG Bingo VSR\r\nInstallatoon Digishops sur INT2 (Yellowstone)'),
(9029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\ncampagne d\'acceptance PSMS sur INT6'),
(9030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nRédaction cas de tests POLY'),
(9202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël'),
(9033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\n1.	Mise à jour des fonctions ARJEL_String_Convert \\n2.	Mise à jour dans le référentiel des checks ARJEL pour gérer les vérifications sur des PDJs allant jusqu\\\'à 25 séléctions.\\n3.	Modification de la requête retournant les joueurs pour ne pas prendre un joueur déjà connecté.\\nGestion du writer pour le resulting Betradar (PSEL + OLYMPIA)\\n--> valeurs du writer en paramètre'),
(9034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCampagne d\'acceptance PSEL build 2806 sur INT6'),
(9035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nNon reg PSEL'),
(9040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\n[PSMS / b2807 / INT6]: Campagne NonReg'),
(9476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\n[PSMS / b2807 / INT6]: Campagne NonReg + Tests LateBet Giacinto'),
(9042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nCOMPTE CONTACT Implémentation'),
(9043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nCOMPTE CONTACT Implémentation'),
(9044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nExecution Campagne RUN01 batch - Conformité'),
(9045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nExecution Campagne RUN01 batch - Conformité'),
(9046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nExecution Campagne RUN01 batch - Conformité'),
(9062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nStream FDJ : Ecriture de cas de Test API pour Digishop U pour le Palier de Décembre'),
(9061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nStream FDJ : Ecriture de cas de Test API pour Digishop U pour le Palier de Décembre'),
(9060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nStream FDJ : Ecriture de cas de Test API pour Digishop U pour le Palier de Décembre'),
(9049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCampagne ACCEPTANCE USR API & CC'),
(9203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCampagne ACCEPTANCE USR 2.3.4'),
(9059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nStream FDJ : Ecriture de cas de Test API pour Digishop I et Digishop U pour le Palier de Décembre'),
(9058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nStream FDJ : Ecriture de cas de Test API pour Digishop I pour le Palier de Décembre'),
(9063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[Facturation anticipée de fin d\'année]\r\nCommentaire à compléter svp.'),
(9064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n[Facturation anticipée de fin d\'année]\r\nCommentaire à compléter svp.'),
(9066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[Facturation anticipée de fin d\'année]\r\nCommentaire à compléter svp.'),
(9067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n[Facturation anticipée de fin d\'année]\r\nCommentaire à compléter svp.'),
(9590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n0,5 : support à la qualif\\n0,5 : suivi avancement'),
(9070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nNON REGRESSION USR 2.3.4'),
(9586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nAction : implémentation test d\\\'acceptation compte contact boutik\\nLivrable : test acceptation compte contact boutik'),
(9585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nExécution test PMD BOX'),
(9587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nExécution test PMD BOX'),
(9588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nExécution test PMD BOX'),
(9589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nExécution test PMD BOX'),
(9591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nP.OLY _ Exécution test PMD BOX'),
(9477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nFinir le run 12 Presto, dans la matinée du Lundi.\\nRejoindre l\\\'équipe de test sur le projet OLYMPIA. Sur la compagne :\\nB- RUN01  IQ Digital BACK\\n- Brève formation avec Vallerie et Billy( 1 HEURE)'),
(9832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1'),
(9956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1\\n[GAMIFICATION] Création de coquilles vides d\\\'après matrice des exigences'),
(9261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nRejoindre l\\\'équipe de test sur le projet OLYMPIA. Sur la compagne :\\nB- RUN01  IQ Digital BACK\\n- Réunion OLYMPIA : 11h00 à 12h00'),
(9262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nRejoindre l\\\'équipe de test sur le projet OLYMPIA. Sur la compagne :\\nB- RUN01  IQ Digital BACK'),
(9263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nRejoindre l\\\'équipe de test sur le projet OLYMPIA. Sur la compagne :\\nB- RUN01  IQ Digital BACK'),
(9264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nRejoindre l\\\'équipe de test sur le projet OLYMPIA. Sur la compagne :\\nB- RUN01  IQ Digital BACK'),
(9155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nPalier Olympia – Compte contact – Exécution & déclaration d’anomalie\\nRéunion Valérie & Hakim brève présentation de Olympia à Hakim\\nAide explication Hakim début CC'),
(9156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nPalier Olympia – Compte contact – Exécution & déclaration d’anomalie\\nPoint Olympia Bérangère\\nAide explication Hakim début CC'),
(9157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nPalier Olympia – Compte contact – Exécution & déclaration d’anomalie'),
(9158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nPalier Olympia – Compte contact – Exécution & déclaration d’anomalie'),
(9159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nPalier Olympia – Compte contact – Exécution & déclaration d’anomalie'),
(9683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nRUN Cas de test Olympia RTG'),
(9682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nRUN Cas de test Olympia RTG'),
(9473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nTests IF admin'),
(9524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nTests IF admin'),
(9526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nCampagne Orchestrée JEUX MOTORS INT6'),
(9523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nTests IF Admin'),
(9525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nTests !IF admin et réunion'),
(9597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nTests IF alpha3 et admin'),
(9595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nTests IF alpha3 et admin'),
(9598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nTests IF alpha3 et admin'),
(9764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nValidation ARJEL et ETL des nouveaux markets (ABP Offre);\r\nRévision des cas de tests ALM (SPORTS_2013 > HOMOA - Sport > Référéntiel IQ SPORT);\r\n'),
(9810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nTests IF motors'),
(9811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nTest IF Motors'),
(9812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nTest IF motors'),
(9813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nABP Offre: Test d\'intégrité ARJEL et ETL pour les nouveaux markets Footbal et Rugby (création, cottation, PDJ, résulting pour les mainbook et live events);\r\nMise à jour des cas de tests ALM;\r\nMise à jour des documents de ref. (CDSTST SPORT Accès ParionsWeb V2 - V:\\SIO\\SYSI\\CDS ATOS\\Domaine Digital&Client\\SPORT\\Montée en compétence)'),
(9340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nScripts BOIF ITGA'),
(9501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nScripts et blocs BOIF ITGA sur INT1 IF'),
(9541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nPoint IF Auto\\nTC services JSON à retour brut exceptionnel\\nBlocs et scripts BOIF OPR'),
(9117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\nCommentaire à compléter svp'),
(9118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\nCommentaire à compléter svp'),
(9763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nPoint palier Décembre\\nScripts et blocs BOIF MTRA(fin) et OPR (suite)'),
(9805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nScripts et blocs BOIF OPR'),
(10058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nScripts et blocs BOIF ITFA'),
(10059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nScripts et blocs BOIF ITFA'),
(9253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nTEST VITAN 5.0'),
(9254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nTEST VITAN 5.0 - et livraison'),
(9345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\nDev API gestion de la clef RIB pour comptes bancaires étrangers\\ntests du service FalconPOSTAvailabilityEmail et POSTAccounts'),
(9731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nscripts automatisé : Correctif de scripts ITF, Falcon et Transverse'),
(9768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\nDev scripts automatisé Falcon Trusted services Cards\\nDev API : Correctifs et revalidation de la stabilité API\\nAtelier Automatisation Palier de décembre'),
(9817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\nDev Script Transerses et API : ajout de timeStamp pour tracer le temps d\\\'execution des requetes OCI et ODBC et ajout du timeStamp dans le end du script'),
(9828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\nDev API : finalisation des scripts Transverse ODBC et finalisation de la gestion du timeStamp ODBC\\nAtelier automatisation des test ITF\\nDev API couche OCI : gestion du renommage de la base lorsque le numéro d\\\'env est sur 2 digits (ex : INT42 -> nom de base INT4)'),
(9255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nTEST VITAN 5.0'),
(9957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\nDev API et scripts Transverse : Tests de non regression sur l\\\'API et tests de sripts d\\\'acces aux bases de données avec des numéros d\\\'environnements sur 2 digits\\nMerge et livraison de la nouvelle version USR 2.3.6\\nTests de stabilité de l\\\'API'),
(9966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\nDev API : préparation du merge sur nouvelle version Falcon RTL 2.3.6'),
(9256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nRenseignement sur ALM une compagne de testes'),
(10137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\ncorrectif API et script transverse GEN_JSON_DB_REQUEST pour résoudre le plantage en sortie du script dans ALM 12'),
(9143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nAction : comité auto olympia'),
(9152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nWARNING : les entrants sont \\n- SFD Front\\n- DOC API WEB\\n- Input script\\ndoc API Web digishop U non exploitable\\n input script non livré \\n\\n\\nAction : phase d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'implémentation des tests d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur DigishopA\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/authenticate\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-I\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-U\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserOptins\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/revokeCard\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/withdrawUserWins'),
(9153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nWARNING : les entrants sont \\n- SFD Front\\n- DOC API WEB\\n- Input script\\ndoc API Web digishop U non exploitable\\n\\n\\n\\nAction : phase d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'implémentation des tests d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur DigishopA\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/authenticate\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-I\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-U\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserOptins\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/revokeCard\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/withdrawUserWins');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(9154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nWARNING : les entrants sont \\n- SFD Front\\n- DOC API WEB\\n- Input script\\ndoc API Web digishop U non exploitable\\n\\nAction : phase d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'implémentation des tests d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur DigishopA\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/authenticate\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-I\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-U\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserOptins\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/revokeCard\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/withdrawUserWins\\nAction : phase d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'implémentation des tests d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur DigishopA\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/authenticate\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-I\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nSur Digishop-U\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserOptins\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/revokeCard\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n                POST /account/managePurses/withdrawUserWins'),
(9149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nAction : phase d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'implémentation des tests d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\nSur DigishopA\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\\\\\\\\\n                POST /authent/authenticate\\\\\\\\\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\nSur Digishop-I\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\nSur Digishop-U\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\\\\\\\\\n                POST /account/updateUserOptins\\\\\\\\\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\\\\\\\\\n                POST /account/revokeCard\\\\\\\\\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/withdrawUserWins'),
(9151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nWARNING : les entrants sont \\n- SFD Front\\n- DOC API WEB\\n- Input script\\ndoc API Web digishop U non exploitable\\n input script non livré \\n\\n\\nAction : phase d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'implémentation des tests d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptation concernant les évolutions/création de service olympia CC\\\\\\\\\\\\\\\\nLivrable : enveloppe de test + \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"mapping tests-services\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\nSur DigishopA\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\n                GET /authent/getQrCodeIdentificationData\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\n                POST /authent/getChallengeSession\\\\\\\\\\\\\\\\n                POST /authent/authenticate\\\\\\\\\\\\\\\\n                POST /authent/getChallengeToken => en cours de dev, pas encore livré\\\\\\\\\\\\\\\\n                POST /authent/editStep sur le nouveau step \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"qrcode\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\nSur Digishop-I\\\\\\\\\\\\\\\\n- modification de :\\\\\\\\\\\\\\\\n                POST /account/check/checkMail => pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appel dans le cas compte contact\\\\\\\\\\\\\\\\n                POST /account/registration/createAccount\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\nSur Digishop-U\\\\\\\\\\\\\\\\n- ajout de :\\\\\\\\\\\\\\\\n                GET /account/getQrCodeIdentificationData\\\\\\\\\\\\\\\\n                POST /account/updateUserAccountData \\\\\\\\\\\\\\\\n                POST /account/updateUserOptins\\\\\\\\\\\\\\\\n                POST /account/updateUserPinCode => ne marche pas. A besoin du getChallengeToken version compte contact en cours de dev.\\\\\\\\\\\\\\\\n                POST /account/getUserAccountData\\\\\\\\\\\\\\\\n                POST /account/updateUserEmail\\\\\\\\\\\\\\\\n                POST /account/revokeCard\\\\\\\\\\\\\\\\n                GET /account/getUserCurrentCard => Dernier changement effectué dessus pas encore livré en U-2.1.9.\\\\\\\\\\\\\\\\n                POST /account/addUserBankAccount\\\\\\\\\\\\\\\\n                POST /account/updateUserBankAccount\\\\\\\\\\\\\\\\nGET /account/manageGamesLimits/getSportRtlLimit\\\\\\\\\\\\\\\\n                POST /account/manageGamesLimits/ setSportRtlLimit\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountDailyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountDailyLimit\\\\\\\\\\\\\\\\n                GET /account/managePurses/getUserAccountMonthlyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/setUserAccountMonthlyLimit\\\\\\\\\\\\\\\\n                POST /account/managePurses/withdrawUserWins'),
(9899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nTest partage de session appli maitre-Illiko'),
(9170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\nCommentaire à compléter svp'),
(9171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\nCommentaire à compléter svp'),
(10100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\n- mise à niveau d\'environnement Keno int42 pour qualification\r\n3.2.8_mobi	FDL015074\r\n3.5.3_edwan	FDL015037\r\n3.2.8_mobi	FDL015074\r\n3.4.0_mapi	FDL014996\r\n3.1.2_mrcd	FDL015038\r\n0.1.45_wkeno	FDL015078\r\n- qualification livraison Yellowstone'),
(9173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\nCommentaire à compléter svp'),
(9601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nTravail sur le Java d\\\'automatisation des PDJ KaNest + réalisation des PDJ YellowStone permettant de déclencher des promos.'),
(9592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nP.OLY _ Exécution test PMD BOX'),
(9593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nP.OLY _ Exécution test PMD BOX'),
(9596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nP.OLY _ suivi avancement global'),
(9600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nYellowstone _ exécution tests'),
(9599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nYellowstone _ suivi avancement '),
(9250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nRepet MEP VSR\\nAnalyse log de prod\\nReunion avec NYX sur les ano de BackOffice'),
(9873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nProjet Olympia: exécution de la compagne: B- RUN01  IQ Digital BACK'),
(9874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nProjet Olympia: exécution de la compagne: B- RUN01  IQ Digital BACK'),
(9875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nProjet Olympia: exécution de la compagne: B- RUN01  IQ Digital BACK'),
(9876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nProjet Olympia: exécution de la compagne: B- RUN01  IQ Digital BACK'),
(9877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nProjet Olympia: exécution de la compagne: B- RUN01  IQ Digital BACK'),
(10070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nPalier Dec Olympia: Exécution de cas de test RUN1'),
(10072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\nPalier Dec Olympia: Exécution de cas de test RUN1'),
(9747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nGestion du check ARJEL pour PDJ simple avec plusieurs sélections\\\\\\\\nETL'),
(9484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nTests NONREG Front sur INT6;\r\nMaJ des campagnes de tests ALM (Projet: SPORTS_2013 > HMOA SPORT > Référentiel IQ SPORT);\r\nCréation d\'offre pré match automatique sur INT7 pour les tests VITAN (démandé par Eric Marechal)\r\nValidation ETL et ARJEL pour les nouveaux markets tennis'),
(9482, 'Il faut valider une convention pour que les enregistrements soient pris en compte.'),
(9483, '- A faire sur la PI'),
(9207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nCampagne 14-1-23-OLYMPIA-494'),
(9208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nCampagne 14-1-23-OLYMPIA-494'),
(9218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCampagne 14-1-23-OLYMPIA-494'),
(9210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCampagne 14-1-23-OLYMPIA-494'),
(9509, '- Attention : Anomalies globales il faudra vérifier tous les montants mensuels et par période\r\n- Attention : Plusieurs lignes (identiques)  sont affichées quand il ya une suspension en cours de période (a vérifier)'),
(9212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\ncommentaire à compléter svp'),
(9213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\ncommentaire à compléter svp'),
(9214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\ncommentaire à compléter svp'),
(9215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\ncommentaire à compléter svp'),
(9216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\ncommentaire à compléter svp'),
(9217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\r\ncommentaire à compléter svp'),
(10035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\n[facturation anticipée]\\nCampagne CC'),
(10036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\n[facturation anticipée]\\nEXECUTION CAMPAGNE NON REG USR 2.3.6'),
(10038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[facturation anticipée]\\\\nEXECUTION CAMPAGNE USR 2.3.6\\nImplémentation CC'),
(10039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n[facturation anticipée]\\nImplémentation CC'),
(10040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\n[facturation anticipée]\\nFinalisation & rapport USR 2.3.6 NON REG'),
(9224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9486, 'Cahier de recette a mettre à jour.'),
(9493, 'Mail envoyé à JCN pour statuer.\r\nStatut => open'),
(9230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n[facturation anticipée]\r\ncommentaire à modifier svp'),
(9622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nPrise de connaissance : DAT IF et Technical Specification IF'),
(9625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nFin des vérifications d\\\'accès machines/services\\nExécution de campagne de test ALM : projet CF 17.0.10 Webapp Keno '),
(9636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nSuite : Exécution de campagne de test - ALM - CF 17.0.10 Webapp Keno\\\\nEchange sur ma montée en compétence avec Yohann Baron\\n\\nExécution de campagne de test - ALM - CF 17.2 YellowStone'),
(9628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nSuite : Exécution de campagne de test - ALM - CF 17.2 YellowStone'),
(9776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nRédaction de fiche sous ALM pour le porjet CF 17.0.10 \\\"Palier Keno\\\"'),
(9777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nRédaction de fiches sous ALM \\nProjet Keno et YellowStone'),
(9835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nRédaction de fiche de test sous ALM - MRCD\\nRédaction de fiche de test sous ALM (préparation test d\\\'acceptance) - Interactive Factory'),
(10034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nmontée en compétence sur Stream PHP'),
(10031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nLundi matin: prise de connaissance IF\\nFake lottery - https://www2.integ.revolo.io/itf-fakelottery/\\nBack Office IF - https://www2.integ.revolo.io/boi/\\n\\nLundi apres-midi : Exécution campagne CF.17.2.YellowStone\\ncomposant : MAPI 4.0.1, MRCD 4.0.1'),
(10032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nMardi Matin : Suite Exécution campagne CF.17.2.YellowStone\\ncomposant : MOBI 4.0.1 + nouvelle fiche LOTO, eDWAN 4.0.4, HASARD 4.0.1\\n+ Modification TestPlan MOBI_4.0.X ajout du répertoire LOTO et des fiches associées\\n\\nMardi apres-midi : prise de connaissance IF\\nprise en main RESTer pour prise de jeux ITG/ astro'),
(10033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nMercredi : Exécution campagne CF 17.0.10 Webapp Keno\\ncomposant : eDwan 3.5.3, Hasard 3.4.3, Mapi 3.4.0, Mobi 3.2.8, MRCD 3.1.2'),
(10108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nJeudi : Exécution campagne CF 17.0.10 Webapp Keno\\nHasard 3.4.4'),
(9258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nFDL014879 + FDL014886 + FDL014797 + FDL014827\r\n'),
(9259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nFDL014886 + FDL014887'),
(9266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nFDL014899 + tests sur int8 pour mep vsr bingo'),
(9271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nPassage de connaissance sur Drupal 8'),
(9272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nPassage de connaissance sur Drupal 8'),
(9273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nPassage de connaissance sur Drupal 8'),
(9274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nPassage de compétence sur Drupal 8'),
(9276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nPassage de connaissance sur Drupal 8'),
(9277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nPassage de connaissance sur Drupal 8'),
(9278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nPRESTO : Qualification de l\'ANO de synchro des frontaux.'),
(9279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nPTAB : Installation de la version 2.14.2'),
(9282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nANO044750 : [OLYMPIA-COHERIS Interfaces Oracle] Pb de fusion des Joueurs à l\\\\\\\'intégration issue du SID . Correctif\\npréparation FDL014944_Coheris_Oracle_OLYMPIA_CRM_F_5.4.1.0 avec le correctif de l\\\'ANO044750 en attendant l\\\'intégration de la MOD010506 '),
(9503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nReunion avec nyx sur les probleme de prod'),
(9286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nReception patch de prod bingo\\nTest non reg'),
(9516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nformation de Sébastien Rollin.\\ntest d\\\'acceptance Olympia Version 14.1.23.OLYMPIA-SNAPSHOT 520'),
(9380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\\nDéveloppement : Modifcation édition courriers'),
(9671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nDeveloppement bouchon intégration nouvelle tables'),
(9672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nDeveloppement bouchon intégration nouvelle tables\\ntest bouchon'),
(9673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nAssistance prod (problème intégration scan)\\ntest intégration client pour génération courrier'),
(9674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\npréparation FDL (bouchon) FDL (olympia)'),
(9766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nMAJ DOC suite relecture\\n[COHERIS] Avancement des sujets\\n'),
(9802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nMAJ DOC'),
(9988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n[Test AUTO / INTX]: MAJ des templates \\\"Automatisation_Arjel_SPORT\\\" pour le Pb d\\\'ARRONDI + Ménage des anciens Templates/Pricer'),
(9307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nExécution de la campagne de test d\\\\\\\\\\\\\\\'acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(9780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nExécution de la campagne de test d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(9311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nRédaction des cas de tests d’acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(9312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nModification des cas de tests Loto 2016 dans le projet ALM Olympia.'),
(9314, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nLe test n\'est pas concluant!\r\nLe choix d\'un package SQL doit être remplacé par un script SQL.'),
(9318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nMontée en compétence sur Olympia, et rédaction des cas de testes'),
(9322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\n- Cas de test pour récupération du CA pdj Olympia Profils 06\\n- Mise à jour API Olympia'),
(9324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\n- Mise à jour Olympia pour prise en charge d\\\\\\\'un nombre max de tentative de chargement de l\\\\\\\'offre active.\\n- Adaptation machine à état pour passer d\\\'un état à l\\\'autre sans erreur.'),
(9325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\n- Évolution API et ajout des scripts GET et PUT du services /mify/acc/{AccountId}'),
(9327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n- Mise en place de l\'envoi du CA par mail.'),
(9328, 'commit sur le head le 12/12'),
(9502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\ntest bingo rwd v1.1.122.55863 - RWD - campagne  Release 1_1_122_55863 - firefox\\\\npurge bdd int1 pour exporte vers les autres int\\\\nMEP VSR'),
(9332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-14  (Do not remove this line) -->\nRédaction cas de test sur les PDJs Retails avec plusieurs outcomes'),
(9335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nIntégration/Qualification Projet Olympia'),
(9334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nIntégration/Qualification Projet Olympia'),
(9337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nMontée en compétence DRUPAL'),
(9338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nMontée en compétence DRUPAL'),
(9342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nMotors : Ajout et paramétrage du jeux HappyDesHivers dans l\\\'API motors + Activation des jeux  \\\"dueldecartesv2\\\", \\\"gareoloup\\\", \\\"happydesete\\\", \\\"happydeshiver\\\", \\\" kenoatlantia2016\\\", \\\"rueeverslor\\\" sur INT6 pour préparer une campagne de qualification\\nnouvelle version KenoAtlantia_0_0_87.xml\\n'),
(9343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nTest de NON REG Front sur INT6-INT4 de SITE: fdj2-origin_release_12-35 et Mobile: 4 - à partir d\'aujourd\'hui les tests devraient être réaliser sur INT4, mais due à la MaJ de Falcon sur INT4, une partie des tests ont été réalisé sur INT6;\r\n '),
(9344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nSupport sur scripts de services Falcon\\nanalyse de la version Falcon USR 2.3.5 // 2.3.3, generation de l\\\'API,merge et tests\\nMise à jour d\\\'un script lié à cette évolution : FalconPOSTAccounts\\nlancement de Tests de services Falcon dans ALM pour s\\\'assurer de l\\\'intégrité de la nouvelle API'),
(9346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\ncampagne Non Régression INT4'),
(9347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nNon régression PSMS INT6'),
(9348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-19  (Do not remove this line) -->\nSuivi IQ + Préparation COPROJ'),
(9349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-20  (Do not remove this line) -->\nCOPROJ + suivi tests et préparation  Bugs Review'),
(9350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-21  (Do not remove this line) -->\nanimation  Bugs Review'),
(9351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-22  (Do not remove this line) -->\nsuivi tests et réalisation CR Bugs Review'),
(9352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-23  (Do not remove this line) -->\nsuivi tests et préparation  Recette'),
(9353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-26  (Do not remove this line) -->\n suivi tests et préparation COPROJ'),
(9354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-27  (Do not remove this line) -->\nCOPROJ + suivi tests et préparation  Bugs Review'),
(9356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-28  (Do not remove this line) -->\n suivi tests et animation   Bugs Review'),
(9357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-29  (Do not remove this line) -->\nsuivi tests '),
(9358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-09-30  (Do not remove this line) -->\n suivi tests et préparation  Recette '),
(9360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-03  (Do not remove this line) -->\nsuivi tests et préparation  COPROJ'),
(9361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-04  (Do not remove this line) -->\nCOPROJ + suivi tests et préparation  Bugs Review'),
(9362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-05  (Do not remove this line) -->\n suivi tests et animation  Bugs Review'),
(9363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-06  (Do not remove this line) -->\n suivi tests et CR   Bugs Review'),
(9364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-07  (Do not remove this line) -->\n suivi tests et préparation  Recette'),
(9365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-10  (Do not remove this line) -->\n suivi tests et préparation  COPROJ'),
(9366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-11  (Do not remove this line) -->\nCOPROJ + suivi tests et préparation  Bugs Review'),
(9367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-12  (Do not remove this line) -->\nsuivi tests et animation  Bugs Review'),
(9368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-13  (Do not remove this line) -->\nsuivi tests et réalisation CR  Bugs Review'),
(9369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-14  (Do not remove this line) -->\nSuivi test intégration et Qualification'),
(9371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-17  (Do not remove this line) -->\nsuivi tests et préparation COPROJ'),
(9372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-18  (Do not remove this line) -->\nCOPROJ + suivi tests et préparation  Bugs Review'),
(9373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-19  (Do not remove this line) -->\n suivi tests et anmimation  Bugs Review'),
(9374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-20  (Do not remove this line) -->\n suivi tests intégration & Qualification + suivi des tests pour Re7'),
(9375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-21  (Do not remove this line) -->\nRéunion avancement re7  + suivi tests et livraisons'),
(9376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-24  (Do not remove this line) -->\nsuivi tests et  anomalies + préparation  COPROJ '),
(9377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-25  (Do not remove this line) -->\nCOPROJ + suivi des tests et environnements'),
(9378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-26  (Do not remove this line) -->\nanimation Bugs Review + suivi des tests'),
(9379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-10-27  (Do not remove this line) -->\nrélaiation CR Bugs Review . Suivi  des tests et ANO + planning livraisons.'),
(9381, 'Fermeture suite livraison 07/12  255.000060'),
(9382, 'Fermeture suite livraison 07/12  255.000060'),
(9383, 'Fermeture suite livraison 07/12  255.000060'),
(9384, 'Fermeture suite livraison 07/12  255.000060'),
(9385, 'Fermeture suite livraison 07/12  255.000060'),
(9386, 'Fermeture suite livraison 07/12  255.000060'),
(9387, 'Fermeture suite livraison 07/12  255.000060'),
(9388, 'Fermeture suite livraison 07/12  255.000060'),
(9389, 'Fermeture suite livraison 07/12  255.000060'),
(9390, 'Fermeture suite livraison 07/12  255.000060'),
(9391, 'Fermeture suite livraison 07/12  255.000060'),
(9392, 'Fermeture suite livraison 07/12  255.000060'),
(9393, 'Fermeture suite livraison 07/12  255.000060'),
(9394, 'Fermeture suite livraison 07/12  255.000060'),
(9395, 'Fermeture suite livraison 07/12  255.000060'),
(9396, 'Fermeture suite livraison 07/12  255.000060'),
(9397, 'Fermeture suite livraison 07/12  255.000060'),
(9398, 'Fermeture suite livraison 07/12  255.000060'),
(9399, 'Fermeture suite livraison 07/12  255.000060'),
(9400, 'Fermeture suite livraison 07/12  255.000060'),
(9401, 'Fermeture suite livraison 07/12  255.000060'),
(9402, 'Fermeture suite livraison 07/12  255.000060'),
(9403, 'Fermeture suite livraison 07/12  255.000060'),
(9404, 'Fermeture suite livraison 07/12  255.000060'),
(9405, 'Fermeture suite livraison 07/12  255.000060'),
(9406, 'Fermeture suite livraison 07/12  255.000060'),
(9407, 'Fermeture suite livraison 07/12  255.000060'),
(9408, 'Fermeture suite livraison 07/12  255.000060'),
(9409, 'Fermeture suite livraison 07/12  255.000060'),
(9410, 'Fermeture suite livraison 07/12  255.000060'),
(9411, 'Fermeture suite livraison 07/12  255.000060'),
(9412, 'Fermeture suite livraison 07/12  255.000060'),
(9413, 'Fermeture suite livraison 07/12  255.000060'),
(9414, 'Fermeture suite livraison 07/12  255.000060'),
(9415, 'Fermeture suite livraison 07/12  255.000060'),
(9416, 'Fermeture suite livraison 07/12  255.000060'),
(9417, 'Fermeture suite livraison 07/12  255.000060'),
(9418, 'Fermeture suite livraison 07/12  255.000060'),
(9419, 'Fermeture suite livraison 07/12  255.000060'),
(9420, 'Fermeture suite livraison 07/12  255.000060'),
(9421, 'Fermeture suite livraison 07/12  255.000060'),
(9422, 'Fermeture suite livraison 07/12  255.000060'),
(9423, 'Suite livraison 7/12  255.000060'),
(9424, 'Suite livraison 7/12  255.000060'),
(9425, 'Suite livraison 7/12  255.000060'),
(9426, 'Suite livraison 7/12  255.000060'),
(9427, 'Suite livraison 7/12  255.000060'),
(9428, 'Suite livraison 7/12  255.000060'),
(9429, 'Suite livraison 7/12  255.000060'),
(9430, 'Suite livraison 7/12  255.000060'),
(9431, 'Suite livraison 7/12  255.000060'),
(9432, 'Suite livraison 7/12  255.000060'),
(9433, 'Suite livraison 7/12  255.000060'),
(9434, 'Suite livraison 7/12  255.000060'),
(9435, 'Suite livraison 7/12  255.000060'),
(9436, 'Suite livraison 7/12  255.000060'),
(9437, 'Suite livraison 7/12  255.000060'),
(9438, 'Suite livraison 7/12  255.000060'),
(9439, 'Suite livraison 7/12  255.000060'),
(9440, 'Suite livraison 7/12  255.000060'),
(9441, 'Suite livraison 7/12  255.000060'),
(9442, 'Suite livraison 7/12  255.000060'),
(9443, 'Suite livraison 7/12  255.000060'),
(9444, 'Suite livraison 7/12  255.000060'),
(9445, 'Suite livraison 7/12  255.000060'),
(9446, 'Suite livraison 7/12  255.000060'),
(9447, 'Suite livraison 7/12  255.000060'),
(9448, 'Suite livraison 7/12  255.000060'),
(9449, 'Suite livraison 7/12  255.000060'),
(9450, 'Suite livraison 7/12  255.000060'),
(9451, 'Suite livraison 7/12  255.000060'),
(9452, 'Suite livraison 7/12  255.000060'),
(9453, 'Suite livraison 7/12  255.000060'),
(9454, 'Suite livraison 7/12  255.000060'),
(9455, 'Suite livraison 7/12  255.000060'),
(9456, 'Suite livraison 7/12  255.000060'),
(9457, 'Suite livraison 7/12  255.000060'),
(9458, 'Suite livraison 7/12  255.000060'),
(9459, 'Suite livraison 7/12  255.000060'),
(9460, 'Suite livraison 7/12  255.000060'),
(9461, 'Suite livraison 07/12  255.000060'),
(9462, 'Suite livraison 07/12 255.00060'),
(9463, 'Suite livraison 07/12 255.00060'),
(9464, 'Suite livraison 07/12 255.00060'),
(9465, 'Suite livraison 07/12 255.00060'),
(9466, 'Suite livraison 07/12 255.00060'),
(9467, 'Suite livraison 07/12 255.00060'),
(9468, 'Suite livraison 7/12  255.000060'),
(9469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nFDL014962'),
(9470, 'Les ecrans comparent avec DIALNET, le montant n\'est en effet pas le même .\r\nIl pourrait être interessant de comparer à CAFPRO (parce que c\'est migration)'),
(9471, 'Quelques pistes : \r\n- Vérifier si le document existe bien\r\n- Faire un test sur la meme convention\r\n- Faire un test sur une autre convention\r\n\r\nBME'),
(9513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nImpossible de générer un TP'),
(9511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[PSMS / b2807 / INT6/INT4]: Campagne NonReg + Tests sur LateBet (Giacinto) + Anomalie critique ANO044869'),
(9480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nModification et création de cas de tests Loto 2016 dans le projet ALM Olympia.'),
(9990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nModification et création de cas de tests Loto 2016 dans le projet ALM Olympia.'),
(9485, 'Problème rencontré une fois par la recette et non reproductible.\r\nEn même temps redéploiement de composant technique sur la recette'),
(9492, 'Mail envoyé à JCN pour statuer.\r\nStatut => open'),
(9494, 'Mail envoyé à JCN pour statuer.\r\nStatut => open'),
(9495, 'Mail envoyé à JCN pour statuer.\r\nStatut => open'),
(9654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nProjet YellowStone : Lecture de la spec. Lancement de la campagne acceptance RTG 2.2.10 sur INT1.'),
(9521, 'Non reproduit'),
(9504, '-J\'ai crée une convention, et 3 utilisateurs partenaires habilité à CDAP qui ont consécutivement les rôles T1, T4 et T19.\r\nJ\'ai pu visualiser l\'attestation de paiement avec les profils T1 et T19 sur Chrome et IE (Said a testé sur Mozilla aussi).\r\n\r\n-On a essayé d\'appeler pour demander plus de détails sur le bug, mais notre interlocuteur était injoignable.'),
(9505, 'En cours d\'analyse'),
(9506, 'La réf externe n°62 indique :\r\nKO le 08.06.16 Non vérifiable voir ANO #314 le 21.06.16\r\n\r\nLa réf externe n°314 indique :\r\nOK le 13/7/2016\r\n\r\nstatut => resolved'),
(9507, '1) fiche droits avec versement inférieur au seuil ok sur vue mensuelle ko sur vue par période avons * qui renvoie à la mention suspension à tort.\r\n\r\nEtat : \r\n       - L’astérisque qui renvoie à la mention \"Droit suspendu\", sur la vue par  période de la rubrique droit est affiché sur la vue par période et pas sur la vue mensuelle.\r\nLa recette demande qu\'il soit supprimé sur les deux veux.\r\n=> a voir avec Kevin\r\n\r\n       - Rubrique droit : la colonne \"Montant inférieure au seuil de versement\" est affiché sur la vue mensuelle et pas sur la vue par période\r\n=> a voir avec Kevin\r\n\r\n2) pourquoi affiché dans la colonne PRESTATION des prestations pour lesquelles il n\' y a pas de droit ? CF-ars,,,, Demande d\'évolution .\r\n\r\nEtat:\r\n      - Les prestations pour lesquelles l\'allocataire n\'a pas de droit doivent-elles être affichés / omises ? \r\n      - Est-ce un bug ou une évolution ?\r\n=> a voir avec Kevin\r\n\r\n3) sur l\'attestation de paiement est ce normal d\'indiquer le DIRECTEUR de la DGFIP (LE HAVRE) est une variable non actualisée ??? IDEM EN FIN de notification.\r\n\r\nEtat:\r\n       -A investiguer !\r\n\r\n4) sur attestation paiement sur le paragraphe ATTENTION chgt situation\"familial\" est accordé avec changement ???\r\n\r\nEtat:\r\n  \r\n     - A demander plus de détails \r\n5) impossible de consulter les attestations message il n\'existe pas d\'attestation de paiement pour ce dossier ( le tp est il arrêté ??? À 18h aucune attestion consultable.\r\n\r\nEtat: \r\n     - Pas clair, à demander plus d\'informations à la recette'),
(9508, 'Après avoir vu avec Kevin:\r\n\r\n1) Le premier concerne une incohérence entre la vue mensuelle et la vue par période:\r\n   - sur la vue mensuelle, X  devant \"Prime d\'activité\" indiquant que le \"Montant inférieur au seuil de versement\"\r\n   - sur la vue par période, * devant \"Prime d\'activité\" indiquant que le Droit est suspendu\r\n\r\n=> A reproduire et \"A corriger\" \r\n\r\n2) Il faut faire un filtre sur les prestations à afficher et ne pas afficher les prestations auxquelles l\'allocataire n\'a pas de droit ou d\'information sur la suspension des droits\r\n\r\n=> A reproduire et à corriger\r\n\r\n3) C\'est normal d\'indiquer le \"DIRECTEUR de la DGFIP (LE HAVRE)\" sur l\'attestation de paiement\r\n=> a en parler d\'avantage avec Kevin et Jeremy et repondre la recette\r\n\r\n4) Faute d\'orthographe sur l\'attestation de paiement: c\'est pas notre scope.\r\n=> Repondre à la recette\r\n\r\n5) A investiguer'),
(9510, 'Solution validée par la recette 13/12'),
(9570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n[PSMS / b2807 / INT6]: Campagne NonReg + Tests sur LateBet (Giacinto) + Ajout de commentaires sur l\\\\\\\'Anomalie critique ANO044869 + Exercice d\\\\\\\'évacuation (30min) + Indisponibilité INT4/INT6 (de 16h00 à 17h00)'),
(9514, 'Le 14/12/16 : sur l\'environnement Recette, les données semblent OK\r\nCF capture d\'écran'),
(9515, 'Signalement ref N°700 : Problème non reproduit en recette\r\nEn intégration le délai était tres long (7h) mais à ce jour 13/12 , les mails sont bien recus\r\n\r\n=> mais le code doit être amélioré => 1.7.0\n\n'),
(9517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nTesté sur l\'environnement de Recette. Les données concordent donc clôture du Mantis.'),
(9518, '1) Bug non reproduit. Les données sont cohérentes sur la vue mensuelle et sur la vue par période.Elles correspondent aux données sur caf pro, captures d\'écran en appui\n\n'),
(9655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nAnalyse campagne acceptance RTG 2.2.10 sur INT1.'),
(9527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nCampagne Orchestrée JEUX MOTORS INT6'),
(9528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nCampagne Non régression JEUX MOTORS INT3'),
(9529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nCampagne Non régression JEUX MOTORS INT3'),
(9530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nCampagne Non régression JEUX MOTORS INT1'),
(9531, 'statut => open après appel Saïd/Carole le 14/12/16'),
(9532, 'Les points (1) et (2) sont à traiter ultérieurement vu que la vue par période sera masquée.\r\n\r\nLes points (3), (4) et (5) ont été abordés à la webEx du 13/12.'),
(9535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\n[OLYMPIA] Conf + Deploiement  INT1 \\n\\nOK	- MAGO 1.0.10 - FDL014733\\nOK 	- MIGO 1.0.5  - FDL014938\\nOK 	- MUGO 1.0.4  - FDL014963\\nOK 	- DIGISHOPA 2.2.1 - FDL014806\\nOK 	- DIGISHOPI 2.2.0 - FDL014810\\nOK 	- DIGISHOPU 2.2.0 - FDL014813\\nOK 	- DIGISHOPR 1.0.4 - FDL014711'),
(9536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[OLYMPIA] \r\nSupport recette\r\nAcceptance techniques (MUGO, MIGO, Application détaillant) => rejet + relivraison MUGO 1.0.4\r\nConfiguration CORS pour historiques de jeux => Atelier avec le DEV pour changer de solution'),
(9537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n[OLYMPIA]\r\n- Support dev Digishop R : reproduction + fourniture log (ANO044814 + ANO044833)\r\n- Analyse pb inscription prospect\r\n\r\n'),
(9540, 'Lundi après-midi: Problème environnement de développement local PCA Ko (actualisation, compilation, redéploiement)'),
(9864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nFormation de Sébastien.'),
(9543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nTransfert de compétences avec C Reynet sur projet Olympia (dans l\'optique du backup de Noel)'),
(9544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nrecettage prod suite MEP Bingo VSR'),
(9545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nMise à jour doc API suite livraisons nouvelles boutiques'),
(9546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nAtelier Tests auto (V LEROUX)'),
(9547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nInstallations et tests INT21 Yellowstone : \r\n- A 2.2.3 / FDL014912\r\n- U 2.2.1 / FDL014930\r\n- I 2.2.0 / FDL014810\r\n- MUG 2.7.1 - FDL014961\r\n\r\nInstallations et tests INT11 POLY : \r\n- MAG 2.3.3 - FDL014969'),
(9548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nInstall Digishop sur INT02 et 42 :\r\n- A 2.2.3 / FDL014912\r\n- U 2.2.1 / FDL014930\r\n- I 2.2.0 / FDL014810\r\n\r\nTest, et mis à jour de Falcon avec C DUPONT'),
(9549, 'Regul commit par un ticket Mantis (ex 15838)\r\n'),
(9550, 'REgul commit du ticket générique de correction ex:15838'),
(9551, 'En cours d\'analyse'),
(9552, 'Comportement reproduit. (PJ)\n\n'),
(9553, 'Avis BME : Il n\'y a pas de commit c\'est une configuration Liferay\r\nquid :  COMMENT ON FAIT EN PRODUCTION'),
(9554, '\"Impossible de supprimer le type partenaire car il est utilisé pour un organsime partenaire.\" changé en \"Impossible de supprimer le type partenaire car il est utilisé pour un organisme partenaire.\"'),
(9578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nCréation de MOD pour les évolutions VITAN et EDWAN\\nRéunions concernant les prochains objectifs'),
(9556, 'Après avoir vu avec l\'équipe technique, il s\'agit pas de bug.\r\nEn effet, il est impossible d\'avoir plus qu\'un bulletin d\'adhésion ouvert avec le même service.\r\nEt pour que cela ne se produise pas, on ne permet pas la suppression de la modification faite sur un Bulletin d\'adhésion clôturé si le même service fait l\'objet d\'un nouveau bulletin d\'adhésion => d\'ou le non affichage de la corbeille devant le BA clôturé.\r\n\r\nPour pouvoir annuler la clôture d\'un BA dont le service est utilisé par un autre BA ouvert, il faut commencer par supprimer le dernier bulletin crée (avec le même service), l\'icone corbeille deviendra visible et on pourra ainsi annuler la clôture du bulletin d\'adhésion.\r\n\r\nA confirmer avec Kevin.\n\n'),
(9557, 'Après avoir vu avec Kevin, c\'est le cahier de recette qui doit être corriger'),
(9729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nDev API Generateur IBAN étrangers : composition du BBAN selon le format paramétré par pays, gestion des code banques et comptes avec caractères alphanumériques et décodage pour calcul de la clef IBAN par segments de 9 digit'),
(9559, '\"Le service que vous voulez créer/modifier est nulle.\" changé en \"Le service que vous voulez créer/modifier est null.\"\r\n\r\n\"Impossible d\'ajouter un service nulle.\" changé en \"Impossible d\'ajouter un service null.\"\n\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(9560, '\"Erreur : Le service à persister est nulle.\" changé en \"Erreur : Le service à persister est null.\"\r\n\r\n\"Impossible d\'ajouter une caf nulle.\" changé en \"Impossible d\'ajouter une Caf nulle.\"\r\n\r\n\"Erreur : La Caf à persister est null.\" changé en \"Erreur : La Caf à persister est nulle.\"\r\n\r\n\"Veuillez selectionner un partenaire.\" changé en \"Veuillez sélectionner un partenaire.\"\r\n\r\n\"Veuillez selectionner un groupe.\" changé en \"Veuillez sélectionner un groupe.\"'),
(9740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nAnalyse erreur d\\\'installation application Loto sous INT2 pour palier Yellowstone'),
(9742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nformation jean michel'),
(9743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nFormation jean-michel'),
(9744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\npassage des cas de tests ALM suite aux installation du 09/12 sur le pallier Yellowstone'),
(9745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nInstallation, Compilation , Test de l\\\'appli Native Illiko Live pour MEP du 15/12\\nMise a disposition de l\\\'ipa'),
(9746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nMEP Illiko Live PResto'),
(9567, 'Ceci n\'est pas un bug mais un problème de configuration de la plateforme d\'integration. \r\nLa configuration a été MAJ sur l\'integration. \r\nL\'administrateur national peut maintenant voir les conventions.\r\n\r\nRecette + Prod OK\n\n'),
(9568, 'Priorité basse , si on a pas le temps, on le fera dans la prochaine version\r\n(vu christophe)\r\nBME '),
(9569, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDépassement dû à plusieurs raisons : \r\n-Évaluation de la montée de version de primefaces\r\n-Document pour cette montée de version\r\n-Changement des points en virgules\r\n-validation du format des montants saisis \r\n-création d\'un converter customisé\r\n'),
(9571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\n[PSMS / b2807 / INT4]: Campagne NonReg + Tests sur LateBet (Giacinto) terminés + MAJ des tests Late Bets sur ALM + Nouvelle anomalie sur Resettlement/PDJ Simple (ANO044937) + [Test AUTO / INT7]: Anomalie du Template RUGBY'),
(9573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nAction : Comité automatisation Olympia'),
(9574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nAction : comité automatisation boutik'),
(9577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nAction : implémentation test d\\\'acceptation compte contact boutik\\nLivrable : test acceptation compte contact boutik'),
(9576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nAction : implémentation des tests compte contact boutik\r\nLivrable :  tests compte contact boutik '),
(9579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nVie des environnements'),
(9580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nVie des environnements'),
(9581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nVie des environnements'),
(9582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nVie des environnements'),
(9583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nVie des environnements'),
(9584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nAction : évaluation des campagnes de test \r\nACCEPTANCE API_DIGISHOPA_2.2.1_Falcon_2.5_INT1\r\nACCEPTANCE API_DIGISHOPU_2.2.1_Falcon_2.5_INT1\r\nACCEPTANCE API_DIGISHOPI_2.2.1_Falcon_2.5_INT1\r\n\r\nLivrable : bilan de test auto + mise à jour des statuts de test et alerte email sur les points bloquants'),
(9602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nTravail sur le programme Java pour lancer kaNest + documentation'),
(9603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nAUtomation KaNest et documentation.'),
(9604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nNouvelle version de DigishopU'),
(9605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nNouvelle version de DigishopU'),
(9606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nNouvelle version de DigishopA'),
(9607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nNouvelle version de DigishopI'),
(9609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\ncampagne PSMS sur INT6'),
(9610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nCampagne de non-reg PSEL sur INT4'),
(9611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nCampagne de non-reg Olympia sur INT7'),
(9612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nCampagne de non-reg PSEL sur INT4'),
(9613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\ncampagne PSMS auto sur INT4'),
(9733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nréunion planning fin 2016 début 2017\\ncréation nouveau catalogue pour spdv version 4.5'),
(10935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nCompilation applis loto yellowstone android et Ios + debuggage de ces applis'),
(9616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nFDL014972 + FDL014976'),
(9617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nFDL014977\r\n'),
(9619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nInvestigations sur problèmes sur appli native loto yellowstone ios et android'),
(9623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nSuite à la réception du PC, contrôle des différents accès machines/services\\nPoint avec Laurent Barrière : introduction et présentation projet'),
(9629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[PSMS]: MAJ tests ALM / Anomalie Resettlement (ANO044937) + [Test AUTO]: Maj Template'),
(9630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n[PSMS]: Passage/Maj tests ALM  + [Test AUTO]: Installation/Maj Template'),
(9631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nAnalyse problème PDJ Olympia sur INT1'),
(9762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nAnalyse problème PDJ Olympia sur INT1'),
(9633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nAcceptance ABP 14.1.23.OLYMPIA-SNAPSHOT 520\r\nRédaction cas de test'),
(9634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nRédaction cas de test\r\nArrondi de côtes sur dérivation horizontale'),
(9635, '- Premier push avec modification à l\'enregistrement en base, on ne stock que les données relatives à des partenaires ouvert et ayant une convention validée et ouverte.'),
(9734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\ncréations des catalogues INTEG dans PDV \\nteste de l\\\'appli PDV'),
(9640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nCampagne de NONREG Front  sur INT4 et INT6 (ALM > PROJET_2013 > Stream Sport BDI.076 > Release site-fdj2-origin_release_12-34_PSMS).\\\\nValidation ARJEL et ETL des nouveaux markets tennis;\\\\n\\\\nProblème de connexion au site Sport sur INT2 > Impossibilité de tester des anomalies de resettlements sur cet environnement\\\\n\\\\nProblème de connexion au site Sport sur INT4 et INT6 à cause d\\\\\\\'une indisponibilité de la BD;'),
(9641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nCampagne de NONREG Front  sur INT4 (ALM > PROJET_2013 > Stream Sport BDI.076 > Release site-fdj2-origin_release_12-34_PSMS).\r\nDue à une anomalie trouvé sur les cas de Resettlement, plusieurs usecases à tester\r\nValidation ARJEL et ETL des nouveaux markets;'),
(9642, 'Cette demande doit attendre la validation coté CAFPRO'),
(9643, 'Cette demande doit attendre la validation coté CAFPRO '),
(9644, 'Cette demande doit attendre la validation coté CAFPRO '),
(9755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nCampagne de Non Reg INT4'),
(9736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nPurge Nettoyage des environnements\\nPurge Mensuel'),
(9738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nMise en place d\\\'une campagne automatisé pour vérification ETL'),
(9737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël Dumontet.\\nAtelier automatisation SPORT avec Valérie LeRoux'),
(9656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nAnalyse campagne acceptance RTG 2.2.10 sur INT1.'),
(9657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nAnalyse campagne acceptance RTG 2.2.10 sur INT1. Campagne Non Reg RTG 2.2.10 INT1'),
(9771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nAnalyse campagne Non Reg RTG 2.2.10 INT1'),
(9659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n- Investigation YellowStone, pas de chargement de la webapp, pas de lancement de l\'application native\r\nsolution trouvé en modifiant le code mobi\r\n- point avec HIA et CASSI pour intégration menu rsync en production\r\n- investigation pb de mentions légales qui ne s\'affichent pas Palier Bingo\r\n- maj contribution YellowStone'),
(9660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n- support lancement webapp Yellowstone, une maj du catalogue était nécessaire\r\n- support applivation native, contribution métier absente pour les appels MOBI\r\n- Installation livraisons Keno avec Amigo\r\n3.4.2_hasard	FDL014945\r\n3.5.1_edwan	FDL014946\r\n- Tests effectués sur la partie promulgation Amigo'),
(9661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\n- installation correction mobi\r\n3.2.6_mobi	FDL014988\r\nCorrection du chargement de la webapp Keno\r\n-Tests effectués sur la nouvelle promulgation Amigo et génération du Sqlite'),
(9662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n- Maj compagne ALM Keno\r\n- Investigation echec de promulgations YellowStone\r\nEchec de synchronisation de des fichiers de resultats'),
(9730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nDev API : Finalisation de la génération automatique d\\\\\\\'IBAN étrangers : correctif sur le calcul des clef et optimisation du code \\\\nAtelier suivi des test ITF\\\\nDev scripts automatisé Falcon : nouveau service Certification'),
(9675, 'Après la maj de la colonne applicationInstanceId en applicationTemplateId dans les trace d\'activités, aucun report n\'avait été fait pour adapter la récupération des rôles du partenaire sur le service plutôt que l\'instance (méthode convertModelToDto TdbActivityReportLocalServiceImpl)'),
(9678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nsuivi des livraisons + étude des SPECS'),
(9677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nCOPROJ + suivi ANO et tests'),
(9679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nsuivi des plates formes des tests et des ANOs'),
(9680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\npréparation CAB + préparation PV + suivi ANOs'),
(9681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nRéunion Recette + suivi des Tests et ANO'),
(9684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nEdition catalogue de test ALM Projet PMD / DEFI CONFORMITE'),
(9685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nBug review Stream Coco'),
(9686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nEdition catalogue de test ALM Projet PMD / DEFI CONFORMITE'),
(9687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nConf Call O Julia CPSI - Point d\'avancement IQ'),
(9688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nEdition catalogue de test ALM Projet PMD / DEFI CONFORMITE'),
(9689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nRedaction/modification tests keno + tests applis mobiles yellowstone'),
(9690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nEdition conf serveur + deploiement MAG 2.3.3 sur INT3  +Supports Ano'),
(9691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nPréparation soumission CAB + MEP + backlog ANO'),
(9714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nPREPARation CAB + backlog ANO'),
(9693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nPréparation CAB + PV Qualif + suivi livraisons prévisionnelles'),
(9694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nSuivii RPP + passage CAB'),
(9695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nDocumentation et CR réunions'),
(9696, 'On ajoute ce ticket dans le perimetre 1.6.9 car necessaire au niveau des dependances.'),
(9697, 'Un script ayant été exécuté modifiait le type de la colonne de la table habilitation_activitytrace concernant la date en DATE au lieu de TIMESTAMP ce qui avais pour effet de ne pas enregistrer les heures/minutes/secondes en base. Correction du script et exécution sur l\'env d\'intégration.'),
(9707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nEn renfort: Exécution de test projet OLYMPIA: B- RUN01  IQ Digital BACK partie SPORT RETAIL avec Billy Bosq'),
(9706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nEn renfort: Exécution de test projet OLYMPIA: B- RUN01  IQ Digital BACK partie SPORT RETAIL avec Billy Bosq'),
(9705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nEn renfort: Exécution de test projet OLYMPIA: B- RUN01  IQ Digital BACK partie SPORT RETAIL avec Billy Bosq'),
(9704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nEn renfort: Exécution de test projet OLYMPIA: B- RUN01  IQ Digital BACK partie SPORT RETAIL avec Billy Bosq'),
(9703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nEn renfort: Exécution de test projet OLYMPIA: B- RUN01  IQ Digital BACK partie SPORT RETAIL avec Billy Bosq'),
(9712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nQualification application native Android 1.0.027 et IOS 1.0.017 + Installation Edwan 3.4.3, Mapi 3.3.3 et WSPO 1.0.22 sur INT3.\\nMaj catalogue parionssport sur ojadgate pour Djamel (pb accès ojadgate) + diffusion'),
(9709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nAjout PDV Olympia sur INT7 pour que les dev puissent réaliser des tests sur parionsdirect IOS et Android.\r\nQualification app native IOS 1.0.016 et Android 1.0026.\r\nMaj configuration connexion bd Edwan et putty/superputty. '),
(9710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nProjet OLYMPIA.\r\nRelivraison version app native android 1.0.025 devient 1.0.026.\r\nMise au point avec le techlead par rapport aux nombreuses anomalies toujours présentes --> il fait avancer les différents sujets.'),
(9711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nRejet livraison app native 1.0.025, elle ne fonctionne pas sous android 6.\r\nCréations d\'anomalies --> relance des devs --> relivraison mais d\'une version corrective mais avec le même numéro de version --> demande de relivraison avec le bon numéro de version'),
(10933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nProjet Olympia ---> des anomalies à saisir'),
(9750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-13  (Do not remove this line) -->\nMontée en competence sur Olympia\\nRecherche pb de pdj sur olympia'),
(9751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nMaJ du repo svn  pour la livraison usr 2.3.5\\\\ntask force olympia\\\\nInstallation SID 1.0.2 sur int3 et int1\\\\nRecherche probleme de prod bingo (Trying to buy same ticket twice)'),
(9719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nVérification du problème de génération des fichiers de resettlement DUE, UNDUE et BET TO REOPEN sur INT4;\r\nVérification ARJEL et ETL ABP Offre;\r\nMàJ des cas de tests sur ALM (Projet: SPORTS_2013 > HMOA - Sport - Référentiel IQ SPORT - Module Resettlement);\r\n\r\n'),
(9720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nRattrapage des problemes dans dimension'),
(9752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\ntask force olympia\\\\nrecherche probleme de prod bingo (Trying to buy same ticket twice)\\\\npreparation bdd int1 bingo pour deploiement sur les autres envt\\\\nMaJ catalogue de test auto Bingo'),
(9722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nPRESTO : Qualification et résolution d\'incidents sur INT2'),
(9723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nPRESTO : Reinstallation du portail sur INT2 avec utilisation de SALT\r\nPRESTO : Début de MEP en pre prod avec HIA'),
(9724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nPRESTO : Finalisation de la MEP en Pre prod et MEP en Prod avec HIA'),
(9725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nPRETO : Analyse et qualification'),
(9726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n- Debug erreur PDJs Olympia\\n- Script transverse'),
(9727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nMise à jour Robot, \\nCréation tâches de purge \\nSupport Testeurs'),
(9728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\nMise en place cas de test Vie des Envt ( demande Valérie)'),
(9757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\ndev scripts et API : correctifs divers et validation de l\\\\\\\'API Falcon\\nMise à jour du script auto d\\\\\\\'inscription pour exemple d\\\\\\\'input et ajout lisezmoi.txt, maj liste des services\\ndev scripts automatisés Falcon Trusted Cards'),
(9741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nMise en place d\\\'une campagne pour la vérification des tables ETL\\\\nMise en pace d\\\'une campagne pour la vérification des PDJs Live'),
(9748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nCampagne Non régression sur INT4 - 14.1.27-SNAPSHOT  2807'),
(9756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nMise a jour des pages Confluence\\nCorrection des erreurs d\\\'installation'),
(9760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\n[OLYMPIA]  Deploiement INT3 + vérification bon fonctionnement\\n\\nOK	- MAGO 1.0.10 - FDL014733\\nOK 	- MIGO 1.0.5  - FDL014938\\nOK 	- MUGO 1.0.5  - FDL014963\\nOK 	- DIGISHOPA 2.2.1 - FDL014806\\nOK 	- DIGISHOPI 2.2.0 - FDL014810\\nOK 	- DIGISHOPU 2.2.0 - FDL014813\\nOK 	- DIGISHOPR 1.0.4 - FDL014711\\n\\n'),
(9759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-14  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nSupport recette\r\nAtelier pour solutionner le pb d\'historique de jeux\r\nDeploiement Boutique R 1.0.5 + acceptance \r\n\r\n[AUTRE]\r\nAnalyse logs INT5 => erreurs digishopA à l\'authentification'),
(9761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nQualification application détaillant + Boutique R : gestion des sessions et désactivation détaillant\r\n'),
(9765, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nReunion jeudi 8/12/2016 pour le plan d\'actions a mener pour la recette (participants Aala, tony, bertrand, said)'),
(9992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nModification catalogue de test auto\\\\nAnalyse ano de prod bingo\\\\nAnalyse des logs du tir de perf'),
(9858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nAnalyse campagne Non Reg RTG 2.2.10 INT1'),
(9773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nInstallation du jeu Castor en Or (FDL015019)'),
(9774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n[Auto / Portugais]: Création des fichiers \'dévalorisés\' pour l\'offre des \'Portugais\''),
(9989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nModification et création de cas de tests Loto 2016 dans le projet ALM Olympia.'),
(9782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nExécution de la campagne de test d\\\'acceptance de la webapp Loto 2016 dans le projet ALM Olympia.'),
(9785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nExécution de la campagne de test de non régression du Loto 2016 dans le projet ALM Olympia.'),
(9786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nExécution de la campagne de test de non régression du Loto 2016 dans le projet ALM Olympia.'),
(9788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nSupport réparti sur toute l\'équipe'),
(9807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nSupport réparti sur toute l\\\'équipe'),
(9790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\n11483: MCO-PHA/BUG : [15838][76] Attestation paiement'),
(9791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\n11333: MCO-PHA/BUG: [15838][11]  \"CrÃ©er le bulletin\" sans avoir sÃ©lectionnÃ© de service'),
(9792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\n11348: MCO-PHA/BUG : [15838][8] La redirection se fait sur la vue \"convention effective\" et pas sur la vue \"convention en attente\"\r\n11360: MCO-PHA/BUG: [15838][29] Gerer les Caf - CrÃ©er une Caf avec 4 admins et 2 vÃ©rificateurs (admin CNAF) - Selection des administrateurs et verificateurs\r\n11361: MCO-PHA/BUG: [15838][27] Modifications de conventions valides-CrÃ©er le bulletin\r\n\r\n'),
(9793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\n11375: MCO-PHA/BUG : [15838][16]  Test Set: Gerer les services (admin national)'),
(9794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\n11399: MCO-PHA/BUG : [15838] [34] VÃ©rification des dates de clÃ´tures et d\'ouverture d\'un agent admin ou verif '),
(9796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n- Support Digishop\\n- Analyse PDJ Olympia INT1\\n- Capture Olmpia V1.0.027\\n '),
(9936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n- Mise à jour de l\\\\\\\\\\\\\\\'API Mify ( dev fonctions pour l\\\\\\\\\\\\\\\'appel de service /mify/bs/selections/{ref}\\\\\\\\n- Création script MifyDELETEBsSelectionsRef\\\\\\\\n- Mise en place tâches robot pour PDJs MainBook.\\\\n'),
(9798, 'Le ticket est à resolved sauf que j\'ai testé en local après avoir tous récupéré et c\'est Ko.\r\n\r\nA en discuter avec Romain.'),
(9799, 'Tache liée au mantis 15675.\r\n\r\nLe ticket est à resolved sauf que j\'ai testé en local après avoir tous récupéré et c\'est Ko.\r\n\r\nA en discuter avec Romain.'),
(9993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nRecherche supplementaire sur la purge des cartes de jeu Bingo\\\\nModification du catalogue de test auto Bingo Rwd\\\\nSupport Metier Bingo'),
(9803, 'J\'ai fait les tests suivants:\r\n\r\n1) Modifier le responsable du groupe à partir de la page de modification d\'un groupe, avec la création d\'un nouvel utilisateur\r\n\r\n=> tout est OK, on permet de saisir que les dates de clôture supérieures ou égales à celle du groupe.\r\n\r\n2) Modification de la date de clôture d\'un admin partenaire à partir de la modification d\'un utilisateur\r\n\r\n=> tout est OK, on permet de saisir que les dates de clôture supérieures ou égales à celle du groupe.\r\n\r\n3) On crée un utilisateur ayant une date de clôture inférieure à celle du groupe, et on désigne cet utilisateur comme admin partenaire du groupe\r\n\r\n=> Comportement attendu:\r\n\r\n- La date de clôture de l\'utilisateur doit être alignée sur celle du groupe\r\n  \r\n=> Comportement actuel:\r\n\r\n- La date de clôture de l\'utilisateur n\'est pas alignée sur celle du groupe'),
(9804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nTests ARJEL et ETL ABP Offre (INT2 et INT4);\r\nVérification d\'erreur ABP, analyse des logs, pendant la création des markets spécifiques (Both team to score + Over/Under - Football);\r\n'),
(9806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nDéveloppement IHM '),
(9808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nIl y a bien un bug dans le code, aucune cloture de la convention apres la cloture des B.As suite a la cascade. Voir fichier EntityStatusLocalServiceImpl L1513 . Je pense que ce cas n\'a pas été bien testé. correction à apporter'),
(9809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nDélégation élu CHSCT'),
(9814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n[AUTO]: Maj des Templates Test Auto (/pb d\'ARRONDI) sur INT3, INT7 et INT6 + Ménage sur les Templates + Pricers'),
(9815, 'Après Analyse, il s\'est avéré que le problème provient du fait que le rôle n\'est pas attribué (et n\'est pas enlevé à l\'ancien responsable) en modifiant le responsable habilitation.\n\n'),
(10143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nMontée en competence de Jeremie sur Bingo\\\\\\\\nPurge base de prod bingo  pour dupliquer en integ\\\\\\\\nInstallation RWD sur les integ\\\\\\\\nRedaction test auto Bingo'),
(9859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nAnalyse campagne Non Reg RTG 2.2.10 INT1'),
(9860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nProjet Yellowstone : Implémentation de cas de test LOTO'),
(9821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nAbsence'),
(9823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nMontée en compétence sur Test unitaire(Correction)'),
(9824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nMontée en compétence sur Test unitaire(Correction)'),
(9825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-15  (Do not remove this line) -->\nNull pointer bouchon suite problème de données'),
(9826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nNull pointer bouchon suite problème de données'),
(9827, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ncorrection des test unitaires suite au commit de fin de sprint \r\n'),
(9830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nCorrection scripts DigishopI'),
(9831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nCorrection scripts DigishopI'),
(9836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n[AUTO]: Maj des Templates Test Auto (/pb d\\\'ARRONDI) sur INT4, INT8 et INT1 + Menage sur les Templates et Pricers + [Formation] Vanessa sur les tests PSMS LateBet + Void Bet'),
(9841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nMise à jour des pages confluence\r\nInstallation du framework gravity 2.1.7\r\nInstallation du jeu Dobble 2017 v1.0.1'),
(9839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nMise a jour des pages confluence'),
(9861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nProjet Yellowstone : Implémentation de cas de test LOTO'),
(9862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nProjet Yellowstone : Implémentation de cas de test LOTO'),
(9871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nImplémentation campagne PDJ Live combinée'),
(9987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n[Test AUTO / INTX]: MAJ des templates \\\\\\\"Automatisation_Arjel_SPORT\\\\\\\" pour le Pb d\\\\\\\'ARRONDI + Ménage des anciens Templates/Pricer'),
(9870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nImplémentation campagne PDJ Mainbook automatisé par robot pour contrôle du CA (avec Lyna)'),
(9868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\n[Test AUTO / INTX]: MAJ des templates \"Automatisation_Arjel_SPORT\" pour le Pb d\'ARRONDI + Ménage des anciens Templates/Pricer'),
(9991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nInstallation + Test application native Loto Yellowstone Android IOS\\\\\\\\\\\\\\\\nInstallation + Test application native Illiko-live Android IOS'),
(9983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nInstallation + Test application native Loto Yellowstone Android IOS\\nInstallation + Test application native Illiko-live Android IOS'),
(9882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n[ABP Offre] Test de vérification ARJEL et ETL sur les nouveaux markets:\r\nOver/Under Dropgoal (match, 1st Half and 2nd Half) - Rugby\r\nOver/Under Penalties (match, 1st Half and 2nd Half) - Rugby\r\nOver/Under Conversions (match, 1st Half and 2nd Half) - Rugby\r\nWill a defensive bonus point be accorded in the match? - Rugby\r\nWill an offensive bonus point be accorded in the match? - Rugby\r\nWill there be a Tie Break in the set ? - Tennis\r\n[ABP OFFRE] Création de markets Mainbook et Live pour les tests ABP, cottation, PDJ et resulting des nouveaux markets à activer (prochaine activation prévu le 15/01/2017);\r\n'),
(9896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nTest application illiko-live avant livraison pour MEP\\nCOmpilation et Uplaod de l\\\'archive vers APP Store réalisé par PIerre-Gilles'),
(9903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nPalier Olympia – Compte contact – Qualif, Exécution & déclaration d’anomalies'),
(9904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nVerification des Modop et des cas de tests pour mises a jour'),
(9905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nLivraison prévu des nouvelles version d\'application native loto yellowstone IOS Android\r\nCompilation installation + test a faire sur les applications'),
(10944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nCampagne AUTO Orchestrée MULTI JEUX INT3'),
(10945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nCampagne AUTO Orchestrée MULTI JEUX INT3'),
(9908, 'La solution de ce bug dépend de la résolution du ticket 16146 (gestion des rôles)'),
(9909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nAcceptance Olympia sur INT7'),
(9910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nAcceptance Olympia sur INT7'),
(9912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\namélioration bouchon excel\\nCOHERIS & BI : Points d\\\'améliorations'),
(9979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nAmélioration bouchon\\\\nMaj documentation'),
(9915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nAction : implémentation des tests d\'acceptation boutik notamment : \r\n1.gestion de la problématique de manque de JDD pour les Ecrédit ie \r\n- prise en main du script de service Box de E crédit\r\n- validation du script de service Box de E crédit unitairement \r\n- intégration du script en prérequis au test concerné\r\n2. implémentation API et acceptation du test de service delete account'),
(9916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nAction : validation des installations Digishop A-2.2.4 et U-2.2.2\r\nLivrable : rapport d\'exécution + actions curatives associés à l\'exécution '),
(9917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nVie des environnements'),
(9918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nOptimisation requêtes campagne auto digiship'),
(9981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nCampagne acceptance falcon 2.3.6'),
(9921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nOptimisation requêtes campagne auto digiship'),
(9982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nVie des environnements'),
(9923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nSupport : \r\nAnomalies + DMT Olympia : DMT0004478 / ANO045130 / ANO044815\r\n\r\nAnomalies Keno (recette bloquée) vérification conf + tests'),
(9924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nTravail sur référentiel Digital Front'),
(9926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nRéunions :\\n- Coproj Coco\\n- Cloud Front - Architecture'),
(9980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nInstallations et tests INT11 (POLY)\r\n- MAG 2.3.4 - FDL015050\r\n- MUG 2.7.2 - FDL015046\r\n- MIG 2.4.0 - FDL015003\r\n- Digi A 2.2.4 - FDL015022\r\n- Digi U 2.2.2 - FDL015024'),
(9929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nNettoyage / ménage Catalogue de tests'),
(9930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nQualification ano suspendues Keno : \r\n- ANO045104\r\n- ANO044527\r\n- ANO045176\r\n- ANO043975\r\n- ANO045174\r\n- ANO045149'),
(10936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nparions sport point de vente :\\npoint sur les dernières livraisons et futures'),
(10937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nparions sport Point de vente \\ntest d\\\'acceptance sur la version 4.0.041 \\ncheck version et catalogues'),
(10939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nparions sport point de vente : \\ntests de qualification de la version 4.0.041 \\nanomalie de QR code \\\"doublons\\\" non retrouvée\\npromulgation de certaines données en int4'),
(10938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nParions sport point de vente:\\npromulgation des données sur INT4'),
(9935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n- Finalisation campagnes et tâches vieDesEnvs pour les PDJs MainBook, \\n- Création campagne pour CA participant de la veille toute origine. \\n- Analyse problème des retours 502 ADC\\n- Support test.'),
(9937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n- Synthèse capture Olmpia V1.0.027'),
(9939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n- Lecture Mails\\n- Etat des lieux applications natives\\n- Suivi mise en prod IllikoLive'),
(9940, 'Pas reproductible en local, la version à la date du 22 décembre sur la plateforme d\'intégration comporte des bugs sur les tableaux de bord corrigés sur l\'env de dev.'),
(9941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n- ModOP mise en PROD application IllikoLive\r\n- Mise à jour catalogue\r\n- Tests application IllikoLive'),
(9942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nModification de code suite à une régression après changement d\'un find en fetch -> du traitement était fait dans la gestion de l\'exception renvoyée par la méthode find utilisée dans la méthode getPartnerByLiferayUserId de la class PartnerLocalServiceImpl'),
(9944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nL\'imputation concerne aussi le defect G4596'),
(9995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nPurge bdd int1\\\\\\\\\\\\\\\\nParametrage BO Bingo\\\\\\\\\\\\\\\\nSupport HIA\\\\\\\\nTir de calibrage sur int2 pour les tests auto de Bingo\\\\\\\\nBingo v2.1.5.51699 - RWD\\\\\\\\nPreparation campagne pour un patch du moteur bingo\\\\nInstallation Build GS 2.1.5.54938'),
(9946, 'Ajout trace lors de l\'activité d\'un utilisateur - consultation dossier\r\nCorrection des appels webservices pour le tableau des gels de compte - suppression RestTemplate.\r\n\r\nLes corrections sont associées à d\'autres mantis.'),
(9947, 'Ajout trace lors de l\'activité d\'un utilisateur - consultation dossier\r\nCorrection des appels webservices pour le tableau des gels de compte - suppression RestTemplate.\r\n\r\nLes corrections sont associées à d\'autres mantis.'),
(9948, 'Correction : après la mise à jour des bulletins lors de l\'update de la convention, on re-check le nombre des BA actifs ou inactifs.'),
(9949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nAjout de l\'interface d\'édition de flux RSI'),
(9951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n- Etat des lieux des applications Loto YellowStone   \\n- Etat des lieux ALM des applications natives hasards'),
(9955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n[facturation anticipée fin 2016]\\n[OLYMPIA] Exécution RUN1\\nEchanges avec le dev sur les anomalies ouvertes OLYMPIA'),
(9959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nabsence '),
(9997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nmontée en compétence Stream PHP et Interactive Factory'),
(10934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\nresolution problèmes illikolive et elagage du catalogue illikolive (android et ios)'),
(9963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nCréation des nouveaux templates xml Betradar pour la création automatique d\'offre des nouveaux markets ABP Offre;\r\nRédaction d\'un manuel de création de templates xml Betradar;\r\nTest de validation ARJEL et ETL;'),
(9996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\ninstallation FDL014960 	FALCON USR	2.3.6-1\\\\\\\\ninstallation FDL015064 	FALCON OPR	2.4.3-1\\\\\\\\ninstallation FDL014985 	FALCON BOX	2.4.5-1\\\\\\\\nsur int1'),
(9967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\nProjet Olympia'),
(9969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\nProjet Olympia.\\nQualification des anos WSPO et des applications natives IOS et Android'),
(9972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nTest d\\\'acceptance IOS 1.0.18 + avancement projet Olympia.\\n(~3h de formation sport pour monté en compétence de Eric MARTIN)'),
(9971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nGalère sur la configuration des applications natives Android et IOS!!! La configuration change et ils ne précisent rien dans les FDL ou des releases notes.\r\nTest d\'acceptance WSPO 1.0.023 (FDL015049 OK) et Android 1.0.028 (FDL015063 OK)'),
(9973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\nAvancement projet Olympia.\r\nPrésentation à Djamel & Eric sur la promulgation de l\'offre sport sur le serveur Edwan pour débloquer Djamel dans ces tests.\r\nLivraison composant WSPO --> Modification appel initialisation ---> début de la galère.'),
(9977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-23  (Do not remove this line) -->\nFDL015017 - [HAPPY DES HIVER] Livraison v 3.0.1\\\\nAnalyse anomalie\\nInitialisation d\\\'un script générique des jeux Illiko afin d\\\'industrialiser les installations'),
(9976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\nanalyse anomalie concernant le non affichage des messages d\\\'infos lors d\\\'un dépassement des limites de purse'),
(9978, 'RAF:\r\nSur toutes les rubriques avec un tableau:\r\n- Problème de tri de la liste dans l\'ordre alphabétique : le tri est fait page par page et non sur l\'intégralité de la liste\r\n- Ajouter un libellé \"Afficher par\" pour la liste déroulante 5/10/15 qui permet de définir le nombre d\'élément par page\r\n\r\nDans le menu, remplacer \"Offre bailleur\" par \"Mon espace bailleur\"\r\n\r\nSignaler un impayé: Certains champs doivent être rapprochés du libellé car trop éloignés l\'un de l\'autre.'),
(9998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-16  (Do not remove this line) -->\n- Support INT21, front hasard ko\\n- Réception livraisons Keno 3.5.2_hasard, 3.4.0_mapi\\nOuverture ano régression loto ANO045069\\n- Initialisation modop Keno\\n- création ANO045069 [MAPI][KENO] Statistiques Combinaisons Loto erreur 400'),
(9999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-19  (Do not remove this line) -->\n- Qualification 3.1.1_mrcd\\n- maj ALM MRCD sur palier Keno\\n- création ANO045111 [MRCD] Doublon getMessage dans les logs d\\\'erreurs\\n- création ANO045113 [MRCD] Affichage incorrect du json en cas d\\\'erreur appel MRCD\\n- création ANO045119 [MRCD] Message d\\\'erreur non explicite sur un noProduit invalide\\n- création ANO045127 [MRCD] PHP Warning:  json_encode(): Invalid UTF-8'),
(10000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-20  (Do not remove this line) -->\n- maj doc swagger 4.0.0_mrcd\\n- création ANO045134 [MRCD] PHP Notice:  Undefined variable: resp\\n- création ANO045135 [MRCD][YELLOWSTONE] Maj doc swagger /mrcd/draws/infos\\n- création ANO045136 [MRCD][YELLOWSTONE] Régression doc swagger mrcd-voucher.json\\n- Qualification MRCD KENO'),
(10001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\n- Maj campagne ALM MRCD\\n- création ANO045206 [MRCD][KENO][YELLOWSTONE] Maj Swagger /mrcd/draws/infos\\n- Investigation Pb de rafraichissement des données MRCD - JOSE'),
(10002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\n- Maj campagnes de tests MRCD\\n- Maj doc 3.4.0_mapi, 4.0.1_mapi\\n- Maj doc 3.1.2_mrcd, 4.0.1_mrcd\\n- Maj doc 3.2.7_mobi, 4.0.1_mobi\\n- installation livraisons YellowStone\\n4.0.1_mrcd	FDL015055\\n4.0.1_mobi	FDL015052\\n4.0.1_mapi	FDL015059\\n4.0.1_hasard	FDL015054\\n4.0.4_edwan	FDL015056'),
(10382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-21  (Do not remove this line) -->\ntest d’acceptante de la version ABP 14.1.23.OLYMPIA-SNAPSHOT  533'),
(10099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\ntest d’acceptante de la version ABP 14.1.23.OLYMPIA-SNAPSHOT  533'),
(10005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\n- Qualification et test appli Loto YellowStone (IOS / Android)\r\nInvestigation erreur lancement de la webApp Loto '),
(10006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-12  (Do not remove this line) -->\nTransfert de compétences avec Vanessa sur PSEL / Install ABP .533 avec Raphaël / procédure d\\\'installation ABP'),
(10008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\n[ABP OFFRE] Création des nouveaux templates Betradar (via Template Manager) pour tester la création d\\\'offre avec des fichiers xml;'),
(10009, 'Alaa : Règles de gestion maj du rôle de l\'utilisateur dans la table des habilitation_partner dans le cas de la maj du responsable d\'un groupe, de la suppression d\'un groupe, de la maj d\'un admin partenaire, de la suppression d\'une convention.'),
(10012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\ntest d’acceptante de la version ABP 14.1.23.OLYMPIA-SNAPSHOT  533'),
(10013, '8 bloquants de pca-portlet : \r\n\r\nCes anomalies proviennent d\'une classe générée \"ClpSerializer.java\". A voir avec Sebastien si on peut ignorer les exceptions de classe générées\n\n'),
(10014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\n- Test Qualif application Loto / IllikoLive \r\n- Test mise en place d\'un outil d\'automatisation des test appli natives (Appium)'),
(10940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nTest acceptance  PDV version 4.0.42  sur Android \\nen attendant la versions 4.5'),
(10941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\ninstall wspo sur int 3'),
(10017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\n[ABP OFFRE] Création et MàJ des templates ABP pour création et résulting des paris avec les fichiers Betradar;\r\n\r\n[PSMS] Tests d\'acceptence ALM sur INT4 pour la nouvelle version PSMS livrée\r\nSITE:           fdj2-origin_release_12-39\r\nABP:            14.1.27-SNAPSHOT 2818\r\n'),
(10942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nApp native point de vente   : tests acceptance partie tablet'),
(10943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nPDV différents tests coté serveur'),
(10022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nRemise a plat des jobs et des workspaces PCA, PHA et PPS'),
(10021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nRemise a plat des jobs et workspaces PBA + synchro compte utilisateur'),
(10023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nMise en place d\'un filtre des organismes pour n\'afficher que les partenaires appartenants à des organismes liés à l\'utilisateur courant.'),
(10057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\\\nScripts et blocs BOIF OPR (fin)'),
(10025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n- Test Qualif application Loto YellowsTone / Investigation problème de chargement webApp et prise de jeu\r\n- Investigation de  l\'outil d\'automatisation Appium pour application mobile'),
(10106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\\\nDev scripts automatisé : evol de FalonPUTSessionLostPassword pour gerer la nouvelle release de service 2.3.0 ainsi que les nouveaux attributs d\\\\\\\'environnement cible\\\\ngestion des nouveaux jeux motors gareoloup*\\nmise à jour du script GEN_JSON_DBREQUEST pour attacher les fichiers d\\\'exemples requis'),
(10027, '(1),(2) : corrections effectuées\r\n(3), (4), (5) : pas d\'action Atos'),
(10028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nCorrection de scripts'),
(10029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nCorrection de scripts'),
(10030, 'RAF : Passer le traitement de l\'envoi d\'email dans les services de PHA et non dans les MBs.'),
(10042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nAction : les campagnes d\\\'acceptation ci-dessous ont été exécuté\\ndigishopi\\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.3.6_INT3_CC\\nACCEPTANCE_DIGISHOPI_2.2.1_Falcon_2.3.6_INT3_CC\\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.3.6_INT3\\nACCEPTANCE_DIGISHOPI_2.2.1_Falcon_2.3.6_INT3\\n\\ndigishopa\\nACCEPTANCE API_DIGISHOPA_2.2.4_Falcon_2.3.6_INT3_CC\\nACCEPTANCE_DIGISHOPA_2.2.4_Falcon_2.3.6_INT3_CC\\nACCEPTANCE API_DIGISHOPA_2.2.4_Falcon_2.3.6_INT3\\nACCEPTANCE_DIGISHOPA_2.2.4_Falcon_2.3.6_INT3\\n\\ndigishopu\\nACCEPTANCE API DIGISHOPU_2.2.2_Falcon_2.3.6_INT3_CC\\nACCEPTANCE DIGISHOPU_2.2.2_Falcon_2.3.6_INT3_CC\\nACCEPTANCE API_DIGISHOPU_2.2.2_Falcon_2.3.6_INT3\\n\\n\\nlivrable : résultat d\\\'exécution des tests d\\\'acceptation INT3 (envoi par mail)'),
(10044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nAction : Suite au résultat d\\\'exécution des tests d\\\'acceptation INT3, des analyses et  actions correctives ont été réalisées\\nLivrable : bilan des actions');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(10045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nAction : Suite au résultat d\'exécution des tests d\'acceptation INT3, des analyses et  actions correctives ont été réalisées\r\nLivrable : bilan des actions'),
(10046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nAction : les campagnes d\'acceptation ci-dessous ont été exécuté\r\ndigishopi\r\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.5_INT1_CC\r\nACCEPTANCE_DIGISHOPI_2.2.1_Falcon_2.5_INT1_CC\r\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.3.5_INT1\r\nACCEPTANCE_DIGISHOPI_2.2.1_Falcon_2.3.5 _INT1\r\n\r\ndigishopa\r\nACCEPTANCE API_DIGISHOPA_2.2.4_Falcon_2.3.6_INT1_CC\r\nACCEPTANCE_DIGISHOPA_2.2.4_Falcon_2.3.6_INT1_CC\r\nACCEPTANCE API_DIGISHOPA_2.2.4_Falcon_2.3.6_INT1\r\nACCEPTANCE_DIGISHOPA_2.2.4_Falcon_2.3.6_INT1\r\n\r\ndigishopu\r\nACCEPTANCE API DIGISHOPU_2.2.2_Falcon_2.3.6_INT1_CC\r\nles autres campagnes digishop U ne sont pas exploitable en l\'état. une refonte des requêtes pour optimisation est en  cours.\r\n\r\n\r\nLivrable : bilan d\'exécution des campagnes d\'acceptation boutik '),
(10047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[ABP OFFRE] Test ARJEL et ETL des nouveaux markets crées et résultées avec des fichiers de feed Betradar;\r\nAnomalie trouvé pour la création de templates ABP (ANO045396);\r\nCréation d\'offre manuel et auto (Betradar) sur INT4;\r\n[PSMS] Création de cas de tests ALM pour vérifier les prises de jeux d\'un jouer sans solde - Anomalie trouvé (ANO045392) sur la Webapp en PROD (prob. toujours présent dans la version actuel de PSMS \r\nSITE:           fdj2-origin_release_12-39\r\nABP:            14.1.27-SNAPSHOT 2818\r\nMOBILE:         4\r\n ;\r\n '),
(10049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nAction : optimisation/refonte des requêtes sql : état des lieux, proposition d\\\'un plan d\\\'action. \\nlivrable : à définir'),
(10126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nAction : implémentation des cas de test boutik d\\\'acceptation non couvert \\nlivrable : \\nDU-0138 -01-account- GetUserAccountData-POST-OK-AUTO(CC)\\nDU-0138 -02-account- GetUserAccountData-POST-OK-AUTO(CC)(API)\\n'),
(10128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nAction : implémentation des cas de test boutik d\\\\\\\'acceptation non couvert Livrable : \\nDU-0139-account- UpdateUserOptin-POST-OK-AUTO(CC)\\nDU-0139-account- UpdateUserOptin-POST-OK-AUTO(CC)(API)\\nDU-0139-account- UpdateUserPin-POST-OK-AUTO(CC)\\nDU-0139-account- UpdateUserPin-POST-OK-AUTO(CC)(API)\\n\\n\\nAction : suivi des anomalies \\nANO042997\\nANO041068\\nANO042707\\nANO042723\\nANO041860\\n\\n\\n'),
(10053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nTests webapp keno'),
(10055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\ntests webapp keno'),
(10056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\ntests webapp keno'),
(10062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n[ABP OFFRE] Controle ARJEL et ETL sur INT4 et INT2;\\n[PSMS] Campagne de NONREG Front sur INT6 pour la nouvelle version PSMS \\nSITE:           fdj2-origin_release_12-39\\nABP:            14.1.27-SNAPSHOT 2818\\nMOBILE:         4'),
(10063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nSuite test et documentation Appium \r\nTest appli natives'),
(10064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nInstallation Jeux Loto Yellowstone sur IOS et Android FDL15073 et FDL15071 \r\nCréation des release et cycle sous ALM sur le palier Yellowstone\r\nDeploiement des campagnes de tests'),
(10065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\ncontinuité du travail sur l\'application loto Yellowstone sur Android et IOS, beaucoup d\'erreurs constatées, analyses des logs via fiddler, envoie de mail au personnes concernées, mise en relation avec la recette en attente du GO, erreur du chargement de la webapp etc...'),
(10068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\ncontinuité du travail sur l\\\'application loto Yellowstone sur Android et IOS, beaucoup d\\\'erreurs constatées, analyses des logs via fiddler, envoie de mail au personnes concernées, mise en relation avec la recette en attente du GO, erreur du chargement de la webapp etc...'),
(10067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\ncontinuité du travail sur l\'application loto Yellowstone sur Android et IOS, beaucoup d\'erreurs constatées, analyses des logs via fiddler, envoie de mail au personnes concernées, mise en relation avec la recette en attente du GO, erreur du chargement de la webapp etc...'),
(10069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nPalier Dec Olympia: Exécution de cas de test RUN1'),
(10073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n[facturation anticipée décembre 2016]\\nPalier Dec Olympia: Exécution de cas de test RUN1'),
(10115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\\\nPalier Dec Olympia: Exécution de cas de test RUN1\\nEt rédaction de nouveaux cas de test ARJEL: estimés entre 15 et 20 cas de test'),
(10116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\\\nPalier Dec Olympia: Exécution de cas de test RUN1\\nEt rédaction de nouveau cas de test ARJEL: estimés entre 15 et 20 cas de test'),
(10076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nformation de sebastien'),
(10078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nformation de seb\\ntest  manuel ABP version 14.1.23.OLYMPIA-SNAPSHOT 533 :\\n01 - Gestion Offre Retail Live\\n\\\\t 01 -01 - Market Type Enablement\\n\\\\t 01 - 02 - Création Offre et Pré-publication\\n\\\\t 01 -03 - Publication Offre\\n\\\\t 01 -04 - Trading Live Manuel\\n\\\\t 01 -05 - Trading Live auto'),
(10097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nsuite des tests manu abp  14.1.23.OLYMPIA-SNAPSHOT 533'),
(10080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\n- Config sur Fiddler\r\n- Reprise Olympia (lecture doc, analyse composants) pour assurer le backup de Christophe\r\n- Qualifications anomalies Keno'),
(10081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nInstallation et tests sur TR3 - Projet Olympia\r\nFDL015058	MIGO	1.0.17\r\nFDL015048	MUGO	1.0.6\r\nFDL015053	MAGO	1.0.12\r\nFDL015046	MUG	2.6.2_wcpte\r\nFDL015050	MAG	2.3.4_auth\r\nFDL015069	MIG	2.3.1_mig\r\nFDL015024	DIGISHOP-U	2.2.2\r\nFDL015022	DIGISHOP-A	2.2.4\r\nFDL015005 	DIGISHOP I 	2.2.1\r\n\r\n'),
(10082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n- Support création joueurs auto suite changement de traitement de Digishop R pour l ID joueur'),
(10083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nProjet Yellowstone\r\n\r\nInstallations et tests :\r\n\r\nFDL015024	DIGISHOP-U	2.2.2\r\nFDL015022	DIGISHOP-A	2.2.4\r\nFDL015005	DIGISHOP-I	2.2.1\r\n'),
(10084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nProjet Olympia\r\n\r\n- tests compatibilité nouveau MAGO sur INT7\r\n- support recette\r\n- Installation et tests acceptance sur INT1 :\r\n\r\nFDL015096 MUGO 1.0.9\r\nFDL015092 MAGO 1.0.18\r\nFDL015095 MIGO 1.0.9'),
(10085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nTravail sur référentiel Digital Front\r\n- Corrections de tous les tests en NO RUN\r\n- Enrichissement des tests pour DEFI / PMD'),
(10086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nvie des environnements : comptes contact'),
(10087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nvie des environnements : comptes contact'),
(10088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nOptimisation des requêtes pour digishop'),
(10319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nOptimisation des requêtes pour digishop'),
(10095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nTests d\\\'Acceptance ABP 14.1.23-OLYPMPIA-533 / Problèmes Parions Direct'),
(10094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nTests d\\\\\\\'Acceptance ABP 14.1.23-OLYPMPIA-533 / Problèmes bloquants Parions Direct'),
(10096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nTests d\\\'Acceptance ABP 14.1.23-OLYPMPIA-533 / Analyse de problèmes et fonctionnement sur logs Apache avec Rachid Diane'),
(10098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nPréparation installation ABP 14.1.23-OLYPMPIA-533 pour INT1 -  Tests ABP 14.1.23-OLYMPIA-533 sur INT3'),
(10101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\n- support portail mobile, chargement de la webapp Keno, maj de contribution effectuée pour device=mobile\r\n- support problèmes de statistiques Amigo palier Keno, anomalie sur dates dans base Oracle\r\n- problème d\'affichage des pages de résultats sur YellowStone\r\n- investiguation pb json mapi Yellowstone game null\r\n- pb de promulgations bloquées depuis 1 semaine, rattrapage à prévoir'),
(10102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\n- mise à jour modop MEP Keno\r\n- support webapp Keno sur portail mobile, maj contribution mobi\r\n- support webapp Keno sur appli native, maj contribution mobi\r\n- alerte remontée sur la configuration appParentes pour la webapp Keno\r\n- support promulgations Yellowstone ko\r\n- création ANO045408 [EDWAN][YELLOWSTONE] PHP Notice:  Undefined index: boules\r\n- création ANO045414 [EDWAN][YELLOWSTONE] Echec de promulgation archive_superloto.php\r\n- création ANO045415 [EDWAN][YELLOWSTONE] Echec de promulgation histo_promulg.inc'),
(10104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n- création ANO045429 [HASARD][YELLOWSTONE] Affichage des pages de résultats régression\\n- installation livraison Keno 3.4.4_hasard	FDL015093\\n- support applis natives pour crash application lors des prises de jeu\\n- support drawBreak sur appli native, correction apportée côté mapi'),
(10114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n[Facturation anticipée décembre 2016]\\\\nVérification du script transverse DBSelectAndFusion pour déterminer pourquoi les champs de valeur NULL sont valorisé avec la chaine \\\\\\\"(null)\\\\\\\"\\n\\nanalyse du code du script transverse GEN_JSON_DB_REQUEST et ses appels dans le tronc commun et test dans ALM 12 pour tenter de résoudre le plantage ALM en sortie de script'),
(10109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nPTAB : Qualif version 2.14.2 > Rejetée'),
(10110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nPTAB : Qualif et aide dev 2.14.3'),
(10111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-28  (Do not remove this line) -->\nPTAB : MEP v2.14.3'),
(10112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nPTAb : QUALIFICATION v2.14.3'),
(10113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nPTAb : QUALIFICATION v2.14.3'),
(10117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nConversion de tous les flux de tests m\'ayant été fournis.\r\nDébut de réalisation des tests jUnit'),
(10120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nTests application native, ALM et revue du simulateur de gain'),
(10134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nAnalyse de l\\\\\\\'anomalie suivante: Déconnexion aléatoire lors des prises de jeux sur le jeu Happy Dès Hiver'),
(10133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\n- Installation [MAXI MOTS CROISES] Applet v1.0.1 (FDL015080)\\n- Mise a jour des pages confluence'),
(10136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nInstallation du croupier du jeu ITG ALASKASH 2016 v1.0.0 (FDL015102)\\\\nMise a jour des pages confluence\\\\nRéalisation d\\\\\\\'un script d\\\\\\\'industrialisation des installations des jeux Illiko (en cours)'),
(10135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\n- Installation de l applet du jeu ITG Dobble 2017  v1.0.2 (﻿FDL015091) puis retour arrière car la livraison est prévue le 03/01 (DMT0004735)\\\\n- Mise a jour de page confluence en vue de mon absence\\\\n'),
(10138, 'Tests de surface faits:\r\n• Vérificateur CAF : OK\r\n• Admin CAF : OK\r\n• Timestamp ajoutés en début et fin de chaque test\r\n\r\nJe liste en même temps les ids à mettre dans le futur.\r\nJe modifie aussi les tests HP (vu avec Tony / Jérémy)  car certains faisaient des créations!\r\nUn peu de retard dû à l\'apprentissage de certains points (différents de Selenium web driver) ainsi qu\'aux redémarrages de la PI...\n\n'),
(10296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nSupport ano prod Bingo'),
(10140, 'Etude concernant le pays : https://rsitools.bs.fr.myatos.net/prjmngt/mantis200/view.php?id=16263'),
(10141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nAction : palier de Décembre : atelier suivi des tests automatisé\r\nLivrable : compte rendu de réunion sur  confluence'),
(10334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nAction : stream compte : atelier suivi des tests automatisé\\\\nLivrable : compte rendu de réunion sur  confluence'),
(10144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\n- Test et quali des erreurs sur l\'application Loto Yellowstone\r\n- Revue cas de test ALM pour application native'),
(10145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nPoint palier Olympia\r\nScripts et blocs BOIF ITFA\r\nEvolutions Digishop R'),
(10149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Bug Fixing + Campagne NonReg + [Portugais] + [ADMIN]: Pb de compte \\\\\\\"Non renouvellé\\\\\\\" (Windows + SNOW) (=> Perte 1h)'),
(10150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nAtelier automatisation Palier décembre\\ndev API : regeneration et merge de l\\\'API Falcon RTL 2.3.6, test et tag API'),
(10363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nAtelier automatisation Palier décembre\\\\\\\\ndev API : regeneration et merge de l\\\\\\\\\\\\\\\'API Falcon RTL 2.3.6, test et tag API'),
(10152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nmaj des guide d\'exploitation & traitement'),
(10153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nAutomatisation des tests (stream comptes)\r\nBlocs et Scripts BOIF ITFA\r\nLogin aiguillé Digishop\r\n'),
(10154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nCampagne ALM de Non Reg  Front PSMS sur INT4 (site web et Webapp) \r\nSITE:           fdj2-origin_release_12-39\r\nABP:            14.1.27-SNAPSHOT 2818\r\nMOBILE:         4\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.165\r\nAvancement de la campagne ALM: Projet SPORTS_2013 > Releases > BAC.005.33 - EVOLUTIONS PSEL > PSMS v1 > ABP 14.1.27 build 2818 > Front fdj2-origin_release_12-39'),
(10184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nExecution campagne Keno : hasard_3.4.5\\\\\\\\nExecution camapgne Yellow : eDwan_4.0.5\\\\\\\\nPrise de connaissance projet Presto'),
(14868, '2 points :\r\n- Pb encodage résolu en patch 1.7.05\r\n- Corrections à faire sur la V1.8.0  Incohérence de données quant au foyer soumis aux droits et devoirs'),
(10158, 'said,alaa,tony,bertrand'),
(10159, '○ Mail delphine potez (CAF Somme) du 27/12\r\n		○ Mail de gwendoline.le-merlus@cdr-idf.caf.fr  (CAF yvelines) du 21/12\r\n		○ Mail de gwendoline.le-merlus@cdr-idf.caf.fr (LISTE COMPLETE) du 21/12'),
(10162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nTest webApp KENO\r\nRédaction ModOP WebApp Loto YellowStone\r\nBackUp Jerome Massano (Support WebAPP Keno et Loto)'),
(10163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nà transformer en évolution après l\'analyse'),
(10297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nSupport : probleme de Pdj bingo sur mobile int8\\\\\\\\nAnalyse Job control M Olympia\\\\nSupport ano de prod BO Bingo'),
(10295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies suspendues : 3 anomalies = 2 abandonnées, 1 soumise\\n[IF] Qualification des anomalies suspendues : 1 anomalie, pb de dispo des environnements (INT0)\\n[IF] extraction des jeux ITG (+ croupier) et MTR publiés sur les lotteries\\n[GAMIFICATION] Création de coquilles vides sous ALM'),
(10166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\n- Analyse des évolutions de l\\\'application Olympia\\n- Analyse erreurs de résulting des offres lives'),
(10237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\n- Ajout de la vérification des statuts des markets après l\\\\\\\'envoi de la transaction de paiement lors du résulting Apollo.\\\\n- Echange équipe dev Olympia au sujet des appels mify en erreurs'),
(10168, 'Le fichier initial est sur le DFS : I:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\PPS\\12-LIVRABLES\\Suivi de production\\Generalisation 201701 – CAFS\\\r\n\r\nA commencer le 4/1/07 en attendant une nouvelle version de ce fichier (ligne en rouge a ne pas créé)'),
(10169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Suite tests Late Bet + 1 nouvelle anomalie potentielle + [SNOW]: Tjr pas accès'),
(10170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nLes siren dans la table des données du tdb 4 pca (pcatrace_profilcountdata) n\'étaient pas enregistrés avec les espace et la comparaison des objets de type string était donc défectueuse.'),
(10172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nDerniers blocs et scripts BOIF ITFA\r\nCartes NFC (CC)\r\nDigishop évolution Int vers LONG'),
(10173, 'Recu nouveau fichier  seules ,les lignes 68 à 71 ne sont pas à prendre en compte'),
(10174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nAction : réunion évolution ALM\r\nLivrable : évolution ALM dans la prochaine livraison '),
(10175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nAction : implémentation des tests Acceptation et Acceptation API et gestion des problématiques lié\r\nLivrable : test lié aux services DigishopUPOSTAccountManagePursesSetUserAccountDailyLimit et DigishopUPOSTAccountManagePursesSetUserAccountMonthlyLimit \r\nsuivi des anomalies liés'),
(10183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nreunion 14h'),
(10177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nRédaction de tests automatique RTG  Loto Yellowstone'),
(10387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nRédaction de tests automatique RTG  Loto Yellowstone. Lancement des campagnes RTG 2.2.10 sur INT1 avec la version de falcon USR 2.3.6'),
(10179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nTest bascule TR3 Loto'),
(10180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nTest PDV IOS nouvelle livraison \r\nacceptance'),
(10181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nSPDV - WSPO test nouvelle version PDV'),
(10182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nAction : implémentation des cas de test DU acceptance CC + gestion des anomalies notamment étude des anomalies suspendu pour réafectation ou abandon\r\nLivrable : cas de test DU acceptance CC  + statut des anomalies suspendu à jour\r\nnotamment ANO045543 ,ANO041068,ANO042707,ANO042723, ANO041860\r\n'),
(10185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nOptimisation des requêtes mosi'),
(10186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nVie des environnements'),
(10187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nVie des environnements'),
(10188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nCampagne d\'acceptation falcon 2.3.7'),
(10189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nCampagne d\'acceptation falcon 2.3.7'),
(10190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\narret de travail, examen chez le stomatologue pour ma machoire'),
(10191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nTests IF admin'),
(10192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nFin des blocs et scripts BOIF (ITF v2.0.0 alpha 3)'),
(10287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nAnalyse des jeux installé et des cas de tests redigés par Jeremie Quesada\\nReflexion sur les cas de tests des Jeux ITG ou rien n\\\'est redigé pour l\\\'instant sous ALM'),
(10213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\n[PSMS] Campagne de non Reg classique Front sur INT4 (web et Webapp)\\\\nSITE:  fdj2-origin_release_12-39\\\\nABP:            14.1.27-SNAPSHOT 2818\\\\nMOBILE:         4\\\\n\\\\n\\n\\nPS: Problème d\\\'indisponibilité des environnements INT4 et INT6'),
(10327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nEtude des Modes opératoires Stream PHP'),
(10197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nVerification des applis natives loto yellowstone sous IOS et Android dans le cadre le a repetition du 04/01\r\nRedaction ANO045574'),
(10198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nProjets Yellowstone :\r\n- Mise à niveau de INT32 sur le palier Olympia\r\n- création Mode Op'),
(10199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nTest bug sur VITAN prise de jeux résultats doublons'),
(10200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nAtelier tests auto avec V Le Roux et son équipe'),
(10201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nConf Call - Point avancement IQ avec O Julia et M Graziano'),
(10288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nInstallation jeux illiko Dobble et Castor en Or sur INT8\\n+ passage des tests'),
(10203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nSuivi Bascule Yellowstone + tests'),
(10204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nnouvelle version livrée de VITAN 6.0'),
(10205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nPoint avec recette sur tests PMD (Amine)'),
(10286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\n- Bug Review Stream Coco\\n- Démo Stream Coco'),
(10289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nInstallation jeux PRESTO Sauve souris et As Capone sur INT8\\nFDL015123 et FDL015124\\nTest des jeux OK'),
(10209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nTest d\'acceptance VITAN 6.0 + création catalogues'),
(10211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nRéunion Synchro HIA / IQ'),
(10330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nPrise de connaissance Presto'),
(10214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nParticipation a la repetition de la bascule yellowstone\r\nTest sur Appli, prise de jeux, coupure des applis , bascule vers nouvelle appli prévu le 05/01'),
(10290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nCreation des cycles suite a l\\\'installation des jeux Presto + passage des cas de tests sous ALM'),
(10312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nAnalyse des anomalies, création de campagne de tests et modification de cas de tests.'),
(10217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nContinuité sur la bascule Yellowstone coté application Native'),
(10309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nMise en place campagne pour l\\\\\\\'offre portugaise\\\\nModification de la requête pour la vérification des cotes et ajustement des cotes suite au modification des pricers'),
(10220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nExécution des campagnes de tests de non régression Loto 2016.'),
(10224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nInstallation et tests - POLY :\\nMAG Conformité - FDL015140\\nDigi A 2.2.6 - FDL015136'),
(10427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nJeu de données pour la campagne pour vérification ETL'),
(10628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nSuivi des incidents de production'),
(10416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\n[PSMS] Finalisation de campagne de nonreg Front (Web et Mobile) sur INT4: Testes de Settlement, Resettlement et Cutoff\r\nSITE:           fdj2-origin_release_11-13\r\n 7P:            14.1.25.0-SNAPSHOT\r\nMOBILE:         193\r\nARGUS:          14.1-125\r\n'),
(10231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nCampagne Auto Olympia + Test Batch'),
(10292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\n[OLYMPIA] Clôture RUN1'),
(10415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nMise en place campagne pour l\\\'offre portugaise'),
(10229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nTravail test qualification PMD / DEFI / Conformité'),
(10291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nInstallation de 3 jeux presto prévu + création des cycles associés sous ALM et passage des cas de tests'),
(10233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nCampagne Auto Olympia + Test Batch'),
(10234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nCampagne Auto Olympia + Test Batch'),
(10356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nexécution campagne nouvelles fonctionnalités ABP 14-1-23-OLYMPIA-533'),
(10238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nPréparation MES du 06/02  étude du périmètre des ANOS'),
(10239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nSuivi des ANOS, des actions en cours (tirs de Perfs) préparation de la livraison des composants'),
(10240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nSuivi du traitement des ANOs LTS + réunion préparation des livraisons et périmètre des FDL jeux et portails'),
(10241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nCRR réunion suivi des livraisons + préparation Reporting'),
(10242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nSuivi des livraisons et préparation MES'),
(10294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\n[IF] Qualification des anomalies SNOW en status \\\\\\\"suspendu\\\\\\\"\\\\n[IF] Portage des modop \\\\\\\"USR INT3\\\\\\\" vers \\\\\\\"USR INT0\\\\\\\"\\\\n[OLYMPIA] Réunion RUN1 RAF\\\\n[OLYMPIA]'),
(10314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nMise a jour du Catalogue MOTORS (SOCLE COMMUN + TOUS LES JEUX)'),
(10315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nMise a jour du Catalogue MOTORS (SOCLE COMMUN + TOUS LES JEUX)'),
(10316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nMise a jour du Catalogue MOTORS (SOCLE COMMUN + TOUS LES JEUX)'),
(10317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nCAMPAGNE DE QUALIF / TESTS AUTO DU JEU O\\\'VOLOR (MOTORS)'),
(10318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nCAMPAGNE DE QUALIF / TESTS AUTO DU JEU O\\\'VOLOR (MOTORS)'),
(10250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\n- Mise au point API mify et Apollo\\n- Analyse et CR caputure Olympia V1.0.029\\n- Analyse PB Bad request ADC'),
(10385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\ndev script automatisation Falcon RTL FalconTransaction\\ntests sur le passage de champs json dans les scripts transverse ODBC_selectAndFusion \\ntest du nouveau service Digishop oauth sur INT42 : la branche 2 n\\\'est pas fonctionnelle'),
(10253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\ndev script automatisation Falcon RTL FalconTransaction\r\nmodification du script Transverse dbselectAndFusion pour mémoriser les champs vide ou NULL sous forme de chaine vide plutôt que sous la forme \'(null)\''),
(10254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Suite tests Late Bet + 3 UC qui ne passent pas (Avec Steps additionnels pour terminer logiquement le test) + Nouvelle anomalie sur Operator Manager (Droit Event Creator Allow Cut-Off time live markets) + [SNOW]: accès OK + [ENV]: Indispo depuis 16h00 (suite à un Tir de Perf)'),
(10255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Suite tests => Late Bet + Early KickOff + Resettlement'),
(10256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Suite tests => Late Bet + Early KickOff + Resettlement'),
(10257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\n[OLYMPIA] Dépilement stock anomalies suspendues'),
(10258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\n[OLYMPIA] Bug review'),
(10260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\ndev script automatisé Falcon RTL FalconTransaction POST\r\ndev API : correctif noms de fonction requestType_Builder pour FalconTransaction\r\nSupport sur scripts de services transverses de fusion pour utiliser des expression json dans des champs : test OK sur bases du domestiques'),
(13115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nExécution de compagne de tests: projet Olympia RUN1( en renfort )'),
(10324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nExécution de compagne de tests: projet Olympia RUN1( en renfort )'),
(10263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nNon-reg PSMS INT4'),
(10264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nNon-reg PSMS INT4'),
(10265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\n[OLYMPIA] Point avancement des tests\r\n[OLYMPIA] Point cartes NFC'),
(13122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n- maj doc swagger 4.0.2_mrcd\r\n- création ANO046715 [HASARD][YELLOWSTONE] PHP Notice:  Undefined index: numType\r\n- création ANO046721 [HASARD][YELLOWSTONE] PHP Warning:  sort() expects parameter 1 to be array, null given - fichier : Html.php\r\n- Qualification livraisons Yellowstone\r\n- maj cas de tests MRCD\r\n- installation livraisons 4.0.4_mapi	FDL015408'),
(10326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nExécution de compagne de tests: projet Olympia RUN1( en renfort )'),
(10268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\n[OLYMPIA] Support recette (pb saisie IBAN étranger)\r\n[OLYMPIA] Traitement des anomalies soumises :\r\nANO045560 => Validée\r\nANO045547 => Validée\r\nANO045240 => Validée\r\nANO045195 => Validée\r\nANO045053=> validée\r\nANO045108 => Validée\r\nANO044815 => Validée\r\n\r\n\r\n'),
(10269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nolympia ecriture de cas box carte nfc'),
(10270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nolympia run 1'),
(10272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\n[OLYMPIA] Tests MUGO après migration sur domaine pointdevente.parionssport \r\n[OLYMPIA] Campagne Tests ALM application détaillant - Boutique R '),
(10273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nrevue des anos yellowstone + tests keno (fin)'),
(10274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\ntests bascule yellowstone + revue des anos keno et yellowstone + reunion suivi stream'),
(10275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nPréparation du test bascule yellowstone + tests loto yellowstone'),
(10276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\ntests bascule yellowstone '),
(10277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nMise à jour des scripts Compte CC / Digital'),
(10278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nMise à jour des scripts Compte CC / Digital'),
(10279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nMise à jour API DigishopR 1.0.5'),
(10280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nIntégration des double dans DIgishop U'),
(10299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nSupport Ano prod bingo BO\\\\nAnalyse Job ControlM Olympia\\\\nReunion sur probleme de prod Bingo'),
(10298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nAnalyse ControlM Olympia'),
(10300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nSupport Ano prod bingo Gameserver\\nAnalyse Job ControlM Olympia'),
(10293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\n[IF] Relance accès USR INT0\\n[OLYMPIA] Requalification des anomalies majeures en anomalies critiques si nécessaire\\n[OLYMPIA] Conclusion du RUN1'),
(10301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\npTAB : Qualification et MODOP YellowStone'),
(10302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nPTAB : Qualification et passage du cas de test'),
(10303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nPTAB : MEP en preprod avec HIA et fin de qualification'),
(10313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nRéunions + dépilage mailsssssssssssssssss'),
(10305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nRevue de MEP\r\ncorrectif sur  loader jsource (nom de table)'),
(10306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nBatchs'),
(10307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nRevue test alm pour application native AppliMaitre\r\nSuite test basculte TR3\r\n'),
(10320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nOptimisation des requêtes pour digishop'),
(10321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nSuivi d\'avancement ALM et Anomalie du palier complet'),
(10340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nSuivie avancement de la qualification Yellowstone'),
(10342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nExécution cas de test PMD _PDJ'),
(10341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nRéunion Instance IQ digital'),
(10343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nExécution cas de test Batch AboZen'),
(10344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nExécution cas de test AboZen'),
(10346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nExécution cas de test AboZen'),
(10347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nSuite aux tests dev sur les tdb cdap du 4 janvier 2017, résolution d\'un bug d\'affichage de données pour l\'admin partenaire et de filtrage par profils et organismes.'),
(10517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nBSO.003.30 [REF] SAFERGAME: Point d\\\\\\\'\\\\\\\'avancement avec R.Jame\\\\nPoint d\\\\\\\'integration avec JC MOREL'),
(10350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nOlympia – Compte Contact – Exécution & anomalies (déclaration, qualification..)'),
(10354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nOlympia – Compte Contact – Exécution & anomalies (déclaration, qualification..)'),
(10352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nOlympia – Compte Contact – Exécution & anomalies (déclaration, qualification..)'),
(10353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nOlympia – Compte Contact – Exécution & anomalies (déclaration, qualification..)'),
(10355, 'alimentation des tables HISTO\r\nà faire à la fin'),
(10358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nPrise de connaissance Presto\\\\nInstallation + acceptance : composant Hasard et MOBI pour palier YellowStone\\\\nInstallation + acceptance : composant MOBI et MAPI pour palier Keno'),
(10534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nexécution campagne nouvelles fonctionnalités ABP 14-1-23-OLYMPIA-533\\nRemarque: indisponibilité des environnements d\\\'intégration dans l\\\'après-midi suite à des problèmes ADC'),
(10360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nexécution campagne nouvelles fonctionnalités ABP 14-1-23-OLYMPIA-533'),
(10361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nexécution campagne nouvelles fonctionnalités ABP 14-1-23-OLYMPIA-533\r\nRédaction cas de test ATS'),
(10364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nAtelier automatisation Palier décembre\\\\\\\\ndev API : regeneration et merge de l\\\\\\\\\\\\\\\'API Falcon RTL 2.3.6, test et tag API'),
(10375, '3 personnes sur la journée du 04/01\r\nReliquat à traiter le 06/01'),
(10366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nTests IF admin'),
(10368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nTests IF admin'),
(10369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nTests IF admin'),
(10379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nSuite vérification Cloud Front SPORT --> demande vérification redirection ADC --> problème configuration --> Solution trouvée par Mohamed Agourrame.\\nEn parallèle support Eric MARTIN pour vérifier la partie site SPDV (résultats offre, CB et Lotofoot) avec promulgation et récupération BDD sqlite prod.\\nTest Olympia, complément ALM + validation des fiches de la recette.'),
(10372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nTests IF admin'),
(10374, 'S	1	2\r\nM	5	15\r\nL	3	15\r\nXL	2	16\r\nXXL	1	13\r\n-	2'),
(10380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nretour CP --> Dépilage mail (matin)\\\\nAp midi --> Vérification cloud front sport SPDV, WSPO, catalogue mapi.'),
(10381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nAvancement projet Olympia'),
(10383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-22  (Do not remove this line) -->\ntest d’acceptante de la version ABP 14.1.23.OLYMPIA-SNAPSHOT  533'),
(10386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nDev API : Generation et merge Falcon USR 2.3.7\\nCorrection de tous les scripts transverses *SelectandFusion, *SelectAndExport pour la récupération des champs NULL sous la forme de chaine vide (au lieu de  \\\'(null)\\\')'),
(10442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nLancement des campagnes RTG 2.2.10 sur INT1 avec la version de falcon USR 2.3.6. Analyse des campagnes RTG 2.2.10 sur INT1 avec la version de falcon USR 2.3.6.'),
(10950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nStatistiques sur les jobs control-M \\nAnalyses et relances job'),
(10949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nStatistiques sur les jobs control-M \\nAnalyses et relances job'),
(10948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nStatistiques sur les jobs control-M \\nAnalyses et relances job'),
(10392, 'Alaa : Règles de gestion maj du rôle de l\'utilisateur dans la table des habilitation_partner dans le cas de la maj du responsable d\'un groupe, de la suppression d\'un groupe, de la maj d\'un admin partenaire, de la suppression d\'une convention.'),
(10393, 'Commit embarqué dans la 1.6.9\r\nAucune autre modification nécessaire donc bien livré dans sa totalité en 1.6.9'),
(10394, 'Nouvelle version du fichier - Relais de Gwendoline sur l\'insertion\r\n\r\n--\r\n\r\nBonjour Jérémy,\r\n\r\nDésolée, j\'étais en réunion lors de tes appels et je n\'ai pas pris le temps de rappeler par la suite.\r\n\r\nJ\'ai bien eu mes identifiants et j\'ai réussi à créer un administrateur hier avec Paule (Magali LECOMPTE pour la Caf de la Manche)\r\n\r\nJ\'ai pu mettre à jour le fichier d\'hier, il me manque seulement les éléments pour la Caf de la Dordogne :\r\n(See attached file: Liste administrateurs et vérificateurs_JanvierMAJ.xls)\r\n\r\nJe m\'occuperais de la Caf de la Dordogne si tu le souhaites, je pense pouvoir le faire désormais.\r\n\r\nCordialement'),
(10395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-26  (Do not remove this line) -->\nRemise a plat des jobs et des workspaces PCA, PHA et PPS'),
(10396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-27  (Do not remove this line) -->\nRemise a plat des jobs et workspaces PBA + synchro compte utilisateur'),
(10397, 'Suite du 16149 sur commande janvier 2017'),
(10398, 'Suite du 16097 sur commande janvier 2017'),
(10979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nAnalyse controlM Olympia\\nSupport pb de prod bingo'),
(10947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nautoformation/ montée compétence sur controlM et front/ back'),
(10403, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nmises à jour de tests\r\n	\r\n'),
(10404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nPour intégration suite fus pl'),
(10405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nTest application maitre et revue campagne ALM'),
(10406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\noptimisation temps de traitement du chargement client\r\nFDL015161_Coheris_Oracle_OLYMPIA_CRM_F_5.4.1.5'),
(10407, 'Pre-requis des mantis 16418 et 16337 '),
(10408, 'La correction de ce bug fait partie du workItem relatif au mantis 16418.\n\n'),
(10409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nAction  : développement test Digishop U Compte Contact\r\nLivrable : Tests associés : \r\n[1]DU-0113-01-account-AddUserBankAccount-POST-OK-AUTO(CC)\r\n[1]DU-0113-01-account-setUserAccountDailyLimit-POST-OK-AUTO(CC)\r\n[1]DU-0113-01-account-setUserAccountMonthlyLimit-POST-OK-AUTO(CC)\r\n[1]DU-0139-account- UpdateUserPin-POST-OK-AUTO(CC)\r\n[1]DU-0139-account- UpdateUserOptin-POST-OK-AUTO(CC)\r\n[1]DU-0113-01-account- UpdateUserEmail-POST-OK-AUTO(CC)\r\n[1]DU-0138 -01-account- GetUserAccountData-POST-OK-AUTO(CC)\r\n[1]DU-0113-01-account- UpdateUserAccountData-POST-OK-AUTO(CC)\r\n[1]DU-0113-01-account-UpdateUserBankAccount-POST-OK-AUTO(CC)\r\n'),
(10410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nAction : Campagne d\'acceptation boutik suite à livraison de usr 2.\r\n3.7 et da 2.2.6\r\ndigishopi\r\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.3.7_INT7_CC\r\nACCEPTANCE_DIGISHOPI_2.2.1_Falcon_2.3.7_INT7_CC\r\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.3.7_INT7\r\n\r\ndigishopa\r\nACCEPTANCE API_DIGISHOPA_2.2.6_Falcon_2.3.7_INT7_CC\r\nACCEPTANCE_DIGISHOPA_2.2.6_Falcon_2.3.7_INT7_CC\r\nACCEPTANCE API_DIGISHOPA_2.2.6_Falcon_2.3.7_INT7\r\n\r\ndigishopu\r\nACCEPTANCE API DIGISHOPU_2.2.2_Falcon_2.3.7_INT7_CC\r\nACCEPTANCE DIGISHOPU_2.2.2_Falcon_2.3.7_INT7_CC\r\nACCEPTANCE API DIGISHOPU_2.2.2_Falcon_2.3.7_INT7\r\n\r\n\r\nLivrable : mail bilan d\'exécution préliminaire des campagnes d\'acceptation boutik  INT7 et bilan d\'exécution des campagnes d\'acceptation boutik  INT7 \r\n\r\n\r\n'),
(10411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nMise en conformité des blocs Digishop R avec les versions 1.0.5 et 1.0.6\r\nCapture de flux Digishop R\r\nMécanisme OAuth2 via Digishop A\r\nTransfert de compétences IF Tronc commun'),
(10412, 'Sujet Vu avec Anass : Problème de tri de la liste dans l\'ordre alphabétique : le tri est fait page par page et non sur l\'intégralité de la liste :\r\nDans le service locataires, la méthode rechercheLocataires de la classe LocataireServiceImpl comporte trop de paramètres. Il faut regrouper les filtres de recherche, le tri et la pagination dans un seul objet à créer dans le controller rest.\r\nIl faut appliquer sur les tris la même stratégie que les filtres pour dans un premier temps rechercher les données obligatoire pour filtrer, trier puis paginer. Dans un second temps, seul les lignes restantes sont complétées si besoin.'),
(10526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n[COHERIS] Avancement des sujets'),
(10549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nvérification installation FDL015013 (bouchon)\\ntests chargement PDV avec doublons pour analyse\\nFDL015186 (Livré) modifiée : [COJO]  [CRM2] Livraison Partielle objets Oracle MOD010671  : [Post-COJO] Gestion des doublons dans les fichiers Docapost'),
(10420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\n- Atelier dev Olympia \\n- Rétro ingénierie de la webApp Mify\\n- Analyse et proposition de solution mise en place du betslipRefresh  Olympia\\n- Accompagnement mise en place campagnes Factory.'),
(10421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\n- Dev appel Mify MifyGETAccAccountIdBsDetails\\n- Debug problème de conf Mify pour Olympia'),
(11482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Mise en place du refresh du betSlip pour le script auto Olympia'),
(10629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA \\\\\\\\\\\\\\\\nInstallation de la FDL015176_PMD_1.0_liv3 sur le TR3'),
(10425, 'Kevin tu peux regarder ce qui est demandé de ta part ?'),
(10547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nAnalyse ControlM Olympia'),
(14305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nMCO SID Commercial TR3 + SID Client TR2 et TR3'),
(10430, 'Le premier essai a été un echec, impossible de refaire un essai maintenant que la généralisation est lancée.\r\nA voir pour déporter cet essai sur la recette'),
(10431, 'Mise en place du NFS ok.'),
(10432, 'Réouverture pour rattrapage d\'imputation\r\n'),
(10433, 'Le doublon a été livré'),
(10450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nAnalyse des campagnes RTG 2.2.10 sur INT1 avec la version de falcon USR 2.3.6. Acceptance YELLOWSTONE Loto RTG 2.3.3-1 sur INT2'),
(10541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nSFG : Point intégration avec JC.Morel (Projet) + avec P.Maigne (DT)'),
(10539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nAjout de blocs de service cartes NFC sur Digishop R');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(10455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nMAJ des 6 campagnes de test d\\\'installation des FDLs suivantes\\nFDL_14947_SIDCOM_LSGI_V3.0.0.3, FDL_14948_SIDCOM_LWCS_V2.0.0.3, FDL_15008_SIDCOM_DDL_V3.1.2, FDL_15009_SIDCOM_VRPT_SG_V3.1.4, FDL_15010_SIDCOM_TAGG_V3.1.8, FDL015011'),
(10456, 'Imputation du temps de réunion (2j)'),
(10458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nVie des environnements (INT7] : Analyse et reprise suite au failed de la création par le robot.\\nQualification de la campagne auto pour créer l\\\'offre Portugaise.\\nTravail sur les requêtes de validation ETL'),
(10459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nPrésentation des maquettes et échanges techniques'),
(10460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nALSH [Webconférence - en cours] [HabPPS] Point organisation et Préparation Etude technique'),
(10463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5\\nExécution des Campagnes de qualification applicative des vues SAGA. Création de l\\\'anomalie ANO045545'),
(10462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nBTI.049.08 [JEU] YELLOW STONE\r\nRédaction du mode opératoire d\'installation de Calypso et Penelope.'),
(10464, 'Mise en place de Spring Cloud sleuth pour propager le token JWT et l\'identifiant de corrélation'),
(10519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5\\nExécution des Campagnes de qualification applicative des vues SAGA.\\nCréation de l\\\'anomalie ANO045553 - ANO045561'),
(10466, 'Reste faire :\r\n- sécurisation de l\'accès au Spring cloud config\r\n- check au niveau de la gateway'),
(10467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5\r\nExécution des Campagnes de qualification applicative des vues SAGA. Création de l\'anomalie ANO045598 - ANO045601 - ANO045614 - ANO045619 - ANO045621'),
(10471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5\\nBesoin 3 : Exécution des Campagnes de qualification applicative des vues SAGA. Création de l\\\'anomalie'),
(10469, 'Migration Ok dans le groupe http://git.intra.cnaf/MonComptePartenaires-OffreBailleurs\r\n\r\nRAF : config des postes développeurs'),
(14302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\\\\nInstallation de la livraison FDL015045 pour GDS v9.21 DMT0004855'),
(10473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\\n\r\nQualification de la FDL015045 '),
(10518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nBSO.003.30 [REF] SAFERGAME\\nCréation DMT0004965  - Extraction données Saga + envoi des fichiers à M.Barboura et Investigation sur rejets PLC de prod'),
(10475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nBSO.003.30 [REF] SAFERGAME\r\nNon régression sur montée de version datastage/iib/détection'),
(14303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nBSO.003.30 [REF] SAFERGAME\\nInstallation nouveau fichier références sur INT2 FDL015164'),
(10477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nBSO.003.30 [REF] SAFERGAME\r\nInstallation nouveau fichier références sur INT4 FDL015164'),
(10540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nSFG : Chargement données Sugar+ test partie detection'),
(10479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nAnalyse et investigation incidents production'),
(12466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nMCO SID Commercial TR3 + SID Client TR2 et TR3'),
(10482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA\\nCorrection de la chaine controlm pour ADOBIE - Création d\\\'une anomalie ANO045579 relative a un probleme de typage de colonne pour HYPERION / BISNODE WEEK'),
(10484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nBFR.045.33 [FIN] DEFI - STOCK GRATTAGE\\nRevues des actions + FDLs restantes pour MEP et MES'),
(10485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nRAM.003 Gestion des incidents \r\nAnalyse et investigation incidents production Assistance et déblocage pour INC163667 '),
(12468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nRAM.006 Gestion des applications (MCO)\\\\nMCO SID Commercial TR3 + SID Client TR2 et TR3'),
(10488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nBFR.045.33 [FIN] DEFI - STOCK GRATTAGE\r\nInstallation des 6 FDLs sur le TR2 FDL_14947_SIDCOM_LSGI_V3.0.0.3, FDL_14948_SIDCOM_LWCS_V2.0.0.3, FDL_15008_SIDCOM_DDL_V3.1.2, FDL_15009_SIDCOM_VRPT_SG_V3.1.4, FDL_15010_SIDCOM_TAGG_V3.1.8, FDL015011'),
(12469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nMCO SID Commercial TR3 + SID Client TR2 et TR3'),
(10490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nAnalyse et investigation incidents production sur INC163953'),
(10491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nBFR.045.33 [FIN] DEFI - STOCK GRATTAGE\r\nExecution des campagnes de test d\'installation des 6 FDLs'),
(10492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nRAM.003 Gestion des incidents \r\n Analyse et investigation incidents production INC163953 '),
(10493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\r\nCréation de l\'anomalie ANO045682 relative à l\'incident INC163953'),
(14304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nRAM.006 Gestion des applications (MCO)\\\\nMCO SID Commercial TR3 + SID Client TR2 et TR3'),
(12472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nRAM.006 Gestion des applications (MCO)\\nMCO SIDC - Reprise de données'),
(10496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3\r\nDoc de MEP pour EGIDE WS 4.1 Pour porto FDL014885'),
(10498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\\nGestion des environnements'),
(10501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nBFR.040.06  [FIN] CAUTIONNEMENT DETAILLANTS\\nAction sur DMT0004405'),
(10502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\\nGestion des environnements - Mise en place outils de suivi des configurations'),
(12473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nMCO - EGIDE'),
(11059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nAnalyse pour rédiger cas de test resstlement live auto.\\nRédaction cas de test PDJ simple non passante plusieurs outcome.'),
(10505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3\r\nInstallation FDL014885 sur INT9EGID'),
(10506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nBFR.040.06  [FIN] CAUTIONNEMENT DETAILLANTS\r\nAction sur DMT0004405 (Cession de PDV)'),
(10507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-05  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\r\nGestion des environnements - Mise en place outils de suivi des configurations'),
(10508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nBFR.040.06  [FIN] CAUTIONNEMENT DETAILLANTS\r\naction sur DMT0004405 (Cession de PDV)'),
(10509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\r\nInstallation FDL015163_Alim_INFOCENTRE_8.0_liv7  sur INT4ETL9'),
(10510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\r\nRecherche problème sur erreur Extract CA sur TR2'),
(10520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nEGIDE- RAM04 - Investigation sur problème d\\\'erreur I3EGI-EXTRACT_CA-241-CMD'),
(10521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nEGIDE - RAM04 - Investigation erreur sur I2EGI-EXTRACT_CA-241-CMD et création ANO045739'),
(10522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nEGIDE - RAM004 - \\nDébut Qualification de l\\\'ANO045682 sur la recette de masse'),
(10515, 'Tu as regardé les SFD ?'),
(10516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n[PSMS] Tests de modification du Cutoff et Starttime des markets;\\\\\\\\n[PSMS] Création de cas de tests pour vérification des problèmes de loop sur les pages génériques: ALM > Projet SPORTS_2013 > Référentiel Multimédia > HMOA - Sport > Référentiel IQ SPORT > 10. Module CMS ;\\nPSMS] Création des nouveaux cas de tests ALM > Projet SPORTS_2013 > Référentiel Multimédia > HMOA - Sport > Référentiel IQ SPORT \\n'),
(10529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nQualif, rédaction de tests ALM, test pour l\\\'application Applimaitre Android'),
(10538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\n[PSMS] MàJ des cas de tests ALM : Projet Sport_2013\\\\n\\\\n[PSMS] Préparation d\\\\\\\'un fichier xml Betradar de création d\\\\\\\'offre automatique pour les tests FRONT\\\\n\\\\n[ABP OFFRE] Tests ARJEL et ETL des nouveaux markets pour l\\\\\\\'activation du 15/01\\\\n\\\\n[OLY] Début de la campagne de tests FRONT sur INT3'),
(10546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Suite tests => ETL, Acceptance, TagOff, Reconciliation'),
(10533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nRédaction cas de test - Génération et validation fichiers ATS\r\nExecution campagne ABP 14-1-23-OLYMPIA-533 - Réconciliations'),
(10535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nexécution campagne nouvelles fonctionnalités ABP 14-1-23-OLYMPIA-533'),
(10659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\ntests'),
(10660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nformation creation d\\\'un compte utilisateur au labo + passage d\\\'un test pour la qualification WSPO 0.29'),
(38017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n'),
(38018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nAnalyse nouveau chargement sur INT8\r\n[Chargement client] - Avancement qualification\r\n[COHERIS] Avancement des sujets\r\n'),
(10558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nReunion  Philippe A présentation d\\\\\\\'installation des environnements sur cloud Master ert mignon'),
(10548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nFinalisation de la rédaction des cas de test Réconciliation :\r\ncas CLOSE.\r\ncas REFUND.'),
(10617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nanalyse job control M olympia\\\\nsupport BO bingo\\\\n'),
(10553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nFormation DFOMock\r\nTest connexion entre appliMaitre et Illiko\r\nRevue ALM AppliMaitre'),
(10555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSupport PBA'),
(10556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nSupport PBA'),
(10557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nAnalyse pour récupérer les données de la PDJ depuis le fichier de sorti du script de PDJ pour la vérification ETL\r\n'),
(10852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n- Installation sur INT8 :\\\\\\\\n	eDWAN	21/12	FDL015037	3.5.3\\\\\\\\n	HASARD	29/12	FDL015099	3.4.5\\\\\\\\n	MRCD	21/12	FDL015038	3.1.2\\\\\\\\n- Réunion Projet Palier Webapp Keno'),
(10990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSAFERGAME : Point d\\\'intégration avec JC.Morel'),
(10989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSAFERGAME : Non régression partie détection sur INT2'),
(10566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nScript Card Allocate Digishop R'),
(10565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nolympia'),
(10567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nDev API : Evolution de l\'interco ITF via login et authent oauth via Digishop'),
(10568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nDev API : stabilisation et Test de l\'API Falcon/Digishop pour tagger l\'API dans ALM\r\nDev scripts auto : évolutions de divers scripts Falcon suite à de nouvelles versions de services depuis USR 2.3.3\r\n+ Evolution du script d\'inscription compte contact pour paramétrer l\'email/login avec des paramètres additionnels sur le modèle du script domestique'),
(12474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nMCO - EGIDE'),
(10982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nLivraison Documents de MEP à HIA  - FDL015004_egide_4.20.03_liv'),
(10669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nMise à niveau de mon poste de travail : SQLDevelopper\\n- projet IF SQDevelopper 4.1.1 : échange avec Julien\\n- Stream PHP SQDevelopper 4.0 : échange avec Michel\\n\\nMise à jour fiche de test Stream PHP\\nPrise de connaissance sur le portail Presto et les jeux ILLIKO'),
(10981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nQualification de FDL015163_Alim_INFOCENTRE_8.0_liv7   sur INT4ETL9'),
(11483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Atelier campagne portugaise et ETL avec Elise,\\\\n- Mise  à jour et qualification robot.'),
(10576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSuite maj configuration Cloud Front Sport sous ojadgate + passage de l\'INT81 (sport) sur le cloud front sport. Support environnement INT91 --> passage OK.\r\nInstallation WSPO 1.0.26 (FDL015137) sur INT3.\r\nLecture maj documentation applicatif WSPO'),
(10677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n[OLYMPIA] Campagne de nonreg Front sur INT3: Projet SPORTS_2013 > Test Lab > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533\\\\\\\\\\\\\\\\n\\\\\\\\n\\\\\\\\n[ABP OFFRE] Test ARJEL et ETL des nouveaux markets'),
(10581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nVie des environnements'),
(10582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nVie des environnements'),
(10583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nCampagne USR 2.3.7 conformité'),
(10584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nVie des environnements'),
(10585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nVie des environnements'),
(10586, 'Fichiers fournis par la CNAF'),
(10996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nSAFERGAME : Installation correctif dsx reference FDL015189 sur INT4'),
(10589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nBUG REVIEW Projet Olympia et US REVIEW OLYMPIA/SPDV'),
(10591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nAtelier Cloud Front Sport : Explication fonctionnement, installation, manipulation, échange '),
(10598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nEcriture de cas de test d\\\'acceptance pour YELLOWSTONE RTG Loto'),
(10994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nSAFERGAME : Qualification ANO044685'),
(10602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nFin acceptance WSPO 1.0.26, App Native Parions Direct IOS 1.0.020 et Android 1.0.029\\\\\\\\nMaj configuration Cloud front sport sur l\\\\\\\\\\\\\\\'intégralité des environnements'),
(10839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nEcriture de cas de test d\\\'acceptance pour YELLOWSTONE RTG Loto et SuperLoto'),
(10600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nMAJ DOC'),
(10601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nPoint IF Auto\r\nOptimisation des blocs et scripts Digishop R'),
(10997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nSAFERGAME : Installation evolution fichier \\\\\\\"paiementbeneficiaire\\\\\\\" FDL015195 sur INT2'),
(10992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSFG : Création ANO045772, mauvais paramétrage dsx \\\\\\\"jeugamme\\\\\\\"'),
(10995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nSAFERGAME : Point intégration avec JC.Morel'),
(10993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nSAFERGAME : Non régression partie détection sur INT2'),
(10618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nanalyse job control M olympia\\\\nsupport HIA Bingo\\\\nsupport ano back office bingo'),
(10614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nTest et Qualif application Loto Yellowstone \r\nRéunion [YELLOWSTONE] : bilan & tests Qualification'),
(10616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nrevue des incidents de production'),
(10620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nOLYMPIA \\nFDL015182 Pakcman TR3'),
(10622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Suite tests => Vérification tests Réconciliation + Mail à RDU => Et il y a une ano FALCON à saisir'),
(10623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nOLYMPIA Investigation problème de civilité non remonté dans COHERIS'),
(10625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nSTOCK Grattage Revue des anomalies pour PV de qualification'),
(10634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nOLYMPIA Analyse des environnements TR2 et TR3 pour mise en œuvre de la chaine controlm packman sur le TR3'),
(10632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nTraitement de l\\\\\\\\\\\\\\\'incident relatif a la génération des rapports INC164286\\\\nSupport a l\\\\\\\'installation de la FDL014682\\\\n'),
(10633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nSupport sur EGIDE pour le refresh du CA sur la recette de masse'),
(14325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nMCO SIDC + SIDCOM TR2 et TR3 - reprise des données adobe week et bisnode week'),
(11147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\ninstallation sur le cloud front des nouvelles des application mXg sppd wspo'),
(10874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n[PSMS / b2818 / INT4]: Suite tests => Réconciliation: Saisie de l\\\\\\\\\\\\\\\'ano FALCON (ANO045854) + MAJ des tests Réconciliation (/vérif AVANT et APRES Réconciliation)'),
(11484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Évolution de l\\\\\\\\\\\\\\\'Api Olympia pour prise en compte des mise à jours prévues dans la webApp SPO\\\\n- Support qualification sur les appels mify.'),
(10641, 'Adaptation des tests suites pour la PV (URLS, recherche d\'identifiants + adaptation des tests à cause des ids aléatoires)\r\n-> retard\r\n\r\nConstatation que problèmes car les tests de surface écrits dans HP ALM nécessitent des données\r\n=> pb sur la PV => tests manuels !\r\n\r\nVu avec Jérémy: je duplique les tests créés  en \"tests approfondis\" et je ferai des coupes franches dans les tests de surface pour ne pas dépendre des données (sauf URL et identifiants).\r\n\r\nTests approfondis:\r\n• Vérificateur CAF : OK\r\n• Admin CAF : OK\r\n• Admin partenaire : OK\r\n\r\nTests de surface (retravaillés):\r\n• Admin CNAF : en cours'),
(10642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nContinuité d\'analyse des anomalies sur l\'application Native Yellowstone suite a la bascule\r\nImpossible de charger la Webapp suite a la mise a jour de MOBI sur INT2.1\r\nPrise de jeux impossible du a la WebApp\r\nRemonté des erreurs au techlead, a Pierre-Gilles et Sylvie Montoya'),
(10643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nReunion avec DEV sur mise en place du DFOMOCK pour faciliter la mise en place des tests sur les applis natives. Explication sur le fonctionnement et le besoin associé'),
(10644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nContinuité sur l\'analyse des anomalies sur les appliNatives\r\nNouvel WebApp livrée mais qui ne corrige pas le bug\r\nContribution Mobi pour charger la WebApp OK'),
(10647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nTest Appli Native OK, prise de jeux possible, passage de cas de tests en cours'),
(10683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\n- maj doc swagger 3.2.8_mobi\\n- création ANO045481 [MOBI][KENO] Mise à jour doc swagger sur service mobiles/api/bingo\\n- création ANO045492 [MOBI][KENO] Services mobiles/api/cms et mobiles/api/keno tjrs fonctionnels sur appParentes non publiées\\n- création ANO045495 [MRCD][KENO] Erreur API sur noProduit > 127\\n- création ANO045514 [HASARD][YELLOWSTONE] Affichage du bloc résultat Joker+\\n- création ANO045518 [MOBI][YELLOWSTONE] Mise à jour doc swagger sur service mobiles/api/loto\\n- création ANO045521 [MAPI][YELLOWSTONE] PHP Notice:  Undefined index: date_debut et date_fin\\n- création ANO045522 [MAPI][KENO] PHP Notice:  Undefined offset: 0 - StatistiquesController.php\\n- création ANO045523 [MAPI][KENO] PHP Notice:  Undefined index: cplm - StatistiquesController.php\\n- Qualification ano 3.1.2_mrcd'),
(10649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nPassage des cas de tests sur les appli natives sur tablettes, mobile, IOS Android et mise en place des tests de qualif pour Yellowstone'),
(10650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nTest IF Admin'),
(10651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nTest IF Admin'),
(10652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nTest IF Admin'),
(10653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nTest IF Admin'),
(10654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nTest IF Admin'),
(10984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nQualification de FDL015163_Alim_INFOCENTRE_8.0_liv7   sur INT4ETL9 (remise en état de l\\\'environnement pour les tests)'),
(10985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nTest avec SOPRA sur pb [PORTO] ANO043952'),
(10662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\ntests batchs - ano'),
(10661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\ntests batchs'),
(10666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nReglages des synchronisations cloud sur ojadgate avec Julien & Djamel\\ninstallation int4 et int 6 cloud mapo migo mugo,...'),
(10811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nréunon'),
(10810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nréunon'),
(10670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nInstallation et paramétrage des  mignons 20193 & 20194 du cloud en vue d\'installation de psbor 1.0.3'),
(10841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n- Test validation des statistiques sur les numéros les plus sortis\\\\n- Test validation des statistiques sur les numéros les moins sortis\\\\n- Appel au 2800 pour relancer la demande REQ36034\\\\n- Communication pour outillage (SOAP-UI et API Gateway)\\\\n- réunion Plaier YellowStone\\\\n- Echange avec Sylvie Kasriel autour du projet IF et des aspects techniques'),
(10842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n- Amélioration des fiches de test Stream PHP\\\\n- montée en compétence\\\\n- Réunion RoadMap Digital 2017'),
(10843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n- Amélioration des fiches de test Stream PHP\\\\n- Réunion Equipe ATOS\\\\n- prise de connaissance générale'),
(10681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n[OLY] Campagne de Non-Reg Front sur INT3: Projet SPORTS_2013 > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533\\n\\n[ABP OFFRE] Test ARJEL et ETL des nouveaux markets prévu pour d’être activé le 15/01/2017'),
(10682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n[OLYMPIA] Campagne de nonreg Front sur INT3: Projet SPORTS_2013 > Test Lab > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533\\\\\\\\\\\\\\\\n\\\\\\\\n\\\\\\\\n[ABP OFFRE] Test ARJEL et ETL des nouveaux markets\\n[PSMS] Acceptance et non-reg Front de la version finale PSMS (en attente de livraison)'),
(10680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nInstallation Jeux Ascapone, La Poules aux oeufs d\'or, Sauve Souris sur INT2\r\nFDL015160 FDL015124 FDL015123\r\nPassage des cas de tests suite aux installations'),
(10684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\n- finalisation ModOp Keno\\n- Maj configuration int21, 22, 32 sur les synchro SQL KENO + AMIGO\\n- Maj Salt INT21, INT32, INT42 pour les redirections Keno\\n- Maj environnement INT32 sur Palier KENO Bascule YELLOWSTONE\\n- correction ressources absentes sur INT32\\n- Etat des lieux d\\\'environnement de bascule\\n- Maj du broadcast.cfg pour le Certifications.xml'),
(10685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\n- Maj modop YellowStone sur P1 et P2\\n- support pour lancement webapp sur un SuperLoto, prise de jeu ko, pb de header'),
(10686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n- maj doc swagger 3.2.9_mobi\r\n- maj doc swagger 3.4.1_mapi\r\n- qualifications anos 3.1.2_mrcd\r\n- qualifications anos 4.0.2_hasard\r\n- investigation promulgations Euromillions KO palier Keno, problème lié à ESTE sur la signature\r\n- Création ANO045750 [MAPI][KENO] PHP Notice:  Undefined index:  in - librairie Math.php\r\n- Création ANO045752 [MAPI][KENO] PHP Notice:  Undefined index: num et cplm - librairie Euromillions.php\r\n- Création ANO045756 [HASARD][YELLOWSTONE] PHP Notice:  Undefined index: dataRaffle - librairie Html.php\r\n'),
(10687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\n- création ANO045770 [MAPI][KENO] Retrait du fichier mapi-pdv-get.json non utilisé\r\n- création ANO045838 [MOBI][KENO] 400 demandé sur un app, game ou device erroné\r\n- maj PDV sur Palier Keno pour non reg Olympia\r\n- installation 3.4.6_hasard sur environnement Keno int41\r\n- maj des contributions en erreur sur palier Keno pour la non régression\r\n- maj campagne API\r\n'),
(10688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n- Support webapp et appli native pour lancement webapp, pb de prise de jeu, affichage des menus\r\n- Qualification livraisons Keno\r\n- Installation livraisons Keno :\r\n3.5.4_edwan\r\n3.4.7_hasard\r\n3.2.10_mobi rejetée Keno\r\n3.2.11_mobi rejetée Keno\r\n3.2.12_mobi\r\n- maj swagger 3.2.12_mobi\r\n- maj swagger 4.0.2_mapi\r\n- maj campagne API'),
(11328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n- Maj ModOp Keno\\n- Maj doc swagger 4.0.3_mobi\\n- Qualification livraisons YellowStone'),
(10694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nDMT0004930 plusieurs soucis rencontré sur l\'installation du jeu 100 000 Surprise\r\nErreur sur le chargement du themes, recherche du probleme pour correction'),
(10695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nDMT0004930, Probelme résolu sur le jeux, erreur dans le Modop qui ne fait pas de synchro du framework alors que le chargement du theme ce fait a partir de la'),
(10712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nDev scripts automatisations Falcon RTL Cards\\nRéunion : Roadmap Digital 2017'),
(10693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nDMT0004735 pour installation du jeux Dobble 2017\r\nDMT0004930 pour installation du jeux 100 000 Surprise'),
(10951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\n[OLYMPIA]\\nValidation anomalies compte\\nCaptures flux carte NFC\\n\\nDéploiements + acceptances\\nFDL015141 - MAGO_1.0.21\\nFDL015136 - DIGISHOP-A             2.2.6 \\nFDL015136 - DIGISHOP-R             1.0.6\\nFDL015145 - APP NATIVE - PDV  1.0.024'),
(10698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n[OLYMPIA] Campagne de test RUN1, 3 anomalies\r\n[IF] Point sur les encours'),
(10814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n[OLYMPIA]\\n\\nValidation anomalies composants compte\\nSupport recette \\nQualification MAGO'),
(10806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nformation Audrey extract ALM et S.Now pour report hebdo'),
(10975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nExécution test PMD run1'),
(10816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\n[OLYMPIA]\\n\\nValidation anomalies comosants du  compte\\nSupport recette\\nDeploiements INT3 \\nMigration SPDV, MIGO, MAGO, MUGO ... INT9 sur cloud front sport'),
(10703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nexecution test Run1'),
(10817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n[OLYMPIA]\\n\\nQualification  anomalies:\\n\\nANO044146 => MUGO\\nANO043961 => MUGO\\nANO043715 => MUGO\\nANO043958 => MUGO\\nANO042685 => MIGO\\nANO044621 => Android Détaillant\\n\\nQualification historiques de jeux - MUGO'),
(10705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nRéunion interne cds : avancement qualif => fin run1-  début run2'),
(10818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n[OLYMPIA]\\\\n\\\\nValidation anomalies\\\\nQualification MUGO - Fin historiques de jeux + paramètres (mify)\\\\nQualifacation sessions'),
(10978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nPréparation des campagnes RUN2\\nQualification des Anos installés'),
(10713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nAtelier automatisation ITF, mise à jour des descriptifs de jeux ITG et des environnements ITF, test d\\\'ouverture de sessions ITF interco, transfert compétences des blocs pour les scripts admin ITF'),
(10976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nexecution test  run2'),
(10977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nexecution run2'),
(11007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Qualification de la livraison FDL015215.'),
(10719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nRoadmap Digital 2017 : réunion organisé par Yannick Tison'),
(10727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nolympia'),
(10957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nPalier Olympia - Compte contact - RUN exécution & déclaration anomalie 2.3.6'),
(10956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nPalier Olympia - Compte contact - RUN exécution & déclaration anomalie 2.3.6'),
(10724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nRédaction cas de tests Conformité'),
(10725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nRéunion organisé par Mael  : Construction de la NON REG GDO _ IQ DC back +front'),
(11149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nfinalisation des install et adaptation des catalog de l\\\'appli native  parionsSport'),
(10729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nif lecture specs fonctionnelles et techniques'),
(10730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nPalier Olympia - PMD => Passage des pdj sport\r\nCC => Création nouveau RUN exécution et qualification ano 2.3.7'),
(10731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nif lecture specs fonctionnelles et techniques'),
(11425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nPalier Olympia - Compte contact - RUN exécution & déclaration anomalie 2.3.7'),
(10734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nPalier Olympia - Compte contact - RUN exécution & déclaration anomalie 2.3.7'),
(10965, '1- voici les éléments de connexion pour accéder aux backend:\r\n\r\ndmgrs5.csn.cnaf\r\njee1cdap-backendp5.csn.cnaf\r\njee2cdap-backendp5.csn.cnaf\r\n\r\ndmgrs6.csn.cnaf\r\njee1cdap-backendp6.csn.cnaf\r\njee2cdap-backendp6.csn.cnaf\r\n\r\n\r\nActuellement on pointe sur l\'environnement P5.\r\nPour t\'en assurer, il suffit de se connecter au site supervision.intra.cnaf avec ton compte internet.\r\nIl y a une \"maps CDAP\" qui te donne le lien vers le LB actif\r\nPour le users/mdp, je te les envoie personnellement.\r\n\r\n2- Pour avoir des informations concernant la charge, le CPU, etc, ... il faut que tu t\'adresses à Romain Gaudin ou à son équipe ( Infra-Unix DSI-DOIT/Cnaf/BALF )\r\n\r\n\r\n\r\ncordialement\r\nGérald'),
(10736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nRésolution problème service Digishps en 403 sur les environnements impairs => Conf Apache en cours'),
(10826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nCampagne AUTO AU VOLOR (MOTORS)'),
(11017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nIF'),
(10827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nCampagne AUTO AU VOLOR (MOTORS)'),
(10743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nTests Yellowstone => Anos ou Mods, sur Digishop car il ne remonte plus les anciennes PDJ'),
(10829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nCampagne AUTO AU VOLOR (MOTORS)'),
(10830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nCampagne AUTO AU VOLOR (MOTORS)'),
(10749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nRéunion Yellowstone'),
(10960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nMCO ControlM I3 MULT'),
(10748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nRecettage Yellowstone - mise à jour conf Cloud Front (suite déploiement des nouveaux Clouds Sport)'),
(10750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nRéunions :\r\n- Coco Bug Review\r\n- Roadmap Digital 2017'),
(10751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne RUN1, 2 anomalies majeures\r\n[IF] Transfert de connaissance accès BDD JMG\r\n[IF] Tests de transaction Oauth = KO'),
(10752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nRédactions Cas de tests POLY (Qualification)'),
(10753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nRéunion: \r\n- construction non-reg GDO\r\n- CDS Atos'),
(10754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nAnalyse pour récupérer les données de la PDJ depuis le fichier de sorti du script de PDJ pour la vérification ETL\\nMise en passe de la campagne création de l\\\'offre Portugaise sur le robot.'),
(10930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nFDL015167'),
(10758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nPrévisionnel : \r\nRéunion Stream Sport avec le CPSI (sujet CAF) + Présentation Yannick Tyson (RAODMAP 2017)'),
(10875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b533 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-533'),
(10799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nModification de cas de tests dans les projets ALM Yellowstone et Olympia.'),
(10840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nEcriture de cas de test d\\\\\\\'acceptance pour YELLOWSTONE RTG Loto et SuperLoto'),
(10763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nEcriture de cas de test d\\\'acceptance pour YELLOWSTONE RTG Loto et SuperLoto'),
(11043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nOLYMPIA: Creation d\'une anomalie ANO046025 et aide au diagnostique car non reproduite - suspicion d\'un effet de bord d\'une autre installation'),
(10765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nSuivi des incidents de production'),
(10803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nExécution des campagnes de tests de non régression Loto 2016 + parcours joueurs.'),
(10767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nExécution des campagnes de tests de non régression Loto 2016 + parcours joueurs.'),
(10768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nExécution des campagnes de tests de non régression Loto 2016.'),
(14321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nMCO des TR2 et TR3 sur SIDC et TR2 SIDCOM'),
(10770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nOLYMPIA Sollicitation HIA pour clarification de leur mise en œuvre chaine packman du transverse 2'),
(10771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nUSR ACCEPTANCE 2.3.7 sur INT1 Execution & Analyse des campagnes'),
(10772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nUSR ACCEPTANCE 2.3.7 sur INT1 Execution & Analyse des campagnes'),
(10773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nUSR ACCEPTANCE 2.3.7 sur INT1 Execution & Analyse des campagnes'),
(10774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nUSR ACCEPTANCE 2.3.7 sur INT1 Execution & Analyse des campagnes'),
(10775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nUSR ACCEPTANCE 2.3.7 sur INT1 Execution & Analyse des campagnes'),
(10776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nUSR ACCEPTANCE 2.3.7 sur INT1 Execution & Analyse des campagnes'),
(10832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nMise à jour de l\\\'API ( performance) concernée par le passage des paramètres d\\\'int à double.'),
(10833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nDécommissionnement des scripts DigishopA => Authent => Account'),
(10834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nCorrection des scripts evol au niveau des .param'),
(10835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nCorrection des scripts evol au niveau des .param'),
(10797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nAnalyse controlM Olympia\\\\\\\\nSupport HIA Bingo\\\\\\\\nReunion Roadmap digital 2017\\nCreation d\\\'une campagne de test auto non reg PFI/Bingo sur int3'),
(10787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nAnalyse control M Olympia\\\\nReunion CDS\\\\nSupport bingo Metier : test single mode player'),
(11001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : installation de la FDL014857 sur INT4SAGA. Rejet de la livraison.'),
(10819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nFDL015180 FDL015178'),
(10820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nFDL015184 + FDL015191.'),
(10796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nProjet Olympia : limitation de la casse par rapport à un GO donné trop tôt par un CP sur le TR3 (configuration ADC manquante) --> conclusion on installe wspo avec l\\\\\\\'ancienne méthode sur les anciens fronts SPDV !\\\\nMaj et déploiement des catalogues Parionsdirect Android et IOS sur l\\\\\\\'intégralité des Cloud Front Sport.\\\\nDémontage de l\\\\\\\'application tmssport --> Maj du script menu.ksh sous Ojadgate + déploiement sur l\\\\\\\'intégralité des environnements d\\\\\\\'intégration\\\\nAvancement des tests ALM + qualification des anomalies + Maj ALM + PB  de tracking (TMS) --> création d\\\\\\\'anomalie.\\nCommencement maj du modop \\\"Olympia\\\" au format Cloud Front Sport.'),
(10821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nFDL015193 + FDL015201'),
(10822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\ntests qualif loto yellowstone'),
(11068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nSupport Eric Martin pour le portail borne (0.5) + avancement Olympia.'),
(10836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nContinuité de la mise à jour du modop Olympia + complément ALM. + Support Eric Martin + demande suppression de la propagation des TMS \\\"SPORT\\\" par CTRL-M à HIA.'),
(11003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Qualification des tables de l\\\'ETL. Création des anomalies ANO045800 - ANO045824 - ANO045822 - ANO045827'),
(12447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Installation et acceptation de la FDL015183 sur INT4SAGA'),
(10808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nAcceptance Olympia sur INT7'),
(10859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nNon-reg Olympia INT1'),
(10858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nAcceptance Olympia INT7'),
(10857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nCampagne d\'acceptance Olympia sur INT4'),
(10999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nSAFERGAME : Création de 3 anomalies ANO045981, ANO045893, ANO045985'),
(10831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nMise à jour des scripts concernés par le passage de paramètre d\'int à double.'),
(11002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : DMT0004855 en cours de traitement. Qualification de la MOD010563 suite à l\\\'installation de la FDL015045 sur INT2COUR. Création de l\\\'anomalie ANO045835 les fichiers de prel. générés ne respectent pas la norme SEPA.'),
(10838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies installées\r\n[OLYMPIA] Echange et investigation avec Mathieu Jaulin sur l\'ANO044908\r\n[IF] Recherche du nouveau modop d\'authentification Oauth2'),
(10844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n[IF] Investigation Oauth2\r\n[IF] Lecture de la nouvelle base de test\r\n[IF] Rédaction de cas de tests'),
(10845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n[IF] Rédaction de cas de tests'),
(11005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Qualification des correctifs des anomalies SAGA livrés dans la FDL015183. Migration des données vers l\\\\\\\\\\\\\\\'ESB. Création de l\\\\\\\\\\\\\\\'anomalie ANO045902.'),
(11008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 :\\n Installation de la FDL015215 sur INT4SAGA.'),
(11009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 :\\nQualification transverse sur TR4.'),
(10853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n- Installation sur INT8 :\\\\n	eDWAN	21/12	FDL015037	3.5.3\\\\n	HASARD	29/12	FDL015099	3.4.5\\\\n	MRCD	21/12	FDL015038	3.1.2\\\\n- Réunion Projet Palier Webapp Keno'),
(10855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nEtude : constitution jeux de données pour effectuer des PDJ avec des E-credit SPORT Olympia.\\nInscription et confirmation joueur compte contact, puis ajout d\\\'E-Credit'),
(10860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nNon-reg Olympia INT1'),
(10861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nPrise en compte des types natifs Postgres dans les scripts Vugen.\r\nRoadmap Digital 2017.\r\nAnalyse des boutiques retail\r\n'),
(10863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nQualifications Ano Palier POLY'),
(10864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nQualifications Ano Palier POLY'),
(10866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nQualifications Anos :\\n- ecredit : ANO045727\\n- Keno : ANO045104\\n\\nInstallation et test MUG (patch de prod) - FDL015187'),
(10873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nInstallation de PSborn 1.0.3 sur 20193 & 20194 parametrage du vhost vers un certificazt provisoir 60010 en attendant la livraison du 20193 & 20194'),
(10924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nMCO Flux control-M sur I3_Multimédia'),
(10878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nCas de test Coheris'),
(10923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nMCO sur les flux control-M I3_Multimédia'),
(10922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nMCO sur les flux control-M I3_Multimédia'),
(11006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Recherche de données dans les vues SAGA2KHEOPS sur INT2SAGA à la demande de la recette. Pour transfert des données à KHEOPS.'),
(10912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nExécution de compagne Olympia  RUN1'),
(10913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nExécution de compagne Olympia  RUN1'),
(10886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nGDC Installation des 2 FDLs FDL014909 et  FDL015026 sur le TR3 pour mise a niveau de l\'environnement pre installation par HIA de la version OLYMPIA\r\n'),
(10914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nPremière partie de la journée :Exécution de compagne Olympia  RUN1 \\nDeuxième partie de la journée: Commencement du RUN2 Olympia'),
(10915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nExécution de la compagne Olympia RUN2');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(10916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nRe Test d\\\'anomalies Presto, suite à la livraison et installation des FDLs suivantes:\\nFDL015160 :  Le jeu la poule\\nFDL015124 : le jeu sauve souris\\nFDL015123 : le jeu ascapone\\nFDL015162 : Portail 1.13\\nLe nombre d\\\'anomalies livrés: 40 anomalie'),
(10917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nCette journée dépendra du déroulement des tests Presto lancée hier, pour tester toutes les anomalies livrées avec les FDLs récentes.( 40 ANO)\\nIl est fort probable, que les tests Presto midi seront terminés à midi, voir avant.\\nl\\\'après-midi:\\nExécution de la compagne Olympia RUN2'),
(10892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nCampagne ABP 14.1.23-OLYPMPIA-533'),
(10918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nCampagne ABP 14.1.23-OLYPMPIA-533'),
(10919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nPréparation démonstration Parions Direct Apple / Android / Joël Montels'),
(10920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nCampagne ABP 14.1.23-OLYPMPIA-533'),
(10921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSuivi de la démonstration Parions / Direct'),
(10898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nCampagne ABP 14.1.23-OLYPMPIA-533'),
(10899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nCampagne ABP 14.1.23-OLYPMPIA-533'),
(10900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nCampagne ABP 14.1.23-OLYPMPIA-533'),
(10901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nConception de cas de test Olympia / Demande pressée de Raphaël pour la fin de semaine'),
(10902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nConception de cas de test Olympia / Demande pressée de Raphaël pour la fin de semaine'),
(10903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nSuivi des livraison et coordination pour préparation MEP'),
(10904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nSuivi livraison Préparation MEP'),
(10905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nPreparation réunion coordination tests Qualifiaction'),
(10906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nRéunion IQ pour préparation organisation des tests Qualification Front'),
(10907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nAnalyse  et développement correctif pour pallier désynchronisation SID FALCON lors du chargement clients : ANO045888  et ANO045889 '),
(10927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nAction : implémentation des tests auto acceptation boutik + gestion des campagnes officielles associées + état des lieux de la non reg + passage de connaissance Frédérique'),
(10926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nAction : implémentation des tests auto acceptation boutik + gestion des campagnes officielles associées + état des lieux de la non reg + passage de connaissance Frédérique'),
(10910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nAction : implémentation des tests auto acceptation boutik + gestion des campagnes officielles associées + état des lieux de la non reg + passage de connaissance Frédérique\r\n'),
(10911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nAction : implémentation des tests auto acceptation boutik + gestion des campagnes officielles associées + état des lieux de la non reg + passage de connaissance Frédérique\r\n'),
(10925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nAction : implémentation des tests auto acceptation boutik + gestion des campagnes officielles associées + état des lieux de la non reg + passage de connaissance Frédérique'),
(11012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nSuvi des tests et anomalies. Elaboration des CRR'),
(11010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nSuivi livraison + Point préparatoire MEP'),
(11011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\nSuivi livraison et plates-formes + préparation réunion '),
(10932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nElaboration CRR + planification actions S+1'),
(10998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nSAFERGAME : Installation evol lientransaction2 FDL015218 sur INT4'),
(10986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nRAM004 - Installation FDL015004_egide_4.20.03_liv sur INT4EGID'),
(10954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nMise a jour catalogue MOTORS + Non reg HAPPY DES HIVER'),
(10959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nMCO crtl m i3 mult'),
(10961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nPalier Olympia - Écriture cas de test (NFC, ajout cas manquant, cas resettlement...)\r\nPMD écriture cas resettlement'),
(10962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nPalier Olympia - Écriture cas de test (Ajout cas manquant, cas box...)\r\n'),
(10980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nReunion ROADMAP\\nTest AppliMaitre\\nSupport Application IllikoLive'),
(11000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nSAFERGAME : Tests correctif SPSS (chaine de detection) sur INT2'),
(10966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nOlympia support a la recette pour la validation des 16 anomalies'),
(11014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nEtude : constitution jeux de données pour effectuer des PDJ avec des E-credit SPORT Olympia.\\\\nInscription et confirmation joueur compte contact, puis ajout d\\\\\\\'E-Credit.\\\\nRédaction cas de test PDJ avec E-Credit.\\\\n\\\\nProblème rencontré : les codes ajustements Olympia n\\\\\\\'existent pas côté OAC (Gestion codes et offres) MOD010641en cours'),
(11129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nreunion steam sport 14h15h + reunion IQ digital 15h 17h'),
(10969, 'From: CHATTON, JEREMY \r\nSent: Thursday, January 12, 2017 4:07 PM\r\nTo: gds.dsi-doit@cnaf.fr\r\nCc: servapp.dsi-doit@cnaf.fr; MARLE, BERTRAND; christophe.millot@cnafmail.fr\r\nSubject: Problème Production PHA : Upload de fichier\r\n\r\n\r\nBonjour,\r\n\r\nJe me permet de vous remonter une anomalie saxo référencé : INC0316438.\r\n\r\nContexte du saxo :\r\n\r\nLa Caf de la Corrèze ne parvient pas à uploader un PDF lors de la formalisation d’une de ses conventions. Si le fichier est compris entre 4 et 5MO le chargement apparait mais à la fin de ce dernier l’upload plante et il n’y a aucun message d’erreur.\r\nA noter que lorsque le PDF est inférieur à 4MO cela fonctionne.\r\n\r\nNous avons réalisé des essais sur nos plateformes de tests (Intégration, Recette et en local), et l’upload du PDF fonctionne. Pouvez-vous donc analyser le problème pour savoir si cela ne viendrez pas d’une mauvaise configuration sur la plateforme de production (problème de timeout de l’upload du fichier, etc…).\r\n\r\nCordialement,\r\nJérémy\r\n\r\n--------------------\r\nJérémy CHATTON\r\n\r\njeremy.chatton@atos.net'),
(10970, 'Retour de Miranda : \r\n\r\nBonjour, \r\n\r\nC\'est  apparemment local   (station de travail ou session draccès à distance) \r\n\r\nil s\'agit d\'investiguer sur le mode d\'accès de l\'agent de la CAF 191 , station W 7 ?, serveur RDS ? \r\n\r\nle poste ne doit pas être configuré comme les autres postes \r\n\r\nL\'agent de la CAF a t\'il essayé  en se connectant sur une autre station \r\n\r\n\r\nCordialement,'),
(10987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nEGIDE - RAM004 - Qualification FDL015163_Alim_INFOCENTRE_8.0_liv7 sur INT9'),
(10988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nEGIDE - Gestion des environnements'),
(10974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nRéunion Roadmap2017 Y.Tison'),
(11024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nAjout d\\\'un fonctionnalité de prise en compte des retours atypiques, en JSON, de services en mode nominal brut.\\nAnalyse de problèmes ALM / Vugen sur Falcon.'),
(11015, 'La PI Backend a été MAJ en 2.70.7.\r\n\r\nBonjour,\r\n\r\nsuite à FV d\'ATOS, l\'environnement CDAP-BACKENDI1 a été mis à jour en début d\'après midi.\r\n\r\n\r\n\r\nCordialement\r\nGérald CAUVIN\r\nAttention, à partir du 1er janvier 2017, les incidents et demandes d\'intervention devront être faite via SAXO et non plus par mail.'),
(11016, 'Mail de chrisophe Millot :\r\n\r\nSaid, \r\n\r\nPour info, voici la réponse de la MOA pour le SAXO INC0316667 -> A passer à \"classer sans suite\" en expliquant que le problème n\'est pas applicatif mais documentaire. \r\n\r\nMerci \r\n \r\n Christophe MILLOT\r\nChef de Projet DSI \r\nService SI PILOTAGE OPERATIONNEL \r\nDirection Numérique et Echanges \r\nDirection des Systèmes d’Information \r\nTel : 04.93.95.62.45 - 06.34.26.08.53\r\nMail : christophe.millot@cnaf.fr \r\n\r\n	\r\nCaisse nationale des Allocations familiales, site de Sophia-Antipolis - WTC Bât 1 Entrée A, 1090 Route des Crêtes 06560 Sophia-Antipolis\r\n	\r\n Contribuons au respect de l\'environnement, n\'imprimez ce courriel qu\'en cas de nécessité et ayez le réflexe recto-verso\r\n\r\n'),
(11085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nMFSTIM - DMT0005264 - exporter et anonymiser  la base INT2STEM'),
(11019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n Livraison FDL OLYMPIA FDL015220 correction ANO045888  et ANO045889 '),
(11083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nSAFERGAME : Investigation sur problème rejets Sugar avec IBM+ partie détection'),
(11082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nSAFERGAME : Point intégration avec JC.Morel'),
(11435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nInstallation et paramétrage synchronisation PSBOR int7 > mignons + modification du menu.ksh en ajoutant la gestion du psbor'),
(11436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nReunion 14H 14h45 CDS Atos'),
(11025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-06  (Do not remove this line) -->\nMatin: test acceptance Wspo Android Ios\\nCreation d\\\'un compte via tablette detaillant au labo\\nFormation nouvel arrivant CDS ATOS'),
(11026, 'Il faut ajouter à cette étude le passage à Java 8 pour l\'offre bailleur. Nous en avons déja discuté avec Nicolas Goubeau lors d\'un point technique (id 11).\r\n\r\n11	08/12/2016	 point de suivi technique 	Moyenne	Développement Socle Liferay	Migration JVM IBM vers JVM Oracle	\"Sur l\'offre bailleur, le socle de Log CNAF nécessite les librairies suivantes : xercesImpl-2.10.0.jar, xml-apis-1.4.01.jar, xmlParserAPIs-2.6.2.jar pour s\'exécuter correctement avec une JVM Oracle (version 7 ou 8)\r\nNicolas Goubeau va étudier le problème pour ne plus rendre dépend le socle Liferay-parent de ces librairies\"'),
(40967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n'),
(40968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(40971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n'),
(40972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nRédaction document retours client sur les maquettes pour Tekoway'),
(40973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n'),
(40974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nTests Digishop V7'),
(40975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nTests Digishop V7'),
(40976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nTests Digishop V7'),
(40977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nTests Digishop V7'),
(40978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2.'),
(40981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nSAFERGAME : Point sur les livraisons avec M.Anne+ Comité opérationnel avec M.Anne'),
(40980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nDémo POC Wiremock par étienne pour avoir un retour des opérationnels. [MULTIPASS] - Stratégie de test. Faisabilité VuGen multi VUser (OK).'),
(40982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nGouvernance Tests Front - Outillages - Automatisation. Atelier MTP. Evolutions mineures WSV Front-end. Continuation faisabilité VuGen PDJ coordonnée multi-joueurs.'),
(40983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM'),
(40984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(40985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(40986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(40987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(40988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(11434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nDebut de creation du modop PSBOR'),
(12475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nGestion des Incidents'),
(11087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nEGIDE - Gestion des environnements'),
(11088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nEGIDE - FDL015163_Alim_INFOCENTRE_8.0_liv7 - Investigation sur problème erreur de traitement pour déterminer si c\\\'est un de la livraison'),
(11033, 'JD envoyé à Christophe après revue.\r\nChristophe a effectué des corrections.\r\nLa nouvelle version est sur le DFS.\r\nLe fichier de checklist a été mis a jour.\r\nIl reste les 2 dernières opérations a faire lundi.'),
(11035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nLe paquet est sur mon partage dans livraison'),
(11036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nPassage (raté) de la PI front en 1.6.9\r\nBaseline avec Jeremy'),
(11038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b533 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-533 + [PSMS / 14.1.27 / RELEASE / INT6]: Début campagne NonReg'),
(11039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nAnalyse des incidents de production'),
(14328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nTR3 SIDC Reprise / TR2 version olympia en cours d\\\'installation par HIA\\nTR2 SIDCOM Fin OK'),
(11041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nGDC Envoi des fichiers ADOBE générés depuis le 12/01 sur le TR3'),
(11107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nAnalyse ControlM Olympia\\nReunion preparation MEP VSR bingo\\nAnalyse ano Olympia'),
(11080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nSAFERGAME : Réunion DT avec P.Maigne'),
(11479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Support.'),
(11053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\\\\ndeveloppement MOD010694   : [Olympia] Mapping du champ N° de carte PDV dans COHERIS\\nchargement fichier PDV_CARD sur INT1'),
(11051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nLivraison faite : \r\nLivraison OK\r\nChecklist Ok\r\nMail OK\r\nJD OK'),
(11079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nSAFERGAME : Créations anomalies ANO046031, ANO046030, ANO046027, ANO046048, ANO046050'),
(11055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nGDC Modification du script de génération des fichiers adobe + création d\'un script d\'envoie d\'email + modification de la chaine controlm existante'),
(11056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nOLYMPIA Rédaction de 2 cas de test spécifiques pour PACKMAN '),
(11057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-03  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective\r\nRecherche problème sur erreur Extract CA sur TR2 et TR3'),
(11091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nMCO - EGIDE'),
(11092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nGESTION des environnements EGIDE - amélioration des infos de la page web InfosEgide'),
(11093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nCSAM-MEIBO : Prise de connaissance des premières doc DAT et SFD'),
(11094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nMCO CENTURA - Correction du job en erreur I2_Odyssee_ret_tickets'),
(11104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nPoint palier Décembre\\nScript de génération de cartes NFC\\nValidation chargement de masse BOX NFC'),
(11460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nreunion ecriture du plan d\\\\\\\'installation borne cloud avec Philippe A.'),
(11461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nInstallation & parametrage du cloud borne'),
(11067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nMigration INT5 en Cloud Front Sport  + mise à niveau des composants pour être iso-prod + installation composant Olympia + demande redirection ADC du domaine pointdevente.parionssport.integ.fdj.fr sur les machines du cloud front.'),
(11069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nAction : Palier Décembre, Atelier suivi test automatisé'),
(11071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nAction : Palier Olympia, compte contact, digishop u : implémentation des tests d\\\'acceptation pour les services DigishopUPOSTAccountManageGamesLimitsSetSportRtlLimit\\nDigishopUPOSTAccountManagePursesSetUserAccountMonthlyLimit\\nDigishopUPOSTAccountManagePursesWithdrawUserWins'),
(11072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nAction : [palier Olympia] DIGISHOP comité automatisation'),
(11073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nMise à jour scripts automatisation Falcon et fichiers de configuration ITF\r\nAtelier Palier de décembre\r\nEvolution des scripts pour nouvelle gestion des environnements, transfert d\'informations à Frédérique, évolution du service digishopA oauth'),
(11074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nTests IF Falcon admin'),
(11075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nTests IF admin'),
(11078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nSAFERGAME : Test partie détection'),
(11081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nSAFERGAME : Test partie détection'),
(11109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n[PSMS] Campagne de NonReg PSMS sur INT6: ALM > SPORTS_2013 > Stream Sport BDI.076 > Release 14.1.27_PSMS \\nSITE:           fdj2-origin_release_12-39\\nABP:            14.1.27 RELEASE'),
(11108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n[PSMS] Test de Non Reg PSMS sur INT6; Test de Late Bet + Ressetlement sur le même coupon\\\\nPS: Grand instabilité sur INT6 ce jour là, nécessité de rejouer plusieurs fois le même test;'),
(11105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nAtelier avec Sylvie Kasriel\\\\n- partage de connaissance\\\\n- outillage spécifique : BDD, et Client RESTer \\\\n- mise en oeuvre prise de jeu ITG Fake-Lottery'),
(11098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (Pdj Abozen) Loto 2016 dans le projet ALM Olympia.'),
(11257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (SuperLoto de Noel/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(12519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nSAFERGAME : Installation SQL FDL015250 sur INT2'),
(11116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-10  (Do not remove this line) -->\nPrésentation métiers'),
(11111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-18  (Do not remove this line) -->\nRédaction des CR'),
(11113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-15  (Do not remove this line) -->\nImmersion bassin Ouest-Fos'),
(11114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-16  (Do not remove this line) -->\nImmersion bassin Ouest-Fos'),
(11115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-17  (Do not remove this line) -->\nImmersion bassin Ouest-Fos'),
(11117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-08  (Do not remove this line) -->\nPrésentation métiers'),
(11118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-07  (Do not remove this line) -->\nPrésentation métiers'),
(11119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-03  (Do not remove this line) -->\nPrésentation métiers'),
(14322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nTR2 et TR3 pour le SIDC TR2 pour le SIDCOM'),
(11121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-22  (Do not remove this line) -->\nImmersion bassin Est-Marseille'),
(11122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-24  (Do not remove this line) -->\nImmersion bassin Est-Marseille'),
(11123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nGDC Correction des scripts et chaine ADOBE'),
(11124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-25  (Do not remove this line) -->\nFormation EA'),
(11462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nInstallation des environnements Cloud pour BORNES avec Philippe A.'),
(11126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nFormation EA'),
(11127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n[PSMS / 14.1.27 / RELEASE / INT6]: Bug Fixing + Campagne NonReg PSMS: début Tests Late Bets '),
(11247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n[PSMS / 14.1.27 / RELEASE / INT6/INT4]: Bug Fixing + Campagne NonReg PSMS: Suite et fin tests Late Bets + DEBUT de Vérification des anomalies déjà qualifiées'),
(11153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\ntests sur PS PDV (intersticiel, géorestriction)'),
(11154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nCréation anomalie et mise à jours AL sur Intersticiel et georestriction'),
(11480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Atelier transfert de connaissance Motors\\\\n- Purge de environnements (INT1, INT3 et INT7) sur 30jours\\\\n- DEV Api pour résulting des Lives'),
(11151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\ncréation modop pour PSMS sur VITAN et reprise des tests sur PS PDV avec le cloudfront'),
(12518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nSAFERGAME : 2 Points d\\\\\\\'intégration avec JC.Morel'),
(11150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\ncréation modop pour PSMS sur VITAN et reprise des tests sur PS PDV avec le cloudfront'),
(11152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nreprise des tests sur PS PDV (android/IOS tablet/mobile) et promulgation sur int8 objectifs intersticiel, géorestriction, verification des flux.'),
(11143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\ntests sur VITAN\\npoint sur la création des front et lancement des installs'),
(11240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nFinalisation du script de génération de cartes NFC.\\\\nMigration de la gestion des environnements sur scripts Digishop.'),
(11156, 'Ajout des ids sur les IHM des TDB (puisque campagne prévue):\r\n\r\nSupervision habilitations (pha-portlet):\r\n	- TDB Activité des utilisateurs (ActivityReport): \r\n		table contenant \"Liste des utilisateurs actifs...\"  -> id=\"activeUsersListFilters\"\r\n		en-têtes des colonnes du tableau\r\n			id=\"organism_header\"\r\n			id=\"id_header\"\r\n			id=\"surname_lastname_header\"\r\n			id=\"number_action_header\"\r\n			id=\"number_distinct_ip_header\"\r\n			id=\"sedentary_header\"\r\n			id=\"see_details_header\"\r\n			id=\"show_user_header\"\r\n			id=\"acknowledged_caf_header\"\r\n			id=\"acknowledged_partner_header\"\r\n			id=\"date_last_alert_header\"\r\n	- TDB Dernière connexionx (lastConnection): \r\n		table contenant \"Liste des utilisateurs actifs...\"	-> id=\"unsuccesfullUsersListFilters\"\r\n		en-têtes des colonnes du tableau\r\n			id=\"organism_header\"\r\n			id=\"id_header\"\r\n			id=\"surname_lastname_header\"\r\n			id=\"date_creation_header\"\r\n			id=\"last_connection_header\"\r\n			id=\"show_user_header\"\r\n			id=\"acknowledged_caf_header\"\r\n			id=\"acknowledged_partner_header\"\r\n			id=\"date_last_alert_header\"\r\n	- TDB Gel des comptes (lockedAccountReport)	\r\n		table contenant \"Liste des utilisateurs\"		->id=\"lockedUsersListFilters\"\r\n		en-têtes des colonnes du tableau\r\n			id=\"organism_header\"\r\n			id=\"id_header\"\r\n			id=\"surname_lastname_header\"\r\n			id=\"role_header\"\r\n			id=\"lock_count_header\"\r\n			id=\"see_details_header\"\r\n			id=\"show_user_header\"\r\n			id=\"acknowledged_caf_header\"\r\n			id=\"acknowledged_partner_header\"\r\n			id=\"date_last_alert_header\"\r\n\r\nSupervision métier (pca-portlet)\r\n	- TDB Connexions à CDAP ((TDB1))\r\n		bouton Sélectionner... -> id=\"organismSelectButton\"\r\n		bouton Remettre à tous -> id=\"organismRazButton\"\r\n		\r\n	- TDB Top 5 (TDB2)\r\n		bouton Sélectionner... -> id=\"organismSelectButton\"\r\n		bouton Remettre à tous -> id=\"organismRazButton\"\r\n		\r\n	- TDB Profils CDAP (TDB4)\r\n		bouton Sélectionner... -> id=\"organismSelectButton\"\r\n		bouton Remettre à tous -> id=\"organismRazButton\"\r\n		\r\n	- Popup Sélection de l\'organisme :\r\n		en-têtes de colonnes du tableau des organismes:\r\n			id=\"organism_type_partner_header\"\r\n			 id=\"organism_raison_sociale_header\"\r\n			 id=\"organism_siret_header\"\r\n			id=\"organism_departement_header\"\r\n			id=\"organism_openDate_header\"\r\n			id=\"organism_closeDate_header\"\r\n			id=\"organism_select_header\"\n\n'),
(12522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nSAFERGAME : Installation SPSS FDL015252 sur INT2'),
(12523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nSAFERGAME : Installation ODM FDL015251 sur INT2'),
(12524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nSAFERGAME : Installation IIB FDL015249 sur INT2'),
(12520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nSAFERGAME : Installation IIB FDL015249 sur INT2'),
(12479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nMCO - EGIDE + vérification sur ODYSSEE de I2_Odyssee_ret_tickets'),
(11163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nOLYMPIA Rédaction de 4 cas de tests avec la mise en oeuvre d\'un outil permettant de valider la présence de données dans les tables cibles'),
(12478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nRAM004 - EGIDE - Test livraison provisoire sur ANO045739'),
(12477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nRAM004 - ODYSSEE - réalisation DMT0005333'),
(12476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nRAM004 - Gestion des environnements EGIDE'),
(11168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nAction : analyse + conception digishop R\r\nlivrable : requirements, folder/ coquille de test + mapping, outils de suivi CDS-AUTO_digishopR_requirementCoverage_acc et CDS-AUTO_digishopR_testReport_acc'),
(11172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nModification des REQ:\\nREQ_IHM_DECH_STATUT_REDEVANCE\\nREQ_GESTION_OK\\nREQ_IHM_DECH_ONGLET_DOCS_STATUTS'),
(11173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nModification de la REQ suivante :\\nREQ_IHM_DECH_STATUT_REDEVANCE'),
(11174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\nModification de la maquette Consulter/Editer un porteur'),
(11177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nModification de la  REQ:\r\nREQ_IHM_SAISIR_PORTEUR_BATEAU_CHAMPS'),
(11176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nModification de 6 IHM:\r\n...\r\nModification de 6 REQ:\r\nREQ_IHM_SEJOUR_LISTE_COLONNES\r\nREQ_IHM_CORBEILLE_MES_ESCALES_COLONNES\r\nREQ_REFE_PRODUIT_CONSULTATION_CRITERES_RECHERCHE\r\nREQ_IHM_SEJOUR_RECHERCHE_CHAMPS\r\nREQ_ESCALE_DONNEES_GUP\r\nModification d\'un flux Flux_NCA_FAL7'),
(11178, 'ISO CAFPRO'),
(11238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nAnalyse et support job controlM Int3'),
(11182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\n4025'),
(11183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\n4025'),
(11184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-11  (Do not remove this line) -->\n4025'),
(11185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n4025'),
(11186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n4025'),
(11187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n4025'),
(11188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n4025'),
(11427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nFaire tourner une campagne Digishop A'),
(11428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nFaire tourner une campagne Digishop A'),
(11429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nModification des paramètres vie des environnement de chaque script (130)'),
(11430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nModification des paramètres vie des environnement de chaque script (130)'),
(11431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nModification des paramètres vie des environnement de chaque script (130)'),
(11197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nDev scripts : evolution de scripts RTG pour nouvelle gestion des environnement + correctifs de scripts USR pour gestion mode N1 et ajout de fichiers d\\\'informations\\nTransfert d\\\'informations par Lyna sur l\\\'orchestration de nouveaux jeux MOTORS'),
(11528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nDev scripts : evolution de scripts RTG pour nouvelle gestion des environnement\\\\nAtelier automatisation des test ITF\\\\nDev API : Finalisation orchestration et test du nouveau jeu Auvolor TDPEA-263'),
(11400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\n[PSMS] Campagne de NonReg Front sur INT6 et INT4:  ALM > SPORTS_2013 > Stream Sport BDI.076 > Release 14.1.27_PSMS'),
(14324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nTR3 SIDC Reprise pour ADOBIE\\nTR2 SIDC KO\\nTR2 SIDCOM OK'),
(11201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nOLYMPIA Suivi de l\'avancement du projet'),
(11202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nGDC Modification du scrip d\'envoie de mail + Modification de la chaine controlm du TR3 pour envoie par mail des fichiers quotidien et hebdomadaire à ADOBE + Interrogation d\'HIA sur la chaine existante en PROD: des adaptation notamment 5 jobs AFT a prévoir en intégration ainsi que l\'encryption des fichiers'),
(11203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nCampagne pré qualf jeux Au Vol\\\'Or'),
(11204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nCampagne pré qualf jeux Au Vol\\\'Or'),
(11205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nCampagne Orchestrée jeux Au Vol\\\'Or'),
(11206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nCampagne Orchestrée jeux Au Vol\'Or'),
(11208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nCampagne Orchestrée jeux Au Vol\\\'Or'),
(11209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nCampagne Orchestrée jeux Au Vol\'Or'),
(12480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nRAM004-Maintenance corrective - Fin de qualification et livraison support MEP pour HIA concernant l\\\'ANO045739'),
(11416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2, principalement sur Sport Retail'),
(11286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n[IF] Test et débogage de l\'interconnexion Falcon USR <> ITF'),
(11899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nproblèmes liés au merge sur tous les micros service.'),
(11214, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nprise en compte de l\'ensemble des rm et rg de signalement impaye'),
(11215, 'Le test \"PCA - Tableau de bord 1 - Nombre de connexions - En tant que Admin CAF - Filtre par organisme\" en 1.7.0 couvre la correction.'),
(11216, 'Correctif global couvert par l\'ensemble des tests du répertoire \"PCA - Tableau de bord 4 - Montée en charge\" en 1.7.0'),
(12282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nAjout Rugby dans campagne PSMS'),
(12280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nimplémentation Acceptance CC cas KO & Technical check'),
(11219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nimplémentation Acceptance CC cas KO & Technical check'),
(11220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nimplémentation Acceptance CC cas KO & Technical check'),
(11221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nExécution campagne USR CC 2.3.9'),
(11222, '- Organisation en fonction de dossiers (comme vu en réunion)\r\n- Réécriture des scripts de paramétrage PF et profils (en cours)\r\n- Création d\'un fichier user-extensions.js pour l\'affichage propre des informations de début et fin de test (date, heure, nom du test, version) à l\'aide de commandes Sélénium personnalisées\r\n- HP ALM : ajout du test de surface TDB Habilitation pour l\'admin CNAF, le vérif CNAF et l\'admin partenaire + automatisation + ajout dans une test suite avec les nouveaux ids\r\n- Début du refactoring du test automatisé TDB Métier pour l\'ajout d\'id + ajout dans HP ALM du test pour les 4 profils (en cours)\r\n- Démarrage du guide \"Bonnes pratiques Sélénium\"'),
(12521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nSAFERGAME : Installation Folio FDL015234 sur INT2'),
(11225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\natelier animé par julien : partage de connaissance\\nmontée en compétence sur l\\\'outil RESTer\\natelier avec florian et mickael sur l\\\'outil RESTer'),
(11252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nPrise de connaissance IF \\\\\\\\\\\\\\\\n- spécification et doc API\\\\\\\\\\\\\\\\n\\\\\\\\\\\\\\\\nAtelier avec Florian Jury\\\\\\\\\\\\\\\\n- partage de connaissance'),
(11229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nCorrection cloud front sport INT51 + création script ksh permettant d\'effacer une clé privée sur l\'intégralité des serveurs Edwan depuis Ojadgate + support Eric Martin par rapport à SPDV, WSPDV et les promulgation Edwan (1h30) + avancement test ALM de l\'application native parionsdirect + verification nouvelle version accengage a4s.js.'),
(11231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nMise à jour des tests ALM application native parionsdirect Android + créations d\\\\\\\\\\\\\\\'anomalies sur les applications natives.\\\\n+ créations de mod permettant d\\\\\\\'utiliser les catalogues racine des applications parionsdirect sur le domaine pointdevente.parionssport.integ.fdj.fr + demande maj dfostore + BUG REVIEW (Projet Olympia)'),
(11234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nOLYMPIA Atelier packman de synchrojnisation des chaines digishop et sid des TR2 et TR3'),
(11236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nOLYMPIA Analyse des tables vides dans le SID'),
(11239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nAnalyse job controlM\r\nAnalyse sur job ABOZEN'),
(11241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nImplémentation du cas de test de génération de cartes NFC dans la vie des environnements.\r\nPoint IF Automatisation'),
(12525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nSAFERGAME : Mise à jour du certificat FDJ sur l\\\\\\\'ensemble des produits : WAS, Datastage, FOLIO, I2, Cognos'),
(11243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nTests IF'),
(11244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nTests admin'),
(11245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nTests IF'),
(11246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\n[PSMS / 14.1.27 / RELEASE / INT4]: FIN de Vérification des anomalies déjà qualifiées'),
(11248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b533 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-533'),
(11249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b533 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-533'),
(11253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nMontée en compétence sur IF : validation des kits de connexion sur l\\\\\\\'ensemble des plateformes Lotsys et FDJ.\\\\nPoint réunion avec Laurent Barrière pour définir le besoin en terme de test d\\\\\\\'acceptance.'),
(11251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nPrise de connaissance IF\\nmontée en compétence sur le client RESTer et les appels de services REST'),
(11901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n1eres tâches imputées\\nMontée en compétence sur l\\\'environnement Lotsys / services Rest / Configuration des outils de travail'),
(11255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nFDL015242 (2.0.27_wloto)\r\n'),
(11256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nFDL015244 (0.1.52_wkeno)\r\nFDL015245 (0.1.18_wihmevt)\r\n'),
(11259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (SuperLoto de Noel/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(11530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nLivraison et test ALM de l\\\\\\\'orchestration du jeux auvolor\\nAterlier travail pour Prise en compte ITF dans les fichiers de description jeu ITG et MOTORS'),
(11261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nFDL015263 (0.1.55_wkeno)'),
(11262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (SuperLoto et SuperLoto de Noel/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(11347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nYELLOWSTONE : RTG 2.3.3 Acceptance Non Reg sur INT 2 Loto, Super Loto et Loto Noel : construction du catalogue de test'),
(11348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nYELLOWSTONE : RTG 2.3.3 Acceptance Non Reg sur INT 2 Loto, Super Loto et Loto Noel : construction du catalogue de test'),
(11349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nYELLOWSTONE : RTG 2.3.3 Acceptance Non Reg sur INT 2 Loto, Super Loto et Loto Noel : construction du catalogue de test'),
(11266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nYELLOWSTONE : RTG 2.3.3 Acceptance Non Reg sur INT 2 Loto, Super Loto et Loto Noel : construction du catalogue de test'),
(11592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nYELLOWSTONE : RTG 2.3.3 Acceptance Non Reg sur INT 2 Loto, Super Loto et Loto Noel : construction du catalogue de test'),
(11268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\ncampagne d\'acceptance PSMS sur INT6'),
(11269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nCampagne de non-reg PSMS sur INT6'),
(11270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nCampagne de non-reg PSEL sur INT4'),
(11271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nCampagne de non-reg Olympia sur INT1'),
(11272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\n[IF] Transfère de connaissances (SKA, JMG, FJU, MMA).'),
(12481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nRAM004 -Gestion des problèmes et maintenance corrective - EGIDE installation FDL015268_Alim_INFOCENTRE_8.0_liv8'),
(12482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nRAM004-Gestion des problèmes et maintenance corrective- EGIDE  Qualification ANO045682'),
(11284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nqualif olympia'),
(11345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nréunion IF + Qualif Olympia'),
(11283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nqualif olympia'),
(11280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nSpec IF'),
(11281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nSpecs IF avec Jean Michel'),
(11279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nRefactoring des fonctions des tableaux de bord 001 & 002 & 004 de pca afin de passer par un traitement batch avec une grosse requête sql au lieu de traitements objet java.'),
(11417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2, principalement sur Sport Retail'),
(11288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n[IF] Lecture de la base de test, demande de précisions sur les points non détaillés.'),
(11289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\ntest'),
(11290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\ntest'),
(11418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nPRESTO: Re-Teste de cas de test Presto à la demande de Marc Domenge. Desqtop-IOS-Android'),
(11419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2, principalement sur Sport Retail'),
(11422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nExécution tests PMD _ Run2'),
(11420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2, principalement sur Sport Retail'),
(11401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n[OLY] Campagne de NonReg Front PSEL sur INT3: ALM: SPORTS_2013 >> CDS Test Atos >> BPS.057.31 - OLYMPIA >> IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533;\\n[ABP OFFRE] Validation ARJEL et ETL des nouveaux markets BASKET - Tests manuel et automatiques; \\n[ABP OFFRE] vérification des corrections des anomalie en cours ANO043844 et ANO044182'),
(11402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n[OLY] Campagne de NonReg Front PSEL sur INT3: ALM: SPORTS_2013 >> CDS Test Atos >> BPS.057.31 - OLYMPIA >> IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533;\\n[ABP OFFRE] Validation ARJEL et ETL des nouveaux markets BASKET - Tests manuel et automatiques;'),
(11297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n[IF] Préparation de l\'arrivée des nouvelles ressources\r\n[IF] Qualification des anomalies\r\n[OLYMPIA] Affectation des anomalies'),
(11298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nTest application native illiko live suite a compilation réalisée le 13/01 sous IOS\r\nTest geolocalisation , géorestriction suite a la mise a jour du catalogue'),
(11299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies'),
(11300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nMIse a jour du fichier de Mock sur les trois jeux illiko live + test'),
(11301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nVerification des ano a la demande de mireille graziano\r\n- ANO045962\r\n- ANO045958\r\n- ANO045810\r\n- ANO045963\r\n'),
(11302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nModifications des REQ :\r\nREQ_ESCALE_HORODATAGE_FLUX_VTS\r\nREQ_SEJOUR_REPORT_APPAREILLAGE_REEL'),
(11303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nCompilation de l\'application native Illiko ANdroid FDL015257'),
(11304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nTest sur l\'application native Illiko Live Android suite a la compilation + test de fail over'),
(11305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\ndesinstallation des jeux ascapone, sauvesouris, lapouleauxoeufdor sous INT8 et sauvesouris ascapone sous INT2 et reinstallation de l\'ancienne version'),
(11306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nInstallation du jeux eldorado 2016 sous INT8 FDL015264'),
(11307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nVerification des desinstallation des jeux illikolive pour la recette a la demande de M.DOMENGE. fait avec Pierre-Gilles.'),
(11308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nattente livraison appli native loto yellowstone pour instal et test\r\ncréation des tests de fail over pour Illiko live IOS et Android'),
(11309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\ncréation des tests de fail over illiko live IOS Android\r\nRedaction cas de test de qualif pour yellowstone'),
(11310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\ntests sur illiko live au niveau des jeux'),
(11311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nCampagne falcon CC : complétion'),
(11312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nCampagne falcon CC : complétion'),
(11313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nCampagne falcon CC : complétion'),
(11314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nVie des environnements');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(11315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nVie des environnements'),
(11316, 'Tickets passé à résolu, gwendoline prend en charge .'),
(11317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n[OLYMPIA] Exécution de la campagne de test RUN2'),
(11318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n[OLYMPIA] Exécution de la campagne de test RUN2'),
(11320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nAction : analyse / conception des tests d\\\'acceptation digishopR \\nLivrable : voir plans de test ALM'),
(11322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nAction : implémentation des plans de test d\\\'acceptation digishopR\\nLivrable : plans de test associés'),
(11323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nAction : implémentation des plans de test d\'acceptation digishopR\r\nLivrable : plans de test associés'),
(11449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nrédaction cas de test flux coheris'),
(11448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nrédaction cas de test flux coheris'),
(11329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n- création ANO045998 [HASARD][YELLOWSTONE] historique non classé de l\'historique des tirages\r\n- création ANO045991 [HASARD][YELLOWSTONE] Affichage résultats SuperLoto du jeudi 19 janvier\r\n- préparation mep KENO'),
(11330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n- création ANO046014 [MAPI][KENO] Mise à jour de version des applis\r\n- investigations anos prod'),
(11331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n- maj doc swagger 3.2.13_mobi\r\n- maj des tests sur simulateurs de gains\r\n- maj de contributions sur palier Keno INT4\r\n- installation livraisons Keno 3.2.13_mobi, 3.4.8_hasard, 3.5.5_edwan INT41, 81\r\n- qualification livraisons\r\n- création ANO046088 [MOBI][KENO] PHP Notice:  Undefined index: champ_table - fichier upload_media.php\r\n- creation ANO046111 [MAPI][YELLOWSTONE] Georestriction pas de prise en compte de log=true\r\n- investigations pb simulation de gains Keno'),
(11332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\n- maj tests mapi\r\n- création ANO046137 [MAPI][YELLOWSTONE] Service mapi/bet/dematerialize argument input requis (405)\r\n- création ANO046138 [MAPI][YELLOWSTONE] Service mapi/results (Method POST)(405)\r\n- création ANO046144 [EDWAN][YELLOWSTONE] Echec de promulgations avec numtir identique\r\n- support promulgations euromillions\r\n- support promulgations loto rattrapage'),
(11333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n- support dev pour ano critique Yellowstone ANO045991\r\n- maj tests MAPI\r\n- qualification livraisons Yellowstone'),
(11334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nAlimentation Ref Digital Front ALM :\r\n- Qualif Yellowstone\r\n- Qualif PMD / DEFI\r\n- Non reg GDO'),
(11335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n- Conf call Pont IQ Stream Coco\r\n- Bug Review'),
(11336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nAlimentation Ref Digital Front ALM :\r\n- Qualif Yellowstone\r\n- Qualif PMD / DEFI\r\n- Non reg GDO'),
(11337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nInstallation et test MUG 2.5.11 sur INT81 - FDL015241\r\n=> Patch de prod'),
(11338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nQualif Anomalies / Support Recettes - Palliers POLY et Yellowstone'),
(11339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nPS PDV : Test réseau  '),
(11340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nMise à jour Doc API DIgishops + Ajout Digi R'),
(11341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nAlimentation Ref Digital Front ALM :\r\n- Qualif PMD / DEFI'),
(11342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nTest acceptance FDL015273 (WSPO) + FDL015277 (Parions direct IOS) + FDL015278 (Parions direct Android) + tests qualifications + avancement Olympia.'),
(11343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nscript promulgation \r\nTest nouvelle version VITAN PSEL 5.5, création de test acceptance alm'),
(11344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nProjet Olympia'),
(11346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nVITAN 5.5 : tests d\'acceptance'),
(11350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nSuivi livraison et Recette + préparation plan de MEP'),
(11351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nSuivi installation Qualification + gestion tir de masse et impact sur Production paramétrage BIC'),
(11352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nPréparation réunion gestion des livraison Lotsys + suivi IQ et re7'),
(11353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nSuivi livraison + gestion des plates formes  et ANOS'),
(11354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nSuivi livraison Recette et préparation MEP'),
(11355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nPréparation Stratégie TESTS'),
(11356, 'Les tests couvrant ces scénarii sont les tests de surface par rôle, partie supervision habilitations (dans le répertoire \"Tests de surface [AUTO]\")'),
(12528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nSAFERGAME : Qualification anomalies ANO041587, ANO041557, ANO041586 , ANO044685 , ANO045891, ANO045895, ANO046030, ANO046050, ANO046048,'),
(11466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\ninstallation et qualification complete spdv wspdv 3.0.7'),
(11369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nreunion service avec philippe A.'),
(11465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nInstallation wspdv spdv 3.0.7'),
(11447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nmco ctrl m i3 mult'),
(11446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\ncas de test coheris'),
(11367, 'Serveur Tomcat down en local: Impossible de démarrer en mode debug.\r\nJ\'ai du faire des clean de tous le projet/ serveur et plusieurs tentative de redémarrage. (au final, c\'était au nombre important de points d\'arrêt)'),
(11414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\ncas de test coheris'),
(11415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nmcp i3 mult'),
(11371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nEcriture cas complémentaire PMD sur joueur retail'),
(11372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nexécution tests PMD RUN2'),
(11396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\ninstance IQ POLY217'),
(11374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nsupport Audrey _ présentation des batchs Abo+'),
(11375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\naide pour organisation des tests liés à la migration des données (pour Abo+)'),
(11432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nOLYMPIA Reprise sur le TR3 suite a une erreur de chargement de donnée'),
(11424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nExécution tests PMD _ Run2'),
(11393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nPalier Olympia - Compte contact - Qualif manuelle - RUN2 \r\nExécution & Anomalies (Qualif, suivi, déclaration)'),
(11379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n- Test du simulateur sur les application Loto et Euml (IOs et Android) et qualification \r\n- Revue campagne de test AppliMaitre'),
(11392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\n- Suite test simulateur, rédaction document de comparaison entre le comportement IOS et Android sur les flux\r\n- Correction de certains cas de test ALM pour l\'application Maitre'),
(11423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nExécution tests PMD _ Run2'),
(11384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia'),
(11385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia'),
(11386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia'),
(11389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia\\n'),
(11388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nAnalyse des mécanismes de PDJ RTG existants'),
(11390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nPalier Olympia - Compte contact - Qualif manuelle - RUN2 \r\nExécution & Anomalies (Qualif, suivi, déclaration)'),
(11391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nEvolutions de scripts Falcon\r\nFinalisation CT de génération de cartes\r\nAnalyse PDJ RTG'),
(11394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nPalier Olympia - Compte contact - Qualif manuelle - RUN2 \r\nExécution & Anomalies (Qualif, suivi, déclaration)'),
(11403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n- Documentation sur le Sport\\n- Correction test ALM pour AppliMaitre'),
(11398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nPalier Olympia - Compte contact - Qualif manuelle - RUN2 \\nExécution & Anomalies (Qualif, suivi, déclaration)\\nRédaction reprise des cas historique de jeu'),
(11399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nPalier Olympia - Compte contact - Qualif manuelle - RUN2 \r\nExécution & Anomalies (Qualif, suivi, déclaration)'),
(11404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nanalyse job controlM\\nformation sur l\\\'anonymisation des bases avec Bruno\\n'),
(11437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nOLYMPIA Installation des FDL015265,FDL015266 et FDL015267 sur le TR3'),
(11406, 'Ticket résolu et OK\r\n\r\nAppel téléphonique passé le 19/01/2017 avec héléne francois.'),
(11407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nRédaction devis'),
(11409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nMCO Ctrl m I3 multimédia'),
(11433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nOLYMPIA Saisie d\'une anomalie ANO046175 relative a la non sortie en erreur de la chaine controlm lors d\'un manque de donnée a traiter'),
(11438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nFDL015285\r\nFDL015286'),
(12484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nMCO - EGIDE'),
(12483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nRAM004 - EGIDE - Suite Qualification ANO045682 suite à livraison FDL015268 - + Pb d\\\'environnement sur INT9YTIX pour les tests'),
(14326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nTR3 SIDC reprise a faire suite a l\\\'installation de 3 FDLs\\nTR2 SIDC KO\\nTR2 SIDCOM OK'),
(11442, 'Le problème semble venir de la classe CustomGroupAuthorizationLocalServiceImpl. Investiguer au niveau de la méthode remove, potentiellement la suppression d\'une ligne dans la table habilitation_customgroupauthorization ne se fait pas correctement. \r\n\r\nPoint de questionnement : l\'utilisation d\'un seul dto (applicationDto) pour les objets applicationInstance et applicationTemplate pourrait être la cause du problème car seul l\'objet applicationInstance contient un attribut applicationCode qui est présent dans l\'objet applicationDto et potentiellement utilisé pour le remove du customGroupAuthorization.\r\n\r\nAttention la source du problème est la suppression et l\'ajout de rôle liferay à un utilisateur via un groupe, aucun rapport avec les tableaux de bord !'),
(11443, 'A faire en 1.7.0 pendant la campagne'),
(11444, 'Commentaire Atos : \r\n\"Un agent CAF doit avoir un accès en consultation. MAJ des droits Liferay du rôle Agent. \r\nListe des écrans : \r\n- 13 ecrans fonctionels en mode consultation\r\n- 1 écran non prévu pour la consultation doit être modifié\"'),
(11445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\ndevis'),
(11450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n[OLYMPIA] \\n\\n- Fin qualification MIGO, MAGO, MUGO\\n- Support recette\\n'),
(11451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\n[OLYMPIA] \\n\\nDéploiement Olympia pour la PERF INT5\\n- Configuration SALT\\n- Deploiement des boutiques\\n- Configuration Edwan\\n- Deploiement des Composants Front (tout Stream)\\n\\nSupport recette'),
(11452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\n[OLYMPIA] \\n\\nDéploiement Olympia pour la PERF INT5\\n- Configuration SALT cloud Retail\\n- Deploiement de la boutique Retail\\n- Configuration BDD MariaDB\\n- Alimentation  BDD iso INT3\\n\\n=> Pb de certificats manquant pour valider le deploiement\\n'),
(11453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\n[OLYMPIA]\\n\\n- Validation anomalie\\n- Bug Review\\n- Support dev anomalie boutique R\\n- Qualification application détaillant'),
(11454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n[OLYMPIA]\\n\\n- Install Day\\n\\nDeploiement + acceptance\\n\\nFDL015270 - Digishop A 2.2.7 => pb fichier manquant dans tar.gz de conf \\nFDL015271 - Digishop I 2.2.3\\nFDL015272 - Digishop U 2.2.4\\n\\nFDL015279 - MAGO 1.0.34\\nFDL015280 - MUGO 1.0.15\\nFDL015281 - MIGO 1.0.11\\n\\n'),
(11456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n[OLYMPIA]\\\\n\\\\n- Acceptance application Android détaillant\\\\n- Qualification application Android détaillant\\\\n- Qualification des anomalies\\\\n\\\\n\\\\n\\\\n'),
(11457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nDevis'),
(11458, 'pas de saxo prévu'),
(11521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- réunion suivi sport \\\\n- script purge live à finaliser \\\\n'),
(11468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nqualification spdv wspdv 3.0.7 et redaction mod\\\\\\\'op spdv, wspdv et psborn'),
(12527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nSAFERGAME : Backup de la base de données INT2'),
(11470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nAjout des commentaires obligatoires'),
(12075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nBTI.049.08 [JEU] YELLOW STONE : Réalisation de la DMT0004872'),
(12076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Installation sur INT2COUR de la FDL015204 correctif de l\\\\\\\\\\\\\\\'anomalie ANO045835 (génération des fichiers SEPA dans GDS)'),
(11520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\\\\\n- Support motors, \\\\\\\\n- Analyse Olympia'),
(11485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.'),
(11486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-13  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.'),
(12074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Qualification de l\\\\\\\\\\\\\\\'anomalie ANO045835.'),
(12085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE : DMT0005284 transfert des informations à Daniel G. pour traitement.'),
(12077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Qualification des tables de l\\\'ETL.'),
(12084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Rédaction du mode opératoire d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'installation de GDS v9.21'),
(12079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Qualification des tables de l\\\'ETL'),
(12083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Exécution des campagnes de tests de mise à jour du Run1 (Bascule DI - DD et Resectorisation).'),
(12078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nBFR.045.35-DEFI-CGV : Participation à l\\\\\\\'atelier de stratégie de tests.'),
(12081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nBFR.045.35-DEFI-CGV : Définition des exigences'),
(12526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nSAFERGAME : Point intégration JC Morel'),
(11510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nFDL015300 (ihmevt)'),
(11511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n- Support Alexandra\r\n- Documentation Sport\r\n- Test Simulateur appli Euml'),
(12485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nTraitement des incidents : INC164785'),
(12486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nMCO : EGIDE - Problème PTRKS DDS erreur, recherche du problème et remise en état'),
(12487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation FDL015221_calypso_13.6.2_liv'),
(11515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nMerge de la branche de maintenance + MAJ POM 1.7.0 + vérif compil sur PIC + déploiment PI'),
(12458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nTR3 SID Client \\nTR2 SID Commercial'),
(11517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nOLYMPIA Correction du chainage et des comptes de dépots des fichiers de la chaine Packman I2SIC-SIDC_PAC sur le TR3'),
(11518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nOLYMPIA Demande de travaux DMT0005563 pour l\'ajout du user I2sidcpm sur le TR3 pour les jobs packman'),
(11571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSuivi des incidents de production + MAJ INC164785'),
(11631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n'),
(11633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\nLivraison et implémentation cas de test pour PDJ multiplex PSEL.'),
(11529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nDev Scripts Motors et ITF : modification de la sctructure json du fichier de description des jeux Motors pour permettre une recherche RAND spécifique pour IF ou Domestique TDPEA-264'),
(11532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nReproduit en attente retour equipe Fusion PL sur suit à donner'),
(11534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nOLYMPIA Rédaction de 2 cas de tests relatifs a PACKMAN'),
(11541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nOLYMPIA exécution de la campagne de qualification (1 test)\\nOLYMPIA Creation d\\\\\\\'une anomalie sur le chargement packman ANO0xxxx'),
(11536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nanonymisation de int1 avec Bruno A'),
(11663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nmigration USR int1'),
(12533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSAFERGAME : Réunion DT avec P.Maigne'),
(12529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSAFERGAME : Création anomalie ANO046273'),
(12532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSAFERGAME : Installation FDL015309 SQL DB2 sur INT2 : ko'),
(12488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nMCO - EGIDE + correction I2_Odyssee_Lot_valides sur CENTURA'),
(12489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - FDL015221_calypso_13.6.2_Qualification et livrable MEP'),
(12531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSAFERGAME : Installation SQL DB2 1.2.4 FDL015314 sur INT2'),
(12536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nSAFERGAME : Extraction de données BETSYS/RDST'),
(12538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nSAFERGAME : Réunion GO/NO GO recette'),
(11553, 'Said :\r\nDonné réponse à gwendoline qui a su résoudre le pb avec l\'utilisateur'),
(11554, 'Said : \r\n\r\nVu avec l\'utilisateur, le plan de test n\'est pas correct puisque les rubriques s\'affichent par ordre alphabétique.\r\n==> info transmise à kevin.'),
(11555, 'Said : \r\nCorrection vu sur Liferay , corrigé mais pas de commit'),
(11556, 'Said : \r\n\r\nSuite mail carole => envoi d\'un email avec le paramètre à desactiver dans IE.\r\n\r\nCdt'),
(11557, 'Analyse : \r\n- Tout est ok sur les autres PF (on a rrive à charger 5Mo sans pb)\r\n- Test sur la PROD confirme le PB (4Mo facile)\r\n- C\'est certainement une limitation de la production\r\n\r\nActions possibles :\r\n- 1. Solliciter l\'équipe de production pour chercher des infos sur cette limitation\r\n- 2. Peut-on connaitre les volumes des PDF actuels : y-a-t-il un PDF > 4Mo en production (date ?)'),
(11558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSupport Eric Martin sur les composants SPDV & WSPDV lors d\'une campagne ALM.\r\nSaisie des fiches d\'anomalies critique sur le checkversion des applications natives Parionsdirect IOS & Android.'),
(11559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nPrésentation cloud front (P.AMERIO)'),
(11560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\n4618'),
(11561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n4618'),
(11666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n[ABP OFFRE] Validation ARJEL et ETL des nouveaux markets Basket (mainbook et live);\\n[OLYMPIA] NonReg Front sur INT3: ALM > PROJET SPORTS_2013 > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533\\n[DIVERS] Formation Cloud Front - 14h à 15h30'),
(12535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nSAFERGAME : Montée de version Cognos 11.0.5 sur INT2'),
(11761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nPrésentation Cloud Front\\nCadrage TDPEA-267.\\nAnalyse de l\\\'existant  TDPEA-267.'),
(11568, 'Support de premier niveau, saxo affecté à Gxendoline Le merlus'),
(11569, 'En cours d\'analyse '),
(11784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n- Correction du pb de mock sur les jeux Presto AS CAPONE et SAUV SOURIS sur INT2\\n- Installation du jeu \\\"La poule aux oeufs d\\\'or v1.0.3\\\" sur INT2 et INT8\\n- Complement des pages confluences Illiko'),
(11572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nOLYMPIA - PMD Investigation sur le non chargement de la vue AGGR_PURS_PLR_DAY'),
(12490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nGestion des incidents'),
(12491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nRAM004 - Infocentre  EGIDE - Document de MEP HIA pour installation ANO045682'),
(11708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b551 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-551: Tests \\\"Late Bets PSMS\\\" + Tests \\\"Arjel Participant Code\\\"'),
(11577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nAction : présentation cloud front'),
(11578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nAction : exécution des campagnes \r\ndigishopi\r\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.3.8_INT7_CC\r\nACCEPTANCE_API_DIGISHOPI_2.2.1_Falcon_2.3.8_INT7\r\n\r\ndigishopa\r\nACCEPTANCE API_DIGISHOPA_2.2.6_Falcon_2.3.8_INT7_CC\r\nACCEPTANCE API_DIGISHOPA_2.2.6_Falcon_2.3.8_INT7\r\n\r\ndigishopu\r\nACCEPTANCE API DIGISHOPU_2.2.2_Falcon_2.3.8_INT7_CC\r\nACCEPTANCE DIGISHOPU_2.2.2_Falcon_2.3.8_INT7_CC\r\nACCEPTANCE API DIGISHOPU_2.2.2_Falcon_2.3.8_INT7\r\n\r\n\r\n\r\n Livrable : bilan d\'exécution (voir mail)'),
(11579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nqualification'),
(11580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nqualification'),
(11581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nreunion achraf'),
(11582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nMise au point partie commune'),
(11583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\ndev non terminé : difficultées de test + absence lindsay pour question sur spec '),
(11585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAnalyse des incidents de production'),
(12459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nTR3 SIDC reprise des données du 21 et 22/01\\nTR2 SIDC KO\\nTR2 SIDCOM OK'),
(11587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\n-'),
(11661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nPrise de connaissance sur le projet GAMIFICATION\\n\\nRéunion d\\\'information sur le Cloud Front'),
(11590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nMise en place dump post fusion'),
(11591, 'Temps de traitement du scheduler PCA.\r\n\r\n1 millions de partenaires / users - 4 millions de visites et de rubriques vues		\r\n\r\nEssai 1 :\r\nTDB001	51,1 s\r\nTDB002	55,9 s	\r\nTDB004	39,2 s		\r\nEssai 2:	\r\nTDB001	78,5 s		\r\nTDB002	146,5 s	\r\nTDB004	39,2 s	\r\nEssai 3:			\r\nTDB001	116,9 s	\r\nTDB002	85,0 s		\r\nTDB004	42,2 s	\r\n			\r\n1 millions de partenaires / users - 1 millions de visites et de rubriques vues\r\n\r\nEssai 1:		\r\nTDB001	12,6 s	\r\nTDB002	14,1 s		\r\nTDB004	29,5 s\n\n'),
(11593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nYELLOWSTONE : RTG 2.3.3 Acceptance et Non Reg sur INT 2 Loto, Super Loto et Loto Noel : construction du catalogue de test'),
(11595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nPréparation des campagnes d\\\'acceptance et de non reg pour falcon usr 2.3.9,RTG 2.2.10 et ITG 2.2.10 sur INT1.\\n\\nYELLOWSTONE : RTG 2.3.3 Acceptance et Non Reg sur INT 2 Loto, Super Loto et Loto Noel : construction du catalogue de test.'),
(11596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\na compléter svp'),
(11597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nOLYMPIA Support a la recette sur le manque d\'alimentation de la V_ALL_AGGR_PURS_PLR_DAY'),
(11598, 'Test ID : 662\r\nPCA-Tests de confirmation - Intégration - 18-01-2017 - Mantis 16050 - Fonctionnement des dates picker de la rubrique Droits'),
(11599, 'Test ID : 651\r\nPCA-Tests de confirmation - Intégration - 18-01-2017 - Mantis 16008 - Correction de la vue par période de la rubrique Droits'),
(11600, 'il y a eu un dépassement pour cette tache car le problème ne venait pas uniquement de la liste mais du mapping hibernate aussi. Le mapping hibernate a du être revu => 1 jour de dev en plus.'),
(12041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nReunion cloud 14h 16h'),
(12492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nRéunion de partage et assistance HIA sur problème d\\\'extraction CA'),
(12040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n- Qualification SPDV WSPDV 3.0.7\\\\n- Recherche d’évolution de configuration du CLOUD suite a un bug SPDV\\\\n- Installation SPBORN 1.0.5\\\\n- Configuration CLOUD pour ILBOR 1.0.0'),
(12039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nConfiguration INT 0 1 2 3 4 5 6 7 8 pour ILBOR'),
(11607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\\nAnalyse FAQ connectées'),
(11608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nFDL015321 : [COJO]  [CRM2] Livraison objets Oracle Partiel Correctif ANO045385  - Modification index\r\npréparation FDL OLYMPIA avec mise à jour CTRLINEX et correctifs anaomalies'),
(11609, 'Bonjour Said,\r\n\r\n\r\nC\'est bizarre, maintenant l\'administrateur parvient à avoir la fonction consulter le dossier et les conventions.\r\nAlors qu\'avec le partenaire nous n avons rien fait de plus. De ce fait, je ne fais pas remonter un saxo.\r\n\r\n\r\n \r\nBien cordialement, \r\n____________________________________________________________________________________\r\n\r\nBonjour Delphine,\r\n\r\nUn bref récapitulatif de notre entretiens téléphonique.\r\n\r\nLe problème remonté : le responsable habilitation affecté au groupe de la convention de la mairie de saint sauflieu, n\'arrive pas à accéder au service CDAP, malgré son habilitation.\r\n\r\nAnalyse de notre équipe technique : Le problème a été reproduit sur nos environnement de test et la correction sera apportée lors de la prochaine livraison des paquets en production.\r\n\r\nComme proposé lors de note échange et en attendant la livraison du correctif, la création d\'un nouvel utilisateur pour cette personne peut être appliquée en l\'ajoutant simplement au groupe habilité pour qu\'elle puisse accéder à CDAP.\r\n\r\nEn attendant la création du saxo par vos soins, je reste à votre disposition pour tout aide supplémentaire.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\n\n'),
(11610, 'Plusieurs echange téléphonique et mails avec kévin et loic.\r\n\r\nConclusion : Le problème du libellé doit être traité par caf pro. (Une fois cela fait, vérifier que le libellé a bien été modifier dynamiquement sur CDAP pour passer le ticket a resolved).'),
(11611, 'Après échanges téléphoniques avec carole delahayes et loic mercier, cela s\'agit d\'une anomalie CAFPRO.\r\n'),
(11612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nInvestigation régression rafraichissement des cotes depuis In Running Manager.\r\nPB :\r\nIndisponibilité des environnements INT1 et INT3 sur lesquels la version ABP était déployée pour cause d\'installation Falcon'),
(13338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec JC.Morel'),
(12534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nCSAM : Demande de K.Calata (Sopra) sur des secteurs/détaillants Egide'),
(11616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (SuperLoto et SuperLoto de Noel) Loto 2016 dans le projet ALM Olympia.'),
(12097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (SuperLoto et SuperLoto de Noel/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(11763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nTDPEA-267\\nTDPEA-272'),
(11619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nOLYMPIA 18 cas de tests rédigés sur les nouvelles fonctionnalités'),
(11662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAtelier avec Jérémie sur le Stream Jeux ILLIKO\\\\nAtelier avec Nicolas sur les installations Falcon USR - OPR - BOX - Doc API'),
(11622, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nle mardi 24/01/17 : devis du D44114 qui correspond à l\'évolution D44103'),
(11623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nOptimisation du tableau de bord activity report PHA (tdb 002). \r\n\r\nAction menée :\r\n\r\n1) Mise en place d\'une requête sql pour la récupération des traces d\'activités au lieu de boucler en utilisant les méthodes générés liferay -> optimisation du nombre de requêtes. \r\n\r\n2) Mise en place d\'une requête de nettoyage des données de détail d\'activités ayant une date > j - 6 mois au moment du lancement du batch. \r\n\r\n3) Mise en place d\'une requête de nettoyage des données contenues dans la table principale du tableau de bord dans le cas ou aucun détail d\'activité n\'est associé.\r\n\r\n[NOTE REMARQUE FONCTIONNEL] Pas de suppression des données partenaire inactif pour ce tableau de bord (partenaire pas ouvert | convention pas ouverte ou inactive), attention ce n\'est pas le cas du tableau de bord dernière connexion PHA (tdb 001) pour lequel les données de partenaires inactif sont nettoyées.\r\n\r\n[NOTE REMARQUE ARCHI] Conseil de revoir le modèle de la table pour concaténer les données par jour et stocker également le nombre d\'ip & de détails par jour pour le couple partenaire / service.'),
(12493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - Installation FDL015312 MFSTIM 2.1.0.4 WebAPI sur INT1'),
(12494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - Installation FDL015312 MFSTIM 2.1.0.4 WebAPI sur INT2'),
(11713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nmise à jour script ITFPutBetMotor\\\\\\\\nModification de la structure json du fichier de description MOTORS\\\\\\\\nRéunion : Présentation de la nouvelle architecture Front\\\\nqualification des scripts domestique et ITF suite aux modifications sur l\\\\\\\'API Motors (lib XLM et restructuration du GamesDataDesc.json)'),
(11627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nDevis 18.2 jours'),
(11628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nDevis 12.8 jours'),
(11714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nmodification de la structure json du fichier de description des jeux ITG et adaptation de l\\\'API en conséquence\\nQualification de l\\\'API sur Falcon, Motors et Digishop avant tag'),
(11634, 'Fin de la campagne des tests'),
(11638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nTests IF'),
(11636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nTests IF'),
(11637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nTests IF'),
(11639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAnalyse et calcul des volumetries, debut devis'),
(12537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nSAFERGAME : Extraction des données BETSYS/RDST'),
(11641, 'Il est normal que Mylène Burckel ne puissse accéder à CDAP puisque son appartenance débute le 02/11/2017.\r\nPar contre à accès Magali y à accès.'),
(11642, 'Saxo passé à \"Realisé\"'),
(11643, 'Version SFD 1.3_20170124\r\n\r\nRG réalisé :\r\n-IHM-012_RG-14 et IHM-022_RG-14 (même règle)\r\n-IHM-012_RG-15 et  IHM-022_RG-15  (même règle)\r\n-IHM-012_RM-02 et IHM-022_RM-02  (même règle)\r\n-IHM-012_RG-06\r\n-IHM-022_RG-06\n\n'),
(12036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nprise en main documentation ilbor prestoborne et SPDV'),
(11664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nInsatallation sur int3 \\nusr 2.3.9-1 - FDL015197\\nBOX 2.4.8-1 - FDL015130\\nOPR 2.4.5-1 - FDL015232'),
(11647, 'CONVENTION : CDAP \r\nCAF : Caf de la Correze\r\nOrganisme partenaire : ALSH - CCAS de Bort les Orgues'),
(11648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\n[IF] Atelier HP ALM'),
(11649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n[IF] Lecture de la base de test'),
(11650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\n[IF] Lecture de la base de test'),
(11651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\n[IF] Lecture de la base de test'),
(11652, 'Rubrique Mes locataires:\r\n- Afficher correctement les données à l\'écran: Code locataire n\'est pas affiché correctement.'),
(11653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\n***'),
(11667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nLancement campagne falcon usr 2.3.9 non reg sur INT3.\\n\\nLevée d\\\'anomalie sur YELLOWSTONE composant falcon rtg loto.\\n\\nAnalyse campagne falcon usr 2.3.9 non reg sur INT3'),
(11655, 'Il faut aligner le contenu des champs Cumul.\r\nécran récapitulatif(rubrique signaler un impayé): Il faut masquer le signe \"€\" quand le \"Loyer net (hors charges) *\" n\'est pas affiché'),
(12038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nFinalisation de l\\\\\\\'installation ilbor, creation d\\\\\\\'un cylcle de qualification'),
(12460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nTR3 SIDC Mise a jour des jobs d\\\'extraction falcon  pour reprise de donnée a partir du 20/01\\nTR2 SIDC en attente\\nTR2 SIDCOM Reprise du flux R_SAG_REF_DISTRIBUTION'),
(11669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nOLYMPIA Réexécution de la vérification du mapping (test statique)'),
(11670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nGDC Correction de la chaine adobe_week sur le TR3'),
(11671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nAnalyse du pb mais  il est confirmé que le pb vient de RIBA'),
(13587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nMCO flux control m'),
(13020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nanalyse et cas de test coheris'),
(13588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nMCO control m'),
(13018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nanalyse et cas de test coheris'),
(13015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nanalyse et cas de test coheris'),
(13016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nMCO control M'),
(11836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\n[ABP OFFRE] Validation ARJEL et ETL des nouveaux markets;\\n[OLYMPIA] NonReg Front sur INT3: ALM > PROJET SPORTS_2013 > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533;'),
(12497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nGestion des Incidents'),
(12496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - FDL015312 MFSTIM 2.1.0.4 WebAPI  - Création et livraison des livrables MEP pour HIA'),
(14128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Prise de connaissances des doc disponible pour CSAM-MEIBO'),
(11682, '\"Le montant d\'impayé est obligatoire.\" est affiché même si les montants ne sont pas affichés.\r\n\"Loyer net (hors charges) *\" n\'est pas validé'),
(11683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nAnalyse et mise à jour de DigishopR 1.0.7'),
(11684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nMise à jour des variables d\'environnement pour les scripts DigishopU '),
(11685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nLivraison des scripts DigishopU '),
(11686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nMontée en compétences ALM pour réaliser campagne acceptance. '),
(11794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nMise à jour scripts DigishopR'),
(11691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nOLYMPIA\\n\\nSupport recette :\\\\n	- Investigation problème de confirmation des joueurs sur INT3 => 1h (pb Falcon redémarrage Gateway RTL suite à deploiement 2.3.9)\\\\n	- Investigation retrait joueur en erreur => 1/2 heure\\\\nQualification anomalies installées \\\\nANO042749 \\\\nANO043555 \\\\nANO045668\\\\nANO045669\\\\nANO045670\\\\n\\\\nInvestigation suite à impossibilité de lancer les applications Android depuis le launcher => modif dev prise en compte env X1'),
(11690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nBug review Olympia'),
(11692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nPrésentation du Cloud Front'),
(11693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nOLYMPIA\r\n- Support Auto - pb getTicket + contac/confirm Olympia \r\n- Support recette tests captcha\r\n- Rédaction Mode opératoire (à compléter pour la partie cloud retail)\r\n- Investigation pb aléatoire de timeout Digishop R\r\n\r\n\r\n'),
(11694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nOLYMPIA\r\n\r\n- Historiques de jeux non optimisés => analyse + reporting au projet\r\n- Préparation tests aux limites sur digishop R (variabilisation SALT des paramètres de configuration du token pour faciliter les modifications des valeurs durant les tests)\r\n- Préparation + déploiement de la boutique Digishop R 1.0.7 sur INT1 (propagation sur les master INT3 et INT7)\r\n- Acceptance Digishop R 1.0.7  '),
(11980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nOLYMPIA\\n\\n- Fin de rédaction du mode opératoire de MEP\\n- Qualification digishop R (tests aux limites du token)'),
(12567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\ntest run 2'),
(12568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\ntest run2'),
(12566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\ntest run2'),
(11699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nTests IF'),
(12565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nrun2'),
(11856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nTests IF'),
(11709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b551 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-551: Suite des Tests ...'),
(11710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b551 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-551: Suite des Tests ...'),
(11711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b551 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-551: Suite des Tests ...'),
(11712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b551 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-551: Suite des Tests ...'),
(11716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAction : boutik : digishop R : implémentation des tests d\\\'acceptation \\nLivrable : tests associés (voir folder DigishopR dans plans de test ALM)'),
(11722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nGestion mode RAND sur scripts ITG avec modification structure json des jeux ITG avec un sous nœud \\\\\\\"ITG\\\\\\\" ou \\\\\\\"ITF\\\\\\\" (TDPEA-264)\\\\nEvolution en conséquence des scripts ITG d\\\\\\\'automatisation Domestique et ITF (TDPEA-273)'),
(11718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nQUALIF VITAN 5.5 ACCEPTANCE'),
(11719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nAction : digishopi\r\nACCEPTANCE_API_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE_API_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3\r\nACCEPTANCE _DIGISHOPI_2.2.3_Falcon_2.3.9_INT3\r\n\r\ndigishopa\r\nACCEPTANCE API_DIGISHOPA_2.2.7_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE DIGISHOPA_2.2.7_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE API_DIGISHOPA_2.2.7_Falcon_2.3.9_INT3\r\nACCEPTANCE DIGISHOPA_2.2.7_Falcon_2.3.9_INT3\r\n\r\ndigishopu\r\nACCEPTANCE API DIGISHOPU_2.2.4_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE DIGISHOPU_2.2.4_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE API DIGISHOPU_2.2.4_Falcon_2.3.9_INT3\r\nACCEPTANCE  DIGISHOPU_2.2.4_Falcon_2.3.9_INT3\r\n\r\ndigishopr\r\nACCEPTANCE _DIGISHOPR_1.0.7_Falcon_2.3.9_INT3\r\n\r\nLivrable : bilan d\'exécution préliminaire des campagnes d\'acceptation boutik  INT3'),
(11720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nAction : digishopi\r\nACCEPTANCE_API_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE_API_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3\r\nACCEPTANCE _DIGISHOPI_2.2.3_Falcon_2.3.9_INT3\r\n\r\ndigishopa\r\nACCEPTANCE API_DIGISHOPA_2.2.7_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE DIGISHOPA_2.2.7_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE API_DIGISHOPA_2.2.7_Falcon_2.3.9_INT3\r\nACCEPTANCE DIGISHOPA_2.2.7_Falcon_2.3.9_INT3\r\n\r\ndigishopu\r\nACCEPTANCE API DIGISHOPU_2.2.4_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE DIGISHOPU_2.2.4_Falcon_2.3.9_INT3_CC\r\nACCEPTANCE API DIGISHOPU_2.2.4_Falcon_2.3.9_INT3\r\nACCEPTANCE  DIGISHOPU_2.2.4_Falcon_2.3.9_INT3\r\n\r\ndigishopr\r\nACCEPTANCE _DIGISHOPR_1.0.7_Falcon_2.3.9_INT3\r\n\r\nLivrable : bilan d\'exécution des campagnes d\'acceptation boutik  INT3'),
(11964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nModification des scripts RTG pour la prise en compte des nouveaux attributs de déclaration des environnements et qualification (TDPEA-284)\\névolution dans le socle commun la lecture du paramètre de déclaration de l\\\'environnement'),
(11723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nVITAN ACCEPTANCE'),
(11724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nFINALISATION SCRIPT PROMULGATION CENTRALISE'),
(11907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nAction : digishopi\\nACCEPTANCE_API_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3_CC\\nACCEPTANCE_API_DIGISHOPI_2.2.3_Falcon_2.3.9_INT3\\n\\ndigishopa\\nACCEPTANCE API_DIGISHOPA_2.2.7_Falcon_2.3.9_INT1_CC\\nACCEPTANCE API_DIGISHOPA_2.2.7_Falcon_2.3.9_INT1\\n\\ndigishopu\\nACCEPTANCE API DIGISHOPU_2.2.4_Falcon_2.3.9_INT1_CC\\nACCEPTANCE API DIGISHOPU_2.2.4_Falcon_2.3.9_INT1\\n\\ndigishopr\\nACCEPTANCE _DIGISHOPR_1.0.7_Falcon_2.3.9_INT1\\n\\nLivrable : bilan d\\\'exécution préliminaire des campagnes d\\\'acceptation boutik  INT1'),
(11726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nINSTALL DES ENVIRONNEMENTS CLOUD FRONT PSEL'),
(11730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nConstat/ communication / alerte  : l\\\'environnement de tests de Yellowstone (INT2) ne bénéficie pas des dernières corrections/evolutions d\\\'Olympia => les résultats des tests passés par Audrey n\\\'ont aucun sens (surtout pour les batch et AboZen)\\n\\n=> Retour de P.Giambelluco : Lotsys n\\\'a pas encore livré les mises à niveau Applicative de Olympia dans Yellowstone !');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(12539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nSAFERGAME : Extraction données BETSYS/RDST'),
(11731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nExécution RUN2 _ PMD'),
(11732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nExécution RUN2 _ PMD'),
(11736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\n0.5j : Exécution RUN2 _ PMD  (contrôles sur données déjà générés_ test à cheval sur plusieurs jours)\\n0.5j : gestion documentaire / anos (=> environnement toujours pas dispo suite à installation USR V2.3.9)'),
(11897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nretour validation'),
(11737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nCampagne falcon 2.3.9'),
(11740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nExécution RUN2 _ PMD'),
(11739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nCampagne falcon 2.3.9'),
(11741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nCampagne falcon 2.3.9'),
(11742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nExécution RUN2 _ PMD'),
(11743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nVie des environnements'),
(11744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nVie des environnements'),
(12044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\r\n- Actions correctives pour les tâches KO VieDesEnvironnement.\r\n- Support test PDJs Live.\r\n- Support dev Olympia perf\r\n- Rédaction cas de test Mify PSEL ALM. '),
(11747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nback office IF + moteur de liquidites'),
(11748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nback office IF + moteur de liquidites'),
(11749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nback office IF + moteur de liquidites'),
(11750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nback office IF + moteur de liquidites'),
(11751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nback office IF + moteur de liquidites'),
(12540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nSAFERGAME : Installation Datastage V1.2.5 sur INT2'),
(12541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nSAFERGAME : Installation Datastage V1.2.5 sur INT4'),
(40966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n'),
(11908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nMise en place d\\\'une campagne pour la vérification ETL.\\n'),
(11764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nPoint ITF Auto\r\nTDPEA-267'),
(11909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nFormation Billy\\nRéunion d\\\'avancement avec Raphaël'),
(11867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nAcceptance Olympia INT1'),
(11868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAcceptance Olympia INT1 + Non-reg Olympia INT3'),
(11869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nNon-reg Olympia INT3'),
(11769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nDigishop-R Token Technical services.\r\nTDPEA-267'),
(11870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nTBD'),
(11871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\n2'),
(12136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nKanban\\nDigishop-R Token technical services\\nTDPEA-267'),
(11773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nANO046204 Analyse de l\'anomalie pour qualification\r\nAnalyse comportement application native Yellowstone IOS Android'),
(11774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nReunion Cloud Front '),
(11775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nANO045981 Analyse de l\'anomalie pour qualification\r\nANO046323 Analyse de l\'anomalie pour qualification\r\nAnalyse des applications yellowstone sous IOS et Android en vue de la répétition\r\nPassage en revu des anos avec Sylvie Montoya + Analyse des differences de fonctionnement entre IOS et Android'),
(11776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nAnalyse sur le disfonctionnement des appli natives en vu de la répétition yellowstone\r\nInstallation des nouvelles versions des applis natives IOS Android pour la correction des anos en vu de la répétition\r\nFDL015330\r\nFDL015329\r\nTest pour voir si les anos associés sont résolu\r\nRépétition yellowstone'),
(11777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nCréation de l\'ANO046418 suite a la répétition yellowstone\r\nAnalyse de l\'anomalie + tests des appli suite a nouvelle livraison + création de nouvelle anomalie suite aux tests'),
(11778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\ntest sur les applis native loto yellowstone'),
(11779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nReunion avec boulogne sur les US + Poker sur les applis natives'),
(11780, 'Test à prévoir.'),
(11782, 'Dev deja fait, mais livraison sur le 01.08.00. Test de confirmation à faire + check.'),
(11785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAnalyse pb de règles générales non affichées pour les3 jeux presto\\nErreur 404 lors du clic sur les liens \\\"Reglement\\\" des jeux Presto'),
(11786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\n-'),
(11789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nRédaction du mod op d\\\'installation des jeux presto pour HIA'),
(12879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nRédaction du Mod Op d\\\'installation des 3 jeux Presto à destination de HIA '),
(11792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nAnalyse campagne falcon usr 2.3.9 non reg sur INT3'),
(11922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\ntest courrier\\nFDL015315   : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT FULL pour OLYMPIA '),
(13022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nMCO CTRL M'),
(13021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\ncas de test coheris'),
(13023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nMCO CTRL M'),
(13024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\ncas de test coheris'),
(11800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nGConf'),
(11801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nGConf'),
(11803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nGuide MCO'),
(12403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN 2 sur INT3, Version Falcon V2.3.9\\nIntervention principalement sur Sport Retail avec Billy, et qualification D\\\'anomalies'),
(11805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nRéunion Cloud Front'),
(11806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nAlimentation test Qualifs Référentiel Digital Front'),
(11807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nConfiguration Cloud Front (suite modif sous domaine)'),
(12404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN 2 sur INT3, Version Falcon V2.3.9\\nIntervention principalement sur Sport Retail avec Billy, et qualification D\\\'anomalies\\nPS: INT 3 n\\\'était pas disponible de 10:00 à 16:40'),
(11809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nQualifications Anomalies POLY et Yelowstone (demande MIreille)'),
(11810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAnalyse MUG et Digishop U pour l historique jeux du joueru sous projet Yellowstone.\r\n=> Redaction d\'une MOD urgente MOD010783'),
(11827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nRéunion Stream Coco\\\\nOrganisation du stream Coco pour gérer la maintenance corrective et évolutive : acteurs, environnements, planning, …'),
(12405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nCompagne OLYMPIA RUN 2 sur INT3, Version Falcon V2.3.9\\n- Qualification D\\\'anomalies ( 11 fiche anomalies à moi) \\n- j\\\'ai essayé de qualifier  les 4 fiches anomalies( Eric Nicolas et Julia Barbier) mais sans succès.'),
(11822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nAlimentation test Qualifs Référentiel Digital Front'),
(12406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN 2 sur INT3, Version Falcon V2.3.9\\nIntervention principalement sur Sport Retail avec Billy, et qualification D\\\'anomalies( Trois fiches)'),
(11818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nAlimentation test Qualifs Référentiel Digital Front'),
(11820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nAlimentation test Qualifs Référentiel Digital Front'),
(12407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN 2 sur INT3, Version Falcon V2.3.9'),
(11824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nAnalyse problème lancement Jeu Illiko sur INT7 - demande Nicolas Urien (qui pensait que c\\\'etait Digishop), relayée à Jérémi'),
(11825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\n[IF] Lecture de la base de test\r\n[IF] Coquilles de test sur backoffice loterie'),
(11826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\n[IF] Coquilles et cas de test backoffice loterie IF'),
(11828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\ntests qualification yellowstone\r\n'),
(11829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\ntests qualif yellowstone + soirée yellowstone\r\n'),
(11830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nFDL015346 (2.0.29_wloto)\r\n'),
(11831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nCampagne NON RÉGRESSION MTR 1.5.3'),
(11832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nCampagne NON RÉGRESSION MTR 1.5.3'),
(11833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nCampagne NON RÉGRESSION PRESTO'),
(11834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nCampagne NON RÉGRESSION PRESTO'),
(11835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nCampagne NON RÉGRESSION PRESTO'),
(12326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\n[OLYMPIA] NonReg Front Webapp sur INT3: ALM > PROJET SPORTS_2013 > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533;'),
(12327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\n[ABP OFFRE] Validation ARJEL et ETL des nouveaux markets;\\n[OLYMPIA] Finir la campagne de NonReg Front Webapp sur INT3: ALM > PROJET SPORTS_2013 > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14-1-23-OLYMPIA-533;'),
(11852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nMaj test ALM application native parionsdirect. (IOS et Android)\\nMaj test WSPO\\nRecherche sur l\\\'erreur au lancement de l\\\'application parionsdirect Android  --> Modification Dfo-store par le dev.\\nNettoyage composant MIGO, MAGO, MUGO sur cloud FDJ\\nBUG REVIEW Olympia (1h)'),
(11840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia'),
(11841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia\r\n'),
(12240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia'),
(11843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia'),
(11844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nSuite maj ALM, campagne qualification applications natives parionsdirect IOS et Android (Normalement)\r\nContact avec les personnes gérants le DFO-store pour régler le problème de lancement des applications natives.\r\nCréation anomalie technique sur les multiples appels des js des TMS sur l\'application Android.'),
(11874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nUS REVIEW STREAM FRONT SPORT (40 min)'),
(11875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nPalier Olympia - Compte contact - Gestion Anomalie (qualification, gestion, déclaration) - Qualification manuelle'),
(11876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nPalier Olympia - Compte contact - Gestion Anomalie (qualification, gestion, déclaration) - Qualification manuelle'),
(11853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nSupport Eric sur la mise en place du nouveau composant ilbor, re-explication sur la manière d\\\'installer les composants, sur ojadgate). Avancement projet Olympia (test ALM + tracking)\\nQualification d\\\'anomalie.'),
(11877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nPalier Olympia - Compte contact - Ecriture 9 cas de test historique de jeux, en cours, terminé, archivés => avec requête BDD FLLV et FLAR\\n==== ENVIRONNEMENT INT3 INDISPO'),
(11850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nProjet Olympia : Avancement sur le sujet'),
(11879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nPalier Olympia - Compte contact - Gestion Anomalie (qualification, gestion, déclaration) - Qualification manuelle \\\\nMontée en compétence sport automatisation'),
(11857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nQualification anos yellowstone'),
(11858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\n- support Coheris, problème de contribution \r\n- installation livraisons YellowStone\r\n4.0.7_edwan	FDL015306\r\n4.0.8_edwan\r\n4.0.9_edwan	FDL015313\r\n4.0.3_hasard	FDL015304\r\n4.0.4_hasard	FDL015311\r\n- support livraison edwan et rattrapage de l\'ensemble des promulgations YellowStone pour réalimentation table\r\n- création ANO046296 [EDWAN][YELLOWSTONE] Echec de promulgations\r\n- création ANO046297 [EDWAN][YELLOWSTONE] PHP Notice:  Undefined index: annonces in include_t_loto_res.php\r\n- création ANO046308 [MOBI][YELLOWSTONE] Contribution mobile pour logo Loto de Noel'),
(11859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\n- rattrapage contribution mobi Keno sur Palier Yellowstone\r\n- investigation affichage du montant raffle sur YellowStone, pb de contribution\r\n- création ANO046313 [MOBI][YELLOWSTONE] Maj swagger /mobiles/api/loto parametres et logo\r\n- création ANO046315 [MOBI][BINGO] Mauvais environnement sur config.env : integ\r\n- création ANO026325 [MAPI][YELLOWSTONE] Pas d\'infos raffle sur le nextDrawLoto.jackpotLoto.lotonoel\r\n- création ANO046332 [HASARD][YELLOWSTONE] Mauvais affichage des jours dans l\'historique des tirages\r\n- création ANO046334 [HASARD][YELLOWSTONE] Mauvaise date sélectionnée dans l\'historique des tirage\r\n- création ANO046365 [HASARD][YELLOWSTONE] Régression historique des tirages Keno'),
(11860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\n- support d\'affichage widget d\'authent sur portail\r\n- maj contribution Keno sur integ\r\n- création ANO046402 [EDWAN][YELLOWSTONE] Mauvais retour sur le nb de raffles loto\r\n- qualifications anomalies yellowstone'),
(11861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\n- support cohéris, pb de contribution FAQ\r\n- maj swagger 4.0.3_mapi\r\n- création ANO046437 [EDWAN][YELLOWSTONE] Pas de données dans les archives loto2017.zip\r\n- qualifications anomalies yellowstone'),
(11878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nPalier Olympia - Compte contact - Gestion Anomalie (qualification, gestion, déclaration) - Qualification manuelle\\\\n===> Installation 15h sur PC RAM supplémentaire'),
(11902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nMontée en compétence Services REST / Lotsys\\nRédaction d\\\'un guide de configuration RESTER pour Mozilla Firefox (Automatisation de services REST via un applet)'),
(11903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nMontée en compétence sur HPALM / Lotsys\\nNomenclature Interactive Factory\\nLangage du TEST'),
(11872, 'Pour constater le problème : sur une convention disposant d\'un groupe ayant l\'autorisation sur le rôle T#, modifier l\'autorisation du groupe en T$. Sur le tableau de bord \"Activité des utilisateurs\", dans la liste des rôles (détail)  d\'un utilisateur, les deux rôles sont apparant.\r\nIl est probable que lors de la suppression / rajout du rôle au groupe de la convention, les éléments d\'activité liés à ce groupe et donc à ses utilisateurs ne soient pas mis à jour / supprimé.\r\nMaintenant faut-il les supprimer véritablement ? Car c\'est une perte d\'informations sur l\'historique des mouvements de l\'utilisateur.'),
(11936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\\\\\\\\\\\\\n- implémentation cas de test pour purge des lives.\\\\\\\\n-implémentation Cas de test Mify PSEL\\\\n- Évolution scripts Mify.\\n- Support Olympia'),
(11881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nOLYMPIA Investigation sur le non chargement des 22 et 23/01 des fichiers PURS '),
(12461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nTR3 SIDC chaine OK mais reprise des donnees falcon de purse KO\\nTR2 SIDC KO \\nTR2 SIDCOM deblocage suite a la creation d\\\'un incident INC165517 sur l\\\'ETL'),
(11883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nOLYMPIA Support a la recette et investigation sur le problème d\'alimentation en donnée packman sur le TR3\r\n'),
(11884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nTooltip affichant la note associée à une imputation dans \"Imputations hebdo\"'),
(11885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nDéveloppement tooltip affichant la note associée à une imputation dans \"Imputations hebdo\"'),
(11886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nDéveloppement tooltip affichant la note associée à une imputation dans \"Imputations hebdo\"'),
(11887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nHello'),
(11888, 'complétion des chapitres 3.25 et 4'),
(11889, 'Document CDAP - Dossier Architecture Technique - v2.4.docx déposé ici I:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\PPS\\12-LIVRABLES\\DAT'),
(11890, 'Schémas enregistrés dans le fichier I:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\PPS\\12-LIVRABLES\\DAT\\schemasPPS.vsd'),
(12498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nGestion des incidents'),
(12499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nMCO - EGIDE  (Relance des chaines suite à plantage de INT2ETL)'),
(12500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective  - Installation FDL015004_egide_4.20.03_liv sur INT6EGID en Full + Formation Michel Pergola'),
(12501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective  - Installation FDL015004_egide_4.20.03_liv sur INT9EGID'),
(12502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective  -  Livraison MEP à HIA de la FDL011545_Alim_INFOCENTRE_8.0_liv4'),
(11898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nretour validation'),
(11904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nDéménagement'),
(11905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nDéménagement'),
(13635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nMontée en compétence SNOW / IF\\\\nRédaction d\\\\\\\'une anomalie\\\\nSavoir exploiter les logs / formation sur l\\\\\\\'environnement frontal FDJ'),
(12542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nSAFERGAME : test modification parametre spss, pour reproduire le comportement en recette'),
(12545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nSAFERGAME : extraction BETSYS/RDST de prod'),
(12544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nSAFERGAME : Investigation problème de données rdst, résolu avec B.Gautrot, dû à un problème à la mise en service de PLC le 01/05/2016'),
(11917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nsuivi Re7 + suivi livraison + préparation MEP'),
(11915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nDétection et création de 4 anomalies sur Yellowstone\r\nVérification des configurations enter ojadgate et nos environnements d\'intégration\r\n'),
(11916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nsuivi des tests'),
(11918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nsuivi Re7 + suivi livraison + préparation MEP'),
(11919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nsuivi Re7 + suivi livraison + préparation MEP'),
(11924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nFDL015354   : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT FULL pour OLYMPIA '),
(11921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nsuivi Re7 + suivi livraison + préparation MEP PRESTO'),
(11923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nsuivi Re7 + suivi livraison + préparation MEP'),
(11925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nsuivi Re7 + suivi livraison + préparation MEP'),
(11926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nsuivi Re7 + suivi livraison + préparation MEP'),
(12543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nSAFERGAME : Réunion avec R.James avant départ congés'),
(11929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nRAF: TU + Doc+ Résolution pb + fin de dév (style)'),
(11930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nTU: 1 /  Contrôle Rôles: 1 / dev cloture: 1 / controle doc: 1,5 à 2 / Style: 0.5'),
(11931, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDevis\r\n'),
(12506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nGestion des incidents'),
(11933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\ntests posts fusionpl'),
(12505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nMCO - EGIDE - Repise chaine Extract CA sur TR2'),
(11937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Réunion de suivi programme sport\\\\n- Cas de test Mify PSEL\\n- Support Olympia'),
(11938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nTests IF'),
(11939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nTests IF'),
(12504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - EGIDE REPORTING- FDL014119_Alim_INFOCENTRE_8.0_liv6 sur INT3ETL9'),
(11941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nTests IF'),
(11942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nTests IF'),
(11943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-29  (Do not remove this line) -->\nréunion projet'),
(11944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-30  (Do not remove this line) -->\nréunion projet'),
(13284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nRAM004 - Install EGIDE 4.20.03 sur INT6 - Assistance à l\\\'intallation'),
(13282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nSaferGame - Etude de documentation'),
(13283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nControlM - Etude des chaînes de ControlM - Commercial/Client'),
(12296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nSupport BOM int1\\nSupport Int3 RTL\\nAnalyse job controlM int3'),
(13280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nSaferGame - Extraction de données BETSYS/RDST de prod'),
(11951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nProblème d\'accès machine / réseaux / Applications/ Serveur '),
(13281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nSAFERGAME :Assistance Installation IIB FDL015249 sur INT2'),
(13278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSAFERGAME : Installation Folio FDL015234 sur INT2 assistance'),
(14127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nOLYMPIA - PMD Investigation sur le non chargement de la vue AGGR_PURS_PLR_DAY'),
(13279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nOLYMPIA - PMD Investigation sur le non chargement de la vue AGGR_PURS_PLR_DAY'),
(11956, 'Vu avec Nicolas, il faudrait prévoir un script de retour arrière.'),
(11958, 'Pas de problème en soit sur le script'),
(13287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nRDI 1.05 - vérification et mise à jour des cas de test de la campagne CQS01.BCO.084.36-CDSATOS201701-Autres mises à jour'),
(13286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nRDI 1.05 - Exécution de 5 cas de test (non terminée - problème d\\\'accès base de données)'),
(11965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nFinalisation de l\\\'évolution dans le socle commun la lecture du paramètre de déclaration de l\\\'environnement et Qualification depuis les scripts\\nAtelier automatisation - suivi KANBAN\\nSupport sur les scripts auto pour la campagne de test RTG'),
(12503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Prise de connaissances et analyse des doc pour implémentation des flux  CSAM-MEIBO'),
(11971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-10  (Do not remove this line) -->\nAtelier de Revue des questions'),
(11970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-09  (Do not remove this line) -->\nPréparation Questions'),
(11973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nQR'),
(11974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nAteliers de 16/01'),
(11975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-12  (Do not remove this line) -->\nRéunions des 5,12 et 19 janvier'),
(11977, 'Bonjour,\r\n\r\nAprès analyse, il n\' y a pas de problème avec le mime-type renseigné.\r\n\r\nIl faudrait vérifier la configuration du portail Liferay pour s\'assurer qu\'il n\'y ait pas de limitation sur la taille des fichiers uploadé.\r\n\r\n\r\nCordialement,\r\n\r\nFrédéric Biava'),
(11978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\n[OLYMPIA] \r\nExécution campagne qualification application Android détaillant + boutique R\r\n=> MOD010677 '),
(11979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\n[OLYMPIA] \r\nPOINT OLYMPIA (avancement qualification, points bloquant, Modes opératoires)'),
(12297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nsupport migration bdd bingo int4-6-7\\\\nrecherche solution sur pb de batch int3\\\\npreparation int3 pour deploiement usr/arj/SID\\\\ninstallation docapi falcon 2.3.10\\\\ninstallation:\\\\n USR	2.3.10-1	FDL015194\\\\nSID	1.0.7-1	FDL015319\\\\n\\\\nARJ	2.1.3-1	FDL015353\\\\n\\\\n\\\\n\\\\n'),
(11987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nAnalyse campagne falcon usr 2.3.9 non reg sur INT3. Lancement des tests d\\\'acceptance pour falcon RTG 2.3.3 sur INT3. Analyse des tests d\\\'acceptance pour falcon RTG 2.3.3 sur INT3. '),
(11989, 'Nouveau fichier reçu  le27/01'),
(11990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nAnalyse des incidents de production'),
(12463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nTR3 SIDC Conflit entre les recettes pour Hervé Le Pallec et celles pour Olympia des jobs sont libérés alors que les traitements en amont sont  KO (principalement MODERN)\\nTR2 SIDC KO\\nTR2 SIDCOM OK rectification du job d\\\'extraction des données référentiel SAGA WKF_R_SAG_REF_DISTRIBUTION en conflit avec la sauvegarde de la base'),
(11992, 'Bonjour Gwendoline,\r\n\r\nVoici le lien vers la base de test : https://partenaires-v.caf.fr\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net'),
(11993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nSTOCK Grattage Modification d\'un job controlm pour résoudre un conflit entre l\'exécution d\'un  flux référentiel WKF_R_SAG_REF_DISTRIBUTION et la sauvegarde de la base de donnée associé à la même heure'),
(11994, 'From: gerald.cauvin@cnafmail.fr [mailto:gerald.cauvin@cnafmail.fr] On Behalf Of servapp.dsi-doit@cnaf.fr\r\nSent: Friday, January 27, 2017 10:04 AM\r\nTo: mon-compte-partenaire.projet@projet.cnafmail.fr; said.zerrouki@cnedi06.cnafmail.fr\r\nCc: secuapp-acces.dsi-doit@cnaf.fr; gds.dsi-doit@cnaf.fr; miranda.alparone@certiam.cnafmail.fr; servapp.dsi-doit@cnaf.fr\r\nSubject: RE: [16545][INC0316438] Chargement d\'un PDF d\'une convention ko si compris entre 4 et 5 mo -> analyse\r\n\r\nBonjour,\r\n\r\n\r\npouvez-vous vérifier si un paramétrage a été positionné dans le \"Control panel\" de Liferay.'),
(12322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[OLYMPIA] Campagne de non reg Front sur INT3: tests avec des eCredits (Les tests étaient \\\\\\\"blocked\\\\\\\" la semaine dernière due à l’absence des profils joueurs aient des eCredits valides)\\\\n[OLYMPIA] Création d\\\\\\\'offre eCredit sur INT3 pour la réalisation des tests\\\\n[ABP OFFRE] Validation ARJEL et ETL des nouveaux markets;'),
(12293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\ninstallaion BOX	2.4.9-1	FDL015198\\\\nSupport Bingo int3KO bdd full\\\\ncoproj Bingo'),
(12292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nPrise en charge de Billy pour montée en compétence.\\nAnalyse des FAILED sur les camapagnes lancées par le robot.\\nMise en place d\\\'une campagne de vérification des tables ETL.'),
(12152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nprise en charge de l\\\\\\\'évolution des Composants Falcon 2.3.10\\nMerge de la nouvelle version FalconRTL 2.3.10 et dev scripts RTL Cards'),
(13339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nSAFERGAME : Réunion DT avec P.Maigne'),
(12546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nSAFERGAME : Installation fichier intermédiaire FDL015363 sur INT2'),
(12547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nSAFERGAME : Extraction données BETSYS/RDST'),
(12507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 -  DMT0005800 pour la partie EGIDE'),
(12005, 'Bonjour,\r\n\r\nLes modifications ont été apportées.\r\n\r\nCdt,\r\n\r\nSaid Zerrouki\r\n\r\n\r\n\r\n\r\nDe :	Gwendoline LE-MERLUS/CDR-IDF/CNAF\r\nA :	Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF, \r\nCc :	Said ZERROUKI/CNAF/CNAF@CNAF\r\nDate :	30/01/2017 14:21\r\nObjet :	RE: MCP - Base test  -> Comptes en cours de création & consigne à respecter sur la création d\'une convention\r\n\r\n\r\nBonjour,\r\n\r\nCi-joint le fichier des habilitations pour la base test mis à jour avec la demande du CDR CPL.\r\n\r\n[pièce jointe \"Identifiants pour la base test.xls\" supprimée par Said ZERROUKI/CNAF/CNAF] \r\n\r\nMerci\r\n\r\nCordialement \r\n\r\nGwendoline LE MERLUS\r\nAssistante de projet\r\n01 45 65 67 10'),
(12007, 'Lors de la suppression d\'un BA, le CustomGroupAuthorization n\'était pas supprimé et le groupe conservais un lien à un rôle qui pouvais, potentiellement, être ajouté à nouveau.'),
(12012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nLancement des tests de non régression pour falcon RTG 2.3.3 sur INT3.\\\\n\\\\nProblème d\\\\\\\'environnement sur INT3 problèmes sur les terminaux. Impossible d\\\\\\\'envoyer un compte rendu.\\\\n\\\\nValidation d\\\\\\\\\\\\\\\'anomalie sur Digishop A et I (corrigés et installés sur les environnements).\\\\n\\\\nLancement des tests d\\\\\\\'acceptance falcon RTG 2.3.4 sur INT2 pour YELLOWSTONE loto super loto et loto de noel. Rapport envoyé\\\\n\\\\nLancement des tests de non reg falcon RTG 2.3.4 sur INT2 pour YELLOWSTONE loto super loto et loto de noel. Lancement des tests de non régression pour falcon RTG 2.3.3 sur INT3.'),
(12009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nOLYMPIA Analyse et traitement de l\'anomalie ANO045806'),
(12010, 'From: said.zerrouki@cnedi06.cnafmail.fr [mailto:said.zerrouki@cnedi06.cnafmail.fr] On Behalf Of mon-compte-partenaire.projet@projet.cnafmail.fr\r\nSent: Monday, January 30, 2017 2:15 PM\r\nTo: servapp.dsi-doit@cnaf.fr\r\nCc: secuapp-acces.dsi-doit@cnaf.fr; gds.dsi-doit@cnaf.fr; miranda.alparone@certiam.cnafmail.fr; gerald.cauvin@cnafmail.fr; mon-compte-partenaire.projet@projet.cnafmail.fr\r\nSubject: RE: [16545][INC0316438] Chargement d\'un PDF d\'une convention ko si compris entre 4 et 5 mo -> analyse\r\n\r\nBonjour,\r\n\r\nNous avons vérifié les paramétrages du control panel de Liferay, et tout semble ok. \r\nNous avons les mêmes configurations que sur nos environnements de tests (environnements sous lesquels le bug n’est pas reproductible).\r\n\r\nCordialement\r\n\r\nSaid Zerrouki'),
(12550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nSAFERGAME : Création ANO046567 sur INT2'),
(13288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nRDI 1.50 - création du rapport de test du RUN 1'),
(13289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nSaferGame - Etude de documentation'),
(12508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - Fin de qualif et Livrable MEP FDL014119_Alim_INFOCENTRE_8.0_liv6 -ANO042264 pour HIA'),
(12552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nSAFERGAME : Installation fichier intermédiaire FDL015369 sur INT2'),
(12509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Préparation CSAM-MEIBO'),
(12020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\npoint 1,2a,2b,3(rien à réaliser),5;6(rien à réaliser),7 fini\\nRestant 2c,4,8,9,10'),
(12021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nréunion plateforme et environnement'),
(12022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nSur place avec nadine'),
(12023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nPréparation du support et demo'),
(12275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nrevisite des fiches ALM du STream ILLIKO\\\\n'),
(12274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nPrise de connaissance des nouveaux documents IF\\\\\\\\\\\\\\\\nTransfert de connaissance du Stream ILLIKO\\\\\\\\\\\\\\\\nSuivi d\\\\\\\'installation des composants Back sur INT3 avec Nicolas'),
(12029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nLancement des tests de non régression pour falcon RTG 2.3.3 sur INT3.\\nAnalyse des tests de non régression pour falcon RTG 2.3.3 sur INT3.'),
(12030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nScript de Build automatique fait sur envt Integ et Dev'),
(12323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[ABP OFFRE] Validation ARJEL et ETL sur INT2 et INT4 des nouveaux markets;\\n[Olympia] Tests de nonReg Front sur INT3: PDJ avec utilisation des eCredits\\n[PSMS] Création de cas de test \\\"Vérification TMS\\\" dans ALM:'),
(12551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nSAFERGAME : Création DMT0005876 pour agrandir l\\\\\\\'espace temporaire pour les extractions RDST'),
(12037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nRéunion point avec Philippe A.'),
(12393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nAccompagnement ABO sur Qualif ALM'),
(12045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\r\n- Actions correctives pour les tâches KO VieDesEnvironnement.'),
(12429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.'),
(12556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nSAFERGAME : Bug review avec P.Maigne'),
(12051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nStock grattage Installation de 2 FDLs FDL015322 et FDL015341 sur le TR2'),
(12118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nOLYMPIA création d\\\'un incident INC165791 sur la non remontée de defect ALM dans SNOW'),
(12082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nOlympia Création et suivi d\\\'une anomalie ANO046590 sur le chargement des prises de jeu\\nPuis réaffectation a Falcon au lieu de SIDC'),
(12055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nVITAN 5.5 , tests des points de la FDL '),
(12056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nVITAN 5.5 , mise à jours ALM '),
(12132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b551 / INT3]: 6 tests de Réconciliation PSMS + Anomalie Tag Commander (avec Vanessa) + Vérif anomalie ANO038937 (hash Joueur)'),
(13620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nFDL015377 : [OLYMPIA]  [CRM2] Livraison objets Oracle Table Adresse pour OLYMPIA \\\\\\\\nFDL015383 : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT FULL pour OLYMPIA'),
(12087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE Revue du document d\\\'installation de l\\\'application Calypso pour le projet '),
(12553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nSAFERGAME : Point avec JCM suite le problème des livraisons IBM'),
(12088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nFinalisation du document d\\\'installation de l\\\'application GDS 9.21 projet RAM004.'),
(12448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nBCO.08.36 RDI 1.05 : Exécution des tests RUN1 de bascule DI-DD et de Resectorisation.'),
(12090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-24  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Préparation des 8 cas de tests du RUN1 pour la modification des données du Référentiel SAGA.'),
(12092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nMise à jour des droits d\\\'accès à la vue V_COURTIER_ORGA_CAUTION sur le TR2.'),
(12094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Exécution des 8 cas de tests pour la modification des données Référentiel dans SAGA et exécution du traitement d\\\'extraction pour l\\\'ESB.'),
(12114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Rédaction de 4 campagnes de qualification RUN1.'),
(13291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nMCO Courtage Commercial (assistance)'),
(12095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-18  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Rédaction du mode opératoire d\\\'installation de GDS v9.21'),
(12117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nStock grattage Préparation de la reprise de l\\\'init du 09/10/2016 sur le TR2'),
(12112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-25  (Do not remove this line) -->\nRAM004 : Intervention sur l\\\\\\\'incident de production INC165255 pour l\\\\\\\'application GDS.'),
(12113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-26  (Do not remove this line) -->\nRAM004 : Qualification de la procédure de reprise des données bancaires fournie suite à l\\\\\\\'incident  INC165255'),
(12554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nSAFERGAME : Extraction des données BETSYS/RDST'),
(12248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (SuperLoto et SuperLoto de Noel/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(12249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (SuperLoto et SuperLoto de Noel/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(12250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (Box Falcon/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(12251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (Box Falcon/Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(12252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (migration Batch Abozen) Loto 2016 dans le projet ALM Olympia.'),
(12110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 : Rédaction de 5 cas de  tests de mise à jour du Run1'),
(13630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nAnalyse user guide Interactive Factory\\nConfiguration base de données lotsys'),
(13631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nAnalyse spec Fonctionnelle liquidity manager\\nLecture et analyse coquilles sous HPALM'),
(12464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nTR2 SIDC KO\\\\nTR3 SIDC KO une anomalie a été créé ANO046590 sur le doublonnage des donnée de prise de jeu\\\\nTR2 SIDCOM OK'),
(12120, 'Dev deja fait, checked by N.Gauche, Test de confirmation à écrire et à dérouler'),
(12513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nGestion des incidents'),
(12512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Assistance à la qualification SOPRA pour WS EGIDE et PFJEUX'),
(12511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nRAM.004 - Gestion des environnements EGIDE'),
(12510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Installation WS 4.02 FDL015237'),
(12131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[OLYMPIA / 14.1.23 / b551 / INT3]: Campagne IQ SPORT - NREG BACK 14-1-23-OLYMPIA-551: Fini, sauf 6 tests de Réconciliation PSMS'),
(12133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nCorrection defect 135 : erreur lors du filtrage par profils sur les tableaux de bord pca, la liste des rôles sélectionnables pour le service CDAP n\'était pas exhaustive. (filtre par rôle sur tdb)'),
(12134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nCorrection defect 128 : Les filtres, lors de la sélection par organisme au niveau des tableaux de bord pca, ne fonctionnaient pas sur les tableaux de bord top 5 et montée en charge des profils.\r\n\r\nCorrection defect 129 : Le filtre par type de partenaire ne fonctionnait pas lors de la sélection par organisme sur les tableaux de bord pca.'),
(12135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\ntests posts RED03'),
(12137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nFin des blocs Digishop R technical.\r\nWebsocket VUGEN'),
(12138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nWebsocket Vugen'),
(12395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nreverse engineering sur ILBOR PSBOR WSPDV SPDV'),
(12143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nImplémentation des scripts Admin Card de Digishop-R'),
(12142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nImplémentation des scripts Admin Token de Digishop-R'),
(12144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nCas de test ALM pour cas nominal DigishopR'),
(12604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nCas de test ALM pour cas nominal DigishopR'),
(12294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\ncontrib edwan bingo int3\\nanalyse job control M int3\\nsupport NYX purge bingo'),
(12155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nTDPEA-296 : dev scripts FalconRTL Services Cards\\nTDPEA-301 : dev API Motors ajout du query Parameter dans l\\\\\\\'appel de service Execute\\nPoint cadrage formation Emmanuel'),
(12156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nTDPEA-301 : test des scripts Motors OAD orchestré et controlé (mode N2 et N1) + evol script Execute pour personnaliser ce query parameter\\ntests et Tag API \\nTDPEA-296 : poursuite des scripts RTL Cards\\nComité automatisation'),
(12555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nSAFERGAME : Fiche de relecture du DTE fourni par IBM + Extraction données BETSYS/RDST'),
(12160, 'ID des Tests HPALM :  679 - 680'),
(12324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[ABP OFFRE] Validation ARJEL et ETL des nouveaux markets;\\\\nCréation des templates Betradar pour les tests auto sur INT4;\\\\nCréation des matchs baskets Mainbook et Live pour les tests ABP Offre;\\\\nMàJ ABP des codes ARJEL sur INT4 (export de INT2 et IMPORT sur INT4);\\\\n[PSMS] Campagne d\\\\\\\'acceptance manuelle Front sur INT4 \\\\nSITE: fdj2-origin_release_12-39\\\\nABP:  14.1.27.0 RELEASE\\\\nMOBILE: 4\\\\n[PSMS] Campagne de non reg Front sur INT4\\\\n'),
(12162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[IF] Point équipe sur la rédaction des cas de tests Liquidity Manager');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(12396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nReverse ingeneering de ILBOR\\\\nRecherche d\\\\\\\'une correction sur Anomalie Intersticiel SPDV sur mignon cloud'),
(12244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nLancement des tests de non régression pour falcon ITG 2.2.6-1 sur INT1. Analyse et correction de test sur le catalogue de test ITG 2.2.6'),
(12557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nSAFERGAME : Réunion sur qualité livraison IBM avec JCM et IBM'),
(12276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nInstallation sur INT31 des composants : eDwan (FDL015253), hasard (FDL015269), MAPI (FDL015138), MOBI (FDL015240), et MRCD (FDL015038)\\\\nRéunion IF - Partage de connnaissance'),
(13632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nAnalyse documentation Liquidity manager\\nComplétion du fichier excel à remonter à Lotsys\\nExecution de cahier de tests pour montée en compétence HPALM'),
(12277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nInstallation sur INT11 des composants : eDwan (FDL015253), hasard (FDL015269), MAPI (FDL015138), MOBI (FDL015240), et MRCD (FDL015038)\\\\nAnalyse de l\\\\\\\'environnement IF après livraison de la RC'),
(13633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nExecution des cahiers de tests de Julien et Hicham sur l\\\'interconnexion \\nAnalyse des coquilles mises en place'),
(12278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nAnalyse de l\\\\\\\'environnement IF livré par LOTSYS (RC)\\\\nPrise de connaissance du Stream ILLIKO'),
(13634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nAnalyse nouvelles spec et extraction de cas de tests'),
(12177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nMise à niveau de l\'environnement INT1 et mise à jour des mod op d\'installation sur Confluence: \r\n- gravity_20161027_framework_v2.0.8-02\r\n- gravity_20161109_framework_v2.1.1-01\r\n- instantloto2016_v1.0.4-02_oad\r\n- gravity_20161206_framework_v2.1.3-01\r\n- gravity_20161207_framework_v2.1.4-01\r\n- gravity_20161212_framework_v2.1.5-01\r\n- gravity_20161221_framework_v2.1.7-02\r\n'),
(12302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nTest ITF'),
(12298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nTest ITF Admin'),
(12182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nMise à niveau de l\\\'environnement INT1 et mise à jour des mod op d\\\'installation sur Confluence:\\n- kenoatlantia2016_v1.0.0-05_oad\\n- kenoatlantia2016_v1.0.2-01_oad'),
(12300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nTest ITF Admin'),
(12301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nTest ITF'),
(12303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nTest ITF'),
(12185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nAccompagnement de HIA pour l\'installation de PRESTO sur la production:\r\n- ASC As Capone\r\n- POO La poule aux oeufs d\'or\r\n- SAU Sauve Souris'),
(12877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n- Analyse des 3 json de presto (ASC,POO,SAU)\\n- Analyse du message service indisponible lors de l\\\'appel du service \\\"apigw/mtrprs/rest/replaytoken\\\" avec JL Leboutet'),
(12188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nvie des environnements'),
(12189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nfalcon compte contact écriture des tests'),
(12190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nfalcon compte contact écriture des tests'),
(12191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nFormation automatisation'),
(12192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nRecette ALM 12.53'),
(12562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nTESTS-  RUN2 - Batchs +Réunion + Correctif ANO'),
(12561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nTESTS-  RUN2 - Batchs +Réunion + Correctif ANO'),
(12560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nTESTS-  RUN2 - Batchs +Réunion + Correctif ANO'),
(12563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nTESTS-  RUN2 - Batchs +Réunion + Correctif ANO'),
(12197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[IF] Création de coquilles de test Liquidity Manager'),
(12198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[IF] Rédaction coquilles de test Liquidity Manager'),
(12199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[IF] Rédaction coquilles de test Liquidity Manager'),
(12200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n[ATELIER HP ALM] Julien Devainegie'),
(12201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n[IF] Rédaction cas de test Liquidity Manager'),
(12202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[IF] Réunion hebdo Laurent Barrière'),
(12203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[IF] Rédaction cas de test Liquidity Manager'),
(12295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nsupport purge Bingo\\\\nAnalyse job control M int3\\\\ninstallation usr 2.3.11-2 sur int3\\\\ninstallation doc api usr 2.3.11 sur int3'),
(12206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nExécution cas de tests PMD run2'),
(12216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n0.75 : exécution des cas tests du RUN2\\n0.25 : reunion instance IQ digital '),
(12221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[ALM]: Reprise (pour clarté) des tests Abandon et Annulation Manuels(Ex: \\\"030901_Abandon et annulation Manuels Mainbook Foot\\\") + [PSMS 14.1.27.0 - bRELEASE / INT4]: Bug Fixing ANO044937 + [Olympia 14.1.23.OLYMPIA-SNAPSHOT - b568 / INT7]: Bug Fixing ANO038937'),
(12224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n[PSMS 14.1.27.0 - bRELEASE / INT4]: Campagne NonReg BACK Light / Settlement, Resettlement, LateBets, Liveodds'),
(12225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[PSMS 14.1.27.0 - bRELEASE / INT4]: Campagne NonReg BACK Light / Settlement, Resettlement, LateBets, Liveodds'),
(12217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nQualification ALM application détaillant => tests session joueur lors des versements / retraits / association de carte  \r\n\r\nSupport recette :\r\n	- délai de confirmation du compte invalide\r\n	- Analyse anomalie impression ticket versement / retrait incorrect\r\n\r\nSupport auto :\r\n	- infos bdd retail, création opérateur avec le role admin'),
(12212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n0.5 : Exécution cas de test PMD run2\r\n0.5 : Exécution cas de test non reg GDO'),
(12213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nExécution cas de test non reg GDO'),
(12214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nMAJ / création de cas de test PMD sur RUN2 suite aux retours métiers '),
(12218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[OLYMPIA]\r\n - Revue des MODOP avec HIA - Préparation MEP'),
(12219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[OLYMPIA]\r\n- Qualification ALM application détaillant => suivi du CA / transactions \r\n- Alimentation fichier pdv_olympia.csv pour la prod (géolocalisation des PDV) \r\n'),
(12220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[OLYMPIA]\r\n- Bug review'),
(12222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nMontée de version Falcon 2.3.11 :\r\n	Acceptance Front INT7\r\n	Acceptance Front INT3\r\n\r\n - Analyse (avec Julien) des pb d\'accès à l\'historique de jeux depuis le menu Natif et du chargement des widget du compte\r\n - '),
(12223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n[OLYMPIA}\r\n- Qualification application Détaillant\r\n- Déploiement Front \r\n'),
(12226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nexecutions des scripts FALCON/usr\r\nReunion Formation'),
(12227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nInstall et tests MUG Yellowstone - FDL015362\r\n=> passage tests qualif qui relèvent un souci de non merge des fonctionnalités PMD / DEFI / CONFORMITE'),
(12228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nExecution des scripts DigishopI sur INT1\r\nReunion comité automatisation'),
(12229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nQualification Anos Yellowstone (Mireille)'),
(12266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nExecution des scripts DigishopA sur Int7. 2.2.9\\nFormation automatisation'),
(12231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nConfiguration INT91 (en cours)'),
(12232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nExecution des scripts Digishop sur Int7 '),
(12233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nTravail sur Referentiel Digital Front (Qualif Mag et MIG POLY)'),
(12234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nMultiples tests Yelowstone sur l\'HN2\r\n=> Ano RTG Falcon : 	ANO046576	\r\n'),
(12235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n- Qualification Ano046642 (O Julia)\r\n- Récupération livraisons Digishops + analyse modifs (les flags PJ et modérateur sont obsolètes)\r\n- Travail sur Référentiel Digital Front (démarrage campagne Qualif Yellowstone - Marc Domenge)\r\n'),
(14129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nSAFERGAME : Créations ANO046675+ANO046676 sur int2'),
(12237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n- Installation Digishops A-2.2.9, I-2.2.4 et U-2.2.6 / FDL015384, FDL015385 et FDL015386\r\n- Qualifications Anos\r\n- Installation et acceptance MUG 2.7.10 - FDL015406\r\n- Campagne Qualif MUG Yellowstone'),
(12238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n- Configuration INT91 (analyse script mise à niveau de Romain)'),
(12241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nRédaction cas de test nouvelles fonctionnalités Olympia'),
(12242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nMontée en compétence Natalie'),
(12258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nMontée en compétence Nathalie + Acceptance ABP 14.1.23.OLYMPIA-SNAPSHOT 568'),
(12245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nAnalyse et correction de test sur le catalogue de test ITG 2.2.6'),
(12246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nMontée en compétence Natalie + Acceptance ABP 14.1.23.OLYMPIA-SNAPSHOT 568\r\nValidation cas de tests \"Annulation PDJ avec E-Credit\".\r\nRemarque:\r\nABP / Falcon ne savent pas gérer les demandes  de débit avec E-credit MOD010844'),
(13243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nGestion des incidents - notamment assistance HIA sur INC165562'),
(12284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nVITAN , test pari sur Olympia\\nAmélioration script promulgation'),
(12255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nVITAN : , nouvelle version corrigeant le bug PSMS \"combiné live\" sur le 9ieme paris'),
(12291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nAccompagnement montée en compétence de Billy.\\nInvestigation sur l\\\'erreur sur PDJ Live Combiné avec Lyna.'),
(12257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nVITAN : 5.0.2 , finalisation des tests'),
(12394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nSuite de la formation de ABO:\\\\\\\\\\\\\\\\nLes Bases de UNIX, commande courantes, mv, cp,...)\\\\\\\\\\\\\\\\nMise en place des environnements qui accueilleront WSPDI'),
(12269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nRédaction Coche MD + Suivi'),
(12612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nGestion des déchets (Implementation IHM) + Début certificat assurance'),
(12515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nGestion des incidents'),
(12516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Assistance à la qualification SOPRA pour WS EGIDE et PFJEUX'),
(12514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - installation + livrable HIA - FDL015347_odyssee_9.20_liv'),
(12517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - Gestion environnement EGIDE'),
(12281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-16  (Do not remove this line) -->\nImplémentation de cas de tests d\\\'acceptance USR API KO'),
(12283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nCampagne d\'acceptancesur INT7'),
(12285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\ncampagne d\'acceptance sur INT4'),
(12286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nCampagne de non-reg Olympia sur INT4'),
(12287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nTBD'),
(12290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nAnalyse des steps Failed sur les campagnes lancées par le robot.\\nMise en place CT PDJ Live combiné.'),
(12949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël.\\nMise en place CT PDJ Live combiné.'),
(12299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\ntests qualif yellowstone'),
(12304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\ntests qualif yellowstone\r\n'),
(13619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nAnalyse FAQ'),
(12307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nFDL015379 (2.0.31)\r\n'),
(13621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\névolution N° Carte PDV'),
(12315, 'Tache abandonnée pour le moment (d\'où le peu de consommé par rapport à la charge initiale)'),
(12310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nTests yellowstone + Traitement FDL manquantes : FDL015394 (0.1.56_wkeno), FDL015395 (0.1.10_wlbgo) FDL015396 (0.1.23_wihmevt)'),
(12312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\npréparation FDL015393_Coheris_Oracle_PDM_CRM_F_5.4.1.12 (N° CARTE)'),
(12313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\npréparation FDL015393_Coheris_Oracle_PDM_CRM_F_5.4.1.12 (N° CARTE)'),
(12314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\npréparation FDL015393_Coheris_Oracle_PDM_CRM_F_5.4.1.12 (N° CARTE)'),
(12669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nRédaction et complétude Cas de tests IF'),
(12317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS 1.5.3-1 INT1 DUEL DE CARTESV2\r\nSOCLE COMMUN / TABLEAU DE LOT / TESTS MOTEUR DE JEU '),
(12318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS 1.5.3-1 INT1 DUEL DE CARTESV2\r\nSOCLE COMMUN / TABLEAU DE LOT / TESTS MOTEUR DE JEU '),
(12319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS 1.5.3-1 INT1 DUEL DE CARTESV2\r\nSOCLE COMMUN / TABLEAU DE LOT / TESTS MOTEUR DE JEU '),
(12320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nCAMPAGNE JEUX MOTORS \r\nCREATION DES TESTS SPECIFIQUES GATEWAY SOA '),
(12321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nCAMPAGNE JEUX MOTORS \r\nCREATION DES TESTS SPECIFIQUES GATEWAY SOA '),
(12425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nsuivi recette et qualificiation'),
(12386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nsuivi recette et qualificiation'),
(12330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nsuvi recette et qualification'),
(12331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nsuivi recette et qualification'),
(12332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nPréparation MEP/MES'),
(12333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nRédaction cas de test de Qualifications pour loto Yellowstone\r\nRedaction de 40 tests et 70 steps environs et mises a jours des tests existant'),
(13051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nMerge avec art 1902023 + merge v9.10'),
(12335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nCréation ANO046648 - ANO046651 pour loto yellowstone\r\nTest sur Application native illikolive android pour MEP\r\nRemontée d\'erreur sur affichage resultat grand loto de noel sur tt support confondu\r\n'),
(12336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nCompilation appli native illiko live V1.0.010 en vu de la MEP FDL015397\r\nGeneration de l\'apk pour mise en prod et mise en place de l\'appli dans le google play store\r\nFDL015414 - FDL025405 nouvelle version Appli Native Loto Yellowstone pour IOS et Android \r\nInstal et tests de l\'appli + verification des anos associés'),
(12337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nFDL015414 - FDL025405 nouvelle version Appli Native Loto Yellowstone pour IOS et Android \r\nInstal et tests de l\'appli + verification des anos associés + passage des cas de tests'),
(12397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nFDL015431 (2.0.32_wloto)'),
(12362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nCampagne acceptance qualification composants WSPO et applications natives parionsdirect IOS et Android'),
(12559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nSAFERGAME : Extraction données BETSYS/RDST'),
(12344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nCampagne ABP 551'),
(12345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nCampagne ABP 551'),
(12346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nComité Automatisation\r\nPoint Digishop Content / Accept\r\nPrise en compte environnements PDV.\r\n'),
(12348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nTraces serveurs WS echo, Atmosphere, MQTT et local.\r\nTest Vuden 12.53 de communication serveurs WS.\r\nPoint IF auto'),
(12351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nTravaux Vuden 12.53'),
(12367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nAction : phase d\\\'implémentation services digishop R\\nLivrable : tests associés'),
(12392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nOlympia : qualification parionsdirect IOS/Android.\\\\nInvestigation sur les appels mugo en double dans l\\\\\\\'application native parionsdirect Android.\\\\nVerification livraison WSPO 1.0.29 (attente GO pour installation sur modulaire)\\\\nIdem application native parionsdirect Android et IOS'),
(12354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nAvancement ALM WSPO, parionsdirect IOS et Android.\r\nSupport (Eric MARTIN et ABO SENE) webapps SPDV/WSPDV'),
(12358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nBug Review Olympia (1h) : très constructive sur les différentes anomalies.'),
(12356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nAction : exécution des campagnes de test boutik \r\nLivrable : bilan d\'exécution'),
(12357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nInvestigation sur les différents bugs présents dans les applications Parionsdirect IOS et Android --> ANO046664 et ANO046657\r\nMaj ALM'),
(12361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nRéunion préparation MES/MEP Olympia avec HIA.'),
(14168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nQualification Parionsdirect IOS/Android, Maj ALM + Test\\\\\\\\\\\\\\\\nSupport (Eric MARTIN, ABO SENE) sur webapps sport (SPDV, WSPDV et WSPDI)Réunion MES/MEP projet Olympia\\\\nDéploiement de la nouvelle version du fichier a4s.js sur l\\\\\\\'intégralité des machines d\\\\\\\'intégration'),
(12364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nAction : exécution/analyse des campagnes d\\\'acceptation boutik\\nLivrable : bilan d\\\'exécution'),
(12365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nPoint avancement projet Olympia avec Philippe AMERIO (1h) + présentation borne (PSBOR et ILBOR) (1h30-2h)'),
(12368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nAction : comité automatisation\\nLivrable : page confluence dédié'),
(12370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nAction : phase d\\\'implémentation services digishop R\\nLivrable : tests associés'),
(12371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nAction : phase d\'implémentation services digishop R\r\nLivrable : tests associés'),
(13005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nmco control m i3 multimedia'),
(13007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nmco control m i3 multimedia'),
(13010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nmco control m i3 multimedia'),
(13011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nmco control m i3 multimedia'),
(13006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\ncas de test coheris'),
(13009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\ncas de test coheris'),
(13008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\ncas de test coheris'),
(27889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nExécution de compagne de test RUN2 projet Olympia: Partie Conformité'),
(13012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\ncas de test coheris'),
(12398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nExécution de compagne de test RUN2: projet Olympia sur INT3, partie Sport retail point de vente'),
(12595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nExécution de compagne de test RUN2: projet Olympia sur INT3, partie Sport retail point de vente. sur Falcon V 2.3.10'),
(12401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nExécution de compagne de test RUN2: projet Olympia sur INT3, partie NON REG GDO sur Falcon V 2.3.11\\nQualification d\\\'anomalies : 4 fiches anomalies'),
(12402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nExécution de compagne de test RUN2: projet Olympia sur INT3, partie NON REG GDO sur Falcon V 2.3.11'),
(12465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nTR3 SIDC Analyse du job I3_SIDC_OAC_StartFlow-SH anomalie ANO046694\\\\nTR2 SIDC KO \\\\nTR2 SIDCOM KO - anomalie ANO046703'),
(12387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nImplémentation tests acceptance USR API KO'),
(12388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nImplémentation tests acceptance USR API KO'),
(12389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nImplémentation tests acceptance USR API KO'),
(12390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nImplémentation tests acceptance USR API KO'),
(12391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nImplémentation tests acceptance USR API KO'),
(13662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n[PSMS] Camapgne de non Reg sur INT4: ALM > PROJET: SPORTS_2013 > Stream Sport BDI.076 > ABP 14.1.27 #4 RELEASE_PSMS'),
(13663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[PSMS] Camapgne de non Reg sur INT4: ALM > PROJET: SPORTS_2013 > Stream Sport BDI.076 > ABP 14.1.27 #4 RELEASE_PSMS'),
(12656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nTDPEA-296 : [OLYMPIA] Scripts Auto - poursuite des scripts FalconRTL Cards\\\\\\\\nCorrection sur scripts auto ITF POSTBet et POSTBetMotors pour libérer le replayToken en fin d\\\\\\\\\\\\\\\'action\\\\\\\\nEvolution du script MOTORS controlé domestique pour permettre de surcharger le GameExtRef dans le queryParameter du Execute'),
(13598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nBackup de mon PC sur Clés USB'),
(12413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nPalier Olympia - Compte Contact - Ecriture CT - Exécution - Gestion anomalies'),
(12428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nMontée en compétence sport auto'),
(13768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nMontée en compétence Natalie  + campagne ABP 14.1.23.OLYMPIA-SNAPSHOT 568'),
(12569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nPalier Olympia - Compte Contact - Ecriture CT - Exécution - Gestion anomalies'),
(12571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nPalier Olympia - Compte Contact - Ecriture CT - Exécution - Gestion anomalies'),
(12572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nPalier Olympia - Compte Contact - Ecriture CT - Exécution - Gestion anomalies'),
(12573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nPalier Olympia - Compte Contact - Ecriture CT - Exécution - Gestion anomalies'),
(12575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nPalier Olympia - Compte Contact - Ecriture CT - Exécution - Gestion anomalies'),
(12570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nMontée en compétence sport auto'),
(13293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-01'),
(12430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n- Entretien avec Rémi'),
(12590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\ninstallatin usr 2.3.11-2 sur int1\\nrecherche et analyse sur job reconciliation modern'),
(12433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nOLYMPIA Analyse probleme d\'alimentation OAC  + creation anomalie ANO046694'),
(12434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nStock Grattage remise en l\'etat de l\'environnement et demande de correction du fichier d\'init'),
(12449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[RDI 1.05] DMT0005800 Refresh des bases INT4SAGA, INT4COUR, INT4CODT, INT4PENE'),
(12450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[RDI 1.05] Installation FDL015289 sur INT4SAGA'),
(12452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[RAM 004] DMT0005690 mise à jour des coordonnées bancaires des tiers pour renvoie à PROSYS. sur INT2SAGA.'),
(12456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[RAM 004] DMT0005672 Repousser des tiers vers SI-Finance.'),
(12453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[RDI 1.05] Installation de la FDL015305 sur TR4.'),
(12451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n[RDI 1.05] Campagne d\\\\\\\'acceptation de la FDL015289 pour l\\\\\\\'application SAGA (3 cas de tests)'),
(12454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[RDI 1.05] Exécuter la campagne d\\\'acceptation FDL015305. (3 cas de tests)'),
(14130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n[RDI 1.05] Exécuter la campagne de reprise de données. (18 cas de tests)'),
(12455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nCourt_commercial'),
(13290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n[SAGA] - DMT0005690 - Ajout du RIB sur cinq détaillants'),
(13292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[RAM004] - DMT0005672 - Repousser les tiers de SAGA vers SI FINANCE'),
(13337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-23  (Do not remove this line) -->\nSAFERGAME : Point d\\\\\\\'intégration avec JC. Morel'),
(12576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\n- maj contribution Bingo INT31\r\n- support ANO046467 [YellowStone][AMOA] Le logo présent sur la page Résultat est incorrect\r\n- support ANO04463 [YellowStone][AMOA] Mention légale Grand Loto de Noël erronée sur la HomePage (Application Mobile / Tablette).\r\n- support anomalies recette'),
(12577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n- création ANO046616 [MOBI][YELLOWSTONE] PHP Notice:  Undefined index: amount - fichier Magicword.php\r\n- création ANO046622 [MOBI][YELLOWSTONE] PHP Notice:  Undefined index: raffleAsterisques - fichier Magicword.php\r\n- support anomalies recette'),
(13121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\n- maj doc swagger 4.0.4_mobi\\n- maj doc swagger 4.0.4_mapi\\n- création ANO046672 [MOBI][YELLOWSTONE] PHP Warning:  json_encode(): Invalid UTF-8 sequence in argument - fichier json.phtml\\n- création ANO046701 [MAPI][YELLOWSTONE] numtir erroné dans les résultats\\n- création ANO046704 [EDWAN][YELLOWSTONE] Pas d\\\'annonce loto dans le fichier de résultats loto_res.inc\\n- création ANO046706 [EDWAN][YELLOWSTONE] timestamp erroné sur l\\\'annonce Superloto\\n- support environnement de dev INT7 sur service mapi\\n- Installation livraisons Yellowstone\\n4.0.11_edwan	FDL015404\\n4.0.7_hasard	FDL015411\\n4.0.4_mapi	FDL015408\\n4.0.4_mobi	FDL015410'),
(13597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nbackup FDJ sur clésUSB'),
(12583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nRédaction du document \\\\\\\"Exigences de livraison MTR_FWK.doc\\\\\\\"\\\\nSaisie des tests d\\\\\\\'acceptation \\\\\\\"00 - Validation des prérequis\\\\\\\" pour les jeux MOTORS et les frameworks\\\\n'),
(12625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nInvestigation sur l\\\\\\\'ANO46247\\nAnalyse des tests d\\\\\\\'acceptance/qualification existants.\\\\nRédaction de nouveaux tests d\\\\\\\'acceptance'),
(13276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nSAFERGAME : Installation SAGA FDL015457 sur INT2'),
(12587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nAnalyse des configurations et des scripts dans un but d\'optimisation'),
(12658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nMD + Crew + Suivi'),
(12589, 'Bonjour,\r\n\r\nLa base de test a été mise à jour exception faite pour l\'utilisateur Laure Giboulot, qui a une adresse mail déjà existante : laure.giboulot@certice.cnafmail.fr\r\n\r\nCi-dessous le fichier excel avec le rajout des identifiants des nouveaux comptes créés.\r\n(See attached file: Identifiants pour la base test(4).xls)\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\n \r\n\r\n Gwendoline LE-MERLUS---02/02/2017 18:03:37---Bonsoir, Je vous fais suivre de nouvelles demandes de mise à jour pour le CDR CE (en bleu)\r\n\r\nDe : Gwendoline LE-MERLUS/CDR-IDF/CNAF\r\nA : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF, \r\nCc : Said ZERROUKI/CNAF/CNAF@CNAF\r\nDate : 02/02/2017 18:03\r\nObjet : MCP - Base test  -> Comptes en cours de création & consigne à respecter sur la création d\'une convention\r\n________________________________________\r\n\r\n\r\nBonsoir,\r\n\r\nJe vous fais suivre de nouvelles demandes de mise à jour pour le CDR CE (en bleu)\r\n[pièce jointe \"Identifiants pour la base test.xls\" supprimée par Said ZERROUKI/CNAF/CNAF] \r\n\r\nMerci\r\n\r\nCordialement\r\n\r\nGwendoline LE MERLUS\r\nAssistante de projet\r\n01 45 65 67 10'),
(12591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\ninstallatin usr 2.3.11-2 sur int1\r\nrecherche et analyse sur job reconciliation modern'),
(13275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nSAFERGAME : Création DMT pour ajouter Michel dans les groupes LDAP SFG DMT0006042 + Fiche de relecture DTE IBM+ Extraction données BETSYS/RDST'),
(24545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nExécution de compagne de test RUN2: projet Olympia sur INT3, partie Sport retail point de vente. sur Falcon V 2.3.10'),
(12622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nRéunion avec Remi JUANES'),
(12626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nDétection, investigation et création de l\\\'ANO046571\\nInvestigation sur les jobs drupal Portail Tablette qui ne s\\\'exécutent plus depuis 1 mois et demi en PROD'),
(12601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nImplémentation des scrips Card de DigishopU'),
(12603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nassistance installation n° carte pdv\r\nassistance recherche pourquoi temps de traitement s\'est allongé sur les extractions suite  au déplacement de la tâche (cchgt heure de démarrage)\r\nPoint d\'avancement sujet FAQ connectées/Poupées Russes\r\n\r\n'),
(16439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nCas de test ALM pour cas nominal DigishopR'),
(12632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nOLYMPIA Investigations et enrichissement de l\\\\\\\'anomalie ANO045885'),
(12607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nOLYMPIA relance DMT0005587 le profil de connexion I2_lx20161_trsfextint  ne fonctionne pas'),
(12608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nOLYMPIA Packman investigation sur l\'absence d\'un fichier d\'identification sur le serveur fr20031'),
(13262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nTR2 SIDC KO\\nTR3 SIDC KO OAC\\nTR2 SIDCOM OK init'),
(12613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nGestion des déchets (Implementation IHM) + Début certificat assurance'),
(12659, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n02/02: Présentation solution architecture Cartographie Atos (JPR) à GPMM Mrs CAUMEIL & BRUNEAU'),
(12624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nOptimisations des configurations et des scripts sur OjadGate\\\\\\\\nTests sur les modifications proposé par Etienne pour la résolution de l\\\\\\\\\\\\\\\'ANO46247\\\\\\\\nMise a jour des settings MetrixLab sur les INT et Ojadgate\\\\nInstallation de la version 2.14.6 du portail tablette (FDL015399)\\\\nExécution de validation des tests d\\\\\\\'acceptance'),
(12618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\na cause des TUs dont on m\'a pas parlé'),
(12620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\r\n1) Etude d\'impact\r\n2) Mise en place de la solution\r\n3) Rédaction de tests de confirmation sous hpalm :\r\n\r\nPHA-Entités-Agents-IHM-Bornage des champs de type saisie de texte Agent\r\nPHA-Entités-CAF-IHM- Bornage des champs de type saisie de texte CAF\r\nPHA-Entités-Conventions-IHM - Bornage des champs de type saisie de texte Convention\r\nPHA-Entités-Groupes-IHM-Bornage des champs de type saisie de texte Custom group\r\nPHA-Entités-Organismes-IHM-Bornage des champs de type saisie de texte Organisme\r\nPHA-Entités-Paramètres partenaires-IHM-Bornage des champs de type saisie de texte Organisme type\r\nPHA-Entités-Partenaires - IHM - Bornage des champs de type saisie de texte Partenaire\r\nPHA-Entités-Services-IHM-Bornage des champs de type saisie de texte Service\r\nPHA - Tableaux de bord - IHM - Bornage des champs de type saisie de texte Tableaux de bord\n\n'),
(12654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nVérification du fonctionnement du portail tablette suite aux mises a jour des composants\\\\nFinalisation optimisation des scripts/configs\\nRedaction modop 2.14.6\\nModification du job drupal_cron.ksh '),
(13277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nSAFERGAME : Installation SAGA FDL015457 sur INT2'),
(12631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nGDC Suivi du projet'),
(13294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nELPHE - Accepter la FDL015041 et qualifier l\\\'ANO045201 sur le TR2.'),
(13242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 -  DMT0005800 pour la partie EGIDE'),
(13241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nMCO - EGIDE'),
(13240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Assistance à la qualification SOPRA pour WS EGIDE et PFJEUX'),
(13311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[RAM 004] Mode opératoire d\\\'installation et document de qualification pour la  FDL015347'),
(13244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nGestion des incidents - notamment assistance HIA sur INC165562'),
(13245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nMCO - EGIDE'),
(13246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - Gestion environnement EGIDE'),
(13312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\n[RDI 1.05] Exécuter la campagne de reprise de données. (19 cas de tests)'),
(13309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nAnalyse de l\\\\\\\'incident INC165562'),
(13317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[RAM 004] Installation FDL015041 sur les serveurs citrix ADEXT et VDI environnement TR2. Application Elphe'),
(13316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[RAM 004] Qualification de l\\\'anomalie ANO045201 sur le TR2. Application Elphe. Rédaction du mode opératoire d\\\'installation.'),
(12657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nImpact lié à l\'artefact artf2087459 levé dans la version 1.9.0 de CAP'),
(12661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\ndev scripts automatisation FalconRTL,\\nqualif API Digishop-R et livraison'),
(12663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\ndev API Motors : dépannage pour surcharge du queryParameter\\\\\\\\nDev scripts FalconRTL Cards\\\\\\\\nqualification et préparation tag API'),
(12763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nRequalification des scripts Falcon suite à une instabilité API sur scripts avec login CC\\nTDPEA-308 : ITF Analyse Doc et évolution RC Platform (2.0.0-1) \\n+ generation et merge API et modification API orchestrée'),
(13069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nAnalyse nouvelle version ITF 2 RC1, et merge API front, adaptation des scripts de PDJ et orchestration '),
(12670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[OLYMPIA]\\n\\nALM - Acceptances \\n\\nFDL015412 1.0.41_MAGO\\nFDL015415 1.0.12_MIGO\\nFDL015413 1.0.19_MUGO\\nFDL015384 digishopA 2.2.9\\nFDL015386 digishopU 2.2.6\\nFDL015385 digishopI 2.2.4\\nFDL015316 digishopR 1.0.8\\nFDL015391 Application Android détaillant (Philippe Munoz IQ EPDV)\\n\\nALM - Qualification application détaillant - boutique'),
(13657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n[PSMS] campagne de Non Reg ALM sur INT4 \\\\nHOST:           agpadmi41\\\\nSITE:           fdj2-origin_release_12-39\\\\nABP:            14.1.27.0 RELEASE\\\\nMOBILE:         4\\\\nARGUS:          14.1-125\\\\nPLATFORM:       1.0.165\\\\n\\\\n\\\\nPS. Pb de réseau ce matin, depuis 11h30: montée en compétence sur le prochain palier PSMS V2 >> https://dzone.prod.fdj.fr:1443/confluence/display/SACS/PSMS+V2'),
(12698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nRedaction Test acceptance/qualification\\nModification modop 2.14.6\\nAjout de logs pour l\\\'exécution des jobs\\nInvestigation et creation ANO046794'),
(12689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nStock Grattage Revue des anomalies et mod + Rédaction du PV de qualification'),
(12677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\nEtude pour rédaction de tests'),
(12678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nEtude pour rédaction de tests / Tests campagne ABP 551'),
(12679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nTests campagne ABP 551'),
(12680, '@Said -> 0.5 jours effectué le lundi matin (06/02/2017) pour les tests de surface.\r\n            -> 0.2 Réunion de lancement lundi après midi'),
(13066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\ntest PSEL et ADC cloud front'),
(12682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nVITAN sur cloudfront pretests sur Android'),
(13004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nmco control m'),
(13003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nhp alm courrier coheris'),
(13013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nmco control m'),
(13014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\ncas de test courrier coheris'),
(12687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nEtude et rédaction des fiches de test d\'acceptance pour le projet IF'),
(12691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nStock grattage Exécution de la campagne de qualification (15 cas de tests)\\\\nOlympia Exécution de 2 cas de test pour packman et qualification de l\\\'anomalie ANO044242'),
(13260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nTR2 SIDC Reprise de données depuis le 28/11/2016 sur montée au plan du 02/02/2017  -  TR3 SIDC KO en attente correction anomalie des doublons dans le fichier PJEU.DAT cf ANO046590  -  TR2 SIDCOM OK'),
(12693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nIl reste juste a recuperer le nom de la personne qui a fait la modif'),
(12694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nTests qualif yellowstone'),
(13615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nanalyse reconciliation modern'),
(12699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nTU fait, fiche TU faite. Rest à faire maj d\'ALM'),
(12700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nProblème dans la MAJ de la version, table non créée alors quelle est dans la version depuis l\'itération 11.'),
(12701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nPCA :\r\n\r\n- Refacto de la classe TdbCommon (TODO déplacer les méthodes dans les services PHA concernés, service builder et appeler directement les classes utils depuis les MB des TDB)\r\n- Déplacement des constantes de format de date dans la classe DateUtil\r\n- TODO la gestion des dates des calendriers des tableaux de bord est actuellement incorrect, il y\'a de l\'implémentation dans les getters/setters des dates. La solution serait de passer par l\'event onChange en ayant deux fonctions onBeginDateChange et onEndDateChange. Il serait également intéressant de factoriser ces fonctions dans la classe nouvellement devenue classe mère TdbCommon pour que celles ci soit utilisées de la même manière par les MB des trois tableaux de bord. Le point de blocage ce situe au niveau de l\'ordre des appels entre java et js le calendrier étant en JS. Nécessite un temps d\'investigation et de tests pour une fonctionnalitée actuellement fonctionnel dont nous ne disposons pas.\r\n\r\nPHA :\r\n\r\n- Retrait des instanciation direct des implémentation des classes TdbLockedAccountReportDetail et TdbActivityReportDetail.\r\n- Modification en passant par les fonctions de la classe validator des checks de type  if (null != organismSiren && !organismSiren.isEmpty())\r\n- TODO traquer les catch de SystemException pour les faire remonter sous forme de throws.'),
(12702, 'Exemple URL pour la redirection vers une vidéo d\'aide en ligne : \r\n\r\nhttps://www.youtube.com/embed/M_jHiD2bMQs?autoplay=1'),
(12771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Rédaction cas de test Mify PSEL ALM.\\n- Support Testeurs et  IQ.'),
(12772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Rédaction cas de test Mify PSEL ALM.\\n- Support Testeurs et  IQ.'),
(12773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Rédaction cas de test Mify PSEL ALM.\\n- Support Testeurs et  IQ.'),
(12920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nCas de test Interconnexion IF + campagne'),
(12919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n[OLYMPIA]\\n\\nDéploiement INT3 \\n\\nFDL015412 1.0.41_MAGO\\nFDL015415 1.0.12_MIGO\\nFDL015413 1.0.19_MUGO\\nFDL015384 digishopA 2.2.9\\nFDL015386 digishopU 2.2.6\\nFDL015385 digishopI 2.2.4\\nFDL015316 digishopR 1.0.8\\n\\nSupport automatisation : \\n- Application retails (appli native / boutique) \\n- Pb script service retail/change/pin (pb utilisation du service)'),
(12711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nFormation ATOS / NATHALIE PALOYAN'),
(13027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nA compléter svp'),
(12713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nAcceptance ABP 575 / Campagne P1 575'),
(13002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nCampagne ABP 575'),
(16207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nAnalyse INC169079'),
(13092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nCampagne ABP 575'),
(12722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n[PSMS 14.1.27.0 - bRELEASE / INT4]: Campagne NonReg BACK Light ... Suite');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(12723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n[PSMS 14.1.27.0 - bRELEASE / INT4]: Campagne NonReg BACK Light ... Suite'),
(12724, 'Support env. Validation du 07/02/2017 : \r\n\r\ndiag :\r\ncompte : CDL8410088\r\nmdp : Mdpavignon841-\r\nLa personne arrive à se connecter mais il y a une ressource non trouvé qui s\'affiche, visiblement un problème de redirection vers le site de la personne, (pas juste un problème de hook), visiblement un problème au niveau du user. Le user appartient à un organisme qui a une convention validée.\r\n--> Alaa est sur l\'analyse\n\n'),
(12725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nRéunion sur les plateformes d\'assemblage'),
(12726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nPréparation du périmetre 1.8.0 avec K.Royere'),
(13055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nLancement des test falcon ITG 2.2 sur INT1. Analyse Test Falcon ITG 2.2 sur INT1'),
(13610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\ncoproj Bingo\\nReunion mep olympia\\nAnalyse job control M olympia'),
(13611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nanalyse job control M olympia'),
(14327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nTR2 SIDC KO anomalie créée ANO046818 et traitement I3SIC-SIDC_SOC-010-SH relancé et remontée au plan des successeurs\\\\nTR3 SIDC KO intégration du PJEU KO a cause de doublons\\\\nTR2 SIDCOM OK'),
(12736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nDigishop R 1.0.8\\nVugen - WS\\nPoint hebdo suivi des tâches'),
(12737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nVugen-WS démonstrateur + présentation\r\nGen PDJ RTG'),
(13078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nTests IF'),
(13079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nTests IF'),
(12757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nOLYMPIA / YELLOWSTONE Création anomalie ANO046818 chargement I3SIC-SIDC_SOC-010-SH TR2\\nOLYMPIA Remise a jour de l\\\'anomalie ANO046590'),
(12748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nInstallation version 2.14.7 + tests acceptance\\\\ncréation ANO046839\\nCreation d\\\'un script pour la creation et la gestion des logs'),
(13658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n[PSMS] campagne de Non Reg ALM sur INT4: ALM >> Projet: SPORTS_2013 > Stream Sport BDI.076 > ABP 14.1.27 #4 RELEASE_PSMS\\\\n\\\\n[ABP OFFRE] Mise à Jour des codes ARJELs et redémarrage de l\\\\\\\'application sur INT2\\\\n\\\\n'),
(12745, 'Re-Bonjour Hervé,\r\n\r\nLe problème a été résolu. \r\n\r\nPouvez-vous me confirmez que tout est OK de votre côté ?\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\n \r\n\r\n Mon-Compte-Partenaire PROJET---07/02/2017 16:43:41---Bonjour, Comme mentionnée au cours de notre entretiens téléphonique, en attendant que nous résolvion\r\n\r\nDe : Mon-Compte-Partenaire PROJET/Projet/BALF\r\nA : Herve TOURE/CAFLA-ROCHE-YON/CNAF@CNAF, \r\nCc : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF\r\nDate : 07/02/2017 16:43\r\nObjet : RE: [saxo INC0322421] [mantis 17021] Problème d\'accès CDAP\r\nEnvoyé par : Said ZERROUKI\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nComme mentionnée au cours de notre entretiens téléphonique, en attendant que nous résolvions le problème de redirection, la personne a tout de même la possibilité d\'accéder au service CDAP :\r\n\r\n- Cliquer sur le lien \"MySites\" \r\n- Sélectionner la \"Caf de la Vendée\"\r\n\r\nUne fois la redirection de nouveau fonctionnelle, je reviendrais vers vous comme convenu.\r\n\r\nCordialement,'),
(13249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nGestion des Incidents'),
(13247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Travail sur l\\\\\\\'ordonnancement'),
(13248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nGestion des Incidents'),
(12751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nrelecture, nettoyage, commit'),
(13252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM - MEIBO - Installation FDL015424'),
(13251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CESAM MEIBO - Création 3 cas de test Acceptation ETL'),
(13250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM-MEIBO'),
(12759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nSupport production sur le probleme de redirection --> Redemarrage du hook de production'),
(12758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nSupport sur la mise en place des tests automatises'),
(12760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nIHM-002 Paramètres partenaires\r\n-	Page Organismes partenaire, ajout droits d’accès ‘voir’ au rôle Agent CAF\r\n-	Page Organismes partenaire -> Consulter les types d’organismes, ajout droits d’accès ‘voir’ au rôle Agent CAF\r\n-	Ajout de la permission Administration parametres Partenaires : Voir au rôle Agent CAF\r\n-	Ajout de la permission Administration parametres Partenaires : action.VOIR_TYPE_PARTENAIRE au rôle Agent CAF\r\nIHM-007 Liste des conventions\r\n-	Page Conventions, ajout droits d’accès ‘voir’ au rôle Agent CAF\r\n-	Page Convention -> Consulter les conventions, ajout droits d’accès ‘voir’ au rôle Agent CAF\r\n-	Ajout de la permission Administration Conventions : Voir au rôle Agent CAF\r\n-	Ajout de la permission Administration Conventions : action.VOIR_CAF_CONVENTIONS au rôle Agent CAF\r\nIHM-008 Formaliser / modifier / détails d’une convention\r\n-	Aucune action nécessaire\r\nIHM-010 Liste des avenants\r\n-	Aucune action nécessaire\r\nIHM-011 Créer / modifier / détails d’un bulletin d’adhésion\r\n-	Aucune action nécessaire\r\nIHM-013 Liste des utilisateurs partenaires\r\n-	Ajout de la permission Administration Conventions : action.VOIR_UTILISATEURS_PARTENAIRES au rôle Agent CAF\r\nIHM-014 Créer / modifier utilisateurs partenaires\r\n-	Ajout de la permission Administration Conventions : action.VOIR_UTILISATEUR_PARTENAIRE au rôle Agent CAF\r\n-	Dév pour ajout de l’action ‘Détail de l’utilisateur’ dans la liste des actions possibles dans la liste déroulante de la colonne ‘Autres action’ sur la page ‘Liste des utilisateurs’\r\nIHM-017 Modifier / paramétrer un service\r\n-	Aucune action, vas être modifié en 1.08.00\r\nIHM-018 Liste des organismes partenaires\r\n-	Page Organismes partenaire -> Consulter les organismes partenaires, ajout droits d’accès ‘voir’ au rôle Agent CAF\r\n-	Ajout de la permission Administration Organismes : Voir au rôle Agent CAF\r\n-	Ajout de la permission Administration Organismes : action.VOIR_ORGANISMES_PARTENAIRES au rôle Agent CAF\r\n-	Dév pour la gestion du scope d’organismes pour un Agent CAF\r\nIHM-019 Créer / modifier organisme partenaire\r\n-	Aucune action, les données spécifiques à un organisme sont déjà exhaustives dans l’affichage par liste.\r\n\r\nIHM-023 Liste des groupes\r\n-	Ajout de la permission Administration Conventions : action.VOIR_GROUPES au rôle Agent CAF\r\nIHM-024 Créer / modifier un groupe\r\n-	Ajout d’une ressource action VOIR_GROUPE pour la visualisation d’un groupe.\r\n-	Ajout de la permission Administration Conventions : action.VOIR_GROUPE au rôle Agent CAF\r\n-	Dév pour ajout de l’action ‘Détail du groupe’ dans la liste des actions possibles dans la liste déroulante de la colonne ‘Autres action’ sur la page ‘Groupes d’utilisateur’.\r\n-	Dév pour la création d’une page de consultation d’un groupe en mode visualisation\r\nIHM-020 Gestion des droits des groupes d’utilisateurs partenaires\r\n-	Aucune action nécessaire'),
(12761, 'Il n\'y a que 6 utilisateurs affichés dans le panneau de contrôle de Liferay.\r\nTous les utilisateurs affichés ne sont pas des agents caf.\r\nIls sont tous \"ouvert\" coté Liferay et coté appli.\r\nLiferay n\'arrive pas à trouver et afficher les agents.\r\nLes logs indiquent que \"No UserGroup\" exists with the primary key 27684\" (confirmé par une requête en BDD).\r\nPas d\'explication plus poussée jusqu\'à présent\n\n'),
(12762, 'Hello,\r\n\r\nJ’ai revu le document en ajoutant du contexte CNAF et du détail sur la configuration Tomcat.\r\nLe document est ici I:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\PPS\\12-LIVRABLES\\Développement\\Portail Partenaires-PPS-EtudeMigrationWasTomcat-V1.1.docx\r\n\r\nVoici le plan :\r\n1.            Introduction\r\n1.1.        Objet\r\n1.2.        Lectorat\r\n1.3.        Rappel de l’architecture du portail partenaire\r\n2.            Architecture technique\r\n2.1.        Serveur frontal\r\n3.            Tomcat\r\n3.1.        Impacts\r\n3.1.1.     Installation\r\n3.1.2.     Configuration de Tomcat\r\n3.1.3.     Configuration de l’accès à la base de données\r\n3.1.3.1. Gestion par Liferay\r\n3.1.3.2. Gestion par Tomcat\r\n3.1.4.     Déploiement\r\n3.1.5.     Classloader\r\n3.2.        Optimisations de performance\r\n3.2.1.     Configuration\r\n3.2.2.     Librairie Apache Portable Runtime\r\n3.2.3.     Désactivation des servlets non-utilisées\r\n4.            Java 8\r\n4.1.        Impacts\r\n4.1.1.     Configuration JVM\r\n4.1.2.     Passage IBM vers Oracle\r\n5.            Tâches\r\n5.1.        A produire\r\n5.2.        Consommé\r\n6.            Annexes\r\n6.1.        Configuration Tomcat AJP\r\n6.1.1.     Cas frontal Apache\r\n6.1.2.     Tomcat'),
(12764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n- Mise en place de nouveaux noeud sur l\'environnement de PERF\r\n- Test et modification CONF\r\n- POint avec Phillipe sur l\'état d\'avancement du Stream'),
(13080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nTests IF'),
(15390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nvie des environnements : check tous scénarios'),
(15391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nImplémentation des mécanismes de gestion de la gamification dans un script de PDJ orchestré supportant dans un premier temps les jeux MOTORS.'),
(15392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nvie des environnements : nouveaux environnements in4'),
(13067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Rédaction cas de test Mify PSEL ALM.\\\\n- Support Perf'),
(13062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nAnalyse des tests automatiques ITG 2.2.6 sur INT1. Rapport de Non reg  envoyé sur les ITG pour la version falcon ITG 2.2.6 sur INT1.'),
(13063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nEcriture de cas de test pour le loto super loto et loto de noel YELLOWSTONE'),
(13612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nAnalyse ControlM\\nreprise de jobs'),
(12780, 'Bonjour Sylvie,\r\n\r\nComme convenu un bref récapitulatif de notre entretiens téléphonique : \r\n\r\nConcernant le saxo INC0323690 -> OK, l\'utilisateur concerné à un rôle vérificateur, d\'où l\'incohérence des éléments affichés à la connexion.\r\n\r\nSaxo INC0323666 -> Certainement un problème de configuration des serveurs smtp. Un mail auprès des équipes gérantes de ces configurations a été envoyé pour analyser le problème (à noter que sur les plate-formes de production et d\'intégration, cela fonctionne).\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(12781, 'Bonjour Gérald,\r\n\r\nNous avons reçu un saxo (INC0323666) nous informons que sur la plate-forme de recette les envois de mails ne fonctionnent pas.\r\n\r\nSur la plate-forme de production ainsi que sur la plate-forme d\'intégration tout est OK à ce niveau là.\r\n\r\nJe suspecte donc certainement un problème de configurations au niveau du serveur smtp sur la plate-forme de recette.\r\n\r\nSerait-il possible de les vérifie et de nous informer de votre analyse.\r\n\r\nMerci \r\n\r\nCordialement \r\n\r\nSaid Zerrouki'),
(12782, 'Re-Bonjour Hervé,\r\n\r\nLe problème a été résolu. \r\n\r\nPouvez-vous me confirmez que tout est OK de votre côté ?\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\n \r\n\r\n Mon-Compte-Partenaire PROJET---07/02/2017 16:43:41---Bonjour, Comme mentionnée au cours de notre entretiens téléphonique, en attendant que nous résolvion\r\n\r\nDe : Mon-Compte-Partenaire PROJET/Projet/BALF\r\nA : Herve TOURE/CAFLA-ROCHE-YON/CNAF@CNAF, \r\nCc : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF\r\nDate : 07/02/2017 16:43\r\nObjet : RE: [saxo INC0322421] [mantis 17021] Problème d\'accès CDAP\r\nEnvoyé par : Said ZERROUKI\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nComme mentionnée au cours de notre entretiens téléphonique, en attendant que nous résolvions le problème de redirection, la personne a tout de même la possibilité d\'accéder au service CDAP :\r\n\r\n- Cliquer sur le lien \"MySites\" \r\n- Sélectionner la \"Caf de la Vendée\"\r\n\r\nUne fois la redirection de nouveau fonctionnelle, je reviendrais vers vous comme convenu.\r\n\r\nCordialement,\r\n\r\n \r\n\r\n\r\n Herve TOURE---07/02/2017 16:06:07---Re bonjour, Voici la copie d\'écran\r\n\r\nDe : Herve TOURE/CAFLA-ROCHE-YON/CNAF\r\nA : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF, \r\nCc : Said ZERROUKI/CNAF/CNAF@CNAF\r\nDate : 07/02/2017 16:06\r\nObjet : RE: [saxo INC0322421] [mantis 17021] Problème d\'accès CDAP\r\n________________________________________\r\n\r\n\r\nRe bonjour,\r\n\r\nVoici la copie d\'écran\r\n\r\n\r\n \r\n \r\n[pièce jointe \"TOURE_Herve.vcf\" supprimée par Said ZERROUKI/CNAF/CNAF] \r\n\r\n\r\n Mon-Compte-Partenaire PROJET---07/02/2017 11:14:23---Bonjour, Nous avons cherché à vous joindre par téléphone mais sans succès.\r\n\r\nDe : Mon-Compte-Partenaire PROJET/Projet/BALF\r\nA : herve.toure@cafla-roche-yon.cnafmail.fr, \r\nCc : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF\r\nDate : 07/02/2017 11:14\r\nObjet : [saxo INC0322421] [mantis 17021] Problème d\'accès CDAP\r\nEnvoyé par : Said ZERROUKI\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nNous avons cherché à vous joindre par téléphone mais sans succès.\r\n\r\nJe viens vers vous suite à une anomalie saxo (INC0322421) remontée. \r\n\r\nNous avons effectué des tests et il s\'avère que les utilisateurs concernés peuvent bien accéder au portail partenaires et saisir un numéro allocataire pour visualiser les données de ce dernier (tout semble OK).\r\n\r\nPouvez-vous confirmez ou bien si le problème persiste, nous fournir quelques pièces jointes (captures d\'écran) pour nous aider à mieux identifier le problème.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(12783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nFin des test d\'acceptance de la 2.14.7 (bloqué par des problèmes liés au réseau qui empêcher l\'authentification)\r\nOptimisation des logs sur les jobs + Mise en place d\'un log rotate\r\nAnalyse de l\'archivage de certains jobs '),
(12784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nPoint sur les indicateurs et statistique d\'utilisation PPS pour Luc'),
(12786, 'reporter ses modifications'),
(12787, 'tester sur plusieurs clients'),
(12788, 'avoir un fichier en entrée avec des données'),
(12789, 'prendre le fichier d\'origine de mathilde -> voir avec joel'),
(14131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Rédaction de 6 cas de tests'),
(13331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nMCO Court_Commercial'),
(12792, 'il reste la correction du modulo pour terminer cette ano'),
(13326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nMCO Court Commercial'),
(14294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nRAM 004 : DMT0006013 installation de SAGA.exe sur Citrix env. INT1SAGA et formation de Michel P.'),
(13314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Création de la DMT0006032 pour mise à jour des directories sur INT4COUR et INT4CODT'),
(12801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Rédaction de 7 cas de tests'),
(13308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nSupport HIA sur incident de prod INC165562'),
(13334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Rédaction de 3 cas de tests'),
(13332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nBGR.047.31 ME GRATTAGE : Réalisation de la DMT0006015 installation et qualification des FDL015380 - FDL015381 et formation de Michel P.'),
(13328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Relance DMT0006032 pour mise à jour des directories oracle.'),
(13333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nMCO Court Commercial création de l\\\'incident INC166321'),
(13625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nIF inter connexion : Passage en revue d\\\'une partie des cas de tests existants \\nVérification de la pertinence des tests en vue des nouvelles avancées ITF'),
(13581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (migration Batch Abozen/vérification anomalies) Loto 2016 dans le projet ALM Olympia.'),
(13582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (Limites/BOX falcon) Loto 2016 dans le projet ALM Olympia.'),
(12813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nITF point auto.\r\nGamification Mise en oeuvre FDJ.\r\nGénération fichier PDJ RTG'),
(13583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (dernier test bloqué ou NA) Loto 2016 dans le projet ALM Olympia.'),
(16176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nExécution des campagnes de tests de non régression (dernier test bloqué ou NA) Loto 2016 dans le projet ALM Olympia.'),
(13626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nPassage en revue d\\\'une partie des cas de test existants\\nRéunion avec la partie automatisation pour délimiter notre champs d\\\'action\\nExclusion de la partie Back office de notre scope : Référenciation des cas de tests existants en back office ou front office'),
(12817, 'Bonjour,\r\n\r\nC\'est Ok pour tout fonctionne pour notre partenaire\r\n\r\nJe n\'ai pas réussi à reproduire le problème de redirection à la déconnexion pour mon identifiant donc le problème devait être temporaire.\r\n\r\nMerci pour la disponibilité ;)\r\n\r\nCordialement \r\n \r\n(See attached file: TOURE_Herve.vcf)'),
(12818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nVuGen 12 & WS. Elaboration du cadre architectural des scripts unitaires et/ou scénarisés dans la prise en compte de notifications asynchrones.'),
(12819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nVuGen 12 & WS. Elaboration du cadre architectural des scripts unitaires et/ou scénarisés dans la prise en compte de notifications asynchrones.'),
(13627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nCréation de nouveaux cas de tests pour couvrir l\\\'interconnexion ITF / Falcon\\nCréation d\\\'une campagne de 29 cas de tests en excluant les cas de tests back office'),
(12821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\ntransfert DigishopR '),
(12823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nMise à niveau INT91'),
(12824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\ntransfert Digishop'),
(12825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nCampagne compète qualif MUG Yellowstone'),
(12828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nEtude et rédaction de fiche de test pour test d\'acceptance IF'),
(12829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\ntransfert Digishop'),
(13001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nRédaction d\\\'un bilan d\\\'anomalies constatées sur la doc technique du jeu presto \\\"la poule aux oeufs d\\\'or\\\"'),
(12832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nMise à  niveau INT21 (Yellowstone) sur Palier Olympia'),
(12833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\ntransfert Digishop'),
(12834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\ntransfert Digishop'),
(13629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nComplétion de la campagne de tests\\nPassage de tests'),
(12836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nEtude et rédaction de fiche de test pour test d\'acceptance IF\r\nDifférents points d\'échanges avec les acteurs projet IF'),
(13628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nComplétion de la campagne de tests\\nPassage de tests'),
(12839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nSupport anomalies / recette'),
(13594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nRéunion Plan de MEP Yellowstone'),
(12847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nAnalyse de la déclaration et de l\\\'utilisation des noms/code des jeux MOTORS dans toute la chaine de traitement \\nAnalyse des documents (model, pdf technique, json) contenus dans les livrables des jeux MOTORS/PRESTO'),
(12842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nMise en oeuvre d\'un fichier Excel pour définir les différents point de contrôle de la phase d\'acceptance suite à une livraison d\'environnement.\r\nRédaction de fiche de test pour les tests d\'acceptance IF'),
(13593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nBug review Stream Coco'),
(12844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nRédaction de fiche de test pour les tests d\'acceptance IF'),
(13659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n[PSMS] Campagne de Non Reg ALM sur INT4: ALM >> Projet: SPORTS_2013 > Stream Sport BDI.076 > ABP 14.1.27 #4 RELEASE_PSMS\\n\\n[ABP OFFRE] Tests ARJEL et ETL des nouveaux paris Volley (ID ABP 13410) et Beach Volley (ID ABP 13420) Mainbook et Live en manuel'),
(13670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(12849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nInstallation MIG 2.2.8 (FDL015478) Patch de prod + Acceptance'),
(13671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(13672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(13673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(13660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n[ABP OFFRE] Tests ARJEL et ETL des nouveaux paris Volley (ID ABP 13410) et Beach Volley (ID ABP 13420) Mainbook et Live en automatique'),
(12854, 'Développement terminé et testé.\r\nFonctionne correctement.\r\nJ\'ai pas poussé car les modifications dépendent du ticket 17023.\r\nLes deux sont à tester et à pousser sur le même commit'),
(13666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(13667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(13668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(13669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nBatchs RUN 2 - Correctif ANO'),
(13295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nINT1SAGA : mettre à jour SAGA.exe sur les citrix d\\\\\\\'integration (assistance)'),
(12862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n- Installation MIG 2.2.9 Patch de prod + Acceptance\\n- Installation MUG Yellowstone + Acceptance + qualif anos\\n- Installation Digishop U 2.2.7'),
(12861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nExecution cas de tests RUN2 PMD'),
(12863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nExécution cas de tests RUN2 PMD'),
(12865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nMise à niveau Edwan INT 22 / 32 / 81'),
(12868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nInstallation de \\\\\\\\\\\\\\\"happydeshiver_v3.0.1-04\\\\\\\\\\\\\\\" sur INT1 + contribution\\\\\\\\n\\\\nAnalyse de la déclaration et de l\\\\\\\\\\\\\\\'utilisation des noms/code des jeux MOTORS dans toute la chaine de traitement'),
(12870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nexecution non reg GDO'),
(12869, 'J\'estime mon avancement à 90% de la résolution du bug.\r\nQuelques dernières modification à faire, je teste et je commit.'),
(12872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nPoint avec le back et traitement des différentes demandes suite soucis zookeeper sur les env paires (4,6,8)'),
(12896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n0,75 : MAJ des cas de test PMD  (ou Non Reg GDO ) suite aux retours métiers\\n0,25 : suivi avancement global RUN2 + Non reg GDO'),
(13155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nAnalyse du pb d\\\\\\\'acces à Replay token sur INT8 \\\\nAnalyse du fonctionnement des jeux similaires \\\\\\\"Ruée vers l\\\\\\\'or\\\\\\\", \\\\\\\"L\\\\\\\'or des Caraibes\\\\\\\" et \\\\\\\"La poule aux oeufs d\\\\\\\'or\\\\\\\" (json, applet) \\\\n'),
(12876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nTraitement d\\\'anomalies, suite demande A Hesse pour Maintenance Corrective (dan sle but d\\\'épurer le stock d\\\'anomalies)'),
(12878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n0,75 : Execution cas de test Non Reg GDO\r\n0,25 : Suivi d\'avancement global'),
(13296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nBCO.084.36 RDI V1.05 - création rapport de suivi des campagnes de tests réalisés pour la partie Commercial dans la phase RUN1'),
(12884, 'Bonjour,\r\n\r\nLa Caf de Toulouse rencontre un blocage sur la base test avec un utilisateur qu\'elle a créé. (Code utilisateur : ENF31100F2 . Mdp : 47L!mc31 .)\r\n\r\nA chaque connexion, on aboutit à une page Liferay.\r\n\r\n \r\n\r\nLa connexion avec les codes administrateur ou vérificateur CAF ne présentent pas de problème.\r\n\r\nPouvez-vous SVP voir la cause de cela ?\r\n\r\nMerci\r\n\r\nCordialement\r\n\r\nMarc LASUEN.\n\n'),
(13081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nTests IF'),
(12886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nTests IF'),
(12887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nmodification du composant '),
(12894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nexécution campagnes falcon usr / conformité'),
(12889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\ncomplétion catalogue falcon usr cc'),
(12890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\ncomplétion catalogue falcon usr cc'),
(12891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\ncomplétion catalogue falcon usr cc'),
(12892, 'Bonjour Gwendoline,\r\n\r\nNous avons bien pris en compte le problème remonté et les équipes sont actuellement en cours d\'investigation sur le sujet.\r\n\r\nUne fois que nous aurons plus d\'éléments de réponses, je reviendrais vers toi dès que possible.\r\n\r\nCordialement, \r\n\r\nSaid Zerrouki'),
(12893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nVie des environnements'),
(13297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nFormation ALM'),
(13298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-06'),
(13299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - CALYPSO : accepter et qualifier la FDL015380 sur INT2CALY et INT2ARCA (assistance)'),
(13300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-07'),
(13301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - CALYPSO : accepter et qualifier la FDL015381 sur INT2CALY et INT2ARCA'),
(13302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nMCO EGIDE (prise de connaissance)'),
(13304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-08'),
(12907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nCampagne Tests AUTO Spécifique Gateway SOA'),
(12908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nCampagne Tests AUTO Spécifique Gateway SOA'),
(12909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nCampagne Tests AUTO Spécifique Gateway SOA'),
(12910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nCampagne Tests AUTO Spécifique Gateway SOA'),
(12911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nCampagne Tests AUTO Spécifique Gateway SOA'),
(12912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nEntretien candidat\r\nCréation offre sur INT8\r\nVITAN 5.5.001, 5.5.001 tests approfondi sur PSMS sur INT8'),
(13059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nLancement des tests automatiques Falcon USR 2.3.12, RTG 2.2.10 sur INT7'),
(13065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nEcriture de cas de test pour le loto super loto et loto de noel YELLOWSTONE. '),
(12918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nCas de test Interconnexion IF + campagne + run'),
(12921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n[OLYMPIA]\\n- Atelier digishop R + demo avec les appli avec les testeurs auto (Lionel Camous + Frédéric Faissat)\\n\\n- Atelier préparation répétition MEP + revue des modops avec Xavier Fouquoire'),
(12922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nCas de test Interconnexion IF + campagne + run'),
(12923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nCas de test Interconnexion IF + campagne + run'),
(12924, 'Problème : Lors de la connexion, un utilisateur n\'était pas redirigé sur le site de sa caf mais sur une page de ressource non trouvé. Dans le contrôle panel il apparaît que pour la caf en question, l\'utilisateur ne s\'affiche pas dans la liste.\r\n\r\nInvestigation : Dans un premier temps investigation dans la base de donnée des infos utilisateur, dans la table habilitation_partner, puis dans la table user_, puis dans la table habilitation_organism pour l\'organisme de l\'utilisateur. Etant donné qu\'un soucis apparaissait au niveau de l\'organisation dans le contrôle panel (user non affiché dans la liste), vérification des données dans les tables organization_ puis de la bonne existence de la liaison user <-> organisation dans la table users_orgs. Tout était cohérent. Arrivé à ce point, test à partir du contrôle panel de resynchro l\'affectation des utilisateurs à l\'organisation en passant, pour une organisation, par l\'option \"Affectez les utilisateurs\" dans le menu déroulant \"Actions\". Sur la page listant les associations des utilisateurs à l\'organisation, clique sur le bouton \"Mettre à jour les associations\". Une erreur s\'affiche. Nous avons donc regardé dans les log system sur le serveur (cdapv1 > LogWAS > Today > ClustSrv_jee1_cdapv1_01 > SystemOut.log). Une erreur apparaissait \"No UserGroup\" exists with the primary key\". Après contrôle de la table de liaison user <-> group, il est apparue que des donnée de liaison existaient encore pour des group supprimés. Après suppression de ces liaison et mise à jour des associations le problème est résolu.'),
(12925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nCas de test Interconnexion IF + campagne + run'),
(12926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nMontées en compétence d\'Emmanuel Duchet'),
(12928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nCorrection de scripts  avec  d\\\'Emmanuel Duchet'),
(12929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nPublication sur ALM'),
(12930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nPrise en charge des scripts Digishop'),
(12931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nrédaction pv qualif sur VITAN 5.5.001\r\ntest wspo catalog appname et int8 pour psel Android 1.0'),
(12932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nRédaction de documentation '),
(12933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nTest acceptence PSEL android 1.0.0'),
(12934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n[IF] Coquilles de tests d\'acceptance suite installation IF 2.0.0 RC\r\n[IF] Debug tunnels SQL\r\n[OLYMPIA] 7 Cas de tests \"passed\", 1 ano : ANO046797'),
(12935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n[OLYMPIA] 11 cas de tests PASSED\r\n[IF] Soutien qualif manuelle'),
(12936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n[OLYMPIA] 5 cas de tests PASSED\r\n[IF] Soutien qualif manuelle'),
(12937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne NONREG GDO\r\n[IF] Soutien qualif manuelle'),
(13637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne NONREG GDO'),
(13707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[IF] Soutien qualif manuelle'),
(12943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n[PSMS 14.1.27.0 - bRELEASE / INT4]: Campagne NonReg BACK Light ... Suite et FIN + [PSMS_V2]: Lecture Doc'),
(12945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n[PSMS_V2]: Lecture Doc + [Olympia]: Campagne Non Reg ?'),
(12946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[PSMS_V2]: Lecture Doc + [Olympia]: Campagne Non Reg ?'),
(13665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nCamapgne auto Non reg INT4\\\\nCampagne auto Evolution PSMS INT4'),
(12948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nCamapgne auto Non reg INT4\r\nCampagne auto Evolution PSMS INT4'),
(12950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nAnalyse des steps Failed sur les campagnes lancées par le robot.'),
(14426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nCampagne'),
(29766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël.'),
(13064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nAnalyse des tests automatiques Falcon USR 2.3.12, RTG 2.2.10 sur INT7'),
(12956, 'Modification du site template à prévoir'),
(12957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n[OLYMPIA]\r\nComplément tests MIGO / MAGO / MUGO\r\nSupport equipe test auto (Lionel Camous) sur les service boutique digishop R (dev auto à revoir pour les service pin/change et token/verify)\r\nSupport recette\r\n'),
(12958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n[OLYMPIA]\r\nSupport perf / auto => pb de confirmation des joueurs Olympia sur INT5 (communication avec Falcon KO, il manquait le certificat client que le T2 cloud Retail doit présenter à Falcon)\r\n\r\nAnalyse anomalies critiques (ANO046857 réaffectée, ne concernait pas MUG, 	ANO046849	=> l\'appel digishopU /account/getThresholds  a évolué pour prendre en compte les limites Olympia, un paramètre est à passer dans l\'url et l\'evolution n\'a pas été prise en compte sur MUGO)\r\n	\r\n'),
(12959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nComplément campagnes de qualification '),
(12960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nFDL015464 (2.0.33_wloto)'),
(12961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nFDL015467  (2.5.0_wof)\r\nFDL015471 (2.0.34_wloto)'),
(12962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\ntests qualif loto yellowstone + lecture doc amigo'),
(12963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\ntests qualif loto yellowstone + lecture doc amigo'),
(12964, 'Test HP ALM ID : 715'),
(12965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nverification des application natives illikolive IOS et Android qui sont parties en PROD suite a la MEP\r\nRemontée ano sur la géolocalisation en prod'),
(13085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n- Installation SPDV 3.0.9 + Qualif\\n- Investigation fonctionnement d\\\'ILBOR'),
(12970, 'Test HP ALM ID : 717'),
(12971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nTest appli native Loto IOS et Android\r\n'),
(12972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nTest Appli native Loto IOS Android + qualifation des anos\r\nTest sur la homepage (erreur d\'afifchage entre Android et IOS) + reçu scanner suite a l\'ouverture des flux mani grandlotonoel par PGR'),
(12977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nContinuité test Appli Loto\r\nCompilation Illikolive 1.0.011 + création de l\'APK signé pour prod Android pour soumission appli a google'),
(12978, 'Test HP ALM ID : 718'),
(12979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nRecompilation et recréation de l\'APK de prod pour illikolive FDL015484\r\nTest appli native suite FDL015489 FDL015488'),
(12980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nTest appli native suite FDL015489 FDL015488'),
(12981, 'Modification de  requêtes SQL    dans  pgm   CHWSEL'),
(12982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nEntretien téléphone avec Sébastien LUNEAU et Marc MINOT pour discuter des points bloquant Olympia dans les applications natives (1h)\r\nAtelier préparation répétition/MEP & revue de modops avec Xavier Fouquoire, HIA, IQ Front... (2h)'),
(12983, 'il reste le scheduler à faire'),
(12984, 'Liste des tests HPALM associés :\r\n\r\nPHA-Entités-Conventions-Consulter - Visualiser la liste des conventions avec Agent CAF\r\nPHA-Entités-Conventions-Consulter - Visualiser les détails de convention, avenants et bulletin avec Agent CAF\r\nPHA-Entités-Organismes-Consulter - Visualiser la liste des organismes avec Agent CAF\r\nPHA-Entités-Partenaires - Consulter - Visualiser la liste des utilisateurs avec Agent CAF\r\nPHA-Entités-Partenaires - Consulter - Visualiser les détails utilisateur avec Admin CNAF\r\nPHA-Entités-Partenaires - Consulter - Visualiser les détails utilisateur avec Agent CAF\r\nPHA-Entités-Partenaires - Consulter - Visualiser les détails utilisateur avec Verificateur CAF\r\nPHA-Entités-Groupes - Habilitations - Consulter - Visualiser les habilitations de groupe avec Agent CAF\r\nPHA-Entités-Paramètres partenaires-Consulter - Visualiser la liste des type organisme avec Agent CAF\r\nPHA-Entités-Groupes-Consulter - Visualiser les détails de groupe utilisateur avec Agent CAF\r\nPHA-Entités-Groupes-Consulter - Visualiser les groupes utilisateur avec Agent CAF'),
(13253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nGestion des Incidents'),
(13254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM-MEIBO'),
(13269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Livraison à HIA des WS EGIDE 4.2 pour Porto'),
(13270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Assistance à SOPRA pour qualification PFJeux'),
(12989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nTest acceptance manuel parionsdirect sur INT7 pour vérifier les communications avec F-2.3.12\r\nsuite à la MOD010885, relance techlead WSPO & personne du tracking par rapport au siteId et au TMS. Incohérence dans les noms des appNames et dans les siteId.\r\nAvancement qualification ALM sur parionsdirect IOS.'),
(12991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nTentative avec Philippe d\\\'une réunion avec Le techlead des applications natives sport --> injoignable, finalement on fait le point sur la livraison FDL015468 (SPDV 3.0.2-7) --> demande de réaliser le test poussé avec une multitude de liste LF7 et 15 promulgué la même journée.\\nRécupération des listes de production, fabrication du cas et verification de l\\\'ouverte et de la fermeture de 6 listes lotofoot (4 LF7 et 2 LF15) --> le test est concluant.\\nPour ATOS : entretien avec un candidat de Lauralba dans les locaux (2h).\\nCréation de la MOD010885 : support de la configuration wspo (natif) directement dans le composant.\\nMaj Modop MEP Catalog Parionsdirect pour passage au cab la semaine prochaine et soumission future à Apple.'),
(12992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nNormalement qualification Olympia'),
(12993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nPoint avec Philippe sur les points bloquants Olympia (2h).\r\nLes sujets avancent mais on attend beaucoup des retours de Boulognes (Sebastien Luneau et Marc Minot)'),
(12994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nSupport Abo (30 min) sur les différentes version de SPDV.\r\nCréation des anomalies ANO046823 et ANO046828 sur le rafraichissement de la liste des PDV dans les applications natives parionsdirect IOS et Android.\r\nTest de la version SPDV 3.0.2-6 (correction pb de production affichage liste LF), test KO --> attente du retour des dev.'),
(12995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nRetour des dev sur SPDV 3.0.2-6 --> ils affirment qu\'il n\'y a pas d\'erreur --> relance sur le sujet (démonstration de la non installation du composant de Pre-Qualification). Finalement ils comprennent leur erreur. --> Rejet de la FDL015456 (SPDV 3.0.2-6).\r\nLivraison d\'une version SPDV 3.0.2-7 (FDL015468) --> test de base, la correction fonctionne.\r\nRédaction du Modop pour MEP.\r\nRédaction PV de qualification technique pour joindre à la RFC.\r\nDemande de création de la RFC --> les contenus (FDL, MODOP et PV) sont conformes'),
(12996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-27  (Do not remove this line) -->\nreste le scheduler à faire'),
(17526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nAction : phase d\'implémentation services DigishopR\nLivrable : tests associés\n'),
(17527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nAction : phase d\'implémentation services DigishopR\nLivrable : tests associés\n'),
(13028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nA compléter svp'),
(13073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2 - NON REG GDO (INT3)'),
(13074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2 - NON REG GDO (INT3)'),
(13075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2 - NON REG GDO (INT3)'),
(13076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2 - NON REG GDO (INT3)'),
(13077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nExécution de compagne OLYMPIA RUN2 - NON REG GDO (INT3)'),
(13052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nCommit + réécriture des script des tables SQL\r\nRAF : TU + DOC + attendre le retour pour savoir si on histrise à la création et validation d\'un porteur'),
(13586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\npoint avec Patrick G + l equipe de tests'),
(13060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nEcriture de cas de test pour le loto super loto et loto de noel YELLOWSTONE. '),
(13057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n.Lancement campagnes de NON REG Falcon RTG 2.3.4 sur INT2 YELLOWSTONE'),
(13068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nInstallation de la version 2.15.0 Yellowstone Portail Tablette\r\nTest d\'acceptance\r\nNettoyage de certaines archives/livraisons/logs sur les INT car disque full empêchant toutes nouveaux process'),
(13072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nTDPEA-308 : Analyse diff ITF admin (OPR) et nouvelle version front 2 RC1 fix\\ntag de l\\\'API\\nRestabilisation API (Falcon CC, Digishop)'),
(13613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nanalyse job control M\\ncorrection sur les extract falcon\\ninstallation des composants :\\nUSR	2.3.12-1	FDL015440\\nBAN	1.3.0-1	FDL015370\\nDOC API 	2.3.12-1	FDL015494\\nBOX	2.4.10-1	FDL015374'),
(13769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\ncampagne ABP 14-1-23-OLYMPIA-575'),
(13770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n14-1-23-OLYMPIA-575'),
(13771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n14-1-23-OLYMPIA-575'),
(13090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nCamapgne auto Non reg INT4\r\nCampagne auto Evolution PSMS INT4'),
(13091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nPalier Olympia - Run 2 exécution CC (Gestion anomalies) & Non reg GDO'),
(13094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nPalier Olympia - Run 2 exécution CC (Gestion anomalies) & Non reg GDO'),
(13095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nPalier Olympia - Run 2 exécution CC (Gestion anomalies) & Non reg GDO'),
(13097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nPalier Olympia - Run 2 exécution CC (Gestion anomalies) & Non reg GDO'),
(13154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nKickOff 2017 - Illiko\\\\n\\nRédaction du mod op d\\\'installation des jeux presto en utilisant la mécanique d\\\'installation des jeux Motors'),
(13272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nGestion des Incidents'),
(13271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Création de 10 cas de test ETL'),
(13101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nAnalyse du problème d\'utilisateur sur la plateforme de validation. ');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(13661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[ABP OFFRE] MàJ de la base ARJEL sur INT4 (copie de INT2);\\n[ABP OFFRE]  Validation ARJEL et ETL des nouveaux markets Volley et Beach Volley em Live Auto\\n[PSMS] Lecture de la documentation PSMS V2'),
(13104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\\\\\n- Rédaction cas de test Mify PSEL ALM.\\\\\\\\n- Support Testeurs et  IQ.\\\\nRéunion de suivi sport'),
(13648, 'Tests HPALM mis à jour :\r\n\r\nPHA-Entités-Conventions-Consulter - une convention validée\r\nPHA-Entités-Conventions-Consulter - Visualiser les détails de convention, avenants et bulletin avec Agent CAF\r\nPHA-Entités-Conventions-Consulter- une convention\r\nPHA-Entités-Conventions-Créer - une convention et créer les administrateurs\r\nPHA-Entités-Conventions-Créer - une convention et créer un bulletin d adhésion - avec annulation de la saisie (2 niveaux) (admin CAF)\r\nPHA-Entités-Conventions-Créer - une convention et créer un bulletin d adhésion - avec validation de la saisie (2 niveaux) (admin CAF)\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Annulation - Débuter la création d une convention en créant un bulletin puis annuler la création de la convention\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Annulation - Modif conv jamais validée - Créer un nouveau bulletin puis annuler la modification\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Annulation - Modif conv valide - Créer un bulletin puis annuler la modification\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Bulletin d adhésion - Cas d exceptions – Création\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas d exceptions - Création - Tous les cas\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas d exceptions - Modif conv valide - Annuler la clôture d un bulletin ouvert si bulletin recréé entre temps\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Création avec 1 bulletin\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Création avec 2 bulletins\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Création avec création de l admin partenaire\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Création avec création de l orga partenaire et de l admin partenaire\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Création avec multiples uploads du PDF\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Modif conv jamais validée - Ajouter un nouveau bulletin\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Modif conv jamais validée - Modifier rôles de bulletin\r\nPHA-Entités-Conventions-MEP - Périmètre critique - Cas nominaux - Modif conv valide - Ajouter un nouveau bulletin\r\nPHA-Entités-Conventions-Modifier - avec validation de la saisie (admin CAF)'),
(13117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-02  (Do not remove this line) -->\nExécution de compagne de tests: projet Olympia RUN1( en renfort )'),
(13120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-04  (Do not remove this line) -->\nRéunion formelle organisée par Mael vala-viaux : 11:00 à 12:20 ( stratégie à mettre en place avant la MEP)\\\\nRéunion informelle: sujet: discuter des cas des test No run dans la compagne olympia Run1, et aussi ce qui concerne les cas de test carte NFC )'),
(13123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n- création ANO046779 [MAPI][YELLOWSTONE] mock sur annonce raffle pour le 1er tirage en Phase 2\r\n- investigation int2 ko, redémarrage de l\'ensemble des fronts\r\n- support webapp Yellowstone sur INT2, anomalie de cache\r\n- qualifications livraisons Yellowstone'),
(13124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n- support recette ANO046400 [Yellowstone]Flux FLP1 TRAPP du LOTO nombre de code raf sur prochain tirage LOTO a \"000\"\r\n- Maj d\'environnement YellowStone\r\n4.0.7_hasard	FDL015411\r\n4.0.4_mobi	FDL015410\r\n4.0.4_mapi	FDL015408\r\n4.0.2_mrcd	FDL015426\r\n4.0.11_edwan	FDL015404\r\n- Qualification YellowStone'),
(13125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n- maj de vhost pour service mapi\r\n- support sur pb de promuglations Euromillions TR3, signatures corrompues et pb de certificat\r\n- Qualification YellowStone'),
(13126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n- création ANO046906 [MRCD][YELLOWSTONE] Undefined property: Mrcd_Recu_Checker_Wager_Superloto::$_raffleInterval - Abstract.php\r\n- création ANO046933 [EDWAN][YELLOWSTONE] Affichage annonce grandlotonoel dans le loto_res.inc\r\n- préparation environnement de préQ INT91 pour dév\r\n- Installation livraisons YellowStone\r\n4.0.2_mrcd	FDL015426\r\n4.0.5_mobi	FDL015493\r\n4.0.4_mrcd	FDL015501\r\n4.0.5_mapi	FDL015504\r\n- Qualification YellowStone\r\n'),
(13567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n- maj environnement 91 pour préQ\\n- maj de vhost pour service emoji sur env 21, 22, 32, 91\\n- remonté pb sur le montant raffle entre site public et applis natives\\n- Installation livraisons YellowStone\\n4.0.11_edwan	FDL015404\\n4.0.8_hasard	FDL015503\\n- Qualification YellowStone\\n- création ANO046957 [EDWAN][YELLOWSTONE] CMS edwan montant raffle en centimes d\\\'euro\\n- création ANO046958 [HASARD][YELLOWSTONE] Correction du montant raffle dans la page résultats\\n- création ANO046960 [HASARD][YELLOWSTONE] Correction montant Prochain Jacpot sur page résultats/loto\\n- création ANO046983 [HASARD][YELLOWSTONE] Montant raffle non correcte dans le template évènementiel'),
(13128, 'Bonjour Mélanie,\r\n\r\nJe viens vers vous suite au saxo INC0317973 que vous nous avez remonté.\r\n\r\nLa fonctionnalité concernant la non obligation de saisir un administrateur partenaire pour une convention centralisée sera effective lors d\'une prochaine livraison des paquets.\r\n\r\nIl apparaît donc normal qu\'aujourd\'hui, sur la version actuelle du portail partenaire, la saisie d\'un administrateur partenaire soit obligatoire.\r\n\r\nIl n\'y a donc aucune anomalie.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(13322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[RMC 004 Maintenance corrective] MOD0008397 : Qualification de la FDL015378'),
(13132, 'Bonjour,\r\n\r\nCe message pour vous indiquer que les études demandées Portail Partenaires-PPS-EtudeMigrationWasTomcat-V1.1.docx et Portail Partenaires-PPS-Etude d\'intégration des habilitations partenaires physiques -V1.0.docx ont été déposées respectivement dans les dossiers :\r\n\\\\srv3d06e.certiam.cnaf\\UED - Documentation projet\\56 - EDEN P - PPS Portail Partenaires\\40 - Livrables\\41 - Concevoir\\Liferay\r\n\\\\srv3d06e.certiam.cnaf\\UED - Documentation projet\\74 - EDEN P - HABPPS Habilitation Partenaires\\40 - Livrables\\41 - Concevoir\\Etudes techniques Liferay\r\n\r\nSur le serveur Atos : I:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\PPS\\12-LIVRABLES\\Développement\r\nEt I:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\HABPPS\\12-LIVRABLES\\Etudes\\Partenaires physiques\r\n\r\nCordialement,\r\n \r\nSébastien RENE\r\nBusiness & Platform Solutions\r\nSolution architect\r\n+33  4 93 95 40 38\r\n+33  6 22 60 26 52\r\nSophia Antipolis\r\nAtos.net'),
(13319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n[RMC 004 Maintenance corrective] MOD008397 : Installation FDL015378'),
(13133, 'Adaptation de la gateway OK pour accèder à nos fichiers swagger générés automatiquement depuis le code'),
(13134, 'communiqué au client'),
(13135, 'Bonjour,\r\n\r\nVoici un point suite à notre discussion de ce jour avec Gérald Cauvin et Xavier Gainon concernant la configuration de la plateforme Prod 2. Il semble qu’il y ait des confusions quant à l’usage de cette plateforme :\r\n-	Environnement de staging : utiliser l’environnement  Prod 2 pour déployer en avance de phase les versions livrées  (version N+1). Cela engendre plusieurs problématiques :\r\no	La base de données Liferay est intimement liée à la version déployée sur le portail, déployer une version N+1 sur la même base de données rend celle-ci non utilisable en version N\r\no	Dans ce cas, on pourrait avoir deux bases de données différentes, mais étant donné que les données du portail habilitations stockées en BDD sont vivantes et évoluent, cela nécessiterait le mode opératoire suivant :\r\n	Arrêter Prod 1 (pour éviter d’avoir des delta de données entre les deux bases)\r\n	Copier la BDD Prod 1 sur Prod 2\r\n	Démarrer Prod 2\r\nIl y aurait donc nécessité d’avoir une interruption de service pour éviter une éventuelle perte de données injectées suite à la réplication sur Prod 2.\r\n\r\n-	Environnement de backup : utiliser l’environnement Prod 2 comme plateforme de PCA :\r\no	Avoir une réplication de la base de données entre Prod 1 et Prod 2 afin qu’elles soient toujours identiques\r\no	Basculer sur Prod 2 en cas de sinistre sur Prod 1, dans ce cas :\r\n	Basculer également sur la BDD prod 2 :\r\n•	La BDD prod 1 est peut-être toujours fonctionnelle et la bascule entraine des manipulations « inutiles » : bascule du modèle passif/actif vers Prod 2 \r\n	Rester sur la BDD prod 1 \r\n\r\nRemarque de Xavier :\r\nAucun service ne semble reposer sur cette méthode étant donné qu’un PRA est déjà assuré au niveau des VM\r\n\r\nIl y a donc nécessité de valider côté CNAF le périmètre associé à cette plateforme, ce qui aura forcément des impacts sur sa configuration.\r\n\r\nCordialement,\r\n \r\nHervé Devos'),
(13136, 'Bonjour,\r\n\r\nLe configuration du cache en mode réplication Cluster sur Liferay nécessite l’ouverture de 3 adresses multicast sur le réseau. C’est un prérequis au bon fonctionnement du cluster et de la réplication des caches dans des conditions de performances optimales.\r\n\r\nCela correspond à ces trois clés de configuration dans Liferay :\r\n-	multicast.group.address[\"cluster-link-control\"]=239.255.0.1\r\n-	multicast.group.address[\"cluster-link-udp\"]=239.255.0.2\r\n-	multicast.group.address[\"cluster-link-mping\"]=239.255.0.3\r\n\r\nLes IPs sont à déterminer par les équipes réseaux et ne doivent pas forcément correspondre avec la configuration par défaut Liferay.\r\n\r\nPouvez-vous faire le nécessaire auprès de vos équipes réseau pour qu’elles fournissent ces adresses ?\r\n\r\nCordialement,\r\n\r\n \r\nHervé Devos'),
(13137, 'Complément d’information sur les variables à configurer :\r\n\r\ncluster.link.autodetect.address=<db>:<port_db>\r\ncluster.link.enabled=true\r\nlucene.replicate.write=true\r\nehcache.cluster.link.replication=true'),
(13138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nPublication du plugin sur le Nexus CNAF'),
(13139, 'Délivré :\r\n\r\n\r\nBonjour christophe \r\n  \r\nTu trouveras en PJ, l’étude faite par Hervé sur l’injection de données sur Liferay : \r\nSi nécessaire , nous restons à disposition pour parler du contenu de ce document. \r\n  \r\n  \r\nStockage interne : I:\\FR\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\PPS\\12-LIVRABLES\\Développement\\ \r\nStockage UED : \\\\Srv3d06e.certiam.cnaf\\UED - Documentation projet\\74 - EDEN P - HABPPS Habilitation Partenaires\\40 - Livrables\\41 - Concevoir\\Liferay\\ \r\n  \r\nCdt \r\n  \r\n  \r\nMARLE Bertrand'),
(13140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nréunion EDEN'),
(13141, 'Entretiens téléphonique avec Hervé Toure le 08/02/2017, tout est OK'),
(13323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[BGR.047.31 ME GRATTAGE] DMT0006015 qualification des FDLs et préparation du mode opératoire d\\\'installation'),
(13143, 'Ce Mantis ne doit être clos qu’une fois les dernier points (même si non bloquant) sont validés.'),
(14284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n[BGR.047.31 ME GRATTAGE] DMT0006015 installation FDL015380 & FDL015381 & FDL015463 &  FDL015462 sur INT2CALY et INT2ARCA'),
(13681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nMaj des documents projets de livraison'),
(13305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-09'),
(13325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[BCO.088.32 FDV PORTAIL V3] DMT0006359 installation de la version pour SAGA et ETL'),
(15770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Fin installation FDL015463 '),
(13321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nEtude projet BCO.096.31-Remuneration des intermedaires'),
(13327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nEtude projet BCO.102.30-Gestion des secteurs isolés'),
(13273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Campagne de test CQA001-CSAM-MEIBO-ETL_REFERENTIEL-CDSATO201702 - 10 tests'),
(13274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nGestion des incidents'),
(13390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Support'),
(13389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- réunion vie des envts, \\n- support test pdjs mify\\n- support Perf'),
(13388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- test Olympia ( debit, cancel .....)\\n- Support tests.'),
(13647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Capture Olympia pour maintien de session active. \\n- Dev correctif Script de pdj PSEL \\n- Support Perf.'),
(13186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nYELLOWSTONE Investigation sur l\\\\\\\'absence de remontée de données dans l\\\\\\\'univers BEAS'),
(13167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nYELLOWSTONE Remise a jour de l\'univers BEAS sur le TR2 pour la recette YELLOWSTONE (l\'univers n\'était pas déployé au bon endroit suite à l\'installation faite par HIA)'),
(13171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nDev API : merge ITF MTRA\\\\nDev scripts auto : nouveau script ITF Front ITFGetJackpotsJackpostName (TPDEA-309) + evol script Falcon USR pour exploiter un pInputSiteCode distinct du sitecode de login'),
(13440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nMaj de scripts ITF MTRA suite au merge du nouvel API RC\\\\nEvol 6 scripts Falcon pour exploiter un sitecode en input distinct de celui du login avec gestion mode AUTO ou NONE et maj des cas de tests concernés'),
(13449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nscripts ITF MTRA\\nValidation et tag API\\nAtelier automatisation des tests\\nComité automatisation\\nITF : BackOffice présentation'),
(13812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nTDPEA-308 : diff ITFA 2.0.0.1RC // 2.0.0_alpha3 + build et merge API\\nTDPEA-309 : modif scripts et Blocs ITFA'),
(13905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nHP ALM 12.53 : présentation ALM\\nHP ALM 12.53 : présentation vuGen\\nAnalyse nouvelle version Falcon Yellowstone USR 2.4.6, RTG 2.3.6, RTL 2.4.6'),
(13974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n[FALCON TRAJECT LOT 1] Script AUTO Evolution input pSiteCode'),
(14158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nVérification non regression API et Tag puis deploiement des scripts Falcon modifié (pInputSiteCode)\\nEtude de l\\\'orchestration du jeu gamifié \\\"Les clés du trésor\\\"'),
(13261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nTR2 SIDC YELLOWSTONE  Blocage du flux L_SIC_PWEB partie digitale non à jour Olympia  - TR3 SIDC OK   -  TR2 SIDCOM OK'),
(13189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nOLYMPIA Reprises de données du 30/01 au 07/02 et investigations sur les erreurs des traitements'),
(13340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nTR2 SIDC Demande a HIA d\\\'installation de la version 6.0.2 + application datafix des rejets puis liberation de la chaine\\nTR3 SIDC Bloquée par les payouts\\nTR2 SIDCOM OK'),
(13341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nOlympia Rédaction de 41 cas de test pour les Flux ETL (entrant et sortant) du SID Client'),
(13263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nGestion des incidents'),
(13264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nDMT0006379 - Copy base de prod CALY sur INT4CALY'),
(13265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nRAM004 - Assistance à Trevor (CMS) pour reprise sur pb de retour SAG sur changement d\\\'agrément d\\\'un PDV'),
(13614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nanalyse job controlM\\\\nModop HIA pour MaJ int1 des composants falcon\\\\ncréation d\\\\\\\'un script pour l\\\\\\\'installation du composant SID'),
(13605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nanalyse job control M\\nModification de jeux de données FL_DATA'),
(13201, 'Liste des comptes allocataires sur la base 456 disponible depuis l\'env d\'assemblage.\r\n\r\nAussi disponible sur le serveur projet CDAP sous : \r\n\\40 - Livrables\\43 - Intégrer_Valider\\jeu Essai Assemblage 456'),
(13202, 'Voici le CR pour la plateforme d’assemblage :\r\n\r\nSujet	Statut	Commentaire	Acteurs	\r\nISU	OK	BDD synchronisée avec celle d’intégration fin janvier, tests de connexion réalisés par ATOS.	ISU	\r\nApplications métiers	OK	Tests de surface réalisés par ATOS	SERVAPP/ATOS	\r\nLiferay	OK	Installation validée par la CNAF & ATOS	SERVAPP/ATOS	\r\nConnecteur Cristal	OK	Connexion sur la base 456 et 143	SERVAPP/CRISTAL	\r\nWDD	KO (non bloquant)	Un mail a été fait à l’équipe WDD, en attente de réponse	SERVAPP/WDD	\r\nConnection Gesdial	KO (non bloquant)	Aucune configuration n’a été fourni à ATOS	?	\r\nMontage NFS	OK	Montage fait mais non testé par ATOS	INFRA LINUX/SERVAPP	\r\nBDD	OK	Copie de la base d’integration	DB-2AP	\r\nJeux d’essai	OK	\\40 - Livrables\\43 - Intégrer_Valider\\jeu Essai Assemblage 456	CRISTAL	\r\nLoadbalancer	KO (non bloquant)	On peut demander à Windows de créer un Alias DNS wspca-a.intra.cnaf pour le faire pointer vers jee01-backcptepart-echanges-ws8-a1.app.si.test-cnaf.info	SERVAPP/WINDOWS	\r\n\r\nNous pouvons libérer la plateforme d’intégration à la date du 10/02/2016 avec réserve concernant les périmètres suivants :\r\n•	WDD : Risque si nous devons rapidement faire évoluer ou corriger un bug sur les attestations de paiements PCA\r\n•	Gesdial : Risque si nous devons rapidement faire évoluer ou corriger un bug sur la fonctionnalité ‘contacter ma caf’ dans l’application PCA\r\n\r\n\r\nUne réplication du processus de mise en place de la plateforme d’assemblage peut être engagée sur la plateforme d’acceptance.'),
(13220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nInvestigation et qualification de l\\\\\\\'ANO046449\\\\nInvestigation et qualification de l\\\\\\\'ANO046458\\\\nVérification des settings des INTs afin d\\\\\\\'uniformiser avec ojadgate\\nInvestigation te creation de l\\\'ANO047049'),
(13205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nInstallation de la 2.15.0 du portail Tablette\\nTest d\\\'acceptance\\nAmélioration et finalisation du mode opératoire de la 2.14.7\\nFinalisation de la creation et rotation des logs avec le script drupal_cron.ksh'),
(13266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0006315 première partie réalisée'),
(13207, 'Livré au début de la recette'),
(13208, 'Les données en trace sont correctement horodatées, le problème viens du traitement batch lors de la consolidation, l\'objet de type date ne porte pas les minutes / heures mais uniquement année/mois/jour.'),
(14252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nOLYMPIA Analyse des flux du périmètre MCO pour saisie des cas de test dans l\\\\\\\'ALM + Exécution des cas de test sur les flux'),
(13211, '13/02/2017 : Aide et support de validation sur les comptes de partenaires à utiliser (échanges par mails avec Malory LEMAZURIER du 13/02/2017)\n\n'),
(13212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nRédaction des fiches de tests d\'acceptance sous ALM '),
(13213, 'La réunion #2 est prévue au 17/02/2016 :\r\nRéunion sur la v2.0 de PHA\r\n\r\nSujets : \r\n•	Revue de la réunion du 9/02\r\n•	Discussion sur le sujet\r\n•	Analyse du fichier en provenance de LOH\r\n•	Définition du plan d’action'),
(13216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-19  (Do not remove this line) -->\nProblème d\\\'accès machine / réseaux / Applications/ Serveur'),
(13217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-20  (Do not remove this line) -->\nProblème machine et accès ETL + Capitalisation doc'),
(13218, 'Commit sur 16810 '),
(13219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nmodif  + Commit'),
(13221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nOlympia Exécution des cas de test de la campagne de qualification'),
(13342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nTR2 SIDCOM OK - TR2 SIDC Yellowstone KO - TR3 SIDC Olympia OK'),
(13223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nSAFERGAME : Réunion DT avec P.Maigne+Réunion état d\'avancement avec R.James+ Réunion avec JC.Morel/IBM sur livraison prévisionnelle'),
(13310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nSAFERGAME : Extraction des données BETSYS/RDST+chargement dans CFM'),
(13226, 'Bonjour Gwendoline,\r\n\r\nLa base de test a bien été mise à jour, seulement pour l\'utilisateur blandine un email est déjà existant.\r\n\r\n(See attached file: Identifiants pour la base test.xls)\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\n\r\nBonjour,\r\n\r\nJe vous transmets les dernières demandes du CDR IDF pour la base test normalement :\r\n[pièce jointe \"Identifiants pour la base test.xls\" supprimée par Said ZERROUKI/CNAF/CNAF] \r\n\r\nBonne fin de journée\r\n\r\nCordialement \r\n\r\nGwendoline LE MERLUS\r\nAssistante de projet\r\n01 45 65 53 90'),
(13781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nFormation Malik\\\\n    -Acces BDD\\\\n    -Acces Putty interco\\\\n    -Environnement IF'),
(13773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nReferencage coquilles JACKPOT'),
(13458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nCampagne Acceptance et Non reg Falcon RTG 2.3.3 sur INT3 (Falcon USR 2.3.12). Analyse des résultats. Mapping des tests avec leurs exigences sur Falcon RTG 2.3 et ITG 2.2'),
(13267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nBFR.066.31 [ME] FINANCE - Assistance à SOPRA pour qualification MOD010870'),
(13268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nMCO - EGIDE'),
(13606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nRepet Installation avec HIA des composants :USR, OPR, BAN, ARJ, SID, BOX sur int5\\nanalyse des jobs controlM'),
(13453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nEcriture des cas de test pour Falcon USR'),
(16174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nReporting et création des campagnes de tests RUN02 sur le projet ALM Olympia.'),
(16175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nExécution des tests sur les batchs et abozen (projet ALM Olympia).'),
(13238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nRédaction de fiches de tests d\'acceptance\r\nMontée en compétence sur le Stream IF et le Stream Illiko\r\nDifférents échanges avec les membres de l\'équipe sur les aspects architectures / fonctionnements '),
(13239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-21  (Do not remove this line) -->\nRégule avec Adrien post imputation (tache n188-5 cloturée)'),
(13315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nSAFERGAME : Désactivation rebond root sur tous les serveurs unix d\\\\\\\'intég, dans le cadre des normes de sécurité FDJ\\\\\\\\\\\\\\\\nCréation d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'une MOD010929\\\\\\\\\\\\\\\\nExtraction/chargement données BETSYS/RDST'),
(13257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nSaferGame - Extraction de données BETSYS/RDST de prod'),
(13258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nSaferGame - Extraction de données BETSYS/RDST de prod'),
(13618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-13'),
(13354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nCreation ANO047062\\nVérification de la déclaration des urls/node des liens du menu dans CMS Drupal (INT8)\\nVérification et qualification des ANO046571 et ANO046389'),
(13330, 'Le comportement est normal, cela a été validé avec nicolas gauche'),
(14295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n[BGR.047.31 ME GRATTAGE : DMT0006015 Le pré-requis à l\\\'installation de la FDL015381 est OK. Envoie d\\\'un mail à ppfr pour demande de création du code jeu dans BIC.'),
(13336, 'Bonjour Sylvie,\r\n\r\nComme convenu un bref récapitulatif de notre entretiens téléphonique :\r\n\r\n-	Saxos traités et OK : INC0323690, INC0324410, INC0324774, INC0324853\r\n\r\n-	Saxos en cours de traitement par les équipes de configuration (ces derniers sont des doublons et font référence au problème de configuration du serveur smtp gérant l’envoi des mails) : INC0324739, INC0323742, INC0324848\r\n\r\n-	Saxos non destinés à notre équipe : INC0324816\r\n\r\nCordialement \r\n\r\nSaid Zerrouki\r\n\r\n'),
(13420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - Installation de la livraison Full RDI 1.05 sur INT1SAGA'),
(13345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - CALYPSO v13.6.2 / paramétrage des regroupements Vegas 2017'),
(13346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nPoint hebo se suivi des tâches\r\nVuGen WS'),
(13347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nRemontée du problème VuGen 12.53 Ws avec conservation du contexte user.\r\nVuGen WS'),
(13391, 'Bonjour,\r\n\r\nPour information nous avons aussi effectué des tests sur la plateforme SMTP de la recette en CSN et l’envoi de mails fonctionne. Cependant en DMZ cela ne fonctionne pas.\r\n\r\nCe qui appuie le fait de tester que la communication s’effectue correctement entre le serveur SMTP et le serveur jee1cdapvrc3.adm.dmz.cnaf.\r\n\r\nMerci\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\n\r\nFrom: ZERROUKI, SAID \r\nSent: Wednesday, February 15, 2017 2:52 PM\r\nTo: \'gerald.cauvin@cnafmail.fr\'; secutech.dsi-doit@cnaf.fr; infra-inforoute.dsi-doit@cnaf.fr\r\nCc: mon-compte-partenaire.projet@projet.cnafmail.fr\r\nSubject: RE: [saxo INC0323666] problème d\'envois d\'email sur la plateforme de recette\r\n\r\nBonjour Gérald,\r\n\r\nAvez-vous eu un retour concernant cette demande.\r\n\r\nQu’en est-il de son statut et si possible pourrions-nous avoir un retour rapide?\r\n\r\nMerci\r\n\r\nCordialement, \r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net'),
(13392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nInvestigation et résolution d\'un problème rencontré lors de la répétition de l\'installation de la 2.14.7 par HIA pour la MEP\r\nInvestigation et création de l\'ANO047117'),
(13393, 'Bonjour,\r\n\r\nJe me permet de vous relancer sur cette demande.\r\n\r\nLe chargement d\'un pdf compris entre 4 et 5 mo sur la plaforme de production ne fonctionne pas. \r\n\r\nLes paramétrages du control panel Liferay sont bon.\r\n\r\nMerci\r\n\r\nCdt,\r\n\r\nSaid Zerrouki'),
(13398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nGestion des incidents et assistance HIA sur pb Environnement préprod EGID'),
(13396, 'Développement fait et testé en local.\r\nTest de confirmation écrit et joué.\r\nEn attente du go pour pousser'),
(13397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO'),
(13399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nRAM.004 - EGIDE gestion des environnements'),
(13400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n[OLYMPIA] Test de NonReg Front sur INT3 \r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_13-2\r\nABP:            14.1.23.OLYMPIA-SNAPSHOT 588\r\nMOBILE:         4\r\n\r\n[ABP OFFRE] Export ARJEL result de INT4 sur INT3;\r\n[ABP OFFRE] Test des nouveaux markets Volley en live auto - Vérification d\'affichage du score sur INT3 (KO sur INT4)'),
(13351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nGestion des incidents et assistance HIA sur problème environnement EGIDE PréPROD'),
(13352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO'),
(13384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nSAFERGAME : Point avec N.Robin pour la demande d\'evolution sur transactionpointvente (probleme montant calculé CFP)'),
(13355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nAtelier IF Auto. Comité automatisation. IF présentation BO.\r\nVugen 12.53 WS avec prise en compte de protocole STOMP sur WS.'),
(13356, 'Pas un bogue; comportement incohérent suite à l\'insertion de données sur la plateforme de recette.'),
(13357, 'Pas un bogue; incohérence de données suite à l\'injection de données sur la plate-forme de recette'),
(13358, 'Pas un bogue; Le graphique des TDBs est dynamique est donc l\'écart s\'ajuste en fonction du nombre de données remontées'),
(13359, 'Bonjour,\r\n\r\n\r\nl\'équipe ATOS travaille sur un environnement DMZ - CDAPR3 et souhaite utiliser une plateforme SMTP.\r\n\r\nIl y a quelques temps, nous avions paramétré dans le fichier de configuration: \r\n \r\nPouvez-vous vérifier: \r\n- si le paramétrage STMPT est correct \r\n- si la communication s\'effectue correctement entre le serveur SMTP et le serveur jee1cdapvrc3.adm.dmz.cnaf \r\nCordialement, \r\n \r\n Gerald CAUVIN\r\nService SI PROJETS TECHNIQUES \r\n Tel : 04.93.95.59.07\r\nMail : gerald.cauvin@cnaf.fr \r\n\r\n \r\n \r\n\r\nCaisse nationale des Allocations familiales, site de Sophia-Antipolis - 820 Route des dolines 06560 Sophia-Antipolis\r\n \r\n \r\n\r\n Contribuons au respect de l\'environnement, n\'imprimez ce courriel qu\'en cas de nécessité et ayez le réflexe recto-verso\r\n\r\n \"ZERROUKI, SAID\" ---09/02/2017 11:08:35---[CNAF] E-mail sécurisé par CheckPoint Bonjour Gérald,\r\n\r\nDe : \"ZERROUKI, SAID\" <said.zerrouki@atos.net>\r\nA : \"gerald.cauvin@cnafmail.fr\" <gerald.cauvin@cnafmail.fr>, \"mon-compte-partenaire.projet@projet.cnafmail.fr\" <mon-compte-partenaire.projet@projet.cnafmail.fr>, \r\nCc : \"said.zerrouki@cnedi06.cnafmail.fr\" <said.zerrouki@cnedi06.cnafmail.fr>\r\nDate : 09/02/2017 11:08\r\nObjet : RE: [saxo INC0323666] problème d\'envois d\'email sur la plateforme de recette\r\n________________________________________\r\n\r\n\r\n\r\n\r\n[CNAF] E-mail sécurisé par CheckPoint\r\n\r\nBonjour Gérald,\r\n \r\nSur la plate-forme de recette, l’envoi de mail n’a jamais fonctionné d’après les retours des équipes de tests travaillant sur cette dernière.\r\n \r\nC’est pourquoi nous suspectons dès l’origine, un problème de configuration.\r\n \r\nCordialement,\r\n \r\nSaid Zerrouki\r\nFrom: gerald.cauvin@cnafmail.fr [mailto:gerald.cauvin@cnafmail.fr] \r\nSent: Thursday, February 09, 2017 11:02 AM\r\nTo: mon-compte-partenaire.projet@projet.cnafmail.fr\r\nCc: said.zerrouki@cnedi06.cnafmail.fr\r\nSubject: RE: [saxo INC0323666] problème d\'envois d\'email sur la plateforme de recette\r\n  \r\nBonjour,\r\n\r\n\r\nle paramétrage du serveur SMTP n\'a pas changé, sur l\'environnement de recette\r\n \r\n\r\nIl faudrait me spécifier depuis quand il ne fonctionne plus\r\n\r\n\r\nCordialement,\r\n  \r\n \r\n Gerald CAUVIN\r\nService SI PROJETS TECHNIQUES \r\nTel : 04.93.95.59.07\r\nMail : gerald.cauvin@cnaf.fr \r\n\r\n \r\n \r\n\r\nCaisse nationale des Allocations familiales, site de Sophia-Antipolis - 820 Route des dolines 06560 Sophia-Antipolis\r\n \r\n \r\n\r\n Contribuons au respect de l\'environnement, n\'imprimez ce courriel qu\'en cas de nécessité et ayez le réflexe recto-verso'),
(13360, 'la sélection sur l\'activité était déjà présente avant le multi-activité et permettait déjà de sélectionner une activité ( ou toutes ) différente de celles sélectionnées dans CHWSEL. Donc pas de nécessité à modifier ce point. La pagination fonctionne.'),
(13361, 'Origine : detection interne pendant la phase d\'injection des données pour la recette.\r\nSur la recette => solution de contournement (chgt de libelle)\r\nMais non applicable en production => correctif obligatoire.'),
(13379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nInstallation de Keno Atlantia v1.0.3 (FDL015538) sur INT11 et INT81\\nMessage \\\"Une erreur est survenue\\\" lors du lancement du jeu KAT'),
(13380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nReprise  de tous les tests d\\\'acceptances des jeux motors et des frameworks'),
(13607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nInstallation sur int 1 et int 3\\\\\\\\nBOX	2.4.11-1	FDL015555\\\\\\\\nUSR	2.3.13-1	FDL015485\\\\\\\\nAnalyse job control M int3\\\\\\\\nConfig BOX Bingo int8\\\\\\\\n\\\\nReunion preparation mep olympia'),
(13368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nSAFERGAME : Installation FDL015548 sur INT4'),
(13369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nproblème de perfs et de bdd'),
(13372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nMontée en compétence sur l\\\\\\\'outil POSTMAN pour rédaction de fiche de test d\\\\\\\'acceptance IF'),
(13381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nAnalyse Pb d\\\\\\\'acces a la box INT8\\\\nModification des clés publiques/privées pour presto avec Romain\\nReprise  de tous les tests d\\\'acceptances des jeux motors et des frameworks'),
(13692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nMise a jour de la contrib de Keno atlantia pour ne plus afficher le mesage \\\"Une erreur est survenue...\\\"\\nMise à jour du fichier d\\\'exigence de livraison par lotsys'),
(13386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-14'),
(13383, 'Vu avec Kevin:\r\n\r\nIl s\'agit du comportement normal conforme aux spécifications.\r\nLe responsable habilitation a la même vu que l\'admin partenaire: il voit les données de son organisme.\r\n\r\n=> Les spec ont été MAJ.\r\n=> Cahier de test à MAJ'),
(13394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nSAFERGAME : Point avec N.Robin pour le problème script FDL015548'),
(13387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nMCO SID (prise de connaissance)'),
(14132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nSAFERGAME : Extraction des données BETSYS/RDST+ chargement dans CFM'),
(13403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nTest+passage des cas de tests d\\\'acceptance sous ALM pour les applications natives\\n4.3.009 Android\\n4.5.007 IOS'),
(13404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nCréation d\'anomalie sur le comportement de l\'application IOS et Android + cas de tests au limites '),
(13622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nConfiguration POSTMAN\\nAnalyse et travail sur les scripts REST fourni par la partie DEV'),
(13623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nAnalyse coquilles Liquidity manager\\nLecture spec Jackpot divers'),
(13624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nRedaction cas de tests liquidity manager\\nAjout de references et documentations'),
(13408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nInstallation et tests des applications natives yellowstone suite au  FDL015570\r\nFDL015569 + passage des cas de tests+création d\'anomalie suite aux tests\r\n'),
(13409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nInstallation et tests des applications natives yellowstone suite au  FDL015570\r\nFDL015569 + passage des cas de tests+création d\'anomalie suite aux tests'),
(13410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nVie des environnements : nouveaux env. int0 et int9'),
(13411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nVie des environnements : nouveaux env. int0 et int9'),
(13412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nCampagne conformité'),
(13413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nCampagne falcon 2.3.13'),
(13414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nRecette alm 12.5'),
(13415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nTests IF'),
(13416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nTests IF'),
(13417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nRéunions IF et automatisation'),
(13418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nTests IF'),
(13419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne non REG GDO, ANO047120 et ANO047114\r\n[IF] Support équipe, workshop backoffice IF'),
(13421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne non REG GDO\r\n[IF] Support équipe'),
(13600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nSaferGame - Extraction de données BETSYS/RDST de prod'),
(13423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nnettoyage script external dll VuGen'),
(13424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne non REG GDO\r\n[IF] Support équipe'),
(13425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nnettoyage scripts DigishopU'),
(13426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nnettoyage scripts DigishopI, mode N1V, N2V\r\njira TDPEA 305'),
(13427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\ncas de test coheris'),
(13428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nnettoyage script DigishopU vérification versionnage\r\nJira TDPEA-305'),
(13429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nmco control m'),
(13430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\ncas de test coheris'),
(13431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nmco control m '),
(13432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nVérification versionnage DigishopI\r\njira TDPEA-305'),
(13433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nmco control  m '),
(13434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\n[OLYMPIA] Campagne de NonReg Front sur INT3\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_13-2\r\nABP:            14.1.23.OLYMPIA-SNAPSHOT 588\r\nMOBILE:         4'),
(13435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nmco control m '),
(13436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nmco control m'),
(13437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\ncas de test coheris '),
(13438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nTESTs sur la nouvelle version PSEL Android , test communs sur PS Direct'),
(13439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nPS direct tests partie android '),
(13441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nMise à jours catalogue PS PDV par rapport au cloud et mapi'),
(13452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nmaj 4 scripts ITF MTRA (blocs et scripts) et qualification des modifs \\\\nTDPEA-322 : Prise en compte version O vol Or 0.1.10'),
(13443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nReprise de test Ps direct , versions android'),
(13444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nPS direct, PSpdv , PSEL android reprise de tests d\'acceptance'),
(13445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\n- Investigation  ParionsSport point de vente \r\n- Qualification ANO Olympia\r\n- Documentation Borne\r\n'),
(13446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n- Point sur les bornes avec Mickael Blin \r\n- Investigation ANO MUGO sur les bornes\r\n- Documentation DISIHOP R sur les token pour les bornes'),
(13447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n- ALM Appli ParionsDirect\r\n- Investigation sur la gestion des catalogues par rapport aux nouveaux liens du cloud\r\n- Documentation Disishop R\r\n- Point sur l\'installation de la borne du Labo'),
(13575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\n- Installation Borne Labo\\n- Qualif ANO point de vente / ALM\\n- MODoP WSPDI'),
(13638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nSupport aux testeurs sur scripts ITF (utilisation de bets décimaux dans Motors et paramétrage du PlayerClickCount dans le Motors Orchestré)\\nFin de mise à jour des scripts et des blocs impactés par le merge de MTRA 1.6.1 :\\n        MTRAPUTGame_adminGameid\\n        MTRAPUTGamesession_adminGameSessionid\\nQualification des scripts\\nMontée des scripts et blocs dans SVN\\nPublication des scripts dans référentiel_Automatisation\\nTag de l\\\'API et publication des scripts dans MOTORS\\n'),
(13454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nEcriture des cas de test pour Falcon USR'),
(13595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nEcriture des cas de test pour Falcon USR. Lancement des tests de Non Reg Falcon 2.4.5 sur INT2'),
(13740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nEcriture des cas de test pour Falcon USR. Analyse des tests de Non Reg Falcon 2.4.5 sur INT2'),
(13457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nReprise après maladie'),
(13459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nExécution Campagnes USR 2.3.14'),
(13460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nMAJ et exécution des cas de tests '),
(13463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\ntests et qualification des anomalies=> revue des cas si besoins (evol de l\\\'attendu)'),
(13462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nCompagne Olympia RUN 2 et non reg GDO: Qualification d\'anomalie et re-test des tests liés à ces dernières.\r\n '),
(19007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nCompagne Olympia RUN 2 et non reg GDO: Qualification d\'anomalie et re-test des tests liés à ces dernières.'),
(19008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nCompagne Olympia RUN 2 et non reg GDO: Qualification d\'anomalie et re-test des tests liés à ces dernières.'),
(13466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nExecution et MAJ des cas de test suite évolution de l\'attendu (Evol et non Reg falcon)'),
(13467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nCAMPAGNE ACCEPTANCE TESTS AUTO KENO ATLANTIA v0.0.87'),
(13468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nCAMPAGNE ACCEPTANCE TESTS AUTO KENO ATLANTIA v0.0.87'),
(19009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nCompagne Olympia RUN 2 et non reg GDO: Re-test des tests liés AUX fiches anomalies qualifiées cette semaine.\nEt rédaction de nouveau cas de test concernant le nouveau batch: addBlockingOnSuspiciousGamer.sh ( nombre de cas de test : 10 cas max )'),
(13470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nMISE A JOUR CATALOGUE DE TESTS AUTO : TC CHECK JEU AU VOLOR'),
(13472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nMISE A JOUR CATALOGUE DE TESTS AUTO : TC CHECK JEU AU VOLOR'),
(13473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nMISE A JOUR CATALOGUE DE TESTS AUTO : TC CHECK JEU AU VOLOR'),
(19010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nCompagne Olympia RUN 2 et non reg GDO: Re-test des tests liés AUX fiches anomalies qualifiées cette semaine.'),
(13475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nCorrectif Caracteres spéciaux dans jsource'),
(13477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nPMD        : FDL015551_Coheris_Oracle_PDM_CRM_F_5.4.1.13 \\nOLYMPIA : FDL015552_Coheris_Oracle_OLYMPIA_CRM_F_5.4.1.14'),
(13482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\n14-1-23-OLYMPIA-588'),
(13479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n14-1-23-OLYMPIA-575'),
(13800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nanalyse maj N°pdv lors de l\\\'integration client'),
(13481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nCampagne ABP Snapshot 575 - Tests prioritaires P1/P2'),
(14096, 'la zone libelle transporteur dans l’Entête sous-fichier n\'est plus utilisée'),
(13484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n14-1-23-OLYMPIA-588'),
(13537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\n[OLYMPIA]\r\nDeploiement mugo migo mago - digishop A I U + acceptance\r\nExecution no run migo mago mugo (expiration de session)\r\n'),
(13486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nInvestigation sur un probleme de configuration (INT3)\r\nNettoyage et uniformisation des configurations sur les INTs\r\n'),
(13487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n14-1-23-OLYMPIA-588'),
(13489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\n14-1-23-OLYMPIA-588'),
(13490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1 + Modifications de tests'),
(13491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1 + Modifications de tests'),
(13492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1 + Modifications de tests');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(13642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nrun 2 olympia'),
(13494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1 + Modifications de tests'),
(13643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nrun 2 olympia'),
(13644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nrun 2 olympia'),
(13645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nrun 2 olympia'),
(13646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nrun 2 olympia'),
(13499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nComité automatisation'),
(13500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1/P2 + Modifications de tests'),
(13536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nProblème création de joueurs / vie des environnements sur env. pairs\\n=> DBA / Système , problème mémoire'),
(13502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nCampagne Olympia sur INT3'),
(13503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nCampagne Olympia sur INT3'),
(13504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1/P2 + Modifications de tests'),
(13505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nCampagne Olympia sur INT3'),
(13506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nCampagne Olympia sur INT3'),
(16206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1/P2 + Modifications de tests'),
(13508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nCampagne Olympia sur INT3'),
(13763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1/P2 + Modifications de tests'),
(13510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nCampagne ABP Snapshot 588 - Tests prioritaires P1/P2 + Modifications de tests'),
(13511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nAction : etat des lieux campagnes d\'acceptation palier olympia compte contact + implémentation des tests RAF\r\nLivrable : plan de test associé'),
(13512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\n[OLYMPIA]\r\nPoint configuration MIGO MAGO MUGO\r\nPoint anticipation MEP composants retail'),
(13513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\ndoc sur amigo + tests sur yellowstone'),
(13514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nAction : etat des lieux campagnes d\'acceptation palier olympia compte contact + implémentation des tests RAF\r\nLivrable : plan de test associé'),
(14195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nCampagne + Resettlements + Réconciliations'),
(13516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nAction : etat des lieux campagnes d\'acceptation palier olympia compte contact + implémentation des tests RAF\r\nLivrable : plan de test associé'),
(13517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nALM - adaptation  cas de test migo mago mugo  + Execution\r\nSupport recette anomalies'),
(13518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nAction : etat des lieux campagnes d\'acceptation palier olympia compte contact + implémentation des tests RAF\r\nLivrable : plan de test associé'),
(13519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nAction : etat des lieux campagnes d\'acceptation palier olympia compte contact + implémentation des tests RAF\r\nLivrable : plan de test associé'),
(13520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nConf Call Stream Coco'),
(13521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nFDL015518 (2.0.35_wloto) '),
(13522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nCoproj Stream Coco'),
(13530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nFDL015543 (2.0.37_wloto)\\nFDL015542 (2.4.3_wof)'),
(13539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nBug review Stream Coco'),
(13525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nFDL015557 (2.0.39_wloto)'),
(13566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nInstallation des différents composants pour ALM\\\\nMontée en compétence sur l\\\\\\\'outil POSTMAN pour définir des scénarii de prises de jeux ITG et Motor par Appel Web Service.\\\\n\\nTransfert de compétence sur le Stream FDJ avec Alexandra'),
(13527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nMise à Niveau Edwan sur INT22'),
(13528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nBug review Olympia\r\nDéploiement + Acceptance digishop R 1.0.10\r\nAdaptation cas de test ALM (modif conf boutique)\r\nSupport HIA déploiement \r\nSupport recette'),
(13529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\n- Qualification ANO046576 suite install RTG sur INT2\r\n- Support recette Marie-Josée (problème connexion Sport)'),
(13531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n- Configuration INT91 pour permettre au dév de tester Yellowstone\r\n- résolution avec Gilles d\'un souci de conf Falcon (port)'),
(13532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\ntests yellowstone (robustesse/cas limites/failover)'),
(13592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n[OLYMPIA]\\nQualification - affectation anomalie rcritique etrait des gains\\nTest changement de code PIN - composants wspdi\\nAcceptance INT3 - Digishop R 1.0.10 - Falcon 2.3.12\\n\\n[IF] \\n\\nSupport perf'),
(13534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n- Support Recette Yellowstone : ANO046572 /  ANO047065 /  ANO047048 /  ANO045883 / ANO047063'),
(13541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n- Conf suite migration Ojadgate\\n- ajouts de clé , recherche de fichiers, support pour remise en place de l\\\'outil de création de joueurs.'),
(13542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nTravail sur Référentiel Digital Front / POLY / Traitement des No-Run'),
(13544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nLivraisons - Installations Tests - Mise à ,jour Doc\\n\\nDigishop A-2.2.10, I-2.2.5 et U-2.2.8 : FDL015482, FDL015562 et FDL015553\\nFDL015582 : [MUG][CONFORMITE]\\nFDL015578 : [MUG][YELLOWSTONE]'),
(13557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nNormalement : \\nAcceptance livraisons des applications natives Parionsdirect IOS 1.0.024 et Android 1.0.033.\\nQualification app natives Parionsdirect.\\nRéunion sur les problèmes d\\\'appel des composants MUGO, MIGO, MAGO dans les applications natives (1h).\\nMaj script menu.ksh (ajout synchro fdjstore)'),
(13546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nTravail sur Réferentiel Digital Front\r\nAlimentation cas de test / tri / ménage\r\nsupport recette'),
(13549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nNormalement : Qualification projet Olympia\\nSi nécessaire : complément ALM'),
(13552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nInstallation WSPO 1.0.030 sur INT3.\\nQualification technique applications natives parionsdirect Android 1.0.032 et parionsdirect IOS 1.0.023.\\nMaj ALM, création des anomalies par rapport aux tests aux limites sur le composant WSPO, PSD IOS & Android.\\nInvistigation sur les problèmes de sémaphores sur le Cloud Front Sport PDV.'),
(13553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nBug Review Olympia (call).\\nRéunion avec P.Amério sur l\\\'avancement du projet Olympia.'),
(13551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nFinalisation architecture de prise en compte WS et éventuellement STOMP sur WS.\r\nFinalisation doc associée.'),
(13554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nFinalisation architecture de prise en compte WS et éventuellement STOMP sur WS.\r\nFinalisation doc associée.'),
(13599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nRéunion sur les problèmes MUGO/MAGO/MIGO dans les applications natives Parionsdirect IOS / Android (max 1h)'),
(13559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\nQualification technique parionsdirect IOS 1.0.023 et Android 1.0.032.\\nComplément ALM.\\nRecherche sur l\\\'absence de lancement de l\\\'application native PS PDV Android en production ---> Résultat problème de catalogue en production.'),
(13563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nQualification technique Parionsdirect IOS et Android\r\nSuite investigation sur le problème de production de la veille.\r\n'),
(13564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\n[OLYMPIA]\r\nQualification MUGO => Anomalies détectées sur la gestion des limites de mises globales + limite de virement automatique suite à la montée de version Falcon 2.3.12 + Digishop U (ANO046849, ANO046857)\r\nAnalyse avec Brice + Dev (fonctionnement getThreshold - setThreshold)'),
(13608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nanalyse job controlM\\ninstallation SID 1.0.11-1 sur int1 et 3'),
(13569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-13  (Do not remove this line) -->\n- maj doc swagger 3.0.9_spdv\\n- création ANO047015 [MAPI][YELLOWSTONE] Trying to get property of non-object - Create.php\\n- création ANO047017 [MAPI][YELLOWSTONE] Utilisation du service mapi/emoji avec méthode autre que GET\\n- création ANO047028 [MAPI][YELLOWSTONE] PHP Warning:  imagecreatefrompng\\n\\n(/sg/local/fr01/htdocs/mapi/www/s/img/emoji/background/superloto.png)\\n- création ANO047030 [MAPI][YELLOWSTONE] Phase 1 - Nouveaux services emoji/loto (superloto/lotonoel) KO\\n- création ANO047046 [MAPI][YELLOWSTONE] mauvais retour sur mapi/subscrition/subscribe\\n- remonté pb sur le nouveau service emoji en phase 1 YellowStone\\n- support pb de promulgations sur INT2\\n- maj d\\\'environnement INT22 \\n3.6.1_hasard	FDL015490\\n3.6.1_mapi	FDL015491\\n4.0.5_mobi	FDL015493\\n4.0.4_mrcd	FDL015501'),
(13570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n- support ANO047030 [MAPI][YELLOWSTONE] Phase 1 - Nouveaux services emoji/loto (superloto/lotonoel) KO\r\n- création ANO047058 [YELLOWSTONE] Problème d\'affichage du bouton JOUER sur HomePage résultats (Huawei P9 lite)\r\n- création ANO047078 [YELLOWSTONE] Pb d\'affichage des caractères accentués sur webapp loto - statistiques et \r\n\r\nsimultateur\r\n- création ANO047086 [MAPI][YELLOWSTONE] PHP Warning:  json_encode(): Invalid UTF-8 sequence in argument\r\n- support ANO047030 [MAPI][YELLOWSTONE] Phase 1 - Nouveaux services emoji/loto (superloto/lotonoel) KO\r\nremonté pb lié au code, nouvelle livraison prévue\r\n- support pb de promulgations YellowStone\r\n- support ANO046400 [Yellowstone]Flux FLP1 TRAPP du LOTO nombre de code raf sur prochain tirage LOTO a \"000\"'),
(13571, 'Test Hpalm : PHA-Entités-Conventions-Vérifier - Validation convention multi cafs\n\n'),
(13572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\n- remonté pb des environnements sur SNOW\r\n- support promulgations sur INT21, pb ESTE\r\n- support recette pour affichage des HP\r\n- point sur pb génération loto_res.inc lié aux heures de promulgations\r\n- création ANO047141 [MAPI][YELLOWSTONE] Pas de wagerEndDate dans le mock mapi/results/loto\r\n- maj configuration edwan\r\n- qualification anomalies YellowStone'),
(13574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\n- création ANO047148 [MAPI][YELLOWSTONE] Pas de raffleLegalNotice dans le mapi/results/loto - Phase 1\r\n- support promulgations INT32\r\n- qualification anomalies YellowStone'),
(13578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nTEST+ DEV OK pour l\'intégration AMABIS'),
(13579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nTR2 SIDC Vérification Alim GAME_HIER - TR3 SIDC Reprise des purse PMD- TR2 SIDCOM OK'),
(13580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-15  (Do not remove this line) -->\nOLYMPIA Investigation TR3: Packman ficheir WURFL + journées manquantes sur les paris sportifs + rechargement des journées manquantes pour le porte monnaie digital  fichiers purs_mnt + Exécution de cas de test'),
(13664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nSIDC TR2 Reprise des jeux Loto noel  depuis SAS + SIDC TR3 Reprise des porte monnaie + TR2 SIDCOM OK'),
(14256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nOLYMPIA Execution de 2 cas de test + YELLOWSTONE Vérification du chargement des jeux loto de SAS'),
(13656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - installation FDL015571_MFStim_patch_2.1.0.5 sur INT1'),
(13655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - installation FDL015571_MFStim_patch_2.1.0.5 sur INT2'),
(13596, 'ID du test HP ALM : 723'),
(13601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nSaferGame - Extraction de données BETSYS/RDST de prod'),
(13617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nMCO Courtage Commercial du 2017-02-15'),
(13603, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\npoint 8 a et b\r\n+ retour Lorene (voir email)'),
(13609, 'Bonjour Hervé,\r\n\r\nJe reviens vers vous suite au saxo INC0325245, portant sur un problème de mise en page du portail partenaire au moment de la connexion.\r\n\r\nLe problème a été résolu, et je vous invite à me confirmer que tout est OK pour vous.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(13616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - prise en charge des DMT0006566 et DMT0006568'),
(13640, 'Bonjour Said\r\n\r\nOui c\'est Ok\r\n\r\nMerci. \r\n \r\n(See attached file: TOURE_Herve.vcf)'),
(13901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nSAFERGAME : Exécution de script à la demande d\\\\\\\'IBM pour vérifier les paramètres DB2 sur INT2 et INT4+ Chargement des données\\nOlympia : DMT006613 création de 6 PDVS dans Egide sur le TR2'),
(13650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nGestion des incidents'),
(13653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - DMT0006584 1er partie'),
(13674, 'Gestion d\'impact :\r\n\r\nL\'admin partenaire devra avoir été sélectionné pour être désigné par défaut en tant que responsable de tous les groupes de la convention, en mode non délégatif. Dans le cas contraire il faut gérer un groupe sans responsable.\r\n\r\nGestion d\'impact possible lors de l\'envois de mail pour notifier les responsable d\'un partenaire.'),
(13675, 'Les fichiers sont encodés en UTF-8 alors qu\'ils doivent être en ISO'),
(13676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nEn attente de réponses'),
(13680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - création du TAR pour livraison HIA (prise de connaissance.\\\\\\\\nSAGA - DMT0006390 - Ajout d\\\\\\\\\\\\\\\'un RIB au tiers D092105 sur INT2'),
(13679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation FDL015381, FDL015462, FDL015463'),
(13682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nSupport'),
(13683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\nMES PRESTO'),
(16147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nRAF à 0.1 pour ne pas cloturer la tache qui peut encore servir'),
(16148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nAjout des sauts de lignes, et de l\'espace après le \'-\' des noms de fichiers générés'),
(13687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nInstallation de la version 2.15.1 sur INT2 + tests d\'acceptance\r\nInstallation de la version 2.15.1 sur INT8 pour le module FAQ\r\nInstallation de la version 2.14.7 sur INT3'),
(13689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nMise en place workspace maintenance'),
(13694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nAnalyse du message \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"Une erreur est survenue. Veuillez réessayer plus tard\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\" car Lotsys ne reproduit pas (ANO044030)\\nRéactivation du mock sur les environnements d\\\'intégration pour Keno Atlantia'),
(13695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nSIDC TR3 OK - SIDC TR2 KO Triplons dans les staging teradata - SIDCOM TR2 OK'),
(13696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nOLYMPIA 8 FDLs FDL015598 FDL015599 FDL015600 FDL015591 FDL015592 FDL015593 FDL015601'),
(13736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nITF MTRA verification erreur 500 sur le service PUT /mtr/gamesession-admin/{gameSessionId}\\\\nModification de scripts de PDJ unitaire ITF Motors\\\\nRestabilisation de l\\\\\\\'API Motors Front domestique'),
(13698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nEntretien Annuel Objectif'),
(14175, 'Bonjour Christophe,\r\n\r\nLa demande a été réalisée, et j’ai procédé au dépôt du fichier excel sur le serveur UED :\r\n\r\n\\\\Srv3d06e.certiam.cnaf\\UED - Documentation projet\\56 - EDEN P - PPS Portail Partenaires\\50 - Environnement\\53 - Supervision\\Suivi Genéralisation Lot1\\data\\S08_PROD 24 02 2017\r\n\r\nJe t’invite donc à prendre connaissance des données du nouveau tableau.\r\n\r\nN’hésite pas à me faire des retours si besoins et je reste à disposition pour toute aide nécessaire.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net'),
(13700, 'ID test HP ALM : 728'),
(13701, 'ID test HP ALM : 726'),
(13703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nGestion des incidents'),
(13704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - DMT0006584 fin'),
(13705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - FDL015567_Ref_2.2.1'),
(13706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM-MEIBO - Suivit installation par ILEX sur DEV'),
(13783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\n[OLYMPIA] Campagne de NREG Front sur INT3 - \\nHOST:           agpsrvi31\\nSITE:           fdj2-origin_release_13-5\\nABP:            14.1.30.0-SNAPSHOT 10\\nMOBILE:         4\\nPLATFORM:       1.0.169'),
(13709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nAnalyse fichier LOH'),
(13710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nLivraison faite le 17/02/2017.'),
(13963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Rédaction cas de test Mify PSEL ALM. '),
(13716, 'Livraison le 17/2/2017'),
(13717, 'Livraison le 17/2/2017'),
(13718, 'Livraison le 17/2/2017'),
(13719, 'Livraison le 17/2/2017'),
(13720, 'Livraison le 17/2/2017'),
(13721, 'Livraison le 17/2/2017'),
(13722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-16  (Do not remove this line) -->\nMAJ de l\'env pour tirer la maintenance.'),
(13723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nqualif ano olympia'),
(13724, 'Bonjour,\r\n\r\nAfin de faire nos livraisons et nos tests sur les plateformes d’assemblage et d’acceptance nous devons déposer des WARs sur le serveur qui porte ces environnements, malheureusement avec l’utilisateur qui nous a été fourni, nous n’avons pas les droits :\r\n\r\n \r\n\r\nVoici l’utilisateur utilisé pour la connexion en FTP : wasvisu/wasvisu\r\n\r\nPouvez-vous modifier les droits ou nous fournir un nouvel utilisateur ?\r\n\r\nNous sommes bloqué pour la livraison des corrections en recette.\r\n\r\nMerci d’avance,\r\nBonne fin de journée,\r\nJérémy'),
(13725, 'Bonjour,\r\n\r\nCi-joint le fichier convention dont la taille pose problème.\r\n\r\n(See attached file: CONVENTION MAIRIE LAGRAULIERE.pdf)\r\n\r\nScénario d\'upload du fichier :\r\n\r\n- Se connecter au portail partenaire avec un profil administrateur caf\r\n- Dans le menu de gauche, cliquer sur \"Formaliser une convention\" -> La page de création d\'une convention apparait\r\n- En face du libellé \"Joindre convention au format électronique : \", cliquer sur le bouton \"Télécharger\"\r\n- Récupérer le fichier de convention posant problème\r\n\r\nLe comportement attendu : L\'upload du fichier s\'effectue correctement avec un aucun message d\'erreur, et la visualisation du pdf uplaoder est donc possible.\r\n\r\nLe comportement constaté : Echec de l\'upload du fichier, la visualisation de ce dernier est KO.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(13989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nAnalyse job coontrolM olympia\\nReunion MaJ repo svn Preprod/prod\\nReunion Bingo RWD'),
(13727, 'La MAJ des groupes ne fonctionne plus. Le ticket est réouvert.'),
(13728, 'L\'étude d\'impact est à revoir, aucune notion de customGroup...'),
(13729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nCautionnement : Installation vue Saga pour cautionnement sur INT2 - FDL014372'),
(13730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nCautionnement : Qualification MOD010239\r\nSafergame : chargement données BETSTYS/RDST'),
(13732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nSAFERGAME : Réunion état d\\\'avancement installation avec IBM'),
(13733, 'Corrections liées au mantis 16810.'),
(13734, 'Correctifs apportés lors du dev du mantis 16932.'),
(13735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nExécution des campagnes d\'acceptance et non reg USR 2.3.14 sur INT3'),
(13738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nTransfert de compétences à François sur USR Compte Contact / Dernier jour au CDS Atos'),
(13797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nLancement campagne sur INT 3 : Falcon RTG acceptance et non reg 2.3.5-1 et Falcon USR non reg 2.3.14-2. Analyse Falcon RTG acceptance et non reg'),
(13743, 'Bonjour Gwendoline,\r\n\r\nEffectivement un compte a déjà été créé avec cette adresse mail le 2017-01-26 13:55:08.09. Cela explique le problème d\'adresse déjà utilisée.\r\n\r\nVoici des informations concernant ce partenaire : \r\nidentifiant : ACC81102RT\r\nprénom : SOPHIE\r\nnom : GUILLOT\r\nmail : sophie.guillot@caf.fr\r\ntel : 05.63.48.39.47\r\n\r\nBonne journée,\r\nJérémy\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n \r\n\r\n Gwendoline LE-MERLUS---20/02/2017 14:07:00---Bonjour, Je rencontre actuellement un souci dans la saisie d\'une adresse mail.\r\n\r\nDe : Gwendoline LE-MERLUS/CDR-IDF/CNAF\r\nA : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF, \r\nDate : 20/02/2017 14:07\r\nObjet : Tr : RE: Tr : Désignation vérificateur adjoint\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nJe rencontre actuellement un souci dans la saisie d\'une adresse mail.\r\nEn effet, l\'adresse mail d\'un agent ( Sophie GUILLOT pour la Caf du Tarn) a été enregistrée sous HABPPS comme tel : sophie.guillot@cafalbi.cnafmail.fr\r\nSeulement, Sophie GUILLOT ne bénéficie pas de ce type d\'adresse, j\'ai donc essayer de saisir la bonne adresse mail à savoir : sophie.guillot@caf.fr, mais il m\'est impossible d\'enregistrer cet élément car l\'application m\'indique que l\'adresse mail est déjà existante. \r\n\r\nPouvez-vous solutionner le problème? Merci\r\n \r\nCordialement \r\n\r\nGwendoline LE MERLUS\r\nAssistante de projet\r\n01 45 65 53 90\r\n----- Transféré par Gwendoline LE-MERLUS/CDR-IDF/CNAF le 20/02/2017 14:02 -----\r\n\r\nDe : Cdap CAFALBI/Caf/BALF\r\nA : Gwendoline LE-MERLUS/CDR-IDF/CNAF@CNAF, \r\nCc : Sophie GUILLOT/CAFALBI/CNAF@CNAF, Laurence COLL/CAFALBI/CNAF@CNAF\r\nDate : 20/02/2017 13:54\r\nObjet : RE: Tr : Désignation vérificateur adjoint\r\nEnvoyé par : Severine NANQUETTE\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nIl n\'est pas possible de conserver l\'adresse mail : sophie.guillot@cafalbi.cnafmail.fr; Cette adresse est inexistante.\r\n\r\nComme précisé dans mon premier envoi du 08/07/2016, l\'adresse à prendre en compte est : sophie.guillot@caf.fr. Par conséquent , nous vous remercions de modifier l\'adresse telle qu\' enregistrée par erreur par vos services.\r\n\r\nCordialement\r\n \r\n\r\n\r\n\r\n Gwendoline LE-MERLUS---20/02/2017 13:31:02---Bonjour, Le nécessaire a été fait pour votre second vérificateur.\r\n\r\nDe : Gwendoline LE-MERLUS/CDR-IDF/CNAF\r\nA : Cdap CAFALBI/Caf/BALF@CNAF, \r\nDate : 20/02/2017 13:31\r\nObjet : RE: Tr : Désignation vérificateur adjoint\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nLe nécessaire a été fait pour votre second vérificateur.\r\n\r\nEn revanche, je n\'ai pu changé l\'adresse mail de votre premier vérificateur, seulement de vos 2 administrateurs. Il faut donc bien noter que l\'adresse mail enregistrée sous Habpps de Mme GUILLOT reste : sophie.guillot@cafalbi.cnafmail.fr ( adresse à saisir en cas de mot de passe oublié). \r\n\r\nCordialement \r\n\r\nGwendoline LE MERLUS\r\nAssistante de projet\r\n01 45 65 53 90\r\n\r\n\r\n Cdap CAFALBI---20/02/2017 12:32:36---Bonjour, Veuillez transmets à nouveau notre demande (du 03/02/2017)  de désignation d\'un vérificateu\r\n\r\nDe : Cdap CAFALBI/Caf/BALF\r\nA : Gwendoline LE-MERLUS/CDR-IDF/CNAF@CNAF, \r\nDate : 20/02/2017 12:32\r\nObjet : Tr : Désignation vérificateur adjoint\r\nEnvoyé par : Severine NANQUETTE\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nVeuillez transmets à nouveau notre demande (du 03/02/2017)  de désignation d\'un vérificateur adjoint et la la demande initiale du vérificateur titulaire.\r\n\r\nMerci de faire le nécessaire rapidement \r\n\r\nCordialement\r\n \r\n\r\n----- Transféré par Severine NANQUETTE/CAFALBI/CNAF le 20/02/2017 12:29 -----\r\n\r\nDe : Cdap CAFALBI/Caf/BALF\r\nA : Mon-Compte-Partenaire CNAF/Cnaf/BALF@CNAF, \r\nCc : Nathalie FREDERIC/CAFALBI/CNAF@CNAF, Sophie GUILLOT/CAFALBI/CNAF@CNAF, Laurence COLL/CAFALBI/CNAF@CNAF\r\nDate : 03/02/2017 15:51\r\nObjet : Désignation vérificateur adjoint\r\nEnvoyé par : Severine NANQUETTE\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nVeuillez trouver ci-joint notre demande de désignation d\'un vérificateur adjoint (Nathalie FREDERIC) et notre demande initiale de vérificateur (Sophie GUILLOT) afin que vous enregistriez bien le mail noté sur le document.\r\n\r\nVous en remerciant par avance.\r\n\r\nCordialement\r\n\r\n\r\n[pièce jointe \"Nomination vérif adjoint.pdf\" supprimée par Gwendoline LE-MERLUS/CDR-IDF/CNAF]                       [pièce jointe \"11 - Nomination administrateur + vérificateur.pdf\" supprimée par Gwendoline LE-MERLUS/CDR-IDF/CNAF] \r\n\r\n\r\n\r\n Mon-Compte-Partenaire CNAF---30/01/2017 09:29:08---Bonjour, Je donne suite à  votre demande du 27 janvier 2017 et vous apporte les précisions demandées\r\n\r\nDe : Mon-Compte-Partenaire CNAF/Cnaf/BALF\r\nA : Cdap CAFALBI/Caf/BALF@CNAF, \r\nCc : Christiane CARQUILLE/CAFALBI/CNAF@CNAF, Laurence COLL/CAFALBI/CNAF@CNAF, Nathalie FREDERIC/CAFALBI/CNAF@CNAF, Severine NANQUETTE/CAFALBI/CNAF@CNAF, Sophie GUILLOT/CAFALBI/CNAF@CNAF\r\nDate : 30/01/2017 09:29\r\nObjet : RE: Désignation d\'un 2ème vérificateur\r\nEnvoyé par : Paule GREGOIRE\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nJe donne suite à  votre demande du 27 janvier 2017 et vous apporte les précisions demandées. \r\n\r\n1/ Désignation d\'un second vérificateur. \r\nJe ne suis pas en mesure de prendre en compte votre demande. \r\nEn effet, la désignation doit être faite au moyen des formulaires dédiés (le même que celui utilisé lors de la 1ère désignation). \r\n\r\n2/ Habilitation de Madame Guillot. \r\nLe mél enregistré est le suivant : sophie.guillot@cafalbi.cnafmail.fr\r\nEst-ce bien cette adresse (ou un des alias) que Madame Guillot utilise ? \r\nToute autre adresse ne permettra pas l\'envoi du mail, sans qu\'aucune indication ne soit donnée à l\'utilisateur. \r\nIl s\'agit d\'une mesure de prévention. \r\n\r\nCordialement, \r\n \r\nOlivier POTUS\r\nPaule GRÉGOIRE\r\nGwendoline LE-MERLUS\r\n\r\nmon-compte-partenaire.cnaf@cnaf.fr\r\nMon-Compte-Partenaire CNAF/Cnaf/BALF\r\n \r\n \r\n\r\nCaisse nationale des Allocations familiales, site de Paris Siège national - 32 avenue de la sibelle 75014 PARIS\r\n \r\n \r\n\r\n Contribuons au respect de l\'environnement, n\'imprimez ce courriel qu\'en cas de nécessité et ayez le réflexe recto-verso'),
(13744, 'Bonjour, \r\n\r\nJe vous fais suivre la liste des administrateurs et vérificateur pour la Caf des Pyrénées Atlantiques ( Fusion des caisses de Pau et Bayonne) :\r\n\r\nPouvez-vous m\'indiquer quand les accès CDAP leur seront transmis pour confirmation auprès de Philippe CHIRIE. Merci\r\n\r\n(See attached file: Caf643-HabilitationsPortail.PDF)\r\n\r\n\r\nCordialement\r\n\r\nGwendoline LE MERLUS\r\n\r\n\r\n\r\n----- Transféré par Philippe CHIRIE/CAFPAU/CNAF le 20/02/2017 10:17 -----\r\n\r\n\r\n Christophe MILLOT---10/02/2017 13:05:20---Bertrand, Jeremy, Une réunion a eu lieu le 09/02 avec la MOA HABPPS et des responsables de la caf de\r\n\r\nDe : Christophe MILLOT/CNAF/CNAF\r\nA : bertrand.marle@atos.net, jeremy.chatton@atos.net, \r\nCc : Gwendoline LE-MERLUS/CDR-IDF/CNAF@CNAF, Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF\r\nDate : 10/02/2017 13:05\r\nObjet : [HABPPS PROD] Fusion caf Pau/Bayonne--> solution et instructions à suivre\r\n________________________________________\r\n\r\n\r\nBertrand, Jeremy,\r\n\r\nUne réunion a eu lieu le 09/02 avec la MOA HABPPS et des responsables de la caf de pau et bayonne.\r\n\r\nLa solution retenue est la suivante :\r\no	les Conventions de Pau/Bayonne pour l\'ouverture de droits CDAP seront créer uniquement sur la future Caf64 \"fusionnée\" \r\no	ll n\'y aura aucune création de convention sur les Caf de Pau et de Bayonne \r\no	Dans l\'attente de la création de la nouvelle base cristal (code 643), les administrateurs devront créer des conventions avec une portée multicaf sur les 2 caisses Pau/Bayonne (code orga 641 et 642) \r\no	Dès que la base Cristal 643 sera opérationnelle (courant oct), la portée des conventions créées devra passer à \"locale\" (une étude pour une solution automatisée sera demandée)\r\n\r\nLes opérations à mener sont listées ci-dessous.\r\n\r\nL\'événement déclencheur sera la fourniture par Gwendoline du fichier XLS avec la liste des admin/verif de la caf64 (à priori dès la semaine du 13/02).\r\nLe but est de traiter la demande au plus tard à J+2.\r\n\r\nMerci\r\nCdt\r\n\r\n\r\n-- OPERATIONS A MENER SUR LA BASE HABPPS DE PROD --\r\n\r\n1. Déclaration de la caisse fusionnée 64 dès la fourniture par Gwendoline de la liste des admin/verif avec les infos suivantes :\r\no	Libellé \"Caf des Pyrénées-Atlantiques\" \r\no	Code organisme (base Cristal) 643 \r\no	N° SIRET - Non connu à ce jour (mettre un niveau \"bidon\")\r\n\r\nL\'adresse mail des admin/verif évoluera dans quelques mois pour utiliser l\'extension dela nouvelle caf. \r\nCette MAJ sera faite par Gwendoline. L\'actualisaton du SIRET sera aussi réalisé à terme par Gwendoline.\r\n\r\n2. Création \"temporaire\" la caisse de Pau et de Bayonne \r\n\r\nUtiliser les libellés, code orga et n° SIRET indiqués ci-dessous\r\n \r\nCréer un administrateur et 1 vérificateur \"bidon\" avec une adresse mail fictive car ces 2 comptes ne seront jamais utilisés\r\n\r\nCela sous entend bien entendu d\'ouvrir la connexion Cristal sur les code orge 641 et 642.\r\n\r\n \r\n Christophe MILLOT\r\nChef de Projet DSI \r\nService SI PILOTAGE OPERATIONNEL \r\nDirection Numérique et Echanges \r\nDirection des Systèmes d’Information \r\nTel : 04.93.95.62.45 - 06.34.26.08.53\r\nMail : christophe.millot@cnaf.fr \r\n\r\n \r\n \r\n\r\nCaisse nationale des Allocations familiales, site de Sophia-Antipolis - WTC Bât 1 Entrée A, 1090 Route des Crêtes 06560 Sophia-Antipolis'),
(13745, 'Gwendoline,\r\n\r\nComme convenu par téléphone, voici un complément d\'informations concernant le compte de sophie Guillot :\r\n\r\nCompte rattaché à : Caf du Tarn\r\nOrganisme partenaires : \'CAF DU TARN\'\r\nSIREN : 777 181 691 00020\r\n\r\nJe pense qu\'il y a une mauvaise utilisation de l\'application...\r\n\r\nJérémy'),
(13746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nInstallation 2.15.1 sur INT3, modification des configurations\r\nActivation et configuration du module FAQ sur INT8\r\nAjout de nouveaux cas de tests pour le portail tablette'),
(13811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nTDPEA-308 : diff ITFA 2.0.0.1RC // 2.0.0_alpha3 + build et merge API\\\\\\\\nTDPEA-309 : modif scripts et Blocs ITFA\\\\nPoint hebdo suivi des taches Automatisation'),
(13748, 'Gwendoline,\r\n\r\nLes trois Caf ont été créées, voici les comptes pour la Caf 643 : \r\n\r\n2017-02-20 15:12:35.496                    CAF643023Z              Philippe CHIRIE                              philippe.chirie@cafpau.cnafmail.fr                   0559985506          Administrateur CAF\r\n2017-02-20 15:12:36.324                    CAF6430240               Géraldine LAUREAU                   geraldine.laureau@cafpau.cnafmail.fr            0559985550          Administrateur CAF\r\n2017-02-20 15:12:37.119                    CAF6430241               Olivier LASSALLE                         olivier.lassalle@cafpau.cnafmail.fr                   0559985509          Administrateur CAF\r\n2017-02-20 15:12:38.376                    CAF6430242                Bruno BERGES                             bruno.berges@cafbayonne.cnafmail.fr           0559467626         Administrateur CAF\r\n2017-02-20 15:12:39.371                    CAF6430243                Remi LESOT                                  remi.lesot@cafpau.cnafmail.fr                            0559985502         Vérificateur CAF\r\n2017-02-20 15:12:40.385                    CAF6430244                Nathalie HORS-BARCOS          nathalie.hors-barcos@cafpau.cnafmail.fr       0559985577        Vérificateur CAF\r\n\r\nBonne journée,\r\nJérémy'),
(13749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - prise en charge des DMT0006566 et DMT0006568'),
(13750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nSID - Install ETL - Prise de connaissance'),
(13751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - prise en charge des DMT0006566 et DMT0006568'),
(13752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nIncidents de production - Prise de connaissance'),
(13753, 'Avis Bertrand et jeremy a fermer mais mail de gwendoline/paule a vérifier'),
(13754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nLecture du CDC Super Jackpot (IF) ; montée en compétence sur Postman pour prise de jeux via Appel de service. Attente de livraison du jeu O Vol\'Or .'),
(13853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nRédaction de fiches de test pour IF\\nRéflexion autour de l\\\'acceptance des environnements de Perf.\\nAtelier sur les appels web services et l\\\'architecture avec Nicolas'),
(13945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nPréparation de fiche de test pour campagne d\\\'acceptance IF sur les environnement de la Perf.\\nRédaction et estimation de temps d\\\'exécution des fiches de test d\\\'acceptance pour le projet IF.'),
(13759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nRefonte du système de sauvegarde fonctionelle avec Johan'),
(13760, 'Bonjour Thomas et Nicolas,\r\n\r\nsuite à notre présentation du 6 février, nous avions convenu que vous  deviez récupérer la gestion des environnements CDAP d\'Assemblage et d\'Acceptance à partir du 20 février 2017.\r\nBien évidemment,  je vais vous accompagner dans ce changement.\r\n\r\nAtos a besoin de faire du développement continu sur les plateformes. Donc l\'équipe ATOS, en charge de travailler sur ces plateformes, doit pouvoir accéder à certains répertoires des environnements notamment sur le Noeud.\r\n\r\nSur le noeud, Atos doit pouvoir déposer manuellement, un fichier.war dans le répertoire /data/was/Envts/<nom Env>/Current/liferay/deploy\r\nLiferay se chargera de transformer ce fichier.war et de le déposer dans le répertoire /data/was/Envts/<nom Env>/Current/liferay/websphere-deploy\r\n\r\nEnsuite, ATOS pourra récupérer le fichier.war et procéder à l\'installation via la console d\'Administration websphere.\r\n\r\n\r\n1- dépôt du fichier.war dans le répertoire /data/was/Envts/<nom Env>/Current/liferay/deploy à partir du noeud\r\n2- récupération du fichier.war dans le répertoire /data/was/Envts/<nom Env>/Current/liferay/websphere-deploy à partir du noeud\r\n3- installation du fichier.war à partir de la console d\'administration Websphere\r\n\r\n\r\nDMGR:	vldvadmg01-portail-ws8-dv1.app.si.test-cnaf.info\r\nNoeuds:	vldvajee01-cptepart-portail-ws8-dv1.app.si.test-cnaf.info\r\n\r\n\r\n\r\nVoici les interlocuteurs principaux pour les échanges:\r\n	- côté ATOS: 	Jeremy CHATTON 	0492952378\r\n	- côté DQT: 	Nicolas PLASSART	0231451598\r\n\r\n\r\nJe reste à disposition pour toute problématique et/ou tout éclaircissement .\r\n\r\n\r\ncordialement,\r\nGérald CAUVIN\r\n\r\nLes incidents et demandes d\'intervention doivent être faite via SAXO.'),
(13761, 'Gwendoline doit rebondir vers la Caf en question, aucune action à suivre pour Atos pour le moment. Cloture du ticket.'),
(13762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nEtude CodevTT UserDailyRate'),
(13767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\n[OLYMPIA] Test de NonReg Front sur INT3 \\\\n\\\\nHOST:           agpadmi31\\\\nSITE:           fdj2-origin_release_13-2\\\\nABP:            14.1.23.OLYMPIA-SNAPSHOT 588\\\\nMOBILE:         4'),
(13774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nEcriture Etapes de test Jackpot'),
(13776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nEcriture Etapes de test Jackpot\\nEcriture tests manquants Jackpot'),
(13782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nFormation Malik\\\\n    -Acces BDD\\\\n    -Acces Putty interco\\\\n    -Environnement IF'),
(13868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\n[OLYMPIA] Campagne de NREG Front sur INT3 - \\nHOST:           agpsrvi31\\nSITE:           fdj2-origin_release_13-5\\nABP:            14.1.30.0-SNAPSHOT 10\\nMOBILE:         4\\nPLATFORM:       1.0.169;\\n[OLYMPIA] Nouvelle anomalie rémonté: ANO047333\\n[OLYMPIA] MàJ des cas de tests ALM >> Création du cas de test [1]040402 - Double Resettlement sur le même coupon Combiné après  Bet to Reopen'),
(13785, 'Développent déjà fait.\r\nFonctionnement Testé et validé.\r\nEn attente de la Validation du contenu du message par la MOA (retour de Kévin)'),
(13793, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nprise en compte des modifications de Lorène\r\ncorrection de bug après validation'),
(13790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nOLYMPIA Revue des anomalies transmises par Franck le 18/02  + Investigation sur les anomalies de la recette sur les différences entre les prises de jeu dans Falcon et dans modern ANO047267  + investigations sur le probleme de remontée du nom de l\\\\\\\'application via la chaine packman'),
(13788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nSIDCOM TR2 OK\r\nSIDC TR2 KO\r\nSIDC TR3 OK'),
(13791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Suivi installation par ILEX sur INT7'),
(13792, 'Relance au tel avec Gerald le 20/02.'),
(13794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nOLYMPIA Investigation anomalies de recette + reprise de données MODERN + rerise purse + verification PDV_CARD'),
(13795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nSIDCOM TR2 OK\r\nSIDC TR2 KO\r\nSIDC TR3 en cours reprise purse des 12 13 19 20 et 21 + reprise modern depuis le 30/01'),
(13796, 'modofication d\'imputation non faite'),
(13801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\ndéveloppement et préparation FDL015587_Coheris_Oracle_OLYMPIA_CRM_P_5.4.1.15'),
(13799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nAnalyse campagne sur INT 3 : USR non reg 2.3.14-2.'),
(13803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\ncorrection ANO047283 en prod et livraison FDL015638_Coheris_Oracle_ CRM_ANO047283_F_5.3.1.0'),
(13804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\netude code pour MAJ FAQ'),
(13872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nRAM.004 : Installation SAGA FDL015508 sur INT2'),
(13873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBFR.066.31 [ME] FINANCE : Installation SAGA DMT0005022 sur INT4, script d\'installation fournie dans la DMT'),
(13806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nRécupération des fichier de configuration INTs et intégration sur ojadgate\r\nMise a jour des fichiers configurations afin d\'uniformiser avec la PROD ou yellowstone en fonction des environnements'),
(13895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nBSI.009.31 [OBS] COMMERCIAL : DMT0005022 traitée+mode opératoire HIA'),
(13808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nCautionnement : Qualification MOD010239 (suite)'),
(13810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nSAFERGAME : Atelier commun FDJ/IBM sur les livraisons +Point d\'avancement installation'),
(13817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b10 / INT3] - Campagne NonReg BACK Light'),
(13816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b10 / INT3] - Campagne NonReg BACK Light'),
(13818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b10 / INT3] - Campagne NonReg BACK Light'),
(13819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b10 / INT3] - Campagne NonReg BACK Light'),
(13820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b10 / INT3] - Campagne NonReg BACK Light'),
(13821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015574 sur TR2'),
(13822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015598 sur TR2'),
(13823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015601 sur TR2'),
(13824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015599 sur TR2'),
(13825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015600 sur TR2'),
(13830, 'Contenu du message proposé par la MOA (notification 3) :\r\n\r\nMadame, Monsieur,\r\nNous vous informons qu\'un administrateur de la caf \' Nom CAF \' a tenté de saisir une convention avec l\'organisme partenaire \' Nom Organisme \' déjà lié par une convention avec votre Caf. \r\nCe partenaire rentre dans le cadre d’une convention multi-départementale et nous vous remercions de contacter la Caf ‘Nom CAF ‘afin d’échanger sur les éventuelles modifications à apporter sur la convention. \r\n\r\nCordialement \r\nL\'équipe Mon Compte Partenaire \r\n\r\nPS : ceci est un message automatique, veuillez ne pas répondre directement à ce message.'),
(13966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\\\\\n- Rédaction cas de test Mify PSEL ALM.\\\\n- Tests de qualification des MODS Olympia'),
(13967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Rédaction cas de test Mify PSEL ALM. \\\\n- Entretien Yannick Kome.'),
(13831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nQualif  / Test PSBOR'),
(13832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nQualif  / Test PSBOR\r\nEcriture de test ALM PSBOR'),
(13833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nMCO Court-Commercial du 20/02/2017'),
(14048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nExportation des incidents de prod'),
(13835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nRAM.004 - DMT0006671 - EGIDE Création de cession sur TR3'),
(14270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nYellowstone : Installation SIDC livraison v6.0 (prise de connaissance)'),
(13990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\ninstallation sur int0, 9 et 2 des composants :\\\\nUSR	2.4.6	FDL015644\\\\nDOC API REST 	2.4.6	FDL015646\\\\nRTG	2.3.6	FDL015647\\\\nBOX	2.5.5	FDL015645\\\\n\\\\nSupport sur OAC int2 et 3'),
(13839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015591 sur TR2'),
(13842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015592 sur INT2'),
(13841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA PILOTE - FDL015593 sur INT2'),
(13890, 'DOUBLON DU 17402'),
(13891, 'Relais repris par Gwendoline avec des acces admin cnaf qui lui ont été fournis.'),
(13892, 'priorité basse, désaccord entre la MASCI & la MOA, en attente d\'arbitrage'),
(13893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nreunion du mercredi matin point PUMA'),
(13844, 'Bonjour,\r\n\r\nCi-joint comme convenu suite appel à l\'instant.\r\n\r\nCdlt,\r\n\r\n\r\n\r\n----- Transféré par Frederic CAMUS/CDR-CPL/CNAF le 21/02/2017 10:05 -----\r\n\r\nDe :	Pascal DENEU/CAFLE-MANS/CNAF\r\nA :	Frederic CAMUS/CDR-CPL/CNAF@CNAF, \r\nDate :	21/02/2017 09:48\r\nObjet :	CDAP : impossibel accéder à la base école - Message LIFERAY\r\n\r\n\r\n\r\n\r\nPascal DENEU\r\nCAF de la Sarthe - Soi.\r\nTél : 02.43.61.31.42\r\nE-mail : pascal.deneu@cafle-mans.cnafmail.fr'),
(13845, 'Bonjour,\r\n\r\nLe problème a été analysé et nous avons apporté une solution au problème.\r\n\r\nPouvez-vous nous confirmer si tout est OK?\r\n\r\nCdt,\r\n\r\nSaid Zerrouki'),
(13846, 'Réunion téléphonique avec Gerald le 21/02 : Gerald doit nous dire ce que nous devons lui fournir pour qu\'il mette en place la Maj_Apres --> En attente DL : 22/02/2017'),
(13847, 'Relance au tel avec Gerald le 21/02'),
(13848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nRecap Email ellegiance');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(13849, 'Bonjour Gérald, Claude, \r\n\r\nJe viens aux nouvelles sur la résolution du problème majeure de production relatif au portail Liferay : INC0322421. \r\n\r\n > Est-ce que la solution de contournement proposée le 10/02 (cf mail ci-dessous) a été mise en place  ? \r\n\r\nL\'impact utilisateur est majeur car cela empêche les utilisateurs de se connecter au service Métier CDAP. \r\nSi ce n\'est pas fait, il y a donc une urgence à l\'appliquer au plus vite. \r\n\r\nPour info, un autre SAXO a été créé ce matin sur le même problème INC0326460. \r\nCes 2 tickets ont été transférés à l\'équipe JEE_Accueil-Architecture J2EE. \r\n\r\nIl faudra s\'assurer (en donnant la procédure à la DQT) que ce correctif soit appliqué sur les environnements de test (Validation et Recette). \r\n\r\nPar rapport à une solution définitive, Nicolas Goubeau m\'a indiqué que vous alliez ouvrir un ticket au support Liferay (car problème non reproductible sur Tomcat) et avoir confirmation de l\'opération proposée (cf mail expert AtoS ci-dessous). \r\n > Avez vous eu un retour ? \r\n\r\nDans l\'attente de votre retour. \r\nMerci \r\nCdt. \r\nChristophe.'),
(13850, 'Bonjour Christophe,\r\n\r\n\r\nsuite à discussion avec Jérémy Chatton, la solution de contournement consiste à faire un redémarrage de l\'applicatif PPS après l\'arrêt/relance de l\'environnement CDAP.\r\nIl existe des chaînes ACE permettant de faire un redémarrage uniquement d\'une application.\r\n\r\nAprès discussion avec le CSN, ceci pourra être réalisée avec la chaîne RDMAPP.\r\nJ\'en informe le CSN, pour la mise en place temporaire de cette chaîne\r\n\r\nConcernant la résolution du problème définitif,  il n\'était pas envisagé d\'ouvrir un ticket au support Liferay puisqu\'une solution sur un forum avait été proposé.\r\nIl s\'avère que cette solution a été testée par Jérémy et qu\'elle ne fonctionne pas.\r\n\r\nJe vais donc ouvrir un ticket sur le sujet .\r\n\r\n\r\nCordialement\r\nGérald CAUVIN'),
(13851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-14  (Do not remove this line) -->\nRéunion Trafic'),
(13968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\n- Présentation HP ALM'),
(13855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nPS Direct test qualification partie Android ver : 1.0.034'),
(13856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nPS Direct : test de qualification sur Android 1.0.3\' + levée d\'ano'),
(13857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nPDS nouvelle version livrée PSD Android : acceptance et qualif'),
(13858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nPSEL Android : tests d\'acceptance'),
(13859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nPSEL Android et PS PDV (point sur les livraisons actuelle et prochaines)'),
(13860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nPartie COBOL'),
(13861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nPartie COBOL'),
(13862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nPartie COBOL'),
(14043, 'Sera résolu avec l\'evol 16934'),
(14044, 'Vérifier la 2.80.X'),
(13864, 'à la suite analyse de Jacques : pas de midifcation à faire\r\nPas de fonctionnalité F10 O.D remarquée sur l\'Ecommerce\n\n'),
(13865, 'mettre à jour les docs'),
(13866, 'correction et test effectués'),
(13867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\n[OLYMPIA] Campagne de NREG Front sur INT3 - \r\nHOST:           agpsrvi31\r\nSITE:           fdj2-origin_release_13-5\r\nABP:            14.1.30.0-SNAPSHOT 10\r\nMOBILE:         4\r\nPLATFORM:       1.0.169'),
(13869, 'Bonjour Pascal,\r\n\r\nLe problème est résolu. Peux-tu nous confimer?\r\n\r\nCdt,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\n\r\n\r\nFrom: pascal.deneu@cafle-mans.cnafmail.fr [mailto:pascal.deneu@cafle-mans.cnafmail.fr] \r\nSent: Wednesday, February 22, 2017 9:39 AM\r\nTo: mon-compte-partenaire.projet@projet.cnafmail.fr\r\nCc: said.zerrouki@cnedi06.cnafmail.fr\r\nSubject: RE: [saxo INC0326460][mantis 17402] Problème de redirection\r\n\r\n \r\nPascal DENEU\r\nCAF de la Sarthe - Soi.\r\nTél : 02.43.61.31.42\r\nE-mail : pascal.deneu@cafle-mans.cnafmail.fr\r\n\r\n Mon-Compte-Partenaire PROJET---21/02/2017 17:12:22---Bonjour, Nous avons essayé de vous joindre par téléphone mais sans succès.\r\n\r\nDe : Mon-Compte-Partenaire PROJET/Projet/BALF\r\nA : pascal.deneu@cafle-mans.cnafmail.fr, \r\nCc : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF\r\nDate : 21/02/2017 17:12\r\nObjet : [saxo INC0326460][mantis 17402] Problème de redirection\r\nEnvoyé par : Said ZERROUKI\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nNous avons essayé de vous joindre par téléphone mais sans succès.\r\n\r\nJe viens vers vous suite au saxo INC0326460 que vous nous avez formulé et portant sur un problème de redirection d\'un utilisateur vers une page Liferay.\r\n\r\nLe problème a été analysé et pris en compte et nous vous invitons à nous confirmer si tout est OK.\r\n\r\nCdt,\r\n\r\nSaid Zerrouki'),
(13870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-31  (Do not remove this line) -->\nRecherche des jeux de données pour le séminaire'),
(13875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nSAFERGAME : Point d\'avancement installation avec FDJ/IBM'),
(13876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nSAFERGAME : Point d\'avancement installation FDJ/IBM'),
(13877, 'Analyse du déroulement des programmes\n\n'),
(13878, 'test de cohérence des chiffres affichés dans Affectation chariots'),
(13902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nLancement campagne sur INT 2 : Falcon RTG acceptance et non reg 2.3.6-1. Analyse des campagnes'),
(13991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\ninstallation rtg 2.3.6-1 sur int1 et 3\\nanalyse job control M olympia\\nredaction modop installation falcon'),
(13881, 'modification et test du lancement de l\'édition \"Ouverture colis\"'),
(13882, 'Bonjour,\r\n\r\nN\'ayant pu vous joindre par téléphone, je viens vers vous suite à une anomalie saxo remonté par vos soins (INC0326854).\r\n\r\nCelui-ci concernait le fait de ne pouvoir créer de conventions avec un message d\'erreur stipulant que votre caf devait disposer d\'une habilitation.\r\n\r\nVotre Caf n\'était pas habilité au service CDAP, d\'où le message d\'erreur.\r\n\r\nJe vous invite à me confirmer que tout est OK.\r\n\r\nCdt,\r\n\r\nSaid Zerrouki'),
(13883, 'zone LIGPER : indices identifiés\r\nenchaînement des opérations pour la gestion des ouvertures colis'),
(13884, '0.5 jours pour la conception des JD et suivi du processus le 17/02/2017 S.Zerrouki'),
(13885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nModOP pour MEP\r\nRedaction cas de test ALM / campagne'),
(13886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nTests yellowstone'),
(13887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nFDL015624 (2.0.44_wloto)\r\n'),
(13888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nTests yellowstone'),
(13889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\ntests des cas limites pour yellowstone'),
(13897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nSAFERGAME : Mises à jour Kernel en intégration et recette\\\\nRAM.004 : Qualification ANO046748+PV de qualification'),
(13898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nRAM.004 : Rédaction doc MEP pour FDL014372+FDL015508'),
(13899, 'J\'ai mis en place l\'envoi du mail aux vérificateur caf.\r\nle contenu du mail est temporaire jusqu\'au retour de Kévin'),
(13900, 'Suite à la détection d\'une erreur dans la récupération du destinataire, une correction a été apportée.\r\nLe code a été optimisé aussi.\r\nTesté et OK\n\n'),
(13903, 'Bonsoir,\r\n\r\nJe vous confirme que j\'ai bien accès à la saisie des conventions.\r\n\r\nJe vous remercie pour votre intervention.\r\n\r\nMeilleures salutations.\r\n\r\nPhilippe CHIRIÉ\r\n05 59 98 55 06'),
(13904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nTests pour l\'acces FTP sur l\'assemblage + tel gerald'),
(13906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nSuite de l\'uniformisation des fichiers de configuration du portail tablette\r\nCreation de l\'ANO047387\r\nCreatoin de la 	MOD011018'),
(13983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nTests campagne 14.1.30.0-SNAPSHOT 10 : Tests NOK lors de la campagne précédente + Suite montée en compétences\\\\nPDJ Simple sur plusieurs outcomes non passante + Annulation PDJ simple\\\\n'),
(19015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nExécution de compagne RUN 2 OLYMPIA et NON REG GDO: Principalement, re teste des cas FAILED et BLOCKED.'),
(19014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nExécution de compagne RUN 2 OLYMPIA et NON REG GDO: Principalement, re teste des cas FAILED et BLOCKED. \\nPS : J\\\'ai essayé avec une grande volonté de jouer les cas de test BATCH en l\\\'absence de Cécile, je suis arrivé à le faire, mais seulement sur une petite partie.'),
(19013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nExécution de compagne RUN 2 OLYMPIA et NON REG GDO: Principalement, re teste des cas FAILED et BLOCKED. \\nPS : J\\\'ai essayé avec une grande volonté de jouer les cas de test BATCH en l\\\'absence de Cécile, je suis arrivé à le faire, mais seulement sur une petite partie.'),
(19012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nExécution de compagne RUN 2 OLYMPIA et NON REG GDO: Principalement, re teste des cas FAILED et BLOCKED. \\nPS : J\\\'ai essayé avec une grande volonté de jouer les cas de test BATCH en l\\\'absence de Cécile, je suis arrivé à le faire, mais seulement sur une petite partie.'),
(19011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nExécution de compagne RUN 2 OLYMPIA et NON REG GDO: Principalement, re teste des cas FAILED et BLOCKED. \\\\nPS : J\\\\\\\'ai essayé avec une grande volonté de jouer les cas de test BATCH en l\\\\\\\'absence de Cécile, je suis arrivé à le faire, mais seulement sur une petite partie.'),
(13918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nPoint suivi des tâches.\r\nGAMIF analyse technique et recommandations VuGen12 Ws (STOMP).'),
(13919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nGAMIF cadrage des développements composant GAM.\r\nGAMIF analyse technique et recommandations VuGen12 Ws (STOMP).'),
(13920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nPrésentations ALM et VuGen 12.53.\r\nGAMIF Recommandations VuGen12 Ws (STOMP).'),
(13935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nVie de environnements : évolutions'),
(13939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nCampagnes falcon 2.3'),
(13937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nCampagnes falcon 2.3'),
(13938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nCampagnes falcon 2.3 / conformité'),
(18814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nanalyse ANO045888'),
(13956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nTest reçu scanner ancien loto /super loto sur INT32 qui est en version MEP 1 Yellowstone\\nRemontée anomalie sur bouton flash grand loto de noel quand loto prise de jeux cloturée\\nTest+Dépannage de l\\\'anomalie sur appli native illiko INT31 en prévision de la MEP KENO'),
(13934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nVie de environnements : évolutions'),
(30309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nanalyse'),
(13928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nanalyse'),
(13957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nRemontée d\\\'erreur sur le wagerenddate quand la promulgation n\\\'est pas passé\\nTest check version sur IOS Android mobile et tablette OK (info, force maintenance)\\nTest sur la cloture/reouverture des jeux  + prises de jeux + scan des reçus + rejouer un scan + création bulletin + simulateur'),
(13958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nCréation du modop pour Appli Native Yellowstone\\nTest aux limites mapi/results/loto - mapi/utils/date'),
(13960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nFDL015673 Loto IOS + Passage cas de test d\\\\\\\'acceptance loto IOS Android\\\\n4.5.011 IOS\\\\n4.3.013 Android\\\\n+ passage de la campagne de test de qualification\\\\n'),
(13959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nFDL015673 Loto IOS + Passage cas de test d\\\\\\\'acceptance loto IOS Android\\\\n4.5.011 IOS\\\\n4.3.013 Android\\\\n+ passage de la campagne de test de qualification\\\\n'),
(13946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nDigishopI correction'),
(13947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nDigishopR correction'),
(13948, 'Bonjour,\r\n\r\nLe saxo a été passé à \"résolu\".\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\n \r\n\r\n SecuApp-Acces DSI-DOIT---22/02/2017 18:27:44---Bonjour, Merci pour votre réponse. Je m\'aperçois en effet que je me suis trompé de BALF.\r\n\r\nDe : SecuApp-Acces DSI-DOIT/Cnaf/BALF\r\nA : Mon-Compte-Partenaire CNAF/Cnaf/BALF@CNAF, Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF, \r\nCc : SecuApp-Acces DSI-DOIT/Cnaf/BALF@CNAF\r\nDate : 22/02/2017 18:27\r\nObjet : RE: Tr : INC0318967\r\nEnvoyé par : Thierry GUIOT\r\n________________________________________\r\n\r\n\r\nBonjour,\r\nMerci pour votre réponse. Je m\'aperçois en effet que je me suis trompé de BALF. \r\n\r\nMon message etait adressé à la BALF Mon-Compte-Partenaire PROJET/Projet/BALF..\r\n\r\nCordialement,\r\nThierry GUIOT\r\n\r\n\r\n Mon-Compte-Partenaire CNAF---22/02/2017 16:47:19---Bonjour, N\'est-ce pas plutôt à la Balf projet que vous souhaitiez écrire (balf en copie de ce messag\r\n\r\nDe : Mon-Compte-Partenaire CNAF/Cnaf/BALF\r\nA : SecuApp-Acces DSI-DOIT/Cnaf/BALF@CNAF, \r\nCc : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF\r\nDate : 22/02/2017 16:47\r\nObjet : RE: Tr : INC0318967\r\nEnvoyé par : Paule GREGOIRE\r\n________________________________________\r\n\r\n\r\nBonjour,\r\nN\'est-ce pas plutôt à la Balf projet que vous souhaitiez écrire (balf en copie de ce message) ? \r\nCordialement, \r\nPaule Grégoire \r\n \r\nOlivier POTUS\r\nPaule GRÉGOIRE\r\nGwendoline LE-MERLUS\r\n\r\nmon-compte-partenaire.cnaf@cnaf.fr\r\nMon-Compte-Partenaire CNAF/Cnaf/BALF\r\n \r\n \r\n\r\nCaisse nationale des Allocations familiales, site de Paris Siège national - 32 avenue de la sibelle 75014 PARIS\r\n \r\n \r\n\r\n Contribuons au respect de l\'environnement, n\'imprimez ce courriel qu\'en cas de nécessité et ayez le réflexe recto-verso\r\n\r\n\r\n\r\n SecuApp-Acces DSI-DOIT---22/02/2017 07:44:00---Bonjour, Je n\'ai pas les droits nécessaires pour mettre le Saxo en résolu.\r\n\r\nDe : SecuApp-Acces DSI-DOIT/Cnaf/BALF\r\nA : Mon-Compte-Partenaire CNAF/Cnaf/BALF@CNAF, \r\nCc : SecuApp-Acces DSI-DOIT/Cnaf/BALF@CNAF\r\nDate : 22/02/2017 07:44\r\nObjet : Tr : INC0318967\r\nEnvoyé par : Thierry GUIOT\r\n________________________________________\r\n\r\n\r\nBonjour,\r\nJe n\'ai pas les droits nécessaires pour mettre le Saxo en résolu. \r\n\r\nPouvez vous positionner le Saxo en résolu SVP ?\r\n\r\nCordialement,\r\nThierry GUIOT.\r\n----- Transféré par Thierry GUIOT/CNAF/CNAF le 22/02/2017 07:41 -----\r\n\r\nDe : Helene FRANCOIS/CAFBRIVE/CNAF\r\nA : SecuApp-Acces DSI-DOIT/Cnaf/BALF@CNAF, \r\nDate : 21/02/2017 16:32\r\nObjet : INC0318967\r\n________________________________________\r\n\r\n\r\nBonsoir,\r\n\r\nJe vous confirme que la Mairie de Lagraulière a bien reçu son mot de passe ,qu \'elle a immédiatement modifié ,tout est semble t il OK;vous pouvez cloturer le saxo INC0318967.\r\n\r\nAvec mes remerciements \r\nBien cordialement\r\n\r\nHélène'),
(13949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nformation ALM 12.53'),
(13950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nDigishopA correction'),
(13951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nDigishopA'),
(13955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nAttente de livraison du jeu ILLIKO, montée en compétence sur les appels de services via l\\\\\\\'outil Postman. Etude pour paramétrer les fiches de tests d\\\\\\\'acceptance pour étendre les fiches de test à l\\\\\\\'environnement de la perf.'),
(13953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nDigishopU'),
(13954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nDigishopU'),
(14136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nPeut-être livraison du jeu Illiko, Lecture des spécifications Falcon en vue de travailler sur les job control M et les procédures PL SQL côté back.\\n'),
(13969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Rédaction cas de test Mify PSEL ALM.'),
(13965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\n- Intégration composant migo, mago, mugo prenant en compte les siteId pour le tracking \r\n\r\n- Pb de non remontée des app names dans les extract SID Olympia \r\n\r\n- Qualification tablette détaillant => ano critiques sur l\'affichage des mises dans les transactions versement / retrait (ANO047275)'),
(13970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n[OLYMPIA] Campagne de NonReg Front Light sur INT3\r\n\r\nHOST:           agpfri31\r\nSITE:           fdj2-origin_release_13-5\r\nABP:            14.1.30.0-SNAPSHOT 10\r\nMOBILE:         4\r\nPLATFORM:       1.0.169\r\n[ABP OFFRE] Vérification ARJEL et ETL des nouveaux markets in Live Auto'),
(13971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\n- Bug review\r\n\r\n- Déploiement INT1 et INT3 (2.6.5_wcpte, 1.0.47_mago, 1.0.16_migo, 1.0.24_mugo, DigishopA 2.2.11,  DigishopU 2.2.8, DigishopR 1.0.11)\r\n\r\n- Acceptances passées sur INT1 + check INT3 en soirée suite au déploiement Falcon 2.3.15 (non déployé sur INT1)\r\n\r\n\r\n'),
(13982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nTests campagne 14.1.30.0-SNAPSHOT 10: Tests NOK lors de la campagne précédente + Suite montée en compétences\\\\n4 Tests simple passante sur plusieurs outcomes'),
(13981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nTests campagne 14.1.30.0-SNAPSHOT 10 : tests P1 non passés lors de la campagne précédente + Suite montée en compétences\\n'),
(13986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nTests campagne 14.1.30.0-SNAPSHOT 10: Tests NOK lors de la campagne précédente  + Suite montée en compétences'),
(13979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\n- Complément qualif application détaillant\r\n- Qualification anomalies + mod suite aux dernières livraisons\r\n- Mise à jour modop suite aux dernières livraisons\r\n- Qualification migo, mugo, mago (version avec gestion des siteId) => pb de déconnexion en fin d\'inscription sur Android (anomalie loguée sur le natif)'),
(15034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n[OLYMPIA]\\n\\n- Support HIA alimentation BDD retail de prod\\n- Qualification wspdi'),
(13985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nTests campagne 14.1.30.0-SNAPSHOT 10 : Tests NOK lors de la campagne précédente + Suite montée en compétences'),
(14117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nAnalyse campagne de Non reg falcon RTG 2.3.6 sur INT2. Qualification d\\\'anomalie sur YELLOWSTONE. Lancement des campagnes de Non reg Falcon USR 2.4.6-1 sur INT2'),
(14092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nMCO digital'),
(13993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS / USR JEU DE RÉFÉRENCE : DUEL DE CARTES V2'),
(13994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS / USR JEU DE RÉFÉRENCE : DUEL DE CARTES V2'),
(13995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nMCO digital'),
(13996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS / USR JEU DE RÉFÉRENCE : DUEL DE CARTES V2'),
(13997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nMCO digital'),
(13998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\n[OLYMPIA] Exécution RUN2, qualification des anomalies\r\n[IF] Qualification des anomalies'),
(13999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nMCO digital'),
(14000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\n[OLYMPIA] Exécution RUN2, qualification des anomalies'),
(14003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n[OLYMPIA] Exécution RUN2, qualification des anomalies'),
(14002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nOLYMPIA Run2 : exécution cas de test + MAJ si besoin des cas '),
(14004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\n[OLYMPIA] Exécution RUN2, qualification des anomalies'),
(14005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nOLYMPIA Run2 : exécution cas de test + MAJ si besoin des cas +reunion IQ avec Mael'),
(14006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nInstallation , tests, qualif anos Yellowstone:\r\n- MUG 2.7.13 FDL015578\r\n- MUG 2.7.14 FDL015578\r\n- ANO045883\r\n- ANO047065\r\n -ANO047063\r\n- ANO047295\r\n\r\n'),
(14007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nMISEA JOUR CATALOGUE AU VOL OR \r\nNOUVEAU TECHNICAL TCHECK'),
(14008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nMISEA JOUR CATALOGUE AU VOL OR \r\nNOUVEAU TECHNICAL TCHECK'),
(14009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nOLYMPIA Run2 : exécution cas de test + MAJ si besoin des cas '),
(14010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nInstall, tests, qualif anos POLY\r\n- MUG 2.6.5 - FDL015637\r\n- ANO045762\r\n- ANO043998\r\n'),
(14011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nOLYMPIA Run2 : exécution cas de test + MAJ si besoin des cas '),
(14012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nTests Yelowstone / support recette'),
(14013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nMise à niveau Edwan (base + htdocs) INT32 => INT22 pour répèt Olympia'),
(14100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nCampagne PSMS sur INT3'),
(14101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nCampagne PSMS sur INT3'),
(14016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nOLYMPIA Run2 : exécution cas de test + MAJ si besoin des cas '),
(14102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nCampagne de non reg Olympia sur INT3'),
(14018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\n- Mode OP Olympia / Yellowstone\r\n- tests d’implémentation des fonctionnalités PMD / DEFI sur Olympia'),
(14103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nCampagne de non-reg Olympia sur INT3'),
(14104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nTests Multiplex'),
(14022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n- problème page blanche inscription MIG INT31'),
(14024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nInstallation et test Digi 2.2.12 - projet IF\\nconfig oauth / VIP USR'),
(14025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nMise à jour MODOP WSPO + WSPDI + Contribution Métier + Catalog ParionsDirect.\r\nFin test ALM qualification technique WPSO 1.0.32 + Parionsdirect IOS 1.0.025 + Parionsdirect Android 1.0.034.\r\nQualification des ANO et des MOD installées Parionsdirect.\r\nInvestigation conf apache WSPDI (erreur 404 lors d\'un refresh) --> pour le moment pas de solution'),
(14026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nTravail sur Referentiel Digital Front ALM\r\n- tests non reg GDO (Mael)\r\n- campagnes de qualif Yellowstone / PMD / DEFI'),
(14027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nOLYMPIA Run2 : Réunion suivi avancement projet'),
(14028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nP.OLympia _ Reunion sur le projet'),
(14029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nBug Review projet Olympia (1h30)'),
(14030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nAcceptance WSPO 1.0.32 (FDL015654) + Maj des catalogues Parionsdirect par rapport aux problèmes d\'URL MIGO + MAGO + MUGO\r\nCréation d\'anomalie majeure sur les applications natives Parionsdirect IOS & Android.\r\n'),
(14031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nQualification technique application native Parionsdirect IOS 1.0.025 (FDL015614) et Android 1.0.034. (FDL015626)'),
(14032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nNormalement acceptance et qualification des nouvelles versions des applications natives parionsdirect IOS & Android'),
(14033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nrun Olympia'),
(14034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nNormalement projet Olympia'),
(14035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nrun Olympia'),
(14036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nrun Olympia'),
(14038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nrun Olympia'),
(14039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n- Documentation PSBOR et prise en main\r\n- Documentation DisishopR\r\n- Test et qualif WSPDI'),
(14040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nSUite test et qualif WSDPI\r\nRédaction test ALM Wspdi\r\nTest PSBOR'),
(14041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nInvestigation mise enplcace FIDDLER sur les bornes\r\nRédaction campagne de test PSBOR\r\nTest nouvelle version WSPDI'),
(14042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nredaction tests dans ALM et commencer exécution PSBOR'),
(14045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nGAMIF analyse technique et recommandations VuGen12 Ws (STOMP).'),
(14046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nGAMIF analyse technique et recommandations VuGen12 Ws (STOMP).'),
(14047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nMCO Court-Commercial du 22/02/2017'),
(14051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nExportation des incidents de prod'),
(14050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Fin installation FDL015516 + préparation manuel d\'install pour HIA'),
(14052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nExportation des incidents de prod'),
(14053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nMCO Court-Commercial du 21/02/2017'),
(14122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CQA002-CSAM-MEIBO-ETL_REFERENTIEL-CDSATO201702 - FDL015567 Campagne de qualification suite à livraison corrigeant 6 ANO'),
(14055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nRAM.004 - DMT0006671 - EGIDE Création de cession sur TR3'),
(14070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nAction : Stream compte palier olympia: exécution des campagnes , évaluation/information\\nLivrable : bilan de campagne + action associées'),
(14061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nMCO - EGIDE - Pb et reprise sur I2EGIDE'),
(14058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nAction : Stream compte palier olympia: exécution des campagnes , évaluation/information\r\nLivrable : bilan de campagne + action associées'),
(14059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nPalier Olympia RUN2 & Non REG GDO - Exécution/Gestion des anomalies'),
(14060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nAction : Stream compte palier olympia: exécution des campagnes , évaluation/information\r\nLivrable : bilan de campagne + action associées'),
(17184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nAction : Stream compte palier olympia: exécution des campagnes , évaluation/information\\nLivrable : bilan de campagne + action associées'),
(17185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nAction : Stream boutik palier olympia :  implémentation \nLivrable : plans de test'),
(14064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - création d\'un PDV en secteur DD (flux enseigne intégrée) sur le transverse 2'),
(14150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nPalier Olympia RUN2 & Non REG GDO - Exécution/Gestion des anomalies'),
(14153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nPalier Olympia RUN2 & Non REG GDO - Exécution/Gestion des anomalies'),
(14151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-17  (Do not remove this line) -->\nbcvcv'),
(14069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nAction : réunion, ALM 12.53\r\n'),
(14071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - création d\'un PDV de type BTP en secteur DD (flux BTP vers SI Finance) sur le transverse 2'),
(14072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nFinalisation des modifications des fichiers de configurations ojadgate / INTs\r\n'),
(14073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nEntretient Evaluation'),
(14075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nMCO DIGITAL'),
(14076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nmco digital'),
(14461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n2x Etat des lieux journalier des jobs control-m sur I3 Multimédia \\nMontée en compétence batchs et etl\\nCréation d\\\'une documentation sur les jobs control-m sur I3 Multimédia'),
(14463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n2x Etat des lieux journalier des jobs control-m sur I3 Multimédia \\nMontée en compétence batchs et etl\\nCréation d\\\'une documentation sur les jobs control-m sur I3 Multimédia'),
(14085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nYELLOWSTONE Verifications et Export des données des univers BEAS + BAFIM // OLYMPIA investigations packman + extraction des prises de jeu modern non remontées'),
(14080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nTR2 SIDCOM OK - TR3 SIDC OK - TR2 SIDC En attente'),
(14081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nTR2 SIDCOM OK - TR3 SIDC OK - TR2 SIDC Reprise des données du 14/02 au 21/02 OK'),
(14083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nOLYMPIA Revue anomalie + Campagnes de test dans ALM + participation rédaction PV Qualification SIDC'),
(14084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nOLYMPIA Reprise alimentation sur le TR3 + controles packman  + controle du flux E_XRS_INFOS_JOUEURS'),
(14086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\ndev shellscript d\'extraction des package utilisés dans les .D'),
(14088, 'qualification par Jacques'),
(14089, 'qualification par Jacques'),
(14090, 'qualification par Jacques'),
(14091, 'qualification par Jacques'),
(14094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nMCO digital'),
(14098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nSAFERGAME : Installation SPSS 1.2.3 deploy sur INT2 - FDL015682'),
(14126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nInstallation SQL 1.2.8 deploy sur INT2 - FDL015677'),
(14105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nPtéparation formation CP'),
(14106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\npréparation Formation CP'),
(15760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nMaj DOC sur le serveur RSI suite a livraison v17.0.10'),
(14108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nAnalyse CodevTT: gestion des coûts'),
(14109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nAnalyse CodevTT: gestion des coûts'),
(14111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO installation FDL015567_Ref_2.2.1 sur INT1ETL9'),
(14112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO installation FDL015567_Ref_2.2.1 sur INT2ETL9'),
(14113, 'Le mail envoyé est de la forme:\r\n\r\nMadame, Monsieur,\r\n\r\nNous vous informons qu\'un administrateur de la \'<b> $CAF_NAME </b>\' a formalisé la convention \'<b> $CONVENTION_NAME </b>\' avec l\'organisme partenaire \'<b> $ORGANISME_NAME </b>\'.\r\n\r\nNous vous remercions de procéder à la vérification de cette convention.\r\n\r\nCordialement\r\n\r\nL\'équipe Mon Compte Partenaire\r\n\r\nPS : ceci est un message automatique, veuillez ne pas répondre directement à ce message.'),
(14114, 'Bonjour Carole,\r\n\r\nCela est confirmé comme étant une anomalie.\r\n\r\nCordialement\r\n\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\n\r\nFrom: carole.delahayes@cafseine-maritime.cnafmail.fr [mailto:carole.delahayes@cafseine-maritime.cnafmail.fr] \r\nSent: Thursday, February 23, 2017 2:37 PM\r\nTo: kevin.royere@cnedi06.cnafmail.fr\r\nCc: ZERROUKI, SAID\r\nSubject: Tr : [INC0327157]>Ouverture Demande métier>Internet\\Mon Compte Partenaire\\Consulter Dossier\r\n\r\nBonjour Kévin \r\n\r\npoint vu avec Said pour lequel nous avons créé un saxo \r\n\r\nCordialement \r\nCarole\r\n\r\n\r\n----- Transféré par Carole DELAHAYES/CAFSEINE-MARITIME/CNAF le 23/02/2017 14:35 ----- \r\n\r\nDe :        servicedesk@cnafmail.fr \r\nA :        carole.delahayes@cafseine-maritime.cnafmail.fr, \r\nCc :        said.zerrouki@cnedi06.cnafmail.fr \r\nDate :        23/02/2017 14:22 \r\nObjet :        [INC0327157]>Ouverture Demande métier>Internet\\Mon Compte Partenaire\\Consulter Dossier \r\n________________________________________\r\n\r\n\r\n\r\nBonjour,\r\n\r\n\r\nNous vous confirmons l\'ouverture de la sollicitation INC0327157 du 23/02/2017 14:15:42\r\n\r\nL\'équipe \"DQT_Point Accueil Unique\" est actuellement affectée.\r\n\r\nDemandeur : DELAHAYES Carole - SIN_Recette_CAF_Seine maritime - SITE CNAF RENNES\\CAF DE SEINE-MARITIME\r\nType         : Demande métier\r\nService         : Relation de Service Usagers et Partenaires\r\nCatégorie : Internet\\Mon Compte Partenaire\\Consulter Dossier\r\n\r\nDemande : l1701 lot3 Portail Partenaires -tb1 par profils pas de rafraichissement graphique \r\n\r\nen tant qu\'administrateur CNAF\r\nSi nous sélectionnons par profil\r\n\r\nexemple : t2 le graphique est sur les mois de 01 et 02 ok\r\nsi nous ajoutons une sélection sur profil T1 \r\n                le graphique se met à jour avec la nouvelle sélection et nous avons 01/2017-02/2017 et 12/2016\r\n\r\nnous supposons que le comportement est \"normal\"  du fait que nous ajoutons une sélection\r\nvu aVEC PROJET atos , à soumettre à Kevin Royere \r\n\r\n\r\nAccès direct : http://saxo.intra.cnaf/iws/HOMEPAGE.aspx?C_ECRAN=HELP005_INC_SYS&Type=LINK&Action=C&FieldName=IDT_APPEL&FieldValue=INC0327157\r\n\r\n\r\n\r\nCordialement,\r\nLe Centre de Service.\r\n\r\n\r\nPS : Merci de ne pas répondre à ce message par mail.'),
(14120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nanalyse batch olympia'),
(14119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nanalyse controlM et bach olympia'),
(14121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nFDL015688.\r\nFDL015683.'),
(14123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Rédaction de 3 cas de test d\'acceptation MEIBO'),
(14124, 'qualif : la sauvegarde se fait seulement si aucune erreur;\r\nFaire la sauvegarde systématiquement'),
(14125, 'ok en qualif'),
(14133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\n[OLYMPIA] Campagne de NonReg Front Light sur INT3\r\n\r\nHOST:           agpfri31\r\nSITE:           fdj2-origin_release_13-5\r\nABP:            14.1.30.0-SNAPSHOT 10\r\nMOBILE:         4\r\nPLATFORM:       1.0.169\r\n[ABP OFFRE] Vérification ARJEL et ETL des nouveaux markets in Live Auto'),
(14134, 'Said, \r\n\r\nPremièrement, merci pour ta rigueur et ponctualité sur la fourniture des métriques de prod. \r\n\r\nLors du dernier COPIL, la MOA a demandé à ce que soit précisé le nom des Caf et des partenaires des conventions avec un profil T18 et T19. \r\n\r\nComme tu le sais peut être, ce sont 2 profils \"sensibles\" car à enjeu politique vis à vis des CD. \r\n\r\n > Est-ce que tu peux ajouter un nouvel onglet avec un 3 tableau à 3 colonnes (pour uniquement les T18 et T19) \r\nRole CDAP / Nom Caf / Nom Partenaire \r\n\r\nSi tu peux le faire dans le relevé de cette semaine, ce serait parfait. \r\n\r\nMerci par avance \r\nCdt \r\n \r\n Christophe MILLOT\r\nChef de Projet DSI \r\nService SI PILOTAGE OPERATIONNEL \r\nDirection Numérique et Echanges \r\nDirection des Systèmes d’Information \r\nTel : 04.93.95.62.45 - 06.34.26.08.53\r\nMail : christophe.millot@cnaf.fr \r\n\r\n	\r\nCaisse nationale des Allocations familiales, site de Sophia-Antipolis - WTC Bât 1 Entrée A, 1090 Route des Crêtes 06560 Sophia-Antipolis\r\n	\r\n Contribuons au respect de l\'environnement, n\'imprimez ce courriel qu\'en cas de nécessité et ayez le réflexe recto-verso'),
(14135, 'chiffrage du TP'),
(14138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nSAFERGAME : Point d\'avancement FDJ/IBM'),
(14157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nCampagne test PSBOR et SPDV\\n'),
(14155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\nPalier Olympia RUN2 & Non REG GDO - Exécution/Gestion des anomalies'),
(18992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nPalier Olympia RUN2 & Non REG GDO - Exécution/Gestion des anomalies'),
(29764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nMontée en compétence sport auto'),
(14148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nMontée en compétence sport auto'),
(14154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nPalier Olympia RUN2 & Non REG GDO - Exécution/Gestion des anomalies'),
(14156, 'Bonjour, \r\n\r\nJe lève une alerte suite à un retour saxo de la recette concernant les TDBs PCA. \r\n\r\nPouvez-vous définir la priorité de résolution pour ce problème ?\r\nDoit-on l’inclure dans un prochain patch de livraison ?\r\n\r\nCdt,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\n\r\n\r\n'),
(14176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nCreation de l\\\'ANO047445\\nInvestigation sur la suspension de l\\\'ANO046468\\nInstallation patch 1.15.0 du portail presto sur INT2 et INT8'),
(14160, 'Validation des accès'),
(14161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nRevue de code'),
(14162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\nCR des réunions'),
(14163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\nSupport'),
(14164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nUpdate de mon env. PCA'),
(14165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nMCO EGIDE - Problème de chaine en erreur sur I2EGIDE (WKF_L_EGI_SECTEUR)  + plus d\'accès sur INT4EGID (problème de disque D: Saturé'),
(14166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0006315 (suite et Fin ?)'),
(14167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n1er appel mangin'),
(14185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nLancement des campagnes falcon USR 2.3.16 non reg sur INT3. Analyse des campagnes de Non reg Falcon USR 2.3.16 sur INT3. Analyse des campagnes de Non reg Falcon USR 2.4.6-1 sur INT2'),
(14173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\ninstallation de l\'env de dev sur le poste RSI'),
(14174, 'Point d\'avancement : \r\nLes règles sont codées, les TU sont initialisés\r\nCependant la gestion du message listant les assurés n\'ayant pas pu être basculées en assuré gratuit est simplement prévue mais non implémentée car en attente de spécification.'),
(14177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nMCO Court-Commercial du 23/02/2017'),
(14178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nExportation des incidents de prod'),
(14180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0006566 - DMT0006568 - création d\\\'un PDV de type BTP et d\\\'un PDV de type Enseigne intégré en secteur DD sur le transverse 2'),
(14181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nRAM.004 - DMT0006671 - Réaliser une cession du PDV LA VIRGULE sur le transverse 3'),
(14182, 'Souci lors de l\'utilisation de pck_flux_lib.prc_pop_ad :\r\n\r\n1) cette fonction me retourne des codes ADX (ayant droit de type indéterminé) => traitement de ces personnes a définir\r\n2) elle se base sur la sysdate => danger dans le cas limite du jour du traitement.\r\n\r\nDu coup je vais peut être devoir faire une fonction de détermination du type d\'ayant droit utilisant une date de traitement en paramètre.\r\nA voir fonctionnellement lundi 27/02/2017 avec Lindsay.'),
(14233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nMatrice des inputs utiliser par automatisation\\n'),
(14184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\n- Analyse nouveaux pb AppName manquant dans les fichiers d\'extraction PACMAN pour le SID => analys des logs (authenttification via /mugo)\r\n\r\n- Point avec le métier pour checker la contribution edwan du parcours d\'inscription\r\n\r\n- Mise à jour MODOP (Boutique R - adaptation log4j.xml pour la prod)\r\n\r\n- Tests évolution keepalive ParionsDirect\r\n'),
(14260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Cas de test Mify pour Olympia'),
(14261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Atelier de travail sur ETL\\n- Atelier Automatisation Sport - Vie des environnements'),
(16688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nCampagne + Resettlements + Réconciliations'),
(14528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nParions Drect finalisation qualif coté Android 1.0.035'),
(14194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nCampagne + Resettlements + Réconciliations'),
(14196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nCampagne + Resettlements + Réconciliations'),
(14198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nTR2 SIDCOM E attente - TR3 SIDC En attente - TR2 SIDC en attente -- Plantage général controlm'),
(14199, 'MAil de C.Millot : \r\n\r\nCorrectif à livrer avec CDAP lot2. \r\n\r\nCdt \r\n\r\n\r\nLe 24/02'),
(14200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nOLYMPIA Investigations anomalies ANO046512 / ANO047280 / ANO047458'),
(14228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nTDPEA-206 : [JEUX ILLIKO] Motors PDJ : etude des spec.\\nEpuration des scripts Falcon décommissionnés\\nQualification API Digishop A avant tag API\\nCorrection du libellé de l\\\'attribut FDJ_AdditionalOutputFields dans les .param des scripts Falcon'),
(14202, 'Proposition d\'Alaa vue et validée en l\'attente du retour officiel de la MOA'),
(14203, 'Christophe a remonté la question à la MOA, en attente de retour'),
(14204, 'Assemblage :  ok\r\nValidation : ok\r\nRecette : ok\r\nProduction : ok \r\n\r\n--> MAJ du gabarit de site\n\n'),
(14207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n[ABP OFFRE] Vérification ARJEL et ETL des nouveaux markets en MB et Live auto sur INT4\\n[PSMS] Montée en compétence pour le prochain pallier PSMS https://dzone.prod.fdj.fr:1443/confluence/display/SACS/PSMS+V2'),
(14209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Préparation de l\'installation '),
(14221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nInvestigation sur les logs ws\\nMise a jour des fichiers de configuration sur Ojab avec la gestion des debugs\\nCreation de l\\\'ANO047481\\nCréation de l\\\'ANO047493 '),
(15133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n- Contribution des 7 jeux motors sur l\\\'environnement de perf INT5\\n- Test du bon lancement des différents jeux'),
(14212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nil reste la mise la génération des flux XML pour FFS'),
(14213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nIl reste la génération des flux XML pour FFS. les logiques d\'appels et de gestions des retours ont été plusieurs fois repensé => Perte de temps\r\nPerte de temps également dans le post pour la liquidation automatique'),
(14215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nSAFERGAME : Point DT avec P.Maigne + point d\'avancement avec JC.Morel'),
(14659, 'Ajout des permissions de visualisation de fichier :\r\n\r\nDocuments and Media : Voir\r\nDocuments and Media > Bibliothèque de document : Voir\r\nDocuments and Media > Docuement : Voir\r\nDocuments and Media > Dossier de documents : Voir'),
(14218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nSAFERGAME : FRL doc deploiement Hudson V1.19+installation prodecure sudouser pour exécuter les scripts d\'arret/relance des composants');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(22922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nAnalyse job control M\\ncoproj bingo'),
(14254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nAnalyse des campagnes de Non reg Falcon USR 2.4.6-1 sur INT2. Lancement des campagnes d\\\\\\\\\\\\\\\'acceptance RTG 3.3.6 sur INT2 qui est branché sur la gateway SOA. Analyse des campagnes d\\\\\\\'acceptance RTG 3.3.6. Ecriture de cas de test pour Falcon USR'),
(14222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nRéunion client sur site'),
(14224, 'Deja implémenté'),
(14225, 'Deja implementée\n\n'),
(14226, 'Solution apportée, sujet clos'),
(14227, 'Solution implémentée. Sujet Clos PHA V1+'),
(14229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\netude réalisation bouchon'),
(18823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nAssistance MEP Olympia'),
(14231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n[PSMS] Lecture des docs PSMS V2 ;\r\n[ABP OFFRE] Création et MàJ des templates Betradar sur INT4 pour les tests ABP Offre auto;\r\n[Autres] Réunion de planning IQ Sport avec Fabien Billard de 14h à 15h'),
(14232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nTR2 SIDCOM KO Manque de données SGI // TR3 SIDC En attente // TR2 SIDC En attente'),
(14236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-28  (Do not remove this line) -->\nMise à jour de la documentation MCO EGIDE et assistance sur reprise de données depuis le 19/11/2016  Job I2_odyssee_ret_tickets en erreur sur TR2.'),
(14237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-29  (Do not remove this line) -->\nDMT Saga pour repousser des détaillants vers le SI Fi avec Valérie V + investigation sur anomalie  SAGA '),
(14238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-11-30  (Do not remove this line) -->\ninstallation de dump, patch et requête SQL - Création de JDD pour les tests Olympia - \r\nAnalyse des logs : le n° FDJ ne redescend pas de SAGA vers EGIDE'),
(14239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-01  (Do not remove this line) -->\nAnalyse de la chaine EGI-EGIDE (control-m): le n° FDJ ne redescend pas de SAGA vers EGIDE - Purge des données GDS (script et relance)'),
(14240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-02  (Do not remove this line) -->\nCréation et qualification de PDV sur int3 - Rédaction du guide documentaire du nouvel arrivant :\r\nV:\\SIO\\SYSI\\CDS ATOS\\Documentation\\DOCUMENTATION ATOS\r\nGuide d\'accueil FDJ-guideDocumentaire_v00.01\r\n'),
(14241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-05  (Do not remove this line) -->\nAssistance installation STIM avec Daniel Garcia'),
(14244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-06  (Do not remove this line) -->\nMCO Saga en erreur déblocage des chaines et Mise à jour du document applicatif de GDS.'),
(14245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-07  (Do not remove this line) -->\nCréation de JDD pour les tests Olympia et mise à jour de la documentation MCO Court Commercial '),
(14246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nSupport HIA pour EGIDE 4.20 sur le Transverse 2'),
(14248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-08  (Do not remove this line) -->\nCapitalisation doc centura'),
(14249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-12-09  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5\r\nRemarques remontées au CIQ dans fiche de Relecture BCO.084.36-RDI 1.05-FRL_Specifications SAGA_ETLV4\r\nMise à jour du One Notes avec le nouveau Template d\'Egide (How-to - EGIDE CRM new)\r\nCréation de JDD pour les tests Olympia\r\n'),
(14250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-17  (Do not remove this line) -->\nAnalyse des incidents de production'),
(14255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nLancement des campagnes de non reg RTG 3.3.6 sur INT2 qui est branché sur la gateway SOA. Analyse des campagnes de non reg RTG 3.3.6. Ecriture de cas de test pour Falcon USR'),
(14281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nOlympia Analyse anomalie ANO045777 + exécution de la non régression 20 cas de tests + 1 campagne d\\\'installation'),
(14282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nFinalisation de l\\\'uniformisation des fichiers de configuration Ojad et INT\\nPropagation sur tous les INTs et test de vérification\\nSuppression des anciens modèles des fichiers de configuration\\nInvestigation sur l\\\'impossibilité de supprimer une catégorie sur le module FAQ'),
(14259, 'Mail du 28/02 de Thierry Guiot : \r\n\r\nBonjour,\r\nSuite à la fourniture du compte sur l\'environnement MonCompte Partenaire de recette, j\'ai joué le scénario de télé-versement en interne CNAF et via Internet sans arriver à reproduire le problème du partenaire. Je suis bien entendu parti des postulats suivants: \r\n- que la production a le même comportement que le portail de recette ;\r\n- que la pièce jointe au Saxo est très exactement la pièce jointe que le partenaire tente de téléverser dans sa convention.\r\n\r\nNous sommes certainement en présence d\'un problème local ou d\'une spécificité du partenaire qui pourrait expliquer ce blocage.\r\n\r\nIl faut donc envisager un test en Live avec le  partenaire voire la mise en place de WireShark.\r\n\r\nCordialement,\r\nThierry GUIOT.'),
(14732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Cas de test Mify'),
(14731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Cas de test Mify'),
(14312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nSAFERGAME : Point d\\\'avancement FDJ/IBM'),
(14622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nRAM.004 ; ANO046748 qualifée sur INT2 (resecto+cession dans Egide)\\\\AFERGAME : ANO046567, ANO045893 qualifiées, création ANO047536'),
(14268, 'ID Test HP ALM : 743'),
(14441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nMerge API Falcon RTL 2.4.6\\\\nAjout du jeu motors \\\\\\\"InstantLoto2017\\\\\\\" sur INT2\\\\nEtude evolution jeu Motors lapouleauoeufsdor'),
(22923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nCampagne de test Bingo RWD - Release 1.3.121_57296 - Chrome\ninstallation docapi 2..4.7 FDL015728\npreparation int1 pour installation usr 2.4.7 et rtg 2.3.7'),
(14272, 'Bonjour Gwendoline,\r\n\r\nJe me permet de te router un saxo de premier niveau (INC0328009). Cela concerne un problème d’authentification.\r\n\r\nLa demande : \r\n\r\n« Bonjour,\r\nLorsque que je me connecte en temps qu\'administrateur (convention) ce matin je n\'avais pas de problème et cet après midi cela ne fonctionne plus.\r\nVoici les messages d\'erreur que ce soit sous IE8 ou sous Firefox:\r\nÉchec d\'authentification. Votre identifiant et/ou votre mot de passe est erroné lorsque je tape l\'identifiant et le mot de passe\r\nLa vérification du texte et/ou de l\'adresse e-mail que vous avez renseignée a échoué. lorsque je tape mot de passe oublié.\r\n\r\nNous sommes 3 dans ce cas et nous ne pouvons saisir ou valider des conventions pour mon compte partenaire. \r\nDans l\'attente d\'une solution »\r\n\r\nPourras-tu me prévenir quand ce problème sera résolu que je puisse clôturé le saxo.\r\n\r\nCordialement\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net'),
(14274, 'une partie du bug existait avant p74'),
(14275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nmontée en compétence sur Control M, et les scripts PL-SQL'),
(14276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nPartage de connaissance sur Postman afin de réaliser des PDJ via appel de service \r\nAtelier Control-M\r\nEchange avec Admin HP ALM pour extraction de Test Plan, définition de l\'extraction et mise en oeuvre par l\'admin HP ALM\r\n'),
(14406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nRéception d\\\'environnement IF, Recette d\\\'acceptance sur INT02 IF,\\nRédaction compte-rendu.'),
(14409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nEtude des nouveaux environnements IF, amélioration des fiches de tests.\\nMontée en compétence sur ControlM et Postman.'),
(14280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nOLYMPIA Installation FDL015721 sur le TR3'),
(14283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nReste à tout tester, et voir les problèmes de perfs (modif d\'un porteur qui possède 7 escales en cours => problème de transaction)'),
(14317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nSAFERGAME : Installation FDL015732, FDL015734, FDL015737  sur INT2'),
(14288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Installation FDL015716 - CSAM MEIBO - Partiel'),
(14289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Installation FDL015716 - CSAM MEIBO'),
(14291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n[RAM 004] Installation v9.21 de GDS FDL015045 et FDL015204 sur les TR1 et TR3'),
(14292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nBTI.049.08 YELLOW STONE : Secteur C220 basculé en mode de distribution DI --> DC sur les env. TR1 et TR2'),
(14296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nRéunion CIQ'),
(14297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n- Point avec Phillipe \r\n- Qualif PSBOR'),
(14298, 'Test HPalm associé: \r\n\r\nPHA-Cascades - Depuis un groupe utilisateur -édition groupe - MAJ de la date clôture du responsable habilitation X (admin CAF ou partenaire)\r\n\r\nX allant de 1 à 4\n\n'),
(14299, 'Test HPalm associé:\r\n\r\nPHA-Cascades - Depuis un groupe utilisateur -création groupe - MAJ de la date clôture du responsable habilitation X (admin CAF ou partenaire)\r\n\r\nX allant de 1 à 4\n\n'),
(14300, 'Bertrand,\r\n\r\nOui c’est la même plage.\r\n\r\nC’est bon pour le port.\r\n\r\nJérémy\r\n\r\n\r\nFrom: MARLE, BERTRAND \r\nSent: Monday, February 27, 2017 9:37 AM\r\nTo: CHATTON, JEREMY\r\nSubject: RE: Demande d\'accès sur le FTP production\r\n\r\nBonjour jeremy\r\n\r\nA voir si la plage est la même que les autres (ou pas)\r\nIl est possible que le port ne soit pas autorisé en sortie d’atos ?\r\n\r\nCdt\r\n\r\nMARLE Bertrand\r\nProject Manager - Atos \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTelephone : +33(0)4 92 95 23 06\r\n@mail: bertrand.marle@atos.net\r\nhttp://atos.net\r\n\r\nFrom: CHATTON, JEREMY \r\nSent: Friday, February 24, 2017 11:20 AM\r\nTo: Maxime MULTARI 06E; Gerald CAUVIN 06E\r\nCc: Marc TRACEZ 06E; Olivier CALMELS 06E; Arnaud MEOUCHY 06E; Florent BEYSSAC 06E; Xavier BOTTEX 06E; MARLE, BERTRAND; Christophe MILLOT 06E; servapp.dsi-doit@cnaf.fr\r\nSubject: RE: Demande d\'accès sur le FTP production\r\n\r\nMaxime,\r\n\r\nIl s’agit d’une connexion via FileZilla… nous arrivons à nous connecter avec 3 autres IP sauf les deux dernières… \r\n\r\n@Gerald : As-tu une idée du problème ?\r\n\r\nCordialement,\r\nJérémy\r\n\r\nFrom: Maxime MULTARI 06E [mailto:maxime.multari@cnaf.fr] \r\nSent: Friday, February 24, 2017 11:09 AM\r\nTo: CHATTON, JEREMY\r\nCc: Marc TRACEZ 06E; Olivier CALMELS 06E; Arnaud MEOUCHY 06E; Florent BEYSSAC 06E; Xavier BOTTEX 06E; MARLE, BERTRAND; Christophe MILLOT 06E; Gerald CAUVIN 06E\r\nSubject: RE: Demande d\'accès sur le FTP production\r\n\r\nBonjour,\r\n\r\nJe vous vois effectuer les connexions sur le port 22 des machines. La connexion s’effectue correctement au niveau réseau.\r\nLe problème n’est plus de mon ressort.\r\nPour les problèmes applicatifs, il faut vous tourner vers votre chef de projet CNAF.\r\n\r\nCordialement,\r\n\r\n\r\n \r\n\r\n\r\n\r\nDe : CHATTON, JEREMY [mailto:jeremy.chatton@atos.net] \r\nEnvoyé : vendredi 24 février 2017 11:00\r\nÀ : Maxime MULTARI 06E <maxime.multari@cnaf.fr>\r\nCc : Marc TRACEZ 06E <marc.tracez@cnedi06.cnafmail.fr>; Olivier CALMELS 06E <o.calmels@cnafmail.fr>; Arnaud MEOUCHY 06E <arnaud.meouchy@cnedi06.cnafmail.fr>; Florent BEYSSAC 06E <florent.beyssac@cnedi06.cnafmail.fr>; Xavier BOTTEX 06E <xavier.bottex@cnafmail.fr>; MARLE, BERTRAND <bertrand.marle@atos.net>; Christophe MILLOT 06E <christophe.millot@cnafmail.fr>; Gerald CAUVIN 06E <gerald.cauvin@cnafmail.fr>\r\nObjet : RE: Demande d\'accès sur le FTP production\r\n\r\nBonjour Maxime,\r\n\r\nMalheureusement ça ne marche toujours pas avec les deux nouvelles adresses IP. Voici le message d’erreur :\r\n\r\nStatut :        Connexion à jee1cdapvrc3.adm.dmz.cnaf... \r\nRéponse :       fzSftp started, protocol_version=5 \r\nCommande :      open \"wasadmin@jee1cdapvrc3.adm.dmz.cnaf\" 22 \r\nCommande :      Approbation de la nouvelle clé de l\'hôte : Une seule fois \r\nCommande :      Pass: ******** \r\nErreur :        Échec de l\'authentification. \r\nErreur :        Erreur critique : Impossible d\'établir une connexion au serveur\r\n\r\nPouvez-vous rediriger vers le composant qui pourrait résoudre ce genre de problème ?\r\n\r\nMerci,\r\nJérémy\r\n\r\nFrom: Maxime MULTARI 06E [mailto:maxime.multari@cnaf.fr] \r\nSent: Friday, February 24, 2017 7:54 AM\r\nTo: CHATTON, JEREMY\r\nCc: Marc TRACEZ 06E; Olivier CALMELS 06E; Arnaud MEOUCHY 06E; Florent BEYSSAC 06E; Xavier BOTTEX 06E\r\nSubject: RE: Demande d\'accès sur le FTP production\r\n\r\nRe-bonjour,\r\n\r\nJe viens de modifier les accès pour n’autoriser plus que le SFTP (port 22).\r\n\r\nSi cela ne fonctionne toujours pas, il faudra voir avec la personne administrant la machine qu’elle vérifie le fonctionnement du service.\r\n\r\nCordialement,\r\n\r\n\r\n \r\n\r\n\r\n\r\nDe : CHATTON, JEREMY [mailto:jeremy.chatton@atos.net] \r\nEnvoyé : jeudi 23 février 2017 16:27\r\nÀ : Maxime MULTARI 06E <maxime.multari@cnaf.fr>\r\nCc : Marc TRACEZ 06E <marc.tracez@cnedi06.cnafmail.fr>; Olivier CALMELS 06E <o.calmels@cnafmail.fr>; Arnaud MEOUCHY 06E <arnaud.meouchy@cnedi06.cnafmail.fr>; Florent BEYSSAC 06E <florent.beyssac@cnedi06.cnafmail.fr>; Xavier BOTTEX 06E <xavier.bottex@cnafmail.fr>\r\nObjet : RE: Demande d\'accès sur le FTP production\r\n\r\nMaxime,\r\n\r\nLes utilisateurs n’arrivent pas à se connecter, voyez-vous les tentatives de connexion ?\r\n\r\nMerci,\r\nJérémy\r\n\r\nFrom: Maxime MULTARI 06E [mailto:maxime.multari@cnaf.fr] \r\nSent: Thursday, February 23, 2017 4:08 PM\r\nTo: CHATTON, JEREMY\r\nCc: Marc TRACEZ 06E; Olivier CALMELS 06E; Arnaud MEOUCHY 06E; Florent BEYSSAC 06E; Xavier BOTTEX 06E\r\nSubject: RE: Demande d\'accès sur le FTP production\r\n\r\nBonjour,\r\n\r\nVeuillez accepter mes excuses, je n’avais pas vu la modification.\r\n\r\nLes accès sont maintenant ouverts.\r\n\r\nCordialement,\r\n\r\n \r\n\r\n\r\n\r\nDe : CHATTON, JEREMY [mailto:jeremy.chatton@atos.net] \r\nEnvoyé : jeudi 23 février 2017 15:34\r\nÀ : Maxime MULTARI 06E <maxime.multari@cnaf.fr>\r\nCc : Marc TRACEZ 06E <marc.tracez@cnedi06.cnafmail.fr>; Olivier CALMELS 06E <o.calmels@cnafmail.fr>; Arnaud MEOUCHY 06E <arnaud.meouchy@cnedi06.cnafmail.fr>; Florent BEYSSAC 06E <florent.beyssac@cnedi06.cnafmail.fr>; Xavier BOTTEX 06E <xavier.bottex@cnafmail.fr>\r\nObjet : RE: Demande d\'accès sur le FTP production\r\n\r\nBonjour Maxime,\r\n\r\nLes accès ne sont pas tous bon, tu trouveras le statut ci-dessous :\r\n\r\n\r\n•             jee1cdapp1.adm.dmz.cnaf  OK\r\n•             jee2cdapp1.adm.dmz.cnaf   OK\r\n•             jee3cdapp1.adm.dmz.cnaf   OK\r\n•             dmgrsportailsp1.adm.dmz.cnaf   OK\r\n•             dmgrsportailsp2.adm.dmz.cnaf   OK\r\n•             jee1cdapp2.adm.dmz.cnaf   OK\r\n•             jee2cdapp2.adm.dmz.cnaf   OK\r\n•             jee3cdapp2.adm.dmz.cnaf  OK\r\n•             dmgrsportailsvrc3.adm.dmz.cnaf  KO  \r\n•               jee1cdapvrc3.adm.dmz.cnaf KO\r\n\r\nDe plus, ces mêmes IP doivent accéder à la base de données de recette située en DMZ, voici l’adresse :\r\n•             pgs1cdapr1.adm.dmz.cnaf :50000 (utilisateur pps000r)  OK\r\n\r\nMerci,\r\nJérémy\r\n\r\nFrom: Maxime MULTARI 06E [mailto:maxime.multari@cnaf.fr] \r\nSent: Thursday, February 23, 2017 8:11 AM\r\nTo: CHATTON, JEREMY; Marc TRACEZ 06E; Olivier CALMELS 06E; Arnaud MEOUCHY 06E; Florent BEYSSAC 06E; Xavier BOTTEX 06E\r\nSubject: RE: Demande d\'accès sur le FTP production\r\n\r\nBonjour,\r\n\r\nLa demande a été traitée.\r\n\r\nCordialement,\r\n\r\n\r\n \r\n\r\nDe : agent.notes@cnafmail.fr [mailto:agent.notes@cnafmail.fr] De la part de secutech.dsi-doit@cnaf.fr\r\nEnvoyé : mercredi 22 février 2017 15:30\r\nÀ : Marc TRACEZ 06E <marc.tracez@cnedi06.cnafmail.fr>; Olivier CALMELS 06E <o.calmels@cnafmail.fr>; Arnaud MEOUCHY 06E <arnaud.meouchy@cnedi06.cnafmail.fr>; Florent BEYSSAC 06E <florent.beyssac@cnedi06.cnafmail.fr>; Maxime MULTARI 06E <maxime.multari@cnaf.fr>; Xavier BOTTEX 06E <xavier.bottex@cnafmail.fr>\r\nObjet : RE: Demande d\'accès sur le FTP production\r\n\r\nEnvoyé par : \"CHATTON, JEREMY\" <jeremy.chatton@atos.net>\r\nEnvoyé à : \"secutech.dsi-doit@cnaf.fr\" <secutech.dsi-doit@cnaf.fr>\r\nEn copie à : \"MARLE, BERTRAND\" <bertrand.marle@atos.net>;\"christophe.millot@cnafmail.fr\" <christophe.millot@cnafmail.fr>\r\n\r\n \r\nBonjour,\r\n \r\nJe complete la demande avec le FTP de recette.\r\n \r\nMerci,\r\nBonne journée,\r\nJérémy\r\n \r\n_____________________________________________\r\nFrom: CHATTON, JEREMY \r\nSent: Wednesday, February 22, 2017 3:13 PM\r\nTo: \'secutech.dsi-doit@cnaf.fr\'\r\nCc: MARLE, BERTRAND; christophe.millot@cnafmail.fr\r\nSubject: FW: Demande d\'accès sur le FTP production\r\n \r\n \r\nBonjour, \r\n \r\nNous souhaitons rajouter des accès au FTP de production afin de pouvoir récupérer les logs applicatifs, nous effectuons des analyses journalières sur ceux-ci.\r\n \r\nIl faut rajouter les Ips suivantes : \r\n•       192.168.232.56   \r\n•       192.168.232.37\r\n \r\nSur les serveurs suivants :\r\n \r\n•	jee1cdapp1.adm.dmz.cnaf \r\n•	jee2cdapp1.adm.dmz.cnaf \r\n•	jee3cdapp1.adm.dmz.cnaf \r\n•	dmgrsportailsp1.adm.dmz.cnaf \r\n•	dmgrsportailsp2.adm.dmz.cnaf \r\n•	jee1cdapp2.adm.dmz.cnaf \r\n•	jee2cdapp2.adm.dmz.cnaf \r\n•	jee3cdapp2.adm.dmz.cnaf\r\n\r\n \r\n  \r\n•	+ dmgrsportailsvrc3.adm.dmz.cnaf \r\n•	+ jee1cdapvrc3.adm.dmz.cnaf\r\n \r\n\r\n \r\nLe compte aujourd’hui utilisé par les accès déjà ouverts est le wasadmin en FTP.\r\n \r\nDe plus, ces mêmes IP doivent accéder à la base de donnée de recette située en DMZ, voici l’adresse :\r\n•	pgs1cdapr1.adm.dmz.cnaf :50000 (utilisateur pps000r)\r\n\r\n \r\n \r\nMerci,\r\nCordialement,\r\nJérémy CHATTON\r\n \r\n \r\n--------------------\r\nJérémy CHATTON\r\n \r\njeremy.chatton@atos.net\r\nLe Millenium\r\n150 Allée Pierre Ziller\r\n06905 Sophia Antipolis cedex\r\nTel : 04 92 95 23 78\r\n \r\nIngénieur développeur ATOS\r\n<< OLE Object: Picture (Device Independent Bitmap) >>\n\n'),
(17928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(19725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nVérification de la pré livraison 2.16.3\\nTest de configuration de la borne illikolive\\nInvestigation anomalie de conf drupal webapp loto + creation ANO048712\\nInvestigation sur le fonctionnement des patchs sur drupal'),
(17930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nHPALM'),
(17931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nMaj du traitement batch de remplissage du tableau de bord des gels de compte.\r\nAjout d\'un script sql pour l\'ajout d\'une colonne & le remplissage de celle ci.'),
(17937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\npoint avec LIndsay sur la reprise de son travail sur le 03S'),
(17936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n'),
(17938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(18004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nSAFERGAME : Qualification ANO048268, ANO048266- Création ANO048716, ANO048719, '),
(18068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nSPOC_ redaction des cas de test freebet'),
(18059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nSPOC : Exécution campagne Freebet sur int8'),
(17953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nStock Grattage TR2 Installation de la FDL016223 '),
(17954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nSIDCOM TR2 OK après reprise du 10/04 // SIDCOM TR3 analyse en cours // SIDC TR2 analyse en cours // SIDC TR3 analyse en cours'),
(17999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nExécution et analyse de la campagne Falcon USR 2.5.3 - Acceptance API & DB. Exécution  campagne de NR 2.5.3'),
(18153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\ninstallation Bingo BFF et BGA sur int3\ninstallation livraison bingo 1.3.123.58445\nParametrage front int3 pour le métier'),
(18155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\ntest sur postman'),
(21587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nredaction de test postman'),
(17960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nInstallation falcon USR sur INT0\r\nModification des appels postman suite à modification de digishopA'),
(18045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nInstallation du jeux Motors \\\"Duel de cartes V2\\\" sur INT0//INT02\\nAnalyse des difficultés rencontrées lors de la déclaration du jeu : absence des composants Journaling sur INT0'),
(18065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nmontée en compétence sur Control-M et informatica PowerCenter (ETL)'),
(17964, 'Dans les logs du 12 Avril apparaissent deux type d\'erreurs récurrentes lors du passage du batch :\r\n\r\n1) Des CustomGroupAuthorization sont liées à des entités ApplicationInstance NULL.\r\n\r\n[2017-04-18 03:13:38] ERROR liferay/scheduler_dispatch-4 CustomGroupAuthorizationLocalServiceImpl :  Erreur sur la recuperation de l\'application : cnaf.partenaires.pha.portlet.NoSuchApplicationInstanceException\r\n[2017-04-18 03:13:38] ERROR liferay/scheduler_dispatch-4 CustomGroupAuthorizationLocalServiceImpl :  Erreur : l\'application est null.\r\n\r\n=> Pas de détails dans les logs : impossible à pousser l\'analyse\r\n\r\n2) Une erreur est catch lorsqu\'un administrateur 2 d\'une convention n\'existe pas et donc que son id est 0, celui ci étant facultatif aucune erreur ne devrait être remontée.\r\n\r\n=> Correction apportée et testée : va être poussée en maint'),
(17965, 'test HPalm mis à jour:\r\n\r\nPHA-Cas nominaux - Formaliser une convention - cas nominal 1'),
(17967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Lecture des documentations pour écriture des cas de test Combinée Boosté et ETL-SID-COMPTA\r\n\r\n[ABP OFFRE][SPEED UP] Tests ARJEL et ETL des nouveaux  markets Foot sur INT7 et INT3\r\n\r\n[ABP OFFRE][SPEED UP] MàJ des codes ARJEL sur INT3 pour la réalisation des tests des nouveaux markets'),
(17968, 'Réception du nouveau dico des données pour vérifier la valeur du code : mise à jour à faire'),
(17969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM du jour+ Bug review+ Point de synchro IBM/FDJ'),
(17970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nStock Grattage Remise en état TR2 pour qualification des 3 FDLs FDL016182 FDL016195 FDL016223 et saisie d\'une anomalie ANO048738'),
(17972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nExécution Campagne de test Non Reg'),
(17973, 'Bonjour Olivier,\r\n\r\nJe vous contacte par rapport au saxo n°  INC0335931.\r\nLa convention \"Ville de St Dizier\" est bien créée et ouverte.\r\nPouvez-vous m\'indiquer si les deux administrateurs de la convention ont bien reçu leurs identifiants et mots de passe ?\r\nSi oui, il suffit de cliquer sur \"mot de passe oublié\" à partir de la page d\'authentification du portail partenaire pour recevoir un nouveau mot de passe. \r\n\r\nJe profite également de ce mail pour répondre à votre question fonctionnelle.\r\nPour associer l\'administrateur partenaire au groupe utilisateur, à partir de la liste des groupes, allez sur autres actions et séléctionnez \"Ajouter l\'utilisateur au groupe\".\r\nChoisissez, depuis la liste déroulante, l\'utilisateur que vous voulez ajouter au groupe et cliquez sur le bouton \"ajouter au groupe\".\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(17974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(17975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nGestion des incidents'),
(17976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nMCO - EGIDE'),
(17977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Contribution pour test Resocom par SOPRA'),
(18409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 -  ALM  projet MOBILIN + création de 8 cas de test'),
(18123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nValidation et tag API pour résoudre un problème de Session sur ITF 2.0.1\\n[ITF] Atelier automatisation\\n[ITF] correctif sur script ITFPostGameBet dans la gestion du token anti-rejeu en mode N1\\n[Falcon] Etude des diff et génération du nouvel USR 2.5.3-1'),
(17981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Lecture des documentations pour écriture des cas de test Combinée Boosté et ETL-SID-COMPTA\r\n\r\n[ABP OFFRE][SPEED UP] Tests ARJEL et ETL des nouveaux  markets Foot sur INT3\r\n\r\n[ABP OFFRE][SPEED UP] Lancement des matchs Live sur INT3 pour les tests des nouveaux markets\r\n\r\n[ABP OFFRE][SPEED UP] Actualisation des templates Foot sur INT3 pour les tests des nouveaux markets\r\n'),
(17984, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\najout de champs et méthodes en plus'),
(18013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nImplémentation test auto Falcon ITG. Lancement campagne acceptance et non regression Falcon ITG 2.2.6 sur INT9 plus analyse.'),
(18005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nSAFERGAME : Création ANO048722, ANO048748, ANO048773'),
(17998, 'J\'ai appelé l\'intervenante de la caf par téléphone et le problème est résolu sauf qu\'il est affecté à l\'équipe fonctionnel, donc impossible à modifier.\r\n\r\ncommentaire à mettre dans le saxo, et le rediriger vers l\'ancienne équipe:\r\n\r\nIl est impossible de réouvrir une convention qui a été cloturé.\r\nPar contre, vous pouvez créer une nouvelle convention avec le même organisme deja créé.\r\nIl suffit juste de sélectionner l\'organisme concerné.\r\n\r\nCordialement,\n\n'),
(18953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nAnalyse et correction de la campagne NR Falcon USR 2.5.3'),
(18954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nAnalyse et correction de la campagne de NR Falcon USR 2.5.3'),
(18952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nAnalyse et correction de la campagne de NR sur Falcon USR v.2.5.2'),
(18006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nImplémentation PT Auto Batch CheckCertification'),
(18007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nImplémentation PT Auto Batch CheckCertification'),
(18253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nImplémentation PT Auto Batch CheckCertification'),
(18010, 'Bonjour Tiffany,\r\n\r\nJe vous contacte par rapport au problème n° PB0005282.\r\nJ\'ai fait le test de consulter le dossier allocataire 1000200 avec l\'utilisateur qui a remonté le saxo initiateur n° INC0334612.\r\nEt j\'ai pu accéder au dossier sans qu\'aucun message d\'erreur n\'apparaisse à l\'écran.\r\nPouvez-vous refaire le test et voir si vous y avez accès ? \r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(18082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nImplémentation test auto Falcon ITG. Lancement campagne acceptance et non regression Falcon RTG 2.3.7 sur INT9 plus analyse.'),
(18015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + maj tests ALM'),
(14301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nBFR.045.35-DEFI-CGV : Réunion stratégie de test'),
(14370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nTR2 SIDCOM OK // TR2 SIDC En attente purse Falcon// TR3 OK'),
(14308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne de test, qualification d\'anomalies'),
(14309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n[OLYMPIA] Exécution campagne de test RUN2, qualification d\'anomalies avec LOTSYS\r\n[IF] Réunion suivi campagne de test + liquidity manager'),
(14314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nRéunion d\'architecture (+QlWeb +ALSH)'),
(14623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nSAFERGAME : Point d\\\'avancement FDJ/IBM'),
(14624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n\\\'BFR.066.31 [ME] FINANCE : Qualification MOD010239 sur INT2'),
(14495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nSAFERGAME : Tests FDL015732, FDL015734, FDL015737  sur INT2'),
(14319, 'Bonjour Sandrine,\r\n\r\nN’ayant pu vous joindre par téléphone, j’aimerais avoir plus de précisions sur le saxo remonté par Favory Ghislaine (INC0328030).\r\n\r\nVoici néanmoins quelques informations, dans l’attente d’un retour : \r\n- L’organisme partenaire n’est pas supprimé mais bien clôturé. Pour le voir il faut sélectionner l’élément « Tous » dans le filtre « Statut ».\r\n- Vous pouvez rouvrir votre organisme partenaire en modifiant sa date de clôture et apporter des modifications à ce dernier.\r\n- Les seuls champs modifiables d’un organisme partenaire sont : sa raison sociale, le NIC du Siret, son département et la date de clôture. \r\n\r\nN’hésitez pas à me contacter directement par téléphone.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(14320, 'Il reste à faire les choses suivantes pour cette tâche :\r\n=> Appliquer les derniers jeux de couleurs\r\n=> Gérer la problématique de l\'affichage dans le bandeau (Titre de la page, écran courant ?)'),
(14323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n[OLYMPIA] Non Reg Front (site et mobile) sur INT7 de la version \r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_13-13\r\nABP:            14.1.30.0-SNAPSHOT 19\r\nMOBILE:         5\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.169\r\n\r\n[FACTORY] Préparation des fichiers d\'offre pour le Portugal\r\n\r\n\r\n\r\n'),
(14329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nRépétition avec HIA de la MEP P1 Yellowstone sur INT4\r\nTest d\'acceptance P1 effectué mais KO en attente de la fin des mises a jour de tous les composants pour yellowstone'),
(14330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nSAFERGAME : Installation FDL015588 sur INT4, maj pivot rdst'),
(14331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Création du secteur C123 sur SAGA / GDS et EGIDE dans l\'env. TR3 pour la phase de qualification du projet.'),
(14332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Création du secteur C123 contrôle des flux SAGA --> Egide et boucle ISO et bascule du secteur en DI.'),
(14333, '1/ Un message d’erreur indiquant que le numéro et le nom de l’allocataire ne correspondent pas s’affiche en premier lieu avant d’être effacé\r\n2/ Le check du nom ne s’effectue qu’à la première recherche d’allocataire pas au suivante -> il faut effectuer cette opération à chaque recherche sur d’allocataire : avant de commit on fera une revue de code ensemble'),
(14334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nBCO.084.36-RDI 1.05 : Support recette en cours. Recherche des données PDV 63358'),
(14335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Prise de connaissance des spécifications SAGA.'),
(14359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nRAM.004 : Veille sur les traitements WKF_T_ALARMES_TIRAGE et WKF_L_ALARMES_TIRAGE dans les env. d\\\'intégration TR2 et TR3.'),
(14360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Etude du projet.'),
(14339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nExportation des incidents de prod'),
(14341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nEGIDE 4.30 - Rédaction exigences et 22 cas de tests'),
(14635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nMCO Court-commercial du 27/02/2017'),
(14345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - Création secteur 123 (prise de connaissance)'),
(14346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nExportation incidents de prod'),
(14347, '1/ C\'est dû à l\'initialisation de la variable à false => corrigé \r\n\r\n2/ Pareil, il faut réinitialiser la variable à false avant chaque test de NewSearch'),
(14348, 'Commentaire de Loic Mercier : \r\n\r\nEn fait c\'est une anomalie deja repérée l\'année dernière, je l\'ai corrigé mais comme j\'ai pas pu tester convenablement je l\'ai pas livré dans CafPro\r\nPar contre CDAP a pris la correction\r\nDonc faut que je fasse la correction de la correction\r\n'),
(14349, 'Problème d\'encodage corrigé'),
(14355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n[Tests AUTO]: Purge, Modification des Templates/Pricers + [PSMS_V2]: Lecture Spec'),
(14356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b19 / INT7]: Tests d\\\\\\\'Acceptance + [Réunion]: Vie des Environnements + [Tests AUTO] : Maj Template/Pricer'),
(14357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b19 / INT7]: Campagne NonReg BACK Light'),
(14358, 'Bonjour,\r\n\r\nLe problème a été résolu.\r\n\r\nMerci de nous confirmer que tout est OK.\r\n\r\nCordialement\r\n\r\nSaid Zerrouki\r\n\r\n\r\n\r\n\r\nDe :	Sandrine AMAR/CAFROSNY/CNAF\r\nA :	Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF, \r\nDate :	01/03/2017 14:59\r\nObjet :	RE: [saxo INC0328030][mantis 17490] Problème création d\'un organisme partenaire exsitant\r\n\r\n\r\n\r\nBonjour,\r\n\r\nJe souhaite changer le type de partenaire par : ENF\r\n\r\nActuellement, il est en ACC :\r\n\r\n\r\n\r\nCordialement.'),
(14369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nOLYMPIA Analyse des anomalies notamment ANO045777'),
(14363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n- Test Qualif Point sur la BORNE\\n- Formation Stephane'),
(14631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nRAM.004 : PV de qualification MOD010239\\\\\\\\nSAFERGAME : Extraction données de prod SAGA sur INT4'),
(14497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nSAFERGAME : Bug review + point avancement FDJ/IBM'),
(22924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\ninstallation usr 2.4.7 rtg 2.3.7 sur int3'),
(14373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nQualification Android 1.0.35 (FDL015674) et IOS 1.0.26 (FDL015675)\r\nSupport MEP Olympia (max 15 min)'),
(14372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nPoint RAF projet Olympia'),
(14374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nRéunion avec Philippe pour un état des lieux des composants WSPO, SPDV, WSPDV, Parionsdirect IOS et Android.'),
(14375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nSuite qualification Parionsdirect IOS 1.0.026\r\nAcceptance Parionsdirect IOS 1.0.027'),
(14381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nNormalement avancement Olympia par rapport à la MES.'),
(14380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nAvancement qualification Parionsdirect IOS 1.0.027.\\\\nCréation des MOD011081 et MOD011082.\\\\nTest session dans les applications natives.\\\\nSupport WSPO (composant front) au back.'),
(14475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nCampagne Acceptance 14.1.30.0-SNAPSHOT 19 sur INT7\\\\\\\\\\\\\\\\nDifficultés rencontrées:  PSEL mobile non accessible  + pb  inscription Parions Direct sur INT7 \\\\\\\\\\\\\\\\Régressions signalées dès leur détection.'),
(14477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nbugreview App Mobile Hasard Loto Yellowstone'),
(14472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nFin campagne Acceptance  14.1.30.0-SNAPSHOT 19.\\\\\\\\\\\\\\\\nRéexécution des cas de tests passés la veille avec PSEL mobile + exécution des derniers cas de tests .\\\\\\\\nC\\\\\\\'était ma exécution de cette campagne .'),
(14392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nTests IF'),
(14393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nTests IF'),
(14394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nTests IF'),
(14395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nTests IF'),
(14396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nTests IF'),
(14398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nAuto Dev Point Hebdo.\r\nVuGen Websocket (finalisation des tests de protocole STOMP)'),
(16326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nVuGen WS (finalisation des recommandations et du rapport d\'analyse technique).\nBlocs GAM réalisation.'),
(14401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nAtelier Gamification. IF Atelier tests auto. Comité automatisation.\\nRéunion de préparation des scripts scénarisés de PDJ contrôlée et orchestrée de jeux gamifiés.'),
(14402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nIF présentation des tests d\'acceptance.\r\nAnalyse de l\'architecture et de la cinématique des scripts de PDJ gamifiée.\r\nRéalisation des blocs MOTORS gamifiés (début).'),
(14403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nFormation Malik\r\nEcriture scripts postman'),
(14404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nAnalyse de l\'architecture et de la cinématique des scripts de PDJ gamifiée.\r\nRéalisation des blocs MOTORS gamifiés (début).'),
(14470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nCampagne INTEGRATION SYSTEM 14.1.30.0-SNAPSHOT 19  sur INT7'),
(14466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nExécution des campagnes falcon Olympia / Yellowstone'),
(14408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nRecette d\\\\\\\'acceptance sur l\\\\\\\'environnement INT02 et INT01.\\nPrésentation des tests d\\\'acceptance à l\\\'équipe projet.'),
(14410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - installation  FDL015477 EGIDE 4.30 sur INT8EGID'),
(14412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - installation  FDL015477 EGIDE 4.30 sur INT3EGID'),
(14413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Installation FDL015718 - CSAM MEIBO Sign&Go - Partiel'),
(14476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nTests campagne 14.1.30.0-SNAPSHOT 10   INT3  (10 tests)'),
(14421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nAtelier de travail ETL avec Lyna\\nCampagne acceptance sur INT7'),
(16177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nExécution des derniers cas de tests sur la gestion de la dette (PMD) : projet ALM Olympia.'),
(14432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nRéunion gestion matchs créés par la Vie des environnements avec Raphaël'),
(14614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n- Compilation PROD ParionsDirect\\\\\\\\n- Installation PSBO, WSPDI, WSPO'),
(14431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nRéunion d\'avancement avec Raphaël'),
(14711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nChoix et paramétrage des matchs Lives utilisés par l\\\\\\\'automatisation\\\\nCampagne Non Reg INT7'),
(14454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nAtelier Gamification\\nITF : Atelier automatisation\\nEtude diff json API ITF 2.0.0RC2//RC1 : regénération API inutile\\nEtude diff json API Falcon 2.4.7//2.4.6 et 2.5.1//2.4.6 : regénération API inutile\\nDIGITAIL : comité automatisation\\nAtelier gamification et etude blocification script Motors controlé'),
(14438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nControle , test sur site de prod, suite MEP OLympia / PMD DEFI CONFORMITE'),
(14443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nYellowstone : Install et tests qualif MUG 2.7.19 - FDL015723'),
(14444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nYellowstone :\\n- Qualifications ANO047295 / ANO047427 / ANO047048 \\n- Rédaction Mode OP'),
(14453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nATELIER concernant la NON-REG POLY sur la version 2.4.7 YELLOWSTONE'),
(14447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b19 / INT7]: Campagne NonReg BACK Light'),
(14448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nYellowstone : \r\n- Mise à niveau INT32 / INT22 pour Bascule\r\n- Mise à jour Digishop sur 21'),
(14449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nYellowstone : \r\n- Mise à niveau INT32 / INT22 pour Bascule\r\n- Mise à jour Digishop sur 21'),
(14450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b19 / INT7]: Campagne NonReg BACK Light'),
(14451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nProblème sur tous les ENV (services digi A KO) suite MàJ Falcon. Résolution du souci en collaboration avec l\'équipe back.'),
(14452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nCoproj Coco'),
(14456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nBug review Stream Coco'),
(14457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nNon rég globale INT31 pour MEP Yellowstone'),
(14653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nMOTORS  : Evolution du script et API contrôlé pour la poule aux œufs d\\\'or, optimisation du code, qualification\\nMOTORS : etude orchestration du nouveau jeu pick&match'),
(14459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nPréparation (slides) présentation yellowstone (MUG + Digi U)'),
(14460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nRéunion / Point équipe IQ + HIA : passage de connaissances Olympia / Yellowstone'),
(14462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nAjout Tests (applis mobiles / portails) sur Référentiel Digital Front afin d\'étoffer le catalogue de tests de qualif'),
(14464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n2x Etat des lieux journalier des jobs control-m sur I3 Multimédia \r\nMontée en compétence batchs et etl\r\nCréation d\\\'une documentation sur les jobs control-m sur I3 Multimédia'),
(14467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nExécution des campagnes falcon Olympia / Yellowstone'),
(14468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nSuite campagne INTEGRATION SYSTEM 14.1.30.0-SNAPSHOT 19  sur INT7'),
(14469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nVie des environnements : suivi'),
(14471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nExécution des campagnes falcon Olympia / Yellowstone'),
(14473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nVie des environnements'),
(14478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nContinuité tests sur application natives loto yellowstone IOS et Android + remontée d\'erreur + backup J.Massano sur Webapp '),
(14479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nContinuité des tests yellowstone appli native IOS et Android + backup J.Massano\r\nWebapp - Loto 2.0.50_wloto FDL015724 instal + test\r\nCréation ANO047550'),
(14480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nInstallation Hasard, eDwan , MAPI, MOBI, MRCD en l\'absence de M.PUECH sur INT31 pour tests bascule Yellowstone (demande M.MALA VIAU)\r\nTest historique prise de jeux suite ANO047550 pour retrouver d\'ou vient l\'ano'),
(14481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nCompilation application native loto android pour mise en prod + continuité analyse ANO047550 + continuité analyse des application loto IOS et Android'),
(14482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\nIntervention sur SAGESS'),
(14483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nContinuité test application native'),
(14484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nAjout des dernières corrections dans les scripts de build auto'),
(14485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n[OLYMPIA] Non Reg Front (site et mobile) sur INT7 de la version \r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_13-13\r\nABP:            14.1.30.0-SNAPSHOT 19\r\nMOBILE:         5\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.169\r\n\r\nALM >> PROJET: SPORTS_2013 > CDS Test Atos > BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14.1.30.0-OLYMPIA-19\r\n\r\n[ABP OFFRE] Actualisation des templates Betradar FEED pour les tests ARJEL et ETL,'),
(14486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n[OLYMPIA] Non Reg Front (site et mobile) sur INT7 de la version \r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_13-13\r\nABP:            14.1.30.0-SNAPSHOT 19\r\nMOBILE:         5\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.169\r\n\r\n[OLYMPIA] Passage de connaissance Olympia 14h à 16h \r\n[IQ SPORT] Réunion de planning Sport 15h à 16h30');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(14498, 'Maj des tests :\r\n\r\nPHA-Entités-Services-Créer - avec validation de la saisie\r\nPHA-Entités-Conventions-Créer - une convention et créer les administrateurs\r\nPHA-Entités-Conventions-Créer - une convention et créer un bulletin d adhésion - avec annulation de la saisie (2 niveaux) (admin CAF)\r\nPHA-Entités-Conventions-Créer - une convention et créer un bulletin d adhésion - avec validation de la saisie (2 niveaux) (admin CAF)\r\nPHA-Entités-Conventions-Créer - une convention et créer un bulletin d adhésion - avec validation de la saisie (2 niveaux) et envoi d email aux verificateurs (admin CAF)\r\nPHA-Entités-Conventions-Créer - Une convention sans administrateur partenaire\r\n\r\nCréation des tests :\r\n\r\nPHA - Tests de confirmation 01.08.00 - EF_03_BIS'),
(14780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n- Installation de Instant loto 2017  sur INT81\\n\\nHasard \\n- Comparaison des installations des jeux MOTORS/ITG sur les environnements INT2, INT3 et INT8 => Il y a un certain nombre de différences\\n- INT2: Mise a niveau des jeux MOTORS (contribution, déclaration sur falcon) => 6 jeux MOTORS sur 7 sont fonctionnels, il manque Keno Atlantia 2016\\n- INT2: Pb de BOM indisponible => Redemarrage des serveurs motors\\n\\nPresto\\n- INT2: Pb de BOM indisponible => Redemarrage des serveurs motors \\n'),
(14492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nSAFERGAME : Point d\'avancement FDJ/IBM'),
(14493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n2x Etat des lieux journalier des jobs control-m sur I3 Multimédia \\nMontée en compétence batchs et etl\\nCréation d\\\'une documentation sur les jobs control-m sur I3 Multimédia'),
(14515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n2x Etat des lieux journalier des jobs control-m sur I3 Multimédia \\\\nMontée en compétence batchs et etl\\\\nCréation d\\\\\\\'une documentation sur les jobs control-m sur I3 Multimédia'),
(14499, 'Test fait sur la plateforme assemblage sur la même convention et même caf:\r\nProblème reproduit.'),
(14501, 'Appel SoapUI pour vérification de l’existence du user en BDD :\r\nL\'utilisateur existe bien en BDD de l\'assemblage'),
(14517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nExécution des derniers cas de tests sur la gestion de la dette (PMD) : projet ALM Olympia (YELLOWSTONE)'),
(14519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nExécution des derniers cas de tests sur les batchs : projet ALM Olympia (YELLOWSTONE)'),
(14504, 'Etape suivante:\r\n\r\nTest de création d\'un compte utilisateur directement à partir de SoapUI.\r\nSi on reçoit pas de mail, le problème vient de ISU'),
(14520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nExécution des tests de non regression Yellowstone/Olympia : projet ALM Olympia'),
(14506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nlecture documentation jenkins'),
(14508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nlecture documentation jenkins'),
(14509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nutilisation postman'),
(14511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nFormation malik'),
(14512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nEcriture des scripts Postman ENV 42'),
(14513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nMise à jour script Postman\r\nFormation Malik\r\nPoint IF / Passage competence POSTMAN'),
(14514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nFormation MALIK\r\nPassage sur ENV02 \r\nTest script webservice sur INT02 (authentification)'),
(14759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nNon Reg Yellowstone  - olympia + batch + assistance recette'),
(14760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nNon Reg Yellowstone  - olympia + batch + assistance recette'),
(14757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nNon Reg Yellostone  - olympia + batch + assistance recette'),
(14761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nNon Reg Yellowstone  - olympia + batch + assistance recette'),
(14532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nfinalisation test qualif parions direct pdv 1.0.035'),
(14538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\ndéplacement sur paris, présentations, équipes, problématiques'),
(18993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nTests Olympia run2'),
(14536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\ndéplacement sur paris, présentations, équipes, problématiques'),
(14539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nparions direct , PSEL Android catalogs, Vitan '),
(14716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nTests Olympia sur merge Yellowstone'),
(14717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nTests Olympia run2'),
(14543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nRe-teste sur INT3 de cas FAILED et BLOCKED dans la compagne : Digital Non Reg (IQ + CCR)\r\nComposée de :\r\n01-NON-REG GDO\r\n02- NON-REG PALIER OLYMPIA (RUN 2)\r\n'),
(14544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nRe-teste sur INT3 de cas FAILED et BLOCKED dans la compagne : Digital Non Reg (IQ + CCR)\r\nComposée de :\r\n01-NON-REG GDO\r\n02- NON-REG PALIER OLYMPIA (RUN 2)\r\n'),
(14545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nProgramme prévu pour la journée : \r\nRéaliser une non reg d’urgence (un jour et demi)  suite aux nouvelles installations (notamment Olympia et Yellowstone, BOX, OPR…etc).\r\nSauf que :\r\nL’installation a pris toute la journée. BOX : KO et Authentification KO, la situation s’est débloquée vers 16 :30\r\nBilan : on n’a pas pu avancer dans nos tests\r\n'),
(19016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nCompagne de non reg d\'urgence OLYMPIA.( sur INT3 )\nPérimètre de test me concernant, BOX:\n01- Nouvelle fonctionnalité: Rectification des données personnelles\n02- Modifications des données personnelles traditionnelles\n03- Détection des joueurs suspect et interdits de jeux, suite à modification\n04- Arjel'),
(19017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nProbablement la Continuité de la compagne non reg d\\\'urgence initié hier'),
(14549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nExécution des derniers cas de tests sur la gestion de la dette (PMD) : projet ALM Olympia.'),
(14615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nInstallation 4.0.15 Hasard sur INT32\\\\nTests d\\\\\\\'acceptance effectués sur hasard 4.0.15\\\\nInvestigation sur les problèmes de chargement du module FAQ sur INT8\\\\nCreation ANO047642'),
(14587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n[OLYMPIA] Qualification RUN2\\n[IF] Tests d\\\'acceptance sur 2.0.0.RC2\\n[IF] Transfert de connaissances Falcon'),
(14588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n[IF] Création d\\\'un script pour résoudre un pb récurrent à chaque livraison (clés SSH non mises à jour)\\n[OLYMPIA] Non-Régression merge OLYMPIA+YELLOWSTONE'),
(14589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n[OLYMPIA] Non-Régression merge OLYMPIA+YELLOWSTONE'),
(14557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nAction : Stream coco :  implémentation / exécution, analyse/conception\r\nLivrable : tests associés, campagne associé, bilan d\'exécution'),
(14558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nCampagne Non reg USR 2.3.14-2 MOTORS'),
(14559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\nFDL015701 (0.2.7_wihmevt)\r\nFDL015711 (2.0.49_wloto)'),
(14560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nCampagne Non reg USR 2.3.14-2 MOTORS'),
(14562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nCampagne Non reg USR 2.3.14-2 MOTORS'),
(14597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nAction : Stream coco :  implémentation / exécution, analyse/conception\\\\\\\\\\\\\\\\nLivrable : tests associés, campagne associé, bilan d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'exécution'),
(14566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nCampagne Non reg USR 2.3.16 INSTANT LOTO YELLOWSTONE'),
(14568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nAction : Stream coco :  implémentation / exécution, analyse/conception\\nLivrable : tests associés, campagne associé, bilan d\\\'exécution'),
(14570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nAction : Stream coco :  implémentation / exécution, analyse/conception\\nLivrable : tests associés, campagne associé, bilan d\\\'exécution'),
(14571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nAction : Stream coco :  implémentation / exécution, analyse/conception\r\nLivrable : tests associés, campagne associé, bilan d\'exécution'),
(14574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nAction : Stream coco :  implémentation / exécution, analyse/conception\\\\nLivrable : tests associés, campagne associé, bilan d\\\\\\\'exécution'),
(14575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nFDL015724 (2.0.50_wloto)\r\nFDL015730 (0.2.10_wihmevt)\r\nFDL015757 (0.2.11_wihmevt)'),
(14576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nCampagne Non reg USR 2.3.16 INSTANT LOTO YELLOWSTONE'),
(15649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nCampagne Non reg USR 2.3.16 INSTANT LOTO YELLOWSTONE'),
(14578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nFDL015747 (2.5.3_wof)\r\nFDL015773 (1.0.1_wihmevt)'),
(14579, 'Info COPRO : \r\nComparaison en majuscule\r\nSaisie en majuscule\r\nComparaison avec le nom marital (femme mariée) = Nom d\'usage\r\nPas le nom de naissance = nom de jeun fille.'),
(14580, 'Mise à jour du Mantis suite vérification de Tony : mauvaise version ciblée indiquée'),
(14654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nMotors : la poule aux œufs d\\\\\\\'or évolution API du script controlé Motors\\\\nIF : présentation des tests d\\\\\\\'acceptance'),
(14582, 'spécification v0.5'),
(22925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nanalyse job control M\\\\\\\\ninstallation BOM int3\\\\nMontée en competence sur Gamification\\ninstallation usr 2.4.8-1 sur int2-3-4'),
(14585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n[OLYMPIA] \r\nPoint Bilan qualification avec Philippe \r\nReste à traiter avant la MES'),
(14586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nQualification keepalive de session => à relivrer\r\nReproduction pb de redirection post expiration de session avec le dev'),
(14608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Création de 6 détaillants/pdv dans Egide'),
(14598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n[OLYMPIA]\r\nCréation MOD011062 et MOD011060 pour uniformisation des index_*.html pour tous les canaux migo et mugo\r\n\r\nDéploiement niveau Yellowstone composants du compte sur INT5'),
(14599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n[OLYMPIA]\r\nCaptures fiddler des flux pour check complet migo mago mugo  sur les dernières versions\r\nQualification des MOD pour keepalive sessions => tjs KO MOD réaffectés'),
(14607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n[OLYMPIA]\\nSupport HIA création détaillant de test PROD\\nPb de retrait tablettes détaillant (pas de pb au final)\\nEchange avec le DEV concernant des options mago non documentées\\nDéploiement migo mago mugo correctifs INT3 + Acceptance'),
(14683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nEcriture de cas de test pour Falcon USR'),
(14682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nEcriture de cas de test pour Falcon USR'),
(14606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n[OLYMPIA] Présentation composants du compte à  HIA '),
(14609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nBCO.084.36-RDI 1.05 : Support recette. Recherche de données en base, exécution de job controlM et contrôle des résultats au niveau de l\'ETL.'),
(14612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Rédaction de 6 cas de tests'),
(14983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation des FDL015547 et FDL015743 sur INT8SAGA'),
(14616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n-Configuration Postman\\n-Prise de jeux ITF (la ruche d\\\'or) '),
(14617, 'Même chose pour les titres modification et création de groupes d\'utilisateurs.'),
(14618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n-Configuration Bastion\r\n-Accès aux machines des différents environnement\r\n\r\n'),
(14620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n-Présentation de l\\\'architecture de FALCON\\n-Prise de jeu (Gareoloup)sur MOTORS utilisant l\\\'appel des services (Postman)'),
(14621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\n-Prise de jeux sur l\'environnement INT02\r\n-Exploitation de la BOX\r\n-Regarder les différents tab (USR_Transaction, USR_PURSE) dans SQLDevelopper\r\n-Assister à une présentation des tests d\'acceptance .\r\n'),
(14675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nFinalisation de l\\\'ANO047642\\nNettoyage de la table fdj_result_data sur INT2 + test de fonctionnement\\nCreation de  l\\\'ANO047678\\nInvestigation sur un problème de déconnection du portail tablette et d\\\'erreur 404 sur certaines pages du portail.'),
(14626, 'J\'ai dû ajouter des permissions et des pages à l\'agent caf (EF_01) pour pouvoir tester la visualisation du groupe'),
(14627, 'Test HPalm associé: PHA - Tests de confirmation 01.08.00 - 17549'),
(14628, 'le cumul des articles en attente d\'ouverture colis reste différent de 0 car des articles de maroquinerie ne peuvent pas être gérés par l\'ouverture colis. Ce dis fonctionnement est présent également dans la version de production. Dans la version de production le nombre colis est testé, s\'il est à zéro le cumul d\'article est écrasé. Ce test dans la version de développement était en commentaire, et donc cette \"correction\" non opérante.\n\n'),
(14629, 'les lignes d\'articles en attente d\'ouverture colis n\'étaient pas prises en compte car le fichier des stocks ne présentait plus de stocks aux emplacements assignés dans les lignes de commande.'),
(14630, 'les éditions d\'ouverture colis ne sortaient pas car il existait un bug au niveau de la numérotation des pages. ce bug est présent dans la version en production, il n\'est peut-être pas impactant dans le sens ou les lignes sont traitées en permanence et ne restent pas en attente dans le fichier.\n\n'),
(14632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nSAFERGAME : Installation FDL015784 (Datastage) et FDL015787 (SQL)'),
(15109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n- Test WSPDI ==> Création anomalie ANO047474\\\\\\\\n- Support PSBOR \\\\n- Mise à jour campagne de test ALM PSBOR\\\\n'),
(14641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nExportation des incidents de prod'),
(14639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nMCO Court-commercial du 28/02/2017'),
(14644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nEGIDE 4.30 - Rédaction exigences et 104 cas de tests'),
(14646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nExportation des incidents de prod'),
(14652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nEGIDE 4.30 - Rédaction exigences et 10 cas de tests'),
(14650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nBCO.102.30 - DMT0006845 - Création de 2 PDV'),
(14647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nExtraction incidents de production'),
(14648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nMCO Court-commercial du 01/03/2017'),
(14649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nRAM.004 - DMT0006671 - Cession de PDV à refaire suite à une erreur dans Khéops (création au lieu de cession), opportunité bloquée avec 2 détaillants actifs. '),
(14656, 'EN DISTRIBUTION :\r\nnombre de colis à ouvrir : sélection sur la date à la génération du fichier CHWCOLI par prog CHWCOLI1 éxécuté dans CHWCOLICL lancé pas CHWSEL à chaque réaffichage\r\nnombre d\'article colis à ouvrir : calcul dans CHWSEL/SRNBCOLIS en tenant compte de la date pour date de livraison\r\nnombre de colis en dépal. : sélection sur la date à la génération du fichier CHWCODP par prog CHWCODP1 éxécuté dans CHWCOLICL lancé pas CHWSEL à chaque réaffichage\r\narticle pour colis en dépal. : calcul dans CHWOUV6 : ligdli <= date ecran\r\narticle en cours d\'ouverture colis : calcul dans CHWSEL/SRNBCOLIS\r\nEN Ecommerce :\r\nnombre de colis à ouvrir : calcul dans CHWOUV8 en lecture de CHWCOLD. CHWCOLD créer par CHWOUV7 sur date écran à chaque affichage\r\nnombre d\'article colis à ouvrir : idem\r\nnombre de colis en dépal. : calcul dans CHWOUV6 : ligdli <= date ecran\r\narticle pour colis en dépal. : non affiché\r\narticle en cours d\'ouverture colis : idem\n\n'),
(14658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nSAFERGAME : Installation FDL015620 partie Hudson cognos sur INT2'),
(14660, 'C.Millot par téléphone le 03/03/2017 : Solution choisie par la MOA, on ne change rien, on reste sur la solution actuelle.'),
(14661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nPrise en compte des modifications sur les autres micro service.'),
(14662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nProblème avec le post crital. OK avec postman mais pas en TU. => Tjrs pas réglé\r\nRefactoring des Resouces du micro service Locataire\r\nEcriture du Mapper pour QUILOY'),
(14663, 'Sorti du périmètre 1.8.0 \r\nJeremy a vu avec C. MILLOT le 3/3/17 au tél : \r\n==> On sort cette fonctionnalité du périmètre, on verra si on peut l’intégrer dans un patch de correctif recette si les éléments et la charge le permettent'),
(14664, 'Jeremy a vu avec C. MILLOT par tél le 3/3/17 : \r\n==> Nous gardons le message proposé par Atos dans un premier temps. Le message sera mis à jour lors de la prochaine version si nous n’avons pas un retour rapide et si nous n’avons pas de re-livraison recette nécessaire.'),
(14665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nDocumentation sur le moteur de liquidity : Liquidity manager\r\naccès au différents machines et visualisations de logs\r\nFaire des prises de jeux et exploitation de la BOX'),
(14666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Installation FDL015718 - CSAM MEIBO Sign&Go - Partiel'),
(14667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Installation FDL015718 - CSAM MEIBO Sign&Go '),
(14668, 'Ensembles des modifications faites suite au changement des specs, et suite à l\'étude d\'impact:\r\n\r\n1) Correction de l’initialisation de la variable qui contrôle l’affichage du msg d’erreur\r\n\r\n2) Modification du contrôle et du message d’erreur affiché dans le cas d’un instructeur (ajout d’un contrôle sur la nom allocataire)'),
(14669, '3) Modification des libellés des champs nom et numéro allocataire (avec l’accord de Kévin) \r\n  \r\n4) Ajout de contrôle supplémentaire sur le nom (nouvelle regEx)\r\n\r\n5) Ajouter la vérification du changement du nom saisie et de sa validité au contrôle fait avant de lancer une requête back end.'),
(14670, '6) Actuellement, tous clics sur le bouton « valider » (avec un nouveau numéro d’allocataire), autrement-dit toute tentative d’accès au dossier allocataire est comptabilisé comme un accès CDAP.  \r\nJ’ai vu avec Kévin et sa réponse était qu’une tentative ne doit pas être comptabilisée comme un accès CDAP. / Pas encore fait vu l\'impact\r\n\r\n7) Suite à la Webex, les spéc ont été modifiées :\r\n     - Le nom Doit être en Majuscule (car il est en majuscule dans la base cristal)\r\n     -  Le champ nom doit être masquable (que ce soit en ihm ou en traitement) / Pas encore fait\r\n\r\n8) Demander des comptes à Loic Mercier, pour pouvoir voir les différents cas possible\r\n\r\n9) Ecriture et déroulement des tests / Pas encore fait'),
(14857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO rédaction 4 cas de test'),
(14672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 -  CSAM MEIBO exécution de 2 cas de tests'),
(14673, 'On a contacté les équipes de la CNAF concernées.\r\n_______________________\r\n\r\nOn a fait abstraction de notre application et on a créé un utilisateur avec des appels webservice sur SoapUi.\r\nLe test a montré que l\'utilisateur a bien été crée et reçoit son identifiant et son mdp par mail.\n\n'),
(14674, 'Récapitulatif:\r\n\r\ncréation d\'un utilisateur à partir du portail => OK, mail reçu\r\nCréation d\'un utilisateur en faisant abstraction du portail => OK, mail reçu\r\n\r\nEt vu que la version de notre application n\'a pas été modifiée, le problème est dû à une anomalie (temporaire) coté ISU\n\n'),
(14676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nPrise en compte du message d\'erreur.'),
(14677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nPrise en compte du message d\'erreur.'),
(14678, 'après correction du calcul  1 = 2 + 3+ 4'),
(14679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nRéunion client'),
(14680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nPréparation copro + réunion client'),
(14681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nMise en place du fichier de suivi & premiere analyse'),
(14684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n[OLYMPIA] NonREg Front sur INT3 : ALM >> Test Lab > CDS Test Atos >  BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14.1.30.0-OLYMPIA-22\r\nSITE:           fdj2-origin_release_13-13\r\nABP:            14.1.30.0-SNAPSHOT 22\r\nMOBILE:         5\r\nARGUS:          build-865\r\nPLATFORM:       1.0.169\r\n'),
(14685, 'J\'ai réouvert ce ticket , fermé trop said. fermeture prévu fin mars.'),
(14686, 'A en discuter en interne et en parler au client.'),
(14687, 'Point 6 : Ticket mantis crée 17568'),
(14688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nModification de cas de test pour Falcon USR'),
(14721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nInvestigation sur le probleme de chargement du module FAQ (INT8)\\nCréation ANO045672\\nVérification TODO \\nCréation des taches sur Framaboard'),
(14690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n- Qualif WSPDI \r\n- CRéation ANO\r\n- Reunion présntation Passage de connaissance : OLYMPIA / YELLOWSTONE'),
(14691, 'Bonjour Carmelo, \r\n\r\nPour faire suite au comité projet CDAP Lot2 du jeudi 02 mars, je te fais part de la demande du projet de disposer de jeux d\'essai sur l\'environnement Cristal 227 : \r\n\r\nNotre besoin est de d\'avoir une liste d\'allocataires (au format XLS) avec les infos suivantes : \r\n•	le n° de dossier \r\n•	le nom de famille (ou patronymique) du titulaire \r\n•	le nom de famille du conjoint\r\n\r\nLes situations \"allocataire\" souhaitées sont des dossiers avec plusieurs enfants et disposant du RSA. \r\n\r\nPour rappel, l\'application CDAP accède depuis le lot1 à l\'env 227 (avec l\'accord de Noëlle). \r\nIl n\'y a que des appels Cristal en consultation (pas d\'écriture sur les dossiers). \r\n\r\nMerci par avance, \r\nCdt. \r\nChristophe.'),
(14692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nFDL015783 (wloto 2.0.52)'),
(14693, 'En attente d\'évolution de la spec'),
(14694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nPréparation de la revue du Sprint'),
(14695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nRéunion  avec nadine (pour son retour)'),
(14696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nDéfiniton du périmètre + commande'),
(14697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nSAFERGAME : Installation FDL015782 Cognos et FDL015799 SPSS sur INT2'),
(14698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P. Maigne+ point état d\'avancement livraison entre FDJ/IBM'),
(14700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b22 / INT3]: Campagne NonReg BACK Light'),
(14705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b22 / INT3]: Campagne NonReg BACK Light'),
(14706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b22 / INT3]: Campagne NonReg BACK Light'),
(14707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b22 / INT3]: Campagne NonReg BACK Light'),
(15208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n[OLYMPIA / 14.1.30.0-SNAPSHOT-b22 / INT3]: Quelques Tests FRONT passés avec Hakim'),
(14725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nSAFERGAME : Créations ANO047696 et ANO047713 sur int2\\nParamétrage connecteurs informatica suite copie de base BETSYS/RDST'),
(14712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nCampagne Non reg INT7'),
(14714, 'Synthèse : lorene\r\n\r\n- Modifier le format de la date pour le montant du loyer : mettre MM/AAAA plutôt que 01/MM/AAAA  --> OK\r\n- Permettre la saisie d\'un montant d\'impayé nul\r\n- Mettre à jour (à J+1 de la date de fin de gestion ) la date de début de gestion à chaque modification de la date de fin de gestion  --> OK\r\n- Dans le récapitulatif \"Déclarer les loyers\", ne pas afficher la question du mois de retour dans le logement  lorsqu\'elle n\'est pas affichée dans le formulaire   --> OK\r\n- Afficher le cumul de l\'impayé dans le récapitulatif\r\n- En cas de modification des informations de la colocation après saisie du loyer, réinitialiser les champs loyers.\r\n- Lors des contrôles d\'un formulaire, afficher tous les messages d\'erreur en une fois et non les un après les autres\r\n- Dans \"Dernières informations connues\", mettre un espace entre le nombre et \"colocataires\"   --> OK\r\n- Ne plus permettre la modification des textes de relances \r\n- Rendre plus visible la phrase \"Sélectionner la ou les déclarations …\"\r\n- Mettre en français la phrase \"No records found\" dans la liste des allocataires (profil caf)\r\n- Ne pas permettre une déclaration d\'absence de colocation lorsqu\'aucune colocation n\'est connue (Déclarer un changement)\r\n- En cas de colocation, lorsque la date de début de changement indiquée est ≠ 01/MM/AAAA demander le loyer au mois M+1 sinon demander le loyer au mois M (Remarque : dans les 2 cas, le loyer saisi par le bailleur sera enregistré pour le mois M)   --> OK\r\n- Récupérer la notion de bailleur en paiement groupé dans Tiersi\r\n\r\n'),
(14715, 'Prendre les elements en jaune :\r\n- textuel uniquement\r\n- mise en page\r\n\r\n\r\nPas :\r\n- les pictos\r\n- les refontes d\'ordre refonte graphique'),
(14718, 'Bonjour Hélène,\r\n\r\nN\'ayant pu te joindre par téléphone, je me permet de revenir vers toi suite à un saxo remonté (INC0328771).\r\n\r\nCe dernier concerné un bulletin d\'adhésion manquant dans une de vos convention.\r\n\r\nAprès analyse il s\'avère que le comportement est normal car la convention en question est clôturée voir capture d\'écran). La non présence de bulletin d\'adhésion n\'est donc pas une anomalie.\r\n\r\n \r\nCordialement,\r\n\r\nSaid Zerrouki'),
(22918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nMise à niveau Falcon int8\\\\\\\\nMigration bdd\\\\\\\\ninstall usr, rtg, opr, ban, arj, cls, mtr : iso prod'),
(14722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nle zip est foireux: antivirus !!'),
(14723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nreports de fusion 44323'),
(14724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\n0'),
(14726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nAjout des fichiers MAJAPRES'),
(14727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nInstallation, redemarrage et tests des paquets PHA'),
(14848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n-Continuer sur la documentation Liquidity manager (doc:IF-9610-06-Specifications-Liquidity Manager-issued)'),
(14850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nAssister à une formation présenté par Cecile Giambelluco: Présentation activité CDS nouveaux arrivant\r\n-Essayer de faire des prises de jeux sur l\'environnement int2, se référer sur la BOX\r\n-Continuer à se documenter sur le Liquidité Manager( doc: EBE Liquidity Manager VFinale-2,EXPRESSION DE BESOINS\r\nJeu de liquidité )\r\n'),
(14729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n- Test et install PSBOR INT1\r\n- MAJ et revue anomalies WSPDI'),
(14733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\\\\\\\n- Suivi des campagnes Vie des environnements\\\\\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Cas de test Mify\\\\n- Analyse impacts nouvelle livraison Olympia\\\\n- Support pb en prod'),
(14734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\r\n- Actions correctives pour les tâches KO VieDesEnvironnement\r\n- Exécution des campagnes WAMIFY et WASPO\r\n- Support factory INT7\r\n- Cas de test Mify\\n- Analyse impacts nouvelle livraison Olympia\\n- Support pb en prod'),
(14735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\r\n- Actions correctives pour les tâches KO VieDesEnvironnement\r\n- Evolution API Sport pour : \r\n-- Loguer plus d\'information lors de la PDJ Olympia\r\n-- Gérer les prerequis sur les services Mify\r\n- Cas de test Mify V2\r\n'),
(15083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement\\n-Evolution API suite au dé commissionnement des N2 digishop\\n- Evolution API Sport pour : \\n-- Loguer plus d\\\'information lors de la PDJ Olympia\\n-- Gérer les prerequis sur les services Mify\\n- Cas de test Mify V2'),
(15085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Action campagnes AUTO'),
(14744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nTests Campagne ABP 14.1.30.0.SNAPSHOT 22  - '),
(14740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\npoint avec Lindsay pour voir l\'avancement des tests PUMA et faire une nouvelle répartition'),
(14743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nTests Campagne ABP 14.1.30.0.SNAPSHOT 22  - Réconciliations INT7'),
(14742, 'Manipulation de la BDD'),
(14881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies, exécution des résidus de test\r\n[IF] Erreur SSH :recherche d\'un contournement technique pour la poursuite de la qualification (manuelle et automatique)\r\n[CDS] Transmission des demandes d\'évolution ALM à JDEVAINEGIE et FGENDRAUD'),
(14750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nSAFERGAME : Lancement des 2 contextes en recette.\\nExtraction de données BETSYS/RDST'),
(14749, 'Bonjour Said,\r\n\r\nJe te remercie pour ta réponse en effet le compte était clôturé.j\'ai donc rechargé la convention et réouvert les droits.\r\nToutefois je n\'ai pas saisi cette clôture,as-tu la trace des saisies faites sous le portail CDAP?\r\n\r\nTu peux clôturer mon saxo.  \r\nD\'autre part j\'ai eu Eric Miot en ligne ,je tenterai vendredi matin de charger une convention avec un poids compris entre 4 et 5 Mo ,je te donnerai la réponse vendredi matin ;\r\nMerci pour ton aide rapide \r\nBien cordialement\r\nHélène'),
(14849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nSAFERGAME : Point d\\\'avancement quotidien entre FDJ/IBM'),
(15118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nanalyse job control M\\\\nSupport Metier Bingo'),
(14764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nModification de cas de test pour Falcon RTG. Etat des lieux du catalogue Falcon USR 2.3'),
(14765, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nIntegration et deroulement de la campagne du SP7'),
(14766, 'traité durant le sprint 7'),
(14767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nDefect 4769'),
(14768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nDefect 4769'),
(14769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nSAFERGAME : Point avec le métier sur les alertes ISA+point d\'avancement quotidien entre FDJ/IBM'),
(14770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nSAFERGAME : Point d\'avancement quotidien entre FDJ/IBM'),
(14771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nSAFERGAME : Point d\'avancement quotidien entre FDJ/IBM + Bug review'),
(14772, 'Merge sur RsaType1 et RsaType3'),
(14773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n- Qualif PSBOR\r\n- Daily Meeting / Point avancement Qualif PSBOR'),
(14774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nDocumentation Sécurité demandé par Luc'),
(14783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nInvestigation sur le problème d\\\\\\\\\\\\\\\'affichage des points de vente sur illikolive\\\\nInvestigation sur un probleme de lien compte sur le module FAQ\\\\Verification de l\\\'api utilisé sur les pdv sur le portail et l\\\'app native illikolive'),
(14781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n- INT3: Mise a niveau des jeux MOTORS (contribution, déclaration sur falcon) => Les 7 jeux MOTORS sont fonctionnels \\n- INT8: Mise a niveau des jeuc MOTORS (contribution, déclaration sur falcon) => Les 7 jeux MOTORS sont fonctionnels\\n- ANO047650 - [MOTORS] [kenoatlantia2016] Correction du fichier json utilisé par la gateway SOA (request execute)\\n- ANO047651 - [MOTORS] [instantloto2017] Correction du fichier json utilisé par la gateway SOA (request execute)\\n- ANO047652 - [MOTORS] [instantloto2016] Correction du fichier json utilisé par la gateway SOA (request execute)'),
(15132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n- Installation des 7 jeux motors sur l\\\'environnement de perf INT5\\n- ANO047735 - [MOTORS] [instantloto2017] Fichier de \\\"Spécifications du fichier de configuration\\\" absent'),
(15113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO MOTORS'),
(14784, 'Livraison le 07/03/2017'),
(14785, 'Livraison le 07/03/2017'),
(14786, 'Livraison le 07/03/2017'),
(14787, 'Livraison le 07/03/2017'),
(14788, 'Livraison le 07/03/2017'),
(14789, 'Livraison le 07/03/2017'),
(14790, 'Livraison le 07/03/2017'),
(14791, 'Livraison le 07/03/2017'),
(14792, 'Livraison le 07/03/2017'),
(14793, 'Livraison le 07/03/2017'),
(14794, 'Livraison le 07/03/2017'),
(14795, 'Livraison le 07/03/2017'),
(14796, 'Livraison le 07/03/2017'),
(14797, 'Livraison le 07/03/2017'),
(14798, 'Livraison le 07/03/2017'),
(14799, 'Livraison le 07/03/2017'),
(14800, 'Livraison le 07/03/2017'),
(14801, 'Livraison le 07/03/2017'),
(14802, 'Livraison le 07/03/2017'),
(14803, 'Livraison le 07/03/2017'),
(14804, 'Livraison le 07/03/2017'),
(14805, 'Livraison le 07/03/2017'),
(14806, 'Livraison le 07/03/2017'),
(14807, 'Livraison le 07/03/2017'),
(14808, 'Livraison le 07/03/2017'),
(14809, 'Livraison le 07/03/2017'),
(14810, 'Livraison le 07/03/2017'),
(14811, 'Livraison le 07/03/2017'),
(14812, 'Livraison le 07/03/2017'),
(14813, 'Livraison le 07/03/2017'),
(14814, 'Livraison le 07/03/2017'),
(14815, 'Livraison le 07/03/2017'),
(14816, 'Livraison le 07/03/2017'),
(14817, 'Livraison le 07/03/2017'),
(14818, 'Livraison le 07/03/2017'),
(14819, 'Livraison le 07/03/2017'),
(14820, 'Livraison le 07/03/2017'),
(14821, 'Livraison le 07/03/2017'),
(14822, 'Livraison le 07/03/2017'),
(14823, 'Livraison le 07/03/2017'),
(14824, 'Livraison le 07/03/2017'),
(14825, 'Livraison le 07/03/2017'),
(14826, 'Livraison le 07/03/2017'),
(14827, 'Livraison le 07/03/2017'),
(14828, 'Livraison le 07/03/2017'),
(14829, 'Livraison le 07/03/2017'),
(14830, 'Livraison le 07/03/2017'),
(14831, 'Livraison le 07/03/2017'),
(14832, 'Livraison le 07/03/2017'),
(14833, 'Livraison le 07/03/2017'),
(14834, 'Livraison le 07/03/2017'),
(14835, 'Livraison le 07/03/2017'),
(14836, 'Livraison le 07/03/2017'),
(14837, 'Livraison le 07/03/2017'),
(14838, 'Livraison le 07/03/2017'),
(14839, 'Livraison le 07/03/2017'),
(14840, 'Livraison le 07/03/2017'),
(14841, 'Livraison le 07/03/2017'),
(14842, 'Livraison le 07/03/2017'),
(14843, 'Livraison le 07/03/2017'),
(14844, 'Livraison le 07/03/2017'),
(14845, 'Livraison le 07/03/2017'),
(14846, 'Livraison le 07/03/2017'),
(14851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nMCO - SIDC - reprise sur plusieurs Job sur I3_MULT_SID'),
(14852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nCampagne OLYMPIA / 14.1.30.0-SNAPSHOT-22  sur  INT3'),
(14853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCampagne OLYMPIA / 14.1.30.0-SNAPSHOT-22  sur  INT3'),
(14854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nCampagne OLYMPIA / 14.1.30.0-SNAPSHOT-22  sur  INT3'),
(18236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nCampagne OLYMPIA / 14.1.30.0-SNAPSHOT-22  sur  INT3'),
(14856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nCampagne OLYMPIA / 14.1.30.0-SNAPSHOT-22  sur  INT3'),
(14858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  Rédaction  12 tests'),
(14860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - Qualification SIgn&Go'),
(14861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nImplémentation des tests auto Falcon RTG'),
(14864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nSAFERGAME : Installation FDL015829 (SQL) sur INT2'),
(14865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n[OLYMPIA] NonREg Front sur INT3 : ALM >> Test Lab > CDS Test Atos >  BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14.1.30.0-OLYMPIA-22\r\nSITE:           fdj2-origin_release_13-13\r\nABP:            14.1.30.0-SNAPSHOT 22\r\nMOBILE:         5\r\nARGUS:          build-865\r\nPLATFORM:       1.0.169'),
(14866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n[OLYMPIA] NonREg Front sur INT3 : ALM >> Test Lab > CDS Test Atos >  BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14.1.30.0-OLYMPIA-22\r\nSITE:           fdj2-origin_release_13-13\r\nABP:            14.1.30.0-SNAPSHOT 22\r\nMOBILE:         5\r\nARGUS:          build-865\r\nPLATFORM:       1.0.169\r\n\r\n[ABP OFFRE][FACTORY] Préparation des fichiers XML d\'offre auto pour le Portugal - SCML\r\n'),
(14867, 'mail du 06/03 :\r\n\r\nBonjour,\r\n\r\nNous avons testé le chargement d\'un PDF d\'une convention de taille supérieure à 5 MO  sur nos machines de développement, sur l\'assemblage et sur la production sans arriver à reproduire le problème.\r\n\r\nMerci de prendre contact avec le partenaire concerné afin de pouvoir reproduire le problème local.\r\n\r\nVous trouverez ses coordonnées dans  le saxo numéro INC0316438.\r\n\r\nCordialement,\r\n\r\nAlaa RAHMANI\r\n04 89 39 00 57'),
(15116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nanalyse job control M\\\\nsupport Perben Bingo\\\\nReunion Bingo jackpot communautaire'),
(14870, 'Ticket ouvert chez liferay (géré par la CNAF / gérald)\r\nEn attente avancement chez eux'),
(14871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nTests IF'),
(14872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nTests IF'),
(14873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nTests IF'),
(14874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nTests IF'),
(14875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nTests IF'),
(14876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nTests IF'),
(14877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nTests IF'),
(17900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nTests IF'),
(14879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nSAFERGAME : Installation (SPSS) FDL015828 sur INT2'),
(14880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nSAFERGAME : Extraction BETSYS/RDST'),
(14882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies, exécution des tests résiduels\r\n[IF] Tests d\'acceptation digishop 2.2.11 + ITF 2.5'),
(14883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies, exécution des tests résiduels'),
(14884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n- QUalif test PSBOR\r\n- DailyMeeting\r\n- ModOP PSBOR'),
(14885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies installées non qualifiées\r\n[IF] Révision du catalogue de test manuel, formation automatisation'),
(14886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n[OLYMPIA] Qualification des anomalies installées non qualifiées\r\n[IF] Révision du catalogue de test manuel, définition de la stratégie de test pour les livraisons à venir.'),
(14887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n-Voir avec Patrick l\'exécution d\'un cas de test automatique sur IF \r\n-Lecture des cookies des cas de test sur ALM sur le projet IF.'),
(14888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nPoint migration scripts VuGen. Point hebdo Automatisation. Analyse des besoins migration default.cfg pour ALM 12.53. Analyse des mécanismes de PDJ orchestrés MOTORS.'),
(14889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nDéfinition de la prise en compte de la gamification dans les PDJ orchestrés MOTORS.\r\nAnalyse d\'impact et choix d\'architecture Gamif-MOTORS.\r\n'),
(15134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n- Installation du croupier du jeu IF  \\\"Cocotrio2017\\\" (FDL015536) sur INT0\\n- Création de la page confluence des 3 jeux IF\\n- Contrib du jeu ITG \\\"Eldorado 2016\\\" sur INT3\\n- Montée en compétence sur l\\\'appli maitre (Webapp/mobil)'),
(14891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nAtelier ITF Automatisation. Mise au point de la solution de migration des default.cfg.\r\nAnalyse d\'architecture des PDJ MOTORS gamifiés.'),
(14892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nsuppression N1 N2\r\n'),
(14893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nDigishop correction UploadAttachments'),
(14894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nlivraison digishop N1 N2'),
(14895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nveille techno'),
(14896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nformation YK'),
(14897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  Rédaction  59 tests'),
(14899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nRelecture cas de tests\\nSéparation INT02 / INT42 Postman'),
(14900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nFormation Malik\r\nTuto Postman multi environnements'),
(14902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nFormation Malik\\nCorrectifs scripts Postman'),
(14907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nFormation Malik\\nDocumentation Liquidity manager'),
(14906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nDocumentation Liquidity manager\\nMise à jours scripts Postman oAuth'),
(15032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nMise à jours scripts Postman \\nFormation Billy sur les nouveaux scripts'),
(14912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nEtude des appels de servies IF\r\nIntégration de falcon USR sur INT0'),
(14911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCompagne OLYMPIA: Re-teste des tests blocked et failed'),
(14910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nCompagne OLYMPIA: Re-teste des tests blocked et failed'),
(14913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nLecture des nouveaux documents IF (cocotrio)\r\nEtude des appels de services IF'),
(14914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nEtude d\'outils (Cygwin - Postman)'),
(14915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nEtude des appels de services\r\nAmélioration des fiches ALM\r\nPréparation de campagnes d\'acceptances'),
(14916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nAmélioration des fiches de tests IF\r\nPréparation de nouvelles campagnes d\'acceptance'),
(14917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCocotrio2017 : ajout de l\'environnement PRF02 IF : \"INT51\"\r\nScript Falcon RTG Loto, superLoto, Lotonoel et EML :  restauration du mode N1 pour la version 2016 et maj  des Templates de jeux de données en input\r\nMaj API socle commun : ajout commentaires dans FDJ_Gen_RIB_IBAN.h,et épuration de fichiers csv obsolètes\r\nValidation API et création d\'un tag'),
(19018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nPalier Olympia VSR/Référenteil'),
(14932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nEcriture de cas de test pour Falcon RTG');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(14920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nAtelier ITF automatisation\r\nCorrectif sur script ITFPOSTGameBetITG pour gérer les éventuels champs supplémentaires (FDJ_AdditionalOutputFields) à parser sur l\'entrée et ajout de Template en input pour le mode N1\r\nEvol Scripts Falcon RTL : ajout du queryParameter \"transactionTypeList\" dans GETTransactions et GetTransactionsRetailerId\r\n[IF] [AUTOMATISATION] : Analyse des log de campagne sur service OPR\r\nMotors : Analyse du CDC et XLM pour préparer orchestration du nouveau jeu pick and match 2017'),
(14926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nFormation Auto'),
(19019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nPAlier Olympia VSR / Référentiel'),
(14925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nauto'),
(15209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nMotors : Validation pickandmatch2017\\nMotors : ajout de l\\\'orchestration des jeux gamifiés CT2017 et CTBonus2017'),
(15689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nSIDC TR2 En attente Payout + Modern // SIDC TR3 OK // SIDCOM TR2 OK'),
(15692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nOlympia Installation de 4 FDLs FDL015785,FDL015837,FDL015872,FDL015874 sur le TR2 // GDC installation 1 FDL FDL015935 sur le TR2'),
(15691, 'Bonjour Gwendoline,\r\n\r\nConcernant ces 2 identifiants, le problème a été analysé et traité :\r\nCDL84100KP	J@i1horloge\r\nCDL20200KU	J@i1horloge\r\n\r\nConcernant cet identifiant, il ne peut avoir accès à la rubrique CDAP car ce dernier est affecté à un groupe qui dispose d’aucune habilitation. Il faut donc habiliter le groupe pour y avoir accès:\r\n CDL03000N9	J@i1horloge\r\n\r\nN’hésite pas à me faire un retour sur la confirmation des résolutions.\r\n\r\nCordialement,'),
(15101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nLancement de campagne Falcon USR Non Reg version 2.4.10 sur INT3'),
(14934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nAnalyse et résolution des bugs lié a la MEP 1 Yellowstone du 04/03\r\nVerification du bon fonctionnement en prévision de la MEP 2 du 06/03\r\nVSR Yellowstone'),
(14935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCréation ANO047727 sur erreur simulateur suite a MEP2 Yellwostone\r\nAnalyse du bug simulateur et reçu scanné sur application native Android et IOS suite a la MEP 2 en PROD pour résolution du problème et apport de solution au dev'),
(14936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nAnalyse du bug simulateur et reçu scanné sur application native Android et IOS suite a la MEP 2 en PROD pour résolution du problème et apport de solution au dev'),
(14937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nRelivraison prévu des applis natives pour Mise en PROD semaine prochaine\r\nDebut de qualification et rédaction des cas de tests ALM pour Appli Maitre '),
(14938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n- Daily Mettin\r\n- Install wspdi\r\n- Test Qualif ALM PSBOR'),
(15316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n2x état de lieux des jobs control-m I3_multimédia en cours pour la journée.\\nDéblocages de chaîne'),
(15317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nCréation document : description des châines et jobs control-m sur I3_MULTIMEDIA'),
(14940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n2x état de lieux des jobs control-m I3_multimédia en cours pour la journée.\r\nDéblocages de chaîne\r\nCréation document : description des châines et jobs control-m sur I3_MULTIMEDIA'),
(14941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n2x état de lieux des jobs control-m I3_multimédia en cours pour la journée.\r\nDéblocages de chaîne\r\nCréation document : description des châines et jobs control-m sur I3_MULTIMEDIA'),
(14942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n2x état de lieux des jobs control-m I3_multimédia en cours pour la journée.\r\nDéblocages de chaîne\r\nCréation document : description des châines et jobs control-m sur I3_MULTIMEDIA'),
(14943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n2x état de lieux des jobs control-m I3_multimédia en cours pour la journée.\r\nDéblocages de chaîne\r\nCréation document : description des châines et jobs control-m sur I3_MULTIMEDIA'),
(14944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n2x état de lieux des jobs control-m I3_multimédia en cours pour la journée.\r\nDéblocages de chaîne\r\nCréation document : description des châines et jobs control-m sur I3_MULTIMEDIA'),
(14945, 'Vu avec Kévin: les messages d\'erreur affichés ne doivent pas indiquer la source d\'erreur \r\n=> afficher un seul message pour tous les cas: \r\n\"Le numéro d\'allocataire et le nom ne correspondent pas.\"\r\n(A modifier avant commit, vu que les messages actuels sont plus parlants pour le debug et le test)\n\n'),
(14946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCampagne auto Non Reg INT3'),
(15050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nPDJ Multiplex'),
(14948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nQualif VITAN : 5.5'),
(14949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nTodo'),
(14950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nRéunion d\'avancement avec Raphaël'),
(15120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nMise à niveau Falcon int8\\\\\\\\\\\\\\\\nMigration bdd\\\\\\\\\\\\\\\\ninstall usr, rtg, opr, ban, arj, cls, mtr : iso prod'),
(14952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO MOTORS'),
(14953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO MOTORS'),
(14954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO MOTORS'),
(14955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nVITAN: 5.5 qualif\r\nPSEL Android: verification des envi pour la recette'),
(14956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO MOTORS'),
(14957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nPV de qualif et modop pour vitan 5.5'),
(14958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nMerge OLYMPIA_Yellowstone : exécution tests restants à jouer sur le RUN2 sur INT3'),
(15182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n[OLYMPIA] NonREg Front sur INT3 : ALM >> Test Lab > CDS Test Atos >  BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14.1.30.0-OLYMPIA-22\\nSITE:           fdj2-origin_release_13-13\\nABP:            14.1.30.0-SNAPSHOT 22\\nMOBILE:         5\\nARGUS:          build-865\\nPLATFORM:       1.0.169\\n\\n[ABP OFFRE][FACTORY] Préparation des fichiers XML d\\\'offre auto pour le Portugal - SCML\\n\\n[ABP OFFRE] Validation ARJEL et ETL des nouveau markets Rugby'),
(15181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n[OLYMPIA] NonREg Front sur INT3 : ALM >> Test Lab > CDS Test Atos >  BPS.057.31 - OLYMPIA > IQ SPORT - NREG FRONT 14.1.30.0-OLYMPIA-22\\nSITE:           fdj2-origin_release_13-13\\nABP:            14.1.30.0-SNAPSHOT 22\\nMOBILE:         5\\nARGUS:          build-865\\nPLATFORM:       1.0.169\\n\\n[ABP OFFRE][FACTORY] Préparation des fichiers XML d\\\'offre auto pour le Portugal - SCML\\n[ABP OFFRE] Validation ARJEL et ETL des nouveau markets Rugby'),
(16419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nMerge OLYMPIA_Yellowstone :\n* point sur RAF pour le CDS digital back\n* exécution tests restants à jouer sur le RUN2\n* VSR : controle sur INT2 et INT3 de la fonction \"Rejouer\" sur LO3 et LO4 (suite à un pble de prod signalé)\n* Réunion IQ DIGITAL BACK avec Mael => RAF pour la fin de semaine + préparation réunion de travail pour rédaction exigence et cas de test pour les batchs Falcon'),
(14962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\npoint sur psel android point sur les envi integ'),
(15110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\npoints manquant sur vitan psel Android (poursuite qualif)'),
(14964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nSAFERGAME :  Installation Hudson sur INT2  FDL015848'),
(14968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nMerge OLympia-Yellowstone :\\n* MAJ du Test plan  Olympia/Yelowstone pour faciliter la MAJ du référentiel FALCON'),
(14967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nMCO - EGIDE - relance des jobs GDS en erreur sur I2 et I3'),
(14969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Campagnes de tests d\'acceptation des FDL015547 et FDL015743'),
(14970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nMerge OLympia-Yellowstone :\r\n* mes retours pour le bilan de projet\r\n* points sur les ANOS restantes (mise en attente jusque là car non prioritaire pour la MEP)'),
(14971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - EGIDE rédaction et livraison des livrables de MEP pour EGIDE 4.30.00  -FDL015477'),
(14972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nMCO Court_Commercial'),
(14973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nMCO Court_commercial'),
(14975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nOlympia-Yellowstone : \r\n* REX valideur Olympia pour le CDS \r\n* ? VSR ? '),
(14976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Campagnes d\'acceptation des FDL015546 et FDL015760'),
(15705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation des FDL015547 et FDL015743 sur INT8SAGA'),
(14984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation des FDL015546 et FDL015760 sur ETL TR4'),
(14979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nPoint palier Juin Automatisation. Ajustement de la migration des default.cfg.\r\nEvolution du tronc commun pour PDJ orchestrée Gamifiée.'),
(14982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation des FDL015547 et FDL015743 sur INT4SAGA'),
(14981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nEvolution du tronc commun pour PDJ orchestrée Gamifiée.'),
(14986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n[OLYMPIA]\\nQualif dernieres versions migo , mago, mugo => appel en 404 (modal.html)\\nBoutique U ajout des codes e-credit Olympia dans la conf + Tests'),
(14987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n[OLYMPIA]\r\nSupport HIA composant détaillant (Boutique R + appli) => tests en PROD PDV Vitrolles\r\nPb Ouvertures de flux + certif + version boutique  '),
(14988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nBGR.047.31 ME GRATTAGE support sur réalisation de la DMT0006659'),
(14989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n[OLYMPIA]\r\nInvestigation pour SID consolidation Inscription / Authent => pb de canaux\r\nNouveaux tests keepalive sessions avec Julien'),
(14991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n[OLYMPIA] \\nAtelier stratégie de test (O. Julia) stream COCO'),
(14992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Préparation du jeu de test pour les campagnes du RUN3'),
(14993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n[OLYMPIA]\r\n- Nvelles consolidation pour SID\r\n- Deploiements + acceptance + qualif MAGO MUGO MIGO (FDL015849, FDL015850, FDL015851)\r\n- Tests chgts de code PIN avec nvelle version wspdi'),
(15250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n[OLYMPIA]\\n- Acceptance MAGO 1.0.52\\n- Qualif changement de code PIN suite à livraisons MAG, MAGO, WSPDI\\n- Analyse logs boutiques R (confirmation inscription PDV Vitrolles -prod)\\n- Mise à jour modes opératoires stream compte pour MES Olympia\\n'),
(14995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nOLYMPIA Installation de la FDL015837 sur le TR3 (Formation de Damien )'),
(14996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nSupport HIA sur incident INC167613'),
(14997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDC TR3 OK // SIDC TR2 Bypass Modern'),
(14998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nSuivi des différents sujets en courts sur les applications centura.'),
(15024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nOLYMPIA Support AMOA pour anomalie qualification de l\\\'anomalie ANO045777 	// Création anomalie ANO047801 relative aux scripts de calcul des éligibles OAC'),
(15000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nSIDCOM TR2 En attente SIF // SIDC TR2 Débloqué agrégats de la veille + reprise des données non consommées // SIDC TR3 OK'),
(15001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nOLYMPIA revue des anomalies VSR + investigations 	ANO046650\r\n'),
(15003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Rédaction de 8 cas de tests'),
(15004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : participation à la DMT0007391'),
(15005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nSuite MEP Yellowstone :\r\n- recettage site de prod\r\n- decouverte d\'une Ano cratique sur les rangs de gains => ANO047757\r\n- Travail avec Mohamed et Bruno sur la cause du problème\r\n- Livraison en urgence d\'un MUG et Digi U Correctifs : FDL015823 / FDL015824\r\n- Acceptance et test ppour MEP le lendemain'),
(15015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nYellowstone :\\n- Recettage Prod suite MEP des correctifs\\n- Travail sur les rangs de gains (demande Mohamed)\\\\\\\\nAnalyse de toutes les reponses json possibles des services bet details de tous jeux RTG (hors Bingo)'),
(15010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nRéunion Cas de tests - Stream Coco + Recette'),
(15009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nBug Review Stream Coco'),
(15011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nTravail sur les rangs de gains (demande Mohamed)\r\nAnalyse de toutes les reponses json possibles des services bet details de tous jeux RTG (hors Bingo)'),
(15012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nMise a niveau INT 21 / 31 / 22 - composants du Compte (Mireille)'),
(15122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nTest outil de recherche de joueurs + demande de corections'),
(15123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nTravail sur les rangs de gains (demande Mohamed)\\nAnalyse de toutes les reponses json possibles des services bet details de tous jeux RTG (hors Bingo)'),
(15018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nSupport Dév pour IF / Install et desinstall de Digi A 2.3 + recup de logs sur INT02'),
(15124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nFDL015868 - MAG 2.3.7\\n- Installation et acceptance sur INT31\\n- Qualification MOD011123\\n- déploiement sur INT 11 / 12 / 21 / 32'),
(15022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nAnalyse et développement procédure pour mise à jour de la table FDJ_INTEGRATION_CLIENTS en raison de la lenteur de chargement dû au nombre anormal de données à intégrer'),
(15023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nLivraison FDL015852  : [OLYMPIA]  [CRM2] Livraison objets Oracle correction ANO047794 temps de chargement trop long et assistance à la production'),
(15025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Qualification des anomalies ANO045825, ANO045656, ANO045828, ANO046220'),
(15026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nSAFERGAME : Qualification ANO047713\r\nExtraction BETSYS/RDST\r\nChargement des données BETSYS/RDST'),
(15642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nPalier Olympia - Non reg GDO - Run 2 CC'),
(15644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nPalier Olympia - Non reg GDO - Run 2 CC'),
(15645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nPalier Olympia - Non reg GDO - Run 2 CC'),
(15647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nPalier Olympia - Non reg GDO - Run 2 CC'),
(15646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nIF montée en compétence - Doc & formation script postman (f.jury)'),
(15648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\nPalier Olympia - Non reg GDO - Run 2 CC'),
(15037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n[OLYMPIA]\\nQualif + support'),
(15117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nSupport batch bingo\\\\\\\\nqualif ano ANO044599\\\\\\\\ninstall usr 2.4.9 int8\\\\n'),
(15060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nAcceptance parionsdirect IOS 1.0.028 (FDL015792) + parionsdirect 1.0.037 (FDL0157) --> FAIT VENDREDI SOIR ENTRE 18H ET 20H.'),
(15617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\n0,5 à réaliser des tests avec les techlead par rapport au bug présent sur le device S7 Edge Android 6.0.1 --> Impossible de réaliser une PDJ.\\nRéunion d\\\'équipe stream sport : 1h.'),
(15098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Création d\\\\\\\'opportunités dans Egide. DMT0006848 et DMT0007093'),
(15046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nFDL015814 (1.0.2_wihmevt)'),
(15047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\ntests sur yellowstone -\r\nEssais de reproduction du bug de prod ANO047797\r\n'),
(15048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\ntests sur yellowstone - essai de reproduction du bug de prod ANO047797\r\n'),
(15049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nFDL015859 (2.0.53_wloto)\r\nFDL015860. (1.0.3_wihmevt)'),
(15618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nTest MOD019993 et MOD019994 --> des problèmes subsistent --> entraine des relivraisons IOS Parionsdirect 1.0.029 (FDL015830) et 1.0.030 (FDL015832)  --> réalisation des acceptances, debut qualification!\\\\nSupport équipe back par rapport aux appels mify --> inverstigation avec l\\\\\\\'outil fiddler.\\\\nRéunion équipe stream sport (30 min) + réunion point application native (15min)'),
(15075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nAction : gestion des tests automatisé du Stream coCo\r\nLivrable : test+bilan d\'exécution'),
(15062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-20  (Do not remove this line) -->\n- création ANO047255 [MAPI][YELLOWSTONE] Doublon de code dans RsultsController.php\r\n- création ANO047257 [MAPI][YELLOWSTONE] Montant raffle erroné dans le nextJackpot\r\n- création ANO047276 [EDWAN][YELLOWSTONE] Traitement de l\'annonce loto après le filtrage des annonces - fichier include_t_loto_res\r\n- installation Yellowstone\r\n4.0.16_edwan	FDL015643\r\n4.0.9_hasard	FDL015611\r\n- qualification Yellowstone'),
(15620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nQualification parionsdirect IOS 1.0.031\\nTest de la géorestriction sur l\\\'intégralité des applications front sports --> ne fonctionne pas sur la dernière version PS PDV (4.4) --> Djamel va remonter cette anomalie.\\nSupport compilation application native parionsdirect 1.0.037.\\nAcceptance parionsdirect 1.0.038 (PAS DE FDL POUR LE MOMENT)\\nVérification checkversion sur parionsdirect IOS 1.0.031 et parionsdirect Android 1.0.038'),
(15064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-21  (Do not remove this line) -->\n- création ANO047302 [EDWAN][YELLOWSTONE] Echec de promulgation - PHP Fatal error: Call to a member function setTime()\r\n- création ANO047350 [HASARD] Mauvais Content-Type sur /api/checker/gloto et /api/checker/geuromillions\r\n- création ANO047351 [MRCD] Code retour demandé 400 en cas de paramètre absent sur le voucher/check\r\n- installation Yellowstone INT22\r\n2.0.44_wloto	FDL015624\r\n- qualification Yellowstone'),
(15065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-22  (Do not remove this line) -->\n- maj de modop Yellowstone\r\n- support pb de contributions sur environnements YellowStone\r\n- création ANO047386 [MAPI][YELLOWSTONE] Problème sur les caractères accentués raffleLegalNotice\r\n- création ANO047401 [MAPI][YELLOWSTONE] Problème de caractères accentués sur les libellés\r\n- création ANO047402 [HASARD][YELLOWSTONE] Pas d\'affichage du bouton jouer dans la page résultats loto\r\n- installation livraison YellowStone P1\r\n3.6.2_hasard	FDL015666\r\n- qualification Yellowstone\r\n'),
(15621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nOLYMPIA .... SPDV .... EDWAN .... (à voir)'),
(15068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-23  (Do not remove this line) -->\n- installation livraisons Yellowstone\\n4.0.18_edwan	FDL015686\\n4.0.8_mapi	FDL015670\\n- qualification livraisons YellowStone P1\\n- remonté pb sur appels webapp'),
(15069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\n- création ANO047453 [EDWAN][YELLOWSTONE] libelle_long du rang 9 à null sur mapi\r\n- création ANO047465 [MAPI][YELLOWSTONE] nb de rang erroné sur les anciens tirages loto\r\n- maj doc swagger 3.6.5_mapi\r\n- maj doc swagger 4.0.11_mapi\r\n- maj doc swagger 4.0.6_mobi\r\n- maj doc swagger 4.0.4_mrcd\r\n- installation livraisons YellowStone INT21\r\n4.0.19_edwan	FDL015693\r\n4.0.11_hasard	FDL015691\r\n4.0.9_mapi	FDL015692\r\n- qualification YellowStone'),
(15071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n- création ANO047488 [HASARD][YELLOWSTONE] PHP Notice:  Undefined index: logo_3 - fichier resultats.phtml\\n- création MOD011057 [WEBAPP][YELLOWSTONE] supression du paramètre appName sur les appels mobiles/api/loto\\n- qualification anomalies YellowStone\\n- remonté d\\\'information sur contribution mobi en production'),
(15073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n-'),
(15619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nRéunion équipe stream sport (30 min) + réunion point application native (15min)\\\\\\\\\\\\\\\\nTest MOD009909 (composant WSPDV) avec formation simultanément à Stéphane GODIARD --> 2h --> la modification ne fonctionne pas --> Réaffection au dev.\\\\\\\\\\\\\\\\nAvancement qualification des versions parionsdirect.\\\\\\\\\\\\\\\\nMaj des catalogues parionsdirect IOS et Android.\\\\\\\\\\\\\\\\nSupport équipe stream front sport.\\\\\\\\\\\\\\\\nAcceptance parionsdirect IOS 1.0.031 (FDL015846)\\\\\\\\nSuite des tests sur les MOD010993 et MOD01994.\\\\\\\\nQualification de la MOD010943\\\\nVérification des PDV Olympia du Haut-Rhin sur la production (demande du métier)'),
(15077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nAction : gestion des tests automatisé du Stream coCo\\nLivrable : test+bilan d\\\'exécution'),
(15080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nAction : gestion des tests automatisé du Stream coCo\\nLivrable : test+bilan d\\\'exécution'),
(15079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nAction : gestion des tests automatisé du Stream coCo\r\nLivrable : test+bilan d\'exécution'),
(15103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nAction : gestion des tests automatisé du Stream coCo\\\\nLivrable : test+bilan d\\\\\\\'exécution'),
(15613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Évolution API PDJ Olympia suite aux dernières captures  \\\\n- Atelier testeur.'),
(15086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\n- création ANO047557 [MAPI][YELLOWSTONE] PHP Notice:  Use of undefined constant GENERATED_HASARD - assumed \'GENERATED_HASARD\'\r\n- installation livraisons Yellowstone INT21\r\n4.0.21_edwan	FDL015726\r\n4.0.13_hasard	FDL015740\r\n- qualification yellowstone'),
(15088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n- création ANO047770 [MOBI][YELLOWSTONE] maj doc swagger mobiles/api/loto - emoji\r\n- création ANO047781 [WEBAPP][YELLOWSTONE] toggle emoji non activé par défaut avec emoji.activated:true\r\n- installation livraisons VSR\r\n4.0.7_mobi	\r\n4.0.12_mapi	FDL015840\r\n- qualification VSR'),
(15089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n- création ANO047806 [MAPI] mapi/georestriction n\'autoriser que la méthode GET\r\n- création ANO047807 [MAPI] mapi/pdv n\'autoriser que la méthode GET\r\n- création ANO047808 [MAPI] Service mapi/pdv sans paramètres : Erreur 400 Bad Request\r\n- création ANO047813 [MAPI] mapi/statistiques/numbers n\'autoriser que la méthode GET'),
(15090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nInvestigation sur le probleme de webapp loto (portails/tab/jouer/loto -> portails/tab/jouer/ ) '),
(15094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nmodification des liens du cms pour pointer sur des nœuds ou en url relative\\\\n '),
(15095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\ninvestigation sur un problème de multiples liens en absolu sur drupal .\\\\\\\\nInvestigation sur le problème de log phpfpm qui ne fonctionne pas.\\\\\\\\ Listing de taches a effectuer a court terme avec romain (framaboard)\\nInvestigation sur un probleme lié à un lien taxonomy pour la FAQ qui écrasait le compte user. [Resolu]'),
(15097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Qualification des anomalies ANO046988 et MOD010987 sur INT8SAGA'),
(15100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nCampagne Non Régression INT3'),
(17503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nLancement de campagne Falcon USR Non Reg version 2.4.10 sur INT3'),
(15104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nAction : gestion des tests automatisé du Stream coCo\\nLivrable : test+bilan d\\\'exécution'),
(15106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\n- point sur MEP Yellowstone\r\n- support contributions sur production\r\n- investigation anomalies en prod'),
(15125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n-Continuer à lire les specs liquidity manager pour en déduire des tests\r\n-Ecriture d\'un cas de test \r\n-Assister à un atelier sur l\'automatisation des tests organisé par Frédéric Faissat'),
(15126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nVie des environnements : prise en compte paramètre retail'),
(15135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n- Montée en compétence sur l\\\'appli maitre (Webapp/mobil)\\n- Création de la page confluence de l\\\'appli maitre sur IQ\\n- Analyse des tests ALM existants'),
(15128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nVie des environnements : alimentation usualname'),
(15129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nExécution campagnes acceptance/Nr falcon 2.3.9'),
(15130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nFormation tests auto'),
(15131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nVie des environnements'),
(15136, 'Le mail proposé par la MOA:\r\n\r\nMadame, Monsieur,\r\n\r\nUne nouvelle convention a été saisie. \r\nVous êtes invité(e) à vous connecter à Mon Compte Partenaire afin de vérifier cette convention.\r\nCordialement \r\nL\'équipe Mon Compte Partenaire \r\n\r\nPS : ceci est un message automatique, veuillez ne pas répondre directement à ce message.'),
(15137, 'Bonjour,\r\n\r\nJe vous confirme après vérification qu\'il est désormais possible de télécharger une convention dans le portail des partenaires dont le poids est compris entre 4Mo et 5Mo.\r\nJe viens de faire un test en chargeant  une convention dont le poids est 4.42Mo.\r\n\r\nJe reste à votre disposition pour plus d\'information \r\nBien cordialement\r\nHélène'),
(15144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  installation FDL015816_Ref_2.2.2 sur INT1ETL9'),
(15143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  installation FDL015816_Ref_2.2.2 sur INT2ETL9'),
(15142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  installation FDL015816_Ref_2.2.2 sur INT4ETL9'),
(15145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  Qualification ANO  FDL015816_Ref_2.2.2'),
(15146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - WS EGIDE 4.03 - Installation FDL015742 sur INT3EGID'),
(15147, 'Correction apportée.\r\nEn attente de confirmation équipe pour commit.\n\n'),
(15148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nRéunion téléphonique jeudi 9/03/2017, Point de situation avec C.Millot et les CDR'),
(15149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nOLYMPIA Installation des FDLs FDL_15872_SIDC_VFLX_OAC_6.0.0.1et FDL_15874_SIDC_VRPT_6.0.4 sur le TR3'),
(15150, 'Suivi du problème de lenteur : \r\n- Lors de l\'enregistrement d\'une modification, la page reste parfois à l\'état de chargement et nous oblige à quitter le service (et donc à attendre 30min pour réutiliser MCP )'),
(15151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDC TR2 Debloqué sans données MODERN // SIDC TR3 OK'),
(15152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nExport incidents de prod'),
(15163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nMCO Court-Commercial du 05/03/2017'),
(15154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nQualification EGIDE 4.30'),
(15155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nExport incidents de production'),
(15164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nMCO Court-Commercial du 06/03/2017'),
(15168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nRAM.004 - DMT0006671 - suite création d\\\'une cession sur TR3'),
(15160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation FDL015751'),
(15161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nExport incidents de production'),
(15165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nMCO Court-commercial du 07/03/2017'),
(15166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nQualification EGIDE 4.30'),
(15167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nExport incidents de production'),
(15170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nRAM.004 - DMT0006671 - reprise de l\'opportunité (OPP-0001074) de cession sur TR3 - suite à mauvaise manip dans Kheops.'),
(15655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nmise a niveau int 5 iso prod'),
(15172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nQualification EGIDE 4.30'),
(15173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nExport incidents de production'),
(15174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nMCO Court-commercial du 09/03/2017'),
(15175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nQualification EGIDE 4.30'),
(15176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nRAM.004 - DMT0006671 - recensement de détaillants, fournis par S.Vezzoso-SOPRA, dans GDS et SAGA'),
(15177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nOLYMPIA Qualification de l\'anomalie ANO047801 // Support a la recette // redaction PV de qualification'),
(15232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nfin investigation sur les liens en absolu dans le portail drupal\\nredaction des modifications a apporter en prod pour ne plus avoir de liens en absolu'),
(15632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nMotors : orchestration jeu pickandmatch2017\\\\\\\\n[GAMIFICATION - PALIER JUIN] Automatisation des tests\\\\nMotors : Correctif sur le processus d\\\\\\\'orchestration pour prevoir une sortie en cas d\\\\\\\'echec au niveau de la boucle pour atteindre l\\\\\\\'etat FINAL, lorsque le status de la prochaine étape n\\\\\\\'est pas trouvé'),
(15195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nLivraison 1.8.2'),
(15184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nLivraison 1.8.1'),
(15185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\npartie depart loctaire'),
(15186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nPréparation présentation Selenium + support'),
(15187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCorrection sur la partie PCA (detecté pendant la campagne de tests)'),
(15188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nCorrection sur la partie PCA (detecté pendant la campagne de tests)'),
(15189, 'From: claude.bohler@cdr-med-dom.caf.fr [mailto:claude.bohler@cdr-med-dom.caf.fr] \r\nSent: Friday, March 10, 2017 11:08 AM\r\nTo: CHATTON, JEREMY\r\nCc: mon-compte-partenaire.projet@projet.cnafmail.fr; gwendoline.le-merlus@cdr-idf.caf.fr\r\nSubject: RE: Correspondance identifiant mail - CDR MED\r\n\r\nBonjour \r\n\r\nMerci , en l\'absence de JL BRUNEL pour congés , une formation à lieu la semaîne prochaîne,   \r\n\r\nPouvez-vous modifier les adresses  : \r\n\r\nCAF011000Z   avec  claude.bohler@prm-mediterranee.cnafmail.fr \r\n\r\nCAF011001N    avec  reservation-visio.cdr-med-dom@caf.fr \r\n\r\nCordialement'),
(15190, 'Bonjour Gwendoline,\r\n\r\nJe te laisse faire la manipulation, il s’agit de la plateforme de formation (-v)\r\n\r\nBonne journée,\r\nJérémy'),
(15191, 'Gwendoline,\r\n\r\nVoici l’adresse mail qui a été utilisé : le-merlus-g_cnaf@yopmail.com\r\n\r\nJe peux que tu peux faire la réinitialisation du mot de passe avec.\r\n\r\nJérémy\r\n\r\nFrom: gwendoline.le-merlus@cdr-idf.caf.fr [mailto:gwendoline.le-merlus@cdr-idf.caf.fr] \r\nSent: Friday, March 10, 2017 11:35 AM\r\nTo: CHATTON, JEREMY\r\nSubject: RE: Correspondance identifiant mail - CDR MED\r\n\r\nBonjour Jérémy, \r\n\r\nJ\'ai un problème d\'échec d\'authentification pour entrer sur le site. Le mot de passe avait une durée limitée de validité je suppose. Seulement, je ne connais pas l\'adresse sous laquelle j\'ai été enregistrée :  le-merlus-g_cnaf@yopmail.com \r\n\r\nSi je fais mot de passe oublié, le nouveau mot de passe sera transféré sur mon mail cdr-idf.caf.fr ? Merci \r\n\r\nCordialement \r\n\r\nGwendoline LE MERLUS \r\nAssistante de projet \r\n01 45 65 53 90'),
(15192, '•	PHA / userChanged() dans CustomGroupMB : Appel backend pas forcement nécessaire, les utilisateurs sont déjà dans la vue, revoir la function\r\n•	PHA / update dans PartnerLocalServiceImpl : faire deux fonctions, une avec deux params et une avec un, le controle sur le groupe ne doit pas être systématique\r\n•	PCA / DateUtil : sortir dans les constants : 	public static final String DATEFORMAT = \"MMMMMMMMM yyyy\";\r\n•	PCA / NewSelectionMB. logWDD : utiliser le facesContext pour récupérer le user et non le userlocalserviceutil \r\n•	PCA / NewSelectionMB. logWDD : faire un log métier, pas du debug pour garder une trace en production ? à réfléchir'),
(15194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nPréparation réunion client'),
(15196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nsuppression des roles pour mettre les Autorisation'),
(15197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n-  Test Qualif PSBOR / WSPDI\r\n- Création ANO pour la Borne\r\n- Point quotidiien equipe Sport'),
(15198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nDefect 4769'),
(15199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-07  (Do not remove this line) -->\nDefect 4769'),
(15201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nDefect 4769'),
(15202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nDefect 4769'),
(15203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nDefect 4769'),
(15204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\nDefect 4769'),
(15205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nDefect 4769'),
(15206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nDefect 4769'),
(15207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n-création d\'une campagne de test sur ALM \r\n-Documentation sur confluence \r\n-Essayer de faire des prises de jeu Cocotrio2017 (environnement pas toujours disponible.)'),
(15210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n[Gamification] : cadrage dev\r\n[DEV AUTO] Atelier'),
(15343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n-Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n-Mise à jour des fonctions de parse PSEL pour traiter l\\\'ensemble des cas d\\\'erreur générés par l\\\'évolution PSMS - Atelier avec RDU le 14/03/2017\\n- Exécution campagne WAMIFY suite patch LVS'),
(15406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Mise à jour output script de PDJ PSEL'),
(15408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Phase 2 Cas de test Mify.'),
(15297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n- Daily Meeting \\n- Qualif nouvelle version PSBOR\\n- Point avancement Phillipe Amerio'),
(15651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nqualif et support metier bingo RWD\\nreunion palier de juin'),
(15220, 'Documentation : https://atos365.sharepoint.com/sites/CNAFPortailPartenaireOffrebailleur/SitePages/Env%20Liferay.aspx'),
(15222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nSuivi suite pb de traitement avec Frédéric BLANC'),
(15223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nLivraison FDL015587  : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT Partielle pour OLYMPIA , Correctif chargement SID (longueur données falcon supérieure à coheris pour certains champs)\r\n+ MAJ N° carte PDV lors du chargement client'),
(15224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Qualification import fichier pivot (échange sur pb avec projet)'),
(15225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nMCO - EGIDE reprise pb job chargement KEOPS sur I2EGIDE'),
(15226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nRAM004 - EGIDE REPORTING - Chargement fichier CA sur INT2 et INT3 YTIX'),
(15228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nSAFERGAME : Extraction et chargement de données BETSYS/RDST'),
(15230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nSAFERGAME : Qualification ANO047536 KO, repassée à \\\\\\\'Affecté\\\\\\\'\\\\nExtraction et chargement données BETSYS/RDST'),
(15231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nSAFERGAME : Point DT avec P.Maigne + Point quotidien état d\'avancement livraison entre FDJ/IBM'),
(15241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nRectification de la documentation sur les modifications pour les liens absolu\\nAnalyse du comportement des modules fdj_yellowstone et fdj_diamond\\nCreation de l\\\'ANO047877\\n\\nQualification de l\\\'api point de vente de presto'),
(15234, 'RAF : installation de la plateforme de démo et environnements des développeurs'),
(16184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nMontée en compétences'),
(16185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nMontée en compétences'),
(16212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nFalcon Transactions'),
(15688, 'Bonjour,\r\n\r\nle test fonctionne\r\n\r\n[Imprime-ecran]\r\n \r\n\r\nLe message vient d\'être envoyé et reçu sur ma messagerie personnelle.\r\n\r\n\r\nCordialement\r\nGérald CAUVIN'),
(15240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nOLYMPIA Création de l\'anomalie ANO047872 + mise en œuvre d\'un atelier pour clarifier la procédure de reprise'),
(15341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Mise en place de l\\\\\\\'offre mainBook pour la Perf \\\\n- Analyse retour PDJ Multiplex'),
(15243, 'Tests de surface terminés, y compris la partie Agent Caf sauf le test sur les conventions (manque les vues Détail de la convention, Utilisateurs, Groupes).\r\n\r\nGuide Selenium v1 terminé\r\nPrésentation OK'),
(15245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nAnalyse existant  et debut production du devis '),
(15249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - ASSISTANCE HIA pour installation INT2'),
(15248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Qualification'),
(15611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n[REUNION]: Laurent Barrière, Présentation du Palier de Juin 2017 - [AUTO]: INT2 / Rajout des Templates/Pricers utilisés par les tests AUTO'),
(15253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n[OLYMPIA]\\nDailyMeeting => wspdi\\nPrésentation applications détaillant à Philippe\\nPoint sur les nouvelles Boutiques FAQ, Contenu, Offre, ...\\nQualification anomalies ANO047698\\nAnalyse ANO047638\\nSupport qualif sport tests validité token (Nathalie)'),
(15254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\ndigishop get Ticket'),
(15255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nveille techno'),
(15256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n-Environnement KO et impossible de tester des prises de jeux \r\n-Configurations de bases des données (SQL Developper)\r\n-Documentation Postman \r\n-Lecture des tests dans ALM '),
(15434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nSIDCOM TR2 pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'alimentation les 11/03 et 12/03 // SIDC TR2 pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'alimentation les 10/03, 11/03 et 12/03 et erreur dans le flux d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'extraction XRS INFOS JOUEUR // SIDC TR3 pas d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'alimentation les 06/03, 11/03 et 12/03 + Erreur a la reprise de donnée cf anomalie ANO047872 + rattrapage des journées manquantes.'),
(15676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nSIDCOM TR2 OK // SID Client TR2 OK après finalisation de la reprise du 13/03 // SID Client TR3 En attente déblocage IQ Digital'),
(15643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nFin de qualification de l\\\\\\\\\\\\\\\'api point de vente de presto\\\\nCreation de l\\\\\\\'ANO047899'),
(15605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nMise à jour documentation sur Confluence concernant Falcon USR. Réunion avec Laurent Barrière : Présentation du palier de Juin. Ecriture de cas de test pour Falcon USR'),
(15445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nReunion IQ DIGITAL avec Mael. Ecriture de cas de test pour Falcon USR'),
(15268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nSAFERGAME : Point quotidien état d\\\'avancement IBM/FDJ\\nPoint HIA/IQ sur livraison cognos'),
(15269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nSAFERGAME : Bug review FDJ/IBM'),
(15276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nSAFERGAME : Mise à jour Kernel sur le non core de recette\\nCréation anomalie ANO047915 sur INT2\\nExtraction de données BETSYS/RDST'),
(15271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n- Réception de la FDL015895\r\n- Ouverture des anomalies: ANO047864, ANO047865, ANO047867\r\n- Réactivation du jeu Happy Dés sur INT3\r\n\r\n'),
(15272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nRéunion Olympia\r\nRéinstallation de Happy Dés sur INT3'),
(15285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n- Point Qualif IQ DIGITAL Olympia\\n- Installation PSBO 1.0.9 et début qualif\\n- Revue campagne test ALM pour PSBOR'),
(15675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nStock Grattage Installation de 2FDLs FDL015914 et FDL015919 sur le TR2'),
(15278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nPDJ Multiplex Live'),
(15281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nAnalyse des appels webservices\\nAnalyse de retour Place\\nAnalyse FAILED Camapgne Vie des environnements'),
(15697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nFormation Hakim\\nAnalyse Retour Place'),
(16151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nQualification PDJ Multiplex\\nFormation Hakim'),
(15286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nStock grattage Rédaction de 2 cas de test relatifs aux FDLs FDL015914 et FDL015919'),
(15677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nStock grattage Reprise de l\\\'init sur le TR2 a partir du 09/10/2016 + qualification des FDLs FDL015914 + FDL015919'),
(15288, 'C\'est Gwendoline qui crée les comptes et pas nous.\r\n\r\nSaxo à prendre par Gwendoline (Relancer dans 1 à 2 j)'),
(15289, 'A traiter par l\'équipe ISU, A rediriger');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(15291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n[Test AUTO]: Création d\\\'une nouvelle offre \\\"OffreMainBook\\\", différente des autres offres, histoire de pouvoir débugger plus facilement en cas de PB ...'),
(15292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n[OLYMPIA] Bilan POLY IQ\r\n[ALM] Sujets d\'optimisation / évolution avec Frédéric Gendraud\r\n[IF] Liaisons cas <> exigences'),
(15295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels\\n[IF] Points équipe sur les campagnes manuelles et les cas de tests existants\\n[IF] Liaisons des cas avec les exigences'),
(15294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n[OLYMPIA] Qualification des fiches d\'anomalies\r\n[IF] Rédaction de cas de test manuels'),
(15308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nMise à jour serveur Mantis'),
(16211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nFalcon Transactions'),
(15302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nCorrectif loader pour ANO047911   : [COHERIS] Pk_Integration_Crm.ChargementClients : ORA-06502 PL/SQL : erreur numérique ou erreur sur une valeur: tampon de chaîne de caractères trop petit\r\n\r\n'),
(15305, 'Bonjour Gwendoline,\r\n\r\nJe me permet de te router une demande faite par saxo (INC0331205) concernant la demande de création de compte utilisateurs pour la caf du Gers et portant sur l’environnement de production.\r\n\r\n« Bonjour, \r\nDans le cadre de la montée en charge de CDAP, pouvez-vous créer les comptes suivants :\r\n - administrateurs CAF HABPPS : \r\n      => joler321 Josiane LAGARDERE, informaticienne josiane.lagardere@cafauch.cnafmail.fr\r\n      => macic321 Mathias CICERI, informaticien mathias.ciceri@cafauch.cnafmail.fr\r\n - vérificateur : moday321 Monique DAYDE, Attachée de Direction monique.dayde@cafauch.cnafmail.fr\r\nPar avance, merci\r\nJe reste à votre disposition pour toute information complémentaire.\r\nCordialement,\r\nWilly ROCHER\r\nCAF du Gers\r\nResponsable Informatique, Logistique et MSSI »\r\n\r\nMerci de me prévenir dès traitement.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net'),
(15306, 'Saxo redirigé vers l\'équipe l\'ISU. Aucun traitement ou correction a effectué par les équipes de dev.'),
(15307, 'Bonjour,\r\n\r\nJe me permet de vous router une demande concernant votre équipe (saxo INC0331166).\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\nFrom: jacky.cudon@cdr-idf.caf.fr [mailto:jacky.cudon@cdr-idf.caf.fr] \r\nSent: Tuesday, March 14, 2017 10:48 AM\r\nTo: mon-compte-partenaire.projet@projet.cnafmail.fr\r\nCc: blandine.rocu@cdr-idf.caf.fr; relation-de-service.cdr-idf@caf.fr; action-sociale.cdr-idf@caf.fr; christophe.millot@cnafmail.fr\r\nSubject: Tr : Connexions atypiques CAFPRO 01/2017 - Adresse IP présumée étrangère\r\n\r\nBonjour,\r\n\r\nNous vous transmettons avec un certain retard une nouvelle interrogation de la Caf de Seine et Marne sur des connexions atypiques d\'un partenaire Tuteur au motif \"Adresse IP présumée à l\'étranger\".\r\n\r\nNos recherches n\'ont pas permis de clarifier l\'origine ces 2 accès avec une adresse IP différente de celle du partenaire.\r\n\r\nNous vous remercions par avance pour votre expertise technique  et restons à votre disposition pour toute précision utile.\r\n\r\nBien cordialement,\r\n\r\nJacky Cudon\r\n01 45 71 32 09\r\n\r\n\r\n----- Transféré par Jacky CUDON/CDR-IDF/CNAF le 14/03/2017 10:39 -----\r\n\r\nDe : Marie-noelle STEPHAN/CAFMELUN/CNAF\r\nA : Jacky CUDON/CDR-IDF/CNAF@CNAF, Blandine ROCU/CDR-IDF/CNAF@CNAF, \r\nCc : Michele NZENGOU-ZOTOKAS/CAFMELUN/CNAF@CNAF\r\nDate : 13/03/2017 12:15\r\nObjet : Tr : Connexions atypiques CAFPRO 01/2017\r\n________________________________________\r\n\r\n\r\nMadame, Monsieur, bonjour,\r\n\r\nJe reviens vers vous pour vous interroger à nouveau concernant la connexion\r\natypique motif 6 de monsieur DELAMARE, mandataire judiciaire protection des majeurs\r\nexerçant à titre individuel.\r\n\r\nDans l\'attente de la réponse que vous voudrez bien aporter à ce dossier,\r\n\r\nJe reste à votre disposition pour tout complément d\'informations.\r\n\r\nBien cordialement,\r\n \r\n----- Transféré par Marie-noelle STEPHAN/CAFMELUN/CNAF le 13/03/2017 12:06 -----\r\n\r\nDe : Marie-noelle STEPHAN/CAFMELUN/CNAF\r\nA : Jacky CUDON/CDR-IDF/CNAF@CNAF, Blandine ROCU/CDR-IDF/CNAF@CNAF, \r\nCc : Michele NZENGOU-ZOTOKAS/CAFMELUN/CNAF@CNAF\r\nDate : 14/02/2017 09:46\r\nObjet : Tr : Connexions atypiques CAFPRO 01/2017\r\n________________________________________\r\n\r\n\r\nMadame, Monsieur, bonjour,\r\n\r\nSuite à l\'analyse des connexions atypiques pour le mois de janvier 2017,\r\n\r\nje reviens vers vous pour vous exprimer mon étonnement devant la sortie en connexion atypique de motif 6\r\nde monsieur DELAMARE.\r\n\r\n \r\n\r\n\r\nmotif 6 - profil T9 - mandataire judiciaire protection des majeurs- Yannick DELAMARE- identifiant: AGYDE- \r\n\r\n\r\n\r\nEn effet, j\'ai interrogé sur un site internet: WHOIS\r\n\r\n(See attached file: Monsieur DELAMARE Yannick.pdf)\r\n\r\nL\'adresse IP fournie dans le tableau mensuel de janvier 2017 apparaît bien comme une adresse étrangère.\r\nPar contre, monsieur DELAMARE, mandataire judiciaire possède une connexion internet de particulier.\r\nSon adresse Ip est différente de celle qui apparaît dans notre tableau.\r\n\r\nPouvons-nous considérer que cette personne est en connexion atypique ou est ce une erreur?\r\n\r\nDans l\'attente de votre réponse,\r\n\r\nBien cordialement,\r\n \r\n----- Transféré par Marie-noelle STEPHAN/CAFMELUN/CNAF le 14/02/2017 09:19 -----\r\n\r\nDe : DELAMARE YANNICK <y.delamare@yahoo.fr>\r\nA : \"marie-noelle.stephan@cafmelun.caf.fr\" <marie-noelle.stephan@cafmelun.caf.fr>, \r\nDate : 13/02/2017 16:41\r\nObjet : Connexions atypiques CAFPRO 01/2017\r\n________________________________________\r\n\r\n\r\n\r\n\r\n[CNAF] Cet E-mail a ete analyse par la passerelle de securite : CheckPoint [/CNAF]\r\n\r\n\r\n\r\n\r\nBonjour Madame Stephan, \r\n\r\nMon IP (79 90 94 28) n\'est pas celui que vous m\'avez communiqué. \r\nJe viens d\'échanger avec SFR,  mon fournisseur d\'accès qui ne comprend pas cette opération. \r\nJe suis vraiment désolé et ne je ne peux pas vous donner d\'autre information. \r\n \r\nJe reste à votre disposition.\r\n\r\nBien à vous.\r\n\r\nYannick Delamare \r\nBoite Postale 23 \r\n77601 Marne La Vallée cedex \r\ntel: 01.75.73.58.06\r\nfax:01.84.21.02.79 \r\n________________________________________\r\nDe : DELAMARE YANNICK <y.delamare@yahoo.fr>\r\nÀ : \"marie-noelle.stephan@cafmelun.caf.fr\" <marie-noelle.stephan@cafmelun.caf.fr> \r\nEnvoyé le : Lundi 13 février 2017 10h24\r\nObjet : Re: Connexions atypiques CAFPRO 01/2017\r\n\r\nBonjour Madame \r\n\r\nje ne comprends pas ces connexions étrangères. \r\nPouvez-vous m\'aider concernant ma réponse à vous faire s\'il vous plait? \r\nJe vous remercie par avance.\r\n\r\nJe reste à votre disposition.\r\n\r\nBien à vous.\r\n\r\nYannick Delamare \r\nBoite Postale 23 \r\n77601 Marne La Vallée cedex \r\ntel: 01.75.73.58.06\r\nfax:01.84.21.02.79 \r\n________________________________________\r\nDe : \"marie-noelle.stephan@cafmelun.caf.fr\" <marie-noelle.stephan@cafmelun.caf.fr>\r\nÀ : y.delamare@yahoo.fr \r\nEnvoyé le : Mercredi 8 février 2017 15h09\r\nObjet : Tr : Connexions atypiques CAFPRO 01/2017\r\n\r\nMonsieur DELAMARE, bonjour, \r\n\r\n\r\n \r\n----- Transféré par Marie-noelle STEPHAN/CAFMELUN/CNAF le 08/02/2017 15:08 ----- \r\n\r\nDe :        Marie-noelle STEPHAN/CAFMELUN/CNAF \r\nA :        mjpm.delamare@yahoo.fr, \r\nCc :        Michele NZENGOU-ZOTOKAS/CAFMELUN/CNAF@CNAF \r\nDate :        08/02/2017 15:07 \r\nObjet :        Connexions atypiques CAFPRO 01/2017 \r\n________________________________________\r\n\r\n\r\nMonsieur DELAMARE, bonjour, \r\n\r\n\r\nLe présent courriel relève de nos obligations relatives au respect de la sécurité des données \r\ndans le cadre de la loi Informatique et Liberté. \r\n\r\nDepuis janvier 2014, la CNAF réalise des contrôles mensuels de connexions afin de renforcer \r\nla sécurité du service Cafpro et veiller au respect des engagements pris par les organismes \r\npartenaires. Ces engagements sont précisés à l’article 4 de la convention de service signée \r\nentre vous-même et la Caf de Seine-et-Marne. \r\n\r\n\r\n\r\n\r\nDes contrôles réalisés par la CNAF, il ressort six types de connexions atypiques : \r\n\r\nMotif 1- utilisateurs dans « le top 5 » des agents ayant généré le plus de connexions, \r\nMotif 2 - utilisateurs dans « le top 5 » des agents qui se sont connectés avec le plus adresses IP \r\ndifférentes, \r\nMotif 3 - utilisateurs dans « le top 5 » des agents qui ont consultés le plus de matricules différents, \r\nMotif 4 - connexions à Cafpro entre 00h00 et 06 h00, \r\nMotif 5 - connexions présumées à Cafpro depuis des adresses IP d’établissements bancaires, \r\nMotif 6 - connexions présumées à Cafpro depuis une adresse IP présumée étrangère \r\n\r\nVous êtes concerné par le motif 6. \r\n\r\nLors du contrôle mensuel de janvier 2017, réalisé par notre organisme national, l\'identifiant \"AGYDE\" \r\nest ressorti dans notre fichier de connexions atypiques pour le motif 6. \r\n\r\n\r\nEn effet, \r\n\r\nle 21 janvier 2017, vous avez consulté 2 matricules allocataires avec l\'adresse IP 85.237.212.4. \r\nL\'origine de la connexion est le royaume Uni. \r\n\r\n1- Pouvez-vous nous expliquer,en interrogeant éventuellement votre fournisseur d\'accès, comment se fait-il \r\nque votre adresse IP: 85.237.212.4 apparaît avec dans les adresses IP présumée l\'étrangère? \r\n\r\n2- Pouvez-vous joindre l\'extrait du RIPE? \r\n\r\nVotre réponse doit nous parvenir par écrit ou par courriel, dans un délai d’un mois, \r\nà l’adresse suivante : \r\n\r\nCaisse d’Allocations Familiales 77 \r\nPôle Agence comptable – Maîtrise des risques \r\n77024 MELUN CEDEX \r\n\r\nSans réponse de votre part à cette date, nous serons dans l’obligation \r\nde suspendre vos habilitations. \r\n\r\n\r\nNous restons à votre disposition, pour tout complément d\'informations. \r\n\r\nBien cordialement, \r\n\r\n\r\n \r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n--- Avertissement mis à jour le 17 novembre 2015 ---------------------------\r\nATTENTION : \r\nNous continuons à recevoir très régulièrement des courriels malicieux contenant des fichiers joints infectés par des virus informatiques encore inconnus des logiciels antivirus. \r\nCes courriels peuvent vous faire croire à une facture, à un bon de livraison, à une photo, ... ou bien évoquer un sujet fort de l\'Actualité.\r\nVeuillez vous assurer de l\'origine du courriel auprès de son émetteur avant d\'ouvrir les fichiers joints ou de cliquer sur un lien contenu dans le message.\r\nAu moindre doute, veuillez contacter votre support informatique.\r\nMerci de votre attention\r\n--- Equipe Sécurité informatique de la CNAF -------------------------------- \r\nATOS WARNING !\r\nThis message contains attachments that could potentially harm your computer.\r\nPlease make sure you open ONLY attachments from senders you know, trust and is in an e-mail that you are expecting.\r\n\r\nAVERTISSEMENT ATOS !\r\nCe message contient des pièces jointes qui peuvent potentiellement endommager votre ordinateur.\r\nMerci de vous assurer que vous ouvrez uniquement les pièces jointes provenant d’emails que vous attendez et dont vous connaissez les expéditeurs et leur faites confiance.\r\n\r\nAVISO DE ATOS !\r\nEste mensaje contiene datos adjuntos que pudiera ser que dañaran su ordenador.\r\nAsegúrese de abrir SOLO datos adjuntos enviados desde remitentes de confianza y que procedan de un correo esperado.\r\n\r\nATOS WARNUNG !\r\nDiese E-Mail enthält Anlagen, welche möglicherweise ihren Computer beschädigen könnten.\r\nBitte beachten Sie, daß Sie NUR Anlagen öffnen, von einem Absender den Sie kennen, vertrauen und vom dem Sie vor allem auch E-Mails mit Anlagen erwarten.'),
(15309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\npb de merge avec D41664'),
(15311, 'Bonjour Saïd,\r\n\r\nJ\'ai envoyé un mail auprès de Willy ROCHER pour remplir sa demande via le formulaire dédié. \r\nJ\'habiliterais ces agents dès réception du document.\r\n\r\nCordialement \r\n\r\nGwendoline LE MERLUS\r\nAssistante de projet\r\n01 45 65 53 90\r\n\r\n \"ZERROUKI, SAID\" ---15/03/2017 11:40:04---Bonjour Gwendoline, Je me permet de te router une demande faite par saxo (INC0331205) concernant la\r\n\r\nDe : \"ZERROUKI, SAID\" <said.zerrouki@atos.net>\r\nA : \"gwendoline.le-merlus@cdr-idf.caf.fr\" <gwendoline.le-merlus@cdr-idf.caf.fr>, \r\nCc : \"mon-compte-partenaire.projet@projet.cnafmail.fr\" <mon-compte-partenaire.projet@projet.cnafmail.fr>\r\nDate : 15/03/2017 11:40\r\nObjet : Demande de création de comptes utilisateur'),
(15652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nreunion Bilan Olympia\\nMontée en competence Gamification'),
(15314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nNouveau test'),
(15326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nSAFERGAME : Qualification MOD010929\\nCréation DMT0007619\\nExtraction données BETSYS/RDST'),
(15318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nWebEx Lancement recette, slide de presentation, Livraison client, documents'),
(15654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\ndemenagement\\\\\\\\nlecture DAT gamification\\\\\\\\nsupport box int4\\\\\\\\nsupport HIA bingo'),
(15320, 'Bonjour Christophe,\r\n\r\nNous avons testé l\'envoi du mail à l\'administrateur Caf suite à l\'invalidation d\'une convention par le vérificateur Caf, sur la plateforme de recette.\r\nEt cela ne fonctionne toujours pas.\r\nL\'admin Caf n\'a pas reçu le mail.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(15321, 'Bonjour Gerald,\r\n\r\nOn rencontre des problèmes de redirection sur la prod, au moment de la connexion et de la déconnexion.\r\nOn veut savoir si vous avez bien redémarré le hook ce matin.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(15322, 'Bonjour\r\n \r\nJe ne vois aucun flux SMTP de la VM jee1ccdapr3 depuis le 13/03/17 16h03min33secondes.\r\n \r\nPouvez-vous vérifier la configuration de votre machine ?\r\n \r\nCordialement,\r\n\r\nMaxime MULTARI\r\nService SI PROJETS TECHNIQUES'),
(15323, 'Mail à l\'équipe ServApp DSI-DOIT:\r\n\r\nBonjour,\r\n\r\nSuite au retour de M. MULTARI, nous vous sollicitons afin de vérifier la configuration SMTP de la plateforme de recette.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(15324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nDev API - FALCON : analyse de l\'origine des rejets d\'IBAN par Falcon -> bug sur calcul de clef RIB avec la version VuGen 12.5\r\nvalidation du générateur de code sur ALM 11 INT1 avec campagne de 1000 inscription joueur avec code IBAN\r\namélioration de l\'aléa sur la génération de numéro de compte bancaire'),
(15630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n[GAMIFICATION] Cadrage dev : 1H\\\\n[ITF] Atelier automatisation : 1H\\\\nvalidation de la génération de clef RIB sur ALM 12 avec fix correctif cci HP\\\\nFalcon USR 2.5.0-3 : Generation et merge API'),
(15328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n- Test acceptance et qualif PSBOR et WSPO'),
(15330, 'Recherche sur CubicTest -> pas évident, on ne peut pas l\'installer facilement\r\n=> j\'aurais besoin de voir comment installer le plugin manuellement avec le jar (j\'ai essayé, ça ne fonctionne pas mais ptet je m\'y suis mal prise)\r\n\r\nPoursuite de l\'automatisation du test Agent Caf convention'),
(15331, 'Suite à la demande faite par mail :\r\n\r\nBonjour,\r\n\r\nLa caf 93 a effectué une demande d\'habilitation à HAPPS avec le profil vérificateur pour Mesdames Dorkel et Soucheyre le  2 mars.\r\n\r\nCes personnes ont-elles été habilitées ?\r\n\r\nCordialement,\r\n\r\nBlandine Rocu\r\nExpert AS du Centre de ressources IDF\r\n01.45.71.27.17\r\nblandine.rocu@prmidf.cnafmail.fr'),
(15332, 'Bonjour,\r\n\r\nLes utilisateurs demandés ont été habilités.\r\nIls ont le rôle de vérificateur caf.\r\nMerci de vérifier qu\'ils peuvent accéder au portail partenaire.\r\n\r\nCordialement,\r\n\r\nAlaa RAHMANI\r\n04.89.39.00.57'),
(15333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nFDL015888  (2.1.1_wloto)\r\nCompil appli android loto (FDL015880)'),
(15334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nTests loto yellowstone 2.1.1'),
(15335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nTests loto webapp yellowstone'),
(15336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nTests loto webapp yellowstone\r\n'),
(15337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nPreparation mep webapp loto yellowstone VSR'),
(15338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nPréparation de la mise à niveau de l\'environnement INT4\r\nconception de test sous Postman'),
(15339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nRéunion POLY IQ Digital\r\nInstallation falcon usr 2.5.0-3'),
(15340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nMise à niveau de l\'environnement INT4 Back et INT42 front\r\ncomparatif INT0 INT4\r\ntest d\'interco KO'),
(15342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nTest d\'interco\r\nconception de test Postman\r\namélioration des fiches ALM + ajout de test auto pour acceptance'),
(15612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Dev nouvel appel de service Apollo pour besoin Perf \\\\n- Création des cas de test et campagne de gestion de l\\\\\\\'offre et actions requises pour générer des cas d\\\\\\\'erreur en perf.'),
(15345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nPréparation des tests d\'acceptance en vue de la livraison RC après ma semaine de congès'),
(15346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nExport Incident de Prod'),
(15347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nMCO Court-Commercial du 12/03/2017'),
(15348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nQualification EGIDE 4.30'),
(15349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nExport Incidents de Prod'),
(15350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nMCO Court-commercial'),
(15351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nGamif Cadrage Dev. Point Tâches hebdo.\r\nGamif cinématique des appels et préparation de l\'architecture du script orchestré.'),
(15352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nBilan POLY. Galif cinématiques + utilitaires GAM pour script orchestré.'),
(15353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nGamif cadrage Dev. Retouche des cinématiques, des états intermédiaires d\'arrêt de métajeux, Implémentation d\'un mécanisme de CheckJSON sur les retours de GetContext. ITF Atelier automatisation. Gamif Cadrage du périmètre de tests'),
(15360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nMCO - EGIDE'),
(15361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Demo installation nouvelle vesrion Sign&Go par ILEX - recherche problème'),
(15369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Analyse et rédaction 1eère version du document d\'ordonnancement'),
(15371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nOlympia installation des 2 FDLs FDL015914 et FDL015919 sur le TR2'),
(15364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation FDL015751'),
(15365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - ASSISTANCE HIA pour installation INT2'),
(15366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nExport Incidents de Prod'),
(15370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n-Exécution de tests interconnexion\\nEnvironnements int0 et int4 pas stable (problème Gateway, impossible de faire des prises de jeux)'),
(15377, 'J\'ai essayé de joindre Gérald par téléphone à plusieurs reprises sans succès.'),
(15374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nStock Grattage Qualification des FDLs FDL015914 et FDL015919 + rédaction du PV de qualification // GDC création d\\\'une anomalie sur le composant Adobe ANO047927'),
(15373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nSIDC TR3 OK // SIDC TR2 OK rattrapage des jobs hebdo // SIDCOM TR2 OK'),
(15375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nFLUX_ID vs ID_FLUX (maj env aurore, ...)'),
(15378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0007511 - Création du secteur 669 (Prise de connaissance).'),
(15379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nAnalyse des incidents de production en vu d\'un point avec C.Bassal'),
(15380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nReunion BEAUDON sur env. transverse'),
(15381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nAnalyse des scripts d\'installation/synchronisation ainsi que de la configuration d\'illikolive en vue de la préparation et l\'installation d\'illiko borne.'),
(15383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nRéunion Yasmine 14/3'),
(15384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nRéunion yasmine 14/3'),
(15422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n[Test AUTO]: Création d\\\\\\\\\\\\\\\'une nouvelle offre \\\\\\\\\\\\\\\"OffreMainBook\\\\\\\\\\\\\\\", différente des autres offres, histoire de pouvoir débugger plus facilement en cas de PB ... = FAIT + [PSMS_V2]: Matrice cas de tests: début'),
(15386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nBilan support'),
(15388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n-'),
(15726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nInstallation de Au Vol\\\\\\\'Or sur INT8 + contrib + ALM\\\\nInstallation du croupier de Coco Trio sur INT4\\\\nInstallation de Instant Loto 2017 2.0.2 sur INT8'),
(15393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nformation arjel'),
(15394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nImplémentation des mécanismes de gestion de la gamification dans un script de PDJ orchestré supportant dans un premier temps les jeux MOTORS.'),
(15395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nrecette alm 12.53 : qualification patch'),
(15396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\npage présentation et graphiques catalogue falcon, vie des environnements : suivi\r\n'),
(15397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nveille techno'),
(15398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nveille techno'),
(15399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nveille techno'),
(15400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n[IF] Rédaction de cas de tests manuels, qualification des anomalies SNOW, réunion tests manuels IF'),
(15401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n[IF] Rédaction de cas de tests manuels, qualification des anomalies SNOW'),
(15527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\ngam'),
(15526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nRéunion - palier olympia +batch'),
(15528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\ngam'),
(15637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nréunion olympia\\nVITAN 5.5.004 support recette'),
(15638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nPSEL android 1.0 : investigation sur la problématique d\\\'authentification liée aux paramètres non adéquats'),
(15538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nBILAN POLY IQ DIGITAL (organisé par Mael)\\\\nInitialisation document d\\\\\\\'exploitation composants détaillant \\\\nOLYMPIA  \\nSupport recette\\nAnalyse pb de versement après PDJ => Anomalie Falcon ANO047921'),
(15639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nVITAN 5.5.004 support: investigation sur une problématique d\\\'integ sur les environnement : souci lié à un fichier javascript du composant WOF.'),
(15640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nInstall wof sur les envi d\\\'integ cloud front sport\\nQualif PSEL Android'),
(15641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nPSEL Android\\nPS  PDV : livraison 4.5 et acceptance, qualif'),
(15418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n[OLYMPIA]\\nQualification pb de lien CGU dans les optins => KO pour Android\\nDocuments d\\\\\\\'exploitation détaillant - Captures flux tablette'),
(15537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n[OLYMPIA]\\n - Qualification ano pb de lien CGU dans les optins => KO pour Android\\n- Documents d\\\\\\\'exploitation détaillant - Captures flux tablette\\n- Pb lien détail PDJ - Vitan\\n- Deploiement + Acceptance INT1 (MAGO : FDL015945, MUGO : FDL015946, MIGO : FDL015947)\\n\\n'),
(15713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n[OLYMPIA]\\nDéploiement mugo mago migo wspdipour borne INT3\\nDéploiement digishop-u sur INT11 INT21 INT31\\nAcceptance application détaillant PDV 1.0.068\\n\\n'),
(15425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n[PSMS_V2]: Matrice cas de tests: début + [DEMENAGEMENT] + [Test AUTO] : Maj offre \\\"PDJMainBook\\\"'),
(15426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n[PSMS_V2]: Matrice cas de tests: début + [Test AUTO] : Maj offre \\\"PDJMainBook\\\"'),
(15432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nSuite exécution campagne 14.1.30.0-SNAPSHOT-22  sur INT3 \\n(test avec FEED RELAY + Transaction validation Token)'),
(15433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nSuite exécution campagne 14.1.30.0-SNAPSHOT-22  sur INT3 \\nTests réconciliation'),
(15435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nSuite exécution campagne 14.1.30.0-SNAPSHOT-22  sur INT3 \\nTests réconciliation.'),
(15430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nSuite exécution campagne 14.1.30.0-SNAPSHOT-22  sur INT3'),
(15431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nSuite exécution campagne 14.1.30.0-SNAPSHOT-22  sur INT3'),
(15533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nLecture documentation du peojet'),
(15534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nLecture documentation du peojet'),
(15535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nMise à jour de la matrice des exigences'),
(15536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nMise à jour de la matrice des exigences'),
(15510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nAnalyse et correction de tests automatisés Arjel'),
(16418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nAnalyse et correction de tests automatisés DigishopI'),
(15508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nAnalyse et correction de tests automatisés DigishopI'),
(16416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nFormation tests automatisés FALCON / ARJEL'),
(15511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nAnalyse et correction de tests automatisés ARJEL'),
(15571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nEcriture de cas de test pour Falcon USR.'),
(15573, 'Livré le 15/3/2017'),
(15762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSAFERGAME : Point DT avec P.Maigne'),
(15451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\npartie1: Ajout de l\\\'API dans le micro service déclarationBailleur + test Postman : 1 jour\\npartie 2 : Mise en place de la logique côté front + test appel à l\\\'API : 0.5 jour\\npartie 3 : affichage du PDF côté front =>Probléme technique : Le pdf ne s\\\'affiche pas correctement côté front. Le content type n\\\'est pas remonté dans la page. Probléme de MAJ surement du à la couche liferay :1,5 jours'),
(15452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nReunion Pallier, étude Automatisation Batch'),
(15453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\najout du scroll et résolution des problèmes liées à cet ajout'),
(15463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nCompilation de l\\\'apk de la version 4.4.001 appli native loto yellowstone android pour mise en prod le 16/03\\nTest sur l\\\'application'),
(15539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nTest & Formation Test Auto ARJEL'),
(15457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nLa montée en version de env liferay ne fonctionnait pas chez moi. Big clean relance des micro service, ect,... Les appelles aux micros service ne fonctionnaient pas .=> Retour en arrière.'),
(15458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nTests & Formation Tests Auto ARJEL'),
(15459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nTests & Formation Tests Auto ARJEL & USR'),
(15503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nTests & Formation Tests Auto ARJEL & USR'),
(15461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nContinuité des tests sur appli loto android compilé pour prod + test sur appli maitre et redaction des cas de tests associés'),
(15462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nNouvelle compilation android loto pour mise en prod v4.4.002\r\n+ test sur l\'apk et sur l\'appli IOS\r\nFDL015926\r\nFDL015925\r\n'),
(15464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nContinuité des tests sur l\'apk et l\'ipa loto qui vont etre mis en prod ce jour\r\nContinuité des tests sur l\'appli maitre et rajout des cas de tests dans ALM\r\nMise a jour catalogue pour appli maitre'),
(15465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nContinuité des tests sur l\'apk et l\'ipa loto qui vont etre mis en prod ce jour\r\nContinuité des tests sur l\'appli maitre et rajout des cas de tests dans ALM\r\nMise a jour catalogue pour appli maitre'),
(15466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nRequêtes SQL'),
(15467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nWebservices'),
(15468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nFormation Hakim + campagne acceptance INT7'),
(16924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nmodification contrôle ARJEL dans ALM'),
(16925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nrequêtes SQL + modification checks ALM'),
(15471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nSIDCOM TR2 OK // SID Client TR3 OK // SID Client TR2 en attente falcon'),
(15674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nGDC Installation de la FDL015935 sur le TR3'),
(15501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nCartographie des batchs MULTIMEDIA. \\nRéunion présentation palier juin LBE'),
(15474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nCartographie des batchs MULTIMEDIA'),
(15514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nCartographie des batchs MULTIMEDIA'),
(15515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nCartographie des batchs MULTIMEDIA'),
(15516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nCartographie des batchs MULTIMEDIA'),
(15518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Campagnes d\\\'acceptation des FDL015867, FDL015902, FDL015890'),
(15606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\n- installation Yellowstone VSR INT21\r\n- maj des environnements INT11, 31,32\r\n- maj doc swagger 4.0.9_mobi\r\n- maj doc swagger 4.0.14_mapi'),
(16160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nLecture des spec Freebet avec préparation de questions et début d’écriture des cas de tests à prevoir'),
(16417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nPOLY :\\n0,5 : petit dej / reunion bilan de projet pour REX organisé par Mael\\n0,5 : qualification d\\\'anomalies de VSR sur les Cartes NFC à la demande de Mael'),
(15487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nPJ17 _ lecture des specs / préparation questions/ ecriture enveloppe des tests'),
(15492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nPJ17 _ lecture des specs / préparation questions/ ecriture enveloppe des tests'),
(16162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nPJ17_Présentation des projets à venir par Laurent Barriere\nPrise de connaissance du contenu du projet\nRécupération des documentation existence'),
(15494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Qualification ANO045656, ANO045825, ANO045828, MOD010588, MOD010731, MOD010779, ANO046902, ANO046988, MOD010987, MOD011059'),
(15496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Création du secteur 123 sur le TR3'),
(15804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nmise a jour du referentiel du poste ALM 12 pour preparer nouvelle campagne de qualification des derniers fix et patch HP\\n [ITF] MOTORS : prise en charge de la nouvelle version AuvolOr 0.1.28 et requalification\\n[GAMIFICATION] Etude du passage en block du script Motors controlé'),
(15803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n[GAMIFICATION] transformation en block du script Motors controlé'),
(15517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Installation  des FDL015867, FDL015902, FDL015890 sur le TR3'),
(15500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Echanges sur ANO047861'),
(15513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nCartographie des batchs MULTIMEDIA\\\\nRéunion récap fin Olympia MVV'),
(15506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation de la version sur TR2 FDL015547, FDL015743, FDL015546, FDL015760'),
(15512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE : Support sur l\'installation de la FDL015751 sur INT2ARCA'),
(15519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nMCO Court_Commercial'),
(15520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS'),
(15521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS'),
(15522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS'),
(15523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nMCO Court_Commercial'),
(15524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS'),
(15525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nCAMPAGNE AUTO MOTORS'),
(15530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Création du secteur 669 dans EGIDE et GDS sur le TR2'),
(15532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nBCO.102.30-Gestion des secteurs isolés : Suivi de création de 6 opportunités Egide'),
(15542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nDébuggage de tests automatisés sur le référentiel Boutik (Digishop I, non régression)'),
(15543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nARJEL'),
(15544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Création du secteur 669 dans EGIDE et GDS sur le TR2 (suite)'),
(15545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Installation et qualification de la FDL015813 sur le TR1'),
(15547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nFDL015940   : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT Partielle pour OLYMPIA (Extraction BI4BO\r\nEtude possibilité de réécriture extraction BO'),
(15704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Installation de la FDL073908 sur TR3 et qualification de l\\\\\\\'anomalie ANO047480'),
(15550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nExécution de test interco IF '),
(15551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nBCO.102.30-Gestion des secteurs isolés : Préparation des campagnes de tests QT'),
(15623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n- Daily meeting + réunion app mobile (1h)\\n  - Support compilation parionsdirect Android 1.0.027\\n  - Pb installation app native parionsdirect Android 1.0.027 sur certains devices (alerté par Giacinto)\\n  - Approche du sujet des bases sqlite de l\\\'offre et des résultats (composant edwan 4.0.16) pour les applications native PS PDV\\n  - Maj des catalogues parionsdirect pour la prod (ajout des versions 1.1 + suppression appel fichier a4s.js)\\n  - Support HIA pour MEP des catalogues parionsdirect et de l\\\'apk Android (build 3)'),
(15624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n- Daily meeting + réunion app native (1h)\\n  - Réunion bilan poly IQ DIGITAL (2h30)\\n  - Suite qualification séparation base sqlite --> en l\\\'absence du paramètre nbjoursOffre Erreur 500 --> création de l\\\'anomalie ANO047913\\n  - Acceptance Parionsdirect IOS 1.1.001 sur l\\\'INT3 --> Les icônes de PROD sont corrects, l\\\'application s\\\'appelle désormais \\\"Les Directs\\\".\\n  - Maj ALM par rapport au nouvelle version WSPO 1.1 et Parionsdirect 1.1 --> prévoir non REG et nouveau test.\\n  - L\\\'application parionsdirect Android de production ne doit pas être instable sur une tablette Android --> création de l\\\'anomalie ANO047908'),
(15625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n- daily meeting + réunion app native (1h)\\n  - Support compilation parionsdirect IOS 1.1.001\\n  - Vérification rapide de la version sous testflight\\n  - Vérification des noms des paquets entre les versions d\\\'intégration (fr.fdj.lesdirects.debug) et de production (fr.fdj.lesdirects)\\n  - Qualication Checkversion et Georestriction Parionsdirect IOS 1.1.001 --> 100% OK\\n  - Echange avec S.LUNEAU de différents points (MOD réaffecté, Futures ANO)\\n  - Monté en compétence sur la borne'),
(15626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\ndaily meeting + réu app native (1h)\\nCréation d\\\'anomalie mineure sur Parionsdirect\\nSauvegarde SVN des catalogues des applications natives (des intégrateurs ne peuvent pas commiter sous svn!!!)\\nAcceptance Parionsdirect Android 1.1.001 (avant livraison FDL)\\nProjet OLYMPIA'),
(15627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nNormalement Projet OLYMPIA.'),
(15557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nIntallations et test MIG / MAG / MUG - Pallier maintenance Corrective\r\n- MIG => FDL015898\r\n- MAG => FDL015780 (14 correctifs)\r\n- MUG => FDL015779 (6 correctifs)\r\n\r\n (arreté en cours de route car Env pas à jour)'),
(15558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nInstall Digi U 2.2.10 sur INT22 + test rangs de gains pour Mohamed'),
(15559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n- Config serveur\r\n- Analyses Ano Yellowstone'),
(15560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nInstall et test MAG 2.3.8 - FDL015882 - INT11'),
(15561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nTravail sur IF :\r\n- Déploiement Boutiques sur INT42\r\n- Config serveur\r\n- tests'),
(15562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nAnalyse Anomalie Appli Vitan IOS /  ANO047879 \r\n+ Résolution'),
(15563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nTest rangs de gains de tous les jeux RTG'),
(15564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nMise à niveau Edwan (HTDOCS + Base) INT12 + 32'),
(15565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nMise à niveau Edwan (HTDOCS + Base) INT91 + autres (en attente des indications)'),
(15566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nTest rangs de gains de tous les jeux RTG'),
(15567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nSAFERGAME : Installation FDL015891 SPSS sur INT2'),
(15568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nSAFERGAME : Qualification ANO46675'),
(15700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nSAFERGAME : Point quotiden entre FDJ/IBM'),
(15574, 'Livré le 15/3/2017'),
(15575, 'Livré le 15/3/2017'),
(15576, 'Livré le 15/3/2017'),
(15577, 'Livré le 15/3/2017'),
(15578, 'Livré le 15/3/2017'),
(15579, 'Livré le 15/3/2017'),
(15580, 'Livré le 15/3/2017'),
(15581, 'Livré le 15/3/2017'),
(15582, 'Livré le 15/3/2017'),
(15583, 'Livré le 15/3/2017'),
(15584, 'Livré le 15/3/2017'),
(15585, 'Livré le 15/3/2017'),
(15586, 'Livré le 15/3/2017'),
(15587, 'Livré le 15/3/2017'),
(15588, 'Livré le 15/3/2017'),
(15589, 'Livré le 15/3/2017'),
(15590, 'Livré le 15/3/2017'),
(15591, 'Livré le 15/3/2017'),
(15592, 'Livré le 15/3/2017'),
(15593, 'Livré le 15/3/2017'),
(15594, 'Livré le 15/3/2017'),
(15595, 'Livré le 15/3/2017'),
(15596, 'Livré le 15/3/2017'),
(15597, 'Livré le 15/3/2017'),
(15598, 'Livré le 15/3/2017'),
(15599, 'Livré le 15/3/2017'),
(15600, 'Livré le 15/3/2017'),
(15601, 'Livré le 15/3/2017'),
(15602, 'Livré le 15/3/2017'),
(15603, 'Livré le 15/3/2017'),
(15604, 'Livré le 15/3/2017'),
(15607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\n- création ANO047883 [HASARD][YELLOWSTONE] Pas d\'affichage des anciens résultats loto\r\n- maj d\'env INT22 \r\n4.0.22_edwan	FDL015875\r\n4.0.9_mobi	FDL015879\r\n4.0.14_mapi	FDL015857\r\n2.1.1_wloto	FDL015888\r\n1.0.3_wihmevt	FDL015860\r\n- investigation régression affichage anciens tirages Loto\r\n- qualification ano YellowStone'),
(15608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n- création ANO047903 [HASARD] protocole supplémentaire sur l\'url video dans l\'affichage des xml\r\n- création ANO047902 [HASARD][YELLOWSTONE] Affiche du bloc Joker+ dans le simulateur de gain hasard\r\n- création ANO047918 [MRCD] draws/infos n\'autoriser que la méthode GET\r\n- création ANO047919 [MRCD] Appel voucher/check avec paramètres absents : 400 Bad Request\r\n- création ANO047920 [MRCD] voucher/check n\'autoriser que la méthode GET\r\n- installation livraison VSR \r\n4.0.20_hasard	FDL015921\r\n- qualification anos YellowStone\r\n- maj des environnements INT11, 31,32	'),
(15609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\n- création ANO047928 [MRCD] Appel voucher/refresh avec paramètres absents : 400 Bad Request\r\n- création ANO047929 [MRCD] voucher/refresh n\'autoriser que la méthode GET\r\n- maj contribution yellowstone INT21\r\n- investigation promulgation Amigo KO'),
(15610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n- réunion [CONVERGENCE] : Présentation du périmètre Front et BO\r\n- maj tests postman mapi'),
(15616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nPassage de la campagne ALM pour Instant loto 2017 v2.0.2\\\\nMise a jour de la contrib du jeu Happy Dés Printemps sous Drupal INT3 pour le portail tablette\\nMontée en compétence Appli Maitre'),
(15622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-10  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nSébastien Rollin et Stéphane Vallee.'),
(15628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Sébastien Rollin et Stéphane Vallee.'),
(15629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Sébastien Rollin et Stéphane Vallee.'),
(15634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\\nPrincipalement par Michael Falkowicz, et Stéphane Vallee.'),
(15635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Michael Falkowicz, Stéphane Vallee, Elise Parigny et Sébastien Rollin.'),
(15636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Michael Falkowicz, Stéphane Vallee, Elise Parigny et Sébastien Rollin.'),
(15650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n Qualif - MAJ ALM PSBOR 1.0.9 et WSPO 1.1.1'),
(15656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nCahier de recette'),
(15657, 'RE: INC0331385 Problème de déconnexion du portail partenaire\r\n\r\nBonjour Herve,\r\n\r\nPouvez-vous re-tester et voir si vous avez encore le problème de redirection vers une page Liferay ? \r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(15658, 'RE: INC0331385 Problème de déconnexion du portail partenaire\r\n\r\nRéponse d\'Herve Touré:\r\n\r\n\r\nBonjour Said,\r\n\r\nLe problème que j\'avais constaté à plusieurs reprise est intermittent.\r\n\r\nHier après-midi c\'était ok et ce matin aussi.\r\n\r\nJe te redirais si cela se reproduit et je noterai l\'heure.\r\n\r\nPour le moment pas de soucis.\r\n\r\nCordialement'),
(15659, 'Saxo INC 0331409:\r\n\r\nMail à Luc Eicher:\r\n\r\nBonjour,\r\n\r\nJe reviens vers vous par rapport au Saxo INC0331409 que vous avez créé.\r\nPouvez-vous re-tester et voir si vous avez encore le problème de redirection vers une page Liferay ? \r\n\r\nCordialement,\r\n\r\nAlaa Rahmani');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(15660, 'Saxo INC 0331409:\r\n\r\nBonjour,\r\n\r\nmon saxo faisait suite à un signalement par les agents du Conseil Départemental du bas-Rhin, et je ne connais pas précisément la manipulation qui leur a permis de tomber sur l\'écran Liferay.\r\n\r\nEn navigant sur le portail partenaires, j\'ai réussi à reproduire l\'incident en :\r\n\r\nme connectant au portail partenaires avec mon compte administrateur\r\npuis en cliquant sur partenaires\r\n\r\n\r\npuis sur le logo mon compte partenaires\r\n\r\nA votre disposition pour plus d\'informations\r\n\r\nLuc EICHER'),
(15661, 'Re-bonjour Luc,\r\n\r\nJe vous remercie de votre réponse et d\'avoir fourni tous ces éléments.\r\nJ\'ai reproduit le problème sur la prod.\r\nJe vous tiens au courant de l\'avancement de nos investigations.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(15662, 'Problème reproduit sur la prod, et sur l\'assemblage (même après redemarage de pps-hook).\r\n\r\nImpossible à reproduire en local.'),
(15663, 'Les données de connexion de l\'utilisateur sont encore dans les cookies après l\'accès au site http://www.caf.fr/partenaires \r\n\r\nLa piste du conflit de cookie est à éliminer.'),
(15672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nOlympia demande de travaux DMT0007643 pour creation des profils de connexion pour les nouveaux frontaux Olympia Borne sur les TR2 et TR3'),
(15671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nOlympia Modification des chaines controlm existantes pour packman sur le TR2 et le TR3'),
(16144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\nSuivi poste MES + VSR + réunion'),
(16142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\nsuivi post MES/ VSR  + réunion avec PROD'),
(15698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nTache fini avec une dérive de 1.5 à cause de difficultés pour charger le pdf côté front => Problème lié à liferay'),
(15673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\ngestion des incidents - Analyse de plusieurs incidents'),
(15678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nMCO - EGIDE - Recherche de problème sur le non fonctionnement des Job ZEUKI sur TR3'),
(15693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nStock grattage réinstallation de la FDL015919 sur le TR2 (après relivraison)'),
(15680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nFormation Malik\r\nPoint avancement ITF'),
(15681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nAnalyse appels service Back office ITF'),
(15682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nLecture cas de tests nouveau palier ITF'),
(17903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nFormation Mickael Postman'),
(15686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nArjel'),
(15687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nArjel'),
(15694, 'Mail avec les captures d\'écrans'),
(15717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nSAFERGAME : Création anomalie ANO048000 et ANO048005'),
(15701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nOlympia Validation de l\'environnement TR2 après mise a niveau'),
(15702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nSAFERGAME : Installation FDL015960, FDL015951 sur INT2'),
(15703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nSAFERGAME : Installation FDL015963, FDL015953, FDL015956, FDL015952 sur INT2'),
(15706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-13  (Do not remove this line) -->\nDefect 4769'),
(15707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nDefect 4769'),
(15708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nDefect 4769'),
(15709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nDefect 4769'),
(15710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nDefect 3571'),
(15711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nDefect 3571'),
(15712, '17/03/2017 10:41\r\n\r\nBonjour Christophe,\r\n\r\nJe teste et je vous tiens au courant.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(15716, 'J\'ai re-testé sur la PR, et ça fonctionne toujours pas.\r\nJ\'ai testé un autre ca de figure d\'envoi de mail et c\'est Ok : SMTP OK.\r\n\r\nJ\'ai testé en local et je me suis aperçu que firstAdmin de la caf est toujours Null.\r\nLa récuperation se faisait par cafId.\r\nQuand j\'ai récupéré l\'admin en passant par le cafCode, tout fonctionne.\n\n'),
(16707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nsupport HIA Bingo\\ninstallation usr 2.4.12-1 sur int1-2-3'),
(15777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSAFERGAME : Qualification ANO045094 - Test de perf des chargements datastage - Création anomalie ANO048029'),
(15723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nMCO - EGIDE Pb ZEUKI TR3'),
(15722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nGestion des incidents'),
(15725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - rédaction de 34 cas de test'),
(15727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nTests sur Selenium des pages \"Mes services en ligne\"'),
(15728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n=> MAJ flux XML Quiloy et Conlogetu\r\n=> Correction des retours depart locataire'),
(15920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n-Ecriture et mise à jour de cas test dans ALM (test d\\\\\\\'interconnexion)'),
(15741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nDemande par mail de MGI à prendre en charge 1Pb d\\\'accès SAGA via db_link depuis INT1'),
(15733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nIncident de prod INC168794'),
(15736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Qualification de la FDL015813 sur INT1ETL9 création de l\\\'anomalie ANO048009'),
(15735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : installation de la FDL015813 sur INT1ETL9'),
(15737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nSécurité et Météo'),
(15738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nTest sur pages \\\"Droits et prestations\\\"'),
(15740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Suivi des campagnes de qualification dans ALM'),
(15742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nExport incidents de production'),
(15743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nMCO Court-commercial du 15/03'),
(15744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nAnalyse incidents de production'),
(15745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nExport incidents de production'),
(15746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nAnalyse de INC168794 avec P. RIBEIRO'),
(15747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nBGR.047.31 [ME] Grattage - Installation FDL015752'),
(15749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0007511 - Création de PDV dans EGIDE'),
(15838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Actions correctives PDJs multiplex'),
(15949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\\\\\n\\n- campagnes factory ( support).'),
(15841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Evolution cas de tests Mify Phase 2. '),
(15756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nAction : implémentation  tests\r\nLivrable : tests'),
(16665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nAnalyse et correction de tests automatisés Arjel'),
(15758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nAnalyse PDJ bluetooth vis-à-vis de la distance borne \r\nQualif sur les anomalies\r\n'),
(15759, 'Ok pour le point 1 => strict'),
(15814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSAFERGAME : Installation FDL015992 sur INT2'),
(15765, 'Bonjour,\r\n\r\nMme Manoela GILLARDIN Caf 93 n\'a pas recu son identifiant ni son mot de passe par mail.\r\n\r\nAprès vérification, les mails ne sont pas classés en courrier indésirable.\r\n\r\nCordialement,\r\n\r\nBlandine Rocu\r\nExpert AS du Centre de ressources IDF\r\n01.45.71.27.17\r\nblandine.rocu@prmidf.cnafmail.fr'),
(15778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSTR Validation de l\\\'environnement projet TR3 + validation de l\\\'environnement HP ALM a utiliser: OLYMPIA avec répertoire spécifique + confirmation de non impact de GDC DDL v5.5.1 avec le DDL STR 6.3.0 + REQ40727 pour les accès aux projets ALM GAMIFICATION, IF, Freedom  + REQ40766 Ajout dans le projet Olympia du projet \\\"BAC.005.33 [ME] EVOLUTIONS PSEL\\\" pour la création d\\\'anomalie + Demande a la recette d\\\'une demande de travaux pour analyse DMT0007784'),
(15767, 'Bonjour Gwendoline,\r\n\r\nOn a reçu cette demande.\r\nPouvez-vous la traiter ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(15768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSIDC TR2 En attente // SIDC TR3 En cours rattrapage du 19/03 // SIDCOM TR2 OK'),
(16708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSupport métier Bingo jackpot communautaire 50/50 et Good afternoon\\nReunion Nyx/Métier sur les anos en cours\\nanalyse batch renciliation bingo en erreur'),
(15771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-10  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - préparation manuel d\'install pour HIA de l\'installation FDL015463  '),
(15772, 'Bonjour Gwendoline,\r\n\r\nPouvez-vous me tenir au courant de la résolution de ce problème ?\r\n\r\nMerci par avance,\r\n\r\nAlaa RAHMANI'),
(15773, 'Bonjour,\r\n\r\nCe problème a été traité.\r\nUn mail a été envoyé auprès de l\'agent concerné afin de lui transmettre son identifiant.\r\n\r\nCordialement \r\n\r\nGwendoline LE MERLUS\r\nAssistante de projet\r\n01 45 65 53 90'),
(15774, 'J\'ai pas eu de retour (ni positif, ni négatif)\r\nRelancer dans les jours qui viennent\n\n'),
(15775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n-Pb de déconnexion Borne -> voir avec le developpeur (gestion des session)\r\n-Périmètre de qualif terminée.\r\n-Daily Metting\r\n- Bug Review'),
(15776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-28  (Do not remove this line) -->\nomega'),
(15779, 'Détecté en interne par moi même S.Zerrouki'),
(15875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSTR Installation des FDLs FDL_15911_SIDC_DDLS_6.3.0, FDL_15912_SIDC_SID2_6.3.0, FDL015283_Cli_2.1.0'),
(15783, 'Mail de Hervé du 09/02 qui n\'avait pas été ajouté au ticket : \r\n_____________________________________________________________________________________________\r\nDe : DEVOS, HERVE\r\nEnvoyé : jeudi 9 février 2017 11:51\r\nÀ : MARLE, BERTRAND; ZERROUKI, SAID; CHATTON, JEREMY\r\nCc : RENE, SEBASTIEN\r\nObjet : RE: [saxo INC0322421] [mantis 17021] Problème d\'accès CDAP\r\nBonjour,\r\n \r\nCe problème est lié à la plateforme WebSphere et provient d’une mauvaise initialisation des filtres de servlet nécessaires à la redirection (CustomURLFilter). Il est nécessaire de faire remonter cette information auprès du support Liferay / WebSphere.\r\n \r\nPremier diagnostic :\r\n-        La webapplication pps-hook n’est pas déployée suite à une exception dans le processus de déploiement Liferay :\r\nCaused by: java.lang.NullPointerException\r\n  at com.liferay.portal.deploy.hot.HookHotDeployListener$ServletFiltersContainer.registerFilter(HookHotDeployListener.java:3825)\r\n  at com.liferay.portal.deploy.hot.HookHotDeployListener.initServletFilters(HookHotDeployListener.java:2427)\r\n  at com.liferay.portal.deploy.hot.HookHotDeployListener.doInvokeDeploy(HookHotDeployListener.java:785)\r\n  at com.liferay.portal.deploy.hot.HookHotDeployListener.invokeDeploy(HookHotDeployListener.java:315)\r\n  ... 35 more\r\n \r\n-        Solution proposée par Liferay :\r\nhttps://web.liferay.com/fr/community/wiki/-/wiki/Main/WebSphere+8+tips \r\n \r\nSecond diagnostic :\r\n-        Application la solution préconisée par Liferay :\r\no   Ajout des clés de configuration suivantes dans la configuration WebSphere :\r\n  com.ibm.ws.webcontainer.initFilterBeforeInitServlet = true\r\n  com.ibm.ws.webcontainer.invokeFilterInitAtStartup = true\r\no   Modification de l’ordre de chargement du hook pps-hook pour retarder le déploiement\r\n \r\n-        La webapplication pps-hook est déployée sans erreur et le filtre servlet est correctement initialisé (Ajout d’un log dans la méthode init du servlet filter, correctement affiché)\r\n-        Lors de tentative d’accès à une page portail (exemple : /, /web/guest), la chaine de filtres n’exécute pas le filtre CustomURLFilter\r\n \r\nCette problème relève d’une mauvaise configuration/bug lié à la plateforme WebSphere / Liferay et n’est pas lié aux développements réalisés.\r\n \r\nPour information, la configuration du servlet filter dans liferay-hook.xml :\r\n \r\n<servlet-filter>\r\n             <servlet-filter-name>Redirect</servlet-filter-name>\r\n             <servlet-filter-impl>cnaf.partenaires.pps.hook.filter.CustomUrlFilter</servlet-filter-impl>\r\n       </servlet-filter>\r\n \r\n       <servlet-filter-mapping>\r\n             <servlet-filter-name>Redirect</servlet-filter-name>\r\n             <url-pattern>/</url-pattern>\r\n             <url-pattern>/web/*</url-pattern>\r\n             <url-pattern>/user/*</url-pattern>\r\n             <dispatcher>REQUEST</dispatcher>\r\n             <dispatcher>FORWARD</dispatcher>\r\n       </servlet-filter-mapping>\r\n \r\n \r\nCordialement,\r\nHervé'),
(15789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nRéunion d\\\\\\\'avancement avec Raphaël'),
(15791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nPrésentation PSMS V2 par Joël'),
(15794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nAnalyse et implémentation vérification Retour Place\r\nQualification script PDJ_PS_WEB_MultiplexPlaceBetslips'),
(16304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nRéunion d\\\\\\\\\\\\\\\'avancement avec Raphaël\\nAtelier de travail PSMS V2'),
(16049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nQualification PDJ Multiplex (Live)\\nImplémentation Check retour Place'),
(16152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nImplémentation vérification Retour Place\\nSupport Hakim'),
(16302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nSuivie des campagnes Vie des environnements\\nSupport Hakim\\nCheck retour Place\\n'),
(15798, 'J\'ai remarqué que le problème de visualisation du pdf ne concerne que les conventions \"à vérifier\".'),
(15799, 'Impossible de récuperer les log, fichiers très volumineux.\r\nEn attente de la suppression des logs (en attente de la réponse de Christophe)'),
(16059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nCode IBAN : Ajout de la gestion de clef de contrôle de compte spécifique aux IBAN belges et espagnols\\nFinalisation du bloc Motors de PDJ controlée\\n[DEV AUTO] : point hebdo de suivi : 1H30\\nEtude du paramétrage de la scenarisation du bloc Motors controlé'),
(15805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nMCO - EGIDE'),
(15806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nDebut redaction des Specs TP à partir des specs de l\'autorisation de séjour'),
(15807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO Assistance à HIA sur installation INT2'),
(15808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nExport incidents de production'),
(15809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nMCO Court-commercial'),
(15810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - préparation campagne de test et échange avec le projet sur livraison Attendu de MEIBO et Sign&GO'),
(15811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nAnalyse incident INC168106'),
(15812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0007604 - Installation vues SAGA + ETL (prise de connaissance)'),
(15816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n[PSMS_V2]: Matrice cas de tests: Suite: UC / Cash Out + UC / Boost Bets presque terminés '),
(15818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nAction    : revu/implémentation des tests de non reg\\nLivrable : test cible : selfBlock, getPersonalData'),
(16666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nAnalyse et correction de tests automatisés ARJEL'),
(16667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nAnalyse et correction de tests automatisés ARJEL'),
(16668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nAnalyse et correction de tests automatisés ARJEL'),
(15825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\nEcriture et mise à jour des ces de test sur la partie interconnexion '),
(15824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nEcriture et mise à jour des ces de test sur la partie interconnexion\\nUn point a été organisé sur l\\\'avancement avec Julien'),
(16721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nCartographie batch\nMCO batch (compta)'),
(15827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n- réunion [CONVERGENCE] : trajectoire de migration des services MAPI/MOBI/MRCD/TAPI --> boutiques\r\n- investigation affichage des statistiques de jeu, pas de prise en charge des jeux ITG Illiko, remonté ano au stream Coco\r\n- remonté d\'information sur la maj des apps_liste suite mep Olympia\r\n- remonté d\'information sur ano ESTE, pb sur l\'heure de pdj indiqué dans le TRAPP et le TCRMO\r\n- maj de vhost.conf sur master pour nouveau service mapi/results/keno'),
(15828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n- réunion [YELLOWSTONE] - Suivi de VSR / DIGITAL \r\n- maj de vhost.conf sur master pour retrait service mapi/results/tirage\r\n- service de georestriction KO en prod, changement de domaine effectué par ariase, pb remonté à Mohamed corrigé par la suite\r\n- configuration poste fiddler au labo\r\n- support stream appli-natives pour Appli maitre\r\n- remonté pb sur ano méthodes MRCD, ano à suspendre, car pas de corrections prévue côté appli native'),
(15829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nRéunion de suivi hebdomadaire.'),
(15833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSAFERGAME : Installation FDL015992 sur INT4 - Installation FDL015994 sur INT4'),
(15832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSAFERGAME : Installation FDL015994 sur INT2'),
(15874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSIDCOM TR2 KO Absence données WCS + SIDC TR3 Installation en cours + SIDC TR2 En attente'),
(15881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSuite investigation deconnexion et point avec Dev .. \\nmontée en version du kiosk en 3.7.6 pour repasser test déconnexion .. \\nPoint avec Dev pour test Dev3 \\nMODOP Psbor / Wspo'),
(15837, '20/03/2017:\r\n\r\nLog ouvert sur terminal...'),
(15948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\n- Réunion de présentation PSMSV2 \\\\n- Mise en place des campagnes vie des environnement Factory INT7\\\\n- Support analyse perf vitan\\n- Ajout d\\\'une option de compilation \\\"FDJ_QPRM_QUERY_SEPARATOR\\\" permettant la construction des query pameters Mify sous forme de \\\"/qprm/\\\" ou \\\"?\\\"\\n- Mise à jour du parse du retour du place pour les pdjs PSEL\\n- Mise à jour de la regEx appliqué sur le betRadarMatchId lors de la valorisation des fichier betRadar '),
(16182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Evolution cas de tests Mify Phase 2.\\n- réunion de suivi programme sport\\n- Atelier PSMS V2.'),
(16356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nMontée en compétence sur IF'),
(15849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nModification de la configuration et des scripts d\\\'installation/synchronisation/... en vue  de l\\\'installation d\\\'illiko borne\\nInvestigation sur le probleme d\\\'affichage des jeux illiko sur INT3\\nCreation de lien sur INT3 pour les jeux illiko + contact avec Amelie Deremaux pour la creation de contenu sur drupal'),
(15850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nModification de la configuration et des scripts d\\\'installation/synchronisation/... en vue  de l\\\'installation d\\\'illiko '),
(15856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation de la livraison FDL015547 et FDL015743 sur INT4SAGA'),
(15855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Recherche sur perte d\\\'information dans la table STAG_AREA_LOG du TR2 à la demande de VMI'),
(16236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Test QM de bascule DD - DL du secteur C662 sur le TR3.'),
(15860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation des livraisons FDL015547 et FDL015743 sur INT3SAGA et installation de FDL015760 sur INT3ETL9'),
(15864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Test QM de bascule DD - DL du secteur C662 sur le TR3. Création anomalie ANO048055.'),
(15896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Recherche sur perte d\\\\\\\\\\\\\\\'information dans la table STAG_AREA_LOG du TR2 à la demande de VMI. La perte d\\\\\\\'information est dû à une purge complète et quotidienne de cette table sur le TR2'),
(15867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Installation de la livraison FDL015813 sur TR1 avec correctif sur ANO048009'),
(15868, 'Après une première analyse, le portlet hook n’a pas changé depuis le mois de décembre, par conséquent je soupçonne un changement de configuration au niveau des serveurs. La CNAF a fait un ticket à Liferay concernant nos problèmes de hook au redémarrage, \r\n•	une modification a-t-elle été faite sur les plateformes par la CNAF ? \r\n•	Le passage sur les data center ? \r\n•	Un blocage de redirection par le boitier BIGIP quand on utilise un servletfilter ?\r\n\r\nJérémy'),
(15869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nExportation des incidents de production'),
(15870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMCO Court-commercial du 20/03/2017'),
(16121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nFDL015916 - RIB.009 et RAM.004 - Installation Egide 4.30.01 sur T1-INT3EGID'),
(15951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nQualification ANO047804 (RAM.004) et ANO044386 (RIB.009) sur Egide 4.30.01'),
(15873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSTR Création de 2 fiches anomalies ANO048053 et ANO048036 sur la FDL015912 pour des anomalies documentaires'),
(15876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSTR Installation de la FDL FDL_15913_SIDC_VRPT_6.3.0 sur le TR3'),
(15877, 'Bonjour Guenaelle,\r\n\r\nJ\'ai effectué la demande de réinitialisation du mot de passe pour les comptes :\r\n\r\n- CAF17100AF (Véronique Noel)\r\n- CAF17100N8 (Virginie Cannaud)\r\n- CAF17100N6 (Jean-Philippe NAMURA)\r\n\r\nPeux-tu demander confirmation auprès des agents qu\'ils ont bien reçu leurs nouveaux mot de passe sur leur boites mail respectives.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(16019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nEcriture de cas de test pour Falcon USR. Ecriture de cas de test pour Falcon ITG'),
(15939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSAFERGAME : Création ANO048058- EGIDE : Qualification ANO043570'),
(15882, 'Bonjour,\r\n\r\nSuper l\'accès est OK pour les 3 personnes et elles ont réussi à changer leur mot de passe.\r\n\r\nNous allons pouvoir commencer notre saisie.\r\nMerci beaucoup pour la résolution de ce problème.\r\nCordialement, \r\n \r\n Guenaelle LAMOURET\r\nResponsable Informatique \r\n\r\n  tél : 05.46.51.59.41    fax : 05.46.51.59.43\r\n  guenaelle.lamouret@caf.fr \r\n\r\n  Afin de contribuer au respect de l\'environnement, merci de n\'imprimer ce mail qu\'en cas de nécessité'),
(16709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nsupport back int2 et 8\nsupport bingo Nyx et métier'),
(15885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nScript Auto DIGSHOP - Versionning + prise de connaissance\\ncontrôle des scripts \\nrécupération de script supprimé'),
(15890, 'Pas un bogue : wanadoo appartient à orange donc redirection automatique des mails vers l\'adresse orange.fr'),
(15891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nRedaction  SFD   et  analyse  TAF'),
(15889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nJIRA [Script Auto DIGSHOP - Versionning]\\nprise de connaissance sur les digishops\\nContrôle des appels _N1V et _N2V'),
(16138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-02  (Do not remove this line) -->\nsuivi VSR'),
(15894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMCO Court_commercial : WKF_REFERENTIEL_CALYPSO en erreur'),
(15895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective : Qualification FDL015813. J\'ai signalé que le script de purge des données se basant sur la date de traitement uniquement, il ne purge pas toutes les données datant de plus de 2 mois.'),
(16220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation FDL016013 sur INT2SAGA.'),
(15899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nTests IF'),
(15900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nTests IF'),
(17144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nTests IF'),
(17145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nTests IF'),
(17146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nTests IF'),
(17147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nTests IF'),
(15905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nRéunion + Formation automatisation USR ARJEL + étude batch automatisation'),
(15906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nautomatisation USR ARJEL + étude batch automatisation'),
(15907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nautomatisation USR ARJEL + étude batch automatisation'),
(15908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nautomatisation USR ARJEL + étude batch automatisation'),
(15909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nautomatisation USR ARJEL + étude batch automatisation'),
(15911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nGestion des incidents'),
(15912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMCO - EGIDE'),
(15913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - echange et réunion projet sur diffeérents point (Livraison, doc d\'installation, doc d\'ordonnacement CONTROL-M)'),
(15914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nPJ17_lecture Spec Freebet et Préparation cas de tests à prévoir'),
(15926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMonter en compétence sur POSTMAN'),
(15927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nLecture spec PJ17 et Preparation cas de test'),
(15930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nLecture spec PJ17 et Preparation cas de test'),
(16286, 'Analyse du code applicatif de PHA ;\r\n\r\nCode qui marche dans 100% des cas à l\'heure actuelle : \r\nif (ConventionOtherActions.DOWNLOAD_PDF.toString().equals(selectedAction)) {\r\n\r\n			final String URLPDF = conventionRefresh.getConventionPDFDownloadURL();\r\n\r\n			if (StringUtils.isNotEmpty(URLPDF)) {\r\n\r\n				final org.primefaces.context.RequestContext requestContext = org.primefaces.context.RequestContext.getCurrentInstance();\r\n				requestContext.execute(\"showPDF(\'\" + URLPDF + \"\');\");\r\n\r\n			}\r\n			else {\r\n\r\n				facesMessages.show(null, \"error_convention_PDF\");\r\n			}\r\n			return;\r\n		}\r\n\r\nCode qui par intermittence ne fonctionne pas : \r\n\r\n<p:column styleClass=\"padding0\">\r\n										<p:button\r\n											href=\"#{conventionMB.instance.conventionPDFDownloadURL}?pfdrid_c=true\"\r\n											target=\"_blank\" value=\"#{i18n.convention_view_entity}\"\r\n											rendered=\"#{conventionMB.fileUploaded and conventionMB.existingPDFFileInDL()}\" />\r\n										<p:outputLabel\r\n											rendered=\"#{conventionMB.fileUploaded and not conventionMB.existingPDFFileInDL()}\"\r\n											value=\"#{i18n.convention_pdf_KO}\" />\r\n									</p:column>'),
(15975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMise à jour du plan de test interconnexion et création de nouveaux cas\r\nAssiter à une réunion [IF) Point sur la qualif et la répartition des tâches'),
(15919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-16  (Do not remove this line) -->\n-Ecriture et mise à jour de cas test dans ALM (test d\'interconnexion)'),
(15921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nCompilation APK PROD Loto android 4.6.001 + Test sur appli + mise a disposition apk pour recette et HIA pour mise en PROD\r\nTest applimaitre , modification du catalogue INT32 pour mise en route appli maitre, Contribution CMS pour création application et mise en place du checkversion'),
(15922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMise a jour catalogue de PROD pour mise en place de la nouvelle APK pour la prod, mise a disposition du catalogue a HIA pour mise en PROD \r\nLivraison appli maitre IOS FDL016011 - Mise a jour du catalogue via fiddler car application non fonctionnelle et mise a jour check version\r\nCréation ano pour /mapi/subscription/get sur loto, euromillion,illiko sur IOS/Android\r\nANO048065, ANO048066, ANO048067, ANO048068, ANO048069, ANO048070'),
(15923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nTest sur appli maitre FDJ IOS et attente livraison nouvelle version Android + mise a jour des cas de tests'),
(15925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nALM _ Référentiel Falcon : \r\n* État des lieux pour adapter le référentiel aux nouvelles répartitions des taches à venir => plus de tests auto /moins de manuel . \r\n* Extraction du nbre de cas de test par TAG (pour IQ Falcon Back)\r\n\r\nBilan activité 1er trimestre 2017 : \r\nExtraction du nombre de cas de test :\r\n* Créés \r\n* Modifiés\r\n* Exécutés'),
(15931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nStock grattage Installation de la FDL015993 sur le TR2'),
(15933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nSIDCOM TR2 Bypass WCS + reprise init // SIDC TR2 En attente // SIDC TR3 reprise prévue depuis le 17/03'),
(15936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nStock Grattage Analyse avant installation sur le TR2 de la FDL015993 + retour sur état environnement TR3 // Olympia SIDC TR3 Analyse sur non remonté de compte joueurs  vers coheris depuis le 17/03 '),
(15943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nSAFERGAME : Bug review + Point quotidien d\\\'avancement FDJ/IBM + pré-installation Hudson sur environnement IBM'),
(15942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nSAFERGAME : Test de perf des chargements datastage avec nouvelle configuration système + reprise des chargements des données de prod'),
(15945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nmise en place flux XML QUILOY ET CONLOG'),
(16710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nSupport HIA purge bdd bingo\nReunion suivi des anos de prod bingo'),
(15950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMaintenance Investigation INC169091 Pb de ressource du a une mauvaise version en PROD'),
(15952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMCO Court-commercial du 21/03/2017'),
(15953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nAnalyse incident INC169091'),
(15954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nExport Incident de production'),
(15956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n[PSMS_V2]: Matrice cas de tests: Suite: UC / Cash Out + UC / Boost Bets + UC FreeBet'),
(15957, 'Bonjour, \r\n\r\nJ\'ai effectué les tests pour l\'Administrateur Partenaire en Mozilla et l\'Administrateur CAF en Internet Explorer 11. \r\nPour le premier j\'ai pu faire les copies écran. Ayant du passer par le Poste de Carole pour utiliser IE 11 (et non la version disponible sous mes habilitations), je n\'ai pas pu faire de copies écran, faute d\'emplacement pour les enregistrer. \r\n\r\nJe n\'ai pas eu, lors de la consultation métier, un message \"service momentanément disponible\" = consultation ok aujourd\'hui. \r\n\r\nLors des navigations test, j\'ai remarqué les mêmes situations qu\'hier, à savoir : \r\n\r\nDans le Tableau de Bord 1 (TB1), si je sélectionne le filtre par profils, puis un seul profil, si le dernier mois de la période est à 0, celui-ci ne s\'affiche pas dans le graphique. \r\n\r\nDans le Tableau de Bord 2 (TB2), si je sélectionne le filtre par profils, puis 2, 3, ou plus de profils, la distinction de chacun ne se fait pas : seul le total est affiché (Cela serait normal pour Carole). \r\n\r\nDans le Tableau de Bord 4 (TB4), si je sélectionne \"tout profils confondus\", puis une période sans consultation, si le dernier mois est à 0, celui-ci ne s\'affiche pas dans le graphique.   \r\n\r\nDans le Tableau de Bord 4 (TB4), si je sélectionne \"tout profils confondus\", les consultations de février et mars 2017 s\'affichent correctement. Si je sélectionne le filtre par profils, seules les consultations de mars 2017 s\'affichent (février 2017 à 0, à tort). \r\n\r\nDans le cadre de la consultation Administrateur CAF, j\'ai pu effectuer les tests par choix d\'organisme. Toutefois, aucun organisme n\'étant connecté, le résultat apparaît nul (normal). Les tests devraient être refaits avec des organismes existants partenaires de notre CAF. \r\n\r\nSaïd demande un numéro de téléphone où me joindre. Malheureusement, je n\'ai qu\'un numéro raccourci utilisable en interne. Lorsque le numéro complet est effectué, cela sonne au Conseil Départemental ... Carole, avec quel numéro m\'appelles-tu ? \r\n\r\nComme convenu, je n\'effectue pas les tests administrateurs CNAF ce jour. \r\n\r\nBonne journée, \r\n\r\nCordialement'),
(16145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nTests sur les livraisons MAG MUG PSEL Android\\nlevée d\\\'ano'),
(15959, 'J\'ai testé avec un allocataire de la base 760 en local.\r\nJ\'ai désactivé le filtre par période de 2 mois.\r\nOn arrive à voir ses courriers -> non reproductible en local\n\n'),
(15960, 'Sur TDB1 et TDB4 : rajout d\'un mois sur la date de fin pour inclure le mois courant. Test fait avec des données à 0 pour le dernier mois et avec des données'),
(18809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMaj de la Documentation PROJET'),
(15964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nStock grattage Reprise de l\\\\\\\\\\\\\\\'init suite  installation FDL015993 sur TR2 + investigations sur le TR3 + exécution d\\\'une campagne de test de qualification// GDC retour aux DEV sur anomalies de production ANO048077'),
(15963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nAnalyse incident INC169027'),
(15965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nTest des modifications de la configuration et des scripts d\\\'installation/synchronisation/... en vue  de l\\\'installation d\\\'illiko borne'),
(16336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nPS PDV IOS Promulgation des données de prod en Integ et pour la version 4.5 PSPDV\\nTests et remonté de problèmes liés DFO store (problème applauncher)\\nAcceptance PSPDV IOS (checkversion, catalogs)\\nInstall de la nouvelle version Mapi 4.0.16 (fix du blocage des pdv en prod) sur Int31\\n'),
(16337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nProblèmatique SPDV\nProblème coté VITAN pour la tablette 5.5.006 impossible de s\'authentifier\nPSPDV qualification des anomalies'),
(16335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nréunion avec l\\\'équipe FDJ de Paris à vitrolles'),
(16334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nrelivraison ps pdv, acceptance et qualif'),
(16333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nqualif psel android , pspdv'),
(15973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nPoint avec equipe paris\r\nInstallation PSBOR et WSPO\r\nRemasterisation borne'),
(15974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMise à jour du plan de test interconnexion et création de nouveaux cas '),
(15976, 'ID Test HP ALP : 794'),
(15977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-18  (Do not remove this line) -->\ntravaux CodevTT - suivi des coûts'),
(15978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-11  (Do not remove this line) -->\ntravaux CodevTT - suivi des coûts'),
(15979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nTâche fermé sauf éventuel retour'),
(15980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nRéunion Automatisation'),
(15981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nTâche fermée sauf éventuel retour'),
(15982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nPrise de connaissance sur les scripts DigishopU\r\nImport dans ALM des 3 scripts Supprimé par erreur lors du précédent décommissionnement.'),
(15983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nPrise de connaissance sur digishopU.'),
(15984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nprise de connaissance sur Mappi'),
(15985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\n[OLYMPIA] \r\nAcceptance et Deploiement MIGO / MAGO / MUGO INT1 et TR3\r\nPERF2 : Adaptation conf edwan sur ojadgate\r\n'),
(15986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n[OLYMPIA]\r\nTests acceptance ANDROID Détaillant 1.0.068 + Falcon 2.5\r\n\r\nDéploiement plus acceptance MAG 2.4.5 - FDL016000, MUG 2.8.2 - FDL016001 (INT32)\r\n\r\nTraitement du point (affichage des PDV Olympia) WSPDI fait appel au service storelocator\r\n\r\nKeepalive application Native => point avec DFO pour identifier l\'origine des appels getPursato inutiles\r\n\r\n\r\n\r\n'),
(15988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n[OLYMPIA]\\n\\nAcceptance + Déploiement FDL016028 - 1.0.21_migo, FDL016029 - 1.0.29_mugo\\nTests compatibilité wspdi 1.0.5 (prod) avec mago 1.0.54 (reset code pin) \\nConf apache PSBOR mise en place sur les frontaux bornes suite à la livraison de la version 1.0.11\\nSupport divers sur les environnements d\\\'intégration (suite au opérations du palier d\\\'obsolescence)'),
(15989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nFDL016048   : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT Partielle pour OLYMPIA (MOD011274)'),
(16171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMAJ Documentation PROJET FAQ'),
(16669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nAnalyse et correction de tests automatisés ARJEL'),
(16170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nFin Maj Documentation FAQ\\nDébut Analyse Refonte SID'),
(15993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nPoint Hebdomadaire suivi des tâches.\r\nConception de la génération auto de PDJ RTG'),
(15994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nPoint IQ Paliers 2017.\r\nDéfinition des mécanismes de tirage aléatoire de grilles et de PDJ RTG.\r\nValidaztion des concepts.'),
(16711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nITF Atelier automatisation des tests. Comité automatisation.\nImplémentation de la génération PDJ RTG (Euromillions dans un prtemier temps).'),
(16713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nImplémentation de la génération PDJ RTG'),
(16385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nRevue des exigences métiers (lien avec les composants)'),
(15999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nActivité sur les tests auto / correction.'),
(18249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nLecture documentation projet Gamification.'),
(16390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMise à jour du référentiel Falcon sous ALM.'),
(16391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nRevue des exigences avec le métier et rédaction des exigences techniques.'),
(16003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels'),
(16004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels\r\n[IF] Point hebdo avec LBO, LBA, MKA, MMA et JPA\r\n[AUTOMATISATION] Réunion automatisation MOTORS'),
(16005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels'),
(16007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels'),
(16014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n[OLYMPIA]\\nQualif reduite borne (=> passage au cab ce jour)\\nRetour exprérience POSTMAN (Valérie L.)'),
(16009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nveille techno'),
(16010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nveille techno'),
(16011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels'),
(16012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n[OLYMPIA] \r\nDocument d\'exploitation détaillant\r\nBoutique Digishop P préparation environnement PreQ '),
(16013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nveille techno'),
(16015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nveille techno'),
(16016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nveille techno'),
(16020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nEcriture de cas de test pour Falcon ITG. Reunion automatisation avec Valérie Le Roux'),
(16021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nEcriture de cas de test pour Falcon ITG'),
(16052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nVie des environnements  : prise en compte modiication environnements d\'intégration'),
(16023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nMise à jour des fichiers d\'automatisation pour être isoprod'),
(16025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nPSMS V2'),
(16026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nPSMS V2'),
(16027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMise à jour des fichiers d\'automatisation pour nouveaux markets'),
(16028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nPSMS V2'),
(16029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nTest sur livraison applimaitre Android 1.0.015 FDL16034\r\nMise a jour du catalogue android\r\nTravail sur ano reçu checker en prod via test de ticket scanné sur INT21 pour test entre le tirage et le winload'),
(16030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nCorrection et analyse de campagne 2.4.12 sur tests auto pour l\'ARJEL. '),
(16032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nContinuité test sur applimaitre android et IOS'),
(16033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nDocumentation et correction des tests auto ARJEL et conformité, problèmes liés à l\'instabilité des environnements. '),
(16042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nRéunion / Comité automatisation'),
(16035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO  MOTORS / INTERACTIVE FACTORY\r\nCONSTRUCTION CATALOGUE DE TESTS'),
(16678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO  MOTORS / INTERACTIVE FACTORY\nCONSTRUCTION CATALOGUE DE TESTS'),
(16037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO  MOTORS / INTERACTIVE FACTORY\r\nCONSTRUCTION CATALOGUE DE TESTS'),
(16038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO  MOTORS / INTERACTIVE FACTORY\r\nCONSTRUCTION CATALOGUE DE TESTS'),
(16039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nTravail sur les tests auto sur Arjel / Problèmes d\'environnements. '),
(16679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO  MOTORS / INTERACTIVE FACTORY\nCONSTRUCTION CATALOGUE DE TESTS');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(16043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nLancement de campagnes test auto/ analyse de tests et correction. '),
(16044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n ModOP, PV Qualif, Test nouvelle version borne, bug review PSBOR\r\n\r\n	\r\n'),
(16045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nA compléter SVP'),
(16046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nA compléter SVP'),
(16186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - installation FDL016009 sur INT2'),
(16051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nEcriture de cas de test pour Falcon ITG'),
(16053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nVie des environnements  : prise en compte modiication environnements d\'intégration'),
(16054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nVie des environnements  : prise en compte modiication environnements d\'intégration'),
(16055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nVie des environnements  : prise en compte modiication environnements d\'intégration'),
(16056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nVie des environnements  : prise en compte modiication environnements d\'intégration'),
(16060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nGAMIFICATION] script de test de scenarisation de bloc Motors contrôlé unitaire\\\\n[Paliers ] point ressources 1/2 H'),
(16061, '[2017-03-23 03:30:00] INFO  liferay/scheduler_dispatch-5 TaskManager :  Execution du batch pour les tableaux de bords PHA et les statuts des entites a : Thu Mar 23 03:30:00 CET 2017\r\n[2017-03-23 03:30:01] ERROR liferay/scheduler_dispatch-5 TaskManager :  Erreur lors du remplissage des tables de gels de compte\r\ncom.liferay.portal.kernel.dao.orm.ORMException: org.hibernate.StaleStateException: Batch update returned unexpected row count from update [0]; actual row count: 0; expected: 1\r\n	at com.liferay.portal.dao.orm.hibernate.ExceptionTranslator.translate(ExceptionTranslator.java:30)\r\n	at com.liferay.portal.dao.orm.hibernate.SessionImpl.flush(SessionImpl.java:147)\r\n	at com.liferay.portal.kernel.dao.orm.ClassLoaderSession.flush(ClassLoaderSession.java:237)\r\n	at com.liferay.portal.dao.orm.hibernate.PortletSessionFactoryImpl.closeSession(PortletSessionFactoryImpl.java:57)\r\n	at com.liferay.portal.service.persistence.impl.BasePersistenceImpl.closeSession(BasePersistenceImpl.java:83)\r\n	at cnaf.partenaires.pha.portlet.service.persistence.TdbLockedAccountReportPersistenceImpl.removeImpl(TdbLockedAccountReportPersistenceImpl.java:539)\r\n	at cnaf.partenaires.pha.portlet.service.persistence.TdbLockedAccountReportPersistenceImpl.removeImpl(TdbLockedAccountReportPersistenceImpl.java:51)\r\n	at com.liferay.portal.service.persistence.impl.BasePersistenceImpl.remove(BasePersistenceImpl.java:284)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:95)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:56)\r\n	at java.lang.reflect.Method.invoke(Method.java:620)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:320)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:183)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:150)\r\n	at com.liferay.portal.dao.shard.advice.ShardPersistenceAdvice.invoke(ShardPersistenceAdvice.java:54)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:90)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202)\r\n	at com.sun.proxy.$Proxy516.remove(Unknown Source)\r\n	at cnaf.partenaires.pha.portlet.service.base.TdbLockedAccountReportLocalServiceBaseImpl.deleteTdbLockedAccountReport(TdbLockedAccountReportLocalServiceBaseImpl.java:263)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:95)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:56)\r\n	at java.lang.reflect.Method.invoke(Method.java:620)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:115)\r\n	at com.liferay.portal.spring.transaction.DefaultTransactionExecutor.execute(DefaultTransactionExecutor.java:62)\r\n	at com.liferay.portal.spring.transaction.TransactionInterceptor.invoke(TransactionInterceptor.java:51)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ServiceBeanAopProxy.invoke(ServiceBeanAopProxy.java:175)\r\n	at com.sun.proxy.$Proxy515.deleteTdbLockedAccountReport(Unknown Source)\r\n	at cnaf.partenaires.pha.portlet.service.impl.TdbLockedAccountReportLocalServiceImpl.fillTdbLockedAccountReportTable(TdbLockedAccountReportLocalServiceImpl.java:915)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:95)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:56)\r\n	at java.lang.reflect.Method.invoke(Method.java:620)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:115)\r\n	at com.liferay.portal.spring.transaction.DefaultTransactionExecutor.execute(DefaultTransactionExecutor.java:62)\r\n	at com.liferay.portal.spring.transaction.TransactionInterceptor.invoke(TransactionInterceptor.java:51)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ChainableMethodAdvice.invoke(ChainableMethodAdvice.java:56)\r\n	at com.liferay.portal.spring.aop.ServiceBeanMethodInvocation.proceed(ServiceBeanMethodInvocation.java:111)\r\n	at com.liferay.portal.spring.aop.ServiceBeanAopProxy.invoke(ServiceBeanAopProxy.java:175)\r\n	at com.sun.proxy.$Proxy515.fillTdbLockedAccountReportTable(Unknown Source)\r\n	at cnaf.partenaires.pha.portlet.service.TdbLockedAccountReportLocalServiceUtil.fillTdbLockedAccountReportTable(TdbLockedAccountReportLocalServiceUtil.java:420)\r\n	at cnaf.partenaires.pha.tdbx.scheduler.tasks.TaskManager.receive(TaskManager.java:58)\r\n	at sun.reflect.GeneratedMethodAccessor330.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:56)\r\n	at java.lang.reflect.Method.invoke(Method.java:620)\r\n	at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67)\r\n	at com.sun.proxy.$Proxy550.receive(Unknown Source)\r\n	at com.liferay.portal.kernel.scheduler.messaging.SchedulerEventMessageListenerWrapper.receive(SchedulerEventMessageListenerWrapper.java:77)\r\n	at com.liferay.portal.kernel.messaging.InvokerMessageListener.receive(InvokerMessageListener.java:72)\r\n	at com.liferay.portal.kernel.messaging.ParallelDestination$1.run(ParallelDestination.java:71)\r\n	at com.liferay.portal.kernel.concurrent.ThreadPoolExecutor$WorkerTask._runTask(ThreadPoolExecutor.java:682)\r\n	at com.liferay.portal.kernel.concurrent.ThreadPoolExecutor$WorkerTask.run(ThreadPoolExecutor.java:593)\r\n	at java.lang.Thread.run(Thread.java:857)\r\nCaused by: org.hibernate.StaleStateException: Batch update returned unexpected row count from update [0]; actual row count: 0; expected: 1\r\n	at org.hibernate.jdbc.Expectations$BasicExpectation.checkBatched(Expectations.java:85)\r\n	at org.hibernate.jdbc.Expectations$BasicExpectation.verifyOutcome(Expectations.java:70)\r\n	at org.hibernate.jdbc.BatchingBatcher.checkRowCounts(BatchingBatcher.java:90)\r\n	at org.hibernate.jdbc.BatchingBatcher.doExecuteBatch(BatchingBatcher.java:70)\r\n	at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:268)\r\n	at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:268)\r\n	at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:189)\r\n	at org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:321)\r\n	at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:51)\r\n	at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1216)\r\n	at com.liferay.portal.dao.orm.hibernate.SessionImpl.flush(SessionImpl.java:144)\r\n	... 90 more\r\n[2017-03-23 03:30:01] INFO  liferay/scheduler_dispatch-5 TaskManager :  Fin execution du batch a : Thu Mar 23 03:30:01 CET 2017'),
(16069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nHP ALM 12 : vérification dernier correctif HP : bug persistant sur gestion double dans parametres variables\\n[ITF] Atelier automatisation : 1H\\n[Comité automatisation] 1H\\nSupport testeurs sur scripts automatisé (ITG, ITF, Falcon)\\nRecherche d\\\'une erreur sur PDJ en mode N1 > 1 itération'),
(16065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n[PSMS_V2]: Réalisation Matrice cas de tests / Cash Out + Paris Gratuits + Combiné Boosté'),
(16066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n[PSMS_V2]: Réalisation Matrice cas de tests / Cash Out + Paris Gratuits + Combiné Boosté'),
(16067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nPJ PSMV2 (cash out, freebet, boostbet, segmentation...), lecture des documents disponibles, prise de connaissance des sujets. '),
(16068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nPJ PSMV2 (cash out, freebet, boostbet, segmentation...), lecture des documents disponibles, prise de connaissance des sujets. '),
(16070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nPJ PSMV2 (cash out, freebet, boostbet, segmentation...), lecture des documents disponibles, prise de connaissance des sujets. '),
(16104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n[AUTO] Falcon ITG : Correctif sur PDJ en mode N1 \\n[GAMIFICATION] Motors Script contrôlé : test en scenarisation mono block\\n'),
(16072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\n- maj de contribution INT32\r\n- rattrapage promulgation YellowStone INT32\r\n- remonté pb de contribution sur prod  \r\n- maj tests sur service MAPI'),
(16073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n- configuration box iq\r\n- support dev développement service mapi/results/keno\r\n- maj contribution int32 pour applimaitre\r\n- travail avec stream appli native sur l\'applimaitre avec l\'ensemble des services\r\n- maj tests sur service MAPI'),
(16075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Michael Falkowicz, Stéphane Vallee, Elise Parigny et Sébastien Rollin.'),
(16076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Michael Falkowicz, Stéphane Vallee, Elise Parigny.'),
(16077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Michael Falkowicz, Stéphane Vallee, Elise Parigny.'),
(16078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Michael Falkowicz, Stéphane Vallee, Elise Parigny.'),
(16079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nMontée en compétence. Documentation et Formation par différentes Personnes.\r\nPrincipalement par Michael Falkowicz, Stéphane Vallee, Elise Parigny.'),
(24460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nImplémentation de la génération PDJ RTG'),
(16557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nVSR olympia + Maj référentiel'),
(16084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nFinalisation des tests et des modifications de la configuration et des scripts d\\\'installation/synchronisation/... en vue  de l\\\'installation d\\\'illiko borne'),
(16555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nVSR olympia + Maj référentiel'),
(16556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nVSR olympia + Maj référentiel'),
(16559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nVSR olympia + Maj référentiel'),
(16088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\n[OLYMPIA]\r\nQualification\r\nPb token BT avec la borrne'),
(16279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nAmélioration des scripts pour Illiko Borne\r\nInstallation PTAB 2.16.0 - Test d\'acceptance\r\n'),
(16102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nAnalyse de l\\\\\\\'intersticiel sur mapi vis à vis de la version 4.0.14\\\\nAvancement sur schéma de compréhension du front'),
(16101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nCréation MOD pour optimisation de WSPO'),
(16278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nRéunion avec l\\\'équipe de Paris + Acceptance et qualification de la FDL016019'),
(16098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMontée en compétence PSBOR, WSPO avec ABO'),
(16103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nA compléter'),
(16105, 'En attente de validation de la recette. Dès que la recette finis si aucune anomalie concernant la réception de mail n\'est remonté, clôturer le mantis'),
(16106, 'En cours d\'analyse des actions a mener sur ce soucis découvert en interne.\r\nPour être iso CAFPRO il faudrait restreindre la saisie aux 7 chiffres.\r\nA mettre dans le prochain patch de recette ? \r\n==> A valider.'),
(16722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMCO Multimédia\nCarto batch Multimédia'),
(16723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMCO Multimédia\nCarto batch Multimédia'),
(16725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMCO Multimédia\nCarto batch Multimédia'),
(16726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nMCO Multimédia\nCarto batch Multimédia'),
(16111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\n FDL015957 '),
(17175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nFDL016002.\\nFDL016003'),
(16181, 'Lors de l\'analyse du problème trouvé dans les logs, nous nous sommes rendus compte que lors de l’exécution du batch, les données d\'acquittement et de date de dernière alerte sont supprimées et recréées. Impact uniquement sur le tableau de bord 3 : gels de compte.\r\n\r\nTony a vu avec Christophe -> criticité mineur, la fonctionnalité est peu utilisée actuellement en production.\r\n\r\nConcernant le soucis au niveau des logs, il semble que la tentative de suppression d\'une ligne dans la base n\'aboutisse pas à cause d\'un id inexistant -> potentiel impact dû au changement de la création des lignes pour ces tableaux de bord d\'une création avec id auto genéré à id incrémenté avec le CounterLocalService de liferay.'),
(17177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nFDL016043.\\nFDL016042.'),
(17176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nFDL016038.\n FDL016002\nFDL016035.'),
(16129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nSAFERGAME : Installation FDL016041 (ETL) sur INT4'),
(16127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nSAFERGAME : Installation FDL016041 (ETL), FDL016026 (DB2,) FDL016036 (SPSS), FDL016037 (IIB) => INT2'),
(16122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMise à jour/ rédaction de cas de test dans HP ALM ( Qualification des jeux)'),
(16124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nMise à jour/ rédaction de cas de test dans HP ALM ( Qualification des jeux)'),
(16125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nSAFERGAME : Installation FDL016024 (Hudson), FDL016044 (IIB) sur INT2'),
(16128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nFDL016027 - RIB.009 et RAM.004 - Installation Egide 4.30.01 (Dump) sur T2 - INT4EGID'),
(16130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nExportation Incidents de production'),
(16131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMCO Court-commercial du 22/03/2017'),
(16132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nFDL016027 - RIB.009 et RAM.004 - Installation Egide 4.30.01 (FULL) sur T3-INT6EGID.'),
(16712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nremise en état des envt integ suite à la migration sur openstack\\\\nsupport pb de purge bingo en prod\\nlecture spec PJ17'),
(16136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\npréparation Bilan clôture projet'),
(16140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-03  (Do not remove this line) -->\nsuivi VSR'),
(16149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nTest de robustesse sur l\'historisation fonctionnelle des porteurs (création du porteur JSC TEST PERF NAV), avec 30 modifications du nom'),
(16153, 'A prendre en compte dans CDAP V2\r\nMettre en place le contrôle de saisie limitée à 7 chiffres\r\nRevoir les tests pour vérifier que cette correction sera bien testée.'),
(16154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nArrêt Maladie d\\\'un jour'),
(16155, 'Confirmation de la recette apportée. TOUT EST OK'),
(16156, 'Bug découvert en production puis en recette par patricia Frere'),
(16714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nremise en etat int8'),
(16163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n'),
(16164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nNomenclatures'),
(16165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nNomenclatrues'),
(16320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nTest sticky Camille - Test manuel FO (5 fois) présence sur espace allocaire, pas les autres; test position constante + test redirection'),
(16316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nAnomalie Slider : survol lien surligné'),
(16317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n\r\n'),
(16318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nAnomalie BO + Wysiwyg'),
(16319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nAnomalie Espace Partenaire + Wysiwyg'),
(16173, 'La récupération du mois à partir du calendar a été corrigée (récupération du mois sur 2 chiffres)\r\n\r\nPas de correction sur la période de récupération: \r\n\r\nOn affiche les courriers reçus le mois en cours et courant les 2 mois précédents\r\n( 2 derniers mois + mois courant jusqu\'au jour J)'),
(16364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nSAFERGAME : Création ANO048133- Qualification ANO048005, ANO048058, ANO047430'),
(16183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - installation FDL016009 sur INT1'),
(16187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n'),
(16188, 'Investigation:\r\n\r\nConnection avec un admin partenaire (d\'une convention ayant un groupe ouvert actif habilité à cdap)\r\n\r\nFaire une requête en bdd pour avoir les données de connexions lié à l\'organisme en question ( organismsiren= 500 500 500)'),
(16191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMCO - EGIDE et SIDC'),
(16190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-11  (Do not remove this line) -->\nSamedi travaillé'),
(16195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-18  (Do not remove this line) -->\nSamedi travaillé'),
(16194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nGestion des incidents'),
(16196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-25  (Do not remove this line) -->\nMajoration pour les 2 samedis précédents travaillés'),
(16198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - installation FDL016010 sur INT1'),
(16255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - installation FDL016010 sur INT1 ( SUITE)'),
(16201, 'Après investigation, il s\'est avéré que:\r\n\r\n- les données affichées pour le mois de février correspondent en nombre pour \"profils confodus\"\r\n\r\n- les données affichées pour le mois de mars correspondent aux données du mois de fevrier pour \"profils confodus\"\r\n\r\n\r\nPS: on a pas pu testé le mois de janvier (et d\'Avril) vu que y a pas eu des accès cdap avant pour cette caf/convention.\n\n'),
(16426, 'Après une investigation poussée, on a constaté que le problème vient de l\'injection de données anciennes en BDD de la recette.'),
(16427, 'Bonjour Carole,\r\n\r\nJe reviens vers vous par rapport au saxo n°  INC0333427 qui concerne l\'incohérence des données entre l\'affichage \"tous profils confondus\" et l\'affichage par profil. \r\n\r\nAprès investigation, nous avons constaté que lors de l\'injection des données de test des tableaux de bord sur la recette, des données qui correspondent à une première version des tableaux pca ont été utilisées.\r\nCes données ne sont plus en phase avec la méthode actuelle de fonctionnement des tableaux de bord (récupération des services et des rôles).\r\nLes incohérences sur les données affichées que vous avez eu semblent provenir de ces anciennes données.\r\n\r\nSachant que toutes les nouvelles données enregistrées suite à l\'activité de l\'équipe de recette sont cohérentes, nous vous proposons de rendre les anciennes données invisibles sur les tableaux de bord.\r\n\r\nMerci de nous faire part  de votre préconisation,  \r\n\r\nA noter que ce problème ne concerne que la plate-forme de recette. \r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(16202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nMCO Court-commercial du 23/03/2017'),
(16203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nAnalyse INC169027'),
(16204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nAnalyse INC169286'),
(16210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nRéunion de mise en place'),
(16213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nDefect 3571'),
(16214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nDefect 3571'),
(16215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nDefect 3571'),
(16216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nDefect 3571'),
(16217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nTest 4769 sur INT'),
(16218, 'Bonjour,\r\n\r\nVous trouverez ci-joint l’étude réalisée pour l’unicité des emails.\r\n\r\nEgalement disponible sur le DFS :\r\n\r\nG:\\SI_SOPHIA_PROJETS_CNAF\\CNAF Lot 4 (gest. alloc. et ech. part.)\\Offre Portail\\HABPPS\\12-LIVRABLES\\Etudes\\Portail Partenaires-Habilitations-Unicite_email-V1.0.docx\r\n\r\nCdlt,\r\nHervé'),
(16223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation FDL016013 sur INT4SAGA.'),
(16221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation FDL016013 sur INT8SAGA.'),
(16231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : campagnes de qualification de l\\\'acceptation de la FDL016013_v1 sur INT4SAGA. Le script d\\\'install est manquant. Le dev le livrera dans la même FDL.'),
(16224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSuivi de la partie Batch - demande de jeu de données - mise à niveau de N.G'),
(16225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nDocumentation + MAJ Mantis'),
(16227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation FDL016050_v1 sur INT8SAGA. Le script d\\\'install de la livraison est en erreur. La FDL est rejetée mais le DEV repasse le statut de la FDL à brouillon et livre le correctif dans la même Fiche de livraison.'),
(16228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Installation FDL016050_v2 sur INT8SAGA.'),
(16229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Qualification du script de réinit des tables orphelin. Création de l\'anomalie ANO048165'),
(16230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : Campagnes de Qualification MOD011253 et MOD011279'),
(16232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nBCO.084.36 RDI 1.05 : campagnes de qualification de l\\\'acceptation de la FDL016013_v2 sur INT4SAGA. Cette fois avec le script d\'install.'),
(16765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Campagnes de bascule des secteurs DI-DL et DI-DD'),
(16764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nRAM 004 : Valider le bon fonctionnement de WKF T et L pour Alarme sur TR3. Pb la base Alarme a été supprimer sur le TR3.'),
(16235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nBCO.096.31 [REM] EVOLUTION REMUNERATION INTERMEDIAIRE LOT 1 : Campagne de changement de type de commissionnement sur TR3'),
(16237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Rédaction de 3 cas de tests'),
(16238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nAction : Non reg Stream coco (remise en état de l\'existant + complétion)\r\nLivrable : tests associées'),
(16239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nAction : Non reg Stream coco (remise en état de l\'existant + complétion)\r\nLivrable : tests associées'),
(16240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nAction : Non reg Stream coco (remise en état de l\'existant + complétion)\r\nLivrable : tests associées'),
(16242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nAction : Non reg Stream coco (remise en état de l\\\'existant + complétion)\\nLivrable : tests associées'),
(16243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n'),
(16244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n'),
(16245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n'),
(16339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nDaily Meeting Sport.\nRetour au tecklead des app natives sport des incohérences présentes dans le DFO store de DEV.\nAvancement test appels Edwan (promulgation, résultats) --> génération de deux anomalies mineures, la documentation est à mettre à jour.\nSupport Djamel sur les tests PS PDV et PSEL IOS (max 1h)'),
(16251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nRéunion avec le techlead, le PO et le CP SI du stream sport PDV'),
(16249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nSuite testsservices MAPI (intersticiel, Georestriction) -> confirmation Georestriction KO (integ, prod) -> Modification loud int31 pour la georestriction (nouvelle version 5.5.006)\r\nRedemarrage de l\'intégralité des serveurs SPDV sur des cloud Sport (prise en compte de la variable CDN).\r\néchange avec LONGOBARDI sur l\'ano ANO047908\r\nSupport Djamel pour pspdv Android (rejet FDL, attente nouvelles livraisons)\r\n'),
(16338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nAcceptance WSPO 1.1.3 (OK)\nSupport HIA sur les applications natives PS PDV et le site SPDV en production.\nCréation d\'anomalie et maj FDL de la version MAPI 4.0.16 pour passage au cab.'),
(17261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nSuite test géorestriction --> pb d\\\'url dans le cloud FDJ.\\nSupport Djamel. Test de la géorestriction sur PSEL IOS et PS PDV IOS.\\nREpositionnement sur les webapps SPDV et WSPO.'),
(16254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n'),
(16256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n'),
(16257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nEtude Falcon API'),
(16258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nEtude Falcon API'),
(16610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nEtude Falcon API'),
(16260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\n'),
(16261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\nRéconciliations'),
(16262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nALSH'),
(16263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\n'),
(16264, 'La caf n\'est pas habilité au service CDAP d\'où le message d\'erreur'),
(16265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\n'),
(16266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n'),
(16267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n[GAMIFICATION] Motors Script contrôlé : scenarisation en bloc multiple -> désactivation des adhérences à la gestion des états spécifiques Motors / ITF'),
(16268, 'Mapping entre les beans cafpro et pca rajouté permettant de corrigé le problème de la présence du foyer soumis aux droits et devoirs'),
(17992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n- Analyse \\n- Dev \\n- Support'),
(17993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n-- Analyse \\n- Dev \\n- Support'),
(16275, 'corrigé dans 17920'),
(16280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-01  (Do not remove this line) -->\nPresta complémentaire sur Égide + Doc + Configuration poste '),
(16283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-02  (Do not remove this line) -->\nPresta complémentaire sur Égide + Doc + Configuration poste'),
(16282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-03  (Do not remove this line) -->\nPresta complémentaire sur Égide + Doc + Configuration poste '),
(16285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nPOSTMAN : présentation par Brice + mise au propre de mes notes (\'guide installation + utilisation\')'),
(16287, 'Proposition :\r\n\r\nImplémenter le code qui marche dans 100% des cas pour confirmer ou non si cela est un problème applicatif ou pas.\r\n\r\nEnjeu : Si les erreurs persistent cela confirmera que ce n\'est pas un bug technique mais bien un bug de configuration.'),
(16288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nadaptations de code et de configuration de librairies afin d’être compatible avec la plateforme Websphere 8.5.'),
(16289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nadaptations de code et de configuration de librairies afin d’être compatible avec la plateforme Websphere 8.5.'),
(16290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-06  (Do not remove this line) -->\nLivraison V1.0.6, MAJ README, pom.xml'),
(16291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\nMajApres pba portlet + Livraisons Jenkins et Elsudi'),
(16292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-14  (Do not remove this line) -->\nmodélisation et analyse source des données'),
(16293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\ncréation du JDL'),
(16294, 'RAF : mise à jour de la documentation BDD\r\nNotification DBA ED'),
(17994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n- Atelier PDJ SPORT\\\\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n - Rédaction cas de test PDJ Mify PSEL ALM.'),
(16296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-17  (Do not remove this line) -->\ncréation base DB2 + configuration du service'),
(16297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\nRevue et code et corrections Sonar'),
(16298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nEntite TraitementBatch, nbTotalAllocataires sur CampagneLoyerStat'),
(16299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nSocle technique gestion des batchs avec CRON'),
(16300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMerge adaptation Websphere + tests sur Tomcat'),
(16804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nVérification de la table TRANSACTIONS\\nSupport Hakim'),
(16807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nOptimisation des camapgnes'),
(16309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nAtelier de travail CT vérification MIFY\r\nAtelier de travail Révision du référentiel Non REG Manuel par rapport au tests auto'),
(16311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n- Test acceptance / Qualif PSBOR 1.0.12\r\n- Passage connaissance Stephane'),
(16312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nCorrectif ANO048190 \r\nFDL016088 : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT Partielle pour OLYMPIA (ANO048190 + FDL de 5.4.1.15 à 5.4.1.19'),
(16313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nPréparation SCRIPT de MAJ des données Type d\'offre et PRI_ID'),
(16314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n'),
(16321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\n'),
(16746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nGestion des incidents de production'),
(16323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nGDC Installation de la FDL FDL_16052_SIDC_DDLS_v5.5.2 sur le TR3'),
(16324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nStock Grattage clarification des actions projets'),
(16430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nStock Grattage clarification avec le CP de la qualification effectuée + rédaction du PV de qualification FDL FDL_15993_SIDCOM_TAGG_V3.1.10'),
(16327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nSAFERGAME : Reunion point de synchro avec P.Maigne et IBM- SOP : Réunion Transformation ALM SOP'),
(16331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nSAFERGAME : Installation FDL0XXXX Backup db2 sur INT2'),
(16332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nSAFERGAME : 2 Fiches de relecture : doc déploiement Hudson V1.25+ Sauvegarde base de données'),
(16431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nSIDCOM TR2 bypass WCS OK  Stock grattage / KO Reporting Logistique // SIDC TR2 KO BINGO en attente PWEB // SIDC TR3 reprise depuis le 17/03 en attente PWEB'),
(16833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nAnalyse pb d\\\'affichage des jeux Illiko sur INT21 (tous les jeux) => Pb de contribution ud jeu Astro\\nRéunion Playstation\\nMontée en compétence sur l\\\'application FDJ'),
(16360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nInstallation sur INT8 des FDL:\\\\\\\\n- FDL016073 - [GRAVITY] Livraison Framework 2.2.2\\\\\\\\n- FDL016072 - [INSTANT LOTO 2017] Livraison Applet v2.0.3\\\\\\\\n\\\\\\\\nPassage des campagnes d\\\\\\\\\\\\\\\'acceptance ALM'),
(16359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\nMontée en compétence sur IF\\\\nAnalyse de l\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'outil de promulgation'),
(16358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\nMontée en compétence sur l\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'appli FDJ\\\\nRéunion IF'),
(16357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nMontée en compétence sur IF\\\\nContribution du jeu Au Vol\\\\\\\\\\\\\\\'Or sur INT5\\\\nInstallation sur INT3 et INT8 de la mécanique de jeu de Au Vol\\\\\\\'OR'),
(16361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nLancement de campagnes d\'acceptance en 2.4.14 et correction / vérification de tests.  \r\nLancement en parallèle de campagnes de non régression en 2.4.14 également. '),
(16362, 'Bonjour Christophe,\r\n\r\nUnr bref récapitulatif de nos recherches sur le problème de visualisation du PDF.\r\n\r\nAprès investigation par les équipes de Gérald sur le montage NSF, aucun problème ou anomalie ne semble avoir été détecté. Les ressources pointent sur le même nœud du serveur écartant ainsi l’hypothèse d’un stockage sur un nœud secondaire.\r\nDe plus nous avons constaté que les ressources PDF faisant l’objet du message d’erreur, sont bien présentes dans la base de données Liferay et doivent donc normalement être accessible sans aucun problèmes pour visualisation depuis la convention.\r\nNous suspectons donc que le problème se trouverait au niveau de l’URL d’accès à la ressource.\r\n\r\nDès que nous aurons de plus amples éléments de réponses, nous te feront des retours réguliers de l’avancée de notre investigation. \r\n\r\nCordialement\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net'),
(16363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nDebut devt par duplication  fonction Autorisation de sejour'),
(16365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMCO - EGIDE  SAGA - problème sur job ISO SAGA puis sur job EGIDE sur transverse 3'),
(16366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nBCO.096.31 [REM] EVOLUTION REMUNERATION INTERMEDIAIRE LOT 1 - Création ANO suite test FDL015750'),
(16367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nRIB.009 EGIDE LOT 4 - Préparation et livraison à HIA des livrables de MEP pour EGIDE 4.30.01 FDL016027'),
(16368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Assistance HIA pour Installation Sign&Go'),
(17168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMise à jour plan de test\nLiaison des exigences \nMise à jour cas de test'),
(16370, 'Bonjour,\r\n\r\n\r\n\r\nnous venons d\'appliquer un correctif pour le problème concernant la fonctionnalité du PPS-HOOK.\r\n\r\nAprès un test concluant sur l\'environnement d\'Assemblance, nous avons appliqué ce correctif sur les environnements IVRS.\r\n\r\nCela nécessité un arrêt-relance de chaque environnement qui se déroulera cette nuit.\r\n\r\nEn parallèle, nous avons désactivé le redémarrage du PPS-HOOK\r\n\r\nMerci de nous faire un retour.\r\n\r\n\r\nCordialement,\r\nGérald CAUVIN\r\n\r\nLes incidents et demandes d\'intervention doivent être faite via SAXO.\r\n Serveurs d\'applications\r\nDirection Opérations et Ingénierie Technique\r\nC. Patrigeon : 04 78 63 68 18\r\nE. Berre        : 04 93 95 59 51\r\nO. Carlotti     : 04 93 95 62 20\r\nG. Cauvin      : 04 93 95 59 07\r\nV. Droulez     : 04 93 95 59 36\r\nJM Maurin     : 04 38 12 15 01                                 Entité saxo    :  JEE_Accueil-Architecture J2EE\r\n\r\n'),
(16371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nFDL016088 modifiée : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT Partielle pour OLYMPIA (ANO048190 + FDL 5.4.1.17  et 5.4.1.19)'),
(16372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nPréparation Recertif Régul ajout champ COT_CODE dans USR_CTR'),
(16373, 'Correction apportée et test écrit.'),
(16380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n[PSMS_V2]: Réalisation Matrice cas de tests / FreeBets, CombinéBoosté, CashOut + ALM/PSMSv2: Mise en place NonReg PSMS'),
(16379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n[PSMS_V2]: Réalisation Matrice cas de tests / FreeBets, CombinéBoosté, CashOut + [PSMS_V2 Réunion]: ALM/PSMSv2: Mise en place NonReg PSMS'),
(16381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n- daily meeting\r\n- suite passage connaissance avec Stephane\r\n- '),
(16382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n[GAMIFICATION] Motors Script contrôlé Paramétrage du scenario par bloc multiple et initialisation des paramètres au niveau bloc\r\n[DEV AUTO] point hebdo suivi des taches'),
(16433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n[GAMIFICATION] Motors Script contrôlé : finalisation et qualification du scenario multiblocks\\nSupport testeurs sur campagnes MOTORS\\nMAJ des routeTables, Validation et Tag de l\\\'API '),
(16392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n'),
(16388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n/'),
(16393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nCompte rendu campagne Auto / Acceptance et correction +\r\nLancement campagne Non reg Conformité et Arjel + correction suite modif script Box.  '),
(16394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n'),
(16395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n'),
(16396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-22  (Do not remove this line) -->\n'),
(16397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nIl reste le split sur les composants JazzRTC + MAJ jobs jenkins'),
(16716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nanalyse controlM\nMise en place client ssh sur game server bingo int4 pour les job controlM'),
(16399, 'Résolu et livré le 27/03 en recette'),
(16432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nSIDCOM TR2 bypass WCS OK // SIDC TR2 KO bingo // SIDC TR3 OK'),
(16402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nOlympia Suivi projet sur le rattrapage de donnée'),
(16429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nSTR Vérification alimentation TR3 // Olympia investigation et saisie d\\\\\\\'une anomalie sur le TR2 ANO048243'),
(16561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nRéunion conviviale, réunion gamification (2h), réunion présentation vie des joueurs( 2h) , vsr'),
(16562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nVSR (USR 2.4.14) , Automatisation batch (2h)'),
(25636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nAuto Batch'),
(25637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nAuto Batch');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(16408, 'Bonjour Hélène,\r\n\r\nN’arrivant pas à vous joindre par téléphone, je me permet de venir vers vous suite à une sollicitation remontée aujourd\'hui (INC0333847).\r\n\r\nLa demande concernait : \r\n\r\n« bonjour,\r\n\r\nPouvez-vous me préciser la démarche à effectuer pour remplacer un administrateur partenaire (clôturer l’un des existants et le remplacer par un nouvel administrateur)\r\nje n\'arrive pas à prendre la main pour indiquer une date de fin dans la fiche de l\'administrateur.\r\nen vous remerciant par avance pour votre aide,\r\n\r\nCordialement\r\nHélène Francois »\r\n\r\nLa solution : \r\n- Etape 1 : Dans la liste des conventions, sélectionnez celle à modifier et à côté du premier administrateur cliquer sur le bouton « créer ». Cela va vous permettre de saisir un nouvel admin partenaire et de le sélectionner dans la liste box. Puis enregistrer la convention qui sera soumise à vérification.\r\n- Etape 2 : Pour clôturer celui existant, sélectionner dans la liste des autres actions de la convention, l’élément « Utilisateurs » puis éditer ce dernier en lui affectant une date de clôture à j.\r\n- \r\nN’hésitez pas à me contacter par téléphone si nécessaire.\r\n\r\n Cordialement,\r\n\r\nSaid Zerrouki'),
(16672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nAnalyse et correction des campagnes d\'acceptance et Non régression de la version FALCON USR 2.4.14'),
(16670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nAnalyse et correction des campagnes d\'acceptance et Non régression de la version FALCON USR 2.4.14'),
(16673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nLancement de la campagne d\\\'acceptance  de la version FALCON USR 2.6.0 Alpha 4'),
(16674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nLancement de la campagne de NR de la version FALCON USR 2.6.0 Alpha 4'),
(16675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nLancement de la campagne de NR de la version FALCON USR 2.6.0 Alpha 4'),
(16715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nanalyse chaine controlM int2-3-4\\ntest bingo jackpot communautaire'),
(16422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nEGIDE 4.30 : DMT0008129 traitée - SAFERGAME : Qualification ANO045096, ANO045095+ Fiche de relecture sur doc d\\\\\\\'installation Hudson V1.9 + Création ANO048266, ANO048268'),
(16425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nFin des tests de la .216.1 sur INT3\\nModification et test de la configuration sur INT3 pour fonctionnement INT31/INT32\\nInsallation 2.16.1 sur INT2'),
(16424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nInstallation .216.1 sur INT3\r\nVérification des scripts avec test d\'installation complet d\'une livraison ilikolive\r\nAmélioration des scripts menu'),
(16780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-09  (Do not remove this line) -->\n'),
(16779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-08  (Do not remove this line) -->\n'),
(16778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Campagnes de tests de bascules du mode de distribution secteurs DI-DL et DI-DD. Analyse sur anomalie ANO048228. Campagne d\\\'acceptation de la FDL016096 sur INT8SAGA.'),
(16437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n'),
(16495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n[Falcon] Analyse évolutions de la release 2.5.1\\n[Falcon API] ajouter de des env. INT9 et INT0 + Tag API + gestion de l\\\'env. INT0 pour les scripts qui utilisent les anciens attributs de gestion de l\\\'env (FDJIntNo)\\n[ITF] Analyse évolutions de la release 2.0.1-2\\n[DIGITAL] Comité automatisation'),
(16442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nAnalyse campagne Falcon USR Non reg 2.4.14 sur INT3'),
(16444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nGestion des incidents'),
(16445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMCO - EGIDE'),
(16446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - DMT0008143 (début)'),
(16448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - 	DMT0008132	(analyse du pb coté EGIDE)\r\n '),
(16449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Gestion projet'),
(16450, 'Bonjour Said,\r\n\r\nMerci pour votre réponse rapide ,j\'ai inversé les deux points pour un problème d\'adresse identique et cela a bien fonctionné  .\r\nVous pouvez clôturer mon saxo.\r\n\r\nBien cordialement\r\nhelene'),
(16451, 'Bonjour Alaa,\r\n\r\nVous confirmez la première analyse de Said, donc pas d\'anomalie.\r\nVous pouvez laisser les anciennes données visibles.\r\n\r\nCordialement,\r\n\r\nCarole Delahayes'),
(16452, 'Bonjour Carole,\r\n\r\nJe confirme qu\'il ne s\'agit pas d\'anomalie.\r\nEt je laisse les anciennes données visibles comme convenu.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(16453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nfin premiere partie devt   (hors prise en charge champ etat du controle et hors partie Tuxedo  ( Delta et PL SQL)  - COMPILATION OK '),
(16454, 'Bonjour,\r\n\r\nJe reviens vers vous par rapport au saxo n° INC0333435.\r\nVous avez demandé de mettre une date automatiquement quand le vérificateur CAF valide ou invalide une convention.\r\nA quelle date faites-vous référence exactement ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(16455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nSIDCOM TR2 bypass WCS // SIDC TR2 blocage bingo // SIDC TR3 OK rattrapage flux Week '),
(16701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nCadrage MCO programme DD SIDCOM TR3 // Segmentation temps reel SIDC TR3'),
(16457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nFDL016140_Coheris_Oracle_ANO048285_CRM_P_5.4.1.21 : Correctif anomalie trop de log sur les vacations'),
(16459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\ndéveloppement'),
(16460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nSAFERGAME : Création ANO048292- Chargement de la journée du vendredi 13'),
(16464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nGestion des incidents'),
(16466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nMCO - EGIDE (reprise sur TR3)'),
(16467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0008173'),
(16717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nanalyse chanie controlM , ecart entre I2 et I3\\nanalyse outil extraction bdd bingo'),
(16470, 'Correction titre vue liste des groupes : groupes d\'utilisateurs -> groupes utilisateurs'),
(16826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nGDC Qualification de l\\\\\\\\\\\\\\\'anomalie ANO048077 sur le TR3 // STR qualification des anomalies documentaires ANO048053 et ANO048036 // Stock grattage Etat des lieux flux ETL + folders  controlm a reprendre pour mettre en oeuvre le TR3'),
(16473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nCadrage MCO programme DD SIDCOM / Segmentation temps réel SIDC TR3- SAFERGAME : Point contenu livraison FDJ/IBM'),
(16474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nSAFERGAME : Bug review FDJ/IBM'),
(16475, 'Test Agent Caf Conventions complètement automatisé (me servira de base pour les autres tests \"Conventions\" pour les autres profils).\r\n\r\nRemaniement du répertoire de test \"Tests de surface\": ajout des dossiers \"sans_data\" et \"avec_data\" et dispatchage des tests qui vont dedans.\r\nRemaniement des tests suites en conséquence.\r\n\r\nDébut de l\'automatisation des tests \"Conventions\" avec data pour les autres profils.'),
(16478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nGAmif revue des exigences. Point hebdo auto tests. Finalisation Générateur fichier PDJ RTG.'),
(16479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nLancement Falcon Transaction.\r\nFinalisation doc générateur PDJ RTG'),
(16480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nComité Automatisation. Atelier besoins automatisation des batchs. Réunion point sur logs Falcon Transaction.'),
(16481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n[IF] Rédaction cas de test\r\n[IF] Transfert de connaissances tests manuels et architecture'),
(16482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n[IF] Rédaction cas de test\r\n[IF] Transfert de connaissances tests manuels et architecture'),
(16483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n[IF] Rédaction cas de test\r\n[IF] Transfert de connaissances tests manuels et architecture'),
(16484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n[IF] Rédaction cas de test\r\n[IF] Transfert de connaissances tests manuels et architecture'),
(16485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n[IF] Rédaction cas de test\r\n[IF] Transfert de connaissances tests manuels et architecture'),
(16491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nQualification des ANO lié a la 2.16.1\\nInvestigation sur des problèmes lié aux commandes drush depuis la 2.16.1\\nCreation ANO048275\\nInvestigation sur un problème d\\\'accès a la webapp keno sur INT2 via le portail drupal'),
(16489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - DMT0008143 (suite)'),
(16488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Hassistance HIA sur installation CSAM MEIBO en PRPROD'),
(16490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Reinstallation annuaire OPE sur INT2 suite à pb détecté en 1er installation + lancement du chargement des fichiers pivots de INT2'),
(16492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nRéunion comité automatisation.'),
(16571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nCollaboration avec Frederic Faissat sur correction des scripts auto box pour ARJEL / Conformité.'),
(16494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nTravail sur les tests auto Arjel et Conformité (correction de tests / reporting et ajout de détails ANO + numéro ANO dans les champs correspondants pour suivi des Anomalies.).  '),
(16603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n[PSMSv2]: Réalisation Matrice cas de tests + ALM: Mise en place des tests / CombinéBoosté'),
(16625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nvalidation et Tag API\\n[AUTO USR] Vérification et ajout FDJ_AdditionalOutputFields dans paramètres et gestion environnement cible'),
(16643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nDaily meeting (1h)\\nTest éclatement base sqlite mobile en offre et res pour les applications natives PS PDV.\\nSupport Djamel sur les applications natives'),
(16683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nFin Qualif 5.5.008 + Mod’Op + PV Qualif + Support Jessica pour clôture recette VITAN en vue du CAB de jeudi'),
(16682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nVITAN Acceptance + début Qualif 5.5.008 -> OK\\nPDV : Acceptance de la nouvelle Version android 4.5\\nVérif bon fonctionnement de la géorestriction sur toutes les Applications IOS\\n'),
(16685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nVITAN : \\nFinalisation Qualif (quelques PDJ particulières …)\\nMod’Op (catalog, georestriction à True)\\nPV Qualif avec mireille\\n\\nPSEL Android :\\nPréparation recette, Acceptance MAG sur INT3 (échange avec christophe) et MUG dès que livré\\n\\nPSPDV : mep décallée, standBye pour le moment\\n'),
(16686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nDéplacement sur Paris , réunion avec client'),
(16687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nPSEL Android poursuite Qualif'),
(16644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nDaily meeting (1h)\\nEchange avec l\\\'architecte par rapport à l\\\'éclatement de la base sqlite native et les futures fichiers SQlite_INC_{type}.inc, sur l\\\'évolution du service spdv/mobile-date.\\nAcceptance livraison WSPDV 3.0.11 (FDL016119)'),
(16645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nQualification WSPDV 3.0.11\\nRédaction MODOP SPDV 3.0.9 et WSPDV 3.0.11\\nGénération et envoie des bases sqlite offre et resultat au dev pour les applications PS PDV.\\nCréation d\\\'anomalies pour les bases sqlite.'),
(16506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nReunion bug review 10h30-12h30\r\nRéunion playstation 14h-15h\r\nReunion synchrostream 15h-16h'),
(16507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nTest sur appli native fdj IOS Android'),
(16508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nTest sur appli native fdj IOS Android, verification des points primordial a mettre en évidence suite aux erreurs remonté sur toutes les autres appli mobile hasard qui seront embarqué dans l\'appli maitre et qui ne doivent plus etre d\'actualité'),
(16509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nReunion Point d\'equipe de 11h-12h45'),
(16510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nprise de connaissance des mails suite retour vacances\r\nconsolidation des scripts Postman'),
(16511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nContrôle des environnements IF pour suivre les changements\r\nvérification des différentes versions applicatives IF et composants domestiques pour compatibilité'),
(16512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nIntégration sur INT0 domestique du composant Falcon USR 2.5.1-1\r\nPréparation de la campagne de tests suite à la livraison de l\'environnement IF\r\nIntégration de Falcon USR 2.5.1-1 sur l\'environnement Perf2 : transfert de connaissance'),
(16513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nexécution de la campagne de test d\'acceptance sur l\'environnement IF'),
(16514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nréunion d\'échange avec les équipes Test auto et Test manuel et la recette afin de définir le périmètre d\'activité pour éviter les doublons de test.\r\nConsolidation de prise de note pour l\'intégration de composant back sur le domestique.'),
(16613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nCréation de tests auto pour jeux de données manquants (blockings). Analyse sur l\\\'organisation des plan de test, scénario, campagnes et cycles (environnement de test).'),
(16517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nPréparation de la réunion en Avril (présentation de l\\\'ARJEL).'),
(16518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nImplémentation de tests auto version 2.4.14 et plus. '),
(16519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nTest sur appli native fdj IOS Android-\r\nMise en forme du catalogue pour bascule sur INT32\r\nFinalisation sur contribution CMS suite a bascule mapi applimaitre -> FDJ'),
(16520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nTest sur appli native fdj IOS Android\r\nMise en place des tests de fail over + continuité des tests sur l\'appli maitre'),
(16521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nTest sur appli native fdj IOS Android\r\nMise en place des tests sur le nouveau module mapi/cms/applimaitre qui va embarquer les jeux, les clotures de jeux, le partages etc sur la Homepage'),
(17148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nTests IF'),
(17149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nTests IF'),
(17150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nTests IF'),
(17151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nTests IF'),
(17152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nTests IF'),
(16527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMise à jour plan de test\r\nMise à jour cas de test\r\nRédaction des cas de test qualification moteur de jeux'),
(16528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nVie des environnements'),
(18267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nVie des environnements'),
(16530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nALM duplication du catalogue 2.6'),
(16531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nVie des environnements'),
(16532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nVie des environnements'),
(16533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nQualif complète des anos snow de Borne'),
(16534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nTravail sur la borne et sur SPDV, Edwan etc pour passage de connaissance'),
(16535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMAJ Référentiel ALM Digital Back : Revu des priorités et du statut d’écriture des cas\r\n'),
(16703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nRevue de la matrice des exigences métiers (Excel et ALM)'),
(16537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMAJ Référentiel ALM Digital Back : Revu des priorités et du statut d’écriture des cas'),
(16538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nCréation des ANOS ANO048298 et ANO048291'),
(16539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nAnalyse mapi\r\nModif script getBlockings'),
(16542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nRéunion dev auto'),
(16704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nLecture documentations Gamification (architecture/spécification)'),
(16705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nLecture documentations Gamification (spécifications techniques détaillées)'),
(16706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nRevue des exigences métier (réunion) et mise à jour dans ALM.'),
(16551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n0,5 : Extraction chiffres ALM répartition des cas de tests du referentiel ALM apres revu des priorités  et des statuts d’écriture => Demande de chargement du référentiel dans le projet ALM PSMSV2\r\n0,5 : Lecture des specs PSMSV2'),
(16552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nReprise des tests ALM d\'acceptance et de qualif pour les compléter'),
(16567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nPSMSV2 _ lecture spec et préparation test sur INT9 (avec Postman)'),
(16558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nSPOC (Palier Juin17) : Réunion - point sur les actions à venir'),
(16560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\njenkins'),
(16565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\ngitlab'),
(16566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\npostman'),
(16568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nincremental build'),
(16868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nTests et montée en compétence sur la Borne avec Abo (pour son dernier jour)'),
(16570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nfiddler'),
(16572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nPSMSV2 : ecriture cas de test'),
(16573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nanalyse script Mapi\r\nrésolution du problème de memory violation sur un script mapi avec lyna et david'),
(16574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n? exécution test'),
(16576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nanalyse script mapi'),
(16577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n[OLYMPIA]\r\nAcceptance + Deploiement INT1, TR3 MUGO 1.0.31 et MAGO 1.0.55\r\nQualification anomalie ANO048168 psbor (Surcharge retailerCriteriaBTMagicNumber dans l\'url HS)\r\nSupport recette borne\r\n\r\n[MAINTENANCE COMPTE]\r\nQualification ANO043992, ANO043147 sur INT32 \r\nfourniture de comptes joueurs au métier sur INT3 (joueur SPORT et digital avec PDJ  de + de 30 jours)\r\n\r\n\r\n'),
(16684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nreunion mapi\\nreunion comité automatisation\\nréunion boutique public'),
(16588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nCorrection de l\\\'outil de promulgation \\nInstallation de Au Vol\\\'Or 2017 v1.0.1 (FDL016122)\\nAnalyse d\\\'une \\\"erreur technique\\\" lors du lancement de Au Vol\\\'or sur INT8 \\n=> le jeu a été dédéclaré de falcon (je ne sais pas pourquoi)'),
(16581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nAnalyse mapi'),
(16834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMontée en compétence sur l\\\'application FDJ'),
(16584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nAnalyse mapi'),
(16586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nanalyse mapi\r\nmise à jour de l\'api (falcon) avec jean-pierre'),
(16587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n[OLYMPIA]\r\nMODOP de MEP (psbor, mago, migo, mugo, wspo)\r\n\r\nSupport HIA => \r\nConf SALT non prête sur frontaux bornes (processus à améliorer)\r\nPréparation à realiser dès la mise à dispo des machines\r\nAlimentation de BBD retail avec 79 PDV supplementaires\r\n'),
(16590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n[OLYMPIA]\r\n\r\nDocumentation d\'exploitation composants détaillants (boutique R + Appli android)\r\nPrésentation à HIA + SPORT\r\n\r\n[STREAM COMPTE]\r\nCoproj\r\n\r\n[BOUTIQUE P]\r\nConf SALT + deploiement sur INT61 (avec support Mohamed)'),
(16591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n[STREAM COMPTE]\r\nPalier de maintenance - acceptance MAG 2.4.6 \r\n\r\n[BOUTIQUE P]\r\nPoint dev pour finalise la conf apacha pour le routage '),
(16592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nRéunion + Formation & Analyse campagne sur USR2.4.14 + étude batch automatisation'),
(16593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nFormation & Analyse campagne sur USR2.4.14 + étude batch automatisation'),
(16594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nFormation & Analyse campagne sur USR2.4.14 + étude batch automatisation'),
(16596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nFormation & Analyse campagne sur USR2.4.14 + étude batch automatisation'),
(16598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n étude batch automatisation'),
(16600, 'Bonjour Hervé,\r\n\r\nN’arrivant pas à vous joindre par téléphone, je me permet de vous solliciter par mail concernant un saxo (INC0334336) remontée par vos soins.\r\n\r\nLa demande concernée : \r\n\r\n« Bonjour, \r\n\r\nNous avons téléchargé une convention pour un partenaire. L\'opération a pu se dérouler sans problème.\r\nL\'agent qui a effectué la saisie a bien vérifié que le document était correctement uploadé en le visualisant après \r\nun download.\r\n\r\nCe matin le vérificateur ne peut pas accéder au document.\r\n\r\nCordialement »\r\n\r\nPour mener à bien notre investigation, nous aimerions connaître l’intitulé exact du document PDF de la convention. Et si possible le jour et l’heure approximative à laquelle le plantage a été détecté.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\n\r\n\r\n'),
(16604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n[PSMSv2]: Réalisation Matrice cas de tests + ALM: Mise en place des tests / CombinéBoosté / FreeBets'),
(16606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n[PSMSv2]: Réalisation Matrice cas de tests + [ALM]: Mise en place des tests / CombinéBoosté / FreeBets + [Réunion]: Atelier n°2 PSMSv2'),
(16615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-23  (Do not remove this line) -->\n- installation livraisons VSR YellowStone\\n- 4.0.17_mapi rejetée\\n- 4.0.21_hasard\\n- 4.0.10_mobi\\n- maj d\\\'environnements :\\nINT21	4.0.10_mobi	FDL016049\\nINT32	4.0.10_mobi	FDL016049\\nINT11	4.0.16_mapi	FDL016004\\nINT11	4.0.10_mobi	FDL016049\\nINT31	4.0.10_mobi	FDL016049\\nINT22	4.0.10_mobi	FDL016049\\nINT32	4.0.21_hasard	FDL016047\\nINT21	4.0.21_hasard	FDL016047\\n- création ANO048123 [YELLOWSTONE][MAPI] PHP Fatal error:  Class \\\'Mapi_Keno_Formatter\\\' not found\\n- création ANO047124 [YELLOWSTONE][MAPI] PHP Fatal error:  Call to undefined method CFDJ_Game_Loto_LegacyNotice::getMentionLotoNoel()\\n- maj doc swagger 4.0.18_mapi\\n- maj doc swagger 4.0.10_mobi\\n- réunion [POSTMAN] Retour expérience\\n- réunion [STREAM FDJ.FR] : BUG REVIEW\\n- qualifications livraisons VSR Yellowstone + Applimaitre'),
(16608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMatrice de cas de tests - PSMS V2'),
(16609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMatrice de cas de tests - PSMS V2'),
(16611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nMatrice de cas de tests - PSMS V2'),
(16612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nCampagne d\'acceptance Olympia INT7'),
(16614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nMatrice de cas de tests - PSMS V2'),
(16616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n- maj doc Fiddler sur confluence pour la synchronisation Postman\r\n- remonté perte des accès Confluences sur les Streams Appnative et Sport\r\n- qualifications livraisons VSR Yellowstone + Applimaitre'),
(16617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n- réunion [PlayStation] Présentation du plan de Dev à IQ\r\n- réunion Synchronisation interstream pour la modification des appels du catalog dans le fdjstore/\r\n- support d\'affichage des jeux Illiko sur INT2, pb lié à une mauvaise contribution\r\n- investigation maj du nouveau version/check pour l\'applimaitre, contribution bloquée, maj code\r\n- qualifications livraisons VSR Yellowstone + Applimaitre\r\n- maj d\'environnements sur livraisons VSR\r\nINT32	4.1.0_mapi	FDL016084\r\nINT21	4.1.0_mobi	FDL016087\r\nINT32	4.1.0_mobi	FDL016087\r\nINT21	4.1.0_hasard	FDL016086\r\nINT32	4.1.0_hasard	FDL016086'),
(16618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nSAFERGAME : Installation FDL016121 ODM sur INT2'),
(19237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-01-30  (Do not remove this line) -->\n'),
(16621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n- maj doc swagger 4.1.0_mobi\\n- maj doc swagger 4.1.0_mapi\\n- création ANO048261 [MOBI][APPLIMAITRE] service mobiles/api/bingo retour de isMobile toujours à false\\n- qualifications livraisons VSR Yellowstone + Applimaitre'),
(16622, 'Bonjour,\r\n\r\nIl s\'agit de la date (du jour) à laquelle le vérificateur valide ou invalide la convention.\r\n\r\nCordialement'),
(16623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n- maj d\'environnement sur versions VSR\r\nINT32	4.1.1_edwan	FDL016129\r\nINT21	4.1.1_edwan	FDL016129\r\nINT31	4.1.1_edwan	FDL016129\r\nINT32	4.1.1_mapi	FDL016127\r\nINT21	4.1.1_mapi	FDL016127\r\n- qualifications livraisons VSR Yellowstone + Applimaitre\r\n- support applimaitre mauvais affichage des caractères accentués, maj des apps_listes pour correction\r\n- remonté pb de promulgations sur int32, relance hia, chaine control-m arrêté'),
(16624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nSAFERGAME : Installation FDL016141 et FDL016124 sur INT2'),
(17272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n- maj configurations front pour déplacement service mapi/fdjstore\\n- maj doc swagger 4.1.1_mapi\\n- installation livraisons Maintenance FDJ sur int21\\n4.1.2_mobi	FDL016160\\n- qualification livraison Maintenance FDJ'),
(17273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n- réunion POSTMAN - proposition de méthode de construction/gestion des campagnes\\n- Migration du fdjstore sur les environnements x2\\n- Maj d\\\'environnement Maintenance FDJ\\n4.1.1_mapi	FDL016127\\n4.1.1_hasard	FDL016183\\n- qualification livraison Maintenance FDJ'),
(16628, 'Bonjour,\r\n\r\nVous pouvez voir la date de validation d\'une convention dans la liste des avenants.\r\nVous avez accès à la date de création (de la modification) et à la date de la validation (de la convention modifiée) dans la liste des avenants.\r\nPar contre la date d\'invalidation de la convention n\'est pas affichée.\r\n\r\nJe redirige votre demande au fonctionnel qui vous contactera.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(16777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nSAFERGAME : Qualifications MOD011251, MOD011249, MOD011232'),
(16636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nLancement des campagnes Acceptance API Falcon USR Compte contact 2.5.1 sur INT0. Lancement des campagnes Non reg Falcon USR 2.5.1 sur INT0. \\\\nAnalyses des campagnes sur Falcon USR 2.5.1 sur INT0'),
(16853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nAnalyses des campagnes de Falcon USR 2.5.1 sur INT0'),
(16657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nReunion MAPI avec Yannick Kome\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nAnalyse campagne Falcon USR Non reg 2.4.14 sur INT3\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nReunion Automatisation avec Valérie Le Roux\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\nLancement des campagnes Acceptance API Falcon USR 2.5.1 sur INT0'),
(16637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMISE A JOUR CATALOGUE MOTORS / INTERACTIVE FACTORY SOCLE COMMUN'),
(16638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMISE A JOUR CATALOGUE MOTORS / INTERACTIVE FACTORY SOCLE COMMUN'),
(16639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nMISE A JOUR CATALOGUE MOTORS / INTERACTIVE FACTORY SOCLE COMMUN '),
(16640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nMISE A JOUR CATALOGUE MOTORS / INTERACTIVE FACTORY SOCLE COMMUN '),
(16654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nMISE A JOUR CATALOGUE MOTORS / INTERACTIVE FACTORY SOCLE COMMUN'),
(16650, 'Redirection sur la A: OK\r\n\r\nRedirection sur la I: OK\r\n\r\nRedirection sur la V: Ko (je soupçonne que ça vient d\'anciens paquets)\r\n\r\nRedirection sur la R: Ok\r\n\r\nRedirection sur la PROD: installation du correctif ce soir, à tester demain matin\n\n'),
(16770, 'Re-bonjour,\r\n\r\nJe reviens vers vous pour avoir plus précision sur votre demande.\r\nS\'agit-il d\'une demande d\'évolution ?\r\nSi oui, nous la remontons à la MOA pour arbitrage.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(16658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nD3571'),
(16659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nD3571'),
(16660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nD3571'),
(16661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nD3571'),
(16662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nD3571'),
(16663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nAtelier automatisation Batchs.\r\nAnalyse du besoin auto batchs. Réalisation d\'un script de récupération de fichiers distants.'),
(16664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nAutomatisation des batchs.'),
(16689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nCréation cas de test Arjel\\nCréation de cas de test des e-crédits\\nAssister à un atelier de création des é-crédits'),
(16677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nxxxx'),
(16690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nContinuer à créer des tests écridit \\nVérification passage de batch d\\\'affectattion des ecrédits\\n-Adapter le jeu Elixirius au appel de service postman'),
(16681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nxxxxx'),
(17997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMCO Control M Multimédia I2/I3\nCartographies BATCH multimédia : word et visio'),
(16727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMCO Control M Multimédia I2/I3\nCartographies BATCH multimédia : word et visio'),
(16728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMCO Control M Multimédia I2/I3\nCartographies BATCH multimédia : word et visio'),
(16729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nMCO Control M Multimédia I2/I3\nCartographies BATCH multimédia : word et visio'),
(16730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nMCO Control M Multimédia I2/I3\nCartographies BATCH multimédia : word et visio'),
(16696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nDéveloppement FAQ '),
(16731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nMCO Control M Multimédia I2/I3\nCartographies BATCH multimédia : word et visio'),
(16698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nDéveloppement FAQ'),
(16699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nSIDCOM TR2 bypass WCS // SIDC TR2 En attente // SIDC TR3 OK'),
(16724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nStock grattage État des lieux SIDCOM TR3 + Mise à niveau // BDI.050.31 [FRONT] JEUX ILLIKO Investigation DMT DMT0007784'),
(16720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nBDI.050.31 [FRONT] JEUX ILLIKO Investigation DMT DMT0007784'),
(16748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nSAFERGAME : Installation FDL016126 SQL, FDL016146 Datastage, FDL016149 SPSS sur INT2'),
(16741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nPoint sur les actions SID/compta\nanalyse livraison lotsys usr 2.6.0a4'),
(16733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nAction : Stream coco  Non reg analyse/conception/implémentation exécution\r\nLivrable : ALM/test plan/ test cible'),
(16734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nAction : Stream coco  Non reg analyse/conception/implémentation exécution\r\nLivrable : ALM/test plan/ test cible'),
(16735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nAction : Stream coco  Non reg analyse/conception/implémentation exécution\r\nLivrable : ALM/test plan/ test cible'),
(16737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nAction : comité automatisation\\nLivrable : mise place des release'),
(16738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nAction : Stream coco  Non reg analyse/conception/implémentation exécution\r\nLivrable : ALM/test plan/ test cible'),
(16739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nAction : Stream coco  Non reg analyse/conception/implémentation exécution\r\nLivrable : ALM/test plan/ test cible'),
(17278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nà compléter'),
(17568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nFDL015957'),
(17508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nqualification livraison Maintenance FDJ'),
(17509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nqualification livraison Maintenance FDJ'),
(16747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n'),
(16750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMise en référentiel'),
(16751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\n'),
(16754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n'),
(16755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nQualification des ANO de la version 2.16.1 (suite) \r\nAnalyse du fonctionnement de la commande drush cc all pour investigation sur une erreur d execution'),
(17178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\nFDL016070.\nFDL016071.'),
(17179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nFDL016094.'),
(17180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nFDL016113.'),
(17181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nFDL016143.'),
(17182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nFDL016154.'),
(16761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nréunion de présentation'),
(17952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(16763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nSIDCOM : MCO sur le T2'),
(16788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Derniers préparatifs pour livraisons HIA. Mise en place du script de réinit des orphelins. Réunion de suivi.'),
(16801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES : Campagnes de tests de bascules du mode de distribution secteurs DI-DL et DI-DD. Campagnes de tests de changement du type de commissionnement.'),
(16771, 'Bonjour\r\n\r\nEffectivement il s\'agit d\'une demande d\'évolution.\r\n\r\nAu même titre: demander que figure la possibilité pour le vérificateur Caf de mettre un commentaire sur la raison de la non validation de la convention par ses soins.\r\n\r\nCordialement'),
(16772, 'Saxo routé à Kévin (sur Saxo et par mail)'),
(16773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Campagnes d\'acceptation des FDL016095 et FDL016053'),
(16775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMCO Court Commercial'),
(16781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nMCO Court Commercial'),
(16783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nBCO_102_30 - Gestion secteurs isolés : Installation des FDL015987, FDL015988 et FDL015989 sur le TR3'),
(16784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Installation FDL016096 sur INT2SAGA.'),
(16785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Installation FDL016096 sur INT8SAGA'),
(16789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nMCO Court Commercial'),
(16790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nMCO Court Commercial'),
(16791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nMCO Court Commercial'),
(16881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nFalcon USR : Validation et correctif de 2 scripts suite modif en masse sur les attributs d\\\\\\\'environnement et FDJ_AdditionalOutputFields\\\\nFalcon RTG : modification des scripts pour evolution des attributs'),
(16793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05]  Support utilisateur DMT0008132 sur TR2'),
(16794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Campagne de qualification. Intégration de fichiers XML.'),
(16795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Campagne de qualification. Intégration de fichiers XML.'),
(16796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n[BCO.084.36 RDI 1.05] Campagne de tests avec prise en compte du nouveau job pour init des tables ORPHELIN.'),
(16797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nSAFERGAME : Chargement des données BETSYS/RDST en recette'),
(16798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n[Stock Grattage] Mise à niveau du TR3. Installation des FDL013598 et FDL013601'),
(16799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nRéunion CIQ et Réunion'),
(16800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n[TRANSFO] Présentation Méthodologie tests d\'intégration'),
(16803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nSuivie des campagnes Vie des environnements\\\\nSupport Hakim\\\\nVérification Retour Place'),
(16809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nOptimisation des campagnes (Décorrelation des action et des contrôles)'),
(16808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nRéunion d\\\\\\\'avancement avec Raphaël\\\\nAtelier de travail sur PSMS V2'),
(16810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n[BCO_102_30 - Gestion secteurs isolés] Rédaction de 2 cas de tests. Bascule DD-DL et DL-DD'),
(16813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n'),
(16814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nMCO - EGIDE'),
(16815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nGestion des incidents'),
(16816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - HIA sur installation PREPROD'),
(16817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Gestions projet et recherche de pb sur environnement)'),
(16818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nGestion des incidents'),
(16819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nMCO - EGIDE'),
(16820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Résocom - sollicitation pour test SOPRA en relation avec EGIDE'),
(16821, '30/03\r\n\r\nBonjour,\r\n\r\nJe reviens vers vous par rapport au problème n ° PB0005119.\r\nPouvez-vous nous préciser les conventions et les groupes concernés ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(16822, 'N\'ayant pas eu de réponse à ma question, j\'ai commencé à investiguer sur les éventuelles causes de ce problèmes :\r\n\r\n- Un service a un nombre limité d\'utilisateurs sur une seule caf ...\r\n- Les droits d\'accès et/ou les permissions ne sont pas mis pour les rôles cdap\n\n'),
(16823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Qualification des ANO047726 - ANO047729 - ANO047737'),
(17911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nGSI Installation des WKFs COMMERCIAL + REFERENTIEL + PRM + demande de création du relational CALYETL_R DMT0008334'),
(16825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nSIDC TR2 En attente + SIDC TR3 Reprise Extraction ADOBE suite a un problème de déconnexion'),
(16827, 'Sur la plateforme d\'assemblage, les permissions ne sont pas accordés à tous les rôles cdap d\'ou la reproduction du problème.\r\n\r\nMais l\'attribution des permissions aux rôles semble ne pas résoudre le problème\n\n'),
(16828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Gestion projet '),
(16832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n- Correction de l\\\\\\\\\\\\\\\'outil de promulgation\\n- IF: Declaration sur INT0,INT4 de :\\n   - Elixirus \\n   - gareoloupauto\\n   - Superjackpot2017'),
(16831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nInstallation de [GRAVITY] Livraison Framework 2.3.0 (FDL016158)\\\\nCorrection de l\\\\\\\'outil de promulgation'),
(16835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nCorrection anomalies Bloc droites et wysiwyg'),
(16836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-24  (Do not remove this line) -->\n'),
(16837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nCorrection d\'anomalies sur Espace partenaire'),
(16838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nCorrection anomalies Footer et Bouton'),
(16839, 'On va partir sur l\'une des deux solutions suivantes:\r\n\r\n- le parametre readonly de primefaces\r\n\r\n- afficher un pop-up qui contient le message sur onfocus'),
(16840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nCorrection anomalie Espace Allocataire'),
(16841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nInsertion test Sticky Camille dans HPALM'),
(16842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nCorrection d\'anomalies sur le Slider et le Footer en mode tablette et PC. '),
(16859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nCorrection Bug Pavé Promotion sur page accueil VDF '),
(16844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nputenv.sh nomenclatures'),
(16845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nPréparation de l\'ODJ'),
(16846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nPréparation des slides + maquettes'),
(16847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nParamètrage Extract HP ALM'),
(16848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nRelecture Spec'),
(16849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nModification suite relecture GPMM'),
(16850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\nRelecture Specs'),
(16854, 'J\'ai relancé la personne pour qu\'elle m’envoie les conventions et les groupes concernés.'),
(16919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nRéunion projet SPOC. Implémentation de test automatique Falcon ITG'),
(16856, 'J\'ai appelé la personne qui a remonté le saxo (lié au problème) 04.26.73.17.84 - 06.13.20.78.08 - nicolas.hilaire@cdr-raa.caf.fr\r\nJ\'ai pas réussi à la joindre'),
(16857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(16858, 'Mail à Nicolas Hilaire :\r\n\r\nBonjour,\r\n\r\nJe reviens vers vous par rapport au saxo n° INC0334284 que vous avez remonté.\r\nCe saxo concerne l\'ajout du responsable habilitation au groupe.\r\nPouvez-vous nous préciser les conventions et les groupes avec lesquels vous avez constaté ce problème ?\r\n\r\nMerci par avance,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(16861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-30  (Do not remove this line) -->\n'),
(16862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\n'),
(16864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne + formation/présentation CFM SAFERGAME'),
(16866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nSAFERGAME : Qualification ANO048000, ANO047915+ extraction/chargement données en recette'),
(17951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(16869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\ninstallation composant falcon usr et box sur int2\r\ninstallation application OAC sur int4'),
(16969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\ninstallation application OAC sur int2\\ninstallation falcon ban sur int0 et int4'),
(16953, 'From: christophe.millot@cnafmail.fr [mailto:christophe.millot@cnafmail.fr] \r\nSent: Tuesday, April 04, 2017 2:32 PM\r\nTo: MARLE, BERTRAND; DENJEAN, DAVID\r\nCc: romain.gondouin@cnedi06.cnafmail.fr; CHATTON, JEREMY\r\nSubject: Tr : [Portail Partenaires - CDAP] - Offre de sécurité - Mise à jour du schéma pour ajout du SSO CDAP > CAF.FR\r\n\r\nBonjour Bertrand, \r\n\r\nVoici ci-dessous un mail au lancement du projet qui mentionnait le SSO CDAP >> Caf.fr pour le profil tuteur (T9). \r\nJe n\'ai pas trouvé plus de détails pour l\'instant. \r\n\r\n@David, \r\n > Est-ce qu\'une note ou un doc avait présenté cette problématique de SSO sachant que l\'équipe CDAP doit l\'implémenter dans les jours à venir ? \r\n\r\nMerci par avance \r\nCdt \r\nC.MILLOT'),
(17024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nRéunion palier. '),
(17025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nCreation de scripts auto pour Jeux de données ARJEL. '),
(16875, 'J\'ai été appelé par Tiffany et elle m\'a demandé de mettre une note dans le problème et de le router à son équipe DSI-DOIT-support 2 applicatif.\r\n\r\nla note:\r\n\r\nNous sommes en attente des informations suivantes de la part de :\r\n\r\n- Libéllé de la convention utilisée par la caf du Rhône quand l\'anomalie a été rencontrée\r\n\r\n- Libéllé du groupe utilisé par la caf du Rhône quand l\'anomalie a été rencontrée'),
(16878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n[PSMSv2]: Réalisation Matrice cas de tests + [ALM]: Mise en place des tests / CombinéBoosté / FreeBets / Cash Out'),
(16879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n[PSMSv2]: Réalisation Matrice cas de tests + [ALM]: Mise en place des tests / CombinéBoosté / FreeBets / Cash Out'),
(16884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nGestion des incidents'),
(19771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nMCO - EGIDE'),
(16886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nRIB.009 EGIDE LOT 4 -  Installation sur INT8EGID FDL016027_egide_4.30.01_liv'),
(16887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Réunion de cadrage qualif QS MOBILIN'),
(16888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO ETL  Livraison FDL015816_Ref_2.2.2 à HIA servant support à formation sur le procédure de livraison à Philippe Béamonte'),
(16889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nBCO.096.31 [REM] EVOLUTION REMUNERATION INTERMEDIAIRE LOT 1 Installation FDL016142 + qualif ANO048228'),
(16890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Divers (Echange avec projet  et HIA)'),
(17020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nInstallation 2.16.2 portail tablette sur INT31 + tests\\\\nInvestigation sur une anomalie sur la récupération des résultats avec le module fdj_yellowstone\\\\nQualification de l\\\\\\\'ANO045461\\\\nInvestigation sur un problème lié au modification des zip non effective sur les pages libres.'),
(16892, 'Communication faite ce jour  par rapport au work-arround:\r\n\r\nBonjour,\r\n\r\nJe reviens vers vous par rapport au saxo n° INC0334726  qui concerne la visualisation des données d\'une convention par le vérificateur quand le champ affiché est plus petit que le texte.\r\nJe vous propose une solution de contournement pour débloquer immédiatement les vérificateurs.\r\nIl suffit de cliquer dans le champs en question, maintenir le bouton gauche de la souris enfoncé et défiler à gauche / droite pour pouvoir afficher la partie invisible du texte.\r\n\r\nN\'hésitez pas à me contacter si mes explications ne sont pas suffisamment  claires.\r\nEn parallèle, nous étudions la faisabilité  d\'une solution plus ergonomique.\r\n \r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(16894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nSTR Installation des FDLs FDL015930, FDL016174 sur le TR3'),
(16895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK partie ETL // SIDC TR2 // SIDC TR3 OK'),
(16896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nSTR Qualification de la FDL015930 // GSI Mise à jour de l\'environnement TR3 partie ETL + validation de la chaine TR3 partie ETL'),
(17285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nReunion postman\nMontée en compétence sur postman'),
(17286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\npresentation alier SPOC\\nRéunion avec Lotsys sur les spec PSMS/regul/certif\\nPoint de synchro IQ Back'),
(17287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nKick-off palier printemps -été 2017 (conformité, combinés boostés, freebet) / atelier 2: point méthodologie et planning'),
(16901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nSAFERGAME : Support HIA installation FDL ODM+SPSS+Datastage en recette'),
(16902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nSAFERGAME : Point état d\'avancement livraison FDJ/IBM'),
(16903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nSAFERGAME : Extraction/Chargement données BETSYS/RDST en recette'),
(16904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\ntrt nomenclatures fin'),
(16906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nnomenc communes'),
(16907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nSIDC TR2 KO Bingo // SIDC TR3 OK // SIDCOM TR2 OK // SIDCOM TR3 OK ETL\r\n'),
(16908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nGDC Demande de création d\'un compte I3adobe sur AX068 DMT0008418'),
(16909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nSTR Qualification mapping statique + GDC Clarification des 2 FDLs à mettre en PROD'),
(16943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nTests IF'),
(16944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nTests IF'),
(16942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nTests IF'),
(16947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nTests IF'),
(16917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nsupport GitLab equipe FDJ_CDSDNE'),
(19221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n'),
(16921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\nMontée en compétence avancée (c’est à dire que je monte en compétence en faisant des taches  qui font partie du planning officiel de l’équipe SPORT AUTO), En support Elise et Michael.'),
(16922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nMontée en compétence avancée (c’est à dire que je monte en compétence en faisant des taches  qui font partie du planning officiel de l’équipe SPORT AUTO), En support Elise et Michael.'),
(16963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-29  (Do not remove this line) -->\nMontée en compétence avancée (c’est à dire que je monte en compétence en faisant des taches  qui font partie du planning officiel de l’équipe SPORT AUTO), En support Elise et Michael.\\nExécution de campagne d\\\'acceptance sur INT7 INT7 14.1.30.1.0-SNAPSHOT 3'),
(16926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 56968 (Do not remove this line) -->\n'),
(16927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2016-06-08  (Do not remove this line) -->\n- La saisie des 8 (0,5j) et 9 juin (1,5j) qui avait été faite sur le poste \"analyse\" a été réaffectée le 15 juin sur le poste \"documentation\".\r\n- Le 15/05 : Estimation de la charge initiale pour la rétro-documentation: 10,5 j\r\n- 3 personnes imputent sur cette tâche (Lindsay, Aurore et Martine). La ^rétro-documentation n\'avait pas été estimée à la création de la tâche.\r\n  => Calcul du reste à faire au 8 juin au soir : 5 (Reste à faire saisi par Aurore/Lindsay) + 10,5 (estimation initiale pour la rétro-documentation) - 0,5 (temps passé sur la rétro-documentation) = 15 j'),
(16948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nFalcon RTG : publication des scripts modifiés pour prendre en charge l\\\'attribut FDJ_AdditionalOuputFields\\nDev API - Refactorisation du code de la Generation IBAN : suppression des paramètres LR non exploités et simplification du code'),
(16952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nKick-off palier printemps-été 2017 (conformité, combinés boostés, freebet)\\nMOTORS : Etude du nouveau jeu \\\"couleurfetiche2017\\\" pour préparer son orchestration de PDJ'),
(16949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nPrésentation palier SPOC'),
(17301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n'),
(17230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n-Documentation sur la Réconciliation\\n--Rédaction de tests BO jackpot(manque de doc)'),
(17219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n[PSMSv2] Lecture des docs PSMSv2 (Freebet) pour la création des nouveaux cas de tests\\n\\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités'),
(17038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nGSI Traitement de la DMT DMT0007956'),
(17127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n[IF] Rédaction cas de test Liquidity Manager'),
(17128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n[IF] Rédaction cas de test Liquidity Manager'),
(17129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n[IF] Rédaction cas de test Liquidity Manager'),
(17200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n-Documentation sur la Réconciliation\\\\n--Rédaction de tests BO jackpot(manque de doc)'),
(17201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nDocumentation sur OAC/affectation des ecrdits'),
(17042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nSAFERGAME : Présentation livraison IBM du jour+Bug review+point d\\\\\\\'avancement FDJ/IBM'),
(16956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n'),
(16957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nExport Incidents de production'),
(17873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMCO - Court commercial du 03/04/2017'),
(17311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - Installation FDL016169'),
(17312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nExportation incidents de production'),
(17884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - DMT0007712 - Installation des FDL015871, FDL015986, FDL016099 - récup FDLs sous SVN, vérification du paramétrage des codes jeu et des codes variante dans BIC.'),
(16964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-27  (Do not remove this line) -->\n'),
(16965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n[PSMS V2] Vérification des nouveaux cas de tests ETL et Segmentation pour PSMS V2 dans ALM - Projet: PSMSv2 > Test Plan > 02 - Tests IQ > 01 -  IQ SPORT > 01 - Référentiel NREG PSEL > 15. Module ETL et 28. Segmentation\r\n\r\n[PSMSv2] Lectures des docs PSMSv2 Freebet et Cashout\r\n\r\n[Meeting] Réunion de synchronisation SPORT avec Fabien Billard de 14h à 15h\r\n\r\n[Divers] Lecture des 500 mails reçu pendant mes congés =D'),
(17195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nCorrection de l\\\'outil de promulgation '),
(17194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nIF: Déclaration des jeux Elixirius 2017 et Coco Trio 2017 sur PRF2FLLV\\nCorrection de l\\\'outil de promulgation '),
(17023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nMise à jour ou création de script auto pour les prérequis ARJEL. '),
(17045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nControl-M montée en compétence, analyse des batch en erreur\\nAmélioration des fiches de test IF - ajout de cas'),
(18819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nAnalyse et modification code pour eviter DEADLOCK sur les vacations ANO048256\\\\\\\\nAnalyse pour évolution COHERIS (Suppression du SID)'),
(16973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nAnalyse pour évolution COHERIS (Suppression du SID)\\n[COHERIS] Avancement des sujets'),
(16975, 'Après analyse et investigation, nous avons constaté que le problème est dû au cache liferay et que la solution réside dans le fait d\'appeler la méthode MultiVMPoolUtil.clear()    - clearing cache across JVM clusters, dans chacun des cas suivants:\r\n\r\n- Quand on ajoute un user à un groupe \r\n- Quand on modifie la date d\'appartenance d\'un user à un groupe\r\n- Quand on modifie les habilitations d\'un groupe\r\n- Quand on clôture un groupe (éventuellement, la méthode précédente n\'est pas appellée)\n\n'),
(17108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMappi script'),
(17116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nMappi script\\nRéunion boutique-p'),
(17012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - Préparation des tests de QS DL -> Cautionnement'),
(17223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nAction : Stream coco : implémentation / réhabilitation test non reg\\nLivrable : tests associés'),
(17225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nAction : Stream coco : implémentation / réhabilitation test non reg\\nLivrable : tests associés'),
(17169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nConstruction catalogue IF FAKELOTERY'),
(17170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nConstruction catalogue IF FAKELOTERY'),
(17171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nConstruction catalogue IF FAKELOTERY'),
(17013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO (échange avec le projet et assistance HIA)'),
(17063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nKick-off palier de printemps - été 2017\\n\\nDeploiements + Acceptances\\nmag 2.4.6 - FDL016115 \\nmug 2.8.3 - FDL016181'),
(17216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nParticipation au KickOff Palier Juillet\\n'),
(17215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nPSEL Android corriger et compléter ALM \\nPSPDV poursuite qualification, PDJ et compléter ALM\\nANO crash IOS 9.0 et Android 5.0 OK\\nVITAN Qualif post Livraison 5.5.009\\n\\n'),
(16996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMCO - EGIDE'),
(17275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n- installation livraisons de maintenance FDJ.FR et maj d\\\'environnement\\nINT32	4.1.1_hasard	FDL016183\\nINT32	4.1.2_hasard	FDL016203\\nINT21	4.1.2_hasard	FDL016203\\nINT21	4.1.1_mapi	FDL016127\\nINT21	4.1.1_mapi	FDL016127\\n- maj des scripts postman sur composants PHP\\n- maj conf CF sur l\\\'ensemble des domaines fdj, media, pour le dfostore\\n- qualification livraison 4.1.1_hasard'),
(17274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n- Maj d\\\'environnement Maintenance VSR\\n2.4.1_mig	FDL016161\\n4.1.1_hasard	FDL016183\\n- installation et configuration premiere version apimaitre\\nINT91	0.0.1_apimaitre\\n- maj du script d\\\'install.ksh pour l\\\'intégration nouveau composant\\n- configuration edwan pour intégration apimaitre\\n- instanciation nouveau serveur php pour symphony sur int91\\n- maj des scripts postman sur composants PHP\\n- etat des lieux env pour migration dfostore\\n- support métier pour lpb de contribution mig'),
(17276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n- Migration du fdjstore sur les environnements x1\\n- installation et configuration du nouveau composant apimaitre sous symphony\\n- pb techniques pour le déploiement de l\\\'apimaitre en intégration\\n- maj du dfostore pour les applis natives environnements en x1\\n- investigation pb d\\\'acces aux services mapi sur int01\\n- qualification livraison 4.1.2_hasard'),
(17160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\ntests playstation'),
(17164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nFDL016178.'),
(17163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nFDL016180'),
(17162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nFDL016199'),
(17165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nTests playstation'),
(17029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nLivraison nouvelle version appli FDJ IOS et Android (pas de FDL)\\nTest des applis\\n'),
(17028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nPoint equipe Appli native \\nEvol Manic\\nMise en place des catalogues finaux sous INT32'),
(17009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - DMT0008132'),
(17010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - Recherche  pb de remonté dans EGIDE et Qualification des remontées de SAGA des  secteurs isolés et des commissionnement dans EGIDE Tr3'),
(17030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nTest appli FDJ IOS et Android + modification du map/cms/fdj/size/M pour comprendre le comportement des annonces des tirages des jeux illiko\\nRedaction du document sur la strategie des tests paylstation\\nCompilation appli illiko sur INT32 pour tests partage de session'),
(17088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nPSPDV : qualification, PDJ compléter ALM analyse\\nParticipation au KickOff Palier Juillet\\nWSPDV : Installation, acceptance et Qualif de la version 3.0.12'),
(17018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nInstallation 2.16.2 sur INT21\\nFinalisation modop 2.16.2\\nQualification ANO048312\\nMise au point avec Yann Faveaux et Stephane Hiardot sur les prochaines livraisons presto et portail'),
(17026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nDemi journée réunion tests. '),
(17979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nMCO Multimédia \nCarto batch multimédia (word)'),
(17031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nReunion playstation sur strategie de tests  amigo amigolive'),
(21764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nTest appli native FDJ IOS Android , soumission appli Native FDJ IOS a apple\ncréation des cas de tests appli native FDJ\nMise en place des cas de tests suivant validation de la strategie de tests playstation'),
(17033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nTest appli native FDJ IOS Android , soumission appli Native FDJ IOS a apple\r\ncréation des cas de tests appli native FDJ\r\nMise en place des cas de tests suivant validation de la strategie de tests playstation'),
(17034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nTest appli native FDJ IOS Android , soumission appli Native FDJ IOS a apple\r\ncréation des cas de tests appli native FDJ\r\nMise en place des cas de tests suivant validation de la strategie de tests playstation'),
(17035, 'Bonjour,\r\n\r\nVoici les informations qui nous ont été communiquées :\r\nLa Caf du Rhône rencontre ce problème sur tous les partenaires. \r\nLorsque un partenaire \"Administrateur\" est également \"responsable de groupe\", il n\'a pas par défaut la consultation CDAP. \r\nSi on veut lui affecter un groupe, le système ne propose aucun groupe, si le partenaire a un seul groupe. Dans le cas où il y a plusieurs groupes, seuls les groupes dont il n\'est pas responsable sont proposés.\r\n\r\nLa Caf du Rhône a travaillé notamment avec le Conseil Départemental (CONVENTION 2017-0001). Ils étaient avec leurs 2 administrateurs, et ont créé ensemble les groupes. Mme Dunand, Administrateur et responsable du groupe CDAP profil T1, et Mme ALBEPART, administrateur et responsable du groupe CDAP profil T5. Ils ont travaillé avec les identifiants de Mme Dunand. \r\nAprès avoir créé le groupe CDAP-profil T1, ils ont vainement tenté de lui affecter, mais pas possible. Ils sont sortis de l\'application puis re-rentré et Mme Dunand n\'avait pas le choix de consulter un dossier allocataire. Par contre, ils ont  pu affecter le groupe CDAP - profil T1 à l\'autre administrateur (Mme ALBEPART), laquelle a alors eu la consultation allocataire en profil T1\r\n\r\nEnsuite, ils ont créé le groupe CDAP -profil T5. Et là, idem. Impossible d\'affecter ce groupe à Mme ALBEPART. Par contre, ils ont pu affecter ce groupe à Mme Dunand, qui du coup peut à présent consulter les dossiers allocataires, mais avec un profil T5, qui n\'est pas celui du groupe dont elle est responsable.\r\n\r\nLa Caf du Rhône souhaite donc savoir s\'il y a une erreur de manipulation ou bien s\'il y a un autre problème.\r\n\r\nMerci pour votre retour. \r\n\r\n\r\nCordialement,\r\n\r\nNicolas Hilaire, \r\nExpertise Relation de service'),
(17039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nStock Grattage Installation des 3 FDLs FDL016182 FDL016195 FDL016201 sur le TR2'),
(19740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nModification de la configuration backoffice et portails en vue de la MEP de la 2.16.2 et  test sur INT2.\nInvestigation sur une mauvaise gestion du traitement en BDD de la récupération des résultats MAPI Euromillions.'),
(17041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nLivraison FDL016111_Coheris_Oracle_RECERTIF_CRM_F_5.6.0.0 pour recertification\r\nAnalyse chargement Client sans SID'),
(17043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nAutomatisation des batchs :Analyse des besoins et de l\'existant check regex ...'),
(17044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nServices multigateways dans API VuGen (analyse).'),
(17344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nconception de cas de test IF'),
(17048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nSIDCOM TR2 bloquée WCS // SIDCOM TR3 OK partie ETL // SIDC TR3 bloquée pour investigation probleme de PROD // SIDC TR2 en attente'),
(17049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nSAFERGAME : Qualification  ANO047536'),
(17052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Atelier SPORT (0.5J)'),
(17051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n- Mise en place des campagnes factoty INT4 pour la nouvelle offre + création des tâches sur le robot. \r\n- DB Check PDJ Mify'),
(17053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nSAFERGAME : Installation FDL016210 SAGA sur INT2'),
(17055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nCodage partie  ListBox'),
(17058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nSAFERGAME : Installation FDL016210 SAGA sur INT4'),
(17166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nSAFERGAME : Installation FDL016225 IIB sur INT2+ FDL016215 ODM sur iNT2 + FDL016221 SQL sur INT2'),
(17062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n'),
(17203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n- Deploiements boutiques A 3.0.0 et U 3.0.0 sur INT02 et INT61\\\\n- Pb de conf SALT constatés depuis la mise en place du Master Front sur ojadgate (digishop-version de l\\\\\\\'environnement non pris en compte) \\\\n=> correction de la conf par Mohamed\\\\n=> redeploiement de tous les INT FRONT (18)\\\\n\\\\nDeploiement  \\\\n'),
(17065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-20  (Do not remove this line) -->\n'),
(17066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nTests IF'),
(17067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nTests IF'),
(17253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nExécution, analyse et correction de FALCON_USR_2.6.0-alpha4 (Acceptance et NR)'),
(17069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nVie des environnements'),
(17070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nProjet SPOC kick off'),
(17071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nProjet SPOC kick off'),
(17072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMontée en compétence avancée (c’est à dire que je monte en compétence en faisant des taches  qui font partie du planning officiel de l’équipe SPORT AUTO), En support Elise et Michael. Exécution de campagne d\'acceptance sur INT7: INT7 14.1.30.1.0-SNAPSHOT 6 ( version ABP)'),
(17073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nVie des environnements :monext'),
(17074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nVie des environnements : SPOC'),
(17075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nMontée en compétence avancée (c’est à dire que je monte en compétence en faisant des taches  qui font partie du planning officiel de l’équipe SPORT AUTO), En support Elise et Michael. Exécution de campagne de non reg sur INT7: INT7 14.1.30.1.0-SNAPSHOT 6 ( version ABP)'),
(17076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nExécution, analyse et correction de FALCON_USR_2.6.0-alpha4 (Acceptance et NR)'),
(17288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nReunion purge et projet bingo\nLecture spec recertif/regul\nRedaction test postman'),
(17252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nRéunion : Kick off palier de printemps ((0.5 jours)\\nExécution, analyse et correction de FALCON_USR_2.6.0-alpha4 (Acceptance et NR) : (0.5 jours)'),
(17081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nExécution, analyse et correction de FALCON_USR_2.6.0-alpha4 (Acceptance et NR)'),
(17755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\ndocumentation Jenkins gitlab postman'),
(17756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nNewman junit result file integration'),
(17085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nPSBOR : Mise à jour Qualif PSBOR dans ALM\\nPSBOR : ANO sur la taille du Js de la borne'),
(17757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nJenkins parametrerized Triggers\\ntest result analyse'),
(17759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\njira pdf view plugin integration'),
(17760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nJenkins ALM'),
(17092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nPoint test auto. '),
(17101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nRéunions : \\\\\\\\n* Présentation Palier SPOC par Julia Barbier\\\\\\\\n* Questions à Lotsys (à Guillaume Lesur)  concernant la partie PSMSV2 \\\\\\\\n* Point de synchro test IQ Back Digital\\\\\\\\n + Lecture spec'),
(17095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nReunion organisation camapagne et reporting.'),
(17279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nRéunion de présentation du projet SPOC, lecture documentations du sous projet Re-certif/regul.'),
(17102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nAnalyse refentiel ALM : génération des fichiers de support pour la réunion de jeudi  (Liste des cas de tests \\\"Inscription\\\" avec leur steps du TEST PLAN) _ création d\\\'une requête ALM'),
(17097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nImplémentation de tests auto USR et organisation ARJEL (Industrialisation des tests).'),
(17724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nRéunion sur la méthodologie et planning du projet SPOC.\nRevue du document Falcon Concept.'),
(17103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nMCO - EGIDE'),
(17105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nReporting et organisation des campagnes ARJEL et USR (vérif des tests NOT ready).'),
(17886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Installation - SIGN AND GO - FDL016164 sur INT1 '),
(17109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nImplementation de tests auto, analyse, correction de tests, recherche de solutions et lecture / revue documentation confluence.'),
(17110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n0.80 : kick off Palier  + Atelier méthodologie et planning\r\n0.20 : Qualification d\'anos pour la VSR Olympia '),
(17111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Qualification FDL016164 sur INT (début)'),
(17114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nFreebet : rédaction des cas de tests (batch et trt de masse)'),
(17131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nDev API [Refactoring Code IBAN] : Ajout d\\\\\\\\\\\\\\\'une fonction de génération d\\\\\\\\\\\\\\\'un chiffre de contrôle sur numéro de compte selon l\\\\\\\\\\\\\\\'algorithme de Luhn\\\\\\\\n[ITF] Atelier automatisation \\\\\\\\n[MOTORS] orchestration du jeu \\\\\\\\\\\\\\\"couleurfetiche2017\\\\\\\\\\\\\\\"\\nSupport testeurs : tests du service FalconPOSTFinancialDeposit en erreur (http 500) sur les env INT0 et INT9'),
(17117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO (échange avec le projet et assistance HIA)'),
(17334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n[ITF] Atelier automatisation \\\\\\\\n[MOTORS] orchestration du jeu \\\\\\\\\\\\\\\"couleurfetiche2017\\\\\\\\\\\\\\\"\\\\n[GAMIFICATION - Palier juin]'),
(17119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n0,75 : Freebet : Rédaction cas de test \r\n0,25 : Réunion/Atelier _ Analyse du referentiel '),
(17120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nEtude boutique-P\r\nMAPI développement des scripts\r\n'),
(17121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nPSMS V2 - Freebets'),
(17122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nPSMS V2 - Freebets'),
(17123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nPSMS V2 - Freebets'),
(17124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nPSMS V2 - Freebets'),
(17125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nPSMS V2 - Freebets'),
(17126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n[IF] Rédaction cas de test Liquidity Manager'),
(17130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n[IF] Rédaction cas de test Liquidity Manager'),
(19505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nPV de qualif WSPDV\nVérification des anos suspendus 044304, 042834 et 041212\nCréation de l\'ANO048431'),
(17331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nfreebet : redaction des cas de test\\\\npoint d\\\\\\\'avancement pour Brice'),
(17136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nEtude Boutique P'),
(17137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nImplémentation de test automatique pour Falcon ITG'),
(17138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nImplémentation de test automatique pour Falcon ITG'),
(17139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nImplémentation de test automatique pour Falcon ITG'),
(17280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nRédaction des premiers cas de tests à partie du document Falcon concept.'),
(17725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nRédaction des premiers cas de tests à partie du document Falcon concept.'),
(17726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nRédaction des premiers cas de tests à partie du document Falcon concept.'),
(17143, '1) Pour le problème de rafraîchissement du cache, il faut en discuter avec Hérvé Devos.\r\n\r\n2)  Pour le problème des groupes, il faut attendre la mise en prod et voir si le dernier paquet résout le problème'),
(17153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\ntest FAQ'),
(17154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\r\n- Actions correctives pour les tâches KO VieDesEnvironnement.\r\n- Validation Factory INT4 \r\n- Atelier PSMSV2 pour la PERF'),
(18040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n- Correction erreurs API lors des pdjs multiplex semiauto\\n- Check des vérifications lors de la construction des panier PSEL multiplex '),
(17167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nSAFERGAME : Installation FDL016213 SPSS + FDL016222 IIB + FDL016224 CFM sudoers sur INT2'),
(17255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nConstruction catalogue IF FAKELOTERY'),
(19747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nConstruction catalogue IF FAKELOTERY'),
(19748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nConstruction catalogue IF FAKELOTERY'),
(17251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nRéunion : Présentation palier SPOC (0.5 jours)\\\\nExécution, analyse et correction de FALCON_USR_2.6.0-alpha4(Acceptance et NR) : (0.5 jours) - Problème sur l\\\'environnement INT9 (Données de production) :\\nProblèmes sur le cryptage de certains joueurs - Problème de connexion à MONEX'),
(17495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nScript auto Falcon : FalconGETGamesHistory gestion nouvelle version de service introduite par USR 2.5.1\\nMOTORS : remplacement de la version du xml\\nalconGETFinancialDepositTransactionId : Debrayage de la RAZ de la cypherList pour les environnment à BANFAKE (INT0x et INT9x a ce jour)'),
(17228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nAction : Stream coco : implémentation / réhabilitation test non reg\\\\nLivrable : tests associés'),
(17365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nGit pour Pierre Blum, ...'),
(17233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n'),
(17197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nCorrection de l\\\'outil de promulgation '),
(20384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nAction : Stream coco : implémentation / réhabilitation test non reg\nLivrable : tests associés'),
(17199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nCorrection de l\\\'outil de promulgation '),
(17329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nMCO - EGIDE'),
(17198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nCorrection de l\\\\\\\'outil de promulgation'),
(19182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nAssister à un atelier création des offres marketting / affectation des ecridits\nRevoir les tests créées sur les e-crédits dans les plans de test'),
(17204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nMontée en compétence avancée (c’est à dire que je monte en compétence en faisant des taches  qui font partie du planning officiel de l’équipe SPORT AUTO), En support Elise et Michael. Exécution de campagne de non reg sur INT7: INT7 14.1.30.1.0-SNAPSHOT 6 ( version ABP)'),
(17205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nMontée en compétence avancée (c’est à dire que je monte en compétence en faisant des taches  qui font partie du planning officiel de l’équipe SPORT AUTO), En support Elise et Michael. Exécution de campagne de non reg sur INT7: INT7 14.1.30.1.0-SNAPSHOT 6 ( version ABP)'),
(17207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nAnalyse des mécanismes de regex pour fichier textuel. Elaboration spéc Auto tests Batchs.'),
(17208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nPoint ITF Automatisation des tests. Analyse architecture Service multigateways.'),
(17210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nFalcon Transaction'),
(18254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMCO Multimédia I2/3/4\\nCarto batch multimédia'),
(17212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nEtude & Rédaction des cas de tests'),
(17289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nEtude & Rédaction des cas de tests'),
(17214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nEtude & Rédaction des cas de tests'),
(17218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nPSEL Android compléter ALM (préparation stratégie de tests\\\\nPSPDV poursuite qualification, PDJ et compléter ALM VITAN'),
(17338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités'),
(17688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nImplementation de tests auto, mise en place de tests pour la non -reg 2.5.2 Arjel et lancement de la campagne. '),
(17235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nRemise à niveau prod des INT Edwan\r\nMode opératoire MEP Maintenance composant du compte'),
(17236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Campagne d\'acceptation FDL015987'),
(19772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nMCO Court Commercial'),
(17238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMCO Court Commercial'),
(17239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nMCO Court Commercial'),
(17259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nMCO Court Commercial'),
(17242, '1) Problème de rafraîchissement du cache : Vu avec Hérvé Devos, il s\'agirait d\'un bug Liferay. Détails communiqués à Bertrand par mail\r\n\r\n2) Problème d\'ajout du responsable habilitation au groupe: tjr en attente de la mise en prod'),
(17243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Campagne d\'acceptation FDL016095 et FDL016053'),
(17245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Installation FDL015987 sur TR3'),
(17269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Campagnes de qualification Bascule MDIS et Chang. Type de com (B2)'),
(17247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n[BFR.045.35 DEFI-CGV] Campagne d\'acceptation FDL014449 sur TR3'),
(18410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Rédaction de 6 cas de tests'),
(17254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Installation FDL016095 et FDL016053 sur TR1'),
(17256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nSTR Qualification exécution de la campagne de test statique + création d\'une anomalie ANO048408'),
(17258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Campagne de chargement de document LTIR'),
(17359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nSTR Qualification dynamique création d\\\'une anomalie ANO048408'),
(17268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nSIDCOM TR2 // SIDCOM TR3 // SIDC TR2 en attente extraction falcon // SIDC TR3 OK'),
(17263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nRéunions projets'),
(17266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n[BCO.084.36-RDI 1.05] Mise à jour du suivi des campagnes dans ALM'),
(17267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nGSI création de la DMT DMT0008523 pour la création de l\'arborescence SID Commercial (Integration) \r\n'),
(17270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Campagnes de qualification Bascule MDIS et Chang. Type de com (B2)'),
(17826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n- réunion PLAYSTATION stratégie de tests Atelier N°2\\n- réunion [STREAM FDJ.FR] : BUG REVIEW\\n- Maj modop de MEP VSR YellowStone avec migration fdjstore\\n- maj doc swagger 4.1.2_mobi\\n- support recette pour anomalies Illiko\\n- maj environnements d\\\'integ pour dump de prod\\n- maj du dfostore sur la partie sport pour applis natives'),
(19606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n- travail sur applimaitre'),
(17293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nSuivie de la vie des environnements\\nMise en Place nouvelle campagne d\\\'Acceptance'),
(17769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nSupport Hakim'),
(17295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nAtelier optimisation requêtes auto'),
(17296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMise en place nouvelle campagne Acceptance\r\nMise en place campagne NonReg INT7'),
(17778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nSuivie vie des environnements\\nOptimisation des campagnes'),
(17298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nSuivie d\'avancement avec Raphaël'),
(17300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n'),
(18154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nPoint de synchro Bingo RWD\\nmontée en compétence POSTMAN\\nlecture spec regul/recertif'),
(17303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n'),
(17304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n'),
(17305, '@tony\r\nA suivre et a faire avancer.'),
(17314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - DMT0007712 - Installation des FDL015871, FDL015986, FDL016099 '),
(17315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nExtraction des incidents de production'),
(17316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nSAFERGAME : Chargement fichier SAGA+BETSYS/RDST en recette'),
(17320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nPV de qualification EGIDE V4.30'),
(17318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nnomenclatures'),
(17319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés - Exécution des campagnes identifiées B3.'),
(17321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation FDL016227'),
(17337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nSAFERGAME : Qualification ANO048133, ANO046139/ Demande de travaux créée pour installation par HIA (nouveau process) DMT0008553'),
(19718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nInvestigation sur un probleme de service arrete sur tous les environnements de presto + solutionnement du problème\nInvestigation d\'un problème d\'accès aux jeux illiko depuis la 2.16.2 + solutionnement'),
(17326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - Qualification FDL016164 + IHM MEIBO + Echange projet'),
(17328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - D&marage des tests de QS DL -> Cautionnement'),
(17332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nfreebet : redaction des cas de test\\npoint d\\\'avancement pour Brice'),
(17333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n'),
(17335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n[ITF] Atelier automatisation \\\\n[MOTORS] orchestration du jeu \\\\\\\"couleurfetiche2017\\\\\\\"\\n[GAMIFICATION - Palier juin]'),
(17336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(17339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Lecture des documentations pour écriture des cas de test Freebet et ETL-SID-COMPTA\r\n\r\n[AUTRES] Atelier d\'avancement PSMSV2 avec équipe Sport de 14h30 à 16h30 - Invité par Raphael DUMONTET'),
(17949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n'),
(17342, 'RAF : Mise en place consumer micro-service'),
(19181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nInstallation falcon BAN sur INT2\\\\nmise au propre des mod\\\\\\\'op back'),
(17346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\nréunion christophe budget...'),
(18255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nMCO Multimédia I2/3/4'),
(17783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nMCO control multimédia INT 2/3\\nCartographie batch ctrl m (word)\\nCartographie batch java wkf fichier falcon'),
(17784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMCO control multimédia INT 2/3\\nCartographie batch ctrl m (word)\\nCartographie batch java wkf fichier falcon'),
(17785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nMCO control multimédia INT 2/3\\nCartographie batch ctrl m (word)\\nCartographie batch java wkf fichier falcon'),
(17786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nMCO control multimédia INT 2/3\\nCartographie batch ctrl m (word)\\nCartographie batch java wkf fichier falcon'),
(17360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nRAM004 Installation des 2FDLs ETL FDL016144 et FDL016155 pour BINGO sur le TR2'),
(17361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nSIDCOM TR2 Attente WCS // SIDCOM TR3 Attente WCS // SIDC TR3 OK // SIDC TR2 attente payout reprise préparée'),
(17362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nRAM004 Identification des FDLs a installer pour BINGO sur le TR2'),
(17363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\ndev bouchon'),
(17364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nSAFERGAME : Point état d\'avancement livraison entre FDJ/IBM'),
(17367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n'),
(17369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nAtelier \\\\\\\"Vision de la plateforme commune à la DSI\\\\\\\"'),
(17370, 'Hello world\n<!-- CODEVTT_TAG_READ_BY lbayle  --- 2017-04-07 14:09:46 -->'),
(17371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nExportation incidents de production'),
(17374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nMCO Court-commercial du 06/04/2017 + analyse I3_Calypso_Trans_Free_CE/I3_Calypso_Trans_Free_CP/I3_Calypso_Trans_Ret_tickets'),
(17375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nBilan interne, préparation SP9.1 (report)'),
(19719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nInstallation du dump de la prod edwan sur INT11\\nInstallation du dump de la prod edwan sur INT02'),
(17377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Installation FDL016212'),
(17740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nSPOC : Redaction de cas de tests Freebets'),
(17379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nD3571'),
(17380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nD3571'),
(17381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nD3571'),
(17382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nD4827'),
(17383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nD4827'),
(17384, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nmodification de l\'ihm :\r\ncorrection de défauts et ajout de bouton\r\npuis mise en places des filtres'),
(17385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nfinalisation structure de la listbox avec champs cachés'),
(17386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n'),
(17389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nAtelier \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"Vision de la plateforme commune à la DSI\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"'),
(17409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nTest NR Droits et prestations'),
(17426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nRelecture cas de test ecridit\\nSuivre l\\\'exécution des batch des création des dotations\\nCréation des joueurs et les affecter des écrédits sur les différentes offre de dotation: cas de joueurs avec 0 purse/ 2/3/5 euro é-crédit)'),
(17392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n'),
(17768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Mise à jour des campagnes Mify.\\n- Autres ....'),
(17410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nTest NR Droits et Prestations'),
(17395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nRefonte de la partie de gestion des erreurs'),
(17396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n'),
(17398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\\n\\n[PSMSV2] Lecture des documentations pour écriture des cas de test Freebet et ETL-SID-COMPTA'),
(17399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nMCO - EGIDE'),
(17400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Installation 4.03 FDL015742 - Sur TR2 INT4EGID'),
(17402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nRIB.009 EGIDE LOT 4 -  EGIDE - Début Qualification des secteurs isolés (DL)'),
(17403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Début Qualification NONREG VDI e échange projet)'),
(17513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nRédaction d\\\'une page confluence sur les rapports de campagne suite à validation de ma proposition par V. Le Roux.\\nExécution des tests MONEX sur Falcon USR v.2.6.0 Alpha 4'),
(17406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n4848'),
(17407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n'),
(17408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n'),
(21197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nSAFERGAME : Point DT avec P.Maigne FDJ/IBM'),
(17413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nSAFERGAME : Création DMT0008610 pour extraction de données de 8 mois de données de prod valo'),
(17414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n'),
(18912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\ndéveloppement et préparation FDL016242_Coheris_Oracle_FAQ_COHD_F_5.5.0.0 pour chargement table1 dans BO\\n[COHERIS] Avancement des sujets'),
(17416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n'),
(17417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n'),
(19720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nInvestigation  et resolution d\'un probleme sur l\'enregistrement de la page d\'accueil tablette qui ne fonctionnait plus en production.\nRelance des différents interlocuteurs sur les problématiques existant sur les urls fictive des webapp, le comportement de l\'api pdv d\'illikolive et le retour du service de validation des tokens sur illikolive qui ne fonctionne pas.'),
(17865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nReprise après 3 semaines d\\\'absence (mails, accès ...)\\n\\n'),
(17432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n'),
(17429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n'),
(17431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n'),
(17514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nAnalyse des tests au statut block Data et to be review de la campagne Falcon USR 2.6.0 Alpha4\\nExécution de la campagne d\\\'ACCEPTANCE API de Falcon USR v.2.5.2 sur INT0 => Arrêt car problème d\\\'environnement'),
(17438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n'),
(17439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n'),
(17440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nentretien annuel avec Gerald'),
(17450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Suite Qualification NONREG VDI e échange projet - Pb pour création utilisateur test sous MPP))'),
(17442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Lecture des documentations pour écriture des cas de test Freebet et ETL-SID-COMPTA\r\n\r\n[ABP OFFRE][SPEED UP] Vérification de création automatique (FeedRelay) et ETL des nouveaux  markets Footbal sur INT3 '),
(17451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - Suite des tests de QS DL -> Cautionnement - Problème avec en environnement de test INT6EGID - remonté ANO au DEV'),
(17447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Réunion d\'avancement sur les tests MOBILIN'),
(17452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nAnalyse des jobs Control-M, amélioration des scripts Postman, création d\'un Word pour les installations Back.'),
(17656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nInstallation Falcon USR 2.5.2-1 et BOX 2.6.2-1, docFalcon 2.5.2'),
(17489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nFinaliser le JDD-Ecrédit\\nExécuter des cas de test et contrôler la consommation des e-crédits dans la BB et la BO'),
(17490, 'Test de surface CDAP (sur la PA): on ne vérifie pas les données mais la présence des cadres, des mentions, des tableaux...\r\nTests possibles sur les rubriques:\r\n- adresse\r\n- allocataire\r\n- courriers\r\n- creances\r\n- droits\r\n- famille_enfants\r\n- logement\r\n- paiements\r\n- qfcaf (T2)\r\n- qfcnaf(T2)\r\n- ressources'),
(17659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nAnalyse des problèmes d\\\'installation du composant OPR\\nFin d\\\'installation du composant OPR'),
(17458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nA/R entre List Box et zone detail'),
(17459, 'Anomalie résolue en partie avec la solution apportée le 10 et 11 avril sur la prod.\r\nA contacter le partenaire par rapport à la convention \"supprimée\" (\"clôturée\" plutôt)'),
(17460, '04/04/2017 :\r\n\r\nBonjour,\r\n\r\nMerci pour cette solution de contournement. \r\nNous attendons toutefois une évolution.\r\n\r\nCordialement,\r\n\r\nSandrine Murard'),
(17461, 'Les écrans ont été mis à jour conformément aux maquettes faites par Kévin\n\n'),
(17462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nSuite mise à niveau PROD (Edwan) des environnements Front\r\nPb authentification sur INT7 bloquant l\'acceptance ABP => Pb lié à Falcon 2.5.2'),
(17463, 'Correction poussée sur le stream de MAINT'),
(17465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nSuivie de la vie des environnements.\\nSupport Hakim.'),
(17466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n'),
(17467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nSuivie de la vie des environnements\r\nOptimisation des campagnes'),
(19705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nMise en place vérification retour Place'),
(17470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nRéunion d\\\'avancement avec Raphaël'),
(19706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nMise en place vérification retour Place'),
(17677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n	VITAN : qualif de la version 5.5.012'),
(17678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - (Divers gestion projet, extraction fichiers pivots pour intégration Prod, ...)'),
(17475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n'),
(17479, 'IHM-001_RM-01	La liste des locataires restitue les locataires qui ont un droit réel ou théorique à l’AL/APL pour le mois M. => OK'),
(17480, 'Question à Frédéric André :\r\nIHM-001_RM-02	La colonne « Montant AL versé » est renseignée selon la règle suivante :\r\n•	Le dernier montant de l’AL versé ou « Suspendu » si le droit du locataire est suspendu.\r\n•	« - » si le bailleur n’est pas en versement direct\r\nAssociée à l’exigence EF075'),
(17481, 'OK =>\r\nIHM-015_RM-01	La liste des locataires restitue les locataires éligibles à l’aide au logement selon les critères suivants :\r\n-	Pour les dossiers ALF/ALS\r\no	Si l\'allocataire a, au titre de M+1, un droit théorique ou réel à l\'AL et si le dernier code occupation correspond à \"location\" et si date d\'effet dernier loyer enregistré est < au mois d\'appel des loyers AL\r\nou\r\no	Si l\'allocataire est ETU/EBO et a, au titre de M+1, un non droit à l\'AL et si le dernier code occupation correspond à un logement collectif (05, 06, 08, 5X ou 5Y) et si la date d\'effet du dernier loyer enregistré < au mois d\'appel des loyers AL et si il existe sur le dossier un code confirmation logement à \"N\" ou à \"E\" en cours et débutant sur l\'année de la quittance appelée et si le code support loyer du bailleur est différent de réseau\r\n\r\n•	Pour les dossiers APL \r\n•	Si l\'allocataire a, au titre de M+1, un droit théorique ou réel pour l\'APL et si le dernier code occupation correspond à \"location\" et si date d\'effet du dernier loyer enregistré est < au mois d\'appel des loyers APL\r\nAssociée à l’exigence EF083'),
(17482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nSAFERGAME : 20 cas de tests créés'),
(17483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nSAFERGAME : 20 cas de tests créés'),
(17491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nSAFERGAME : Création ANO048543, ANO048546, ANO048547+ Reprise de données en recette'),
(17486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n'),
(17487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nAffectation des é-crédits pour des joueurs dont le purse >0 \r\nExécution des cas de test( PDJ  avec consommation ou non des é-crédits)\r\nRemonter une ano  ANO048507'),
(17493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nSAFERGAME : Bug review entre FDJ/IBM'),
(17494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nFDL016260  : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT Partielle  (ANO048285,ANO048256 )\r\nAnalyse remplacement SID'),
(17497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n- Analyse des logs en production\r\n- Requêtes d\'impact sur la base de donnée (nb de bulletins concernés)\r\n- Enquête Conventions KO/OK'),
(17498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n- Analyse base de donnée prod, comparatif Conventions OK/KO\r\n- Analyse du code, appels de suppression physique des entités ApplicationInstance & historique JazzRTC sur les parties applicatives concernés'),
(17745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\ntest ano'),
(17749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nRéunion Batch + implémentation tests auto batch'),
(17507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(19721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nInvestigation, résolution et création d\'ano pour l’impossibilité d\'accéder au module IMCE sur drupal\nAnalyse du fonctionnement du contenu  \"webapp loto\" de drupal avec la webapp loto\nCreation de l\'ANO048529 sur un mauvais traitement de l\'url par la webapp loto\nMise a jour de la conf sur INT6\nReunion avec sophie mace, stephane hiardot et yann faveaux pour faire un point sur les anomalies.'),
(17511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nfin tests alimentation detail par lb; debut codage partie acces AYD'),
(19239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\ntache transverse : Définition du CRON pour lancer le micro service toutes les nuits à 01:00  + test'),
(17639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nRéunion + implémentation PT Auto Batch CheckCertification'),
(22492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nLancement campagne non reg IF version 2.0.3-1 sur INT02. Rédaction de documents pour Interactive Factory'),
(22491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n[JASON] Support à la recette P. Beaujoin'),
(17517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMCO - EGIDE et principalement SIDC avec reprise SOC sur I3_SIDC ( durée d\'exécution du job après reprise 7:30 h'),
(17518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nGestion des Inidents'),
(17519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Lecture des documentations pour écriture des cas de test Freebet et ETL-SID-COMPTA\r\n\r\n[ABP OFFRE][SPEED UP] Tests ARJEL et ETL des nouveaux  markets Basket sur INT3'),
(17520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(17521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - Suite des tests de QS DL -> Cautionnement avec SOPRA- Problème avec en environnement de test INT6EGID - résolu'),
(17523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - (Divers gestion projet)'),
(17528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nMCO Court_commercial'),
(18411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Création de 14 cas de tests'),
(17533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nRéunion de suivi d\\\'activité'),
(17585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nImplémentation test auto Falcon ITG'),
(17586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nImplémentation test auto Falcon ITG'),
(17557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Campagne d\\\\\\\'acceptation FDL016219 et tests de chargement des documents PDF dans ELPHE sur TR1'),
(17787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Déroulé des campagnes de tests Bascule PCA'),
(17545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nMCO Court_commercial'),
(17553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nRétablissement des droits d\\\\\\\'accès à INT3SAGA pour le user cautionnement'),
(17548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nMCO Court Commercial : Mise à niveau des chaines CtrlM pour Programme_DD'),
(17551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n[BFR.045.35-DEFI-CGV] Campagne d\\\\\\\'acceptation FDL016212'),
(17555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Tests de Chargement des documents PDF dans ELPHE'),
(17556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nTravail sur l\'implémentation de tests auto, préparation de tests et analyse pour la création de nouveaux tests. '),
(17561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMise en place du bouchon Banfake (corrigé par moi et testé par Eric et moi)sur INT0 et INT9, correction et implementation de tests.'),
(17788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Etat des lieux des campagnes de tests et qualification de l\\\\\\\'anomalie ANO048296'),
(17563, 'Le 1er et le 2ème points ont été vu avec Carole lors de notre appel téléphonique et ont été résolus.\r\n\r\nLe 3ème point:\r\n\r\nLa caf de l\'Yonne avait crée une convention avec l\'organisme EPNAK.\r\nCet organisme a un SIREN Unique mais plusieurs SIRET suivant l\'organisme fils.\r\nVu qu\'il y aura plusieurs organismes (fils) qui auront des conventions sur CDAP, la caf a demandé la suppression de la convention et de l\'organisme.\r\n\r\nOn a testé sur l\'assemblage et on a pu confirmer qu\'il est impossible de créer plus q\'un organisme avec le même SIREN !!!\r\n\r\nA voir avec Bertrand, Tony, et Kévin'),
(17564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMotors : test nouveau jeu orchestré couleurfetiche2017 installé sur INT1 : PDJ OK en BACK_VIP mais KO en mode WEB -> investigations auprès de la QA et de Franck\r\nmise à jour des fichiers de configurations pour ITG et Motors \r\npour permettre PDJ ITG en ITF interco sur INT9x en mode BACK_VIP'),
(17577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nExportation des incidents de production'),
(17569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nFinalisation blocs Falcon Transaction.\r\nImplémentation scripts Falcon Transaction.'),
(17570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nReprise blocs Falcon Transaction (mode AUTO).\r\nFinalisation scripts Falcon Transaction.'),
(17571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nModifications diverses et Publication scripts TXN et GAM.\r\nImplémentation du script d\'upload de fichier sur serveur distant.'),
(17888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Installation sur INT4CALY + création d\'un script de lancement avec remonté de la durée de traitement. FDL16249'),
(17576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nExportation des incidents de production'),
(17578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nMCO Court-commercial du 09/04/2017'),
(17579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Investigation sur erreur à l\'installation de la FDL016212'),
(17581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés - Exécution des campagnes identifiées B3. - Suite exécution des campagnes.'),
(17588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Installation de la FDL016249 sur INT3CALY'),
(17589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nExportation des incidents de production'),
(17590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMCO Court-commercial du 10/04/2017'),
(17593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés - Exécution des campagnes identifiées B3. - Reprise de l\\\\\\\'exécution des campagnes.'),
(17741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nLancement campagne Falcon RTG 2.3.7-1 Acceptance et Non reg sur INT0. Lancement campagne Falcon USR 2.5.2 Non Reg sur INT0. Analyse des campagnes.'),
(19723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nCreation de la configuration pour installation des frontaux de la borne illikolive.\nInvestigation sur INT6/INT7 pour l\'ANO048533 .'),
(17596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nReunion convergence des fronts'),
(17889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\ndemande d\'informations à Frédéric andré'),
(17598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nDMT0008713 - SAGA sur INT3 - Ajout des RIB sur les détaillants en référence'),
(17665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nSAFERGAME : Exécution de 2 campagnes pour la chaîne de détection+ Création ANO048550, ANO048557, ANO048562 Chargement des données BETSYS/RDST en recette'),
(17658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nSAFERGAME : Installation FDL016252 DB2, FDL016263 SQL, FDL016255 IIB, FDL016265 SPSS sur INT2'),
(17601, 'Fin de la création du test \"tests_de_surface_cdap_profil_t1_consulter_dossier_synthese\".\r\nCe test vérifie les icônes, le fil d\'Ariane, le titre de la page, les filtres présents, la présence des onglets ainsi que les cadres de la synthèse (avec le titre du cadre et éventuellement des tableaux avec 1 ligne minimum).'),
(18412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Rédaction de 5 cas de tests et de 5 campagnes de qualification'),
(17603, '1) Problème de rafraîchissement du cache: correctif poussé => revue à faire par N.Gauche => à voir mardi si d\'autres corrections sont nécessaires\r\n\r\n2) J\'ai pas pu tester en prod : j\'arrivais pas à trouver une convention ouverte avec au moins un groupe ouvert ayant un responsable habilitation qui n\'est pas membre du groupe'),
(17604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n'),
(17605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nCablage  fenetre CTR_RES sur  fenetre AYD\r\nMise à niveau des outils  pour mise en gestion de conf  ( script + map)'),
(17606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nExécution de campagne de qualification sur INT8: Vérifier 4 nouveaux markets RUGBY'),
(17607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nExécution de campagne de campagne d\'acceptance de 4 nouveaux markets RUGBY sur INT8.'),
(17611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nExécution de campagne d\'acceptance sur INT7, nouvelle version ABP: 14.1.30.1.0-SNAPSHOT 10 , installée aujourd\'hui le 12/04/2017'),
(17612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n1-Continuer l\'Exécution de la campagne d\'acceptance sur INT7, nouvelle version ABP: 14.1.30.1.0-SNAPSHOT 10 , installée hier le 12/04/2017.\r\n2-Campagne de NonReg  sur INT7, de la nouvelle version ABP: 14.1.30.1.0-SNAPSHOT 10 , installée hier le 12/04/2017\r\n'),
(17614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nContinuer la Campagne de NonReg  sur INT7, de la nouvelle version ABP: 14.1.30.1.0-SNAPSHOT 10 , installée hier le 12/04/2017\r\n'),
(17617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nVie des environnements : problème serveur'),
(17616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nExecution compagne de test Falco USR 2.5.2(test intreco) '),
(17623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nJFTL Paris'),
(17619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nRapprochement des scénarios manuels / auto falcon'),
(17621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nVie des environnements : nouyveaux scénarios\r\n'),
(17622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nFalcon : campagnes auto'),
(17625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(17638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nExécution de la campagne ACCEPTANCE API et DB de Falcon USR v.2.5.2 sur INT01 et analyse et correction des tests au statut Failed '),
(17916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nCorrection outil de promulgation des resultats euromillion'),
(17635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nCorrection outil de promulgation des resultats euromillion'),
(17917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nCorrection outil de promulgation des resultats euromillion-'),
(17637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMise en place outil d\\\'installation des croupiers ITG en automatque sur tous les envrionnements-'),
(17636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nMise en place outil d\\\'installation des croupiers ITG en automatque sur tous les envrionnements'),
(18002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nExécution de la campagne de NR sur Falcon USR v.2.5.2 sur INT01 \\nAnalyse et correction de la campagne de NR sur Falcon USR v.2.5.2 sur INT01 \\nPréparation lancement de la campagne ACCEPTANCE et NR sur  Falcon USR v.2.6.0 beta2 sur INT9'),
(17640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nTemplate jira pdf'),
(17641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nTemplate jira pdf'),
(17645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nImplémentation PT Auto Batch CheckCertification'),
(17643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nImplémentation PT Auto Batch CheckCertification'),
(17644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nImplémentation PT Auto Batch CheckCertification'),
(17646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nImplémentation PT Auto Batch CheckCertification'),
(17647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\njenkns alm connection'),
(17648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nJenkins alm plugin'),
(17649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nJenkins alm'),
(17651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nMCO - EGIDE et SIDC'),
(17657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités'),
(17655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nMOTORS : Test validation de PDJ controlée du jeu couleurfetiche2017 sur INT1x: fonctionnement du mock aléatoire !\\nscript auto CreditAccount : validation du CreditAccount Digishop sur les environnemnts à BANFAKE (int0 et 9) ou branché à Monext  (int8\\ndev API (GEN IBAN) : remplacement du fichier csv de description d\\\'IBAN par un fichier au format json'),
(17683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - Suite des tests de QS DL -> Cautionnement avec SOPRA - (Fin)'),
(17710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nInstallation des composants USR, BOX et OPR sur INT4'),
(17711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nAnalyse des chaines control-M\\nAnalyse de l\\\\\\\'évolution des environnements IF, suite aux développements réalisés sur les environnements d\\\\\\\'intégration'),
(17667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nExecution compagne de test Falco USR 2.5.2(test intreco)'),
(17668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nExecution compagne de test Falco USR 2.5.2(test intreco)'),
(17669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nSTIM - INC170580'),
(17670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n[IF] Rédaction cas de tests Liquidity Manager'),
(17671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n[IF] Rédaction cas de tests Liquidity Manager'),
(17674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n	PSEL : déplacement sur paris réunion avec dev'),
(19508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nMise en place du dump de prod sur INT41\nCréation de l\'ANO048509\nTest sur les appels en cache foreground et background sur Android.'),
(19509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nCréation de l\'ANO048525 sur les appels background Android non contrôlé.\nInvestigation sur ce problème.\nTravail sur la borne pour la présentation du 28.'),
(17676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nPSEL Android : Qualification tests prises de jeux'),
(17679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nPS PDV : qualification et analyse de soucis d\'integ'),
(19510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nSupport sur la borne pour la livraison du 28\nQualif WSPDI\nCréation de l\'ANO048629'),
(17682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nréalisations modop PS PDV, VITAN, PSEL Android'),
(19707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\ntests PSEL Android prises de jeux et ALM'),
(17727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nRédaction de cas de tests pour le projet Regul/Recertif sous ALM (PMSV2).'),
(19506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nTraitement des anos suspendus comme demandé : ANO042834 réaffectée et ANO041212 abandonnée.\\nEnvoi des informations demandées par Florian Guitoger pour faire des tests sur INT7.\\nDump réaliser avec Christophe sur l\\\'environnement 42.'),
(17728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nRédaction de cas de tests pour le projet Regul/Recertif sous ALM (PMSV2).\nParticipation aux ateliers sur la rédaction des exigences métiers du projet.'),
(17729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nRédaction de cas de tests pour le projet Regul/Recertif sous ALM (PMSV2).\nParticipation aux ateliers sur la rédaction des exigences métiers du projet.'),
(19507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nInstallation dump de prod sur environnement 8.\\nRecherche pour automatiser les quelques actions manuelles du dump (mise à jour d\\\'URL dans Edwan)'),
(17731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nRédaction et modification de cas de tests pour le projet Regul/Recertif sous ALM (PMSV2).'),
(17694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nImplementation de tests auto, creation et correction de tests auto pour ARJEL. Intégration dans la campagne 2.5..2'),
(19244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nRédaction et modification de cas de tests pour le projet Regul/Recertif sous ALM (PMSV2).'),
(17696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n[IF] Exécution campagne Interconnexion USR 2.5.2 + ITF 2.0.1-2\r\n[IF] 3 Anomalies sur Liquidity Manager\r\n[IF] Investigation ANO48350'),
(17699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n[IF] Exécution campagne Interconnexion USR 2.5.2 + ITF 2.0.1-2'),
(17698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nAnalyse de la campagne 2.5.2 ARJEL / correction de tests, reporting. '),
(17701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nPSMS + FALCON TRANSACTION : ETUDE & REDACTION DES NOUVEAUX PLANS DE TESTS - ENVIRONNEMENT DE TEST (INT9) PAS DISPONIBLE'),
(17702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nPSMS + FALCON TRANSACTION : ETUDE & REDACTION DES NOUVEAUX PLANS DE TESTS - ENVIRONNEMENT DE TEST (INT9) PAS DISPONIBLE'),
(17707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nBug review\r\nReunion point d\'equipe app native'),
(17708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\ntest sur mrcd/voucher/check + notification appli maitre fdj'),
(17902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nPSMS + FALCON TRANSACTION : ETUDE & REDACTION DES NOUVEAUX PLANS DE TESTS - ENVIRONNEMENT DE TEST (INT9) DISPONIBLE + DIGISHOP-A DISPONIBLE + PBS DE PDJ'),
(17901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nPSMS + FALCON TRANSACTION : ETUDE & REDACTION DES NOUVEAUX PLANS DE TESTS - ENVIRONNEMENT DE TEST (INT9) PAS DISPONIBLE'),
(17706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nPSMS + FALCON TRANSACTION : ETUDE & REDACTION DES NOUVEAUX PLANS DE TESTS - ENVIRONNEMENT DE TEST (INT9) DISPONIBLE - DIGISHOP-A PAS DISPONIBLE, PAS DE PDJ POSSIBLE'),
(17709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nRedaction de cas de test appli maitre fdj sous ALM\r\nTest appli maitre, maj catalogue, check version sur INT91'),
(17712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\ntest appli maitre FDJ, mise a jour des catalogue avec apimaitre (stream php) sur INT91 + mise a jour des siteId\r\nCréation des catalogues + check version sur CMS sur INT12 avec contribution checkversion + test apimaitre + siteId'),
(17713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nCompilation illiko sur INT32 pour test partage de session\r\nTest apimaitre sur contribution du json pour mise en place de la homepage appli FDJ sur les differents jeux et differents item'),
(17750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nRéunion Batch + Référentiel'),
(17747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nAutomatisation batch'),
(17716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nredaction cas de tests alm + mise en place des dernieres mise a jour INT12 - INT32- INT91 + transfere de connaissance a J.Massano en prévision de la semaine de CP'),
(17864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nFormation PSMS V2'),
(17863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nFormation PSMS V2 \\\\nRéunion présentation PSMS V2  2h'),
(17861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nFormation NREG PSEL'),
(17862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nFormation PSEL'),
(17723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nRésolution Problème Lionel :\r\nscript updatepassword (terminé)\r\nscript AttachementUpdate (en cours)\r\n'),
(17732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nscript AttachementUpload analyse  \r\npoint avec Emmanuel Duchet pour comprendre les modification faite \r\nquestion pour Mathieu Jaulin sur le fonctionnellement du service'),
(17734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nDigishop 3.0.0 identification des services a modifier\\n\\nAnalyse du problème de jean pierre sur ManagePursesCreditAccount qui a révélé un problème sur les script digishop (résolu).'),
(17758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nmodification du script DigishopIPOSTAttachmentsUpload suite au réponse de mathieu.'),
(17761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\ndigishopA 3.0.0'),
(17742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\n'),
(17743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nLancement campagne Falcon USR 2.5.2 Non Reg sur INT0. Analyse des campagnes.'),
(17744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nAnalyse des campagnes Falcon USR 2.5.2 Non Reg sur INT0.'),
(17746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Exécution des campagnes'),
(17748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nExportation des incidents de production'),
(17751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nMCO Court-commercial du 12/04/2017'),
(17752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Installation FDL016216'),
(17753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Installation FDL015996'),
(17940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n[IF FRONT] finalisation de la modif du prérequis oauth digishop pour resoudre les erreurs liées au nouveau comportement du service et désactivation du GetSession en fin de pre-requis de login ITF interco (déjà fait par le nouvel oauth)\\n[FALCON] vérification nouvelle version USR 2.5.2-1'),
(19629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nFDL016258'),
(17780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nFDL016259.'),
(17781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nFDL016270.'),
(17782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nredaction des tests playstation'),
(19749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO IF FAKELOTERY GAREOLOUPAUTO'),
(19750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO IF FAKELOTERY GAREOLOUPAUTO'),
(19751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nCAMPAGNE QUALIFICATION JEU MOTORS \'COULEUR FÉTICHE\' INT1'),
(19752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nCAMPAGNE QUALIFICATION JEU MOTORS \'COULEUR FÉTICHE\' INT1'),
(17776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nRebase branches 18.0.0 Lot1 et Lot2 '),
(19753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nCAMPAGNE QUALIFICATION JEU MOTORS \'COULEUR FÉTICHE\' INT1'),
(17794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] ANO048571'),
(17797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Exécution campagne de test bascule DL-DD'),
(19722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Rédaction d\'un cas de test Bascule DL-DD'),
(18413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Rédaction de 3 cas de tests'),
(17837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nProblème de prod sur Inscription\\n=> Analyse du problème / coordination des ressources\\n=> Install de test de nouvelle version de MIG 2.4.4 / 2.4.5\\n=> Multiples tests pour vérouiller que tout est OK\\n=> ouverture ANO048569'),
(17836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n- Mise à niveau suivant congés\\\\n- Lecture des 500 mails en retard'),
(20815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nCoproj Coco'),
(17809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n- réunion SVN (Romain)\\n- réunion Référentiel de tests'),
(17810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nProblème de services Digishop en 404 suite à modif de variable par les dévs :\r\n- analyse et recherche du problème\r\n- modif de confs\r\n- rédéploiement des Digishops sur les environnements IF INT 02 et 42'),
(17812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nTravail sur référentiel de tests :\\n- passage des anciens tests en non rég\\n- ajout de cas de tests pour le MIG\\n- travail sur Palier SPOC'),
(17813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nMise à jour des composants Coco (alignement sur la prod) sur différents environnements mise à niveau.'),
(17814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMise à jour des composants Coco (alignement sur la prod) sur différents environnements mise à niveau.'),
(17817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nCréation page confluence listant les dates de mise à niveau et la version du dump utilisé pour chaque environnement'),
(17821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nPrise en main des projets SPOC (Freebet / Certification...)\\\\nrecherche, lecture, analyse de docs'),
(17822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nDéploiement dernieres version digishops pour projet IF (42)\\n- Digi A 3.0.0\\n- Digi I 2.6\\n- Digi U 3.0.0\\n\\nConfiguration VIP'),
(18913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nAnalyse remplacement SID\\\\npréparation livraison FAQ\\\\nModification bouchon pri_id en sequence'),
(17825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\ntest et livraison des fdl FAQ\r\nFDL016117   : [FAQ]  [CRM2] Livraison objets Oracle CHARGEMENT FAQ FULL\r\nFDL016242   : [FAQ]  [COHD] Livraison objets Oracle CHARGEMENT FAQ (BI4BO\r\nAtelier Archi refonte chargement client (sans contrainte SID)'),
(17827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n- support HIA pour MEP Maintenance FR, correction des alias fdjstore\r\n- installation livraison 0.0.5_apimaitre configuration des serveurs\r\n- maj des environnements à ISO Maintenace FDJ.FR\r\nINT91	0.0.5_apimaitre	\r\nINT01	4.1.1_edwan	FDL016129\r\nINT01	4.1.2_hasard	FDL016203\r\nINT01	4.1.2_mobi	FDL016160\r\nINT01	4.1.1_mapi	FDL016127\r\nINT02	4.1.1_edwan	FDL016129\r\nINT02	4.1.2_hasard	FDL016203\r\nINT02	4.1.2_mobi	FDL016160\r\nINT02	4.1.1_mapi	FDL016127\r\nINT11	4.1.2_hasard	FDL016203\r\nINT11	4.1.2_mobi	FDL016160\r\nINT11	4.1.1_mapi	FDL016127\r\nINT21	4.1.1_edwan	FDL016129\r\nINT21	4.1.2_hasard	FDL016203\r\nINT21	4.1.2_mobi	FDL016160\r\nINT21	4.1.1_mapi	FDL016127\r\nINT31	4.1.1_edwan	FDL016129\r\nINT31	4.1.2_hasard	FDL016203\r\nINT31	4.1.2_mobi	FDL016160\r\nINT31	4.1.1_mapi	FDL016127\r\nINT81	4.1.1_edwan	FDL016129\r\nINT81	4.1.2_hasard	FDL016203\r\nINT81	4.1.2_mobi	FDL016160\r\nINT81	4.1.1_mapi	FDL016127\r\n- qualification livraison APIMAITRE\r\n- maj tests apimaitre\r\n- remonté pb sur les siteId et siteCode dans les webapp livrés');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(17828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nMaj d\'environnement sur Maintenance FDJ\r\nINT41	4.1.1_edwan	FDL016129\r\nINT41	4.1.2_hasard	FDL016203\r\nINT41	4.1.2_mobi	FDL016160\r\nINT41	4.1.1_mapi	FDL016127\r\nINT42	4.1.1_edwan	FDL016129\r\nINT42	4.1.2_hasard	FDL016203\r\nINT42	4.1.2_mobi	FDL016160\r\nINT42	4.1.1_mapi	FDL016127\r\nINT91	0.0.6_apimaitre	\r\n- qualification livraison APIMAITRE\r\n- maj tests apimaitre'),
(17829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n- installation livraisons APIMAITRE et maj d\'environnement\r\nINT32	0.0.6_apimaitre	\r\nINT12	0.0.6_apimaitre	\r\nINT12	4.2.3_edwan	FDL016234\r\nINT12	4.1.2_hasard	FDL016203\r\nINT12	4.1.2_mobi	FDL016160\r\nINT12	4.1.1_mapi	FDL016127\r\nINT12	0.0.7_apimaitre	\r\n- réunion [Convergence Fronts] Sprint 0\r\n- Mise à disposition première version de ModOp Appli FDJ\r\n- Configuration environnements INT12 Modulaire et INT32 Recette pour le nouveau composant APIMAITRE\r\n- point avec dev pour la gestion des erreurs sur Symphony\r\n- qualification livraison APIMAITRE\r\n- maj tests apimaitre'),
(18259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n- réunion Cadrage sur l\\\'utilisation du SVN d\\\'intégration\\n- support pour mise en place de l\\\'outil de promulgation pour la recette\\n- support Lotsys affichage de jeux illiko sur int61\\n- maj d\\\'environnement de recette pour l\\\'applimaitre INT32\\nINT32	4.2.3_edwan	FDL016234\\nINT32	0.0.7_apimaitre	\\n- création ANO048661 [APPLIMAITRE] Visualisation des données non possible sur le cms edwan\\n- qualification livraison APIMAITRE\\n- maj tests apimaitre'),
(17831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nDocument contribution edwan suite à mise à niveau des environnement\r\nIncident de production MIG_2.4.3 \r\n=> relivraison MIG_2.4.4 et MIG_2.4.5 ( deploiement et tests)'),
(17832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nRevue plan de tests MIG\r\nModification + mise à jour à faire suite à incident de prod\r\nOlympia => qualification MOD + ANO wspdi \r\n'),
(17833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nCoproj stream compte\r\nPoint intermédiaire sur l\'Automatisation non Reg Back : Analyse du référentiel (Inscription)'),
(18143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nAnalyse pb de déploiement sur INT02 (modif conf sur INT61 non reportée sur les autres env)\\nSuite mise à niveau des environnement Edwan (INT22, INT61, INT62)'),
(18144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nPrise en compte documentation (palier SPOC) \\nGestion du référentiel ALM Front pour,les prochain palier'),
(17840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nAction : Stream coco:  implementation non reg digishopU\r\nLivrable :  test associé'),
(17841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nAction : import tests manuels \"back\" vers test auto digishop\r\nLivrable : identification des tests\r\n'),
(17842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nAction : Stream coco:  implémentation test suite à import manuel \"back\"\r\nLivrable : tests associés'),
(17843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nConstat : Erreur appel ISU check de l\'utilisateur Agent.\r\n1) Analyse du log pour trouver la source applicative du code -> JVM\r\n2) Maj du jdk en 1.8 pour être iso production\r\n3) Tentative de reproduction en local -> Impossible\r\n4) Analyse du log d\'appel ISU -> la paramètre portal name manque lors de l\'appel\r\n5) Analyse du log des actions utilisateurs -> Aucune erreur sur les appels ISU, le paramètre manquant à 3h du matin est présent\r\n6) Analyse du log le 12/04 -> Aucune erreur, lié donc à un accès au fichier portal-ext-properties au moment du lancement du batch le matin du 11 avril.'),
(17844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nAnalyse des logs au matin du 12 Avril pour constater le bon fonctionnement des appels ISU -> tout est OK\r\nDeux erreur apparaissent récurrentes dans le fichier de log associé au traitement batch\r\n- ApplicationInstance associée au CustomGroupAuthorization est NULL\r\n- Tentative des récupération d\'utilisateur à partir de l\'id setter par défaut à 0 pour l\'admin 2 d\'une convention -> ne devrait pas générer d\'erreur !\r\n\r\nWARN : Analyser les logs des actions utilisateur pour acter de la nécessité du mode DEBUG !!!'),
(17899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\ndev API (GEN IBAN) : finalisation des modifications concernant le remplacement du fichier d\\\\\\\\\\\\\\\'information sur la structure des IBAN REF_USR_IBAN_REPOSITORY.csv par IBAN_TEMPLATES.json et qualification des modifications\\\\\\\\n[MOTORS] qualification du jeux couleurfetiche2017 et finalisation du paramétrage de son mock\\\\n[IF FRONT] modif du prérequis oauth digishop pour resoudre les erreurs liées au nouveau comportement du service'),
(19724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nRédaction du mode opérationnel pour la mise en place de la  borne illikolive\\nInvestigation et résolution sur un problème de daemon lsyncd exécuté plusieurs fois'),
(17850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nMCO - EGIDE + SIDC'),
(17851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Fin de la non RG VDI, et réalisation du PV de qualif)'),
(19512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nRéunion de 10h à 11h --> Dealy meeting.\\nDepilage Boite mail\\nRéunion 14h-15h --> mise en place SVN à venir.\\nRéunion 15h-17h15 --> avec le PO Sport et CRR pour la future campagne PS PDV (android IOS), SPDV etc'),
(19514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nNormalement, je continue à dépiler mes mails + il faut réaliser l\\\'acceptance sur la versions WSPDV 1.0.13 et l\\\'installer sur un environnement d\\\'intégration pour préparer la future recette.'),
(17868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nSAFERGAME : Création ANO048641, ANO048567, ANO048578, ANO048579,ANO048680+ DMT0008787+ Fiche de relecture du DTE Chaîne de détection'),
(17859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nSAFERGAME : 20 cas de tests créés'),
(17860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n'),
(17982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n[FALCON] vérification nouvelle version USR et OPR 2.5.3-1\\n[FALCON API] restabilisation API Falcon\\n[ITF] Mutualisation du parse des paramètres du service oauth (Falcon USR et digishopA) dans un nouveau module commun FDJ_User_oauth2.h et modification du pré-requis oauth DigishopA pour inhiber les redirections afin que le GetSession ITF reste un appel de service explicite'),
(17870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nRecherche avancée picto'),
(17871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Lecture des documentations pour écriture des cas de test Freebet et ETL-SID-COMPTA\r\n\r\n[ABP OFFRE][SPEED UP] Tests ARJEL et ETL des nouveaux  markets Foot sur INT7'),
(17874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(17875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n'),
(17876, 'J\'ai remarqué que le problème de visualisation du pdf ne concerne que les conventions \"à vérifier\".'),
(17877, 'Impossible de récuperer les log, fichiers très volumineux.\r\nEn attente de la suppression des logs (en attente de la réponse de Christophe)'),
(17878, '20/03/2017:\r\n\r\nLog ouvert sur terminal...'),
(17879, 'Analyse du code applicatif de PHA ;\r\n\r\nCode qui marche dans 100% des cas à l\'heure actuelle : \r\nif (ConventionOtherActions.DOWNLOAD_PDF.toString().equals(selectedAction)) {\r\n\r\n			final String URLPDF = conventionRefresh.getConventionPDFDownloadURL();\r\n\r\n			if (StringUtils.isNotEmpty(URLPDF)) {\r\n\r\n				final org.primefaces.context.RequestContext requestContext = org.primefaces.context.RequestContext.getCurrentInstance();\r\n				requestContext.execute(\"showPDF(\'\" + URLPDF + \"\');\");\r\n\r\n			}\r\n			else {\r\n\r\n				facesMessages.show(null, \"error_convention_PDF\");\r\n			}\r\n			return;\r\n		}\r\n\r\nCode qui par intermittence ne fonctionne pas : \r\n\r\n<p:column styleClass=\"padding0\">\r\n										<p:button\r\n											href=\"#{conventionMB.instance.conventionPDFDownloadURL}?pfdrid_c=true\"\r\n											target=\"_blank\" value=\"#{i18n.convention_view_entity}\"\r\n											rendered=\"#{conventionMB.fileUploaded and conventionMB.existingPDFFileInDL()}\" />\r\n										<p:outputLabel\r\n											rendered=\"#{conventionMB.fileUploaded and not conventionMB.existingPDFFileInDL()}\"\r\n											value=\"#{i18n.convention_pdf_KO}\" />\r\n									</p:column>'),
(17880, 'Proposition :\r\n\r\nImplémenter le code qui marche dans 100% des cas pour confirmer ou non si cela est un problème applicatif ou pas.\r\n\r\nEnjeu : Si les erreurs persistent cela confirmera que ce n\'est pas un bug technique mais bien un bug de configuration.'),
(17881, 'Bonjour Christophe,\r\n\r\nUnr bref récapitulatif de nos recherches sur le problème de visualisation du PDF.\r\n\r\nAprès investigation par les équipes de Gérald sur le montage NSF, aucun problème ou anomalie ne semble avoir été détecté. Les ressources pointent sur le même nœud du serveur écartant ainsi l’hypothèse d’un stockage sur un nœud secondaire.\r\nDe plus nous avons constaté que les ressources PDF faisant l’objet du message d’erreur, sont bien présentes dans la base de données Liferay et doivent donc normalement être accessible sans aucun problèmes pour visualisation depuis la convention.\r\nNous suspectons donc que le problème se trouverait au niveau de l’URL d’accès à la ressource.\r\n\r\nDès que nous aurons de plus amples éléments de réponses, nous te feront des retours réguliers de l’avancée de notre investigation. \r\n\r\nCordialement\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net'),
(17882, 'Bonjour Hervé,\r\n\r\nN’arrivant pas à vous joindre par téléphone, je me permet de vous solliciter par mail concernant un saxo (INC0334336) remontée par vos soins.\r\n\r\nLa demande concernée : \r\n\r\n« Bonjour, \r\n\r\nNous avons téléchargé une convention pour un partenaire. L\'opération a pu se dérouler sans problème.\r\nL\'agent qui a effectué la saisie a bien vérifié que le document était correctement uploadé en le visualisant après \r\nun download.\r\n\r\nCe matin le vérificateur ne peut pas accéder au document.\r\n\r\nCordialement »\r\n\r\nPour mener à bien notre investigation, nous aimerions connaître l’intitulé exact du document PDF de la convention. Et si possible le jour et l’heure approximative à laquelle le plantage a été détecté.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\n\r\n\r\n'),
(17883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nPanne machine - changement de machine - configuration machine'),
(17890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(17891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nnombreux impacts sur le code existant'),
(17892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\nnombreux impacts sur le code existant'),
(17893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nAucun test unitaire existant => création'),
(17894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nlisting hors campagne + TU'),
(17895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nimplémentation droit suspendu'),
(17896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nimplémentation droit suspendu + TU'),
(17897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nMAJ PIC'),
(17898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nMAJ VM et scripts'),
(17904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nMise au point avec Yann Faveaux - Lotsys'),
(17906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nExportation des incidents de production'),
(17907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nMCO Court-commercial du 13/04/2017'),
(17908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés - Finalisation des campagnes identifiées B3.'),
(18407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - FDL16249 - Création 2 cas de test et finalisation des campagnes.'),
(18419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - FDL016216 - Création des campagnes ETL'),
(18408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Création arborescence EGIDE dans ALM  projet MOBILIN + création de 13 exigences et 3 cas de test'),
(17919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nMCO - EGIDE et SIDC'),
(17921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nGestion des incidents'),
(17922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(17923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\ndebut codage controle des chevauchements de periode'),
(17924, 'Appel pour token JWT sur /portal/auth/token pris en compte.\r\n\r\nMode statique bouchonné en environnement de dev pour le moment car la fonctionnalité \"proxy middleware\" de Gulp ne permet pas d\'accéder à la plateforme d\'intégration Partenaires pour récupérer un Token (comportement souhaité au départ).\r\n\r\nnéanmoins la fonctionnalité devrait être OK dans un contexte d\'intégration sur le Portail Partenaires.'),
(17925, 'Intégration des projets liferay Theme et Portlet Angular :\r\n\r\n-	Accès Jazz RTC pour toute l\'équipe ALSH (j’ai déjà le mien) : @PHILIPPE\r\n-	Push par l\'équipe ALSH des projets Liferay theme et angular dans PPS : @ALSH (probablement @HERVE)\r\n-	Intégration des projets ALSH dans les paquets Elsudi (@JEREMY)\r\n\r\n\r\nGuide d\'installation et de configuration ALSH\r\n\r\nRéalisation de la doc d’installation / déploiement des services ALSH :\r\n- Création du service ALSH avec deux roles : partenaires ALSH / Superviseur ALSH\r\n	- Création de la hierarchie de pages ALSH\r\n		--> Service ALSH ---> Accessible par les users\r\n		--> Service ALSH ---> Accessible par les admins\r\n			--> ALSH\r\n			--> Administration\r\n	-Dépose du portlet ALSH\r\n	-Création de la page Administration ALSH\r\n	-Dépose du portlet Administration ALSH \r\n	- Configuration des permissions pages + portlet\r\n	- Application du theme\r\n@JEREMY : va envoyer a ALSH le Guide d’installation réalisé pour PPS\r\n	\r\nQuestions à traiter avec ALSH pour clarification :\r\n\r\n- Est-ce qu\'il y a une convention signée pour chaque ALSH ? @PHILIPPE \r\n- Est-ce que les utilisateurs ALSH ont un compte Partenaires + un compte ISU ? Si non, il faut importer ces utilisateurs dans le portail partenaires @PHILIPPE \r\n- Est-ce que les utilisateurs existent dans Tiersi ? @PHILIPPE \r\n	- Si oui, voir si possibilité d\'utiliser le meme fichier pivot LOH\r\n	- Sinon, format de fichier à définir \r\n@ JEREMY: Propose un format de fichier pivot basé sur LOH\r\n\r\n- Quel est le pivot entre les utilisateurs Partenaires et maya ? -> Adresse e-mail uniquement ? @PHILIPPE : A Valider\r\n\r\n- Les utilisateurs sont uniquement des personnes morales -> @PHILIPPE : A Valider\r\nN.B : SI OK, Utilisation de la BDD personnes morales -> Service Builder  = BDD Liferay\r\n\r\n\r\nCommentaires\r\n\r\n- En intégration on peut/va créer des personnes dans liferay basés sur des exports Maya\r\n-> Pas d\'intégration possible avant d\'avoir un export/import des utilisateurs maya fonctionnel\r\n\r\n- Prévoir des delta différentiels dans les exports utilisateurs (suppression / mise à jour d\'un utilisateur ?) \r\n\r\n- Avant d\'avoir accès à un service du portail partenaires, il faut qu\'il y ait :\r\n- une convention entre la personne morale et la CAF au niveau d\'HABPPS\r\n- un bulletin d\'adhésion ALSH\r\n\r\nUn partenaire ALSH -> lié à un organisme « Chapeau » (ex: Mairie de Paris) -> lié à la convention avec la CAF'),
(17926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(17927, 'Les derniers échanges : \r\nFrom: JOSEPH, TONY \r\nSent: Friday, April 14, 2017 5:47 PM\r\nTo: RAHMANI, ALAA\r\nSubject: FW: Demande d\'accès sur le FTP production\r\n\r\nBonjour Alaa\r\nJ’espère que ton séjour en Italie s’est bien passé et que tu as bien profité.\r\nCi-dessous le mail de Gérald pour les accès en prod.\r\nPeux-tu stp faire le test avec ce compte et me faire un retour ?\r\nMerci\r\n\r\n\r\nRegards / Cordialement.\r\n\r\n \r\nTony JOSEPH\r\nSL BS Sud Est \r\nSophia Antipolis\r\nPhone / Téléphone : +33 (0) 4 92 95 23 61\r\nwww.atos.net / tony.joseph@atos.net\r\n\r\n\r\n\r\nFrom: CHATTON, JEREMY \r\nSent: Friday, April 14, 2017 5:18 PM\r\nTo: JOSEPH, TONY\r\nSubject: FW: Demande d\'accès sur le FTP production\r\n\r\nVoici un historique,\r\n\r\nJérémy\r\n\r\nFrom: gerald.cauvin@cnafmail.fr [mailto:gerald.cauvin@cnafmail.fr] On Behalf Of servapp.dsi-doit@cnaf.fr\r\nSent: Wednesday, March 01, 2017 5:12 PM\r\nTo: CHATTON, JEREMY; christophe.millot@cnafmail.fr\r\nCc: servapp.dsi-doit@cnaf.fr; romain.gaudin@certiam.cnafmail.fr\r\nSubject: RE: Demande d\'accès sur le FTP production\r\n\r\nJeremy,\r\n\r\nessaie de faire un test avec l\'utilisateur \"wasvisu\".\r\nJ\'ai demandé à l\'équipe infra-unix de faire les vérifications.\r\n\r\nFait moi un retour\r\n\r\n\r\nMerci\r\nGérald'),
(18101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(18017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(18019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\nMontée en compétence : Présentation générale'),
(18020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nMontée en compétence :\\n- Présentation livraison Informatica\\n- Présentation SID'),
(18021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-05  (Do not remove this line) -->\nMontée en compétence :\\n- Présentation installation SID Client & SID Commercial'),
(18022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\nMontée en compétence :\\n- Tests d\\\'intégration statiques\\n- Lecture documentation SID'),
(18023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\nMontée en compétence :\\n- Cas d\\\'analyse MCO segmentation temps réel\\n- Présentation codevTT'),
(18024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nMontée en compétence :\\n- Formation sécurité\\n- Cas d\\\'analyse MCO Stock Grattage'),
(20689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nStock grattage (prerequis GSI) Installation des 13 FDLs sur le TR3 FDL014905,FDL014906,FDL014907,FDL014947,FDL014948,FDL015008,\nFDL015009,FDL015010,FDL015322,FDL015341,FDL016182,FDL016195 et FDL016223'),
(18026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nMontée en compétence :\\n- Installations outils sur PC FDJ (non terminées)\\n- Installations FDL Stock Grattage'),
(19726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nMise au point avec Yann Faveaux sur la livraison 2.16.3\\\\nInvestigation sur un probleme de lancement de jeu sur Presto INT7\\nInvestigation sur un probleme lié a la gestion des urls fictives par drupal (ANO048793)\\n'),
(18029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\n'),
(18030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(18032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(18037, 'Bonjour,\r\n\r\nJe ne peux pas tester de mon côté.\r\nRenvoyez-nous le PB en indiquant que vous ne reproduisez pas le problème\r\n\r\nMerci \r\ncordialement \r\n\r\nTiffany LECLERC'),
(18038, 'Pb redirigé vers DSI-DOIT-Support-aplication-statu-prio 2\n\n'),
(18039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nStock Grattage Séparation des TR2 et TR3 dans la partie univers BI4 et création d\'un connecteur pour le TR3 cf DMT0008929'),
(18041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(18042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n'),
(18043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(18047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(18048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nAnalyse des spécifications pour la qualification de ce defect'),
(18051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n'),
(18241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nConstruction offre personnelle dans fichier Betradar pour exécution campagne de non régression PSEL. \\nCette offre me permettra de travailler, éventuellement, en parallèle de Stéphane Vallée, sur les mêmes campagnes.'),
(18243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nReprise des cotations dans le fichier XML Betradar, pour exécution dans tous les environnements (observation hier que les markets n\\\'étaient pas cotés et ouverts sur INT8 alors qu\\\'ils l\\\'étaient sur les autres environnements à cause de TRJ NOK).'),
(18071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nInstallation USR 2.5.3-1 sur INT4\\nAmélioration des scripts postman suite au changement de fonctionnement de l\\\\\\\'authent et du mag.\\\\nPréparation de la recette d\\\\\\\'acceptance'),
(18063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nSPOC : Exécution campagne Freebet sur int8'),
(18062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nSPOC : Exécution campagne Freebet sur int8'),
(18207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n[Falcon USR] : merge API 2.5.3 et modification script POSTValidityBankaccount\\nValidation API et tag\\n[MOTORS] déclaration du jeu dueldecartev2 sur INT0 et configuration des environnements INT0 et INT9 au niveau falconTools, Digishop et Motors (les INT0 et INT9 en web pointent sur www01... et www91...)\\nqualification sur INT0'),
(18067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nSPOC  freebet ecrire cas exigence technique'),
(19515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nAcceptance WSPDV\nTests des prises de jeu sur la nouvelle version de PSBOR'),
(19518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nRecherche sur les systèmes d\'automatisation'),
(18500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nQualif PSPDV 4.5.004 avec Djamel.\\nQualif des ANOs PSPDV avec Djamel\\nCréation des Anos : ANO04880, ANO04881, ANO048890 et ANO048891'),
(18074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nAutomatisation des tests de batchs Falcon.'),
(18075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nAutomatisation des tests de batchs Falcon.'),
(19513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nInstallation de WSPDV\\nSupport sur la borne'),
(19511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nWSPO et PSBOR : installations et acceptances des nouvelles versions'),
(18234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Analyse des appels modifiés pour intégrer les FreeBets\\n- Point Syncho PSMSv2'),
(18235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- '),
(18085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nAnalyse campagne de non regression Falcon RTG 2.3.7 sur INT9. Implémentation test auto Falcon ITG.'),
(18086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nImplémentation test auto Falcon ITG.'),
(18388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Génération fichier pour la factory \\n- Finalisation dev FreeBets. \\n- Campagne PDJ FreeBets ALM '),
(18389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nILLIKO SIDC TR2 reprise de donnée'),
(18704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Analyse nouvelle version PSMS V2 sous INT8 \\n- Évolution code API PSEL auto pour prendre en compte les mise à jours.\\n- Préparation besoin démo du 28/04.'),
(18705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.'),
(18092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nSAFERGAME : Installation FDL016293 SQL sur INT2'),
(18094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n'),
(18096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nSAFERGAME : Installation FDL016324 SPSS, FDL016283, FDL016318 Folio, FDL016292 CFM, FDL016285 Hudson sur INT2'),
(18097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nSAFERGAME : Installation FDL016330 Datastage sur INT2'),
(18098, 'Tache  réouverte  suite à retour de recette'),
(18102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(18103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(18105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nGestion des incidents - notamment,  escalade INC169278 au dev  et assistance HIA pour résolution chaines control-M EGIDE de prod en erreur'),
(18106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nBCO.084.36 [REF] DISTRIBUTION V1.0.5 - Réalisation DMT0008885'),
(18414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 -  ALM  projet MOBILIN + création de 8 cas de test'),
(19754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nCAMPAGNE QUALIF TESTS AUTO COULEUR FETICHE INT1 MOTORS'),
(19755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nCAMPAGNE QUALIF TESTS AUTO COULEUR FETICHE INT1 MOTORS'),
(19756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nCAMPAGNE NON REGRESSION DUEL DE CARTES V2 INT8'),
(19757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nCAMPAGNE NON REGRESSION DUEL DE CARTES V2 INT8'),
(19579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nEcriture cas de tests PSMSv2'),
(18114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nEcriture cas de tests PSMSv2'),
(18115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nEcriture cas de tests PSMSv2'),
(18116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nEcriture cas de tests PSMSv2'),
(18117, 'J\'ai pas pu pousser sur la maint à cause des POMs.\r\nA voir avec Tony'),
(18118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n[IF] Exécution RUN 3 (USR 2.5.3)'),
(18119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n[IF] Exécution RUN 3 (USR 2.5.3)'),
(18120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n[IF] Exécution RUN 3 (USR 2.5.3)'),
(18121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n[IF] Exécution RUN 3 (USR 2.5.3)'),
(18124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nMise à niveau PROD (edwan) des environnements INT71 et INT72\r\nMise à procédure mise à niveau\r\nIdentification des url pointant sur la prod dans le dossier rsyncdir Edwan après mise à jour\r\nSuite mise à jour catalogue MIG dans ALM'),
(18125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nInvestigation pb deconnexion sur INT42 et INT02 lors de la validation des pdj LOTO (digishopA 3.0.0)\r\nMise à niveau PROD de INT61 + INT82'),
(18147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nVITAN PV Qualif\nMapi SDK sur PDV -> PB de certificats …'),
(18148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nVITAN : fin de quali PV'),
(18149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\ntravaille sur PDV à Stéphane \ntravaille sur PSEL à Julien'),
(18150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nPS PDV qualif 4.5'),
(18130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nBug review stream compte\r\nPalier juin impact stream compte '),
(18132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n- Travail sur URL absolues / relatives Edwan\\n- Mise à jour doc Api Digishops sur Ojadgate\\n- Analyse problème oauth Digi A projet IF\\n- Ano PSEL sur historique Nibveau 2 Pari Sportif (problème sous domaine)'),
(24538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nPalier juin impact stream compte\nMatrice d’exigences\n'),
(18134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n1/ Travail sur Appli Maitre pour tests partage de sessions\r\n- Analyse de la stack\r\n- compilation appli en mode debug + pointage int32 appli native Illiko\r\n\r\n2/ analyse URL absolues dans Edwan et sur les frontaux (envoi doc récap à Romain)'),
(18135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nProblème deconnexion Digi A lors d\'une pdj sur env IF\r\n- analyse de la stack\r\n- tests croisés'),
(18136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nRéunions :\r\n- Bug review\r\n- Point Palier Juin\r\n- Analyse du référentiel'),
(18146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n- Finalisation travail sur appli maitre / partage de session\n- Edition du réferentiel de tests\n- Installations des dernieres versions 3.1.0 de digi A et U sur environnement IF'),
(19024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\ntest postman'),
(19025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\ntest postman\nreunion sur la vie des envt'),
(18156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nvie des environnements'),
(18157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\npostman / jenkins automatisation'),
(18158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\npostman / jenkins automatisation'),
(18159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\npostman / jenkins automatisation'),
(18650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nFDL016310'),
(18161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Lecture des documentations pour écriture des cas de test Combinée Boosté, Cashout et ETL-SID-COMPTA\r\n\r\n[ABP OFFRE][SPEED UP] Tests ARJEL et ETL des nouveaux  markets Foot sur INT3\r\n'),
(18651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nTravail sur problème sur la compilation des applis sur android : telephone non reconnu'),
(18652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nFDL016311.'),
(18165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\ncodage log requete reponse newman'),
(18653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nFDL016315.'),
(18997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nTests IF'),
(18654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nFDL016316.'),
(18996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nTests IF'),
(18998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nTests IF'),
(18172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nJenkins alm configuration'),
(19184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nTests IF'),
(18174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nintegration ALM jenkins'),
(18175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nRéunion IF'),
(18176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\ndoc howtodo confluence'),
(18183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nImplementation de tests auto ARJEL. Mise en place reporting et cleaning de tests côté USR.'),
(18179, 'test HPalm de confirmation écrits:\r\n\r\nPHA - Tests de confirmation 0270.0140900 patch MCO - Mantis 17993 - Demande d elargissement des zones de texte emails utilisateur et raison sociale organisme (admin)\r\n\r\nPHA - Tests de confirmation 0270.0140900 patch MCO - Mantis 17993 - Demande d elargissement des zones de texte emails utilisateur et raison sociale organisme (vérificateur)'),
(18180, 'Apparemment  Said a adopté cette solution: Implémenter le code qui marche dans 100% des cas pour confirmer ou non si cela est un problème applicatif ou pas.\r\nJe ne sais pas précisément ce qui a fait dessus.'),
(18181, 'Test HPalm écrit :\r\n\r\nPHA - Tests de confirmation 0270.0140900 patch MCO - Mantis 18407 - Visualisation du pdf d une convention (vérificateur)'),
(18184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nImplementation de tests auto ARJEL. '),
(18185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nImplementation de tests auto, prise en charge de l\'activité de Lionel Camous pour les tests auto digishop. Problématiques avec Digishop I rencontrées (l\'environnement n\'est pas pret). '),
(18186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nExécution compagne de test: RUN 3 - NON REGRESSION COMPTE (DIGISHOPU 2.2.9 + USR 2.5.3)'),
(18187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nExécution de compagne de test: RUN 3 - NON REGRESSION COMPTE (DIGISHOPU 2.2.9 + USR 2.5.3)'),
(18258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nImplementation de tests auto Arjel (intégration via matrices des requirements afin de créer un lien entre les tests manuels et auto pour voir la couverture) et exécution des tests auto pour l\\\'acceptance 2.6.0 digishop I, A et U.'),
(18189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nExécution compagne de test USR 2.5.3'),
(18190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nImplementation de tests auto Arjel (intégration via matrices des requirements afin de créer un lien entre les tests manuels et auto pour voir la couverture) et liaison des requirements créés avec tests auto. Listing de la couverture.  '),
(18191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nPoint avec pierre pour les problème de script\r\nEtude de l\'impact sur les script de digishop A et U 3.1.0'),
(18192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nScript DigishopI Upload'),
(18193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nExécution de campagne de NonReg INT7 14.1.30.1.0-SNAPSHOT 10 ( nouvelle version installée vendredi dernier)'),
(18194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nExécution de campagne de NonReg INT7 14.1.30.1.0-SNAPSHOT 10 ( nouvelle version installée vendredi dernier)'),
(18195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n- MAJ des templates sur INT7 (nouveaux markets sur 5 sport )\r\n- Campagne d\'acceptance et qualification de cette dernière avec les nouveaux markets'),
(18196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n- MAJ des templates sur INT7 (nouveaux markets sur 5 sport )\r\n- Campagne d\'acceptance et qualification de cette dernière avec les nouveaux markets'),
(18198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nScript DigishopI Upload\r\nDigishop 3.1.0 test modifications sur les services'),
(19727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nQualification API PDV Presto + redaction anomalie\\\\\\\\nInstallation 2.16.3 de ptab sur INT3 + test d\\\\\\\\\\\\\\\'acceptance\\\\\\\\nInstallation 4.3.0 d\\\\\\\\\\\\\\\'hasard sur INT02/INT42 + test d\\\\\\\\\\\\\\\'acceptance\\nInstallation MAPI 4.3.0 sur INT02/INT42'),
(18202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nEtude CodeGen swagger'),
(19519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nDaily meeting (1h)\nProblème crash (PC) , pb de batterie, le pc part à la bureautique pour vérification le 21/04\nMaj des catalogues Parionsweb (Android). Suite au refresh des environnements d\'intégration avec des données de production --> redeploiement des catalogues Parionsdirect, Parionsweb et Parionssport Android & IOS sur l\'intégralité des environnements d\'intégration.\nSupport compilation Parionsweb 5.5.013\nSupport recette pour l\'affichage des résultats dans les applications natives Parionssport IOS 4.5'),
(18226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nAnalyse et correction de la campagne de NR Falcon USR 2.5.3\r\nPréparation de la campagne Acceptance et NR Falcon USR 2.5.4'),
(19517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nDaily meeting 1h + réunion sur future gestion équipe (1;h30)\nVérification des appels catalog et checkversion sur les applications sports (IOS) --> ne fonctionne pas correctement sous PS PDV, Parionsdirect tjrs pas correctement implémenté.\nSupport de la recette par rapport à des problèmes de visualisation d\'offre sport, tests sur les suspensions d\'outcome --> création d\'incident de production.'),
(19516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\ndaily meeting (1h).\nMaj du poste de travail par rapport aux nombreuses évolutions des dernieres semaines.\nsupport recette.\nsupport équipe.'),
(18208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-07  (Do not remove this line) -->\n'),
(18209, 'Etant incapable de tester l\'ajout du responsable habilitation à un groupe sur la prod (faute de droits de création et de modification de données...), Je suis en attente de remontées saxo par rapport à ce \"problème\".\r\n\r\nN\'ayant pas reçu d\'autre remonté courant les 2 dernières semaines, on pourrait considérer que la nouvelle version mise en prod a résolu le souci.'),
(18210, 'Test HPalm écrit dans test plan, repertoire ci-dessous:\r\n\r\nPHA-Test de confirmation 0270.0140900 patch MCO'),
(18211, 'En attente du retour de Tony (et éventuellement C.Millot) pour mieux comprendre le besoin du client et se mettre d\'accord sur la solution proposée.'),
(19250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\nMCO Control-M - INT 2 3 4 MULTIMEDIA'),
(19251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nMCO control-M INT 2/3/4'),
(19252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nMCO control-M INT 2/3/4\nCartographie flux fichier I/0 Falcon'),
(19253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nMCO control-M INT 2/3/4\nCartographie flux fichier I/0 Falcon'),
(19254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nMCO control-M INT 2/3/4\nCartographie flux fichier I/0 Falcon'),
(18217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(18219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(18220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nFin des controles de chevauchement'),
(19656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n- Travail sur projet Freebet et notamment les codes transaction Fcrédit\r\n- Adaptation conf Digishops\r\n- Alimentation catalogue de tests Réferentiel Digital Front pour Pallier SPOC'),
(18222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nMCO - EGIDE'),
(18223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nanalyse des spécifications afin de préparer les plans de test'),
(18224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2  - Investigation sur pb doc WS pour création jeux de données et tests'),
(18229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n'),
(18230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nEcriture de tests Falcon-Transaction: Analyse de logs + Reconciliation-  Environnement d\'intégration INT9 indisponible'),
(19165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nEcriture de tests Falcon-Transaction: Analyse de logs + Reconciliation-  Environnement d\'intégration INT9 indisponible'),
(18232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nEcriture de tests Falcon-Transaction: Analyse de logs + Reconciliation-  Environnement d\'intégration INT9 indisponible'),
(18237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nSAFERGAME : Création ANO048857, ANO048861+ Qualification ANO048722, ANO048716, ANO048579, ANO048680, ANO048578, ANO048562, ANO048557, ANO048550+ DMT008986'),
(18238, 'TODO : \r\n\r\nModifier le gabarit de site pour donner acces à la page consulter dossier aux admins caf\r\nModifier le role administrateur caf pour avoir les mêmes acces que le profil T1 PCA\r\nModifier le code pour recuperer le code organisme de la caf de l\'administrateur pour qu\'il puisse tester l\'application ? Sujet à débattre \r\n\r\nJérémy'),
(18240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nSuite construction d\\\\\\\'une offre personnelle par fichier Betradar utilisable dans tous les environnements pour les tests de non régression PSEL . Montée en compétence sur particularités Betradar/Feed Manager.'),
(18245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n Montée en compétences sur PSEL - Mise en œuvre et  nouveautés par rapport à Olympia  (paris multiples et combinés,  rebouclage avec Stéphane Vallée sur des points particuliers  des cas de test et sur le fichier support d\\\\\\\'exécution des tests manuels).'),
(18244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n'),
(18303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\\\\n\\\\n[PSMSV2] Lecture des documentations pour écriture des cas de test Combinée Boosté, Cashout et ETL-SID-COMPTA\\\\n\\\\n[ABP OFFRE][SPEED UP] Tests ARJEL et ETL des nouveaux  markets Beach Volley Live sur INT3\\n\\n[PSMSV2] MàJ du fichier d\\\'userCases Freebet incluant les cas de PDJ Combiné et Multiple > https://dzone.prod.fdj.fr:1443/confluence/pages/viewpage.action?pageId=45637968&preview=/45637968/47515615/FreeBets%20-%20BetslipsUseCases%20v2.0.xlsx'),
(18248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-21  (Do not remove this line) -->\nLecture documentation projet Gamification.'),
(18257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nImplementation de tests auto Arjel (intégration via matrices des requirements afin de créer un lien entre les tests manuels et auto pour voir la couverture) et exécution des tests auto pour l\'acceptance 2.6.0 digishop I, A et U.'),
(18260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n- maj d\'environnements palier Maintenance FD\r\nINT22	4.1.1_edwan	FDL016129\r\nINT22	4.1.2_hasard	FDL016203\r\nINT22	4.1.2_mobi	FDL016160\r\nINT22	4.1.1_mapi	FDL016127\r\nINT62	4.1.1_edwan	FDL016129\r\nINT62	4.1.2_hasard	FDL016203\r\nINT62	4.1.2_mobi	FDL016160\r\nINT62	4.1.1_mapi	FDL016127\r\nINT12	4.1.2_mapi	FDL016298\r\nINT32	4.1.0_mrcd	FDL016291\r\nINT32	4.1.2_mapi	FDL016298\r\n- qualification livraison MAPI API MAITRE\r\n- création ANO048683 [APPLIMAITRE] Structure du smallCarousel ko'),
(18261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n- création ANO048763 [APPLIMAITRE] Service mapi/subscription/setsubscription - paramètre manquant\r\n- réunion [Stream Digishop] Boutique Résultat\r\n- réunion [API APM] : workshop Symfony/Appli Maître\r\n- installation et maj d\'environnements Palier Applimaitre\r\nINT32	2.0.0_tapi	FDL016297\r\nINT32	4.2.0_mapi	FDL016308\r\nINT12	4.2.0_mapi	FDL016308\r\n- qualification livraison MAPI API MAITRE'),
(18262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n- réunion [CONVERGENCE] : Workshop boutiques PHP\r\n- réunion [STREAM FDJ.FR] : BUG REVIEW\r\n- réunion gestion des logs\r\n- maj catalogues application FDJ\r\n- qualification livraison MAPI API MAITRE\r\n- maj cas de test postman\r\n- création ANO048781 [APPLIMAITRE] Service apimaitre en 400 avec résultats mymillion\r\n- maj swagger 4.2.0_mapi\r\n- installation livraison Applimaitre\r\nINT32	4.2.1_mapi	FDL016331'),
(18263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n- réunion [CONVERGENCE] : Process de livraison, install \r\n- création ANO048849 [APPLIMAITRE] Mauvais retour apimaitre en l\'absence d\'image dans la contribution\r\n- qualification livraison MAPI API MAITRE\r\n- maj cas de test postman'),
(18266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-28  (Do not remove this line) -->\nVie des environnements'),
(19728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nInvestigation sur une erreur 500 pour la creation d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'une contenu page libre sur drupal (2.16.3) + problème identifié et remonté à lotsys\\\\\\\\nCreation ANO048712\\\\nCreation ANO048871\\nMise a jour crontab sur tous les environnements 1 a 8'),
(18270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n[ITF] prise de connaissance du CDC et du xml superjackpot et préparation de l\\\\\\\'orchestration qui devra être rattachée au jeu maître elixirius\\\\n[Falcon Transaction] atelier de travail sur une évolution du protogen Falcon pour l\\\\\\\'adapter aux services /falcon/transactions qu\\\\\\\'il faudra détecter et fusionner depuis plusieurs applications (EGE, RTL, PFI...)');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(18271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nFormulaire aide technique et fonctionelle'),
(18272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nTraitement des incidents - Notamment Recherche origine pb INC169278'),
(18273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nMCO - EGIDE (relance chaine zeuiki)'),
(18274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2  - Qualification (6 cas de test)'),
(18275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO Sign&Go FDL016338 (Rejeté)'),
(18276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Assistance à SOPRA pour test PORTO RESOCOM'),
(18278, 'Sur la PA :\r\n\r\nModifier le gabarit de site pour donner acces à la page consulter dossier aux admins caf\r\nModifier le role administrateur caf pour avoir les mêmes acces que le profil T1 PCA\r\n\r\nEt effectivement l\'admin caf ne peut pas accèder à CDAP => y a du dev à faire'),
(18279, 'Test HPalm écrit:\r\n\r\nPHA - Tests de confirmation 0270.0140900 patch MCO - Mantis 18322 - Fournir l accès T1 à l admin caf'),
(18281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nVDF'),
(18282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(18283, 'MAJ de la doc : \r\n\r\nPortail Partenaires-PHA-Guide de configuration fonctionnel-V1.0\r\n(partie permission de l\'admin caf)'),
(18284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(18285, 'Impossible d\'ajouter les permissions CDAP: Aide en ligne à l\'admin caf sur la PA\r\nA voir lundi\n\n'),
(18286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nPréparation du plan de test'),
(18287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n'),
(18288, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nvalidation et correction pour gestion d\'erreur montant Loyer'),
(18354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nMise en oeuvre et adaptation tests NREG PSEL  INT9 version 14.1.31-SNAPSHOT 2941.'),
(18355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nSuite passage et adaptation tests NREG PSEL  INT9 version 14.1.31-SNAPSHOT 2941.'),
(18356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nCampagne NREG PSEL  nouvelle version ABP '),
(18497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nTests NREG PSEL  version ABP 14.1.31-SNAPSHOT 2941'),
(18387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Analyse FreeBets\\n- Atelier Perf FreeBets\\n- Dev PSEL FreeBet'),
(18295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nExport des incidents de production'),
(18296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nMCO Court-commercial du 23/04/2017'),
(18297, 'Bonjour, \r\n\r\nNous avons essayé, en vain, de vous joindre par téléphone afin de vous demander des informations par rapport au saxo n°  INC0332154.\r\nPouvez-vous m\'appeler au 04 89 39 00 57 ? \r\n\r\nCordialement\r\n\r\nAlaa Rahmani'),
(18298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nBST.013.36 Migration Teradata 15.10 Demande de travaux pour ajout cle ssh sur tous  les serveurs teradata DMT0009082'),
(18315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n[BST.013.36 Migration Teradata 15.10] Analyse des pre-requis pour mise a jour des environnements teradata v15 et mise a jour des environnements'),
(18300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nMise à jour guide d\'exploitation'),
(18302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\\n\\n[PSMSV2] Lecture des documentations pour écriture des cas de test Combinée Boosté, Cashout et ETL-SID-COMPTA\\n\\n[PSMSV2] Création d\\\'un fichier d\\\'exemple générique  de PDJ avec plusieurs user cases Freebet, Combiné Boosté et Cashout'),
(18320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nAjout du jeu walkthecube2017 sur les env ITF d\\\'automatisation et test\\nProtogen FalconTransaction\\n[Point hebdo dev]\\n[AUTO BACK] formation sur les Script BOX, atelier avec Frederic '),
(18467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nSuivie de la vie des environnments\\nSupport Hakim\\nAnalyse Anomalie'),
(19070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nAnalyse  de la vérification dans RETAILQUEUE\\nSupport Hakim'),
(18311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n-'),
(18310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nRéunion de suivie avec Raphaël'),
(18312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n'),
(18313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nCloture MCO T1 et suivi commande'),
(18314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nImplémentation de tests auto ARJEL, difficultés rencontrées avec l\'environnement ALM (beaucoup de ralentissements). '),
(19026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nredaction test postman'),
(18317, '+ tests'),
(19027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nredaction test postman\\nPoint sur les tests regul/recertif\\nsupport Metier Bingo\\nSupport reconciliation bingo int4'),
(19729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nRemise en fonction du portail sur INT5\\nRecherche et listage des settings avec valeur par defaut dans les livrables pour ptab\\nCreation ANO048922\\nRajout de settings'),
(18325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nGestion des incidents'),
(18324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nMCO - EGIDE'),
(18326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - FDL016364-Patch 2.0.4 Installation sur INT1 et vérification des ANOS'),
(18327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Sollicitation SOPRA pour Qualification Résocom => EGIDE'),
(18328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nExécution campagne de test Non Reg_BOX\r\nAno remonté:  -ANO048938'),
(18329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Réunion avancement QS'),
(18331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Qualification'),
(18332, 'Le problème concerne le hook et la gestion d\'erreur sur la navigation portail, on ne parle pas ici de problème intra-portlet.\r\n\r\nSolution :\r\n- Mettre à jour le gabarit de site avec une page \'error\' --> voir avec kevin le nom de la page + contenu + pattern url\r\n- Mettre à jour le projet pps-hook pour pointer sur la page d\'erreur\r\n- Analyser le portlet error développé par David dans le projet pps-welcome, il doit probablement afficher le message d\'erreur et propose une redirection (à analyser)\r\n- Mettre à jour le doc\r\n\r\nJérémy'),
(18333, 'Saxo clos :\r\n\r\nBonjour,\r\nComme suite à notre entretiens téléphonique, la visualisation du PDF fonctionne de nouveau. Malgrés tout il reste des problèmes occasionnels relatifs à ce sujet.\r\nCorrectif livré en 0270.01408050 PHA\r\nCdt,\r\nS.Zerrouki'),
(18334, 'Saxo clos suite intervention INFRA CNAF (espace disque insuffisant)'),
(18336, 'Les 3 saxo sont clos ou a clôturer administrativement (ce qui veut dire que la cloture technique a été faite)\r\n'),
(18337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nAnalyse et correction des tests auto au statut Tobereview ou Blockdata '),
(18454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nExécution de la campagne d\'Acceptance Falcon USR 2.5.4 :\r\nAnalyse et correction des cas de tests et rédaction du rapport \r\nExécution de la campagne de NR Falcon USR 2.5.4 '),
(18486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(18344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nImplémentation Test auto Falcon ITG'),
(18986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n[AUTO]: Support Hakim/Elise + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(21936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nAnalyse FAQ (suite)\nEchange avec Yann Faveaux et Sophie MACE sur le rejet de la 2.17.1 et le contenu de la RN de la 2.17.2\nInvestigation sur un job drupal (fdj_if_jackpot) et son fonctionnement\nEcriture de test sur postman'),
(20879, 'attendre un retour,\r\nSi pas de retour, je relance'),
(20875, 'Intervention faite en bdd.\r\nSupport fonctionnel par échange saxo'),
(20876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[MigrationTeradata] Vérification des univers + reporting des actions effectuées'),
(18349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n'),
(18351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nscripts et extraction cast'),
(22518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nSuite test NREG PSEL   version ABP 14.1.31-SNAPSHOT 2941'),
(18516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n[AUTO BACK] atelier pour determiner les scripts TRUE client a créer[FALCON V2.5] Analyse diff sur nouvel USR-2.5.4 / ITG-2.2.7 (palier Falcon-IF) : aucun impact\\n[scripts TRUCLIENT] formation'),
(18360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n'),
(18361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n'),
(18362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nGSI SIDCOM TR3 Installation des FDLS FDL015894 FDL015896 FDL015897 et FDL015899\r\n'),
(18363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nGSI SIDCOM TR3 Création de l\'anomalie ANO048960'),
(18364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nPréparation et exécution des tests d\'acceptance IF sur l\'environnement INT01 IF - INT42 FDJ'),
(18374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nInstallation Falcon USR 2.5.4-1 BOX 2.6.3-1 et ITG 2.2.7-1 sur INT0'),
(18375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Install FDL015996 (Infocentre) sur le T2'),
(18465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nControl-M chaine Modern / Histo : analyse des logs des traitements'),
(18468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nControl-M : analyse des logs'),
(18369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nExport des incidents de production'),
(18370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nMCO Court-commercial du 24/04/2017'),
(18373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Installation FDL016249 (CALYPSO CDP) sur le T2'),
(18372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - installation FDL016216 (ETL) sur le T2.'),
(18377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n[SOP COMMERCIAL] :  Réunion hebdo CDS/CIQ'),
(18415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nBCO.102.30 [DD] Gestion des secteurs isolés - Finalisation des tests sur T3'),
(18381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n'),
(18386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nLancement des campagnes d\\\\\\\'acceptance et de non reg sur Falcon ITG 2.2.7 sur INT01. Analyse des campagnes.'),
(19256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nMCO Multimédia INT 2 3 4'),
(19257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nMCO Multimédia INT 2 3 4'),
(18392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nAssistance sur plusieurs incidents et notamment test en qualif et explication de la procédure de reprise à HIA  pour INC169278'),
(18393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nPROGRAMME - DD - Réalisation du PV de qualif pour la partie EGIDE de PROGRAMME-DD'),
(18394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nMCO EGIDE'),
(18461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Travail sur les environnement avec SOPRA pour les tests MOBILIN ESB=> EGIDE et ESB => CSAM MEIBO'),
(19730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nInstallation 2.16.4 PTAB sur INT3 + Test d\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'acceptance\\\\\\\\\\\\\\\\nRedaction du mode operationnel\\\\\\\\nInvestigation sur un warning sur l execution de la commande drush updb lié au date() ddéfinit pour le nommage du curl.log + solution\\\\nListing des messages d\\\\\\\'erreur fourni dans le log drupal et création ANO048965\\nActivation du module Database Logging sur les environnements pour le logs des erreur drupal.'),
(18397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nRelance bailleur : réunion avec Marie Chauveau, mail récap + mail thierry hanoun'),
(18398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nBC + slide lotissements'),
(18400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nExécution campagne de test Non Reg_BOX\r\nAnomalie remontée:   ANO048984'),
(18999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\ntests IF jackpot'),
(19000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nTests IF jackpot'),
(19001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nTests IF jackpot'),
(18406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nRéunions IF'),
(18416, 'Mail envoyé à Luc Eicher:\r\n\r\nBonjour,\r\n\r\nNous revenons vers vous au sujet du saxo n° INC0338622.\r\nPouvez-vous nous donner le libellé de la convention à laquelle sont liés les utilisateurs partenaires en question ? \r\n\r\nMerci d\'avance,\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(18417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nToujours en analyse, en attente de FAL pour les instructions à suivre, communication par mail mais insuffisante'),
(18418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nComme précédemment'),
(18420, 'Bonjour,\r\n\r\nNous revenons vers vous au sujet du saxo n° INC0338628.\r\nPouvez-vous nous donner le nom-prenom de l\'utilisateur partenaire concerné, la convention et le groupe auxquels il est lié ? \r\n\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(18421, 'Erreur de routage de Saxo\r\nPris en compte par Kevin pour router à la bonne équipe.'),
(18422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nAnalyse du code pour les tests demandés en réunion'),
(18423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nRedaction document  spec'),
(18424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nCodage des modifs sur la partie TP\r\nRAF : compilation et tests'),
(18445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nRAM004 Installation de la FDL016379 ETL_CLIENT sur le TR3 '),
(18427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nModification Analyse client\r\n[COHERIS] Avancement des sujets\r\nDéveloppement BOUCHON'),
(18428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nCorrectif ANO048971 : [FAQ Connectées] Initialisation incorrecte du Type d\'offre pour les joueurs Retail\r\nLivraison FDL016406_Coheris_Oracle_FAQ_CRM_F_5.5.0.1\r\nPoint nettoyage BO et autre'),
(18430, 'Bonjour,\r\n\r\nJe vous contacte au sujet du saxo n° INC0337975.\r\nVous nous avez demandé de vous renvoyer l\'identifiant d\'un utilisateur.\r\nL\'identifiant est envoyé par mail uniquement suite à la création de l\'utilisateur.\r\nIl n\'existe pas de fonction permet tant de recevoir l\'identifiant par mail, par la suite.\r\nCette fonctionnalité a été identifiée et sera mise en place dans une prochaine version de l\'application.\r\n\r\nPar contre, l\'administrateur caf et l\'administrateur patenaire ont la possibilité de voir l\'identifiant d\'un utilisateur.\r\nPour cela Il suffit d\'aller sur la liste des convention, choisissez la convention à laquelle l\'utilisateur est lié et cliquez sur \"Autre Action\" puis \"Utilisateurs\".\r\nSur la première colonne du tableau vous verrez l\'identifiant de chaque utilisateur.\r\n\r\nQuand vous aurez récupéré l\'identifiant, vous pourrez procéder à une récupération du mot de passe en passe par la fonctionnalité \"mot de passe oublié\".  \r\n\r\nN\'hésitez pas à revenir vers moi pour plus de détails ou si vous souhaitez que je vous communique l\'identifiant par téléphone.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(18432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\\\\n\\\\n[PSMSV2] Lecture des documentations pour écriture des cas de test Combinée Boosté, Cashout et ETL-SID-COMPTA\\\\n\\\\n\\n\\n[PSMSV2] Tests Freebet Front sur INT9 de la version SITE:           fdj2-origin_release_14-9\\nABP:            14.1.31-SNAPSHOT 2941\\n\\n[ABP OFFRE][SPEED UP] Tests des nouveau markets Basket sur INT3'),
(19266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\\n\\n[PSMSV2] Lecture des documentations pour écriture des cas de test Combinée Boosté, Cashout et ETL-SID-COMPTA\\n\\n[PSMSV2] Tests Freebet Front sur INT9 de la version SITE:           fdj2-origin_release_14-9\\\\nABP:            14.1.31-SNAPSHOT 2941\\n\\n[ABP OFFRE][SPEED UP] Tests des nouveau markets Basket sur INT3\\n\\n[ABP OFFRE][SPEED UP] Test d\\\'anomalie de partage de gain sur les nouveau markets Basket'),
(18444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nMigration teradata DMT0009177 pour création des relationals odbc teradata'),
(18435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nRéunion hebdomadaire + Vérification des prérequis pour la migration Teradata + Reprise de données TR2 SID Client.'),
(18436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nInvestigation sur les doublons JSITE. Installation des connecteurs WinSCP sur PC d\\\'Abdel'),
(18437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nInstallation des connecteurs WinSCP sur PC récupéré. Comparaison des environnements teradata (Migration vers v15.10).'),
(18439, 'RAF : \r\n- Processus de rattrapage si le role est deja existant de le systeme (Script Post-Install --> Devos a déjà fait ce genre de chose)\r\n- Processus de suppression du role de gestionnaire et de son usergroup dans le cas où le service n\'a jamais été ouvert.\n\n'),
(18440, 'RAF : \r\n- La gestion de la vue pour l\'admin Caf (menu de gauche, les droits liés à l\'admin Caf)\r\n- Update des rôles \r\n- Documentation'),
(18441, 'RAF : \r\n- Option \'Tous\''),
(18442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n'),
(19870, 'Bonjour,\r\n\r\nLe problème doit être résolu.\r\n\r\nPouvez-vous retester et nous faire un retour ? \r\n\r\nCoridalement,\r\n\r\nAlaa Rahmani'),
(18446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nSIDC TR2 reprise OK'),
(18447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nMigration teradata Mise en mode confirmation des chaines IxSIC-SIDC_XRS et IxSIDCO-SID_COMMERCIAL'),
(19731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nModification du modop 2.16.4\\\\nInstallation 2.17.0 sur INT8 + test d\\\\\\\'acceptance\\\\nCréation d\\\\\\\'un script pour recherche et extraction de valeur par defaut sur PTAB\\nVerification de mes fiches anomalie snow (brouillon/suspendu)'),
(19002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nTests IF Jackpot'),
(19003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nTests IF Jackpot'),
(18453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\r\n\r\n[PSMSV2] Tests Freebet Front sur INT9 de la version SITE:           fdj2-origin_release_14-9\\nABP:            14.1.31-SNAPSHOT 2941\r\n\r\n\r\n\r\n'),
(18458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nGestion des incidents'),
(18460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nMSO EGIDE (inverstigation sur pb job ZEUKI erreur sur I3'),
(18462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Travail sur les environnement avec SOPRA pour les tests MOBILIN ESB=> EGIDE '),
(18463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - Sollicitation SOPRA pour Qualification PFJEUX => CSAM MEIBO => EGIDE'),
(18464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nRAM04 - Gestion environnements d\'intégration EGIDE '),
(18716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nInstallation des composants USR&BOX&ITG sur int4\\nControl-M : analyse de logs'),
(18469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nReunion point d\'equipe appli fdj'),
(18470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nMCO SIDC TR2 OK // SIDC TR3 en attente de correction BINGO (reprise a faire) // SIDCOM TR2 KO reprise init a faire // SIDCOM TR3 KO Init a faire '),
(18471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nTest partage de session appli maitre fdj illiko  +test scan keno + test setsubscription pour abonnement au notification'),
(18472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nTest partage de session appli maitre fdj illiko  +test scan keno + test setsubscription pour abonnement au notification'),
(18480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nOptimisation des campagnes'),
(18474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nValidation du partage de session OK suite a livraison de nouvelles appli fdj IOS Android et nouvelles appli Illiko IOS Android\r\nRédaction du modop catalogue + mise en place checkversion dans le cadre du cab du 27/05\r\nRedaction des catalogues pour la prod'),
(18475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nTest sur appli FDJ + apimaitre (get-home)\r\nTest nouvelle webapp euml avec nouveau siteId sur appli maitre FDJ'),
(18476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nTest sur appli FDJ + apimaitre (get-home)\r\nTest nouvelle webapp euml avec nouveau siteId sur appli maitre FDJ\r\n+ début test fail over'),
(18477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nNewman reporters'),
(18478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nPreparation Redhat Server'),
(18479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\ncollection ApiMaitre webApps'),
(18481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nCollections Digishop U et A 3.1'),
(18482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nJenkins postman'),
(18487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(18490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(18489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[AUTO]: Support Hakim + [PSMSv2]: Support Nathalie + MAJ tests ALM'),
(19520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nQualif + Mod’Op PSPDV 4.5.004 – Préparation passage au CAB de ce jeudi\nListe des appels vers le catalogue et checkversion sur PSPDV, PSEL\nLog Borne -> Problème déconnexion toutes les 30 minutes'),
(18492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nCréation d\'une ANO048953 : sqlite ; PSPDV 4.5 en cours ; Travail sur borne pour présentation du 28'),
(19524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nAcceptance PSPDV Android et IOS\nAnalyse des bugs PSPDV remontés sur le store par les utilisateurs\ninvestigation sur le problème de prod avec les QR code : ANO049056, ANO04957 et ANO049059'),
(19215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nTest version PSPDV 4.5.006 IOS : échec de la modification ; Qualifications des MOD et ANO installées sur PSPDV ; installation de EDWAN 4.2.6 et de SPDV 3.0.11 sur INT1 pour faire des tests'),
(18499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nEtude swagger codegen génération de fichier en fonction des ressources Template en cours.\r\ngénération protogen avec emmanuel'),
(18501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n[IF] Non-regression USR 2.5.3'),
(18502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n[IF] Test Liquidity Manager'),
(18506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nAprès tests et discussions avec les développeurs création de la MOD011500 pour faire modifier l\\\\\\\'ordonnancement de l\\\\\\\'appel /mapi/utils/date sur IOS\\nRecherche sur l\\\'automatisation'),
(18504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n[IF] Test Liquidity Manager'),
(18505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nMAJ PIC, MAJ VM DEV pour build, MAJ Script build'),
(18507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[IF] Test Liquidity Manager'),
(18508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[IF] Rédaction de cas de test Liquidity Manager\r\n[IF] Test Liquidity Manager'),
(18509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nMAJ DEV + PIC + Jenkins'),
(18510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nmodification des script pour digishop A\r\n'),
(24512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\ncomité automatisation'),
(18513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nScript digishopA'),
(18514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nPréparation des composant + stream de transition + maj scripts .... PIC ...'),
(18515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nscript digishop U'),
(18517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nFormation scripts TrueClient\r\n[ITF] Atelier automatisation\r\n[DIGITAL] Comité automatisation\r\nDev script trueClient Deblocage_Joueur'),
(18524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[Script TrueClient] etude besoins ARGEL\\nDev scripts TrueClients (besoins vie des environnemnts)'),
(19028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nPoint sur les tests recertif/regul (Brice, Audrey)\nReunion organisation IQ des collection POSTMAN (Cyril, Brice)\nredaction tests POSTMAN'),
(19029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nredaction tests POSTMAN'),
(18914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[AUTO BACK] prise en main Script BOX'),
(19030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nredaction tests POSTMAN'),
(18961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nAnalyse et correction des tests auto au statut Tobereview ou Blockdata'),
(18544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nAnalyse et correction des tests auto au statut Tobereview ou Blockdata'),
(19758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nCampagne Pré qualif jeu COULEUR FETICHE INT1'),
(19759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nCampagne Pré qualif jeu COULEUR FETICHE INT1'),
(19760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nCampagne non regression usr 2.5.3-1 Motors 1.5.3-1 DUEL DE CARTES V2'),
(19761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nCampagne non regression usr 2.5.3-1 Motors 1.5.3-1 DUEL DE CARTES V2'),
(19762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nCampagne non regression usr 2.5.3-1 Motors 1.5.3-1 DUEL DE CARTES V2'),
(18534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nPSMSV2 - écriture cas de test cashout'),
(18535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nPSMSV2 - écriture cas de test cashout'),
(18536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nReformating cas de tests PSMS'),
(18537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nReformating cas de tests PSMS'),
(18538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nReformating cas de tests PSMS'),
(22934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\ntests anos'),
(22932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nAutomatisation Batch'),
(22933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nAutomatisation Batch'),
(19245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nRédaction de cas de tests projet SPOC (conformité)'),
(19246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nRédaction de cas de tests projet SPOC (conformité)'),
(19247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nRédaction de cas de tests projet SPOC (conformité) et exécution des tests de non régression certification nominal.'),
(19248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nRédaction de cas de tests projet SPOC (conformité) et exécution des tests de non régression certification nominal.'),
(19255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nSPOC_Freebet : \n0,5 : Execution cas de test\n0,5 : Suivi avancement /suivi des anos'),
(19258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nSPOC_Freebet \n0,5 MAJ/ecriture des cas de tests\n0,5 execution des cas de tests'),
(19259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nSPOC_Freebet \n0,75 MAJ/ecriture des cas de tests\n0,25 execution des cas de tests'),
(18642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nSPOC_Freebet : MAJ/écriture des cas de tests'),
(18641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nSPOC_Freebet \n0,25 Point catalogue Eligibilité à l\'automatisation\n0,25 Execution des cas de tests'),
(18643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nAnalyse de referentiel : reunion'),
(18644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nSPOC _Freebet : \\n0,5 : exécution cas de test\\n0,25 : Suivi d\\\'avancement qualification'),
(18561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nLancement des campagnes (NON REGRESSION) de Falcon USR 2.5.4 sur INT0. Plus Analyse'),
(18563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nAnalyse des campagnes (NON REGRESSION) de Falcon USR 2.5.4 sur INT0.'),
(18565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nLancement des campagnes (NON REGRESSION) Falcon USR 2.6.0-1 sur INT9. Plus analyse'),
(18568, 'Bonjour :  il ne s\'agit pas d\'un agent lié à une convention mais d\'un agent CAF qui va faire de la vérification CDAP et qui ne retrouve pas son mail lui indiquant son code MCP \r\nMerci de me le communiquer ou bien directement sur sa BALP : il s\'agit de Régine BURLOT :  regine.burlot@cafardeche.cnafmail.fr \r\n\r\nCordialement,\r\nGisèle Pauze-Eveillard'),
(18569, 'Identifiant envoyé sur la BALF de  Régine'),
(18570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nAction  : réunion hebdomadaire auto\r\nLivrable : présentation ARJEL'),
(18571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n- support IF recette replication sur int02 hs\r\n- support IF sur correction appel vers www2.perf\r\n- création ANO048886 [MAPI] Nombre de gagnants MyMillions erroné dans le mapi/result/euromillions\r\n- support dev investigation pb de scan tickets Keno pour l\'application FDJ\r\n- installation et maj d\'environnements pour Palier Appli FDJ\r\nINT02	4.2.3_edwan	FDL016234\r\nINT02	4.3.0_edwan	FDL016348\r\nINT32	2.6.12_wof	\r\nINT12	1.0.1_apimaitre	FDL016357\r\nINT32	1.0.1_apimaitre	FDL016357\r\n- qualification livraisons MAPI API MAITRE'),
(18572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n- Maj d\'environnement configuration CF12\r\n- Maj d\'environnement configuration  CF91\r\n- investigation pb d\'affichage des résultats Joker+ sur TR2\r\n- création ANO048990 [APPLIMAITRE] Pas de prise en charge de la désinscription dans le mapi/subscription/setsubscription\r\n- création ANO048991 [APPLIMAITRE] Pas de prise en charge lors de la désinscription d\'un canal sur l\'appli FDJ\r\n- support dév, régression mrcd/voucher/check, pb remonté sur la maj de l\'abstract.php\r\n- Installation nouvelles livraisons et qualif\r\nINT12	1.0.2_apimaitre	FDL016397\r\nINT32	1.0.2_apimaitre	FDL016397\r\nINT32	2.0.1-b_tapi	\r\nINT32	4.2.2-b_mapi	\r\nINT32	4.1.1-b_mrcd	\r\n- qualification livraisons MAPI API MAITRE'),
(18573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n- Maj modop MEP Application FDJ\r\n- support ANO049008 [APPLI FDJ] Remontée des infos date de tirage\r\n- création ANO049065 [MAPI] Erreurs tapi liées au mapi/subscription/setsubcription\r\n- création ANO049067 [TAPI] Gestion des msg d\'erreurs sur TAPI\r\n- installation et maj d\'envrionnements sur dernieres livraisons pour la MEP\r\nINT12	4.2.2-b_mapi	\r\nINT12	4.1.1-b_mrcd	\r\nINT12	2.0.1-b_tapi	\r\nINT12	4.2.2_mapi	FDL016413\r\nINT12	4.1.1_mrcd	FDL016414\r\nINT12	2.0.1_tapi	FDL016415\r\nINT32	4.2.2_mapi	FDL016413\r\nINT32	4.1.1_mrcd	FDL016414\r\nINT32	2.0.1_tapi	FDL016415\r\n- qualification livraisons MAPI API MAITRE'),
(18574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nAction: suite au projet de migration des tests manuels \"back\" implémentation des tests d\'inscription identifié sur digishop i \r\nLivrable : tests associés'),
(18575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nAction: suite au projet de migration des tests manuels \"back\" implémentation des tests d\'inscription identifié sur digishop i \r\nLivrable : tests associés'),
(18599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nAction: suite au projet de migration des tests manuels \\\"back\\\" implémentation des tests d\\\'inscription identifié sur digishop i \\nLivrable : tests associés'),
(18579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nAction: suite au projet de migration des tests manuels \"back\" implémentation des tests d\'inscription identifié sur digishop i \r\nLivrable : tests associés'),
(19241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nAction: suite au projet de migration des tests manuels \"back\" implémentation des tests d\'inscription identifié sur digishop i \nLivrable : tests associés'),
(19732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nQualification de la 2.17.0\\\\nVérification des fichiers livrés installés + nettoyage des fichiers non utlisés qui ne sont plus livrés\\\\n\\nInvestigation sur des erreurs liées à la faq écrites dans le log drupal'),
(18582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nPoint hebdo Dev VuGen.\r\nAuto batchs script Upload.'),
(18583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nAuto Batchs - Point Avancement + Implémentation script de vérif et valorisation.'),
(18584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n[ITF] Atelier Automatisation des tests.\r\n[DIGITAL] Comité automatisation.\r\nImplémentation script vérif (réalisation des mécanismes d\'analyse des lignes impactées par les critères définis).'),
(18586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nQualification de scénarios Sport Classique et Freebet pour validation des blocs Falcon TRansaction sur passerelle PFI INT9.'),
(18587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nImplémentation du script de vérif et extraction (mise au point).'),
(18596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n- Réalisation du script d\\\'Industrialisation des installations Illiko'),
(18595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n- Correction de l\\\'outil de promulgation LOTO sur INT12\\n- Mise a jour de INT1 de maniere a être ISO INT3'),
(18593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n- Installation de [GRAVITY] Livraison Framework 2.3.3 (FDL016398) sur INT1\\n- Installation de [COULEUR FETICHE 2017] livraison Applet v1.0.1 (FDL016404) sur INT1\\n- '),
(19743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n- Réalisation du script d\'Industrialisation des installations Illiko'),
(18597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n- Correction du script d\\\\\\\'activation du jeu ITG RAIN DIAMOND sur tous les environnements d\\\\\\\'intégration suite au retour de Cyril\\\\n- Installation de [COULEUR FETICHE 2017] livraison Applet v1.0.0 (FDL016361) sur INT1\\n- Passage de la campagne d\\\'acceptance'),
(18598, 'Bonjour Thierry,\r\n\r\nJe reviens vous au sujet du Saxo n° INC0339413.\r\nL\'organisme que vous avez créé a été clôturé et n\'a pas été supprimé.\r\nJe vous propose de le réouvrir et je modifierai, par la suite, le type de l\'organisme.\r\nPour pouvoir visualiser les organismes clôturés, allez sur la page de consultation des organisme, mettez le filtre sur le Statut à \"Tous\" (il est à Non clôturé uniquement par défaut).\r\nPuis modifiez la date de clôture de l\'organisme concerné et enregistrer les modifications.\r\n\r\nMerci de me communiquer le type d\'organisme que vous souhaiter mettre et je ferai le nécessaire.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(19262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nTests unitaires'),
(20874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(18607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nMCO Multimédia INT 2/3/4\nCartographie batch controlM (word)'),
(18608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nMCO Multimédia INT 2/3/4\nCartographie batch controlM (word)'),
(20484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nMCO Multimédia INT 2/3/4\nCartographie batch controlM (word)'),
(18618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nEcriture + Tests Falcon Transactions / ABP - INT 9'),
(18610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nEcriture + Tests Falcon Transactions / ABP - INT 9'),
(18619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nEcriture + Tests Falcon Transactions / ABP - INT 9'),
(18620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nEcriture + Tests Falcon Transactions / ABP - INT 9'),
(18613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\na completer'),
(18614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\na completer'),
(18754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nEcriture + Tests Falcon Transactions / ABP - INT 9'),
(18616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nrestitution de leur etude'),
(18617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nanaluse parametres des scripts JCL'),
(18622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n- Mettre à jour les templates ( nouveaux markets)sur INT7,INT9 dans la toolbar ABP, et dans nos campagne de test auto.\r\n- Exécution de campagne d\'acceptance sur INT9 '),
(18623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n- Mettre à jour les templates ( nouveaux markets)sur INT7,INT9 dans la toolbar ABP, et dans nos campagne de test auto.\r\n- Exécution de campagne d\'acceptance sur INT9 '),
(18624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n- Mettre à jour les templates ( nouveaux markets)sur INT7,INT9 dans la toolbar ABP, et dans nos campagne de test auto.\r\n- Exécution de campagne d\'acceptance sur INT9 '),
(18625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n- Mettre à jour les templates ( nouveaux markets)sur INT7,INT9 dans la toolbar ABP, et dans nos campagne de test auto.\r\n- Analyse des failed de la campagne d\'acceptance sur INT9 '),
(18626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n- Mettre à jour les templates ( nouveaux markets)sur INT7,INT9 dans la toolbar ABP, et dans nos campagne de test auto.\r\n- Analyse des failed de la campagne d\'acceptance sur INT9 '),
(18627, 'Attention c\'est du COBOL'),
(18628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nAutomatisation de tests pour les campagnes ARJEL, travail sur la reorganisation et listing des cas de tests joueur et batch.  '),
(18715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nPresentation ARJEL, creation de tests automatisés et de coquilles (tests vides).'),
(18630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nReunion pour creation de tests auto liés aux fonctionnalités BOX, listing des besoins, mise en place de besoin tests BOX et joueur. '),
(18631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nCréation de tests auto, analyses et mise à jour des coquilles vides (tests en TODO) avec les spécifications techniques ou fonctionnelles attendues. Lancement des campagnes ARJEL sur INT 02 et INT 9 et reporting. '),
(24756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\nModif requete client'),
(18633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\ndeveloppement bouchon'),
(18737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\ndeveloppement bouchon\\nCorrection ANO049110   : [FAQ Connectées] Problèmes de fusions Client Retail avec fiches prospect et PDV\\nLivraison FDL016406 : [FAQ]  [CRM2] Livraison objets Oracle CHARGEMENT FAQ FULL'),
(18635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nVie des environnements'),
(18636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nVie des environnements'),
(18637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nnewman / postman'),
(18638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nnewman / posman'),
(18639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nrapprochement tests manuels / tests auto falcon'),
(18640, 'Ci dessous le mail de Gérald.\r\nAvec le déploiement du patch 01.08.05 le 07/04/17 le soucis à du disparaitre si cela ne venait pas d\'un soucis d\'infra local à la caisse car Said n\'a pas réussit à reproduire. (mail de Said à la fin de la note.)\r\n_________________________________________________________________________________________________________________\r\nFrom: gerald.cauvin@cnafmail.fr [mailto:gerald.cauvin@cnafmail.fr] On Behalf Of servapp.dsi-doit@cnaf.fr\r\nSent: Thursday, March 30, 2017 2:20 PM\r\nTo: ZERROUKI, SAID\r\nCc: mon-compte-partenaire.projet@projet.cnafmail.fr; servapp.dsi-doit@cnaf.fr\r\nSubject: RE: FW: Tr : RE: URGENT : Nouvelle situation de blocage sur CDAP\r\n\r\nBonjour SAID,\r\n\r\ncomme évoqué ensemble, je pense que tous les problèmes sont liés à l\'applicatif PPS (et plus précisément au PPS-HOOK).\r\nUn correctif a été apporté à l\'environnement et nous devons attendre l\'arrêt/relance de celui-ci pour sa prise en compte.\r\nNous analyserons demain, si le problème persiste.\r\nPour information, le time-out de déconnexion est positionné à 30 min en cas ne non utilisation d\'une session.\r\n_________________________________________________________________________________________________________________\r\nLe 29 mars 2017 à 16:55, ZERROUKI, SAID <said.zerrouki@atos.net> a écrit :\r\nBonjour,\r\n \r\nPour détails :\r\nLa remontée semble de ce matin -> Elle n’a été remontée qu’en milieu d’après-midi (15h53 par mail) à notre équipe\r\nQuelques pistes :\r\nY a t il eu d\'autres remontées de problèmes ? -> Aucunes remontées d’autres problèmes dans la journée concernant les autres CAFs. Nous avons d’ailleurs été en contact toute la journée avec des personnes utilisant le portail partenaires sur la production et manipulant en direct des données. Aucune réflexion sur ce problème a été mentionnée.\r\nY a t il eu des opérations de production ? -> A notre connaissance aucune opérations de production a été effectuée, d’où le routage et la demande d’investigation auprès des équipes de Gérald Cauvin.\r\nQue disent les logs ? -> Aucun plantage dans les logs concernant PPS.\r\nVos essais ? \r\n-	Tests de connexions sur la plateforme de production et de déconnexion : OK\r\n-	Analyse de l’affichage et de la mise en page du portail partenaires : OK\r\n-	Problèmes de lenteur ou de plantage constatés sur le portail : Aucun\r\nQuel est le timeout actuel de la production ? -> A notre échelle nous n’avons pas cette information. J’ai essayé de joindre Gérald à plusieurs reprises sans succès… Nous somme dans l’attente d’une réponse à mon mail envoyé.\r\nNous avons bien pris en urgence ce problème et sommes toujours dans l’inspection avec Alaa actuellement.\r\nJe te ferais des retours réguliers du suivi de cette anomalie après analyse avec Gérald Cauvin et son équipe.\r\n'),
(18871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nImplémentation test AUTO Batch CheckCertification'),
(18872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nImplémentation test AUTO Batch CheckCertification'),
(18649, 'En attente du retour de l\'équipe sur une éventuelle solution');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(18655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\n- Travail sur le partage de session de l\'appli maitre : Tests, coordination des ressources\r\n- Déploiement MIG 2.4.5 sur Pré Q SPOC + tests acceptance'),
(18657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\n- Analyse Anomalie Yellowstone ANO047427 => Mod RTG a demander\\n- Finalisation tests Appli Maitre / Partage de connexion\\n- Qualification problème consultation opérations financières appli détaillant Olympia, et création ANO048977'),
(18659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n- Demande ajout contrib lien vers simulateur de gain EUML sur la PROD (manque) => Stéphane Hiardot\\n- Anomalie sur création des joueurs auto / analyse / création fiche ANO049037'),
(18661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n- Travail sur Référentiel Digital Font pour palliers IF et SPOC \\n- Tests acceptance MAG 2.4.13 (bridge Appli Maitre)\\n- Installation et tests acceptance MUG 2.9.6 - Projet IF\\n- Analyse contributions Edwan pour tracking sur l\\\'appli maitre (Pierre Gilles)\\n- Support IQ Back Sport (R Dumontet) sur analyse service Digishop'),
(18662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n- Travail sur Référentiel Digital Font pour palliers IF et SPOC '),
(19047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n- Réunions Pallier SPOC - organisation des tests'),
(18665, 'A voir si on passe le ticket à résolu'),
(18666, 'Routé vers Gwendoline'),
(18667, 'Routé vers Gwendoline'),
(18668, 'Michel Mourret \r\n\r\nabsent jusqu\'au 02/05/2017 (ou 09/05/2017 2 mails auto, 2 réponses différentes)'),
(18669, 'J\'ai eu Régine au téléphone.\r\nOn a fait ensemble la récupération du mdp.\r\n\r\nEn attente d\'un retour / confirmation de résolution.'),
(18670, 'Saxo CAFPRO : INC0327632 : Rubrique Famille - Enfants et autres personnes à charge RSA non affichés (Profils T1-2-3-4-5-6-8-9-11-12-13-14-16) \r\nReport dans CDAP uniquement sur les profils existants et ajouté dans la V2'),
(18671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nExportation des incidents de production'),
(18673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nMCO Court-commercial du 25/04/2017'),
(18674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nBCO.102.30 [DD] Gestion des secteurs isolés - Ajout d\'un cas de test sur les interfaces SAGA-SIFI + maj campagne + exec campagne'),
(18676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nAnalyse de l\\\'incident de prod INC170910'),
(18677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nÉtude documentation Programme DD. Déblocage chaine WKF_L_SIC_MAJ_SYNC_SYS'),
(18678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nBCO.055.SONIC - FDL011385 - Installation des WKF : WKF_STAGING_CALY_CA, WKF_STAGING_CALY_CACF, WKF_STAGING_CALY_LOTV sur TR3'),
(18679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nÉtude et montée en compétence MCO (Court Commercial)'),
(18680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nExport des incidents de production'),
(18681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nMCO Court-commercial du 26/04/2017'),
(18682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nAnalyse de l\'incident de prod INC170910'),
(18683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nAnalyse du WKF WF_REPORTING_CDP_CHQ en erreur sur le TR2'),
(18684, 'Solution proposée : \r\n•	MAJ du premier organisme partenaire en changeant le SIRET (1seule ligne à update dans la BDD)\r\n•	Suppression du second organisme partenaire (1 seule ligne à supprimer dans la BDD)'),
(19201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nFDL016362'),
(19200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nFDL016385.\nFDL016386.\nFDL016387.\nFDL016388.'),
(19202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nFDL016416\nFDL016417.\nFDL016418.'),
(19630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nFDL016428\nFDL016429'),
(19204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nPreparation mep appli maitre'),
(19521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nDaily meeting + monté en compétence sur PSEL Android.'),
(19522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nDaily meeting (1h)\\\\n\\\\nAjout UTF8 sur conf apache frontaux psel sur les environnements d\\\\\\\'intégration ;         - Comparaison version SPDV 3.0.9, 3.0.10 et 3.0.11 --> Installation SPDV 3.0.10 sur INT1 & INT3 --> acceptation livraison --> MOD qualifié par Jérôme CUEFF --> la version SPDV 3.0.10 peut partir en production. ATTENTION la version SPDV 3.0.11 ne peut pas partir en production sans la version Edwan correspondante 4.2.2         - Réactivation du sdk xiti sur les catalogues Parionssport d\\\\\\\'intégration. ATTENTION pour le moment, ne pas réactiver en production.         - Création de l\\\\\\\'anomalie ANO048995 \\\\\\\"[PSEL ANDROID] Déconnexion entraine chargement du site complet /m\\\\\\\"'),
(19525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nAvant test PSEL Android (recherche test sur les sessions) + daily meeting + support Edwan/ SPDV , PS PDV.'),
(19527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nDaily meeting\nSuite analyse des appels PSEL Android\nSupport PS PDV'),
(19526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nDaily meeting (1h).\\\\nAnalyse des appels PSEL Android\\\\nInstallation WSPO 2.0.1 sur INT11\\\\nInvestigation trace d\\\\\\\'appel parionssport.fdj.fr sous PSEL Android.\\\\nSupport PB PSEL VITAN (PROD)\\\\nSupport Démo Borne (Joel Montels et Olivier Kaluza)\\\\nEntretien Lauralba\\nPromulgation d\\\'offre pour que Stephane puisse retester les versions PS PDV fixant le problème de QR Code.'),
(18703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nAnalyse et correction des cas de tests de la campagne de NR Falcon USR 2.5.4\\nRéunion : Tests automatiques à mettre en place pour le palier de juin\\nExécution de la campagne d\\\'Acceptance 2.6.0-1'),
(18702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nAnalyse de la campagne d\\\'Acceptance 2.6.0-1 et rédaction du rapport\\nExécution de la campagne de NR 2.6.0-1'),
(18888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n- Atelier CDS SPORT\\\\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Atelier Réorganisation ALM \\\\\\\"Programme SPORT\\\\\\\".\\n- Livraison évolution API. \\n- Mise à jour Robot '),
(18709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\r\n- Actions correctives pour les tâches KO VieDesEnvironnement.'),
(18917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\n- Réunion de suivi programme sport.'),
(18714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nGestion des incidents : INC170910 et INC169081 investigation - INC171245 fourniture d\\\'une proc à HIA résolution'),
(18712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nMCO - EGIDE'),
(18713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nRAM004 - EGIDE - Gestion des environnements - Libération espace disques sur serveur selligent environnement RM'),
(18717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nMCO Courtage Commercial'),
(18719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nComme lundi et mardi'),
(18720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nDébut d\'analyse du 1041 en l\'attente de Fabrice, lecture de la version 17 de la SFD d\'émission.'),
(18721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nCorrectif defect 4769 refusé'),
(18722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nDernier correctif et tests, livraison faite et passage au D 01041'),
(18723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nDébut d\'étude avec Fabrice pour le D 01041'),
(18729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Exécution de 4 campagnes de test ALM'),
(18726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nMCO Courtage Commercial'),
(18727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\n[BFR.045.35-DEFI-CGV] Réception et installation de la FDL015996 sur le TR3.'),
(18728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nAssistance HIA sur incident INC170910'),
(18732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[BCO.088.36 MOBILIN] Campagne de test avec secteur en 999'),
(18734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[BCO.102.30 Gestion des secteurs isolés] Campagnes de tests'),
(18736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[BFR.045.35-DEFI-CGV] Campagnes de tests'),
(18740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n'),
(18751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[GSI] Réinstallation de la FLD015899 sur le TR3 // [RAM004] TR3 FDL016145 FDL016144'),
(18742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nSIDC TR3 Reprise + modification de table de staging // SIDC TR2 '),
(18743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[GSI] Assistance au DEV pour comparaison des versions univerrs prod et univers FDL015899'),
(18744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[EGIDE reporting] Support sur investigation de la partie reporting CAHM'),
(18746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[Programme DD] Investigation R_GEMS_CHARGEMENT_REFERENTIEL // Migration Teradata Réunion de cadrage des actions a mener // [STR] SIDC TR3 Réunion sur les reprises entre DIGITAL et SIDC'),
(18747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n[STR] SIDC TR3 Investigation frontaux digishop ANO ANO048771'),
(18748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n'),
(19821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nInvestigation sur un probleme lié au fonctionnement de la FAQ sur INT6\\\\n\\nInvestigation sur la gestion du front indispo avec le portail tablette / mobile'),
(18752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[RAM004] FDL016348 sur SIDC TR3'),
(18753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n'),
(18755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nMCO quotidien + listing incidents'),
(18756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nMigration TeraData 15.10 : Installation des environnements TeraData 15.10'),
(18757, 'update de mon env .PCA'),
(18828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nSIDC TR3 Reprise depuis le 28/04 // SIDC TR2 reprise OK // SIDCOM TR2 en attente restauration base // SIDCOM TR3 en attente initialisation'),
(18760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nAnalyse pour préparation des tests'),
(18761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nDébut des tests, mise en place traces'),
(18762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\narret maladie'),
(19035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nAnalyse des campagnes (NON REGRESSION) Falcon USR 2.6.0-1 sur INT9.'),
(18766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nMCO quotidien + listing incidents'),
(18767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nExport incidents de production'),
(18768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nMCO Court-commercial du 27/04/2017'),
(19853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nBCO.055.06 [EPV] SONIC Analyse WKF en erreur WKF_STAGING_CALY_CACF sur TR2'),
(18770, 'J\'ai été appelé par Carole par rapport au problème de siren :\r\n\r\nIl s\'agit d\'une évolution en attente d\'arbitrage MOA'),
(18771, 'J\'ai envoyé un mail ou j\'ai demandé à Kévin de clôturer le problème.\r\nJe clôture le mantis.'),
(18772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n'),
(18773, 'J\'ai relancé Luc Eicher par mail pour avoir plus d\'information.'),
(18774, 'Relancé par mail'),
(18775, 'Gwendoline n\'a pas avancé là-dessus, je vais le traiter'),
(18776, 'Bonjour Luc,\r\n\r\nJe reviens vers vous au sujet du Saxo n° INC0338677.\r\nL\'identifiant ACC6710008D n\'est lié à aucun utilisateur sur le portail partenaire.\r\nPouvez-vous me donner le nom et le prénom du partenaire afin de vérifier son existence ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(18777, 'Gwendoline n\'a pas avancé là dessus faute d\'information.\r\nJe vais le traiter moi-même.\n\n'),
(18778, 'Bonjour,\r\n\r\nJe reviens vers vous au sujet du saxo n° INC0338623.\r\nPouvez-vous nous donner les identifiants  / les nom-prenom des partenaires qui arrivent pas à se connecter à CDAP ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(18779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n'),
(18782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - Donner les droits sur le schéma CDP au user BOCDP sur la base INT3CALY'),
(18783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nExport incidents de production'),
(18785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nMCO Court-commercial du 01/05/2017'),
(18786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(21944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRé-exécution de la campagne FALCON USR 2.6.0-1 avec le user login suite à problème d\'environnement et analyse de la campagne (problème avec le Banfake)'),
(19031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nMise en place de Creation de joueur Mixte et regul via postman/newman'),
(19032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRedaction de tests regul via Postman\\nReunion IQ SPOC\\nFormation Qualif Bingo RWD Jerome/Jeremie'),
(18883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n'),
(18794, 'Bonjour,\r\n\r\nil s\'agit de la CARSAT, ci-dessous l\'extrait du message\r\n\r\n \r\n\r\nCordialement'),
(18795, 'Bonjour Luc,\r\n\r\nJe vous remercie de votre retour.\r\nAprès avoir analysé les partenaires concernés et les groupes auxquels ils sont liés, nous avons remarqué l\'absence d\'habilitation sur les 3 groupes.\r\nAucun des 3 groupes de la convention Carsat n\'est habilité à CDAP.\r\n\r\nimprime-ecran\r\n\r\nPour que les partenaires puissent avoir accès à CDAP, il suffit d\'aller sur le groupe puis habilitation du groupe,sélectionner le rôle (dans la partie gauche du tableau), cliquer sur assigner rôle et enregistrer les modifications.\r\n\r\nimprime-ecran\r\n\r\nJe reste à votre disposition pour toute information complémentaire.\r\n\r\nCordialement,'),
(18796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n'),
(18797, 'J\'ai essayé de joindre le partenaire par téléphone mais en vain.\r\nDisponible avant midi. A relancer demain'),
(18798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n[Migration Teradata] Installation FDL016334 sur le TR2'),
(18799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nImplémentation de tests automatiques sur ARJEL. Modification des tests pour effectuer la mise en place d\'une nouvelle variable permettant un filtrage plus efficace. Correction d\'une partie des problèmes liés à la modification des requêtes de sélection ALL_INFO_PERSO. '),
(18800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nReunion hebdo + point futurs projets // Mise a niveau TR2 Relationals pour migration'),
(18801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nImplementation de tests auto et correction de tous les tests associés à la requete globale Select_all_info_perso.sql qui filtre sur l\'UAC_ID plutot que sur le login (suite modifs effectuées pour implémentation des batch).'),
(18802, 'Le partenaire n\'a pas pu faire la procedure de réinitialisation de mdp.\r\nJ\'ai demandé la permission et je l\'ai fait à sa place.\r\nDe mon coté tout s\'est bien passé, j\'attends une confirmation client.'),
(18803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nMise à jour des tests ARJEL et correction des erreurs de lancement liées à modification de la requete principale Select_all_info_perso.sql '),
(19734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nInvestigation sur les appels ws de la nouvelle faq drupal\\nInvestigation sur une erreur 404 lors de la modification de l\\\'alias d\\\'url de la webapp loto + creation anomalie'),
(19572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nMCO controlM INT 2 3 4 \nExport compta pour IF INT 0\nCartographie Batch (word)'),
(18808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\ndéveloppement et préparation FDL016242_Coheris_Oracle_FAQ_COHD_F_5.5.0.0 pour chargement table1 dans BO\r\n[COHERIS] Avancement des sujets'),
(18820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nAnalyse et modification code pour eviter DEADLOCK sur les vacations ANO048256\\\\nAnalyse pour évolution COHERIS (Suppression du SID)'),
(18813, 'Bonjour, \r\n\r\nJe reviens vers vous par rapport au saxo n° INC0339255.\r\ntout d\'abord, je tiens à vous remercier pour la pertinence de vos questions et la clarté de vos captures d\'écran. \r\nVous trouverez ci-après les réponses à vos questions :\r\n\r\nQuestion 1 : pourquoi pouvons-nous l’ajouter à un groupe alors qu’elle est déjà présente dans chacun des 2 groupes créés ? \r\nMme Bour n\'appartient pas aux groupes T1 et T5 puisque ces deux groupes apparaissent dans la liste des groupes existants auxquels on peut l\'ajouter  (écran 3) et aucun groupe  n\'apparaît quand on essaye de \"modifier l\'appartenance de l\'utilisateur à un groupe\" (écran 4). \r\nPar contre, dans la page de consultation des utilisateurs d\'une convention, il semble qu\'il y a une anomalie au niveau du filtre sur le groupe. \r\nPour que nous puissions analyser le problème, pouvez-vous nous préciser si Mme Boure a été ajoutée à l\'un ou au deux groupes puis supprimée ? \r\nQuestion 2 : nous voulons la supprimer du groupe T1, comment faire ? En effet, si on veut modifier l’appartenance de l’utilisateur, le système ne nous propose rien. Nous souhaitions mettre une date de clôture pour le groupe T1. \r\nActuellement, Mme Bour n\'appartient à aucun groupe et c\'est pour cette raison qu\'aucun groupe n\'apparait sur la liste. \r\nSi elle était membre d\'un groupe, vous n\'auriez qu\'à mettre la date de clôture à la date du jour. \r\nCordialement, \r\n\r\nAlaa Rahmani \r\n04 89 39 00 57'),
(18824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nCorrectif ANO047917 : [COHERIS] Prospects Olympia non filtrés\\\\nLivraison FDL015932'),
(18822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-15  (Do not remove this line) -->\nCorrectif ANO047917 : [COHERIS] Prospects Olympia non filtrés\\nLivraison FDL015932'),
(18825, 'En attendant un retour, une investigation reste à faire par rapport à \"dans la page de consultation des utilisateurs d\'une convention, il semble qu\'il y a une anomalie au niveau du filtre sur le groupe.\"'),
(18826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n'),
(18827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nSIDC TR3 & TR2 OK // SIDCOM TR2 en attente restauration // TR3 init prévue'),
(18829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nValidation de la matrice d\'exigences Recertif / Regularisation\r\nPrésentation projet poupées russes\r\n'),
(19034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nLancement et analyse de la campagne Falcon ITG  acceptance et non reg sur INT8. Lancement et analyse de la campagne Falcon RTG acceptance sur INT8'),
(18831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nDepoiement boutiques INT81 et INT91 \r\n- Digishop Compte 3.1.1 FDL016448\r\n- Digishop Inscription 3.1.3 FDL016447\r\n\r\nPb affichage du site Hasard sur INT91\r\nPb affichage formulaire d\'inscription sur INT91et INT31 => pb de contribution\r\n'),
(18832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nMCO - EGIDE'),
(18833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nGestion des Incidents '),
(18834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nRAM004 - EGIDE REPORTING, investigation sur des pb de tableau dans reporting EGIDE suite à incidents de PROD - création de l\' ANO049161'),
(18835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n'),
(18836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n'),
(18994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRéunion IF'),
(20432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\ntest IF'),
(19005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nTests IF'),
(19185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\ntests IF'),
(19022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nTests IF'),
(18852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\n'),
(18853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(18854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\n'),
(19238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n'),
(18856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\n'),
(18857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n'),
(18862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n'),
(18863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n'),
(18864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\n'),
(18865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(18866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(18867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-14  (Do not remove this line) -->\n'),
(18868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n'),
(18870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nImplémentation test AUTO Batch CheckCertification'),
(21945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nFinalisation des tests de la campagne USR v2.6.0-1 et rédaction du rapport\nCorrection des cas de tests \"GAMES\" pour prendre en compte le Loto 2016 (LO4) et non plus le Loto 2012 (LO3) et modification EU2 en EU3'),
(18874, 'Bonjour,\r\n\r\nJ\'ai eu la responsable des habilitations du Conseil Départemental du Rhône. Elle m\'affirme avoir créé Mme Bour dans les deux grupes, T1 et T5, puis, s\'étant aperçue de son erreur avoir voulu supprimer Mme Bour du groupe T1, mais qu\'elle n\'a jamais pû faire cette action.\r\n\r\nCe jour, on voit toujours Mme Bour en T1 et T5 (si on passe par les filtres), mais si on veut l\'ajouter à un groupe, on ne nous propose plus que le T1 ==> elle appartient au seul groupe T5.\r\n\r\nDu coup, je ne sais plus que vous dire, sinon que effectivement il y a une anomalie au niveau du filtre sur le groupe.\r\n\r\nCordialement,\r\n Viviane CHAPPUY \r\nResponsable Division Organisation et Système d\'\'Informations \r\nviviane.chappuy@cafrhone.cnafmail.fr     \r\nTél. : 04 72 68 36 61'),
(18876, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nProblème trafic: changement d\'environnement'),
(19089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n[GSI] Installation de la FDL016453 sur TR3'),
(18878, 'Romain : 0.5 Mercredi'),
(18879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nAnalyse des logs des exécutions des batchs, mise à niveau debug pour analyse'),
(19180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nAnalyse des logs des exécutions des batchs\\\\ninstallation des composants Middleware sur INT3'),
(18985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nInstallation de composants falcon USR&BOX&ITG sur INT3\\nScript pour tester les connexions ssh et les versions applicatives sur les machines IF.'),
(18882, 'évolution en attente d\'arbitrage MOA, est-ce qu\'on passe le ticket à résolu ?'),
(18884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n'),
(19083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n[Migration Teradata] Assistance à la modification des chemins des univers et dossiers SAP BI4 et à la restauration des BDD en V14'),
(19085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n[GSI] Investigations sur les flux ETL Calypso staging_caly_ca+ staging_caly_cacf  + staging_caly_lotv  avec Michel + qualification de la FDL016435'),
(18890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\\\\n- Actions correctives pour les tâches KO VieDesEnvironnement.\\\\n- Création des campagnes de purge plus rapprochées \\\\n- Mise en place des tâches associées sur le robot.\\n- Mise en place des campagnes template programme sport\\n- Validation procédure chargement des Ecredit via la box \\n- QA COMMITTEE SPORT\\n- Réunion [PSEL] Android'),
(18891, '- Suppression du rôle si la CAF perd son habilitation au service'),
(19735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nContact  Frederic Thenard pour probleme lié à l\\\\\\\'extension curl sur le backoffice et sur la variable date.timezone dans le php.ini\\\\nCreation d\\\\\\\'anos sur des erreurs de comportement du module FAQ (affichage, envoi digishop, ...)\\nMise au point avec Yann Faveaux sur les anomalies d\\\'urls prédéfinit en dur dans les fichiers livrés ainsi que les variables possédant une valeur par defaut'),
(19033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nLancement et analyse de la campagne Falcon RTG non reg sur INT8'),
(18899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nImplémentation de test automatique sur Falcon USR Palier de Juin.'),
(18900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nSAFERGAME :Présentation livraisons du jour+ Bug review+ point de syncrho'),
(18901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nSAFERGAME : Création DMT0009466+exécution 1 campagne de tests (8 cas de tests)'),
(18902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 -  Qualif EGIDE'),
(18903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nMCO EGIDE'),
(18904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nGestion des Incidents -  Notamment INC171050 et INC171542'),
(18905, 'Reestimation réelle de la tâche'),
(18906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRéunion Corinne LEPORT (Paris MontSouris) 1 jour'),
(18907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nRéunions Projets Internes pour ALSH, PBA sur la conception en cours.\r\n+ pilotage'),
(21946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nAnalyse pour création de cas de tests pour Falcon Transaction'),
(18910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-12  (Do not remove this line) -->\nAnalyse remplacement SID\r\npréparation livraison FAQ\r\nModification bouchon pri_id en sequence'),
(18915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nPrésentation des évolutions projet régularisation '),
(18919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n[AUTO BACK] Script BOX prise en main\r\n[FALCON] Modification de scripts RTG Get...BetBetId pour éviter une memory violation'),
(18920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nSupport automatisation nouveaux services freebet digishopU - getCredit, getCreditTransactionDetails\r\n\r\nPSEL Android - Pb de MUG - services api/compte\r\n\r\nPreparation Atelier compte SPOC'),
(19132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n[AUTO BACK] Script BOX - publication des scripts SPOC Inscription_Controle_IBAN_NONVALABLE et Inscription_Controle_PI_REGUL\\n[IF] Fake Lotetry - Ajout sauvegarde du cookie de session'),
(18925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nPréparation atelier compte SPOC :\\nLister l’ensemble des services/ fonctionnalités impactées sur les composants COMPTE et DIGI'),
(18926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nPréparation atelier compte SPOC :\\nLister l’ensemble des services/ fonctionnalités impactées sur les composants COMPTE et DIGI'),
(18927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[SPOC] - Atelier COMPTE'),
(18946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nExécution cas de test campagne 14.1.31-SNAPSHOT 2945 - NREG'),
(18940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRédaction/modification de cas de tests sur le projet Conformité.\\nExécution de la campagne de test sur les nouveaux Batchs.'),
(18941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nRédaction/modification de cas de tests sur le projet Conformité.\\nExécution de la campagne de test sur les nouveaux Batchs.'),
(18948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nExécution campagne 14.1.31-SNAPSHOT 2945 - NREG'),
(18939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nExécution des campagnes de test sur les nouveaux Batchs et la BOX.'),
(18943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRéunion ATOS  1,5h\\\\nRédaction anomalies 1,5h\\\\nAdaptation cas de test NREG aux évolutions 5h'),
(18947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nSuite adaptation cas de test aux évolutions 3h\\\\nExécution campagne 14.1.31-SNAPSHOT 2945 - NREG  5h'),
(18945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nImplémentation de tests auto pour ARJEL. Lancement des campagnes pour la 2.6.0-1. '),
(18973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\\n\\n[PSMSV2] Campagne d\\\'acceptance sur INT9 \\nHOST:           agpadmi91\\nSITE:           fdj2-origin_release_14-13\\nABP:            14.1.31-SNAPSHOT 2945\\nMOBILE:         6\\nARGUS:          14.1-125\\nPLATFORM:       1.0.175'),
(18950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nTests sur l\'existant, mise en place trace'),
(18951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nDev fait, en cours de tests unitaire'),
(19763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS / USR 2.6.0-1 INT9'),
(19764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS / USR 2.6.0-1 INT9'),
(19765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS / USR 1.8.0-1 INT1'),
(22929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS / USR 1.8.0-1 INT1'),
(18964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nAnalyse et correction des tests auto au statut Tobereview ou Blockdata'),
(18984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités\\\\n\\\\n[PSMSV2] Création d\\\\\\\'anomalie ANO049289\\\\n\\\\n\\n\\n[PSMSV2] Campagne de NonReg sur INT8: ALM > PROJET: PSMSV2 > 04 - INTEGRATION SYSTEME > 01 - IQ SPORT > 14.1.31-SNAPSHOT 2945 - FreeBets > 02 - PDJs avec Cash + E-Credit + F-Credit > 01 - PDJs Fronts (Betslip - Widget - Historique de jeux)'),
(18980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nVie des environnements : problème serveur'),
(18975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n[PSMSv2]: Tests Acceptance /  / 14.1.31 b2945 / INT9 + MAJ Tests ALM'),
(18976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31 b2945 / INT8 + MAJ Tests ALM'),
(18977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31 b2945 / INT8 + MAJ Tests ALM'),
(18978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31 b2945 / INT8 + MAJ Tests ALM'),
(18974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n[PSMSV2] Repasse de la campagne d\\\'acceptance sur INT8\\nHOST:           agpadmi81\\nSITE:           fdj2-origin_release_14-13\\nABP:            14.1.31-SNAPSHOT 2945\\nMOBILE:         6\\nPLATFORM:       1.0.175\\n\\n[PSMSV2] Création des fiches d\\\'anomalies ANO049143, ANO049189, ANO049190, ANO049191\\n\\n[PSMSv2] Création des cas de tests dans ALM: Projet: PSMSv2 > 02 - Tests IQ > 03 - Tests Nouvelles Fonctionnalités'),
(18981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nVie des environnements : problème serveur'),
(18982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\npostman / newman / jenkins'),
(18983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nVie des environnements : nouveaux profils spoc'),
(18987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nJenkins test Digishop'),
(18988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nJenkins groovy'),
(18989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nJenkins groovy'),
(19039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-11  (Do not remove this line) -->\n'),
(18991, 'Ticket et saxo à passer à résolus'),
(19038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nPoint hebdo Dev VuGen\r\nScript de vérification / extraction pour auto des batchs'),
(19040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nBesoin 1a MCO automatisation Tests - Développeur CMP'),
(19048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nScript vérif/extraction pour auto Batchs.\\nPoint implémentation des scripts Falcon Transac.\\nEvolution du script Falcon Transac PUT (évol prérequis)'),
(19049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nScript vérif/extraction pour auto Batchs.\nEvolution du script Falcon Transac PUT (évol prérequis)'),
(19044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nScript vérif/extraction pour auto Batchs.\r\nPoint Falcon Transac.'),
(19046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-03  (Do not remove this line) -->\n'),
(19055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nréalisation d\\\'un script d\\\'installation automatique des jeux Illiko + framework'),
(19057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nModifiaction des croupiers de 3 jeux ITG en vu de tester la modification du gain perben sur INT2'),
(19568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nMise a jour de l\'outil de promulgation des résultats du loto sur INT12 (outil PHP)'),
(19056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nréalisation d\\\'un script d\\\\\\\'installation automatique des jeux Illiko + framework'),
(19573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nMCO Control-M INT 2 3 4 \nDivers exports de données pour IF (LBA)'),
(19574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nMCO controlM multimédia INT 2 3 4 \nCartographie batch (word)'),
(19433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRéunion +  Implémentation tests auto Batch CheckCertif'),
(19062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nImplémentation tests auto Batch CheckCertif'),
(19064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nImplémentation tests auto Batch ResetIBAN'),
(19065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nImplémentation tests auto Batch Rectification'),
(19066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n[IF] Tests Liquidity Manager (LM)\r\n[IF] Rédaction de cas de tests LM'),
(19067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n[IF] Tests Liquidity Manager (LM)\r\n[IF] Rédaction de cas de tests LM'),
(19068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n[IF] Tests Liquidity Manager (LM)\r\n[IF] Rédaction de cas de tests LM'),
(19069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nRéunions Tests acceptance / Matrice exigence pour :\r\n- Recertif\r\n- Freebet'),
(19071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nEvolution et mise à jour de nos campagnes et Exécution de Test d\'acceptance INT8 pour vérification. \r\nRédaction d\'un document : Comment mettre à jour les templates sur différents environnements.'),
(19072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nEvolution et mise à jour de nos campagnes et Exécution de Test d\'acceptance INT8 pour vérification. \r\nRédaction d\'un document : Comment mettre à jour les templates sur différents environnements.'),
(19073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nAtelier de travail ETL\r\nAtelier de travail Réorganisation ALM\r\nAtelier CDS SPORT'),
(19074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nEvolution et mise à jour de nos campagnes et Exécution de Test d\'acceptance INT8 pour vérification. \r\nRédaction d\'un document : Comment mettre à jour les templates sur différents environnements.'),
(19075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nEvolution et mise à jour de nos campagnes et Exécution de Test d\'acceptance INT8 pour vérification. \r\nRédaction d\'un document : Comment mettre à jour les templates sur différents environnements.'),
(19076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nSupport Hakim\r\nMise en place Campagne ETL en exploitation\r\nRédaction procédures (Nouveaux markets)'),
(19701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nMise en place des Templates des campgnes automatisées'),
(19632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nRéunion d\'avancement avec Raphaël'),
(19079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nSIDC TR2 et TR3 OK // SIDCOM TR2  et TR3 bloqués'),
(19086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n[GSI] Qualification statique sur le TR3 (validation du mapping excel)'),
(19142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n[GSI] Validation des connexions de l\\\'univers Reporting Logistique + Création de la DMT DMT0009485 // [BDI.073.30 [FRONT] APPS MOBILES - SPORT] Création de la DMT0009506 pour le rajout des nouveaux frontaux PSEL cf anomalie ANO048771'),
(19088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n[ILLIKO] Création de la DMT DMT0009419 pour récupération des données packman sur les nouveaux frontaux PSEL'),
(19090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRefactoring campagne de non-reg sur INT8'),
(19210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nPassage de co (Vincent BINY)'),
(19092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nCampagne de non-reg freebets INT8'),
(19209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-01  (Do not remove this line) -->\nPassage de co (Vincent BINY)'),
(19094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nrefactoring campagne auto arjel INT8'),
(19211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nPassage de co (Vincent BINY)'),
(19096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nrefactoring campagne auto arjel INT8'),
(19212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nPassage de co (Vincent BINY)'),
(19213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nPassage de co (Vincent BINY)'),
(19103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n0,75 : SPOC_ FB_ création et exécution d\\\'une campagne d\\\'acceptance\\n0,25 : Analyse Referentiel ALM'),
(19100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n0,5 : SPOC_ suivi d\'avancement de la qualif\r\n0,5 : SPOC_ ecriture des tests BoostBet'),
(19101, 'Le partenaire n\'a pas reçu le mail du mdp'),
(19102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n- Travail sur référentiel de tests pour Pallier SPOC'),
(19105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nInstallation MAG 2.6.0 (SPOC) + acceptance - FDL016484'),
(19106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n- Travail sur référentiel de tests pour Pallier SPOC\r\n- Support IQ Sport (Freebet / R Dumontet)'),
(22927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n- Travail sur référentiel de tests pour Pallier SPOC => P AMERIO'),
(19109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n- Mise niveau composants / Boutiques pour les env SPOC et IF\\n- Travail sur Outil recherche de joueurs'),
(19110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\n'),
(19111, 'Bonjour Gisèle,\r\n\r\nJe vais envoyé un mail à Régine BURLOT sur l\'adresse mail utilisée dans le portail partenaire.\r\nSi elle ne recevra pas le mail c\'est que l\'adresse mail renseignée n\'est la bonne.\r\nSinon je routerai le saxo à l\'équipe qui s\'occupe de l\'authentification.\r\n\r\nCordialement,'),
(19112, 'Bonjour,\r\n\r\nJe suis Alaa Rahmani de l\'équipe Support du portail partenaire Cnaf.\r\nPouvez vous me répondre sur ce même courriel pour confirmer que l\'adresse électronique utilisée dans le portail est valide ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(19116, 'Fait l\'objet d\'une demande d\'évolution.\r\nEn attente d\'arbitrage MOA'),
(19131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n- maj d\\\'environnements livraisons appli FDJ\\nINT32	4.2.0_hasard	FDL016412\\nINT12	4.2.0_hasard	FDL016412\\nINT12	4.1.1_mapi	FDL016127\\nINT12	4.2.2_mapi	FDL016413\\nINT32	4.1.1_mapi	FDL016127\\n- maj modop Palier Appli FDJ partie CF\\n- support hia pb de scan de e-bulletin\\n- qualification livraisons MAPI API MAITRE\\n- remonter régression critique sur application euromillions suite MOD pour appli FDJ\\n- création ANO049124 [APPLIMAITRE] Chargement impossible de l\\\'application Euromillions suite maj mapi/results/euromillions'),
(19214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nRéunion automatisation point hebdomadaire'),
(19532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nDaily meeting (1h), support recette PS PDV, création d\\\'anomalie par rapport à la variable game-addiction du catalogue Parionsweb Android.\\nEchange avec le stream compte par rapport au appels playscan-ws et playscan.\\nComparaison avec les redirections des ADC.'),
(19534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nNormalement : \nDaily meeting 1h, support PS PDV. Avancement des tests sur PSEL Android.'),
(19529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\ndaily meeting (1h) + analyse des flux PSEL Android + support recette sur PS PDV.\\\\nEchange avec le stream compte par rapport à des appels non fonctionnelle sur PSEL Android.\\nReunion (1h30) avec la perf et l\\\'automatisation par rapport à la consommation des appels MIFY dans le composant WSPO.'),
(19301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[IF] Fake Lottery : ajout sauvegarde du cookie de session\nTronc commun : Mise à jour du référentiel des NID d\'IBAN \nFalcon : recherche de solution pour connexion SSL des scripts Falcon sur INT0,3,7,8 dont les version de JRE et Tomcat ont été upgradés '),
(19130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nDigishop U 3.1.0 Développement des scripts.'),
(19531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nDaily meeting (1h) + analyse des flux PSEL Android\\nSupport recette SPDV & PS PDV par rapport au promulgation.\\nEchange avec le stream compte par rapport aux appels /api/compte.'),
(19134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n[Point hebdo script VuGen] \\n[AUTO BACK] Script BOX - dev scripts ARJEL : Blocage_joueur_param (blocage/déblocage du joueur)'),
(19136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nDigishop U 3.1.0 Développement des scripts.\\nProbleme sur les scripts du a la suppression des requester N2\\nEtude de codegen-swagger.'),
(19139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nCorrection des problème sur digishop 3.1.0 suite au retour de lionel'),
(19140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nétude codegen-swagger'),
(19141, 'Il semble que l\'adresse mail utilisée n\'est pas valide.'),
(19143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n- maj d\'environnements livraisons appli FDJ\r\nINT32	4.2.6_edwan	FDL016435\r\nINT12	4.2.6_edwan	FDL016435\r\nINT91	1.0.3_apimaitre	FDL016445\r\n- création ANO049151 [APPLIMAITRE] Désinscription complète de tous les canaux impossible\r\n- qualification livraisons MAPI API MAITRE'),
(19736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nAnalyse, investigation des erreurs dans le journal de drupal et créations d\\\\\\\\\\\\\\\'anos\\\\nReunion point FAQ Sophie Mace , Yann Faveaux, Frederic Martin\\nAnalyse du fonctionnement de MAG/MUG pour la récupération des informations de l\\\'utilisateur dans le cadre de la FAQ');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(19146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n- maj d\'environnements livraisons appli FDJ\r\nINT12	1.0.4_apimaitre	FDL016462\r\nINT32	1.0.4_apimaitre	FDL016462\r\n- création ANO049168 [APPLIMAITRE] [CRITICAL] Notice: Undefined index: superloto/lotonoel at line 293\r\n- création ANO049172 [APPLIMAITRE] [CRITICAL] Notice: Undefined variable: gameType at line 308\r\n- création ANO049186 [APPLIMAITRE] Rendre la contribution du jeu obligatoire dans le cms\r\n- création ANO049187 [APPLIMAITRE] Mauvais code retour sur une erreur de type : Error Processing : 500 demandé\r\n- création ANO049188 [APPLIMAITRE] [CRITICAL] Warning: array_unshift() expects parameter 1 to be array, null given at line 150\r\n- création ANO049205 [APPLIMAITRE] [CRITICAL] Notice: Undefined index: date at line 318\r\n- création ANO049207 [APPLIMAITRE] Cible incorrecte dans le cms edwan\r\n- qualification livraisons MAPI API MAITRE\r\n- support dev, pb d\'affichage du site public sur int91'),
(19147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n- maj d\'environnements livraisons appli FDJ\r\nINT32	4.2.9_edwan	FDL016481\r\nINT12	4.2.3_mapi	FDL016450\r\nINT32	4.2.3_mapi	FDL016450\r\nINT32	4.2.4_mapi	FDL016487\r\n- création ANO049221 [APPLIMAITRE] PHP Warning:  oci_execute(): ORA-00904: \"DOM\" : identificateur non valide\r\n- création ANO049230 [APPLIMAITRE] Maj de ARTICLE_RUBRIQUE pour MAPI_GESTION_HOME_PAGE et MAPI_GESTION_MENTIONS_LEGALES\r\n- création ANO049261 [APPLIMAITRE] [CRITICAL] Notice: Undefined variable: wagerEndDate at line 402\r\n- création ANO049281 [APPLIMAITRE] Regression sur le service mapi/results/loto pas de joker plus\r\n- analyse sur failles de sécu site public, tests sur environnement d\'integ\r\n- qualification livraisons MAPI API MAITRE'),
(19553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n- maj d\'environnements livraisons appli FDJ\nINT12	4.2.4_mapi	FDL016487\nINT32	1.0.5_apimaitre	FDL016490\nINT12	1.0.5_apimaitre	FDL016490\nINT91	1.0.5_apimaitre	FDL016490\nINT12	4.2.9_edwan	FDL016481\n- réunion PlayStation - présentation du projet\n- création ANO049299 [APPLIMAITRE] [CRITICAL] Warning: ksort() expects parameter 1 to be array\n- création ANO049302 [APPLIMAITRE] Appel du service get-home en POST : 405 Method Not Allowed\n- qualification livraisons MAPI API MAITRE\n- MEP Appli FDJ'),
(19149, 'Problème de rafraîchissement du cache permission Liferay: \r\n\r\nBonjour,\r\n\r\nJe reviens vers vous au sujet du saxo n° INC0340766.\r\nJe  vous confirme qu\'il s\'agit bien d\'une anomalie qui nous a déjà été remontée.\r\nNous sommes entrain de la traiter.\r\nUne correction sera disponible dans les prochaines versions.\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(19150, 'Ok, saxo passé à réalisé en attendant l\'installation du patch sur la recette et les tests recette'),
(19151, 'Attention, RISQUE, prévenir le cient'),
(19268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Qualification du correctif d\'import des détaillants manquant pour le MEIBO de PROD'),
(19155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n conception/implémentation/exécution/ composant du compte'),
(19154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n conception/implémentation/exécution/ composant du compte '),
(19156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n conception/implémentation/exécution/ composant du compte'),
(19158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nconception/implémentation/exécution/ composant du compte'),
(19159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n'),
(19160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n'),
(19161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nRédaction de la documentation'),
(19162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n'),
(19163, 'Bonjour,\r\n\r\nJe reviens vers vous au sujet du saxo n° INC0340472.\r\nL\'organisme \"LES AVENTURIEZ NOTRE DAME DE RIEZ\" existe encore et est ouvert.\r\n\r\n(See attached file: Organisme Vendée.PNG)\r\n\r\n\r\nLes utilisateurs (les administrateurs créés lors de la formalisation de la convention) qui y sont liés existent encore et sont ouverts.\r\nIl suffit de recréer une nouvelle convention et de sélectionner l\'organisme   \"LES AVENTURIEZ NOTRE DAME DE RIEZ\" pour pouvoir sélectionner les administrateurs déjà créés à partir de la liste déroulante.\r\n\r\nJe reste à votre disposition pour toute information complémentaire,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(19164, 'A attendre la réponse de l\'utilisateur, si Ok, à passer le saxo à résolu'),
(19166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nSAFERGAME : Création ANO049279, DMT0009528, DMT0009533'),
(19530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nAcceptance de la version 4.5.008 Android de PS PDV ; Qualification de l\'ANO042076 et ANO048880 ; Création de l\'ANO049193 ; Après l\'installation de Edwan 4.2.6 et SPDV 3.0.11 sur INT1 promulgation d\'offre pour tester la bonne création des bases sqlite'),
(19168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nSAFERGAME : Installation FDL016483 SPSS, FDL016486 Datastage sur int2'),
(19169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nAcceptance de la version 4.5.009 IOS de PS PDV ; préparation du modop pour la future mise en prod de spdv ; qualification de ANO043078 et ANO042077'),
(19170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nPV de qualif pour PSPDV 4.5 ; qualification des anos ANO047885 et ANO048366 ; Installation et tests de WSPO 3.0.0 et PSBOR 2.0.0'),
(19171, 'A analyser le pb des filtres par groupe'),
(19205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nFDL016454 \nFDL016469'),
(19206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nFDL016477.'),
(19207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nMEP appli maitre + réu playstation'),
(19177, 'A discuter avec Kévin : est-ce normal ? quel est l\'étendu de l\'unicité de la raison sociale (caf ? régional ? national ? ) \r\nDemande d\'évolution ?'),
(19179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nAnalyse des logs des exécutions des batchs\\ninstallation des composants Middleware sur INT3'),
(19186, 'A en discuter avec Romain pour avoir plus d\'information'),
(19187, 'A appeler Mme Françoise Ragazzi par téléphone avant midi.\r\n\r\nPS: c\'est le 3eme partenaire qui n\'arrive pas à recevoir son mdp en passant pas la fonctionnalité mdp oublié.\r\nJe soupçonne un problème coté ISU => à creuser'),
(19188, 'j\'ai envoyé un mail sur l\'adresse utilisée lors de la création du partenaire pour tester si c\'est une adresse valide'),
(19189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n'),
(19710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation des FDL016025, FDL016100 et FDL016250 sur INT2CALY '),
(19192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nExport des incidents de production'),
(19193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nMCO Court-commercial du 02/05/2017'),
(19854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nBCO.055.06 [EPV] SONIC - Analyse des WKF en erreur sur TR3 : I3_STAG_CA_CALY, I3_STAG_CACF_CALY, I3_STAG_LOTV_WKF_CALY_LOTV'),
(19195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nExport des incidents de production'),
(19196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nSAFERGAME - Prise de connaissance installation Datastage en intégration via Hudson'),
(19197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nBCO.096.31 [REM] EVOLUTION REMUNERATION INTERMEDIAIRE LOT 1 - Ajout RIB sur D086801 dans SAGA sur INT3'),
(19198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - ETL_COMMERCIAL - installation FDL016437 - [palier 1.8] BI Publisher - Facturation sur ELPHE'),
(19855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nBCO.055.06 [EPV] SONIC - Résolution des WKF en erreur sur TR3 : I3_STAG_CA_CALY, I3_STAG_CACF_CALY, I3_STAG_LOTV_WKF_CALY_LOTV'),
(19528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nMise à jour des catalogues ParionsSport avec les versions 4.6 et 5.0 pour des tests en intégration ; Préparation du modop pour le catalogue de la borne pour les prochaines versions de WSPO ; Test sur les catalogues ParionsSport variabilisés ; Création de l\\\'ANO049145 pour l\\\'impossibilité de variabiliser deux URL dans les catalogues Android'),
(19217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nslides Git'),
(19500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nTests ABP + Ecriture de tests'),
(19220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\nRéunion pour le Palier Spoc (Toute la journée)'),
(19223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\n'),
(19224, 'adresse mail erronée ( nom d\'ailleurs) => la bonne adresse : regine.burlot@cafardeche.cnafmail.fr\r\n\r\nSaxo routé vers l\'équipe ISU'),
(19243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nSAFERGAME : Création anomalie ANO049318, ANO049332+chargement fichier pivot Esrm en recette+ exécution de 4 campagnes de tests (13 cas de tests)'),
(19226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[STR] Installation de la FDL016439 sur le TR3'),
(19227, 'Retour par mail:\r\n\r\nL\'utilisateur n\'arrive pas à voir les utilisateurs déjà crées quand essaye de formaliser une convention avec un organisme existant.\r\nSachant que les utilisateurs étaient administrateurs d\'une convention clôturée.\r\n\r\n!!!    A investiguer, à reproduire en local et voire dans le code   !!!'),
(19228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[Stock Grattage] Réinstallation de la FDL FDL016195 sur le TR2'),
(19229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nSIDC TR2 OK // SIDC TR3 en attente // SIDCOM TR2 et TR3 en attente corrections chaine ou fichiers SGI'),
(19285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\n'),
(19233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nGestion des Incidents'),
(19234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 -  Qualif EGIDE'),
(19235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nCSAM-MEIBO - Formation Valérie pour monté en compétence sur CSAM MEIBO'),
(19236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[GSI] DMT0009564 pour correction de la chaine TR3 SIDCOM'),
(21947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nRéunion de préparation des tests auto Falcon Transaction\nPréparation campagne FALCON USR v.2.5.6'),
(19249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[PSMSV2] Campagne des nouvelles fonctionnalités Freebet sur INT8: ALM > PROJET: PSMSV2 > 04 - INTEGRATION SYSTEME > 01 - IQ SPORT > 14.1.31-SNAPSHOT 2945 - FreeBets > 02 - PDJs avec Cash + E-Credit + F-Credit > 01 - PDJs Fronts (Betslip - Widget - Historique de jeux)'),
(20683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[RAM0004] Recherche d\'information sur la configuration de IIS '),
(21198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - réunion de cadrage sur CSAM avec le nouveau RA  Frédéric DUMONT'),
(19270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 -  Qualif EGIDE'),
(19271, 'Ajout d\'ids sur la synthèse (PCA_FRONT) + résolution du problème de chargement des onglets dans le test Consulter Dossier (qui permet d\'accéder au service).\r\nEn effet, il ne faut pas cliquer sur un onglet si tous ne sont pas chargés sinon l\'onglet reste blanc. Il a fallu trouver une solution permettant d\'attendre que tous les onglets soient chargés (beaucoup plus fiable et optimisé que pause(2000) par exemple).\r\n\r\nLes itérations ne doivent pas de faire dans le user-extensions (car bloque le chargement ajax des onglets) et on utilise while dans selenium-ide.\r\n\r\nLa documentation a été mise à jour.'),
(19273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nMise en place CodevTT pour GAC_Projets'),
(19274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n'),
(19275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n'),
(19276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nCodevTT'),
(19277, 'Non utilisée'),
(19278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nExport des incidents de production'),
(19279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nMCO Court-commercial du 04/05/2017'),
(19280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - ETL_COMMERCIAL - installation FDL016437 - [palier 1.8] BI Publisher - Facturation sur ELPHE (suite à relivraison)'),
(19282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - DMT0009311 - Rédaction du mode opératoire d\'installation des FDL016025, FDL016100 et FDL016250'),
(19283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nAnalyse avec Robert '),
(19284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n'),
(19286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n'),
(19287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Campagnes de tests'),
(19288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Campagnes de tests'),
(19289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Campagnes de tests ALM'),
(19292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nBSD.021.06 [REF] : Formation CSAM'),
(19293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Qualification de l\'anomalie ANO049007'),
(19294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nBSD.021.06 [REF] CSAM : Formation CSAM'),
(19295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel'),
(19297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nSAFERGAME : Exécution d\'une campagne de tests (16 cas de tests) + Initialisation du PV de qualification Folio'),
(19298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n'),
(19299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\n'),
(19400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nLancement et analyse des tests auto de non régression sur Falcon USR 2.5.6 sur INT0'),
(19303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nFalcon : désactiver la cypherList au niveau de l\'Initialisation de l\'envFalon lorsque le mode d\'accès est en BACK_VIP\r\nIF FAKELOT : initialiser le login avec un parmètre spécifique Perf ou Auto'),
(21948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nLancement et analyse  des campagnes d\'Acceptance et NR FALCON USR v.2.5.6-2\nRédaction du rapport de campagne d\'Acceptance API & DB'),
(19326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n[StockGrattage] Création de l\'anomalie ANO049370 sur le calcul des agregats'),
(19308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nSIDC - TR3 et TR2 Reprise. Montée en compétence.'),
(19310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nMigration Teradata : Test des outils TeraData 15.10'),
(19311, 'Solllicitation router à l\'équi DSI de Gérald Cauvin'),
(19312, 'RAF :\r\n- La gestion de la vue pour l\'admin Caf (menu de gauche, les droits liés à l\'admin Caf)\r\n- Ecriture tests HPALM'),
(19314, 'Problème résolu.'),
(19315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nSAFERGAME : Réunions présentation livraison du jour+Suivi pré-recette+ Bug review'),
(19317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nSIDCOM TR2 analyse plantage  // SIDCOM TR3 en attente // SIDC TR3 KO analyse'),
(19320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nMCO + Suivi des incidents'),
(19321, 'Manipulation de la BD requise pour pallier au problème. Entretiens téléphonique avec la personne concernée le 9/05/2017 confirmant que tout est OK.'),
(19322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n[PSMSV2] Campagne des nouvelles fonctionnalités Freebet sur INT8: ALM > PROJET: PSMSV2 > 04 - INTEGRATION SYSTEME > 01 - IQ SPORT > 14.1.31-SNAPSHOT 2945 - FreeBets > 02 - PDJs avec Cash + E-Credit + F-Credit > 01 - PDJs Fronts (Betslip - Widget - Historique de jeux)'),
(19562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nMaJ du catalogue de test postman regul/recertif\nreunion suivi bingo rwd'),
(19325, 'Bonjour,\r\n\r\nJe me permet de vous solliciter suite à une anomalie saxo (INC0340157) remontée par vos soins et concernant une erreure de saisie dans le numéro siret.\r\n\r\nPourrions nous obtenir plus d\'informations à ce sujet, à savoir : \r\n\r\n- Le siret et le nom de l\'organisme erroné.\r\n- Le bon siret et nom de l\'organisme qui doit être créé.\r\n\r\nCela nous permettrait de solutionner votre problème.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(19327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n[STR] Création de l\'anomalie ANO049385 relative au chargement du socle SIDC TR3'),
(19328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n'),
(19329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n'),
(19386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Mise en place stratégie de dev AUTO/PERF ( avec Romain B.) pour les évolutions des appels Mify impactés par les FreeBets.\n- Exécution des capmagnes d\'acceptance sur INT7:\n-- PDJS web app Mify\n-- PDJS Olympia\n-- Test de services unitaires Mify pour la webApp et pour Olympia.'),
(19417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n'),
(19334, 'Correction effectué sur la base de données'),
(19494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n- Check vie des environnements\n- Dev API\n- Atelier AUTO\n-'),
(19337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nGestion des Incidents + livraison procédure de reprise des interfaces EGIDE à HIA'),
(19351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Point hebdomadaire Auto + Manuel \n- Qualification du cas de test de PDJ pour les FreeBets.\n- Atelier Automatisation Avec Elise'),
(19341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - FDL016463 WS 4.04 sur INT3EGID (+ ALM]'),
(19340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - FDL016463 WS 4.04 sur INT4EGID'),
(22774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nVSR - Qualification Ano + MOD + lecture specs poupées russes'),
(19737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nInvestigation sur l\'impossibilité d\'accès au portail mobile sur INT4\nReunion FAQ\nInstallation PTAB 2.17.0 sur INT4\nCreation ANO049389\nInvestigation sur l\'impossibilité de créer un jeu ITF sur drupal (INT4) => creation ANO049394'),
(19346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - divers projet (demande ouverture de Flux, compte d\'accès...)'),
(19347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nMCO - EGIDE'),
(19349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2  - Qualif EGIDE'),
(19350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n'),
(19352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\ngit pre-commit hook UTF-8'),
(21192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nSegmentation temps réel : Analyse anomalie'),
(19354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nReste à faire les TU'),
(19355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n'),
(19357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n[GSI] État des lieux du TR3 SIDCOM'),
(19545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nTests IF'),
(20431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nTests IF'),
(19547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nTests IF'),
(19548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nTests IF'),
(19426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nAnalyse de logs, création d\'anomalie, participation à l\'atelier Postman\nAmélioration du script spécifique Acceptance IF'),
(19427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nAmélioration des scripts Postman en vue de les partager'),
(19366, 'Bonjour, \r\n\r\nLa personne concernée avec l\'identifiant CAF44100F8 n\'est qu\'un simple agent CAF et n\'a pas été définis comme étant un vérificateur. Les 2 vérificateurs de la CAF sont les comptes CAF44100NL (LETORT CHRISTINE) et CAF44100NM (RIOLLAND PASCALE).\r\n\r\nCdt,\r\n\r\nSaid Zerrouki.'),
(19367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n'),
(19368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nTests campagne 14.1.31-SNAPSHOT 2945 - NREG'),
(19369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nTest campagne 14.1.31-SNAPSHOT 2945 - NREG'),
(19370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nTest campagne 14.1.31-SNAPSHOT 2945 - NREG'),
(19374, 'Bonjour,\r\n\r\nN\'ayant pu vous joindre par téléphone je viens vers vous suite à une demande saxo INC0341085, et portant sur une erreure de saisie dans le type partenaire d\'un organisme.\r\n\r\nNous avons traité le problème et nous vous invitons à nous confirmer que tout est OK.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki'),
(19376, 'en cours'),
(19563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nSupport Jerome sur install bingo rwd\nBug review bingo'),
(19378, 'Manipulation en BD'),
(19385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nSAFERGAME : Créations ANO049380, ANO049381, ANO049421, ANO049432+ Fiche de relecture DTE Folio/Cognos'),
(19405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[Stock grattage] Suivi des investigations sur les transactions non référencées + relances IQ et HIA jeux et services // [Migration Teradata]  Point avec Sebastien Pradon sur l\'avancement de la restauration du TR2'),
(19416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nValidation API et tag\n[ITF]Atelier automatisation\n[DIGITAL] Comité automatisation\n[ITF] analyse nouvelle release 2.0.2-1 : pas de regen API\n[FALCON USR 2.6.0] mise à jour liste services et maj FalconGETAccountsAccount'),
(19384, 'Routé vers Gwendoline avec les informations collectées et des pistes d\'investigation\n\n'),
(19387, 'Il n\'y a pas d\'exigence fonctionnelle sur l\'unicité de la raison sociale d\'un organisme (Vu avec Kévin).\r\nIl faut voir avec Jéremy si l\'unicité de la R.S a fait l\'objet d\'une demande d\'évolution (pour être mise en place).\r\nSi c\'est pas le cas, il s\'agit d\'une anomalie à corriger.\r\n\r\nSi anomalie:\r\n\r\nIdentifier les cas ou on utilise un finder sur le corporate name et le modifier / supprimer.\r\nPuis, enlever l\'unicité de la R. S'),
(19388, '=> action retirée à la TMA (intervention expert \"krimo\")\r\n'),
(19738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nTest du fonctionnement de la FAQ\nInvestigation sur les erreurs liées à la FAQ dans drupal\nCreation ANO049415 , ANO049416 , ANO049424\nInvestigation sur l\'impossibilité de lancer des jeux sur PTAB INT4'),
(19390, 'Vu avec Jéremy: c\'est une anomalie\r\n\r\nA voir avec Tony deja si on l\'a considère comme une correction (patch) ou une évolution (à inclure dans pha v2) ?'),
(19391, 'Bonjour \r\nEt moi je viens de tenter de me reconnecter au portail partenaire avant de vous répondre; et… Youpi ça marche!!!\r\nNouveau mot de passe entré. Je me suis connectée, déconnectée, reconnectée, Tout fonctionne. Tout est OK.\r\nMerci à vous.\r\nFrançoise Ragazzi'),
(19392, 'Saxo passé à résolu'),
(21931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nDaily meeting (1h)\nRédaction MODOP pour MEP nouvelle configuration broadcast.cfg et nouvelle JOB CTRL-M permettant la génération des bases sqlite de résultat.\nDémo future application native avec un framework IONIC.\nDémo borne version JASON (mainbook).\nAtelier ALM PSEL IOS & Android (A ma demande, il sera animé par Djamel et Vincent)'),
(21930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nDaily meeting (1h)\nEtat des lieux des livraisons sur le composant SPDV\nIncohérence des livraisons SPDV --> Passage de la FDL016382 (SPDV 3.0.11) à acceptée parce que les versions SPDV 3.0.10 et 3.0.12 ont déjà été acceptées.\nDemande au métier de réaliser une RFC pour future MEP broadcast.cfg et JOB CTRL-M..\nFormation architecture PSEL IOS et Android par Vincent --> finalement c\'est devenue une formation sur PSEL / PDV / Cloud Front / Edwan (1h30)\nDétection de la mauvaise compilation de la version PS PDV 4.5 devant aller prochainement en production --> le versionCode dans le gradle n\'est pas correct --> impossible d\'installer la future version de production sur la version actuelle de production (On a évitié un futur incident de production) (1h30)'),
(21933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nDaily meeting (1h).\nil faut absolument qualifier la version PSEL Android 1.0.011 --> sera fait après la formation ALM PSEL Android / IOS.\nA compléter.'),
(21934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nDaily meeting (1h)\nA compléter... certainement support équipe...'),
(19398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[GSI] Création de la DMT DMT0009659 sur le TR3 pour la modification de la chaine controlm'),
(19402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nSIDC TR2 Reprise terminée OK // SIDC TR3 bloqué par l\'anomalie ANO049385 // SIDCOM TR2 bloqué par l\'anomalie ANO049370 // SIDCOM TR3 en attente de correction DMT0009659'),
(19401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nAnalyse des tests auto de non régression sur Falcon USR 2.5.6 sur INT0. Réunion automatisation avec Valérie Le Roux'),
(19403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nIntéractive Factory : Montée en compétence avec Patrick Girardet. Ecriture de cas de test pour Falcon Transaction avec la version de Falcon USR 2.6.0'),
(19404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nIntéractive Factory : Montée en compétence avec Patrick Girardet. Ecriture de cas de test pour Falcon Transaction avec la version de Falcon USR 2.6.0'),
(19406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[STR] Support AMOA sur interrogation du rapport Segments joueurs sous BI4'),
(19407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[RAM004] Support sur les procédures de reprise'),
(19410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nAjout fichiers I/O des JCL\nDevis'),
(19409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nCOMIP ANV/CTX'),
(19411, 'Bonjour,\r\n\r\nNous revenons vers vous au sujet du saxo n° INC0341278.\r\nNous avons testé l\'accès à la rubrique \"Consulter Dossier\" avec les deux utilisateurs fournis dans le fichier joint et nous n\'avons pas reproduit le problème. \r\nLes deux utilisateurs arrivent à accéder à CDAP.\r\n\r\nLe problème semble résolu.\r\nPouvez-vous nous confirmer la résolution du problème ?\r\n\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(19413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nPoint filtre Java. Point hebdo Dev Vugen. Automatisation des tests de batchs.\r\n'),
(19414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nTransmission de connaissances Falcon Transaction (implémentation des tests).\r\nComité automatisation. Finalisation de l\'automatisation des tests de batchs Falcon (+ évolution doc).'),
(19415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n[Falcon scripts Auto] Evolution des scripts USR 2.6.0'),
(21949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nPrésentation Falcon Transaction par Etienne Reichert (0.5)\nAnalyse de la campagne de NR FALCON USR v.2.5.6-2\nComité Automatisation (0.25)'),
(19419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nTest appli FDJ + appli Illiko en vu de la MEP du 11/05 et de la MEP du 15/05\r\nIlliko - FDL016525,FDL016524\r\nFDK - FDL016477,FDL016475'),
(19420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nTest appli FDJ + appli Illiko en vu de la MEP du 11/05 et de la MEP du 15/05\r\nIlliko - FDL016525,FDL016524\r\nFDK - FDL016477,FDL016475'),
(19421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nTest appli FDJ + appli Illiko en vu de la MEP du 11/05 et de la MEP du 15/05\r\nIlliko - FDL016525,FDL016524\r\nFDK - FDL016477,FDL016475'),
(21950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nTests sur FALCON Transaction'),
(22938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nauto'),
(22939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nauto'),
(22937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nauto'),
(19429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\npréparation de Mode opératoire d\'installation des composants back en vu des prochaines MEP.'),
(19569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nMise a jour de l\'outil de promulgation des résultats du loto sur INT12 (outil PHP)'),
(19570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nMise a jour de l\'outil de promulgation des résultats du loto sur INT12 (outil PHP)'),
(19441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31 b2945 / INT8 + MAJ Tests ALM'),
(19442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31 b2945 / INT8 + MAJ Tests ALM'),
(19443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31 b2945 / INT8 + MAJ Tests ALM'),
(19444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31 b2945 / INT8 + MAJ Tests ALM'),
(19438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nJenkins demo Digishop'),
(19439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nJenkins multi Newman build'),
(19928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nRéunion +  Implémentation tests auto Batch Rectification'),
(19447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nImplémentation tests auto Batch Rectification'),
(19448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nImplémentation tests auto Batch Rectification'),
(19449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nJenkins Maj Doc'),
(19450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nJenkins préparation présentation'),
(19451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n0.25 : SPOC_ Réunion avec les autres IQ pour vérifier qu\'on couvre bien l\'ensemble des exigences BoostBet\r\n0,25 : SPOC_ suivi des anomalies _ echanges/controles sur les questions et/ou anos en cours\r\n0,5 : SPOC_Freebet _ Exécution campagne run02'),
(19452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nSPOC_BoostBet _ Ecriture des cas de tests (coquille vide) + envoi de question au Dev et au métier'),
(19459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nSPOC_Freebet _ Exécution campagne run02'),
(19454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nSPOC_BoostBet _ Ecriture des cas de test'),
(19455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nSPOC_Sport _ Exécution campagne run02'),
(19456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nSPOC_ suivi avancement de la qualif '),
(19457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n'),
(19458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nRéunion [OLYMPIA/FREEDOM/JASON] Etat des lieux et prochaines échéances ; investigation pour création ANO049408'),
(21932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\ntests sur la prise en compte des modifications de données sur PSPDV ios et sur android ; Passage de compétence sur PSEL'),
(19461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nAnalyse du Référentiel Falcon ALM'),
(20427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nEcriture des tests pour les nouvelles versions de PSBOR et WSPO pour JASON'),
(20404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\ntest acceptance WSPO 2.0.2 -> OK'),
(19533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\ntest d\'acceptance pour WSPO 3.0.0 et PSBOR 2.0.0 ; test sur l\'application ParionsDirect sur INT3 pour la démo ; installation d\'Edwan 4.2.9 sur INT1 ;installation de spdv 3.0.12 sur INT1 ; Acceptance de spdv 3.0.12'),
(19473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nImplémentation des tests auto sur ARJEL: Modification des requêtes de sélection pour les prérequis ARJEL sur la résiliation de compte (ajout d\'un filtre sur les joueurs ayant des transactions en cours). \nRepris les requêtes de sélection des évènements ARJEL afin de filtrer sur l\'UAC_ID plutôt que sur le pLogin car cela enduit des erreurs de tests \n(va chercher les infos sur un joueur résilié ou sur un joueur actif alors qu\'on attend le résultat opposé (vu sur le Check R5) quasiment tous les tests ARJEL à reprendre pour cette problématique (sauf ceux qui ont déjà été repris sur la requete de sélection globale SelectAllInfoPerso. Lancement des campagnes, ajout de deux nouvelles campagnes aux rapports.'),
(19544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nImplementation de tests automatisés.'),
(19543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nCréation d\'un template pour check de l\'existant auto par rapport à l\'existant manuel. Implementation de test automatisés, continuité de l\'activité du mercredi.'),
(19578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nMCO Control-M TR 1 2 3 \nCréation documentation : batch : checkwinproc'),
(19577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nMCO Control-M TR 1 2 3 \nCréation documentation : batch : checkwinproc'),
(19576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nMCO Control-M TR 1 2 3 \nCréation documentation : batch : checkwinproc'),
(19575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nMCO Control-M TR 1 2 3 \nPrises de connaissance sur l\'installation de WKF informatica (document obsolète)'),
(19501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nTests ABP + analyse de problèmes avec les collègues'),
(19502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nTests ABP + analyse de problèmes avec les collègues'),
(19503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nTests ABP + analyse de problèmes avec les collègues'),
(19504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nTests ABP + analyse de problèmes avec les collègues'),
(19482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nGestion des INCIDENTS (notamment fourniture procédure de reprise à date à HIA)'),
(19483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - (réunion de suivi QS + test avec SOPRA)'),
(19484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - divers projet (suivit pb demande ouverture de Flux, compte d\'accès, échange avec CP SI...)'),
(19485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - EGIDE - Gestion des environnements'),
(19487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n[VSR] Qualification des ANOMALIES et MODIFICATIONS livrées avec USR'),
(19489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[IF] Réunion automatisation IF\r\n[AUTOMATISATION] Réunion hebdo automatisation\r\n[POSTMAN] Point sur avancement projet automatisation des tests\r\n[VSR] Qualification des ANOMALIES et MODIFICATIONS livrées avec USR'),
(19490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[VSR] Qualification des ANOMALIES et MODIFICATIONS livrées avec USR'),
(19493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n[VSR] Qualification des ANOMALIES et MODIFICATIONS livrées avec USR'),
(24806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nCréation des templates des campagnes - BASKET'),
(19497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nCréation des templates des campagnes - BASKET + FOOT'),
(19498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nCréation des templates des campagnes : FOOT'),
(19499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nCréation des templates des campagnes'),
(19564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nMaJ du catalogue de tests postman'),
(22930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO JEU COULEUR FETICHE'),
(22931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO JEU COULEUR FETICHE'),
(21743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nCAMPAGNE NON REGRESSION MOTORS 1.8.0-1 INT1'),
(19542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nCAMPAGNE NON REGRESSION MOTORS 1.8.0-1 INT1'),
(19552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nRédaction/modification de cas de tests sur le projet Conformité.\nExécution de la campagne de test sur les nouveaux Batchs et la BOX.'),
(19550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nRédaction/modification de cas de tests sur le projet Conformité.\r\nExécution de la campagne de test sur les nouveaux Batchs et la BOX.'),
(19610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n- maj d\'environnements\nINT12	1.0.6_apimaitre	FDL016502\nINT32	1.0.6_apimaitre	FDL016502\nINT21	4.2.9_edwan	FDL016481\nINT41	4.2.9_edwan	FDL016481\n- création ANO049328 [APPLIMAITRE] Annonce d\'un lotonoel sur le service apimaitre alors que le tirage est passé\n- création ANO049330 [APPLIMAITRE] Affichage de deux tuiles sur le Keno gagnant à vie\n- maj campagne de tests sur webapps : intégration des siteID.html\n- qualification livraisons appli FDJ'),
(19555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n- maj d\'environnement\r\nINT32	4.1.2_mrcd	FDL016520\r\nINT12	4.1.2_mrcd	FDL016520\r\nINT12	1.0.7_apimaitre	FDL016547\r\nINT32	1.0.7_apimaitre	FDL016547\r\n- création ANO049420 [APPLIMAITRE] Pas d\'annonce loto dans l\'appel apimaitre\r\n- création ANO049447 [APPLIMAITRE] CRITICAL: Unsupported operand types {\"exception\":\"[object]\r\n- qualification livraisons appli FDJ'),
(20268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n- maj d\'environnement livraison Appli FDJ\nINT32	1.0.8_apimaitre	FDL016560\n- support ANO049447 [APPLIMAITRE] CRITICAL: Unsupported operand types {\"exception\":\"[object]\n- création ANO049457 [APPLIMAITRE] Maj du service mapi/version/check - décommissionnement AppliMaitre\n- qualification livraisons appli FDJ'),
(19557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nCorrection côté cristal=> Intégration des API. \nChangement d\'url \"backCristal\"\ntest'),
(19558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nSupport Hakim\r\nMise en place template ETL'),
(19559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nAtelier réorganisation Campagnes et Cas de tests\r\nPoint hebdomadaire CDS AtoS'),
(19560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nPrésentation test auto côté digital\r\nAtelier AUTO'),
(21741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nOutil de promulgation'),
(19741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nMise a jour de l\'environnement INT32 à partir de INT31'),
(19581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nVérification du retour du place pour les multiples complexes'),
(19799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nRéunion d\'avancement avec Raphaël'),
(19804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n- Qualification des campagnes de NonReg template.'),
(20266, 'Solution mise en place :\r\n\r\n- Une table de description d\'entité role supervision avec le nom du role de supervision, l\'id du role liferay et l\'id du groupe liferay.\r\n- Une table de liaison agent <-> role supervision'),
(25665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n- Qualification des campagnes de NonReg template.'),
(20831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Atelier JASON \n- Mise en place des checks Markets Jason.\n- Intégration des Checks dans l\'acceptance et la non reg  '),
(20829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Dev PDJs FreeBet webApp Mify'),
(20830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Mise en place des campagnes de PDJs FreeBets WebApp Mify \n- Atelier génération des résultats offre mainbook\n- Exécution NonReg Mify INT8'),
(22260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n- Validation migration\n- Réactivation Robot'),
(21851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Présentation des équipes sport, Démo Automatisation, \n- Analyse appel mify suite remarque de Julien\n- Préparation de la démo du 14/06'),
(22259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n- Migration ALM \n- Support Analyse Mify \n- Mise à jour Robot\n- Validation migration'),
(19603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nSAFERGAME : Installation FDL016511 SPSS, FDL016504 Datastage, FDL016522 Cognos sur INT2'),
(19604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nSAFERGAME : Création DMT0009712'),
(19605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nSAFERGAME : Réunion point de synchro+organsation lancement détection IQ/HIA'),
(22300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n- maj d\'environnements\nINT12	1.0.6_apimaitre	FDL016502\nINT32	1.0.6_apimaitre	FDL016502\nINT21	4.2.9_edwan	FDL016481\nINT41	4.2.9_edwan	FDL016481\n- création ANO049328 [APPLIMAITRE] Annonce d\'un lotonoel sur le service apimaitre alors que le tirage est passé\n- création ANO049330 [APPLIMAITRE] Affichage de deux tuiles sur le Keno gagnant à vie\n- maj campagne de tests sur webapps : intégration des siteID.html\n- qualification livraisons appli FDJ'),
(22935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\nAutomatisation bacth'),
(19614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nCréation de ODBC_DB_EXECUTE.'),
(19615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nCréation de ODBC_DB_EXECUTE'),
(19616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[PSMSV2] Campagne des nouvelles fonctionnalités Freebet sur INT8: ALM > PROJET: PSMSV2 > 04 - INTEGRATION SYSTEME > 01 - IQ SPORT > 14.1.31-SNAPSHOT 2945 - FreeBets > 02 - PDJs avec Cash + E-Credit + F-Credit > 01 - PDJs Fronts (Betslip - Widget - Historique de jeux)'),
(19617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n'),
(20391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n(Suite) Investigation sur l\'impossibilité d\'accès au portail mobile sur INT4 (resolu)\n(Suite) Investigation sur l\'impossibilité de lancer des jeux sur PTAB INT4\nAnalyse du fonctionnement du WOF\nInvestigation sur l\'impossibilité d\'effectuer une prise de jeu sur dueldecarte sur INT12'),
(19619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[PSMSV2] Campagne des nouvelles fonctionnalités Freebet sur INT8: ALM > PROJET: PSMSV2 > 04 - INTEGRATION SYSTEME > 01 - IQ SPORT > 14.1.31-SNAPSHOT 2945 - FreeBets > 02 - PDJs avec Cash + E-Credit + F-Credit > 01 - PDJs Fronts (Betslip - Widget - Historique de jeux)\r\n\r\n[PSMSV2] Création des tests Combine Boosté dans ALM: 01 - IQ SPORT > 03 - Tests Nouvelles Fonctionnalités > 03 - Combinés Boostés'),
(19620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nVie des environnements : reconstruction serveur '),
(19623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nVie des environnements : installation jenkins'),
(19622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nVie des environnements : reconstruction serveur '),
(19624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nVie des environnements : nouveaux scripts box spoc'),
(19631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nFDL016430\nFDL016431');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(19633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nMettre à jour le Template de nos 5 sports dans HP ALM ( référentiel): Le faire évoluer de façon à ce qu\'il soit - La référence, au besoin c\'est à partir de lui qu\'on va construire nos futurs campagnes-Plus claire et plus cohérent. '),
(19634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nExécution de campagne d\'acceptance, nouvelle Version ABP :INT7 14.1.30.2-SNAPSHOT 59'),
(19635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nMettre à jour le Template de nos 5 sports dans HP ALM ( référentiel): Le faire évoluer de façon à ce qu\'il soit - La référence, au besoin c\'est à partir de lui qu\'on va construire nos futurs campagnes-Plus claire et plus cohérent.'),
(19636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nMettre à jour le Template de nos 5 sports dans HP ALM ( référentiel): Le faire évoluer de façon à ce qu\'il soit - La référence, au besoin c\'est à partir de lui qu\'on va construire nos futurs campagnes-Plus claire et plus cohérent.'),
(19640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nSPOC : Regularisation / recertification analyse des specifications (US Front)\nSPOC : Ecriture des tests d\'acceptance MAG Régularisation / Recertification\nANO047532 : echec qualification sur MAGO 1.0.58 => Pb affichage expiration session'),
(19642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nMCO Court Commercial + Incidents'),
(19643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[Migration Teradata] Clarification des actions sur le TR2 SIDCOM suite a l\'anomalie bloquante saisie sur stock grattage ANO049370'),
(19816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nSIDCOM TR2 Blocage ANO049370 // SIDCOM TR3 Blocage attente traitement DMT DMT0009659 // SIDC TR2 Rattrapage de données non consommées OK //  SIDC TR3 Deblocage suite installation livraison FDL016553 OK'),
(21200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nFDL 016553 : Installation SID Client.'),
(19649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 Exécution des campagnes de validation des valeurs par défaut'),
(19650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nLivraison d\'un document d\'analyse'),
(19651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - ETL_COMMERCIAL - FDL016437 - Test de non régression suite à la réinstallation (après correction) de la FDL'),
(19652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nExport des incidents de production'),
(19653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nInvestigation sur INC171843, INC171835, INC171815, INC171608'),
(19658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n- Qualification Ano043050\n- Travail et test sur les clés des services Digishops dans la cadre du projet Recertif / régul\n- Alimentation catalogue de tests Réfrentiel Digital Front pour Pallier SPOC'),
(19655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n[SPOC] - Recertification : \r\nAnalyse boutique A + échanges avec DFO - Boutiques  concernant le layer POST Authent  => pb de clé (key=Recertification) pilotant l\'affichage du layer.\r\nValidation en cours par le métier concernant la règle d\'affichage du layer '),
(19657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\nGestion des incidents'),
(19659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n- Bug Review Stream Coco'),
(19660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nAction : analyse campagne acceptation \r\nLivrable : bilan d\'exécution d\'acceptation des composants du compte sur l\'environnement INT81'),
(19661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nAction : analyse campagne acceptation \r\nLivrable : bilan d\'exécution d\'acceptation des composants du compte sur l\'environnement INT81'),
(22769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n- Installations et test MUG 2.9.7 IF sur 02\n- Support Sport sur soucis liens Historique joueur (problème WOF)\n- Déploiement Digishops nouvelles versions sur INT81'),
(19664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nAction : comité auto'),
(22770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n- Alimentation catalogue de tests Réfrentiel Digital Front pour Pallier SPOC'),
(19683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nPAssage de Co : PSEL Vitan \nALM; tests, architecture'),
(19682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-08  (Do not remove this line) -->\nPAssage de Co : PSEL Vitan\nALM; tests, architecture'),
(19708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nPAssage de Co : PSEL Vitan\nALM; tests, architecture'),
(19685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nPAssage de Co : PSEL android\nALM; tests, architecture'),
(19686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nréunions : fin de mission\npassage de co'),
(19671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - GENERALISATION DU VIREMENT LOT 1A 1B 1C - FDL016455 - Installation de l\'univers Infocentre Reporting CDP pour CGV'),
(19672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[STR] Installation de la FDL016553 sur le TR3'),
(20414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\nFDL016475.'),
(20413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nFDL016523.'),
(19687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nAction : implémentation test certification\nLivrable : test cible'),
(20412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nFDL016528.'),
(19678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nDéploiement + Acceptance des versions MUGO 1.0.32 - FDL016539  et MIGO 1.0.23 -  FDL016536 \n\nAcceptance Application Android Détaillant 1.1.001 : Rejet de la livraison (confirmation joueur prospect impossible)\n\nAnalyse pb de double validation du layer ARJEL à l\'authent SPORT lors de 2 pdj FREEBET identiques consécutives'),
(19681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nAction : implémentation test certification\r\nLivrable : test cible'),
(19689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nRéunion dev auto'),
(19690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nCodegen swagger\r\nDigishop 3.1.0'),
(19692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nComité automatisation\nPrésentation post man Fréderic Faissat.'),
(22928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nDigishop Nouvelle Clé Reserficiation/Régularisation'),
(19695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nDigishop 3.1.0 test rectification '),
(21896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nEtude Postman'),
(19697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nBSD.021.06 [REF] CSAM : Monté en compétence CSAM'),
(19698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Copie des bases de Prod SAGA / GDS. refresh des bases INT4SAGA / INT4COUR et INT4CODT. Mise à jour des comptes user et dblink'),
(19700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nBSD.021.06 [REF] CSAM : Monté en compétence CSAM. Intégration d\'un fichier LDIF sur INT1'),
(19702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Bascule PCA de 15 secteurs DD sur INT4SAGA.'),
(19703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Campagnes DI - DL et Mouvement juridique'),
(19704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nBSD.021.06 [REF] CSAM : Monté en compétence CSAM.'),
(19709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation des FDL016025, FDL016100 et FDL016250 sur INT2ARCA'),
(21199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[CERTIFICATION] Point sur les installations sur le TR3 avec Hervé Le Pallec'),
(19713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[RAM004] [OLYMPIA] [BCL.1423.08 [ME] DIGITAL] Fourniture du PV de qualification 3 FDLs FDL016144, FDL016145, FDL016438\r\n'),
(19714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n[Migration Teradata] Suppression des lignes qui posent problème pour le calcul des agrégats'),
(19742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n'),
(19744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\ndevis'),
(19745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n'),
(19746, 'Bonjour Gwendoline,\r\n\r\nLe traitement de  sollitation saxo n° INC0341394 nécessite l\'habilitation de la caf de l\'oise au service CDAP, par l\'administrateur national.\r\nPouvez-vous vous en occuper ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(19766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nMCO- EGIDE'),
(19767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - (réunion de suivi QS )'),
(19768, 'A appeler demain par téléphone afin de demander des informations'),
(19769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - Test et correction sur INT1 du fichier ldif livré par l projet avant installation en préprod - + formation Valérie'),
(19770, 'A appeler demain'),
(19824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nSIDCOM TR2 Attente Go // SIDCOM TR3 Attente DMT DMT0009659 // SIDC TR2 OK // SIDC TR3 OK après bypass de la partie sport flux L_SIC_PWEB'),
(20706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n[Migration Teradata] Point sur la situation chargement et calcul des agrégats TR2 V14 au 04/05/2017 + clarification des actions menées sur la partie BI4'),
(19776, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ndevis'),
(19777, 'Gwendoline a habilité la caf à CDAP'),
(19778, 'Bonjour,\r\n\r\nNous revenons vers vous au sujet du saxo n° INC0341394.\r\nVous n\'aviez pas la possibilité de formaliser une convention car votre caf n\'était habilité à aucun service.\r\nNous avons habilité votre caf au service CDAP.\r\nVous devez avoir la possibilité de formaliser des conventions sans aucun soucis.\r\n\r\nPouvez-vous tester et nous confirmer si tout est ok ? \r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(19779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n'),
(19783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n'),
(19781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n'),
(19784, 'Confirmation par téléphone de lé résolution du problème'),
(19785, 'Bonjour,\r\n\r\nJe reviens vers vous au sujet du saxo n°  INC0340064.\r\nLe SIREN d\'un organisme est unique à l\'échelle de l\'application et pas seulement à l\'échelle de la caf. \r\nIl doit y avoir un organisme ayant le même SIREN qui a déjà été saisi.\r\n\r\npar ailleurs, pouvez-vous tester si vous arrivez à créer un organisme partenaire ?\r\n\r\nCordialement,\r\n\r\nAlaa Rahmani\r\n04 89 39 00 57'),
(19786, 'A rappeler par téléphone cet aprem'),
(19787, 'Les logs WAS montrent des erreurs au niveau du pool de connexion qui est atteint\r\n\r\nVoir le fichier de suivi des exceptions depuis le DFS'),
(19789, 'Confirmation par téléphone de la résolution du problème'),
(19790, 'Problème résolu par les équipes DSI DOIT'),
(19814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nMise au point avec romain\nCreation ANO049445 pour le dysfonctionnement des jeux sur INT42 lié au WOF\nAnalyse de la documentation du nouvel arrivant CDS\nInvestigation sur le fonctionnement des jeux IF'),
(19792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 - Test suite à constatation données manquantes - WKF succeeded mais incomplet'),
(19813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 - Analyse avec M. TREGARAUD non complétude du WKF_L_CDP_REPORTING_VIR'),
(19794, 'Les utilisateurs se sont tous connectés au mois 2 fois avec succès.\r\nJ\'ai fait une demande d\'information sur le Saxo.\r\nEn attente de réponse'),
(19796, 'rubrique dossier : à tester et à comparer avec cafPro'),
(19798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nMise en place des templates des campagnes'),
(19800, 'Affecté à nous par erreur.\r\n\r\nA mettre à jour le fichier de suivi\r\n\r\nPuis cloturer le mantis\n\n'),
(19801, '3eme relance à partir d\'une action saxo'),
(19803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n- Réunion de suivi sport dev et implémentation\n- Qualification des campagnes de NonReg template.'),
(19827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nMCO + Suivi des incidents. Correction de la coloration du fichier de suivi des incidents.'),
(19807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n[PSMSV2] Campagne des nouvelles fonctionnalités Freebet sur INT8: ALM > PROJET: PSMSV2 > 04 - INTEGRATION SYSTEME > 01 - IQ SPORT > 14.1.31-SNAPSHOT 2945 - FreeBets\n\n[PSEL] Campagne de NonReg Front sur INT3 - Patch correctif - \nHOST:           agpadmi31\nSITE:           fdj2-origin_release_13-mysql2-45-9\nABP:            14.1.30.2-SNAPSHOT 59\nMOBILE:         5\nARGUS:          build-865\nPLATFORM:       1.0.174'),
(20820, 'Vu avec Kévin : l\'accès d\'un admin caf à CDAP ne doit pas être logué (pour affichage sur les tdb pca)'),
(20821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nPréparation de la doc des tests RT, ME, PT'),
(19812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nBCO.075.33 [DD] ORGANISATION LOGISTIQUE COMMERCIALE LOT 3 - DMT0009331 - INT4SAGA : Bascule DI-DD - Exécution des 4 campagnes créées.'),
(19825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nAnalyse recherche et réponse sur l\'Incident INC172008'),
(19820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n'),
(20707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nValidation de l\'environnement SIDCOM en V15'),
(21201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nMigration TeraData 15 : Vérification des installations suite à restauration des bases.'),
(19829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nmerge de la branche V1.10.1 avec la V1.11.0'),
(19830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nProblème des notifications '),
(19831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-04  (Do not remove this line) -->\nProblème des notifications '),
(19832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-03  (Do not remove this line) -->\nProblème des notifications '),
(19833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - (réunion de suivi QS + test avec SOPRA)'),
(19834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  Installation et qualification FDL016535'),
(19835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n'),
(19838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nanalyse Décommissionnement l\'ancien BO'),
(19839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nanalyse Décommissionnement l\'ancien BO'),
(19840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nanalyse Décommissionnement l\'ancien BO'),
(22799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nTests des services Falcon Transaction\nPréparation et Exécution de la campagne d\'Acceptance Falcon USR v.2.5.8'),
(19844, 'En l\'absence d\'une réponse, j\'ai fait le diagnostic à partir des actions saxo :\r\n\r\nBonjour,\r\nQuand l\'utilisateur ferme l\'onglet ou le navigateur sans se déconnecter du site du portail partenaire, il lui sera impossible de se connecter dans les 30 minutes qui suivent.\r\nUn message d\'erreur sera affiché à l\'écran lui indiquant qu\'une session est deja ouverte.\r\nPour pouvoir se connecter à nouveau, il suffit de vider le cache du navigateur et s\'authentifier après 30 à 40 minutes.\r\nMerci de cliquer sur le bouton \"déconnecter\" avant de femrer l\'onglet / le navigateur web.\r\nCordialement,  \r\nAlaa Rahmani'),
(19845, 'Si pas de réponse dans les prochains jours, saxo et ticket à passer à résolu'),
(19846, 'Si pas de réponse dans les prochains jours, saxo et ticket à passer à résolu'),
(19847, 'relancé dans saxo: action -> échange d\'information'),
(19848, 'Mail de viviane chappuy:\r\n\r\n \r\nBonjour,\r\n\r\nJ\'ai dû solliciter l\'administrateur du CD pour avoir réponse. Le problème perdure (cf les deux mails envoyés par Mme Albépart, administrateur du Conseil Départemental ci-dessous)\r\n\r\nCordialement,\n\n'),
(19851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nSAFERGAME : Réunion point de synchro avec la DT/IBM+ réunion sur préparation cloning des bases de recette vers pre-prod'),
(19850, 'A tester pour confirmer qu\'il s\'agit bien d\'un bug'),
(19900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nSuivi des Incidents + MCO Court Commercial + MCO SID Client TR2 et TR3'),
(19858, 'diagnostic fait à partir des actions saxo\r\n\r\nà attendre le retour client pour passer le mantis et le saxo à résolu'),
(19857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nSAFERGAME : Execution de 3 campagnes de tests (17 cas de tests)'),
(19920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nSAFERGAME : Exécution d\'une campagne de tests (16 cas de tests) + création ANO049556'),
(20017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nSAFERGAME : Création anomalie ANO049528+ reporting des chargements des données de tous les pivots'),
(19996, 'voir saxo pour plus de détails'),
(19861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-26  (Do not remove this line) -->\nExécution campagne de test Non Reg_BOX\r\nAnomalie remontée:   ANO049010'),
(19863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n'),
(19864, 'échange d\'information saxo:\r\n\r\nBonjour,\r\n\r\nNous étions en attente de l\'installation d\'une nouvelle version de l\'application.\r\nDans cette nouvelle version, la gestion des groupes et des administrateurs du groupe a été modifiée.\r\n\r\nAu jour d\'aujourd\'hui, pour une convention en mode délégatif, le responsable habilitation ne fait pas partie du groupe par défaut.\r\nPour qu\'il ait l\'habilitation, il faut l\'affecter au groupe.\r\n\r\nPouvez-vous tester si vous rencontrer ecore des difficultés avec les habilitations des groupes ? \r\n\r\nCordialement,\r\n\r\nAlaa Rahmani'),
(19907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nMontée en compétence sur Postman\nRecherche d\'informations sur le fonctionnement des digishops et MIG/MAG/MUG\nAnalyse des reponses des différents webservice en vue de la rédaction d\'une spécification pour convergence'),
(19869, 'Le commit est sur la stream maint 01.08.xx \r\nsous le work item 14377'),
(19871, 'Le saxo n\'est plus affecté à nos équipes\r\nà clôturer le mantis éventuellement\n\n'),
(19872, 'Bonjour,\r\n\r\nMerci pour ces informations.\r\n\r\nL\'accès pour créer un nouveau partenaire est revenu le lendemain de mon saxo.\r\n\r\nBonne journée\r\nLydie'),
(19873, 'saxo passé à résolu'),
(19874, 'Réponse via les actions saxo:\r\nBonjour,\r\n\r\nopui ça fonctionne. Merci\r\n\r\nCordialement.'),
(19875, 'Saxo passé à résolu'),
(20100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nSAFERGAME : Rédaction de 24 cas de tests'),
(19879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n[GSI] Installation FDL011073 sur le TR3'),
(19895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n[GSI] Création de 2 DMT DMT0009832 + DMT0009833 pour correction et modification de la chaine controlm TR3 + lancement de l\'alimentation du TR3 et correction de l\'erreur BIC'),
(19894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nSIDC TR2 rattrapage OK // SIDC TR3 rattrapage OK // SIDCOM TR2 en attente OK metier // SIDCOM TR3 KO WCS'),
(19890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nLancement et analyse de la campagne de NON REG Falcon USR 2.5.8 sur INT7. Problème de connexion à HP ALM (2 heures). Problème de connexion a Ojadgate ( 1 heure)'),
(19883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nRéunion aMOA sur les points en cours'),
(19884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nRéunion pb de prod'),
(19886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nUpdate Excel de suivi SAXO et Guide MCO'),
(19887, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRéunion pb de prod'),
(19888, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRéunion aMOA : pb en cours'),
(20079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nLancement et analyse de la campagne Falcon ITG et RTG sur INT3. (Acceptance et non reg)'),
(20483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nMCO Control-M TR 1 2 3 \nCréation documentation : batch : checkwinproc'),
(20479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nMCO Control-M TR 1 2 3 \nDivers exports pour IF\nFinalisation documentation : batch : checkwinproc'),
(19898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel FDJ/IBM'),
(22919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nsupport mep bingo rwd\npoint avancement regul/recertif\nreunion Ecriture catalogue régul/recertif POSTMAN => HP ALM\nMaJ doc utilisation postman sous Ojadgate'),
(19901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nBCO.075.33 [DD] ORGANISATION LOGISTIQUE COMMERCIALE LOT 3 - DMT0009331 - INT4SAGA : Bascule DI-DD - Fin d\'exécution des campagnes.'),
(19902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n[RAM 004] Investigations et synthèse sur les problèmes MCO sur I3_Odyssee_Envoie_Adelle'),
(19904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nINC171799 - Analyse incident production'),
(19905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nGestion des incidents'),
(19906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement + test avec SOPRA sur réseaucom et EGIDE - création d\'utilisateurs test réseaucom sur MPP'),
(19908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\ndocumentation statistique +  réécriture du jdl'),
(22801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nHP ALM indisponible.\nExécution et analyse campagne NR Falcon USR v.2.5.8\nRéunion présentation Postman pour la régul/recertif'),
(21951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nTest Falcon Transaction\nRéunion Comité automatisation\nRéunion Construction des reportings SPOC'),
(19911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(23818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nMise à jour catalogue postman'),
(23863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSupport HIA bingo pb de prod\n[SPOC] Point avancement Recertif/Regul'),
(19915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n[Falcon scripts Auto] Evolution des scripts USR 2.6.0,  mise à jour TC, correctifs, evol du login CC pour USR 2.6.0'),
(19916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n[AUTO BACK] Script BOX -pour tests ARJEL: Remplacement d\'un IBAN\r\nComité automatisation'),
(19917, 'RAF :\r\n- Mise à jour documentation fonctionnel pour les nouveaux droits et les nouvelles pages de l\'admin CAF\r\n- Ecriture tests HPALM'),
(19918, 'IHM-002 Paramètres partenaires\r\n- Page Organismes partenaire, retrait droits d’accès ‘voir’ au rôle Agent CAF\r\n- Page Organismes partenaire -> Consulter les types d’organismes, retrait droits d’accès ‘voir’ au rôle Agent CAF\r\n- Retrait de la permission Administration parametres Partenaires : Voir au rôle Agent CAF\r\n- Retrait de la permission Administration parametres Partenaires : action.VOIR_TYPE_PARTENAIRE au rôle Agent CAF\r\nIHM-007 Liste des conventions\r\n- Page Conventions, retrait droits d’accès ‘voir’ au rôle Agent CAF\r\n- Page Convention -> Consulter les conventions, retrait droits d’accès ‘voir’ au rôle Agent CAF\r\n- Retrait de la permission Administration Conventions : Voir au rôle Agent CAF\r\n- Retrait de la permission Administration Conventions : action.VOIR_CAF_CONVENTIONS au rôle Agent CAF\r\nIHM-013 Liste des utilisateurs partenaires\r\n- Retrait de la permission Administration Conventions : action.VOIR_UTILISATEURS_PARTENAIRES au rôle Agent CAF\r\nIHM-014 Créer / modifier utilisateurs partenaires\r\n- Retrait de la permission Administration Conventions : action.VOIR_UTILISATEUR_PARTENAIRE au rôle Agent CAF\r\nIHM-018 Liste des organismes partenaires\r\n- Page Organismes partenaire -> Consulter les organismes partenaires, retrait droits d’accès ‘voir’ au rôle Agent CAF\r\n- Retrait de la permission Administration Organismes : Voir au rôle Agent CAF\r\n- Retrait de la permission Administration Organismes : action.VOIR_ORGANISMES_PARTENAIRES au rôle Agent CAF\r\nIHM-023 Liste des groupes\r\n- Retrait de la permission Administration Conventions : action.VOIR_GROUPES au rôle Agent CAF\r\nIHM-024 Créer / modifier un groupe\r\n- Retrait de la permission Administration Conventions : action.VOIR_GROUPE au rôle Agent CAF'),
(19960, '16/05/2017 : ajout charge Mgr   2,5 + 0,3  car  on n\'a pas d\'activite de SES'),
(20102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nTests IF'),
(20103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nTests IF'),
(20104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nTests IF'),
(22794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nRéunion IF'),
(19926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 - Analyse avec M. TREGARAUD non complétude du WKF_L_CDP_REPORTING_VIR - ne fonctionne toujours pas'),
(19927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nRAM.004 - Install FDL016437 sur TR1, TR2 et TR3'),
(19929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nRéunion +  Implémentation tests auto Batch ReCertification'),
(19930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nImplémentation tests auto Batch ReCertification'),
(19931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nImplémentation tests auto Batch ReCertification'),
(19932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nImplémentation tests auto Batch Regularisation'),
(19933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nImplémentation tests auto Batch Regularisation'),
(19934, 'problème résolu par mail'),
(19935, 'Déjà implémenté'),
(19936, 'Nous n\'avons pas eu de validation.\r\nActuellement la demande MOA est la désactivation du NIR'),
(19937, 'Déjà implémenté'),
(23201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n'),
(19941, 'DNE_PHA_Qualification_Habilitation le 15/05 :\r\nBonjour,\r\n\r\nUne même personne ne peut être administrateur de 2 organismes partenaires à la fois. Si toutefois l\'application ne le permet pas via l\'adresse mail qui est unique, il suffit de renseigner une adresse mail secondaire de l\'administrateur en question. Exemple : jean.dupont@gmail.com pour le premier admin et jean.dupont@outlook.fr pour le second.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki HABPPS le 15/05/2017'),
(19942, 'saxo clos par le client en vue de la réponse apportée'),
(19943, '- Ajout de la page \"Agents Caf\" au site template \"Site CAF\"\r\n- Ajout de la page \"Agents Caf -> Consulter les agents Caf\" au site template \"Site CAF\"\r\n- Ajout de la page \"Agents Caf -> Créer un agent Caf\" au site template \"Site CAF\"\r\n- Ajout du portlet \"Administration CAFs\" à la page \"Agents Caf -> Consulter les agents Caf\"\r\n- Ajout du portlet \"Administration CAFs\" à la page \"Agents Caf -> Créer un agent Caf\"\r\n- Mise à jour des préferences du portlet de la page \"Agents Caf -> Consulter les agents Caf\", lien vers \"views/agent/list.xhtml\"\r\n- Mise à jour des préferences du portlet de la page \"Agents Caf -> Créer un agent Caf\", lien vers \"views/agent/edit.xhtml\"\r\n- Page \"Agents Caf\", ajout droits d’accès ‘voir’ au rôle Admin CAF\r\n- Page \"Agents Caf -> Consulter les agents Caf\" , ajout droits d’accès ‘voir’ au rôle Admin CAF\r\n- Page \"Agents Caf -> Créer un agent Caf\" , ajout droits d’accès ‘voir’ au rôle Admin CAF\r\n- Ajout de la permission Administration CAFs : Voir au rôle Admin CAF\r\n- Ajout de la permission Administration CAFs : action.CREER_AGENT au rôle Admin CAF\r\n- Ajout de la permission Administration CAFs : action.MODIFIER_AGENT au rôle Admin CAF\r\n- Ajout de la permission Administration CAFs : action.SUPPRIMER_AGENT au rôle Admin CAF\r\n- Ajout de la permission Administration CAFs : action.VOIR_AGENT au rôle Admin CAF\r\n- Ajout de la permission Administration CAFs : action.VOIR_AGENTS au rôle Admin CAF'),
(19944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n[PSEL] Campagne de NonReg Front sur INT3 - Patch correctif -\r\nHOST: agpadmi31\r\nSITE: fdj2-origin_release_13-mysql2-45-9\r\nABP: 14.1.30.2-SNAPSHOT 59\r\nMOBILE: 5\r\nARGUS: build-865\r\nPLATFORM: 1.0.174\r\n\r\n[PSEL] MaJ des cas de tests ALM NonReg Front'),
(19945, 'Problème de staturation du NSF. Les équipes de configuration ont donc augmenté la charge résolvant le problème.'),
(20111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nTest appli FDJ IOS et ANDROID suite a nouvelle livraison module api-mapi-tapi'),
(19969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nGestion des Incidents'),
(19947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(19948, 'Confirmation par téléphone que l\'utilisateur peut se connecter normalement. La consigne du\'utiliser le bouton \"se déconnecter\" a été préconisé pendant l\'entretiens.'),
(19949, 'A voir avec Romain si c\'est bien implémenté.\r\nVérifier dans le tableau de suivi'),
(19950, 'A voir avec Romain si c\'est bien implémenté.\r\nVérifier dans le tableau de suivi'),
(19951, 'A voir avec Romain si c\'est bien implémenté.\r\nVérifier dans le tableau de suivi'),
(19952, 'Bonjour,\r\n\r\nIl faut habiliter les personnes concernés à un groupe pour qu\'elles puissent accéder au portail partenaires. De part la capture d\'écran, l\'étape de la validation des règles d\'usages a déjà été réalisée.\r\n\r\nCordialement,\r\n'),
(19953, 'Routé vers Gwendoline'),
(19954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nSuivi des incidents + MCO Court Commercial + MCO SID Client'),
(19956, 'Problème du au  manipulation des equipes de production. Le problème a été résolu en relancant les applications de la prod'),
(19990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n[RAM 004] Création DMT pour correction Planification MCO des 3 jobs Odyssee + Incidents Ajout historique échanges dans le rapport Excel.'),
(22795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nAssociation cas de test aux exigences\nCréation de nouveau cas de test'),
(22796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nAssociation cas de test aux exigences\nCréation de nouveau cas de test'),
(19963, 'Une solution fonctionnelle consistant à créer un autre utilisateur a été apportée.'),
(19964, '--> Risque : Que faire pour les agents qui ont deja les droits ? Communication à faire ?! --> Demander à C.Millot'),
(19965, 'Options vues avec Kévin\r\n\r\n1) l\'ajout d\'un service spécifique PHA nécessiterais de :\r\n- filtrer son affichage dans la liste des services\r\n- filtrer son affichage au niveau de habilitations CAF\r\n\r\n2) l\'option de création via l\'administrateur d\'un role Liferay pour chaque type de supervision'),
(19966, 'J\'ai testé et j\'ai reproduit.\r\nLe status du partnerCustomGroup (open / closed) n\'est pas géré surtout quand pour le même utilisateur on a un partnerCustomGroup ouvert et un autre cloturé.\r\n\r\nj\'essaye pousser plus loin les tests, mais pas de données facilement identifiables (au jour d’aujourd’hui)'),
(19970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nMCO - EGIDE'),
(19971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nRAM.004 Gestion des problèmes - FDL015756_egide_4.40.00_liv sur INT3EGID'),
(19972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement + test avec SOPRA suite installation EGIDE 4.40'),
(19974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nSCUs'),
(19980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n[PSMSv1]: Campagne NonReg BACK / 14.1.30.2-b59 / INT3'),
(19981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n[PSMSv1]: Campagne NonReg BACK / 14.1.30.2-RELEASE / INT3'),
(19982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[PSMSv1]: Campagne NonReg BACK / 14.1.30.2-RELEASE / INT3'),
(19983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n[PSMSv1]: Campagne NonReg BACK / 14.1.30.2-RELEASE / INT3'),
(19984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet BACK - Investigation Anomalie / LateBet (=> qui en fait n\'est pas une ano) + Anomalie / BetToReopen (=> ANO049527)\n[PSMSv1]: Campagne NonReg BACK / 14.1.30.2-b59 / INT3'),
(20110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nReunion point FAQ\nReunion bug review\nConvergence Coproj'),
(19987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nRAM-004 - Install FDL016600 sut INT3ETL9 + livraison pour HIA'),
(19988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n- Configuration des fichiers de déploiement\r\n- Déploiement Digishops sur les env de Perf'),
(19989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n'),
(19991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nFichier de suivi des incidents + MCO Court Commercial'),
(20025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nRéunions \"Reprises des données Falcon\" et \"Suivi des projets Teradata\" + Suivi MCO pour les données Sport (reprise depuis le 09/05)'),
(19994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nSAFERGAME : Réunions présentation livraison du jour+mise au point des installations avec HIA pour monter la pre-prod+ Bug review+point de synchro'),
(19997, 'attendre le retour client, si pb persiste, proposer une demande d\'evol explicite dans un saxo'),
(20007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nAnalyse FAQ\nAnalyse du fonctionnement  du jackpotIF\nPoint WOF/Lancement jeux drupal/edwan apres mise ajour wof 2.9.7\nInvestigation sur le dysfonctionnement d\'une salle bingo sur PTAB INT32'),
(19999, 'Nous avons constaté dans les logs de pha-portlets des exceptions de type :\r\n\r\n - nullPointerException sur le second admin => corrigé et fais partie du prochain patch\r\n- ArrayIndexOutOfBoundsException => en cours de correction par Hérve (et Romain en test eventuellement) => fera partie du prochain patch également\n\n'),
(20000, 'Apparemment comportement similaire avec Cafpro qui lui-même est en cours de correction, en attente d\'un allocataire testable (demande faite par Loïc Mercier)\n\n'),
(20001, 'Routé vers ISU (réponse interne ne passant par le support national )'),
(20002, 'Loïc Mercier a déjà réalisé une correction sur ce point et est en attente d\'une donnée allocataire valable pour le test -> sera pris en compte dans le cycle de gestion CAFPRO / CDAP dès sa validation\n\n'),
(20003, 'Correction qui fera partie du prochain patch MCO\n\n'),
(20004, '\r\nSAXO redirigé vers l\'auipe précédente pour routage vers ISU'),
(20005, 'Le saxo concerne CafPro, il n\'est plus affecté à nos équipes '),
(20006, 'Réorganisation des tests en vue de la mise en GConf. Il a été décidé des les organiser en projets distincts:\r\n•	pca-tests-automatises\r\n•	pha-tests-automatises\r\n•	pps-tests-automatises\r\nQuitte à ce que soient dupliqués les scripts communs et les scripts de paramétrage, les projets devant être indépendants, surtout en vue de leur exécution future par Jenkins.\r\nÉcriture de la doc relative à ce sujet (en cours)'),
(20008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\ninstallation bamboo'),
(20010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nPresentation postman'),
(20014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nintegration collection IQ'),
(20013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\njenkins'),
(20015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\njenkins'),
(20016, 'La correction de Cafpro est prévue pour septembre et sauf demande contraire du client, sera prise en compte dans le cycle normal des corrections CAFPRO / CDAP. A noter toutefois que pour cette demande certaines données ne sont pas disponibles (montant des ressources évaluées) ou compréhensible (texte activité ????)'),
(20018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nSAFERGAME : Installation FDL016629 Cognos + Installation FDL016632 SPSS'),
(20020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nSAFERGAME : Installation FDL016635 IIB + Installation FDL016515 SQL'),
(20021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nrédaction du plan de test D43887'),
(20022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nRédaction du plan de test D43887'),
(20026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nScript TruClient : Remplacement_IBAN\n[ITF] Atelier Automatisation des tests\npoint dev script VuGen intégration du GetJackpot\nDataflowFusion : Modif mineure pour vérifier la présence\nPoint dev VuGEn\nITF : préparation des nouvelles procédures de login/logout pour les scripts de PDJ séquencés'),
(20024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nITF : modification du login/logout'),
(20365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n[vie des environnements] montée en compétence sur la gestion des scripts de création, analyse des logs et relancement\n[ITF] finalisation de la réorganisation du login et mise en place d\'une gestion d\'etat spécifique au scripts Motors d\'automatisation'),
(21952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nPréparation Campagne Acceptance et NR Falcon USR 2.6.1-1\nRédaction cas de tests API et DB Falcon Transaction'),
(21953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nRédaction cas de tests NR Falcon Transaction'),
(20433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nTest IF et support Recette'),
(22792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\ntests IF et support recette'),
(20032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nInstallation Falcon USR 2.5.8-1 sur INT0 puis sur INT3\r\nPréparation du Modop pour MEP Falcon USR'),
(20033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n'),
(20034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nInstallation de Falcon USR 2.5.8-1 OPR 2.5.3-1 BOX 2.6.3-1  sur INT1\r\nInstallation de Falcon USR 2.5.8-1 OPR 2.5.3-1 BOX 2.6.3-1 & ITG 2.2.7-1  sur INT5'),
(20035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nCampagne Non Reg INT3\r\nConstruction des templates de campagne'),
(20036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nCampagne Non Reg INT3\r\nConstruction des templates de campagne'),
(20037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nPréparation de la MEP Falcon USR 2.5. : composant + MOD'),
(20038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nConstruction CT vérification de la table BET_OUTCOME_MAP pour ETL'),
(20039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nSupport de MEP Falcon USR 2.5\r\nAmélioration des fiches HP-ALM suite à la mise en oeuvre d\'un script.'),
(20040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nAtelier de travail : Nouveaux markets à ajouter dans l\'automatisation (avec Fabien)'),
(20041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nPrise de connaissance du projet Gamification'),
(20042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nSuivi d\'avancement avec Raphaël'),
(22305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nQualification CT vérification de la table BET_OUTCOME_MAP pour ETL'),
(20046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régulation.'),
(20047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régulation.'),
(20057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nInstallation INT31 et tests Patch de Prod MUG FDL016567'),
(20050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nInstallation et test INT02 Projet IF\nDigishop A-3.1.3, I-3.1.4 et U-3.1.2'),
(20051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nOutil de promulgation'),
(22771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nRéunion SPOC - Régul Recertif (Mael)'),
(20053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nOutil de promulgation'),
(20054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nOutil de promulgation'),
(20657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nEcriture de tests des jeux ITG sous Postman'),
(20061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nSupport Métier Alexandra Hesse pour Patch de Prod MUG FDL016567'),
(20062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nSupport Perf pour déploiement Digishop (rédac mini mod op, questions / réponses)'),
(20089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n0,25 _ SPOC_ Freebet _ Ecriture (MAJ et ajout) cas de test RUN02 \n0,75 _ SPOC_ Freebet _ Execution cas de test RUN02'),
(20065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n- Mise à jour Doc API Digishop\r\n- Support Sport suite problème HN2 (WOF) - analyse du comlposant - rédaction d\'une MOD011674\r\n'),
(20075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nTravail sur rédaction tests Qualification SPOC'),
(20072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nIntéractive Factory : Montée en compétence avec Patrick Girardet. Ecriture de cas de test pour Falcon Transaction avec la version de Falcon USR 2.6.0'),
(20073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nIntéractive Factory : Montée en compétence avec Patrick Girardet. Ecriture de cas de test pour Falcon Transaction avec la version de Falcon USR 2.6.0'),
(20070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n- Bug Review Stream Coco\n- Revue documentation tablette détaillant (P Amerio)'),
(20074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nEcriture de cas de test pour Falcon Transaction avec la version de Falcon USR 2.6.0'),
(20076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nPassage de connaissance MAG (P Amerio)'),
(20805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nTravail sur rédaction tests Qualification SPOC'),
(20078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n0,25 :  SPOC_ FB-BB _ Ecriture cas de test\r\n0,75 :  SPOC_ FB-BB _ Exécution cas de test'),
(20090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n0,75 : Echange avec Lotsys pour MAJ des specs non conformes\n0,25 : Génération de jeux de données pour export SID => MAJ execution cas de test correspondant'),
(20081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nSPOC_ Freebet _ execution cas de test'),
(20082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nAnalyse du référentiel FALCON'),
(20083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nSPOC_ suivie d\'avancement'),
(20085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nAnalyse du référentiel (Compte joueur) => Repartition Front / Back / Auto'),
(20086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nTemplate basket tests autos'),
(20087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n0,20 : Instance IQ special SPOC\r\n0,30 : SPOC_ Freebet _ Qualification des anomalies'),
(20088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nConfiguration de source tree. probleme de proxy\r\ninit repository git pour swagger codegen\r\nmodification des script digishop\r\n\r\n'),
(20094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nreport des modifications des langue  sur le nouveau repository\nEtude du protogen digishopA'),
(20092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nSPOC Freebet : CR erreur de validation Layer ARJEL (evt annulation de PDJ)\r\nSPOC REgul : Analyse + écriture des tests acceptance MUG'),
(20093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nComité automatisation'),
(20108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nModification du tunel d\'authent\nModification optional step\nInstall node js et newman'),
(20096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\ntemplates basket tests autos'),
(20097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nValidation du retour Place sur les multiples complexes + non-reg manuelle INT3'),
(20098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nnon-reg manuelle INT3');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(20099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nnon-reg manuelle INT3'),
(20101, 'Bonjour,\r\n\r\nVotre convention est une convention en mode délégative. De ce fait vous déléguer les opérations de gestion, modification suppression des groupes aux responsables habilitations. Les 2 comptes administrateurs partenaires ne sont responsables habilitations d\'aucun groupes ouvert. Seul le compte ACC01608ER était responsable d\'un groupe qui aujourd\'hui est clôturé. Il est donc normal qu\'il ne puissent effectué d\'opérations sur des groupes dont il ne sont pas responsables. Dans le cas contraire il faut les nommer responsables habilitations des groupes. \r\n\r\nCeci n\'est pas un bug mais un comportement normal.'),
(20106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\ninstalation jenkis\r\ntest et mise en place de tache '),
(20107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nswagger codegen'),
(20109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nAnalyse du fonctionnement de la communication entre drupal et le wof\r\nCreation de la MOD011656 avec Sophie MACE'),
(20112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nTest appli FDJ IOS et ANDROID suite a nouvelle livraison module api-mapi-tapi'),
(20113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nTest appli FDJ IOS et ANDROID suite a nouvelle livraison module api-mapi-tapi\r\nTest sur les notifications entre FDJ/Loto/Euromillions en erreur sur IOS'),
(20160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n(Draft) Redaction d\'un draft pour les spécifications drupal et générique pour convergence\nDemo convergence\nAnalyse FAQ (Suite) \nAnalyse des modifications de drupal pour intégrer la gestion des jeux IF'),
(20115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nTest appli FDJ IOS et ANDROID suite a nouvelle livraison module api-mapi-tapi\r\nLivraison catalogue pour mep nouvelle version Loto euromillion IOS\r\nContinuité test sur erreur notif\r\n3 anos a créer'),
(20116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nTest appli FDJ IOS et ANDROID suite a nouvelle livraison module api-mapi-tapi\r\nLivraison catalogue pour mep nouvelle version Loto euromillion IOS\r\nContinuité test sur erreur notif\r\n3 anos a créer'),
(20117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nReunion equipe'),
(22797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nEcriture cas de test dans ALM code promo\nRemontée ANO:  ANO049604 :  [IF] [BOX-2.6.3]Montant du gain du jackpot non affiché  dans le pop in detail historique'),
(20120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nCAMPAGNE NON RÉGRESSION USR 2.5.8-1 / MOTORS 1.5.3-1 INT3 '),
(20121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nCAMPAGNE NON RÉGRESSION USR 2.5.8-1 / MOTORS 1.5.3-1 INT3 '),
(20122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nCAMPAGNE NON RÉGRESSION USR 2.5.8-1 / MOTORS 1.5.3-1 INT3 '),
(20124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n[IF] Qualification d\'anomalies sur nouvelles version ITF 2.0.2'),
(20125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nMISE A JOUR POUR CORRECTIF CATALOGUE JEU COULEUR FETICHE MOTORS'),
(20126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nMISE A JOUR POUR CORRECTIF CATALOGUE JEU COULEUR FETICHE MOTORS'),
(20128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n[IF] Ecriture de cas de test Liquidity Manager'),
(20129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n[IF] Point automatisation\r\n[IF] Point équipe manuelle\r\n'),
(20130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n[IF] Qualification Liquidity Manager'),
(20131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nSIDC TR3 et TR2 OK // SIDCOM TR3 en attente implémentation DMT0009833  // SIDCOM TR2 attente go pour chargement delta du 05/04'),
(20132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n[IF] Ecriture cas de test Liquidity Manager'),
(20133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[IF] Ecriture cas de test Liquidity Manager'),
(20134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nAnalyse et correction des incidents de production reporting INC171563'),
(20135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[RAM004] Installation des Zeuki en RM FDL011897_SELLIGENTX_BI_13.0_liv2, FDL011435_SELLIGENTX_BI_13.0_liv1'),
(20191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[STR] Aide sur recette segmentation SPORT rapport  \'Limitation segmentée-Détail joueur\'.'),
(20145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nSPOC - Regularisation, Recertification : support automatisation (utilisation des clés \"Regularization\", \"Recertification\" par les boutiques) + anomalie MAG\n\nDéploiement boutiques DIGISHOPA \'2.2.11\', DIGISHOPI \'2.2.6\', DIGISHOPU \'2.2.9\'   sur INT71 => mise à la cible MEP Falcon 2.5.8 de lenvironnement\n\nDocumentation applications détaillant - Olympia'),
(20411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nFDL016563'),
(20410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nFDL016561'),
(20409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nFDL016605'),
(20407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nBingo 1.4.129.58841'),
(20146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nMaintenance Olympia : \n- tests d\'acceptance application PDV 1.1.003\n- support recette pour qualification anomalies MIGO sur INT1 (retour arrière sur une version MAGO permettant de s\'inscrire)\n\nMise à niveau environnement PERF :\n- Identification d\'un pb de configuration SALT (interférence entre la conf de INT51 et PRF2)\n- Correction apportée dans les fichiers pillar/top.sls (suppression des éléments \'fr500*\')'),
(20148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nFormation Bruno : présentation de l\'applicatif avec focus sur les composants IHM du compte'),
(20144, 'Problèmes relatifs au problème de lenteur constaté sur le portail partenaire a partir du 10/05/2017\r\n\r\nL\'utilisatrice a confirmé sa résolution'),
(20149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nFreebet : Anomalie validation evt annulation pdj => recuperation + envoi des logs pour la saisie de l\'anomalie\r\n\r\nInteractive Factory : support tests auto => pb d\'authentification sur INT81\r\n\r\nSPOC - recertification : ALM ajout tests MUG'),
(20156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nFormation Bruno\n\nOlympia : documentation applications détaillants + Revue doc avec Philippe\n\nRéférentiel de tests : Analyse des doublons + éligibilité à l\'automatisation \n'),
(20152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nMettre à jour le Template de nos 5 sports dans HP ALM en même temps d\'exécuter la NonReg sur INT3'),
(20153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nMettre à jour le Template de nos 5 sports dans HP ALM en même temps d\'exécuter la NonReg sur INT3'),
(20154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nFichier de suivi des incidents + MCO Court Commercial + MCO SID Client'),
(20155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nMettre à jour le Template de nos 5 sports dans HP ALM en même temps d\'exécuter la NonReg sur INT3'),
(20157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nRéexécution des templates des 5 sports sur INT7.'),
(21204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nMigration Teradata : Réunion planification et avancement'),
(20159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nFinir la Réexécution des templates des 5 sports sur INT7, Et éventuellement sur un autre environnement( INT9)'),
(20161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nVie des environnement : reconstruction du serveur / jenkins'),
(20162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nVie des environnement : reconstruction du serveur / jenkins'),
(20163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nVie des environnement : nouveaux scripts spoc'),
(20164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nVie des environnement : nouveaux scripts spoc'),
(20166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Installation FDL016613 sur INT2 + tests de qualif'),
(20167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Installation FDL016613 nsur INT1 + import complet du référentiel et livraison HIA'),
(20480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nMCO  Multimédia TR1 2 3 \nFinalisation document word Description-des-jobs-MULTIMEDIA-controlM-dans-un-environnement-d’intégration-transverse\nRéunion \"atelier de travail afin de mutualiser nos efforts sur les jobs Digital Sport en erreur au quotidien.\"'),
(20481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nMCO  Multimédia TR1 2 3 \nRéunion \"MCO Transverse Digital, SID et Client\"'),
(20485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nMCO control-M Multimédia TR 1 2 3'),
(20171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nDocumentation scripts Falcon Transaction\r\nPrésentation aux implémenteurs.'),
(20172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nComité automatisation.\r\nEvolutions fonctionnelles auto tests batchs.\r\nAnalyse journalisation.'),
(20176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n[ITF] Atelier Automatisation des tests. Evolutions fonctionnelles auto tests batchs. Suivi Falcon Transaction. Analyse préliminaire existant JRN, PDJ MTR du côté CIP.'),
(20177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nEvolutions fonctionnelles auto tests batchs.\nOrganisation des travaux campagne auto tests PDJ, JRN, logs ...\nAnalyse de l\'existant.'),
(20178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nEtude de faisabilité tests auto avec JRN.'),
(20182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Mouvements Juridiques secteur DL. Bascule DI - DL.'),
(20180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016172 (application SAGA) sur le TR2.'),
(20181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nRAM.004 : Qualification des anomalies ANO048325 et ANO048389. Rédaction du document d\'installation et du PV de qualification. Les livrables ont été déposés sous SVN.'),
(20185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nSemi automatisation des tests présences catalogues, georestriction, checkversion dans l\'application fiddler d\'avoir des tests génériques sur l\'intégralité des applications natives IOS et Android sur le sport.\nUtilisation de regex pour optimiser les appels.\nRéalisé avec Vincent BINY.\nEtat des lieux sur les différentes applictions sports (plusieurs MOD sont actuellements non réalisées)!\nDaily meeting (1h)'),
(20184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nDaily meeting (1h) + Atelier (PSMS V2 Freebet - Combi boosté) (1h) + Atelier présentation borne (Projet JASON) (1h30).\r\nInvestigation sur les problèmes de génération sur les QR Codes sur le site et les applications natives PS PDV --> propositions de solution.\r\nCorrection d\'un coquille dans les catalogues Parionsdirect (appVersion incorrecte sur la version 1.1)'),
(20187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nDaily meeting (1h) --> les devs Android ne nous écoutent pas du tout, besoin de clarifier le rôle de chacun --> Philippe prend le point.\nAvancement lecture documentation lecture Freebet et Combi-boostés.'),
(20189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nDaily meeting (1h).\nAvancement sur les appels mify/gp pour PSEL Android, /m et ParionsDirect --> Atelier avec Vincent GIRARD et JEREMIE KIEFFER pour discuter sur le sujet (finalement le métier va créer des pages libres spécifiques pour PSEL Android).\nRéunion sur les problèmes de PERF PSEL Android, appels en double sur /mify/bs/selections, gestion de deux paniers.... (1h30)'),
(20190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\ndaily meeting (1h).\r\nnormalement freebet - combi-boosté.\r\navancement PSEL Android / VITAN.\r\nInvestigation...'),
(20192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[MigrationTeradata] Création de 2 DMT pour migration des chaines d\'intégration DMT0009961 et DMT0009960'),
(20193, 'Le problème provient du navigateur de l\'utilisateur et n\'est donc pas une erreur technique. Ceci a été confirmé par l\'utilisateur demandant la cloture du saxo comme suit : \r\n\r\nJe me suis fait fournir les codes de Mme Verne. Effectivement, cela marchait pour moi. J\'ai donc recontacté le Conseil Départemental, et de nouveau, l\'écran restait figé pour Mme Verne. Toutefois, en se connectant via Mozilla Firefox, tout fonctionne. Il s’agit donc apparemment d’un problème lié à Internet Explorer.\r\n\r\nVous pouvez donc cloturer le saxo, le responsable des habilitations du CD passera l\'information pour les autres utilisateurs qui n\'arrivent pas à se connecter.\r\n\r\nY a t \'il des informations spécifiques à donner aux partenaires sur la versiion d\'IE, ou la nécessité d\'utiliser Mozilla Firefox ? Merci de votre réponse.'),
(22775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nTests auto Batch SPOC'),
(22917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nRéunion'),
(22776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nTests auto Batch SPOC'),
(22777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nTests auto Batch SPOC'),
(22778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nTests auto Batch SPOC'),
(20199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016172 (application SAGA) sur les TR1, TR3, TR4.'),
(20318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Mise à jour des campagnes dans ALM.'),
(20201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nMCO Court_Commercial'),
(20202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nFormation CSAM'),
(23147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nBTI.050.06-Playstation : Lecture de l\'étude d\'impact et des Spécifications SAGA.  Les documents présentes des différences notables à consigner dans une Fiche de Relecture.'),
(20439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[PSEL] Campagne de NonReg Front sur INT3 - Patch correctif -\nHOST: agpadmi31\nSITE: fdj2-origin_release_13-mysql2-45-9\nABP: 14.1.30.2-SNAPSHOT 59\nMOBILE: 5\nARGUS: build-865\nPLATFORM: 1.0.174'),
(20438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n[PSEL] Campagne de NonReg Front sur INT3 - Patch correctif -\nHOST: agpadmi31\nSITE: fdj2-origin_release_13-mysql2-45-9\nABP: 14.1.30.2-SNAPSHOT 59\nMOBILE: 5\nARGUS: build-865\nPLATFORM: 1.0.174\n\n[PSEL] MaJ des cas de tests ALM NonReg Front\n\n[PSEL][ABP OFFRE] Qualification des fiches d anomalies\nANO043915\nANO047333\nANO045396'),
(20320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nRAM.004 : Copie des bases de PROD SAGA et GDS et refresh des bases INT4SAGA, INT4COUR et INT4CODT. Installation de la FDL016363 sur INT4SAGA.'),
(20208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nRAF RG fin gestion logement'),
(20209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nPrise en compte des derniers retours de Frederic Andre suite réunion du mardi 16 mai 2017'),
(20210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nFormation CSAM'),
(21193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nMigration Teradata : Listing de l\'ensemble des jobs Control-M qui vont être changés pour la migration Teradata.'),
(20380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nAction : campagne de test suite à livraison falcon usr v2.5 sur int7\nLivrable : bilan d\'exécution'),
(20376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nAction : campagne de test suite à livraison falcon usr v2.5 sur int7\nLivrable : bilan d\'exécution'),
(20388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nAction : campagne de test suite à livraison falcon usr v2.5 sur int7\nLivrable : bilan d\'exécution'),
(20377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nAction : etat des lieux\nLivrable : etat des lieux'),
(20378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nAction : conception/implémentation certif\nLivrable : plans de test associé'),
(20379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nAction : conception/implémentation certif\nLivrable : plans de test associé'),
(21745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\ninvestigation sur accengage pour pouvoir établir des tests sur les push'),
(20394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n'),
(20396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(20430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nFichier de suivi des incidents + MCO Court  Commercial + MCO SID Client + MCO SID Commercial'),
(20400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\ncréation des AMS-972 et AMS-973'),
(20399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nCréation de l\'ANO049611 pour la perte de la surcharge de la variable originId sur PSBOR ; Création de l\'ANO049616 pour les appels mify live toujours présent sur JASON'),
(20228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 - Analyse avec M. TREGARAUD non complétude du WKF_L_CDP_REPORTING_VIR - ne fonctionne toujours pas'),
(20229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 - Analyse avec M. GINOUX non complétude du WKF_L_CDP_REPORTING_VIR - ne fonctionne toujours pas - Anomalie créée.'),
(20713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - Qualification EGIDE 4.40'),
(21573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nRedaction de tests Postman - Regularisation'),
(21574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nModification des scripts de creation de joueurs pour variabiliser l\'environnement\nModification du template html newman pour le rapport de test des collections completes\nPoint avancement recertif/regul'),
(20233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n'),
(20237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(20238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(20240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n'),
(20239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n'),
(20241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n'),
(20242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(22798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nCréation cas de test(jeu passerelle + lier les exigences)\nBug check'),
(20309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nGestions des incidents'),
(20308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement + test avec SOPRA'),
(20307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MPP  Reconfiguration de MPP pour les nouveau profils + echange avec ILEX sur PB SPML'),
(20247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n[GSI] [TR3] DMT DMT0010004 pour user inconnu'),
(22828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nVie des environnement : nouveaux scripts spoc'),
(20255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nSIDC TR2  &TR3 OK // SIDCOM TR3 reprise en cours // SIDCOM TR2 attente go metier'),
(21203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[GSI][STR][StockGrattage] Point avec Franck sur le statut des  environnements SID'),
(20253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[RAM004] Lancement et check de l\'extraction Zeuki sur la recette de masse + réponses aux sollicitations d\'HIA'),
(21202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n[MigrationTeradata] Point d\'avancement avec Sebastien Pradon'),
(22808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nImplementation de tests auto, creation des tets auto pour imports de masse. Recuperation et mise en place d\'une business view. Lancement et reporting des campagnes NR INT7 ARJEL.'),
(22822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\ncreation des tets auto pour imports de masse. Recuperation et mise en place d\'une business view. Lancement et reporting des campagnes NR INT7 ARJEL.'),
(22811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\ncreation des tets auto pour imports de masse. Recuperation et mise en place d\'une business view. Lancement et reporting des campagnes NR INT7 ARJEL.'),
(21576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régul/recertif.'),
(21578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régul/recertif.'),
(20277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n- Daily\n- Regex sur Fiddler pour l\'autorespondeur\n- Configuration ordinateur'),
(20278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n- Daily\n- Réunion (Jason + Free Bet)\n- Redirection 301 avec Fiddler'),
(20279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n- Formation secours\n- Etude problème QR Code\n- Etude Free bets'),
(20276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n- Daily\n- Réunion et étude fonctionnelle sur la séparation des nouveautés mify/gp avec Julien et Vincent Girard\n- Récupération et installation du \"nouvel\" ordinateur'),
(20269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n- maj d\'environnement livraison FDJ\r\nINT32	1.0.9_apimaitre	FDL016578\r\n- création ANO049505 [APPLIMAITRE] WagerEndDate pour l\'Euromillions incorrect\r\n- investigation services MAPI, TAPI pour la souscription\r\n- alertes remontées sur le service mapi/subscription/setsubscribe, investigation\r\n- qualification livraisons appli FDJ'),
(20271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n- maj d\'environnement livraison FDJ\nINT32	4.2.4_mapi	FDL016487\nINT32	2.0.1_tapi	FDL016415\nINT12	1.0.9_apimaitre	FDL016578\nINT32	4.1.5_mrcd	FDL016598\nINT12	4.1.5_mrcd	FDL016598\nINT12	2.0.2_tapi	FDL016586\n- pb remonté côté appli native sur l\'affichage de la get-home, pb l\'ordre des tuiles\nINT12	4.2.6_mapi	FDL016587\n- création ANO049514 [MAPI] PHP Warning:  Illegal string offset \'channels\'\n- MES du service /apigw/rtg/lotonoel\n- qualification livraisons appli FDJ'),
(20272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n- réunion [CONVERGENCE] : CoPro SI/DT\r\n- création ANO049557 [APPLIMAITRE] Service mapi/subscription/setsubscription Method GET : 405\r\n- création ANO049560 [APPLIMAITRE] Service mapi/subscription/setsubscription paramètres manquants : 400\r\n- dump de base edwan int32 vers int91 pour dev\r\n- création ANO049570 [APPLIMAITRE] Retour du service tapi altéré\r\n- création ANO049571 [APPLIMAITRE] Mauvais retour du service mapi/subscription/setsubscription en inscription mixte\r\n- suport lotsys pour ouverture de jeu wof sur INT61\r\n- qualification livraisons appli FDJ'),
(20273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n- réunion [Convergence] Gestion des alias d\'URL \r\n- maj d\'environnement livraisons FDJ\r\nINT32	4.2.6_mapi	FDL016587\r\nINT32	2.0.2_tapi	FDL016586\r\nINT32	4.2.7_mapi	FDL016589\r\nINT32	2.0.3_tapi	FDL016615\r\n- campagne de tests de non reg sur applis natives Loto, Euromillions mapi/subscription\r\n- qualification livraisons appli FDJ'),
(20274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n- réunion [Convergence] Démo / Poker Planning\r\n- support ev, ano critique régression sur service mapi/subscription/setsubscribe\r\n- maj d\'environnement livraisons FDJ\r\nINT32	1.0.10_apimaitre	FDL016592\r\nINT32	4.2.10_mapi	FDL016653\r\n- MEP du composant APIMAITRE\r\n- qualification livraisons appli FDJ'),
(20275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(20406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nCopie de prod sur int11 + redaction doc associée'),
(20282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nSAFERGAME : Qualification ANO049528, ANO049432, ANO049421, ANO049332 + Création DMT0009992 pour création de compte externe IBM supplémentaire pour snow + requêtes en base à la demande de la recette'),
(21575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\npresentation postman Nicolas et Christophe\nmodification du template de rapport newman\nRedaction de test postman recertif'),
(20284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n'),
(20310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nInvestigation sur un problème d affichage de résultat keno manquant en production\nRedaction d\'un document pour rattraper les promulgation manqués sur drupal'),
(20289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n'),
(20290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n'),
(22800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nqualification ANO 048984 / 049051\nRemontée d\'ANO\nANO049647:[IF][DigishopA 3.1.2] Déconnexion immédiate du site Hazard dès  lancement du site Paris Sport.'),
(20333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nRECONCILIATIONS'),
(20334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nRECONCILIATIONS'),
(20335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nRECONCILIATIONS'),
(20336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nRECONCILIATIONS'),
(20297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nCorrection de TU pour livraison sprint 8'),
(20298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\nCorrection de TU pour livraison sprint 8'),
(20300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n'),
(20301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nCorrection TU pour livraison du sprint 8'),
(20302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nCorrection TU pour livraison du sprint 8'),
(20303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nIntégration continue, contact OCDA pour accès Sonar'),
(20304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nGestion des incidents'),
(20305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement + test avec SOPRA '),
(20306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MPP  - Modification sur paramétrage Profil, création de jeu de données  (provisioning)'),
(20314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Installation de la FDL016395 sur le TR1'),
(20313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Installation de la FDL016566 sur le TR1'),
(20315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Campagne d\'acceptation FDL016395'),
(20317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Tests de chargement de fichiers VA sur le TR1'),
(20319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nBCO.102.30 Gestion des secteurs isolés : Campagne de test sur mouvement juridique d\'un secteur en DI 663'),
(20322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Tests de chargement de fichiers VA sur le TR1'),
(20323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 : Campagne d\'acceptation FDL016566'),
(20324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nFichier de suivi des incidents + MCO Court Commercial + MCO SID Client (Problématique des multiples incidents déclarés sur une même cause potentielle)'),
(21194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nMigration TeraData : Retro-documentation de la chaîne control-M pour permettre la demande des modifications lors de la migration.'),
(21954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nRédaction du rapport de la campagne d\'Acceptance API & DB - FALCON - USR-2.6.1-1 sur INT9 et analyse de la campagne de NR\nExécution de la campagne d\'Acceptance  API & DB - FALCON - USR-2.6.1-1 sur INT8'),
(20338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nPassage de connaissance MAG (P. Amerio, M. Le Ray)\nPrésentation POSTMAN  catalogue tests  par Nicolas Fontaine\nTransfert de connaissance à Bruno\nPrise en compte remarques + complément documentation applications détaillant Olympia'),
(20339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n'),
(21746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n- Daily\n- Script Fiddler'),
(20341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n[PSEL] Campagne de NonReg Front sur INT3 \r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_13-mysql2-45-9\r\nABP:            14.1.30.2 RELEASE\r\nMOBILE:         5\r\nARGUS:          build-865\r\nPLATFORM:       1.0.174\r\n'),
(20349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[ABP OFFRE] Test des nouveaux markets type \"Race\" en live beach volley.\n\n[PSMSV2] MaJ des cas de tests Combiné boosté dans ALM\n\n[PSMSV2] Qualification des fiches d\'anomalies PSMSV2'),
(20343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[GSI][TR3] Création de la DMT0010061 pour modification du job I3EGI-EXTRACT_CA-020-WKFE'),
(20344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nModification des script pour Digishop 3.1.x\r\nCréation de taches Jenkins (prise en main)'),
(20346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nprise en main de jenkins'),
(20348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nprise en main de jenkins'),
(20350, 'Anomalie confirmée par au moins 2 caf'),
(21151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nRECONCILIATIONS'),
(21152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nRECONCILIATIONS'),
(21153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nRECONCILIATIONS'),
(20354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(20355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n'),
(20356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\n'),
(20357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n'),
(20358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n'),
(20359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n'),
(21154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nFALCON'),
(21155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nFALCON'),
(21149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n'),
(20363, 'Testé en local et le mail part bien à l\'adresse mail du vérificateur.'),
(20366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[ITF] suppression des dépendances existante sur l\'automatisation dans l\'orchestration, et création d\'une fonction GetJackpot de prérequis de PDJ Motors'),
(20367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(20368, 'relancé par action saxo'),
(20370, 'Question fonctionnelle :\r\n- Est-ce qu\'on est censé garder une trace quand un user est supprimé d\'un groupe ?\r\n\r\nSolution de contournement :\r\n\r\n- Tester en local si la suppression du partnerCustomGroup cloturé résout le problème'),
(20374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nSAFERGAME : Point de synchro entre FDJ/IBM+ Point avec Maher (recette) sur ses anos en cours'),
(20373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nMCO EGIDE sur le TR2 et TR3'),
(20386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nAction : campagne de test suite à livraison falcon usr v2.5 sur int7\nLivrable : bilan d\'exécution'),
(20390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n(Suite) Investigation sur l\'impossibilité d\'accès au portail mobile sur INT4 (resolu)'),
(20401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\ncréation des MOD011652 et MOD011653 pour l\'ajout des variables sqlite offre et résultat au catalogue ; création des MOD011658 et MOD011659 pour l\'ajout des variables pour les identifiants Accengage au catalogue ; test installation version de prod PSPDV Android puis version 4.5.008 -> plus d\'erreur'),
(20402, 'Relancé par action saxo.\r\nSaxo à passer à résolu le lundi prochain'),
(20426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nMOD011694 ; test sur PSPDV 4.6 ; MOD011698 ; installation de WSPO 3.0.1-1 et de PSBOR 2.0.1-1 sur INT1 et début tests'),
(20420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nSAFERGAME : Création ANO049695, ANO049696, ANO049701, ANO049702'),
(20425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nExécution des campagnes ARJEL sur INT8 (USR 2.6.1-1). Création et mise à jour des cas de tests d\'import de masse Ecredit et Fcredit. correction de tests ne passant pas sur l\'environnement INT8 (seulement les erreurs liées au pLogin à la place de UAC_ID) et Clean des tests en doublon.'),
(20418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nTraitement de l\'INC172381 Création de 2 procédures modifiées pour reprise'),
(20419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nSIDCOM TR3 Reprise WCS // SIDC TR2 et TR3 OK'),
(20421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nSAFERGAME : 1 campagne de tests exécutée (24 cas de tests)'),
(20422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(21577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nSupport Bingo Int3\nRedaction de tests postman recertif'),
(20424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nTravail BC et périmètre'),
(20428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n'),
(20429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(20434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nSegmentation Temps Réel : Investifation sur l\'anomalie de joueurs segmentés non remontés dans les tables socles teradata.'),
(20435, 'Effectuer un chiffrage\r\nIdentifier une solution\r\nFaire une étude d\'impact\r\nPrésenter le tout à Jeremy et Seb pour validation.'),
(20436, 'Tache de suivi sur le MCO.\r\nTache réel sur la commande CDAPV2 lié a ce Mantis\r\nPas d\'imputation sur ce Mantis'),
(20437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[Migration  Teradata] Support sur les actions post chargement des SIDC et SIDCOM + support sur la copie des univers et rapports'),
(20487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nMontée en compétence sur Postman (suite)\nRedaction de tests sur postman pour drupal\nInvestigation sur la valeur Expires des pages ptab a 01 janvier 1970\nInvestigation sur un probleme curl_init() lors de la creation/maj d\'un motif sous FAQ'),
(20442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nSAFERGAME : Rédaction de 12 cas de tests'),
(20448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nanalyse Décommissionnement'),
(20444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nmodification bouchon'),
(20560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[POUPEES RUSSES] Modification Documentation PROJET\n[COHERIS] Avancement des sujets'),
(20559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[POUPEES RUSSES] Modification Documentation projet\n[POUPEES RUSSES] Préparation FDL016705_Coheris_Oracle_FAQ_CRM_F_5.7.0.0\n[POUPEES RUSSES] Modification Bouchon : TU_Chargement_client_V2.2.xlsm'),
(20449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\n'),
(24445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nMCO controlM Multimédia TR1 2 3 \nPrise en main Postman'),
(22840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nMCO ctrl m multimédia TR 1 2 3 \nRédaction cas de test recertification'),
(22841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nMCO ctrl m multimédia TR 1 2 3 \nRédaction cas de test recertification'),
(20457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\ntests IF :\ncontrôles des anomalies à l\'état suspendues'),
(21747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n- Daily\n- Fiddler Script'),
(20455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(20456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nTests IF\r\ntraitement des anomalies corrigées et installées en version IF 2.0.2-1'),
(20458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nTests IF :\r\ncréation de cas de tests pour l\'acceptance'),
(20459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nDébloquage d\'équipe'),
(20466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[PSMSv2]: Bug Fixing / 14.1.31-SNAPSHOT-b2974 / INT8'),
(20469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nSupport d\'équipe'),
(20464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nSuivi projet + Gestionnaire'),
(20465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nPréparation réunion client'),
(20515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[PSMSv2]: Bug Fixing / 14.1.31-SNAPSHOT-b2974 / INT8 + [PSMS v2] Test d\'acceptance GO Recette (Run 2) / 14.1.31-SNAPSHOT-b2974 / INT8'),
(20468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-17  (Do not remove this line) -->\nMétéo interne'),
(20694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nMCO Court Commercial + MCO SID Client + MCO SID Commercial.'),
(20695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nGestion des incidents '),
(20561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[GSI] Support à la recette sur la partie reporting logistique'),
(20474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[GSI] Investigation et création de l\'anomalie ANO049730 relative au flux E_CIU_REPORTING_LOGISTIQUE'),
(20476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nSIDCOM TR2 Attente go pour alimentation // SIDCOM TR3 Blocage WCS anomalie ANO049730'),
(20477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel + Réunion sur la création d\'un webservice pour les extractions sugar'),
(20478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nMCO EGIDE sur le TR2 et TR3'),
(20510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nRéunion FAQ/IF sur la prochaine version PTAB livré le 29/05\nAnomalie sur le traitement de la récupération des résultats keno\nCréation ANO049747 sur le tri de l\'ordre d affichage des résultats keno'),
(20489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[ABP OFFRE] Test des nouveaux markets type \"Race\" en live et manuel beach volley.'),
(21955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nAnalyse campagne d\'Acceptance  API & DB - FALCON - USR-2.6.1-1 sur INT8\nExécution, analyse et rédaction du rapport de la campagne de NR API & DB - FALCON - USR-2.6.1-1 sur INT8'),
(21956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nSuite à problème de Tablespace sur la campagne de NR API & DB - FALCON - USR-2.6.1-1 sur INT8 => Optimisation des requêtes'),
(20816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nTransfert de connaissance à Bruno'),
(20496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nTransfert de connaissance à Bruno'),
(20497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nTest sur appli FDJ IOS Android\r\nTest sur appli Loto IOS et Euromillion IOS pour remise en prod pour correction bug composant du compte versement carte bancaire'),
(20498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nBug review'),
(20499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nTest appli Loto notification pour synchronisation notification lors de la MEP de l\'application FDJ (android et ios)\r\nTest nouvelle version appli loto IOS mise en prod pour erreur de rejouer partie keno et bingo a partir de l\'appli loto'),
(20501, 'J\'ai envoyé un mail à ServApp pour voir si des mails sont envoyés et pour vérifier la configuration SMTP'),
(20502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n'),
(20504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nImplementation de tests auto, finalisation des tests import de masse E-credits et F-credits, correction de tests sur INT8 afin d\'éviter les jeux de données incohérents vis à vis de l\'attendu des tests (sur les UCR_ID) en ajoutant un filtrage sur \"date = date actuelle - 6 mois\".  Problème de déconnexion intermittente d\'ALM / réseau empêchant de travailler en fin de journée.'),
(20505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[MigrationTeradata] Analyse des différences entre filesystem du sid Client pour réinstallation des FDLs manquantes'),
(20506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[EGIDE Reporting] Mise a disposition de 2 procédures pour correction des tables CA_semaine et CA_donnees'),
(20692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nMigration Teradata : FDL016438 + FDL016553 : Réinstallation sur environnement TeraData 15.10'),
(21195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nMigration Teradata : Retro documentation de l\'ordonnancement SID.'),
(20693, 'Problème traité par l\'équipe SECUTECH et Servapp : solutionné coté infra.\r\n\r\nJ\'ai envoyé un mail pour vérifier la résolution du problème coté applicatif.'),
(20512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n'),
(20513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nMCO EGIDE sur le TR2 et TR3'),
(20520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Installation FDL016661'),
(20519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Tests suite à l\'installation de la FDL016661'),
(20518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(20521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Installation FDL016677'),
(20522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C -  Test suite à l\'installation de la FDL016677'),
(20523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(20525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nRéunion +  Implémentation tests auto Batch Regularisation'),
(20526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n Implémentation tests auto Batch Regularisation'),
(20527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n Implémentation tests auto Batch Regularisation'),
(20528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[scripts Motors Orchestré] suppression de la gestion du handler d\'erreur spécifique aux PDJ de la perf. (FDJContinueBetsOnErrorActivate/DeActivate)\r\n[ITF] Appel du GetJackpot dans le séquencement des PDJ Motors et ITG'),
(21748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n- Daily\n- Fiddler script regex\n- Acceptance Vitan 5.7.001'),
(21579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nredaction de test sur postman\ncorrection des tests suite aux nouvelles infos du metier\n[SPOC] Point avancement Recertif/Regul'),
(21580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nRedaction de tests postman'),
(20533, 'RAF : Mise en place du chemin d\'accès au fichier pour le producer');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(20534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n- installation livraison Appli FDJ\r\nINT32	1.0.10_apimaitre	FDL016592\r\n- création ANO049652 [APPLIMAITRE] Régression sur affichage myMillion\r\n- investigation regression affichage MyMillion\r\n- qualification livraisons appli FDJ'),
(20535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n- installation livraison Appli FDJ\r\nINT12	4.2.11_mapi	FDL016670\r\nINT32	4.2.11_mapi	FDL016670\r\n- création ANO049685 [APPLIMAITRE] Content-Type ajout du charset=UTF-8\r\n- investigation pb d\'affichage de charset iso/utf8 sur le service apimaitre\r\n- qualification livraisons appli FDJ'),
(20536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n- travail sur évolution bases sqlites pour la convergence\r\n- investigation critique pb d\'affichage des tuiles euromillions/loto\r\n- travail sur la gestion des caches sur service apimaitre\r\n- qualification livraisons appli FDJ'),
(20537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n- investigation critique pb d\'affichage des tuiles euromillions/loto\r\n- travail sur la gestion des caches sur service apimaitre\r\n'),
(20538, 'routé par Gerald Cauvin vers l\'équipe SECUTECH pour vérification de l\'ouverture des routes\r\n\r\nLe telnet ne répond pas.'),
(20540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nGestion des Incidents'),
(20543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement + test avec SOPRA'),
(20545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - Echanges projet avec RA + Mise au point des chaines Control-M avec HIA + formation Valérie'),
(20550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[SPEED UP] Test des markets Beach Volley  type Race en Live manuel - INT3\n\n[PSMSV2][PSEL] MaJ des cas de tests ALM (projet PSMSv2 et SPOSTS_2013)\n\n[AUTRES] Depuis hier après-midi je n\'ai plus de JDK sur mon poste, ça que me bloque d\'utiliser des outils comme SQL Developeur. >> Pas de consultation en base de donné >> Voir INC170101'),
(20547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nSAFERGAME : Bug review'),
(20557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nSAFERGAME : Analyse derniers rejets restants + Création DMT0010164'),
(20549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nFichier de suivi des incidents + MCO Court Commercial + MCO SID + Formation sur MCO Egide.'),
(20551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nAutomatisation des tests de journalisation. Analyse de l\'existant. Point sur les campagnes de tests manuels acceptance et nouvelles fonctionnalités.'),
(20552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nAutomatisation des tests de journalisation. Analyse de l\'existant.\r\nRédaction d\'une synthèse pour l\'auto tests JRN.'),
(20554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nAutomatisation des tests de journalisation. Analyse de l\'existant.\nRédaction d\'une synthèse pour l\'auto tests JRN.'),
(20555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n'),
(20573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nReunion avec Frederic Thenard pour l\'installation de l extension curl pour php-fpm\nTest sur l\'appel digishopp referentiel de la FAQ\nPoint FAQ avec Sophie MACE'),
(20558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\nTache de spec utilisé pour les tests (car pas de taché de test trouvée)'),
(20562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nSIDCOM TR3 Reprise sur les données WCS // SIDCOM TR2 Attente validation métier sur les données du 04/05 // SIDC TR2 TR3 OK'),
(20563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[MigrationTeradata] Création des DMT DMT0010145, DMT0010168 pour résolution des problèmes de FOLDER ETL'),
(20564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[GDC] Création de la DMT DMT0010166 pour modification des chaines IxSIC-SIDC_ADOBE_WEEK'),
(20588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[GSI] Support a la recette non régression Reporting logistique'),
(21957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nRédaction ANO049748\nRédaction cas de tests de NR sur recertification\nPréparation de la campagne Acceptance et NR FALCON USR 2.6.1 sur INT21'),
(20567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[GSI] Résolution de l\'anomalie ANO049730 suite à la prise de contact avec WCS  François Sluyts'),
(21191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nEGIDE : Installation FDL016671 sur le TR3+qualification'),
(20914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nPROGRAMME DD : PV de qualif sur la FDL016671 (table de transcodage EGIDE-SAGA-GDS)'),
(22807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nCréation de cas de test + liaison des exigences\nTest exploratoires'),
(22814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nCréation de cas de test + liaison des exigences\nQualification ANO: ANO048984\nTest exploratoires'),
(22813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nTest exploratoires \nRemonté Ano: \nANO049753 :[IF][IQ][DigishopU 3.1.1] Impossible de créditer le porte monnaie par des codes promotionnels'),
(20574, '- Projets de tests ajoutés en GConf + doc pour chacun\r\n\r\n- Recherche pour utilisation de Jenkins + Selenium IDE + Selenium RC\r\nPour ne pas faire des essais catastrophiques sur le vrai serveur, je me suis mis un jenkins sur ma machine Atos afin de reproduire la situation.\n\n'),
(20576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n'),
(20578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\ninstallation Windows maven eclipse selenium'),
(20579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\ninstallation Windows testNG calabash cucumber\r\n'),
(20582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\ninstallation Windows jmeter behat'),
(20581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\ntutorial selenium'),
(20583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nCréation de l\'ANO049715 ; Rédaction des tests ALM pour JASON'),
(20584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nTest d\'acceptance de WSPO 3.0.1-1 -> OK ; Test d\'acceptance de PSBOR 2.0.1-1 -> OK ; ANO049724 : pour corriger des appels /mify/ff sans filtrage sur originId et lineId'),
(20585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\ntest pour la qualification de l\'ANO047606 ; test version PSPDV Android 4.6 en avance de phase ; Suivi de la démo JASON de Marie Catrin ; installation de PSBOR 2.0.2 sur INT1'),
(21148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\ntest d\'acceptance WSPO 3.0.2 -> KO ; création des ANO049769 et ANO049770'),
(20587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[GSI] Traitement de la DMT DMT0010061 '),
(20589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nDaily meeting (1h).\r\nEncore de nombreuses et longues discussions avec les différents architectes de la FDJ par rapport à la séparation des databases pour les applications natives PS PDV.\r\nTest des retours 304 depuis un ADC lorsque c\'est nécessaire.'),
(20590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nDaily meeting (1h)\r\nRéunion pb QR code sur les applications natives PS PDV (1h)\r\nPréparation de l\'environnement INT1 et des cas de tests pour les QR code --> le problème est sur l\'application native PS PDV Android. (IOS est ok, le site sera livré demain)'),
(20591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nDaily meeting (1h).\r\nDémo Stream webapps sport.\r\nVérification / Qualification WSPDV 3.0.14 (FDL016695), installation sur INT1 et INT3. Rédaction Modop + PV de qualification technique... ---> demande au CP SI de prévoir rapidement une MEP.'),
(20596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nPrise en charge et analyse de l\'incident INC172485'),
(20598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM'),
(20597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nA la demande de la recette, déclenchement manuel des traitements BoucleISO. Des détaillants ne remontent pas dans CIRCE sur le TR1. Analyse et correction apportée.'),
(23148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nDemande utilisateur pour libérer le compte SAGA CAUTION sur TR1'),
(20604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nInstallation FDL016363 sur le INT4SAGA'),
(20605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nFormation CSAM'),
(20606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n'),
(20608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[IF] Qualification d\'anomalies\n[IF] Investigations problème WOF IF'),
(20609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[IF] Qualifications anomalies\r\n[IF] Investigation WOF IF'),
(20614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[IF] Transfert de connaissance Loïc'),
(20611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[IF] Investigation WOF IF : problème identifié : Proxy FDJ, réécriture MITM'),
(20615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nAutomatisation des tests de journalisation. Evolution du doc de synthèse.'),
(20616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nSPOC_ Freebet_ Qualification des anos livrées et MAJ exécution cas de test correspondant'),
(20617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nSPOC_ Freebet_ Qualification des anos livrées et MAJ exécution cas de test correspondant'),
(20618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nSPOC_ Freebet_ MAJ cas de test pour les passer à READY'),
(20619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nSPOC_ Freebet_ MAJ cas de test pour les passer à READY'),
(20620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nSPOC_ Freebet_ Suivi d\'avancement'),
(21749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n- Daily\n- Acceptance Vitan 5.7.003\n- Problème remonté sur iOS7'),
(20622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[script Motors orchestré] qualification de la gestion d\'erreurs selon les états de l\'orchestration et comparaison avec celui des PDJ ITG.\r\n[orchestration Motors] ajout d\'une macro de verification du nom de jeu (gameExtRef) afin de remplacer les strncmp qui sont un risque d\'erreur en cas d\'apparition de nouveaux jeux ayant la même racine de nom'),
(20623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\n[Scripts TruClient] scripts box pour vérification ARJEL'),
(20625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nMigration Teradata : Retro documentation de l\'ordonnancement SID'),
(20626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nAnalyse des logs d\'installations USR 2.6\r\nAnalyse des logs applicatives d\'USR 2.6'),
(20633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nAmélioration des scripts Postman\r\nAnalyse des travaux réalisés sur Postman'),
(20634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nGestion des anomalies IF\r\nAnalyse des corrections '),
(20629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nCAMPAGNE NON REG AUTO USR 2.6.1-1 INT8'),
(20630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nCAMPAGNE NON REG AUTO USR 2.6.1-1 INT8'),
(21030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nCAMPAGNE QUALIF JEU COULEUR FETICHE (MOTORS) INT3'),
(20632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nCAMPAGNE QUALIF JEU COULEUR FETICHE (MOTORS) INT3'),
(20635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nAmélioration script Postman\r\nMise au propre modop install SID\r\n'),
(20636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nQualif bingo 1.4.129.58841'),
(20637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nFDL016675'),
(20638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nQualif Bingo'),
(20639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nFDL016710\r\nFDL016709\r\n'),
(20640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nFDL016708'),
(20642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nAnalyse doc nouvelArrivant (suite)\r\nInvestigation sur la réplication d\'hasard qui ne fonctionne plus sur INT42\r\n'),
(20653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nEcriture de tests des jeux ITG sous Postman'),
(20652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nMise a jour de l\'outil de promulgation (partie Keno)'),
(20651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nEcriture de tests des jeux ITG sous Postman\nInstallation de Couleur Fetiche v1.0.3 (FDL016702) sur INT32 => Accepté\nInstallation de Couleur Fetiche v1.0.2 (FDL016692) sur INT32 => Rejeté'),
(20654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nEcriture de tests des jeux ITG sous Postman\nInstallation de jeux ITG sur INT32 (FDL016703, FDL016702)'),
(20656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nDéclaration de Coco Trio et Super Jackpot Sur INT8 (Interactive factory)\nOutil de promulgation'),
(21196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nSegmentation temps réel: Investigrations blocages depuis deux jours sur TR3.'),
(20811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n'),
(20663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nInvestigations MCO SID Commercial : Relance des flux + Bypassing des chargements WCS.'),
(20662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\n[ABP OFFRE][SPEED UP] Tests automatisation, ARJEL et ETL des nouveaux markets Basket  sur INT3;\r\n\r\n[PSMSv2] MaJ des cas de tests ALM;'),
(21750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\n- Daily\n- Acceptance WSPO 3.0.2 Ko sur Android\n- Acceptance Vitan 5.7.003\n- ANO049774'),
(20665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nvie des environnements jenkins'),
(20666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nvie des environnements jenkins'),
(20667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nvie des environnements jenkins'),
(20668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-28  (Do not remove this line) -->\n[DEV]'),
(22717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nPrise de connaissance sur Digishop palier BRIC'),
(20673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nValidation Check PDJ Live Multiple complexe en Multiplex.\nImplémentation Check table RETAILQUEUE (cote de la line retail)'),
(20672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nImplémentation Check table RETAILQUEUE (cote de la line retail)'),
(20676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nSIDCOM TR2 attente go chargement // SIDCOM TR3 Rattrapage a faire // SIDC TR3 Attente go multimedia // SIDC TR2 Attente'),
(22780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nauto batch'),
(22781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nauto batch'),
(22782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nauto batch'),
(22783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nauto batch'),
(22784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nauto batch'),
(22785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nauto batch'),
(20688, 'clôturé faute de réponse client.'),
(20687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nTraitement de l\'INC172381 '),
(20686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n[MigrationTDV15] - [SIDCom] Rechargement des données depuis le 22/03 sur le TR2 '),
(22815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nCréation de cas de test + liaison des exigences\n Test exploratoires\nDocumentation sur l\'outil Postman'),
(20783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nSupport sur l\' INC172381 Egide infocentre'),
(20818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nBCO.075.33 [DD] ORGANISATION LOGISTIQUE COMMERCIALE LOT 3 - DMT0009331 - Création de 4 campagnes'),
(20704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n[MUG] Pb de contribution fil et autopromo (ko pour PSEL Android) => Création MOD011720\n[JASON] => Analyse US composant du compte (MUGO) pour écriture des tests'),
(20716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nMise en place SCDO (scripts bases, classes natstar, lib SCDO et impacts)'),
(20715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-09  (Do not remove this line) -->\nPatch MOE 44552'),
(20709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[SPOC] :\r\nDémo Projets recertification sport et régularisation (FRONT MUG + MAG)'),
(20710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n[JASON] :\r\nAnalyse US JASON composants du compte\r\n\r\n[JASON] Support automatisation BACK inscription SPORT_RTL => Erreur à l\'inscription suite à l\'évolution du service POST /usr/accounts (Falcon)'),
(20712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n'),
(20721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\nPatch MOE 44571'),
(23149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nRDI 1.1 Lecture des spécifications'),
(20819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nMobilin - Monté en compétence'),
(20734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nPatch MOE 44403'),
(20738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n'),
(20739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n'),
(20740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n'),
(20743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-27  (Do not remove this line) -->\nLivraison patch MOE 44384 et 44531'),
(20746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n'),
(20747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-24  (Do not remove this line) -->\nMise a disposition Spec au RSI'),
(20748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(20752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nPréparation enveloppe pour construction nouvel exécutable lanceur'),
(20753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-25  (Do not remove this line) -->\nTest intégration '),
(20763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-21  (Do not remove this line) -->\nMultiples mise en integration'),
(20755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(20756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-19  (Do not remove this line) -->\nMultiples bascules en integration'),
(20757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nMise en place report en 17.0 non fait'),
(20758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nMise en place environnement pour prise en compte livraison Patch MOE 44495 '),
(20759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nTest avant livraison patch 44495 (demande assistance 44500)'),
(20760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n'),
(20761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-06  (Do not remove this line) -->\n'),
(20762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-04  (Do not remove this line) -->\n'),
(20769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n[ABP OFFRE] Vérifications ETLs des PDJs sur les nouveau markets basket  - Total Margins Regular Ranges et  Total Margins NBA ranges \n\n[PSMSv2] MaJ des cas de tests dans ALM\n\n[PSMSv2] Tests de segmentation joueur sur INT7 \n\n[Autres] Atelier de travail : Coordination entre référentiel tests manuels et automatisés'),
(20775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nMCO Court Commercial'),
(20778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nSegmentation Temps Réel : Reproduction d\'installation FDL015911, FDL015912, FDL015913, FDL016553 sur TR2'),
(20774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nFichier de gestion des incidents'),
(20784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nSPOC : 1ère installation FDL016682, FDL016683, FDL016684 sur TR2'),
(20885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n[STR]  FDL015283 FDL015930 FDL016174'),
(20886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n[SPOC] FDL016514'),
(20865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nLancement et analyse des campagnes acceptance et non regression sur Falcon ITG 2.2.6 avec la version de Falcon USR 2.6.1 sur INT81. Lancement et analyse des campagnes acceptance de Falcon RTG sur INT81 avec la version de Falcon USR 2.6.1.'),
(20785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nProvisions CodevTT'),
(21751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n- Daily\n- Free bets\n- ANO049774 suspendu suite tests et discutions avec Mathieu JAULIN'),
(20788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[PSMSv2] Tests de segmentation joueur sur INT7\r\n\r\n[Autres] Atelier coordination Sport'),
(20791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM'),
(21009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM'),
(20793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nScript TruClient : finalisation, qualification et documentation du script Remplacement_IBAN\r\nScripts auto : Support aux testeur sur campagnes Falcon'),
(20796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nTravail sur rédaction tests Qualification SPOC'),
(20799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nAnalyse des travaux réalisés sur Postman et Newman par Cyril et Nicolas\r\nReprise des scripts pour s\'adapter à leur bonne pratique'),
(20807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\nFichier de suivi des incidents + MCO CourtCommercial & Egide & SID Client TR3 + MCO SID Commercial + reprise des données sport suite à blocages depuis deux jours sur TR3.'),
(20858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nInstallation de falcon usr 2.5.8-1 sur INT4\nAnalyse des logs d\'installation'),
(20806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[JASON] :\nSupport dev historique PDJ'),
(20809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nReprise des scripts Postman pour l\'acceptance IF'),
(20812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nReprise des scripts Postman pour acceptance IF'),
(20817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n[SPOC] :\r\nAnalyse logs (automatisation sport) => Erreur validation évt ARJEL (MAG)\r\nEcran MAG => tests affichage layer post authent dans le cas de la recertification (pour rédaction cas de test)'),
(20822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nPréparation Slides + ODJ'),
(20823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-05  (Do not remove this line) -->\n'),
(20824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nAnalyse fonctionnelle'),
(22842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nMCO MULTIMEDIA TR 1 2 3'),
(20826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nPilotage'),
(20827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\nAnalyse avec JBA'),
(20828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-15  (Do not remove this line) -->\n'),
(20835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Réunion coordination migration ALM\n- Exécution de l\'acceptance Mify INT7. \n- Dev Scripts test unitaires mify pour simuler les appels Borne'),
(20834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Atelier mise en place des blocs pour la PDJ Jason.\n- Dev Scripts test unitaires mify pour simuler les appels Borne.\n- Mise en place de la campagne de test JASON.'),
(21072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Atelier mise en place des blocs pour la PDJ Jason.\n- Mise en place de la campagne de test JASON.\n- Exécution des campagnes de nonREg ETL-J INT1 JASON\n- Evolution API PSEL suite modification LVS'),
(21073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Dev api pour gérer les FreeBets dans les tests de services unitaires mify.'),
(20839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Dev api pour gérer les FreeBets dans les tests de services unitaires mify.'),
(20840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-06  (Do not remove this line) -->\n'),
(23007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-31  (Do not remove this line) -->\n'),
(20845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n'),
(20846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-08  (Do not remove this line) -->\n'),
(21641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Atelier suivi automatisation\n- Analyse Anos Mify (demande Joel)'),
(20848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(20849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-09  (Do not remove this line) -->\n'),
(21958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nLancement de la campagne d\'acceptance  USR 2.6.1 sur INT2\nRédaction des cas de tests auto Recertification\nRéunion migration HP ALM'),
(20852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-27  (Do not remove this line) -->\n'),
(23006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-03-01  (Do not remove this line) -->\n'),
(21581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nPoint avancement recertif/regul\nReunion MaJ ALM\nAjout de tests postman sur la regularisation\nAjout de vérification de blocage sur les tests avec les pièces KO avant délai'),
(20859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(20860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nMCO Court Commercial'),
(20861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nSIDCOM TR3 OK bypass WCS //  SIDCOMTR2 en attente go metier // SIDC TR3 OK // SIDC TR2 bloqué en amont par l\'extraction Xeres'),
(20863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nRéunion hebdomadaire CIQ'),
(20868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nSupport sur les librairies Liferay'),
(20869, 'Il s\'agit de la MAJ de l\'adresse HABPPS, aucune notion de fonction OB, il faut MAJ la base HABPPS + ISU.'),
(20870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[Migration Teradata] Réinstallation des FDLs FDL015930 ,FDL016174 sur l\'environnements  TRx + adaptation des objets cachés des univers pour les rapports'),
(20873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[SPOC] Réinstallation des FDLs FDL015930 ,FDL016174 sur l\'environnements TR2 + adaptation des objets cachés des univers pour les rapports'),
(20872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[STR] Réinstallation des FDLs FDL015930 ,FDL016174 sur l\'environnement TR3 + adaptation des objets cachés des univers pour les rapports'),
(20880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nMontée en compétence \n'),
(20882, 'Reste à faire : faire une passe sur les permissions à ajouter sur les autres plateformes et modifier le gabarie du site \"consulter dossier allocataire\"'),
(20883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[SPOC] Mise a jour du projet ALM PSMSV2'),
(21582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\ncorrections de tests recertif\nAjout d\'assertions supplementaires dans les cas de tests existants\nRedaction de tests Regularisations'),
(20887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n'),
(21186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nScript TruClient : Resiliation_offre vérification du script \nComité Automatisation\nScripts Auto : Modification des nom d\'attributs contenant un 0 (default.cfg et .param) pour eviter bug avec le chiffre 0 dans ALM12'),
(20889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nPalier SPOC : Investigation suite à installation.'),
(21752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n- Daily\n- Free bets\n- Acceptance WSPO 3.0.3'),
(20892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nScripts auto : remplacement des attributs de scripts dont le nom contient le chiffre \"0\" pour préparer la migration vers ALM 12\n[ITF]Atelier automatisation'),
(21278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nScripts TruClient : Ajout du scipt Virement_IBAN_Temporaire, qualification et documentation et mise a jour dans confuence'),
(20895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(20897, 'Non reproductible .\r\nEn attente d\'un 2eme test utilisateur'),
(20898, 'Support par téléphone.\r\nProblème résolu'),
(20899, 'Saxo passé à résolu'),
(21583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nmodification et débogage des scripts de créations de joueurs pour newman'),
(20901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n'),
(20902, 'Imputation Romain : réunion + activation des logs avec Saïd'),
(20904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nMCO : Court Commercial + Egide + SID Client + SID Commercial'),
(20905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nPalier SPOC : Ressaisie des fichiers de logs.'),
(20906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nRéunion de RIDA '),
(20941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n[SIDC] Assistance sur ANO049857/INC173074 // [EGIDE] Support sur la fourniture des logs GDS pour l\'incident XXXXX'),
(20909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nMontée en compétence '),
(20912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nLancement et analyse de la campagne de non regression de Falcon RTG sur INT81 avec la version de Falcon USR 2.6.1. Lancement et Analyse de la campagne d\'acceptance de Falcon USR 2.6.1 sur INT2.'),
(20923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nLancement et Analyse de la campagne d\'acceptance de Falcon USR 2.6.1 sur INT2. Lancement et analyse de la campagne Falcon RTG sur INT2. Lancement et analyse de la campagne Falcon ITG sur INT2.'),
(20915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nPatch MOE 44630'),
(21205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nEGIDE : Traitement incident INC172796'),
(20921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons du jour par IBM'),
(20920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nSAFERGAME : Bug review FDJ/IBM'),
(20922, 'com.liferay.portal.security.auth.PrincipalException : l\'utilisateur n\'a pas les permissions nécessaire (pour accéder à la ressource demandée)\n\n'),
(20924, 'ID test HP ALM : 864'),
(20925, 'ID test HP ALM : 863'),
(20926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nReunion Convergence\r\nInstallation version 2.17.2 du portail tablette/mobile sur INT8 e tINT4\r\nTest d\'acceptance'),
(20927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n'),
(20928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nMigration teradata : Réunion'),
(21122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n'),
(20930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nproblème getWrappedData'),
(20931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nmodification du delete avec une liste d\'id'),
(22818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nTest exploratoires\n Documentation sur l\'outil Postman\nBug review \nQualification d\'Ano'),
(22816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nTest exploratoires'),
(22817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nTest exploratoires\n Documentation sur l\'outil Postman'),
(20939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n[Migration] Suivi du projet'),
(20940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nSIDCOM TR2 en attente // SIDCOM TR3 OK apres deblocage // SIDC TR2 et TR3 OK'),
(20942, 'Suite des recherches sur Jenkins et Selenium. En faisant tout en local, j\'ai réussi à lancer un test et archiver le rapport (Selenium HQ). Pb: si on lance CDAP en local, erreur mémoire. Idem si debug activé.\r\nLe problème c\'est que même avec la suite PPS, ça met 25 minutes !\r\n-> j\'essaierai une config avec Selenium Grid pour voir.'),
(20943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n'),
(20947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\n'),
(22845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3 \nélaboration d\'un script pour la mise à disposition automatique de données falcon-compta concernant la recette JASON'),
(20948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nMigration TeraData : Retro-documentation flux SID Client et SID Commercial'),
(21959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nLancement de la campagne de NR  USR 2.6.1 sur INT2\nRédaction des cas de tests auto Recertification\nComité automatisation'),
(20954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nTests IF : Tests sur les croupiers ITG\r\nréunion Automatisation'),
(21961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification'),
(20952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nTests IF : tests sur les croupiers ITG, mise à jour des tests ADMIN MOTORS'),
(20963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nTests IF : Croupiers ITG'),
(20958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nTests IF : Croupiers ITG\r\nréunion automatisation IF'),
(20961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nTests IF : Croupiers ITG\r\nmontée en compétence François Derock'),
(21960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification'),
(21101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n[PSMSv2] Tests de segmentation joueur sur INT3\n\n[PSMSV2] NONREG Front sur INT1\n\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_13-28\nABP:            14.1.30.3-SNAPSHOT 67\nMOBILE:         5\n\n[PSEL] Qualification ANO043483\n'),
(21120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[PSMSv2] Tests de segmentation joueur sur INT3\n\n[PSMSV2] NONREG Front sur INT1\n\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_13-28\nABP:            14.1.30.3-SNAPSHOT 67\nMOBILE:         5\n\n[FREEBET] Freebet test sur INT8 \n\nHOST:           agpadmi81\nSITE:           fdj2-origin_release_14-21\nABP:            14.1.31-SNAPSHOT 2974\nMOBILE:         6\nPLATFORM:       1.0.175\n\n[OBS] La version de maintenance installé sur INT1 a été rejeté en fin de mâtiné, donc bascule vers Freebet-INT8'),
(21139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[FREEBET] Freebet test sur INT8\n\nHOST: agpadmi81\nSITE: fdj2-origin_release_14-21\nABP: 14.1.31-SNAPSHOT 2974\nMOBILE: 6\nPLATFORM: 1.0.175'),
(20974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nExécution campagne de test 14.1.31-SNAPSHOT 2974 - NREG'),
(20977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nSPOC_ Freebet_ MAJ cas de test pour les passer à READY'),
(20992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nExécution campagne de test 14.1.31-SNAPSHOT 2974 - NREG'),
(20983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régul/recertif (RUN01).'),
(20984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régul/recertif (RUN01).'),
(20986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régul/recertif (RUN01).'),
(20981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nSIDCOM TR3 OK sans WCS // SIDCOM TR2 attente validation // SIDC TR3 en cours // SIDC TR2 en cours'),
(20988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régul/recertif (RUN02).'),
(21588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nSPOC_ Freebet_ Execution run02'),
(20987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nPrise connaissance des mails après 2 semaines d\'absence\r\nFin de mise à jour des tests NREG PSEL par rapport à l\'évolution Falcon Transaction.'),
(20989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nSPOC_ Freebet_ Exécution Run02'),
(20990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nFin (sur la base des spécifications disponibles) de mise à jour des cas de tests NREG PSEL.\r\nAnalyse activité test PSEL manuels depuis octobre 2016 pour réponse à demande de Rémi Juanes (3h).\r\nDémarrage campagne 14.1.31-SNAPSHOT 2974 - NREG.'),
(20991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nExécution campagne de test 14.1.31-SNAPSHOT 2974 - NREG.'),
(20993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nSPOC_ Freebet_ Exécution campagne d\'acceptance pour Go recette '),
(20994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nSPOC_ Freebet_ Execution run 02'),
(20995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nSPOC_ Freebet_ Execution run 02'),
(20996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nSPOC_ Suivi avancement'),
(20997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n0,75 : SPOC_ Freebet_ Execution run 02\r\n0,25 : Réunion présentation Postman'),
(20998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nCampagne PSMS V2'),
(20999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nCampagne non-reg manuelle sur INT1'),
(21000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nCampagne non-reg manuelle sur INT1'),
(21121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nCampagne non-reg manuelle sur INT1'),
(21003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nNonReg sur INT8'),
(21004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nNonReg sur INT8'),
(21005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nNonReg sur INT8'),
(21010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM (LateBet)'),
(21011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM (LateBet)'),
(21012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM (LateBet)'),
(21015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nNonReg INT8 + Acceptance sur INT7'),
(21014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nNonReg sur INT8'),
(21016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nNonReg sur INT1'),
(21017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\ntest compilation plugin HP ALM'),
(21018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\ntest selenium'),
(21740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nMontée compétence Postman'),
(21753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n- Daily\n- Acceptance WSPO 3.0.3\n- Modif checkversion info sur int2\n- Ménage sur ALM pour les test PSEL'),
(21021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nMise en service application FDJ Android 1.0.037 et IOS 1.0.028 sur la PROD\r\nVerification de la MEP et tests des applications sur la prod une fois la mise en service effectué'),
(21276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nEcriture de tests postman'),
(24625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nContinuité des tests sur l\'appli FDJ Android IOS + analyse des bug des notifications arrivées en doubles'),
(21373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016482 sur INT4COUR'),
(21025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nPoint d\'equipe app mobile hasard\r\nDefinition des prochaines MEP sur appli FDJ et ce qui doit etre embarqué dans l\'appli'),
(21277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nmontée en compétence postman'),
(21027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-10  (Do not remove this line) -->\nPresentation CodevTT Sophia'),
(21043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nInstallation des jeux ITG suivants sur INT32\n- [Ruche D\'or 2016] Livraison Applet v3.1.0\n- [MEGA MOTS CROISES] Livraison Applet v1.0.5\n'),
(21380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nRédaction des exigences sous ALM '),
(21031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nCAMPAGNE NON REGRESSION USR 2.6.1.1 INT2 / MOTORS'),
(21032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nCAMPAGNE NON REGRESSION USR 2.6.1.1 INT2 / MOTORS'),
(21033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nCAMPAGNE NON REGRESSION USR 2.6.1.1 INT2 / MOTORS'),
(21034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nCAMPAGNE QUALIF JEU LA COURSE MOTORS MAD INT3'),
(21035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nMobilin : Création de 3 comptes commerciaux dans MPP.'),
(21037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nCAMPAGNE QUALIF JEU LA COURSE MOTORS MAD INT3'),
(21275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nEcriture d\'exigences MTR sur le jeu \"La course\" sous ALM\nEcriture de tests sous postman'),
(21039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nFDL016750 - 2.0.46_weuml\r\nFDL016751 - 2.1.28_wloto\r\nFDL016752 - 1.2.3_wihmevt\r\nFDL016753 - 1.0.8_wlbgo\r\nFDL016754 - 1.1.16_wkeno\r\nInstallation des webapp sur INT32 + tests pour passage au CAB jeudi prochain'),
(21040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nRAM.004 : Tests de Qualification de la MOD011466.'),
(21041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nContinuité test webapp + appli native\r\nPrévision livraison webap amigo (premiere livraison) pour test sur desktop + appli native FDJ\r\nContinuité test appli FDJ Android IOS'),
(21042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nContinuité test webapp + appli native\r\nPrévision livraison webap amigo (premiere livraison) pour test sur desktop + appli native FDJ\r\nContinuité test appli FDJ Android IOS'),
(21045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nmaven testNG'),
(21046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nJenkins selenium ALM'),
(22684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\ndemo selenium'),
(21048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nRAM.004 : Acceptation et Installation de la FDL016746 sur INT4SAGA..'),
(21049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nMobilin : Rédaction de 5 cas de test dans ALM.'),
(21052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nPlaystation : Rédaction et envoi d\'une Fiche de Relecture des spécifications.'),
(21340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nProgramme DD : Finalisation de la phase de qualification.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(21053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nRDI 1.1 : Prise de connaissance des spécifications SAGA.'),
(21054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nRDI 1.1 : Prise de connaissance des spécifications SAGA.'),
(21055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nMobilin : Rédaction de 5 campagnes de test dans ALM.'),
(21070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nPassage de connaissance digishop A (Philippe )\nTransfert de connaissance à Bruno'),
(21180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nImplémentation Check table RETAILQUEUE (cote de la line retail)'),
(21181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nAtelier de travail : Coordination entre référentiel tests manuels et automatisés\nMigration ALM (Présentation de Valérie Le Roux)'),
(21059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nCampagne INT1 (JASON)'),
(21182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nCampagne INT1 JASON (ETL, LIVE)\nSauvegarde fichier ALM avant migration'),
(21064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nSuivie sur le nouveaux markets avec Fabien'),
(22291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nSauvegarde fichiers ALM avant migration\n'),
(21066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nNonReg INT1 à terminer'),
(21068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nSuivie d\'avancement avec Raphaël'),
(21071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nMise à niveau INT31 avec dump de prod du 11/05\nDéploiement composant pour JASON (mago, migo, mugi, wspdi, wspo, psbor)'),
(21074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nSupport Bruno => configuration du poste de travail suite à ouverture des flux (BDD, Sessions putty, ...)\r\nPrésentation Postman'),
(21079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n'),
(21077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nPoint coordination JASON\r\nEvolutions mugo historiques de jeux'),
(21081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nFormation Bruno : Atelier Postman - digishop A\nPb playscan - chargement Iframe compte joueur'),
(21082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nFichier de suivi des incidents de prod (15 mises à jour).'),
(21083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nBug Review Stream Coco'),
(21084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nPoint Pallier SPOC'),
(21085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nPassage de connaissance MUG (CRE / PAM)'),
(21088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nDéploiements Digishops A-3.1.5, I-3.1.6 et U-3.1.4 sur les env SPOC'),
(21090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nAnalyse problème variables de conf (URL / IP en dur) Digishops'),
(21094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n- Mise à niveau INT31\n- Déploiement MUG 2.8.8 - Click to Tchat sur INT31 => FDL016731\n+ Test d\'acceptance'),
(21092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nAnalyse problèmes MUG 2.8.8 pour masquage des champs Click to Tchat'),
(21093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n- Déploiements MUG 2.10.8 - FDL016749 sur les environnements Transverses et modulaires de sprojets SPOC et IF\r\n- test acceptance / retours'),
(21095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n- Travail sur réferentiel test ALM (Qualif  + merge des tests SPOC / IF suite au changement de Plan de Conf)\r\n- Installations éventuelles (en attente des FDL Click to Tchat)'),
(21096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n- Travail sur réferentiel test ALM (Qualif + merge des tests SPOC / IF suite au changement de Plan de Conf)'),
(21097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nRédaction Cas de test acceptance SPOC'),
(21098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\n- Install MAG 2.6.1 / FDL016641 + Acceptance + retours détaillés\r\n- Lancmeent test auto Digishops\r\n- Acceptance MUG 2.10.2 (SPOC)'),
(21099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nTravail sur référentiel Digital Front'),
(21100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[SPOC] Début campagne de qualification + Création de l\'anomalie ANO049905 sur le TR2'),
(21102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nImplementation de tests auto. Lancement des campagnes ARJEL sur INT2. Tests de robustesse sur les imports de masse e-credits et f-credits = OK. \r\n'),
(21103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nMCO Court Commercial + SID Client + SID Commercial'),
(21172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nINC172727 : Analyse.'),
(21105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nEcriture de cas de test palier SPOC. Formation IF avec Patrick Girardet'),
(21106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nEcriture de cas de test palier SPOC. Formation IF avec Patrick Girardet'),
(21107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nLancement des campagnes sur INT2 (suite problématiques) et implémentation de tests. Correction de tests également. '),
(21111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nImplementation de tests auto, reporting campagne et mise à jour des tests existants ou en erreur test. Mise en place des tests de Recertif, problématiques liées au status du joueur (RAW au lieu de CON) déclenchant une anomalie, impossible d\'aller plus loin dans le test. En attente donc de correction.'),
(21112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nCorrection de tests auto pour implementation dans les futures campagnes, tests de robustesse. travail sur le banfake (correction du banfake que j\'avais effectué non déployée sur les environnements car intégré manuellement puis écrasé). Analyse sur le banfake pour découverte d\'une exception blocante.'),
(21110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nImplementation de tests auto et mise à jour des requêtes de selection, tests de robustesse et création de coquille vides pour les tests. '),
(21115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n[IF] Qualification d\'anomalies, tests exploratoires'),
(21114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n[IF] Tests exploratoires'),
(21116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n[IF] Transfert de connaissances à Loïc VERSTRAETE\r\n[IF] Réunion tests auto\r\n[IF] Bug review'),
(21117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[IF] Rédaction de cas de test'),
(21118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[IF] Rédaction cas de tests'),
(21175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[EGIDE 4.40] Modification stag_area_suivi_chargement + reprise de données suite au problème de données INCIDENTS dans KHEOPS'),
(21123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n'),
(21124, 'ID test HP ALM : 864'),
(21125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nVie des environnements : nouveaux scénarios'),
(21126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nVie des environnements : nouveaux scénarios'),
(21127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nVie des environnements : nouveaux scénarios'),
(21128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nVie des environnements : nouveaux scénarios'),
(21129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nVie des environnements : nouveaux scénarios'),
(21130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n864 / 863'),
(21132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nAction : Exécution/évaluation campagne acceptation INT81\nLivrable : bilan d\'exécution'),
(21133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nAction : Exécution/évaluation campagne acceptation INT81\r\nLivrable : bilan d\'exécution'),
(21288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nAction : Exécution/évaluation campagne acceptation INT21\nLivrable : bilan d\'exécution'),
(22862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nAction : Exécution/évaluation campagne acceptation INT21\nLivrable : bilan d\'exécution'),
(21137, 'checked'),
(21140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nQualification des anomalies détectées sur le projet JASON'),
(21141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nTests sur la version 4.6.003 de PSPDV pour les QR codes sur des matchs entre minuit et 2h -> OK ; Création de l\'ANO049871'),
(21142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nCréation de l\'ANO049821 pour un bug d\'affichage sur PSPDV IOS; tests sur PSPDV Android pour le QR code avec Boussad ; installation sur INT1 et test d\'acceptance pour PSBOR 2.0.3 -> OK ; installation sur INT1 et test d\'acceptance pour WSPO 3.0.3 (JASON) -> OK ; installation de ces versions sur INT3 ; Création de l\'ANO049847 pour un bug de sélection d\'un événement sur JASON en mode connecté'),
(21143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\ntests QR-code entre minuit et 2h sur les versions Android mises à disposition sur DEV et QA : ParionsSport Point de vente 4.6.001 et 4.6.002 -> KO ; Création de l\'ANO049809 pour optimiser PSPDV IOS : arrêter les appels après un check version renvoyant \"En maintenance\"'),
(22846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3'),
(21511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\ninvestigation avec IPM sur problème de perte du service ReaderBluetooth de la borne ; suite et fin de la qualification de mes anos JASON'),
(22844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3'),
(22843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3'),
(21584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\npoint avancement recertif/regul\nReunion avec le métier sur des cas particulier de recertif\nrevue des exigences regul/recert\nAmélioration des templates de rapport html newman\nredaction tests supplementaires recertif'),
(21158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nTest Auto Batch (Etude New Script Upload, DownLown & Analyse)'),
(21159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nTest Auto Batch (Etude New Script Upload, DownLown & Analyse)'),
(21160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nTest Auto Batch (Etude New Script Upload, DownLown & Analyse)'),
(22809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nTest Auto Batch (Etude New Script Upload, DownLown & Analyse)'),
(21162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nTest Auto Batch (Etude New Script Upload, DownLown & Analyse)'),
(21163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nlivraison des sources JBOSS et Repository'),
(21164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nANVCTX'),
(21165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nANVCTX'),
(21176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nInvestigations + demandes d\'informations sur INC173139'),
(21167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n- support IF, pb de synchronisation cms edwan\r\n- création ANO049801 [RUN] Régression sur l\'affichage des jeux illiko\r\n- support illiko pour l\'affichage des jeux illiko, correction livrée\r\n- installation livraisons RUN\r\nINT32	4.2.1_hasard	FDL016716\r\nINT12	4.2.0_mobi	FDL016719\r\nINT12	4.2.2_hasard	FDL016730\r\n- qualification livraisons appli FDJ'),
(21168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nSAFERGAME : FDL016759 Datastage, FDL016676 SPSS, FDL016672 DB2, FDL016674 FOLIO, FDL016646 Hudson sur INT2'),
(21169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n- création ANO049813 [APPLIMAITRE] 400 Bad request - Mauvais json\r\n- création ANO049816 [APPLIMAITRE] Remplacer le 204 No Content par un 500 Internal Server Error\r\n- création ANO049818 [APPLIMAITRE] Gestion du 405 Method Not Allowed\r\n- création ANO049826 [APPLIMAITRE] Pas de montant jackpot loto pour le service apimaitre 2017-05-29 21:40:07\r\n- maj d\'environnement \r\nINT32	4.2.2_hasard	FDL016730\r\nINT32	1.0.11-b_apimaitre	\r\n- qualification livraisons appli FDJ'),
(21170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n- réunion refonte des bases SQLites\r\n- support dev pour ano critique de disparition tuile Loto, pb identifié\r\n- support dev pour ano critique de disparition tuile Euml, pb identifié\r\n- qualification livraisons appli FDJ'),
(21608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n- maj doc swagger 4.2.0_mobi\n- cration ANO049933 [MOBI] Maj swagger pour l\'objet jackpotCommu\n- réunion [CONVERGENCE] : CoPro SI/DT\n- investigation reggression critique du service sertsubscibe INT12/INT32, pb lié aux dumps récents\n- corection pb de contributions sur int32 pour mobi\n- qualification livraisons appli FDJ'),
(21173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n'),
(21174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[STR] Support a la recette pour no go  suite au non chargement des segmentations'),
(21177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nProblème technique de scroll et de duplication de lignes'),
(21179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nRéunion FAQ avec Yann Faveaux\nInvestigation sur les modifications FAQ de la 2.17.2\nInvestigation sur le dysfonctionnement de l\'envoi du formulaire a digishop p\nInvestigation sur le dysfoncitonnement de l\'envoi du formulaire a digishopa (bouton d\'envoi inactif)\nRedaction d\'un draft des specification drupal pour convergence'),
(21183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n'),
(21188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nScripts TruClient :  modification de Inscription_Controle_PI_NOK_GDO pour ajouter un attribut de paramétrage du contrôle NOK des pièces du joueur'),
(21189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nMaj des catalogues Parionssport IOS & Android + Parionsweb Android.\r\nSupport Vincent sur les \"banners\" des news de PSEL Android.\r\nSupport MEP et vérification WSPDV 3.0.14 en production. '),
(21935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\ndaily meeting (1h)\nInvestigation PSEL Android sur le problème de banners.'),
(21206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nSuite de l\'implémentation des logs'),
(21207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nAjout de valeurs par défaut, début d\'implémentation de logs'),
(21208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nAjout de la mise à jour de la liste de NIR quand un article est sélectionné '),
(21209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nRefacto afin de régler le problème de mémoire'),
(21210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nModification : Les articles sont d\'abord triés par CMR avant d\'être triés par NIR'),
(21211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nRefacto'),
(21212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nRefacto'),
(21213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nRefacto'),
(21754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n- Daily\n- Investigations sur ANO049270 (background news psel)\n- Relance sur ANO048655 (paris multiples)\n- Modif checkversion info sur tous les frontaux'),
(21216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nMontée en compétence\n'),
(21219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n'),
(21220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\npc en panne'),
(21222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nSAFERGAME : FDL016742 Cognos via Hudson, FDL016733 Datastage DTE, FDL016688 Cognos, FDL016723 CFM DB2 sur int2'),
(21223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nSAFERGAME : Qualification ANO044383, ANO049618, ANO048292'),
(21726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nTests FALCON / RECONCILIATIONS'),
(21257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nReunion convergence\nInvestigation sur le dysfonctionnement de la satisfaction \nCreation ANO049956\nTest sur le dysfonctionnement de l\'envoi du formulaire '),
(21237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nInvestigations + demandes d\'informations + fourniture des taches a effectuer sur INC173139'),
(22819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nRevue des cas de test créée sur ALM (cas de test ready)'),
(21229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nSIDCOM TR2 Bloqué pour validation metier // SIDCOM TR3 En cours d\'alim // SIDC TR2 et TR3 OK'),
(21231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[JASON]\nLecture documentation \nGestion du projet  dans ALM :\n- Archivage des tests Olympia\n- Testing (Test plan, Test lab)\n- Management (Création des releases et cycles)'),
(21232, 'Gwendoline nous a remonté qu\'elle rencontre un problème dans la désignation de 3 agents à une convention.\r\nUne analyse coté ISU et coté Liferay a été faite, détails dans le fichier ci-joint :'),
(21234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n[JASON]\nVérification des BDD détaillant (INT1, 3, 7)\nAjout de détaillants spécifiques tests IQ Front\nSupport recette (anomalie mugo)\n\n[Formation Bruno]\nSupport'),
(21235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[JASON]\r\nLivraison MUGO\r\nTest d\'acceptance\r\nDéploiement INT1 / INT3\r\nAnalyse des flux pour les historiques de jeux'),
(21239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nMigration Teradata : Mise à jour des documents d\'ordonnancement Control M'),
(21238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nFichier de suivi des incidents + Analyse INC172727'),
(21240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nMCO Court Commercial'),
(21585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nRevue exigences recertif/regul\nmontée en compétence d\'Audrey sur postman\nPOSTMAN : présentation de l\'outil et des usages IQ BACK\n[SPOC] Instance IQ spécial SPOC: suivi des campagnes, tests, difficultés, coordination, environnements, etc.'),
(21242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nRG_0475'),
(21243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nRG_0475'),
(21244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nRG_0475'),
(21245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nRG_0475'),
(21246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nRG_0475'),
(21247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nRG_0475'),
(21249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[MigrationTeradata] Assistance au métier sur l\'univers BAFIM. (M. Marc Gouwy)\r\n'),
(22820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nQualification  ano048938\nTest exploratoire ( Ecrédit):\nANO049951  : [IF][WOF 2.9.7]Message d\'erreur erroné lors d\'une prise de jeu IF avec des e-crédit utilisable sur gamme ITG\nANO049957 : [IF][BOX 2.7.1] Historique de jeu mal raffraichi \nEcriture cas de test'),
(21253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[SPOC] Traitement de la DMT DMT0010394'),
(21849, 'A garder dans la file d\'attente\n\n'),
(21850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nSAFERGAME : A la demande d\'IBM, investigation sur des lignes RDST en montant CFP entre le 01/09/2015 et 30/11/2015 => envoi des résultats par mail'),
(21255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[SPOC] Installation TR2 FDL FDL016782'),
(21256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n[SPOC] Qualification de l\'anomalie associée à FDL016782 / ANO049905'),
(22847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3\nDocumentation MCO \nExport données pour IF'),
(21259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nMCO Egide du 28/05/2017'),
(21260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 - Analyse avec M. GINOUX non complétude du WKF_L_CDP_REPORTING_VIR - ne fonctionne toujours pas.'),
(21261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(21262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nMCO Egide du 29/05/2017'),
(21263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Suite à l\'installation en OFF de M.Tregaraud du WKF_L_CDP_Reporting_VIR, analyse avec M.Ginoux de la non complétude du WKF qui ne fonctionne toujours pas.'),
(21265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(21266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nMCO Egide du 31/05/2017'),
(21268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(21269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Création et exécution des campagnes relatives à l\'ETL et à BO'),
(21270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nMCO Egide du 01/05/2017'),
(21271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nChantier transformation du référentiel EGIDE dans ALM avec S.Noblecourt'),
(21272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - Installation FDL016700 - Prise de connaissance'),
(21273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Analyse du résultat du WKF_L_CDP_REPORTING_VIR'),
(21274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(21279, 'From: CHATTON, JEREMY \r\nSent: Friday, June 02, 2017 2:58 PM\r\nTo: JOSEPH, TONY; GONDOUIN, ROMAIN\r\nCc: MARLE, BERTRAND\r\nSubject: RE: [PPS] L1705 - Nims 02.80 Livraison ENVNIMS correctif IE11 (Semaine 22)\r\n\r\nCette livraison comprend un correctif sur l\'affichage bloquant de certaines popup en IE11\r\nJe ne pense pas qu’on utilise d’objet front dans l’envNIMS, je dirais donc non.'),
(21280, 'From: GONDOUIN, ROMAIN \r\nSent: Friday, June 02, 2017 5:11 PM\r\nTo: CHATTON, JEREMY; JOSEPH, TONY\r\nCc: MARLE, BERTRAND\r\nSubject: RE: [PPS] L1705 - Nims 02.80 Livraison ENVNIMS correctif IE11 (Semaine 22)\r\n\r\nJe confirme l’avis de Jérémy : aucun objet front sur le back qui est le seul à utiliser l’envNims'),
(21282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nExécution campagne 14.1.31-SNAPSHOT 2974 - NREG'),
(21283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nExécution campagne 14.1.31-SNAPSHOT 2974 - NREG'),
(21284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nExécution campagne 14.1.31-SNAPSHOT 2974 - NREG'),
(21285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nExécution campagne 14.1.31-SNAPSHOT 2974 - NREG'),
(21755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n- Daily\n- Problème prise de jeu sur Vitan (sur int8)\n- Point automatisation'),
(21643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(21290, 'Problème résolu'),
(21291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nEGIDE : Installation FDL016700 4.40.02 sur INT3EGID'),
(21292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nPalier SPOC : Acceptation des 3 FDL installées l\'avant-veille.'),
(21293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nSAFERGAME : Point de synchro DT entre FDJ/IBM avec P.Maigne'),
(21294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nRéunion hebdomadaire CIQ.'),
(21295, 'C Said qui s\'en occupe'),
(21299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nÉcriture de tests dans Postman (pratique de Postman et analyse de ces services)'),
(21298, 'Relancé, si pas de réponse le 08/06 à 11h => passer le saxo à resolu'),
(21300, 'Traité par Said'),
(21302, 'résolu  par réactivation du serveur SMTP'),
(21303, 'Saxo passé à Résolu.\r\nTicket Mantis sert à suivre la resolution de  ArrayIndexOutOfBoundsException : Upgrade de Liferay-faces (censé être testé par Romain)'),
(21305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nAction : création plan de monté en compétence\r\nLivrable : Skills Development v1.0.ppt'),
(21370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Évolution parse retour PDJ PSEL ( encodage description des outcomes).\n- Capture Flux JASON\n- Atelier analyse flux avec Pierre Beaujoin pour qualification des fiches d\'ANOS.\n- Synthèse et demande complément d\'information dev JASON'),
(21369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Rédaction \"Procédure de création des offres sportives sur les environnements transverses\".\n- Atelier d\'expression de besoin pour mise en place des campagnes de génération du chiffre d\'affaire sous INT2\n- Transfert d\'information cloud Front\n- Atelier de transfert de connaissance évolution appels Mify pour les freeBets\n'),
(21308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nFichier de suivi des Incidents + INC173139'),
(21376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nImplémentation de tests automatiques palier SPOC (falcon USR). Formation IF avec Patrick Girardet'),
(21571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nImplémentation de tests automatiques palier SPOC (falcon USR). Formation IF avec Patrick Girardet'),
(21314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nImplémentation de tests automatiques palier SPOC (falcon USR). Implémentation de tests automatiques Falcon ITG. Formation IF avec Patrick Girardet'),
(21332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nMCO Court Commercial + SID Commercial + SID Client'),
(21318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement + test avec SOPRA'),
(21319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Echanges projet avec RA + Mise au point des chaines Control-M avec HIA et création de comptes sous MPP'),
(21320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\ngestion des incidents'),
(21962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification\nRéunion revue des exigences recertif / régul\nReunion Instance IQ'),
(21963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification\n=> Pb avec les joueurs avec plusieurs IBAN en WTG qui génère un plantage de la BOX'),
(21323, 'Je reçois dans ma BalP le message lotus en copie.\r\nJe suis administrateur de l\'application HABPPS et nous n\'avons pas de convention qui corresponde au numéro 2017/M/0121.\r\n\r\nD\'où provient ce message?\r\nComment consulter la convention citée (2017/M/0121)?\r\n\r\nS\'il s\'agit d\'une convention \"multi-caf\" il serait bon que le message lotus non seulement le\r\nsignale mais apporte plus de précisions quant au partenaire concerné (N° siret, Désignation,adresse, responsable des habilitations,...)\r\nou que nous puissions consulter cette convention.'),
(21324, 'Bonjour,\r\nJe viens de recevoir 2 mails de l\'équipe \"mon compte partenaire\" me confirmant la validation d\'une convention par le vérificateur ...or nous n\'avons pas fait d\'enregistrement récemment donc pas de vérification..de plus les références ne correspondent pas à nos références de conventions...\r\nPourriez-vous nous expliquer svp....les 2 mails sont en pj ci-dessous le texte du 1er mail reçu hier 31/5\r\n\r\nMadame, Monsieur, \r\nLa convention \' 2017/M/0092 \' vient d\'être validée par le vérificateur. \r\nSincèrement. \r\nL\'équipe Mon Compte Partenaire \r\n\r\nPS : ceci est un message automatique, veuillez ne pas répondre directement à ce message. \r\n\r\nmerci d\'avance'),
(21325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nMCO Egide'),
(21326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nSAFERGAME : Test procédure modification mot de passe sur le noeud core entre IIB/DATA sur INT2'),
(21327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nSAFERGAME : Présentation IBM des livraisons du soir'),
(21329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nSAFERGAME : Bug review entre IBM/FDJ avec JC.Morel'),
(21331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nRédaction d\'une annexe pour l\'installation de la FAQ\nRédaction du mode opérationnelle de la version 2.17.2 du portail tablette/mobile\nAnalyse de la FAQ (suite) + Préparation mail sur la FAQ pour Pitech'),
(21333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBPS.057.31 [SPORT] OLYMPIA : MCO et reprise des données du Week-End.'),
(21334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion pour Tests QS avec SOPRA'),
(21335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement'),
(21336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO  - Vérification du fonctionnement Worflow sur INT2 et analyse des problèmes'),
(21337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MPP - tests de modification de la valeur de la ressource mail avec provisionning'),
(21338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nGestion des Incidents'),
(21339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n'),
(21756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n- Daily\n- Point avec Philippe Amario\n- Problème prise de jeu sur int8'),
(21345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n'),
(21347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBAC.005.33 - Palier Spoc : Saisie et exécution des campagnes d\'installation.'),
(21348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(21349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(21350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-13  (Do not remove this line) -->\nAnalyse du pb'),
(21351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-18  (Do not remove this line) -->\nréalisation'),
(21352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nEntretien avec Frederic Thenard sur le dysfonctionnement des logs phpfpm et nginx sur ptab\r\nEcriture de test ptab sur postman'),
(21353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n[PSMSv2] Tests Freebet sur INT8 \r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_14-21\r\nABP:            14.1.31-SNAPSHOT 2974\r\nMOBILE:         6\r\nPLATFORM:       1.0.175\r\n'),
(21354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[PSMSv2] Tests Freebet INT8\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_14-21\r\nABP:            14.1.31-SNAPSHOT 2974\r\nMOBILE:         6\r\nPLATFORM:       1.0.175\r\n'),
(22921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nsupport HIA Bingo'),
(21358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[JASON] Reunion de suivi des anomalies  /FDLs'),
(21359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nMCO EGIDE'),
(21360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n[IF] Assistance au déploiement USR 2.6.2 sur INT02\r\n[IF] Tests exploratoires\r\n[IF] Assistance débuggue WOF IF'),
(21544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nScripts truClient :\nBlocage_joueur_param : remplacement du paramètre pOfferCode du fichier en input par un nouvel attribut du script \"FDJOfferCode\"\ninscription_controle_IBAN_NONVALABLE : modif mineure dans la lecture des paramètres pUAC_ID et pLOGIN en input afin de supprimer les quotes\n[Script Motors] test de PDJ controlée sur nouveau jeu La course \"autolacourse\" : seul betId:11 permet d\'effectuer la PDJ avec succes\n'),
(21364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nScript truClient : Mise au point avec Pierre Pellegrini sur le script Box restant à faire : Modification_informations_joueur et préparation du script'),
(21503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nAnalyse comparative de Falcon USR et TRS 2.6.2-2 // 2.6.1-1 : RAS\nScript TruClient : finalisation du script Modification_informations_joueur, qualification et documentation'),
(21366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-18  (Do not remove this line) -->\n'),
(21367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\n'),
(21387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nsuite écriture de tests dans Postman (pratique de Postman et analyse de services)\n\nAnalyse/validation compréhension et documentation de la procédure d\'installation sur environnement + point sur l\'architecture/ les machines/ les composants'),
(21640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Rédaction \"Procédure de création des offres sportives sur les environnements transverses\".\n- Analyse Anos Mify (demande Joel)\n- Support analyse erreur front.'),
(21374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016482 sur INT4CODT'),
(21667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nRédaction de cas de tests.'),
(21377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nSAFERGAME : Qualification ANO046087'),
(21378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nSAFERGAME : Installation FDL016743 Cognos via Hudson sur INT2'),
(21379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nInstallation et passage des tests d\'acceptance sur la FDL016788 - [HAPPY DES ETE] Livraison v3.0.3:\r\nSaisie des \r\nMOD011813: Uniformiser le nommage des FDL des jeux illiko\r\nMOD011814: Ajouter le numero de version des applets dans les fichiers \r\nANO050015: La largeur et la hauteur ont été intervertis\r\nANO050016: Le champ EXS_DESCRIPTION ne correspond pas au jeu Happy Dés MOD011816: Prévoir le cas d\'une mise a jour dans le fichier de déclaration des jeux MOD011817: Uniformiser le nommage des fichiers de configuration\r\nMOD011818: Uniformiser le nommage des fichiers json \r\n'),
(21381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nTest exploratoire\r\nCréation cas de test'),
(21382, 'On laisse tomber les plugins pour le moment.\r\nOn se concentre sur l\'utilisation du server standalone + création bat + post build dans Jenkins.\r\nIl faut en fait utiliser le HtmlRunner mais ça plante à cause du geckodriver (correctif dans la semaine a priori)'),
(21384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[SPOC] Installation des 3 FDLs FDL016795, FDL016797 et FDL016799 sur le TR2'),
(21386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nRédaction cas de test\nTest exploratoire'),
(22848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3\nDocumentation MCO'),
(22849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3\nDocumentation MCO'),
(21757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n- Daily\n- Point mify psmsv2 avec leena\n- Résolution bug prise de jeu sur vitan pour les dév\n- Recherche non affichage des best sur int1,2 et 8\n- Point vacances avec l\'équipe'),
(24624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nFDL016796 et FDL016802 pour livraison Appli FDJ Android et IOS pour eCab le mercredi et MEP le jeudi\nCorrection des anos associés au FDL, test des appli, tests des notifications'),
(21392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nReunion visibilité strategie - plan de tests- playstation'),
(21395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nDemo webapp astrologia + ile au tresor\r\nBug review'),
(21396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nFDL016796 et FDL016802 pour livraison Appli FDJ Android et IOS pour eCab le mercredi et MEP le jeudi\r\nCorrection des anos associés au FDL, test des appli, tests des notifications \r\nMise en place du palier CF17.4.Palier Playstation dans le referentiel digital front sous ALM pour préparation des cas de tests pour le projet playstation'),
(21397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nTest de la webapp astrologia sur appli FDJ via substitution d\'appel grace a fiddler.\r\nTest de la webapp sur ce qui est possible de faire actuellement + reflexion sur la strategie de tests a mettre en place\r\nSupport pour la MEP des appli FDJ 1.0.044 Android et 1.0.030 IOS'),
(21398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nDump de prod sur INT81 + mise a niveau de tout les composants'),
(21399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nContinuité des tests sur webapp astrologia + continuité tests sur appli FDJ Android et IOS'),
(21586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\necriture tests postman regul\nTaskforce SPOC Boost Bet'),
(21401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nTests IF : Gestion des croupiers, gestion des e-crédits, \r\nformation F. Derock'),
(21403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nTests IF : gestion des croupiers, tests jackpot, gestion des ecredit\nformation f. Derock'),
(21404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nTests IF : gestion des croupiers, ecredit,\r\nformation f. Derock'),
(21405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nTests IF : Gestion des croupiers,\r\nreorganisation des tests sous HPALM\r\nformation F. Derock'),
(21964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification\n=> pb avec les scripts Box'),
(22786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nAuto Batch'),
(22787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nAuto batch'),
(22788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nAuto batch'),
(22789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nAuto batch'),
(22790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nAuto batch'),
(21416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n'),
(21417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n'),
(21424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nvie des environnements : jenkins'),
(21419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n'),
(21421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nvie des environnements : jenkins'),
(21425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nformation auto des nouveaux arrivants'),
(21423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nvie des environnements : jenkins'),
(21426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-05  (Do not remove this line) -->\n'),
(21427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[PSEL] Test d’acceptance Front manuel sur INT3\r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_13-28\r\nABP:            14.1.30.3-SNAPSHOT 67\r\nMOBILE:         5\r\nARGUS:          build-865\r\nPLATFORM:       1.0.174\r\n\r\n[ PSMSv2] Test Freebet sur INT8\r\n\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_14-21\r\nABP:            14.1.31-SNAPSHOT 2974\r\nMOBILE:         6\r\nPLATFORM:       1.0.175\r\n'),
(21428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nfiddler wireshark reunion IQ sport'),
(21429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nsupport des QR codes'),
(21431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nsuivi inscriptions gitlab jenkins'),
(21627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nbesoin IQ'),
(21433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n'),
(21435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n'),
(21436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n'),
(21437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : régul/recertif (RUN01) et création de tests POSTMAN.'),
(21438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(21439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nExécution de la campagne de tests d\'acceptance du projet SPOC : régul/recertif (RUN02) et création de tests POSTMAN.'),
(21440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nInstallation des composants Falcon USR OPR BOX SID sur INT0\r\nAmélioration des scripts postman'),
(21457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM (LateBet) + Investigation / ANO0449973 (Format fichier Due/Undue)'),
(21442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nAmélioration du script bash d\'acceptance IF et amélioration des scripts Postman'),
(21443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nLecture des documents lié au projet Gamif'),
(21444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nlecture des documents lié au projet Gamif'),
(21462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM (LateBet) + Qualification / MOD011546'),
(21464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM (LateBet et Resettlement)'),
(21466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet/  / 14.1.31-SNAPSHOT - b2974 / INT8 + MAJ Tests ALM (LateBet et Resettlement)'),
(21721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nscript modification_information_joueur\ntransfert de compétence auprès de Frederic sur la vie des environnments (3H)\nMaintenance sur les scripts Inscription_Controle_IBAN_NOK et Inscription_Controle_IBAN_NON_VALABLE pour changer la référence à l\'objet du bouton à cliquer afin d\'éviter toute confusion entre la partie \"Controle majorité\" et \"contrôle IBAN\"\nmaitenance Script Falcon FalconGETFinancialDepositTransactionid : echec de transaction sur INT8 -> la version de Monext sur INT8 a changé et les transaction de creditAccount échouent\nCorrectif dans CreditAccount.h pour éviter une memory violation lors de l\'appel du CreditAccount sur INT8'),
(21469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nImplémentation de tests auto, liaison des tests manuels en tests auto et correction de tests / requêtes de sélection avec test de robustesse (sur un grand nombre d’occurrence ou de joueurs). Difficultés liées aux bouchons Banquaires (banfake), erreurs dans le code entrainant un arrêt du service. Génération de cartes bancaires créant des cartes ayant une validation 3D-Secure entrainant un refus de paiement avec risque de fraude pour les tests CB / Mail envoyé par Valerie Le Roux pour demander l\'exclusion de ces cartes dans le code. '),
(21452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\nCoordination Migration ALM.\nEvolution fonctionnelle scripts pour auto tests de batchs.'),
(21453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nImplementation de tests auto, liaison / complétion finale des tests manuels (requirements) en tests auto, par des coquilles vides. Mise en place d\'une campagne de tests et modification / ajustement des paramètres de lancement de campagne. Remplacement de pLOGIN par UAC_ID et ajout de la propriété \'UAC_ID\' dans tous les champs FDJ_AdditionalOutputFields afin de passer les valeurs à travers les steps. Tests de robustesse sur les nouveau tests créés. '),
(21454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nprise en main de jenkins');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(21455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nComité automatisation.\r\nEvolution fonctionnelle scripts pour auto tests de batchs.\r\n'),
(21456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nCampagne de non-reg manuelle sur INT1'),
(21458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nCampagne de non-reg manuelle sur INT1'),
(22735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nCampagne de non-reg manuelle sur INT3'),
(21460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nprise en main de Jenkins\r\ntraitement des retour de Fréderic Faissat sur les script\r\ncodegen swagger ébauche du générateur'),
(22850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3\nDocumentation MCO'),
(21465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nImplémentation de tests auto, correction de tests passés en InProgress et création des tests en TODO par priorité / services. Amélioration de la couverture des tests auto sur BOX.'),
(21467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nImplémentation de tests auto, création des tests côté BOX.'),
(21468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\nPoint installation journalisation. Point IF auto tests. Scripts batch cadrage des besoins. Analyse de dysfonctionnement SCP SSH. Evolution fonctionnelle scripts pour auto tests de batchs.'),
(21470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nScripts transverses pour aitomatidsation des batchs : Maintenance corrective (libssh) et évolutive (FileCheckAndValidate et upload).'),
(21471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\ncodegen swagger création du Template pour les databuilers (en cours)'),
(21472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nnettoyage du fichier des environnements\r\ncodegen swagger (suite)'),
(21926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n[JASON] \nAnalyse des flux mify + Digishop pour historique de jeux dans MUGO \nTests sur la borne'),
(21475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n[Formation Bruno] Support POSTMAN - rédaction tests digishopA'),
(21477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[Formation Bruno] Support\n[JASON] Demo stream compte - historiques de jeux\n[Stream compte] COPROJ'),
(22772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[JASON]\n Historiques de jeux => analyse pb d\'expiration du ticket (silent login mify)\nDéploiement INT1 et INT3 de la version mugo 1.0.34 (version pour la demo)'),
(21480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nPréparation d\'une présentation pour les nouveaux arrivants'),
(21694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[JASON] \nDeploiement + Acceptance mugo 1.0.35\nTests applications détaillants (non reg)'),
(21483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n'),
(21485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nConstruction cas de tests du jeu \"LA COURSE\" MOTORS - INT3\r\nCAMPAGNE DE PRE-QUALIF '),
(21486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n'),
(21487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nConstruction cas de tests du jeu \"LA COURSE\" MOTORS - INT3\r\nCAMPAGNE DE PRE-QUALIF '),
(21744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nConstruction cas de tests du jeu \"LA COURSE\" MOTORS - INT3\nCAMPAGNE DE PRE-QUALIF'),
(21489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFiles'),
(21491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION MOTORS INT9 - USR 2.6.2-2'),
(21492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFiles'),
(22810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFiles'),
(21965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification\nExécution de la campagne d\'Acceptance API et DB Falcon USR 2.6.2-2 sur INT9'),
(21495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nExecution campagne  AUTO Batch CheckCertif, TC, Reg'),
(21496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nAnalyse du fonctionnement de digishop P\r\nCentralisation des informations sur la FAQ au vue de l\'absence de doc technique\r\nInvestigation sur le fonctionnement du JackpotIF'),
(24717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRédaction des exigences sous ALM'),
(21498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[IF] Transfert de connaissances Loic Verstraete'),
(24718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRédaction des exigences sous ALM'),
(21500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[IF] Rédaction de cas de test'),
(21501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[IF] Rédaction de cas de test'),
(21502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[IF] Rédaction de cas de test'),
(21504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[SPOC] Campagne d\'installation des 3 FDLs FDL016795,FDL016797,FDL016799\r\n\r\n	\r\n '),
(21552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nAnalyse et traitement de l\'incident INC173139'),
(21506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[SPOC] Campagne de test statique'),
(21507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nTests sur la version livrée 4.7.003 de PS PDV ios -> les bases de données sqlite ne sont pas appelés aux fréquences demandées dans le catalogue ; Tests sur la version livrée 4.7.004 de PS PDV ios -> la fréquence de rafraîchissement des bases sqlite se fait bien selon les valeurs du catalogue ; Création de la MOD011796 pour supprimer le If-Modified-Since qui n\'est pas utile dans le header de la requête HTTP d\'appel aux bases sqlite'),
(21508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nCréation des MOD011810, MOD011811 et MOD011812 pour la suppression de la date de mise à jour affichée sur les 3 pages de résultats \"PARIS TERMINES\", \"COMBI BONUS\" et \"LOTO FOOT\" ; Création de la MOD011820 pour faire les appels (asynchrones) aux bdd sqlite le plus tôt possible sur PS PDV Android (cohérence avec la version IOS) ; '),
(21509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nAcceptance de PS PDV IOS 4.7 -> OK'),
(22102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nCréation des MOD011846 et MOD011847 pour la prise en compte du 3ème digits sur le numéro de version sur PSPDV Android et IOS'),
(21512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nSPOC_ Exécution des tests Freebet '),
(21514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nSPOC_ freebet\n0,5 : exécution et écriture des nouveaux  tests+ ajout dans les campagnes \n0,5 : exécution de tests demandés par Henri Frenay (inexistant dans ALM)'),
(21515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nSPOC _ Boosbet\r\n0,5 : POSTMAN : installation des modules manquants sur mon poste (pbles)\r\n0,5 : ecriture/formation avec Nicolas Fontaine des premiers test postman pour boostbet + questions à Lotsys'),
(21516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nInstallation et tests INT31 - MIG 2.4.X Click to Tchat\r\nFDL016790 / FDL016814\r\nTest spécifiques Module de tchat Idavize'),
(21517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n- Analyse et test anomalies SPOC (demande M Bastide)\r\n=> ANO049829 / ANO048021 / ANO037865\r\n- Accompagnement Mise à niveau Edwan Michel Puech INT22'),
(21519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n- démo Borne Jason\n- Coproj Coco'),
(22773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n- Travail sur Click to tchat (coordination et tests)\n- Réferentiel Digital Front ALM'),
(21521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n- Stream Coco Bug review'),
(21522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n- Réunion palier SPOC (L Barrière)'),
(21523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n- Livraison Digi A  / I / U : FDL016820, FDL016821 et FDL016822.\r\n- Analyse fichier de conf\r\n- déploiement sur INT22\r\n- échanges avec le CPSI pour modification Plan de Conf (déterminer si Digi I doit partir en MEP avec le palier SPOC)'),
(21524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n- Mise à niveau Edwan INT81\r\n- Transfert de compétence J Giordano'),
(21525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n- Livraison MUG SPOC : Install et tests'),
(21526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nMCO Court Commercial + SID Commercial'),
(21631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nBAC.005.33 - Palier SPOC : Campagne d\'acceptation (Statique)'),
(21528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(21529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nMCO Court Commercial, SID Client et SID Commercial'),
(21530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nBAC.005.33 - Palier SPOC : Campagne d\'acceptation Statique'),
(21531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nMise en place de la boite à outil pour le LIVE'),
(22303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nQualification boite à outil pour LIVE'),
(22292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRéunion préparation DEMO auto\nSuivi avancement'),
(21536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nMise à jour documentation poupées russes\r\nréunion anonymisation\r\nanalyse nouveau chargement client'),
(21537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nAnalyse nouveau chargement client - rédaction document\r\nrecherche anomalie de prod - courrier non émis\r\nréunion Refonte Chargement Cohéris - retour analyse dev'),
(21538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nFDL016835'),
(29778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nModification et qualification requête pour résoudre le problème de traduction de certains markets.'),
(21927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nPrésentation HP ALM'),
(21543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nAmélioration et qualification requête de sélection joueurs, en ajoutant un contrôle sur l\'IBAN et la Pièce d\'identité.'),
(21547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n--Campagne d\'acceptance sur INT7 pour la version ABP:                14.1.30.3-SNAPSHOT 73 ( 3 heures et demi de travail incluant le reporting) \n-- Lancement de la NonReg pour la même version citée ci-dessus sur int3'),
(21724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nCHECK RECONCILIATIONS / REUNION TESTS ABP JASON PIERRE'),
(21725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nJASON DATA MINING'),
(21727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nJASON CHECK CORRELATIONS DES DONNEES FOOT'),
(21550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nCampagne de NonReg sur INT3 pour la version ABP: 14.1.30.3-SNAPSHOT 73'),
(21728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nFALCON RECONCILIATIONS LIONEL BELLUCCI ANOS SUR RECONCILIATIONS'),
(21553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016778 sur le TR4'),
(21557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016778 sur le TR1'),
(21558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016778 sur le TR2'),
(21556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016778 sur le TR3'),
(21607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[Mobilin] : Tests de qualification transverses et création des anomalies ANO050006, ANO050041 et ANO050044'),
(21560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nSAFERGAME : Installation FDL016743 Cognos + FDL016785 Cognos + FDL016804 CFM sur INT2'),
(21561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRDI : Création de 2 PDV de type enseigne intégrée dans Egide sur le TR3 => DMT0010419'),
(21565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n[Mobilin] : Tests de qualification transverses et création de l\'anomalie ANO050006'),
(21563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRédaction de tests sur HP ALM'),
(21567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nRAM.004 : Qualification de l\'anomalie ANO049919'),
(21568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n[Mobilin] : Tests de qualification Transverses'),
(21572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[StockGrattage] Point sur les actions a venir, les impacts pour communication a la chefferie de projet'),
(21909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nImplémentation de tests automatiques palier SPOC (falcon USR). Formation IF avec Patrick Girardet'),
(21589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nDaily meeting : 1h\r\nDernière vérification sur la nouvelle version du script broadcast.ksh et de la configuration broadcast.cfg pour déploiement avec HIA de ces différents sources en production.\r\nInvestigation avec HIA du problème de production (INC173316) --> mauvais affichage de côte sur la page HOME de PS PDV 4.5 IOS.\r\nInvestigation sur les problèmes d\'affichages des résultats sur les versions PS PDV 4.7.001 et 4.7.002 --> communication aux devs de l\'investigation --> ils corrigent --> test fonctionnalité sur la version 4.7.003 --> problème de profondeur, ils n\'affichent jamais la dernière journée.'),
(21592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2  - Installation PORTO jusqu\'à version 4.04 sur INT8EGID'),
(21591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Modification du document d\'installation pour HIA'),
(21593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nRIB009 - Réalisation des livrables EGIDE 4.40 pour HIA'),
(21594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRIB009 - Installation FDL015756_egide_4.40.00_liv sur INT8EGID'),
(21595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRIB009- Installation FDL016700_egide_4.40.02_liv sur INT8EGID'),
(21596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Installation de la FDL016773 pour une correction sur WKF_L_CDP_REPORTING_VIR, puis lancement du flux et analyse des résultats'),
(21597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\ngestion des incidents'),
(21598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n'),
(21599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nDaily meeting : 1h --> demande au dev de nous fournir des corrections pour les versions de production (PS PDV Android 4.6 et PS PDV IOS 4.7), reunion AMEX \"RUN AMEX\" avec le techlead de Paris (présentation des solutions).\r\nCertains jobs CTRL-M se terminent en erreur suite à une absence d\'évolution dans le script broadcast.ksh --> Investigation avec HIA. --> On trouve la solution. Le problème est fixé en production.\r\nEchange avec le PO pour faire avancer certains sujets sur PS PDV.\r\nDemande aux personnes de l\'équipe sport IQ front de réaliser des tâches (3 MOD pour PS PDV)'),
(21600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - suite à l\'installation de la FDL016773, création et exécution d\'une campagne et qualification de ANO049974'),
(21601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(21622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRéunion AMEX avec le CP SI (1h30).\nTest broadcast.ksh et broadcast.cfg pour vérifier la séparation des logs --> OK --> Déploiement sur l\'intégralité des environnements d\'intégration.\nDiscussion sur plusieurs fiches variées suspendus par les dev (PS PSD, PSEL WSPO, pb de perf) --> Relance des PO PS PDV & PSEL ainsi que la PERF.\nMise à jour des tests du composant WSPO pour PSEL'),
(22419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n'),
(21624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n'),
(21621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nDaily meeting\nMise à jour des tests du composant WSPO pour PSEL'),
(21604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[Mobilin] : Installation de la FDL016832 sur TR1'),
(21605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[Mobilin] Tests de qualification transverses sur TR1.'),
(21606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016778 sur le TR5'),
(21609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n- réunion [STAR WARS] : DEMO\r\n- maj d\'environnement et qualif de version de pré-q apimaitre\r\nINT12	1.0.11-b_apimaitre	\r\nINT12	1.0.11-c_apimaitre	\r\nINT12	1.0.11-d_apimaitre	\r\nINT12	1.0.11-f_apimaitre	\r\nINT12	4.2.0_mobi	FDL016719\r\nINT32	1.0.11_apimaitre	\r\n- qualification livraisons appli FDJ'),
(21610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(22301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n- réunion PLAYSTATION  Visibilité projet\n- mise à niveau environnement INT21\n- rollback IF sur composant 4.3.1_hasard\n- dump de prod sur INT22\n- maj d\'environnements d\'integ\nINT21	1.0.7_apimaitre	FDL016547\nINT21	1.0.11_apimaitre	\nINT21	4.2.11_edwan	FDL016720\nINT21	4.2.2_hasard	FDL016730\nINT21	4.2.11_mapi	FDL016670\nINT21	4.2.0_mobi	FDL016719\nINT21	4.1.5_mrcd	FDL016598\nINT21	2.0.3_tapi	FDL016615\nINT22	1.0.11_apimaitre	\nINT22	4.2.11_edwan	FDL016720\nINT22	4.2.2_hasard	FDL016730\nINT22	4.2.11_mapi	FDL016670\nINT22	4.2.0_mobi	FDL016719\nINT22	4.1.5_mrcd	FDL016598\nINT22	2.0.3_tapi	FDL016615\n- qualification livraisons appli FDJ'),
(22276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n- maj d\'environnements\nINT22	4.3.0_edwan	FDL016348\nINT22	4.3.0_hasard	FDL016332\nINT32	4.2.14_hasard	\nINT12	4.2.14_hasard	\n- qualification livraisons appli FDJ'),
(21615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n'),
(22302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nSauvegarde des fichiers ALM\nAcceptance INT7'),
(21617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\nRédaction de cas de test'),
(21637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nSAFERGAME : Installation FDL016806 SPSS, FDL016801 Hudson, FDL016285 Folio sur INT2'),
(21626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n'),
(21628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n Écritures de tests dans Postman (Playscan) suite\r\n\r\nCompléments rédaction procédure install integ\r\nReunion présentation Implémentation tests auto : aprés midi'),
(21644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nÉcriture de test dans Postman/ test des services Boutique DigishopA\n\nInstallation d\'un composant MUGO livré , sur Integration (Validation avec Christophe + présentation tests acceptances dans HP ALM)'),
(21630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nBAC.005.33 - Palier SPOC : FDL016792 + début FDL016797'),
(21632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nRéunion CIQ : Planning été 2017'),
(21634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nSIDCOM TR2 En attente // SIDCOM TR3 OK // SIDC TR2 & TR3 OK'),
(21635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[MigrationTeradata] Point avec Sebastien Pradon sur les impacts a venir sur les projets sur le SID Commercial visant le TR2 '),
(21638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nSAFERGAME : Création ANO050059, ANO050070, ANO050075\nQualification ANO048543, ANO048546,'),
(21648, 'Saxo cloturé faute de réponse à un échange'),
(21649, 'Les identifiants des 3 agents ont été modifiés (table agent et table user_).\r\nMais ça n\'a pas débloqué la désignation de ces agents comme vérif et admin caf.\r\nAnalyse à pousser plus loin (voir avec Tony)'),
(21650, 'Page d\'erreur Liferay implémenté et testée. OK\r\n\r\nPage pps implémentée et testée mais les endroits ou elle peut être appelée sont innombrables.\r\nA voir ce qui peut être fait'),
(21652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nEtude IHM'),
(21653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nRG_0424, RG_0446, RG_0298, RG_0478'),
(21654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nRG_0424, RG_0446, RG_0298, RG_0478'),
(21655, 'Réponse fonctionnelle apportée sur saxo.\r\nSi pas de réponse lundi => clôturer le saxo'),
(21656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nPréparation'),
(21657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nPréparation'),
(21678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nSIDC TR2 et TR3 OK // SIDCOM TR3 OK après déblocage'),
(21659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[GSI]Traitement de la DMT DMT0010601'),
(21661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[PSEL] Tests Segmentation sur INT3\n\nHOST:           agpadmi31\nSITE:           fdj2-origin_release_13-28\nABP:            14.1.30.3-SNAPSHOT 73\nMOBILE:         5\nARGUS:          build-865\nPLATFORM:       1.0.174\n\n[AUTRES] Mise à jour des EventPathThree sur INT3/INT7 - Solution de contournement pour l\'anomalie ABP-54401'),
(21663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nAnalyse livré ==> demande d\'un nouveau defect si besoin de correction du code'),
(21682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRedaction d\'une annexe Interactive Factory pour le mode opérationnel du portail tablette 2.17.2\nPoint tlééphonique avec Yann Faveaux sur le referentiel de la FAQ et la prochaine livraison du portail\nMise a jour du script  replace_conf.ksh pour intégrer la nouvelle configuration IF\nCreation d\'anomalies critique : ANO050082 & ANO050067'),
(21665, 'Le Client  a abandonné le sujet apres la livraison des specifications pour le transferer sur d\'autres applis'),
(21666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nEcriture de cas de tests'),
(21668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nEGIDE : Traitement INC172727+INC172721'),
(22830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nMise à niveau analyse chargement client suite à réunion\nModification du Boucon TU_Chargement_client_V2.3.xlsm'),
(21974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[SPOC] Point avancement Recertif/Regul'),
(21692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nAnalyse de la repise et de l\'évolution de FDJ libssh.'),
(21674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\n Rédaction de cas de test'),
(21675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[SPOC] Installation de la FDL016800 sur le TR2'),
(21676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[TRANSFO] Réunion avec Sophie et Franck'),
(21677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[MigrationTeradata] Suivi des actions a réaliser le 12/06 + vérification disponibilité  univers Stock grattage KO'),
(21679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nMCO Court Commercial + SIDClient'),
(21680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRéunion HP ALM sur SID (Franck + Sophie Noblecourt)'),
(21681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nBAC.005.33 - Palier SPOC : Campagne d\'acceptation Statique'),
(21878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nReport des Modifications DMT0010611 FBL dans le package PK_FDJ_BI4BO_DELTA\nRéunion Refonte de l\'alimentation COHERIS\n'),
(21966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification (pb sur les scripts BOX)\nExécution de la campagne d\'Acceptance API et DB et NR Falcon USR 2.6.2-2 sur INT8'),
(21967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nExécution et analyse de la campagne NR Falcon USR 2.6.2-2 sur INT8\n(Pb d\'environnement - Erreur 500)'),
(21688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nBAC.005.33 - Palier SPOC : Validation de la livraison des vues.'),
(21972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n[SPOC] Point avancement Recertif/Regul\nEcriture de test postman sur boostbet'),
(21973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nMaJ test postman bootbet\n[SPOC] Instance IQ spécial SPOC: suivi des campagnes, tests, difficultés'),
(21693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nMCO EGIDE'),
(21695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n[JASON] \r\nDéploiement mugo 1.0.35 (INT1 + INT3) + Acceptance\r\nAnalyse pb de prise de jeux invalide => pb de getTicket\r\nAnalyse pb boutiques sur INT51 (Unable to find environment key : \"unlock/stores/pass\")	\r\n'),
(21697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nAction : plans de montée en compétence\nLivrable : \nSkills Development v1.0.ppt\nATS_monteEnCompetenceTableauDeBord.xls\nATS-SoftwareTestingMethodologies.doc\nsous\nV:\\SIO\\SYSI\\CDS ATOS\\NouvelArrivant\\ DocumentsNouvelArrivant\\11 - Plans de montee en compétences\nV:\\SIO\\SYSI\\CDS ATOS\\NouvelArrivant\\ DocumentsNouvelArrivant\\10 - Methode'),
(22116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nInstallation et passage de la campagne du jeu HAPPY DES ETE  v3.0.4 (FDL016861) => Rejeté'),
(22114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRéalisation du script SQL d\'insert'),
(23095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nInstallation du croupier du jeu MAXI RUCHE D\'OR 2017 v1.0.0 (FDL016896)'),
(21706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nAction : gestion anomalie autour du service du creditAccount; réhabilitation des tests qui couvre le service du creditAccount\nLivrable\nLivrable : tests associés/anomalies associées'),
(22163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[IF] Redaction cas de tests IF\n[IF] Couverture des exigences'),
(22164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[IF] Tests exploratoires à la demande de LBO\r\n[IF] Contrôle batches et plSQL IF'),
(21710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nAction : gestion anomalie autour du service du creditAccount; réhabilitation des tests qui couvre le service du creditAccount\nLivrable\nLivrable : tests associés/anomalies associées'),
(21709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nAction : exécution/analyse campagne acceptation \r\nLivrable : bilan exécution'),
(21910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nFormation IF avec Patrick Girardet'),
(21717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nSIDCOM TR3 Ajout des conditions pour chargement // SIDCOM TR2 En attente validation métier //SIDC TR2 En attente SPORT // SIDC TR3 En cours'),
(21723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nLancement campagne Acceptance et Non Reg Falcon RTG sur INT8 pour valider la version de Falcon USR 2.6.2-2. Palier SPOC. Analyse de la campagne de Non regression Falcon USR 2.6.2-2 sur INT8'),
(21722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[MigrationTeradata] pilotage des opérations de sauvegarde/restauration des bases SIDCOM SIDR et SIDC'),
(21729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nRedaction de test d\'acceptance sur ALM pour la FAQ\r\nInstallation 2.17.4 du portial tablette sur  INT81 + test d\'acceptance'),
(21798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Mise à jour Token Apollo API auto\n- Atelier erreur lancement des environnements.\n- Atelier mise en place PDJs Mify FreeBet robot Digital. \n- Finalisation acceptance INT9 \n- Création Cas de test Mify pour les nouveaux services /version/1'),
(21731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nFichier de suivi des incidents + sollicitation par G. Besson sur Lync.'),
(22851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nMCO control-m multimédia TR1 2 3'),
(21770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nSAFERGAME : Qualification  ANO048547, ANO049381, ANO049701; Création ANO050127/ Investigation sur des transactions PLC\nRéécriture de 6 cas de tests suite revue complète du processus de création de cas manuel'),
(21734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[GSI] Modifications de la chaine controlm pour palier aux manques de données WCS sur le TR3'),
(21735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\ncegema'),
(21736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nAVV LOT 4'),
(21737, 'Le saxo n\'est pas encore dans nos équipes.\r\nIl faut le passer à résolu qu\'il nous sera affecté.'),
(21738, 'Les groupes qui ont le corporateName Like \"le nom de l\'organisme auquel la convention est lié\" sont affichés.\r\nAjout d\'une propriété \"filter\" \"value=strict\" dans le customgroup-sprin.xml'),
(21739, 'Poussé sur CDAP V2\r\n\r\nTest HPALM : PHA-Test de confirmation 0280.0200100 - patch MCO - 19406 - Correction du filtre par nom  d organisme  partenaire dans la vue liste des groupes\n\n'),
(21742, 'à clôturer quand on pourra clôturer le saxo (quand le saxo nous sera affecté)'),
(21762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nContinuité des tests sur l\'appli FDJ Android IOS + analyse des bug des notifications arrivées en doubles'),
(21766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(21767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\nrechiffrage specs'),
(21768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n'),
(21769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nChiffrage'),
(21771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[STR] Support à la recette via les 2 DMT DMT0010682, DMT0010687\r\n	\r\n'),
(21772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nChiffrage'),
(21773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nSAFERGAME : Point de synchro DT entre FDJ et IBM'),
(21774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\nChiffrage'),
(21775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nChiffrage'),
(21776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nChiffrage'),
(21777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-12  (Do not remove this line) -->\nAide GPMM'),
(21778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[MigrationTeradata] Vérification des univers et rapports suite à la restauration des bases SIDCOM TR2 et SIDC TR3 + Analyse et résolution du problème de login password sur l\'univers stock grattage + rattachement des rapports stock grattage sur l\'univers SG dans le répertoire TRX'),
(21779, 'Atelier Technique 3 du 11/06'),
(21780, 'Atelier Fonctionnel 3 du 01/06'),
(22738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[Maintenance corrective] Tests de segmentation sur INT3 - Investigation de potentiel anomalie. \nHOST:           agpadmi31\nSITE:           fdj2-origin_release_13-28\nABP:            14.1.30.3-SNAPSHOT 73\nMOBILE:         5\nARGUS:          build-865\nPLATFORM:       1.0.174'),
(21782, 'Atelier Fonctionnel 4 du 15/06'),
(21783, 'Atelier Technique 2 du 29/06'),
(21784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n'),
(21785, 'Test HPALM : PHA-Test de confirmation 0280.0200100 - patch MCO - 19407 - Ajout du bouton créer devant les champs administrateurs 1 et 2 de la convention - xxxxx\r\n\r\nCorrection poussée sur cdap v2.\r\nSaxo et mantis à cloturer'),
(21795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n'),
(21787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nGestion des Incidents'),
(21788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement'),
(21789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - DMT0010683 pour arrêt relance base INT6EGIDE pour teste cautionnement par SOPRA'),
(21790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nRéunion [TRANSFO] Liste des Processus / Sous Processus CSAM dans ALM Réferentiel  -avec S.Noblecourt'),
(21791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n'),
(21792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n'),
(21793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM  - Echanges équipe projet'),
(21794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n BCO.081.31 [ME] COMMERCIAL  - Gestion des environnments EGIDE'),
(21796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(21797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n- Daily\r\n- Réu point Atos\r\n- Recherches sur le fonctionnement de l\'admin agp  + Probleme image banner sur int8\r\n- Ré-écriture test wspo psel android'),
(21799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nExécution campagne 14.1.31-SNAP¨SHOT-2974'),
(21834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nAnalyse des campagnes Falcon RTG. Rédaction des rapports de campagne Falcon RTG et Falcon ITG pour valider la version de Falcon USR 2.6.2-2'),
(21801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nExécution campagne 14-1-31-SNAPSHOT-3-NREG'),
(21802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nExécution campagne 14-1-31-SNAPSHOT-3-NREG'),
(21804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nExécution campagne 14-1-31-SNAPSHOT-3-NREG'),
(21805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n[Maintenance Corrective] Test de segmentation sur INT3\r\n\r\n[PSMSv2] NREG manuel Front sur INT2-INT8\r\nSITE:           fdj2-origin_release_14-23\r\nABP:            14.1.31.0-SNAPSHOT 3\r\nMOBILE:         6\r\nPLATFORM:       1.0.175\r\n'),
(21806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Vérification et suivi du WKF_L_CDP_REPORTING_VIR sur plusieurs journées suite à l\'installation du 06/06'),
(21807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(21809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nScript TruClient : Finalisation qualification, documentation de Modification_informations_joueur\nRemplacement de l\'identification le bouton de controle à cliquer avec un chemin xpath sous la forme : //div[@id=\"userDetailTop\"]/div[2]/div/table[1]/tbody/tr[2]/td[3]/table//a[text()=\"Contrôle XXXXX\"] dans  Inscription_Controle_IBAN_NOK_GDO et NONVALABLE\nMaintenance corrective sur script transverse DataFlowFusion suite aux erreurs rencontrées sur les campagnes de la vieDesEnvts sous ALM 12'),
(21815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nModifications des scripts archive_and_purge.sh et get_results.ksh pour la gestion des logs  et la simplification du traitement\nbug Review FAQ avec Yann Faveaux et Stephane Hiardot'),
(21813, 'A planifier en 2018'),
(21814, 'A traiter pour DSI 2018'),
(21816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(21904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(21818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nSIDCOM TR2 Attente retour tests metier// SIDCOM TR3 debloqué // SIDC TR3 OK // SIDC TR2 Bypass partie sport'),
(21819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nAssistance sur l\'anomalie de PROD ANO050162'),
(21828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n- Remplacement du clavier défectueux par HP\n\n- Suite ecriture de service Postman Digishop A\n\n-Paramétrage des BDD (SQLDeveloper, connexions ....)'),
(22289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nJASON / Création des template et pricing FOOT + Validation des données'),
(22290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nJASON / Création des template et pricing FOOT + Validation des données / Offres FOOT non éligibles'),
(22294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nJASON / Création des template et pricing RUGBY + Validation des données / Offres RUGBY non éligibles'),
(22067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nImplémentation de tests auto en To do vers Design. Première demande au support de correction des problématiques sur  le centre logiciel. '),
(21832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRéunion matin Présentation de l\'intégration à la FDJ\n\nEcriture de services Postman Digishop'),
(21833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\n Rédaction de cas de test\r\nTest exploratoire: \r\nRemontée anomalies:\r\nANO050180: [IF][MAG - 2.4.6] Applet du jeu retourne un écran blanc en la raffraichissant après avoir dépassé le TMO\r\nANO050177: [IF][WOF- 2.9.7]  Message d\'erreur BetError.12 en lancçant un jeu après avoir dépassé le Timeout'),
(21975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nreunion sur Rapport de tests postman/ALM\nComité Automatisation des tests\nParametrage jenkins'),
(21836, 'PB0005118 à passer à résolu quand on livre le patch'),
(21838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(21842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-29  (Do not remove this line) -->\n'),
(21843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n'),
(21844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n'),
(21845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n'),
(21846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nSAFERGAME : Call avec S.Delannoy pour investigation sur les différents problèmes cognos'),
(21847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nMCO EGIDE'),
(21848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nSAFERGAME : Comité opération avec JC.Morel'),
(22257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Démo automatisation\n- Support\n- Capture JSON \n- Formalisation des observations'),
(21854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n[JASON] Vérification de l\'univers BAFIM et ses chargements suite a la demande du CP Thierry Bonnet de la borderie sur le TR3'),
(21855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-24  (Do not remove this line) -->\n'),
(21857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nMCO Court_Commercial, SID Client et Commercial'),
(21858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n[GSI] Correction sur la DMT DMT0010601'),
(21859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n[SPOC] Réponse sur le reporting des chargements du SIDC TR2'),
(21860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nIntervention TMMA La Poste'),
(21861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nMigration TeraData 15.10 : Investigations installations sur poste client.'),
(21862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(21863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nMCO Court Commercial + SID'),
(21864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nPrésentation Intégration FDJ'),
(21865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nMigration TeraData 15.10 : Installation sur poste client.'),
(21866, 'Romain (13/06/2017) : correction du problème de la rubrique paiements -> problème dans le back sur le filtrage des dates de paiements'),
(22167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[IF] Refonte du référentiel POSTMAN\r\n[IF] Mise à jour du référentiel POSTMAN SVN\r\n[IF] Tests exploratoires\r\n[IF] Debrief suite démo IF @paris\r\n'),
(21869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nAdministration camapagne de test'),
(22168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n[IF] Qualification ANO048731 PLSQL PC_PJEU_EXTRACT\n[IF] Rédaction de cas de test'),
(21875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nGESTION des incidents'),
(21877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement QS'),
(21873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3  - Assistance SOPRA pour Qualification NR réseaucom et PJEUX avec EGIDE'),
(21874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3  - Investigation sur comportement provisionning secteur et ressource EGIDE dans CSAM MPP'),
(21876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Qualif QS avec SOPRA'),
(22150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRéunion [COHERIS] Avancement des sujets\nAnalyse Nouveau chargement clients'),
(21880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[POUPEES RUSSES] Livraison FDL016705_Coheris_Oracle_FAQ_CRM_F_5.7.0.0\r\nAnalyse et Correction ANO050178  : [BO Cohéris] Problème de ligne en trop dans BI4BO_TH_AFFAIRES_LINK'),
(21968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification \nComité Automatisation des tests'),
(22045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification (non testable en raison des dysfonctionnements des script Box)'),
(21971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nRédaction des cas de tests auto Recertification'),
(21887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n- Réunion présentation intégration Christophe Raynet\r\n- Ré-écriture test wspo psel android'),
(21890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(22088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nSIDC TR3 OK // SIDC TR2 bypass des données sport // SIDCOM TR3 Relance flux Saga// SIDCOM TR2 En attente validation metier'),
(21893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[MigrationTeradata] Vérification des univers suite a la restauration du driver teradata sur le serveur BI'),
(21895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n[MigrationTeradata] Vérification connexions univers bafim TR2'),
(21897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(21898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nMCO Court Commercial'),
(21899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nPrésentation HP-ALM FDJ'),
(22041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nsupport postman\nconfiguration et tests de jenkins\nlecture doc gamif'),
(21901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nIF : Mise à jour de croupiers et tests, \r\npassation F François Derock'),
(21902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nIF : tests Croupiers, \r\nValidation correction des anomalies\r\nRéunion automatisation\r\npassation F François Derock'),
(21906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nModification et qualification requête pour résoudre le problème de traduction de certains markets.'),
(21928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nEcriture de services Postman Digishop RecoverLastPassword/Login, step ...'),
(21912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nMaintenance corrective sur script transverse DBSelectAndFusion, publication et mise à jour dans ALM 12 sur le robot\nScripts truClient : Evolution du script Remplacement_IBAN pour gérer le pIBAN en mode AUTO (ajout du chargement de la DLL json)\nComité automatisation des tests\nMigration ALM12 : migration de scripts truClient pour vuGen12');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(21925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nMigration ALM 12 : suite de migration des scipts truClients (* Fonctions_de_masse\n* Inscription_Controle_IBAN_INEXPL_GDO, Inscription_Controle_IBAN_NOK_GDO, nscription_Controle_IBAN_OK_GDO, Inscription_Controle_IBAN_REGUL, Inscription_Controle_PI_INEXPL_GDO)\n[ITF] Atelier Automatisation des tests\nCorrectif sur migration de Inscription_Controle_IBAN_OK_GDO : reécriture des actions du script\nPoint hebdo Dev'),
(22363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMigration scripts truClients pour la vieDesEnvts\n'),
(22364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nfin de Migration scripts truClients pour automatisation_falcon\nCorrectifs API pour résoudre des plantage de scripts Falcon dans ALM'),
(22166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nAdministration campagne de test'),
(21920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nSAFERGAME : Installation FDL016884 SPSS sur INT2'),
(21921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons du jour par IBM'),
(22345, '13/06 : 0.3 revu de code Jeremy'),
(21923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nSAFERGAME : Bug review entre FDJ et IBM'),
(21924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nMCO EGIDE'),
(21978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nInstallation dump prod Edwan sur INT02\nReinstallation wof, hasard et wcpte sur INT02\nReinstallation edwan, mapi et mag sur INT02'),
(22852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nMCO controlM multimédia TR 1 2 3'),
(22853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nMCO controlM multimédia TR 1 2 3'),
(22854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nMCO controlM multimédia TR 1 2 3'),
(21941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n'),
(21942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[MigrationTeradata] Identification des actions a mettre en œuvre pour la MEP '),
(21943, 'Suite de l\'étude sur Selenium RC\r\n-> il faut réorganiser les projets (les suites doivent être à la racine)\r\n-> création du profil Firefox\r\n-> ajout des fonctions doWhile => pb à analyser'),
(21977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nBAC.005.33 - Palier SPOC : ANO050132 qualifiée + run campagne CQUA002'),
(21979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Mise à jour PV de qualif suite à la livraison de la FDL016773'),
(21980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\n Rédaction de cas de test'),
(21984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation FDL016551 Regroupement jeu'),
(21985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation FDL016769 Regroupement jeu'),
(21986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nFDL016835'),
(21987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nFDL016864.'),
(21988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRedaction tests ALM pour Playstation'),
(21989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nRedaction tests ALM pour Playstation'),
(21990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nSAFERGAME : Requêtes à passer à la demande d\'IBM'),
(21991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nTest application FDJ IOS ANDROID V1.1.001 (pas encore de FDL, livrée via JENKINS)\r\nTest sur les nouvelles fonctionnalitées\r\nSimalateur, LOTO et Euromillion\r\nFavori KENO.\r\n+Continuité des tests sur les erreurs de notifications sur appli prod android'),
(21992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nTest application FDJ IOS ANDROID V1.1.001 (pas encore de FDL, livrée via JENKINS)\r\nTest sur les nouvelles fonctionnalitées\r\nSimalateur, LOTO et Euromillion\r\nFavori KENO.\r\n+Continuité des tests sur les erreurs de notifications sur appli prod android'),
(21993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nDaily sur appli native + point equipe appli mobile hasard'),
(21994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nTest application FDJ IOS ANDROID V1.1.001 (pas encore de FDL, livrée via JENKINS)\r\nTest sur les nouvelles fonctionnalitées\r\nSimalateur, LOTO et Euromillion\r\nFavori KENO.\r\n+Continuité des tests sur les erreurs de notifications sur appli prod android\r\n+Test application illiko IOS 1.3 sur INT42 qui embarque IF\r\nMise a jour des catalogues sur environnement'),
(21995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nTest application FDJ IOS ANDROID V1.1.001 (pas encore de FDL, livrée via JENKINS)\r\nTest sur les nouvelles fonctionnalitées\r\nSimalateur, LOTO et Euromillion\r\nFavori KENO.\r\n+Continuité des tests sur les erreurs de notifications sur appli prod android\r\n+Test application illiko IOS 1.3 sur INT42 qui embarque IF\r\nMise a jour des catalogues sur environnement'),
(22802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nPb d\'installation HP ALM 12.53 : HP ALM 12.53 et Virtual User Generator 12.53 non disponible dans centre logiciel => HPALM non disponible\nOptimisation des requêtes pour la Recertification'),
(22855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMCO controlM multimédia TR 1 2 3\nTransfert connaissance MCO TR3 à Guillaume Voltolini'),
(21998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nSPOC :\r\n0,25 => suivi d\'avancement \r\n0,25 => installation SVN (pbles) / utilisation de postman via Newman (monter en compétence)\r\n0,5 => Regul _Exécution campagnes d\'acceptance  USR2.6.2'),
(21999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nSPOC_ Regul/Recertif : Exécution campagnes d\'acceptance  USR2.6.2'),
(22000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nSPOC_ Regul/Recertif : Exécution campagnes RUN02'),
(22002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n0,75 : SPOC_ Regul/Recertif : Exécution campagnes RUN02\n,025 : Analyse du referentiel'),
(22003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nSPOC_ \r\n0,25 : Suivi avancement de la qualif\r\n0,25 :Regul/Recertif : Exécution campagnes RUN02\r\n0,5 : Boosbet _ Ecriture cas de test sous Postman (et lien ALM)'),
(22014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nExecution campagne AUTO Batch CheckCertif, RC, Reg V2.6.2'),
(22013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nExecution campagne AUTO Batch CheckCertif, RC, Reg V2.6.2'),
(22011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nMigration ALM V12 + Lecture Spec (ALM indisponible)'),
(22010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nTest Auto Batch LoadTessiFile'),
(22009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nTest Auto Batch LoadTessiFile'),
(22256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nInstallation hp alm 12\nRéunion automatisation IF\nFormation F. Derock\nINCIDENT: Pas de possibilité de lancer des tests, HP ALM en migration\nTests IF HP ALM 12'),
(22015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nTests IF INT02 v2.0.3-1 (non régression)\r\nFormation F. Derock\r\nTests croupiers ITG IF'),
(22016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nTests IF INT02 v2.0.3-1 analyse\r\nFormation F. Derock\r\nTests croupiers ITG IF'),
(22017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n- Daily\r\n- Point client et présentation sur les freeBets\r\n- Recherches pour les prochains test sur les freeBets'),
(22021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[PSMSv1]: Campagne NonReg / 14.1.30.3 - b73 / INT3'),
(22022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n[PSMSv1]: Campagne NonReg / 14.1.30.3 - b73 / INT3'),
(22023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[PSMSv1]: Campagne NonReg / 14.1.30.3 - b73 / INT3'),
(22024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8'),
(22025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nCampagne de non-régression 14.1.30.3-SNAPSHOT 73 INT3'),
(22026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nCampagne de non-régression 14.1.30.3-SNAPSHOT 73 INT3'),
(22027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nCampagne de non-régression 14.1.30.3-SNAPSHOT 73 INT3'),
(25662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nCampagne de non-régression 14.1.30.3-SNAPSHOT 73 INT3'),
(25661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nCampagne PSMSv2 sur INT8'),
(22030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\ncompte rendu reunion automatisation'),
(22031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\ntest plugin Jenkins confluence'),
(22032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\npreparation VM\r\nmobaxterm'),
(22033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\npreparation swagger'),
(22034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\npb certificat https\r\n'),
(22035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMCO EGIDE'),
(22244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nSAFERGAME : Installation FDL016897 SPSS sur INT2'),
(22037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nPrésentation front aux nouveaux arrivants'),
(22049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nMontée en compétence Bruno - support (Postman - digishop A)\n[JASON]\nTests d\'acceptance application détaillant\nInitialisation campagne de tests POSTMAN Digishop R'),
(22051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n[JASON] \r\nTests historiques de jeux\r\nPOSTMAN - Ecriture tests digishop-R\r\n[Formation Bruno]\r\nDéploiement + configuration boutiques (SALT)\r\nPOSTMAN - Tests digishop A pour qualification des évolutions SPOC'),
(22869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\ninstallation et tests de plugin supplementaire pour jenkins\n[SPOC] Point avancement Recertif/Regul'),
(22043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016773 installation ETL sur TR3 avec Paulo Ribeiro'),
(24534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n[JASON]\nTests non reg tablette détaillant\nEcriture tests POSTMAN digishop R\n[Formation Bruno]\nSupport'),
(22047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nAnalyse pb multiples sur la perf :\r\n- Erreur logs digishopA (=> sonde jmxtrans sur les connecteurs)\r\n- Erreur authentification site SPORT (=> le pb est côté Falcon)\r\n\r\nMontée en compétence Bruno'),
(22926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nEcritures tests POSTMAN digishop R\nMontée en compétence Bruno - POSTMAN tests digishop A (l\'objectifs est d\'automatiser les services permettant de qualifier les évolutions pour SPOC)'),
(22087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[CGV] Investigation sur problème d\'intégrité  Univers Reporting CDP avec le DEV'),
(22055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nPrésentation ALM'),
(22086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nSIDCOM TR2 Attente Validation Metier // SIDCOM TR3 OK// SIDC TR2 Bypass des données sport //SIDC TR3 blocage pour la migration puis deblocage'),
(22079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Investigation BO sur erreur check d\'intégrité'),
(22058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nImplémentation de tests auto et modification des tests existants (suite tests robustesse). Création de tests '),
(22059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nFichier de suivi des incidents'),
(22063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement'),
(22081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMigration TeraData 15.10 : Check d\'intégrité des univers et tests connexions ODBC'),
(22062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - Mise à jour de la RM INT9EGID avec copie de prod et mise à jour version  Egide 4.40.02 et patche selligent 842 et WS 4.04 pour test CR reprise de données'),
(22064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(22159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nLancement et analyse campagne acceptance et non reg IF version 2.0.3-1 sur INT02. Formation IF avec Patrick Girardet'),
(22069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nMise en place de l\'environnement Postman. Impossible de se connecter au centre logiciel pour mettre à jour HP ALM. Documentation sur poupées russes. '),
(22070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nToujours pas d\'HP ALM dans la matinée, prise en charge par le support de la problématique liée au centre logiciel. '),
(22341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nLancement des campagnes et analyses suite installation des patchs ALM (si disponibles et installables). Travail sur les scripts BOX permettant des blocages globaux, sur offre et de type de blocage différents sur diverses offres. Les scripts falcon bloquant sur le compte directement. '),
(22073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nRetour de Lionel sur les script\nPostman création de collection\npoint avec valierie'),
(22077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nTest de l\'anomalie sur la rectification et modification du script\r\nPostman test de collection'),
(22078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\ncomité automatisation'),
(22083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n[CGV] Analyse et résolution du PB d\'intégrité avec l\'admin BI4 + Mise a niveau de la connexion de l\'univers Reporting CDP + rejet de la FDL016455 via la DMT DMT0010825  '),
(22092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\ngénération de databuilder pour codegen swagger (ébauche).\nPostman\npoint avec Lionel pour le sujet : transfert de compétence'),
(22090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Infocentre CDP - Modification du connecteur CALY_CDP de l\'univers Reporting Paiements Gains par le reseau FDJ pour pointer sur la base INT3CALY.FDJ'),
(22091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\npoint hebdo dev'),
(22142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\npasse a vugen 12.53\n'),
(22143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nréunion Code Gen Swagger\ncorrection de script du a la migration\n'),
(22096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nModification de script suite a la migration'),
(22097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nvie des environnements migration alm 12.5'),
(22098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nvie des environnements migration alm 12.5'),
(22099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nvie des environnements migration alm 12.5'),
(22100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nvie des environnements migration alm 12.5'),
(22101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nvie des environnements migration alm 12.5'),
(22103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nTests d\'acceptance sur PSBOR 2.0.5 -> OK ; installation de WSPO 3.0.4 et PSBOR 2.0.5 sur INT3'),
(22104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nEvolutions fonctionnelles scripts transverses pour automatisation des tests de batchs.\r\nEssais de régénération de libssh pour résolution des problèmes SCP.'),
(22105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nTests sur PS PDV ios et android pour le CAB de jeudi ; Tests acceptance PSPDV Android 4.6.000 -> OK'),
(22106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nEvolutions fonctionnelles scripts transverses pour automatisation des tests de batchs.\r\nEssais de régénération de libssh pour résolution des problèmes SCP.\r\nComité Automatisation des tests'),
(22107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nQualif sur les appels Mify de la borne JASON'),
(22861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nTests avec Lyna sur les appels Mify de la borne JASON'),
(22109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRédaction de cas de test\r\n'),
(22110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nTests automatisés de journalisation - point bi mensuel.\r\nIF Atelier automatisation des tests. Point nebdo dev VuGen.\r\nElaboration d\'une solution de contournement libssh2 pour support SCP correct.'),
(22111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nElaboration d\'une solution de contournement libssh2 pour support SCP correct.'),
(22112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nAction : maintenance suite au bilan d\'exécution de la campagne d\'acceptation des composants du compte INT02 FLV 2.6.2\r\nLivrable : suite bilan d\'exécution de la campagne d\'acceptation des composants du compte INT02 FLV 2.6.2 '),
(22113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nPréparation de la démo (Slide + campagne)\r\nCampagne Acceptance INT3 (LIVE)\r\n'),
(22115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nPrésentation de l\'automatisation à l\'équipe de Boulogne (Démo)'),
(22864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nAction : plans de monté en compétence et formation\nLivrable : Skills Development v1.1.ppt, ATS_monteEnCompetenceTableauDeBord.xls, checkPointSkillsDeveloppment.doc'),
(22121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nInstallation et passage de la campagne du jeu ARBRE AUX TRESORS 2017 v1.0.0 (FDL016870)'),
(22144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nAction : plans de monté en compétence et formation\nLivrable : Skills Development v1.1.ppt, ATS_monteEnCompetenceTableauDeBord.xls, checkPointSkillsDeveloppment.doc'),
(22145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nAction : plans de monté en compétence et formation\nLivrable : Skills Development v1.1.ppt, ATS_monteEnCompetenceTableauDeBord.xls, checkPointSkillsDeveloppment.doc'),
(22147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nAction : plans de monté en compétence et formation\nLivrable : Skills Development v1.1.ppt, ATS_monteEnCompetenceTableauDeBord.xls, checkPointSkillsDeveloppment.doc'),
(22123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nPréparation de la démo avec Lyna et Fabien'),
(22126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nInstallation et passage de la campagne du jeu 100000 SURPRISES ETE v1.3.0 (FDL016885)'),
(22128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMigration ALM\nAjout nouveaux markets'),
(22129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nRéunion d\'avancement'),
(22304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nAjout nouveaux Markets'),
(22152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nAmélioration des scripts postman : Acceptance Interco - Back Office et PDJ'),
(22153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nAmélioration des scripts Postman : Acceptance Interco'),
(22154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nEchange autour de Postman avec Loïc & Mickaël\nAmélioration des scripts Postman : Acceptance Interco'),
(22155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nAcceptance d\'integration ITF 2.0.3-1 sur INT02'),
(22139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n- Point avec Christophe des tests Postman à implémenter : services régularisation compte joueur\n\n- Implémentation  de ces tests dans Postman(en cours)'),
(22156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nPréparation de l\'acceptance batch compta SID'),
(22288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nImplémentation des test dans Postman (Suite)'),
(22148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nAction : plans de monté en compétence et formation\r\nLivrable : Skills Development v1.1.ppt, ATS_monteEnCompetenceTableauDeBord.xls, checkPointSkillsDeveloppment.doc'),
(22149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRéunion [COHERIS] Avancement des sujets\r\nAnalyse Nouveau chargement clients'),
(22151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nAmélioration des scripts postman : Acceptance Interco - Back Office et PDJ'),
(22158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nAvancement sur nouveau chargement client\r\n\r\n'),
(22383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nLancement et analyse campagne acceptance et non reg IF version 2.0.3-1 sur INT02. Formation IF avec Patrick Girardet'),
(22161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\nRédaction de cas de test'),
(22165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nAdministration d\'une campagne de test'),
(22169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nAdministration campagne de test'),
(22170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels\r\n[IF] Atelier d\'équipe SVN'),
(22171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n[IF] Rédaction de cas de test manuels'),
(22185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n- Point Ano avec Dev Coco et LVS => ANO049829'),
(22174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n- Daily\r\n- Rédaction tests Acceptance Vitan 5.8 pour pdj\r\n'),
(22275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n- Daily\n- Rédaction tests acceptances Vitan 5.8\n- Réunion pour les tests freebet'),
(22177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE MOTORS JEU \"LA COURSE\" INT3'),
(22178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE MOTORS JEU \"LA COURSE\" INT3'),
(22179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nTerminer la campagne de NonReg 20170608-[INT3]-14.1.30.3-SNAPSHOT 73 sur INT3 commencé le 09/06'),
(22180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nLancement de la campagne : NonReg 20170613-[INT8]-14.1.31.0-SNAPSHOT 3'),
(22181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n[RDI 1.05] Installation de la FDL016544 sur INT2SAGA.'),
(22182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRajout de 26 nouveaux markets foot'),
(22183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nRajout de 26 nouveaux markets foot'),
(22192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n- Déploiement et tests SPOC / IF\n- Installation et acceptance - MUG 2.10.11 - FDL016842\n- Déploiement et mise à niveau des composants du Compte sur INT 02 / 42 / 21 / 81'),
(22186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nMCO sur I2_Court_Commercial'),
(22196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nDaily meeting (1h)\nRéunion état des lieux test plan PSEL IOS / ANDROID (1h)\nSupport Vincent sur PSEL Android et IOS.\nAvancement problème des PDF des réglements des applications natives PS PDV IOS et Android\nAnalyse enregistrements lotofoot 7 et 15 dans la base sqlite ainsi que dans les fichiers recu lf-offre.xml pour voir s\'il ne manquait pas des choses --> Des tests sont à réalisés avec le métier pour confirmer mais à mon avis, un modification Edwan ou Betsys sera nécessaire.'),
(22197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE MOTORS JEU \"LA COURSE\" INT3'),
(22189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE MOTORS JEU \"LA COURSE\" INT3'),
(22198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nINCIDENT: migration ALM, indisposition de l\'outil'),
(22194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nINCIDENT: migration ALM, indisposition de l\'outil'),
(22195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRAM.004 Livraison FDL016778 à HIA'),
(22201, 'relancé'),
(22203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n- Résolution Bug Digishops (ERROR unlock/store/pass) causés par les sondes JMX sur la perf\n- Problème actions arjel (queue pleine sur les serveurs arjel) / tests , fournitures de logs\n- Création ANO050186 sur un service Digishop U getLotoBetDetails'),
(22204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nterminer la NonReg int8'),
(22287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n- Création ANO050238 (digishop ne pousse plus la bonne clé pour un joueur en recertif, et le layer post authent n\'est plus poussé)\r\n- remise en place des jeux IF suite à la mise à niveau de INT02\r\n- Analyse problème IF sur l\'historique du joueur (lien + d\'infos)'),
(22286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n- Analyse ANO050232 (joueur en régul sans sanction - élément manquant dans la réponse Falcon à l\'authent)\n'),
(22209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n- Installation et acceptance MIG Click to tchat sur INT31\r\n- retour Mignane Diouf sur croisement tests non reg entre recette et qualif\r\n- Modifications test referentiel Digital Front pour palier SPOC'),
(22211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[Mobilin] Copie de la base de prod ELPHE et refresh de la base de RM INT4ELPH. Mise à jour des dblinks et directories.'),
(22212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n[Mobilin] : Installation des livraisons sur le TR4. FDL016395 et FDL016832'),
(22213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nRAM.004 : Copie des bases de prod SAGA, COUR et COURDT. Refresh des bases de RM INT4SAGA, INT4COUR et INT4CODT. Mise à jour des dblinks.'),
(22232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nSuivi de l\'activité'),
(22215, 'relancé'),
(22231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nRDI 1.05 : Qualification des anomalies ANO049199, ANO048232 et de l\'évolution MOD011576 sur INT2SAGA'),
(22221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMCO Court Commercial + SID Client + SID Commercial'),
(22220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nBFR045 - Defi Stock Grattage : COSUI n°30'),
(22222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRAM.004 : réception des FDL016828 et FDL016851 pour SAGA. FDL016669 pour GDS. Remarque : manque mode opératoire d\'installation.'),
(22229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRDI 1.1 : Réception de la FDL016859. Remarque manque procédure d\'installation automatique de l\'ensemble des schémas courtiers en un seul geste.'),
(22224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nsuivi des activités'),
(22234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nMobilin : Rédaction de 2 cas de tests dans ALM.'),
(22227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRAM.004 : Installation de la FDL016778 sur INT4COUR et INT4CODT.'),
(22230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nRDI 1.05 : Qualification ANO048232 sur INT2SAGA.'),
(22233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMobilin : Rédaction de 2 cas de tests dans ALM'),
(22509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nMobilin : Exécution de 2 campagnes de tests dans ALM.'),
(22508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nMobilin : Rédaction du PV de Qualification.'),
(22685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCDOM TR2 Attente go metier // SIDC TR3 OK // SIDC TR2 Attente prédécesseurs'),
(22242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nSAFERGAME : Qualification ANO049318 avec support IBM, Création DMT0010840 pour vérification des IP users en vue de la formation safergame le 16/06, chargement fichier PLC maj en recette '),
(22315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nEGIDE : Traitement DMT0010832 pour Sopra/SAFERGAME : Création DMT0010888'),
(22277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n- Avancement IQ automatisation des tests, postman\n- support applis natives anos sur les abonnements\n- maj d\'environnement sur Palier Appli FDJ\nINT12	1.0.11_apimaitre	FDL016855\n- qualification livraisons appli FDJ'),
(22278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\n- investigation logs de prod TAPI\nERROR:Tapi_SubscriptionController::multiSubscriptionAction:ORA-00001: violation de contrainte unique (PUSH.C_NTER_UN1)\nERROR:Tapi_SubscriptionController::multiSubscriptionAction:ORA-00001: violation de contrainte unique (PUSH.I_NABO_U1)\nPHP Warning:  oci_execute(): ORA-00001: violation de contrainte unique (PUSH.C_NTER_UN1) in /sg/mapiprod/htdocs/tapi/lib/CFDJ/Db/Oci.php on line 291\nPHP Warning:  oci_execute(): ORA-00001: violation de contrainte unique (PUSH.I_NABO_U1) in /sg/mapiprod/htdocs/tapi/lib/CFDJ/Db/Oci.php on line 291\n- création ANO050091 [TAPI] 500 Internal Server Error ERROR:Tapi_SubscriptionController::multiSubscriptionAction:ORA-00001: violation de contrainte\n- création ANO050107 [MAPI] 500 Internal Server Error sur erreur TAPI\n- maj d\'environnement Palier Appli FDJ\nINT32	4.2.11_mapi	FDL016670\nINT32	1.0.12_apimaitre	FDL016857\nINT12	1.0.12_apimaitre	FDL016857\nINT42	4.3.1_hasard	FDL016740\n- qualification livraisons appli FDJ'),
(22279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n- investigation logs de prod TAPI\nERROR:Tapi_NotificationController::sendAction:Message failed to send:  Missing Data\nERROR:Tapi_SubscriptionController::getAction:terminal \'\' not found in subscriptions list\n- qualification livraisons du RUN'),
(22280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n- maj d\'environnement charte vie privée\nINT32	4.2.16_hasard	FDL016881\n- qualification livraison pour la charte vie privée\n- investigation pb de push sur applis natives'),
(22281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n- réunion [CONVERGENCE] : CoPro SI/DT\n- réunion [Convergence] Demo sprint 4\n- remonté pb de contribution yellowstone en prod\n- maj d\'environnement Palier Appli FDJ/SPOC\nINT81	1.0.12_apimaitre	FDL016857\nINT81	4.2.11_edwan	FDL016720\nINT81	4.2.16_hasard	FDL016881\nINT81	4.2.11_mapi	FDL016670\nINT81	4.2.0_mobi	FDL016719\nINT81	4.1.5_mrcd	FDL016598\nINT81	2.0.3_tapi	FDL016615\nINT32	1.0.13_apimaitre	FDL016890\nINT12	1.0.13_apimaitre	FDL016890\n- qualification livraisons appli FDJ'),
(22282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n- réunion [CONVERGENCE] : CoPro SI/DT\n- support HIA sur environnement de préprod pb de maj des offres de jeux via falcon_api\n- support applis natives, investigation et maj de logs sur composant TAPI\n- qualification livraisons appli FDJ'),
(22916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n- investigation pb sur prod avec le service de notification\n- qualification composants du RUN avec charte'),
(22253, 'INC0350462 : réponse apportée ->  si pas de réponse dans 3 jours, fermer le saxo'),
(22254, 'INC0350481 : réponse apportée -> si pas de réponse dans 3 jours, fermer le saxo'),
(22262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nEntretien collaborateur Atos\nDaily meeting (1h)\nSupport PSEL Android et VITAN\nInvestigation avec le back sur le problème d\'affichage des images (bloc banner vide ou manquant dans les appels mify autorisant le paramétre home)\nDétection de l\'incident de production par rapport à l\'absence réglement sur PS PDV Android et IOS --> le nom de domaine n\'est plus bon. --> Discussion avec les architectes et le PO par rapport à l\'utilisation du nom --> conclusion on ne doit pas utiliser une URL avec le domaine fdj.fr sinon google nous vire du store...'),
(22261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nDaily meeting (1h)\r\nRéunion avec le PO PS PDV pour avancer sur des anomalies de production (absence de résultat pour un événement du 17 mai 2017)\r\nProposition d\'amélioration sur la gestion des réglements pour le SITE.\r\nBug review application native PS PDV IOS & ANDROID\r\nSupport PSEL ANDROID & IOS.'),
(22273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nReunion point FAQ/DigishopP\nReunion bug review\nDraft sur rajout d\'un descriptif  des composants dans la doc nouvelle arrivant\nInvestigation sur un job récupérant les résultats de l\'euromillion toutes les heures\nCreation ANO050330'),
(22265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nDaily meeting (1h)\nSupport PSEL Android & IOS --> vérification des appels /mify/bs/globalStake et /mify/bs/stake selon le support (site mobile PSEL, VITAN, WSPO PSEL & WSPO BORNE) --> echange avec le back --> mise en évidence de l\'absence du correction évolution sur la version ABP installé sur INT2, INT8 et INT9.\nRéunion état des lieux tests PSEL VITAN (1h30)\nInvestigation sur la présence de CDP (site de paiement) sur les applications natives PS PDV & sur le BOT PDV.'),
(22266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nDaily meeting (1h)\r\nSupport PSEL Android & IOS\r\n....'),
(22267, 'Réponse apportée sur saxo.\r\nRelancer dans 2 jours'),
(22355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n[RAM004][OLYMPIA] Installation de la FDL016911 sur le TR3 univers BAFIM'),
(22270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n[StockGrattage] COPROJ sur les dates a retenir et les points de vigilence'),
(22271, 'répondu dans saxo'),
(22274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\ntraitement des FDR'),
(22285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nréunions :\n- instance IQ SPOC\n- Atelier test Freebet\n- Travail sur tests de Qualif Réferentiel Digital Front'),
(22352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nDemandes d\'information et analyse de l\'INC173509'),
(22295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nSIDCOM TR2 attente validation // SIDCOM TR3 OK après déblocage SAGA suite pb de redemarrage ETL // SIDC TR2 OK // SIDC TR3 OK'),
(22296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nMigration TeraData : Analyse retours de recette.'),
(22297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n[MigrationTeradata] Synchronisation de la sauvegarde restauration des bases TD\r\n14 vers TD15'),
(22298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(22299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n[GSI] Traitement de la DMT DMT0010880 sur le TR3 SIDCOM'),
(22668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nreunion avec Pole test pour les pbs sur les defects TRA'),
(22308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nCreation tests playstation'),
(25664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\n- Qualification des campagnes de NonReg template.'),
(22311, 'Impossible à reproduire, en usurpation.\r\nEn attente d\'information'),
(22312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nSAFERGAME : Installation DB2 FDL016886 , Installation SPSS FDL016912, Installation SQL FDL016913 sur INT2'),
(22316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n[MigrationTeradata] Identification des jobs Controlm a faire modifier sur les chaines existantes via DMT DMT0010891'),
(23998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nYves - Explication conditionnements'),
(22319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nCR + plan d\'action'),
(22320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nPréparation squelette CR'),
(22321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nPréparation squelette CR'),
(22323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nAtelier sur 0.5 + 0.25 de CR + plan d\'action'),
(22324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nReprise des CR des ateliers pour vérification des maquettes et listes déroulantes'),
(22325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nMCO Court Commercial : reporting CDP KO sur 2 jobs --> Contact F. Guillet'),
(22326, 'Impossible à reproduire.\r\nLe partenaire a confirmé que le problème est réglé'),
(22327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(22328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n[MigrationTeradata] ajout d\'information sur les DMT DMT00099160 et DMT00099161'),
(22768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nVérification des fichiers obsoletes des installations ptab\nVerification du fonctionnement des modifications des scripts get_result et archive_and_purge sur tous les environnements \nVérification de la rotation des logs sur tous les environnements\nInvestigation sur erreur 500 sur spu INT02\nInvestigation sur les TMS non chargés sur la FAQ + Creation ANO050377'),
(22330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion Suivi QS'),
(22332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nAssistance HIA'),
(22335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRIB009 - EGIDE installation FDL016862_egide_4.40.03_liv sur INT3EGID'),
(22334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRIB009 - installation EGIDE FDL016862_egide_4.40.03_liv FULL  sur INT4EGIDE + rédaction doc de MEP et livraison HIA'),
(22336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Test avec SOPRA'),
(22337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - Réunion suivi QS'),
(22338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nGestion des Incidents'),
(22339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nTU en cours à 14h'),
(22340, 'Les destinataires ne sont pas admins des conventions (ni de la caf à laquelle la convention est liée).\r\nCause inconnue : à analyser les logs et à reproduire en local\n\n'),
(22343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nExecution d\'une campagne de test'),
(22395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nJASON / Validation Basket + Template Rugby x3'),
(22347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(22497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n'),
(22351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nMigration Teradata : Check d\'intégrité des univers suite à restauration base + analyse anomalies sur univers.'),
(22354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n[MigrationTeradata][RAM004][OLYMPIA] Réinstallation de la FDL016199 sur le TRx pour la migration teradata'),
(22856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nMCO controlM multimédia TR 1 2 3'),
(22357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Infocentre CDP - Test des requêtes suite à modification du connecteur CALY_CDP'),
(22359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - Qualification EGIDE 4.40'),
(22863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nInstallation ALM 12\nTest auto de non reg bingo pour alm12\n[SPOC] Instance IQ spécial SPOC: suivi des campagnes, tests\nSupport HIA Bingo'),
(22361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nRIB.009 Maintenance évolutive - EGIDE 4.40.03 - Qualification des anomalies livrées + traitement des anomalies précédentes suspendues'),
(22362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Finalisation de la doc d\'install pour HIA, livraison de la partie ETL sous SVN'),
(22387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nSAFERGAME : Installation SPSS FDL016912, Installation SQL FDL016913 sur INT4'),
(22408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 En attente validation // SIDC TR3 OK //SIDC TR2 Reprise des données sport depuis le 09/06 après chargement quotidien '),
(22369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\n Rédaction de cas de test'),
(22372, 'Les informations données dans le saxo sont fausses.\r\nRelancé'),
(22373, 'Réponse fonctionnelle apportée sur saxo'),
(22391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nInvestigation sur une erreur lors du chargement de la FAQ\nInvestigation sur le fonctionnement du script WIHMEVT et des TMS\nInvestigation sur une erreur lors de la connexion d\'un utilisateur sur la FAQ + creation ANO050403'),
(22377, 'Pas reproductible, à clôturer le 22 si pas réponse client'),
(22637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nLancement campagne non reg IF version 2.0.3-1 sur INT02. Rédaction de documents pour Interactive Factory'),
(22638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nLancement campagne non reg IF version 2.0.3-1 sur INT02. Rédaction de documents pour Interactive Factory'),
(22639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nLancement campagne non reg IF version 2.0.3-1 sur INT02. Rédaction de documents pour Interactive Factory'),
(22397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n[SPOC] Installation des FDLs FDL016914 et FDL016916'),
(22405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n[STR] Exécution de la campagne de qualification relative aux Nouvelles Fonctionnalités'),
(22389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nFichier de suivi des incidents (Passage en v1.4)'),
(22390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nMCO Court  Commercial : Analyse anomalie Odyssee_lots_valides'),
(22392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nElaboration d\'une solution de contournement libssh2 pour support SCP correct.'),
(22436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n[PSMSv2] Test des nouvelles fonctionnalités Freebet Front sur INT8\nHOST:           agpadmi81\nSITE:           fdj2-origin_release_14-23\nABP:            14.1.31.0-SNAPSHOT 3\nMOBILE:         6\n\n[AUTRES] Atelier Sport de 10h à 11h\n\n[AUTRES] Indisponibilité des env d’intégration à partir de 17h.'),
(22865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n[SPOC] Point avancement Recertif/Regul\nsupport probleme de comm avec le coffre arjel\nsupport HIA bingo RFC003764\nredaction de test boostBet sur postman'),
(22404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(22413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nSAFERGAME : Création ANO050390+ validation des anomalies créées en recette+ 6 requêtes à lancer en recette à la demande d\'IBM + relecture de la doc chapeau Cognos'),
(22403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n'),
(22490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nLancement campagne non reg IF version 2.0.3-1 sur INT02. Rédaction de documents pour Interactive Factory.'),
(22409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n[SPOC] Exécution des campagnes d\'installation des 2 FDL FDL016914 et FDL016916'),
(22410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nréunion [COHERIS] Avancement des sujets\r\nrecherche sur plantage extractedoc'),
(22412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nSAFERGAME : Point de synchro DT avec P.Maigne'),
(22420, '- Analyse des logs statutlogger et du code avec romain pour déterminer les temps de traitements les plus coûteux.\r\n- L\'Update des partenaires (étant utilisées en cascade dans beaucoups de méthodes) semblent être la cause de l\'augmentation du de temps de traitement du schedulers.\r\n- Vu avec Alain Sivel pour faire une demande auprès de DBA pour nous fournir le top 10 des requêtes liferays vers postgre les plus coûteuses. \r\n-saxo INC0352277');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(22421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n- Daily\r\n- Acceptance Vitan 5.8 (test pdj freebet)\r\n- Rédaction tests acceptances wsp (test pdj)'),
(22422, 'Bonjour,\r\n\r\nMerci de votre réactivité.\r\n\r\nNous avons effectué un saxo comme demandé (INC0352277) avec des précisions supplémentaires.\r\n\r\nCordialement,\r\n\r\nSaid Zerrouki\r\nIngénieur, développeur \r\nLe Millenium – 150, Allée Pierre Ziller\r\n06905 Sophia-Antipolis Cedex\r\nTél : +33493954006\r\n@mail: said.zerrouki@atos.net \r\n\r\nFrom: myriam.hardy@certiam.cnafmail.fr [mailto:myriam.hardy@certiam.cnafmail.fr] On Behalf Of dba-2ap.dsi-doit@cnaf.fr\r\nSent: Monday, June 19, 2017 3:52 PM\r\nTo: mon-compte-partenaire.projet@projet.cnafmail.fr\r\nCc: dba-2ap.dsi-doit@cnaf.fr; said.zerrouki@cnedi06.cnafmail.fr\r\nSubject: Demande d\'analyse temps de traitements des requêtes SQL\r\n\r\nBonjour, \r\n\r\nNous ferons au mieux en fonction des ressources de l\'équipe\r\nMais avant tout merci de faire un saxo \r\n\r\ncordialement \r\n/!\\ Les sollicitations doivent se faire par SAXO ... MERCI ...  /!\\\r\n \r\n\r\n Mon-Compte-Partenaire PROJET---19/06/2017 15:33:57---Bonjour, Nous rencontrons actuellement des problèmes de performances au niveau des schedulers (batch\r\n\r\nDe : Mon-Compte-Partenaire PROJET/Projet/BALF\r\nA : Dba-2ap DSI-DOIT/Cnaf/BALF@CNAF, \r\nCc : Mon-Compte-Partenaire PROJET/Projet/BALF@CNAF\r\nDate : 19/06/2017 15:33\r\nObjet : Demande d\'analyse temps de traitements des requêtes SQL\r\nEnvoyé par : Said ZERROUKI\r\n________________________________________\r\n\r\n\r\nBonjour,\r\n\r\nNous rencontrons actuellement des problèmes de performances au niveau des schedulers (batchs). De ce fait nous aurions besoin d\'obtenir le top 10 des requêtes SQL coûteuses  liferay vers la base postgre de la production (en termes de temps de traitement). \r\n\r\nNous en aurions besoin rapidement et vous remercions par avance.\r\n\r\nCordialement,'),
(22423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nAtelier  Automatisation/tests manuels    1h\r\nExécution campagne  14.1.31.0-SNAPSHOT 3 - NREG BACK  7h'),
(22424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n'),
(22426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nAnalyse + développement'),
(22427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nTests unitaires à faire'),
(22428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n- Installation Boutique Digishop sur envt 81 (manip /démo avec Mathieu)\r\n\r\n-Formation Installation Boutique (1 sur 2) avec Christophe\r\n\r\n-Suite écriture de test dans Postman (regul)\r\n\r\n'),
(22430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\ndev Scripts livraison'),
(22553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSIDCOM TR2 Attente go chargement quotidien // SIDCOM TR3 OK // SIDC TR2 OK après reprise ADOBIE WEEK // SIDC TR3 OK'),
(22433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(22434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(22517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nExécution campagne 14.1.31.0-SNAPSHOT 3 - NREG BACK'),
(22438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(27877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nExécution campagne 14.1.31.0-SNAPSHOT 3 - NREG BACK'),
(23081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nCampagne 14.1.31.0-SNAPSHOT 3 - NREG BACK'),
(22588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8 + [Atelier]: Tests MANUEL vers Tests AUTO + [ANOMALIE]: ANO050215 + FRONT indispo à partir de 17h00'),
(22443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Test sur workflow Control-m et echange projet'),
(22444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - EGIDE gestion environnement INT\r\n'),
(22448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - DMT0010869 création de PDV pour test Cautionnement (SOPRA)'),
(22446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - COPIE base INT4EGID et INT4YTIX vers INT8EGID et INT8YTIX'),
(22447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement QS'),
(22449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nRIB009 - installation EGIDE FDL016862_egide_4.40.03_liv FULL sur INT6EGID '),
(22450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nModification et administration d\'une campagne de test'),
(22803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nRédaction des cas de tests Recertification\n=> pb avec les scripts Box dû aux changements de libellé dans la Box\n=> problème Box sur INT8 lié à la file d\'attente vers le coffre arjel qui est saturé'),
(22454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nTest IF : tests croupiers \r\nFormation F. Derock\r\nMise au point excel bilan campagne de tests IF\r\n'),
(22455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nTests IF : partie admin\r\nFormation F. Derock\r\nPréparation présentation IF'),
(22457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n- Daily\r\n- Rédaction tests acceptances wspo'),
(22458, 'Faute de réponse, le saxo a été clôturé'),
(22459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n'),
(22460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(22461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(22462, 'Faute de réponse, le saxo a été clôturé'),
(22478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nProduction des maquettes (Création)'),
(22464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n'),
(22466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nModification des modeles ojadgate pour le log des scripts\nModification du script get result pour log les erreurs\nMise a jour des sessions putty'),
(22481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nSAFERGAME : Relecture de la doc chapeau Cognos + validation des anomalies créées en recette + requêtes en base RDST à la demande d\'IBM'),
(22468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nCorrection de bug sur des scripts Falcon suite Migration ALM 12.53'),
(22470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nCorrection de bug de scripts FalconPOSTSubscription suite Migration ALM 12.53 en cas de paramètres manquant'),
(22473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 En attente validation // SIDC TR2 OK // SIDC TR3 echec du chargement sur les PDV_CARD'),
(22650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nFichier de suivi des Incidents'),
(22653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nMCO Court Commercial (Analyse Odysse_ret_tickets) + MCO SID Client'),
(22483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel entre FDJ/IBM avec JC.Morel'),
(22477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nMaquettes Brouillon'),
(22479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nMise à jour de la base de connaissance sur les anomalies rencontrées.'),
(22482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nInvestigation sur problème de PDV_CARD (régression anomalie) cf anomalie ANO046638'),
(22484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nAnalyse'),
(22485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nRédaction note d\'assistance'),
(22486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nDéveloppement script'),
(22487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nrecherche fonctionnement env de dev avec lombardo'),
(22866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRedaction de test postman boostbet\napplication du patch de purge sur tous les integ bingo'),
(22494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nHP ALM ATOS : pb de champ obligatoire lors de la création de Defect pour GAC'),
(22495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\n Rédaction de cas de test\r\nTest exploratoire'),
(22496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRefaire une passe sur tests TO DO et DESIGN pour ajuster le statut + revoir le tps d’exécution \r\nRédaction de cas de test\r\nTest sur les persistances des sessions ITF/FDJ : TMO ITF < TMO FDJ \r\nAno remonté:\r\nANO050541:[IF] La devise des transactions de type CREDIT est notée XXX dans la table mt_transactions\r\n'),
(22498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n[PSMSv2] Campagne Freebet Front sur INT8 \r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_14-23\r\nABP:            14.1.31.0-SNAPSHOT 3\r\nMOBILE:         6\r\nPLATFORM:       1.0.175\r\n'),
(22500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n[Maintenance Corrective] Campagne de NonReg Front sur INT7\n\nHOST:           agpadmi71\nSITE:           fdj2-origin_release_13-31\nABP:            14.1.30.3-SNAPSHOT 73\nMOBILE:         5\nARGUS:          14.1-124\nPLATFORM:       1.0.174\n\n[SPEED UP] Tests ARJEL et ETL des nouveaux markets Football Live sur INT4'),
(22857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nMCO TR DIGITAL 123'),
(22858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nMCO TR DIGITAL 123\nComplétion document MCO'),
(22503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nAnalyse de l\'incident INC173270 et préconisations pour correction.'),
(22507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nMobilin : Exécution de 4 campagnes de tests dans ALM'),
(22510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nAssistance pour qualification de la livraison FDL016828 pour SAGA '),
(23143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRDI 1.05 : Modification de données SAGA et préparation du transfert à SI-Finance.'),
(23144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRDI 1.1 : Lecture des spécifications SAGA RDI_SAGA_Spec Vdraft_V6'),
(22513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n[JASON] Investigations sur l\'anomalie ANO050495'),
(23018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMotors ITF : gestion du stake dans le body de l\'appel du POSTITFGameBet\nPalier BRIC'),
(22519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n'),
(22520, 'Romain : \r\n\r\n0.1 lundi 19/06/2017 : réunion du soir\r\n0.5 mardi 20/06/2017 : PPT de présentation'),
(22529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nAdministration d\'une campagne de test'),
(22530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nreste à formuler la réponse'),
(22534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nSAFERGAME : Installation FDL016934 SPSS sur INT2'),
(22533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSAFERGAME : Installation FDL016934 SPSS sur INT4'),
(22536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nTests IF partie Admin\nFormation F. Derock\nPréparation présentation IF'),
(22537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n BCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement QS '),
(22538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - DMT0010869 suite des créations de PDV pour test Cautionnement (SOPRA)'),
(22539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - EGIDE gestion des environnements'),
(22540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-02  (Do not remove this line) -->\n'),
(22541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n'),
(22542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRésumé (point perso) des étapes d\'installation des Boutiques et des fichiers de configurations associés.\r\n\r\nSuite de services Postman'),
(22554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n- Installation (en autonomie) des Boutiques Digishop sur l\'environnement 42 suite à une nouvelle version\n\n- Réunion presentation ARJEL\n\n-Point avec Christophe sur Installation Boutique /config(2/2)\n\n-Suite écritures de tests de services dans Postman (Régularisation)'),
(22544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSAS et DEX'),
(22545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSAFERGAME : Bug review entre FDJ/IBM avec JC.Morel'),
(22546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM du jour'),
(22547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSAFERGAME : Validation des anomalies créées en recette'),
(22823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nPoint Migration et Robot - VieDesEnvts\nCorrection bug potentiels dans API Falcon\nITF : désactivation du GetJackpot en début de PDJ séquencée (ITG te MTR)'),
(22867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nredaction test boostbet postman\ntest postman 5.0.0'),
(22551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nReunion michel sur le backup de ses composants pendant son absence\r\nAvancement du draft sur les specifications pour convergence\r\nInvestigation sur le fonctionnement wihmevt (suite) point avec jerome'),
(22558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n[JASON] Suspension de l\'anomalie ANO050495 car problème d\'alimentation + reprise de donnée du 20/06 et vérifications OK'),
(22557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n[STR] Rédaction du PV de qualification'),
(22640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nmodification code jsp + test unitaire'),
(22585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\ndeploiment et test des régles de gestion dans HOTFIX+doc DIT RISe+DOC CAS sur sharepoint'),
(22591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8 + Support / LateBet / Resettlement (Natahlie, Mika)'),
(22594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8 + Support / LateBet / Resettlement (Natahlie, Mika) + Henri Frenay/Due/Undue + Ano / HashJoueur qui n\'en est pas une ..(on nous modifie les Joueurs sans nous prévenir...)'),
(22564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\ndeploiment et test des régles de gestion dans HOTFIX'),
(22595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nPoint hebdo dev VuGen. Finalisation scripts pour auto des tests de batchs.'),
(23292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nles documents DIT+JPT+NTI'),
(22568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nDebut developpement TP : acceptation valeur 7   et identification zone à modifier dans l\'ecran assure pour affichage NIA'),
(23275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nRestructuration Git REF_ASSURE\nfrom scratch...'),
(22571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nAssistance HIA'),
(22572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement QS'),
(22574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - DMT0010869 suite des créations de PDV pour test Cautionnement (SOPRA) - J3'),
(22575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - EGIDE gestion des environnements (notamment purge espace disque sur INT4EGID suite à pb contrôle-m'),
(22576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nTest du D43887'),
(22577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nModification du script, reste à faire les tests untaires'),
(22988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nPerte d\'une journée déploiement et build sur la platforme HOTFIX car sur INTEGRATION ça ne marche pas\n création de doc d\'installation  du CAS'),
(22824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\npoint sur la valorisation ou non des paramètres de scripts d\'auto non valorisés\n[ITF] Correction bug en fin de PDJ ITG\nmise à jour du placeBet Motors pour intégrer le stake dans le script de  PDJ Motors unitaire\nAutres correctifs de gestion de paramètres NULL dans FDJ_User_Account.h'),
(23248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\nmodification code jsp + test'),
(22581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nmodification code jsp + test '),
(22582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nmodification code jsp + test '),
(22583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nmodification code jsp'),
(22596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nCorrectifs scénarisation VuGen12 / ALM12.\r\n'),
(22597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nReprise scripts auto tests batchs (solution de repli finale pour transfert SCP).\r\nAnalyse BD JRN.'),
(22598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nAdministration de campagne de test'),
(22870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMaj document Nouveau chargement client hors SID suite réunion\n1.	FDL016981 : [OLYMPIA]  [CRM2] Livraison objets Oracle CHARGEMENT Partielle pour OLYMPIA  (MOD) \n2.	FDL016962 : [FAQ]  [CRM2] Livraison objets Oracle CHARGEMENT FAQ FULL     \n3.	FDL016963 : [POUPEES RUSSES]  [CRM2] Livraison objets Oracle CHARGEMENT FULL \n'),
(22603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nTest des scans sur appli native fdj IOS et Android\r\nTest mrcd/voucher/check et mrcd/voucher/refresh sur bulletin loto euml et keno\r\nMise a jour catalogue appli FDJ sur INT42 et appli Illiko sur INT32\r\nBackup J.MASSANO sur Webapp'),
(22600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nréunion Point sujets BO et Suivi de Prod\r\nréunion Relecture Rapport d\'étude refonte chargement COHERIS\r\nCorrectifs:\r\nMOD011909 : [COHERIS] Envoi à TESSI uniquement des demandes antérieures à la date d\'extraction \r\nMOD011935 : [COHERIS] Optimisation exploit de l\'extraction vers BO\r\n\r\n'),
(22683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nPréparation FDL multi versions:\nMOD011909 : [COHERIS] Envoi à TESSI uniquement des demandes antérieures à la date d\'extraction \nMOD011935 : [COHERIS] Optimisation exploit de l\'extraction vers BO\nRéunion Retour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital'),
(22604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRéunion FDJ (0,5j)\r\nPréparation présentation IF\r\nFormation F. Derock'),
(22605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nMise a jour environnement INT02 et INT22 sur wloto, weuml, wihmevent, wlbgo et wkeno\r\nContinuité test sur scan des reçu sur l\'appli FDJ\r\nTest simulateur + test favoris'),
(22606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nTests IF partie Admin\r\nFormaton F. Derock'),
(22607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nDaily stream + bug review'),
(22827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nMise a jour environnement INT42 sur wloto, weuml, wihmevt, wkeno et wlbgo\nSortie de reçu au labo sur loto euromillion et keno pour test sur scan'),
(22610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRetour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital.\nTests auto JRN'),
(22613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nreunion yannick tison'),
(22614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nContinuité test sur scan + simulateur + favoris\r\nAnalyse pour bug en prod sur reçu gagant effacé au bout de 15j au lieu de 60j'),
(22615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nContinuité test sur scan + simulateur + favoris\r\nAnalyse pour bug en prod sur reçu gagant effacé au bout de 15j au lieu de 60j'),
(22804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRédaction des cas de tests Recertification\n => problème Box sur INT8 lié à la file d\'attente vers le coffre arjel qui est saturé \n => problème annuaire LDAP : HP ALM indisponible\nPréparation présentation rapport de campagne'),
(22805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nRédaction des cas de tests Recertification\n=> pb avec les scripts Box dû aux changements de libellé dans la Box : cas de test non testable'),
(22620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nAnalyse des chaines Control-M MULT_OAC\r\nAmélioration des scripts Postman, Création de script Postman pour la génération de fichier d\'export comptable IF'),
(22621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nVie des environnements : fiabilisation'),
(22622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nPrésentation retour JFTL'),
(22623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nVie des environnements : fiabilisation'),
(22624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nVie des environnements : fiabilisation'),
(22625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nVie des environnements : fiabilisation'),
(22806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRéunion Retour sur la journée CTFL (3h)\nRédaction des cas de tests Recertification\n=> pb avec les scripts Box dû aux changements de libellé dans la Box : cas de test non testable'),
(23065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nconfig VM'),
(23066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\ntest outils swagger'),
(22629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nAmélioration des scripts Postman, lecture des différents documents pour le palier de Septembre BRIC / TMA /JRN'),
(22630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nDifférents points d\'information (Maël, Brice) pour les sujets du palier de septembre\r\nOrganisation pour réaliser la montée de version des environnements de perf\r\n'),
(22633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nTest exploratoire \nTraiter les demandes d\'investigation et remonté d\'ANO(des demandes de Laurent B)\nAno remontée:\nANO050545: [IF]Pas de message d\'erreur retourné en jouant un jeu ITF aprés avoir dépassé le TMO IF\nAno à reproduire: ANO050157 [SPOC][NR][BOX] Affichage KO dans historique de Jeux : 9 PDJ affichées sur 13\nTest exploratoire + support Loic'),
(22632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRéunion IQ Digital\r\nMontée de version de l\'environnement PERF2 (côté back USR 2.6)'),
(22634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nEtude des différents documents et informations sur les projet du palier de septembre\r\nAttente USR 2.6.4'),
(23323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nExécution de la campagne de tests d\'acceptance du projet SPOC : \nFreebet (RUN03).'),
(23325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nExécution des campagnes de tests du projet SPOC : FREEBET (RUN03).'),
(22641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nPrésentation \"Retour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital\"'),
(22643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8'),
(22644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nSPOC_Freebet ; Executio des campagnes RUN03'),
(22645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nSPOC_Freebet ; \r\nExecution des campagnes RUN03\r\nsuivi avancement intermédiaire (30min)'),
(22646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSPOC_Freebet ; Execution des campagnes RUN03'),
(22647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nSPOC_Freebet ; \r\n0,5 : Execution des campagnes RUN03\r\n0,5 : presentation CFTL'),
(22649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nSPOC_Freebet ; \n0,75  :  Execution des campagnes RUN03\n0,25 : suivi avancement'),
(22651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nMise à jour de la procédure de Gestion des incidents.'),
(22652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nJason : Suite à MCO SID Client KO, Analyse du flux XRS_050'),
(22654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nCampagne PSMSv2 sur INT8'),
(22655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nFichier de suivi des incidents'),
(22656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\ncampagne PSMSv2 + qualification d\'anomalies'),
(22657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nMCO Court Commercial + SID Commercial + SID Client'),
(22658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nCampagne PSMSv2 + fichier ARJEL'),
(25659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nCampagne PSMSv2 + fichier ARJEL'),
(23100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nRéalisation des outils de gestion (déclaration/suppression) des jeux motors en base'),
(22669, 'intervention en bdd'),
(22676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nQualification des 19 nouveaux markets Football sur int9'),
(22677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nQualification des 19 nouveaux markets Football sur int9'),
(22678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nQualification des 19 nouveaux markets Football sur int9'),
(22679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nQualification des 19 nouveaux markets Football sur int9'),
(22680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nQualification des 19 nouveaux markets Football sur int9'),
(22681, 'utilisateur non ajouté à un groupe habilité à cdap ou le groupe auquel appartient n\'est pas habilité à cdap'),
(22686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nCAMPAGNE PRE QUALIF JEU LA COURSE \"MOTORS\" INT3'),
(22687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nCAMPAGNE PRE QUALIF JEU LA COURSE \"MOTORS\" INT3'),
(22688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n[STR] Modifications du PV de qualification pour intégration de la FDL016911 univers BAFIM'),
(22689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nCAMPAGNE PRE QUALIF JEU LA COURSE \"MOTORS\" INT3'),
(22690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nCAMPAGNE PRE QUALIF JEU LA COURSE \"MOTORS\" INT3'),
(22691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nCAMPAGNE PRE QUALIF JEU LA COURSE \"MOTORS\" INT3'),
(22699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFile'),
(22693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nExecution campagne AUTO Batch Regularisation, Reg V2.6.2'),
(22694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFile'),
(22695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nOptimisation des campagne automatisées'),
(22696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nAtelier de travail : Coordination entre référentiel tests manuels et automatisés'),
(22697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFile'),
(22698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFile'),
(22700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nAjout nouveaux markets Foot'),
(22701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n'),
(22702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nPrésentation : Retour sur la journée CFTL '),
(22703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(22704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nAjout des nouveaux markets Foot'),
(23475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nOptimisation des campagne automatisées'),
(22859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nMCO TR DIGITAL 123'),
(22707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nRéunion d\'avancement avec Raphaël'),
(22860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRetour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital\nMCO TR DIGITAL 123'),
(22709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n'),
(22711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nCorrection script digishop AuthentOrchestré\nAnalyse du probleme de compilation digishop R\npoint dev'),
(22712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(22713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\ntests playstation\r\n'),
(22714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n'),
(22715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nPoint migration vie des environnement.\r\nProblème de compilation digishop R\r\nPoint Postman Digishop'),
(22716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\ntests playstation'),
(22718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\ntests playstation IAT\r\nReunion retour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital'),
(22719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\ntests playstation IAT'),
(22721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRetour journée CFT\nPrise de connaissance palier bric.'),
(22722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nPréparation atelier pour palier bric\r\nprésentation de la présentation pour Lionel'),
(22724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nReunion \"Retour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital\"\r\nReunion FDJ/Lotsys sur les anomalies à résoudre pour la prochaine livraison de ptab\r\nInstallation 2.17.5 du portail tablette'),
(22766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n-Demi journée: assister à la présentation de Yannik Tison :Retour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital\n-Test exploratoire \n-Exécution cas de test  + support Loic\n-Revue cas de test\n-Test exploratoire sur Explorateur Safari (labo)'),
(22767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n--Test exploratoire sur Explorateur Safari (labo)\n-Exécution cas de test + support Loic (RUN 4 - INTER CONNEXION ITF 2.0.3-1 / FALCON USR 2.6.2-2)\n -Revue cas de test'),
(22734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n[Maintenance Corrective] Campagne de NonReg Front sur INT7\n\nHOST: agpadmi71\nSITE: fdj2-origin_release_13-31\nABP: 14.1.30.3-SNAPSHOT 73\nMOBILE: 5\nARGUS: 14.1-124\nPLATFORM: 1.0.174\n\n[SPEED UP] Tests ARJEL et ETL des nouveaux markets Football Live sur INT4\n\n[PSMSv2] Tests Freebet sur la Webapp pour vérification d\'anomalie ANO050572\n\nHOST:           agpadmi81\nSITE:           fdj2-origin_release_14-23\nABP:            14.1.31.0-SNAPSHOT 3\nMOBILE:         6\nPLATFORM:       1.0.175\n'),
(22729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n[Maintenance Corrective] Campagne de NonReg Front sur INT3\r\n\r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_13-31\r\nABP:            14.1.30.3-SNAPSHOT 73\r\nMOBILE:         5\r\nARGUS:          build-865\r\nPLATFORM:       1.0.174\r\n\r\n\r\n[SPEED UP] Tests ARJEL et ETL des nouveaux markets Football Live sur INT4'),
(22730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nImplementation de tests auto, Creation de JDD pour les tests Non Regression ARJEL recertif. implementation de tests auto BOX pour la rectification d\'infos joueurs. \r\n'),
(23080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nPrésentation synthèse journée FTL  0,5j\nCampagne 14.1.31.0-SNAPSHOT 3 - NREG BACK 0,5j'),
(22736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nImplemebnrtation de tests auto, création de tests et aide à la conception de scripts (définition des besoin auto). Travail d\'analyse sur des retours d\'erreurs ALM lors de paramètre manquant dans les script de tests de services. '),
(22737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nImplementation de tests auto et tests de robustesse sur les tests de création de joueurs MIXTES confirmés étrangers et des DOM. '),
(22739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nReprise activité suite réunion de la matinée. Implementation de tests auto pour recertif, justification des anomalies ARJEL, création et correction de tests auto pour la recertif. '),
(22740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nImplémentation de tests auto, suite des tests et analyse sur le prochain palier. '),
(30903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nJason - Environnement de test manuel -> automatique'),
(23075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nJason - Environnement de test manuel -> automatique'),
(22743, 'le groupe n\'est habilité à aucun rôle cdap'),
(23076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nJason - Environnement de test manuel -> automatique'),
(22745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nJason - Environnement de test manuel -> automatique'),
(22746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n[IQ Digital] Point JFTL Yannick tison\r\n[IF] Automatisation IF\r\n[IF] Suivi des anomalies'),
(22835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nAction : formation + check point du plans de montée en compétence'),
(22833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nAction : formation + check point du plans de montée en compétence'),
(22753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n[Support Bruno] Conf + Déploiement Boutique\n[JASON] Qualif + redaction modop'),
(22834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nAction : formation + check point du plans de montée en compétence'),
(22752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n[Support Bruno] Conf + Déploiement Boutique (0,25)\r\n[JASON] Qualif + support recette (0.75)'),
(22754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n[IF] Automatisation IF\r\n[IF] Suivi des anomalies\r\n[IF] Échanges autour de la gestion du token de jackpot'),
(22756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n[IF] Automatisation IF\r\n[IF] Suivi des anomalies\r\n[IF] Échanges autour de la gestion du token de jackpot'),
(22836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nAction : implémentation des plans de test automatisés pour la certification\nLivrable : plans de test associés'),
(22758, 'Le dysfonctionnement semble être lié à des accès récurrents à la bdd (scheduler VS user/liferay)'),
(22837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nAction : réunion'),
(22838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nAction : implémentation des plans de test automatisés pour la certification\nLivrable : plans de test associés'),
(22764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n[Support Bruno] tests POSTMAN SPOC (Regul)\r\n[JASON] Qualif + support IQ EPDV + Recette + Perf pb bdd détaillant'),
(22765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRetour sur la journée CFTL\r\n[JASON] Deploiement + acceptance (migo mago mugo wspdi)'),
(22779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRetour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital'),
(22791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n[IF] Automatisation IF\r\n[IF] Suivi des anomalies'),
(22793, 'Problème local'),
(22898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRetour sur la journée CFTL \n[SPOC] Point avancement Recertif/Regul\nsupport HIA bingo(purge des cartes)\nModification de tests boostbet postman\n'),
(22821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nProblème suppression d\'une relance'),
(22832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRetour sur la journée CFTL / Rencontre Voyage SNCF / Organisation IQ Digital\n[Motors] préparation orchestration du jeu la course'),
(22877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nTests JASON fuite mémoire ; Tests acceptance PSBOR 2.0.8 -> OK\nTests acceptance WSPO 3.0.7 (JASON) -> OK'),
(22872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nTests PSPDV'),
(22873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nTests acceptance PSBOR 2.0.7 -> OK ; Tests acceptance WSPO 3.0.6 (JASON) -> OK'),
(22876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\ncréation de l\'ANO050544 pour le lazy-loading mal géré sur PSPDV ios 5.0.003 ; création de l\'ANO050550 pour les résultats combi bonus qui prennent trop de temps à s\'afficher sur PSPDV ios 5.0.003'),
(22875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n- Daily\r\n- Rédaction tests acceptances wspo'),
(22878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n- Réu retour journée CFTL\r\n- Acceptance wspo 3.0.7'),
(23186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nCréation de l\'ANO050621 pour un appel en double de l\'interstitiel sur PS PDV ios ; Création de l\'ANO050624 pour un appel en double initCaptcha sur MIGO (JASON) ; tests fuite mémoire JASON'),
(22884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nMise à niveau perf2 (Edwan + Front)'),
(22993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nDocument NTI'),
(22883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n'),
(22885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMise à niveau perf2 (Edwan + Front)'),
(22994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nDOC NTI'),
(22887, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n- Ne pas limiter le champ « Ville » à 5 caractères\r\n- Dans le libellé « Adresse(suite) » : mettre un espace entre « adresse » et « (suite) »\r\n-Titre de la rubrique à modifier en fonction du contexte : mettre « Déclarer une colocation » si aucune colocation n’est connue. Actuellement, un seul titre est affiché : « Déclarer une fin ou une modification de la colocation »\r\n-Revoir la présentation du récapitulatif avec l’ajout des icônes de modifications sur chaque rubrique\r\n-Navigation : changer “modifier” par “quitter”'),
(22888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\ndaily meeting 1h,\r\ntest PS PDV (5.0) sur environnement de production --> plusieurs anomalies sont à créer (pb d\'affichage des pictogrammes combi-bonus, les markets de type 10 apparaissent dans les résultats, investigation sur l\'absence d\'offre dans les nouvelles bases sqlite, pb d\'interprétation de variation de cote)\r\nReinstallation cloud front PSPDV INT21, INT31, INT71 et INT81.'),
(22889, 'le 19/06:\r\nAprès analyse, les saxo ont été redirigés vers servapp pour plus d\'investigation.\r\nLes saxo ont été clôturés\n\n'),
(22890, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n19/06/2017 -> suivi des exceptions liferay / Mise en place de la requête multi caf pour la caisse des yvelines/ Analyse problèmes de lenteurs suite à la demande de C.Millot et des saxos remontés'),
(22892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nPrésentation Journée CFTL (3h30)\nRéunion avec l\'architecte et le PO PDV pour échanger sur l\'optimisation du fichier offre.xml sur edwan puis dans les applications natives. (1h30)\nRéinstallation cloud front PSPDV INT01, INT11, INT41, INT61, INT91.\nAnalyse sur la demande de maj des réglements dans les catalogues   PSEL Vitan et Android'),
(22893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\ndaily meeting (1h)\r\nRéunion état des lieux tests PSEL Android & VITAN pour freebet (1h)\r\nAvancement des problèmes avant départ CP.'),
(22894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n- daily Spoc (30 min chque jour)\r\n- Instance IQ SPOC'),
(22895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n- Accompagnement Bruno T déploiement Boutique\r\n- Mise à niveau composants Coco INT02 / 22 / 42\r\n- Analyse Ano050238 pour modif US\r\n- Bug réplication hasard sur IF - analyse + remise en place des contribs'),
(22896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nMigration Teradata : Run SID Commercial sur Teradata 14 + Teradata 15. Teradata 15 KO.'),
(22902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n[MigrationTeradata] Alimentation du TR2 SIDCOM TD14 + Modifications et lancement manuelles du chargement des WKF d\'alimentation TMP pour TD15 + création des DMT DMT0011138,DMT0011140 pour correction de controlm'),
(22900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n- Alerte et coordination problème mémoire ADC (aucun environnement accessible) - échanges avec O Kaluza'),
(22901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n- Upgrade version sdigishops INT8\r\n- travail sur référentiel digital front\r\n- support recette'),
(22903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n[StockGrattage] Point sur les actions et environnements a impacter'),
(22905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\ndaily meeting (1h)\nSupport ALM PSEL Android et VITAN\nRecherche sur un incident de production VITAN (score exact tennis et Y aura-t-il Tie-Break) --> fonctionnement bizarre du score exact sur le tennis --> besoin de contacter le PO.'),
(22906, 'l\'utilisateur ne rencontre plus cette anomalie.'),
(22910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nDev terminé'),
(22908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nRéu ficoba'),
(22914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n- suite analyse mécanisme APC pour amélioration process d\'installation\r\n- qualification livraisons du RUN\r\n- qualification livraison APIMAITRE'),
(22915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n- travail sur TAPI pour pb en production\r\n- création MOD TAPI pour intégration du token\r\n- support palier IF et investigation sur disparition jeux illiko int02\r\n- travail sur cache APC edwan'),
(22913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n- investigation serveurs php en erreur 500, pb lié au cache APC\r\n- analyse mécanisme de gestion du cache APC sur le CF\r\n- pb php hasard en erreur 500 reproductible via scénario d\'installation'),
(22940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement QS'),
(22941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - DMT0010869 fin des créations de PDV pour test Cautionnement (SOPRA)'),
(22943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO ETL  - Installation FDL016951_Ref_2.2.3 sur INTx'),
(22944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Analyse plantage du WKF_L_CDP_REPORTING_VIR'),
(22945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 -  CSAM MEIBO ETL - Qualification et livraison HIA - FDL016951_Ref_2.2.3'),
(22946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - Install FDL016851 sur INT4SAGA'),
(22947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - Install FDL016828 sur INT4SAGA'),
(22948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - Install FDL016669 sur INT4COUR'),
(22949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - qualification des FDL016851, FDL016828 et FDL016669'),
(22950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - Rédaction PV de qualification EGIDE 4.40'),
(22951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nSAFERGAME : Installation SPSS FDL016964 sur INT2'),
(22952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nSAFERGAME : Installation SPSS FDL016964 sur INT4');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(22953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Mise à jour du doc d\'installation CDP pour CGV Lot 1C'),
(22954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nSAFERGAME : Installation Hudson FDL016874 sur INT2'),
(23000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nSAFERGAME : Création DMT0011161, DMT0011112 et DMT0011095 pour la recette- Vérification des anomalies créées en recette'),
(22958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Contrôle de la base de donnée liée au connecteur CALY_CDP et contrôle des données des tables GROS_LOTS_PAYES et PAIEMENT_GL sur INT3CALY/CDP à la demande de F.GUILLET'),
(22957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Modification du connecteur CALY_CDP pour pointer sur la base INT2CALY à la demande de F. GUILLET'),
(22959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - Rédaction PV de qualification des FDL016851, FDL016828 et FDL016669'),
(23145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nRDI 1.05 : Analyse sur état du flux des données du référentiel SAGA vers SI-Finance.'),
(22971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRDI 1.1 : Rédaction d\'une fiche de re-lecture et envoie au RA.'),
(22962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nFichier de suivi des incidents'),
(22963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMCO Court Commercial + SID Client'),
(22964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRAM 004 : Support pour qualification de FDL016669, FDL016828, FDL016851 sur SAGA et GDS.'),
(22965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nContrôle de l\'état d\'une liste de détaillant dans SAGA pour les besoins du projet Jason.'),
(22967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nMobilin : Investigations sur Tests RM'),
(23146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nCautionnement : Investigation dans SAGA pour les besoins du projet'),
(22969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nMobilin : Réunion de suivi projet'),
(22972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nCGV : Investigation projet'),
(24770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRéunion compte rendu sur la conférence des méthodologie de test\nAdministration d\'une campagne de tests'),
(22974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nRAM 004 : Installation version 9.22 de GDS sur le serveur Citrix Adext.'),
(22975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nAdministration d\'une campagne de test'),
(22976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nSAFERGAME : Installation SPSS FDL016980 sur INT2'),
(22977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\nAuto'),
(22978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nAuto'),
(22979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nauto'),
(22980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nauto'),
(22981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nauto'),
(25633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nauto'),
(22983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nauto'),
(22984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nAuto'),
(23249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n- Daily\r\n- création ANO050690 \r\n- Tests acceptances FDL017026  ok\r\n'),
(23008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n'),
(22990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nMaquettes'),
(22991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nModification des requêtes'),
(22992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMise à jour EA'),
(22996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMCO EGIDE'),
(22997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nSAFERGAME : Mise à jour doc Hudson en 1.13+ vérification des anos de recette'),
(22998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMigration TeraData : Analyse sur anomalies Linux.'),
(22999, 'relancé dans saxo, à clôturer si pas de réponse'),
(23002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMEDDE'),
(23003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n'),
(23009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nTests auto JRN'),
(23016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n[MigrationTeradata] Lancement des chargements ELTA sur TD15 + Création de l\'anomalie relative au chargement LSGI  ANO050623 + ANO050636 LWCS + ANO050639 TSGI'),
(23013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n'),
(23019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nListe des fonctions de la librairie userRoutines.jar pour les batchs'),
(23015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n[JASON] Analyse et suspension de l\'ANO050614'),
(23021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMCO EGIDE - Vérification et test mise en automatique chaine contrôle M sur IEEGI'),
(23022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nGestion des incidents'),
(23024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - EGIDE/Infocentre/ETL installation FDL016600_Com_1.8.1 sur INT1,2,4'),
(23025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\nCorrection retours de tests'),
(23026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MPP vérification et investigation différents pb'),
(23027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(23028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nRelecture sfd'),
(23030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nDev terminés, tests à venir une fois les autres defect corrigés'),
(23032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nModif ok pour le fichier de rejet. Modification de la table = gros impact sur riba ET asur'),
(23033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n[Maintenance Corrective] Campagne de NonReg Front sur INT3\r\n\r\n\r\nHOST: agpadmi31\r\nSITE: fdj2-origin_release_13-31\r\nABP: 14.1.30.3-SNAPSHOT 73\r\nMOBILE: 5\r\nARGUS: build-865\r\nPLATFORM: 1.0.174\r\n'),
(23034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n- Daily\r\n- Réu stratégie de test (Philippe, Julien)\r\n- Création ANO050643 (mise totale non affichée pour une pdj multiple sur vitan 5.8.002)\r\n- Rejet FDL016989 (impossibilité de parier en multiple)'),
(23035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\ndeplacement Milenium'),
(23036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\ndev scripts de livraison'),
(23037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(23038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\n'),
(23039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n'),
(26319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\ndevis a faire aussi'),
(23041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n'),
(26320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nreste plus qu\'à tester le PAF pour les tests transverses et que BDU récupère les données de TAIGA'),
(23043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[PSMSv2] Campagne Freebet sur INT8 \r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_14-23\r\nABP:            14.1.31.0-SNAPSHOT 3\r\nMOBILE:         6\r\nPLATFORM:       1.0.175\r\n'),
(23044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nSoutenance Estelle  Avignon'),
(23045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nMAJ Document Nouveau chargement clients suite relecture'),
(23046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(23048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nMCO Court Commercial'),
(23049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[CGV] Support extraction des données de BI4 Reporting CDP'),
(23051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nSIDCOM TR2 En attente des livraisons correctrices // SIDCOM TR3 En attente deblocage WCS + reprise // SIDC TR2 OK // SIDC TR3 OK'),
(23052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nje sais plus ce que j\'ai fait... saisie a posteriori'),
(23053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n 	je sais plus ce que j\'ai fait... saisie a posteriori'),
(23054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n je sais plus ce que j\'ai fait... saisie a posteriori'),
(23055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n je sais plus ce que j\'ai fait... saisie a posteriori'),
(23056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nje sais plus ce que j\'ai fait... saisie a posteriori'),
(23057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nje sais plus ce que j\'ai fait... saisie a posteriori'),
(23058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\ndéplacement Milenium'),
(23059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\ndéplacement Milenium'),
(23060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - FDL016249 - Analyse avec M. GINOUX non complétude du WKF_L_CDP_REPORTING_VIR - ne fonctionne toujours pas.'),
(23061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-19  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - Qualification EGIDE 4.40'),
(23130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n'),
(23067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\netude protogen'),
(23068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n'),
(23071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - PV de qualif FDL016851, FDL016828 et FDL016669'),
(23072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - BO Contrôle des données \"manquantes\" dans CALYPSO sur le Transverse 2 suite au mail de F. GUILLET du 23/06/2017'),
(23078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nAnalyse campagne de non régression Falcon USR 2.6.4 sur INT8. Rédaction de documents pour Interactive Factory'),
(23082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT 3 - NREG BACK\r\nAjout 4 cas de tests à la campagne'),
(23083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT 3 - NREG BACK'),
(23463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nSuite et fin campagne 14.1.31.0-SNAPSHOT 3\nReprise cas de tests Late Bet et Resettlement pour distingo  traitement Paiement (NREG)  et traitement Correction Paris Sportifs (évolution).'),
(23465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT-11'),
(23090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nscripts livraison'),
(23094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nSAFERGAME : Réunion Point de synchro avec P.Maigne'),
(23675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nRéalisation des outils de gestion (déclaration/suppression) des jeux motors en base'),
(23103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nRéalisation des outils de gestion (déclaration/suppression) des jeux motors en base\nDéclaration des jeux \'cocotrio2017\', \'elixirius2017\' et \'walkthecube2017\' sur INT2'),
(23102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\nRéalisation des outils de gestion (déclaration/suppression) des jeux motors en base\nRéception de Happy Des Ete v3.0.5 (FDL016924) '),
(23123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[Backup Michel] Test postman sur MAPI MRCD API APM TAPI sur INT42\nRecherche d\'informations sur Widgets/TMS/Wihmevt\nConsultation de modele de contrat d\'interface pour proposer un draft de contrat d\'interface pour les APIs  convergence\n[Backup Michel]Installation hasard 4.2.17 sur INT32'),
(23106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\nRéalisation des outils de gestion (déclaration/suppression) des jeux motors en base\nInstallation de l\'applet de RAIN DIAMOND 2017 v1.0.2 sur INT32\nInstallation de superjackpot2017 sur int2'),
(23107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n-Installation des boutiques Digishop A et U sur environnement 81\r\n\r\n- Suite rédaction de tests régularisation dans Postman'),
(23676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nRéalisation des outils de gestion (déclaration/suppression) des jeux motors en base'),
(23199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nSAFERGAME : Création DMT0011202, et DMT0011226- Demande vérification de configuration pour I2 analyse pour IBM- Vérification des anomalies de recette /PLAYSTATION : création de 2 PDV suite demande de S.Montoya'),
(23118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(23114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[MigrationTeradata] Installation des 2 FDLs FDL016996 et FDL017001'),
(23120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[MigrationTeradata] Erreur a l\'alimentation TSGI + création de l\'anomalie ANO050678 relative a l\'installation de la FDL017001 sur une version non supportée du module TSGI'),
(23119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[GSI] Création de la DMT0011208 sur l\'erreur de listener de INT4WCS'),
(23121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nSupport pour problématique accessibilité réseau RSI depuis site Atos (VPN actuel)'),
(23124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n'),
(23131, 'Cohérence de l’ecran impayé=> Montants tous a 2 décimales et aligné à droite à finaliser  => afficher un exemple de montant à 2 décimales dans chaque encadré de saisi'),
(23133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nMCO - EGIDE'),
(23134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - Réunion de cadrage'),
(23135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - Préparation jeux de données création PDV pour RDI'),
(23136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - gestion des environnements INT\r\n'),
(23139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nAnalyse + FSA à envoyer le 27/06/2017'),
(23140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nVoir avec lindsay afin de savoir s\'il n\'y a pas une erreur dans les spec et reste à faire les TU'),
(23151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n'),
(23211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nRédaction cas de tests Recertification'),
(23156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nMigration TeraData : Assistance gestion de projet (DMT à venir) + installation du client Teradata Studio 15 + Analyse Anomalies.'),
(23210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nAnalyse et rédaction du rapport de campagne FALCON USR 2.6.4-1.\nRéunion présentation palier BRIC (0.5 j)'),
(23157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nFichier de suivi des incidents'),
(23159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n- Daily\n- Correspondance anno snow - jira\n- Identification et communication de 2 anos (dont 1 à rédiger)\n- Tableau des appels mify pour psel (excel)'),
(23163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nlogin/pass reçu de la part de BDU+analyse des besoins de RSI'),
(23247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nTest premier scénario+revoir lle code déjà développé +lecture de la régle de gestion dans la SFD'),
(23164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\n'),
(23165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nrevu du code de pt_assure lié à ce point + correction '),
(23540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nanalyse et conception \ncomposant : DigishopU \nWS : getCreditTransactionDetails'),
(23561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nRédaction de test regul dans Postman (suite)\n\nInstallation de l\'API doc des Boutiques Digishop'),
(23168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nSuivi analyse traitement scheduler'),
(23169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nMCO Court Commercial + SID Client'),
(23170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nAdministration de la campagne de test Liquidity manager'),
(23171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nAdministration de la campagne de test interconnexion'),
(23177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nAnalyse INC174513 - ANO050681'),
(23174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[MigrationTeradata] Point sur les actions à mener et communications à faire avec Franck Bodin'),
(23175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nTests IF : nouveaux cas jackpot\r\nFormation F. Derock\r\nRéorganisation Tests'),
(23176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\ntests IF '),
(23193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nTest manuel REG/REC\n[SPOC] Instance IQ spécial SPOC: suivi des campagnes, tests, difficultés'),
(23194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nTR: [BRIC] Vitrolles: Présentation palier BRIC 2.7\n[SPOC] Point avancement Recertif/Regul\ntest manuel reg/rec'),
(23192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nModification des tests auto pour bingo (suite a la mep des jeux à jackpot partagés)\r\nCampagne test auto Bingo/pfi 2.6.4'),
(23183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nRédaction cas de test fonctionnalité transaction, gestion internalisation\r\nRevue des cas de Bet Error\r\nIncident: les environnement ne fonctionnent plus dès 16h\r\n-Création de nouvelle dotation / offre pour les ecrédits'),
(23191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nTest manuel REG/REC\n'),
(23204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[GSI] Suivi DMT0011208 '),
(23187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nTests fuite mémoire JASON ; Qualification JASON ; Qualification PSPDV'),
(23190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nTests acceptance PSBOR 2.0.9 -> OK ; Qualification PSPDV ; Qualification JASON'),
(23195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n'),
(23196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n'),
(23197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[MigrationTeradata] Installation des FDLs FDL017011 LWCS + FDL017019 TSGI sur le TRx'),
(23198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[MigrationTeradata] Lancement des alimentations TSGI et LWCS'),
(23200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nSAFERGAME : Installation FDL017013 DB2 roulement des partitions avec IBM sur INT2'),
(23203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[Backup Michel] Installation MAPI 4.3.1 Hasard 4.3.2 eDwan 4.3.1 sur INT02\n[Backup Michel] Tests postman + acceptance\n[Backup Michel] Rejet livraison 4.2.17 de Hasard '),
(23205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nSIDCOM TR2 Bloqué pour validation de l\'alimentation // SIDCOM TR3 bloqué cf DMT0011208 '),
(23208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nMigration Teradata : Finalisation installation Teradata Studio 15.'),
(23477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nSPOC - FDL016914 : Qualification des vues.'),
(23209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nTest et reproduction des cas WS BDU timeout et WS HS'),
(23221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8 + Qualification ANO050215 + Support Valérie, Nathalie'),
(23401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8 + [Atelier]: Tests AUTO'),
(23697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nRDI : Création de 20 PDV/SAFERGAME Création d\'une DMT0011292'),
(23219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nSAFERGAME : Présentation livraisons du jour IBM'),
(23220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nSAFERGAME : Bug review avec JC.Morel'),
(23389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nRDI 1.05 : Mise à jour de données pour qualification ANO048964 du MDM'),
(23225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n'),
(23226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\ninstallation plateforme de démo avec Laurent'),
(23227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nsupport équipe, génération MS de base'),
(23228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nrevue de code et corrections sonar'),
(23229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nrevue de code, Sonar'),
(23230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nTests IF Jackpot et Croupiers'),
(23231, 'INC0352587 clôturé'),
(23232, 'INC0352801 traité et à clôturer dans les jours qui suivent'),
(23233, 'INC0352832 traité et à clôturer dans les jours qui suivent'),
(23235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\nL\'anonymisation envers et contre tous...'),
(23236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nMAJ document Nouveau chargement client suite réunion du 27/06 avec intégration chiffrage\r\npréparation FDL pour [BO Cohéris] Problème de ligne en trop dans BI4BO_TH_AFFAIRES_'),
(23237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nSIDCOM TR2 Bloqué pour migration // SIDCOM TR3 bloqué WCS // SIDC TR2 & SIDC TR3 OK (reprise adobe week sur TR2)'),
(23238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-20  (Do not remove this line) -->\n0'),
(23240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[MigrationTeradata] Point sur les actions a mener  + tests et suspension de l\'anomalie ANO050727'),
(23241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nCréation de Dotation, Offre et associer des é-crédit\r\nVérification Ano remonté sur les é-crédit.\r\nExécution compagne de test :RUN 4 - NON REGRESSION COMPTE (DIGISHOPA 3.1.7  + USR 2.6.2-2) (partagé avec Mika)'),
(23552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[SPOC][FREEBETS] Analyse des anomalies ANO050725, ANO050737 et ANO050737 + sollicitations IQ digital'),
(23244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[IF] Tests d\'acceptance sur INT02\r\nTest : RUN 1 - LIQUIDITY MANAGER'),
(23245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nprésentation scripts livraison à Bertin'),
(23252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nBFR.045.35 [FIN] HELIOS/ISA - Génération du virement Lot 1A 1B 1C - Vérification du bon fonctionnement des requêtes sous BO suite au mail de F. Guillet du 23/06/17'),
(23254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - qualification des FDL016851, FDL016828 et FDL016669'),
(23255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - DMT0010640 - qualification des FDL016851, FDL016828 et FDL016669'),
(23256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Création de 20 PDV sur INT4EGID'),
(23949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n'),
(23948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n'),
(23260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[Backup Michel] Installation 4.2.18 d\'hasard sur INT32\nRedaction de tests postman sur la faq (suite)\nTraitement (qualification/reaffectation) de 5 anomalies'),
(23261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nPrésentation journaling BRIC.\r\nPrise en compte du target env name dans l\'outil ;DGRS. Ecriture de scripts transverses pour tests autos JRN.'),
(23262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nPoint scripts auto multidomaines. Extension du script DataflowBackup pour auto test sbatchs. Comité Automatisation des tests. Déroulement manuel du cas de test ITG-JRN-TMA.'),
(23264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nAutomatisation des tests - Qualification du Journaling TMA.\nDéroulement manuel du cas de test ITG-JRN-TMA et évolutions fonctionnelle de et nouveaux scripts transverses.'),
(24162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nredaction modop modif perben\ntest manuel Regularisation Recertif\nredaction test postman recertif/regul'),
(23339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nImplementation de tests auto et réunions.'),
(23341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nImplementation de tests auto et création d\'une requête permettant d\'updater les joueurs impacté par les erreur d\'updates via les scripts TruClient. Analyse en cours pour un script d\'update permettant de sécuriser les données en base.'),
(23270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nGeneration digishop 3.3.0\nAnalyse Send Step Data\nRéunion Palier BRIC'),
(23271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nSend StepData Correction\r\nComité Automatisation\r\nPb migration alm 12.53 (UploadAttachement)'),
(24283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSAFERGAME : Création de 15 cas de tests'),
(23280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nPassage de connaissance codegen swagger => Emmanuel\r\nCorrection Pb Migration(UploadAttachement)\r\nAnalyse Pb Migration (Edit Step)'),
(23844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nPb Migration\n'),
(24281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n'),
(23284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nPb Migration (Suite)'),
(24430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nHors projet : Analyse des cas de test du projet MF_STIM'),
(24286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - FDL016930 - Rédaction de la procédure de vérification des lettres dans ELPHE'),
(23892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSAFERGAME : Installation Hudson FDL017044, I2analyze FDL017027 sur INT2'),
(23286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nfinaliser mes propres tests ----> pas de reproduction du prob\r\nrevoir les cas de test avec Laure ----> refaire un dernier '),
(24280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(23291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\nDocumentation DIT RISe'),
(24045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n'),
(23380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nCAMPAGNE QUALIF NOUVEAU MOTEUR MOTORS 1.8.1-1\r\nACCEPTANCE / SOCLE COMMUN / TDL JEUX / TESTS MOTEURS JEUX BLANCS'),
(23302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nAdministration d\'une campagne de tests'),
(23601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nTests IF\nformation F. Derock'),
(23330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nSPOC_ freebet _ Qualification des anomalies usr2.6.4'),
(23329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n0,5 : SPOC_ qualification des anomalies usr2.6.4\n0,5 : Réunion  présentation générale des projets du prochain palier'),
(23331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nSPOC_ exécution campagne freebet run03'),
(23332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nSPOC_ exécution campagne freebet run03'),
(23309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nDayli stream app hasard + point appli mobile avec M.RUZANSKI et PG.Riandey'),
(23333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n0,5 : SPOC_ exécution campagne freebet run03\n0,5 : SPOC suivi avancement qualif digital back'),
(23311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nTest reçu checker sur appli mobile FDJ android IOS\r\nTest appli native illiko sur super jackpot IF'),
(23696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nRédaction cas de tests Recertification\nExécution campagne Acceptance API & DB FALCON USR 2.6.5-1 sur INT9\nRéunion matrice/FCT/Interne (poupées russes)'),
(23695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nRédaction rapport de campagne Acceptance API & DB FALCON USR 2.6.5-1 sur INT9\nExécution et analyse campagne NR FALCON USR 2.6.5-1 sur INT9'),
(23314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nTest reçu checket sur Appli native FDJ android ios\r\nTest simulateur sur Appli native FDJ android ios\r\nTest sur favoris sur Appli native FDJ android ios'),
(23315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nIS Gateway José a été migré, depuis nous rencontrons des soucis sur le module mrcd\r\nça nous a permis de faire des tests de fail over , deux anos créé sur les reçu scanné qui ne ce rafraichissent pas + analyse de l\'erreur pour solution auprés des dev'),
(23316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nPoint d\'equipe sur playstation + dayli stream app hasard + dayli stream webapp hasard'),
(23317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nFDL017053 appli FDJ Android 1.1.005\r\nFDL017048 appli FDJ IOS V1.1.3\r\nTest de l\'appli pour verifications des anos rattachés'),
(23318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nContinuité sur\r\nFDL017053 appli FDJ Android 1.1.005\r\nFDL017048 appli FDJ IOS V1.1.3\r\nTest de l\'appli pour verifications des anos rattachés'),
(23319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nLivraison FDL\r\nFDL017057   [OLYMPIA] [COHD] Livraison Partielle objets Oracle CHARGEMENT BI4BO - Correctif ANO050178\r\nFDL017058  [FAQ] [COHD] Livraison objets Oracle CHARGEMENT FAQ (BI4BO)\r\nReunion [Refonte chargement client] Question sur les exclusions\r\n\r\nAnalyse Process Anonymisation de la base integration'),
(23320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nFinalisation de la plateforme PERF2\r\nParticipation aux réunions du pallier BRIC / TMA /Journaling'),
(23321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nRéunion Stratégie de test du pallier BRIC / TMA /Journaling\r\nEtude de la documentation / collections / page Confluence sur le pallier BRIC / TMA /Journaling'),
(23322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nRéunion d\'automatisation sur le sujet Journaling (Postman)\r\nInstallation des Workflow ETL'),
(23324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nEtude des collections Postman sur le sujet de journaling'),
(23326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nEtude des sujets TMA / journaling : script ksh / collection Postman'),
(23327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nExécution de la campagne de tests d\'acceptance du projet SPOC : régul/recertif (RUN02).'),
(23328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nExécution de la campagne de tests d\'acceptance du projet SPOC : régul/recertif (RUN02).'),
(23342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nImplementation de tests auto et création du script d\'update (transmis au CDS ATOS pilotage) permettant de restaurer les joueurs ayant un Nom forcé identique en base.\nExécution des campagnes ARJEL sur INT9 (v2.6.5)  et correction / creation des tests qui ne sont pas en ready.'),
(23343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nImplementation de tests auto et reporting campagne 2.6.5. Mise à jour des tests, analyse et correction des tests ayant des erreurs (suite migration ALM). '),
(23344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nswagger codegen build'),
(23346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nswagger protogen databuilders'),
(23347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nImplémentation de tests auto. création de tests + tests robustesse. '),
(23348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nreunion suivi sawgger protogen'),
(23349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nswagger codegen dev'),
(23350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nMCO digital tr 1 2 3 \r\ncomplétion document MCO '),
(23351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nAnalyse process Anonymisation\r\nRéunion Présentation Refonte Chargement  Clients et lancement du projet\r\n'),
(24264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Mise à jours des requêtes de sélection joueur pour tout ce qui concerne Mify.\n- Mise à jour des campagnes Mify dans la campagnes de référence.  \n- Mise à jour des campagne'),
(23717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n- Support mise en place des requis pour tests PSMSV2 sous PERF2\n- Support acceptance PSMSV2\n- Mise à jour des requêtes de sélections associées aux tests des appels de services MIFY.\n- Création cas de test suis problème en prod'),
(23361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n[JASON]\r\nANO047921 => Tests pour statuer sur l\'anomalie(non reproduite JASON / OLYMPIA dans la configuration actuelle)\r\nAnalyse avec Mohamed A. et Stéphane G. des pb de fuite mémoire Borne'),
(23362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[JASON]\r\nLivraisons correctives Olympia (mago + mugo) : FDL017018, FDL017002 (rejetée),FDL017008\r\n=> Deploiement + acceptance + qualification des fiches\r\n\r\nSupport recette'),
(23365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[JASON]\nLivraison corrective mugo (2ko,  1ok) pour pb de dates des historiques de jeux ( KO  IE) : FDL017041 \nDéploiement + Acceptance + qualification\nSID : Impact prise en compte changement appName pour la Borne Jason'),
(23559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[PINPOINT] Demo Olivier Fauchon \n\n[JASON]\nLivraison corrective mugo (pb de CGU) : FDL017028\nDeploiement + acceptance + qualification CGU => OK\nAnalyse décalage pb d\'affichage des date de pdj en GMT dans l\'histo'),
(23367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n[JASON] \r\nVoir avec HIA les 404 remontées par équipe Firewall\r\nVoir avec HIA la création des comptes opérateurs\r\nANO048468 : Reproduction + Analyse avec PINPOINT \r\n'),
(23369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nAssistance HIA sur pb CSAM MPP en préprod'),
(23370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nGestion des incidents'),
(23371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nPlaystation : Rédaction de 6 cas de tests.'),
(23372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nBCO.088.36 [ME] MOBILIN LOT 2 - réunion d\'avancement QS'),
(23379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nPlaystation : Installation de la livraison SAGA FDL016116'),
(23374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - Préparation jeux de données création PDV pour RDI'),
(23375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nPlaystation : Campagne d\'acceptation FDL016116 pour SAGA'),
(23376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - Préparation jeux de données création PDV pour RDI'),
(23377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nPlaystation : Campagne d\'acceptation FDL015924 pour Calypso.'),
(23378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n BCO.088.36 [ME] MOBILIN LOT 2  - Assistance SOPRA pour Qualif'),
(23381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nCAMPAGNE QUALIF NOUVEAU MOTEUR MOTORS 1.8.1-1\r\nACCEPTANCE / SOCLE COMMUN / TDL JEUX / TESTS MOTEURS JEUX BLANCS'),
(23382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nCAMPAGNE QUALIF NOUVEAU MOTEUR MOTORS 1.8.1-1\r\nACCEPTANCE / SOCLE COMMUN / TDL JEUX / TESTS MOTEURS JEUX BLANCS'),
(23392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8 + [FALCON]: Tests Fonction Masse: Correction Paris Sportifs'),
(23384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nCAMPAGNE QUALIF NOUVEAU MOTEUR MOTORS 1.8.1-1\r\nACCEPTANCE / SOCLE COMMUN / TDL JEUX / TESTS MOTEURS JEUX BLANCS'),
(23385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nCAMPAGNE QUALIF NOUVEAU MOTEUR MOTORS 1.8.1-1\r\nACCEPTANCE / SOCLE COMMUN / TDL JEUX / TESTS MOTEURS JEUX BLANCS'),
(23396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nRDI 1.1 : Création de 5 PDV pour les tests de qualification transverse.'),
(23953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b11 / INT8 + QualifANO'),
(23393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nMCO Court_commercial'),
(23397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nGDS : Support sur INC174398'),
(23398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nPlaystation : Installation de la FDL015924 pour Calypso'),
(23399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nPlaystation : Campagne de tests d\'acceptation FDL015924 pour Calypso.'),
(23400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nRDI 1.1 : Création de 10 PDV'),
(23402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b3 / INT8 + [Atelier]: Tests AUTO'),
(23403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nCSAM et RDI 1.1 : Transfert de compétences en prévision des congés d\'été.'),
(23405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nMobilin : Support pour derniers tests transverses pour PJeux'),
(23407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nRDI 1.1 : Etude des Spec SAGA'),
(23421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Atelier de cadrage test V16\n- Application du correctif communiqué par Claude suite aux problème de la migration  ALM. \n- Validation du bon fonctionnement du correctif (Campagne de test ALM associée)'),
(23415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nQualification des 19 nouveaux markets Football sur int9'),
(23445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nQualification des 19 nouveaux markets Football sur int9'),
(23422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n- Atelier de prise en comptes des demandes d\'évolution des scripts transverses pour le digital impactant le sport.\n- Correction problème d\'encodage lors du parse PSEL.\n- Livraison et validation des Evolutions\n- Support mise en place des requis pour tests PSMSV2 sous PERF2\n- Analyse spécs Mify pour AMEX'),
(23426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n - Support IQ Front pour analyse appels Mify => ANO050746\n- Support mise en place des requis pour tests PSMSV2 sous PERF2'),
(23423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nSuite déroulement manuel cas de test ITG JRN TMA. Début automatidsation de ce cas de test.'),
(23425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n- Evolution des scripts de PDJs LIVE et Multiplexe suite à la demande d\'Elise.\n- Livraison et validation des Evolutions'),
(24265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n- Déplacement à Londres pour la V16'),
(24266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n- Atelier de présentation de l\'API Metal,\n- Atelier de présentation des évolutions AMEX \n'),
(24267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n- Atelier de présentation des processus d’installation FDJ\n- Atelier de présentation des tests de migration V14 -> V16'),
(24268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n- Débriefing Londres V16\n- Présentation V16 '),
(23433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nRédaction de documents pour Interactive Factory'),
(23554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nAnalyse campagne non reg IF version 2.0.3-1 sur INT02.'),
(23703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nRedaction de tests postman sur l\'api faq (suite)\nInstallation MAPI,edwan,hasard sur INT42/INT22\n[Backup Michel] Installation 4.2.19 d\'hasard sur INT32'),
(23439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n--1--\r\nQualification des modifications de décodage apportées par Lyna : 1/2 journée jusqu\'à 14:30: j\'ai remodifié une requête au niveau des check ARJEL.\r\n--2--\r\nLancement d\'une acceptance sur INT9 à 15h: Mais problème bloquant lors de l\'exécution de la campagne=> Suite à l\'installation (INT9 copie de la prod)  tous nos Templates  effacés) , donc on a dû les importés de nouveau avec les petits soucis que ça peut engendrer ). En plus modification de la base de données: ID joueurs et autres impactes qu’on ne connait pas encore. => Décision de faire la campagne d\'acceptance sur INT8 (Décision prise en accord de Raphael)\r\n--3—Vers 18h : Début de préparation de l’acceptance INT8 (car à la base int8 est réservé que pour la NonReg, du coup il fallait préparer une acceptance à partir de la NonReg)\r\n'),
(23443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nFinalisation et lancement de la campagne d’acceptance vers 8h45\r\nMais : Apres  1/2 heure : Problème bloquant : Installations boutiques et back falcon lancés sur INT8 : Il est midi est c’est en toujours cours.\r\n'),
(23444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nNonReg INT8 pour la version: 14.1.31.0-SNAPSHOT 11'),
(23446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n[IF] Automatisation\r\n[MONEXT] Construction du plan de test PWPv2'),
(23447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[MONEXT]Exécution du plan de test PWPv2'),
(23448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[MONEXT]Exécution du plan de test PWPv2'),
(23449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n[MONEXT] Exécution du plan de test PWPv2\r\n[MONEXT] Rédaction du bilan d\'exécution RUN1 PWPv2\r\n[MONEXT] Remontée d\'anomalies\r\n[IF] Automatisation'),
(23450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n[IF] Automatisation'),
(23452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nExecution campagne AUTO Batch  V2.6.4'),
(23453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nExecution campagne AUTO Batch  V2.6.4'),
(23454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nExecution campagne AUTO Batch  V2.6.4'),
(23455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFile'),
(23456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nTest AUTO Batch LoadTessiFile'),
(23904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nJason - Environnement de tests / validation / rapport / markets non éligibles & exceptions');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(25464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nJason - Environnement de tests / validation / rapport / markets non éligibles & exceptions'),
(25465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nJason - Environnement de tests / validation / rapport / markets non éligibles & exceptions'),
(25466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nJason - Environnement de tests / validation / rapport / markets non éligibles & exceptions'),
(30922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nAutomatisation / Fin de création des markets Jason'),
(23467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nTest : RUN 1 - ITG GAME\nTest : RUN 1 - LIQUIDITY MANAGER'),
(23466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nInitialisation campagne 14.1.31.0-SNAPSHOT-11\nPréparation fichiers\nINT8 indisponible'),
(23468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nFichier de suivi des incidents'),
(23469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nMCO Court Commercial'),
(23470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT-11'),
(23471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT-11'),
(23472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT-11'),
(23473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT-11'),
(23474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nSuite campagne 14.1.31.0-SNAPSHOT-11'),
(23476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nSPOC : Rédaction 2 cas de tests (Qualification vues)'),
(23478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nSIDC TR3 ok // SIDC TR2 OK apres alimentation avec correctif du purse // SIDCOM TR2 bloqué // SIDCOM TR3 Attente résolution du PB WCS'),
(23481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nOptimisation des campagnes'),
(23483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nAtelier: Coordination tests manuels/Autos'),
(23493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nOptimisation des campagnes'),
(23686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nAtelier: Ajout de nouveaux markets / Sports mineurs'),
(23685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nOptimisation des campagnes'),
(23489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nRéunion d\'avancement avec Raphaël'),
(23492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nOptimisation des camapgnes'),
(23495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nLivraison PT Ris version 17,6,1 chargement 002'),
(23496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nLivraison PT Ris version 17,6,1 chargement 002'),
(23505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nTest : RUN 1 - LIQUIDITY MANAGER\n'),
(23602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\ntests IF\nrefonte arbo tests sous ALM'),
(23500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nRecupération code + comparaison des versions (version 17,1 trouvé au lieu de 15,1) + build + installation et deploiment en local en cours (probléme version jboss)'),
(23503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nbuild + installation et deploiment en local en cours (probléme version jboss)'),
(23508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nAdministration d\'une campagne de test'),
(23510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nAdministration d\'une campagne de test'),
(23528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nAction : formation soutiens implémentation service getCreditTransactionDetails\nLivrable : tests associés'),
(23522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n- Support suite à mise niveau Perf2\n- Travail sur Référentiel Digital Front (SPOC)'),
(23521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n- Formation Bruno Touitou sur Digishop\n- Mise à jour Doc API\n- Daily review SPOC\n- Travail sur Référentiel Digital Front'),
(24535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n- Daily review SPOC\n- Travail sur Référentiel Digital Front\n- Acceptance MAG FDL016988 (Touch ID / SPOC)\n- Acceptance MUG FDL017046 (Projet IF)'),
(24536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n- Daily review SPOC\n- Acceptance MUG FDL017046 (Projet IF)\n- Analyse problème PDJ sur INT81'),
(24537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n- Daily review SPOC\n- Acceptance et Install (FDL non connues à l\'heure ou je rédige)\n- Réunion Instance IQ SPOC\n- Réunion matrice Produit BRIC / Poupées Russes'),
(23529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nAction : implémentation certification \r\nLivrable : tests associés'),
(23530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nAction : implémentation certification \r\nLivrable : tests associés'),
(23533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nAction : campagne acceptation INT8 \nLivrable : bilan exécution'),
(23535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nAction : formation soutiens implémentation service getCreditTransactionDetails + exécution campagne + analyse\nLivrable : tests associés'),
(23536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(23545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\niimplementation et execution\ncomposant : DigishopU \nWS : getCreditTransactionDetails'),
(23538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nimplémentation et exécution de campagne d\'acceptance\r\ncomposant : digishopI, digishopA, digishopU'),
(23543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nanalyse des résultats de la campagne d\'acceptance\n'),
(23544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nimplementation et execution\r\ncomposant : DigishopU \r\nWS : getCreditTransactionDetails'),
(23546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n[MigrationTeradata] Support aux interrogations de F. Pighini sur la migration'),
(23568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n[MigrationTeradata] alimentation manuelle TD15 SID Client'),
(23549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\ncréation d\'anomalie\ncomposant : DigishopU \nWS : getCreditTransactionDetails'),
(23550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n[SPOC] Analyse et coordination des actions et communications pour la recette freebet avec IQ Digital'),
(23553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nSAFERGAME : Installation FDL016982 SQL (rejeté),  FDL017025 IIB, FDL017052 ODM, FDL017050 SPSS, FDL017062 SQL sur INT2'),
(23556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nAnalyse campagne de Non Regression de Falcon USR 2.6.5-1 installée sur INT9. Analyse campagne non reg IF version 2.0.3-1 sur INT02.'),
(23563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n[JASON]\r\nLivraison corrective mugo (pb de CGU) : FDL017028\r\nDeploiement + acceptance + qualification CGU => OK\r\nAnalyse décalage pb d\'affichage des date de pdj en GMT dans l\'histo'),
(23571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nInvestigation Boutiques + Flux Falcon  (putty , postman ...) suite à des pb sur les services creditAccount et GetDepositTransactionStatus'),
(24854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nVoir avec HIA la création des comptes opérateurs\nANO048468 : Reproduction + Analyse avec PINPOINT'),
(23570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n[SPOC] Support sur l\'anomalie ANO050766 univers Client Sport'),
(23580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nSuite Investigation + essai d\'appel Postman en direct (bug résolu il s\'agissait d\'un soucis de Monext qui mettait à jour ses environnements en //)\n\nUpdate des FDL suite à l\'install int8 et test acceptances ok\n\nattente suite à la maj de l\'environnement Falcon\npuis install Boutiques Digishop sur environnement 21 (iso environnement 81)\n'),
(23585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nComplement tests playstation Astro'),
(23584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nFDL017004\n'),
(23583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nFDL017005.'),
(23582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nFDL017006.'),
(23587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nComplement tests playstation IAT\n'),
(23581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nSuite ecriture test postman regularisation'),
(24217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nformation+ implémentation test certif + gestion anomalie +campagne de test'),
(24218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nformation+ implémentation test certif + gestion anomalie +campagne de test'),
(24069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nImplementation et execution\ncomposant : DigishopU \nWS : getCreditTransactionDetails\nPassage au statut \"Ready\" du WS \"getCreditTransactionDetails\"\n\nMise en place de la campagne qualité sur le front DI, DA, DU'),
(24855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n- Ano Authent Jason : Alertes / Tests / Debug'),
(24856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n- Ano Authent Jason : Alertes / Tests / Debug'),
(23597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n'),
(24138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nRésolution problème sur bingo + cas de tests playstation'),
(24227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n- Réunion Stream Coco / Boutiques\n- Point avec devs Coco et nouveau tech lead suite départ Bruno\n- Support Recette'),
(23693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n- Daily\n- Problème général de connexion, recherche de joueurs avec du freebet\n- Rédactions tests wspo'),
(23690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n- Daily\n- Remontée à la recette de l\'ANO050759\n- Installation de WSPO 3.0.8 sur INT1 et INT3\n- Acceptance WSPO sur la borne non terminée'),
(24131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nCAMPAGNE DE QUALIF NOUVEAU MOTEUR MOTORS\nTMA MOTORS 1.8.1-1'),
(24132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nCAMPAGNE DE QUALIF NOUVEAU MOTEUR MOTORS\nTMA MOTORS 1.8.1-1'),
(24133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nCAMPAGNE DE QUALIF NOUVEAU MOTEUR MOTORS\nTMA MOTORS 1.8.1-1'),
(24134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nCAMPAGNE DE QUALIF NOUVEAU MOTEUR MOTORS\nTMA MOTORS 1.8.1-1'),
(24135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nCAMPAGNE DE QUALIF NOUVEAU MOTEUR MOTORS\nTMA MOTORS 1.8.1-1'),
(24062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\napprentissage de la rédaction du bilan de la campagne qualité\ncomposant : digishopI, digishopA, digishopU\nplanification des tâches suite à la campagne qualité'),
(24065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nMaintenance des tests auto identifiés \"ToBeReview\"'),
(24219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nformation+ implémentation test certif + gestion anomalie +campagne de test'),
(24220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nformation + préparation projet poupée Russe'),
(24215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n-Suite étude du pb de 404 aléatoire: nouvelle installation aprés investigation pour voir si cela résoud le pb.\n\nInstallation sur le 02 puis sur le 42 des nouvelles Boutiques Digishop A/I/U.\n'),
(24255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nDaily meeting 1h, Réunion création référentiel exigence IQ (1h30), Atelier Jenkins 2h30, PSEL VITAN  et Android + test PS PDV.'),
(23914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n- Daily\n- Réu Philippe Julien prépa test auto + amex\n- Installation wspo 3.0.8 sur int8 pour acceptance PSEL Android\n- Création ANO050690 (pb refresh main -> live)'),
(24178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n- Daily\n- FDL017111 acceptée (Vitan 5.8.008\n- Problème non affichage des offres sur int8'),
(24179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n- Daily\n- Problème wspo non affichange des offres sur int8 (psel)'),
(24328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n- Daily\n- ANO050948\n- Problème offre live non prise en compte dans la construction de la liste des sports (ept ne renvoie que les sports contenant du main)'),
(24193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n- maj doc swagger 4.1.6_mrcd\n- qualification livraison 4.1.6_mrcd\n- reouverture MOD PHP ajout d’un digit dans l’externalDrawNumber\n- atelier sur les bests practices API'),
(24141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nformation jenkins + gitlab\nTests playstation'),
(24139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nFDL017110 et FDL017109 : installation'),
(24140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nFDL017110 et FDL017109 : tests'),
(24421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nReu tests playstation IAT'),
(24108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nTest appli FDJ IOS ANDROID pour MEP fin de sprint\nTest sur mrcd reçu scanné car plusieurs erreur entre mrcd -> josé ->estegateway\nMise a niveau environnement INT12 sur toute les webapp pour recette appli fdj\nwloto, weuml, wof, wlbgo wihmevt, wkeno'),
(24104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nlivraison des catalogues pour appli fdj IOS android pour MEP le jour meme\r\nRedaction modop pour deploiement des catalogues pour HIA\r\nAnalyse anomalie MRCD sur le voucher check et refresh'),
(24109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nTest josé, mise a jour des catalogues android illiko et appli fdj pour ajout géorestriction, car appli soumise prochainement au play store google.\ntest mrcd\ntest scan reçu'),
(24110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nFDL017116 illiko android\nFDL017115 illiko ios\na tester + ajout sur le play sotre'),
(24228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n- Atelier Jenkins\n- Ano Authent Jason : Alertes / Tests / Debug'),
(24229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n- Ano Authent Jason : Alertes / Tests / Debug\n- Installations et tests MAG / MUG pour SPOC / IF'),
(24230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n- Ano Authent Jason : Alertes / Tests / Debug\n- Coordination équipes de dév pour livraison (Marie C / Pierre A)\n- Qualif Anos'),
(24151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\ndébut des tests sur PSPDV Android 5.0.003 ; Création de l\'ANO050836 pour un crash avec le lotofoot sur PSPDV Android ; Création de l\'ANO050840 pour supprimer les appels systématiques aux bdd et au background à chaque retour du background sur PSPDV Android ; Acceptance de WSPO 3.0.9'),
(24720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nAccompagment de Gilles pour l\'installation du jeu Clés du tresors (jeu gamification) sur INT1'),
(24153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nnon-reg et qualification de JASON avec WSPO 3.0.10 ; Acceptance PSPDV Android 5.0.0 build 98 ; Création de l\'ANO050903 pour un pb de ReaderBluetooth sur la borne'),
(24155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nQualification PS PDV Android et IOS'),
(24627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nqualification des anos PSPDV ios et android ; Acceptance de PSBOR 2.0.9-1 ; Création de l\'ANO050956 pour un problème d\'affichage des grilles Loto Foot sur PS PDV Android 5.0.1 ; Création de l\'ANO050957 pour un problème assez similaire sur PS PDV IOS 5.0.004 ; Création de l\'ANO050959 pour un appel en double lors du téléchargement des listes sur PS PDV Android 5.0.1'),
(23860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nPoint avec Romain\nAnalyse du fonctionnement du portail (wurfl)\nCréation ANO050833 suite à la régression v2.17.5 du portail\nSuite rédaction des spécifications IQ pour ocnvergence ( https://atla.prod.fdj.fr:1443/confluence/display/DDGT/bonnes+pratiques+-+conventions+de+nommage+APIs )'),
(24416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n[StockGrattage] Installation de la FDL017168 sur le TR2'),
(24163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nMAJ des operateurs BOX suite au dump de prod sur int9\nsupport pb de prod bingo\n[SPOC] Point avancement Recertif/Regul\ncampagne auto recertif/regul/bingo'),
(24313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n- Outil de promulgation\n- Installation de La clef du tresor\n- Pb de mock sur INT1\n- Modification du croupier de CEO sur INT2'),
(24569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n- Installation de La course et de Maxi ruche d\'or sur INT5'),
(24150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nTests acceptance WSPO 3.0.8 -> OK (JASON) ; Création de l\'ANO050800 sur JASON pour une erreur 520 sur /mify/bs/selections (sélection en double du même pari d\'après mify) ayant pour conséquence le freeze de la borne ; Création de l\'ANO050807 pour des latences entre les actions sur la borne et les appels mify correspondants ; Tests sur PSEL Android -> le problème existe également'),
(23673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n- Installation de ARBRE AUX TRESORS 2017 Applet v1.0.2 sur INT32\n- Saisie des exigences motors sur ALM'),
(24231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n- Qualif Anos et Mod (Laurent Barrière)'),
(23677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\nSaisie des exigences motors sur ALM'),
(23678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nMCO EGIDE'),
(23679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - Préparation jeux de données création PDV pour RDI'),
(23684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nDifficulté à modifier les sources pour déployer sur les serveur dev'),
(23682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n'),
(23750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nDifficulté pour trouver et se connecter sur mon compte'),
(23688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nSPOC : Exécution campagne de qualification CQUA003 + Egide : création d\'un PDV +  SPOC Qualification FDL016916'),
(23689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n'),
(23692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n- Point Jason avec Stéphane et Marie\n- Daily\n- Acceptance FDL017064 (vitan 5.8.007)\n- Acceptance WSPO sur la borne'),
(23694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nIndisponibilité HP ALM => 8h45\r\nExécution de la campagne NR FALCON USR 2.6.6\r\nRédaction cas de test auto Régularisation'),
(23698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(23712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nSAFERGAME : Installation IIB FDL017025 (suite), Installation FDL017061 SPSS (rejetée), Installation SPSS FDL017069 sur INT2'),
(23700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nBTR.001 : Réunion avec S.Noblecourt : liste des processus/sous-processus Safergame'),
(23702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nRedaction test postman FAQ (suite)\nReunion point FAQ\nInstallation API Maitre 1.0.14 sur INT22'),
(23704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(23705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nMCO Court Commercial'),
(23706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nSPOC : Création d\'un Cas de test de nouvelle fonctionnalité (Adobie).'),
(23720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nPalier SPOC : Exécution de la qualification d\'évolution FDL016916 + analyse erreurs sur flux SID Client (Adobie) + ANO050770 (Qualifiée) + ANO050771 (abandon + MAJ cas de test)'),
(23713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nSAFERGAME : Création DMT0011401+ pré-qualification des anomalies de recette : ANO050398,ANO050740,ANO050717,ANO050672,ANO050723, ANO050552, ANO050075, ANO050513,ANO050425,ANO050458,ANO050440,ANO050585, ANO050576'),
(24164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nsupport pb de prod bingo'),
(24461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nFin déroulement manuel cas de test ITG JRN TMA (fonctionnement ,100 PDJ OK). Poursuite automatidsation de ce cas de test.'),
(23744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n- Réunion de suivi Programme SPORT\n- Suivi des campagnes Vie des environnements\n- Actions correctives pour les tâches KO VieDesEnvironnement.\n- Évolution requête de vérification\n- Analyse correctifs Appels Mify (validation fiches JIRA : ABP-54504 & ABP-54194).'),
(23721, 'Clôture de commande\r\nL’éventuelle commande sera tracée sur le saxo associé'),
(23722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nSIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 TR3 non alimentés'),
(23725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n[SPOC][FREEBETS] Analyses et retours sur l\'anomalie ANO050766'),
(23724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n[MigrationTeradata] analyse du PB sur le lancement des WKFs via controlm + analyse du problème sur le retour de Henrich Beaumont différences sur l\'univers BAFIM TD14 vs TD15 (création de l\'anomalie ANO050804) + Synthèse sur la qualification pour communication au CP du GO migration'),
(23754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n'),
(23728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\ngestion des incidents'),
(23729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nMCO EGIDE'),
(23730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n'),
(23731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n'),
(23732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n'),
(23733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n'),
(23749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nDébut correction pour RIBA'),
(23736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n BCO.084.34 RDI 1.1 - Préparation jeux de données création PDV pour RDI '),
(23757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run - Etude des spécifications Egide - Distributeur pour RDI 1.1'),
(23834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nExécution et analyse de la campagne de NR FALCON USR 2.6.6 sur INT9 + Rédaction du rapport de campagne \nExécution et analyse de la campagne d\'Acceptance FALCON USR 2.6.6 sur INT8\n\n'),
(23741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - gestion des environnements INT'),
(23755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n'),
(23753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nLivraison batch reprise : D1708 et D1690'),
(24612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n- Qualification Mod Mify \n- Évolution API Mify pour les scripts existant AMEX\n'),
(24613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n- Alignements des scripts existants suite aux évolutions de l\'API mify.\n- Dev API mify pour les nouveaux services.'),
(25663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n- Point avancement V16\n- Analyse anomalies Mify version JASON\n- Qualification anomalies Mify version JASON'),
(23752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nlivraison ASUR : D1622 D1624 D1631 D1637 D1652'),
(23811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nRédaction des cas de tests Recertification'),
(24000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nPrise de connaissance des modifs de services du nouveau Falcon USR 2.7\n[ITF Admin] Analyse des logs d\'erreurs de campagnes avec des erreur vuGen\n[Scrips Box] maintenance corrective sur la connexion box du script Modification_adresse, remaj dans SVN et publication ALM'),
(24001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nScrips Box] maintenance corrective sur la connexion box du script Modification_informations_joueurs, remaj dans SVN et publication ALM\ntag scripts Box dans le référentiel et synchro dans Automatisation_Falcon\nFormation Jenkins, Git, Postman\nWebConf Mini-Coqar \n'),
(23762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Installation et qualification de la FDL016930'),
(23766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Création de 10 PDV sur INT4EGID'),
(24049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n[AUTOMATISATION] Montée en compétence\n[IF] Qualification d\'anomalies'),
(24050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n[AUTOMATISATION] Montée en compétence\n[IF] Soutien équipe test manuel'),
(24052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n[AUTOMATISATION] Montée en compétence\n[IF] Soutien équipe test manuel\n[MONEXT] Réunion post RUN1\n[MONEXT] Remontée des anomalies à MONEXT'),
(24053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n[AUTOMATISATION] Montée en compétence\n[IF] Soutien équipe test manuel\n[MONEXT] Remontée des anomalies à MONEXT\n[MONEXT] Préparation RUN2'),
(24054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n[AUTOMATISATION] Montée en compétence\n[IF] Soutien équipe test manuel\n[MONEXT] Préparation RUN2'),
(24588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nAdministration de campagne de test régression run 5 et qualification d\'anomalies'),
(24592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n[MONEXT] Exécution RUN2 Qualification PWPv2'),
(24593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n[MONEXT] Exécution RUN2 Qualification PWPv2'),
(23776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nHors projet - Création d\'un fichier des versions pour les applications Egide et Centura'),
(23880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n-Environnement de test int0 cassé: pas d\'avancement sur les test de la compagne de test\n-Test exploratoire sur int42\n'),
(24048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n-Finaliser Modop génération manuelle des E-crédit sur INT0\n-Exécution compagne de test USR 2.6.6-2 / ITF2.0.4-1\n-Remonter l\'ano: \nANO	ANO050890:[IF] Mal enregistrement des transactions dans la table itf_transaction'),
(24247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n-Exécution compagne de test USR 2.6.6-2 / ITF2.0.4-1\n -Remonter l\'ano: \n-Essayer de reprduire l\'Ano ANO050890:\nChanger le croupier de façon à gagner le jackpot à 100%\n=>ANO reproduit\n=>ANO dépriorisé vue la chance de reprouduire cette ANO est très minime.'),
(24344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n-Exécution compagne de test USR 2.6.6-2 / ITF2.0.4-1\n'),
(24442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nExécution campagne de test: Non regression RUN 5 - NON REGRESSION COMPTE (DIGISHOPA 3.2.1  + USR 2.6.6-2)'),
(24443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nExécution campagne de test: Non regression RUN 5 - NON REGRESSION COMPTE (DIGISHOPA 3.2.1 + USR 2.6.6-2)\nAno remontée:\nANO051010: [IF] Il est possible  de sélectionner le jeu SUPER JACKPOT comme favori'),
(24249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nAdministration de la campagne interconnexion run 2'),
(24250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nAdministration de la campagne interconnexion run 2'),
(23786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Ré Installation et qualification de la FDL016930 suite à correction ANO050779'),
(23787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(24251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nInvestigation et creation de cas de test sur le jackpot'),
(24252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nInvestigation et creation de cas de test sur le jackpot'),
(24253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nInvestigation et creation de cas de test sur le jackpot'),
(24505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nAdministration de campagne de test régression run 5 et qualification d\'anomalies'),
(24504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nAdministration campagne de test ITG et qualification d\'anomalies'),
(23793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nCorrection + TU'),
(23917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nAnalyse de l\'installation du vendredi sur INT0 suite à quelques soucis de configuration. Ré-installation sur INT0'),
(23918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nInstallation sur INT4 USR 2.6.6-2 OPR 2.6.3-1 BOX 2.7.5-1 CLS 2.4.8-1\n'),
(23797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\nAnalyse du defect 44654 et rédaction du plan niveau macro'),
(24073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nAcceptance de la plateforme INT01-IF INT42 FDJ'),
(24074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nanalyse et étude du projet journaling'),
(24076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nPrise en main des scripts ksh et postman pour le projet Journaling'),
(24107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nAutomatisation Batch campagne V2.6.6'),
(24106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nAutomatisation Batch campagne V2.6.6'),
(24113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nImplementation de tests auto, préparation perso de l\'évolution du catalogue sur le prochain palier. Création / correction des tests auto recertif. '),
(23815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n'),
(23816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-16  (Do not remove this line) -->\ncampagne de Non reg auto PFI 2.5.8 / bingo\r\nredaction de tests Postman\r\nsupport HIA Bingo'),
(24007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nSupport HIA bingo (deconnexion joueur)'),
(24008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nsupport HIA bingo (deconnexion joueur)'),
(24173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nredaction cas de test postman reconciliation boostbet\nanalyse pb de prod sur la deconnexion des joueurs'),
(24174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nredaction tests postman reconciliation boostbet\nanalyse pb de prod bingo\n'),
(23940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nMCO digital tr 1 2 3 '),
(23839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(23835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nMCO TR DIGITAL 123'),
(23830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(23887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(23832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n[PSMSv2] Campagne Freebet sur INT8\r\n\r\nHOST: agpadmi81\r\nSITE: fdj2-origin_release_14-23\r\nABP: 14.1.31.0-SNAPSHOT 3\r\nMOBILE: 6\r\nPLATFORM: 1.0.175\r\n\r\n[ABP OFFRE] Test ARJEL et ETL des nouveaux markets Tennis sur INT4 \r\n•	Plus / Moins (Aces) Match\r\n•	Plus / Moins (Aces) - Joueur – Match\r\n•	Plus / Moins (Aces) - Set\r\n•	Plus / Moins (Aces) – Joueur- Set\r\n'),
(23836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\r\nHOST:           agpsrvi81\r\nSITE:           fdj2-origin_release_14-23\r\nABP:            14.1.31.0-SNAPSHOT 11\r\nMOBILE:         6\r\nPLATFORM:       1.0.175\r\n'),
(23838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n'),
(23841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\n'),
(23842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n'),
(24507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-29  (Do not remove this line) -->\nPoint protogen Swagger'),
(23850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nAuto Batch '),
(23851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nBatch Auto + exécution campagne non Reg 2.6'),
(23852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nBatch Auto + exécution campagne non Reg 2.6'),
(23853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nBatch Auto + exécution campagne non Reg 2.6'),
(26954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSIDC TR2 SIDC TR3 OK // SIDCOM TR2 et TR3 En attente'),
(23855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n[SPOC] Analyse ANO050674 et suspension car traitement par une autre fiche ANO050534 '),
(23856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nFichier de suivi des incidents'),
(23857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nMCO Court Commercial'),
(23859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nStock Grattage : Réinstallation TR2 - FDL015894 + FDL015896 + FDL015897 + FDL016453'),
(24187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\npresentation jenkins/potman/github'),
(25468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nAutomatisation HP ALM'),
(25469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nAutomatisation HP ALM'),
(25470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nAutomatisation HP ALM'),
(23868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nAutomatisation HP ALM'),
(23869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(23872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n[SPOC] Analyse des anomalies  ANO050797 et  ANO050798'),
(23873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n[MigrationTeradata] Go pour Migration en ayant contacté Marie Bastide.'),
(23874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nStock Grattage : 1ère installation TR2 FDL016958 + FDL016959 + FDL016960 + FDL016961 + FDL016939 + FDL017023'),
(23877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n[GDC] Support CP vérification envoi du fichier Hebdo'),
(24037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nLancement et Analyse campagne acceptance ITF 2.0.4-1 sur INT02. Problème d\'environnement à cause des problèmes d\' installation. Ecriture de cas de test pour Falcon RTG (loto et keno)'),
(23889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\n'),
(23895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSAFERGAME : Réunion point de synchro avec P.Maigne'),
(23894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSAFERGAME : Vérification des anomalies de recette'),
(23897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(23899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nRecherche de document sur les différents flux à tester'),
(23905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nJason - Environnement de tests / validation / rapport / markets non éligibles & exceptions'),
(23907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nSIDC TR2 & TR3 OK // SIDCOM TR3 & TR2 En attente correction WCS'),
(23908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n[MigrationTeradata] Migration des env d\'intégration'),
(23909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nFDL017091 : [BRIC]  [CRM2] MOD012014 :  Supression des IBAN \"Invalid\" dans la table FLC_USR_CTR'),
(23910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nFichier de suivi des incidents'),
(23913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nMCO Court Commercial'),
(24017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nLancement et analyse des campagnes ITG et RTG sur INT8 avec la version de falcon USR 2.6.6. Réunion formation Jenkins Postman Gitlab'),
(23935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nInstallation du composant SID 1.2.3 sur INT4\nPrésentation - Atelier Jenkins/Postman/Gitlab'),
(24009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nTest appels/notification digishopp avec la FAQ\nInstallation MRCD 4.1.6 sur INT32 + test postman\nReunion Jenkins/Gitlab/Postman'),
(23936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n'),
(23937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\r\nHOST: agpsrvi81\r\nSITE: fdj2-origin_release_14-23\r\nABP: 14.1.31.0-SNAPSHOT 11\r\nMOBILE: 6\r\nPLATFORM: 1.0.175'),
(24444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(24165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nMCO digital tr 1 2 3\ncomplétion document MCO'),
(24167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(24168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(24169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(23999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nCréation Dotation E-crédit sur int0 : import manuel\n-Exécution compagne de test USR 2.6.6-2 / ITF2.0.4-1\n-Préparation Modop génération manuelle des E-crédit sur INT0'),
(24119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b11 / INT8\nBascule sur INT2 (car INT8 indispo) + Nouvelle anomalie / LateBet (Régression)'),
(24118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b11 / INT2\nBascule sur INT8 (car INT8 REdispo) + Tests / LateBet'),
(23956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nSAFERGAME : Présentation installation i2analyze par IBM à ma demande car c\'est prévu dans le nouveau process de livraison car nouveau produit=> bon,l\'installation n\'a pas fonctionné en déroulant la doc comme quoi..'),
(23958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nSAFERGAME : Exécution campagne de tests Cognos : 11 cas de tests- Création anomalie ANO050857, qualification ANO050075+vérification des anomalies créées en recette'),
(23959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nRAM 004 : Installation de la FDL016340 sur IT1SAGA.'),
(23974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nRAM 004 : Tests d\'acceptation de la FDL016340 sur INT1SAGA'),
(23961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nRAM 004 : Qualification de l\'anomalie ANO043161 sur INT1SAGA.'),
(23962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nRDI 1.1 : Stratégie de tests de qualification'),
(23969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nRAM 004 : Installation FDL016340 sur INT3SAGA'),
(23970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nRAM 004 : Installation FDL016340 sur INT2SAGA.'),
(23971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nRAM 004 : Installation FDL016340 sur INT8SAGA'),
(23972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nRAM 004 : Installation de la FDL016340 sur INT4SAGA'),
(24005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n- Daily\n- Problèmes psel android wspo 3.0.9\n- Réunion Git / Jenkins\n- Création de l\'ANO050878 pour wspo 3.0.10 - Problème d\'appel mify/bs/selections sur le bloc news'),
(23981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nQualification des procédures fournies par le RA pour corriger l\'incident de production INC174398.'),
(23986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nInvestigations sur incident de production INC174398'),
(23977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nHors projet : Analyse des cas de test du projet DEFI CGV'),
(23978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Rédaction du PV de qualif de la FDL016930'),
(23979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nHors projet : Analyse des cas de test du projet DEFI CGV'),
(23980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nRAM 004 : Création de l\'anomalie ANO050824 sur l\'application Egide IHM à la demande de HIA.'),
(23990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nRAM 004 : Support sur installation FDL016828'),
(23988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n'),
(23989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nAjout des applications SAGA / ELPHE / CIRCE et OAR sur Citrix ADFDJ pour 3 comptes user de recette.'),
(23991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nDéblocage de tous les comptes RTC + sharepoint'),
(23992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nDéblocage du compte d\'ellina'),
(23993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\nQualif des tickets'),
(23994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nDétermination de la roadmap pour étude'),
(31326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nInstallation DMT0012984 et DMT0014132 Puis retour arriere a faire Lundi\r\n'),
(23996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nRédaction tests Assurance'),
(23997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\natelier + crr'),
(24004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nExécution de la campagne de NR FALCON USR 2.6.6 sur INT8\nRéunions (0.5 jour) :\n- Démo Poupées russes\n- [BRIC] Matrice produit\\fct\\interne\n- Mini COQAR (Point resserré sur le déploiement de falcon 2.7 sur INT7)'),
(24047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nInvestigation sur l\'envoi du formulaire de la FAQ\nRedaction de tests postman pour les tests d\'acceptance\nAnalyse et réaffectation ANO048852'),
(24166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nMCO digital tr 1 2 3\nqualif ano\ncomplétion document MCO'),
(24015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nMigration Teradata : Assistance à migration teradata 15.10'),
(24016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(24021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\nHOST: agpsrvi81\nSITE: fdj2-origin_release_14-23\nABP: 14.1.31.0-SNAPSHOT 11\nMOBILE: 6\nPLATFORM: 1.0.175\n\n[SPEED UP][ABP OFFRE] Modification de template et test de création, modification et résulting auto MainBook des nouveaux markets Baseball :\n\n1)	Plus ou Moins Points en mode multiple instances  ( Total Spread oddstype 229)\n2)	Face à Face Handicap Points => qui se créés par 3 lignes (Points Spreads oddstype 228)'),
(24342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\nHOST: agpsrvi81\nSITE: fdj2-origin_release_14-23\nABP: 14.1.31.0-SNAPSHOT 11 et 19\nMOBILE: 6\nPLATFORM: 1.0.175\n\n[SPEED UP][ABP OFFRE] Tests ARJEL et ETL des nouveaux markets Baseball :\n\n1) Plus ou Moins Points en mode multiple instances ( Total Spread oddstype 229)\n2) Face à Face Handicap Points => qui se créés par 3 lignes (Points Spreads oddstype 228)'),
(24026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(24027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(24028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(24030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n'),
(24032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nMigration TeraData : Réinstallation TR2 (FDL016996 - FDL017011) et TR3 (FDL016996 - FDL017011 - FDL017019)');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(24033, 'RAF : \r\nSFD (word + pptx) : \r\nMise à jour du diagramme du workflow des imports moraux (cf. HAPPS V2_fonctionnel_V1.2.pptx)\r\nHAPPS V2_architecture_V1.1\r\nRevue sur la documentation des imports'),
(24034, 'RAF : \r\n- Ecriture des tests HPALM\r\n- Ecriture des tests unitaires'),
(24035, 'RAF :\r\n- Ajout d\'un PDF à une convention\r\n- Mise en place d\'un logger pour les parties consumer/producer\r\n- Mise en place d\'un argument en entrant de fonction main(args)\r\n- Génération du mail de l\'administrateur partenaire (ISU)\r\n- User technique pour l\'import\r\n- Revue technique'),
(24038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nLancement et analyse des campagnes ITG et RTG sur INT8 avec la version de falcon USR 2.6.6. Analyse campagne non reg Falcon USR 2.6.6 sur INT8. Lancement et Analyse campagne acceptance ITF 2.0.4-1 sur INT02.'),
(24051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nMigration TeraData / Palier SPOC : Analyse des anomalies suite à migration et installations SPOC '),
(24117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b11 / INT2\nBascule sur INT8 (car INT8 REdispo) + Tests / PDJ + Settlement'),
(24057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nEtude procédure anonymisation pour INT8'),
(24058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nEtude procédure de génération nouvelle table intégration client'),
(24068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nImplémentation et exécution de campagne qualité\ncomposant : digishopI, digishopA, digishopU\n\nPrésentation Gitlab/Jenkins/Postman'),
(24745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nAnalyse de la campagne de NR FALCON USR 2.6.6 sur INT8\n=> Problème de box'),
(24273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nMigration Teradata : Analyse blocage base INT3SIDCDBOUT + Contact P. Leleu pour déblocage + Analyse anomalies réseau + installation script de debug.'),
(24070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n[MigrationTeradata] Premieres alimentations des SID Client Commercial et Referentiel sur les 2 TR'),
(24072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n[Point synchro dev] - palier BRIC\n[Falcon API] USR 2.7 alpha1 comparatif avec la version snapshot, génération et merge de l\'API, qualification du merge dans ALM\n-> modification de compatibilité des scripts FalconPUTLimitsLimitGameType et FalconPUTAccountsAccountEmail pour mod'),
(24771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nEtude des fiches HP ALM du projet Journaling'),
(24079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nElaboration scripts pour tests auto JRN. Suite déroulé manuel pour tests auto JRN ITG et MTR TMA.'),
(24078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nCorrectifs de script de PDJ MTR orchestré pour vérification avec succès par l\'outillage DGRS. Présentation Jenkins, Postman et Gitlab. Point d\'avancement Palier TMA.\r\nAvancement scripts pour tests auto JRN.'),
(24089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSPOC_ execution campagne freebet run03'),
(24090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nSPOC_ execution campagne Freebet run03'),
(24082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nFinalisation des scripts pour tests auto JRN. Elaboration des cas de test auto PDJ ITG et MTR avec analyse outil DGRS.'),
(24083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nElaboration des cas de test auto PDJ ITG et MTR avec analyse outil DGRS.'),
(24091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nSPOC : \n0,5 : exécution tests freebet\n0,5 : bilan de qualif'),
(24093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nSPOC _ Ménage dans mails/docs projet + petits controles sur usr2.6.6'),
(24087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\npresentation gitlab Jenkins '),
(24094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nSPOC_ divers de fin de projet'),
(24092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nevaluation mustache'),
(24096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nanalyse codegen databluilder'),
(24097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\ncodegen mustache databuilder'),
(24171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nconfiguration VM jenkins'),
(24099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nCréation d\'un incident INC175277 sur controlm'),
(24237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n[MigrationTeradata] Création d\'une anomalie ANO050909 sur le chargement du TR3 SIDCOM + lancement après corrections et génération de fichiers vides  du TR2'),
(24326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nScripts automatisation Falcon : adaptation du script d\'inscription POSTAccounts pour le palier BRIC\nCorrectif sur scripts BOX\n[ITF API] Modification de l\'ouverture de session IF : blocage de la redirection du OAuth et appel explicite du ITFStartSession\n[DigishopA] Accepter le code retour -1 dans le TC du service OAuth pour permettre son utilisation sur PRF2'),
(24327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nScripts auto Falcon Palier BRIC : FalconPUTSessionsAuthenticate\n[Falcon API] Ajout du login/Logout Falcon Orchestré pour les comptes de type email sur USR>=2.7.0'),
(24103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nFichier de suivi des incidents'),
(24105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nformation postman, jenkins, gitlab'),
(24626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nContinuité test sur appli illiko ios android\ncontinuité test appli fdj sur scan des reçus'),
(24289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b11 + b19 / INT8'),
(24290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31.0-SNAPSHOT - b19 / INT8'),
(24120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nSupport pour campagne Non reg\r\nCampagne de référence : Création campagne INTXX'),
(24121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nTests PSMS V2 + Rédaction document ARJEL'),
(24122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nSupport pour campagne Non reg\r\nCampagne de référence : Création campagne INTXX'),
(24123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nTests PSMS V2 + Rédaction document ARJEL'),
(24124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nTests PSMS V2 + Rédaction document ARJEL'),
(24558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n[StockGrattage] Qualification'),
(24127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nGestion des Campagnes : Réinstallation (TR2) FDL016052'),
(24278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nRéunion sur V16'),
(24277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nCampagne de référence : Campagne FOOT 44 markets\nAcceptance INT8'),
(24137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nSAFERGAME : Création de 5 cas de tests'),
(24142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nExécution de la campagne de tests du projet SPOC : régul/recertif (RUN03).'),
(24144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nExécution de la campagne de tests du projet SPOC : régul/recertif (RUN02).'),
(24145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nExécution de la campagne de tests du projet SPOC : régul/recertif (RUN03).'),
(24146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nExécution de la campagne de tests du projet SPOC : régul/recertif (RUN03).'),
(24159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nLancement et Analyse campagne acceptance ITF 2.0.4-1 sur INT02.'),
(24238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nRedaction de tests postman pour les tests d\'acceptance (suite)\nMontée en compétences sur jenkins\nCreation ANO050913\nCreation ANO050926'),
(24154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nAcceptance de WSPO 3.0.10 ; non-reg et qualification de JASON avec WSPO 3.0.10'),
(24156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n[StockGrattage] COPROJ + analyse de l\'environnement TR2'),
(24160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nLancement et Analyse campagne acceptance ITF 2.0.4-1 sur INT02.'),
(24747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nRédaction du rapport de campagne de NR FALCON USR 2.6.6 sur INT8\nPréparation Point avec Back pour poupées russes'),
(24175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-22  (Do not remove this line) -->\nnon-reg manuelle INT3'),
(24176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-23  (Do not remove this line) -->\nnon-reg manuelle INT3'),
(24177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\nnon-reg manuelle INT3'),
(24509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nCodeGen Swagger reunion\nPoint avec Emmanuel duchet Sommaire\nAnalyse des livraison digishop'),
(24513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nDigishop P : prise de connaissance\nEtude des block pour la mise ne place de digishop P'),
(24188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nPréparation et lancement d\'une NonReg sur INT2, mise en attente vers 16h00 pour lancer une autre NonReg  sur INT3 pour tester une autre version ABP'),
(24189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nCampagne de NonReg sur INT3'),
(24190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nReprise de la campagne lancée le Lundi sur INT2'),
(24191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nCampagne NonReg INT2, et lancement  Campagne acceptance INT8 vers 14:45'),
(24192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nFinir les deux deux campagnes d\'hier( NonReg Int2 et Acceptance int8)'),
(24753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nImplémentation de tests auto, création de tests et analyse anomalies rencontrées.'),
(24746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nImplémentation de tests auto, mise à jour des cas de tests pour recertif. Blocage exécution des campagnes de non régréssion suite modifs faites sur INT8.'),
(24200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nImplémentation de tests auto et mise à jour des tests en todo Fcredits. '),
(24660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nImplémentation de tests auto, création des tests F-crédits et mise à jour.\nReporting campagne 2.6.6-2 sur INT8 (mail en référence).'),
(24203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nSAFERGAME : FDL017119 DB2 création d\'index, FDL017074 SQL V1, FDL017081 IIB, FDL017082 SPSS, FDL017131 SQL v2'),
(24637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n- remonté pb sur livraison mrcd pour le digit supplémentaire pour loto\névolution abandonnée\n- maj d\'environnement IF\nINT42	4.3.3_hasard	FDL017141\n- qualification palier IF'),
(24234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nPréparation de l\'environnement et des sujets (via Confluence) en vue de la formation Postman/Jenkins/Gitlab de demain (4 Juillet)\n\nInstallation boutiques A et P sur environnement 81: point avec le développeur et testeur pour se recaler sur les nouvelles url des services de Digishop P: on constate que l\'appel fait par Drupal n\'est pas cohérent avec le contrat de service de DigiP. L\'appel passe bien lors de test via Postman. Communication de ces infos par mail aux personnes du CDS intéressées.'),
(24213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nUn pb de livraison par les développeurs (mauvaise config) qui a entrainé des soucis d\'appel sur l\'installation d\"hier. Communication avec les dév pour récupérer un nouveau war afin de réinstaller.\n\nRéunion Présentation Gitlab/Jenkins/Postman par Emmanuel Duchet.\n\nReunion avec Christophe Reynet pour passation infos sur Boutique Retail Borne.'),
(24236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nRéinstallation sur int81 suite à relivraison du war. L\'appel des services est maitenant opérationel. Le service est testé via Postman etok. \nCependant un pb apparait: sur l\'un des 2 frontaux, les appels tombent aléatoirement en 404. Investigation profonde dans les logs (rien d\'apparent directement). L\'arrêt et relance des serveurs Tomcat ne résoud pas le pb. Il y a peut etre des manip externes sur l\'environnement...  Installation sur le 91 pour tenter de reproduire ce soucis: non reproductible pas de 404. A suivre....\n\nInstallation sur l\'environnement 21 de la Boutique A.'),
(24221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\nEcriture SFD + échanges RSI'),
(26059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nmaintenance test (toBereview) + mise en place process qualité + préparation projet poupée russe + fromation'),
(24233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nSAFERGAME : Qualification ANO050700, ANO050127+ pré-qualification des anos/mod de la recette :ANO050604,  ANO050601, ANO050441, ANO050602, ANO050609, MOD012055'),
(24226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n'),
(27430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n'),
(24241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nCampagne AUTO Batch V2.6.6'),
(24242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nCampagne AUTO Batch V2.6.6'),
(24243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nCampagne AUTO Batch V2.6.6'),
(24245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nEtude des bloks (suite)\nVie des environnements vérification de la création des compte contact'),
(24246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nAnalyse du problème du script DigishopUPOSTAccountAddUserBankAccount\r\npoint Codegen swagger\r\nDigishop P implémentation script dans postman'),
(24248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nModification des scripts digishop (problème de migration)'),
(24257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nDaily meeting 1h, retour CP, dépilage mail, reunion préparation arrivée Loic (1h), réunion avec la perf pour test PSEL android (1h)\nRecherche PDJ impossible sur PSEL android --> PB TMS'),
(24259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nRéunion avec P.Amério pour compte rendu \"Equipe\", Point AMEX, \nRédaction MODOP MEP Catalogue VITAN 5.8 + Maj RFC\nsupport PSEL Android, recherche problème d\'affichage de l\'offre \"live\" et \"mainbook\"\nsupport digishopp --> 1h'),
(24262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nCertainement du support PSEL & PDV + présentation AMEX (3h)'),
(24263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\ndaily meeting (20 min)\nCréation ANO Prod \"Sport par défaut incorrect dans les applications natives PS PDV IOS & Android\"\nQualification des anomalies PS PDV 5.0.1\nEchange test sessions PSEL --> en cours\nInvestigation avec le back sur les problèmes d\'affichage des lives ---> on doit comparer avec VITAN et PSEL /m le fonctionnement \nDéploiement nouvelle conf apache PS PDV sur les environnements d\'intégration.'),
(24274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(24740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nPoint Flash'),
(24741, 'RAF : \r\n- Génération du mail de l\'administrateur partenaire (ISU) (appeler équipe ISU)'),
(24743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nRédaction des tests : SSCEC'),
(24744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nRédaction tests : SSCEC\r\nRAF: Passage des tests'),
(24754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n[RAM004] Installation de la FDL FDL017161 sur al recette de masse'),
(24755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n[RAM004] réinstallation de la FDL017161 suite a une mauvaise livraison'),
(24288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nElaboration des cas de test auto PDJ ITG et MTR avec analyse outil DGRS.'),
(24291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nFinalisation des maquettes'),
(24293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nDefi Stock Grattage : Création cas de test contrôle des vues SID Commercial.'),
(24294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nDéfi Stock Grattage : Qualification statique.'),
(24297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nAnalyse incident de prod EGIDE INC175240'),
(24298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nAnalyse incident de prod EGIDE INC175210'),
(24431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nHors projet : Analyse des cas de test du projet MF_STIM dans ALM'),
(24310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nInvestigation sur le traitement du champ date de naissance de la faq en utilisateur connecté qui est incorrect + creation ANO050951\nAnalyse de la livraison star\nLecture des documentations convergence\nCreation ANO050951\nCreation ANO050955'),
(24305, 'Le 1er et le 2ème points ont été vu avec Carole lors de notre appel téléphonique et ont été résolus.\r\n\r\nLe 3ème point:\r\n\r\nLa caf de l\'Yonne avait crée une convention avec l\'organisme EPNAK.\r\nCet organisme a un SIREN Unique mais plusieurs SIRET suivant l\'organisme fils.\r\nVu qu\'il y aura plusieurs organismes (fils) qui auront des conventions sur CDAP, la caf a demandé la suppression de la convention et de l\'organisme.\r\n\r\nOn a testé sur l\'assemblage et on a pu confirmer qu\'il est impossible de créer plus q\'un organisme avec le même SIREN !!!\r\n\r\nA voir avec Bertrand, Tony, et Kévin'),
(24306, 'J\'ai été appelé par Carole par rapport au problème de siren :\r\n\r\nIl s\'agit d\'une évolution en attente d\'arbitrage MOA'),
(24307, 'évolution en attente d\'arbitrage MOA, est-ce qu\'on passe le ticket à résolu ?'),
(24309, 'Non reproductible\r\nSi soucis refaire un Mantis sur la nouvelle commande'),
(24311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nPréparation procédure nouveau chargement client (script)'),
(24312, '- Règles de gestion sur les groupes, bloquer la modification des groupes correspondant à des fonctions bailleurs moraux'),
(24571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n- Installation de La clef du tresor\n- Prsentation GIT/POSTMAN/JENKINS'),
(24318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nMaintenance des tests \'toBeReview\''),
(24568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nAnalyse des ano\n    - ANO041151 \n    - ANO047651\n- Analyse du json pour le jeu La course pour INT3'),
(24570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nInstallation clef du tresors'),
(27912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nInstallation sur l\'environnement PERF2 de la Boutique Digishop A\n\nInstallation des Boutiques sur environnement 91\n\nSuite ecriture de tests Postman (suite montée en compétence sur les services DigiA)'),
(24322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nlivraison de FSD  et doc de test '),
(24323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nRelecture CRR'),
(24324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nEcriture des exigences IHMs (éditions)'),
(24325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nMAJ Fil de l\'eau juillet'),
(24329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-28  (Do not remove this line) -->\n'),
(38218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\r\nRéunions (3h) '),
(24337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDC TR3 Reprise des données SPORT // SIDC TR2 OK'),
(24334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n[SPOC] Installation univers BEAS FDL017140 et FDL017139'),
(24338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n[StockGrattage] Création de l\'ANO050958 due à un trop grand nombre de rejets + chargement des journées 06 et 05/07'),
(24341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\nHOST:           agpadmi81\nSITE:           fdj2-origin_release_14-23\nABP:            14.1.31.0-SNAPSHOT 19\nMOBILE:         6\nPLATFORM:       1.0.175\n\n[SPEED UP][ABP OFFRE] Tests ARJEL et ETL des nouveaux markets Tennis de Table Live (INT4)'),
(24379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n[SPOC] Installation de la FDL017155 Univers SIDC CLIENT SPORT sur le TR2 + rattachement du rapport a l\'univers + Installation de la FDL017113 Univers BAFIM'),
(24349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(24378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nRedaction de tests postman ptab (suite)\nMise au point sur la prochaine livraison PTAB\nAnalyse de la planification de contenu sur drupal pour convergence'),
(24373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSIDC TR3 OK après rattrapage des données sport non consommées// SIDC TR2 //SIDCOM TR2 OK apres generation des fichiers REGUL DELTA // SIDCOM TR3 OK'),
(24352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSAFERGAME : Point de synchro +Point ALM avec P.Maigne'),
(24353, 'le 07/07 : \r\n\r\nEchange téléphone avec les équipes concernées'),
(24354, 'le 10/07 :\r\n\r\nIntervention sur la plateforme de validation pour corriger le thème.'),
(24355, 'le 10 /07:\r\n\r\nSupport aux équipes de la plateforme de formation -f'),
(24356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSAFERGAME : Lancement de la chaîne sur 6 mois en recette+ vérif des anos créées en recette'),
(24357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\nSujet Stage'),
(24358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\nSujet Stage'),
(24359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-06  (Do not remove this line) -->\nSujet Stage'),
(24360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-07  (Do not remove this line) -->\nSujet Stage'),
(24361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\nSujet Stage'),
(24362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-09  (Do not remove this line) -->\nSujet Stage'),
(24363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\nSujet Stage'),
(24364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\nSujet Stage'),
(24365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nSujet Stage'),
(24366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(24367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nMCO Court Commercial.'),
(24495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nStock Grattage Régul : Fin de la qualification statique + création des anomalies.'),
(24374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n[MigrationTeradata] Revue d\'anomalie + rédaction du PV de qualification'),
(24377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nPréparation procédure nouveau chargement client (script)\nPréparation FDL en avance de phase'),
(24380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(24381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nRDI 1.1 : Refresh des BDD INT8SAGA, INT8COUR, INT8EGID, INT8YTIX avec les copies des BDD du TR2'),
(24382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSecteurs Isolés : Installation de la FDL015989 sur INT2SAGA'),
(24383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSecteurs Isolés : Installation de la FDL015988 sur INT2COUR'),
(24384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSecteurs Isolés : Installation de la FDL016401 sur INT2SAGA'),
(24385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSecteurs Isolés : Installation de la FDL015988 sur INT2CODT'),
(26834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSecteurs Isolés : Installation de la FDL015988 sur INT1COUR'),
(26833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSecteurs Isolés : Installation de la FDL015989 sur INT1SAGA'),
(24388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSecteurs Isolés : Installation de la FDL016401 sur INT1SAGA'),
(24389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nAssistance HIA sur incident INC174810'),
(24390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nMCO Court_Commercial'),
(24391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nAssistance HIA sur INC175210'),
(24394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nAssistance à HIA sur INC175240'),
(24395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nCréation de la DMT0011554 pour mise à jour du MCO TR1'),
(24396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nCautionnement : Qualification de 21 PDV pour la recette sur le TR2'),
(24397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSuite campagne 14.1.31-SNAPSHOT-19 - NREG'),
(24599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nSuite campagne 14.1.31-SNAPSHOT-19 - NREG'),
(24597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nFIn campagne 14.1.31-SNAPSHOT-19 - NREG (exécution uniquement des cas de tests non passés lors des campagnes précédentes).\n Préparation pour exécution tests Betsys.'),
(24704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nTest Betsys'),
(24405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nMCO Court_Commercial'),
(24403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nRAM 004 : Livraison à HIA de la FDL016340 pour planification de MEP.'),
(24404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nRDI 1.1 : Réunion de stratégie de tests IQ'),
(24406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nCautionnement : Déclenchement manuel des flux Boucle Iso à la demande de la recette utilisateur.'),
(24407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nPlaystation : Rédaction de 9 cas de tests sous ALM'),
(24748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nRédaction de cas de tests Régularisation \n Estimation charge Poupées russes sur FALCON USR'),
(24409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nCréation des répertoires pour la version API 2.7 pour FALCON USR :\r\n- 00 - Tests automatisés/01 - FALCON/Catalogues de tests automatisés/\r\n      => 00-JEUX DE DONNEES/USR API/API-2.7\r\n      => BOX (TruClient)/API-2.7\r\n      => USR API/USR API 2.7\r\nFinalisation des cas de tests régularisation (40 CT créés) et régularisation (48 CT créés)\r\n\r\n'),
(24411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nRéunion et lecture de documentations sur le projet BRIC.'),
(24412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nLecture de documentations sur le projet BRIC et rédaction des premiers cas de tests POSTMAN.'),
(24456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nSIDC TR2 OK// SIDC TR3 OK// SIDCOM TR2 OK // SIDCOM TR3 OK'),
(24455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n[StockGrattage] Alimentation avec le fichier REGUL_INIT sur le TR2 + vérification du traitement des données rejetées sur le code imprimeur 2'),
(24453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nSAFERGAME : Mise à jour du référentiel SOP pour Safergame'),
(24418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n0,5 : Analyse du referentiel _ALM_ Déplacement des cas de test couvert par des tests auto\r\n0,5 : BRIC_ prise de connaissance des éléments projets'),
(24419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nBRIC_ identification des cas de test Moderateur'),
(24420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nBRIC_ Doc lancement/ cadrage qualif Digital BACK maunel'),
(24422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nRédaction des tests'),
(26840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nCautionnement : Mise à jour des donnés des secteur 405 et 614 sur le TR3'),
(24426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\r\nHOST: agpadmi81\r\nSITE: fdj2-origin_release_14-23\r\nABP: 14.1.31.0-SNAPSHOT 19\r\nMOBILE: 6\r\nPLATFORM: 1.0.175\r\n'),
(24428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\nHOST: agpadmi81\nSITE: fdj2-origin_release_14-23\nABP: 14.1.31.0-SNAPSHOT 19\nMOBILE: 6\nPLATFORM: 1.0.175\n\n[PSMSV2] Qualification des anomalies en cours (INT2) - ANO049191 (KO) et ANO049754 (OK) \nNouvelle anomalie remonté: ANO050997\nHOST:           agpadmi21\nSITE:           fdj2-origin_release_15-3\nABP:            14.1.31.0-SNAPSHOT 19\nMOBILE:         6\nARGUS:          14.1-125\nPLATFORM:       1.0.175\n\n[SPEED UP] [SPOC] Support traders pour qualification des anomalies en cours: importation des matchs Live Rugby sur INT2, activation des nouveaux codes ARJELs (redémarrage Tomcat)'),
(24684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n[PSMSv2] Test Freebet sur INT8\nHOST: agpadmi81\nSITE: fdj2-origin_release_14-23\nABP: 14.1.31.0-SNAPSHOT 19\nMOBILE: 6\nPLATFORM: 1.0.175'),
(24432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nMCO EGIDE'),
(24433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nMCO EGIDE'),
(24434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nMCO EGIDE'),
(24436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nHORS PROJET - Réorganisation Référentiel Selligent sous ALM'),
(24437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nHORS PROJET - Réorganisation Référentiel Selligent sous ALM'),
(26847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nMCO EGIDE'),
(24484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nAnalyse de la prochaine livraison PTAB installée sur INT6\nLecture de la documentation des exigences IQ\nRejet de la version 2.17.5-2 de PTAB'),
(24440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nExport des incidents de production'),
(24663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nSAFERGAME : Préparation d\'un jeu de données pour tests IBM (l\'intégralité des fichiers pivots en 2 exemplaires de chaque).+ lancement manuel des traitements PDV (à la demande de la recette)'),
(24447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\n'),
(24451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n- Daily\n- Qualification ANO050838 (problème relevé)\n- Création de la MOD012077\n- Création de l\'ANO051002'),
(28722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n'),
(24458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(24459, 'UPDATE RAF :\r\n- Ajout d\'un PDF à une convention (en cours jeremy)\r\n- Mise en place d\'un logger pour les parties consumer/producer (en cours nicolas)\r\n- Génération du mail de l\'administrateur partenaire (ISU) (appeler équipe ISU)\r\n- User technique pour l\'import'),
(24462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nAtelier du11/07 + etude des tables génériques de logs'),
(24463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n'),
(26841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nAGREMENT PS MINISTERE : Mise à jour des email secteurs sur les TR2 et TR3.'),
(24468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nALM\n- Finalisation du support formation'),
(26842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRDI 1.05 (VSR) : Bascules du mode de distribution des secteurs sur TR2.'),
(24472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nCodevTT\n- Vérification des imputations / Suivi individuel\n\nRéunion COMIP'),
(26843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRDI 1.05 (VSR) : Bascule du mode de commissionnement secteurs sur TR2.'),
(24542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n[RAM004] Application des DMT  DMT0009860 et DMT0009772 sur TR2 et TR3 + investigation sur l\'absence de données sur le TR2'),
(24477, 'Testé en validation et le problème semble être résolu.\r\nJ\'ai contacté Corrine par rapport à ça.\r\nEn attente d\'un retour d\'info'),
(24478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nRevue des anomalies de PROD \nPremiére Analyse des differnets defects\n1238\n1292\n1306\n1307\n1326\n1400\n1610\n1660\n1662\n1713'),
(24479, 'Vu avec Kévin, il s\'agit bien d\'un bug.\r\nA voir avec  Loic pour identifier les cas ou on doit afficher l\'enfant.\n\n'),
(24480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nreste à écrire le plan de test dans HP ALM et exécuter les test'),
(24750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(24749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(24485, 'un lien dans la zone de droite\r\net le pdf en lien\r\n\r\nle seul détail c\'est que ce doit être personnalisé\r\npour être visible que par t6 et t8'),
(28799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n-  Daily\n- Création des anos ANO051019, ANO051021, ANO051023\n- Discussion avec Mong pour identifier les nouveaux appels deut1.fdj.fr'),
(24488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nPilotage Release'),
(24489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRédactions des tests : Assurance\r\nRAF: rédaction des tests SSCEC + passage des tests'),
(24490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nmise à jour documentation sur les procédures inutilisées\r\nMise à jour document sur le nouveau chargement clients\r\nFDL017171 : [FAQ]  [COHD] Livraison objets Oracle CHARGEMENT FAQ (BI4BO)'),
(24491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nPoint sujets BO et Suivi de Prod'),
(24492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\ndivers'),
(24494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nPlan de test fini, reste plus qu\'à faire les tests du 44654 et faire le plan du 43975'),
(24496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\n'),
(24499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n'),
(24500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n'),
(24501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\n'),
(24502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n'),
(24503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\n'),
(24772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nAdministration de campagne de test régression run 5 et qualification d\'anomalies'),
(24544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nRedaction de tests postman sur l\'appel du service de récupération du jackpot IF et sur l\'envoi de formulaire a digishop P\nReunion Demo Convergence'),
(24511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nMise à jour suite à FDR + reprise de toutes les specs de reference'),
(24751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(24752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(25635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nAuto Batch'),
(25634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nAuto Batch'),
(24563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nAuto Batch + qualif fiches SPOC'),
(24564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nAuto Batch'),
(24556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nStock Grattage Régul : Qualification ANO050995 et ANO050962'),
(24555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nProjet : Poupées Russes\nAction : analyse de la matrice d\'exigences externe pour évaluation de charge sur tests autos à dériver et/ou créer\n\nRéunion : [BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE\n\nComposant : DU 3.3.1 API ,BDD, CC\nAction : campagne d\'acceptance tests auto'),
(24554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nProjet : Poupées Russes\nAction : fin d\'analyse des cas de tests Auto pour évaluation de charge liée aux impacts du changement de Login\n\nRéunion : Point Back - Poupées russes\n\nComposant DI/DA/DU/DR : Compte contact\nAction : campagne d\'acceptance tests auto'),
(24557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nfinalisation du plan de test et essaie sur HP ALM de lancer les test Lab + analyse du defect 43975 + début rédaction du plan de test du 43975'),
(24553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nProjet : Poupées Russes\nAction : analyse des cas de tests Auto pour évaluation de charge liée aux impacts du changement de Login'),
(24532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nRéunion instance BRIC\r\nModification cas de test ACCEPTANCE pour BRIC\r\n'),
(24533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(24539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nFichier de suivi des incidents'),
(26849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nMCO : Court Commercial (Ajout du transverse 1) + SID Client + SID Commercial (TR3)'),
(24543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n'),
(24525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRéunion équipe Back + CR et préparation slide INSTANCE BRIC\r\nRéunion Arjel\r\nRéunion Kick off Palier Brick\r\nExécution campagne FALCON USR CC\r\nModification cas de tests pour BRIC\r\n'),
(24565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nAuto Batch'),
(24566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nAuto Batch'),
(24572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nFinalisation des cas de test auto PDJ ITG et MTR avec analyse outil DGRS.\r\nPassage NREG sur JRN 1.1.2'),
(24645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n'),
(24646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nCAMPAGNE QUALIF JEU LA COURSE MOTORS INT3'),
(24574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nFDL017160 et FDL017159 pour livraison nouvelle version Appli FDJ IOS et ANDROID\r\nRecette sur nouvelle version + analyse bug MRCD sur reçu scanné, ainsi que mise en relation avec equipe José pour analyse des erreurs de scans\r\nMise a disposition d\'HIA des nouveaux catalogues de prod pour les application FDJ, RFC003884 + redaction modop deploiement catalogue'),
(24575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n'),
(24576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n'),
(24578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nDayli stream webapp\r\nDayli stream app hasard\r\nPoint d\'equipe strema mobile hasard'),
(24587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nAdministration de campagne de test régression run 5 et qualification d\'anomalies'),
(24582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nPoint avec HIA suite a la maj des catalogues en PROD pour appli FDJ\r\nContinuité recette des nouvelles versions d\'application\r\nContinuité test avec ESTE sur erreur José suite a l\'obsolescence mise en place coté gateway ESTE qui fait planter les reçus scanné'),
(24583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nPoint avec HIA suite a la maj des catalogues en PROD pour appli FDJ\r\nContinuité recette des nouvelles versions d\'application\r\nContinuité test avec ESTE sur erreur José suite a l\'obsolescence mise en place coté gateway ESTE qui fait planter les reçus scanné\r\nMise a disposition d\'HIA de nouveau catalogue pour la PROD car les url des regelements bingo et FDJ ont changé donc catalogue en erreur\r\nLivraison aussi du catalogue android avec la géorestriction car l\'application va etre soumise pour la premiere fois au google play store'),
(24584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nNouvelle livraison appli FDJ IOS v1.1.5 (pas encore de FDL) recette sur application pour soumission a l\'apple store\r\nContinuité test rcd avec equipe ESTE, apparament il y a un soucis sur leurs derniere version José qui n\'est installé que sur la branche 1\r\nTest application release via testflight pour IOS et apk de release compilé par M.RUZANSKI'),
(24585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nDayli stream webapp\r\nDayli stream app Hasard'),
(24589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n[MONEXT] Exécution RUN2 Qualification PWPv2'),
(26844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRDI 1.05 (VSR) : Bascule du mode de commissionnement secteurs sur TR2.'),
(24595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nAssistance HIA sur incident INC175611 Flux EGIDE - GDS en erreur suite au code pays société saisie dans IHM EGIDE. Aucune correspondance trouvée dans la table de transco de l\'ETL.'),
(24600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nAssistance à HIA sur incident INC175570 Flux de chargement des lettres dans ELPHE.'),
(24603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nLancement des campagnes de Non regression IF 2.0.4. Analyse des campagnes'),
(24604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nLancement des campagnes de Non regression IF 2.0.4. Analyse des campagnes'),
(24606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nImplémentation de tests automatisés, organisation et préparation du prochain palier (réunion etc..).'),
(24611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n- Support Testeurs\n- Support Perf\n- Analyse ANO Borne PSMSV2'),
(24608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nImplementation de tests automatisés, correction des vues SQL en erreur sur INT7, livraison et tests -> campagnes ok mais manque des jeux de données.'),
(24609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nImplementation de tests auto, correction des tests en erreur, analyse et travail sur la factorisation des requetes, évolution des fichiers de paramétrage campagne et correction des requetes ARJEL pour 2.7).'),
(24610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nEnvoi du rapport de la Non regression Interactive Factory version 2.0.4. Modification des croupiers pour Interactive Factory sur INT1 IF'),
(24614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nModification des cas de test sur Interactive Factory. Mise en place de la campagne de Falcon USR 2.7.0 (Non regression) Nouveau référentiel 2.7.0. Modification des cas de test sur Falcon USR 2.7.0'),
(24617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nDigishop P collection postman'),
(26057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\ndigishop P collection Postman'),
(24618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\ndigishop P collection Postman\r\nModification fichier global env\r\nDigishop R problème Leila'),
(25499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nretour leila script\nDigishop P collection Postman\nPoint Valérie Postman'),
(30901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nExecution des tests playstation IAT'),
(25517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nExecution des tests playstation IAT'),
(25518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nExecution des tests playstation Astro'),
(24629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nFichier de suivi des incidents + Formation sur installation FDL017161'),
(26850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nMCO SID Client + Commercial.'),
(24631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nCréation de l\'ANO050974 ; Création de l\'ANO050976 ; Création de l\'ANO050989 ; Création de l\'ANO050991 ; Création des ANO050993 et ANO050994 ; Création de l\'ANO050998 ; Création des MOD012085 et MOD012086'),
(24632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nCréation de l\'ANO051028 pour un message d\'erreur vide sur le site PDV ; Création de la MOD012096 pour corriger les problèmes d\'affichage des résultats des Combi Bonus sur le site et les applis PS PDV ios et android');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(24633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nCréation de l\'ANO051046 : les évènements multi-compet ne s\'affichent pas dans les pages résultats ; Création de la MOD012104 pour prendre en compte la profondeur des données dans la bdd pour déterminer le nombre de jours d\'affichage des résultats Combi bonus'),
(25015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nCréation de l\'ANO051094 pour une information erronée sur la date de paiement sur les résultats LotoFoot sur PS PDV ios ; Pour les ANO049286, ANO049287 et ANO049284 il s\'agit de la génération de la base sqlite de résultat (res2sqlite.php) qui ne récupère pas les paris annulés dans sa requête Oracle. Il faudrait donc modifier ce fichier et faire des modifications sur les applications pour prendre en compte ces nouvelles données. -> faire le point avec Giacinto'),
(24636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n- qualification livraisons apimaitre\n- travail sur les nouveaux contrats de service pour playstation\n- results iat\n- results astro\n- calendar'),
(24638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n_ investigation JOSE/MRCD, JOSE ko pour la recette, pb remonté équipe ESTE\r\n- réunion Démo IAT\r\n- Maj d\'environnement\r\nINT32	4.2.11_mapi	FDL016670\r\nINT02	4.3.3_hasard	FDL017141\r\n- Qualification palier IF'),
(24640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n- investigation service mapi KO sur INT42, pb sur le composant TAPI non à jour\n_ investigation JOSE/MRCD, JOSE ko pour la recette, pb remonté équipe ESTE\n- Tests de RecuChecker MRCD pour le scan de tickets ko\n- Maj d\'environnement\nINT42	2.0.3_tapi	FDL016615\nINT42	4.1.5_mrcd	FDL016598\nINT22	4.3.3_hasard	FDL017141\nINT02	1.0.14_apimaitre	FDL016931\n- Qualification palier IF'),
(24641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n- réunion [Convergence] Démo Sprint 6\r\n_ investigation JOSE/MRCD, JOSE ko pour la recette, pb remonté équipe ESTE\r\nproblème identifié côté JOSE, config en avance de phase\r\n- Tests de RecuChecker MRCD pour le scan de tickets ko\r\n- Qualification palier IF'),
(24642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n- Qualification palier IF\r\n- Maj tests de service pour Playstation\r\n- point d\'avancement livraisons Stream PHP sur Palier Playstation\r\n- état des futurs CI Playstation'),
(24699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nInstallation 2.17.6 de PTAB sur INT8  + test d\'acceptance\nInstallation 2.17.6 de PTAB sur INT4\nMise a jour Exigence I/Q'),
(25125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nAnalyse et modification des cas de test pour poupées russes'),
(24647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nCAMPAGNE QUALIF JEU LA COURSE MOTORS INT3'),
(24648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nCAMPAGNE QUALIF JEU LA COURSE MOTORS INT3'),
(24649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nTMA MOTORS / NOUVEAU MOTEUR 1.8.2.2 INT1'),
(24651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nOptimisation des campagnes'),
(24652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nAtelier ARJEL'),
(24653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nOptimisation des campagnes'),
(24656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nCampagne Non Reg INT2'),
(24657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nAtelier V16'),
(24659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n- Réunion COQUAR hebdomadaire\n\n-Install d\'une nouvelle version corrective Draft de DigiP sur l\'environnement 61. Point avec Alexandra et Dhira sur les éléments attendus : service Digishop faq email / Drupal FAQ'),
(24661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nReporting campagne 2.6.6-2 sur INT8 (mail en référence).'),
(24662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nInvestigation avec Romain du pb de 404 de la semaine derniere pdt la matinée: il se trouve que le pb que j\'ai rencontré est plus général que prévu car lié à des processus Fantomes sur les machines: composant PHP/FRONT/NGINX etc...\r\nPatch: Kill de ces process fantômes sur le serveur en question. Ce pb pourrait se reproduire sur d\'autres environnements....\r\n\r\nInstall sur INT22 des Boutiques DigiA et U\r\n\r\nInstall d\'une nouvelle version corrective de DIGI P sur INT 61'),
(24664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nSAFERGAME : Bug review avec JC.Morel'),
(24665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nReunion Point hebdo Stanley IQ BRIC\r\n\r\nPoint présentation Drupal avec Alexandra Morel\r\n\r\nPoint avec Alexandra et Dhira pour nouveau correctif DigiP et alignement des services Drupal/DigiP\r\n'),
(24666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nSAFERGAME : Installation FDL017148 SPSS, FDL017192 Datastage, FDL017128 FOLIO'),
(24667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nSAFERGAME : Création DMT0011860,  DMT0011859/ Cautionnement : traitement DMT0011833'),
(25564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nRe Install sur le INT81 de DigiP en 1.2.0 et install en 1.2.1 sur le INT91.\nAprés tests sur l\'environnement 91 , la livraison  n\'est pas correcte. Demande de corrections pour réinstallation sur le 91\n\n\nInvestigation sur environnement INT1 d\'un pb d\'authentification: le pb se situe apparement dans la communication avec Falcon. De plus des installs ont été réalisés sur les jeux Motors et peuvent expliquer également ce pb. En attente de nouveaux tests par David.'),
(24670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nMise à jour DEX  + mise en conformité SPEC vs DEX'),
(24671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nCampagne de Nonreg 20170710-[INT2]-14.1.31.0-SNAPSHOT 19 sur INT2  '),
(24672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\n- Travail sur Jason : Mode OP, mise à niveau environnement, + tests'),
(24673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nCampagne de Nonreg 20170710-[INT2]-14.1.31.0-SNAPSHOT 19 sur INT2 '),
(24674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nReunion COQAR - MAEL'),
(24675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nMise et qualification des 19 nouveaux markets foot sur INT2 et INT8'),
(25512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nDaily Spoc (30 à 45min) : 3 fois - mardi / mercredi / jeudi'),
(24677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nCampagne de NonReg: 20170713-[INT2]-14.1.31.0-SNAPSHOT 24'),
(24685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nComposant : DU 3.3.2 API ,BDD, CC\nAction : campagne d\'acceptance tests auto\n\nMaintenance des tests autos \"failed\', \"blocked test\", toBeReview\", \"not completed\" suite à la campagne d\'acceptation.'),
(24679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n- Tests Jason + coordination des acteurs (tests back et front)\r\n- Anomalie sur services digi U (limites de versement)\r\n- SPOC : qualification Anos : ANO050823 / ANO050812 / ANO050811 \r\n\r\n'),
(24681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n- Install Digi 3.3.1 (2 et 8)\n- Tests Jason + coordination des acteurs (tests back et front)\n- Anomalie sur services digi U (limites de versement)'),
(24682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n- Install Digi 3.3.2 (2 et 8)\r\n- Tests Jason + coordination des acteurs (tests back et front)\r\n- Anomalie sur services digi U (limites de versement)\r\n- rédaction Mode Op Spoc'),
(24683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nTests PSMS V2 + Rédaction document ARJEL'),
(28791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\nQulaif Anos et Mods'),
(24982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nFalcon USR : finir évolution des scripts auto pour la version USR 2.7\r\n Support testeur pour défaillance rencontrée dans les scripts scénarisés : Correction de bug de liberation mémoire dans l\'API'),
(24688, 'Pramétrage de la version de Firefox : OK\r\nMise en place de l\'authentification automatique : OK\r\n\r\nRecherche sur le pb du browserbot : c\'est bien ça qui coince!\r\nPar \'LIDE aucun problème mais ça ne fonctionne pas avec le server-standalone\r\nJ\'ai essayé : this.browserbot, selenium.browserbot, Selenium.browserbot... rien\r\n-> on a besoin de ces fonctions qui permettent de faire des boucles.'),
(24689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nQualification ANO051004'),
(24690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nMCO EGIDE\r\n'),
(24691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nRAM.007 Gestion des environnements - DMT0011814 - Ajout de RIB\'s sur détaillants dans SAGA'),
(24692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nINC167043 - anomalie alerte: motif contentieux absent - Analyse du process EGIDE de création de contact à la fois en contentieux et en doublon'),
(24693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nMCO EGIDE\r\n'),
(24694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nMobilin Lot 2 - Modification @mail dans CSAMMEIBO pour test suite à problème prod sur envoi de mail - Aude Baudino'),
(24695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nINC167043 - anomalie alerte: motif contentieux absent - Essai de reproduction de l\'incident sur environnement d\'intégration'),
(24696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(24698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nCodevTT\n- Vérification des imputations / Evaluation du RAF et Analyse des statuts'),
(24700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nDaily meeting (30 min).\r\nIntégration AMEX sur environnement INT61.\r\nSupport PSEL\r\n'),
(24702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nDaily meeting (30 min).\nIntégration AMEX sur environnement INT61, échanges avec le PO Portail SPORT.\nSupport PSEL et PDV (1h30)'),
(24706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nDaily meeting (30 min).\nIntégration AMEX sur environnement INT61.\nSupport PSEL Android et VITAN\nSupport BORNE (1h)'),
(24705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nDaily meeting (45 min).\r\nSupport PSEL + PSBOR\r\nSupport VITAN --> Les catalogues de production étaient mal formés\r\nNouveau échange avec le PO portail SPORT (1h)\r\nRéunion avec le CP SI portail SPORT (1h)\r\nNombreuses discussions avec sur le projet AMEX (Architecture)'),
(24707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nNon résolu, car erreur non reproduite!!'),
(24742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nEtude faisabilité externalisation des courriers\n[RECERTIF] [CRM2] MOD011534 : MAJ COT_CODE à \"NOMINAL\" dans la table USR_CTR\n[COHERIS] Avancement des sujets'),
(24769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nCampagne NonReg INT2'),
(24714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nAtelier nouveaux markets / Sports mineurs'),
(24715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nRéunion de suivie d\'avancement'),
(25187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nAnalyse V16'),
(24721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-30  (Do not remove this line) -->\nAnalyse du problème de mock sur INT1 pour le jeu Duel de cartes V2'),
(24722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nFin du plan de test+ début des test du 43975 (bloquer après le lancement du traitement) à voir lundi pour a suite'),
(24723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n- Daily\r\n- Création de l\'ANO051038 : problème affichage sport contenant un seul match avec tous ses markets suspendus'),
(24725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n- Daily\n- Acceptance wspo 3.1.0 (FDL017144) -> ok\n- Acceptance psel androïd 1.0.015 (FDL017096) -> ok\n- Problème refresh sur début de live'),
(24836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n- Daily\n- Acceptance psel android 1.0.016'),
(24727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n'),
(24728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n'),
(24729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n'),
(24831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nExécution campagne de test: Non regression RUN 5 - NON REGRESSION COMPTE (DIGISHOPA 3.2.1 + USR 2.6.6-2)\r\n -Bug checking: ANO042952 , ANO049243, ANO048435 , ANO048993, ANO049655, ANO042938'),
(24731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nJason - Environnement de test ALM'),
(24732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nJason - Environnement de test ALM'),
(24733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nJason - Tests markets + ALM'),
(24734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nJason - Consolidation des fichiers de l\'environnement de test'),
(24735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nResettlements'),
(24736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nResettlements'),
(24737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nResettlements'),
(25467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nResettlements'),
(25178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nRéunion Flash'),
(25175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nà imputer TMA RSI Global \"Autres travaux transformation\"'),
(25177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n0,5 Entretien ProBTP\n+0,5 à imputer TMA RSI Global \"Autres travaux transformation\"'),
(26886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nPalier Spoc : Installation sur TR3 suite à mise en prod. -- FDL016514 / FDL016682 /FDL016683 / FDL016684 / FDL016782 / FDL016797 / FDL016914 / FDL016916 / FDL017139 / FDL017140 / FDL017155 / FDL017113 / FDL017221\n'),
(25193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nMontée en compétences SALT\nRedaction des exigences I&Q (suite)\nAnalyse des collections postmans digishop de bruno'),
(24757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n[RAM004] Tests sur la livraison FDL017161 sur la recette de masse'),
(24761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nRéunion COMIP'),
(24762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n[RAM004] Réinstallation de la FDL017161 version conforme'),
(24763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n[RAM004] Tests de non régression sur les 15 rapports EGIDE puis acceptation de la FDL017161 et qualification de l\'anomalie ANO049161'),
(24764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nAssistance sur l\'INC175785 / ANO051114'),
(24765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(24785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nMCO sur les environnements pour les recettes en cours : Jason (SID Client TR3), SPOC (SID Client TR2) et Stock Grattage (SID Commercial TR2) + MAJ procédures MCO'),
(24768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nDéfinition et recherche sur la mise en place d\'un outil de test automatisé sur le front'),
(24774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nCampagne AUTO Batch V2.6.6'),
(24775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nCampagne AUTO Batch V2.6.6'),
(24776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nPT AUTO Batch V2.7'),
(24784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31 - b25 + b26 / INT2'),
(24946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31 - b26 / INT8'),
(24947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31 - b26 / INT8 + [PRESENTATION]: Campain Studio'),
(24988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31 - b26 / INT8'),
(24989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n[PSMSv2]: Campagne FreeBet / 14.1.31 - b26 / INT8'),
(24787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nStock Grattage : Analyse problèmes reporting + correction de la livraison des rapports'),
(24789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nFDL017221 : première installation (TR2)'),
(24864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCreation ANO051151\nReunion FAQ\nRedaction d\'un mail récapitulatif des points bloquants sur la FAQ'),
(24792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n'),
(24793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nSAFERGAME : Installation FDL017181 i2analyze'),
(24794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne+ Atelier chargement de données en préprod avec HIA'),
(24795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nRDI : Traitement DMT0011873, création de 2 PDV de type enseigne'),
(24796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n[PSMSv2] Tests Freebet sur INT2/INT8\r\nSITE:           fdj2-origin_release_15-7\r\nABP:            14.1.31.0-SNAPSHOT 26\r\nMOBILE:         6\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.175\r\n\r\n[PSMSv2] Mise à jour des cas de tests ALM: Création du test [1]23 - Changement du type de paris proposé, pour contrôle des anomalies liées aux changements de type de paris proposé suite à les choix joueur  (ANO051145 et ANO050997)\r\n\r\n[SPEED UP] Tests ARJEL et ETL des nouveaux paris Beach-Volley et Volley en pré-match et Live.\r\n'),
(24800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nProjet : Poupées Russes\nAction  : Analyse matrice d\'exigences externe\n\nComposant : DA 3.2.2 API, BDD\nAction : campagne d\'acceptance tests auto\n \nRéunion COQAR.'),
(24799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n[PSMSv2] Tests Freebet sur INT2/INT8\nSITE: fdj2-origin_release_15-7\nABP: 14.1.31.0-SNAPSHOT 26\nMOBILE: 6\nARGUS: 14.1-125\nPLATFORM: 1.0.175'),
(24960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCampagne NonReg INT2'),
(24802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nPrise en compte FDR du 17/07'),
(24805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n[SPOC] Qualification de la FDL017221 / ANO051114 ANO051099'),
(24804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nSIDC TR2 OK // SIDC TR3 Reprise OK // SIDCOM TR2 //SIDCOM TR3'),
(24807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n[SPOC] rédaction d\'un cas de test'),
(24808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n'),
(24809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\n'),
(24810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nSupport incident de production Reporting CDP INC175826'),
(24811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n[StockGrattage] Execution de 6 cas de test sur les rapports SG + analyse de la non conformité aux specifications due à une mauvaise version des rapports déployée sur le TR2'),
(25126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nFALCON USR : Analyse et modification des cas de test pour poupées russes (Acceptance API)'),
(24965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nFALCON USR : Analyse et modification des cas de test pour poupées russes (Acceptance DB)'),
(24966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nFALCON USR : Analyse et modification des cas de test pour poupées russes (Acceptance API - CC)'),
(25643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nTests PSMS V2 + Rédaction document ARJEL'),
(25455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nSynthèse ARJEL PSMS V2'),
(25456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nSynthèse ARJEL PSMS V2'),
(25457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nCampagne de tests freebets SNAPSHOT 24'),
(25458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nCampagne de tests freebets SNAPSHOT 24'),
(24871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nPoint Back Poupées Russes\n\nWS OauthAuthorize : maintenance suite à évolution de la réponse.\n\nComposant : DR 1.0.12 API, BDD\nAction : campagne d\'acceptance tests auto'),
(24824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nEGIDE : FDL016863 Egide 4.50 + FDL017222 Egide WS'),
(24825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nTest du 43975'),
(24826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nFinalisation des cas de test auto JRN TMA.'),
(24827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nDébut de la campagne manuelle NR JRN TMA.\r\nPoint dev hebdo. Point avancement TMA.'),
(24828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nMCO EGIDE'),
(24829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nSAFERGAME : Atelier préparation MEP chaînes control-m/chargement datastage avec P.Maigne'),
(24830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCAUTIONNEMENT : Création d\'un PDV pour test Aude- SAFERGAME : Création de deux anomalies : ANO051147, ANO051150 '),
(24832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nContinuer Compagne NON REG:\r\nRUN 5 - NON REGRESSION COMPTE (DIGISHOPA 3.2.1 + USR 2.6.6-2)\r\n-Compagne exécuté sur la l\'environnement INT42 ( int02 KO)'),
(24865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCompagne non Reg RUN5  : à tester sur l\'environnement int02 (Problème Replay Protection ==> impossible de faire des PDJ)\n-A tester sur int42\n-Remonté d\'ANO:\nANO051157: [IF]Le click  sur le lien qui mêne à la liste des transaction ne fonctionne pas '),
(24857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n- Daily\n- ANO051155\n- MOD012127\n- rédaction MODOP PSEL ANDROID'),
(24837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nModification de cas de test pour Interactive Factory'),
(24848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nModification de cas de test pour Interactive Factory. Modification de cas de test pour Falcon USR 2.7.0 palier Septembre.'),
(24898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nModification de cas de test pour Interactive Factory. Modification de cas de test pour Falcon USR 2.7.0 palier Septembre.'),
(24841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nModification de cas de test pour Falcon USR 2.7.0 palier Septembre'),
(24842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nModification de cas de test pour Falcon USR 2.7.0 palier Septembre'),
(24843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nModification de cas de test pour Falcon USR 2.7.0 palier Septembre'),
(24844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nModification de cas de test pour Falcon USR 2.7.0 palier Septembre'),
(24845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nModification de cas de test pour Falcon USR 2.7.0 palier Septembre'),
(24846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nModification de cas de test pour Falcon USR 2.7.0 palier Septembre'),
(24847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nModification de cas de test pour Falcon USR 2.7.0 palier Septembre'),
(24849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n[SPOC] Revue anomalie/mod + PV de qualification'),
(24850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nIntégration Oumaima : tous les accès OK'),
(24853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\npoint PUMA pour LOT3'),
(24852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\npoint retour congés avec Lindsay sur les taches a faire'),
(25638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(25639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(24866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\ntest de la D44654 et blocage sur l\'intégration du PAF, revoir le jeu de test'),
(24922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nRDI : DMT0011974 réalisée/Cautionnnement SCCJ: avancement opportunité pour Aude sur le T3+avancement opportunités pour V.Durfort sur le T2'),
(24874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRDI 1.1'),
(24869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\nRDI 1.1'),
(24870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nContinuité des tests sur José avec equipe ESTE car mauvaise reponse Mrcd voucher chek/refresh\r\nTest application FDJ Android avant mise a dispo google play store\r\nVérification bon fonctionnement catalogue de prod\r\n'),
(26848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nMCO_CourtCommercial'),
(24949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nMise a jour catalogue V1.2 appli fdj IOS Android\r\nTest sur appli v1.1.008 OK\r\nMise en place strategie de tests appli fdj pour reception amigolive'),
(24950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nbug review apps hasard\r\ndaily stream webapp\r\ndaily stream apps hasard'),
(24875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nMCO_CourtCommercial'),
(26851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nMCO_CourtCommercial'),
(24936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nRéunion d\'avancement CSAM et Roadmap EGIDE'),
(24879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nINCIDENT INC175891'),
(24880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nINCIDENT INC175570'),
(24882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nINCIDENT INC175826 reproduction de l\'incident sur le TR2 et fourniture d\'une solution de contournement.'),
(26846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nResectorisation du PDV60365 sur les TR2 et TR3 du C225 vers le C178'),
(24899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nCreation ANO051178\nAnalyse de la livraison Star et Wars\nRedaction d\'un rapport sur les incohérences des livrables star/wars\nReunion FAQ'),
(25071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nTests interface Betsys (campagne ALM)'),
(24888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nMise à la bonne version des devis '),
(24891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nTests interface Betsys (hors campagne de test ALM)'),
(25072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nVie des environnements : création des joueurs avec Falcon / Poupées Russes sur INT7'),
(24896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nTests interface Betsys (hors et dans campagne ALM)'),
(25070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nTests prise de jeu freebet (campagne ALM)'),
(25166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nTests prise de jeu freebet (campagne ALM)  \n+ Mise à jour des cas de test et rédaction synthèse sur interface retail.'),
(26852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nMCO_CourtCommercial'),
(24912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nRDI 1.1'),
(26845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nBCO.096.31 [REM] EVOLUTION REMUNERATION INTERMEDIAIRE LOT 1 : Bascule de secteurs et changements de modes de commissionnement sur plusieurs secteurs.'),
(25640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nMCO digital tr 1 2 3\ncomplétude doc batch ctrl m'),
(24906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nDéfinition et recherche sur la mise en place d\'un outil automatisé sur le front'),
(24907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-04  (Do not remove this line) -->\nImputation forcée en l\'absence de  saisie de VPL'),
(24908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-05  (Do not remove this line) -->\nimputation forcée en l\'absence de saisie de VPL'),
(24910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nimputation forcée en l\'absence de saisie de VPL'),
(24911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nINC175854'),
(24983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nFalcon USR : évolution des scripts auto pour la version USR 2.7\r\nITF - DigishopA : prise en charge nouveau comportement OAuth dans digishop 3.2.x\r\n '),
(24984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nFalcon API : Analyse et merge  Falcon USR 2.7 alpha3\r\nFalcon Scripts auto : mise à jour du service d\'authent (ajout date naissance)\r\nFalcon API : evolution du login orchestré par email pour USR 2.7 alpha3\r\nMOTORS : préparation orchestration du jeu lacourse'),
(24915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nAtelier IF automatisation des tests. D&éroulé de tests manuels ITG BOX JRN TMA.'),
(24916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nFichier de suivi des incidents + INC175854 + INC173509 + INC169081 + INC167043'),
(24977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nDéfi Stock Grattage : Analyse init stock Grattage.'),
(24918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n- Daily\r\n- Problème arjel -> pari impossible sur psel and.\r\n- Clôture de ABP-54502 (problème critique de Djamel non reproduit)\r\n- Problème perte mify/acc/token '),
(24919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nReste à faire le test 44654 pour puma + test transverse'),
(24920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCommandes + init plan projet'),
(24925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons du jour IBM'),
(24924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nSAFERGAME : Bug review avec JC.Morel'),
(24926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nMCO EGIDE'),
(24927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nVu problèmes nouveaux WS avec Alfred BDU'),
(24928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nAjout Script + Modification WS BDU Login + SFD avec Laure'),
(24929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRevue RG SFD dans le code'),
(24930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nSTIM : Recherches de lettres courtiers'),
(24933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nAjout d\'applications Citrix à un user'),
(24932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nPLAYSTATION : Campagne de test'),
(24934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nAnalyse (recherche du problème) et test de pal_qc après un premier test recette'),
(24935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nRDI 1.1'),
(24937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nRemodification et test avec GIT nouveau'),
(24940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n'),
(24942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n'),
(24944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nA remplacer par le 1460'),
(24948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nPremière soumission appli FDJ android au google play store OK, passage des tests google avec succes\r\nAnalyse reçu amigolive pour integration des scans et des resultats a l\'appli FDJ \r\nTest sur la version 1.1.008 appli FDJ (pas encore de FDL)\r\nCréation des ano en fonction des erreurs rencontré\r\n'),
(24951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nDebut des tests sur appli native fdj android ios v1.2 (amigolive) + definition des cas de tests a associer\r\ncontinuité des tests sur appli fdj v1.1.008 android pour soumission google play store definitif'),
(25337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(24954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCampagne de NonReg INT2 :  20170718-[INT2]-14.1.31.0-SNAPSHOT 26'),
(25334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n0.5'),
(24957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nDeux taches principales : \r\n---Terminer les 5 % restants de la Campagne de NonReg commencée un jour avant( des cas des test devant être déroulés à J+1)  :  20170718-[INT2]-14.1.31.0-SNAPSHOT 26\r\n--- A la demande de Raphael: Investigation concernant un Failed de PDJ Freebet, qui m\'a pris le reste de la journée. '),
(24958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nDemandé par Joel: Travail d\'analyse, de comptabilisation du nombre des nouveaux cas de test pour la V16. Suite à cela=> Implémentation plus modification et adaptation de nos requêtes'),
(24959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nDemandé par Joel: Travail d\'analyse, de comptabilisation du nombre des nouveaux cas de test pour la V16. Suite à cela=> Implémentation plus modification et adaptation de nos requêtes'),
(24964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nComposant : DR 1.0.12 API, BDD\nAction :  rédaction du rapport de campagne.\n\nRéunion : [BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE\n\nProjet : Poupées Russes\nAction : élaboration d\'une stratégie de projet'),
(25123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nFALCON USR : Analyse et modification des cas de test pour poupées russes (Acceptance DB)\nPréparation + réunion + CR suivi équipe back'),
(24969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nRédaction des exigences et cas de tests du projet BRIC - Poupée Russe'),
(24970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nRédaction des exigences et cas de tests du projet BRIC - Poupée Russe'),
(24971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nRédaction des exigences et cas de tests du projet BRIC - Poupée Russe'),
(24973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nRédaction des exigences et cas de tests du projet BRIC - Poupée Russe'),
(24974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nBatch Auto'),
(25040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR2 OK // SIDC TR3 OK'),
(24978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n[StockGrattage] Investigation sur chargement des données de SGI'),
(24979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-27  (Do not remove this line) -->\n'),
(24981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nCompagne non Reg RUN5 : à tester sur l\'environnement int02 (Problème Replay Protection ==> impossible de faire des PDJ)\n -A tester sur int42\n-Remonté d\'ANO:\n ANO051024:[IF] Mauvais affichage du bloc  Plafond de virement automatique (validé ce jour)\n-Participation au bug review\n-Essayer de provoquer les messages d\'erreur BetError21, BetError50..'),
(24985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n[SPOC] Support recette ANO050766'),
(24986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n[STIM] Modification pour script de generation des lettres pour ELPHE (INT1ELPH) suppression des DOM TOM'),
(24987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nMOTORS : orchestration jeu la course en mode jeu \"tous paris\" custom 3€\r\nFalcon USR : finalisation des derniers services impactés par USR 2.7'),
(24990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(24991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nFalcon API : Adaptation du login orchestré par pseudo pour utiliser la derniere version du service PUT sessions authenticate pour version Falcon USR>=2.7\r\nMOTORS : prise en charge d\'un nouveau parametre d\'orchestration pour le jeu \"lacourse\" permettant de préciser les options de paris auxquels on veux participer'),
(24992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nMOTORS : finalisation de l\'évolution de paramétrage pour le jeu \"lacourse\"'),
(24993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nPalier BRIC présentation matrice. Outil de validation des journaux TMA. Suite tests manuels ITG JRN TMA. Opportinités d\'auto des tests déroulés en manuel.'),
(24994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n'),
(24995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nRéunion suivi des MCO \"Alimentation SID - Tâches quotidiennes\"'),
(24996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n'),
(24997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-26  (Do not remove this line) -->\n'),
(24999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nChiffrage évolutions V1.14'),
(25000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nMise a jour PT Batch V2.6.7'),
(25459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nCampagne Freebets SNAPSHOT 26'),
(25460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCampagne Freebets SNAPSHOT 26'),
(25461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nCampagne Freebets SNAPSHOT 26'),
(25462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nPréparation campagne Combinés boostés'),
(25463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nPréparation campagne Combinés boostés'),
(25006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nMise a jour PT Batch V2.6.7'),
(25007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nTest execution Campagne  Batch V2.6.7 et Mise a jour PT'),
(25008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nTest execution Campagne  Batch V2.6.7 et Mise a jour PT'),
(25131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nTest execution Campagne  Batch V2.6.7 et Mise a jour PT'),
(25010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nCréation de l\'ANO051123 pour des informations disparaissant après un retour du background après mise en veille du téléphone sur PS PDV ios ; Qualification PS PDV'),
(25011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nCréation de l\'ANO051153 sur JASON : il apparaît dans les logs qu\'Angular est en mode développement ; Création de la MOD012122 sur JASON pour sortir l\'url du règlement ans le catalogue ; Création des ANO051163 et ANO051164 pour les applis PS PDV : dans le catalogue, la variable \"enabled\" du bloc \"survey\" n\'a aucune action'),
(25012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nTests sur Jason seul et avec Christian Boitel ; '),
(25394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nAcceptance de PSBOR 2.0.11 -> OK ; Acceptance de WSPO 3.0.12 -> OK (Jason) ; Création de la MOD012153 pour afficher aussi les résultats des événements avec des éléments annulés sur PS PDV'),
(25395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nCréation de l\'ANO051236 pour une différence de temps d\'affichage entre la sélection et la désélection d\'outcome sur la borne JASON ; Création de l\'ANO051248 pour un pb de prise de jeu sur Jason'),
(25016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n[StockGrattage] Depot fichier de regul manuelle + lancement du chargement + verification du chargement + modification de la chaine du tR2 pour être iso avec la chaine du TR3'),
(25047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nPoint FAQ avec romain\nSuite et fin d\'analyse et rapport sur les incohérences des livraisons star et wars\nInvestigation sur une incohérence de conception sur le content type du formulaire'),
(25019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-14  (Do not remove this line) -->\n'),
(25498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n[SPEED UP] Test des nouveaux markets Volley et Beach-Volley sur INT4\n\n[SPEED UP] Mise à jour des templates pour les tests des nouveaux markets Volley et Beach-Volley'),
(25501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nSuivi Control-M\r\nSuivi du traitement de la chaine IF pour la recette COMPTA'),
(25022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nconfiguration proxy VM'),
(25023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\ndocumentation protogen swagger'),
(25024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nconfiguration VM'),
(25483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\ndocumentation protogen swagger'),
(25027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-21  (Do not remove this line) -->\n'),
(25028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\ndocumentation protogen swagger'),
(25029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-23  (Do not remove this line) -->\n'),
(25030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n'),
(25031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-13  (Do not remove this line) -->\n'),
(25032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n'),
(25033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n'),
(25034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-22  (Do not remove this line) -->\n'),
(25035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n- maj des scripts de broadcast pour intégration Playstation\r\n- point HIA pour création des jobs Control-M pour Playstation\r\n- maj des tests Postman pour services Playstation'),
(25036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-12  (Do not remove this line) -->\n'),
(25037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n- préparation environnement pour livraisons Playstation\r\n- maj des tests Postman pour services Playstation\r\n- tests appli native FDJ mrcd suite remise en fonction JOSE'),
(25038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n- réunion [CONVERGENCE] : CoPro SI/DT\r\n- qualification anomalies stream PHP\r\n- travail sur contrat d\'interface playstation'),
(25039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n- réunion [STREAM FDJ.FR] : Comité Projet\r\n- PLAYSTATION  stratégie de tests\r\n- préparation stratégie de tests Playstation'),
(25041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR2 OK // SIDC TR3 OK'),
(25182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nSAFERGAME : Qualification ANO049696+ création ANO051215, ANO051219, ANO051221+traitement DMT0012048'),
(25050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n[MONEXT] exécution RUN3'),
(30941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n[MONEXT] Bilan RUN2 et préparation RUN3\n[MONEXT] Remontée d\'anomalies'),
(25046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n[MONEXT] Bilan RUN2 et préparation RUN3\r\n[MONEXT] Remontée d\'anomalies'),
(25048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n[MONEXT] Exécution RUN3'),
(30943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n[SNIFFER API MOBILE] Brainstorming avec LVE'),
(25127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nImplémentation de tests auto, mise à jour des tests sur services impactés et blocages total sur activité ARJEL, impossible donc d\'avancer sur ce point, j\'ai donc basculé sur l\'activité avec Elisabeth sur Falcon USR.'),
(25534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n[MONEXT] Fin d\'exécution du RUN3\n[MONEXT] Comptes rendus d\'exécution RUN2 et RUN3'),
(25128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nImplementation de test auto, factorisation, mise en place d\'outils et de techniques et analyses de résultats, Coffre ARJEL / toujours KO. .'),
(25129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nImplémentation de tests automatisés, mise à jour des tests suite évolutions, impossible de travailler sur ARJEL pour le moment.'),
(25130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nImplémentation de test auto, mise à jour des campagne et des tests, factorisation, correction de test, optimisation et  test de robustesse sur tests USR. Préparation du mini projet banfake avec Mickael Maindron et Julien Paquit.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(25132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nImplémentation de tests auto, mise à jour des campagnes et test plans, correction, modifications, optimisation, analyse, etc.. activité sur les tests F-Credits pour la 2.6... si évolution des scripts Truclient.'),
(25065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n- Daily\r\n- Tél V.Girard pour blocs services sur psel androïd\r\n- ANO051218'),
(25137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nBRIC_P.Russes : \n0,75 : Ecriture cas de test POSTMAN\n0,25 : Présentation matrice des exigences fonctionnelles'),
(25138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nBRIC_P.Russes : Ecriture cas de test POSTMAN'),
(25134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nBRIC_ P.Russes:\n0,5 : Ecriture des exigences IQ\n0,5 : Réunion projet COQAR + Démo des evol livrés par Lotsys+Metier'),
(25135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nBRIC_ P. Russes:\n0,25 : Ecriture des exigences IQ\n0,25 : Suivi d\'avancement qualif (avec préparation presentation pour instance IQ)\nSPOC :\n0,5 : Support sur ANO et/ou MOD en cours avant MEP'),
(25136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nBRIC _P.R :\n0,25 : Instance IQ => avancement qualif\n0,25 : Ecriture des exigences + transformation exigences en cas de test\n0,5 : Ecriture cas de test postman'),
(25073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nVie des environnements : création des joueurs avec Falcon / Poupées Russes sur INT7'),
(25074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nVie des environnements : création des joueurs avec Falcon / Poupées Russes sur INT7'),
(25075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nUsine logicielle jenkins'),
(25571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nUsine logicielle jenkins'),
(28127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nRéalisation de tests MTR sous postman'),
(25083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nInstallation de [AU VOL\'OR] Livraison v1.0.2 (FDL017247) sur INT32'),
(25090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nCorrection de pb  d\'appels de service du mock (ANO051213)\nMise a jour des tests Postman pour les jeux \n- Au Vol\'Or 2017\n- La Course'),
(25085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nTMA MOTORS QUALIFICATION JEUX / MOTEUR 1.8.2-2 '),
(25086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nTMA MOTORS QUALIFICATION JEUX / MOTEUR 1.8.2-2 '),
(25087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nTMA MOTORS QUALIFICATION JEUX / MOTEUR 1.8.2-2 '),
(25088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nTMA MOTORS QUALIFICATION JEUX / MOTEUR 1.8.2-2 '),
(25089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nTMA MOTORS QUALIFICATION JEUX / MOTEUR 1.8.2-2 '),
(25519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nAjout tests playstation astro'),
(25520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nAjout tests playstation iat'),
(25521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nExecution tests astro'),
(25522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nExecution tests iat'),
(25098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nInstallation de \"La course\" sur INT11\nAccompagnement a l\'installation de \"Les clefs du tresors\" sur INT11'),
(28120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nInstallation de \"Au Vol\'or 2017\" sur INT11\nInstallation de \"Couleur Fetiche\" sur INT11\nAccompagnement a l\'installation de \"Les clefs du tresors\" sur INT11'),
(25099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\npoint dev vugen\r\npoint digishop postman'),
(25100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nModification collection Digishop P'),
(25101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nModification des collection digiShop P et digishop U\r\nimplémentation dans Jenkins\r\nTest'),
(25102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nPoint avec Romain pour Postman\r\nPoint évolution du plugins ALM de jenkins'),
(25104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nPoint protogen\nPoint Palier BRIC'),
(25105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nSupport MEP SPOC (Y Desnault)'),
(25107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nLivraison digiShop Analyse de la livraison'),
(25108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n- Reunion Matrice Exigence BRIC'),
(30441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nDigishop I Test et Création des script Postman'),
(25110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n- Support CCR projet JASON (soucis sur les limites dans le MUGO)'),
(25194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n- Préparation pallier BRIC (etude des US)\n- mise à jour des environnements suite MEP SPOC\n- mise à niveau INT31 via dump de prod Edwan'),
(25112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n- test Jason, souci de prod sur CA détaillant (demande Y Tison) \r\n- install patch digi R + vérifications\r\n- deploiement digi A 3.2.2 pour IF'),
(25114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nSAFERGAME : FDL017207 Hudson, FDL017150 SQL, FDL017243 Datastage, FDL017233 SPSS, FDL017241 Cognos sur INT2'),
(25115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nFichier de suivi des incidents + Assistance à mise en prod (problème d\'ordre d\'installation des FDL)'),
(25116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nDefi Stock Grattage : Investigation sur le comportement en cas de fichiers au mauvais format.'),
(25117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nDéfinition et recherche sur la mise en place d\'un outil automatisé sur le front'),
(25118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nDéfinition et recherche sur la mise en place d\'un outil automatisé sur le front'),
(25121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nRédaction LR + Maquettes\r\nRAF: OC +  Scénarios LR'),
(25122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nRédaction LR + Génération\r\nRAF: OC'),
(25124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nFALCON USR : Analyse et modification des cas de test pour poupées russes (Acceptance DB)\r\nPréparation + réunion + CR suivi équipe back'),
(26303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nBloquantes : 4990 & 4989\nMajeures : 4991 & 4988'),
(25141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nIHM 005R'),
(25143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nIHM 005R'),
(26063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nAction :  phase analyse poupée russe\nLivrable : V:\\SIO\\SYSI\\CDS ATOS\\Documentation\\AUTOMATISATION\\poupéeRusse ATS_pR_Matrice de tracabilite des exigences_v3'),
(26064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nAction :  phase analyse poupée russe\nLivrable : V:\\SIO\\SYSI\\CDS ATOS\\Documentation\\AUTOMATISATION\\poupéeRusse  ATS_pR_Matrice de tracabilite des exigences_v3'),
(26060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-10  (Do not remove this line) -->\nAction : implémentation/exécution'),
(26061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-11  (Do not remove this line) -->\nAction : implémentation/exécution'),
(25150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n'),
(25151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\n'),
(26062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nAction : gestion anomalie +  bilan d\'exécution final digishop R + phase analyse poupée russe\nLivrable : V:\\SIO\\SYSI\\CDS ATOS\\Documentation\\AUTOMATISATION\\poupéeRusse                            ATS_pR_Matrice de tracabilite des exigences_v3'),
(30964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n[JASON] Déploiement INT2 +  Qualification boutique détaillant 1.0.12'),
(25165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nBoutique R : préparation déploiement\nJASON : support'),
(25167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nVSR RDI 1.05'),
(26853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nMCO_Court_Commercial'),
(25169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nIncident INC175826 création de l\'anomalie ANO051228'),
(25170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nIncidents INC175826, INC175854, INC176008'),
(25171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nRDI 1.1'),
(25172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n[PSMSv2] Écriture et Mise à jours des cas de tests Combiné Boosté\r\n\r\n[PSMSv2] Lecture des docs de référence Combiné Boosté\r\n\r\n[SPEED UP] Test des nouveaux markets Volley et Beach-Volley sur INT4\r\n\r\n[SPEED UP] Test des nouveaux markets Badminton'),
(25183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nCompagne non Reg RUN5 : à tester sur l\'environnement int02 (Problème Replay Protection ==> impossible de faire des PDJ)\r\n -A tester sur int42'),
(25185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nCompagne non Reg RUN5 : à tester sur l\'environnement int02 (Problème Replay Protection ==> impossible de faire des PDJ)\n-Impossible de faire des prises de jeux sur int0: problème remonté au CP\n-Compagne de test non reg terminé (sur int42)\n-Création dotation /é-crédit manuellement sur l\'environnement int0)'),
(25188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nAnalyse V16\nMaintenance Offre Portuguaise'),
(25189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-10  (Do not remove this line) -->\n'),
(25190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-11  (Do not remove this line) -->\n'),
(25191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-24  (Do not remove this line) -->\n'),
(25192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-26  (Do not remove this line) -->\n'),
(25641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nMCO digital tr 1 2 3\ncomplétude schéma visio falcon IF'),
(25642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nMCO digital tr 1 2 3\ncomplétude schéma visio falcon IF'),
(25197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-02  (Do not remove this line) -->\n'),
(25198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n'),
(25202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nMCO SID Client + SID Référentiel + SID Commercial.'),
(25203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n- Daily\r\n- Install wspo 3.1.1 sur int8 et int3\r\n- Acceptance wspo 3.1.1'),
(25205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nDEX livré, ldif terminé'),
(25206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nRéunion'),
(25207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nIHM : téléchargement streaming'),
(25208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nMicro service : BDD déclaration + adaptation code'),
(25209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nMicro service : BDD déclaration + modification code'),
(25210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nMicro service : BDD déclaration + modification code'),
(25211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-08  (Do not remove this line) -->\n'),
(25212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-15  (Do not remove this line) -->\n'),
(25214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nAnalyse du besoin, redaction FDR'),
(25221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nPoint avec lotsys sur l\'evolution des points bloquant de la FAQ avant prochaine livraison\nInvestigation sur un problème lié a l affichage des vignette de jeux sur IOs sur INT21\nRedaction d\'exemple pour les Exigences IQ (suite)'),
(25216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-30  (Do not remove this line) -->\n'),
(25217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-05-31  (Do not remove this line) -->\n'),
(25218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-01  (Do not remove this line) -->\n'),
(25219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n'),
(25224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n- Daily\n- Rejet FDL017282  (problème url catalogues)\n- Qualification anno psel\n- ANO051255 '),
(25222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-07  (Do not remove this line) -->\n'),
(25223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nTest exploratoire sur int02 + int42 \r\n'),
(25565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nMOTORS : orchestration jeu lacourse : gestion du cas particulier avec pBetGame renseigné mais pBetId RAND ou NULL -> calculer l\'index de mise d\'après le pBetGame'),
(25227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nExtraction des copie d\'écran OC + relecture'),
(25228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n'),
(25230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nFALCON USR : Analyse et modification des cas de test pour poupées russes (Acceptance API - CC) => en attente correction dev et des pb DNS Arjel\nRefonte des cas de test Sessions avec le service SessionsAuthenticate'),
(26098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nRefonte des cas de test Sessions avec le service SessionsAuthenticate\nExécution campagne Acceptance API & DB suite à livraison Falcon USR 2.7 - Alpha 4 \nRéunion de Suivi Equipe Back + CR'),
(26097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nRefonte des cas de test Sessions avec le service SessionsAuthenticate'),
(25245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n- Daily Meeting (45 min)\n- Avancement projet AMEX, support dev (1h)\n- Support PSEL Android.\n- Réunion avec le CP SI (F.PIROLLEY) pour l\'intégration de IQ Front Sport sur l\'intégration du composant SPORTAIL (1h30) --> Des tests seront réalisés sur l\'environnement de PREQ.'),
(25239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n - Daily meeting (30 min)\n - Chiffrage des US AMEX (45 min)\n - Support Borne sur INT8 --> DMT pour configuration ADC --> L\'environnement fonctionne correctement.\nL\'ADC n\'autorise pas les flux mify pour les environnement INT0, INT4 et INT6 ---> Ces 3 environnements concernent le projet AMEX, Mify devant migrer vers Mify Metal. Pour le moment, à la demande du back, on ne modifie par le configuration ADC.\n - Support PSEL Android, nettoyage des catalogues Android (suppression des blocs permettant la gestion de la communication \"Votre avis nous intéresse\" ... --> Sauvegarde des catalogues sous SVN et maj intégrale des environnements d\'intégration.\n - Support PS PDV pour maj des catalogues Android et IOS (ajout variable permettant de définir la limite minimale de côte d\'un outcome) --> Maj SVN\n - Réunion avec la PERF concernant PSEL Android --> Etat des lieux PERF 1 et PERF 2, Absence des clouds PSEL & BORNE, problème également de certificat, les apaches PS PDV static ne peuvent plus démarrer. --> La Perf ne teste pas les javascript wspo.js ou psbor.js mais uniquement les appels MIFY avec des captures FIDDLER --> Normalement la perf doit être identique à la production des décisions doivent être prises.\n - Support Dev projet AMEX, modification de l\'environnement INT6 (PREQ), remplacement dans les scripts de PHP-FPM 5.6 par PHP-FPM 7.0 --> attente retour des dev.'),
(25243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n- Daily Meeting (45 min)\n- Avanvement projet AMEX, maj des régles du serveur NGINX, le serveur NGINX \"static\" arrive à communiquer avec l\'apache PHP MAPI.\n- Support PSEL...'),
(25244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n- Daily meeting (45 min)\n- Etat des lieux sur les règlements utilisés dans les catalogues PSEL Android & VITAN ainsi que PS PDV --> demande de suppression de variable obsolète dans PS PDV (en retour de retour du métier et du techlead), PSEL Android, sur VITAN 5.8.1, on laisse en l\'état mais on alimente correctement le lien pdf en dur dans le code, sur les futures versions on utilisera le catalogue. Pour PSEL Android, on fait proprement des choses, en attente de la livraison de la MOD.\n- Support PSEL Android et VITAN\n- Avancement Projet AMEX.'),
(25246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n'),
(25247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nTest prod et transverse PUMA de la 44654'),
(25248, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nMise en place de l\'environnement d\'intégration / validation  (27 Juin 10:00 CEDT)\r\n\r\nRéunion sur les exports PBA ( préparation + rénuion)'),
(25252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\n[SPEED UP] Test des nouveaux markets Volley et Beach-Volley sur INT4\n\n[PSMSv2] Test de NREG Front light sur INT2\n\nHOST:           agpadmi21\nSITE:           fdj2-origin_release_15-31\nABP:            14.1.31.0-SNAPSHOT 26\nMOBILE:         6\nARGUS:          14.1-125\nPLATFORM:       1.0.175\n'),
(25251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n[SPEED UP] Test des nouveaux markets Volley et Beach-Volley sur INT4\r\n\r\n[PSMSv2] Test de NREG Front light sur INT2\r\n\r\nHOST:           agpadmi21\r\nSITE:           fdj2-origin_release_15-31\r\nABP:            14.1.31.0-SNAPSHOT 26\r\nMOBILE:         6\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.175\r\n'),
(25253, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ngestion des bons de commandes'),
(25677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nLivraison _006 + mise en place scripts de livraison & generation NTI (adaptation scripts PCA)'),
(25257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nSAFERGAME : Présentation complète nouvelle livraison modifiée I2 Analyze'),
(25258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nTraitement DMT0012072'),
(25259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\npréparation'),
(25268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nQualification des anomalies 2.17.6\nCreation ANO051260\nReunion sur la 2.17.7 et les anomalies pré-détectés sur INT61\nInvestigation sur une anomalie content-type sur INT61\nResolution du probleme sur certains jeux inaccessible sur iphone'),
(25262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nBug R7 : les code erreur WS_ERR_XX ne sont pas transmis par le WS BDU comme prévu : Analyse, correction, Push, Déployment.\n\n+ test source ok pour le RSI'),
(25264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\n- Daily\r\n- DMT0012131\r\n- Acceptance FDL017282\r\n- ANO051267\r\n- ANO051275'),
(26302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n#4977\n#4980'),
(25267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nDevt terminés;  reste à faire des tests sur les VM avec ARCAD'),
(25270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nchangement BDD + API coté declaration'),
(25271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nAPI coté déclaration + coté locataire'),
(25272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nReste à tester la partie transverse de prod pour la 44654'),
(25273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nAnalyse + début de développement'),
(25274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n[PSMSv2] Écriture et Mise à jours des cas de tests Combiné Boosté\n\n[PSMSv2] Lecture des docs de référence Combiné Boosté\n\n[SPEED UP] Tests ETL des nouveaux markets Volley et Beach-Volley \nsur INT4\n\n[SPEED UP] Mise à jour des templates Volley et Beach Volley Betradar sur INT8 pour les testes ABP\n\n[AUTRES] Support montée en compétence Imed - Création/MàJ/Résulting des matchs Mainbook et Live;'),
(26837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nRIB.009 EGIDE 4.50: Exécution d\'une campagne (12 cas de tests exécutés) /SAFERGAME : création ANO051264'),
(25280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nSAFERGAME : Bug review avec JC.Morel'),
(25281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nAnalyse, generation et merge de l\'API ITF 2.0.5\nMOTORS : orchestration jeu  lacourse : préparation de la génération de matrice des combinaisons d\'options de jeu possibles'),
(25513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nMise à jour du releasenote pour ITF 2.0.5\nMise à jour du service de pré-requis ITFStartSession et digishop OAuth pour récupérer son nouveau paramètre \"state\"\nMOTORS : finalisation de la génération de matrice des combinaisons d\'options de jeu et validation de l\'orchestration en mode RANDOM\nMise à jour du service de pré-requis ITFStartSession'),
(25514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nMOTORS : ajout du parametre pBetGame pour parametrer explicitement la combinaison d\'options à jouer et calculer la mise requise'),
(25289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n- Daily\n- ANO051288\n- ANO051298\n- Création des tests liés aux annos'),
(25291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nEnvironnement INT0: impossible de faire une PDJ IF\nAdapter les appels de service via postman pour créer de session\nFree testing sur int42'),
(25292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nTest exploratoire sur Tablette Android/iOS /desktop /iPhone/Téléphone Android\r\n=>Int02 KO, impossible de faire de PDJ\r\n-Vérifier l\'ANO ANO050603 sur un Mac\r\n'),
(30112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nCOQAR. Implémentatrion de cas de test auto JRN TMA.'),
(26814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nImplémentatrion de cas de test auto JRN TMA.\nPoint dev auto VuGen.'),
(26815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nImplémentatrion de cas de test auto JRN TMA.\nPalier TMA - Point d\'avancement.'),
(25298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nTMA Revue des ANOS. Suite tests manuels JRN TMA.'),
(25299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nFin des TU + rédaction DMES'),
(25300, 'Rattrapage de l\'unicité sur le Sprint #2 de PHA suite à la dérive de 3 jours, et un RAF de 4 jours, afin de facilité nous switchons.'),
(25302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nMise a jour du modele ojadgate avec le jackpotIF\nMise a jour modop - annexe IF\nMise a jour modop - annexe FAQ\nInstallation 2.17.7 de PTAB sur INT8 + test d\'acceptance\nInvestigation sur le probleme de remplissage des champs sur la FAQ qui ne fonctionne pas (ANO051308)'),
(26099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nRefonte des cas de test Sessions avec le service SessionsAuthenticate'),
(26100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nRefonte des cas de test Sessions avec le service SessionsAuthenticate'),
(25306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\naide à la livraison PT_ASSURE 17.10.1_001'),
(25307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nTest de fail over sur application FDJ IOS et Android\r\nCréation des cas de tests sur ALM + verification du fonctionnement de l\'application suivant la documentation fourni sur confluence (specification techniques)'),
(25308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nTest de fail over sur application FDJ IOS et Android\r\nCréation des cas de tests sur ALM + verification du fonctionnement de l\'application suivant la documentation fourni sur confluence (specification techniques)'),
(25309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nTest de fail over sur application FDJ IOS et Android\r\nCréation des cas de tests sur ALM + verification du fonctionnement de l\'application suivant la documentation fourni sur confluence (specification techniques)\r\nAnalyse anomalie appli native illiko IOS 1.3.x sur lancement des jeux Motors \r\nErreur sur l\'appel mapi/offre/get-games'),
(25310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\ndaily webapp , daily apps hasard, coproj playstation'),
(25311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nTest de fail over sur application FDJ IOS et Android\r\nCréation des cas de tests sur ALM + verification du fonctionnement de l\'application suivant la documentation fourni sur confluence (specification techniques)\r\nCréation ano051311 sur lancement jeux motors app illiko ios 1.3.1\r\nDebut test sur application fdj android 1.1.009 (seulement livrée sur jenkins pas encore de FDL)'),
(25312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nTest de fail over sur application FDJ IOS et Android\r\nCréation des cas de tests sur ALM + verification du fonctionnement de l\'application suivant la documentation fourni sur confluence (specification techniques)\r\nCréations de 20 steps pour 60 cas de tests'),
(25595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n- Daily\n- ANO051334'),
(25329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nInstallation [MOTS CROISES] Livraison Applet v5.0.1\n'),
(25332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nRéalisation de tests MTR sous postman'),
(25935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nRéalisation de tests sous postman'),
(25929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nAnalyse du problème de lancement du jeu la course sur les environnements TMA (INT11 et INT21 )\n=> pb du a une mise a jour du moteur de jeu'),
(25937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nRéalisation de tests sous postman'),
(28125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nContribution du jeu Lacourse sur INT32 suite a la mise Iso prod de l\'environnement'),
(25324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nRédaction cas de test Interface Retail Betsys'),
(25325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nRédaction cas de test Interface Retail Betsys'),
(25333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nRéalisation de tests sous postman\nInstallation [LA COURSE] livraison Applet v1.0.1'),
(25327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nRédaction cas de test Interface Retail Betsys'),
(25328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nRédaction cas de test Interface Retail Betsys'),
(25593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nRédaction cas de test Interface Retail Betsys'),
(25331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\ndébut des TU reste plus qu\'à les finir'),
(25342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nSAFERGAME : Installation i2analyze 1.4 FDL017300, Installation FDL017284 FOLIO, Installation CFM FDL017288 sur INT2,'),
(25381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nSAFERGAME : Installation FDL017261 SQL, FDL017313 SPSS, FOLIO FDL017260 sur INT2'),
(25343, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nDefect 44777'),
(25344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nconfig VM lx31500'),
(25345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nconfig VM lx31500'),
(25484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\ninstallation gitlab sur VM lx31500'),
(25347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nconfig gitlab VM lx31500'),
(25348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nconfig VM lx31500'),
(25349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nconfig VM lx31500'),
(25350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nCampagne de Non-reg auto Front release 15-31 sur INT2'),
(25351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nCampagne de Non-reg auto Front release 15-31 sur INT2'),
(25352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n[PSMSv2] Écriture et Mise à jours des cas de tests Combiné Boosté\r\n\r\n[PSMSv2] Lecture des docs de référence Combiné Boosté\r\n\r\n[SPEED UP] Tests ETL des nouveaux markets Volley et Beach-Volley\r\nsur INT8\r\n\r\n'),
(25353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nExtraction tests ARJEL'),
(25660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\ncas de tests Combinés boostés'),
(25355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n[PSMSv2] Écriture et Mise à jours des cas de tests Combiné Boosté dans ALM\r\n\r\n[PSMSv2] Lecture des docs de référence Combiné Boosté'),
(25356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n'),
(25357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nCAMPAGNE AUTO TMA MOTORS 1.8.2-2  INT1'),
(25358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nCAMPAGNE AUTO TMA MOTORS 1.8.2-2  INT1'),
(25359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nRTT'),
(25360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nCAMPAGNE AUTO QUALIF AU VOLOR V0.1.30 INT2'),
(25362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n'),
(25363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nCAMPAGNE AUTO QUALIF AU VOLOR V0.1.30 INT2'),
(25364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n'),
(25365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nCONGES ETE'),
(25366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nCONGES ETE'),
(25367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nCONGES ETE'),
(25368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nCONGES ETE'),
(25369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nCONGES ETE'),
(25370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nPrincipalement: Analyse, définition du périmètre impacté par la V16, et estimation de charge\r\nEn parallèle : \r\n--Construire le Template du sport Hockey sur glace( à partir de 0 ) \r\n--Accompagner Imed dans sa montée en compétence \r\n'),
(25379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nPrincipalement: Analyse, définition du périmètre impacté par la V16, et estimation de charge\nEn parallèle : \n--Construire le Template du sport Hockey sur glace( à partir de 0 ) sur INT9'),
(25377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n--Construire et qualifier le Template du sport Hockey sur glace( à partir de 0 ) sur INT9'),
(25374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nConstruire et qualifier le Template du sport Hockey sur glace( à partir de 0 )  sur INT9\r\n'),
(25375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nConstruire et qualifier le Template du sport Hockey sur glace( à partir de 0 ) sur INT9'),
(25378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nSAFERGAME : Installation FDL017287 FOLIO, FDL017319 Cognos, FDL017320 I2analyze sur INT2'),
(25547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nSAFERGAME : Création ANO051314+DMT0012239'),
(25383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nvie des environnements poupées russes'),
(25384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nvie des environnements poupées russes'),
(25385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nRédaction des cas de tests du projet BRIC - Poupée Russe\r\nDéveloppement des cas de tests POSTMAN service Authentification.'),
(25386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nvie des environnements poupées russes'),
(25387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nvie des environnements poupées russes'),
(25388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nRédaction des cas de tests du projet BRIC - Poupée Russe\r\nDéveloppement des cas de tests POSTMAN service Authentification.'),
(25389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nRédaction des cas de tests du projet BRIC - Poupée Russe\r\nDéveloppement des cas de tests POSTMAN service Authentification.'),
(25844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nRédaction des cas de tests du projet BRIC - Poupée Russe\nDéveloppement des cas de tests POSTMAN service Authentification.'),
(25392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\ntes vm bac à sable jenkins'),
(25393, 'Plan de tests'),
(25396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nAcceptance de PS PDV Android 5.0.2 -> OK ; Acceptance de PS PDV IOS 5.0.007 -> OK ; Qualification des ANO et des MOD PS PDV'),
(25397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nCréation de l\'ANO051269 pour une régression sur PS PDV Android sur le blocage d\'une prise de jeu avec une côte supérieure ou égale à 1000 ; création de l\'ANO051280 pour une non prise en compte de la variable interstitialEnabled du catalogue par PSPDV Android 5.0.1'),
(25398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nQualification de la MOD011846 PS PDV Android ; Qualification de la MOD011698 PS PDV Android ; Qualification de la MOD011811 PS PDV IOS ; Création de la MOD012188 pour que le catalogue se charge en premier sur la borne ; Campagne de qualification pour WSPO 3.0.13 et PSBOR 2.0.11 -> OK'),
(25578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nTests pour l\'ANO051326 sur la tablette détaillant Jason ; Reconstruction d\'une bdd sqlite pour l\'AMS-1120 ; Création de l\'ANO051332 pour un problème de prédominance des markets (Face à face et Plus ou moins) sur le site pointdevente'),
(25808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nCréation de l\'ANO051353 - PSPDV ios - Pagination s\'affiche sur les Combi bonus alors qu\'il n\'y a qu\'une page ; Création de l\'ANO051355 - [PDV][Android] Pas de filtre date sur les résultats \"Tous sports\" des \"Paris terminés\"'),
(25401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nAtelier V16'),
(25402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nAtelier V16'),
(25404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nCampagne INT2\nSports mineurs : IceHockey'),
(25405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nSports mineurs : IceHockey\r\nV16'),
(25408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nAtelier automatisation Test ARJEL'),
(25453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nSports mineurs : IceHockey'),
(25409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nSuivi d\'avancement avec Raphaël'),
(25612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nSports mineurs\nV16'),
(25424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nBRIC _ Poupées russes\n0,25 : réunion suivi (revue catalogue des tests)\n0,25 : Exécution des tests PR \n0,5 : Ecriture des tests PR '),
(25438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nBRIC _ Poupées russes\n0,25 : réunion suivi (instance IQ)\n0,25 : Exécution des tests PR \n0,5 : Ecriture des tests PR '),
(25441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nBRIC _ Poupées russes\n0,25 : Exécution des tests PR\n0,75 : Ecriture des tests PR'),
(25448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nBRIC _ Poupées russes\n0,25 : atelier description du cloud\n0,25 : suivi d\'avancement IQ digital back manuel\n0,5 : Ecriture des tests PR'),
(25436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nDigishop I test de la collection\nCreation collection Postman Digishop A 3.3.0'),
(25500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nBRIC _ Poupées russes\n0,5 : Suivi avancement projet + réunion COQAR \n0,5 : Ecriture des tests PR'),
(25419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n[MONEXT] Suivi des anomalies\r\n[MONEXT] Rédaction des bilans d\'exécution RUN2 et RUN3'),
(25437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nréunion COQAR'),
(25440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nPostman Digishop A (suite)'),
(25422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\n[MONEXT] Suivi des anomalies\r\n[MONEXT] Rédaction des bilans d\'exécution RUN2 et RUN3\r\n[CRM] Lecture de la base de test'),
(25439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nPoint Dev Vugen'),
(25442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nGénération des fichier protogen pour l\'authent\nModification du tunnel d\'authent'),
(25426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n[MONEXT] Suivi des anomalies\r\n[MONEXT] Rédaction des bilans d\'exécution RUN2 et RUN3\r\n[CRM] Lecture de la base de test'),
(25429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nRDI 1.1 : Traitement DMT0012208 et DMT0012215'),
(25430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n[MONEXT] Atelier autour du BAN FAKE'),
(25445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nPublication des script dans ALM\nGénération protogen pour digishop I 3.3.0'),
(25432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n[MONEXT] Suivi des anomalies\r\n[MONEXT] Rédaction des bilans d\'exécution RUN2 et RUN3\r\n[CRM] Lecture de la base de test'),
(25446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nAtelier descritpion du cloud Falcon & recherche de log'),
(25447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nModification des scripts digishop I'),
(25435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n[MONEXT] Suivi des anomalies\r\n[CRM] Lecture de la base de test'),
(25444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nModification di script pour le service Authenticate\nModification des scripts EditStep/NextStep/ValidateOptionalStep\nAnalyse livraison Digishop A 3.2.3'),
(26816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nImplémentatrion de cas de test auto JRN TMA.'),
(25451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n'),
(25452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nDéveloppement procédure de purge des vacations'),
(25502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nSuivi Control-M\r\nSuivi de la chaine de traitement COMPTA IF\r\nmise à jour des scripts postman spécifique IF suite à des changements des appels de services.\r\nInstallation de workflow sur ETL'),
(25504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nSuivi Control-M\r\nSuivi de la chaine de traitement COMPTA IF\r\nInstallation de composants Falcon sur INT0\r\nAcceptance IF sur INT0'),
(25511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nRecherche visant la mise en place d\'un outil de test'),
(25510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nRecherche visant la mise en place d\'un outil de test'),
(25505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nSuivi control-M\r\nSuivi de la chaine de traitement COMPTA IF\r\nInstallation de composants falcon sur INT4'),
(25509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nRecherche visant la mise en place d\'un outil de test'),
(25506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nRédaction tests'),
(25507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nRecherche visant la mise en place d\'un outil de test'),
(25503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nSuivi Control-M\r\nSuivi de la chaine de traitement COMPTA IF'),
(25528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\n- support appli native pour reproduction anormalie en production sur page blanche appli FDJ\r\n- configuration des mobiles ios pour intégration certificats fiddler\r\n- installation livraison 4.1.6_mrcd pour l\'appli FDJ'),
(25508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nRecherche visant la mise en place d\'un outil de test'),
(28302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nAssistance sur l\'incident INC178574'),
(28241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nSIDCOM TR2 OK SIDCOM TR3 OK // SIDC TR2 OK // SIDC TR3 KO'),
(28242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nRecyclage des rejets : Qualification ANO052056 + Investigation car rejets en double.'),
(28238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\r\nrecherche sur T6_TEXT_2'),
(25523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\najout de novueaux tests loto'),
(25524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\najout de nouveaux tests euml'),
(25525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nAjout nouveaux tests keno'),
(25526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nFDL017313.'),
(25527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nInvestigation sur pb sur ADC'),
(25494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nAuto batch'),
(25495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nAuto batch'),
(25496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nAuto batch'),
(25497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nAuto batch'),
(25529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n- installation livraison 4.3.4_hasard pour IF\r\n- qualification livraison IF'),
(25530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\n- support if sur int02, echec sur le jackpot progressif\r\n- qualification livraison IF\r\n- création ANO051271 [IF] var jackpotValue toujours à undefined lors de l\'initialisation du script interactiveFactory.js\r\n- création ANO051272 [IF] Montant minimum du jackpot à 0 sur indispo https://www2.integ.revolo.io\r\n- création ANO051277 [IF] Mauvais affichage sur le montant du jackpot en cas d\'indisponibilité https://www2.integ.revolo.io'),
(25531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n- installation 4.2.0_mrcd sur int32\r\n- qualification mrcd pour playstation\r\n- création ANO051286 [PLAYSTATION] Class \'Mrcd_recu_Checker_Wager_Astro\' not found\r\n- création ANO051293 [MRCD] Routes non définies /mrcd/voucher/{ressource} , code retour 404 demandé (actuellement en 500)\r\n- création ANO051294 [PLAYSTATION] Maj doc swagger ajout du service /mrcd/voucher/flash\r\n- création ANO051295 [MRCD] Maj swagger /mrcd/voucher/check paramètre app absent\r\n- maj tests postman sur /mrcd/voucher/check\r\n- support illiko pour le lancement d\'un du jeu AVO ko sur ios\r\n- maj swagger 4.2.0_mrcd'),
(25532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n- réunion [CONVERGENCE] : présentation/formation des outils JIRA, Confluence., slack.\r\n- réunion [Convergence] Atelier\r\n- qualification livraison mrcd'),
(25899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n- support recette, pb de carrousel sur la HP int11\n- Maj d\'environnement IF\nINT02	4.3.5_hasard	FDL017336\nINT22	4.3.5_hasard	FDL017336\nINT42	4.3.5_hasard	FDL017336\nINT42	4.2.0_mobi	FDL016719\nINT42	1.0.14_apimaitre	FDL016931\n- qualification livraison IF\n- qualification livraison Playstation\n- réunion point sur les environnements integ/dev mrcd/tapi/jose\n- réunion [PLAYSTATION] jobs Control M ESTE/Digital'),
(25535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n'),
(25536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n'),
(25563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nInstallation Portail tablette 2.17.7 sur INT4\nReunion présentation convergence (matin)\nReunion convergence/edwan (apres midi)\nCreation ANO051338'),
(25539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n- réunion COQAR\r\n- conf call Marouan BOUVHAAL - stratégie de tests Coco'),
(25540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n- Réunion BRIC - Instance STANLEY\r\n- Réunion Poupées Russes pour stratégie de fusion des authent Digital et Retail'),
(25541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n- tests sur Préq INT7 suit au deploiement Digi A Poupée Russe\r\n- Ouverture ANO051326 suite problème token sur tablette détaillant (JASON)\r\n- Déploiement MAG 2.7.0 - IF'),
(25542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n- Mise à niveau IF : INT 02 / 22 / 42 : Digi A + MAG + MUG\r\n- Anlyses US Poupées Russes + debut de redaction des cas de tests'),
(25543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n- Analyse US BRIC\r\n- Support dév Coco pour tests MAGO');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(25544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\n- Installation et test Acceptance IF sur INT 02 - MUG 2.11.0. FDL017277\r\n- Coordination tests auto Digishop\r\n- Rectification Mode Op Jason'),
(25545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nMultiples tests MAG IF sur INT02 (problème de livraisons non conformes)'),
(25546, 'A NE PLUS UTILISER'),
(26065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nqualification anomalie TMA MOTORS'),
(26071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nqualification anomalie TMA MOTORS'),
(25554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nTest de PDJ par appel de service sur int0\r\nTest exploratoire sur Tablette Android iPad iPhone et android phone\r\nTest sur pc Mac\r\nVérification correction de l\'ANO ANO050603'),
(26070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nFDL017322 affecte l\'élément \"Boutique Digishop Authent\" bilan d\' execution'),
(26069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nPrise en compte évolution service authentification IF'),
(26067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nPoupée Russes analyse matrice exigence'),
(26066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nPoupée Russes analyse matrice exigence'),
(26068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nPoupée Russes phase de conception pour le composant Digishop I'),
(25603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nFALCON : analyse de la version USR 2.6.9-1\n[Atelier description cloud Falcon et recherche de logs]\n[Palier BRIC] coordination vuGen\nMOTORS : qualification de l\'orchestration lacourse'),
(26817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nAtelier #1 - description du cloud Falcon & recherche de log.\nImplémentatrion de cas de test auto JRN TMA.'),
(25569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nEn attente d\'une réponse de la FDR par la MOE/MOA suite à un problème lors des tests unitaires'),
(25572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nBCO.099.31 [FDV] AGREMENT PS MINISTERE - CSAM Sign&Go installation et et test connexion eogile'),
(25573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nMCO - EGIDE'),
(25575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - PPAC - Analyse problème appel WS EGIDE'),
(25576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM Sign&GO - Réunion avec ILEX pour info sur la conf pour NEPTUNE'),
(25577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nGestion des incidents'),
(25579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nMCO EGIDE - Pb sur chaine ZEUKI à relancé manuellement pour test Qualif SOPRA'),
(25580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - PPAC - réunion de suivi'),
(25581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - PPAC réunion de suivi'),
(25586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nGestion des incidents'),
(25583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nMCO - EGIDE'),
(25585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nGestion des incidents - (investigation sur INC176157)'),
(25587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Gestion des environnements'),
(25588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nGestion des incidents'),
(25589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - PPAC - Réunion de suivi'),
(25590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nMCO EGIDE'),
(25591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Gestion projets prise connaissance retour de congés'),
(25592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - PPAC - Réunion de suivi et investigation et test sur pb WS EGIDE'),
(25594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nTest de PDJ principalement sur desktop sur int02/int42: vérifier l\'instabilité des environnement\r\nTest de PDJ par appel de service sur int0\r\n Test exploratoire sur Tablette Android iPad iPhone et android phone\r\n Test sur pc Mac\r\n Vérification correction de l\'ANO ANO050603'),
(25608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n- Daily\n- ANO051349\n- Question sur le bouton parier historique de jeu\n- Liste des problèmes d\'appels pour psel concernant MIG, MAG, MUG '),
(25599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n'),
(25602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n'),
(25610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nMail à Yann sur le probleme CORS des services de l\'API faq\nRedaction d\'un mail recapitulatif sur FAQ/IF pour PTAb pour  le backup\nEtablissement de 2 schémas sur le fonctionnement de la FAQ et du process question/réponse/formulaire'),
(25605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n'),
(25606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n'),
(25607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3  - Création pour test SOPRA ReseauCom de comptes de test sous CSAM MPP et EGIDE T2'),
(26854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nMCO EGIDE et Courtage commercial - (pb sur job)'),
(25611, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nchangement d\'ihm, l\'interface a été revu entièrement suite à la demande du client.'),
(25613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nDéveloppement procédure de purge des vacations'),
(25614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nDéveloppement procédure de purge des vacations\r\n[COHERIS] Avancement des sujets'),
(26101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nRefonte des cas de test Sessions avec le service SessionsAuthenticate'),
(26102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nRefonte des cas de test Account'),
(25754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nRédaction cas de test Betsys 4h\nParticipation à la montée en compétences de Imed Bouhani 4h'),
(25755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nRédaction cas de test Betsys 6h\nParticipation à la montée en compétences de Imed Bouhani 2h'),
(26072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nSuivi anomalie ANO049510'),
(25625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n [PSMSv2] Écriture et Mise à jours des cas de tests Combiné Boosté dans ALM\r\n\r\n[PSMSv2] Lecture des docs de référence Combiné Boosté'),
(25626, '* Le dernier mois valorisé retourné est \"non null\".\r\n\r\n* Correction de l\'affichage du mois'),
(25627, 'Iso CafPro.\r\n\r\nCorrection à effectué sur CafPro (à décider)'),
(25628, 'dossier 4390430 : Iso CafPro \r\n\r\ndossier 4290040 : Iso CafPro\r\n\r\ndossier 3398801 : Iso CafPro\r\n\r\nCorrection CafPro à planifier'),
(25630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nmodification du plan de test pour les différents flux (test transverse)'),
(25631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nmodification du code afin d\'ignorer les cas qui posent problème par rapport à leur période de droit. Reste plus qu\'à refaire les tests unitaires'),
(25632, 'EN attente retour du RSI pour création d\'une evolution selon la solution choisie'),
(25644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\nTests PSMS V2 + Rédaction document ARJEL'),
(25645, 'CDAP Fil de l\'eau de septembre'),
(25647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nGestion des incidents'),
(25648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nreste à faire le 11 S et le PAF pour les tests transverses'),
(25649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nLes tests unitaires sont faits mais on est en attente de la réponse de la MOA/MOE'),
(25650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nMCO - EGIDE - Correctif et reprise de Job sur I1 (XKEOPS) et I3 (ZEUKI)'),
(25651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - gestion projet - prise en compte contenu livraison EGIDE 4.51 et 4.60'),
(25741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nCOQAR \nVérification de l\'impact de la désactivation de NAPO sur INT7 -> erreur 400 sur inscription\nMOTORS : suppression de messages logs de debugage et orrectifs de commentaires et messages\nIF : mise en œuvre du Stake sur PDJ orchestrées et controlées IF Motors et gestion d\'un nouveau paramètre LR \"pStake\"'),
(25653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n'),
(25654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n'),
(25673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nMaj documentation spécifications détaillés génération FDJ_INTEGRATION_CLIENTS'),
(25656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n-Test exploratoire sur environnement INT42 (INT02) sur desktop / tablette et téléphone\r\n-authentification\r\n-Prise de jeu\r\n-Contrôle gain\r\n-animation jackpot\r\n'),
(25657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n-Test exploratoire sur environnement INT42 (INT02) sur desktop / tablette et téléphone\r\n -authentification\r\n -Prise de jeu\r\n-Contrôle gain\r\n -animation jackpot'),
(25710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n- Daily\n- ANO051408 et ANO051410 (problème tie-break dernier set) \n- Err 404 sur appel compte\n- Problème Android avec match live dont main résulté est de retour sur int2\n- Session'),
(25716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n- Atelier V16 (0.5)\n- Évolution PDJ PSEL FreeBet suite modification des appels '),
(25717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n- Prise en compte des évolutions palier BRIC\n- Création script d\'Acquittement éventements ARJEL \n- Scripts CMS MIFY V16'),
(25857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n- V16 - Présentation couverture des tests\n- Point ARJEL\n- DEV API MIFY V16'),
(26028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n- Réunion de suivi automatisation sport\n- Présentation postman et jenkins\n- Dev Mify V16'),
(25672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nRIB.009 EGIDE 4.50 : Création de 12 cas de tests dans le referentiel'),
(25967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\ntransfert de competence bertin -> Patrick J. sur GAC environnements\npoint PCA Git'),
(25679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nAnalyse V16'),
(25680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nPrise de connaissance des travaux d\'Estelle\r\n'),
(25681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nAnalyse V16\r\nOptimisation des campagnes'),
(25682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nAtelier : Définition campagne V16'),
(25683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nAtelier : Définition campagne V16'),
(25875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nPrésentation couverture des test V16\nAtelier : Nouveaux markets / Sports mineurs'),
(25876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nAnalyse V16'),
(26413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nV16'),
(26412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nSuivi avancement automatisation\nPrésentation Postman'),
(25690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nInstallation USR 2.6.9 sur INT0\r\nSuivi des chaine Control-M\r\nExécution des chaines Control-M pour la recette IF compta'),
(25691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nSuivi des chaines control-M\r\nexécution des chaines control-M pour la recette compta IF\r\nre-test d\'anomalie'),
(25692, 'Test HPalm:\r\n\r\nPCA -Tests de confirmation - Fil de l eau du 8 aout 2017 - M20310- RSA -Dérogation non mentionnée\n\n'),
(25693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nPoint Postman avec Romain\r\nPoint COQAR'),
(25694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nScript Edit Step'),
(25697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nScript DigiShop I SendStepData'),
(25699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nPoint dev'),
(25700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nAtelier dev socle commun'),
(25701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nScript DigiShop I : SendStepData\r\nResume'),
(25702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nDigiShopI CreateAccount'),
(25703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nPoint Protogen Swagger'),
(25705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nScript Digishop I finalisation\npoint d\'avancement'),
(25706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nGestion des incidents'),
(25707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nMCO - EGIDE - SIDC - PENELOPPE'),
(25708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nRAM004 - Installation FDL017273_egide_4.50.01_liv + Qualif 1 ANO'),
(25709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n- Daily\r\n- ANO051370 (MUG)\r\n- Point PSEL Androïd\r\n- Session'),
(25711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nCorrection de l\'outil creationSupportCOMIP'),
(25713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nAnalyse evolution Falcon USR 2.7 alpha4 et beta1\nFalcon Palier BRIC : verifier impact sur inscription pour desactivation de NAPO'),
(26087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n[PSMSv2] Préparation des cas de tests Combinés Boostés dans ALM\n\n[PSMSv2] Atelier Combinés Boostés avec Raphael de 11h à 12h30.\n\n[SPEED UP] Mise à jour des templates Betradar'),
(25715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(25718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nTest de PDJ sur PC / MAC non connecté sur réseau FDJ\r\nContrôle animation jackpot\r\nQualification ANO050603\r\n'),
(25722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nSur INT9\n--Mise en place du Template Hockey sur Glace, et de la qualification  de ce dernier\n--Création et exécution d\'une campagne Multisports incluant le Hockey'),
(25723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nSur INT9\n--Mise en place du Template Hockey sur Glace, et de la qualification  de ce dernier\n--Création et exécution d\'une campagne Multisports incluant le Hockey'),
(25724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nSur INT9\n1/2 journée terminer la tache=>\n- Création et exécution d\'une campagne Multisports incluant le Hockey.'),
(26580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nVM lx31500 documentation'),
(26581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nVM lx31500 documentation'),
(25727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nVM lx31500 documentation'),
(25728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nVM lx31500 documentation'),
(25732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nVM lx31500 documentation'),
(25731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nVM lx31500 documentation'),
(25737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nVM lx31500 transfert de connaissance'),
(25734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nVM lx31500 documentation'),
(25736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nVM lx31500 transfert de connaissance'),
(26582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n'),
(25739, 'Confirmé avec Corinne ce jour, nous attendons le retour de mon compte (WLO)'),
(25740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n- Daily\r\n- MODOP Catalog PSEL Androïd\r\n- Rédaction et passage test limite sessions'),
(25744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nD1752 Revue des régles de structure des CFT et test des différents fichiers '),
(26020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nLecture DDE'),
(25748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nSupport sur le report PHA - SB sur la stream de dev'),
(25749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nISU ne fait pas l\'envoi par courrier'),
(25750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nSupport'),
(25751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n'),
(26116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(25773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n'),
(25765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nParticipation à la montée en compétences de Imed Bouhani 6h\nDivers (Lecture doc, reprise notes)  2h'),
(25769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nParticipation à la montée en compétences de Imed Bouhani 6h\nDivers (Lecture doc, reprise notes)  1h'),
(25768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nRédaction cas de test Betsys 5 h\nParticipation à la montée en compétences de Imed Bouhani 2,5h\nDivers (Lecture doc, reprise notes) 0,5h'),
(25770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n'),
(25771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n'),
(25772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\n'),
(25774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n'),
(25775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n'),
(25776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n'),
(25777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nredaction de cas aux limites pour applications FDJ IOS Android\r\nContinuité sur la recette sur appli FDJ Android et IOS et sur appli Illiko Android\r\nAnalyse MRCD pour livraison sur amigo live \r\n'),
(25778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\ndaily stream app hasard\r\ndaily stream webapp\r\npoint d\'equipe stream app hasard'),
(25914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nCampagne RTG non régression 2.3.8'),
(25780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nMise a jour catalogue android ios, mobile tablette pour appli loto euromillions illiko fdj dans le cadre de la publication de l\'application sur le google play store, url de l\'appli FDJ sur le playstore disponible, decomissionnement des applis loto euml donc modifications url de partage dans le catalogue\r\nMAJ du modele de catalogues pour toutes les applis hasards IOS Android sur Ojadgate et deploiement des catalogues sur tous les environnements'),
(25781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\ndaily stream app hasard\r\ndaily stream webapp\r\nPoint d\'avancement playstation'),
(25915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nPrise en compte palier BRIC pour les tests IF\nCréation et passage cas de test IF pour 500 joueurs'),
(25916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nPrise en compte palier Bric pour IF'),
(25912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nPrise en compte palier Bric pour IF \nLecture documentation Bric'),
(25785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nanalyse de la campagne de test IF v2.0.4'),
(25788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\ndaily stream webapp\r\ndaily stream app hasard\r\nbug review\r\ncoproj playstation\r\ndemo fin de sprint'),
(25791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nverification bon fonctionnement appli fdj publié sur google play store + tests toutes appli de prod pour voir si la maj catalogue n\'a pas d\'erreur\r\ncontinuité des test sur appli fdj ios android\r\nPrevision livraison appli fdj v1.2 pour amigo live fin de sprint'),
(25792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nverification bon fonctionnement appli fdj publié sur google play store + tests toutes appli de prod pour voir si la maj catalogue n\'a pas d\'erreur\r\ncontinuité des test sur appli fdj ios android\r\nPrevision livraison appli fdj v1.2 pour amigo live fin de sprint'),
(26103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nMise à jour des cas de test Subscription'),
(25795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n'),
(25962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nMise à jour des cas de test Availability / bank / Blocking / Bonus / CGU / EVENT / GAMES\nAnimation Réunion INSTANCE IQ BRIC en l\'absence de MAEL '),
(25797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\n'),
(25798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nMise à jour des cas de test GEO / OFFER / VALIDITY / FINANCIAL'),
(26648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nréunion PUMA + suivi defect avec Guillaume'),
(26650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\n'),
(26651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n'),
(26652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n'),
(26654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n'),
(26653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n'),
(25803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nQualification PS PDV et plus particulièrement sur les données récupérées dans les bases sqlite ; support Jason'),
(25804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nCréation de l\'ANO051403 : [Edwan] Problème de génération de données'),
(25805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\ncréation de l\'ANO051433 : [PDV][Android] Toutes les flèches des tendances de changement de côtes pour les Combi bonus s\'affichent au vert (en hausse) ; Travail sur les fichiers de synchro SPORTPDV'),
(26427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nTests sur Jason avec la version wspo 3.1.2 ; Mise à jour des fichiers home/etc/spdv/synchro et broadcast.cfg pour synchroniser indépendamment les fichiers d\'offres et de résultats ; Préparation du MODOP de SPDV 3.0.12 pour ne pas oublier la modification nécessaire pour le changement de nom de la base du site'),
(26429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nTests acceptance wspo 3.1.2 avec Jason ; Tests acceptance PSPDV Android 5.0.3 ; Tests acceptance PSBOR 2.0.12 ; Qualification Jason et PSPDV ; Tests acceptance PS PDV IOS 5.0.008'),
(25809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nTest IF des deux environnements et sur différents navigateurs (IE, CHROME, Mozilla)\r\nSuivi des traitement Control-M\r\n'),
(25810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nSuivi des traitement Control-M\r\ntest IF d\'interco sur différents navigateurs'),
(25811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nSuivi de traitement Control-M\r\ntest IF sur différents navigateurs.'),
(25812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n'),
(25813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n'),
(25816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nGestion des incidents'),
(25817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nRecherche et mise en d\'un nouvel outil de test'),
(25818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nMCO EGIDE - SIDC'),
(25819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nRecherche et mise en place d\'un nouvel outil de test'),
(25820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nRecherche et mise en place d\'un outil de test'),
(25821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - EGIDE - Qualification de 3 ANO de la FDL017273_egide_4.50.01_liv'),
(25822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nRecherche et mise en place d\'un nouvel outil de test'),
(25823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nBTI.050.06 [INNO] PLAYSTATION - SAGA- Installation qualification  FL017345_saga_6.21_liv'),
(25824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nvie des environnement via falcon sur int7'),
(25825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nvie des environnement via falcon sur int7'),
(30897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nmodification tests services loto'),
(25827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nvie des environnement via falcon sur int7'),
(25828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nserveur bac à sable jenkins'),
(25829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nvie des environnement'),
(25831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nmodification tests services euml'),
(25832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nreinitialisation int32 + moultes réunions'),
(25851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n 	BRIC_ Poupée Russe _\r\n0,75 : Ecriture des tests\r\n0,25 : reunion COQAR + Démo (Uses case) Poupées russes'),
(25854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nRédaction des cas de tests du projet BRIC - Poupée Russe\nDéveloppement des cas de tests POSTMAN service Authentification.'),
(25850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nBRIC_Poupée Russe _\r\n0,5 : Ecriture des tests\r\n0,5 : suivi avancement projet'),
(25845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nRédaction des cas de tests du projet BRIC - Poupée Russe\nDéveloppement des cas de tests POSTMAN service Authentification.'),
(25846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nBRIC_Poupée Russe _ \r\n0,5 : Ecriture des tests\r\n0,5 : Execution test : Batch de bascule du mode d authentification'),
(25847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nBRIC_Poupée Russe _ Ecriture des tests'),
(25849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nBRIC_Poupée Russe _\n0,75 : Ecriture des tests\n0,25 : Estimation temps passé par taches (ecriture exigence/cas de test manuel-Postman)'),
(25894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nRédaction des cas de tests du projet BRIC - Poupée Russe\nDéveloppement des cas de tests POSTMAN service Authentification.'),
(26008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nAnalyse et étude du Defect 1758'),
(25858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nMontée en compétences sur les combinés boostés'),
(25859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nEcriture des cas de tests sur les combinés boostés (partie ARJEL)'),
(25860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nMontée en compétences sur ABP Campaign Studio'),
(25862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nMontée en compétences sur ABP Campaign Studio'),
(25873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nEcriture des cas de tests sur les combinés boostés (partie ARJEL)'),
(25867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nPréparation V16'),
(25868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nCOQAR. Réalisation d\'un script TRuclient pour changer l\'état de jeux ITG.'),
(25869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nPréparation V16'),
(25870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nFinalisation du script Truclient jeux ITG. Implémentation des cas de tests BOX ITG JRN TMA. Point dev VuGen. Avancement TMA.'),
(25871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nFinalisation cas de test BOX ITG JRN TMA. Demo Falcon Event.\r\nRéalisation d\'un script Truclient pour gestion des pools ITG.'),
(25907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nMise au point du script de gestion des pools ITG. Implémentation des cas de tests JRN TMA y afférant.'),
(25874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n[PSMSv2] Écriture et Mise à jours des cas de tests Combiné Boosté dans ALM\r\n\r\n[PSMSv2] Lecture des docs de référence Combiné Boosté\r\n\r\n[AUTRES] Supporte montée en compétence Imed '),
(25877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n- Reunion COQAR - Palier BRIC'),
(25878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nReunion Stanley - BRIC Instance IQ'),
(25879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nReunion Visio avec Boulogne - Bilan Stream Coco'),
(25880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n- Démo Palier BRIC (Conf Skype)'),
(25918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n- Ano bouton parier PSEL ANdroid - ANO051370\n- Analyse US Poupées Russes Lot 1'),
(25883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nTest exploratoire INT02 (essayer de faire des PDJ IF sans rafraichissement de l\'applet)\n-Assister à la présentation de Mohamed Agourame sur les ADC , architecture IF /FDJ'),
(25884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n- Support F Pirolley pour configurer des joueurs Sport spécifiques\r\n- Ano sur l\'authent INT11 -  analyse problème => Purse Back\r\n- Rédaction Supprot Instance IQ Stanley\r\n- Rédaction Cas de tests PR Lot 1'),
(25885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n- Analyse problème déco sur Jason => création ANO051437\r\n- Point sur la conf Apache avec PAM\r\n- Analyse services IF de DIgi A (demande de transfo de Get en Post de l\'authorize non effectuée)'),
(26021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nTest exploratoire sur les environnement transverse/Modulaire INT02/INT42 \nsur desktop / tablette /phones\n-Tests de PDJ sur PC non FDJ connecté à un réseau non FDJ(connexion 4G partagé)'),
(25887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n- Point les livraisons des Boutik : FDL017363 / FDL017365 / FDL017364 / FDL017366\r\n- Brief Bruno sur la conf à mettre en place + explication Mode Op\r\n- Rédaction cas de tests PR Lot 1\r\n\r\n'),
(25889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n- Rédaction cas de tests PR Lot 1'),
(25890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nReunion Projet Viavoo_intégration du canal chat Bingo\r\nsupport metier Bingo\r\nPoint de synchro IQ BRIC\r\n'),
(27888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nDemo falcon event\nsupport metier bingo\nlecture exigence/US MOD Iban (BRIC)'),
(25893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nsupport bingo projet viavoo\nredaction exigence MOD Iban (BRIC)\nreprise des scripts de creation de joueur en postman'),
(26073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nanalyse / conception / implémentation/ exécution service d\' authentification palier BRIC projet pR'),
(26074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nanalyse / conception / implémentation/ exécution service d\' authentification palier BRIC projet pR'),
(26075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nanalyse / conception / implémentation/ exécution service d\' authentification palier BRIC projet pR'),
(26076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\ncampagne test non régression suite à l\'installation des boutiques pour palier BRIC /pR sur INT7 /analyse'),
(25901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n- maj des tests postman sur service /mrcd/voucher/check IAT\r\n- création ANO05189 [PLAYSTATION] Attribut $this->view->productId non initialisée sur /mrcd/voucher/flash\r\n- maj doc swagger 4.1.5_mrcd\r\n- maj doc swagger 4.2.1_mrcd'),
(26077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\ncampagne test non régression suite à l\'installation des boutiques pour palier BRIC /pR sur INT7 /analyse'),
(25903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n- alerte remonté sur le service JOSE non fonctionnel pour /mrcd/voucher/check IAT\r\n- alerte remonté sur le service JOSE non fonctionnel pour /mrcd/voucher/flash\r\n- création ANO051401 [PLAYSTATION] Appel /mrcd/voucher/flash en POST : 405 Bad Request\r\n- création ANO051402 [PLAYSTATION] Appel /mrcd/voucher/flash sans paramètre productId'),
(25904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n- réunion [Playstation] COPROJ Digital multi-stream\r\n- réunion [Playstation] fin de sprint appli FDJ/webapp\r\n- mise en place logs JOSE pour intégration livraisons\r\n- création MOD012214 [MRCD] Mise en place de logs sur les requêtes HTTP JOSE\r\n- création ANO051434 [PLAYSTATION] Paramètres erronés sur l\'appel JOSE /jose/mvc/wagerPubService/getFlashForProduct\r\n- création ANO051448 [MRCD] Pb d\'encodage du Cdn.php ISO\r\n- création ANO051449 [PLAYSTATION] Undefined variable: argv - fichier broadcast.php\r\n- support dev, dump de base pour INT91, mise à disposition de jeu de données'),
(25905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n- installation livraison playstation 4.4.1_edwan\r\n- qualification livraison playstation\r\n- création ANO051455 [PLAYSTATION] Promulgation des jeux avec paramètre ignore_sign\r\n- support dev pour affichage du site public int91'),
(26557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n- réunion formation Jenkins/Gitlab/postman\n- réunion PlayStation - Bascule de recette - Préparation et pilotage ( pour bascule les 16-17 et 21 aout)\n- préparation doc pour jobs control-M HIA\n- qualification livraison playstation'),
(25908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nDaily meeting (1h)\r\nSupport HIA pour MEP nouvelle version de la synchronisation des bases sqlite pour ps pdv + conf broadcast.cfg + nettoyage des vieux catalogues sur la PROD (1h30)\r\nSupport PERF, mise en place de l\'environnement CLOUD PSEL \"PERF2\", maj configuration edwan, mapi, auth, mig, tms, fdjstore... Maj configuration script de promulgation MAPI/FDJSTORE (1h30)\r\nSupport PSEL et PDV (vérification des environnements d\'intégration).\r\nProjet AMEX --> suite configuration NGINX.'),
(25911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nDaily meeting (1h)\nRéunion DAT AMEX (1h20)\nSupport PERF2 (45min)\nSupport HIA (15min)\nSupport PSEL et PS PDV\nProjet AMEX : Avancement NGINX.'),
(25954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nDaily meeting (1h)\nAvancement configuration NGINX apache psel statique (6h)\nSupport HIA (30 min) par rapport au problème des synchronisations des bases sqlites --> étude --> demande mise en place solution à la personne gérant SPDV.\nSupport PSEL'),
(25922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n- Réunion avec Romain et Yannick Kome pour faire un point sur les besoins Postman et envisager la suite des tests à écrire.\n\n-Reunion COQAR\n\n-Analyse des mails recus (retour vacances) et des points à traiter'),
(26058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n-Configuration SALT et installation des Boutiques livrées'),
(25930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nMerge API Falcon 2.7.0 beta1 // alpha3\nFalcon API : préparation des TC par défaut des nouveaux services\nScript Falcon : Evolution du service FalconGETFinancialBankingAccount\nMotors : correctif'),
(25931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n- Rejet du jeu [LES CLEFS DU TRESOR] Livraison v1.0.0 (FDL017341) \n- Modification du script de promulgation des resultats loto sur INT12 (tir_loto.php)'),
(25928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nScript Falcon AUTO : developpement des évolutions et ajout des nouveaux scripts repuis pour la version 2.7 beta1\r\nMONEXT : Presentation modifications API pour Monext V2'),
(28126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n- Analyse et correction du pb de lancement du jeu KENO ATLANTIA sur les environnements INT0,1,2,3,8\n=> Pb du a une alteration des XML du jeu'),
(25934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nRéalisation de tests sous postman\nInstallation [LA COURSE] livraison Applet v1.0.2'),
(26349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n[Falcon] génération et merge USR 2.7.0-1\nAdaptation des scripts et login pre-requis par rapport à l\'evolution du service POST Sessions (ancien service au format RAW renommé avec suffixe RAW) et implentation du nouveau service JSON selon version USR.'),
(26351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n[Falcon Scripts AUTO] adaptation et ajout des scripts de services impactés\n[scripts TRANSVERSE] évolution des DBSelectAndFusion et ODBC_DBSelectAndFusion pour gérer un attribut FDJErrorOnEmptyResult=OFF/ON (idem DBSelectAndExport)'),
(26691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nFalcon CreditAccount : adaptation nouveau module MonextV2'),
(31424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nModif API CreditAccount : évolution sur Monext V2 avec retro compatibilité V1 commune aux scripts de versement bancaire Falcon et Digishop'),
(26096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nScripts Falcon AUTO : Finalisation des mise à jour des scripts et publication dans ALM\n[PALIER BRIC - POUPEES RUSSES] Coordination Dev vuGen\nFalcon  : mise à jour du catalogue des scripts'),
(25949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nAnalyse problème cookie(Etude des failles et dans le code)'),
(25950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nAnalyse avec JP et test de quelques écrans'),
(25951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nPréparation livraison et Livraison avec Bertin'),
(25953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nDaily meeting (1h).\r\nReunion avancement PSEL (1h30)\r\nSupport PSEL\r\nAvancement configuration AMEX.\r\nEtat des lieux MOD & ANO Edwan pour future version application native PS PDV.'),
(25955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\ndaily meeting\r\nProjet AMEX'),
(25958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nTest déploiement CAS'),
(25959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nCAS deploiement Reussi + correction anomile @Mon-Compte@'),
(25981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n- Daily\n- Réécriture du test sur les nouveautés du menu burger (psel android)\n- Acceptance psel android 1.0.020 et 1.0.021\n- Installation, acceptance, qualif annos pour wspo 3.1.2\n- Création MOD012218'),
(25963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nanalyse des defects D43795 et D43794 + début des plan de test'),
(25964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nMise à jour des cas de test LIMITS / PREFERENCES / VIA BOX'),
(25965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nConstruction du plan de test + début des tests'),
(25969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n- Suite investigation erreur Login sur INT1 : Réinstallation des boutiques qui étaient en versions trop anciennes.\nMalgré cette réinstallation ,un pb a été identifié coté Falcon sur le purse lors de l\'authentification.\n\n-Point IQ Bric: une installation est à prévoir demain des Boutiques en attente de livraison. Proposition de tester via Postman la Transition pseudo/mail (nouvelle fonctionnalité).\n'),
(25972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n-Analyse du Mindmap  Matrice d\'exigence sous confluence en vue de préparer ces tests pseudo/mail\n\n- Discussion sur les environnements cibles et configurations en vue d\'installer les nouvelles Boutiques livrées.\n\n'),
(25971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n'),
(25975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nPoint interne atos bi-annuel'),
(25977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n'),
(25978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n'),
(25979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - PPAC - Réunion de suivi'),
(25980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nGestion des incidents'),
(25982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nMCO - EGIDE et SIDC'),
(25983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - PPAC - test sur WS EGIDE'),
(25984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL -EGIDE gestion projet et des environnements'),
(25985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n'),
(25986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n'),
(25987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n'),
(25989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n'),
(28695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n'),
(25991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n'),
(25992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n'),
(25993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n'),
(26000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nDemo falcon event\r\nsupport metier bingo\r\nlecture exigence/US MOD Iban (BRIC)'),
(25998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nLIVRAISON !!!!!!!!!!!!!!!'),
(26005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n'),
(26006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-13  (Do not remove this line) -->\nAnalyse des retours de mail de YOSR'),
(26007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n'),
(26012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\na compléter'),
(26013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nA compléter'),
(26014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nA compléter'),
(26017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nRéunion Harmony'),
(26019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nAtelier'),
(26022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(26542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nEtude Spec CRM & Architecture'),
(26032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\ntache mineur : réactiver les test JUnit PT_ASSURE'),
(26030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\n+ rejet'),
(26031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n-Daily\r\n- Réflexions (mail) sur MOD012212 (mify/gp)'),
(26034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nRenseignement pour la gestion du timeout pour le web Service BDU'),
(26119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n- Dev Scripts MIFY V16'),
(26123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n- Dev Scripts MIFY V16'),
(26634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\n- Dev Scripts du groupe /asyncbs Mify '),
(26726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n- Dev Scripts Mify'),
(26369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nMise à jour des cas de test SESSIONS (Recertif)'),
(26370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nMise à jour des cas de test SESSIONS (Recertif)'),
(26045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\nMontée en compétence: installation poste'),
(26046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\nMontée en compétence : Installation poste'),
(26047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\nMontée en compétence: installation poste'),
(26084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nDév 40458 - ERGO');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(26085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nDév 41065 - ERGO'),
(26050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nDév 55896'),
(26051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nDév 40458'),
(26053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nMontée en compétence: process de livraison'),
(26054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nDév: 	40456 '),
(26055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nDév 47453   '),
(26056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nDév 48635 '),
(26078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nRéalisation d\'un script permettant de réaliser les cas de test JRN AdminWeb pour TMA.'),
(26079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nDév 41065 '),
(26080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nDév 56756 '),
(26081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nDév 62332 '),
(26082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nDév 52098 - Erreur 500'),
(26299, 'imputations manquantes de M.Sébastien'),
(26300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\n#4989\n#4990'),
(26086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n[PSMSv2] Écriture et Mise à jours des cas de tests Combiné Boosté dans ALM\r\n\r\n[PSMSv2] Lecture des docs de référence Combiné Boosté\r\n\r\n[AUTRES] Supporte montée en compétence Imed\r\n\r\n[AUTRES] Point d\'avancement Campagnes Combiné Boosté avec Raphael - de 14h à 15h'),
(26088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nMontée en compétence'),
(26089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nMontée en compétence'),
(26090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nMontée en compétence'),
(26091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nMontée en compétence'),
(26092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nMontée en compétence'),
(26093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n'),
(26094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nRAF: mettre les event dans Neptune'),
(26515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nmodification des scripts de creation de joueur en regul et recertif dans postman\ndemo migration usr 2.6-2.7'),
(26106, 'le dossier  5089924 n\'est pas sur la 143.\r\nImpossible à tester la correction sur CDAP'),
(26107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nGestion des incidents'),
(26108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nMCO - EGIDE et SIDC'),
(26109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nBCO.102.30 [DD] GESTION DES SECTEURS ISOLES - DMT0012424'),
(26110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - BOOSTER PPAC - Test QS avec Sopra entre résocom et EGIDE'),
(26111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - EGIDE 4.51/4.60 prise de connaissance des première SFD'),
(26114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\ndev terminé a tester'),
(26113, 'Bug CAFPro et CDAP sur le dossier 592119: mme soumise et foyer non soumis.\r\nA Corriger sur CafPro et à refaire le report de code'),
(26134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n- Qualification fiche JIRA ABP-55269\n- Réunion ARJEL\n- Dev API MIFY V16'),
(26120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n- Dev API MIFY V16\n'),
(26355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n- Qulification MOD Mify App Android\n- Dev Scripts MIFY V16\n- Support Non reg'),
(26583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n- Validation PDJ Version BRIC\n- Dev Scripts MIFY V16'),
(26125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nTest avec jean philippe pour le defect de sécurité '),
(26129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n'),
(26130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n[SPEED UP] Mise à jour des Templates Baseball, Tennis de table et Snooker sur INT9 et INT2 pour tester la nouvelle livraison BUILD (ABP): ABP: 14.1.31 #46\r\n\r\n'),
(26131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(26132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(26133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n'),
(26135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nMCO SID Client + SID Commercial'),
(26136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nPSMSv2 : Analyse des chargements du 24 juillet au 4 août (TR2 + TR3)'),
(26137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(26138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n-Qualification de l\'anomalie ANO050603 ==> ANO qualifié sur SNOW\r\n-Remonté d\'ano: \r\n-ANO051504\r\n-ANO051499\r\n\r\nExécution compagne de test : Liquidity manager'),
(26139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\n'),
(26140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n'),
(26141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-19  (Do not remove this line) -->\n'),
(26142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n'),
(26143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n'),
(26146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nCOQAR\nBRIC : recherche d\'element technique sur les virements rejetés par la banque'),
(26147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\n'),
(26148, 'Reporté sur CDAP, compilation OK\r\nà tester en local'),
(26149, 'Correction reporté sur CDAP, Compilation OK\r\n\r\nà Tester en local'),
(26152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n'),
(26153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nLe composant de pagination n\'est pas prévu lors d\'instances multiples dans une même page. A voir avec Laure si la pagination est nécessaire, sinon, prévoir des développements supplémentaires.'),
(26154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nFormation Docker'),
(26155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nFormation Docker'),
(26156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nFormation Docker'),
(26157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nFormation Docker'),
(26158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nFormation Docker'),
(26159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nFormation Docker'),
(26160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nFormation Docker'),
(26161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nFormation Docker'),
(26162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nProblème déploiement sur Integ + fichier de config'),
(26163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nDIGISHOP-A : Evolution script GetPursato pour faire la validation du tunnel\r\nMONEXT : Adaptation du module MonextV2 pour l\'automatisation, désactiver adhérence à digishop'),
(26165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nAjout de tests dans l\'environnement OPERATEUR\r\nlancement prise de jeu 500 joueurs\r\nlancement test NR IF v2.05'),
(26345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nMONEXT : adaptation des appels Monext pour assurer la compatibilité V1,V2 et banfakes\n[VieDesEnvironnements] transfert de compétence par FFaissat\n[Falcon] analyse documentation USR 2.7.0-1'),
(26167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nLancement tests NR IF v2.0.5\r\nanalyse des résultats tests NR IF v2.0.5'),
(26168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nRéunion Poupées Russes'),
(26169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n[PSMSv2] Utilisation de Campaign Studio pour la création des campagnes promotionnels sur INT7\r\n\r\n[PSMSv2] Inclusion des cas de tests Freebet dans le référentiel NON Reg Front (ALM).\r\n'),
(26178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nDefi Stock Grattage : Qualification dynamique.'),
(26444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nSuite de l\'analyse des services Postman  transition username/Email\n(écriture possible mais tests de lancements en attente d\'environnement dispo prévue pour Mardi)\n\nAnalyse des pb de services sur INT61 : le pb provient d\'Hazelcast et devra etre traité par Lotsys. \n\nAnalyse avec Dhira de pb de services sur le 71 : service ok resolu. Les IHM ne sont pas encore arrivées, donc tests de quelques cas dans Postman.\n\nMaj sur ojadgate fichier json fourni par le dév pour la documentation des services.\n\nPoint sur les services Postman réalisé pour reprise d\'activité de Yannick Kome pendant ses congés. Recup des collections developpées etc...'),
(26173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nANALYSE ET REPONSES DES FDR MOE'),
(26174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(26175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n Defi Stock Grattage : Qualification dynamique. '),
(26177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n'),
(26179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nrelecture et Livraison des FDR'),
(26182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nChiffrage PF 4858'),
(26183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nDaily meeting (1h)\r\nProjet AMEX --> avancement nginx psel static --> version de plus en plus stable.'),
(26185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX --> maj de la conf des icons, des apple-touch, des fichiers robots... évolution de la conf NGINX\nAttention actuellement nous utilisons une version NGINX non commerciale, des options sur les upstreams ne sont pas disponibles.\nEchange sur la RFC003970 --> pas nécessaire de réaliser cette étape immédiatement, il voudrait mieux réaliser les modification directement dans les catalogues PSEL VITAN.\nRéalisation d\'appel sous POSTMAN pour tester rapidement la configuration NGINX static.'),
(26188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nAnalyser le problème après test'),
(26187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\ndébut des tests après correction du code'),
(26190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nExécution campagne de test : \nLiquidity manager : RUN 3 - LIQUIDITY MANAGER ITF 2.0.5-2 / FALCON USR 2.6.9-1\nRUN 6 - INTER CONNEXION ITF 2.0.5-2 / FALCON USR 2.6.9-1\nQualification ano ANO051157'),
(26191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26192, '5 -> mise à jour de la configuration spring pour intégrer les objets JMS & mise en place d\'une architecture permettant l\'envois de message via l\'API JMS\r\n0..75 -> Mise à jour doc STD 2.5'),
(26516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\natelier batch auto\nredaction test manuel et postman MOD Iban'),
(26543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nRecherche et installation d\'un outil de test'),
(26544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nRecherche et installation d\'un nouvel outil de test'),
(26197, 'Clôture du mantis car plus d\'intervention à faire par rapport à la sollicitation. Une fois l\'évol en production la Caf procèdera à la création de ses conventions.'),
(26202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / INT7]: Serveur Indispo + Attente Livraison testable + Check tests CB / Documentation maj + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM'),
(26201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / INT7]: Serveur Indispo + Attente Livraison testable + Check tests CB / Documentation maj + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM'),
(26203, 'Annulé RSI suite aux tests'),
(26204, 'Annulé RSI suite aux tests'),
(26205, 'Annulé RSI suite aux tests'),
(26206, 'Annulé RSI suite aux tests'),
(26207, 'Annulé RSI suite aux tests'),
(26208, 'Annulé RSI suite aux tests'),
(26209, 'Annulé RSI suite aux tests'),
(26210, 'Annulé RSI suite aux tests'),
(26211, 'Annulé RSI suite aux tests'),
(26212, 'Annulé RSI suite aux tests'),
(26213, 'Annulé RSI suite aux tests'),
(26214, 'Annulé RSI suite aux tests'),
(26215, 'Annulé RSI suite aux tests'),
(26216, 'Annulé RSI suite aux tests'),
(26217, 'Annulé RSI suite aux tests'),
(26218, 'Annulé RSI suite aux tests'),
(26219, 'Annulé RSI suite aux tests'),
(26220, 'Annulé RSI suite aux tests'),
(26221, 'Annulé RSI suite aux tests'),
(26222, 'Annulé RSI suite aux tests'),
(26223, 'Annulé RSI suite aux tests'),
(26224, 'Annulé RSI suite aux tests'),
(26225, 'Annulé RSI suite aux tests'),
(26226, 'Annulé RSI suite aux tests'),
(26227, 'Annulé RSI suite aux tests'),
(26228, 'Annulé RSI suite aux tests'),
(26229, 'Annulé RSI suite aux tests'),
(26230, 'Annulé RSI suite aux tests'),
(26231, 'Tests OK'),
(26232, 'Tests OK'),
(26233, 'Tests OK'),
(26234, 'Tests OK'),
(26235, 'Tests OK'),
(26236, 'Tests OK'),
(26237, 'Tests OK'),
(26238, 'Tests OK'),
(26239, 'Tests OK'),
(26240, 'Tests OK'),
(26241, 'Tests OK'),
(26242, 'Tests OK'),
(26243, 'Tests OK'),
(26244, 'Tests OK'),
(26245, 'Tests OK'),
(26246, 'Tests OK'),
(26247, 'Tests OK'),
(26248, 'Tests OK'),
(26249, 'Tests OK'),
(26250, 'Tests OK'),
(26251, 'Tests OK'),
(26252, 'Tests OK'),
(26253, 'Tests OK'),
(26254, 'Tests OK'),
(26255, 'Tests OK'),
(26256, 'Tests OK'),
(26257, 'Tests OK'),
(26258, 'Tests OK'),
(26259, 'Tests OK'),
(26260, 'Tests OK'),
(26261, 'Tests OK'),
(26262, 'Tests OK'),
(26263, 'Tests OK'),
(26264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n'),
(26265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nMaj documentation spécifications détaillés génération FDJ_INTEGRATION_CLIENTS'),
(26266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nMCO EGIDE - reprise de jobs'),
(26267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Test de bout en bout de création/ modification/suppression PDV EGIDE/SAGA/MEIBO sur INT1'),
(26268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Test de bout en bout de création/ modification/suppression PDV EGIDE/SAGA/MEIBO sur INT1'),
(26269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nMCO - EGIDE'),
(26270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nMCO - EGIDE'),
(26271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n'),
(26272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nTests acceptance et NR IF version 2.0.6\r\nMise au point tests admin IF'),
(26274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nInstance STANLEY\r\necriture de test postman MOD Iban\r\nSupport prod Bingo'),
(26275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nTest en cours\n'),
(26278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\ntests en cours'),
(26279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n[SPEED UP] Test des NONREG sur les matchs Lives Tennis de Table sur INT8\r\n\r\n[PSMSv2] Mise à jour du référentiel Non Reg PSEL avec les tests Front Freebet\r\n'),
(26280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nrecherche de cas et test de la 43794 et 43795. Reste à finaliser le 43794 et voir un détail pour le 43795'),
(26281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nTest du 1741 + 1754 et du fichier du peuplement'),
(26283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nAssistance C. BOURDEIX sur chargement BI\ndeveloppement nouveau chargement hors SID'),
(26284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nCOQAR. Elaboration d\'un script de tests de services HTTP Digest Auth pour cas de test automatisés Admin Web JRN TMA.'),
(26287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nPalier TMA - Point d\'avancement. Elaboration d\'un script de tests de services HTTP Digest Auth pour cas de test automatisés Admin Web JRN TMA. Qualification évolutions TMA.'),
(26289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nPoint Dev VuGen. Finalisation d\'u script de tests de services HTTP Digest Auth pour cas de test automatisés Admin Web JRN TMA. \nElaboration des cas de test associés sous ALM.'),
(26291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nAnalyse des logs \nAnalyse du fichier de RIBA \nAnalyse des NIRS en base'),
(26292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nFichier de suivi des incidents'),
(26294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nRDI 1.1 : Réunion sur l\'organisation projet sur HP ALM'),
(26836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nRDI 1.1 : Mise à jour du cas de test d\'acceptation des livraisons SAGA (vérification BDD)'),
(26296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nRDI 1.1 : Vérification des 120 PDV créés dans Saga/Egide/GDS INT8.'),
(26309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nDéroulement des cas de test sous ALM du référentiel NRG-PSEL 0101. Prises de Jeux - PSMSv1: Multiple & 0301. Settlement - PSMSv1'),
(26301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\n#4989\n#4990'),
(26307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nDéroulement des cas de test sous ALM du référentiel NRG-PSEL 0101. Prises de Jeux - PSMSv1: Simple & 0301. Settlement - PSMSv1'),
(26308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nDéroulement des cas de test sous ALM du référentiel NRG-PSEL 0101. Prises de Jeux - PSMSv1: Combiné & 0301. Settlement - PSMSv1'),
(26310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nExécution campagne de test:\r\n RUN 3 - Non reg: TF 2.0.5-2 / FALCON USR 2.6.9-1\r\n \r\nRemontée Ano: ANO051553: [IF][BOX] Le filtre ANNULé ne retorune aucun résultat  dans l\'onglet JEUX\r\n\r\nTest sur tout les navigateur 5FF/IE/Chrome) sur Desktop et Mac'),
(26311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nStats Saxo et PB, fichier de suivi'),
(26314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nGestion des Incident - INC172082'),
(26315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n BCO.081.31 [ME] COMMERCIAL - Gestion des environnements - Correction I1EGID-TEMPS REEL suite pb job KEOPS'),
(26316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n BCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Test de bout en bout de création/ modification/suppression PDV EGIDE/SAGA/MEIBO sur INT1 '),
(26318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / INT7]: Serveur Indispo + Attente Livraison testable + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM + [ALM / CB] : Réunion avec Vanessa pour maj la campagne de NonReg / CB: la NonReg va maintenant intégrer des tests / FreeBet'),
(26323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-19  (Do not remove this line) -->\n3'),
(27684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n'),
(26535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nTest application sortie sur google play store\nTests de tous les catalogues et redirection de telechargement de l\'application FDJ vers le google play store\nCréation d\'une ano sur le \"rejouer\" un jeux bingo depuis l\'historique qui ne fonctionne pas\nTest application FDJ IOS et Android V1.2 pour palier playstation'),
(26326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\ndaily stream app hasard\r\ndaily stream webapp\r\nPoitn d\'equipe stream app hasard\r\n'),
(26327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nTests applis FDJ IOS ANDROID V1.2 pour palier playstation + redaction document sur la strategie des cas de tests a mettre en place\r\nTests appli FDJ IOS Android V1.1 pour continuité des tests de fails overs et redaction des cas de tests dans ALM\r\nRelance equipe ESTE pour soucis JOSE car plus aucun scan possible sur TRV1 TRV2 TRV3 + remonté des erreurs associées'),
(26328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nTest de la webapp astro sur INT32 via appli FDJ Android IOS,\r\nPlusieurs ano remontée mais attente finalisation mise a jour environnement avec mrcd, getHome, mapi, tapi edwan et boutique resultat a installé\r\nContinuité tests de fail over sur version 1.1 des applis'),
(26329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\ndaily stream webapp\r\ndaily stream app hasard\r\nCoproj Playstation'),
(26330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nTest webapp sur appli FDJ\r\nTest getHome sur appli FDJ\r\nRelance equipe ESTE car toujours pas d\'environnement dispo pour test mrcd via JOSE\r\nRelance tech lead app hasard car plus de FDL créé pour les nouvelles livraisons d\'application\r\nContinuité des tests de fail over + redaction des cas de tests sous ALM'),
(26331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\ncontinuité de redaction de cas de tests\r\ncontinuité de redaction du document sur la strategie de tests de l\'application FDJ sur le palier playstation\r\nContinuité de tests sur appli fdj IOS Android V1.1 et V1.2'),
(26332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\r\nmaj specifications détaillées génération table Fdj_integration_clients hors SID'),
(26537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\ndaily stream app hasard\ndaily stream webapp\nYellowstone recette superloto grand loto noel'),
(26336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nMCO Court commercial du 06/08/17'),
(26342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nRAM-004 - DMT0010640 - Tests complémentaires de qualification des FDL016851, FDL016828 et FDL016669'),
(26337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n[PSMSv2] Redéfinition du référentiel de test de Non Reg IQ SPORT dans ALM pour prendre en compte les test Freebet.'),
(26338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nMCO Court commercial du 07/08/17'),
(26339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nRAM-004 - DMT0010640 - Suite aux tests complémentaires, analyse du fonctionnement de la mise à jour des adresses dans SAGA à partir de GDS avec M.Ginoux et M.Rosellini'),
(26340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nMCO Court commercial du 08/08/17'),
(26341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nRAM-004 - DMT0010640 - Suite aux tests complémentaires, analyse du fonctionnement de la mise à jour des adresses dans SAGA à partir de GDS avec M.Ginoux et M.Rosellini'),
(26343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nDaily meeting (1h).\r\nProjet Amex : avancement confguration mise en place des caches sur le serveur NGINX static. Déploiement manuellement de la nouvelle configuration NGINX du serveur PSEL Static et du serveur Portail sport. --> test ok sur l\'environnement modulaire.\r\nDemande de mise à jour de la configuration des ADC du domaine enligne.parionssport.integ.fdj.fr sur les environnements INT0 et INT6 (DMT0012547)'),
(26344, 'Test en local OK'),
(26346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE - Validation des anomalies de recette.'),
(26428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nDaily meeting (1h)\nSupport HIA PS PDV (1(min) : l\'application PS PDV IOS ne se lance plus en production, problème accengage --> il faut désactiver le booleen ad4screen sur l\'intégralité des versions et pas uniquement sur la version 5.0.\nProjet AMEX: avancement de l\'intégration, échange avec le TechLead du portail SPORT.'),
(26350, 'Tests en local:\r\n\r\n1er bug Ok\r\n2eme Bug KO'),
(26586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n[Digishop] maintenance scripts automatisation \nITF : analyse impact ITF 2.0.6 an niveau des services back et admin (ITFA, OPR, MTRA, ITGA)'),
(26353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nMise à jour des cas de test SESSIONS (Régul)\nSuivi 2 équipe Auto Back\nAtelier Batch Auto'),
(26363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nMise à jour des cas de test SESSIONS (en attente livraison ANO051360 et de la création des jeux de données pour exécuter les tests)'),
(26365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nImplementation de tests auto. CR activité disponible via les pptx d\'Elisabeth Capdeville. '),
(26366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nMise à jour des cas de test SESSIONS (Régul/Recertif)'),
(26367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n 	Implementation de tests auto. CR activité disponible via les pptx d\'Elisabeth Capdeville.'),
(26375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nImplementation de tests auto. CR activité disponible via les pptx d\'Elisabeth Capdeville.'),
(26373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nDéroulement des cas de test sous ALM: 04. Module Resettlement et LateBets,'),
(26384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nImplementation de tests auto voir pptx réunion avec Elisabeth Capdeville.'),
(26386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(26587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nImplementation de tests auto voir pptx réunion avec Elisabeth Capdeville.'),
(26381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(26382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nPIMO : Analyse documentation - Prise de connaissance de l\'évolution.'),
(26383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nDéfi Stock Grattage : Analyse rapport R3 P2 DI - Pas de spec et format douteux.'),
(26385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nTests IF NR 2.0.6\r\nPréparation test LAB IF pour Poupées Russes'),
(26520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nImplementation de tests auto voir pptx réunion avec Elisabeth Capdeville.'),
(26389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nTests IF NR 2.0.6\r\nPréparation test LAB poupées russes'),
(26390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nRéunion Poupées Russes'),
(26396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / INT7]: Serveur Indispo + Attente Livraison testable + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM + [ALM / CB] : Réunion avec Vanessa pour maj la campagne de NonReg / CB: la NonReg va maintenant intégrer des tests / FreeBet + [Outil] : création d\'un outil (Excel) pour calculer le Gain (=> Gain + Boost/Gain Net) d\'un Combiné Boosté(CB)'),
(26398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / INT7]: Serveur Indispo + Attente Livraison testable + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM + [Outil] : création d\'un outil (Excel) pour calculer le Gain (=> Gain + Boost/Gain Net) d\'un Combiné Boosté(CB)'),
(26399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nvie des environnements : évolutions bric'),
(26400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nvie des environnements : évolutions bric'),
(26401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nvie des environnements : évolutions bric'),
(26402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\ninstallation robotframework / selenium'),
(26403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\ninstallation robotframework / selenium'),
(26404, 'Ce mantis ne sert que de trace coté MCO car elle à été géré coté PHAV2\r\n'),
(26405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nBRIC : \r\n0,75 : CRM lot1-nonReg Email : ecritures exigences\r\n0,25 : Point Arjel pour automatisation des tests manuels de SPOC impactant le SPORT'),
(27905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nBRIC :\r\n0,5 : Suivi d\'avancement qualif manuelle\r\n0,5 : NAPO vers CapAdresse : ecriture exigence'),
(26415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nBRIC : \n0,25 : instance IQ\n0,25 : controle BDD suite à le restor de prod sur INT7 et installation usr2.7.0-1\n0,5 : optimisation organisation  dans ALM  +  lenteur de la base int7 => impossible de finaliser l\'ecriture des tests du dernier service API à tester pour \"Poupée Russe\"'),
(26554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nAtelier : Automatisation tests ARJEL'),
(26555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nCampagne Non Reg INT9 - INT8\nV16'),
(26418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nCampagne Non Reg INT8'),
(26419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nOptimisation Campagne\r\nV16'),
(26421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nElaboration des cas de test AdminWeb JRN TMA sous ALM.'),
(26441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nBRIC :\n0,5 : Alerte et demande d\'intervention sur pble liées à la restor des données de prod sur int7 (mot de passe KO pour joueur Retail ; lenteur => dans postman : la sélection des joueurs plante)\n0,5 : Finalisation écrire test postman pour Poupées Russes'),
(26632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nRéunion de suivi Automatisation'),
(26424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nBRIC : Ecriture tests CRM Lot1(Non Reg Email)'),
(26430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nCréation de l\'ANO051501 : [PDV][Android] Valeur du catalogue du seuil de la côte minimum pas pris en compte ; Création de l\'ANO051508 critique : [SPDV] Pas de seuil minimum pour la côte ; Création de l\'ANO051511 critique : [SPDV] Pas de seuil maximum pour la côte'),
(26431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nCréation de l\'ANO051540 : [PDV][Android] Gains potentiels pour les combinés 100 fois trop grand ; Création de l\'ANO051548 : [PDV][Android] Toutes les erreurs sur /api/e-bulletin/simulate déclenche le message d\'erreur sur les seuils de côte'),
(26432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nTests acceptance PSEL 1.0.022 ; Tests acceptance WSPO 3.1.3 (PSEL) ; Tests acceptance WSPO 3.1.3 (JASON)'),
(26777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nQualification PS PDV et JASON'),
(26778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nTests acceptance WSPO 3.1.4 (PSEL) ; investigation sur l\'ANO051606'),
(26435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nreste devis'),
(26835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nDéfi Stock Grattage : Création d\'un nouveau cas de test (vérification fichier de régul)'),
(26443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nDéfi Stock Grattage : Exécution cas de test fichier de régul.'),
(26463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nPoint COQAR: L\'environnement 7 est Down pr l\'instant car des manips sont en cours (BDD ...) pour poupées russes. Les IHM MIG/MAG/MUG sont également en attente de livraison pour Mercredi.  Differents sujets sont à traiter en parallele car de nouvelles boutiques sont arrivés : digishop Games, P, en plus des I/A/U.\n\nReunion Convergence Atelier Services Loto : participation/découverte des services repris dans la boutique Games.'),
(26451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n- réunion COQAR (MVA)\n- retour d\'experience matrice d\'exigence BRIC (MVA)'),
(26450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n- BRIC - Stratégie de tests (MVA)'),
(26456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n- BRIC - STANLEY Instance IQ (MVA)\n- Réunion Automatisation des tests Front (VLE)'),
(26455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n- Sprint Planning Stream Coco (AHE)\n- Démo Sprint 30 Coco (AHE)'),
(26454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n- Rédaction tests PRLOT1\n- Support Dév pour déploiement sur INT71'),
(26458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n- Rédaction tests PRLOT1\n- Conf Digishop  + Maj Docs'),
(26459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n- Rédaction tests PRLOT1\r\n- Support dév Coco'),
(26460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n- Déploiement MUG 2.11 (hors FDL ) pour tests sur 02\r\n- Rédaction tests PRLOT1'),
(26461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\necriture de test postman ModIban\r\npresentation soapui'),
(26465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nRéunion Stratégie des Tests: point pour définir les priorités de tests entre les différents projets/ aux paliers, et l\'intégration des tests entre Postman/ test auto HP ALM etc.. : Finalement cette semaine intervention sur la Boutiques Games et la semaine prochaine tests Postman sur Poupées Russes\n\n\nDigishop Games (Playstation): Présentation par Romain de l\'etat de mise en place (intégration) de la boutique, du fonctionnel/services et des attendus.'),
(26466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nPoint Stanley IQ Bric\r\n\r\nTravail avec les dév pour finaliser l\'intégration de Digishop Games (conf salt, install ...): il reste quelques services qui ne répondent pas ds Postman\r\n'),
(26474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nRéalisation d\'un script de représentation de l\'état des lieux des composants Illiko'),
(26477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nRéalisation de scripts d\'installation en automatique des composants Illiko'),
(26471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nFinalisation de l\'installation de la Boutiques Games avec nouvelle livraison et modif de config Salt: les services sont tous ok 200 quand appel depuis Postman. Travail avec les dév sur la suite pr amélioration des livraisons, demandes de fichier json pr la doc, etc... Démarrage de travail sur les services proprement dit (contenu, sens...)'),
(28123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nRéactivation des jeux suivants sur INT21:\n- Mots croisés\n- What the truck\n- Astro\n- Booster\n- Cash\n- Diamond River\n- Eldorado\n- Dobble\n- Maxi goal'),
(26476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nRéalisation de scripts d\'installation en automatique des composants Illiko'),
(26478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nInstallation de [MAXI RUCHE D\'OR] Livraison Applet v1.0.1 sur INT21\nRéalisation d\'un script de représentation de l\'état des lieux des composants Illiko'),
(26492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nPréparation V16'),
(26552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nPréparation V16'),
(26483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nCompléter la NonReg INT8 ( que Elise a commencé la veille ) '),
(26484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n--Compléter la NonReg INT8 ( que Elise a commencé la veille ) : 1/2 journée\r\n--Préparation campagne d\'acceptance sur INT7\r\n'),
(26485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\nmodification tests keno'),
(26486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nFDL017391'),
(26487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nFDL017394'),
(26488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nFDL017398'),
(26489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nFDL017397'),
(26514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nFDL017396'),
(26491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n--Lancement Campagne d\'acceptance\r\n--Préparation V16'),
(26545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nRecherche et installation d\'un nouvel outil de test'),
(26546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nRecherche et installation d\'un nouvel outil de test'),
(26511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nTests V2.7 et Implémentation Test Batch (etebac)'),
(26547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nRecherche et installation d\'un nouvel outil de test'),
(26512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nTests V2.7 et Implémentation Test Batch (etebac)'),
(26541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n Etude Spec CRM & Architecture'),
(26531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n•	Campagne de test qualification DA 4.0.1/DU 4.0.1/DI 4.0.0 FLV  \n•	Campagne de test vérification NON REG DA/DI/DU CC et Digishop R\n•	Implémentation des tests Digishop I/A/U pour couverture pR\nRAF identifié: \n•	Mise en place du « reporting » test vs statut de test pour DI/DA/DU en acceptation test technique, acceptation test fonctionnel, non régression, évolution, générale'),
(26528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n•	Campagne de test qualification DA 4.0.1/DU 4.0.1/DI 4.0.0 FLV  \n•	Campagne de test vérification NON REG DA/DI/DU CC et Digishop R\n•	Implémentation des tests Digishop I/A/U pour couverture pR\nRAF identifié: \n•	Mise en place du « reporting » test vs statut de test pour DI/DA/DU en acceptation test technique, acceptation test fonctionnel, non régression, évolution, générale'),
(26530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n•	Campagne de test qualification DA 4.0.1/DU 4.0.1/DI 4.0.0 FLV  \n•	Campagne de test vérification NON REG DA/DI/DU CC et Digishop R\n•	Implémentation des tests Digishop I/A/U pour couverture pR\nRAF identifié: \n•	Mise en place du « reporting » test vs statut de test pour DI/DA/DU en acceptation test technique, acceptation test fonctionnel, non régression, évolution, générale'),
(26529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n•	Campagne de test qualification DA 4.0.1/DU 4.0.1/DI 4.0.0 FLV  \n•	Campagne de test vérification NON REG DA/DI/DU CC et Digishop R\n•	Implémentation des tests Digishop I/A/U pour couverture pR\nRAF identifié: \n•	Mise en place du « reporting » test vs statut de test pour DI/DA/DU en acceptation test technique, acceptation test fonctionnel, non régression, évolution, générale'),
(26532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n•	Campagne de test qualification DA 4.0.1/DU 4.0.1/DI 4.0.0 FLV  \n•	Campagne de test vérification NON REG DA/DI/DU CC et Digishop R\n•	Implémentation des tests Digishop I/A/U pour couverture pR\nRAF identifié: \n•	Mise en place du « reporting » test vs statut de test pour DI/DA/DU en acceptation test technique, acceptation test fonctionnel, non régression, évolution, générale'),
(30114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\nTests V2.7 et Implémentation Test Batch (etebac)'),
(26518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nImplementation de tests autos voir pptx réunion avec Elisabeth Capdeville.'),
(26522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nGestion des incidents - INC175210'),
(26523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nMCO EGIDE'),
(26524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Test de bout en bout de création/ modification/suppression PDV EGIDE/SAGA/MEIBO sur INT1'),
(26525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nà tester'),
(26526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\na tester'),
(26527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\nà tester'),
(26534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nExécution campagne de test:\n RUN 3 - Non reg: TF 2.0.5-2 / FALCON USR 2.6.9-1\n- Test sur tout les navigateur (FF/IE/Chrome) sur Desktop et Mac\n-Test sur réseau Externe à la FDJ(box orange)\n-Test sur réseau interne  de la FDJ (Test dans labo)'),
(26597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n-Compagne de test de non régression : RUN 6 - NON REGRESSION COMPTE (DIGISHOPA 3.2.3  + USR 2.6.9-1)\n-Génération du fichier export pour la compta\n-Test PDG sur Tab/iPhone/android phone'),
(26548, 'Analyse des logs \r\nReproduction du scénario impo\r\nVue des NIRS en BASE\r\nHypothèse 1: LE BATCH RIBA qui ne sauvegarde pas les NIR dans LDAP\r\nPremière Etape vérification au niveau de LDAP QF3 la présence de ces NIRS (2751038151014,2480599032129,1980437001001,1520528088188)\r\nEnvoi en demande INFO\r\nHypothése 2 : BDU WS\r\nVue avec les logs et le test \r\nErreur d\'appel du WS BDU\n\n'),
(26549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nFormation GIT '),
(26550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nAnalyse du code et des logs \r\nreproduction des scénarios avec les NIRS\r\nTEST de WS BDU '),
(29779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\nPréparation V16'),
(26553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nTEST de reproduction du scénario\r\nVOIR les logs et le code \r\nTEST BDU'),
(26556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n- réunion [CONVERGENCE] : Atelier services LOTO\n- création ANO051502 [PLAYSTATION] paramètre moveto non prise en charge dans le braodcast.php\n- création ANO051505 [PLAYSTATION] Rattrapage d\' un tirage deja existant en base Sqlite \n- création ANO051518 [PLAYSTATION] Contraintes d\'intégrité sur la base astro_2017.sqlite\n- création ANO051519 [PLAYSTATION] Libellés de colonnes base astro_2017.sqlite\n- création ANO051520 [PLAYSTATION] Contraintes d\'intégrité sur la base iat_2017.sqlite\n- création ANO051521 [PLAYSTATION] Libellés de colonnes base iat_2017.sqlite'),
(26560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n- remonté optimisations à faire sur la base sqlite Astrologie pour les statistiques\r\n- création ANO051531 [PLAYSTATION] Type incorrecte pour la colonne \"promo_id\" dans les tables Draw Astro et Iat\r\n- support appli native sur JOSe environnement int22, mail d\'alerte envoyé au service JTR\r\n- analyse des fichier XML Schema pour Astrologie et Iat, maj proposée\r\n- réunion [CONVERGENCE] : CoPro SI/DT'),
(26561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n- réunion [Convergence] Démo sprint\r\n- réunion [Playstation] COPROJ Digital multi-stream\r\n- travail sur les schémas XML XSD pour palier Playstation\r\n- remonté pb sur XSD, pas assez stricte'),
(26700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n- travail sur les schémas XML XSD pour palier Playstation\n- travail sur mrcd, mise en fonction service /mrcd/voucher/flash\n- installation livraison 4.2.2_mrcd playstation livraison rejetée\n- installation livraison 4.2.3_mrcd playstation\n- qualification livraison playstation\n- maj doc swagger 4.2.2_mrcd');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(26699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n- qualification livraison playstation\n- création ANO051612 [PLAYSTATION] Script de notification push_annonce.ksh KO pb de magicword IF\n- création ANO051623 [Appli FDJ] Methode POST service /mapi/subscription/get (Android)\n- création ANO051624 [Appli FDJ] Methode POST service /mapi/subscription/get (iOs)'),
(26565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\ncorrection de l\'outil COMIP'),
(26570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(26569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nà tester'),
(26571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(26572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n'),
(26574, 'Pas une anomalie : cf Mail ci joint'),
(26576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nmaj specifications détaillées génération table Fdj_integration_Courrier (externalisation courrier hors procédure de chargement client)'),
(26577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(26578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(26579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(26588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n[PSMSv2] Création d\'un nouveau référentiel de campagne de NONREG PSEL\r\n\r\n[PSMSv2] Mise à jour des cas de tests de non reg Front\r\n\r\n[PSMSv2] Réunion de présentation du nouveau référentiel de campagne de tests à Raphael - de 10h à 11h\r\n\r\n'),
(26589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n'),
(26590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-07  (Do not remove this line) -->\n'),
(26591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nFichier de suivi des incidents + Correction pour prise en compte des anos sur incidents qui n\'ont pas été modifiés récemment.'),
(26593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nDéfi Stock Grattage : CR situation qualification + réception livraison + mise à jour suivi des livraisons + Préparation test run sur HP ALM'),
(26594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nRAF: tests Fluxy'),
(26595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nAide pour mapping des données'),
(26596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nAide pour mapping des données'),
(26647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\n- Tests et check des credentials et jeux de données suite à l\'évolution sur INT7\n- Check des test NREG sur INT7'),
(26600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nReproduction du scénario\ncréation des users et test '),
(26602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nrevue des logs et codes et demande de logs complets pour avancer'),
(26603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nMCO EGIDE'),
(26605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Gestions/mise à jour des environnements d\'intégration'),
(26606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nBCO.088.32 [FDV] PORTAIL V3 - CSAM MEIBO - Test de bout en bout de création/ modification/suppression PDV EGIDE/SAGA/MEIBO sur INT1'),
(26608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nLe service n\'est pas encore prêt côté back end'),
(26609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nMCO Court commercial du 09/08/17'),
(26610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nRAM.004 - DMT0010640 - Refresh des bases SAGA, COUR et COURDT sur INT4'),
(26611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nBTI.050.06 [INNO] PLAYSTATION - Extraction lettres de prélèvement et factures commission jeux pour les détaillants 175690 et 176206'),
(26612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - DMT0011755 - Installation de la FDL016859'),
(26613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nMCO Court commercial du 10/08'),
(26614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE - Validation des anomalies de recette.'),
(26615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - DMT0011755 - Suite Installation de la FDL016859'),
(26617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nTest ok prêt à livrer'),
(26618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nTest ok prêt à livrer'),
(26623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nTest ok prêt à livrer'),
(26620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nTest ok prêt à livrer'),
(26621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nTest ok prêt à livrer'),
(26624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nVérification des cas de rejets en fonction des pensions'),
(26625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nOptimisation des campagnes'),
(26626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nPoint ARJEL'),
(26823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nOptimisation des campagnes\nCampagne Non Reg INT8'),
(26628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nSuivi avancement automatisation'),
(26824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nCampagne Non Reg INT8'),
(26631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nCampagne Acceptance INT7 (CombiBoost)'),
(26662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nMOD IBAN : dev d\'un script transverse GenerateBankAccountIBAN pour générer des IBAN en sortie selon un parametre d\'input pIBAN '),
(26635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nDefi Stock Grattage : FDL017415'),
(26636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(26637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\n-Récupération des fichiers d\'extract compt -> les mettre sur FTP \n-Contrôle M \n-Compagne de test non reg 2.6.9\n-Exécution cas de test de réconciliation (avec L.Bo)'),
(26639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\n- Support dev Digishop P (config port de serveur de mail + conf apache nouveau service)\r\n- Support dev Stream coco pour install sur INT7\r\n- Support recette Sport (bloquée sur INT 7 suite à des tests MAG)\r\n- Cas de tests PR LOT 1'),
(26640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nDéfi Stock Grattage : Analyse pour reprise des aggrégats en cas de période sans transactions + MAJ du KB MCO.'),
(26838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nJASON + PSEL Android : Reprise de données suite à données Falcon non prêtes.'),
(26643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nBDI.069.30 [IF] INTERCONNEXION IF & FDJ : Début analyse ANO051513'),
(26644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\n'),
(26645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n- Création des fichiers customisés pour les prochains tests\r\n- Parcourir et check des cas de test NREG combiné boosté:PDJ\r\n- check des credentials suite à l\'intervention sur INT7'),
(26656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n-Récupération des fichiers d\'extract compt -> les mettre sur FTP \n-Faire passer le Batch WKF_Jackpot_details dans Contrôle M \n -Compagne de test non reg 2.6.10\n-Exécution cas de test de réconciliation (avec L.Bo)'),
(26671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nMOD IBAN : création d\'une requete SQL et génération d\'un reférentiel de FAKE IBAN, adaptation de la routine de génération d\'IBAN pour gérer le nouveau mode AUTO_FK\npublication du script GenerateBankAccountIBAN et création du tag API correspondant\nQualification du script sous ALM dans le Referentiel_Automatisation\nMise à jour du catalogue des scripts auto Falcon et IF'),
(26665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM.'),
(26666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nMise a jour après absence + point avec romain\r\nInstallation PTAB 2.17.8 sur INT8 et INT42 + tests d\'acceptance\r\nPoint avec Yann FAVEAUX sur la FAQ'),
(26667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. Point TMA hebdo.\r\nCorrectifs de script pour automatisation des tests de batchs.'),
(26668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nGestion du jackpot IF : changement de version\r\nTransformation des tests postman BRIC en tests auto'),
(26669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\nje sais plus...'),
(26670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\nje sais plus...'),
(26672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nFin des tests pour le 44654 en interne et en transverse'),
(26674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nBRIC_ CRM Non Reg Email : Ecriture/Execution des tests'),
(26675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nBRIC : \r\n0,5 : CRM Non Reg Email _ Ecriture/Execution des tests (int7)\r\n0,5 : Poupées Russes _Execution campagnes postman sur INT1 en USR2.7.0-1 (pour go recette)'),
(26676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nBRIC_ CRM Non Reg Email : Ecriture/Execution des tests'),
(26677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nBRIC : suivi avancement + etat détaillé des actions faites/ a faire pour passage relais pour repart /retour conges'),
(26801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\necriture test postman ModIban'),
(26679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nAdaptation des cas de tests inscription'),
(26682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nMCO digital tr 1 2 3'),
(26687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n[PSMSv2] Mise à jour de la campagne de NonReg Front sur ALM\r\n\r\n[PSMSv2] Réunion avec Raphael d\'avancement des mises à jour de la campagne de Nonreg IQ Sport dans ALM - de 16h à 18h\r\n\r\n[SPEED UP] Vérification de la MOD011434 Baseball - Ré-joueur les matchs lives importé sur INT8, vérification  de la création, ouverture, mise à jour des cotes, fermetures, promulgation et paiement des paris. >> Validation suspendue après plusieurs essaies due à une erreur de lecture des flux Betradar. >> En cours de vérification'),
(26688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n[PSMSv2] Finalisation des mise à jour ALM (Campagne de Non Reg Front) et nouveaux cas de tests Combiné Boosté.\r\n\r\n[PSMSv2] Tests de nouvelles fonctionnalités Combinés Boosté sur INT7 \r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_16-11\r\nABP:            14.1.32-SNAPSHOT 3090\r\nMOBILE:         origin_release_7\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.181\r\n'),
(26689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nGestion du jackpot IF : changement de version Jackpot\r\n Transformation des tests postman BRIC en tests auto'),
(26690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nTransformation des tests postman BRIC en tests auto'),
(26693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\nRéunion : Palier BRIC : présentation matrice exigences\n\nPoint [BRIC] Boutiques\n\nProjet : Poupées Russes\nAction : analyse des exigences'),
(26694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-21  (Do not remove this line) -->\nProjet : Poupées Russes\r\nAction : analyse des exigences \r\nAction : estimation de charges'),
(26992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nRéunion : [BRIC] Stratégie de tests des 16 / 17 et 18 août\n\nProjet : Poupées Russes\nComposant : Digishop U\nAction : conception et implémentation des cas de test auto'),
(27162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n- qualification livraisons Playstation\n- création ANO051675 [APIMAITRE] Chemins aux fichiers de resultats erronés dans le getDrawGameConfigByName()\n- création ANO051684 [APIMAITRE] Génération des fichiers de data Promulgations/Loto/Super Loto dans le mauvais répertoire rsyncdir\n- installation livraison 4.3.7_hasard Palier IF - rejetée pb de montant SJ\n- installation livraison 4.3.8_hasard Palier IF - rejetée pb de montant SJ\n- installation livraison 4.3.9_hasard Palier IF - rejetée pb XML\n- installation livraison 4.3.10_hasard Palier IF\n- alerte remontée sur chevauchement lib d\'animation CountUp IF avec affichage sur Template evenementiel\n- qualification livraison IF'),
(27164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n- création MOD012248 [IF] Paramètres refreshDelay et animationDuration dans tags JS haut\n- installation livraison 4.3.11_hasard Palier IF\n- qualification livraison IF\n- qualification livraisons Playstation'),
(27163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n- qualification livraison edwan Palier Playstation\n- création ANO051635 [PLAYSTATION] Retrait du répertoire de mock dans la livraison pour la prod\n- création ANO051636 [PLAYSTATION] Retrait des bases sqlites de la livraison\n- création ANO051637 [PLAYSTATION] Sortie du script de promulgation non correcte : \"OK\" obligatoire pour le broadcast.ksh\n- création ANO051641 [PLAYSTATION] Pas de validation du schema XML avec le paramètre ignore_sign=true\n- réunion [Playstation] COPROJ Digital multi-stream\n- installation livrasion 4.3.2_edwan Palier IF int12\n- qualification livraison 4.3.2_edwan - livraison rejetée\n- installation livraison 1.1.1_apimaitre\n- installation livraison 4.3.6_hasard Palier IF int42\n- qualification livraison 4.3.6_hasard Palier IF - livraison rejetée\n- qualification livraison 4.3.6_hasard Palier IF - livraison rejetée\n- création ANO051655 [IF] Affichage d\'un nouveau montant SJ après une décrémentation\n- création ANO051667 [IF] Affichage du montant SJ sans les décimaux suite à une décrémentation'),
(26708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / 14.1.32-b3090 / INT7]: Les Combinés Boostés n\'apparaissent pas => Remontée d\'anomalies => Tests impossibles + [ALM / CB] : maj tests + maj tests / Tests Auto (=> Table Transaction) + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM, Box'),
(26709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / 14.1.32-b3090 / INT7]: Les Combinés Boostés n\'apparaissent pas => Remontée d\'anomalies => Tests impossibles + [ALM / CB] : maj tests + maj tests / Tests Auto (=> Table Transaction) + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM, Box'),
(26710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n[PSMSv2  / Combinés Boostés / 14.1.32-b3090 / INT7]: Les Combinés Boostés n\'apparaissent pas => Remontée d\'anomalies => Tests impossibles + [ALM / CB] : maj tests + maj tests / Tests Auto (=> Table Transaction) + [Support / Sport / Imed] : Généralités / ABP, Offre, ALM, Box'),
(26711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(26712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nDMT0012644 : reprise des données TAGG depuis le 25/07'),
(26839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nANO051513 : Analyse + DMT du fichier de reprise.'),
(26715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(26716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n'),
(26791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nRecherche et mise en place d\'un outil de test'),
(26792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nRecherche et mise en place d\'un outil de test'),
(26793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nRecherche et mise en place d\'un outil de test'),
(26721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nCommentaire ALM pour recevoir plus de logs\r\nReproduction normal de l\'anomalie'),
(26774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nCAMPAGNE AUTOMATIQUE JEU MOTORS LA COURSE INT32'),
(26723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nAjout de commentaire dans ALM'),
(26724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\najout de commentaires dans ALM'),
(26727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n- Déroulement des cas de tests sur INT7: NREG 010101. Prises de Jeux - PSMSv1\r\n- Analyse des soucis sur mes jeux de données\r\n'),
(26923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n- Dev orchestration PDJ Mify\n- Atelier Perf Evols Mify'),
(26735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n- check et déroulement des tests NREG: \n      - 010105. Early Kick Off - PSMSv2 (FreeBet)\n      -010104. Prises de Jeux - PSMSv2 (FreeBet)\n- Check des soucis sur ENV7 suite au non settlement\n'),
(26730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nQualification de la gestion d\'offre sur INT1( Création-mise à jour-Résulting)  et les checks associés.'),
(26731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n1/2 journée :\r\nQualification de la gestion d\'offre sur INT1( Création-mise à jour-Résulting)  et les checks associés.\r\n1/2 journée:\r\nLancement de campagne de NonReg sur int8( version ABP corrective) '),
(26733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nCampagne de Nonreg INT8'),
(26736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n- Check et déroulement des cas de tests NREG: 010102. Early Kick Off - PSMSv1\n                    -010102. Early Kick Off - PSMSv1\n                    - 010103. Void Bets on Price ID - PSMSv1'),
(26751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nDéclaration de Yummy Stack sur INT0, INT2, INT4'),
(26750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nRéalisation de scripts d\'installation en automatique des composants Illiko'),
(26749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nInstallation du jeu Lacourse sur l\'environnement PERF2'),
(27107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nAdaptation du script json du jeu Next Level de draft v4 à Draft v2'),
(26744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. '),
(26746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n[CRM lot1] Lecture de la base de test\n[MOKA] Lecture de la base de test'),
(30942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n[CRM lot1] Lecture de la base de test\n[MOKA] Lecture de la base de test'),
(26748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n[CRM lot1] Lecture de la base de test\r\n[MOKA] Lecture de la base de test'),
(26779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nTest exploratoire sur les différents navigateur /OS\n-Android Téléphone/tablette\n-iOS: iPhone (applications natives/Safari )Mac(Safari, Chrome, FF)\n-Chrome,FF,IE( réseau FDJ)'),
(26991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop U\nAction : conception et implémentation des cas de test auto'),
(26756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nCréation du script Virement/rejet'),
(26761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nTest PS recuperation du datamatrix'),
(26758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nTests ifm : pilote'),
(26759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nTests ifm : pilote'),
(26760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nTests ifm : pilote'),
(26762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\ntest PS scan datamatrix'),
(26802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\necriture tests postman ModIban\nreunion ModIban test IQ & recette'),
(26803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\necriture tests postman ModIban'),
(26794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n- BRIC : Stratégies de tests (MVV)'),
(26797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n- Sprint Planning Fin de Sprint (AHE)\n- BRIC Instance Stanley IQ (MVV)'),
(26795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n- Démo Sprint 30 Stream Coco (AHE)'),
(26769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n- Support dev sur Pré Q projet BRIC\r\n- rédaction cas de tests CapAdresse'),
(26770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n- Support dev sur Pré Q projet BRIC\r\n- tests de no rég sur compsants BRIC => Problème de regression sur Freebet (mauvais merge ?)\r\n- rédaction cas de tests CapAdresse'),
(26771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n- Support dev sur Pré Q projet BRIC\r\n- rédaction cas de tests ModIBAN'),
(26772, 'Analyse des logs fournis\r\nReproduction du scénario impossible (création parfaite des assurés avec les NIRS fournis)\r\nDemande de logs supplémentaires \r\nAnalyse des nouveaux logs\r\nRésultat: Problème d\'environnement'),
(26775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nCAMPAGNE AUTOMATIQUE JEU MOTORS LA COURSE INT32'),
(26776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nCAMPAGNE AUTOMATIQUE JEU MOTORS LA COURSE INT32'),
(26780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nTests acceptance WSPO 3.1.4 (JASON) ; Tests Edwan 4.3.2'),
(26781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nTests Edwan 4.3.2 ; mise à jour du broadcast et de la syncro'),
(27146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nTests acceptance PSBOR 2.0.13 ; qualification psbor'),
(27148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nTests acceptance PSPDV Android 5.0.4 ; Tests acceptance PSPDV ios 5.0.10 ; Qualification des ANOs PSPDV Android et ios'),
(26784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nMCO SID Client + SID Commercial'),
(26825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nInvestigation  sur unprobleme lié au montant du jackpotIF sur la version 2.17.8 de PTAB\nCreation de l\'ANO051681\nReinstallation de la version 2.17.7\nQualification des ano 2.17.8\nCreation ANO051709'),
(26786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nCampagne Batch V2.7.0-1 sur INT7'),
(26789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nAuto Batch Etebac'),
(26790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\ncampagne Batch V2.7.0-1 sur INT1'),
(26800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nDAily meeting (1h)\nSupport PS PDV, les gains potentiels ne fonctionnent pas --> problème de conf apache, l\'INT4 FRONT doit pointer sur le INT1 JOSE.\nSupport PS PDV, les jobs CTRL-M INT2 & INT4 ne sont pas identiquement à ceux de la production --> avec HIA, on les met à jour. On en profite pour nettoyer 4Go de données obsolète (MAI 2016) sur l\'Edwan de production.\nSupport version Edwan pour PS PDV 5.0 ...\nRelance du CDS Firewall & ADC pour la DMT0012547 --> après plusieurs essais, on arrive à pointer le domaine www0.enligne.parionssport.integ.fdj.fr sur le nouveau portail SPORT (Projet AMEX) (1h30)\nSuite mise à niveau de la configuration AMEX sur INT0.\nSupport script unix équipe test selenium.\nAvancement projet AMEX.\n Normalement réunion SALT avec P.AMERIO (à confirmer).'),
(26798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nProjet AMEX,\r\nDaily meeting (1h)'),
(26804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\npalier BRIC prj poupée russe\r\n\r\nconception implémentation des tests \r\ncampagnes de test\r\nsuivi \r\n'),
(26812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\npalier BRIC prj poupée russe\n\nconception implémentation des tests \ncampagnes de test\nsuivi'),
(28163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nReunion Palier Bric: Test recettes seront a faire pr le 21/08 , déploiement sera a faire sur iNT11 au préalable quand livraison et GO ok.\r\nLe service CapAdresse sur DigiP appelle une url externe: recueil d\'infos et fiche d\'ouverture de flux avec Romain pr support.\r\n\r\nPoint avec les dév sur la livraison des Boutiques pour confirmer des parametres/ maj les environnement et préparer l\'installation.'),
(28164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nInstallation des Boutiques sur int11 : l\'installation est lancé mais plante suite à des pb réseaux. Aprés analyse avec Romain il apparait que 36 machines sont plantés réparties sur quasi tous les environnements ! Ouverture d\'une fiche d\'anomalie pour demande de résolution par l\"équipe réseau.\r\n\r\nL’après midi le pb est résolu mais il faut désormais faire des commandes sur les 36 serveurs pour vérifier leur status/ les relancer pour avoir les applis actives et refaire des installations.\r\n\r\nL\'installation des boutiques sur iNT11 est finalement ok et fonctionnelle.\r\nLa stratégie de tests est fortemement impactée et décalée (je n\'ai pas pu démarrer les tests postman)'),
(26811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\npalier BRIC prj poupée russe\n\nconception implémentation des tests \ncampagnes de test\nsuivi'),
(28165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nL\'équipe de gestion réseaux/administration a relancé les différentes VM.\r\nIl est donc nécessaire de redemarrer tous les serveurs et salt pour les 36 serveurs ce qui prends bcp de temps et va décaler les tests Postman a plus tard. \r\n\r\nLa réinitialisation est ok sur tous les environnements.\r\n\r\nInstallation sur Int 81 de la FAQ (boutiques A et P) pour tests.\r\n\r\nPoint pour le Modop sur IF\r\n\r\nPoint Sur la Strategie de tests pour la semaine prochaine'),
(28184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n0,5 _ MOKA : Analyse stratégie de test + prise de connaissance des Documents existant/disponibles + Préparation des environnements\n0,5 _ BRIC : suivi de la qualif _ préparation bilan d\'activité IQ digital back manuel'),
(28173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n'),
(26826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nANO051552 : Analyse + contournement donné.'),
(26827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nFDL017415 : Qualification Statique'),
(28191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nEcriture de test postman digishopp sur les pieces jointes (suite)\nInvestigation sur un probleme d\'affichage des images FAQ sur IE\nInvestigation sur le probleme d\'affichage de la barre de navigation de la FAQ Admin\nInvestigation sur des questions qui ne fonctionne plus sur INT31 (ANO052349)'),
(26831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n'),
(26858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nLivraison SAGESS, RIBA, REF_ASSURE, TAIGA_PALL, SCU, ANV_CTX (!!!)'),
(26855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n'),
(26856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nMCO Egide du 13/08/2017'),
(26857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nMCO Court commercial du 13/08/2017'),
(26860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nMCO Egide du 15/08/2017'),
(27027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - DMT0011755 - FDL016859 - Rédaction des cas de test 21'),
(26863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nMCO Court commercial du 15/08/2017'),
(26864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - DMT0011755 - qualification de la FDL016859'),
(26865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nMCO Egide du 16/08/2017'),
(26866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nAnalyse de l\'incident INC172082'),
(26867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nAnalyse de l\'incident INC177371'),
(26868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nAnalyse de l\'incident INC177372'),
(26885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nTests INT42 sur IF\nVérification Modop 2.17.7 et annexe IF\nSauvegarde des droits des dossiers/fichiers du dossier www sur ptab et restauration des droits similaire en prod sur INT8'),
(26870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(26871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n[PSEED UP] Support traders pour la qualification de la fiche d\'anomalie Rugby ANO050748\r\n\r\n[SPEED UP] Test ARJEL des nouveau pairs Match Bet and Totals en Live Rugby.\r\n\r\n[PSMSv2] Début Tests de Nonreg Front sur INT7\r\n\r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_16-11\r\nABP:            14.1.32-SNAPSHOT 3090\r\nMOBILE:         origin_release_7\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.181\r\n'),
(26874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(26875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-04  (Do not remove this line) -->\n1751,1553,1517,1523,1495,1494,1483'),
(26880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nRefusé réal, non reproduit.'),
(26877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n'),
(26878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nBloquante PROD 18/08/2017'),
(26881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nRefusé réal, non reproduit.'),
(26882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n'),
(26883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n'),
(26895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-18  (Do not remove this line) -->\n'),
(26889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nDemande de DUMP BD\r\nDemande de DUMP LDAP\r\nDemande accès LECTURE SUR QF3'),
(26890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nVérification de la config utilisé coté RSI pour le BDU WS '),
(26892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n-Test exploratoire sur les environments INT02/INt42/INt22\r\n-Prise de jeu via Postman\r\n-Récupération fichier pour la conta\r\n-Démarrer le batch WKF_JSK..'),
(26894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-17  (Do not remove this line) -->\n'),
(26896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-20  (Do not remove this line) -->\n'),
(26897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nMCO Egide du 17/08/2017'),
(26898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n'),
(26899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(26900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nProjet RDI 1.1 - Analyse et préparation du référentiel de test EGIDE'),
(26901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Installation FDL017375 Egide 4.50.02 '),
(26904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n1759,1761'),
(26903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. Elaboration d\'un plugin Fiddler. Réunion GDRS accès BD IF avec CIP.'),
(26905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n'),
(26906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n'),
(28166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nCompléments sur la rédaction du MODOP IF : check/ à la conf etc... et relivraison du Modop ok.\r\n\r\nPoint avec Romain sur des retour pour amélioration des dév pour DigiP capAdresse.\r\n\r\nConstat d\'une boucle lors de l\'Authentification (service GotoOffer) suite à poupées Russes. Complément d\'infos sur une ano déjà remontée.'),
(26909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nFalcon 2.7 sur INT1 :\n- Exécution et analyse campagne Acceptance API et DB\n- Exécution campagne NR'),
(26958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nFalcon 2.6.10 sur INT8 :\n- Exécution et analyse campagne Acceptance API et DB\n  => Rédaction du Rapport de la campagne\n- Exécution campagne NR\nRéunion sur les vues FALCON'),
(26912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nAjout de log dans PT_ASSURE pour l\'inscription'),
(26913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nDefi Stock Grattage : Qualification statique.'),
(26914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nPIMO : Étude analyse d\'impacts.'),
(26915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n'),
(26924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n- Réunion de suivi automatisation sport\n- Support Analyse erreurs Mify.\n- Dev orchestration PDJ Mify'),
(27012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n- Dev orchestration PDJ Mify\n- Support test acceptante INT7\n- Support CombiBoost'),
(27068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n- Dev orchestration PDJ Mify\n- Atelier V16'),
(27399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n'),
(26926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nFichier de suivi des incidents'),
(26987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n[SPEED UP] Validation ETL (J+1) des nouveaux markets Rugby et Tennis de Table Live\n\n[PSMSv2] Tests de Nonreg Webapp sur la version Combiné Boosté Alpha INT7 - Des nouvelles anomalies remonté (ANO051806 et ANO051798)'),
(26928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(26934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nQualification des ano ptab (suite)\nMise au point avec Dhira sur la doc Digishop P\nCreation ANO051779'),
(26931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nLivraison ASUR run 4'),
(26933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nPalier SPOC : FDL017278 et FDL017285'),
(26935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nDaily meeting (1h)\r\nSupport PS PDV : les clés accengages doivent être rajoutées dans les catalogues d\'intégration et de production à partir de la version 5.0 ---> dans la console accengage, seulement les versions de production existent --> demande à Hubert BROSSEAU la création des clés de DEV.\r\nProjet AMEX : nouvel échange avec le back par rapport à la communication du portail web avec le back --> une réunion d\'architecture va être montée par le back\r\nSupport dev AMEX par rapport aux différents appels d\'authentification.\r\nAvancement configuration SALT.'),
(26937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nJe ne sais plus ce que j\'ai fait'),
(26938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nRecherche Simple pour consultation / Configuration Git / Conversion fichiers (Unix LF)'),
(26939, 'RAF : \r\n- Faire la cohabitation JMS.Rabbit avec Spring (0.1)\r\n- Mise en place du param (args) du script pour définir le client (broker/protocole) (0.25)\r\n- Documentation (0.25)\r\nRAF global : 0.6j'),
(26940, 'RAF : \r\n- Implémentation du module JMS Definition (DTO + Constantes) : (0.25)\r\n- Cohabitation configuration Spring : JMS / Liferay Service Bus ( ? ) 2j\r\n- Génération des données (construction des beans) : 2j\r\n- Envoi de message dans le bus Liferay : 0.1j\r\n- Réception de message dans le bus Liferay : 0.4jj\r\n- Envoi de message JMS sur les topics : 1j\r\n- Documentation : 1j'),
(26942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n '),
(30951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n-Récupération des fichiers d\'export pour la comptabilité  \n-Lancer le workflow MULT_ITF_WKF_E_JKP_DETAILS \n-Qualification Ano: ANO051628'),
(26944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nA livrer'),
(26946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nRAMM 004 (Maintenance) Ajout des alertes sur rejets SID client : FDL017418, FDL017419, FDL017420 (Rejetée), FDL017421, FDL017422 + FDL017497 (suite au rejet de FDL017420)'),
(26947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n[COQAR]\r\nMise au point de la compatibilité MOnext V1/V2 pour les scripts de versement bancaire Falcon + DigishopU\r\nCommit API et scripts'),
(26953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n- Building d\'un Template pour l\'automatisation du sport Volley sur INT8\n- Check des soucis pour mettre en place le nouveau Template sur INT8'),
(26955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n'),
(28619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nUpgrade du fichier xls du bouchon pour mise à niveau des nouvelles tables FLC'),
(26957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nFinalisation et livraison du devis.'),
(26959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nFalcon 2.6.10 sur INT8 :\r\n- Exécution et analyse campagne NR \r\n  => Rédaction du Rapport de la campagne\r\nSuivi Equipe Back Test Auto'),
(26961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nSAFERGAME : Réunion point de synchro IBM/DSI + état des lieux projet avec R.James'),
(26962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nassistance HIA sur incidents'),
(26963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nMCO - EGIDE'),
(26964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nmfsort\r\nhttps://supportline.microfocus.com/Documentation/books/sx60/fhsort.htm#u003'),
(26965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM MEIBO - création de 13 cas de test pour qualif de bout en bout'),
(26966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nMCO - EGIDE'),
(26967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM MEIBO - Création de 3 ANO suite à qualif d ebout en bout'),
(26970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nRéunion Hebdo CIQ'),
(26978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nMise a jour des exigences IQ (confluence)\nAnalyse des erreurs dans le log drupal \nAnalyse des droits des fichiers images de la FAQ\nInvestigation sur un probleme d\'affichage des jeux sur certains device'),
(26973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nAnalyse et commentaire sur ALM'),
(27052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nAnalyse + commentaire ALM'),
(26975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nTest des cookies+Revue de code outil ADMIN pour les tests fonctionnellss'),
(26977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nSAFERGAME : Création ANO051833,ANO051834- vérification des anomalies créées en recette (reproduction en intégration)- Test d\'intégration du fichier sugar crypté dans datastage'),
(26979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nrefusé après tests'),
(26981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nredaction tests postman\nCOQAR\ncampagne de test mod iban'),
(27239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nredaction tests postman\nanalyse des données pour la suppression du controle non valable dans la mod iban'),
(26984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[SPEED UP] Teste ARJEL et ETL des nouveaux markets Volley et Beach Volley en Pré-Match\r\n\r\n[SPEEDUP] Création et Mise à jour des templates pour tester les markest Plus / Moins (points) - 1er Set - Volley et Beach Volley\r\n\r\n[PSMSv2] Création de campagne et début des tests d\'acceptance dans ALM sur INT7 \r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_16-15\r\nABP:            14.1.32-SNAPSHOT 3116\r\nMOBILE:         origin_release_7\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.183-SNAPSHOT\r\n\r\n'),
(26996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop U\nAction : conception et implémentation des cas de test auto\n\nRéunion Point Back - Poupées russes'),
(26993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop U\nAction : conception et implémentation des cas de test auto\n\nRéunion : [BRIC] Instance \"Stanley\" IQ BRIC'),
(26995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nRéunion : COQAR + GO RECETTE\n\nProjet : Poupées Russes\nComposant : Digishop U\nAction : conception et implémentation des cas de test auto\n\nRéunion : Passage en revue des vues matérialisées FALCON USR'),
(26998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nRéunion : [BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE\n\n	Projet : Poupées Russes\nComposant : Digishop U\nAction : conception et implémentation des cas de test auto'),
(26999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n-Récupération des fichiers d\'export pour la comptabilité \r\n -Lancer le workflow MULT_ITF_WKF_E_JKP_DETAILS \r\n-Exécuter compagne de test : ITF 2.0.7 / FALCON USR 2.7.0-1'),
(27001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nrecherche et mise en place d\'un nouvel outil de test '),
(27003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nRecherche et mise en place d\'un nouvel outil de test'),
(27004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n'),
(27084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n'),
(27008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nAjout de logs PT_ASSURE connexion'),
(27009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nMCO Court commercial du 20/08/2017'),
(27011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nRAM.004 - DMT0012590 - Installation FDL017402 - Datafix types de voie pour GDS'),
(27013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation de la FDL017092'),
(27014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation de la FDL017097'),
(27015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - Installation de la FDL017389'),
(27016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nBTI.050.06 [INNO] PLAYSTATION - Installation de la FDL017345'),
(27018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nBTI.050.06 [INNO] PLAYSTATION - FDL017345 - réalisation du document d\'installation et du PV de qualification.'),
(27020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nBTI.050.06 [INNO] PLAYSTATION - Analyse erreur sur script activation en masse des PDV éligibles - Erreur dans la table \"Suivi Khéops ipv de SAGA\"'),
(27021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE - DMT0011632 - FDL017092/FDL017097/FDL017389 rédaction du PV de qualification et du guide d\'installation.'),
(27022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nBTI.050.06 [INNO] PLAYSTATION - Installation FDL015924 sur INT2');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(27026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[FalconBackOffice] Evolution du script Validation_ETEBAC : ajout d\'un flux de donnée en input pour surcharger le parametrage de l\'attribut FDJDaysBack + evolution pour mise en conformité avec les appels API vuGen idem aux autres scripts TruClient + maj des fichiers du projet dans le référentiel SVN\n[ITF] récupération et analyse des description json des composants de la nouvelle version ITF 2.0.7 : aucune modif detectée\n[Scripts auto Falcon 2.7] support aux implémenteurs'),
(27025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(27028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nBFR.070.33 [ME] REFERENTIELS & DECISIONNEL - Palier Recyclage : Analyse puis reprise des données suite à erreur dans la livraison Recyclage.'),
(27029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nFDL017508'),
(27030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nRéunion hebdomadaire CIQ + Réunion avancement Projet GSI'),
(27031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(27032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nModification des tests postman suite à une modif de la note mod iban\r\nsupport prod bingo'),
(27033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nFDL017509'),
(27100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nUpgrade du fichier xls du bouchon pour mise à niveau des nouvelles tables FLC'),
(27101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nCampagne AUTO Batch'),
(27035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[BDI.069.30 [IF] INTERCONNEXION IF & FDJ] Investigation sur ANO051513 avec reproduction du test de l\'anomalie pour validation de la correction'),
(27036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[EGIDE] Création d\'un incident INC177643 relatif au plantage ETL sur le TR3 '),
(27037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n- Raffinement du Template automatisation volley\r\n- Parcourir les tests NREG pour les dérouler une fois l\'la livraison est acceptée'),
(27038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n- Déroulement de la compagne Test NREG 14.1.32-SNAPSHOT 3116-BACK'),
(27039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n- Déroulement de la compagne de test NREG 14.1.32-SNAPSHOT 3116-BACK'),
(27045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n[ALM / Combiné Boosté]: Maj Tests EKO, Annulation, Resettlement / Baisse/Suppression du Boost + [Support]: Imed'),
(27046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[ALM / Combiné Boosté]: Maj Tests EKO, Annulation, Resettlement / Baisse/Suppression du Boost + [PSMSv2 / ABP 14.1.32-b3116 / INT7]: Test d\'Acceptance'),
(27047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT7]: Campagne BACK'),
(27082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT7]: Campagne BACK'),
(27049, 'RAF : \r\n- Implémentation du module JMS Definition (DTO + Constantes) : (0.25) \r\n- Génération des données (construction des beans) : 2j\r\n- Envoi de message dans le bus Liferay : 0.1j\r\n- Réception de message dans le bus Liferay : 0.4j\r\n- Envoi de message JMS sur les topics : 1j\r\n- Documentation : 1j'),
(27050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nUpgrade du fichier xls du bouchon pour mise à niveau des nouvelles tables FLC\r\ntest chargement FL_DATA fichier USR FALCON INT7'),
(28231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n- Déroulement de la compagne de test NREG 14.1.32-SNAPSHOT 3116-BACK'),
(27054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\noutil admin + recherche expert comptable'),
(27318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nIF : changement du croupiers ITG WALKTHECUBE2017 et changement da la version du jackpot de référence'),
(27383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nTest IFs version 2.0.7-2\nTests Non régression ARJEL FALCON 2.7.0'),
(27058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n'),
(27384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nTest Falcon ARJEL 2.7.0\r\nModification des tests ARJEL pour prise en compte PUTSessionsAuthenticate'),
(27063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n-Récupération des fichiers d\'export pour la comptabilité \r\n-Exécuter compagne de test : ITF 2.0.7 / FALCON USR 2.7.0-1'),
(27065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[GSI] Rédaction d\'un cas de test spécifique pour le projet GSI dans le projet ALM programme DD'),
(27067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n- Dev orchestration PDJ Mify\n- Test régression appel /live (INT2)\n- Support tests\n- Réunion suivi auto sport'),
(27379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n- Dev orchestration PDJ Mify\n- Réunion automatisation\n- Mise en place reporting pour suivi campagnes auto\n- Génération des rapports de tests auto pour le reporting'),
(27072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[GSI] Exécution d\'une campagne de test + Création d\'une anomalie ANO051849 suite aux investigations sur l\'historique des modes de distribution des secteurs dans la partie reporting logistique'),
(27071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[GSI] Réunion avec le CP pour faire le point sur les actions a venir concernant le SID Commercial et notamment les impact des prochaines MEP'),
(27083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT7]: Campagne BACK'),
(27096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[GSI] Investigation sur les commandes dans SG qui concernent les secteurs en DL'),
(27075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\n'),
(27076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-02  (Do not remove this line) -->\n'),
(27077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(27078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(27080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n'),
(27085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nreste plus qu\'à faire les TU'),
(27086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(27088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[GSG] Vérification de l\'anomalie ANO051809 avant go recette'),
(27089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n'),
(27090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n'),
(27093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nSAFERGAME : Bug review avec R.James- Coordination avec C.Frey pour l\'intervention technique integ_fdj (déplacement VM sur les baies)'),
(27098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nCreation ANO051864\nPoint sur les anomalies FAQ de la 2.17.8\nTest envoi de formulaire FAQ sur INT2\nCreation ANO051869\nCreation ANO051874\nInstallation PTAB 2.17.8 sur INT3\nPoint avec Hocine Benoudia sur les anomalies 2.17.7 et 2.17.8'),
(27095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nSAFERGAME : Vérification des anomalies de recette+ non régression sur IIB'),
(27097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[FalconBackOffice]  qualification du script Validation_ETEBAC et montée dans ALM\r\n[Monext V1] investigation sur les erreur de versement bancaire pour les montants speciaux (333.*)'),
(27102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nCampagne AUTO Batch'),
(27103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nCampagne AUTO Batch'),
(27104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nCampagne AUTO Batch'),
(27122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nMCO SIDCOM TR2 OK // SIDCOM TR3 OK pas de WCS //SIDC TR3 // SIDC TR2'),
(27181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nEcriture de test postman pour le jeu Next Level (jeu MOTORS mis a disposition)\nIdentification d\'anomalies concernant la déclaration dans la Gateway SOA et concernant le mock'),
(27110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n[GSG] Retour sur l\'anomalie ANO051809 passée a qualifié mais sur laquelle il semble encore y avoir un probleme d\'indicateur de stock'),
(27111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\npréparation des WAR PT_ASSURE pour connecter l\'integ à QF3'),
(27317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nITF : investigation sur pb d\'ouverture de session IF (erreur 500) en interco  et d\'oauth en FakeLottery (code 403)\n[MOTORS] remplacement du trigramme du jeu la course \"ACR\"->\"CRS\" et activation de la liberation du json des mises possibles en fin de script\n[Scripts Falcon] correctif sur la sortie du service GetFinancialBanking\n[Falcon API] Modification de la propagation du cookie de session pour la Gateway \"GAM\"'),
(27319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n[FALCON] Mise à jour des Tables de routage pour ajouter les services GAM, mise à jour du FDJ_Multimedia_Global_Env_Falcon.json pour declarer les gateway GAM et RTL sur tous les environnements requis\n[Script Falcon] Evolution du script FalconPUTAccountsAccountEmail pour ajout du mot clef EMPTY pour le pEmailPassword  et gestion du mode N1'),
(27115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\ncampagne Batch V2.7.0-1 sur INT1'),
(27118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\ncampagne Batch V2.7.0-1 sur INT1'),
(27117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n'),
(27119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\ncampagne Batch V2.7.0-1 sur INT1'),
(27120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\ncampagne Batch V2.7.0-1 sur INT1'),
(27121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\ncampagne Batch V2.7.0-1 sur INT1'),
(27123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nSuivi des chaines Control-M pour la compta IF\r\nMise à jour des scripts postman'),
(27124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nAcceptance IF\r\nSuivi des chaînes control-M pour la compta IF'),
(27125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nSuivi des chaînes control-M pour la compta IF\r\nQuelques tests IF'),
(27126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nSuivi des chaînes Control-M pour la compta IF\r\nTests IF gestion des anomalies IF'),
(27127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nSuivi des chaînes Conrtol-M pour la compta IF\r\nTest IF'),
(27128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nTest scan datamatrix PS'),
(27129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nFDL017498'),
(27130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nFDL017499'),
(27131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nTests flash playstation'),
(27132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nTest scan des recus playstation'),
(27133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nsupport prod bingo'),
(27134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nModifications campagne Combinés boostés'),
(27904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nMCO TR 1 2 3'),
(27237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nMCO TR 1 2 3'),
(27238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nMCO TR 1 2 3'),
(27138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nCampagne d\'acceptance auto INT7 14.1.32-SNAPSHOT 3090\r\n'),
(27139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nCampagne de non-reg 14.1.32.1 sur INT1'),
(27141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nCampagne de non-reg 14.1.32.1 sur INT1'),
(27142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nCampagne de non-reg 14.1.32.1 sur INT1'),
(27143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n'),
(27144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nMise à jour des cas de tests du projet BRIC - Poupée Russe\r\nDéveloppement et mise à jour des cas de tests POSTMAN.'),
(27145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nMise à jour des cas de tests du projet BRIC - Poupée Russe\r\nDéveloppement et mise à jour des cas de tests POSTMAN.'),
(27147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nFalcon 2.7 sur INT 1 :\r\nExécution et analyse campagne Acceptance API et DB + API CC et DB CC\r\n=> Rédaction du rapport de la campagne\r\nExécution et analyse campagne NR\r\n=> Rédaction du rapport de la campagne\r\n'),
(27149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n[MONEXT] Investigation de l\'anomalie rencontrée en Prod sur les contrat bancaires\r\n[MOKA] Lecture de la base de test'),
(27150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nFalcon 2.7.0-1 sur INT 3 :\r\nExécution et analyse campagne Acceptance API et DB + API CC et DB CC\r\n=> Rédaction rapport de la campagne\r\nAnalyse des tests NR'),
(27215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nAnalyse des tests NR FALCON USR 2.7'),
(30944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[MONEXT] Suivi de l\'anomalie, remontée d\'informations à Florian Torres\n[MOKA] Lecture de la base de test'),
(27153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\r\n[MOKA] Réunion préparatoire des parties prenantes IQ (MVV, MGR, BTO, ENI, NFO, NAU, JPA)\r\n[POUPEES RUSSES V2] Lecture de la base de test'),
(27154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\r\n[MOKA] Configuration des outils de test\r\n[POUPEES RUSSES V2] Lecture de la base de test\r\n'),
(27155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\r\n[POUPEES RUSSES V2] Lecture de la base de test'),
(27161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. \nAnalyse de l\'installation GAM, propagation des cookies, modifs API VuGen.'),
(27158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nCOQAR.\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. '),
(27159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. \r\nPoint d\'avancement palier TMA.'),
(27160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. '),
(27165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n- création ANO051776 [PLAYSTATION][SQLITE] Promulgation FLP1 sans promo, la promo est insérée en base\r\n- qualification schema XSD Calendar palier Playstation\r\n- qualification livraison Playstation'),
(27166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n- mise à jour modop pour MEP IF\r\n- installation livraison 4.3.3_edwan Palier IF\r\n- qualification livraison IF\r\n- installation livraison 4.4.2_edwan Palier Playstation\r\n- qualification livraison Playstation\r\n- qualification nouveaux schemas XSD pour Playstation'),
(27167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n- réunion [Playstation] COPROJ Digital multi-stream\r\n- réception nouvelles versions XSD pour Playstation\r\n- qualification XSD\r\n- installation livraison 1.1.2_apimaitre\r\n- support métier pour déblocage apimaitre ko'),
(27764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n- qualification broadcast pour Calendriers Playstation\n- qualification Palier Playstation\n- création ANO051898 [PLAYSTATION] Nettoyage de la base calendar_2017.sqlite obligatoire entre 2 promulgations\n- création ANO051899 [PLAYSTATION] Ajout de contraintes d\'unicité dans le calendrier SQLite\n- création ANO051908 [PLAYSTATION] Traitement du calendrier à l\'aide de transactions\n- rejet livraison 4.4.2_edwan\n- création MOD012286 [PLAYSTATION] Ajout de log sur les requêtes SQL en cas d\'erreur SQLite\n- création ANO051931 [PLAYSTATION] Support FOREIGN KEY non activé'),
(27169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nTests acceptance VITAN 5.8.010 ; Support pour la recette PSPDV'),
(27765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n- qualification Palier Playstation'),
(27171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nAcceptation de la FDL017507 et installation d\'Edwan 4.3.3 sur INT4 ; Qualification des ANOS et MODS Edwan'),
(27172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nCréation de la MOD012271 et de la MOD012272 pour mettre en place la pagination sur le requêtage sql pour l\'affichage de l\'offre et des résultats sur PSPDV Android afin de gagner du temps sur l\'affichage ; Création de la MOD012275 pour optimiser les requêtes d\'affichage des résultats sur PSPDV Android'),
(27631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nQualification PSPDV ; Rédaction des modop pour la MEP'),
(27632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nTests acceptance WSPO 3.1.5 pour PSEL ; Tests acceptance PSEL Android 1.0.023'),
(27916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Tests / Reconciliation \"au fil de l\'eau\" + [ALM]: Maj Tests / Reconciliation \"au fil de l\'eau\"'),
(27371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nEcriture de tests PostMan pour le jeu Next Level'),
(27180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n[RAM.007] Réunion ETL pour mise en oeuvre de l\'env TR1'),
(27183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nEcriture de test postman pour le jeu Next Level\nFinalisation de l\'installation du jeu Les Clefs du tresor 2017 sur INT11 (avec Gilles VASSALUCCI)\nAnalyse du fonctionnement du jeu Les Clefs du tresor 2017'),
(27515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\npoupée russe : implémentation/exécution'),
(27186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\npoupée russe : implémentation/exécution'),
(27187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\npoupée russe : implémentation/exécution'),
(27188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nDaily meeting (1h)\r\nRedémarrage de l\'intégralité des environnements CLOUD FRONT d\'INTEGRATION + investigation sur les serveurs ne voulant pas redémarrer (2h30)\r\nAvancement conf salt projet AMEX.'),
(27191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nDaily meeting 1h.\r\nSupport PS PDV, demande mise à jour des catalogues avec les clés accengage de développement dans les catalogues....Echange avec l\'équipe de tracking.\r\nAvancement projet AMEX, conf SALT, NGINX\r\nFormation GIT (1h)'),
(27192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nAvancement projet AMEX, conf SALT...'),
(27190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nDaily meeting (1h)\r\nRetour API SPDV 3.0.12, tjrs pas en production depuis 4 mois --> analyse d\'impact sur la production --> finalement, il ira en production en même temps que la MEP Edwan 4.3.3 (1h30)\r\nSupport MODOP MEP PS PDV.\r\n[AMEX] Avancement conf SALT\r\nArrêt de l\'intégralité des serveurs FRONT et RETAIL d\'intégration à partir de 18h'),
(27252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nTests IF INT2 2.0.7'),
(27385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nTests Falcon 2.7.0 ARJEL\r\nModification des tests ARJEL pour prise en compte PutSessionsAuthenticate'),
(27386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\n'),
(27387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\r\nMise à jour des documents COHERIS pour chargement client hors SID'),
(27198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE PRE QUALIF GAMIFICATION\r\nJEU : LES CLEFS DU TRESOR MOTORS/GAMIF'),
(27199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE PRE QUALIF GAMIFICATION\r\nJEU : LES CLEFS DU TRESOR MOTORS/GAMIF'),
(27200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE PRE QUALIF GAMIFICATION\r\nJEU : LES CLEFS DU TRESOR MOTORS/GAMIF'),
(27201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE PRE QUALIF GAMIFICATION\r\nJEU : LES CLEFS DU TRESOR MOTORS/GAMIF'),
(27202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE PRE QUALIF GAMIFICATION\r\nJEU : LES CLEFS DU TRESOR MOTORS/GAMIF'),
(27203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nStock Grattage : Qualification suite à installation'),
(27205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(27263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nAnalyse de l\'ANO048852 pour qualification\nAnalyse de l\'ANO049415 pour qualification\nAnalyse de l\'ANO051151 pour qualification\nPoint avec Hocine et Yann sur le process des anomalies (suspendu, affectée, ...)'),
(27210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nSAFERGAME : Réunion entre métier+IQ sur les problèmes sur PLC'),
(27213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nSAFERGAME : Intervention avec C.Frey pour le déplacement des VM de l\'integ FDJ sur les baies+Non régression complète chaîne de détection+ création ANO051897'),
(27214, 'RAF :  \r\n- Génération des données (construction des beans) : 2j \r\n- Envoi de message JMS sur les topics : 1j\r\n- Documentation : 1j'),
(27216, 'Demande ISU ;\r\n-Faut-il demander de ne pas envoyer le mail avec ident si user généré\r\n-Veulent-ils un typage des partenaires\r\n\r\nDemande Atos dans un premier temps + Kevin :\r\n- Validation du workflow avec Kevin \r\n- API pour demander l\'envoi de courrier'),
(27222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\npilote tests automatiques IHM'),
(27223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\npilote tests automatiques IHM'),
(27219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nvie des environnements : palier bric'),
(27220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nvie des environnements : palier bric'),
(27221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nvie des environnements : palier bric'),
(27226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[SPEED UP] Teste ARJEL et ETL des nouveaux markets Volley et Beach Volley en Pré-Match\n\n[SPEEDUP] Mise à jour des templates Volley et Beach Volley\n\n[PSMSv2] Création de campagne et début des tests de NREG Front dans ALM sur INT1\n\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_16-15\nABP:            14.1.32-SNAPSHOT 3116\nMOBILE:         6\nARGUS:          14.1-125\nPLATFORM:       1.0.183-SNAPSHOT'),
(27227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n[SPEED UP] Qualification des nouveaux markets Volley et Beach Volley en Pré-Match\n\n[PSMSv2] NREG Front - version Combiné boosté - dans ALM sur INT1\n\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_16-15\nABP:            14.1.32-SNAPSHOT 3116\nMOBILE:         6\nARGUS:          14.1-125\nPLATFORM:       1.0.183-SNAPSHOT'),
(27228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n[PSMSv2] NREG Front - version Combiné boosté - dans ALM sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-15\r\nABP: 14.1.32-SNAPSHOT 3116\r\nMOBILE: 6\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT'),
(27230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-08  (Do not remove this line) -->\n'),
(27231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-09  (Do not remove this line) -->\n'),
(27233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nrojet : Poupées Russes\r\nComposant : Digishop A\r\nAction : conception et implémentation des cas de test auto'),
(27234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nD1774 probléme de prod\nRevue de la Spec \nRevue du code\nCommentaire ALM'),
(27235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nrojet : Poupées Russes\r\nComposant : Digishop U\r\nAction : conception et implémentation des cas de test auto'),
(27240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n-Récupération des fichiers d\'export pour la comptabilité \r\n-Exécuter compagne de test : ITF 2.0.7 / FALCON USR 2.7.0-1\r\n-Test exploratoire sur Desktop connecté à un réseau extérieur\r\n-Exécuter compagne de test : ITF 2.0.7 / FALCON USR 2.7.0-1\r\n-Test exploratoire sur Mac connecté à un réseau extérieur\r\n'),
(27241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n-Récupération des fichiers d\'export pour la comptabilité \r\n-Exécuter compagne de test : ITF 2.0.7 / FALCON USR 2.7.0-1\r\n-Test exploratoire sur Desktop connecté à un réseau extérieur\r\n-Exécuter compagne de test : ITF 2.0.7 / FALCON USR 2.7.0-1\r\n-Test exploratoire sur Mac connecté à un réseau extérieur'),
(27242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nMCO Court commercial du 22/08/2017'),
(27243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nRecherche et mise en place d\'un nouvel outil de test'),
(27244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nRecherche et mise en place d\'un nouvel outil de test'),
(27245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nRecherche et mise en place d\'un nouvel outil de test'),
(27249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nBCO.084.34 [REF] Distribution V1.1 - FDL016859 GDS - Rédaction et exécution campagne d\'installation'),
(27247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nBCO.084.34 [REF] Distribution V1.1 - Création enveloppes des cas de test EGIDE (31 cas de test)'),
(27248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nMCO Court commercial du 23/08/2017'),
(27250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nBCO.084.34 [REF] Distribution V1.1 - FDL016859 GDS - Rédaction et exécution des campagnes de test (4 campagnes)'),
(27253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nBTI.050.06 [INNO] Playstation - Rédaction et exécution de la campagne d\'acceptation de la FDL017345'),
(27254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nModifications dans référentiel des cas de test AUTO. '),
(27255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nAcceptance INT7'),
(27257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n1/2 journée : \nTemplate Volley Ball : support Imad\n1 /2 journée:\nNonReg sur INT1 5 commencée vers 15h30)'),
(27258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nNonReg INT1 '),
(27259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nPlanification des actions a faire sur Postman'),
(27260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nModification des script suite au retour de Lionel et Leila'),
(27264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nDigishop G mise etude et mise en place de la collection'),
(27262, 'Problème au niveau des scripts : manque ceux pour la suppression de l\'index d\'unicité sur le SIREN et la mise à jour des tables pour les TDBs (avec l\'organismId). Alaa ne les a pas commité : Saïd a refait en urgence des scripts de mise à jour pour palier au manque.\n\n'),
(27265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nFDL017156 : Installation sur TR3 + Vérifications.'),
(27266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nAnalyse INC168720'),
(27506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nSAFERGAME : Rédaction de 12 cas de tests'),
(27300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nRedaction de la documentation d\'instalaltion de robotframework\n\nRedaction de la documentation lié au bonnes pratique de developpement HTML pour l\'automatisation des tests IHM\n\nPrésentation de l\'avancement de la mise en place du pilote de tests automatiques IHM'),
(27272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nUpgrade du fichier xls du bouchon pour mise à niveau des nouvelles tables FLC'),
(27301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nDéveloppement d\'une librairie robotframework en  python pour le traitement de fichier CSV '),
(27275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(27279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n'),
(27323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nAnalyse fonctionnelle eDWAN - IHM et services\nQualification des fichiers de promulgation\nCréation ANO051958'),
(27287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nCV'),
(27288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n'),
(27292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n'),
(27293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n'),
(27291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n'),
(27294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n'),
(27295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n'),
(27296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n'),
(27297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nMCO SID Commercial'),
(27298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nStock Grattage : Analyse qualification ANO051809'),
(27302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nElaboration des cas de test auto AdminWeb JRN TMA sous ALM. '),
(27303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nScripts d\'intégration: corrections suite a changement de PC'),
(27305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nSAFERGAME : non régression chaîne de détection/RI Lot 2 : Réalisation DMT0012756'),
(27389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nSAFERGAME : Exécution campagne de tests (11 cas de tests)'),
(27307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nOutil Admin vue du code avec le fonctionnel '),
(27308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nRevue de la configuration et le deploiement CAS'),
(27313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nAnalyse et reproduction du batch de RISe avec plusieurs cas de fichier CFT'),
(27311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nAnalyse et Commentaire ALM'),
(27312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nAnalyse et commentaire ALM'),
(27316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nbug review avec hocine benoudia et yann faveaux\nCreation ANO051940\nCreation ANO051947\nCreation ANO051948'),
(27322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nIntégration de la nouvelle version \nAPIMAITRE 1.0.14_apimaitre <=1.0.13_apimaitre (en binhomme avec Michel PUECH) \nQualification des fichiers de promulgation'),
(28167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nRéunion IQ BRIC\r\n\r\nRéunion Café Mocka : présentation du nouveau projet\r\n\r\nInstallation des Boutiques sur le Transverse 3\r\n\r\nAnalyse de User Stories + point pour comprendre le fonctionnement de Mod IBAN en vue des tests Postman Boutiques.'),
(28170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nPoint rapide sur les différents sujets (absence hier).'),
(27326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nTerminer la NonReg INT1'),
(27328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\nTR3 : Re génération du fichier IBM et renvoie à MVS sur la demande de HIA Suivi des Environnements Transverses'),
(27329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\nMCO Courtage Commercial'),
(27330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n[RDI 1.1] Réception et Revue documentaire des FDL mises à disposition pour l\'application SAGA'),
(27331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nMCO Courtage Commercial'),
(27332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nMCO SID Client'),
(27333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nINC177757 : Réponse à HIA.'),
(27334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nTR1 : Re génération du fichier IBM et renvoie à MVS sur la demande de HIA Suivi des Environnements Transverses'),
(27335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nTR2 : Re génération du fichier IBM et renvoie à MVS sur la demande de HIA Suivi des Environnements Transverses'),
(27337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nPlayStation'),
(27338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017204 sur TR5 pour la partie ETL'),
(27339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017071 pour la partie SAGA sur INT8SAGA'),
(27340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017307 pour la partie SAGA sur INT8SAGA'),
(27341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nMCO Courtage Commercial'),
(27342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nMCO Courtage Commercial'),
(27343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n[RDI 1.05] Installation du TR1'),
(27344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE Analyse des SFA de la version 4.51'),
(27353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO - Qualification de la livraison NEPTUNE -Pb environnement'),
(27347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nMCO EGIDE'),
(27348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL \r\n - Gestion des environnement EGIDE'),
(27349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n BCO.084.39 [FDV] BOOSTER - Contribution au tests reso.Com EGIDE pour SOPRA'),
(27352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Réunion avec C.Morin sur l\' avancement QS CSAM NEPTUNE'),
(27354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO - Qualification de la livraison NEPTUNE -Pb environnement'),
(27355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nMCO EGIDE'),
(27356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nBCO.099.31 [FDV] AGREMENT PS MINISTERE - Réunion de cadrage sur planning et pb EOGILE\r\n - '),
(27358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO - Qualification de la livraison NEPTUNE -Pb environnement échange avec assistance ILEX'),
(28169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nAnalyse de pb d\'authentification sur divers environnements: le soucis venait d\'un pb de conf réseau DNS qui a été corrigée.\n\nSuite analyse / Démarrage des cas de tests ModIBAN'),
(27361, 'Synthèse au 25 Aout : \r\n4 ticket : 3 intégration + 1 Validation\r\nActivité : Support aux equipes pour les problèmes de microservices (déclaration).  => pas d\'anomalie , pas de retours sur les documents founis'),
(27370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 3 cas de test'),
(27363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nRAMM 007 : Vérification des transverse SID Client (valeurs dans SEGM_TYP et SPO_SEGM_TYP + Bons chargements suite à purge de FDL017156)\r\n'),
(27364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 5 cas de test'),
(27365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 3 cas de test'),
(27366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 5 cas de test'),
(27372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-16  (Do not remove this line) -->\n[RDI 1.1] Etude des documents'),
(27373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n[RDI 1.1] Rédaction d\'un cas de test'),
(27374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nproblème réseau ATOS + réunion de démo décalée l\'après midi (vu avec Philippe)'),
(27375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nMCO Court commercial du 24/08/2017'),
(27376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nBCO.084.34 [REF] Distribution V1.1 - Qualification modification cpt bancaire recouvrement GDS et SAGA - Modification Adresse SAGA vers GDS'),
(27377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\n'),
(27380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n- Mise en place reporting pour suivi campagnes auto\n- Génération des rapports de tests auto pour le reporting\n- Atelier combinés boostés\n- Atelier présentation reporting\n- Check prérequis V16 INT6'),
(27381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nMigration tests ARJEL FALCON 2.7.0 (nouveau service API PUT sessions/authenticate)'),
(27388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec HIA/IQ/IBM'),
(27465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nCAU : Création de 3 PDV pour tests Sopra Cautionnement jusqu\'à l\'étape \"Données envoyées\"'),
(27393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n'),
(27892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nredaction test auto modiban'),
(27891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nredaction test auto mod iban'),
(27397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n'),
(27407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n'),
(27400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-17  (Do not remove this line) -->\n'),
(27401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n'),
(27403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n'),
(27409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nMCO Courtage Commercial'),
(27405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nFichier de suivi des incidents'),
(27406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(27410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 4 cas de test'),
(27418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nFinalisation du modopération 2.17.7 et Anexe IF pour PTAB\nReunion Hocine Benoudia et Yann Faveaux \nInstallation 2.17.9 PTAB sur INT8 + test d\'acceptance\nCreation ANO051980\nInstallation 2.17.9 PTAB sur INT2\nInvestigation ANO051970 + apport de précision'),
(27413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nBRIC : Compléments MCO : reprise des données + relance HIA suite à retard flux.'),
(27414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nMaintenance Evolutive : Qualification recyclage des rejets.'),
(27415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nMCO EGIDE'),
(27416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO - Qualification de la livraison NEPTUNE -Pb environnement échange avec assistance ILEX'),
(27417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - Gestion divers sur les enironnements'),
(27443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nEcriture campagne de test postman pour digishop p\nTest rotation log sur le log applicatif\nInstallation 2.17.9 sur INT3\nReunion CTRL M'),
(27421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n[Falcon API] Correctif sur la propagation du cookie de session sur la Gateway GAM\nremise en conformité des \"host\" du Global_env_Falcon.json selon ceux de Digishop\nSupport sur les scripts Falcon et Motors'),
(27424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(27425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(27426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front et mobile sur INT9 pour la validation des correctifs critiques. \r\nHOST:           agpadmi91\r\nSITE:           fdj2-origin_release_15-33\r\nABP:            14.1.31.1-SNAPSHOT 52\r\nMOBILE:         origin_release_6\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.175\r\n\r\n[PSMSv2] Préparation des PVs de Qualif site-fdj_mobile-origin_release_6-6 et fdj2-origin_release_15-33\r\n\r\n[PSMSv2] Création d\'une offre pré-match Combiné Boosté sur INT1 pour les tests de l\'équipe de Dev Stream App  Native Front Android'),
(27448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG  mobile avec navigateur Android par default sur INT9 pour la validation des correctifs critiques.\nHOST: agpadmi91\nSITE: fdj2-origin_release_15-33\nABP: 14.1.31.1-SNAPSHOT 52\nMOBILE: origin_release_6\nARGUS: 14.1-125\nPLATFORM: 1.0.175\n\n[PSMSv2] Camapgne de NREG Front Combiné Boosté sur INT1\n\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_16-15\nABP:            14.1.32-SNAPSHOT 3116\nMOBILE:         6\nARGUS:          14.1-125\nPLATFORM:       1.0.183-SNAPSHOT'),
(27431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nMOD012308: [COHERIS CRM CCSC] suppression des données dans les tables de VACATION\nFDL017560 (Livré) : [COHERIS CRM CCSC] suppression des données dans les tables de VACATION'),
(27429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n'),
(27432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nSAFERGAME : test de non régression sur les fichiers pivots métier'),
(27433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n- Point équipe V16 \r\n- Validation PDJ INT6 \r\n- Analyse PBs INT6\r\n- Atelier campagnes de référence Offre V14'),
(28386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n- Analyse PBs INT6\n- Formation contrôle M \n- Création cas de test PDJ Mify Async V16 \n- Validation cas de test'),
(32328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel PDJs V16 \n- Mise au point dev'),
(28388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel PDJs Mify V16 \n- Mise au point dev'),
(28390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel NonReg Mify V16 \n- Mise au point dev'),
(28395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel NonReg  Mify V16 \n- Mise au point dev\n- Ateliers Analyse V16'),
(28396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel NonReg  Mify V16 \n- Mise au point dev\n- Ateliers Analyse V16'),
(28394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel NonReg  Mify V16 \n- Mise au point dev'),
(27446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(27447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nAide vérif/merge livraison'),
(27450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nDaily meeting (1h)\r\nProjet AMEX, déploiement depuis conf salt sur l\'environnement 01 --> pb de concurrence avec les autres projets GIT... (3h30)\r\nFormation CTRL-M (3h)'),
(27452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nDaily meeting (1h) --> remonté d\'ano PS PDV natif et site web à S.GODIARD.\nSuite test configuration salt déploiement nouvelle version CLOUD PSEL, DEBUG, correction, maj branche AMEX.\nEchange/discussion avec les internes par rapport à l\'installation des nouveaux composants applicatif depuis le master salt plutôt que depuis Edwan.\n--> impossible d\'installer correctement le cloud PSEL AMEX sur l\'environnement INT11 --> pb de branche git sur le master salt.'),
(27453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\ndéveloppement + test'),
(27458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - ENVELOPPE - CSAM NEPTUNE écriture 6 cas de test');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(27456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nFinir de décorréler le check Mise à jour un sport. et le check Resulting pour 4 sports'),
(27459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO - Qualification de la livraison NEPTUNE -Pb environnement échange avec assistance ILEX -**  FIN **'),
(27462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nPréparer la structure d\'une NonReg pour un lancement rapide. Au cas ou michael doit lancer une NonReg.\nJ\'ai terminé le check du Template( unicquement le Template ) Volleyball sur INT8.\nJ\'ai confirmé les problèmes existants sur la V16, en testant la création et le template'),
(27461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nMCO EGIDE + Présentation Control-M par la FDJ'),
(27463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(27464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nreste tests et devis'),
(27467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nRI Lot 2 : Réalisation DMT0012757 / CAU : suite des 3 tests PDV, finalisation de la création des 3 PDV'),
(27500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nSAFERGAME : Installation FDL017561 Certificat sur INT2'),
(27469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nRecherche et installation d\'un nouvelle outil de tests'),
(27470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nRecherche et installation d\'un nouvelle outil de tests'),
(27471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nRecherche et installation d\'un nouvelle outil de tests'),
(27472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nRecherche et installation d\'un nouvelle outil de tests'),
(27473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nRecherche et installation d\'un nouvelle outil de tests'),
(27474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nPrésentation de Control-M par HIA'),
(27475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nRecyclage des rejet : Qualification'),
(27476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nBRIC : Acceptation FDL017156'),
(27725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nSuite analyse doc de mod IBAN et préparation en vue de l\'implémentation de tests sous Postman\n\nRéunion COQUAR\n\nInstallation de Boutique Digishop A sur INT11 et INT81.\n\nPoint avec l\'équipe d\'installation suite à un pb/besoin de mise en place du process d\'installation. Les versions des composants installés ne sont pas fiables sur tous les sites et peuvent différer alors qu\'une seule et meme version est installée. De plus, la configuration étant versionnée , des risques de modifications par qqun d\'autres peuvent entrainer des pb d\'installation et de composants non adéquats.'),
(28113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nUn  pb de dispo des sites Bornes et point de vente inscription est apparu: demande d\'investigation (noté mais différés car d\'\'autres urgences en cours).\n\nSuite à des pb de manip la configuration versionnée était ko : remise en état.\n\nL\'installation d\'hier sur INT11 et 81 est relancé suite à une coquille définie hier. Nouvelle installation ce jour aprés ajustements.\n\nPrésentation control -M 14h30 à 19h.'),
(27482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front Combiné Boosté sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-15\nABP: 14.1.32-SNAPSHOT 3116\nMOBILE: 6\nARGUS: 14.1-125\nPLATFORM: 1.0.183-SNAPSHOT\n\n[SPEEDUP]  Importations des fichiers betradar, mise à jour des templates et support traders pour les tests Speed UP Volley \n\n[SPEEDUP] Test des nouveaux markets Volley sur INT8 - Pré-match et Live'),
(27731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nRéunion Point avancement IQ Bric.\n\nDéploiement des boutiques sur le tranverse int31 l\'aprés midi.\n\nCorrection du pb de Borne/Point de vente remonté hier sur INT21 et INT31: les sites sont  ok et opérationnels.\n\nInvestigation d\'un pb sur les services Update Email/update Password suite à un pb remonté lors des tests auto Boutiques.'),
(27484, 'Mail de Gérald Cauvin du 08/08 /2017 : \r\nBonjour Romain,\r\npour pouvoir appeler le serveur JMS, il faut qu\'il soit définit dans un fichier properties livré dans le paquet.\r\nAinsi on pourra personnaliser le fichier .properties via un majapres_j2ee selon l\'environnement sur lequel on est.\r\nCdlt\r\nGérald'),
(27485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(27486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nCONSTRUCTION CATALOGUE SOCLE COMMUN GAMIFICATION / MOTORS'),
(27487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION JEU NEXT LEVEL MOTORS'),
(27488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nCAMPAGNE NON REG - TMA - MOTORS 1.8.3-1 JEU LA COURSE  '),
(27489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nCAMPAGNE NON REG - TMA - MOTORS 1.8.3-1 JEU LA COURSE'),
(27490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nCAMPAGNE NON REG - TMA - MOTORS 1.8.3-1 JEU LA COURSE'),
(27491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nSAFERGAME : Formation à D.Schlachter (HIA) pour la reprise de données des mois restants en pré-prod (Extract ETL, IIB, Datastage)'),
(27494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nCAU : suite des 3 créations de PDV, création opportunité ajout d\'agrément'),
(27495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-18  (Do not remove this line) -->\nÉlaboration et proposition d\'une arbo cohérente'),
(27496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\ndébut des devs suite à la validation de la proposition'),
(27497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nFin des devs et début des tests'),
(27498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nFin des tests'),
(27499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nPréparation et livraison '),
(27507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nModification du script archive and purge.sh\nInvestigation sur un probleme d\'affichage du module FAQ sur INT3 et INT1\nInvestigation et résolution d\'un probleme lié a l affichage des images contribués sur INT1'),
(27502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nFDL017560   : [COHERIS CRM CCSC] suppression des données dans les tables de VACATION (mise au point package aprés divers tests sur INT1'),
(27673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nSAFERGAME : Bug review avec JC.Morel'),
(28762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nRecherche logs JBOSS / Cobol / SocketServer'),
(27505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n'),
(27508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(27511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n'),
(27512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(27513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nSAFERGAME : Installation FDL017562 Cognos sur INT2'),
(27514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nmise à jour git terminée pour les reports déjà effectués dans dimension, reste à regénérer riba pour les reports en RF'),
(27518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nprojet poupée Russe : phase d\'évaluation/information (post exécution de la campagne de test) . analyse des résultats des tests couvrant les services update email/update password'),
(27517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nprojet poupée Russe : phase d\'évaluation/information (post exécution de la campagne de test) . analyse des résultats des tests couvrant les services update email/update password'),
(27519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nprojet poupée Russe : phase exécution : campagne de test d\'acceptation post installation de la nouvelle boutique DA sur l\'environnement INT11'),
(27520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nprojet poupée Russe : phase implémentation des évolutions DI et DA'),
(27521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n'),
(27523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\ncorriger la compilation de PT_RISe sur le nouveau repo git + nombreuse aide au collèges '),
(27773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nTests IF v2.0.7\nMise à jour des tests ARJEL, \nPassage des tests FALCON USR 2.7.1-1'),
(27525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nSuivi des chaines Control-M\r\nAlimentation Compta-IF \r\nEchange sur le Modop de la MEP IF'),
(27774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nTests IF 2.0.7\nPassage et analyse des tests FALCON USR 2.7.1'),
(27775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nTests IF 2.0.8\nPassage et analyse des tests FALCON USR 2.7.1-1\nPréparation tests FALCON USR 2.6.11'),
(27530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nSuivi des chaines Control-M\nAlimentation de la Compta-IF\nAcceptance IF sur INT02-IF - INT02'),
(27529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nSuivi des chaines Control-M\r\nAlimentation de la Compta-IF\r\nAcceptance IF sur INT01-IF - INT42'),
(27533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nSuivi des chaines Control-M\r\nAlimentation Compta-IF\r\nTest postman sur IF'),
(27776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nSAFERGAME : Installation FDL017562 Cognos sur INT4'),
(27561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nAnalyse sur l\'utilisation du champ T6_TEXT_2\nAmelioration FDJ_LOGS (Package et table)'),
(27537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nanalyse des tests FALCON USR 2.6.11\r\nPassage et analyse des tests FALCON USR 2.7.1-1 sur TR31\r\n'),
(27835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nanalyse des tests FALCON USR 2.7.1-1'),
(27903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nMCO TR123\nlecture doc crm lot1 pour bouchon USR => ADOBE'),
(27542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nGestion des Incidents'),
(27906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nMCO TR123\nPrésentation controlm'),
(27549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nPrise de connaissance des mails après 3 semaines d\'absence + divers suite perte de droits\nQualification anomalie'),
(27907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nMCO TR123\ncrm lot1: investigation pour création bouchon USR => ADOBE\nAtelier création bouchon par Cyril'),
(27879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3116 - NREG'),
(27552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3116 - NREG'),
(27553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3116 - NREG'),
(27880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3116 - NREG'),
(27555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(27556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(27557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nFinalisation execution campagne Batch V2.7.1'),
(27558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\netude Crm Lot1'),
(27559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\netude Crm Lot1'),
(27560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\netude Crm Lot1'),
(27574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Saisie Anomalie(s)'),
(27575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Saisie Anomalie(s)'),
(27564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nCampagne de non-reg 14.1.32-SNAPSHOT 3116'),
(27576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Saisie Anomalie(s)'),
(27577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Saisie Anomalie(s)'),
(27567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nCampagne de non-reg 14.1.32-SNAPSHOT 3116'),
(27578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Saisie Anomalie(s)'),
(27569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nCampagne de non-reg 14.1.32-SNAPSHOT 3116'),
(27570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nCampagne de non-reg 14.1.32-SNAPSHOT 3116'),
(27571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nCampagne de non-reg 14.1.32-SNAPSHOT 3116'),
(27572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n[SPEEDUP] Qualif des match Volley, Beach Volley, Rugby et Footbal en pré-match et live.\r\n\r\n[SPEEDUP] Support traders pour les tests Speed UP des nouveaux markets\r\n\r\n[psmsV2] NREG Front sur INT1\r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-15\r\nABP:            14.1.32-SNAPSHOT 3116\r\nMOBILE:         origin_release_7\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.183-SNAPSHOT\r\n'),
(27573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nCampagne de non-reg 14.1.32-SNAPSHOT 3116'),
(27579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nvie des environnements'),
(27583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - ENVELOPPE - CSAM NEPTUNE passage des test lab sur la phase1'),
(27582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nImplémentation de tests automatisés. Mise en jour de la campagne ARJEL pour le palier BRIC, évolution des scripts et des steps en nécessité. '),
(27584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nImplémentation de tests automatisés. Mise en jour de la campagne ARJEL pour le palier BRIC, évolution des scripts et des steps en nécessité. '),
(27585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nImplémentation de tests automatisés. Mise en jour de la campagne ARJEL pour le palier BRIC, évolution des scripts et des steps en nécessité. '),
(27589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nCOQAR. Automatisation des tests de journalisation TMA  - élaboration des cas de test.'),
(27587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nImplémentation de tests automatisés. Mise en jour de la campagne ARJEL pour le palier BRIC, évolution des scripts et des steps en nécessité. '),
(27591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nPalier TMA - Point d\'avancement.\nAutomatisation des tests de journalisation TMA - élaboration des cas de test.'),
(27590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - PPAC réunion Suivi de la QS'),
(27592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nMCO - Egide'),
(27595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nImplémentation de tests automatisés. Mise en jour de la campagne ARJEL pour le palier BRIC, évolution des scripts et des steps en nécessité. Analyse des problématiques liées aux services Monext.'),
(27594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nAutomatisation des tests de journalisation TMA - élaboration des cas de test.'),
(27596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nAutomatisation des tests de journalisation TMA - élaboration des cas de test.'),
(27600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n[MOKA] Evolution USR 2.8\nGeneration et merge API Falcon USR\nModification du builder pour POSTAccount (FalconUsrAccountParameters_6) et mise à jour du service pour compatibilité 2.7 et 2.8\nSupport Implementeur sur script truClient Modif_adresse\nTag Scripts Falcon\nTag API\nIF : retour des \"host\" au format \"wwwX.integ.revolo.io\" pour les environnements fakeLottery'),
(27599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n[MOKA] Analyse des différence sur doc REST 2.8.0-alpha1\nSupport implémenteur sur Scripts Falcon (Update Email, GetFinancialTransactionId)\n[MOTORS] Analyse du xml du jeu NextLevel2017 pour préparation orchestration'),
(27601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nCOQAR'),
(27602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nAnalyse et correction des retour de leila sur les script auto'),
(27603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nPostman Collection Digishop Game'),
(27610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nPostman Digishop Game'),
(27611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nAnalyse et correction des retours de leila sur les script auto'),
(27606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\nTest scan des recus playstation'),
(27614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n'),
(27615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\ntests recus mrcd playstation (toujours pas d\'environneemnt'),
(27612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nTests recus mrcd playstation'),
(27617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nAnalyse du problème sur le service updateEmail de digishop U\nCorrection d\'une fonction (ajout de libération de mémoire)'),
(27618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\n'),
(27619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nPreparation mep illiko'),
(27620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nPostman Digishop Game'),
(27621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\npreparation mep illiko (IF) + tests mrcd playstation'),
(27622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nPostman Digishop Game'),
(27623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nDigishop Game Atelier avec le Dev'),
(27624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nPostman Digishop Game\r\nPostman Digishop Public service capaddress'),
(27625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n'),
(27675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nTruClient : mise à jour du script Modification_adresse pour mise en compatibilité avec Box usr 2.7\n[MOTORS] orchestration NextLevel'),
(27627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(27628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nvie des environnements'),
(27629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\ntests ihm pilote'),
(27630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\ntests ihm pilote'),
(27633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nTests acceptance WSPO 3.1.5 pour JASON ; Tests acceptance PSEL Android 1.0.024 (FDL017543)'),
(27634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nPréparation des catalogues pour la MEP PSPDV ; Formation Control M'),
(27635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nTests acceptance PSEL Android 1.0.025 (FDL017564) ; Création de l\'ANO052053 : [SPDV] Match indiqué comme perdu alors qu\'il n\'a pas encore eu lieu'),
(27812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nTests acceptance PSPDV Android 5.0.6 ; Tests acceptance PSPDV ios 5.0.011'),
(27813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nTests acceptance WSPO 3.1.6 (PSEL) ; Tests acceptance WSPO 3.1.6 (Jason) ; Tests acceptance PSBOR 2.0.14'),
(27638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nMise à jour des cas de tests du projet BRIC - Poupée Russe\r\nDéveloppement et mise à jour des cas de tests POSTMAN.\r\nExécution des campagnes de tests POSTMAN dans ALM.'),
(27639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nExécution des campagnes de tests du projet BRIC - Poupée Russe (service API et BOX).'),
(27640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nExécution des campagnes de tests du projet BRIC - Poupée Russe (BOX).'),
(27641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nMise à jour des cas de tests du projet BRIC - Non reg EMAIL\r\nDéveloppement des cas de tests POSTMAN.'),
(27644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nPT_CEC analyse des différents formulaires pour tputes les failles'),
(27646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(27649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\ntests ihm pilote'),
(27895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nSuivi des chaines Control-M\nAlimentation Compta-IF\ntest postman sur IF\ninstallation du jeu lacourse (autolacourse) sur INT8'),
(27653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-01  (Do not remove this line) -->\nMontée en compétence et test avec JP-Dufeu'),
(27652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nEGIDE : Traitement Incident INC177942 avec L.Antonini (HIA)'),
(27669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nMCO Court_Commercial'),
(27655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nMCO Court_Commercial'),
(27662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n[PlayStation] Mise à jour de 5 cas de tests.'),
(27663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n[PlayStation] Edition de lettres de prélèvement en Recette pour le CPQI'),
(30426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n-  avancement sur la gestion d\'erreur d\'execution des tests Automatique IHM sur firefox 55'),
(27664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nMCO Court_Commercial'),
(30427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n-  avancement sur la gestion d\'erreur d’exécution des tests Automatique IHM sur Firefox 55\n- développement d\'une librairie robot framework pour la gestion des données  via fichier CSV'),
(30428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n- Configuration de Jenkins sur machine Linux  pour l’exécution  de tests RobotFramework \n\n- Configuration de Jenkins sur machine Windowspour l’exécution  de tests RobotFramework'),
(30429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n- Correction des erreurs lié a l’exécution de tests via Jenkins sur machine virtuel Windows'),
(27671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 11 cas de tests'),
(30425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n-Correction de bug d’exécution de tests automatique ihm sur firefox 55\n-Développement d\'une librairie robot framework en python pour le traitement de fichier CSV'),
(27674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nSAFERGAME : Réunion point avancement performance chargement+installation i2 avec JC.Morel et IBM'),
(27762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nmodification du formatage des données numérique décimales extraites des json pour supprimer les 0 non significatif\n[MOTORS] finalisation de l\'orchestration NextLevel'),
(27677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n[PlayStation] Rédaction de 2 cas de tests'),
(27678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\r\n[MONEXT - PWPv2] Préparation du RUN4 : écriture de 6 nouveaux cas pour gérer les contrats bancaires'),
(27679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\r\n[MONEXT-PWPv2] Exécution du RUN4, synthèse d\'exécution'),
(27680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\r\n[MONEXT-PWPv2] Rédaction du bilan d\'exécution du RUN4'),
(27681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n[PlayStation] Réalisation de 6 campagnes de tests'),
(27682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n[Cautionnement] Installation de la FDL012887 sur TR1'),
(27683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n'),
(27893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nrdaction test auto BRIC\nLecture spec MOKA'),
(27894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nredaction test auto BRIC\nIntegration MOKA'),
(27890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nAnalyse fonctionnement kafka MOKA\nAtelier bouchon'),
(27689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nTest sur le script archive_and_purge.sh \r\nModification du modop lié au script\r\nInstallation 2.17.10 de ptab sur INT1 + acceptance'),
(27690, 'Tony,\r\n\r\nCi-dessous mon analyse.\r\n\r\nDescription du problème remonté : T1 Rubrique Ressources - Pas de contrôle sur les personnes présentent au dossier\r\n\r\nAnalyse : On affiche les ressources de toutes les personnes. Même si une personne ne fais plus partie du dossier, ses ressources s’affichent. \r\nProblème engendré : Comme il est affiché les ressources de « Madame », sans préciser le nom de famille, si les ressources proviennent d’une personne sortie du dossier, cela peut porter à confusion. \r\nOn peut croire que les ressources affichées sont celle de Madame actuellement présente dans le dossier (alors qu’elles proviennent d’une autre Madame, sortie du dossier).\r\nSolution : A discuter avec Kévin et/ou Corinne. \r\nEst-ce réellement un bug ? Ce n’est pas en tout cas un résultat satisfaisant.\r\nEst-ce qu’on doit afficher les ressources d’une personne sortie du dossier ? Ou uniquement des personnes présentes à la date du jour ?\r\n\r\nPour information, ce « problème » est iso Cafpro.\r\n\r\nCordialement,\r\n\r\nLoïc MERCIER\r\n'),
(27691, 'SAXO coté FONC'),
(27692, 'Déjà corrigé'),
(27693, 'Déjà corrigé'),
(27695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nSAFERGAME : Qualification ANO051620 et ANO051638, vérification des anomalies créées en recette'),
(27696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n#KO compiler la branche : de multiple erreurs dans 1_titulaire/monEspacePerso/appliweb/src/main/java/fr/rsi/ptassures/coordination/web/attestations/GenerateAttestationAction.java'),
(27697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n#OK Vérifier que les nouveau log sont conforme aux anciens\n#RAS voir les information dans le deffect\naide MAJ RISe à @Ahmed \ndiff ancien nouveau repo\nutilisation de SOAPUI pour test le WS'),
(27698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n[Mobilin] Installation FDl016832 et FDL016395 sur TR2 et TR3'),
(27699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nRéunion + compte-rendu'),
(27700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nCérémonie'),
(27701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nFichier de suivi des incidents'),
(27702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(27703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nPIMO & Migration des bases CALY et ARCA : Réunion de mise en place.'),
(27704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nOlympia : Rédaction cas de test Packman'),
(27705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nOlympia : Exécution cas de test Packman + PV Qualif'),
(27706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n'),
(27710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nSPOC : Création du cas de test pour qualif ANO051243'),
(27711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nSPOC : Qualification ANO051243 + PV'),
(27712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nRéunion COQAR'),
(27713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n- Réunion BRIC instance Stanley\r\n- Sprint planning'),
(27714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n- Point tests auto Selenium\r\n- Présentation Bouchons pour palier MOKA\r\n'),
(27715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nPOC - Industrialisation de l\'analyse des flux '),
(27717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n- conf Digishop + instal Digishop A pour Cap Adresse\n- Install MUG 2.11.2 MUG IF\n- Travail sur MOD011720 suite probleme PSEL Android'),
(27718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nTravail sur Pallier BRIC\r\n- Install et test MAG (FDL rejetée)\r\n- install et test MUG\r\n- alimentation référentiel de tests'),
(27719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n- travail sur Jason et test suite changement d\'environnement\r\n- deploiement MUG 2.12.13 sur transverse'),
(27720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nQualifications d\'Anos SPOC'),
(27722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n- JASON : Install et tests MIGO / MAGO / MUGO\n- Alimentation référentiel de tests BRIC'),
(27723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nReport des sources du batch RIBA'),
(27724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n2017-05-22 14:36:24 ;4.2.11_mapi ;INSTALLED ;ATOS - Michel PUECH\n2017-08-28 15:17:51 ;4.4.0_mapi  ;INSTALLED ;ATOS - Seny SIDIBE\nQualification\nPromulgation csv PDV sur edwanint1 INT12'),
(27726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nQualifictaion sur MAPI\nValidation structure JSON {PDV}\nFormation sur ControlM'),
(27730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nCreation des cas de test (postman) pour automatisation\n'),
(27732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nIntergration: Hasard FDL017482 v4.3.11, API MAPI FDL016995 4.3.1_mapi, FDL017555, 4.3.4_edwan\nReunion sur Digishop Game'),
(27729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-03  (Do not remove this line) -->\n'),
(27734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-10  (Do not remove this line) -->\n'),
(28114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nFin d\'analyse des cas de tests MOD IBAN.  Implémentation prévue ojd mais finalement impossible à cause d\'urgences d\'environnements/intégration (voir ci dessous).\n\nL\'update email /password n\'est pas résolu pour le moment.\n\nInvestigation d\'un pb de check Napo (verification de l\'adresse à l\'inscription) : en effet ce service a été décommissioné coté Falcon(Back) (car remplacé plus tard par CapAdresse)  mais est toujours appelé par le FRONT ---> retour 404 et impossibilité de finaliser une inscription. Recherche de procédure de courtenement / communication par mail  le temps d\'installation du nouveau service (normalement demain). Finalement la solution a été de faire une retour arriere coté Falcon. \n\nRecheche d\'un pb d\'authentification qui freeze (projet poupées Russes).\n\nInstallation d\'une Boutique sur l\'environnement de perf afin de tester le projet IF avant MEP'),
(27784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nCe matin: L\'installation des boutiques sur le 51 était en fait KO ce matin pour un pb de conf + état KO de SALT: investigation et rétablissement de l\'état de Salt avec l\'aide de Romain , et réinstallation de la boutique sur int51 pour la perf projet IF.\n\nAprés midi: Investigation sur un pb d\'authentification sur INT11: il s\'agit finalement d\'un pb coté BACK qui a été réparé.\n\nInvestigation sur le pb d\'update email sur INT11: une ano a finalement été ouverte par Leila'),
(28060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nCréation des cas de test générique (postman) pour automatisation\n'),
(27738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\n'),
(27739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n'),
(27746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nDaily meeting 1h\nsupport site web PS PDV, l\'offre football ne s\'affiche plus --> on ne doit pas recevoir des markets basket pour le foot (1h)\nProjet AMEX : configuration salt, désormais les composants WPSEL, WCART et SPORTAIL s\'installeront depuis le Master SALT et plus depuis EDWAN. Maj repository branche AMEX.\nProjet PSEL Android relecture et correction rapide du MODOP WSPO 3.1.5.'),
(27742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nDaily meeting (1h)\r\nAvancement projet AMEX, étude différente piste pour installer les nouveaux composants depuis SALT.\r\nRéunion architecture AMEX (2h45)\r\nSupport site web PS PDV, les paris ouvert de l\'offre football ne s\'affichent plus (page blanche)'),
(27864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX : Maj configuration PSEL pour utiliser nouveau répertoire htdocs pour les widgets.\nSi possible récupération d\'un livrable SPORTAIL et si possible installation complète sur les environnements INT1 et INT6.\nPrésentation POC Loic (1h)'),
(27748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\nRéunion : COQAR\r\n\r\nProjet : Poupées Russes\r\nComposant : Digishop A\r\nAction : conception et implémentation des cas de test auto\r\n\r\nProjet : Poupées Russes\r\nComposant : Digishop U\r\nAction : finalisation de l\'implémentation des cas de test auto'),
(27749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nProjet : Poupées Russes\r\nComposant : Digishop A\r\nAction : conception et implémentation des cas de test auto\r\n\r\nRéunion Point Back - Poupées russes'),
(27756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n[BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE\n\nProjet : Poupées Russes\nComposant : Digishop A\nAction : conception et implémentation des cas de test auto\n\nProjet : Poupées Russes\nComposant : Digishop U\nAction : analyse de l\'anomalie sur les services \"updateEmail\" et \"updatePassword\"'),
(27755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop A\nAction : conception et implémentation des cas de test auto\n\nProjet : Poupées Russes\nComposant : Digishop U\nAction : analyse de l\'anomalie sur les services \"updateEmail\" et \"updatePassword\"\n\nRéunion : [MOKA] In bouchon we trust for quality qualification !'),
(30420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop A\nAction : conception et implémentation des cas de test auto\n\nProjet : Poupées Russes\nComposant : Digishop U\nAction : analyse de l\'anomalie sur les services \"updateEmail\" et \"updatePassword\"'),
(27757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nMCO Court_Commercial'),
(27758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nAssistance HIA sur Incident'),
(27759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n'),
(27760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - investigation et Mise à jour de 4  Workflows infocentre pour KHEOPS suite à PB d\'erreur dans les chaines EGIDE sur I1'),
(27761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Assistance Qualification Résocom EGIDE pour SOPRA'),
(27763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - ENVELOPPE  - Gestion des environnements -   CSAM Sign&Go'),
(27766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n- installation livraison Playstation 4.4.2_edwan int22\r\n- installation livraison Playstation 4.4.0_mapi\r\n- qualification service PDV Palier Playstation\r\n- création ANO051964 [PLAYSTATION][PDV] Log erroné sur le contrôle du nombre de colonnes dans le csv\r\n- création ANO051966 [EDWAN] Description erronée dans ImportPDV.php\r\n- création ANO051972 [EDWAN] Implémentation du mode debug dans le fichier import_PDV.php\r\n- maj doc swagger 4.3.1_mapi\r\n- maj doc swagger 4.4.0_mapi\r\n- création ANO051986 [EDWAN][PDV] Encapsulation de log de debug et retour chariot requis'),
(27767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n- réunion Présentation CtrlM\r\n- installation livraison Playstation 4.4.2_edwan int12\r\n- installation livraison IF 4.3.4_edwan int02\r\n- qualification livraison IF\r\n- installation livraison IF 4.3.4_edwan int42\r\n- qualification service PDV Palier Playstation'),
(27768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n- qualification service PDV Palier Playstation\r\n- création ANO052052 [PLAYSTATION] Description erronnée dans PdvController.php\r\n- présentation versions v3 des fichiers sql d\'initialisation des bases Amigolive'),
(27769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n- installation livraison Playstation 4.4.2_edwan int32\r\n- réunion PLAYSTATION Revue de portefeuille de fiches\r\n- réunion Digishop Game\r\n- investigation service get-home pour correction noProduit\r\n- création ANO052082 [PLAYSTATION] noProduit absent dans le smallCarouselAmigolive\r\n- création ANO052086 [PLAYSTATION][ANDROID] Pas de chargement de la webapp IAT par le smallCarousel Amigo-Live\r\n- création ANO052087 [PLAYSTATION][IOS] Crash de l\'appli FDJ au lancement de la webapp IAT par le smallCarousel Amigo-Live'),
(28052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n- réunion POC - Industrialisation de l\'analyse des flux \n- qualification livraisons Playstation\n- installation livraison pour Widget FAQ 4.3.21_hasard\n- qualification livraison hasard\n'),
(27771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nInstallation 2.17.7 INT5'),
(27772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nSAFERGAME : Installation FDL017609 certificat v2 sur INT2'),
(27781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nSAFERGAME : Qualification ANO049702'),
(27782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front Combiné Boosté sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-15\r\nABP: 14.1.32-SNAPSHOT 3116\r\nMOBILE: 6\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test des nouveaux markets Rubgy sur INT8 -  Live'),
(27783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nRédaction d\'une FSA'),
(27794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nBranche prête pour livraison'),
(27793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - Installation WS EGIDE 4.05 FDL017222 sur INT8EGID et INT9EGID'),
(27789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - Installation FDL016862_egide_4.40.03_liv sur INT9EGID'),
(27788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Extraction des campagnes de tests pour T3'),
(27790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nMCO EGIDE'),
(27791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Assistance SOPRA pour Qualif PPAC'),
(27792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - gestion des environnements EGID et CSAM'),
(27796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3116 - NREG  '),
(28104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n Exécution campagne 14.1.32-SNAPSHOT 3116 - NREG'),
(28105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n Exécution campagne 14.1.32-SNAPSHOT 3116 - NREG'),
(28107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3116 - NREG\n+ Amélioration rédaction certains cas de test'),
(28108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3116 - NREG'),
(27801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n'),
(28389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel PDJS Mify V16 \n- Mise au point dev\n- Réunion de suivi automatisation\n- Atelier de mise en place du rapport automatisation'),
(28645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nMCO Court_Commercial'),
(27805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nrecherche probleme de doublon sur l\'integration\n[COHERIS] Avancement des sujets'),
(27807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nSAFERGAME : Suite nouvelle copie de prod pour SAGA, réinstallation des vues sur INT4SAGA : FDL016210 et FDL015457'),
(27896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nSAFERGAME : Point de synchro DT avec P.Maigne'),
(27809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nLivraisons PA - Corrections poms'),
(27810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n'),
(27811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n'),
(27814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nCréation anos PSPDV ; Qualification Jason'),
(27815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nMise en place d\'un nouvel outil de test'),
(27828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nQualification ANOs 2.17.10\nInvestigation sur un probleme d\'image non chargée de la FAQ sur le site public\nCreation ANO052147\nEcriture de tests postman pour /digishopp/1.0/faq/email'),
(27825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[Playscan] Recherche et modification des paramétrages d’envoi de mail'),
(27826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nSIDC TR2 et TR3 OK // SIDCOM TR3 OK // SIDCOM TR2 OK'),
(27834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n- Daily\n- Dépilage des mails\n- Reprise des annos et relances'),
(27821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n'),
(27823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\n'),
(27824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n0'),
(27827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-28  (Do not remove this line) -->\n'),
(27831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nFichier de suivi des incidents + relance CIQ sur actions a faire sur 1 livraison FDL017552 et 2 incidents INC175854 / INC175348 + analyse approfondie a mener sur un incident INC175210\n'),
(27832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[OLYMPIA] Modification et fourniture du PV de qualification pour Packman (récupération des informations des frontaux digishop)'),
(27833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Prise de connaissance de l’état de la mise en place du TR1'),
(27840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop A\nAction : conception et implémentation des cas de test auto\n\nProjet : Poupées Russes\nComposant : Digishop U\nAction : analyse de l\'anomalie sur le services \"updateEmail\" . \nAction : Saisie de l\'anomalie (052139) sur Snow.\n\nRéunion : COQAR'),
(27841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nProjet : Poupées Russes\r\nComposant : Digishop A\r\nAction : conception et implémentation des cas de test auto\r\n\r\nRéunion Point Back - Poupées russes'),
(30945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nEcriture de cas de test pour Interactive factory. Exécution des tests de masse sur IF'),
(27929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nExécution des tests de masse sur IF. Analyse des campagnes d\'acceptance et de non régression ITG 2.2.7 sur INT3 (falcon usr 2.7.0-1)'),
(27998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nAnalyse des campagnes d\'acceptance et de non régression RTG 2.3.7 sur INT3 (falcon usr 2.7.0-1)'),
(27854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nEcriture de test postman pour digishopp/1.0.faq.email (suite)\nCreation ANO052169\nCreation ANO052170'),
(28620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nImplementation de tests auto, lancement campagne sur une plateforme en 2,7,1 autre que INT7 \n'),
(28631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nSAFERGAME : PV de qualification+mode opératoire d\'install pour les applis SAGA, fichiers métier, et BETSYS/RDST (seulement partie workflow Transform et Load)'),
(27850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nMCO TR123\r\ncréation bouchon usr -> adobe'),
(28621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nImplementation de tests auto, Lancement des tests ARJEL sur INT1 -> analyse en cours.'),
(27908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nMCO TR123\ncréation bouchon usr -> adobe');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(28628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nImplementation de tests auto, Tests ToBereView  corrigés et passés en READY. Correction de tests campagnes Usr et lancement des campagnes Batch, USR et Arjel.'),
(28629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nImplementation de tests auto, quelques tests Todo implémentés. Préparation des campagnes / mise à jour des référentiels campagnes etc..'),
(28626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nImplementation de tests auto, tests Todo implémentés et analyses sur différentes problématiques (Monext, camapgnes, etc..).'),
(27859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nAtelier bouchon'),
(27865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\ninstallation sur les environnements INT1 et INT6.\r\nPrésentation POC Loic (1h)'),
(27867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nAutomatisation des tests de journalisation TMA - élaboration des cas de test.'),
(27868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nAutomatisation des tests de journalisation TMA - élaboration des cas de test.\r\nCOQAR\r\n'),
(27870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nAutomatisation des tests de journalisation TMA - élaboration des cas de test. Palier TMA - point d\'avancement.'),
(27873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front Combiné Boosté sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-15\r\nABP: 14.1.32-SNAPSHOT 3116\r\nMOBILE: 6\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test des nouveaux markets Foot sur INT8 - pré-match; création des fichiers d\'offre betradar pour les tests pré-match'),
(27874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front Combiné Boosté sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-15\r\nABP: 14.1.32-SNAPSHOT 3116\r\nMOBILE: 6\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test des nouveaux markets Foot sur INT8 - pré-match et Live; Support traders aux tests SppedUP\r\n\r\n[SPEEDUP] Tests ARJEL des nouveaux markets Foot pré-match'),
(27876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nExécution des tests de masse sur IF. Lancement des campagnes d\'acceptance et de non régression ITG 2.2.7 sur INT3 (falcon usr 2.7.0-1)'),
(30933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[Falcon 2.7.2-1] Diff de la version, Génération et merge API, maj des scripts\nFinalisation du correctif sur l\'enregistrement des output issus de JSON avec des  décimales non significatives\nSupport implémenteurs'),
(27910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nMotors Next Level\nMise à jour du script FalconPUTFinancialBankingAccount pour permettre appel du service en mode N1\nEvolution du GetFDJLoginSufix afin de générer un \"TimeStamp\" sous forme de secondes\nValidation et Tag API Falcon'),
(27884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n[RAM.004] Traitement des anomalies ANO051250 et ANO051281'),
(27885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nFichier de suivi des incidents'),
(27887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nSIDC TR2 OK // SIDC TR3 OK  debloqué (fichier playscan deja reçu)  // SIDCOM TR2 OK // SIDCOM TR3 OK'),
(27897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nEGIDE : Installation FDL017620 sur INT8EGID'),
(27898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nEGIDE : Installation FDL017620 sur INT9EGID'),
(27899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nSAFERGAME : Réunion comité opérationnel avec JC.Morel'),
(27900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nEGIDE : Rédaction document de MEP Egide 4.50.02 pour HIA, puis dépôt des livrables (fichiers d\'installation) sur svn '),
(27901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n[RAM.004] Support aux tests Playscan avec Playscan'),
(28124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nEcriture de tests PostMan pour le jeu Les clefs du tresors 2017 (gamification)'),
(28121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-24  (Do not remove this line) -->\nEcriture de tests PostMan pour le jeu Les clefs du tresors 2017 (gamification)'),
(27952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Tests / Reconciliation \"au fil de l\'eau\" + [ALM]: Maj Tests / Reconciliation \"au fil de l\'eau\"'),
(27918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nrecherche probleme de doublon sur l\'integration'),
(27919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nrecherche probleme de doublon sur l\'integration'),
(27920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n'),
(27922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n- Daily\n- Mise à jour des catalogues psel (version 1.1)\n- Réu point ATOS\n- Recherche d\'éléments pour les combinés boostés'),
(27923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[RAM.004] Support aux tests Playscan avec Playscan'),
(27939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nSIDC TR2 OK // SIDC TR3 OK // SIDCOM TR3 en attente SGI // SIDCOM TR2 en cours'),
(27926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Modification des users unix sur le TR1'),
(27937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nSAFERGAME : Atelier analyse des rejets en preprod avec D.Schlachter et R.James'),
(27934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nInvestigation sur le probleme rencontré par geoffrey mariette lors de l\'installation de ptab 2.17.7 + probleme resolu\nBug review FAQ\nEcriture test postman digishopp/1.0/faq/email (suite)'),
(27930, 'Les admins ne sont pas clôturés en cascade.\r\nPar contre, ils ne s\'affichent pas dans la liste des utilisateurs \"ouverts\" quand on essaye de reformaliser une convention avec le mm organisme.'),
(27931, 'Test HPLM :\r\n\r\nPHA -Tests de confirmation - Fil de l eau du 2017-09 - M19669 - Problème de récupération  de la liste des utilisateurs ouverts (d un organisme)  suite à la clôture de la convention (vue création convention)'),
(28008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nFalcon API : revue de code sur l\'utilisation du service Get ChallengeSession adapté a la version d\'USR et au type de contact a authentifier\nMonext : Restauration de l\'enregistrement par defaut de la CB en environnement Monext V2'),
(27933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front - Version Combiné Boosté sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-15\r\nABP: 14.1.32-SNAPSHOT 3116\r\nMOBILE: 6\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test ARJEL et ETL des nouveaux markets Foot sur INT8 - pré-match'),
(27935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n- Daily\r\n- Etat des lieux Combiné boosté\r\n- Creusage du problème performance appel mify/events/calendar'),
(27938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nRDI 1.1 : Mise à niveau TR5 Egide, installation FDL016600 et FDL011073 workflow ETL sur INT8'),
(27940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nFichier de suivi des incidents'),
(27942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nSIDC TR2 TR3 OK // SIDCOM TR3 deblocage chaine du 05/09 + lancement chaine du 06/09 // SIDCOM TR2 déblocage chaine du 04/09 + lancement chaine du 06/09'),
(27943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[RAM.004] Investigations sur incident INC176192 et anomalie ANO051281'),
(27944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\ndaily stream app hasard\r\nPlaystation point d\'avancement'),
(27945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nlecture des mails pour prise en compte des informations suite a 3 semaines de congés\r\nTests des applications natives FDJ IOS ANDROID sur palier playstation pour prise en compte des nouvelles notifications'),
(27946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nTest application FDJ IOS Android sur palier playstation\r\nTest api apm, get-Home, webapp amigolive, prise de jeux dematerialisées\r\nTest Superloto Yellowstone sur int21 et 22 pour mep le 13/09'),
(27947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\ndaily stream app hasard\r\nCOPROJ Playstation'),
(27953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Tests / Reconciliation \"au fil de l\'eau\" + [ALM]: Maj Tests / Reconciliation \"au fil de l\'eau\"'),
(27949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nCréation ANO052269 appli FDJ android sur validation piece justificative du compte a l\'inscription\r\nCréation MOD012352 MOD012353 pour pirse en compte NoProduit mise en place dans le service api apm\r\nTest sur appli Native FDJ IOS Android pour palier playstation, test des webapps\r\nTest SuperLoto sur appli native playstation sur appli native FDJ Android IOS V1.1 v1.2 et sur appli native loto IOS Android version prod'),
(27954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Tests / Reconciliation \"au fil de l\'eau\" + [ALM]: Maj Tests / Reconciliation \"au fil de l\'eau\"'),
(27955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[PSMSv2 / ABP 14.1.32-b3116 / INT1]: Campagne NonReg BACK + Tests / Reconciliation \"au fil de l\'eau\" + [ALM]: Maj Tests / Reconciliation \"au fil de l\'eau\"'),
(27956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nControl-M alimentation de la chaine Compta-IF\r\nEchange sur le processus des FDL des Jeux entre Illiko et IF\r\nSuivi de la mise en place d\'un serveur SFTP entre les environnements IF et L\'ETL compta IF'),
(28187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nMCO SID Commercial + SID Client'),
(28188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nPIMO : Installation FDL016883. '),
(27958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nControl-M Alimentation de la chaine Compta-IF\r\nCréation de requêtes SQL pour extraction d\'information à destination de la Compta-if (Nbr PDJ par jeu ; Nbre Jackpot gagnés par Jeux ; Montant des gains jackpots gagnés par Jeux) '),
(27959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nControl-M alimentation de la chaine Compta-if\r\nExécution des PDJ IF en masse via Postman\r\nInstallation ETL Digital 2.6.4'),
(27960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nAlimentation de la chaine Compta-if\r\nQualif d\'ano ETL\r\ntest compta-if avec les requêtes construites'),
(27961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nAlimentation de la chaine compta-if\r\ntest IF'),
(27972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nPoint d\'avancement et RAS avec Lyna'),
(27965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nMise en place campagne NonReg V16'),
(27966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nMise en place campagne NonReg V16'),
(27967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nMise en place campagne NonReg V16'),
(27968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nMise en place campagne NonReg V16'),
(27970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nBRIC : \n0,5 : Remise à jour avancement projet après congés (depilage des mails)\n0,5 : exécution campagne MOD IBAN sur USR2.7.2-1'),
(27993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\n[MOKA] Répartition des rôles CdP <> Coordinateur de test'),
(27973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nBRIC : \r\n0,25 : Analyse campagne MOD IBAN\r\n0,50 : suivi des anomalies en cours (complemetns d\'infos)\r\n0,25 : Ecriture attendu sur tests Non Reg Email (CRM lot1)'),
(27974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nBRIC : Ecriture/exécution des tests Non Reg Email (CRM lot1) en USR2.7.2-1'),
(27975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nQocar'),
(28183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n0,5 _BRIC : finalisation Run sur usr2.7.2 + préparation campagne usr2.7.3 \n0,5 _MOKA : Découverte du périmètre'),
(27978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nPlugin Hp Aml'),
(27979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nAutomatisation des tests de journalisation TMA - élaboration des cas de test.'),
(27981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nPostman Digishop Game modification et amélioration de la collection'),
(27982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nAtelier GAM services admin. Automatisation des tests de journalisation TMA - élaboration des cas de test.'),
(27989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\n[MOKA] Synchronisation BRIC <> MOKA (poupées russes)'),
(27988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\n[MOKA] Atelier préparatoire DET ARJEL mai 2017'),
(27991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\n[MOKA] Atelier API\n[MOKA] Atelier stratégie de test modérateur Lot 2'),
(27992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[MOKA] Lecture de la base de test\n[MOKA] Atelier stratégie de test CRM Lot 1\n[MOKA] Atelier stratégie de test Poupées Russes V2'),
(27987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nCapeAdress prise de connaissance\r\nDigishop G passage des test  et analyse des résultats'),
(27990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nreunion capAdresse'),
(30442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nPostman digishop G passage de la campagne suite a la nouvelle livraison\nIntégration a GIT\nEtude pour la mise en place dans jenkins'),
(27995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nPostman création des fiche d\'anomalie\r\nModification de la collection pour son intégration a jenkins'),
(27996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nModification des script digishop pour capAdress'),
(27999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nCampagne non-reg  14.1.32-SNAPSHOT 3116 - Back'),
(28000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nCampagne non-reg  14.1.32-SNAPSHOT 3116 - Back'),
(28001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nCampagne non-reg  14.1.32-SNAPSHOT 3116 - Front'),
(28002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nCampagne non-reg  14.1.32-SNAPSHOT 3116 - Front'),
(28003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nTBD'),
(28118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nPrésentation de l\'architecture de l\'outil d\'analyse de flux entrants à Valérie Le roux.  réflection sur le remplacement potentiel de postman par Curl dans la châine d\'analyse de flux.'),
(28117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nInstallation et test de compatibilité du proxy MITM sur un mac afin mettre en place la chaine de capture de flux '),
(28119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nTeste du proxy MTM'),
(28009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nvide des environnements'),
(30430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\navancement sur le développement du pilote selenium avec robotframework'),
(28011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nvide des environnements'),
(28012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nvide des environnements'),
(28109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nSAFERGAME : Réunion état d\'avancement documentation livrée par IBM avec P.Maigne+ Bug review avec JC.Morel'),
(28014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nSAFERGAME : Installation FDL017614 SQL, FDL017621 IIB, FDL017585 SPSS sur INT2'),
(28015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nSAFERGAME : Installation FDL017627 Datastage sur INT2'),
(28016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\npilote tests ihm'),
(28017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\npilote tests ihm'),
(28018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nANO052216 [COHERIS CRM CSCC] Présence de doulons dans la table CLIENTS'),
(28019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nMise à jour des cas de tests du projet BRIC - Non reg EMAIL\r\nDéveloppement des cas de tests POSTMAN.'),
(28021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nMise à jour des cas de tests et exécution des campagnes de tests du projet BRIC - Non reg EMAIL\nDéveloppement des cas de tests POSTMAN.'),
(28022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nMise à jour des cas de tests et exécution des campagnes de tests du projet BRIC - Non reg EMAIL'),
(28025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nExécution des campagnes de tests du projet BRIC - Poupée Russe et Non reg EMAIL'),
(28027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n- Installation des outils de tests automatique sur le poste de Marouan\r\n- Correction de Bug lié au tests auto \r\n- point d\'avancement sur le développement du pilote avec Valerie Le Roux'),
(28028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n-Avancement sur le développement du pilote des test IHM avec Selenium'),
(28031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n-Avancement sur le développement du pilote des test IHM avec Sélénium\n-Rédaction du document Guide Line de développement Robot Framework'),
(28030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n-Avancement sur le développement du pilote des test IHM avec Selenium'),
(30431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n-Avancement sur le développement du pilote des test IHM avec Selenium'),
(28471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nQualification PDV projet Playstation [digishop G]\r\nCreation des cas de test (postman) pour automatisation'),
(28472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nExécution des campagnes de tests BRIC sur INT1 (version USR 2.7.3)'),
(28476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nQualification PDV projet Playstation [digishop G]\r\nCreation des cas de test (postman) pour automatisation\r\nPromulgation et test des fichiers'),
(28477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n	Qualification PDV projet Playstation [digishop G]\r\nCreation des cas de test (postman) pour automatisation\r\nPromulgation et test des fichiers FLP1'),
(28040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[MOTORS] orchestration du jeu NextLevel - récupération des infos du dernier évenement\n[FALCON] réunion dev2dev BRIC'),
(28579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\ndépilage des mail\nAnalyse de la nouvelle version USR 2.7.3'),
(28041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nFichier de suivi des incidents'),
(28042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[StockGrattage] Creation de l\'anomalie ANO052273 + application du contournement'),
(28132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n- Daily\n- Régression wspo 3.1.6, retour arrière sur int2 (ANO052280)\n- Installation de wspo 3.1.5 sur int1\n- Point Philippe\n- Ajout de 2 tests dans les grandes lignes sur ALM pour le Combiné Boosté.'),
(28044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n- Réunion Stanley BRIC (MVV)\r\n- Réunion point cap Adresse (MVV)\r\n- Sprint Planning Stream Coco'),
(28587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nmaintenance tests automatisées d\'acceptation\r\nsupport/accompagnement Leila\r\n'),
(28046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nJASON  - Installation et tests pour :\r\nFDL017610: MAGO 1.0.67\r\nFDL017485 : MIGO 1.0.26\r\nFDL017492 : MUGO 1.0.43\r\n\r\nCréation Ano052129\r\n'),
(28047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n- Déploiement Digishops sur INT71\r\n- Digi A 4.3.0\r\n- Digi I 4.1.0\r\n- Digi U 4.2.0\r\n- Digi P 1.5.0\r\n\r\n- Ajout certificat Cap Adresse avec RGU'),
(28048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n- Support recette (fourniture joueurs à Mong Shen Yeap)\r\n- déploiement composants Jason sur TR2\r\n- Déploiements composants BRIC Coco sur Pré Q\r\n- Support JP Carmona - Perf\r\n- Support divers sur problème d\'authent sur TR3 (avec Brice Salva)\r\n'),
(28049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n- test suite à problème d\'envoi des PJ sur Appli maitre (pour M Agourame et ELodie Fresnel)\r\n- Support equipe de dev Coco (alimenter les Anos à traiter avec des joueurs)'),
(28586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n	[MOKA] Stratégie de tests Modérateur lot 2 et Identification SPORT PDV\nDéploiement est tests des composants BRIC livrés :\nDigi A : \'4.3.0\',\nDigi I : \'4.1.0\',\nDigi U : \'4.2.0\',\nDigi P : \'1.6.0\',\nMAG 2.8.15\nMIG 2.6.3\nMUG 2.12.14'),
(28051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n- Qualif Ano Pierre Beaujoin ANO052282\r\n- Supprot dév Coco sur Anos à raiter\r\n- Travail sur référentiel de tests BRIC'),
(28053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n- qualification livraison hasard pour la widget FAQ\r\n- remonté pb de cors sur INT11\r\n- demande de simplification du service /mapi/pdv/get avec équipe mobile\r\n- remonté pb d\'appels en doublon sur appli iOs mobile\r\n- création ANO052155 [PLAYSTATION][IOS] Appel erroné vers le service /mapi/pdv/get\r\n- création ANO052156 [PLAYSTATION][ANDROID] maj des appels vers le service /mapi/pdv/get\r\n- remonté pb sur le catalogue avec le voucherChecker, demande de création d\'anos sur le stream Hasard'),
(28054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n- PLAYSTATION Point d\'avancement des tests Go/no Go à la recette métier \r\n- installation livraison 4.3.12_hasard correction prod\r\n_ qualification livraison IF\r\n- installation livraison playstation 4.4.4_edwan\r\n- qualification livraison playstation\r\n_ demande de maj des consommateurs pour prise en compte noproduit en camelCase\r\n- livraison 4.4.4_edwan rejetée 3 anos non corrigées, promulgations ko'),
(28055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n- réunion [Playstation] COPROJ Digital multi-stream\r\n- création ANO052209 [PLAYSTATION] Changement d\'emplacement pour les fichiers de certifications.xml et répertoire doc^\r\n- point avec stream sport et app mobiles pour maj des consommateurs du service /mapi/pdv/get\r\n- investigation pb js sur int11, contribution dépubliée par erreur\r\n- préqualif vers 1.1.3_apimaitre sur int91\r\n- installation livraison Playstation 1.1.3_apimaitre int12\r\n- qualification livraison Playstation'),
(28056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n- remonté pb de prod, trop d\'appels vers revolo suite mep IF\r\n- test SuperLoto, Gran Loto sur int21\r\n- qualification service apimaitre 1.1\r\n- qualification livraison IF\r\n- demande maj versio Widget FAQ avec correction de prod\r\n- maj d\'environnement int11 iso prod\r\n1.0.14_apimaitre	FDL016931\r\n4.3.4_edwan	FDL017555\r\n4.3.1_mapi	FDL016995\r\n4.2.0_mobi	FDL016719\r\n4.1.5_mrcd	FDL016598\r\n2.0.3_tapi	FDL016615'),
(28057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n- qualification palier Playstation'),
(28478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n	Qualification PDV projet Playstation [digishop G]\r\nCreation des cas de test (postman) pour automatisation\r\nPromulgation et test des fichiers FLP1'),
(30137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nMCO controlM 123\nCRM lot 1 bouchon'),
(30138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nMCO controlM 123\nCRM lot 1 analyse envoi de mail'),
(30136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nMCO controlM 123\nCRM lot 1 bouchon'),
(28065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nExécution des tests de masse sur IF. Lancement des campagnes d\'acceptance et de non régression RTG 2.3.7 sur INT3 (falcon usr 2.7.0-1). Problèmes d\'environnement causés par une mauvaise manipulation de Lotsys sur tous les environnements'),
(28066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nCAMPAGNE AUTO GAMIFICATION JEU LES CLEFS DU TRESOR INT11'),
(28067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nCAMPAGNE AUTO GAMIFICATION JEU LES CLEFS DU TRESOR INT11'),
(28068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nCAMPAGNE AUTO GAMIFICATION JEU LES CLEFS DU TRESOR INT11'),
(28115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Modification des prms pour remplacer les valeurs DEV par INT et INT3 par INT1'),
(28070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nCAMPAGNE AUTO GAMIFICATION JEU LES CLEFS DU TRESOR INT11'),
(28080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nRéalisation d\'un outil de conversion JSON draft v4 en v2'),
(28081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nInstallation de LesClefsdutresor2017'),
(28078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nEcriture de tests PostMan pour le jeu Les clefs du tresors 2017 (gamification)'),
(28077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nEcriture de tests PostMan pour le jeu Les clefs du tresors 2017 (gamification)\nDéclaration du jeu ASTRO2015 sur INT8'),
(28079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n'),
(30695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nMaj configuration Salt et installation SPORTAIL INT61.\nSupport PS PDV, remise à niveau Edwan41 & Edwan11.\nProjet AMEX'),
(30696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nDaily (30 min)\nProjet AMEX.'),
(28085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-14  (Do not remove this line) -->\n'),
(30691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nDaily meeting (1h)\nSupport PS PDV --> réunion avec le PO pour pb E-bulletin\nProjet AMEX'),
(28089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop A\nAction : conception et implémentation des cas de test auto\n\nRéunion : [BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE\n\nRéunion : URGENT - [BRIC] Sujet CAPADRESSE'),
(28091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nProjet : Poupées Russes\nComposant : Digishop A\nAction : conception et implémentation des cas de test auto\n\nRéunion : [MOKA] Stratégie de tests Modérateur lot 2 et Identification SPORT PDV\n\nEnvironnement : INT 11\nComposant : Digishop A / I / U\nAction : campagne d\'acceptance'),
(30692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nDaily meeting (1h)\nRéunion Ebulletin avec les devs et le techlead (1h)\nRéunion tracking XITI --> Action à prévoir mettre à jour catalogue PS PDV 5.0\nRéunion MasterSalt résoudre le blocage des installations (2h30)\nProjet SALT --> Avancement sur le sujet.'),
(28093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nProjet : Poupées Russes\r\nComposant : Digishop I\r\nAction : conception et implémentation des cas de test auto autour de capAdresse\r\n\r\nProjet : Poupées Russes\r\nComposant : Digishop U\r\nAction : conception et implémentation des cas de test auto autour de capAdresse\r\n\r\nAtelier : Atelier #2 - description du cloud Falcon & recherche de log'),
(30694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nDaily meeting (30min),\nMise en place CONF.INT01 sur le Master Salt\nTest installation AMEX sur int01 --> Ok\nSupport PSEL Android\nSupport PS PDV --> Investigation INT41 et maj à jour Ojadgate!!!'),
(30697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nDaily meeting (30min)\nProjet AMEX.'),
(30698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nDaily meeting (30min)\nProjet AMEX.'),
(30699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nDaily meeting (30min)\nProjet AMEX'),
(30700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nDaily meeting (30min)\nProjet AMEX.'),
(30701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nDaily meeting (30min)\nProjet AMEX.'),
(28103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front - Version Combiné Boosté sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-15\nABP: 14.1.32-SNAPSHOT 3116\nMOBILE: 6\nARGUS: 14.1-125\nPLATFORM: 1.0.183-SNAPSHOT\n\n[PSMSv2] Mise à jour des cas de tests de NREG Front (Web et Webapp) dans ALM\n\n[SPEEDUP] Tests Baseball et Snooker en Live sur INT8'),
(28131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nSAFERGAME : Création ANO052299, qualification ANO045535'),
(28112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nCAMPAGNE NON REG MOTORS 1.8.3-1 TMA JEU DE REFERENCE\r\nDUEL DE CARTES V2'),
(28116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[RAM.004] Analyse avec le support du DEV de l\'ANO051281 + communication sur la non production du résultat attendu a Bruno Aillet et Laurent Barriere'),
(30139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nMCO controlM 123\nCRM lot 1 bouchon adobe v2'),
(28130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[Recyclage] installation de la FDL017617 sur le TR2'),
(28196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nEGIDE : Rédaction document de MEP Egide WS 4.05 pour HIA, puis dépôt des livrables (fichiers d\'installation) sur svn/ RDI 1.01 : DMT0012981 traitée'),
(28135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\ntests appli native playstation'),
(28136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\ntests appli native playstation - scan recus'),
(28137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nFDL017629.'),
(28138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\ntests playstation'),
(28139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nFDL017640\r\n'),
(28140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nSIDC TR2 OK // TR3 OK // SIDCOM TR2 OK apres mise a jour table param // SIDCOM TR3 OK'),
(28141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\n'),
(28142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n\r\nInstallation 2.17.11 ptab sur INT11 et INT31 + acceptance\r\nBug review FAQ\r\nEcriture test postman digishopp/1.0/faq/email (suite)\r\nInvestigation sur un formulaire qui ne fonctionne plus sur INT31'),
(28143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nfin de recherche sur les doublons'),
(28144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n'),
(28146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[PSMSv2] Camapgne de NREG Front - Version Combiné Boosté sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-15\nABP: 14.1.32-SNAPSHOT 3116\nMOBILE: 6\nARGUS: 14.1-125\nPLATFORM: 1.0.183-SNAPSHOT\n\n[PSMSv2] Passage de connaissance Front à Nathalie pour backup semaine prochaine\n\n[SPEEDUP] Test Snooker Live - Analyse de possible anomalie de traitement/arrondie des cotes ayant plus de 2 chiffres après virgule.'),
(28147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nétude point 38'),
(28148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\nCorrection de la seconde partie'),
(28151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-12  (Do not remove this line) -->\n0'),
(28150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nAvancement sur nouveau chargement client'),
(28154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Mise a jour des DDL des 7 vues'),
(28153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nFichier de suivi des incidents'),
(28237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-31  (Do not remove this line) -->\nTravaux de C. Reynet sur JTR'),
(29066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n'),
(28175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-30  (Do not remove this line) -->\nTicket : 73263'),
(28177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nRTC : 73263'),
(28180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nPb ORACLE dû Temps de réponse'),
(28182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-31  (Do not remove this line) -->\nPb ORACLE dû Temps de réponse'),
(28185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[RAM.004] Analyse avec le support du DEV de l\'ANO051281'),
(28186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(28190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\nPalier Stock Grattage : Analyse Modification des Rapports par Recette.'),
(28192, 'Testé et non reproduit.\r\nCe bug a dû être corrigé par une autre correction'),
(28194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[BRIC] Revue des rapports de qualif/avancement ALM\ntest de flux postman vers EGE pour MOKA'),
(28195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n'),
(28197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nSAFERGAME : Point avec R.James sur les livrables restants à fournir pour la MEP (doc d\'ordo, pv de qualif, mode opératoire d\'installation, etc.)'),
(28198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n'),
(28199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nGestion des incidents'),
(28200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nMCO - EGIDE'),
(28201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Contribution coté EGIDE aux tests SOPRA pour résocom et PFjeux\r\n'),
(28202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Réception FDL017107_egide_4.60.01_liv et étude du contenu'),
(28757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[RAM.004] Investigation sur anomalie fichier COHERIS ANO052348'),
(28204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nAutomatisation des tests de journalisation TMA. Documentation et configuration de la campagne.'),
(28205, 'RAF :\r\n- Documentation : 1j'),
(29158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n'),
(28207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n'),
(28208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n'),
(28209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n'),
(28210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n'),
(28211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n'),
(28221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n'),
(28215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n'),
(28222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n'),
(28218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n'),
(28223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n- Daily\n- Point Vincent Girard Combi Boosté\n- ANO051404 sur pdv\n- Réunion Philippe/Julien pour point Combiné Boosté'),
(28225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n'),
(28227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n'),
(28228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nTrouver le moyen de générer des logs du proxy mitm'),
(28232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-24  (Do not remove this line) -->\nTravaux de C. Reynet sur JTR'),
(28233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-25  (Do not remove this line) -->\nTravaux de C. Reynet sur JTR'),
(28234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-26  (Do not remove this line) -->\nTravaux de C. Reynet sur JTR'),
(28235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-27  (Do not remove this line) -->\nTravaux de C. Reynet sur JTR'),
(28236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-28  (Do not remove this line) -->\nTravaux de C. Reynet sur JTR'),
(28243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(28275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nMCO Court Commercial : 2 DMT créées DMT0013350 et DMT0013355 + MCO SID Client TR3.'),
(30949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n-Suivre l\'état des lieux sur le projet IF\n-Mise à jour de collection Postman \n-Ajouter les jeux Super100, super200 et Super500'),
(28247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n'),
(28248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nComposant : Digishop A\r\nAction : maintenance des cas de test auto\r\n\r\nRéunion : COQAR'),
(28252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nInstallation 2.17.12 sur INT1 + acceptance\nCreation ANO052371\nRedaction de tests postman sur digishopa/faq/email\nCreation ANO052386\nCreation ANO052398\nCreation ANO052392\nCreation ANO052402'),
(28251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n- Daily\r\n- Point Philippe + réalisation tests combinés boostés\r\n- Rédaction ANO052377 critique pdv '),
(28253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nANVCTX, RSI, ...'),
(28794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[MOKA] Test de flux vers adobe\nAtelier description du cloud falcon'),
(28796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nstandup meeting MOKA\nCOQAR\nstatretgie de tests CRM lot1\nMOKA :  ouverture de flux vers Adobe, vip ege'),
(28259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nLecture doc V16'),
(28260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nLecture doc V16'),
(28382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nLecture doc V16'),
(28383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nExécution campagne 14.1-SNAPSHOT 3167 - Acceptance'),
(30421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nRetour de congés: analyse des mails et sujets etc...\n\nPoint COQUAR\n\nConfiguration du versionning de la CONF Salt.\n\nInstallation de Digishop P sur INT11\n\nPoint avec Yannick Kome: reprise du sujet MOD IBAN (tests Postman coté Front)'),
(28268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nV16 - Construction campagne de Non reg'),
(28269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nV16 - Construction campagne de Non reg'),
(28270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nV16 - Construction campagne de Non reg'),
(28274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nV16 - Construction campagne de Non reg'),
(28273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nSuivie automatisation SPORT'),
(28276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nPIMO : Copie de la base de Prod sur INT4CALY + Préparation de l\'installation FDL016883 sur TR4.'),
(28277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(28278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nMCO : SID Client + SID Commercial + Court Commercial TR1'),
(28279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nANO052056 : Qualification Ano.'),
(28810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nredaction test postman Ecredit MOKA\nRepet install gamif avec HIA'),
(28602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nINC178839 : Analyse et envoi du contournement.'),
(28287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nExécution et analyse campagne ACCEPTANCE API & DB Falcon USR v.2.7.2'),
(28285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nAnalyse et proposition pour supprimer l\'utilisation du champ T6_TEXT_2'),
(28288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nAnalyse et correction des cas de tests ACCEPTANCE API & DB Falcon USR v.2.7.2\nSuivi équipe Back\nCorrection des tests de NR en \"ToBeReview\"'),
(28291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nSAFERGAME : Réunion Point de synchro avec P.Maigne'),
(28292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nSAFERGAME : Mise à jour du document d\'ordonnancement (V.11) et livraison à HIA'),
(28632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nSAFERGAME : Réinstallation complète du serveur non core (datastage, i2analyse, cognos)'),
(28294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nMise en place planning + chiffrages'),
(28846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[PSMSv2] Camapagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-22\r\nABP:            14.1.32-SNAPSHOT 3167\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.183-SNAPSHOT\r\n\r\n'),
(28297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nPilotage de l\'équipe'),
(28298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\ncorrection bug git_extract.sh sur tous les produits PCA'),
(28299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[RDI 1.1] Refresh de la base de données INT4SAGA à la demande de Vincent M.'),
(28300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[Mobilin] Installation de la FDL016395 (Elphe) sur TR2'),
(28301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[Mobilin] Installation de la FDL016395 (Elphe) sur TR3'),
(28303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[Mobilin] Installation de FDL016832 (ETL_Commercial) sur TR2'),
(28304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[StockGrattage] Rédaction du PV de qualification et revue des anomalies et MOD dans le perimetre du CDS'),
(28305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-01  (Do not remove this line) -->\n[Mobilin] Installation de FDL016832 (ETL_Commercial) sur TR3'),
(28756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Vérification des flux ETL sur le TR1 et début de qualification de la chaine'),
(28308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nMCO Court_Commercial'),
(28309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nMCO Court_Commercial'),
(28650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nMCO Court_Commercial'),
(28680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nMCO Court_Commercial'),
(28312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n'),
(28313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nMCO Court_Commercial'),
(28315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nTest PTAB, PMOB\r\nTest sur Téléphone Android/iPhone/Desktop \r\nTester les applications natives sur iOS et android'),
(28322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017307 (Saga) sur TR5'),
(28317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017675 (Calypso) sur TR1'),
(28318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017675 (ARCA) sur TR2'),
(28323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[RDI 1.1] Campagne d\'acceptation ALM de la FDL017307'),
(28324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\nTravaux stream portails'),
(28325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-22  (Do not remove this line) -->\nTravaux stream portails'),
(28326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-23  (Do not remove this line) -->\nTravaux stream portails'),
(28329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nQualification des anomalies 2.17.11 et 2.17.12\nQualification d\'anomalies digishop P\nEcriture des tests postman pour le service faq/email de DigishopA\nCreation ANO052456'),
(28333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nConversion test Postman en test auto'),
(28334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nAnalyse et bilan recette FALCON v2.7.2-1'),
(28367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nExecution, analyse et bilan recette acceptance FALCON 2.7.3\nIF : mise en place croupier de recette CROSSINGO');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(28336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\nmontée en compétence GPMM\r\nMise en place poste de travail'),
(28338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nmontée en compétence GPMM\nMise en place poste de travail'),
(28339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nmontée en compétence GPMM\r\nMise en place poste de travail'),
(28340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nLignes régulières SFD'),
(28341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nLR SFD'),
(28342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nGPMM Spec'),
(28343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - FDL017107_egide_4.60.01_liv sur INT8EGID'),
(28344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Contribution à SOPRA pour test Resocom/EGIDE'),
(28345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nGestion des incidents'),
(28346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nMCO EGIDE'),
(28347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 '),
(28348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360  - CSAM MPP - investigation sur problème Provisioning VDI '),
(28350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - 1 cas de test'),
(28351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Contribution à SOPRA pour test Resocom/EGIDE'),
(28352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60'),
(28797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nInstance Stanley IQ BRIC\nPromo Compte Demo API\nMOKA : Test API Ecredit'),
(28795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nStrategie de tests CRM lot1 avec SOPRA\nMOKA : Test API Ecredit'),
(28803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n- Lire les emails suite au retour des vacances'),
(28804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n- Lecture des specs pour la nouvelle version V16:\nliste des docs:\n- Betslip Management Vanilla 3.00\n- ABP v16 COPRO 20170901\n- BPS 021 SFD 0007 EGP to ETL Interface v5.00\n- Falcon & Arjel changes (1)\n- FDJ 16 5 Upgrade - Ticket List'),
(28362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nCréation et d\'une chaîne de flux compléte :\r\nSmartphone + Proxy MITM+ Wiremock + Serveur FDJ\r\nProbléme de connection avec le serveur FDJ'),
(28365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n'),
(28368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nRédaction du devis'),
(28369, 'Le filtre par groupe ne gère pas le status du partnerCustomGroup.\r\nLes utilisateurs ayant été supprimés du groupe apparaissent comme étant membre.\r\n(PartnerCustomGroup passé au status Closed, mais pas supprimé physiquement)\r\n\r\nDescription technique:\r\n\r\nDans partner-spring.xml, le bean \"partnerGroupGraphicalComponent\" ne prend pas en compte le status du partnerCustomGroup.\r\n\r\n<bean id=\"partnerGroupGraphicalComponent\"\r\n		class=\"cnaf.partenaires.pha.portlet.commonlibrary.graphical.impl.GraphicalComponentImpl\">\r\n		<property name=\"id\" value=\"groupFilter\" />\r\n		<property name=\"primaryKey\" value=\"customGroupId\" />\r\n		<property name=\"field\" value=\"groupCode\" />\r\n		<property name=\"fieldType\" value=\"String\" />\r\n		<property name=\"multiTables\" value=\"true\" />\r\n		<property name=\"model\">\r\n			<bean class=\"cnaf.partenaires.pha.portlet.model.impl.CustomGroupModelImpl\" />\r\n		</property>\r\n		<property name=\"joinClassName\" value=\"cnaf.partenaires.pha.portlet.model.PartnerCustomGroup\" />\r\n		<property name=\"joinClassFirstPK\" value=\"id.customGroupId\" />\r\n		<property name=\"joinClassSecondPK\" value=\"id.partnerId\" />\r\n	</bean>'),
(28372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nEcriture des tests postman pour le service faq/email DigishopA \nTest du service digishopa/1.0/faq/email\nBug review FAQ\nInstallation ptab 2.17.13 sur INT11 + acceptance\nCreation ANO052513'),
(28371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-21  (Do not remove this line) -->\n'),
(28373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n'),
(28375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nFALCON : Mise à jour du catalogue Acceptance USR API, Prerequis et CC '),
(28376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nFALCON : Mise à jour du catalogue Acceptance USR API, Prerequis et CC '),
(28377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n'),
(28378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nCorrection des tests de NR en \"ToBeReview\" de la v.2.7'),
(28664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nExécution et analyse des cas de tests ACCEPTANCE API & DB Falcon USR v.2.7.3\nRédaction du rapport ACCEPTANCE API & DB Falcon USR v.2.7.3\nExécution et analyse des cas de tests NR Falcon USR v.2.7.3\n'),
(28381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nPréparation du développement pour le champ T6_TEXT_2 en avance de phase.'),
(28398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n- Création référentiel Offre V16 \n- Création référentiel NonReg  Mify V16 \n- Mise au point dev\n- Ateliers Analyse V16\n- Qualification Anos CombiBoost'),
(28403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n- Création référentiel NonReg Mify V16 (Vérification des PDJs\n- Mise au point dev'),
(28404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n- Création référentiel NonReg Mify V16 (Vérification des PDJs\n- Mise au point dev'),
(28405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n- Création référentiel NonReg Mify V16 (Vérification des PDJs\n- Mise au point dev'),
(28406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n- Création référentiel NonReg Mify V16 (Vérification des PDJs\n- Mise au point dev'),
(28407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nGestion des incidents'),
(28421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Contribution à SOPRA pour test Pfjeux/EGIDE'),
(28409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nModification de script pour la prise en compte de capAddress\r\nModification du script digishop A upload atachement'),
(28410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nCoqar'),
(28411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nPoint Jenkins pour digishop G'),
(28413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nModification de la collection digishop G ajout du test d\'interval et du test du champ current'),
(28417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nAnalyse du plugin HPALM pour Jenkins'),
(28420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nAnalyse des résultat pour la boutique G'),
(28419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nTest de la nouvelle livraison de la boutique G'),
(28423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO  Neptune'),
(28425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60  - Test  EGIDE RDI - en collaboration avec SOPRA'),
(28426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nCampagne d\'acceptance 20170907-[INT8]-14.1.31.1-SNAPSHOT 60'),
(28427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nCampagne light 20170912-[INT2]-14.1.31.1-SNAPSHOT 52'),
(28428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nCampagne light 20170912-[INT2]-14.1.31.1-SNAPSHOT 52'),
(28442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n[Combiné Boosté] : Maj de l\'outil de Calcul de Gain d\'un CB (Arrondi + Commentaires) + [V16] : Prise de connaissance / Documents sous Sharepoint'),
(28443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[V16] : Prise de connaissance / Documents sous Sharepoint'),
(28431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nCampagne d\'acceptance combinés boostés20170914-[INT7]-14.1.3167'),
(28433, 'Re,\r\nAlaa a un soucis sur la solution au Mantis 0019344 \r\nIl semblerait que cela vient de spring, est ce que tu métrise ?\r\nSi oui peux tu regarder sinon me dire qui pourrais aider ?\r\nMerci\r\n\r\n\r\n=> Je ne vois pas de problème Spring à proprement parler ... pas possible de prendre en compte le partnerCustomGroup ?'),
(28445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n[V16] : Prise de connaissance / Documents sous Sharepoint'),
(28435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nCampagne d\'acceptance combinés boostés 20170914-[INT7]-14.1.3167'),
(28805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n- Lecture des documents relatifs à la V16\n- Préparation de mon offre pour se préparer aux tests'),
(28437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nPoint avec Frédéric Faissat sur le plugin\r\nPoint postman avec romain\r\nEtude du plugin HP\r\n'),
(28864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT1]: Campagne Nouvelles Fonctionnalités'),
(28440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nComposant : Digishop A\r\nAction : maintenance des cas de test auto\r\n\r\nRéunion Point Back - Poupées russes'),
(28444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nAnalyse de la livraison des boutiques A I U'),
(28446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nComposant : Digishop U\r\nAction : maintenance des cas de test auto\r\n\r\nRéunion : [BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE'),
(28698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nComposant : Digishop U\nAction : maintenance des cas de test auto\n\ncampagne d\'acceptance INT71 : DI / DA / DU'),
(28700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nComposant : Digishop U\nAction : maintenance des cas de test auto\n\ncampagne d\'acceptance INT71 : DI / DA / DU\naction : analyse des résultats et rédaction du rapport'),
(28806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n- Suivre les tests d\'acceptance avec l\'équipe\n- Préparation et test de mon Offre sur INT1 et INT7\n- Déroulement des tests V16 sur INT7'),
(28657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 5 cas de tests dans ALM'),
(28497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT7]: Tests Acceptance'),
(28451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nCMP Test PTAB, PMOB\r\n Test sur Téléphone Android/iPhone/Desktop \r\n Tester les applications natives sur iOS et android \r\n'),
(28455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nGénération du fichier Jackpot IF\nControl-M : Alimentation de la chaine compta IF\nAcceptance IF'),
(28456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nGénération du fichier Jackpot\r\nControl-M alimentation de la chaine compta IF\r\nAmélioration des scripts postman pour l\'acceptance IF '),
(28577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nGénération du fichier Jackpot\nControl-M Alimentation de la chaine Compta - IF\nCréation de requête pour extraire des chiffres compta (nbr pdj if, ....)\nAmélioration de scripts Postman'),
(28459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nImplémentation de test auto / reprise de l\'activité. Lancement de campagne 2.7.3 / mise à jour des tests / création de tests ARJEL. Vérification de campagnes batch. '),
(28464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nGénération du fichier Jackpot\nControl-M alimentation de la chaine compta-if\ntest postman'),
(28461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nGénération du fichier Jackpot\r\nControl-M alimentation de la chaine compta-if\r\ntest postman IF'),
(28462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nImplementation de test auto, miseà jour du catalogue et correction de tests en erreur (reprise requêtes + technicalChecks).'),
(28465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nInvestigation sur l\'incident INC174968'),
(28466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nSIDC TR2 TR3 OK// SIDCOM TR2 //SIDCOM TR3'),
(28467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nRevue de documentation sur le projet MOKA.\r\nEcriture du plan de tests pour le sous projet Modérateur Lot 2.'),
(28468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nRevue de documentation sur le projet MOKA.\r\nEcriture du plan de tests pour le sous projet Modérateur Lot 2.'),
(28470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n	Qualification PDV projet Playstation [digishop G]\r\nCreation des cas de test (postman) pour automatisation'),
(28473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nExécution des campagnes de tests BRIC sur INT1 (version USR 2.7.3)'),
(28474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\nQualification PDV projet Playstation [digishop G]\r\nCreation des cas de test (postman) pour automatisation'),
(28475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n'),
(28494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[MONEXT] Préparation RUN5\n[MOKA] Rédaction exigences Modérateur Lot 2\n[MOKA] Atelier Stratégie de test Modérateur Lot2'),
(28486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n[MONEXT] Exécution du RUN5 (applis mobiles)\n[MOKA] Atelier CRM avec LOTSYS'),
(28487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[MONEXT] Exécution du RUN5 (applis mobiles)\n[MOKA] Atelier API'),
(28484, 'Je dois passer un field \"status\" à la joinClass PartnerCustomGroup.\r\nSauf que dans le bean je ne peux passer qu\'une seule property field.\r\nTu aurais pas une solution pour pouvoir ajouter le contrôle sur le status du PartnerCustomGroup ?'),
(28485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n'),
(28488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION MOTORS GAMIFICATION\r\nJEU LES CLEFS DU TRESOR INT11'),
(28489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION MOTORS GAMIFICATION\r\nJEU LES CLEFS DU TRESOR INT11'),
(28490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION MOTORS GAMIFICATION\r\nJEU LES CLEFS DU TRESOR INT11'),
(28491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION MOTORS GAMIFICATION\r\nJEU LES CLEFS DU TRESOR INT11'),
(28492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION MOTORS GAMIFICATION\r\nJEU LES CLEFS DU TRESOR INT11'),
(28495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n[MOKA] Atelier Stratégie de test PPv2\n[MOKA] Atelier Stratégie de test DET 1.5 ARJEL\n[AToS] Mise a jour outil Recherche profil'),
(28617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nPoint avec Dhira sur les anomalies digiA et digiP faq/email\nCreation ANO052528\nInstallation INT12  HASARD 4.4.0 &  MAPI 4.4.1\nQualification des anomalies edwan 4.4.5'),
(28499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nTest des nouvelles application FDJ IOS ANDROID embarquant playstation\r\nTest des webapp ile au tresor, astrologie, test du chargement du reglement, test de création des flash codes, tests de géolocalisation'),
(28500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nDaily webapp\r\nDaily appli native\r\nCoproj Playstation'),
(28501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nContinuité des tests playstations sur appli amigo live\r\nMise a jour des catalogues 1.2 application FDJ pour prise en compte nouvelle fonctionalitée amigolive'),
(28502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nTest sur webapp iat et astro\r\ntest de cas au limite de l\'appli FDJ\r\nInstalltion wof 2.9.11 sur INT31 + INT32'),
(28503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\ninstallation WOF INT02 -> Acceptance OK\r\nInstallation WOF INT42 -> Acceptance OK (go recette)\r\nDebugage INT91 pour test dev apimaitre\r\nSortie de reçu amigolive pour tests scan\r\nSortie de reçu superloto pour tests scan\r\n'),
(30657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\ndaily webapp\ndaily app native\nPlaystation revue du portefeuille'),
(28505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nLivraison prévu des nouvelles version d\'appli native FDJ pour IOS et Android\r\nLivraison prévu webapp Loto, IAT, Astron wihmevnt'),
(28506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nBRIC _ Exécution campagnes postman sur usr2.7.3 (int1)'),
(28507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n0,5 : MOKA : Lecture spécification_ préparation environnement ALM - gestion MAJ referentiel\r\n0,5 : Boosbet : MAJ (pour usr2.7) et execution des tests postman ecrit en usr2.6'),
(28509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nBRIC - Boosbet  : MAJ et execution test sur USR2.7'),
(28510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nMOKA _ analyse spec, préparation des questions'),
(28511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nBRIC _ execution campagnes sur USR2.7.3'),
(28609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n-Test de PDJ, lancement applet de jeu après installation du nouveau WOF sur l\'environnement d\'intégration INT42\n-Re-tester le lancement d\'applet et des PDJ sur tablette android/iOS(vérification des tests déroulés le 13/09)'),
(28514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nCOQAR. Protogen Falcon Admin. Architecture des blocs Falcon Admin.'),
(28515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[GAMIF] Point sur go/no Recette et problèmes de backend.\r\nTR: [Palier TMA] Point d\'avancement. Réalisation blocs Falcon Admin OPR.\r\nCorrectifs tronc commun cJSON.'),
(28516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nRéalisation blocs Falcon Admin OPR. Correctifs tronc commun cJSON.\r\n'),
(28517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nRéalisation scripts Falcon Admin OPR et login BOG orchestré.'),
(28518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nvie des environnements'),
(28519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nvie des environnements'),
(28523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nMCO control m tr 1 2 3 \ncrm lot 1 : bouchon adobe'),
(28522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : bouchon adobe '),
(28524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : bouchon adobe '),
(28525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : bouchon adobe '),
(30142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nMCO control m tr 1 2 3 \ncrm lot 1 : bouchon adobe'),
(28578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nAmélioration de scripts Postman'),
(28528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nPIMO : Réinstallation sur INT4 des FDL016883 et FDL015815'),
(28529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(28530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nSID Client / SID Commercial : Réunion d\'organisation des tests dans le référentiel applicatif HP ALM.'),
(28531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nPIMO : Analyse puis création d\'anomalie sur les calculs du CA.'),
(28532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nPIMO : Fin installation FDL015815 sur INT4'),
(28547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nAnalyse de l\'anomalie rencontrée en production sur le jeu \"La course\" (paramètres envoyés par l\'applet incoherents => anomalie d\'affichage de l\'applet) '),
(28541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nAnalyse des anomalies sur les jeux\n- La course\n- Next Level\n- Les clefs du tresor\nEcriture de tests de qualification'),
(30896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nAnalyse des anomalies sur les jeux\n- La course\n- Next Level\n- Les clefs du trésor\nEcriture de tests de qualification\n'),
(28546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nAnalyse de l\'anomalie rencontrée en production sur le jeu \"La course\" (session joueur bloquée + paramètres envoyés par l\'applet incohérents)'),
(28545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nInstattion du test blanc gamification sur INT11\nAnalyse de l\'anomalie rencontrée en poduction sur le jeu \"La course\" (session joueur bloquée)'),
(28588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nmaintenance tests automatisées d\'acceptation\r\nsupport/accompagnement Leila\r\n'),
(28584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n- Formation Robot Framework / Selenium\n- Installation MUG 2.11.3 en urgence (correction ano Super Loto)\n- Tests multiples pour MEP le lendemain\n- Mise à jour INT11 pour Jason : MAGO / MIGO / MUGO'),
(28549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n-Avancement sur les développements des tests automatique avec Sélénium\r\n- Point avancement avec l’équipe pilotage ATOS'),
(28550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nInvestigation incident INC177986'),
(28551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nRéunion Référentiel HP ALM + stratégie applicative'),
(28552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n-Avancement sur les développements du pilotes Sélénium sur layer Authent\r\n-Formation sur l\'outil d\'automatisation RobotFramework'),
(28553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nSIDC TR2 OK // SIDC TR3 OK // SIDCOM TR3 OK // SIDCOM TR2 En attente confirm'),
(28554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n-Avancement sur le développement de tests IHM Sélénium '),
(30659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n- Problème android 4\n- Probleme appel catalogue dans la version 1.0.024 de psel\n- Install wspo et psel android nouvelle version'),
(28585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n- Instance Stanley IQ Bric\n- Réunion Non rég Jason\n- Analyse problème inscription Jason (Digi I)\n- Qualification Ano Jason ANO052508'),
(30658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n- Daily\n- MOD012389\n- Recherche problème incompatibilité android 4 pour psel android 1.0.024\n- Rétablissement du script \"maison\" pour fiddler (suite à la maj fiddler de l\'été)\n- Problème css sur borne (int3 nok, int3 ok)'),
(28559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n- Maj MUG sur INT12\r\n- Support dév Coco\r\n- Qualification ANO051707\r\n- Installation et tests MAG / MUG maintenance SPOC ??? (en attente de livraisons)'),
(28790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n- Ano Jason problème css MAG \n- Qualification ANO052387 WOF (demande R DUMONTET)\n- LIvraison Urgent Ano de Prod MUG FDL017723'),
(28562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n- Correction de bug lié a Jenkins pour l\'integration des tests automatique selenium\r\n- point de coordination avec l\'equipe automatisation'),
(30291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n- Atelier sur la mise en place de l\'architecture projet des tests automatiques IHM \r\n- développement de script shell pour automatiser le lancement du tunnel proxy sur linux'),
(28566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\ntest sur remplacement champ T6_TEXT_2'),
(30304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nSAFERGAME : Vérification des anomalies créées par le métier'),
(30303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n'),
(28597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nInstallation de L\'OS Fedora sur la machine 58484 avec l\'accord de Cyril Dupont et installation de la chaîne de test analyse de flux entrant'),
(28599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nTrouble shooting of the sever connection issue and implementation of a fix'),
(28572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n[RAM.004] test de vérification sur ANO051281 non concluant'),
(28573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nMaj des environnements INT12 et INT32 Conf SALT pour installation.\r\nInstallation Boutiques sur iNT12\r\n\r\n'),
(28574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nRéunion Palier BRIC\r\n\r\nPréparation environnement SALT Conf pour installation Boutiques sur INT71.\r\nL\'installation est reportée à demain en raison d\'une coquille dans la Livraison'),
(28575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nSuite Configuration de l\'environnement 71 , rajout de variables salt et installation.\r\n\r\nInstallation prévue ensuite sur INT11 et 31'),
(28581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n'),
(28798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nredaction test postman Ecredit\nSupport HIA Bingo\nreunion proxy flacon adobe'),
(28703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nmerge API Falcon USR 2.7.3\nReunions : \n- Implémentation des appels de service Endowments feature\n- [Domaine DIGITAL] Coordination Dev VuGen\n- Comité API \"extraordinaire\"\nSupport implementeur erreur de script transverse -> créer un tag API pour déployer le correctif d\'Etienne sur la valorisation des données en output issus de structures json'),
(28589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nmaintenance tests automatisées d\'acceptation\r\nsupport/accompagnement Leila\r\n'),
(28785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n'),
(28594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nmaintenance tests automatisées d\'acceptation\nsupport/accompagnement Leila'),
(28596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nTrouble shooting of the sever connection issue and implementation of a fix'),
(28598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n	Test et trouble shooting de la chaîne de test'),
(28800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n- Daily\n- A l\'origine de la WEBS-1300 (problème retour sur filtre psel android)\n- ANO052453 (psel)'),
(28603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nAnalyse des anomalies de recette 2.2'),
(28604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n'),
(28605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n#5015'),
(28606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n#5015'),
(28607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n#5015'),
(28608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n#5015'),
(28610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nMCO Court_Commercial'),
(28683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017681 sur INT8SAGA'),
(28684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n[RDI 1.1] Campagne d\'acceptation pour la FDL017681'),
(28615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nCorrection icescrum + saxo + echanges avec Alan'),
(28614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nL\'appel aux services KO (ref mail d\'échange avec Alan)'),
(28616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\nsaxo + icescrum + communication avec Alan + Adeline...'),
(28618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n'),
(28633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nSAFERGAME : Installation FDL017643 FOLIO, FDL017642 SPSS, FDL017648 IIB, FDL017641 SQL, FDL017671 DB2'),
(28634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nSAFERGAME : Réinstallation complète du serveur non core (datastage, i2analyse, cognos)'),
(28699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n-Test de PDJ, lancement applet de jeu après installation du nouveau WOF sur l\'environnement d\'intégration INT42\n-Re-tester le lancement d\'applet et des PDJ sur tablette android/iOS\n-Qualification ANO49753: reproduite sur INT42(corrigé sur d\'autre environnement)'),
(28636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Contribution à SOPRA pour test Pfjeux/EGIDE'),
(28637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nMCO - EGIDE'),
(28638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - 1 cas de test'),
(28640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune'),
(28642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nSIDC TR3 OK // SIDC TR2 OK // SIDCOM TR2 OK // SIDCOM TR3 OK'),
(28643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI - + collaboration avec SOPRA'),
(28660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nRéunion stratégie de test pour le projet PlayStation'),
(28658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-05  (Do not remove this line) -->\n[PlayStation] Campagnes de tests intégration de Qualification'),
(28669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017510 sur INT1CALY'),
(28649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[PlayStation] Campagne d\'acceptation de la FDL017510'),
(28679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[RDI 1.1] Création d\'un cas de test et modification de 5 cas de test'),
(28653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017510 sur INT2ARCA'),
(28807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n- Dérouler des tests NREG manuelle Front et Back relatifs à la V16 sur INT1\n- Tester et raffinement de mon Offre\n-Qualification des ANO: ANO051374, ANO051806'),
(28659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017204 sur INT5ETL9'),
(28661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n[RDI 1.1] Campagne d\'acceptation de la FDL017204'),
(28663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(30317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nAnalyse des cas de tests NR Falcon USR v.2.7.3\nRédaction du rapport d\'exécution\nExécution et analyse des cas de testsACCEPTANCE API & DB + API CC& DB CC Falcon USR v.2.6.12-1\nRectification des cas de tests régul et recertif suite à correction de la l\'ANO051360 soit 94 cas de tests à revoir'),
(28666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(28668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nPIMO : Réinstallation FDL016883 sur INT4 suite à refresh base INT4'),
(28670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nStock Grattage : liste des FDL à installer avec ordre d\'installation.'),
(28671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017510 sur INT2CALY'),
(28672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017510 sur INT3CALY'),
(28675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[RAM 004] Installation de la FDL017552 sur INT2CALY'),
(28676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[RAM 004] Installation de la FDL017552 sur INT2ARCA'),
(28677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nRéalisation de scripts et blocs Falcon Admin Gam Admin.'),
(28681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[RDI 1.1] Modification de 2 cas de test'),
(28682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n[RDI 1.1] Modification de 2 cas de test'),
(28685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nMCO Court_Commercial'),
(28686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017345 sur INT1SAGA'),
(29172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[PlayStation] Installation de la FDL017685 sur INT1CALY'),
(28688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nFormation CP - Risk PL'),
(28690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nQualification anomalies.\nExécution campagne 14.1-SNAPSHOT 3167 - NREG '),
(28691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n[RDI 1.1] Modification de 5 cas de test'),
(29171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017681 sur INT8SAGA mise à jour des habilitations'),
(28696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n'),
(28723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n'),
(28701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n[RTC-74029] DECH - CU Consulter/Editer les déchets - barre des seuils absente sur les escales cloturées'),
(28702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-08  (Do not remove this line) -->\n[RTC-73272] ESC - CU Consulter/Editer une escale - Les horodatages SSCEC et assurance ne sont pas bons'),
(28704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n[RTC-59578 ] ACT - Bloquage à la connexion'),
(28705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nInstallation du projet Manifeste sur le poste + correction du defect [MANIFESTES][89] La recherche d\'un conditionnement par utilisateur qui a comme rôle \'Consultation\' n\'a pas comme critère de recherche l\'état du conditionnement.'),
(28706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n[MANIFESTES][90] la saisie du libellé doit pouvoir se faire en autocomplétion'),
(28707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nfinalisation du defect [MANIFESTES][90] la saisie du libellé doit pouvoir se faire en autocomplétion'),
(28721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\n'),
(28711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nProblème sur le devmode qui ne marchait plus pour le traitement de la rtc-56525.\r\nDéblocage en fin de journée.'),
(28712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nAnnulé'),
(28713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nAnnulé'),
(28714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\nNon reproduit avec leur fichier de test, en attente d\'un deuxieme évoqué dans le defect'),
(28715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nTerminé et testé, à livrer'),
(28716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\nDiscussion en cours avec le RSI'),
(28717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\ncorrigé et testé, à livrer'),
(28718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n'),
(28719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nRéfusé réal + explication au RSI du comportement'),
(28720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nDéveloppement du script pour corriger l\'anno dans la table CAISSE_N. Annulation de la modif suite au changement d\'avis du RSI. Reporté sur une modification de la SFD pour coller a l\'existant en BDD de prod.'),
(28724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nUpdate bilan pour relivraison'),
(28729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[StockGrattage] [GSG] Revue du plan de MEP et des adhérences'),
(28755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Lancement des flux ETL pour alimentation des staging teradata + resolution du probleme de droits d\'execution sur les relations'),
(28727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nCloture de l\'incident INC177986'),
(28728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-06  (Do not remove this line) -->\n'),
(28792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n'),
(28789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nStratégie de tests MOKA\r\nMise à jour des tests FALCON'),
(28732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n[StockGrattage] Revues des FDLs a installer avec le RA (impact migration) et preparation du deroulé de MEP pour HIA'),
(28733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-29  (Do not remove this line) -->\n'),
(28734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n[RAM.004] Vérification et investigation anomalie ANO051281 suite au  test AMOA sur TR3'),
(28735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nSIDC TR2 SIDC TR3 OK // SIDCOM TR2 en attente // SIDCOM TR3 OK'),
(28737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\nAssistance INC178574'),
(28738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\nANV-CTX'),
(28744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune'),
(28743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Contribution à SOPRA pour test Resocom/EGIDE'),
(28741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(28746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - Formation Olivier sur EGIDE'),
(28747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-04-20  (Do not remove this line) -->\n'),
(28748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n'),
(28749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\n'),
(28750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n'),
(28751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n'),
(28752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n'),
(28753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 OK // SIDC TR3 en attente// SIDC TR2 En attente'),
(28754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[StockGrattage] Support a la mise en production'),
(28758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nTR1 : Analyse et correction des problèmes sur les tables de staging Teradata.'),
(28759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(28760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n44981 recup scripts, point krimo, ...'),
(28761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n56525 ARCH - NullPointerException dans les logs'),
(28763, 'Mail de Gérald avec les infos'),
(28764, 'Mail à Sylvie Legendre :\r\n\r\n\r\nBonjour,\r\n\r\nPour pouvoir traiter votre demande, nous avons besoin d’un saxo.\r\nMerci d’en créer un et nous donner la référence dès que possible.\r\n\r\nCordialement,\r\n\r\n\r\nAlaa RAHMANI'),
(28765, 'Réponse de Sylvie Legendre : \r\n\r\nBonjour, \r\n\r\nJe suis un peu surprise de cette demande de requête car pour le partenaire \'*Campbon*, Said avait traité en direct (on était en liaison téléphonique), et immédiatement après, la caf avait pu reprendre cet organisme. \r\n\r\nPour info, en raison de la migration de notre environnement Cdr, nous ne sommes pas joignables par téléphone. \r\n\r\nCordialement, \r\n\r\nSylvie Legendre'),
(30660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n- Daily\n- Acceptance wspo\n- Acceptance appli psel android\n- ANO052453 (test sur erreurs 500)\n- Lecture approfondi donc lyna sur comb boosté'),
(28768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n'),
(28821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16]Création de l\'ANO052647 relative au premier chargement ELTA du SIDC'),
(28771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n'),
(28772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n'),
(28773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nMerge 17.10.1 avec Florian'),
(28774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-04  (Do not remove this line) -->\nPilotage de l\'équipe'),
(28775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-14  (Do not remove this line) -->\n'),
(28776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-11  (Do not remove this line) -->\nRAF: tests Fluxy'),
(28783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nRéunion palier MOKA'),
(29135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[Falcon USR 2.8] Analyse de la version USR 2.8.0-alpha3\n[Falcon API] mise à jour de l\'arborescence API Falcon'),
(28784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nmaintenance tests automatisées d\'acceptation\r\nsupport/accompagnement Leila'),
(28787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nKick-Off MOKA\nCadrage MOKA documentation'),
(28788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nInvestigation sur un probleme d\'affichage des resultats dans mapi INT12\r\nInstallation MAPI sur INT22\r\nQualification des ano edwan 4.4.5 (suite)'),
(28793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n'),
(30904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nExecution des tests NREG : 14.1-SNAPSHOT 3167  sur INT1'),
(28812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n'),
(28813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-13  (Do not remove this line) -->\n'),
(28814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nInstallation de newman sur Fedora et test'),
(28816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nDéploiement du bouchon rise en intégration'),
(28817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nMaj slides Rigu'),
(28818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nRéunion Kick off MOKA \r\nRéunion Cadrage\r\nModification des cas de test Régul / Recertif'),
(30113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nKickoff MOKA\nSupport HIA Bingo\nMOKA ouverture de flux usr/adobe'),
(28820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nReunion presentation des amelioration fonctionnement SOP SID'),
(28822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune + réunion avancement test PFjeux 2.2'),
(28823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nImplémentation de tests auto / mise à jour des tests ayant les requêtes en erreur (ToBeReview) et préparations à la création d’exigence et à la méthode d\'import dans ALM. '),
(28824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE 4.60 rédaction 5 cas de tests'),
(28825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n BCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI '),
(29225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nExécution des tests suivants:\nPrise de jeux:\n[1]07. PDJ_7 - PDJ_Web_Simple_15_MB_Live\n[1]17. PDJ_17 - PDJ_Web_Combine_15_MB_Live\n[1]22. PDJ_22 - PDJ_Web_Multiple_8_MB_Live\n[1]19. PDJ_19 - PDJ_Web_Simple_15_MB_RE\n[1]02. PDJ_FB2 - PDJ_Web_Simple_15_MB_Live\n[1]03. PDJ_FB3 - PDJ_Web_Combine_2_MB_Live\n[1]04. PDJ_FB4 - PDJ_Web_Combine_3_MB_Live\n[1]05. PDJ_FB5 - PDJ_Web_Combine_15_MB_Live\n[1]06. PDJ_FB6 - PDJ_Web_Multiple_3_Patent_MB_Live\n[1]07. PDJ_FB7 - PDJ_Web_Multiple_8_7/8_MB_Live'),
(28828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n'),
(30318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nMOKA ouverture de flux usr/adobe'),
(30661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n- Daily\n- Point sur MOD012389 (domaine en ligne dans le catalogue)\n- ANO052654 (psel a - coupure du réseau lors du lancement de l\'app)'),
(28834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nDocumentation de synthèse sur le Chargement Client hors SID');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(29067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\ncampagne d\'acceptance INT11 : DI / DA / DU\naction : analyse des résultats,\n\n\ncampagne d\'acceptance INT31 : DI / DA / DU\naction : lancement,\n'),
(30662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n- Daily\n- Point Equipe\n- Création d\'un nouveau composant wspoenl - propagation des clés'),
(28840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nRéunion : [MOKA] KICKOFF\n\n\ncampagne d\'acceptance INT11 : DI / DA / DU\naction : lancement,\naction : analyse des résultats\naction : rédaction du bilan de campagne'),
(28843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n'),
(28844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nSIDC TR3 KO //SIDC TR2 OK //SIDCOM TR3 OK// SIDCOM TR2 OK '),
(29318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nInvestigation sur le problème de cache de la requête au jackpot IF\nfin tests edwan pour qualification des anomalies\ninstallation 2.17.13 sur INT31'),
(28849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[RTC - 73123] FLUX - T2000 - Tentative d\'envoi du message DEPART à tort'),
(28850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[RTC - 73123] FLUX - T2000 - Tentative d\'envoi du message DEPART à tort'),
(28856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nMOTORS : finalisation de l\'orchestration du jeu \"nextlevel\"\nFALCON : MAJ des scripts auto pour Falcon USR 2.7.3'),
(28853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[MOKA] Kickoff \nMotors :  correction de code pour résoudre des erreurs d\'allocation mémoire sur l\'orchestration du nouveau jeu \"nextlevel\"'),
(28854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nKick Off projet MOKA'),
(28855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nStratégie de test projet MOKA'),
(28857, 'Tests HPALM :\r\n\r\nMise à jour des tests :\r\n\r\n- PHA - Cas nominaux - Gestionnaire de service - Créer un agent dans une caf sans habilitation\r\n- PHA - Cas nominaux - Gestionnaire de service - Retirer une habilitation à une CAF\r\n\r\nRajout des tests :\r\n\r\n- PHA - Cas nominaux - Gestionnaire de service - Habiliter un agent au service HABPPS\r\n- PHA - Cas nominaux - Gestionnaire de service - Retirer habilitation agent au service HABPPS'),
(28858, 'Création d\'un rôle Gestionnaire HABPPS avec les permissions suivantes :\r\n\r\nIHM-002 Paramètres partenaires\r\n- Page Organismes partenaire, droits d’accès ‘voir’\r\n- Page Organismes partenaire -> Consulter les types d’organismes, droits d’accès ‘voir’\r\n- Ajout permission Administration parametres Partenaires : Voir\r\n- Ajout permission Administration parametres Partenaires : action.VOIR_TYPE_PARTENAIRE\r\nIHM-007 Liste des conventions\r\n- Page Conventions, droits d’accès ‘voir’\r\n- Page Convention -> Consulter les conventions, droits d’accès ‘voir’\r\n- Ajout permission Administration Conventions : Voir\r\n- Ajout permission Administration Conventions : action.VOIR_CAF_CONVENTIONS\r\nIHM-013 Liste des utilisateurs partenaires\r\n- Ajout permission Administration Conventions : action.VOIR_UTILISATEURS_PARTENAIRES\r\nIHM-014 Créer / modifier utilisateurs partenaires\r\n- Ajout permission Administration Conventions : action.VOIR_UTILISATEUR_PARTENAIRE\r\nIHM-018 Liste des organismes partenaires\r\n- Page Organismes partenaire -> Consulter les organismes partenaires, droits d’accès ‘voir’\r\n- Ajout permission Administration Organismes : Voir\r\n- Ajout permission Administration Organismes : action.VOIR_ORGANISMES_PARTENAIRES\r\nIHM-023 Liste des groupes\r\n- Ajout permission Administration Conventions : action.VOIR_GROUPES\r\nIHM-024 Créer / modifier un groupe\r\n- Ajout permission Administration Conventions : action.VOIR_GROUPE'),
(28865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT1]: Campagne Nouvelles Fonctionnalités'),
(28866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT1]: Campagne Nouvelles Fonctionnalités'),
(28868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT1]: Campagne Nouvelles Fonctionnalités'),
(28869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT1]: Campagne Nouvelles Fonctionnalités'),
(28867, 'Ecriture d\'un script pour la suppression des tables :\r\n\r\nDROP TABLE habilitation_agentrolesupervision;\r\nDROP TABLE habilitation_rolesupervision;\r\n\r\n- La table de description d\'entité role supervision avec le nom du role de supervision, l\'id du role liferay et l\'id du groupe liferay intitulée \"habilitation_rolesupervision\".\r\n- La table de liaison agent <-> role supervision intitulée \"habilitation_agentrolesupervision\".\r\n\r\nSuppression des rôles de supervision Liferay :\r\n\r\n- Consulter les types d’organismes partenaires\r\n- Consulter les organismes partenaires\r\n- Consulter les conventions\r\n- Consulter les agents Caf\r\n- Consulter les tableaux de bord\r\n\r\nCréer un rôle service à partir de l\'admin CNAF avec l\'identifiant \"HABPPS\" et un fake rôle.\n\n'),
(32551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT1]: Campagne Nouvelles Fonctionnalités'),
(28871, 'Suppression sur l\'UI de l\'agent CAF pour pouvoir assigner le rôle de supervision PHA. -> OK\r\nSuppression de l\'assignation de l\'agent dans le UG de supervision de PHA. -> OK\r\nAjout de la gestion du cas particulier du rôle Gestionnaire HABPPS. -> OK\n\n'),
(28873, 'Mise à jour des JDB -> Pas de JDB\r\nMise à jour de la documentation fonctionnel pour supprimer la partie Supervision et ajouter le rôle Gestionnaire HABPPS. -> Guide fonctionnel version 2.6\r\nMise à jour de la documentation manipulation fonctionnel après déploiement sur plateforme cible pour ajout du rôle de Gestionnaire HABPPS. -> PHA0290.030100-Actions pour déploiement-V1.0.docx\r\nMise à jour de la documentation technique. -> Spécifications techniques détaillées version 2.7\n\n'),
(28875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nPIMO : Réinstallation FDL015815, FDL015378 et FDL017742'),
(28876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nPIMO : Investigation anomalies Out of memory.'),
(28877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nTR1 : Investigation anomalies Teradata.'),
(29168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[BRIC] Analyse des données ABP et création de 2 anomalies ETL ANO052688 // ANO052704 + premières vérifications dans les univers'),
(28906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nModification de cas de test pour falcon USR palier BRIC. Etude d\'impact ITG et RTG pour la migration de  tous les schémas de jeux dans la base MTLV à la place de FLLV. Réunion palier MOKA. Lancement des acceptances API CC et DB CC sur Falcon USR 2.7.3-1 sur INT3.'),
(28880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nRéunion de stratégie de tests\r\nModification des cas de test Régul / Recertif \r\nLancement de la campagne d\'acceptance Falcon USR 7.3.1-1 sur INT 3'),
(28881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nIncident de prod : INC179130'),
(28883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nINT1 : Déblocage Teradata SAS + SOC + AGR --> Nouveau blocage CPS.'),
(28885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 OK // SIDC TR2 OK // SIDC TR3 bloqué'),
(28888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI +  réunion d\'avancement et test avec SOPRA'),
(28889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n BCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune + réunion avancement test PFjeux 2.2 '),
(28890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nMCO EGIDE'),
(28891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nGestion des incidents'),
(28892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[StockGrattage] Support à l\'analyse de la situation post MEP du 18/09 et aux opérations a effectuer post MEP'),
(28893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nDocumentation synthese\r\n'),
(28898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[SPOC] verification des environnements pour installation de la FDL017765 - aucun environnement dans la bonne version pour faire l\'installation'),
(28907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nAnalyse des campagnes d\'acceptance API CC, DB CC, API et DB sur Falcon USR 2.7.3-1 sur INT3. Envoi du rapport au client. Réunion automatisation avec Valérie Le Roux'),
(28903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[DEFECT-92] Critères de recherche de consulter un conditionnement : il manque la sous-famille \'Autres\' lorsque l\'on sélectionne la famille \'Roulants\''),
(28904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[RTC - 73123] FLUX - T2000 - Tentative d\'envoi du message DEPART à tort'),
(28905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[DEFECT - 94] Liste des conditionnements - lors de la recherche de conditionnement le résultat doit être trié par défaut par ordre alphabétique du champ \'code\''),
(29319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nInstallation 2.17.14 sur INT1 + acceptance\nCreation ANO052728\nInstallation 2.17.14 sur INT3 et INT4'),
(28909, 'Corrigé et testé en local.\r\nPas encore poussé.\r\nTest HPalm à écrire'),
(28910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n'),
(28912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n'),
(28913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nPréparation et atelier pour la 5045 (EVOL)'),
(28914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nlivraison des SFD 5045'),
(28916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n'),
(28918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : bouchon adobe'),
(28919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : bouchon adobe\r\nscript mail auto compta '),
(28920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[PSMSv2] Camapagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[PSMSv2] Complément des cas de tests Combiné Boosté dans ALM pour couvrir les User Cases Front relatifs à les grilles Combiné Boosté:\r\n'),
(30320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nsupport projet gamif\ntest de flux usr/adobe\npoint qualif MOKA'),
(30319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nsupport bingo HIA\nMOKA ouverture de flux adobe/usr'),
(28924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] modifications et lancement de l\'extraction des données SIDC vers coheris + creation des repertoires sous I1grp5 coté ETL + modification du job de transfert vers coheris (repertoires user etc)'),
(28925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[BRIC] creation de l\'anomalie ANO052734'),
(28927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[BRIC] Rédaction de 2 cas de test sur les univers client sport et chaine controlm'),
(28931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nCréation de fichier mapping et d\'une collection afin de l\'intégrer à Newman'),
(28929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nQualification Ano demandé par le CP'),
(28930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nRecherche sur la création d\'un test Newman connecté à Wiremock'),
(28933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n'),
(29001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 OK // SIDC TR2 OK // SIDC TR3 en attente'),
(28937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nFalcon : poursuite de la mise à jour des cas de tests et analyse des cas failed\nanalyse des tests manuels POSTMAN'),
(28938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nFalcon : poursuite de la mise à jour des cas de tests et analyse des cas failed\r\n analyse des tests manuels POSTMAN\r\nRéunion présentation de l\'interconnexion IF & FDJ'),
(28936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nIF : gestion des super croupiers jeux SUPER100, 200, 500, CROSSINGO et YUMMYSTACK\r\n Falcon : poursuite de la mise à jour des cas de tests et analyse des cas failed\r\n Réunion comité automatisation des tests'),
(28939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nRéunion Instance BRIC\r\nRéunion Instance MOKA\r\nRéunion Comité Tests Auto\r\nModification des cas de tests Régul /Recertif'),
(28940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nModification des cas de tests Régul /Recertif'),
(28945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3167 - NREG'),
(28946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3167 - NREG'),
(28947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nDocumentation synthese'),
(28951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3167 - NREG\nDébut campagne 14.1.32-SNAPSHOT 3180 - Acceptance Back'),
(30331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nMOKA _ Journée KICK OFF + Cadrage'),
(29119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nFin exécution Campagne 14.1.32-SNAPSHOT 3180 - Acceptance Back\nSuite Exécution campagne 14.1.32-SNAPSHOT 3167 - NREG'),
(29120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nSuite Exécution campagne 14.1.32-SNAPSHOT 3167 - NREG'),
(30663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n- Réunion Lyna sur Combi boosté\n- Discussion avec Mireille et le métier pour la MEP du lendemain de psel 1.0.028\n- Création d\'un nouveau composant wspoenl sur ojadgate pour propagation sur les edwan puis tentative d\'install de 1.0.0_wspoenl sur int7 et int1'),
(30332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nBRIC_ Execution campagne sur USR2.7.3 + bilan du run'),
(30333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nMOKA _ Réunion projet : Stratégie de tests'),
(30664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n- Daily\n- Qualif ANO052377 (PSPDV Androïd)\n- MODOP catalogue psel android 1.1'),
(28966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nImplementation de tests auto, réunion présentation MOKA et mise en place des exigeances avec le chef projet. '),
(30334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nBRIC : MAJ et réorganisation du référentiel_DIGITAL ALM'),
(28969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nImplementation de tests auto en TODO et mise à jour de tests sur l\'authentification. Travail sur l\'évolution de script Vugen et Truclient avec Jean Pierre et Frederic pour les besoins campagne. '),
(28970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nImplementation de tests auto (Todo) afin de compléter le catalogue. '),
(28971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nEtude sur l\'évolution du projet sur les cycles et releases afin de mettre en place la gestion des exigeances et leur évolution (traçabilité). Présentation d\'une démo d\'ici 15 jour pour la réunion auto. '),
(30335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nBRIC :\n0,5 : MAJ Referentiel_DIGITAL\n0,5 : Gestion /qualification des anos livrées'),
(28988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nModification de cas de test pour falcon USR palier BRIC.'),
(28989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nModification de cas de test pour falcon USR palier BRIC.'),
(30337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n0,25 : Presentation [Interactive Factory] Présentation de l\'interconnexion IF & FDJ\n0,25 : Qualif anos livree en USR2.7.3 (restantes)\n0,5 : MOKA : Ecriture tests à prevoir'),
(28980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nTest appli FDJ sur les reçus scannés IAT ASTRO\r\nTests sur l\'affichage des resultats Amigo-live\r\nTests sur la création des flash codes amigo-live\r\ntests sur l\'affichage du calendrier des jeux amigo-live\r\nTests sur la homepage fourni par le service get-home '),
(28981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nTest appli FDJ sur les reçus scannés IAT ASTRO\r\nTests sur l\'affichage des resultats Amigo-live\r\nTests sur la création des flash codes amigo-live\r\ntests sur l\'affichage du calendrier des jeux amigo-live\r\nTests sur la homepage fourni par le service get-home '),
(30336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n0,25 : Reférentiel ALM _Revue catalogue _ Eligibilité des tests manuel à l auto\n0,25 : Reférentiel ALM \n0,5 : MOKA _ Ecriture tests'),
(28983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\ndaily webapp, daily app hasard, point d\'equipe stream app hasard, présentation amigo-live'),
(28984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\ncoproj playstation, daily webapp, daily hasard'),
(29266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[PSMSv2] Camapagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-22\nABP: 14.1.32-SNAPSHOT 3167\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.183-SNAPSHOT'),
(28987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[truClients] évolution et correction de scripts FalconBackOffice\r\n[COMITE AUTOMATISATION DES TESTS]\r\n[Falcon Scripts] forcer le logout OAD pour le FalconPOSTAuthenticate\r\n'),
(28992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[MOKA] Kick off : ateliers avec le métier, le développement et l\'équipe projet'),
(28993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[MOKA] Kick off : ateliers avec le métier, le développement et l\'équipe projet'),
(29169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[Falcon USR 2.8] création des nouveaux scripts de services\n[présentation IF]\nSupport implémenteurs (script Monext et TruClient)\n[Domaine DIGITAL] Coordination Dev VuGen'),
(30422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\nInstallation FAQ sur DigiP 1.0.6  sur INT22\nInstall Digi A /I /U / P sur int32\nMaj de toutes les conf Salt/ Git  manquantes (une dizaine) \nInstall Digi A/I/U sur int11 : pb de variable manquante coté sport, remontée par mail pour correction.'),
(28997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n'),
(29216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nRetour de maladie : reprise des sujets en cours / à traiter (mails ...).\nLong échanges pour plannification des environnements / MEP Playstation / BRIC/FAQ. + Point validation avec les développeurs.\n\nInstallation Boutique ISO PROD sur 81 en vue de reproduire un Bug en Prod sur l\'initCaptcha + tester le correctif'),
(29002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n'),
(29003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n'),
(29004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\nRéunion'),
(29005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nDigishop G modification de la collection suite au modification de la livraison\r\nAjout de nouveau test'),
(29006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nReunion présentation amigo live\r\nDigihsop A merge et mise a jour des scripts'),
(29009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nPoint avec romain sur les nouvelle modification de digishop G\nComité API\nMerge Api et modification des script pour digishop I\nCréation du script pour la gamif.\nPoint pour MOKA'),
(29010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\ninvestigation sur la chaine Betsys -> Edwan pour des matchs résultés qui mettent plusieurs heures à remonter : travail avec HIA JTR pour débloquer le job faisant la passerelle entre le serveur ange et edwan'),
(29011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nCréation de la MOD012427 : [PDV][IOS] Appel du catalogue à chaque démarrage de l\'application et message d\'erreur si ce catalogue est inaccessible ou en erreur'),
(29012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nTests acceptance PSPDV ios 5.0.014 (FDL017760) ; Qualification des anos PSPDV'),
(29017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nModification de la collection postman\nTest du script gamif\nPoint plugin Hp Alm'),
(29527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nChangement de configuration sur INT4 pour pointer sur le bon serveur JOSE ; investigation sur des problèmes pour le sport avec le projet Playstation'),
(29528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nQualification de PSPDV et support à la recette PSPDV'),
(29079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nModificatio du plugin hp'),
(29018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nCampagne combinés boostés INT1'),
(29019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nCampagne combinés boostés INT1'),
(29020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nCampagne combinés boostés INT1 + automatisation prises de jeu avec combiné boosté'),
(29021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nCampagne d\'acceptance 20170914-[INT7]-14.1.3180'),
(29022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nCampagne d\'acceptance 20170914-[INT7]-14.1.3180'),
(29114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne'),
(29391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nSAFERGAME : Réinstallation complète du serveur non core (cognos)'),
(29025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nremonté d\'erreur sur l\'application fdj ios - android\r\nInstallation appli fdj IOS 1.2.8 et android 1.2.008\r\nFDL017778\r\nFDL017779\r\n\r\n'),
(29026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nTest nouvelles applis FDJ avec les nouvelles webapp IAT ASTRO\r\nCorrection des bugs OK\r\nErreur affichages caractere speciaux resolu\r\nErreurs affichages resulstats resolu\r\nErreurs affichages calendrier resolu'),
(29028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[MOKA] ateliers équipe de test\r\n[MOKA] matrice de exigences MOd LOT 2'),
(29029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nMise en place de la solution automatisé analyseur de flux'),
(29030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nMise en place de la solution automatisé analyseur de flux'),
(29031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[MOKA] matrice des exigences PR Lot 2\r\n[MOKA] matrice des exigences ARJEL\r\n[MOKA] matrice des exigences FREEDOM'),
(29032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[MOKA] matrice des exigences PR Lot 2\r\n[MOKA] matrice des exigences ARJEL\r\n[MOKA] matrice des exigences FREEDOM'),
(29033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nCAMPAGNE AUTO QUALIFICATION DU JEU LES CLEFS DU TRESOR\r\nMOTORS / GAMIFICATION INT11'),
(29034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nCAMPAGNE AUTO QUALIFICATION DU JEU LES CLEFS DU TRESOR\r\nMOTORS / GAMIFICATION INT11'),
(29035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nCAMPAGNE AUTO QUALIFICATION DU JEU NEXT LEVEL MOTORS INT21'),
(29036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nCAMPAGNE AUTO QUALIFICATION DU JEU NEXT LEVEL MOTORS INT21'),
(29037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nCAMPAGNE AUTO QUALIFICATION DU JEU NEXT LEVEL MOTORS INT21'),
(29257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nDéveloppements\r\nMOD012450  : [COHERIS] Mise en place fusion manuelle de 2 fiches client PDV \r\nANO052785  : [COHERIS CRM CSCC] Incohérence entre les logs et le résultat de l\'intégration Clients issus du SID\r\n[COHERIS] Avancement des sujets'),
(29039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nvie des environnements fiabilisation'),
(29040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nvie des environnements scénario 047'),
(29041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\njenkins : étude remontée des résultats d\'ALM'),
(29042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\njenkins : étude remontée des résultats d\'ALM'),
(29043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nvie des environnements'),
(29579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n- Ecriture des cas de tests pour le jeu Next Level 2017 sous postman et débugging'),
(29062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n- Ecriture des cas de tests pour le jeu Next Level 2017 sous postman et débugging'),
(29057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n- Analyse des anomalies sur le jeu lesclefsdutresor2017\n- Analyse des messages d\'erreur gateway SOA en prod'),
(29059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n- Ecriture d\'une procédure pour mocker le jeu lesclefsdutresors'),
(29061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n- Installation du jeu Next Level 2017 (rejeté car il manque le fichier json pour la gateway SOA)'),
(29117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n- MOCKA KICKOFF\n- SPOC REX\n- MAJ INT32 pour Gamif'),
(29064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nRéunion : \n- [BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE\n- [MOKA] Instance \"Café\" MOKA\n- Point sur les acceptances Front\n- Comité Automatisation des tests\n\nCampagne d\'acceptance INT31 : DI / DA / DU\naction : analyse des résultats et rédaction du rapport de campagne.'),
(29068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nComposant : Digishop U\r\nAction : Maintenance cas de test suite aux \"failed\" lors de la campagne d\'acceptance.\r\n\r\n'),
(29069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nComposant : Digishop U\r\nAction : Maintenance cas de test suite aux \"failed\" lors de la campagne d\'acceptance.'),
(29070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nTests suite à bug possible avec clé NIR sur 1 char. '),
(29107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n- BRIC Instance Stanley IQ\n- MOKA Instance Café\n- GAMIF Point acceptance'),
(29076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : bouchon adobe'),
(29077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : bouchon adobe'),
(29208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16]Preparation de la reprise de l\'alimentation avec les 3 flux ABP FALCON et BINGO sur le TR1 + alimentation du 14 au 20/09 + résolution des différentes erreurs rencontrées'),
(29081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[BRIC] Rédaction de deux cas de test sur les univers BAFIM et BEAS'),
(29320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nInvestigation sur un probleme de menu qui ne s\'affiche pas dans la partie admin drupal pour la FAQ\nFinalisation du mode opérationnel Drupal + FAQ\nVerification des modeles ojadgate\nQualification des anomalies'),
(29084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nSAFERGAME : Pour la formation i2, le métier a demandé de vérifier les accès des utilisateurs, modifier groupe LDAP, et faire DOF pour 2 utilisateurs=>  DMT0013603+DMT0013594+REQ50278+REQ50279- +vérification avec le métier que tout fonctionnait+ Création ANO052649'),
(29085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nSAFERGAME : Installation FDL017767 IIB+ FDL017769  ANB (i2) + FDL017754 SPSS + FDL017673 - FOLIO sur INT2'),
(29086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nSAFERGAME : Installation  FDL017769 ANB (i2) sur IN4'),
(29089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nReporduction d\'ANOs: \r\nANO051499  \r\nANO051495 \r\nANO050709'),
(29091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nANVCTX'),
(29093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n44981 mfsort FIELDS'),
(29094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-06-16  (Do not remove this line) -->\nDéplacement sophia'),
(29095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n'),
(29097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n'),
(29098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n'),
(29100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nConstruction campagne V16'),
(32643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nConstruction campagne V16'),
(29102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nConstruction campagne V16'),
(29103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nConstruction campagne V16\r\nRéunion d\'avancement automatisation'),
(29115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n- IF : présentation de l\'interconnexion IF et FDJ\n- Installation et acceptance MAG / MIG / MUG BRIC\n- Installation et acceptance MAG / MUG GAMIF'),
(29113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n- Maj de la Perf (composants edwan + cloud front)\n- Analyse Ano Jason MUGO ANO052508\n- Analyse ano de prod Digi I PSEL Android\n- install MAG / MUG pour Gamif'),
(29112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nSAFERGAME : Réunion plan batch avec P.Maigne'),
(29118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n- MOKA : Stratégie de tests\n- JASON : Point sur les env\n- Conf environnement GAMIF + déploiement boutiks'),
(29232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nSAFERGAME : Création ANO052759, ANO052760+ DMT0013700 - Qualification ANO052299, ANO051897'),
(29123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nMise à jour du référentiel FALCON et lecture documentation Modérateur lot 2 (projet palier MOKA).'),
(29125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nMise à jour du référentiel FALCON et lecture documentation Modérateur lot 2 (projet palier MOKA).'),
(30117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot via Postman\nAlimentation et exécution de la chaine Compta-IF -Control-M\nInstallation ETL Digital FDL017748\nAnalyse des problèmes de la PERF avec Olivier Fauchon - Sujet jeux IF'),
(30116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot via Postman\nAlimentation et exécution de la chaine Compta-IF -Control-M\nAnalyse des problèmes de la PERF avec Olivier Fauchon - Sujet jeux IF'),
(30118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot via Postman\nAlimentation et exécution de la chaine Compta-IF -Control-M\nPartage de connaissance sur les traitement Control-M avec HIA - Geoffrey\nInstallation de l\'ETL Digital FDL017167'),
(30119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot via Postman\nAlimentation et exécution de la chaine Compta-IF -Control-M\nAnalyse des problèmes de workflow en erreur sur Control-M'),
(30120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot via Postman\nAlimentation et exécution de la chaine Compta-IF -Control-M\nAmélioration des scripts Postman IF suite à la montée de version 5.13'),
(29137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\ntests playstation'),
(29138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nFDL017787 FDL017786'),
(29140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nFDL017798 FDL017799\r\n'),
(30665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n- Daily\n- Modif .profile sur les edwan pour corriger les doublons de wspoenl qui cache la dernière version wspo installée\n- Config vhost pour wspoenl\n- Acceptance Vitan 5.8.12'),
(29765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nConstruction campagne V16'),
(29145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 -  Installation FDL017290'),
(29146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(29148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune'),
(29149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nCorrection defects Manifestes'),
(29150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI + réunion d\'avancement et test avec SOPRA'),
(29151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n BCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune '),
(29152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(29155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nGestion des incidents'),
(29154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nMCO EGIDE'),
(29156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nGestion des incidents'),
(29157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n FDL017808  FDL017809'),
(29159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n'),
(29161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n'),
(29162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n'),
(29163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[BDI.064.30 [INNO] GAMIFICATION V1] Installation des 5 FDLS de recyclage sur le TR3 (FDL017418, FDL017419, FDL017497, FDL017421, FDL017617) prérequis au projet'),
(29165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[BDI.064.30 [INNO] GAMIFICATION V1] Installation des 3 FDLS FDL017698,FDL017699,FDL017700 sur le TR3'),
(29166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[BDI.064.30 [INNO] GAMIFICATION V1]  Analyse du plantage de l\'environnement TR3'),
(29181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nMCO Court_Commercial'),
(29183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[RDI 1.1] Campagne d\'acceptation de la FDL017693 (CIRCE) dans ALM'),
(29200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017721 sur INT8SAGA'),
(29201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[RDI 1.1] Campagne d\'acceptation de la FDL017721 (SAGA) dans ALM'),
(29199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017687 sur INT8COUR'),
(29185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[RDI 1.1] Campagne d\'acceptation ALM de la FDL017687'),
(29182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nExport du rapport d\'incidents'),
(29198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nMCO Court_Commercial'),
(29187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nMCO Court_Commercial'),
(29189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017578 sur INT5ETL9'),
(29190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[RDI 1.1] Campagne d\'acception de la FDL017578'),
(29191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n[RDI 1.1] Création de 5cas de tests et modification de 2cas de tests'),
(29192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nMCO Court_Commercial'),
(29205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nMCO Court_Commercial'),
(29194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nAnalyse de l\'incident INC178611'),
(29195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n[RAM] Installation de la FDL017741 GDS'),
(29197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nQualification de la FDL017741 sur INT4COUR correctif de l\'incident INC178777 création de l\'anomalie ANO052723'),
(29204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[PlayStation] Campagne d\'acceptation ALM de la FDL017685 pour Calypso'),
(29203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[RAM] Refresh de la base INT4COUR'),
(29206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n[RDI 1.1] Modification de 4 cas de tests'),
(29207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[BDI.064.30 [INNO] GAMIFICATION V1]  Analyse du plantage de l\'environnement TR3'),
(29219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR3 OK// SIDC TR1 OK //SIDC TR2 OK'),
(29310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[BDI.064.30 [INNO] GAMIFICATION V1] Campagnes installation + acceptation des 3 FDLS // [Recyclage] Campagnes installation + acceptation des 5 FDLS'),
(30950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n-Assister à la présentation de Laurent Boggio : Interconnexion FDJ & IF\n-Test aléatoire IF sur int42\n-Bug review'),
(29215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-15  (Do not remove this line) -->\n'),
(30423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nSuivi d\'une présentation sur IF le matin.\n\nSuite analyse et test sur le bug prod Captcha'),
(29218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[BRIC] Création des 2 anomalies sur les univers BAFIM et BEAS sur le TR3 en cours de synchronisation'),
(29609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[BRIC] Installation de la FDL017768 sur le TR3'),
(29221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n- réunion Amigo Live : Découvrez les 2 nouveaux jeux Astrologie & L\'île au trésor\r\n- qualification livraisons PLAYSTATION\r\n- investigation pb apimaitre erreur 500 sur env de recette INT42, pb de generation de datas\r\n- mise en place des tests sous jenkins pour apimaitre'),
(29222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n- support dev ano apimaitre  sur affichage lotonoel\r\n- support env playstation int42, promulgations bloquées, pb de conf\r\n- maj des environnements int12 int22 int42\r\n- réunion [Playstation] COPROJ Digital multi-stream\r\n- création ANO052735 [PLAYSTATION] Erreur DOMDocument::schemaValidate si fichier XSD non présent\r\n- maj d\'environnements\r\nINT22	4.4.1_hasard\r\nINT42	4.4.1_hasard\r\nINT42	1.1.5_apimaitre\r\nINT42	4.4.1_mapi\r\nINT12	4.4.6_edwan\r\nINT12	4.4.2_hasard\r\nINT22	4.4.2_hasard\r\nINT42	4.4.2_hasard\r\nINT91	4.4.2_hasard\r\nINT22	4.4.6_edwan\r\nINT42	4.4.6_edwan'),
(29223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n- création ANO052753 [PLAYSTATION] timelineoff 404 (Not Found)\r\n- support affichage FAQ sur int21\r\n- remonté jeux illiko KO sur int42, support, pb de cache\r\n- maj d\'environnements\r\nINT12	4.4.3_hasard\r\nINT81	4.3.4_edwan\r\nINT81	4.3.1_mapi\r\nINT81	1.0.15_apimaitre\r\nINT81	4.4.3_hasard\r\nINT81	4.3.12_hasard\r\nINT21	4.3.12_hasard\r\nINT21	4.3.22_hasard\r\nINT21	4.4.3_hasard\r\nINT12	4.4.4_hasard'),
(29224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n- réunion [Interactive Factory] Présentation de l\'interconnexion IF & FDJ\r\n- réunion [PLAYSTATION] IQ DIGITAL FRONT\r\n- réunion PLAYSTATION (BTI.050.06) : revue plan et actions de mep\r\n- création ANO052780 [PLAYSTATION] Rattrapage d\'un résultat sans promo dans une bdd avec promo\r\n- maj doc swagger 4.4.1_mapi\r\n- maj d\'environnements\r\nINT22	4.4.4_hasard\r\nINT21	4.4.4_hasard\r\nINT12	4.4.7_edwan'),
(30905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nExécution des tests suivants:\nSettlement:\n\n[1]07. PDJ_7 - Settlement_PDJ_Web_Simple_15_MB_Live_Gagnant_Perdant\n[1]22. PDJ_22 - Settlement_PDJ_Web_Multiple_8_MB_Live_Gagnant_Perdant\n[1]07. PDJ_FB7 - Settlement_PDJ_Web_Multiple_8_7/8_MB_Live_Gagnant_Perdant\n[1]02. PDJ_FB2 - Settlement_PDJ_Web_Simple_15_MB_Live_Gagnant_Perdant\n[1]03. PDJ_FB3 - Settlement_PDJ_Web_Combine_2_MB_Live_Gagnant\n[1]04. PDJ_FB4 - Settlement_PDJ_Web_Combine_3_MB_Live_Perdant\n[1]05. PDJ_FB5 - Settlement_PDJ_Web_Combine_15_MB_Live_Gagnant'),
(30906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\nExécution des tests suivants:04. ARJ Participant Code + Cancellation Reason\n[1]020301_[Remplacement] EventCreator - Outcome Cancellation Système\n[1]020302_[Remplacement] EventCreator - Market Cancellation Combiné\n[1]020303_[Remplacement] EventCreator - Market Cancellation Système\n[1]020304_[Remplacement] EventCreator - Period Cancellation Combiné\n[1]020305_[Remplacement] EventCreator - Period Cancellation Système\n[1]020401_PDJ_Simple_GE_Team\n[1]020402_PDJ_Simple_GE_Player'),
(30907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nExecution des tests suivants sur INT1:\n04. ARJ Participant Code + Cancellation Reason\n[1]020403_PDJ_Simple_RE\n[1]020404_PDJ_Combiné_GE\n[1]020405_PDJ_Multiple_GE\n[1]020405_PDJ_Multiple_GE'),
(30908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nSuivre la suite des tests NREG sur INT1 Resettlement_PDJ_Web_Multiple_2sur3_Live_Box_CPS\n[1]021. PDJ_36 - Resettlement_PDJ_Web_Multiple_2sur3_Live_Box_Paiement\n[1]022. PDJ_36 - Resettlement_PDJ_Web_Multiple_2sur3_Live_Box_CPS\n[1]031. PDJ_41 - LateBets_Settled_PDJ_Web_Multiple_2sur3_Live_Box_Paiement\n[1]032. PDJ_41 - LateBets_Settled_PDJ_Web_Multiple_2sur3_Live_Box_CPS\n- CODEVTT'),
(29321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nPresentation IF\nNettoyage des fichiers inutilisées/obsoletes sur les environnements PTAB\nQualifications d\'anomalies\nInvestigation sur un probleme de remplissage des champ FAQ quand getpersonaldata n\'est pas OK'),
(29233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne'),
(29234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[BRIC] Revue anomalie'),
(29235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[MOKA] Réunion présentation projet'),
(30321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\nInstall doc api usr 2.8\ntest de flux usr/adobe\npoint qualif MOKA\nSupport Bingo prod'),
(30115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nAnalyse pb Bingo prod\nredaction doc cartographie des ports falcon'),
(30323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nModification des cas de tests Régul/Recertif\nRéunion Présentation IF/FDJ\nExécution de la campagne d\'Acceptance Falcon USR 2.8-Alpha 3 sur INT9'),
(29245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nModification des cas de tests Régul/Recertif\nExécution de la campagne d\'Acceptance Falcon USR 2.8-Alpha 3 sur INT9, analyse et rédaction du rapport \nExécution de la campagne d\'Acceptance Falcon USR 2.6.13'),
(29246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n'),
(29247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n'),
(29248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n'),
(29249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-20  (Do not remove this line) -->\n'),
(29516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nEnvoi du rapport d\'acceptance API et DB sur Falcon USR 2.7.4 sur INT1. Modification de cas de test pour falcon RTG.'),
(29519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nModification de cas de test pour falcon RTG. Ecriture de cas de test pour Falcon USR palier MOKA.'),
(29258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nDéveloppements\r\nMOD012450 : [COHERIS] Mise en place fusion manuelle de 2 fiches client PDV \r\nANO052785 : [COHERIS CRM CSCC] Incohérence entre les logs et le résultat de l\'intégration Clients issus du SID'),
(29260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(30948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nLancement de la campagne de non regression sur INT2 pour valider la version de falcon USR : 2.6.13. Modification de cas de test pour falcon RTG.'),
(29262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2  //SIDC TR1 //SIDC TR2 //SIDC TR3'),
(30324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nparametrage SALT pour le nouveau composant UBO');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(29264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[PSMSv2] Camapagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[PSMSv2] Campagne d\'acceptance Front sur INT7\r\n\r\nHOST: agpadmi71\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-124\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n'),
(29268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-12  (Do not remove this line) -->\n'),
(29322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nInvestigation - probleme de redicretion faq desktop/mobile\nreunion FAQ\nQualification ano edwan'),
(30111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nRéalisation de scripts et blocs Falcon Admin Gam Admin.'),
(29275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nMCO Court_Commercial'),
(29276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nINC178611 : Préconisation --> exécuter la procédure de reprise de données habituelle.'),
(29277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[RDI 1.1] Tests de connectivité'),
(29358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nQualification des ANO'),
(29279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nRAM.004 : SID Client Installation FDL017826, FDL017833 et FDL017833 sur le TR3'),
(29280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nCRM : Réunion de présentation des évolutions CRM.'),
(29343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(29344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(29312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] TR1 rechargement Full'),
(30909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nPrésentation sur les tests automatiques.\nExécution des tests NREG 14.1.32-SNAPSHOT 3167 - Back:\n   - Module BetRadar:\nTennis_Bhargava-Klepac_ScoreIncomplet_250917\nTennis_Bhargava_Klepac_Creation_1_3250917\nTennis_Bhargava_Klepac_Creation_2_3250917\nTennis_Bhargava_Klepac_Creation_3_3250917\nTennis_Bhargava_Klepac_Creation_4_3250917\nTennis_Bhargava_Klepac_Creation_5_3250917\nTennis_Bhargava_Klepac_Creation_6_3250917\nTennis_Bhargava_Klepac_Creation_7_3250917\nTennis_Bhargava_Klepac_Creation_8_3250917\nTennis_Bhargava_Klepac_Abandon1erSet_3250917'),
(29290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nSAFERGAME : Installation SPSS FDL017813 sur INT2'),
(30666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n- Daily\n- Rejet de FDL017824\n- Tests acceptance 1.0.0_wspoenl pour FDL017790\n- Installation de 1.0.0-1_wspoenl\n- Tests rapides sur les app psel android (demande version 1.1) en vu de la prochaine MEP'),
(29377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nFALCON : Bascule des tests POSTMAN manuels en test AUTO\nAnalyse des cas de tests en erreurs des campagnes 2.8.0-alpha3'),
(29294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nMise en place campagne V16\nAnalyse Failed sur campagne V16'),
(29295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nAnalyse failed campagne V16\r\nPrésentation MIFY par Lyna'),
(29298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nExécution campagne Non Reg V16'),
(29767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nExécution campagne Non Reg V16'),
(29301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nPoint referent'),
(29303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nRAMM.004 : Réinstallation FDL017732 (seulement partie CALYPSO) sur TR4'),
(29314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nSAFERGAME : Qualification ANO052649, et ANO052760'),
(29307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(29308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(29324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nSuite et fin du lancement de la campagne de non regression sur INT2 pour valider la version de falcon USR : 2.6.13. Analyse de la campagne'),
(29311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - installation FDL017108_egide_4.51.00_liv sur INT3EGID'),
(29313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - installation WS 4.06 FDL017805 - sur INT3EGID'),
(29353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nInvestigation sur le problème de layer MAG dans la FAQ connecté\nQualification anomalie BDD/Keno\nInvestigation probleme lancement job KENO sur Control M'),
(29325, 'Précisions : gestion de l\'affichage d\'un message d\'information lors de la création d\'un organisme avec un siren déjà existant au sein d\'une même CAF. Règle de gestion dans les SFD : IHM-019_RG-008'),
(29370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n'),
(29328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nProjet : Modérateur lot 2\nAction : montée en compétence sur le sujet.\n\nProjet Poupées russes\nAction : qualification de l\'anomalie 052139 sur le service \"updateEmail\"'),
(29329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nSIDC TR3 OK // SIDC TR2 OK // SIDC TR1 en cours // SIDCOM TR2 OK// SIDCOM TR3 OK'),
(29330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n'),
(29331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nDocker & ALM_Webtool'),
(29332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nALM_Webtool'),
(29333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n'),
(29334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nPoint defects, + mfsort FIELDS'),
(29338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n-Test aléatoire IF sur int42\r\n-Bug review'),
(29360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[IF] Analyse TR2 BAFIM différence du nombre de PDJ - 12 rejets'),
(29342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nRecherche sur la mise en place de swagger au sein de wiremock'),
(29345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(29348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nComposant : Digishop I\nAction : acceptance sur int 81\n\nProjet : Modérateur lot 2\nAction : montée en compétence sur le sujet.'),
(30325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nAnalyse pb de prod bingo\nLiaison usr/pega MOKA'),
(29351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n'),
(29352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nFaisabilité du test autonome de GAM backend.'),
(29354, 'Etude d\'impact'),
(29363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nInvestigation INC179597 Chaine EGIDE CA / Ressource'),
(29375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nEnvoie du rapport du bilan de la campagne de Non régression Falcon USR 2.6.13 sur INT2. Lancement des campagnes d\'acceptance API et DB sur Falcon USR 2.7.4 sur INT1.'),
(29357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nInvestigation problème historique de jeu coté BOX\r\n=>Remonté d\'ANO: ANO052897: [IF][BOX 2.7.5-1] Impossible de consulter tout l\'historique de jeu'),
(30937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nQualif des ano'),
(29362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Investigation sur lenteurs chargement'),
(30910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nExécution des tests NREG 14.1.32-SNAPSHOT 3167 - Back:\n - Module BetRadar:\n     - Tennis_Bhargava_Klepac_Abandon2emSet_3250917\n     - Tennis_Bhargava_Klepac_Abandon3emSet_3250917\n     - Tennis_Bhargava_Klepac_Abandon4emSet_3250917\n      - Tennis_Bhargava_Klepac_Abandon5emSet_3250917\n      - Tennis_Bhargava-Klepac_Annulation_Mach_13250917\n      - Tennis_Bhargava-Klepac_AnnulationBis_3250917\n[1]11531 - RE Creation Market\n11532 - RE Suppression Market\n[1]11533 - RE Initialisation et modification Cotes\n11534- RE Modification date - Suspend at market Cut-off Time - réouverture market\n11535 - RE Modification date - Clôture at market Cut-off Time  - réouverture market'),
(29366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n'),
(29660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nSIDC TR2 OK // SIC TR3 OK // SIDC TR1 en cours // SIDCOM TR3 Attente // SIDCOM TR2 OK'),
(29371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n'),
(29379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Analyse plantage TR1 extraction coheris + plantage purge due a trop de fichier + purge manuelle + relance flux transcodage + modification job de transfert coheris + analyse du plantage OAC'),
(30667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n- Daily\n- Installation et tests de plusieurs wspoenl + acceptance wspoenl_1.0.1\n- Demande au back pour gérer campagne combi boost + demande accés back apollo sur int1'),
(29376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nFALCON : Bascule des tests POSTMAN manuels en test AUTO\r\nIF : création croupier cocotrio2017 50 cents sur INT1'),
(29378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nFALCON : Bascule des tests POSTMAN manuels en test AUTO'),
(29496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nProjet : Modérateur lot 2\nAction : montée en compétence sur le sujet.\n\n\nProjet : Gamification \ncomposant : digishop U\naction : implémentation du cas nominal test auto\n\nRéunion : [BRIC] INSTANCE \"STANLEY\" IQ BRIC DU PALIER DE SEPTEMBRE'),
(30911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nExecution des tests suivants:  NREG 14.1.32-SNAPSHOT 3167 - Back: Module Retail:\n\n11536 - RE Masquage Démasquage outcome\n11537- RE Suspension - Désuspension\n11538 - RE Resulting\n11539 - RE Modification Resulting\n11540 - RE Suppression RE\n11541 - GE Suppression GE\n11542 - Création catégorie et ligue\n11501- Création GE et markets par Betradar\n11502 - Initialisation cotes market GE - Betradar\n11504 - Modification cotes market GE - Betradar\n11503 - Modification date ouverture GE - Betradar\n11505 - Resulting GE - Betradar\n11506 - Modification resulting GE - Betradar'),
(29552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nCreation ANO052927\nTraitement des anomalies suspendue\nInvestigation sur un problème erreur 500 digishop sur un envoi FAQ sur INT7'),
(29387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n[IF] Analyse des différences du nombre de joueurs dans falcon / sid sur tous les TR + vérification sur le TR2 avec le fichier falcon du 26/08'),
(29394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nSAFERGAME : Réinstallation complète du serveur non core (datastage)'),
(29393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nSAFERGAME : Réinstallation complète du serveur non core (datastage)'),
(29395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nSAFERGAME : Point avancement réinstallation serveur non core avec P.Slimani'),
(29396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nSAFERGAME : Bug review avec JC.Morel'),
(30668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n- Daily\n- Install de wspoenl\n- Tests acceptance + maj test pour wspoenl_1.2.0 (combi boost)\n- Discutions avec le back pour futur test sur combi boost'),
(29398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nExécution et analyse des campagnes d\'ACCEPTANCE API  & DB  : FALCON - USR-2.8.0-alpha3 sur INT 91\r\nRéunions (0.5 j)'),
(29399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n Exécution et analyse campagnes d\'ACCEPTANCE API  & DB  : FALCON - USR-2.7.4-2 sur INT 1\r\n'),
(29400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nRédaction de cas de tests pour Poupées russes'),
(29401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : tests templates de mail'),
(29402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : tests templates de mail'),
(29403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : tests templates de mail'),
(30143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nMCO control m tr 1 2 3 \ncrm lot 1 : tests templates de mail'),
(30147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nMCO control m tr 1 2 3 \ncrm lot 1 : tests templates de mail'),
(29410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-22\nABP: 14.1.32-SNAPSHOT 3167\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.183-SNAPSHOT\n\n[SPEEDUP] Test des nouveaux markets live et Pré-Match Baseball sur INT8 - Qualification des MODs livrés sur 14.1.31.1-SNAPSHOT 83'),
(29409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test des nouveaux markets live et Pré-Match Badminton sur INT8 - Qualification des MODs livrés sur 14.1.31.1-SNAPSHOT 83'),
(29412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-22\nABP: 14.1.32-SNAPSHOT 3167\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.183-SNAPSHOT\n\n[SPEEDUP] Test des nouveaux markets live et Pré-Match Snooker  sur INT8 \n\n[PSMSv2] Réécriture des cas de tests d\'acceptance Front-Back'),
(30102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nFDL017809 Appli FDJ Android v1.2.010\nFDL017808 Appli FDJ IOS v1.2.10\nTest des nouvelles applications\nVerification de la correction des anos associées aux fdl\nTest de fail over de l\'application\ndaily stream webapp\ndaily stream app hasard\npoint d\'equipe app hasard'),
(29433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3200 / INT7]: Campagne Nouvelles Fonctionnalités Back'),
(29420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test  ARJEL et ETL des nouveaux markets live et Pré-Match Snooker, Basebal et Badminton sur INT8 \r\n\r\n[PSMSv2] Analyse du temps d’exécution du nouveau modèle de campagne d\'acceptance Front-Back,'),
(29436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3167 / INT1]: Fin Campagne Nouvelles Fonctionnalités Back + [ALM / CB]: Maj Tests LateBets'),
(29626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\n\nSITE:           fdj2-origin_release_16-40\nABP:            14.1.32-SNAPSHOT 3200\nMOBILE:         origin_release_8\nARGUS:          14.1-124\nPLATFORM:       1.0.183\n\n[PSMSv2] Qualification des anomalies CB livrés\n\n[SPEEDUP] Test des nouveaux markets live et Pré-Match Football American sur INT8'),
(29424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nFDL017843 Appli FDJ IOS V1.2.12\r\nFDL017845 Appli FDJ Android V1.2.011\r\nNouvelle livraison corrective avant la MEP du 28/09/2017\r\nCorrection des tableaux de lots, corrections des anos sur lancement webapp\r\ntest applicatif et fail over des nouvelles versions des applis\r\ntest des anos associées aux fdl'),
(29434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n[SpeedUp]: Aide Vanessa pour faire quelques PDJs + [Combiné Boosté / 14.1.32-b3200 / INT7]: Début Campagne Nouvelles Fonctionnalités Back'),
(29426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nFinalisation des tests des applications avant MEP\r\nMise a disposition des catalogues de PROD pour la version 1.2 de l\'appli FDJ- Playstation\r\nRFC mise en place pour MEP des catalogues\r\nTest sur la boutique resultats de bout en bout, verification du json de l\'appel de service boutique et en parallele l\'affichage des resultats sur l\'application'),
(29427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\ndaily stream webapp\r\ndaily stream app hasard\r\nbug review app hasard'),
(29431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nMEP playsation\r\nVerification de la MEP des catalogues\r\nVerifications du fonctionnement de la v1.2 playstation des applis en prod\r\nCréation des anos associés au bug trouvé en prod pour vsr\r\nRemontée des anos a HIA, IQ et CPQT'),
(32552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3200 / INT7]: Campagne Nouvelles Fonctionnalités Back'),
(29435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nContinuité des tests de prod de l\'application playstation'),
(29439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[ALM / CB]: Maj Tests LateBets + Regroupement Tests Acceptance Front&Back'),
(29440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nElaboration d\'un document de testabilité de GAM backend. Analyse des tests possibles et des impacts sur la gamification.'),
(30326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nMOKA CRM - Reunion Strategie de test\nMOKA Reunion flux PEGA-Usr\nMOKA reunion Web Service Adobe\nGénération des certificats ubo\nSupport pb Bingo prod'),
(29444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nAnalyse utilisation et substitution champ T6_TEXT_2\nécriture et test procédure pour anonymiser la base INT8.'),
(29443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nécriture et test procédure pour anonymiser la base INT8.'),
(29542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nFormation automatisation des tests\nEcriture des coquilles des cas de tests sur le projet Modérateur Lot 2 (projet ALM PALIER_CRM).'),
(29446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nImplementation de tests auto / mise à jour des référentiels campagnes pour intégration de balise v9 et prise en charge de fonctionnalités de masse. Analyse impact de MOKA sur les tests auto.  '),
(29543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Modérateur Lot 2 (projet ALM PALIER_CRM).\nRéunion organisation des tests sur le projet.'),
(29451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nEcriture des cas de tests sous POSTMAN sur le projet Modérateur Lot 2 (projet ALM PALIER_CRM).'),
(29449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nEcriture des cas de tests sous POSTMAN sur le projet Modérateur Lot 2 (projet ALM PALIER_CRM).'),
(30121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot\nAlimentation de la chaine Control-M pour la compta IF'),
(30122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot\nAlimentation de la chaine Control-M pour la compta IF'),
(30123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot\nAlimentation de la chaine Control-M pour la compta IF'),
(30124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot\nAlimentation de la chaine Control-M pour la compta IF'),
(30126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nGénération du fichier itf-transaction-jackpot\nAlimentation de la chaine Control-M pour la compta IF'),
(29457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nGamification v1 : Qualification statique.'),
(29459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nRDI 1.1 : Exécution mode opératoire tests RDI --> SAGA'),
(29460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nImplementation de tests auto, préparation de la présentation Cycles et releases. Etudes sur les impacts pour implémentation de cas d\'utilisation et de résultats différtents ARJEL / MAJ de select_all_info_perso et mise à jour. '),
(29461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nImpelmentation de tests auto / mise en place des cycles et releases et liens avec exigences. Création d\'exigences et tests par rapport aux entrants Henri Frenay.  '),
(29462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n FALCON : Bascule des tests POSTMAN manuels en test AUTO\r\n IF : modification du croupier cocotrio2017 50 cents puis 3 euros sur INT1 '),
(29463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nImplementation de tests auto et évolution du catalogue (coquilles vides) de test en fonction des évolutions attendues en 2.8. Maj référentiel 2.7 et 2.8. Préparation 2.8 pour balises supervision. '),
(29464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n FALCON : Bascule des tests POSTMAN manuels en test AUTO\r\n IF : modification du croupier cocotrio2017 50 cents / 3 euros sur INT1 '),
(29465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nImplémentation de tests auto pour le palier 2.8. Lancement de campagnes de test Batch et analyses d\'impact sur les batch pour 2.8. '),
(29467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nRDI 1.1 : Préparation du fichier d\'export Egide + Analyse anomalies tests RDI 1.1'),
(29469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nGamification v1 : Qualification Statitque + création ANO'),
(30898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nModification des tests loto sous ALM'),
(30613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nFDL017843'),
(30614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nModification des tests euml sous ALM'),
(30616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nModification des tests keno sous ALM'),
(29475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[FALCON API] FDJ_User_PropagateCookie : propagation du cookie pour GAM sans adhérence a Motors\r\n[FalconBackOffice] republication du script Joueur_Fixer_Solde_Euros_par_email dans ALM\r\n[FALCON BRIC] analyse de la version USR et TRS 2.7.4-2'),
(29478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n'),
(29485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[POSTMAN] finalisation du paramétrage POSTMAN et création de la collection endowments pour test de services\n[FALCON API] mise à jour des tables de routage pour INT9\n[MOTORS] Motors gam : ajout du jeu gamtest\n[EGE] étude des modifs requises pour adapter le générateur API RTL pour générer la nouvelle arborescence UsrTrusted multigateway'),
(29481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n'),
(29482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(29483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n BCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune '),
(29489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nQualification ANO IF\nTest aléatoire Gamification SUR la BOG (après demande du CP)'),
(29588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nTest aléatoire BOG\nRemontée d\'ANO:\nANO052969 / ANO052950\nQualification ANO'),
(29590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nTest aléatoire IF/Gamif\n Qualification ANO'),
(29495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nProjet : Modérateur lot 2\nAction : analyse et conception des test auto\n\nComposant : Digishop I\nAction : acceptance sur int 11'),
(29493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n- Avancement sur la mise en place du pilote Test Automatique IHM avec Selenium '),
(29661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nProjet : Modérateur lot 2\nAction : analyse et conception des test auto\n\nCampagne d\'acceptance INT11 : DI / DA\naction : analyse des résultats et rédaction du rapport de campagne.'),
(29498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n- Avancement sur la mise en place du pilote Test Automatique IHM avec Selenium \r\n- Atelier sur la mise en place de l\'architecture projet des tests automatiques IHM \r\n- développement de script shell pour automatiser le lancement du tunnel proxy sur linux'),
(30292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n- Atelier sur la mise en place du périmètre des tests automatiques IHM \r\n- documentation sur la procédure d\'automatisation pour le lancement du tunnel proxy sur linux'),
(29507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nDigishop G modification des test de pagination suite à la livraison de la version 1.08\nTest du script de gamifcation\nmodification des tests pour le filtre de date'),
(30293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n- Avancement des développements des tests IHM avec Sélénium\r\n- Avancement sur le problème d’exécution des tests IHM sur Jenkins'),
(29503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nModificationde la colletion Postman digishop G : Ajout des des test au limit pour la pagination.\nSupport sur le script Digishop problème avec le Create Account'),
(29504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\ncampagne d\'acceptance INT9 (maintenance corrective)'),
(29506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\ncampagne d\'acceptance INT8 (maintenance corrective)'),
(29508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\ncampagne d\'acceptance INT7 (combinés boostés)'),
(29511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\ncampagne d\'acceptance INT7 (combinés boostés)'),
(29510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\ncampagne de non-reg combinés boostés'),
(29514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nRecherche sur la mise en place de swagger au sein de wiremock'),
(29521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nTest de SPDV 3.0.13 avec JOSE isoPROD ; Tests sur la version compilée pour la PROD de PSPDV Android 5.0.0'),
(29517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nRecherche sur la mise en place de swagger au sein de wiremock'),
(29518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nRecherche sur la mise en place de swagger au sein de wiremock'),
(29520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nTests acceptance spdv 3.0.13 (FDL017836) ; Qualification de la MOD012463'),
(29522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nRecherche sur la mise en place de swagger au sein de wiremock'),
(29523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nInvestigation sur problèmes PSPDV remontés par le métier ; Tentatives de faire fonctionner JASON en mode wifi'),
(29993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nTravail sur les bugs PSPDV sur la version compilée pour la PROD'),
(29994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nCréation de l\'ANO053007 : [EDWAN] [SPDV] Market indiqué comme NR alors que les outcome sont tous résultés (ou annulés) ; Tests d\'acceptance de 3.1.0_wspdv (FDL017858)'),
(29526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nModification de la collection postman digishop G ajout du contrôle de cache et modification du schéma de validation.\r\nTest de la boutique.\r\nCréation du Template pour la création de job planifié sur jenkins.\r\nsuppport  sur l\'utilisation du script GetGamificationDetail'),
(29529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nCréation du Template pour les jobs manuels\r\nCorrection du problème sur le script POSTresume (digishop I)\r\nCréation d\'une documentation confluence pour l\'utilisation de jenkins et des différent template\r\ncréation des Template pour la création de job sur le serveur linux'),
(29531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nEtude pour la modification du pluggin jenkins de HP'),
(29532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nElaboration de la partie catalogue de test du document en cours'),
(29533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3180 - NREG'),
(29534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nFusion des campagnes d\'acceptance  NREG Front et Back en une seule campagne'),
(30338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nBRIC : Qualification des ANOS créées sur palier SPOC et installés sur version BRIC'),
(29536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3167 - NREG   0,75j\r\nExécution camapgne 14.1.32-SNAPSHOT 3200 - Acceptance Front-Back'),
(29537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nFin 14.1.32-SNAPSHOT 3200 - Acceptance Front-Back\r\nExécution campagne 14.1.32-SNAPSHOT 3200 NREG Back'),
(29538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3200 NREG Back'),
(30339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nMOKA _ Organisation du nouveau réferentiel ALM DIGITAL BACK'),
(30340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nMOKA _ Atelier périmètre USR  (si pas de USes case : pas de qualif !) + Atelier de travail avec Lotsys pour obtenir les infos techniques non documentés (services API et BDD Falcon)'),
(30341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n0,25 : BRIC _ instance Stanley \n0,25 : MOKA _ Mod Lot2 _ Association cas de test aux exigences techniques (niveau 3)\n0,50 : MOKA _ Mod Lot2 _Ecriture cas de tests postman'),
(30342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nMOKA _ Mod Lot2 _Ecriture cas de tests postman'),
(30343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nMOKA _ Mod Lot2 _Ecriture cas de tests postman'),
(29606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nInstallation version 2.17.15 sur INT11 + Acceptance\nCreation ANO052976\nInvestigation sur le fonctionnement du widget MAG et de sa fonction isConnected() '),
(29664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[ITF] Merge ITF 2.1.0-1 et préparation du script pour le nouveau service\n[Protogen UsrTrusted] finalisation du nouveau protogen'),
(30934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n[MOKA] Adaptation manuelle de la génération API TRS 2.8.0-alpha3 dans l\'arborescence UsrTrusted\nCréation d\'un nouveau FDJ_Falcon_UsrTrusted_Utilities.h et mise en compatilibité du FDJ_Falcon_Transaction_Utilities.h\n[FalconBackOffice] support sur script Joueur_fixer_solde_euro, republication et adaptation du step de prérequis pour alimenter le champs pUAC_ID\nITG : investigation sur les jeux ITG a maj dans le FDJ_INNO_ITG_DataFile.json'),
(29555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\nAssistance INT3 recherche absence édition courrier'),
(30669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n- Daily\n- Installation wspo combi boost sur int1.\n- Tests Vitan 5.8.013 (combi boost)\n- Suivi MEP psel 1.1.0 et wspoenl'),
(30899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nCampagne d\'acceptance des jeux SUPER100,200,500 sur INT42'),
(29934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nInstallation du jeu LA COURSE v1.0.3.\n+ test d\'acceptance'),
(29567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nCAMPAGNE TEST AUTO MOTORS / NVX JEU NEXT LEVEL INT21'),
(29937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nTest d\'acceptance '),
(29922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nRéouverture des jeux IF sur INT42\nVérification pourquoi les jeux IF ne se lancent pas => PB de cache\nInstallation et contribution des jeux BATMAN et NEXT LEVEL sur INT5'),
(29570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nCAMPAGNE TEST AUTO MOTORS / NVX JEU NEXT LEVEL INT21'),
(29572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nCAMPAGNE TEST AUTO MOTORS / NVX JEU NEXT LEVEL INT21'),
(29573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nCAMPAGNE TEST AUTO MOTORS / NVX JEU NEXT LEVEL INT21'),
(30617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nPassage de la campagne d\'acceptance du jeu Next Level 2017'),
(30611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nOuverture d\'anomalie sur le jeu Next Level 2017\nEcriture de fiche de test poru Next Level 2017 sous postman'),
(30615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nEcriture de campagne de test pour Next Level sous ALM'),
(30612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nInstallation de Framework 2.3.8 sur INT21\nPassage de tests sur Next Level 2017'),
(29580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(30762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nPrise en main de la partie MIFY V16( atelier Lyna, documentation ) , afin de commencer l\'implementation des cas de test associés.'),
(30763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nPrise en main de la partie MIFY V16( atelier Lyna, documentation ) , afin de commencer l\'implementation des cas de test associés.'),
(30764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nPrise en main de la partie MIFY V16( atelier Lyna, documentation ) , afin de commencer l\'implementation des cas de test associés.'),
(30765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nPrise en main de la partie MIFY V16( atelier Lyna, documentation ) , afin de commencer l\'implémentation des cas de test associés.\nEn assistance : Analyse des cas de test failed, de la campagne d\'acceptance'),
(30766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nPrise en main de la partie MIFY V16( atelier Lyna, documentation ) , afin de commencer l\'implémentation des cas de test associés.'),
(30327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\ninstallation usr 2.7.4-2 opr et box sur int8\nrecherche de contournement pb de prod bingo'),
(29589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nSuite des tests pr reproduire / verifier la correciton du bug de prod Captcha à l\'inscritption (nombreux essais nécessaire, arrêt de branches etc...)\n\nAssistance aux développeur pr installation sur INT61 suite à une demande du sport.'),
(29591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\nvie des environnements nouveaux scénarios'),
(29592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nvie des environnements nouveaux scénarios'),
(29593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\npilote tests ihm'),
(29594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nindustrialisation jenkins : publication alm'),
(29595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\npilote tests ihm'),
(29596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nSuivi de verification de l\'acceptance sur Digi I 3.19 passés par les tests auto afin de confirmer la correction et non régression du Captcha.\r\n\r\nPoint avec Cyril Dupont sur le fonctionnment Hazelcast, recommandations salt  etc...\r\n\r\nPoint avec Mireille sur les installations /priorités/FDL status à maj etc...\r\n\r\n'),
(29597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nReunion Stanley IQ Bric\r\n\r\nInstallation boutique Digi 4.2.1 sur iNT11 : erreur de conf sous GIt, nouvelle installation OK. Demande de lancer test Auto Boutiques.\r\n\r\nPoint/échanges sur les urgences par rapport aux MEP rapprochés (playstation, BRIC, FAQ): Modop FAQ, assistance install Dév etc...'),
(29659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 Attente // SIDC TR2 OK // SIDC TR3 OK // SIDC TR1 OK'),
(29631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nDémarrage du Modop FAQ mais report de la MEP dans la matinée au 16/10.\n\nAppel développeur pr confirmation élements modoP et assistance d\'installation.\n--> installation ok sur le pré Q int71 avec correctif FAQ\n\n'),
(29601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n'),
(29604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] TR1 modification dans SIDC de la civilité Mlle en Mme + suppression des confirm sur les jobs chaine TR1'),
(29618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[IF] Investigation sur l\'absence de compte joueur du 20/08/2017 sur le TR2'),
(29608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[ITG] Mise à jour du fichier json des jeux ITG déclarés dans ITF\n[Script UsrTrusted Endowments] création d\'un script modèle FalconPOSTEndowmentsCash\n[Protogen UsrTrusted] Création du nouveau protogen dérivé du Protogen FalconRTL\n[MOKA] Dotations SDT et inputs nécessaires'),
(30912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nExécution des tests  NREG 14.1.32-SNAPSHOT 3200 - Back: INT7\n - Module Retail:\n11500 - Contrôle offre vérification de la table RETAILMAPPING\n11030_Verification taille message Retail superieure à 4000 caractères\nRefaire des tests sur INT7 exemple:\n[1]22. PDJ_22 - PDJ_Web_Multiple_8_MB_Live\n[1]22. PDJ_22 - Settlement_PDJ_Web_Multiple_8_MB_Live_Gagnant_Perdant\n[1]04. PDJ_FB15 - EarlyKickOff_PDJ_Web_Combine_2_MB_2_EKO'),
(29612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n- Qualif Pallier BRIC => Anos critiques Cap Adresse\r\n- mise à niveau INT81 sur Pallier BRIC'),
(29613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n- Go / NO GO Poupées Russes LOt 2 / MOKA\r\n-  Support Perf\r\n- Install BRIC'),
(29615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n- Point Jason / CAF - P Amerio\r\n- Install et tests GAMIF\r\n- Travail sur Borne Jason Wifi'),
(29617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nRéponse sur INC179513'),
(29619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n- Travail sur Borne Jason Wifi\r\n- Config Digi R Wifi'),
(29620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n- Tests BRIC\r\n- Qualification BRIC'),
(29621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n'),
(29622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - installation FDL017686_egide_4.50.03_liv sur INT9EGID'),
(29623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Contribution à SOPRA pour test ANO Resocom/EGIDE'),
(29624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - CSAM Sign&GO Neptune'),
(29625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n BCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI '),
(29627, 'Spécs : 0392-CNAF-Marché-Lot-4-SPE-Spécifications techniques détaillées PHAV2--rev2.7.docx partie : 15.Modification de la fiche utilisateur\r\nTests HP ALM : PHA-Entités-Partenaires - Consulter et PHA-Entités-Partenaires - Créer et PHA-Entités-Partenaires - Modifier : rajout des étapes de contrôles des champs rajoutés\n\n'),
(29628, 'Spécs : 0392-CNAF-Marché-Lot-4-SPE-Spécifications techniques détaillées PHAV2--rev2.7.docx partie : 15.Modification de la fiche utilisateur\r\nTests HP ALM : PHA-Entités-Partenaires - Consulter et PHA-Entités-Partenaires - Créer et PHA-Entités-Partenaires - Modifier : rajout des étapes de contrôles des champs rajoutés\n\n'),
(29629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nTests suite à retour Bestagno sur le serveur '),
(29630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n'),
(29663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 reprise depuis le 27/09 en attente // SIDC TR1 OK // SIC TR3 OK // SIDC TR2 en cours'),
(29638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nCreation ANO053006\r\nInstallation ptab 2.17.15 sur INT31 et INT21 '),
(29639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n- qualification livraison edwan Playstation\r\n- maj tests Postman'),
(29640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n- installation livraison Playstation\r\nINT12	4.4.6_hasard\r\nINT22	4.4.6_hasard\r\n- remonté pb en prod sur service ariase pour la georestriction\r\n- qualification livraison edwan Playstation\r\n- création ANO052873 [PLAYSTATION] Demande de logs apache en cas d\'exception Sqlite\r\n- création ANO052923 [PLAYSTATION] Gestion des numéros de tirage\r\n- création ANO052921 [PLAYSTATION] Affichage des résultats dans l\'odre croissant\r\n- maj tests Postman'),
(29641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n- installation livraisons Playstation\r\nINT22	4.4.7_edwan\r\nINT12	4.4.8_edwan\r\nINT22	4.4.8_edwan\r\nINT42	4.4.8_edwan\r\nINT12	4.4.7_hasard\r\nINT22	4.4.7_hasard\r\nINT12	4.4.8_hasard\r\nINT22	4.4.8_hasard\r\n- qualification livraison 4.4.8_edwan palier Playstation\r\n- qualification livraison 4.4.7_hasard palier Playstation\r\n- qualification livraison 4.4.8_hasard palier Playstation\r\n- création ANO052944 [PLAYSTATION] Affichage promo cachées\r\n- maj tests Postman'),
(29642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n- installation livraisons Playstation\r\nINT12	4.4.9_hasard\r\nINT12	1.1.5_apimaitre\r\nINT22	4.4.9_hasard\r\n- mise en prod Playstation\r\n- maj tests Postman'),
(29643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n- reunion point d\'avancement stream\r\n- maj des environnements\r\nINT21	4.4.8_edwan\r\nINT21	4.4.9_hasard\r\nINT21	1.1.5_apimaitre\r\nINT21	4.4.1_mapi\r\nINT21	4.2.3_mrcd\r\nINT21	4.4.10_hasard\r\nINT11	4.4.8_edwan\r\nINT11	4.4.9_hasard\r\nINT11	1.1.5_apimaitre\r\nINT11	4.4.1_mapi\r\nINT11	4.2.3_mrcd\r\nINT11	4.4.10_hasard\r\nINT02	4.4.8_edwan\r\nINT02	4.4.10_hasard\r\nINT02	1.1.5_apimaitre\r\nINT02	4.4.1_mapi\r\nINT02	4.2.3_mrcd'),
(29646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n'),
(29647, 'Impossible à reproduire ni en prod ni en local.\r\nDemande d\'information faite sur Saxo'),
(29649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nDéfinition des cas de test GAM.'),
(29651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[RIB.009 Maintenance évolutive du Run] Installation de la FDL FDL017071 penelope sur INT2PENE\r\n'),
(29665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[RDI 1.1] Support a la recette problème de connexion SAGA'),
(29653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[StockGrattage] Support chef de projet pour intégration des fichiers sur le TR2 test TSGI'),
(30670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n- Daily\n- Formation git philippe\n- Tests vitan combi boost\n- Instal git en local sur ordi'),
(29668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[IF] Reprise de données sur le TR2 pour le problème de comptes manquants + analyse erreur à la reprise OK'),
(29667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[StockGrattage] Support pour intégration des fichiers SGI modifiés'),
(30328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nInstallation usr 2.7.4-2 + box sur int3\ncreation des certificats  falcon pour les fl20x61 et 62\nredaction doc technique de creation de certficats'),
(30913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nExécution des tests NREG 14.1.32-SNAPSHOT 3200 - Back:\nRefaire échantillon des tests sur INT1 exemple:\n[1]022. PDJ_36 - Resettlement_PDJ_Web_Multiple_2sur3_Live_Box_CPS\n[1]06. PDJ_FB12 - Annulation_PDJ_Web_Combine_2_MB_Live_Cancel\n[1]05. PDJ_FB11 - Annulation_PDJ_Web_Combine_2_MB_Live_Refund\n[1]02. PDJ_28 - KickOff_PDJ_Web_Combine_3_MB'),
(29666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nExtraction et analyse des incidents'),
(29669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\nContrôle MCO'),
(29677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[EGIDE] Incident INC178611 : OPP-0012603 de création de PDV bloquée depuis le 04/09 en \"Qualification FDJ\"'),
(29672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nSAFERGAME : Installation FDL017867,FDL017823 CFM, FDL017796 Folio, FDL017847 SQL, FDL017762 Datastage sur INT2'),
(29673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nSAFERGAME : Installation i2 FDL017676, FDL017775 sur INT2'),
(29679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[BOOSTER] Rédaction test EGIDE 4.51.00');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(29676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nExtraction et analyse des incidents'),
(29678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n[BOOSTER] Rédaction test EGIDE 4.51.00'),
(29680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nMCO - EGIDE'),
(29681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(29682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n [RDI1.1] Recette ,Tests IS - Partie Asynchrone RDI - SAGA | SAGA - KHEOPS | SAGA - RDI\r\n'),
(29684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[BOOSTER] Rédaction test EGIDE 4.51.00'),
(29686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[Odyssée] Qualification FDL017848 Odyssée Gestion des secteurs'),
(29687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n[EGIDE] Instalation FDL017686 INT4EGID V4.50.03\r\n'),
(29690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[PENELOPE] Installation FDL017071 Penelope V2.52 sur INT2 - Problème accès Réseau'),
(29689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[EGIDE] Installation FDL017686 INT6EGID V4.50.03\r\n'),
(29691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n[EGIDE] Rédaction test EGIDE 4.51.00\r\n'),
(29692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nLivraison MCO Septembre\r\nCorrection Ticket V14'),
(29693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nlivraison lot3'),
(29694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\ncreation comptes sur docker pour déménagement'),
(29695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\nCOMIP ANVCTX'),
(29696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nPatrick Juaneda'),
(29697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nPatrick Juaneda'),
(29698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nPréparation palier MOKA\r\nExécution, analyse et rédaction du rapport de campagnes d\'ACCEPTANCE API & DB - API CC & DB CC : FALCON -  USR-2.7.4-2 sur INT 31\r\nRéunion sur la mise en place du bouchon ADOBE'),
(29699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n'),
(29704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nCNIL : DMT de création des répertoires BO. Palier Recyclage : PV de qualification.'),
(29702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\nRAM.004 : Calypso - Recette et création ANO052957'),
(29705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n'),
(29707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n'),
(29945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nLecture de la Spec sur Modérateur lot 2 Palier MOKA. Lancement d\'une campagne ITG sur INT2 demande de Laurent Boggio'),
(29811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nProjet : Modérateur lot 2\nAction : analyse et conception des test auto\n\nCampagne d\'acceptance INT21 : DI / DA\nAction : analyse des résultats et rédaction du rapport de campagne.\nAction : analyse approfondie des résultats \"failed\" - recherche d\'anomalie fonctionnelle potentielle.\n'),
(29713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nSIDC TR3 OK vérification des comptes USR / SIDC // SIDCOM TR2 OK après reprise des traitement suite a une erreur des flux SGI + relance du calcul des agregats// SIDCOM TR3 OK // SIDC TR1 en attente // SIDC TR2 En attente'),
(29712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[MOKA] Recherche des cas de test rédigés pour GDC'),
(30141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Vérification des prés requis d\'application de DMT DMT0009860 et MOD MOD011637 sur le TR1 KO + point sur la disponibilité de SAS'),
(29717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test ARJEL et ETL des nouveaux markets live et Pré-Match Snooker, Basebal et Badminton sur INT8 '),
(30424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nPoint sur les différents environnements à Maj coté Boutiques: INT11, 02,21,31 en vue d\'installer ces boutiques.\n\nInstall sur INT11 des Boutiques BRIC avec correctif FAQ. Test sur le captcha correctif Digi 4.2.1 --> ok\n\nInstallation Boutique sur INT21 ISO  MEP FAQ à venir\n\nInstallation Sur INT02 ISO BRIC projet IF'),
(29719, 'Droit -> CMURessourcesType1 : montantSeuil passé à 10 au lieu de 15 (ligne 75)\r\nTest sur plusieurs allocataires en 227 mais aucun ne correspond au critère de seuil\n\n'),
(29722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nMCO EGIDE'),
(29723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - installation WS 4.06 FDL017805 sur INT4EGID'),
(29724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - installation WS 4.06 FDL017805 sur INT6EGID'),
(29725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - installation WS 4.06 FDL017805 sur INT8EGID'),
(29726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n'),
(29727, 'Voici la réponse de la fonctionnelle de Cristal pour le sujet « P1 Contrôle Tuteur Dossier »,'),
(38214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n111574 + 109297'),
(38215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n111574'),
(38216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n111574'),
(38217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\r\nAtelier sur les porte-monnaie'),
(29729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[EGIDE] Promotion de l\'univers EGIDE BO cf FDL017821 sur l\'intégration'),
(29730, 'Envois objet partenaire :\r\n-	Ouverture d’un BA \r\n-	MAJ d’un BA\r\n-	Clôture d’un BA\r\n\r\nEnvois d’objet utilisateur :\r\n-	Création d’un utilisateur (affectation d’un utilisateur à un groupe)\r\n-	Mise à jour des habilitations d’un utilisateur (retrait/ajout d’une habilitation groupe)\r\n-	Suppression d’un utilisateur (retrait d’un utilisateur d’un groupe)\r\n\r\nURLs webservices (base path = /api/${nom_microservice_middle}/v1) : \r\n-	Création partenaire : POST /habilitation/partenaire | Param ‘body’ – Partenaire\r\no	200 – OK\r\no	400 – Entrée invalide\r\no	500 – Erreur technique\r\n-	Mise à jour partenaire : PUT /habilitation/partenaire | Param ‘body’ – Partenaire\r\no	200 – OK\r\no	400 – Entrée invalide\r\no	404 – Partenaire non trouvé\r\no	500 – Erreur technique\r\n-	Suppression partenaire : DELETE /habilitation/partenaire/{siret}\r\no	200 – OK\r\no	404 – Partenaire non trouvé\r\no	500 – Erreur technique\r\n-	Création utilisateur : POST /habilitation/partenaire/utilisateur | Param ‘body’ - UtilisateurPartenaire\r\no	200 – OK\r\no	400 – Entrée invalide\r\no	500 – Erreur technique\r\n-	Mise à jour utilisateur : PUT /habilitation/partenaire/utilisateur | Param ‘body’ - UtilisateurPartenaire\r\no	200 – OK\r\no	400 – Entrée invalide\r\no	404 – Utilisateur partenaire non trouvé\r\no	500 – Erreur technique\r\n-	Suppression utilisateur : DELETE /habilitation/partenaire/utilisateur/{identifiant_portail}\r\no	200 – OK\r\no	404 – Utilisateur partenaire non trouvé\r\no	500 – Erreur technique'),
(29731, '\"Suite à notre réunion de vendredi, veuillez trouver ci-dessous la documentation ainsi que les composants de développement des API habilitations partenaires :\r\n•	Documentation swagger : http://swagger.intra.cnaf/ui/ puis selectionner : « middle/partenaires-habilitations-api-dto-v1.0.0.yml »\r\n•	Implémentation Java de référence sur Git : http://git.intra.cnaf/MonComptePartenairesHabilitationsMiddle/partenaires-habilitations-api-dto\r\n•	Intégration continue : http://jenkinsdev.intra.cnaf/job/MonComptePartenaires/job/MonComptePartenairesHabilitationsMiddlePartenairesHabilitationsApi/\r\n•	Mise à disposition du paquet Maven : http://nexus.intra.cnaf/#nexus-search;quick~partenaires-habilitations-api-dto\r\n\r\nLa version actuelle est 1.0.0-SNAPSHOT. Celle-ci sera figée rapidement suite aux premiers développements des offres.\r\nMerci de nous faire part de vos remarques directement sur Gitlab en soumettant une demande : http://git.intra.cnaf/MonComptePartenairesHabilitationsMiddle/partenaires-habilitations-api-dto/issues\"\n\n'),
(29734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nPoint FAQ\nTraitement des anomalies suspendu\nAmélioration des test acceptance postman faq/email\nqualification anomalie'),
(29735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nGestion des incidents'),
(29736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(33942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(29738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n[MANIFESTES] [HPALM - 88] La création d\'un conditionnement en saisisant un code existant provoque une exception\r\n[MANIFESTE] [HPALM - 98] Liste des conditionnements - lors de la recherche de conditionnement le résultat doit être trié par défaut par ordre alphabétique du champ \'code\'\r\n'),
(29739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\n[MANIFESTE] [HPALM - 122] Test 165 - Consulter un conditionnement : Il manque le titre \"Rechercher un conditionnement\"\r\n[MANIFESTES][HPALM - 124] Editer un conditionnement : Le titre de l\'écran doit être \'Editer un conditionnement\' (le titre affiché est \'Créer un conditionnement)\r\n[MANIFESTES][HPALM - 133] Viser un conditionnement : le titre de l\'écran doit être \"Viser un conditionnement\", la zone \'Informations\' doit être en bas de l\'écran'),
(29740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n[MANIFESTES] [HPALM - 128]Editer un conditionnement 1- le libellé doit être modiffiable, 2- Lorsque l\'on sélectionne la famille \'Conteneur\', seules les sous famille \'20\" et \'40\"\' doivent être sélectionnable (on peut sélectionner a tord \'20\"\', \'40\"\' et \'Autres\')\''),
(29741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nCorrectif sur EaGenDoc'),
(29742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nCorrectif sur EaGenDoc'),
(30914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nDéroulement des tests NREG sur la \"14.1.32-SNAPSHOT 3200 - NREG\"'),
(29746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - installation FDL017909_egide_4.60.02_liv sur INT8EGID'),
(29747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nMCO EGIDE'),
(29748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nSIDC TR1 OK // SIDC TR2 OK // SIDC TR3 Attente // SIDCOM TR2 // SIDCOM TR3'),
(30671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n- Daily\n- Acceptance 1.2.1_wspoenl (combi boosté)\n- ANO053038\n- ANO053051\n- Tests de qualif pour wspoenl'),
(29750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nRéunion Référent CIQ'),
(29751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n-Test aléatoire + Bug check GAMIF\r\n'),
(29752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n-Tests élémentaire IF/INT42 prise de jeu/historique joueurs/ contrôle jackpot  sur les jeux Super100/200/500'),
(29791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nRemise a niveau sur le projet star/wars\nMontée en compétence sur Jenkins\nMise a jour modop ptab 2.17.16 pour modification rotation log du script archive_and_purge'),
(29759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3200 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(29760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3200 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(29761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3200 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(29916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3209 / INT7 / INT1]: Acceptance (INT7) + Campagne Nouvelles Fonctionnalités Back (INT1)'),
(29917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3209 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(29768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nMCO control m tr 1 2 3 \r\ncrm lot 1 : tests templates de mail'),
(30148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nMCO control m tr 1 2 3 \ncrm lot 1 : doc confluence bouchon'),
(29772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[Falcon API] mise à jour du Protogen Falcon pour UsrTrusted\r\n[FalconBackOffice] evoultion du script Modification_infos_complementaires\r\n[Falcon MOKA] qualif script endowments (v 2.8-alpha3)'),
(29800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[IF] mise à jour des tables de routage pour ITF 2.1.0\n[IF Scripts] finalisation du script ITFGETGameUserdata\n[Falcon API] analyse génération et merge de l\'API 2.8-alpha4\n[Falcon API] finalisation protogen FalconUsrTrusted'),
(29774, 'TIERSI : première approche avec l\'équipe de l\'offre bailleur, la recherche avec les éléments dont nous disposons (nom, prénom de l\'utilisateur) va quasiment forcément nous retourner plusieurs résultats. Appel de FORNEROD Frédéric qui confirme cet état de fait.\r\nPour palier à cela il faudrait : faire la requête DAD pour récupérer le numéro de fonction Tiersi stocké, vérifier les date de début et de fin de tutelle, faire l\'appel à Tiersi pour obtenir la liste des résultats et ensuite comparer la liste pour vérifier si l\'un des retours possède ce numéro de fonction. Condition : il ne faut qu\'un seul résultat positif...\r\nPour les modalités techniques d\'accès à Tiersi, contacter Maxime DELAVAUX au 02.31.45.15.37\n\n'),
(29775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nTeam leader'),
(29776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nAVV'),
(29781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[MOKA] Rédaction de 20 cas de tests reprise de l\'existant'),
(29780, '03/10/2017 : Appel de Malek pour avoir de l\'aide sur la configuration entière de la plateforme de recette corrective. Après avoir fait un état des lieux, je lui transmet les différentes documentations PPS - PHA et PCA. Et l\'aide lors de sa première connexion au portail.'),
(29782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[MOKA] Prise de connaissance des specifications'),
(30672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n- Conf Campaig, Studio pour combi boosté\n- ANO053073\n- redéfinition de tests pour combi boost\n- ANO053084\n- probleme token invalide lors d\'appels mify'),
(29784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nCorrection RTC-82374\r\nTests des 2 RTC sur NullPointeur  avec les correctifs réalisés sur 1.13.\r\nDébut de la RTC-82374'),
(29785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nRTC-82374'),
(29786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n80906'),
(29788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n71824 + annalyse du 81335'),
(29789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nImplémentation du premier cas de test GAM Back sur INT1.'),
(29790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nDev VuGen - Point Hebdo. Gamif - Point SSI. Mise au point de cas de test GAM Back.'),
(29792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n'),
(29793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\n'),
(29794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-27  (Do not remove this line) -->\n'),
(29795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n28/09 : offre de service disparu + probleme de la page partenaire - caf'),
(29796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n'),
(30915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nDéroulement des tests NREG sur la \"14.1.32-SNAPSHOT 3200 - NREG\": Modules réconciliations:\n10.2.1 - Réconciliation CANCEL sur 1 PDJ SIMPLE 1 SELECTION\n10.3.1 - Réconciliation CREDIT sur 1 PDJ SIMPLE 1 SELECTION\n10.4.1 - Réconciliation REFUND sur 1 PDJ SIMPLE 1 SELECTION\n10.1.1 - Réconciliation CONFIRM sur 1 PDJ SIMPLE 1 SELECTION\n10.5.1 - Réconciliation CLOSE sur 1 PDJ SIMPLE 1 SELECTION'),
(29799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[StockGrattage] Installation des 2 FDLS FDL017920 et FDL017921 sur le TR2'),
(29818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 OK // SIDC TR1 OK // SIDC TR2 OK // SIDC TR3 OK'),
(29804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test des nouveaux markets pré-match et live Snooker sur INT8'),
(29805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[SPEEDUP] Test des nouveaux markets live et Pré-Match Basebal et Tennis de Table sur INT8'),
(29828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\ninstallation 4.4.12 hasard + acceptance\ninvestigation sur un probleme de datation sur un log\nvérification de la rotation de log apres modification archive_and_purge\nAnalyse de la version 2.17.16 de ptab + rejet de la livraison'),
(29813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nessai de reproduire l\'anomalie sur les environnements : 1.11.3, 1.12 et 1.14 sans succés (demande de renseignement a anais +lionnel + claude par email) + anomalie 73275 en cours de traitement + redaction de ticket support car ordinateur anormalement lent'),
(29812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nProjet : Gamification \ncomposant : digishop U\naction : mise en place de la campagne de pré requis\n\nCampagne d\'acceptance INT11 : DA 4.4.3\nAction : analyse des résultats et rédaction du rapport de campagne.\n\nPostman : montée en compétence sur l\'outil'),
(29810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nCampagne d\'acceptance INT31 : DI 4.2.1, DA 4.4.3, DU 4.3.0\r\nAction : analyse des résultats et rédaction du rapport de campagne.\r\n\r\nPostman : montée en compétence sur l\'outil'),
(29814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nAnalyse développement Fonction d\'anonymisation de la base intégration'),
(29815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nAnalyse développement Fonction d\'anonymisation de la base intégration\r\nMOD012450 : [COHERIS] Mise en place fusion manuelle de 2 fiches client PDV (tests de la fonction)'),
(29816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\ninstall: SoapUI, eclipse, netbeans'),
(29821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[BPS.056.32 [SPORT] MIGRATION ABP V16] Comptage et analyse des rejets'),
(29819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n'),
(29820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[StockGrattage] Qualification des 2 FDL FDL017920 et FDL017921'),
(29957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nEtude sur les bilans de projet\r\nPrésentation à Valérie Le Roux\r\nProblème avec Add in HPALM et nouvelle version Excel => impossible de se connecter'),
(29956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n	MOKA : point avancement catalogue\r\nMOKA : point qualif CRM\r\nMOKA : Tests ouverture de flux du crm'),
(29824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[RAM004] Installation TR3 FDL_17689_SIDC_VRPT_7.0.1.1 '),
(29825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nRégression constatée.\r\nLa date de fin de prestation n\'est plus prise en compte'),
(29827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[RAM004] Qualification dans l\'univers BEAS de la remontée des adresses IP sur le TR3'),
(29829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nRAM.004 : Installation FDL017902'),
(29830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nRAM.004 : Qualification + acceptation FDL017902'),
(29833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nAtelier Gamification / Motors avec la perf. Implémentation des cas de test GAM Back get context.'),
(29834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nRTR.001 : Préparation FDL017821, demande de création de l\'utilisateur Oracle + demande de promotion du nouvel univers.'),
(29835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nSID Client : Préparation de l\'extraction des Cas de test existants pour mise à jour référentiel.'),
(29836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nMise à jour suivi des incidents.'),
(29838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nMise à jour fichier de suivi des incidents + INC178611 : Transfert des informations à Paul Eric Ainouz.'),
(29839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n BCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI '),
(29840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n BCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI '),
(29841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nStock Grattage : Qualification statique (fichier de mapping) + Qualification ANO050911'),
(30916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nRéexécution des tests NREG sur la nouvelle snapshot :\n02. PDJ_FB8 - Annulation_PDJ_Web_Simple_4_MB_Live_Refund\n03. PDJ_FB9 - Annulation_PDJ_Web_Simple_1_Live_Cancel\n04. PDJ_FB10 - Annulation_PDJ_Web_Combine_2_MB_Live_PasRefund\n05. PDJ_FB11 - Annulation_PDJ_Web_Combine_2_MB_Live_Refund\n06. PDJ_FB12 - Annulation_PDJ_Web_Combine_2_MB_Live_Cancel\n01. PDJ_24 - Annulation_PDJ_Web_Simple_15_Mb_Live\n04. PDJ_45 - Annulation_PDJ_Web_Combine_2_Live'),
(30280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nRéunion suivi Equipe Back\nTest service PostAccount v2.8'),
(30257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n'),
(29961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nImplémentation de tests auto, mise en place d\'une organisation pour les exigences avec le document processus métiers fourni par Henri, préparation de la présentation Cycles et releases.'),
(29960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nExécution et analyse des campagnes de tests d\'Acceptance API & DB - API CC & DB CC : Falcon USR 2.7.5-1 installée sur INT7\r\nImplémentation offre découverte pour poupées russes lot2'),
(30294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n- Assistance sur le projet Wiremock avec Loic Verstraete\r\n- Avancement des développements des tests IHM avec Sélénium\r\n- Avancement sur le problème d’exécution des tests IHM sur Jenkins windows'),
(30295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n- Avancement sur le problème d’exécution des tests IHM sur Jenkins'),
(30296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n- Avancement des développements des tests IHM avec Sélénium\r\n- Avancement sur le problème d’exécution des tests IHM sur Jenkins'),
(29854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n- Avancement des développements des tests IHM  avec Sélénium\r\n'),
(30642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3209 - Back'),
(30302, 'Fiche de synthèse T10 : Implémentation 0% : Test 0%'),
(30673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n- Daily\n- Point avancement tests combinés boostés\n- Daily combinés boostés\n- Installations 1.0.3_wspoenl sur int8\n- Relance pour ANO051786\n- Mail Marie C pour problème perte token'),
(30674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n- Daily\n- Tests acceptance 1.0.3_wspoenl\n- Tests combi boosté\n- Ano perte token'),
(30346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nMOKA_ Mod Lot2 : Ecriture test postman'),
(30016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nAnalyse du code du plugin Hp\nPoint Postman avecValerie et Romain'),
(30344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nMOKA_ Mod Lot2 : Ecriture test postman'),
(30347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nMOKA_ Mod Lot2 : Ecriture test postman'),
(30348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nMOKA_ Identification SPORT PDV (PDV) : Analyse des doc dispos'),
(30021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nFormation Leila Postman\r\nFinalisation de la collection\r\nCréation d\'un projet test pour importer les classe et méthodes utile au projet.\r\nPoint Plugin Hp avec Valerie'),
(30345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nMOKA_ \n0,5 : Mod Lot2 : Ecriture test postman\n0,5 : Suivi d\'avancement IQ Digital Back'),
(30020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nPlugin Jenkins : Creation d\'une collection postman pour la creation dans alm via l\'api\r\nFormation Postman pour Leila'),
(32595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nCorrection requête ETL V14\nExécution Campagne Non Reg V16'),
(32597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nExécution Campagne NonReg V16'),
(32633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nImplémenter les cas tests pour les checks des tables statut après la PDJ\nRéunion d\'avancement Tests auto'),
(30022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nPlugin Jenkins test du projet'),
(29880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nNon-reg 20170929-[INT1] - 14.1.32-SNAPSHOT 3200'),
(30287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nNon-reg 20170929-[INT1] - 14.1.32-SNAPSHOT 3200'),
(29886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3200 - NREG (ARJEL)'),
(32554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nNon-reg manuelle 14.1.32-SNAPSHOT 3200 - Combinés Boostés'),
(29884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3200 - NREG  (ARJEL)'),
(29885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nNon-reg manuelle 14.1.32-SNAPSHOT 3200 - Combinés Boostés'),
(29887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nNon-reg manuelle 14.1.32-SNAPSHOT 3200 - Combinés Boostés'),
(30938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n-Tests aléatoire IF/INT42 prise de jeu/historique joueurs/ contrôle jackpot sur le jeu Yummy Stack'),
(30310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nMOD012450 : [COHERIS] Mise en place fusion manuelle de 2 fiches client PDV (tests de la fonction)'),
(29894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3200 - NREG  (Fin ARJEL + PDJ/Settlement)\n+ Formation Yohann Baron'),
(30009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3209 - Acceptance\nExécution campagne 14.1.32-SNAPSHOT 3209 - NREG   '),
(30010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3209 - NREG'),
(30946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nLevée de 2 anomalies sur la version d\'ITG 2.3.7. Ecriture de cas de test pour Falcon USR'),
(30947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nLancement des campagnes d\'acceptance et de non reg d\'ITG 2.2.7 sur INT4. Analyse des campagnes et envoi du rapport.\nPrise de jeux en masse pour ITF (cocotrio, elixirius, walk the cube et yummy stack) sur INT22. Ecriture de cas de test pour falcon USR'),
(29962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nImplementation de tests auto, dotations: création de tests 2.8 sur le sujet F-crédits et Dettes.'),
(29963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n	Implementation de tests auto, démarrage sur cycles et releases, blocages sur l\'add in d\'import d\'exigences depuis le 28/09/2017, relances effectuées. \r\nPréparation de la matrice et analyse de l\'existant et évolutions MOKA (ARJEL DET 1.5).'),
(30297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nImplémentation de tests auto, mise en évidence des tests à créer pour MOKA (DET 1.5), manquants et à compléter et création de coquilles vide pour compléter les cas de tests nécessaires.'),
(30011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[Falcon EGE] préparation des scripts pour nouveaux services endowments\n[MOKA] Point avancement catalogue de tests POSTMAN \n[API Vugen Gamification]\n[Generateur UsrTrusted] remise à la cible du protogenI pour générer l\'API UsrTrusted dans la bonne arborescence de dossier\n[Scripts transverse] support sur DBSelectAndFusion, creation d\'un cas de test dans le referentiel_auto pour tenter de reproduire une anomalie'),
(29901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[Protogen UsrTrusted] finalisation du protogen pour UsrTrusted\r\n[Script tranvserse] poursuite de l\'investigation du problème sur DBSelectAndFusion\r\n[Demo API]  présentation API dotations'),
(29903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nSIDC TR1 OK // SIDC TR2 OK // SIDC TR3 attente // SIDCOM TR2 En cours //SIDCOM TR3 OK'),
(29905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nProposition d\'évolution de l\'organisation coté SID'),
(29991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nInvestigation sur un problème de récupération des résultats des jeux sur PTAB avec Control M sur les tranverses\nVerification des anomalies FAQ\nVerification de l\'execution de la récupération du tirage SuperLoto et GrandLotoNoel pour ptab sur Control M'),
(29907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nRéunion avec Ph. Guerin sur le service d\'archivage des logs/traces des WS'),
(29908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nTest du swagger wiremock validator, et recompilitation suite à un crash'),
(29909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nPIMO : Copie de Prod sur INT4CALY puis qualification'),
(29910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nCrash au lancement du Swagger wiremock validator , trooble shooting'),
(29911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nSuite au crash du SWagger wiremock validator, modififcation du code source, avec ajout de class, puis modification de regles'),
(29913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nModification de regles dans le code source de wiremock'),
(29914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nTest de la derniére version de Swagger wiremock request validator'),
(29915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nImplémentation des cas de test GAM Back get context fin OK et KO.'),
(29926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nALM-Webtool config Symfony'),
(30068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nTests Acces par serveur Windows TSE\nALM_Webtool'),
(29928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nPostman : montée en compétence sur l\'outil\r\n\r\nGamification : \r\naction : mise en place de la campagne de pré requis.\r\naction : test de la campagne de pré requis'),
(30030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[Falcon scripts] finalisation des scripts Falcon MOKA\n[Call IF -MTR] conf call\n[Domaine DIGITAL] Coordination Dev VuGen\n[Demo API] présentation API dotations'),
(31299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE DU JEU \'BANCO C\'EST BALLOT\'\nCAMPAGNE D\'ACCEPTANCE DU JEU \'JUSTICE LEAGUE 2017\''),
(29933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nvie des environnements '),
(29935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\npilote tests ihm'),
(29936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\npilote tests ihm'),
(29938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\njenkins : interface vers alm'),
(30007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nAnalyse impact 55408'),
(30008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nAnalyse impact 55408'),
(30079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nImplémentation des cas de test GAM Back. Modification de la gestion du chargement MTR et ajout du contrôle du replay token MTR par la gamif (demande CIP).'),
(30767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nTerminer la campagne NonReg commencée Vendredi'),
(29943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nAnalyse des tests d\'acceptance et de non reg sur Falcon USR 2.7.6 sur INT7.\r\nEcriture de cas de test pour Falcon ITG.'),
(30768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nMettre en place les templates des 6 sports sur INT00, et analyse des docs V16 pour l\'implémentation  des cas de test MIFY'),
(30769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n--analyse des docs V16 pour l\'implémentation  des cas de test MIFY\n--Monter la campagne NonReg et acceptance sur INT1 et INT1\n--Début exécution campagne acceptance INT7'),
(30770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n--Finir l\'acceptance INT7 ( 0.5 journée)\n--Commencer la campagne NonReg int1'),
(30771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nCampagne NonReg int1'),
(29950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nStock Grattage : Analyse de la cause d\'absence des données chargées.'),
(29952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nLancement des tests d\'acceptance et de non reg sur Falcon USR 2.7.6 sur INT7.\nEcriture de cas de test pour Falcon ITG.\nModification des croupiers de jeux Super et du croupier pour le super Jackpot  pour ITF'),
(29955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nMOKA : Strategie de qualif 2 à 2 Pega FAlcon\nMOKA Standup meeting\nMOKA :Ouverture des flux sur le CRM\nBRIC : Test joueur en contrôle non valable'),
(30299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nImplémentation de test auto, continuité de l\'activité du jeudi (création coquilles vides + implémentation des tests (design au moins)). Pas de priorité à l\'heure actuelle (pas définies par la chefferie de projet).'),
(29967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Poupée Russe Lot 2 (projet ALM PALIER_CRM).'),
(29977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[MOKA] Coordination test'),
(29978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[MOKA] Coordination test'),
(29979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[MOKA] Coordination test'),
(29972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Poupée russe Lot 2 (projet ALM PALIER_CRM).\r\nEcriture des tests sous POSTMAN sur le projet Poupée russe lot 2.'),
(29980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[MOKA] Coordination test'),
(29975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nMise à jour des coquilles des cas de tests sur le projet CRM Lot 1 (projet ALM PALIER_CRM).\nEcriture des tests sous POSTMAN sur le projet CRM lot 1.'),
(29976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[MOKA] Coordination test'),
(29986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nRéinstallation sur INT02 (Projet IF) des Boutiques dans les bonnes versions à jour\n\nAnalyse d\'un pb remonté coté Sport sur 2 environnements à l\'authentification pour des joueurs avec evenements Arjel + point avec le BACK pour analyse plus approfondie: il s\'agit en fait d\'un pb de Queue Arjel pleine qui ont été nettoyée au redemarrage des serveurs BACK\n\n\nPoint Automatisation Digishop via Postman (Valérie, Romain, Leila , Yannick)\n\nPoint avec Mathieu Jaulin sur les versions de Boutiques cibles pour FAQ/ BRIC'),
(29988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nRédaction du Mode Opératoire pour FAQ + Point confirmation avec Romain\n\nInstallation Boutiques A 4.4.3 BRIC sur int11 + tests acceptances +install sur le 31'),
(32218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nRéunion et prise de connaissances sur le projet CRM Lot 1.\nEcriture des tests sous POSTMAN sur le projet CRM lot 1.'),
(29989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nPoint IQ + Dév sur des liens de FAQ obsolétes: l\'impact /correctif n\'est pas sur les Boutiques mais coté MIG/MAG/MUG --> relai de l\'info vers Matthieu Le Ray\r\n\r\nInstallation de Boutiques sur PERF2  pour MAJ ISO BRIC: l\'installation a rencontré des pb en raison de modifs nombreuses en // de l\'environnement SALT (script etc...) et à fait apparaitre un pb sur le script d\'install global : analyse et demande de support auprés de Romain et Pierres Gilles. Aprés correctifs, l\'installation se déroule bien sauf pour des composants spécifiques à la PERF --> nouvelle analyse en cours ...'),
(29990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nInstallation des Boutiques ISO BRIC pour le projet IF sur INT02 + tests acceptances --> ok . Un pb de prise de jeux est detecté et en cours de résolution par le BACK.\r\n\r\nSuite analyse du pb de conf sur la perf entrainant un pb d\'install de certains composants par SALT.'),
(29992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n'),
(29996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n-Documentation depuis confluence sur palier MOKA/CRM Lot2 '),
(29997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nStock Grattage : Création ANO053185 rejets manquants.'),
(29998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nStock Grattage : Création Cas de Test NF 0019 Alimentation des régularisations.'),
(30135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[BRIC] [RAM004] Support sur l\'anomalie ANO053128'),
(30939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nTests aléatoire IF/INT42 prise de jeu/historique joueurs/ contrôle jackpot sur le jeu Yummy Stack'),
(30004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nPIMO : Réinstallation sur Transverse 4 : FDL017902, FDL016883, FDL015815'),
(30006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nMOD012450 : [COHERIS] Mise en place fusion manuelle de 2 fiches client PDV (tests de la fonction)'),
(30014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n'),
(30015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n'),
(32240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nAnalyse du code du plugin Hp\nPoint Postman avecValerie et Romain'),
(30019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nFormation Postman pour Leila\r\nPoint Dev / Perf \r\nPluging jenkins : etude doc api rest alm pour creer les step'),
(30313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nMOD012450 : [COHERIS] Mise en place fusion manuelle de 2 fiches client PDV\nFDL017987  : [FAQ Connectées]  [CRM2] Livraison objets Oracle - Mise en place fusion manuelle de 2 fiches client PDV'),
(30132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nSIDC TR1 Correction de la chaine DOCAPOST OK// SIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK //SIDCOM TR3 OK'),
(30033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nAcceptance IF sur INT01-IF et INT02-IF'),
(30034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nAnalyse et création d\'Anomalie Critique USR : impossibilité de qualifier l\'interconnection FDJ - IF'),
(30035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nInstallation de l\'ETL Digital pour la recette compta-IF'),
(30036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nGénération des fichiers itf-transaction-jackpot et alimentation de la chaine compta-if'),
(30037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nPrise d\'information sur le projet MOKKA, et lecture de doc'),
(30918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nExécution des tests sur la nouvelle SNAPSHOT 32209:\nModule PDJ et Settlement: Exemples\n[1]07. PDJ_7 - PDJ_Web_Simple_15_MB_Live\n[1]07. PDJ_7 - Settlement_PDJ_Web_Simple_15_MB_Live_Gagnant_Perdant\n03. PDJ_47 - KickOff_PDJ_Web_Multiple_3_MB_EKO_Partiel\n17. PDJ_17 - PDJ_Web_Combine_15_MB_Live'),
(30917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nExecution des tests sur la nouvelle SNAPSHOT 32902 :\nModule EKO: exemples\n[1]02. PDJ_28 - KickOff_PDJ_Web_Combine_3_MB\n[1]02. PDJ_FB13 - EarlyKickOff_PDJ_Web_Simple_2_MB_1_EKO\n03. PDJ_FB14 - EarlyKickOff_PDJ_Web_Combine_2_MB_1_EKO'),
(30043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-29  (Do not remove this line) -->\nFDL017907'),
(30044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nFDL017906'),
(30045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nFDL017918'),
(30046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nFDL017940'),
(30048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\naide de matthieu le ray sur touchid'),
(30049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nCreation d\'un script automatisant les modifs sur wof'),
(30056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-22\nABP: 14.1.32-SNAPSHOT 3167\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.183-SNAPSHOT\n\n[SPEEDUP] Test des nouveaux markets live Foot American sur INT8'),
(30057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - rédaction 5 cas de test EGIDE'),
(30058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nBCO.084.34 RDI 1.1 - EGIDE 4.60 - Test EGIDE RDI'),
(30059, 'Données Complémentaires :          Rubrique Dossier :                               Implémentation 90% :              Test 0%\r\nDonnées Complémentaires :          Rubrique Famille-Enfant :                   Implémentation 95% :              Test 0%\r\nDonnées Complémentaires :          Rubrique RSA-Situation :                     Implémentation 75 % :             Test 0%\r\nDonnées Complémentaires :          Rubrique Logement :              T11       Implémentation 95% :              Test 0%    \r\n                                                                                                                 T16       Implémentation   5% :                Test 0%\r\n\r\n\r\n\r\nDonnées Complémentaires :          Rubrique Adresse Propriétaire :         Implémentation 95% :              Test 0%\n\n'),
(30130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RAM004] Support au DEV pour livraison en mod patch pour l\'ANO053128'),
(30149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[MOKA] Prise de connaissance des spécifications'),
(30146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[Gamification] Prise en compte des specifications'),
(30108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nTests sur WSPO 3.1.8 en mode WIFI : prise de jeu -> OK et en mode Bluetooth : prise de jeu'),
(30109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nTests sur WSPO 3.1.8 en mode WIFI : prise de jeu -> OK et en mode Bluetooth : prise de jeu'),
(30062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nCréation de l\'ANO053105 : [PDV][Android] Clic sur Paris terminés des résultats du menu burger fait crasher l\'application ; investigation sur l\'ANO053105 ; Création de l\'ANO053139 : [BetSys] Des compétitions de rugby à XIII sont envoyés sur PDV'),
(30063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nTests de qualif pour JASON'),
(30620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nTests acceptance PSPDV Android 5.0.10 (FDL017985) ; Qualification des anos PSPDV Android ; Création de l\'ANO053219 : [PDV][Android] La prise de jeu simple (combiné ou multiple) puis un clic sur son panier fait crasher l\'application ; Tests acceptance PSPDV Android 5.0.12 (FDL018002) ; Qualification des anos PSPDV Android'),
(30065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nANVCTX'),
(30066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nANVCTX'),
(30140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[CNIL] Cadrage projet et vérification prérequis FDL017737');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(30134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[BRIC] Rédaction d\'un cas de test pour la vérification des combines boostés'),
(30072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nMontée en compétence Test Front Illiko - Jeu la course INT31'),
(30073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL017290_Com_16.3.0  sur INT2ETL9'),
(30074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - WS 4.06 FDL017805 sur INT4EGID Trv2'),
(30076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nGAMIFICATION - Construction campagne de jeu de test INT3'),
(30077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION TESTS AUTO IF - JEU MONSTER WIN'),
(30078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION TESTS AUTO IF - JEU MONSTER WIN'),
(30080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nModification DTO HABILITATION'),
(30081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nModification DTO HABILITATION'),
(30082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[StockGrattage] Qualification sur le chargement des coupons en DC'),
(30083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[EGIDE] Support sur les certificats de recette de masse'),
(30084, 'Vu avec Kévin :\r\nRajouter une colonne a la liste des organismes partenaires avec un icone permettant d\'aller dans la liste des utilisateurs (même comportement que via la convention)'),
(30085, 'Vu avec Kévin :\r\nDans la liste des autres actions de l\'utilisateur, rajouter la fonctionalité \"Envoyer l\'identifiant à l\'utilisateur\" avec un message type en cas d\'echec ou succès de l\'envoi du mail.'),
(30088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nvie des environnements'),
(32754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nSprint Planning Stream Coco'),
(30172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Installation WS 4.05.01 FDL017926 sur INT9EGID'),
(30290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n- Analyse Anos MUGO : Support recette\r\n- Qualif Bric et tests CapAdresse'),
(30306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nSAFERGAME : Installation CFM FDL017867 et FDL017880, FOLIO FDL017885 et FDL017917'),
(30101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n- Entretien embauche candidat\n- Support métier pour préparation Démo MOKA Mod ot 2\n- Déploiement livraison MUGO sur INT8 FDL017946\n- Multiple tests Touch ID suite livraison MAG'),
(30098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n- Analyse Impact MEP FAQ , car modifs de lien dans MAG / MUG\n- Souci autorisation web service capadresse sur PSEL : analyse, demande, pilotage\n- Déploiement	MUG 2.12.16 / FDL017969 et	MIG 2.6.7 / FDL017970 pour palier BRIC'),
(30099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n- Qualification Pallier BRIC : MUG 2.12.16 / FDL017969 et	MIG 2.6.7 / FDL017970 \r\n- Install MUGO (en attente de livraison)'),
(30133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[StockGrattage] Rédaction du PV de qualification concernant les fichiers de régul DC de SGI'),
(30690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nTests d\'acceptance 3.1.8_WSPO (FDL017881) ; Tests d\'acceptance 2.1.0_PSBOR (FDL017857)'),
(30104, 'Données complémentaires : \r\n\r\n- Partie enfants et autres : implémentation 90% : test 0%\r\n- Partie RSA : implémentation 70% : test 0%'),
(30107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nTests d\'acceptance 3.1.8_WSPO (FDL017881) ; Tests d\'acceptance 2.1.0_PSBOR (FDL017857)'),
(30106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nFormation du nouvel intégrateur \r\nInvestigation sur des incohérences de jobs SuperLoto et LotoNoel \r\nInstallation ptab 2.17.7 sur INT11/INT21 + acceptance'),
(30110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-22\r\nABP: 14.1.32-SNAPSHOT 3167\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183-SNAPSHOT\r\n\r\n[PSMSv2] Campagne Nouvelles fonctionnalités Combiné Boosté Front - Tests ETL sur INT3\r\n\r\nHOST: agpadmi31\r\nSITE: fdj2-origin_release_16-50\r\nABP: 14.1.32-SNAPSHOT 3209\r\nMOBILE: origin_release_8\r\nARGUS: build-865\r\nPLATFORM: 1.0.183\r\n\r\n\r\n[SPEEDUP] Test des nouveaux markets live et Pré-Match Basebal et Tennis de Table sur INT8'),
(30150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[BRIC] Analyse des PDJ du 29/09 pour go recette'),
(30151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n'),
(30152, '06/10 - Loïc : La donnée nombreEnfantBeneficiaireAEEH est désormais retournée par le back'),
(30153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nProblème identifié et début de correction'),
(30154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nAnalyse et envoi des preuves pour refus'),
(30675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n- Daily\n- Daily combi boost\n- ANO053206\n- Tests de qualif sur promos combi boosté pour wspoenl'),
(30159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nAnalyse du cas renvoyé, un renvoyé pour test avec la dernière version livrée, l\'autre liée au 1859'),
(30158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nfin dev à tester'),
(30160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nCorrection des bugs du dev fait et fin des tests. Reste à livrer'),
(30161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n'),
(30162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n'),
(30166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nanalyse en cours'),
(30164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nCorrigé avec le 1851'),
(30165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\ncorrigé avec le 1871'),
(30167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1  - FDL017107_egide_4.60.01_liv sur INT4EGID'),
(30168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL017909_egide_4.60.02_liv sur INT4EGID'),
(30169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL017949_egide_4.60.03_liv sur INT4EGID'),
(30173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL017949_egide_4.60.03_liv sur INT8EGID'),
(30171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER  - Contribution test NR Resocom - WS EGIDE 4.05.01'),
(30174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n'),
(30175, 'Fin de la release'),
(30176, 'Fin de la release'),
(30177, 'Fin de la release'),
(30178, 'Fin de la release'),
(30179, 'Fin de la release'),
(30180, 'Fin de la release'),
(30181, 'Fin de la release'),
(30182, 'Fin de la release'),
(30183, 'Fin de la release'),
(30184, 'Fin de la release'),
(30185, 'Fin de la release'),
(30186, 'Fin de la release'),
(30187, 'Fin de la release'),
(30188, 'Fin de la release'),
(30189, 'MEP de la Release'),
(30190, 'MEP de la Release'),
(30191, 'MEP de la Release'),
(30192, 'MEP de la Release'),
(30193, 'MEP de la Release'),
(30194, 'MEP de la Release'),
(30195, 'MEP de la Release'),
(30196, 'MEP de la Release'),
(30197, 'MEP de la Release'),
(30198, 'MEP de la Release'),
(30199, 'MEP de la Release'),
(30200, 'MEP de la Release'),
(30201, 'MEP de la Release'),
(30202, 'MEP de la Release'),
(30203, 'MEP de la Release'),
(30204, 'MEP de la Release'),
(30205, 'Livraison V1.12.0 de la release'),
(30206, 'Livraison V1.12.0 de la release'),
(30207, 'Livraison V1.12.0 de la release'),
(30208, 'Livraison V1.12.0 de la release'),
(30209, 'Livraison V1.12.0 de la release'),
(30210, 'Livraison V1.12.0 de la release'),
(30211, 'Livraison V1.12.0 de la release'),
(30212, 'Livraison V1.12.0 de la release'),
(30213, 'Livraison V1.12.0 de la release'),
(30214, 'Livraison V1.12.0 de la release'),
(30215, 'Livraison V1.12.0 de la release'),
(30216, 'Livraison V1.12.0 de la release'),
(30217, 'Livraison V1.12.0 de la release'),
(30218, 'Livraison V1.12.0 de la release'),
(30219, 'Livraison V1.12.0 de la release'),
(30220, 'Livraison V1.12.0'),
(30221, 'Livraison V1.12.0'),
(30222, 'Livraison Interne V1.13.0'),
(30223, 'Livraison Interne V1.13.0'),
(30224, 'Livraison Interne V1.13.0'),
(30225, 'Livraison Interne V1.13.0'),
(30226, 'Livraison Interne V1.13.0'),
(30227, 'Livraison Interne V1.13.0'),
(30228, 'Livraison Interne V1.13.0'),
(30229, 'Livraison Interne V1.13.0'),
(30230, 'Livraison Interne V1.13.0'),
(30231, 'Livraison Interne V1.13.0'),
(30232, 'Livraison Interne V1.13.0'),
(30233, 'Livraison Interne V1.13.0'),
(30234, 'Livraison Interne V1.13.0'),
(30235, 'Livraison Interne V1.13.0'),
(30236, 'Livraison Interne V1.13.0'),
(30237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n53536'),
(30238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n'),
(30239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-28  (Do not remove this line) -->\n'),
(30282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nFDL018011  : MOD012538 : [COHERIS][COJO] Ajout de combinaisons dans le mapping COJO\nDocumentation: Analyse Anonymisation base intégration'),
(30289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n- daily\'s quotidiens Strem Coco x5\n- Analyse problème Back / Flacon Event\n- tests CapAdresse et pilotage / recommandations fonctionnels pour les devs'),
(30935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nConfiguration du tunnel SSH pour falcon UBO dans putty\nConfiguration et test endowments sur UBO via PostMan, configuration Falcon UBO pour utilisation du tunnel'),
(30308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne'),
(30245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nPIMO : Acceptation + Qualification.'),
(30246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nPIMO : Réinstallation sur Transverse 4 : FDL017742'),
(30247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nPIMO : Installation sur Transverse 4 FDL017998'),
(30248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nPIMO : Acceptation FDL017998'),
(30314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[GAMIF] Rédaction d\'un cas de test sur les nouvelles fonctionnalités'),
(30315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 Bypass Calypso // SIDC TR1 OK // SIDC TR2 OK // SIDC TR3 En attente données SPORT'),
(30252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n'),
(30383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nFin analyse de la campagne de tests de NR : Falcon USR 2.7.6 installée sur INT1\nCréation des coquilles vides poupées russes Lot 2 (Offre découverte)\nCréation de l\'ANO053259'),
(30298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nExécution et analyse des campagnes de tests d\'Acceptance API & DB - API CC & DB CC : Falcon USR 2.7.6 installée sur INT1\nRédaction du rapport de campagne\nRéunion Point ARJEL'),
(30259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\n'),
(30260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\n'),
(30300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nExécution et analyse des campagnes de tests de NR : Falcon USR 2.7.6 installée sur INT1\nRédaction du rapport de campagne'),
(30264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPUMA - Point code régime \"SAGA\" dans SPOC administratifs émis de TAIGA'),
(30265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n'),
(32676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n- Daily\n- ANO053316 \n- ANO053328\n- ANO053335'),
(32675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n- Daily\n- Qualif combi boost\n- ANO053314 et ANO053311\n- Point Lyna sur perte token'),
(30281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nRéunion suivi Equipe Back\r\nTest service PostAccount v2.8'),
(30274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nEcriture de cas de Test pour Falcon USR Palier MOKA'),
(30524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nEcriture de cas de Test pour Falcon USR Palier MOKA'),
(30329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nAnalyse et retours sur les livraisons Star 1.0.1 et Wars 1.0.2\nInvestigation sur un problème lié au username sur FAQ INT21\n'),
(30276, 'Fiche de synthèse T2  : Implémentation 99% : Test 50%\r\n\r\nRefaire une passe pour mettre le contenu du style dans une styleClass (balise aeeh).\r\nTester la cohérence de la donnée Nombre d\'enfants bénéficiant de l\'AEEH recupérée / affichée\n\n'),
(30283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n- création ANO053035 [PLAYSTATION] Mauvaise gestion du jour pour l\'appel à la boutique digishopg\r\n- création ANO053036 [PLAYSTATION] [PLAYSTATION] Pb d\'affichage du jour Dimanche sur la page de résultats\r\n- remonté pb webapps sur appel au service /mrcd/voucher/flash\r\n- qualification livraison Playstation Hasard'),
(30286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nTest de l\'appli fdj IOS qui a été mise en prod\r\nTest et création d\'ano sur la version 1.3.0 de l\'appli fdj et ios qui va partir en MEP avec le prochain sprint\r\nMise a dispo des catalogues de prod pour ces versions\r\nDaily stream webapp et daily stream app hasard'),
(30311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nModification de l\'historique git pour préparer la livraison'),
(30835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[GAMIF] Qualification des tables concernant les nouvelles fonctionnalites'),
(30330, 'Matrice des permissions des accès aux données des pavés  dans la fiche de synthèse :\r\n\r\npavé Allocataire : 100% \r\npavé Adresse du dossier : 100%\r\npavé Famille : 100%\r\npavé Famille - Enfant: 100%\r\npavé Dossier : 100% OK \r\npavé Droit : 100%\r\npavé Paiement : 100%\r\npavé Ressources: 100%\r\npavé Rsa : 0%\r\npavé Logement : 100%\r\npavéCréances: 0%\r\npavé Courriers : 100%\r\npavé QfCnaf : 100%\n\n'),
(30349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-26  (Do not remove this line) -->\n[RDI 1.1] Création de 9 cas de tests'),
(30350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[RDI 1.1] Création de 5 cas de tests'),
(30351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Création de 1 cas de test'),
(30374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017863 sur INT8SAGA'),
(30372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017863 sur INT2SAGA'),
(30354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017975 sur INT8SAGA'),
(30355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017975 sur INT2SAGA'),
(30375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[RDI 1.1] Réception et Installation de la FDL017746 sur INT8COUR.'),
(30373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017746 sur INT2COUR et INT2CODT'),
(30362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017864 sur INT28SAGA'),
(30365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017864 sur INT2SAGA'),
(30367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[RDI 1.1] FDL017623 réceptionnée et installée sur ETL Référentiel Flux RDI-SAGA et SAGA-RDI'),
(30368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017982 ETL Référentiel RDI-SAGA et SAGA-RDI sur le TR5'),
(30369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017982 sur le TR2 ETL_Referentiel RDI-SAGA et SAGA-RDI'),
(30370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[RDI 1.1] Intallation de la FDL017623 sur TR5 ETL_Referentiel RDI-SAGA et SAGA-RDI'),
(30377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017544 sur TR5 ETL_Commercial RDI-GDS'),
(30376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017544 sur TR2 ETL_Commercial RDI-GDS'),
(30843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\n[RDI 1.1] Campagnes de tests d\'Intégration Système. Création de PDV / Détaillant.'),
(30840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\n[RDI 1.1] Campagnes de tests d\'Intégration Système'),
(30380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nDaily stream webapp - Daily stream app hasard - point d\'equipe appli mobile hasard\r\nMise a jour des catalogues de PROD 1.3 et mise a disposition des catalogues pour HIA RFC004174\r\nCréation des catalogues 1.4 de l\'appli FDJ sous ojadgate et deploiement des catalogues sur l\'ensemble des environnements d\'integ\r\nTest de scan des reçus pour visualisation des temps de mise en base d\'un reçu et de validité du scan sur l\'application'),
(30381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\ndaily stream webapp - daily stream app hasard\r\nTest des nouvelles version des application fdj 1.3.01 IOS et ANDROID\r\nFDL018035 - FDL018034\r\nTest de correction des anos sur TouchId/FingerPrint\r\nTest sur mention bonus Playstation jeux IAT/ASTRO\r\nTest sur GrandLotoNoel'),
(30750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nImplantation des cas de tests poupées russes Lot 2 (Offre découverte)'),
(30531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(30385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(30386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n'),
(30387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPIMO : Installation FDL018019'),
(30503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPIMO : Qualification FDL018019'),
(30389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPIMO : Création des cas de tests PIMO.'),
(30390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPalier Recyclage : SID Client présentation de l\'évolution à HIA.'),
(30468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 bypass Calypso OK // SIDC TR1 OK // SIDC TR2 OK // SIDC TR3 bypass données SPORT'),
(30393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n[BRIC] Support Recette PDJ Motors du jeu Next Level'),
(30923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPoursuivre les tests NREG sur la SNAPSHOT 3209:\n22. PDJ_22 - PDJ_Web_Multiple_8_MB_Live\n[1]22. PDJ_22 - Settlement_PDJ_Web_Multiple_8_MB_Live_Gagnant_Perdant\n[1]03. PDJ_FB3 - PDJ_Web_Combine_2_MB_Live\n\n[1]04. PDJ_FB4 - PDJ_Web_Combine_3_MB_Live\n\n[1]04. PDJ_FB4 - Settlement_PDJ_Web_Combine_3_MB_Live_Perdant\n[1]06. PDJ_FB6 - PDJ_Web_Multiple_3_Patent_MB_Live\n[1]06. PDJ_FB6 - Settlement_PDJ_Web_Multiple_3_Patent_MB_Live_Gagnant_Perdant\n[1]05. PDJ_FB5 - PDJ_Web_Combine_15_MB_Live\n[[1]05. PDJ_FB18 - EarlyKickOff_PDJ_Web_Multiple_3_MB_3_EKO'),
(34606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPoursuivre les tests NREG sur la SNAPSHOT 3209:\n1]05. PDJ_FB5 - Settlement_PDJ_Web_Combine_15_MB_Live_Gagnant\n[1]07. PDJ_FB7 - PDJ_Web_Multiple_8_7/8_MB_Live\n[1]07. PDJ_FB7 - Settlement_PDJ_Web_Multiple_8_7/8_MB_Live_Gagnant_Perdant'),
(30407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nANV-CTX'),
(30409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nANV-CTX Trouver un poste CHESS pour Telebig'),
(30401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPostman : montée en compétence sur l\'outil\r\n\r\nGamification : \r\naction : mise en place de la campagne de pré requis.\r\naction : test de la campagne de pré requis\r\n'),
(30406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n	Postman : montée en compétence sur l\'outil\r\n\r\nGamification : \r\naction : mise en place de la campagne de pré requis.\r\naction : test de la campagne de pré requis'),
(30410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nNomenclature commune'),
(30411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n'),
(30412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nSAFERGAME : Exécution d\'une campagne de tests dans le cadre de la recette technique (35 cas de tests)'),
(32531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nMOKA_ Relance Métier et justification du besoin de documentation complète et suffisamment précises pour pouvoir travailler (pour \"Mod L2\" et \"Ident sport PDV\")'),
(32530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nMOKA : \n0,5 _ ML2 : Ecriture tests postman\n0,5 _ PDV : analyse des documents disponibles'),
(30415, 'Avancement de la modification des pavés des différentes pages de synthèses :\r\n\r\npavé Allocataire :  implémentation 100% (pas de modification) : Test 0%\r\npavé Adresse du dossier :  implémentation 100% (pas de modification) : Test 0%\r\npavé Famille : implémentation 60% (encours) : Test 0%\r\npavé Famille - Enfant: implémentation 100% : Test 0%\r\npavé Dossier : implémentation 98% OK : Test 0%\r\npavé Droit : implémentation 95% : Test 0%\r\npavé Paiement : implémentation 90% : Test 0%\r\npavé Ressources: 95% : Test 0%\r\npavé Rsa : 0%\r\npavé Logement : 0%\r\npavéCréances: 0%\r\npavé Courriers :  implémentation 100% (pas de modification) : Test 0%\r\npavé QfCnaf : 0%\n\n'),
(30483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nEcriture de cas de Test pour Falcon USR Palier MOKA. Lancement des tests ITF pour le jeu JUSTICELEAGUE2017.'),
(30438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[falcon MOKA] finalisation script Endowments, correctif sur les utilities et evolution du requester generique pour encapsuler le retour de service au format rest.integer dans un objet json afin de pouvoir le traiter par un technical check json\nmaj des tables de routage pour Moka (INT8, INT9)\n[Monext v2] assouplissement du TC de versement pour être passant sur les cas de PAYMENT_FAILURE lié aux montants spéciaux'),
(30440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nSAFERGAME : Réunion point IQ+Comité Opérationnel+données SAGA avec JC.Morel'),
(30443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail  adobe '),
(30643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3219 - Acceptance 0,5j\n Exécution campagne 14.1.32-SNAPSHOT 3209 - Back 0,5j'),
(30647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3219 - Back'),
(30644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3219 - Back  '),
(30532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(30574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n[Motors gamif] point avec Etienne pour evaluer les modifs Motors pour mettre l\'orchestration gamifié a la cible\n[Dev vuGen] point hebdo\nRetour arrière sur la modif du requester générique et modification des scripts sur endowments pour appeler les services au format JSON '),
(30444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail  adobe '),
(30445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail  adobe '),
(30446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail  adobe '),
(30447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail  adobe '),
(30448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail  adobe '),
(34607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nPoursuivre les tests NREG sur la SNAPSHOT 3209:\nModule Annulation:\n[1]02. PDJ_FB8 - Annulation_PDJ_Web_Simple_4_MB_Live_Refund\n[1]03. PDJ_FB9 - Annulation_PDJ_Web_Simple_1_Live_Cancel\n[1]04. PDJ_FB10 - Annulation_PDJ_Web_Combine_2_MB_Live_PasRefund\n[1]05. PDJ_FB11 - Annulation_PDJ_Web_Combine_2_MB_Live_Refund\n[1]06. PDJ_FB12 - Annulation_PDJ_Web_Combine_2_MB_Live_Cancel\n[1]04. PDJ_45 - Annulation_PDJ_Web_Combine_2_Live\n[1]01. PDJ_24 - Annulation_PDJ_Web_Simple_15_Mb_Live'),
(30451, 'déscopage du FDL 2017_10 : \r\n______________________________________________\r\nBonjour Tony,\r\nNon, il n\'est pas envisagé de faire saisir un n° Tiersi aux partenaires CDAP.\r\nOn reporte et on refera une analyse avec le fonctionnel Cristal.\r\nCorinne'),
(30453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n18.0.0_019'),
(30454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(30455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(30456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - Tests CSAM Sign&GO NEPTUNE'),
(30457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nGestion des incidents\r\n'),
(30460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nRepetition MEP FAQ\nInvestigation probleme d\'horodotage sur le log applicatif drupal\nCreation ANO053354\nAmélioration des tests postman pour le service faq/email'),
(30461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n'),
(30462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nmaladie'),
(30463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nDéveloppement Anonymisation base intégration'),
(30464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nDéveloppement Anonymisation base intégration'),
(30465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nDéveloppement Anonymisation base intégration'),
(30466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[BRIC][GAMIFICATION] Synchronisation avec le SPORT pour utilisation du TR3'),
(30467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n[BRIC]Qualification de la FDL FDL018017 sur le TR3'),
(30469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n73275'),
(30474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n-Documentation depuis confluence sur palier MOKA/CRM Lot2'),
(30522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nModification du croupier en croupier d\'intégration pour le jeu JUSTICELEAGUE2017 IF. Lancement des campagnes de non régression pour falcon usr 2.6.17 sur INT2. Analyse de la campagne. Lancement des campagnes de non régression pour falcon usr 2.7.7 sur INT1.'),
(30473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n-Lire les doscs (spec...) du projet Moka/CRM\n-Assister un point avec Audrey\n-Assister à la présentation des outils : PEGA/ADOBE'),
(30632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n-Ecriture cas de test Postman CRM\n-Mise à jour cas de test dans HP Alm'),
(30477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n'),
(30478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(30479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(30480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n'),
(30481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(30482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n'),
(30486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nModification de l\'outil Swagger wiremock'),
(30489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nModification de l\'outil Swagger wiremock'),
(30490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nModification de l\'outil Swagger wiremock'),
(30491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nModification de l\'outil Swagger wiremock'),
(30495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[PSMSv2] Test des nouvelles fonctionnalités CB sur INT1\n\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_16-57\nABP:            14.1.32-SNAPSHOT 3219\nMOBILE:         origin_release_8\nARGUS:          14.1-125\nPLATFORM:       1.0.183\n'),
(30796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[PSMSv2] Test des nouvelles fonctionnalités CB sur INT1\n\nHOST: agpsrvi11\nSITE: fdj2-origin_release_16-50\nABP: 14.1.32-SNAPSHOT 3209\nMOBILE: origin_release_8\nARGUS: build-852\nPLATFORM: 1.0.183\n\n[SPEEDUP] Tests de NONREG pour les nouveux markets Snooker, Foot Americain, Badminton et Tennis de Table sur INT8 - Version de maintenance corrective\n\nHOST: agpadmi81\nSITE: fdj2-origin_release_15-45\nABP: 14.1.31.1.0-SNAPSHOT 9\nMOBILE: origin_release_6\nARGUS: 14.1-125\nPLATFORM: 1.0.184'),
(30494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n[PSMSv2] Qualification des fiches d\'anomalies livrés sur INT7 - Combiné Boosté\r\n\r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_16-57\r\nABP:            14.1.32-SNAPSHOT 3219\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.183\r\n\r\n[PSMSv2] Tests des nouvelles fonctionnalités CB sur INT1 \r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-50\r\nABP:            14.1.32-SNAPSHOT 3209\r\nMOBILE:         origin_release_8\r\nARGUS:          build-852\r\nPLATFORM:       1.0.183\r\n\r\n'),
(30504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nFichier de suivi des incidents'),
(30505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nPIMO : Investigation erreurs de calcul Segment CA.'),
(30506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nBooster : Relances HIA pour création user VEGIDE + Nouvelle DMT'),
(30508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nBooster : Installation FDL017821 sur TR1 (INT3EGID)'),
(30510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nSID Client : Extraction des Plans de tests HP-ALM pour référentiel.'),
(30511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(30512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n83542 ESC - CU Consulter/Editer un séjour - Impossible de saisir OK vigie si pas d\'accostage - Traduction du message d\'erreur\r\n74029 DECH - CU Consulter/Editer les déchets - barre des seuils absente sur les escales cloturées (Essaye de reproduire mais pas possible)'),
(30529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nInvestigation sur un probleme du template mail envoyé a coheris par digishopp\nVérification des modifications apporté par HIA sur les jobs PTAB sur Control M\nCreation ANO053381\nCreation ANO053392'),
(30514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[GAMIF] Analyse échec d\'alimentation du 09/10 cf ANO051134'),
(30515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[IF] Investigation ANO051134 sur le TR2'),
(30516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nSIDCOM TR2 KO // SIDCOM TR3 OK // SIDC TR1 OK // SIDC TR2 OK // SIDC TR3 En cours avec purge données gamification erronnées'),
(30517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3209 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(30518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3209 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(30519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3219 / INT1]: Bug Fixing + Campagne Nouvelles Fonctionnalités Back'),
(30520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3219 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(30521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[Combiné Boosté / 14.1.32-b3219 / INT1]: Campagne Nouvelles Fonctionnalités Back'),
(30573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n Lancement des campagnes de non régression pour falcon usr 2.7.7 sur INT1. Analyse des campagnes de non régression pour falcon usr 2.7.7 sur INT1.'),
(30525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nRDI 1.1 : Création DMT0014429 puis suivi et vérification de la réalisation'),
(30526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nBooster : Ré-installation de FDL017821 sur TR1 suite à relivraison.'),
(30527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nBooster : Investigation + qualification FDL017821'),
(30528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nFichier de suivi des incidents + INC180296'),
(32681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nRetour CP (2.5 semaines)\n- daily meeting 30 min\n- dépilage boite mail, prise de connaissances des différentes évolutions du domaine IQ FRONT SPORT.\n- support PS PDV Android (max 30 min) par rapport au crash de l\'affichage des résultats en production.'),
(32683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n- daily meeting 1h.\n- nouveau échange sur le crash de la semaine dernière sur PSPDV Android\n- Projet AMEX : mise en place des coquilles des tests ALM de la widget WCART.'),
(32684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n- daily meeting 45 min\n- Projet AMEX : mise à jour state app_psel.install (2h)\n- ALM, suite coquille widget WCART et début coquille WPSEL\n- recherche dans la documentation confluence des différents cas.'),
(32685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n- daily meeting 60min\n- ALM, suite coquille widgets WCART et WPSEL\n- recherche dans la documentation confluence des différents cas.\n- réunion communication cloud front / back (VIP, ADC, DNS...) (1h20)'),
(32686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX : mise à jour ALM.'),
(32687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX : mise à jour ALM.'),
(32682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nA la demande de P.AMERIO, échange sur les différentes solutions permettant de régler le crash PS PDV Android, déclaration de l\'incident INC180300 pour que HIA puisse nous fournir une extraction des tables SPORTPDV afin de reproduire le cas en intégration.\nPour ne pas pénaliser un projet sur un environnement spécifique, on a récupérer au maximum 60 jours de profondeur et les données ont été injectées dans la base Edwan INT61.\nTest d\'une solution sur Edwan INT61 --> finalement solution non choisie\nProjet AMEX : Réunion avec les devs par rapport à la configuration salt et la convergence des fronts.'),
(30541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nIF'),
(30542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nIF'),
(30543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nIF'),
(30544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nIF'),
(30545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nIF'),
(30547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nRéunion et prise de connaissances sur le projet CRM Lot 1.\nEcriture des tests sous POSTMAN pour le projet CRM lot 1.'),
(30549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nMise à jour des coquilles des cas de tests sur le projet CRM Lot 1 (projet ALM PALIER_CRM).\nEcriture des tests sous POSTMAN pour le projet CRM lot 1.'),
(30551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nEcriture des tests sous POSTMAN pour le projet CRM lot 1.'),
(30554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nRéunion projet Plungin Jenkins-ALM.\nDéfinition et Implémentation de cas de test GAM Back.'),
(32219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nEcriture des tests sous POSTMAN pour le projet CRM lot 1.'),
(30752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nExécution, analyse de la Campagnes d\'ACCEPTANCE API & DB - API CC & DB CC : FALCON -  USR-2.7.7-4 sur INT 7 + rédaction du rapport\nCampagne de Non Regression de Falcon USR 2.6.17 installée sur INT2 + rédaction du rapport \nExécution de la campagne de Non Regression de Falcon USR 2.7.7-4 installée sur INT1\nRéunion Comité Test Auto'),
(30556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back.\r\nPoint Dev Vugen IQ-CIP.'),
(30557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nComité Automatisation.\r\nDéfinition et Implémentation de cas de test GAM Back.'),
(31056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. Support plugin Jenkins.'),
(30754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nExécution et analyse de la campagne Non Regression de Falcon USR 2.7.7-4 installée sur INT1\nRéunion de présentation sur les limites\nRéunion de présentation sur Freedom\nRéunion sur Modérateur Lot 2'),
(30560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[StockGrattage] Remise en état de l\'environnement TR2 suite au plantage du a un probleme de connexion du 10/10'),
(33227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nBRIC : execution campagnes postman sur la version USR 2.7.7'),
(32533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nMOKA_ Mod Lot2 : Exécution test (batch SID)'),
(32534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nMOKA :\n0,75_ Freedom_ analyse des doc disponible + démo lotsys\n0.25_Validation/presentation matrice des exigences ML2'),
(32535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nMOKA_ Identification PDV : identification des tests'),
(30566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nANV-CTX trouver un poste chess / configurer poste lindsay RSI'),
(30749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nImplémentation de tests automatisés pour le palier MOKA (2.8), création de coquilles vides en fonction de la matrice d\'exigence qui a évolué.'),
(30572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nMCO control m tr 123\ncrm lot 1 mail adobe\ncrm lot 1 export sid adobe'),
(32634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nCampagne Non Reg INT0 (Mise en pause)\nCamapagne Non Reg INT2'),
(32635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nCampagne Non Reg INT2'),
(30581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nFDL018012'),
(30580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nFDL018013'),
(30582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nRevue de doc webapps'),
(30705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nFDL018075'),
(30584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nIF : mise à jour de l\'orchestration et de la PDJ controlée pour prendre en charge un nouveau paramètre LR pStakePutBet afin de l\'exploiter dans le PUT /itf/game/bet\r\nmise à jour des scripts IF :  ITFPOSTGameBetMotors, ITFPUTGameBetMotors, ITFPUTGameBetMotorsControle, ITFPUTGameBetMotorsOrchestre\r\nMotors gamif : ajout de l\'orchestration du jeu \"gamtest\"'),
(30800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nIFMotors : modification pour valoriser les stake par défaut a partir du betId pour les PDJ l\'orchestration\n[Atelier qualif jeux motors]\n[Demo freedom]'),
(30589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPoint sur l\'état des boutiques FAQ (versions, flag, status FDL, etc....)\n\nFinalisation du modoP FAQ avec Romain: Comparaison Git de toute \nla conf prod/integ pour éviter des oublis de conf\n\nInvestigation et redemarrage des serveurs Retails int1 suite à un pb d\'authent\n\nPoint lien projet BRIC IQ/ Dév suite à un  comportement technique/métier inattendu : finalement non prioritaire, sera traité a posteriori de la MEP BRIC...\n\nVerification de pb de conf/ correctifs sur plusieurs frontaux et livrables des dév.'),
(30588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n- Développement de nouveaux tests case Selenium sur le composant MIG (CapAdresse)\r\n'),
(30801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nEvolution du script RTG FalconAPI_RTG_DBCheck pour prendre en charge l\'evolution prévu sur le déplacement du schema RTG de FLLV vers MTLV\n[Domaine DIGITAL] Coordination Dev VuGen'),
(30591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n- Structuration de l\'architecture des projets d\'automatisation \"MIG, MAG, MUG\" sur GIT \r\n- Développement de nouveaux tests case Selenium sur le composant MIG (CapAdresse) :\r\n    - Developpement des differents cas de tests liés que formulaires d\'instcription sur la partie CoordonneesPersonnelles\r\n'),
(30593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n- Développement de nouveaux tests case Selenium sur le composant MIG (CapAdresse) :\n    - Developpement des differents cas de tests liés que formulaires d\'instcription sur la partie CoordonneesPersonnelles \n - Configuration de nouvelles taches Jenkins'),
(30594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nInstallation Digi A 4.4.4 sur INT21 pour test correctif FAQ\r\n\r\nRépétition installation avec HIA en vue de la MEP FAQ de Lundi 16/10\r\n\r\nInstallation sur INT11 pour BRIC non reg digiA 4.4.4'),
(33236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n- Daily\n- Réu combi boosté\n- Création ANO053382\n- Tests Vitan 5.8.2 (FDL018055)'),
(30597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nConstat d\'un pb de la FAQ sur l\'envoi des mails: le body est illisible.\r\nAprés analyse, approfondie, il est apparu que le template ds la conf boutique a été modifié accidentellement lors de la répet  --> maj du template et autres conf sur tous les frontaux de INT11 et INT21 pour éviter une réinstallation. Correction également des livrables sur ojadgate pour éviter une reproduction du pb lors d\'une nouvelle installation.'),
(30776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nFinalisation Modop FAQ.\n\nCompléments et Finalisation du  Modop BRIC avec Romain  pour les Boutiques.\n\nTests sur int21 que pour FAQ l\'appel a Cap@ ne se fait pas (avant BRIC): c\'est ok\n\nMaj de conf sur la perf pour leur permettre d\'installer les boutiques à jour.\n\n'),
(30601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n'),
(30603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n-Support projet WireMock\n- Développement de nouveaux tests case Selenium sur le composant MIG (CapAdresse):\n       - developpement de test case adresse Ko\n       - develeppement de test case controle de surface\n       - integration des tests sur jenkins linux'),
(30604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION USR 2.7.6.1 INT11 // MOTORS 1.8.3-1\r\nJEU DE REFERENCE : DUEL DE CARTES V2 \r\n'),
(30605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n- Développement de test case MUG '),
(30606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION USR 2.7.6.1 INT11 // MOTORS 1.8.3-1\r\nJEU DE REFERENCE : DUEL DE CARTES V2 '),
(30610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nDÉVELOPPEMENT ET AJOUT DE NOUVEAUX TESTS - CATALOGUE MOTORS SOCLE COMMUN\nLIMITES DE JEU / COMPTE JOUEUR'),
(30609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nDÉVELOPPEMENT ET AJOUT DE NOUVEAUX TESTS - CATALOGUE MOTORS SOCLE COMMUN\r\nLIMITES DE JEU / COMPTE JOUEUR'),
(30621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nCréation de l\'ANO053271 : [PDV][Android] Mode \"force\" du check version propose un bouton \"Annuler\" ; Création de l\'ANO053273 : [PDV][Android] Pas d\'indication de perte de réseau ; Création de la MOD012575 : [PDV][Android] Double appel de l\'api background ; investigation sur l\'ANO053281 : [PDV][Android] Impossible d\'acceder au réglement paris à cotes ; Création de l\'ANO053296 : [PDV][Android] Différence entre le nombre de formules annoncés sur la page d\'accueil et celles accessibles dans \"Paris ouverts\"'),
(30622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nTests acceptance PSPDV Android 5.0.13 (FDL018036); Création de l\'ANO053321 : [PDV][Android] En mode maintenance sur le check version, l\'application ne se met pas en background après un clic sur ACCEPTER ; Création de l\'ANO053330 : [PDV][Android] \"Résultat non disponible\" indiqué sur le ebulletin d\'un match résulté ; Création des MOD012585 et MOD012586 : [PDV][Android]/[IOS] Modification de l\'appel /mapi/pdv/get'),
(30623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nTests sur la version sur les store de PSPDV Android 5.0.13 ; Configuration des environnements int0 et int9 pour DigishopR');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(31149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nTests acceptance WSPDV 3.1.1 (FDL018047) ; Tests acceptance SPDV 3.1.0 (FDL018046) ; Création de l\'ANO053423 : [SPDV] api/e-bulletin/simulate en code 400 (Error while making HTTP call) ; Tests d\'acceptance PSBOR 2.1.1 (FDL018048) ; Tests d\'acceptance WSPO 3.1.9 (FDL018050)'),
(30626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(30630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n-Ecriture cas de test Postman CRM\n-Mise à jour cas de test dans HP Alm'),
(30629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n-Ecriture cas de test Postman CRM\r\n-Mise à jour cas de test dans HP Alm'),
(30784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n-Ecriture cas de test Postman CRM\n-Mise à jour cas de test dans HP Alm'),
(30633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nCampagne Combinés boostés manuelle 3209'),
(30634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nCampagne automatisée Combinés boostés 3219'),
(30635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nCampagne Combinés boostés Non-Reg sur INT2'),
(34609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nPoursuivre les tests sur la SNAPSHOT 3219:\nModule EKO'),
(30637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nCampagne de non-reg manuelle CB 3219 sur INT1'),
(34608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nTests NREG sur la nouvelle SNAPSHOT 3219:\nModule PDJ\nModule Settlement'),
(30639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nCampagne d\'acceptance CB nouvelle version (TBD)'),
(34610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nPoursuivre les Tests NREG sur la SNAPSHOT 3219:\nInterface Retail'),
(30795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3219 - Back'),
(30751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nImplémentation de tests auto et lancement / création campagne + reporting campagne.'),
(30753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nImplémentation de tests auto en manuel pour la 2.8.'),
(30755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nImplémentation de tests auto / passage de tests en manuel.'),
(30651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n- Acceptance MUGO 1.0.45\r\n- En attente de livraison MIG / MUG / MAGO pour BRIC => Acceptance\r\n- Tests Touch ID => Refus dernière livraison MAG BRIC'),
(30756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nImplémentation de tests auto / reporting campagne 2.7.7-4 ARJEL et BATCH / avancement 2.8.'),
(30653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n- Qualif Bric Globale'),
(32757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n- Point Tests Selenium\n- Daily Coco'),
(30655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nvie des environnements'),
(30713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\npilote tests ihm'),
(31305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nAtelier Process Qualif Jeux MTR'),
(31324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-02-07  (Do not remove this line) -->\n'),
(31325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-03  (Do not remove this line) -->\nDétermination Roadmap étude'),
(31323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nAnalyse du jeu Monster Win'),
(30900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE DU JEU \'RAIN DIAMONDS 2017 - NOEL\''),
(30687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nFichier de suivi des incidents'),
(30689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nPoupées Russes : PV de qualification.'),
(30772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nNonReg 20171011-[INT1]-14.1.32-SNAPSHOT 3219'),
(30773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nNonReg 20171011-[INT1]-14.1.32-SNAPSHOT 3219'),
(30706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nRevue de doc webapps'),
(30707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n'),
(30712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nvie des environnements : problèmes serveurs'),
(30710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\npilote tests IHM'),
(30783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nformation tests auto API/ALM nouveaux arrivants IQ Sport'),
(30714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nVérification des jobs PTAB CONTROL M suite a la montée au plan \r\nPromulgation de résultats Loto, SuperLoto et Lotonoel et execution du scripts PTAB Loto pour vérification du bon foncitonnement de la rcupération des resultats en vue du superloto du 13 octobre\r\nVérification des templates coheris email \r\nCréation ANO053428\r\n'),
(30722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPlugin HP\npoint avec etienne sur le plugin HP mise en place de la solution\nFormation Leila postman'),
(30717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nPlugin HP\r\nFormation Leila postman'),
(30723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nPlugin HP\nFormation Leila postman\nComité Automatisation'),
(30725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nPlugin HP\nPoint avec Valérie sur postman\nFormation Leila postman'),
(30728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nPlugin HP\nFormation Leila postman\nPoint avec Valérie sur le plugin HP'),
(30794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[PSMSv2] Test des nouvelles fonctionnalités CB sur INT1\r\n\r\nHOST: agpsrvi11\r\nSITE: fdj2-origin_release_16-50\r\nABP: 14.1.32-SNAPSHOT 3209\r\nMOBILE: origin_release_8\r\nARGUS: build-852\r\nPLATFORM: 1.0.183\r\n\r\n[SPEEDUP] Tests de NONREG pour les nouveux markets Snooker, Foot Americain, Badminton et Tennis de Table sur INT8 - Version de maintenance corrective\r\n\r\nHOST: agpadmi81\r\nSITE: fdj2-origin_release_15-45\r\nABP: 14.1.31.1.0-SNAPSHOT 9\r\nMOBILE: origin_release_6\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.184'),
(30732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nreunion : Comité Automatisation\n\n\nCampagne d\'acceptance INT21 : DI / DA /DU\nAction : préparation et lancement\nAction :analyse des résultats et rédaction du rapport de campagne.\n\nCampagne d\'acceptance INT11 : DI / DA /DU\nAction : préparation et lancement \nAction : analyse des résultats et rédaction du rapport de campagne.'),
(30731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nRéunion : Présentation des limites\nRéunion : Démo Freedom\n\nPostman : montée en compétence sur l\'outil'),
(31201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[PSMSv2] Qualification des anomalies livré sur INT7\n\nHOST:           agpadmi71\nSITE:           fdj2-origin_release_16-72\nABP:            14.1.32-SNAPSHOT 3234\nMOBILE:         origin_release_8\nARGUS:          14.1-125\nPLATFORM:       1.0.184\n\n[PSMSv2] Compagne des nouvelles fonctionnalités CB sur INT7\nHOST:           agpadmi71\nSITE:           fdj2-origin_release_16-72\nABP:            14.1.32-SNAPSHOT 3234\nMOBILE:         origin_release_8\nARGUS:          14.1-125\nPLATFORM:       1.0.184\n'),
(31025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nEGIDE v4.51.00 Redaction test, deroule test, creation Anomalies ANO053087, ANO053086, ANO053078, Ano053076'),
(30734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[MOKA] Coordination de test - rédaction de la matrice d\'exigences'),
(30735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n[MOKA] Coordination de test - rédaction de la matrice d\'exigences'),
(30736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[MOKA] Coordination de test - rédaction de la matrice d\'exigences'),
(30737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[MOKA] Coordination de test - rédaction de la matrice d\'exigences'),
(30738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[MOKA] Coordination de test - rédaction de la matrice d\'exigences'),
(30739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons du jour par IBM'),
(30740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nSAFERGAME : Bug review avec JC.Morel'),
(30741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nSAFERGAME : Qualification ANO052721, ANO052383, AN0052119, ANO052118'),
(30742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nSAFERGAME : Installation FDL018020 CFM, FDL018049 Cognos, FDL018024 SQL, FDL017972 ODM, FDL018042 SPSS'),
(30743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nSAFERGAME : Installation FDL018054 CFM, FDL018022 DB2, FDL017953 CFM sur INT2'),
(30745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(30746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(30747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n'),
(30748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nGamification : Finalisation de la reprise des données sports sur TR3'),
(30774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nAVV LR REAL L1&2'),
(30775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nAVV LR REAL L1&2'),
(30777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n'),
(30778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nAVV LR REAL L1&2'),
(31026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n'),
(30781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\ndaily webapp daily app hasard\nTravail pour reproduire les errerus de prod sur les reçus scanné\nTest réalisé avec JTR et José\nTest sur mag TouchId pour passage au cab le 13/10\nContuinité des tests sur version 1.3.01 et 1.3.1 des appli fdj android ios'),
(30782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\ndaily stream webapp - daily stream app hasard\r\nTest Mug touchId + merge bric suite a erreur dev qui n\'embarque pas les deux versions alors que le Mag sera mis en prod a deux jours d\'intervalle\r\nCampagne de non regression complete a faire sur INT31 (palier bric) pour s\'assurer que l\'appli n\'a pas de bug'),
(30940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n-Ecriture cas de test Postman CRM\n-Mise à jour cas de test dans HP Alm'),
(30873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n'),
(30820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n'),
(30793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nPostman : montée en compétence sur l\'outil\r\n\r\nGamification : \r\naction : mise en place de la campagne de pré requis.\r\naction : test de la campagne de pré requis'),
(30797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(30799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[BRIC] Analyse ANO053431 injustement affectée au SID Client au lieu de Infocentre Sugar'),
(30833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nInvestigation sur le probleme sur le log applicatif PTAB (suite)\nInstallation 2.17.17 sur INT31\nVerification des annonces superloto sur ptab en prod\n'),
(30804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[PSMSv2] Test des nouvelles fonctionnalités CB sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-57\r\nABP: 14.1.32-SNAPSHOT 3219\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183\r\n\r\n[PSMSv2] Campagne de NREG Front - PSEL et Webapp - sur INT1\r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-57\r\nABP:            14.1.32-SNAPSHOT 3219\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.183\r\n'),
(30805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[PSMSv2] Test des nouvelles fonctionnalités CB sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-57\r\nABP: 14.1.32-SNAPSHOT 3219\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.183\r\n\r\n[PSMSv2] Campagne de NREG Front - PSEL et Webapp - sur INT1\r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-57\r\nABP:            14.1.32-SNAPSHOT 3219\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.183\r\n\r\n[PSMSv2] Tests ETL/CB sur INT3 \r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_16-57\r\nABP:            14.1.32-SNAPSHOT 3219\r\nMOBILE:         origin_release_8\r\nARGUS:          build-865\r\nPLATFORM:       1.0.183\r\n\r\n'),
(30927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n[PSMSv2] Qualification des anomalies livré sur INT7\r\n\r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_16-71\r\nABP:            14.1.32-SNAPSHOT 3228\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.184\r\n\r\n[PSMSv2] Compagne des nouvelles fonctionnalités CB sur INT7\r\nHOST:           agpadmi71\r\nSITE:           fdj2-origin_release_16-71\r\nABP:            14.1.32-SNAPSHOT 3228\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-124\r\nPLATFORM:       1.0.184\r\n\r\n[PSMSv2] Tests ETL Combinés Boostés sur INT3 \r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_16-57\r\nABP:            14.1.32-SNAPSHOT 3219\r\nMOBILE:         origin_release_8\r\nARGUS:          build-865\r\nPLATFORM:       1.0.183\r\n'),
(30807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nSIDCOM TR2 OK// SIDCOM TR3  KO// SIDC TR1 OK // SIDC TR2 En attente// SIDC TR3 OK'),
(30809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nSIDCOM TR3 KO // SIDCOM TR2 OK // SIDC TR1 OK // SIDC TR2 OK // SIDC TR3 Ok apres analyse purge des données erronées PDV_CARD'),
(30818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nSAFERGAME : Création ANO053418 et ANO053404+ requête effectuée en base CFM pour les besoins du métier'),
(32637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nCampagne Non Reg V16 INT0\nRéunion d\'avancement\nAtelier avec Yohann'),
(32636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nRetour sur Non Reg et analyse des évolutions à apporter\nCampagne Non Reg V16 INT0'),
(32395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nANVCTX - preparation intervention Telebig sur site RSI'),
(30819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n'),
(30821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nRDI 1.1 : Création des DMT pour mise à jour des environnements d\'intégration Egide : DMT0014549 et DMT0014524'),
(30822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(30823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017578 sur TR2 (Flux KHEO - EGID)'),
(30848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL018078 GDS sur le TR5.'),
(30825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[RDI 1.1] Support recette'),
(30826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[RDI 1.1] Qualification de ANO053402 sur TR5.'),
(30850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n[RDI 1.1] Campagnes de tests sur TR2'),
(30828, 'pavé logement : la Date d\'emménagement n\'est pas encore implémenté (Loic voit avec Kévin par rapport à l\'utilité de cette donnée)'),
(30829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nMCO Courtage_Commercial'),
(30841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nMCO Court_Commercial'),
(30838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nMCO Court_Commercial'),
(30839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[StockGrattage] Investigation et résolution avec remise en l\'état  du TR3 sur intégration des fichiers SGI non prévue'),
(30834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[GAMIF] Analyse de l\'echec d\'alimentation TR3'),
(30836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[RDI 1.1] Déroulement des tests de qualification ajout d\'agrément.'),
(30837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[MigrationTeradata] Analyse et point avec le DEV de l\'echec d\'alimentation suite a un problème de connexion '),
(30842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[BRIC] Analyse des données packman sur Client SPORT TR2 et TR3'),
(30846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nRéunion CIQ'),
(30845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[RDI 1.1] Tests d\'intégration système'),
(30849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nRTASK85092 : Donner accès à l\'application SAGA de recette pour 2 utilisateurs.'),
(30851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[RDI 1.1] Campagnes de tests sur TR5'),
(30854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[RDI 1.1] Mise à jour des campagnes de tests dans ALM'),
(30853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n[RDI 1.1] Investigation sur anomalie de recette'),
(30855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n[RDI 1.1] Campagnes de tests sur TR2'),
(30856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(33238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n- Daily\n- Réu combi boost\n- Vitan 5.8.2 au final pas nécessaire pour Poupée Russe (point creusé)\n- Début test vitan 5.8.201 (combi boosté)'),
(33237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n- Daily\n- Modification catalogue intég pour suppression valeur obsolète dans bloc sdk + remontée anomalie + point hubert brosseau pour le tracking xiti.'),
(30859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-07  (Do not remove this line) -->\n'),
(30860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nRédaction des tests V1.12.1'),
(30861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nTest Manif Lot 1'),
(30874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nSIDCOM TR3 rattrapage des chargements depuis le 10/10 // SIDCOM TR2 Reprise a partir du 13/10// SIDC TR1 // SIDC TR2 // SIDC TR3'),
(30866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-03  (Do not remove this line) -->\nInstallation DocApi usr 2.8.4 alpha4\n[CRM lot 1]  Branchement PEGA – kafka\nBRIC - Test migration sur joueur INVALID'),
(30867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n[crm lot1] liaison USR - Adob\n[crm lot1] Creation tunnel pour test dotation via postman'),
(30868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n[crm lot1] Installation \n- USR-2.8.0-alpha4\n-BOX-2.10.0-alpha3\n-OPR v2.8.0-1\n-RTG v2.4.0-alpha1 \n- Hazelcast 3.8'),
(33239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n- Daily\n- Tests Vitan combi boost 5.8.201'),
(31754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nModification des requêtes pour l\'implantation des cas de test [MOKA]Modérateur Lot 2'),
(30875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nFormation PEGA\r\nAnalyse pb de prod bingo'),
(30876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nProbleme de prod Bingo\r\nCRM LOT 1 : analyse pb envt int8'),
(31803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nSupport Pb prod bingo\nCRM Lot 1 : Liaison Usr-adobe'),
(30954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2. ITF : installation du super croupier pour le jeu CROSSINGO2017 sur INT1 IF INT 42 Falcon.'),
(30887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nLivraison V1.12.1 -> passage des tests de la version'),
(30888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nPréparation réunion relecture des SFDs'),
(30889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n- maj d\'environnement\r\nINT22	4.4.13_hasard\r\nINT21	4.4.13_hasard\r\n- installation livraison 4.4.13_hasard\r\n- qualification livraison FAQ\r\n- transfert de connaissance deveveloppeur et intégrateur du stream PHP'),
(30890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n- maj d\'environnement\r\nINT12	4.4.11_hasard\r\n- investigation service fdj.ariase.com ko en integration, vu avec CDS firewall pour maj IP integ\r\n- création ANO053350 [HASARD] fdjOffer is not define, affichage des résultats loto KO\r\n- transfert de connaissance deveveloppeur et intégrateur du stream PHP'),
(30891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n- maj d\'environnement\r\nINT11	4.4.13_hasard\r\nINT12	4.4.13_hasard\r\nINT31	4.4.8_edwan\r\nINT31	1.1.5_apimaitre\r\nINT31	4.4.13_hasard\r\nINT31	4.4.1_mapi\r\nINT31	4.2.3_mrcd\r\n- investigation ANO053350, pb lié à l\'annonce lotonoel, méthode inexistante dans le code\r\n- rattrapage des promulgations loto/superloto int12\r\n- création DMT0014433 Demande de maj DNS, ajout du FQDN fdj.bemove.com.\r\n- transfert de connaissance deveveloppeur et intégrateur du stream PHP'),
(34611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nTests NREG sur la nouvelle SNAPSHOT 3228'),
(30894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n'),
(30895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n[GSI] Rédaction du PV de qualification + revue des anomalies'),
(30902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-25  (Do not remove this line) -->\n'),
(30919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nStock Grattage : Analyse ANO053463'),
(30921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nRDI 1.1 : Installation sur TR5 de FDL017821'),
(30924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n'),
(30930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nMontée en compétence sur git /jenkins\nverification du fonctionnement de la FAQ en PROD'),
(30929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne'),
(30932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nReunion Capitalisation tests ALM'),
(30936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n- investigation annonces euromillions sur apimaitre/1.2\r\n- qualification service mapi/georestriction avec nouveau fqdn fdj.bemove.com\r\n- investigation ano en prod sur service apimaitre, pb lié à la contribution\r\n- transfert de connaissance deveveloppeur et intégrateur du stream PHP'),
(31021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[PENELOPE] Livraison FDL017874'),
(31022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\n[EGIDE] Rédaction test EGIDE 4.51.00 PB sur \"génération Taches en masse\"'),
(31100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nRéunion Hebdo Myriam'),
(30958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\n[RTC-59574] FLUX - T2000 - Génération d\'un acquittement positif'),
(30959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nReproduction du problème -> [RTC - 74029] DECH - CU Consulter/Editer les déchets - barre des seuils absente sur les escales cloturées\r\nPréparation du BDL 1.12.1\r\n[RTC-40456] ERGO - Onglets Intervenants - Données tronquées\r\n'),
(30960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n[RTC - 74029] DECH - CU Consulter/Editer les déchets - barre des seuils absente sur les escales cloturées (correction)\r\n[RTC-45370] ESC - CU Consulter/Editer une escale - LE OK Doc ne se comporte pas correctement\r\n'),
(30961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nPréparation de la livraison \r\nInvestigation sur le retour de qualif [RTC - 40456] ERGO - Onglets Intervenants - Données tronquées'),
(30978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nSAFERGAME : Qualification ANO053072, ANO048857+ création ANO053515, ANO053552'),
(30966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n'),
(30968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nAttente de retour de Leila tests acceptances, puis installation Boutique A sur int31.\n'),
(31799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nTest des services CapAdresse: ok sur certains serveurs mais sur d\'autres il apparait une régression  de versions coté MIG/MUG empechant l\'appel de la facturation coté Boutiques: point avec Matthieu Le Ray pour remonté aux dev du Front. et correction.\n\nPoint avec la perf pour installation de certificats manquants empechant l\'appel à CapAdresse sur ces environnments: correctifs ok.\n\nFinalisation du Modop et diffusion a HIA.\n\nRelivraison d\'urgence par les dev des Boutiques a 17h30: reinstallation et tests minimaux sur int11 et 31 le soir.'),
(30971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\na tester'),
(30976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\ntests chargement client sur base anonymisée \n[COHERIS] Avancement des sujets'),
(31224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[Combiné Boosté BACK / 14.1.32-b3234 / INT7]: Test Acceptance Manuelle + Campagne Nouvelles Fonctionnalités'),
(31225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n[Combiné Boosté BACK / 14.1.32-b3234 / INT1]: Campagne Nouvelles Fonctionnalités'),
(31223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n[Combiné Boosté BACK / 14.1.32-b3228 / INT7]: Test Acceptance Manuelle + Campagne Nouvelles Fonctionnalités'),
(30986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nAssistance HIA BI4 : Aide et tests pour mise en place des connecteurs Egide sur les serveurs BI4 d\'intégration.'),
(30988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nPIMO : Cas aux limites de calcul des segments CA.'),
(30990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nPIMO : Exécution cas de tests aux limites + Création ANO053555'),
(30991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nSID Client : Suivi des cas de tests pour mise à jour du référentiel.'),
(30992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nRéunion référent'),
(31804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nCRM Lot 1 - Liaison falcon adobe pega, parametrage UBO'),
(31013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n-Relecture et mise à jour cas de test Postman\r\n-Documentation sur palier FREEDOM\r\n-Vérifcation ANO'),
(31020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nInvestigation sur un probleme de log nginx/phpfpm + DMT\nMise a jour du Frama\nInvestigation sur le job Keno promulgation qui ne s\'execute pas depuis le 12 octobre sur INT31'),
(31006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nSAFERGAME : Point données SAGA avec P.Slimani'),
(31007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n'),
(31009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nRecherche  et compilation de https://bitbucket.org/atlassian/swagger-request-validator'),
(31011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nRecherche et mise en place d\'une class java pour rediriger les fichiers json swagger vers l\'outil swagger wiremock'),
(30996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nCampagne d\'acceptance INT21 : DI / DA /DU\r\nAction : analyse approfondie des résultats \"failed\" - recherche d\'anomalie fonctionnelle potentielle.\r\n\r\nCampagne d\'acceptance INT11 : DI / DA /DU\r\nAction : analyse approfondie des résultats \"failed\" - recherche d\'anomalie fonctionnelle potentielle.'),
(31252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n-Documentation sur palier FREEDOM\n-Vérifcation ANO IF'),
(31757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nPoint Arjel \nRédaction du bilan Test Auto pour le palier BRIC\nRéunion Equipe Back\nExécution de la campagne d\'acceptance API & DB - FALCON USR 2.8.0-1 sur INT9'),
(31755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nPrésentation PEGA.\nBilan de campagne Test Auto Falcon USR 2.7'),
(31018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nRAM.004 : Analyse retours métier sur ANO053128.'),
(31002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nCampagne d\'acceptance INT31 : DA 4.4.5\r\nAction : préparation et lancement \r\nAction : analyse des résultats et rédaction du rapport de campagne.\r\nAction : maintenance des cas de test \"failed\"\r\n\r\nPostman : montée en compétence.'),
(31003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nPostman : montée en compétence.'),
(31004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nFichier de suivi des incidents.'),
(31027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n'),
(31028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n'),
(31029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\n'),
(31030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n'),
(31033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n'),
(34612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nTests NREG sur la nouvelle SNAPSHOT 3234'),
(31036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n'),
(31396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 Relance job suite probleme de connexion // SIDC TR3 OK // SIDC TR2 OK'),
(31038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nInvestigation plantage SIDC TR3 PDV Card '),
(31040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n'),
(31048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nSAFERGAME : Création ANO053557, ANO053558, qualification ANO050607'),
(31688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n'),
(31050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nSAFERGAME : Installation i2 FDL017043, FDL017181'),
(33241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n- Daily\n- Test 1.2.2_wspoenl pour android\n- PSEL sur perf2'),
(31052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nSAFERGAME : Installation i2 FDL017300, FDL017320, SAGA FDL018119 sur int2'),
(31053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\ntest chargement client sur base anonymisé (suppression anonymisation ID_client)'),
(31055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nDéfinition et implémentattion de cas de test GAM BAck. Point de cadrage Plugin jenkins.'),
(31058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nPlugin Jenkins Atelier de validation du périmètre du lot 1. Support plugin Jenkins. Définition et Implémentation de cas de test GAM Back'),
(31060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nPoint hebdo Dev VuGen. Définition et Implémentation de cas de test GAM Back.'),
(31066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nMontée en compétence git/jenkins (suite)\nInstallation PTAB 2.17.17 sur INT4\nInstallation Hasard 4.4.13 sur INT42\nRéorganisation de l\'espace de travail'),
(31064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nAssistance HIA BI4 : Aide et tests pour mise en place des connecteurs Egide sur les serveurs BI4 d\'intégration : INT4EGIDE + INT9EGIDE.'),
(31063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nRDI 1.1 : Vérifications pour approbation des DMT 0014549 et 0014524.'),
(31065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nMCO : SID Client (TR1+TR2+TR3) + SID Commercial (TR2+TR3)'),
(31067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\n'),
(31068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nAtelier fonct n°5 + rédaction CRR'),
(34613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nPoursuivre les tests NREG sur la nouvelle SNPSHOT3234'),
(34614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nPoursuivre les tests NREG sur la nouvelle SNAPSHOT 3238'),
(34616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nPoursuivre les tests NREG sur la nouvelle SNAPSHOT 3240'),
(31074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nTests V1.13.0'),
(31076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n'),
(31078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n'),
(31806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\ncrm lot 1  : liaison usr Adobe\nbingo : pb de prod'),
(31081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nStock Grattage : Init Stock : Cas de réaffectation PDV à PDV'),
(31082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nStock Grattage : TR2 - FDL018099 et FDL018137'),
(31084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n[HPALM - 87] Créer un conditionnement :  Le libellé et le code d\'un conditionnement doivent être de l\'alphanumérique => on ne doit pas pouvoir saisir des caractères spéciaux'),
(31085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[HPALM - 184] [HPALM - 177] '),
(31086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n[HPALM - 183] Ecran Liste Résultats recherche conditionnements - problème sur Rafraichissement automatique de l\'écran'),
(31087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nInsallation Manifestes : 0.5j\n[HPALM - 186] : 0.5j'),
(31090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[HPALM - 186] : 0.5j\n[HPALM - 178] : 0.5j'),
(31089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n[HPALM - 183] '),
(31091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n[HPALM - 178] : 1j'),
(31092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nDaily webapp, daily app hasard\r\npoint d\'equipe\r\nTest du mag touchId merge Bric sur INT31 pour mise en prod le 19/10 (mep touchId repoussée suite au test car ANO trouvée sur la mise a jour du compte aprés modifications)\r\nTest sur nouvelle appli FDJ IOS 1.3.3 et FDJ Android 1.3.2 (pas encore de FDL)'),
(31093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nPenelope Pb FDL017874 sur format mail, ANO053104'),
(31096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-04  (Do not remove this line) -->\nDoc Stratégie Test Caroline, Jeux d\'essai SKYPE Caroline\r\n\r\n'),
(31095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nDaily webapp, daily app hasard\r\nNon regression GrandLoto de noel sur INT22 avec appli fdj IOS 1.3.3 et Android 1.3.2\r\nPrise de jeux - Prise de jeux demat - Reçu scanné - reçu annulé - reçu payé etc\r\n\r\n'),
(31097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nDaily webapp, daily app hasard\r\nTest sur app FDJ 1.3.3 - Android 1.3.2\r\nTest sur les mentions legales\r\nTest sur le rejeu depuis le mug bric -> Ouverture d\'ano'),
(31098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nInstallation et qualification FDL017951, FDL017874 PENELOPE'),
(31099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nSuivi intégration RDI avec Valérie'),
(31101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nDaily webapp, daily app hasard\r\nTest sur version 1.4.1 appli FDJ IOS et FDJ Android\r\nTest de la refonte des reçus scanné\r\nSortie de reçu EUML, LOTO, KENO, GL, IAT ASTRO a 0euros >300euros et <300 euros pour tests IQ et recette'),
(31102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nDaily webapp, daily app hasard\r\nTest sur version 1.4.1 appli FDJ IOS et FDJ Android\r\nTest de la refonte des reçus scanné\r\nSortie de reçu EUML, LOTO, KENO, GL, IAT ASTRO a 0euros >300euros et <300 euros pour tests IQ et recette'),
(31103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nExtraction des incidents'),
(31104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nContrôle MCO'),
(31137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2. Lancement des campagnes ITG 2.4.1 sur INT9 (Palier MOKA). Analyse des campagnes ITG 2.4.1 sur INT9'),
(31111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nEtude de l\'application PLAYSCAN et des bouchons\nPrise de connaissance sur le projet OmniCanal Palier de mars'),
(31112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nEtude de faisabilité de tests avec les bouchons PLAYSCAN\r\nPrise de connaissance du palier de mars OmniCanal'),
(31113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nEtude de faisabilité de tests avec les bouchons PLAYSCAN\r\nIntégration IF mise à niveau de INT4'),
(31115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nEtude de faisabilité de tests avec les bouchons PLAYSCAN\nPrise de connaissance du projet OmniCanal Palier de mars'),
(31116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nEtude de faisabilité de tests avec les bouchons PLAYSCAN\r\nAcceptance IF'),
(31121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nInstallation Workflow et Parametrage EGIDE (Dabiel)'),
(31120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nInstallation et Qualification FDL017934 CONTRADET'),
(32229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nFDL018111	HASARD\nFDL018110	MAPI\n\nLivraison, Déploiement, Analyse, Tests d\'acceptance, Qualification'),
(31125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nExtraction des incidents'),
(31126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nRéunion Myriam + Réunion Rémi'),
(31161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nLivraison FDL017950 EGIDE Pb à l\'import des DUMP'),
(31756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nLancement de tests manuels sur INT8 et INT9 pour avancement campagne.'),
(31758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nLancement de tests manuels (fin) sur INT8 et INT9 selon dispo environnement. Fin des tests manuels.Prise de contact avec différents acteurs (métiers, dev etc..) pour connaitre le périmètre des évolutions. (impacts possible, etc..) notamment sur la création ou non création de trames dans la base de données (USR_EVENT_RECORD).'),
(31759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nCréation des anomalies en fonction du résultat des tests manuels + implémentation de test automatisés pour les anomalies créées.'),
(31762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nImplémentation de tests automatisés pour le LOT1 ARJEL. Avancement sur les tests BOX (7 à 8 tests par jours en moyenne) .'),
(31764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nImplémentation de tests automatisés, travail sur la criticité des tests et priorité pour les tests BOX ARJEL en priorité + création des jeux de données.'),
(31136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nvie des environnements '),
(31140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nvie des environnements'),
(31141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet FREEDOM (projet ALM PALIER_CRM).'),
(34456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nspécifications remontée des tests newman dans ALM'),
(31143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\npilote tests IHM'),
(31144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\npilote tests IHM'),
(32216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nRéunion sur l\'outil PEGA et prise de connaissances sur le projet FREEDOM.'),
(32217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet FREEDOM (projet ALM PALIER_CRM).'),
(31151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nCréation de la RITEM56242 : Demande de certificat interne FDJ pour cloud front retail int0 et int9 ; Création de la RITEM56248 : DOF Serveur à Serveur pour cloud front retail int0 et int9 ; Création de l\'ANO053482 : [PDV][Android] Rapports sur un LotoFoot passé non accessibles'),
(31152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nQualification de MOD012117 / [JASON]: Changer l\'OriginID utilisé lors des appels MIFY ; Qualification de MOD012122 / [JASON] [PSBOR] Sortir dans le catalogue l\'url du règlement ; configuration de Digishop R et PSBOR pour le mode IP sur INT3'),
(31153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nModification de la configuration de la boutique R et mise en place d\'un modop pour la prod ; support recette Jason'),
(31154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nSupport recette Jason ; configuration des environnement Retail int0 et int9'),
(31157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n-Documentation sur palier FREEDOM/MOKA'),
(31158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nInstallation FDL017955 WebService EGIDE'),
(31159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nInstallation FDL016773 EGIDE ETL'),
(31472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nExécution des campagnes de tests MOKA pour Modérateur Lot 2 et CRM lot 1 sur INT8 (version USR 2.8.0-1)'),
(31162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nRedac procedure installation FDL017874 et FDL017951 PENELOPE'),
(31163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nLivraison livrables FDL017874 et FDL017951 sur SVN'),
(31165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nDéveloppement de nouveaux tests AUTO- MOTORS CATALOGUE SOCLE COMMUN\r\nCompte joueur: Gestion des limites'),
(31166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nDéveloppement de nouveaux tests AUTO- MOTORS CATALOGUE SOCLE COMMUN\r\nCompte joueur: Gestion des limites'),
(31167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nSIDCOM TR2 en cours // SIDCOM TR3 OK // SIDC TR1 TR2 TR3 OK'),
(31218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nApprofondissement du probleme de datation du log applicatif\nFormation de julien sur Git'),
(31169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\ntest chargement client sur base anonymisé (suppression anonymisation ID_client)\r\npréparation FDL018134_Coheris_Oracle_BRIC_ANONYMISATION_CRM_F_5.7.3.0\r\npréparation document pour anonymisation de la base'),
(31170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nAnalyse et tests techniques dysfonctionnement jeu IF ITG -  SUPER 100 \r\nTraçage des Flux Desktop et Mobile avec Fiddler \r\nComparatif livraison (Taille assets...) '),
(31171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n-Correction de bug liés à la livraison des tests sur jenkins '),
(32537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nMOKA_ Identification Sport PDV_ Ecriture et Execution test Manuel BOX'),
(32536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nMOKA_ Identification Sport PDV_ Ecriture et Execution test Manuel BOX'),
(32538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nMOKA_ Identification Sport PDV_\n0,5 : Ecriture et Execution test Manuel BOX\n0,5 : Attente reponse sur l\'attendu'),
(32539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nMOKA_ Identification Sport PDV_ Attente réponses claire et Doc MAJ par le métier sur l\'attendu pour ce Palier'),
(31177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nMise a jour et ajout de nouveaux tests MOTORS - CATALOGUE SOCLE COMMUN'),
(31179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nMise a jour et ajout de nouveaux tests MOTORS - CATALOGUE SOCLE COMMUN'),
(31678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nPREPARATION ET EXECUTION CAMPAGNE GAMIFICATION\r\nJEU LES CLES DU TRESOR INT81');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(31184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n- Formation Marouan Bouchaal sur l\'automatisation des tests IHM \r\n- Analyse des erreurs jenkins  lié au tests automatique IHM composant MIG sur la VM unix'),
(31183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n- Réunion Cadrage des tests Automatiques IHM \r\n- Analyse des erreurs jenkins lié au tests automatique IHM composant MIG'),
(31354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n- déplacement Boulogne-Billancourt\r\n- réunion [Atelier] Services simulateurs/statistiques\r\n- réunion présentation technique des composants star/wars\r\n- maj contribution lotonoel pour investigation aipimaitre INT12\r\n- maj tests postman sur apimaitre / mapi\r\n- maj d\'environnement int42 4.4.13_hasard\r\n- investigation pb de mentions légales lotonoel, pb de contribution absente sur env de recette\r\n- investigation pb webapp pour l\'affichage emoji facebook en intégration'),
(33242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n- Daily\n- Point Combi boost\n- TEsts qualifs 1.2.2_wspoenl\n- ANO053612, ANO053614, ANO053616, ANO053628 , ANO053629'),
(31188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n-point sur l\'avancement des tests ihm Slenium\n- Correction des erreurs jenkins lié au tests automatique IHM composant MIG'),
(31189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n- Développement des test IHM Selenium composant MUG\r\n- Formation Marouan Bouchaal Sur les tests automatiques IHM'),
(31190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nCampagne de non-reg CB régularisation'),
(31191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nCampagne de non-reg CB régularisation'),
(31192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nAvancement sur les developpements des tests automatique MUG '),
(31193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nCampagne de non-reg CB régularisation'),
(31194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nCampagne de non-reg CB régularisation'),
(31195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nCampagne de non-reg CB régularisation'),
(31196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nStock Grattage : Qualification FDL018099 et FDL018137'),
(31197, 'Echange pour la résolution\r\n==> Modif code + JDB pour rattrapage'),
(31202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n[PSMSv2] Compagne des nouvelles fonctionnalités CB sur INT1\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_16-72\nABP:            14.1.32-SNAPSHOT 3234\nMOBILE:         origin_release_8\nARGUS:          14.1-125\nPLATFORM:       1.0.184\n\n\n[PSMSv2] Tests ETL Combinés Boostés sur INT3\n\nHOST: agpadmi31\nSITE: fdj2-origin_release_16-57\nABP: 14.1.32-SNAPSHOT 3219\nMOBILE: origin_release_8\nARGUS: build-865\nPLATFORM: 1.0.183'),
(31200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n[PSMSv2] Qualification des anomalies livré sur INT7\n\n\nHOST:           agpadmi71\nSITE:           fdj2-origin_release_16-81\nABP:            14.1.32-SNAPSHOT 3238\nMOBILE:         origin_release_8\nARGUS:          14.1-124\nPLATFORM:       1.0.184\n\n[PSMSv2] Compagne des nouvelles fonctionnalités CB sur INT7\n\n\nHOST:           agpadmi71\nSITE:           fdj2-origin_release_16-81\nABP:            14.1.32-SNAPSHOT 3238\nMOBILE:         origin_release_8\nARGUS:          14.1-124\nPLATFORM:       1.0.184\n'),
(31213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nRecherche et mise en place d\'une class java pour rediriger les fichiers json swagger vers l\'outil swagger wiremock'),
(31214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(31217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nMCO control m tr 123\ncrm lot 1 mail adobe'),
(31816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nFormation GIT - SaltStack // analyse ano simulateur avec Michel'),
(31801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nMCO control m tr 123'),
(31215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nMontée en compétence sur le projet Amex'),
(31243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nMontée en compétence sur le projet Amex'),
(31207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(31208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nRevue doc webapps'),
(31209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(31277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nFDL018155'),
(31212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nMCO control m tr 123\ncrm lot 1 mail adobe'),
(32645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nAcceptance'),
(32646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nCampagne d\'Acceptance, et optimisation de la campagne Nonreg'),
(32638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nOptimisation Campagne Non Reg V16\nExécution Campagne Non Reg V16'),
(31231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n[Combiné Boosté BACK / 14.1.32-b3238 / INT7]: Bug Fixing + Campagne Nouvelles Fonctionnalités'),
(32647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nCampagne d\'Acceptance, et début de Campagne de NonReg'),
(31242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[Combiné Boosté BACK / 14.1.32-b3238 / INT1]:Campagne Nouvelles Fonctionnalités'),
(32648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nFinir la Campagne de NonReg'),
(32649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nCampagne d\'Acceptance'),
(31236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nITF : Lancement des tests d\'acceptance et de non régression pour le jeu YummyStack2017. Analyse et envoi du rapport. Analyse des campagnes ITG 2.4.1 sur INT9 et envoi du rapport. Lancement des campagnes RTG 2.4.0-1 sur INT9 (Palier MOKA).'),
(31237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back.'),
(31238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back.'),
(31241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\n'),
(32363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n Montée en compétence plus longue que prévue sur l\'implémentation ETL  : Consommé 2,5 ; RAF 2,5. '),
(32362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n Montée en compétence plus longue que prévue sur l\'implémentation ETL  : Consommé 2,5 ; RAF 2,5. '),
(31761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nImplémentation cas de tests Modérateur Lot 2\nExécution de la campagne d\'acceptance API&DB - API CC&DB CC-  FALCON USR 2.8.1.1 sur INT8'),
(32364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n Montée en compétence plus longue que prévue sur l\'implémentation ETL  : Consommé 2,5 ; RAF 2,5. '),
(31760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nRéunion de présentation ALM Octane \nAnalyse et rédaction du rapport de la campagne d\'acceptance API & DB - FALCON USR 2.8.0-1 sur INT9\nImplémentation cas de tests Modérateur Lot 2'),
(31270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n-Documentation FREEDOM\n-Relecture cas de test dans ALM\n-Assister réunion d\'équipe MOKA\n-Mise à jour cas de test créée via Postman\n-Ecriture des cookies de cas de test dans ALM'),
(31255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nProjet UTA\npoint de validation des action pour le lot 1'),
(31268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nPostman : démarrage de l’implémentation des tests pour DIGISHOP U.'),
(31260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nProjet UTA\nPoint Dev (digital/stport/perf)\nSupport Postman leila'),
(31259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nProjet UTA\r\nSupport Postman leila'),
(31264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nProjet UTA\nPoint jekins/git avec Michel Puech\nSupport Postman leila'),
(31265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nProjet UTA\npoint d\'avencement UTA'),
(31267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nPostman : démarrage de l’implémentation des tests pour DIGISHOP U.'),
(31404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nPostman : implémentation des tests pour DIGISHOP U.\n\nCampagne d\'acceptance INT11 : \nDA 4.4.6 / DI 4.2.2 / DU 4.3.1   (Falcon USR - usr/2.7.8-1)\nAction : préparation et lancement \nAction : analyse des résultats et rédaction du rapport de campagne.\nAction : maintenance des cas de test \"failed\"'),
(31269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nSAFERGAME : Création ANO053659,ANO053660'),
(31274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.ANNE (remplaçante de JC MOREL)'),
(31273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons par IBM'),
(31278, 'A mettre à jour si besoin'),
(31279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nSAFERGAME : Passage de requêtes à la demande d\'IBM pour investigation'),
(31280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nSAFERGAME : Installation FDL018120, FDL018087, FDL018131 CFM sur INT2'),
(32691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nRéunion Architecture AMEX (Front / Back / DAT) (1h30)\nModification catalogue PSEL 2.0 et 7.0\nRecherche clé dev accengage pour PSEL IOS DEV\nFormation Loic (AMEX)\nAvancement test ALM.'),
(32689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[AMEX] Réunion Workshop Stratégie de test (3h30)\n[AMEX] Partage de la stratégie de test (2h)\nSupport installation wspoenl sur l\'environnement perf2\nRecherche sur les MOD permettant de mettre en place les nouveaux catalogues PSEL (mise en forme FDJ).'),
(32690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nDaily meeting (1h)\n[AMEX] Création des nouveaux catalogues PSEL (version 2.0 pour Android et 7.0 pour IOS), vérification, sauvegarde, propagation, synchronisation ....\n[AMEX] Proposition de feature flipping sur les versions PSEL Android & IOS\n[AMEX] Mise à jour tests ALM'),
(32692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX.'),
(32688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX : avancement des tests ALM\nRéunion (Front / back) (2h)'),
(31808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\ncrm lot 1  : liaison usr Adobe, creation des certificats des vip\nsupport mep bric : pb bingo chat'),
(31294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nANVCTX Support Telebig sur site RSI, ...'),
(31292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n'),
(31293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nANVCTX Préparation intervention Telebig sur Site RSI'),
(31296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nANVCTX - pc chess, env Telebig, ...'),
(31297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\ninvestigations sur EAR'),
(32205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE DU JEU \'BANCO C\'EST BALLOT\'\nCAMPAGNE D\'ACCEPTANCE DU JEU \'JUSTICE LEAGUE 2017\''),
(31302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nEcriture de test QA Front pour le jeu Next Level'),
(31794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nEcriture de test QA Front pour le jeu Next Level'),
(31321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nAcceptance de Yummy stack'),
(31322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nAcceptance de Yummy stack'),
(31319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nAcceptance de Crossingo 1.1.3'),
(31773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nRéalisation d\'un exemple de diagramme d\'état pour les jeux motors'),
(31320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nAnalyse pb de lenteur Super100, Super200 et Super500 sur Appli mobile/tablette IOS'),
(31328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nCALYPSO : Pb installation DMT0014283, non present dans BIC et Ref Caly, manque données'),
(31329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nSAGA : Installation DMT0014283 sur INT2CALY et INT2ARCA (FDL017613 et FDL017941) + fichier de traces d\'installation\r\n'),
(31332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nSAGA : Installation DMT0014284 sur INT2CALY et INT2ARCA (FDL017990) + fichier de traces d\'installation'),
(31334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nSAGA : Installation DMT0014132 sur INT2SAGA (repousser 2 secteurs au 16/10/17)'),
(31335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nCONTRADET : Installation FDL018103 :  pb regression contrat V6\r\n'),
(31336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nExtraction des incidents'),
(31338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nRédaction de cas de test RDI 4,60  (6 cas)'),
(31339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nSAGA DMT0013662 restauration sauvegarde SAGA sur INT4SAGA\r\n'),
(31340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nRédaction de cas de test RDI 4,60  (3 cas)\r\n'),
(31342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nRDI creation PDV secteur 664'),
(31350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n[StockGrattage] Mise a niveau du TR3 avec installation des 11 FDLs FDL_16958_SIDCOM_DDL_V3.4.0.0,FDL_16959_SIDCOM_VRPT_SG_V3.4.0.0,FDL_16960_SIDCOM_TSGI_V3.4.0.0,FDL_16961_SIDCOM_TAGG_V3.4.0.0,FDL_17023_SIDCOM_TSGI_V3.4.0.1,FDL_17415_SIDCOM_TAGG_V3.4.0.1,FDL_17509_SIDCOM_TSGI_V3.4.0.2,FDL_17921_SIDCOM_DDL_V3.4.0.1,FDL_17920_SIDCOM_TSGI_V3.4.0.3,FDL_18099_SIDCOM_TAGG_V3.4.0.2,FDL_18137_SIDCOM_TSGI_V3.4.0.4'),
(31347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nCONTRADET Création ANO053675 regression contrat v6 FDL018103'),
(31346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nPalier SPOC : Réinstallation TR2 de FDL017689, FDL017826, FDL017833, FDL017834, FDL017768, FDL018031'),
(31348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n'),
(31349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[StockGrattage] Installation 1 FDL FDL016939 '),
(31351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nLecture documentation sur git/salt\r\nMise a jour de l\'avancement du projet convergence'),
(31352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nvendredi 13 :\r\n- investigation annonces euromillions sur apimaitre/1.2\r\n- qualification service mapi/georestriction avec nouveau fqdn fdj.bemove.com\r\n- investigation ano en prod sur service apimaitre, pb lié à la contribution\r\n- transfert de connaissance deveveloppeur et intégrateur du stream PHP'),
(33244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n- Daily\n- Qualif tests sur Vitan 5.8.202\n- Acceptance wspoenl'),
(33243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n- Daily\n- ANO053635 et ANO053638\n- Acceptance Vitan 5.8.202'),
(31356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n- déplacement Boulogne-Billancourt\r\n- réunion [Convergence] Démo sprint \r\n- investigation pb georestriction en production, pb de ariase\r\n- qualification livraison 4.4.14_hasard'),
(31358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n- intégration des campagnes postman dans git\r\n- maj campagnes jenkins pour utilisation git\r\n- qualification livraison 4.4.14_hasard'),
(31359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n- maj campagnes jenkins pour utilisation git\r\n- support dev investigation [ANO051605] Simulateur Joker ne fonctionne pas\r\n- support dev investigation [ANO051612] [PLAYSTATION] Script de notification push_annonce.ksh KO pb de magicword IF'),
(31361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nMCO : SID Client TR1/TR2/TR3 + SID Commercial TR2/TR3'),
(31362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n'),
(31363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\ndivers Git, PCA, Transversse, Patrick, ...'),
(31387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[BRIC] Installation de la FDL018168 sur le TR2'),
(31365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n'),
(31367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n'),
(32639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nOptimisation Campagne Non Reg V16\nExécution Campagne Non Reg V16\nRéunion d\'avancement automatisation'),
(31370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n- Reunion Touch ID / Brick\r\n- Point coordination tests auto Selenium'),
(31371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n- Test MAG Touch ID Brick\r\n- Rédaction Mode Op Brick'),
(31372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n- Mise à niveau composants Freedom\r\n- derniers tests BRIC avant MEP\r\n'),
(31373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n- MaJ iso prod INT12\r\n- Mise à niveau INT8 Freedom et point coordination\r\n- MaJ iso prod INT42\r\n'),
(31375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n- Support MEP BRIC avec HIA\n- deploiement et tests de Hot Fix MAG : FDL018148 / FDL018163'),
(31376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n- MaJ Iso prod INT02 IF\r\n- Test patch de prod MUG FDL018170\r\n- Travail sur VSR BRIC'),
(31388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[BRIC] Qualification de la FDL018168 sur le TR2'),
(32296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nEcrire des cas de test dans ALM : Update a payment _ PUT /usr/payments\nCréation opérateur pour projet Gamification\nDocumentation FREEDOM'),
(31486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nAnalyse des campagnes RTG 2.4.0-1 sur INT9 (Palier MOKA). ITF : Lancement des tests d\'acceptance et de non régression pour le jeu Crossingo2017. Lancement de la campagne de non régression ITG 2.4.1 sur INT8 (Falcon USR 2.8.0-1). Lancement des campagnes RTG 2.4.0 de non regression sur INT8'),
(31392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[BRIC] Analyse différence recette sur combines boostés ANOXXXX'),
(31395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[IF]Investigations Nb joueur et reflexion sur l\'automatisation de la verification'),
(31389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nSAFERGAME : Installation FDL018117 IIB, FDL018128 Cognos'),
(31391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nSAFERGAME : Point alerte reprise de données avec P.Maigne'),
(31394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[StockGrattage] Résolution du problème lors de l\'installation de la FDL FDL_18137_SIDCOM_TSGI_V3.4.0.4'),
(31397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[BRIC] Qualification ANO053299'),
(31417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nTest evos  V1.13'),
(31399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-07-06  (Do not remove this line) -->\n'),
(31401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nSAFERGAME : Qualification ANO053557, ANO053404 création ANO053702, création DMT0014764'),
(31765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nAnalyse et rédaction du rapport de campagne d\'Acceptance API & DB - API CC & DB CC  : Falcon USR-2.8.0 sur INT 9.\nExécution de la campagne  d\'Acceptance API & DB - API CC & DB CC  : Falcon USR-2.7.8 sur INT 1.\nRéunion SDT'),
(31817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nDump de production sur int22 + déploiement dernière livraison hasard et mapi'),
(32650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nNouvelle Campagne d\'acceptance + Campagne NonReg'),
(31407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-11  (Do not remove this line) -->\n'),
(31409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n BCO.088.33 [FDV] VISION 360 - Tests CSAM Sign&GO NEPTUNE '),
(31415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. Point UTA'),
(31416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back.'),
(31418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nTests Evos V1.13'),
(31419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nTests Evos V1.13'),
(31421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nTests Manifestes Lot1'),
(31422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nFalcon Script et API : diff sur version 2.7.8, mise à jour des routeTable, evolution script Falcon_RTG_DbCheck'),
(31423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n'),
(33522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[EgideReporting] Support mise en production correctif reporting SSRS'),
(31435, 'Voir debut d\'analyse dans CODEVTT'),
(31436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nStock Grattage : Analyse anomalies combinés boostés'),
(31449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nLancement campagne ACCEPTANCE API et BDD 2.7.8 Falcon USR sur INT1. Envoi du rapport. Analyse de la campagne de non régression ITG 2.4.1 sur INT8 (Falcon USR 2.8.0-1).Envoi du rapport.  ITF : Installation du super croupier pour le jeu Yummy Stack Hiver sur INT 1 IF. Lancement campagne Non regression sur Falcon USR 2.7.8 sur INT1'),
(31479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nSAFERGAME : Création ANO053767, Qualification ANO050607'),
(31478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne + point suppression lecteurs réseaux semestre 2018 (transferts fichier métier safergame) avec Y.Behets'),
(31440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[PSMSv2] Qualification des anomalies livré sur INT1\r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-87\r\nABP:            14.1.32-SNAPSHOT 3240\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.184\r\n\r\n[PSMSv2] Compagne des nouvelles fonctionnalités CB sur INT1\r\n\r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-87\r\nABP:            14.1.32-SNAPSHOT 3240\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.184'),
(31453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[IF] Création et traitement de la DMT0014867'),
(31443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\r\n\r\n\r\nHOST:           agpadmi11\r\nSITE:           fdj2-origin_release_16-87\r\nABP:            14.1.32-SNAPSHOT 3240\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.184\r\n\r\n[SPEEDUP] Tests des nouveaux markets Badminton en Live et Pré-Match (INT8):\r\n>> Vérification d’ANO053764: changement de mapping du market \"Total Set\"\r\n>> Test ARJEL et ETL \"Score Exact\"'),
(31444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nSID Client : Industrialisation du mailing MCO SID Client.'),
(31445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nInvestigation sur un probleme de connexion ssh de git\r\nMontée en compétence sur les repository git de SALT'),
(31446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nSAFERGAME : Installation FDL017762 datastage'),
(31447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n44848 et autre suivi defect'),
(31480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nSAFERGAME : Vérification des anomalies métier'),
(31451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n'),
(31454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\npostgress, oracle (PCA), jenkins (Bertin)'),
(31810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nCrm Lot1 : Test de liaison usr-adobe - pega'),
(31812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nCrm Lot1 : Conf Salt - test liaison pega usr'),
(31460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2'),
(31462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nEcriture cas de test dans HP ALM : 02 - Update a payment _ PUT /usr/payments\nTest sur les opérateurs Gamification'),
(33245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n- Daily\n- Tests qualif 1.2.3_wspoenl\n- ANO053771 et ANO053766'),
(31464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nPIMO : Analyse réalisation DMT013241 KO + Réorganisation des Campagnes de test.'),
(31465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n'),
(31466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nAVV EDF IntrabsV2'),
(31467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nDaily webapp - daily app hasard\r\nMise a jour des catalogues de prod pour version 1.3 et 1.4 de l\'appli FDJ\r\nMise a jour des catalogues de préprod pour illiko pour test incident de prod sur jeux super100\r\nMise a jour des mobiles pour la recettes du grand loto de noel (installation application + demonstration de l\'utilisation de l\'appli FDJ IOS ANDROID)\r\nMise en place des tc_3 et tc_90 (TMS Tracking) sur INT22 suite a un bug de prod rencontré sur le tracking qui bloquait l\'euml (mise a dispo pour clemence nedellec pour test)\r\nTest non regression appli FDJ IOS et Android suite au dump de prod sur INT22'),
(32694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nDaily meeting (1h)\nAMEX : avancement rédaction cas de tests techniques composant SPORTAIL sous ALM + support Loic sur le composant WPSEL + état des lieux applications natives AMEX (2h) --> applications inexploitable en l\'état.\nSupport VITAN, mauvaise clé accengage déclarée sur les catalogues d\'intégration (demande métier).'),
(31469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\r\n\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-87\r\nABP: 14.1.32-SNAPSHOT 3240\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.184\r\n\r\n[SPEEDUP] Tests des nouveaux markets Badminton en Live et Pré-Match (INT8):\r\n>> Vérification d’ANO053764: changement de mapping du market \"Total Set\"\r\n>> Test ARJEL et ETL \"Score Exact\"'),
(31538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nfinalisation et qualif des scripts Falcon USR payments\n[Point dev vuGen]\nMontée dans ALM de l\'API Falcon et des scripts'),
(31473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nExécution des campagnes de tests MOKA pour Modérateur Lot 2 et CRM lot 1 sur INT8 (version USR 2.8.0-1)'),
(31474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nExécution des campagnes de tests MOKA pour Modérateur Lot 2 et CRM lot 1 sur INT8 (version USR 2.8.0-1)\r\nAtelier de travail sur l\'automatisation des tests d\'acceptances FRONT.'),
(31475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM du jour'),
(31476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne'),
(31483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nRécapitulatif des anomalies non resolu du service faq/email pour les digishops\r\nMontée des tests digishopp sur jenkins'),
(31484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nmake_env.sh pour linux'),
(31485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\ndesc_defects_ALM.sh pour linux'),
(31488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nExécution des tests NREG sur la SNAPSHOT 3240 RC'),
(31489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nExécution tests NREG sur la SNAPSHOT 3240'),
(31492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nExécution des tests NREG sur la SNAPSHOT 3240 RC'),
(31493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nExécution des tests NREG sur la SNAPSHOT 3240 RC'),
(31494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nExécution des tests NREG sur la SNAPSHOT 3240 RC'),
(31495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\ndaily webapp - daily app hasard\r\nNon reg + parcours joueur sur grand loto noel\r\nTest parcours d\'authent suite MEP bric et soumission appli FDJ Android IOS pour touchID/FingerPrint\r\nDémo du fonctionnement appli + grand loto noël a la recette'),
(31496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec M.Anne'),
(31497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nPostman : implémentation des cas de test VuGen.\r\n\r\nALM : maintenance des cas de test \"failed\" suite à dernière campagne.\r\n'),
(31499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nMCO : SID Client : TR1, TR2, TR3 + SID Commercial TR2'),
(31500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nBRIC/Combiné Boosté : Reprise des données sport depuis le 18/10 sur TR3'),
(31501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nStock Grattage : Analyse pour régul init SGI depuis le 19/04'),
(31503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nPalier Spoc : FDL018193 Univers BAFIM pour ANO combiné boosté TR3'),
(31504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n'),
(32325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nDocumentation FREEDOM\nEcriture cas de test dans HP ALM : 02 - Update a payment _ PUT /usr/payments\n -Documentation FREEDOM'),
(31507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nITF : Lancement des campagnes pour le jeux justiceleague2017 INT42 Falcon INT1 IF. Envoi du rapport.  Analyse des campagnes RTG 2.4.0 de non regression sur INT8. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2.'),
(31508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nInvestigation pb sur INT11 d\'authent:  il s\'agit finalement d\'un pb Falcon , remonté a Brice et corrigé.\r\n\r\nPoint avec la perf pour Maj les certificats cap Adresse pour la perf dans Salt.\r\n\r\nTest de l\'appel (ou non) de l\'appel par les Boutiques à la  facturation CapAdresse en fonction d\'un booléen d\'appel coté Widgets MIG/MUG --> comportement ok\r\n\r\nPoint avec HIA qui indique une recommandation de Mohamed à répercuter coté IQ : point ensuite avec Romain pour information.\r\n\r\nPoint avec les dév sur les fonctionnalités livrées dans les Boutiques en fonction des versions pour savoir quoi installer ensuite sur les environnements.\r\n\r\nAjouts de nouveaux services Mokka dans la configuration des vhosts Salt pour appels par les Boutiques lors des prochaines installs + point avec le dév pour install sur la Pré-Q et validation install ok.\r\n\r\n\r\n\r\n\r\n\r\n'),
(31509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n'),
(31510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nPoint avec HIA pour un pb de conf : modif et recréation de tar afin de leur refournir une version OK de la conf.\r\n\r\nPoint avec HIA sur les certificats capAdresse à mettre en place en prod.\r\n\r\n'),
(31744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nNouveau Point avec HIA sur les certificats.\n\nPoin avec les développeurs sur les nouveaux services pour Mokka, fonctionnalités etc...\n\nInstallation sur iNT42 ISO BRIC: suite à des pb de conflits sous Git (utilisateur inconnu ayant commité hors process), un temps important est nécessaire pour les résoudres avant de réaliser l\'installation. \n\nPoint avec HIA/Dev sur la journalisation des logs capAdresse.\n\n\n'),
(31512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\ninstall psql client'),
(31513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nLivraison 17.5.50_001'),
(31514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nStock Grattage : Remise à niveau TR3 : regul init du 18/04/2017 + reprise des données du 19/10 au 22/10 + préparation du run du 25/10 (données 23/10 et 24/10)'),
(31516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nPoint UTA : Présentation du document de conception. Dev VuGen - Point hebdo. Définition et Implémentation de cas de test GAM Back.'),
(31813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nCRM Lot1 : Test Liaison usr - pega\nReunion : priorisation des ouvertures de flux avec CDS FW et Philippe Boccard'),
(31518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nSAFERGAME : Test chaînes control-m définitives avant MEP'),
(31519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\n'),
(31520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nPalier Spoc : FDL018193 TR2'),
(31521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL018081 sur INT8SAGA'),
(31522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nMCO Court_Commercial'),
(31529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nMCO Court_Commercial'),
(31533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nMCO Court_Commercial'),
(31528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nMCO Court_Commercial'),
(31526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[RDI 1.1] Tests de Qualification sur TR5'),
(31527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR5'),
(31530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR5'),
(31531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR5'),
(31534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR5'),
(31535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR5'),
(31536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR5'),
(31655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nSupport sur script de versement bancaire via Monext, Modification du tronc commun CreditAccount pour uniformiser les appels de Monext en V2\nMise à jour du fichier excell des service Falcon 2.8\nPoint dev PROTOGEN : Evol à prévoir pour gérer les types numérique en string'),
(31685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2. Ecriture de cas de test pour Interactive Factory'),
(33246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n- Daily\n- Mise à jour des clés a4s des catalogues ios d\'integ\n- Modop pour combi boostés'),
(31546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n'),
(31547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nEcriture cas de test dans HP ALM :\r\n -Documentation FREEDOM'),
(32376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nMontée en compétence plus longue que prévue sur l\'implémentation ETL : Consommé 3,5 ; RAF 2.0'),
(31899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nEcriture cas de test dans HP ALM :\n -Documentation FREEDOM\n-Ecriture des cookies de test dans ALM: BATCH-MANUEL:Détection fraude de paiement'),
(32377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nMontée en compétence plus longue que prévue sur l\'implémentation ETL : Consommé 4,5 ; RAF 1,5.'),
(31556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(31560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\n'),
(31559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[HPALM - 194] Créer conditionnement avec erreur - suite à OK sur le message on doit rester sur l\'écran de création\r\n[HPALM - 196] Editer conditionnement contenu du mail non conforme pour les valeurs modifiées Regroupement Statistiques\r\n[HPALM - 193] Créer conditionnement- persistance du cadre rouge et bandeau erreur après renseignement champs obligatoires Famille - sousFamilles'),
(31561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n[HPALM - 187] '),
(31672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nDaily webapp - daily app hasard\nTest reçu scanné grand loto de noel - remonté d\'ano au dev appli native hasard\nTest sur l\'ano trouvé sur scan reçu jeux en groupes qui ne se met pas a jour dans l\'appli\nTest parcours joueur grand loto noel sur desktop - portail tablette/mobile - appli FDJ IOS Android \nNon reg grand loto de noel suite a ouverture du jeux'),
(31563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n[HPALM-87] Créer un conditionnement :  Le libellé et le code d\'un conditionnement doivent être de l\'alphanumérique => on ne doit pas pouvoir saisir des caractères spéciaux\r\n\r\n[HPALM-126] Editer/viser  un conditionnement : la zone \'Informations\' est mal positionnée, elle doit être positionnée en bas de l\'écran\r\n\r\n[HPALM-188] Créer un conditionnement se termine en exception serveur - IndexOutOfBoundsException\r\n\r\n[HPALM-189] Editer conditionnement - NullPointerException suite à modification des données\r\n\r\n[HPALM-191] Supprimer un conditionnement non opérationnel'),
(31564, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n[HPALM-192] Reset du compteur de facturation au changement d\'année.\r\n -    gup.log MACHINE2MACHINE'),
(31565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n[RTC - 52029] ACT - Mise à jour erronée de date et user de modification'),
(31871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nAnalyse d\'anomalies et suggestions de corrections à Meryl Lebkiri pour qu\'il fasse les corrections en attendant d\'avoir le réseau sur le Mac pour effectuer les corrections moi-même.'),
(31873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nAnalyse d\'anomalies et suggestions de corrections à Meryl Lebkiri pour qu\'il fasse les corrections en attendant d\'avoir le réseau sur le Mac pour effectuer les corrections moi-même.'),
(31872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nAnalyse d\'anomalies et suggestions de corrections à Meryl Lebkiri pour qu\'il fasse les corrections en attendant d\'avoir le réseau sur le Mac pour effectuer les corrections moi-même.'),
(32226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nformation SALT'),
(31805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nRédaction et mise à jour de scripts (Next et QuickAccess) '),
(31572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nPrise connaissance courriel suite retour CP\r\nPrise en main tests Combinés Boostés\r\nExécution tests Campagne 14.1.32-SNAPSHOT 3240 - Combinés Boostés\r\n'),
(31573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3240 RC - Combinés Boostés'),
(31574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3240 RC - Combinés Boostés'),
(31895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 2 - Combinés Boostés'),
(32331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nPérimètre revu avec Élise : \nFaire comme sur le Hockey :\n- Checktemplate\n- Crea offre\n- updt offre\n- Resulting\n\n==> S\'appuyer sur les documents de formation dans \"programme sport\"\n\nFormation avec Hakim\nA faire :\nS\'assurer que le template soit OK dans :\n- Template Manager\n- Utilities (ouverture de markets pour Template Mngr)\n- Price Deriving Manager\n- Translation Manager\n\n\n==> Travail dans ALM a partir de l\'existant.'),
(33247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n- Daily\n- Préparations mep combi boost\n- Modification catalogue vitan (5.9)'),
(31583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nANVCTX \n- Devis 25K pour 44848 + Extension garantie\n- reunion Evo 44848'),
(31585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nCrm Lot1 :\r\n- parametrege salt des envt int 0-1-2-4 pour ubo\r\n- Installation usr itg rtg mtr sid opr box bom sur int2'),
(31814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nCrm Lot 1 Integration'),
(31588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nExtraction des incidents'),
(31589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nMCO EGIDE et commercial'),
(31593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n[RDI] DMT0014724 ajout RIB sur détaillants SAGA'),
(31592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(32206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nInstallation/Déclaration du jeu Lesclefsdutresors sur INT21 et INT81'),
(31603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nAcceptance du jeu Justice League\nAcceptance du jeu Next Level 2017'),
(31602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nRéalisation d\'un exemple de diagramme d\'état pour les jeux motors\n'),
(31604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n80603\r\n75625\r\n62128'),
(31605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n'),
(32225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nformation SALT'),
(31607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n52029'),
(31608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(31609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nCombiné boosté : Rattrapage des données Sports sur TR3 du 18/10 au 21/10'),
(31610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n'),
(31612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nPrise de connaissance ARJEL\r\nIF : lancement et analyse de tests'),
(31613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nPrise de connaissances ARJEL'),
(32490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nPalier MOKA : définition des tests ARJEL'),
(31615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nPalier MOKA : Définition et exécution tests ARJEL'),
(31616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nPalier MOKA : Définition et exécution tests ARJEL'),
(31623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL FDL018103 CONTRADET Installation full sur INT1'),
(33529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nExécution campagne Acceptation FALCON USR 2.8.5 sur INT9\r\nImplémentation cas de test Poupées russes Lot 2'),
(31620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nRécupt des besoins et vérification des différents accès (EGIDE et commercial) avant départ vacances Valerie'),
(31621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[BOOSTER] EGIDE FDL018133 V4,51,02 sur INT3\r\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(33528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[BOOSTER] EGIDE WebService FDL018180 V4,07,01  sur INT3'),
(31624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[BOOSTER] EGIDE rédaction cas des test RDI'),
(31625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nExtraction des incidents'),
(31626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL Retour arriere FDL018103 CONTRADET sur INT2 PB de procédure de retour, violation de contrainte'),
(31627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL, Réinstallation CONTRADET sur INT2SAGA FDL018103 full'),
(31629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nMCO EGIDE et Commercial'),
(31631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nextraction des incidents'),
(31632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nRDI1,1, modifications données Egide avec Francoise Cochet\r\n'),
(31633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nDMT0014914 [SAGA] repousser 2 détaillants sur TR2'),
(31634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE : Rédaction du mode opératoire d\'installation pour FDL0017990, FDL0017941 et FDL0017613 CALYPSO'),
(32696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\ndaily meeting (1h)\nALM : Avancement rédaction tests scomposants SPORTAIL et WPSEL'),
(32697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX'),
(32693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX : rédaction cas de tests ALM sportail + échanges avec PO / BACK SPORT / TECHLEAD sur le fonctionnement.'),
(31638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nMise en oeuvre d\'un bouchon Playscan\r\nAcceptance interconnexion IF\r\n'),
(31639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nMise en oeuvre d\'un bouchon Playscan\r\nEtude des documents du projet Archi Omnicanal'),
(31641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nMise en oeuvre d\'un bouchon Playscan\r\nEtude des documents du projet Archi Playscan'),
(31766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nExécution et analyse de la campagne de NR : Falcon USR-2.7.8 sur INT 1'),
(32695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nDaily meeting (1h)\nAMEX : rédaction cas de tests ALM composants SPORTAIL & WPSEL, réunion \"finalisation architecture technique\" (1h15) + maj des nouveaux catalogues PSEL 2.0 (Android) et 7.0 (IOS) + échanges avec les PO / TechLeads sur différents sujets du projet.\nSupport : projet VITAN-PSEL Combi-boostés\nOutils Accengage : demande de \"renommage\" par le métier des clés d\'intégration car sources d\'erreurs.'),
(31646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nPartage de connaissance avec Nicolas\r\nEtude des documents projets Archi Omnicanal'),
(32698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX.'),
(32699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX'),
(31650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nEtude des documents du projet Archi OmniCanal'),
(31769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nExécution et analyse de la campagne d\'acceptance : Falcon USR-2.8 sur INT2'),
(31767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nCréation de 2 ANO.\nImplémentation cas de tests Modérateur Lot2 et ajout d\'un cas de test pour couvrir l\'ANO sur les Email en majuscule.\nExécution de la campagne d\'acceptance : Falcon USR-2.8 sur INT2'),
(31653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nEtude de l\'evolution du protogen pour la génération des Databuilder et requestTypeBuilder qui prenne les données de type numérique sous forme de char*'),
(31900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nFinalisation de l\'évolution du ProtogenFalcon\nTentative de génération d\'API pour le composant PMS divers pb restant à régler'),
(32812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n'),
(31659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nMontée en compétence et création de cas de test'),
(31660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nMontée en compétence et création de cas de test'),
(31661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nMontée en compétence et création de cas de test'),
(31667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n'),
(31700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nAnalyse utilisation champ T6_TEXT_2'),
(31669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nTESTS MOBILE JEUX IF - SUPER 100/200/500 \r\nTESTS IOS SUR APPLI NATIVE AVEC ANALYSE DE LOGS FIDDLER \r\nCOMPARATIF LOGS FIDDLER ET ACTIVITE SERVEUR PREPROD'),
(31670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nDaily webapp - daily app hasard\r\nTest reçu scanné grand loto de noel - remonté d\'ano au dev appli native hasard\r\nTest sur l\'ano trouvé sur scan reçu jeux en groupes qui ne se met pas a jour dans l\'appli\r\nTest parcours joueur grand loto noel sur desktop - portail tablette/mobile - appli FDJ IOS Android avec Corinne Bancarel pour recette\r\n'),
(31673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\ndaily webapp - daily app hasard\r\nTest suite a cloture du grand loto de noel'),
(31674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION MOTEUR MOTORS 1.9.1-1\r\nQUALIF MOTEUR / SOCLE COMMUN / JEU DE REFERENCE / TESTS ORCHESTREES / TESTS MOTEURS'),
(31675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION MOTEUR MOTORS 1.9.1-1\r\nQUALIF MOTEUR / SOCLE COMMUN / JEU DE REFERENCE / TESTS ORCHESTREES / TESTS MOTEURS'),
(31676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nTESTS FRONT MOBILE JEUX IF SUPER 100/200/500\r\nIOS/ANDROID REPRODUCTION DU BUG AVEC LAURENT BOGGIO\r\nANALYSE DU PROBLÈME ET ACTIONS CORRECTIVES A MENER\r\n'),
(31768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nImplémentation de tests auto ARJEL et mise en place des campagnes Evolution + status des tests à jour au moins sur du design pour les 130 tests liés à l\'évolution BOX.'),
(31770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nImplementation de tests auto, continuité du mercredi.'),
(31771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nImplementation des tests autos designés la veille. Traitement des priorités P1.'),
(33269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nImplémentation de tests auto designés et réunions organisation du palier MOKA.'),
(31922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nImplémentation cas de tests Modérateur Lot2\nExécution campagne d\'acceptance : Falcon USR-2.8.1 sur INT9\n=> Problème de connexion réseau : impossible d\'exécuter la campagne'),
(31687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(31689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n'),
(31690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur les projets FREEDOM et Identification Point de Vente (projet ALM PALIER_CRM).'),
(31692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nEcriture des tests sous POSTMAN pour le projet Freedom et dans ALM pour Identification Point de Vente.'),
(31693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nformation campagne batch Falcon'),
(31694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\ndoc. spécification interface jenkins newman alm'),
(31695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nsupport industrialisation jenkins'),
(31696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nvie des environnements'),
(31697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nvie des environnements'),
(31698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back.'),
(31699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back.'),
(31701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n- Atelier transfert de competences Robotframework / Selenium\r\n- developpement du tests case modification email ( MUG) '),
(31818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nGIT'),
(31819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nGIT'),
(31820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nFDL018218'),
(31821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nFDL018218'),
(31793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nFormation de Michel pendant la journée sur Salt, les branches Git utilisées, le process d\'install des Boutiques, des éléments fonctionnels des Boutiques etc...\r\n\r\nInstallation ensemble pour mise en pratique VSR BRIC sur int21: il apparait un pb de compatibilité entre Boutiques BRIC et Falcon 2.8 lors de tests d\'inscriptions --> création d\'une Anomalie pour résolution par Lotsys.\r\n\r\nproposition a Michel d\'install sur iNT81: install ok mais pb de push. Les versions nont pas été mises à jour correctement: mail de communication pour correction/réinstall demain matin.\r\n\r\n'),
(31822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nFDL018218'),
(31789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n-Avancement  developpement du tests case modification email ( MUG) \n- Point sur la gouvernance des tests front'),
(31790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n-Avancement  developpement du tests case modification email ( MUG) \n- atelier transfert de competence Marouan'),
(31791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n-Avancement  developpement du tests case modification email ( MUG) \n- Configuration jenkins et integration des nouveaux tests case sur jenkins'),
(32651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nTerminer la NonReg INT1 commencée Vendredi'),
(32652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nCampagne d\'Acceptance INT1'),
(32654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nPréparation de l\'implémentation des nouveaux cas de test appels de service MIFY: Documentation et petite formation d\'environ 1:30 avec Eric Nicolas'),
(32655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nImplémentation des nouveaux cas de test d\'appels de service Mify'),
(32656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nCampagne de NonReg INT1 lancée la veille vers 17h:30'),
(31716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nMCO EGIDE'),
(31717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nMCO EGIDE'),
(31722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nGamification : TR2 FDL017167, FDL017698, FDL017700'),
(31723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nGamification : TR2 FDL018199'),
(31849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nMOKA - CRM Lot 1 : TR2 FDL018135, FDL018201, FDL018202, FDL018204; FDL018205'),
(31725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nRedaction SFD LR Lot1&2 V1.3 suite aux reserves'),
(31726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nATelier fonctionnel n°6 Manifestes Lot3 + CRR'),
(31727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nTests V1.13'),
(31728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nTest V1.13 - maj template doc ALM'),
(31729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nInitialisation chiffrage Manifestes Lot2'),
(31731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nSAFERGAME : Installation CFM FDL018167, FDL018206 , SQL FDL018194, Cognos FDL018182, i2 FDL018210 sur INT2'),
(31732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n'),
(31739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n- travail sur git postman\n- atelier git salt\n- support métier, pb de contribution lotonoel sur mobi \n- support dev pour récupération flux flp1 euml avec montant garanti'),
(31740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\ncontinuité des tests'),
(31741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n- support developpement couronne keno\n- support dev affichage de l\'historique des résultats\n- support dev affichage des mentions sur apimaitre'),
(31881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2. Ecriture de cas de test pour Interactive Factory. IF : Mise en place d\'une campagne de référence pour les jeux IF'),
(31742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n- atelier git\r\n- monté en compétence installations salt\r\n- déploiement salt int81\r\n  \'digishopa\': \'4.4.6\',\r\n  \'digishopi\': \'4.2.2\',\r\n  \'digishopu\': \'4.3.1\',\r\n  \'digishopp\': \'1.7.0\',\r\n  \'digishopg\': \'1.0.8\','),
(32116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n- qualification livraison 1.1.6_apimaitre\n- investigation pb digishop-i, inscription ko\n- maj configuration palier-moka pour retrait poupeesrusseslot2\n- déploiement salt int81\n  \'digishopa\': \'5.0.0\',\n  \'digishopi\': \'5.0.0\',\n  \'digishopu\': \'5.0.0\',\n  \'digishopp\': \'1.7.0\',\n  \'digishopg\': \'1.0.8\',\n- maj docs digishopA 4.4.6\n- maj docs digishopA 5.0.0\n- maj docs digishopU 4.3.1\n- maj docs digishopU 5.0.0\n- maj docs digishopI 4.2.2\n- maj docs digishopI 5.0.0\n- maj docs digishopI 5.0.0\n- maj docs digishopP 1.7.0'),
(31809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nRédaction et mise à jour de scripts (Next et QuickAccess) '),
(31807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nRédaction et mise à jour de scripts (Next et QuickAccess) '),
(31811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nRédaction et mise à jour de scripts (Next et QuickAccess) '),
(31752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nUn travail important sera a faire avec Romain (a Paris à ce moment là) pour merger sous GIt les fonctionnalités de playstation  (Digishop Games) avant de pouvoir faire les installations suivantes.\r\n\r\nInstallation sur INT31 Patch prod digiA  pour Tchat Bingo. Qualification ok et validation pour install de cette correction en prod. Patch installé et ok par HIA.\r\n\r\nInstallation de l\'Upgrade digiA patch prod sur INT11.\r\n\r\nMaj des services Mokka sur l\'ensemble des vhost afin que les install embarquent ces nouveaux services sur tous les environnements.\r\n'),
(31753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nPoint sur l\'ensemble des installations à faire suite aux MEP , correctifs de prod, Mokka etc..\r\n\r\nInstallation VSR Bric sur int11 et int31\r\n\r\n'),
(31763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nAcceptance du jeu Potion Explosion'),
(31772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n- réunions MOKA\r\n- atelier test auto selenium'),
(31774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n- Sprint planning Stream Coco\r\n- reunion documentation / US stream Coco'),
(31775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n- Coproj MOKA'),
(31776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n- Réunion documentation / US Stream Coco'),
(31777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nInstallation sur INT22 iso PROD\r\n\r\nTravail avec Romain (10h30-16h) pour Integrer sous Git la branche Playstation dans la branche courante.\r\n\r\nRéinstallation sur INT22 suite à ce merge pour ajouter la Boutique Digishop Games'),
(34538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n- Daily Coco quotidienne'),
(31780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n- Analyse Stat MEP Bric (chute de l \'inscription)\r\n- Support dév\r\n- Tests Cap Adresse + tunnel d\'inscription'),
(31781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n- FDL MIG / MUG VSR Bric\r\n- Install + tests - livraisons rejetées'),
(31782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n- Analyses US Moka\r\n- mise à niveau INT21 + tests non rég'),
(32755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n- tests non rég inT21\n- tests authent environnemnents MOKA => KO - recherche de la cause (Falcon)'),
(31785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n- analyse US MOKA\r\n- Installation et tests MOKA sur INT81 (MUG / MAG)'),
(31787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nRéunion  Front Mokka\n\nRéunion Point Mokka  avancement\n\nRéalisation Modop VSR Bric\n\nRéalisation d\'un Excel de suivi suite à l\'accumulation d\'installs et éléments à gerer\n\nPoint  et analyse approfondie avec le développeur sur un pb d\'install sur le 61 Pré Q: il faudra reinstaller des boutiques + à jour'),
(31792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\n- point Front Moka\r\n- Atelier definition des tests acceptance Comptes'),
(32241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nRéinstallation sur le 81 par Michel ok : il apparait cependant un pb de lors l\'inscription sur un service. Le soucis vient d\'un Flag à desactiver pour être en phase avec les widgets : reinstallation c\'est ok. Demande à Matthieu de maj des MIG/MAG/MUG pour Mokka. Le pb de Falcon demeurre cependant, en attente de relivraison /installation par IQ Back.'),
(31797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n'),
(31798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n'),
(31878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nCreation d\'une documentation listant toutes les commandes GIT utiles\nVerification des tickets INCIDENT IQ DIGITAL FRONT ouvert\nAlimentation de la documentation Exigence IQ'),
(34515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nMontée en compétence sur les applications et l\'environnement FDJ.\nConfiguration du poste.\nAttente de droits d\'accès.'),
(34516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nMontée en compétence sur les applications et l\'environnement FDJ.\nConfiguration du poste.\nAttente de droits d\'accès.'),
(34517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\nMontée en compétence sur les applications et l\'environnement FDJ.\nConfiguration du poste.\nAttente de droits d\'accès.'),
(34518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nMontée en compétence sur les applications et l\'environnement FDJ.\nConfiguration du poste.\nAttente de droits d\'accès.'),
(34519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-16  (Do not remove this line) -->\nMontée en compétence sur les applications et l\'environnement FDJ.\nConfiguration du poste.\nAttente de droits d\'accès.'),
(34523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nMontée en compétence sur les applications et l\'environnement FDJ.\nConfiguration du poste.\nAttente de droits d\'accès.'),
(31833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nMise a niveau edwan depuis la prod sur INT22'),
(31834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\ntests service des webapps (delai à la réponse)'),
(31835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\ntests service des webapps (delai à la réponse) -fin'),
(31836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nSoutien à Julien pour la mise à jour des environnements a partir d\'un dump de prod'),
(31837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nMise a jour de int32 depuis dump de prod'),
(31840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nPlugin UTA\nProblème avec le GetTransactionStatus'),
(31839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nPlugin UTA lot1 et lot2\r\nRéunion Validation des spec UTA lot 2\r\nRéunion dev auto/perf'),
(31842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nPlugin UTA lot 2 \nMapping des données à envoyer avec le xml\nTest du lot 1 sur la bac a sable vie des environement'),
(31845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nPlugin UTA lot 2\nSupport de leila avec Postman\nEntretien avec Pierre BRUNET'),
(31846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nPlugin UTA lot 2 \r\nPoint UTA validation du mapping'),
(31847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\r\n\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-87\r\nABP: 14.1.32-SNAPSHOT 3240\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.184\r\n\r\n[SPEEDUP] Tests des nouveaux markets Badminton en Live et Pré-Match (INT8):\r\n>> Vérification d’ANO053764: changement de mapping du market \"Total Set\"\r\n>> Test ARJEL et ETL \"Score Exact\"'),
(31852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\n\nHOST: agpadmi11\nSITE: fdj2-origin_release_16-87\nABP: 14.1.32-SNAPSHOT 3240\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.184\n\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\nHOST:           agpadmi11\nSITE:           fdj2-origin_release_16-87\nABP:            14.1.32.0-SNAPSHOT 2\nMOBILE:         origin_release_8\nARGUS:          14.1-125\nPLATFORM:       1.0.184\n'),
(31850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nGamification (CNIL) : FDL017737'),
(31851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nSAFERGAME : Installation ETL FDL018231'),
(31854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-87\r\nABP: 14.1.32.0-SNAPSHOT 2\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.184'),
(31855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nPostman : implémentation des cas de test VuGen.\r\n\r\nALM : maintenance des cas de test \"failed\" suite à dernière campagne.'),
(31860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nPostman : implémentation des cas de test VuGen.\n\nALM : maintenance des cas de test \"failed\" suite à dernière campagne.\n\nRéunion : [MOKA] COPRO SI / VISIO'),
(31859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nPostman : implémentation des cas de test VuGen.\n\nALM : maintenance des cas de test \"failed\" suite à dernière campagne.\n\nRéunion : [MOKA] Et le front dans tout ça ?\n\nPoint Back - Poupées russes'),
(31886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nEcriture cas de test dans HP ALM :\n -Documentation FREEDOM\n-Ecriture des cookie de test dans ALM: réconciliation versement sur borne'),
(31862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(31876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nSAFERGAME : Qualification MOD012749, ANO053558, ANO053659'),
(31864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n'),
(31865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nMCU Court Commercial'),
(31866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nExtraction des incidents'),
(31869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nRDI, recherche et envoi de Log sur les modifications de PDV de mercredi avec francoise'),
(31868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE et BTI.050.06 [INNO] PLAYSTATION: rédaction MODOP installation CALYPSO DMT0017283, DMT0014284\r\n'),
(33248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n- Daily\n- Préparation Mep\n- Tests acceptance + qualif vitan 5.9.001'),
(33331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nAnalyse d\'anomalies et suggestions de corrections à Meryl Lebkiri pour qu\'il fasse les corrections en attendant d\'avoir le réseau sur le Mac pour effectuer les corrections moi-même.'),
(32501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nSupport pb de prod bingo\nReunion : PEGA attendus avec les FDLs\nCrm Lot1 : parametrage salt, test de flux'),
(31877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nSAFERGAME : Point critiques des sujets en cours avec E.Becquet'),
(31879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018127_egide_4.60.06_liv sur INT8EGID'),
(31880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE WS  4.07.01 FDL018180 sur INT8EGID'),
(31882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\n'),
(31883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n'),
(31884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nRelecture + Mise en place Test'),
(31885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\n'),
(31946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nSAFERGAME : Création ANO053897, DMT0015117 pour vérification LDAP'),
(31889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nMCO EGIDE et Court commercial'),
(31890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nExtraction des incidents'),
(31891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBCO.096.31 [REM] EVOLUTION REMUNERATION INTERMEDIAIRE LOT 1 [INT2SAGA] DMT0012991 Resectorisation du Détaillant D088904 (affilié au secteur 178) vers le secteur 225'),
(31893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE FDL017990, reinstall sur INT4EGIDE\r\n'),
(31897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 3240 RC - Combinés Boostés\nPréparation Campagne suivante (ajout cas de tests).'),
(32234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nRéinstallation INT81 en VSR Bric pour test du Patch Falcon 2.8.1: test en attente car Falcon 2.8.1 pas encore installé sur INT8.\n\nAssistance de la perf pour finalisation d\'isntallations des nouvelles boutiques: pb salt etc ....\n\nTest d\'authentification et inscription sur le 91: tout est ok avec Boutiques Moka/Falcon patch Moka livré ce matin et Flag futur désactvité (bloquait la veille avant patch Falcon).'),
(31903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nRTC - 62128'),
(31904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nRTC-77861'),
(31906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\n'),
(31907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n'),
(33161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nPREPARATION DU CATALOGUE EN VUE DE LA CAMPAGNE DE QUALIFICATION IF\r\nMONSTER WIN  ET PICK AND MATCH'),
(34465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n'),
(35873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n'),
(31912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nPoint de synchro IF / GAMIF / JEUX. Point d\'avancement HP UTA.\nDéfinition et Implémentation de cas de test GAM Back.'),
(31921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nExécution des tests NREG sur la 14.1.32-SNAPSHOT 2'),
(31920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nExécution des tests NREG sur la 14.1.32-SNAPSHOT 2'),
(32098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nPostman : implémentation des cas de test VuGen.\n\nALM : maintenance des cas de test \"failed\" suite à dernière campagne.\n\nCampagne d\'acceptance INT91 : \nDA 5.5.0 / DI 5.5.0 / DU 5.5.0 (Falcon USR - usr/2.8.1-1)\nAction : préparation et lancement'),
(31918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\nCréation de la MOD012718 : [JASON] [WSPO] Nettoyer le code inutile dans WSPO ; Travail sur Retail int0 et int9'),
(31919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nQualification de l\'ANO052053 : [SPDV] Match indiqué comme perdu alors qu\'il n\'a pas encore eu lieu ; Création MOD012742 : [PDV][Android] Prise en compte des nouveaux catalogues versionnés pour mobiles et tablettes ; Création MOD012743 : [PDV][IOS] Prise en compte des nouveaux catalogues versionnés pour mobiles et tablettes'),
(33268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n- Daily\n- Tests qualif limites sessions + promos (vitan + wspoenl)'),
(31977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nToujours des problèmes de connexion réseau\nArrêt de la campagne d\'Acceptance : Falcon USR-2.8.1 suite à livraison de Falcon USR-2.8.2\nExécution campagne d\'Acceptance : Falcon USR-2.8.2 sur INT9\nImplémentation cas de tests Modérateur Lot2'),
(31960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(32039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(32040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(31931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n'),
(31932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[RAM004] Qualification de la MOD MOD012486'),
(31934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n'),
(31935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n'),
(31957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nSIDCOM TR2 deblocage // SIDCOM TR3 deblocage // SIDC TR1 En attente //SIDC TR2 En attente//SIDC TR3 OK'),
(31940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - TEST CSAM NEPTUNE'),
(31941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(31956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nLancement des campagnes d\'acceptance falcon usr 2.8.1 et 2.8.2 sur INT9 Palier MOKA. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2. ITF : Installation du super croupier pour le jeux POTION EXPLOSION 2017. Lancement d\'une campagne de qualification sur le jeux POTION EXPLOSION 2017. Analyse de la campagne d\'acceptance facon usr 2.8.2 sur INT9.'),
(31944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[MOKA] Etat des lieux des différents environnements d\'intégration'),
(31945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nSAFERGAME : Installation Cognos FDL018182, Datastage FDL017762 sur INT4'),
(31947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec PMaigne'),
(31948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nExécution des tests NREG sur la 14.1.32-SNAPSHOT 2'),
(31949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nExécution des tests NREG sur la 14.1.32-SNAPSHOT 2'),
(31950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[MOKA] Installation des FDLs FDL018088 FDL0182012 FDL0182013 FDL018245'),
(31965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nSAFERGAME : Création ANO053910, '),
(31952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 FDL018125 SAGA install ETL sur INT8SAGA et INT5ETL9'),
(31954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE  rédaction MODOP installation CALYPSO'),
(31955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nLivraison mail SAGA INT8SAGA (pas encore de référence FDL)'),
(31988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nSIDCOM TR2 OK// SIDCOM TR3 OK// SIDC TR1 OK// SIDC TR2 OK apres relance et resolution probleme sport // SIDC TR3 OK'),
(33249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n- Daily\n- Lecture Doc Amex Confluence\n- ANO053915 et ANO053926 sur appels en background de PSEL Android.'),
(31961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nSAFERGAME : Installation FDL018131 ADminSFG sur INT4'),
(31963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n-Ecriture des tests dans Postman :\r\n 01 - Create a payment _ POST /usr/payments'),
(31964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nSAFERGAME : Assistance HIA pour reprise de données'),
(31966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM'),
(31967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nSAFERGAME : Coproj avec M.Anne  point avec P.Slimani'),
(32097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nCampagne d\'acceptance INT91 : \nDA 5.5.0 / DI 5.5.0 / DU 5.5.0 (Falcon USR - usr/2.8.1-1)\nAction : préparation et lancement'),
(32096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nCampagne d\'acceptance INT91 : \nDA 5.5.0 / DI 5.5.0 / DU 5.5.0 (Falcon USR - usr/2.8.1-1)\nAction : rejeu des cas de test qui n\'ont pas fonctionné.\nAction : analyses des cas de test \'failed\''),
(31972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nEcriture des tests sous POSTMAN pour le projet Freedom.'),
(31973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nEcriture des tests sous POSTMAN pour le projet Freedom.'),
(31976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[GAMIF] Installation de la FDL018200 sur le TR3'),
(31975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[GAMIF] Installation de la FDL018199 sur le TR3'),
(32001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nImplémentation cas de tests Modérateur Lot2\nExécution campagne d\'Acceptance : Falcon USR-2.8.2 sur INT8'),
(32002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nExécution et analyse campagne d\'Acceptance : Falcon USR-2.8.2 sur INT8\nImplémentation cas de tests Modérateur Lot2'),
(31980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nImplémentation cas de tests Modérateur Lot2'),
(31983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nPoint Gamification.\nDéfinition et Implémentation de cas de test GAM Back.'),
(31984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back.\r\nPoint de synchro IF / GAMIF / JEUX.\r\nDev VuGen - Point hebdo.'),
(31985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(31986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nMCO control m tr 123'),
(31987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(31990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[MOKA] redaction et intégration dans l\'ALM des 20 cas de test'),
(31991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n'),
(31995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nExecution tests V1.13.0'),
(31996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nMise en place ALM pour V1.14'),
(31993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n81335 proposition d\'annulation + analyse de code\r\n 82469 fini\r\n 59741 proposition d\'annulation \r\n 73865 analyse 0.2j'),
(31994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n 82469 '),
(31999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nDemande de récupération des apk et ipa des applis FDJ 1.0 et 1.1 qui sont toujours en PROD pour tests du grand loto de Noël\r\nTest de non régression sur les applis FDJ 1.4.2 et 1.4.1 IOS et Android + vérification du bon fonctionnement de l’intégration des nouvelles fonctionnalités '),
(31998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nMise en place ALM pour V1.14'),
(32000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nTest de compatibilitée Grand loto de Noel sur appli FDJ 1.0 - 1.1 - 1.2 -1.3\r\nTest de non régression sur les applis FDJ 1.4.2 et 1.4.1 IOS et Android + vérification du bon fonctionnement de l’intégration des nouvelles fonctionnalités '),
(32003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nPalier MOKA : Tests ARJEL'),
(32004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nPalier MOKA : Tests ARJEL'),
(32005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nPalier MOKA : Tests ARJEL'),
(32006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nPalier MOKA : Tests ARJEL'),
(33251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n- Daily\n- Investigation problème appels getPursato en background\n- Etat des lieux Amex (avant, maintenant, après)'),
(32024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nFalcon API : merge USR 2.8.2\nFalcon scripts : evolution du POSTAccount suite au merge API USR 2.8.2\nsupport sur scripts truClient pour l\'Arjel\nEvolution du routeTableManager pour GAM\nEvolution du FalconPUTPayments suite aux modificaitions des nombres dans les Builders'),
(32009, 'MAJ du code + JDB : \r\nUPDATE pps000.public.user_\r\nset languageid=\'fr_FR\'\r\nwhere languageid=\'fr\';'),
(32010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.'),
(32011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.'),
(32012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nAcceptance IF\r\n'),
(32013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nInstallation des composants Falcon sur INT8'),
(32015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nUTA\nAnalyse retour Leila sur les scripts.'),
(32025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nUTA\nPoint dev auto/perf\nPrise de connaissance sur les nouvelle clé du tunnel  (modérateur lot 2)'),
(32018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nFalcon Protogen : evolution pour gerer les type boolean sous forme de char*\nAjout de 3 macros dans FDJ_Falcon_DataBuilder pour la gestion de ces type booléen dans les objet JSON\n[Réunion sur les pb rencontrés sur les scripts truClients]\n[dev vuGen - point hedo]\nScripts Falcon : Evolution des scripts du groupe Limits et Financial concernant le traitement des nombres en chaine de caractères par les Builders'),
(32019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nInteractive factory\r\nprojet mokka'),
(32091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nUTA test et correction de bug\nPoint Postman Leila'),
(32021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nInteractive factory\r\nprojet mokka'),
(32023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nUTA corrrection de bug'),
(32192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nqualification et publication des modifications de script et API concernant la gestion des nombre en chaine dans les Builders.\nGénération de l\'API PMS\nAjout de la liste des services PMS dans le suivi API'),
(32180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\netude impact du nouveau protogen Falcon par rapport a la génération d\'API pour les composants partagés avec la perf.\nPoint avec la perf sur les impacts du protogen et adaptations à prévoir\nAdaptation des macros d\'ajout de nombre et booléen dans les objets JSON afin de distinguer integer et Double, et déplacement des macros dans les utlities du tronc commun'),
(32540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nMOKA_ Identification Sport PDV : Point sur les réponses fournies (non fournies) pendant mon absence - Lecture des échanges de mails et échanges sur anos ouvertes'),
(32541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nMOKA :\n0,5 : suivi d\'avancement global du palier\n0.5 : Exécution campagne de tests sur la version USR2.8.2'),
(32542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nMOKA :\n0.5 : Exécution campagne de tests CRM Lot 2 sur version USR2.8.2\n0.5 : DET Arjel : Exécution de test sur la BOX ( pointage dans l ALM des tests auto ?!?)'),
(32543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nMOKA _ DET Arjel : Exécution de test sur la BOX ( pointage dans l ALM des tests auto ?!?)'),
(32032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nMise en place campagne V16'),
(32033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nMise en place campagne V16'),
(32034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nMise en place campagne V16'),
(32035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nMise en place campagne V16\r\nSuivie avancement automatisation'),
(32365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nPérimètre revu avec Élise : \nFaire comme sur le Hockey :\n- Checktemplate\n- Crea offre\n- updt offre\n- Resulting\n\n==> S\'appuyer sur les documents de formation dans \"programme sport\"\n\nFormation avec Hakim\nA faire :\nS\'assurer que le template soit OK dans :\n- Template Manager\n- Utilities (ouverture de markets pour Template Mngr)\n- Price Deriving Manager\n- Translation Manager\n\n\n==> Travail dans ALM a partir de l\'existant.'),
(32366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nPérimètre revu avec Élise : \nFaire comme sur le Hockey :\n- Checktemplate\n- Crea offre\n- updt offre\n- Resulting\n\n==> S\'appuyer sur les documents de formation dans \"programme sport\"\n\nFormation avec Hakim\nA faire :\nS\'assurer que le template soit OK dans :\n- Template Manager\n- Utilities (ouverture de markets pour Template Mngr)\n- Price Deriving Manager\n- Translation Manager\n\n\n==> Travail dans ALM a partir de l\'existant.'),
(32106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nSIDCOM TR2 OK// SIDCOM TR3 Debloqué// SIDC TR1 OK// SIDC TR2 OK// SIDC TR3 OK'),
(32107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[BDI.055.32 [PTF] GESTION DE CAMPAGNES] Création de la DMT0015189 pour ajout d\'un code projet dans ALM pour la création des defects'),
(32044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[GAMIF] Qualification des données du 31/10 intégrées dans le SID sur le TR3 et acceptation des 2 FDLs FDL018199 et FDL018200'),
(32046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[MOKA] Création d\'une anomalie ANO053964 TR2'),
(32047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nCampagne CB 14.1.32-SNAPSHOT 2'),
(32048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nCampagne CB 14.1.32-SNAPSHOT 2'),
(34641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nCampagne CB 14.1.32-SNAPSHOT 2'),
(34642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nCampagne CB 14.1.32-SNAPSHOT 2'),
(33252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nFormation SALT / Git'),
(33253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nFormation SALT / Git'),
(32055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 2 - Combinés Boostés'),
(32057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 2 - Combinés Boostés'),
(32058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 2 - Combinés Boostés'),
(32059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nvie des environnements'),
(32063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\ncampagne nr batch moka'),
(32061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\ncampagne nr batch moka'),
(32062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(32064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(32065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\ncampagne nr batch moka');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(32067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n- Daily Coco (quotidien pour tous les jours de la semaine)'),
(32068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n- [BENCHMARK] Concurrent et E-commerce - Laetitia REMY'),
(32069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n- Mise à niveau environnements 02 / 12 / 22 / 42\r\n- Préparation Cas de tests MOKA - Mod Lot 2'),
(32070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n- Préparation Cas de tests MOKA - Mod Lot 2\r\n- Tests suite à niveau USR 2.8.2 sur INT 81 et 91'),
(32071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n- Préparation Cas de tests MOKA - Mod Lot 2\r\n- Tests et installs MIG / MAG / MUG pour VSR Bric\r\n- Support tests autos et dev'),
(32073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n- Tests et installs MIG / MAG / MUG pour VSR Bric\n- Analyse ano inscription Sport sur INT81 (problème ARJEL ?)\n- Coordination mise à niveau modulaire MOKA'),
(32074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nImplémentation de tests automatisés sur la rectification de données personnelles (ARJEL).'),
(32657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nImplémentation cas de test Mify'),
(32658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nImplémentation cas de test Mify'),
(32659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nImplémentation cas de test Mify'),
(32660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nImplémentation cas de test Mify'),
(33270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nImplémentation de tests automatisés sur la rectification de données personnelles (ARJEL) 11 tests à implémenter.'),
(33271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nImplémentation de tests automatisés sur la rectification de données personnelles (ARJEL).'),
(33272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nImplémentation de tests automatisés sur la modification d\'informations joueurs, la modification de coordonnées bancaires, les actions bancaires opérateur.'),
(32082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n'),
(32083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nEcriture de cas de tests sur PSEL'),
(32084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nFDL018252'),
(32085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nFDL018258'),
(32086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nFDL018278'),
(32087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nEcriture de cas de tests sur PSEL'),
(32088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nFDL018282'),
(32089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nEcriture de cas de tests sur PSEL'),
(34374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nEcriture de cas de tests sur PSEL'),
(32092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[MOKA] Installation de la FDL018203 sur le TR2 + modification du .profil + ajout des répertoires de logs et de scripts'),
(32093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nCampagne d\'acceptance INT81 : \r\nDA 4.4.6 / DI 4.2.2 / DU 4.3.1 (Falcon USR 2.8.2)\r\nAction : préparation et lancement\r\nAction : analyse préliminaire des résultats\r\nAction : rédaction du bilan de campagne\r\nAction : maintenance des cas de test \"failed\"\r\n \r\nPostman : implémentation des cas de test DIGISHOP U'),
(32604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nSALT'),
(32640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nanalyse d environnement: analyse de logs pour identifier l origine et les flux de fichiers user agent dans les répertoires'),
(32641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nanalyse d environnement: analyse de logs pour identifier l origine et les flux de fichiers user agent dans les répertoires'),
(32105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[MOKA] Synchronisation de la préparation de la réinitialisation des données référentiel jeu TR2'),
(32100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nPostman : implémentation des cas de test DIGISHOP U\n\nCampagne d\'acceptance INT81 : \nDA 4.4.6 / DI 4.2.2 / DU 4.3.1 (Falcon USR 2.8.2)\nAction : maintenance des cas de test \"failed\"\n'),
(32603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nSALT'),
(32134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nParticipation à la formation a Salt et Boutiques tte la journée\n\nPoint sur les installs, éléments en cours etc ...'),
(34415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nMCO control m tr 123\ncrm lot 1 mail adobe'),
(32326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n-Ecriture des tests dans Postman :\n 01 - Create a payment _ POST /usr/payments'),
(32113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nNomenclature commune'),
(33330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nTraitement des ano sport ANO051403, ANO040355, ANO052062'),
(33329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nTraitement anomalie [ANO053350] [HASARD] fdjOffer is not define, affichage des résultats loto KO'),
(33328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nTraitement anomalie \n[ANO053210] [MAPI] Mentions légales My Million / Raffle incorrect\nConfiguration du Mac (non terminée) car le réseau a été activé le mardi 31/10/17'),
(32117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\n- maj boutiques environnement int81\r\n- investigations echecs d\'inscription, mauvaise version falcon'),
(32230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n- maj boutiques int42\n  \'digishopa\': \'4.4.6\',\n  \'digishopi\': \'4.2.2\',\n  \'digishopu\': \'4.3.1\',\n  \'digishopp\': \'1.7.0\',\n  \'digishopg\': \'1.0.8\',\n- maj jenkins/postman sur service apimaitre/get-home\n- maj palier-amigo sur SALT pour prise en charge nouveaux services Digi-G 2.0'),
(32119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n- maj tests jenkins/postman sur catalogs appli FDJ\r\n- support dev anomalie mentions légales mymillion et raffle\r\n- maj boutiques int02 ISO-PROD\r\n  \'digishopa\': \'4.4.6\',\r\n  \'digishopi\': \'4.2.2\',\r\n  \'digishopu\': \'4.3.1\',\r\n  \'digishopp\': \'1.7.0\',\r\n  \'digishopg\': \'1.0.8\',\r\n- maj boutiques int32 ISO-PROD\r\n  \'digishopa\': \'4.4.6\',\r\n  \'digishopi\': \'4.2.2\',\r\n  \'digishopu\': \'4.3.1\',\r\n  \'digishopp\': \'1.7.0\',\r\n  \'digishopg\': \'1.0.8\',\r\n- maj boutiques int31 ISO-PROD\r\n  \'digishopa\': \'4.4.6\',\r\n  \'digishopi\': \'4.2.2\',\r\n  \'digishopu\': \'4.3.1\',\r\n  \'digishopp\': \'1.7.0\',\r\n  \'digishopg\': \'1.0.8\',\r\n- maj boutiques int12 ISO-PROD\r\n  \'digishopa\': \'4.4.6\',\r\n  \'digishopi\': \'4.2.2\',\r\n  \'digishopu\': \'4.3.1\',\r\n  \'digishopp\': \'1.7.0\',\r\n  \'digishopg\': \'1.0.8\','),
(32121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n- atelier salt\r\n- support dev, configuration edwan et synchro pour mise en service boutique G\r\n- maj SALT pour palier amigo, intégration sqlites keno, euromillions, amigo\r\n- maj swagger Digishop-G 2.0.0\r\n'),
(32549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n- atelier salt\n- mise en place outil pour gestion des docs swagger\n- gestion du tri dans les docs swagger\n- intégration docs swagger Digishop P et G\n'),
(32123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n'),
(32124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nAcceptance du jeu Potion Explosion'),
(32125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nValidation de l\'ajout d\'informations dans les logs de la Gateway SOA sur l\'environnement INT2'),
(32130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nMontée en compétence DigishopU et MUGO'),
(32129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nCréation de la MOD012769 : [PDV] [MAPI] [T] Checkversion, prendre en compte la nouvelle application PSPDV ; Création de la RITEM0057219 : pour ouvrir la communication sur le port 1443 sur les int0 et int9 du RETAIL'),
(32132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nFormation Salt et Git; Acceptance MUGO 1.0.46'),
(32557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nFormation Salt et Git'),
(32136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nSuite formation Salt/ Boutiques/Git'),
(32141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nSAFERGAME : Installation CFM FDL018256,FDL018254 SQL FDL018255, Datastage FDL018272, Cognos FDL018249 sur INT3'),
(32140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nSAFERGAME : Installation CFM FDL018256, Datastage FDL018272, Cognos FDL018249 sur INT4'),
(32142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne'),
(32143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nSAFERGAME : Création DMT0015213, qualification ANO053660'),
(32228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n- maj jenkins/postman sur service apimaitre/get-home\r\n- maj palier-amigo sur SALT pour prise en charge nouveaux services Digi-G 2.0'),
(32147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n[RDI 1.1] Rédaction d\'1 cas de test et mis à jour de 4 cas de test.'),
(32156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[RDI 1.1] Rédaction de 4 cas de test'),
(32149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n[OMNI CANAL] Etude des spécifications.'),
(32151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[RDI 1.1] Qualification de la procédure d\'initialisation des adresses.'),
(32152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[RDI 1.1] Poursuite des tests de qualification sur le TR5.'),
(32153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[RDI 1.1] Préparation des cas de tests pour la Qualification du TR5 semaine 44.'),
(32155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[RDI 1.1] Copie des bases de prod COUR, COURDT, SAGA et KHEO9 pour la RM sur l\'environnement TR4.'),
(32157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[RM004] Réception de la FDL018160 CALYPSO'),
(32159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nSIDCOM TR2 OK// SIDCOM TR3 Debloqué// SIDC TR1 OK// SIDC TR2 OK// SIDC TR3 OK'),
(32164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n[MOKA] création de la DMT0015232 pour ajout du nouvel user isidcad pour ADOBE + Reprise de données pour génération du fichier referentiel jeu + modification des jobs controlm avec HIA concernant l\'import des données depuis adobe'),
(32163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nEcriture cas de test dans Postman\n'),
(32162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nEcriture cas de test dans Postman\r\n Bug check (projet IF)'),
(32165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[RDI 1.1] Exécution des Campagnes de tests de qualification'),
(32166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[RDI 1.1] Exécution des campagnes de tests de qualification\r\n'),
(32174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nANVCTX & PUMA'),
(32172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\naccès au Git depuis les VM CALI, SAMBA, ...'),
(32173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nscripts maj_env pour linux'),
(33327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n[HASARD] MAJ Charte vie privée \nConfiguration Mac (non terminée...)'),
(32176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n[RTC-54702] AP - CU Consulter/Editer une AP - possibilité de le faire par le séjour'),
(32177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[RTC-77861] ESC - CU Consulter/Editer une escale - Horodatages fonctionnels faux sur tout le dossier d\'escale'),
(32178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[RTC-77861] ESC - CU Consulter/Editer une escale - Horodatages fonctionnels faux sur tout le dossier d\'escale'),
(34074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n-Mise à jour collection Postman Freedom'),
(32574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nPréparation campagne DET15.'),
(32575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nPréparation campagne DET15.'),
(32576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nPréparation campagne DET15.'),
(32220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\n[Certif PDV] Point d\'étude\nChangement référencement FDL017987 sous BRIC [Poupées Russes]'),
(32189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nDeveloppement de l\'option recuperation des données via fichier csv soit via base de données\r\nDeveloppement de tests case MUG'),
(32190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nDeveloppement  de tests case MUG \r\nDeploiement des sources sur Git \r\nIntegration des tests sur jenkins\r\n'),
(32198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(32199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(32200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - WS 4.07.01 FDL018180 sur INT4EGID'),
(32201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL017993_egide_4.60.04_liv sur INT4EGID'),
(32202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018105_egide_4.60.05_liv - INT4EGID'),
(32203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018127_egide_4.60.06_liv INT4EGID'),
(32223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nMise au point sur les anomalies faq/email de digishop A/P\nNettoyage des confs des environnements PTAB\nRédaction d\'exemples pour la documentation de l\'exigence IQ\nTest de non regression sur Digishop P\nCreation ANO054037 sur un probleme de log digishop A dnas digishopP'),
(32207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nSIDC TR1 OK //SIDC TR2 OK génération du fichier réferentiel jeu ADOBE// SIDC TR3  OK'),
(32209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nTest NREG de la version SNAPSHOT 2 sur INT1'),
(32210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nTest NREG de la version SNAPSHOT 2 sur INT1'),
(32784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nTest NREG de la version SNAPSHOT 7 sur INT3'),
(32785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nTest NREG de la version SNAPSHOT 7 sur INT3'),
(32814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nTest NREG de la version SNAPSHOT 7 sur INT3'),
(32215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nITF : Lancement de la campagne Back sur le jeu Yummy Stack Hiver. ITF : Lancement de la campagne de non régression IF sur INT81 pour valider la nouvelle version de Hazelcast. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(32398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nExécution et analyse campagne d\'Acceptance : Falcon USR-2.8.3 sur INT9\nPrise de connaissance BINGO\n'),
(32222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n'),
(32224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nInvestigation sur un probleme de tracking sur PTAB\r\nInvestigation sur un probleme de generation du rapport junit des tests digishopp sur jenkins\r\nCreation DMT0014618'),
(32233, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nspec + devis'),
(32236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nRéinstallation INT81 en VSR Bric'),
(32237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-87\r\nABP: 14.1.32.0-SNAPSHOT 2\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.184'),
(32238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n[PSMSv2] Campagne des nouvelles fonctionnalités CB sur INT1\r\nHOST: agpadmi11\r\nSITE: fdj2-origin_release_16-87\r\nABP: 14.1.32.0-SNAPSHOT 2\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.184'),
(32247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[SPEEDUP] Vérification des nouveaux sports d\'hiver sur INT3\n\nMOD011841 - [SPEED-UP] New Sport Request : SKATING\nMOD011840 - [SPEED-UP] New Sport Request : SKELETON\nMOD011839 - [SPEED-UP] New Sport Request : LUGE\nMOD011838 - [SPEED-UP] New Sport Request : BOBSLEIGH\n\n[SPEEDUP] Mise à jour des templates de tests des Sports d\'Hiver sur INT3 \n\n[AUTRES] Lecture des Docs V16'),
(32248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nRéunion pour analyser les mauvaises performances des jeux Super 100/200/500\nRéunion GAMIF'),
(32245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nInstallation et contribution de ct2017 sur INT91 v1.0.3 afin que les tests d\'authentification puissent être fait sur un jeu gamifié\n'),
(32246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nInstallation de NXT sur INT51 et PERF2'),
(32249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nrédaction tests pour V1.14.0 - \r\nInitialisation report ALM pour V1.14\r\nRéunion équipe projet'),
(32250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n-Mise à jour test Postman\r\n-Ecriture des cas de test de Batch manuelle  de reconciliation FREEDOM '),
(32254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 2 - Combinés Boostés'),
(32253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[Congés]: Retour de congés + [Combiné Boosté BACK / 14.1.32-SNAPSHOT 2 / INT1 ou SNAPSHOT 7 / INT3]: MAJ des tests ALM / Anomalie ANO053844'),
(32255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nExtraction des incidents'),
(32256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nRAM.007 Gestion des environnements DMT0014873 Ajout d\'un RIB aux détaillants suivants dans SAGA sur le Transverse 3'),
(32257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL FDL018233 Contradet v1.6.4 / paramétrage des contrats d\'agrément V6 et d\'équipement V6'),
(32258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nExtraction des incidents'),
(32261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nMCO EGIDE et Commercial'),
(32262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nRestauration base données PROD SAGA sur INT4SAGA'),
(32263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nRestauration base données PROD KEOPS -> pb espace disque'),
(32264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nRestauration base données PROD COURTAGE + script sur INT4COUR'),
(32265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run, DMT0015107, FDL018160 (PB arbo dans fdl), FDL018143'),
(32272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nExtraction des incidents'),
(32267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nMCO EGIDE et Commercial'),
(32270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nMAJ données sur INT4EGID pour Tristan CARTOUX (PB lors de l\'enregistrement \"APII2\")'),
(32269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nPB copie de base INT9EGID'),
(32273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nDMT0015219 pour creation user VEGIDE INT9EGID'),
(32274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nExtraction des incidents'),
(32275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nMCO EGIDE et COURT COMMERCIAL (PB sur egide et saga -> relance)'),
(32276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nMAJ données sur INT4EGID pour Tristan CARTOUX (PB lors de l\'enregistrement \"APII2\")'),
(33541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nPB installation EGIDE WS 4,07,01 FDL 018180'),
(32278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nExtraction des incidents'),
(32280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER WebService 4.07.01 FDL018180 sur INT9EGID'),
(32281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL Installation FDL017108_egide_4.51.00_liv sur INT9EGID'),
(32282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.28 [FDV] BOOSTER PE Installation FDL017950_egide_4.51.01_liv sur INT9EGID'),
(32283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER Installation FDL018133_egide_4.51.02_liv sur INT9EGID'),
(32284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER Installation FDL018250_egide_4.51.03_liv sur INT9EGID'),
(32383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[MOKA] Analyse et validation anomalie ANO054052 TR2'),
(32304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMise à jour des environnements. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(33274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nEnvironnements tous KO (obsolescence), travail sur l\'organisation des tests, reprise sur la documentation, mise à jour et implémentation des steps pour anticiper les évolution.'),
(33273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nImplémentation de 26 tests automatisés (modifications d\'infos joueurs) pour les tests BOX ARJEL.'),
(33275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nEnvironnements KO mais Implémentation de tests auto ARJEL (maintenance requêtes, etc...).'),
(33278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nImplémentation de tests auto sur ARJEL suite (tests F-crédits et E-crédits) + modification IBAN.'),
(33523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[MOKA] Création de l\'anomalie ANO054020 puis suspension après investigation + création de la DMT DMT0015298 pour ajout des composants Infocentres dans le projet ALM + création de l\'anomalie ANO054044sur l\'univers SID Client 8.0.0'),
(32295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[AUTRES] Lecture des Docs V16\r\n\r\n[AUTRES] Écriture d\'un référentiel technique V16 pour les tests manuels\r\n\r\n[INFO]  Mardi 07/11 et mercredi 08/11, les environnements d’intégration seront indisponibles :\r\n•	Intégration : Mise à jour des OS le 7/11. Pour les DBs, la charge de travail étant importante, la priorité sera mise sur les DBs Pairs puis les Impairs. Si l’ensemble des DBs ne peut être traité le 7/11, les DBs Pairs seront livrées le 7/11 et les dernières Impairs le 8/11matin.\r\n•	Performance : Les deux environnements Perf1 et Perf2 seront mis à jour le 9/11 (OS et DBs).\r\n'),
(32301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nNettoyage livraisons obsolete sur les environnements et ojadgate\nNettoyage des exports obsoletes sur les environnements\nReunion Anabela PERRIER\nMise au point avec Dhira Clea sur l\'ANO054037 '),
(32417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nSAFERGAME : Création ANO054015 + DMT0003734'),
(32300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne + point sur l\'intéraction Control-m et IIB avec IBM'),
(32437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n'),
(32307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n'),
(32309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nDocumentation FREEDOM\r\nEcriture cas de test dans HP ALM : 02 - Update a payment _ PUT /usr/payments\r\n-Documentation FREEDOM'),
(32317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nMontée en competence Elisabeth sur test auto Bingo\nInstallation usr 2.8.3-1 sur int8\nAnalyse UBO pour PEGA'),
(32318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMontée en competence Elisabeth sur test auto Bingo\r\nanalyse livraison usr 2.8.3-1\r\n'),
(32319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nfinalisation et tests de la FDL018134_Coheris_Oracle_BRIC_ANONYMISATION_CRM_F_5.7.3.0 pour l\'anonymisation de la base d\'intégration'),
(32320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n73865'),
(32321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n0.25 -> 73865\r\n0.75 -> 77861'),
(33254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n- Daily\n- Point avec le back (fabien billard)'),
(32314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n	Note\r\nMise à jour d\'imputation	2017-10-30 - lundi	22086		1	2	N/A	n244 - IF T4 - Besoin 1 : Intégration Qualification - Stream Projet France Interconnexion - ENVREC	-Ecriture des tests dans Postman :\r\n01 - Create a payment _ POST /usr/payments\r\nMise à jour d\'imputation	2017-10-31 - mardi	22086		0.5	1	N/A	n244 - IF T4 - Besoin 1 : Intégration Qualification - Stream Projet France Interconnexion - ENVREC	-Ecriture des tests dans Postman :\r\n01 - Create a payment _ POST /usr/payments'),
(32324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nPoint avec Alexandra/Mireille sur les boutiques et en particulier sur la boutique Publique installée vendredi dernier sur le modulaire INT11, concernant les tests de \r\nnon reg à passer + retour de ces tests aux groupes concernés.\r\n\r\nInstallation sur le transverse INT31 de la même boutique et communication à Alexandra pour compléments de tests notamment avec Cohéris (non installé sur le modulaire).\r\n\r\nPoint avec Leila pour campagne de tests sur Digishop A 4.4.7 sur INT11\r\n\r\nInstall sur le 31 des Boutiques A et P a jour pour VSR BRIC.\r\n\r\nInstall sur  le 81 en version Moka'),
(32327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nEnvironnements non dispo car maintenance générale \"Palier obsolescence\".\r\nPoint sur les éléments en cours de RAF (install, docs, échanges à réaliser etc...).\r\n\r\néchanges avec les dévs sur les nouveaux services Moka , fonctionnalités etc....\r\n\r\nRéunion Point Moka.\r\n\r\nPrise en compte des nouveaux process (git, ....) + suite échanges / préparation en attendant le retour des environnements.'),
(32378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nAjouter des PDJs webApp pour l\'ETL et corriger les requêtes associées --> Dépassement de 3,5 jours. Livré avec réserves.'),
(32335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-02  (Do not remove this line) -->\nÉchanges avec l\'équipe, compréhension des différents sujets'),
(32663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-24  (Do not remove this line) -->\nRédaction et mise à jour de scripts (Next et QuickAccess) supervisé par Lyna Achaibou'),
(32664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nRédaction et mise à jour de scripts (Next et QuickAccess) supervisé par Lyna Achaibou'),
(32665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nRédaction et mise à jour de scripts (Next et QuickAccess) supervisé par Lyna Achaibou'),
(32346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-05  (Do not remove this line) -->\nLecture de documents + échanges avec l\'équipe'),
(32666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nvisualisation du script de prise de jeux contrôlée'),
(32347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-06  (Do not remove this line) -->\nLecture de documents + échanges avec l\'équipe'),
(32667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nmise à jour de scripts Best, Ept, event, Favorites, FF, Gp, Live, Lme : supervisé par Lyna Achaibou + visualisation du script de prise de jeux contrôlée.'),
(32668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nmise à jour de scripts Best, Ept, event, Favorites, FF, Gp, Live, Lme : supervisé par Lyna Achaibou + visualisation du script de prise de jeux contrôlée.'),
(32669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nmise à jour de scripts Best, Ept, event, Favorites, FF, Gp, Live, Lme : supervisé par Lyna Achaibou + visualisation du script de prise de jeux contrôlée.'),
(32670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nmise à jour de scripts Best, Ept, event, Favorites, FF, Gp, Live, Lme : supervisé par Lyna Achaibou + visualisation du script de prise de jeux contrôlée.'),
(32355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nDeux sessions de formation dans la semaine + lecture de documents et compréhension du sujet'),
(32356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-10  (Do not remove this line) -->\nDeux sessions de formation dans la semaine + lecture de documents et compréhension du sujet'),
(32357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-11  (Do not remove this line) -->\nDeux sessions de formation dans la semaine + lecture de documents et compréhension du sujet'),
(32358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-13  (Do not remove this line) -->\nDeux sessions de formation dans la semaine + lecture de documents et compréhension du sujet'),
(32367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nTravail sur eTemptation et sur clarity --> Problèmes d\'intégration'),
(32368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nTravail sur eTemptation et sur clarity --> Problèmes d\'intégration'),
(32369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nTravail sur eTemptation et sur clarity --> Problèmes d\'intégration'),
(32370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nTravail sur eTemptation et sur clarity --> Problèmes d\'intégration'),
(32371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\nTravail sur eTemptation et sur clarity --> Problèmes d\'intégration'),
(32372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\nTravail sur eTemptation et sur clarity --> Problèmes d\'intégration'),
(32374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-25  (Do not remove this line) -->\nRéunion avec Lyna et Raphael pour déterminer le périmètre et le RAF. Voir mail du ven. 27/10/2017 10:38'),
(32375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nMontée en version de PHA'),
(32379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nMCO SID Commercial TR2 et TR3'),
(32380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nStock Grattage : Rattrapage des données BIC/SAGA/CALYPSO depuis le 03/11/2017.'),
(32382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[MOKA] Modifications des jobs controlm de transfert + Création de l\'anomalie ANO054077 relative a la difference d\'arboresence sur le nouvel user'),
(32385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n-Mise à jour des cookies de tests des batch manuels de réconciliations paiement sur bornes\r\n-Rq: problème sur les environnement qui sont down.'),
(32390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(32389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nBooster : Procédure de livraison Univers Egide + Livraison sur SVN'),
(32388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nGamification : Qualification statique SID Client.'),
(32391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nPIMO : Saisie des campagnes de tests dans HP ALM.'),
(32392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMaj EA NeptunePort pour les flux Pilotes'),
(32393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nRédaction tests V1.14'),
(32394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-12  (Do not remove this line) -->\n'),
(32396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n'),
(32397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[PC] : Maj Microsoft Office 365 (Office, Outolook, Skype) + [V16] : Documentation'),
(33256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n- Daily\n- Point Amex avec le back\n- Préparation des tests pour PSEL Androïd AMEX'),
(32404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nRedemarrage des services sur les environnements 1 a 8 de ptab + test de fonctionnement de tous ces environnements'),
(32406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nPostman : implementation Digishop U\n\n\nCampagne d\'acceptance INT11 : \nDA 4.4.7 (Falcon USR 2.7.11-1)\nAction : préparation et lancement\nAction : analyse préliminaire des résultats\nAction : rédaction du bilan de campagne\nAction : maintenance des cas de test \"failed\"'),
(32407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nPalier d\'obsolescence : maintenance des cas de test sur ALM.\r\n\r\nRéunion : [MOKA] Instance IQ\r\n\r\nRéunion : Point Equipe TEST AUTO\r\n\r\n'),
(32408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nPalier d\'obsolescence : maintenance des cas de test sur ALM.'),
(32440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n[AUTRES] Lecture des Docs V16\n\n[V16] Écriture d\'un référentiel technique V16 pour les tests manuels\n\n[SPEEDUP] Mise à Jour des Templates et des codes ARJELs sur INT3 pour les tests SPEEDUP'),
(32410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n'),
(32420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec M.Anne'),
(32419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(32421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nSAFERGAME : Préparation document MEP pour les installations produit IBM \"RecapFDL_Consignes_MEP.docx\"'),
(32422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM du jour + installation à 4 mains sur certificat sur cognos'),
(32423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne'),
(32439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nITF : Lancement de la campagne de non régression IF sur INT81 pour valider la nouvelle version de Hazelcast. ITF : Lancement de la campagne Back sur le jeu Crossingo 2017 et Justiceleague2017. Installation du super croupier pour le jeu CROSSINGO 2017 sur INT1 IF.'),
(32629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nanalyse de l\'activité réalisée sur le volley avec questions techniques : Point avec Elise et fabien sur le sujet ; puis point technique étendu avec l\"équipe et le client.'),
(32763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMétéo des transverses du Samedi 04 Novembre 2017 (CDC6427)'),
(32764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nMétéo des transverses du Samedi 04 Novembre 2017 (CDC6427)'),
(32765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nFDL018322'),
(32507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nProtogen Falcon : Validation de l\'ajout de la gestion des paramètres booléen sous forme de chaine et regénération de l\'API USR 2.8.2-1 et UsrTrusted 2.8.0-1\nSuppression d\'anciens builder pour FalconTransaction (decommissionnés dans Falcon et recréés dans Transaction)\n[Palier Omnicanal - Vie des environnements via PMS]\nFalcon USR Limits mise à jour de commentaire et suppression de services décommissionnés\nAjout de macros manquante dans FDJ_Falcon_Databuilder et correctif sur nommage de macro génériques dans FDJ_GenericJSONDataBuilder.h\nProtogen Falcon : modification sur nommage de macro pour alimenter un objet JSON depuis un parametre integer sous forme de string\nRouteTableGenerator :adaptation pour générer les routeTable PMS de facon statique\nProtogen Falcon : regeneration des API USR et UsrTrusted pour utiliser la nouvelle macro FalconDataBuilder_AddIntegerFromStringParameter\nProtogen Falcon : reGeneration API PMS 1.0.0-alpha3 avec correctifs sur JSON\nGeneration API PMS 1.0.0-alpha3 avec correctif manuel sur nom de services contenant des \"-\"\nGeneration des builders sur type FrameworkCore pour PMS\nFalcon USR Builders : Evolution sur la macro d\'ajout de parametre integer sous forme de chaine de caractères dans un objet JSON\nMaj de la Table de routage INT7 pour Falcon PMS\nFDJ_Multimedia_Global_Env_Falcon : préparation de la prise en charge de \"PMS\" et \"RTA\" pour INT7'),
(32432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nGénération de l\'API RTA (Retailer account management) limité au groupe de services /rtl/session\r\n[KAIZEN] Amélioration continue sur l\'identification des évolutions API\r\n[Dev VuGen - Point hebdo]\r\nFalcon RTA (Retailer account management) : nouvelle implémentation limité au groupe de services /rtl/session\r\nProtogen Falcon : Generation API pour Falcon USR 2.8.3-1 (modif usr.payments.payment.creation.request-1)'),
(32434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nrevue de code\r\nanalyse'),
(32502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nTest endowment Pega/ubo\nReunion migration bingo int1->preprod'),
(32438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n-Ecriture des cas de test dans ALM: BATCH Manuel Détection de Fraude'),
(32441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n77861 fini'),
(32443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nPoint UTA. Adaptation des scripts batch (atelier).\nDéfinition et Implémentation de cas de test GAM Back.'),
(32444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. Dev VuGen point Hebdo. Point de synchro IF/Gamif.'),
(32445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. Finalisation des blocs Falcon Admin GAMA. Transfert de compétences UTA.'),
(32447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n[V16]: Documentation + [Combiné Boosté BACK / 14.1.32-SNAPSHOT 7 / INT3]: Bug Fixing '),
(32448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nPalier MOKA : Mise à jour/Ecriture script ARJEL'),
(32449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nPalier MOKA : Mise à jour/Ecriture script ARJEL'),
(32450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nPalier MOKA : Mise à jour/Ecriture script ARJEL'),
(32451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nPalier MOKA : Mise à jour/Ecriture script ARJEL'),
(32452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nPalier MOKA : Mise à jour/Ecriture script ARJEL'),
(32454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(33025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Qualif CSAM Sign&Go'),
(32456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(32457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(32466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nIndisponibilité des environnements pour maintenance  (Obsolescence)\nImplémentation cas de tests Poupées russes Lot2/Modérateur Lot 2 (Non testé => A revoir après redémarrage des environnements)'),
(32465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nExécution campagne BINGO PFI 2.8.3 sur INT8\nImplémentation cas de test BINGO limite journalière (Non testé => A revoir après redémarrage des environnements)\nIndisponibilité des environnements pour maintenance  (Obsolescence)\nImplémentation cas de tests Poupées russes Lot2/Modérateur Lot 2 (Non testé => A revoir après redémarrage des environnements)'),
(32565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nImplémentation cas de tests Poupées russes Lot2/Modérateur Lot 2 (Non testé => A revoir après redémarrage des environnements)'),
(32467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nCodevTT ENEDIS'),
(32468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nInteractive factory Installation des composants falcon sur INT0 et INT4'),
(32480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nInstallation ETL Digital\nEtude Acceptance technique PMS'),
(32474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nEtude Acceptance technique PMS\nAcceptance technique interconnexion : environnement modulaire et environnement transverse'),
(32476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nRéalisation de script pour acceptance PMS'),
(32722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n-Ecriture/mise à jour des cas de test dans ALM: BATCH Manuel Détection de Fraude/réconciliation \r\nRq: Problème sur les environnement(INT8)'),
(32473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nNon-reg sur INT8 MUGO / MIGO / MAGO (iso prod) sur mini-site et borne ; Non-reg sur INT8 tablette détaillant'),
(32723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n[Combiné Boosté BACK / 14.1.32-SNAPSHOT 7 / INT3]: Campagne NonReg BACK Combiné Boosté + [V16 / 16.5.1-SNAPSHOT 228 / INT0]: Tests BACK relatifs aux Modules'),
(32724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n[V16 / 16.5.1-SNAPSHOT 228 / INT0]: Tests BACK relatifs aux Modules'),
(32478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nRéalisation de script pour acceptance PMS'),
(32479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nInvestigation DigishopR int9 ; rédaction tests sur ALM pour MUGO TPA'),
(32481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nRedémarrage de tous les front retail ; investigation sur différents problèmes sur les environnements d\'integration pour le domaine borne'),
(33121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nCréation de la DMT0015465 : [CLOUD RETAIL] Connexion impossible machine lx20404 ; Tests sur MUGO 1.1.2 avec DIGISHOP-U 5.0.0 -> KO (problème sur le type de paiement) ; Tests sur MUGO 1.1.2 avec DIGISHOP-U 5.1.0 -> KO (problème sur la limite du montant quotidien)'),
(33124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nTests d\'acceptance sur WSPDV 3.1.2 (FDL018369) -> OK ; Tests acceptance sur PSBOR 2.1.2 (FDL018301) -> OK ; Tests acceptance sur WSPO 3.1.10 (FDL018380) -> OK ; Création de la RITEM0057765'),
(32506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nEvolution du tronc commun lié aux changement de type sur le DataBuilder rest.amount en synchronisation avec la Perf (David D)\nITF et Xeres API : Evolution sur les Builders du RestAmount\nProtogen Falcon : Evolution pour le composant RTA et pour traiter le cas particulier du type application/vnd.lotsys.update.usr.account.request.data-1+json pour générer ses builder dans UsrAccount\nProtogen Falcon : Regéneration des builder du type application/vnd.lotsys.update.usr.account.request.data-1+json\nRouteTableGenerator : Evolution pour générer en statique la ressource du nouveau composant RTA\nFalcon PDJ RTG controlées : évolution pour le nouveau Builder FalconRestAmount_Build\nEvolution autres services Falcon pour modification des builders :'),
(32791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\ntest script RTA/PMS sous postman\nModification de scipts FalconBackOffice pour les tests ARJEL\n[Point lib Synchro falconBackOffice]\nITF : Evolution du Login FakeLottery (gestion du state dans oauth)'),
(32494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.'),
(32500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nImplémentation campagne Non Reg V16'),
(32498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nImplémentation campagne Non Reg V16'),
(32496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.\r\nEnvironnement de qualif indisponible.'),
(32497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nImplémentation campagne Non Reg V16\r\nSuivie avancement automatisation'),
(32499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.\r\nEnvironnement de qualif indisponible.'),
(32616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nAnalyse (+ préparation et échanges avec l\'équipe) des  problèmes avec Support Horoquartz'),
(32504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.\r\nExécution des campagnes de tests du projet Freedom sur INT8.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(32508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nTest sur Incident de prod sur scan de reçu qui remonte un retour ticket perdant alors que le tickets est gagnant\r\nMise en relation avec José pour recuperation log de prod josé a comparer avec le retour MRCD\r\nErreurs coté retour MRCD trouvée en attente des logs josé'),
(32519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\ncréation du groupe de service CMS + presentation de la gestion de l\'offre par Nathalie'),
(32544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nMOKA_ DET Arjel : MAJ test ALM et exécution manuelle de test BOX'),
(32511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\ncréation des scripts Footers, Seo/blocks et Logos du groupe de service CMS'),
(32512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nRetour des logs josé sur incident de prod, analyse du bug remontée a l’équipe ESTE\r\nCréation ANO054086 coté josé pour correction du bug\r\nValidation FDL018345 - FDL018346 Appli IOS et Android V1.4 + debut tests sur appli mobile livrée '),
(32545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMOKA_ Aucun environnement disponible\nDet arj : MAJ des cas de test BOX'),
(32546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nMOKA_ Aucun environnement disponible\nDet arj : MAJ des cas de test BOX'),
(32515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nvérification des nouveau code pour tester les types de variable'),
(32547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nMOKA_ INT8 indisponible (utilisation d\'INT2)\nDet arj : MAJ des cas de test BOX et exécution'),
(32797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nSAFERGAME : Qualification ANO053823, ANO051215'),
(33276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nEnvironnements KO mais Implémentation de tests auto sur ARJEL suite (tests F-crédits et E-crédits, paiements, NR USR etc..)'),
(32548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMOKA_ Det Arj : MAJ des cas de test BOX et exécution (si possible sur INT2)'),
(32523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. Finalisation des scripts Falcon Admin GAMA. Gamif - Préparation MEP.'),
(32524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nModification des testes de vérification des types de variables sur des scripts modifiés précédemment'),
(33137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nModification des testes de vérification des types de variables sur des scripts modifiés précédemment'),
(32809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nITF : Lancement de la campagne de non régression IF sur INT81 pour valider la nouvelle version de Hazelcast. Investigation sur une Anomalie de prod concernant la limite hebdomadaire pour les jeux avec Laurent Boggio'),
(32790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\n'),
(32559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n- atelier UTA\n- récupération campagnes Digishop-Game 1.0.8\n- investigations campagnes postman Digishop-G KO sur intégration et prod'),
(32553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n'),
(32555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nFSA'),
(32556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nFSA + DEX'),
(32566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nPrésentation du projet UTA\nModification UTA lot 3'),
(32567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nPoint dev Auto / Perf\nPoint boutique game avec Michel\nTest UTA et Correction de Bug\nPoint Postman Leila'),
(32569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nTest UTA et corretion de bug\nCréation de la documentation du projet UTA sur confluence'),
(32563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nReproduction Anos V1.13.0 retours VA'),
(32570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nPoint UTA\nTest UTA et correction de bug'),
(32794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nTest UTA et correction de bug\nPoint Michel sur la collection postman de la boutique game (bug)\npassage de connaissance sur l\'application UTA à Étienne et Frédéric.'),
(32571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nRedaction + exécution tests V1.14.0'),
(32578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nExécution campagne 14.1.32-SNAPSHOT 2 - Combinés Boostés\nPrésentation offre à Amin CDS Atos  de l\'Offre.'),
(32579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMise en ordre notes et traces suite aux 4 dernières campagnes.\nPréparation campagne DET15.'),
(32577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nTest sur appli v1.4  android et ios\r\nTest grand loto de noel sur application 1.1 - 1.2 - 1.3 - 1.4 ios android'),
(32581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nVerification des prises de jeux grand loto de noel sur les version 1.1 - 1.2 - 1.3 - 1.4 ios et android\r\nContinuité de non regression sur version 1.4\r\nContinuité des tests sur incident de prod scan reçu suite livraison dev josé correctif'),
(32585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\ncampagne batch falcon 2.8.2'),
(32586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\ncampagne batch falcon 2.8.2'),
(32587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nvie des environnements'),
(32588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nvie des environnements'),
(32589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nindustrialisation jenkins'),
(32596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nFDL018360'),
(32598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n[PSMSv2] Qualif de la version de maintenance corrective CB sur INT3\r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_16-91\r\nABP:            14.1.32.0-SNAPSHOT 7\r\nMOBILE:         origin_release_8-21\r\nARGUS:          build-865\r\nPLATFORM:       1.0.184\r\n\r\n[SPEEDUP] Tests des nouveaux sports d\'hiver\"\r\n- Skeleton\r\n- Luge\r\n- Bobsleigh\r\n\r\n'),
(32624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nAnalyse des logs, remise de INT2 au niveau de la PROD et planification d\'une réunion avec l\'ingénieur midleware LFDJ'),
(32626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nRéunion avec ingé midleware OK, mais peu d\'avancement. Réunion téléphonique avec le Support Horoquartz --> Problème contourné. Mail de résumé en ce sens'),
(32617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n.problème de redémarrage nocturne. L\'environnement est indisponible le matin. A vérifier le lendemain;\nRéunion avec Yann et Marie sur le protocole de tests. Recherche et analyse de logs suite aux erreurs rencontrées.\nExtraction de données pour alimenter le POC ORG+'),
(32605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(32606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nFDL018298'),
(32607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(32608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(32610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nFDL018321'),
(32611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(32612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n FDL018323'),
(32613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nTravail sur le volleyball - réunion explicative avec Hakim - Parallèle avec le hockey/glace'),
(32614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nExtraction des incidents'),
(32615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nRemise en etat des environnements'),
(32620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nRéunion avce Elise et Raphael : Voir note OneNote sur le sujet.\r\nRepartir de la PROD. Comprendre manuellement. Suivre la méthode préconisée par Lyna. ALERTE : dépassement 0,25'),
(32632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMCO EGIDE et Court Commercial (plusieurs problèmes, Relance de job)'),
(32622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nréunion de suivi + kickoff v16 = 0,25\r\nActivité volleyball : {a détailler} : 0,75\r\nALERTE : dépassement 1jH'),
(32628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 DMT0015304 [SAGA] : mise à jour des contraintes sur les bases SAGA d\'integration INT2SAGA'),
(32625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nFDL018218'),
(32630, ''),
(32631, ''),
(32642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMAJ Stratégie Applicative de test EGIDE '),
(32644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nExtraction des incidents'),
(32661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nMCO EGIDE et Court Commercial (Plusieurs problèmes -> relance de job)'),
(32662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nDocument de Stratégie de test applicative EGIDE'),
(32671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\npréparation fichiers tests automatique pour campagne manuelle CB'),
(32672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nCampagne light CB'),
(32673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nCampagne light CB'),
(32674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nCampagne light CB'),
(32937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nInvestigation pb d\'authent et inscription sur int81: il s\'agit en fait d\'un pb sur Falcon event aprés point avec Brice.\n\nSuite au palier obsolescence/Arjel un pb Salt (ajustement des scriptsà faire) implique de ne plus lancer d\'install avant la correction. Les scripts Salt ne sont plus à utiliser avant correctifs.\nSuite à cette modification, il faut maintenant se connecter d\'une manière différente.\n\nRédaction complément Modop VSR Bric\n\nPoint sur la Boutique Digishop Games (plan de conf, branche git à utiliser etc...)'),
(33286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nProbleme Kafka Int8'),
(32708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nDeclaration de JLG, CRO et SP1 sur PERF2\nInstallation de ct2017 v1.0.4 sur INT21'),
(32709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nInstallation de Next Level sur INT51 et PERF2'),
(32707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nAcceptance Justice League 1.0.2'),
(33290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nRéunion presentation de l\'architecture de l\'environnement Illiko'),
(33257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n- Daily\n- Préparation des tests pour PSEL iOS Amex\n- Rejet FDL018342 (PSEL android corrigeant appels en background)'),
(33259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n- Daily\n- Préparation des tests pour PSEL iOS AMEX'),
(32766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nSAFERGAME : Création ANO054137, ANO054133, ANO054127, ANO054143'),
(32714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nAnalyse T6_TEXT_2'),
(32716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n- Daily Coco (quotidien)'),
(33340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nDaily meeting 1h\nProjet AMEX, échanges avec le back par rapport aux problèmes des informations du cms sur le sportail.'),
(32719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n-Ecriture/mise à jour des cas de test dans ALM: BATCH Manuel Détection de Fraude\r\nRq: Problème sur les environnement(INT8)'),
(33342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nDaily meeting (1h)\nProjet AMEX : demande du déploiement du package php70-intl sur les machines du cloud Front.\nSuppression des cmd.run du state app_psel.install pour débloquer le techlead du string webapps sport. (1h)\nAnalyse de l\'erreur 500 sur le sportail du domaine www6.enligne.parionssport.integ.fdj.fr --> le techlead doit corriger le parameters.yml et empêcher le crash du site lorsqu\'on ne trouve pas de news (3h!!!)\nMise en place avec Romain des nouveaux scripts sur l\'intégralité des machines cloud front pour permettre les installations Mastersalt.'),
(33341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nDaily meeting 1h,\nProjet AMEX\nRéunion avec le back sur le périmetres des tests.\nVérification du livrable AMEX sportail 1.0.7 --> échange avec le techlead \nDémarrage des environnements d\'intégration PARLIER ARJEL --> ko (2h30)\nsupport application native PSEL AMEX.'),
(33343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\ndaily meeting (1h)\nVérification processus installation environnement depuis le Mastersalt (test sur une machine puis sur une groupe de machine puis sur un environnement)  --> teste réalisé sur INT61 --> processes fantômes présents ---> test sur int92 et INT01 OK ---> verification des process fantômes sur l\'intégralité des environnement --> nettoyage complet de INT61 ---> test OK --> les installations mastersalt sont débloquées!\nProjet AMEX: avancement des cas de test.\nDemande de rétablissement de l\'accès à la machine fr20054 à INDUS UNIX.'),
(33344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nDaily meeting (1h)\nkickoff projet AMEX\nAvancement test AMEX.'),
(32732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n- MOKA - Instance IQ'),
(32733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n- Préparation jeu de données (Playscan / Cumul mise) pour projet Mod Lot 2'),
(32738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n- Préparation plan de tests palier MOKA (pas d\'environnement dispo)'),
(32735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n- Installation et tests MAG 2.8.24 - FDL018351 VSR BRIC\r\n- Qualification Anos VSR BRIC\r\n- Déploiement MOKA '),
(32736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n- Déploiement Widgets MOKA sur INT8\r\n- tests non rég / acceptance version BRIC / MOKA\r\n- Préparation plan de tests MOKA\r\n'),
(32737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n- Installation widgets MOKA + acceptance sur TR2 ???\r\n- Préparation plan de tests MOKA'),
(32741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nExtraction des incidents avec olivier.\nExtraction des contraintes de la BDD INT4 vers INT 8 et INT3.\nJouer aux différents jeux que propose la FDJ.'),
(32762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nRésolution des anomalies :\n#949 [ANO053674] [YellowStone][AMOA] [Simulateur de gains SuperLoto]_La simulation de gains d\'une grille SuperLoto n\'affiche pas les numéros dans les boules\n\n#953 [ANO053682] [YellowStone][Simulateur de gains Grand loto noel] Le logo n\'est pas bon\n\nLivraison de Hasard et API MAPI.'),
(32743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nParamétrage des différentes applications avec Adrien.\nLecture et renseignement sur les logiciels permettant le déploiement continue.'),
(32745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nRéunion avec Rémi Juanes.\nParamétrage des différentes applications avec Adrien.\nLecture et renseignement sur les logiciels permettant le déploiement continue.'),
(32746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nPalier d\'obsolescence : maintenance des cas de test sur ALM.\r\n'),
(32933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nCampagne d\'acceptance INT21 : \nDA 5.0.0 / DI 5.0.0 / DU 5.0.0 (Falcon USR 2.8.3-1)\npréparation et lancement\nanalyse préliminaire des résultats\nrédaction du bilan de campagne\n\nCampagne d\'acceptance INT92 : DA 5.1.0 (Falcon USR 2.8.3-1)\nLancement pour comparatif avec INT 21 car ne fonctionne pas.\nÉlimination de l’hypothèse des boutiques défaillantes\n'),
(32748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(32749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nMCO control m tr 123\r\ncrm lot 1 mail adobe'),
(32750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMCO control m tr 123'),
(32751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nMCO control m tr 123'),
(32752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nMCO control m tr 123'),
(32753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nRéunion de présentation du service avec Cécile Ferrari.\nExtraction de mes clés SSH.\nGroupe FDJ.\nATOS au sein de la FDJ.\nLes différentes applications au sein de la FDJ.'),
(32756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nPrésentation de ALM et service NOW avec David.\nPrésentation de Control-M avec David.'),
(32758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nLecture de documentation sur le DevOps.\nLecture de documentation sur Postman.'),
(32769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nAnalyse des tickets :\n#949 [ANO053674] [YellowStone][AMOA] [Simulateur de gains SuperLoto]_La simulation de gains d\'une grille SuperLoto n\'affiche pas les numéros dans les boules\n\n#953 [ANO053682] [YellowStone][Simulateur de gains Grand loto noel] Le logo n\'est pas bon\n\nRésolution de la plupart des problèmes sur le Mac. Reste à faire fonctionner le serveur local.'),
(32760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nLecture de documentation sur le DevOps.\nLecture de documentation sur Postman.\nCréation de mon profil sur les différents environnement de Egide.'),
(32770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nAnalyse des tickets :\n#949 [ANO053674] [YellowStone][AMOA] [Simulateur de gains SuperLoto]_La simulation de gains d\'une grille SuperLoto n\'affiche pas les numéros dans les boules\n\n#953 [ANO053682] [YellowStone][Simulateur de gains Grand loto noel] Le logo n\'est pas bon\n\nRe-Livraison de API APM (sans apport de modifications).\n\nTentatives pour faire fonctionner le serveur local (non terminé).'),
(34529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nAnalyse des tickets du nouveau sprint.\n\nTentatives pour faire fonctionner le serveur local (non terminé).'),
(32768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nSAFERGAME :Réunion planning détaillé avant MES avec M.Anne'),
(32771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n- atelier [Stream Digishop] Evolution service PDV\r\n- réunion [Promulgations] : Règles d\'affichage communications digitales EuroMillions lors d\'un problème de flux/promulgation\r\n- maj jenkins/newman sur l\'ensemble des tests Stream PHP\r\n- maj campagnes postman Digishop 2.0.0'),
(32772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n- maj campagnes postman Digishop 2.0.0\r\n- maj campagnes postman Apimaitre service /1.2/get-home\r\n- maj jenkins/newman sur l\'ensemble des tests Stream PHP'),
(32799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n- qualification livraison Dishishop-G\n- maj campagnes postman Digishop-G 2.0.0\n- maj doc swagger DigishopA 5.1.0 DigishopU 5.1.0\n- déploiement MOKA sur int81\n  \'digishopa\': \'5.1.0\',\n  \'digishopi\': \'5.0.0\',\n  \'digishopu\': \'5.1.0\',\n  \'digishopp\': \'1.7.1\',\n  \'digishopg\': \'1.0.8\',\n'),
(33310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nImplémentation cas de test appels de service Mify'),
(33311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nCommencement d\'une campagne NonReg INT3, mais interruption de cette dernière, pour cause d\'indisponibilité des environnement: toute la journée. J\'en ai profité pour parcourir le plus de support disponible concernant les appels de service MIFY'),
(32837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n- déploiement boutiques Palier AMIGO int82\n  \'digishopa\': \'5.1.0\',\n  \'digishopi\': \'5.0.0\',\n  \'digishopu\': \'5.1.0\',\n  \'digishopp\': \'1.7.1\',\n  \'digishopg\': \'2.0.0\',\n- dépliement boutiques Palier BRIC/VSR int22\n  \'digishopa\': \'4.4.7\',\n  \'digishopi\': \'4.2.2\',\n  \'digishopu\': \'4.3.1\',\n  \'digishopp\': \'1.7.1\',\n  \'digishopg\': \'1.0.8\',\n- dépliement boutiques Palier BRIC/VSR int32\n  \'digishopa\': \'4.4.7\',\n  \'digishopi\': \'4.2.2\',\n  \'digishopu\': \'4.3.1\',\n  \'digishopp\': \'1.7.1\',\n  \'digishopg\': \'1.0.8\',\n- dépliement boutiques Palier MOKA int21\n  \'digishopa\': \'5.0.0\',\n  \'digishopi\': \'5.0.0\',\n  \'digishopu\': \'5.0.0\',\n  \'digishopp\': \'1.7.1\',\n  \'digishopg\': \'1.0.8\',\n- maj campagnes postman sur boutique Game 2.0.0'),
(33312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nCommencement d\'une campagne NonReg INT3, mais interruption de cette dernière, pour cause d\'indisponibilité des environnement: toute la journée. J\'en ai profité pour parcourir le plus de support disponible concernant les appels de service MIFY'),
(33313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nReprise de la NonReg INT3'),
(33314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nTerminer la NonReg INT3'),
(34375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-27  (Do not remove this line) -->\ncréation de cas de test'),
(32793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nExécution de la vérification du MCO avec Olivier .\nRésolution de 3 taches qui n\'avaient pas tournées.\nPrésentation de Egide (achitecture application et BDD) par Daniel.\nDéroulement du Test plan de Egide avec IHM en parallèle.  '),
(32795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nSAFERGAME : Installation Cognos FDL018316, IIB FDL018332 sur int2'),
(32796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nSAFERGAME : Installation CFM FDL018352 sur int2'),
(32798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nSAFERGAME : Installation Cognos FDL018316, IIB FDL018332, SQL FDL018255 sur int4'),
(32804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n'),
(32802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nPCA: test accessibilité des serveurs dans la DMZ, relance Patrick'),
(32805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nANVCTX'),
(32807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n[SPEEDUP] Tests des nouveaux sports d\'hiver\"\r\n- Skeleton\r\n- Luge\r\n- Bobsleigh\r\n\r\n[V16] Lecture Docs V16\r\n\r\n[AUTRES] Kick Off V16 de 15h à 16h30'),
(32811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nAnalyse de la documentation d\'installation de star et wars + retour à romain'),
(32813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n'),
(32815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMavenisation des projets RMI (client - serveur)'),
(32816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nSAFERGAME : Point sur MEP Betsys/RDST avec J.Buisson'),
(32817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n'),
(32818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nCérémonie'),
(32819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n1'),
(32820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nInvestigations MCO : Analyses et relances suite à plantages Falcon et rétablissement tardif des flux.'),
(32828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nLancement de la campagne d\'acceptance IF 2.1.3-1 sur INT2IF INT02. Rédaction de l\'anomalie de prod ANO054187 vu avec Laurent Boggio. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(32824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - DMT0015512'),
(32825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(32827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMCO EGIDE'),
(33261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n- Daily\n- Réception de iOS AMEX (FDL018379) => création anos critiques'),
(32830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(33024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Installation FDL018325_Meibo_fichiers_vides sur INT2'),
(32832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(32833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nPCA, CALI'),
(32834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nANVCTX + Integ Transverse'),
(32836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nExtraction des incidents avec olivier.\nExécution de la vérification du MCO avec Olivier .\nRéalisation de la documentation Egide avec le listing des web service.'),
(32839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. UTA - Point d\'avancement. Point MOKA.\n'),
(32840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nRedaction tests V1.14.0'),
(32841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nQualification V1.13.1 suite retours VA'),
(32842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n'),
(32843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMOKA - Gestion de campagnes : Analyse erreurs sur fichiers Adobe'),
(32844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMCO : SID Client TR2 (Reprise des données sports) et TR3 + SID Commercial TR2 et TR3'),
(32845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nMCO : SID Client (investigations suite à rétablissement tardif côté Falcon) TR2 et TR3 + SID Commercial TR2 et TR3'),
(32847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nBooster : Support à HIA sur livraison Univers Egide (aide à création des DMT préalables à l\'installation)'),
(32849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nStock Grattage : qualification FDL018251'),
(32850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nStock Grattage : FDL018251'),
(32858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nLancement de la campagne de non regression IF 2.1.3-1 sur INT2IF INT02. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(32854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n- Finalisation des tests automatiques IHM liés au poc \r\n- Integration des tests sur jenkins \r\n- Point sur la démonstartion du poc'),
(32855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n- Correction des tests automatiques IHM liés au poc \r\n- Documentation et refactoring du code source \r\n'),
(32856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n- Intégration de nouveaux tests sous jenkins \r\n- Documentation et refactoring du code source '),
(32857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nAdaptation du bouchon pour le nouveau chargement clients\r\n[COHERIS] Avancement des sujets'),
(32872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n'),
(32873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n'),
(32861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nValidation de l\'évolution sur le login FakeLottery sous Postman avec Guillaume Fauchet\nConvertion des fonctions javaScript dans notre API vuGen et qualification de l\'authent dans le script d\'orchestration Motors ITFPUTGameBetMotorsOrchestre'),
(32862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nImplémentation cas de tests Poupées russes\r\nExécution campagne NR FALCON 2.8.3 sur iNT8'),
(32891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nScripts Falcon : Publication des derniers scripts modifié pour l\'évolution sur le builder  FalconRestAmount_1_Build\nFDJ_InteractiveFactoryAutomationBlocks.h : évolution des blocs utilisant le builder  ITFFrameworkCoreAmount_1_Build (passage du montant sous forme de string)\nITF : Evolution des scripts de la famille Game pour prise en charge de la nouvelle DLL SHA256 requise pour l\'authent FakeLottery'),
(32864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nExécution campagne NR FALCON 2.8.3 sur iNT8 :\r\n- Pb de connection Wifi + Pb de script Vugen + Pb sur l\'exécution des batches (changement de user de connection) => Exécution fortement impactée nécessitant de nombreuses relances des cas de tests'),
(32865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\nCAMPAGNE IF NON REG IF INT02\r\nINTERCO / FAKELOTTERY / JEUX BLANCS TESTS MOTEUR'),
(32866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\nCAMPAGNE IF NON REG IF INT02\r\nINTERCO / FAKELOTTERY / JEUX BLANCS TESTS MOTEUR'),
(32868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[SPEED UP] Tests des sport d\'hiver sur INT3 \r\n- Skeleton\r\n- Luke\r\n- Bobsleigh\r\n\r\n[V16] Lecture des docs\r\n\r\n[V16] Préparation des cas de tests manuels pour la V16\r\n\r\n\r\n'),
(33287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nTest de conf Kafka'),
(33288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nTest de conf Kafka'),
(32871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nInvestigation/contact sur le probleme de log drupal (suite)\r\nAjout regles/exemples pour les exigences IQ (suite)\r\n'),
(32874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(32875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne'),
(32876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nSAFERGAME : Demande de certificat SAN pour les environnements d\'INT_IBM, INT_FDJ, Recette pour les serveurs core et non core : REQ0053544, REQ0053534, REQ0053525'),
(32877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n- Tests NREG SNAPSHOT 7 sur INT3'),
(32878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n- Tests NREG SNAPSHOT 7 sur INT3'),
(32975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n- Tests NREG SNAPSHOT 11 sur INT3'),
(32976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n- Tests NREG SNAPSHOT 11 sur INT3'),
(32977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n- Tests NREG SNAPSHOT 11 sur INT3'),
(33105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nDocumentation de la différence de paramétrage de quelque scripts V14 V16'),
(33122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nExtraction des appels de services appelant le parametre promos'),
(33123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nExtraction des appels de services appelant le parametre freebet'),
(33129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nvisualisation du déroulement de la prise de jeux'),
(33578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nRédaction documentation'),
(32888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nMise à jour des test Postamn (POST/USRsessions)\nTest manuels des batch réconciliation/detection de fraude'),
(33262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n- Daily\n- Tests qualif amex ios'),
(32890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nRédaction + execution tests V1.13.1'),
(32892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n77861 ok\r\n73655 ok'),
(34530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nAnalyse de l\'anomalie :\nANO054142 [APPLI FDJ][Get Home] Ordonnancement Jeux dans le Grand Carrousel.'),
(32895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n[SPEED UP] Qualification Anomalie ANO043721 sur INT3\r\n\r\n[V16] Mapping des évolutions BD V14 vers V16 pour mise à jour des cas de tests\r\n\r\n'),
(32897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\n'),
(32979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMise a jour sur les avancements Star et Wars\nInvestigation sur un probleme d\'acces aux jeu illiko ptab sur INT8\nInvestigation et retour a Laurent Barriere sur l\'ANO053053 du probleme CORS de l\'appel au jackpot IF'),
(32899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nEtude impact RTC-54704 - COMP - CU ConsulterEditer compagnie maritime - Ajout de champs'),
(32900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nRTC-54704 - COMP - CU ConsulterEditer compagnie maritime - Ajout de champs'),
(32903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nphase de Conception & Implémentation'),
(32917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nphase de Conception & Implémentation'),
(32905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n'),
(32906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n'),
(32908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n'),
(32910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-21  (Do not remove this line) -->\n'),
(32918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[V16 / 16.5.1-SNAPSHOT 228 / INT0]: Sasie des Anomalies découvertes la semaine dernière + Suite Tests BetRadar'),
(33142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[V16]: Documentation + Mise en place d\'une ToDo liste (tests à Modifier/Ajouter)'),
(33143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n[V16]: Documentation + Mise en place d\'une ToDo liste (tests à Modifier/Ajouter) + [V16 / XXX / INT0]: Campagne NonReg BACK sur une nouvelle version ABP V16'),
(33144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[V16]: Documentation + Mise en place d\'une ToDo liste (tests à Modifier/Ajouter) + [V16 / XXX / INT0]: Campagne NonReg BACK sur une nouvelle version ABP V16'),
(33141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n[V16 / 16.5.1-SNAPSHOT 228 / INT0]: Suite Tests BetRadar + [V16]: Documentation'),
(32922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n'),
(33093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nITF : Installation du super croupier pour le jeu Elixirius. Lancement de la campagne de non regression IF 2.1.3-1 sur INT2IF INT02. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(32926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(32928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n'),
(32929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nExécution et analyse campagne NR FALCON 2.8.3 sur iNT8'),
(32930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nCampagne d\'acceptance INT21 : \r\nDA 5.1.0 / DI 5.0.0 / DU 5.1.0 (Falcon USR 2.8.3-1)\r\npréparation et lancement\r\nanalyse préliminaire des résultats\r\n\r\n'),
(33087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nCampagne d\'acceptance INT21 : \nDA 5.1.0 / DI 5.0.0 / DU 5.1.0 (Falcon USR 2.8.3-1)\nrédaction du bilan de campagne\nmaintenance des cas de test \"failed »\n\nréunion : Point Equipe TEST AUTO\nReunion : point postman'),
(33289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nSupport Bingo adherence avec MOKA\nRedaction ModOp install usr 2.8'),
(32936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n'),
(32939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nCréation package PK_OUT_DOCS_PURGE pour purge table FDJ_OUT_DOCS\npréparation FDL018396_Coheris_Oracle_BRIC_MCO_CRM_F_5.7.5.0'),
(32941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nInstallation Bric partout puis Moka sur int21 sur les serveurs sauf sport + point Leila campagne test auto.\n\nPoint avec HIA pour correction d\'un pb de Livraison Boutik a MEP.\n\nMaj des conf - ajout de Gamification- suite à un point avec les stream sur les fonctionnalités du palier.'),
(32943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nSAFERGAME : Création ANO054263, ANO054264'),
(32945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec M.Anne + Audit Safergame avec E.Becquet et société xebia en charge de l\'audit'),
(33037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nMCO : SID Client TR2 & TR3 + SID Commercial TR2 + TR3 (Retards des données Falcon)'),
(32949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nAnalyse d\'un pb d\'authentification sur INT21: il s\'agissait d\'un pb de synchronisation Hazelcast / Boutiques suite à une maj des composants impactant Hazelcast. Aprés redemarrage pour resynchro l\'authent est ok. Point avec les dév pour confirmer le fonctionnement; il s\'agit bien d\'un pb de synchro /redemarrage à faire.\n\nPoint avec Michel pour installation des Boutiques sur INT82/22/32'),
(32951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nPoint avec le sport pour une demande d\'install sur le 21: reportée à lundi pour pouvoir maj tout l\"environnement et non uniquement les branches sport.'),
(32952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMCO control m tr 123'),
(32987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nAccueil de David et début de passation: présentation générale de la FDJ, documents nouvel arrivant, contexte etc... Récupération de son PC à  la bureautique.\n\nInstallation sur le 21 en palier Moka + test d\'authent/inscription.\n\nIntégration d\"un préco de conf de Mohamed Agourrame dans les vhost. Nouvelle installation sur le 21 pour maj.\n\nInstallation Moka 5.1 sur INT21 pour ugrade versions.\n\nPoint avec les dév sur besoin de cerficats /DOF pour  Google Recaptcha.'),
(32968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[RDI 1.1] Installation FDL018246 sur TR2 pour SAGA.'),
(32966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[RDI 1.1] Installation de FDL018081 sur TR2 pour SAGA'),
(32971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[RDI 1.1] Installation partielle de la FDL018386 sur TR2 pour SAGA'),
(32962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[RDI 1.1] Installation FDL018125 sur TR2 pour ETL Référentiel RDI-SAGA.'),
(32963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[RDI 1.1] Installation de FDL018078 sur TR2 pour GDS.'),
(32964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nMCO Court_Commercial'),
(32965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n[RDI 1.1] Exécution des campagnes de tests de qualification transverse.'),
(32972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDLxxxxxx (livraison par mail) sur TR2 pour ETL_REFERENTIEL RDI-SAGA'),
(32974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[RDI 1.1] Installation partielle de la FDL018386 sur TR5 pour SAGA'),
(32978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[RDI 1.1] exécution de la procédure d\'initialisation des adresses sur TR5 dans GDS. Et analyse des erreurs.'),
(33496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nTraitement de la DMT0015304 de MAJ des contraintes sur bases SAGA d\'intégration.'),
(32981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nTraitement de la DMT0015304 de MAJ des contraintes sur bases SAGA d\'intégration.'),
(32982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n[RDI 1.1] Journée de support dédiée à l\'équipe de recette pour analyse des traitements et anomalies rencontrées sur le TR2.'),
(32983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nMCO Court_Commercial'),
(32984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[RDI 1.1] Analyse des traitements et anomalies détectées sur TR2.'),
(32985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons par IBM'),
(32986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne'),
(32996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n[RDI 1.1] Analyse des rejets du flux de chargement RDI - GDS'),
(32997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n[RDI 1.1] Exécution des campagnes de tests de qualification transverse sur TR5.'),
(32990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nMCO Court_Commercial'),
(32991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[RDI 1.1] Qualification des anomalies en cours'),
(32992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(32993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n74040 ok\r\n56947 debut'),
(32994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n[RDI 1.1] Analyse des traitements et anomalies détectées sur le chargement des données RDI - SAGA'),
(32995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\n[RDI 1.1] Exécution des campagnes de tests de qualification transverse dans ALM.'),
(32998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n[Mobilin] Contribution sur Sollicitation CDS_SOPRA pour cautionnement'),
(32999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nIncidents sur les environnements de tests'),
(33000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nIncidents sur les environnements de tests'),
(34512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nANO053175 + Mise à jour d\'environnement'),
(34513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nflux flp1 / Mise a jour env'),
(34514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nIncidents sur les environnements de tests\nConvergence'),
(33004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nTests techniques'),
(33005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-08-25  (Do not remove this line) -->\n[RDI 1.1] Etude des spécifications.'),
(33006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[RTC-77861] ESC - CU Consulter/Editer une escale - Horodatages fonctionnels faux sur tout le dossier d\'escale'),
(33007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[RTC - 87374 ] FLUX - T2K - Regression sur la prise le mécanisme de rejeux'),
(33008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(33009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\n[RTC - 87374 ] FLUX - T2K - Regression sur la prise le mécanisme de rejeux'),
(33010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[RTC-89925] MANI-CU Supprimer un conditionnement-pas de notif\r\n[RTC-89928]MANI-CU Editer un conditionnement-pas de notif si non visé stat'),
(33011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMANI-CU Consulter un conditionnement-manque auto complétion'),
(33012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nTest V1.13.1 redaction'),
(33013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nQualification Correctifs V1.13.1'),
(33015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nEchanges sur  campagne DET15 0,5\nLecture doc V16 0,5'),
(33020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nSuite préparation campagne DET15 -  7 h\nLecture doc V16.   1h'),
(33095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nSuite préparation campagne DET15 Correction paris sportifs.\nRéunions matin et après-midi.'),
(33385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nExécution campagne DET15 Correction Paris Sportifs'),
(33022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018327_egide_4.60.07_liv sur INT4EGID'),
(33027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Installation FDL018325_Meibo_fichiers_vides sur INT1'),
(33029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - Qualification FDL018325 fichier meibo vide'),
(33030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMise à jour des test Postamn (POST/USRsessions)\r\nMise à jour test ALM\r\n Test manuels des batch réconciliation/detection de fraude: exécution des batchs (manque emplacement de fichier ingénico --> batch d\'exécute en erreur)'),
(33031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(33032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nGestion des incidents');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(33033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(33334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nTentative de reproduction de l\'anomalie :\n[ANO054051] [[APPLI FDJ] [Service getHome] Emplacement de la tuile Amigo\nsur INT91. Echec.'),
(33038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nMOKA : Palier CRM - Investigation sur les erreurs des fichiers Adobe'),
(33036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nStephane Schleiffer : Assistance sur les accès univers TR2.'),
(33039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2 + TR3'),
(33040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMoka : Palier CRM FDL017683, FDL018337, FDL018388, FDL018391, FDL018347'),
(33041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMoka : Palier CRM, Reprise et analyse fichiers Adobe(TR2) + Playscan(TR3)'),
(33315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nImplémentation cas de test appels de service Mify'),
(33316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nCampagne de NonReg : 20171114-[INT3]-14.1.32.1-SNAPSHOT 11'),
(33317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n--0.5 jour :\n20171114-[INT3]-14.1.32.1-SNAPSHOT 11\n--0.5 jour :\nImplémentation des cas de test Mify'),
(33318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nImplémentation des cas de test Mify'),
(33319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nImplémentation des cas de test Mify'),
(33073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nModification test postman IF_URL\nDemo convergence\nImport sur jenkins de la collection IF + test'),
(33049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\npréparation de l\'orchestration du jeu ITF Motors MonsterWin\n[Dev VuGen - Point hebdo]\n[Point dev VuGen]\nMise à jour des fichiers de jeu motors xml et du fichier de configuration des jeux Motors actifs'),
(33080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nQualification et publication de l\'orchestration monsterWin et de la mise à jour du fichier de config des jeux XML\n[Point de synchronisation Dev VuGen Stream Illiko]\n[Comité Automatisation] Spécial Présentation Automatisation des tests Sport\ncréation des tunnels requis pour les connexions RTA et PMS et qualification des ouverture de sessions sur ces gateways sous postman'),
(33051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nFDL018396 : [MCO]  [CRM2] Livraison objets Oracle - Purge FDJ_OUT_DOCS\r\nTests installation et livraison de la FDL018396\r\nPoursuite Analyse T6_TEXT_2'),
(33055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n- daily Coco (toute la semaine)'),
(33295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n- Multiples tests mod Lot 2 avec Marouan (testeur métier)\n- Support dév / recette'),
(33296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n- Support dév / recette (joueurs, analyse anos..)\n- Intervention sur INT9 car authent impossible et gamif KO\n- Mise à our INT82 iso prod'),
(33064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nPalier MOKA : Tests ARJEL'),
(33263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n- Daily\n- Réu back pour Amex\n- Tests acceptance amex ios & android\n- ANO054255'),
(33068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[SPEED UP] Tests ARJEL et ETL des sport d\'hiver sur INT3\r\n- Skeleton\r\n- Luge\r\n- Bobsleigh\r\n- Short-Track Speed Skating\r\n- Speed Skating\r\n\r\n[V16] Mapping de BD V14 - V16'),
(33320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nSAFERGAME : Création ANO054327, MOD012913'),
(33070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nRéunion : Comité Automatisation] Spécial Présentation Automatisation des tests Sport\r\n\r\nPostman + Git + Jenkins : configuration et installation des outils'),
(33071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n-Création nouveau test USR-012501-payments-POST-KO-21-Joueur Retail Authentifié WEB - versement CB\r\n-Remontée d\'ANO054315: [MOKA][FD] Les versements CB pour joueurs RTL via le WEB sont accecptés \r\nMise à jour collection Postman Freedom'),
(33264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n- Daily\n- Tests acceptance amex android\n- ANO054302\n- ANO054312\n- Pages Amex sous confluence + etat avancement app mobile'),
(33075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nImplémentation campagne Non Reg V16'),
(33076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nImplémentation campagne Non Reg V16'),
(33077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nOptimisation campagne Non Reg V16\r\nExécution campagne Non Reg V16'),
(33078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nExécution campagne Non Reg V16'),
(33373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n- Travail sur INT9 pour rendre opérationnel les devs Gamif\n- Filtres sur les anos MOKA : Qualification /réaffectation\n- Rédaction cas de tests MOKA (ML Lot 2 + Gamif)\n- Bug de prod étape 1 inscription => souci tracking'),
(33375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n- Filtres sur les anos MOKA : Qualification /réaffectation\n- Rédaction cas de tests MOKA (ML Lot 2 + Gamif)'),
(33308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nCréation des scripts vuGen pour les ouvertures de sessions RTA et PMS\nEvolution du script FaconPOSTAccount pour rendre facultatif les données de naissance et adresse pour les inscription de joueur avec l\'offre DISCOVERY'),
(33380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n- Daily\n- ANO054357, ANO054361, ANO054372 (Amex Android)\n- Modification catalogue'),
(33382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n- Daily\n- ANO054390, ANO054393\n- étude du probleme de refresh sur les app amex'),
(33088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nDocumentation UTA.\r\nTest UTA\r\nCorrection du bub sur les collections du back\r\n'),
(33089, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nnewman : installation et configuration\r\n\r\nPostman : optimisation des requêtes de sélection pour les services sur les limites.'),
(33090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nnewman : installation et configuration\r\n\r\nPostman : optimisation des requêtes de sélection pour les services sur les limites.\r\nimplémentation des test sur les nouveaux services'),
(33091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nPoint dev\r\nPoint dev auto / perf\r\nPoint Postman\r\nAnalyse des nouvelles dans le tunnel\r\n'),
(33092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nFormation Jenkins Leila\r\nComité automatisation.\r\nPoint SourceTree avec Valerie'),
(33098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nExécution campagne DET15 Correction Paris Sportifs + réunion'),
(33386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nDéplacement Sophia'),
(33099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nPoint newman avec Leila\r\nModification du tunnel d\'authent\r\nFinalisation de la documentation UTA\r\n'),
(33101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nUTA refactoring du code.'),
(33228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nMOKA : \n0,5 : Ecriture test sur traitement de reprise des données\n0,5 : Exécution test avant batch de reprise de données'),
(33229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMOKA : ARJEL DET15\nexecution test'),
(33230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nMOKA : ARJEL DET15\n0,5 : Matinée avec Henry Frenay : cadrage du contenu des lot1 et 2\n0,5 : comité automatisation'),
(33231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nMOKA_ ARJEL DET1.5 : exécution test'),
(33232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nMOKA_ ARJEL DET1.5 : exécution test'),
(33108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nSupport sur Playscan\r\nEtude PMS'),
(33113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nsupport Playscan\nAcceptance IF\nRésolution des problèmes de connexion de Jérémie sur les environnements IF\nEtude PMS'),
(33112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nSupport Playscan\nEtude PMS'),
(33114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nInstallation de composants FALCON\r\nsupport Playscan'),
(33115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nsupport Playscan\r\netude PMS\r\ndifférents test PDJ IF et PDJ FDJ'),
(33116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nPréparation des requêtes SQL d\'ajout des nouveaux détaillants pour la MEP Freedom ; Configuration des 3 bornes du labo du 2ème étage avec le nouveau dossier livré avec PSBOR 2.1.2 ; Création de l\'ANO054240 : [FREEDOM][DIGISHOPU 5.1.0] Impossibilité de faire deux versements CB à la suite'),
(33117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nTests sur l\'ANO054242 : Betsys: caractère \'&\' non échappé dans le fichier .xml ; Qualification sur Freedom TPA'),
(33118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nTests acceptance MUGO 1.1.2 (FDL018273) -> OK ; Rédaction modop pour deuxième lot JASON (CAB demain) ; Ecriture des requêtes SQL pour que HIA mettent à jour le RETAIL'),
(33632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nSupport de MEP pour JASON en mode IP pour HIA ; mise en place de tests sur MUGO TPA'),
(33335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nRésolution des anomalies :\nPHP-994\n[ANO054051] [APPLI FDJ] [Service getHome] - Le montant n\'est pas intégré dans le flux pour un Amigo\nPHP-995\n[ANO054051] [[APPLI FDJ] [Service getHome] Emplacement de la tuile Amigo'),
(33127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nAdaptation Bouchon pour nouveau chargement client hors SID\r\nrevue de code BDD'),
(33336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nTravail sur l\'anomalie :\nPHP-998\nANO054142 [APPLI FDJ][Get Home] Ordonnancement Jeux dans le Grand Carrousel'),
(33130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nImport de prod sur environnements d\'integration + modification du script associé'),
(33131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nModification script et doc pour import de la prod sur l\'integ'),
(33132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. \r\nPrésentattion de la solution MEP Gamif..'),
(33133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nFDL018400'),
(33134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nFDL018407'),
(33135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nFDL018414'),
(33136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nPoint de synchro IF / GAMIF / JEUX. Dev VuGen - Point hebdo.\r\nPoint dev VuGen  Définition et Implémentation de cas de test GAM Back.'),
(33139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[Comité Automatisation] Spécial Présentation Automatisation des tests Sport. Définition et Implémentation de cas de test GAM Back. '),
(33140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. '),
(33145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nDaily stream webapp - daily stream apps mobile Hasard\r\ncréation des catalogues pour les versions 1.5 des applications native FDJ IOS et Android\r\nDeploiment des catalogues sur tous les environnements d\'integ\r\nTest des versions 1.4 sur les scans des reçus\r\nPoint avec equipe ESTE sur l\'obsolescence des serveurs josé pour bascule et temps d\'interruption des services'),
(33146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nDaily stream webapps, daily stream apps mobile hasard.\r\ntest applications 1.5 ios et android\r\nTest de scan de reçus pendant tirage pour verifications corection bug de prod josé\r\nTest OK\r\nTirage effectué en direct avec paul besson '),
(33147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nTests complets sur scan des reçus\r\nVerifications des status mrcd et status josé pour verification en fonction du doc technique si les retours sont OK\r\nTest avant tirage, aprés tirage, gagant, perdant, payé , perdant et plus vieux de 7 jours\r\ngagnant et plus vieux de 60 jouers etc etc\r\nMessage envoyé au stream app mobile et stream fdj car beaucoup de bug suivant la doc bien que l\'appli fonctionne correctement'),
(33148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nTest sur apimaitre en erreur suite a la promulgation des resultats grand loto de noel\r\nComparaison entre int22 et int32\r\nTest version 1.5.x appli fdj IOS Android\r\nVerification de ticaTag , offre promotionnelle fdj sur le mois de decembre'),
(33149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\ndaily stream webapps, daily stream apps mobile hasard\r\nContinuité test grand loto de noel car le jeux sera ouvert le 22/11 en prod\r\nContinuité tests appli version 1.5.x IOS et Android'),
(33150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n-Bug checking Gamification:\r\nQualification de l\' ANO052950: [GAMIFICATION][BOG 1.0.4-2] Message d\'erreur en essayant de voir les roles d\'opérateur  et history.\r\n\r\n- Création des opérateurs pour la BOG '),
(33151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nMise en place Requirements + plan tests ALM pour manifestes V0.0.2'),
(33152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nExecution tests correctif Manifestes V0.0.2'),
(33153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nMaj EA pour évolution V1.14.0'),
(33154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nMCO TR123'),
(33155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nANALYSE PRE QUALIF XML ET CDC JEUX IF \r\nMOSTER WIN / PICK AND MATCH '),
(33326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nCAMPAGNES DE QUALIFICATION LES CLES DU TRESOR \nGAMIFICATION INT81'),
(33158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n'),
(33159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nACCEPTANCE FRONT LES CLES DU TRESOR GAMIFICATION\r\nTESTS MOBILES / APPLI NATIVE / WEB ANDROID ET IOS'),
(33160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nCAMPAGNES DE QUALIFICATION LES CLES DU TRESOR \r\nGAMIFICATION INT81'),
(33163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n- support dev ordre d\'affichage des tuiles dans le bigCarrousel\n- investigation suppression annonce loto sur service get-home int22\n- préparation MEP ariase avec HIA\n- maj campagne postman apimaitre/1_2/get-home\n- maj campagne postman sur boutique Game 2.0.0'),
(33164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n- maj campagne postman apimaitre/1_2/get-home\r\n- maj campagne postman sur boutique Game 2.0.0\r\n- support dév pour affichage annonce Amigo dans le service get-home\r\n- support dév pour reproduction ordre des tuiles bigCarrousel'),
(33165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n- investigation en prod sur échecs du service /mapi/georestriction\r\n- support dev mentions légales superloto/lotonoel\r\n- maj campagne postman Digishop-Game 2.0.0\r\n- mise à niveau des branches Salt'),
(33169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(33847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nDaily meeting (1h)\r\nMigration Edwan01 en version iso prod.\r\nInstallation SALT de l\'environnement INT0 mais flux non encore ouvert --> sportail non fonctionnel, composant wpsel et wcart fonctionnelles.\r\nLes applications natives peuvent fonctionner sur l\'environnement.'),
(33170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMCO TR 123'),
(33172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nPoint David question et suite formation.\nPoint avec Yann sur les collectd qui ne démarrent pas sur certains frontaux de prod: remis à demain car Yann pas dispo.\nConf déployée et confirmée à Mohamed.\nInvestigation pb int11 : il s\'agit finalement d\'un pb Falcon non installé suite au pb de palier obsolescence.\nPoint avec Romain : les branches git seront à maj demain pour se réaligner par rapport aux MEP , faire du ménage et intégrer certaines fonctionnalités.\nLecture de la documentation Salt de Julien pour apporter des éléments de critiques, maj etc...'),
(33173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nPoint avec Romain, Julien, Michel pour maj des branches Git etc...\r\nSuite lecture du document Salt.'),
(33174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nvie des environnements'),
(33175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nvie des environnements'),
(33177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\ncampagne batch de non régression'),
(33685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\ncampagne batch de non régression'),
(33179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\ncampagne batch de non régression'),
(33439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nAnalyse le matin sur un pb de Boutiques sur l’environnement de perf: l\'environnement est down et n\'est donc plus disponible. Il est nécessaire de les réinstaller, cependant pas mal de modif de conf SAlt ont été nécessaire et uin point avec Romain.\n\nFormation de David l\'aprés midi : atelier sur les boutiques.\n\nPoint sur les collectd a finaliser sem prochaine.\nPoint sur les certifcats Google recaptcha avec Romain et Dev Boutiques, mise en place également à finaliser sem prochaine.\n\nAssistance en urgence pour rétablir l\'environnement 01 qui était down; pb de conf Salt sous Git, qui aprés réinstallation a rétabli vers 19h le pb et remis opérationnel l\'env 01.'),
(33323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nModification de la localisation de la collection IF sur gitlab \nAjout de la variable d\'environnement if_url sur les variables d\'environnement XY\nModification du test de la collection IF + ajustement planning job IF jenkins\nSupport ANO053618'),
(33209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nAnalyse des anomalies de lancement du jeu LesClefsDuTresors sur INT21'),
(33192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nReunion de présentation des process de déclaration des jeux sur la BOI\nDeclaration du jeu pick&match sur la BOI\nRéalisation d\'une documentation pour capitaliser la déclaration'),
(33186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n-'),
(33190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n- Developpement du cas de test Moka gestion des limites \r\n- point préparation demonstration selenium '),
(33198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nExécution et analyse campagne Acceptation FALCON USR 2.8.4 sur INT9'),
(33202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nImplémentation cas de test poupée russes lot2\r\n Comité Tests Auto\r\n Exécution campagne Acceptation FALCON USR 2.8.4 sur INT9'),
(33206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nInstallation et acceptance de l\'applet LesClefsDuTresor2017 sur INT21 et INT81'),
(33210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.\r\nExécution des campagnes de tests du projet Freedom sur INT8.'),
(33211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.\r\nExécution des campagnes de tests du projet Freedom sur INT8.'),
(33212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et ALM (batch) pour le projet Freedom.\r\nExécution des campagnes de tests du projet Freedom sur INT8.'),
(33279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nCréation de tests sur rectification de données personnelles et modification infos: Blocages ou instabilités sur les environnements, aucun environnement stable pour lancer les tests et s’assurer du comportement attendu durant toute la matinée et une partie de l’après midi entrainant des retards sur l’implémentation.'),
(33214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nExécution des campagnes de tests du palier MOKA sur INT8 (USR 2.8.4).'),
(33215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n- Integration et configuration des tests  selenium (MOKA)  sous Jenkins \r\n-   developpements de cas de tests Gestion de limite '),
(33280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nProblèmes similaires à la veille + coupures réseau. Création de tests sur rectification de données personnelles et modification infos. Création d’anomalies en lien avec les tests implémentés.\nImplémentation des tests suite retour sur comportement attendu.\nMise à jour des requêtes de sélection.'),
(33224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n- Integration et configuration des tests  selenium (MOKA)  sous Jenkins \n-  developpements de cas de tests Gestion de limite \n- préparation de la demonstartion du poc selenium'),
(33281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nImplementation de tests auto ARJEL suite activité MARDI.'),
(33223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n-  developpements de cas de tests Gestion de limite \n- préparation de la demonstartion du poc selenium'),
(33221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n- Integration et configuration des tests  selenium (MOKA)  sous Jenkins \n- demonstartion du poc selenium'),
(33282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nImplementation de tests auto ARJEL suite activité MARDI, problèmes liés aux joueurs MIXTES RAW (aucun joueurs créés la veille et l\'avant veille par la vie des environnements) pour avancement rectification.'),
(33283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nImplementation de tests auto ARJEL fin d\'implementation et preparation campagnes.'),
(33233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\ncampagne light CB'),
(33234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\ncampagne light CB'),
(33605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\ncampagne light CB'),
(34643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\ncampagne light CB'),
(34644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\ncampagne light CB'),
(33309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nRédaction d\'une documentation Bingo\nAnalyse lenteur de l\'environnement INT31 ce qui cause le non lancement des applets\nAnalyse pb de lancement de PEX sur INT02'),
(33337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nTest sur les composant event/kafka : ANO054336\nMontee en competence Jeremie sur Bingo\nTest flux zookeeper/kafka depuis pega\nPoint avec Lotsys sur Falcon event/kafka'),
(33299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nTravail sur pbk clarity puis legalsuite.'),
(33339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nPoint avec Lotsys sur Falcon event/kafka'),
(33338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nTest sur les composant event/kafka : ANO054336\nMontee en competence Jeremie sur Bingo\nSupport Pb gamif sur int9\nPoint PLANNING ENVIRONNEMENTS INTEG'),
(33302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nparticipation à l\'atelier automatisation sport avec les équipes digital.\r\nTravail sur l\'offre volley en dépassement de charge. pb avec codes arjel et template de création d\'offreS.'),
(33303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nTravail sur l\'offre, création, maj et resulting pour le volleyball (toujours en dépassement de charges). Création, maj et resulting manuel OK. Sauvegarde du template et début d\'implémentation dans ALM.'),
(33304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nTravail à l\'implémentation de l\'offre automatisée dans ALM. --> Commentaire à compléter.'),
(33305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMise à disposition de l\'environnement eTemptation pour la recette.'),
(33306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nVérification de l\'environnement eTemptation pour la recette, puis travail sur FD Groupe avec Florian.'),
(33307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nTravail sur la MEV de Groupe FDJ + résolution d\'incident de logs dans l\'environnement ; puis MEP de Groupe FDJ'),
(33321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nSAFERGAME : PV de qualification Cognos'),
(33322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nSAFERGAME : PV de qualification I2-ANB'),
(33324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nExtraction des incidents'),
(33325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(33463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nSAFERGAME : FDL018398 SQL, FDL018372 IIB, FDL018397 Cognos'),
(33346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nTests Anos Man Lot1 retours VA'),
(33347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nTests Evos V1.14.0'),
(33348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nPréparation livraison MAN V0.0.2'),
(33350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nPrise en main des Use case pour la documentation d\'Olivier, création d\'un PDV, session d\'un PDV et création d’opportunité.\nRecensement de tout les web service et de leurs fonction avec Olivier. \nCréation d\'une documentation qui recense les différents outils que l\'on pourrait utiliser pour l\'automatisation du déploiement et qui présente également la différence entre ses outils.'),
(33351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nRéalisation de la documentation qui recense les différents outils que l\'on pourrait utiliser pour l\'automatisation du déploiement et qui présente également la différence entre ses outils.'),
(33352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nRéalisation de la documentation qui recense les différents outils que l\'on pourrait utiliser pour l\'automatisation du déploiement et qui présente également la différence entre ses outils.\nInstallation d\'un WKF sur Egide avec Daniel.\nInstallation d\'une nouvelle version d\'Egide (V 4.6007) avec Daniel.'),
(33356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n[SPEED UP] Tests pré-match et Live sur INT3\n- Snooker - 7 / 9 / 11 frames\n\n[V16] Lecture des docs\n\n[V16] Préparation des cas de tests manuels pour la V16'),
(34547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nRéalisation de la documentation qui recense les différents outils que l\'on pourrait utiliser pour l\'automatisation du déploiement et qui présente également la différence entre ses outils.\nRéalisation du MCO avec Olivier.\nContrôle des accès avec Adrien.\nInstallation des différents outils (PowerCenter).'),
(33355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[SPEED UP] Tests des sport d\'hiver sur INT3\r\n- Skeleton\r\n- Luke\r\n- Bobsleigh\r\n\r\n[V16] Lecture des docs\r\n\r\n[V16] Préparation des cas de tests manuels pour la V16'),
(33358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nSAFERGAME : Création ANO054384, ANO054386'),
(33359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(33360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n'),
(33363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nPalier MOKA : tests ARJEL\nITF : Tests jeu CROSSINGO2017'),
(33364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nPalier MOKA : Réunion ARJEL'),
(33365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nPalier MOKA : tests ARJEL'),
(33366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nPalier MOKA : Tests ARJEL'),
(33367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nPalier MOKA : Tests ARJEL'),
(33368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nInvestigation sur le probleme de promulgation des resultats superloto du 16/11 sur INT32 (avec julien)\r\nDaily convergence\r\nRédaction documentation Exigence IQ (suite)'),
(33371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[FALCON EVENT] Point IQ Lotsys. Point de synchro IF / GAMIF / JEUX.\nDéfinition et Implémentation de cas de test GAM Back.'),
(33372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nsonar.  Analyse des logs maximo'),
(33377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n- Présentation documentation Stream Coco\n- Répétition POC Tests auto widget Coco'),
(33378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nSAFERGAME : Point procédure TMA IBM avec P.Maigne et F.Bourgoin'),
(33381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nInstallation de Oracle.\nDocument synthèse du fonctionnement du déploiement continue.\nExécution des contraints en base de données avec Olivier.\nLecture de documentation sur Ansible.'),
(33383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n'),
(33384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n-Mise à jour test manuel batch\r\n-Mise à jour test Postman\r\n-Exécution Batch réconiliationIngenico'),
(33387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nDéplacement Sophia'),
(33392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1  -  FDL018394_egide_4.60.08_liv sur INT4EGID'),
(33393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018327_egide_4.60.07_liv sur INT9EGID'),
(33395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL017290_Com_16.3.0 sur INT9EGID'),
(33396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(33397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(33401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(33400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nGestion des Incidents HIA'),
(33404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nAnalyse du problème des images qui ne sont pas dans l\'e-mail avec @PhilipeA'),
(33405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nImplémentation cas de test poupée russes lot2'),
(33406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nExécution campagne DET15'),
(33407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nExécution campagne DET15'),
(33612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2.'),
(33689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nV16: préparation nouveau cas de tests à écrire'),
(33631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nITF : Qualification back pour le jeu MonsterWin 2017. Modification de cas de test ITF\n'),
(33510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nExécution de la Campagne de Non régression sur  ITG 2.4.1 avec la version de Falcon usr 2.8.4 pour le Palier MOKA sur INT8. Exécution de la Campagne de Non régression sur RTG 2.4.0 avec la version de Falcon usr 2.8.4 pour le Palier MOKA sur INT8. Analyse des campagnes et envoie du rapport. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(33419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n'),
(33943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMise à jour SFD avec Evolutions'),
(33422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n'),
(33423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nrevue de code'),
(33425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nQualification ANO053078 [EGIDE] INT3EGID'),
(33426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nQualification ANO053076 [EGIDE] INT3EGID'),
(33427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 [INT3SAGA] Modification du RIB pour le tiers 92404'),
(33428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nRDI reunion suivi francoise'),
(33429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nRDI préparation jeux d\'essai, creation PDV, Cession *3'),
(33430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nExtraction des incidents'),
(33435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMCO EGIDE et Court Commercial (plusieurs erreurs -> analyse et relance)'),
(33432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nCreation RIB SAGA INT2SAGA sur tiers 93304'),
(33433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nMAJ jeu d\'essai francoise RDI'),
(33434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nDoc Stratégie de test applicative EGIDE'),
(33436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nExtraction des incidents'),
(33437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(33438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nReunion ANVCTX'),
(33441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nMCO control m TR 1 2 3'),
(33442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nmco control m tr 123 \r\ncrm email '),
(33443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nmco control m tr 1 2 3 '),
(33444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nDéroulement tests NREG SNAPSHOT 11'),
(33445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nDéroulement tests NREG SNAPSHOT 11'),
(33446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nDéroulement tests NREG SNAPSHOT 11'),
(33447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nDéroulement tests NREG SNAPSHOT 11'),
(33448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nDéroulement tests NREG SNAPSHOT 11'),
(33449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nConception BDD'),
(33451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nConception BDD'),
(33453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nConception BDD'),
(33454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nMCO : SID Client TR2, TR3'),
(33455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nMCO : SID Client TR2 & TR3 + SID Commercial TR2 & TR3'),
(33456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nMCO : SID Client TR2 + SID Commercial TR2, TR3'),
(33457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(33458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\n'),
(33459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nMOKA : Playscan - Analyse génération et intégration des fichiers Playscan.'),
(33460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(33461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(33462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n'),
(33464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nSAFERGAME : PV de qualification Datastage'),
(33465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\nDevOps Day'),
(33475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nDoc Stratégie de test applicative EGIDE'),
(33471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne'),
(33481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[RDI 1.1] Installation FDL018404 ETL_COM RDI-GDS sur TR2 (livraison par mail)'),
(33474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n[Calypso] RIB.009 Maintenance évolutive du Run FDL018160 début de l\'installation puis création de l\'ANO054227'),
(33476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nExtraction des incidents'),
(33477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMCO EGIDE et Court Commercial (Plusieurs erreurs -> relance)\r\n'),
(33478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nDoc Stratégie de test applicative EGIDE'),
(33479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL017544 ETL_COM RDI-GDS sur TR4'),
(33509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL018402 ETL_REFERENTIEL RDI-SAGA sur TR2 (livraison par mail)'),
(33491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL018246 SAGA sur TR4'),
(33483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nDocumentation et montée en compétences SaferGame'),
(33490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[RDI 1.1] Installation ETL Référentiel RDI-SAGA : FDL018125 & FDLxxxxxx_20171113 (livraison par mail) sur TR4'),
(33485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nExtraction des incidents'),
(33486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nMCO EGIDE et Court Commercial (Plusieurs erreurs -> relance)'),
(33487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[RDI 1.1] Installation CIRCE : FDL017864 sur TR4'),
(33492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[RDI 1.1] Installation GDS : FDL018339 sur TR4'),
(33489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[RDI 1.1] Installation ETL Commercial Kheops-EGIDE : FDL017578 sur TR4'),
(33493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nAssistance qualification INT3EGIDE\r\n'),
(33497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nMCO Court_Commercial'),
(33495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n[RDI 1.1] Analyse des données intégrées sur TR2 (Recette en cours)'),
(33498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nMAJ Doc Stratégie de test applicative EGIDE (suppression EGIDE et ajout RDI)\r\n'),
(33499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[BOOSTER] Création utilisateur CSAM\r\n'),
(33500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n[BOOSTER] Modification Mail et num Telephone sous MEIBO'),
(33501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nExtraction des incidents'),
(33502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nMCO EGIDE et Cout Commercial (plusieurs erreurs et relance)'),
(33503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n[RDI 1.1] Analyse des cas en erreur (Recette en cours)'),
(33504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n[MOBILIN] Sollicitations Qualification en cours'),
(33507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[RDI 1.1] Campagne de test de la procédure d\'initialisation des données sur TR5. Analyse des erreurs et création de 2 anomalies.'),
(33508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n[EGIDE] Investigation et Résolution incident INC183221'),
(33511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nRenvoi 2 détaillants sur INT3SAGA'),
(33512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n[RDI 1.1] : analyse des FK absentes sur INT2SAGA'),
(33514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nExtraction des incidents'),
(33516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nMCO EGIDE et Cout Commercial (plusieurs erreurs et relance)'),
(33517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n[RDI 1.1] : analyse et début de traitement des FK absentes sur INT2SAGA'),
(33519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-23  (Do not remove this line) -->\n[BRIC][CombinesBoostes] Support a la recette sur l\'utilisation de BI4 pour les objets combines boostes + identification du chemin pour l\'univers BEAS TR3'),
(33521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n-Mise à jour des tests batch manuel dans ALM\n-En attente d\'info sur l\'exploitation du fichier CSV généré par ingénico\n-L\'emplacement du fichier CSV généré par ingénico\n-Exécution compagne de test 04_IQ_RUN03_API_Paiments'),
(33527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\n[MOKA] Support à Frédéric Pighini pour les rapports non développes par le DEV et  pointant sur BAFIM\n+\nsynchronisation avec la recette pour la mise a disposition des fichiers d\'import d\'ADOBE + modification des jobs controlm pour ajouter la dépendance entre le calcul du socle et l\'intégration des fichiers ADOBE I3SIC-ADOBE_SIDC + DMT0015273 de regul des modifications du script KSH adobe'),
(33530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nStock Grattage - Assistance HIA : Réunion pour MEP du 22/11 + PV de qualif + Livraison à HIA.'),
(33531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nMOKA - CRM : Analyse et investigation Adobe (Import + Export)'),
(33532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n MOKA - CRM : Analyse et investigation Adobe (Import + Export) '),
(33533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n'),
(33535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nSAFERGAME : Pv de qualif Datastage + vérification des anos créées en recette'),
(33536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n'),
(33538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nTransfert compétences\nÉcriture requêtes\nAnalyse Attestation Fiscale'),
(33539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(33540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nGAC et nouvel EnvTransversse'),
(33542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nmodification bouchon\r\n'),
(33570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nAnalyse campagne Acceptation FALCON USR 2.8.5 sur INT9 et rédaction du rapport\nImplémentation cas de test Poupées russes Lot 2 / Modérateur Lot2'),
(33544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nSAFERGAME :  Comité opérationnel avec M.Anne'),
(33550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nSAFERGAME : Pv de qualification SPSS-ODM-IIB+ demande création de l\'application ANB sur Snow avec F.Baudier'),
(33546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nSAFERGAME : Pv de qualification SPSS-IIB-ODM\r\n'),
(33547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM'),
(33549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne'),
(33666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nréunion d’échange HIA / IQ\nModification du script FalconPOSTAccount \nModification du script ITFPOSTGamingEventExecuteControle :  ajout d\'un exemple de mock pour le jeu Monsterwin2017 et gestion d\'un nouvel attribut FDJMotorsPostBetStake permettant de parametrer le stake pour le POST Bet et affichage du pStake lu dans l\'input'),
(33552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nDT4793'),
(33553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nDT4845 + DT4862'),
(33554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nréajustement sur formation UOF');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(33555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nSupport leila sur Postman\r\nUTA refactoring\r\n'),
(33750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nTest UTA avec 2 collections.\nUTA refactoring\nProblème Postman l’exécution des test ne ce fait pas.\nPoint Dev.\nPoint de cadrage Postman Patrick'),
(33753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nFormation Patrick digishop\nPassage de connaissance sur le générateur de code'),
(34397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nInstallation usr 2.8.4, box et event sur int2\ntest pega/falcon'),
(33560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nTest Pega/kafka'),
(33561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nPostman : optimisation des requêtes de sélection pour les services sur les limites.\r\nimplémentation des test sur les nouveaux services\r\nreorganisation de la collection \"manageGameLimit\"\r\n\r\n'),
(33562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nPostman : optimisation des requêtes de sélection pour les services sur les limites.\r\nimplémentation des tests sur les nouveaux services'),
(33563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nQC4607 - Urgent - retour arriere sur une evolution de la 3.0.1'),
(33565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nExécution campagne Non Reg V16\r\nImplémentation Campagne V16'),
(33566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nExécution campagne Non Reg V16\r\nImplémentation Campagne V16'),
(33567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nLecture doc'),
(33576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nScript prise de jeux + doc'),
(33703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nRéalisation de script pour le groupe de service CMS'),
(34592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nmise à jour de scripts'),
(33579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nRédaction documentation + réunion'),
(33580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nRédaction cas de tests Anos V1.14.0'),
(33581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nExecution tests V1.14.0'),
(33582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nAtelier fonctionnel n°7  Man Lot3'),
(33584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nMCO Création de l\'incident INC183519 pour résolution des chaînes en erreur controlM. Suivi des actions avec le mainteneur.'),
(33585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nExtraction des incidents'),
(33592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nInvestigation Pb MCO court Commercial et EGIDE vu avec Fréderic NOLLEVAUX pb agentless'),
(33593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n[RDI 1,1] Traitement pb Foreign Key, modification de données dans la table SAGA LOCAL_COMMERCIAL + création de la foreign key + rajout des codes absents dans TYPE_MATERIEL + création foreign key + alimentation de la table FAMILLE_MATERIEL avec les données de INT4SAGA et création de la foreign key'),
(33590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nAssistance Installation FDL GDS'),
(33594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nExtraction des incidents'),
(33595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMCO court Commercial et EGIDE\r\n'),
(34368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n- Daily + Réu Philippe et Julien pour Amex\n- Acceptance Vitan 5.9.1\n- Tests acceptance Amex iOS 7.0.009\n- ANO054584'),
(33608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n[RDI 1.1] Qualification de la FDL018386 sur INT8SAGA. Déroulé de la procédure de migration des données.'),
(33609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL018386 sur INT8SAGA'),
(35028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n[RDI 1.1] Installation de la FDL018386 sur INT4SAGA'),
(33602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL : Installation de la FDL017745 sur INT3COUR partie serveur.'),
(33603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL : Installation de la FDL017745 sur ADEXT et VDI env. TR3 partie cliente.'),
(35027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n[RDI 1.1] Déroulé de la procédure de migration des données en RM INT4SAGA.'),
(33606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n'),
(33610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMise en place plan test + exigences V1.13.2\r\nRedaction tests V1.13.2'),
(33611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nExécution compagne :\r\n04_ IQ_RUN03_API_Message'),
(33615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n[V16]: Documentation + [V16 / ALM]: Maj des tests existants'),
(33616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n[V16]: Documentation + [V16 / ALM]: Maj des tests existants'),
(33618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nAjout d\'informations sur le document GIT de julien siret\nMise au point sur les commentaires des anomalies affecté pour ptab\nAnalyse du retour d\'enrick gruel sur la doc wars\ninvestigation sur anomalie prod de la faq sur les pieces jointes\nCreation ANO054491'),
(34308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nRésolution de l\'anomalie :\nPHP-999 ANO053175 [APPLI FDJ][getHome] - Mention absente pour le Super Loto et le Grand Loto de Noel'),
(33625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nEvolution Script FalconPOSTSubscription \n[Dev vuGen point hebdo]\nEvolution script ITFPUTGameBetControle et modification attribut pour stake du POSTBet\nCreation d\'un cas de test dans ALM pour qualification du script IF'),
(34365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n- Daily\n- ANO054387 \n- Tests acceptance 1.2.5_wspoenl OK (FDL018371)'),
(34366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n- Daily\n- Réu Back Amex\n- Tests Amex + wcart + relance AMS1745'),
(33633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n[V16] Vérification manuel des PDJs simple, combiné, multiple en base de donné MODB pour mise à jour des cas de tests ALM\r\n\r\n[SPEED UP] Tests Sports d\'hiver, football et basket'),
(33634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nCréation de la RITEM0058216 : connexion des environnements int0 et int9 RETAIL à la bdd ; Modop RETAIL MEP semaine 47'),
(33635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nà la demande du métier transformation de l\'ANO051511 en MOD012965 ; Modop pour WSPDV Toky Woky ; Support pour création outil ajout détaillant'),
(33662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMise à jour des tests ALM pour MUGO avec TPA ; Investigation sur une solution pour continuer à faire des tests avec Fiddler sur la borne en mode IP'),
(34175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nTest sur l\'outil de Florent Verdier pour ajouter des détaillants à la volée en prod en mode IP ; Tests acceptance MIGO 1.0.27 (FDL018491) -> OK ; Tests acceptance MUGO 1.1.3 (FDL018486) -> OK'),
(34177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nsupport HIA pour la MEP S48 d\'ajout de détaillant Freedom ; Freedom TPA tests'),
(33639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n[V16]MaJ des cas de tests V16 ALM\r\n\r\n[V16] Réunion de MaJ du référentiel des tests ALM V16 - de 11h à 12h30\r\n\r\n[SPEED UP] Test de NREG sur Tennis, Badminton et Basket - ANO053637\r\n\r\n[SPEED UP] Vérification d\'ano ANO053637 sur le Snooker, Baseball et Foot Americain\r\n\r\n[SPEED UP] Test pré-match Baskett, nouveau template NCAA'),
(33649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n[V16] MaJ du référentiel de tests ALM\n\n[V16] Création des cas des tests ETL V16\n\n[SPEED UP] Test Basket pré-match - template NCAA\n\n[SPEED UP] Test des nouveaux sports d\'hiver Bobsleigh, Luge, Skeleton, Speed Skating, Short- Track Speed Skating'),
(33642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n'),
(33643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n'),
(33659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nInvestigation sur un probleme de synchronisation des fichiers BO/FO sur ptab\nRedaction réponse doc d\'installation wars  suite à l\'analyse (suite)\nPrise en compte des sprints14/15 pour star/wars'),
(33645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\n'),
(33646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(33648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nTests de validation + livraison paquet NCD0290.000004'),
(33650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nBooster : Infocentre Egide, assistance HIA sur mise en PP de l\'univers Egide.'),
(33651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3'),
(33652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2 + TR3'),
(33653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nPIMO : Calypso - Livraison pour HIA'),
(33728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nPIMO : Calypso - Réinstallation sur TR4 après restore BDD FDL017742'),
(33655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nMOKA - Palier CRM : SID Client - Import Adobe analyse + investigation + création ANO'),
(33657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n28'),
(33658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nExécution compagne de test non reg: 04_ IQ_RUN03_NonReg_PRusses\r\n'),
(33660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n'),
(33661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nmco control m tr 1 2 3'),
(33663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n'),
(33664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n'),
(33667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nFinalisation du login RTA orchestré \nModification du protogen pour generer des nom de fonction RTBuilder NOTYPE distinctes selon leur Gateway\n[point dev : Analyse Databuilder]'),
(33668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nImplémentation cas de test Poupées russes Lot 2'),
(34309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nAnalyse ANO054141 : ce n\'est pas une anomalie.\nLivraison API APM : 1.1.8\nMise en place du mode debug pour la date courante pour l\'intégration (à tester)\nAnalyse ano :\nphp-990\nMOD012738 [APPLI FDJ][getHome] Mentions Jackpot Type EUML avec Jackpot Maximum 190 M€'),
(34307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nCorrection :\nPHP-921 [ANO052873] [PLAYSTATION] Demande de logs apache en cas d\'exception Sqlite\nPHP-990 MOD012738 [APPLI FDJ][getHome] Mentions Jackpot Type EUML avec Jackpot Maximum 190 M€\nPHP-1001 [GetHome]Modification de la methode getCurrentDate() pour pouvoir choisir la date et l\'heure dans l\'url'),
(34313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nAnalyse :\nPHP-993\n[ANO054038] [APPLI FDJ] [Service getHome] - Mauvaise annonce d eJackpot dans le cas d\'un retard de Promulgation'),
(33678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\ntest bouchon'),
(33679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nDaily stream webapp - daily stream apps hasard mobile\r\nTest reçu scanné mrcd-josé\r\nRetour des flux MRCD au stream PHP pour réécriture de la doc MRCD pour refonte du serivce\r\nTest version 1.5 appli FDJ ANDROID IOS suite a decommission du sdk TicaTag qui ne partira pas en PROD'),
(33680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\ncampagne batch moka'),
(33681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\ncampagne batch moka'),
(33682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\ncampagne batch moka'),
(33683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\ncampagne batch moka'),
(33684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nvie des environnements'),
(33686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nDaily stream webapp - daily stream apps hasard mobile\r\nPoint d\'equipe apps hasard mobile\r\nPoint avec Colette COTTET equipe ESTE pour mise en place de test sur LOTO/EUML avec abonnement 5 semaines condensé en 1 semaine sur environnement d\'integ\r\n'),
(33691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nPréparation offre/resulting pour tests Digital  0,5\nV16:préparation nouveau cas de tests à écrire'),
(33690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nV16: préparation nouveau cas de tests à écrire'),
(33694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nDaily stream webapp - daily stream apps hasard mobile\r\nCréation d\'ano en PROD sur l\'ouverture du GRAND LOTO NOEL\r\nPas de contrib pour bandeau webapapp sur desktop, portail tablet/mobile, appli FDJ, pas de contrib sur historique de jeux , remonté via ano et mail envoyé a xavier mazeau stephane hiardot.\r\nSortie de reçu pour tests suivant spec MRCD/JOSE'),
(33695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nDaily stream webapp - daily stream apps hasard mobile\r\nPoint a faire avec ESTE pour mise en place des tests d\'abonnements 5 semaines\r\nContinuité des tests sur les scans avec tous les scenarios possibles\r\nTest sur version 1.5 appli native FDJ IOS Android'),
(33696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nDaily stream webapp - daily stream apps hasard mobile\r\nPoint a faire avec ESTE pour mise en place des tests d\'abonnements 5 semaines\r\nContinuité des tests sur les scans avec tous les scenarios possibles\r\nTest sur version 1.5 appli native FDJ IOS Android'),
(33697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nCONCEPTION BDD'),
(33698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nConception BDD'),
(33699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nPostman : optimisation des requêtes de sélection pour les services sur les limites.\r\nimplémentation des tests sur les nouveaux services\r\n\r\nCampagne d\'acceptance INT 81 :\r\nComposant : Digishop Compte 5.3.0 \r\nComposant : Digishop Inscription 5.1.0 \r\nComposant : Digishop Authent 5.3.0\r\nAction : préparation \r\nAction : lancement\r\nAction : analyse des résultats\r\nAction : rédaction du bilan de campagne.\r\n\r\n'),
(33702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nRéalisation de script pour le groupe de service CMS'),
(34387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nImplémentation de tests auto, finalisation d\'exécution + analyse campagne NON reg USR 2.8.4. Implémentation + correction de tests auto (maintenance) et création d\'anomalies.'),
(34388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nCréation d\'anomalies, analyse Anomalies, correction de tests (maintenance) et reporting campagne Non REG USR 2.8.4.'),
(33712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nExécution et analyse campagne NR FALCON USR 2.8.5 sur INT8\nExécution campagne Acceptation FALCON USR 2.8.6 sur INT9'),
(34389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nImplémentation de tests auto, mise à jour des 10 tests à finir, correction de tests et qualification d\'anomalies. Suivi sur les anomalies du palier, passer les tests pour assurer qu\'aucune non reg n\'ait été relevée.'),
(34390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nImplémentation de tests auto, passage de tests, robustesse, vérif Anomalies abandonnées et suspendues.'),
(33720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nacceptance - FDL018454 - apimaitre'),
(33710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nmise à jour d\'environnement'),
(33711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nanalyse log oracle/ support '),
(34352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nFormation star wars /'),
(33722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO IF MTR JEU MONSTER WIN \r\nCAMPAGNE DE QUALIFICATION DU JEU '),
(33715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO IF MTR JEU MONSTER WIN \r\nDÉVELOPPEMENT DE NVX CAS DE TESTS'),
(33723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nMise à jour environnement'),
(33717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO IF MTR JEU MONSTER WIN \r\nDÉVELOPPEMENT DE NVX CAS DE TESTS'),
(33718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n- Installation et configuration du poste de Madame Valerie Le Roux\r\n- preparation de la presentation du poc \r\n'),
(33719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n- Installation et configuration du poste de Marouan\r\n- preparation de la presentation du poc '),
(33721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO IF MTR JEU MONSTER WIN \r\nCAMPAGNE DE QUALIFICATION DU JEU \r\n'),
(33724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nCAMPAGNE TESTS AUTO IF MTR JEU MONSTER WIN \r\nCAMPAGNE DE QUALIFICATION DU JEU '),
(33725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n- journee de présentation du pilote robotframework selenium sur le site de paris'),
(33726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n- Identifications  des campagnes de tests a automatiser'),
(33727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n- Identifications  des campagnes de tests a automatiser'),
(33729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nPIMO : Infocentre PDV-DETA : Mise à jour de la procédure d\'installation pour HIA'),
(33732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nDev API : correction du json RTA et Modification du protogen Falcon pour générer des nom de RTBuilder NoType préfixé par le nom de la Gateway pour éviter les erreurs de compilation des scripts\nFinalisation du script vuGen d\'ouverture de session PMS'),
(33731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMOKA : SID Client - installation FDL018459'),
(33734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMOKA : SID Client - reprises import Adobe depuis le 15/11'),
(33735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nsupport CDS sport'),
(33736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMCO : SID Client TTR2, TR3 + SID Commercial TR2 + TR3'),
(33737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nsupport CDS sport'),
(33890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nAnalyse de la version Falcon USR 2.9.0-dev // 2.8.6\nScript AUTO Falcon PMS : Validation du joueur et opérations de versement/retrait du purse par le retailer'),
(33739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nsupport CDS sport'),
(34645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\ncampagne light CB + support CDS sport'),
(33744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nPIMO - Calypso : Réinstallation TR4 de FDL015815'),
(34646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\ncampagne light CB + support CDS sport'),
(34398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nSupport HIA Bingo : Probleme de prod'),
(33748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nMOKA ARJEL ; Tests ARJEL'),
(33749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nPostman : optimisation des requêtes de sélection pour les services sur les limites.\r\nimplémentation des tests sur les nouveaux services'),
(33751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMOKA ARJEL ; Tests ARJEL'),
(33752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMOKA ARJEL ; Tests ARJEL'),
(33754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nFormation Patrick digishop'),
(34551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nFormation Patrick Postman'),
(33756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nFormation DIGISHOP Yannick KOME'),
(33758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nFormation DIGISHOP Yannick KOME/Leila LAFI'),
(33760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nFormation DIGISHOP Yannick KOME/Leila LAFI'),
(33769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants / PDJ (+ autres) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Tests / PDJ (+ autres)'),
(33771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants / PDJ (+ autres) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Tests / PDJ (+ autres)'),
(33772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants / PDJ (+ autres) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Tests / PDJ (+ autres)'),
(34355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nMOKA_ ARJEL exécution campagne USR 2.8.4'),
(34356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMOKA_ ARJEL exécution campagne USR 2.8.4'),
(34358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMOKA_\n0,5 : ARJEL exécution campagne USR 2.8.4 + bilan du RUN03\n0,5 : Suivi des anomalies'),
(33775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nPoint de synchro Outils de tests. Définition et Implémentation de cas de test GAM Back.'),
(33776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. Point de synchro IF / GAMIF / JEUX. Dev VuGen - Point hebdo.'),
(34354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMOKA_ \n0,5 : suivi et qualification des anomalies\n0,5 : point avancement de la qualif IQ digital back \"manuel/postman\"'),
(34359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nMOKA_ ARJEL exécution campagne USR 2.8.5 ou 2.8.6 ???'),
(33779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nDéfinition et Implémentation de cas de test GAM Back. Point swagger code-gen. Analyse  databuilder.'),
(33780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nFinalisation de la publication des scripts Falcon Admin. Maj de la doc de campagnes de test GAM BAck. Ventilation des campagnes d\'acceptance GAM Back.'),
(33781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n'),
(33782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nActivité sur création, MAJ et resulting de l\'offre Volley. pbk sur pINSTANCE et pDESCRIPTION.'),
(33783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nActivité sur création, MAJ et resulting de l\'offre Volley. pbk sur pINSTANCE et pDESCRIPTION ==> Point d\'avancement avec Raphael sur le sujet.'),
(34593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nActivité sur création, MAJ et resulting de l\'offre Volley. Travail sur pINSTANCE'),
(33785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nExécution des campagnes de tests du palier MOKA sur INT8 (USR 2.8.4).'),
(33786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nExécution des campagnes de tests du palier MOKA sur INT8 (USR 2.8.4).'),
(34407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nExécution des campagnes de tests du palier MOKA sur INT8 (USR 2.8.5).'),
(36556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nROMA: Certification joueur retail _ exécution des tests en BOX'),
(36553, 'select * from PCA.ASSURE a  join\r\n(\r\nselect \'Renonce\', r.* from pca.mandat r where DATE_TRT_BATCH_RENONCe is not null\r\n--order by DATE_TRT_BATCH_RENONCe desc\r\nUNION\r\nselect \'Vide\', v.* from pca.mandat v where MANDAT_ETAT_N_ID =3 AND DATE_TRT_BATCH_RENONCe is  null\r\n--order by DATE_TRT_BATCH_RENONCe desc;\r\n) m on (a.assure_id=m.assure_id)\r\norder by date_fin_mandat desc;\r\n\r\nselect * from PCA.ASSURE a  join\r\n(\r\nselect \'Vide\', v.* from pca.mandat v where MANDAT_ETAT_N_ID =3 AND DATE_TRT_BATCH_RENONCe is  null\r\n--order by DATE_TRT_BATCH_RENONCe desc;\r\n) m on (a.assure_id=m.assure_id), PCA.EXPERT_COMPTABLE e, PCA.RATACHEMENT_CABINET r, PCA.COMPTE_EC c\r\nwhere m.EXPERT_COMPTABLE_ID= e.EXPERT_COMPTABLE_ID and r.EXPERT_COMPTABLE_ID=e.EXPERT_COMPTABLE_ID and c.COMPTE_EC_ID=e.COMPTE_EC_ID\r\norder by date_fin_mandat desc;'),
(33797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(33801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nSAFERGAME : FDL018448 CFM, FDL018466 Cognos, FDL018453 DB2 sur int2'),
(33803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nSAFERGAME : Qualification ANO054143, ANO054133, ANO051400, ANO052123'),
(33804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nSAFERGAME : Revue des specs de la MOD2 avec M.Anne et le métier'),
(33805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nSAFERGAME : Création DMT0015957'),
(34323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n0.5 jour Implémentation cas de test Mify\n0.5 jour exécution de campagne NonReg V16'),
(34324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n1 jour exécution de campagne NonReg V16'),
(34325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n1 jour exécution de campagne NonReg V16'),
(34326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n0.5 jour Implémentation cas de test Mify\n0.5 jour exécution de campagne NonReg V16'),
(33811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nReunion convergence\nTest du bon fonctionnement du script edwan.ksh / synchronisation / lsyncd suite au probleme de synchro PTAB\nInvestigation sur un probleme de d execution de script et de log sur les crontab de certains machines du cloudfront'),
(33816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'CT2017\' v1.0.6 '),
(33822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nContribution de Happy Des hiver sur INT31'),
(33821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'MONSTER WIN 2017\' v1.0.0'),
(33818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nITF : Qualification back pour le jeu MonsterWin 2017. Modification de cas de test ITF. Exécution de la Campagne de Non régression sur RTG 2.4.0 avec la version de Falcon usr 2.8.5 pour le Palier MOKA sur INT8. Exécution de la Campagne de Non régression sur ITG 2.4.1 avec la version de Falcon usr 2.8.5 pour le Palier MOKA sur INT8. Implémentation de cas de test pour le palier MOKA Modérateur Lot 2. ITG : Campagne lancée pour valider les modifications sur la limite journalière.'),
(33820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nInstallation de CT2017 v1.0.5 sur INT21/81\nInstallation de Gravity v2.3.10 sur INT21/81\nDuplication du jeu MTW en AMW sur INT0-IF'),
(34594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nIndustrialisation de l\'installation des composants front en vu de la maintenance de l’environnement Illiko'),
(34595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nIndustrialisation de l\'installation des composants front en vu de la maintenance de l’environnement Illiko'),
(33826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nmco control m tr 1 2 3 '),
(33827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n- Daily\n- ANO054504\n- ANO054506'),
(33840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nLivraisons Boutiques Moka Correctifs : Install à prevoir sur 81 puis 21 \n\nAssistance Dev sur int91 pour conf Boutiques/Ajout variables etc...'),
(33838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nRelivraison A et U car erreurs de config dév. \nParamétrage a nouveau et réinstallation.\n\n\nAnalyse de Google Recaptcha et Collectd pour mise en place et correctif.\n\nAtelier Passation Boutiques  l’après midi avec David\n\nInstallation sur INT81 des Boutiques Moka avec David pour démo/passation.'),
(33833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n-Mise à jour des tests Reconciliation sur bornes dans ALM\r\n-Mise à jour des détection de fraudes dans ALM\r\n-Rajout de nouveau test (fichier ingénico vide)'),
(33837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nSuite Analyse Google Recaptcha et point fonctionnement avec le dév Boutiques.\r\nValidation des actions à mener coté IQ pour mise en place du Recaptcha.\r\n\r\nPoint sur la mise en place de Clé Git pour utilisation (David, Romain).\r\n\r\n\r\n'),
(33839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[V16] MaJ du référentiel de tests ALM\r\n\r\n[V16] PDJ Simple via Front pour tests V16'),
(33843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nInstallation Boutiques avec David sur INT81 Moka nouvelles versions corrections d\'ANOS + demande tests acceptances Leila.\n\nParamétrage int92 pour install par les Dév : nouveau service + synchro Edwane sqlite BDD.\n\nAtelier  passation Boutiques (Salt etc..) avec David\n\n'),
(33842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-09  (Do not remove this line) -->\nNonReg 20171011-[INT1]-14.1.32-SNAPSHOT 3219'),
(33844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nImplémentation de cas de test pour le palier MOKA Modérateur Lot 2'),
(33857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nDaily meeting (1h)\nMigration Edwan41 en version iso prod.\nInstallation SALT de l\'environnement INT4 mais flux non encore ouvert --> sportail non fonctionnel, composant wpsel et wcart fonctionnelles.\nLes applications natives peuvent fonctionner sur l\'environnement.\nLa configuration salt spécifique pour l\'environnement INT4 n\'est pas présente --> maj de cette derniere.'),
(33866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nDaily meeting AMEX 1h.\nTravail avec romain pour mettre dans la branche feature-amex le palier BRIC VSR 2 + obsolescence ARJEL + la non conformité ARJEL. (creation de nouvelle branche + merge).\nPassage de l\'edwan INT61 en version iso prod (palier bric AMEX) + rèinstallation de l\'environnement INT61 depuis SALT. L\'authentification fonctionne.\nDéblocage avec INDUS-UNIX du frontal fr20054 de l\'environnement INT61.'),
(33852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\ndaily meeting 1h.\navancement projet AMEX.\nRéunion 1h avec la recette pour échanger sur les tests et le choix du rafraichissement de l\'offre sur le sportail ou les applications natives.\nSuite au merge de la branche master dans la branche AMEX l\'authentification ne fonctionne plus --> C\'est normal, nous sommes déphasés entre les composants fronts de l\'Edwan et la configuration SALT.'),
(33853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\ndaily meeting 1h.\r\nAvancement projet AMEX --> Recherche d\'information pour homogénéiser les mécanismes de rafraichissement entre le site et les applications natives. L\'informaiton n\'est pas clairement présente sous confluence.'),
(33854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nDaily meeting 1h.\r\nOn essaye d\'obtenir la création des urls internes du domaine enligne.parionssport pour enfin arriver à faire communiquer le front avec le back avec l\'aide de la DT et du CDS firewall.\r\nNombreux tests et échanges entre nous.\r\nLe soir ca ne fonctionne pas.'),
(33856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nDaily meeting 1h.\r\non continue sur les problèmes de flux. on avance petit à petit. Dans l\'après-midi, on arrive enfin à faire communiquer le front et le back sur INT0. --> problème le CMS n\'est pas alimenté --> le sportail \"claque\" des erreurs 500 partout.\r\nTravaille avec le back pour copier la base du CMS de INT6 sur INT0.\r\nTest Authent + PDJ OK sur le sportail et les applications natives IOS & Android.\r\nLes PDJ ne fonctionnent pas correctement sur le sportail.'),
(33858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nDaily meeting 1h.\r\nAvancement des tests AMEX et échange avec le métier pour appliquer un fonctionnement correct au site lorsqu\'on est en erreur 500 ou lorsqu\'un appel back retour du \"vide\".'),
(33865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nDaily meeting (1h)\r\nRéunion sur les tests d\'acceptances côté front (1h30).\r\nEtude des différences entre le composant phpfpm 7.0 présent sur la branche feature-convergence et feature-amex.\r\nEtude des erreurs 500 (homepage) sur le sportail.'),
(33861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\na tester'),
(33863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nDaily meeting 1h.\r\nIl faut absolument livrer tester l\'environnement INT4 avant de le fournir à la recette.\r\ntest Authent + plusieurs PDJ main + live sur le sportail. Etats des lieux également sur les applications natives IOS & Android AMEX.\r\nOn ne peut pas accéder à l\'historique joueur depuis le sportail et IOS.\r\nUn GO recette est donné.'),
(33864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n'),
(33867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nanalyse crash QF3'),
(33868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\nfin analyse crash QF3'),
(33869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nFSA + DEX'),
(33870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-08  (Do not remove this line) -->\nAjout des index '),
(33871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-09  (Do not remove this line) -->\ntests batch'),
(33872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nchiffrage BM'),
(33873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n- Daily Coco (toute la semaine)\r\n- Daily Moka (toute la semaine)\r\n- Coordination déploiements MOKA\r\n- Vérifications Playscan\r\n- Support Recette : Jeu de données Mod Lot 2 + Qualif Ano'),
(33874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n- Support Recette : Jeu de données Mod Lot 2 + Qualif Ano\r\n- Création Ano critique sur Digi A pour authent Gamif : ANO054352'),
(33876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n- Qualif Ano Falcon sur les limites\n- Support Recette : Jeu de données Mod Lot 2 + Qualif Ano'),
(33879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n- Support Recette : Jeu de données Mod Lot 2 + Qualif Ano\n- Ano cookie Playscan sur PSEL'),
(33878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n- Déploiement et tests MAG / MUG Moka - Gamif'),
(33880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(33881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n'),
(33882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n'),
(33940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n-Exécution compagne de test sur la nouvelle version d\'USR 2.8.6:\n05_ IQ_RUN04_CRM Lot1\n05_ IQ_RUN04_Freedom\n\n\n-Remonté d\'ANO batch:\nANO054583: [MOKA][FD][BATCH] La date de réconciliation n\'est pas mise à jour pour une transaction rejeté après avoir tourné le batch de réconciliation'),
(33885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMise en place du squelette de l\'application'),
(33886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n'),
(33941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nPréparation Anonymisation de l\'infocentre BO\nLivraison FDL018513 : [MCO]  [COHD] Livraison objets Oracle - Anonymisation de la base d\'intégration'),
(33888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMOKA : SID Client - Adobe qualification des ANO054213, ANO054370, ANO054477, ANO053883\r\n'),
(33889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMOKA : SID Client - Playscan Analyse puis reprises suite à fichiers vides en entrée.'),
(33891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nFreedom : SID Client - Analyse sur mauvais canal dans l\'univers BAFIM'),
(33893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n- configuration salt correction env_values abs sur environnements\n- configuration salt correction indents sur environnements et maj des branches\n- configuration salt intégration mode debug apimaitre sur nouvelle branche\n- qualification livraison Boutique G 2.0.0\n'),
(33894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n- maj swagger digishop-a 5.2.0\r\n- maj swagger digishop-u 5.2.0\r\n- maj swagger-ui 3.4.5\r\n- maj swagger 4.4.4_mapi\r\n- déploiement boutiques Palier Moka int91\r\n  \'digishopa\': \'4.4.7\',\r\n  \'digishopi\': \'4.2.2\',\r\n  \'digishopu\': \'4.3.1\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- intégration sous Salt du mode Debug Apimaitre merge avec branches feature-moka et feature-amigo'),
(33895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n- investigation ano de prod sur le service de notification sur appli FDJ, pb de jpcache identifié\r\n- maj campagne postman Digishop-G service Amigo\r\n- maj des environnements postman apimaitre\r\n- maj des environnements postman mrcd\r\n- maj des environnements postman mapi\r\n- maj des environnements postman mobi\r\n- maj des environnements postman rtg\r\n- maj des environnements postman hasard'),
(33896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n- support stream app native, problème de réponse get-home avec contribution amigo\r\n- maj swagger digishop-a 5.3.0\r\n- maj swagger digishop-i 5.1.0\r\n- maj swagger digishop-u 5.3.0\r\n- maj swagger 4.4.5_mapi\r\n- maj swagger digishop-p 2.0.0\r\n- création ANO054579 [MAPI] Problème de cache avec service /mapi/subscription/get \r\n- support dev, désactivation du jpcache sur /mapi/subscription/get\r\n- maj configuration SALT pour nouveau service /digishopp/pdv/get'),
(34340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n- qualification livraison Sigishop-P 2.0.0\n- mise en place des branches postman composant apimaitre\n- mise en place des branches postman composant mapi\n- mise en place des branches postman composant mobi\n- mise en place des branches postman composant mrcd\n- mise en place des branches postman composant rtg\n- maj campagnes postman Digishop-P service pdv/get'),
(33954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nRetour suite a l analyse des problemes crontab des machines fr20054 , fr20113, fr20179\nAnalyse et retour de la doc d\'installation wars après modification par enrick gruel'),
(33899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n'),
(33900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n'),
(33901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(33902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMOKA : SID Client - Adobe : Réunon utilisateur et analyse sur les données exportées à Adobe.'),
(33903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMCO du 24/11 : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(33904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nAnalyse de Swagger et codegen. Point Gamif. Atelier grand nombre CIP.'),
(33907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nChangement de marque RSI (PT_ASSURE 1887)\r\n\r\n- Probleme\r\n  - Regarder le problème des images du mail\r\n    - @MorganM appel @JeanMarcH savoir si les image se charge dans les mail\r\n      - les image ne s\'affiche pas bien \r\n        - pas de outlook qui plante\r\n        - même après avoir accepter les image\r\n      - mail lun. 20/11/2017 10:29\r\n- Mise à jour environnement \r\n  - Hotfix (Chantier retraité)\r\n    - #ok @MorganM PT_ASSURE\r\n    - #ok @MorganM CAS_COMMUN\r\n- Maintenance environement\r\n  - #OK @MorganM PT_ASSURE sans action....'),
(33908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nRédaction tests V1.13.2'),
(33909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nExécution tests V1.13.2'),
(33910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nexecution tests V1.13.2'),
(33911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nExécution tests V1.13.2'),
(33912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\npréparation livrables qualif V1.13.2'),
(33913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(33914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(33919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(33920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nGestion des incidents HIA'),
(33921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - installation WS - 4.07.01 FDL018180 sur INT6EGID Trv3'),
(33922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - installation FDL017290_Com_16.3.0 sur INT3ETL9  Trv3'),
(33923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - installation FDL018250_egide_4.51.03_liv sur INT6EGID Trv3 '),
(33924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - installation FDL018327_egide_4.60.07_liv sur INT6EGID Trv3'),
(33926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Installation FDL018394_egide_4.60.08_liv sur INT6EGID Trv3'),
(33927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(33928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(33929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n'),
(33930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n2'),
(33931, 'Correction poussée\r\nTest HPalm écrit\n\n'),
(33932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n'),
(33936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n'),
(33934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n'),
(33947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nSAFERGAME : Revue des specs avec IBM+ point avec O.Tapon sur les normes de certificats'),
(34399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMontée en competence Jeremie sur Bingo\nanalyse usr 2.8.6\nMOKA Revue du Plan de MEP\nAnalyse pb salt ojadgate'),
(34400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nanalyse pb salt ojadgate\nInstallation usr 2.8.6/event 1.0.5 int8\ntest event'),
(33944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\n'),
(33957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\n'),
(33959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n'),
(33949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n'),
(33960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n'),
(33951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n'),
(33952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(33961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n'),
(33962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(33963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n'),
(34020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nSIDC TR1 En attente // SIDC TR2 //SIDC TR3 // SIDCOM TR2 // SIDCOM TR3'),
(33966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run FDL018445: Calypso v13.6.5 / adaptation base d\'archivage pour univers APdvDeta -> refusée pb à l\'installation'),
(33967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n[RDI 1,1] Rédaction cas de test EGIDE: Gestion de l opportunité (3 cas: ajout materiel, modif forme juridique *2)'),
(33968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nAssistance Installation FDL GDS');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(34369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n- Daily\n- Acceptances FDL018497 (PSEL iOS 7.0.009) et FDL018506  (PSEL Android 2.0.1)\n- Amex iOS 7.0.009\n- ANO054605 et ANO054614 \n- Ajout du /www dans le paramètre mediaUrl des catalogues psel pour INT0 et INT4'),
(34370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n- Daily\n- WPSEL'),
(33990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nLancement campagne de non régression Falcon RTG 2.4.1 avec une version de Falcon USR 2.8.6 sur INT8. Analyse des campagnes'),
(33995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nnettoyage / réorganisation des dossiers de travail\nrédaction doc Exigence IQ (suite)\nLecture des documentations PORTAIL API\nInstallation Portail tablette 2.18.0 sur INT8'),
(33978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - Installation DL018440_egide_4.60.09_liv sur INT4EGID Trv2'),
(33979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - Installation DL018440_egide_4.60.09_liv sur INT6EGID Trv3'),
(34158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nTest NREG de la nouvelle SNAPSHOT17'),
(34159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nTest NREG de la nouvelle SNAPSHOT17'),
(34161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nTest NREG de la nouvelle SNAPSHOT17'),
(34160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nTest NREG de la nouvelle SNAPSHOT17'),
(33985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n[FREEDOM] Packman analyse et support sur la reprise digital'),
(33986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\ndev Script de scenario multi-bloc pour appeler les services PMS\r\n[réunion d\'échange HIA / IQ]'),
(34026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nÉchanges avec les dév sur le fonctionnement de Google Recaptcha/ Hazelcast. Analyse des éléments de conf à mettre en place coté IQ (cache Hazelcast, config Boutiques etc...).\n\nRelecture de doc Salt/Git\n\nTests de modification de mise en place de poste Git avec David.\n'),
(36649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nRealisation d\'un script permettant de relever toutes les versions installées sur tous les environnements edwan'),
(33992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nFDL018434'),
(33993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nTests GLN'),
(33994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nFDL018500'),
(33996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nPas sur étude mais sur intégration CALI'),
(33997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nInstallation usr 2.8.6-1 pr et box sur int2\r\nqualif ano\r\nReunion preparation MEP\r\nVerif de conf pour la mep\r\n'),
(34003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nScheduler'),
(33999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nAnalyse Adéquation Besoin Métier avec le Scheduler'),
(34000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nAnalyse Adéquation Besoin Métier avec le Scheduler'),
(34001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nAnalyse Adéquation Besoin Métier avec le Scheduler'),
(34002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nChiffrage Bordeaux Métropole'),
(34004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nChiffrage Bordeaux Métropole'),
(34021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n[OLCLot3.2] FDL018447 sur le TR2'),
(34010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n'),
(34011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-13  (Do not remove this line) -->\nPrise de connaissance des exigences Métier (3 SFD) sur la planification'),
(34014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\nChiffrage Bordeaux Métropole'),
(34013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nAdéquation des exigences Métier (3 SFD) Planification avec le Scheduler'),
(34017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-07  (Do not remove this line) -->\nSupport aux développeurs pour correction des QC ouvertes par l\'AMOA'),
(34016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\nSupport aux développeurs pour correction des QC ouvertes par l\'AMOA'),
(34022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n[MOKA] Revue projet + procédure de reprise des données référentiel jeu + identification des 2 FDLs reçues le 24/11'),
(34019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n[OLCLot3.2] Vérification de la présence de données \"caisse en transit\"'),
(34023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n-Mise à jour test Postman(USR-012501-payments-POST-KO-12-Joueur Retail - compte Neutralisé: test à revoir)\r\n-Exécution test réconciliation  \r\n-Essayer de reproduire l\'ANO054583 sur la 2.8.6 ==> ANO non reproduit : abondonnée'),
(34311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nAnalyse des anomalies du sprint 41.\nModification pour évol :\nPHP-955 [MOD012688] [AMEX] [MAPI] [T] Checkversion, prendre en compte la nouvelle application PSEL.'),
(34027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nExtraction des incidents'),
(34028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMCO EGIDE et Court Commercial Analyse Plusieurs erreur sur I2 création incident INC183691'),
(34029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nInvestigation incidents INC183269 et INC182875'),
(34030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n[RDI 1.1]Extraction CSV pour RDI recette'),
(34031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n[RDI 1,1] Rédaction cas de test EGIDE: Gestion de l opportunité (creation enseigne franchisee, intégrée, modification coordonnées distributeur franchisée et intégrée)'),
(34032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nExtraction des incidents'),
(34033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMCO court Commercial et EGIDE'),
(34034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nRIB.009 Maintenance évolutive du Run FDL018478: Calypso v13.6.5 / adaptation base d\'archivage pour univers APdvDeta'),
(34035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nRAM.007 Gestion des environnements DMT0015918 Ajout 5 RIB  et 2 renvoi courtier et détaillant'),
(34036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, FDL017290 installation de WF'),
(34038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nExtraction des incidents'),
(34039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nMCO court Commercial et EGIDE'),
(34070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nSAFERGAME : Création DMT0016105+Création ANO054676+ ajout du certificat Folio avec le paramétrage \"critical\"'),
(34056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne + Point sur les anomalies en cours côté IQ avec M.Anne'),
(34041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL [COURTAGE V9.22] FDL018502 sur INT3COUR Qualification de l\'ANO052631'),
(34042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 [COURTAGE V9.23] FDL018339 sur INT3COUR, CITRIX et VDI'),
(34043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nExtraction des incidents'),
(34044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nMCO court Commercial et EGIDE'),
(34045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1: full FDL018246 (FDL018386 et FDL018523) Saga v6.22 / RDI 1.1 / livraison full, dont migration des adresses et activités nfdj à partir du RDI sur INT2SAGA'),
(34046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 Investigation FDL018246 pour recherche infos sur les installations antérieures'),
(34047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1: reprise de données adresses'),
(34048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nExécution campagne NR - FALCON USR 2.8.6 sur INT8'),
(34050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nExécution, analyse et rédaction du rapport de campagne NR - FALCON USR 2.8.6 sur INT8\n'),
(34144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nExécution, analyse et rédaction du rapport de campagne NR - Poupées russes Lot2 - FALCON USR 2.8.6 sur INT8\n'),
(34052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nPreparation Plan de Test pour la partie TP'),
(34081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nlivraisons FDL suite modification\nFDL018134   : [MCO]  [CRM2] Livraison objets Oracle - Anonymisation de la base d\'intégration\nFDL018513   : [MCO]  [COHD] Livraison objets Oracle - Anonymisation de la base d\'intégration\nMise à niveau des environnements DEV1 DEV3 et DEV4 pour le user CONSOWEB'),
(34093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nAcceptance de la version 2.18.0 sur INT82\nInstallation 2.18.0 sur INT22 + acceptance sur environnement isoprod\nQualification des anomalies 2.18.0\nTests BDD Keno apres correctif 2.18.0'),
(34082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nPostman : \noptimisation des requêtes de sélection pour les services sur les limites.\nréorganisation de la collection DU 5.3 \"manageGameLimits\".\ncorrection des schémas JSON\nsuppression d\'appels de services N/A pour les joueurs SPO et SPO RTL.\n\nRéunion : Atelier Sélection de joueur'),
(34083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nCampagne d\'acceptance INT 81 USR 2.8.6-1:\nComposant : Digishop Compte 5.3.1 \nComposant : Digishop Inscription 5.1.0 \nComposant : Digishop Authent 5.3.1\nAction : préparation \nAction : lancement\nAction : analyse des résultats\nAction : rédaction du bilan de campagne.\n\nPostman : \noptimisation des requêtes de sélection pour les services sur les limites.\n\nRéunion : [MOKA] Instance IQ\nRéunion : Point Equipe TEST AUTO'),
(34401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nFormation Pega\nTest retention kafka\nPreparation conf MEP'),
(34068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nSAFERGAME : Vérification des anomalies créées en recette'),
(34069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec M.Anne'),
(34071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nSAFERGAME : Présentation livraisons IBM du jour'),
(34072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne et IBM'),
(34312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nSuspension des anomalies :\nPHP-1000 [ANO054232] [Privacy] [Cookie Monster] Déclenchement des hits - acceptation Privacy\nPHP-988 [ANO044725] [TMS][Bingo]Lors du chargement de la page - Le hit est envoyé en double.'),
(34079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nIndustrialisation de l\'installation des composants front en vu de la maintenance de l’environnement Illiko'),
(34078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'JUSTICE LEAGUE 2017 v1.0.3\nMontée en compétence GIT/SALT pour la maintenance de l\'environnement  Illiko'),
(34080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n'),
(34085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nmise à jour de scripts'),
(34087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\ntests de scripts'),
(34396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nmise a jour et teste des scripts'),
(34091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n'),
(34455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nmise a jour et teste des scripts'),
(34094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-30  (Do not remove this line) -->\n'),
(34095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-31  (Do not remove this line) -->\n'),
(34096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\n'),
(34097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\n'),
(34098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-06  (Do not remove this line) -->\n'),
(34099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n[V16] MaJ et création des cas de tests ALM pour prendre en compte les évolutions V16 - Modules BackOffice\r\n\r\n[V16] Lecture des docs pour création des cas de tests - Manque de spec'),
(34100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[V16] Création/MaJ des cas de tests ALM de Segmentation\r\n\r\n[V16]  Création/MaJ des cas de tests ALM ETL'),
(34101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n[V16] MaJ/création des cas de tests du référentiel IQ Sport\r\n\r\n[SPEED UP] Tests des nouveaux sport d\'hiver. Snooker, Baseball et Foot American - Qualification de livraison'),
(34102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n[V16] MaJ du référentiel des tests V16\r\n\r\n[AUTRES] Réunion d\'avancement  des MaJ du nouveau référentiel V16 avec Raphael  et equipe IQ Tests Manuels. De 14h à 16h'),
(34103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n'),
(34104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nPréparation FDL pour nouveau chargement client'),
(34112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants / PDJ + Settlement (+ autres) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Tests / PDJ + Settlement (+ autres)'),
(34113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants / PDJ + Settlement (+ autres) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Tests / PDJ + Settlement (+ autres)'),
(34114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n[CB / 14.1.32.1-b17 / INT3]: Campagne Combiné Boosté NonReg Back'),
(34115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[CB / 14.1.32.1-b17 / INT3]: Campagne Combiné Boosté NonReg Back'),
(34110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\n'),
(34116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n[CB / 14.1.32.1-b17 / INT3]: Campagne Combiné Boosté NonReg Back + [V16 / ALM]: Maj Tests V14 en V16'),
(34118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nDev script auto PMS validate player\n[Dev VuGen - Point hebdo]\n[Atelier Client Vision Unique]\n[[ROMA] Point de synchro non-reg USR-2.9]'),
(34120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\ndev script auto PMS : versement / retrait sur compte joueur\nScenarisation des scripts'),
(34122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nSIDC TR2 Bloqué anomalies Falcon // SIDC TR3 En attente // SIDC TR1 reprise a prévoir // SIDCOM TR2 OK // SIDCOM TR3 OK'),
(34147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n[MOKA] Analyse du problème de chargement L_SIC_INFOS_JOUEURS + reprise du chargement après correction dans FALCON + analyse du problème d’erreur sur le socle du a une trop grande diversité de donnée'),
(34148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nDemo Convergence\nInstallation 2.18.0 de ptab sur INT3'),
(34125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nANVCTX'),
(34138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nAnalyse de la campagne de non régression Falcon RTG 2.4.1 avec une version de Falcon USR 2.8.6 sur INT8. Envoie du rapport. \nEcriture de cas de test pour RTG demandé par la client. Lancement de la campagne de Non régression Interactive Factory pour valider falcon USR MOKA sur INT8 (problème technique sur l\'environnement)'),
(34139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nEcriture de cas de test pour RTG demandé par la client. Lancement de la campagne de Non régression Interactive Factory pour valider falcon USR MOKA sur INT8 (problème technique sur l\'environnement)'),
(34371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n- Test coupure service'),
(34372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n- Daily\n- Problème d\'arrondi renvoyé par mify\n- Acceptance 1.2.6_wspoenl'),
(34131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nFormation Boutik'),
(34134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nFormation Boutik'),
(34409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nFormation Boutik'),
(34135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nFormation Boutik : réunion sélection joueur'),
(34136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nFormation Boutik'),
(34137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nFormation Boutik'),
(34140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nfusion des depots GAC et SE'),
(34142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\ncas'),
(34197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nExécution, analyse de la campagne Acceptance - FALCON USR 2.8.6 sur INT1 => Pb d\'environnement \nExécution, analyse de la campagne Acceptance - FALCON USR 2.9 sur INT7 \n'),
(34146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nMise à jour collection Postman CRM LOT1\r\n-Qualification ANO Gamification\r\n-Exécution batch réconciliation sur INT2'),
(34152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\ntests de scripts'),
(34314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nModification (non terminée) :\nPHP-735 [MOD011720] Deplacement contribution compte joueur \"fil info\" et \"autopromo\" dans MAPI'),
(34154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n'),
(34419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nImplémentation cas de test Mify'),
(34357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nExécution de campagne NonReg INT3 ABP:  14.1.32.1-SNAPSHOT 17'),
(34162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(34163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nFreedom - SID Client : Assistance sur réception fichiers Packman + Vérification univers BAFIM'),
(34164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nMOKA : Aide à la vérification MOD012130'),
(34165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nMOKA : SID Client - Analyse problèmes d\'alimentation SID (fichier PJEU KO)'),
(34194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nMOKA : SID Client - Procédure d\'initialisation du référentiel jeu.'),
(34167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n0.5 jour : Exécution de campagne NonReg INT3 ABP: 14.1.32.1-SNAPSHOT 17\r\n0.5 jour : Implémentation cas de test MIFY'),
(34168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nImplémentation cas de test MIFY'),
(34821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n0.5 Jour : Implémentation cas de test MIFY\n0.5 Jour : Campagne NonReg INT8 ABP 14.1.32.1-SNAPSHOT 33'),
(34170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nV14: Rédaction cas de tests IR delay'),
(34172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nV14: Rédaction cas de tests IR delay'),
(34173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nV14: Rédaction cas de tests IR delay'),
(34174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nV14: Rédaction cas de tests IR delay'),
(34176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nV14: Rédaction cas de tests IR delay'),
(34178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nAnalyse d\'impact pour PDV : AUGMENTATION NOMBRE DE SELECTIONS DE PARIS PAR PRISE DE JEU & AUGMENTATION NOMBRE LIMITE DE PRONOSTICS PAR PARI'),
(34179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nTests d\'acceptance de PSPDV Android 5.0.16 (FDL018538) -> OK ; Qualification de l\'ANO053273 ; Rédaction du modop pour l\'ajout des détaillants S49 ; Tests sur la borne pour la gestion de prise en compte de l\'inactivité au moment d\'un paiement ; Tests sur la borne pour pouvoir utiliser un Fiddler en mode IP : INT3 -> OK ; INT2 -> KO'),
(34181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nCréation de l\'ANO054720 :  [MOKA] [FD] TPA en \"service indisponible\" régulièrement sans raison ; Support HIA pour l\'utilisation de l\'outil de Florent Verdier ; Travail avec Etienne Reichert sur Wiremock'),
(34584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nCréation de l\'ANO054765 : [MOKA] [FD] Versement CB de 10.20 euros se transformant en 10.19 euros ; Création de l\'ANO054769 : [MOKA][FD] Déconnexion lors d\'un paiement'),
(34586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nCréation de la DMT0016267 : Création de www9.pointdevente.parionssport.integ.fdj.fr et www0 ; Tests acceptance MUGO 1.1.4 (FDL018570) ; Qualification des ANO050929, ANO050544 et ANO054240 ; Création de l\'ANO054809 : [MOKA][FD] Déconnexion intempestive de la tablette détaillant ; Test d\'acceptance PSPDV IOS 5.0.018 (FDL018621)'),
(34186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nImplémentation Campagne V16'),
(34382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nQualification blocs PMS\nPoint sur les évolutions oJadGate\nAnalyse USR 2.9.0-1, regeneration API et maj des scripts auto'),
(34188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nInstallation de la plateforme INT1 pour MOKKA'),
(34189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nInstallation de la plateforme INT1 pour Mokka suite à des problèmes systèmes.\r\nInstallation de la plateforme INT0'),
(34190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nAnalyse des problèmes systèmes sur INT1\r\nPMS réunion pour modifier des fichiers CONF'),
(34191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nImplémentation Campagne V16\r\nExécution Campagne Non Reg INT3'),
(34192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nImplémentation Campagne V16'),
(34193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nAnalyse des problèmes sur INT1\r\nAnalyse des fichiers de configuration pour PMS'),
(34196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nCNIL : SID Client - Installation Univers + 1 rapport.'),
(34199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nPMS : etude et analyse des besoins de configuration'),
(34200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nanalyse de bug : API MAITRE - amigo - WagerendDate à null\r\nMAPI 4.4.5 FDL018489'),
(34201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nuseragent : INT21 SIDC SIDCOM SIDREF et info pacman\r\n[int11] mise à jour sur dump de prod Edwan'),
(34203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n[int11] mise à jour sur dump de prod Edwan\nDEMO Star WARS\nINT31 SIDC SIDCOM SIDREF et info packman'),
(34204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nanalyse bug - perte affichage loto sur transverse'),
(34402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\npreparation mep MOKA'),
(34206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\ndaily stream webapp, daily stream app mobile hasard\r\nverification de l\'interconnexion entre FDJ INT82 et JOSE INT5, TAPI MAPI MRCD INT3\r\nVerification des versions des composants sur INT82\r\nPoint avec colette cottet equipe ESTE pour mise en place des tests abonnements reçu loto euml'),
(34207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\ndaily stream webapp, daily stream app mobile hasard\r\nCréation des catalogue v1.6 pour appli FDJ IOS ANDROID sous ojadgate (modele) + deploiement sur tous les environnements d\'integ\r\nTest jeux INT5 jose , INT82 fdj, echec, migration sur INT22 FDJ interconnecté avec JOSE INT5.\r\n'),
(34208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\ndaily stream webapp, daily stream app mobile hasard\r\nTest de scan de reçu avec colette cottet sur Loto et Euromillion avec scan des reçus entre chaque etape du tirage réalisé par ESTE\r\nEnviron 30 flux mrcd recuperé et mis sous V: et transmis a equipe PHP pour ecriture du contrat d\'interface MRCD'),
(34209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\ndaily stream webapp, daily stream app mobile hasard\r\ncontinuité des tests de tirage avec equipe ESTE, 3 jours de tirage prévu dans la journée avec test de tirage suite modification rang de gain et recuperation flux mrcd correspondant.\r\ncontinuité des tests sur appli FDJ 1.5 IOS ANDROID + mise en place des besoins pour deploiement appli 1.6 (palier amigo) IOS ANDROID'),
(34210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\ndaily stream webapp, daily stream app mobile hasard\r\ncontinuité des tests de tirage avec equipe ESTE, 3 jours de tirage prévu dans la journée avec test de tirage suite modification rang de gain et recuperation flux mrcd correspondant.\r\ncontinuité des tests sur appli FDJ 1.5 IOS ANDROID + mise en place des besoins pour deploiement appli 1.6 (palier amigo) IOS ANDROID'),
(34211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nInstallation '),
(34213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[PSMSv2] Version de maintenance corrective - Tests Front Combiné Boosté sur INT3\r\n\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_16-91\r\nABP:            14.1.32.1-SNAPSHOT 17\r\nMOBILE:         origin_release_8\r\nARGUS:          build-865\r\nPLATFORM:       1.0.184\r\n'),
(34214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n- #day D1887 Modifier et Redéployer CAS_COMMUN branche 17.10.1_004_D1887_17.20 sur INTEGRATION\r\n  - préparer git\r\n    - aller sur la branche 17.10.1_004_D1887_17.20\r\n  - créé la nouvelle image de fond\r\n  - CHANGEMENT IMAGE FOND\r\n    - partager image\r\n    - mettre dans le code :\r\n    - commité\r\n    - pusher\r\n  - CHANGEMENT IMAGE FLO => image non existante dans le CAS\r\n  - Titre en haut de la page cas à changer\r\n    - chercher dans le cas : Sécurit¨¨ sociale - Indépendants - Authentification\r\n    - Corriger l\'accent\r\n- #matin Report de code pt assure\r\n- #aprem revert code si besoin (recherche dans la code si il y en a besoin) PT_ASSURE\r\n  - fichier 1_titulaire\\monEspacePerso\\appliweb\\src\\main\\java\\fr\\rsi\\ptassures\\espaceperso\\metier\\service\\inscription\\IInscriptionService.java\r\n  - commit : ced2b7e503e301cab24b7662ef7b433f95e97bb1\r\n'),
(34215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nAnalyse Swagger, codegen, wiremock, mitmproxy. '),
(34216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nPoint de synchro IF / GAMIF / JEUX. Dev VuGen - Point hebdo. ANALYZER DE FLUX : Présentation de l\'Outil. Régénération de codegen et analyse des évolutions nécessaires.'),
(34217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n#matin D1887 MAJ PT_ASSURE sur GIT et INTEG\r\n\r\n- MAJ branch changement de marque\r\n  - fusionner proprement dans 17.10.01_016_D1887_17.20 (17.10.01_016_D1887_17.20_old et 17.10.01_16_D1887_17.20)\r\n  - Récupérer les anciens commit d\'industialisation\r\n- MAJ branch integ\r\n  - Ajouter les commits plus récent que le commit b61f7924b65aedad de la branche 17.10.01_016_D1887_17.20 \r\n- MAJ INT\r\n  - compilation de la branch 17.10.01_016_D1887_17.20 PT_ASSURE pour l\'int\r\n  - Transférer les WAR\r\n  - déployer sur int'),
(34218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nIntégration Robot Framework / ALM. Capture de flux mobile avec mitmproxy. Analyse du XML Selenium à remonter dans ALM.'),
(34219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nDéploiement Pinpoint sur envt Qualif INT1 - Projet Omnicanal. Test de mise en oeuvre wiremock standalone avec support de schémas Swagger 2.0.'),
(34220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n- Daily\'s Coco et MOKA (tous les jours de la semaine)'),
(34221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n- Entretien embauche candidat'),
(34222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nVolley  : Traitement de la table outcomes.'),
(34223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nVolley  : Traitement des vérifications internet_prices.'),
(34226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nsuite montée en compétence '),
(34233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nsuite installation suite a problème int02 modif script d\'installation pour implémentation de tache manuel => automatique fin de rédaction de présentation '),
(34231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\ninstallation digishop int02 suite montée en competence'),
(34232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n- Traitement / Qualification anomalies\r\n- Support recettes\r\n- Rédaction cas de tests Gamif'),
(34230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n- Mise à jour PERF1\r\n- Paramètrage + recherche de la cause d\'un bug sur l\'appel Revolo (IF)\r\n- Traitement / Qualification anomalies\r\n- Support recettes'),
(34234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nCAMPAGNE DE NON RÉGRESSION  GAMIFICATION MTR 1.9.4-1 INT8'),
(34235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n- Livraisons MOKA MAG / MUG ???\r\n- Installations, tests acceptance, qualif anos'),
(34236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n'),
(34237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nCAMPAGNE DE NON RÉGRESSION  GAMIFICATION MTR 1.9.4-1 INT8'),
(34238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nCAMPAGNE DE NON RÉGRESSION MOTORS 1.9.4-2 INT8'),
(34239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nprensentation de montée en compétence. fin du ppt de presentation . vue avec Brunon saisie des cra suite montée en competence'),
(34240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nCAMPAGNE DE NON RÉGRESSION  GAMIFICATION MTR 1.9.4-2 INT8'),
(34241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n- Qualif ANO054352  + tests multiples (variations du timeout dans le fichier gamif-connector.properties)\r\n- Mise à jour environnements (demandes Mireille)'),
(34242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nCongés ce jour'),
(34406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[MOKA] Rédaction et reprise des cas de test  (20 cas)'),
(34403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[MOKA] Exécution de 4 cas de test sur les fichiers d\'import ADOBE + reprise des données des propriétés de mouvement + lancement de l\'import des données ADOBE'),
(34245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[MOKA] Installation des 2 FDL018510 et FDL018511 sur le TR2'),
(34469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[MOKA] Qualification des 2 FDLs FDL018510 et FDL018511 sur le TR2'),
(34925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'numéro fetiche 2018\' v3.0.0 INT31'),
(34253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nAnalyse du problème de lancement de JLG v1.0.3 sur IOS\nInstallation de CT2017 1.0.7 sur INT21/INT81\nDebut de l\'acceptance de CT2017 sur INT21'),
(34926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'CT2017\' v1.0.7'),
(34256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nTest puis aide  Rédaction avec David du doc de mise en place  Git pour nouvel arrivant --> David l\'a  uploadé sous confluence.\n\nEchanges avec l\'equipe sur process Git.\n\nPoint avec David sur le PPT pour présentation de son activité au socle.\n\nInstallation avec David de la Boutiques Moka int21. Nous constatons un pb de raffraichissemnt. Relance de l\'installation aprés un refresh ce qui corrige l\'installation.\n\nPoint avec le dév sur les nouvelles Boutiques en vue de sa livraison /install sur la Pré Q: echange sur la conf Hazelcast pour mise en place de limites Falcutatives, et également sur la mise en place de Google Recaptcha (fonctionnement, conf ...).\n\nSuite à ce point, assistance installation du dév de ces nouvelles Boutiques sur INT81.'),
(34261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nPoint avec Romain suite au pb de refresh lors de l\'install d\'hier: mise à jour avec David du script d\'install des Boutiques afin de lancer automatiquement un refresh avant install + affichage des versions cibles/effectivement installées pour comparaison en fin d\'install.\n\nRéunion Point Moka\n\nInstallation des Boutiques sur la perf , nombreux pb de conf: modif de Fichiers hors process Git par qqun hors IQ, alignement de variables, salt, mise à jour avec Romain de la liste de serveurs  cibles ... Pb de certificats non dispo sur certains serveurs... Coté Boutiques l\'install se déroule bien mais les certificats posent pb ensuite: a suivre demain.\n\nDavid lance une install sur le 02 mais elle plante: analyse le soir , il manque des variables , on pourra relancer l\'install demain aprés correction.'),
(34259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nMCO : SID Client TR1, TR3 + SID Commercial TR2, TR3'),
(34260, 'Correction temporaire: ssh portforwarding, validé.\r\n\r\nImpact: aucun\r\n* Temps : négligeable, ouvrir une session ssh pré-enregistré\r\n* Fonctionnalité : totale (aucune dégradation)\r\n* Pérennité : liée à l\'accès ssh, a priori aucune raison que cet accès soit fermé\r\n'),
(34262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nPoint avec Olivier Fauchon sur l\'install de perf: c\'est ok mais il faut remettre en place les certifs manquants. Suite à li\'nstall et test sous PinPoint il apparait des pb d\'appel à IF (pb de conf ?): analyse avec matthieu, Laurent Boggio etc... services/interactions pas claire, a voir demain avec les dév.\r\n\r\n\r\nDavid réinstalle sur le 02 : install ok cependant l\'inscription et l\'authent sont KO.  J\'investigue les logs , il apparait des pb Falcons multiples/instabilités. Le soir point avec Gilles , un composant Falcon était manquant ! Aprés install de ce composant l\'authent est ok mais pas l\'inscription à suivre...  Il y a aussi un pb de conf sur les url IF à resoudre/réimpacter sur tous les environnements.\r\n\r\nPb remonté sur INT8 : vu avec Gillles il s\'agit également d\'un soucis Falcon coffre Arjel plein qui empeche l\'inscription.\r\n\r\nPb aussi sur INT1 : a confirmer demain si pb Falcon...\r\n\r\nMise à jour de la map Hazelcast pour les Layers de moderator , temps a 5 min pour test par Loubna sur INT21.'),
(34263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nModification terminée :\nPHP-735 [MOD011720] Deplacement contribution compte joueur \"fil info\" et \"autopromo\" dans MAPI'),
(34271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n- Validation d\'installation de rebotoframework sur une machine macOS\r\n- Execution des tests automatiques  ihm  sur MAC OS'),
(34272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n•	validation mode opératoir pour l\'installation de robotframework sur  Mac installation et execution de scripts robotframework \r\n'),
(34274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n- Point  Intégration Robot Framework / ALM \n- Installation de robot framework sur  le poste de Moustapha (convergence )\n-Gouvernance test front'),
(34275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n- preparation du plan de formation de robotframework '),
(34276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n- preparation du plan de formation de robotframework '),
(34277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nExtraction des inidents'),
(34278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nMCO court Commercial et EGIDE'),
(34279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL Livraison SVN GDS FDL018502'),
(34280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[RDI1.1] Prise d\'information sur assistance recette RDI pour mercredi 29/11'),
(34281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[RDI1,1] Qualification ANO053999 et ANO053995 sur INT2SAGA'),
(34282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1: reprise de données adresses, activités hors FDJ (plusieurs erreurs -> correction OK) et autres MAJ, extraction des CSV'),
(34283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nExtraction des incidents'),
(34284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nMCO court Commercial et EGIDE (plusieurs erreurs et relance pour recette RDI)'),
(34285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nRédaction mod op installation et PV Qualification BGR.047.31 [ME] GRATTAGE: DMT0016043, FDL018330 CALYPSO v13.7.2 / paramétrage des regroupements Numéro Fétiche avant le 14/12/17 sur INT2CALY et INT2ARCA'),
(34289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nBGR.047.31 [ME] GRATTAGE: DMT0016043, FDL018330 CALYPSO v13.7.2 / paramétrage des regroupements Numéro Fétiche avant le 14/12/17 sur INT2CALY et INT2ARCA'),
(34288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n[RDI 1,1] DMT0015304 Traitement pb Foreign Key sur INT8SAGA'),
(34290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nExtraction des incidents'),
(34292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nMCO court Commercial et EGIDE\r\n'),
(34391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nImplémentation de tests auto / analyse campagne ARJEL.'),
(34392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nImplementation de tests auto ARJEL / analyse campagne suite blocages de la veille.'),
(34393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nImplémentation de tests auto / analyse campagne jour 3 correction et maintenance de tests.'),
(34394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nImplémentation de tests auto / correction et mise à jour de test + reporting campagne.'),
(34360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nMOKA_ ARJEL : Execution tests'),
(34361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nMOKA_ Execution tests'),
(34395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nImplémentation de tests auto ARJEL / maintenance de tests et préparation de campagne 2.9 sur INT7.'),
(34362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nMOKA_ Execution tests divers'),
(34363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nMOKA_ Execution tests'),
(34364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nMOKA_ Execution Run sur USR 2.8.8'),
(34316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nexécution campagne batch 2.8.5'),
(34317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nexécution campagne batch 2.8.5'),
(35795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nLancement de la campagne de Non régression Interactive Factory pour valider falcon USR MOKA sur INT8.Envoi du rapport. Ecriture de cas de test pour RTG Loto et Euromillions demandé par la client'),
(34319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nexécution campagne batch 2.8.5'),
(34321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nvie des environnements'),
(34322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nvie des environnements'),
(34347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nRedaction exigence IQ en vue de la presenter lundi a paris\nInvestigation sur un probleme d\'installation PTAB INT5\nMise au point avec romain sur les sujets a aborder lundi/mardi avec les devs convergence\nInstallation dump prod PTAB sur INT1'),
(34333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nformation Patrick (postman/jenkins/digishop)\natelier sélection de joueur'),
(34332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nformation patrick (postman/jenkins/digishop)\r\npoint dev'),
(34334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nformation Patrick (postman/jenkins/digishop)'),
(34887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n- support dev développement /mapi/compte\n- maj tests postman apimaitre feature-develop\n- qualification digishop-public 2.0.0\n- travail sur nouveau  boutique-public georestriction\n- maj tests postman digishop-public georestriction\n- maj outils pour promulgations amigo\n- maj tests postman digiship-game amigo'),
(34336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n- investigation pb boutique int11\r\n- intégration nouveaux services Boutique-G\r\n/digishopg/euromillions/x.x/results\r\n/digishopg/euromillions/x.x/statistics/combi\r\n/digishopg/euromillions/x.x/statistics/numbers\r\n/digishopg/keno/x.x/results\r\n/digishopg/keno/x.x/statistics/combi\r\n/digishopg/keno/x.x/statistics/numbers\r\n/digishopp/loto/x.x/results\r\n/digishopg/loto/x.x/statistics/combi\r\n/digishopg/loto/x.x/statistics/numbers\r\n- maj tests postman Boutique-Public'),
(34337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n- maj conf salt correction coquille sur Digishop-U\r\n- déploiement boutiques Palier Amigo int82\r\n  \'digishopa\': \'5.3.0\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.3.0\',\r\n  \'digishopp\': \'2.0.0\',\r\n  \'digishopg\': \'2.0.0\',\r\n- déploiement boutiques Palier Moka int11\r\n  \'digishopa\': \'5.3.1\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.3.1\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- déploiement boutiques Palier Moka int21\r\n  \'digishopa\': \'5.3.1\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.3.1\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- maj swagger-ui 3.5.0\r\n- maj swagger digishop-a 5.3.1\r\n- maj swagger digishop-u 5.3.1'),
(34338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n- investigation erreur service /pdv/get en pré-Q\r\n- remonté pb de debug par défaut sur les boutiques en production\r\n- création ANO054636 [AMIGO] Service /pdv/get valeur incorrecte sur OFFRE_TIRAGE\r\n- création ANO054641 [AMIGO] Mauvais retour sur l\'appel /pdv/get avec le paramètre t\r\n- création ANO054647 [AMIGO] Appels au service /pdv/get avec paramètres erronés\r\n- création ANO054660 [AMIGO] Retour du service /pdv/get avec des adresses à null\r\n- création ANO054661 [AMIGO] Service /pdv/get absence de l\'attribut VILLE\r\n- création ANO054662 [AMIGO] Problème d\'encodage avec service /pdv/get\r\n- création ANO054663 [AMIGO] Mauvais retour sur /digishopp/pdv/get?r=1000000&t=al&f=n&x=43.422647&y=5.289753'),
(34886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n- qualification boutique-game\n- maj tests postman digishop-game feature-amigo /amigo/1.0/results\n- maj tests postman digishop-game feature-amigo /iat/1.0/results\n- maj tests postman digishop-game feature-amigo /astro/1.0/results\n- création ANO054817 [AMIGO]  Erreur 500 sur appel au service result avec items='),
(34342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n'),
(34343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\ntests wamigo'),
(34344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nFDL018542'),
(36650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nsplit V14 V16'),
(36651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nsplit V14 V16'),
(34558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nFDL018595'),
(34351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\npoint avancement de la formation\nformation Patrick (postman/jenkins/digishop)\nDoc méthode postman'),
(34350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nformation Patrick (postman/jenkins/digishop)'),
(34502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nAnalyse de la campagne Acceptance - FALCON USR 2.8.6 sur INT1 \nMAJ du POSTAccount dans les cas de test (113 CTs à modifier)\nExécution de la campagne Acceptance - FALCON USR 2.8.7 sur INT9');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(34378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nSAFERGAME : FDL018578 i2, FDL018555 SPSS sur int2'),
(34379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nSAFERGAME : FDL018550 DB2, FDL018553 FOLIO, FDL018560 Datastage, FDL018552 IIB, FDL018552 SPSS  sur int2'),
(34380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nSAFERGAME : FDL018583 Cognos, FDL018533, FDL018564 Cognos sur int2'),
(34554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n- Refus 1.2.6_wspoenl (effet de bord sur ano critique corrigée)\n- ANO054772  critique'),
(34383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nMise a jour et qualification des scripts Falcon pour USR 2.9.0-1'),
(34405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[OLC lot 3.2] HPALM organisation de l\'arborescence test plan / test lab'),
(34410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nimplémentation de cas mify'),
(34420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n	preparation mep MOKA'),
(34428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nDaily meeting (AMEX 1h).\nAnalyse future formula \"symfony\" pour le projet AMEX (2h).\nSupport Env INT51 --> les frontaux PSPDV ne peuvent pas démarrer parce que le certificat \"crt\" n\'est pas présent dans le folder store/crt. --> il faut générer des certificats csr puis les transmettre à la sécop. --> PB il faut respecter une certaine procédure dans la génération --> utilisation d\'un script générique sous ojadgate mais il n\'est pas capable de générer correctement les certificats de perf1 avec le nom int51 passé en paramètre. Adaptation du script.\nEchange avec plusieurs internes sur le sujet, finalement depuis fin octobre, on ne doit plus générer les certificats de la manière classique. --> Point à creuser.\nLes domaines du cloud perf2 doivent être mal configurés, le protocole https n\'est pas certifié sur les différents domaine --> Point à remonter aux CDS Firewall.\nVérifications des domaines preview6.enligne.parionssport.int.fdj.fr, preview6.enligne.parionssport.integ.fdj.fr ou media6.parionssport.integ.fdj.fr ne sont pas disponibles --> Point à voir avec le CPT.'),
(34427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nDaily meeting 30min.\nRéunion avec le back sur la problèmatique de l\'historique joueur : 1h30 --> sur la homepage du site web on remarque la présence d\'un appel /counter-live\nDemande d\'information auprès du techlead --> en attente de réponse.\nMise en place manuel (sans salt) de l\'environnement  de preview sous INT01.\nTests du domaine preview0.enligne.parionssport.integ.fdj.fr et media0.enligne.parionssport.integ.fdj.fr --> les serveurs preview du back ne sont pas fonctionnels.\nLes certificats des domaines previewX et mediaX ne sont pas correctement configuré au niveau de l\'ADC --> l\'équipe CDS Firewall doit fixer le problème.\nLes appels curl du sportail sur le domaine enligne.parionssport.int.fdj.fr ne semblent pas utilisés le certificat fourni par le back --> potentiel défaut de sécurité.'),
(34423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nDaily meeting (1h)\r\nRéunion avec la perf par rapport au projet AMEX (1h30).\r\nAvancement de l\'intégration et des tests.\r\nSupport application native VITAN ou AMEX.'),
(34424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nDaily meeting (1h).\r\nEchange avec le techlead sur les appels curl non sécurisés --> attente de réponse claire.\r\nCommencement adaptations des formulas php et nginx pour gérer le domaine psel preview.\r\nSuite à une maj falcon 2.8 sur l\'INT01, l\'authentification ne fonctionne plus sur le sportail et sur les applications natives --> échange avec le back sport et falcon pour rétablir rapidement la situation et surtout ne pas réaliser la même chose sur l\'environnement INT41.'),
(34426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nDaily meeting (1h)\nFinalisation adaptations des formulas php et nginx pour gérer le domaine psel preview. Test sur INT01 --> OK\nMaj des pillars INT41 et INT61 pour déployer la même chose sur ces environnements.\nRecherche d\'une formula pour déployer correctement la configuration du sportail en se basant sur la formula digishop --> Mauvaise idée. Il faut pouvoir déployer les composants symfony de la même manière pour convergence front ou AMEX.'),
(34429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nAnalyse de l\'erreur NoClassDefFoundError'),
(34531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nTravail sur :\nPHP-650 Fichier Plat - montant des jackpot tirage'),
(34468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n[MOKA] Poursuite du chargement de reprise des données FALCON et test de la procédure d\'init du fichier de référence des jeux'),
(34467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nSIDCOM TR3 OK // SIDCOM TR2 OK // SIDC TR1 OK // SIDC TR2 OK// SIDC TR3 OK'),
(34434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n[OLCLot3.2] Installation des 2 FDLS FDL018576 et FDL018591 sur le TR2'),
(34435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n[SPEED UP] Tests des nouveaux sports livrées dans BUILD (ABP): 14.1.32 #32'),
(34436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n[SPEED UP] Tests de qualification, ARJEL et ETL des nouveaux sports livrées dans BUILD (ABP): 14.1.32 #32'),
(35796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nITF : Modification des cas de test concernant le superjackpot. Ecriture de cas de test pour RTG Loto et Euromillions demandé par la client'),
(34438, 'Wdd n\'est configuré ni en local ni sur la PA.\r\nC\'est normal que la récupération de l\'attestation de paiement échoue.\r\nA voir les retours prod, et à mettre un plan d\'action.'),
(34439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n'),
(34440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n'),
(34441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\n'),
(34445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nAnalyse incident SAGA INC181225 L\'utilisatrice n\'arrive pas à modifier un RIB sur SAGA'),
(34443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[RDI1.1] Synchro - Point d\'avancement - Planning'),
(34444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n[RDI 1,1] DMT0015304 Analyse et Traitement pb Foreign Key sur INT8SAGA et INT3SAGA'),
(34446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nRIB.009 : Infocentre Calypso - FDL018143'),
(34447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nTest V0.0.3 (rédaction + execution)'),
(34448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nTests + livraison V0.0.3\r\n'),
(34449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nTests V1.13.3'),
(34450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nTests + livraison V1.13.3'),
(34451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nMaj EA pour Evos V1.14.0'),
(34452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nPoint de synchro IF / GAMIF / JEUX..Activation et vérification du format des journaux de jeux gamifiés. '),
(34453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n'),
(34549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nInvestigation pb Falcon financial lors de lancement de test: il apparait un pb de format entre le message envoyé et le service coté Serveur'),
(34457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n'),
(34466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n[GAMIFICATION] Vérification intégration des données packman + investigation ANO052467'),
(34459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nAnalyse de la campagne Acceptance - FALCON USR 2.8.6 sur INT1  => Pb d\'installation RTG pour les prise de jeux et du BAN\r\nAnalyse et rédaction du rapport de la campagne Acceptance - FALCON USR 2.8.7 sur INT9\r\nExécution de la campagne Acceptance - FALCON USR 2.8.8 sur INT9\r\n'),
(34460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nSAFERGAME : Etat des lieux installations en recette avec M.Anne'),
(34461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nSAFERGAME : Création  DMT0016300 '),
(34462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nStock Grattage : SID Commercial - TR3 : FDL018251'),
(34463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n'),
(34464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n'),
(34470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[MOKA] Support recette'),
(34471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\n[GAMIFICATION] Investigation packman'),
(34473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(34474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(34475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(34476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(34477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nGestion des Incidents'),
(34553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n- Daily\n- Acceptance et qualif vitan\n- ANO054801'),
(34480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nRedaction exigence IQ suite\r\nVérification des points a aborder star/wars pour lundi/mardi\r\nAnalyse version 1.0.3 de star'),
(34481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nPOC Infinispan'),
(34482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-10  (Do not remove this line) -->\nPOC Infinispan'),
(34906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nImplémentation Campagne V16'),
(34907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nImplémentation Campagne V16'),
(34908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nExécution Acceptance V16'),
(34909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nImplémentation Campagne V16'),
(34488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nsuite montée en compétence avec Bruno atelier sur modop pour mise en prod'),
(34499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nExtraction des incidents'),
(34496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nPostman : création de la collection digishop A pour implementation du nouveau service \"1.0/faq/email\"'),
(34500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nCampagne d\'acceptance INT 11 USR 2.8.6-1:\nComposant : Digishop Compte 5.3.1 \nComposant : Digishop Inscription 5.1.0 \nComposant : Digishop Authent 5.3.1\nAction : préparation \nAction : lancement\nAction : analyse des résultats\nAction : rédaction du bilan de campagne.\n\nPostman : \nimplémentation des tests pour les nouveaux services digishop U \"cancelPayment\", \"getGameMetadata\", \"getCredit\" \n\nRéunion : point boutique'),
(34498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nPostman : \nimplémentation des tests pour les nouveaux services digishop U \"initialize Payment\", \"confirmPayment\"'),
(34497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(34501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n[RDI1,1] Analyse table avant-après RDI'),
(34507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nSIDCOM TR2 Rerprise des données depuis le 01/12 bloquée par l\'extraction claypso // SIDCOM TR3 Deblocage de la chaine// SIDC TR1 // SIDC TR2 // SIDC TR3'),
(34508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-15  (Do not remove this line) -->\n'),
(34509, '•	La proposition de mise à niveau du cookie est acceptée vous pouvez effectuez le dev. \r\nMais il manque la partie EC : \r\nPour Rappel dans la demande initiale on a : \r\n1.	Le Code professionnel Expert-comptable est Ko. \r\nLe code professionnel est supposé être positionné en 2nd position or on constate que pour le cookie EC, celui-ci est en dernière position. \r\nL’identification de cette profession ne peut donc pas opérer côté www.RSI.fr . \r\n•	Pouvez-vous analyser le cookie EC et voir si : \r\n•	Qu’est ce qu’on envoie comme information ? le code professionnel et  la position ?'),
(34510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nPréparation FDL pour nouveau chargement client'),
(34532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nTests :\nPHP-650 Fichier Plat - montant des jackpot tirage'),
(34524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-17  (Do not remove this line) -->\nDéplacement sur Paris pour formation avec l\'équipe de dev.'),
(34525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-18  (Do not remove this line) -->\nDéplacement sur Paris pour formation avec l\'équipe de dev.'),
(34526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nDéplacement sur Paris pour formation avec l\'équipe de dev.'),
(34528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\ntest installation FDL018566_Coheris_Oracle_Hors_SID_CRM_F\n[COHERIS] Avancement des sujets'),
(34534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n[GAMIFICATION] revue et actions ANO052467 avec Franck'),
(34540, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nInvestigation de pb sur int11:  infos le soir, il s\'agit en fait d\'un pb de VIP réseau coté Falcon\n\nPoint avec David l\'apres midi pour préparer la MEP: diff git branches en vue de préparer le modoP de MEP\n\n\nAtelier Boutiques avec David: diff de conf moka/prod en vue de préparer la MEP et le modoP.\n\nPoint avec Romain le soir, il manquera des éléments à intégrer lundi (merge git) avant de continuer le modop'),
(34541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34542, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nValidation fonctionnelle DBaas sur INT1 (3.0.1 puis 3.1)'),
(34543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n'),
(35753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nPoint et transmission des informations à Nicolas Lutz'),
(34546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n[MOKA] Point sur le chargement des données Packman + Analyse des anomalies de recette notamment ANO054822, ANO054828, ANO054826, ANO054823'),
(34562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne, + point chaîne de détection avec M.Anne et IBM'),
(34556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nFinalisation du scenario de validation et de versement/retrait sur compte joueur via PMS/RTA\nTR: [ROMA] Point de synchro #1\nMise à jour des version d\'application sur OjadGate de tous les environnements d\'automatisation pour Falcon, ITF et Motors\nMise à jour du composant UBO sur tous les environnement d\'auto dans FDJ_Multimedia_Global_Env_Falcon.json\n'),
(34555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n- Daily\r\n- Acceptance et qualif vitan\r\n- ANO054801'),
(34559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n- Daily\r\n- Acceptances + qualif  FDL018601 (Vitan  5.9.104)\r\n- Acceptances + qualif  FDL018618 (1.2.7_wspoenl)\r\n- Installation wcart et wpsel'),
(34560, 'Correspondance depuis le changement de format de la base de donnée'),
(34563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nSAFERGAME : Création ANO054837+DMT0016384'),
(34565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nMOKA : SID Client - Analyse et reprises suite à correctifs Falcon.'),
(34568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nParis - Convergence\nReunion Dev Star'),
(34567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nParis - Convergence\r\nReunion Dev Wars'),
(34569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nFreedom : SID Client - Analyse ANO054699.'),
(34570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nMCO : SID Commercial TR2 + TR3 (Reprise depuis le 18/04/2017)'),
(34571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nMOKA : SID Client - Analyse et reprises suite à fichiers manquants Adobe.'),
(34572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec M.Anne'),
(34573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nREfus réal'),
(34574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nRefus réal'),
(34575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nRefus réal'),
(34576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nRefus réal'),
(34577, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-16  (Do not remove this line) -->\nanalyse en cours'),
(34578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-17  (Do not remove this line) -->\nanalyse toujours en cours, il semble y avoir un vrai problème'),
(34580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nRecréation d\'une prise en charge de schémas Swagger dans Wiremock.'),
(34582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nPoint de synchro IF / GAMIF / JEUX. Dev VuGen - Point hebdo.\nRecréation d\'une prise en charge de schémas Swagger dans Wiremock.'),
(34583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nReconfiguration du scenario sur les appels de services PMS\r\n[Dev VuGen Point hebdo]\r\ntag API et maj releaseNote\r\n'),
(34585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR2 // SIDC TR3 // SIDC TR1'),
(34591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-20  (Do not remove this line) -->\nSupport recette Jason ; Qualification sur PSPDV'),
(34590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-19  (Do not remove this line) -->\nSupport recette Jason ; configuration des environnement Retail int0 et int9 ; Support HIA pour configuration DigishopR'),
(34596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMAJ SFD'),
(34597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nPrise en main de Control-M et des différents flux d\'information entre les différentes application et EGIDE (RDI, SAGA, GDS, KHEOPS et EGIDE).\nRéalisation d\'un ppt pour présenter l\'activité de ATOS au sein de la FDJ, le périmètre d\'action de SOP, mon périmètre d\'action et la mission qui m\'a été confié.'),
(34598, '/**\r\n    * Correspondance entre EtatVO.Id et valeur à mettre dans cookies de profiling\r\n    */\r\n   static final Map<Long, String> ETATVOId_to_Cookie = new HashMap<Long, String>() {\r\n      private static final long serialVersionUID = 4283001084004260283L;\r\n\r\n      {\r\n         put((long) 1, \"ADHR1\");\r\n         put((long) 5, \"ADHR2\");\r\n         put((long) 6, \"ADHR4\");\r\n      }\r\n   };\r\n\r\n\r\n------\r\n\r\n      final List<String> contenusCookie = new ArrayList<String>();\r\n\r\n   if (pUserIhm.getEtatVO() != null && ETATVOId_to_Cookie.get(Long.valueOf(pUserIhm.getEtatVO().getId())) != null) {\r\n			contenusCookie.add(ETATVOId_to_Cookie.get(Long.valueOf(pUserIhm.getEtatVO().getId())));\r\n      } else {\r\n         contenusCookie.add(\"\");\r\n      }\r\n\r\n      if (StringUtils.isNotBlank(pUserIhm.getCategorie())) {\r\n         contenusCookie.add(pUserIhm.getCategorie());\r\n      } else {\r\n         contenusCookie.add(\"\");\r\n      }\r\n\r\n      if (StringUtils.isNotBlank(pUserIhm.getCaisse().getCode())) {\r\n         contenusCookie.add(pUserIhm.getCaisse().getCode());\r\n      } else {\r\n         contenusCookie.add(\"\");\r\n      }\r\n\r\n      contenusCookie.add(\"\" + pUserIhm.isAutoEntrepreneur());\r\n\r\n      if (pUserIhm.isAccesEspaceAdministrateur()) {\r\n         contenusCookie.add(ADMINISTRATEUR);\r\n      }\r\n\r\n      final Cookie profilingCookie = new Cookie(COOKIE_PROFILING, StringUtils.join(contenusCookie, DIESE));\n\n'),
(34933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nAnalyse du non lancement du jeu ct2017 sur INT5 => Pb serveur'),
(34932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'CROSSINGO v1.2.2\'  - INT42'),
(34883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nModOp du jeu ct2017'),
(34930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nAssistance HIA installation ct2017 sur la préprod'),
(34640, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nPilotage général commende ou autre'),
(34842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nExécution des tests NREG'),
(34618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nExécution des tests NREG'),
(34851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nExécution des tests NREG'),
(34620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nExécution des tests NREG'),
(34621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nExécution des tests NREG'),
(34622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nExécution des tests NREG'),
(34623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nExécution des tests NREG'),
(34624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nExécution des tests NREG'),
(34626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nExécution des tests NREG'),
(34627, 'à corriger dans le batch ASUR. Problème des chemins dans les composants Talend.'),
(34628, 'Commit @ 17.11.02_002_D1887_17.20'),
(34629, 'histoire de priorité dans l’ordre des rejets … L\'assuré étant déjà connu en tant que retraité c\'est RI05 qui prime sur RI02 (car le contrôle est fait avant dans le code).  De plus seule la ligne d’invalidité est rejetée, l\'autre est intégrée correctement. Le problème avait déjà été relevé et ne posait pas de problème car le rejet est justifié.'),
(34630, 'Les champs marqué comme mis à jour dans la spec sont bon. Par contre il faut mettre à jour la SFD avec les champs suivants qui sont aussi mis à jour dans le code : \r\n\r\nASSURE.NOM \r\nASSURE.PRENOM \r\nASSURE.DAT_NAISS \r\nASSURE.DECODE_DAT_NAISS \r\nASSURE.NOM_D_USAGE \r\nASSURE.NOM_MARITAL \r\nASSURE.PRENOM_D_USAGE'),
(34631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\n'),
(34648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nSAFERGAME : Grant de plusieurs tables pour un utilisateur en recette+ purge en base de plusieurs tables+ envois de logs pour investigation à IBM+ création MOD013121'),
(34634, 'Analyse Technique : \r\nfr.rsi.ptassures.metier.bo.AssureBO.dateAffiliation correspond au champ DATE_AFFILIATION de la table ASSURE.\r\nCe champs n\'est jamais mis à jours dans le code de PCA_PT_ASSURE.\r\n\r\nHypothèse : DATE_AFFILIATION est mise à jours en BDD depuis un batch'),
(34964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n- Daily\n- Réunion amex avec back\n- Ano critique vitan prod\n-'),
(34636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nSAFERGAME : Support utilisateur recette'),
(34637, 'SI12 non implémenté … c’est un oubli. A faire + rajouter la ligne dans la table LIBELLE_REJET'),
(34639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nAjout loader et anonymisation FDJ_IN_PDV_RECLA\n\nlivraison des FDL suivantes:\nFDL018134  : [MCO]  [CRM2] Livraison objets Oracle - Anonymisation de la base d\'intégration\nFDL018566  : [ROMA]  [CRM] Livraison objets Oracle - Chargement Client hors SID'),
(34647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nrtc-56947 - ESC - Impossible d\'accéder au 11e mouvement'),
(34649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n-Mise à jour test Postman\r\n-Exécution compagne de test Freedom USR 2.8.8'),
(34651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nMCO : SID Commercial TR2? TR3 + SID Client TRT2, TR3'),
(34652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nGamification : SID Client - Analyse et qualification fichiers gamification non traités.'),
(34653, 'Poussé.\r\nTest HPalm écrit\n\n'),
(34654, 'Poussé.\r\nTest écrit :\r\nPCA-Test de confirmation - 03.01.00 - M23417  - PB0007497 - Absence du message quand Ressources annuelles non connues\n\n'),
(34656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nRéalisation d\'un ppt pour présenter l\'activité de ATOS au sein de la FDJ, le périmètre d\'action de SOP, mon périmètre d\'action et la mission qui m\'a été confié.\nCorrection du problème d’accès à un répertoire. '),
(34657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nRédaction cas de tests campagne V16 (IR delay)'),
(34658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nFin rédaction cas de test campagne V16 - IR delay - 0,5j\r\nExécution campagne 16.5.1-SNAPSHOT 235 - Back 0,5j'),
(34662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235 - Back '),
(34755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235 - Back'),
(34661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235 - Back '),
(34665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 bloqué suite installation USR 2.8 // SIDC TR2 OK // SIDC TR3 en attente // EGIDE TR2 TR3 OK'),
(34666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nFichier de suivi des incidents'),
(34667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[MOKA] support MEP MOKA'),
(34668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n[MOKA] Installation de la FDL FDL_18648_SIDC_VFLX_ADB_8.1.0'),
(34669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\n'),
(34834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nanalyse Falcon 2.8.10\nCorrectif sur Les services Falcon UBO endowments : remplacement des int par char* dans les builders des services et amélioration de la précision dans la génération AUTO des id de dotation pour éviter des doublon en cas de multiples appels de la fonction pendant la même seconde\najout de la Gateway TMS dans le fichier d\'environnement Falcon pour INT7\nGénération de l\'API Falcon TMS\nrequalification et republication des scripts UBO\npublication API\n\n'),
(34673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[OLC Lot 3.2] Installation des FDL FDL018664 FDL018666 sur le TR2'),
(34674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[OLC Lot 3.2] Modification du PV de qualification  + exécution des campagnes de test d\'installation'),
(34675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[OLC lot 3.2] Support a la recette OLC lot 3.2'),
(34676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(34677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(34678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(34679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(34680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nTests intégration clients hors SID par utilisation du bouchon\r\n- Génération clients avec fusion de prospects, résiliés et PDV\r\n- Non intégration des Clients DISCOVERY\r\n- Génération des courriers'),
(34681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\npreparation reunion [Chargement client] Stratégie de test'),
(34682, 'Poussé.\r\nTest HPalm : Fiche de synthese T6 (Pavé maladie Maternite Affiliation)\n\n'),
(34683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nSAFERGAME :  Présentation des livraisons IBM du jour'),
(34684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nSAFERGAME : Bug review+point sur l\'organisation des tests des MODs livrées'),
(34687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n[OLC Lot 3.2] Revue avec Myriam des FDLs prérequises pour la MEP / communication des éléments à HIA + execution des campagnes de test + rédaction du PV de qualification'),
(34689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(34961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nRéalisation des différentes installation avec David coté SID, avec la création des bon de livraison, Installation des différente version et des univers.\nRéalisation avec David d\'un PV de qualification.\nRéalisation des Test Plan pour EGIDE 4.70 avec Adrien.'),
(34691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nSAFERGAME : Installation FDL018619 SAGA sur int2'),
(34784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nAnalyse de l\'ano :\nPHP-911 [ANO052361] [PARIONSSPORT PDV] certains résultats ne sont pas exportés vers les bases'),
(34783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nAnalyse de l\'ano (avec difficultés) :\nPHP-911 [ANO052361] [PARIONSSPORT PDV] certains résultats ne sont pas exportés vers les bases'),
(34696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\ncomip anvctx\nreunion dimensions'),
(34697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nscripts REDA + divers linux'),
(34698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nrefreshBDD.sh capricieux'),
(34699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nSchéma SIDC SIDCOM SIDREF et info pacman'),
(34700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nFDL018632'),
(34701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nAPI APM 1.2.0 / FDL018644 '),
(34703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nSTAR WARS - postman'),
(34704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nWARS POSTMAN'),
(34782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nAnalyse de l\'ano (avec difficultés) :\r\nPHP-911 [ANO052361] [PARIONSSPORT PDV] certains résultats ne sont pas exportés vers les bases'),
(34707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nAcceptance API & DB   : Falcon USR-2.9 sur INT 7\r\nAcceptance API & DB  – API CC & DB CC  : FALCON -  USR-2.8.6 sur INT 1\r\n'),
(36421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nEtude pour  Evo V1.16'),
(34852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n- Daily Coco (tous les jours de la semaine)\r\n- Daily Moka ( 3 j / 5)'),
(34712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n- Daily\n- FDL018662 \n- FDL018667 \n- Qualif ano de prod vitan\n- TEsts alm'),
(34711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nNon Régression           : Falcon USR-2.8.8 sur INT 8  => Analyse en cours stoppée car livraison et installation 2.8.10 sur INT 8\r\nAcceptance API & DB : Falcon USR-2.8.10 sur INT 9\r\nAcceptance API CC & DB CC : Falcon USR-2.8.10 sur INT 8\r\nAcceptance API & DB : Falcon USR-2.8.11 sur INT 9 (Exécution)\r\nAcceptance API & DB : Falcon USR-2.9.0 sur INT 1 (Exécution)\r\n'),
(34713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n- Daily\r\n- Point tests alm amex'),
(34716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nAcceptance API & DB : Falcon USR-2.8.11 sur INT 9 (Analyse + rapport)\nAcceptance API & DB : Falcon USR-2.9.0 sur INT 1 (Analyse + rapport)\nCampagne de NR  : Falcon USR-2.8.11 sur INT8 (Exécution)'),
(34827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nInstallation PTAB 2.18.0 sur INT4\nInvestigation sur le probleme de referencement page error 500 sur PMOB\nPoint retour sur les futurs livraisons Drupal/Symfony pour le projet convergence apres la rencontre des devs à Paris '),
(34717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nDéblocage du problème sur le script de confirmation de joueur sur int9 ; Investigation sur l\'ANO054809 avec Florent Verdier ; Tests de qualification sur PSBOR et WSPO'),
(34718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nTest abonnement sur reçu scanné suite a remontée incident de prod\r\nTest sur abonnement 5 semaines condencé en 2 semaines avec equipe ESTE qui fait les tirages en avances de phases (avancé de l\'heure sur JOSE)\r\nRecuperation des flux MRCD-JOSE et mise a dispo des retour JSON pour equipe PHP pour redaction de la doc MRCD avec contrat d\'interface'),
(34719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nTest abonnement sur reçu scanné suite a remontée incident de prod\r\nTest sur abonnement 5 semaines condencé en 2 semaines avec equipe ESTE qui fait les tirages en avances de phases (avancé de l\'heure sur JOSE)\r\nRecuperation des flux MRCD-JOSE et mise a dispo des retour JSON pour equipe PHP pour redaction de la doc MRCD avec contrat d\'interface'),
(34720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nAnalyse d\'impact sur l\'élargissement de l\'offre PDV'),
(35936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nTests d’acceptance pour MUGO 1.1.5 (FDL018708) -> OK ; Qualification de l\'ANO054765'),
(34722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34724, 'Côté CAS, la mire de login crée un cookie sur le domaine « .rsi.fr » avec NIR + Clef et essaye ensuite de supprimer ce même cookie sur le domaine «.secu-independants.fr »\r\n\r\nAyant du mal à suivre le domaine qu’on doit utiliser pour l’INT, une de vous deux pourrais me confirmer le domaine correct.\r\n\r\nL.\r\n\r\nDétails techniques :\r\n\r\n\r\n\r\n/c/RSI/PCA_CAS_COMMUN (17.10.1_004_D1919_17.20)\r\nC:\\RSI\\PCA_CAS_COMMUN\\1_titulaire\\composant\\cas-server-webapp\\webapp\\js\\authentification.js:  (ce fichier n’est pas présent sur le serveur INT, c son homologue plus bas qui est présent)\r\n                                                               setCookie(\"pcamasante\", nir + \"#\" + cle, dtExpirationDelete,\"/\",\".secu-independants.fr\", false);\r\n                                                               …..\r\n                                                               deleteCookie(\"pcamasante\", \"/\",\".secu-independants.fr\", false);\r\n\r\nC:\\RSI\\PCA_CAS_COMMUN\\1_titulaire\\composant\\cas-server-webapp\\webapp\\WEB-INF\\view\\jsp\\default\\ui\\casLogoutView.jsp:\r\n                g = new Cookie(\"pcamasante\", null);\r\n                g.setPath(\"/\");\r\n                g.setMaxAge(0);\r\n                g.setSecure(false);\r\n                g.setDomain(\".secu-independants.fr\");\r\n                response.addCookie(g);\r\n\r\nC:\\RSI\\PCA_CAS_COMMUN\\1_titulaire\\src\\cas-server-3.4.10-rsi-pca\\cas-server-webapp\\src\\main\\webapp\\js\\authentification.js:  (ce fichier est sur le serveur INT)\r\n                                                               setCookie(\"pcamasante\", nir + \"#\" + cle, dtExpirationDelete,\"/\",\".rsi.fr\", false); \r\n                                                               ….\r\n                                                               deleteCookie(\"pcamasante\", \"/\",\".secu-independants.fr\", false);\r\n\r\nC:\\RSI\\PCA_CAS_COMMUN\\1_titulaire\\src\\cas-server-3.4.10-rsi-pca\\cas-server-webapp\\src\\main\\webapp\\WEB-INF\\view\\jsp\\default\\ui\\casLogoutView.jsp.template:\r\n                g = new Cookie(\"pcamasante\", null);\r\n                g.setPath(\"/\");\r\n                g.setMaxAge(0);\r\n                g.setSecure(false);\r\n                g.setDomain(\".secu-independants.fr\");\r\n                response.addCookie(g);\r\n\r\n/c/RSI/PCA_PT_CEC (17.10.0_008_D1846)\r\nC:\\RSI\\PCA_PT_CEC\\1_titulaire\\modules\\configuration\\qualif.properties:\r\ncookie.domaine=@COOKIE_DOMAINE@\r\n\r\nC:\\RSI\\PCA_PT_CEC\\1_titulaire\\modules\\ec-web\\src\\main\\resources\\env.properties.template:\r\n    cookie.domaine=@@cookie.domaine@@\r\n\r\nC:\\RSI\\PCA_PT_CEC\\environnement\\dev\\1_titulaire\\modules\\configuration\\dev.properties:\r\n                cookie.domaine=.secu-independants.fr\r\n\r\nC:\\RSI\\PCA_PT_CEC\\environnement\\dev\\1_titulaire\\modules\\configuration\\dev1.properties:\r\n                cookie.domaine=.rsi.fr\r\n\r\nC:\\RSI\\PCA_PT_CEC\\environnement\\dev\\1_titulaire\\modules\\configuration\\dev2.properties:\r\n                cookie.domaine=.rsi.fr\r\n\r\nC:\\RSI\\PCA_PT_CEC\\environnement\\dev\\1_titulaire\\modules\\configuration\\hotfix.properties:\r\n                cookie.domaine=.rsi.fr\r\n\r\nC:\\RSI\\PCA_PT_CEC\\environnement\\dev\\1_titulaire\\modules\\configuration\\int.properties:\r\n                cookie.domaine=.rsi.fr\r\n\r\nC:\\RSI\\PCA_PT_CEC\\environnement\\dev\\1_titulaire\\modules\\configuration\\qualif.properties:\r\n                cookie.domaine=@COOKIE_DOMAINE@\r\n\r\nC:\\RSI\\PCA_PT_CEC\\1_titulaire\\modules\\ec-web\\src\\main\\java\\fr\\rsi\\cec\\client\\commun\\BasicAction.java:\r\n@AutowiredProperty(name=\"cookie.domaine\")\r\nprivate String domaine;'),
(34725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nTest abonnement sur reçu scanné suite a remontée incident de prod\r\nTest sur abonnement 5 semaines condencé en 2 semaines avec equipe ESTE qui fait les tirages en avances de phases (avancé de l\'heure sur JOSE)\r\nRecuperation des flux MRCD-JOSE et mise a dispo des retour JSON pour equipe PHP pour redaction de la doc MRCD avec contrat d\'interface\r\nCréation des catalogues 1.5 pour appli FDJ pour mise en prod le 12/12'),
(34728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(34729, 'Après vérification du comportement applicatif, le fautif est le cookie rsi.fr  /pcamasante\r\n\r\nCe cookie n’est pas vidé sur int lors de la déconnexion…\r\nJe ne pense pas que ce soit lié aux modifs de laurent'),
(34730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\ndaily stream webapp - daily stream app mobile hasard\r\nTest abonnement sur reçu scanné suite a remontée incident de prod\r\nTest sur abonnement 5 semaines condencé en 2 semaines avec equipe ESTE qui fait les tirages en avances de phases (avancé de l\'heure sur JOSE)\r\nRecuperation des flux MRCD-JOSE et mise a dispo des retour JSON pour equipe PHP pour redaction de la doc MRCD avec contrat d\'interface\r\n'),
(34737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nvie des environnements / roma'),
(34733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nvie des environnements / roma'),
(34734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nvie des environnements / roma'),
(34735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nvie des environnements / roma'),
(34752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n0,5 : MOKA_ Exécution tests USR2.8.8\n0,5 : ROMA _ Prise de connaissance du contenu du palier'),
(34740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nvie des environnements / roma'),
(34756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nMise a niveau de branches Git avec Michel et David en vue de preparer le modop / la MEP \n\nInstallations et support  pour la livraisons  de nouvelles boutiques  A /U sur int91 (suivi dev) et int81\n\nPrise en compte de ces boutiques relivrées car impact de MEP: nouveau travail de merge dans Git\n\nAssistance install  sur le 02 avec Michel et test connexion ok.\n'),
(34749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nMOKA_ execution tests usr2.8.8'),
(34748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n0.5 : ROMA _ recherche document palier\n0.5 : MOKA _ Execution des tests USR2.8.11'),
(34745, 'Reponse vu avec Solveig : .rsi.fr'),
(34746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\ninstallation autonme int 21 puis teste de boutique suite montée en competence'),
(34753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n0.5 : ROMA _ Analyse documentation disponible\n0.5 : MOKA _ Execution des tests USR2.8.11'),
(34750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(34751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nMOKA_ execution tests usr2.8.8'),
(34929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n.'),
(34758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nInstallation avec David sur le 42 à plusieurs reprises car changement de conf nécessaire.\r\n\r\nPoint avec David et Michel sur éléments de merge manquants + integration ou non de Google Recaptcha et mail de synthése à Romain\r\n\r\nParamétrage cache Hazelcast à 5 min pour test par Loubna des layers modérator.\r\n\r\nRéinstall sur le 81 avec Michel TPA désactivé pour test / 21 où il est activé\r\n\r\n\r\n\r\n'),
(34759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nSuite à des test recette le paiment APT ne partira pas : prise en compte dans les branches git + Modop\r\n\r\nMerge branch master dans develop et nouvelle passe sur le Modop avec David\r\n'),
(34760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nFinalisation du Modop avec David.  Point avec Romain pour validation avant envoi.\r\n\r\n'),
(34768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nTests BOUTIK : implémentation POSTMAN'),
(34769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nTests BOUTIK : implémentation POSTMAN\nTests IF'),
(34764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\ntests IF'),
(34765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nRéunion BOUTIK Paris'),
(34766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nTests IF'),
(34767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nTests BOUTIK : implémentation POSTMAN'),
(34770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nRecréation d\'une prise en charge de schémas Swagger dans Wiremock.\r\nRésentation GAMIF (organisation des travaux).'),
(34771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\ninstallation avec Bruno sur le 42 à plusieurs reprises car changement de conf nécessaire.\r\n\r\nPoint avec Brunoet Michel sur éléments de merge manquants + integration ou non de Google Recaptcha et mail de synthése à Romain\r\n\r\nParamétrage cache Hazelcast à 5 min pour test par Loubna des layers modérator.\r\n\r\nRéinstall sur le 81 avec Michel TPA désactivé pour test / 21 où il est activé'),
(34772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nRecréation d\'une prise en charge de schémas Swagger dans Wiremock.'),
(34773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nSuite à des test recette le paiment APT ne partira pas : prise en compte dans les branches git + Modop\r\n\r\nMerge branch master dans develop et nouvelle passe sur le Modop avec michel et bruno'),
(34774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nFinalisation du Modop avec Bruno. Point avec Romain pour validation avant envoi.'),
(34775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nTravail sur l\'implémentation du volley : Correction des de la vérification des pricings.'),
(34780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nfin de la montée en compétence '),
(34777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nTravail sur l\'implémentation du volley : Correction des de la vérification des pricings + réunion technique avec le client + réunion interne CDS ATOS SPORT.'),
(34778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nTravail sur l\'implémentation du volley : OK pour la création, modification des requetes de checks MAJ'),
(34779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nTravail sur l\'implémentation du volley : OK pour les check MAJ. Travail sur les checks resulting + réunion d\'équipe.'),
(34781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nAnalyse de l\'ano (avec difficultés) :\r\nPHP-911 [ANO052361] [PARIONSSPORT PDV] certains résultats ne sont pas exportés vers les bases'),
(34793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nPostman : implémentation des cas de test pour couverture des services DigishopU'),
(34792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nPostman : implémentation des cas de test pour couverture des services DigishopU\n\nRéunion : Point Equipe TEST AUTO'),
(34791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nPostman : implémentation des cas de test pour couverture des services DigishopU'),
(34790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nRéunion : Etat des lieux Catalogue Postman\r\n\r\nPostman : run des collections Digishop U en vue de correction d’éventuelles coquilles.');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(34794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nPostman : run des collections Digishop U en vue de correction d’éventuelles coquilles.'),
(34795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\ninstallation des composants falcon sur INT4'),
(34796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nInstallation de composant falcon sur INT1 puis installation du composant PMS'),
(34797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n[SPEED UP] Tests de qualification, ARJEL et ETL des nouveaux sports livrées dans BUILD (ABP): 14.1.32.1-SNAPSHOT 33 sur INT8\r\n- •	Biathlon (Pré-match)\r\n•	Ski Alpin (Pré-match)\r\n•	Ski de Fond (Pré-match)\r\n•	Snowboard (Pré-match)\r\n•	Ski Freestyle (Pré-match)\r\n•	Bobsleigh (Pré-match)\r\n•	Luge (Pré-match)\r\n•	Short-track  (Pré-match)\r\n•	Patinage de vitesse (Pré-match)\r\n•	Skeleton (Pré-match)\r\n•	Curling (Pré-match)\r\n•	Snooker (Pré-match & Live)\r\n•	Foot Americain (Pré-match & Live)\r\n•	Baseball (Pré-match & Live)\r\n\r\n'),
(34798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[SPEED UP] Tests de qualification, ARJEL et ETL des nouveaux sports livrées dans BUILD (ABP): 14.1.32.1-SNAPSHOT 33 sur INT8\r\n\r\n • Biathlon (Pré-match)\r\n• Ski Alpin (Pré-match)\r\n• Ski de Fond (Pré-match)\r\n• Snowboard (Pré-match)\r\n• Ski Freestyle (Pré-match)\r\n• Bobsleigh (Pré-match)\r\n• Luge (Pré-match)\r\n• Short-track (Pré-match)\r\n• Patinage de vitesse (Pré-match)\r\n• Skeleton (Pré-match)\r\n• Curling (Pré-match)\r\n• Snooker (Pré-match & Live)\r\n• Foot Americain (Pré-match & Live)\r\n• Baseball (Pré-match & Live)'),
(34799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nMOKA] [GAMIF] installation falcon sur INT8 et INT2'),
(34800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[SPEED UP] Tests de qualification, ARJEL et ETL des nouveaux sports livrées dans BUILD (ABP): 14.1.32.1-SNAPSHOT 33 sur INT8\r\n\r\n • Biathlon (Pré-match)\r\n• Ski Alpin (Pré-match)\r\n• Ski de Fond (Pré-match)\r\n• Snowboard (Pré-match)\r\n• Ski Freestyle (Pré-match)\r\n• Bobsleigh (Pré-match)\r\n• Luge (Pré-match)\r\n• Short-track (Pré-match)\r\n• Patinage de vitesse (Pré-match)\r\n• Skeleton (Pré-match)\r\n• Curling (Pré-match)\r\n• Snooker (Pré-match & Live)\r\n• Foot Americain (Pré-match & Live)\r\n• Baseball (Pré-match & Live)'),
(34801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n[SPEED UP] Tests de qualification, ARJEL et ETL des nouveaux sports livrées dans BUILD (ABP): 14.1.32.1-SNAPSHOT 33 sur INT8\r\n\r\n • Biathlon (Pré-match)\r\n• Ski Alpin (Pré-match)\r\n• Ski de Fond (Pré-match)\r\n• Snowboard (Pré-match)\r\n• Ski Freestyle (Pré-match)\r\n• Bobsleigh (Pré-match)\r\n• Luge (Pré-match)\r\n• Short-track (Pré-match)\r\n• Patinage de vitesse (Pré-match)\r\n• Skeleton (Pré-match)\r\n• Curling (Pré-match)\r\n• Snooker (Pré-match & Live)\r\n• Foot Americain (Pré-match & Live)\r\n• Baseball (Pré-match & Live)'),
(34802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nMOKA] [GAMIF] installation de falcon sur INT8 et INT2 '),
(34813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants (V14) en V16 (PDJ + Settlement + Combi Boosté + FreeBet) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(34804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n-Mise à jour test Postman, après modification des appels de service  /usr/limits/limit/financial/MAX_DPT_D et /usr/limits/limit/financial/MAX_DPT_M'),
(34814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants (V14) en V16 (PDJ + Settlement + Combi Boosté + FreeBet) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(34815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants (V14) en V16 (PDJ + Settlement + Combi Boosté + FreeBet) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(34816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants (V14) en V16 (PDJ + Settlement + Combi Boosté + FreeBet) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(34810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n-Exécution compagne de test FREEDOM après installation de la version USR 2.8.11 '),
(35907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants (V14) en V16 (PDJ + Settlement + Combi Boosté + FreeBet) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(34818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nréflexion sur le sujet de formation FALCON, étude sur le projet Omnicanal plus précisément les composants PMS.'),
(34819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nSAFERGAME : Installation CFM FDL018624, Datastage FDL018674, i2 FDL018679 et FDL018533 sur int2'),
(34820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nSAFERGAME : Tests avec A.Mauban sur les problèmes de connexion ANB'),
(34822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nCampagne NonReg INT8 ABP 14.1.32.1-SNAPSHOT 33'),
(34823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n0.5 Jour : Implémentation cas de test MIFY\r\n0.5 Jour : Campagne NonReg INT8 ABP 14.1.32.1-SNAPSHOT 33'),
(34824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nImplémentation cas de test MIFY\r\n'),
(34825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nImplémentation cas de test MIFY\r\n'),
(34826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nImplémentation cas de test MIFY\r\n'),
(34828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nCAMPAGNE DE  NON REGRESSION MOTORS 1.9.5-1 / USR 2.8.8-1 INT81\r\nSOCLE/JEU/TESTS MOTEUR/ TESTS ORCHESTRES'),
(34829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nCAMPAGNE DE  NON REGRESSION MOTORS 1.9.5-1 / USR 2.8.8-1 INT81\r\nSOCLE/JEU/TESTS MOTEUR/ TESTS ORCHESTRES'),
(34940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nRedaction doc exigence IQ (suite)\r\nAide Control M (julien)\r\nSuite analyse livraison drupal et symfony\r\nAnalyse de l\'API drupal pour convergence'),
(34831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nPréparation campagne GAMIFICATION INT8\r\nCréation de slides pour la présentation a IQ DIGITAL de la GAMIFICATION'),
(34832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nCAMPAGNES DE QUALIFICATION  INTERACTIVE FACTORY  / USR 2.8.10-1 \r\nJEU DE REFERENCE : MONSTER WIN INT02 IF'),
(34833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nCAMPAGNES DE NON REGRESSION GAMIFICATION /USR 2.8.11-1 / MOTORS 1.9.5.1\r\nINT8'),
(34835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nPortage des appels de service de création de session TMS depuis une collection POSTMAN sous un module vuGen\r\nCorrectif d\'un blocage aléatoire dans l\'orchestration ITFMotors pickandmatch\r\nAdapatation de scripts truClient suite a des problèmes survenus sur les campagnes ARJEL'),
(34837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nSuite des correctifs sur les truClients\nAdaptation et qualification de la scénarisation par bloc sur les services PMS avec l\'ajout de l\'ouverture de session TMS en pré-requis'),
(34838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nExécution des campagnes de tests du palier MOKA sur INT8 (USR 2.8.11).'),
(34839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nExécution des campagnes de tests du palier MOKA sur INT8 (USR 2.8.11).'),
(34841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nPrésentation du MCO EGIDE par Daniel partie Extract CA après la procédure stocké.\nPrésentation du MCO EGIDE par Daniel partie CAMCA après la procédure stocké et qui consiste à générer la liste des fichiers à purger qui ne sont plus nécessaire sur le serveur CIFS.\nPrise en main de ALM dans le but d\'écrire les différents Test Plan de la version 4.70 de EGIDE.\nInstallation de la version EGIDE 4.60 avec Daniel sur le Transverse 2 INT4EGID (dbasegate pour vérifier qu\'une version d\'EGIDE à bien été enregistrer avant l\'installation, SQL Developper pour l\'exécution des SCRIPT, WinSCP pour mettre à jour les DUMPS et la vérification sur l\'application que la version d\'EGIDE à bien été installé).'),
(34843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n'),
(34844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n'),
(34845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n'),
(34846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nEtude CDC Flux Pilotes AVUR et INFRA'),
(34847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nEtude CDC Refonte documentaire + Atelier avec GPMM'),
(34983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nAcceptance API & DB : Falcon USR-2.9.0 sur INT 1 => Stoppée car pb d’environnement\nAcceptance API & DB : Falcon USR-2.8.11 sur INT 9 \nCampagne de Non Régression : Falcon USR-2.8.8 sur INT 8'),
(34853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n- Réunion HIA préparation MEP MOKA'),
(34854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n- Tests Gamifs (MAG et MUG)'),
(34855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n- Freedom : nouvelle conf sans TPA, synchronisation équipes, tests\r\n- Mod Op MEP MOKA\r\n- Conf Hazelcast Digishop sur INT21'),
(34856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n- Travail Conf et doc sur Google Recptacha\r\n- Freedom , echange pour MEP => NO GO\r\n- Support Mode Op MOKA pour conf Digishops\r\n'),
(34858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n- Acceptance Front MOKA suite mise à jour USR sur INT2\n- Echange avec CdP MOka - M Diouf suite failed tests auto digishops - décision de Go Recette'),
(34859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n- Qualification MOD012664 et MOD012665\r\n- Support dev pour Jeu de données projet ROMA\r\n- Investigation suite cas de tests auto failed sur Digishops'),
(34860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nmco control m tr 1 2 3 \r\nmoka crm lot 1'),
(34872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nBilan Accompmagnement convergence des Fronts '),
(34867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n- Réunion avec l\'equipe convergence des fronts sur les tests auto a implementé \r\n- Formation utilisateurs sur RobotFramework Selenium'),
(34868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n-Accompagnement Moustapha Sakho equipe convergence des Fronts sur inplementation de tests auto utilisant RobotFramework '),
(34869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n-Accompagnement Moustapha Sakho equipe convergence des Fronts sur inplementation de tests auto utilisant RobotFramework \r\n-Develeppement d\'un scenario de test sur le front '),
(34871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n- Accompagnement Moustapha Sakho equipe convergence des Fronts sur inplementation de tests auto utilisant RobotFramework \r\n- Redaction d\'un CVL (Cahier de tests  sur le projet Convergence des Fronts) '),
(34874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nFDL018500'),
(34876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\ntests amigo'),
(34878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nFDL018651'),
(34879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nFDL018652'),
(34880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\ntests amigo'),
(34881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nsupport CDS Atos sport'),
(34882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nsupport CDS Atos sport'),
(34931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU arbre aux trésors v1.0.4  INT31'),
(34888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n- [Flux FLP1] : Point sur les montants estimés/garantis\r\n- mise à niveau conf SALT merge branche develop sur branches\r\n	feature-moka\r\n	feature-amigo\r\n	feature-convergence\r\n	feature-amex\r\n- merge branche feature-moka dans develop\r\n- alignement des environnements INTxx et PRF2 sur la cible MOKA dans develop\r\n- déploiement boutiques palier MOKA int12\r\n  \'digishopa\': \'5.3.1\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.3.1\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- déploiement boutiques palier MOKA int02\r\n  \'digishopa\': \'5.3.1\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.3.1\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- déploiement boutiques palier MOKA int81\r\n  \'digishopa\': \'5.4.0\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.4.0\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- maj swagger digishop-A 5.4.0\r\n- maj swagger digishop-U 5.4.0'),
(34889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n- déploiement boutiques feature-moka sur int11\r\n  \'digishopa\': \'5.4.0\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.4.0\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- preparation plan de mep palier MOKA\r\n- investigation installation salt ko sur int41, mauvaise confi sur salt/master\r\n- point avec dev pour mise en place MOD013105 variable de log pour MRCD\r\n- pb remonté sur version erronée Amigo, en attente retour si ano'),
(34890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n- salt, mise à niveau branche develop pour mep MOKA\r\n- déploiement boutiques feature-moka sur int21\r\n  \'digishopa\': \'5.4.0\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.4.0\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'1.0.8\',\r\n- maj tests postman feature-amigo initialisation service /1.3/get-home\r\n- création ANO054930 [SQLITE] Pas de logs lors d\'accès bases SQLITES KO\r\n- intégration branche ISO-PROD avec Digishop-G 2.0.'),
(34891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n- réunion Etat des lieux Catalogue Postman\r\n- déploiement boutiques pour équipe mobile int22\r\n  \'digishopa\': \'4.4.7\',\r\n  \'digishopi\': \'4.2.2\',\r\n  \'digishopu\': \'4.3.1\',\r\n  \'digishopp\': \'1.7.1\',\r\n  \'digishopg\': \'2.0.0\',\r\n- support stream pour interconnexion mrcd INT22 et jose INT5\r\n- intégration jeu de données pour Amigo boutique Game\r\n- maj tests postman boutique game'),
(36167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n- investigation pb de semaphore sur int92\n- travail tests postman boutique game\n- point sur service compte à rebours Digi-Game\n'),
(34939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n-Exécution compagne de test FREEDOM après installation de la version USR 2.8.11\r\nExécution compagne :07_ IQ_RUN06_API_Message'),
(34938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nContribution du jeu ct2017 sur INT5'),
(34895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[MOKA] Support a HIA post MEP cf INC184695'),
(34896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[MOKA] Rédaction du PV de qualification de la FDL018648 + mise a jour des campagnes de test dans l\'ALM'),
(34897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[OLCLot3.2] Point avec Myriam pour le CAB et vérification des rapports pour les univers SG et RL'),
(34899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 bloqué par la mise a jour Falcon // SIDC TR2 OK après relance des traitements suite a l\'installation de la FDL018700// SIDC TR3 OK'),
(34915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nDaily meeting (45min)\nAMEX: Merge de la branch feature-amex-sportail dans la branche feature-amex --> On utilise la même formula et la même configuration nginx pour déployer le domaine wwwX.enligne.parionssport.integ.fdj.fr et previewX.enligne.parionssport.integ.fdj.fr.\nTest du déploiement sur l\'ensemble des frontaux PSEL et PSEL PREVIEW de l\'environnement INT0.\nEn parallèle, la branche feature-moka a été mergée dans la branche feature-amex --> reverification de l\'installation --> KO. Une formula n\'a pas été déclarée dans le configuration Salt sur le master.\nCorrection du MasterSalt pour l\'intégralité des environnements.\nDéploiement sur la machine INT6 de preview pour tester la branche sur cet environnement --> OK\nDéploiement sur la machine INT4 de preview --> KO, on peut plus rien installer sur cet environnement.'),
(34901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nImplementation de tests auto ARJEL.'),
(34902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nImplementation de tests auto ARJEL.'),
(34903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nImplementation de tests auto ARJEL.'),
(34904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nImplementation de tests auto ARJEL.'),
(34905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nImplementation de tests auto ARJEL.'),
(36016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nImplémentation Campagne V16'),
(36017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nImplémentation Campagne V16'),
(36375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nImplémentation Campagne V16'),
(34919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nDaily meeting (45 min).\nRecherche sur l\'environnement INT4 de l\'origine de l\'erreur.\nVérification de toutes la configuration de la branche feature-amex pour cette erreur.\nRéunion avec CCR et le Back ABP par rapport aux tests et aux environnements (1h30).\nA la demande du responsable du CDS Firewall, échange avec une personne de son équipe pour régler un problème de communication sur le domaine www6.enligne.parionssport.int.fdj.fr\nSupport dev, il n\'arrive pas à installer correctement sur INT61. En fait, la formula nginx a changé, il faut donc \"arrêter\" les serveurs nginx avant sinon on a des processus Fantômes (20min) '),
(34917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(34920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nDaily meeting (45 min)\nSuite origine erreur INT41 --> L\'erreur vient de la configuration du MasterSalt. Quelqu\'un a modifié 3 lignes de configuration par rapport aux chemins permettant d\'atteindre les pillars et les states de l\'environnement.\nMise en place du serveur de preview sur l\'environnement INT41.\nMise en place de la formula symfony. On peut déployer un livrable symfony par contre je n\'arrive pas encore à surcharger la configuration du parameters.yml directement avec le minion --> multiples tests --> KO'),
(34921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n'),
(34922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nDaily meeting (1h)\r\nSuite de la formula symfony --> tjrs bloqué --> besoin de récupérer auprès de l\'architecte pour partir sur les bons choix. (peut être faire la même chose que les boutiques DIGIGHOP* ???)\r\nInitialisation du MODOP AMEX - SPORTAIL - WPSEL - WART --> Présent sous confluence.\r\nL\'INT01, nous retourne des erreurs 500, le back pense que le problème est coté front. En fait, il y a 2 problèmes, 1 coté back et 1 coté front. Le front n\'est pas accès robuste pourtant les devs connaissent déjà ce problème. LE back selon le serveur ABP ne retourne pas les mêmes informations!!!\r\nVérification rapide environnement INT4, la recette annonce des problème d\'instabilité. Des moldifications de la configuration back entraine ces instabilités, coté front on est toujours avec les anciennes versions des composants.\r\nEtats des lieux des URL consommées par le projet AMEX sur les environnements INT01, INT41 et INT61. ---> le back doit se mettre à jour sur l\'INT61, la version est trop vieille (05/10/17).\r\nSupport application native VITAN / AMEX'),
(34923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(34924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nEA : prise en compte demande GPMM : Exigences Techniques Architecture (import)'),
(34927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nSupport sport'),
(34928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n.'),
(34935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(34937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nSprint planning Paris'),
(34943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nMCO - EGIDE'),
(34944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(34945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(34946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nMCO - EGIDE'),
(34947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nMCO - EGIDE'),
(34948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(34949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - installation FDL018443_egide_4.60.10_liv sur TRV2'),
(34950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nMCO EGIDE'),
(34951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nGestion des incidents'),
(34952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1 '),
(34956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n[MOKA] Qualification de la FDL018700 / ANO054932 + rédaction du PV de qualification relatif a cette FDL'),
(34955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nInvestigation et support a la production ANO054943'),
(34958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nPôt dernier jour :)\n\nAssistance avec David sur une installation (ajustement Git etc)\nPoint avec David sur Map Hazelcast en vue de la mep Moka et élements particuliers'),
(34959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\n'),
(34962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nExtraction des Test Plan du Projet RDI 1.1 vers le référentiel Socle Opérationnel.\nRédaction du squelette du Test Plan de la MOD012136 et de la MOD012863 pour la version 4.70 d\'EGIDE. '),
(34963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n- Daily\r\n- Tests acceptance FDL018697, FDL018695 , FDL018711 '),
(34965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nRecréation d\'une prise en charge de schémas Swagger dans Wiremock.'),
(34966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-30  (Do not remove this line) -->\nintégration continue'),
(34967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-01  (Do not remove this line) -->\nsupport équipe'),
(34968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-29  (Do not remove this line) -->\nanalyse dynatrace'),
(34969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nmigration batchs'),
(34970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nmigration batchs'),
(34971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-22  (Do not remove this line) -->\natelier sécurité api rest portail partenaires'),
(34972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-18  (Do not remove this line) -->\nHabPPSV2 - traitements synchrones - hypothèses techniques et impacts'),
(34973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-09-19  (Do not remove this line) -->\nHabPPSV2 - traitements synchrones - hypothèses techniques et impacts'),
(34974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-02  (Do not remove this line) -->\nPrésentation des WebServices à développer dans le cadre de la propagation des données du reférentiel HABPPS vers les offres de services'),
(34975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-03  (Do not remove this line) -->\nPrésentation des WebServices à développer dans le cadre de la propagation des données du reférentiel HABPPS vers les offres de services'),
(34976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-20  (Do not remove this line) -->\nMigration batch'),
(34977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-21  (Do not remove this line) -->\nMigration batch'),
(34978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\nMigration batch'),
(34979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\nMigration batch'),
(34980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\nMigration batch'),
(34981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nAnalyse et rédaction du rapport de la campagne de NR FALCON USR-2.8.11 sur INT8'),
(34984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n'),
(34985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n'),
(34986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n#day Git\r\n\r\n- cherry pick commit vers dev\r\n- delete branche integration\r\n- tag 41808455e2c0 17/17.11/17.11.02_001\r\n- rebase remotes/origin/17.10.01_Industrialisation sur 17/17.11/17.11.02_001\r\n- rebase remotes/origin/17.10.01_016_D1887_17.20 sur remotes/origin/17.10.01_Industrialisation\r\n- cherry-pick sur 1: Ajout d\'un log au niveau de m\'appel de getAssureByNirAndCleNir\r\n- push nouvelle branche 17.11.02_002_D1887_17.20'),
(34987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n#matin Changement de marque sur les applications #PT_ASSURE (1887)\r\n\r\n- mail Solveig\r\n  - Supprimer le changement de liens dans les fichier de properties\r\n  - commit local\r\n  - Supprimer la balise width=\"124\" dans mon compte pour le logo mobile 4 fichiers\r\n  - Déployer(INT, 17.10.01_17.20_Integration + 2 commit)\r\n    - Compiler le projet (Maven et Ant)\r\n    - Transférer les wars\r\n    - Déployer les wars\r\n    - Vérification de connexion\r\n  - Push des modifications\r\n- Prévenir Roger CRETON lorsque l’environnement sera accessible '),
(34988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(34989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\nMOKA : Analyse sur différence des dotations.'),
(35794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nEcriture de cas de test pour RTG Loto2016. (Palier MOKA)'),
(35934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nEcriture de cas de test pour Falcon USR. (Palier MOKA). Problème avec le composant ubo sur les environnements INT8 INT9. Ecriture de cas de test pour RTG Euromillions (Palier MOKA).'),
(36245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nSAFERGAME :  Comité opérationnel avec M.Anne'),
(34997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3. Reprise TR2 depuis le 29/11'),
(34998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nMOKA : SID Client, Analyse plantages suite à reprise --> ANO054932'),
(34999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3'),
(35000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nMOKA : SID Client - FDL018700'),
(35001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nABP v16 : Analyse et listing des FDL en vue d\'une installation future sur le TR1 pour préparer ABP v16 (19 FDL)'),
(35002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nMOKA : SID Client - Analyse des anomalies : ANO054893, ANO054887 et ANO054884, ANO054864, ANO054905'),
(35003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nMCO : SID Commercial TR2, TR3 + SID Client TR2, TR3'),
(35781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nOMNICANAL : Installation FDL018719 SAGA sur int3/SAFERGAME Installation FDL01872  sur int2'),
(35005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n- FDL018715 (amex android)'),
(36026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne+ réunion impact RDI avec le métier'),
(35007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[RDI 1.1] Installation FDL018246 sur INT3SAGA'),
(35017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[RDI 1.1] Installation FDL018386 sur INT3SAGA'),
(35009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[RDI 1.1] Installation ETL_Référentiel RDI-SAGA : FDL018402 sur TR3'),
(35018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[RDI 1.1] ETL_Commercial RDI-GDS : FDL018404 sur TR3'),
(35015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[RDI 1.1] CIRCE : FDL017864 sur TR3'),
(35012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[RDI 1.1] Installation ETL Commercial Kheops-EGIDE : FDL017578 sur TR3'),
(35031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n[ME-Commercial] Qualification de l\'anomalie ANO049919'),
(35019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-23  (Do not remove this line) -->\n[RDI 1.1] Installation GDS : FDL018339 sur TR3'),
(35020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[RDI 1.1] Installation ETL_Référentiel RDI-SAGA : FDL018633 sur TR2'),
(35021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[RDI 1.1] Installation SAGA : FDL018540 sur TR2'),
(35024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[OMNI-CANAL] Installation SAGA : FDL017865 sur TR3'),
(35025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[OMNI-CANAL] Installation SAGA : FDL018520 sur TR3'),
(35026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n[OMNI-CANAL] Tests de connectivité de bout en bout sur TR3'),
(35029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-24  (Do not remove this line) -->\n'),
(35032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-22  (Do not remove this line) -->\n[RDI 1.1] Déroulé de la procédure de migration des données en RM INT4SAGA.'),
(35033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n[RDI1.1] Contrôle de controlM et relevé des erreurs sur le Transverse3'),
(35034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n[RDI 1.1] Test du flux RDI-GDS sur TR2'),
(35035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification'),
(35036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification'),
(35037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification'),
(35040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR3'),
(35039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n[RDI 1.1] Tests de qualification sur TR3'),
(35041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nMontée en compétence sur postman\r\nDoc exigence suite\r\nVérification lien FAQ digiA/U\r\n'),
(35042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nAnalyse CDC Fluxy - questions Cédric\r\nSupport à LCA pour Controle doc\r\nSupport pour Flux AVUR'),
(35043, 'Cloture suite à cloture dans ALM'),
(35044, 'Cloture suite à cloture dans ALM'),
(35045, 'Cloture suite à cloture dans ALM'),
(35046, 'Cloture suite à cloture dans ALM'),
(35047, 'Cloture suite à cloture dans ALM'),
(35048, 'Cloture suite à cloture dans ALM'),
(35049, 'Cloture suite à cloture dans ALM'),
(35050, 'Cloture suite à cloture dans ALM'),
(35051, 'Cloture suite à cloture dans ALM'),
(35052, 'Cloture suite à cloture dans ALM'),
(35053, 'Cloture suite à cloture dans ALM'),
(35054, 'Suite à cloture dans alm'),
(35055, 'Suite à cloture dans alm'),
(35056, 'Suite à cloture dans alm'),
(35057, 'Suite à cloture dans alm'),
(35058, 'Suite à cloture dans alm'),
(35059, 'Suite à cloture dans alm'),
(35060, 'Suite à cloture dans alm'),
(35061, 'Suite à cloture dans alm'),
(35062, 'Suite à cloture dans alm'),
(35063, 'Suite à cloture dans alm'),
(35064, 'Suite à cloture dans alm'),
(35065, 'Suite à cloture dans alm'),
(35066, 'Suite à cloture dans alm'),
(35067, 'Suite à cloture dans alm'),
(35068, 'Suite à cloture dans alm'),
(35069, 'Suite à cloture dans alm'),
(35070, 'Suite à cloture dans alm'),
(35071, 'Suite à cloture dans alm'),
(35072, 'Suite à cloture dans alm'),
(35073, 'Suite à cloture dans alm'),
(35074, 'Suite à cloture dans alm'),
(35075, 'Suite à cloture dans alm'),
(35076, 'Suite à cloture dans alm'),
(35077, 'Suite à cloture dans alm'),
(35078, 'Suite à cloture dans alm'),
(35079, 'Suite à cloture dans alm'),
(35080, 'Suite à cloture dans alm'),
(35081, 'Suite à cloture dans alm'),
(35082, 'Suite à cloture dans alm'),
(35083, 'Suite à cloture dans alm'),
(35084, 'Suite à cloture dans alm'),
(35085, 'Suite à cloture dans alm'),
(35086, 'Suite à cloture dans alm'),
(35087, 'Suite à cloture dans alm'),
(35088, 'Suite à cloture dans alm'),
(35089, 'Suite à cloture dans alm'),
(35090, 'Suite à cloture dans alm'),
(35091, 'Suite à cloture dans alm'),
(35092, 'Suite à cloture dans alm'),
(35093, 'Suite à cloture dans alm'),
(35094, 'Suite à cloture dans alm'),
(35095, 'Suite à cloture dans alm'),
(35096, 'Suite à cloture dans alm'),
(35097, 'Suite à cloture dans alm'),
(35098, 'Suite à cloture dans alm'),
(35099, 'Suite à cloture dans alm'),
(35100, 'Suite à cloture dans alm'),
(35101, 'Suite à cloture dans alm'),
(35102, 'Suite à cloture dans alm'),
(35103, 'Suite à cloture dans alm'),
(35104, 'Suite à cloture dans ALM'),
(35105, 'Suite à cloture dans ALM'),
(35106, 'Suite à cloture dans ALM'),
(35107, 'Suite à cloture dans ALM'),
(35108, 'Suite à cloture dans ALM'),
(35109, 'Suite à cloture dans ALM'),
(35110, 'Suite à cloture dans ALM'),
(35111, 'Suite à cloture dans ALM'),
(35112, 'Suite à cloture dans ALM'),
(35113, 'Suite à cloture dans ALM'),
(35114, 'Suite à cloture dans ALM'),
(35115, 'Suite à cloture dans ALM'),
(35116, 'Suite à cloture dans ALM'),
(35117, 'Suite à cloture dans ALM'),
(35118, 'Suite à cloture dans ALM'),
(35119, 'Suite à cloture dans ALM'),
(35120, 'Suite à cloture dans ALM'),
(35121, 'Suite à cloture dans ALM'),
(35122, 'Suite à cloture dans ALM'),
(35123, 'Suite à cloture dans ALM'),
(35124, 'Suite à cloture dans ALM'),
(35125, 'Suite à cloture dans ALM'),
(35126, 'Suite à cloture dans ALM'),
(35127, 'Suite à cloture dans ALM'),
(35128, 'Suite à cloture dans ALM'),
(35129, 'Suite à cloture dans ALM'),
(35130, 'Suite à cloture dans ALM'),
(35131, 'Suite à cloture dans ALM'),
(35132, 'Suite à cloture dans ALM'),
(35133, 'Suite à cloture dans ALM'),
(35134, 'Suite à cloture dans ALM'),
(35135, 'Suite à cloture dans ALM'),
(35136, 'Suite à cloture dans ALM'),
(35137, 'Suite à cloture dans ALM'),
(35138, 'Suite à cloture dans ALM'),
(35139, 'Suite à cloture dans ALM'),
(35140, 'Suite à cloture dans ALM'),
(35141, 'Suite à cloture dans ALM'),
(35142, 'Suite à cloture dans ALM'),
(35143, 'Suite à cloture dans ALM'),
(35144, 'Suite à cloture dans ALM'),
(35145, 'Suite à cloture dans ALM'),
(35146, 'Suite à cloture dans ALM'),
(35147, 'Suite à cloture dans ALM'),
(35148, 'Suite à cloture dans ALM'),
(35149, 'Suite à cloture dans ALM'),
(35150, 'Suite à cloture dans ALM'),
(35151, 'Suite à cloture dans ALM'),
(35152, 'Suite à cloture dans ALM'),
(35153, 'Suite à cloture dans ALM'),
(35154, 'Suite à cloture dans alm'),
(35155, 'Suite à cloture dans alm'),
(35156, 'Suite à cloture dans alm'),
(35157, 'Suite à cloture dans alm'),
(35158, 'Suite à cloture dans alm'),
(35159, 'Suite à cloture dans alm'),
(35160, 'Suite à cloture dans alm'),
(35161, 'Suite à cloture dans alm'),
(35162, 'Suite à cloture dans alm'),
(35163, 'Suite à cloture dans alm'),
(35164, 'Suite à cloture dans alm'),
(35165, 'Suite à cloture dans alm'),
(35166, 'Suite à cloture dans alm'),
(35167, 'Suite à cloture dans alm'),
(35168, 'Suite à cloture dans alm'),
(35169, 'Suite à cloture dans alm'),
(35170, 'Suite à cloture dans alm'),
(35171, 'Suite à cloture dans alm'),
(35172, 'Suite à cloture dans alm'),
(35173, 'Suite à cloture dans alm'),
(35174, 'Suite à cloture dans alm'),
(35175, 'Suite à cloture dans alm'),
(35176, 'Suite à cloture dans alm'),
(35177, 'Suite à cloture dans alm'),
(35178, 'Suite à cloture dans alm'),
(35179, 'Suite à cloture dans alm'),
(35180, 'Suite à cloture dans alm'),
(35181, 'Suite à cloture dans alm'),
(35182, 'Suite à cloture dans alm'),
(35183, 'Suite à cloture dans alm'),
(35184, 'Suite à cloture dans alm'),
(35185, 'Suite à cloture dans alm'),
(35186, 'Suite à cloture dans alm'),
(35187, 'Suite à cloture dans alm'),
(35188, 'Suite à cloture dans alm'),
(35189, 'Suite à cloture dans alm'),
(35190, 'Suite à cloture dans alm'),
(35191, 'Suite à cloture dans alm'),
(35192, 'Suite à cloture dans alm'),
(35193, 'Suite à cloture dans alm'),
(35194, 'Suite à cloture dans alm'),
(35195, 'Suite à cloture dans alm'),
(35196, 'Suite à cloture dans alm'),
(35197, 'Suite à cloture dans alm'),
(35198, 'Suite à cloture dans alm'),
(35199, 'Suite à cloture dans alm'),
(35200, 'Suite à cloture dans alm'),
(35201, 'Suite à cloture dans alm'),
(35202, 'Suite à cloture dans alm'),
(35203, 'Suite à cloture dans alm'),
(35204, 'Suite à cloture dans alm'),
(35205, 'Suite à cloture ALM'),
(35206, 'Suite à cloture ALM'),
(35207, 'Suite à cloture ALM'),
(35208, 'Suite à cloture ALM'),
(35209, 'Suite à cloture ALM'),
(35210, 'Suite à cloture ALM'),
(35211, 'Suite à cloture ALM'),
(35212, 'Suite à cloture ALM'),
(35213, 'Suite à cloture ALM'),
(35214, 'Suite à cloture ALM'),
(35215, 'Suite à cloture ALM'),
(35216, 'Suite à cloture ALM'),
(35217, 'Suite à cloture ALM'),
(35218, 'Suite à cloture ALM'),
(35219, 'Suite à cloture ALM'),
(35220, 'Suite à cloture ALM'),
(35221, 'Suite à cloture ALM'),
(35222, 'Suite à cloture ALM'),
(35223, 'Suite à cloture ALM'),
(35224, 'Suite à cloture ALM'),
(35225, 'Suite à cloture ALM'),
(35226, 'Suite à cloture ALM'),
(35227, 'Suite à cloture ALM'),
(35228, 'Suite à cloture ALM'),
(35229, 'Suite à cloture ALM'),
(35230, 'Suite à cloture ALM'),
(35231, 'Suite à cloture ALM'),
(35232, 'Suite à cloture ALM'),
(35233, 'Suite à cloture ALM'),
(35234, 'Suite à cloture ALM'),
(35235, 'Suite à cloture ALM'),
(35236, 'Suite à cloture ALM'),
(35237, 'Suite à cloture ALM'),
(35238, 'Suite à cloture ALM'),
(35239, 'Suite à cloture ALM'),
(35240, 'Suite à cloture ALM'),
(35241, 'Suite à cloture ALM'),
(35242, 'Suite à cloture ALM'),
(35243, 'Suite à cloture ALM'),
(35244, 'Suite à cloture ALM'),
(35245, 'Suite à cloture ALM'),
(35246, 'Suite à cloture ALM'),
(35247, 'Suite à cloture ALM'),
(35248, 'Suite à cloture ALM'),
(35249, 'Suite à cloture ALM'),
(35250, 'Suite à cloture ALM'),
(35251, 'Suite à cloture ALM'),
(35252, 'Suite à cloture ALM'),
(35253, 'Suite à cloture ALM'),
(35254, 'Suite à cloture ALM'),
(35255, 'Suite à cloture ALM'),
(35256, 'Suite à cloture ALM'),
(35257, 'Suite à cloture ALM'),
(35258, 'Suite à cloture ALM'),
(35259, 'Suite à cloture ALM'),
(35260, 'Suite à cloture ALM'),
(35261, 'Suite à cloture ALM'),
(35262, 'Suite à cloture ALM'),
(35263, 'Suite à cloture ALM'),
(35264, 'Suite à cloture ALM'),
(35265, 'Suite à cloture ALM'),
(35266, 'Suite à cloture ALM'),
(35267, 'Suite à cloture ALM'),
(35268, 'Suite à cloture ALM'),
(35269, 'Suite à cloture ALM'),
(35270, 'Suite à cloture ALM'),
(35271, 'Suite à cloture ALM'),
(35272, 'Suite à cloture ALM'),
(35273, 'Suite à cloture ALM'),
(35274, 'Suite à cloture ALM'),
(35275, 'Suite à cloture ALM'),
(35276, 'Suite à cloture ALM'),
(35277, 'Suite à cloture ALM'),
(35278, 'Suite à cloture ALM'),
(35279, 'Suite à cloture ALM'),
(35280, 'Suite à cloture ALM'),
(35281, 'Suite à cloture ALM'),
(35282, 'suite à cloture ALM'),
(35283, 'suite à cloture ALM'),
(35284, 'suite à cloture ALM'),
(35285, 'suite à cloture ALM'),
(35286, 'suite à cloture ALM'),
(35287, 'suite à cloture ALM'),
(35288, 'suite à cloture ALM'),
(35289, 'suite à cloture ALM'),
(35290, 'suite à cloture ALM'),
(35291, 'suite à cloture ALM'),
(35292, 'suite à cloture ALM'),
(35293, 'suite à cloture ALM'),
(35294, 'suite à cloture ALM'),
(35295, 'suite à cloture ALM'),
(35296, 'suite à cloture ALM'),
(35297, 'suite à cloture ALM'),
(35298, 'suite à cloture ALM'),
(35299, 'suite à cloture ALM'),
(35300, 'suite à cloture ALM'),
(35301, 'suite à cloture ALM'),
(35302, 'suite à cloture ALM'),
(35303, 'suite à cloture ALM'),
(35304, 'suite à cloture ALM'),
(35305, 'suite à cloture ALM'),
(35306, 'suite à cloture ALM'),
(35307, 'suite à cloture ALM'),
(35308, 'suite à cloture ALM'),
(35309, 'suite à cloture ALM'),
(35310, 'suite à cloture ALM'),
(35311, 'suite à cloture ALM'),
(35312, 'suite à cloture ALM'),
(35313, 'suite à cloture ALM'),
(35314, 'suite à cloture ALM'),
(35315, 'suite à cloture ALM'),
(35316, 'suite à cloture ALM'),
(35317, 'suite à cloture ALM'),
(35318, 'suite à cloture ALM'),
(35319, 'suite à cloture ALM'),
(35320, 'suite à cloture ALM'),
(35321, 'suite à cloture ALM'),
(35322, 'suite à cloture ALM'),
(35323, 'suite à cloture ALM'),
(35324, 'suite à cloture ALM'),
(35325, 'suite à cloture ALM'),
(35326, 'suite à cloture ALM'),
(35327, 'suite à cloture ALM'),
(35328, 'suite à cloture ALM'),
(35329, 'suite à cloture ALM'),
(35330, 'suite à cloture ALM'),
(35331, 'suite à cloture ALM'),
(35332, 'suite à cloture ALM'),
(35333, 'suite à cloture ALM'),
(35334, 'suite à cloture ALM'),
(35335, 'suite à cloture ALM'),
(35336, 'suite à cloture ALM'),
(35337, 'suite à cloture ALM'),
(35338, 'suite à cloture ALM'),
(35339, 'suite à cloture ALM'),
(35340, 'suite à cloture ALM'),
(35341, 'suite à cloture ALM'),
(35342, 'suite à cloture ALM'),
(35343, 'suite à cloture ALM'),
(35344, 'suite à cloture ALM'),
(35345, 'suite à cloture ALM'),
(35346, 'suite à cloture ALM'),
(35347, 'suite à cloture ALM'),
(35348, 'suite à cloture ALM'),
(35349, 'suite à cloture ALM'),
(35350, 'suite à cloture ALM'),
(35351, 'suite à cloture ALM'),
(35352, 'suite à cloture ALM'),
(35353, 'suite à cloture ALM'),
(35354, 'suite à cloture ALM'),
(35355, 'suite à cloture ALM'),
(35356, 'suite à cloture ALM'),
(35357, 'suite à cloture ALM'),
(35358, 'suite à cloture ALM'),
(35359, 'Suite à annulation dans alm'),
(35360, 'Suite à annulation dans alm'),
(35361, 'Suite à annulation dans alm'),
(35362, 'Suite à annulation dans alm'),
(35363, 'Suite à annulation dans alm'),
(35364, 'Suite à annulation dans alm'),
(35365, 'Suite à annulation dans alm'),
(35366, 'Suite à annulation dans alm'),
(35367, 'Suite à annulation dans alm'),
(35368, 'Suite à annulation dans alm'),
(35369, 'Suite à annulation dans alm'),
(35370, 'Suite à annulation dans alm'),
(35371, 'Suite à annulation dans alm'),
(35372, 'Suite à annulation dans alm'),
(35373, 'Suite à annulation dans alm'),
(35374, 'Suite à annulation dans alm'),
(35375, 'Suite à annulation dans alm'),
(35376, 'Suite à annulation dans alm'),
(35377, 'Suite à annulation dans alm'),
(35378, 'Suite à annulation dans alm'),
(35379, 'Suite à annulation dans alm'),
(35380, 'Suite à annulation dans alm'),
(35381, 'Suite à annulation dans alm'),
(35382, 'Suite à annulation dans alm'),
(35383, 'Suite à annulation dans alm'),
(35384, 'Suite à annulation dans alm'),
(35385, 'Suite à annulation dans alm'),
(35386, 'Suite à annulation dans alm'),
(35387, 'Suite à annulation dans alm'),
(35388, 'Suite à annulation dans alm'),
(35389, 'Suite à annulation dans alm'),
(35390, 'Suite à annulation dans alm'),
(35391, 'Suite à annulation dans alm'),
(35392, 'Suite à annulation dans alm'),
(35393, 'Suite à annulation dans alm'),
(35394, 'Suite à annulation dans alm'),
(35395, 'Suite à annulation dans alm'),
(35396, 'Suite à annulation dans alm'),
(35397, 'Suite à annulation dans alm'),
(35398, 'Suite à annulation dans alm'),
(35399, 'Suite à annulation dans alm'),
(35400, 'Suite à annulation dans alm'),
(35401, 'Suite à annulation dans alm'),
(35402, 'Suite à annulation dans alm'),
(35403, 'Suite à annulation dans alm'),
(35404, 'Suite à annulation dans alm'),
(35405, 'Suite à annulation dans alm'),
(35406, 'Suite à annulation dans alm'),
(35407, 'Suite à annulation dans alm'),
(35408, 'Suite à annulation dans alm'),
(35409, 'Suite à annulation dans alm'),
(35410, 'Suite à annulation dans alm'),
(35411, 'Suite à annulation dans alm'),
(35412, 'Suite à annulation dans alm'),
(35413, 'Suite à annulation dans alm'),
(35414, 'Suite à annulation dans alm'),
(35415, 'Suite à annulation dans alm'),
(35416, 'Suite à annulation dans alm'),
(35417, 'Suite à annulation dans alm'),
(35418, 'Suite à annulation dans alm'),
(35419, 'Suite à annulation dans alm'),
(35420, 'Suite à annulation dans alm'),
(35421, 'Suite à annulation dans alm'),
(35422, 'Suite à annulation dans alm'),
(35423, 'Suite à annulation dans alm'),
(35424, 'Suite à annulation dans alm'),
(35425, 'Suite à annulation dans alm'),
(35426, 'Suite à annulation dans alm'),
(35427, 'Suite à annulation dans alm'),
(35428, 'Suite à annulation dans alm'),
(35429, 'Suite à annulation dans alm'),
(35430, 'Suite à annulation dans alm'),
(35431, 'Suite à annulation dans alm'),
(35432, 'Suite à annulation dans alm'),
(35433, 'Suite à annulation dans alm'),
(35434, 'Suite à annulation dans alm'),
(35435, 'Suite à annulation dans alm'),
(35436, 'Suite à annulation dans alm'),
(35437, 'Suite à annulation dans alm'),
(35438, 'Suite à annulation dans alm'),
(35439, 'Suite à annulation dans alm'),
(35440, 'Suite à annulation dans alm'),
(35441, 'Suite à annulation dans alm'),
(35442, 'Suite à annulation dans alm'),
(35443, 'Suite à annulation dans alm'),
(35444, 'Suite à annulation dans alm'),
(35445, 'Suite à annulation dans alm'),
(35446, 'Suite à annulation dans alm'),
(35447, 'Suite à annulation dans alm'),
(35448, 'Suite à annulation dans alm'),
(35449, 'Suite à annulation dans alm'),
(35450, 'Suite à annulation dans alm'),
(35451, 'Suite à annulation dans alm'),
(35452, 'Suite à annulation dans alm'),
(35453, 'Suite à annulation dans alm'),
(35454, 'Suite à annulation dans alm'),
(35455, 'Suite à annulation dans alm'),
(35456, 'Suite à annulation dans alm'),
(35457, 'Suite à annulation dans alm'),
(35458, 'Suite à annulation dans alm'),
(35459, 'Suite à annulation dans alm'),
(35460, 'Suite à annulation dans alm'),
(35461, 'Suite à annulation dans alm'),
(35462, 'Suite à annulation dans alm'),
(35463, 'Suite à annulation dans alm'),
(35464, 'Suite à annulation dans alm'),
(35465, 'Suite à annulation dans alm'),
(35466, 'Suite à annulation dans alm'),
(35467, 'Suite à annulation dans alm'),
(35468, 'Suite à annulation dans alm'),
(35469, 'Suite à annulation dans alm'),
(35470, 'Suite à annulation dans alm'),
(35471, 'Suite à annulation dans alm'),
(35472, 'Suite à annulation dans alm'),
(35473, 'Suite à annulation dans alm'),
(35474, 'Suite à annulation dans alm'),
(35475, 'Suite à annulation dans alm'),
(35476, 'Suite à annulation dans alm'),
(35477, 'Suite à annulation dans alm'),
(35478, 'Suite à annulation dans alm'),
(35479, 'Suite à annulation dans alm'),
(35480, 'Suite à annulation dans alm'),
(35481, 'Suite à annulation dans alm'),
(35482, 'Suite à annulation dans alm'),
(35483, 'Suite à annulation dans alm'),
(35484, 'Suite à annulation dans alm'),
(35485, 'Suite à annulation dans alm'),
(35486, 'Suite à annulation dans alm'),
(35487, 'Suite à annulation dans alm');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(35488, 'Suite à annulation dans alm'),
(35489, 'Suite à annulation dans alm'),
(35490, 'Suite à annulation dans alm'),
(35491, 'Suite à annulation dans alm'),
(35492, 'Suite à annulation dans alm'),
(35493, 'Suite à annulation dans alm'),
(35494, 'Suite à annulation dans alm'),
(35495, 'Suite à annulation dans alm'),
(35496, 'Suite à annulation dans alm'),
(35497, 'Suite à annulation dans alm'),
(35498, 'Suite à annulation dans alm'),
(35499, 'Suite à annulation dans alm'),
(35500, 'Suite à annulation dans alm'),
(35501, 'Suite à annulation dans alm'),
(35502, 'Suite à annulation dans alm'),
(35503, 'Suite à annulation dans alm'),
(35504, 'Suite à annulation dans alm'),
(35505, 'Suite à annulation dans alm'),
(35506, 'Suite à annulation dans alm'),
(35507, 'Suite à annulation dans alm'),
(35508, 'Suite à annulation dans alm'),
(35509, 'Suite à annulation dans alm'),
(35510, 'Suite à annulation dans alm'),
(35511, 'Suite à annulation dans alm'),
(35512, 'Suite à annulation dans alm'),
(35513, 'Suite à annulation dans alm'),
(35514, 'Suite à annulation dans alm'),
(35515, 'Suite à annulation dans alm'),
(35516, 'Suite à annulation dans alm'),
(35517, 'Suite à annulation dans alm'),
(35518, 'Suite à annulation dans alm'),
(35519, 'Suite à annulation dans alm'),
(35520, 'Suite à annulation dans alm'),
(35521, 'Suite à annulation dans alm'),
(35522, 'Suite à annulation dans alm'),
(35523, 'Suite à annulation dans alm'),
(35524, 'Suite à annulation dans alm'),
(35525, 'Suite à annulation dans alm'),
(35526, 'Suite à annulation dans alm'),
(35527, 'Suite à annulation dans alm'),
(35528, 'Suite à annulation dans alm'),
(35529, 'Suite à annulation dans alm'),
(35530, 'Suite à annulation dans alm'),
(35531, 'Suite à annulation dans alm'),
(35532, 'Suite à annulation dans alm'),
(35533, 'Suite à annulation dans alm'),
(35534, 'Suite à annulation dans alm'),
(35535, 'Suite à annulation dans alm'),
(35536, 'Suite à annulation dans alm'),
(35537, 'Suite à annulation dans alm'),
(35538, 'Suite à annulation dans alm'),
(35539, 'Suite à annulation dans alm'),
(35540, 'Suite à annulation  dans ALM'),
(35541, 'Suite à annulation  dans ALM'),
(35542, 'Suite à annulation  dans ALM'),
(35543, 'Suite à annulation  dans ALM'),
(35544, 'Suite à annulation  dans ALM'),
(35545, 'Suite à annulation  dans ALM'),
(35546, 'Suite à annulation  dans ALM'),
(35547, 'Suite à annulation  dans ALM'),
(35548, 'Suite à annulation  dans ALM'),
(35549, 'Suite à annulation  dans ALM'),
(35550, 'Suite à annulation  dans ALM'),
(35551, 'Suite à annulation  dans ALM'),
(35552, 'Suite à annulation  dans ALM'),
(35553, 'Suite à annulation  dans ALM'),
(35554, 'Suite à annulation  dans ALM'),
(35555, 'Suite à annulation  dans ALM'),
(35556, 'Suite à annulation  dans ALM'),
(35557, 'Suite à annulation  dans ALM'),
(35558, 'Suite à annulation  dans ALM'),
(35559, 'Suite à annulation  dans ALM'),
(35560, 'Suite à annulation  dans ALM'),
(35561, 'Suite à annulation  dans ALM'),
(35562, 'Suite à annulation  dans ALM'),
(35563, 'Suite à annulation  dans ALM'),
(35564, 'Suite à annulation  dans ALM'),
(35565, 'Suite à annulation  dans ALM'),
(35566, 'Suite à annulation  dans ALM'),
(35567, 'Suite à annulation  dans ALM'),
(35568, 'Suite à annulation  dans ALM'),
(35569, 'Suite à annulation  dans ALM'),
(35570, 'Suite à annulation  dans ALM'),
(35571, 'Suite à annulation  dans ALM'),
(35572, 'Suite à annulation  dans ALM'),
(35573, 'Suite à annulation  dans ALM'),
(35574, 'Suite à annulation  dans ALM'),
(35575, 'Suite à annulation  dans ALM'),
(35576, 'Suite à annulation  dans ALM'),
(35577, 'Suite à annulation  dans ALM'),
(35578, 'Suite à annulation  dans ALM'),
(35579, 'Suite à annulation  dans ALM'),
(35580, 'Suite à annulation  dans ALM'),
(35581, 'Suite à annulation  dans ALM'),
(35582, 'Suite à annulation  dans ALM'),
(35583, 'Suite à annulation  dans ALM'),
(35584, 'Suite à annulation  dans ALM'),
(35585, 'Suite à annulation  dans ALM'),
(35586, 'Suite à annulation  dans ALM'),
(35587, 'Suite à annulation  dans ALM'),
(35588, 'Suite à annulation  dans ALM'),
(35589, 'Suite à annulation  dans ALM'),
(35590, 'Suite à annulation  dans ALM'),
(35591, 'Suite à annulation  dans ALM'),
(35592, 'Suite à annulation  dans ALM'),
(35593, 'Suite à annulation  dans ALM'),
(35594, 'Suite à annulation  dans ALM'),
(35595, 'Suite à annulation  dans ALM'),
(35596, 'Suite à annulation  dans ALM'),
(35597, 'Suite à annulation  dans ALM'),
(35598, 'Suite à annulation  dans ALM'),
(35599, 'Suite à annulation  dans ALM'),
(35600, 'Suite à annulation  dans ALM'),
(35601, 'Suite à annulation  dans ALM'),
(35602, 'Suite à annulation  dans ALM'),
(35603, 'Suite à annulation  dans ALM'),
(35604, 'Suite à annulation  dans ALM'),
(35605, 'Suite à annulation  dans ALM'),
(35606, 'Suite à annulation  dans ALM'),
(35607, 'Suite à annulation  dans ALM'),
(35608, 'Suite à annulation  dans ALM'),
(35609, 'Suite à annulation  dans ALM'),
(35610, 'Suite à annulation  dans ALM'),
(35611, 'Suite à annulation  dans ALM'),
(35612, 'Suite à annulation  dans ALM'),
(35613, 'Suite à annulation  dans ALM'),
(35614, 'Suite à annulation  dans ALM'),
(35615, 'Suite à annulation  dans ALM'),
(35616, 'Suite à annulation  dans ALM'),
(35617, 'Suite à annulation  dans ALM'),
(35618, 'Suite à annulation  dans ALM'),
(35619, 'Suite à annulation  dans ALM'),
(35620, 'Suite à annulation  dans ALM'),
(35621, 'Suite à annulation  dans ALM'),
(35622, 'Suite à annulation  dans ALM'),
(35623, 'Suite à annulation  dans ALM'),
(35624, 'Suite à annulation  dans ALM'),
(35625, 'Suite à annulation  dans ALM'),
(35626, 'Suite à annulation  dans ALM'),
(35627, 'Suite à annulation  dans ALM'),
(35628, 'Suite à annulation  dans ALM'),
(35629, 'Suite à annulation  dans ALM'),
(35630, 'Suite à annulation  dans ALM'),
(35631, 'Suite à annulation  dans ALM'),
(35632, 'Suite à annulation  dans ALM'),
(35633, 'Suite à annulation  dans ALM'),
(35634, 'Suite à annulation  dans ALM'),
(35635, 'Suite à annulation  dans ALM'),
(35636, 'Suite à annulation  dans ALM'),
(35637, 'Suite à annulation  dans ALM'),
(35638, 'Suite à annulation  dans ALM'),
(35639, 'Suite à annulation  dans ALM'),
(35640, 'Suite à annulation  dans ALM'),
(35641, 'Suite à annulation  dans ALM'),
(35642, 'Suite à annulation  dans ALM'),
(35643, 'Suite à annulation  dans ALM'),
(35644, 'Suite à annulation  dans ALM'),
(35645, 'Suite à annulation  dans ALM'),
(35646, 'Suite à annulation  dans ALM'),
(35647, 'Suite à annulation  dans ALM'),
(35648, 'Suite à annulation  dans ALM'),
(35649, 'Suite à annulation  dans ALM'),
(35650, 'Suite à annulation  dans ALM'),
(35651, 'Suite à annulation  dans ALM'),
(35652, 'Suite à annulation  dans ALM'),
(35653, 'Suite à annulation  dans ALM'),
(35654, 'Suite à annulation  dans ALM'),
(35655, 'Suite à annulation  dans ALM'),
(35656, 'Suite à annulation  dans ALM'),
(35657, 'Suite à annulation  dans ALM'),
(35658, 'Suite à annulation  dans ALM'),
(35659, 'Suite à annulation  dans ALM'),
(35660, 'Suite à annulation  dans ALM'),
(35661, 'Suite à annulation  dans ALM'),
(35662, 'Suite à annulation  dans ALM'),
(35663, 'Suite à annulation  dans ALM'),
(35664, 'Suite à annulation  dans ALM'),
(35665, 'Suite à annulation  dans ALM'),
(35666, 'Suite à annulation  dans ALM'),
(35667, 'Suite à annulation  dans ALM'),
(35668, 'Suite à annulation  dans ALM'),
(35669, 'Suite à annulation  dans ALM'),
(35670, 'Suite à annulation  dans ALM'),
(35671, 'Suite à annulation  dans ALM'),
(35672, 'Suite à annulation  dans ALM'),
(35673, 'Suite à annulation  dans ALM'),
(35674, 'Suite à annulation  dans ALM'),
(35675, 'Suite à annulation  dans ALM'),
(35676, 'Suite à annulation  dans ALM'),
(35677, 'Suite à annulation  dans ALM'),
(35678, 'Suite à annulation  dans ALM'),
(35679, 'Suite à annulation  dans ALM'),
(35680, 'Suite à annulation  dans ALM'),
(35681, 'Suite à annulation  dans ALM'),
(35682, 'Suite à annulation  dans ALM'),
(35683, 'Suite à annulation  dans ALM'),
(35684, 'Suite à annulation  dans ALM'),
(35685, 'Suite à annulation  dans ALM'),
(35686, 'Suite à annulation  dans ALM'),
(35687, 'Suite à annulation  dans ALM'),
(35688, 'Suite à annulation  dans ALM'),
(35689, 'Suite à annulation  dans ALM'),
(35690, 'Suite à annulation  dans ALM'),
(35691, 'Suite à annulation  dans ALM'),
(35692, 'Suite à annulation  dans ALM'),
(35693, 'Suite à annulation  dans ALM'),
(35694, 'Suite à annulation  dans ALM'),
(35695, 'Suite à annulation  dans ALM'),
(35696, 'Suite à annulation  dans ALM'),
(35697, 'Suite à annulation  dans ALM'),
(35698, 'Suite à annulation  dans ALM'),
(35699, 'Suite à annulation  dans ALM'),
(35700, 'Suite à annulation  dans ALM'),
(35701, 'Suite à annulation  dans ALM'),
(35702, 'Suite à annulation  dans ALM'),
(35703, 'Suite à annulation  dans ALM'),
(35704, 'Suite à annulation  dans ALM'),
(35705, 'Suite à annulation  dans ALM'),
(35706, 'Suite à annulation  dans ALM'),
(35707, 'Suite à annulation  dans ALM'),
(35708, 'Suite à annulation  dans ALM'),
(35709, 'Suite à annulation  dans ALM'),
(35710, 'Suite à annulation  dans ALM'),
(35711, 'Suite à annulation  dans ALM'),
(35712, 'Suite à annulation  dans ALM'),
(35713, 'Suite à annulation  dans ALM'),
(35714, 'Suite à annulation  dans ALM'),
(35715, 'Suite à annulation  dans ALM'),
(35716, 'Suite à annulation  dans ALM'),
(35717, 'Suite à annulation  dans ALM'),
(35718, 'Suite à annulation  dans ALM'),
(35719, 'Suite à annulation  dans ALM'),
(35720, 'Suite à annulation  dans ALM'),
(35721, 'Suite à annulation  dans ALM'),
(35722, 'Suite à annulation  dans ALM'),
(35723, 'Suite à annulation  dans ALM'),
(35724, 'Suite à annulation  dans ALM'),
(35725, 'Suite à annulation  dans ALM'),
(35726, 'Suite à annulation  dans ALM'),
(35727, 'Suite à annulation  dans ALM'),
(35728, 'Suite à annulation  dans ALM'),
(35729, 'Suite à annulation  dans ALM'),
(35730, 'Suite à annulation  dans ALM'),
(35731, 'Suite à annulation  dans ALM'),
(35732, 'Suite à annulation  dans ALM'),
(35733, 'Suite à annulation  dans ALM'),
(35734, 'Suite à annulation  dans ALM'),
(35735, 'Suite à annulation  dans ALM'),
(35736, 'Suite à annulation  dans ALM'),
(35737, 'Suite à annulation  dans ALM'),
(35738, 'Suite à annulation  dans ALM'),
(35739, 'Suite à annulation  dans ALM'),
(35740, 'Suite à annulation  dans ALM'),
(35741, 'Suite à annulation  dans ALM'),
(35742, 'Suite à annulation  dans ALM'),
(35743, 'Suite à annulation  dans ALM'),
(35744, 'Suite à annulation  dans ALM'),
(35745, 'Suite à annulation  dans ALM'),
(35746, 'Suite à annulation  dans ALM'),
(35747, 'Suite à annulation  dans ALM'),
(35748, 'Suite à annulation  dans ALM'),
(35752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n'),
(35751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nDéplacement SOPHIA'),
(35754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(35755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(35757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(35760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n17.20.0'),
(35761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\n17.20.0'),
(35766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n'),
(35767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\ninstallation 5.4.1 boutique digishop A suite correction ANNO sur int 81 et int 21 mise à jour modop, modification hazelcast nouvelle map pour digishopa_captcha'),
(35769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n-Mise à jour test Postman\r\n-Reexécution compagne de test freedom 2.8.11\r\n-Exécution des de test de réconciliation '),
(35773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n'),
(35774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\ndev blocs Falcon PMS : propagation des cookies TMS, RTL en fonction de la machine cible selon utilisation de tunnel (localhost) ou acces direct a une machine\r\nMise à jour des tables de routage et fichier json d\'environnement.\r\nAjout d\'un bloc d\'appel de service PMS pour la validation de souscription d\'un joueur\r\nsupport implémenteurs sur problème d\'utilisation de scripts'),
(35798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\ndev API mise au point de la propagation des cookies pour TMS, RTL, PMS \nAjout d\'un bloc FalconUSR pour le service POSTAccounts\ncreation de tunnel de test sur INT1\nqualification et livraison du script de scenarisation PMS'),
(35777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n- Daily\n- Qualification PSEL Amex 2.0.2\n- Modif catalogue (liveRefresh)\n- ANO055020 et ANO055042'),
(35851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne+réunion sur impact sugar avec M.Anne'),
(35799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[Digishops] Qualification du correctif des liens FAQ sur les digishop A et U\n[Convergence] Retour sur nos attentes des prochaines livraisons Drupal/Symfony\n[API Convergence] Ecriture test postman service \"content/1.0/legal-notices\"\n[FAQ] Investigation sur l\'incident PROD sur la duplication des PJs envoyés\n[PTAB] Investigation sur un problème d\'affichage d\'image de jeu contribué sur INT42'),
(35793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nEcriture de cas de test pour RTG Loto2016. (Palier MOKA)'),
(35785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nTraitement de :\r\nPHP-741 [ANO049933] [MOBI] Maj swagger pour l\'objet jackpotCommu\r\nPHP-1007 MOD013105 Activation des logs hors du mode DEBUG'),
(35786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nmaladie'),
(35787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nmaladie'),
(35788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nmaladie'),
(35789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nCorrections :\r\nPHP-960 [ANO047928] [MRCD] Appel voucher/refresh avec paramètres absents : 400 Bad Request\r\nPHP-964 [ANO047351] [MRCD] Code retour demandé 400 en cas de paramètre absent sur le voucher/check\r\nPHP-965 [ANO047919] [MRCD] Appel voucher/check avec paramètres absents : 400 Bad Request\r\nPHP-961 [ANO047920] [MRCD] voucher/check n\'autoriser que la méthode GET\r\nPHP-966 [ANO047929] [MRCD] voucher/refresh n\'autoriser que la méthode GET'),
(35790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n[SPEED UP] Tests de qualification, ARJEL et ETL des nouveaux sports livrées dans BUILD (ABP): 14.1.32.1-SNAPSHOT 33 sur INT8\r\n\r\n• Biathlon (Pré-match)\r\n• Ski Alpin (Pré-match)\r\n• Ski de Fond (Pré-match)\r\n• Snowboard (Pré-match)\r\n• Ski Freestyle (Pré-match)\r\n• Bobsleigh (Pré-match)\r\n• Luge (Pré-match)\r\n• Short-track (Pré-match)\r\n• Patinage de vitesse (Pré-match)\r\n• Skeleton (Pré-match)\r\n• Curling (Pré-match)\r\n• Snooker (Pré-match & Live)\r\n• Foot Americain (Pré-match & Live)\r\n• Baseball (Pré-match & Live)\r\n\r\nVérification et création des nouvelles anomalies :\r\n\r\nANO055000 - [SPEED UP] [BIATHLON] No Head to Head Betradar mapping – Majeure / Non Urgente\r\nANO055001 - [SPEED UP] [ALPINE SKIING] No Head to Head Betradar mapping - Majeure / Non Urgente\r\nANO055004 - [SPEED UP] [CROSS COUNTRY SKIING] No Head to Head Betradar mapping - Majeure / Non Urgente\r\nANO055007 - [SPEED UP] [FREESTYLE SKIING] No Head to Head Betradar mapping - Majeure / Non Urgente\r\nANO055008 - [SPEED UP] [SNOWBOARD] No Head to Head Betradar mapping - Majeure / Non Urgente\r\nANO055010 - [SPEED UP] [CURLING] Missing Betradar mapping - Majeure / Non Urgente\r\nANO055013 - [SPEED UP] [SHORT-TRACK SPEED SKATING] Missing Betradar mapping - Majeure / Non Urgente\r\nANO055014 - [SPEED UP] [SPEED SKATING] Missing Betradar mapping - Majeure / Non Urgente\r\nANO055015 - [SPEED UP] [BOBSLEIGH] Missing Betradar mapping - Majeure / Non Urgente\r\nANO055016 - [SPEED UP] [LUGE] Missing Betradar mapping - Majeure / Non Urgente\r\nANO055018 - [SPEED UP] [SKELETON] Missing Betradar mapping - Majeure / Non Urgente\r\nANO054947 - [SPEED UP] [Ski Alpin] [T] Rank Events displayed twice in Event Creator - Majeure / Non Urgente\r\nANO054946 - [SPEED UP] [Cross-Country] [T] Rank Events displayed twice in Event Creator - Majeure / Non Urgente\r\nANO054855 - [SPEED UP] [SNOOKER] No live score update in Block \"Paris en Direct\" (Front) – Critique / Urgent\r\n\r\n'),
(35791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[V16] Tests de NREG V16 sur INT0\r\nHOST:           agpadmi01\r\nCMS:            fdj_cms-master-175\r\nABP:            16.5.1-SNAPSHOT 235\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186-SNAPSHOT\r\n\r\n[V16] Mise `a jour des cas de tests V16 dans ALM '),
(35792, 'en plus des étapes ci-dessus :\r\n  * modification des web.xml pour qu\'il soit en 2.5\r\n  * modification des bower.json : pb de syntaxe\r\n  * suppression des depandance maven dans le repo maven'),
(35852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec M.Anne+ Support recette utilisateur'),
(36007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nSAFERGAME : Qualification ANO054386+ Création ANO055076+ ANO055135'),
(35801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n'),
(35802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n- Daily\r\n- Qualif wspoenl et vitan speedup pour mep du 14\r\n- Qualif amex'),
(35806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nmise à jour de scrpits'),
(35807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nmise à jour de scrpits'),
(35808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nmise à jour de scrpits'),
(36079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nSplit v14 et v16'),
(36080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nSplit v14 et v16'),
(35811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n'),
(35815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\ninstalation sous Windows de geoserver et PostGIs'),
(36426, 'Vu avec CARRIERE, BENJAMIN <benjamin.carriere@atos.net> (qui a lui même galere avec Louis)\r\n\r\nLe GitLab est accessible depuis la terre entière, MAIS pas depuis la DMZ Toulouse.\r\nA priori c\'est à âuse du port utilisé 8888, qui filtré par le proxy de toulouse ...\r\n\r\nBref, Benjamin a fait une demande d\'ouverture de port le 21/12/2017'),
(35817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\nTest différentes confguration...'),
(35818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n'),
(35819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nInstallation Q GIS'),
(35820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\ntransformation DXF en KML'),
(35821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nAnalusae des rasters avec QGis, integration dasn PostGis redaction question aux GPMM'),
(35823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nRédaction du SGA : Sommaire et chapitre + partie import fichier'),
(35824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nRédaction rappel notion et concepts SIG'),
(35825, 'Les fichiers sont dans /tmp/test_ldap.\r\n\r\nLes LDIFs sont dans ldif_peuplement et la sauvegarde du ldap est dans save_ldap.'),
(35826, 'On ne peut pas parametriser simplement le namespace, sans réutiliser les ants pour transformer des .java.template vers du .java.\r\nComme je ne trouve aucun .java.template cela va necessité des tests avec ant, puis avec maven quand on se sera debarassé d\'ant :D\r\n\r\nD\'après mes pti lecture on the net, les namespace n\'ont aucune valeur, c\'est juste l\'équivalent d\'un package Java pour éviter d\'avoir des conflits quand on définis des éléments de même nom (suffit de les mettres dans deux namespaces différents).\r\n\r\nDu coups ca me parrais beaucoup de travail pour changer un simple tag qui n\'a aucune valeur fonctionnelle & technique.\r\n\r\n\r\nhttps://www.liquid-technologies.com/xml-schema-tutorial/xsd-namespaces : \r\nThe value of targetNamespace is simply a unique identifier, typically a company may use their URL followed by something descriptive to qualify it.\r\n\r\nIn principle the namespace has no meaning, but some companies have used the URL where the schema is stored as the targetNamespace, and so some XML parsers will use this as a hint path for the schema:\r\n   targetNamespace=\"http://www.microsoft.com/CommonTypes.xsd\"\r\n\r\nHowever, the following would be equally valid:\r\n   targetNamespace=\"my-common-types\"'),
(35827, 'Le webService expose une seule méthode \n	InformationsMandat getInfoMandatParIdECEtIdMandat(String identifiant, String idMandat)\n\nLa reponse de type InformationsMandat contiens sur information suivantes : idTechniqueEC, nom, prenom, email, siretCabinet,  raisonSocialeCabinet,uidAssure,envoieNotification.'),
(35902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU batman2017 v1.0.4'),
(35836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2 + TR3'),
(35904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'WALKTHECUBE2017 v1.0.6\''),
(35832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n'),
(35833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n'),
(35903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'PICKMATCH2018 v1.0.2\''),
(35837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2 + TR3'),
(35838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nFreedom : SID Client - Analyse canaux de distribution Univers BAFIM + BEAS'),
(35839, 'Vu avec l\'équipe Cali le Nexus est sur l\'url : http://172.30.152.207:8081/nexus/\r\nadmin / admin123 (uniquement nécessaire pour deployer des version release de PCA)\r\n\r\n\r\nLaurent 21/12/2017 : Nexus est directement accessible depuis Sophia-Antipolis sur la même URL que les postes docker !\r\n==> gogo mettre à jours vos settings.xml & pom.xml des projets PCA\n\n'),
(35840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nGAMIFICATION : Analyses et remontées d\'erreur à Dgital.'),
(35841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nGamification : Investigation sur doublons.'),
(35944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nOLC 3.2 : SID Commercial - FDL018669'),
(35843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMCO : Débordements suite à run tardif de la veille - reprise des données le matin.'),
(35844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nGamification : Reprise des fichiers non chargés sur novembre et décembre.'),
(35845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nMOKA : SID Client - PV Qualification.'),
(35846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nOLC 3.2 : PV qualification + livraison HIA'),
(35848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nEcriture de cas de test pour Falcon USR. (Palier MOKA). Problème avec le composant ubo sur les environnements INT8 INT9. Ecriture de cas de test pour RTG Euromillions (Palier MOKA). Lancement des campagnes d\'acceptance Compte Contact sur Falcon USR 2.8.12 sur INT8'),
(35850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nDemo convergence\n[API Convergence] Ecriture postman service \"content/1.0/legal-notices\" (suite)\n[Digishop Publique] Test acceptance 1.7.2 + qualification ANO055074'),
(35853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nLivraison 17.5.90'),
(35858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n18.0.0'),
(35855, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ndevis'),
(35859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nMCO TR 1 2 3\r\nMOKA'),
(35860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nMCO TR 1 2 3\r\nMOKA'),
(35861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nANVCTX'),
(35862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMCO TR 1 2 3\r\nMOKA'),
(35857, 'Une recherche sur tous les projet RSI donne une seule correspondance : \r\n\r\n C:\\RSI\\PCA_PT_ASSURE\\InternalTools\\qi\\espacePerso\\espacePerso_QF3.properties:\r\n     5 smtp.host=172.16.31.250\r\n     6 ptassures.espace.webservice.url=http://PCompteAssure-CAS-QF3.ilc.eic.intra:8080/PT_Assures_WebService/PT_Assures_WebService\r\n     7: mail.mailer=noreply@rsi.fr\r\n     8 domaine.rsi = .rsi.fr\r\n     9 '),
(35864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nMCO TR 1 2 3\nMOKA'),
(35865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nMCO TR 1 2 3\r\nMOKA'),
(35867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\ndaily meeting (45 min)\r\nInvestigation sportail, la variable media_base_uri du fichier parameters.yml ne fonctionne pas. Echange avec le techlead (1h) --> La solution proposée ne me convient pas.\r\nRéunion avec le back et la recette par rapport à un état des lieux sur les composants SPORTAIL, WPSEL et WCART (2h).\r\nAtelier avec le back par rapport aux parametres passés lors des appels métals (2h)'),
(35868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nDaily meeting (45min)\r\nSupport application native PSEL IOS.\r\nTest de l\'appel lvs-api/ept pour le sportail --> deux différences entre les valeurs retournées par le composant WPSEL et le SPORTAIL.\r\nInstallation des versions WCART 1.0.8 et WPSEL 1.0.7 sur INT0.\r\nRevérification des différents appels permettant d\'afficher l\'offre dans WPSEL (Echange avec la techlead Webapps).--> Point à creuser.\r\nMaj test acceptance WPSEL --> l\'offre auto n\'est pas correcte, pas de refresh, pas de variation de côte...\r\nMaj test acceptance SPORTAIL (parti CMS).'),
(35869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nA faire : acceptance WPSEL, SPORTAIL sur INT0.\r\nVérification rapide acceptance WCART.\r\nMaj environnement INT01 en version MOKA (edwan + contrôle cloud)\r\nAvancement test ano SPORTAIL.'),
(35870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nNormalement des réunions (Test back, perf, daily meeting) ...'),
(35871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nAnalyse pour Evo Fluxy'),
(35872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nanalyse retours VA  Ano V1.14.0'),
(36462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nAVV LR ETUDES LOT 3'),
(35875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nExtraction des incidents'),
(35876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(35877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nQualification ANO054407 [RDI 1.1] Erreur sur le script migr_teco_tvoi_tciv.sql'),
(35878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nDaily webapp - daily stream app mobile hasard\r\nContinuité test MRCD pour redaction nouveau service MRCD\r\nTest effectué avec equipe josé en //\r\nRecuperation des flux MRCD mis a dispo sous confluence'),
(35879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nDaily webapp - daily stream app mobile hasard\r\nTest appli mobile 1.5 IOS et Android pour soumission Apple et Google\r\nTest appli mobile 1.6 IOS et Android pour nouveau jeux AMIGO\r\nRecuperation de reçu pour developpement du reçu check, des resultats etc...'),
(35880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nDaily webapp - daily stream app mobile hasard\r\nTest appli mobile 1.5 IOS et Android pour soumission Apple et Google\r\nTest appli mobile 1.6 IOS et Android pour nouveau jeux AMIGO\r\nRecuperation de reçu pour developpement du reçu check, des resultats etc...'),
(35881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nTest appli mobile 1.5 IOS et Android pour soumission Apple et Google\r\nTest appli mobile 1.6 IOS et Android pour nouveau jeux AMIGO\r\n'),
(35882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nDaily webapp - daily stream app mobile hasard\r\nReunion MRCD => Dayend avec dev MRCD, Appli MOBILE et equipe boulogne'),
(35883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nDaily webapp - daily stream app mobile hasard\r\nTest appli mobile 1.5 IOS et Android pour soumission Apple et Google\r\nTest appli mobile 1.6 IOS et Android pour nouveau jeux AMIGO\r\nRecuperation de reçu pour developpement du reçu check, des resultats etc...'),
(35884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nImplémentation cas de test MIFY\r\n'),
(35885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nImplémentation cas de test MIFY\r\n'),
(35886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nCampagne NonReg INT3'),
(35887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n 0.8 Jour : Implémentation cas de test MIFY\r\n 0.2 Jour : Campagne NonReg INT8 ABP 14.1.32.1-SNAPSHOT 33 '),
(36040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nImplémentation cas de test MIFY'),
(35893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nCampagnes de tests d\'Acceptance API & DB FALCON USR 2.8.12 sur INT8'),
(35890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nModification des services pour FALCON USR 2.9\r\n Réunion Joueurs Arjel / Vie des environnements + CR'),
(35891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nModification des services pour FALCON USR 2.9\r\n Réunion Equipe'),
(35892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nQualification ANO sur les service Financial Deposit sur INT7 et INT1\r\nAnalyse pb  Financial Deposit sur INT1\r\nCampagnes de tests d\'Acceptance API & DB : Falcon USR-2.9 sur INT 7 après installation du BAN 1.4.0-1\r\nCampagnes de tests d\'Acceptance API & DB FALCON USR 2.8.12 sur INT9 => stoppée suite à erreur 404\r\n'),
(35894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nDIGISHOP-I : tests POSTMAN'),
(35895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nDIGISHOP-I : tests POSTMAN'),
(35896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nDIGISHOP-I : tests POSTMAN'),
(35897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nDIGISHOP-I : tests POSTMAN'),
(35898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nModification bouchon ajout génération fichiers FL_DATAS \r\nTests de chargement des fichiers FL_DATA générés par les loaders'),
(35899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nModification Bouchon pour prise en compte de l\'ancien chargement (génération fichier SID pour loader) pour permettre des tests sur ancien chargement et nouveau chargement avec données identiques\r\ntests installation de la FDL018566'),
(35901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n-'),
(35905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n-'),
(35908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Resettlement + EKO + Annulation) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(35909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Resettlement + EKO + Annulation) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(35910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Resettlement + EKO + Annulation) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(35911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Resettlement + EKO + Annulation) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(35912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Resettlement + EKO + Annulation) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(35913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235'),
(35914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235'),
(35915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235'),
(35916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235'),
(35917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nExécution campagne 16.5.1-SNAPSHOT 235'),
(35918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nPostMan - convergence Front'),
(35920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nPostMan - convergence Front'),
(35921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nDemo convergence Front \r\nPostMan - convergence Front'),
(35922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nfin du modop ajustement suite livraison en 5.4.1 de boutiques A mise au point avec devs des choix pour le modop suite ano ITF '),
(35923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nPostMan - convergence Front\r\n'),
(35924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n[V16] Tests de NREG V16 sur INT0\r\nHOST: agpadmi01\r\nCMS: fdj_cms-master-175\r\nABP: 16.5.1-SNAPSHOT 235\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.186-SNAPSHOT\r\n\r\n[V16] Mise `a jour des cas de tests V16 dans ALM'),
(35925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nPostMan - convergence Front'),
(36074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n[V16] Tests de NREG V16 sur INT0\nHOST: agpadmi01\nCMS: fdj_cms-master-175\nABP: 16.5.1-SNAPSHOT 235\nARGUS: 14.1-125\nPLATFORM: 1.0.186-SNAPSHOT\n\n[V16] Mise `a jour des cas de tests V16 dans ALM\n\n[SPEED UP] Tests de Qualif Sports d\' hiver, Snooker, Baseball et Foot US sur nouvelle version (INT2)\nHOST:           agpadmi21\nSITE:           fdj2-origin_release_16-103\nABP:            14.1.32.2-SNAPSHOT 37\nMOBILE:         origin_release_8\nARGUS:          14.1-125\nPLATFORM:       1.0.184'),
(35927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\ninstallation 5.4.2 sur int 81 et int 21 avec en parallèle monté de la version usr . authent ko problème de version usr livraison en parallèle 5.4.3 digiA + 1.7.2 digi P rollback des version usr mise en place de la 5.4.3 sur int 21'),
(35928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nAdaptation des pillars int7 / int1 pour BOX spécifique palier 2.9\r\nVariabilisation des pillars pms sur int1\r\nTransfert de connaissance POSTMAN spécifique IF'),
(35929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nAnalyse des scripts Postman PMS\r\nEtude et analyse de SALT'),
(35930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\ncréation nouveau modop pour correction mep ajout des nouveau flag 5.4.3 mise en place des modif pour IFUrl => IFDomain mise en place de la 5.4.3 sur int81 pour acceptance. échange avec HIA pour contrôle  que l\'on sois bien iso prod'),
(35931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nRéunion de présentation Teams\r\nInstallation d\'USR sur INT2'),
(35932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nEtude et analyse de SALT'),
(35933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nEtude et analyse de SALT'),
(36246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 attente // SIDC TR1 Bloqué en attente d\'installation // SIDC TR2 OK // SIDC TR3 En attente'),
(35937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nNon-reg sur les composants Freedom iso-prod avec la boutique Digishop-u avec le flag de désactivation du TPA ; Doc de présentation de Freedom TPA'),
(35938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nTests acceptance VITAN 6.0.2 (FDL018738) -> OK ; Investigation problème session sur tablette détaillant ; installation iso-prod sur int8'),
(35939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nTest sur ANO052352 : [PDV][IOS] Mauvaise prise en compte de l\'environnement dans l\'appel mapi/utils/date -> toujours d\'actualité dans la version 5.0.018 ; Tests sur la tablette détaillant -> solution pour pallier au problème en attendant un dev niveau tablette ; Test sur USR 2.8.12 pour une ano critique sur la tablette'),
(36070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nCréation de l\'ANO055130 : [AMEX][WPSEL][F] Flèche de changement de côte par défaut non transparente ; Tests avec Marie Jean-Pierre sur l\'ANO055011 ; Tests acceptance WPSEL 1.0.7 -> offre auto insuffisante pour pouvoir faire les tests ; Création de l\'ANO055148 : [AMEX][WPSEL][F] Couleur des flèches de changement de côte inversées ; Rollback sur la configuration du RETAIL sur INT2 ; tests acceptance WPSEL 1.0.7 -> 1 seul test en fail sur lequel j\'ai créé l\'ANO055148'),
(36780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nFDL018682 pour WPSEL 1.0.7 accepté (malgré un test fail mais sur lequel j\'ai créé l\'ANO055148) ; Préparation du modop pour la MEP avec la configuration de digishopR permettant de contourner le problème de déconnexion intempestive de la session opérateur'),
(35942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[V16] Tests de NREG V16 sur INT0\r\nHOST: agpadmi01\r\nCMS: fdj_cms-master-175\r\nABP: 16.5.1-SNAPSHOT 235\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.186-SNAPSHOT\r\n\r\n[V16] Mise `a jour des cas de tests V16 dans ALM'),
(35943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nMOKA : SID Client FDL018732, FLD018734, FDL018735 + ETL Client FDL018736'),
(35945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3'),
(35947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nPOINT PRESENTATION GAMIF SLIDES.\nRecréation d\'une prise en charge de schémas Swagger dans Wiremock.'),
(35948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nPoint de synchro IF / GAMIF / JEUX. Dev VuGen - Point hebdo.\r\nAnalyse de l\'existant UTA et impact de l\'évolution pour UTAR.'),
(35949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nPoint Avancement UTAR. Réunion GAMIF. Gouvernance Tests Front - Outillages - Automatisation. Génération du schéma Roboframework en  classes JAXB pour parser les fichiers XML générés. Finalisation de la présentation GAMIF de Vendredi.'),
(35950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nDémo jenkins / ALM UTAR. Définition et implémentation de l\'évolution UTAR pour Roboframework.'),
(35951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nExécution des campagnes de tests du palier MOKA sur INT8 (USR 2.8.11).'),
(35952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nPrise de connaissances sur le projet ROMA.\r\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).'),
(35953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nPrise de connaissances sur le projet ROMA.\r\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).'),
(36554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.'),
(35955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nTraitement des anomalies :\r\nPHP-959 [ANO045115] [MRCD] logs d\'erreurs incorrects lorsque le service JOSE ne réponds pas\r\nPHP-963 [ANO045127] [MRCD] PHP Warning: json_encode(): Invalid UTF-8\r\nPHP-916 [ANO052120] [PDV] - publication interstitiel impossible pour site et application mobile ParionsSport point de vente'),
(35956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nFinalisation de l\'évolution :\r\nPHP-650 Fichier Plat - montant des jackpot tirage'),
(35957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nRéunion hebdo\n'),
(35958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION IF \r\nUSR 2.8.11-1-MTR 1.10.1-1 INT2 IF 2.1.3-1\r\nJEU DE RÉFÉRENCE MONSTER WIN '),
(35959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nTraitement des anomalies :\r\nPHP-911 [ANO052361] [PARIONSSPORT PDV] certains résultats ne sont pas exportés vers les bases sqlite\r\nPHP-997 [ANO053814] [Loto] L\'image du partage Emoji n\'est pas la bonne'),
(35960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nCréation support de présentation GAMIF pour IQ\r\nSlides Appels FRONT du jeu les clefs du trésor \r\nPrésentation à l\'arlequin le 15/12'),
(35961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION GAMIFICATION\r\nUSR 2.8.11-1-GAM 1.0.10-1-MTR 1.9.5-1 INT8\r\nJEU : LES CLEFS DU TRESOR '),
(35962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION GAMIFICATION\r\nUSR 2.8.11-1-GAM 1.0.10-1-MTR 1.9.5-1 INT8\r\nJEU : LES CLEFS DU TRESOR'),
(35963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n-Mise en place de la startegie d\'accompagenement de projet \r\n- Bilan sur la ùise en place des tests autoùatiques IHm sur le stream convergence des fronts '),
(35966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nMoka : Exécution + bilan du RUN sur USR2.8.11'),
(35965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nROMA : analyse documentaire - Identification des sujets à couvrir'),
(35967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nCAMPAGNE DE QUALIFICATION IF 2.1.3-1\r\nJEU PICK AND MATCH INT02\r\n'),
(35968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nRoma : Préparation environnement ALM (referentiel USR 2.9) + réunion organisation suivi avancement + Initialisation collection postman pour authentifier les joueurs retail'),
(35969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nROMA : \r\n0,5 : Initialisation collection postman pour authentifier les joueurs Retail\r\n0,5 : Certification _ Indentification des cas de tests dans ALM'),
(35970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nRoma : Certification _ Indentification des cas de tests dans ALM'),
(35971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n-point avec Moustapha sur l\'avancement des tests automatique et la strategie des tests\r\n- Point avec l\'equipe de convergence de fronts sur les tests de vies '),
(35972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nBloc FalconPMS : correctif pour éviter les conflit sur les parametre LR pour authent  compte joueur et opérateur\r\nAjout d\'attribut dans le script de scenarisation pour inscription et parametrage équipements\r\nqualification et relivraison script et API'),
(35973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n- Point avancement UTAR\r\n- Definition du perimetre pour le developpement des tests auto \r\n'),
(36048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nparamétrage des base tms et rtl, création de requete pour récupérer les infos d\'equipement sur un opérateur\nValidation des modifs API sur bigNumber et fopen'),
(35976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n-developpement des tests auto IHM partie MAG'),
(35978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n-developpement des tests auto IHM partie MAG'),
(35979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(35980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(35981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(35982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(35983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(35992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nvie des environnements : Roma'),
(35993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nvie des environnements : Roma'),
(35994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nIndustrialisation jenkins / alm / robofrmawork'),
(36104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n- Daily\n- Qualif amex android\n- ANO055139 et ANO055147'),
(35988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nFormation truclient'),
(35991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nExécution plans de test auto Batch campagne Roma\nFormation plans de test auto Batch'),
(35995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nImplémentation de tests auto ARJEL.  Mise à jour du référentiel de test.'),
(35996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nImplémentation de tests auto ARJEL.  Mise à jour du référentiel de test.'),
(35997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nImplémentation de tests auto ARJEL.  Mise à jour du référentiel de test.'),
(36093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nImplémentation de tests auto ARJEL.  Mise à jour du référentiel de test.'),
(36092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nImplémentation de tests auto ARJEL.  Mise à jour du référentiel de test.'),
(36558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nROMA : Ecriture tests BOX Certification'),
(36002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\nsupport CDS Atos sport'),
(36006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nModification bouchon ajout génération fichiers FL_DATAS\r\n[COHERIS] Avancement des sujets'),
(36004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-28  (Do not remove this line) -->\nsupport CDS Atos sport'),
(36013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons du jour avec IBM');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(36011, 'L\'action \" /mes-cotisations/deconnexion.do\"  ne se retrouve pas de notre côté : \r\n\r\nSearching 15900 files for \"deconnexion\"\r\n\r\nc:\\RSI\\PCA_GEST_ASSUR\\1_titulaire\\doc\\SFD\\SFD_CA_Outils Administration du Compte Assure_V2maj7.doc:\r\n    <binary>\r\n\r\nc:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\doc\\JPT\\Dossier_de_tests_PortailComptesAssures_v0maj3.doc:\r\n    <binary>\r\n\r\nc:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\doc\\JPT\\FicheTestAMOA_Deconnexion_v1maj1.doc:\r\n    <binary>\r\n\r\nc:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\appliweb\\src\\main\\webapp\\jsp\\administration\\mes-donnees-personnelles\\menuListeService.jsp:\r\n    3  <%@ page pageEncoding=\"UTF-8\"%>\r\n    4  \r\n    5: <!-- Menu Deconnexion -->\r\n    6  <jsp:include page=\"/jsp/administration/mes-donnees-personnelles/infoConnexion.jsp\" />\r\n    7  \r\n\r\nc:\\RSI\\PCA_PT_CEC\\1_titulaire\\modules\\ec-web\\src\\main\\java\\fr\\rsi\\cec\\client\\authentification\\actions\\LoginAction.java:\r\n   36  			LOGGER.warn(\"L\'identifiant de l\'utilisateur est nul !\");\r\n   37  \r\n   38: 			return ConstantesPresentation.DECONNEXION_CAS_REDIRECT;\r\n   39  		}\r\n   40  		\r\n   ..\r\n   83  			LOGGER.error(\"Une erreur fonctionnelle est survenue lors de l\'authentification de l\'utilisateur \" + identifiant, e);\r\n   84  			\r\n   85: 			return ConstantesPresentation.DECONNEXION_CAS_REDIRECT;\r\n   86  		}\r\n   87  		\r\n\r\nc:\\RSI\\PCA_PT_CEC\\1_titulaire\\modules\\ec-web\\src\\main\\java\\fr\\rsi\\cec\\client\\commun\\ConstantesPresentation.java:\r\n   10  	private ConstantesPresentation() {}\r\n   11  	/** Redirect vers la déconnexion du CAS. */\r\n   12: 	public static final String DECONNEXION_CAS_REDIRECT = \"deconnexion.cas\";\r\n   13  	/** Redirect vers les CGU. */\r\n   14  	public static final String CGU_HOME_REDIRECT = \"cgu.home\";\r\n\r\nc:\\RSI\\PCA_PT_CEC\\1_titulaire\\modules\\ec-web\\src\\main\\resources\\struts\\secure.xml:\r\n   26  			<result name=\"tiles.pageErreur\" type=\"tiles\">.pageErreur</result>\r\n   27  			<result name=\"login.cas\" type=\"redirect\">https://www.ma.secu-independants.fr/</result>\r\n   28: 			<result name=\"deconnexion.cas\" type=\"redirect\">https://www.ma.secu-independants.fr/authentification/logout</result>\r\n   29  		</global-results>\r\n   30  	\r\n\r\nc:\\RSI\\PCA_PT_CEC\\1_titulaire\\modules\\ec-web\\src\\main\\resources\\struts\\secure.xml.template:\r\n   26  			<result name=\"tiles.pageErreur\" type=\"tiles\">.pageErreur</result>\r\n   27  			<result name=\"login.cas\" type=\"redirect\">https://@@SERVEUR_URL@@/</result>\r\n   28: 			<result name=\"deconnexion.cas\" type=\"redirect\">https://@@SERVEUR_URL@@/@@path.castgc@@/logout</result>\r\n   29  		</global-results>\r\n   30'),
(36012, 'De notre côté une deconnection correspond à l\'action struts fr.rsi.ptassures.coordination.web.authentification.LogoutAction\r\n\r\nElle est mappé dans le secure.xml (sous partie de la conf de struts) :  Voir la capture d\'écran plus bas pour l\'appel de cet action code côté IHM\r\n		<action name=\"logout\">\r\n			<result type=\"redirectAction\">authentification_Logout</result>\r\n		</action>\r\n		<!-- *********************** Fin GAP / DEFET 877 *********************** -->\r\n		<action name=\"authentification_Logout\"\r\n			class=\"fr.rsi.ptassures.coordination.web.authentification.LogoutAction\"\r\n			method=\"execute\">\r\n			<result name=\"success\" type=\"redirect\">\r\n				https://www.ma.secu-independants.fr/administrateurs/Shibboleth.sso/Logout?return=https://www.ma.secu-independants.fr/authentification/logout\r\n			</result>\r\n		</action>\r\n\r\n Ci-dessous la version template du même fichier : \r\n         <action name=\"auth\">\r\n             <result type=\"redirectAction\">auth_Logout</result>\r\n         </action>\r\n         <!-- *********************** Fin GAP / DEFET 877 *********************** -->\r\n         <action name=\"authentification_Logout\"\r\n             class=\"fr.rsi.ptassures.coordination.web.authentification.LogoutAction\"\r\n             method=\"execute\">\r\n             <result name=\"success\" type=\"redirect\">\r\n                 https://@@espace.perso.serveur.name@@/administrateurs/Shibboleth.sso/Logout?return=https://@@espace.perso.serveur.name@@/@@path.castgc@@/logout\r\n             </result>\r\n         </action>\r\n\r\nL\'execution de l\'action correspond au  code suivant : \r\n	@Override\r\n	public String execute() {\r\n		InformationsPerso informationsPerso = \r\n				(InformationsPerso) getSession().get(InformationsPerso.class.getSimpleName());\r\n		logOut();\r\n		if (LOGGER.isDebugEnabled()) {		\r\n			if (null == informationsPerso) {\r\n				LOGGER.debug(\"Déconnexion de l\'utilisateur après perte de la session\");\r\n			} else {\r\n				LOGGER.debug(\"Déconnexion de l\'utilisateur : \" + informationsPerso.getUid());\r\n			}\r\n		}\r\n		return Action.SUCCESS;\r\n	}\r\n\r\n	/**\r\n	 * kill Cookie\r\n	 */\r\n	protected void logOut() {\r\n		getSession().clear();\r\n		AutoLogin.killCookie(ServletActionContext.getResponse(),\r\n				AutoLogin.MOD_AUTH_CAS_S, getServicesUtilisateurService()\r\n						.getPathModAuthCasSecure(), null);\r\n		AutoLogin.killCookie(ServletActionContext.getResponse(),\r\n				AutoLogin.MOD_AUTH_CAS_S, \"/\", null);\r\n		AutoLogin.killCookie(ServletActionContext.getResponse(),\r\n				AutoLogin.CASTGC, getServicesUtilisateurService()\r\n						.getPathCastgc(), null);\r\n		AutoLogin.killCookie(ServletActionContext.getResponse(),\r\n				AutoLogin.JSESSIONID, getServicesUtilisateurService()\r\n						.getPathModAuthCas(), null);\r\n		AutoLogin.killCookie(ServletActionContext.getResponse(),\r\n				AutoLogin.COOKIE_PCA_MA_SANTE, \"/\", null);\r\n		ServletActionContext.getContext().put(\r\n				IhmConstants.CLE_SESSION_CLOSED_FLAG, true);\r\n		if (LOGGER.isDebugEnabled()) {\r\n			LOGGER.debug(\"Suppression des informations en session et des cookies.\");\r\n		}\r\n	}\r\nBRef : On supprime les cookies (dont je JSession) puis on passe la main au CAS  https://www.ma.secu-independants.fr/administrateurs/Shibboleth.sso/Logout?return=https://www.ma.secu-independants.fr/authentification/logout\r\n qui doit détruire définitivement le token de single login => ayant pour effet la deconnexion à tout les sites et on reviens sur la page https://www.ma.secu-independants.fr/authentification/logout\n\n'),
(36015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n'),
(36376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nImplémentation Campagne V14\nExécution Campagne Tennis de table INT2'),
(36020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nSAFERGAME : Installation i2 FDL018564 sur int2'),
(36021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nSAFERGAME : Installation CFM FDL018733, Cognos FDL018690, sql FDL018712, db2 FDL018684, Folio FDL018726'),
(36022, 'Log out côté IHM :'),
(36023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nMCO Court_Commercial'),
(36024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nSupport HIA sur incident INC181225'),
(36025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[OMNI-CANAL] Installation de la FDL018082 sur INT3CALY'),
(36027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nSAFERGAME : Qualification ANO055019'),
(36028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[OMNI-CANAL] Installation de la fDL018359 sur INT3ETL9'),
(36029, 'Voir le mantis #0019989 pour l\'analyze préliminaire côté code'),
(36145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n[OMNI-CANAL] Installation de la FDL018719'),
(36031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-08  (Do not remove this line) -->\nTests wamigo'),
(36146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n[OMNI-CANAL] Test transverse de création d\'un détaillant pour qualifier l\'anomalie ANO054965'),
(36033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nFDL018723'),
(36034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\ntests wamigo'),
(36035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nFDL018724'),
(36036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\ntests keno'),
(36037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[RDI 1.1] Support recette utilisateur'),
(36039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMCO Court_Commercial'),
(36041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n[RDI 1.1] Support recette utilisateur'),
(36764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nCorrection des cas de tests et implémentation de pré-requis'),
(37581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n- [SALT] Intégration conf pinpoint dans les branches salt\n- Déploiement boutique palier Amigo int22\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.1.0\',\n  \'digishopg\': \'2.0.0\',\n- création ANO055686 [GEORESTRICTION] Log de l\'IP erroné dans la réponse\n- création ANO055688 [AMIGO] Undefined index: HTTP_XCCEPT_ENCODING'),
(38058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n- Mise à disposition du ModOp pour Mep Amigo\n- création ANO055748 [AMIGO] Réponse incorrecte du service Flash avec un appel en POST\n- création ANO055753 [MRCD] Réponses différentes du service /mrcd/voucher/flash avec des id différents\n- qualification anos mrcd streap php'),
(37276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nmalade'),
(36390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nEcriture de cas de test pour la qualif front'),
(36159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[MOKA] Création de l\'anomalie ANO055195 sur le TR3'),
(36438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n'),
(36161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n- investigation erreurs 500 fdj-front sur int92\r\n- travail salt pour intégration release-moka dans develop\r\n- préparation git pour intégration feature-appcatalogue\r\n'),
(36043, 'Exemple de cookie pcamasante'),
(36044, 'Actuellement, quand on est connecté à PCA, l\'assuré peut accéder à ma santé, en cliquant sur le lien proposé dans PCA, sans avoir besoin de se reconnecter. \r\nIdem pour l\'accès à mes cotisation. Cette fois cependant, c\'est l\'assuré ou l\'expert-comptable qui peuvent se connecter à mes cotisations.\r\nDepuis, ma santé, il y a le cadenas à coté du nom qui permet de se déconnecter de ma santé et de PCA.\r\nDepuis mes cotisations, il n\'y a pas le cadenas il devrait être ajouté. Problème, delà dépend à priori de notre périmètre mais comment faire afficher ce cadenas sur la page de mes cotisations ?\r\nDepuis PCA, il y a un cadenas qui déconnecte de pca. Est-ce qu\'il  déconnecte de ma santé et mes cotisation ?\r\nAutre point, il faudra se déconnecter des 3 environnements, pca, ma santé et mes cotisations en cliquant sur l\'un des 3 cadenas.\n\n'),
(36045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n[OMNI-CANAL] Campagne de tests d\'acceptation de la FDL018359 dans ALM'),
(36232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nMaintenance script TruClients pour pb rencontrés sur campagne ARJEL\nITF Motors : API orchestration : Paramétrage du stake des services POST et PUT\nSupport sur script d\'orchestration pour déterminer la cause des erreurs 500 rencontrées aléatoirements sous ALM'),
(36051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n[ROMA] Saisie de la DMT DMT0016788 pour la  création d\'un connecteur sur le TR3'),
(36086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nModification vue de FDJCRM du chargement client hors SID suite blocage dû au mode parallele utilisé.\nLivraison FDL018780 : [ROMA]  [CRM] Livraison objets Oracle  - Chargement Client hors SID'),
(36151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nCorrection d\'un pb de conversion implicite sur INT4\nFDL018788 : [ROMA]  [CRM] Livraison objets Oracle  - Chargement Client hors SID'),
(36198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nFinalisation Bouchon permettant de générer les FL_DATAS et script pour les deux types de chargement clients\n[chargement client] Avancement qualif'),
(36267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nRecherche sur optimisation de l\'anonymisation de INT8'),
(36057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n'),
(36058, 'Côté Mes côtisations c\'est la JSP \"menu_listeetablissements.jsp\" qui affiche la partie où on doit mettre un pti cadenas de logout\r\n\r\nCi-dessous l\'extrait : on voie une partie du code de la deconnexion en commentaire ==> n\'a jamais marché ? / a été enleve suite à une demande client ? Mystère reste entier :D\r\n\r\n <div class=\"compte\">\r\n           <div class=\"compte-t\"></div>\r\n           <div class=\"compte-b\">\r\n              <h2>${nom_compte}</h2>\r\n              <ul>\r\n                  <li>\r\n                      <bean:message key=\"listeetabs.tab.numsecu\"/> : ${num_secu}\r\n                  </li>\r\n              </ul>\r\n            <button class=\"tooltip\"><img alt=\"Aide\" src=\"<%=RefsGeneral.getUriToImage()%>help.png\" /></button>\r\n            <div class=\"tooltip-content\" style=\"display: none;\">\r\n                <!-- CONTENU INFO-BULLE -->\r\n                <p>Retour à la liste des téléservices sécurisés.</p>\r\n                <!--/CONTENU INFO-BULLE -->\r\n            </div>\r\n            <html:link styleClass=\"select-account\" href=\"<%=RefsGeneral.getUriRetourCompte()%>\">\r\n                <bean:message key=\"session.user.moncompte\" />\r\n            </html:link>\r\n            <br/>\r\n            <!--\r\n              <button class=\"tooltip\"><img alt=\"Aide\" src=\"<%=RefsGeneral.getUriToImage()%>help.png\" /></button>\r\n            <div class=\"tooltip-content\" style=\"display: none;\">\r\n                <p>Me déconnecter de l\'espace sécurisé et revenir à la page d\'accueil</p>\r\n            </div>\r\n               <html:link styleClass=\"select-account\" page=\"/deconnexion.do\"><bean:message key=\"session.user.deconnexion\" /></html:link>-->\r\n           </div>\r\n        </div>'),
(36063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nPostman : implémentation des cas de test pour couverture des services DigishopU\nreunion : Test Auto : Création des joueurs / Vie des environnements'),
(36062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nPostman : implémentation des cas de test pour couverture des services DigishopU\r\n\r\nReunion : Point Equipe TEST AUTO'),
(36064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nPostman : correction des coquilles DIGISHOP U'),
(36065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nAcceptance DA 5.4.3 USR 2.8.12\r\n- preparation, lancement, redaction du bilan, analyse des resultats\r\n\r\nPostman : implementation de la boutique Digishop A'),
(36066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nPostman : implementation de la boutique Digishop A'),
(36068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n[ROMA] Mise a niveau du TR3 avec l\'installation des FDLs suivantes FDL_18201_SIDC_DDLS_8.0.0  + FDL_18756_SIDC_SID2_8.0.1 (erreur) + FDL_18202_SIDC_SID2_8.0.0 + FDL_18756_SIDC_SID2_8.0.1 + FDL_18766_SIDC_PTCH_SID2_8.0.0'),
(36069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[MOKA] Coordination de tests'),
(36071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n'),
(36072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n'),
(36073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n'),
(36419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nanalyse ano V1.14.0'),
(36076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n- Daily Coco (tous les jours de la semaine)'),
(36077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n- Transfert de connaissance Palier MOKA avec P AMERIO\r\n- Support recette'),
(36078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n- Installation et Acceptance MIG 2.6.14 - Fix prod MOKA\r\n- Travail sur Anos de prod : ANO055096 / ANO055132'),
(36081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n'),
(36082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n- Travail sur Ano de prod : ANO055096\r\n- Problème back sur iNT9\r\n- mise en place conf Google recaptcha'),
(36083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nMOKA : SID Client / Infocentre SPORT DIGITAL : FDL018756, FLD018760, FDL018766'),
(36084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nMOKA : SID Client - rerun socle + Agrégats suite à installation + qualification.'),
(36137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[Digishop P] Mise a jour du test postman - Intégration des test sur les Pieces jointes\n[Postman] Mise a jour des tests \n[Postman] Verification de la nouvelle collection sur jenkins/gitlab'),
(36377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nImplémentation Campagne V14\nImplémentation Campagne V16'),
(36088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\n-'),
(36094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nCheck volley an delivery'),
(36095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nStarting to work on BeachVolley'),
(36096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nRéunion partage info Volley puis correction'),
(36097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nCorrection offre Volley puis réunion d\'équipe'),
(36098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nTBD'),
(36099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nTBD'),
(36100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nTBD'),
(36101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nV1.14 retours VA sur les spec EA'),
(36463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-10-26  (Do not remove this line) -->\n'),
(36105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n- Daily\n- Qualif amex : ANO055154, ANO055169'),
(36108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[ROMA] Mise a niveau du TR3 avec l\'installation des FDLs suivantes: FDL_18343_SIDC_ADOB_8.0.0 + FDL_18459_SIDC_ADOB_8.0.0.1 + FDL_18648_SIDC_VFLX_ADB_8.1.0 + FDL_18736_SIDC_VRPT_8.0.2 + 3 FDLs ETL (FDL018135 + FDL018347 + FDL018696) + 4 univers (FDL018760 Livraison SID CLIENTS SPORT v8.0.1 - CRM lot 1 + FDL018732 Univers SID CLIENT v8.0.3  - Palier CRM lot 1/Moka + FDL018734 Univers SID BAFIM v.8.0.2 - Palier CRM lot 1 + FDL018735 Univers SID BEAS v8.0.1 - Projet CRM lot 1) '),
(36109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nMCO : SID Client TR2 + SID Commercial TR2, TR3'),
(36110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(36111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nMCO EGIDE'),
(36112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMCO EGIDE'),
(36113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(36114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(36120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nMOKA : SID Client - Qualification statique suite à mise à jour de la do + production PV sans réserve.'),
(36116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nPoint de synchro IF / GAMIF / JEUX. Présentation Gamification. Poursuite implémentation partie Robofwk d\'UTAR.'),
(36118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - aide investigation pb de fux entre les serveurs CSAM'),
(36119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - TEST EGIDE 4.60 RDI 1.1'),
(36121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nExtraction des incidents'),
(36122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nMCO EGIDE et Court Commercial (analyse sur plusieurs problèmes sur Court Commercial)'),
(36123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n[RDI1.1]  Création de PDV sous Egide'),
(36124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nExtraction des incidents'),
(36125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nMCO Egide et Court Commercial (Pb sur INT3)'),
(36126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[RDI1.1] Prise d\'information sur assistance utilisateur Recette (absence de Daniel semaine 51)'),
(36127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[RDI1.1] Migration des jeux d\'essais ALM avec Romain pour RDI, OMNICANAL, EGIDE'),
(36128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\nPrésentation avec Adrien Rémi et Cécile.\nRéférencement des application de SOP CDS ATOS.\nRéunion avec Adrien. '),
(36129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMCO Egide avec Adrien et Damien.\nRecherche sur la solution Selenium et Jenkins.'),
(36130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nRecherche sur la solution Selenium et Jenkins.'),
(36132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nRéunion avec Daniel sur la création d\'un PDV et MCO en vue du one note.\nExtraction des test plan du projet RDI vers Ref_Socle_Opérationnel.\nExtraction des test plan du projet OmniCanal_SportV1 vers Ref_Socle_Opérationnel.'),
(36134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nRecherche sur la solution Selenium et Jenkins.\nProcess création d\'un PDV.\nCréation du livret d\'alternance.\nReprise du plan infra (Application).'),
(36136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nAnalyse anomalies retour VA 1.14.0'),
(36138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[OMNI-CANAL] Tests de qualification modulaire de ETL_Commercial sur TR3. FDL018359'),
(36141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[RDI 1.1] Support recette'),
(36140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n[OMNI-CANAL] Rédaction de cas de tests'),
(36142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n[OMNI-CANAL] Rédaction de cas de tests'),
(36143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n[OMNI-CANAL] Campagne de tests d\'acceptation FDL018082 pour Calypso'),
(36144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n[OMNI-CANAL] Campagne de tests d\'acceptation FDL018082 pour Calypso'),
(36147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n'),
(36149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nImplémentation CT FALCON USR 2.9 (MOKA)\r\nRéunions Méthodo ROMA + présentation GAMIF'),
(36150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nMise à jour test Postman\r\n-Reexécution compagne de test freedom 2.8.11\r\n-Exécution des de test de réconciliation'),
(36196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK après reprise depuis le 16/12/2017 // SIDC TR1 Bloqué en attente d\'installation // SIDC TR2 OK // SIDC TR3 Init du référentiel jeu KO a refaire, chargement OK'),
(36153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[Postman][Convergence] Ecriture test service legal-notice (suite)'),
(36154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[MCO] Modernisation de la vérification du nombre de compte créés sur les différents transverses'),
(36155, 'Vu avec le Chef de projet côté mes cotisations le 18/12/2017 :\r\nLe code côté IHM est en commentaire de leur côté car il attendais l\'url de deconnexion à appeller de notre côté.\r\n\r\nDe notre côté l\'url est : \r\nhttps://www.ma.secu-independants.fr/authentification/logout \r\névidament il est fortement conseillé de la paramétrisé de leur côté, par exemple :\r\nhttps://@@espace.perso.serveur.name@@/@@path.castgc@@/logout\r\navec pour l\'env HotFix :\r\nespace.perso.serveur.name=www.mon.rsi.fr\r\npath.castgc=authentification'),
(37078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nAvant vente POC Codif automatique'),
(36162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n- maj tests postman digishop-game 2.0\r\n'),
(36163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n- support stream coco intégration dernières corrections appliquées en prod sur salt\r\n- support stream coco inscription ko sur int81, pb dans la livraison 4.2.16_mig\r\n- rejet livraison 4.5.0_edwan pb dans le merge git\r\n- maj tests postman digishop-game 2.0\r\n'),
(36164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n- maj salt branche master suite mep moka\r\n- maj salt branche feature-amigo suite mep moka\r\n- maj salt branche feature-convergence suite mep moka\r\n- maj salt branche feature-amex suite mep moka\r\n- maj salt branche feature-amex-symphony suite mep moka\r\n'),
(36165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n- maj swagger digishop-U 5.4.1\r\n- maj salt merge develop into feature-moka\r\n- maj tests postman sur fdjstore\r\n- intégration fdjstore dans jenkins\r\n- remonté corrections mineures sur catalogues prod\r\n'),
(36166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-11  (Do not remove this line) -->\n- point sur livraison XSD pour flux Amigo\r\n- maj tests postman Amigo\r\n- création branche pour intégration mode debug mrcd\r\n- maj conf salt pour intégration webapp Amigo\r\n'),
(36169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nréunion'),
(36170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[MOKA] Installation de la FDL018792 sur le TR2'),
(36186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n'),
(36180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nPOSTMAN et BOUTIK\nIF création tests jeu à 0,5 euro'),
(36177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nPOSTMAN et BOUTIK'),
(36178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nPOSTMAN et BOUTIK'),
(36179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nPOSTMAN et BOUTIK'),
(36181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\nWeb Service en Query'),
(36182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\nWeb Service en Query'),
(36183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nWeb Service en Query'),
(36188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n#day 1954 : la TMA ma santé doit vérifier les données\r\n\r\n\"#Anomalie #Qualification #Bloquant : CAS_COMMUN : Cas d\'un assuré PL non connu sur CA\"\r\n\r\n- A  la fin de l\'inscription : \"Vous avez été authentifié comme artisan/commerçant. Vous allez être redirigé vers l’écran de création de compte Assuré. Vous aurez ensuite accès à votre espace MA SANTE.\"\r\n- Infos\r\n  - Nom de l\'environnement : QT1\r\n- Analyse\r\n  - Vérifier si on a le même jeu de test chez nous (et compéter les infos)\r\n    - Integ\r\n      - 1630450502011	03	0	RENOUF	PHILIPPE	05/04/1963	3	Profession libérale\r\n    - Hotfix\r\n      - 1531177393082	68	0	BRUCH	DOMINIQUE DANIE	3	Profession libérale\r\n      - 1400706029019	58	0	LE BLANC	YVES	3	Profession libérale\r\n      - 1451025031120	60	0	DE RONCHI	JEAN-JACQUES	3	Profession libérale\r\n  - Reproduire\r\n    - Reproduire inscription(1531177393082, 68, BRUCH, DOMINIQUE DANIE, 05/11/1953, HOTFIX)\r\n      - #ok Inscription\r\n      - #ok Connexion avec le MDP tmp\r\n      - #ok Changement de MDP\r\n      - #ok Connexion avec le nouveau MDP\r\n      - #ok Ajout dans OneNote\r\n    - Reproduire inscription(1630450502011 , 03 , RENOUF , PHILIPPE, 05/04/1963, INTEG)\r\n      - #ok Inscription\r\n      - #ok Connexion avec le MDP tmp\r\n      - #ok Changement de MDP\r\n      - Connexion avec le nouveau MDP\r\n        - pas d\'accès à mon compte\r\n          - Rôle APP004\r\n      - Ajout dans OneNote\r\n    - Mettre en commentaire résultats de la reproduction'),
(36189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n#aprem 1955 :\r\n\r\n\"#Anomalie #Qualification #Bloquant : CAS COMMUN: Cas d\'un assuré Administrateur + pensionné _ Accès à mon compte impossible\"\r\n\r\n- Infos\r\n  - Nom de l\'environnement : QT1\r\n  - NIR : 140077609500285\r\n    - rôles  APP004 et APP007\r\n  - Jour et Heure du test : 2017-12-14 15:46:25\r\n- Desc \r\n  - log\r\n    - AuthenticationManagerImpl : <User is type: masante>, <User NOT exists in PCA>\r\n    - BindLdapAuthenticationHandler <Search for uid=140077609500285 returned 0 results.>\r\n- Defect\r\n  - Prérequis \r\n    - Récupérer les logs à partir de l\'environement\r\n  - Analyse\r\n    - Code\r\n      - La méthode fr.rsi.ptassures.coordination.web.authentification.LoginAction.verifierDroitAccesApplications(List<ApplicationVO>, InformationsPerso, boolean) renseigne l\'attribut fr.rsi.ptassures.espaceperso.infrastructure.type.InformationsPerso.accesMonCompte à true uniquement pour les rôles MES_COTISATIONS et MON_RELEVE_DE_CARRIERE.\r\n      - Il est probable que la pop-up qui apparaît lors de la connexion d\'un utilisateur administrateur utilise cet attribut pour afficher les liens \"Mon compte\" et/ou \"Espace administrateur\"'),
(36190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n'),
(36191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n'),
(36192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n'),
(36193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n'),
(36194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n'),
(36195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[MOKA] Installation de la FDL018792 sur le TR3'),
(36197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\netude maj_base a fusionner'),
(36407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2 + TR3'),
(36199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nMise à jour de script'),
(36317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nSplit V14 V16'),
(36318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nSplit V14 V16'),
(36319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nSplit V14 V16'),
(36320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nSplit V14 V16'),
(36204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n- Daily\r\n- ANO055196, ANO055200 , ANO055201 , ANO055210 , ANO055212 '),
(36234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[Convergence] Reunion API\n[Postman] Amélioration/Optimisation des tests digishpo P/A (suite)\n[Postman] Investigation probleme postman sur la collection authent sur certains environnements ne fonctionne plus\n[Convergence] Point SALT'),
(36207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n-Montée en compétence Postman'),
(36210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne+ support utilisateur recette'),
(36212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nSAFERGAME : Création DMT0016793+ génération certificat SAN FOLIO+ ajout du certificat SAN FOLIO sur int2'),
(36276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nSAFERGAME : Ajout du certificat SAN FOLIO dans I2 sur int2'),
(36214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n'),
(36223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK après relance  suite coupure ETL // SIDC TR1 Bloqué en attente d\'installation // SIDC TR2 OK pas de données adobe en import // SIDC TR3 OK // EGIDE TR3 remontée des jobs et exécution des jobs'),
(36218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[MOKA] Assistance a la création de la chaine TR3 import ADOBE'),
(36219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[OLC 3.2] Vérification et validation de la version installée en PROD pour l\'univers stock grattage'),
(36220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[MOKA] Rédaction du PV de qualification de la FDL018792 + fourniture de la procédure de reprise a HIA des données référentiel jeu'),
(36222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[Playscan] Vérification de la bonne intégration des fichiers'),
(36231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[ROMA] Préparation de la semaine\nITF : Diff sur Nouvelle version 2.2.0, vérification des modifications API requises, maj du jeu de données et qualification du script impacté, relivraison avec fichier lisezmoi.txt\nITF Motors : Script ITFPUTGameBet valorisation d\'un parametre \"pWin\" en sortie (idem à l\'orchestration)'),
(36225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[ROMA] DAILY WEEK\r\nDev VuGen - Point hebdo\r\ndev API : Adaptation des macro pour les builders sur les nombres dans FDJ_Falcon_DataBuilder.h et FDJ_GenericJSONDataBuilder.h'),
(36227, 'compte censé être cloturé : (apparait à l\'organisme \'MAIRIE de MARCY L ETOILE\' organismid =\'17277\')\r\n\r\nutilisateur liferay actif\r\n\r\nselect * from user_  where screenname ilike \'COT6981J4C\'\r\n\r\npatenaire ouvert \r\n\r\nselect * from habilitation_partner  where screenname ilike \'COT6981J4C\'\r\n\r\nMais n\'apparait pas dans la console d\'administration liferay\r\n\r\n\r\n\r\ncompte censé être ouvert mais cloturé : (censé appartenir à l\'organisme organismid =\'52842\' )\r\n\r\n\r\nn\'existe pas en bdd\r\nselect * from user_  where screenname ilike \'COT6981ZU3\'\r\n\r\nn\'existe pas en bdd\r\nselect * from habilitation_partner  where screenname ilike \'COT6981ZU3\'\r\n\r\nMais apparait dans la console d\'administration liferay => ! sans rôle applicatif !\n\n'),
(36233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n-Test aléatoire Postman:\r\n CRM lot1 \r\n CRM Email \r\n Freedom\r\nCRM Message '),
(36235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\n'),
(36236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n'),
(36237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nEcriture du contrat d\'interface.'),
(36238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nComip ANVCTX'),
(36239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nMAJ des services FALCON USR 2.9\r\nRéunion palier MOKA \r\nRéunion présentation module dév Agile dans ServiceNow\r\n'),
(36240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nMAJ des services FALCON USR 2.9\r\nRéunion Uses Case Métier Palier MOKA\r\nRéunion d\'équipe'),
(36466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nAVV LR ETUDES LOT 3'),
(36244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n#matin 1955 :\n\n\"#Anomalie #Qualification #Bloquant : CAS COMMUN: Cas d\'un assuré Administrateur + pensionné _ Accès à mon compte impossible\"\n\n- Infos\n  - Nom de l\'environnement : QT1\n  - NIR : 140077609500285\n    - rôles  APP004 et APP007\n  - Jour et Heure du test : 2017-12-14 15:46:25\n- Test_dev\n  - utiliser l\'ihm\n    - connexion (#INTEGRATION , 1520390018002, 07, test1234) APP007 en moins\n      - nous n\'avons accès uniquement à espace administrateur\n    - connexion (#INTEGRATION , 1520390018002, 07, test1234) APP007 remis \n      - nous avons accès à espace administrateur et moncompte'),
(36250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nEcriture de cas de test pour Falcon USR sur les dotations'),
(36332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nqualification de la nouveau patch JSON sur les scripts d\'automatisation\r\nOrchestration Motors (ITF) : modification sur la génération du stake à partir du param LR pStake (ajout du mode NONE pour jeux non hybrides) et désactivation du stake pour le PutGameBet\r\nITF 2.2.0 : Modification de commentaires sur le requester et RTBuilder du service ITFGETGameUserdata'),
(37277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\narrétée'),
(36253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\ninstallation int42 pour test problème requet en base avec leila echnage avec dhira pour l\'installation de google recaptcha'),
(36254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\naide a installation dhira sur int91 pour mise en place google recaptcha installation des certificat sur les magasin sur ojadgate. mise en place de la configuration sur int91 relative a l\'integration de google recaptcha . Modif specifique properties, ajout des clé privé public, activation des flag'),
(36255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n'),
(36256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (EKO + Annulation + LateBets) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\''),
(36257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (EKO + Annulation + LateBets) + [V16 / 16.5.1-SNAPSHOT 235 / INT0]: Exécution des Tests \'possibles\' + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Tests Acceptance'),
(36258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (EKO + Annulation + LateBets) + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\' '),
(36259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (EKO + Annulation + LateBets) + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\' '),
(36260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (EKO + Annulation + LateBets) + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\' '),
(36261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n- Daily\r\n- ANO055264\r\n- ANO055265'),
(36265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(36288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n- Daily\n- Maj catalogue (videos, param url wcart)\n- Etudes flux (cache)\n- ANO055284, ANO055287, ANO055288\n- Acceptance Vitan 6.0.4'),
(36268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nPORTO : Installation FDL018810 sur int3'),
(36269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\n'),
(36271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nMOKA\r\nROMA\r\nMCO\r\nTESTS AUTO'),
(36272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nMOKA\r\nROMA\r\nMCO\r\nTESTS AUTO'),
(36273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nMOKA\r\nROMA\r\nMCO\r\nTESTS AUTO'),
(36274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nMOKA\r\nROMA\r\nMCO\r\nTESTS AUTO'),
(36275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nMOKA\r\nROMA\r\nMCO\r\nTESTS AUTO'),
(36503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nSAFERGAME : Qualification ANO054676+MOD012289+investigation sur doublon detaillant'),
(36278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n[MOKA] Suppression de la chaine I2SIC-SIDC_ADOBE_WEEK (évolution MOKA)'),
(36280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne + réunion impact RDI/Safergame avec Y.Lacroix'),
(36287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n[RDI1.1] Assistance chaine controlm TR3 avec reprise de données coté ETL'),
(36284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nExtraction des campagnes de tests T4'),
(36285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n'),
(36286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n[MOKA] Support a la reprise de données référentiel jeu post MEP'),
(36371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n[Postman] Optimisation des test DigiA/P (suite)'),
(36290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n'),
(36291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n'),
(36292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nAtelier de présentation du projet ROMA\r\nAcceptance interco IF environnement modulaire et transverse'),
(36293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nRecherche sur le problème BAN - Monext suite à nouvel mode de paiement Paypal\r\nSolution de contournement : Pb Monext'),
(36296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nMAJ des services FALCON USR 2.9\nMaintenance CTs existants\nExécution Campagne NR FALCON USR 2.9 sur INT1'),
(36295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nDemande de création de nouveau moyen de paiement pour Paypal\r\nEtude du paramétrage du composant PMS\r\n\r\n'),
(36297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nEtude des environnements : configuration système et composant applicatif'),
(36298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nEtude des environnements : configuration système et composant applicatif'),
(36299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nExécution et analyse Campagne NR FALCON USR 2.9 sur INT1'),
(36301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nMise au point de l\'évolution UTAR pour Roboframework.'),
(36302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nMise au point de l\'évolution UTAR pour Roboframework. Presentation Test IHM RobotFramework  Point de synchro IF / GAMIF / JEUX. Dev VuGen - Point hebdo'),
(36303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nGouvernance Tests Front - Outillages - Automatisation. Analyse de faisabilité d\'implémentation d\'un mécanisme de timeout dans les requêtes OCI et/ou ODBC.\r\n'),
(36304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nMise au point de l\'évolution UTAR pour Roboframework.'),
(36305, 'Modification code source : \r\n	1- Changer web.xml & template pour passer en 2.5 :\r\n	<web-app id=\"starter\" version=\"2.5\" xmlns=\"http://java.sun.com/xml/ns/javaee\"\r\n		xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\r\n		xsi:schemaLocation=\"http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd\">\r\n		\r\n		<web-app id=\"starter\" version=\"2.5\" xmlns=\"http://java.sun.com/xml/ns/j2ee\"\r\n			xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\r\n			xsi:schemaLocation=\"http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd\">\r\n		\r\n		\r\n		Collé à partir de <https://www.mkyong.com/web-development/the-web-xml-deployment-descriptor-examples/> \r\n		\r\n		\r\n	\r\n	2-  <file://C:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\core\\src\\test\\java\\fr\\rsi\\ptassures\\espaceperso\\utils\\TestEspacePersoUtils.java>\r\n	testBeanToString()\r\n	assureVO.setPrenom(\"\");\r\n\r\n\r\ntapes installation poste de travail :	\r\n       1- Récupérer source avec git \r\n	2- JDK 1.6\r\n	3- Eclipse\r\n		a. UTF8\r\n	4- Maven\r\n		a. fichier de conf\r\n		b. Pointer vers fichier configuration depuis Eclipse\r\n		c. Ajouter les JARs externe non reference par un Nexus avec un script dans le repository local\r\n\r\n       5-Workspace'),
(36306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nExécution de la campagne 16.5.1-SNAPSHOT 235 - Back\r\nPb de connectivité Wifi.'),
(36307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n- Daily\r\n- Acceptance Amex iOS et Android'),
(36308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n'),
(36309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n\r\nExécution Campagne 16.5.1-SNAPSHOT 341 - Acceptance\r\nDifficultés liées à pb connectivité WIFI (Incident 185973)\r\n'),
(36310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nvie des environnements : roma'),
(36311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nVie des environnements : ROMA'),
(36312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nSuite exécution Campagne 16.5.1-SNAPSHOT 341 - Acceptance\r\nPrise en compte et documentation absence front dans cas de test \r\n Toujours difficultés liées à pb connectivité WIFI (Incident 185973)'),
(36313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\ncampagne batch roma : formation'),
(36314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\ncampagne batch roma : formation'),
(36315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nindustrialisation jenkins'),
(36324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nMise à jour cas de tests vs nouvelles fonctionnalités V16\nEtude nouvelles fonctionnalités V16\nIncident 185973 résolu  (connectivité Wifi -> filaire)\nA compléter'),
(36321, '*XSS prévension\r\n\r\nSource : https://www.owasp.org/index.php/XSS_(Cross_Site_Scripting)_Prevention_Cheat_Sheet\r\nHTML Entity Encoding  Convert & to & amp ;\r\nConvert < to & lt ;\r\nConvert > to & gt ;\r\nConvert \" to & quot ;\r\nConvert \' to &#x27;\r\nConvert / to &#x2F;  \r\n\r\nSource : https://stackoverflow.com/questions/1265282/recommended-method-for-escaping-html-in-java\r\n\r\n--> Utiliser Encoder.canonicalize sur chaque chaîne de caractère pour se prévenir des encodage multiples imbroqué\r\n               https://www.javadoc.io/doc/org.owasp.esapi/esapi/2.1.0.1\r\n               https://github.com/ESAPI/esapi-java-legacy\r\n---> envoyer ensuite la chaine dans Guava com.google.common.html.HtmlEscapers.htmlEscaper().escape(maChainePleindeXSSQuiFaitPeur);\n\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(36322, 'C:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\pom.xml : pom parent du projet \n\n<project xmlns=\"http://maven.apache.org/POM/4.0.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n	xsi:schemaLocation=\"http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd\">\n	<modelVersion>4.0.0</modelVersion>\n\n	<!-- parent> <groupId>fr.rsi.portail.assures</groupId> <artifactId>portail.assures-parent</artifactId> \n		<version>00.01.02-SNAPSHOT</version> <relativePath>../PortailAssures/pom.xml</relativePath> \n		</parent -->\n\n	<groupId>PT_Assures</groupId>\n	<artifactId>PT_Assures</artifactId>\n\n	<version>17.10.1-SNAPSHOT</version>\n	<packaging>pom</packaging>\n	<name>PORTAIL COMPTE ASSURES</name>\n\n	<properties>\n		<main.basedir>${project.basedir}</main.basedir>\n		<cxf.version>2.3.3</cxf.version>\n		<joda.version>2.6</joda.version>\n	</properties>\n\n	<build>\n		<plugins>\n			<!-- Use Java 6 -->\n			<plugin>\n				<artifactId>maven-compiler-plugin</artifactId>\n				<version>2.3.2</version>\n				<!-- best lock down version of the plugin too -->\n				<configuration>\n					<source>1.6</source>\n					<target>1.6</target>\n					<encoding>UTF-8</encoding>\n				</configuration>\n			</plugin>\n			<plugin>\n				<groupId>org.apache.maven.plugins</groupId>\n				<artifactId>maven-jar-plugin</artifactId>\n				<version>3.0.2</version>\n				<configuration>\n					<archive>\n						<manifest>\n							<addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>\n						</manifest>\n					</archive>\n				</configuration>\n			</plugin>\n			<plugin>\n				<groupId>org.apache.maven.plugins</groupId>\n				<artifactId>maven-war-plugin</artifactId>\n				<version>3.2.0</version>\n				<configuration>\n					<archive>\n						<manifest>\n							<addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>\n						</manifest>\n					</archive>\n				</configuration>\n			</plugin>\n		</plugins>\n	</build>\n\n	<modules>\n		<module>core</module>\n		<module>appliweb</module>\n		<module>webservices</module>\n	</modules>\n\n	<dependencyManagement>\n		<dependencies>\n			<!-- CAS -->\n			<dependency>\n				<groupId>org.jasig.cas</groupId>\n				<artifactId>cas-client-core</artifactId>\n				<version>3.1.10</version>\n			</dependency>\n			<dependency>\n				<groupId>org.opensaml</groupId>\n				<artifactId>opensaml</artifactId>\n				<version>1.1</version>\n			</dependency>\n			<!-- CXF -->\n			<dependency>\n				<groupId>org.apache.cxf</groupId>\n				<artifactId>cxf-rt-ws-security</artifactId>\n				<version>${cxf.version}</version>\n			</dependency>\n			<dependency>\n				<groupId>org.apache.cxf</groupId>\n				<artifactId>cxf-rt-frontend-jaxws</artifactId>\n				<version>${cxf.version}</version>\n			</dependency>\n			<dependency>\n				<groupId>org.apache.cxf</groupId>\n				<artifactId>cxf-rt-transports-http</artifactId>\n				<version>${cxf.version}</version>\n			</dependency>\n			<dependency>\n				<groupId>joda-time</groupId>\n				<artifactId>joda-time</artifactId>\n				<version>${joda.version}</version>\n			</dependency>\n			<dependency>\n				<groupId>org.apache.struts</groupId>\n				<artifactId>struts2-tiles-plugin</artifactId>\n				<version>2.1.6</version>\n				<exclusions>\n					<exclusion>\n						<artifactId>org.apache.tiles</artifactId>\n						<groupId>tiles-core</groupId>\n					</exclusion>\n					<exclusion>\n						<artifactId>org.apache.tiles</artifactId>\n						<groupId>tiles-jsp</groupId>\n					</exclusion>\n				</exclusions>\n			</dependency>\n		</dependencies>\n	</dependencyManagement>\n\n	<profiles>\n		<profile>\n			<id>only-eclipse</id>\n			<activation>\n				<property>\n					<name>m2e.version</name>\n				</property>\n			</activation>\n			<build>\n				<plugins>\n					<plugin>\n						<groupId>org.eclipse.m2e</groupId>\n						<artifactId>lifecycle-mapping</artifactId>\n						<version>1.0.0</version>\n						<configuration>\n							<lifecycleMappingMetadata>\n								<pluginExecutions>\n									<pluginExecution>\n										<pluginExecutionFilter>\n											<groupId>org.apache.maven.plugins</groupId>\n											<artifactId>maven-antrun-plugin</artifactId>\n											<versionRange>[1.7,)</versionRange>\n											<goals>\n												<goal>run</goal>\n											</goals>\n										</pluginExecutionFilter>\n										<action>\n											<ignore />\n										</action>\n									</pluginExecution>\n								</pluginExecutions>\n							</lifecycleMappingMetadata>\n						</configuration>\n					</plugin>\n				</plugins>\n			</build>\n		</profile>\n		<profile>\n			<id>hotfix</id>\n			<properties>\n				<env.target>hotfix</env.target>\n			</properties>\n		</profile>\n		<profile>\n			<id>atosRepositories</id>\n			<activation>\n				<activeByDefault>true</activeByDefault>\n			</activation>\n			<distributionManagement>\n				<repository>\n					<id>pcaReleaseNexus</id>\n					<name>Atos Nexus : PCA Release</name>\n					<url>http://172.30.152.207:8081/nexus/content/repositories/pca_release</url>\n				</repository>\n				<snapshotRepository>\n					<id>pcaSnapshotsNexus</id>\n					<name>Atos Nexus : PCA Snapshots</name>\n					<url>http://172.30.152.207:8081/nexus/content/repositories/pca_snapshot</url>\n				</snapshotRepository>\n			</distributionManagement>\n		</profile>\n	</profiles>\n\n</project>'),
(36323, 'C:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\appliweb\\pom.xml : pom du soujet projet Application web\n\n<project xmlns=\"http://maven.apache.org/POM/4.0.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n	xsi:schemaLocation=\"http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd\">\n	<modelVersion>4.0.0</modelVersion>\n	<artifactId>PT_Assures_Appliweb</artifactId>\n	<packaging>war</packaging>\n	<name>[CA] Web</name>\n	<url>http://www.le-rsi.com</url>\n	<description>mon espace personnel</description>\n\n	<parent>\n		<groupId>PT_Assures</groupId>\n		<artifactId>PT_Assures</artifactId>\n		<version>17.10.1-SNAPSHOT</version>\n	</parent>\n\n	<dependencies>\n		<!-- Framework de tests unitaires -->\n		<dependency>\n			<groupId>junit</groupId>\n			<artifactId>junit</artifactId>\n			<version>4.9</version>\n			<scope>test</scope>\n			<exclusions>\n				<exclusion>\n					<artifactId>hamcrest-core</artifactId>\n					<groupId>org.hamcrest</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>org.jasig.cas</groupId>\n			<artifactId>cas-client-core</artifactId>\n		</dependency>\n		<dependency>\n			<groupId>org.opensaml</groupId>\n			<artifactId>opensaml</artifactId>\n		</dependency>\n		<dependency>\n			<groupId>org.dbunit</groupId>\n			<artifactId>dbunit</artifactId>\n			<version>2.3.0</version>\n			<scope>test</scope>\n			<exclusions>\n				<exclusion>\n					<groupId>xerces</groupId>\n					<artifactId>xercesImpl</artifactId>\n				</exclusion>\n				<exclusion>\n					<artifactId>log4j</artifactId>\n					<groupId>log4j</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>poi</artifactId>\n					<groupId>org.apache.poi</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>slf4j-nop</artifactId>\n					<groupId>org.slf4j</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>slf4j-api</artifactId>\n					<groupId>org.slf4j</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>xmlParserAPIs</artifactId>\n					<groupId>xerces</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.struts</groupId>\n			<artifactId>struts2-junit-plugin</artifactId>\n			<version>2.1.6</version>\n			<scope>test</scope>\n		</dependency>\n\n		<!-- Commun -->\n		<dependency>\n			<groupId>org.freemarker</groupId>\n			<artifactId>freemarker</artifactId>\n			<version>2.3.13</version>\n		</dependency>\n		<dependency>\n			<groupId>org.springframework</groupId>\n			<artifactId>spring</artifactId>\n			<version>2.5.5</version>\n		</dependency>\n		<dependency>\n			<groupId>quartz</groupId>\n			<artifactId>quartz</artifactId>\n			<version>1.5.2</version>\n		</dependency>\n		<dependency>\n			<groupId>org.json</groupId>\n			<artifactId>json</artifactId>\n			<version>20090211</version>\n		</dependency>\n		<dependency>\n			<groupId>commons-lang</groupId>\n			<artifactId>commons-lang</artifactId>\n			<version>2.6</version>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.velocity</groupId>\n			<artifactId>velocity</artifactId>\n			<version>1.7</version>\n		</dependency>\n		<dependency>\n			<groupId>com.jamonapi</groupId>\n			<artifactId>jamon</artifactId>\n			<version>2.0</version>\n			<exclusions>\n				<exclusion>\n					<artifactId>servlet-api</artifactId>\n					<groupId>javax.servlet</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>javax.activation</groupId>\n			<artifactId>activation</artifactId>\n			<version>1.1.1</version>\n		</dependency>\n		<dependency>\n			<groupId>javax.mail</groupId>\n			<artifactId>mail</artifactId>\n			<version>1.4.4-rc1</version>\n		</dependency>\n		<dependency>\n			<groupId>log4j</groupId>\n			<artifactId>log4j</artifactId>\n			<version>1.2.17</version>\n		</dependency>\n		<!-- Web -->\n		<dependency>\n			<groupId>org.springframework</groupId>\n			<artifactId>spring-webmvc-struts</artifactId>\n			<version>2.5.5</version>\n			<exclusions>\n				<exclusion>\n					<artifactId>aopalliance</artifactId>\n					<groupId>aopalliance</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.struts</groupId>\n			<artifactId>struts2-core</artifactId>\n			<version>2.1.6</version>\n			<exclusions>\n				<exclusion>\n					<artifactId>tools</artifactId>\n					<groupId>com.sun</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.struts</groupId>\n			<artifactId>struts2-spring-plugin</artifactId>\n			<version>2.1.6</version>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.struts</groupId>\n			<artifactId>struts2-tiles-plugin</artifactId>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.tiles</groupId>\n			<artifactId>tiles-core</artifactId>\n			<version>2.1.2</version>\n			<exclusions>\n				<exclusion>\n					<artifactId>org.apache.tiles</artifactId>\n					<groupId>tiles-servlet</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.tiles</groupId>\n			<artifactId>tiles-jsp</artifactId>\n			<version>2.1.2</version>\n			<exclusions>\n				<exclusion>\n					<artifactId>org.apache.tiles</artifactId>\n					<groupId>tiles-servlet</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.tiles</groupId>\n			<artifactId>tiles-servlet</artifactId>\n			<version>2.1.2</version>\n			<exclusions>\n				<exclusion>\n					<artifactId>org.apache.tiles</artifactId>\n					<groupId>tiles-core</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n\n		<dependency>\n			<groupId>org.apache.struts</groupId>\n			<artifactId>struts2-jasperreports-plugin</artifactId>\n			<version>2.1.6</version>\n		</dependency>\n		<dependency>\n			<groupId>org.nuiton</groupId>\n			<artifactId>nuiton-validator</artifactId>\n			<version>2.3</version>\n			<exclusions>\n				<exclusion>\n					<artifactId>ognl</artifactId>\n					<groupId>ognl</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>asm</artifactId>\n					<groupId>asm</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>javassist</artifactId>\n					<groupId>javassist</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>javax.servlet</groupId>\n			<artifactId>jstl</artifactId>\n			<version>1.2</version>\n		</dependency>\n\n		<dependency>\n			<groupId>javax.servlet</groupId>\n			<artifactId>servlet-api</artifactId>\n			<version>2.3</version>\n			<scope>provided</scope>\n		</dependency>\n\n		<dependency>\n			<groupId>commons-validator</groupId>\n			<artifactId>commons-validator</artifactId>\n			<version>1.3.1</version>\n		</dependency>\n\n		<dependency>\n			<groupId>PT_Assures</groupId>\n\n			<artifactId>PT_Assures_WebService</artifactId>\n			<version>17.10.1</version>\n			<classifier>client</classifier>\n			<!-- <scope>provided</scope> -->\n			<exclusions>\n				<exclusion>\n					<artifactId>aopalliance</artifactId>\n					<groupId>aopalliance</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>hamcrest-core</artifactId>\n					<groupId>org.hamcrest</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>javassist</artifactId>\n					<groupId>javassist</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>xml-apis</artifactId>\n					<groupId>xml-apis</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n\n		<dependency>\n			<groupId>PT_Assures</groupId>\n\n			<artifactId>PT_Assures_Core</artifactId>\n			<version>17.10.1</version>\n			<!-- <scope>provided</scope> -->\n			<exclusions>\n				<exclusion>\n					<artifactId>aopalliance</artifactId>\n					<groupId>aopalliance</groupId>\n				</exclusion>\n				<exclusion>\n					<artifactId>javassist</artifactId>\n					<groupId>javassist</groupId>\n				</exclusion>\n				<exclusion>\n\n					<artifactId>hamcrest-core</artifactId>\n					<groupId>org.hamcrest</groupId>\n				</exclusion>\n			</exclusions>\n		</dependency>\n		<dependency>\n			<groupId>fr.rsi.bdu</groupId>\n			<artifactId>bdu-wsinfobenef-client</artifactId>\n			<version>14.1.3</version>\n		</dependency>\n		<!-- CXF -->\n		<dependency>\n			<groupId>org.apache.cxf</groupId>\n			<artifactId>cxf-rt-ws-security</artifactId>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.cxf</groupId>\n			<artifactId>cxf-rt-frontend-jaxws</artifactId>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.cxf</groupId>\n			<artifactId>cxf-rt-transports-http</artifactId>\n		</dependency>\n\n		<!-- JCaptcha -->\n		<dependency>\n			<groupId>com.octo.captcha</groupId>\n			<artifactId>jcaptcha</artifactId>\n			<version>1.0</version>\n		</dependency>\n		<dependency>\n			<groupId>com.octo.captcha</groupId>\n			<artifactId>jcaptcha-extension-buffered-engine</artifactId>\n			<version>1.0</version>\n		</dependency>\n		<dependency>\n			<groupId>com.jhlabs</groupId>\n			<artifactId>imaging</artifactId>\n			<version>01012005</version>\n		</dependency>\n		<dependency>\n			<groupId>tritonus</groupId>\n			<artifactId>tritonus-share</artifactId>\n			<version>0.3.6</version>\n		</dependency>\n		<dependency>\n			<groupId>tritonus</groupId>\n			<artifactId>tritonus-dsp</artifactId>\n			<version>0.3.6</version>\n		</dependency>\n		<dependency>\n			<groupId>joda-time</groupId>\n			<artifactId>joda-time</artifactId>\n		</dependency>\n		<dependency>\n			<groupId>fr.rsi</groupId>\n			<artifactId>document-generator</artifactId>\n			<version>1.0.0</version>\n		</dependency>\n		<dependency>\n			<groupId>org.apache.axis</groupId>\n			<artifactId>axis</artifactId>\n			<version>1.4</version>\n		</dependency>\n		<dependency>\n			<groupId>javax</groupId>\n			<artifactId>javaee-web-api</artifactId>\n			<version>6.0</version>\n		</dependency>\n	</dependencies>\n\n	<properties>\n		<compileSource>1.6</compileSource>\n		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>\n		<main.basedir>${project.parent.basedir}</main.basedir>\n	</properties>\n\n	<build>\n		<!-- <finalName>mon-espace-personnel</finalName> -->\n		<plugins>\n			<plugin>\n				<groupId>org.apache.maven.plugins</groupId>\n				<artifactId>maven-antrun-plugin</artifactId>\n				<version>1.8</version>\n				<executions>\n					<execution>\n						<id>process-resources</id>\n						<phase>process-resources</phase>\n						<configuration>\n							<tasks>\n								<copy toDir=\"..\" overwrite=\"true\" filtering=\"on\">\n									<fileset dir=\"..\" includes=\"**/*.template\" />\n									<filterset begintoken=\"@@\" endtoken=\"@@\"\n										filtersfile=\"${main.basedir}/configuration/${env.target}.properties\" />\n									<mapper type=\"glob\" from=\"*.template\" to=\"*\" />\n								</copy>\n							</tasks>\n						</configuration>\n						<goals>\n							<goal>run</goal>\n						</goals>\n					</execution>\n				</executions>\n			</plugin>\n			<plugin>\n				<groupId>org.apache.maven.plugins</groupId>\n				<artifactId>maven-war-plugin</artifactId>\n				<configuration>\n					<classifier>${env.target}</classifier>\n					<archive>\n						<manifestEntries>\n							<Environnement>${env.target}</Environnement>\n						</manifestEntries>\n					</archive>\n				</configuration>\n			</plugin>\n			<plugin>\n				<artifactId>maven-clean-plugin</artifactId>\n				<version>2.6.1</version>\n				<executions>\n					<execution>\n						<phase>package</phase>\n						<goals>\n							<goal>clean</goal>\n						</goals>\n						<configuration>\n							<excludeDefaultDirectories>true</excludeDefaultDirectories>\n							<filesets>\n								<filesets>\n									<directory>lib</directory>\n								</filesets>\n							</filesets>\n						</configuration>\n					</execution>\n				</executions>\n			</plugin>\n			<plugin>\n				<artifactId>maven-dependency-plugin</artifactId>\n				<executions>\n					<!-- Copy de dependances dans \"target\\lib\" comme elles ne sont pas référencées \n						par ANT je présume que c\'était une feinte avec l\'ancien Eclipse pour avoir \n						un classpath correct -->\n					<!-- <execution> <phase>install</phase> <goals> <goal>copy-dependencies</goal> \n						</goals> <configuration> <excludeScope>provided</excludeScope> <excludeGroupIds>junit,org.dbunit</excludeGroupIds> \n						<excludeArtifactIds>commons-beanutils,commons-collections,commons-lang,commons-logging,log4j,spring-aop,spring-asm,spring-beans,spring-context,spring-core,spring-web</excludeArtifactIds> \n						<outputDirectory>${project.build.directory}/lib</outputDirectory> </configuration> \n						</execution> -->\n					<execution>\n						<id>ant-dep</id>\n						<phase>install</phase>\n						<goals>\n							<goal>copy-dependencies</goal>\n						</goals>\n						<configuration>\n							<excludeGroupIds>PT_Assures</excludeGroupIds>\n							<outputDirectory>lib</outputDirectory>\n						</configuration>\n					</execution>\n				</executions>\n			</plugin>\n			<plugin>\n				<groupId>org.apache.maven.plugins</groupId>\n				<artifactId>maven-enforcer-plugin</artifactId>\n				<version>3.0.0-M1</version>\n				<executions>\n					<execution>\n						<id>enforce-property</id>\n						<goals>\n							<goal>enforce</goal>\n						</goals>\n\n						<configuration>\n							<rules>\n								<requireProperty>\n									<property>env.target</property>\n									<message>Ce projet est dependant de l\'environnement, veillez\n										choisir un profils (mvn help:all-profiles pour voir la liste\n										des profils disponibles)</message>\n								</requireProperty>\n							</rules>\n						</configuration>\n					</execution>\n				</executions>\n			</plugin>\n		</plugins>\n		<pluginManagement>\n			<plugins>\n				<!-- Ignore/Execute plugin execution -->\n				<plugin>\n					<groupId>org.eclipse.m2e</groupId>\n					<artifactId>lifecycle-mapping</artifactId>\n					<version>1.0.0</version>\n					<configuration>\n						<lifecycleMappingMetadata>\n							<pluginExecutions>\n								<!-- copy-dependency plugin -->\n								<pluginExecution>\n									<pluginExecutionFilter>\n										<groupId>org.apache.maven.plugins</groupId>\n										<artifactId>maven-dependency-plugin</artifactId>\n										<versionRange>[1.0.0,)</versionRange>\n										<goals>\n											<goal>copy-dependencies</goal>\n										</goals>\n									</pluginExecutionFilter>\n									<action>\n										<ignore />\n									</action>\n								</pluginExecution>\n							</pluginExecutions>\n						</lifecycleMappingMetadata>\n					</configuration>\n				</plugin>\n			</plugins>\n		</pluginManagement>\n		<resources>\n			<resource>\n				<directory>src/main/resources</directory>\n				<includes>\n					<include>**/*.properties</include>\n				</includes>\n				<filtering>true</filtering>\n			</resource>\n			<resource>\n				<directory>src/main/resources</directory>\n				<excludes>\n					<exclude>**/*.properties</exclude>\n				</excludes>\n				<filtering>false</filtering>\n			</resource>\n		</resources>\n		<testResources>\n			<testResource>\n				<directory>src/test/resources</directory>\n				<includes>\n					<include>**/*.properties</include>\n				</includes>\n				<filtering>true</filtering>\n			</testResource>\n			<testResource>\n				<directory>src/test/resources</directory>\n				<excludes>\n					<exclude>**/*.properties</exclude>\n				</excludes>\n				<filtering>false</filtering>\n			</testResource>\n		</testResources>\n	</build>\n</project>'),
(36325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nDaily stream webapp - daily stream app mobile hasard\r\nTest reçu scanné Amigo pour developpement du nouveau produit coté MRCD et appli Native\r\nFormation julien siret pour reprise travail sur appli native de sa part'),
(36326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nDaily stream webapp - daily stream app mobile hasard\r\nRedaction procedure sur test application native\r\nRedaction cas de test sous ALM pour mise a niveau des tests sur application native\r\nContinuité de formation de julien siret'),
(37291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).'),
(36329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nDaily stream webapp - daily stream app mobile hasard\r\nRedaction procedure sur test application native\r\nRedaction cas de test sous ALM pour mise a niveau des tests sur application native\r\nContinuité de formation de julien siret\r\nCréation d\'anomalie coté MRCD  + appli native sur bug scan reçu amigo'),
(37293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nFin des tests PDV avec la version d\'Edwan 4.4.9 -> OK (une petite \"amélioration\" va être ajoutée au code par Marie C. donc il y aura une relivraison) => FDL018895 acceptée ; Qualification de l\'ANO053007 ; Présentation Freedom TPA ; Qualification ANO052361 et ANO055283'),
(36331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nDaily stream webapp - daily stream app mobile hasard\r\nRedaction procedure sur test application native\r\nRedaction cas de test sous ALM pour mise a niveau des tests sur application native\r\nContinuité de formation de julien siret'),
(36333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nScript Falcon : Tests du service POST /certification pour vérifier son comportement\r\nFinalisation de la validation du dernier patch sur les bigNumber dans JSON\r\nITF : Evol des PDJ ITG pour prendre en charge l\'objet \"data\" dans le payload\r\n'),
(36337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nROMA : \n0,75 : Analyse documentaire \n0,25 : Presentation nouveau module AGILE de S.Now'),
(36336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nROMA :\r\n0,5 : Atelier avec le Metier \r\n0,5 : Ecriture tests BOX'),
(36338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nROMA : Ecriture tests BOX Certification'),
(36559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nROMA : Ecriture tests BOX Certification'),
(36340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nROMA : Ecriture tests BOX Certification'),
(36341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n'),
(36342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nRecouvrement Johan '),
(36343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n[MOKA] Coordination de tests\r\n[VEGA] Coordination de tests\r\n[ROMA] Transfert de connaissances'),
(36344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n[MOKA] Coordination de tests\r\n[VEGA] Coordination de tests\r\n[ROMA] Transfert de connaissances'),
(36345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n[MOKA] Coordination de tests\r\n[VEGA] Coordination de tests\r\n[ROMA] Transfert de connaissances'),
(36346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nRecouvrement Johan \r\nPrésentation  Convergence'),
(36347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n[MOKA] Coordination de tests\r\n[VEGA] Coordination de tests\r\n[ROMA] Transfert de connaissances'),
(36348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\n[MOKA] Coordination de tests\r\n[VEGA] Coordination de tests\r\n[ROMA] Transfert de connaissances'),
(36350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nDUMP de prod - recouvrement johan'),
(36351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nDUMP de prod - recouvrement johan'),
(36352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nDUMP de prod - recouvrement johan'),
(36365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \'POTION EXPLOSION 2017 v1.0.1\''),
(36374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nMontée en compétence pour la mise en place de l\'environnement Illiko'),
(36487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nInstallation du composant BINGO\nContrib du jeu ABT - L\'arbre aux tresors sur INT42 '),
(36366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\ninstallation des environements intx (all) iso prod'),
(36367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\ninstallation des environements intx (all) iso prod et creation nouvelle branch git pour recaptcha ajout des conf pour dhira'),
(36361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nAcceptance DA 5.4.3 USR 2.8.12\r\n- recherche de cause de lenteur sur le run\r\n'),
(36372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nMontée en compétence BINGO pour la qualification de la dernière release de Bingo '),
(36369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nAcceptance DA 5.4.3 USR 2.8.12\n- recherche de cause de lenteur sur le run \n\nPostman : implémentation de la boutique Digi A\n\nRéunion : Point Equipe TEST AUTO'),
(36529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\ninstallation recaptcha avec dhira journée a faire des teste pour implementation de la solution'),
(36368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nPostman : présentation à patrick Girardet des collections implémentées sur Postman\r\n\r\nCorrection des coquilles et liens morts sur Postman. Digi X'),
(36370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n	Postman : présentation à patrick Girardet des collections implémentées sur Postman\r\n\r\nCorrection des coquilles et liens morts sur Postman. Digi X'),
(36645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nRéunion : Point Roadmap 2018 / organisation et réorganisation \n'),
(36378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nFDL018793'),
(36379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nFDL018791'),
(36380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nImplémentation cas de test MIFY :\r\n j\'ai passé en revue les cas de test que j\'avais déjà fait, car j\'allait les intégrer pour la première fois à nos campagnes '),
(36381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nFDL018830'),
(36383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nFDL018832'),
(36384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nFDL018833\r\nFDL018834'),
(36385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n0.2 jours Implémentation cas de test MIFY : j\'ai passé en revue les cas de test que j\'avais déjà fait, car j\'allait les intégrer pour la première fois à nos campagnes \r\n0.3 Jours: Préparation de campagne d\'acceptance\r\n0.5 Jours : exécution de campagne d\'acceptance\r\n '),
(36387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n0.5 Jours : exécution de campagne d\'acceptance. \n0.5 Jours : Analyse de la campagne.'),
(36388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nAnalyse de la campagne d\'acceptance, qualification d\'anomalies'),
(36470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nLancement d\'une campagne NonReg sur INT0'),
(36391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n-développement de tests automatique  IHM (Coco) '),
(36392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n-développement de tests automatique  IHM (Coco) \r\n-présentation Pilote Robotframework '),
(36393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n-développement de tests automatique  IHM (Coco) '),
(36394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n-développement de tests automatique  IHM (Coco)\r\n-Suivi projet Convergence des fonts\r\n'),
(36395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\n-développement de tests automatique  IHM (Coco) '),
(36396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n- Daily Coco (toute la semaine)'),
(36987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\npalier roma'),
(36985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\npalier roma'),
(36986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\npalier roma'),
(36399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\n- Vérification acceptance Digi A\r\n- Rédaction PV Qualif MEP VSR Moka'),
(36415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n Préparation Conf Salt pour Google Recaptcha sur INT91\r\n- Support dev (fourniture JDD)\r\n- Qualif ANO055096\r\n- test en prod suite MEP MUG VSR MOKA'),
(36416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n- test Google Recaptcha sur INT91\r\n- Coordination (demande Mireille) mise à jour environnements iso prod : 01, 31, 22, 02, 82, 42'),
(36403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n[Postman] Suite optimisation test postman + test jenkins/gitlab'),
(36417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\n- Suite coordination (demande Mireille) mise à jour environnements iso prod : 01, 31, 22, 02, 82, 42\r\n- Travail Google Recaptcha INT91 + tests\r\n- Support dev pour Freedom (test JDD gain perben sur la borne)'),
(36418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n	- MEP MOKA (support HIA)\r\n- Multiples tests suite MEP'),
(36465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nAVV LR ETUDES LOT 3'),
(36423, 'Pour les postes Docker \r\n\r\nIl faut permettre aussi à Maven d\'acceder à Internet , veillez ajouter les proxys suivant à votre fichier settings.xml :\r\n <proxies>\r\n   <proxy>\r\n      <id>atos-http</id>\r\n      <active>true</active>\r\n      <protocol>http</protocol>\r\n      <host>193.56.47.8</host>\r\n      <port>8080</port>\r\n      <nonProxyHosts>www.google.com|*.example.com</nonProxyHosts>\r\n    </proxy>\r\n   <proxy>\r\n      <id>atos-https</id>\r\n      <active>true</active>\r\n      <protocol>https</protocol>\r\n      <host>193.56.47.8</host>\r\n      <port>8080</port>\r\n      <nonProxyHosts>www.google.com|*.example.com</nonProxyHosts>\r\n    </proxy>\r\n  </proxies>\r\n\r\nATTENTION: je n\'ai pas pu valider que le proxy d\'empêche pas d\'acceder à notre nexus ... a tester :D (suffit de supprimer le cache maven et de lancer une compil maven => communication avec Nexus Atos pour recuperer plein de plugin&dependances)'),
(36406, 'Ci-joint deux script générique:\n\ninstallationLibDansRepositoryLocalMaven.bat\n\n==>  installer un toto.jar&toto.pom dans le repository local maven : pour un dependance tierce partie non disponible sur un repository officiel (comme par exemple un jar interne RSI, ou ojdbc6)\n\n\ndeployLibDansAtosRepository.bat\n==> même script qui deploy directement dans le Nexus Atos dans le sous repository tierce partie'),
(36408, 'Veillez noter que le bloc de repository ci-dessous est inutile (et nefaste, car certains de ces repo ne sont pas rapide) dans le pom PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\appliweb\\pom.xml :\r\n\r\nSi vous tombez à nouveau sur ces declaration, veillez les enlevers.\r\nSi jamais maven avais vraiment besoins d\'un  artefact d\'un de ces repository veillez configurer le Nexus Atos comme mirroir (déjà fait pour les repository \'standard\' de maven).\r\n\r\n	<pluginRepositories>\r\n		<pluginRepository>\r\n			<id>Codehaus repository</id>\r\n			<name>Codehaus repository</name>\r\n			<url>http://repository.codehaus.org/</url>\r\n			<releases>\r\n				<enabled>true</enabled>\r\n				<updatePolicy>daily</updatePolicy>\r\n				<checksumPolicy>ignore</checksumPolicy>\r\n			</releases>\r\n			<snapshots>\r\n				<enabled>true</enabled>\r\n				<updatePolicy>always</updatePolicy>\r\n				<checksumPolicy>ignore</checksumPolicy>\r\n			</snapshots>\r\n		</pluginRepository>\r\n		<pluginRepository>\r\n			<id>Codehaus Snapshots</id>\r\n			<url>http://snapshots.repository.codehaus.org/</url>\r\n			<releases>\r\n				<enabled>true</enabled>\r\n				<updatePolicy>daily</updatePolicy>\r\n				<checksumPolicy>ignore</checksumPolicy>\r\n			</releases>\r\n			<snapshots>\r\n				<enabled>true</enabled>\r\n				<updatePolicy>always</updatePolicy>\r\n				<checksumPolicy>ignore</checksumPolicy>\r\n			</snapshots>\r\n		</pluginRepository>\r\n		<pluginRepository>\r\n			<id>googlecode.com</id>\r\n			<url>http://architecturerules.googlecode.com/svn/maven2/</url>\r\n			<releases>\r\n				<enabled>true</enabled>\r\n				<updatePolicy>daily</updatePolicy>\r\n				<checksumPolicy>ignore</checksumPolicy>\r\n			</releases>\r\n			<snapshots>\r\n				<enabled>true</enabled>\r\n				<updatePolicy>always</updatePolicy>\r\n				<checksumPolicy>ignore</checksumPolicy>\r\n			</snapshots>\r\n		</pluginRepository>\r\n	</pluginRepositories>'),
(36409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\na completer'),
(36410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\na completer'),
(36411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\na completer'),
(36412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\na completer'),
(36414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n.- Acceptance MUG 2.13.3 VSR Moka - FDL018804\n- Rédaction PV Qualif\n- Travail sur ANO055096'),
(36424, 'Creation d\'une méthode dans la classe StringUtil \r\n\r\n	/**\r\n	 * XSS prevention :<br/>\r\n	 * https://www.owasp.org/index.php/XSS_(Cross_Site_Scripting)_Prevention_Cheat_Sheet\r\n	 * <br/>\r\n	 * Replace unsafe character &,<,>,\",\',/ with HTML encoded safe one.<br>\r\n	 *\r\n	 * @see https://stackoverflow.com/questions/1265282/recommended-method-for-escaping-html-in-java\r\n	 * @param str\r\n	 *            from IHM or database\r\n	 * @return same string but without XSS potential exploit, can be safely passed\r\n	 *         to IHM for rendering\r\n	 */\r\n	public static String getXSSSafeString(final String str) {\r\n		if (StringUtils.isEmpty(str)) {\r\n			return str;\r\n		}\r\n		final String canonifyed = org.owasp.esapi.reference.DefaultEncoder.getInstance().canonicalize(str);\r\n		return com.google.common.html.HtmlEscapers.htmlEscaper().escape(canonifyed);\r\n	}\r\n\r\n\r\nExemple d\'utilisation : \r\n	public void setMotif(String motif) {\r\n		this.motif = StringUtil.getXSSSafeString(motif);\r\n	}\r\n	public String getMotif() {\r\n		return StringUtil.getXSSSafeString(motif);\r\n	}'),
(36425, 'Côté IHM : mise en place dans la jsp C:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\appliweb\\src\\main\\webapp\\jsp\\administration\\mes-donnees-\r\npersonnelles\\courriel\\pageContent.jsp\r\n\r\nReference à la Tag Lib :\r\n<%@ taglib uri=\"http://www.owasp.org/index.php/Category:OWASP_CSRFGuard_Project/Owasp.CsrfGuard.tld\" prefix=\"csrf\" %>\r\n\r\najout des tokens dans la struts:form :\r\n		<input type=\"hidden\" name=\"<csrf:token-name/>\" value=\"<csrf:token-value/>\"/>\r\n\r\nPour le Web.XML j\'ai suivis la même configuration que dans le doc file://G:\\TMA_RSI_TAIGA\\02-PCA\\01_SuiviDefects\\2017\\D1283-Securité\\NOT_D1283_Etude_Impact_Technique_Note_V1.1.docx\r\nIdem pour le fichier de configuration : 1_titulaire/monEspacePerso/appliweb/src/main/resources/Owasp.CsrfGuard.properties\r\n\r\nEnfin j\'ai ajouté les dependances necessaire dans le pom.xml:\r\n		<dependency>\r\n			<groupId>org.owasp</groupId>\r\n			<artifactId>csrfguard</artifactId>\r\n			<version>3.0.0</version>\r\n		</dependency>\r\n		<dependency>\r\n			<groupId>org.owasp.esapi</groupId>\r\n			<artifactId>esapi</artifactId>\r\n			<version>2.1.0.1</version>\r\n		</dependency>\n\n'),
(36427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nPréparation PPT ODJ atelier 1'),
(36428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-06  (Do not remove this line) -->\nAVV PACA'),
(36429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-04  (Do not remove this line) -->\nAVV PACA'),
(39457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n[V16] NREG manuel sur INT0\r\n\r\nHOST: agpadmi01\r\nPLATFORM: 1.0.187-SNAPSHOT\r\nABP: 16.5.2-SNAPSHOT 396\r\nCMS: fdj_cms-master-223\r\nMETAL: fdj-165-v1.0-6'),
(36432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n'),
(36433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n'),
(36520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nOMNI-CANAL'),
(36435, 'Code sous la branche 17.20.01_002_D1283_18.00_00\n\n'),
(36436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n'),
(36437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\n'),
(36439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nExtraction des incidents'),
(36440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(36441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL FDL017015 sur TR2 ELPHE (installation)'),
(36442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nRAM,003 Gestion des incidents : assistance Tristan Egide ResoCom Pb WS Egide'),
(36443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(36444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nExtraction des incidents'),
(36445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nRéunion Caroline BASSAL Stratégie de test Cautionnement\r\n'),
(36446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL : DMT0016853 FDL018329, FDL 018568, FDL018730 INT2ARCA et INT2CALY regroupement de jeu\r\n'),
(36447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nExtraction des incidents'),
(36448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nMCO EGIDE et Court COmmercial'),
(36449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nLivraison HIA FDL018810 redaction modop, pv d\'acceptation sur INT3EGID'),
(36450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nAnalyse Problème MCO I3 Saga, certains jobs ne se lance pas'),
(36451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nCréation ANO055291 sur FDL017015, PB dans la doc livrée'),
(36452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nExtraction des incidents'),
(36453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nMCO Egide et Court Commercial'),
(36454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nRAM.003 Gestion des incidents : Installation FDL018810 sur INT9EGID\r\n'),
(36455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nRAM.003 Gestion des incidents : Retour arrière sur INT9EGIDE, livraison FDL018180\r\n'),
(36456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL:DMT0016853 : FDL018809 INT2ARCA et INT2CALY regroupement de jeu'),
(36457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL, Rédaction procédures d\'installation et qualification DMT0016853'),
(36464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nAVV LR LOT 3: Atelier de presentation par MOA du POC site grand public'),
(36459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\ninstallation sur plusieurs int avant mep '),
(36467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\nAVV LR ETUDES LOT 3'),
(36468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nAVV LR ETUDES LOT 3'),
(36469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nPT_RIS\r\nPT_ASSURE'),
(36471, 'BUG n°1 : le fichier Owasp.CsrfGuard.properties est dans /pca/logiciel/tomcat/v6.0.33/webapps/mon-compte/WEB-INF/classes à la place de  /pca/logiciel/tomcat/v6.0.33/webapps/mon-compte/WEB-INF\r\n \r\nIdentification : voir le log tomcat localhost.yyyy-mm-dd.log\r\n22 déc. 2017 10:22:20 org.apache.catalina.core.StandardContext listenerStart\r\nGRAVE: Exception lors de l\'envoi de l\'évènement contexte initialisé (context initialized) à l\'instance de classe d\'écoute (listener) org.owasp.csrfguard.CsrfGuardServletContextListener\r\njava.lang.RuntimeException: java.io.IOException: unable to locate resource - WEB-INF/Owasp.CsrfGuard.properties\r\n\r\nCorrection à faire !  soit deplacer le fichier au bon endroit, soit changer le chemin d\'acces au fichier dans le web.xml.emplate\n\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(36472, 'Bug n°2 : \r\n\r\n**espace-perso.log :\r\n\r\n2017-12-22 11:56:57,480 [http-8080-2] user: (session:D35EA3E3CD9A531D7D59C7191F2C4664) [authentification_Login_input] - ERROR - fr.rsi.ptassures.infrastructure.struts.RequestLoggerUtil.logError: authentification_Login_input: exception dans ValueStack\r\norg.owasp.esapi.errors.ConfigurationException: java.lang.reflect.InvocationTargetException SecurityConfiguration class (org.owasp.esapi.reference.DefaultSecurityConfiguration) CTOR threw exception.\r\n	at org.owasp.esapi.util.ObjFactory.make(ObjFactory.java:129)\r\n	at org.owasp.esapi.ESAPI.securityConfiguration(ESAPI.java:184)\r\n	at org.owasp.esapi.ESAPI.logFactory(ESAPI.java:137)\r\n	at org.owasp.esapi.ESAPI.getLogger(ESAPI.java:154)\r\n	at org.owasp.esapi.reference.DefaultEncoder.<init>(DefaultEncoder.java:75)\r\n	at org.owasp.esapi.reference.DefaultEncoder.getInstance(DefaultEncoder.java:59)\r\n	at fr.rsi.ptassures.infrastructure.format.StringUtil.getXSSSafeString(StringUtil.java:95)\r\n	at fr.rsi.ptassures.espaceperso.infrastructure.type.InformationsPerso.setActivation(InformationsPerso.java:356)\r\n	at fr.rsi.ptassures.espaceperso.infrastructure.type.InformationsPersoAdapter.toObjetIhm(InformationsPersoAdapter.java:77)\r\n	at fr.rsi.ptassures.espaceperso.metier.service.RefService.getInformationsPerso(RefService.java:44)\r\n	at fr.rsi.ptassures.coordination.web.authentification.LoginAction.execute(LoginAction.java:110)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)\r\n	at java.lang.reflect.Method.invoke(Method.java:597)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invokeAction(DefaultActionInvocation.java:440)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invokeActionOnly(DefaultActionInvocation.java:279)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:242)\r\n	at com.opensymphony.xwork2.interceptor.annotations.AnnotationWorkflowInterceptor.intercept(AnnotationWorkflowInterceptor.java:124)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at fr.rsi.ptassures.infrastructure.struts.ErrorHandlerInterceptor.intercept(ErrorHandlerInterceptor.java:41)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.DefaultWorkflowInterceptor.doIntercept(DefaultWorkflowInterceptor.java:163)\r\n	at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.validator.ValidationInterceptor.doIntercept(ValidationInterceptor.java:249)\r\n	at org.apache.struts2.interceptor.validation.AnnotationValidationInterceptor.doIntercept(AnnotationValidationInterceptor.java:68)\r\n	at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.ConversionErrorInterceptor.intercept(ConversionErrorInterceptor.java:122)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.ParametersInterceptor.doIntercept(ParametersInterceptor.java:195)\r\n	at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.ParametersInterceptor.doIntercept(ParametersInterceptor.java:195)\r\n	at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.StaticParametersInterceptor.intercept(StaticParametersInterceptor.java:148)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at org.apache.struts2.interceptor.CheckboxInterceptor.intercept(CheckboxInterceptor.java:93)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at org.apache.struts2.interceptor.FileUploadInterceptor.intercept(FileUploadInterceptor.java:235)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.ModelDrivenInterceptor.intercept(ModelDrivenInterceptor.java:89)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.ScopedModelDrivenInterceptor.intercept(ScopedModelDrivenInterceptor.java:128)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at org.apache.struts2.interceptor.ProfilingActivationInterceptor.intercept(ProfilingActivationInterceptor.java:104)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at org.apache.struts2.interceptor.debugging.DebuggingInterceptor.intercept(DebuggingInterceptor.java:267)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.ChainingInterceptor.intercept(ChainingInterceptor.java:126)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.PrepareInterceptor.doIntercept(PrepareInterceptor.java:138)\r\n	at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.I18nInterceptor.intercept(I18nInterceptor.java:148)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at org.apache.struts2.interceptor.ServletConfigInterceptor.intercept(ServletConfigInterceptor.java:164)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.AliasInterceptor.intercept(AliasInterceptor.java:128)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at com.opensymphony.xwork2.interceptor.ExceptionMappingInterceptor.intercept(ExceptionMappingInterceptor.java:176)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at fr.rsi.ptassures.web.presentation.LoginInterceptor.intercept(LoginInterceptor.java:108)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at fr.rsi.ptassures.web.presentation.SessionInterceptor.intercept(SessionInterceptor.java:81)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at fr.rsi.ptassures.infrastructure.struts.NoCacheInterceptor.intercept(NoCacheInterceptor.java:57)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at fr.rsi.ptassures.coordination.web.common.InitInterceptor.intercept(InitInterceptor.java:114)\r\n	at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n	at org.apache.struts2.impl.StrutsActionProxy.execute(StrutsActionProxy.java:52)\r\n	at org.apache.struts2.dispatcher.Dispatcher.serviceAction(Dispatcher.java:468)\r\n	at org.apache.struts2.dispatcher.ng.ExecuteOperations.executeAction(ExecuteOperations.java:77)\r\n	at org.apache.struts2.dispatcher.ng.filter.StrutsPrepareAndExecuteFilter.doFilter(StrutsPrepareAndExecuteFilter.java:76)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at org.apache.struts2.dispatcher.ActionContextCleanUp.doFilter(ActionContextCleanUp.java:102)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at fr.rsi.ptassures.web.presentation.NoCacheFilter.doFilter(NoCacheFilter.java:71)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at fr.rsi.ptassures.web.presentation.EncodingFilter.doFilter(EncodingFilter.java:65)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at org.jasig.cas.client.util.AssertionThreadLocalFilter.doFilter(AssertionThreadLocalFilter.java:40)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at org.jasig.cas.client.util.HttpServletRequestWrapperFilter.doFilter(HttpServletRequestWrapperFilter.java:62)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at org.jasig.cas.client.validation.AbstractTicketValidationFilter.doFilter(AbstractTicketValidationFilter.java:167)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at org.jasig.cas.client.authentication.AuthenticationFilter.doFilter(AuthenticationFilter.java:93)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at org.owasp.csrfguard.CsrfGuardFilter.doFilter(CsrfGuardFilter.java:79)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:291)\r\n	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859)\r\n	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:602)\r\n	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)\r\n	at java.lang.Thread.run(Thread.java:662)\r\nCaused by: java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)\r\n	at java.lang.reflect.Method.invoke(Method.java:597)\r\n	at org.owasp.esapi.util.ObjFactory.make(ObjFactory.java:86)\r\n	... 111 more\r\nCaused by: org.owasp.esapi.errors.ConfigurationException: ESAPI.properties could not be loaded by any means. Fail.\r\n	at org.owasp.esapi.reference.DefaultSecurityConfiguration.loadConfiguration(DefaultSecurityConfiguration.java:443)\r\n	at org.owasp.esapi.reference.DefaultSecurityConfiguration.<init>(DefaultSecurityConfiguration.java:226)\r\n	at org.owasp.esapi.reference.DefaultSecurityConfiguration.<init>(DefaultSecurityConfiguration.java:252)\r\n	at org.owasp.esapi.reference.DefaultSecurityConfiguration.getInstance(DefaultSecurityConfiguration.java:67)\r\n	... 116 more\r\nCaused by: java.lang.IllegalArgumentException: Failed to load ESAPI.properties as a classloader resource.\r\n	at org.owasp.esapi.reference.DefaultSecurityConfiguration.loadConfigurationFromClasspath(DefaultSecurityConfiguration.java:682)\r\n	at org.owasp.esapi.reference.DefaultSecurityConfiguration.loadConfiguration(DefaultSecurityConfiguration.java:440)\r\n	... 119 more\r\n\r\n\r\n** catalina.out\r\n\r\nSystem property [org.owasp.esapi.opsteam] is not set\r\nSystem property [org.owasp.esapi.devteam] is not set\r\nAttempting to load ESAPI.properties via file I/O.\r\nAttempting to load ESAPI.properties as resource file via file I/O.\r\nNot found in \'org.owasp.esapi.resources\' directory or file not readable: /home/pcaprd/ESAPI.properties\r\nNot found in SystemResource Directory/resourceDirectory: .esapi/ESAPI.properties\r\nNot found in \'user.home\' (/home/pcaprd) directory: /home/pcaprd/esapi/ESAPI.properties\r\nLoading ESAPI.properties via file I/O failed. Exception was: java.io.FileNotFoundException\r\nAttempting to load ESAPI.properties via the classpath.\r\nESAPI.properties could not be loaded by any means. Fail. Exception was: java.lang.IllegalArgumentException: Failed to load ESAPI.properties as a classloader resource.\r\n\r\n\r\n\r\n*************\r\nhttps://stackoverflow.com/questions/7696423/trying-to-use-esapi-but-getting-error\r\n\r\nOn peut telecharger un fichier de properties à l\'adresse https://github.com/ESAPI/esapi-java-legacy/blob/develop/configuration/esapi/ESAPI.properties\r\nj\'ai essaye de le mettre dans \r\n* /pca/logiciel/tomcat/v6.0.33/webapps/mon-compte/WEB-INF\r\n* /pca/logiciel/tomcat/v6.0.33/webapps/mon-compte/WEB-INF/classes\r\n* /pca/logiciel/tomcat/v6.0.33/webapps/mon-compte/WEB-INF/lib\r\n(normalement les 2 derniers sont dans le classpath)\n\n'),
(36473, 'Bug n°3 : CsrfGuard , log trop d\'information. Par exemple extrait du fichier catalina.out \r\n\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/struts/utils.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/css/colorbox.css\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/css/select_free.css\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/components/waveplayer/dist/waveplayer.min.css\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/jquery.min.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/jquery-ui.min.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/jquery.switchImg.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/components/waveplayer/dist/waveplayer.min.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/all.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/components/parsleyjs/dist/parsley.min.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/ui.selectmenu.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/jquery.colorbox.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/validation.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/js/jquery.switcher.js\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/mobile/search-button-toggle.png\r\n[Fri Dec 22 11:57:00 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/mobile/search-button-toggle-2.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/bt_recherche.gif\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/mobile/bt_rechercher-2.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/text-size-minus.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/text-size-default.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/text-size-plus.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/arrow-purple.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/recherche.gif\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/list-arrow-purple.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/bg-main-menu-m.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/bg-main-menu-r.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/bg-main-menu-l.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/submit_bas.png\r\n[Fri Dec 22 11:57:01 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/fermer.png\r\n[Fri Dec 22 11:57:10 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/arrow-white.png\r\n[Fri Dec 22 11:57:10 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/bg-main-menu-r_active.png\r\n[Fri Dec 22 11:57:10 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/bg-main-menu-m_active.png\r\n[Fri Dec 22 11:57:10 CET 2017] [Info] CsrfGuard analyzing request /mon-compte/img/bg-main-menu-l_active.png'),
(36474, 'BUG n°4 : les logs sont eparpille sur deux fichiers à la fois catalina.out & espace-perso.log \r\n\r\n--> Faut tout rassembler dans espace.perso.log les stdout qui corresponde à l\'espace perso (surtout les stdout qui se retrouve sans timestamp dans le catalina.out)\r\n\r\n--> revori la configuration de log de tomcat pour ajouter un timestamp sur les logs de catalina.out\n\n'),
(36476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM'),
(36478, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nSAFERGAME : Qualification MOD012912, MOD012913+ DMT0017048'),
(36480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nSAFERGAME : Installation FDL018694 IIB, FDL018768 sur int4'),
(36481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nSAFERGAME : Installation FDL018694 IIB, FDL018768 sur int2'),
(36482, 'Veillez faire attention à la copie des dependances dans le repertoire lib, en effet il semblerais que vos prédécesseur ai fait un peu n\'importe quoi .... dès fois le reprtoire lib est à la racine du projet, dès fois il est dans le sous repertoire target, d\'autres fois les deux cas précédant sont valables.\r\n\r\nVeillez verifier projet par projet que le repertoire lib est bien mis à jours (ET qu\'il est bien supprimé par le plugin clean de maven) \r\n\r\nPour information , un des code possible de copie de dependances dans un reprtoire lib \r\n\r\n			<plugin>\r\n				<artifactId>maven-dependency-plugin</artifactId>\r\n				<executions>\r\n					<execution>\r\n						<phase>install</phase>\r\n						<goals>\r\n							<goal>copy-dependencies</goal>\r\n						</goals>\r\n						<configuration>\r\n							<excludeScope>provided</excludeScope>\r\n							<excludeGroupIds>junit,org.dbunit</excludeGroupIds>\r\n							<excludeArtifactIds>commons-beanutils,commons-collections,commons-lang,commons-logging,log4j,spring-aop,spring-asm,spring-beans,spring-context,spring-core,spring-web</excludeArtifactIds>\r\n							<outputDirectory>${project.build.directory}/lib</outputDirectory>\r\n						</configuration>\r\n					</execution>\r\n					<execution>\r\n						<id>ant-dep</id>\r\n						<phase>install</phase>\r\n						<goals>\r\n							<goal>copy-dependencies</goal>\r\n						</goals>\r\n						<configuration>\r\n							<excludeGroupIds>PT_Assures</excludeGroupIds>\r\n							<outputDirectory>lib</outputDirectory>\r\n						</configuration>\r\n					</execution>\r\n				</executions>\r\n			</plugin>\r\nDans cet exemple, on copie deux fois les dependances dans deux repertoire lib différents : lib & target\\lib ET avec des ensemble différents de dépendances (me demander pas pourquoi c\'est trop tordu pour être humainement apprenhendable).\r\n\r\nEn general l\'érreur viens de l\'utilisation de la variable ${project.build.directory} n\'importe comment, allez faire un tour sur https://stackoverflow.com/questions/1012402/maven2-property-that-indicates-the-parent-directory \r\n\r\nAu vu des scripts ANT, il me semble que seul le repertoire \"lib\" à la racine d\'un sous projet est pris en compte (on confirme ca avec le fait que ce truc est aussi mis dans Git).\r\n\r\n\r\nje présume (/modeHeightBall&CrystalBall) que le \"target/lib\" devais lui peut être servir de classpath au projet sous eclipse... évidament cette attrocité n\'est d\'aucune utilité ==> pensez à supprimer des pom.xml les copie de dependances dans target/lib (vos disque dur qui finirrons peut être par se digivolver en ssd un jour fort fort fort lointain vous en remercirons)\r\n\r\nEnfin, essayer de mettre cette copie de dependance uniquement dans le pom parent : évite la duplication de (faux) code, et ca sera plus simple à enlever un jour.\n\n'),
(36483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n'),
(36484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n'),
(36485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\n'),
(36486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3 (redéfinition des mdp wallet pour tous les users teradata suite à redémarrage des serveurs le 21/12)'),
(36488, 'Bug n°5 : Inscription d\'un utilisateur pour faire un test :\r\n\r\n2017-12-22 14:53:40,828 [http-8080-4] user: (session:39C7ECF03C4509C8014A0C7EC4E89645) [identificationRenforcee] - ERROR - fr.rsi.ptassures.infrastructure.struts.RequestLoggerUtil.logError: identificationRenforcee: exception dans ValueStack\r\norg.springframework.mail.MailSendException: Mail server connection failed; nested exception is javax.mail.MessagingException: Could not connect to SMTP host: 172.16.31.250, port: 25, response: -1\r\n	at org.springframework.mail.javamail.JavaMailSenderImpl.doSend(JavaMailSenderImpl.java:419)\r\n\r\npourtant la propertie \"smtp.host=172.16.31.250\" est la même pour tous les envs : dev,dev2,int,hotfix ...\r\n\r\nFirewall ?\n\n'),
(36490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nScript Auto Falcon\nITF : Paramétrage de la génération du data dans le payload du POST Bet ITG\nFalcon USR 2.10 : Generation API et merge selectif /usr/accounts'),
(36491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nPéparation slides pour MT spec LR Lot 3'),
(36492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n'),
(36493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\n- Roadmap 2018\r\n- Acceptance Vitan 6.0.5\r\n- Acceptance Amex Android 2.0.3\r\n- Installation 1.0.13_sportail sur int0\r\n- Acceptance sportail, wcart, wpsel'),
(36494, 'Adresse du Jenkins http://172.30.152.207:8087/\r\n\r\n\r\nLogin : lquintian\r\nMdp : Valbonne2017'),
(36497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nAnalyse et rédaction du rapport de la Campagne NR FALCON USR 2.9 sur INT1\r\nReunion Roadmap 2018'),
(36498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nOLC : SID Commercial TR3 FDL018447, FDL018666, FDL018669'),
(36660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nExécution, analyse et rédaction du rapport de la campagne d\'acceptance FALCON USR 2.9.1 sur INT7\nMontée en compétence Leïla sur le FALCON USR'),
(36500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nMOKA : Investigation ANO résiduelles.'),
(36501, 'C:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\pom.xml'),
(36502, 'C:\\RSI\\PCA_PT_ASSURE\\1_titulaire\\monEspacePerso\\appliweb\\pom.xml'),
(36504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nExtraction des incidents'),
(36505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(36506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL Qualification FDL017015 -> Pb de données en cours\r\n'),
(36507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nAnalyse erreur MCO I2_Calypso_Majrefe_Acteur.ksh'),
(36512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nOMNI-CANAL'),
(36513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nRDI 1.1'),
(36514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nOMNI-CANAL'),
(36515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\nRDI 1.1'),
(36516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nMCO Court_Commercial'),
(36517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nOMNI-CANAL'),
(36518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\nRDI 1.1'),
(36521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\n'),
(36522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\nRDI 1.1'),
(36523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nRDI 1.1'),
(36524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nOMNI CANAL'),
(36525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nMCO Court Commercial'),
(36654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\n- Daily\n- Acceptances\n- Problèmes back'),
(36653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\n- Daily\n- Acceptances 1.0.9_wcart et Amex iOS 7.0.012'),
(36528, 'bug n°6 :\r\nla doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI\r\n\r\npour reproduire 1570836044094 40 test1234\r\naller sur le changement de coordonnées (on tombe sur la jsp que j\'ai modifier  /jsp/administration/mes-donnees-personnelles/courriel/pageContent.jsp)\r\n java.lang.IllegalStateException: must define \'uri\' attribute when token per page is enabled\r\n   at org.owasp.csrfguard.tag.TokenValueTag.doStartTag(TokenValueTag.java:46)\r\n\r\n   très certainment sur l\'execution du tag  \r\n         <input type=\"hidden\" name=\"<csrf:token-name/>\" value=\"<csrf:token-value/>\"/>\r\n\r\n         Bonne chance !\r\n\r\n2017-12-22 16:52:45,907 [http-8080-4] user:DEVEZE DOMINIQUE (session:4FBB444F8A907DB166F92A289F0FA0ED) [mes-donnees-personnelles_MesDonneesPerso_mail] - ERROR - org.apache.tiles.jsp.taglib.RenderTag.doEndTag: IO Error executing tag: JSPException including path \'/jsp/administration/mes-donnees-personnelles/courriel/pageContent.jsp\'.\r\norg.apache.tiles.util.TilesIOException: JSPException including path \'/jsp/administration/mes-donnees-personnelles/courriel/pageContent.jsp\'.\r\n   at org.apache.tiles.servlet.context.ServletUtil.wrapServletException(ServletUtil.java:232)\r\n   at org.apache.tiles.jsp.context.JspTilesRequestContext.include(JspTilesRequestContext.java:105)\r\n   at org.apache.tiles.jsp.context.JspTilesRequestContext.dispatch(JspTilesRequestContext.java:96)\r\n   at org.apache.tiles.renderer.impl.UntypedAttributeRenderer.write(UntypedAttributeRenderer.java:61)\r\n   at org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer.render(AbstractBaseAttributeRenderer.java:103)\r\n   at org.apache.tiles.impl.BasicTilesContainer.render(BasicTilesContainer.java:659)\r\n   at org.apache.tiles.impl.BasicTilesContainer.render(BasicTilesContainer.java:337)\r\n   at org.apache.tiles.jsp.taglib.InsertAttributeTag.render(InsertAttributeTag.java:234)\r\n   at org.apache.tiles.jsp.taglib.InsertAttributeTag.render(InsertAttributeTag.java:211)\r\n   at org.apache.tiles.jsp.taglib.RenderTag.doEndTag(RenderTag.java:220)\r\n   at org.apache.jsp.jsp.layouts.ptassuresLayout_jsp._jspx_meth_tiles_005finsertAttribute_005f6(ptassuresLayout_jsp.java:350)\r\n   at org.apache.jsp.jsp.layouts.ptassuresLayout_jsp._jspService(ptassuresLayout_jsp.java:118)\r\n   at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)\r\n   at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)\r\n   at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:388)\r\n   at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:313)\r\n   at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:260)\r\n   at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:646)\r\n   at org.apache.catalina.core.ApplicationDispatcher.processRequest(ApplicationDispatcher.java:436)\r\n   at org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:374)\r\n   at org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:302)\r\n   at org.apache.tiles.servlet.context.ServletTilesRequestContext.forward(ServletTilesRequestContext.java:241)\r\n   at org.apache.tiles.servlet.context.ServletTilesRequestContext.dispatch(ServletTilesRequestContext.java:222)\r\n   at org.apache.tiles.renderer.impl.TemplateAttributeRenderer.write(TemplateAttributeRenderer.java:44)\r\n   at org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer.render(AbstractBaseAttributeRenderer.java:103)\r\n   at org.apache.tiles.impl.BasicTilesContainer.render(BasicTilesContainer.java:659)\r\n   at org.apache.tiles.impl.BasicTilesContainer.render(BasicTilesContainer.java:678)\r\n   at org.apache.tiles.impl.BasicTilesContainer.render(BasicTilesContainer.java:633)\r\n   at org.apache.tiles.impl.BasicTilesContainer.render(BasicTilesContainer.java:322)\r\n   at org.apache.struts2.views.tiles.TilesResult.doExecute(TilesResult.java:105)\r\n   at org.apache.struts2.dispatcher.StrutsResultSupport.execute(StrutsResultSupport.java:186)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.executeResult(DefaultActionInvocation.java:361)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:265)\r\n   at com.opensymphony.xwork2.interceptor.annotations.AnnotationWorkflowInterceptor.intercept(AnnotationWorkflowInterceptor.java:124)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at fr.rsi.ptassures.infrastructure.struts.ErrorHandlerInterceptor.intercept(ErrorHandlerInterceptor.java:41)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.DefaultWorkflowInterceptor.doIntercept(DefaultWorkflowInterceptor.java:163)\r\n   at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.validator.ValidationInterceptor.doIntercept(ValidationInterceptor.java:249)\r\n   at org.apache.struts2.interceptor.validation.AnnotationValidationInterceptor.doIntercept(AnnotationValidationInterceptor.java:68)\r\n   at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.ConversionErrorInterceptor.intercept(ConversionErrorInterceptor.java:122)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.ParametersInterceptor.doIntercept(ParametersInterceptor.java:195)\r\n   at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.ParametersInterceptor.doIntercept(ParametersInterceptor.java:195)\r\n   at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.StaticParametersInterceptor.intercept(StaticParametersInterceptor.java:148)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at org.apache.struts2.interceptor.CheckboxInterceptor.intercept(CheckboxInterceptor.java:93)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at org.apache.struts2.interceptor.FileUploadInterceptor.intercept(FileUploadInterceptor.java:235)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.ModelDrivenInterceptor.intercept(ModelDrivenInterceptor.java:89)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.ScopedModelDrivenInterceptor.intercept(ScopedModelDrivenInterceptor.java:128)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at org.apache.struts2.interceptor.ProfilingActivationInterceptor.intercept(ProfilingActivationInterceptor.java:104)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at org.apache.struts2.interceptor.debugging.DebuggingInterceptor.intercept(DebuggingInterceptor.java:267)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.ChainingInterceptor.intercept(ChainingInterceptor.java:126)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.PrepareInterceptor.doIntercept(PrepareInterceptor.java:138)\r\n   at com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.I18nInterceptor.intercept(I18nInterceptor.java:148)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at org.apache.struts2.interceptor.ServletConfigInterceptor.intercept(ServletConfigInterceptor.java:164)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.AliasInterceptor.intercept(AliasInterceptor.java:128)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at com.opensymphony.xwork2.interceptor.ExceptionMappingInterceptor.intercept(ExceptionMappingInterceptor.java:176)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at fr.rsi.ptassures.web.presentation.LoginInterceptor.intercept(LoginInterceptor.java:108)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at fr.rsi.ptassures.web.presentation.SessionInterceptor.intercept(SessionInterceptor.java:81)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at fr.rsi.ptassures.infrastructure.struts.NoCacheInterceptor.intercept(NoCacheInterceptor.java:57)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at fr.rsi.ptassures.coordination.web.common.InitInterceptor.intercept(InitInterceptor.java:114)\r\n   at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:236)\r\n   at org.apache.struts2.impl.StrutsActionProxy.execute(StrutsActionProxy.java:52)\r\n   at org.apache.struts2.dispatcher.Dispatcher.serviceAction(Dispatcher.java:468)\r\n   at org.apache.struts2.dispatcher.ng.ExecuteOperations.executeAction(ExecuteOperations.java:77)\r\n   at org.apache.struts2.dispatcher.ng.filter.StrutsPrepareAndExecuteFilter.doFilter(StrutsPrepareAndExecuteFilter.java:76)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.apache.struts2.dispatcher.ActionContextCleanUp.doFilter(ActionContextCleanUp.java:102)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at fr.rsi.ptassures.web.presentation.NoCacheFilter.doFilter(NoCacheFilter.java:71)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at fr.rsi.ptassures.web.presentation.EncodingFilter.doFilter(EncodingFilter.java:65)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.jasig.cas.client.util.AssertionThreadLocalFilter.doFilter(AssertionThreadLocalFilter.java:40)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.jasig.cas.client.util.HttpServletRequestWrapperFilter.doFilter(HttpServletRequestWrapperFilter.java:62)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.jasig.cas.client.validation.AbstractTicketValidationFilter.doFilter(AbstractTicketValidationFilter.java:167)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.jasig.cas.client.authentication.AuthenticationFilter.doFilter(AuthenticationFilter.java:93)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.owasp.csrfguard.CsrfGuardFilter.doFilter(CsrfGuardFilter.java:79)\r\n   at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)\r\n   at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)\r\n   at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)\r\n   at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)\r\n   at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)\r\n   at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)\r\n   at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)\r\n   at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:291)\r\n   at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859)\r\n   at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:602)\r\n   at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)\r\n   at java.lang.Thread.run(Thread.java:662)\r\nCaused by: java.lang.IllegalStateException: must define \'uri\' attribute when token per page is enabled\r\n   at org.owasp.csrfguard.tag.TokenValueTag.doStartTag(TokenValueTag.java:46)\r\n'),
(36530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\ninstallation recaptcha avec dhira journée a faire des teste pour implementation de la solution'),
(36531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nRéunion pour le projet OmniCanal, création de différents PDV à la demande du projet.\nRéalisation de reprise de donnée pour faire remonter les Agréments et session de SAGA dans EGIDE.\nPurge de la base de donnée EGIDE après l\'exécution des chaines.\nExtraction de donnée EGIDE.\nAdministration de EGIDE via IHM.\nExécution des différentes chaines EGIDE sur Control-M et utilisation d\'informatica pour débloquer les WKF en erreur.'),
(36546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nPostman : optimisation de la collection digishop A'),
(36774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)'),
(36775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)'),
(36555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\n'),
(36557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\nImplémentation de tests auto ARJEL. Mise à jour du référentiel de test.'),
(36561, 'Cloturé ou annulé ALM'),
(36562, 'Cloturé ou annulé ALM'),
(36563, 'Cloturé ou annulé ALM'),
(36564, 'Cloturé ou annulé ALM'),
(36565, 'Cloturé ou annulé ALM'),
(36566, 'Cloturé ou annulé ALM'),
(36567, 'Cloturé ou annulé ALM'),
(36568, 'Cloturé ou annulé ALM'),
(36569, 'Cloturé ou annulé ALM'),
(36570, 'Cloturé ou annulé ALM'),
(36571, 'Cloturé ou annulé ALM'),
(36572, 'Cloturé ou annulé ALM'),
(36573, 'Cloturé ou annulé ALM'),
(36574, 'Cloturé ou annulé ALM'),
(36575, 'Cloturé ou annulé ALM'),
(36576, 'Cloturé ou annulé ALM'),
(36577, 'Cloturé ou annulé ALM'),
(36578, 'Cloturé ou annulé ALM'),
(36579, 'Cloturé ou annulé ALM'),
(36580, 'Cloturé ou annulé ALM'),
(36581, 'Cloturé ou annulé ALM'),
(36582, 'Cloturé ou annulé ALM'),
(36583, 'Cloturé ou annulé ALM'),
(36584, 'Cloturé ou annulé ALM'),
(36585, 'Cloturé ou annulé ALM'),
(36586, 'Cloturé ou annulé ALM'),
(36587, 'Cloturé ou annulé ALM'),
(36588, 'Cloturé ou annulé ALM'),
(36589, 'Cloturé ou annulé ALM'),
(36590, 'Cloturé ou annulé ALM'),
(36591, 'Cloturé ou annulé ALM'),
(36592, 'Cloturé ou annulé ALM'),
(36593, 'Cloturé ou annulé ALM'),
(36594, 'Cloturé ou annulé ALM'),
(36595, 'Cloturé ou annulé ALM'),
(36596, 'Cloturé ou annulé ALM'),
(36597, 'Cloturé ou annulé ALM'),
(36598, 'Cloturé ou annulé ALM'),
(36599, 'Cloturé ou annulé ALM'),
(36600, 'Cloturé ou annulé ALM'),
(36601, 'Cloturé ou annulé dans ALM'),
(36602, 'Cloturé ou annulé dans ALM'),
(36603, 'Cloturé ou annulé dans ALM'),
(36604, 'Cloturé ou annulé dans ALM'),
(36605, 'Cloturé ou annulé dans ALM'),
(36606, 'Cloturé ou annulé dans ALM'),
(36607, 'Cloturé ou annulé dans ALM'),
(36608, 'Cloturé ou annulé dans ALM'),
(36609, 'Cloturé ou annulé dans ALM'),
(36610, 'Cloturé ou annulé dans ALM'),
(36611, 'Cloturé ou annulé dans ALM'),
(36612, 'Cloturé ou annulé dans ALM'),
(36613, 'Cloturé ou annulé dans ALM'),
(36614, 'Cloturé ou annulé dans ALM'),
(36615, 'Cloturé ou annulé dans ALM'),
(36616, 'Cloturé ou annulé dans ALM'),
(36617, 'Cloturé ou annulé dans ALM'),
(36618, 'Cloturé ou annulé dans ALM'),
(36619, 'Cloturé ou annulé dans ALM'),
(36620, 'Cloturé ou annulé dans ALM'),
(36621, 'Cloturé ou annulé dans ALM'),
(36622, 'Cloturé ou annulé dans ALM'),
(36623, 'Cloturé ou annulé dans ALM'),
(36624, 'Cloturé ou annulé dans ALM'),
(36625, 'Cloturé ou annulé dans ALM'),
(36626, 'Cloturé ou annulé dans ALM'),
(36627, 'Cloturé ou annulé dans ALM'),
(36628, 'Cloturé ou annulé dans ALM'),
(36629, 'Cloturé ou annulé dans ALM'),
(36630, 'Cloturé ou annulé dans ALM'),
(36631, 'Cloturé ou annulé dans ALM'),
(36632, 'Cloturé ou annulé dans ALM'),
(36633, 'Cloturé ou annulé dans ALM'),
(36634, 'Cloturé ou annulé dans ALM'),
(36635, 'Cloturé ou annulé dans ALM'),
(36636, 'Cloturé ou annulé dans ALM'),
(36637, 'Cloturé ou annulé dans ALM'),
(36638, 'Cloturé ou annulé dans ALM'),
(36639, 'Cloturé ou annulé dans ALM'),
(36640, 'Cloturé ou annulé dans ALM'),
(36641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-27  (Do not remove this line) -->\n'),
(36642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-07  (Do not remove this line) -->\n'),
(36646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nPostman : optimisation de la collection digishop A\ncorrection des coquilles\n\nRéunion : Test AUTO : FALCON USR - présentation par Elisabeth capdeville du projet VCU.'),
(36644, 'Aucune indication contraire trouvée dans la SFD.\r\nDefect à fermer si pas de règle dans les SFD'),
(36647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-22  (Do not remove this line) -->\nMise au point UTAR pour Roboframework'),
(36719, 'Ajout par le RSI d\'une liste de NIR à vérifier'),
(36728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\n- Daily\n- Qualif Vitan\n- Acceptance wpsel\n- Installation composants amex sur int4\n- ANO055389, ANO055394, ANO055396, ANO055397'),
(36718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\napplication de patch et vérification de scripts'),
(36657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-12  (Do not remove this line) -->\n'),
(36737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nsplit V14 V16'),
(36661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nProjet ROMA : fourniture d\'information à destination du DAT\r\nDéblocage d\'INT1 partie BAN PAYPAL\r\n'),
(36662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nEntretien mission : :-)\r\nProjet ROMA : analyse des problèmes sur la gateway PMS'),
(36663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nProjet ROMA : réunion suite aux difficultés d\'intégration induit par le composant générique Falcon_gateway utilisé par plusieurs équipes.'),
(36665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nProjet ROMA : mise en oeuvre de scripts pour faciliter l\'analyse de l\'état des environnements d\'intégration.'),
(36667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nMerge selectif API vuGen suite à la génération de Falcon USR 2.10-dev2\net transformation des types de parametres numérique sous forme de string dans les dataBuilders (UsrBank,UsrGeo, UsrArjel, UsrAuthentication) et dans les fonctions d\'initialisation FDJ_User_Account.h'),
(36668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nDev scripts pour Falcon USR 2.10 : \r\n- FalconPUTSessionsAuthenticate\r\n- FalconPOSTAccountsAccount\r\n[Atelier avec dev Sport sur les nouveaux composant pour les joueurs retail TMS, RTA,PMS]'),
(36669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nROMA non reg batch 2.9\r\nMCO control M TR 123'),
(36670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nROMA non reg batch 2.9\r\nMCO control M TR 123'),
(36671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nROMA non reg batch 2.9\r\nMCO control M TR 123'),
(36675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nFinalisation du script FalconPOSTAccountsAccount\net ajout de nouvelles fonctions d\'initialisation de données spécifiques à USR 2.10 : setUserBankLimitsAsStrings\nSetAccountOptinsPersonnelData_2_10\nsetUserGender()\nValidation de l\'API en recompilant tous les scipts Falcon'),
(36674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\ndev script auto Falcon'),
(36676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-25  (Do not remove this line) -->\n'),
(36677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nformation / exécution campagne batch 2.9'),
(36678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nformation / exécution campagne batch 2.9'),
(36679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nformation / exécution campagne batch 2.9'),
(36680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nvie des environnements'),
(36681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nTests wamigo'),
(36682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\ntransfert competence johan'),
(36683, 'Ceci est un test'),
(36684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\n-Avancement sur les developpements tests automatique MAG/RobotFrameworek');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(36687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\n-Avancement sur les developpements tests automatique MAG/RobotFrameworek\n- Point Acoompagnement Moustapha Sakho / Convergence des fronts'),
(36690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\n- Correction Bug lié a la config proxy /selenium\n- Point accompagnement Marouan tests auto '),
(36689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\n-Avancement sur les developpements tests automatique MUG/RobotFrameworek'),
(36691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\n'),
(36692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nMCO'),
(36693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nMCO'),
(36694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nMCO'),
(36695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nMCO'),
(36696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nGestion des incidents'),
(36697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nGestion des incidents'),
(36698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nGestion des incidents'),
(36699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nGestion des incidents'),
(36700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification RDI + Formation Julien'),
(36701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification RDI + Formation Julien'),
(36702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification RDI + Formation Julien'),
(36704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018858_egide_4.60.12_liv sur INT4EGID'),
(36705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 -WS  4.07.02 FDL018810 sur INT4EGID'),
(36706, 'Pas de correction, problème de variabilisation'),
(36707, 'Refusé réal : Il s\'agit d\'une évolution'),
(36708, 'Demo Mantis'),
(36709, 'Refus réalisation : il s\'agit d\'une évolution'),
(36710, 'Développement effectué dans la branche 17.20.0_D1480_18.01'),
(36711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nredaction de procedure + redaction de cas de test alm dans le cadre de mon depart'),
(36712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nredaction de procedure + redaction de cas de test alm dans le cadre de mon depart'),
(36713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nredaction de procedure + redaction de cas de test alm dans le cadre de mon depart + entretien telephonique pour integrateur sur boulogne avec r.juanes'),
(36714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nredaction de procedure + redaction de cas de test alm dans le cadre de mon depart'),
(36716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nmigration des branches git avec michel suite mep '),
(36717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nmise a jour des branch git pour recaptcha avec michel suite mep a venir '),
(36778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)\n-Commencer à écrire les tests de la collection Postman FALCON USR 2.9 - Authentification RETAIL: BOX :(à voir avec Audrey)\nRe-exécution de la compagne manuelle 02_IQ_RUN01_Ident Sport PDV_Certification (montée en comp)'),
(36777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)\n-Commencer à écrire les tests de la collection Postman FALCON USR 2.9 - Authentification RETAIL: BOX ::(à voir avec Audrey)Re-exécution de la compagne manuelle 02_IQ_RUN01_Ident Sport PDV_Certification (montée en comp)'),
(36725, 'La RG concernée est la RG_TRANSCO_02_D : La valeur du groupe professionnel GRP_PRO_N n’étant plus obligatoire, elle est égale à ‘I’ par défaut (INCONNU, si valeur du champ absente).\r\nCette MAJ étant accompagnée d\'un signalement de type SU12.\r\n \r\nCette RG est en contradiction avec RG_ELIGIBILITE_01C_D qui dit qu\'il y a rejet de type RS10 si :\r\nPour un enregistrement en entrée de traitement qui contient un groupe professionnel différent de Commerçant et Artisan,\r\n•	Si l’assuré est présent dans le référentiel (NIR trouvé), et si l’assuré est absent du référentiel (NIR non trouvé), le traitement doit rejeter l’enregistrement.\r\n\r\n=> 1ère chose à faire décrire le fonctionnement attendu et mettre à jour la SFD.'),
(36729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\n- Daily\r\n- Modification des catalogues Amex (remplacement videos par providers et ajout du provider betradar)\r\n- PV de qualif Vitan 6.0.5\r\n- Qualif amex ios + android\r\n- ANO055407'),
(36730, 'Gestion des nir decertifie reçu par le batch RIBA.\r\n\r\nEn ajout : \r\n\r\nTout se passe de manière identique à un assure sans NIR decertifié, il aura juste le champ NIR_DECERTIFIE valorisé dans la table ASSURE. L’uid (NIR+CLE_NIR) renseigné dans le LDAP est le NIR certifié.\r\n\r\nEn modification : \r\n\r\nOn détecte les assurés en modification en fonction de  leur présence dans la table assuré. \r\n\r\nDans les table de travail, les personnes avec NIR decertifié qui correspondent à un NIR (colonne NIR de la table ASSURE en base) sont toppé dans les tables de travail comme à traiter dans le cas des NIR decertifiés. Ce qui veut dire que toutes les requêtes nécessitant des jointures avec la table ASSURE seront faites telle que ASSURE.NIR = « FICHIER ».NIR_DECERTIFIE\r\n\r\nLors de la recherche dans le LDAP, les assurés en mode NIR decertifié sont recherchés avec le NIR DECERTIFIE + CLE_NIR calculé pour ce nir.\r\nCe fichier n’est pas utilisé, et ce depuis avant l’optimisation (les versions 15.3.0 et 15.3.1 ont aussi ce comportement) ce qui pose problème (sur le defect 1927 par exemple). De plus, la requête mettant à jour en base l’assuré se base sur le NIR et non le NIR_DECERTIFIE, ce qui ne permet pas de mettre à jour l’assuré en base avec son nouveau NIR. (idem, cet annomalie date de la version 15.3.0/15.3.1, à l’époque seul les admninistrateurs passaient dans le cas de la mise à jour du nir en base).\r\n\r\nPlusieurs implémentation peuvent être faite pour se rapprocher des règles de gestion de la SFD concernant les NIR_DECERTIFIE (RG_MAJ_04/05/06) : \r\n\r\n1)Utiliser le fichier de recherche sur les NIR_DECERTIFIE pour construire le LDIF de modification de l’uid.\r\n2)Modifier la requête de mise  à jour pour effectivement modifier le NIR par le nouveau NIR reçu et mettre à jour la SFD en conséquence.'),
(36731, 'Dump sauvegardé sur la clé dans dumps/dump_17_10\r\n\r\nLes dumps ont été remonté sur DEV et le one note a été mis à jour pour DEV'),
(36732, 'corrigé dans la branche 17.12.0_001_D1966_18.01.0_001'),
(36733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\nExécution de Campagne NonReg sur INT0 pour la V16'),
(36734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\nExécution de Campagne NonReg sur INT0 pour la V16'),
(36735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\nExécution de Campagne NonReg sur INT0 pour la V16'),
(36736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nExécution de Campagne NonReg sur INT0 pour la V16'),
(36863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nSplit V14 V16'),
(36865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nSplit V14 V16'),
(36864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nSplit V14 V16'),
(36912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nTest de scripts et split V14 V16'),
(36840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nEtude  préparatoire pour tests migration V14 -> V16'),
(36841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nRédaction cas de tests migration V14 -> V16'),
(36842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nRédaction cas de tests migration V14 -> V16'),
(36828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nfin transfert competence johan'),
(36850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Test Mika / ARJEL) + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\''),
(36851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Test Mika / ARJEL) + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\''),
(36754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\na completer'),
(36755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\na completer'),
(37588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\n- déploiement boutiques int82\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.0.0\',\n  \'digishopg\': \'2.0.0\',\n- déploiement boutiques int22\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.0.0\',\n  \'digishopg\': \'2.0.0\',\n- maj tests postman boutique game 2.0.0'),
(36757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\na completer'),
(36758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\na completer'),
(36759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\na completer'),
(36760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\na completer'),
(36761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\na completer'),
(36762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\n'),
(36767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nDemandes accès pour R bienvenu'),
(36768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\npréparation base INT8 pour anonymisation\r\nModification des procédures d\'anonymisation pour COMMIT tous les 5000 articles\r\n'),
(36769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\n[INC185873] Résolution de l\'incident relatif au refresh du cube de CA sur le passage de 2017 à 2018 + analyse et résolution du problème de perte de job sur les montées au plan des 01/01 et 02/01/2018 lié au calendrier controlm + analyse du problème de génération des rapports pour reshyperdrive'),
(36771, 'REF_ASSURE : Batchs RIBA et ASUR, version 17.12.0'),
(36772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\n'),
(36932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nkjkjk'),
(37079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n102533 '),
(37080, 'Correction effectuée, mise en place des variables passées en paramètre en local.\r\nAucune des variables passées en paramètres n\'étaient modifiées dans les méthodes buguées.'),
(36811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nSIDC TR2 déblocage suite a un problème de données sur le fichier JSOURCE champ NOM à null // SIDC TR3 déblocage suite a un problème de données sur le fichier JSOURCE champ NOM à null // SIDC TR1 En attente mise a niveau // SIDCOM TR2 préparation pour la reprise de données depuis le 22/12 // SIDCOM TR3 préparation pour la reprise de données depuis le 22/12'),
(36784, ''),
(36785, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\naaa'),
(36789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nSAFERGAME : Vérification des anomalies créées par la recette + Test chaîne de détection suite livraison+ Création ANO055434'),
(36790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\n'),
(36791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nSAFERGAME : Installation FDL018884 saga sur int2'),
(36792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nSAFERGAME : Installation FDL018884 saga sur int4'),
(36795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-13  (Do not remove this line) -->\n'),
(36796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-11-14  (Do not remove this line) -->\n'),
(36797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nMCO EGIDE / SAGA'),
(36798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse avec SOPRA'),
(36799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE  RDI'),
(36800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nregénération des tables clients et flc_jsource suite pb arret anonymisation\r\nsuivi du de l\'anonymisation\r\n[Chargement client]  Avancement + préparation réunion 09/01'),
(36803, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n[SIDCOM] Assistance sur installation preprod'),
(36804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n[RAM.004] Assistance sur le dé-commissionnement des chaines RESHYPERDRIVE +  mise à jour du document d\'ordonnancement + création de la DMT DMT0017283 pour modification des chaines d\'intégration'),
(36805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nINC185959 et INC185916: analyse et assistance'),
(36806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nSIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK // SIDCOM TR3 déblocage manuel // SIDC TR1 bloqué'),
(36807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nAjustement du Volley en V16'),
(36808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nAjustement du Volley en V16'),
(36809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nAjustement du Volley en V16'),
(36810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n[ABPv16] Etat des lieux avant installation'),
(37081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nAmélioration test postman faq\nAnalyse/modification du crontab des envrionnements edwan suite à de nombreux mails envoyé apres execution\nPoint convergence - Rappel de l\'arborescence/format attendu dans la prochaine livraisons symfony et drupal\n'),
(36931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nnvnb'),
(36814, '[highlight=yellow]test [/highlight][b]BBCode+[/b]'),
(36815, '[b]plugin[/b] [highlight=yellow]BBCode+[/highlight] [i]installé[/i]'),
(36820, 'Une version de test a été développée dans une branche.\r\nBase de la preprod ok'),
(37582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n- maj doc swagger digishop-p 2.1.0\n- support stream boutiques, déploiement ko int11, pb de pinpoint\n- déploiement boutiques palier roma int11\n  \'digishopa\': \'6.0.0\',\n  \'digishopi\': \'6.0.0\',\n  \'digishopu\': \'6.0.0\',\n  \'digishopp\': \'1.7.2\',\n  \'digishopg\': \'1.0.8\',\n- déploiement boutiques palier-amigo int92\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.1.0\',\n  \'digishopg\': \'2.0.0\',\n- qualification gigishop-p 2.1.0\n- déploiement boutiques palier-roma int31\n  \'digishopa\': \'6.0.0\',\n  \'digishopi\': \'6.0.0\',\n  \'digishopu\': \'6.0.0\',\n  \'digishopp\': \'1.7.2\',\n  \'digishopg\': \'1.0.8\',\n- création ANO055648 [GEORESTRICTION] Réponse incorrecte du service avec une IP française '),
(37587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\na compléter stp'),
(37583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n- support dev, environnement int92 ko sur palier convergence\n- [SALT] Configuration SALT pour nouveau service /georestriction/get\n- [SALT] intégration cetificats ariase pour nouveau service georestriction branche develop\n- [SALT] mise à niveau des branches salt avec develop'),
(36825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nDev VuGen - Point hebdo.  	Mise au point UTAR pour Roboframework'),
(36826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n#matin #midi #aprem D1283 : Commencer le chantier sécurité\n\n- Regarder la branche de @LaurentQ\n  - Ajout de l’échappement des caractère sensible dans les get set de\n    - 1_titulaire/monEspacePerso/appliweb/src/main/java/fr/rsi/ptassures/espaceperso/infrastructure/type/IdentificationRenforcee.java\n    - 1_titulaire/monEspacePerso/appliweb/src/main/java/fr/rsi/ptassures/espaceperso/infrastructure/type/InformationsPerso.java\n  - Nouvelle méthode pour échappé des caractère sensible 1_titulaire/monEspacePerso/appliweb/src/main/java/fr/rsi/ptassures/infrastructure/format/StringUtil.java\n  - Mise en place de CsrfGuard \n    - 1_titulaire/monEspacePerso/appliweb/src/main/resources/Owasp.CsrfGuard.properties\n    - 1_titulaire/monEspacePerso/appliweb/src/main/webapp/WEB-INF/web.xml.template\n    - ?#ko Test de mise en place dans 1_titulaire/monEspacePerso/appliweb/src/main/webapp/jsp/administration/mes-donnees-personnelles/courriel/pageContent.jsp\n- retrouver la fiche Mantis\n- 0023826: 1283 [DEV] PT_ASSURE - CSRF-Mise en place solution initiale-\n  \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826\"\n  - #Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI\n    \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826#c36528\"\n    - Infos (DEV2, 1570836044094, 40, test1234)\n    - #ok Reproduire (DEV2, 1570836044094, 40, test1234)\n      - Connexion #ok\n        - fichier hosts #ok\n        - ip #ok\n      - #ko Aller sur le changement de coordonnées (on tombe sur la jsp modifié  /jsp/administration/mes-donnees-personnelles/courriel/pageContent.jsp)\n    - Analyse \n      - La marque de valeur de jeton doit être utilisée conjointement avec l\'attribut URI lors de l\'utilisation du modèle de jeton par page unique (org.owasp.csrfguard.TokenPerPage). La valeur de l\'attribut uri est l\'URI pour laquelle la valeur du jeton sera affichée.Considérez l\'exemple suivant qui définit l\'URI à la destination du formulaire, \"protect.html\"\n    - Developement\n      - <input type=\"hidden\" name=\"<csrf:token-name/>\" value=\"<csrf:token-value uri=\"pageContent.jsp\"/>\"/>\n      - modification des pom.xml via ceux de @LaurentQ mis dans la fiche mantis\n        - modification du numéro de version\n        - ajout de dependency : org.owasp et org.owasp.esapi\n        - Build #ok'),
(37585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n- Maj tests postman digishop-p'),
(36926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\njfhjghj'),
(37225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nTraitement :\nPHP-1008 [ANO055300] [MRCD/Amigo] Depuis l’appli Native FDJ les scans de reçus Amigo ne fonctionnent pas -> Erreur traitement info ESTE / MRCD'),
(36936, 'Tests unitaires OK'),
(36937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n'),
(36938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse avec SOPRA'),
(36928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nljklkjl'),
(36927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nkkhk'),
(37222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nTraitement :\nPHP-997 [ANO053814] [Loto] L’image du partage Emoji n’est pas la bonne'),
(36835, 'Laure SADIO 04/01/2018: Bonjour, Suite à une évolution, seuls les groupes professionnels commerçant et artisan sont acceptés (cf RG_ELIGIBILITE_01C_D), les autres groupes professionnels donnent lieu à un rejet RS10.\r\nLa RG_TRANSCO_02_D qui indique d\'emmettre le signalement SI12 n\'a donc plus lieu d\'être.\r\nSouhaitez-vous une mise à jour de la SFD Batch RIBA ?'),
(36836, 'ID test HP ALM : 1031'),
(36837, 'Demande au RSI d\'ajouter au ticket ALM du fichier PortailAssure.csv correspondant'),
(36838, 'LDAP testing OWASP\r\n\r\nhttps://www.owasp.org/index.php/Testing_for_LDAP_Injection_(OTG-INPVAL-006)'),
(36843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nPrise connaissance mails suite absence.\n\nExécution Campagne 16.5.1-SNAPSHOT 341 - NREG  (ATS - arrêt suite limitation front).\n\nMise en place fichier Excel pour comparaison des résultats de campagnes.'),
(36844, 'Les quatre exemples donnés ont tous le champ NIR_DECERTIFIE d\'une valeur égale à celle du champ NIR.\r\nEn faisant des tests, je me suis aperçu que de tels éléments ne sont pas traités par le batch RIBA et que les assurés n\'apparaissent pas dans les fichiers LDIF générés. Le rôle APP005 est présent après passage du batch parce qu\'il était présent avant celui-ci et que le batch n\'a pas modifié ces comptes.\r\nProposition faite au RSI : La correction de cette anomalie peut être prise en compte dans réflexion menée en ce qui concerne le traitement des NIR décertifiés (cf. #1337)'),
(36845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nSIDC TR2 OK mais anomalie ANO055477 // SIDC TR3 OK // SIDC TR1 A mettre a niveau // SIDCOM TR2 OK // SIDCOM TR3 OK'),
(36866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n[MOKA] [BDI.055.31 [PTF] CRM] Analyse et création anomalie SIDC ANO055477 sur la non correspondance de taille des champs entre FALCON et SID + conference avec le DEV teradata et IQ digital'),
(36861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Test Mika / ARJEL) + Requête ALM pour afficher Status des tests a plusieurs CONFIGURATION + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\''),
(36860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Test Mika / ARJEL) + Requête ALM pour afficher Status des tests a plusieurs CONFIGURATION + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\''),
(36858, 'ID test HP ALM : 1032'),
(36859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Test Mika / ARJEL) + Requête ALM pour afficher Status des tests a plusieurs CONFIGURATION + [V16 / 16.5.1-SNAPSHOT 341 / INT0]: Exécution des Tests \'possibles\''),
(36862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n.'),
(36907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n[MOKA] Support a la RFC RFC004516 + revue du statut des FDLs et des anomalies associées'),
(36869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nTest V1.14.1 : redaction + execution \r\nReproduction bug V1.14.0 remontés par client'),
(36870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nTests V1.14.1'),
(36871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-14  (Do not remove this line) -->\npassage + exécution des tests'),
(36877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-20  (Do not remove this line) -->\npassage + exécution des tests'),
(36873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\npassage + exécution des tests'),
(36875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-15  (Do not remove this line) -->\npassage + exécution des tests'),
(36876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\npassage + exécution des tests'),
(36878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-21  (Do not remove this line) -->\npassage + exécution des tests'),
(36879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-27  (Do not remove this line) -->\npassage + exécution des tests'),
(36880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-28  (Do not remove this line) -->\npassage + exécution des tests'),
(36881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nEn se basant sur le Template BADMINTON crée par Elise sur INT8, je l\'ai crée sur INT0, et qualifié. '),
(36882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nCréation et qualification du Template BeachVolley sur INT0 (V16) à partir de zéro\r\n\r\n'),
(36883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nCréation et qualification du Template BeachVolley sur INT0 (V16) à partir de zéro\r\n\r\n'),
(36884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nSIDCOM TR2 Bloqué PB de vue dans calypso sur le R_SAG_REF_DISTRIBUTION // SIDCOM TR3 OK // SIDC TR1 en attente mise a niveau // SIDC TR2 OK // SIDC TR3 OK'),
(36885, 'Il s\'agit du batch ASUR et non RIBA'),
(36887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nSAFERGAME : Installation FDL018838 CFM, FDL018857 Datastage sur int2'),
(36889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne'),
(36893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nSAFERGAME : Suite à une coupure de réseau ,il a fallu resynchroniser toutes les applis sur int_2 et int_4 + lancement de la chaîne de détection + PV Datastage/Folio phase 2'),
(36895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nSAFERGAME : Qualification ANO054562+ PV IIB/SPSS/ODM + SAGA phase 2'),
(36910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nSAFERGAME : Qualfication ANO054837, MOD013289 + PV Cognos+I2/ANB+SQL phase 2+ Création DMT0017396'),
(36908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n[ABPv16] État des lieux des FDLs a installer'),
(36904, 'SFD RIBA Mise à jour V10maj0'),
(36963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n[ABPV16] Installation de 5 FDLS FDL_17617_SIDC_SID2_7.2.1, FDL_18168_SIDC_SID2_7.2.1.1, FDL_17698_SIDC_DDLS_7.5.0 , FDL_17700_SIDC_VRPT_7.5.0, FDL_18199_SIDC_DDLS_7.5.2'),
(36911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n'),
(37112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\najout génération fichiers FL_DATAS Vides.\nAssistance Kevin Decneudt sur chargement FL_DATAS Bouchon (Mauvais type de transfert fichier entre son PC et Unix)'),
(36915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n#day D1283 : \r\n\r\n\" #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\"\r\n\r\n- 0023826: 1283 [DEV] PT_ASSURE - CSRF-Mise en place solution initiale-\r\n  \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826\"\r\n  - #Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI\r\n    \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826#c36528\"\r\n    - #ok modification de la JSP de test directement sur le serveur avec la version de @LaurentQ \r\n      - l\'accès à la page fonctionne\r\n    - trouver les modification faites sur le serveur\r\n      - Récupérer les apps du serveur\r\n      - Faire une comparaison avec les wars produit avec la branche\r\n      - Réintégrer les modifications\r\n        - fichier de properties\r\n          - new file:   1_titulaire/monEspacePerso/appliweb/src/main/webapp/WEB-INF/ESAPI.properties\r\n          - new file:   1_titulaire/monEspacePerso/appliweb/src/main/webapp/WEB-INF/Owasp.CsrfGuard.properties\r\n        - uniformiser les numéros de version entre pom.xml et env.properties (18.00.00-SNAPSHOT->18.00.00)\r\n          - find /c/RSI/PCA_PT_ASSURE/1_titulaire/ -name \"pom.xml\" -type f -exec sed -i \"s/18.00.00-SNAPSHOT/18.00.00/g\" {} \\;\r\n        - copier les pom.xml dans les fichier externaliser\r\n          - création script\r\n        - faire un commit de sauvegarde\r\n        - modifier les scripts d\'upload pour dev2\r\n    - #KO Déployer(#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, 332bbc15f5fc6fdd772aef8bc758bc3b3d541ab5 (local))\r\n      - Commiter\r\n      - Compiler le projet (Maven et Ant)\r\n      - Transférer les wars\r\n      - Déployer les wars\r\n      - #KO Vérification de connexion\r\n      - #ko Débogage infructueux\r\n    - Restauration de la version de @LaurentQ\r\n      - re modification de la JSP de test\r\n      - écriture d\'un script pour restaurer des backup\r\n      - connexion #KO\r\n        - erreur oracle dans les logs\r\n          - #ask trop de session ?'),
(36917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nsuite de dev des services Falcon USR 2.10\r\n+  pb de publication API à résoudre'),
(37309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nSplit V14 V16'),
(37310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nSplit V14 V16'),
(37311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nSplit V14 V16'),
(37312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nSplit V14 V16'),
(37589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n- pt stream php pour synchro datas amigo dans le broadcast\n- pt d\'avancement projet Amigo et livraisons\n- support recette pour tests service digishop-g parlier amigo\n- remonté ano sur promulgation amigo, colonne nbtirjour tjrs à 0\n- alerte remontée sur swagger abs /1.3/get-home palier amigo'),
(37590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n- support stream illiko pour récupération données en base edwan\n- réunion amigo pour avancement boutiques game et public\n- pb service pdv, pas de gestion des pdv amigo\n- [SALT] travail sur services digishop I-A-U pour suppression des services obsolètes'),
(37591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n- qualification boutique game\n- alerte remotnée pour mep amigo, pas de gestion des promotions à ce jour'),
(36929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n*lm*l**'),
(36939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse avec SOPRA'),
(36940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse avec SOPRA'),
(36943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nMCO'),
(36942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nMCO'),
(36944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nMCO'),
(36946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(36947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(36948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(36950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL \n - CSAM pb licence sur les environnements'),
(36951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL \r\n - CSAM pb licence sur les environnements'),
(36952, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ndevis\n<!-- CODEVTT_TAG_READ_BY lbayle  --- 2018-01-08 18:01:06 -->'),
(36953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n- Récupération de l\'évolution 1.2.2 depuis la solution Git\r\n- Intégration de l\'évolution 1.2.2 dans la solution SVN\r\n- Livraison de l\'évolution 1.2.2'),
(36954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nCNIL : Analyse Incidents de Prod'),
(36955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nAtelier technique Man lot3 avec client'),
(36956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n'),
(36957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nredaction tests Evol Pilotes AVUR'),
(36958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\njournée GPMM'),
(36959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nTests Qualif interne V1.14.1'),
(36960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nSIDCOM TR2 OK apres renseignement des wallets // SIDCOM TR3 OK // SIDC TR2 OK // SIDC TR3 OK'),
(36962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n[ABPv16] Installation de 12 FDLs: FDL_18201_SIDC_DDLS_8.0.0,  FDL_18202_SIDC_SID2_8.0.0, FDL_18343_SIDC_ADOB_8.0.0 , FDL_18459_SIDC_ADOB_8.0.0.1, FDL_18648_SIDC_VFLX_ADB_8.1.0,FDL_18700_SIDC_SID2_8.0.0.1, FDL_18736_SIDC_VRPT_8.0.2, FDL_18756_SIDC_SID2_8.0.1,FDL_18766_SIDC_PTCH_SID2_8.0.0,FDL_18302_SIDC_DDLS_8.2.0,FDL_18303_SIDC_SID2_8.2.0,FDL_18304_SIDC_VRPT_8.2.0'),
(36964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nExtraction des incidents'),
(36965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nMCO EGIDE et Court Commercial'),
(36967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nBCO.081.31  [ME] COMMERCIAL FDL017015, INT4ELPHE (Fichier CSV pour exemple, attente du fichier définitif ??? -> Anis)'),
(36971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nExtraction des incidents'),
(36970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\n'),
(36972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nMCO Court Commercial '),
(36973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nBCO.081.31  [ME] COMMERCIAL FDL017015, INT4ELPHE, PB de tablespace (création INC186067)'),
(36974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER : FDL018855 installation WS 4,08 sur INT3EGID'),
(36975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, FDL018877 sur INT2SAGA'),
(36976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nAssistance recette Richard, relance chaine manuellement sur INT4SAGA'),
(36977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nExtraction des incidents'),
(36978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nMCO Court Commercial'),
(36979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, FDL018877 sur INT2SAGA retour arriere sur V_COMMUNE_CALYPSO (idem INT3)'),
(36980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nRAM.004 , DMT0016856, FDL018643 sur INT2CALY et INT2ARCA'),
(36981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nAnalyse Pb sur flux Calypso_wkf_referentiel et Odyssee_ret_ticket'),
(36983, 'A tester sur le mode ecole'),
(36984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nAvant vente POC Codif automatique'),
(37091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" (Test Mika / ARJEL) '),
(38006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nImplémentation cas de test V16: Live et sports mineurs'),
(38007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nImplémentation cas de test V16: Live et sports mineurs'),
(38008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nImplémentation cas de test V16: Live et sports mineurs'),
(37492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nCréation et qualification du Template BeachVolley sur INT0 (V16) à partir de zéro'),
(37493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n-Implémentation et qualification de PDJ multisports sur V16 et V14, après avoir Inclus les 4 nouveaux sports mineurs. \n-Implémentation de PDJ Live sur V16'),
(37494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n-Implémentation et qualification de PDJ multisports sur V16 et V14, après avoir Inclus les 4 nouveaux sports mineurs. \n-Implémentation de PDJ Live sur V16'),
(37495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n-Implémentation et qualification de PDJ multisports sur V16 et V14, après avoir Inclus les 4 nouveaux sports mineurs. \n-Implémentation de PDJ Live sur V16'),
(37496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n-Implémentation et qualification de PDJ multisports sur V16 et V14, après avoir Inclus les 4 nouveaux sports mineurs. \n-Implémentation de PDJ Live sur V16'),
(37497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n-Implémentation et qualification de PDJ multisports sur V16 et V14, après avoir Inclus les 4 nouveaux sports mineurs. \n-Implémentation de PDJ Live sur V16'),
(37085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nAutomatisation : Analyse cas de test non passant '),
(37345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nImplémentation Campagne V16\nImplémentation Campagne V14'),
(37736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nImplémentation Campagne V16'),
(37084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n[V16] [AUTOMATISATION] Lecture des docs de Spécification de l\'automatisation - V:\\SIO\\Partage\\Automatisation\\Programme Sport\\Documents\\Spécification-Automatisation-SPORT\n\n[V16] Vérification manuel de l’intégrité des templates migré sur INT0'),
(37278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\narrétée'),
(37167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nSupport sur scripts auto Falcon\nMise à jour des scripts du palier VCU'),
(37252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nvie de environnements'),
(37322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nFDL018939'),
(37028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nA compléter stp'),
(37227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nFDL018789'),
(37231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nFDL018789'),
(37235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nFDL018789'),
(37020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nA compléter stp'),
(37021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nA compléter stp'),
(37022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nA compléter stp'),
(37023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nA compléter stp'),
(37024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nA compléter stp'),
(37025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nA compléter stp'),
(37026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nA compléter stp'),
(38057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n- réunion HIA point MEP Amigo\n- investigation ANO055648 [GEORESTRICTION] Réponse incorrecte du service avec une IP française \n- support dev stream PHP service MRCD\n- création ANO055783 [AMIGO] Différences entre coordonnées X du service /pdv/get et base sqlite\n- maj tests postman sur services pdv digishop-public'),
(38056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n- qualification anos 4_3_3_MRCD\n- déploiement boutiques palier amigo int82\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.1.1\',\n  \'digishopg\': \'2.0.0\',\n- déploiement boutique palier amigo int22\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.1.1\',\n  \'digishopg\': \'2.0.0\',\n- qualification anos livraison digishop-p 2.1.1 pour mep amigo\n- mise à jour modop Amigo Stream Boutiques\n- mise à disposition périmètre de tests Palier Amigo\n- création ANO055821 [AMIGO] Service /georestriction/get non permissif en cas d\'échec de connexion avec ariase\n- tests sur service ariase'),
(37323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nFDL018950'),
(37324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nFDL018963'),
(37326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n FDL018974'),
(37325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n FDL018974'),
(37327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nFDL018973'),
(37296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n- Traitement anomalie Google Recaptcha (lenteur + ouverture flux PSEL)\n- Point Roma => Plus de layer de transition login / email coté Front , point avec le back pour savoir si l\'on migre les joueurs'),
(37286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n- rattrapage mails suite congés\n- travail sur Google Recaptcha (Pallier BALI)'),
(37307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n- Correction problème page inscription AMEX (cache Hazelcast / Boutik)\n- Mise à niveau iso prod INT61 pour fournir à l\'équipe dev Coco un env de Pré Q\n- Point sur services Boutik pour ROMA (INT71) => Ano sur GetPaymentWalletURL (modif CB)'),
(37288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nVisite des \"Parisiens\"\n- Réunions VCU'),
(37320, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n- Mise à niveau INT61\n- Support Dev / Tests ; fourniture jdd\n- Ecriture tests Google Recaptcha => A voir si possible avec Robot Framework'),
(37139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse avec SOPRA'),
(37732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n'),
(37238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nFDL018936 '),
(37247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nFDL018943'),
(37251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nFDL018937'),
(37262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nFDL edwan AMIGO nouvelle versio'),
(37261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nFDL edwan AMIGO nouvelle version'),
(37242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n- point VCU\n- développement de tests automatiques sélénium'),
(37264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n-Point test automatique avec le stream web app \n-Démonstration remonté résultat test auto sélénium sur ALM\n-Correctionde bug lié a l\'execution des tests convergence des fronts sur IE et chrome  \n'),
(37266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nDemo convergence des fronts\nDocumentation VCU\nPoint sur la mise en place des tests auto sur le Git de dev '),
(37269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n-Présentation fonctionnelle VCU\n-strategie de tests Front'),
(37328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n-Mise en place de tests auto VCU'),
(37275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\ninstallationdes environement pour GOOGLE RECAPTCHA'),
(37300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\ninstallation google recaptcha sur plusieur enviroment et environ 2h de coupure wifi sur la journée'),
(37304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nenviron 3 a 4 h de coupure wifi sur mon poste en attente de solution et installation de vsr moka sur different environement '),
(37306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nconfiguration des differents int pour installation google recaptcha'),
(37482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n3h de coupure wifi et mise a niveau des boutiques branch roma'),
(37250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nAnalyse :\nPHP-1020 [ANO054445] [Appli FDJ / MRCD] Caractere spéciaux sur notifications de scan d\'un reçus non pris en compte, la notifications est donc illisible (ANO aussi en PROD)'),
(37254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nEvolution\nPHP-1017 [MOD013317] Log complet des requêtes et réponses MRCD'),
(37725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nEvolution\nPHP-1017 [MOD013317] Log complet des requêtes et réponses MRCD\nLivraison de MRCD 4.3.1'),
(37389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nAmélioration test postman (suite)\nAnalyse presence et bon fonctionnement du job broadcast FALCONAPI sur CTRL M'),
(37171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nDiff du nouveau Falcon USR 2.10.0-alpha\nRecenssement des évolution de service de la 2.10 pour mettre à jour le fichier Excell de la liste des services\nEvolution sur les services PMS suite à  la livraison d\'une nouvelle version du composant, afin de générer un nouveau header avec une valeur unique a chaque appel de service PMS'),
(37329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" + [V16 / Migration Template / INT0]: Vérification de l\'intégrité des templates (avec Documents + Pré-PROD)'),
(37093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)\r\n-Commence r à écrire les tests Postman pour identification PDV'),
(37330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" + [V16 / Migration Template / INT0]: Vérification de l\'intégrité des templates (avec Documents + Pré-PROD)'),
(37331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" + [V16 / Migration Template / INT0]: Vérification de l\'intégrité des templates (avec Documents + Pré-PROD)'),
(37332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n[V16 / ALM]: Maj Tests Existants \"V14\" en \"V16\" + [V16 / Migration Template / INT0]: Vérification de l\'intégrité des templates (avec Documents + Pré-PROD)'),
(37097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n[ABPv16] Installation des 6 FDLs ETL FDL017258_Cli_2.12.0\r\n, FDL018792_Cli_2.15.3, FDL018696_Cli_2.15.2\r\n,FDL018347_Cli_2.15.1, FDL017683_Cli_2.13.0, FDL017167_Cli_2.8.0'),
(37158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n[ABPv16] Etat des lieux Flux ETLs pour mise a niveau vers version ABPv16'),
(37099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nDevis ANVCTX'),
(37105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nAutomatisation : Analyse cas de test non passant\nImplémentation Campagne V16'),
(37101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(37103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-19  (Do not remove this line) -->\n'),
(37104, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nIntégrer dans Git\r\n\r\nRAF:\r\n- Récupérer la solution à jour\r\n- Intégrer les modifications\r\n- Tester'),
(37628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nAjout de la tuile utilisateur \"Mails Sortants\"\n\nNB: Comme je ne peux pas renseigner une durée inférieure à 0.25, je précise ici que pendant 0.25 j\'ai également apporter des petites modifs sur la tâche 1_3_1 Qualification \n(le temps exact passé sur ces 2 tâches est 1h20)'),
(37108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nRobot'),
(37109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nImplémentation microservice'),
(37110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\napi dto habilitation + microservice'),
(37111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nTest pour mise en prod et analyse '),
(37113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nRécupération donnée'),
(37124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nMise au point de scripts de contrôle d\'intégrité de base de données ABP après migration'),
(37125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nMise au point de scripts de contrôle d\'intégrité de base de données ABP après migration'),
(37126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nMise au point de scripts de contrôle d\'intégrité de base de données ABP après migration'),
(37127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nMise au point de scripts de contrôle d\'intégrité de base de données ABP après migration'),
(37128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nMise au point de scripts de contrôle d\'intégrité de base de données ABP après migration'),
(37419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nentretien fin d\'année'),
(37130, 'L\'env fonctionnait avant Noel, la Doc sur les actions menées pour maj DEV2 sont dispo dans oneNote, en bas de la page:\r\nA_Environnements/Env ATOS/DEV2\r\n\r\nCes infos ne sont pas vraiment mises en page, mais on retrouve le nom des fichiers modifiés et les IP changées.\n\n'),
(37132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3 + Reprise sur doublons falcon SID Client TR3.'),
(37133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nMCO : Analyse source des doublons Falcon (fichier JSITE)'),
(37134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3 + Reprise sur doublons Falcon SID Client TR3.'),
(37135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n[ABPv16] Installation de 4 FDLs FDL018732: Univers SID CLIENT v8.0.3  - Palier CRM lot 1/Moka, FDL018734: Univers SID BAFIM v.8.0.2 - Palier CRM lot 1,FDL018735: Univers SID BEAS v8.0.1 - Projet CRM lot 1, FDL018760 : Livraison SID CLIENTS SPORT v8.0.1 - CRM lot 1'),
(37136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nessais optimisation anonymisation'),
(37137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nmalade'),
(37141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(37142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nMCO'),
(37144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(37145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse avec SOPRA'),
(37146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - ENVELOPPE  - CSAM Sign&Go Installation et qualif  FDL018850_Pfjeux_MOD012766'),
(37147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n BPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse avec SOPRA '),
(37148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - contribution test pfjeux pour SOPRA'),
(37149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n'),
(37152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n[BPS.057.32 - Architecture Omnicanal Sport v1] Installation des 2 FDLs FDL018966, FDL018967'),
(37151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n104886'),
(37153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n0.75 -> correction anomalie 91936 car impossible de creer un porteur\r\n0.25 -> 104886 '),
(37154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n0.25 => 104886\r\n0.75 => 94125'),
(37156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n[ABPv16] analyse plantage chargement L_SIC_INFO_JOUEUR fichier PJEU sur chargement SIDC TR1'),
(37157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n[ABPv16] création des anomalies ANO055596, ANO055594, ANO055593 relatives aux univers'),
(37159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nME Commercial : Oracle v12 INT4CALY - Validation du module FILE + Vérification données + DMT pour mise à jour des données'),
(37160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n- Saisie des temps des semaines S4 et S5'),
(37584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n- [SALT] Configuration SALT pour nouveaux services /mapi/compte/autopromo et /mapi/compte/filinfo\n- [SALT] Configuration SALT pour interconnexion FDJ int91 / JOSE2 / TAPI2 branche develop\n- [SALT] mise à niveau des branches salt avec develop'),
(37163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nRéparation EA NeptunePort'),
(37164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nRéparation EA NeptunePort'),
(37284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nModop pour modification de la configuration de la tablette detaillant joint à la RFC004535 ; Création du MODOP pour l\'ajout des nouveaux détaillants FREEDOM (avec la nouvelle version de l\'outil de Florent Verdier) ; Tests sur la borne avec une carte NFC pour Hichem Bousnina'),
(37285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nTests sur la nouvelle configuration détaillant ; Qualification du nouvel outil de Florent Verdier pour l\'ajout des détaillants'),
(37287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nTests sur les applications PSPDV'),
(37289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nTests sur les applications PSPDV ; Tests d\'acceptance de MUGO 1.1.6 (FDL018902) -> OK'),
(37294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nQualification ANO055327 ; Tests d\'acceptance Edwan 4.4.10 (FDL018945) -> OK'),
(37295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).\r\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.'),
(37177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nMise au point UTAR pour RoboFramework'),
(37180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nMise au point UTAR pour RoboFramework'),
(37181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nMise au point UTAR pour RoboFramework.\r\nAnalyse Wiremock et ajout fonctionnel de validation de schéma Swagger unique et route de récupération de rapport de validation Swagger.'),
(37182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nAnalyse Wiremock et ajout fonctionnel de validation de schéma Swagger unique et route de récupération de rapport de validation Swagger.'),
(37183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nAnalyse Wiremock et ajout fonctionnel de validation de schéma Swagger unique et route de récupération de rapport de validation Swagger.'),
(37184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nActivation de UTAR sur Jenkins pour validation. Evolution corrective des statuts de test.\r\nDev VuGen - Point hebdo. Demonstration Robot Framework intégration ALM.'),
(37186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nEvolution fonctionnelle UTAR suite à réunion du Mardi. Analyse du comportement Wiremock en cas de schéma Swagger multiples.\nNécessité d\'une évolution fonctionnelle pour cet usage.'),
(37187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nMise au point des tests Postman d\'authentification (digishop-a)'),
(37188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nMise au point des tests Postman d\'authentification (digishop-a)'),
(37189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nMise au point des tests Postman d\'authentification (digishop-a)'),
(37190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nMise au point des tests Postman d\'authentification (digishop-a)'),
(37191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nMise au point des tests Postman d\'authentification (digishop-a)'),
(37192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nExécution et analyse Campagne de NR : Falcon USR-2.8.14 sur INT2 '),
(37193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nMise au point des tests Postman d\'inscription(digishop-i)'),
(37194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nMise au point des tests Postman d\'inscription(digishop-i)'),
(37195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nMise au point des tests Postman d\'inscription(digishop-i)'),
(37196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nExécution, analyse et rédaction du rapport de la Campagne de NR : Falcon USR-2.8.14 sur INT2'),
(37199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nAnalyse et rédaction du rapport de Campagne de NR : Falcon USR-2.9.0 sur INT3\nExécution et analyse de la Campagne de NR : Falcon USR-2.9-1 sur INT1'),
(37202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nExécution, Analyse et rédaction du rapport de Campagne de NR : Falcon USR-2.9-1 sur INT1\nExécution, Analyse et rédaction du rapport de campagnes de tests d\'Acceptance API & DB : Falcon USR-2.10.0-Alpha2 sur INT 9\nMontée en compétence Leïla '),
(37203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n\r\nRéunions : 4h\r\n- VCU : Organisation tests Itératifs\r\n- VCU : Point Tests Auto\r\n- ROMA\r\n- Atelier Tests expiration de session\r\nImplémentation CTs VCU pour les CC\r\n- \r\n'),
(37204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nImplémentation CTs VCU pour les CC \r\nMontée en compétence Leïla sur VCU \r\nRéunion suivi Equipe Test Auto\r\nSupport Bingo => Jérémie Queseda'),
(37205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nImplémentation CTs VCU pour les CC'),
(37206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nRéunion de présentation fonctionnelle VCU\r\nImplémentation CTs VCU pour les CC'),
(37216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nROMA : Ecriture cas de test ALM et Postman'),
(37213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nROMA : Ecriture cas de test ALM et Postman'),
(37214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nROMA : Ecriture cas de test ALM et Postman'),
(37217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nROMA : Exécution cas de tests'),
(37218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nROMA : Exécution test'),
(37219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nInstallation de composant Falcon l\'environnement INT1\r\nInstallation des composants PMS-GTW et PMS'),
(37220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nCoordination et Support technique PMS pour la gestion des fichiers spécifiques (USR 2.9 et pms version intermédiaire] \r\n'),
(37221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nEtude pour récupérer de vieux joueurs sports \r\nSupport pour les tests PMS\r\nModification de la page PHP de mise en ligne des Doc API : rajout d\'une colonne pour exposer les rapports SPOCK fournis par Lotsys\r\nMise en ligne de la Doc API et des rapports SPOCK'),
(37258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nFalcon USR : Modifications de cas de test pour le palier ROMA. ITF: Campagne de qualif pour le jeu potionexplosion'),
(37263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nImplémentation de cas de test sur les dotations palier MOKA. Lancement des campagnes Falcon USR 2.9.2 Non Reg sur INT7'),
(37268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nLancement des campagnes Falcon USR 2.9.2 Non Reg sur INT7 Annulé par le client. Lancement des campagnes Falcon USR 2.9.2 Acceptance sur INT7. Analyse des campagnes Envoi du rapport. Maintenance des tests'),
(37234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nLivraison :\n- MAPI 4.4.6\n- MOBI 4.2.1\n- MRCD 4.3.1'),
(37232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nEtude pour récupérer la base de l\'environnement INT1.\r\nSupport pour récupérer des traces IF sur des prises de jeux en échec'),
(37271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nLancement de test de non regression ITG 2.4.1 sur INT2 avec la version de falcon USR 2.8.14. Lancement de test de non regression RTG 2.4.1 sur INT2 avec la version de falcon USR 2.8.14. Analyse des campagnes. Déblocage des tests en blocked data. Envoi du rapport. ITF : Qualification d\'anomalie'),
(37272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nFalcon USR : Modification de cas de test pour le palier ROMA. Modification des cas de test sur les ecredits sur Falcon USR, RTG et ITG'),
(37239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nvie des environnements : VUC'),
(37241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nVie des environnements : VUC'),
(37243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nSupport pour la BOX suite à un problème d\'accès sur INT0\r\nSuivi de la ré-installation de la base d\'INT1\r\n'),
(37244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nVie des environnements : Roma comptes contact'),
(37245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nVie des environnements : Roma comptes contact'),
(37248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nCorrection : \nPHP-426 ANO046088 [MOBI][KENO] PHP Notice: Undefined index: champ_table - fichier upload_media.php\nPHP-1013 [ANO055478] [wamigo][iOS] Bouton Flash ne fonctionne que la première fois\nPHP-1018 [ANO055115] Réserver le data.status=UNKNOW de MRCD au seul status JOSE=TRANSACTION_UNKNOWN (-200 )\nPHP-1019 [ANO055340] Duplication de code : Wager.php à supprimer'),
(37249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nCampagne batch Roma'),
(37270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nLancement de test de non regression ITG 2.4.1 sur INT2 avec la version de falcon USR 2.8.14. Lancement de test de non regression RTG 2.4.1 sur INT2 avec la version de falcon USR 2.8.14. Analyse des campagnes. Déblocage des tests en blocked data'),
(37260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nCommunication sur la restauration de l\'environnement INT1\nRéunion sur le plan de MEP/MES\nEtude des documents PAYLINE'),
(37259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nEtude des documents PAYLINE'),
(37265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nEtude des documents PAYLINE et de l\'actuel en intégration'),
(37267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nEtude de la nouvelle version PMS\r\nEtude des services rest/financial/deposit pour le paiement via PayPal'),
(37506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nPrésentation du palier VNUS. Implémentation des tests sur les dotations pour le palier MOKA. Lancement de la campagne de non régression falcon USR 2.9.2 sur INT 11'),
(37507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nLancement de la campagne de non régression falcon USR 2.9.2 sur INT 11. Analyse'),
(37593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n[Speed UP] Test des nouveaux markets Foot US et Hockey sur Glace sur INT3'),
(37380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nCampagne de NON REGRESSION USR 2.8.14-1 / GAMIFICATION 1.0.11-2 INT2\r\nTests socle commun et Validation du Tableau de lot'),
(37292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-18  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).'),
(37297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nRéunion sur l\'omnicanalité ; Investigation sur l\'ANO remontée par Baptiste sur les applis PSPDV : les matchs à la une ne sont pas dans le bon ordre ; Qualification de l\'ANO055130'),
(37299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.'),
(37301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).\r\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.'),
(37302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.'),
(37420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nQualification de MUGO 1.1.6 ; arrêt des masters et minions salt digishopR sur int1, int3 et int7 (passés en omnicanal) ; investigation sur un problème de grille LF 15 qui ne s\'affiche pas sur le site et les applications PDV'),
(37766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nVérification de la nouvelle version d\'Edwan pour Amigo : les modifications SPDV ont bien été mergées ; installation des composants de la borne iso-TR2 sur TR3 ; tests sur l\'ANO055586 pour savoir si c\'est une régression MUGO ou Softkiosk : régression MUGO ; Investigation sur l\'ANO048298 pour savoir si elle était encore d\'actualité'),
(37620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nSplit V14 V16'),
(37313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL pour le palier ROMA. '),
(37314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL pour le palier ROMA. Analyse et maintenance de campagne USR,'),
(37317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL pour le palier ROMA. Analyse et maintenance de campagne USR, Création de nouveaux prérequis de tests, '),
(37318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL pour le palier ROMA. Analyse et maintenance de campagne USR, Création de nouveaux prérequis de tests, Correction et maintenance de la campagne  2.9.1 et 2.9.2. Mise à jour des requetes de selection VS évolutions et attendu métier.'),
(37388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nAmélioration test postman (suite) Rajout dynamique de la prise en charge de la pièce jointe\nPresentation VCU\nNettoyage des fichiers temporaire et obsoletes des environnements PTAB (df 100%)'),
(37319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL pour le palier ROMA. Analyse et maintenance de campagne USR, Création de nouveaux prérequis de tests, Correction et maintenance de la campagne  2.9.1 et 2.9.2. Mise à jouir des requetes de selection VS évolutions et attendu métier. Mise à jour partielle de selectAllInfoPerso. Préparation campagne 2.10. Création d\'anomalie en 2.9.\r\nTravail sur la robustesse des truclient. \r\n'),
(37909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37908, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(37344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(37377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nAnonymisation - lancement vidage CL_EXTEND et Anonymisation par LOADER\n[Coheris] Avancement des sujets\nAnalyse Modification pour client unique'),
(37348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nMOKA : Analyse ANO055613 Adobe + ANOs Univers'),
(37361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nContribution /acceptance de Rain Diamonds v2.0.0 sur INT42'),
(37365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nacceptance/contribution de Potion explosion 1.0.2 sur INT42\nacceptance de BINGO + montée en compétence'),
(37368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nCampagne de tests  de pick&match'),
(37369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nDeclaration de EL5 et RD2 sir INT0,2,4'),
(37363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nAcceptance/contribution de Mystery Stone 1.0.0 sur INT21 => Rejeté \nOuverture d\'anomalies'),
(37362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nContribution/ acceptance de Black Jack 2018 v4.0.0 sur INT21\nInstallation des composant front sur INT62'),
(37364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\n- Daily\r\n- ANO055416 et ANO055417\r\n- ANO055420'),
(37366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\n- Daily\r\n- ANO055446, ANO055454, ANO055457, ANO055460 (Amex iOS)\r\n'),
(37373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\n- Daily\n- Investigations erreur a4s.js'),
(37372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\n- Daily\n- Acceptation des FDL018913 et FDL018919'),
(38243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n- Installation de wcart 1.0.11 et wpsel 1.0.10 sur int0\n- acceptance wcart_1.0.11 (FDL018935)\n- ANO055561'),
(37375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n- Daily\r\n- Réunion test sport Lyna\r\n- Qualif anos\r\n- Installation des composants AMEX sur INT4\r\n- ANO055587'),
(37376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n- ANO055606\r\n- ANO055610\r\n- qualif amex ios et android'),
(37381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nCampagne de NON REGRESSION USR 2.8.14-1 / MOTORS 1.9.5-1\r\nTests socle commun et Validation du Tableau de lot'),
(37382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors \r\nIF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nFORMATION ATOS / ITIL V3'),
(37384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nFORMATION ATOS / ITIL V3'),
(37385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nFORMATION ATOS / ITIL V3'),
(37386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors\r\nIF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37387, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors\r\nIF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.9 - Authentification RETAIL: BOX (projet Identification Sport PDV.)'),
(37392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.9 - Authentification RETAIL: BOX (projet Identification Sport PDV.)'),
(37393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.9 - Authentification RETAIL: BOX (projet Identification Sport PDV.)'),
(37394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.9 - Authentification RETAIL: BOX (projet Identification Sport PDV.)'),
(37395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)\r\n-Commence r à écrire les tests Postman pour identification PDV'),
(37396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)\r\n-Commence r à écrire les tests Postman pour identification PDV'),
(37397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nDocumentation sur Projet ROMA : lecutre des docs Architecture omnicanal (mail envoyé par Valérie Mascarelle)\r\n-Commence r à écrire les tests Postman pour identification PDV'),
(37399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nMCO_Commercial : Analyse des erreurs'),
(37400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nMerge Neptune-Port . Report de la version 1.13'),
(37401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nRDI 1.1 : Analyse des erreurs'),
(37518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nAmélioration du test postman Regex sur le modèle Field control\nVérification du bon fonctionnement des test sur jenkins\nUniformisation nommage des tests\nAjout commentaires/documentation sur les tests postman\nMaj du test postman faq/email pour Digi A sur GitLab/Jenkins'),
(37404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nRDI 1.1 : divers'),
(37405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nOMNI-CANAL : Exécution des campagnes de tests IS pour la création de PDV avec nouveau service'),
(37406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nRDI 1.1'),
(37408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nOMNI-CANAL : Campagne de tests IS pour la cession du PDV'),
(37409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nOMNI-CANAL : Campagne de tests IS pour la création de PDV avec nouveau service'),
(37410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nRDI 1.1 : Divers'),
(39417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nAide à Julien BARREAULT pour installer Maximo 7.6.0.9 en local sur son poste'),
(37416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nImplémentation d\'une évolution de Wiremock pour la valisation par des schémas Swaggger multiples. ¨Présentation VCU. Présentation Mystery Stones.'),
(37418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n'),
(37421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nMOKA : Assistance S. Schleiffer pour qualification d\'ANO.'),
(37450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n'),
(37423, 'Attention, développement 1962'),
(37424, 'Attention, développement 1962'),
(37425, 'Attention, développement 1962'),
(37426, 'Attention, développement 1962'),
(37427, 'Attention, développement 1962'),
(37428, 'Attention, développement 1962'),
(37429, 'Attention, développement 1962'),
(37430, 'Attention, développement 1962'),
(37431, 'Attention, développement 1962'),
(37432, 'Attention, développement 1962'),
(37433, 'Attention, développement 1962'),
(37434, 'Attention, développement 1962'),
(37435, 'Attention, développement 1962'),
(37436, 'Attention, développement 1962'),
(37437, 'Attention, développement 1962'),
(37438, 'Attention, développement 1962'),
(37439, 'Attention, développement 1962'),
(37440, 'Attention, développement 1962'),
(37441, 'Attention, développement 1962'),
(37442, 'Attention, développement 1962'),
(37443, 'Attention, développement 1962'),
(37444, 'Attention, développement 1962'),
(37445, 'Attention, développement 1962'),
(37446, 'Attention, développement 1962'),
(37447, 'Attention, développement 1962'),
(37448, 'Attention, développement 1962'),
(37449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nUBBCONFIG'),
(37451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n'),
(37452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n'),
(37454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nExtraction des incidents'),
(37458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nMCO Court Commercial'),
(37456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nAnalyse PB MCO Court Commercial et Pb chaine I3_Saga'),
(37457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nRAM.004 , DMT0016856, FDL018643 sur INT2CALY et INT2ARCA redaction du ModOp HIA'),
(37459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nExtraction des incidents'),
(37460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nMCO Court Commercial'),
(37461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(37462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 Creation ANO055580 Omnicanal'),
(37463, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nDev scripts auto Falcon USR 2.10.0-alpha2'),
(37464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nRTASK0093553 Installation/Accès à l\'application : environnement de test pour NEDELEC sur INT3SAGA'),
(37465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nExtraction des incidents'),
(37466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nMCO Court Commercial'),
(37467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(37468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nExtraction des incidents'),
(37469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nMCO Court Commercial'),
(37470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL018957 INT3SAGA'),
(37471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nGeneration et Merge API USR 2.10-alpha2\r\nAdaptation du Builder usr.address.bundle_1 et création d\'une version old -> adaption des scripts existants en conséquence :  FalconPOSTSubscription, FalconPOSTAvailabilityAccount , FalconPUTAccountAddress  FalconPOSTAccount  \r\nAdaptation de FalconPOSTAccountsAccount avec nouveau Builder'),
(37472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1,  création de l\'ANO055629'),
(37473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(37474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL018807 livraison ETL'),
(37475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL018894  sur INT3CALY'),
(37476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nLRT (test sur integration)'),
(37477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nImplementation de tests auto ARJEL. '),
(39925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n- Formation Fatima / Accompagnement rédaction mode op\n- Qualifications Anos livraisons BALI sur la préprod\n•	ANO055765\n•	ANO051427\n•	ANO053932\n•	ANO055773'),
(39924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n- Coordination / transmission d\'infos sur Obsolescence\n- Travail sur environnement de Réf Amex'),
(37479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nImplementation de tests auto ARJEL. '),
(37480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nImplementation de tests auto ARJEL. '),
(37509, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\ninitialisatio de la release V1.14.2 dans RTC pour le \"planned for\" et le \"ask for\"\nexécution de tests '),
(37484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n'),
(37485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nprésentation EA'),
(37486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nPrésentation des Escales (prévision, Programmation, Réalisation)\r\nPrésentation Vigie'),
(37487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-26  (Do not remove this line) -->\n'),
(37488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nRéconc. comptable Fact. Annexe'),
(37489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nRéconc. comptable Fact. Annexe'),
(37491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nInvestigation pour ADFAB acgosControle'),
(37498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nTests V1.14.1'),
(37499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nDocumentation tests pour livraison V1.14.1'),
(37501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nCorrection Anonymisation nom usage et ville de naissance\nFDL018987 : Correction Anomalie chargement clients Anonymes en Prod\nFDL018986 : Ano anonymisation de ville naissance et date naissance'),
(37503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n'),
(37505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nImplémentation d\'une évolution de Wiremock pour la valisation par des schémas Swaggger multiples.'),
(37508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n'),
(37510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(37511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-05  (Do not remove this line) -->\n'),
(37512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n'),
(37513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nSIDC TR1 KO // SIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK // SIDCOM TR3 pas debloqué'),
(37516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n[ABPv16] Validation des chargements  + création des anomalies ANO055673 et ANO055669'),
(37515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n[OMNICANAL] Verification des chargements'),
(37517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nFin du sprint1 - Paris (review/palnning/retro)'),
(37519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(37521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(37522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018858_egide_4.60.12_liv sur INT6EGID'),
(37523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018443_egide_4.60.10_liv sur INT6EGID'),
(37525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Copie environnement PROD sur RM'),
(37526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n BPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(37527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nAvant Vente Codification Automatique'),
(37528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nReconc. comptable Fact. Annexe'),
(37529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nProblème cohérence éditions « Etat du CA » et « Statistique accueil familial » '),
(37530, '[size=125]Script SQL[/size]\r\nScripts à jouer pour réparer les données :\r\n\r\n-- données créées par erreur\r\ndelete from  pcatrace_profilecountdata pc where pc.applicationrolecode = \'\';\r\n\r\n-- correction des données pcatrace_profilecountdata, colonne applicationrolecode\r\nupdate pcatrace_profilecountdata pc\r\nset applicationrolecode = ar.applicationrolecode\r\nfrom habilitation_applicationrole ar\r\nwhere pc.applicationrolecode = ar.label AND\r\npc.applicationrolecode not like \'CDAP%\'\n\n'),
(37632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nTest sur la base INT8'),
(37532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n- Daily\r\n- ANO055633'),
(37631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nCorrection ANO055741 : [COHERIS Interfaces Oracle] Process d\'anonymisation ne prend que les anonymes du jour.\nLivraison FDL019020 : [ROMA]  [CRM] Livraison objets Oracle  - Chargement Client hors SID'),
(37534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n- Daily\r\n'),
(37711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n- Daily\n- Bug reviews apps'),
(37537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n'),
(37741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nAnalyse Client unique'),
(37850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nMCO Court Commercial'),
(37849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nExtraction des incidents'),
(37832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nvie des environnements'),
(37851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(37852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 Rédaction 3 cas de test Acceptation FDL018957, FDL018807, FDL018894'),
(37546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nModification des CTs pour VCU'),
(37574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nModification des CTs pour VCU\nAnalyse et rédaction du rapport de la campagne de NR FALCON USR 2.9.2 sur INT1 en backup de F. DEROCK.'),
(37734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nModification des CTs pour VCU\nRéunion d\'équipe'),
(37735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nModification des CTs pour VCU\nRéunion de présentation du projet OMNICANAL'),
(37550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nModification des CTs pour VCU'),
(37551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nD1283 #Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI\r\n\r\n\"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826#c36528\"\r\n\r\n- problème #CAS_COMMUN \r\n  - sudo /sbin/service tomcat6 status\r\n  - sudo /sbin/service tomcat6 start\r\n- problème #LDAP\r\n  - sudo /sbin/service ldap status\r\n  - sudo /sbin/service ldap start\r\n- redémarrage IHM\r\n  - sudo /sbin/service tomcat6 status\r\n  - sudo /sbin/service tomcat6 start\r\n- Service indisponible : Une erreur a empêché le système de traiter l\'opération que vous avez demandée.\r\n  - Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection)\r\n- Redémarrage de la base de données\r\n  - accès via sql developeur OK\r\n  - telnet sur le port 1526 à partir du serveur WS OK\r\n  - toujours Erreur d\'E/S: The Network Adapter could not establish the connection\r\n- #ko Connexion (#DEV2, 1570836044094, 40, test1234)'),
(37552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n#midi D1283 : \r\n\r\n\" #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\"\r\n\r\n- 0023826: 1283 [DEV] PT_ASSURE - CSRF-Mise en place solution initiale-\r\n  \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826\"\r\n  - #Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI\r\n    \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826#c36528\"\r\n    - Déployer(#PT_ASSURE, DEV2, 17.20.00, COMMIT)\r\n      - Déployer les wars\r\n        - IHM\r\n      - #ko Vérification de connexion\r\n        - log catalina\r\n          \"ERROR - Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection)\r\n          \r\n          org.apache.tomcat.dbcp.dbcp.SQLNestedException: Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection)\r\n          \r\n          	at org.springframework.orm.hibernate3.LocalDataSourceConnectionProvider.getConnection(LocalDataSourceConnectionProvider.java:81)\r\n          \"'),
(37554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n#day D1971\r\n\r\n\"#Anomalie #Production #Majeur : CAS:Erreurs dans la generation des tickets par le CAS\"\r\n\r\n- Analyse\r\n  - Log du LDAP Prod\r\n  - Trouver des points commun au nir posant problème\r\n    - extraire les nir valide en prod\r\n    - Voir à quoi resemble les log de connexion échoué #PT_ASSURE\r\n      - #HOTFIX ne marche pas\r\n        - migration\r\n          - serveur éteins ?\r\n            - WS oui\r\n            - redémarrage de IHM et WS\r\n      - par une mauvaise connexion (#HOTFIX, 1410784074002, 62, test)\r\n        - Log cas G:\\TMA_RSI_TAIGA\\02-PCA\\01_SuiviDefects\\2018\\D1971\\PJ_defect\\trace_log\\mauvaise_connexion\r\n        - dans le log\r\n          - LdapAuthenticationHandler failed to authenticate the user which provided the following credentials: [username: 141078407400262]\r\n          - dbc.SearchModeSearchDatabaseAuthenticationHandler failed to authenticate with decertified nir the user which provided the following credentials: [username: 141078407400262]\r\n          - 2 bloc\r\n            - AUTHENTICATION_FAILED\r\n            - TICKET_GRANTING_TICKET_NOT_CREATED\r\n          - error.authentication.credentials.bad.ca\r\n      - #ok test la connexion valide\r\n      - utilisateur inexistant (#HOTFIX, 1410784074001, 62, test1234)\r\n        - vérifier que 141078407400162 n\'existe pas dans le LDAP\r\n        - Log cas G:\\TMA_RSI_TAIGA\\02-PCA\\01_SuiviDefects\\2018\\D1971\\PJ_defect\\trace_log\\inexistant \r\n        - dans le log\r\n          - #lime ldap.BindLdapAuthenticationHandler] - Search for uid=141078407400162 returned 0 results.\r\n          - LdapAuthenticationHandler failed to authenticate the user which provided the following credentials: [username: 141078407400262]\r\n          - dbc.SearchModeSearchDatabaseAuthenticationHandler failed to authenticate with decertified nir the user which provided the following credentials: [username: 141078407400262]\r\n          - 2 bloc\r\n            - AUTHENTICATION_FAILED\r\n            - TICKET_GRANTING_TICKET_NOT_CREATED\r\n          - error.authentication.credentials.bad.ca\r\n      - Conclusion : les log sont identique sauf une ligne en plus si l\'utilisateur n\'existe pas dans le LDAP\r\n        - ldap.BindLdapAuthenticationHandler] - Search for uid=141078407400162 returned 0 results.\r\n    - % des NIRs fournies qui (grouper par activé)\r\n      - les utilisateurs inscrit, non inscrit\r\n      - ont un chargement asur\r\n      - sont activé + date chargement riba + date chargement asur\r\n    - Le #CAS_COMMUN est il utilisé au moment de l\'inscription ?\r\n      - non l\'inscription change le MDP mais directement en appelant le LDAP\r\n      - les assurés sont insérer en base et dans le LDAP par un batch\r\n    - analyser le cas tordu (1620450004001 64)\r\n      - Tableau de ce qui c\'est passer pour cet assure dans les log catalina + ldap');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(37555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n#matin D1971\r\n\r\n\"#Anomalie #Production #Majeur : CAS:Erreurs dans la generation des tickets par le CAS\"\r\n\r\n- Prérequis \r\n  - Logs\r\n    - Récupérer les log du serveur (PROD)\r\n      - mail à @BertrandL (+33531547123)\r\n        - Besoin de logs\r\n        - Comment est testé l\'accès à mon compte via le portail\r\n      - transfert dans suivie defect \r\n- Analyse\r\n  - #ok Vérifier si les utilisateur son OK \r\n    -  (PROD, 2620834172311, 10)\r\n      - #ok BDD existe et activé\r\n      - #ok LDAP existe\r\n    - dans la description du deffect(PROD, 2800158194045, 11)\r\n      - #ok BDD existe et activé\r\n      - #ok LDAP existe\r\n  - logs\r\n    - Créer les sous fichier de log\r\n      - Infos par mail (PROD, 2620834172311, 10, ???, ?08/01/2018, ?10:26)\r\n        - Dans le fichier de log prod je n\'est pas trouver de problème de ticket pour ce NIR\r\n      - Infos ALM (PROD, 2800158194045, 11, ???, ?08/01/2018, ?13:04)\r\n        - 2018-01-07 18:45:24,284 AUTHENTICATION_FAILED [username: 280015819404511] : <AuthenticationHandlerJdbc: org.jasig.cas.adaptors.jdbc.SearchModeSearchDatabaseAuthenticationHandler failed to authenticate with decertified nir the user which provided the following credentials: [username: 280015819404511]>\r\n        - 2018-01-07 18:45:24,285 TICKET_GRANTING_TICKET_NOT_CREATED error.authentication.credentials.bad.ca\r\n        - #ok vérifier en base PROD nir décertifié\r\n      - Dans la grande majorité des cas l\'erreur error.authentication.credentials.bad.ca est viens d\'un decertified nir (sur 11203 cas seul 76 ne semble pas être dû à un NIR décertifié)\r\n    - Mettre en commentaire résultats de l\'analyse de log\r\n    - En vérifiant dans la base les NIR posant problèmes n\'ont pas tous de NIR décertifié, ce message de log doit être affiché à chaque authentification LDAP négative puisqu\'il y a recherche en base du NIR décertifié.\r\n    - dans tout ces cas il semble que le LDAP ai refusé la connexion alors que l\'uid existe (pb de mot de passe?)\r\n      - demande des log LDAP pour vérifier\r\n  - Mettre le defect ALM en Pec Réal\r\n    \"Defect en cours d\'analyse\"\r\n  - Voir avec @Solveig \r\n  - Reproduire\r\n    - Accès au log QF4\r\n      - Application WEB 10.132.22.18  pcalec  pcalec\r\n      - CAS Web Services 10.132.22.17  pcalec  pcalec\r\n  - Trouver des point commun au nir posant problème\r\n    - extraire les nir valide en prod'),
(37556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n#aprem D1283 : #Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI\r\n\r\n\" #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\"\r\n\r\n- Déployer(#PT_ASSURE, DEV2, 17.20.00, COMMIT)\r\n  - Compiler le projet (Maven et Ant)\r\n  - Transférer les wars\r\n  - Déployer les wars\r\n    - WS'),
(37558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n#aprem 24078 problème timeout ws bdu infobenef \r\n\r\n- Créer une fiche Mantis (DEV, PT_ASSURE, REGUL DIMENSIONS V17.11.2_PROD, 18.1.1)\r\n  - Format : \"[DEV] PT_ASSURE : Problème timeout ws bdu infobenef suite au merge\" + remplir Version ciblée\r\n  - Numéro fiche : 24078\r\n  - Envoyer un mail à @Solveig si je ne sais pas remplir le champs CodevTT_Commande\r\n    \"PCA_OUTILS\\templates\\TMA-PCA_Fiche_Mantis.oft\"\r\n- Dev\r\n  - delete bin infobenef de application-context.xml\r\n  - delete jar lib\r\n- Commiter(master, M24078, 18.01.01_001)\r\n  - nom de branch : master_M24078_18.01.01_001\r\n  - num commit : 55a25ab'),
(37559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n#aprem D1971\r\n\r\n- voir en interne comment marche #mes_cotisations\r\n  - Il n\'y a jamais de connexion par mon compte lors du développent de #mes_cotisations \r\n    - Comment tester l\'accès à #mes_cotisations \r\n- Vérifier la qualité des NIR fournie\r\n  - 189 NIR ne font que 8 caractères\r\n  - 2 NIR commence par 3\r\n  - 2/3 des nir sont trouvé sur l\'intégration\r\n  - 85% des nir sont trouvé sur préprod \r\n- #ko Tenter de se connecter avec un des nir\r\n  - Chercher un nir activé\r\n    - Reproduire connexion (HOTFIX, 1430713055505, 08, test1234)\r\n      - #ok Fichier hosts\r\n      - #ok Ip\r\n      - #ok Changer le MDP\r\n      - #corriger https://www.mon.rsi.fr/mon-compte/ http 404\r\n        - Quelque chose à changer sur les serveur : non juste jamais connecter hotfix depuis le vm rsi\r\n          - demande d’accepter la clef serveur à la connexion\r\n          - vérifier en se connectant depuis mon poste\r\n        - Vérification Tomcat démarrer \r\n          - IHM : #ok\r\n          - WS : #ok \r\n          - #ko ça ne change rien\r\n        - problème timeout ws bdu infobenef \r\n          - delete bin infobenef de application-context.xml\r\n          - delete jar lib\r\n        - connexion #OK\r\n        - \r\n      - accès à #mes_cotisations \r\n        - redirection vers https://www.mon.rsi.fr/wye-mes-cotisations\r\n          - Nous ne sommes pas en mesure de vous proposer ce service en ligne.\r\n    - Je crois déjà avoir vu wye-mes-cotisations sur les serveurs\r\n      - /pca/logiciel/tomcat/v6.0.33/webapps/iops-wye\r\n      - Tenter de le renomer\r\n        - sudo /sbin/service tomcat6 stop\r\n        - mv /pca/logiciel/tomcat/v6.0.33/webapps/iops-wye /pca/logiciel/tomcat/v6.0.33/webapps/wye-mes-cotisations\r\n        - ls /pca/logiciel/tomcat/v6.0.33/webapps/\r\n        - sudo /sbin/service tomcat6 start\r\n        - connexion (HOTFIX, 1430713055505, 08, test1234)\r\n        - accès #mes_cotisations \r\n          - HTTP ERROR 404\r\n      - restaurer après coup\r\n        - sudo /sbin/service tomcat6 stop\r\n        - mv /pca/logiciel/tomcat/v6.0.33/webapps/wye-mes-cotisations /pca/logiciel/tomcat/v6.0.33/webapps/iops-wye\r\n        - ls /pca/logiciel/tomcat/v6.0.33/webapps/\r\n        - sudo /sbin/service tomcat6 start'),
(37560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n#matin #midi D1283 : #Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI\r\n\r\n #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\r\nRestauration de la version de @LaurentQ\r\nconnexion #KO\r\nerreur oracle dans les logs\r\n#ask trop de session ?\r\nTester à nouveau la connexion (DEV2, 1570836044094, 40, test1234)\r\nconnexion #KO\r\norg.apache.cxf.interceptor.Fault: Hibernate operation: Cannot open connection; uncategorized SQLException for SQL [???]; SQL state [null]; error code [0]; Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection); nested exception is org.apache.tomcat.dbcp.dbcp.SQLNestedException: Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection)\r\nCaused by: org.springframework.jdbc.UncategorizedSQLException: Hibernate operation: Cannot open connection; uncategorized SQLException for SQL [???]; SQL state [null]; error code [0]; Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection); nested exception is org.apache.tomcat.dbcp.dbcp.SQLNestedException: Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection)\r\nCaused by: org.apache.tomcat.dbcp.dbcp.SQLNestedException: Cannot create PoolableConnectionFactory (Erreur d\'E/S: The Network Adapter could not establish the connection)\r\nCaused by: java.sql.SQLRecoverableException: Erreur d\'E/S: The Network Adapter could not establish the connection\r\nCaused by: oracle.net.ns.NetException: The Network Adapter could not establish the connection\r\nCaused by: java.net.ConnectException: Connection refused\r\nrecherche sur les execptions\r\nI had to go look for ojdbc compatible with version on oracle that was installed this fixed my problem, my bad was thinking one ojdbc would work for all\r\ncheck lib \r\nojdbc\r\nIHM : ojdbc6-11.2.0.3.jar,\r\nWS : ojdbc6-11.2.0.3.jar, spring-jdbc-3.0.0.RELEASE.jar\r\nPT_ASSURE\r\nIHM : \r\nPT_Assures_Core-18.00.00-SNAPSHOT\r\nPT_Assures_WebService-18.00.00.jar\r\nWS : #orange PT_Assures_Core-18.00.00.jar et PT_Assures_Core-18.00.00-SNAPSHOT.jar'),
(37562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n[ABPv16]Import /modification de 55 cas de test d\'acceptation , d\'installation dans le folder 02 - Tests IQ> 04 -  IQ SOCLE OPERATIONNEL>01 SID Client'),
(37601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n[ABPv16] Exécution des campagnes d\'installation, d\'acceptation et de qualification sur le TR1 dans les folders 03 - ACCEPTATION DES LIVRAISONS>04 -  IQ SOCLE OPERATIONNEL et 04 - INTEGRATION SYSTEME> 04 -  IQ SOCLE OPERATIONNEL du projet ALM V16ABP'),
(37564, 'Fiche à relire'),
(37565, 'Fiche relue, ok'),
(37566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nMCO : SID Commercial TR2, TR3 (Reprise sur TR2)'),
(37567, 'J’ai réactivé la fenêtre dans le code.\r\nApres plusieurs tests de la fenêtre, ça me semble cohérent (mais je ne connais pas trop le fonctionnel)\r\n\r\nPar contre, le répertoire partagé des SUBV n’existe plus:\r\nSur cette fenêtre et sur celle de génération des éditions de factures de subventions (CGOS), on peut générer un fichier d’export dans un répertoire.\r\nCe répertoire peut-être sélectionné, mais sinon il avait par défaut un répertoire partagée sur VM Eloquence (paramétré dans evawin.ini) : REPSUBV=\\\\192.168.81.11\\SUBV\r\n\r\n\r\n\r\nJe ne sais pas s’il l’utilisait ou s’il sélectionnait un autre répertoire que celui par défaut ?\r\nS’il veulent continuer à l’utiliser, il va falloir le crée sur VM VCS FILES par exemple, et modifier les evawin.ini\r\n'),
(37568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER : Installation FDL017821 sur TR2. Nécessité de relancer O. André car check d\'intégrité non fourni...'),
(37569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nReste version à générer'),
(37575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nInvestigation sur le problème de dysfonctionnement de PTAB sur INT6'),
(37571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n[ABPv16] Investigations et retours sur l\'anomalie ANO055673 relative aux joueurs supprimés'),
(37573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nDev Script auto : ajouts des scripts de services manquant pour USR 2.10'),
(38054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(37597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nSAFERGAME : Qualification ANO054263, ANO054795, ANO055135+ création DMT0017723'),
(37579, 'C\'est des règlements de factures annexes : spécifique à VTF'),
(37580, 'Sophie : +33 4 42 95 86 51\r\n\r\nObservation :\r\nNom : Commence par ‘+ ‘ : A investiguer\r\nLes montants des échéanciers sont erronés ainsi que l’écart : \r\nOK dans le tableau\r\nKO dans l\'édition : 2eme copie d\'ecran\r\nObservation : un dossier semble manquant dans lot0\n\n'),
(37586, 'Problème : apparait 1*/2 lors des changements d\'onglet'),
(37592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n'),
(37594, 'Fonctionne pour les remises existantes, et les remises crées dans les dossiers\n\n'),
(37595, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nréunion d\'architecture HabPPSV2 + support équipe'),
(37596, 'Réunion BDD MCP : 0.25'),
(40826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nSAFERGAME : Installation FDL018911 certificat cognos, FDL018927 cognos, FDL018923 sql, FDL018922 FOlio sur int2'),
(37599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nRevue DAT Offre bailleurs'),
(37602, 'Cinématique de création d\'une remise.\r\nElle n\'est pas retrouvée'),
(37920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nArchi Omnicanal : Préparation du référentiel HP-ALM SID Client'),
(37604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nStatistique sur le nombre des allocataires connecté '),
(37605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nMise au point scripts pour vérification intégrité suite migration'),
(37611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nMise au point scripts pour vérification intégrité suite migration\nRéunion en vue de l\'automatisation et de l\'exploitation de ces scripts 2h'),
(37887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nMise au point scripts pour vérification intégrité suite migration'),
(37888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nMise au point scripts pour vérification intégrité suite migration'),
(37609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n#day D1283 : #Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI(10:31->)\r\n\r\n\" #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\"\r\n\r\n- passer sur #DEV\r\n  - #ok Tester le fonctionnement de #DEV  (10:31->)\r\n    - #ok connexion (#DEV, 1420127246001, 80, test1234)\r\n      - Fichier hosts\r\n      - Ip\r\n      - Faire des capture !!!\r\n  - #OK Vérifier qu\'il y a tous sur la branche\r\n    - les deux fichiers de properties\r\n    - la modification de content.jsp\r\n    - modification du pom.xml\r\n  - #ok 20949 : Déployer(#CAS_COMMUN, #DEV, 17.20.0, d3755db9c1)\r\n    - Compiler le projet (Maven et Ant)\r\n    - Transférer les wars\r\n    - Déployer les wars\r\n  - #ok Vérifier le déploiement CAS OK\r\n  - #ok 20949 : Déployer(#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, 332bbc15f)\r\n    - Compiler le projet (Maven et Ant)\r\n    - Transférer les wars\r\n    - Déployer les wars\r\n  - Vérification de connexion (#DEV, 1420127246001, 80, test1234)\r\n    - Faire des capture !!!\r\n  - #ok 20949 : Déployer avec correction de fichier properties (#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, d79559a)\r\n- Problème à la connexion\r\n  - le fichier ESAPI.properties n\'est pas trouvé sur le serveur IHM\r\n    - il était dans WEB-INF/ESAPI.properties\r\n    - copie dans META-INF/ESAPI.properties et WEB-INF/classes/ESAPI.properties + redémardage IHM : connexion #OK\r\n      - modification de l\'adresse mail (page avec XcfGuard) OK\r\n    - suppression de WEB-INF/ESAPI.properties et WEB-INF/classes/ESAPI.properties + redémardage IHM : connexion #KO\r\n    - déplacement de META-INF/ESAPI.properties vers WEB-INF/classes/ESAPI.properties + redémardage IHM : connexion #OK\r\n- Le bon emplacement pour le fichier ESAPI.properties semble être mon-compte/WEB-INF/classes/'),
(37889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nMise au point scripts pour vérification intégrité suite migration'),
(37612, 'Gestion de l\'adresse alignée sur les SFD'),
(37613, 'A livrer avec la 1337'),
(37615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nAide'),
(37617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nProblème cohérence éditions « Etat du CA » et « Statistique accueil familial »'),
(37619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nmise à jour des Scripts'),
(37621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nmise à jour des Scripts'),
(37747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nmise à jour des Scripts'),
(37748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nmise à jour des Scripts'),
(37624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\ncorrectif et suppression de log étendus sur scripts Falcon VCU'),
(37625, 'Correction aCNASCONTROLE (création fiche client en doublons) => erreur sql lors de l\'insert dans table des membres'),
(37629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n[MOKA] Installation de la FDL019016 sur le TR2'),
(37630, 'Equipement 17'),
(37637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nSIDCOM TR2 OK RL KO Stock Grattage pas de fichier SGI // SIDCOM TR3 OK// SIDC TR1 OK // SIDC TR2 OK // SIDC TR3 relance joueurs sans noms'),
(37635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n[RDI] Traitement des 2 DMT DMT0017727 et DMT0017696'),
(38182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[Convergence] Demo sprint 19\n[Convergence] Analyse de la vraiabilisation des valeurs via SALT\n[Convergence] Preparation des variables SALT pour star/wars'),
(38162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n'),
(37638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nPB0010369 '),
(37639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nPB0010369 '),
(37642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nPB0010369 + préparations à la mise en marche de la balise INDENTIFICATIONAGENCE par l\'analyse du code et les résultats des appels genre RapatrierDossierCristal()'),
(37643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nNovalto, ...'),
(37646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nInfocentre : Export de base pour William'),
(37647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nWilliam : infocentre. Remise en place de l\'export de la base infocentre'),
(37648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nADFAB : CGOS'),
(37649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nCorrection de montant de reglements'),
(37650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nVTF : réconciliation comptable des FA'),
(37651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nVTF : Reconciliation + tickets'),
(37655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nVTF : Reconciliation comptable'),
(37656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nDoublon'),
(37657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nDivers supports'),
(37658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nDoublon CNAS'),
(37659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n[MOKA] Rédaction d\'un cas de tests spécifique à l\'anomalie ANO055700'),
(37665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nRéunion: arrêt au stand'),
(37662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nTickets'),
(37663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n[MOKA] Rédaction PV de qualification + qualification de l\'anomalie ANO055700'),
(37664, 'Problème de dll \r\ndevrait être mis à jour le 15/01/2018'),
(37667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 -  FDL018979_egide_4.70.00_liv'),
(37668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018979_egide_4.70.00_liv (Full sur RM)'),
(37670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Copie EGIDE PROD sur RM'),
(37671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI '),
(37672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI '),
(37673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(37674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(37675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nputenv.sh UBBCONFIG'),
(37676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nputenv.sh UBBCONFIG'),
(37677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nSaxo INC0394370 ,\r\nSaxo PB0011792 (en cours)'),
(37678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nSAXO PB0011314'),
(37682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nProblème cohérence éditions « Etat du CA » et « Statistique accueil familial »'),
(37686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nTests reproduction Anos VA. livraison V1.14.1.B'),
(37687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nréunion SFD lot3'),
(37688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n#day D1283 : (9:25->9:55 10:25->16:40)\r\n\r\n\" #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\"\r\n\r\n- 0023826: 1283 [DEV] PT_ASSURE - CSRF-Mise en place solution initiale-\r\n  \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826\"\r\n  - bug dans les Activités de Mantis\r\n    - Bug n°6 : la doc sur comment mettre le cfxguard nest pas complete a priori il manque une URI (9:25->9:55)\r\n      \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826#c36528\"\r\n      - le bon emplacement pour le fichier ESAPI.properties semble être mon-compte/WEB-INF/classes/ \r\n        - Est-ce le seul emplacement valide\r\n          - regarder où la doc dit de mettre ce fichier\r\n          - https://stackoverflow.com/questions/29270573/where-can-i-find-esapi-properties : It should be placed in your \'src/main/resources\' folder.\r\n        - Où le commiter pour qu\'il ce retrouve à cet emplacement dans le War\r\n          - déplacer ESAPI.properties dans src/main/resources\r\n        - Vérifier que ça marche \r\n          - 20949 : Déployer(#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, 8250879)\r\n            - Commiter\r\n            - Compiler le projet (Maven et Ant)\r\n            - Transférer les wars\r\n            - Déployer les wars\r\n          - Vérification de connexion (1410784074002, 62, test1234)\r\n          - modification de l\'e-mail #ok\r\n        - push du code\r\n    - BUG n°1 : le fichier Owasp.CsrfGuard.properties est dans /pca/logiciel/tomcat/v6.0.33/webapps/mon-compte/WEB-INF/classes à la place de /pca/logiciel/tomcat/v6.0.33/webapps/mon-compte/WEB-INF (10:25->15:50)\r\n      \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826#c36471\"\r\n      - test 1\r\n        - Owasp.CsrfGuard.properties : /appliweb/src/main/webapp/WEB-INF/ -> WEB-INF/\r\n        - ESAPI.properties : /appliweb/src/main/resources/ -> WEB-INF/classes/\r\n        - 20949 : Déployer(#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, 4814a44)\r\n          - Commiter\r\n          - Compiler le projet (Maven et Ant)\r\n          - Transférer les wars\r\n          - Déployer les wars\r\n        - Vérification #OK\r\n      - test 2\r\n        - Owasp.CsrfGuard.properties : /appliweb/src/main/webapp/WEB-INF/ -> WEB-INF/\r\n        - ESAPI.properties : /appliweb/src/main/webapp/WEB-INF/ -> WEB-INF/\r\n        - 20949 : Déployer(#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, b1f2e5d)\r\n          - Commiter\r\n          - Compiler le projet (Maven et Ant)\r\n          - Transférer les wars\r\n          - Déployer les wars\r\n        - #KO Vérification\r\n          - modification mail\r\n      - test 3\r\n        - Owasp.CsrfGuard.properties : /appliweb/src/main/resources/ -> WEB-INF/classes/\r\n        - ESAPI.properties : /appliweb/src/main/resources/ -> WEB-INF/classes/\r\n        - 20949 : Déployer(#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, ????)\r\n          - Commiter\r\n          - Compiler le projet (Maven et Ant)\r\n          - Transférer les wars\r\n          - Déployer les wars\r\n        - Vérification (1420127246001, 80, test1234)\r\n        - 20949 : Déployer(#PT_ASSURE, #DEV, 17.20.01_002_D1283_18.00_00, 55fc9e7)\r\n          - Commiter\r\n          - Compiler le projet (Maven et Ant)\r\n          - Transférer les wars\r\n          - Déployer les wars\r\n        - Vérification (1420127246001, 80, test1234)\r\n      - Pusher la branche\r\n      - mettre à jour le OneNote'),
(37689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nCorrections et réparation référentiel EA NeptunePort'),
(37690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\ncorrectif sur scripts itg'),
(37691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\ndev scripts, analyse orchestration jeu mystery stone'),
(37692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nPoint Cadre Outil Analyse de flux. Wiremock Swagger démo.'),
(37693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nDev VuGen - Point hebdo. Choix d\'un éditeur Swagger. Assainissement du schéma Metal v1. Analyse mitmdump.'),
(37694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nCampagne d’acceptance INT 81 : DI 5.2.0 DA 5.5.0 DU 5.4.0\r\nPréparation\r\nLancement\r\nAnalyse des résultats et rédaction du bilan\r\n'),
(37698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nCampagne d’acceptance INT 71 : Dx 6.0\nPréparation\nLancement\nAnalyse des résultats et rédaction du bilan\n\nReunion : Point Equipe TEST AUTO'),
(37696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nVNUS : Modification des CTs pour l’inscription FDJ et SPORT (en cours) \r\n'),
(37700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nVNUS : Modification des CTs pour l’inscription FDJ et SPORT (en cours)\n\nréunion : présentation du projet VCU'),
(37699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nTR: [VCU] Stratégie de tests BACK IQ Digital / QA Lotsys'),
(37701, 'A la demande d\'Alain Tassotti une FSA a été réalisée au lieu de la correction.\r\nLa FSA a été envoyée le 17/01/2018 pour validation à Alain Tassotti.\r\nElle est présente dans le répertoire : G:\\TMA_RSI_TAIGA\\00-TAIGA\\01_SuiviDefects\\01_SuiviDefects_2018\\D45565-[TAIGA-AFFI]-Modification d\'un motif de radiation - Sélect du premier motif de la liste impossible'),
(37730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n[Convergence] Analyse des livraisons star et wars\n[Convergence] Installation star 1.0.4 sur INT92\n[Documentation] Modification Exigence IQ'),
(37703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nSpec a envoyer'),
(37704, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nSophia'),
(37707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\n-Support de la nouvelle ressource'),
(37708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\n-Support de la nouvelle ressource'),
(37709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\r\n-Support de la nouvelle ressource'),
(37860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n- Daily\n- Bug reviews webapp\n- Démos\n- Mise à jour des catalogues pour le service boosted et prise en compte du domaine media sur tous les env.'),
(37712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nPrise en compte des modifs BU 1.3.0\r\n\r\nComplément: Afficher correctement les messages d\'erreur des emails dans Recherche Avancée\r\n\r\nNB: J\'ai fais des modifs dans toutes les parties suivantes:\r\n  - 1.1.1 - Ajout info mail entrant - Portefeuille\r\n  - 1.1.2 - Ajout info mail entrant - Recherche avancée\r\n  - 1.2.1 - Affichage mail sortant - Portefeuille\r\n  - 1.2.2 - Affichage mail sortant - Recherche avancée\r\n\r\nRAF: le filtrage et le tri'),
(37713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nRDI 1.1'),
(37714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nOMNI-CANAL'),
(37715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nRDI 1.1'),
(37716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nOMNI-CANAL'),
(37717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nOMNI-CANAL'),
(37719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nOMNI-CANAL'),
(37720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nRDI 1.1'),
(37721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nRDI 1.1'),
(37722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nOMNI-CANAL'),
(37723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nannomalie 77861'),
(37724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n77861'),
(37727, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nCorrection des règlements chez VCS'),
(37729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nANVCTX 45580 mtp-mbm'),
(37733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n'),
(37744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nMise à jour des tests Digishop-U\nIntégration super croupier rainDiamonds2018'),
(37738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nMise à jour des tests Digishop-U'),
(37834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nPréparation code VCU'),
(37743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nMise à jour des tests Digishop-U\nparamétrage Jenkins pour Digishop-I et A\nLancement via Jenkins des tests Digishop-A'),
(37745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nMise à jour des tests Digishop-U'),
(37746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nMise à jour des tests Digishop-U'),
(37749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nmise à jour des Scripts'),
(37750, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(37751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nProjet ROMA : échange, réunion, support'),
(37752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nProjet ROMA : installation de l\'environnement INT3 USR 2.9.2 / mise en place d\'appenders sur les backend PMS pour la gestion centralisée des logs (ELK)'),
(37753, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nProjet ROMA : échange, réunion, suivi de la mise en place des appenders sur PMS (ELK)'),
(37754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nProjet IF : mise en oeuvre du renouvellement des certificats des machines OAC\r\nProjet ROMA : échange, réunion, support'),
(37756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nProjet ROMA : échange, réunion, support\nProjet VNUS : réunion pour point de synchro sur les environnements'),
(37758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n#day D1283 : 8:45-9:55 10:45-11:50 13:55-\n\n\" #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\"\n\n- ré analyse de la réunion avec @HerveD 9:15-9:55 10:45-\n  - csrfguard\n    - pour @LaurentQ trop de log csrfguard \n      - obliger de coder une classe pour réduire ?\n    - dans les logs est-ce normal pour ESAPI.properties\n      \"System property [org.owasp.esapi.opsteam] is not set\n      System property [org.owasp.esapi.devteam] is not set\n      Attempting to load ESAPI.properties via file I/O.\n      Attempting to load ESAPI.properties as resource file via file I/O.\n      Not found in \'org.owasp.esapi.resources\' directory or file not readable: /home/pcaprd/ESAPI.properties\n      Not found in SystemResource Directory/resourceDirectory: .esapi/ESAPI.properties\n      Not found in \'user.home\' (/home/pcaprd) directory: /home/pcaprd/esapi/ESAPI.properties\n      Loading ESAPI.properties via file I/O failed. Exception was: java.io.FileNotFoundException\n      Attempting to load ESAPI.properties via the classpath.\n      SUCCESSFULLY LOADED ESAPI.properties via the CLASSPATH from \'/ (root)\' using current thread context class loader!\n      SecurityConfiguration for Validator.ConfigurationFile.MultiValued not found in ESAPI.properties. Using default: false\n      Attempting to load validation.properties via file I/O.\n      Attempting to load validation.properties as resource file via file I/O.\n      Not found in \'org.owasp.esapi.resources\' directory or file not readable: /home/pcaprd/validation.properties\n      Not found in SystemResource Directory/resourceDirectory: .esapi/validation.properties\n      Not found in \'user.home\' (/home/pcaprd) directory: /home/pcaprd/esapi/validation.properties\n      Loading validation.properties via file I/O failed.\n      Attempting to load validation.properties via the classpath.\n      validation.properties could not be loaded by any means. fail. Exception was: java.lang.IllegalArgumentException: Failed to load ESAPI.properties as a classloader resource.\"\n  - #ok XSS \n    - #ok couvert par le remplacement des caractères de nos objets Java\n      - La première étape : Désinfecter les variables\n      - La deuxième étape : Remplacer les expressions <%= %> et les expressions EL \n    - #ok La troisième étape : L’option HTTPOnly : à configurer dans web.xml pas d\'impact sur l\'application si on passe bien par du https\n    - #ok La quatrième étape : Utiliser une CSP (Content Security Policy) : ne pas implémenter car compliqué pour un solution pas fiable\n  - #ok injections SQL, XML et LDAP\n    - #ok couvert par le remplacement des caractères de nos objets Java SQL et XML\n      - utiliser les méthodes préconisées par l’OWASP au moment des requete LDAP (aller la chercher sur leurs github)\n        - escapeDN() pour le dommaine\n        - escapeLDAPSearchFilter() pour le filtre de recherche\n    - #ok LDAP, si on utilise Spring LDAP c\'est déjà bon\n      - LDAP testing OWASP\n        - https://www.owasp.org/index.php/Testing_for_LDAP_Injection_(OTG-INPVAL-006)\n- 23826: 1283 [DEV] PT_ASSURE - CSRF-Mise en place solution initiale-\n  \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826\"\n  - Contacter @HerveD 11:40-11:50\n  - Voire le problème de CAPCHA 13:55-\n    - Impossible à reproduire \n      - 1963'),
(37781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n[V16 / Migration Template / INT0]: Vérification de l\'intégrité des templates (Export, pour comparaison, des Templates de la Pré-PROD + Migration de la BDD qui a échouée)'),
(37760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nImplementation de tests auto ARJEL. Aide aux test auto USR.'),
(37761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nImplementation de tests auto ARJEL. Aide aux test auto USR.'),
(37762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nImplementation de tests auto ARJEL. Aide aux test auto USR. Mise à jour de test ARJEL pour la 2.10.'),
(37763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nMaintenance de tests auto ARJEL 2.9 et mise à jour des tests existants pour la 2.10. Analyse sur évolutions.'),
(37764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nImplémentation de tests auto et correction de tests. '),
(37869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nenviron 2h de perte wifi cumulé sur la journée création de nouvelle branch git pour les palier. rédaction du modop de la mep bali  installation de different environement installation 91 pour pallier vnus'),
(37767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nTests acceptance MUGO 1.1.7 (FDL018960) -> OK ; Tests acceptances PSBOR 2.1.3 (FDL019003) -> OK ; Tests acceptances WSPO 3.1.11 (FDL019004) -> OK'),
(37768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nTests d\'acceptance MUGO 1.2.0 (FDL018906) -> OK ; Investigation avec Christophe Reynet sur l\'impossibilité de faire une PDJ avec l\'archi omnicanal ; Formation plugins Kanban et Scrum pour SNOW'),
(37769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nInvestigation sur l\'ANO055448 ; Tests aux limites sur MUGO 1.1.7 (Freedom TPA) ; Création de l\'ANO055781 : [MOKA] [FD] Initialisation du paiement lors d\'une erreur de code PIN'),
(38282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nRédaction de la partie borne du Modop BALI ; travail sur les catalogues avec Pierre-Gilles'),
(38283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nRédaction d\'une présentation sur la certification PDV ; Présentation Omnicanalité et Certification PDV ; Tests aux limites sur MUGO 1.1.7 (Freedom TPA) ; Rédaction des tests ALM pour projet ROMA'),
(37772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\ncoupure wifi environ 2h30 sur la journée en attente de cablage. mis a niveau de tout les environement pour la conf bali.'),
(37774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\ninstallation des environnement 01 11 et 81 pour tpa active sur bali. nise a niveau de differente branch dans git et mise a niveau des environement branch roma installation 91 pallier roma'),
(37789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: 1ère installation qui n\'est pas utilisable => Impossible de copnnecter un Joueur + [V16 / ALM]: Maj de la requête détaillé pour avoir le Status des tests avec plusieurs configurations.'),
(37783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Test d\'Acceptance (avec maj des requêtes MiFy)'),
(37786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Bug Fixing / FDL019017 + Campagne NonRegBack (CombiBoost)'),
(38225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Bug Fixing / FDL019017 + Campagne NonRegBack (CombiBoost)'),
(37780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nmise a niveau de la Vnus est installation pour test sur le 91. suite redaction modop pour mep 31 janvier. environ 2h de coupure wifi sur la journée. instllation int 81 avec modification de conf pour Mr jaulin suite livraison sprint pour bali'),
(37788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nFDL019012 - edwan\nFDL019015 - MRCD'),
(37886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n[GIT] Creation d\'une nouvelle branche sur feature-amigo pour la maj des tests postman de la boutique Public\n[Convergence] Investigation sur les problemes d\'installation drupal/symfony\n[Convergence] Maj configuration nginx Drupal'),
(37785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nFDL019019 edwan\r\nFDL019023 MRCD'),
(37790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nRefonte des rapports de validation Swagger dans WSV1.0.0-alpha1 et externalisation de la config de journalisation. Analyse fonctionnement mitmdump pour capture flux mobile.'),
(37791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nFDL018937 - MAPI => sur 22 et 01\r\nModop pour les FDL AMIGO'),
(37792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nCapture de flux et validation de la chaîne mitmdup, WSV.'),
(37793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nConvergence -  Tests auto sur wars'),
(37794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nconvergence - test auto WARS'),
(37795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nReglement dans GH'),
(37796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n'),
(37798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nROMA : \r\n0,5_Execution Non regression postman sur la version USR2.9.2\r\n0,5_ Reunions (échanges avec HIA; clarification des actions possibles d\'un joueur en fonction de son statut de certification; échanges avec la recette sur les test d\'acceptance en recette'),
(37799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nROMA : Execution Non regression postman sur la version USR2.9.2'),
(37800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nROMA : \r\n0,5_Ecriture /exécution des tests de Certif \r\n0,5_ Réunion de présentation omnicanal + Echanges avec WAFA (montée en compétence)'),
(37801, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nROMA-Certif : Ecriture/Execution de tests postman'),
(37802, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nROMA-Certif : Ecriture/Execution de tests postman'),
(37804, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nRoma / jeu d\'essai pour SOP SI finance'),
(37805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nRoma / jeu d\'essai pour SOP SI finance'),
(37806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n[ABPv16] Qualification statique'),
(37807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nPrise en compte des nouvelles infos :\r\n- Mutualisation des colonnes \"Client OPUS\"/\"Nom client\"\r\n- Gestion taille colonne \"Mail\"\r\n- Modification colonne \"Date limite\"\r\n\r\nRAF (pris en charge par Saïd) : \r\n- gestion du tri\r\n- gestion de la condition entrant/sortant'),
(37808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\ncf. note 1.1.1'),
(37813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nEvolution\nPHP-1017 [MOD013317] Log complet des requêtes et réponses MRCD\nLivraison de MRCD 4.3.2'),
(37810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nPHP-1016 [MRCD] - Rétro-engineering swagger MRCD\r\nLivraison de MRCD 4.3.3'),
(37821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.2).\nRéunion sur le projet Identification Sport PDV (ROMA).'),
(38369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nRoma / jeu d\'essai pour SOP SI finance'),
(37814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nCorrection'),
(37815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nCorrection'),
(37816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nCorrections :\r\nPHP-1032 [ANO055704] [EUML] : affichage erroné sur rubrique “estimez vos gains”\r\nPHP-1037 [ANO055753] [MRCD] Réponses différentes du service /mrcd/voucher/flash avec des id différents'),
(37818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nTraitement :\r\nPHP-987 [ANO042361] Mauvais Content-Type sur /api/result/euromillions\r\nPHP-1016 [MRCD] - Rétro-engineering swagger MRCD'),
(37822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.2).\nRéunion sur le projet Paypal (ROMA).'),
(37823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet Identification Sport PDV (projet ALM PALIER_CRM).\r\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.'),
(37824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.'),
(37833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nvie des environnements'),
(38020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n- Livraison MAG 2.9.3 - FDL018903 - Pallier BALI\r\n- Multiple tests sur la gestion des cookies\r\n- Rejet => non conforme à la livraison attendue'),
(38019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n- Livraison MUG 2.13.4 - FDL018904 - Pallier BALI\r\n- Acceptance et tests'),
(37837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nImplémentation de la partie \"Suspension des dossiers par le gestionnaire\"'),
(37847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nMise à jour de \"Suspension des dossiers par le gestionnaire\" par rapport aux nouvelles spécificités fonctionelles.'),
(37845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nAcceptance de Monster win 2017 v1.0.1 (pour la 2eme fois) car il y avait un mauvais script de jeu'),
(37844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nDéclaration des jeux MiniRuched\'or2018 et jeu100kclassique2016 sur INT0,2,4 coté falcon\nAcceptance Mystery Stones v1.0.1'),
(37842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nAcceptance de Monsterwin2017 v1.0.1\r\nContrib MR1 et EL5 sur INT42\r\nAjout du journaling de BJ8 sur INT5 \r\nInstallation du croupier de BJ8 sur INT5'),
(37843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nInstallation de HP ALM 12 pour lancer les tests auto BINGO\r\nAcceptance de EL5\r\nAnalyse du pb de génération du journaling sur INT5 pouur BJ8\r\n'),
(37848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\ninstallation la nouvelle version de BINGO sur INT5\nAcceptance Rain Diamond v2.0.0'),
(37853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nExtraction des incidents'),
(37854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nExtraction des incidents'),
(37855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nExtraction des incidents'),
(37856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nExtraction des incidents'),
(37857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nMCO Cour Commercial'),
(38027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n- Atelier appels live et ff avec lyna (matinée)\n- Création de l\'ANO055833 : [AMEX][ANDROID][F] Mauvais chemin pour l\'image du bloc mise en avant (non prise en compte de mediaUrl du catalogue)'),
(37859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nMCO Cour Commercial'),
(37986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nMCO Cour Commercial'),
(37862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nMCO Cour Commercial'),
(37864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nSID Commercial : Problèmes de connexion TR2 + reprise des données suite à plantage sur connexion TSGI.'),
(37865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nMCO : SIDClient TR2, TR3 + SID Commercial TR2, TR3'),
(37868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nAcceptance INT 81 DA 5.5.3\n- preparation\n- lancement\n- analyse des résultats et rédaction du bilan\n\nVCU : adaptation des cas de test avec le nouveau service POST accounts/account\n\nRéunion : Présentation informelle du projet omnicanal'),
(37951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nAcceptance INT 71 DA 6.1.0 DU 6.1.0\n- préparation\n- lancement\n- analyse des résultats\n\nVCU : adaptation des cas de test avec le nouveau service POST accounts/account'),
(37870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n[ABPv16] Exécution de la campagne de qualification + Création de l\'anomalie ANO0');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(37871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n[ABPV16] Création de la DMT DMT0017854 pour ajout des applications SID dans le projet ALM '),
(37872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n[Omnicanal] '),
(37873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors-IF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors-IF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors-IF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors-IF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nTests Vitesse chargement applet - Jeu Arbre aux trésors-IF - INT42\r\nTest de lancement applet / taille des données chargés sur Ios/Android/Desktop'),
(37878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nAnalyse Anos VA V1.14.1.B'),
(37890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nAVV Codif Auto'),
(37880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(37881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(37882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018979_egide_4.70.00_liv sut Trv3'),
(37883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - 4.08.01 FDL019002 sur Trv3'),
(37884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(37885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI '),
(37892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nAVV LR LOT 3 Etudes'),
(37893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nAVV  0,25 V1.17 Matin + 0,25 Codif auto AM'),
(37894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nAVV 0,25J Codif auto + 0,25J LR LOT 3 ETUDES'),
(37895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nTL Suivi mission EDF Fanny MULLER'),
(37896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nAVV LR LOT 3'),
(37897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nAVV CODIF AUTO'),
(37898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nAVV LR L3'),
(37899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nAVV MAN L4'),
(38391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\r\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(38503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\n[VEGA] Coordination de test'),
(37915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nTests V1.14.1.C'),
(38045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nExécution campagne Acceptance 2.10-Alpha3 sur INT9\nModification et implémentation des CTs pour VCU'),
(37917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nCorrection des règlements chez VCS'),
(37918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nEvaGH superposition des factures annexes'),
(37919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nArchi Omni Canal : Référentiel HP-ALM SID Client.'),
(37921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(37922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nCalibrage de la chaîne mitmdump, WSV.'),
(37938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n- Avancement sur les dev tests vcu'),
(37939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n[OMNICANAL] Mise en œuvre du reporting quotidien + reprise des cas de tests sur les 2 univers SID Client et BEAS'),
(37924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nFDL019006'),
(37925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n - Formation Romain meynol sur l\'outil RobotFramlework\r\n- Avancement sur les dev tests vcu'),
(37928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nFDL019005'),
(37929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nFDL019005'),
(37930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nPreparation MEP amigo'),
(37931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nFDL019053'),
(37934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\ntests sur wamigo version VSR'),
(37935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n- Formation Romain meynol sur l\'outil RobotFramlework\n -VCU-Tests Front en itératif entre la qualif et la Recette \n- Point d\'avancement Recette VCU\n- Avancement sur les dev tests vcu'),
(37936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n Avancement sur les dev tests vcu'),
(37937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n Avancement sur les dev tests vcu'),
(37940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nSFD Hab electr'),
(37941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nDoublon dans GH : problème non reproduit'),
(37942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n[MOKA] Mise a niveau des transverses 1 et 3 avec la FDL019016'),
(37943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nFait: \r\n - le tri lors du clic sur la colonne Mail\r\n\r\nRAF:\r\n - Afficher le mail entrant/sortant'),
(37944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nFait: \r\n - le tri lors du clic sur la colonne Mail\r\n\r\nRAF:\r\n - Afficher le mail entrant/sortant \r\n\r\nNB: je mets RAF égale à 0.1 pour cette tâche et je saisirai le temps du RAF dans les autres tâches (1_2)'),
(38227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (CombiBoost + Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (CombiBoost + Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nRédaction cas de tests pour campagne de vérification de migration.'),
(38226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (CombiBoost + Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(37955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nChevauchement des plages de FA'),
(37956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nVCS : Edition : VOUCHER Manquant'),
(38093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nFinalisation scripts pour vérification intégrité base de données ABP après migration.\nFinalisation fichier Excel de suivi d\'exécution de campagne.'),
(37952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(37953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nLot2 VTF\nRéglements\nVoyage\n'),
(37954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nTest sur le nouveau GUEST'),
(37950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n	Acceptance INT 71 DA 6.1.0 DU 6.1.0\r\n- rédaction du bilan\r\n\r\nVCU : adaptation des cas de test avec le nouveau service POST accounts/account'),
(38229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (CombiBoost + Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nExécution campagne NonReg V16 sur INT0'),
(37966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nEvaGH superposition des factures annexes'),
(37967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nA compléter stp'),
(37968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n[Speed UP] Test des nouveaux markets Foot US et Hockey sur Glace - INT3'),
(37969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n[SPEED UP] Teste des nouveaux markets Hockey sur Glace et Foot US'),
(37970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n[SPEED UP] Test des nouveaux markets Football pré-match et Live - INT2\r\n\r\n[V16] Tests V16 sur INT0\r\nHOST:           agpadmi01\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 396\r\nCMS:            fdj_cms-master-223\r\nMETAL:          fdj-165-v1.0-6\r\n\r\nQualification d\'anomalie: ANO053240 '),
(37971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n[SPEED UP] Test des nouveaux markets Football pré-match et Live - INT2'),
(37972, 'Pas de différence constaté voir avec Peggy le problème qu\'elle a constaté \r\nPeggy Vittet (04.42.95.86.66) rentre seulement mardi matin (23/01/2018)'),
(37973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nVoir avec la cliente pas de problème constaté'),
(38010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n[ROMA] Cadrage utilisation environnement TR3 et point sur l\'état des installations SIDC composants ADOBE'),
(37975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\n'),
(37992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(37977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(37978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(37980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 : réunion OmniCanal'),
(37981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(37982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL018957 qualif ano resecto pb a refaire mauvais PDV'),
(37983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1: Extraction Richard Bruneliere RDI'),
(37984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 Création ANO055755 OMNI'),
(37985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1; livraison saga.exe et version saga.ini sur citrix04 et 05'),
(37987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL019028 INT3SAGA fait attente creation PDV pour valider ANO'),
(37988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 reunion suivi'),
(37989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, copie script INT2SAGA et INT4saga de Script vers Bin avec MAJ des droits'),
(37990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(37991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL018957 resecto effectué attente Lundi 22 pour qualif ANO055206'),
(37993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nExtraction des incidents'),
(37994, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nIntégration'),
(37995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nMCO Court Commercial'),
(37996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, Qualification FDL018807 -> Création de l\'ANO055838'),
(37997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, Qualification FDL018807 -> Création de la DMT017877'),
(37998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(37999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL018894  sur partie Admin -> OK'),
(38000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL019052 INT3SAGA'),
(38001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, FDL019052 INT3SAGA'),
(38002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1; Reunion de suivi'),
(38003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nExécution campagne NonReg V16 sur INT0'),
(38004, 'devis / BI / facture pas de problème constater à voir avec la cliente'),
(38011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n'),
(38014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nRedaction tests Evo Webservice Infra'),
(38015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(38016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nFormation EA SVN'),
(38023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n- Points recette tests acceptance VCU\r\n- rédaction cas de tests BALI ALM\r\n- Support dév -fourniture JDD)'),
(38025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n- Daily Coco quotidien\n- 2 entretiens d\'embauche en visio pour postes intégrateurs front IQ'),
(38026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n- Atelier Omnicanal\r\n- Qualification des 8 anos et 1 mod pour AMEX iOS 7.0.015 (FDL019058) \r\n- Qualification des 4 anos et 1 mod pour AMEX Android 2.0.5 (FDL019059)\r\n- Atelier back\r\nInstallation de 1.0.12_wcart et 1.0.11_wpsel'),
(38029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\r\n -Support de la nouvelle ressource\r\n-Tests acceptance Back Vnus'),
(38297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nmise a jour des scripts MifyAccAccountIdAsyncbsBetslipId, MifyAsyncbsPUT, MifyFfCodes'),
(38298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nmise a jour des scripts MifyAccAccountIdAsyncbsBetslipId, MifyAsyncbsPUT, MifyFfCodes'),
(38301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nmise a jour des scripts de PDJ AMEX'),
(38303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nmise a jour des scripts de PDJ AMEX'),
(38036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n'),
(38037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\n'),
(39078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n'),
(39077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n'),
(38041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\n'),
(38042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nV1.14.2'),
(38043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nV1.14.2'),
(38064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 // SIDC TR2 Reprise de donnée OK // SIDC TR3 reprise de donnée après purge d\'un joueur ayant 2 refus d\'inscription sur borne OK'),
(38046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nLivraison doc ALM V1.14.C + modOp'),
(38047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nExécution et analyse campagne Acceptance 2.10-Alpha3 sur INT9\r\nModification et implémentation des CTs pour VCU'),
(38081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n[OMNICANAL] Vérification de la création d\'un joueur avec 2 motifs de refus + création d\'un compte joueur avec motif de refus unique'),
(38049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nRéunion d\'équipe\r\nExécution campagne Acceptance 2.10-Alpha3 sur INT9\r\nModification et implémentation des CTs pour VCU'),
(38050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nV1.14.1.C'),
(38051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n'),
(38052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n'),
(38055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n- campagne de tests sur cache Hazelcast\n- campagne de tests sur service Ariase\n- qualification boutique-game\n- création ANO055850 [DIGISHOP-GAME] Problème de logs au démarrage de la boutique'),
(38060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nDéplacement DR SIRHO'),
(38061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nDémo Sprint 4'),
(38062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nDéplacement Capitole synchronisation des postes'),
(38080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n[OLC] Revue du mécanisme de gestion des rejets avec Myriam + ajout des notifications par mail des rejets'),
(40827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nSAFERGAME : Installation FDL019036 ANB, FDL019025 serveur archive, FDL018984 DB2, FDL019037 CFM sur int2'),
(38066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nSAFERGAME : Point état d\'avancement installation avec M.Anne, et IBM'),
(38179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nSAFERGAME : Installation FDL019036 ANB, FDL018984 DB2, FDL019035 Cognos, FDL018989 Datastage sur int4'),
(38068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec P.Maigne'),
(38069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nMCO - SID Commercial : Préparation de l\'outil d-emailing des Chargements SID Commercial.'),
(38070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\na compléter stp'),
(38072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nTransfert de co avec Safa'),
(38121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nPoint convergence/salt avec romain\n[Convergence] Mise a jour de la configuration wars\n[Convergence] Installation star_1.0.4 et wars_1.0.6 depuis SALT sur INT92\n[Convergence] Investigation sur le probleme d\'accession a symfony'),
(38904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nenviron 1 hde perte wifi cumulé sur la journée installation pour mep bali avec dhira , configuration de la branch Vnus et ajout des fichier specifique pour installation sur 71. 3 installation suite a probleme de configuration spec '),
(38905, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n- Commit de l\'évolution 1.3.4 sur Git (avec Fred, sur son pc)\n- Récupération de l\'évolution 1.3.4 depuis Git'),
(38426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nDeveloppement de tests automatique VCU'),
(38427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nDeveloppements de tests auto VCU '),
(38082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nCorrigé ailleur '),
(38083, 'Corrigé en amont\r\nMise à jours poste client \r\nOK pour elle '),
(38084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n[IF] Assistance suivi projet sur la non remonté d\'information dans 2 univers dont un fait parti de notre périmètre'),
(38085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nSuivi des incidents de Prod : Infocentre SID Client + réaffectation Infocentre Coheris'),
(38086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nSID Commercial : Réunion Rejets de Production.'),
(38087, 'Pour savoir où en est l\'avancement des tests il faut demander à Vincent au +334 79 04 09 09'),
(38092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(38091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(38536, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nRédaction cas de tests pour campagne de vérification de migration.'),
(38533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nMise au point consolidation fichier de suivi d\'exécution des campagnes.\nAjustement et documentation des scripts d\'extraction pour campagne de vérification de migration.'),
(38105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 Deblocage par contournement des doublons dus aux multiples motifs refus d\'inscription// SIDC TR1  OK// SIDC TR2 OK// SIDC TR3  bypass CA_EGIDE'),
(38104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[OMNICANAL] Création de la DMT DMT0017992 pour ajout des applications dans l\'alm + Exécution de la campagne de qualification CQUA001-SIDClient-CDSATOSSOP-T1-201801-TR3 + création de l\'anomalie ANOxxxx relative au blocage du chargement SIDC lors de refus multiples'),
(38108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(38109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(38110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE - Contribution sur qualif RESOCOM'),
(38111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(38112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(38113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE - Contribution sur qualif RESOCOM'),
(38114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nRegeneration  et fusionnage manuel du fichier JSON ITG (INT6 et PRF2 non générables)\r\nGeneration API 2.10.0-alpha3, merge des DataBuilders Account et Accounts'),
(38115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nsupport sur les scripts Omnicanal, correctifs divers\r\nfinalisation du merge USR 2.10.0-alpha3'),
(38116, 'Correction effectué sur interface de saisie paramétrage contrôle remplissage + livraison en prod 5.1701.12'),
(38117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nNettoyage MAJSTAT'),
(38118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nAnalyse nouveau chargement clients hors SID - Analyse Courriers entre INT8 et PROD'),
(38119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n#matin #aprem D1283 : Chantier sécurité \n\n\" #Evolution #Production #Majeur : CA : Correction sur les signalements de sécurité no 185 à 188 (mon.rsi.fr)\"\n\n- Infos (#DEV2, 1570836044094, 40, test1234)\n- Infos (#DEV, 1420127246001, 80, test1234)\n- 23826: 1283 [DEV] PT_ASSURE - CSRF-Mise en place solution initiale-\n  \"https://rsitools.bs.fr.myatos.net/prjmngt/mantis/view.php?id=23826\"\n  - le dernier déploiement pose problème \n    - Voir les logs #INTEGRATION du 18/01/18 : service indisponible pour lors du changement de mail ou changement de mot de passe\n      - Reproduire connexion (#INTEGRATION , 2920395680242, 72, test1234)\n        - #ok Fichier hosts\n        - #ok Ip\n        - Faire des capture !!!\n        - Récupérer les logs\n        - Pas de probleme\n      - Changement de mot de passe (2920395680242, 72, DUMAN, PATRICIA, 11/03/1992)\n        - pas de probleme\n  - #aprem Point avec @HerveD\n    - comment tester : \n      - les caractère spéciaux\n        - simplement saisir la liste de caractère spéciaux et voire comment il sont traité en base\n    - csrfguard ne semble pas empêcher le rejeu\n      - on l\'a mal implémenté :\n        - le URI dans la jsp doit être l\'uri de la page cible, pas une clef\n        - il faut ajouter les pages protégées dans le fichier de properties\n          - org.owasp.csrfguard.protected.{cequonveut}={uriPage}\n    - pour @LaurentQ trop de log csrfguard \n      - Coder une classe pour les logs\n- Voire le problème de CAPCHA\n  - Reproduire\n    - #reproduit Changement de mot de passe avec la clef fausse (#INTEGRATION, 2920395680242, 72, DUMAN, PATRICIA, 11/03/1992)\n    - https://www.mon.rsi.fr/mon-compte/public/request_reset_password.action\n  - analyse\n    - le F5 -> changement de captcha\n    - si le captcha est faux -> changement de captcha\n    - code \n      - Chercher la page request_reset_password.action\n        - Dans public.xml <action name=\"request_reset_password\" class=\"fr.rsi.ptassures.coordination.web.identification.ResetPasswordAction\">\n      - Analyser le code de fr.rsi.ptassures.coordination.web.identification.ResetPasswordAction.execute()\n        - final InformationsPerso personne = getServicesUtilisateurService().getInformationsPerso(uid);\n          - est dans IServiceUtilisateurService\n          - implémenté par ServicesUtilisateurService\n          - qui étend RefService\n          - qui contiens l’implémentation de getInformationsPerso(uid)\n            - final AssureVO assure = getPortailAssuresWS().rechercheAssureParId(pUid);\n              - dans PTAssuresWebService\n              - implémenté dans PTAssuresWebServiceImpl\n              - AssureVO assureVO = assureBS.rechercheAssureParId(pUid);\n                - dans IAssureBS\n                - implémenté dans AssureBS \n                - #jaune \n                - AssureBO assureBO = assureDao.findAssureByUid(pUid);\n                - boolean validCgu = validationDerniereCgu(assureBO.getSuiviCompteBO());\n                - AssureVO assureVO = AssureBOAdapter.toVO(assureBO);\n                - assureVO.setValidationDerniereCgu(validCgu);\n            - #jaune \n            - final InformationsPerso infos = InformationsPersoAdapter.toObjetIhm(assure);\n      - Une exception doit remonter de ResetPasswordAction.execute()\n        - <result name=\"error\" type=\"tiles\">.reset</result>\n        - La page de changement de mot passe semble rappeler \n      - Chercher la page qui permet d\'ariver sur request_reset_password.action\n        - request_reset.action lien dans la page de login (#CAS_COMMUN )\n        - Dans public.xml <action name=\"request_reset\" method=\"load\" class=\"fr.rsi.ptassures.coordination.web.identification.IdentificationPasswordAction\"> <result name=\"success\" type=\"tiles\">.reset</result>\n      - Analyser le code de fr.rsi.ptassures.coordination.web.identification.IdentificationPasswordAction.load()\n        - Créer le formulaire d\'identification\n        - Récuperer la session\n          - HttpSession session = ServletActionContext.getRequest().getSession();\n        - Mettre l\'attribut sessionActive à true\n        - Générer le captcha\n          - String captchaWord = StringUtil.getRandomString(6, EspacePersoConstants.CHARSET_GLOBAL);\n          - session.setAttribute(MessageConstants.CAPTCHA_KEY, captchaWord);'),
(38122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(38413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n- Daily Coco (tous les jours)\n- Livraison BALI : MUG v2.13.4 / MAG 2.9.4 - tests et acceptance'),
(38416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n- Réunion Multipass\n- Réunion Refonte Inscription Stream Coco\n- Qualif technique et tests multi portails sur MAG 2.9.4\n- Fourniture JDD aux devs'),
(38414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n- Qualif technique et tests multi portails sur MAG 2.9.4  (demande Mohamed Agourame car sujet \"touchy\")'),
(38418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n- Qualif technique et tests multi portails sur MAG 2.9.4'),
(38421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n- Support Stream Coco JDD\n- Analyse problème authent INT9 / VNUS => Livraison en urgence de Digi A pour déblocage recette'),
(38423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n- Qualif technique et tests mobiles pour MAG 2.9.4\n- Rédaction Mode Op Bali\n- Analyse livraison VNUS (demande repackaging car non conforme)'),
(38129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nSAFERGAME : Comité opérationnel avec M.Anne + Point avancement MES avec M.Anne et IBM'),
(38130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nSAFERGAME : Installation FDL019037 CFM sur int2'),
(38180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nSAFERGAME : Installation FDL019037 CFM, FDL019034 IIB sur int4'),
(38132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons par IBM'),
(38191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nSAFERGAME : Bug review avec M.Anne+ 2 points avancement MES avec M.Anne et IBM'),
(38134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(38135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\r\n -Support de la nouvelle ressource\r\n -Tests acceptance Back Vnus'),
(38136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nABP V16 : Analyse des rejets SID Client'),
(38137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nABP v16 : Analyse des rejets SID Client.'),
(38138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n'),
(38139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n'),
(38140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nTraitement : \r\nPHP-975 [ANO044354] [eDWAN] Code mort dans replication.inc\r\n\r\nAnalyse :\r\nPHP-968 [ANO044234] [eDWAN] Nombreux PHP Warning/Notice dans les logs de l\'apache PHP\r\nPHP-1039 [ANO048539] [eDWAN] mobi/cms/data_templates/mobi_t_acces_xenia.php n\'est pas lisible\r\n\r\nCorrection et livraison (1.2.1_apimaitre) :\r\n[ANO055907] [GET HOME 1.2] Contribution d\'AMIGO casse la version FDJ Android 1.5'),
(38143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n- Bug reviews\n- ANO055908 et ANO055912\n- Analyse flux pour ANO055139 et future création ano back (lvs)'),
(38142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n- ANO055870 critique, ANO055876, ANO055881\r\n- Rejet FDL019066 (sportail)'),
(38161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[Convergence] Creation ANO055875 suite a l erreur lors de l exécution de symfony\n[Convergence] Réunion Paris avec Romain/Aurelien/Khalid/Enrick sur les points bloquants star/wars\n[Convergence] Mise a jour de la conf SALT avec les variables d\'environnement pour star\n[Convergence] Installation wars 1.0.7 sur lx20190\n[Convergence] Creation ANO055909'),
(38145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nrédaction tests RTC-91936 Ajout champs porteur - calcul pollution AirPaca'),
(38146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nTests pré qualif Flux Pilotes AVUR et WS Infra'),
(38147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nLivraison V1.14.1.C'),
(38148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nTests retours VA V1.14.1.B'),
(38149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nTest préqualif WS Infra'),
(38194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nRelecture SFD Man Lot3 V1.1'),
(38153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nAtelier 0.2'),
(38154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nAtelier'),
(38155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nVCU : adaptation des cas de test avec le nouveau service POST accounts/account\r\n\r\n'),
(38156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nVCU : adaptation des cas de test avec le nouveau service POST accounts/account\r\n\r\nRéunion : Point Equipe TEST AUTO'),
(38157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nProblème de stock'),
(38158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(38163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n'),
(38164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(38165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n'),
(38171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n[SPEED UP] Creation d\'une proposition d\'offre pour les tests des sports d\' hiver avec une gestion sur 3 Jours (J = Création / J+1 = MaJ / J+2 = resulting + payement)\nBiathlon\nAlpine Skiing\nCross-Country\nSpeed Skating\nShort-Track Speed Skating\nSkeleton\nBobsleigh\nLUGE\nSnowboard\nCurling\nFreestyle Skiing'),
(38169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[SPEED UP] Mise en place de l\'offre pour les sports d\' hiver (J = Creation)\r\nBiathlon\r\nAlpine Skiing\r\nCross-Country\r\nSpeed Skating\r\nShort-Track Speed Skating\r\nSkeleton\r\nBobsleigh\r\nLUGE\r\nSnowboard\r\nCurling\r\nFreestyle Skiing\r\n\r\n[SPEED UP] Vérification des messages envoyés à Betsys pour les Sports d\'hiver '),
(38174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[SPEED UP] MaJ de l\' offre pour les sports d\' hiver (J+1)\nBiathlon\nAlpine Skiing\nCross-Country\nSpeed Skating\nShort-Track Speed Skating\nSkeleton\nBobsleigh\nLUGE\nSnowboard\nCurling\nFreestyle Skiing\n\n[SPEED UP] Qualification des ANO/MOD sur INT2 - [Maintenance Sport] Livraison back abp-14-1-32-42 Winter Sports\n\nHOST:           agpadmi21\nSITE:           fdj2-origin_release_16-105\nABP:            14.1.32.2-SNAPSHOT 42\nMOBILE:         origin_release_8\nARGUS:          14.1-125\nPLATFORM:       1.0.186\n\n[V16] Mise à jour des cas de tests de Segmentation basée sur \"ABP to ETL Interface v5.02\"'),
(38172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n'),
(38173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n'),
(38175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n'),
(38178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nIntégration des modifications de la CNAF dans le stream L1804'),
(38177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n'),
(38184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[ROMA] analyse chargement d\'import des données ADOBE KO: absence de 7 fichiers + relance des chargements 3 runs'),
(38446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[StockGrattage] Assistance a la mise en œuvre des notifications par email du non traitement des agrégats à partir d\'une certaine heure'),
(38201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[StockGrattage] Vérification et assistance au diagnostique de non fonctionnement de la solution mise en œuvre pour les notifications par email du non traitement des agrégats à partir d\'une certaine heure'),
(38186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[MOKA] Installation de la FDL019102 univers BAFIM sur le TR2'),
(38188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nWiremock Swagger évolution des rapports : ajout d\'une interrogation sur les validations présentant des erreurs (passage en alpha2).\nAssainissement des schéma spdv, metal et mapi.'),
(38189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[MULTIPASS] Journée présentation / Ateliers.'),
(38190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nGouvernance Tests Front - Outillages - Automatisation. Faisabilité VuGen SSE pour moteur MTP.'),
(38192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nSAFERGAME : Installation serveur archive sur  int2'),
(38346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nAnalyse anomalies INT1 \nANO055935 : [COHERIS Interfaces Oracle] Temps de chargement des clients trop long\nLe chargement client n’a pas été modifié, l’essentiel de la modification porte sur la génération de la table FDJ_INTEGRATION_CLIENTS. Les temps sont peut-être dus à la machine d’intégration qui n’est pas assez puissante pour faire tourner toutes les bases. C. ROBERT mets 2Go de mémoire au lieu de 512Mo\n\nANO055931  : [COHERIS Interfaces Oracle] Chargement Clients hors SID\nPour régler ce problème, il suffit de créer un job control_m qui exécutera uniquement la génération de la table FDJ_INTEGRATION_CLIENTS permettant ainsi d’avoir deux job séparé au lieu d’exécuter la génération et le chargement clients dans le même job.\n\nANO055933  : [COHERIS Interfaces Oracle] Nettoyage de la table FDJ_INTEGRATION_CLIENTS intégré au traitement de chargement Clients.\nProgramme Corrigé, Préparation et livraison  FDL019104'),
(39948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nRDI 1.1 : Installation FDL018888 pour ETL'),
(39949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nRDI 1.1 : Installation FDL018938 pour SAGA'),
(38200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n'),
(38209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[MOKA] Qualification de la FDL019102 sur le TR2 cf CINS010-ClientV1-SID-CDSATOSSOP-T1-201801-FDL019016-TR2'),
(38205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(38206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[StockGrattage] Tests sur les scripts de notification et d\'envoi d\'email'),
(38456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nPrise de connaissance de l\'espace des DTE HIA'),
(38210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(38211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nRoma : SID Client Import Adobe : Analyse rejets TR3 + Analyse erreur .profile TR2'),
(38212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nRDI : Saga - reprise des données TR4.'),
(38219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU'),
(38220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nTest Postman Digishop-U'),
(38221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nTest Postman Digishop-U'),
(38222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nTest Postman Digishop-U'),
(38223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nTest Postman Digishop-U'),
(38224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nTest Postman Digishop-U'),
(38230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (CombiBoost + Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (CombiBoost + Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nEtude sur la mise en place de logback / logstash (ELK) sur les composants PMS\nPrésentation Intégration à Ouafae'),
(38233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nEtude sur la mise en place de logback / logstash (ELK) sur les composants PMS'),
(38238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nEtude sur la mise en place de logback / logstash (ELK) sur les composants PMS\nQuelques tests IF'),
(38239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nEtude sur la mise en place de logback / logstash (ELK) sur les composants PMS et mise en oeuvre sur les backends et les gateway PMS'),
(38241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nValidation de la mise en place de logback / logstash (ELK) sur les composants PMS'),
(38248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n- Analyse de mon ANO055606 pour defreeze (lvs renvoie les bonnes infos)\n- Acceptance et installation des composants Amex sur le transverse\n- ANO055962\n- Déménagement'),
(38247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nconvergence - Tests POSTMAN'),
(38249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nFDL019093'),
(38250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nANO055941 - convergence tests postman'),
(38251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nlivraison MAPI - intégration convergence'),
(38253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nintégration convergence'),
(38256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n'),
(38259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL + USR'),
(38258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL + USR. '),
(38260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL + USR'),
(38261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL + USR'),
(38262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(38263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL + USR'),
(38264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38265, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nMCO CTRL M TR 1 2 3\r\nROMA Certification point de vente et Paypal - tests automatisés'),
(38273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nRTT'),
(38274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\r\n -Support de la nouvelle ressource (Présentation de l\'outil Postman)\r\n -Ecriture tests Postman VNUS: Inscription + authentification'),
(38289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[Convergence] Analyse des livraisons star 1.0.5 et wars 1.0.8\n[Convergence] Investigation sur l\'erreur lors de l affichage du portail symfony'),
(40828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nSAFERGAME : FDL019089 Cognos, FDL019115 SQL, FDL019116 IIB, FDL019118 SPSS, FDL019100 i2 sur int2'),
(38515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nSAFERGAME : FDL019089 Cognos, FDL019115 SQL, FDL019116 IIB, FDL019118 SPSS, FDL019100 i2, FDL019025 sur int4'),
(38284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nTests d\'acceptance WSPDV 3.1.3 (FDL019067) -> OK ; Investigation sur l\'ANO050224'),
(38285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nInvestigation sur les différences entre les trames INGENICO et les données dans notre système ; Relecture du document de Marie Bastide pour complément ; Création de l\'ANO055928 : [MOKA] [FD] originId=15 en dur dans le code'),
(38286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nTests d\'acceptance de MIGO 1.0.28 (FDL019098) -> OK ; Tests d\'acceptance de MUGO 1.1.8 (FDL019096) -> OK ; Tests de qualif sur les wintersport ; Installation et configuration du RETAIL sur INT6'),
(38646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nTests de qualification MIGO 1.0.28 -> OK ; Test sur l\'ANO055772 pour stream coco : solutionné par la modification pour l\'ANO050224 ; Investigation sur problème de PROD sur le site pointdevente.parionssport.fdj.fr ; Tests de qualification sur MUGO 1.2.0 -> OK (problème sur le test d\'ouverture de porte en cours de paiement mais comme certaines corrections n\'ont pas encore été reprises de la version FREEDOM)');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(38648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nTests d\'acceptance de MUGO 1.1.9 (FDL019127) -> OK ; Qualification de l\'ANO055928 ; Création de la MOD013517 : [MOKA] [FD] Supprimer la valeur en dur de l\'originId dans le gameHistory de MUGO ; Rédaction modop pour MEP Freedom TPA ; Création de l\'ANO056031 : [MOKA] [FD] Message d\'information de remboursement faux ; Tests de qualification de MUGO 1.1.9'),
(38290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nFinalisation POC prise en charge SSE pour VuGen au niveau transport (MTP).\r\n'),
(38292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.2).'),
(38293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.\r\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.2).'),
(38294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.\r\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.2).'),
(38295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet Identification Sport PDV.\r\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.2).'),
(38296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[StockGrattage] Assistance à la mise à niveau de la chaine controlm de production après constatation d\'un écart avec celle d\'intégration'),
(38300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nmise a jour des scripts de PDJ AMEX'),
(38313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nExécution campagne Acceptance V14'),
(38307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nImplémentation Campagne V14'),
(38306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n-'),
(38311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nImplémentation V16'),
(38310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nImplémentation Campagne V16'),
(38312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nImplémentation Campagne V16\r\nExécution campagne Acceptance V14'),
(38314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nITF : Installation du super croupier pour le jeu YummiStack 2017. ROMA : Implémentation de cas de test Certification. MOKA : Implémentation de cas de test Dotations. ROMA Lecture documentation Paypal'),
(38315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nROMA : Lecture de documentation sur Paypal. Implémentation des cas de test Certification'),
(38316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nPréparation réunion Paypal. Réunion Paypal. Lancement campagne d\'acceptance USR 2.9.3 sur INT7. Analyse des tests no Passed. Envoi du rapport. Rédaction d\'anomalie ANO055945. ROMA : Création des coquilles pour Paypal'),
(38317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nAcceptance MR1 - Mini Ruche d\'or 2018 2.0.0 sur INT42\r\nDéclaration MR1 et AB2 sur ptab sur INT42\r\nAcceptance YUM 1.2.0 sur INT42'),
(38318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n'),
(38325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nContrib de DRA sur INT21\nContrib de MTW sur INT22'),
(38324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nRéunion Multipass'),
(38328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nContrib MTW sur INT21/INT81\nContrib JLG et YUM sur INT21\nAnalyse Pb de lancement de RD2 sur INT5'),
(38329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nAcceptance BJ8 sur INT21'),
(38323, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n-'),
(38326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nAnalyse de l\'anomalie ANO055945 avec Gilles Vassallucci. Envoi de mail à Monext. ROMA: Création des coquilles pour les tests Paypal.'),
(38430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nROMA :  ROMA : Implémentation des cas de\ntest Paypal de InDesign à ToDo'),
(38340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nMOKA :  Ecriture de cas de test sur les Dotations'),
(38341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nRoma / jeu d\'essai pour SOP SI finance'),
(38332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nMOKA : Ecriture de cas de test sur les dotations. ITF : installation du super croupier pour le jeu Eldorado 2018 sur INT1 IF. Réunion avec Brice Salva sur Omnicanal'),
(38333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nVie des environnements : vcu'),
(38337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nMOKA : Ecriture de cas de test sur les dotations'),
(38335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nVie des environnements : vcu'),
(38336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nVie des environnements : vcu'),
(38338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nVie des environnements : vcu'),
(38339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nMOKA : Ecriture de cas de test sur les dotations'),
(38342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nCorrection :\r\nPHP-974 [ANO042970] [EDWAN] Mauvais messages d\'erreur sur htdocs/edwan/cron/push_message.php'),
(38343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nCorrection et livraison (4.4.7_mapi) :\r\nPHP-1003 [ANO054579] [MAPI] Problème de cache avec service /mapi/subscription/get\r\n\r\nCorrection : \r\nPHP-972 [ANO046864] [EDWAN][AMIGO] Message d\'erreur non présent en cas d\'erreur lors de la promulgation'),
(38345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nAnalyse ANO055967 : [COHERIS Interfaces Oracle - Alim hors SID] Erreur lors de l\'intégration d\'un joueur avec champ adresse long\nlivraison FDL019121   : [ROMA]  [CRM] Livraison objets Oracle  - Chargement Client hors SID\n\nAnalyse des courriers entre PROD et INTEGRATION'),
(38347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(38348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\r\n-Support de la nouvelle ressource (Présentation de l\'outil Postman)\r\n -Ecriture tests Postman VNUS: Inscription + authentification'),
(38364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[Convergence] Modification de la conf du CATALOG_PATH + test\n[Convergence] Installation wars 1.0.8\n[Convergence] Creation ANO055987'),
(38352, 'Les prospects ont été nettoyés'),
(38353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nInvestigation sur DMT DMT0018060'),
(38350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n-Ecriture de tests Postman pour palier VNUS\r\n-Support de la nouvelle ressource (Présentation de l\'outil Postman)\r\n -Ecriture tests Postman VNUS: Inscription + authentification'),
(38354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nExécution de Campagne NonReg V16 int0'),
(38355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n--Exécution de Campagne NonReg V16 int0\r\n--Exécution de Campagne NonReg V14 int2'),
(38356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n--Exécution de Campagne NonReg V16 int0\r\n--Exécution de Campagne NonReg V14 int2'),
(38357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n--Exécution de Campagne NonReg V14 int2'),
(38358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nRDI : Saga - Reprise des données TR4 Suite et Fin (adresses prosys)'),
(38359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nCAMPAGNE COMPARATIVE IF / DOMESTIQUE \r\nINT42\r\nMOBILES ET TABLETTES SAMSUNG APPLE'),
(38360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nCAMPAGNE COMPARATIVE IF / DOMESTIQUE \r\nINT42\r\nMOBILES ET TABLETTES SAMSUNG APPLE'),
(38361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nCAMPAGNE COMPARATIVE IF / DOMESTIQUE \r\nINT42\r\nMOBILES ET TABLETTES SAMSUNG APPLE'),
(38362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nCAMPAGNE COMPARATIVE IF / DOMESTIQUE \r\nINT42\r\nMOBILES ET TABLETTES SAMSUNG APPLE'),
(38363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nCAMPAGNE COMPARATIVE IF / DOMESTIQUE \r\nINT42\r\nMOBILES ET TABLETTES SAMSUNG APPLE'),
(38425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\ndev scripts Falcon USR 2.10-alpha3 \nFalconGETGamesHistory\nFalconPOSTAccountsSubscription\net publication dans ALM\n'),
(38367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\na compléter stp'),
(38368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nA compléter stp'),
(38370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-02  (Do not remove this line) -->\nA compléter stp'),
(38371, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-03  (Do not remove this line) -->\nA compléter stp'),
(38372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nA compléter stp'),
(40083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-04  (Do not remove this line) -->\nProjet AMEX'),
(40084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-05  (Do not remove this line) -->\nProjet AMEX'),
(40077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-08  (Do not remove this line) -->\nProjet AMEX'),
(40078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\nProjet AMEX'),
(40080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-10  (Do not remove this line) -->\nProjet AMEX'),
(40081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\nProjet AMEX'),
(40082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\nProjet AMEX'),
(40059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\nProjet AMEX'),
(40061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\nProjet AMEX'),
(40056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nDéplacement Boulogne\nSupport DEV\nAvancement INT51 (PERF)\nDémo SPORTAIL (2h)'),
(38431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n- déploiement boutiques palier roma avec tpa activé int11\n  \'digishopa\': \'6.1.0\',\n  \'digishopi\': \'6.0.0\',\n  \'digishopu\': \'6.1.0\',\n  \'digishopp\': \'1.7.2\',\n  \'digishopg\': \'1.0.8\',\n- déploiement boutiques palier roma avec tpa activé in31\n  \'digishopa\': \'6.1.0\',\n  \'digishopi\': \'6.0.0\',\n  \'digishopu\': \'6.1.0\',\n  \'digishopp\': \'1.7.2\',\n  \'digishopg\': \'1.0.8\',\n- maj postman sur digishop-g 2.0.0'),
(38390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n[MOKA] VSR, coordination de test, ordonnancement des batches FREEDOM\r\n[VEGA] Travail préparatoire, schéma EBNF ARJEL'),
(38504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\n[VEGA] Coordination de test'),
(38505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\n[VEGA] Coordination de test'),
(38432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n- mep amigo avec hia\n- maj branches git salt suite mep amigo\n- maj branches git postman suite mep amigo'),
(38433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n- support stream php pour anos apimaitre\n- déploiement boutique palier bali + mep amigo sur int81\n  \'digishopa\': \'5.5.3\',\n  \'digishopi\': \'5.2.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.1.1\',\n  \'digishopg\': \'2.0.0\',\n- déploiement boutique palier bali + mep amigo sur int21\n  \'digishopa\': \'5.5.3\',\n  \'digishopi\': \'5.2.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.1.1\',\n  \'digishopg\': \'2.0.0\',\n- atelier postman\n- maj script salt_status.ksh pour afficher les process de minions\n'),
(38434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n- campagne de tests sur évolution du service de georestriction boutique\n- investigations pb domaine ariase en integration'),
(38428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nDeveloppement de tests automatique VCU\nAtelier sur les porte-monnaie\nPoint avancement recette VCU\n\n'),
(38429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nAvancement de dev tests auto selenium MAGO'),
(38401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\nen fait 45579 mais annulé et incorporé dans la 45319'),
(38402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\ndevis'),
(38403, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n'),
(38404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nROMA _ Certif : ecriture et exécution tests'),
(38405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nROMA _ Certif : ecriture et exécution tests'),
(38406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nROMA _ Certif : suivi/relance des anos et questions en cours'),
(38407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nROMA _ Certif : ecriture et exécution tests'),
(38408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nROMA _ Certif :\r\n0,5 :  exécution tests\r\n0,5 : suivi etat d\'avancement du palier'),
(38409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nSIDC TR1 OK // SIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK// SIDCOM TR3'),
(38410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nVCU : adaptation des cas de test avec le nouveau service POST accounts/account\r\n\r\nRéunion : TR: VNUS - Atelier sur les porte-monnaie\r\nRéunion : Gouvernance Tests Front - Outillages - Automatisation'),
(38412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nVCU : adaptation des cas de test avec le nouveau service POST accounts/account\r\n\r\nRéunion : Organisation passage de connaissance ARJEL\r\nRéunion : [VCU] Partage de la stratégie de tests IQ Sport/Digital\r\nRéunion : [VNUS] Point qualif: avancement, difficultés, questions, etc.'),
(38420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\ndev scripts Falcon 2.10-alpha3 (/usr/accounts/souscription)\n[comité API Falcon palier VCU]\najout des requesters/builders Falcon PMS manquant pour la perf.\ncorrectif sur un script FalconBackOffice modification_informations_joueur\n'),
(38422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\ncorrectif sur script FalconPOSTSubscription \r\nsuite dev scripts Falcon USR 2.10-alpha3 /usr/financial/banking'),
(38424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nVCU : implémentation des cas de test pour les nouveaux services :\r\n- FalconGETAccountsAddressCurrent : GET /usr/accounts/account/address/current ( / usr.accounts.address-1)\r\n- FalconGETAccountsAddressPending : GET /usr/accounts/account/address/pending ( / usr.accounts.address-1)\r\n- FalconGETAccountsAccountAlias : GET /usr/accounts/account/alias ( / usr.accounts.alias.list-1)\r\n- FalconGETAccountsAccountBirth : GET /usr/accounts/account/birth ( / usr.accounts.birthinfo-1)\r\n'),
(38788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n- atelier postman\n- maj swagger digishop-p 2.1.1\n- maj swagger digishop-a 5.3.0\n- maj swagger digishop-a 6.1.0\n- maj swagger digishop-u 6.1.0\n- maj swagger digishop-a 7.0.0\n- maj swagger digishop-u 7.0.0\n- maj swagger digishop-i 7.0.0\n- dof pour domaine ariase d\'integration sur nos serveurs d\'integ\n- maj swagger-ui v3.9.2\n- [SALT] maj script des minions sur develop\n- [sALT] maj des branches avec merge develop\n- maj script d\'affichage des docs swaggers WARS v2\n- création ANO056007 [CONVERGENCE] Changement route pour /digishopp/georestriction/get\n- création MOD013520 [CONVERGENCE] Suppression du paramètre log sur le service de georestriction + log IP en DEBUG level\n- création ANO056017 [CONVERGENCE] Maj de doc swagger sur service /georestriction/get\n- création ANO056021 [CONVERGENCE] Maj de doc swagger sur service /pdv/get\n- [SALT] Intégration des certificats pour Ariase integration\n'),
(38439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n'),
(38480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n[OMNICANAL] analyse et résolution des problemes de chargement suite à l\'installation de la FDL FDL019082_Com_2.14.2'),
(38441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nAnalyse besoin 2 outil front.'),
(38442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[EGIDE] Analyse suivi chargement du flux ET_RDI_EGIDE'),
(38443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nExtraction des incidents'),
(38444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nExtraction des incidents'),
(38445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nExtraction des incidents'),
(38447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nExtraction des incidents'),
(38448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nExtraction des incidents'),
(38449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nMCO Court Commercial\r\n'),
(38450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nMCO Court Commercial\r\n'),
(38451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nMCO Court Commercial'),
(38452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nMCO Court Commercial'),
(38453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nMCO Court Commercial'),
(38454, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1,Reunion Omnicanal'),
(38469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[EGIDE] lecture DTE'),
(38457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, Qualification FDL019052 -> Création de l\'ANO055866'),
(38460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n[OMNICANAL] Suivi des actions et analyse des traitement relatifs a la MOD012341'),
(38461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, reprise de données TR3 analyse des erreurs'),
(38462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1,Reunion Omnicanal'),
(38465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-11  (Do not remove this line) -->\n[ABPv16] analyse des alimentations'),
(38464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, reprise de données TR3 analyse des erreurs'),
(38467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, reprise de données TR3 analyse des erreurs'),
(38468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n[StockGrattage] suivi bon déroulement en prod des modifications effectuées'),
(38470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n'),
(38471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[StockGrattage] Correction des erreurs rencontrées en intégration sur les scripts de notification par email'),
(38473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(38474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, Analyse et création de l\'ANO055975 pb de remobtée devis Exceptionnel dans Saga'),
(38475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nInvestiguations sur SSRS'),
(38477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nElodie : paramétrage des occupations logements'),
(38479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nCompta : paramétrage : INC000001605416 '),
(38484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n[EGIDE] Premiers retours sur le DTE'),
(38485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(38486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE  CSAM MPP - création d\'un jeu de données IQ et R7 pour INT3'),
(38487, 'doublon tâche 0024329'),
(38488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nDéjà résolu'),
(38489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nCompta'),
(38490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nlenteur Evasta et support'),
(38491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nINC0394370'),
(38492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification EGIDE RDI'),
(38493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - ENVELOPPE - CSAM MEIBO FDL019032_Ref_2.2.4 sur  INT2'),
(38494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - ENVELOPPE - CSAM MEIBO FDL019032_Ref_2.2.4 sur INT1'),
(38495, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nBCO.088.33 [FDV] VISION 360 - ENVELOPPE - CSAM MEIBO QUALIFICATION de  la FDL019032_Ref_2.2.4'),
(38496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1  - QUALIF RDI EGIDE dont Reprise sur RM'),
(38497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - QUALIF RDI EGIDE dont Reprise sur RM'),
(38498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n BCO.088.33 [FDV] VISION 360 - ENVELOPPE - CSAM MEIBO QUALIFICATION de la FDL019032_Ref_2.2.4 '),
(38499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n'),
(38502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nOLC : Analyse des rejets SID Commercial (TR2)'),
(38507, '- Revoir le nom des paramètres\r\n- Libellé du paramètre pour la base trop long par rapport à la taille du champ SQL\r\n- IHM revoir le format des champs (superposition possible, taille)\r\n- Enchaînement incorrect entre l\'envoi du mail et l\'ajout de la pièce jointe (comprendre le problème et proposer une solution avant modification)\r\n- Erreur lors de la fusion de document avec page unique'),
(38736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\ntest tes script de prise de jeux Amex'),
(38739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\ncréation de fichiers betradar'),
(38740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\ncréation de fichiers betradar'),
(38742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\ncréation de fichiers betradar'),
(38744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\ncréation de fichiers betradar'),
(38594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\nPrise en charge des CTs à faire par Leïla suite à son absence'),
(38516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nSAFERGAME : Réunion point avancement avant MEP'),
(38517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nSAFERGAME : Réunion GO/NO GO MES SaferGame + point avancement actions en vue de MES au 12/01'),
(38523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nSAFERGAME : Installation FDL019130 SPSS + FDL019140 Datastage sur int2'),
(38522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nSAFERGAME : Installation FDL019130 SPSS + FDL019140 Datastage sur int4'),
(38567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nPréparation paiement SQL + Nettoyage vm1,2,3,4 VTF (ancien paiement)'),
(38568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nVtf : gereplanification et environnement'),
(38589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nassistance sur un pb BO\npréparation FDL019148 pour VCU\n[COHERIS] Avancement des sujets'),
(38618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nTest intégration de clients VCU sur DEV4'),
(38773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nAnalyse des chargements clients entre PROD et INT8 '),
(38529, 'listardp.wde : correction requête\r\nlistearrdep_tab.wdw : Déplacement chargement nombre de ligne '),
(38530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nCorrection'),
(38531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nComplément tâche'),
(38534, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nAjustement et documentation des scripts d\'extraction pour campagne de vérification de migration.'),
(38537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nFinalisation et documentation fichier de consolidation de suivi d\'exécution des  campagnes. 0,5\r\nAjustement, optimisation et documentation des scripts d\'extractions en vue de l\'exécution des tests d\'intégrité de la base de données ABP après migration.'),
(38831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nExécution et analyse des résultats des scripts d\'extraction sur la copie de PROD pour constitution du référentiel avant prochaine migration. '),
(38834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nSuite Exécution et analyse des résultats des scripts d\'extraction sur la copie de PROD pour constitution du référentiel avant prochaine migration. \n+ rédaction nouveaux scripts'),
(38546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n'),
(38547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3'),
(38548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n- ANO055978\r\n- Traitement bug reviews (abandon d\'ano, réaffectation lvs)\r\n- Qualif amex wcart'),
(38549, 'Non reproduit appeler la cliente\n\n'),
(38550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n- Atelier lyna\r\n- Présentation BU Sport\r\n- qualif wcart\r\n- remontée gestion erreur pdj au po -> US\r\n- ANO056033 \r\n- ANO056037  \r\n'),
(38551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n- ANO056038 \r\n- Point équipe avec back\r\n- qualif wcart'),
(38553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\njournée d\'arrivée: montée en compétence'),
(38554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n montée en compétence'),
(38555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n montée en compétence'),
(38556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n montée en compétence projet'),
(38557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\n montée en compétence projet'),
(38558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n montée en compétence projet - présentation de l\'architecture '),
(38559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n montée en compétence projet'),
(38560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n montée en compétence projet'),
(38561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n montée en compétence projet'),
(38562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n montée en compétence projet'),
(38563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n'),
(38569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nAnalyse :\nPHP-1038 [ANO048540] [eDWAN] Génération manuelle KO\nPHP-986 [ANO048419] HASARD - Les CSS sont téléchargées deux fois sous firefox'),
(38570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nTraitement :\nPHP-1038 [ANO048540] [eDWAN] Génération manuelle KO\nPHP-1039 [ANO048539] [eDWAN] mobi/cms/data_templates/mobi_t_acces_xenia.php n\'est pas lisible\n'),
(38572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nTraitement : \nPHP-986 [ANO048419] HASARD - Les CSS sont téléchargées deux fois sous firefox'),
(38596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nSAFERGAME : FDL019156 SPSS, FDL019112 SAGA sur int4'),
(38595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nSAFERGAME : FDL019156 SPSS, FDL019112 SAGA sur int2'),
(39443, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nEcriture cas de test Postman Vnus projet VCU'),
(38576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nAtelier intégration Jeremi Quesada + Doc de bienvenue'),
(38577, 'Ce bug est-il cloturé ?'),
(38579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nRecherche différence '),
(38580, 'Philippe,\r\n\r\nPour cette demande est-il possible de blinder un peu le batch ?'),
(38609, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\npb espace disque web 2, la tache planifié windows de nettoyage des fichiers temps ne fonctionne plus => les taches Windows ont du être recréé sur web 1 et 2'),
(38583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nTnSelect : le programme de correction des stocks ne corrige pas correctement la table de cumul de stock'),
(38584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nSAFERGAME : point avancement actions en vue de MES au 12/01'),
(38585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nDev script Falcon USR 2.10 /payment/payments et web-deposit + correctifs sur technicalcheks + ajout de builder manquant\r\npublication de scripts dans ALM\r\nCreation d\'un tag API'),
(38591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nDev scripts Falcon du groupe web-deposit\nqualification de PMS sur INT7 et INT9 : accès non ouverts sur les machines -> parametrage de l\'acces en mode \"web\" via TFE\ncorrectif sur scripts vuGen Falcon VCU\nDev VuGen - Point hebdo'),
(38588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nChargement FIC OLD\npréparation et test FDL019148'),
(38590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nMCO TR1 2 3\r\nDocumentation MCO à destination de HIA suivis des envts \r\nROMA : ALM AUTO\r\nPAYPAL : investigation paiement (manuel)'),
(38673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\nPrise en charge des CTs à faire par Leïla suite à son absence\nRéunion et Reporting équipe'),
(38598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nLivraison FDL019148\ntests VCU sur DEV4'),
(38600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n'),
(38602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nSAFERGAME : Qualification MOD013461'),
(38606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n-Ajout de cas de test Postman dans la collection : FALCON USR 2.10 :VNUS Inscription + authentification (Brouillon)\n-Support de Ouafa '),
(38607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\npoint avec marc + test + suppression blocage sauvegarde sw'),
(38608, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\ngereplanification VTF'),
(38610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nCorrection :\r\nPHP-1038 [ANO048540] [eDWAN] Génération manuelle KO'),
(38611, 'plan_arriv.wdw : Correction requête'),
(38613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nCorrection requête'),
(38614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nCorrection requête'),
(38615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n80906 export'),
(38616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\ntest 80906'),
(38617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nSAFERGAME : PV de qualification SAGA V1.2 + mode opératoire livré à HIA'),
(38619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nSAFERGAME : Point d\'avancement en vue de la MES le 12/02 + réunion sur la procédure de reprise avec IBM'),
(38620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nSAFERGAME : Installation Datastage FDL019169 sur int2'),
(38622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n[Convergence] Daily\n[Convergence][Symfony] Analyse de la config symfony\n[Convergence][Symfony] Création ANO056113 ANO056112  ANO056111 ANO056110\n[Convergence][symfony] Reinstallation Star sur INT92 avec conf phpfpm71'),
(38624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n'),
(38626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nOLC4.1 : Analyse des rejets TR2 SID Commercial'),
(38627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nMCO : SID Client TR1, TR2, TR3 + SID Commercial TR2, TR3 (mardi + mercredi)'),
(38628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nBCL.1313.08 - FDL018731 : Installation sur TR3 (DMT0017393)'),
(38631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n'),
(38632, 'A prendre en compte en dev : \r\nAmélioration des exceptions et rollback en cas de non disponibilité d\'ISU'),
(38633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nsujet : logstash sur les nouveaux composants OMNICANAL\r\npréparation de l\'installation des composants pms-gateway et pms-abckend (logstash à configurer)'),
(38634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nInstallation des composants PMS avec la configuration logstash\r\nInstallation de composants Falcon USR et SID + acceptation premier niveau'),
(38635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nRéalisation de tests sur la mise en place de la configuration logstash avec Cécile et Meir'),
(38636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Elucidation des exigences'),
(38637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[ROMA] Participation aux ateliers MONEXT/PAYPAL\r\n[VEGA] Elucidation des exigences'),
(38638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Elucidation des exigences'),
(38639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Elucidation des exigences'),
(38640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Elucidation des exigences'),
(38642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - QUALIF RDI EGIDE dont Reprise sur RM'),
(38644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - QUALIF RDI EGIDE dont Reprise sur RM'),
(38645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nASSISTANCE HIA sur incidents'),
(38649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE - Contribution sur qualif RESOCOM'),
(38650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - QUALIF RDI EGIDE dont Reprise sur RM '),
(38651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n BCO.084.39 [FDV] BOOSTER - EGIDE - Contribution sur qualif RESOCOM '),
(38652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nAssistance HIA pour PREPROD EGIDE 4.70 reprise de données '),
(38653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nModop MEP JASON - WIFI digitab ; Remise à plat des tests ALM pour faciliter le reporting ; réunion avec Joel Montels sur l\'amélioration des process'),
(38654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nCréation de l\'ANO056068 : [MOKA] [FD] cancelPayment envoyé en double ; Gestion de la problématique de MEP WinterSport pour les composants WSPO et PSBOR'),
(38655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nTravail avec HIA sur MEP WinterSport ; Investigation sur une ANO de PROD PSPDV : comportement différent entre les applications et le site concernant les événements annulés ; Investigation sur les listes lotofoot PDF : utiles ou pas ? si oui, est-ce que les informations affichées (ou pas) ne sont pas problématiques ? ; Création de l\'ANO056146 : [MOKA] [FD] [T] : Le logout (/digishopa/authent/logout) ne se fait pas lors d\'une auto-exclusion temporaire'),
(38656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1\r\n - Qualification transverse INT3'),
(39334, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nPetite non-reg sur freedom TPA après changement de fichier de conf local -> OK ; Suite et fin de la rédaction des tests ALM pour Certification PDV (ROMA)'),
(38659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nEn attente tâche étude LR Lot3'),
(38660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nEn attente tâche étude LR Lot3'),
(38661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nEn attente tâche étude LR Lot3'),
(38885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nScripts auto Falcon USR Création de 3 anomalies sur services 2.10-alpha3\nDev scripts auto pour le groupe web-deposit\nsupport aux implementeurs et correctifs de scripts'),
(38664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n- ANO056125\r\n- Tests + PV pour nouveau Vitan\r\n- Démo App native Amex'),
(38665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n- Daily\r\n- ANO056102\r\n- Bug reviews\r\n- Tests lyna'),
(38666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nAtelier formation'),
(38668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nAtelier formation avec David - Envt feature VNUS INT91'),
(38670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n[Convergence][Symfony] Creation ANO056119\n[PTAB] Incident prod sur le fichier de log /var/log/boot.log . Vu avec Yann DESNAULT - la rotation du fichier n\'est plus effectué depuis le palier ARJEL\n[Convergence] Mise a jour de la conf SALT pour l\'installation de l\'api wars sur le frontal\n[Convergence][FDJ-API] Installation sur le frontal fr20179 et test\n[Convergence][Back] Creation ANO056144 \n[Convergence][Front] Creation ANO056148 ANO056149 ANO056150'),
(38671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU \r\nPassage en revue de la NR 2.10'),
(38672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\r\nPassage en revue de la NR 2.10'),
(38674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nMise au point tests Postman et Jenkins'),
(38675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nMise au point tests Postman et Jenkins'),
(38676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nMise au point tests Postman et Jenkins'),
(38677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nFormation David outil GIT - intégration VNUS'),
(38678, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nDéveloppement tests VNUs'),
(38679, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nDéveloppement tests VNUs'),
(38855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nFomation Mathieu Stack overflow'),
(38681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nreprise après congé naissance remise a niveau des différents environnement . mise en place de configuration spécifique pour pallier bali'),
(38692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nmise en place conf venus et paramétrage spécifique puis installation des boutique A I U P G.  décalage de la mep bali pour février suite problème ios. mise en place de confirguration pour palier roma'),
(38693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nqualification avec mathieu des anno amex , installation de boutique sur le 81 pour palier roma, merge des branch dans devellope de modification spécifique pour recaptcha'),
(38684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\ncoupure wifi 3 h environ sur la journée toujours les mêmes problème liée a la carte wifi. mise ne place des version boutique 7.0.0 sur 91 pour projet venus avec plusieurs teste de configuration pour la palier .\r\néchange avec dhira pour configuration. plusieurs ano relevé avec Mathieu sur le recaptcha qui va décaler probablement la mep du 31 janvier'),
(38685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nMCO TR1 2 3\r\nMOKA : PROBLEME ETL COMPTA ECREDIT\r\nROMA : ALM AUTO'),
(38686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38689, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nCapture d\'un flux mobile AMEX. Création Swagger Digishop-A pour exploiter capture.'),
(38690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38691, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n[V16 / 16.5.2 b 396 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes) + Saisie nouvelles anomalies'),
(38694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nDev VuGen - Point hebdo. Finalisation Swagger Digishop-A et Metal. Evolution WSV 1.0.0 alpha3 pour améliorer l\'exploitabilité des rapports de validation Swagger.'),
(38695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nAtelier mise au point swagger Metal. Atelier Scripts transverses pour Sport v16.\r\nEnregistrment de flux WSV pour création de séquences d\'appels.'),
(38696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\ninstallation Vnus sur le int 91 plusieurs configuration de vhost configuration spécific supression de map hazelcast.aide dhira suite a plusieurs probleme a l\'installation de int91. installation est teste de certificat revolo sur int 02 pour test des session motors et apelle du certificats . fonctionnement ok nous allons deployer cela sur ton les serveur d\'integration apres verification du bon fonctionnement'),
(38697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nBCO.081.31 : TR4 Oracle v12 FDL018121'),
(38709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nMCO Court_Commercial'),
(38712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nMCO Court_Commercial'),
(38720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nMCO_Court_Commercial'),
(38708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nMCO Court_Commercial'),
(38725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nMCO Court_Commercial'),
(38732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nMCO Court_Commercial'),
(38735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nMCO Court_Commercial'),
(38705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nMCO Court_Commercial'),
(38706, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n'),
(38707, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nOMNI-CANAL Rédaction de 5 cas de tests'),
(39950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nCautionnement : Installation de la FDL018892 sur TR3'),
(38711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nRDI 1.1 : Qualification ANO055363 et MOD012998'),
(38714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nImplémentation Campagne V16'),
(38715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nImplémentation Campagne V16'),
(38716, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nImplémentation Campagne V16'),
(38717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nImplémentation Campagne V16'),
(38718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n'),
(38719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nRDI 1.1 : Qualification MOD012999, MOD012476, MOD012477, MOD012478, MOD013034'),
(38721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nRDI 1.1 : Version 2 du PV de Qualification'),
(38722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nOMNI-CANAL : Lissage des interventions de la semaine'),
(38723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nDMT0017334'),
(38724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nOMNI-CANAL : Rédaction de 3 cas de tests'),
(38726, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nRDI 1.1 : Test Flux nominal en RM'),
(39409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nMCO TR1 2 3\nROMA');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(38728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nMCO TR1 2 3\r\nDocumentation MCO à destination de HIA suivis des envts \r\nROMA : ALM AUTO'),
(38729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nOMNI-CANAL : Analyse des erreurs trouvées sur la procédure de resecto après installation de la dernière livraison full.'),
(38733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nOMNI-CANAL : Qualification des anomalies ANO055255, ANO055629'),
(38734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nOMNI-CANAL : Qualification anomalies ANO055755, ANO055206, ANO054917'),
(38737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nvie des environnements : vcu'),
(38738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n 	Roma / jeu d\'essai pour SOP SI finance'),
(38741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nsupport postman jenkins newman'),
(38743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nvie des environnements : vcu'),
(38745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nvie des environnements : vcu'),
(38746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nCampagne comparative DOMESTIQUE // IF INT42\r\nAnalyse poids fichiers .js + vitesse de chargement \r\nTests réalisés sur le Navigateur Chrome avec et sans cache '),
(38747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nCampagne comparative DOMESTIQUE // IF INT42\r\nAnalyse poids fichiers .js + vitesse de chargement \r\nTests réalisés sur le Navigateur Chrome avec et sans cache '),
(38748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nConstruction catalogue Tests Acceptance FRONT \r\nJeux illiko '),
(38749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nConstruction catalogue Tests Acceptance FRONT \r\nJeux illiko '),
(38755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nPrise de connaissance pour BACKUP des tests ITG IF (F.Derock) \r\nReprise des tests BACK du composant GAM (E.Riechert) '),
(39441, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n-Rédaction cas de test Postman projet VCU\n-Rédaction de cookies de test dans HP ALM\n-Assister réunion Suivi avancement qualif'),
(38754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK après confirm // SIDC TR1 OK // SIDC TR2 OK //SIDC TR3 OK'),
(38756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n[IF] Réorientation demande d\'installation ETL DIGITAL par Hocine Benoudia'),
(38757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n-Développement de tests auto selenium VCU \'MAGO\'\r\n- Configuration Jenkins DEV'),
(38758, 'Disponible dans branche \"remotes/origin/17.12.0_002_D1972_18.01.1_001\"'),
(38759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n-Développement de tests auto selenium VCU \'MAGO\'\r\n- Execution de campagne de test ALM \'VCU\'\r\n'),
(38760, 'DEX disponible dans branche \"remotes/origin/17.12.0_002_D1972_18.01.1_001\"'),
(38761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n -Développement de tests auto selenium VCU \'MAGO\'\r\n- Execution de campagne de test ALM \'VCU\''),
(38762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n -Développement de tests auto selenium VCU \'MAGO\'\r\n- Execution de campagne de test ALM \'VCU\'.\r\n-Point Avancement de tests VCU'),
(38764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nMOKA : Implémenation des tests Acceptance API BDD Freedom Payment sur INT1. Problème technique dû à des installations sur INT1'),
(38781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\ndoc api - convergence'),
(38771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\ndoc api '),
(38767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nImplémenation des tests Acceptance API BDD Freedom Payment sur INT1. Lancement campagne de non régression Falcon USR 2.9.3 sur INT1. Analyse des tests. Maintenance des tests'),
(38768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nLancement campagne de non régression Falcon USR 2.9.3 sur INT1. Analyse des tests. Maintenance des tests'),
(38769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n-Développement de tests auto selenium VCU \'MAGO\'\r\n'),
(38770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nLancement campagne de non régression Falcon USR 2.9.3 sur INT1. Analyse des tests. Maintenance des tests'),
(38775, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\ndoc api'),
(38777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\ndoc api FDL Edwan'),
(38780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nFDL edwan - convergence'),
(38778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nImplémentation de tests auto et réflexion sur la stratégie de passation et de transfert de compétences. '),
(38779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nImplémentation de test AUTO ARJEL et mise à jour des cas de test existants pour 2.10 (appels de service). '),
(38783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n[Convergence] Daily\n[Convergence] Point avec romain\n[Convergence][Back] Creation ANO056168\n[Convergence][Back] Creation des comptes utilisateurs '),
(39515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n- réunion [CONVERGENCE] : Refonte promulgations/services boutique\n- [SALT] Maj du truststore pour ajout certificats Ariase integ + Revolo\n- [SALT] Changement de domaine Ariase nv sur l\'ensemble des env d\'integ\n- [SALT] Merge de branche develop dans l\'ensemble des branches GIT\n- déploiement boutiques palier Amigo int82\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.2.0\',\n  \'digishopg\': \'2.1.0\',\n- déploiement boutiques palier Amigo int22\n  \'digishopa\': \'5.4.3\',\n  \'digishopi\': \'5.1.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.2.0\',\n  \'digishopg\': \'2.1.0\',\n- qualification livraison digishop-p\n- création ANO056174 [GEORESTRICTION] Pas de cache Hazelcast sur service ariase KO\n- maj swagger digishop-p 2.2.0\n- maj swagger-ui 3.9.3'),
(38785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n- [SALT] Alignement et correction vhost.conf pour mapi\r\n- [SALT] Maj des branches salt avec develop\r\n- [SALT] Maj routes services digishop-p\r\n- livraison digishop-public 2.2.0 palier amigo\r\n- déploiement boutiques palier Amigo int21\r\n  \'digishopa\': \'5.4.3\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.4.0\',\r\n  \'digishopp\': \'2.2.0\',\r\n  \'digishopg\': \'2.1.0\',\r\n- camapagne de test sur ariase suite ouverture des flux du domaine d\'integ'),
(38786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n- qualification livraison 4.5.6_edwan rejetée\r\n- remonté pb de nommage dans les champs dans Amigo\r\n- tests sur service georestriction sur ouverture de flux par firewall : ko\r\n- support dev stream boutique pour intégration nouvelle base sqlite amigo\r\n- point avec stream native pour suppression champ version dans la boutique-game\r\n- création ANO056084 [AMIGO] Echec de promulgation suite renommage champ promo_id\r\n- création MOD013549 [DIGISHOPP] Suppression de l\'objet version dans les services Digishop-Game\r\n- [SALT] déploiement boutiques palier Amigo int82\r\n  \'digishopa\': \'5.4.3\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.4.0\',\r\n  \'digishopp\': \'2.1.1\',\r\n  \'digishopg\': \'2.1.0\', '),
(38787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n- création MOD013537 [CONVERGENCE] Changement route pour /digishopp/pdv/get\r\n- création ANO056064 [AMIGO] champ ADRESSE retourne du null dans le service /digishopp/pdv/get\r\n- point avec stream sport et stream appli natives pour évolution boutique-public avec le service /retailers\r\n- relance sur ano critique avec service /digishopp/retailers sur l\'affichage des coords X erronée'),
(38790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nExécution des campagnes de tests de non régression et des évolutions du palier ROMA sur INT1 (USR 2.9.3).'),
(38791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nExécution des campagnes de tests de non régression et des évolutions du palier ROMA sur INT1 (USR 2.9.3).'),
(38792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nExécution des campagnes de tests de non régression et des évolutions du palier ROMA sur INT1 (USR 2.9.3).'),
(38793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nExécution des campagnes de tests de non régression et des évolutions du palier ROMA sur INT1 (USR 2.9.3).'),
(38910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n- Récupération des évoltuion 1.1.1 et 1.3.1 depuis la solution Git\r\n- Intégration des évolutions 1.1.1 et 1.3.1 dans la solution SVN\r\n- Livraison des évolutions 1.1.1 et 1.3.1 dans la solution SVN'),
(38912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n- Récupération des évoltuion 1.1.2 et 1.3.3 depuis la solution Git\n- Intégration des évoltuion 1.1.2 et 1.3.3 dans la solution SVN'),
(38914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n- Adapation des changements concernant l\'évolution 1.3.4, effecutés par Fred, afin qu\'ils correspondent aux specs définis (modèles, nom des méthodes, ...)'),
(38799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n-'),
(38808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n'),
(38843, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n[StockGrattage] Modifications des chaines TR3 et TR2 pour ajout des notifications par email'),
(38906, 'Commité/pushé dans 17.12.0_002_D1972_18.01.1_001'),
(38907, 'Commité/pushé dans branche 17.12.0_002_D1972_18.01.1_001'),
(38807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nCorrection de la chaine en production sur les notifications par email des non chargements'),
(38812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\n- Analyse problème recaptcha sur appli mobile et tests\r\n- remontée du problème à la sécurité et proposition de solutions\r\n- décision finale de repousser la MEP aprés AMEX'),
(38814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n- Qualifications Anos AMEX\r\n- réunion tests auto VCU'),
(38915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n- Récupération de l\'évoltuion 1.2.1 depuis la solution Git\r\n- Intégration de l\'évoltuion 1.2.1 dans la solution SVN\r\n- Ajout des critères statut dossier (StatutDossierEnum) MailsSortants (pour la tuile générale) et MesMailsSortants (pour la tuile du gestionnaire).\r\n- Livraison des évoltuions 1.1.2, 1.2.1 et 1.3.3'),
(38816, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n- Tests jeu IF Motors\r\n- Qualifications Anos AMEX'),
(38818, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n- Rédaction Tests VCU / Point avec Yasmine pour croiser les tests auto'),
(38820, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n- daily Coco (tous les jours de la semaine)\n- Qualifiactions Anos Stream coco'),
(38920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nDeclaration GLA sur INT21\nContrib de SU3 sur INT21 et INT42 => Le jeu ne se lance sur aucun des environnements\nContrib des jeux EL5 et RD2 sur INT5 a la demande de Claude PAOLI\n=> Les vignettes IF ne s\'affichent pas'),
(38928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nAnalyse du non-lancement du jeu SU3 sur INT21 et INT42\nAnalyse du pb de contribution des jeux IF sur INT5\nFormation Fatima'),
(38916, 'La livraison de PT_RIS V18.1.0_001 a été effectuée le 31/01/18'),
(38929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nDeclaration de tresordescorsaires2018 [TDC] sous USR FALCON '),
(38823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nVENUS : \r\n0,5 : lecture SFD et Analyse d\'impact \r\n0,5 : Formation Ouafae'),
(38824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nVENUS : \r\n0,75 : lecture SFD et Analyse d\'impact \r\n0,25 : Formation Ouafae'),
(38825, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nROMA : Run sur USR 2.9.3'),
(38826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nROMA : Run sur USR 2.9.3'),
(38827, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nROMA : Run et modif de test postman sur USR 2.9.3'),
(38828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nCorrection : \r\nPHP-1050 ANO055941 [GET HOME 1.2] [GET HOME 1.3] loto de noel et super loto ressorte sans crmo'),
(38829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nEvolution WSV 1.0.1-1 support des séquences.'),
(38830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nCorrection : \r\nPHP-978 [ANO046315] [MOBI][BINGO] Mauvais environnement sur config.env : integ\r\nPHP-980 [ANO048261] [MOBI][APPLIMAITRE] service mobiles/api/bingo retour de isMobile toujours à false\r\n\r\nTraitement : \r\nPHP-979 [ANO046088] [MOBI][KENO] PHP Notice: Undefined index: champ_table - fichier upload_media.php'),
(38836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nSuite Exécution et analyse des résultats des scripts d\'extraction sur la copie de PROD pour constitution du référentiel avant prochaine migration.'),
(38835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nSuite Exécution et analyse des résultats des scripts d\'extraction sur la copie de PROD pour constitution du référentiel avant prochaine migration.'),
(38838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n'),
(38840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(38842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n[RDI1.1]Prise de connaissance des taches a faire pour assistance sur la reprise de données'),
(38844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n[DATALAB][OLC]Configuration teradata studio '),
(40829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nSAFERGAME : Installation FDL019139 et FDL019183 Datastage, FDL019172 SQL, FDL019173 SPSS, FDL019137 CFM sur int2'),
(38848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nSAFERGAME : Installation FDL019139 et FDL019183 Datastage, FDL019172 SQL, FDL019173 SPSS, FDL019137 CFM sur int4'),
(38849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nSAFERGAME : Support HIA actions MEP avec J.Buisson + réunion état avancement des actions MES'),
(38850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nFDL019138'),
(38851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nFDL019138'),
(38852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nFDL019164'),
(38853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nFDL019166'),
(38854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nCreation script permettant d\'alimenter la page indiquant les versions installées pour digishop'),
(38856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nFDR Mes versements'),
(38863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nFDR'),
(38859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nFDR'),
(38860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nAttestation de paiement'),
(38862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nAttestation de paiement'),
(38864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nFDR Mes Versements'),
(38866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nAnalyse du résultat de la campagne NonReg, en l\'occurrence les sports mineurs '),
(38867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nImplémenter les cas de test PDJs live V16 et terminer les cas de test Appel de service Mify Quickaccess'),
(38868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n--3/4 jour\r\nImplémenter les cas de test PDJs live V16 et terminer les cas de test Appel de service Mify Quickaccess\r\n--1/4 jour\r\nMettre en place et lancement de campagne NonReg V14 sur INT8'),
(38869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nExécution de campagne NonReg V14 sur INT8'),
(38870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nTerminer l\'Exécution de campagne NonReg V14 sur INT8.'),
(38871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n'),
(38873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n'),
(39216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nSurcharge du technicalCheck de la PDJ MainBook'),
(39214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nSurcharge du technicalCheck de la PDJ MainBook'),
(39210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nEvolution des databuilders'),
(39517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nEvolution des databuilders'),
(38879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR3 OK // SIDC TR2 OK // SIDC TR1 OK'),
(38880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n'),
(38881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\ntentative d\'utilisation de PMS sur INT7, recherche operateur et equipement et analyse des erreurs aléatoires rencontrées sur les sessions TMS et RTA\r\nremontée des problèmes rencontrés\r\nmodification des scripts de service unitaire POST e PUT Bet ITF pour parametrer un think_time avant l\'appel du service\r\nComité API VCU'),
(38884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nMise à jour du catalogue de test pour Falcon USR 2.10 (API)'),
(38886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n'),
(38887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nSécurisation Commerciale : INT4CALY Oracle v12. Analyse des objets invalides + MAJ de l\'arborescence.'),
(38889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nTests V1.14.2'),
(38890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nTests V1.14.2'),
(38984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n[SPEED UP] Gestion de l\' offre pour les sports d\' hiver\nBiathlon\nAlpine Skiing\nCross-Country\nSpeed Skating\nShort-Track Speed Skating\nSkeleton\nBobsleigh\nLUGE\nSnowboard\nCurling\nFreestyle Skiing\n\n[SPEED UP] Test de résulting partiel Foot\nHOST: agpadmi21\nSITE: fdj2-origin_release_16-105\nABP: 14.1.32.2-SNAPSHOT 42\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.186'),
(38894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-09  (Do not remove this line) -->\n'),
(38930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n[ABPv16] Point téléphonique anomalie ANO055673 : joueurs anonymisés'),
(38897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(41627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n'),
(38899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n'),
(38900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n'),
(38933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nINC187736 Investigations'),
(38909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nCréation d\'un nouveau environnement de développement attaché à SVN:\n- création d\'un nouveau dossier qui va contenir la solution qui est sur SVN\n- création d\'un nouveau site sur IIS lié à la solution SVN\n- Configuration réseau\n- Récupération de la solution qui est sur SVN'),
(38921, 'Rappeler : problème non reproduit \r\nNacéra Bendaïa : 04 42 95 86 29\r\n\r\n\r\n\r\nErreur dans le traitement Méthode CréeConsigneFC.\r\nUne erreur système inattendue est survenue.\r\nSi cet incident se produit de manière systématique lorsque vous exécutez les mêmes manipulations, il est conseillé de transmettre au Support Technique Gratuit :\r\n- une description des circonstances de l\'incident\r\n- les lignes de code, une fenêtre ou un projet permettant de reproduire le problème\r\n- les informations techniques suivantes\r\n\r\nDetails techniques :\r\n\r\nModule : KERNEL32.DLL\r\nAdresse de base : 77520000\r\nErreur systeme : Access violation (GPF)\r\nEIP = 7753742B\r\nOS : Windows 8 (6.2.9200)\r\n\r\n----- Informations techniques -----\r\n\r\nProjet : evawin\r\n\r\nAppel WL :\r\nTraitement de \'Méthode CréeConsigneFC\' (CConsigneFC.CréeConsigneFC), thread 0\r\n\r\nQue s\'est-il passé ?\r\nUne erreur système inattendue est survenue.\r\nSi cet incident se produit de manière systématique lorsque vous exécutez les mêmes manipulations, il est conseillé de transmettre au Support Technique Gratuit :\r\n- une description des circonstances de l\'incident\r\n- les lignes de code, une fenêtre ou un projet permettant de reproduire le problème\r\n- les informations techniques suivantes\r\n\r\nDetails techniques :\r\n\r\nModule : KERNEL32.DLL\r\nAdresse de base : 77520000\r\nErreur systeme : Access violation (GPF)\r\nEIP = 7753742B\r\nOS : Windows 8 (6.2.9200)\r\n\r\nCode erreur : 1020\r\nNiveau : erreur fatale\r\n\r\nDump de l\'erreur du module \'wd210vm.dll\' (21.0.330.0).\r\nIdentifiant des informations détaillées (.err) : 1020\r\nInformations de débogage :\r\n\r\nDetails techniques :\r\n\r\nModule : KERNEL32.DLL\r\nAdresse de base : 77520000\r\nErreur systeme : Access violation (GPF)\r\nEIP = 7753742B\r\nOS : Windows 8 (6.2.9200)\r\nRegistres :\r\n\r\n  EIP = 7753742B    EBP = 001876E0\r\n  EAX = 00000001    EBX = 00187800\r\n  ECX = FFFFFFF5    EDX = 04F4B130\r\n  ESI = 00000013    EDI = 00187764\r\n\r\nPile des appels :\r\n\r\n[KERNEL32.DLL (77520000)]      77537420 : InterlockedIncrement() + 11 bytes\r\n\r\nInformations supplémentaires :\r\nEIT_PILEWL :\r\nMéthode CréeConsigneFC (CConsigneFC.CréeConsigneFC)\r\nClic sur BTN_OK (FEN_CONSIGNEFC_GEN.BTN_OK), ligne 21\r\nMéthode CréeConsigneFC (CConsigneFC.CréeConsigneFC)\r\nClic sur BTN_OK (FEN_CONSIGNEFC_GEN.BTN_OK), ligne 21\r\nMéthode CréeConsigneFC (CConsigneFC.CréeConsigneFC)\r\nClic sur BTN_OK (FEN_CONSIGNEFC_GEN.BTN_OK), ligne 21\r\nMéthode CréeConsigneFC (CConsigneFC.CréeConsigneFC)\r\nClic sur BTN_OK (FEN_CONSIGNEFC_GEN.BTN_OK), ligne 21\r\nClic sur BTN_Nouveau (FEN_CONSIGNEFC_TAB.BTN_Nouveau), ligne 2\r\nSélection du menu de _Menu.Paramétrage.Paramétrage_du_disponible.OPT_Consignes_de_vente.OPT_Consignes_de_formules_de_clientèle (menu_SQL._Menu.Paramétrage.Paramétrage_du_disponible.OPT_Consignes_de_vente.OPT_Consignes_de_formules_de_clientèle), ligne 2\r\nEIT_DATEHEURE : 05/02/2018 10:41:54\r\nEIT_TYPE_WDFILE : <4>\r\nEIT_IDCODE : <458752>\n\n'),
(38922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nProblème montant écart'),
(38923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nnon reproduit : attente appel client'),
(38927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nInstallation de BINGO 2.1.5.62040 sur INT3\nCoProj Illiko'),
(38931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-15  (Do not remove this line) -->\n'),
(38932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n- Démo webapp'),
(38934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n'),
(38937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n'),
(38940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n[Convergence] Daily\n[Convergence] Etat des lieux / CR a mohamed sur les installations star/wars en intégration\n[Convergence] Creation ANO056200 et ANO056201\n[Convergence] Preparation de documentation d\'installation star/wars via SALT'),
(39442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n-Rédaction cas de test Postman projet VCU\n-Rédaction de cookies de test dans HP ALM'),
(38945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nEvolution WSV 1.0.1-1 support des séquences (suite).'),
(38946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n'),
(38947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n'),
(38948, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n- Daily\r\n- Point test\r\n- Mise à jour des tests (type, status)'),
(38950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - EGIDE - Création et mise en place  du nouveau certificat sur serveur SSRS de RM'),
(38951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution création PDV pour test SOPRA'),
(38952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C  - Etude des documents projets à disposition pour préparation des tests'),
(38953, 'Entête à intégrer sur les éditions \"indiv\"\r\nLogo sur les contrats groupes\n\n'),
(38954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution création PDV pour test SOPRA'),
(38955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nCorrection :\r\nPHP-981 [ANO045838] [MOBI][KENO] 400 demandé sur un app, game ou device erroné'),
(38956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nBCO.084.39 [FDV] BOOSTER - EGIDE contribution pour test SOPRA notamment test de création en masse de de tache'),
(38961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE - Début de réalisation des tests ALM (6 cas)'),
(39009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 reprise des traitements interrompu par arrêt ETL // SIDC TR1 OK bypass bingo // SIDC TR2 OK // SIDC TR3 OK'),
(38963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nAppel cliente, récupération message d\'erreur'),
(38964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nDescription des correctifs apportés '),
(38966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nProblème de stock négatif.\nTest et correction manuelle de janvier à août.\nDemande de réactivation de la tâche automatique après correction'),
(38968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nAnalyse Voucher'),
(38969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nRecherche de tous les stocks négatifs : Marine TRUCHET '),
(38970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nDivers : lot2 echeancier, problème reseau VCS, ...'),
(38971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nproblème WS'),
(38974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nQuestions Macif'),
(38975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nBrochures'),
(38976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nLibelle FC'),
(38977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nImport reglements'),
(38978, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nAguesseau'),
(38982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n[SPEED UP] Gestion de l\' offre pour les sports d\' hiver\nBiathlon\nAlpine Skiing\nCross-Country\nSpeed Skating\nShort-Track Speed Skating\nSkeleton\nBobsleigh\nLUGE\nSnowboard\nCurling\nFreestyle Skiing\n\n[SPEED UP] Test de résulting partiel Foot\nHOST: agpadmi21\nSITE: fdj2-origin_release_16-105\nABP: 14.1.32.2-SNAPSHOT 42\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.186'),
(38983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n[SPEED UP] Gestion de l\' offre pour les sports d\' hiver\nBiathlon\nAlpine Skiing\nCross-Country\nSpeed Skating\nShort-Track Speed Skating\nSkeleton\nBobsleigh\nLUGE\nSnowboard\nCurling\nFreestyle Skiing\n\n[SPEED UP] Test de résulting partiel Foot\nHOST: agpadmi21\nSITE: fdj2-origin_release_16-105\nABP: 14.1.32.2-SNAPSHOT 42\nMOBILE: origin_release_8\nARGUS: 14.1-125\nPLATFORM: 1.0.186'),
(38992, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nScripts de migration - Passage information FDJ pour automatisation + Mise à jour doc.    0,5j\n\nRédaction cas de test migration ALM  0,5j'),
(39286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nScript de migration - Wagerlimits  0,5\nRédaction cas de test migration ALM 0,5'),
(38999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nSécurisation Commerciale : Préparation aux tests de migration Oracle v12 (Calypso)'),
(39002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nVCS - analyse repertoire partagée VCS-files (pour deplacement images edition evasion vers vcs-files)'),
(39003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n- Point Atos\r\n- Mail pour le point : Comportement des applis natives sur réseau dégradé\r\n- Mail pour le point : Paramètre loggedInState pour les news\r\n- Acceptances sprint 15'),
(39004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nTransfert Safa'),
(39005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nTransfert Safa'),
(39006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nTransfert Safa'),
(39007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nTransfert Safa'),
(39272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nAnalyse du Use Case 1 du SID commercial et des documents relatifs au datalab'),
(39010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nRecherche pour la QC 4857'),
(39011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nTest patch prod 5150 sur REC2'),
(39012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nQualification patch 5150 sur IQ'),
(39013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nPV de recette QC 5150'),
(39014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nAnalyse QC 4504 pour Pierre Buscato'),
(39015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nAnalyse QC 5154 pour Pierre Buscato'),
(39016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nAnalyse QC 4504 pour Pierre Buscato'),
(39045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nMise à jour du fichier de suivi Falcon USR 2.10 (alpha3)\nsupport aux implementeurs\nPrise en charge d\'une évolution mineure dans UsrTrusted 2.10-alpha3 sur un type de donnée du composant UBO -> merge API et evolution d\'un script auto create endowment'),
(39019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n'),
(39020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n'),
(39023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nIntegration paiement VTF (pb IIs fichier ASP sous Windows 2016)\nEdition planifié'),
(39024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nProblème logo + image de fond en cade'),
(39081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n'),
(39080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n'),
(39082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-18  (Do not remove this line) -->\n'),
(39030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(39032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(39033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nProblème de mémoire '),
(39034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n'),
(39035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\n'),
(39036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n'),
(39042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - EGIDE contribution au test'),
(39038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nDSI-INT nomenclatures 45624'),
(39039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution au test CAMCA'),
(39040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nANVCTX'),
(39041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE validation d\'ANO faite par la recette'),
(39043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nAssistance HIA'),
(39044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nRecherche de solutions pour l\'image de fond + analyse du code source pour le problème de paramétrage'),
(39047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n'),
(39048, 'Dev terminé et testé'),
(39049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\r\n Passage en revue de la NR 2.10'),
(39050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\r\nPassage en revue de la NR 2.10\r\nPassage de connaissance fonctionnelle ARJEL par J. Paquit (1H)'),
(39051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\r\nPassage en revue de la NR 2.10\r\nRéunion d\'équipe '),
(39548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU (Sans test)\nIndisponibilité int9\nPassage de connaissance ARJEL avec PPE'),
(39059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nSIDC TR1 OK // SIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK  // SIDCOM TR3 OK'),
(39108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n[MOKA] Support reprise de données pour ADOBE fichiers contrôle et qualitatif DMT0018319 '),
(39061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(39062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\n'),
(39063, 'Déjà corrigé dans une autre tâche '),
(39093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nDéjà résolue'),
(39090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nEdition planifiées VTF'),
(39067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n[ABPv16] Réunion suivi des actions pour la reprise de données'),
(39068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n'),
(39069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n'),
(39070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n'),
(39071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nAnalyse :\r\nPHP-1051 ANO056256 MAPI - euromillion exceptionnel - service /mapi/results/euromillions'),
(39073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nAnalyse refonte MRCD + cryptage de la réponse'),
(39075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nNouvel essai d\'appel PMS sur INT7, envoi en mail des traces d\'erreur à CHristophe Reynet et Farshana\npoint dev vuGen hebdo\ncompletion du catalogue du référentiel Falcon USR 2.10 \ncreation de requetes SQL pour generer le jeux de données'),
(39083, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nSécurisation SI Commercial : Calypso, Analyse plantages.'),
(39079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\n'),
(39084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n[OMNICANAL] Vérification du refus de création de compte en point de vente'),
(39085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nSAFERGAME : Point de synchro avec M.Anne + Point état d\'avancement actions avant MES'),
(39086, 'Commit-Push dans branche D1621_18.1.0_002'),
(39087, 'Commit-push dans branche D1621_18.1.0_002'),
(39088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n'),
(39091, 'Analyse OK \r\nTâche généré'),
(39094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nAide'),
(39096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nBFR.066.31 [ME] FINANCE - DMT0018375 : Copie de la base de prod + exécution workflow sur INT4'),
(39956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et mainten... : FDL019222 TR2. Installation.'),
(39944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nCOPEX - FDL019203 : Installation TR2 + FDL non précise + retour Arrière car scripts SQL KO'),
(39099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n'),
(39100, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\n'),
(39101, 'Plusieurs bugs ont été corrigé sur l\'édition et son traitement d\'initialisation (affichage de la tva + affichage des participants)'),
(39102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39103, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nLa modification des specs par le client a eu un léger impact sur le reste à faire:\r\n0,75 => 1,00 '),
(39104, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nSAFERGAME : Installation Certificats FDL019141, et Serveur archive FDL019137 sur int2 - Installation Certificats FDL019141 sur int4'),
(39105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nSAFERGAME : Installation Serveur archive FDL019137 sur int4'),
(39106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nJ\'ai passé, au total, 6 heures sur la tâches 1.3.4.\r\ntravail réalisé:\r\n - Prise en compte de la dernière modif des specs\r\n - Test avec le bouchon (OK)\r\n - Test avec le ws (KO : le ws ne nous a pas envoyé la liste des délais)'),
(39107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nSAFERGAME : Assistance HIA (J.Buisson) chargement de données '),
(39109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n[RDI] Support à l\'analyse de l\'erreur oracle de la procédure stockée en preprod'),
(39110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nSIDC TR1 OK // SIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK // SIDCOM TR3 OK'),
(39111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n[ABPV16 / VNUS] Support a la recette sur la disponibilité de l\'univers BAFIM et réorientation pour la problématique des droits d\'acces'),
(39128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nDetection incoherence donnée MPARAM suite a migration =>necessite adaptation'),
(39116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n[SPEED UP] Test des anomalies en cours Baseball sur INT2\r\n\r\nHOST:           agpadmi21\r\nSITE:           fdj2-origin_release_16-105\r\nABP:            14.1.32.2-SNAPSHOT 42\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n\r\n\r\n[V16]  Mise à jour des cas de tests manuel (ALM) ETL et Segmentation\r\n\r\n'),
(39117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n[V16] NREG manuel sur INT0\r\n\r\nHOST:           agpadmi01\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 396\r\nCMS:            fdj_cms-master-223\r\nMETAL:          fdj-165-v1.0-6\r\n'),
(39118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n[V16] NREG manuel sur INT0\r\n\r\nHOST:           agpadmi01\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 396\r\nCMS:            fdj_cms-master-223\r\nMETAL:          fdj-165-v1.0-6'),
(39119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39434, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nEcriture Test Postman ( souscription complémentaire) dans la collection FALCON USR 2.10-VNUS: Souscription Complémentaire'),
(39433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nEcriture Test Postman ( souscription complémentaire) dans la collection FALCON USR 2.10-VNUS: Souscription Complémentaire'),
(39123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39124, 'Problème d\'accès multiple sans doute lié au problème de lock sur les dossiers suivant et précédent'),
(39125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n[OMNICANAL] Exécution d\'un cas de test sur le motif de refus d\'inscription + investigations et création d\'une anomalie'),
(39126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nAide'),
(39129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nDocumentation livraison v1.14.2'),
(39134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nEn attente tache LR Lot3 : préparation atelier'),
(39133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nEn attente tache LR Lot3 : atelier 1'),
(39132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nEn attente tache LR Lot3 : CRR atelier'),
(39135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nEn attente tache LR Lot3 : spec '),
(39136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nEn attente tache LR Lot3 : préparation atelier'),
(39137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nDéveloppement des tests Digishop version 7\r\nAcceptance Digishop A, I et U 7.0 partielle sur int 91 '),
(39138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nDéveloppement des tests Digishop version 7'),
(39139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nDéveloppement des tests Digishop version 7\r\n Acceptance Digishop A 5.5.3, I 5.1.1et U .5.4.1 sur int 21'),
(39140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nDéveloppement des tests Digishop version 7'),
(39141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nDéveloppement des tests Digishop version 7'),
(39143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nModification et implémentation des CTs pour VCU\n Passage en revue de la NR 2.10\nIndisponibilité de INT9 à partir de 15h => clonage de la base à la demande de Lotsys '),
(39145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nChoix d\'un framework client léger pour WSV Front-end et analuse d\'impact sur les services additionnels WSV back requis.'),
(39154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes + Tests failed dans précédentes versions) + Saisie nouvelles anomalies'),
(39152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes + Tests failed dans précédentes versions) + Saisie nouvelles anomalies'),
(39153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes + Tests failed dans précédentes versions) + Saisie nouvelles anomalies'),
(39151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Acceptance + BugFixing + Campagne NonRegBack (Tests non passés sur les précédentes campagnes + Tests failed dans précédentes versions) + Saisie nouvelles anomalies'),
(39589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes + Tests failed dans précédentes versions) + Saisie nouvelles anomalies'),
(39158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nDev VuGen - Point hebdo. Implémantation des premiers services additionnels pour WSV front en back WSV 1.0.1-1. Choix d\'un serveur HTTP pour servir le contenu statique de WSV front-end.'),
(39157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nMise au point du contenu statique de base de WSV front 1.0.0-1. Mise en œuvre des composants front et implémentation des interactions avec les premiers services dédiés au front.'),
(39160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nPrésentation Scripts transverse / API. Continuation de l\'implémentation de WSV front-end 1.0.0-1 et de WSV back end 1.0.1-1.'),
(39161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nInstallation de composants falcon sur INT4'),
(39163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nModification de paramétrage sur les composants OmniCanal'),
(39175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nAnalyse évolution sécurité MRCD.\nCréation d\'un script de préparation de promulgations.'),
(39165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nSuivi des modifications de paramétrage des composants OmniCanal'),
(39166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nInstallation de composants falcon sur INT1'),
(39167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nProjet ROMA'),
(39168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nMCO control m TR 1 2 3 \r\nROMA '),
(39169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nMCO control m TR 1 2 3 \r\nROMA '),
(39170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nMCO control m TR 1 2 3 \r\nROMA '),
(39171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nMCO control m TR 1 2 3 \r\nROMA '),
(39172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nMCO control m TR 1 2 3 \r\nROMA '),
(39173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nMCO control m TR 1 2 3 \r\nROMA '),
(39176, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(39251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nformation avec fatima installation des boutique sur int 81 suite a livraison de dhira analayse des log et suite passage de connaissance formation git de bases'),
(39254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nformation fatima point sur ce qu\'il lui manque dans sa monté en competence differente installation sur int 21 avec fatima'),
(39179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nAvec Geoffrey'),
(39255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nanalyse et conrrection d\'un bug de prod sur capadress  avec fatima formation git avancé et premier vision de salt stack premier vue de hazelcast'),
(39256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nsuite correction bug de prod different teste avec fatima sur les trustore 4 installation du int81 ce matin avec fatima'),
(39250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nformation journée complete avec fatima sur les diffenrent service de digishop et configuration de tout git sur son poste de travail'),
(39183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\na compléter svp'),
(39184, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\na compléter svp'),
(39226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nFDL019227'),
(39227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nFDL019230.\n\n'),
(39229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nFDL019232'),
(39230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nFDL019264'),
(39239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n- daily Coco (tous les jours)\n- Acceptance MIGO 1.1 + MAGO 1.1 sur la Pré Q INT9 (projet VCU / pallier VNUS)'),
(39238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n- réunion point formation F PEREIRA\n- Anos AMEX\n- Coordination VCU (incompatibilité comosants avec ABP V16)'),
(39191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nMaintenance des tests ToBeReview BlockScript de la version Falcon USR 2.9. Lancement campagne d\'acceptance Falcon USR 2.9.4 sur INT7. Analyse des tests.'),
(39234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n- Formation F PEREIRA\n- Acceptance MIG 2.6.15  +Qualif Ano liée\n- traitement Anos AMEX\n- '),
(39233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n- Formation F PEREIRA\n- Acceptance MAG 2.9.5'),
(39194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nLancement campagne d\'acceptance Falcon USR 2.9.4 sur INT7. Analyse des tests. Envoie du rapport. Palier VNUS : Reprise des cas de test Endowment. MOKA : Implémenation des tests Acceptance API BDD Freedom Payment sur INT1.'),
(39197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\na compléter svp'),
(39198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\na compléter svp'),
(39202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nImplémenation des tests Acceptance API BDD Freedom Payment sur INT1. Implémentation des cas de tests pour les limites des joueurs Retails sur Falcon USR 2.9.'),
(39200, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\na compléter svp'),
(39363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nImplémentation des cas de tests pour les limites des joueurs Retails sur Falcon USR 2.9. Lancement campagne de non régression Falcon USR 2.9.4 sur INT1. Analyse des tests. Maintenance des tests.'),
(39204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\na compléter svp'),
(39365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nLancement campagne de non régression Falcon USR 2.9.4 sur INT1. Analyse des tests. Maintenance des tests.'),
(39206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\na compléter svp\r\n'),
(39222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n-Développement de tests auto RobotFramework MAGO'),
(39223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nDéveloppement de tests auto RobotFramework MAGO'),
(39215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nSurcharge du technicalCheck de la PDJ MainBook'),
(39213, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\na compléter svp'),
(39217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL, mise à jour de cas de tests et évolutions sur appels de services.'),
(39218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL, mise à jour de cas de tests et évolutions sur appels de services.'),
(39219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL, mise à jour de cas de tests et évolutions sur appels de services.'),
(39220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL, mise à jour de cas de tests et évolutions sur appels de services. Préparation du transfert de compétences. '),
(39221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nImplémentation de tests automatisés ARJEL, mise à jour de cas de tests et évolutions sur appels de services. Début du transfert de compétences avec Leila. '),
(39224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nDéveloppement de tests auto RobotFramework MAGO'),
(39228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nDéveloppement de tests auto RobotFramework MAGO\nPresentation tests auto Stagiaire 3 eme'),
(39231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nDéveloppement de tests auto RobotFramework MAGO/MIGO VCU'),
(39295, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nImplémentation ALM dans le catalogue USR 2.10 du FalconPOSTFinancialBanking\nVérification, Mise à jour et publication de tous les scripts Falcon pour leur ajouter l\'eventuel DefaultStepType manquant dans le .param\ndiff et Generation du PMS 1.0.4-1'),
(39237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nMerge PMS 1.0.4-1, Diff de TMS et RTA pour cette version 1.0.4'),
(39240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution au test CAMCA'),
(39242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nAssistance HIA pour MEP EGIDE RDI + Recherche pb PREPROD'),
(39248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution au test CAMCA'),
(39244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nAssistance HIA pour MEP EGIDE-RDI'),
(39246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nGestion des INCIDENTS - INC188112'),
(39247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nMCO Court_Commercial'),
(39249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nMCO Court_Commercial'),
(39253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL  - Gestion des environnements EGIDE I/Q'),
(39258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nPrise de connaissances sur le palier VNUS / projet VCU.\nExécution des campagnes de tests de non régression du palier ROMA sur INT1 (USR 2.9.3).'),
(39259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nPrise de connaissances sur le palier VNUS / projet VCU.\r\nExécution des campagnes de tests de non régression du palier ROMA sur INT1 (USR 2.9.3).'),
(39394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nRéunion coordination et organisation des tests pour le projet VCU.\nEcriture des coquilles des cas de tests sur le projet VCU (projet ALM PALIER_DIGITAL).'),
(39395, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet VCU (projet ALM PALIER_DIGITAL).'),
(39263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nMCO Court_Commercial'),
(39264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nMCO_Court_Commercial'),
(39266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nDéclaration de DRA sur INT5\r\nMise a jour doc de presentation BINGO'),
(39269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nMise a jour doc de presentation BINGO\nAnalyse pb BINGO sur INT2 (index manquant)'),
(39268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nConribution de MTW sr INT82\r\nModification de la déclaration de revolo8 a revolo2 sur INT8\r\nBascule de l\'api gateway pour rtg sur INT6 et INT7'),
(39270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nAnalyse pb BINGO sur INT2 (index manquant)'),
(39271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n SIDC TR1 OK // SIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK // SIDCOM TR3 OK'),
(39273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n[OMNICANAL] Investigation sur les chargements du weekend'),
(39274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n[MOKA] Support sur RFC RFC004516'),
(39276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nRDI 1.1 Analyse des rejets dans le flux RDI - SAGA sur TR3'),
(39277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n[RAM004] Qualification de l\'anomalie ANO056206 sur la recette de masse'),
(39953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nOMNI CANAL : ETL Installation de la FDL018888 sur TR3'),
(39952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nOMNI CANAL : SAGA Installation de la FDL019106 sur TR3'),
(39951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nOMNI CANAL : SAGA Installation de la FDL019197 sur TR3'),
(39281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nOMNI CANAL : Tests de qualification ANO056172'),
(39284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nSuivi anomalies.\nPréparation campagnes projet VCU.\n'),
(39283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nOMNI CANAL : Complément de rédaction des cas de test dans ALM'),
(39287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nRDI 1.1 Analyse des rejets dans le flux RDI - SAGA sur TR3'),
(39289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nOMNI CANAL'),
(39291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nRDI 1.1 : RM'),
(39955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nRDI 1.1 : GDS Installation de la FDL019234 en RM'),
(39954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nOMNI CANAL : SAGA Installation FDL019224 sur TR3'),
(39294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nOMNI CANAL : Tests de qualification ANO056172'),
(39957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nOMNI CANAL : SAGA installation de la FDL019260'),
(39297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nOMNI CANAL : Tests de qualification ANO056172'),
(39298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nOMNI CANAL : Tests de suspension d\'agrément dans SAGA'),
(39301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nDMT0017863'),
(39302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nOMNI CANAL : Qualification de l\'anomalie ANO056197'),
(39303, 'cImputationFactureAnnexe.wdc : \r\nretrait table inutile (erreur kernel)'),
(39304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nOMNI CANAL : Mise à jour ALM'),
(39306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n- Point avancement philippe test\r\n- Point back\r\n- Bug reviews native\r\n-ANO056288'),
(39307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n- Daily\r\n- Installation et acceptance sprint 15\r\n- Qualif amex android 2.0.6\r\n- ANO056305'),
(39308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nCréation environnement de ref.'),
(39326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nCréation environnement de ref\nMise en place synchronisation full en ref\nDéploiement des composants sur l\'intégralité du cloud front\nLe site https://www0.devel.fdj.fr s\'affiche\nLa partie statique de https://www0.enligne.devel.fdj.fr s\'affiche également'),
(39313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n- ANO056316, ANO056319\r\n- qualif des anos rattachées aux fdl\r\n- actions suites bugreviews\r\n- Mise à jour catalogue (pour page libre)'),
(39314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n- Daily\r\n- Atelier IQ Back\r\n- Qualif Amex iOS 7.0.017'),
(39316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nCréation environnement de ref'),
(39317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nROMA :  exécution Run usr2.9.3 + MAJ test postman certification axe bancaire'),
(39318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nVenus/VCU : Ecriture coquille vide'),
(39319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nVenus/VCU : Ecriture coquille vide'),
(39324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n0,5 : ROMA_ Exécution run sur USR 2.9.4\n0,5 : Venus/VCU : Ecriture coquille vide'),
(39325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n0,5 : Venus/VCU : Réunion répartition des test entre equipe IQ  postman/auto\n0,5 : ROMA_ Exécution run sur USR 2.9.4'),
(39330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nCréation environnement de ref (Maj script installation Edwan et Maj database)\n+ support URL ref Pierre-Olivier CARON\n+ qualiification des ANO rattaché à la livraison du SPORTAIL 1.0.19\n+ support ANO055194'),
(39329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nCréation environnement de ref (Maj script database)\nTravaille en // avec un DBA pour fixer la partie DB de l\'environnement.\nTentative de déploiement d\'une version de production sur DEV1EDW1'),
(39331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nJulien SIRET vu d\'ensemble de ses tâches : Edwan mise à jour des frontaux\r\nStéphane GODIARD vu installation composant Mago'),
(39333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nSuite de la rédaction des tests ALM pour Certification PDV (ROMA) ; Modification des MOD012585 et MOD012586 (PSPDV : Modification de l\'appel /mapi/pdv/get) en fonction des nouveaux éléments sur la boutique digishopp'),
(39336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nCréation de l\'ANO056241 : [MIGO] Toutes les valeurs qui devraient pouvoir être contribuées sur Edwan sont en durs dans le code ; Investigation sur une modification sur MIGO susceptible de poser problème lors de la MEP (mail)'),
(39337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nCréation de l\'ANO056285 : [DIGISHOPA] digishopa/authent/goToOffer en erreur 500 bloque l\'authentification d\'un joueur'),
(39338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nMatthieu LE RAY : vu installation composant Edwan MIG\r\nDavid TROALEN : vu installation INT21 feature-cap-adresse'),
(39339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nTest de qualif sur WPSEL 1.0.12 ; Investigation [WSPDI] Impossible de se connecter sur les environnements omnicanal sur IE ; [JASON] [PSBOR] [WSPO] pour ABP V16 à installer sur int9'),
(39891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nCréation de la MOD013647 : [EDWAN] Mettre à jour les listes LF 7 et 15 utilisées par les partenaires FDJ ; Création de la DMT0018605 : [VNUS] Demande maj configuration ADC domaine BORNE pour INT0 ; Création de l\'ANO056365 : [OMNICANAL] Erreur bloquant la connexion sur le minisite sur IE'),
(39342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nformation tests auto Eric Paris'),
(39343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nformation tests auto Eric Paris'),
(39344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nvie des environnements'),
(39345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nvie des environnements'),
(39346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nvie des environnements'),
(39347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nDavid TROALEN : vu GIT creation, supp nvl branch, install cap adress\r\n GIT /SALT digishop Installation INT81'),
(39348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nMontée en compétence sur le catalogue de tests AUTO BACK Etienne RIECHERT\r\nTESTS DU COMPOSANT GAM GAMIFICATION'),
(39349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nCampagne de vérification des appels INT42 Fiddler\r\nJeu de référence ARBRE AUX TRESORS IF et DOMESTIQUE\r\nTests MOBILES et TABLETTES '),
(39350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nCampagne de vérification des appels INT42 Fiddler\r\nJeu de référence ARBRE AUX TRESORS IF et DOMESTIQUE\r\nTests MOBILES et TABLETTES '),
(39351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nCampagne de vérification des appels INT42 Fiddler\r\nJeu de référence ARBRE AUX TRESORS IF et DOMESTIQUE\r\nTests MOBILES et TABLETTES '),
(39353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nMatthieu LE RAY : installation composant MAG INT81 /ALM Ko retour arrière (voir lundi)\nDavid TROALEN : installer les boutiques sur INT81 même version pour certificat\nStephane GODIARD : vu composant psboard MIGO, MAGO, MUGO, Auth+code pin born QRcode'),
(39354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nMontée en compétence sur le catalogue de tests AUTO ITG F.Derock\r\npour BACKUP sur le sujet'),
(39472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nScripts de migration Campaigns/Promotions + Wagerlimits'),
(39356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nDavid Troalen : GIT voir renforcement manip. et fonctions avancés, peut être install digishop\r\nMatthieu LE RAY : vu mercredi ALM et campagne d\'acceptances MIG\r\nRomain GUERRIN : réunion présentation de la fiche mission'),
(39373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nRédaction des cas de tests-VCU'),
(39375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nRédaction des cas de tests-VCU'),
(39360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nRédaction des cas de tests-VCU'),
(39362, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nRédaction des cas de tests-VCU'),
(39374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nMontée en compétence en métier de LFDJ'),
(39376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nMontée en compétence en métier de LFDJ'),
(39379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nMontée en compétence fonctionnel et technique'),
(39378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nMontée en compétence Fonctionnel et Technique'),
(39380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nMonté en compétence fonctionnel et technique'),
(39382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nMonté en compétence fonctionnel et technique'),
(39383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nExécution d\'Acceptance V16 sur INT0'),
(39384, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n0.5 jour\r\n--terminer l\'Exécution d\'Acceptance V16 sur INT0\r\n0.5 jour\r\n--Analyse du résultat de l\'exécution'),
(39385, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nqualification de fiches anomalies, plus divers taches: \r\n--Reporter les cas de tests validés par Hakim dans le référentiel des cas de tets.  \r\n-- Split des campagnes par theme : OFFRE, CMS, COMPTE …..\r\n-- Mettre à disposition un \"Readme\" soit dans les détails des campagnes soit en attachements des campagnes définissant les prérequis à l\'exécution des cas de tests.  \r\n'),
(39386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nDivers taches: \r\n-- Reporter les cas de tests validés par Hakim dans le référentiel des cas de tets.  \r\n-- Split des campagnes par theme : OFFRE, CMS, COMPTE …..\r\n-- Mettre à disposition un \"Readme\" soit dans les détails des campagnes soit en attachements des campagnes définissant les prérequis à l\'exécution des cas de tests.  \r\n'),
(39389, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM+Bug review+ Assistance HIA (J.Buisson) chargement données + planification des agrégats+ chaîne de détection'),
(39390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nSAFERGAME : Réunon avec C.Brun/L.Parisi sur certificat racine et intermédiaire+assistance HIA (J.Buisson) sur installation certificat Cognos'),
(39391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nSAFERGAME : Installation SQL FDL019220 + IIB FDL019221 + Cognos FDL019256 sur int2'),
(39392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nSAFERGAME : Installation SQL FDL019220 + IIB FDL019221 + Cognos FDL019256 sur int4'),
(39393, 'Peggy Vittet : 04 42 95 86 66\r\nAttente retour\n\n'),
(39396, 'Christophe Duchesne : 04 92 79 00 61'),
(39549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nBase INT9 (v.2.10) toujours indisponible\nRéunion test Auto/Manuel VCU\nRevue du plan et planning de passage de connaissance ARJEL avec PPE'),
(39435, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nAssister reunion avancement \nEcriture Test Postman ( souscription complémentaire) dans la collection FALCON USR 2.10-VNUS: Souscription Complémentaire\nEcriture de cookies de test dans ALM _ Projet VCU'),
(40035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nAvec Geoffrey\n\nRAF:\n - un certain jeu de test sur un dossier de type mail à préqualifier\n - mails sortants'),
(39405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n'),
(39406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n'),
(39407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n'),
(39408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n'),
(40068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nProjet AMEX\nMise en palce environnement PERF1 et INT51'),
(40070, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-30  (Do not remove this line) -->\nProjet AMEX\nFin mise en place environnement PERF1 et INT51'),
(40051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nCréation environnement de ref.'),
(39424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nBordeaux Métropole > Réunion avec AXUS à l\'agence d\'AIX avec Olivier PELOUX, Corinne NOUGIER et Olivier D. (AXUS)'),
(39421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation'),
(39422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation'),
(40622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nImplémentation des cas de tests les limites des joueurs Retails pour Palier ROMA. Investigation sur l\'anomalie ANO056524 suspendu par lotsys avec Brice Salva. Revu Maintenance du catalogue ITF'),
(39425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation'),
(39427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation'),
(39429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation'),
(40111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation'),
(41109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n[V16 / 16.5.2 b 519 / INT0]: Bug Fixing + Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes)'),
(41101, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n[SPEED UP] Test des anomalies Baseball sur INT8\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_16-106\r\nABP:            14.1.32.3-SNAPSHOT 54\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n'),
(39432, 'Problème de donnée dans la table du MPARAM, correction du traitement de migration des données.\r\nD\'autres tables comme le ddosvoya (dossier) était également vide => corrigé avec la mise à jour du traitement de migration.\r\nA faire retester par le client pour validation'),
(39555, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nEcriture Test Postman ( souscription complémentaire) dans la collection FALCON USR 2.10-VNUS: Souscription Complémentaire\n Ecriture de cookies de test dans ALM _ Projet VCU'),
(39440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\n-Rédaction cas de test Postman projet VCU\n-Rédaction de cookies de test dans HP ALM\n-Support de Ouafa'),
(39444, 'voir note'),
(39445, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n[RDI] Assistance à la MEP'),
(39524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nSIDC TR1 OK // SIDC TR2 OK // SIDC TR3 OK // SIDCOM TR2 OK // SIDCOM TR3 OK'),
(39447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n[OMNICANAL] Assistance EGIDE sur une opportunité de cession avec le retrait de service GCJ: anomalie a créer coté EGIDE le détaillant ne passe pas a inactif et bloque la nouvelle opportunité'),
(39449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[RDI] Poursuite assistance MEP et transmission des informations à Daniel'),
(39450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nARJEL : présentation du métier par julien P.\r\n'),
(39453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nARJEL : lecture des documents DET 1.2 et annexe 1.5\n\nRéunion : Point Equipe TEST AUTO'),
(39458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[V16] NREG manuel sur INT0\r\n\r\nHOST: agpadmi01\r\nPLATFORM: 1.0.187-SNAPSHOT\r\nABP: 16.5.2-SNAPSHOT 396\r\nCMS: fdj_cms-master-223\r\nMETAL: fdj-165-v1.0-6\r\n\r\n[V16] Mise à jour des cas de tests ALM '),
(39456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nARJEL : lecture des documents DET 1.2 et annexe 1.5\n\n'),
(39469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nARJEL : lecture des documents DET 1.2 et annexe 1.5\n\ntransfert de competences techniques par Pierre P\n\nRéunion : [VNUS] Point coordination de test Manuel / Auto\n\n'),
(39459, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution au test CAMCA'),
(39460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nAssistance HIA pour MEP EGIDE-RDI'),
(39529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nAssistance HIA pour MEP EGIDE-RDI'),
(39464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution au test CAMCA'),
(39466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nchiffrage des nouvelles évolutions'),
(39468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nARJEL : lecture des documents DET 1.2 et annexe 1.5\r\ntransfert de compétences techniques par Pierre P\r\n\r\nRéunion :[VNUS] Point qualif: avancement, difficultés, questions, etc.\r\n'),
(39470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nMCO - CALYSO - T1-T2-T3 (Première prise en main de CONTROL-M avec VVABRE)'),
(39471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nProjet SAGA et liens avec SAGA (RDI - SAGA - GDS - KHEOPS)'),
(39473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nPrésentation globale des activités du IQ SOP, des équipes et de son rôle statégique au sein de la FDJ en terme d\'intervention de la qualité de rendu sur les périmètres de la FDJ  '),
(39474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nPremière découverte des applications du périmètre CENTURA  FDj + Investigations sur les agréements au niveau de SAGA (Réunion)'),
(39475, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nPremière présentation MCO Calypso - SAGA (VVABRE)'),
(39476, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nRéunion Sécurité - FDJ.\r\nAcquisition du badge et des droits Prestataires sur l\'ensemble des bâtiments dédiés.'),
(39477, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[OMNICANAL] Ajout de l’accès aux applications centura via le citrix plugin'),
(39478, 'Correction colonne \"a régler\" et suppression colonne solde'),
(39479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nInstallation des dernières applications nécessaires à mon début au pôle IQ SOP.\r\nAcquisition et test des derniers droits nécessaires à mon début au pôle IQ SOP.'),
(39480, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[OMNICANAL] Point avec Myriam G., Thomas M. sur la non remontée par KHEOPS sur le cédant de la suppression du service GCJ dans SAGA et EGIDE'),
(39481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(39482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(39484, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nSAFERGAME : Création des demandes LDAP pour le métier (au format Safergame) : DMT0018647'),
(39485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nSAFERGAME : assistance HIA (J.Buisson) sur reprise de données+installation RDI Datastage'),
(39958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et mainten... : FDL019222 TR4. ré Installation.'),
(39487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nFDL019222 : Qualification + PV de qualif + Mise à disposition sur SVN'),
(39488, 'Lorsqu\'on lance une édition \'listing soldes\' pour un partenaire payeur (et uniquement dans ce cas), les montants \"restant du\" reste à zéro volontairement.\r\nLe comportement de l\'édition avec la version SQL est identique à celui de la version en production actuellement. Il ne s\'agit pas d\'un bug.'),
(39489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nBCL.1313.08 : Création Baseline Saga + import sur Référentiel_DIGITAL_FRONT + Rédaction d\'un nouveau cas de test (flux eDwan).'),
(39490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nLorsqu\'on lance une édition \'listing soldes\' pour un partenaire payeur (et uniquement dans ce cas), les montants \"restant du\" reste à zéro volontairement.\r\n Le comportement de l\'édition avec la version SQL est identique à celui de la version en production actuellement. Il ne s\'agit pas d\'un bug. '),
(39491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nPalier Moka - Assistance utilisateur : Apprendre à qualifier les ANO en intégration et pas en prod :)'),
(39492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nBCL.1313.08 - FDL018731 : Exécution campagnes ACC et QUA + PV de qualif'),
(39493, 'Je ne constate pas d\'erreurs lors de mes tests?'),
(39494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nbug non reproductible'),
(40502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[OMNI-CANAL] Installation de la FDL019266 sur TR3'),
(40505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nMCO Court_Commercial'),
(40500, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[OMNI CANAL] Qualification de l\'anomalie SAGA ANO055782 sur TR3'),
(40499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[OMNI CANAL] Qualification de l\'anomalie SAGA ANO056172 sur TR3'),
(39499, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nSécurisation Commercial : Calypso TR4(Oracle v12) Modification sql + ksh pour lance_sgi'),
(40498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[OMNI CANAL] Qualification de l\'anomalie SAGA ANO056019 sur TR3'),
(39505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nAVV LR L3 / Dérog UGAP Tableau correspondence MT'),
(39507, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nAVV POC Codif auto'),
(39508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nAVV POC Codif auto'),
(39510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nAVV POC Codif auto / Dérog UGAP Tableau correspondence MT'),
(39511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nAVV VCS avec A.CERVERA'),
(39512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nContinuation de l\'implémentation de WSV front-end 1.0.0-1 et de WSV back end 1.0.1-1.'),
(39513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Elucidation des exigences'),
(39514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Elucidation des exigences'),
(39516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nMEP RDI assistance et déblocage sur INC188292'),
(39835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nEvolution des databuilders'),
(39836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nmise à jour des nouveaux paramètres dans les databuilder'),
(39837, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nmise à jour des nouveaux paramètres dans les databuilder'),
(40516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nmise à jour des nouveaux paramètres dans les databuilder'),
(39523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nSIDC TR1 OK // SIDC TR2 En attente // SIDC TR3 OK // SIDCOM TR2 OK // SIDCOM TR3 Reprise de donnée depuis le 10/02'),
(39525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nAttente retour cliente'),
(39527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nClient injoignable'),
(39528, 'Un problème de copie de la BDD Evastat (HF) vers environnement SQL Prod n\'a pas permis de récupérer toutes les tacles de la BDD. le message d\'erreur est lié à l\'absence de certaines tables.\r\nCopie manuelle réalisée pour résoudre le problème '),
(39538, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n[Illiko] Contribution du jeu PKM sur INT42\n[Bingo] Analyse des logs sur INT2 et fourniture à NYX'),
(39537, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[Illiko] Comparatif des appels entre IF et le Domestique en curl'),
(40031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nDoc de presentation Bingo'),
(40030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nContrib CRO sur INT21,INT81'),
(40028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nInstallation de C7K sur INT81'),
(39601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nMEP RDI Vérifications et clôture de INC188292'),
(39539, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nMise en place nouvelle version parallèle VCS + correction problème de mail préprod'),
(39543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nSur site client'),
(39544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\n'),
(39602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[ABPv16] Rédaction de 2 cas de tests sur les nouvelles fonctionnalité et tables de rejet'),
(39547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(39550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nIndisponibilité int9\r\nRevue du planning de passage de connaissance ARJEL avec fin au 16/03.\r\nPassage de connaissance ARJEL avec PPE'),
(39552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n'),
(39590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[Convergence] Rerprise de l\'evolution des dernieres versions et points bloquants suites au livraison du 07/02\n[SNOW] Vérification et évolution du statut de mes anomalies \n[Digishop P] Test du correctif de l\'ANO055507 et retour\n[PTAB] Demande de mise a disposition d\'un dump de la prod en vue de corriger PTAB sur INT6\n[Convergence][BO] Mise a  jour dle aconf nginx pour BO / API\n[Convergence][BO] Installation wars 1.0.9'),
(39582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nEtude comparative nouveau Falcon 2.9.5-1\nSupport implémenteurs sur ITF Motors, Falcon PMS, USR\nimplémentation du cas nominal du service GET /financial/history/{transactionId}\nQualification du nouveau TC sur oauth digishop proposé par la perf avec des PDJ IF interco unitaires et orchestrées'),
(39638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n-Ecriture coquilles de test dans ALM_Projet VCU'),
(39557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n'),
(39559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\ncontacte cliente + analyse du problème '),
(39561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n'),
(39562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nAnalyse diverse \nAide \nVérification'),
(39566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n'),
(39568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n'),
(39571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\ngestion des incidents - Assistance HIA post MEP EGIDE-RDI'),
(39570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n- Daily\r\n- Bugreviews\r\n- Atelier test back'),
(39573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nQualif applis Amex :\nANO056411\nANO056417 \nANO056418\nANO056422'),
(39574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI sur RM et installation sur TRv1'),
(39575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test Qualif et recette Résocom'),
(39576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2017-12-29  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Qualification RDI + Formation Julien'),
(39578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nInstallation sur Boulogne badge, présentation des équipes\nInstallation digishop INT 81 avec modification du fichier version.'),
(39637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n-Qualification Ano IF: ANO051024 \n-Ecriture coquille de test dans ALM_Projet VCU'),
(39580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[V16] Tests NREG \r\n\r\nHOST:           agpadmi41\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 440\r\nCMS:            fdj_cms-master-249\r\nMETAL:          fdj-165-v1.0-7'),
(39581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[VCU] Lecture des DOCs\r\n\r\n[VCU] Préparation des cas de tests VCU dans ALM'),
(39583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n'),
(39586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nEvolution du Script Falcon RTG DbCheck pour prendre en charge la migration progressive de la table RTG du schema FLLV vers MTLV en réorganisant les requetes SQL\n[point dev hebdo]'),
(39587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[V16 / 16.5.2 b 470 / INT0]: Campagne Back Acceptance => OK MAIS version refusée à cause d\'une ano critique (ANO056414) - Réunion / VCU (Vision Client Unique)'),
(39778, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[V16 / 16.5.2 b 470 / INT0]: Environnements Indispo + [VCU]: Prise de Connaissance'),
(39708, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nMATIN: [VCU]: Prise de Connaissance + Ecriture des tests / ALM\nAPRES MIDI:Retour en arrière =>  [V16 / 16.5.2 b 440 / INT0]: Campagne NonRegBack (Tests non passés sur les précédentes campagnes'),
(39597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nAnalyse dev pour integrer synchro majstat dans evastacc'),
(39624, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\npoint marc retour test paiement vtf projet sql et sous domaine de ecole'),
(39598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nSIDC TR1 en attente  // SIDC TR2 En cours de reprise des données depuis le 10/02 // SIDC TR3 en attente // SIDCOM TR2 OK // SIDCOM TR3 en attente calypso'),
(39599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[OLC] Lot 4.1 reporting réponse sur Chiffrage et prise de connaissance des impacts'),
(39600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[RDI1.1] Post MEP Vérifications et Clôture de l\'incident INC188292'),
(39604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nIndisponibilité int9\nPassage de connaissance ARJEL avec PPE\nRéunion Equipe Test Auto\nRéunion Suivi VNUS'),
(39703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nIndisponibilité int9\nCréation de cas de test pour VNUS (sans exécution)\nPréparation campagne ACCEPTANCE 2.8.17 sur INT8'),
(39606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nSAFERGAME : Analyse des rejets de prod avec J.Buisson + test de connexion à Folio et Cognos de prod + Réunion d\'avancement avant MES avec M.Anne'),
(39607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nSAFERGAME : Création incident de production INC188432 côté RDI=>impact SaferGame + création de DMT0018725 pour vérifier les flux ouverts pour 2 utilisateurs d eprod'),
(39630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nSAFERGAME : Création DMT0018757 pour mettre à jours les groupes LDAP sur 2 utilisateurs de prod + assistance à F.Djebiha pour se connecter à Safergame + création  MOD013678 pour les impayés'),
(39610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[MOKA] VSR Support MEP univers BAFIM FDL019102 '),
(39611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nAnalyse sécurisation et suppression push MRCD.'),
(39612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nAnalyse sécurisation et suppression push MRCD.'),
(39613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nAnalyse sécurisation et suppression push MRCD.'),
(39614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nREFUSE REAL'),
(39615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nExtraction quotidien des incidents'),
(39616, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nExtraction quotidien des incidents'),
(39617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nExtraction quotidien des incidents'),
(39618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nExtraction quotidien des incidents'),
(39619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nExtraction quotidien des incidents'),
(39990, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(39621, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nApports aides techniques SQL ORACLE et Excel'),
(40022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nInstallation RDI 1.1 sous TR1 avec Olivier BLACHE(oblache), ie :\nBCO.084.34 [REF] DISTRIBUTION V1.1, SAGA : v6.22_liv_RDI_liv6\nBCO.084.34 [REF] DISTRIBUTION V1.1, GDS : odyssee_9.23_liv4\nBCO.084.34 [REF] DISTRIBUTION V1.1, CIRCE : FDL017864_circe_6.8.3_liv\nBCO.084.34 [REF] DISTRIBUTION V1.1, ETL_REFERENTIEL : FDL018888_ETL_SAGA_16.2.8\nBCO.084.34 [REF] DISTRIBUTION V1.1, ETL_COM : FDL018404_Com_16.5.1 et FDL017578_Com_16.6.0'),
(39623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[OLC] Recherche de spécifications générales sur reporting logistique pour l\'AMOA'),
(39625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nANVCTX'),
(39626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nANVCTX'),
(39627, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nANVCTX'),
(39628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nANVCTX'),
(39629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBug reproduit'),
(39859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nSAFERGAME : Réunion GO/NO GO MES Safergame + Bug review + réunion de préparation accès distant IBM+support de prod aux utilisateurs'),
(39633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[IF] Support a la recette sur l\'univers BEAS Monsterwin2017 TR2'),
(39634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[MOKA] Support sur la DMT0018319 avec revue du mod opératoire et tests sur le TR2'),
(39636, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nsuite problème accès TP sur environnement tapqua2'),
(39639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(39640, 'Correction sur le 9 traitements de contrôle de l\'interface.\r\nPour info, le traitement de controle \'erreur sur prestation annexe\', n\'a jamais fonctionné sur la version eloquence. il est désormais opérationnel (mais cela ralenti un peu le traitement)'),
(39641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test Qualif et recette Résocom'),
(39642, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\ngestion des incidents - Assistance HIA post MEP EGIDE-RDI'),
(39643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Contribution projet'),
(39645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL -  EGIDE - Gestion des environnements / documentations'),
(39646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n'),
(39649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n'),
(39648, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\n'),
(39651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nBrochures'),
(39652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nGH Menuires : affectation groupes'),
(39653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nExtraction pour Jérôme'),
(39654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nMise à jour infocentre'),
(39655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nPromo disparu'),
(39656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\ntransfert infocentre'),
(39657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nExtraction brocures'),
(39658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nExtraction brochure'),
(39659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nPoint formation infocentre'),
(39661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nProblème de date bloquée sur les dates de stock des Pannexes'),
(39663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nTravaille sur la refonte de la page'),
(39664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nAnalyse du code de la page'),
(39665, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n'),
(39666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n'),
(39668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\n'),
(39676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n'),
(39672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39674, 'Pour vérifier les objets OLE  :\r\nFaire une recherche dans le programme sur le mot-clé \"OLE\"'),
(39675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n'),
(39677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(41626, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n'),
(39680, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39681, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nARJEL : transfert de compétences techniques par Pierre P'),
(39682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nARJEL : transfert de compétences techniques par Pierre P\r\n\r\nréunion : Point Equipe TEST AUTO\r\n\r\nréunion : [VNUS] Point coordination/avancement qualif'),
(39686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nMOKA : Assistance utilisateur analyse ano.'),
(39946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nCOPEX - TR2 : FDL019251 - Installation + Analyse + retour arrière.'),
(39688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nCOPEX : Création des Baseline sur référentiel Arca et Calypso + MAJ du projet COPEX dans HP-ALM.'),
(39689, 'Impossible de reproduire le pb.\r\nPoint tel avec alexandra compere et nouveau test réalisée par utilisatrice => aucune erreur constaté\r\n\r\nPb d\'agence par défaut constaté par Alexandra :\r\nLe code agence proposé par defaut est celui associé au code hotesse de l\'utilisateur de evavoyage.\r\nLors des tests, je me suis connecté avec le code hotesse NINI qui est associé à l\'agence d\'aix. Voila pourquoi les dossiers que j\'ai créer sont sur l\'agence d\'aix au lieu de bruxelle. '),
(39690, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nCOPEX - 6 cas de tests créés : Création des cas de test d\'acceptation pour Calypso et Arca'),
(39947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nCOPEX - TR2 : FDL019289 - Installation + acceptation suite à plusieurs échanges avec dev et relivraisons.'),
(39692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nAssistance à HIA : SID Client test du Mode opératoire de reprise totale qualitatif + contrôles'),
(39693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n'),
(39695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nrécupération création d\'escales'),
(39696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nrécupération création d\'escales'),
(39697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n[VCU] Lecture des DOCs\r\n\r\n[VCU] Préparation des cas de tests VCU dans ALM\r\n\r\n[V16] Vérification d\' anomalie de PROD en V16 -  ANO056436'),
(39698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nCOPEX : Analyse plantages Calypso.'),
(39699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nMCO : SID Commercial TR2 et TR3 + redéfinition des wallet sur les comptes SID Client, SID Référentiel et SID Commercial suite à redémarrage serveur le 13/02'),
(39959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nCOPEX TR2 : FDL019308 - livraison partielle suite à ANO056438'),
(39701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nREFUSE REAL,  Les specs presentes dans HP ALM n\'étaient pas les dernieres'),
(39702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n'),
(39704, 'Point tel avec florence sur le sujet => c\'est ok !!'),
(39705, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\ngestion des incidents'),
(39714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nPIMO TR3 : repro FDL017742 Mise à niveau du transverse 3 + Install univers Transverse 3'),
(39711, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nENVREC BCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI sur RM post MEP '),
(39712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test Qualif résocom'),
(39715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nCOPEX : Analyse lancements Arca.'),
(39717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nMCO control M TR123\r\nCRM lot2'),
(39718, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nMCO control M TR123\r\nCRM lot2'),
(39719, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nMCO control M TR123\r\nROMA tests auto'),
(39720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n-Ecriture coquille de test dans ALM_Projet VCU'),
(39721, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\nsuite formation fatima sur toute la journée'),
(39722, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n-Ecriture coquille de test dans ALM_Projet VCU'),
(39723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n-Ecriture coquille de test dans ALM_Projet VCU'),
(39724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nMCO control M TR123\r\nCOHERIS\r\nCRM LOT2'),
(39729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nsuite formation fatima installation sur int81 pour mise a jour des version pallier balli'),
(39917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nrecherche \r\nANO056366 : Alimentation champ date\r\nANO055635 : Anonymisation nom d\'usage et infos de naissance\r\nANO056290 : [COHERIS Interfaces Oracle] Procédure d\'anonymisation très longue\r\n\r\nLivraison partielle uniquement le correctif\r\nVersion 5.7.8.0 : FDL019288 : [BRIC - Poupées Russes] [CRM] Livraison objets Oracle - Correctif Chargement Client \r\nVersion 5.8.0.7 : FDL019286 : [ROMA] [CRM] Livraison objets Oracle - Correctif Chargement Client hors SID \r\n\r\nLivraison complète\r\nVersion 5.9.1.0 : FDL019292 : [VCU] [CRM] Livraison objets Oracle - Vision Client unique'),
(39732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\naide a formation fatima pour redaction du modop plus obselence toute la matiné'),
(39733, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nsuite formation et aide fatima a distance plus aide a different parametrage '),
(39734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nTests Postman VCU'),
(39735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nTests Postman VCU'),
(39736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nTests Postman VCU'),
(39737, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nTests Postman VCU'),
(39738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nsuite formation fatima et aide a distance pour les installation'),
(39794, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\ntests auto batch VCU prise de connaissance'),
(39826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nformation tests auto batch'),
(39741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nIndisponibilité int9\r\nExécution campagne Acceptance 2.8.17 sur INT8'),
(39742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nROMA : installation des composants falcon usr 2.9.5 et pms 1.0.5 sur INT1'),
(39743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nROMA : Etude projet'),
(39744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nROMA : obsolescence'),
(39745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nROMA : Etude projet'),
(39746, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nROMA : Etude projet'),
(39748, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[ARJEL] Participation aux ateliers de transfert de connaissance.\r\n[VEGA] Préparation du palier'),
(39755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n[MOKA] VSR FREEDOM, échanges avec HIA concernant l\'ordonnancement des batches INGENICO\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL, étude de JAMA, étude de cucumber.io et langage Gherkin'),
(39751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n[MOKA] VSR FREEDOM, exécution d\'une campagne de test USR FREEDOM, qualification ANO055910\n[ARJEL] Participation aux ateliers de transfert de connaissance.\n[VEGA] Préparation du palier'),
(39754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL'),
(39756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nconvergence front'),
(39768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nROMA : MAJ tests postman'),
(39758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nconvergence front'),
(39759, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nconvergence front'),
(39760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nVNUS : ecriture detail de cas de test + suiv questions en cours + support à Ouaffae'),
(39761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\namigo / convergence front'),
(39762, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n[MOKA] VSR FREEDOM\r\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL'),
(39763, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nVNUS : Ecriture cas de tests'),
(39764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nconvergence / amigo'),
(39765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nROMA : exécution run USR 2.9.5 et MAJ tests postman'),
(39766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nROMA : exécution RUN USR 2.9.5'),
(39767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nROMA : exécution RUN USR 2.9.5'),
(39770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nImplémentation Campagne v16\nAnalyse anomalie V16'),
(39771, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nImplémentation Campagne v16\r\nAnalyse anomalie V16'),
(39772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nImplémentation Campagne v16'),
(39773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nImplémentation Campagne v16'),
(39776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne NonReg Back (Tests non passés sur les précédentes campagnes: PDJ Ecrédit + Réconciliation + ...)'),
(39779, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne NonReg Back (Tests non passés sur les précédentes campagnes: PDJ Ecrédit + Réconciliation + ...)'),
(39781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nFormation Vugen API. Dev VuGen - Point hebdo.\nContinuation de l\'implémentation de WSV front-end 1.0.0-1 et de WSV back end 1.0.1-1.'),
(39782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nAnalyse sécurisation et suppression push MRCD.'),
(39783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nARJEL : transfert de compétences metier par julien P'),
(39784, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nAnalyse sécurisation et suppression push MRCD.'),
(39785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nContinuation de l\'implémentation de WSV front-end 1.0.0-1 et de WSV back end 1.0.1-1. Atelier Auto Wiremock Swagger.'),
(39786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nARJEL : mise en correspondance des scenarii joueur / box avec l\'envoi des trames à l\'ARJEL.'),
(39789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nFinalisation de l\'implémentation de WSV front-end 1.0.0-1 (lot 1) et de WSV back end 1.0.1-1.'),
(39788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nARJEL : mise en correspondance des scenarii joueur / box avec l\'envoi des trames à l\'ARJEL.'),
(39790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2.'),
(39791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nVTF : Preparation et contrôle batch, parametrage edition planifié, process export comptable voyage Belgique,...'),
(39829, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\ntests auto batch VCU prise de connaissance'),
(39796, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nRéunion pour le projet VCU.\r\nEcriture des coquilles des cas de tests sur le projet VCU (projet ALM PALIER_DIGITAL).'),
(39797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nEcriture des coquilles des cas de tests sur le projet VCU (projet ALM PALIER_DIGITAL).'),
(40543, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nRéunion pour le projet VCU.\nEcriture des coquilles des cas de tests sur le projet VCU (projet ALM PALIER_DIGITAL).'),
(40597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nFDL019410'),
(39805, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nAnalyse des tests de non régression Falcon USR 2.9.4 sur INT1 Envoi du rapport. Lancement campagne d\'acceptance Falcon USR 2.9.5 sur INT1 Analyse des tests.'),
(39806, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nMaintenance technique de l\'environnement INT1. Bloqué pour l\'acceptance Falcon USR 2.9.5 sur INT1. Bloqué pour l\'écriture des tests pour le palier ROMA.Bloqué pour l\'acceptance Falcon USR 2.8.17 sur INT8.Revu Maintenance du catalogue ITF '),
(39807, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nRevu Maintenance du catalogue ITF.Lancement campagne d\'acceptance Falcon USR 2.9.5. Analyse des tests.Envoi du rapport. Lancement campagne de non regression Falcon USR 2.9.5 sur INT1'),
(39808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nLancement campagne de non regression Falcon USR 2.9.5 sur INT1. Analyse'),
(39809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nLancement campagne de non regression Falcon USR 2.9.5 sur INT1. Analyse'),
(39810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nMise au point script test d\'intégrité migration V14->V16 (Wagerlimits)'),
(39813, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n[VCU] Lecture des DOCs\r\n\r\n[VCU] Préparation des cas de tests VCU dans ALM\r\n\r\n[V16] Vérification d\' anomalie de PROD en V16 et V14 - ANO056436'),
(39814, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nRédaction cas de test VCU'),
(39815, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nRédaction cas de test VCU'),
(39817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nRédaction cas de test PSPDVCDM2018'),
(39819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nA confirmer - Mise au point scripts test d\'intégrité migration V14 -> V16'),
(39965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nPoint Coco - Alexandra Hesse /Mathieu LE RAY\nJira Coco - Fanny Ndengue\nReunion AGILE  Retro / planning  avec équipe Digishop'),
(39822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nPoint coco Mathieu LE RAY / Alexandra Hesse \nRédaction du MODOP composant du compte CF 18.0.1 BALI\nDEMO Borne Equipe Coco Inscription'),
(39823, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nvie des environnements'),
(39830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nSuivi d\'incident integration Digishop A-7.2.0, I-7.2.0, U-7.2.0 avec David Troalen/Mathieu Traulin\r\nRéunion Coco refonte inscription'),
(39828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nformation tests auto batch'),
(39831, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nPoint Coco\r\nConsultation des jira, etc'),
(39832, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(39849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 KO // SIDC TR2 OK avec synchronisation IQ DIGITAL et  reprise de données // SIDC TR3 OK avec reprise de données'),
(40512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nmise en place d\'objet JSN dans l\'appel PutAsyncbs'),
(39839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nComparatif tests IF / Domestique \r\nVitesse de chargement applet Web Tablette Mobile'),
(39840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nPrésentation et montée en compétence sur le catalogue ITG DOMESTIQUE '),
(39841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nPrise de connaissance sur le BINGO\r\nDocs, Architecture, BDD et catalogue de tests Auto '),
(39842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nPrise de connaissance sur le BINGO\r\nDocs, Architecture, BDD et catalogue de tests Auto '),
(39845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n[IF] Investigations sur la MOD MOD012239 + sur les prises de jeux de Agnes Gasperi du 05/02/2018'),
(39844, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nCampagne de non régression MOTORS \r\nv1.9.6.1 INT81'),
(39846, 'Correction bug (refonte d\'une partie du code car ne correspond pas au fonctionnel du lot 0)\r\nA Faire retester par le client pour validation de la partie imputation facture'),
(39848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nSupport à HIA sur la DMT DMT0018319 reprise ADOBE + investigation sur probleme de performance avec Matthias Tregaraud'),
(39852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nEntretien'),
(39853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nMise en place VCS vérification'),
(39854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nVérification'),
(39857, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n'),
(39858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n'),
(39860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nSAFERGAME : Installation SQL FDL019299, Datastage FDL019284, i2 FDL019287 sur int2'),
(39861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nSAFERGAME : Support à HIA (J.Buisson) : montée de version Hudson sur les différents composants+ modification du workflow impayés pour qu\'il tourne en delta et plus en full, recyclage des rejets RDST/Betsys'),
(39862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nSAFERGAME : Installation SQL FDL019299, Datastage FDL019284, i2 FDL019287 sur int4'),
(39863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n BCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test Qualif résocom '),
(39864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nENVREC BCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI sur RM post MEP'),
(39865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nGestion des incidents'),
(39866, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n BCO.081.31 [ME] COMMERCIAL - CSAM SnG - Analyse de pb sur connexion Sng suite à MEP Résocom'),
(39867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n- daily Coco (toute la semaine)\n- Acceptance MAG et MUG pallier BALI'),
(39887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n- [CONVERGENCE] : point de synchro PROMULGATIONS\n- déploiement boutiques palier Roma int11\n  \'digishopa\': \'6.1.0\',\n  \'digishopi\': \'6.0.0\',\n  \'digishopu\': \'6.1.0\',\n  \'digishopp\': \'2.1.1\',\n  \'digishopg\': \'2.0.0\',\n- déploiement boutiques palier Bali\n  \'digishopa\': \'5.5.3\',\n  \'digishopi\': \'5.2.0\',\n  \'digishopu\': \'5.4.0\',\n  \'digishopp\': \'2.1.1\',\n  \'digishopg\': \'2.0.0\',\n- [SALT] Maj des certificats pour domaine capadresse\n- [SALT] Merge de branche develop dans l\'ensemble des branches GIT'),
(39886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n- initialisation modop MEP Amigo Phase 2\n- maj swagger digishop-game 2.1.0\n- travail sur nouvelles bdd sqlite convergence\n- alerte remontée en prod sur appli fdj, pb de contribution métier'),
(39885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n- création ANO056437 [APIMAITRE] Mise à disposition doc swagger\n- travail sur nouvelles bdd sqlite convergence\n- reunion equipe SAGA pour export PDV Amigo\n- point avec dev pour evolution sqlite pdv'),
(39875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nCréation d\'opportunité dans EGIDE pour de la cession de PDV avec le service GCJ x4,  Création personne physique et moral avec doublon.'),
(39888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n- qualification boutique-game et boutique-public\n- pb avec dev sur corrections nouveaux services digi-p'),
(39937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\npoint romain conf salt homogénéiser avec amex\npoint avec enrick sur le probleme d\'installation wars 1.0.9\nmodification de la conf phpfpm star\ninstallation api et star sur int92'),
(39938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nLive avec les devs pour corriger les problèmes d\'installation des applicatif star/wars sur l\'environnement de pre Q'),
(39939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nReunion avec le SPOC convergence et les devs pour debloquer le status de certaines anomalies non traitées\nRédaction d\'un document sur les différentes taches effectuées par un intégrateur lors de la réception d\'une livraison\nDébut de rédaction d\'une compte rendu sur les applicatifs star/wars livré pour le sprint 20'),
(39882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nTest doublon Personne physique et moral +Rédaction HP ALM\n'),
(40034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n- [SALT] mise en place branche release-bali\n- [SALT] mise en place branche release-amigo\n- [SALT] Intégration ARJEL sur develop\n- [SALT] Merge de branche develop dans l\'ensemble des branches GIT\n- maj swagger digishop-i 5.1.1\n- maj swagger digishop-u 5.4.1\n- [SALT] déploiement boutiques palier VNUS int91\n  \'digishopa\': \'7.2.0\',\n  \'digishopi\': \'7.2.0\',\n  \'digishopu\': \'7.2.0\',\n  \'digishopp\': \'2.1.1\',\n  \'digishopg\': \'2.0.0\',\n- maj swagger-ui v3.10.0\n- réunion [CONVERGENCE] : point de synchro PROMULGATIONS\n- création MOD013706 [AMIGO] Maj export SAGA avec offres AMIGO et CDP'),
(39884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nCréation de l\'ANO056346 : [MUGO] Erreur sur le \"DEMANDER UNE NOUVELLE CARTE PARIONSSPORT POINT DE VENTE\" ; Création de la DMT0018604 : [VNUS] Demande maj configuration ADC domaine BORNE pour INT9'),
(39902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nExécution d\'une acceptance, qui a été abandonnée vers la fin de journée, car la version était rejetée( anomalie critique sur les PDJs)'),
(39903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n-- Implémentation de nouveaux cas de test Mify suite aux modifications faites à l\'API MIFY\r\n-- Split et différentiation des cas de test MIFY par canal de connexion: Web,Web-App,AppliMobile ou tablette\r\n'),
(39916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nFDL019264'),
(39894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nFDL019300'),
(39895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n[AMEX] [WPSEL] Qualif version 1.0.12 ; [JASON] [PROD] Modop pour changement de détaillant (cession)'),
(39896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nFDL019301'),
(39897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nFDL019302'),
(39898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n'),
(39899, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nFDL019303'),
(39900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n[AMEX] [WPSEL] Qualif version 1.0.12 ; [OMNICANAL] Support sur le mini-site pour problème impression de code 2D ; [OMNICANAL] Etat des lieux de l\'environnement pour la répétition sur INT4'),
(40305, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n[OMNICANAL] Acceptance MUGO 1.2.1 ; [JASON] Support borne pour vidéo présentation ; [JASON] [PSBOR] [WSPO] pour ABP V16 à installer sur int9 ; [FREEDOM] Gestion problème TPA non-actif et recette sur TR2'),
(39904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n-- Implémentation de nouveaux cas de test Mify suite aux modifications faites à l\'API MIFY\r\n-- Split et différentiation des cas de test MIFY par canal de connexion: Web,Web-App,AppliMobile ou tablette\r\n'),
(39906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n-- Implémentation de nouveaux cas de test Mify suite aux modifications faites à l\'API MIFY'),
(39907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n-- Implémentation de nouveaux cas de test Mify suite aux modifications faites à l\'API MIFY\r\n\r\n'),
(39909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\n'),
(39910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n- Travail sur environnement de Réf Amex\n- Réunion  sur la refonte de l\'inscription'),
(39926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n- Installation et test MUG Amex FDL019338\n- Préparation tests VCU sous ALM'),
(39918, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nAnalyse de quelques cas pour Qualification nouveau chargement client\r\nRegroupement des FDL pour Installation MEP unique\r\nLivraison FDL019321  : [ROMA]  [CRM] Livraison objets Oracle  - Chargement Client hors SID'),
(39919, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nProtogen Falcon : correctif pour nouveaux types de ressources apparues dans TMS \".vnd.com.lotsys\"\r\nFalcon PMSCard Builders : Correctif pour supprimer un doublon sur le paramètre strSerialId\r\nFinalisation du script Falcon_RTG_DbCheck, création de fonctions de vérifications de la présence des tables RTG\r\nsplitage des requetes SQL portant sur des jointure USR, RTG.\r\nsupport aux implémenteurs de test AUTO'),
(39929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nFDJ_Multimedia_Global_Env_Falcon.json : nouveau paramétrage de rootpath en accès back_vip pour PMS,RTA,TMS sur INT3* et INT9*\r\nDev API : Ajout d\'une macro de détection d\'environnement transverse dans le tronc commun pour adapter le script Falcon_RTG_DbCheck afin d\'éviter les vérification sur le raffle selon le type d\'environnement\r\nDev API :Evolution du oauth Falcon pour permettre une interconnexion IF en mode BACK_VIP : ajout d\'un queryparameter state dont la valeur est générée depuis un timestamp'),
(40319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nFinalisation et qualification de l\'évolution du oauth Falcon pour permettre de s\'affranchir de digishop pour éxecuter les campagnes de test IF\nAPI Falcon USR 2.10 RC1 : analyse diff, génération  et démarrage du merge API'),
(39931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(39932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n- Qualif aux limites amex ios\r\n- Réorganisation des tâches Jira\r\n- Atelier joel nouvelle ouverture flux'),
(39934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n- Daily\n- Fin de qualif amex android et ios\n- Etude disparition event important avec markets suspendus\n- ANO056461 : [AMEX][IOS] Non disparition d\'un market résulté\n- ANO056466 : [AMEX][WCART] Mauvaise gestion du panier si la connexion est médiocre\n- ANO056477 : [AMEX][ANDROID][T]  Réactivation sdk xiti non fonctionnelle'),
(40048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nAvancement environ REF Sport : tentative mise en place edwan sur la machine fr30010, présence de fonction APC.\nIAT doit nous fournir une serveur permettant de déploiement correctement le composant Edwan.\nEchange avec le techlead du sportail pour rapport à plusieurs tâches de nettoyage de l\'archive sportail.tar.gz.\nMise en place de l\'alimentation de la variable \"fdj_base_uri\" du sportail depuis le mastersalt --> Test OK\nSupport dev pour installer la nouvelle version du sportail sur INT6.\nInvestigation pour continuer le nettoyage de l\'archive sportail.'),
(39940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n[SPEED UP] Tests Basebal sur INT3 - ANO053066\r\nHOST:           agpadmi31\r\nSITE:           fdj2-origin_release_16-103\r\nABP:            14.1.32.2-SNAPSHOT 37\r\nMOBILE:         origin_release_8\r\nARGUS:          build-865\r\nPLATFORM:       1.0.184\r\n\r\n[SPEED UP] Tests sur INT8 de la nouvelle version livrée\r\n\r\n[V16] Tests de NREG INT0\r\nHOST:           agpadmi01\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 440\r\nCMS:            fdj_cms-master-249\r\nMETAL:          fdj-165-v1.0-7\r\n\r\n\r\n'),
(39942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nIntégration GDS \nChargement projet\nRécupération GDS\nTMA'),
(40002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nExtraction des incidents/ EGID'),
(40003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL018979_egide_4.70.00_liv (Tr1-INT3)'),
(40282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(39961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(39962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(39963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(39964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(39966, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\netudes pour optimisation analyse client'),
(40024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3 +\nCOPEX ANO056438 sur MCO Court Commercial sur TR1-TR2-TR3 (oimbert + oblache + pbeamonte)'),
(39970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nMCO Court Commercial'),
(39971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nMCO Court Commercial'),
(39973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, SAGA : v6.22_liv_RDI_liv6'),
(39974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, GDS : odyssee_9.23_liv4'),
(39975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, CIRCE : FDL017864_circe_6.8.3_liv'),
(39976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, ETL_REFERENTIEL : FDL018888_ETL_SAGA_16.2.8'),
(39977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, ETL_COM : FDL018404_Com_16.5.1 et FDL017578_Com_16.6.0'),
(39982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nMCO Court Commercial : analyse pb sur Calypso'),
(39979, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, SAGA : v6.22_liv_RDI_liv6 partie client'),
(39980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, GDS : odyssee_9.23_liv4  partie client'),
(39981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nReunion Valerie Presentation Centura'),
(40019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n(1) Vérification installation RDI 1.1 sous TR1 avec Olivier BLACHE(oblache)\n(2) Réunion présentation du périmètre applicatifs CENTURA (VVABRE / OIMBERT / OBLACHE / JBLAIS)\n(3) Réunion hebdomadaire OMNICANAL et avancement (TR1-TR2-TR3-PPROD et PROD)'),
(39984, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(39985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nAcces aux Application Olivier Imbert et Julien Blais coté Centura'),
(39986, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nMCO SOP Atos SID Client TR et COM sur environnement TR1-TR2-TR3 (en remplacement de David Steve DIGEON pour ce vendredi)'),
(39987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(39988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n[CdS IQ Sopra Steria](Refonte CAU] Analyse d\'écart entre RDI et SAGA sur INT4SAGA (RM)'),
(40025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nMCO Court Commercial sur TR1-TR2-TR3'),
(40026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n'),
(39993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nRédaction du cas de test de doublon Personne physique et moral dans HP ALM'),
(40000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nExtraction des incidents/ EGID\nExamen/Tri du fichier d\'export des incidents.'),
(39995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nPurge de la STAG_AREA_SUIVI_CHARGMT dans la BD ETL en vue de la reprise de donnée sur TR1 .'),
(39996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\ncorrection d\'u bug supplementaire su edition fiche client avec administration vente de coché'),
(39997, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - Suivi des tests de cession des PDV'),
(39998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nExtraction des incidents/ EGID'),
(40011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nLes erreurs viennent du fait que les élément de la GRC n\'ont pas été partagé avec evawin => nettoyage et correction effecuté dans le gds pou voyage'),
(40001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nExtraction des incidents/ EGID'),
(40004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL017290_Com_16.3.0 (Tr1-INT3)'),
(40005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - ANO056360 Précision sur One Note - Outil SQL pour chercher des cas existants sur TR4 vu que c\'est une copie PROD.\r\n'),
(40008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - Contribution au cas de test.'),
(40007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - FDL019044 - RED\r\nCISNF001-EGIDE-création d\'un pdv à l\'identique avec GCJ\r\nCISNR001-EGIDE-création d\'un pdv à l\'identique sans GCJ\r\nCISNF001-EGIDE-ajout agrément\r\nCISNF001-EGIDE-cession d\'un pdv avec retrait agrement avec GCJ\r\nCISNF001-EGIDE-cession d\'un pdv avec ajout agrement avec GCJ\r\n'),
(40009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - FDL019044 -CMP'),
(40010, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nExtraction des incidents/ EGID'),
(40013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nSAFERGAME : Reste à faire en prod avec M.Anne + support de prod utilisateur'),
(40017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nle TP ne marche pas sur tadev1 (message \'Appel aux services impossible\') pour faire un changement d\'adresse d\'une entreprise principale et permettre de générer un flux SPOC61 sur cet exemple'),
(40016, 'Correction connexion fichier temporaire'),
(40021, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, SAGA : v6.22_liv_RDI_liv6 partie client\nBCO.084.34 [REF] DISTRIBUTION V1.1, GDS : odyssee_9.23_liv4  partie client'),
(40029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nContrib C7K sur INT21,INT81\nAcceptance de C7K Cash2018 sur INT21'),
(40032, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n(1) Réunion hebdomadaire [Omnicanal] Point avancement PFE/ESB\r\n(2) [Omnicanal] Présentation joueur retail borne / terminal\r\n(3) BPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal : \r\n    RTASK0098800 - RITEM0063891 - REQ0059167 - Installation/Accès à l\'application : environnement de test'),
(40033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n- déploiement boutiques palier Amigo int82\r\n  \'digishopa\': \'5.4.3\',\r\n  \'digishopi\': \'5.1.0\',\r\n  \'digishopu\': \'5.4.0\',\r\n  \'digishopp\': \'2.2.0\',\r\n  \'digishopg\': \'2.1.1\',\r\n- qualification digishop-game 2.1.1\r\n- point avec dev stream php pour evol sqlite amigo\r\n- [SALT] Merge release-bali dans release-amigo pour mep Amigo\r\n- déploiement boutiques palier Amigo int81\r\n  \'digishopa\': \'5.4.3\',\r\n  \'digishopi\': \'5.1.1\',\r\n  \'digishopu\': \'5.4.1\',\r\n  \'digishopp\': \'2.2.0\',\r\n  \'digishopg\': \'2.1.1\',\r\n- déploiement boutiques palier Amigo int21\r\n  \'digishopa\': \'5.4.3\',\r\n  \'digishopi\': \'5.1.1\',\r\n  \'digishopu\': \'5.4.1\',\r\n  \'digishopp\': \'2.2.0\',\r\n  \'digishopg\': \'2.1.1\',\r\n- création ANO056521 [AMIGO] Maj doc swagger service digishop-game'),
(40038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nModification Exe BE\nVérification base BE \nTest EVAVOY\nAide\nCréation Tâche '),
(40044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nAvancement environnement REF Sport: investigation machine edwan fr30010\nJ\'arrive à me connecter à la base DEV1EDW1 depuis mon poste, depuis la machine Edwan avec SQLPLUS mais j\'ai toujours des erreurs avec les fonctions php \"oci...\"\nDéploiement manuel des catalogues des applications natives \"parionssport\" pour la future démo.\nEchange avec la personne maintenant les DFO store de dev pour rajouter le nouvellement environnement DEV pour les applications PSPDV, PSEL et PSD Android & IOS.\n'),
(40045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nAvancement environnement REF Sport : suite investigation machine edwan fr30010 --> il manque la librairei php_oci8 sur l\'environnement.\nBloqué, je demande un support à IAT (avant ISM) pour comprendre le déploiement d\'une machine Edwan sur les environnements d\'intégration. --> en intégration, ils ont pré-compilé, à la mode FDJ, l\'ensemble des éléments permettant d\'utiliser un serveur Edwan.'),
(40046, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nAvancement environnement REF Sport: j\'attends un déblocage IAT par rapport à mon problème de librairie oci8, en attendant j\'avance sur la stabilisation de ce dernier.\r\nMise en place des keystore/trustore pour lancer correctement les DIGISHOP. Avec l\'équipe compte, on investie pour afficher correctement le MIG mais on est bloqué à cause de l\'absence du CMS Edwan.'),
(40047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nAvancement environnement REF Sport : déploiement des certificats digishop sur l\'intégralité des machines cloud front DEV0.\r\nMaj specific_properties pour communiquer correctement avec les machines Back Falcon.\r\nEchange avec l\'équipe ABP Back pour corriger le silentLogin.\r\nTravail avec l\'équipe compte pour corriger manuellement les fichiers inc du composant mig pour afficher correctement la contribution d\'inscription.\r\nVérification inscription, authentification, PDJ mainbook & live depuis le sportaill.\r\nVérification PDJ mainbook & live depuis les applications natives PSEL Android & IOS.\r\n==> DEV0 fonctionne correctement.'),
(40072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nCréation environnement de ref.\nGénération des certificats pour les différents frontaux + signature avec la PKI'),
(40071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-31  (Do not remove this line) -->\nDébut environnement de ref.\nMise en place SALT'),
(40057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-17  (Do not remove this line) -->\nDéplacement Boulogne\nSupport DEV\nAvancement INT51 (PERF)\nDémo WPSEL, WCART, WSPO (1h00)'),
(40060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-19  (Do not remove this line) -->\nAvancement environnement de PERF INT51 et PERF1.\nTentative installation SPORTAIL AMEX --> KO'),
(40063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nPROJET AMEX\nSupport dev composant SPORTAIL, toujours pas de livraison correcte.\nSportail toujours KO.\nMise en place environnement PERF1 et INT51'),
(40065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-23  (Do not remove this line) -->\nPROJET AMEX:\nSupport dev composant SPORTAIL, toujours pas de livraison correcte.\nSportail OK\nMise en place environnement PERF1 et INT51'),
(40073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-25  (Do not remove this line) -->\nProjet AMEX\nMise en place environnement PERF1 et INT51'),
(40076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-29  (Do not remove this line) -->\nProjet AMEX\nMise en place environnement PERF1 et INT51.\nCréation de la formula php-fpm71.\nOn est proche du but'),
(40075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-24  (Do not remove this line) -->\nProjet AMEX\nMise en palce environnement PERF1 et INT51\nIl manque des rpm php.\nProblème de sudo sur les machines INT51.'),
(40087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n'),
(40088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Rédaction : cession identique avec uniquement agrément LOT et service GCJ'),
(40159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Vérification des 3 cas de cession de PDV avec GCJ'),
(40090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nMCO quotidien EGIDE'),
(40141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 en attente // SIDC TR2 en attente // SIDC TR3 OK');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(40124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nPrésentation certification FALCON SID COHERIS TESSI ....\n[COHERIS] Avancement des sujets\nOptimisation requete analyseclient sur le modèle analyseanonym'),
(40093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2.'),
(40094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(40095, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(40096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(40097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(40098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(40114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\nRAF JDT'),
(40118, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation (partie technique)'),
(40993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n[Cautionnement] TR1  Etat des lieux et corrections sur le flux R_SAG_CHARGEMENT_REFERENTIEL'),
(40105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n- Daily\r\n- Atelier test avec Philippe\r\n- Acceptances apps mobiles amex'),
(40109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nCorrection de la generation multiple des rejtes de l\'adresse. RAF evo de la gestion des codes pays dans RIBA.'),
(40108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nRecherche du problème des SI08'),
(40129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n[Convergence] Définition des prochaines configuration a effectuer sur SALT\n[Mugo] Investigation sur un probleme de lien vers la prod dans mugo'),
(40120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nBordeaux Métropole > Rédaction Supports de formation (partie technique)'),
(40121, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(40122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\n'),
(40143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nvtf paiement recette sql + preparation tnselect maj proc stocker'),
(40126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n'),
(40127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nInstallation du poste et prise de connaissance avec Morgan du RAF'),
(40146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\ncontrôle divers'),
(40131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(40133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nRedaction des JDT'),
(40134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-05  (Do not remove this line) -->\nRedaction du JDT'),
(40135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-22  (Do not remove this line) -->\n'),
(40136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n'),
(40518, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nmise à jour d\'appel de service'),
(40139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nREF_ASSURE 18.1.0_001'),
(40162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n'),
(40144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n'),
(40747, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nmise à jour des nouveaux paramètres dans les databuilderet des nouveaux paramètres dans les databuilder'),
(40164, 'LE cas donné dans le defect passe bien en base et est ajouté en base. A vérifier la cohérence SFD code.'),
(40152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n'),
(40153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n'),
(40154, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nUpload automatique du .zip'),
(40155, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRévision des logs pour lister tout les typeCanal manquants'),
(40156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 1 ETL9 - FDL019044'),
(40158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - Création PDV+contact+OPP EGIDE - Support SOPRA - CMP'),
(40161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n-Ecriture coquille de cas de test dans ALM\n-Ecriture de cas de test dans Postman FALCON USR 2.10 - VCU - Inscription\n-Remonter Ano: ANO056545 :[VNUS][USR][T] Erreur Java dans la réponse du service /usr/accounts/subscription si on injecte les valeurs des limites  weeklyMaximumGambling  et monthlyMaximum'),
(40165, 'Code retour pour lesquel statut_scr n\'est pas renseigné : \r\n\r\nSI10\r\nSS05\r\nSI11\r\nSS04\r\nSI09\r\nSI01'),
(40280, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n[OMNICANAL] Point sur l\'environnement + préparation du jeu de donnée pour cas de test sur les motifs de refus + support et investigation non remontée du service GCJ pour la recette'),
(40167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\n80906'),
(40168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n80906 fini'),
(40170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nSAFERGAME : Assistance HIA pour l\'analyse des rejets+ réunion d\'avancement post-MES avec M.Anne'),
(40171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nSAFERGAME : Création INC188839 et INC188836 + ANO056547'),
(40173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\naide fatima a redaction de modop pour bali mep du 20/02/2018 suivi des test de non regression demande a patrick echange avec michel des choses a venir sur mon absence de la semaine prochaine.'),
(40175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nentretien'),
(40177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n- Qualif wpsel\n- Analyse raffraichissement ept\n- Analyse intégration mig, mag, mug, atelier demain à prévoir avec Matthieu Le Ray'),
(40178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nCréation EXE Belgique'),
(40179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nBug reviews\r\nAtelier test back\r\nAtelier Compte'),
(40231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nTest qualitatif\nVérification BASE\nVérification fonctionnement EVAVOY'),
(40358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI sur RM post MEP'),
(40347, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - CSAM SnG - Analyse de pb sur connexion Sng suite à MEP Résocom'),
(40183, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nGESTION des incidents'),
(40349, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - CSAM SnG - Analyse de pb sur connexion Sng suite à MEP Résocom'),
(40351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nplan de test batch auto vcu'),
(40352, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nplan de test batch auto vcu'),
(40202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nanalyse incident chargement BO en PROD\nMAJ Documentation\nCorrection ANO056366  : [COHERIS Interfaces Oracle] Donnée manquante dans l\'alimentation COHD AFFAIRES \nLivraison FDL019397 : [ROMA]  [CRM] Livraison objets Oracle  - Chargement Client hors SID '),
(40217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nPortail Hasard - Saga : Installation FDL019314 sur TR3'),
(40216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nPortail Hasard - Saga : reproduction FDL018731 sur TR4'),
(40218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nRAM.004 - SID Commercial : Exécution 1 cas de test + création anomalie de production.'),
(40219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nRAM.004 - SID Commercial : Gestion du recyclage des rejets TSGI 1 cas de test créé'),
(40215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nPortail Hasard - Saga : Qualification FDL019314'),
(40205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n[VCU] Deux installations de la FDL019184 sur le TR1 + installation de la FDL019185 + installation de la FDL019186'),
(40195, ''),
(40196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.10 - VCU - Inscription\r\n-Exécution compagne d\'acceptance (souscription complémentaire) via Postman\r\n-Exécution compagne d\'acceptance recette  BACK sur int0\r\n'),
(40197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nSIDCOM TR2 OK  // SIDCOM TR3 OK // SIDC TR1 OK // SIDC TR2 OK  apres suppression des données erronées // SIDC TR3 OK'),
(40437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes: ARJEL PASPGAIN PASPANNUL + ...)'),
(40436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n[V16 / 16.5.2 b 440 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes: ARJEL PASPGAIN PASPANNUL + ...)'),
(40220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\ncorrection du retour banque citelis (webpaiement), contrôle, point tel'),
(40221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nmise en place maj procedure stocké,trigger,...'),
(40204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nTL '),
(40206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nTL'),
(40207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nTL'),
(40208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nSAFERGAME : Assistance HIA pour l\'analyse des rejets et install'),
(40209, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nSAFERGAME : Création ANO056572, ANO056573'),
(40210, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nScript shell pour créer les dossiers, organiser les lib ,lancer RmiRegistry et lancer les applications Serveurs'),
(40408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n'),
(40212, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n[OMNICANAL] Vérification du refus d\'inscription et création des 2 anomalies ANO056570 et ANO056561 sur les dates de refus dans les 2 univers'),
(40222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nCOPEX - Calypso : Analyse des vecteurs manquants + init de la liste des vecteurs + rétablissement Chargement free tickets'),
(40214, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n'),
(40223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nRéunions Jira et refonte validation fonctionnelle'),
(40224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nPortail Hasard - Saga : Repro FDL019314 INT4'),
(40225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\ndont une demi journée formation CTO'),
(40226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nDémo utilisateurs CTO'),
(40227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\nPréparation démo utilisateurs CTO'),
(40228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\nPréparation démo utilisateurs CTO'),
(40229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n'),
(40232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nDIT + dev'),
(40233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nRédaction SFD LR + Cie Maritime'),
(40234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nAtelier 2 préparation'),
(40235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nAtelier 2 préparation'),
(40236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nMaj maquettes LR et Cie Maritime'),
(40237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nRelecture SFD'),
(40239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n'),
(40240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nAnalyse WS'),
(40241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nInfocentre : Analyse des requêtes de Célia'),
(40242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nMise à jour infocentre sur 3 postes'),
(40243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nVTF Problème d’Accès aux DD depuis une session Citrix'),
(40245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nOrchestra : Prestation annexe court séjourt'),
(40246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nOrchestra : PA séjours courts'),
(40247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nVTF Stock'),
(40248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n#matin #aprem 1747 : mes versements\r\n\r\n- Dévelopement\r\n  - Création du POJO représentant un pension asur (PensionAsur)\r\n    - Création du test junit pour la méthode setPentionId\r\n    - Commentaire de code\r\n  - Création de la classe de conversion\r\n    - conversion de l\'objet du WS vers notre objet interne\r\n      - conversion de la liste de payement contenu dans l\'objet du WS vers x instance de notre classe interne\r\n        \"pour des raisons de filtre et de tri \"\r\n      - Fonction\r\n    - Conversion d\'une liste d\'objet du WS vers notre objet interne\r\n  - Création de notre service pour utiliser la WS ASUR'),
(40253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nQualification anomalie ABP V14'),
(40252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nQualification anomalie ABP V14'),
(40258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.10 - VCU - Inscription'),
(40414, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nQualification anomalie ABP V14 2h (rédaction ANO)\nQualification anomalie ABP V16 '),
(40729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nQualification anomalie ABP V16'),
(40413, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nQualification anomalie ABP V14'),
(40276, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nSAFERGAME : Qualification MOD013501, MOD013498+ création DMT0019074'),
(40264, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons avec IBM+ Bug review avec M.Anne'),
(40302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nmise en place maj procedure stocké,trigger,... maj version script et .ini'),
(40266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n[Maintenance Corrective] INT8\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_16-106\r\nABP:            14.1.32.3-SNAPSHOT 54\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n\r\n\r\nQualification des anomalies SPEED UP livrées :\r\n\r\nSnooker\r\nSki Alpin\r\nBiathlon\r\nSnowboard\r\nSki Freestyle\r\nCurling\r\nCross Country\r\nBobsleigh\r\nSpeed Skating\r\nSkeleton\r\nShort Track Speed Skating\r\nLUGE\r\nTennis (tested but not delivered in this release)'),
(40267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nMCO quotidien'),
(40268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n[Maintenance Corrective] INT8\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_16-106\r\nABP:            14.1.32.3-SNAPSHOT 54\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n\r\n\r\nQualification des anomalies SPEED UP livrées :\r\n\r\nSnooker\r\nSki Alpin\r\nBiathlon\r\nSnowboard\r\nSki Freestyle\r\nCurling\r\nCross Country\r\nBobsleigh\r\nSpeed Skating\r\nSkeleton\r\nShort Track Speed Skating\r\nLUGE\r\nTennis (tested but not delivered in this release)\r\n'),
(40269, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[Maintenance Corrective] INT8\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_16-106\r\nABP:            14.1.32.3-SNAPSHOT 54\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n\r\n\r\nQualification des anomalies SPEED UP livrées :\r\n\r\nSnooker\r\nSki Alpin\r\nBiathlon\r\nSnowboard\r\nSki Freestyle\r\nCurling\r\nCross Country\r\nBobsleigh\r\nSpeed Skating\r\nSkeleton\r\nShort Track Speed Skating\r\nLUGE\r\nTennis (tested but not delivered in this release)'),
(40273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - Suite test cession - ANO056360 réafecté'),
(40271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n[CSAM]/ [PJEUX]  : investigations sur INC188112'),
(40272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6 - Support ANO056360'),
(40274, 'La requête SQL fonctionne directement sur SSMS, cependant elle est générée par un DBFIND sur un DBAcces_SQL\r\nLe problème semble venir de la classe CalculPiedDos\r\nLes 2 colonnes EQHEBT et EQHEBTD existent toutes les 2 dans la table\r\nL\'analyse contient bien les 2 colonnes\r\n\r\n--> Solution proposée : virer l\'objet DARRHES\r\n--> Impact possible : fort, plusieurs projets peuvent être concernés\r\n--> Reproduction : difficile, le programme n\'a planté que chez l\'utilisateur malgré un test sur la préprod et la dev, une mise à jour de la base pourrait aider à reproduire le bug\n\n'),
(40275, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR  // SIDC TR2 OK // SIDC TR3 OK'),
(40277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n'),
(40278, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[ABPV16][VCU] Analyse du problème de chargement solde joueur'),
(40279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[OMNICANAL] Revue anomalie avec CP Transverse'),
(40287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nRecherche tous les LogErreur (et variables similaires)  dans wsa,src,lrt et commu-grc et verification qu\'il n\'y a plus d\'affichage de mot de passe en production '),
(40285, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(40284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(40286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(40288, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(40289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(40290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(40291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nRédaction des Cas de Tests BOX-VCU'),
(40292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nFormation Khaoula\r\nRéunion Vie des environnements VNUS'),
(40293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nExécution et analyse acceptance 2.10 '),
(40294, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nModification cas de test pour VNUS\r\n'),
(40297, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nModification cas de test pour VNUS\nFormation Khaoula\nFormation ARJEL'),
(40296, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nModification cas de test pour VNUS\r\n'),
(40298, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-27  (Do not remove this line) -->\n'),
(40299, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nSAFERGAME : Installation FDL019407 SQL sur int2'),
(40315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[RDI1.1] Investigations et création de l\'ANO056604 sur l\'incident de production INC188928'),
(40313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nassistance analyse AF_INFO_COMP34'),
(40303, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\ncorrection code'),
(40304, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n'),
(40306, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n[OMNICANAL] Ajout des tests pour WSPO et PSBOR sur ALM ; Investigation sur des installs qui ne remontent pas dans les outils de suivis ; [JASON] Support borne pour vidéo présentation ; [WSPDI] Appel de la FAQ de PROD sur l\'integ'),
(40307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n[PDV] Atelier avec Mireille pour le reporting ALM ; [OMNICANAL] Tests prises de jeu sur INT3 ; [WSPDV] Acceptance MAINTENANCE SPDV 3.1.4 (FDL019394) : Correctif incident de prod INC188300'),
(40308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[WSPDV] Qualification MAINTENANCE SPDV 3.1.4 (FDL019394) : Correctif incident de prod INC188300 ; [VCU] [WSPDI] Acceptance WSPDI 1.0.9 (FDL019398)'),
(41020, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[Réunion] Bornes - Paiement CB - Réunion de synchro DSI ; [PSPDV] Problématique ordonnancement des markets sur les applications ; [WSPDV] Test sur la version mis en PROD ; [WSPDV] Investigation sur un problème de liste LotoFoot sur INT3'),
(40314, 'Le bug provient de la declaration OLE contenu dans la classe ExcelOle.\r\nDans evawin, il y a 7 déclarations de ce type dans le tout le code => j\'ai gerer une exception avec message d\'erreur non fatal pour indiquer qu\'Excel n\'est pas installé sur le poste, dans les 7 traitements d\'evawin utilisant excel. \r\nTest réalisé sur un poste n\'ayant pas excel => OK'),
(40316, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nRecherche tout les LogErreur (et variables similaires) dans wsa,src,lrt et commu-grc et verification qu\'il n\'y a plus d\'affichage de mot de passe en production'),
(40317, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\ngestion d\'une exception non fatale si excel n\'est pas installé sur le poste (concerne 7 traitements différent dans evawin)'),
(40318, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nProposer un Template (a validé par Philippe)'),
(40321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nAPI Falcon USR 2.10 RC1 : finalisation du merge API\nadaptation pour compatibitié de scripts auto et de builder existants impactés par les modifs de requestType\nQualification du merge'),
(40322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nDev scripts auto pour Falcon RC1 pour les services Financial et limits\r\nMise a jour des TC par défaut pour ces services Financial et limits\r\nqualification et tag API'),
(40324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\ndev des script auto Falcon lostpassword\nmaj des tables de routage pour VCU sur INT0\nmaj TC par defaut pour services lostpassword\ntag API \nsupport aux implementeurs et nouveaux arrivants'),
(40472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nqualificaiton et livraison des script auto Falcon USR 2.10 RC1\n[Comité API VCU]\nTransfert de competence de Frederic pour la VDE'),
(40529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nOMNI-CANAL : ANO056394 qualifiée'),
(40473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nEtude de la modification de configuration des scripts transverses dbselect* pour ajout d\'un attribut FDJTargetEnvName\n'),
(40331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[BDI.055.31 [PTF] CRM] Installation de la FDL019318 FDL019331 FDL019332 sur le TR2'),
(40332, 'Il me semble que ce bug interne n\'est pas traité'),
(40333, 'il me semble que c\'est fait\r\n=> a cloturer'),
(40334, 'il me semble que ce bug est livré'),
(40335, 'Rien a faire.\r\nCa marche déjà grave bien'),
(40336, 'merci de cloturer tes mantis'),
(40337, 'à résoudre'),
(40338, 'Rien a faire'),
(40339, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n#matin #aprem 1747 : mes versements\r\n\r\n- Développement\r\n  - Création du POJO représentant un pension asur (PensionAsur)\r\n    - Création d\'un constructeur par copie\r\n      - Commentaire de code\r\n    - getTypePensionLibelle\r\n      - Coder \r\n  - Création de la classe de conversion\r\n    - ctPensionToPensionAsur\r\n      - Commentaire de code\r\n      - Création du test Junit\r\n    - Conversion d\'une liste d\'objet du WS vers notre objet interne\r\n      - Coder \r\n  - Création de notre service pour utiliser la WS ASUR\r\n    - Coder \r\n      - Création de l\'objet paramètre\r\n      - Conversion de l\'objet retour\r\n      - fusion des ligne\r\n        - Coder \r\n        - Création du test Junit\r\n        - Commentaire de code\r\n      - Trier les lignes\r\n    - Commentaire de code\r\n  - Création du comparator (pour trier les lignes)\r\n    - Coder \r\n    - Création du test Junit'),
(40340, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nTest postman digishop-U'),
(40341, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nTest postman digishop-U\r\nAcceptance 7.2.0 sur int91'),
(40342, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nTest postman digishop-U\r\nAcceptance 7.2.1 sur int01'),
(40343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nTest postman digishop-U\r\nTest postman création joueurs'),
(40344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nTest postman digishop-U\r\ntests création joueurs'),
(40345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\n ENVREC BCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI sur RM post MEP '),
(40353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nvie des environnements : vcu'),
(40354, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nvie des environnements : vcu'),
(40355, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nplans de test batch vcu'),
(40356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(40357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nCette teche est terminée'),
(40394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nImplémentation de tests auto ARJEL + transfert de compétences.'),
(40360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test RESOCOM'),
(40369, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n- Avancement sur les développements de Tests AUTO VCU MAGO US011\n- Avancement sur les développements de Tests AUTO VCU MIGO US003'),
(40363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(40364, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n- Avancement sur les développement de Tests AUTO VCU MAGO US009'),
(40365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test RESOCOM'),
(40366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n- Avancement sur les développements de Tests AUTO VCU MAGO US010'),
(40367, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - CSAM SnG - Analyse de pb sur connexion Sng suite à MEP Résocom'),
(40368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n- Avancement sur les développements de Tests AUTO VCU MAGO US011'),
(40370, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n- Avancement sur les développements de Tests AUTO VCU MIGO US004'),
(40373, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nEGIDE 4.50 et 4.51 BCO.084.39 [FDV] BOOSTER - Egide WS-4.08.00 FDL018855 sur TRv1 INT3EGID'),
(40372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE FDL019200_egide_4.70.01_liv'),
(40375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nImplémentation de tests auto ARJEL + transfert de compétences.'),
(40376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nDéveloppement MRCD + Doc Swagger MRCD et Apimaitre'),
(40377, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nImplémentation de tests auto ARJEL + transfert de compétences.'),
(40378, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nDéveloppement MRCD + Doc Swagger MRCD et Apimaitre'),
(40379, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nImplémentation de tests auto ARJEL + transfert de compétences.'),
(40380, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nDéveloppement MRCD + Doc Swagger MRCD et Apimaitre'),
(40381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nImplémentation de tests auto ARJEL + transfert de compétences.'),
(40382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nDéveloppement MRCD + Doc Swagger MRCD et Apimaitre'),
(40383, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nMCO TR123 FALCON ETL COHERIS '),
(40390, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nMCO TR123 FALCON ETL COHERIS\nCRM LOT2'),
(40391, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nMCO TR123 FALCON ETL COHERIS\nCRM LOT2'),
(40439, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2. Dev VuGen - Point hebdo'),
(40388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nMCO TR123 FALCON ETL COHERIS '),
(40392, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nMCO TR123 FALCON ETL COHERIS'),
(40393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nAnalyse Loader pour chargement en base de fichiers avec des champs multilignes\r\nproposition de solution'),
(40547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nImplémentation de tests auto ARJEL + transfert de compétences.'),
(40396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nImplémentation Campagne V16'),
(40397, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nTEST'),
(40398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nImplémentation Campagne V16'),
(40399, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nImplémentation Campagne V16'),
(40400, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nImplémentation Campagne V16'),
(40401, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 KO Investigation en cours // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(40402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n 	[Maintenance Corrective] INT8\r\n\r\nHOST: agpadmi81\r\nSITE: fdj2-origin_release_16-106\r\nABP: 14.1.32.3-SNAPSHOT 54\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.186\r\n\r\n\r\nNREG SPEED UP sur le Snooker\r\n\r\n[V16] Qualification des anomalies sur INT0\r\n\r\n\r\nHOST:           agpadmi01\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 490\r\nCMS:            fdj_cms-master-249\r\nMETAL:          fdj-165-v1.0-7\r\n\r\n'),
(40623, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[V16] NREG sur INT0\n\nHOST:           agpadmi01\nPLATFORM:       1.0.187-SNAPSHOT\nABP:            16.5.2-SNAPSHOT 490\nCMS:            fdj_cms-master-249\nMETAL:          fdj-165-v1.0-7\n\n[V16] Qualification des anomalies sur INT0\n\n\nHOST: agpadmi01\nPLATFORM: 1.0.187-SNAPSHOT\nABP: 16.5.2-SNAPSHOT 490\nCMS: fdj_cms-master-249\nMETAL: fdj-165-v1.0-7\n\n[VCU] Écriture des cas de tests ALM'),
(40404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.5).'),
(40405, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.5).'),
(40406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.5).'),
(40407, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier ROMA sur INT1 (USR 2.9.5).'),
(40411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[OMNICANAL] Point sur les univers BEAS et CLIENT SPORT et les adherences entre omnicanal et ABP v16'),
(40412, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[OMNICANAL] Investigation sur l\'ANO056600 de recette'),
(40415, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n'),
(40416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n- Daily\r\n- Acceptance wcart => ano critique\r\n- Début acceptance wpsel'),
(40417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n- Daily\r\n- Point déploiement back et ccr\r\n- Acceptance et qualif du nouveau wpsel'),
(40418, 'FDT sous 1_titulaire/doc/JPT/BATCHDELTA'),
(40419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nrédaction d\'un mode opératoire pour  activation TPA frontaux bornes\r\nPoint Coco, consultation des US Jira, des stories'),
(40421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n'),
(40422, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nCréation tâche \npoint Seb\nPoint tâche'),
(40424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nPoint FDJ + Atos  matinée\n1ère approche sur les tests coco avec Marouan'),
(40425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nPoint synchro tests d\'acceptances  Patrick, Marouan, Romain\r\nPatrick utilisation de jenkins et alm (tests d\'acceptances)'),
(40427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nInstallation de digishop I et incidents rencontrés\nPoint  méthode de travail Post-Mep (Michel PUECH 1heure par telephone)\nJenkins, alm consultation des tests sur alm'),
(40428, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nRéunion coco\r\nA voir Marouan pour les tests\r\nFDL fiche d\'intégration'),
(40430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[V16 / 16.5.2 b 490 / INT0]: Acceptance + Bug Fixing '),
(41105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[V16 / 16.5.2 b 490 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes)'),
(41108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[V16 / 16.5.2 b 490 / INT0]: Bug Fixing + Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes)'),
(40440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2.'),
(40442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2.  [MULTIPASS] - Stratégie de test'),
(40444, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nRajout du support de validation de séquences en WSV front-end.'),
(40445, 'Vérifier que le problème n\'est plus d\'actualité\r\nsi c\'est le cas passer le sujet en clos'),
(40446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\ncorrection'),
(40448, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[RDI1.1] Support sur l\'ANO056604'),
(40511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nretour divers d\'anne cartalas'),
(40450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nChargement multiligne'),
(40451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n'),
(40452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n[MOKA] VSR FREEDOM - MEP USR 2.8.17 - Qualification d\'anomalies de PROD.\r\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL'),
(40453, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n[MOKA] VSR FREEDOM - MEP USR 2.8.17 - Création ANO056539 et ANO056499\r\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL'),
(40455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[MOKA] VSR FREEDOM - MEP USR 2.8.17 - Assistance HIA chaînes Control-M INGENICO\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL'),
(40456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[MOKA] VSR FREEDOM - MEP USR 2.8.17 - Assistance HIA chaînes Control-M INGENICO\r\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL'),
(40457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[VEGA] Préparation du palier, création d\'un diagramme de syntaxe des trames ARJEL'),
(40458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nRédaction Tests CU nominaux'),
(40461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL019319 sur INT3SAGA'),
(40460, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL019283 sur INT3SAGA'),
(40462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL019418 sur INT3SAGA'),
(40466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL018894 sur INT1CALY'),
(40464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL019147 sur INT1ETL9'),
(40467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nOMNI-CANAL : Campagnes de tests ALM'),
(40471, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nOMNI-CANAL : Campagne d\'acceptation FDL019319'),
(40469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nOMNI-CANAL : Réunion préparatoire à la MEP'),
(40470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nFormation aux applications Centura'),
(40479, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nEnvoi du rapport de la  campagne de non regression Falcon USR 2.9.5 sur INT1. Redaction d\'anomalie. Lancement de la campagne de non régression Falcon RTG 2.4.2 sur INT2. Revu Maintenance du catalogue ITF'),
(40481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nAnalyse de la campagne de non régression Falcon RTG 2.4.2 sur INT2 Envoi du rapport'),
(40483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nInvestigation sur l\'anomalie ANO056524 suspendu par lotsys avec Jean Pierre Martin. Implémentation des cas de tests les limites des joueurs Retails  pour Palier ROMA. Création de coquilles pour les tests ITG RTG et ITF pour le palier VNUS pour les joueurs RETAILS. Analyse de l\'ano ANO055379 demandé par Mael'),
(40485, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nModification des cas de test écrits pour payment. Mode opératoire à modifier suivant les demandes de Valérie Le Roux. Implémentation des cas de tests les limites des joueurs Retails  pour Palier ROMA.'),
(40490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nCAMPAGNE DE NON REG MOTORS 1.9.6-1 USR 2.8.18-1\r\nJEU DE REFERENCE DUEL DE CARTES V2'),
(40489, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nInstallation  Livraison DEV - ETL_COMMERCIAL-ETL_1.10FDL019364_Com_16.3.2 sur TR2'),
(40487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nCréation de point de vente de cession + HP ALM + Investigation sur EGIDE/SAGA pour le PDV 146139 suite demande Gilda Domingues'),
(40486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nMCO EGIDE quotidien\r\n'),
(40488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nCréation de cas de cession + HP ALM suite ANO056360.'),
(40491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nCAMPAGNE DE NON REG MOTORS 1.9.6-1 USR 2.8.18-1\r\nJEU DE REFERENCE DUEL DE CARTES V2'),
(40492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nCAMPAGNE AUTO BACK COMPOSANT GAM 1.0.12 USR 2.8.18 \r\nGAMIFICATION \r\n'),
(40493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nCAMPAGNE AUTO BACK COMPOSANT GAM 1.0.12 USR 2.8.18 \r\nGAMIFICATION \r\n'),
(40494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nMontée en compétence sur Catalogue de tests ITG IF \r\nBackup de F.Derock'),
(40495, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\n1-Doc de l\'architecture et les composants du projet\r\n2-Java-doc , corriger les erreurs  et les warning'),
(40496, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test RESOCOM'),
(40497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(40501, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n BCO.081.31 [ME] COMMERCIAL - EGIDE Injection du fichier CA livré sur INT6YTIX'),
(40503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nOMNI-CANAL : Campagnes de tests'),
(40504, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nOMNI-CANAL : Formation aux applications Centura'),
(40521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nmise à jour des nouveaux paramètres dans les databuilderet  des nouveaux paramètres dans les databuilder'),
(40508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nCorrection'),
(40520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nmise à jour des nouveaux paramètres dans les databuilderet  des nouveaux paramètres dans les databuilder'),
(40519, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nmise à jour des nouveaux paramètres dans les databuilderet  des nouveaux paramètres dans les databuilder'),
(40524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\n[RDI 1.1] : Support pour installation de la FDL018938 sur INT1SAGA'),
(40525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nRDI 1.1 : Support installation FDL018339 sur INT1COUR'),
(40523, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nRDI 1.1 : Support installation FDL017864 sur INT1SAGA'),
(40526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nRDI 1.1 : Support installation FDL018888 sur INT1ETL9'),
(40527, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nRDI 1.1 : Support installation de FDL018404 sur INT1ETL9'),
(40528, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nRDI 1.1 : Support installation de FDL017578 sur INT1ETL9'),
(40530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nOMNI-CANAL : Campagnes de test sur cession de PDV'),
(40531, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nOMNI-CANAL : Campagne de test sur cession de PDV'),
(40532, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\nFormation aux application Centura'),
(40533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-14  (Do not remove this line) -->\nFormation aux applications Centura'),
(40871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nDoc intégrateur + retour sur les étapes bloquantes star/wars en intégration\nDocumentation de star avec khalid\nMise a jour de la conf phpfpm sur SALT'),
(40872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nCreation d\'un script de creation de minion sur un serveur\nModification de la conf phpfpm\nAnalyse de la conf AMEX SALT pour adapter pour convergence'),
(40873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nFinalisation du  script \nDemo sprint21'),
(40874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nInstallation WARS INT82\nReunion GIT\nPoint avec julien sur les actions salt a mener\nInvestigation/Resolution des problemes rencontrés sur l\'installation du BO WARS'),
(40875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nHomogénéisation de la conf Nginx de convergence avec AMEX'),
(40548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n- qualification export csv SAGA 6.24.0 avec pdv amigo + cdp\n- qualification boutique-game amigo\n- points avec dev PHP pour correction schéma sqlite Amigo\n- [SALT] maj branches sur nouveau repo GIT gitlab');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(40574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n- Répet ROMA en l\'absence de Stéphane Godiart\r\n- Point recette VCU\r\n- Point AMEX (suite la recrudescence d\'anos sur une environnement pas à jour)\r\n- tests boutiks suite remise en place service captcha'),
(40589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\ninsallation int 91 travaille avec fatima sur les monté de version et sur la profondeur de git '),
(40592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nEdwan FDL019372'),
(40546, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-13  (Do not remove this line) -->\nImplémentation de tests auto ARJEL + transfert de compétences.'),
(40549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n- [SALT] Maj branches GIT suite MEP BALI\r\n- point de synchro avec dev digishop-game pour nouveau schema sqlite amigo\r\n- maj swagger digishop-a 7.2.0\r\n- maj swagger digishop-i 7.2.1\r\n- maj swagger digishop-u 7.2.0\r\n- maj postman apimaitre get-home pour tirages exceptionnels\r\n- qualification export csv SAGA 6.24.1 avec pdv amigo + cdp\r\n- maj swagger apimaitre 1.2.1\r\n- point équipe pour gestion nouvelles branches amex'),
(40553, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n- [SALT] Maj branches GIT suite MEP BALI\n- point de synchro avec dev digishop-game pour nouveau schema sqlite amigo\n- maj swagger digishop-a 7.2.0\n- maj swagger digishop-i 7.2.1\n- maj swagger digishop-u 7.2.0\n- maj postman apimaitre get-home pour tirages exceptionnels\n- qualification export csv SAGA 6.24.1 avec pdv amigo + cdp\n- maj swagger apimaitre 1.2.1\n- point équipe pour gestion nouvelles branches amex'),
(41142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n- déploiement boutiques palier Amigo int81\n- déploiement boutiques palier Amigo int21\n- déploiement boutiques palier Roma+Amex int41\n- pt équipe pour déploiement nouvel environnement de perf1'),
(40552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n- atelier [GIT] Méthode de travail post MEP et gestion des branches\r\n- support stream PHP pour promulgations amigo\r\n- qualification boutique-game amigo\r\n- [SALT] Maj master suite mep Freedom-TPA\r\n- [SALT] Maj ensemble des branches features suite mep Freedom-TPA\r\n- [SALT] Préparation branche feature-vnus-amex\r\n- [SALT] Préparation branche feature-roma-amex'),
(40554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nDaily meeting 30 min.\r\nRéunion CCR + BACK + FRONT sur état des lieux des livraisons du sprint 16 (1h).\r\nInvestigation pb installation digishopi sur INT01.\r\nModification state installation widgets wpsel et wcart, file.directory remplacé par file.absent.\r\nFin report conf amex sur les environnements INT81, 91 et PERF2.\r\nPrésentation git flow IQ DIGITAL Front (1h)\r\nEchanges sur la future branch git feature-amex-roma.'),
(40559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nDaily meeting (20 min)\nDans la branche feature-amex, report conf amex sur l\'intégralité des environnements d\'intégrations et sur PERF1.\nAnalyse rapide version Sportail 1.1.1.\nSupport AMEX WCART.'),
(40561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nDaily meeting 1h.\nAnalyse déploiement branche AMEX sur l\'environnement INT91 (VNUS) --> AMEX n\'a jamais été installée sur ce dernier. On m\'affirme que la branche VNUS a été mergée dans la branche AMEX hors ce ne n\'est pas le cas --> analyse des différences entre INT91 et INT01.\nVNUS (Edwan + Falcon) commence a être installée par plusieurs personnes sur INT01 --> problème la configuration SALT VNUS est manquante --> Création de la branche feature-vnus-amex et merge de la branche feature-amex dans cette dernière --> VNUS & AMEX sont déployés sur INT01 --> authentification fonctionne sur l\'intégralité des domaines.\nBug review Sportail 30 min.\nSupport Edwan INT01 --> problème clé privée api-maitre.'),
(40560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nDaily meeting,\r\nProjet AMEX.'),
(40563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nAnalyse et support FDL SPORTAIL 1.1.0 --> demande au techlead de modifier changelog, de rattacher correctement les MOD et les ANO, de corriger les consignes d\'installation.\nDémo Sportail 1.1.0 (1h30) --> Détection ano critique, la page événement ne s\'affiche plus. --> Rejet FDL\nL\'équipe du sportail affirme que le problème n\'est pas chez eux pourquoi quand j\'analyse les différents appels consommés je détecte le contraire... --> investigation poussée + test sur environnement INT0 --> ils confirment l\'existence du bug dans leur code  (3h)\nRelance IAT Edwan ENV REF DEV0.'),
(40567, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n- Travail sur anomalies Amex\r\n- Support recette et dev\r\n- Point avec Vincent Biny sur l integration de MI et MAG dans les applis natives'),
(40571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\n- Acceptance MAG 2.14 VCU\n- Acceptance MAGO / MIGO 1.1.1 VCU\n- Déploiement et tests sur modulaire'),
(40573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n- daily Coco (toute la semaine)\n- point sur problème cookies bingo\n- action sur la conf Digishop pour débloquer la recette pour le TPA Borne\n- Déclenchement actions acceptance VNUIS boutiks'),
(40575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n- Qualifications Anos Amex\r\n- Alimentation Catalogue de tests VCU (point avec Stéphane G)'),
(40576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nRoma / Omnicanal :Préparation de la répétition de la MES/MEP'),
(40584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nAcceptance INT9'),
(40578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nAcceptance INT8'),
(40579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nMontée de version de la PERF2 avec pour objectif de constituer le ModOp d\'installation'),
(40580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nAcceptance INT0'),
(40581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nAcceptance INT0'),
(40582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nFinalisation de la montée de version de la PERF2, \r\nSupport IF'),
(40583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nQualification d\'anomalies, et implémentation de nouveaux cas de test MIFY'),
(40585, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.10 - VCU - Souscription complémentaire'),
(40586, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n-Ecriture cas de test Postman FALCON USR 2.10 - VCU - Souscription complémentaire'),
(40587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nROMA / OMNICANAL : Répétition sur TR1 de la MES/MEP, enrichissement du plan de MES/MEP\r\nSupport IF'),
(40588, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nROMA / OmniCanal : Préparation du ModOp pour la MES/MEP'),
(40590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(40591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nEdwan FDL019393 FDL019396'),
(40593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\ndump de prod sur perf2'),
(40594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nconvergence + amigo'),
(40595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nconvergence - SALT'),
(40598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nFDL019409'),
(40599, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nFDL019358'),
(40600, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 KO ANO056689 // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(40602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[OMNICANAL] Revue anomalie et abandon de l\'anomalie ANO055673'),
(40603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[RAM.004] Investigations avant création ANO056689 sur le TR3 sid commercial suite a un problème d’incohérence des données dans SAGA'),
(40604, 'REFUSE REAL'),
(40605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nSAFERGAME : Qualification ANO056573; ANO056572'),
(40606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nFormation ARJEL\r\nFormation Khaoula : Run de cas de test + correction de cas de test en Blocked sur les requêtes de séléction'),
(40610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\naide fatima pour configuration pour la mep bali tpa '),
(40611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nformation fatima plus installation int 01 avec palier amx vnus '),
(40612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nformation fatima tout la journée'),
(40614, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\n(1) Cautionnement - RM (Recette de Masse) sur INT4SAGA\n(2) MAJ Documentaire OneNote partie RM + Périmètre CENTURA\n(3) Participation Réunion OMNICANAL Sport V1'),
(40615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nParticipation Installation SAGA v3 (avec Olivier BLACHE)'),
(40644, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nPTSK0001548 - DMT0018676 - FDL019071 - CALYPSO - Partie 1'),
(40617, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nMeme pb que 45709\r\n'),
(40618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nANVCTX'),
(40619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nANVCTX'),
(40620, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nANVCTX'),
(40835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n'),
(40653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 Répétition MEP/MES sur TR1'),
(42140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nInstallation FDL019200_egide_4.70.01 sur TR1&3&5. Mis à niveau par rapport à la production.'),
(42139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nInstallation de la FDL019364_Com_16.3.2 pour Tr2'),
(40645, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nPTSK0001548 - DMT0018676 - FDL019071 - CALYPSO - Partie 2'),
(40629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nANO056604 - ODYSSEE Gestion des secteurs - POST MEP RDI - Erreur sur Typologie Activité Hors FDJ'),
(40630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n[Omnicanal] Point avancement PFE/ESB - Réunion'),
(40633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[BDI.055.31 [PTF] CRM] Support sur la création de la MOD MOD013788 ETL qui manquait suite à la MOD MOD013576 SIDC'),
(40634, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nTester  ComptAlloc et proposer des améliorations de code'),
(40635, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nBPS.057.32 [ARCH] OMNI-CANAL SPORT (FDL019147 : ETL Commerciaux v2.14.3 sur TRV1 et FDL018894 : CALYPSO v13.8.1 sur TRV1)'),
(40637, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\ncorrection alireconso'),
(40638, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nCréation tâche \nanalyse\naide'),
(40639, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n'),
(40643, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n(1) Projet Référentiel de Distribution - RDI 1.1 - Procédure d\'Initialisation (Remise à niveau données paragraphes relatifs : 3.1.4, 3.2, 3.3, 3.5.1 et 3.5.2)\n(2) Réunion point avancement équipe CENTURA'),
(40641, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nANVCTX'),
(40646, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n'),
(40647, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[RDI] Vérification de la création d\'un point de vente avec activite distribution alimentaire'),
(40649, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[RAM.004] Échanges et investigations avec le DEV / IQ sur l\'ANO056689'),
(40650, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nSAFERGAME : Assistance HIA mise en place mode nominal, configuration chaine de détection en automatique'),
(40654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nMCO Court Commercial'),
(40652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nOMNI CANAL : \r\nFin ANO056360 + \r\nANO056698 '),
(40655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nMCO Court Commercial\r\n'),
(40657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nGDS: INC188928 POST MEO RDI - Erreur sur Typologie Activité Hors FDJ'),
(40658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nPrérequis FDL019273 INT2SAGA (Pb manqué la migration des activités sur TR2)'),
(40659, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL, DMT0018676, FDL019071 sur INT2CALY et INT2ARCA'),
(40660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nMCO Court Commercial'),
(40661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1,Reunion Omnicanal'),
(40662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nMCO Court Commercial'),
(40663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1, migration adresse sur TR1, plusieurs pb au niveau des données sur TR1'),
(40664, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nPassation d\'information avec Olivier et Valérie'),
(40666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n'),
(40667, 'ID test HPALM : 1101'),
(40668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nSID Client : Point de situation avec RA sur les univers SID Client.'),
(40670, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nRAM.004 : SID Commercial/Saga Investigation sur anomalie de département Mayotte + Création ANO.'),
(40671, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nPIMO : Admin - Analyse problèmes de droit sur les fonctions PIMO.'),
(40672, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nAssistance HIA : INC188425 - Problèmes avec l\'univers Egide'),
(40673, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nCOPEX : Rédaction 3 cas de tests Calypso (Free CP + majrefe acteur + majrefe jeu)'),
(40674, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nCOPEX : Exécutions cas de tests COPEX NR'),
(40675, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nattestation + redirection'),
(40676, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nredirections'),
(40677, 'Livraison validée par le client'),
(40678, 'Livraison validée par le client'),
(40679, 'Livraison validée par le client'),
(40680, 'Livraison validée par le client'),
(40681, 'Livraison validée par le client'),
(40682, 'Livraison validée par le client'),
(40683, 'Livraison validée par le client'),
(40684, 'Livraison validée par le client'),
(40685, 'Livraison validée par le client'),
(40686, 'Livraison validée par le client'),
(40687, 'Livraison validée par le client'),
(40688, 'Livraison validée par le client'),
(40689, 'Livraison validée par le client'),
(40690, 'Livraison validée par le client'),
(40691, 'Livraison validée par le client'),
(40692, 'Livraison validée par le client'),
(40693, 'Livraison validée par le client'),
(40694, 'Livraison validée par le client'),
(40695, 'Livraison validée par le client'),
(40696, 'Livraison validée par le client'),
(40697, 'Livraison validée par le client'),
(40698, 'Livraison validée par le client'),
(40699, 'Livraison validée par le client'),
(40700, 'Projet terminé'),
(40701, 'Projet terminé'),
(40702, 'Projet terminé'),
(40703, 'Projet terminé'),
(40704, 'Projet terminé'),
(40705, 'Projet terminé'),
(40706, 'Projet terminé'),
(40707, 'Projet terminé'),
(40708, 'Projet terminé'),
(40709, 'Projet terminé'),
(40710, 'Projet terminé'),
(40711, 'Projet terminé'),
(40712, 'Projet terminé'),
(40713, 'Projet terminé'),
(40714, 'Projet terminé'),
(40715, 'Projet terminé'),
(40716, 'Projet terminé'),
(40717, 'Projet terminé'),
(40718, 'Projet terminé'),
(40719, 'Projet terminé'),
(40720, 'Projet terminé'),
(40721, 'Projet terminé'),
(40725, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nRDI 1.1 : Test réalisé en RM sur correctif d\'incident de prod.'),
(40723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nOMNI-CANAL : Réunion de travail sur ANO056698'),
(40724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nFormation aux applications centura'),
(40882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[COHERIS] Avancement des sujets'),
(40881, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nassistance installation MEP\nMAJ documentation V5.9\nModification bouchon v2.9'),
(41005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nassistance recherche différence entre PROD et INT8 - Table telephone non chargée sur int8\n'),
(40730, 'Relancé par mail'),
(40731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nRelance mail'),
(40732, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n-Ecriture cas de test Postman pour projet VCU'),
(40734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nSupport à HIA INC189349'),
(40736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - EGIDE Injection du fichier CA livré sur INT3YTIX et INT4YTIX'),
(40738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(40740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 KO ANO056689 // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(40741, 'Brancher D1938'),
(40742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n- Daily\r\n- Modif catalogue\r\n- IFS-55 sur retour prod'),
(40743, 'Doublon de 0024499'),
(40744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM + Réunion de suivi suite au lancement chaîne de détection avec M.Anne+ Point de synchro avec J.Buisson'),
(40745, 'Non reproduit sur version18.01.0\r\nselect NIR || \' - \'||CODE_REJET_SIGNALEMENT from REJET\r\nwhere NIR between \'2570536044095\' and \'2570536044098\'\r\n;\r\nselect ASS.NIR, ADR.VALIDITE from ASSURE ASS, ADRESSE ADR\r\nwhere NIR between \'2570536044095\' and \'2570536044098\' and ADR.ADRESSE_ID =ASS.ADRESSE_ID\r\n;\r\n\r\n\r\nNIR||\'-\'||CODE_REJET_SIGNALEMENT                                                                 \r\n--------------------------------\r\n2570536044095 - SI10\r\n2570536044096 - SI01\r\n2570536044097 - SS04\r\n2570536044098 - SI10\r\n\r\n\r\nNIR           V\r\n------------- -\r\n2570536044095 N\r\n2570536044096 N\r\n2570536044097 N\r\n2570536044098 N\r\n\r\n'),
(40887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nSAFERGAME : Investigation sur INC189340'),
(40870, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nmise à jour de Script Event Calendar'),
(41115, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nAtelier PDJ Retail'),
(41116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nVérification des cas de tests Mify'),
(41117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nAtelier PDJ Retail'),
(41575, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nMise a jour de DataBuilders et du Technical check de l\'appel de service Next'),
(40754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nRédaction tests couverture exigences transverses'),
(40756, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nCorrection ANO de PROD'),
(40757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2.'),
(40758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nIncorporation de mécanismes de LCS (diff) de séquences de requêtes et de patterns dans WSV back-end 1.0.1-2.  Dev VuGen - Point hebdo'),
(40761, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[RAM.004] création des anomalies  ANO056825 sur la session s_m_L_SIC_DROP_CREATE_TABLE + ANO056839 sur le nommage des logs'),
(40760, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[ABPV16] Qualification de l\'ANO055814'),
(40830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[VCU] [ABPV16] Installation des 5 FDLs sur le TR1 FDL019395, FDL019399, FDL019400,FDL019401, FDL019402'),
(40763, 'Mail envoyé à mael :\r\n\"Sur le site de PROD VTF (https://www.vtf-vacances.com), sur le compte client, après avoir sélectionné un dossier dans l’historique et qu’on clique sur le détail du dossier, le récap affiché est vide.\r\nApres avoir effectué des tests, je ne vois pas dans nos logs de problème particulier, peux-tu m’indiquer à partir de quel flux tu alimente cette page, stp ?\r\n\"'),
(40764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(40765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test RESOCOM'),
(40766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution QUALIF CAMCA'),
(40767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nMCO EGIDE Pb chaine CA'),
(40768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(40769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-09  (Do not remove this line) -->\n'),
(40770, 'c\'est fait ?'),
(40771, 'Cloturé ou annulé ALM'),
(40772, 'Cloturé ou annulé ALM'),
(40773, 'Cloturé ou annulé ALM'),
(40774, 'Cloturé ou annulé ALM'),
(40775, 'Cloturé ou annulé ALM'),
(40776, 'Cloturé ou annulé ALM'),
(40777, 'Cloturé ou annulé ALM'),
(40778, 'Cloturé ou annulé ALM'),
(40779, 'Fermé ou annulé ALM'),
(40780, 'Fermé ou annulé ALM'),
(40781, 'Fermé ou annulé ALM'),
(40782, 'Fermé ou annulé ALM'),
(40783, 'Fermé ou annulé ALM'),
(40784, 'Fermé ou annulé ALM'),
(40785, 'Fermé ou annulé ALM'),
(40786, 'Fermé ou annulé ALM'),
(40787, 'Fermé ou annulé ALM'),
(40788, 'Fermé ou annulé ALM'),
(40789, 'Fermé ou annulé ALM'),
(40790, 'Fermé ou annulé ALM'),
(40791, 'Fermé ou annulé ALM'),
(40792, 'Fermé ou annulé ALM'),
(40793, 'Fermé ou annulé ALM'),
(40794, 'Livré ALM'),
(40795, 'Livré ALM'),
(40796, 'Livré ALM'),
(40797, 'Livré ALM'),
(40798, 'Livré ALM'),
(40799, 'Livré ALM'),
(40800, 'Livré ALM'),
(40801, 'Livré ALM'),
(40802, 'Livré ALM'),
(40803, 'Livré ALM'),
(40804, 'Livré ALM'),
(40805, 'Livré ALM'),
(40806, 'Livré ALM'),
(40807, 'Livré ALM'),
(40808, 'Livré ALM'),
(40809, 'Livré ALM'),
(40810, 'Livré ALM'),
(40811, 'Livré ALM'),
(40812, 'Livré ALM'),
(40813, 'Livré ALM'),
(40814, 'Livré ALM'),
(40815, 'Livré ALM'),
(40816, 'Livré ALM'),
(40817, 'Livré ALM'),
(40818, 'Livré ALM'),
(40819, 'Livré ALM'),
(40820, 'Livré ALM'),
(40821, 'Livré ALM'),
(40822, 'Livré ALM'),
(40823, 'Livré ALM'),
(40824, 'Livré ALM'),
(40825, 'Livré ALM'),
(40893, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nExécution campagne de test 16.5.2-SNAPSHOT 519  0,5j\nQualification d\'anomalies   0,5j'),
(40839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nExécution campagne 16.5.2-SNAPSHOT 490  0,5j\r\nExécution campagne 16.5.2-SNAPSHOT 519  0,5j'),
(40840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nExécution campagne 16.5.2-SNAPSHOT 519'),
(41023, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nExécution campagne 16.5.2-SNAPSHOT 519'),
(41024, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nExécution campagne 16.5.2-SNAPSHOT 519'),
(40845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n[RTC-95445] FLUX -T2000 - Envoi du message DEPART à tort'),
(40846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n[RTC-95445] FLUX -T2000 - Envoi du message DEPART à tort\r\n[RTC-123966] AP - CU Commander une AP de sortie - la commande s\'effectue aussi sur l\'entrée'),
(40847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[RTC-95445] FLUX -T2000 - Envoi du message DEPART à tort\r\n[RTC-123966] AP - CU Commander une AP de sortie - la commande s\'effectue aussi sur l\'entrée'),
(40848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nLivraison de la MCO Février'),
(40850, 'Le ticket parle de problème avec le webservice.\r\nCe qui a été corrigé et livré, c\'est une anomalie sur le [u]batch [/u]RISe.'),
(40852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nDécoupage développement chantier versement'),
(40853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\n#afaire 1747 : mes versements\r\n\r\n- Dévelopement\r\n  - Création du POJO représentant un pension asur (PensionAsur)\r\n    - getTypePensionLibelle\r\n      - Commentaire de code\r\n  - Création de la classe de conversion\r\n    - Conversion d\'une liste d\'objet du WS vers notre objet interne\r\n      - Commentaire de code\r\n  - Création de notre service pour utiliser la WS ASUR\r\n    - Javadoc\r\n    - Création du test junit\r\n    - regrouperLignes\r\n      - Javadoc\r\n  - Création du comparator (pour trier les lignes)\r\n    - Commentaire de code\r\n      - Javadoc\r\n  - Création des contrôles sur les données'),
(40854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-08  (Do not remove this line) -->\nEtudes sur CAS serveur, client, '),
(40855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-12  (Do not remove this line) -->\ndéveloppement de intercepteurs, remote tests'),
(40859, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n'),
(40861, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-01  (Do not remove this line) -->\nanalyse le bug ( tous les objets concernés : http request, http response, http session)'),
(40862, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\nanalyse le bug ( tous les objets concernés : http request, http response, http session)'),
(40863, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nANVCTX devis'),
(40864, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n'),
(40865, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nSAFERGAME : Création DMT0019257 + Qualification ANO056547 et ANO056133'),
(40884, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nSAFERGAME : PV de qualification FDL019379'),
(40867, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nSAFERGAME : Installation FDL019379  Datastage, FDL019441 CFM, FDL019448 Cognos sur int2'),
(40868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n'),
(40876, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[VCU] Écriture des cas de tests VCU'),
(40877, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n[VCU] Écriture des cas de tests VCU\r\n\r\n[V16] Test du market Face à Face - Hockey Sur Glace - Fixtures'),
(40878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nTester le comportement de org.jasig.cas.client.session.SingleSignOutFilter activé dans Mon-compte en faisant remote debug.'),
(40879, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nrevue de document d\'étude CAS SLO'),
(40880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nLivraison 17.20.3 : rajouter de logs dans LoginInterceptor'),
(40883, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nSAFERGAME : Point sur l\'erreur du contexte des impayés en prod avec IBM'),
(40888, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nreponse question vtf sur paiement et possibilité (traduction)\nquestion mail recu d\'acompte '),
(40886, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nSAFERGAME : Installation FDL019379 Datastage, FDL019448 Cognos sur int4'),
(40889, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nANVCTX bilan contrats'),
(40890, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\n'),
(40891, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n'),
(40892, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\n'),
(40894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nTests ano bloquante prod V1.14.4'),
(40896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-26  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1, Analyse et investigation'),
(40898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nMCO court commercial'),
(40901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-12  (Do not remove this line) -->\nFormation et passation d\'activité et divers investigations'),
(40903, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n'),
(40904, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n'),
(40902, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-16  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 assistance Omnicanal'),
(40909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nVTF Réalisation d\'une stat'),
(40910, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nVTF Problème de stock : libération et désallotement'),
(40911, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nValidation par Philippe GUERIN '),
(40915, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n- Daily\n- Analyse token\n- Analyse problème prod vitan\n- Modification des catalogues\n- Qualif wpsel'),
(40913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nModule jnlp : module qui contient le fichier jnlp et les fichiers de templates (html,css,js ..)'),
(40914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n- Daily\r\n- Bugreviews\r\n- Qualif wpsel\r\n- Qualifs anos sprint précédent'),
(40916, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nAnalyse du WS aListePrestationAnnexe'),
(40917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n- Daily\r\n- Qualifs anos précédentes\r\n- Atelier dev/front/iq back'),
(40961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[BDI.055.31 [PTF] CRM] [FreedomTPA] Support recette sur MOD013353  / FDL019332 (BEAS) et MOD013187 '),
(40920, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nreunion : Présentation/ Echanges sur la documentation sur le palier 2.11 (VEGA) \r\n\r\nreunion : : Réunion besoin pour avancement ARJEL. '),
(40925, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nreunion : Point Equipe TEST AUTO\n\nreunion : [VNUS] Point qualif: avancement, difficultés, questions, etc.\n\nVCU : adaptation des cas de test avec le nouveau service POST accounts/subscription'),
(40926, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nARJEL : transfert de compétences technique par Pierre P\n\nVCU : adaptation des cas de test avec le nouveau service POST accounts/subscription'),
(40923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-22  (Do not remove this line) -->\nARJEL : transfert de compétences technique par Pierre P'),
(40924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nARJEL : transfert de compétences technique par Pierre P\r\n\r\nreunion : Avancement montée en compétences de Leila sur l\'Arjel'),
(40927, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nVCU : adaptation des cas de test avec le nouveau service POST accounts/subscription\r\n\r\n'),
(40929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nVCU : adaptation des cas de test avec le nouveau service POST accounts/subscription\n\nreunion : Point Equipe TEST AUTO\n\nreunion : [VNUS] Point qualif: avancement, difficultés, questions, etc.\n'),
(40930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n-Ecriture et mise à jourcas de test dans Postman FALCON USR 2.10 - VCU DELETE Souscription'),
(40931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nVCU : adaptation des cas de test avec le nouveau service POST accounts/subscription'),
(40932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n-Ecriture cas de test dans Postman(reprise des tests de Ouafa)\r\nFALCON USR 2.10 - VCU - contrôle Unicité'),
(40933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nAnalyse évolution illiko API APM'),
(40934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nAnalyse évolution illiko API APM'),
(40935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 KO ANO056689 // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(40936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 KO ANO056689 // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(40953, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nEffectivement pour ce cas, un reçu d’acompte aurais dû être envoyé par mail.\nApparemment le programme lors de l’attribution du titre du mail, contrôle la somme des règlements enregistrés pour le dossier mais il ajoute une fois de trop le dernier règlement effectué lors de son calcul.\nLa correction a été effectuée et le programme mis à jour.'),
(40939, 'Prêt pour les tests de recette !'),
(40940, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[VCU] Écriture des cas de tests VCU'),
(40941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nRequête liste des dossiers erronée'),
(40942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nSupport Khaoula'),
(40943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nSupport Khaoula\r\nRéunion Equipe + suivi et bug review VNUS (0.5 j)'),
(40944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nSupport Khaoula'),
(40945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nBordeaux Métropole > Support Technique Formation (Indicateurs & Rapports & KPI)'),
(40946, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nBordeaux Métropole > Support Technique Formation (Indicateurs & Rapports & KPI)'),
(40998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nROMA : amélioration et ajout d\'info Mod\'Op pour le palier\nMaintenance d\'outil d\'intégration : l\'envoie de mail pour rapport d\'installation'),
(41107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[V16 / 16.5.2 b 519 / INT0]: Acceptance manuelle Back'),
(41231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[RDI] analyse et support sur les problèmes du TR1 RDI->saga + analyse du traitement lance_rdi_saga avec mail a Manuel Rosellini et Myriam Ginoux pour suggestion d’évolution sur la supervision macro du traitement'),
(40950, 'Liste des projets qui sont désormais OK:\r\n-TnSelect\r\n-Webpaiement\r\n- ServeurEva et ServeurEvaMenu\r\n- tndoublon\r\n-Evamail et evamail_service\r\n- Webparametre\r\n-evaeraseweb'),
(40951, 'Voici le reste à faire :\r\n\r\n\r\nListe des projets à integrer .INI :\r\nEvasta_ControleCoherence\r\n\r\nListe des projets a revoir car il existe au moins 1 config inutile + integrer les .INI :\r\n-Evagh\r\n-Evasta\r\n-Evavoy\r\n-Evawin'),
(40956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n'),
(40955, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n'),
(40957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nSupport HIA SID CLIENT Fred Blanc sur la hierarchie des jeux'),
(41230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[RDI] analyse et support sur les problèmes du TR1 RDI->saga +  analyse du traitement lance_rdi_saga avec mail a Manuel Rosellini et Myriam Ginoux pour suggestion d’évolution sur la supervision macro du traitement'),
(41122, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n[RAM.004] Recherche des informations d\'alimentation des tables département / région de saga ANO056860'),
(40963, '- Correction, retrait filtre dupliqué, Ajout nouveau filtre\r\nLa plus grosse partie traitée est dans la classe CalculCA.wdc\r\n\r\n- Il reste des filtres à remonter \r\n- Des appels en boucle à des requêtes existes'),
(40964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nMise en attente, d\'autres évolution pourrons simplifié l\'optimisation de cette stat'),
(40965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n'),
(40989, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nROMA : amélioration du script d\'installation install_apps.ksh'),
(40995, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nROMA : installation de la gateway PMS, amélioration des scripts \"stop plateforme\" et start plateforme\"\n'),
(40999, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nROMA : mise à jour postman collection PMS'),
(41000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION IF\r\nINTERACTIVE FACTORY IF 2.3.1-2 / USR 2.8.18-1 / MTR 1.12.0-1 INT81'),
(41001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION IF\r\nINTERACTIVE FACTORY IF 2.3.1-2 / USR 2.8.18-1 / MTR 1.12.0-1 INT81'),
(41002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION IF\r\nINTERACTIVE FACTORY IF 2.3.1-2 / USR 2.8.18-1 / MTR 1.12.0-1 INT81'),
(41003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION BACK GAM / GAMIFICATION\r\nINT8'),
(41004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nCAMPAGNE DE NON REGRESSION BACK GAM / GAMIFICATION\r\nINT8'),
(41006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n[OLC] Installation des 5 FDL sur le TR2 FDL019240,FDL019412,FDL019426,FDL019427,FDL019428'),
(41008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-06  (Do not remove this line) -->\n'),
(41009, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(41195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 KO ANO056689 // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(41012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nROMA : installation de procédure SQL TRANSACTION_EXPORT pour le correctif PMCCCA sur INT1 et INT3\nSupport perf pour test sur les nouveaux composants OmniCanal\nmise à jour postman collection PMS'),
(41013, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.0).'),
(41014, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.0).'),
(41015, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.0).'),
(41016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nEcriture des tests sous POSTMAN sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.0).'),
(41017, 'Impossible de reproduire pb.\r\nPoint tel avec Peggy, elle ne constate plus de lenteur.\r\nSurement une lenteur reseau ou bdd au moment du test'),
(41018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nPas de différence (base différentes seulement)'),
(41019, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n'),
(41028, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n'),
(41022, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-15  (Do not remove this line) -->\n'),
(41025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nModification des tests pour VNUS'),
(41027, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nModification des cas de test pour VNUS'),
(41029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[OMNICANAL] Qualification MUGO 1.2.1 ; Création de l\'ANO056820 : [JASON] Problème sur la modification des limites de transactions ; [ABPV16] [PSBOR] investigation connexion impossible à https://borne6.retail.integ.fdj.fr/psbor ; '),
(41030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nAnalyse évolution illiko API APM'),
(41031, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nAnalyse évolution illiko API APM'),
(41037, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n[PDV] Investigation sur problème entre minuit et 1h message comme quoi les cotes doivent être entre 1.10 et 1000 même si c\'est le cas ; [AMEX] [SPORTAIL] Analyse des appels'),
(41034, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nAnalyse Incidents de production : perte des grant pour VEGIDE.'),
(41035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[PDV] Création de jeux d\'essais pour Marie Catrin ; [OMNICANAL] Acceptance MUGO 1.2.2 ; [Réunion] Démo POC Wiremock par étienne pour avoir un retour des opérationnels ; '),
(41375, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nCréation de l\'ANO056943 : [AMEX][SPORTAIL] /lvs-api/cms/seo/blocks n\'est pas présent sur toutes les pages comme attendu ; Création de l\'ANO056951 : [AMEX][SPORTAIL] /lvs-api/live?originId=3&lineId=1&showPromotions=true&home=1 n\'est pas présent sur toutes les pages comme attendu ; Création de l\'ANO056954 : [AMEX][SPORTAIL] /lvs-api/quickaccess n\'est pas présent sur toutes les pages comme attendu ; [OMNICANAL] Acceptance MAGO 1.0.70 (FDL019471) -> OK'),
(41376, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[SPDV] [PROD] Bug sur les applications ; [OMNICANAL] Tests de qualification sur WSPDI 1.0.9 (problème selon les navigateurs) ; [OMNICANAL] Qualification MAGO 1.0.70'),
(41039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nMCO : Court_Commercial Flux TR1 Saga.'),
(41040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nPORTAIL HASARD : Qualifications des MOD Portail Hasard + PV de Qualif.'),
(41063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nFormation Khaoula El Rhozlane. Revu Maintenance du catalogue ITF'),
(41043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n[FREEDOM] Rédaction PV qualif USR 2.8.17\r\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL'),
(41071, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nEcriture des cas de test sur les limites de versement des joueurs RETAIL : Palier ROMA'),
(41047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nAcceptance V16 INT0 '),
(41048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL'),
(41049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nAcceptance V16 INT0  et qualification de fiches anomalies'),
(41068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n-Avancement sur les développements IHM VCU MIGO\n- Point Avancement Gouvernance tests front'),
(41064, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nMettre à jour différents cas de test pour l\'appel de service /Favourites( coté test plan, besoin technique)'),
(41051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL'),
(41061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n-Avancement sur les developpements IHM VCU MIGO\n-Finalisation des développements de tests IHM MAGO VCU'),
(41053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n[FREEDOM] Support HIA incident PROD INGENICO\r\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL'),
(41055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL'),
(41056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n-Avancement sur les developpements IHM VCU MIGO'),
(41057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nImplémentation de nouveaux cas de test MIFY pour l\'appel de service NEXT + Mettre à jour différents cas de test du même appel de service car MAJ '),
(41058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n-Avancement sur les developpements IHM VCU MIGO'),
(41066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nFormation Khaoula El Rhozlane. Revu Maintenance du catalogue ITF. Reunion Bug review'),
(41067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nFort probable: Acceptance V16 INT9'),
(41069, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n-Finalisation des développements de tests IHM MAGO VCU'),
(41073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nFormation Khaoula El Rhozlane. Revu Maintenance du catalogue ITF. Formation ITF David Aben. ITF : Installation du super croupier pour le jeu MaxiRuched\'Or2018 et MiniRuched\'Or2018'),
(41072, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nImplémentation de tests auto + transfert de compétences ');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(41074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nImplémentation de tests auto + transfert de compétences '),
(41078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nImplémentation de tests auto + transfert de compétences '),
(41077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nImplémentation de tests auto + transfert de compétences '),
(41079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nImplémentation de tests auto + transfert de compétences '),
(41081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n- Daily Coco (tous les jours de la semaine)\n- Tests et points ALM sur VCU (tests auto / manuels)'),
(41082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n- Entretien Candidat Intégrateur\r\n- Point sur les US VCU\r\n- réception , installation et tests MUG BALI 2 - FDL019463 => Rejeté (fichier avec lien en dur vers l\'integ)\r\n'),
(41124, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nSAFERGAME : Création  ANO056939+ANO056967+ analyse rejets impayés'),
(41084, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n- réception , installation et tests MUG BALI 2 - FDL019472 => Accepté\r\n- qualification anos liées : Clôture du compte : mention incorrecte dans le texte (ANO055612) / Problème lors de la cloture autonome d\'un compte (ANO056296)'),
(41085, 'rappeler le 02/03/2018 le matin'),
(41086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\npoint avec Jonathan sur monter en charge gereplanification => passages des appels de 5 minutes à 20 minutes'),
(41087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n- points tests VCU / Mise à jour ALM\r\n- entretien candidat intégrateur\r\n- Bug Review VCU\r\n- Analyse problème inscription borne sous IE\r\n- Support métier'),
(41210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n-Ecriture cas de test dans Postman(reprise des tests de Ouafa)\n FALCON USR 2.10 - VCU - Modification Email\nEcriture test BOX : compte joueur'),
(41090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n- Mise à jour catalogue de tests ALM\r\n- Analyse Anos AMEX'),
(41091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n[Convergence] Homogénéisation conf nginx AMEX/Convergence\r\n[Convergence] Installation sur preQ 92 de wars 1.0.10\r\n[Convergence] Investigation sur le probleme d\'installation via drush de wars'),
(41092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[Convergence] Ajustement de la configuration nginx\r\n[Convergence] Installation sur INT82 de la nouvelle configuration nginx\r\n[Convergence] Analyse de la configuration a mettre en place pour lsyncd'),
(41093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n[Convergence] Installation 1.0.10 wars sur le front preQ 92 pour l\'api\r\n[Convergence] Documentation sur confluence de la procédure d\'installation et creation d\'un minion\r\n[Convergence] Industrialisation de l\'installation et configuration de lsyncd sur les environnements convergence via SALT'),
(41134, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nContribution des jeu SU3, XR1 et MR1 sur INT21\nRédaction doc de formation \"contrib\"'),
(41129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nAcceptance SU3'),
(41098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nContrib et acceptance des jeux XR1 et MR1\n'),
(41097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n-'),
(41110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n[V16 / 16.5.2 b 519 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes: ARJEL PASPMISE + PASPGAIN + PASPANNUL)'),
(41111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n[V16 / 16.5.2 b 519 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes: ARJEL PASPMISE + PASPGAIN + PASPANNUL)'),
(41106, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n[OLC] Synchronisation avec le DBA via DMT DMT0019355  puis abandon car la FDL FDL019267  mentionnée n\'etait pas un prerequis confirmé par lync par Thomas Hellier'),
(41943, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[V16 / 16.5.2 b 519 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes: ARJEL PASPMISE + PASPGAIN + PASPANNUL)'),
(41113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nRAM.004 - SID Commercial : FDL019421 installation sur TR2'),
(41114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nMCO Courtage_Commercial TR1 : Analyse des installations Saga pour identifier les manques sur le TR1.'),
(41119, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nCOPEX : Installation FDL019451 sur TR2'),
(41120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nRAM.004 - SID Commercial : FDL019421 repro TR3'),
(41123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41126, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41132, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41136, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nconvergence variabilisation'),
(41138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n- [SALT] Merge branche feature-new-prf2 dans maste et develop\r\n- [SALT] Merge branche develop dans les features\r\n- maj swagger 5.0.0_mrcd\r\n- investigation absence promo amigo en prod\r\n- maj swagger-ui 3.11.0\r\n- support dev pour evolution apimaitre Illiko\r\n- support stream boutique pour gestion branches bali, roma, vnus'),
(41139, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n- qualification livraison edwan 4.5.14\r\n- création ANO056914 [AMIGO] 6eme numéro bonus pour rang CB6 non archivé\r\n- maj configuration du broadcast pour Amigo\r\n- maj swagger digishop-i 7.3.0\r\n- maj swagger digishop-a 7.3.0\r\n- maj swagger digishop-u 7.3.0\r\n- support équipe perf pour maj branche GIT\r\n- [SALT] contrôle branche feature-new-prf2 livrée par la perf'),
(41140, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n- qualification livraison edwan 4.5.14\r\n- point avec stream native pour consommation du service de resultats Amigo avec promo\r\n- maj de configuration palier amigo sur int21 pour synchro amigo\r\n- maj tests postman sur appcatalog 1.7 de prod\r\n- pb remonté de foreign key lors de la création table promo\r\n'),
(41141, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n- création ANO056822 [AMIGO] Problème de correspondance dans la table rang\r\n- alerte remontée aux streams sur gestion des promos dans le flux flp1.2\r\n- qualification boutique digishop-game palier amigo\r\n'),
(41143, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - CALYPSO v13.10.2 / paramétrage des regroupements Numéro Fétiche Vendredi 13 avant le 22/03/18 - Documentation BGR.047.31 [ME] GRATTAGE-Installation CALYPSO_Livraison_12_v1.0.doc'),
(41144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - RDI 1.1 VSR - FDL019273 - SAGA TRV2 - Installation GAP - Partie 1'),
(41145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - RDI 1.1 VSR - FDL019273 - SAGA TRV2 - Installation GAP - Partie 2 et Livraison MOD013456 et MOD012476'),
(41147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nFDL019436'),
(41148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nFDL019410'),
(41149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nFDL019474'),
(41150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nCreation tests auto postman pour api mrcd evaluate'),
(41151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nBCO.060.080 [REM] RAINBOW LOT 4 - FDL012919 - ETL_REFERENTIEL : [Rainbow 4] WKF_R_SAGA_CHARGEMENT_REFERENTIEL'),
(41152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n- Daily\r\n- Qualifs applis natives amex\r\n- ANO056940, ANO056941, ANO056956'),
(41153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nLRT -SRC -WSA'),
(41156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nValidation avec Philippe'),
(41157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nLRT -SRC -WSA'),
(41158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nRéunion avec Philippe\r\n'),
(41159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nRéunion Marché Cnaf'),
(41160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nRéunion : Statut du marché CNAF lot4'),
(41161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nDev API Falcon : Correctif sur la fonction de génération par défaut des information d\'authent dans le flux de sortie des scripts Falcon\r\nCorrectif sur la génération par défaut des information d\'authent dans le flux de sortie des scripts Falcon'),
(41162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nEvolution sur API tronc commun : FDJ_DBRequest_Database_Param : Gestion d\'un attribut facultatif FDJTargetEnvName permettant de constituer l\'alias de la base alternativement au FDJIntNo\r\nEvolution sur les scripts auto transvser dbselect* pour ajouter ce nouvel attribut FDJTargetEnvName \r\n'),
(41163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nMise à jour  de la collection PostMan de qualification PMS et de ses variables d\'environnement pour permettre son utlisation sur INT0'),
(41164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n	Convergence Variabilisation symfony'),
(41166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nmise au point de la campagne de test PMS pour prendre en charge les erreurs inattendues qui bloquent la campagne\n[Comité Dev API]\nsupport implémenteur sur script Box'),
(41167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nAide à l\'analyse du SAXO INC0408103'),
(41169, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nCoco Reunion Retro \r\nJenkins / ALM génération des campagnes d\'acceptances Digishop A et I'),
(41170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nInstallation dighishop A , I , U INT91\r\nPostman récupération des collections / tests manuels / Auto après lancement jenkins\r\n\r\n'),
(41171, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nRéunion Planning avec scrum master\r\nModifs branch salt/git \r\nLancement de campagnes Digishop I A, ALM vérif\r\n'),
(41172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n'),
(41173, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nCoco MIGO - suivi d\'incident composants sur navigateur IE mini-site affichage page souscription\r\nModifications salt/git merge sur les branches après modifications des specs properties et versions'),
(41174, 'Modif charge init car rajout du filtre sur rubrique Paiements et Créances'),
(41782, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nFormation avec Dhira outils git diff lors des merges branches conflits de fichiers\n voir avec Mathieu pour la MEP si préparation à faire'),
(41181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nDaily meeting 30 min\nDémo sportail 1.0.22\nRecherche des ralentissements sur le sportail\nInstallation avec la perf de INT51, échange sur les problèmes de ralentissements\nEchange sur la méthode de déclaration des TMS dans le sportail.\nMaj conf salt pour déploiement wcart 1.0.15, wpsel 1.0.14 et sportail 1.0.22 sur INT41.\nQualification ano Sportail.'),
(41180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nDaily meeting 30 min\nRéunion avec les devs sur les différents pour AMEX.\nEchanges sur les problèmes sur la configuration nginx digishop a, u et i ainsi que pour mapi pour les versions falcon 2.8, 2.9 et 2.10 (3h) --> Finalement on décide de conserve l\'intégralité des services --< Maj conf dans branche feature-amex + test PSEL Preview INT6 et déploiement sur les groupes psel_alli61 pour sécuriser la démo du lendemain.\nDémo de l\'outil d\'analyse des flux réalisé par Etienne.'),
(41186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nProjet AMEX - avancement des différentes tâches --> régler commit git de la conf jmxtrans-metrologie de perf --> création ano pour erreur TMS 95. Fin qualification ANO....'),
(41188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nDaily meeting 30 min,\nSuite mise à niveau conf amex dans la branche feature-amex pour l\'intégralité des environnements d\'intégration ainsi que la perf.\nAjout conf digishopp (tomcat + digishopp + jmxtrans) sur l\'intégralité des environnements d\'intégration.\nRéinstallation modulaire INT0.\nInvestigation sportail.\nAnalyse mise en place FAQ'),
(41187, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nAvancement projet AMEX.\nAnalyse ETAG serveur nginx psel et sportail suite à la demande du dev, il est bien géré.\nVérification appels de service digishop , mapi et mig déclarés dans la conf nginx PSEL --> maj de la conf (ajout des nouveaux services et suppressions des services absolètes) en me basant sur la configuration apache PSEL du projet VNUS.\nMerge de la branche feature-amex dans la branche inst-vnus-amex.\nRéinstallation INT0 et INT4\nPréparation conf pour INT9.'),
(41190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nMise en place plan test LR + tests CU cas nominaux'),
(41191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nTests CU nominaux LR'),
(41192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n'),
(41193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nDéveloppement évolution illiko API APM'),
(41194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 KO ANO056689 // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(41286, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[Convergence] Correctif de la formule salt lsyncd + test\n[Convergence] Aide julien sur la formule symfony\n'),
(41206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nsuite à anomalie bloquante de production'),
(41204, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nProblème coté site web de vtf (corrigé par mael)'),
(41205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nsuite à anomalie bloquante de production'),
(41237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nRAF - Revue de code par Geoffrey'),
(41208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nsuite à anomalie bloquante de production'),
(41211, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nEcriture test BOX : compte joueur \r\nExécution de la compagne  02_ IQ_RUN02_VCU_BOX_Evol_Compte Joueur'),
(41215, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(41216, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nMCO - EGIDE'),
(41217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nMCO'),
(41219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Modification et correction des chaines SAGA sur TRV1'),
(41220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n BCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI) '),
(41221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nANVCTX preparation livraison'),
(41222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nANVCTX Livraison et COMIP'),
(41223, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE installation FDL019086 sur Trv1 INT3EGID'),
(41224, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Investigation avec SOPRA pb WS post installation EGIDE 4.80 avec RDI et cautionnement + préparation des test cautionnement pour SOPRA (création de 8 PDV)'),
(41225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[OLC] Revue d\'anomalie'),
(41228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[OMNICANAL] Investigation sur la remontée du CA_JASON dans l\'infocentre EGIDE via CALYPSO demandes de Nicolas Bartolini + mise a niveau ALM + revue anomalie avec Marie bastide'),
(41232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - RDI 1.1 VSR - FDL019273 - SAGA TRV2 - Installation GAP - Partie 3 : Reproduction environnements TR1, TR4 et TR5.'),
(41233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nevamailservice lancé plusieurs fois : correction et mise en place d\'un batch pour traiter le pb'),
(41234, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nBPS.057.32 [ARCH] OMNI-CANAL SPORT - FDL019486 Omnicanal sur TR3'),
(41235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nCR'),
(41238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n'),
(41261, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nPlanning'),
(41240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nRAF - Revue de code par Geoffrey'),
(41241, 'Exemple de facture généré par eloquence avec siret et autre'),
(41242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[SPEED UP] Test des anomalies Baseball sur INT8 - Live\r\n\r\nHOST: agpadmi81\r\nSITE: fdj2-origin_release_16-106\r\nABP: 14.1.32.3-SNAPSHOT 54\r\nMOBILE: origin_release_8\r\nARGUS: 14.1-125\r\nPLATFORM: 1.0.186'),
(41245, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\ncréation de CARD dans la base INT1 pour permettre le bon déroulement de la campagne PMS sur INT0\nCréation du bloc d\'inscription compatible Falcon VCU  pour GenericFalconPMSScenario'),
(41244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n[RAM004] analyse de INC189891 Création de l\'ANO057010'),
(41246, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nApres vérifications des batchs, tout semble OK.\r\nLe chargement du calendrier est effectué vers 1h dans Evasion, et le site le récupère via l’appel au flux aListeDispos à 05 :10 \r\nPour info, ils ont commencé à appeler le flux aListeDispos à partir du 21/02.\r\nJ’ai effectué un test sur le site ecole, et le calendrier proposé pour Bandol est correct.\r\n'),
(41247, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nProblème Elodie Gevaudan INC000001643891'),
(41248, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C  - Ajout des certificats racine INTEG_FDJ sur les serveurs selligent et test WS RDI CAUTIONNEMENT en HTTPS sur TRV1'),
(41249, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(41250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - CSAM Sign&GO configuration d\'un partenaire Porto-Int8'),
(41251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nRelecture SFD carto'),
(41252, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nWVA  - WSE - WSC - WPA'),
(41253, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n'),
(41254, 'dans branche D2005_18.1.0_003'),
(41255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n'),
(41256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nTL - Entretien Annuel Billal + Johan'),
(41257, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nPréparation'),
(41258, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nAvant-Vente - Construction WBS'),
(41259, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nAvant-Vente - Construction WBS'),
(41260, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nFin de prestation'),
(41262, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nSID Commercial - RAM.004 : Qualification + PV (FDL019421)'),
(41263, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n'),
(41266, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nAssistance HIA : incident GRANT VEGIDE'),
(41267, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nCOPEX : FDL019493 et FDL019494 - Installation sur TR2. Incomplète car Check d\'intégrité et droits non conformes. Deux DMT en cours. + investigation sur les nivers Marketing Grattage.'),
(41268, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n- Point BU Sport\r\n- Point Dév, Front, back\r\n- Acceptance nouveaux composants du sprint\r\n- Install composant transverse INT4\r\n- Qualif anos sprint précédent'),
(41290, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 En cours // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(41270, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n[V16] Campagne de NREG V16 sur INT0\r\nHOST:           agpadmi01\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 519\r\nCMS:            fdj_cms-master-253\r\nMETAL:          fdj-165-v1.0-15\r\n\r\n'),
(41271, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Cas de création & de cession :'),
(41272, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\nMCO pas de code tiers, investigation sur SAGA'),
(41273, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Cas de Test pour la cession GCJ'),
(41274, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nMCO sur Tr3 +  Analyse & Reprise de donnée Egide'),
(41277, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 1 INT3  - Création de cas test pour la création de PDV '),
(41279, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Création de cas de test pour la cession de PDV avec GCJ + Creation cas de test pour la création de PDV\nSuivi des cas de test'),
(41281, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 4 INT9  - Suivis  cas de test Création  PDV avec Doublon/Suspicion de doublon - Support pour SOPRA '),
(41282, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Suivis  cas de test cession/Création  GCJ\r\n'),
(41283, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nMCO Egide - Analyse du I3CTC-SAG_EXT_SIF-060-WKF avec Richard'),
(41284, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Création de cas de test pour la cession  GCJ - Création de PDV - Support SOPRA\r\n'),
(41302, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n[OLC] Saisie et exécution de 6 cas de test'),
(41287, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n[Convergence] Correction lsyncd.conf\r\n[Convergence] Gestion de la rotation de log lsyncd avec SALT\r\n'),
(41289, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n[RAM004]Installation FDL019500 sur TR3'),
(41291, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nTest + point tel avec nacera : elle doit relancer un jeu de test'),
(41292, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\npoint avec damien et jonathan'),
(41293, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nSAFERGAME : Installation FDL019484 SQL, FDL019501 Cognos sur int2'),
(41570, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nCréation de l\'appel de service xeres/keep et parce de paramétrés sur la prise de jeux'),
(41571, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nAtelier PDJ'),
(41572, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nmise a jour d\'appel de services'),
(41574, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nReorganisation de fonction Amex'),
(41954, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nMise a jour de l\'appel de service AccAccountIdFavourites'),
(41300, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nMise en place Plan tests LR - couverture exigences'),
(41301, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\npréparation ATF3'),
(41311, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n[OLC] Installation des FDL015499 et FDL019511 sur le TR2'),
(41308, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n'),
(41309, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\n'),
(41307, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nSAFERGAME : Création ANO057063 + mode opératoire pour HIA pour MEP vue SAGA FDL019503'),
(41310, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n[OMNICANAL] Point livraisons/versioning SID Client et impact avec les différentes MEP à venir'),
(41312, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nEgide sur TR2 & TR3'),
(41313, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Suivis  cas de test cession/création sur TR3 - OPP du 28/02 & 01/03'),
(41314, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Qualification transverse 1 INT 3 - Execution cas test NR - Création PDV jusqu\'à OPP - Création Enseigne de type Intégré'),
(41315, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  -Investigation de cas simple sur les 64 cas de test avec Richard'),
(41316, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Ajustement cas de test HP ALM - test plan + test lab NR \"CISNR002 -R1- Création d\'un PDV en mode de distribution DI et agrément LOT\" + \"[1][EGI] 020_Gestion de l opportunité - Création pdv non cautionné (Secteur DI agrément LOT)\"'),
(41318, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Création Cas de test création de PDV/OPP -  Préparation stratégie de test cas de cession'),
(41319, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n'),
(41326, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n(1) Extraction quotidien des Incidents\n(2) RAM.004 Gestion des problèmes et maintenance corrective - FDL019500 - Apport Documentaire à David Steve DIGEON sur une installation Saga v6.22 / création département et région Mayotte'),
(41321, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41322, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41601, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41324, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nExtraction quotidien des Incidents'),
(41325, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41327, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBPS.057.32 [ARCH] OMNI-CANAL SPORT - FDL019486 - ANO056935 - Installation Saga v6.23 / Omnicanal / pop-up GCJ affichée aussi en cas de sélection Ttes gammes sur TRV1 (INT1SAGA) et TRV3 (INT3SAGA).'),
(41328, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\ninscription joueur PDV pour VCU dans la VDE\r\n[Inscription et Authentification joueurs Retail VCU]\r\n[Dev VuGen - Point hebdo]\r\nSupport implementeurs notamment : script transverse pour campagne ARJEL : modiif du script mdification_info_complementaire\r\nSupport sur script Motors contrôlé HAPPY DES\r\nCreation ANO sur service PMS d\'allocation de carte NFC'),
(41329, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - FDL019273 - MOD013456 + MOD012476 - Installation scripts Saga / RDI 1.1 / palier 1 post-MEP sur TRV4 (INT4SAGA)'),
(41330, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41331, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41332, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41333, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(41336, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nMise en place de la protection contre XSS'),
(41335, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nA livrer'),
(41337, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nIdentification données de prod pour tests de migration suite à extraction'),
(41338, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nIdentification données de prod pour tests de migration suite à extraction'),
(41562, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nTests de migration ABP V14-> V16 statiques'),
(41561, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nTests de migration ABP V14-> V16 statiques'),
(41563, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nTests de migration ABP V14-> V16 statiques'),
(41343, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nSAFERGAME : Installation FDL019484 SQL, FDL019501 Cognos sur int4'),
(41344, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nSAFERGAME : Assistance HIA, installation i2 en prod'),
(41345, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n'),
(41346, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n'),
(41348, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(41692, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution QUALIF CAMCA détection et création d\'une ANO057093'),
(41350, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[Convergence] Optitmisation de la formule salt\r\n[Convergence] Mise a niveau de la conf int92 avec int82'),
(41351, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nMaintenance de scripts Postman pour acceptance falcon'),
(41353, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nmaintenance de scripts Postman, de configuration d\'environnement Back\n'),
(41359, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(41363, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[OMNICANAL] Revue avec le Responsable applicatif du SID CLIENT (P. TAN) des anomalies a relivrer en version CRM 8.1.4'),
(41356, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nréunion référent CIQ SID Commercial + SID Client'),
(41357, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[RAM004] Fourniture d\'éléments sur l\'anomalie ANO057010 - INC189891'),
(41358, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nINC189891 complément d\'analyse'),
(41360, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-26  (Do not remove this line) -->\n'),
(41361, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n'),
(41365, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[BGR.045.32 [JEU] PROMOTIONS COPEX GRATTAGE ] Support création des tables de sauvegarde calypso TR2'),
(41366, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[OMNICANAL] Support recette sur les anomalies ANO057135, ANO057138, ANO057105'),
(41432, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nOMNI-CANAL : Réunion d\'étude sur univers PDVDETA pour faire apparaître le CA  Jason'),
(41368, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nMCO Court_Commercial'),
(41431, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nIntervention sur la demande RTASK0098797'),
(41430, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nCautionnement : Recherche de données dans SAGA sur TR1'),
(41429, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nCOPEX : Support installation FDL019492 sur TR2'),
(41372, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\npoint avec marc + prepar et test paiemnt sur environnemnt bdd sql ecole'),
(41433, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nOMNI-CANAL : Traitement de la DMT0019327 transfert des Tiers au SIFI sur TR1.'),
(41374, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nDéveloppements :\r\nPHP-1061 [APP FDJ] Modification get home pour illiko\r\nAnalyse :\r\nPHP-1062 ANO050382 [HASARD] Contenu du pop-up webTV différent suivant le lien d\'origine'),
(41440, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nTests d\'acceptance WSPDI 1.0.9 sur INT1 (FDL019398) -> OK ; Création des ANO de PROD pour le problème de création d\'ebulletin entre minuit et 1h : Android -> ANO057094 et pour IOS -> ANO057096 ; Tests de qualification MUGO 1.2.2'),
(41498, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nTests acceptance PSPDV Android 5.0.17 (FDL019556) ; Tests acceptance PSPDV IOS 5.0.20 (FDL019555)  ; A compléter'),
(41381, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nA compléter'),
(41382, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n'),
(41386, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nsupport aux implementeurs (Motors, Falcon)\r\nCorrectifs sur scripts Falcon lostPassword et relivraison dans ALM\r\nmise à jour de la collection PostMan de validation PMS INT0 : remplacement des login/password par défaut de l\'opérateur, injection de cartes NFC et tentative d\'exécution de la collection, reste à voir un blocage lié a l\'absence de cartes en status ALC'),
(41388, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nDiverses demandes liés a access (infocentre)'),
(41419, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nRequête listant les décalages entre les règlements et les dossiers'),
(41437, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nModification Bouchon pour gestion simultanée V5.8 et V5.9.\nAssistance recherche sur cas de Prod'),
(41517, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nDéveloppements :\r\nPHP-1061 [APP FDJ] Modification get home pour illiko'),
(41393, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nTravail sur les enchaînements pour générer une page de synthèse regroupant tous les éléments nécessaires a la génération des dossiers'),
(41394, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nposte de Aude'),
(41396, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n- Création de l\'ANO057059 : [AMEX][IOS] Message informatif erroné lorsque le backoffice répond en erreur\n- Rapport semaine 9\n- Etude comportement aux limites lorsqu\'il n\'y a pas d\'offre\n- Dysfonctionnement => CCR'),
(41398, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n- Tests aux limites lorsqu\'aucun lve\n- Ano sur l\'appel next non implémenté sur le natif\n- Test acceptance natif\n- Bug review natif\n- Problème back sur la remontée d\'info à l\'ouverture d\'un live'),
(41402, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nSAFERGAME : Mise à jour des chaînes control-m BETSYS/RDST iso-prod sur int2 avec l\'aide d\'HIA (qui a les droits pour faire les modifs dans control-m)'),
(41506, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nSAFERGAME : Analyse de l\'ANO057063 + envoi de logs à IBM + reprise de données betsys/rdst sur int2'),
(41404, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\ndésalotenment'),
(41406, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nalisteprestationannexe'),
(41408, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\nrelance'),
(41409, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-27  (Do not remove this line) -->\nstat reglement'),
(41410, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(41411, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[OMNICANAL] Installation des FDLs  FDL019429 et FDL019525 sur le TR3'),
(41417, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[BDI.055.31 [PTF] CRM] Installation de la FDL019444 sur le TR2'),
(41416, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nProbleme de decompo sur les remises'),
(41418, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nPoste de Aude'),
(41420, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nprobleme de compta VTF'),
(41421, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nPrise de connaissanse sur le pb de Julie : factures longues'),
(41731, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n'),
(41423, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nPrise en compte retours GPMM suite au CRR'),
(41424, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nSFD LR Lot3 maj EA'),
(41425, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nRedaction doc pour retour maquettes Tekoway'),
(41426, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nOMNI-CANAL : Installation FDL019147 sur INT4ETL9'),
(41427, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nOMNI-CANAL : Installation FDL018894 sur INT4CALY'),
(41529, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nOMNI-CANAL : Exécution de la campagne de test CISNF001-R1-CALYPSO-Chargement du CA JASON'),
(41547, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nCorrection :\nPHP-774 [ANO050350] [HASARD] Intitulé des vidéos de tirage du jeu JOKER+'),
(41447, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[Convergence] Configuration du dossier files sur les fronts\n[Convergence] Documentation du process d\'installation annexe star/wars apres SALT'),
(41436, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n'),
(41438, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n'),
(41497, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[PSPDV] Modification des catalogues versionnés pour ajouter le bloc \"adjust\" (pour le tracking) ; [OMNICANAL] Support pour problème de prise de jeu ; [PDV] Problème pour scanner le QRcode chez un détaillant en PROD (investigation)'),
(41442, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[PSPDVA] Rédaction des tests sur ALM ; Tests de qualification MUGO 1.2.2 ; [PSPDV] Construction d\'une base pour les tests sur les paris annulés passant à perdu'),
(41446, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nMise à jour des scripts auto ITF, ITF Admin, Motors pour ajout le DefaultStepType dans le .param\nSupport implémenteurs sur scripts et services Falcon\nDev Script auto (palier VCU) pour le service PMS GET /pms/account-trusted/accounts afin de l\'implémenter en block pour constituer l\'étape préalable de récupération du SubscriptionId du joueur inscrit et permettre l\'activation de sa souscription avec un seul scénario'),
(41449, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBGR.045.32 [JEU] PROMOTIONS COPEX GRATTAGE - MOD013364 - FDL019492 - Installation Calypso v14.0 / Copex grattage / base arca : correction sn_emission_loterie et migration habilitations'),
(41450, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nRAM.004 Gestion des problèmes et maintenance corrective - MOD013840 - FDL019500 - Installation (TR1-TR2-TR3-TR5) Saga v6.22 / création département et région Mayotte avec David Steve DIGEON'),
(41451, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nValidation fonctionnelle'),
(41452, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nValidation fonctinnelle'),
(41455, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nCOPEX : FDL019493 contrôle d\'intégrité des univers PDVDETA - APDVDETA et DELEGUES'),
(41456, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nMCO Court_commercial'),
(41457, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nOMNI-CANAL : '),
(41458, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n Modification cas de test pour VNUS\r\n Support Khaoula '),
(41462, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nModification cas de test pour VNUS\n Support Khaoula\nRéunion équipe Test Auto et VNUS'),
(41461, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nModification cas de test pour VNUS\r\n Support Khaoula \r\n Analyse Acceptance FALCON USR 2.10.1'),
(41729, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nModification cas de test pour VNUS\n Support Khaoula \n Analyse et rédaction du rapport : Acceptance FALCON USR 2.10.1'),
(41464, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nDéfinition POC PDJ coordonnée multi-joueurs pour MTP.'),
(41465, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nElaboration POC PDJ coordonnée multi-joueurs pour MTP. Dev VuGen - Point hebdo. Gouvernance Tests Front - Outillages - Automatisation.'),
(41466, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nElaboration POC PDJ coordonnée multi-joueurs pour MTP.. [GAMIF] Revue des questions et matrice des cas MAW. '),
(41467, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[MULTIPASS] - Stratégie de test. Elaboration de la présentation besoin en outillages de test pour PDJ MTP. Serveur SSE node.js pas assez performant pour POC, recherc he de solutions alternées.'),
(41468, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nImplémentation campagne V16'),
(41469, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nCadrage Qualif Multipass. Elaboration serveur SSE pour validation du POC PDJ MTP.'),
(41470, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nImplémentation campagne V16'),
(41472, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nImplémentation campagne V16'),
(41473, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nImplémentation campagne V16'),
(41474, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nSIDCOM TR2 OK // SIDCOM TR3 OK // SIDC TR1 KO pas de donnée VCU obligatoire entrainant le plantage du flux L_SIC_INFOS_JOUEUR // SIDC TR2 OK // SIDC TR3 OK'),
(41516, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nEcriture procédure de rattrapage des uacid non chargés lors de la MEP'),
(41481, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nImplémentation de cas de test pour la Palier VNUS.Formation Khaoula El Rhozlane.Revu Maintenance du catalogue ITF.Préparation de la campagne d\'acceptance Falcon USR 2.9.6 sur INT7.'),
(41482, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nLancement campagne d\'acceptance falcon USR 2.9.6 sur INT7. Analyse des tests failed et blocked'),
(41483, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nLancement campagne d\'acceptance falcon USR 2.9.6 sur INT7. Analyse des tests failed et blocked. Envoi du rapport. Maintenance des tests en 2.9 Palier ROMA. Qualification d\'anomalie demandée par Mael. Revu Maintenance du catalogue ITF. Formation Khaoula El Rhozlane'),
(41486, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nconvergence variabilisation symfony');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(41487, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nconvergence variabilisation symfony'),
(41488, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nconvergence variabilisation symfony'),
(41490, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nSprint planning + FDL019526 Edwan'),
(41491, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nFDL019526 Edwan'),
(41492, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\npréparation du modop pour la mep palier_USR 2.9'),
(41493, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nInstallation sur INT1 : USR - BOX - PMS\r\nPréparation du modop pour le palier USR-2.9'),
(41494, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nInstallation falcon-gateway\r\npréparation du modop pour le palier usr-2.9'),
(41629, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nDiff sur les nouvelles version Falcon deployées 1.0.6 // 1.0.5 et  1.10.2 // 1.10.1 (USR, Trusted, PMS, TMS, RTL)\nGénération API USR 2.10.2 et merge des databuilders'),
(41630, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nmerge API USR 2.10.2-1 pour les requesters\nGeneration PMS 1.0.6-2, RTA 1.0.6-2, TMS 1.0.5-1\nDev script auto : mise a jour des scripts Falcon pour nouvelles version USR 2.10.2 et PMS 1.0.6'),
(41544, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[RAM004] Support post installation de la FDL019444 sur la production: Vérification sur la base YTIX du chargement des segmentations suites aux consignes d\'installation sur la production du workflow L_INF_SEGMENT_PDV'),
(41508, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[BSO.001.31 [STREAM] SID COMMERCIAL] Traitement de la DMT0019355 avec HIA SGBD en l\'absence de Philippe Leleu'),
(41502, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et les tests manuels BOX sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.0).'),
(41503, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et les tests manuels BOX sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.0).'),
(41505, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nEcriture des tests sous POSTMAN et les tests manuels BOX sur le projet VCU (Palier VNUS).\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.0).\nExécution des campagnes de tests POSTMAN du palier ROMA sur INT1 (USR 2.9.6).'),
(41510, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nSAFERGAME : Mise à jour DTE en V1.6.6 + PV de qualification en vue de MEP pour la FDL019484 + Création ANO057224'),
(41513, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(41511, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(41512, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(41514, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(41515, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(41545, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nCorrection :\nPHP-774 [ANO050350] [HASARD] Intitulé des vidéos de tirage du jeu JOKER+'),
(41520, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nMCO Court_Commercial : Correction du job en erreur I1_Saga_Rejets_Territoire et analyse d\'un décalage sur les traitements des jobs I1_Saga_Proto_IBM_JOUR et I1_Saga_IBM_Juridique'),
(41521, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL019550 sur BO TR3'),
(41522, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL019551 sur BO TR3'),
(41524, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[V16] NREG V16 sur INT0\nHOST: agpadmi01\nPLATFORM: 1.0.187-SNAPSHOT\nABP: 16.5.2-SNAPSHOT 519\nCMS: fdj_cms-master-253\nMETAL: fdj-165-v1.0-15\n\n[SPEED UP] Migration des MODs V14 en V16'),
(41525, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[V16] NREG V16 sur INT0\r\nHOST: agpadmi01\r\nPLATFORM: 1.0.187-SNAPSHOT\r\nABP: 16.5.2-SNAPSHOT 519\r\nCMS: fdj_cms-master-253\r\nMETAL: fdj-165-v1.0-15\r\n\r\n[SPEED UP] Tests Baseball live sur INT8\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_16-106\r\nABP:            14.1.32.3-SNAPSHOT 54\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n'),
(41526, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[V16] NREG V16 sur INT0\r\nHOST: agpadmi01\r\nPLATFORM: 1.0.187-SNAPSHOT\r\nABP: 16.5.2-SNAPSHOT 519\r\nCMS: fdj_cms-master-253\r\nMETAL: fdj-165-v1.0-15\r\n\r\n[VCU] Vérification des tables ETL sur INT9\r\n\r\nHOST:           agpadmi91\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 552\r\nCMS:            fdj_cms-master-249\r\nMETAL:          fdj-165-v1.0-7\r\n'),
(41530, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nOMNI-CANAL : Exécution de la campagne de test CISNF001-R1-CALYPSO-Chargement du CA JASON'),
(41541, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[BSO.001.31 [STREAM] SID COMMERCIAL] Installation de la FDL FDL_19267_SIDCOM_DBA_v18.04 sur le TR3'),
(41533, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[OMNICANAL] Support recette sur une anomalie a venir sur la non cumul des versement CB sur borne olympia (ANO057157 )'),
(41535, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[BDI.055.31 [PTF] CRM] investigation sur la remontée des données suite à l\'Installation de la FDL019444 sur le TR2'),
(41939, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[RAM004] Support post installation de la FDL019444 -ANO057010 - INC189891 / INC190089 sur la production'),
(41548, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nvie des environnements : VCU'),
(41549, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nvie des environnements VCU'),
(41550, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\ntests auto batch VCU'),
(41551, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\ntests auto batch VCU '),
(41552, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\ntests auto batch VCU '),
(41554, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n- développements de tests auto IHM MIGO VCU'),
(41558, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nFormation Khaoula El Rhozlane. Revu Maintenance du catalogue ITF. Péparation de la campagne de non régression falcon usr 2.9.6 sur INT1. Fin du palier ROMA. VNUS : Implémentation des cas de test joueur retail pour les moteurs de jeux. Implémentation pour ITG.'),
(41556, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n- développements de tests auto IHM MIGO VCU\r\n- livraison des tests \r\n- Accompagenement sur la synchronisation des tests et l\'execution des tests IHM Marouan'),
(41557, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n-Correction du bug lié à l\'execution des tests sous IE '),
(41559, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n- développements de tests auto IHM MIGO VCU'),
(41560, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n- développements de tests auto IHM MIGO VCU'),
(41565, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[Convergence] Reunion planning sprint\n[Convergence] Deploiement et intégration mapi/mrcd/mobi sur INT82'),
(41566, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\ntest de l\'installation après changement de version de wsa et grc'),
(41628, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n[Convergence] Ecriture des tests nominaux postman pour les widgets/composants'),
(41568, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nSI Manifeste'),
(41569, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nSI Manifeste'),
(41573, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n'),
(41576, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nSAFERGAME : Analyse et recyclage des rejets de la reprise de données sur int2 + basculement des données dans la base archive'),
(41578, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL, échanges avec le métier sur les impacts'),
(41579, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL, échanges avec le métier sur les impacts'),
(41580, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL, échanges avec le métier sur les impacts'),
(41581, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[VEGA] Lecture de la documentation, écriture des exigences, diagramme de syntaxe ARJEL, échanges avec le métier sur les impacts'),
(41582, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n[VEGA] Atelier ARJEL'),
(41583, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nMerge 1.12.1 vers 1.14.5'),
(41584, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nMerge 1.12.1 vers 1.14.5'),
(41586, 'EVAWIN 5.1701.108.0'),
(41587, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-28  (Do not remove this line) -->\n'),
(41588, 'EVAMAIL 5.1700.6.0'),
(41589, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n'),
(41590, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nMontée en compétences sur la contribution EDWAN\r\nJ.Quessada \r\nJeux ITG'),
(41591, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nMise a jour et execution de campagne de non regression \r\nJEU : HAPPY DES PRINTEMPS INT8 MOTORS\r\n400 cas de tests '),
(41592, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nMise a jour et execution de campagne de non regression \r\nJEU : HAPPY DES PRINTEMPS INT8 MOTORS\r\n400 cas de tests '),
(41593, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nMise a jour et execution de campagne de non regression \r\nJEU : HAPPY DES PRINTEMPS INT8 MOTORS\r\n400 cas de tests '),
(41594, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nMise a jour et exécution de campagne de non regression \r\nJEU : HAPPY DES PRINTEMPS INT8 MOTORS\r\n400 cas de tests '),
(41595, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-19  (Do not remove this line) -->\nMPD'),
(41596, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-20  (Do not remove this line) -->\nMPD'),
(41597, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-21  (Do not remove this line) -->\nMPD'),
(41598, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-23  (Do not remove this line) -->\nMPD'),
(41603, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nBPS.057.32 [ARCH] OMNI-CANAL SPORT - FDL019550 - MOD013893 - Evolution PdvDeta : Faire afficher le CA Jason avec Valérie VABRE'),
(41602, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nVSR RDI 1.1 : DMT0019609'),
(41604, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nOMNI-CANAL : Création d\'un rapport BO pour le CA Jason sur TR3'),
(41605, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nAjout Documentaire sur OneNote : ServiceNow Présentation générale + How To - DMT0010825 - Problème configuration SAP BO BI4 - \"Include Synonyms\" (OneNote)'),
(41606, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n(1) PTSK0001629 - V_CA_EXPL_JOUR_TTGAMMES_EGIDE sur le TR3 : Extraire au format CSV le contenu de la table vue V_CA_EXPL_JOUR_TTGAMMES_EGIDE sur le TR3 et de l’envoyer à Ying Yin.\r\n(2) BGR.045.32 [JEU] PROMOTIONS COPEX GRATTAGE : Réattribution Droit BOCALY et BOARCHI sur INT2SAGA via l\'application ADMIN (cf. FDL019492)\r\n(3) BCO.084.34 [REF] DISTRIBUTION V1.1 - FDL019273 : Réinstallation suite à copy de base sur INT4SAGA de base PROD'),
(41607, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nMise à jour du processus MPD\r\nMise à jour des scripts\r\nPréparation de la livraison'),
(41608, 'Version terminée'),
(41609, 'Version terminée'),
(41610, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nImplémentation cas de test Lives( Ajout des checks ARJEL + Ajout plus de PDJ )'),
(41611, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nImplémentation cas de test Lives( Ajout des checks ARJEL + Ajout plus de PDJ )'),
(41612, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nPré-Acceptance  int9'),
(41613, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nPré-Acceptance  int9 + Renommage dans le référentiel de toute la campagne NonReg'),
(42051, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nPré-Acceptance  int9'),
(41615, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n- Petite modif dans les catalogues\r\n- Traces des appels des apps natives amex 2.0.8 et 7.0.019\r\n- Etude du comportement des applications sur timeout des appels mify\r\n- ANO057169, ANO057134, ANO057175, ANO057198'),
(41618, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n- Qualification wpsel timeout\n- Qualification sportail\n- ANO057207, ANO057212'),
(41619, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n- Atelier front, dev, back\n- Qualification sportail'),
(41620, 'Page de première connexion'),
(41622, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nInternationalisation'),
(41623, 'Changer l\'alignement + Rajouter .'),
(41624, 'Numéro de retraité = mauvaise couleur (mettre gris vert)\r\nConfirmation = pas gras + gris normal (idem activation)\r\nTrait entre les 2... Changer la couleur pour tout gris'),
(41625, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-07  (Do not remove this line) -->\n'),
(41631, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nRedaction plan tests '),
(41632, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nRedaction SFD site public'),
(41633, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nEA SFD Site public'),
(41634, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nAide à la validation des correctifs sur CALEXP et ATTNPM'),
(41651, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - MCO & Analyse sur I3CTC-SAG_EXT_SIF-060-WK\r\n'),
(41640, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Analyse et préparation cas de test de cession avec équipement\r\n'),
(41652, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Production - Ecriture d\'un README à fournir pour HIA pour la FDL019044\r\n'),
(41653, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-02-02  (Do not remove this line) -->\n'),
(41654, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Support SOPRA - Suivi cas de test - Création\r\n'),
(41655, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Exécution de cas test sur la création de PDV'),
(41656, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Support SOPRA - MCO - Analyse et Exécution cas de test de cession avec équipement \r\n'),
(41657, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Ajustement cas de test HP ALM - test plan + test lab NR \"CISNR002 -R1- 2xCréation d\'un PDV en mode de distribution DI et agrément LOT\" + \"[1][EGI] 020_Gestion de l opportunité - Création pdv non cautionné (Secteur DI agrément LOT)\"\r\n'),
(41658, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Tr1- Execution cas de test Création d\'un PDV en mode de distribution DI et agrément LOT\r\n'),
(41660, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nInstallation FDLFDL019364_Com_16.3.2 sur TR2'),
(41661, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Support SOPRA - MCO - Analyse et Création cas de test de cession avec équipement \r\n'),
(41662, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Tr3 - Test du contact Enseigne - Pas de code qui retourne\r\n'),
(41663, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Tr1 - Test du contact Enseigne - Pas de code qui retourne\r\n'),
(41833, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 3 INT6  - Support SOPRA - MCO - Suivis cas de test sur la cession avec TERM'),
(41666, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - TR1 - Création test plan + lab HP ALM Test  double opportunité active sur même pdv\r\n'),
(41667, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - TR1 - Ajustement test plan + lab HP ALM sur la cession PDV et ajout  en mode DI \r\n'),
(41668, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - TR1 - Exécution cas de test Cession uniquement LOT + Ajout Uniquement LOT\r\n'),
(41669, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Qualification transverse 2 INT4 - Support SOPRA - Création cas de cession avec Sophie\r\n'),
(41834, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nVérification FDLFDL019364_Com_16.3.2 sur TR2 pour qualification'),
(41853, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nDMT0017334 : Donner les accès aux serveurs unix et aux applications via citrix ADFDJ à l\'équipe IQ CDS ATOS SOP'),
(41852, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nMCO Court_Commercial'),
(41677, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n(1) MAJ Documentaire OneNote par rapport à PTSK0001629\n(2) BPS.057.32 [ARCH] OMNI-CANAL SPORT - FDL019550 - MOD013893 - Evolution PdvDeta : Faire afficher le CA Jason avec Valérie VABRE\n(3) Réunion [RDI1.1] Point de synchro Instal et Tests semaine prochaine'),
(41851, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nOMNI-CANAL : Campagne d\'acceptation de la FDL019550 sur BO TR3'),
(41744, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-01-16  (Do not remove this line) -->\n'),
(41822, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n'),
(41680, '2 soucis :\r\n- quand la page s\'affiche, si on clique direct sur l\'infobulle, ça me le message d\'erreur\r\n- quand on a commencé d\'écrire dans le champ, si on clique sur l\'info bulle... Il reste pas affiché'),
(41683, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n- [SALT] [PROXY] Ajout des variables pour l\'utilisation du proxy\n- [SALT] Merge branch \'develop\' into feature-convergence\n- [SALT] Merge branch \'develop\' into feature-roma\n- [SALT] Merge branch \'develop\' into feature-vnus\n- [SALT] Merge branch \'develop\' into feature-amex\n- [SALT] [DEPLOY][AMEX] Upgrade environment int01\n- maj swagger-ui 3.12.0\n- maj swagger digishop-a 7.4.0\n- maj swagger digishop-i 7.4.0\n- maj swagger digishop-u 7.4.0'),
(41682, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n- [SALT][PMD] Suppression de DefiPmdActive\r\n- [SALT] Maj d\'indentation pour nouveaux services\r\n- [SALT] Merge branch \'feature-indent\'\r\n- [SALT] Merge branch \'feature-indent\' into develop\r\n- [SALT] Merge branch \'feature-indent\' into release-amigo\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-roma\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] Merge branch \'feature-roma\' into inst-amigo-roma\r\n- [SALT] Merge branch \'release-amigo\' into inst-amigo-roma\r\n- [SALT] [DEPLOY][VNUS] Upgrade environment int01\r\n- [SALT] Correction coquille\r\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\r\n- point dev sur évolution service /digishopp/pdv'),
(41684, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n- [SALT] Merge branch \'release-amigo\' into inst-amigo-roma\r\n- [SALT] [DEPLOY][ROMA] Upgrade environment int32\r\n- [SALT] [DEPLOY][ROMA] Upgrade environment int12\r\n- [SALT] Merge branch \'feature-roma\' into inst-amigo-roma\r\n- réunion équipe perf pour worflow git\r\n- création ANO057177 [MRCD] Erreur erronée sur appel mrcd/voucher/evaluate\r\n- maj modop pour Mep Amigo\r\n- pb conf vhost sur palier vnus, remonté aux dev pour correction'),
(41685, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n- pb de delivery remonté aux dev boutiques\r\n- maintenance des branches git'),
(41686, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n- [SALT] Maj salt pour ajout variabl MRCD_TOKEN_VALIDITY_SECRET\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-roma\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] [METROLOGIE] Ajout variable app_user pour metrologie\r\n- [SALT] Merge branch \'feature-metrologie\' into develop\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] [METROLOGIE] Ajout variable app_user pour metrologie\r\n- [SALT] Merge branch \'feature-metrologie\' into develop\r\n- [SALT] Merge branch \'feature-metrologie\' into release-amigo\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-roma\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] Merge branch \'feature-new-prf2\'\r\n- [SALT] Merge branch \'feature-new-prf2\' into release-amigo\r\n- [SALT] Merge branch \'feature-new-prf2\' into develop\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-roma\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Correction top.sls\r\n- [SALT] Merge branch \'feature-prf2\'\r\n- [SALT] Merge branch \'feature-prf2\' into release-amigo\r\n- [SALT] Merge branch \'feature-prf2\' into develop\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-roma\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] [VNUS] Maj specific_Properties.sls sur int01\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] Merge branch \'feature-amex\' into inst-vnus-amex\r\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\r\n- [SALT] [VNUS] Maj digishop versions\r\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\r\n- [SALT] Intégration branche feature-mrcd sur master, develop et features\r\n- [SALT] [DEPLOY][AMIGO] Upgrade environment int81'),
(41687, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n- [SALT] [MRCD] Convert indentation to spaces\r\n- [SALT] [MRCD] Correction indentation\r\n- [SALT] Merge branch \'feature-indent\'\r\n- [SALT] Merge branch \'feature-indent\' into develop\r\n- [SALT] Merge branch \'feature-indent\' into release-amigo\r\n- [SALT] Maj salt pour ajout variable MRCD_TOKEN_SECRET\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-roma\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- support stream boutique pour gestion des branches'),
(41688, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nAide à l\'analyse sur l\'anomalie des attestations de paiement sur la validation avec un allocataire bénéficiaire de la PPA-RSA'),
(41696, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nDIN BCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI) '),
(41693, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(41694, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution QUALIF CAMCA '),
(41695, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution QUALIF CAMCA '),
(41697, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Contribution création des 64 PDV FORMATION sur TRV3 (CSAM - EGIDE)'),
(41698, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Contribution création des 64 PDV FORMATION sur TRV3 (CSAM - EGIDE)'),
(41699, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nDIN BCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(41700, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nBCO.088.37 [STREAM] WEB COMMERCIAL - EGIDE contribution pour test RESOCOM'),
(41701, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nDIN BCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(41702, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - Contribution création des 64 PDV FORMATION sur TRV3 (CSAM - EGIDE)'),
(41703, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nSuite a un pb wof, réacceptance de \r\n- XR1 -  Maxi ruche d\'or\r\n- MR1 - Mini ruche d\'or\r\n- HDA - Happy des\r\n- SU1 - 100ksurprises'),
(41715, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nAnalyse de pb de lancement de jeux sur INT62'),
(41714, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nAnalyse Pb de lancement de GO8 et MG2'),
(41713, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nacceptance de \n- HDA - Happy des\n- SU1 - 100ksurprises'),
(41709, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n-'),
(41710, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n-'),
(41712, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nacceptance de \n- XR1 -  Maxi ruche d\'or\n- MR1 - Mini ruche d\'or'),
(41850, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nVSR RDI 1.1'),
(41717, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nMaj EA et generation doc pour Ref LR Lot3'),
(41718, 'Correction de la typo du message en entête de page'),
(41719, 'Présent sur les deux pages (a l’inscription et a l\'authentification)'),
(41720, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nCorrigé'),
(41723, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nCorrigé'),
(41724, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nCorrigé'),
(41921, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n[VCU] Démo \nEvolution Bouchon pour permettre la résiliation d\'une souscription'),
(41923, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nEvolution Bouchon pour permettre la résiliation d\'une souscription\n'),
(41728, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n.'),
(41730, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nModification cas de test pour VNUS\r\n Support Khaoula \r\nCopro VNUS en remplacement L. Barrière et Boggio'),
(41743, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nCongé'),
(41745, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\ntraitement de jsonarray ect'),
(41734, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nBordeaux Métropole (Préparation Atelier Patrimoine), sur site à Bordeaux'),
(41735, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nBordeaux Métropole (Atelier Patrimoine), sur site à Bordeaux'),
(41736, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nBordeaux Métropole (Atelier Patrimoine), sur site à Bordeaux'),
(41742, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nBordeaux Métropole (Rédaction Support Formation Technique Maximo)'),
(41738, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nCongé'),
(41739, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nCongé'),
(41740, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nBordeaux Métropole (Atelier Patrimoine), sur site à Bordeaux'),
(41741, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nBordeaux Métropole (Finalisation Support Formation Technique Maximo)'),
(41749, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n[V16] NREG V16 sur INT0\nHOST: agpadmi01\nPLATFORM: 1.0.187-SNAPSHOT\nABP: 16.5.2-SNAPSHOT 519\nCMS: fdj_cms-master-253\nMETAL: fdj-165-v1.0-15\n\n[V16] Acceptance Back Manuel INT0\nHOST:           agpadmi01\nPLATFORM:       1.0.187-SNAPSHOT\nABP:            16.5.2-SNAPSHOT 558\nCMS:            fdj_cms-master-254\nMETAL:          fdj-165-v1.0-15'),
(41751, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n[V16] NREG INT0\nHOST:           agpadmi01\nPLATFORM:       1.0.187-SNAPSHOT\nABP:            16.5.2-SNAPSHOT 558\nCMS:            fdj_cms-master-254\nMETAL:          fdj-165-v1.0-15\n\n[V16] Analyse des cas de bug en PROD Foot et Basket  (V14) pour maj des cas de tests V16\n\n[SPEED UP] Suivi des anomalies / modifications V14 migré en V16'),
(41752, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nL\'erreur est sur une fenetre de modif des fiches hotesses qui ne devrait plus etre utilisé => l\'acces à cette fenetre a été supprimé dans l\'application'),
(41753, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\ndevis'),
(41754, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nNTI v2 pour la 18.2.10'),
(41755, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nElaboration matrice couverture exigences\r\nAjout coquilles de tests à rédiger'),
(41757, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nLivraison EA 1.14.5'),
(41758, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nMCO SOP Court Commercial sur TR1-TR2-TR3'),
(42155, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[OLC] Qualification statique reprise du mode opératoire suite modifications du fichier de mapping du DEV'),
(41798, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nMCO SOP SID sur TR1-TR2-TR3'),
(41799, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nMCO SOP SID sur TR1-TR2-TR3'),
(41800, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nMCO SOP SID sur TR1-TR2-TR3'),
(41770, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n(1) Extraction quotidien des Incidents de Production\n(2) Mise à jour documentaire OneNote pour \"How To - DMT0010825 - Problème configuration SAP BO BI4 - \"Include Synonyms\"'),
(41764, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(41765, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(41766, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(41767, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(41768, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nATF 3 LR Lot3'),
(41769, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nBGR.045.32 [JEU] PROMOTIONS COPEX GRATTAGE - MOD013364 - PTSK0001550 - Saisir Campagne ALM sur COPEXGRATTAGE avec Phillippe BEAMONTE'),
(41772, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nAnalyse de ce qui était fait'),
(41773, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nRemplacer le champ text \"RefAbo\" par une liste de société + champ text\nModification de modèles et viewmodèle correspondants'),
(41774, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nFusionner les colonnes Nom et Prénom\r\nTentative de récupérer les données via BD Fidélité echouée\r\n => le module BD-Fidelité n\'était pas référencé dans Orchard'),
(41776, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\ntests postman Digishop 7.4.0'),
(41777, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nImplémentation Campagne V16\r\nExécution campagne Non Reg V16 INT0 '),
(41778, 'Erreur dans le code du champ'),
(41780, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nH1 Définition et signature des objectifs'),
(41781, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n[Convergence] Configuration TMS sur INT82\r\n[Convergence] Configuration APIMAITRE sur int82'),
(41783, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\n'),
(41785, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\npreparation mise en prod vtf'),
(41786, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nGestion RTC + SharePoint (nouveaux users GPMM)'),
(41787, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution QUALIF CAMCA'),
(41788, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI) '),
(41789, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n- Acceptance apps natives Amex\r\n- Traces appels apps natives\r\n- Qualification des anos des sprints précédents'),
(41790, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE installation FDL019552_egide_4.70.02 sur TRV3'),
(41791, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n- Daily\r\n- Qualification amex ios 7.0.020, remontée d\'anos'),
(41792, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nMCO EGIDE'),
(41793, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 -  -EGIDE investigation pb connexion EGIDE RDI suite installation EGIDE 4.70.02'),
(41794, 'MPD mis à jour\r\nScript recréé\r\n=> vérifier le format du fichier'),
(41795, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\ndev API : mise à jour du pre-requis de versement bancaire compatible avec les service VCU (web-deposit)\r\ngestion du scenario d\'inscription de joueur compatible VCU pour PMS\r\najout d\'un bloc de service PMS pour la récupération du subId requise pour valider une souscription sous VCU'),
(42181, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\ndev script auto, modification des information d\'environnement pour DEV0\nmise à jour des scripts FalconBackOffice fixer_solde, IBAN_OK et PI_OK \npublication de ces scrips backOffice\ncreation nouvelle campagne de creation de joueur sur DEV0 dans la viedesenvironnement\n'),
(41797, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nTL entretien + objectifs AMA'),
(42152, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-27  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(42153, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-28  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(42154, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-29  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(42151, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-23  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(42150, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-21  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(41808, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nARJEL : transfert de compétences technique par Pierre P\r\n\r\nréunion : Avancement montée en compétences de Leila sur l\'Arjel'),
(41809, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nARJEL : transfert de compétences technique par Pierre P\r\n'),
(41810, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\n	ARJEL : transfert de compétences technique par Pierre P\r\n\r\n'),
(41811, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nARJEL : réparation du catalogue ARJEL USR / BOX\r\n\r\nreunion : Point Equipe TEST AUTO\r\n\r\nRéunion : [VNUS] Point qualif: avancement, difficultés, questions, etc.'),
(41812, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n	ARJEL : transfert de compétences technique par Pierre P'),
(42149, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-20  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(42148, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nExtraction quotidien des Incidents de Production'),
(41817, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nARJEL : réparation du catalogue ARJEL USR / BOX\n\nRéunion : Point d\'avancement MT Arjel'),
(42147, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nSupport à Rony sur spécification EA des évos 1.15'),
(41818, 'Ajout au rôle Gestionnaire HABPPS des permissions suivantes :\r\n\r\nAdministration Conventions: \r\n        action.AJOUTER_UTILISATEUR_PARTENAIRE_A_GROUPE\r\n	action.CREER_GROUPE\r\n	action.CREER_UTILISATEUR_PARTENAIRE\r\n	action.GERER_APPARTENANCE_A_GROUPE\r\n	action.MODIFIER_GROUPE\r\n	action.MODIFIER_HABILITATIONS_GROUPE\r\n	action.MODIFIER_UTILISATEUR_PARTENAIRE\r\n	action.SUPPRIMER_GROUPE\r\n	action.SUPPRIMER_UTILISATEUR_PARTENAIRE\r\n	action.VOIR_HABILITATIONS_GROUPE'),
(41819, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nEtat d\'avancement V1.15 + support fonctionel contrôle doc'),
(41820, 'Evolution du DCF en version 2.10'),
(41821, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nGénération des livrables ALM '),
(41823, 'Mise à jour des tests suivant :\r\n\r\nPHA - Cas nominaux - Gestionnaire de service - Habiliter un agent au service HABPPS\r\nPHA - Cas nominaux - Gestionnaire de service - Retirer habilitation agent au service HABPPS'),
(41824, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nMCO Court_Commercial'),
(41849, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nRDI 1.1 VSR : Contribution aux tests en RM'),
(41826, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2 + TR3'),
(41827, 'Pas de retour de nacera sur le sujet qui concerne les tests avant MEP => on peu cloturer'),
(41828, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\ncorrection'),
(41854, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nMEP à VTF => retour user'),
(41830, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n[V16] NREG INT0\r\nHOST: agpadmi01\r\nPLATFORM: 1.0.187-SNAPSHOT\r\nABP: 16.5.2-SNAPSHOT 558\r\nCMS: fdj_cms-master-254\r\nMETAL: fdj-165-v1.0-15\r\n\r\n[SPEED UP] Suivi des anomalies / modifications V14 migré en V16'),
(41831, 'Cette fenêtre ne devrait plus être utilisé.\r\nje me suis apercu que les partages des fenetres hotesse et profils n\'existait plus entre evagh et evawin => je les ai crée'),
(41832, 'Attention la fenetre agence_tab,agence_lis et agence_fic était partagé dans le lot0 entre evagh et evawin => ce n\'est plus le cas il faut recreer les partages'),
(41835, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n[OMNI-CANAL] Support HIA pour installation SAGA sur RPP\r\n'),
(41836, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nCOPEX : Investigation sur job de chargement des Free Tickets CE en erreur'),
(41838, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nRDI 1.1 VSR : Installation SAGA version OMNI CANAL sur INT4SAGA'),
(41839, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n'),
(41840, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n'),
(41841, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n'),
(41842, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n'),
(41843, 'Mise à jour des GCF :\r\n\r\nPHA0300.030300-Guide de configuration fonctionnelle V1.3.docx\r\nPHA0310.030203-Guide de configuration fonctionnelle V1.2.docx'),
(41848, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nOMNI-CANAL : Installation FDL018894 sur INT2CALY'),
(41845, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nOMNI CANAL : Installation FDL019147 sur INT4ETL9'),
(41846, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nOMNI CANAL : Installation FDL019551 univers APDVDETA sur TR2'),
(41847, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nOMNI-CANAL : Injection de données CA Jason sur INT2CALY et exécution du WKF de chargement WKF_L_CAL_CA_JASON'),
(41855, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n'),
(41856, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n'),
(41858, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n(1)  BSO.001.31 [STREAM] SID COMMERCIAL - FDL019558 - MOD013624 - [STREAM] - SIDR - DDL - v18.04.0.0 - Installation Teradata sur Transverse 3\n(2)  BSO.001.31 [STREAM] SID COMMERCIAL - FDL019559 - MOD013624 - [STREAM] - Vues SIDR v18.04.0.0 - Installation Teradata sur Transverse 3\n(3)  BSO.001.31 [STREAM] SID COMMERCIAL - FDL019560 - MOD013624 - [STREAM] - Appli ELTA REFE v18.04.0.0 - Installation Teradata sur Transverse 3\n(4)  BSO.001.31 [STREAM] SID COMMERCIAL - FDL019603 - MOD013625 - [Palier ETL 1.13] SID COMMERCIAL - Load - Installation Teradata sur Transverse 3 (Partie ETL SID Commercial)'),
(41860, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nBGR.045.32 [JEU] PROMOTIONS COPEX GRATTAGE - FDL019492 - MOD013364 - Calypso v14.0 / Copex grattage / base arca : correction sn_emission_loterie et migration habilitations - Job ETL Informatica WKF_CALYPSO_CAL_FREE_CE en erreur investigation avec Valérie VABRE'),
(41861, 'Il faut retirer les droits liés aux profils \"Guest\" et \"Site Member\" sur les pages \"Aides financières d\'action sociale\" et \"Gestion des habilitations AFAS\" :\r\n\r\nEn tant qu\'administrateur Liferay :\r\n\r\n1. Rendez vous dans Emplacements > Gabarits de site\r\n2. Pour l\'emplacement \"Site CAF\" dans action sélectionnez \"Gérer\"\r\n3. Cliquez sur la page dont vous souhaitez retirer les droits puis sur \"Droits d\'accés\"\r\n4. Pour les rôles \"Guest\" et \"Site member\" retirez tous les droits et cliquez sur \"Sauver\"'),
(41862, 'Message et saxo transmis à l\'équipe GDE et traité.'),
(41863, 'Il faut retirer les droits liés aux profils \"Guest\" et \"Site Member\" sur les pages \"Administration\" et \"Modifier mon adresse mail\" :\r\n\r\nEn tant qu\'administrateur Liferay :\r\n\r\n1. Rendez vous dans Emplacements > Gabarits de site\r\n2. Pour l\'emplacement \"Site CAF\" dans action sélectionnez \"Gérer\"\r\n3. Cliquez sur la page dont vous souhaitez retirer les droits puis sur \"Droits d\'accés\"\r\n4. Pour les rôles \"Guest\" et \"Site member\" retirez tous les droits et cliquez sur \"Sauver\"'),
(41865, 'Il faut retirer les droits liés aux profils \"Guest\" et \"Site Member\" sur les pages \"Agents Caf\", \"Consulter les agents Caf\", \"Créer un agent caf\" :\r\n\r\nEn tant qu\'administrateur Liferay :\r\n\r\n1. Rendez vous dans Emplacements > Gabarits de site\r\n2. Pour l\'emplacement \"Site CAF\" dans action sélectionnez \"Gérer\"\r\n3. Cliquez sur la page dont vous souhaitez retirer les droits puis sur \"Droits d\'accés\"\r\n4. Pour les rôles \"Guest\" et \"Site member\" retirez tous les droits et cliquez sur \"Sauver\"'),
(41866, 'Transmis à GDE et traité.'),
(41867, 'Transmis à l\'équipe GDE'),
(41868, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\n'),
(41869, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n'),
(41874, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nABPV16 - SID Client : Installation FDL019893'),
(41871, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nCOPEX - Infocentre Calypso : Suivi des DMT de demande de mises à jour SAP BI4'),
(41872, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nCOPEX Infocentre Calypso : Installation pour la deuxième fois FDL019493 - FDL019494 suite à relivraison des univers PDVDETA et APDVDETA'),
(41873, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nSID Commercial - SAGA : Installation FDL019445 sur TR3'),
(41875, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nUse Case SID Commercial - ETL_REFERENTIEL : Installation FDL019858 sur TR3'),
(41922, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n[COHERIS] Avancement des sujets\ndiscussion sur client VCU\npréparation outil extraction client'),
(41877, 'Redirigé vers l\'équipe CDAP.'),
(41878, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nANVCTX Comip'),
(42053, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nFDL019554'),
(41880, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nRemise en forme exigences EA'),
(41882, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nsupport + presentation EA à Rony'),
(41883, 'Retrait de l\'instruction d\'ajout de la page \"première connexion\" du GCF lot 1 : PHA0310.030203-Guide de configuration fonctionnelle V1.3.docx'),
(41885, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\n');
INSERT INTO `mantis_bugnote_text_table` (`id`, `note`) VALUES
(42005, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nAjout de nouveaux modules \nEnlever le bandeau navigation (Accueil/Dossier/RA) pour Fidelite\n\nNB: Doc mise dans G: => dossier programmeFidelite'),
(41887, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nTentative d\'afficher les messages d\'erreurs non réussie (Geoffrey n\'était pas dispo pour me débloquer)'),
(41958, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nTentative d\'affichage des messages d\'erreurs réussie (avec l\'aide de Geoffrey)\nEffectuer plusieurs tests sur l\'écran \'Recherche Client\' (appel bd bouchons)\nRédaction d\'un fichier txt où j\'ai mis les différents tests réalisés\nCommit de mes modifs sur SourceTree (Git)\n\nRAF: \n Tester en appelant la BD IMPL'),
(42006, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nFORMATION SALT'),
(42007, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nFORMATION SALT'),
(41895, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n[Convergence] configuration nginx pour redirection des appels http vers https\n[Convergence] Reinstallation complete sur int92 de  drupal et symfony\n[Convergence] Amélioration des test  des composants / widgets sur postman\n[PTAB] Investigation et resolution d\'un probleme lié à la mise ajour du fichier whitelist.json qui ne fonctionnait pas sur l\'admin drupal'),
(42004, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n- Afficher les données de BD dans tableau résultat de recherche\n- Enlever le lien dans le numéro client\n- Préparer le code permettant d\'insérer le lien dans numéro client (onglet -\n- FicheClient); le code en ce moment est en commentaire, il sera décommenté dès que BU mette à notre disposition la méthode \"OpenClientDansOpus\"\n\nR.A.F:\n  - Tester avec les données de la BD-Impl'),
(41894, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n[Convergence] Intégration et deploiement des digishops sur les machines convergences\r\n[Convergence] Ajout des tests digishops dans postman\r\n[Convergence] Ajout des taches dans jira pour convergence (applets illiko, widget faq, ..)'),
(41896, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\npb montant assurance sur aconfirmationsejour'),
(41897, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n'),
(41898, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nProblème sur la base de donnée oracle en mode distant.'),
(41900, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\n115100'),
(41901, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n112087 0.2\ngestion de bug 0.8'),
(41908, 'Solution proposée : lorsqu\'on sort du champ payer, si il est différent de 0 et que le voucher est vide, on renseigne le numéro de voucher (de ce que j\'ai compris le numéro de voucher correspond au numéro du dossier)\r\nPuis vérifier qu\'à la création du dossier, un numéro de voucher peut-être directement renseigné, dans le cas contraire il faudra le rajouter dans la partie création d\'un séjour'),
(41906, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n112087'),
(41907, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n106304'),
(41909, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nMCO Court_Commercial'),
(41912, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nOMNI CANAL : Finaliser l\'Installation FDL019551 univers APDVDETA sur TR2 avec le check d\'intégrité suite à la migration des habilitations ADMIN sur ARCA pour le projet COPEX.'),
(41911, 'Solution proposée : à la sortie du champ de code avantage si c\'est un regroupement de code avantage on appelle une fonction qui fera le contrôle des différents codes avantages du regroupement et retourne le nom final à utiliser (si plus d\'un code avantage, le regroupement, sinon le nom du code avantage unique si il en existe qu\'un, sinon une chaine vide)'),
(41913, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nCOPEX : Installation de la FDL019515 univers LOTS_GRATTAGES sur TR2'),
(41914, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nOMNI-CANAL : Installation de la FDL019638 sur INT3SAGA'),
(41917, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nOMNI-CANAL : Traitement de la DMT0019327 transfert des Tiers au SIFI sur TR1.'),
(41916, 'Solution proposée : mettre en place sur le TNSelect un nouveau traitement (pourquoi pas avec le contrôle de stocks) qui chercherait à savoir si il faut avertir les utilisateurs qu\'on commence à plus avoir de place sur une tranche d\'age\r\nJe ne sais pas si il existe une table pour permettre de définir tel ou tel rappel automatique pour tel ou tel utilisateur, si c\'est le cas il faudra réaliser le nouveau paramétrage, si elle n\'existe pas il faudrait créer une table qui permettra de lier un utilisateur à un rappel automatique'),
(41918, 'Faire un rebase sur 18.1.0-Release puis merge request'),
(41919, 'Faire merge resquest vers 18.1.0-release\r\n+ changer status defect\r\n+ faire merge request remotes/origin/Industrialisation (7c22b95bec7d2bc4103da09a) ?\r\n'),
(41920, 'Faire MR vers 18.1.0-release ?'),
(41924, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nProjet OmniCanal : étude et échange sur la mise en oeuvre des logback dans le cadre de la mise en place de serveur ELK'),
(41929, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nformation SALT'),
(41930, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nformation SALT'),
(41931, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nformation SALT'),
(41928, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nProjet OmniCanal'),
(41932, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n'),
(41933, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nAnalyse pour chiffrage'),
(41934, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nSupport Khaoula'),
(41935, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nAnalyse Acceptance 2.10.2-1 sur INT4\r\nSupport Khaoula'),
(41936, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nSupport Khaoula\r\nRéunion Equipe et VNUS'),
(41937, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nSupport Khaoula'),
(41938, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nModification cas de test pour VNUS\r\nSupport Khaoula'),
(41942, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nMCO : SID Client TR2, TR3 + SID Commercial TR2, TR3 + relance Sport sur TR2 + relance BIC sur TR3'),
(41941, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nStream SID Commercial : Analyse plantage suite à installation FDL019603 + déblocage des traitements.'),
(41944, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nCOPEX - Infocentre Calypso : Assistance des installations d\'univers + reporting auprès du CP SI.'),
(41945, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n[V16 / 16.5.2 b 558 / INT0]: Bug Fixing + Acceptance / VCU '),
(41947, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nImplémentation Campagne V16\nAnalyse anomalie V16'),
(41950, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n[V16 / 16.5.2 b 558 / INT0]: Bug Fixing + Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes)'),
(41949, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nImplémentation Campagne V16'),
(41951, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nImplémentation campagne V16'),
(41952, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n[V16 / 16.5.2 b 558 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes)'),
(41956, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n[V14 / 14.1.32 b 58 / INT8]: Quelques cas de Resettlement / ANO057095\n+ [V16 / 16.5.2 b 558 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes)'),
(41957, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[V16 / 16.5.2 b 558 / INT0]: Campagne manuelle NonReg Back (Tests non passés sur les précédentes campagnes)'),
(41959, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nExécution des campagnes de tests POSTMAN du palier ROMA sur INT1 (USR 2.9.6)'),
(41960, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n	Ecriture des tests sous POSTMAN et les tests manuels BOX sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.2).\r\nExécution des campagnes de tests POSTMAN du palier ROMA sur INT1 (USR 2.9.6).'),
(41961, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n	Ecriture des tests sous POSTMAN et les tests manuels BOX sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.2).'),
(41962, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n	Ecriture des tests sous POSTMAN et les tests manuels BOX sur le projet VCU (Palier VNUS).\r\nExécution des campagnes de tests du palier VNUS projet VCU sur INT0 (USR 2.10.2).'),
(41963, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nAtelier PDJ Jason'),
(41964, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nMise à jour Favourites et Mutualisation du code commun automatisation Amex'),
(41965, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nMise à jour de la fonction MifyLogin'),
(42088, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nMise à jour PDJ Amex MainBook'),
(41967, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n '),
(41968, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n'),
(41969, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nTests postman Digishop-U'),
(41970, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nTests postman Digishop-U\r\nAcceptance Digishop 7.4.0 et 7.5.0'),
(41971, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nTests postman Digishop-U\r\n'),
(41972, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nTests postman Digishop-U'),
(41973, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nEdwan 4.6.2'),
(41974, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nEdwan 4.6.3'),
(41975, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nEdwan 4.6.3'),
(41976, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nEdwan 4.6.3'),
(41977, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nConvergence - test API'),
(41980, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n(1) BSO.001.31 [STREAM] SID COMMERCIAL - Analyse plantage suite à installation FDL019603\n(2) BSO.001.31 [STREAM] SID COMMERCIAL - Déblocage des traitements\n(3) BSO.001.31 [STREAM] SID COMMERCIAL - Ajout campagne acceptation des livraisons HP-ALM sur PROJETS SID_COMMERCIAL\n(4) BSO.001.31 [STREAM] SID COMMERCIAL - Gestion de configuration Teradata Studio et SAP BO BI 4 \n(5) BSO.001.31 [STREAM] SID COMMERCIAL - MAJ Documentaire OneNote'),
(41981, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nMCO Court_Commercial'),
(41982, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nOMNI-CANAL : Exécution des campagnes de tests phase 2'),
(41983, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nOMNI-CANAL : Traitement de la DMT0019327 transfert des Tiers au SIFI sur TR1 Contrôles et fermeture de la demande.'),
(41985, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n[V16] NREG INT0\nHOST: agpadmi01\nPLATFORM: 1.0.187-SNAPSHOT\nABP: 16.5.2-SNAPSHOT 558\nCMS: fdj_cms-master-254\nMETAL: fdj-165-v1.0-15\n\n[VCU] Tests d’appels de services VCU - INT0\n\n[SPEED UP] Suivi des anomalies / modifications V14 migré en V16'),
(41996, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nCréer les viewModel de chaque tableau coupon + Récupération des données à afficher dans chaque tableau\n\nR.A.F :\n Afficher les données dans les tableaux coupons en attentes, consommés, expirés\nTester avec BD-IMPL'),
(41987, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nAfficher les données dans les tableaux coupons en attentes, consommés, expirés\n\nR.A.F :\nTester avec BD-IMPL'),
(41988, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nPréparation migration VCU \r\nMigration V14-> V16'),
(42003, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nQualification anomalies\nTests IR delay'),
(41991, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n[SPEED UP] Suivi des anomalies / modifications V14 migré en V16\r\n\r\n[Maintenance Corrective] Tests de NREG Sports d\'Hiver sur INT8\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_16-106\r\nABP:            14.1.32.3-SNAPSHOT 58\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n'),
(41993, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[SPEED UP] Suivi des anomalies / modifications V14 migré en V16\r\n\r\n[Maintenance Corrective] Tests de NREG Sports d\'Hiver sur INT8\r\n\r\nHOST:           agpadmi81\r\nSITE:           fdj2-origin_release_16-106\r\nABP:            14.1.32.3-SNAPSHOT 58\r\nMOBILE:         origin_release_8\r\nARGUS:          14.1-125\r\nPLATFORM:       1.0.186\r\n'),
(41998, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nCampagne migration V14 -> V16\nRédaction cas de tests PSPDVCDE2018'),
(42000, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nCampagne migration V14 -> V16'),
(42001, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nAjout des nouveux modules dans Orchard:\n - Update des fichiers creatLinks et switchBoutonImpl\n - Activation des modules via Orchard => Modules\n - Enlèvement du bandeau Navigation via Orchard => Widget'),
(42002, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nCampagne migration V14 -> V16'),
(42008, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nFORMATION SALT'),
(42011, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nProjets AMEX:\r\nPréparation installation des composants WCART/WSPEL et SPORTAIL sur l\'environnement de PREQ.\r\nInvestigation problème SALT et AMEX\r\nEchange sur les certificats des environnements de PERF.\r\nReflexion / Echange sur la manière de maintenir l\'environnement de référence du SPORT.\r\nInitialisation installation de l\'environnement de référence en version AMEX-VNUS --> rapatrier les configurations par scp --> problème de flux, on passe par FTP. Mise à niveau de la configuration spécifique de l\'environnement.'),
(42012, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nProjet AMEX: Il faut réparer INT51 en maintenant à jour la configuration des certificats et déployer la nouvelle configuration.'),
(42017, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\n[AMEX][SPORTAIL] Modification configuration salt gérer version 1.0.23\n[AMEX] Support dev nouveau repo git\n[PERF] Réunion métrologie Cloud Front\nRéunion PERF2'),
(42016, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\n[PERF] Génération certification PERF1 et INT51\n[PERF] Création perf1 en version \"prod\"\n[AMEX][DIGISHOPU][T] Ajout du service /digishopu/account/updateConfidentialCode'),
(42018, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nSuite Génération certification PERF1 et INT51.\r\nEchange avec la perf.'),
(42029, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nProjet AMEX: problème accès compte depuis le site PSEL, investigation, tests des services\nCréations MODs dans le js du sportail pour utliser l\'intégralité Auth, compte et inscription sur le domaine fdj.fr et non en ligne.\nEchange avec les techleads et le PO pour prioriser les modifications et les avoir dans la prochaine livraison.'),
(42025, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nLancement campagne de non regression Falcon USR 2.9.6 sur INT1. Analyse des campagnes Falcon USR 2.9.6 sur INT1. Formation Khaoula El Rhozlane  '),
(42026, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nAnalyse des campagnes Falcon USR 2.9.6 sur INT1. Qualification d\'anomalie pour la 2.9.6. Envoi du rapport. Reunion automatisation. Lecture de la Spec de VNUS.'),
(42142, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nFormation Khaoula El Rhozlane.VNUS : Implémentation des cas de test pour freedom. Campagne de non regression ITG 2.4.1 sur INT0 avec la version de falcon usr 2.10.2'),
(42030, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nFormation Khaoula El Rhozlane. VNUS : Implémentation des cas de test API et BDD pour freedom'),
(42033, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nProjet AMEX: encore des problèmes de compte, il faut réexpliquer le problème du compte pourtant c\'est clair.\r\nInvestigation sur la configuration digishop coté AMEX.'),
(42036, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nFormation Khaoula El Rhozlane. VNUS : Implémentation des cas de test API et BDD pour freedom.'),
(42035, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n'),
(42138, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n[Convergence] Etat des lieux des composants sur INT92 + retour par mail + tests postman\n[Convergence] Creation des projets convergence sur git/jenkins\n[Convergence] UPload de la collection postman sur le check des composants installe et creation du job sous jenkins\n[Convergence] Correction du bug sur l\'erreur de la valeur server_name dans la conf nginx de drupal'),
(42038, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nTL Objectifs Cédric / Objectifs Fanny'),
(42039, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nAVV Prototype CARTO'),
(42040, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nrien'),
(42041, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n[VEGA] Lecture et analyse documentation, création diagramme ARJEL'),
(42042, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nExécution Campagne NonReg V16 INT0'),
(42043, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[VEGA] Lecture et analyse documentation, création diagramme ARJEL'),
(42044, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nExécution Campagne NonReg V16 INT0'),
(42045, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nExécution Campagne NonReg V16 INT0'),
(42156, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n- [SALT] Merge branch \'feature-common-collect\' into develop\n- [SALT] Merge branch \'develop\' into feature-roma\n- [SALT] Merge branch \'develop\' into feature-vnus\n- [SALT] Merge branch \'develop\' into feature-convergence\n- [SALT] Merge branch \'develop\' into feature-amex\n- [SALT] Merge branch \'develop\' into feature-amex-1.0.23\n- [SALT] Merge branch \'develop\' into feature-convergence-synchro\n- [SALT] Merge branch \'develop\' into feature-amex-pillar-symfony\n- [SALT] Merge branch \'feature-patch-perf\' into feature-vnus-perf\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\n- [SALT] Merge branch \'feature-roma\' into develop\n- [SALT] [DEPLOY][VNUS] Upgrade environment int51\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\n- réunion hia pour palier roma\n- [SALT] Maj script de contrôle des minions'),
(42047, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n- [SALT] [DEPLOY][VNUS] Upgrade environment int01\r\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\r\n- [SALT] [DEPLOY][VNUS] Upgrade environment int41\r\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\r\n- correction CF int22 pour arrêt des apaches\r\n- maj postman sur digishop-game correction regex\r\n- maj swagger digishop-a 7.5.0\r\n- maj swagger digishop-i 7.5.0\r\n- maj swagger digishop-u 7.5.0\r\n- support HIA Transverse pour correction pb de promulgation int32\r\n- support stream PHP correction pb de promulgation mymillion'),
(42048, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nExécution Campagne Acceptance V14 INT8'),
(42049, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n- [SALT] [DEPLOY][ROMA] Upgrade environment int31\r\n- [SALT] [DEPLOY][ROMA] Upgrade environment int11\r\n- [SALT] [DEPLOY][VNUS] Upgrade environment int01\r\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\r\n- [SALT] Test de déploiement de la branche de perf\r\n- Investigation pb de déploiement salt int22'),
(42050, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n- [SALT] Maj des branches suite mep Amigo\r\n- [SALT] Merge branch \'release-amigo\'\r\n- [SALT] Merge branch \'release-amigo\' into develop\r\n- [SALT] Merge branch \'develop\' into feature-roma\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] Merge branch \'develop\' into feature-amex-1.0.23\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-amex-pillar-symfony\r\n- [SALT] [VNUS] Correction coquille\r\n- [SALT] Merge branch \'feature-vnus\' into inst-vnus-amex\r\n- réunion Mise au point SAGA - AMIGO - PDV/CDP\r\n- maj branches postman digishop-game suite mep amigo\r\n- maj branches postman digishop-public suite mep amigo'),
(42052, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nSupport et analyse sur RTC 128328'),
(42054, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nFDL019574'),
(42055, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nFDL019608'),
(42056, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nImports de prod sur env int12 et int32'),
(42057, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nFDL019626'),
(42058, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nFDL019641'),
(42059, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nFDL019646'),
(42060, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nFDL019648'),
(42061, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n FDL019649'),
(42062, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nFDL019658'),
(42063, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nFDL019662'),
(42065, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n(1) BCL.1423.08 [ME] DIGITAL - FDL019535 - MOD011318 - Livraison SID Clients - DDLS -  VCU Solde des portemonnaies en fin de journée v8.4.0 sur INT1(TR1)\n(2) BCL.1423.08 [ME] DIGITAL - FDL019536 - MOD011318 - Livraison SID Clients - SID2 -  VCU Solde des portemonnaies en fin de journée v8.4.0 sur INT1(TR1)\n(3) BCL.1423.08 [ME] DIGITAL - FDL019537 - MOD011318 - Livraison SID Clients - VRPT -  VCU Solde des portemonnaies en fin de journée v8.4.0 sur INT1(TR1)'),
(42066, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nOMNI-CANAL : Exécution des campagnes de test dans HP ALM'),
(42067, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nOMNI-CANAL : Exécution des campagnes de test dans HP ALM'),
(42068, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nOMNI-CANAL : Exécution des campagnes de test dans HP ALM'),
(42069, 'Merge request à valider'),
(42070, 'Merge request à valider'),
(42071, 'Vérification + Merge request a effectuer'),
(42072, '=> Changer le numéro du bug dans le commentaire de commit\r\n=> faire un merge request\r\n=> faire avancer le defect mantis'),
(42073, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\ncampagne batch conception + écriture'),
(42074, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\ncampagne batch conception + écriture'),
(42075, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\ncampagne batch conception + écriture'),
(42076, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nvie des environnements : VCU'),
(42077, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nvie des environnements : VCU'),
(42078, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42079, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42080, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42081, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42082, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42099, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nMCO EGIDE'),
(42090, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\n BOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE contribution QUALIF CAMCA '),
(42085, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-21  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42086, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-22  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42087, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-23  (Do not remove this line) -->\nMCO TR 1 2 3\r\nCOHERIS'),
(42091, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(42092, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI)'),
(42093, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - EGIDE test RDI post MEP (incidents, contribution aux tests RDI, pb suite install 4.70.02)'),
(42094, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n BOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE  QUALIF CAMCA '),
(42105, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nRepetition MEP sur PPR - assistance HIA'),
(42096, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n BOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - EGIDE  QUALIF CAMCA '),
(42097, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nMCO EGIDE'),
(42098, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nMCO EGIDE'),
(42108, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Assistance TR3 - Gilda sur le PDV146244'),
(42109, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nBOP.059.45 CAUTIONNEMENT - CAMCA LOT 1C - Avancement opportunité sur TR1  - test de NR'),
(42102, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nInstallation FDL Egide 4.70.02 sur RM TR4-INT9'),
(42107, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nPV de qualification  pour la FDL019364'),
(42110, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nCopie de BD EGID/YTIX INT6 vers INT8\r\n'),
(42111, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 sur TR3 - Test de NR'),
(42112, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nOMNICANAL sur Tr3 UCAP21'),
(42113, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 sur TR4 - Test de NR'),
(42114, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Problème Selligent - test autour de Basic Auth/Wireshark'),
(42117, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Suivis des tests sur Tr3 + Création opportunité pour ajout d\'agrément sur Tr3'),
(42116, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Problème Selligent - test autour de Basic Auth/Wireshark'),
(42120, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nanalyse anomalie 128328 ESC CU Consulter/Editer un séjour : Etat séjour erroné en bdd après modif par l’AD'),
(42127, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nAnomalies 128327'),
(42123, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nAnomalies 128328'),
(42125, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nAnomalies 128327'),
(42128, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n'),
(42129, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nSpécification pour mise à jour EA 1.15'),
(42130, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nSpécification pour mise à jour EA 1.15'),
(42131, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nTest defect 310 et ano 95445'),
(42135, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nClôture de l\'incident INC189891 / INC190089'),
(42133, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nEcriture cas de test Postman_projet VCU'),
(42137, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[OMNICANAL] Support CP revue anomalie (ANO056561)'),
(42144, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[MOKA / Freedom] support à la recette sur le TR2 sur le chargement des détails de PDJ fichiers FDJ_SIDC_DETAIL_PDJ_ADO'),
(42145, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[Convergence] Modification de la conf des widget dans fdj-front nginx \r\n[Convergence] Renommage des conf chargé dans nginx fdj-front\r\n[Convergence] Investigation sur un dossier fdj-api installé via SALT'),
(42146, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nMaj EA portail services mobiles'),
(42157, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n- création ANO057514 [SAGA] PDV non uniques dans l\'export CSV\r\n- création ANO057515 [SAGA] PDV sans coordonnées gps\r\n- [SALT] Correction conflits de merge pour la nouvelle branche de perf\r\n- [SALT] Merge branch \'feature-patch-perf\'\r\n- [SALT] Merge branch \'feature-patch-perf\' into release-roma\r\n- [SALT] Merge branch \'feature-patch-perf\' into develop\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] [PERF1] Alignement des digishop_versions.sls et specific_Properties.sls\r\n- [SALT] Merge branch \'feature-perf\'\r\n- [SALT] Merge branch \'feature-perf\' into release-roma\r\n- [SALT] Merge branch \'feature-perf\' into develop\r\n- [SALT] Merge branch \'feature-perf\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-vnus\r\n- [SALT] Merge branch \'develop\' into feature-amex\r\n- [SALT] Merge branch \'develop\' into feature-convergence\r\n- [SALT] Merge branch \'develop\' into feature-convergence-synchro'),
(42158, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nBCO.081.31 [ME] COMMERCIAL - FDL018972 - L’installation de la FDL018972_calypso_13.10.1 sur TR2 CALY et ARCA'),
(42159, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n'),
(42160, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\n '),
(42161, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-20  (Do not remove this line) -->\n '),
(42162, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-21  (Do not remove this line) -->\n '),
(42163, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-22  (Do not remove this line) -->\n '),
(42164, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-23  (Do not remove this line) -->\n '),
(42165, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\n[V16] Mise à jour des cas de tests ETL \r\n\r\n[V16] NREG V16 sur INT0\r\n\r\nHOST:           agpadmi01\r\nPLATFORM:       1.0.187-SNAPSHOT\r\nABP:            16.5.2-SNAPSHOT 558\r\nCMS:            fdj_cms-master-254\r\nMETAL:          fdj-165-v1.0-15\r\n'),
(42166, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n- ANO057414\r\n- ANO057437\r\n- ANO057446\r\n- ANO057452\r\n- Tests acceptance pspdv'),
(42167, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n- Qualification des anos amex\r\n- ANO057464 et ANO057465\r\n- ANO057472 et ANO057474\r\n- ANO057480'),
(42168, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n- Etat des lieux tests alm + rapport\r\n- ANO057536\r\n- ano back sur message erreur de pdj\r\n- point back'),
(42174, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nAjuster les textboxs\nAjouter des bouchons pour la liste des pays et villes'),
(42170, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nSIDC TR1 en attente correctif pour le calcul des agregats et en attente des données sport // SIDC TR2 // SIDC TR3 // SIDCOM TR2 OK // SIDCOM TR3 en attente BIC depuis le 16/03'),
(42172, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nAjouter des espaces au-dessus de chaque liste coupon (temps exact = 0,125j)'),
(42175, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nBloqué à l\'appel du bouchon : module non ajouté dans Orchard.'),
(42177, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\n'),
(42178, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n'),
(42179, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\n.'),
(42180, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-27  (Do not remove this line) -->\n'),
(42182, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\n[OLC] Erreur d\'enchainement des chaines SIF et SID sur le TR3'),
(42197, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n'),
(42198, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n'),
(42199, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n'),
(42185, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\n[RTC- 95445] FLUX - T2000 - Envoi du message DEPART à tort'),
(42186, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\n'),
(42187, '13-03-2018 : Support Romain pour DGFIP : \r\nAide à la configuration. Problème de publication du user créé par Michel Sébastian, Jérémy reprends la main -> problème de configuration du portal.ext, des routes.'),
(42188, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nSAFERGAME : Présentation des livraisons IBM + Bug review avec M.Anne'),
(42189, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nImplémentation de tests auto + transfert de compétences'),
(42190, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nImplémentation de tests auto + transfert de compétences'),
(42191, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nSAFERGAME : Vérification des anomalies créées en VSR'),
(42192, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nMultipass'),
(42193, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nMultipass'),
(42194, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nMultipass'),
(42195, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nMultipass'),
(42196, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nrésolution de pb de publication des scripts backOffice dans la viedes environnemnents\r\ndev API : préparation des modification requise pour acceder aux versions via le lien de fichier json statique version.json lieu du getversion.php'),
(42201, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nréunion: [VEGA] ARJEL : atelier et strat de test\nreunion : Cadrage Qualif USR 2.8.19'),
(42202, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nCampagne de NON regression HAPPY DES MOTORS \r\nMTR 1.9.6-1 / USR 2.8.18-1 INT81'),
(42203, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \"GO8 - Goal 2018\" - INT21'),
(42208, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-01  (Do not remove this line) -->\nModitification des cas de tests pour qu\'ils soient compatibles avec la version 2.10'),
(42205, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nCAMPAGNE D\'ACCEPTANCE FRONT DU JEU \"MG2 - MAXI Goal 2018\" - INT21'),
(42206, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nBILAN CAMPAGNE D\'ACCEPTANCE WOF 2.9.14 - Bilan de campagne tests Acceptance - JEUX MOTORS IF / MOTORS DOM / ITG DOM/ ITG IF\r\n5 JEUX'),
(42207, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nBILAN CAMPAGNE D\'ACCEPTANCE WOF 2.9.14 - Bilan de campagne tests Acceptance - JEUX MOTORS IF / MOTORS DOM / ITG DOM/ ITG IF\r\n5 JEUX'),
(42210, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-02  (Do not remove this line) -->\nModitification des cas de tests (Limits)'),
(42218, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-05  (Do not remove this line) -->\nModification de 3 cas de tests\nImplémenter un nouveau service\nAnalyser les logs'),
(42219, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-06  (Do not remove this line) -->\nModification de 4 cas de tests\nImplémenter des nouveaux services\nAnalyser les logs'),
(42220, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-07  (Do not remove this line) -->\nModification des cas de tests\nAnalyser les logs'),
(42221, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-08  (Do not remove this line) -->\nModification des cas de tests sur les optins\nAnalyser les logs'),
(42222, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-09  (Do not remove this line) -->\nModification des cas de tests sur les optins\nAnalyser les logs'),
(42217, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nDéroulement d ACCEPTANCE de la INT4 et analyser les logs'),
(42225, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nImplémentation du nouveau service  FalconDELETEAccountsSubscription\nModification des cas de tests Web-deposit\nAnalyser les logs\n'),
(42226, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nAnalyser les logs d\'ACCEPTANCE de la INT4\nRéalisation du rapport de cette acceptance'),
(42227, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nDéroulement de la non-reg de l\'INT4\r\nAnalyser les logs'),
(42228, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nAnalyser les logs de la non-reg INT4'),
(42229, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\ncorrection interface saisi des promo tout-compris + correction enregistrement avec nb nuit à zéro'),
(42230, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\n'),
(42231, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-12  (Do not remove this line) -->\nARJEL : réparation catalogue BOX\r\n\r\nreunion : gouvernance des fronts'),
(42232, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\n[OLC] Investigation sur la non remontée d\'information des call de SGI sur le TR2'),
(42233, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\n'),
(42237, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Investigation sur Tr3'),
(42235, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Test NR sur TR4\r\n'),
(42236, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 - Suivis test\r\n'),
(42238, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nBCO.084.34 [REF] DISTRIBUTION V1.1 - Test NR sur TR4\r\n'),
(42239, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nBPS.057.32 [ARCH] ARCHITECTURE OMNI-CANAL SPORT V1 -Test phase 2\r\n'),
(42240, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-13  (Do not remove this line) -->\nARJEL : reparation catalogue BOX\r\n\r\nRéunion : Point Equipe TEST AUTO\r\nRéunion : demo borne '),
(42241, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-14  (Do not remove this line) -->\nARJEL : reparation catalogue BOX'),
(42242, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-15  (Do not remove this line) -->\nARJEL : reparation catalogue BOX\r\nARJEL : Campagne USR 2.8.19-1 USR/BOX INT 8 '),
(42243, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nARJEL : reparation catalogue BOX\r\nARJEL : Campagne USR 2.8.19-1 USR/BOX INT 8 '),
(42244, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nARJEL : reparation catalogue USR\r\nARJEL : Campagne USR 2.8.19-1 USR/BOX INT 8 '),
(42250, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\n- Daily\r\n- ANO057587\r\n- Pré acceptance 7.0.0.22_ios sur int9'),
(42251, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nMaj EA pour Evos V1.15'),
(42252, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nUtilisation jul.properties '),
(42253, '<!-- CODEVTT_TAG_TIMESHEET_NOTE (Do not remove this line) -->\nUtilisation de jul.properties\r\n'),
(42254, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\ncomip taiga'),
(42255, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-19  (Do not remove this line) -->\nsupport livraison: pb  Maven'),
(42256, '<!-- CODEVTT_TAG_TIMETRACKING_NOTE 2018-03-16  (Do not remove this line) -->\nLivraison ANVCTX');

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_file_table`
--

DROP TABLE IF EXISTS `mantis_bug_file_table`;
CREATE TABLE `mantis_bug_file_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `bug_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `title` varchar(250) NOT NULL DEFAULT '',
  `description` varchar(250) NOT NULL DEFAULT '',
  `diskfile` varchar(250) NOT NULL DEFAULT '',
  `filename` varchar(250) NOT NULL DEFAULT '',
  `folder` varchar(250) NOT NULL DEFAULT '',
  `filesize` int(11) NOT NULL DEFAULT 0,
  `file_type` varchar(250) NOT NULL DEFAULT '',
  `content` longblob DEFAULT NULL,
  `date_added` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `bugnote_id` int(10) UNSIGNED DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_history_table`
--

DROP TABLE IF EXISTS `mantis_bug_history_table`;
CREATE TABLE `mantis_bug_history_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `bug_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `field_name` varchar(64) NOT NULL,
  `old_value` varchar(255) NOT NULL,
  `new_value` varchar(255) NOT NULL,
  `type` smallint(6) NOT NULL DEFAULT 0,
  `date_modified` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_bug_history_table`
--

INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(8246, 1, 875, '', '', '', 1, 1386840086),
(8247, 1, 875, 'handler_id', '0', '1', 0, 1386840086),
(8248, 1, 875, 'summary', 'Interchantier', 'Interchantier (YF.9_I8VB.ENC.24)', 0, 1386840551),
(8249, 1, 875, 'summary', 'Interchantier (YF.9_I8VB.ENC.24)', 'Interchantier  -  YF.9_I8VB.ENC.24', 0, 1386841489),
(8250, 1, 875, 'summary', 'Interchantier  -  YF.9_I8VB.ENC.24', 'Interchantier', 0, 1386841747),
(10625, 1, 1041, '', '', '', 1, 1395159585),
(10626, 1, 1041, 'handler_id', '0', '1', 0, 1395159585),
(10627, 1, 1041, 'summary', '(generic) Maladie', 'Maladie', 0, 1395159648),
(18806, 2, 1866, 'CodevTT_RAF', '1.5', '1.5', 0, 1413908388),
(18805, 2, 1866, 'CodevTT_RAF', '1.5', '1.5', 0, 1413908350),
(18804, 2, 1866, 'CodevTT_RAF', '3', '1.5', 0, 1413908334),
(12734, 2, 1400, '', '', '', 1, 1402920169),
(12735, 2, 1400, 'handler_id', '0', '2', 0, 1402920169),
(12839, 2, 1436, '', '', '', 1, 1403035647),
(12840, 2, 1436, 'handler_id', '0', '2', 0, 1403035647),
(12841, 2, 1437, '', '', '', 1, 1403035678),
(12842, 2, 1437, 'handler_id', '0', '2', 0, 1403035678),
(12843, 2, 1431, 'summary', '(generique) Gestion de Projet RSI_TMA_Sante', 'Gestion de Projet RSI_TMA_Sante', 0, 1403036800),
(12844, 2, 1431, '', '507', '', 6, 1403036800),
(12847, 2, 1400, 'summary', 'Formation', 'Autre Formation', 0, 1403036965),
(12848, 2, 1431, 'summary', 'Gestion de Projet RSI_TMA_Sante', 'Pilotage RSI_TMA_Sante', 0, 1403039021),
(13022, 2, 1435, 'CodevTT_Type', '', 'Task', 0, 1403788117),
(13023, 2, 1435, 'summary', '(generique) Mise à jour du WIKI', '(generique) Outillage Infra', 0, 1403788117),
(13024, 2, 1435, '', '513', '', 6, 1403788117),
(13025, 2, 1436, 'summary', 'Formation RSI', 'Montée en compétence', 0, 1403788234),
(13026, 2, 1448, '', '', '', 1, 1403788590),
(13027, 2, 1448, 'handler_id', '0', '74', 0, 1403788590),
(13028, 2, 1449, '', '', '', 1, 1403788642),
(13029, 2, 1449, 'handler_id', '0', '73', 0, 1403788642),
(13030, 2, 1448, 'summary', 'Livret d\'acueil', 'Livret d\'acueil chapeau', 0, 1403788664),
(13031, 72, 1448, 'summary', 'Livret d\'acueil chapeau', 'Livret d\'accueil chapeau', 0, 1403789143),
(13032, 72, 1448, 'status', '10', '30', 0, 1403790003),
(13033, 72, 1448, 'status', '30', '50', 0, 1403790064),
(13035, 2, 1449, 'CodevTT_RAF', '', '4', 0, 1403790633),
(13036, 2, 1449, 'status', '10', '50', 0, 1403790633),
(13038, 74, 1448, 'CodevTT_RAF', '', '4.5', 0, 1403792742),
(13039, 2, 1449, 'CodevTT_RAF', '4', '3', 0, 1403858704),
(13385, 2, 1449, 'CodevTT_RAF', '3', '6', 0, 1404310454),
(13388, 2, 1449, 'category', 'TAIGA', '(No Category)', 0, 1404370399),
(13562, 2, 1437, 'project_id', '38', '44', 0, 1404398502),
(13564, 2, 1436, 'project_id', '38', '44', 0, 1404398549),
(13565, 2, 1435, 'project_id', '38', '44', 0, 1404398549),
(13569, 2, 1431, 'project_id', '38', '44', 0, 1404398619),
(13956, 2, 1449, 'CodevTT_RAF', '6', '2', 0, 1404918943),
(15458, 72, 1858, '', '', '', 1, 1409646473),
(15740, 2, 1867, 'CodevTT_RAF', '', '2', 0, 1410268044),
(15741, 2, 1867, 'status', '10', '30', 0, 1410268044),
(15742, 2, 1867, 'CodevTT_RAF', '2', '2', 0, 1410268062),
(15743, 73, 1449, 'CodevTT_RAF', '2', '2', 0, 1410268310),
(15744, 73, 1449, 'CodevTT_RAF', '2', '1', 0, 1410268329),
(15771, 2, 1867, 'handler_id', '72', '2', 0, 1410336720),
(15772, 2, 1867, 'status', '30', '50', 0, 1410337278),
(15773, 2, 2041, '', '', '', 1, 1410339774),
(15774, 2, 2041, 'handler_id', '0', '2', 0, 1410339774),
(15775, 2, 1867, 'CodevTT_RAF', '2', '2', 0, 1410340162),
(15776, 2, 1867, 'CodevTT_RAF', '2', '2', 0, 1410340266),
(15777, 2, 1876, 'CodevTT_RAF', '', '2', 0, 1410340296),
(15801, 2, 1867, '', '0000396', '', 2, 1410360207),
(15804, 2, 1867, '', '0000396', '629', 3, 1410360255),
(15819, 2, 1867, '', '0000396', '632', 3, 1410361557),
(15848, 2, 1867, 'CodevTT_RAF', '2', '1', 0, 1410430322),
(15856, 2, 1435, '', '0000398', '', 2, 1410440566),
(15857, 2, 1435, '', '0000398', '643', 3, 1410440678),
(15873, 2, 1867, 'CodevTT_RAF', '1', '0.5', 0, 1410513382),
(15881, 2, 1867, 'CodevTT_RAF', '0.5', '0.5', 0, 1410531240),
(15882, 74, 1867, 'CodevTT_RAF', '0.5', '0.5', 0, 1410531271),
(15883, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1410531407),
(15916, 2, 1867, 'CodevTT_RAF', '0.5', '0.5', 0, 1410773483),
(16140, 73, 1858, 'CodevTT_RAF', '', '3', 0, 1410870879),
(16141, 2, 1858, 'CodevTT_RAF', '3', '3', 0, 1410870880),
(16143, 72, 1449, 'CodevTT_RAF', '1', '1', 0, 1410870972),
(16171, 2, 1858, 'CodevTT_RAF', '3', '2', 0, 1410947159),
(16172, 2, 1858, 'CodevTT_RAF', '2', '2', 0, 1410947179),
(16205, 2, 1867, 'CodevTT_RAF', '0.5', '0.1', 0, 1410966362),
(16259, 2, 1858, 'CodevTT_RAF', '2', '2', 0, 1411046689),
(16260, 2, 1867, 'CodevTT_RAF', '0.1', '1', 0, 1411046740),
(16264, 73, 1858, 'CodevTT_RAF', '2', '2', 0, 1411055412),
(16265, 2, 1867, 'CodevTT_RAF', '1', '1', 0, 1411055436),
(16266, 2, 1867, '', '463', '', 2, 1411055505),
(16267, 73, 1858, 'CodevTT_RAF', '2', '2', 0, 1411055515),
(16268, 2, 1858, '', '464', '', 2, 1411055560),
(16269, 73, 1858, 'CodevTT_RAF', '2', '2', 0, 1411055571),
(16293, 2, 1867, '', '463', '647', 3, 1411112358),
(16328, 73, 1858, '', '464', '649', 3, 1411121022),
(16329, 2, 2088, '', '', '', 1, 1411140012),
(16330, 2, 2088, 'handler_id', '0', '2', 0, 1411140012),
(16331, 2, 1867, 'CodevTT_RAF', '1', '0', 0, 1411140324),
(16332, 2, 1867, 'CodevTT_RAF', '0', '0', 0, 1411140324),
(16333, 2, 1867, 'status', '50', '80', 0, 1411140324),
(16334, 73, 1858, 'CodevTT_RAF', '2', '2', 0, 1411140608),
(16335, 73, 1858, 'status', '10', '50', 0, 1411140608),
(16336, 2, 2089, '', '', '', 1, 1411141008),
(16337, 2, 2089, 'handler_id', '0', '2', 0, 1411141008),
(16338, 2, 1862, 'handler_id', '72', '2', 0, 1411141359),
(16339, 2, 1858, 'handler_id', '0', '73', 0, 1411141427),
(16340, 2, 1867, '', '463', '650', 3, 1411141492),
(16490, 2, 1867, '', '463', '651', 3, 1411391835),
(16560, 2, 1862, 'CodevTT_RAF', '', '3', 0, 1411421786),
(16561, 2, 1862, 'status', '10', '30', 0, 1411421786),
(16595, 2, 1437, 'CodevTT_Type', '', 'Task', 0, 1411459156),
(16596, 2, 1437, '', '653', '', 6, 1411459156),
(16597, 2, 1437, 'CodevTT_ChargeInit', '1', '0', 0, 1411459202),
(16598, 2, 1437, '', '654', '', 6, 1411459202),
(16658, 2, 1437, '', '661', '', 6, 1411464511),
(16659, 2, 1858, 'CodevTT_RAF', '2', '2', 0, 1411465873),
(16660, 2, 1862, 'CodevTT_Charge Additionnelle', '', '3', 0, 1411465995),
(16661, 73, 1858, 'CodevTT_RAF', '2', '5', 0, 1411466965),
(16662, 73, 1858, 'CodevTT_RAF', '5', '5', 0, 1411466977),
(16663, 2, 1449, 'category', '(Aucune catégorie)', 'General', 0, 1411473579),
(16664, 74, 1876, 'CodevTT_RAF', '2', '0.5', 0, 1411478000),
(16665, 74, 1876, 'CodevTT_RAF', '0.5', '0.5', 0, 1411478036),
(16666, 74, 1876, 'CodevTT_RAF', '0.5', '3', 0, 1411478058),
(16667, 74, 1876, 'CodevTT_RAF', '3', '2', 0, 1411478100),
(16670, 72, 1876, 'handler_id', '72', '74', 0, 1411482784),
(16671, 72, 1876, 'status', '10', '50', 0, 1411482784),
(16699, 2, 1862, 'CodevTT_RAF', '3', '2', 0, 1411547333),
(16700, 2, 1862, 'CodevTT_RAF', '2', '3', 0, 1411547369),
(16731, 2, 1862, 'CodevTT_RAF', '3', '3', 0, 1411567058),
(16732, 2, 1862, 'CodevTT_RAF', '3', '3', 0, 1411567076),
(16741, 2, 1862, 'CodevTT_RAF', '3', '2', 0, 1411630197),
(16765, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1411652453),
(16773, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1411652792),
(16775, 74, 2120, '', '', '', 1, 1411653084),
(16778, 82, 1596, 'CodevTT_RAF', '', '2', 0, 1411653298),
(16779, 74, 2120, 'CodevTT_RAF', '', '14', 0, 1411653302),
(16780, 82, 1596, 'CodevTT_RAF', '2', '1.5', 0, 1411653314),
(16781, 82, 1596, 'CodevTT_RAF', '1.5', '3.5', 0, 1411653334),
(16782, 74, 2120, 'CodevTT_RAF', '14', '14', 0, 1411653401),
(16785, 72, 2121, '', '', '', 1, 1411654041),
(16786, 72, 2121, 'CodevTT_RAF', '', '4.5', 0, 1411654134),
(16787, 72, 2121, 'status', '10', '50', 0, 1411654134),
(16789, 2, 1862, 'CodevTT_RAF', '2', '3', 0, 1411661780),
(16790, 73, 1858, 'CodevTT_RAF', '5', '2', 0, 1411718355),
(16791, 2, 1858, '', '464', '662', 3, 1411731675),
(16792, 2, 1867, '', '463', '663', 3, 1411732634),
(16818, 73, 1858, 'CodevTT_RAF', '2', '2', 0, 1411737245),
(16822, 74, 2120, 'CodevTT_RAF', '14', '13', 0, 1411739300),
(16823, 74, 2120, 'CodevTT_RAF', '13', '13', 0, 1411739325),
(16824, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1411739358),
(16825, 74, 1876, 'CodevTT_RAF', '2', '0.5', 0, 1411739480),
(16826, 2, 1862, 'CodevTT_RAF', '3', '2', 0, 1411741077),
(16827, 2, 1862, 'CodevTT_RAF', '2', '2', 0, 1411741341),
(16848, 2, 1858, 'CodevTT_Dead Line', '', '1412028000', 0, 1411975922),
(16849, 2, 1862, 'CodevTT_Dead Line', '1446246000', '1412114400', 0, 1411975962),
(16850, 2, 1862, 'status', '30', '50', 0, 1411975962),
(16851, 2, 2120, 'CodevTT_Dead Line', '', '1412892000', 0, 1411976063),
(16852, 2, 2120, 'handler_id', '0', '74', 0, 1411976063),
(16853, 2, 2121, 'CodevTT_Dead Line', '', '1412200800', 0, 1411976141),
(16854, 2, 2121, 'handler_id', '0', '74', 0, 1411976141),
(16855, 2, 2131, '', '', '', 1, 1411976449),
(16856, 2, 1866, 'CodevTT_ChargeMgr', '', '3', 0, 1411976542),
(16857, 2, 1866, 'CodevTT_ChargeInit', '2', '3', 0, 1411976542),
(16858, 2, 1866, 'CodevTT_Dead Line', '1446246000', '1412546400', 0, 1411976542),
(16859, 2, 1866, 'handler_id', '72', '2', 0, 1411976542),
(16860, 2, 1867, '', '0000466', '', 2, 1411976603),
(16861, 2, 1867, 'status', '80', '30', 0, 1411976603),
(16862, 2, 1867, 'resolution', '10', '30', 0, 1411976603),
(16863, 2, 1867, 'CodevTT_RAF', '0', '0.5', 0, 1411976612),
(16864, 2, 1869, 'CodevTT_Dead Line', '1446246000', '1413842400', 0, 1411976662),
(16865, 2, 1869, 'handler_id', '72', '73', 0, 1411976662),
(16866, 2, 1870, 'CodevTT_ChargeInit', '2', '3', 0, 1411976780),
(16867, 2, 1870, 'CodevTT_Dead Line', '1446246000', '1415314800', 0, 1411976780),
(16868, 2, 1870, 'handler_id', '72', '2', 0, 1411976780),
(16869, 2, 2132, '', '', '', 1, 1411976926),
(16870, 2, 2132, 'handler_id', '0', '93', 0, 1411976926),
(16871, 2, 2133, '', '', '', 1, 1411977065),
(16872, 2, 2133, 'handler_id', '0', '93', 0, 1411977065),
(16873, 2, 1876, 'CodevTT_Dead Line', '1446246000', '1411423200', 0, 1411977103),
(16874, 2, 1877, 'CodevTT_Dead Line', '1446246000', '1414101600', 0, 1411977148),
(16875, 2, 1877, 'handler_id', '72', '73', 0, 1411977148),
(17523, 2, 1866, 'CodevTT_RAF', '', '3', 0, 1412954164),
(16879, 2, 1858, 'Ref. Externe', 'QC 34422', '34422', 0, 1411978714),
(16880, 2, 1449, 'status', '50', '80', 0, 1411980251),
(16881, 2, 1449, 'resolution', '10', '20', 0, 1411980251),
(16882, 2, 1449, 'CodevTT_RAF', '1', '0', 0, 1411980251),
(16883, 2, 1867, '', '0000467', '', 2, 1411982181),
(16884, 2, 1867, 'status', '30', '80', 0, 1411982181),
(16885, 2, 1867, 'resolution', '30', '20', 0, 1411982181),
(16886, 2, 1867, 'CodevTT_RAF', '0.5', '0', 0, 1411982181),
(16887, 2, 1867, 'CodevTT_RAF', '0', '0', 0, 1411982264),
(16888, 2, 1867, 'CodevTT_RAF', '0', '0', 0, 1411982513),
(16891, 73, 1858, 'CodevTT_RAF', '2', '1', 0, 1411983082),
(16895, 2, 2120, 'handler_id', '74', '73', 0, 1411983743),
(16896, 73, 1858, 'CodevTT_RAF', '1', '0', 0, 1411984285),
(16897, 73, 1858, '', '0000468', '', 2, 1411984285),
(16898, 73, 1858, 'status', '50', '80', 0, 1411984285),
(16899, 73, 1858, 'resolution', '10', '20', 0, 1411984285),
(16938, 73, 1876, 'CodevTT_RAF', '0.5', '4', 0, 1412002001),
(16939, 73, 1876, '', '469', '', 2, 1412002017),
(16940, 2, 1862, 'CodevTT_RAF', '2', '2', 0, 1412004733),
(16941, 2, 1867, 'CodevTT_RAF', '0', '0', 0, 1412004755),
(16955, 2, 2131, 'handler_id', '0', '73', 0, 1412074499),
(16974, 2, 2120, 'CodevTT_Dead Line', '1412892000', '1413496800', 0, 1412086230),
(16977, 2, 2121, 'CodevTT_Dead Line', '1412200800', '1412287200', 0, 1412086309),
(16978, 2, 2131, 'CodevTT_Dead Line', '1415228400', '1415746800', 0, 1412086346),
(16979, 2, 1866, 'CodevTT_Dead Line', '1412546400', '1412892000', 0, 1412086381),
(16981, 2, 1867, 'CodevTT_Dead Line', '1446246000', '1411077600', 0, 1412086431),
(16984, 2, 1870, 'CodevTT_Dead Line', '1415314800', '1415574000', 0, 1412086491),
(16985, 2, 2132, 'CodevTT_Dead Line', '1414101600', '1415228400', 0, 1412086527),
(16988, 2, 1876, 'CodevTT_Dead Line', '1411423200', '1412200800', 0, 1412088340),
(16989, 2, 1877, 'CodevTT_Dead Line', '1414101600', '1414623600', 0, 1412088376),
(16990, 2, 1862, 'CodevTT_RAF', '2', '1', 0, 1412088848),
(16991, 2, 1862, 'CodevTT_RAF', '1', '1', 0, 1412088888),
(17014, 2, 1448, 'status', '50', '80', 0, 1412162386),
(17015, 2, 1448, 'resolution', '10', '20', 0, 1412162386),
(17016, 2, 1448, 'CodevTT_RAF', '4.5', '0', 0, 1412162386),
(17027, 73, 1876, 'CodevTT_RAF', '4', '2', 0, 1412235668),
(17028, 2, 1862, 'CodevTT_RAF', '1', '2', 0, 1412238019),
(17050, 74, 1876, 'CodevTT_RAF', '2', '3', 0, 1412241882),
(17051, 74, 1876, 'CodevTT_RAF', '3', '3', 0, 1412241922),
(17052, 74, 1876, 'CodevTT_RAF', '3', '3', 0, 1412241939),
(17053, 74, 1876, 'CodevTT_RAF', '3', '2', 0, 1412241955),
(17054, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1412241982),
(17055, 74, 2121, 'CodevTT_RAF', '4.5', '2', 0, 1412242094),
(17056, 74, 2121, 'CodevTT_RAF', '2', '1.5', 0, 1412242116),
(17113, 73, 1858, 'CodevTT_RAF', '0', '0', 0, 1412258660),
(17149, 2, 1862, 'CodevTT_RAF', '2', '0.5', 0, 1412321213),
(17150, 2, 1862, 'CodevTT_RAF', '0.5', '0.5', 0, 1412321236),
(17164, 2, 1868, 'handler_id', '72', '2', 0, 1412326007),
(17165, 2, 1868, 'CodevTT_Dead Line', '1446246000', '1414101600', 0, 1412326050),
(17167, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1412341016),
(17168, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1412341046),
(17169, 74, 1876, 'CodevTT_RAF', '2', '3', 0, 1412341102),
(17170, 74, 1876, 'CodevTT_RAF', '3', '2', 0, 1412341152),
(17171, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1412341162),
(17175, 73, 1876, 'CodevTT_RAF', '2', '2', 0, 1412347565),
(17176, 73, 1876, 'CodevTT_RAF', '2', '2', 0, 1412347782),
(17208, 2, 1862, 'CodevTT_RAF', '0.5', '0', 0, 1412536051),
(17209, 2, 1862, 'CodevTT_RAF', '0', '0', 0, 1412536051),
(17210, 2, 1862, 'status', '50', '80', 0, 1412536051),
(17242, 2, 2120, 'handler_id', '73', '74', 0, 1412588331),
(17243, 73, 1869, 'status', '10', '30', 0, 1412589684),
(17244, 73, 1876, 'CodevTT_RAF', '2', '2', 0, 1412589843),
(17245, 73, 1876, 'CodevTT_RAF', '2', '5', 0, 1412589859),
(17246, 73, 1876, 'CodevTT_RAF', '5', '5', 0, 1412589898),
(17256, 2, 2383, '', '', '', 1, 1412602658),
(17257, 2, 2383, 'handler_id', '0', '93', 0, 1412602658),
(17258, 73, 1869, 'status', '30', '40', 0, 1412603066),
(17259, 73, 1869, 'status', '40', '50', 0, 1412603072),
(17260, 73, 1869, 'CodevTT_RAF', '', '0', 0, 1412603087),
(17261, 73, 1869, 'status', '50', '80', 0, 1412603087),
(17262, 73, 1869, 'resolution', '10', '20', 0, 1412603087),
(17263, 93, 2383, 'CodevTT_RAF', '', '4', 0, 1412603287),
(17264, 93, 2383, 'CodevTT_RAF', '4', '3.5', 0, 1412603341),
(17265, 93, 2383, 'CodevTT_RAF', '3.5', '3.5', 0, 1412603382),
(17269, 2, 1862, 'CodevTT_RAF', '0', '0.25', 0, 1412608053),
(17270, 73, 1869, 'CodevTT_RAF', '0', '0', 0, 1412609107),
(17271, 73, 1877, 'status', '10', '30', 0, 1412664177),
(17276, 2, 1862, '', '0000470', '', 2, 1412667294),
(17277, 2, 1862, 'status', '80', '30', 0, 1412667294),
(17278, 2, 1862, 'resolution', '10', '30', 0, 1412667294),
(17279, 2, 1862, '', '0000470', '665', 3, 1412667310),
(17280, 74, 2121, 'CodevTT_RAF', '1.5', '1', 0, 1412667647),
(17311, 2, 1862, 'CodevTT_RAF', '0.25', '1', 0, 1412695871),
(17312, 2, 1862, 'status', '30', '50', 0, 1412695871),
(17313, 2, 1862, 'CodevTT_RAF', '1', '1', 0, 1412695885),
(17314, 2, 1862, 'CodevTT_RAF', '1', '1', 0, 1412697151),
(17315, 2, 1862, 'CodevTT_RAF', '1', '1', 0, 1412697166),
(17362, 2, 2133, 'CodevTT_ChargeMgr', '0', '5', 0, 1412782300),
(17363, 2, 2133, 'CodevTT_ChargeInit', '3.4', '5', 0, 1412782300),
(17364, 2, 2133, 'CodevTT_Dead Line', '1411941600', '1414710000', 0, 1412782300),
(17365, 2, 2133, 'handler_id', '93', '112', 0, 1412782300),
(17379, 2, 1862, 'CodevTT_RAF', '1', '1', 0, 1412851030),
(17380, 2, 1862, 'CodevTT_RAF', '1', '1', 0, 1412851069),
(17381, 2, 1862, 'CodevTT_RAF', '1', '0.5', 0, 1412851111),
(17410, 73, 1877, 'CodevTT_RAF', '', '4', 0, 1412863303),
(17411, 73, 1877, 'CodevTT_RAF', '4', '3.5', 0, 1412863334),
(17413, 2, 1862, 'CodevTT_RAF', '0.5', '0', 0, 1412871997),
(17414, 2, 1862, 'CodevTT_RAF', '0', '0', 0, 1412871997),
(17415, 2, 1862, 'status', '50', '80', 0, 1412871997),
(17419, 74, 2121, 'CodevTT_RAF', '1', '0.5', 0, 1412942314),
(17426, 74, 2121, 'CodevTT_RAF', '0.5', '0.5', 0, 1412943118),
(17427, 74, 2120, 'CodevTT_RAF', '13', '10', 0, 1412943193),
(17428, 74, 2120, 'CodevTT_RAF', '10', '9', 0, 1412943214),
(17429, 74, 2120, 'CodevTT_RAF', '9', '9', 0, 1412943237),
(17432, 2, 2465, '', '', '', 1, 1412948113),
(17433, 2, 2465, 'handler_id', '0', '93', 0, 1412948113),
(17434, 2, 2465, 'Ref. Externe', '', '39385', 0, 1412948162),
(17435, 2, 1596, 'project_id', '46', '44', 0, 1412950967),
(17496, 73, 1877, 'summary', 'Expérimentation- QC 39210', 'Expérimentation- QC 39210 - récupération revenus et cotisations pour l\'ACOSS', 0, 1412952446),
(17562, 2, 1866, 'status', '10', '30', 0, 1413190348),
(17660, 74, 2133, 'CodevTT_RAF', '', '1', 0, 1413289048),
(17661, 74, 2133, 'CodevTT_RAF', '1', '1', 0, 1413289062),
(17662, 74, 2133, 'CodevTT_RAF', '1', '0.5', 0, 1413289082),
(17668, 73, 1877, 'CodevTT_RAF', '3.5', '8', 0, 1413292113),
(17669, 73, 1877, 'CodevTT_RAF', '8', '8', 0, 1413292133),
(17673, 73, 1877, 'CodevTT_RAF', '8', '7', 0, 1413292145),
(17674, 73, 1877, 'CodevTT_RAF', '7', '6', 0, 1413292171),
(19005, 93, 2383, 'CodevTT_RAF', '0.2', '0.1', 0, 1414431126),
(17968, 2, 2383, 'Ref. Externe', '', '38914', 0, 1413407717),
(17988, 72, 1870, 'handler_id', '2', '114', 0, 1413455559),
(17989, 72, 1870, 'status', '10', '50', 0, 1413455559),
(18028, 2, 1870, 'CodevTT_ChargeMgr', '', '3', 0, 1413470448),
(18035, 112, 2133, 'CodevTT_RAF', '0.5', '0.2', 0, 1413473635),
(18036, 112, 2133, 'CodevTT_RAF', '0.2', '1', 0, 1413473866),
(18037, 112, 2133, 'CodevTT_RAF', '1', '0.5', 0, 1413473955),
(18079, 73, 1877, 'CodevTT_RAF', '6', '5', 0, 1413553350),
(18080, 73, 1877, 'CodevTT_RAF', '5', '5', 0, 1413553378),
(18119, 2, 2465, 'CodevTT_ChargeMgr', '2', '10', 0, 1413791195),
(18120, 2, 2465, 'CodevTT_ChargeInit', '2', '10', 0, 1413791195),
(18126, 2, 2131, 'priority', '30', '40', 0, 1413791360),
(18128, 2, 2131, 'priority', '40', '30', 0, 1413791403),
(18135, 2, 1864, 'handler_id', '72', '114', 0, 1413791575),
(18136, 2, 1871, 'handler_id', '72', '114', 0, 1413791652),
(18137, 93, 2383, 'CodevTT_RAF', '3.5', '2.50', 0, 1413793326),
(18138, 2, 2465, 'CodevTT_Dead Line', '1413496800', '1416178800', 0, 1413793725),
(18142, 93, 2465, 'CodevTT_RAF', '', '9', 0, 1413794371),
(18143, 93, 2465, 'CodevTT_RAF', '9', '9', 0, 1413794477),
(18144, 93, 2465, 'CodevTT_RAF', '9', '8.5', 0, 1413794520),
(18145, 93, 2465, 'CodevTT_RAF', '8.5', '7.5', 0, 1413794778),
(18146, 93, 2383, 'CodevTT_RAF', '2.50', '2.50', 0, 1413794814),
(18147, 93, 2383, 'CodevTT_RAF', '2.50', '1.50', 0, 1413795003),
(18155, 2, 2383, 'CodevTT_Dead Line', '', '1418684400', 0, 1413795901),
(19004, 93, 2383, 'CodevTT_RAF', '0.5', '0.2', 0, 1414431002),
(19003, 93, 2465, 'CodevTT_RAF', '7.5', '0.1', 0, 1414430944),
(19002, 93, 2383, 'CodevTT_RAF', '0.5', '0.5', 0, 1414430783),
(19001, 93, 2383, 'CodevTT_RAF', '0.5', '0.5', 0, 1414430604),
(18192, 114, 1870, 'CodevTT_RAF', '', '3', 0, 1413878436),
(18193, 114, 1870, 'CodevTT_RAF', '3', '4', 0, 1413878559),
(18194, 114, 1870, 'CodevTT_RAF', '4', '3', 0, 1413878628),
(18201, 114, 1870, 'CodevTT_RAF', '3', '4', 0, 1413878705),
(18202, 114, 1870, 'CodevTT_RAF', '4', '3', 0, 1413878723),
(18203, 114, 1870, 'CodevTT_RAF', '3', '2', 0, 1413878733),
(18211, 2, 1866, 'CodevTT_RAF', '3', '2', 0, 1413884079),
(18212, 2, 1866, 'CodevTT_RAF', '2', '3', 0, 1413884794),
(18221, 2, 2650, '', '', '', 1, 1413892499),
(18224, 2, 2652, '', '', '', 1, 1413892563),
(18225, 2, 2652, 'project_id', '41', '44', 0, 1413892590),
(18226, 2, 2650, 'project_id', '41', '44', 0, 1413892590),
(18227, 2, 2652, 'category', 'General', 'Capitalisation', 0, 1413892627),
(18228, 2, 2652, 'summary', '[v14.x.x] Validation/ Livraison Patch 17/11', '[v14.x.x] Validation/ Livraison Patch 17 Nov', 0, 1413892627),
(18230, 2, 2652, 'category', 'Capitalisation', 'Outillage', 0, 1413892664),
(18232, 2, 2650, 'category', 'General', 'Outillage', 0, 1413892688),
(18237, 2, 2650, 'summary', '[v14.2.2] Validation/ Livraison Patch 16 Dec', '[TAIGA v14.2.2] Validation/ Livraison Patch 16 Dec', 0, 1413892904),
(18238, 2, 2652, 'summary', '[v14.x.x] Validation/ Livraison Patch 17 Nov', '[TAIGA v14.x.x] Validation/ Livraison Patch 17 Nov', 0, 1413892917),
(18239, 2, 2652, 'project_id', '44', '41', 0, 1413892990),
(18240, 2, 2652, 'category', 'Outillage', 'General', 0, 1413892990),
(18241, 2, 2650, 'project_id', '44', '41', 0, 1413892990),
(18242, 2, 2650, 'category', 'Outillage', 'General', 0, 1413892990),
(18243, 2, 2652, 'category', 'General', 'Livraison', 0, 1413893052),
(18244, 2, 2650, 'category', 'General', 'Livraison', 0, 1413893052),
(18245, 2, 2652, 'Ref. Externe', '', '39385', 0, 1413893397),
(18246, 2, 2652, 'summary', '[TAIGA v14.x.x] Validation/ Livraison Patch 17 Nov', '[TAIGA v14.x.x] Validation/ Livraison Patch 17 Nov - QC39385', 0, 1413893397),
(18247, 2, 2650, 'Ref. Externe', '', '38914', 0, 1413893418),
(18248, 2, 2650, 'summary', '[TAIGA v14.2.2] Validation/ Livraison Patch 16 Dec', '[TAIGA v14.2.2] Validation/ Livraison Patch 16 Dec - QC38914', 0, 1413893418),
(18249, 2, 2650, 'CodevTT_ChargeMgr', '0', '1', 0, 1413893509),
(18250, 2, 2650, 'Ref. Externe', '38914', '', 0, 1413893779),
(18251, 2, 2650, 'summary', '[TAIGA v14.2.2] Validation/ Livraison Patch 16 Dec - QC38914', '[TAIGA v14.2.2] Validation/ Livraison Patch 16 Dec', 0, 1413893779),
(18252, 2, 2652, 'Ref. Externe', '39385', '', 0, 1413893798),
(18253, 2, 2652, 'CodevTT_ChargeMgr', '', '0', 0, 1413893798),
(18254, 2, 2652, 'summary', '[TAIGA v14.x.x] Validation/ Livraison Patch 17 Nov - QC39385', '[TAIGA v14.x.x] Validation/ Livraison Patch 17 Nov', 0, 1413893798),
(18258, 2, 2650, 'CodevTT_ChargeMgr', '1', '0', 0, 1413893936),
(18262, 2, 2650, 'handler_id', '0', '96', 0, 1413894961),
(18263, 2, 2652, 'handler_id', '0', '96', 0, 1413894961),
(18826, 2, 2132, 'CodevTT_Dead Line', '1415228400', '1414537200', 0, 1413971351),
(18827, 2, 2132, 'CodevTT_RAF', '', '0', 0, 1413971351),
(18828, 2, 2132, 'handler_id', '93', '2', 0, 1413971351),
(18829, 2, 2132, 'target_version', '', '15.0.0', 0, 1413971375),
(18830, 2, 2132, 'CodevTT_ChargeMgr', '0', '2', 0, 1413971491),
(18831, 2, 2132, 'CodevTT_ChargeInit', '1', '2', 0, 1413971491),
(18832, 2, 2132, 'CodevTT_RAF', '0', '2', 0, 1413971491),
(18833, 2, 2132, 'CodevTT_RAF', '2', '0', 0, 1413971491),
(18843, 2, 1866, 'CodevTT_RAF', '1.5', '1', 0, 1413988898),
(18844, 2, 1866, 'status', '30', '50', 0, 1413988898),
(18854, 73, 1877, 'CodevTT_RAF', '5', '6', 0, 1414053276),
(18855, 73, 1877, 'CodevTT_RAF', '6', '4.5', 0, 1414053313),
(18856, 73, 1877, 'CodevTT_RAF', '4.5', '5', 0, 1414053325),
(18861, 73, 1877, 'CodevTT_RAF', '5', '5', 0, 1414070290),
(18864, 112, 2133, 'CodevTT_RAF', '0.5', '1', 0, 1414079689),
(18865, 2, 1866, 'CodevTT_RAF', '1', '0.5', 0, 1414079725),
(18879, 93, 2383, 'CodevTT_RAF', '1.50', '1', 0, 1414136968),
(18880, 2, 1866, 'CodevTT_RAF', '0.5', '0.5', 0, 1414143616),
(18888, 74, 2133, 'CodevTT_RAF', '1', '0', 0, 1414154834),
(18889, 74, 2133, 'CodevTT_RAF', '0', '0', 0, 1414154834),
(18890, 74, 2133, 'status', '10', '80', 0, 1414154834),
(18891, 74, 1876, 'CodevTT_RAF', '5', '3', 0, 1414154853),
(18892, 74, 1876, 'CodevTT_RAF', '3', '2', 0, 1414154974),
(18893, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1414155078),
(18894, 74, 1876, 'CodevTT_RAF', '2', '2', 0, 1414155098),
(18895, 74, 1876, 'CodevTT_RAF', '2', '1', 0, 1414155106),
(18896, 74, 2121, 'CodevTT_RAF', '0.5', '0.5', 0, 1414155139),
(18897, 114, 1870, 'CodevTT_RAF', '2', '1', 0, 1414155156),
(18898, 74, 2121, 'CodevTT_RAF', '0.5', '0.5', 0, 1414155165),
(18899, 114, 1870, 'CodevTT_RAF', '1', '0', 0, 1414155207),
(18900, 114, 1870, 'CodevTT_RAF', '0', '0', 0, 1414155207),
(18901, 114, 1870, 'status', '50', '80', 0, 1414155207),
(18904, 73, 1877, 'CodevTT_RAF', '5', '2', 0, 1414162874),
(18905, 73, 1877, 'CodevTT_RAF', '2', '1', 0, 1414162889),
(18926, 2, 1866, 'CodevTT_RAF', '0.5', '0', 0, 1414412614),
(18927, 2, 1866, 'CodevTT_RAF', '0', '0', 0, 1414412614),
(18928, 2, 1866, 'status', '50', '80', 0, 1414412614),
(18939, 2, 1876, '', '469', '', 4, 1414413395),
(18938, 112, 2133, 'CodevTT_RAF', '0', '0.5', 0, 1414413336),
(18934, 112, 2133, 'CodevTT_RAF', '0', '0', 0, 1414413209),
(18937, 112, 2133, 'CodevTT_RAF', '0', '0', 0, 1414413312),
(18983, 112, 2133, 'CodevTT_RAF', '0.5', '0', 0, 1414426071),
(18984, 112, 2133, 'CodevTT_RAF', '0', '0', 0, 1414426086),
(18991, 2, 2132, 'CodevTT_RAF', '0', '5', 0, 1414429315),
(18992, 2, 2132, 'CodevTT_RAF', '5', '5', 0, 1414429333),
(18993, 2, 2132, 'status', '10', '30', 0, 1414429333),
(19000, 93, 2383, 'CodevTT_RAF', '1', '0.5', 0, 1414430419),
(19021, 2, 2779, '', '', '', 1, 1414492185),
(19022, 2, 2779, 'handler_id', '0', '114', 0, 1414492185),
(19023, 2, 2779, 'CodevTT_Dead Line', '', '1414710000', 0, 1414492221),
(19024, 2, 2779, 'CodevTT_RAF', '', '0', 0, 1414492221),
(19025, 114, 2779, 'CodevTT_RAF', '0', '4', 0, 1414492272),
(19026, 2, 1596, 'CodevTT_RAF', '3.5', '', 0, 1414493354),
(19027, 2, 1596, 'CodevTT_RAF', '', '0', 0, 1414493354),
(19028, 2, 1596, 'category', 'General', 'Capitalisation', 0, 1414493354),
(19029, 2, 1596, 'status', '10', '80', 0, 1414493368),
(19030, 2, 1596, 'resolution', '10', '20', 0, 1414493368),
(19031, 2, 1596, 'handler_id', '0', '2', 0, 1414493368),
(19032, 2, 1596, 'status', '80', '90', 0, 1414493374),
(19033, 2, 1596, 'handler_id', '2', '0', 0, 1414493379),
(19034, 2, 2780, '', '', '', 1, 1414493430),
(19035, 2, 2780, 'handler_id', '0', '2', 0, 1414493430),
(19036, 2, 2780, 'CodevTT_RAF', '', '0', 0, 1414493488),
(19037, 2, 2780, 'handler_id', '2', '0', 0, 1414493488),
(19038, 2, 2780, 'CodevTT_RAF', '0', '', 0, 1414493506),
(19039, 2, 2780, 'CodevTT_RAF', '', '0', 0, 1414493506),
(19040, 2, 2780, 'CodevTT_RAF', '0', '', 0, 1414493520),
(19041, 2, 2780, 'CodevTT_RAF', '', '0', 0, 1414493520),
(19085, 112, 2133, 'CodevTT_RAF', '0', '0', 0, 1414516076),
(19086, 112, 1871, 'CodevTT_RAF', '', '0', 0, 1414516198),
(19087, 112, 1871, 'CodevTT_RAF', '0', '0', 0, 1414516198),
(19088, 112, 1871, 'status', '10', '80', 0, 1414516198),
(19089, 112, 2779, 'CodevTT_RAF', '4', '3.5', 0, 1414516376),
(19185, 74, 2120, 'CodevTT_RAF', '9', '0.5', 0, 1414575065),
(19261, 72, 2849, '', '', '', 1, 1414583853),
(19262, 72, 2849, 'handler_id', '0', '72', 0, 1414583853),
(19263, 72, 2849, 'CodevTT_RAF', '', '4.5', 0, 1414583969),
(19264, 72, 2849, 'status', '10', '50', 0, 1414583969),
(19276, 2, 2132, 'CodevTT_RAF', '5', '5', 0, 1414593300),
(19277, 112, 2779, 'CodevTT_RAF', '3.5', '1', 0, 1414595535),
(19332, 2, 1868, 'CodevTT_RAF', '', '0', 0, 1414665454),
(19333, 2, 1868, 'handler_id', '2', '114', 0, 1414665454),
(19334, 2, 2465, 'CodevTT_RAF', '0.1', '0', 0, 1414665510),
(19335, 2, 2465, 'handler_id', '93', '2', 0, 1414665510),
(19336, 2, 2465, 'CodevTT_RAF', '0', '', 0, 1414666122),
(19337, 2, 2465, 'CodevTT_RAF', '', '0', 0, 1414666122),
(19338, 2, 2465, 'CodevTT_RAF', '0', '10', 0, 1414666314),
(19339, 2, 2465, 'CodevTT_RAF', '10', '0', 0, 1414666314),
(19340, 2, 2465, 'CodevTT_RAF', '0', '', 0, 1414667351),
(19341, 2, 2465, 'CodevTT_ChargeInit', '10', '5', 0, 1414672372),
(19346, 2, 2465, 'CodevTT_ChargeInit', '5', '10', 0, 1414672741),
(19347, 2, 2465, 'CodevTT_RAF', '', '5', 0, 1414672741),
(19348, 2, 2465, 'CodevTT_RAF', '5', '', 0, 1414672750),
(19349, 2, 2780, 'CodevTT_RAF', '0', '', 0, 1414672777),
(19350, 2, 1596, 'CodevTT_RAF', '0', '', 0, 1414672791),
(19373, 2, 2132, 'CodevTT_RAF', '5', '3', 0, 1414743940),
(19374, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1414743976),
(19375, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1414744000),
(19380, 112, 2779, 'CodevTT_RAF', '1', '1', 0, 1414746404),
(19381, 112, 2779, 'CodevTT_RAF', '1', '1', 0, 1414746441),
(19425, 72, 2853, '', '', '', 1, 1414770031),
(19426, 72, 2853, 'handler_id', '0', '72', 0, 1414770031),
(19441, 72, 2853, 'CodevTT_RAF', '', '4.5', 0, 1414770485),
(19498, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1414774151),
(19499, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1414774172),
(19500, 72, 2853, 'CodevTT_ChargeMgr', '0', '5', 0, 1414775416),
(19501, 72, 2853, 'status', '10', '50', 0, 1414775416),
(19626, 2, 2865, '', '', '', 1, 1415025333),
(19627, 2, 2865, 'handler_id', '0', '2', 0, 1415025333),
(19630, 2, 2865, 'summary', 'Pilotage RSI_TMA Retaite 2', 'Pilotage RSI_TMA Retaite', 0, 1415025386),
(19646, 73, 2131, 'CodevTT_RAF', '', '5', 0, 1415087014),
(19647, 73, 1877, 'CodevTT_RAF', '1', '0.5', 0, 1415087051),
(19648, 73, 1877, 'CodevTT_RAF', '0.5', '0', 0, 1415087075),
(19649, 73, 1877, 'CodevTT_RAF', '0', '0', 0, 1415087075),
(19650, 73, 1877, 'status', '30', '80', 0, 1415087075),
(19651, 73, 2131, 'status', '10', '30', 0, 1415087109),
(19652, 73, 2131, 'status', '30', '40', 0, 1415087121),
(19653, 112, 2779, 'CodevTT_RAF', '1', '2', 0, 1415090648),
(19654, 112, 2779, 'CodevTT_RAF', '2', '3', 0, 1415090674),
(19661, 116, 2779, 'CodevTT_RAF', '3', '1', 0, 1415107944),
(19708, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1415116272),
(19714, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1415116340),
(19745, 112, 2779, 'CodevTT_RAF', '1', '3', 0, 1415176738),
(19746, 2, 2779, 'status', '10', '50', 0, 1415179814),
(19747, 2, 2465, 'status', '10', '50', 0, 1415179842),
(19748, 2, 2383, 'status', '10', '50', 0, 1415179856),
(19749, 2, 2120, 'status', '10', '50', 0, 1415179864),
(19750, 2, 1431, 'summary', 'Pilotage RSI_TMA_Sante', 'Pilotage RSI_TMA_Sante (Experimentation)', 0, 1415182388),
(19751, 2, 2894, '', '', '', 1, 1415182434),
(19752, 2, 2894, 'handler_id', '0', '2', 0, 1415182434),
(19769, 2, 2465, 'CodevTT_RAF', '', '0', 0, 1415193031),
(19770, 2, 2465, 'CodevTT_RAF', '0', '0', 0, 1415193031),
(19771, 2, 2465, 'status', '50', '80', 0, 1415193031),
(19772, 2, 2465, 'CodevTT_RAF', '0', '0', 0, 1415193050),
(19773, 2, 2465, 'CodevTT_ChargeMgr', '10', '2.7', 0, 1415193375),
(19774, 2, 2465, 'CodevTT_ChargeInit', '10', '2.25', 0, 1415193375),
(19775, 2, 2465, 'summary', '[QC39385] synchronisation ident RIBA-TAPAS', 'Analyse et Spécifications (DEP+SES)', 0, 1415193375),
(19776, 2, 2465, '', '679', '', 6, 1415193375),
(19780, 2, 2912, 'handler_id', '0', '2', 0, 1415194263),
(19779, 2, 2912, '', '', '', 1, 1415194263),
(19833, 112, 2779, 'CodevTT_RAF', '3', '3', 0, 1415271407),
(19834, 112, 2779, 'CodevTT_RAF', '3', '0', 0, 1415271454),
(19835, 112, 2779, 'CodevTT_RAF', '0', '0', 0, 1415271454),
(19836, 112, 2779, 'status', '50', '80', 0, 1415271454),
(20057, 72, 2853, 'CodevTT_RAF', '4.5', '4', 0, 1415292918),
(20058, 72, 2853, 'CodevTT_RAF', '4', '3.5', 0, 1415292952),
(20059, 72, 2853, 'CodevTT_RAF', '3.5', '3', 0, 1415293014),
(99783, 74, 8839, 'CodevTT_RAF', '0', '0.5', 0, 1465803867),
(99782, 72, 12097, '', '', '12138', 20, 1465803705),
(99781, 72, 12138, '', '', '12097', 21, 1465803705),
(99780, 72, 12138, 'handler_id', '0', '134', 0, 1465803705),
(99779, 72, 12138, '', '', '', 1, 1465803705),
(99777, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1465802845),
(99778, 74, 10400, 'CodevTT_RAF', '9', '1', 0, 1465803421),
(99776, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465802821),
(99775, 72, 12097, 'resolution', '10', '20', 0, 1465802271),
(20251, 73, 2131, 'CodevTT_RAF', '5', '5', 0, 1415367188),
(20252, 73, 2131, 'CodevTT_RAF', '5', '5', 0, 1415367225),
(20253, 73, 1868, 'CodevTT_RAF', '0', '2', 0, 1415367288),
(20254, 73, 1868, 'CodevTT_RAF', '2', '2', 0, 1415367311),
(20268, 73, 1868, 'handler_id', '114', '73', 0, 1415370647),
(20269, 73, 1868, 'status', '10', '30', 0, 1415370654),
(20351, 73, 1868, 'CodevTT_RAF', '2', '2', 0, 1415376332),
(20399, 2, 2912, 'CodevTT_RAF', '', '0.75', 0, 1415379157),
(20400, 2, 2912, 'status', '10', '50', 0, 1415379157),
(20401, 2, 2912, 'CodevTT_RAF', '0.75', '0', 0, 1415379196),
(20402, 2, 2912, 'CodevTT_RAF', '0', '0', 0, 1415379196),
(20403, 2, 2912, 'status', '50', '80', 0, 1415379196),
(20404, 2, 2465, 'CodevTT_RAF', '0', '0', 0, 1415379283),
(20440, 116, 1448, 'CodevTT_RAF', '0', '0', 0, 1415608891),
(20445, 116, 1448, 'CodevTT_RAF', '0', '0', 0, 1415609065),
(20446, 116, 2779, 'CodevTT_RAF', '0', '0', 0, 1415609158),
(20545, 2, 2844, 'CodevTT_RAF', '', '3', 0, 1415803193),
(20546, 2, 2844, 'CodevTT_ChargeMgr', '0.9', '4.5', 0, 1415803378),
(20547, 2, 2844, 'CodevTT_ChargeInit', '0.8', '3.75', 0, 1415803378),
(20548, 2, 2844, 'handler_id', '0', '2', 0, 1415803391),
(20549, 2, 2844, 'status', '10', '50', 0, 1415803391),
(20550, 2, 2844, 'summary', 'Produire le Fichier de résultat', 'Developpements fichiers SH & SQL', 0, 1415803465),
(20560, 72, 2853, 'CodevTT_RAF', '3', '2', 0, 1415868128),
(20582, 74, 2904, 'CodevTT_RAF', '', '2.5', 0, 1415958559),
(20584, 74, 2904, 'CodevTT_RAF', '2.5', '2', 0, 1415958575),
(20588, 74, 2904, 'CodevTT_RAF', '2', '0.5', 0, 1415958609),
(20589, 74, 2120, 'CodevTT_RAF', '0.5', '0.5', 0, 1415958646),
(20590, 74, 2120, 'CodevTT_RAF', '0.5', '0.5', 0, 1415958682),
(20591, 74, 2814, 'CodevTT_RAF', '', '0.5', 0, 1415958777),
(20592, 74, 2909, 'CodevTT_RAF', '', '1.5', 0, 1415959078),
(20593, 74, 2840, 'CodevTT_RAF', '', '1', 0, 1415962083),
(20594, 74, 2821, 'CodevTT_RAF', '', '3', 0, 1415962227),
(20595, 74, 2821, 'CodevTT_RAF', '3', '2.5', 0, 1415962243),
(20596, 74, 2821, 'CodevTT_RAF', '2.5', '2', 0, 1415962278),
(20597, 74, 1876, 'CodevTT_RAF', '1', '0.5', 0, 1415962326),
(20627, 74, 2840, 'CodevTT_RAF', '1', '1', 0, 1415978309),
(20710, 2, 3084, '', '', '', 1, 1416215852),
(20711, 2, 3084, 'handler_id', '0', '93', 0, 1416215852),
(20713, 93, 3084, 'CodevTT_RAF', '', '1', 0, 1416216216),
(20714, 93, 3084, 'CodevTT_RAF', '1', '1', 0, 1416216254),
(20715, 93, 2383, 'CodevTT_RAF', '0.1', '0.1', 0, 1416216464),
(20743, 116, 1871, 'CodevTT_RAF', '0', '0', 0, 1416226989),
(20817, 2, 2844, 'CodevTT_RAF', '3', '2', 0, 1416317620),
(20818, 2, 2844, 'CodevTT_RAF', '2', '2', 0, 1416317637),
(20819, 2, 2838, 'CodevTT_RAF', '', '1', 0, 1416317706),
(20820, 2, 2841, 'CodevTT_RAF', '', '0.1', 0, 1416317782),
(20821, 2, 2841, 'status', '10', '50', 0, 1416317782),
(20822, 2, 2652, 'CodevTT_RAF', '', '0.1', 0, 1416317879),
(20823, 2, 2652, 'status', '10', '50', 0, 1416317879),
(20824, 2, 2838, 'CodevTT_RAF', '1', '0.1', 0, 1416317886),
(20825, 2, 2844, 'CodevTT_RAF', '2', '0.1', 0, 1416317904),
(20826, 2, 2652, 'CodevTT_Dead Line', '1416178800', '1416265200', 0, 1416317980),
(20827, 2, 2652, 'summary', '[TAIGA v14.x.x] Validation/ Livraison Patch 17 Nov', '[TAIGA PAL v1.4.72] Validation/ Livraison Patch 18 Nov', 0, 1416317980),
(20845, 116, 1871, 'CodevTT_RAF', '0', '0', 0, 1416324890),
(20889, 72, 2853, 'CodevTT_RAF', '2', '1', 0, 1416331354),
(20892, 72, 2853, 'CodevTT_RAF', '1', '0.5', 0, 1416331747),
(21006, 2, 2841, 'status', '50', '80', 0, 1416390371),
(21007, 2, 2841, 'resolution', '10', '20', 0, 1416390371),
(21008, 2, 2841, 'handler_id', '0', '2', 0, 1416390371),
(21009, 2, 2841, 'CodevTT_RAF', '0.1', '0', 0, 1416390371),
(21010, 2, 2838, 'status', '10', '80', 0, 1416390401),
(21011, 2, 2838, 'resolution', '10', '20', 0, 1416390401),
(21012, 2, 2838, 'handler_id', '0', '2', 0, 1416390401),
(21013, 2, 2838, 'CodevTT_RAF', '0.1', '0', 0, 1416390401),
(21014, 2, 2844, 'status', '50', '80', 0, 1416390441),
(21015, 2, 2844, 'resolution', '10', '20', 0, 1416390441),
(21016, 2, 2844, 'CodevTT_RAF', '0.1', '0', 0, 1416390441),
(21017, 2, 2652, 'CodevTT_RAF', '0.1', '0', 0, 1416390513),
(21018, 2, 2652, 'CodevTT_RAF', '0', '0', 0, 1416390513),
(21019, 2, 2652, 'status', '50', '80', 0, 1416390513),
(21020, 2, 2652, 'handler_id', '96', '2', 0, 1416390671),
(21021, 116, 2779, 'CodevTT_RAF', '0', '0', 0, 1416391419),
(21022, 116, 2779, 'CodevTT_RAF', '0', '0', 0, 1416391457),
(21023, 114, 2779, 'CodevTT_RAF', '0', '3', 0, 1416391637),
(21024, 114, 2779, 'CodevTT_RAF', '3', '2', 0, 1416391651),
(21030, 114, 1870, 'CodevTT_RAF', '0', '1', 0, 1416391685),
(21031, 114, 2779, 'CodevTT_RAF', '2', '0', 0, 1416391882),
(21032, 114, 2779, 'CodevTT_RAF', '0', '0', 0, 1416391898),
(21034, 114, 1870, 'CodevTT_RAF', '1', '2', 0, 1416391970),
(21035, 114, 1864, 'CodevTT_RAF', '', '6', 0, 1416392008),
(21036, 114, 1864, 'CodevTT_RAF', '6', '5', 0, 1416392086),
(21037, 114, 1864, 'CodevTT_RAF', '5', '4', 0, 1416392106),
(21038, 114, 1864, 'CodevTT_RAF', '4', '3', 0, 1416392118),
(21039, 114, 1864, 'CodevTT_RAF', '3', '2', 0, 1416392149),
(21043, 114, 1870, 'CodevTT_RAF', '2', '1.5', 0, 1416392179),
(21044, 114, 2779, 'CodevTT_RAF', '0', '0', 0, 1416392199),
(21046, 114, 2779, 'CodevTT_RAF', '0', '0', 0, 1416392212),
(21048, 2, 3084, 'status', '10', '50', 0, 1416398808),
(21049, 2, 3084, 'summary', '39535 : Analyse et spécifications (DEP+SES)', '39535 : Analyse et spécifications (DVS+SFD)', 0, 1416398808),
(21228, 72, 3137, '', '', '', 1, 1416405057),
(21230, 72, 3137, 'handler_id', '0', '74', 0, 1416405256),
(21231, 72, 3137, 'status', '10', '50', 0, 1416405256),
(21232, 2, 2840, 'status', '10', '50', 0, 1416405422),
(21233, 2, 2840, 'handler_id', '0', '74', 0, 1416405505),
(21234, 2, 2821, 'handler_id', '0', '74', 0, 1416405524),
(21235, 2, 2814, 'handler_id', '0', '74', 0, 1416405560),
(21236, 2, 2814, 'status', '10', '50', 0, 1416405585),
(21237, 2, 2904, 'handler_id', '0', '74', 0, 1416405616),
(21238, 2, 2904, 'status', '10', '50', 0, 1416405616),
(21239, 2, 2909, 'handler_id', '0', '74', 0, 1416405659),
(21240, 2, 2909, 'status', '10', '50', 0, 1416405659),
(21242, 2, 1864, 'status', '10', '50', 0, 1416405739),
(21250, 72, 3137, 'CodevTT_RAF', '', '6', 0, 1416406225),
(21258, 2, 2821, 'status', '10', '50', 0, 1416406592),
(21259, 2, 1870, 'CodevTT_RAF', '1.5', '0', 0, 1416406637),
(21277, 2, 2844, 'CodevTT_RAF', '0', '0', 0, 1416408151),
(21278, 2, 2844, 'CodevTT_RAF', '0', '0', 0, 1416408167),
(21279, 72, 3144, '', '', '', 1, 1416409096),
(21280, 72, 3144, 'handler_id', '0', '2', 0, 1416409096),
(21283, 72, 2817, 'summary', 'Consulter champ Origine dans déclaration des revenus', 'Devt /TU', 0, 1416409788),
(21284, 72, 2817, 'CodevTT_ChargeMgr', '0.7', '2.2', 0, 1416409899),
(21285, 72, 2817, 'CodevTT_ChargeInit', '0.6', '1.8', 0, 1416409899),
(21286, 72, 2819, 'summary', 'Etude d\'impact', 'QC38929 Prise en charge OGMA', 0, 1416410419),
(21287, 72, 2819, '', '693', '', 6, 1416410419),
(21288, 2, 2132, 'CodevTT_Dead Line', '1414537200', '1418598000', 0, 1416410482),
(21289, 72, 2383, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(21290, 72, 2901, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(21291, 72, 2903, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(21293, 72, 2898, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(21294, 72, 2900, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(21295, 72, 2902, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(21296, 72, 2897, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(21297, 72, 2899, 'target_version', '', 'PALL_Dec_2014', 0, 1416411069),
(23239, 72, 3335, 'summary', 'Etude d\'impact', 'Etude d\'impact et Specifications', 0, 1417774434),
(21327, 72, 2819, 'target_version', '', 'V14.2 (lot de mars)', 0, 1416413606),
(21341, 2, 2132, 'summary', 'Evo 39022', '39022 Etude et Specifications', 0, 1416414727),
(21343, 2, 2131, 'CodevTT_RAF', '5', '0', 0, 1416414924),
(21344, 2, 2131, 'status', '40', '80', 0, 1416414924),
(21345, 2, 2131, 'target_version', '', '15.0.0', 0, 1416414924),
(21346, 2, 2131, 'summary', 'Evo 37449', '37449 Etude et Specification', 0, 1416414924),
(21347, 2, 2131, 'CodevTT_ChargeMgr', '0', '2', 0, 1416415133),
(21348, 2, 2131, 'CodevTT_ChargeInit', '9', '1.7', 0, 1416415133),
(21353, 2, 2133, 'summary', 'Evo 39189', '39189 Experimentation - Contrôle de la date d\'envoi des différents flux partenaire', 0, 1416415291),
(21354, 2, 2133, 'summary', '39189 Experimentation - Contrôle de la date d\'envoi des différents flux partenaire', 'Expérimentation - QC39189 - Contrôle de la date d\'envoi des différents flux partenaire', 0, 1416415395),
(21355, 2, 2383, 'CodevTT_ChargeMgr', '5', '6', 0, 1416415539),
(21356, 2, 3084, 'CodevTT_ChargeInit', '2', '1.7', 0, 1416415770),
(21357, 2, 3084, 'CodevTT_Dead Line', '', '1416524400', 0, 1416415770),
(21358, 2, 3084, 'target_version', '', 'V14.2 (lot de mars)', 0, 1416415770),
(21359, 2, 2821, 'target_version', '', '15.0.0', 0, 1416415982),
(21360, 2, 2120, 'target_version', '', '15.0.0', 0, 1416415982),
(30364, 2, 2820, 'CodevTT_RAF', '0.5', '0', 0, 1426607775),
(30365, 2, 2820, 'summary', 'Analyse et Spécifications (DEP+SES)', '39021 [SPEC] Gestion des AR', 0, 1426607775),
(30366, 2, 2820, 'status', '50', '80', 0, 1426607781),
(30362, 2, 2821, 'CodevTT_RAF', '2', '8', 0, 1426607712),
(21368, 2, 2820, 'target_version', '', '15.0.0', 0, 1416415982),
(30363, 2, 2821, 'summary', 'Revues (SES, code, plans test)', '39021 [DEV] Gestion des AR', 0, 1426607712),
(30361, 2, 2821, 'CodevTT_ChargeInit', '0.4', '10', 0, 1426607712),
(21379, 2, 2120, 'CodevTT_ChargeMgr', '', '1.5', 0, 1416416253),
(21380, 2, 2120, 'CodevTT_ChargeInit', '15', '1.3', 0, 1416416253),
(21381, 2, 2120, 'summary', 'QC 39021 - Simplication du calendrier des TI : Gestion des flux revenus et des AR', 'QC 39021 Qualification', 0, 1416416253),
(21384, 2, 2120, 'summary', 'QC 39021 Qualification', 'Qualification', 0, 1416416296),
(21385, 2, 2133, 'target_version', '', 'Experimentation', 0, 1416416669),
(21386, 2, 1870, 'target_version', '', 'Experimentation', 0, 1416416669),
(21387, 2, 1864, 'target_version', '', 'Experimentation', 0, 1416416669),
(21388, 2, 1871, 'target_version', '', 'Experimentation', 0, 1416416669),
(21389, 2, 1876, 'target_version', '', 'Experimentation', 0, 1416416669),
(21390, 2, 2912, 'target_version', '', 'Experimentation', 0, 1416416669),
(21391, 2, 1868, 'target_version', '', 'Experimentation', 0, 1416416669),
(21392, 2, 1877, 'target_version', '', 'Experimentation', 0, 1416416669),
(21393, 2, 1866, 'target_version', '', 'Experimentation', 0, 1416416669),
(21394, 2, 1862, 'target_version', '', 'Experimentation', 0, 1416416669),
(21395, 2, 1869, 'target_version', '', 'Experimentation', 0, 1416416669),
(21396, 2, 1858, 'target_version', '', 'Experimentation', 0, 1416416669),
(21397, 2, 1867, 'target_version', '', 'Experimentation', 0, 1416416669),
(21398, 2, 2817, 'target_version', '', '15.0.0', 0, 1416416769),
(21399, 2, 2814, 'target_version', '', '15.0.0', 0, 1416416769),
(30410, 73, 4265, 'CodevTT_RAF', '', '0', 0, 1426608605),
(30411, 73, 4265, 'CodevTT_RAF', '0', '0', 0, 1426608605),
(21403, 2, 2810, 'target_version', '', '15.0.0', 0, 1416416769),
(30412, 73, 4265, 'status', '50', '80', 0, 1426608605),
(21407, 2, 2835, 'target_version', '', 'V14.2 (lot de mars)', 0, 1416416819),
(21408, 2, 2844, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21409, 2, 2840, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21410, 2, 2838, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21411, 2, 2841, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21412, 2, 2465, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21413, 2, 2839, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21414, 2, 2837, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21415, 2, 2842, 'target_version', '', 'PALL_Nov_2014', 0, 1416416952),
(21494, 72, 3137, 'summary', 'Etude W8- Aix', 'Etude W8- TAIGA', 0, 1416466046),
(21499, 72, 2839, 'status', '10', '80', 0, 1416468953),
(21500, 72, 2839, 'resolution', '10', '20', 0, 1416468953),
(21501, 72, 2839, 'handler_id', '0', '72', 0, 1416468953),
(21502, 72, 2839, 'CodevTT_RAF', '', '0', 0, 1416468953),
(21503, 72, 2837, 'status', '10', '80', 0, 1416469019),
(21504, 72, 2837, 'resolution', '10', '20', 0, 1416469019),
(21505, 72, 2837, 'handler_id', '0', '72', 0, 1416469019),
(21506, 72, 2837, 'CodevTT_RAF', '', '0', 0, 1416469019),
(21507, 74, 2840, 'CodevTT_RAF', '1', '0.5', 0, 1416469254),
(21508, 74, 2840, 'CodevTT_RAF', '0.5', '0.5', 0, 1416469275),
(21509, 74, 2840, 'CodevTT_RAF', '0.5', '0', 0, 1416469305),
(21510, 74, 2840, 'CodevTT_RAF', '0', '0', 0, 1416469305),
(21511, 74, 2840, 'status', '50', '80', 0, 1416469305),
(21514, 72, 2383, 'summary', 'Evo 38914 - DSI-2014-EIC-Emission initiale ou complémentaire à la demande.', 'Evo 38914 - Etude et Specification', 0, 1416472034),
(21515, 72, 2383, 'CodevTT_ChargeMgr', '6', '5.3', 0, 1416472220),
(21522, 73, 1868, 'CodevTT_RAF', '2', '2', 0, 1416477361),
(21523, 73, 1868, 'CodevTT_RAF', '2', '1', 0, 1416477412),
(21524, 73, 1868, 'CodevTT_RAF', '1', '0.5', 0, 1416477493),
(21525, 73, 2819, 'CodevTT_RAF', '', '7', 0, 1416480225),
(21526, 73, 2819, 'CodevTT_RAF', '7', '6', 0, 1416480247),
(21538, 74, 1876, 'CodevTT_RAF', '0.5', '0', 0, 1416490424),
(21539, 74, 1876, 'CodevTT_RAF', '0', '0', 0, 1416490424),
(21540, 74, 1876, 'status', '50', '80', 0, 1416490424),
(21542, 73, 2898, 'handler_id', '0', '73', 0, 1416496251),
(21543, 2, 2844, '', '0000476', '', 2, 1416498411),
(21544, 2, 2844, 'status', '80', '30', 0, 1416498411),
(21545, 2, 2844, 'resolution', '20', '30', 0, 1416498411),
(21546, 2, 2844, 'status', '30', '50', 0, 1416498418),
(21547, 2, 2842, 'CodevTT_RAF', '', '0.1', 0, 1416498735),
(21548, 2, 2842, 'status', '10', '50', 0, 1416498735),
(21549, 2, 2844, '', '0000477', '', 2, 1416498774),
(21550, 2, 2844, 'status', '50', '80', 0, 1416498774),
(21551, 2, 2844, 'resolution', '30', '20', 0, 1416498774),
(21552, 2, 2844, '', '1', '2842', 18, 1416498796),
(21553, 2, 2842, '', '1', '2844', 18, 1416498796),
(21554, 2, 2842, 'handler_id', '0', '2', 0, 1416498836),
(21566, 2, 2652, 'CodevTT_RAF', '0', '0.1', 0, 1416556385),
(21655, 2, 2842, 'CodevTT_RAF', '0.1', '0.5', 0, 1416816756),
(21686, 2, 2652, 'CodevTT_RAF', '0.1', '0', 0, 1416826399),
(21725, 74, 3137, 'Ref. Externe', '', '39480', 0, 1416839372),
(21726, 74, 3137, 'CodevTT_RAF', '6', '5.5', 0, 1416839539),
(21727, 74, 3137, 'CodevTT_RAF', '5.5', '4.5', 0, 1416839585),
(21729, 116, 2819, 'CodevTT_RAF', '6', '6', 0, 1416841680),
(21730, 2, 1862, 'CodevTT_RAF', '0', '0', 0, 1416841809),
(21731, 2, 1867, 'CodevTT_RAF', '0', '0', 0, 1416841837),
(21732, 2, 3144, 'CodevTT_RAF', '', '3', 0, 1416841949),
(21733, 2, 3144, 'status', '10', '50', 0, 1416841949),
(21786, 114, 2835, 'CodevTT_RAF', '', '4', 0, 1416911689),
(21787, 114, 2835, 'CodevTT_RAF', '4', '4', 0, 1416911709),
(21788, 114, 2835, 'CodevTT_RAF', '4', '3', 0, 1416911736),
(21789, 114, 2835, 'CodevTT_RAF', '3', '2', 0, 1416911748),
(21790, 114, 2835, 'CodevTT_RAF', '2', '1', 0, 1416912091),
(21842, 116, 2819, 'CodevTT_RAF', '6', '5', 0, 1416929998),
(21910, 2, 1867, '', '463', '', 4, 1417011051),
(21917, 72, 2898, 'CodevTT_RAF', '', '5', 0, 1417014804),
(21918, 72, 2898, 'status', '10', '50', 0, 1417014804),
(21919, 2, 3144, 'CodevTT_RAF', '3', '3', 0, 1417014919),
(21920, 72, 2898, 'CodevTT_RAF', '5', '6', 0, 1417014953),
(21921, 72, 2898, 'CodevTT_RAF', '6', '5', 0, 1417014973),
(21943, 2, 3144, 'CodevTT_RAF', '3', '3', 0, 1417079056),
(21944, 93, 3084, 'CodevTT_RAF', '1', '3', 0, 1417079229),
(21945, 93, 3084, 'CodevTT_RAF', '3', '3', 0, 1417079318),
(21946, 93, 3084, 'CodevTT_RAF', '3', '2', 0, 1417079355),
(21947, 93, 3084, 'CodevTT_RAF', '2', '1.5', 0, 1417079468),
(21957, 74, 3137, 'CodevTT_RAF', '4.5', '1', 0, 1417094554),
(21958, 74, 3137, 'CodevTT_RAF', '1', '0', 0, 1417094649),
(21959, 74, 3137, 'CodevTT_RAF', '0', '0', 0, 1417094649),
(21960, 74, 3137, 'status', '50', '80', 0, 1417094649),
(21961, 74, 3137, 'CodevTT_RAF', '0', '0', 0, 1417094684),
(22081, 72, 3335, '', '', '', 1, 1417103982),
(22096, 2, 3144, 'CodevTT_RAF', '3', '2', 0, 1417127339),
(22367, 2, 2842, 'status', '50', '20', 0, 1417445901),
(22368, 2, 2842, 'status', '20', '80', 0, 1417445940),
(22369, 2, 2842, 'resolution', '10', '20', 0, 1417445940),
(22370, 2, 2842, 'CodevTT_RAF', '0.5', '0', 0, 1417445940),
(22376, 116, 2819, 'CodevTT_RAF', '5', '4.5', 0, 1417446432),
(22380, 73, 1868, 'CodevTT_RAF', '0.5', '0', 0, 1417450752),
(22381, 73, 1868, 'CodevTT_RAF', '0', '0', 0, 1417450752),
(22382, 73, 1868, 'status', '30', '80', 0, 1417450752),
(22383, 73, 2898, 'CodevTT_RAF', '5', '5', 0, 1417450821),
(22384, 73, 2898, 'CodevTT_RAF', '5', '4', 0, 1417450871),
(22517, 2, 3144, 'CodevTT_RAF', '2', '2', 0, 1417524934),
(22630, 116, 2819, 'CodevTT_RAF', '4.5', '4', 0, 1417535784),
(22648, 74, 2897, 'CodevTT_RAF', '', '3', 0, 1417597858),
(22649, 74, 3335, 'CodevTT_RAF', '', '2', 0, 1417597897),
(22650, 74, 3335, 'CodevTT_RAF', '2', '1.5', 0, 1417597917),
(22651, 74, 2897, 'CodevTT_RAF', '3', '2', 0, 1417597961),
(22653, 114, 3335, 'CodevTT_RAF', '1.5', '1', 0, 1417598950),
(22654, 114, 3335, 'CodevTT_RAF', '1', '1', 0, 1417598985),
(22655, 114, 3335, 'CodevTT_RAF', '1', '0', 0, 1417599020),
(22656, 114, 3335, 'CodevTT_RAF', '0', '0.5', 0, 1417599035),
(22657, 114, 3335, 'CodevTT_RAF', '0.5', '0.5', 0, 1417599074),
(22667, 2, 3144, 'CodevTT_RAF', '2', '2', 0, 1417601348),
(22668, 2, 3144, 'CodevTT_RAF', '2', '2', 0, 1417601395),
(22762, 116, 2819, 'CodevTT_RAF', '4', '3', 0, 1417618131),
(22804, 72, 2902, 'CodevTT_RAF', '', '1', 0, 1417627093),
(22805, 72, 2902, 'status', '10', '50', 0, 1417627093),
(22812, 72, 2835, 'CodevTT_ChargeMgr', '0.1', '6', 0, 1417627656),
(22813, 72, 2835, 'CodevTT_ChargeInit', '0.1', '5', 0, 1417627656),
(22956, 2, 3144, 'CodevTT_RAF', '2', '1', 0, 1417707730),
(22957, 2, 3144, 'CodevTT_RAF', '1', '1', 0, 1417707743),
(23104, 72, 3335, 'handler_id', '0', '72', 0, 1417772644),
(23105, 72, 3335, 'status', '10', '50', 0, 1417772644),
(23165, 72, 3335, 'CodevTT_ChargeMgr', '0', '6', 0, 1417772917),
(23166, 72, 3335, 'CodevTT_ChargeInit', '1', '5', 0, 1417772917),
(23167, 72, 3335, 'summary', '38609- Analyse et Specs', 'Etude d\'impact', 0, 1417772917),
(23238, 72, 3335, 'CodevTT_RAF', '0.5', '0.5', 0, 1417774008),
(23282, 2, 2835, 'handler_id', '0', '2', 0, 1417786952),
(23283, 2, 2835, 'status', '10', '50', 0, 1417786952),
(23284, 2, 2835, 'handler_id', '2', '114', 0, 1417786969),
(23285, 2, 2819, 'handler_id', '0', '116', 0, 1417786991),
(23286, 2, 2819, 'status', '10', '50', 0, 1417786991),
(23287, 2, 2897, 'handler_id', '0', '74', 0, 1417787055),
(23288, 2, 2897, 'status', '10', '50', 0, 1417787055),
(23301, 2, 3144, 'CodevTT_RAF', '1', '1', 0, 1417798128),
(23310, 72, 3455, '', '', '', 1, 1417798747),
(23311, 72, 3455, 'handler_id', '0', '74', 0, 1417798747),
(23334, 2, 1431, 'project_id', '44', '41', 0, 1417900658),
(23335, 2, 1431, 'category', 'Gestion de Projet', 'General', 0, 1417900658),
(23340, 2, 1596, 'CodevTT_ChargeMgr', '5', '0', 0, 1417901160),
(23341, 72, 3084, 'CodevTT_ChargeMgr', '2', '2.2', 0, 1418022621),
(23342, 72, 3084, 'CodevTT_ChargeMgr', '2.2', '4', 0, 1418022875),
(23343, 72, 3084, 'CodevTT_ChargeInit', '1.7', '3.5', 0, 1418022875),
(23344, 72, 3459, 'handler_id', '0', '114', 0, 1418023127),
(23400, 114, 3335, 'CodevTT_RAF', '0.5', '0.1', 0, 1418030084),
(23401, 114, 3459, 'CodevTT_RAF', '', '4.2', 0, 1418030186),
(23402, 114, 3459, 'CodevTT_RAF', '4.2', '3.2', 0, 1418030233),
(23405, 114, 3459, 'CodevTT_RAF', '3.2', '2.2', 0, 1418030312),
(23419, 93, 3084, 'CodevTT_RAF', '1.5', '0.6', 0, 1418035120),
(23420, 93, 3084, 'CodevTT_RAF', '0.6', '0.1', 0, 1418035173);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(23423, 114, 3335, 'CodevTT_RAF', '0.1', '0.1', 0, 1418035701),
(23424, 114, 3459, 'CodevTT_RAF', '2.2', '2', 0, 1418035724),
(23425, 114, 3459, 'CodevTT_RAF', '2', '2', 0, 1418035836),
(23434, 72, 2650, 'handler_id', '96', '128', 0, 1418042822),
(23447, 93, 3084, 'CodevTT_RAF', '0.1', '0.1', 0, 1418047556),
(23454, 93, 3084, 'CodevTT_RAF', '0.1', '0.1', 0, 1418047606),
(23461, 74, 3335, 'CodevTT_RAF', '0.1', '0.5', 0, 1418047762),
(23469, 74, 3455, 'CodevTT_RAF', '', '1', 0, 1418047839),
(23470, 74, 3455, 'status', '10', '50', 0, 1418047839),
(23471, 93, 2904, 'CodevTT_RAF', '0.5', '0.1', 0, 1418047848),
(23472, 74, 3460, 'CodevTT_RAF', '', '3', 0, 1418047880),
(23473, 74, 3460, 'status', '10', '50', 0, 1418047880),
(23474, 93, 3084, 'CodevTT_RAF', '0.1', '0.1', 0, 1418048041),
(23475, 93, 2383, 'CodevTT_RAF', '0.1', '0.1', 0, 1418048092),
(23490, 72, 3467, '', '', '', 1, 1418052081),
(23491, 72, 3467, 'handler_id', '0', '93', 0, 1418052081),
(23492, 116, 2819, 'CodevTT_RAF', '3', '3', 0, 1418052122),
(23493, 72, 3467, 'status', '10', '50', 0, 1418052190),
(23494, 74, 3460, 'CodevTT_RAF', '3', '2', 0, 1418052517),
(23496, 72, 3467, 'CodevTT_RAF', '', '1', 0, 1418052728),
(23497, 72, 3459, 'status', '10', '50', 0, 1418052752),
(23519, 93, 2383, 'CodevTT_RAF', '0.1', '0.1', 0, 1418062559),
(23520, 93, 3467, 'CodevTT_RAF', '1', '0.7', 0, 1418062628),
(23521, 93, 3084, 'CodevTT_RAF', '0.1', '0.1', 0, 1418062717),
(23619, 2, 3144, 'CodevTT_RAF', '1', '3', 0, 1418226466),
(23623, 2, 3474, '', '', '', 1, 1418226803),
(23624, 2, 3474, 'CodevTT_RAF', '', '0.5', 0, 1418226875),
(23625, 2, 3474, 'CodevTT_RAF', '0.5', '0.5', 0, 1418226906),
(23626, 2, 3474, 'handler_id', '0', '2', 0, 1418226985),
(23627, 2, 3474, 'status', '10', '50', 0, 1418226985),
(23707, 72, 3474, 'CodevTT_ChargeMgr', '0', '0.4', 0, 1418318384),
(23708, 72, 3474, 'CodevTT_ChargeInit', '1', '0.3', 0, 1418318384),
(23709, 72, 3474, 'target_version', '', '14.2.0', 0, 1418318384),
(23712, 72, 3479, 'CodevTT_RAF', '', '0.5', 0, 1418318772),
(23713, 72, 3479, 'status', '10', '50', 0, 1418318772),
(23714, 72, 3479, 'CodevTT_RAF', '0.5', '0.5', 0, 1418318829),
(23726, 74, 2897, 'CodevTT_RAF', '2', '2', 0, 1418369479),
(23727, 74, 2897, 'CodevTT_RAF', '2', '2', 0, 1418369492),
(23728, 74, 3335, 'CodevTT_RAF', '0.5', '2', 0, 1418369524),
(23729, 74, 2897, 'CodevTT_RAF', '2', '2', 0, 1418369564),
(23730, 74, 3459, 'CodevTT_RAF', '2', '2', 0, 1418369615),
(23731, 74, 2897, 'CodevTT_RAF', '2', '2', 0, 1418369674),
(23794, 128, 2899, 'CodevTT_RAF', '', '0', 0, 1418387576),
(23795, 128, 2899, 'CodevTT_RAF', '0', '0', 0, 1418387576),
(23796, 128, 2899, 'status', '10', '80', 0, 1418387576),
(23815, 2, 3480, 'CodevTT_RAF', '', '0', 0, 1418389127),
(23816, 2, 3480, 'CodevTT_RAF', '0', '0', 0, 1418389127),
(23817, 2, 3480, 'status', '10', '80', 0, 1418389127),
(23820, 2, 3480, 'CodevTT_RAF', '0', '0', 0, 1418389255),
(23821, 2, 3144, 'CodevTT_RAF', '3', '3', 0, 1418389288),
(23822, 73, 2898, 'CodevTT_RAF', '4', '1', 0, 1418389413),
(23823, 73, 2898, 'CodevTT_RAF', '1', '1', 0, 1418389432),
(23824, 2, 2899, 'CodevTT_RAF', '0', '1', 0, 1418389479),
(23825, 73, 2898, 'CodevTT_RAF', '1', '1', 0, 1418389484),
(23826, 73, 2898, 'CodevTT_RAF', '1', '1', 0, 1418389622),
(23827, 93, 2383, 'CodevTT_RAF', '0.1', '0.1', 0, 1418389688),
(23828, 73, 2898, 'CodevTT_RAF', '1', '1', 0, 1418389788),
(23829, 73, 2898, 'CodevTT_RAF', '1', '1', 0, 1418389798),
(23830, 73, 2898, 'CodevTT_RAF', '1', '1', 0, 1418389817),
(23831, 93, 2383, 'CodevTT_RAF', '0.1', '0.5', 0, 1418389852),
(23832, 93, 2383, 'CodevTT_RAF', '0.5', '0.1', 0, 1418390114),
(24118, 116, 2819, 'CodevTT_RAF', '3', '1.5', 0, 1418648577),
(24119, 116, 2819, 'CodevTT_RAF', '1.5', '2', 0, 1418648630),
(24155, 93, 2383, 'CodevTT_RAF', '0.1', '0.5', 0, 1418662866),
(24184, 116, 2819, 'CodevTT_RAF', '2', '1', 0, 1418740556),
(24194, 2, 2650, 'CodevTT_RAF', '', '0.2', 0, 1418804244),
(24195, 2, 2650, 'status', '10', '50', 0, 1418804244),
(24196, 128, 2650, 'CodevTT_RAF', '0.2', '0.2', 0, 1418804568),
(24197, 2, 3144, 'CodevTT_RAF', '3', '0.2', 0, 1418804674),
(24198, 74, 2383, 'CodevTT_RAF', '0.5', '0.5', 0, 1418804845),
(24199, 74, 2383, 'CodevTT_RAF', '0.5', '0', 0, 1418804912),
(24200, 74, 2383, 'CodevTT_RAF', '0', '0', 0, 1418804912),
(24201, 74, 2383, 'status', '50', '80', 0, 1418804912),
(24286, 72, 3541, '', '', '', 1, 1418887218),
(24287, 72, 3541, 'handler_id', '0', '73', 0, 1418887218),
(24288, 72, 3542, '', '', '', 1, 1418887341),
(24289, 72, 3542, 'handler_id', '0', '93', 0, 1418887341),
(24290, 72, 3543, '', '', '', 1, 1418887460),
(24291, 72, 3543, 'handler_id', '0', '93', 0, 1418887460),
(24292, 72, 3544, '', '', '', 1, 1418887573),
(24293, 72, 3544, 'handler_id', '0', '73', 0, 1418887573),
(24294, 72, 3545, '', '', '', 1, 1418887840),
(24295, 72, 3545, 'handler_id', '0', '74', 0, 1418887840),
(24296, 72, 3544, 'handler_id', '73', '2', 0, 1418887966),
(24297, 72, 3546, '', '', '', 1, 1418889370),
(24298, 72, 3546, 'handler_id', '0', '73', 0, 1418889370),
(24333, 2, 3547, '', '', '', 1, 1418911827),
(24334, 2, 3547, 'CodevTT_RAF', '', '4', 0, 1418911871),
(24335, 2, 3547, 'status', '10', '50', 0, 1418911871),
(24336, 2, 3547, 'summary', 'Formation IJ Conjouint Collab', 'Formation IJ Conjoint Collab', 0, 1418911888),
(24337, 2, 3548, '', '', '', 1, 1418912350),
(24339, 2, 3144, 'CodevTT_RAF', '0.2', '1', 0, 1418912432),
(24398, 128, 2650, 'CodevTT_RAF', '0.2', '0', 0, 1418991846),
(24399, 128, 2650, 'CodevTT_RAF', '0', '0', 0, 1418991846),
(24400, 128, 2650, 'status', '50', '80', 0, 1418991846),
(24401, 128, 2899, 'CodevTT_RAF', '1', '0', 0, 1418991964),
(24402, 128, 2899, 'status', '80', '90', 0, 1418991964),
(24403, 128, 2899, 'CodevTT_RAF', '0', '0', 0, 1418991988),
(24404, 128, 2899, 'CodevTT_RAF', '0', '0', 0, 1418992038),
(24405, 128, 3460, 'CodevTT_RAF', '2', '0.2', 0, 1418992278),
(24406, 128, 3460, 'CodevTT_RAF', '0.2', '0', 0, 1418992298),
(24407, 128, 3460, 'CodevTT_RAF', '0', '0', 0, 1418992298),
(24408, 128, 3460, 'status', '50', '80', 0, 1418992298),
(24425, 74, 3545, 'CodevTT_RAF', '', '1', 0, 1419000645),
(24426, 74, 3545, 'status', '10', '50', 0, 1419000645),
(24427, 74, 3459, 'CodevTT_RAF', '2', '1', 0, 1419000688),
(24428, 74, 3545, 'CodevTT_RAF', '1', '1', 0, 1419000741),
(24429, 74, 3547, 'CodevTT_RAF', '4', '1', 0, 1419000819),
(24430, 74, 3459, 'CodevTT_RAF', '1', '1', 0, 1419000867),
(24431, 74, 3459, 'CodevTT_RAF', '1', '1', 0, 1419000897),
(24432, 74, 2820, 'CodevTT_RAF', '', '0.25', 0, 1419000947),
(24469, 2, 3544, 'CodevTT_RAF', '', '2', 0, 1419004733),
(24470, 2, 3544, 'status', '10', '50', 0, 1419004751),
(24471, 73, 3546, 'CodevTT_RAF', '', '3', 0, 1419005286),
(24472, 73, 3541, 'CodevTT_RAF', '', '0.5', 0, 1419005375),
(24473, 73, 3541, 'CodevTT_RAF', '0.5', '0.5', 0, 1419005402),
(24474, 73, 3541, 'status', '10', '30', 0, 1419005440),
(24475, 73, 3541, 'status', '30', '40', 0, 1419005446),
(24476, 73, 3541, 'CodevTT_RAF', '0.5', '0', 0, 1419005473),
(24477, 73, 3541, 'CodevTT_Date Livraison', '', '1418857200', 0, 1419005473),
(24478, 73, 3541, 'status', '40', '80', 0, 1419005473),
(24479, 73, 3541, 'resolution', '10', '20', 0, 1419005473),
(24480, 73, 3547, 'CodevTT_RAF', '1', '0.5', 0, 1419005597),
(24481, 73, 2898, 'CodevTT_RAF', '1', '0.5', 0, 1419005731),
(24482, 73, 2898, 'CodevTT_RAF', '0.5', '0', 0, 1419005781),
(24483, 73, 2898, 'CodevTT_Date Livraison', '', '1418338800', 0, 1419005781),
(24484, 73, 2898, 'status', '50', '80', 0, 1419005781),
(24485, 73, 2898, 'resolution', '10', '20', 0, 1419005781),
(24486, 73, 3546, 'status', '10', '30', 0, 1419005792),
(24487, 73, 3541, 'CodevTT_RAF', '0', '0', 0, 1419005911),
(24488, 72, 3547, 'CodevTT_RAF', '0.5', '3', 0, 1419006178),
(24575, 116, 3467, 'CodevTT_RAF', '0.7', '0.1', 0, 1419330113),
(24576, 116, 3467, 'CodevTT_RAF', '0.1', '0.1', 0, 1419330140),
(24583, 2, 3562, '', '', '', 1, 1419336691),
(24584, 2, 3562, '', '0000551', '', 2, 1419336710),
(24585, 2, 3562, 'handler_id', '0', '2', 0, 1419336710),
(24586, 2, 3562, 'status', '10', '50', 0, 1419336710),
(24587, 2, 3562, 'CodevTT_RAF', '', '1', 0, 1419336764),
(24588, 2, 3563, '', '', '', 1, 1419336924),
(24589, 2, 3563, 'CodevTT_RAF', '', '0.5', 0, 1419336981),
(24590, 2, 3563, 'status', '10', '50', 0, 1419336981),
(24664, 73, 2131, 'CodevTT_RAF', '0', '0', 0, 1419353361),
(24665, 73, 3546, 'CodevTT_RAF', '3', '1', 0, 1419353408),
(26101, 2, 3731, 'status', '30', '80', 0, 1422282313),
(26100, 2, 3731, 'CodevTT_RAF', '0', '0', 0, 1422282313),
(26099, 2, 3731, 'CodevTT_RAF', '', '0', 0, 1422282313),
(26098, 2, 3731, 'status', '10', '30', 0, 1422282258),
(24989, 2, 3612, '', '', '', 1, 1420561675),
(24990, 128, 3612, 'CodevTT_RAF', '', '0.5', 0, 1420561843),
(24991, 128, 3612, 'status', '10', '50', 0, 1420561843),
(24992, 128, 3612, 'CodevTT_RAF', '0.5', '0.1', 0, 1420561890),
(24993, 2, 3613, '', '', '', 1, 1420561941),
(24994, 2, 3613, 'handler_id', '0', '2', 0, 1420561941),
(24995, 2, 3480, 'CodevTT_RAF', '0', '0', 0, 1420562102),
(24996, 128, 3613, 'CodevTT_RAF', '', '0.1', 0, 1420562123),
(25005, 72, 3615, '', '', '', 1, 1420565035),
(25006, 72, 3615, 'handler_id', '0', '93', 0, 1420565035),
(25007, 72, 3615, 'CodevTT_RAF', '', '5.7', 0, 1420565143),
(25075, 2, 3616, '', '', '', 1, 1420708425),
(25076, 2, 3616, 'handler_id', '0', '109', 0, 1420708425),
(25106, 73, 3546, 'CodevTT_RAF', '1', '0.5', 0, 1420732564),
(25111, 73, 3546, 'CodevTT_RAF', '0.5', '0.2', 0, 1420732641),
(25112, 73, 3546, 'CodevTT_RAF', '0.2', '0.2', 0, 1420732670),
(25135, 93, 3542, 'CodevTT_RAF', '', '1', 0, 1420734968),
(25136, 93, 3543, 'CodevTT_RAF', '', '1', 0, 1420735003),
(25140, 74, 3459, 'CodevTT_RAF', '1', '1', 0, 1420797807),
(25141, 74, 3459, 'CodevTT_RAF', '1', '1', 0, 1420797826),
(25142, 74, 3459, 'CodevTT_RAF', '1', '1', 0, 1420797861),
(25143, 74, 3459, 'CodevTT_RAF', '1', '1', 0, 1420797891),
(25254, 93, 3543, 'CodevTT_RAF', '1', '0.5', 0, 1421071635),
(25255, 93, 3543, 'CodevTT_RAF', '0.5', '0.1', 0, 1421071700),
(25263, 2, 3613, 'CodevTT_RAF', '0.1', '1', 0, 1421076003),
(25264, 2, 3613, 'CodevTT_RAF', '1', '0', 0, 1421076021),
(25265, 2, 3613, 'CodevTT_RAF', '0', '0', 0, 1421076021),
(25266, 2, 3613, 'status', '10', '80', 0, 1421076021),
(25293, 93, 3543, 'CodevTT_RAF', '0.1', '0.75', 0, 1421078067),
(25294, 93, 3543, 'CodevTT_RAF', '0.75', '0.1', 0, 1421078106),
(25295, 93, 3542, 'CodevTT_RAF', '1', '0.1', 0, 1421078166),
(25322, 128, 3562, 'CodevTT_RAF', '1', '1', 0, 1421153167),
(25323, 2, 3612, 'CodevTT_RAF', '0.1', '0.5', 0, 1421153284),
(25324, 2, 3648, '', '', '', 1, 1421153884),
(25325, 2, 3648, 'summary', 'Livraison 14.1.50', '[TAIGA V14.1.50] Livraison', 0, 1421153914),
(25326, 2, 3648, 'handler_id', '0', '2', 0, 1421153956),
(25327, 2, 3648, 'status', '10', '50', 0, 1421153956),
(25328, 128, 3648, 'CodevTT_RAF', '', '0', 0, 1421154014),
(25329, 128, 3454, 'CodevTT_RAF', '', '1', 0, 1421154118),
(25330, 2, 3454, 'CodevTT_RAF', '1', '1', 0, 1421154178),
(25331, 2, 3454, 'status', '10', '50', 0, 1421154178),
(25332, 128, 3454, 'CodevTT_RAF', '1', '0.5', 0, 1421154220),
(25333, 2, 3480, 'CodevTT_RAF', '0', '0', 0, 1421154248),
(25334, 128, 3613, 'CodevTT_RAF', '0', '0', 0, 1421154419),
(25429, 116, 3545, 'CodevTT_RAF', '1', '0.5', 0, 1421165704),
(25684, 74, 3454, '', '560', '', 2, 1421391010),
(25685, 74, 3455, 'CodevTT_RAF', '1', '0', 0, 1421391204),
(25686, 74, 3455, 'CodevTT_RAF', '0', '0', 0, 1421391204),
(25687, 74, 3455, 'status', '50', '80', 0, 1421391204),
(25688, 74, 3455, 'CodevTT_RAF', '0', '0', 0, 1421391217),
(25689, 74, 3545, 'CodevTT_RAF', '0.5', '0.25', 0, 1421391252),
(25708, 72, 3682, 'CodevTT_RAF', '', '0.5', 0, 1421423077),
(25709, 72, 3682, 'status', '10', '50', 0, 1421423077),
(25763, 2, 3686, '', '', '', 1, 1421674931),
(25764, 2, 3687, '', '', '', 1, 1421674989),
(25765, 2, 3688, '', '', '', 1, 1421675033),
(25766, 2, 3689, '', '', '', 1, 1421675107),
(25767, 2, 3690, '', '', '', 1, 1421675163),
(25768, 116, 3687, 'CodevTT_RAF', '', '0.9', 0, 1421681202),
(25769, 116, 3687, 'status', '10', '40', 0, 1421681202),
(25770, 116, 3690, 'CodevTT_RAF', '', '0.9', 0, 1421681222),
(25771, 116, 3690, 'status', '10', '40', 0, 1421681222),
(25820, 2, 3683, 'CodevTT_RAF', '', '0.1', 0, 1421761797),
(25821, 2, 3683, 'status', '10', '50', 0, 1421761797),
(25822, 2, 3698, '', '', '', 1, 1421767272),
(25823, 2, 3698, 'handler_id', '0', '73', 0, 1421767272),
(25824, 116, 3690, 'CodevTT_RAF', '0.9', '0.8', 0, 1421767273),
(25825, 116, 3687, 'CodevTT_RAF', '0.9', '0.9', 0, 1421767291),
(25830, 73, 3698, 'CodevTT_RAF', '', '0.5', 0, 1421768251),
(25831, 73, 3698, 'CodevTT_RAF', '0.5', '3', 0, 1421768283),
(25832, 116, 3690, 'CodevTT_RAF', '0.8', '0.8', 0, 1421768442),
(25833, 116, 3690, 'CodevTT_RAF', '0.8', '0.8', 0, 1421768455),
(25834, 73, 3686, 'CodevTT_RAF', '', '2', 0, 1421768681),
(25835, 73, 3686, 'CodevTT_RAF', '2', '0.5', 0, 1421769178),
(25836, 73, 3546, 'CodevTT_RAF', '0.2', '0.5', 0, 1421769255),
(25837, 2, 3683, 'CodevTT_RAF', '0.1', '0', 0, 1421772564),
(25838, 2, 3683, 'status', '50', '80', 0, 1421772564),
(25839, 2, 3683, 'resolution', '10', '20', 0, 1421772564),
(25854, 74, 3453, '', '561', '', 2, 1421855428),
(25855, 74, 3453, '', '561', '778', 3, 1421855496),
(25942, 136, 3544, 'CodevTT_RAF', '2', '2.5', 0, 1422009230),
(25943, 136, 3544, 'CodevTT_RAF', '2.5', '2', 0, 1422009241),
(25944, 136, 3544, 'CodevTT_RAF', '2', '1', 0, 1422009251),
(25946, 136, 3544, 'CodevTT_RAF', '1', '1', 0, 1422009299),
(25965, 72, 3708, 'handler_id', '136', '93', 0, 1422017665),
(25967, 72, 3710, 'handler_id', '136', '2', 0, 1422017791),
(25993, 136, 3544, 'CodevTT_RAF', '1', '0.1', 0, 1422030541),
(25994, 136, 3709, 'CodevTT_RAF', '', '3', 0, 1422030662),
(25995, 136, 3709, 'CodevTT_RAF', '3', '2.5', 0, 1422030682),
(25996, 136, 3709, 'CodevTT_RAF', '2.5', '2.5', 0, 1422030702),
(25997, 136, 3709, 'CodevTT_RAF', '2.5', '2', 0, 1422030711),
(25998, 136, 3709, 'CodevTT_RAF', '2', '0.1', 0, 1422030728),
(26097, 2, 3731, 'handler_id', '0', '2', 0, 1422282250),
(26096, 2, 3731, '', '', '', 1, 1422282241),
(26102, 128, 3710, 'CodevTT_RAF', '', '1', 0, 1422291229),
(26103, 128, 3710, 'CodevTT_RAF', '1', '0', 0, 1422291453),
(26104, 128, 3710, 'CodevTT_RAF', '0', '0', 0, 1422291453),
(26105, 128, 3710, 'status', '10', '80', 0, 1422291453),
(26106, 93, 3545, 'CodevTT_RAF', '0.25', '1', 0, 1422345122),
(26107, 93, 3545, 'CodevTT_RAF', '1', '1', 0, 1422345253),
(26108, 93, 3545, 'CodevTT_RAF', '1', '1', 0, 1422345416),
(26109, 93, 3615, 'CodevTT_RAF', '5.7', '1.5', 0, 1422345933),
(26110, 93, 3615, 'CodevTT_RAF', '1.5', '0.5', 0, 1422346256),
(26111, 93, 3615, 'CodevTT_RAF', '0.5', '0.1', 0, 1422346311),
(26112, 93, 3084, 'CodevTT_RAF', '0.1', '0.1', 0, 1422346454),
(26113, 93, 3708, 'CodevTT_RAF', '', '3.50', 0, 1422348267),
(26114, 93, 3708, 'CodevTT_RAF', '3.50', '3.50', 0, 1422348381),
(26116, 93, 3708, 'CodevTT_RAF', '3.50', '2.75', 0, 1422348897),
(26117, 93, 3544, 'CodevTT_RAF', '0.1', '2.65', 0, 1422349154),
(26119, 72, 3732, '', '', '', 1, 1422360893),
(26120, 72, 3732, 'handler_id', '0', '114', 0, 1422360893),
(26121, 72, 3733, '', '', '', 1, 1422361082),
(26122, 72, 3733, 'handler_id', '0', '136', 0, 1422361082),
(26123, 72, 3731, 'target_version', 'V14.2 (lot de mars)', '14.2.0', 0, 1422361342),
(26124, 72, 3734, '', '', '', 1, 1422361575),
(26125, 72, 3734, 'handler_id', '0', '2', 0, 1422361575),
(26126, 72, 3734, 'summary', 'TAIGA- 40019- DSI-2014-REL-Ajout d\'un RIBA certifie', 'TAIGA- 40019- DSI-2014-REL-Ajout d\'un RIBA certifie -  DEVT_ TU', 0, 1422361660),
(26127, 72, 3735, '', '', '', 1, 1422362535),
(26128, 72, 3735, 'handler_id', '0', '114', 0, 1422362535),
(26129, 72, 3736, '', '', '', 1, 1422362719),
(26130, 72, 3736, 'handler_id', '0', '116', 0, 1422362719),
(26131, 72, 3737, '', '', '', 1, 1422362935),
(26132, 72, 3737, 'handler_id', '0', '139', 0, 1422362935),
(26133, 72, 3738, '', '', '', 1, 1422363106),
(26134, 72, 3738, 'handler_id', '0', '139', 0, 1422363106),
(26135, 116, 3736, 'CodevTT_RAF', '', '0', 0, 1422364062),
(26136, 116, 3736, 'CodevTT_RAF', '0', '0', 0, 1422364062),
(26137, 116, 3736, 'status', '10', '80', 0, 1422364062),
(26138, 116, 3687, 'CodevTT_RAF', '0.9', '0.7', 0, 1422364087),
(26139, 116, 3687, 'CodevTT_RAF', '0.7', '0.7', 0, 1422364110),
(26140, 116, 3690, 'CodevTT_RAF', '0.8', '0.7', 0, 1422364139),
(26141, 116, 3687, 'CodevTT_RAF', '0.7', '0.6', 0, 1422364163),
(26165, 93, 3708, 'CodevTT_RAF', '2.75', '2.55', 0, 1422367020),
(26166, 93, 3708, 'CodevTT_RAF', '2.55', '1.8', 0, 1422367294),
(26167, 93, 3544, 'CodevTT_RAF', '2.65', '1.80', 0, 1422367895),
(26181, 2, 3734, 'CodevTT_RAF', '', '1.5', 0, 1422378728),
(26182, 2, 3734, 'status', '10', '50', 0, 1422378728),
(26183, 2, 3734, 'CodevTT_RAF', '1.5', '1', 0, 1422378745),
(26184, 2, 3734, 'CodevTT_RAF', '1', '0.1', 0, 1422378761),
(26297, 2, 3742, '', '', '', 1, 1422522777),
(26298, 2, 3742, 'CodevTT_RAF', '', '0', 0, 1422522823),
(26299, 2, 3742, 'CodevTT_RAF', '0', '0', 0, 1422522823),
(26300, 2, 3742, 'status', '10', '80', 0, 1422522823),
(26316, 2, 3563, 'CodevTT_RAF', '0.5', '2', 0, 1422538345),
(26317, 2, 3563, 'CodevTT_RAF', '2', '2', 0, 1422538370),
(26544, 74, 2820, 'CodevTT_RAF', '0.25', '0.5', 0, 1422867367),
(26545, 74, 3698, 'CodevTT_RAF', '3', '1', 0, 1422867465),
(26546, 74, 3734, 'CodevTT_RAF', '0.1', '1', 0, 1422867493),
(26547, 74, 3453, 'CodevTT_RAF', '', '0.5', 0, 1422867519),
(26548, 74, 3545, 'CodevTT_RAF', '1', '0.5', 0, 1422868059),
(26549, 74, 3545, 'CodevTT_RAF', '0.5', '0.5', 0, 1422868075),
(26681, 2, 3548, 'CodevTT_RAF', '', '1', 0, 1422874142),
(26682, 2, 3548, 'status', '10', '50', 0, 1422874142),
(26683, 2, 3612, 'CodevTT_RAF', '0.5', '1', 0, 1422874342),
(26684, 2, 3548, 'CodevTT_RAF', '1', '1', 0, 1422874390),
(26746, 72, 3819, '', '', '', 1, 1422891059),
(26747, 72, 3819, 'handler_id', '0', '93', 0, 1422891059),
(26748, 2, 3548, 'summary', '[TAIGA v14.2 (lot de mars)] Validation/ Livraison', '[TAIGA v14.2 (lot de mars)] Integration / Livraison', 0, 1422891251),
(26749, 2, 3612, 'summary', '[TAIGA v14.1.60] Validation/ Livraison du 6 Janvier (QC39535)', '[TAIGA v14.1.60] Integration / Livraison du 6 Janvier (QC39535)', 0, 1422891259),
(26750, 2, 3548, 'CodevTT_RAF', '1', '1', 0, 1422891585),
(26761, 2, 3612, 'summary', '[TAIGA v14.1.60] Integration / Livraison du 6 Janvier (QC39535)', '[TAIGA v14.1.60] Integration - du 6 Janvier (QC39535)', 0, 1422892603),
(26765, 2, 3548, 'summary', '[TAIGA v14.2 (lot de mars)] Integration / Livraison', '[TAIGA v14.2 (lot de mars)] Integration', 0, 1422892615),
(26766, 2, 3563, 'summary', '[TAIGA v14.2 (lot de janvier)] Validation/ Livraison', '[TAIGA v14.2 (lot de janvier)] Integration', 0, 1422892626),
(26767, 2, 2650, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26768, 2, 2652, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26769, 2, 3474, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26770, 2, 3548, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26771, 2, 3562, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26772, 2, 3563, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26773, 2, 3612, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26774, 2, 3613, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26775, 2, 3648, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26776, 2, 3742, 'category', 'Livraison', 'Integration', 0, 1422892832),
(26777, 2, 2120, 'category', 'TP', 'NSDK / TP', 0, 1422892871),
(26778, 2, 3455, 'category', 'TP', 'NSDK / TP', 0, 1422892871),
(26779, 2, 3616, 'category', 'TP', 'NSDK / TP', 0, 1422892871),
(26780, 2, 3737, 'category', 'TP', 'NSDK / TP', 0, 1422892871),
(26781, 2, 3738, 'category', 'TP', 'NSDK / TP', 0, 1422892871),
(26782, 2, 3823, '', '', '', 1, 1422892935),
(26783, 72, 3824, '', '', '', 1, 1422893873),
(26784, 72, 3824, 'handler_id', '0', '139', 0, 1422893873),
(26785, 72, 3825, '', '', '', 1, 1422894126),
(26786, 72, 3825, 'handler_id', '0', '114', 0, 1422894126),
(26787, 72, 3826, '', '', '', 1, 1422894318),
(26788, 72, 3826, 'handler_id', '0', '114', 0, 1422894318),
(26789, 72, 3827, '', '', '', 1, 1422894455),
(26790, 72, 3827, 'handler_id', '0', '114', 0, 1422894455),
(26796, 72, 3828, '', '', '', 1, 1422894624),
(26797, 72, 3828, 'handler_id', '0', '2', 0, 1422894624),
(35117, 2, 4268, 'handler_id', '117', '147', 0, 1429776883),
(26801, 2, 3828, 'CodevTT_RAF', '', '3', 0, 1422894987),
(26802, 2, 3828, 'status', '10', '50', 0, 1422894987),
(26803, 72, 3830, '', '', '', 1, 1422895084),
(26804, 72, 3830, 'handler_id', '0', '73', 0, 1422895084),
(26805, 72, 3831, '', '', '', 1, 1422895243),
(26806, 72, 3831, 'handler_id', '0', '73', 0, 1422895243),
(26807, 72, 3832, '', '', '', 1, 1422895333),
(26808, 72, 3832, 'handler_id', '0', '73', 0, 1422895333),
(26826, 2, 3698, 'Ref. Externe', '', '40038', 0, 1422952175),
(26827, 2, 3687, 'Ref. Externe', '', '40030', 0, 1422952200),
(26828, 2, 3690, 'Ref. Externe', '', '39443', 0, 1422952209),
(26829, 2, 3474, 'status', '50', '80', 0, 1422952552),
(26830, 2, 3474, 'resolution', '10', '20', 0, 1422952552),
(26831, 2, 3474, 'CodevTT_RAF', '0.5', '0', 0, 1422952552),
(26832, 2, 3734, 'status', '50', '80', 0, 1422952588),
(26833, 2, 3734, 'resolution', '10', '20', 0, 1422952588),
(26834, 2, 3734, 'CodevTT_RAF', '1', '0', 0, 1422952588),
(26835, 2, 3562, 'handler_id', '2', '0', 0, 1422952613),
(26863, 2, 3828, 'CodevTT_RAF', '3', '3', 0, 1422959698),
(26884, 2, 3828, 'CodevTT_RAF', '3', '0', 0, 1422972590),
(26885, 2, 3828, 'CodevTT_RAF', '0', '0', 0, 1422972590),
(26886, 2, 3828, 'status', '50', '80', 0, 1422972590),
(26887, 2, 3548, 'CodevTT_RAF', '1', '1', 0, 1422978898),
(26933, 139, 3738, 'CodevTT_RAF', '', '4', 0, 1423066460),
(26934, 139, 3738, 'CodevTT_RAF', '4', '0', 0, 1423066460),
(26935, 139, 3738, 'status', '10', '80', 0, 1423066460),
(26936, 139, 3738, 'CodevTT_RAF', '0', '3', 0, 1423066490),
(26937, 139, 3738, 'CodevTT_RAF', '3', '2', 0, 1423066504),
(26938, 139, 3738, 'CodevTT_RAF', '2', '2', 0, 1423066632),
(26939, 139, 3737, 'CodevTT_RAF', '', '2', 0, 1423066713),
(26940, 139, 3737, 'CodevTT_RAF', '2', '0', 0, 1423066713),
(26941, 139, 3737, 'status', '10', '80', 0, 1423066713),
(26945, 139, 3737, 'CodevTT_RAF', '0', '1', 0, 1423066780),
(26947, 139, 3737, 'CodevTT_RAF', '1', '0', 0, 1423066810),
(26948, 139, 3737, 'CodevTT_RAF', '0', '0', 0, 1423066845),
(26949, 139, 3738, 'CodevTT_RAF', '2', '0', 0, 1423066870),
(26950, 139, 3738, 'CodevTT_RAF', '0', '0', 0, 1423067233),
(26951, 139, 3824, 'CodevTT_RAF', '', '0.5', 0, 1423067301),
(26952, 2, 3738, 'Ref. Externe', '39871', '39971', 0, 1423067708),
(26968, 2, 3548, 'CodevTT_RAF', '1', '1', 0, 1423125110),
(27063, 134, 3453, 'CodevTT_RAF', '0.5', '1.7', 0, 1423240519),
(27064, 134, 3453, 'CodevTT_RAF', '1.7', '1.5', 0, 1423240565),
(27065, 134, 3453, 'CodevTT_RAF', '1.5', '1', 0, 1423240603),
(27066, 134, 3453, 'CodevTT_RAF', '1', '0.5', 0, 1423240637),
(27067, 134, 3453, 'CodevTT_RAF', '0.5', '0.5', 0, 1423240766),
(27071, 2, 3548, 'CodevTT_RAF', '1', '0.25', 0, 1423242434),
(27072, 2, 3612, 'CodevTT_RAF', '1', '0', 0, 1423242473),
(27073, 2, 3612, 'CodevTT_RAF', '0', '0', 0, 1423242473),
(27074, 2, 3612, 'status', '50', '80', 0, 1423242473),
(27086, 2, 2894, 'project_id', '44', '68', 0, 1423338095),
(27087, 2, 2894, 'category', 'Gestion de Projet', 'General', 0, 1423338095),
(27088, 2, 2865, 'project_id', '44', '69', 0, 1423338213),
(27089, 2, 2865, 'category', 'Gestion de Projet', 'General', 0, 1423338213),
(27091, 2, 2894, 'project_id', '68', '44', 0, 1423338895),
(27092, 2, 2865, 'project_id', '69', '44', 0, 1423338961),
(27093, 2, 2865, 'project_id', '44', '72', 0, 1423340050),
(27094, 2, 2894, 'project_id', '44', '73', 0, 1423340067),
(27096, 2, 2089, 'project_id', '44', '73', 0, 1423340108),
(27098, 2, 2865, 'category', 'General', 'Gestion de Projet', 0, 1423340165),
(27099, 2, 2894, 'category', 'General', 'Gestion de Projet', 0, 1423340204),
(27100, 2, 1435, 'project_id', '44', '73', 0, 1423340620),
(27102, 2, 2780, 'project_id', '44', '73', 0, 1423340857),
(27103, 2, 2088, 'project_id', '44', '73', 0, 1423340908),
(27104, 2, 1508, 'project_id', '44', '73', 0, 1423340950),
(27105, 2, 1437, 'project_id', '44', '73', 0, 1423341001),
(27106, 2, 1506, 'project_id', '44', '73', 0, 1423341054),
(27107, 2, 1596, 'project_id', '44', '73', 0, 1423341128),
(27112, 2, 1436, 'project_id', '44', '73', 0, 1423341328),
(27119, 2, 2041, 'project_id', '44', '73', 0, 1423470402),
(27120, 2, 1505, 'project_id', '44', '73', 0, 1423470424),
(27121, 93, 3542, 'CodevTT_RAF', '0.1', '0.05', 0, 1423475601),
(27132, 93, 3708, 'CodevTT_RAF', '1.8', '1.95', 0, 1423475752),
(27134, 93, 3686, 'CodevTT_RAF', '0.5', '0.05', 0, 1423475833),
(27135, 93, 3708, 'CodevTT_RAF', '1.95', '1.15', 0, 1423475884),
(27136, 93, 3708, 'CodevTT_RAF', '1.15', '0.01', 0, 1423475926),
(27138, 93, 3544, 'CodevTT_RAF', '1.80', '1.05', 0, 1423476007),
(27139, 93, 3544, 'CodevTT_RAF', '1.05', '1.05', 0, 1423476070),
(27140, 93, 3544, 'CodevTT_RAF', '1.05', '0.55', 0, 1423476212),
(27152, 93, 3544, 'CodevTT_RAF', '0.55', '0.30', 0, 1423477460),
(27153, 93, 3735, 'CodevTT_RAF', '', '2', 0, 1423477554),
(27154, 93, 3735, 'CodevTT_RAF', '2', '0.05', 0, 1423477618),
(27157, 93, 3708, 'CodevTT_RAF', '0.01', '0.05', 0, 1423477848),
(27158, 93, 3686, 'CodevTT_RAF', '0.05', '0.05', 0, 1423477877),
(27159, 93, 3734, 'CodevTT_RAF', '0', '0.05', 0, 1423478055),
(27160, 93, 3544, 'CodevTT_RAF', '0.30', '0.05', 0, 1423478122),
(27161, 93, 3735, 'CodevTT_RAF', '0.05', '1.5', 0, 1423478261),
(27162, 93, 3735, 'CodevTT_RAF', '1.5', '0.05', 0, 1423478322),
(27163, 93, 3735, 'CodevTT_RAF', '0.05', '0.05', 0, 1423478349),
(30531, 72, 3686, 'target_version', '14.1.50', '15.0.0_Juillet', 0, 1426670246),
(27177, 136, 3819, 'CodevTT_RAF', '', '5', 0, 1423497779),
(27178, 136, 3819, 'CodevTT_RAF', '5', '4', 0, 1423497924),
(27179, 136, 3819, 'CodevTT_RAF', '4', '3', 0, 1423497941),
(27180, 136, 3819, 'CodevTT_RAF', '3', '2', 0, 1423497953),
(27181, 136, 3819, 'CodevTT_RAF', '2', '0.5', 0, 1423497966),
(27182, 136, 3819, 'CodevTT_RAF', '0.5', '0.1', 0, 1423497980),
(27183, 136, 3819, 'CodevTT_RAF', '0.1', '0.1', 0, 1423497994),
(27184, 73, 3832, 'CodevTT_RAF', '', '1', 0, 1423498123),
(27185, 136, 3733, 'CodevTT_RAF', '', '2', 0, 1423498343),
(27186, 136, 3733, 'CodevTT_RAF', '2', '2', 0, 1423498361),
(27187, 136, 3733, 'CodevTT_RAF', '2', '0.5', 0, 1423498375),
(27188, 136, 3733, 'CodevTT_RAF', '0.5', '0.1', 0, 1423498414),
(27248, 73, 3832, 'CodevTT_RAF', '1', '0.5', 0, 1423579402),
(27249, 73, 3832, 'CodevTT_RAF', '0.5', '0.5', 0, 1423579469),
(27250, 73, 3698, 'CodevTT_RAF', '1', '2', 0, 1423579501),
(27251, 73, 3698, 'CodevTT_RAF', '2', '0.5', 0, 1423579521),
(27252, 73, 3698, 'CodevTT_RAF', '0.5', '0.5', 0, 1423579596),
(27269, 72, 3880, '', '', '', 1, 1423664798),
(27270, 72, 3880, 'handler_id', '0', '136', 0, 1423664798),
(27271, 136, 3880, 'CodevTT_RAF', '', '2', 0, 1423672337),
(27272, 136, 3880, 'CodevTT_RAF', '2', '2', 0, 1423672354),
(27273, 136, 3880, 'CodevTT_RAF', '2', '1', 0, 1423672389),
(27274, 136, 3543, 'CodevTT_RAF', '0.1', '1', 0, 1423672482),
(27275, 74, 3823, 'CodevTT_RAF', '', '1', 0, 1423729148),
(27276, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423729158),
(27277, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423729167),
(27278, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423729176),
(27279, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423729184),
(27280, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423729221),
(27281, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423729233),
(27282, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423729240),
(27333, 2, 3887, '', '', '', 1, 1423753320),
(27334, 2, 3887, 'CodevTT_RAF', '', '0', 0, 1423753365),
(27335, 2, 3887, 'CodevTT_RAF', '0', '0', 0, 1423753365),
(27336, 2, 3887, 'status', '10', '80', 0, 1423753365),
(27337, 2, 3887, 'CodevTT_RAF', '0', '0', 0, 1423753379),
(27338, 2, 3887, 'CodevTT_RAF', '0', '0', 0, 1423753404),
(27339, 2, 3887, '', '0000595', '', 2, 1423753479),
(27340, 2, 3887, '', '0000596', '', 2, 1423753520),
(27341, 139, 3737, 'status', '80', '30', 0, 1423755139),
(27342, 139, 3737, 'resolution', '10', '30', 0, 1423755139),
(27343, 139, 3737, 'status', '30', '50', 0, 1423755151),
(27344, 139, 3738, 'CodevTT_RAF', '0', '0', 0, 1423755268),
(27345, 136, 3544, 'CodevTT_RAF', '0.05', '1', 0, 1423755277),
(27346, 136, 3544, 'CodevTT_RAF', '1', '1', 0, 1423755285),
(27347, 139, 3738, 'CodevTT_RAF', '0', '0', 0, 1423755289),
(27348, 139, 3738, 'CodevTT_RAF', '0', '0', 0, 1423755418),
(27349, 139, 3737, 'CodevTT_RAF', '0', '3', 0, 1423755456),
(27350, 139, 3737, 'CodevTT_RAF', '3', '2', 0, 1423755480),
(27351, 73, 3888, '', '', '', 1, 1423755636),
(27352, 73, 3888, 'handler_id', '0', '73', 0, 1423755636),
(27353, 73, 3888, '', '0000597', '', 2, 1423755673),
(27354, 73, 3888, 'status', '10', '30', 0, 1423755682),
(27355, 73, 3888, 'CodevTT_RAF', '', '2', 0, 1423755714),
(27360, 73, 3889, '', '', '', 1, 1423755843),
(27361, 73, 3889, 'handler_id', '0', '73', 0, 1423755843),
(27362, 73, 3889, 'status', '10', '30', 0, 1423755854),
(27363, 73, 3889, 'CodevTT_RAF', '', '2', 0, 1423755977),
(27366, 73, 3890, '', '', '', 1, 1423756177),
(27367, 73, 3890, 'handler_id', '0', '73', 0, 1423756177),
(27368, 73, 3890, 'CodevTT_RAF', '', '0.5', 0, 1423756206),
(27369, 73, 3890, 'CodevTT_RAF', '0.5', '0', 0, 1423756309),
(27370, 73, 3890, 'status', '10', '80', 0, 1423756309),
(27371, 73, 3890, 'resolution', '10', '20', 0, 1423756309),
(27372, 2, 3832, 'CodevTT_Type', 'Task', 'Bug', 0, 1423756709),
(27388, 114, 3825, 'CodevTT_RAF', '', '0.5', 0, 1423757157),
(27390, 114, 3825, 'CodevTT_RAF', '0.5', '0.5', 0, 1423757187),
(27392, 114, 3826, 'CodevTT_RAF', '', '0.5', 0, 1423757211),
(27393, 114, 3826, 'CodevTT_RAF', '0.5', '1', 0, 1423757418),
(27394, 114, 3891, '', '', '', 1, 1423757614),
(27395, 114, 3891, 'handler_id', '0', '114', 0, 1423757614),
(27396, 114, 3826, 'CodevTT_RAF', '1', '1', 0, 1423757624),
(27397, 114, 3891, 'CodevTT_RAF', '', '1', 0, 1423757676),
(27398, 114, 3891, 'status', '10', '50', 0, 1423757676),
(27399, 114, 3892, '', '', '', 1, 1423757788),
(27400, 114, 3892, 'handler_id', '0', '114', 0, 1423757788),
(27401, 114, 3891, 'CodevTT_RAF', '1', '1', 0, 1423757796),
(27402, 114, 3892, 'CodevTT_RAF', '', '2', 0, 1423757830),
(27403, 114, 3893, '', '', '', 1, 1423758071),
(27404, 114, 3893, 'handler_id', '0', '114', 0, 1423758071),
(27405, 114, 3894, '', '', '', 1, 1423758139),
(27406, 114, 3894, 'handler_id', '0', '114', 0, 1423758139),
(27407, 2, 3895, '', '', '', 1, 1423758368),
(27408, 2, 3895, 'handler_id', '0', '114', 0, 1423758368),
(27409, 2, 3895, 'Ref. Externe', '', '40104', 0, 1423758436),
(27411, 114, 3732, 'CodevTT_RAF', '', '1', 0, 1423758508),
(27412, 114, 3894, 'CodevTT_RAF', '', '2', 0, 1423758530),
(27413, 114, 3732, 'CodevTT_RAF', '1', '1', 0, 1423758559),
(27414, 114, 3896, '', '', '', 1, 1423758675),
(27415, 114, 3896, 'handler_id', '0', '114', 0, 1423758675),
(27416, 114, 3732, 'CodevTT_RAF', '1', '1', 0, 1423758680),
(27417, 114, 3896, 'CodevTT_RAF', '', '1', 0, 1423758723),
(27418, 114, 3895, 'CodevTT_RAF', '', '1', 0, 1423758792),
(27419, 114, 3895, 'CodevTT_RAF', '1', '1', 0, 1423758841),
(27420, 114, 3892, 'CodevTT_RAF', '2', '1', 0, 1423758927),
(27421, 114, 3891, 'CodevTT_RAF', '1', '2', 0, 1423758969),
(27422, 114, 3733, 'CodevTT_RAF', '0.1', '2', 0, 1423759230),
(27423, 114, 3896, 'CodevTT_RAF', '1', '2', 0, 1423759605),
(27424, 114, 3732, 'CodevTT_RAF', '1', '1', 0, 1423759708),
(28595, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424962679),
(28596, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424962729),
(28594, 2, 3940, 'CodevTT_RAF', '0.25', '2', 0, 1424962197),
(27431, 2, 3465, 'summary', 'Réalisation et Tests unitaires ', '39417 [DEV] Celltick / NIC / Cas YAVUZ Caisse Bretagne', 0, 1423762393),
(28593, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1424962185),
(28592, 72, 3465, 'summary', '39417 [DEV] Celltick / NIC / Cas YAVUZ Caisse Bretagne', '39417Celltick / NIC / Cas YAVUZ Caisse Bretagne', 0, 1424953916),
(28588, 72, 3465, 'CodevTT_ChargeInit', '0.6', '1', 0, 1424953915),
(28589, 72, 3465, 'CodevTT_Dead Line', '1424991600', '1432677600', 0, 1424953916),
(28590, 72, 3465, 'handler_id', '0', '117', 0, 1424953916),
(28591, 72, 3465, 'status', '10', '50', 0, 1424953916),
(27439, 2, 3335, 'summary', 'Etude d\'impact et Specifications', '38609 [SPEC] Evolution Controle Revenu Saisi', 0, 1423762757),
(27440, 2, 3453, 'summary', 'Réalisation et Tests unitaires ', '38609 [DEV] Evolution Controle Revenu Saisi', 0, 1423762790),
(27441, 2, 3454, 'summary', 'Intégration, Qualification, Tests et Documentation', '38609 [QUAL] Evolution Controle Revenu Saisi - Intégration, Qualification, Tests et Documentation', 0, 1423762844),
(27442, 2, 3543, 'summary', '39871 -  ETude et specifications', '39871 [SPEC] NOTIF suppression de la RG12', 0, 1423776347),
(27443, 2, 3544, 'summary', '39889 - Etudes et specifications', '39889 [SPEC] Decommissionnement de la fonction de majoration des assiettes sociales ', 0, 1423776558),
(27444, 2, 2131, 'summary', '37449 Etude et Specification', '37449 [SPEC] Creation d\'une nlle periode CV lors d\'alternance de Grp Pro', 0, 1423776925),
(27445, 2, 2132, 'summary', '39022 Etude et Specifications', '39022 [SPEC] Integration directe du FC30A dans TAIGA ', 0, 1423778138),
(27446, 2, 2835, 'summary', 'Rétro-documentation', '39324 [DOC] Rétro-documentation', 0, 1423778411),
(27447, 2, 3823, 'summary', '[TAIGA v14.2 (lot de mars)] Qualification', '[QUAL] TAIGA v14.2_Mar Qualification', 0, 1423778701),
(27448, 2, 3823, 'summary', '[QUAL] TAIGA v14.2_Mar Qualification', '[QUAL] TAIGA v14.2_Mar', 0, 1423778723),
(27449, 2, 3897, '', '', '', 1, 1423778792),
(27450, 2, 3454, 'CodevTT_ChargeMgr', '3', '0', 0, 1423779082),
(27451, 2, 3454, 'summary', '38609 [QUAL] Evolution Controle Revenu Saisi - Intégration, Qualification, Tests et Documentation', '[QUAL] 38609 Evolution Controle Revenu Saisi -', 0, 1423779532),
(27452, 2, 3454, '', '803', '', 6, 1423779532),
(27453, 2, 3454, '', '0000560', '805', 3, 1423779547),
(27454, 2, 3454, 'summary', '[QUAL] 38609 Evolution Controle Revenu Saisi -', '[QUAL] 38609 Evolution Controle Revenu Saisi', 0, 1423779584),
(27455, 2, 2819, 'summary', 'QC38929 Prise en charge OGMA', '38929 [DEV] Prise en charge OGMA', 0, 1423779649),
(27456, 2, 3542, 'status', '10', '50', 0, 1423780125),
(27457, 2, 3543, 'status', '10', '50', 0, 1423780136),
(27458, 2, 3615, 'status', '10', '50', 0, 1423780146),
(30530, 73, 4265, 'CodevTT_RAF', '0', '0', 0, 1426668055),
(27460, 2, 3698, 'status', '10', '50', 0, 1423780206),
(27461, 2, 3708, 'status', '10', '50', 0, 1423780216),
(27462, 2, 3709, 'status', '10', '50', 0, 1423780226),
(27463, 2, 3732, 'status', '10', '50', 0, 1423780235),
(27464, 2, 3733, 'status', '10', '50', 0, 1423780311),
(27465, 2, 3734, 'CodevTT_RAF', '0.05', '0', 0, 1423780328),
(27466, 2, 3735, 'status', '10', '50', 0, 1423780340),
(27467, 2, 3819, 'status', '10', '50', 0, 1423780356),
(27468, 2, 3824, 'status', '10', '50', 0, 1423780369),
(27469, 2, 3825, 'status', '10', '50', 0, 1423780384),
(27470, 2, 3826, 'status', '10', '50', 0, 1423780436),
(27471, 2, 3832, 'status', '10', '50', 0, 1423780445),
(27472, 2, 3880, 'status', '10', '50', 0, 1423780456),
(27473, 2, 3892, 'status', '10', '50', 0, 1423780465),
(27474, 2, 3894, 'status', '10', '50', 0, 1423780475),
(27475, 2, 3895, 'status', '10', '50', 0, 1423780485),
(27476, 2, 3896, 'status', '10', '50', 0, 1423780566),
(27477, 2, 3453, 'handler_id', '0', '134', 0, 1423780587),
(27478, 2, 3453, 'status', '10', '50', 0, 1423780594),
(27479, 2, 3686, 'handler_id', '0', '93', 0, 1423780618),
(27480, 2, 3686, 'status', '10', '50', 0, 1423780626),
(27481, 2, 2820, 'handler_id', '0', '74', 0, 1423780641),
(27482, 2, 2820, 'status', '10', '50', 0, 1423780649),
(27483, 2, 3823, 'handler_id', '0', '74', 0, 1423780676),
(27484, 2, 3823, 'status', '10', '50', 0, 1423780685),
(27485, 2, 3648, 'status', '50', '80', 0, 1423780796),
(27486, 2, 3648, 'resolution', '10', '20', 0, 1423780796),
(27487, 2, 3897, 'CodevTT_RAF', '', '1', 0, 1423780879),
(27488, 2, 3897, 'status', '10', '50', 0, 1423780879),
(27489, 2, 3897, 'CodevTT_RAF', '1', '1', 0, 1423780910),
(27490, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423810475),
(27491, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1423810619),
(27492, 72, 3898, '', '', '', 1, 1423811429),
(27493, 72, 3898, 'handler_id', '0', '73', 0, 1423811429),
(27494, 72, 3899, '', '', '', 1, 1423811539),
(27495, 72, 3899, 'handler_id', '0', '114', 0, 1423811539),
(27496, 72, 3900, '', '', '', 1, 1423811675),
(27497, 72, 3900, 'handler_id', '0', '114', 0, 1423811675),
(27503, 72, 3901, '', '', '', 1, 1423813089),
(27504, 72, 3901, 'handler_id', '0', '73', 0, 1423813089),
(27505, 72, 3902, '', '', '', 1, 1423813290),
(27506, 72, 3902, 'handler_id', '0', '73', 0, 1423813290),
(27507, 72, 3903, '', '', '', 1, 1423813436),
(27508, 72, 3903, 'handler_id', '0', '73', 0, 1423813436),
(27509, 72, 3904, '', '', '', 1, 1423813873),
(27510, 72, 3898, 'severity', '50', '80', 0, 1423814068),
(27511, 2, 3686, 'target_version', '', '14.1.50', 0, 1423814468),
(27512, 2, 3698, 'target_version', '', '14.2.0', 0, 1423814636),
(27513, 72, 3905, '', '', '', 1, 1423814639),
(27514, 72, 3905, 'handler_id', '0', '93', 0, 1423814639),
(27515, 2, 3731, 'summary', 'QC40019 - SFD', '40019 [SPEC] DSI-2014-REL-Ajout d\'un RIBA certifié', 0, 1423814747),
(27516, 2, 3734, 'summary', 'TAIGA- 40019- DSI-2014-REL-Ajout d\'un RIBA certifie -  DEVT_ TU', '40019 [DEV] DSI-2014-REL-Ajout d\'un RIBA certifie', 0, 1423814790),
(27517, 72, 3906, '', '', '', 1, 1423814828),
(27518, 72, 3906, 'handler_id', '0', '139', 0, 1423814828),
(27519, 2, 3888, 'target_version', '', '14.1.60', 0, 1423814947),
(27520, 2, 3888, 'summary', '40196 - AFFI - SPOC recette IJ conjoint collaborateur - date de modif lors de création', '40196 [DEV] AFFI - SPOC recette IJ conjoint collaborateur - date de modif lors de création', 0, 1423814947),
(27521, 2, 3889, 'target_version', '', '14.1.60', 0, 1423815102),
(27522, 2, 3889, 'summary', '40143 - AFFI - MAJOC - Modification du prénom impossible pour un conjoint pacsé', '40143 [DEV] AFFI - MAJOC - Modification du prénom impossible pour un conjoint pacsé', 0, 1423815102),
(27523, 2, 3890, 'target_version', '', '14.1.60', 0, 1423815163),
(27524, 2, 3890, 'summary', '40082 - SPOC mauvais format de la date article 51', '40082 [DEV] SPOC mauvais format de la date article 51', 0, 1423815163),
(27525, 2, 3689, 'target_version', '', '15.0.0', 0, 1423815267),
(27526, 2, 3689, 'summary', '40033 - Evo OGMA - champ DRT_PREST_D & MTF_DP_ASS_FD', '40033 [DEV] Evo OGMA - champ DRT_PREST_D & MTF_DP_ASS_FD', 0, 1423815267),
(27527, 2, 3737, 'target_version', '', '14.1.45', 0, 1423815445),
(27528, 2, 3737, 'summary', 'TAIGA-39926 -Securisation des acces à application TAIGA', '39926 [DEV] Securisation des acces à application TAIGA', 0, 1423815445),
(27529, 2, 3738, 'target_version', '', '14.1.75', 0, 1423815588),
(27530, 2, 3738, 'summary', 'TAIGA-39971 -TAIGA W8 - Absence des boutons d\'actions des sous-fenêtres', '39971 [DEV] TAIGA W8 - Absence des boutons d\'actions des sous-fenêtres', 0, 1423815588),
(27531, 2, 3824, 'target_version', '', '14.1.75', 0, 1423815690),
(27532, 2, 3824, 'summary', '39470 - TAIGA W8 - Perte de focus de la fenetre TAIGA', '39470 [DEV] TAIGA W8 - Perte de focus de la fenetre TAIGA', 0, 1423815690),
(27533, 2, 3688, 'target_version', '', '15.0.0', 0, 1423815813),
(27534, 2, 3688, 'summary', '40032 - Evo OGMA - Modif champ FLAG_ANNUL', '40032 [DEV] Evo OGMA - Modif champ FLAG_ANNUL', 0, 1423815813),
(27535, 2, 3690, 'summary', '39443 - Evo sur Flux PAF - rejet dossiers IMMAT non valide', '39443 [DEV] Evo sur Flux PAF - rejet dossiers IMMAT non valide', 0, 1423815902),
(27536, 2, 3690, 'target_version', '', '15.0.0', 0, 1423815914),
(27537, 2, 3687, 'target_version', '', '15.0.0', 0, 1423815992),
(27538, 2, 3687, 'summary', '40030 - Evo OGMA - Modif AYD', '40030 [DEV] Evo OGMA - Modif AYD', 0, 1423815992),
(27539, 72, 3453, 'target_version', '', '15.0.0', 0, 1423816719),
(27540, 2, 3454, 'target_version', '', '15.0.0', 0, 1423816873),
(27541, 2, 3335, 'target_version', '', '15.0.0', 0, 1423816930),
(27542, 134, 3907, '', '', '', 1, 1423817055),
(27543, 134, 3907, 'handler_id', '0', '134', 0, 1423817055),
(27544, 134, 3908, '', '', '', 1, 1423817287),
(27545, 134, 3908, 'handler_id', '0', '134', 0, 1423817287),
(27546, 2, 3907, 'summary', '40113/40162/40121/40145-FC15R-Date d\'effet non renseignée-Rub XD-XC non rapatriées-Arret traitement sans date', '40113/40162/40121/40145 [DEV] FC15R Date d\'effet non renseignée-Rub XD-XC non rapatriées-Arret traitement sans date', 0, 1423817544),
(27549, 2, 3908, 'summary', '40167 : FC15R assiette provisoire sélectionnée à tort', '40167 [DEV] FC15R assiette provisoire sélectionnée à tort', 0, 1423817737),
(27550, 134, 3908, 'summary', '40167 [DEV] FC15R assiette provisoire sélectionnée à tort', '40167-FC15R assiette provisoire sélectionnée à tort', 0, 1423818024),
(27551, 134, 3908, '', '807', '', 6, 1423818024),
(27552, 134, 3907, '', '809', '', 6, 1423818086),
(27554, 134, 3908, 'summary', '40167-FC15R assiette provisoire sélectionnée à tort', '40167 [DEV] -FC15R assiette provisoire sélectionnée à tort', 0, 1423818166),
(27555, 134, 3909, '', '', '', 1, 1423818300),
(27556, 134, 3909, 'handler_id', '0', '134', 0, 1423818300),
(27561, 134, 3907, 'CodevTT_RAF', '', '1', 0, 1423818565),
(27562, 134, 3907, 'CodevTT_RAF', '1', '1', 0, 1423818924),
(27563, 72, 3615, 'CodevTT_RAF', '0.1', '0.5', 0, 1423818982),
(27564, 134, 3909, 'CodevTT_RAF', '', '2', 0, 1423819043),
(27565, 134, 3909, 'CodevTT_RAF', '2', '1', 0, 1423819143),
(27566, 134, 3909, 'status', '10', '40', 0, 1423819143),
(27567, 134, 3909, 'CodevTT_RAF', '1', '1', 0, 1423819183),
(27568, 72, 3910, '', '', '', 1, 1423819194),
(27569, 72, 3910, 'handler_id', '0', '134', 0, 1423819194),
(27570, 2, 3907, 'status', '10', '50', 0, 1423819760),
(27571, 2, 3908, 'Ref. Externe', '', '40167', 0, 1423819881),
(27572, 2, 3909, 'Ref. Externe', '', '40164', 0, 1423819896),
(27573, 2, 3907, 'Ref. Externe', '', '40113', 0, 1423819935),
(27574, 2, 3731, 'Ref. Externe', '', '40019', 0, 1423819944),
(27575, 2, 3909, 'summary', '40164 FC15R bénéficiaire affichant 2 lignes', '40164 [DEV] FC15R bénéficiaire affichant 2 lignes', 0, 1423819998),
(27576, 2, 3904, 'category', 'Cotisation', 'General', 0, 1423820761),
(27577, 2, 3900, 'category', 'Cotisation', 'General', 0, 1423820761),
(27578, 2, 3899, 'category', 'Cotisation', 'General', 0, 1423820761),
(27579, 2, 3880, 'category', 'Cotisation', 'General', 0, 1423820761),
(27580, 2, 3832, 'category', 'Cotisation', 'General', 0, 1423820761),
(27581, 2, 3826, 'category', 'Cotisation', 'General', 0, 1423820761),
(27582, 2, 3825, 'category', 'Cotisation', 'General', 0, 1423820761),
(27583, 2, 3732, 'category', 'Cotisation', 'General', 0, 1423820761),
(27584, 2, 3543, 'category', 'Cotisation', 'General', 0, 1423820761),
(27585, 2, 3542, 'category', 'Cotisation', 'General', 0, 1423820761),
(27586, 2, 3544, 'category', 'Cotisation', 'General', 0, 1423820761),
(27587, 2, 3831, 'category', 'Cotisation', 'General', 0, 1423820761),
(27588, 2, 3830, 'category', 'Cotisation', 'General', 0, 1423820761),
(27589, 2, 3827, 'category', 'Cotisation', 'General', 0, 1423820761),
(27590, 2, 3144, 'category', 'Cotisation', 'General', 0, 1423820761),
(27591, 2, 2121, 'category', 'Cotisation', 'General', 0, 1423820761),
(27592, 2, 3890, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27593, 2, 3889, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27594, 2, 3888, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27595, 2, 3698, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27596, 2, 3898, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27597, 2, 3903, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27598, 2, 3902, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27599, 2, 3901, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27600, 2, 3819, 'category', 'Immatriculation', 'General', 0, 1423820800),
(30529, 73, 4265, 'CodevTT_RAF', '0', '0', 0, 1426668040),
(27602, 2, 3828, 'category', 'Immatriculation', 'General', 0, 1423820800),
(35116, 2, 4264, 'CodevTT_Dead Line', '', '1430949600', 0, 1429776826),
(27604, 2, 3459, 'category', 'Immatriculation', 'General', 0, 1423820800),
(30499, 72, 3624, 'CodevTT_RAF', '4', '1.5', 0, 1426612961),
(27606, 2, 3624, 'category', 'Immatriculation', 'General', 0, 1423820800),
(30498, 72, 3624, 'status', '10', '50', 0, 1426612872),
(30497, 72, 3624, 'CodevTT_RAF', '', '4', 0, 1426612872),
(30496, 72, 4273, 'CodevTT_RAF', '1', '1', 0, 1426612822),
(30495, 72, 4273, 'CodevTT_RAF', '1', '1', 0, 1426612805),
(27611, 2, 3547, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27612, 2, 3460, 'category', 'Immatriculation', 'General', 0, 1423820800),
(27616, 136, 3543, 'CodevTT_RAF', '1', '2', 0, 1423826331),
(27624, 2, 3911, '', '', '', 1, 1423833196),
(27640, 2, 3912, '', '', '', 1, 1423834859),
(30753, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1426761494),
(27647, 2, 3914, '', '', '', 1, 1423835019),
(27649, 2, 3915, '', '', '', 1, 1423835126),
(27650, 2, 3915, 'handler_id', '0', '114', 0, 1423835126),
(27651, 2, 3916, '', '', '', 1, 1423835208),
(27653, 2, 3916, 'Ref. Externe', '', '40202', 0, 1423835240),
(27660, 2, 3686, 'Ref. Externe', '', '39996', 0, 1423835814),
(27661, 2, 3084, 'Ref. Externe', '', '39535', 0, 1423835835),
(27662, 2, 3887, 'Ref. Externe', '', '40206', 0, 1423835844),
(27666, 2, 3914, 'Ref. Externe', '', '40169', 0, 1423835966),
(30752, 2, 4266, 'status', '40', '50', 0, 1426760346),
(27669, 2, 3915, 'Ref. Externe', '', '40172', 0, 1423836053),
(27670, 2, 3915, 'summary', 'TAIGA - VM14.2.0 - Integration DSI job CJCIDR10 Erreur : ORA-20999', '40172 TAIGA - VM14.2.0 - Integration DSI job CJCIDR10 Erreur : ORA-20999', 0, 1423836053),
(27671, 140, 3916, 'CodevTT_RAF', '', '1', 0, 1423837431),
(27672, 140, 3916, 'status', '10', '50', 0, 1423837432),
(27673, 139, 3906, 'CodevTT_RAF', '', '1', 0, 1423838043),
(27779, 2, 3905, 'status', '10', '80', 0, 1423848805),
(27780, 2, 3905, 'resolution', '10', '70', 0, 1423848805),
(27781, 2, 3905, 'CodevTT_RAF', '', '0', 0, 1423848805),
(27788, 2, 3905, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27789, 2, 3906, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27790, 2, 3916, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27791, 2, 3915, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(30751, 2, 3479, 'CodevTT_RAF', '0.5', '0', 0, 1426760014),
(27793, 2, 3914, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27794, 2, 3912, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27795, 2, 3911, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27796, 2, 3903, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27797, 2, 3902, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27798, 2, 3901, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27799, 2, 3898, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27801, 2, 3828, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27802, 2, 3819, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27803, 2, 3904, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27804, 2, 3900, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27805, 2, 3899, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27806, 2, 3880, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27807, 2, 3832, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27808, 2, 3831, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27809, 2, 3830, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27810, 2, 3827, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27811, 2, 3826, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27812, 2, 3825, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27813, 2, 3732, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27814, 2, 3144, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27815, 2, 3896, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27816, 2, 3895, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27817, 2, 3894, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27818, 2, 3892, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27819, 2, 3735, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27820, 2, 3733, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27821, 2, 3891, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27822, 2, 3893, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27823, 2, 3562, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27824, 2, 3545, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27825, 2, 3736, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27826, 2, 3546, 'CodevTT_ChargeInit', '1', '2', 0, 1424075625),
(27857, 2, 3926, '', '', '', 1, 1424090136),
(27858, 2, 3926, 'status', '10', '80', 0, 1424090155),
(27859, 2, 3926, 'resolution', '10', '20', 0, 1424090155),
(27860, 2, 3926, 'handler_id', '0', '2', 0, 1424090155),
(27861, 2, 3926, 'CodevTT_RAF', '', '0', 0, 1424090155),
(27862, 2, 3926, 'handler_id', '2', '0', 0, 1424090158),
(27863, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090305),
(27864, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090326),
(27865, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090332),
(27866, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090339),
(27867, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090346),
(27868, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090361),
(27869, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090374),
(27870, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090383),
(27871, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090390),
(27872, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090409),
(27873, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090417),
(27874, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090423),
(27875, 2, 3926, 'CodevTT_RAF', '0', '0', 0, 1424090429),
(27876, 2, 3926, 'CodevTT_ChargeInit', '2', '13', 0, 1424090463),
(27877, 134, 3909, 'CodevTT_RAF', '1', '2', 0, 1424091136),
(27878, 134, 3909, 'CodevTT_RAF', '2', '1', 0, 1424091166),
(27879, 116, 3545, 'CodevTT_RAF', '0.5', '0.2', 0, 1424093689),
(27880, 116, 3545, 'CodevTT_RAF', '0.2', '0', 0, 1424093717),
(27881, 116, 3545, 'CodevTT_RAF', '0', '0', 0, 1424093717),
(27882, 116, 3545, 'status', '50', '80', 0, 1424093717),
(27883, 116, 3907, 'CodevTT_RAF', '1', '0.5', 0, 1424093764),
(27884, 116, 3907, 'CodevTT_RAF', '0.5', '0', 0, 1424093776),
(27885, 116, 3907, 'CodevTT_RAF', '0', '0', 0, 1424093776),
(27886, 116, 3907, 'status', '50', '80', 0, 1424093776),
(27931, 2, 3940, '', '', '', 1, 1424108016),
(27932, 2, 3940, 'CodevTT_RAF', '', '2', 0, 1424108044),
(27933, 2, 3940, 'status', '10', '50', 0, 1424108044),
(27934, 2, 3940, 'CodevTT_RAF', '2', '2', 0, 1424108082),
(27935, 2, 3940, 'CodevTT_Type', 'Task', 'Bug', 0, 1424108323),
(27938, 136, 3543, 'CodevTT_RAF', '2', '1', 0, 1424167024),
(27939, 136, 3543, 'CodevTT_RAF', '1', '0.1', 0, 1424167037),
(27940, 2, 3940, 'CodevTT_RAF', '2', '2', 0, 1424167974),
(27943, 140, 3916, 'CodevTT_RAF', '1', '1', 0, 1424180561),
(27944, 140, 3900, 'CodevTT_RAF', '', '1', 0, 1424180691),
(27947, 2, 3897, 'CodevTT_RAF', '1', '1', 0, 1424188019),
(27948, 2, 3897, 'CodevTT_RAF', '1', '1', 0, 1424188089),
(27951, 2, 3941, '', '', '', 1, 1424189715);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(27952, 2, 3942, '', '', '', 1, 1424189757),
(27953, 2, 3941, 'CodevTT_RAF', '', '0', 0, 1424189887),
(27954, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1424189887),
(27955, 2, 3941, 'status', '10', '80', 0, 1424189887),
(27956, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1424189936),
(27957, 2, 3943, '', '', '', 1, 1424191006),
(27958, 128, 3562, 'CodevTT_RAF', '1', '1', 0, 1424191057),
(27959, 128, 3562, 'CodevTT_RAF', '1', '1', 0, 1424191096),
(27960, 128, 3562, 'CodevTT_RAF', '1', '1', 0, 1424191128),
(27961, 128, 3562, 'CodevTT_RAF', '1', '1', 0, 1424191155),
(27962, 128, 3562, 'CodevTT_RAF', '1', '1', 0, 1424191189),
(27963, 2, 3943, 'CodevTT_RAF', '', '0', 0, 1424191236),
(27964, 2, 3943, 'CodevTT_RAF', '0', '0', 0, 1424191236),
(27965, 2, 3943, 'status', '10', '80', 0, 1424191236),
(27966, 2, 3943, 'CodevTT_RAF', '0', '0', 0, 1424191253),
(27967, 2, 3943, 'CodevTT_RAF', '0', '0', 0, 1424191260),
(27968, 2, 3943, 'CodevTT_RAF', '0', '0', 0, 1424191267),
(27969, 2, 3943, 'CodevTT_RAF', '0', '0', 0, 1424191322),
(27970, 128, 3710, 'CodevTT_RAF', '0', '1', 0, 1424191368),
(27971, 128, 3710, 'CodevTT_RAF', '1', '0', 0, 1424191396),
(27972, 128, 3710, 'CodevTT_RAF', '0', '1', 0, 1424191414),
(27973, 128, 3898, 'CodevTT_RAF', '', '0', 0, 1424192383),
(27974, 128, 3898, 'CodevTT_RAF', '0', '0', 0, 1424192383),
(27975, 128, 3898, 'status', '10', '80', 0, 1424192383),
(27976, 128, 3897, 'CodevTT_RAF', '1', '0', 0, 1424192484),
(27977, 128, 3897, 'CodevTT_RAF', '0', '0', 0, 1424192484),
(27978, 128, 3897, 'status', '50', '80', 0, 1424192484),
(28005, 2, 3904, 'target_version', '', '14.2.10', 0, 1424250276),
(28004, 2, 3453, '', '561', '818', 3, 1424248399),
(28029, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1424263559),
(28041, 116, 3690, 'CodevTT_RAF', '0.7', '0.6', 0, 1424269968),
(28042, 116, 3687, 'CodevTT_RAF', '0.6', '0.6', 0, 1424269999),
(28043, 116, 3688, 'CodevTT_RAF', '', '1', 0, 1424270018),
(28044, 116, 3689, 'CodevTT_RAF', '', '1', 0, 1424270037),
(28045, 116, 3687, 'CodevTT_RAF', '0.6', '0.6', 0, 1424270076),
(28046, 116, 3687, 'CodevTT_RAF', '0.6', '0.6', 0, 1424270115),
(28047, 116, 3689, 'CodevTT_RAF', '1', '1', 0, 1424270135),
(28048, 116, 3688, 'CodevTT_RAF', '1', '1', 0, 1424270148),
(28049, 116, 3688, 'CodevTT_RAF', '1', '1', 0, 1424270169),
(28054, 139, 3737, 'CodevTT_RAF', '2', '1', 0, 1424275411),
(28055, 139, 3737, 'CodevTT_RAF', '1', '1', 0, 1424275427),
(28063, 114, 3912, 'CodevTT_RAF', '', '1', 0, 1424333134),
(28064, 114, 3911, 'CodevTT_RAF', '', '1', 0, 1424333180),
(28065, 114, 3916, 'CodevTT_RAF', '1', '1', 0, 1424333198),
(28066, 114, 3891, 'CodevTT_RAF', '2', '1', 0, 1424333259),
(28067, 114, 3916, 'CodevTT_RAF', '1', '1', 0, 1424333312),
(28068, 114, 3826, 'CodevTT_RAF', '1', '1', 0, 1424333401),
(28069, 114, 3826, 'CodevTT_RAF', '1', '1', 0, 1424333418),
(28070, 2, 3965, '', '', '', 1, 1424333482),
(28071, 2, 3965, 'handler_id', '0', '2', 0, 1424333482),
(28114, 128, 3967, '', '', '', 1, 1424351746),
(28115, 128, 3967, 'CodevTT_RAF', '', '1', 0, 1424352023),
(28116, 128, 3967, 'status', '10', '50', 0, 1424352023),
(28117, 134, 3909, 'CodevTT_RAF', '1', '1.5', 0, 1424352968),
(28118, 134, 3909, 'CodevTT_RAF', '1.5', '0.5', 0, 1424352987),
(28119, 134, 3909, 'CodevTT_RAF', '0.5', '0', 0, 1424353018),
(28120, 134, 3909, 'CodevTT_RAF', '0', '0', 0, 1424353018),
(28121, 134, 3909, 'status', '40', '80', 0, 1424353018),
(28122, 136, 3904, 'handler_id', '0', '136', 0, 1424353027),
(28123, 136, 3543, 'handler_id', '93', '136', 0, 1424353256),
(28124, 136, 3544, 'handler_id', '2', '136', 0, 1424353283),
(28125, 136, 3819, 'handler_id', '93', '136', 0, 1424353334),
(28126, 136, 3543, '', '0000599', '', 2, 1424353443),
(28127, 136, 3543, 'CodevTT_RAF', '0.1', '0', 0, 1424353473),
(28128, 136, 3543, 'CodevTT_Date Livraison', '', '1424127600', 0, 1424353473),
(28129, 136, 3543, 'status', '50', '80', 0, 1424353473),
(28130, 136, 3543, 'fixed_in_version', '', '14.2.10', 0, 1424353473),
(28131, 136, 3543, 'resolution', '10', '20', 0, 1424353473),
(28132, 136, 3544, 'CodevTT_RAF', '1', '0', 0, 1424353539),
(28133, 136, 3544, 'CodevTT_Date Livraison', '', '1423695600', 0, 1424353539),
(28134, 136, 3544, '', '0000600', '', 2, 1424353539),
(28135, 136, 3544, 'status', '50', '80', 0, 1424353539),
(28136, 136, 3544, 'fixed_in_version', '', '14.2.10', 0, 1424353539),
(28137, 136, 3544, 'resolution', '10', '20', 0, 1424353539),
(28138, 136, 3904, 'status', '10', '30', 0, 1424353565),
(28139, 136, 3819, 'CodevTT_RAF', '0.1', '0', 0, 1424353671),
(28140, 136, 3819, 'CodevTT_Date Livraison', '', '1423436400', 0, 1424353671),
(28141, 136, 3819, '', '0000601', '', 2, 1424353671),
(28142, 136, 3819, 'status', '50', '80', 0, 1424353671),
(28143, 136, 3819, 'fixed_in_version', '', '14.2.0', 0, 1424353671),
(28144, 136, 3819, 'resolution', '10', '20', 0, 1424353671),
(28145, 136, 3880, 'CodevTT_RAF', '1', '0', 0, 1424353730),
(28146, 136, 3880, '', '0000602', '', 2, 1424353730),
(28147, 136, 3880, 'status', '50', '80', 0, 1424353730),
(28148, 136, 3880, 'resolution', '10', '20', 0, 1424353730),
(28149, 136, 3733, 'CodevTT_Date Livraison', '', '1422831600', 0, 1424353817),
(28150, 136, 3733, '', '0000603', '', 2, 1424353817),
(28151, 136, 3733, 'status', '50', '80', 0, 1424353817),
(28152, 136, 3733, 'fixed_in_version', '', '14.2.0', 0, 1424353817),
(28153, 136, 3733, 'resolution', '10', '20', 0, 1424353817),
(28154, 136, 3733, 'CodevTT_RAF', '2', '0', 0, 1424353817),
(28155, 136, 3709, 'CodevTT_RAF', '0.1', '0', 0, 1424353938),
(28156, 136, 3709, 'CodevTT_Date Livraison', '', '1390086000', 0, 1424353938),
(28157, 136, 3709, '', '0000604', '', 2, 1424353938),
(28158, 136, 3709, 'status', '50', '80', 0, 1424353938),
(28159, 136, 3709, 'resolution', '10', '20', 0, 1424353938),
(28165, 136, 3709, 'CodevTT_Date Livraison', '1390086000', '1421622000', 0, 1424354521),
(28166, 136, 3733, 'handler_id', '136', '72', 0, 1424355601),
(28167, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1424357053),
(28168, 136, 3709, 'CodevTT_ChargeInit', '2.4', '2.9', 0, 1424357053),
(28169, 136, 3709, '', 'TU D40013.doc', '', 9, 1424357098),
(28170, 136, 3709, '', 'BUG_40013_DVS_TAIGA-40013_EIC-choixteledeclpasemissionpapier_2015_V1.0.xls', '', 9, 1424357115),
(28171, 136, 3544, 'CodevTT_ChargeInit', '1', '2.9', 0, 1424357182),
(28172, 136, 3544, '', 'BUG_39889_DVS_TAIGA-39889_DecommissionnerMajorAssteSocial_2015_V1.0.xls', '', 9, 1424357199),
(28173, 136, 3544, '', 'BUG_39889_TU D39889.doc', '', 9, 1424357221),
(28174, 136, 3544, 'CodevTT_ChargeInit', '2.9', '3.9', 0, 1424357281),
(28175, 136, 3543, '', 'BUG_39871_DVS_TAIGA-39871_Suppression RG12 de la SFD_COTI_notification_V1.1.xls', '', 9, 1424357429),
(28176, 136, 3543, '', 'TU D39871.doc', '', 9, 1424357440),
(28177, 136, 3543, 'CodevTT_ChargeInit', '1', '2.9', 0, 1424357472),
(28178, 136, 3543, 'CodevTT_ChargeInit', '2.9', '5.4', 0, 1424357527),
(28179, 136, 3819, '', 'Test 40136.docx', '', 9, 1424357606),
(28180, 73, 3968, '', '', '', 1, 1424357840),
(28181, 73, 3968, 'handler_id', '0', '73', 0, 1424357840),
(28182, 73, 3969, '', '', '', 1, 1424357871),
(28183, 73, 3969, 'handler_id', '0', '73', 0, 1424357871),
(28184, 73, 3969, '', '', '3968', 21, 1424357871),
(28185, 73, 3968, '', '', '3969', 20, 1424357871),
(28186, 73, 3970, '', '', '', 1, 1424357906),
(28187, 73, 3970, 'handler_id', '0', '73', 0, 1424357906),
(28188, 73, 3970, '', '', '3969', 21, 1424357906),
(28189, 73, 3969, '', '', '3970', 20, 1424357906),
(28190, 73, 3968, 'CodevTT_RAF', '', '0.5', 0, 1424357936),
(28191, 73, 3888, 'CodevTT_RAF', '2', '2', 0, 1424358015),
(28192, 73, 3898, 'CodevTT_RAF', '0', '1', 0, 1424359940),
(28193, 73, 3898, 'CodevTT_RAF', '1', '1', 0, 1424359970),
(28194, 73, 3898, 'CodevTT_RAF', '1', '0', 0, 1424359994),
(28195, 73, 3698, 'CodevTT_RAF', '0.5', '0.5', 0, 1424360071),
(28196, 73, 3698, 'CodevTT_RAF', '0.5', '1', 0, 1424360112),
(28197, 73, 3698, 'CodevTT_RAF', '1', '1', 0, 1424360125),
(28198, 73, 3698, 'CodevTT_RAF', '1', '0.5', 0, 1424360187),
(28199, 73, 3698, 'CodevTT_RAF', '0.5', '0', 0, 1424360255),
(28200, 73, 3698, 'status', '50', '80', 0, 1424360255),
(28201, 73, 3698, 'resolution', '10', '20', 0, 1424360255),
(28202, 73, 3546, 'CodevTT_RAF', '0.5', '0', 0, 1424360360),
(28203, 73, 3546, 'status', '30', '80', 0, 1424360360),
(28204, 73, 3546, 'resolution', '10', '20', 0, 1424360360),
(28205, 73, 3968, 'status', '10', '30', 0, 1424360400),
(28206, 73, 3968, 'CodevTT_RAF', '0.5', '0', 0, 1424360427),
(28207, 73, 3968, 'status', '30', '80', 0, 1424360427),
(28208, 73, 3968, 'resolution', '10', '20', 0, 1424360427),
(28209, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424360588),
(28210, 2, 3969, 'version', '14.1.60', '', 0, 1424360653),
(28211, 2, 3969, 'target_version', '', '14.1.60', 0, 1424360653),
(28212, 2, 3970, 'version', '14.1.60', '', 0, 1424360666),
(28213, 2, 3970, 'target_version', '', '14.1.60', 0, 1424360666),
(28214, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424361630),
(28215, 128, 3897, 'CodevTT_RAF', '0', '0', 0, 1424361866),
(28216, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424362264),
(28217, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424362301),
(28218, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424362422),
(28219, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424362525),
(28220, 128, 3897, 'CodevTT_RAF', '0', '0', 0, 1424362748),
(28221, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424362854),
(28222, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424362995),
(28223, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424363066),
(28224, 2, 3562, 'summary', 'Livraison des Assistances Celtick', 'Livraison des Assistances, Nomenclatures & Report de Fusion', 0, 1424363333),
(28225, 128, 3562, 'CodevTT_RAF', '1', '0', 0, 1424363555),
(28226, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1424363555),
(28227, 128, 3562, 'status', '50', '80', 0, 1424363555),
(28228, 128, 3967, 'CodevTT_RAF', '1', '0', 0, 1424363650),
(28229, 128, 3967, 'CodevTT_RAF', '0', '0', 0, 1424363650),
(28230, 128, 3967, 'status', '50', '80', 0, 1424363650),
(28231, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424363893),
(28232, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424364122),
(28233, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424364162),
(28234, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424364235),
(28235, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424364303),
(28236, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424364456),
(28237, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424364526),
(28238, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1424364613),
(28239, 2, 3562, 'summary', 'Livraison des Assistances, Nomenclatures & Report de Fusion', '[INTEG] Livraison des Assistances, Nomenclatures & Report de Fusion', 0, 1424364651),
(28254, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424366573),
(28253, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1424366357),
(28242, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1424365555),
(28243, 128, 3967, 'CodevTT_RAF', '0', '0', 0, 1424365598),
(28244, 128, 3967, 'CodevTT_RAF', '0', '0', 0, 1424365634),
(28245, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424365671),
(28246, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424365766),
(28247, 128, 3967, 'CodevTT_RAF', '0', '0', 0, 1424365884),
(28248, 128, 3967, 'CodevTT_RAF', '0', '0', 0, 1424365943),
(28249, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1424366130),
(28252, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1424366283),
(28255, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424366626),
(28256, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424366695),
(28257, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1424366802),
(28258, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424366875),
(28259, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1424366909),
(28260, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424366991),
(28261, 128, 3460, 'CodevTT_RAF', '0', '0', 0, 1424367069),
(28280, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1424436366),
(28308, 136, 3904, '', '0000605', '', 2, 1424440802),
(28324, 134, 3888, 'CodevTT_RAF', '2', '1', 0, 1424449881),
(28325, 134, 3888, 'CodevTT_RAF', '1', '1', 0, 1424449903),
(28349, 73, 3889, 'CodevTT_RAF', '2', '1', 0, 1424508231),
(28350, 2, 3940, 'CodevTT_RAF', '2', '2', 0, 1424528869),
(28363, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424676291),
(28364, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424676310),
(28365, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424676317),
(28366, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424676335),
(28367, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424676346),
(28368, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424676356),
(28369, 74, 3891, 'CodevTT_RAF', '1', '1', 0, 1424676383),
(28370, 93, 3819, 'CodevTT_RAF', '0', '0.9', 0, 1424678532),
(28371, 93, 3819, 'CodevTT_RAF', '0.9', '0.4', 0, 1424678589),
(28372, 93, 3708, 'CodevTT_RAF', '0.05', '0.05', 0, 1424678677),
(28422, 2, 3940, 'CodevTT_RAF', '2', '2', 0, 1424697906),
(28423, 2, 3940, 'summary', '40209 [DEV] DSI 2014-INT Intégration d\'une déclaration saisie dans NetDSI avec Rubrique A3 renseignée', '40209 [DEV] DSI 2014-INT Intégration d\'une déclaration NetDSI avec Rubrique A3 renseignée', 0, 1424697963),
(28440, 146, 3940, 'CodevTT_RAF', '2', '2', 0, 1424769717),
(28441, 146, 3940, 'CodevTT_RAF', '2', '2', 0, 1424769753),
(28487, 148, 3914, 'CodevTT_RAF', '', '0.25', 0, 1424855364),
(28488, 148, 3914, 'CodevTT_RAF', '0.25', '0.25', 0, 1424855416),
(28489, 136, 3819, 'CodevTT_RAF', '0.4', '0', 0, 1424857273),
(28490, 136, 3904, 'CodevTT_RAF', '', '4', 0, 1424857302),
(28491, 136, 3904, 'CodevTT_RAF', '4', '3', 0, 1424857315),
(28492, 136, 3904, 'CodevTT_RAF', '3', '3', 0, 1424857363),
(28493, 136, 3904, 'CodevTT_RAF', '3', '2', 0, 1424857373),
(28494, 136, 3904, 'CodevTT_RAF', '2', '1', 0, 1424857404),
(28495, 2, 3940, 'CodevTT_RAF', '2', '2', 0, 1424858132),
(28496, 2, 3548, 'CodevTT_RAF', '0.25', '1', 0, 1424858230),
(28497, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1424858356),
(28498, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1424858381),
(28499, 72, 4054, '', '', '', 1, 1424859962),
(28500, 72, 4054, 'handler_id', '0', '148', 0, 1424859962),
(28501, 148, 4054, 'CodevTT_RAF', '', '0.25', 0, 1424860468),
(28516, 139, 3737, 'status', '50', '80', 0, 1424878668),
(28517, 139, 3737, 'resolution', '30', '20', 0, 1424878668),
(28518, 139, 3737, 'CodevTT_RAF', '1', '0', 0, 1424878668),
(28519, 139, 3906, 'status', '10', '80', 0, 1424878736),
(28520, 139, 3906, 'resolution', '10', '40', 0, 1424878736),
(28521, 139, 3906, 'CodevTT_RAF', '1', '0', 0, 1424878736),
(28522, 139, 3737, 'CodevTT_RAF', '0', '3', 0, 1424878785),
(28523, 139, 3737, 'CodevTT_RAF', '3', '2', 0, 1424878806),
(28524, 139, 3737, 'CodevTT_RAF', '2', '1', 0, 1424878858),
(28525, 139, 3737, 'CodevTT_RAF', '1', '1', 0, 1424878870),
(28526, 139, 3737, 'CodevTT_RAF', '1', '0', 0, 1424878892),
(28527, 148, 3916, 'CodevTT_RAF', '1', '1', 0, 1424882783),
(28528, 93, 3907, 'CodevTT_RAF', '0', '0.05', 0, 1424936587),
(28529, 93, 3819, 'CodevTT_RAF', '0', '0.2', 0, 1424936805),
(28530, 93, 3819, 'CodevTT_RAF', '0.2', '0.1', 0, 1424936828),
(28531, 93, 3819, 'CodevTT_RAF', '0.1', '0.05', 0, 1424936855),
(28532, 93, 3907, 'CodevTT_RAF', '0.05', '0.6', 0, 1424937330),
(28533, 93, 3907, 'CodevTT_RAF', '0.6', '0.1', 0, 1424937366),
(28534, 73, 3969, 'CodevTT_RAF', '', '0.5', 0, 1424937686),
(28535, 134, 3888, 'CodevTT_RAF', '1', '2', 0, 1424938457),
(28536, 134, 3888, 'CodevTT_RAF', '2', '1', 0, 1424938490),
(28537, 93, 3907, 'CodevTT_RAF', '0.1', '0.3', 0, 1424938517),
(28538, 134, 3888, 'CodevTT_RAF', '1', '0.2', 0, 1424938526),
(28539, 134, 3910, 'CodevTT_RAF', '', '1.8', 0, 1424938556),
(28540, 93, 3909, 'CodevTT_RAF', '0', '6.7', 0, 1424938590),
(28541, 93, 3907, 'CodevTT_RAF', '0.3', '0.05', 0, 1424938823),
(28542, 93, 3907, 'CodevTT_RAF', '0.05', '0.05', 0, 1424938854),
(28543, 93, 3909, 'CodevTT_RAF', '6.7', '0.5', 0, 1424938888),
(28544, 93, 3909, 'CodevTT_RAF', '0.5', '6.2', 0, 1424938953),
(28545, 93, 3908, 'CodevTT_RAF', '', '0.05', 0, 1424939353),
(28546, 93, 3909, 'CodevTT_RAF', '6.2', '5.7', 0, 1424939411),
(28547, 93, 3909, 'CodevTT_RAF', '5.7', '4.7', 0, 1424939451),
(28548, 93, 3880, 'CodevTT_RAF', '0', '0.05', 0, 1424939551),
(28549, 93, 3909, 'CodevTT_RAF', '4.7', '3.9', 0, 1424939587),
(28550, 93, 3892, 'CodevTT_RAF', '1', '0.05', 0, 1424939660),
(28551, 93, 3909, 'CodevTT_RAF', '3.9', '3', 0, 1424939688),
(28552, 93, 3909, 'CodevTT_RAF', '3', '2', 0, 1424939823),
(28553, 93, 3909, 'CodevTT_RAF', '2', '1.5', 0, 1424939894),
(28554, 93, 3915, 'CodevTT_RAF', '', '4.1', 0, 1424939924),
(28555, 93, 3940, 'CodevTT_RAF', '2', '0.25', 0, 1424939949),
(28556, 93, 3908, 'CodevTT_RAF', '0.05', '2', 0, 1424939992),
(28557, 93, 3908, 'CodevTT_RAF', '2', '0.05', 0, 1424940055),
(28558, 93, 3915, 'CodevTT_RAF', '4.1', '3.6', 0, 1424940105),
(28559, 93, 3909, 'CodevTT_RAF', '1.5', '0.5', 0, 1424940244),
(28560, 93, 3909, 'CodevTT_RAF', '0.5', '0.05', 0, 1424940275),
(28561, 93, 3909, 'CodevTT_RAF', '0.05', '2.6', 0, 1424940341),
(28562, 93, 3904, 'CodevTT_RAF', '1', '0.05', 0, 1424940637),
(28563, 93, 3915, 'CodevTT_RAF', '3.6', '2', 0, 1424940689),
(28564, 140, 3914, 'CodevTT_RAF', '0.25', '0.1', 0, 1424941163),
(28565, 93, 3915, 'CodevTT_RAF', '2', '1.4', 0, 1424941192),
(28566, 93, 3915, 'CodevTT_RAF', '1.4', '0.65', 0, 1424941611),
(28567, 93, 3915, 'CodevTT_RAF', '0.65', '0.5', 0, 1424941656),
(28568, 93, 3735, 'CodevTT_RAF', '0.05', '0.05', 0, 1424941718),
(28569, 140, 3826, 'CodevTT_RAF', '1', '2', 0, 1424941774),
(28570, 140, 3826, 'CodevTT_RAF', '2', '1', 0, 1424941806),
(28571, 140, 3732, 'CodevTT_RAF', '1', '1.5', 0, 1424941932),
(28572, 140, 3732, 'CodevTT_RAF', '1.5', '1.5', 0, 1424941969),
(28573, 73, 3889, 'CodevTT_RAF', '1', '0.5', 0, 1424941975),
(28574, 140, 3826, 'CodevTT_RAF', '1', '0.5', 0, 1424942003),
(28575, 72, 4055, '', '', '', 1, 1424942907),
(28576, 72, 4055, 'handler_id', '0', '114', 0, 1424942907),
(28577, 93, 3615, 'CodevTT_RAF', '0.5', '1', 0, 1424943674),
(28578, 93, 3615, 'CodevTT_RAF', '1', '1', 0, 1424943780),
(28579, 93, 3615, 'CodevTT_RAF', '1', '0.2', 0, 1424943803),
(28580, 93, 3615, 'CodevTT_RAF', '0.2', '0.05', 0, 1424943846),
(28581, 93, 3907, 'CodevTT_RAF', '0.05', '0.4', 0, 1424944471),
(28582, 136, 3904, '', '0000606', '', 2, 1424947374),
(28587, 72, 3465, 'CodevTT_ChargeMgr', '0.7', '1.5', 0, 1424953915),
(28597, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424962737),
(28598, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424962749),
(28599, 73, 3969, 'CodevTT_RAF', '0.5', '0.5', 0, 1424962916),
(28600, 74, 3737, 'CodevTT_RAF', '0', '0', 0, 1424962968),
(28601, 74, 3737, '', '607', '', 2, 1424963015),
(28602, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1424963028),
(28603, 72, 4056, '', '', '', 1, 1424963291),
(28604, 72, 4056, 'handler_id', '0', '93', 0, 1424963291),
(28605, 136, 3969, 'CodevTT_RAF', '0.5', '0.1', 0, 1424963376),
(28606, 136, 3970, 'CodevTT_RAF', '', '0.1', 0, 1424963392),
(28607, 93, 4056, 'CodevTT_RAF', '', '0.05', 0, 1424964057),
(28613, 72, 4057, '', '', '', 1, 1424964877),
(28614, 72, 4057, 'handler_id', '0', '136', 0, 1424964877),
(28615, 2, 3737, '', '607', '822', 3, 1424965624),
(28619, 2, 3940, 'CodevTT_RAF', '2', '2', 0, 1424967021),
(28627, 2, 4058, '', '', '', 1, 1424968568),
(28628, 2, 4058, 'handler_id', '0', '2', 0, 1424968568),
(28629, 2, 4058, 'CodevTT_RAF', '', '0.5', 0, 1424968605),
(28630, 2, 4058, 'status', '10', '50', 0, 1424968605),
(28631, 2, 4058, 'CodevTT_RAF', '0.5', '0', 0, 1424968623),
(28632, 2, 4058, 'CodevTT_RAF', '0', '0', 0, 1424968623),
(28633, 2, 4058, 'status', '50', '80', 0, 1424968623),
(28660, 134, 3888, 'CodevTT_RAF', '0.2', '0', 0, 1425026737),
(28661, 134, 3888, 'CodevTT_RAF', '0', '0', 0, 1425026737),
(28662, 134, 3888, 'status', '30', '80', 0, 1425026737),
(28663, 134, 3910, 'CodevTT_RAF', '1.8', '1', 0, 1425026759),
(28664, 2, 4057, 'summary', '40249 - 37110 : Pas journalisation dans JNL_STAT ou JNL_MODIF', '40259 - 37110 : Pas journalisation dans JNL_STAT ou JNL_MODIF', 0, 1425028288),
(28667, 72, 4059, '', '', '', 1, 1425032996),
(28668, 72, 4059, 'handler_id', '0', '134', 0, 1425032996),
(28673, 72, 4060, '', '', '', 1, 1425034424),
(28674, 72, 4060, 'handler_id', '0', '114', 0, 1425034424),
(28676, 114, 3916, 'CodevTT_RAF', '1', '1', 0, 1425038026),
(28677, 114, 3891, 'CodevTT_RAF', '1', '1', 0, 1425038111),
(28678, 114, 3732, 'CodevTT_RAF', '1.5', '1', 0, 1425038177),
(28679, 114, 3732, 'CodevTT_RAF', '1', '1', 0, 1425038197),
(28680, 114, 4054, 'CodevTT_RAF', '0.25', '1', 0, 1425038272),
(28681, 114, 3826, 'CodevTT_RAF', '0.5', '1', 0, 1425038295),
(28682, 114, 3916, 'CodevTT_RAF', '1', '1', 0, 1425038390),
(28683, 114, 3916, 'CodevTT_RAF', '1', '1', 0, 1425038408),
(28684, 114, 3895, 'CodevTT_RAF', '1', '1', 0, 1425038631),
(28685, 114, 3895, 'CodevTT_RAF', '1', '1', 0, 1425038726),
(28692, 72, 1435, 'category', 'Capitalisation', 'Outillage', 0, 1425040656),
(28711, 148, 4060, 'CodevTT_RAF', '', '0.25', 0, 1425044702),
(28713, 148, 4060, 'CodevTT_RAF', '0.25', '0.25', 0, 1425045585),
(28714, 148, 3891, 'CodevTT_RAF', '1', '0.25', 0, 1425045628),
(28715, 148, 3916, 'CodevTT_RAF', '1', '0.25', 0, 1425045854),
(28716, 148, 3916, 'CodevTT_RAF', '0.25', '0.25', 0, 1425047792),
(28717, 140, 3826, 'CodevTT_RAF', '1', '0.1', 0, 1425048159),
(28718, 140, 3916, 'CodevTT_RAF', '0.25', '1', 0, 1425048193),
(28719, 2, 3940, 'CodevTT_RAF', '2', '2', 0, 1425048570),
(28779, 136, 4057, 'CodevTT_RAF', '', '2', 0, 1425293356),
(28780, 136, 4057, 'CodevTT_RAF', '2', '2', 0, 1425293371),
(29006, 134, 3910, 'CodevTT_RAF', '1', '0.7', 0, 1425376353),
(29008, 134, 3910, 'CodevTT_RAF', '0.7', '0.2', 0, 1425376382),
(29009, 148, 4054, 'CodevTT_RAF', '1', '0.1', 0, 1425376406),
(29011, 134, 3910, 'CodevTT_RAF', '0.2', '0', 0, 1425376423),
(29012, 134, 3910, 'CodevTT_RAF', '0', '0', 0, 1425376423),
(29013, 134, 3910, 'status', '10', '80', 0, 1425376423),
(29014, 134, 4059, 'CodevTT_RAF', '', '0.6', 0, 1425376477),
(29015, 134, 4059, 'CodevTT_RAF', '0.6', '0.2', 0, 1425376494),
(29017, 134, 4059, 'CodevTT_RAF', '0.2', '0.6', 0, 1425376570),
(29018, 134, 4059, 'CodevTT_RAF', '0.6', '0.2', 0, 1425376584),
(29020, 134, 4059, 'CodevTT_RAF', '0.2', '0', 0, 1425376604),
(29021, 134, 4059, 'CodevTT_RAF', '0', '0', 0, 1425376604),
(29022, 134, 4059, 'status', '10', '80', 0, 1425376604),
(29024, 134, 3910, 'CodevTT_RAF', '0', '0', 0, 1425376627),
(29026, 134, 4059, 'CodevTT_RAF', '0', '0', 0, 1425376679),
(29027, 148, 3893, 'CodevTT_RAF', '', '0.25', 0, 1425377151),
(29028, 148, 4054, 'CodevTT_RAF', '0.1', '0.1', 0, 1425377231),
(29082, 72, 4141, '', '', '', 1, 1425462975),
(29083, 72, 4141, 'handler_id', '0', '148', 0, 1425462975),
(29084, 72, 4142, '', '', '', 1, 1425463427),
(29085, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1425465892),
(29086, 74, 3823, 'CodevTT_RAF', '1', '1', 0, 1425465915),
(29087, 74, 3940, 'CodevTT_RAF', '2', '0.5', 0, 1425466084),
(29088, 74, 3940, 'CodevTT_RAF', '0.5', '0.5', 0, 1425466100),
(29089, 74, 3940, 'CodevTT_RAF', '0.5', '0', 0, 1425466133),
(29090, 74, 3940, 'CodevTT_RAF', '0', '0', 0, 1425466133),
(29091, 74, 3940, 'status', '50', '80', 0, 1425466133),
(89308, 72, 10792, 'handler_id', '146', '169', 0, 1463575869),
(29095, 72, 4142, 'handler_id', '0', '134', 0, 1425470388),
(29096, 72, 4144, '', '', '', 1, 1425470833),
(29097, 72, 4144, 'handler_id', '0', '93', 0, 1425470833),
(29098, 148, 4141, 'CodevTT_RAF', '', '0.25', 0, 1425475063),
(29099, 148, 3893, 'CodevTT_RAF', '0.25', '0.25', 0, 1425476874),
(29100, 72, 4145, '', '', '', 1, 1425477018),
(29101, 72, 4145, 'handler_id', '0', '148', 0, 1425477018),
(29102, 72, 4146, '', '', '', 1, 1425477277),
(29103, 72, 4147, '', '', '', 1, 1425477446),
(29104, 148, 4145, 'CodevTT_RAF', '', '1.6', 0, 1425477539),
(29105, 72, 4146, 'handler_id', '0', '148', 0, 1425478556),
(29106, 72, 4147, 'handler_id', '0', '148', 0, 1425478593),
(29108, 72, 4148, '', '', '', 1, 1425488493),
(29109, 72, 4148, 'CodevTT_RAF', '', '4', 0, 1425488571),
(29110, 72, 4148, 'status', '10', '50', 0, 1425488571),
(29111, 72, 4148, 'CodevTT_RAF', '4', '3', 0, 1425488597),
(29112, 72, 4148, 'CodevTT_RAF', '3', '2', 0, 1425488618),
(29113, 72, 4148, 'CodevTT_RAF', '2', '1', 0, 1425488636),
(29114, 72, 4148, 'CodevTT_RAF', '1', '0', 0, 1425488684),
(29115, 72, 4148, 'CodevTT_RAF', '0', '0', 0, 1425488684),
(29116, 72, 4148, 'status', '50', '80', 0, 1425488684),
(29117, 148, 4146, 'CodevTT_RAF', '', '0.25', 0, 1425548539),
(29132, 136, 4057, 'CodevTT_RAF', '2', '0.1', 0, 1425562428),
(29133, 136, 4057, 'CodevTT_RAF', '0.1', '0.1', 0, 1425562444),
(29134, 136, 4057, 'CodevTT_RAF', '0.1', '0.1', 0, 1425562460),
(29135, 136, 4057, 'CodevTT_RAF', '0.1', '0', 0, 1425564154),
(29136, 136, 4057, 'CodevTT_Date Livraison', '', '1425510000', 0, 1425564154),
(29137, 136, 4057, '', '0000608', '', 2, 1425564154),
(29138, 136, 4057, 'status', '10', '80', 0, 1425564154),
(29139, 136, 4057, 'fixed_in_version', '', '14.2.0', 0, 1425564154),
(29140, 136, 4057, 'resolution', '10', '20', 0, 1425564154),
(29151, 2, 3897, 'CodevTT_RAF', '0', '1', 0, 1425567266),
(29152, 2, 3144, 'CodevTT_RAF', '1', '1', 0, 1425568367),
(29153, 2, 3144, 'CodevTT_RAF', '1', '1', 0, 1425569091),
(29154, 2, 3897, 'CodevTT_RAF', '1', '2', 0, 1425569106),
(29155, 2, 3897, 'CodevTT_RAF', '2', '0', 0, 1425569114),
(29157, 2, 3897, 'CodevTT_RAF', '0', '1', 0, 1425570259),
(29158, 2, 3897, 'CodevTT_RAF', '1', '1', 0, 1425570506),
(29159, 148, 4146, 'CodevTT_RAF', '0.25', '0.25', 0, 1425572917),
(29160, 148, 4147, 'CodevTT_RAF', '', '0.25', 0, 1425572946),
(29182, 72, 4151, '', '', '', 1, 1425632282),
(29183, 72, 4151, 'handler_id', '0', '140', 0, 1425632282),
(29184, 72, 4152, '', '', '', 1, 1425632383),
(29185, 72, 4152, 'handler_id', '0', '93', 0, 1425632383),
(29234, 136, 4151, 'CodevTT_RAF', '', '1', 0, 1425654271),
(29235, 136, 4151, 'CodevTT_RAF', '1', '1', 0, 1425654289),
(29252, 140, 3900, 'CodevTT_RAF', '1', '0.1', 0, 1425655720),
(29253, 140, 3900, 'CodevTT_RAF', '0.1', '0.1', 0, 1425655742),
(29254, 140, 3732, 'CodevTT_RAF', '1', '3', 0, 1425657654),
(29255, 140, 3732, 'CodevTT_RAF', '3', '2', 0, 1425657673),
(29256, 140, 3732, 'CodevTT_RAF', '2', '2.5', 0, 1425657693),
(29259, 140, 3732, 'CodevTT_RAF', '2.5', '1.5', 0, 1425657751),
(29260, 140, 3732, 'CodevTT_RAF', '1.5', '1', 0, 1425657777),
(29261, 140, 4151, 'CodevTT_RAF', '1', '0.1', 0, 1425657834),
(29262, 72, 4159, '', '', '', 1, 1425658071),
(29263, 72, 4159, 'handler_id', '0', '140', 0, 1425658071),
(29300, 72, 4142, 'CodevTT_RAF', '', '2', 0, 1425711758),
(29301, 72, 4142, 'status', '10', '50', 0, 1425711758),
(29302, 74, 3942, 'CodevTT_RAF', '', '1', 0, 1425714954),
(29303, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425714990),
(29304, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715046),
(29305, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715056),
(29306, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715066),
(29307, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715417),
(29308, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715437),
(29309, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715933),
(29310, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715944),
(29311, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715952),
(29312, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425715976),
(29313, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425716024),
(29314, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425716146),
(29315, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425716154),
(29316, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1425716162),
(29317, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1425720410),
(29318, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721376),
(29319, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1425721440),
(29320, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1425721502),
(29321, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721535),
(29322, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721561),
(29323, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721594),
(29324, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721610),
(29325, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721647),
(29326, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721763),
(29327, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721920),
(29328, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425721989),
(29329, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1425722008),
(29330, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1425722054),
(29331, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425722080),
(29332, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425722154),
(29333, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425722179),
(29334, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1425722191),
(29335, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1425722216),
(29336, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425722278),
(29337, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1425722337),
(29338, 114, 3893, 'CodevTT_RAF', '0.25', '2', 0, 1425735821),
(29339, 114, 3893, 'CodevTT_RAF', '2', '1.5', 0, 1425735843),
(29340, 114, 4141, 'CodevTT_RAF', '0.25', '2', 0, 1425735945),
(29341, 114, 4141, 'CodevTT_RAF', '2', '2', 0, 1425736015),
(29342, 114, 3732, 'CodevTT_RAF', '1', '1', 0, 1425736068),
(29343, 114, 3732, 'CodevTT_RAF', '1', '1', 0, 1425736090),
(29377, 114, 4147, 'CodevTT_RAF', '0.25', '2', 0, 1425743724),
(29378, 114, 3893, 'CodevTT_RAF', '1.5', '1', 0, 1425743751),
(29379, 114, 4159, 'CodevTT_RAF', '', '1', 0, 1425743781),
(29380, 114, 4159, 'status', '10', '50', 0, 1425743781),
(29492, 134, 3910, 'CodevTT_RAF', '0', '0', 0, 1425889755),
(29493, 134, 4059, 'CodevTT_RAF', '0', '0', 0, 1425889862),
(29494, 134, 3910, 'CodevTT_RAF', '0', '0.4', 0, 1425890540),
(29495, 134, 3910, 'CodevTT_RAF', '0.4', '0.2', 0, 1425890568),
(29496, 134, 3910, 'CodevTT_RAF', '0.2', '0', 0, 1425890590),
(29497, 134, 4142, 'CodevTT_RAF', '2', '0.8', 0, 1425890657),
(29498, 134, 4142, 'CodevTT_RAF', '0.8', '1', 0, 1425890704),
(29499, 134, 4142, 'CodevTT_RAF', '1', '0.1', 0, 1425890930),
(29500, 116, 3690, 'CodevTT_RAF', '0.6', '0.4', 0, 1425891114),
(29501, 116, 3690, 'CodevTT_RAF', '0.4', '0.35', 0, 1425891126),
(29502, 116, 3687, 'CodevTT_RAF', '0.6', '0.6', 0, 1425891149),
(29503, 116, 3690, 'CodevTT_RAF', '0.35', '0.3', 0, 1425891220),
(29504, 116, 3688, 'CodevTT_RAF', '1', '0.9', 0, 1425891255),
(29505, 116, 3688, 'CodevTT_RAF', '0.9', '0.85', 0, 1425891267),
(29506, 148, 4145, 'CodevTT_RAF', '1.6', '0.25', 0, 1425891312),
(29507, 134, 3909, 'CodevTT_RAF', '2.6', '0', 0, 1425891527),
(29508, 134, 3907, 'CodevTT_RAF', '0.4', '0', 0, 1425891602),
(29509, 134, 4144, 'CodevTT_RAF', '', '0.3', 0, 1425891892),
(29510, 134, 4144, 'CodevTT_RAF', '0.3', '0', 0, 1425891914),
(29511, 134, 4144, 'CodevTT_RAF', '0', '0', 0, 1425891914),
(29512, 134, 4144, 'status', '10', '80', 0, 1425891914),
(29515, 116, 3688, 'CodevTT_RAF', '0.85', '0.85', 0, 1425892571),
(29549, 93, 3915, 'CodevTT_RAF', '0.5', '0.55', 0, 1425898741),
(29550, 93, 4059, 'CodevTT_RAF', '0', '0.75', 0, 1425899031),
(29551, 93, 3915, 'CodevTT_RAF', '0.55', '0.05', 0, 1425899330),
(29552, 93, 3915, 'CodevTT_RAF', '0.05', '0.05', 0, 1425899392),
(29553, 93, 3915, 'CodevTT_RAF', '0.05', '0.05', 0, 1425899410),
(29554, 93, 4059, 'CodevTT_RAF', '0.75', '0.05', 0, 1425899437),
(29555, 93, 4144, 'CodevTT_RAF', '0', '1.2', 0, 1425899715),
(29556, 93, 4144, 'CodevTT_RAF', '1.2', '0.7', 0, 1425899832),
(29557, 93, 4144, 'CodevTT_RAF', '0.7', '0.05', 0, 1425900081),
(29558, 93, 3615, 'CodevTT_RAF', '0.05', '0.05', 0, 1425900151),
(29559, 93, 4152, 'CodevTT_RAF', '', '0.05', 0, 1425900178),
(29568, 136, 4151, 'CodevTT_RAF', '0.1', '0.1', 0, 1425918420),
(29656, 2, 3897, 'CodevTT_RAF', '1', '0', 0, 1425994980),
(29657, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1425995166),
(29658, 2, 4208, '', '', '', 1, 1425995668),
(29659, 2, 4208, 'handler_id', '0', '2', 0, 1425995668),
(29660, 2, 4208, 'CodevTT_RAF', '', '0', 0, 1425995707),
(29661, 2, 4208, 'CodevTT_RAF', '0', '0', 0, 1425995707),
(29662, 2, 4208, 'status', '10', '80', 0, 1425995707),
(29664, 73, 4209, '', '', '', 1, 1426004376),
(29665, 73, 4209, 'handler_id', '0', '73', 0, 1426004376),
(29666, 73, 4209, 'CodevTT_RAF', '', '2', 0, 1426004410),
(29667, 73, 4210, '', '', '', 1, 1426004508),
(29668, 73, 4210, 'handler_id', '0', '146', 0, 1426004508),
(29720, 134, 4142, 'CodevTT_RAF', '0.1', '0.1', 0, 1426065164),
(29721, 134, 4142, 'CodevTT_RAF', '0.1', '0', 0, 1426065182),
(29722, 134, 4142, 'CodevTT_RAF', '0', '0', 0, 1426065182),
(29723, 134, 4142, 'status', '50', '80', 0, 1426065182),
(29747, 72, 3465, 'CodevTT_RAF', '', '1', 0, 1426076679),
(29794, 136, 4151, 'CodevTT_RAF', '0.1', '0.1', 0, 1426083497),
(29795, 136, 4151, 'CodevTT_RAF', '0.1', '0', 0, 1426083640),
(29796, 136, 4151, 'CodevTT_Date Livraison', '', '1425855600', 0, 1426083640),
(29797, 136, 4151, 'status', '10', '80', 0, 1426083640),
(30210, 72, 4299, 'status', '10', '50', 0, 1426510353),
(29801, 136, 4151, 'handler_id', '140', '136', 0, 1426083782),
(29803, 136, 3969, 'handler_id', '73', '136', 0, 1426083847),
(29804, 136, 3969, '', '0000612', '', 2, 1426083862),
(29805, 136, 3969, 'status', '10', '40', 0, 1426083873),
(29806, 136, 3969, 'status', '40', '80', 0, 1426083888),
(29807, 136, 3969, 'resolution', '10', '20', 0, 1426083888),
(29808, 136, 3969, 'CodevTT_RAF', '0.1', '0', 0, 1426083889),
(29812, 136, 3970, '', '0000613', '', 2, 1426083943),
(29813, 136, 3970, 'handler_id', '73', '136', 0, 1426083952),
(29814, 136, 3970, 'status', '10', '20', 0, 1426083961),
(29815, 136, 3904, 'status', '30', '20', 0, 1426084045),
(29826, 136, 3970, 'CodevTT_RAF', '0.1', '0', 0, 1426085270),
(29827, 136, 3970, '', '0000614', '', 2, 1426085270),
(29828, 136, 3970, 'status', '20', '80', 0, 1426085270),
(29829, 136, 3970, 'resolution', '10', '20', 0, 1426085270),
(29895, 134, 4244, '', '', '', 1, 1426238603),
(29896, 134, 4244, 'handler_id', '0', '134', 0, 1426238603),
(29897, 134, 4245, '', '', '', 1, 1426238846),
(29898, 134, 4245, 'handler_id', '0', '134', 0, 1426238846),
(29899, 134, 4244, 'summary', 'FC15R AR Longueur enr AR moins long que prévu', 'D40407 - FC15R -  Longueur enr AR moins long que prévu', 0, 1426238883),
(29900, 134, 4246, '', '', '', 1, 1426239100),
(29901, 134, 4246, 'handler_id', '0', '134', 0, 1426239100),
(29913, 134, 4244, 'CodevTT_RAF', '', '1.8', 0, 1426239372),
(29917, 134, 4244, 'CodevTT_RAF', '1.8', '0.2', 0, 1426239425),
(29919, 134, 4244, 'CodevTT_RAF', '0.2', '0', 0, 1426239451),
(29920, 134, 4244, 'CodevTT_RAF', '0', '0', 0, 1426239451),
(29921, 134, 4244, 'status', '10', '80', 0, 1426239451),
(29926, 134, 4246, 'CodevTT_RAF', '', '0.6', 0, 1426239486),
(29930, 134, 4246, 'CodevTT_RAF', '0.6', '0', 0, 1426239505),
(29931, 134, 4246, 'CodevTT_RAF', '0', '0', 0, 1426239505),
(29932, 134, 4246, 'status', '10', '80', 0, 1426239505),
(29939, 134, 4245, 'CodevTT_RAF', '', '0.6', 0, 1426239581),
(29942, 134, 4245, 'CodevTT_RAF', '0.6', '0', 0, 1426239609),
(29943, 134, 4245, 'CodevTT_RAF', '0', '0', 0, 1426239609),
(29944, 134, 4245, 'status', '10', '80', 0, 1426239609),
(29962, 134, 4245, 'CodevTT_RAF', '0', '0', 0, 1426239778),
(29965, 134, 3910, 'CodevTT_RAF', '0', '0', 0, 1426239829),
(29982, 134, 3908, 'CodevTT_RAF', '0.05', '0', 0, 1426240430),
(29984, 134, 4059, 'CodevTT_RAF', '0.05', '0', 0, 1426240722),
(30042, 73, 4209, 'CodevTT_RAF', '2', '2', 0, 1426262112),
(30063, 136, 3819, 'CodevTT_RAF', '0.05', '0', 0, 1426492942),
(30064, 136, 3880, 'CodevTT_RAF', '0.05', '0', 0, 1426492959),
(30094, 93, 4244, 'CodevTT_RAF', '0', '0.2', 0, 1426496841),
(30095, 93, 4244, 'CodevTT_RAF', '0.2', '0.05', 0, 1426496938),
(30096, 93, 4245, 'CodevTT_RAF', '0', '0.05', 0, 1426497086),
(30097, 93, 4246, 'CodevTT_RAF', '0', '0.05', 0, 1426497103),
(30106, 93, 4255, 'status', '10', '50', 0, 1426498462),
(30105, 93, 4255, 'handler_id', '0', '93', 0, 1426498323),
(30104, 93, 4255, '', '', '', 1, 1426498323),
(30103, 136, 4151, 'CodevTT_RAF', '0', '2', 0, 1426498236),
(30107, 93, 4255, 'CodevTT_RAF', '', '1.0', 0, 1426498528),
(30108, 93, 4255, 'CodevTT_RAF', '1.0', '0.05', 0, 1426498542),
(30142, 93, 4262, 'handler_id', '0', '114', 0, 1426502543),
(30143, 72, 4265, 'CodevTT_Dead Line', '1427666400', '1426806000', 0, 1426508130),
(30133, 93, 4260, 'handler_id', '0', '117', 0, 1426501505),
(30132, 93, 4260, '', '', '', 1, 1426501505),
(30131, 93, 4259, 'status', '10', '50', 0, 1426501453),
(30130, 93, 4259, 'handler_id', '0', '117', 0, 1426501424),
(30129, 93, 4259, '', '', '', 1, 1426501424),
(30144, 72, 4265, 'handler_id', '0', '73', 0, 1426508130),
(30136, 93, 4260, 'status', '10', '50', 0, 1426501749),
(30141, 93, 4262, '', '', '', 1, 1426502543),
(30145, 72, 4265, 'status', '10', '50', 0, 1426508130),
(30146, 72, 4263, 'CodevTT_Dead Line', '1427666400', '1426806000', 0, 1426508302),
(30147, 72, 4263, 'handler_id', '0', '136', 0, 1426508302),
(30148, 72, 4263, 'status', '10', '50', 0, 1426508302),
(30149, 72, 4267, 'CodevTT_Dead Line', '1427666400', '1426806000', 0, 1426508368),
(30150, 72, 4267, 'handler_id', '0', '136', 0, 1426508368),
(30151, 72, 4267, 'status', '10', '50', 0, 1426508368),
(30152, 72, 4269, 'CodevTT_Dead Line', '1427666400', '1426806000', 0, 1426508452),
(30153, 72, 4269, 'handler_id', '0', '136', 0, 1426508452),
(30154, 72, 4269, 'status', '10', '50', 0, 1426508452),
(30155, 72, 4271, 'CodevTT_Dead Line', '1427666400', '1426806000', 0, 1426508510),
(30156, 72, 4271, 'handler_id', '0', '136', 0, 1426508510),
(30157, 72, 4271, 'status', '10', '50', 0, 1426508510),
(30158, 72, 4210, 'Ref. Externe', '', '40400', 0, 1426508681),
(30159, 72, 4210, 'CodevTT_ChargeMgr', '', '2', 0, 1426508681),
(30160, 72, 4210, 'CodevTT_Dead Line', '', '1426806000', 0, 1426508681),
(30161, 72, 4210, 'status', '10', '50', 0, 1426508681),
(30162, 72, 4210, 'target_version', '', '15.0.0', 0, 1426508681),
(30163, 72, 4210, 'summary', 'D40400', 'D40400 40400[DEV]AFFI - Recette IJ CC - Partie MAJOC - Incohérence de documentation et de l alerte 3033 pour une modification ', 0, 1426508779),
(30166, 72, 4276, 'handler_id', '0', '73', 0, 1426509329),
(30167, 72, 4276, 'status', '10', '50', 0, 1426509329),
(30168, 72, 4275, 'handler_id', '0', '73', 0, 1426509407),
(30169, 72, 4275, 'status', '10', '50', 0, 1426509407),
(30170, 72, 4276, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426509446),
(30171, 72, 4276, 'handler_id', '73', '146', 0, 1426509446),
(30174, 72, 4278, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426509541),
(30175, 72, 4278, 'handler_id', '0', '146', 0, 1426509541),
(30176, 72, 4278, 'status', '10', '50', 0, 1426509541),
(30177, 72, 4279, 'handler_id', '0', '147', 0, 1426509612),
(30178, 72, 4279, 'status', '10', '50', 0, 1426509612),
(30179, 72, 4280, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426509640),
(30180, 72, 4280, 'handler_id', '0', '147', 0, 1426509640),
(30181, 72, 4281, 'handler_id', '0', '146', 0, 1426509691),
(30182, 72, 4281, 'status', '10', '50', 0, 1426509691),
(30183, 72, 4282, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426509721),
(30184, 72, 4282, 'handler_id', '0', '146', 0, 1426509721),
(30185, 72, 4282, 'status', '10', '50', 0, 1426509721),
(30186, 72, 4285, 'CodevTT_Dead Line', '1428962400', '1428616800', 0, 1426509780),
(30187, 72, 4285, 'handler_id', '0', '136', 0, 1426509780),
(30188, 72, 4285, 'status', '10', '50', 0, 1426509780),
(30189, 72, 4286, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426509817),
(30190, 72, 4286, 'handler_id', '0', '147', 0, 1426509817),
(30191, 72, 4286, 'status', '10', '50', 0, 1426509817),
(30193, 72, 4288, 'CodevTT_ChargeMgr', ' manque à gagner caisses DOM', '3', 0, 1426509935),
(30194, 72, 4288, 'CodevTT_ChargeInit', '3', '2', 0, 1426509935),
(30195, 72, 4288, 'handler_id', '0', '134', 0, 1426509935),
(30196, 72, 4288, 'status', '10', '50', 0, 1426509935),
(30197, 72, 4289, 'handler_id', '0', '146', 0, 1426510007),
(30198, 72, 4289, 'status', '10', '50', 0, 1426510007),
(30199, 72, 4290, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426510039),
(30200, 72, 4290, 'handler_id', '0', '146', 0, 1426510039),
(30201, 72, 4290, 'status', '10', '50', 0, 1426510039),
(30204, 72, 4292, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426510120),
(30205, 72, 4292, 'handler_id', '0', '134', 0, 1426510120),
(30206, 72, 4292, 'status', '10', '50', 0, 1426510120),
(30209, 72, 4299, 'handler_id', '0', '73', 0, 1426510353),
(30216, 72, 4302, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1426510578),
(30217, 72, 4302, 'handler_id', '0', '73', 0, 1426510578),
(30218, 72, 4302, 'status', '10', '50', 0, 1426510578),
(30219, 72, 4209, 'CodevTT_Dead Line', '', '1428962400', 0, 1426510608),
(30220, 72, 4209, 'status', '10', '50', 0, 1426510608),
(30221, 136, 4269, '', '0000615', '', 2, 1426513803),
(30222, 136, 4269, 'status', '50', '80', 0, 1426513803),
(30223, 136, 4269, 'resolution', '10', '20', 0, 1426513803),
(30224, 136, 4269, 'CodevTT_RAF', '', '0', 0, 1426513803),
(30225, 136, 4267, '', '0000616', '', 2, 1426513879),
(30226, 136, 4267, 'status', '50', '20', 0, 1426513902),
(30227, 116, 3690, 'CodevTT_RAF', '0.3', '0.2', 0, 1426513942),
(30228, 116, 3690, 'CodevTT_RAF', '0.2', '0.15', 0, 1426513972),
(30229, 116, 3688, 'CodevTT_RAF', '0.85', '0.8', 0, 1426513994),
(30230, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1426519861),
(30231, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1426519872),
(30232, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1426519879),
(30233, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1426519889),
(30235, 93, 3084, 'CodevTT_RAF', '0.1', '0', 0, 1426525133),
(30236, 93, 3084, 'status', '50', '80', 0, 1426525133),
(30237, 93, 3084, 'resolution', '10', '20', 0, 1426525133),
(30238, 93, 3708, 'CodevTT_RAF', '0.05', '0', 0, 1426525417),
(30239, 93, 3708, 'status', '50', '80', 0, 1426525417),
(30240, 93, 3708, 'resolution', '10', '20', 0, 1426525417),
(30241, 93, 4056, 'status', '10', '50', 0, 1426525633),
(30242, 93, 4056, '', '93', '', 12, 1426525637),
(30243, 93, 4056, '', '93', '', 13, 1426525642),
(30244, 93, 4056, 'CodevTT_RAF', '0.05', '0', 0, 1426525649),
(30245, 93, 4056, 'status', '50', '80', 0, 1426525649),
(30246, 93, 4056, 'resolution', '10', '20', 0, 1426525649),
(30247, 93, 4255, 'CodevTT_RAF', '0.05', '0', 0, 1426525911),
(30248, 93, 4255, 'status', '50', '80', 0, 1426525911),
(30249, 93, 4255, 'resolution', '10', '20', 0, 1426525911),
(30250, 93, 3084, 'status', '80', '90', 0, 1426526017),
(30251, 93, 3467, 'CodevTT_RAF', '0.1', '0', 0, 1426526226),
(30252, 93, 3467, 'status', '50', '80', 0, 1426526226),
(30253, 93, 3467, 'resolution', '10', '20', 0, 1426526226),
(30254, 147, 4286, 'CodevTT_RAF', '', '3', 0, 1426526272),
(30255, 147, 4286, 'CodevTT_RAF', '3', '3', 0, 1426526297),
(30256, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1426529712),
(30260, 134, 4266, 'CodevTT_RAF', '', '2', 0, 1426580014),
(30261, 134, 4266, 'CodevTT_RAF', '2', '2', 0, 1426580059),
(30262, 134, 4255, 'CodevTT_RAF', '0', '0', 0, 1426580101),
(30263, 134, 4266, 'CodevTT_RAF', '2', '1.2', 0, 1426580173),
(30264, 134, 4266, 'status', '10', '40', 0, 1426580173),
(30265, 134, 3454, 'CodevTT_RAF', '0.5', '1', 0, 1426580602),
(30295, 2, 4266, 'handler_id', '0', '134', 0, 1426602398),
(30296, 2, 3465, 'status', '50', '80', 0, 1426603146),
(30297, 2, 3465, 'resolution', '10', '20', 0, 1426603146),
(30298, 2, 3465, 'CodevTT_RAF', '1', '0', 0, 1426603146),
(30299, 2, 4306, '', '', '', 1, 1426603336),
(30300, 2, 4307, '', '', '', 1, 1426603388),
(30301, 2, 4307, 'handler_id', '0', '117', 0, 1426603388),
(30302, 2, 4306, 'handler_id', '0', '117', 0, 1426603412),
(30303, 2, 4306, 'target_version', '', '15.0.0', 0, 1426603481),
(30304, 2, 4307, 'target_version', '', '15.0.0', 0, 1426603497),
(30305, 2, 3624, 'handler_id', '73', '146', 0, 1426603769),
(30306, 2, 3624, 'summary', 'Réalisation et TU (SIS+DEV+TU)', '39843 [DEV] Réalisation et TU (SIS+DEV+TU)', 0, 1426603769),
(30307, 2, 3687, 'handler_id', '0', '116', 0, 1426603852),
(30308, 2, 3687, 'summary', '40030 [DEV] Evo OGMA - Modif AYD', '40030 [SPEC] Evo OGMA - Modif AYD', 0, 1426603970),
(30309, 2, 4308, '', '', '', 1, 1426604013),
(30310, 2, 4308, 'handler_id', '0', '116', 0, 1426604013),
(30311, 2, 4308, 'Ref. Externe', '', '40030', 0, 1426604045),
(30312, 2, 4309, '', '', '', 1, 1426604174),
(30313, 2, 4309, 'handler_id', '0', '116', 0, 1426604174),
(30314, 2, 3688, 'handler_id', '0', '116', 0, 1426604211),
(30315, 2, 3624, 'CodevTT_Dead Line', '1423090800', '1427666400', 0, 1426604427),
(30316, 2, 3688, '', '2500', '4309', 18, 1426604488),
(30317, 2, 4309, '', '2501', '3688', 18, 1426604488),
(30318, 2, 3624, '', '2500', '3541', 18, 1426604605),
(30319, 2, 3541, '', '2501', '3624', 18, 1426604605),
(30320, 2, 4275, 'handler_id', '73', '93', 0, 1426605270),
(30322, 2, 4209, 'Ref. Externe', '', '40403', 0, 1426605738),
(30323, 2, 4209, 'summary', 'D40403', '40403 [SPEC] PAB 14.2 - Passage du palliatif 37354 KO sur la caisse 54', 0, 1426605738),
(30324, 2, 4209, 'handler_id', '73', '2', 0, 1426605761),
(30325, 2, 2132, 'CodevTT_Dead Line', '1418598000', '1428962400', 0, 1426605809),
(30326, 2, 3819, '', '1', '4269', 18, 1426606520),
(30327, 2, 4269, '', '1', '3819', 18, 1426606520),
(30328, 2, 4279, 'handler_id', '147', '136', 0, 1426606776),
(30329, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1426606863),
(30331, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1426606909),
(30332, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1426606920),
(30333, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1426606932),
(30334, 2, 3942, 'CodevTT_RAF', '1', '1', 0, 1426607319),
(30335, 2, 3942, 'status', '10', '50', 0, 1426607319),
(30336, 2, 3942, 'CodevTT_RAF', '1', '1', 0, 1426607329),
(30337, 114, 4147, 'CodevTT_RAF', '2', '2', 0, 1426607606),
(30360, 2, 2821, 'CodevTT_ChargeMgr', '0.5', '10', 0, 1426607712),
(30367, 2, 2820, 'resolution', '10', '20', 0, 1426607781),
(30368, 2, 2120, 'category', 'NSDK / TP', 'Qualification', 0, 1426607883),
(30369, 2, 2120, 'summary', 'Qualification', '39021 [QUAL] Qualification', 0, 1426607883),
(30370, 2, 2120, 'CodevTT_Dead Line', '1413496800', '', 0, 1426607902),
(30382, 114, 4147, 'CodevTT_RAF', '2', '2', 0, 1426608016),
(30381, 114, 4147, 'CodevTT_RAF', '2', '2', 0, 1426608003),
(30383, 114, 4147, 'CodevTT_RAF', '2', '2', 0, 1426608033),
(30384, 2, 2904, 'summary', 'Analyse et Spécifications (DEP+SES)', '39029 [SPEC] Evolution Saisie NIR ', 0, 1426608049),
(30385, 114, 3893, 'CodevTT_RAF', '1', '2', 0, 1426608089),
(30386, 114, 3893, 'status', '10', '50', 0, 1426608089),
(30387, 114, 3893, 'CodevTT_RAF', '2', '2', 0, 1426608100),
(30388, 2, 2906, 'CodevTT_ChargeMgr', '9.7', '11', 0, 1426608110),
(30389, 2, 2906, 'CodevTT_ChargeInit', '8.1', '8', 0, 1426608110),
(30390, 2, 2906, 'handler_id', '0', '109', 0, 1426608110),
(30391, 2, 2906, 'summary', 'Réalisation et TU (SIS+DEV+TU)', '39029 [DEV] Evolution Saisie NIR ', 0, 1426608110),
(30392, 114, 4060, 'CodevTT_RAF', '0.25', '2', 0, 1426608151),
(30393, 2, 2909, 'category', 'General', 'Qualification', 0, 1426608155),
(30394, 2, 2909, 'summary', 'Qualification', '39029 [QUAL] Evolution Saisie NIR ', 0, 1426608155),
(30395, 114, 3893, 'CodevTT_RAF', '2', '2', 0, 1426608272),
(30396, 2, 2906, 'target_version', '', '15.0.0', 0, 1426608280),
(30397, 2, 2909, 'target_version', '', '15.0.0', 0, 1426608349),
(30398, 2, 2904, 'target_version', '', '15.0.0', 0, 1426608362),
(30409, 2, 2817, 'summary', 'Devt /TU', '39195 [DEV] Affichage code origine', 0, 1426608577),
(30413, 2, 2810, 'CodevTT_RAF', '', '0', 0, 1426608615),
(30414, 2, 2810, 'status', '10', '80', 0, 1426608615),
(30415, 2, 2810, 'summary', 'Analyse et Spécifications (DEP+SES)', '39195 [SPEC] Affichage code origine', 0, 1426608615),
(30416, 2, 2814, 'category', 'General', 'Qualification', 0, 1426608654),
(30417, 2, 2814, 'summary', 'Qualification', '39195 [QUAL] Affichage code origine', 0, 1426608654),
(30418, 73, 3889, 'CodevTT_RAF', '0.5', '0', 0, 1426608777),
(30419, 73, 3889, 'status', '30', '80', 0, 1426608777),
(30420, 73, 3889, 'resolution', '10', '20', 0, 1426608777),
(30421, 2, 2121, 'status', '50', '80', 0, 1426608805),
(30422, 2, 2121, 'resolution', '10', '20', 0, 1426608805),
(30423, 2, 2121, 'CodevTT_RAF', '0.5', '0', 0, 1426608805),
(30424, 2, 2897, 'status', '50', '80', 0, 1426608872),
(30425, 2, 2902, 'status', '50', '80', 0, 1426608872),
(30426, 2, 2900, 'status', '10', '80', 0, 1426608872),
(30427, 2, 2901, 'status', '10', '80', 0, 1426608872),
(30428, 2, 2903, 'status', '10', '80', 0, 1426608872),
(30429, 73, 3903, 'CodevTT_RAF', '', '0', 0, 1426608967),
(30430, 73, 3903, 'status', '10', '80', 0, 1426608967),
(30431, 73, 3903, 'resolution', '10', '20', 0, 1426608967),
(30432, 73, 3903, 'status', '80', '90', 0, 1426608978),
(30433, 73, 3902, 'CodevTT_RAF', '', '0', 0, 1426609051),
(30434, 73, 3902, 'status', '10', '80', 0, 1426609051),
(30435, 73, 3902, 'resolution', '10', '20', 0, 1426609051),
(30436, 73, 3901, 'CodevTT_RAF', '', '0', 0, 1426609117),
(30437, 73, 3901, 'status', '10', '80', 0, 1426609117),
(30438, 73, 3901, 'resolution', '10', '20', 0, 1426609117),
(30439, 73, 3832, 'CodevTT_RAF', '0.5', '0', 0, 1426609208),
(30440, 73, 3832, 'status', '50', '80', 0, 1426609208),
(30441, 73, 3832, 'resolution', '10', '20', 0, 1426609208),
(30442, 73, 3832, 'status', '80', '90', 0, 1426609218),
(30443, 2, 2120, 'summary', '39021 [QUAL] Qualification', '39021 [QUAL] Gestion des AR', 0, 1426609239),
(30444, 73, 3831, 'status', '10', '80', 0, 1426609264),
(30445, 73, 3831, 'resolution', '10', '20', 0, 1426609264),
(30446, 73, 3831, 'CodevTT_RAF', '', '0', 0, 1426609264),
(30447, 2, 3823, 'status', '50', '80', 0, 1426609349),
(30448, 2, 3823, 'resolution', '10', '20', 0, 1426609349),
(30449, 2, 3823, 'CodevTT_RAF', '1', '0', 0, 1426609349),
(30450, 73, 3830, 'status', '10', '80', 0, 1426609355),
(30451, 73, 3830, 'resolution', '10', '20', 0, 1426609355),
(30452, 73, 3830, 'CodevTT_RAF', '', '0', 0, 1426609355),
(30453, 2, 2909, 'handler_id', '74', '134', 0, 1426609377),
(30454, 2, 2909, 'CodevTT_Dead Line', '', '1428789600', 0, 1426609464),
(30455, 2, 2849, 'status', '50', '80', 0, 1426609642),
(30456, 2, 2849, 'resolution', '10', '20', 0, 1426609642),
(30457, 2, 2849, 'CodevTT_RAF', '4.5', '0', 0, 1426609642),
(30458, 2, 3547, 'status', '50', '80', 0, 1426609701),
(30459, 2, 1864, 'status', '50', '80', 0, 1426609701),
(30460, 2, 2853, 'status', '50', '80', 0, 1426609701),
(30461, 2, 3335, 'status', '50', '80', 0, 1426609777),
(30462, 2, 3335, 'resolution', '10', '20', 0, 1426609777),
(30463, 2, 3335, 'CodevTT_RAF', '2', '0', 0, 1426609777),
(30464, 73, 4302, 'CodevTT_RAF', '', '2', 0, 1426610013),
(89307, 72, 10792, 'handler_id', '0', '146', 0, 1463575824),
(30466, 73, 4299, 'CodevTT_RAF', '', '2', 0, 1426610066),
(30467, 2, 4310, '', '', '', 1, 1426610189),
(30468, 2, 4310, 'handler_id', '0', '114', 0, 1426610223),
(30469, 2, 4311, '', '', '', 1, 1426610323),
(30470, 2, 4311, 'handler_id', '0', '114', 0, 1426610323),
(30471, 2, 4312, '', '', '', 1, 1426610426),
(30472, 2, 4312, 'handler_id', '0', '114', 0, 1426610426),
(30473, 2, 4313, '', '', '', 1, 1426610541),
(30474, 2, 4313, 'handler_id', '0', '73', 0, 1426610541),
(30475, 2, 4310, 'target_version', '', '14.2.0', 0, 1426610674),
(30482, 72, 4273, 'CodevTT_RAF', '', '1', 0, 1426612678),
(30483, 72, 4273, 'status', '10', '50', 0, 1426612678),
(30494, 72, 4273, 'CodevTT_RAF', '1', '1', 0, 1426612708),
(30500, 72, 3624, 'CodevTT_RAF', '1.5', '1.5', 0, 1426613036),
(30501, 72, 3624, 'CodevTT_RAF', '1.5', '1.5', 0, 1426613136),
(30502, 72, 3624, 'CodevTT_RAF', '1.5', '1.5', 0, 1426613154),
(30503, 72, 3624, 'CodevTT_RAF', '1.5', '1.5', 0, 1426613202),
(30504, 72, 2853, 'CodevTT_RAF', '0.5', '0', 0, 1426662326),
(30505, 72, 1864, 'CodevTT_RAF', '2', '0', 0, 1426662373),
(30506, 72, 4244, 'CodevTT_RAF', '0.05', '0', 0, 1426662450);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(30507, 72, 3547, 'CodevTT_RAF', '3', '0', 0, 1426662515),
(30508, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1426666142),
(30509, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1426666163),
(30518, 136, 4151, 'CodevTT_RAF', '2', '2', 0, 1426667416),
(30519, 136, 4267, 'CodevTT_RAF', '', '1', 0, 1426667452),
(30520, 136, 4269, 'CodevTT_RAF', '0', '0', 0, 1426667542),
(30521, 136, 4263, 'CodevTT_RAF', '', '2', 0, 1426667560),
(30522, 147, 4286, 'CodevTT_RAF', '3', '2', 0, 1426667617),
(30523, 2, 3541, 'summary', '39843  etudes et specifications', '39843  [SPEC] etudes et specifications', 0, 1426667672),
(30524, 2, 4313, 'CodevTT_Dead Line', '', '1427410800', 0, 1426667780),
(30525, 2, 3541, 'CodevTT_RAF', '0', '0', 0, 1426667933),
(30528, 73, 4313, 'CodevTT_RAF', '', '2', 0, 1426668000),
(30532, 72, 3686, 'summary', '39996 - Emission ALD', '39996 -[SPECS]   Emission ALD', 0, 1426670246),
(30533, 72, 3542, 'target_version', '', '15.0.0_Juillet', 0, 1426670357),
(30534, 72, 4318, 'handler_id', '0', '73', 0, 1426671339),
(30535, 72, 4319, 'handler_id', '0', '116', 0, 1426671390),
(30536, 72, 4333, '', '', '', 1, 1426671617),
(30537, 72, 4333, 'handler_id', '0', '117', 0, 1426671617),
(30539, 72, 4322, 'handler_id', '0', '73', 0, 1426671952),
(30540, 72, 4320, 'handler_id', '0', '73', 0, 1426671952),
(30541, 72, 4323, 'handler_id', '0', '146', 0, 1426672012),
(30542, 72, 4321, 'handler_id', '0', '146', 0, 1426672012),
(30543, 72, 4325, 'handler_id', '0', '136', 0, 1426672778),
(30544, 72, 4326, 'handler_id', '0', '136', 0, 1426672988),
(30545, 72, 4328, 'handler_id', '0', '147', 0, 1426673038),
(30546, 72, 4327, 'handler_id', '0', '136', 0, 1426673086),
(30547, 72, 4329, 'handler_id', '0', '147', 0, 1426673128),
(30550, 72, 4330, 'handler_id', '0', '147', 0, 1426673204),
(30554, 72, 3616, 'CodevTT_RAF', '', '0', 0, 1426673688),
(30555, 72, 3616, 'status', '10', '80', 0, 1426673688),
(30556, 72, 4334, '', '', '', 1, 1426674156),
(30557, 72, 4334, 'handler_id', '0', '73', 0, 1426674156),
(30558, 73, 4313, 'status', '10', '50', 0, 1426674335),
(30559, 72, 4335, '', '', '', 1, 1426674650),
(30560, 72, 4335, 'handler_id', '0', '73', 0, 1426674650),
(30562, 72, 4336, '', '', '', 1, 1426674940),
(30563, 72, 4336, 'handler_id', '0', '136', 0, 1426674940),
(30564, 136, 4336, 'CodevTT_RAF', '', '0.1', 0, 1426675036),
(30565, 136, 4336, 'CodevTT_RAF', '0.1', '0', 0, 1426675054),
(30566, 136, 4336, 'CodevTT_RAF', '0', '0', 0, 1426675054),
(30567, 136, 4336, 'status', '10', '80', 0, 1426675054),
(30568, 136, 4336, '', '0000617', '', 2, 1426675094),
(30569, 136, 4326, 'handler_id', '136', '0', 0, 1426675124),
(30570, 148, 4312, 'CodevTT_RAF', '', '0.1', 0, 1426676178),
(30571, 148, 4312, 'CodevTT_RAF', '0.1', '0.1', 0, 1426676212),
(30572, 148, 3911, 'CodevTT_RAF', '1', '0.25', 0, 1426676310),
(30573, 148, 4147, 'CodevTT_RAF', '2', '1', 0, 1426676419),
(30574, 148, 4147, 'CodevTT_RAF', '1', '1', 0, 1426676447),
(30575, 148, 4147, 'CodevTT_RAF', '1', '0.1', 0, 1426676522),
(30576, 148, 4311, 'CodevTT_RAF', '', '1', 0, 1426676561),
(30577, 148, 3911, 'CodevTT_RAF', '0.25', '0.25', 0, 1426676681),
(30578, 2, 3900, 'status', '10', '50', 0, 1426680844),
(30579, 2, 3908, 'status', '10', '50', 0, 1426680855),
(30580, 2, 3915, 'status', '10', '50', 0, 1426680864),
(30581, 2, 4054, 'status', '10', '50', 0, 1426680872),
(30582, 2, 4055, 'status', '10', '50', 0, 1426680879),
(30583, 2, 4060, 'status', '10', '50', 0, 1426680887),
(30584, 2, 4141, 'status', '10', '50', 0, 1426680895),
(30585, 2, 4145, 'status', '10', '50', 0, 1426680903),
(30586, 2, 4146, 'status', '10', '50', 0, 1426680911),
(30587, 2, 4147, 'status', '10', '50', 0, 1426680918),
(30588, 2, 4152, 'status', '10', '50', 0, 1426680926),
(30589, 2, 4262, 'status', '10', '50', 0, 1426680937),
(30590, 2, 4311, 'status', '10', '50', 0, 1426680969),
(30591, 2, 4312, 'status', '10', '50', 0, 1426680986),
(30592, 2, 3911, 'handler_id', '0', '2', 0, 1426680994),
(30593, 2, 3911, 'status', '10', '50', 0, 1426680994),
(30594, 2, 3914, 'handler_id', '0', '2', 0, 1426681005),
(30595, 2, 3914, 'status', '10', '50', 0, 1426681005),
(30596, 2, 3912, 'handler_id', '0', '2', 0, 1426681012),
(30597, 2, 3912, 'status', '10', '50', 0, 1426681012),
(30598, 2, 3912, 'handler_id', '2', '0', 0, 1426681029),
(30599, 2, 3689, 'handler_id', '0', '116', 0, 1426681050),
(30600, 2, 3689, 'status', '10', '50', 0, 1426681050),
(30601, 2, 3911, 'handler_id', '2', '148', 0, 1426681069),
(30602, 2, 3914, 'handler_id', '2', '114', 0, 1426681096),
(30603, 2, 3912, 'handler_id', '0', '114', 0, 1426681117),
(30604, 2, 2902, 'CodevTT_RAF', '1', '0', 0, 1426681251),
(30605, 2, 4245, 'CodevTT_RAF', '0.05', '0', 0, 1426681274),
(30606, 2, 4246, 'CodevTT_RAF', '0.05', '0', 0, 1426681513),
(30607, 2, 2897, 'CodevTT_RAF', '2', '0', 0, 1426681637),
(30608, 2, 3710, 'CodevTT_RAF', '1', '0', 0, 1426681664),
(30609, 2, 4144, 'CodevTT_RAF', '0.05', '0', 0, 1426681682),
(30610, 2, 4151, 'CodevTT_RAF', '2', '0', 0, 1426681730),
(30611, 2, 4292, 'CodevTT_RAF', '', '2', 0, 1426682978),
(32749, 2, 4159, 'summary', '40096-Appel 3 en 1: modification AS N-2 et revenu estimé N', '40096 [SPEC] Appel 3 en 1: modification AS N-2 et revenu estimé N', 0, 1427896078),
(30613, 2, 3908, 'status', '50', '80', 0, 1426683239),
(30614, 2, 3908, 'resolution', '10', '20', 0, 1426683239),
(30615, 2, 4210, 'CodevTT_RAF', '', '2', 0, 1426683567),
(30616, 2, 4055, 'CodevTT_RAF', '', '2', 0, 1426683664),
(30617, 2, 4262, 'CodevTT_RAF', '', '2', 0, 1426683681),
(30618, 2, 4271, 'CodevTT_RAF', '', '2', 0, 1426683708),
(30619, 2, 4276, 'CodevTT_RAF', '', '2', 0, 1426683735),
(30620, 2, 4275, 'CodevTT_RAF', '', '2', 0, 1426683758),
(68617, 72, 4278, 'summary', '39116[DEV]Celtick - TAIGA - COMP anomalie - Création d\'un maintien de droit en chevauchement suite à suppression de la dernière ', '39116 Celtick - TAIGA - COMP anomalie - Création d\'un maintien de droit en chevauchement suite à suppression de la dernière ', 0, 1454577984),
(30622, 2, 4278, 'CodevTT_RAF', '', '2', 0, 1426683792),
(30623, 2, 4279, 'CodevTT_RAF', '', '2', 0, 1426683823),
(30624, 2, 4281, 'CodevTT_RAF', '', '2', 0, 1426683838),
(30625, 2, 4282, 'CodevTT_RAF', '', '2', 0, 1426683855),
(30626, 2, 4285, 'CodevTT_RAF', '', '2', 0, 1426683869),
(30627, 2, 4288, 'CodevTT_RAF', '', '2', 0, 1426683889),
(30628, 2, 4289, 'CodevTT_RAF', '', '2', 0, 1426683924),
(30629, 2, 4290, 'CodevTT_RAF', '', '2', 0, 1426683936),
(30630, 2, 3942, 'handler_id', '0', '74', 0, 1426684028),
(30631, 2, 3548, 'handler_id', '0', '2', 0, 1426684053),
(30632, 2, 3548, 'status', '50', '80', 0, 1426684089),
(30633, 2, 3548, 'resolution', '10', '20', 0, 1426684089),
(30634, 2, 3548, 'CodevTT_RAF', '1', '0', 0, 1426684089),
(30635, 2, 3690, 'handler_id', '0', '116', 0, 1426684216),
(30636, 148, 4311, 'CodevTT_RAF', '1', '1', 0, 1426686653),
(30637, 72, 4264, 'handler_id', '0', '147', 0, 1426688544),
(30638, 72, 4268, 'handler_id', '0', '117', 0, 1426688750),
(30643, 72, 4270, 'handler_id', '0', '147', 0, 1426688860),
(30646, 72, 4272, 'handler_id', '0', '117', 0, 1426688957),
(30652, 2, 3682, 'status', '50', '80', 0, 1426690869),
(30653, 2, 3682, 'resolution', '10', '20', 0, 1426690869),
(30654, 2, 3682, 'CodevTT_RAF', '0.5', '0', 0, 1426690869),
(30655, 2, 3689, 'Ref. Externe', '', '40033', 0, 1426691264),
(30656, 2, 4309, 'Ref. Externe', '', '40032', 0, 1426691278),
(30657, 2, 3688, 'Ref. Externe', '', '40032', 0, 1426691287),
(30658, 2, 4307, 'Ref. Externe', '', '39748', 0, 1426691304),
(30659, 2, 4306, 'Ref. Externe', '', '39748', 0, 1426691312),
(30660, 72, 2131, 'target_version', '15.0.0', '15.1.0_AFFI', 0, 1426691697),
(30661, 72, 2132, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1426691874),
(30662, 72, 3541, 'target_version', '', '15.0.0', 0, 1426693010),
(30663, 72, 3624, 'target_version', '', '15.0.0', 0, 1426693010),
(30664, 93, 4260, 'CodevTT_RAF', '', '0.05', 0, 1426693070),
(30665, 93, 4259, 'CodevTT_RAF', '', '0.05', 0, 1426693100),
(30666, 72, 4309, 'target_version', '', '15.0.0', 0, 1426693127),
(30667, 93, 4255, 'CodevTT_RAF', '0', '0.05', 0, 1426693149),
(30668, 93, 4259, 'CodevTT_RAF', '0.05', '1', 0, 1426693313),
(30669, 93, 4260, 'CodevTT_RAF', '0.05', '1', 0, 1426693396),
(30670, 93, 4260, 'CodevTT_RAF', '1', '0.8', 0, 1426693414),
(30671, 2, 4264, 'status', '10', '50', 0, 1426693634),
(30672, 2, 4255, 'CodevTT_RAF', '0.05', '0', 0, 1426693657),
(30673, 2, 4255, '', '866', '', 6, 1426693657),
(30674, 2, 4264, 'CodevTT_RAF', '', '2', 0, 1426693690),
(30675, 134, 3335, 'CodevTT_RAF', '0', '2.5', 0, 1426693691),
(30676, 134, 3335, 'CodevTT_RAF', '2.5', '2', 0, 1426693711),
(30677, 2, 3335, 'CodevTT_RAF', '2', '0', 0, 1426693716),
(30678, 134, 3335, 'CodevTT_RAF', '0', '1.5', 0, 1426693755),
(30679, 134, 3335, 'status', '80', '30', 0, 1426693755),
(30680, 134, 3335, 'CodevTT_RAF', '1.5', '1', 0, 1426693769),
(30681, 72, 4288, 'Ref. Externe', '', '39564', 0, 1426693912),
(30682, 72, 4335, 'Ref. Externe', '', '40317', 0, 1426694022),
(30684, 72, 4209, 'target_version', '', '15.0.0_Juillet', 0, 1426694279),
(30688, 72, 2819, 'status', '50', '80', 0, 1426694876),
(30689, 72, 2819, 'resolution', '10', '20', 0, 1426694876),
(30690, 72, 2819, 'CodevTT_RAF', '1', '0', 0, 1426694876),
(30691, 72, 3335, 'status', '30', '80', 0, 1426695416),
(30692, 72, 3335, 'CodevTT_RAF', '1', '0', 0, 1426695416),
(30693, 136, 4263, 'CodevTT_RAF', '2', '3', 0, 1426696381),
(30694, 147, 4329, 'CodevTT_RAF', '', '4', 0, 1426698045),
(30717, 2, 4329, 'status', '10', '50', 0, 1426752898),
(30719, 72, 4294, 'handler_id', '0', '114', 0, 1426758421),
(30720, 72, 4293, 'handler_id', '0', '114', 0, 1426758455),
(30721, 72, 4293, '', '2501', '4294', 18, 1426758485),
(30722, 72, 4294, '', '2500', '4293', 18, 1426758485),
(32753, 2, 4589, '', '', '', 1, 1427896343),
(30724, 72, 4298, 'handler_id', '0', '147', 0, 1426758706),
(62435, 205, 8129, 'status', '10', '30', 0, 1450877754),
(62434, 205, 8087, '', '', '8129', 20, 1450877703),
(62433, 205, 8129, '', '', '8087', 21, 1450877703),
(62432, 205, 8129, 'handler_id', '0', '205', 0, 1450877703),
(62437, 74, 7642, 'status', '50', '80', 0, 1450877846),
(62436, 205, 8129, 'status', '30', '50', 0, 1450877764),
(62431, 205, 8129, '', '', '', 1, 1450877703),
(30733, 114, 3460, 'CodevTT_RAF', '0', '3', 0, 1426758974),
(30734, 72, 2817, 'handler_id', '0', '74', 0, 1426759000),
(30735, 114, 3460, 'CodevTT_RAF', '3', '4', 0, 1426759006),
(30736, 114, 3460, 'CodevTT_RAF', '4', '3', 0, 1426759021),
(30737, 72, 3454, 'handler_id', '0', '74', 0, 1426759042),
(30738, 114, 3460, 'CodevTT_RAF', '3', '3', 0, 1426759045),
(30739, 114, 3460, 'CodevTT_RAF', '3', '3', 0, 1426759061),
(30740, 72, 3479, 'status', '50', '80', 0, 1426759141),
(30741, 72, 3479, 'handler_id', '0', '2', 0, 1426759168),
(30742, 72, 3480, 'handler_id', '0', '2', 0, 1426759168),
(30743, 72, 3460, 'CodevTT_RAF', '3', '0', 0, 1426759212),
(30744, 72, 3460, 'handler_id', '0', '114', 0, 1426759212),
(30745, 114, 1864, 'CodevTT_RAF', '0', '2', 0, 1426759264),
(30746, 114, 1864, 'CodevTT_RAF', '2', '2', 0, 1426759273),
(30747, 114, 1864, 'CodevTT_RAF', '2', '1', 0, 1426759294),
(30750, 2, 1864, 'CodevTT_RAF', '1', '0', 0, 1426760004),
(30844, 93, 4264, 'CodevTT_RAF', '2', '0.05', 0, 1426773056),
(30845, 93, 4264, 'CodevTT_RAF', '0.05', '0.05', 0, 1426773128),
(30846, 93, 4260, 'CodevTT_RAF', '0.8', '0.05', 0, 1426773774),
(30847, 93, 4260, 'CodevTT_RAF', '0.05', '0.05', 0, 1426773917),
(30848, 93, 4260, 'CodevTT_RAF', '0.05', '0.05', 0, 1426773942),
(30851, 114, 3459, 'status', '50', '80', 0, 1426777434),
(30852, 114, 3459, 'resolution', '10', '20', 0, 1426777434),
(30853, 114, 3459, 'CodevTT_RAF', '1', '0', 0, 1426777434),
(30854, 114, 3895, 'status', '50', '80', 0, 1426777465),
(30855, 114, 3895, 'resolution', '10', '20', 0, 1426777465),
(30856, 114, 3895, 'CodevTT_RAF', '1', '0', 0, 1426777465),
(30857, 114, 3891, 'status', '50', '80', 0, 1426777480),
(30858, 114, 3891, 'resolution', '10', '20', 0, 1426777480),
(30859, 114, 3891, 'CodevTT_RAF', '0.25', '0', 0, 1426777480),
(30860, 114, 3826, 'status', '50', '80', 0, 1426777540),
(30861, 114, 3826, 'resolution', '10', '20', 0, 1426777540),
(30862, 114, 3826, 'CodevTT_RAF', '0.1', '0', 0, 1426777540),
(30863, 114, 3914, 'status', '50', '80', 0, 1426777576),
(30864, 114, 3914, 'resolution', '10', '20', 0, 1426777576),
(30865, 114, 3914, 'CodevTT_RAF', '0.1', '0', 0, 1426777576),
(30866, 114, 3915, 'status', '50', '80', 0, 1426777585),
(30867, 114, 3915, 'resolution', '10', '20', 0, 1426777585),
(30868, 114, 3915, 'CodevTT_RAF', '0.05', '0', 0, 1426777585),
(30869, 114, 4060, 'status', '50', '80', 0, 1426777596),
(30870, 114, 4060, 'resolution', '10', '20', 0, 1426777596),
(30871, 114, 4060, 'CodevTT_RAF', '2', '0', 0, 1426777596),
(30872, 114, 3891, 'status', '80', '82', 0, 1426777606),
(30873, 114, 3891, 'status', '82', '90', 0, 1426781088),
(30877, 148, 4311, 'CodevTT_RAF', '1', '1', 0, 1426781570),
(30925, 72, 4344, '', '', '', 1, 1426834954),
(30926, 72, 4344, 'handler_id', '0', '114', 0, 1426834954),
(30927, 72, 4345, '', '', '', 1, 1426835087),
(30928, 72, 4345, 'handler_id', '0', '114', 0, 1426835087),
(30929, 72, 4346, '', '', '', 1, 1426835185),
(30930, 72, 4346, 'handler_id', '0', '93', 0, 1426835185),
(30931, 72, 4347, '', '', '', 1, 1426835297),
(30932, 72, 4347, 'handler_id', '0', '93', 0, 1426835297),
(30951, 147, 4329, 'CodevTT_RAF', '4', '2', 0, 1426843095),
(30952, 147, 4329, 'CodevTT_RAF', '2', '1', 0, 1426843150),
(30953, 93, 4347, 'CodevTT_RAF', '', '0.05', 0, 1426844351),
(30954, 93, 4347, 'CodevTT_RAF', '0.05', '0.05', 0, 1426844394),
(30955, 148, 4344, 'CodevTT_RAF', '', '0.1', 0, 1426844919),
(30956, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1426845518),
(30957, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1426845546),
(30958, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1426845657),
(30959, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1426845680),
(30960, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1426845734),
(30961, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1426845782),
(30962, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1426845800),
(30963, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1426845920),
(30964, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1426845932),
(30965, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1426845963),
(30966, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1426846004),
(30967, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1426846037),
(30968, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1426846346),
(30969, 128, 4348, '', '', '', 1, 1426846727),
(30970, 128, 4348, 'CodevTT_RAF', '', '0', 0, 1426846749),
(30971, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1426846764),
(30972, 128, 4348, 'CodevTT_RAF', '0', '0', 0, 1426846805),
(30973, 128, 4348, 'CodevTT_RAF', '0', '0', 0, 1426846805),
(30974, 128, 4348, 'status', '10', '80', 0, 1426846805),
(31015, 136, 4263, 'CodevTT_RAF', '3', '1', 0, 1426858158),
(31041, 134, 4266, 'CodevTT_RAF', '1.2', '1.5', 0, 1426864559),
(31042, 134, 4347, 'CodevTT_RAF', '0.05', '0.2', 0, 1426864689),
(31043, 134, 4347, 'CodevTT_RAF', '0.2', '0', 0, 1426864725),
(31044, 134, 4347, 'CodevTT_RAF', '0', '0', 0, 1426864725),
(31045, 134, 4347, 'status', '10', '80', 0, 1426864725),
(31047, 134, 4346, 'CodevTT_RAF', '', '0', 0, 1426864794),
(31048, 134, 4346, 'CodevTT_RAF', '0', '0', 0, 1426864794),
(31049, 134, 4346, 'status', '10', '80', 0, 1426864794),
(31065, 134, 3335, 'CodevTT_RAF', '0', '2', 0, 1426868819),
(31079, 146, 3624, 'CodevTT_RAF', '1.5', '1', 0, 1426869911),
(31080, 146, 3624, 'CodevTT_RAF', '1', '1', 0, 1426869950),
(31081, 146, 4282, 'CodevTT_RAF', '2', '2', 0, 1426870002),
(31084, 146, 4282, 'CodevTT_RAF', '2', '2', 0, 1426870047),
(31085, 146, 4282, 'CodevTT_RAF', '2', '2', 0, 1426870070),
(31089, 73, 4306, 'CodevTT_RAF', '', '0', 0, 1426870163),
(31090, 73, 4306, 'CodevTT_RAF', '0', '0', 0, 1426870163),
(31091, 73, 4306, 'status', '10', '80', 0, 1426870163),
(31097, 146, 4281, 'CodevTT_RAF', '2', '2', 0, 1426870275),
(31101, 146, 4281, 'CodevTT_RAF', '2', '2', 0, 1426870381),
(31102, 73, 4313, 'CodevTT_RAF', '2', '1', 0, 1426870395),
(31103, 73, 4313, 'CodevTT_RAF', '1', '0', 0, 1426870412),
(31104, 73, 4313, 'CodevTT_RAF', '0', '0', 0, 1426870412),
(31105, 73, 4313, 'status', '50', '80', 0, 1426870412),
(31106, 73, 3902, 'CodevTT_RAF', '0', '2', 0, 1426870467),
(31113, 73, 4306, 'CodevTT_RAF', '0', '0', 0, 1426870634),
(31114, 136, 4263, 'CodevTT_RAF', '1', '0', 0, 1426873269),
(31115, 136, 4263, 'CodevTT_RAF', '0', '0', 0, 1426873269),
(31116, 136, 4263, 'status', '50', '80', 0, 1426873269),
(31117, 93, 4259, 'CodevTT_RAF', '1', '0.5', 0, 1426873630),
(31119, 116, 3690, 'CodevTT_RAF', '0.15', '0', 0, 1427099874),
(31120, 116, 3690, 'CodevTT_RAF', '0', '0', 0, 1427099874),
(31121, 116, 3690, 'status', '40', '80', 0, 1427099874),
(31122, 116, 3688, 'CodevTT_RAF', '0.8', '0.7', 0, 1427099892),
(31151, 93, 4347, 'CodevTT_RAF', '0', '0.05', 0, 1427107969),
(31163, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1427122375),
(31164, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1427122387),
(31165, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1427122412),
(31166, 74, 2817, 'CodevTT_RAF', '', '0.5', 0, 1427122440),
(31167, 74, 2817, 'CodevTT_RAF', '0.5', '0.5', 0, 1427122462),
(31168, 74, 2817, 'CodevTT_RAF', '0.5', '0', 0, 1427122475),
(31169, 74, 2817, 'CodevTT_RAF', '0', '0', 0, 1427122475),
(31170, 74, 2817, 'status', '10', '80', 0, 1427122475),
(31171, 74, 2821, 'CodevTT_RAF', '8', '7', 0, 1427122501),
(31196, 147, 4329, 'CodevTT_RAF', '1', '2', 0, 1427189265),
(31197, 116, 4319, 'handler_id', '116', '73', 0, 1427189267),
(31198, 147, 4329, 'CodevTT_RAF', '2', '1', 0, 1427189309),
(31271, 72, 3335, 'CodevTT_RAF', '2', '0', 0, 1427199971),
(31272, 134, 3335, 'CodevTT_RAF', '0', '0.5', 0, 1427200024),
(31273, 134, 3335, 'status', '80', '30', 0, 1427200024),
(31274, 134, 3335, 'CodevTT_RAF', '0.5', '0', 0, 1427200044),
(31275, 134, 3335, 'CodevTT_RAF', '0', '0', 0, 1427200044),
(31276, 134, 3335, 'status', '30', '80', 0, 1427200044),
(31277, 134, 3453, 'CodevTT_RAF', '0.5', '0.5', 0, 1427200333),
(31278, 134, 3453, 'CodevTT_RAF', '0.5', '0', 0, 1427200361),
(31279, 134, 3453, 'CodevTT_RAF', '0', '0', 0, 1427200361),
(31280, 134, 3453, 'status', '50', '80', 0, 1427200361),
(31281, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1427200569),
(31282, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1427200657),
(31283, 2, 3941, 'CodevTT_RAF', '0', '0', 0, 1427200741),
(31284, 2, 4364, '', '', '', 1, 1427202118),
(31285, 2, 4364, 'handler_id', '0', '2', 0, 1427202125),
(31286, 2, 4365, '', '', '', 1, 1427202852),
(31287, 2, 4365, 'handler_id', '0', '2', 0, 1427202862),
(31296, 2, 4365, 'CodevTT_Dead Line', '', '1428962400', 0, 1427203983),
(31297, 2, 4364, 'CodevTT_Dead Line', '', '1428962400', 0, 1427203983),
(31298, 2, 4365, 'handler_id', '2', '93', 0, 1427204053),
(31307, 2, 4364, 'handler_id', '2', '146', 0, 1427207927),
(31313, 2, 4365, 'handler_id', '93', '2', 0, 1427208035),
(31354, 2, 3144, 'status', '10', '80', 0, 1427211895),
(31355, 2, 3144, 'resolution', '10', '20', 0, 1427211895),
(31356, 2, 3144, 'CodevTT_RAF', '1', '0', 0, 1427211895),
(31357, 72, 2904, 'CodevTT_RAF', '0.1', '0', 0, 1427211961),
(31358, 72, 2904, 'status', '50', '80', 0, 1427211961),
(31360, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1427214040),
(31361, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1427214344),
(31362, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1427214405),
(31371, 2, 4365, 'CodevTT_RAF', '', '8', 0, 1427272310),
(31372, 2, 4365, 'status', '10', '50', 0, 1427272310),
(31423, 114, 4262, 'CodevTT_RAF', '2', '4', 0, 1427289278),
(31424, 114, 4370, '', '', '', 1, 1427289377),
(31425, 114, 4370, 'handler_id', '0', '114', 0, 1427289377),
(31426, 114, 4262, 'CodevTT_RAF', '4', '0', 0, 1427289398),
(31427, 114, 2835, 'CodevTT_RAF', '1', '0.5', 0, 1427289422),
(31428, 114, 4310, 'CodevTT_RAF', '', '1', 0, 1427289458),
(31429, 114, 4310, 'CodevTT_RAF', '1', '0', 0, 1427289470),
(31430, 114, 4310, 'CodevTT_RAF', '0', '0', 0, 1427289520),
(31431, 114, 4310, 'CodevTT_RAF', '0', '0', 0, 1427289749),
(31432, 114, 4310, 'CodevTT_RAF', '0', '0', 0, 1427289749),
(31433, 114, 4310, 'status', '10', '80', 0, 1427289749),
(31434, 114, 4371, '', '', '', 1, 1427289908),
(31435, 114, 4371, 'handler_id', '0', '114', 0, 1427289908),
(31436, 114, 4371, 'CodevTT_RAF', '', '4', 0, 1427289972),
(31437, 114, 4371, 'status', '10', '50', 0, 1427289972),
(31445, 136, 4271, 'CodevTT_RAF', '2', '3', 0, 1427290794),
(31446, 2, 4264, 'CodevTT_RAF', '0.05', '2', 0, 1427292755),
(31450, 93, 3615, 'CodevTT_RAF', '0.05', '1.5', 0, 1427293331),
(31451, 2, 4270, 'status', '10', '80', 0, 1427293498),
(31452, 2, 4270, 'resolution', '10', '20', 0, 1427293498),
(31453, 2, 4270, 'CodevTT_RAF', '', '0', 0, 1427293498),
(31454, 93, 3615, 'CodevTT_RAF', '1.5', '1.5', 0, 1427293789),
(31455, 93, 3615, 'CodevTT_RAF', '1.5', '1.5', 0, 1427293818),
(31456, 93, 4259, 'CodevTT_RAF', '0.5', '0.3', 0, 1427293876),
(31457, 93, 4259, 'CodevTT_RAF', '0.3', '0.5', 0, 1427293929),
(31458, 93, 4259, 'CodevTT_RAF', '0.5', '0.05', 0, 1427293959),
(31459, 2, 4209, 'priority', '30', '40', 0, 1427294011),
(31460, 2, 2132, 'priority', '30', '40', 0, 1427294055),
(31461, 93, 4259, 'CodevTT_RAF', '0.05', '0.05', 0, 1427294074),
(31462, 93, 4260, 'CodevTT_RAF', '0.05', '0.05', 0, 1427294189),
(31463, 2, 4266, 'summary', '38984[DEV]Celtick - TAIGA - Reblocage SPOC31 après pré-déblocage SPOC31', '38984 [DEV] création d\'un ayd via majoc avec un article 51 non suvi d\'un article 52', 0, 1427294337),
(31464, 2, 4265, 'summary', '38984[SPECS]Celtick - TAIGA - Reblocage SPOC31 après pré-déblocage SPOC31', '38984 [SPECS] création d\'un ayd via majoc avec un article 51 non suvi d\'un article 52', 0, 1427294371),
(31465, 2, 3624, 'CodevTT_RAF', '1', '5', 0, 1427294872),
(31467, 2, 3615, 'CodevTT_Dead Line', '', '1426806000', 0, 1427295165),
(31468, 2, 4328, 'handler_id', '147', '146', 0, 1427296997),
(31469, 2, 4385, '', '', '', 1, 1427297374),
(31470, 2, 4385, 'handler_id', '0', '73', 0, 1427297374),
(31471, 2, 2132, 'handler_id', '2', '93', 0, 1427297557),
(31500, 147, 4329, 'CodevTT_RAF', '1', '2', 0, 1427300265),
(31501, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1427301400),
(31502, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1427301429),
(31503, 2, 4209, 'CodevTT_RAF', '2', '1', 0, 1427301535),
(31504, 2, 4209, 'status', '10', '50', 0, 1427301535),
(31507, 2, 4209, 'CodevTT_RAF', '1', '2', 0, 1427303151),
(31508, 2, 2909, 'CodevTT_Dead Line', '1428789600', '', 0, 1427304260),
(31510, 134, 4266, 'CodevTT_RAF', '1.5', '1', 0, 1427358767),
(31511, 134, 4266, 'CodevTT_RAF', '1', '0', 0, 1427358835),
(31512, 134, 4266, 'CodevTT_RAF', '0', '0', 0, 1427358835),
(31513, 134, 4266, 'status', '50', '80', 0, 1427358835),
(31514, 93, 4260, 'CodevTT_RAF', '0.05', '0.05', 0, 1427362566),
(31515, 93, 4260, 'CodevTT_RAF', '0.05', '0.05', 0, 1427362627),
(31516, 93, 4260, 'CodevTT_RAF', '0.05', '0', 0, 1427362627),
(31517, 93, 4260, 'status', '50', '80', 0, 1427362627),
(31518, 93, 4260, 'CodevTT_RAF', '0', '0', 0, 1427362661),
(31519, 93, 3542, 'CodevTT_RAF', '0.05', '0', 0, 1427363272),
(31520, 93, 3686, 'CodevTT_RAF', '0.05', '2', 0, 1427363393),
(31521, 93, 4152, 'CodevTT_RAF', '0.05', '2', 0, 1427363475),
(31522, 93, 3542, 'status', '50', '80', 0, 1427363728),
(31523, 93, 3542, 'resolution', '10', '20', 0, 1427363728),
(31526, 2, 4365, 'summary', 'Etude FusionPL - analyse des flux entrants/sortants', 'Etude FusionPL [TAIGA] analyse des flux entrants/sortants', 0, 1427365369),
(31527, 2, 4364, 'summary', 'Etude FusionPL - recherche des caisses 53,54 \"en dur\"', 'Etude FusionPL [TAIGA] recherche des caisses 53,54 \"en dur\"', 0, 1427365385),
(31565, 72, 4327, 'handler_id', '136', '72', 0, 1427381973),
(31566, 72, 4327, 'CodevTT_ChargeMgr', '4', '3', 0, 1427382148),
(31567, 72, 4327, 'CodevTT_ChargeInit', '3', '2', 0, 1427382148),
(31568, 72, 4328, 'CodevTT_ChargeMgr', '6', '4', 0, 1427382275),
(31569, 72, 4328, 'CodevTT_ChargeInit', '5', '2', 0, 1427382275),
(31570, 72, 4327, 'CodevTT_RAF', '', '1', 0, 1427382517),
(31571, 72, 4327, 'status', '10', '50', 0, 1427382517),
(31580, 74, 2821, 'CodevTT_RAF', '7', '5', 0, 1427385402),
(31581, 74, 2821, 'CodevTT_RAF', '5', '4', 0, 1427385413),
(31582, 74, 2821, 'CodevTT_RAF', '4', '3.5', 0, 1427385425),
(31583, 74, 2821, 'CodevTT_RAF', '3.5', '2.5', 0, 1427385434),
(31584, 93, 3615, 'CodevTT_RAF', '1.5', '1', 0, 1427387191),
(31592, 136, 4271, 'CodevTT_RAF', '3', '3', 0, 1427388126),
(31593, 136, 4271, 'CodevTT_RAF', '3', '2', 0, 1427388136),
(31595, 136, 4271, 'CodevTT_RAF', '2', '2', 0, 1427388165),
(31676, 72, 4454, '', '', '', 1, 1427391855),
(31677, 72, 4454, 'handler_id', '0', '73', 0, 1427391855),
(31678, 72, 4455, '', '', '', 1, 1427391967),
(31679, 72, 4455, 'handler_id', '0', '134', 0, 1427391967),
(31689, 93, 3615, 'CodevTT_RAF', '1', '1', 0, 1427396106),
(31690, 93, 4456, '', '', '', 1, 1427396412),
(31691, 93, 4456, 'handler_id', '0', '114', 0, 1427396412),
(31740, 114, 2835, 'CodevTT_RAF', '0.5', '0', 0, 1427463662),
(31739, 114, 2835, 'resolution', '10', '20', 0, 1427463662),
(31738, 114, 2835, 'status', '50', '80', 0, 1427463662),
(31737, 114, 4371, 'CodevTT_RAF', '4', '0', 0, 1427463650),
(31736, 114, 4371, 'resolution', '10', '20', 0, 1427463650),
(31735, 114, 4371, 'status', '50', '80', 0, 1427463650),
(31721, 136, 4271, 'CodevTT_RAF', '2', '1', 0, 1427450208),
(31722, 136, 4271, 'CodevTT_RAF', '1', '1', 0, 1427450412),
(31741, 114, 4344, 'status', '10', '80', 0, 1427463687),
(31742, 114, 4344, 'resolution', '10', '20', 0, 1427463687),
(31743, 114, 4344, 'CodevTT_RAF', '0.1', '0', 0, 1427463687),
(31744, 114, 4311, 'status', '50', '80', 0, 1427463728),
(31745, 114, 4311, 'resolution', '10', '20', 0, 1427463728),
(31746, 114, 4311, 'CodevTT_RAF', '1', '0', 0, 1427463728),
(31747, 114, 4312, 'status', '50', '80', 0, 1427463803),
(31748, 114, 4312, 'resolution', '10', '20', 0, 1427463803),
(31749, 114, 4312, 'CodevTT_RAF', '0.1', '0', 0, 1427463803),
(31752, 114, 3735, 'status', '50', '80', 0, 1427463825),
(31753, 114, 3735, 'resolution', '10', '20', 0, 1427463825),
(31754, 114, 3735, 'CodevTT_RAF', '0.05', '0', 0, 1427463825),
(31755, 114, 3899, 'status', '10', '80', 0, 1427463840),
(31756, 114, 3899, 'resolution', '10', '20', 0, 1427463840),
(31757, 114, 3899, 'CodevTT_RAF', '', '0', 0, 1427463840),
(31758, 114, 3896, 'status', '50', '80', 0, 1427463852),
(31759, 114, 3896, 'resolution', '10', '20', 0, 1427463852),
(31760, 114, 3896, 'CodevTT_RAF', '2', '0', 0, 1427463852),
(31761, 114, 3894, 'status', '50', '80', 0, 1427463902),
(31762, 114, 3894, 'resolution', '10', '20', 0, 1427463902),
(31763, 114, 3894, 'CodevTT_RAF', '2', '0', 0, 1427463902),
(31764, 114, 3827, 'status', '10', '80', 0, 1427463916),
(31765, 114, 3827, 'resolution', '10', '20', 0, 1427463916),
(31766, 114, 3827, 'CodevTT_RAF', '', '0', 0, 1427463916),
(31767, 114, 3827, 'status', '80', '90', 0, 1427463940),
(31768, 114, 3825, 'status', '50', '80', 0, 1427463949),
(31769, 114, 3825, 'resolution', '10', '20', 0, 1427463949),
(31770, 114, 3825, 'CodevTT_RAF', '0.5', '0', 0, 1427463949),
(31771, 114, 3732, 'status', '50', '80', 0, 1427463978),
(31772, 114, 3732, 'resolution', '10', '20', 0, 1427463978),
(31773, 114, 3732, 'CodevTT_RAF', '1', '0', 0, 1427463978),
(31810, 2, 4209, 'CodevTT_RAF', '2', '1', 0, 1427467592),
(31811, 2, 4209, 'CodevTT_RAF', '1', '1', 0, 1427467659),
(31819, 136, 4271, 'CodevTT_RAF', '1', '2', 0, 1427471617),
(31861, 147, 4329, 'CodevTT_RAF', '2', '1', 0, 1427473959),
(31866, 147, 4329, 'CodevTT_RAF', '1', '0.2', 0, 1427474028),
(31896, 93, 3615, 'CodevTT_RAF', '1', '1.2', 0, 1427475558),
(31905, 93, 3615, 'CodevTT_RAF', '1.2', '1', 0, 1427477094),
(31908, 93, 4496, '', '', '', 1, 1427477358),
(31909, 93, 4496, 'handler_id', '0', '73', 0, 1427477358),
(31911, 93, 3615, 'CodevTT_RAF', '1', '1.5', 0, 1427477564),
(31980, 2, 4455, '', '2500', '4454', 18, 1427703226),
(31981, 2, 4454, '', '2501', '4455', 18, 1427703226),
(31983, 2, 4210, '', '2500', '4273', 18, 1427703289),
(31984, 2, 4273, '', '2501', '4210', 18, 1427703289),
(31989, 2, 4335, '', '2500', '4334', 18, 1427703311),
(31990, 2, 4334, '', '2501', '4335', 18, 1427703311),
(31992, 2, 4302, '', '2500', '4209', 18, 1427703345),
(31993, 2, 4209, '', '2501', '4302', 18, 1427703345),
(31998, 2, 4298, '', '2500', '4297', 18, 1427703379),
(34968, 72, 4888, '', '', '', 1, 1429697052),
(32006, 2, 4295, '', '2501', '4296', 18, 1427703479),
(32010, 2, 4332, '', '2500', '4331', 18, 1427703520),
(32011, 2, 4331, '', '2501', '4332', 18, 1427703520),
(89306, 72, 10792, '', '', '', 1, 1463575824),
(32015, 2, 4299, '', '2501', '4300', 18, 1427703567),
(32016, 2, 4292, '', '2500', '4291', 18, 1427703614),
(32040, 2, 3942, 'status', '50', '80', 0, 1427704007),
(32041, 2, 3942, 'resolution', '10', '20', 0, 1427704007),
(32042, 2, 3942, 'CodevTT_RAF', '1', '0', 0, 1427704007),
(32047, 2, 3967, 'handler_id', '0', '128', 0, 1427704157),
(32094, 2, 4145, 'status', '50', '80', 0, 1427706128),
(32095, 2, 4145, 'resolution', '10', '20', 0, 1427706128),
(32096, 2, 4145, 'CodevTT_RAF', '0.25', '0', 0, 1427706128),
(32097, 2, 4141, 'status', '50', '80', 0, 1427706145),
(32098, 2, 4141, 'resolution', '10', '20', 0, 1427706145),
(32099, 2, 4141, 'CodevTT_RAF', '2', '0', 0, 1427706145),
(32101, 2, 4147, 'status', '50', '80', 0, 1427706158),
(32102, 2, 4147, 'resolution', '10', '20', 0, 1427706158),
(32103, 2, 4147, 'CodevTT_RAF', '0.1', '0', 0, 1427706158),
(32104, 2, 4054, 'status', '50', '80', 0, 1427706167),
(32105, 2, 4054, 'resolution', '10', '20', 0, 1427706167),
(32106, 2, 4054, 'CodevTT_RAF', '0.1', '0', 0, 1427706167),
(32107, 2, 4159, 'handler_id', '140', '114', 0, 1427706190),
(32111, 2, 4146, 'status', '50', '80', 0, 1427706250),
(32112, 2, 4146, 'resolution', '10', '20', 0, 1427706250),
(32113, 2, 4146, 'CodevTT_RAF', '0.25', '0', 0, 1427706250),
(32114, 2, 3911, 'status', '50', '80', 0, 1427706265),
(32115, 2, 3911, 'resolution', '10', '20', 0, 1427706265),
(32116, 2, 3911, 'CodevTT_RAF', '0.25', '0', 0, 1427706265),
(32119, 2, 3688, 'status', '10', '50', 0, 1427706412),
(32120, 2, 3902, 'CodevTT_RAF', '2', '0', 0, 1427706431),
(32121, 2, 4272, 'status', '10', '50', 0, 1427706488),
(32122, 2, 4347, 'CodevTT_RAF', '0.05', '0', 0, 1427706504),
(32123, 2, 4496, 'status', '10', '50', 0, 1427706540),
(32124, 2, 3824, 'handler_id', '139', '72', 0, 1427706707),
(32164, 2, 4209, 'CodevTT_RAF', '1', '0', 0, 1427707765),
(32165, 2, 4209, 'CodevTT_RAF', '0', '0', 0, 1427707765),
(32166, 2, 4209, 'status', '50', '80', 0, 1427707765),
(32232, 134, 4455, 'CodevTT_RAF', '', '1.5', 0, 1427709757),
(32233, 134, 4455, 'status', '10', '50', 0, 1427709757),
(32234, 134, 4455, 'CodevTT_RAF', '1.5', '1.5', 0, 1427709795),
(32235, 134, 4455, 'CodevTT_RAF', '1.5', '0.5', 0, 1427709808),
(32236, 134, 4455, 'CodevTT_RAF', '0.5', '0.5', 0, 1427710017),
(32237, 134, 3910, 'CodevTT_RAF', '0', '0', 0, 1427710071),
(32238, 134, 4455, 'CodevTT_RAF', '0.5', '0', 0, 1427710150),
(32239, 134, 4455, 'CodevTT_RAF', '0', '0', 0, 1427710150),
(32240, 134, 4455, 'status', '50', '80', 0, 1427710150),
(32351, 73, 3902, 'CodevTT_RAF', '0', '0', 0, 1427728316),
(32352, 73, 4496, 'CodevTT_RAF', '', '0', 0, 1427728403),
(32353, 73, 4496, 'CodevTT_RAF', '0', '0', 0, 1427728403),
(32354, 73, 4496, 'status', '50', '80', 0, 1427728403),
(32361, 73, 4385, 'CodevTT_RAF', '', '0', 0, 1427728962),
(32362, 73, 4385, 'CodevTT_RAF', '0', '0', 0, 1427728962),
(32363, 73, 4385, 'status', '10', '80', 0, 1427728962),
(32364, 134, 4455, 'summary', '40496- [DEV] Evolution - Délai de prescription sur calcul des cotisations', '40496- [DEV] Evolution - SPOC51- Date_Modif_situ présente si code qualité modifié.', 0, 1427729610),
(32365, 134, 3910, 'CodevTT_RAF', '0', '0', 0, 1427729716),
(32409, 136, 4271, 'CodevTT_RAF', '2', '0', 0, 1427731913),
(32410, 136, 4271, 'CodevTT_RAF', '0', '0', 0, 1427731913),
(32411, 136, 4271, 'status', '50', '80', 0, 1427731913),
(32412, 136, 4267, 'CodevTT_RAF', '1', '2', 0, 1427731937),
(32413, 136, 4267, 'status', '20', '50', 0, 1427731937),
(32472, 134, 2821, 'CodevTT_RAF', '2.5', '2', 0, 1427790904),
(32571, 146, 4364, 'CodevTT_RAF', '', '1', 0, 1427803950),
(32572, 146, 4364, 'CodevTT_RAF', '1', '1', 0, 1427804007),
(32573, 146, 4364, 'CodevTT_RAF', '1', '1', 0, 1427804109),
(32574, 146, 4364, 'CodevTT_RAF', '1', '1', 0, 1427805009),
(32575, 146, 4364, 'CodevTT_RAF', '1', '1', 0, 1427805502),
(32578, 146, 4364, 'CodevTT_RAF', '1', '1', 0, 1427805525),
(32579, 146, 4364, 'CodevTT_RAF', '1', '1', 0, 1427805556),
(32582, 146, 4364, 'CodevTT_RAF', '1', '2.5', 0, 1427805888),
(32583, 146, 4364, 'CodevTT_RAF', '2.5', '2.5', 0, 1427805889),
(32587, 146, 4282, 'CodevTT_RAF', '2', '2.5', 0, 1427806061),
(32684, 136, 4267, 'CodevTT_RAF', '2', '2', 0, 1427813647),
(32695, 146, 4319, 'CodevTT_RAF', '', '2', 0, 1427816372),
(32703, 146, 4319, 'CodevTT_RAF', '2', '3', 0, 1427816457),
(32704, 146, 4319, 'CodevTT_RAF', '3', '2', 0, 1427816494),
(32705, 146, 4319, 'CodevTT_RAF', '2', '2.5', 0, 1427816543),
(32706, 146, 4282, 'CodevTT_RAF', '2.5', '1', 0, 1427816599),
(32707, 146, 4282, 'CodevTT_RAF', '1', '1', 0, 1427816646),
(32710, 2, 4364, 'status', '10', '50', 0, 1427875040),
(32711, 136, 4329, 'CodevTT_RAF', '0.2', '0', 0, 1427879222),
(32712, 136, 4329, 'CodevTT_Date Livraison', '', '1427666400', 0, 1427879222),
(32713, 136, 4329, 'status', '50', '80', 0, 1427879222),
(32714, 136, 4329, 'resolution', '10', '20', 0, 1427879222),
(32716, 136, 4264, '', 'FSA_38786_v1-0.doc', '', 9, 1427879305),
(32722, 136, 4264, '', '0000635', '', 2, 1427879459),
(32723, 136, 4264, '', 'pal_qc_33907_cmr_054.sql', '', 9, 1427879626),
(32724, 136, 4264, '', '0000636', '', 2, 1427879778),
(32725, 2, 3940, 'handler_id', '0', '2', 0, 1427894187),
(32726, 2, 3940, 'status', '80', '30', 0, 1427894187),
(32727, 2, 4265, 'target_version', '15.0.0', '15.0.0_Sept', 0, 1427894720),
(32728, 2, 4266, 'target_version', '15.0.0', '15.0.0_Sept', 0, 1427894742),
(32729, 2, 3690, '', '0000637', '', 2, 1427894951),
(32730, 2, 3690, 'status', '80', '30', 0, 1427894951),
(32731, 2, 3690, 'resolution', '10', '30', 0, 1427894951),
(32732, 2, 3690, 'CodevTT_RAF', '0', '1', 0, 1427894967),
(32733, 2, 3688, 'CodevTT_RAF', '0.7', '2', 0, 1427895142),
(32736, 2, 4307, 'status', '10', '80', 0, 1427895301),
(32737, 2, 4307, 'resolution', '10', '20', 0, 1427895301),
(32738, 2, 4307, 'CodevTT_RAF', '', '0', 0, 1427895301),
(32744, 2, 4334, 'target_version', '15.0.0_Juillet', '15.0.0_Sept', 0, 1427895565),
(32745, 2, 4335, 'target_version', '15.0.0_Juillet', '15.0.0_Sept', 0, 1427895576),
(32748, 2, 4159, 'target_version', '', '15.0.0_Juillet', 0, 1427896078),
(32752, 2, 4159, 'CodevTT_Dead Line', '', '1428962400', 0, 1427896161),
(32754, 2, 4590, '', '', '', 1, 1427896384),
(32756, 147, 4263, 'CodevTT_RAF', '0', '2', 0, 1427898116),
(32757, 147, 4263, 'CodevTT_RAF', '2', '1', 0, 1427898176),
(32758, 147, 4263, 'CodevTT_RAF', '1', '1', 0, 1427898215),
(32759, 147, 4263, 'CodevTT_RAF', '1', '0', 0, 1427898268),
(32761, 2, 4259, 'status', '50', '80', 0, 1427898567),
(32762, 2, 4259, 'resolution', '10', '20', 0, 1427898567),
(32763, 2, 4259, 'CodevTT_RAF', '0.05', '0', 0, 1427898567),
(32830, 2, 3940, 'CodevTT_RAF', '0', '0', 0, 1427903393),
(32831, 2, 3940, 'CodevTT_RAF', '0', '0', 0, 1427903393),
(32832, 2, 3940, 'status', '30', '80', 0, 1427903393),
(32918, 2, 4319, 'status', '10', '50', 0, 1427958549),
(32919, 2, 4456, 'status', '10', '50', 0, 1427958558),
(33048, 73, 4320, 'status', '10', '50', 0, 1427989204),
(33039, 73, 4318, 'CodevTT_RAF', '', '1.5', 0, 1427985213),
(33040, 73, 4318, 'status', '10', '50', 0, 1427985213),
(33044, 2, 3562, 'CodevTT_RAF', '0', '0', 0, 1427988837),
(33047, 73, 4320, 'CodevTT_RAF', '', '3', 0, 1427989204),
(33062, 147, 4272, 'CodevTT_RAF', '', '1', 0, 1428047927),
(33063, 147, 4272, 'CodevTT_RAF', '1', '1', 0, 1428047953),
(33071, 93, 3615, 'CodevTT_RAF', '1.5', '2', 0, 1428050390),
(33072, 93, 3615, 'CodevTT_RAF', '2', '2', 0, 1428050410),
(33073, 93, 4623, '', '', '', 1, 1428051449),
(33074, 93, 4623, 'handler_id', '0', '93', 0, 1428051449),
(33075, 93, 4623, 'status', '10', '50', 0, 1428051634),
(33076, 93, 4623, 'summary', 'DSI-2014-Assuré absent de l\'EI', '40542-DSI-2014-Assuré absent de l\'EI', 0, 1428051634),
(33077, 93, 4624, '', '', '', 1, 1428051896),
(33078, 93, 4623, 'CodevTT_RAF', '', '2', 0, 1428052049),
(33079, 93, 4623, 'CodevTT_RAF', '2', '0.5', 0, 1428052067),
(33089, 2, 3562, 'CodevTT_RAF', '0', '0', 0, 1428060598),
(33131, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075478),
(33132, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1428075550),
(33133, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1428075569),
(33135, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075695),
(33141, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075726),
(33143, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075765),
(33150, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075841),
(33151, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075883),
(33152, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075900),
(33153, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428075911),
(33168, 136, 4263, 'CodevTT_RAF', '0', '0', 0, 1428076371),
(33169, 136, 4271, 'CodevTT_RAF', '0', '0', 0, 1428076393),
(33170, 136, 4267, 'CodevTT_RAF', '2', '2', 0, 1428076407),
(33171, 136, 4267, 'CodevTT_RAF', '2', '2', 0, 1428076420),
(33172, 114, 4456, 'CodevTT_RAF', '', '1', 0, 1428076422),
(33176, 114, 3733, 'CodevTT_RAF', '0', '1', 0, 1428076448),
(33178, 72, 2904, 'CodevTT_RAF', '0', '0', 0, 1428076489),
(33180, 72, 2904, 'CodevTT_RAF', '0', '0', 0, 1428076545),
(33181, 114, 4456, 'CodevTT_RAF', '1', '2', 0, 1428076578),
(33182, 114, 4456, 'CodevTT_RAF', '2', '1', 0, 1428076597),
(33183, 114, 3911, 'CodevTT_RAF', '0', '1', 0, 1428076615),
(33184, 114, 4370, 'CodevTT_RAF', '', '1', 0, 1428076636),
(33185, 114, 4370, 'status', '10', '50', 0, 1428076636),
(33186, 114, 4370, 'CodevTT_RAF', '1', '1', 0, 1428076699),
(33187, 114, 4310, 'CodevTT_RAF', '0', '0.5', 0, 1428076793),
(33188, 114, 4310, 'status', '80', '30', 0, 1428076793),
(33189, 114, 4310, 'CodevTT_RAF', '0.5', '1', 0, 1428076857),
(33190, 93, 4624, 'handler_id', '0', '93', 0, 1428077373),
(33191, 93, 4624, 'status', '10', '50', 0, 1428077373),
(33195, 146, 4364, 'CodevTT_RAF', '2.5', '0.1', 0, 1428079756),
(33196, 146, 4364, 'CodevTT_RAF', '0.1', '0.1', 0, 1428079791),
(33200, 146, 4290, 'CodevTT_RAF', '2', '1.5', 0, 1428079897),
(33242, 116, 3688, 'CodevTT_RAF', '2', '1.7', 0, 1428395457),
(33247, 116, 3688, 'CodevTT_RAF', '1.7', '1.8', 0, 1428395530),
(33248, 116, 3688, 'CodevTT_RAF', '1.8', '1.7', 0, 1428395540),
(33250, 116, 3688, 'CodevTT_RAF', '1.7', '1.6', 0, 1428395550),
(33251, 116, 3688, 'CodevTT_RAF', '1.6', '1.5', 0, 1428395560),
(33252, 116, 3688, 'CodevTT_RAF', '1.5', '1.4', 0, 1428395569),
(33278, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1428404891),
(33316, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1428448190),
(33317, 2, 3733, 'CodevTT_RAF', '1', '0', 0, 1428450409),
(33318, 2, 3911, 'CodevTT_RAF', '1', '0', 0, 1428450424),
(33319, 2, 3911, 'handler_id', '148', '114', 0, 1428450424),
(33379, 73, 4657, '', '', '', 1, 1428483487),
(33380, 73, 4657, 'handler_id', '0', '73', 0, 1428483487),
(33381, 73, 4658, '', '', '', 1, 1428483535),
(33382, 73, 4658, 'handler_id', '0', '73', 0, 1428483535),
(33383, 73, 4658, '', '', '4657', 21, 1428483535),
(33384, 73, 4657, '', '', '4658', 20, 1428483535),
(33385, 73, 4658, 'CodevTT_RAF', '', '0.5', 0, 1428483615),
(33386, 73, 4658, 'status', '10', '50', 0, 1428483615),
(33387, 73, 4658, 'CodevTT_RAF', '0.5', '0', 0, 1428483645),
(33388, 73, 4658, 'CodevTT_RAF', '0', '0', 0, 1428483645),
(33389, 73, 4658, 'status', '50', '80', 0, 1428483645),
(33390, 73, 4657, 'CodevTT_RAF', '', '0.5', 0, 1428483676),
(33391, 73, 4657, 'status', '10', '50', 0, 1428483676),
(33392, 73, 4657, 'CodevTT_RAF', '0.5', '0', 0, 1428483701),
(33393, 73, 4657, 'CodevTT_RAF', '0', '0', 0, 1428483701),
(33394, 73, 4657, 'status', '50', '80', 0, 1428483701),
(33395, 73, 4624, 'CodevTT_RAF', '', '0.5', 0, 1428483823),
(33396, 73, 4496, 'CodevTT_RAF', '0', '0', 0, 1428485078),
(33397, 73, 4455, 'CodevTT_RAF', '0', '0', 0, 1428485266),
(33467, 2, 3562, 'CodevTT_RAF', '0', '0', 0, 1428495094),
(33468, 2, 3562, 'handler_id', '0', '2', 0, 1428495094),
(33469, 2, 3562, 'CodevTT_RAF', '0', '0', 0, 1428495125),
(33482, 134, 2904, 'CodevTT_RAF', '0', '1', 0, 1428505600),
(33483, 134, 2904, 'CodevTT_RAF', '1', '1', 0, 1428505776),
(33484, 134, 4623, 'CodevTT_RAF', '0.5', '1', 0, 1428505803),
(33485, 134, 4623, 'CodevTT_RAF', '1', '1', 0, 1428505803),
(33486, 134, 4623, 'CodevTT_RAF', '1', '1', 0, 1428505850),
(33487, 134, 4623, 'CodevTT_RAF', '1', '0.2', 0, 1428505916),
(33488, 134, 4623, 'CodevTT_RAF', '0.2', '0', 0, 1428505966),
(33489, 134, 4623, 'CodevTT_RAF', '0', '0', 0, 1428505967),
(33490, 134, 4623, 'status', '50', '80', 0, 1428505967),
(33491, 147, 4272, 'CodevTT_RAF', '1', '1', 0, 1428507324),
(33492, 147, 4263, 'CodevTT_RAF', '0', '1', 0, 1428507358),
(33493, 147, 4272, 'CodevTT_RAF', '1', '1', 0, 1428507454),
(33531, 2, 3562, 'CodevTT_RAF', '0', '0', 0, 1428580764),
(33532, 2, 4371, 'CodevTT_RAF', '0', '2', 0, 1428580808),
(33533, 2, 4371, 'status', '80', '30', 0, 1428580808),
(33534, 2, 4371, 'CodevTT_RAF', '2', '1', 0, 1428580832),
(33535, 2, 4371, 'status', '30', '50', 0, 1428580832),
(33536, 2, 4371, 'handler_id', '114', '2', 0, 1428580832),
(33538, 2, 4364, '', 'fusion_caisse_53_54_v01.xls', '', 9, 1428583840),
(33547, 2, 4371, 'CodevTT_Dead Line', '', '1428616800', 0, 1428596024),
(33589, 72, 4681, '', '', '', 1, 1428655251),
(33590, 72, 4681, 'handler_id', '0', '134', 0, 1428655251),
(33593, 72, 4682, '', '', '', 1, 1428655427),
(33594, 72, 4682, 'handler_id', '0', '117', 0, 1428655427),
(33597, 72, 4683, '', '', '', 1, 1428656159),
(33598, 72, 4683, 'handler_id', '0', '134', 0, 1428656159),
(33615, 134, 4681, 'CodevTT_RAF', '', '2', 0, 1428657331),
(33616, 134, 4681, 'status', '10', '30', 0, 1428657331),
(33617, 134, 4683, 'CodevTT_RAF', '', '2.5', 0, 1428657441),
(33618, 134, 4683, 'status', '10', '30', 0, 1428657441),
(33619, 134, 4683, 'CodevTT_RAF', '2.5', '2', 0, 1428657523),
(33620, 134, 4307, 'CodevTT_RAF', '0', '0.5', 0, 1428657629),
(33621, 134, 4307, 'CodevTT_RAF', '0.5', '1', 0, 1428657681),
(33622, 72, 4684, '', '', '', 1, 1428658767),
(33623, 72, 4684, 'handler_id', '0', '157', 0, 1428658767),
(33624, 72, 4683, 'CodevTT_RAF', '2', '2', 0, 1428658854),
(33625, 72, 4681, 'CodevTT_RAF', '2', '1', 0, 1428658896),
(33626, 72, 4684, 'CodevTT_RAF', '', '1.5', 0, 1428659108),
(33627, 72, 4684, 'status', '10', '50', 0, 1428659108),
(33628, 72, 4684, 'CodevTT_RAF', '1.5', '1', 0, 1428659128),
(33629, 72, 4684, 'CodevTT_RAF', '1', '0.5', 0, 1428659153),
(33659, 146, 4290, 'CodevTT_RAF', '1.5', '1', 0, 1428673507),
(33677, 146, 4364, 'CodevTT_RAF', '0.1', '0.1', 0, 1428674334),
(33678, 146, 4290, 'CodevTT_RAF', '1', '1.5', 0, 1428674379),
(33686, 2, 4371, 'CodevTT_RAF', '1', '0.5', 0, 1428677363),
(33702, 146, 4056, 'CodevTT_RAF', '0', '1', 0, 1428682325),
(33703, 146, 4056, 'CodevTT_RAF', '1', '1', 0, 1428682361),
(33704, 146, 4056, 'CodevTT_RAF', '1', '0', 0, 1428682391),
(33705, 146, 4056, 'CodevTT_RAF', '0', '0', 0, 1428682443),
(33706, 146, 4282, 'CodevTT_RAF', '1', '1.5', 0, 1428682519),
(33707, 146, 4282, 'CodevTT_RAF', '1.5', '1', 0, 1428682556),
(33759, 74, 2821, 'CodevTT_RAF', '2', '6', 0, 1428907386),
(33760, 74, 2821, 'CodevTT_RAF', '6', '5', 0, 1428907401),
(33761, 74, 2821, 'CodevTT_RAF', '5', '4', 0, 1428907410),
(33762, 74, 2821, 'CodevTT_RAF', '4', '3', 0, 1428907419),
(33765, 147, 4272, 'CodevTT_RAF', '1', '2', 0, 1428910039),
(33766, 147, 4272, 'CodevTT_RAF', '2', '2', 0, 1428910091),
(33773, 134, 4307, 'CodevTT_RAF', '1', '1', 0, 1428911360),
(33798, 128, 4348, 'CodevTT_RAF', '0', '0', 0, 1428913670),
(33799, 128, 4348, 'handler_id', '0', '128', 0, 1428913670),
(33800, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1428913692),
(33801, 128, 3943, 'handler_id', '0', '128', 0, 1428913692),
(33802, 128, 3943, 'CodevTT_RAF', '0', '0', 0, 1428913769),
(33803, 116, 3688, 'CodevTT_RAF', '1.4', '1.3', 0, 1428913791),
(33806, 116, 3688, 'CodevTT_RAF', '1.3', '1.2', 0, 1428913800),
(33808, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1428913867),
(33809, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1428913930),
(33810, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428914011),
(33811, 128, 3941, 'handler_id', '0', '128', 0, 1428914011),
(33815, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428914062),
(33816, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1428914102),
(33820, 2, 2132, 'handler_id', '93', '2', 0, 1428914698),
(33840, 2, 4309, 'CodevTT_Dead Line', '', '1430258400', 0, 1428928498),
(33841, 2, 3688, 'CodevTT_Dead Line', '', '1430258400', 0, 1428928512),
(33842, 2, 3689, 'CodevTT_Dead Line', '', '1430258400', 0, 1428928527),
(33863, 147, 4263, 'CodevTT_RAF', '1', '1', 0, 1428935768),
(33864, 147, 4263, 'handler_id', '136', '147', 0, 1428935768),
(33881, 74, 4683, 'CodevTT_RAF', '2', '0.1', 0, 1428993154),
(33882, 74, 4683, 'handler_id', '134', '74', 0, 1428993154),
(33883, 74, 4683, 'CodevTT_RAF', '0.1', '0.1', 0, 1428993166),
(33885, 134, 4307, 'CodevTT_RAF', '1', '0', 0, 1428996793),
(33886, 134, 3454, 'CodevTT_RAF', '1', '1', 0, 1428996893),
(33888, 93, 4624, 'CodevTT_RAF', '0.5', '5', 0, 1428997676),
(33889, 93, 4624, 'CodevTT_RAF', '5', '4', 0, 1428997692),
(33890, 93, 4624, 'CodevTT_RAF', '4', '3', 0, 1428997700),
(33891, 93, 4624, 'CodevTT_RAF', '3', '2', 0, 1428997721),
(33892, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429000342),
(33893, 2, 4456, 'CodevTT_RAF', '1', '1', 0, 1429001025),
(33894, 2, 3826, 'CodevTT_RAF', '0', '1', 0, 1429001061),
(33895, 2, 3826, 'status', '80', '30', 0, 1429001061),
(33904, 154, 4364, '', 'fusion_caisse_53_54_v01 - Complété avec tableaux croisés.xls', '', 9, 1429014271),
(33905, 154, 4364, '', 'Analyse références 53,54,58,59 dans packages.xlsx', '', 9, 1429014306),
(33906, 154, 4364, '', '0000639', '', 2, 1429014870),
(33920, 134, 2909, 'CodevTT_RAF', '1.5', '0.2', 0, 1429080799),
(33921, 134, 2909, 'CodevTT_RAF', '0.2', '0.2', 0, 1429080825),
(33922, 134, 3454, 'CodevTT_RAF', '1', '0.1', 0, 1429080855),
(33939, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429086378),
(33940, 114, 4262, 'CodevTT_RAF', '0', '2', 0, 1429086505),
(33941, 114, 3826, 'CodevTT_RAF', '1', '1', 0, 1429086524),
(33945, 114, 4310, 'CodevTT_RAF', '1', '1', 0, 1429087124),
(33946, 114, 4310, 'CodevTT_RAF', '1', '0.5', 0, 1429087143),
(33947, 114, 4310, 'CodevTT_RAF', '0.5', '0.5', 0, 1429087184),
(33948, 114, 4310, 'status', '30', '50', 0, 1429087184),
(33949, 114, 4310, 'CodevTT_RAF', '0.5', '0', 0, 1429087200),
(33950, 114, 4310, 'CodevTT_RAF', '0', '0', 0, 1429087200),
(33951, 114, 4310, 'status', '50', '80', 0, 1429087200),
(33952, 114, 4370, 'CodevTT_RAF', '1', '1.5', 0, 1429087226),
(33953, 114, 4370, 'CodevTT_RAF', '1.5', '0.5', 0, 1429087242),
(33954, 114, 4370, 'CodevTT_RAF', '0.5', '0', 0, 1429087262),
(33955, 114, 4370, 'CodevTT_RAF', '0', '0', 0, 1429087262),
(33956, 114, 4370, 'status', '50', '80', 0, 1429087262),
(33968, 114, 4715, 'CodevTT_RAF', '', '1', 0, 1429087657),
(33959, 114, 4370, 'CodevTT_RAF', '0', '0.5', 0, 1429087423),
(33960, 114, 4370, 'status', '80', '30', 0, 1429087423),
(33961, 114, 4370, 'CodevTT_RAF', '0.5', '0', 0, 1429087500),
(33962, 114, 4370, 'CodevTT_RAF', '0', '0', 0, 1429087500),
(33963, 114, 4370, 'status', '30', '80', 0, 1429087500),
(33967, 114, 4715, 'handler_id', '0', '114', 0, 1429087633),
(33966, 114, 4715, '', '', '', 1, 1429087633),
(33969, 114, 4715, 'status', '10', '50', 0, 1429087657),
(33970, 114, 4715, 'CodevTT_RAF', '1', '0', 0, 1429087672),
(33971, 114, 4715, 'CodevTT_RAF', '0', '0', 0, 1429087672),
(33972, 114, 4715, 'status', '50', '80', 0, 1429087672),
(35632, 72, 4937, 'handler_id', '0', '116', 0, 1430204575),
(35631, 72, 4937, '', '', '', 1, 1430204575),
(33991, 72, 4718, '', '', '', 1, 1429089920),
(33998, 72, 4719, '', '', '', 1, 1429090142),
(33999, 72, 4719, 'handler_id', '0', '146', 0, 1429090142),
(34004, 72, 4719, '', '2500', '4717', 18, 1429090170),
(35630, 72, 4936, 'handler_id', '0', '116', 0, 1430204500),
(34009, 72, 4718, 'handler_id', '0', '73', 0, 1429090254),
(34010, 72, 4718, 'target_version', '', '15.0.0_Sept', 0, 1429090254),
(34011, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429090974),
(34088, 134, 4681, 'CodevTT_RAF', '1', '0', 0, 1429107291),
(34089, 134, 4681, 'CodevTT_RAF', '0', '0', 0, 1429107291),
(34090, 134, 4681, 'status', '30', '80', 0, 1429107291),
(34091, 134, 2909, 'CodevTT_RAF', '0.2', '0.2', 0, 1429107471),
(34097, 157, 4262, 'CodevTT_RAF', '2', '2', 0, 1429163092),
(34098, 157, 4684, 'CodevTT_RAF', '0.5', '0.5', 0, 1429163145),
(34099, 157, 4684, 'CodevTT_RAF', '0.5', '0.5', 0, 1429163363),
(34100, 157, 4262, 'CodevTT_RAF', '2', '2', 0, 1429163379),
(34160, 93, 4624, 'CodevTT_RAF', '2', '1', 0, 1429187956),
(34164, 93, 4745, '', '', '', 1, 1429188461),
(34167, 93, 4745, 'Ref. Externe', '', '40614', 0, 1429188626),
(34168, 93, 4745, 'handler_id', '0', '93', 0, 1429188626),
(34169, 93, 4745, 'status', '10', '50', 0, 1429188626),
(34170, 93, 4624, 'CodevTT_RAF', '1', '2', 0, 1429188678),
(34171, 93, 4745, 'CodevTT_RAF', '', '3', 0, 1429188697),
(34172, 93, 4745, 'CodevTT_RAF', '3', '2', 0, 1429188709),
(34175, 93, 4624, 'CodevTT_RAF', '2', '2', 0, 1429188862),
(34176, 93, 4745, 'CodevTT_RAF', '2', '1.7', 0, 1429188900),
(34177, 93, 4745, 'CodevTT_RAF', '1.7', '0.7', 0, 1429188916),
(34178, 93, 4745, 'CodevTT_RAF', '0.7', '1', 0, 1429188930),
(34195, 157, 4684, 'CodevTT_RAF', '0.5', '0.5', 0, 1429251373),
(34208, 74, 2909, 'CodevTT_RAF', '0.2', '0.5', 0, 1429256822),
(34209, 74, 2909, 'CodevTT_RAF', '0.5', '0.5', 0, 1429256831),
(34210, 74, 2909, 'CodevTT_RAF', '0.5', '0.5', 0, 1429256844),
(34211, 147, 4263, 'CodevTT_RAF', '1', '2', 0, 1429257283),
(34212, 147, 4268, 'CodevTT_RAF', '', '1', 0, 1429257376),
(34213, 147, 4268, 'status', '10', '50', 0, 1429257376),
(34214, 147, 4272, 'CodevTT_RAF', '2', '2', 0, 1429257415),
(34215, 147, 4268, 'CodevTT_RAF', '1', '1', 0, 1429257444),
(34224, 73, 4322, 'CodevTT_RAF', '', '2', 0, 1429258973),
(34225, 73, 4322, 'status', '10', '50', 0, 1429258973),
(34226, 73, 4318, 'CodevTT_RAF', '1.5', '1', 0, 1429259003),
(34227, 73, 4320, 'CodevTT_RAF', '3', '0.5', 0, 1429259061),
(34229, 73, 4320, 'CodevTT_RAF', '0.5', '0', 0, 1429259089),
(34230, 73, 4320, 'CodevTT_RAF', '0', '0', 0, 1429259089),
(34231, 73, 4320, 'status', '50', '80', 0, 1429259089),
(34232, 73, 4318, 'CodevTT_RAF', '1', '0.5', 0, 1429259118),
(34235, 73, 4454, 'summary', '40496- [SPEC] Evolution - Délai de prescription sur calcul des cotisations', '40496- [SPEC] AFFI - SPOC - date de modification', 0, 1429259514),
(34236, 73, 4454, 'CodevTT_RAF', '', '0', 0, 1429259593),
(34237, 73, 4454, 'CodevTT_RAF', '0', '0', 0, 1429259593),
(34238, 73, 4454, 'status', '10', '80', 0, 1429259593),
(34243, 134, 3454, 'CodevTT_RAF', '0.1', '0.2', 0, 1429260534),
(34244, 134, 4682, 'CodevTT_RAF', '', '0.1', 0, 1429260601),
(34245, 134, 4682, 'status', '10', '40', 0, 1429260601),
(34246, 134, 3454, 'CodevTT_RAF', '0.2', '0.2', 0, 1429260724),
(34331, 134, 2909, 'CodevTT_RAF', '0.5', '0', 0, 1429281998),
(34332, 134, 2909, 'CodevTT_RAF', '0', '0', 0, 1429281998),
(34333, 134, 2909, 'status', '50', '80', 0, 1429281998),
(34335, 134, 3454, 'CodevTT_RAF', '0.2', '0', 0, 1429282017),
(34336, 134, 3454, 'CodevTT_RAF', '0', '0', 0, 1429282017),
(34337, 134, 3454, 'status', '50', '80', 0, 1429282017);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(34339, 134, 2814, 'CodevTT_RAF', '0.5', '0', 0, 1429282044),
(34340, 134, 2814, 'CodevTT_RAF', '0', '0', 0, 1429282044),
(34341, 134, 2814, 'status', '50', '80', 0, 1429282044),
(34380, 73, 4322, 'CodevTT_RAF', '2', '0', 0, 1429285014),
(34381, 73, 4322, 'CodevTT_RAF', '0', '0', 0, 1429285014),
(34382, 73, 4322, 'status', '50', '80', 0, 1429285014),
(34383, 93, 4745, 'CodevTT_RAF', '1', '1', 0, 1429285178),
(34587, 114, 3893, 'CodevTT_RAF', '2', '1', 0, 1429521646),
(34588, 114, 3893, 'CodevTT_RAF', '1', '0.5', 0, 1429521664),
(34591, 114, 4456, 'CodevTT_RAF', '1', '1', 0, 1429521689),
(34595, 114, 4684, 'CodevTT_RAF', '0.5', '1', 0, 1429521733),
(34597, 114, 3826, 'CodevTT_RAF', '1', '0', 0, 1429521769),
(34598, 114, 3826, 'CodevTT_RAF', '0', '0', 0, 1429521769),
(34599, 114, 3826, 'status', '30', '80', 0, 1429521769),
(34632, 2, 2132, 'CodevTT_Dead Line', '1428962400', '1430344800', 0, 1429522917),
(34641, 2, 4333, 'CodevTT_Dead Line', '', '1431381600', 0, 1429525006),
(34642, 2, 4798, '', '', '', 1, 1429532398),
(34643, 2, 4798, 'handler_id', '0', '2', 0, 1429532398),
(34644, 2, 4798, 'summary', '[TAIGA] impact lié à l\'augmentation de la taille des colonnes identifiants', 'Etude FusionPL [TAIGA] impact lié à l\'augmentation de la taille des colonnes identifiants', 0, 1429532732),
(34645, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429541108),
(34646, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429541130),
(34647, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429545366),
(34648, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1429545430),
(34649, 2, 2132, 'status', '30', '50', 0, 1429545430),
(34721, 2, 4843, '', '', '', 1, 1429606409),
(34722, 2, 4843, 'handler_id', '0', '73', 0, 1429606409),
(34723, 2, 4844, '', '', '', 1, 1429606498),
(34724, 2, 4844, 'handler_id', '0', '146', 0, 1429606498),
(34725, 2, 4590, 'Ref. Externe', '', '40137', 0, 1429606556),
(34726, 2, 4590, 'target_version', '15.0.0_Juillet', '15.0.0_Sept', 0, 1429606556),
(34727, 2, 4589, 'target_version', '15.0.0_Juillet', '15.0.0_Sept', 0, 1429606569),
(34741, 2, 4263, 'CodevTT_RAF', '2', '0', 0, 1429607175),
(34742, 2, 4263, 'target_version', '15.0.0', '15.0.1', 0, 1429607175),
(34744, 2, 4264, 'target_version', '15.0.0', '15.0.1', 0, 1429607186),
(34746, 2, 4268, 'target_version', '15.0.0', '15.0.1', 0, 1429607249),
(34750, 2, 4267, 'target_version', '15.0.0', '15.0.1', 0, 1429607256),
(34751, 2, 4272, 'target_version', '15.0.0', '15.0.1', 0, 1429607331),
(34755, 2, 4271, 'target_version', '15.0.0', '15.0.1', 0, 1429607346),
(34766, 2, 4275, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607416),
(34767, 2, 4276, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607416),
(34772, 2, 4278, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607466),
(34778, 2, 4279, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607488),
(34779, 2, 4280, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607488),
(34780, 2, 4324, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607514),
(34781, 2, 4282, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607534),
(34782, 2, 4281, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607534),
(34783, 2, 4845, '', '', '', 1, 1429607629),
(34784, 2, 4845, 'target_version', '', '15.1.0_AFFI', 0, 1429607644),
(34785, 2, 4326, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607706),
(34786, 2, 4325, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607706),
(34787, 2, 4285, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607735),
(34788, 2, 4286, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607735),
(34790, 2, 4288, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607753),
(34791, 2, 4290, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607788),
(34792, 2, 4289, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607788),
(34793, 2, 4294, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607807),
(34794, 2, 4293, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607807),
(34795, 2, 3686, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607833),
(34796, 2, 4330, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607833),
(34797, 2, 4331, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607868),
(34798, 2, 4332, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607868),
(34799, 2, 4159, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607933),
(34800, 2, 4298, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429607933),
(34806, 2, 4299, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429608003),
(89305, 72, 4299, 'RSI_Type_Ano', '', 'Production', 0, 1463575557),
(34812, 2, 4152, 'target_version', '', '15.1.0_AFFI', 0, 1429608028),
(34832, 2, 3904, 'target_version', '14.2.10', '15.0.0_Sept', 0, 1429608508),
(34833, 2, 2120, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609097),
(34834, 2, 2820, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609097),
(34835, 2, 2821, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609207),
(34836, 2, 3624, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609316),
(34837, 2, 3541, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609316),
(34838, 2, 3689, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609554),
(34839, 2, 3688, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609554),
(34840, 2, 4309, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609554),
(34841, 2, 4308, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609554),
(34842, 2, 3687, 'target_version', '15.0.0', '15.0.0_Juillet', 0, 1429609554),
(34854, 116, 3690, 'CodevTT_RAF', '1', '0', 0, 1429611677),
(34855, 116, 3690, 'CodevTT_RAF', '0', '0', 0, 1429611677),
(34856, 116, 3690, 'status', '30', '80', 0, 1429611677),
(34865, 2, 4857, '', '', '', 1, 1429612593),
(34866, 2, 4857, 'handler_id', '0', '2', 0, 1429612593),
(34867, 2, 2906, 'CodevTT_RAF', '', '0', 0, 1429617160),
(34868, 2, 2906, 'CodevTT_RAF', '0', '0', 0, 1429617160),
(34869, 2, 2906, 'status', '10', '80', 0, 1429617160),
(34907, 147, 4267, 'CodevTT_RAF', '2', '1', 0, 1429622584),
(34908, 147, 4267, 'CodevTT_RAF', '1', '0', 0, 1429622607),
(34915, 2, 4864, '', '', '', 1, 1429632374),
(34916, 2, 4864, 'handler_id', '0', '134', 0, 1429632374),
(34917, 2, 4865, '', '', '', 1, 1429632473),
(34918, 2, 4865, 'handler_id', '0', '134', 0, 1429632473),
(34919, 2, 4866, '', '', '', 1, 1429632553),
(34920, 2, 4866, 'handler_id', '0', '114', 0, 1429632553),
(34921, 2, 4683, 'status', '30', '50', 0, 1429658729),
(34925, 2, 4365, '', '0000648', '', 2, 1429687539),
(34926, 2, 4365, '', '0000649', '', 2, 1429687606),
(34930, 2, 4798, '', '0000650', '', 2, 1429688702),
(34931, 2, 4798, '', '0000650', '893', 3, 1429688773),
(34932, 2, 2132, 'CodevTT_RAF', '3', '3', 0, 1429689602),
(34933, 2, 4365, 'CodevTT_RAF', '8', '8', 0, 1429689668),
(34934, 72, 4885, '', '', '', 1, 1429693427),
(34935, 72, 4885, 'handler_id', '0', '73', 0, 1429693427),
(34936, 72, 4886, '', '', '', 1, 1429693480),
(34937, 72, 4886, 'handler_id', '0', '146', 0, 1429693480),
(34938, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1429695169),
(34939, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1429695216),
(34940, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695283),
(34941, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695302),
(34942, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695344),
(34943, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695373),
(34944, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695397),
(34945, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695551),
(34946, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1429695573),
(34947, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1429695602),
(34948, 128, 3967, 'CodevTT_RAF', '0', '0', 0, 1429695627),
(34949, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1429695665),
(34950, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695740),
(34951, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695761),
(34952, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1429695778),
(34953, 72, 4209, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429696079),
(34954, 72, 4302, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429696079),
(34955, 72, 4295, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1429696396),
(34957, 116, 3689, 'CodevTT_RAF', '1', '0.8', 0, 1429696429),
(34958, 116, 3689, 'CodevTT_RAF', '0.8', '0.6', 0, 1429696439),
(34959, 116, 4308, 'CodevTT_RAF', '', '1.7', 0, 1429696491),
(34960, 116, 4308, 'status', '10', '30', 0, 1429696491),
(34961, 116, 3690, 'CodevTT_RAF', '0', '0', 0, 1429696574),
(34962, 116, 3689, 'CodevTT_RAF', '0.6', '0.6', 0, 1429696590),
(34963, 116, 3688, 'CodevTT_RAF', '1.2', '0.9', 0, 1429696603),
(34966, 72, 4055, 'target_version', '', '15.1.0_AFFI', 0, 1429696682),
(34969, 72, 4335, 'target_version', '15.0.0_Sept', '', 0, 1429697433),
(34970, 72, 4334, 'target_version', '15.0.0_Sept', '', 0, 1429697433),
(34971, 72, 4589, 'CodevTT_ChargeMgr', '0', '5', 0, 1429697684),
(34972, 72, 4589, 'CodevTT_ChargeInit', '2', '4', 0, 1429697684),
(34973, 72, 4590, 'CodevTT_ChargeMgr', '0', '4', 0, 1429697717),
(34974, 72, 4590, 'CodevTT_ChargeInit', '2', '3', 0, 1429697717),
(34975, 72, 4889, '', '', '', 1, 1429702138),
(34976, 72, 4889, 'handler_id', '0', '73', 0, 1429702138),
(34977, 73, 3541, 'CodevTT_RAF', '0', '0', 0, 1429702369),
(34978, 72, 4890, '', '', '', 1, 1429702369),
(34979, 72, 4890, 'handler_id', '0', '157', 0, 1429702369),
(34980, 72, 4891, '', '', '', 1, 1429702477),
(34981, 72, 4891, 'handler_id', '0', '157', 0, 1429702477),
(34982, 73, 4885, 'CodevTT_RAF', '', '2', 0, 1429702559),
(34983, 73, 4885, 'status', '10', '50', 0, 1429702559),
(34984, 73, 4889, 'CodevTT_RAF', '', '0.8', 0, 1429702641),
(34985, 73, 4889, 'status', '10', '50', 0, 1429702641),
(34986, 73, 4718, 'CodevTT_RAF', '', '8', 0, 1429702759),
(34987, 73, 4718, 'status', '10', '50', 0, 1429702759),
(34988, 73, 4281, 'CodevTT_RAF', '2', '1.5', 0, 1429702866),
(34989, 147, 4268, 'CodevTT_RAF', '1', '1', 0, 1429703281),
(34990, 2, 4371, 'status', '50', '80', 0, 1429703538),
(34991, 2, 4371, 'CodevTT_RAF', '0.5', '0', 0, 1429703538),
(34992, 73, 3624, 'CodevTT_RAF', '5', '4.5', 0, 1429703581),
(34993, 73, 4281, 'CodevTT_RAF', '1.5', '2', 0, 1429703629),
(34994, 2, 4365, 'CodevTT_Dead Line', '1428962400', '1430949600', 0, 1429703705),
(34995, 2, 4798, 'CodevTT_Dead Line', '', '1430949600', 0, 1429703705),
(34997, 2, 4364, 'CodevTT_Dead Line', '1428962400', '1430949600', 0, 1429703705),
(34998, 73, 4275, 'CodevTT_RAF', '2', '1', 0, 1429703734),
(34999, 73, 4658, 'CodevTT_RAF', '0', '0', 0, 1429703890),
(35000, 73, 4657, 'CodevTT_RAF', '0', '0', 0, 1429703906),
(35009, 146, 4290, 'CodevTT_RAF', '0', '0', 0, 1429705586),
(35008, 146, 4290, 'CodevTT_RAF', '1.5', '0', 0, 1429705586),
(35003, 73, 4273, 'CodevTT_RAF', '1', '2.5', 0, 1429704210),
(35004, 73, 4273, 'handler_id', '0', '73', 0, 1429704210),
(35007, 2, 2904, 'CodevTT_RAF', '1', '0', 0, 1429704835),
(35010, 146, 4290, 'status', '50', '80', 0, 1429705586),
(35011, 146, 4290, 'CodevTT_RAF', '0', '0', 0, 1429705611),
(35012, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429706017),
(35027, 2, 2132, 'CodevTT_RAF', '3', '1', 0, 1429714287),
(35028, 93, 4624, 'CodevTT_RAF', '2', '5', 0, 1429714985),
(35029, 93, 4624, 'CodevTT_RAF', '5', '4', 0, 1429714997),
(35030, 93, 4624, 'CodevTT_RAF', '4', '3', 0, 1429715026),
(35036, 146, 4321, 'CodevTT_RAF', '', '0', 0, 1429721126),
(35037, 146, 4321, 'CodevTT_RAF', '0', '0', 0, 1429721126),
(35038, 146, 4321, 'status', '10', '80', 0, 1429721126),
(35039, 146, 4321, 'CodevTT_RAF', '0', '0', 0, 1429721263),
(35040, 146, 4321, 'CodevTT_RAF', '0', '1', 0, 1429722647),
(35041, 2, 3912, 'Ref. Externe', '', '39939', 0, 1429735612),
(35042, 2, 4262, 'Ref. Externe', '', '40421', 0, 1429735628),
(35043, 2, 4456, 'Ref. Externe', '', '40303', 0, 1429735691),
(35044, 2, 4864, 'Ref. Externe', '', '40637', 0, 1429735714),
(35045, 2, 4865, 'Ref. Externe', '', '40634', 0, 1429735735),
(35052, 134, 4865, 'CodevTT_RAF', '', '1.2', 0, 1429771603),
(35053, 134, 4865, 'status', '10', '30', 0, 1429771603),
(35055, 134, 4865, 'CodevTT_RAF', '1.2', '1.7', 0, 1429771808),
(35059, 134, 4865, 'CodevTT_RAF', '1.7', '1.5', 0, 1429771859),
(35060, 134, 4865, 'CodevTT_RAF', '1.5', '1.2', 0, 1429771880),
(35061, 134, 4865, 'CodevTT_RAF', '1.2', '0.2', 0, 1429771898),
(35062, 134, 4865, 'CodevTT_RAF', '0.2', '0', 0, 1429771918),
(35063, 134, 4865, 'CodevTT_RAF', '0', '0', 0, 1429771918),
(35064, 134, 4865, 'status', '30', '80', 0, 1429771918),
(35065, 134, 4864, 'CodevTT_RAF', '', '1', 0, 1429772257),
(35066, 134, 4864, 'status', '10', '30', 0, 1429772257),
(35067, 134, 4864, 'CodevTT_RAF', '1', '0.5', 0, 1429772326),
(35068, 134, 4864, 'CodevTT_RAF', '0.5', '0.3', 0, 1429772344),
(35069, 146, 4335, 'CodevTT_RAF', '', '1', 0, 1429773550),
(35070, 146, 4335, 'status', '10', '50', 0, 1429773550),
(35071, 146, 4335, 'handler_id', '73', '146', 0, 1429773550),
(35072, 146, 4335, 'CodevTT_RAF', '1', '1.5', 0, 1429773661),
(35073, 146, 4335, 'CodevTT_RAF', '1.5', '1.5', 0, 1429773692),
(35074, 2, 4318, 'status', '50', '80', 0, 1429774044),
(35075, 2, 4318, 'resolution', '10', '20', 0, 1429774044),
(35076, 2, 4318, 'CodevTT_RAF', '0.5', '0', 0, 1429774044),
(35077, 2, 4319, 'status', '50', '80', 0, 1429774052),
(35078, 2, 4319, 'resolution', '10', '20', 0, 1429774052),
(35079, 2, 4319, 'CodevTT_RAF', '2.5', '0', 0, 1429774052),
(35080, 2, 4323, 'CodevTT_ChargeInit', '4', '2', 0, 1429774180),
(35081, 2, 3624, 'CodevTT_Dead Line', '1427666400', '1430344800', 0, 1429774346),
(35086, 2, 4886, 'CodevTT_ChargeInit', '2', '5', 0, 1429775127),
(35087, 146, 4290, 'CodevTT_RAF', '0', '0', 0, 1429775140),
(35088, 2, 4885, 'CodevTT_RAF', '2', '3', 0, 1429775142),
(35089, 2, 4718, 'CodevTT_Dead Line', '1432245600', '1431381600', 0, 1429775269),
(35090, 2, 4210, 'status', '50', '20', 0, 1429775427),
(35091, 2, 4210, 'CodevTT_Dead Line', '1426806000', '1438293600', 0, 1429775443),
(35092, 2, 4281, 'CodevTT_Dead Line', '1428962400', '', 0, 1429775483),
(35093, 2, 4276, 'CodevTT_Dead Line', '1430344800', '', 0, 1429775520),
(35094, 2, 4278, 'CodevTT_Dead Line', '1430344800', '', 0, 1429775554),
(35095, 2, 4335, 'status', '50', '20', 0, 1429775617),
(35096, 2, 4289, 'CodevTT_Dead Line', '1428962400', '', 0, 1429775665),
(35097, 2, 4323, 'priority', '10', '40', 0, 1429775752),
(35098, 2, 4328, 'handler_id', '146', '134', 0, 1429775837),
(35099, 2, 4273, 'CodevTT_Dead Line', '1427666400', '', 0, 1429775958),
(35100, 2, 4273, 'status', '50', '20', 0, 1429775958),
(35101, 2, 4299, 'CodevTT_Dead Line', '1428962400', '', 0, 1429775993),
(35102, 2, 4273, 'target_version', '15.0.0', '15.1.0_AFFI', 0, 1429776060),
(35108, 146, 4321, 'CodevTT_RAF', '1', '0', 0, 1429776325),
(35109, 146, 4321, 'CodevTT_RAF', '0', '0', 0, 1429776342),
(35110, 146, 4321, 'CodevTT_RAF', '0', '0', 0, 1429776369),
(35111, 2, 4590, 'handler_id', '0', '2', 0, 1429776551),
(35112, 2, 4589, 'handler_id', '0', '2', 0, 1429776551),
(35115, 2, 4264, 'CodevTT_Dead Line', '1427666400', '', 0, 1429776741),
(35118, 2, 4267, 'handler_id', '136', '147', 0, 1429776883),
(35119, 2, 4267, 'CodevTT_Dead Line', '1426806000', '1430949600', 0, 1429776907),
(35120, 2, 4268, 'CodevTT_Dead Line', '1427666400', '1430949600', 0, 1429776930),
(35121, 2, 4267, 'status', '50', '80', 0, 1429776973),
(35122, 2, 4267, 'resolution', '10', '20', 0, 1429776973),
(35123, 2, 4272, 'CodevTT_Dead Line', '1427666400', '1430949600', 0, 1429777036),
(35124, 2, 4272, 'handler_id', '117', '147', 0, 1429777036),
(35125, 2, 4264, 'CodevTT_RAF', '2', '1', 0, 1429777208),
(35126, 2, 4268, 'CodevTT_RAF', '1', '0.5', 0, 1429777249),
(35127, 2, 4272, 'CodevTT_RAF', '2', '1', 0, 1429777317),
(35128, 2, 4298, 'CodevTT_Dead Line', '1428962400', '', 0, 1429777599),
(35129, 2, 4280, 'CodevTT_Dead Line', '1430344800', '', 0, 1429777643),
(35130, 2, 4286, 'CodevTT_Dead Line', '1430344800', '', 0, 1429777682),
(35131, 2, 4683, 'status', '50', '80', 0, 1429778308),
(35132, 2, 4683, 'resolution', '10', '20', 0, 1429778308),
(35133, 2, 4683, 'CodevTT_RAF', '0.1', '0', 0, 1429778308),
(35134, 2, 2120, 'CodevTT_RAF', '0.5', '2', 0, 1429778364),
(35135, 2, 2120, 'CodevTT_RAF', '2', '0.5', 0, 1429778392),
(35136, 2, 4884, 'handler_id', '0', '74', 0, 1429778472),
(35137, 2, 4883, 'handler_id', '0', '74', 0, 1429778472),
(35138, 2, 4883, 'CodevTT_ChargeMgr', '3', '2', 0, 1429778570),
(35139, 2, 4883, 'CodevTT_ChargeInit', '2', '1', 0, 1429778570),
(35140, 2, 4292, 'handler_id', '134', '74', 0, 1429778690),
(35141, 2, 2821, 'CodevTT_RAF', '3', '2', 0, 1429778776),
(35142, 2, 2821, 'CodevTT_RAF', '2', '2', 0, 1429778806),
(35143, 2, 2821, 'CodevTT_RAF', '2', '2', 0, 1429778835),
(35144, 2, 2821, 'CodevTT_RAF', '2', '2', 0, 1429778849),
(35145, 2, 4883, 'CodevTT_RAF', '', '0', 0, 1429778887),
(35146, 2, 4883, 'CodevTT_RAF', '0', '0', 0, 1429778887),
(35147, 2, 4883, 'status', '10', '80', 0, 1429778887),
(35148, 2, 2821, 'CodevTT_RAF', '2', '2', 0, 1429778906),
(35149, 2, 4884, 'CodevTT_RAF', '', '0', 0, 1429778951),
(35150, 2, 4884, 'CodevTT_RAF', '0', '0', 0, 1429778951),
(35151, 2, 4884, 'status', '10', '80', 0, 1429778951),
(35152, 2, 4891, 'target_version', '', '15.0.0_Sept', 0, 1429779395),
(35153, 2, 4456, 'status', '50', '80', 0, 1429779548),
(35154, 2, 4456, 'resolution', '10', '20', 0, 1429779548),
(35155, 2, 4456, 'CodevTT_RAF', '1', '0', 0, 1429779548),
(35156, 2, 3893, 'status', '50', '80', 0, 1429779586),
(35157, 2, 3893, 'resolution', '10', '20', 0, 1429779586),
(35158, 2, 3893, 'CodevTT_RAF', '0.5', '0', 0, 1429779586),
(35159, 2, 3912, 'status', '50', '80', 0, 1429779676),
(35160, 2, 3912, 'resolution', '10', '20', 0, 1429779676),
(35161, 2, 3912, 'CodevTT_RAF', '1', '0', 0, 1429779676),
(35162, 2, 4159, 'CodevTT_Dead Line', '1428962400', '', 0, 1429779766),
(35163, 2, 4345, 'status', '10', '80', 0, 1429779867),
(35164, 2, 4345, 'resolution', '10', '20', 0, 1429779867),
(35165, 2, 4345, 'CodevTT_RAF', '', '0', 0, 1429779867),
(35166, 2, 4293, 'CodevTT_Dead Line', '1428962400', '', 0, 1429779930),
(35167, 2, 4294, 'CodevTT_Dead Line', '1428962400', '', 0, 1429779971),
(35168, 2, 3900, 'status', '50', '80', 0, 1429780100),
(35169, 2, 3900, 'resolution', '10', '20', 0, 1429780100),
(35170, 2, 3900, 'CodevTT_RAF', '0.1', '0', 0, 1429780100),
(35171, 2, 4866, 'Ref. Externe', '', '40636', 0, 1429780155),
(35172, 2, 4684, 'status', '50', '80', 0, 1429780220),
(35173, 2, 4684, 'resolution', '10', '20', 0, 1429780220),
(35174, 2, 4684, 'CodevTT_RAF', '1', '0', 0, 1429780220),
(35175, 2, 4624, 'CodevTT_Dead Line', '1428357600', '1431295200', 0, 1429780314),
(35176, 2, 4275, 'CodevTT_Dead Line', '1428962400', '', 0, 1429780353),
(68615, 72, 4278, 'status', '20', '50', 0, 1454577629),
(35178, 2, 4624, 'Ref. Externe', '', '40561', 0, 1429780417),
(35180, 2, 4682, 'status', '40', '80', 0, 1429780654),
(35181, 2, 4682, 'resolution', '10', '20', 0, 1429780654),
(35182, 2, 4682, 'CodevTT_RAF', '0.1', '0', 0, 1429780654),
(35183, 2, 4333, 'handler_id', '117', '2', 0, 1429780682),
(35192, 2, 3892, 'status', '50', '80', 0, 1429781114),
(35193, 2, 3892, 'resolution', '10', '20', 0, 1429781114),
(35194, 2, 3892, 'CodevTT_RAF', '0.05', '0', 0, 1429781114),
(35197, 2, 4288, 'CodevTT_Dead Line', '1428962400', '', 0, 1429782249),
(35204, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429786739),
(35205, 157, 4262, 'CodevTT_RAF', '2', '1.5', 0, 1429791367),
(35309, 147, 4268, 'CodevTT_RAF', '0.5', '0', 0, 1429803447),
(35310, 147, 4268, 'CodevTT_RAF', '0', '0', 0, 1429803447),
(35311, 147, 4268, 'status', '50', '80', 0, 1429803447),
(35312, 147, 4272, 'CodevTT_RAF', '1', '0', 0, 1429803493),
(35313, 147, 4272, 'CodevTT_RAF', '0', '0', 0, 1429803493),
(35314, 147, 4272, 'status', '50', '80', 0, 1429803493),
(35315, 147, 4263, 'CodevTT_RAF', '0', '0', 0, 1429803523),
(35316, 147, 4263, 'CodevTT_RAF', '0', '0', 0, 1429803559),
(35318, 147, 4263, 'CodevTT_RAF', '0', '0', 0, 1429803628),
(35319, 147, 4267, 'CodevTT_RAF', '0', '0', 0, 1429803690),
(35335, 134, 4864, 'CodevTT_RAF', '0.3', '0.2', 0, 1429859570),
(35336, 134, 4864, 'CodevTT_RAF', '0.2', '0', 0, 1429859590),
(35337, 134, 4864, 'CodevTT_RAF', '0', '0', 0, 1429859590),
(35338, 134, 4864, 'status', '30', '80', 0, 1429859590),
(35339, 134, 4328, 'CodevTT_RAF', '', '2.5', 0, 1429859656),
(35340, 134, 4328, 'status', '10', '30', 0, 1429859656),
(35423, 72, 4292, 'CodevTT_RAF', '2', '0', 0, 1429868994),
(35424, 72, 4292, 'CodevTT_RAF', '0', '0', 0, 1429868994),
(35425, 72, 4292, 'status', '50', '80', 0, 1429868994),
(35426, 72, 4292, 'handler_id', '74', '72', 0, 1429868994),
(35449, 72, 4909, '', '', '', 1, 1429874490),
(35450, 72, 4909, 'handler_id', '0', '73', 0, 1429878874),
(35466, 93, 4624, 'CodevTT_RAF', '3', '4', 0, 1429883915),
(35467, 93, 4624, 'CodevTT_RAF', '4', '3', 0, 1429883924),
(35521, 73, 4843, 'CodevTT_RAF', '', '3', 0, 1429887670),
(35522, 73, 4843, 'status', '10', '50', 0, 1429887670),
(35523, 73, 4455, 'CodevTT_RAF', '0', '1', 0, 1429887786),
(35524, 73, 4843, 'CodevTT_RAF', '3', '2.5', 0, 1429887815),
(35525, 73, 4885, 'CodevTT_RAF', '3', '2.5', 0, 1429887945),
(35526, 146, 4321, 'CodevTT_RAF', '0', '0', 0, 1429889222),
(35527, 146, 4322, 'CodevTT_RAF', '0', '0', 0, 1429889286),
(35528, 146, 4322, 'CodevTT_RAF', '0', '0', 0, 1429889303),
(35529, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1429890276),
(35530, 2, 4371, 'CodevTT_RAF', '0', '0', 0, 1429890411),
(35531, 72, 3824, 'status', '50', '80', 0, 1429890925),
(35532, 72, 3824, 'resolution', '10', '20', 0, 1429890925),
(35538, 157, 4262, 'CodevTT_RAF', '1.5', '1', 0, 1430113909),
(35539, 157, 4684, 'CodevTT_RAF', '0', '0', 0, 1430113943),
(35550, 72, 3824, 'CodevTT_RAF', '0.5', '0', 0, 1430120374),
(35554, 72, 4912, '', '', '', 1, 1430125113),
(35555, 72, 4912, 'handler_id', '0', '73', 0, 1430125113),
(35556, 72, 4913, '', '', '', 1, 1430125190),
(35557, 72, 4913, 'handler_id', '0', '146', 0, 1430125190),
(35558, 72, 4912, '', '2501', '4913', 18, 1430125316),
(35559, 72, 4913, '', '2500', '4912', 18, 1430125316),
(35560, 72, 4913, 'CodevTT_ChargeMgr', '55', '45', 0, 1430125551),
(35561, 72, 4913, 'CodevTT_ChargeInit', '50', '40', 0, 1430125551),
(35562, 72, 4914, '', '', '', 1, 1430126155),
(35563, 72, 4914, 'handler_id', '0', '116', 0, 1430126155),
(35564, 72, 4913, 'summary', '40599  [DEV]  GAC Presta non Presta', '40599  [DEV]  GAC Presta non Presta - Partie 1', 0, 1430126182),
(35565, 72, 4914, '', '1', '4912', 18, 1430126307),
(35566, 72, 4912, '', '1', '4914', 18, 1430126307),
(35571, 72, 4886, 'handler_id', '146', '116', 0, 1430128915),
(35572, 72, 4915, '', '', '', 1, 1430134400),
(35573, 72, 4915, 'handler_id', '0', '93', 0, 1430134400),
(50208, 146, 5569, 'status', '50', '80', 0, 1444383408),
(35575, 72, 4915, '', '2501', '4916', 18, 1430134587),
(50207, 146, 5569, 'CodevTT_RAF', '0', '0', 0, 1444383408),
(35577, 72, 4917, '', '', '', 1, 1430134708),
(35578, 72, 4917, '', '2500', '4915', 18, 1430134770),
(35579, 72, 4915, '', '2501', '4917', 18, 1430134770),
(50206, 146, 5569, 'CodevTT_RAF', '1', '0', 0, 1444383408),
(35583, 73, 4843, 'CodevTT_RAF', '2.5', '1.5', 0, 1430148080),
(35585, 72, 4918, '', '', '', 1, 1430151823),
(35586, 72, 4918, 'handler_id', '0', '74', 0, 1430151823),
(35602, 72, 4934, '', '', '', 1, 1430200480),
(35603, 72, 4934, 'handler_id', '0', '134', 0, 1430200480),
(35604, 72, 4935, '', '', '', 1, 1430200539),
(35605, 72, 4935, 'handler_id', '0', '134', 0, 1430200539),
(35606, 72, 4934, '', '2501', '4935', 18, 1430200591),
(35607, 72, 4935, '', '2500', '4934', 18, 1430200591),
(35608, 72, 4590, 'handler_id', '2', '147', 0, 1430200693),
(35609, 72, 4589, 'handler_id', '2', '147', 0, 1430200693),
(35629, 72, 4936, '', '', '', 1, 1430204500),
(35635, 72, 4936, '', '2501', '4637', 18, 1430204647),
(35645, 72, 3904, 'handler_id', '136', '147', 0, 1430205043),
(35654, 72, 3904, 'CodevTT_ChargeInit', '2', '5', 0, 1430205257),
(35655, 72, 3904, 'CodevTT_RAF', '0.05', '3', 0, 1430205257),
(35709, 114, 4866, 'CodevTT_RAF', '', '4', 0, 1430212955),
(35710, 114, 4866, 'status', '10', '50', 0, 1430212955),
(35711, 114, 4262, 'CodevTT_RAF', '1', '2', 0, 1430213002),
(35712, 114, 4866, 'CodevTT_RAF', '4', '3.5', 0, 1430213073),
(35713, 114, 4938, '', '', '', 1, 1430213337),
(35714, 114, 4938, 'handler_id', '0', '157', 0, 1430213337),
(35715, 114, 4866, 'CodevTT_RAF', '3.5', '3', 0, 1430213431),
(35716, 114, 4939, '', '', '', 1, 1430213553),
(35717, 114, 4939, 'handler_id', '0', '157', 0, 1430213553),
(35718, 114, 4939, 'CodevTT_RAF', '', '3.5', 0, 1430213589),
(35719, 114, 4939, 'status', '10', '50', 0, 1430213589),
(35720, 114, 4866, 'CodevTT_RAF', '3', '3', 0, 1430213638),
(35721, 114, 4940, '', '', '', 1, 1430213742),
(35722, 114, 4940, 'handler_id', '0', '114', 0, 1430213742),
(35723, 114, 4940, 'CodevTT_RAF', '', '3', 0, 1430213772),
(35724, 114, 4940, 'status', '10', '50', 0, 1430213772),
(35725, 114, 4940, 'CodevTT_RAF', '3', '2', 0, 1430213799),
(35748, 134, 4327, 'CodevTT_RAF', '1', '2', 0, 1430222740),
(35749, 134, 4327, 'handler_id', '72', '134', 0, 1430222740),
(35751, 134, 4327, 'CodevTT_RAF', '2', '3', 0, 1430222816),
(35752, 134, 4327, 'CodevTT_RAF', '3', '1.5', 0, 1430222849),
(35758, 134, 4327, 'CodevTT_RAF', '1.5', '0', 0, 1430223091),
(35759, 134, 4327, 'CodevTT_RAF', '0', '0.5', 0, 1430223122),
(35760, 134, 4455, 'CodevTT_RAF', '1', '0', 0, 1430223159),
(35774, 72, 4844, 'CodevTT_ChargeMgr', '0', '5', 0, 1430229029),
(35775, 72, 4844, 'CodevTT_ChargeInit', '2', '5', 0, 1430229029),
(35776, 72, 4844, 'handler_id', '146', '158', 0, 1430229029),
(35782, 73, 4322, 'CodevTT_RAF', '0', '0', 0, 1430229985),
(35787, 93, 4624, 'CodevTT_RAF', '3', '3', 0, 1430232885),
(35788, 93, 4624, 'CodevTT_RAF', '3', '3', 0, 1430232910),
(35789, 93, 4624, 'CodevTT_RAF', '3', '2', 0, 1430232923),
(35790, 93, 4624, 'CodevTT_RAF', '2', '1', 0, 1430232938),
(35797, 74, 4918, 'CodevTT_RAF', '', '0.1', 0, 1430292955),
(35798, 74, 4918, 'status', '10', '50', 0, 1430292955),
(35799, 74, 2821, 'CodevTT_RAF', '2', '2', 0, 1430292983),
(35800, 74, 2821, 'CodevTT_RAF', '2', '2', 0, 1430292993),
(35801, 74, 2821, 'CodevTT_RAF', '2', '2', 0, 1430293024),
(35802, 74, 2821, 'CodevTT_RAF', '2', '2', 0, 1430293035),
(35830, 116, 3688, 'CodevTT_RAF', '0.9', '0', 0, 1430395944),
(35831, 116, 3688, 'CodevTT_RAF', '0', '0', 0, 1430395944),
(35832, 116, 3688, 'status', '50', '80', 0, 1430395944),
(35833, 116, 3689, 'CodevTT_RAF', '0.6', '0.3', 0, 1430395968),
(35834, 116, 3689, 'CodevTT_RAF', '0.3', '0', 0, 1430395980),
(35835, 116, 3689, 'CodevTT_RAF', '0', '0', 0, 1430395980),
(35836, 116, 3689, 'status', '50', '80', 0, 1430395980),
(35837, 116, 4308, 'CodevTT_RAF', '1.7', '0', 0, 1430396006),
(35838, 116, 4308, 'CodevTT_RAF', '0', '0', 0, 1430396006),
(35839, 116, 4308, 'status', '30', '80', 0, 1430396006),
(35840, 116, 4936, 'CodevTT_RAF', '', '2.8', 0, 1430396064),
(35841, 116, 4936, 'status', '10', '50', 0, 1430396064),
(35842, 93, 4624, 'CodevTT_RAF', '1', '3', 0, 1430398757),
(35852, 73, 4322, 'CodevTT_RAF', '0', '0', 0, 1430402560),
(35888, 74, 4918, 'CodevTT_RAF', '0.1', '0', 0, 1430406329),
(35889, 74, 4918, 'CodevTT_RAF', '0', '0', 0, 1430406329),
(35890, 74, 4918, 'status', '50', '80', 0, 1430406329),
(35891, 74, 2821, 'CodevTT_RAF', '2', '1', 0, 1430406343),
(35896, 74, 4918, 'CodevTT_RAF', '0', '0', 0, 1430406384),
(35898, 74, 2821, 'CodevTT_RAF', '1', '1', 0, 1430406394),
(35900, 74, 2821, 'CodevTT_RAF', '1', '0.1', 0, 1430406407),
(35912, 146, 4323, 'CodevTT_RAF', '', '0', 0, 1430409828),
(35913, 146, 4323, 'CodevTT_RAF', '0', '0', 0, 1430409828),
(35914, 146, 4323, 'status', '10', '80', 0, 1430409828),
(35915, 146, 4323, 'CodevTT_RAF', '0', '0', 0, 1430409851),
(35916, 146, 4323, 'CodevTT_RAF', '0', '0', 0, 1430409881),
(35917, 146, 3624, 'CodevTT_RAF', '4.5', '1.5', 0, 1430409925),
(35918, 146, 3624, 'CodevTT_RAF', '1.5', '1.5', 0, 1430409952),
(35919, 146, 3624, 'CodevTT_RAF', '1.5', '1.5', 0, 1430409976),
(35920, 146, 3624, 'CodevTT_RAF', '1.5', '1.5', 0, 1430410025),
(35936, 134, 4328, 'CodevTT_RAF', '2.5', '2', 0, 1430726266),
(35937, 134, 4328, 'CodevTT_RAF', '2', '2', 0, 1430726304),
(35938, 134, 4864, 'CodevTT_RAF', '0', '0.3', 0, 1430726381),
(35939, 134, 4864, 'CodevTT_RAF', '0.3', '0.1', 0, 1430726398),
(35940, 134, 4864, 'CodevTT_RAF', '0.1', '0', 0, 1430726411),
(35941, 134, 4328, 'CodevTT_RAF', '2', '1.5', 0, 1430726440),
(35942, 134, 4328, 'CodevTT_RAF', '1.5', '1.2', 0, 1430726469),
(35943, 134, 4328, 'CodevTT_RAF', '1.2', '0.5', 0, 1430726483),
(35944, 134, 4327, 'CodevTT_RAF', '0.5', '0.2', 0, 1430726543),
(35953, 158, 4798, '', '0000653', '', 2, 1430730983),
(35973, 158, 4798, 'status', '10', '50', 0, 1430746458),
(35974, 158, 4798, 'CodevTT_RAF', '', '2', 0, 1430746530),
(35975, 73, 4912, 'CodevTT_RAF', '', '13', 0, 1430747268),
(35976, 73, 4912, 'status', '10', '50', 0, 1430747268),
(35977, 73, 4323, 'CodevTT_RAF', '0', '0', 0, 1430747290),
(35978, 73, 4321, 'CodevTT_RAF', '0', '0', 0, 1430747313),
(35982, 2, 4371, 'CodevTT_RAF', '0', '0.1', 0, 1430750612),
(35983, 2, 4371, 'status', '80', '50', 0, 1430750612),
(35987, 2, 4944, '', '', '', 1, 1430814252),
(36044, 114, 4939, 'CodevTT_RAF', '3.5', '3', 0, 1430835473),
(36045, 114, 4866, 'CodevTT_RAF', '3', '3', 0, 1430835496),
(36046, 2, 2132, 'CodevTT_RAF', '1', '1', 0, 1430835507),
(36047, 114, 4866, 'CodevTT_RAF', '3', '2', 0, 1430835512),
(36048, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1430835564),
(36049, 2, 4371, 'CodevTT_RAF', '0.1', '0', 0, 1430835590),
(36050, 2, 4371, 'CodevTT_RAF', '0', '0', 0, 1430835590),
(36051, 2, 4371, 'status', '50', '80', 0, 1430835590),
(36052, 72, 4955, '', '', '', 1, 1430837566),
(36053, 72, 4955, 'handler_id', '0', '134', 0, 1430837566),
(36054, 72, 4956, '', '', '', 1, 1430837700),
(36055, 72, 4956, 'handler_id', '0', '134', 0, 1430837700),
(36056, 72, 4957, '', '', '', 1, 1430840366),
(36057, 72, 4958, '', '', '', 1, 1430840490),
(36058, 72, 4957, '', '2501', '4958', 18, 1430840578),
(36059, 72, 4958, '', '2500', '4957', 18, 1430840578),
(36060, 72, 4958, 'handler_id', '0', '114', 0, 1430841802),
(36061, 72, 4957, 'handler_id', '0', '114', 0, 1430841802),
(36062, 72, 4958, 'CodevTT_ChargeInit', '40', '4', 0, 1430841845),
(36063, 73, 4455, 'CodevTT_RAF', '0', '0', 0, 1430898628),
(36064, 73, 3541, 'CodevTT_RAF', '0', '0', 0, 1430898663),
(36065, 93, 4624, 'CodevTT_RAF', '3', '3', 0, 1430898679),
(36066, 93, 4624, 'CodevTT_RAF', '3', '2', 0, 1430898692),
(36067, 93, 4624, 'CodevTT_RAF', '2', '1', 0, 1430898710),
(36068, 93, 4624, 'CodevTT_RAF', '1', '2', 0, 1430898725),
(36069, 93, 4624, 'CodevTT_RAF', '2', '1', 0, 1430898734),
(36070, 134, 4328, 'CodevTT_RAF', '0.5', '0.1', 0, 1430899923),
(36071, 134, 4955, 'CodevTT_RAF', '', '0', 0, 1430899979),
(36072, 134, 4955, 'CodevTT_RAF', '0', '0', 0, 1430899979),
(36073, 134, 4955, 'status', '10', '80', 0, 1430899979),
(36074, 134, 4955, 'CodevTT_RAF', '0', '0', 0, 1430900002),
(36075, 134, 4328, 'CodevTT_RAF', '0.1', '0.1', 0, 1430900062),
(36076, 134, 4956, 'CodevTT_RAF', '', '0.25', 0, 1430900130),
(36077, 134, 4956, 'status', '10', '30', 0, 1430900130),
(36078, 134, 4956, 'CodevTT_RAF', '0.25', '0.2', 0, 1430900158),
(36079, 134, 4956, 'CodevTT_RAF', '0.2', '0', 0, 1430900206),
(36080, 134, 4956, 'CodevTT_RAF', '0', '0', 0, 1430900206),
(36081, 134, 4956, 'status', '30', '80', 0, 1430900206),
(36082, 2, 4959, '', '', '', 1, 1430901745),
(36083, 2, 4959, 'CodevTT_RAF', '', '0.75', 0, 1430901807),
(36084, 2, 4959, 'status', '10', '50', 0, 1430901807),
(36085, 2, 4959, 'handler_id', '0', '2', 0, 1430901807),
(36090, 2, 4798, '', '0000653', '898', 3, 1430914007),
(36092, 2, 4959, 'CodevTT_RAF', '0.75', '0.5', 0, 1430918673),
(36093, 2, 4798, 'handler_id', '2', '158', 0, 1430918744),
(36094, 2, 4958, 'CodevTT_Dead Line', '', '1433714400', 0, 1430921831),
(36095, 2, 4915, 'handler_id', '93', '73', 0, 1430921868),
(36096, 2, 4915, 'CodevTT_Dead Line', '', '1440972000', 0, 1430921884),
(36097, 2, 3615, 'status', '50', '20', 0, 1430921975),
(36098, 2, 4333, 'CodevTT_Dead Line', '1431381600', '1431986400', 0, 1430922105),
(36099, 2, 4365, 'CodevTT_Dead Line', '1430949600', '', 0, 1430922159),
(36100, 2, 4333, 'CodevTT_RAF', '', '4', 0, 1430922261),
(36101, 158, 4798, '', 'Defect 4798 - Impact augmentation taille colonnes identifiants.xlsx', '', 9, 1430926617),
(36102, 158, 4798, 'CodevTT_RAF', '2', '0', 0, 1430926713),
(36103, 158, 4798, 'CodevTT_RAF', '0', '0', 0, 1430926713),
(36104, 158, 4798, 'status', '50', '80', 0, 1430926713),
(36106, 147, 4267, 'CodevTT_RAF', '0', '0', 0, 1430983950),
(36107, 147, 4272, 'CodevTT_RAF', '0', '0', 0, 1430983975),
(36108, 147, 4263, 'CodevTT_RAF', '0', '0', 0, 1430983993),
(36109, 147, 4267, 'CodevTT_RAF', '0', '0', 0, 1430984079),
(36110, 147, 4272, 'CodevTT_RAF', '0', '0', 0, 1430984099),
(36111, 147, 4263, 'CodevTT_RAF', '0', '0', 0, 1430984119),
(36112, 147, 3904, 'CodevTT_RAF', '3', '4', 0, 1430984166),
(36113, 147, 3904, 'CodevTT_RAF', '4', '3', 0, 1430984200),
(36114, 147, 3904, 'CodevTT_RAF', '3', '2', 0, 1430984216),
(36128, 2, 3904, 'status', '20', '50', 0, 1430989643),
(36129, 2, 4960, '', '', '', 1, 1430990257),
(36130, 2, 4960, 'handler_id', '0', '93', 0, 1430990257),
(36131, 2, 4960, 'CodevTT_Dead Line', '', '1431295200', 0, 1430990319),
(36132, 2, 4624, 'status', '50', '80', 0, 1430990369),
(36133, 2, 4624, 'resolution', '10', '20', 0, 1430990369),
(36134, 2, 4624, 'CodevTT_RAF', '1', '0', 0, 1430990369),
(36135, 2, 3686, 'status', '50', '20', 0, 1430990437),
(36136, 2, 4152, 'status', '50', '80', 0, 1430990462),
(36137, 2, 4152, 'resolution', '10', '20', 0, 1430990462),
(36138, 2, 4152, 'CodevTT_RAF', '2', '0', 0, 1430990462),
(36139, 2, 3615, 'status', '20', '80', 0, 1430990696),
(36140, 2, 3615, 'resolution', '10', '20', 0, 1430990696),
(36141, 2, 3615, 'CodevTT_RAF', '2', '0', 0, 1430990696),
(36142, 147, 4264, 'status', '50', '80', 0, 1430992552),
(36143, 147, 4264, 'resolution', '10', '20', 0, 1430992552),
(36144, 147, 4264, 'CodevTT_RAF', '1', '0', 0, 1430992552),
(36145, 2, 4364, 'status', '50', '80', 0, 1430997928),
(36146, 2, 4364, 'resolution', '10', '20', 0, 1430997928),
(36147, 2, 4364, 'CodevTT_RAF', '0.1', '0', 0, 1430997928),
(36176, 146, 3624, 'CodevTT_RAF', '1.5', '0', 0, 1431009090),
(36177, 146, 3624, 'CodevTT_RAF', '0', '0', 0, 1431009090),
(36178, 146, 3624, 'status', '50', '80', 0, 1431009090),
(36179, 146, 3624, 'CodevTT_RAF', '0', '0', 0, 1431009112),
(36180, 146, 3624, 'CodevTT_RAF', '0', '0', 0, 1431009143),
(36181, 146, 3624, 'CodevTT_RAF', '0', '0', 0, 1431009171),
(36193, 2, 4888, 'handler_id', '0', '147', 0, 1431011590),
(36197, 2, 4882, 'handler_id', '0', '134', 0, 1431011657),
(36198, 2, 4881, 'handler_id', '0', '134', 0, 1431011657),
(36199, 2, 4963, '', '', '', 1, 1431011794),
(36200, 2, 4963, 'handler_id', '0', '73', 0, 1431011794),
(36201, 2, 4964, '', '', '', 1, 1431011852),
(36202, 2, 4964, 'handler_id', '0', '116', 0, 1431011852),
(36203, 146, 4885, 'CodevTT_RAF', '2.5', '2.1', 0, 1431012112),
(36204, 146, 4885, 'handler_id', '73', '146', 0, 1431012112),
(36205, 146, 4885, 'CodevTT_RAF', '2.1', '2.1', 0, 1431012171),
(36219, 2, 4210, 'status', '20', '50', 0, 1431013983),
(36220, 2, 4210, 'priority', '30', '40', 0, 1431014111),
(36221, 2, 4959, 'CodevTT_RAF', '0.5', '0.5', 0, 1431030249),
(36222, 2, 2132, 'status', '50', '80', 0, 1431289923),
(36223, 2, 2132, 'resolution', '10', '20', 0, 1431289923),
(36224, 2, 2132, 'CodevTT_RAF', '1', '0', 0, 1431289923),
(36233, 134, 4328, 'CodevTT_RAF', '0.1', '0.1', 0, 1431329832),
(36234, 134, 3624, 'CodevTT_RAF', '0', '0.2', 0, 1431329873),
(36235, 134, 3624, 'CodevTT_RAF', '0.2', '0', 0, 1431329927),
(36236, 134, 4884, 'CodevTT_RAF', '0', '0', 0, 1431329994),
(36237, 134, 2821, 'CodevTT_RAF', '0.1', '0.1', 0, 1431330036),
(36238, 134, 4329, 'CodevTT_RAF', '0', '0', 0, 1431330190),
(36239, 134, 4292, 'CodevTT_RAF', '0', '0', 0, 1431330222),
(36315, 2, 4972, '', '', '', 1, 1431352380),
(36316, 2, 4972, 'handler_id', '0', '93', 0, 1431352380),
(36322, 2, 4973, '', '', '', 1, 1431354521),
(36323, 2, 4973, 'handler_id', '0', '93', 0, 1431354521),
(36324, 2, 4974, '', '', '', 1, 1431354613),
(36325, 2, 4974, 'handler_id', '0', '134', 0, 1431354613),
(36374, 2, 4371, 'CodevTT_RAF', '0', '0', 0, 1431414907),
(36375, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1431415038),
(36398, 113, 4985, '', '', '', 1, 1431421420),
(36399, 93, 4960, 'CodevTT_RAF', '', '4', 0, 1431421425),
(36400, 93, 4960, 'status', '10', '50', 0, 1431421425),
(36401, 93, 4960, 'CodevTT_RAF', '4', '3', 0, 1431421449),
(36402, 113, 4985, 'CodevTT_RAF', '', '00.1', 0, 1431421478),
(36403, 113, 4985, 'status', '10', '50', 0, 1431421478),
(36404, 113, 4985, 'handler_id', '0', '113', 0, 1431421478),
(36405, 93, 4624, 'CodevTT_RAF', '0', '1', 0, 1431421486),
(36406, 113, 4985, 'CodevTT_RAF', '00.1', '0.01', 0, 1431421514),
(36407, 93, 4973, 'CodevTT_RAF', '', '1.5', 0, 1431421550),
(36408, 93, 4973, 'status', '10', '50', 0, 1431421550),
(36409, 93, 4959, 'CodevTT_RAF', '0.5', '0.25', 0, 1431421623),
(36410, 93, 4624, 'CodevTT_RAF', '1', '0.5', 0, 1431421655),
(36411, 93, 4624, 'CodevTT_RAF', '0.5', '0.5', 0, 1431421659),
(36413, 2, 4986, '', '', '', 1, 1431421926),
(36414, 2, 4986, 'handler_id', '0', '73', 0, 1431421926),
(36415, 2, 4987, '', '', '', 1, 1431422125),
(36416, 2, 4987, 'handler_id', '0', '73', 0, 1431422125),
(36429, 113, 4912, 'summary', '40599  [SPEC]  GAC Presta non Presta', '2889  [SPEC]  GAC Presta non Presta', 0, 1431426824),
(36430, 113, 4913, 'summary', '40599  [DEV]  GAC Presta non Presta - Partie 1', '2889  [DEV]  GAC Presta non Presta - Partie 1', 0, 1431426928),
(36431, 113, 4914, 'summary', '40599 [DEV] GAC Presta non Presta- Partie 2', '2889 [DEV] GAC Presta non Presta- Partie 2', 0, 1431426975),
(36432, 113, 4991, '', '', '', 1, 1431427074),
(36481, 116, 4937, 'CodevTT_RAF', '', '3.5', 0, 1431504458),
(36482, 116, 4937, 'status', '10', '50', 0, 1431504458),
(36483, 116, 4936, 'CodevTT_RAF', '2.8', '1.8', 0, 1431504478),
(36484, 116, 4937, 'CodevTT_RAF', '3.5', '2.5', 0, 1431504533),
(36485, 157, 4938, 'CodevTT_RAF', '', '1', 0, 1431507911),
(36486, 157, 4938, 'status', '10', '50', 0, 1431507911),
(36487, 157, 4938, 'CodevTT_RAF', '1', '0', 0, 1431507943),
(36488, 157, 4938, 'CodevTT_RAF', '0', '0', 0, 1431507943),
(36489, 157, 4938, 'status', '50', '80', 0, 1431507943),
(36490, 157, 4940, 'CodevTT_RAF', '2', '1', 0, 1431508025),
(36517, 93, 4624, 'CodevTT_RAF', '0.5', '0.25', 0, 1431527475),
(36518, 93, 4959, 'CodevTT_RAF', '0.25', '0.25', 0, 1431527526),
(36519, 93, 4959, 'CodevTT_RAF', '0.25', '0.1', 0, 1431527567),
(36520, 93, 4973, 'CodevTT_RAF', '1.5', '1', 0, 1431527730),
(36521, 93, 4973, 'CodevTT_RAF', '1', '0', 0, 1431527775),
(36522, 93, 4973, 'CodevTT_RAF', '0', '0', 0, 1431527775),
(36523, 93, 4973, 'status', '50', '80', 0, 1431527775),
(36524, 93, 4973, 'CodevTT_RAF', '0', '1.5', 0, 1431527878),
(36525, 93, 4973, 'CodevTT_RAF', '1.5', '0.6', 0, 1431527905),
(36526, 93, 4973, 'CodevTT_RAF', '0.6', '0', 0, 1431527931),
(36531, 2, 3967, 'CodevTT_RAF', '0', '0', 0, 1431529510),
(36532, 73, 4885, 'CodevTT_RAF', '2.1', '0', 0, 1431530078),
(36533, 73, 4885, 'CodevTT_RAF', '0', '0', 0, 1431530078),
(36534, 73, 4885, 'status', '50', '80', 0, 1431530078),
(36535, 73, 4885, 'CodevTT_RAF', '0', '0', 0, 1431530098),
(36536, 73, 4843, 'CodevTT_RAF', '1.5', '0', 0, 1431530145),
(36537, 73, 4843, 'CodevTT_RAF', '0', '0', 0, 1431530145),
(36538, 73, 4843, 'status', '50', '80', 0, 1431530145),
(36539, 73, 4455, 'CodevTT_RAF', '0', '0', 0, 1431530297),
(36540, 73, 4843, 'CodevTT_RAF', '0', '0', 0, 1431530341),
(36621, 147, 4590, 'CodevTT_RAF', '', '4', 0, 1431692500),
(36622, 147, 4590, 'status', '10', '50', 0, 1431692500),
(36623, 147, 4590, 'CodevTT_RAF', '4', '3', 0, 1431692527),
(36624, 147, 4590, 'CodevTT_RAF', '3', '2', 0, 1431692543),
(36625, 147, 4590, 'CodevTT_RAF', '2', '2', 0, 1431692595),
(36626, 147, 4590, 'CodevTT_RAF', '2', '1', 0, 1431692620),
(36652, 146, 4885, 'CodevTT_RAF', '0', '0', 0, 1431704320),
(36653, 146, 4210, 'CodevTT_RAF', '2', '0.5', 0, 1431704386),
(36654, 146, 4210, 'CodevTT_RAF', '0.5', '0.5', 0, 1431704418),
(36655, 146, 4885, 'CodevTT_RAF', '0', '0.5', 0, 1431704471),
(36656, 146, 4986, 'CodevTT_RAF', '', '1', 0, 1431704543),
(36657, 146, 4986, 'status', '10', '50', 0, 1431704543),
(36658, 146, 4986, 'handler_id', '73', '146', 0, 1431704543),
(36659, 146, 4210, 'CodevTT_RAF', '0.5', '0.5', 0, 1431704662),
(36660, 146, 4210, 'CodevTT_RAF', '0.5', '0.5', 0, 1431704734),
(36672, 72, 5016, '', '', '', 1, 1431931854),
(36673, 72, 5016, 'handler_id', '0', '134', 0, 1431931854),
(36674, 72, 4890, 'summary', '40637 - [SPEC] SOCLE - Celtick - TAIGA - Incident de prod CMR 045 - ijfrad01 - Inc 33676', '40637 - [SPEC]Calendrier des paiements 2015 - CDC Appel de régularisation', 0, 1431932047),
(36696, 134, 4974, 'CodevTT_RAF', '', '1', 0, 1431936206),
(36697, 134, 4974, 'status', '10', '30', 0, 1431936206),
(36698, 134, 3624, 'CodevTT_RAF', '0', '0', 0, 1431936265),
(36699, 134, 4329, 'CodevTT_RAF', '0', '0.1', 0, 1431936297),
(36700, 134, 4329, 'CodevTT_RAF', '0.1', '0', 0, 1431936450),
(36701, 134, 4974, 'CodevTT_RAF', '1', '0', 0, 1431936479),
(36702, 134, 4972, 'CodevTT_RAF', '', '2.5', 0, 1431936558),
(36703, 134, 4972, 'status', '10', '40', 0, 1431936558),
(36704, 134, 4972, 'CodevTT_RAF', '2.5', '1.5', 0, 1431936624),
(36705, 134, 4972, 'CodevTT_RAF', '1.5', '0.5', 0, 1431936655),
(36716, 2, 4365, 'status', '50', '20', 0, 1431942150),
(36719, 2, 4365, 'handler_id', '2', '0', 0, 1431942254),
(36720, 2, 4844, '', '902', '', 6, 1431942476),
(36721, 159, 4798, '', '159', '', 12, 1431947959),
(36722, 159, 4798, '', '159', '', 13, 1431947963),
(36735, 134, 5016, 'CodevTT_RAF', '', '0', 0, 1431961860),
(36736, 134, 5016, 'CodevTT_RAF', '0', '0', 0, 1431961860),
(36737, 134, 5016, 'status', '10', '80', 0, 1431961860),
(36740, 73, 4718, 'CodevTT_RAF', '8', '4', 0, 1432023195),
(36756, 73, 4718, 'CodevTT_RAF', '4', '3', 0, 1432040588),
(36759, 2, 5020, '', '', '', 1, 1432042701),
(36760, 2, 5020, 'CodevTT_RAF', '', '0', 0, 1432042743),
(36761, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432042743),
(36762, 2, 5020, 'status', '10', '80', 0, 1432042743),
(36763, 2, 5020, 'handler_id', '0', '2', 0, 1432042743),
(36764, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432043125),
(36765, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432043143),
(36766, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432043168),
(36767, 116, 4889, 'CodevTT_RAF', '0.8', '0.7', 0, 1432043299),
(36768, 116, 4889, 'CodevTT_RAF', '0.7', '0.65', 0, 1432043329),
(36769, 116, 4889, 'CodevTT_RAF', '0.65', '0.6', 0, 1432043339),
(36770, 116, 4889, 'CodevTT_RAF', '0.6', '0.55', 0, 1432043423),
(36771, 147, 3904, 'CodevTT_RAF', '2', '3', 0, 1432043730),
(36772, 147, 3904, 'CodevTT_RAF', '3', '2', 0, 1432043823),
(36773, 147, 3904, 'CodevTT_RAF', '2', '1.5', 0, 1432043955),
(36774, 147, 4590, 'CodevTT_RAF', '1', '2', 0, 1432044025),
(36775, 147, 4590, 'CodevTT_RAF', '2', '1', 0, 1432044045),
(36776, 147, 4590, 'CodevTT_RAF', '1', '2', 0, 1432044084),
(36777, 147, 3904, 'CodevTT_RAF', '1.5', '1', 0, 1432044240),
(36778, 147, 3904, 'CodevTT_RAF', '1', '0', 0, 1432044286),
(36779, 147, 3904, 'CodevTT_RAF', '0', '0', 0, 1432044286),
(36780, 147, 3904, 'status', '50', '80', 0, 1432044286),
(36781, 147, 4590, 'CodevTT_RAF', '2', '1', 0, 1432044316),
(36782, 147, 4590, 'CodevTT_RAF', '1', '0.5', 0, 1432044344),
(36783, 147, 4590, 'CodevTT_RAF', '0.5', '0.5', 0, 1432044383),
(36784, 146, 4986, 'CodevTT_RAF', '1', '0.5', 0, 1432045334),
(36785, 146, 4986, 'CodevTT_RAF', '0.5', '0.1', 0, 1432045383),
(36803, 146, 4719, 'CodevTT_RAF', '', '10', 0, 1432046759),
(36804, 146, 4719, 'status', '10', '50', 0, 1432046759),
(36805, 146, 4719, 'CodevTT_RAF', '10', '10', 0, 1432046779),
(36806, 146, 4719, 'CodevTT_RAF', '10', '10', 0, 1432046798),
(36807, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1432047172),
(36808, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1432047337),
(36809, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432047363),
(36810, 146, 4719, 'CodevTT_RAF', '10', '1', 0, 1432047412),
(36811, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1432047469),
(36812, 128, 3967, 'CodevTT_RAF', '0', '1', 0, 1432047527),
(36813, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432047570),
(36814, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1432047615),
(36815, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1432047657),
(36816, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432047689),
(36817, 146, 4719, 'CodevTT_RAF', '1', '3', 0, 1432047718),
(36818, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1432047719),
(36819, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432047744),
(36820, 146, 4719, 'CodevTT_RAF', '3', '2', 0, 1432047752),
(36821, 146, 4719, 'CodevTT_RAF', '2', '1', 0, 1432047769),
(36822, 146, 4719, 'CodevTT_RAF', '1', '1', 0, 1432047783),
(36823, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1432047794),
(36824, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1432047915),
(36825, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432047959),
(36826, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1432048009),
(36827, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432048202),
(36828, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432048230),
(36829, 128, 3967, 'CodevTT_RAF', '1', '0', 0, 1432048303),
(36830, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1432048330),
(36831, 72, 5021, '', '', '', 1, 1432051676),
(36832, 72, 5021, 'handler_id', '0', '93', 0, 1432051676),
(36833, 72, 5022, '', '', '', 1, 1432052060),
(36834, 72, 5022, 'handler_id', '0', '134', 0, 1432052060),
(36835, 72, 5023, '', '', '', 1, 1432052177),
(36836, 72, 5023, 'handler_id', '0', '72', 0, 1432052177),
(36837, 72, 5024, '', '', '', 1, 1432052324),
(36838, 72, 5024, 'handler_id', '0', '2', 0, 1432052324),
(36839, 72, 5025, '', '', '', 1, 1432052388),
(36840, 72, 5025, 'handler_id', '0', '2', 0, 1432052388),
(36841, 72, 5024, '', '2501', '5025', 18, 1432052490),
(36842, 72, 5025, '', '2500', '5024', 18, 1432052490),
(36843, 72, 2821, 'status', '50', '80', 0, 1432052670),
(36844, 72, 2821, 'CodevTT_RAF', '0.1', '0', 0, 1432052695),
(36846, 72, 5023, 'CodevTT_RAF', '', '0.5', 0, 1432053152),
(36847, 72, 5023, 'status', '10', '50', 0, 1432053152),
(36849, 2, 4959, 'status', '50', '80', 0, 1432114701),
(36850, 2, 4959, 'resolution', '10', '20', 0, 1432114701),
(36851, 2, 4959, 'CodevTT_RAF', '0.1', '0', 0, 1432114701),
(36852, 2, 4333, 'CodevTT_Dead Line', '1431986400', '', 0, 1432114781),
(36853, 2, 4333, 'target_version', '15.0.0_Juillet', '15.0.0_Nov', 0, 1432114781),
(36854, 2, 5025, '', '908', '', 6, 1432114900),
(36855, 2, 5024, '', '0000655', '', 2, 1432115090),
(36856, 2, 5024, '', '910', '', 6, 1432115110),
(36857, 2, 5024, '', '0000656', '', 2, 1432115147),
(36860, 2, 5024, '', '911', '', 6, 1432127472),
(36861, 73, 4718, 'CodevTT_RAF', '3', '2', 0, 1432127862),
(36862, 2, 5025, 'CodevTT_RAF', '', '0.2', 0, 1432135530),
(36863, 2, 5025, 'status', '10', '50', 0, 1432135530),
(36864, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432135545),
(36882, 134, 5022, 'CodevTT_RAF', '', '0.5', 0, 1432194308),
(36883, 134, 5022, 'status', '10', '40', 0, 1432194308),
(36884, 134, 5022, 'CodevTT_RAF', '0.5', '0.3', 0, 1432194329),
(36885, 134, 5022, 'CodevTT_RAF', '0.3', '0', 0, 1432194349),
(36886, 134, 5022, 'CodevTT_RAF', '0', '0', 0, 1432194349),
(36887, 134, 5022, 'status', '40', '80', 0, 1432194349),
(36898, 2, 5024, 'CodevTT_RAF', '', '0.5', 0, 1432200685),
(36899, 2, 5024, 'status', '10', '50', 0, 1432200685),
(36900, 2, 5024, 'CodevTT_RAF', '0.5', '0.1', 0, 1432200713),
(36901, 93, 4973, 'CodevTT_RAF', '0', '0', 0, 1432202550),
(36902, 93, 4973, 'CodevTT_RAF', '0', '0', 0, 1432202563),
(36903, 93, 4973, 'CodevTT_RAF', '0', '0', 0, 1432202608),
(36904, 93, 4745, 'CodevTT_RAF', '1', '0', 0, 1432202679),
(36905, 93, 4745, 'CodevTT_RAF', '0', '0', 0, 1432202679),
(36906, 93, 4745, 'status', '50', '80', 0, 1432202679),
(36907, 93, 5021, 'CodevTT_RAF', '', '0.5', 0, 1432202811),
(36908, 93, 5021, 'status', '10', '50', 0, 1432202811),
(36909, 93, 5021, 'CodevTT_RAF', '0.5', '0.3', 0, 1432202859),
(36910, 93, 4960, 'CodevTT_RAF', '3', '2', 0, 1432202916),
(36911, 93, 5021, 'CodevTT_RAF', '0.3', '0', 0, 1432202963),
(36912, 93, 5021, 'CodevTT_RAF', '0', '0', 0, 1432202963),
(36913, 93, 5021, 'status', '50', '80', 0, 1432202963),
(36914, 93, 4960, 'CodevTT_RAF', '2', '1.5', 0, 1432203031),
(36916, 157, 4940, 'CodevTT_RAF', '1', '1', 0, 1432219817),
(36917, 157, 4940, 'CodevTT_RAF', '1', '0.5', 0, 1432219836),
(36918, 157, 4940, 'CodevTT_RAF', '0.5', '0.5', 0, 1432219870),
(36919, 157, 4890, 'CodevTT_RAF', '', '9.5', 0, 1432219939),
(36920, 157, 4890, 'status', '10', '40', 0, 1432219939),
(36921, 157, 4890, 'CodevTT_RAF', '9.5', '8.5', 0, 1432219957),
(36922, 157, 4890, 'CodevTT_RAF', '8.5', '8', 0, 1432219973),
(36923, 157, 4890, 'CodevTT_RAF', '8', '7.5', 0, 1432219987),
(36924, 157, 4890, 'CodevTT_RAF', '7.5', '6.5', 0, 1432220001),
(36943, 2, 5023, 'CodevTT_RAF', '0.5', '0.5', 0, 1432279906),
(36944, 2, 2821, 'CodevTT_RAF', '0', '0.25', 0, 1432279948),
(36945, 2, 2821, 'status', '80', '50', 0, 1432279948),
(36949, 158, 4844, 'status', '10', '50', 0, 1432282285),
(36952, 158, 4844, 'CodevTT_RAF', '', '5', 0, 1432282367),
(36953, 158, 4844, 'CodevTT_RAF', '5', '4', 0, 1432282392),
(36963, 73, 4843, 'CodevTT_RAF', '0', '0', 0, 1432283736),
(36964, 73, 4885, 'CodevTT_RAF', '0.5', '0', 0, 1432283760),
(36965, 73, 4885, 'CodevTT_RAF', '0', '0', 0, 1432283761),
(36966, 73, 4885, 'CodevTT_RAF', '0', '0', 0, 1432283809),
(36967, 73, 4843, 'CodevTT_RAF', '0', '0.5', 0, 1432284031),
(36968, 73, 4718, 'CodevTT_RAF', '2', '1.5', 0, 1432284054),
(37021, 2, 2821, 'CodevTT_RAF', '0.25', '0.25', 0, 1432297877),
(37025, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432297919),
(37026, 2, 2821, 'CodevTT_RAF', '0.25', '0.25', 0, 1432297938),
(37027, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432297957),
(37028, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1432298856),
(37029, 93, 4960, 'CodevTT_RAF', '1.5', '1', 0, 1432299126),
(37030, 114, 4940, 'CodevTT_RAF', '0.5', '4', 0, 1432299396),
(37031, 114, 4940, 'CodevTT_RAF', '4', '4', 0, 1432299411),
(37032, 114, 4940, 'CodevTT_RAF', '4', '3', 0, 1432299429),
(37033, 114, 4940, 'CodevTT_RAF', '3', '3.5', 0, 1432299824),
(37034, 114, 4940, 'CodevTT_RAF', '3.5', '3', 0, 1432299843),
(37035, 114, 4940, 'CodevTT_RAF', '3', '3', 0, 1432299865),
(37036, 114, 5037, '', '', '', 1, 1432299989),
(37037, 114, 5037, 'handler_id', '0', '114', 0, 1432299989),
(37038, 114, 5037, 'CodevTT_RAF', '', '5', 0, 1432300015),
(37039, 114, 5037, 'status', '10', '50', 0, 1432300015),
(37040, 114, 5037, 'CodevTT_RAF', '5', '3.5', 0, 1432300034),
(37041, 114, 4940, 'CodevTT_RAF', '3', '2.5', 0, 1432300056),
(37042, 114, 5037, 'CodevTT_RAF', '3.5', '3', 0, 1432300136),
(37043, 114, 4940, 'CodevTT_RAF', '2.5', '3', 0, 1432300155),
(37044, 114, 4940, 'CodevTT_RAF', '3', '2', 0, 1432300176),
(37045, 114, 5037, 'CodevTT_RAF', '3', '3', 0, 1432300197),
(37046, 134, 4974, '', '0000657', '', 2, 1432301024),
(37047, 134, 4974, 'status', '30', '80', 0, 1432301024),
(37048, 134, 4974, 'resolution', '10', '20', 0, 1432301024),
(37049, 134, 4884, 'CodevTT_RAF', '0', '0.25', 0, 1432301109),
(37050, 134, 3624, 'CodevTT_RAF', '0', '0', 0, 1432301135),
(37051, 134, 4329, 'CodevTT_RAF', '0', '0', 0, 1432301154),
(37052, 134, 4884, 'CodevTT_RAF', '0.25', '0', 0, 1432301183),
(37054, 134, 4292, 'CodevTT_RAF', '0', '0', 0, 1432301208),
(37057, 134, 4328, 'CodevTT_RAF', '0.1', '0', 0, 1432301248);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(37058, 134, 4328, 'CodevTT_RAF', '0', '0', 0, 1432301248),
(37059, 134, 4328, 'status', '30', '80', 0, 1432301248),
(37109, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432304106),
(37124, 72, 5023, 'CodevTT_RAF', '0.5', '1', 0, 1432304294),
(37125, 72, 5023, 'CodevTT_RAF', '1', '1', 0, 1432304309),
(37151, 146, 4986, 'CodevTT_RAF', '0.1', '0', 0, 1432308631),
(37152, 146, 4986, 'CodevTT_RAF', '0', '0', 0, 1432308631),
(37153, 146, 4986, 'status', '50', '80', 0, 1432308631),
(37154, 146, 4986, 'CodevTT_RAF', '0', '0', 0, 1432308834),
(37162, 146, 4964, 'CodevTT_RAF', '', '1', 0, 1432309064),
(37163, 146, 4964, 'status', '10', '50', 0, 1432309064),
(37164, 146, 4964, 'CodevTT_RAF', '1', '1', 0, 1432309127),
(37165, 146, 4886, 'CodevTT_RAF', '', '5', 0, 1432309242),
(37166, 146, 4886, 'status', '10', '50', 0, 1432309242),
(37197, 116, 4889, 'CodevTT_RAF', '0.55', '0.55', 0, 1432546630),
(37198, 2, 5025, 'CodevTT_RAF', '0.2', '0', 0, 1432570099),
(37199, 2, 5025, 'CodevTT_RAF', '0', '0', 0, 1432570099),
(37200, 2, 5025, 'status', '50', '80', 0, 1432570099),
(37201, 2, 5024, 'CodevTT_RAF', '0.1', '0', 0, 1432570140),
(37202, 2, 5024, 'status', '50', '80', 0, 1432570140),
(37203, 2, 5024, 'resolution', '10', '20', 0, 1432570140),
(37220, 134, 4327, 'CodevTT_RAF', '0.2', '0', 0, 1432626505),
(37221, 134, 4327, 'CodevTT_Date Livraison', '', '1432245600', 0, 1432626636),
(37222, 134, 4327, 'status', '50', '80', 0, 1432626636),
(37223, 134, 4327, 'fixed_in_version', '', '15.0.0_Juillet', 0, 1432626636),
(37224, 134, 4327, 'resolution', '10', '20', 0, 1432626636),
(37225, 2, 4881, 'handler_id', '134', '2', 0, 1432628673),
(37226, 2, 4881, '', '913', '', 6, 1432628798),
(37227, 2, 4881, '', '915', '', 7, 1432628798),
(37238, 2, 3904, 'status', '80', '50', 0, 1432638002),
(37239, 2, 3904, 'CodevTT_RAF', '0', '1', 0, 1432638366),
(37240, 2, 4266, 'status', '80', '30', 0, 1432641155),
(37241, 2, 4265, 'status', '80', '30', 0, 1432641155),
(37242, 2, 4265, 'handler_id', '73', '134', 0, 1432641180),
(37243, 2, 4265, 'CodevTT_Dead Line', '1426806000', '', 0, 1432641204),
(37244, 2, 4266, 'CodevTT_Dead Line', '1427666400', '', 0, 1432641222),
(37325, 2, 4936, '', '2501', '4637', 19, 1432652357),
(37327, 2, 4936, 'status', '50', '80', 0, 1432652366),
(37328, 2, 4936, 'resolution', '10', '20', 0, 1432652366),
(37329, 2, 4936, 'CodevTT_RAF', '1.8', '0', 0, 1432652366),
(37330, 134, 4934, 'CodevTT_RAF', '', '1', 0, 1432655518),
(37331, 134, 4934, 'status', '10', '30', 0, 1432655518),
(37332, 2, 2906, 'CodevTT_RAF', '0', '0', 0, 1432657765),
(37338, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432711563),
(37339, 2, 4881, 'CodevTT_RAF', '', '2', 0, 1432711606),
(37340, 2, 4881, 'status', '10', '50', 0, 1432711606),
(37341, 2, 4881, '', '0000658', '', 2, 1432718070),
(37344, 2, 4881, '', '0000658', '917', 3, 1432718613),
(37353, 2, 4881, '', '0000658', '918', 3, 1432718823),
(37357, 113, 4985, 'CodevTT_RAF', '0.01', '0.01', 0, 1432725999),
(37358, 2, 4885, '', '0000659', '', 2, 1432726218),
(37359, 2, 4885, 'status', '80', '30', 0, 1432726218),
(37360, 2, 4885, 'resolution', '10', '30', 0, 1432726218),
(37361, 2, 4885, 'CodevTT_RAF', '0', '1', 0, 1432726243),
(37362, 2, 4881, '', '0000660', '', 2, 1432726604),
(37368, 157, 4890, 'CodevTT_RAF', '6.5', '5.8', 0, 1432730074),
(37369, 157, 4890, 'CodevTT_RAF', '5.8', '4.8', 0, 1432730140),
(37370, 157, 4890, 'CodevTT_RAF', '4.8', '4', 0, 1432730171),
(37371, 157, 4890, 'CodevTT_RAF', '4', '3', 0, 1432730383),
(37372, 157, 4890, 'CodevTT_RAF', '3', '3', 0, 1432730483),
(37373, 157, 4890, 'CodevTT_RAF', '3', '3', 0, 1432730583),
(37374, 157, 4890, 'CodevTT_RAF', '3', '3', 0, 1432730619),
(37375, 157, 4890, 'CodevTT_RAF', '3', '4', 0, 1432730681),
(37376, 157, 4940, 'CodevTT_RAF', '2', '1', 0, 1432730829),
(37377, 157, 4940, 'CodevTT_RAF', '1', '0.5', 0, 1432730861),
(37386, 73, 4843, 'CodevTT_RAF', '0.5', '0', 0, 1432736681),
(37387, 73, 4718, 'CodevTT_RAF', '1.5', '1', 0, 1432736709),
(37388, 73, 4718, 'CodevTT_RAF', '1', '0.5', 0, 1432736726),
(37389, 73, 4885, 'CodevTT_RAF', '1', '0', 0, 1432736757),
(37390, 73, 4885, 'CodevTT_RAF', '0', '0', 0, 1432736757),
(37391, 73, 4885, 'status', '30', '80', 0, 1432736757),
(37429, 2, 4963, '', '920', '', 6, 1432818921),
(37430, 2, 4964, 'handler_id', '116', '147', 0, 1432818991),
(37431, 2, 4963, 'handler_id', '73', '147', 0, 1432818991),
(37432, 93, 4960, 'CodevTT_RAF', '1', '0.5', 0, 1432820498),
(37433, 93, 4960, 'CodevTT_RAF', '0.5', '0', 0, 1432820529),
(37434, 93, 4960, 'CodevTT_RAF', '0', '0', 0, 1432820529),
(37435, 93, 4960, 'status', '50', '80', 0, 1432820529),
(37436, 93, 5037, 'CodevTT_RAF', '3', '1', 0, 1432820599),
(37437, 2, 3904, 'CodevTT_RAF', '1', '2', 0, 1432820697),
(37446, 158, 4844, 'CodevTT_RAF', '4', '5', 0, 1432823804),
(37447, 158, 4844, 'CodevTT_RAF', '5', '5', 0, 1432823840),
(37451, 74, 4884, 'CodevTT_RAF', '0', '0', 0, 1432882592),
(37452, 74, 4884, 'CodevTT_RAF', '0', '0', 0, 1432882618),
(37453, 74, 5023, 'CodevTT_RAF', '1', '0.5', 0, 1432882699),
(37454, 74, 3904, 'CodevTT_RAF', '2', '0.5', 0, 1432882732),
(37455, 74, 2821, 'CodevTT_RAF', '0.25', '0', 0, 1432882758),
(37456, 74, 2821, 'CodevTT_RAF', '0', '0', 0, 1432882758),
(37457, 74, 2821, 'status', '50', '80', 0, 1432882758),
(37458, 74, 2821, 'CodevTT_RAF', '0', '0', 0, 1432882803),
(37459, 74, 2906, 'CodevTT_RAF', '0', '0.5', 0, 1432883147),
(37464, 134, 4265, 'CodevTT_RAF', '0', '0.5', 0, 1432888544),
(37465, 134, 4934, 'CodevTT_RAF', '1', '1', 0, 1432888575),
(37466, 134, 4934, 'CodevTT_RAF', '1', '0', 0, 1432888592),
(37467, 134, 4934, 'CodevTT_RAF', '0', '0', 0, 1432888592),
(37468, 134, 4934, 'status', '30', '80', 0, 1432888592),
(37494, 2, 4364, 'CodevTT_RAF', '0', '0', 0, 1432893403),
(37495, 2, 5037, 'CodevTT_RAF', '1', '5', 0, 1432893471),
(37496, 2, 5037, 'summary', '[40732] 3 en 1 : écarts comptables', '[40732] SPEC - 3 en 1 : écarts comptables', 0, 1432893516),
(37497, 2, 5083, '', '', '', 1, 1432893596),
(37498, 2, 5083, 'handler_id', '0', '114', 0, 1432893596),
(37499, 2, 5083, '', '', '5037', 21, 1432893596),
(37500, 2, 5037, '', '', '5083', 20, 1432893596),
(37501, 2, 5037, '', '2501', '5083', 18, 1432893596),
(37502, 2, 5083, '', '2500', '5037', 18, 1432893596),
(37503, 2, 5024, 'status', '80', '50', 0, 1432893698),
(37504, 2, 5025, 'status', '80', '30', 0, 1432893714),
(37505, 2, 5025, 'resolution', '10', '30', 0, 1432893714),
(37506, 2, 5025, 'status', '30', '80', 0, 1432893745),
(37507, 2, 5025, 'resolution', '30', '20', 0, 1432893745),
(37508, 2, 5024, '', '2501', '5025', 19, 1432893771),
(37509, 2, 5025, '', '2500', '5024', 19, 1432893771),
(37510, 2, 5024, 'status', '50', '80', 0, 1432893820),
(37511, 2, 5037, 'CodevTT_RAF', '5', '5', 0, 1432893976),
(37512, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432894011),
(37513, 2, 5024, 'CodevTT_RAF', '0', '0', 0, 1432894076),
(37518, 2, 5024, 'CodevTT_RAF', '0', '0', 0, 1432894384),
(37556, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1432903641),
(37557, 164, 3941, 'handler_id', '128', '164', 0, 1432903641),
(37559, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1432903681),
(37561, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1432903770),
(37562, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1432903818),
(37566, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1432903938),
(37581, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1432904132),
(37590, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432905133),
(37591, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432905141),
(37592, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432905152),
(37593, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432905165),
(37594, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1432905177),
(37707, 2, 2906, 'CodevTT_RAF', '0.5', '0', 0, 1432944876),
(37708, 2, 4957, 'status', '10', '50', 0, 1432944910),
(37709, 72, 5097, '', '', '', 1, 1433140913),
(37710, 72, 5097, 'handler_id', '0', '134', 0, 1433140913),
(37711, 72, 5098, '', '', '', 1, 1433141000),
(37712, 72, 5098, 'handler_id', '0', '114', 0, 1433141000),
(37713, 72, 5099, '', '', '', 1, 1433141104),
(37714, 72, 5099, 'handler_id', '0', '73', 0, 1433141104),
(37715, 72, 5023, 'status', '50', '80', 0, 1433141246),
(37716, 72, 5023, 'resolution', '10', '20', 0, 1433141246),
(37717, 72, 5023, 'CodevTT_RAF', '0.5', '0', 0, 1433141246),
(37718, 72, 3687, 'status', '40', '80', 0, 1433141322),
(37719, 72, 3687, 'resolution', '10', '20', 0, 1433141322),
(37720, 72, 3687, 'CodevTT_RAF', '0.6', '0', 0, 1433141322),
(37721, 72, 4309, '', '72', '', 12, 1433141483),
(37722, 72, 4309, '', '72', '', 13, 1433141491),
(37723, 72, 4309, 'status', '10', '80', 0, 1433141499),
(37724, 72, 4309, 'resolution', '10', '20', 0, 1433141499),
(37725, 72, 4309, 'CodevTT_RAF', '', '0', 0, 1433141499),
(37726, 72, 4882, 'handler_id', '134', '74', 0, 1433141938),
(37727, 72, 2120, 'status', '50', '80', 0, 1433141974),
(37728, 72, 2120, 'resolution', '10', '20', 0, 1433141974),
(37729, 72, 2120, 'CodevTT_RAF', '0.5', '0', 0, 1433141974),
(37730, 72, 5083, 'handler_id', '114', '2', 0, 1433142050),
(37731, 72, 5037, 'handler_id', '114', '2', 0, 1433142073),
(37732, 72, 5037, 'CodevTT_Dead Line', '', '1433368800', 0, 1433142151),
(37733, 72, 4888, 'target_version', '15.0.0_Sept', '', 0, 1433142334),
(37735, 72, 4333, 'status', '10', '20', 0, 1433142619),
(37736, 134, 5097, 'CodevTT_RAF', '', '0.25', 0, 1433144625),
(37737, 134, 5097, 'status', '10', '40', 0, 1433144625),
(37746, 2, 4881, 'handler_id', '2', '74', 0, 1433146544),
(37747, 2, 5101, '', '', '', 1, 1433148334),
(37748, 2, 5101, 'handler_id', '0', '164', 0, 1433148334),
(37752, 2, 5102, '', '', '', 1, 1433148664),
(37753, 2, 5102, 'handler_id', '0', '109', 0, 1433148664),
(37759, 2, 5102, '', '922', '', 6, 1433148877),
(37763, 2, 5102, 'status', '10', '50', 0, 1433148972),
(37764, 2, 5101, 'summary', '[INTEG] Solaris mise en place des environnements pour le PAF', ' Solaris mise en place des environnements pour le PAF', 0, 1433149006),
(37911, 2, 5023, 'handler_id', '72', '74', 0, 1433166433),
(37912, 2, 5023, '', '0000662', '', 2, 1433166449),
(37913, 2, 5023, 'status', '80', '30', 0, 1433166449),
(37914, 2, 5023, 'resolution', '20', '30', 0, 1433166449),
(37915, 2, 5023, 'CodevTT_RAF', '0', '2', 0, 1433166461),
(37916, 2, 5023, 'CodevTT_Dead Line', '', '1433282400', 0, 1433166579),
(37948, 2, 4364, 'CodevTT_RAF', '0', '0', 0, 1433176234),
(37949, 2, 5037, 'CodevTT_RAF', '5', '5', 0, 1433176273),
(37950, 2, 5037, 'CodevTT_RAF', '5', '5', 0, 1433176285),
(37984, 2, 5037, '', '924', '', 6, 1433235554),
(37983, 2, 5037, '', '0000663', '', 2, 1433235536),
(37995, 164, 5101, '', '0000664', '', 2, 1433251720),
(37996, 164, 5101, '', '0000665', '', 2, 1433251741),
(38116, 164, 5101, 'status', '10', '80', 0, 1433317499),
(38117, 164, 5101, 'resolution', '10', '20', 0, 1433317499),
(38118, 164, 5101, 'CodevTT_RAF', '', '0', 0, 1433317499),
(38119, 164, 5101, 'CodevTT_RAF', '0', '0', 0, 1433317510),
(38120, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1433317592),
(38131, 2, 5211, '', '', '', 1, 1433320773),
(38132, 2, 5211, 'handler_id', '0', '164', 0, 1433320773),
(38133, 2, 5211, 'project_id', '41', '73', 0, 1433320855),
(38134, 2, 5211, 'category', 'Integration', 'General', 0, 1433320855),
(38135, 2, 5211, 'project_id', '73', '41', 0, 1433320953),
(38138, 134, 5097, 'CodevTT_RAF', '0.25', '0.1', 0, 1433322179),
(38139, 134, 4935, 'CodevTT_RAF', '', '4', 0, 1433324618),
(38140, 134, 4935, 'status', '10', '30', 0, 1433324618),
(38141, 113, 4718, 'CodevTT_RAF', '0.5', '0.01', 0, 1433325884),
(38169, 157, 4891, 'CodevTT_RAF', '', '15', 0, 1433340218),
(38170, 157, 4891, 'status', '10', '20', 0, 1433340218),
(38171, 157, 4891, 'CodevTT_RAF', '15', '14', 0, 1433340346),
(38172, 157, 4891, 'CodevTT_RAF', '14', '13', 0, 1433340372),
(38173, 157, 4891, 'CodevTT_RAF', '13', '12', 0, 1433340395),
(38174, 157, 4891, 'CodevTT_RAF', '12', '11', 0, 1433340425),
(38177, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1433348449),
(38178, 2, 4957, 'CodevTT_RAF', '', '2', 0, 1433348489),
(38179, 2, 5020, 'CodevTT_RAF', '0', '0', 0, 1433348537),
(38216, 116, 4937, 'CodevTT_RAF', '2.5', '1.5', 0, 1433426875),
(38217, 116, 4885, 'CodevTT_RAF', '0', '0', 0, 1433426941),
(38218, 116, 4886, 'CodevTT_RAF', '5', '4.8', 0, 1433426963),
(38219, 116, 4886, 'CodevTT_RAF', '4.8', '4.3', 0, 1433426975),
(38220, 116, 4886, 'CodevTT_RAF', '4.3', '4.1', 0, 1433426993),
(38243, 74, 2906, 'CodevTT_RAF', '0', '0.5', 0, 1433489642),
(38244, 74, 4882, 'CodevTT_RAF', '', '0.5', 0, 1433489677),
(38245, 74, 4882, 'status', '10', '50', 0, 1433489677),
(38246, 74, 5023, 'CodevTT_RAF', '2', '0.5', 0, 1433489743),
(38247, 74, 5023, 'status', '30', '50', 0, 1433489743),
(38248, 74, 5023, 'CodevTT_RAF', '0.5', '0', 0, 1433489775),
(38249, 74, 5023, 'CodevTT_RAF', '0', '0', 0, 1433489775),
(38250, 74, 5023, 'status', '50', '80', 0, 1433489775),
(38251, 74, 4881, 'CodevTT_RAF', '2', '0.5', 0, 1433489950),
(38252, 2, 5213, '', '', '', 1, 1433490108),
(38253, 2, 5213, 'handler_id', '0', '74', 0, 1433490108),
(38254, 74, 5213, 'CodevTT_RAF', '', '1', 0, 1433490158),
(38255, 74, 5213, 'status', '10', '50', 0, 1433490158),
(38256, 74, 5213, 'CodevTT_RAF', '1', '1', 0, 1433490169),
(38257, 74, 5213, 'CodevTT_RAF', '1', '0.5', 0, 1433490192),
(38258, 2, 4957, 'CodevTT_RAF', '2', '0.5', 0, 1433490469),
(38259, 2, 5214, '', '', '', 1, 1433490696),
(38260, 2, 5214, 'handler_id', '0', '2', 0, 1433490696),
(38261, 2, 5214, 'Ref. Externe', '', '40873', 0, 1433490736),
(38262, 2, 5214, 'summary', '3 en 1 - Absence d\'information sur le nombre de lignes déplacées dans les log suite au BLOCAGE/DEBLOCAGE des NIR', '[40873] 3 en 1 - Absence d\'information sur le nombre de lignes déplacées dans les log suite au BLOCAGE/DEBLOCAGE des NIR', 0, 1433490736),
(38263, 2, 5215, '', '', '', 1, 1433490828),
(38264, 2, 5214, 'CodevTT_RAF', '', '2', 0, 1433490891),
(38265, 2, 5214, 'status', '10', '30', 0, 1433490891),
(38266, 2, 5215, 'handler_id', '0', '2', 0, 1433490933),
(38267, 2, 5216, '', '', '', 1, 1433491071),
(38268, 2, 5216, 'handler_id', '0', '2', 0, 1433491071),
(38269, 2, 5216, 'Ref. Externe', '', '40870', 0, 1433491086),
(38378, 147, 3904, 'CodevTT_RAF', '0.5', '0', 0, 1433511754),
(38379, 147, 3904, 'CodevTT_RAF', '0', '0', 0, 1433511754),
(38380, 147, 3904, 'status', '50', '80', 0, 1433511754),
(38381, 147, 4963, 'CodevTT_RAF', '', '1.5', 0, 1433511818),
(38382, 147, 4963, 'status', '10', '40', 0, 1433511818),
(38383, 147, 4963, 'CodevTT_RAF', '1.5', '0.5', 0, 1433511886),
(38384, 147, 4963, 'status', '40', '50', 0, 1433511886),
(38385, 147, 4589, 'CodevTT_RAF', '', '3', 0, 1433511992),
(38386, 147, 4589, 'status', '10', '50', 0, 1433511992),
(38387, 147, 4589, 'CodevTT_RAF', '3', '2', 0, 1433512034),
(38388, 147, 4589, 'CodevTT_RAF', '2', '2.25', 0, 1433512121),
(38389, 147, 4589, 'CodevTT_RAF', '2.25', '2', 0, 1433512248),
(38390, 147, 4589, 'CodevTT_RAF', '2', '1', 0, 1433512270),
(38391, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1433512472),
(38392, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1433512782),
(38393, 116, 4886, 'CodevTT_RAF', '4.1', '4.0', 0, 1433514094),
(38533, 72, 5229, '', '', '', 1, 1433772848),
(38534, 72, 5229, 'handler_id', '0', '134', 0, 1433772848),
(38535, 2, 5214, 'CodevTT_RAF', '2', '2', 0, 1433773120),
(38536, 2, 5214, 'status', '30', '50', 0, 1433773120),
(38537, 146, 4886, 'CodevTT_RAF', '4.0', '4', 0, 1433773152),
(38538, 2, 5215, 'CodevTT_RAF', '', '1', 0, 1433773171),
(38539, 2, 5215, 'status', '10', '50', 0, 1433773171),
(38540, 2, 5037, '', '0000670', '', 2, 1433773397),
(38541, 2, 5037, 'status', '50', '20', 0, 1433773397),
(38542, 146, 3888, 'CodevTT_RAF', '0', '2', 0, 1433773627),
(38543, 146, 3888, 'CodevTT_RAF', '2', '2', 0, 1433773667),
(38544, 146, 3888, 'status', '80', '50', 0, 1433773667),
(38545, 146, 3888, 'handler_id', '73', '146', 0, 1433773667),
(38547, 146, 3888, 'CodevTT_RAF', '2', '2', 0, 1433773836),
(38548, 146, 3888, 'CodevTT_RAF', '2', '2', 0, 1433773897),
(38549, 146, 4719, 'CodevTT_RAF', '1', '6', 0, 1433773970),
(38550, 146, 4719, 'CodevTT_RAF', '6', '6', 0, 1433774009),
(38551, 146, 4719, 'CodevTT_RAF', '6', '6', 0, 1433774040),
(38552, 146, 4719, 'CodevTT_RAF', '6', '6', 0, 1433774064),
(38553, 146, 4719, 'CodevTT_RAF', '6', '6', 0, 1433774115),
(38554, 146, 4719, 'CodevTT_RAF', '6', '6', 0, 1433774149),
(38555, 73, 5099, 'CodevTT_RAF', '', '3', 0, 1433774552),
(38556, 73, 5099, 'status', '10', '50', 0, 1433774552),
(38557, 73, 5099, 'CodevTT_RAF', '3', '2.5', 0, 1433774774),
(38558, 73, 4991, 'CodevTT_RAF', '', '5', 0, 1433774803),
(38559, 73, 4991, 'status', '10', '50', 0, 1433774803),
(38560, 73, 4991, 'handler_id', '0', '73', 0, 1433774803),
(38561, 73, 5099, 'CodevTT_RAF', '2.5', '2', 0, 1433774850),
(38562, 73, 5099, 'CodevTT_RAF', '2', '1', 0, 1433774862),
(38563, 73, 5099, 'CodevTT_RAF', '1', '0', 0, 1433774879),
(38564, 73, 5099, 'CodevTT_RAF', '0', '0', 0, 1433774879),
(38565, 73, 5099, 'status', '50', '80', 0, 1433774879),
(38566, 2, 5215, 'CodevTT_RAF', '1', '0', 0, 1433778654),
(38567, 2, 5215, 'CodevTT_RAF', '0', '0', 0, 1433778654),
(38568, 2, 5215, 'status', '50', '80', 0, 1433778654),
(38569, 2, 5214, 'CodevTT_RAF', '2', '0', 0, 1433778672),
(38570, 2, 5214, 'CodevTT_RAF', '0', '0', 0, 1433778672),
(38571, 2, 5214, 'status', '50', '80', 0, 1433778672),
(38585, 134, 5229, 'CodevTT_RAF', '', '0.5', 0, 1433835499),
(38586, 134, 5229, 'status', '10', '40', 0, 1433835499),
(38587, 134, 5229, 'CodevTT_RAF', '0.5', '0', 0, 1433835613),
(38588, 134, 5229, 'CodevTT_RAF', '0', '0', 0, 1433835613),
(38589, 134, 5229, 'status', '40', '80', 0, 1433835613),
(38590, 134, 4935, 'CodevTT_RAF', '4', '4.5', 0, 1433835649),
(38591, 134, 4934, 'CodevTT_RAF', '0', '0', 0, 1433835719),
(38596, 2, 5216, 'CodevTT_RAF', '', '0.5', 0, 1433851756),
(38597, 2, 5216, 'status', '10', '50', 0, 1433851756),
(38687, 2, 5232, 'CodevTT_RAF', '1', '1', 0, 1434010647),
(38686, 2, 5232, 'CodevTT_RAF', '3', '1', 0, 1434010612),
(38685, 2, 5232, 'handler_id', '0', '2', 0, 1434010599),
(38684, 2, 5232, 'status', '10', '50', 0, 1434010599),
(38683, 2, 5232, 'CodevTT_RAF', '', '3', 0, 1434010599),
(38627, 147, 4964, 'CodevTT_RAF', '1', '0', 0, 1433930193),
(38628, 147, 4964, 'CodevTT_RAF', '0', '0', 0, 1433930193),
(38629, 147, 4964, 'status', '50', '80', 0, 1433930193),
(38630, 147, 4589, 'CodevTT_RAF', '1', '0.5', 0, 1433930422),
(38672, 2, 5216, 'CodevTT_RAF', '0.5', '0', 0, 1433960198),
(38673, 2, 5216, 'CodevTT_RAF', '0', '0', 0, 1433960198),
(38674, 2, 5216, 'status', '50', '80', 0, 1433960198),
(38675, 134, 5229, 'CodevTT_RAF', '0', '0', 0, 1434008372),
(38676, 134, 4935, 'CodevTT_RAF', '4.5', '3', 0, 1434008397),
(38677, 134, 4935, 'CodevTT_RAF', '3', '3', 0, 1434008480),
(38682, 2, 5232, 'Ref. Externe', '', '40927', 0, 1434010567),
(38681, 2, 5232, '', '', '', 1, 1434010533),
(38702, 158, 4844, 'CodevTT_RAF', '5', '4', 0, 1434011634),
(38703, 158, 4844, 'CodevTT_RAF', '4', '4', 0, 1434011657),
(38707, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1434014698),
(38708, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1434014752),
(38709, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1434014847),
(38710, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1434014888),
(38711, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1434014934),
(38712, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1434015400),
(38713, 128, 3941, 'CodevTT_RAF', '0', '0', 0, 1434015450),
(38714, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1434015482),
(38715, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1434015538),
(38716, 128, 3562, 'CodevTT_RAF', '0', '0', 0, 1434015681),
(38717, 72, 5263, '', '', '', 1, 1434022722),
(38718, 72, 5263, 'handler_id', '0', '134', 0, 1434022722),
(38725, 157, 4890, 'CodevTT_RAF', '3', '2', 0, 1434032477),
(38724, 157, 4890, 'CodevTT_RAF', '4', '3', 0, 1434032446),
(38723, 157, 4891, 'CodevTT_RAF', '11', '10', 0, 1434032410),
(38726, 157, 4890, 'CodevTT_RAF', '2', '2', 0, 1434032502),
(38773, 73, 4987, 'CodevTT_RAF', '', '3', 0, 1434037570),
(38774, 73, 4987, 'status', '10', '50', 0, 1434037570),
(38775, 73, 4987, 'CodevTT_RAF', '3', '2', 0, 1434037580),
(38780, 73, 4987, 'CodevTT_RAF', '2', '1', 0, 1434037606),
(38793, 74, 5213, 'CodevTT_RAF', '0.5', '0.5', 0, 1434091737),
(38794, 74, 3940, 'CodevTT_RAF', '0', '0.5', 0, 1434091845),
(38795, 74, 3940, 'status', '80', '50', 0, 1434091845),
(38796, 74, 3940, 'CodevTT_RAF', '0.5', '0.5', 0, 1434091867),
(38852, 116, 4886, 'CodevTT_RAF', '4', '3.9', 0, 1434096372),
(38853, 116, 4886, 'CodevTT_RAF', '3.9', '3.7', 0, 1434096381),
(38854, 116, 4886, 'CodevTT_RAF', '3.7', '3.5', 0, 1434096391),
(38855, 116, 4886, 'CodevTT_RAF', '3.5', '3.3', 0, 1434096399),
(38856, 116, 4886, 'CodevTT_RAF', '3.3', '3.1', 0, 1434096410),
(38886, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1434109943),
(38887, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1434109957),
(38888, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434110007),
(38889, 164, 3943, 'CodevTT_RAF', '0', '0', 0, 1434110081),
(38890, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434110520),
(38891, 164, 3943, 'CodevTT_RAF', '0', '0', 0, 1434110727),
(38892, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1434110966),
(38893, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1434110992),
(38894, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434111024),
(38895, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434111065),
(38896, 164, 3943, 'CodevTT_RAF', '0', '0', 0, 1434111094),
(38897, 164, 3943, 'CodevTT_RAF', '0', '0', 0, 1434111258),
(38898, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1434111391),
(38902, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1434115255),
(38903, 128, 2838, 'CodevTT_RAF', '0', '0', 0, 1434115333),
(38907, 147, 4589, 'CodevTT_RAF', '0.5', '1', 0, 1434121738),
(38908, 147, 4986, 'CodevTT_RAF', '0', '0.5', 0, 1434121858),
(38909, 147, 4589, 'CodevTT_RAF', '1', '1', 0, 1434121931),
(38910, 147, 4986, 'CodevTT_RAF', '0.5', '0', 0, 1434121979),
(38911, 147, 4589, 'CodevTT_RAF', '1', '1', 0, 1434122006),
(38912, 147, 4589, 'CodevTT_RAF', '1', '1', 0, 1434122141),
(38913, 147, 4986, 'CodevTT_RAF', '0', '0', 0, 1434122165),
(38914, 73, 4987, 'CodevTT_RAF', '1', '2', 0, 1434122373),
(38930, 2, 5232, 'CodevTT_RAF', '1', '2', 0, 1434122976),
(38931, 146, 4719, 'CodevTT_RAF', '6', '3', 0, 1434125985),
(38932, 146, 4719, 'CodevTT_RAF', '3', '3', 0, 1434126001),
(38933, 146, 4719, 'CodevTT_RAF', '3', '3', 0, 1434126016),
(38934, 146, 4719, 'CodevTT_RAF', '3', '3', 0, 1434126028),
(38935, 146, 4719, 'CodevTT_RAF', '3', '3', 0, 1434126039),
(38976, 134, 5263, 'CodevTT_RAF', '', '1', 0, 1434355086),
(38977, 134, 5263, 'status', '10', '30', 0, 1434355086),
(38978, 134, 5263, 'CodevTT_RAF', '1', '0', 0, 1434355131),
(38979, 134, 5263, 'CodevTT_RAF', '0', '0', 0, 1434355131),
(38980, 134, 5263, 'status', '30', '80', 0, 1434355131),
(38981, 134, 4935, 'CodevTT_RAF', '3', '2', 0, 1434355321),
(38982, 134, 4934, 'CodevTT_RAF', '0', '1', 0, 1434355359),
(38983, 134, 4934, 'status', '80', '85', 0, 1434355359),
(38984, 134, 4934, 'CodevTT_RAF', '1', '0', 0, 1434355378),
(39040, 74, 5279, '', '', '', 1, 1434439232),
(39041, 74, 5279, 'handler_id', '0', '74', 0, 1434439232),
(39042, 74, 5279, '', '', '5213', 21, 1434439232),
(39043, 74, 5213, '', '', '5279', 20, 1434439232),
(39044, 72, 5280, '', '', '', 1, 1434439808),
(39045, 72, 5280, 'handler_id', '0', '93', 0, 1434439808),
(39046, 2, 5232, 'CodevTT_RAF', '2', '2', 0, 1434440040),
(39047, 2, 5232, 'CodevTT_RAF', '2', '2', 0, 1434440049),
(39059, 74, 3940, 'CodevTT_RAF', '0.5', '0.5', 0, 1434441061),
(39060, 74, 5279, 'CodevTT_RAF', '', '5', 0, 1434441103),
(39061, 74, 5279, 'status', '10', '50', 0, 1434441103),
(39062, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1434441114),
(39063, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1434441131),
(39067, 74, 3940, 'CodevTT_RAF', '0.5', '0.1', 0, 1434441156),
(39069, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1434441189),
(39073, 2, 5232, 'CodevTT_RAF', '2', '1.5', 0, 1434444958),
(39118, 157, 4891, 'CodevTT_RAF', '10', '9', 0, 1434465428),
(39120, 157, 4891, 'CodevTT_RAF', '9', '8', 0, 1434465452),
(39121, 157, 4891, 'CodevTT_RAF', '8', '7', 0, 1434465492),
(39124, 157, 4891, 'CodevTT_RAF', '7', '6.5', 0, 1434465537),
(39125, 157, 4891, 'CodevTT_RAF', '6.5', '5.5', 0, 1434465553),
(39134, 2, 5232, 'CodevTT_RAF', '1.5', '1', 0, 1434469295),
(39135, 134, 4935, 'CodevTT_RAF', '2', '2', 0, 1434524148),
(39136, 134, 4935, 'CodevTT_RAF', '2', '2', 0, 1434524180),
(39137, 134, 4935, 'CodevTT_RAF', '2', '1', 0, 1434524204),
(39138, 134, 4935, 'CodevTT_RAF', '1', '0.5', 0, 1434524283),
(39139, 134, 4935, 'CodevTT_RAF', '0.5', '0.5', 0, 1434524322),
(39176, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1434548295),
(39177, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434548454),
(39178, 164, 3943, 'CodevTT_RAF', '0', '0', 0, 1434548489),
(39179, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434548508),
(39180, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434548545),
(39190, 93, 5280, 'CodevTT_RAF', '', '10', 0, 1434611678),
(39191, 93, 5280, 'status', '10', '50', 0, 1434611678),
(39193, 93, 5280, 'CodevTT_RAF', '10', '0.05', 0, 1434611714),
(39194, 93, 5280, 'CodevTT_RAF', '0.05', '10', 0, 1434611924),
(39195, 93, 5280, 'CodevTT_RAF', '10', '5.7', 0, 1434613187),
(39196, 93, 5280, 'CodevTT_RAF', '5.7', '5.3', 0, 1434613204),
(39197, 93, 5280, 'CodevTT_RAF', '5.3', '5', 0, 1434613220),
(39198, 93, 5280, 'CodevTT_RAF', '5', '4.6', 0, 1434613238),
(39199, 93, 5280, 'CodevTT_RAF', '4.6', '4.1', 0, 1434613339),
(39200, 93, 5280, 'CodevTT_RAF', '4.1', '3.8', 0, 1434613374),
(39201, 93, 5280, 'CodevTT_RAF', '3.8', '3.4', 0, 1434613394),
(39202, 93, 5280, 'CodevTT_RAF', '3.4', '3.25', 0, 1434613430),
(39203, 93, 5280, 'CodevTT_RAF', '3.25', '3.25', 0, 1434613440),
(39204, 93, 4798, 'CodevTT_RAF', '0', '1', 0, 1434613490),
(39248, 2, 5232, 'CodevTT_RAF', '1', '0.5', 0, 1434626409),
(39249, 2, 5232, 'CodevTT_RAF', '0.5', '0', 0, 1434626427),
(39250, 2, 5232, 'CodevTT_RAF', '0', '0', 0, 1434626427),
(39251, 2, 5232, 'status', '50', '80', 0, 1434626427),
(39252, 72, 5297, '', '', '', 1, 1434627016),
(39253, 72, 5297, 'handler_id', '0', '93', 0, 1434627016),
(39254, 146, 4719, 'CodevTT_RAF', '3', '0.5', 0, 1434627738),
(39255, 146, 4719, 'CodevTT_RAF', '0.5', '0.5', 0, 1434627752),
(39256, 146, 4719, 'CodevTT_RAF', '0.5', '0.5', 0, 1434627767),
(39257, 146, 4719, 'CodevTT_RAF', '0.5', '0.5', 0, 1434627786),
(39258, 146, 4719, 'CodevTT_RAF', '0.5', '0.5', 0, 1434627826),
(39259, 146, 4913, 'CodevTT_RAF', '', '39.5', 0, 1434627903),
(39260, 146, 4913, 'status', '10', '50', 0, 1434627903),
(39261, 146, 4913, 'CodevTT_RAF', '39.5', '38.5', 0, 1434627965),
(39262, 146, 4913, 'CodevTT_RAF', '38.5', '37.5', 0, 1434627982),
(39263, 146, 4913, 'CodevTT_RAF', '37.5', '36.5', 0, 1434627999),
(39264, 146, 4913, 'CodevTT_RAF', '36.5', '35.5', 0, 1434628013),
(39265, 146, 4913, 'CodevTT_RAF', '35.5', '34.5', 0, 1434628031),
(39266, 146, 4913, 'CodevTT_RAF', '34.5', '33.5', 0, 1434628059),
(39267, 146, 4913, 'CodevTT_RAF', '33.5', '32.5', 0, 1434628076),
(39273, 93, 5297, 'CodevTT_RAF', '', '1', 0, 1434629865),
(39274, 93, 5297, 'status', '10', '50', 0, 1434629865),
(39275, 93, 5297, 'CodevTT_RAF', '1', '0.5', 0, 1434629885),
(39276, 93, 5297, 'CodevTT_RAF', '0.5', '1', 0, 1434629915),
(39277, 2, 2906, 'CodevTT_RAF', '0.5', '0', 0, 1434630957),
(39278, 2, 4624, 'CodevTT_RAF', '0.25', '0', 0, 1434630975),
(39279, 2, 4798, 'CodevTT_RAF', '1', '0', 0, 1434630988),
(39343, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1434703886),
(39344, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1434703895),
(39345, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1434703902),
(39346, 74, 5279, 'CodevTT_RAF', '5', '1', 0, 1434703911),
(39358, 147, 4590, 'CodevTT_RAF', '0.5', '4', 0, 1434705104),
(39359, 147, 4881, 'CodevTT_RAF', '0.5', '1', 0, 1434705237),
(39360, 147, 4844, 'CodevTT_RAF', '4', '5', 0, 1434705277),
(39361, 147, 4844, 'CodevTT_RAF', '5', '4', 0, 1434705309),
(39362, 147, 4881, 'CodevTT_RAF', '1', '2', 0, 1434705335),
(39374, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434707188),
(39375, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434707209),
(39377, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1434707229),
(39378, 73, 4718, 'CodevTT_RAF', '0.01', '1', 0, 1434717217),
(39379, 73, 4718, 'CodevTT_RAF', '1', '0.1', 0, 1434717246),
(39380, 73, 4912, 'CodevTT_RAF', '13', '8', 0, 1434717327),
(39381, 73, 4912, 'CodevTT_RAF', '8', '7', 0, 1434717338),
(39382, 73, 4912, 'CodevTT_RAF', '7', '6', 0, 1434717347),
(39393, 116, 4886, 'CodevTT_RAF', '3.1', '3', 0, 1434722302),
(39394, 116, 4886, 'CodevTT_RAF', '3', '2.8', 0, 1434722311),
(39395, 116, 4886, 'CodevTT_RAF', '2.8', '2.6', 0, 1434722320),
(39396, 116, 4886, 'CodevTT_RAF', '2.6', '2.4', 0, 1434722361),
(39397, 116, 4886, 'CodevTT_RAF', '2.4', '2.2', 0, 1434722370),
(39406, 147, 4881, 'CodevTT_RAF', '2', '2', 0, 1434724947),
(39407, 147, 4844, 'CodevTT_RAF', '4', '3', 0, 1434725010),
(39408, 147, 4844, 'CodevTT_RAF', '3', '2', 0, 1434725081),
(39409, 147, 4844, 'CodevTT_RAF', '2', '1', 0, 1434725167),
(39410, 147, 4882, 'CodevTT_RAF', '0.5', '1', 0, 1434725226),
(39411, 147, 4844, 'CodevTT_RAF', '1', '1', 0, 1434725262),
(39412, 147, 4881, 'CodevTT_RAF', '2', '1', 0, 1434725312),
(39413, 147, 4881, 'CodevTT_RAF', '1', '1', 0, 1434725346),
(39414, 147, 4589, 'CodevTT_RAF', '1', '3', 0, 1434725384),
(39415, 147, 4589, 'CodevTT_RAF', '3', '1', 0, 1434725406),
(39438, 134, 4934, 'CodevTT_RAF', '0', '0', 0, 1434725775),
(39439, 134, 4935, 'CodevTT_RAF', '0.5', '1', 0, 1434725807),
(39440, 134, 4935, 'CodevTT_RAF', '1', '2', 0, 1434725893),
(39597, 93, 5341, '', '', '', 1, 1434986698),
(39598, 93, 5341, 'handler_id', '0', '93', 0, 1434986698),
(39599, 93, 5341, 'summary', '[40956]  3 en 1 : Pas de prise en compte de l\'assiette sociale annualisée 2015 pour l\'acompte prov 2015', '40956 3 en 1 : Pas de prise en compte de l\'assiette sociale annualisée 2015 pour l\'acompte prov 2015', 0, 1434986862),
(39601, 93, 5341, 'Ref. Externe', '', '40956', 0, 1434987127),
(39603, 93, 5341, 'summary', '40956 3 en 1 : Pas de prise en compte de l\'assiette sociale annualisée 2015 pour l\'acompte prov 2015', '40956 - 3 en 1 : Pas de prise en compte de l\'assiette sociale annualisée 2015 pour l\'acompte prov 2015', 0, 1434987182),
(39605, 93, 5342, '', '', '', 1, 1434987329),
(39606, 93, 5342, 'handler_id', '0', '93', 0, 1434987329),
(39608, 93, 5343, '', '', '', 1, 1434987449),
(39609, 93, 5343, 'handler_id', '0', '93', 0, 1434987449),
(39610, 93, 5341, 'CodevTT_Dead Line', '1437170400', '1434578400', 0, 1434987500),
(39611, 93, 5342, 'CodevTT_Dead Line', '1437170400', '1434578400', 0, 1434987587),
(39613, 93, 5342, 'CodevTT_RAF', '', '0.5', 0, 1434987714),
(39614, 93, 5342, 'status', '10', '50', 0, 1434987714),
(39615, 93, 5341, 'CodevTT_RAF', '', '0.5', 0, 1434987742),
(39616, 93, 5341, 'status', '10', '50', 0, 1434987742),
(39617, 93, 5343, 'CodevTT_RAF', '', '0.50', 0, 1434987791),
(39618, 93, 5343, 'status', '10', '50', 0, 1434987791),
(39619, 93, 5343, 'CodevTT_RAF', '0.50', '0.50', 0, 1434987844),
(39626, 93, 5280, 'CodevTT_RAF', '3.25', '0.5', 0, 1434988458),
(39627, 93, 5280, 'CodevTT_RAF', '0.5', '3', 0, 1434988554),
(39628, 93, 5280, 'CodevTT_RAF', '3', '2.5', 0, 1434988582),
(39629, 93, 5280, 'CodevTT_RAF', '2.5', '1.6', 0, 1434988604),
(39630, 93, 5280, 'CodevTT_RAF', '1.6', '1.1', 0, 1434988622),
(39631, 93, 5280, 'CodevTT_RAF', '1.1', '1', 0, 1434988644),
(39633, 93, 5280, 'CodevTT_RAF', '1', '2', 0, 1434989144),
(39634, 93, 5280, 'CodevTT_RAF', '2', '1.6', 0, 1434989158),
(39635, 93, 4958, 'CodevTT_RAF', '', '2', 0, 1434989206),
(39636, 93, 4958, 'status', '10', '50', 0, 1434989206),
(39637, 93, 4958, 'CodevTT_RAF', '2', '1', 0, 1434989220),
(39679, 2, 4866, 'CodevTT_RAF', '2', '0', 0, 1435136613),
(39680, 2, 4866, '', '0000675', '', 2, 1435136613),
(39681, 2, 4866, 'status', '50', '80', 0, 1435136613),
(39682, 2, 4866, 'resolution', '10', '90', 0, 1435136613),
(39688, 113, 4912, 'CodevTT_RAF', '6', '0.01', 0, 1435146422),
(39695, 157, 5098, 'CodevTT_RAF', '', '1', 0, 1435151050),
(39696, 157, 5098, 'status', '10', '40', 0, 1435151050),
(39697, 157, 5098, 'CodevTT_RAF', '1', '0.5', 0, 1435151082),
(39698, 157, 4891, 'CodevTT_RAF', '5.5', '5', 0, 1435151120),
(39699, 157, 4890, 'CodevTT_RAF', '2', '1', 0, 1435151147),
(39700, 2, 5344, '', '', '', 1, 1435151397),
(39701, 2, 5344, 'handler_id', '0', '114', 0, 1435151397),
(39702, 2, 5344, 'CodevTT_RAF', '', '1', 0, 1435151423),
(39703, 2, 5344, 'status', '10', '50', 0, 1435151423),
(39704, 2, 4890, 'CodevTT_RAF', '1', '1', 0, 1435151492),
(39705, 2, 4890, 'CodevTT_RAF', '1', '1', 0, 1435151504),
(39711, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1435159198),
(39712, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1435159224),
(39713, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1435159324),
(39717, 116, 4886, 'CodevTT_RAF', '2.2', '1.5', 0, 1435218761),
(39718, 116, 4886, 'CodevTT_RAF', '1.5', '1.0', 0, 1435218784),
(39719, 134, 4935, 'CodevTT_RAF', '2', '1', 0, 1435218810),
(39720, 134, 4935, 'CodevTT_RAF', '1', '3', 0, 1435218838),
(39721, 134, 4935, 'CodevTT_RAF', '3', '2.4', 0, 1435218890),
(39722, 134, 4935, 'CodevTT_RAF', '2.4', '2', 0, 1435218907),
(39723, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1435218957),
(39724, 134, 4935, 'CodevTT_RAF', '2', '0.5', 0, 1435218959),
(39725, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1435218976),
(39726, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1435219125),
(39727, 158, 4844, 'CodevTT_RAF', '1', '5', 0, 1435219155),
(39728, 158, 4844, 'CodevTT_RAF', '5', '5', 0, 1435219177),
(39729, 158, 4844, 'CodevTT_RAF', '5', '1', 0, 1435219188),
(39730, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1435219314),
(39731, 134, 5345, '', '', '', 1, 1435219326),
(39732, 134, 5345, 'handler_id', '0', '134', 0, 1435219326),
(39733, 134, 5345, 'CodevTT_RAF', '', '0', 0, 1435219381),
(39734, 134, 5345, 'CodevTT_RAF', '0', '0', 0, 1435219381),
(39735, 134, 5345, 'status', '10', '80', 0, 1435219381),
(39755, 134, 4934, 'CodevTT_RAF', '0', '0', 0, 1435246072),
(39756, 134, 4934, 'status', '85', '90', 0, 1435246072),
(39757, 134, 4935, 'CodevTT_RAF', '0.5', '0', 0, 1435246095),
(39758, 134, 4935, 'CodevTT_RAF', '0', '0', 0, 1435246095),
(39759, 134, 4935, 'status', '30', '80', 0, 1435246095),
(39799, 74, 5279, 'CodevTT_RAF', '1', '5', 0, 1435303123),
(39800, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1435303144),
(39801, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1435303160),
(39802, 74, 4890, 'CodevTT_RAF', '1', '0.5', 0, 1435303258),
(39803, 74, 2120, 'CodevTT_RAF', '0', '1', 0, 1435303320),
(39804, 74, 5279, 'CodevTT_RAF', '5', '5', 0, 1435303350),
(39805, 74, 2120, 'CodevTT_RAF', '1', '1', 0, 1435303441),
(39806, 114, 4940, 'CodevTT_RAF', '0.5', '0.5', 0, 1435305432),
(39807, 114, 5037, 'CodevTT_RAF', '5', '4', 0, 1435305454),
(39808, 114, 5037, 'CodevTT_RAF', '4', '3.5', 0, 1435305472),
(39809, 114, 4957, 'CodevTT_RAF', '0.5', '7', 0, 1435305499),
(39810, 114, 5037, 'CodevTT_RAF', '3.5', '3', 0, 1435305588),
(39811, 114, 4957, 'CodevTT_RAF', '7', '6.5', 0, 1435305616),
(39812, 114, 5098, 'CodevTT_RAF', '0.5', '5', 0, 1435305693),
(39813, 114, 5232, 'CodevTT_RAF', '0', '1', 0, 1435306077),
(39814, 114, 5098, 'CodevTT_RAF', '5', '5', 0, 1435306105),
(39815, 114, 4957, 'CodevTT_RAF', '6.5', '6', 0, 1435306140),
(39816, 114, 5232, 'CodevTT_RAF', '1', '2', 0, 1435306169),
(39817, 114, 5098, 'CodevTT_RAF', '5', '4', 0, 1435306195),
(39818, 114, 5098, 'CodevTT_RAF', '4', '4', 0, 1435306221),
(39819, 114, 5098, 'CodevTT_RAF', '4', '4', 0, 1435306244),
(39820, 114, 4957, 'CodevTT_RAF', '6', '5', 0, 1435306534),
(39821, 114, 5098, 'CodevTT_RAF', '4', '3', 0, 1435306549),
(39822, 114, 5098, 'CodevTT_RAF', '3', '3', 0, 1435306582),
(39823, 114, 5098, 'CodevTT_RAF', '3', '3', 0, 1435306598),
(39827, 114, 5348, '', '', '', 1, 1435306826),
(39828, 114, 5348, 'handler_id', '0', '114', 0, 1435306826),
(39829, 114, 5348, 'CodevTT_RAF', '', '0', 0, 1435306889),
(39830, 114, 5348, 'CodevTT_RAF', '0', '0', 0, 1435306889),
(39831, 114, 5348, 'status', '10', '80', 0, 1435306889),
(39832, 114, 5344, 'CodevTT_RAF', '1', '4', 0, 1435306916),
(39842, 114, 5344, 'CodevTT_RAF', '4', '4', 0, 1435307117),
(39859, 2, 4957, 'CodevTT_RAF', '5', '5', 0, 1435307945),
(39877, 93, 5342, 'CodevTT_RAF', '0.5', '0.5', 0, 1435309901),
(39880, 93, 5341, 'CodevTT_RAF', '0.5', '0.5', 0, 1435309922),
(39887, 93, 5343, 'CodevTT_RAF', '0.50', '0.5', 0, 1435310085),
(39891, 93, 5342, 'CodevTT_RAF', '0.5', '1', 0, 1435310107),
(39892, 93, 5341, 'CodevTT_RAF', '0.5', '0.5', 0, 1435310127),
(39946, 158, 4844, 'CodevTT_RAF', '1', '0.5', 0, 1435311420),
(39969, 158, 4844, 'CodevTT_RAF', '0.5', '0.5', 0, 1435311744),
(39999, 157, 4891, 'CodevTT_RAF', '5', '5', 0, 1435321378),
(40000, 157, 4891, 'CodevTT_RAF', '5', '4', 0, 1435321396),
(40001, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435324581),
(40002, 164, 5354, '', '', '', 1, 1435324808),
(40003, 164, 5354, 'CodevTT_RAF', '', '0', 0, 1435324914),
(40004, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1435324914),
(40005, 164, 5354, 'status', '10', '80', 0, 1435324914),
(40006, 164, 5354, 'handler_id', '0', '164', 0, 1435324914),
(40007, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1435324968),
(40008, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1435325019),
(40009, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1435325043),
(40035, 2, 4890, 'CodevTT_RAF', '0.5', '0.5', 0, 1435327755),
(40037, 2, 5357, '', '', '', 1, 1435327875),
(40038, 2, 5357, 'CodevTT_RAF', '', '2', 0, 1435327920),
(40039, 2, 5357, 'status', '10', '50', 0, 1435327920),
(40040, 2, 5357, 'handler_id', '0', '2', 0, 1435327920),
(40041, 2, 5357, 'CodevTT_RAF', '2', '2', 0, 1435327944),
(40042, 74, 5357, 'CodevTT_RAF', '2', '1', 0, 1435327969),
(40043, 74, 5357, 'CodevTT_RAF', '1', '1', 0, 1435327980),
(40044, 74, 5357, 'CodevTT_RAF', '1', '1', 0, 1435327988),
(40064, 116, 4886, 'CodevTT_RAF', '1.0', '0.5', 0, 1435330838),
(40065, 116, 4886, 'CodevTT_RAF', '0.5', '0', 0, 1435330851),
(40066, 116, 4886, 'CodevTT_RAF', '0', '0', 0, 1435330851),
(40067, 116, 4886, 'status', '50', '80', 0, 1435330851),
(40070, 2, 5358, '', '', '', 1, 1435330983),
(40073, 116, 5358, 'CodevTT_RAF', '', '0', 0, 1435331035),
(40074, 116, 5358, 'CodevTT_RAF', '0', '0', 0, 1435331035),
(40075, 116, 5358, 'status', '10', '80', 0, 1435331035),
(40076, 116, 5358, 'handler_id', '0', '116', 0, 1435331035),
(40099, 2, 5357, 'CodevTT_RAF', '1', '4', 0, 1435333486),
(40108, 146, 4719, 'CodevTT_RAF', '0.5', '0.5', 0, 1435334063),
(40110, 146, 4719, 'CodevTT_RAF', '0.5', '0.5', 0, 1435334107),
(40112, 146, 4889, 'CodevTT_RAF', '0.55', '0.5', 0, 1435334205),
(40113, 146, 4889, 'CodevTT_RAF', '0.5', '0.5', 0, 1435334299),
(40114, 146, 4889, 'handler_id', '73', '146', 0, 1435334299),
(40115, 146, 4889, 'CodevTT_RAF', '0.5', '0.5', 0, 1435334341),
(40116, 146, 4889, 'CodevTT_RAF', '0.5', '0.5', 0, 1435334472),
(40117, 146, 4719, 'CodevTT_RAF', '0.5', '0.5', 0, 1435335304),
(40118, 146, 4987, 'CodevTT_RAF', '2', '0', 0, 1435335436),
(40119, 146, 4987, 'CodevTT_RAF', '0', '0', 0, 1435335436),
(40120, 146, 4987, 'status', '50', '80', 0, 1435335436),
(40121, 146, 4987, 'CodevTT_RAF', '0', '0', 0, 1435335590),
(40122, 146, 4889, 'CodevTT_RAF', '0.5', '0', 0, 1435335625),
(40123, 146, 4889, 'CodevTT_RAF', '0', '0', 0, 1435335625),
(40124, 146, 4889, 'status', '50', '80', 0, 1435335625),
(40125, 146, 4987, 'CodevTT_RAF', '0', '0', 0, 1435335683),
(40132, 72, 5360, '', '', '', 1, 1435558808),
(40133, 72, 5360, 'handler_id', '0', '93', 0, 1435558808),
(40134, 72, 5361, '', '', '', 1, 1435558920),
(40160, 2, 5362, '', '', '', 1, 1435588945),
(40167, 2, 5362, 'CodevTT_RAF', '', '1', 0, 1435649867),
(40168, 2, 5362, 'status', '10', '50', 0, 1435649867),
(40169, 2, 5362, 'handler_id', '0', '2', 0, 1435649867),
(40170, 2, 5362, 'CodevTT_RAF', '1', '1', 0, 1435649883),
(40175, 116, 5358, 'CodevTT_RAF', '0', '0', 0, 1435651878),
(40176, 116, 4455, 'CodevTT_RAF', '0', '0', 0, 1435651943),
(40317, 73, 4912, 'CodevTT_RAF', '0.01', '4', 0, 1435671147),
(40318, 73, 4912, 'CodevTT_RAF', '4', '1', 0, 1435671164),
(40323, 2, 5362, 'CodevTT_RAF', '1', '0', 0, 1435671238),
(40324, 2, 5362, 'CodevTT_RAF', '0', '0', 0, 1435671238),
(40325, 2, 5362, 'status', '50', '80', 0, 1435671238),
(40330, 73, 4912, 'CodevTT_RAF', '1', '4', 0, 1435671258),
(40331, 2, 5362, 'CodevTT_RAF', '0', '0', 0, 1435671277),
(40332, 73, 4912, 'CodevTT_RAF', '4', '2', 0, 1435671277),
(40333, 73, 4912, 'CodevTT_RAF', '2', '1', 0, 1435671296),
(40334, 73, 4912, 'CodevTT_RAF', '1', '0.1', 0, 1435671318),
(40335, 72, 5405, '', '', '', 1, 1435671917),
(40336, 72, 5405, 'handler_id', '0', '73', 0, 1435671917),
(40337, 72, 5406, '', '', '', 1, 1435671989),
(40338, 73, 5405, 'CodevTT_RAF', '', '5', 0, 1435672823),
(40339, 73, 5405, 'status', '10', '30', 0, 1435672823),
(40393, 157, 4891, 'CodevTT_RAF', '4', '3', 0, 1435741833),
(40394, 157, 4891, 'CodevTT_RAF', '3', '3', 0, 1435741860),
(40395, 157, 4891, 'CodevTT_RAF', '3', '4', 0, 1435741871),
(40396, 157, 4891, 'CodevTT_RAF', '4', '3', 0, 1435741883),
(40397, 157, 4891, 'CodevTT_RAF', '3', '2', 0, 1435741896),
(40398, 157, 4891, 'CodevTT_RAF', '2', '1', 0, 1435741908),
(40417, 158, 4844, 'CodevTT_RAF', '0.5', '1', 0, 1435757007),
(40418, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1435757028),
(40422, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1435765264),
(40423, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1435765300),
(40424, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1435765336),
(40425, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1435765360),
(40426, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435765386),
(40427, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1435765408),
(40428, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435765437),
(40429, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435765468),
(40430, 72, 5357, 'CodevTT_RAF', '4', '3', 0, 1435814830),
(40431, 72, 5357, 'handler_id', '2', '72', 0, 1435814830),
(40432, 72, 5357, 'CodevTT_RAF', '3', '2', 0, 1435814845),
(40433, 72, 4957, 'CodevTT_RAF', '5', '4', 0, 1435814903),
(40434, 134, 5407, '', '', '', 1, 1435822640),
(40435, 134, 5407, 'handler_id', '0', '134', 0, 1435822640),
(40436, 134, 5407, 'CodevTT_RAF', '', '1', 0, 1435822693),
(40437, 134, 5407, 'status', '10', '30', 0, 1435822693),
(40438, 134, 5407, 'CodevTT_RAF', '1', '1', 0, 1435822791),
(40439, 2, 5408, '', '', '', 1, 1435822865),
(40440, 2, 5408, 'handler_id', '0', '2', 0, 1435822865),
(40441, 134, 4886, 'CodevTT_RAF', '0', '0.15', 0, 1435822907),
(40442, 2, 4891, 'CodevTT_ChargeMgr', '20', '10', 0, 1435823008),
(40443, 2, 4891, 'CodevTT_ChargeInit', '16', '10', 0, 1435823008),
(40444, 2, 4891, 'summary', '40637 - [DEV] Calendrier des paiements 2015 - CDC Appel de régularisation', '40637 - [DEV] Calendrier des paiements 2015 - CDC Appel de régularisation (Declenchement 3en1)', 0, 1435823008),
(40445, 2, 4891, '', '949', '', 6, 1435823008),
(40446, 134, 4934, 'CodevTT_RAF', '0', '0', 0, 1435823025),
(40447, 2, 5409, '', '', '', 1, 1435823084),
(40448, 2, 5409, 'handler_id', '0', '157', 0, 1435823084),
(40449, 134, 5407, 'CodevTT_RAF', '1', '0.60', 0, 1435823104),
(40450, 134, 5407, 'CodevTT_RAF', '0.60', '0', 0, 1435823120),
(40451, 134, 5407, 'CodevTT_RAF', '0', '0', 0, 1435823120),
(40452, 134, 5407, 'status', '30', '80', 0, 1435823120),
(40453, 2, 5410, '', '', '', 1, 1435823143),
(40454, 134, 4886, 'CodevTT_RAF', '0.15', '0.05', 0, 1435823168),
(40455, 134, 4886, 'CodevTT_RAF', '0.05', '0.05', 0, 1435823205),
(40456, 134, 4886, 'CodevTT_RAF', '0.05', '0', 0, 1435823219),
(40457, 134, 4455, 'CodevTT_RAF', '0', '3', 0, 1435823257),
(40458, 2, 5408, 'summary', '0004891: 40637 - [SPEC] DEX Calendrier des paiements 2015 - CDC Appel de régularisation', '0004891: 40637 - [DEX] Calendrier des paiements 2015 - CDC Appel de régularisation', 0, 1435823293),
(40459, 2, 5408, 'summary', '0004891: 40637 - [DEX] Calendrier des paiements 2015 - CDC Appel de régularisation', '40637 - [DEX] Calendrier des paiements 2015 - CDC Appel de régularisation', 0, 1435823318),
(40460, 2, 5411, '', '', '', 1, 1435823493),
(40461, 2, 5411, 'handler_id', '0', '2', 0, 1435823493),
(40464, 2, 4958, 'CodevTT_RAF', '1', '20', 0, 1435824624),
(40465, 2, 4958, 'CodevTT_Dead Line', '1433714400', '1438293600', 0, 1435824624),
(40466, 2, 5412, '', '', '', 1, 1435824752),
(40467, 2, 5412, 'handler_id', '0', '147', 0, 1435824752),
(40468, 2, 5412, 'Ref. Externe', '', '40714', 0, 1435824778),
(40469, 2, 4958, 'CodevTT_RAF', '20', '15', 0, 1435824846),
(40470, 2, 4958, 'handler_id', '114', '169', 0, 1435824846),
(40471, 2, 4958, 'summary', '40714 [DEV] 3 en 1 : script de rattrapage des spocs envoyés sans article 22 (caisses 53 et 54)', '40714 [DEV] 3 en 1 : PARTIE 2 (spoc) - script de rattrapage des spocs envoyés sans article 22', 0, 1435824846),
(40472, 2, 4958, '', '951', '', 6, 1435824846),
(40473, 2, 4958, 'CodevTT_RAF', '15', '5', 0, 1435824945),
(40474, 2, 4958, 'summary', '40714 [DEV] 3 en 1 : PARTIE 2 (spoc) - script de rattrapage des spocs envoyés sans article 22', '40714 [DEV] 3 en 1 : PARTIE 1 - script de rattrapage des spocs envoyés sans article 22', 0, 1435824945),
(40475, 2, 4958, '', '952', '', 6, 1435824945),
(40476, 2, 5412, 'CodevTT_ChargeInit', '5', '15', 0, 1435824949),
(40477, 2, 5412, 'summary', '40714 [DEV] 3 en 1 : PARTIE 1 - script de rattrapage des spocs envoyés sans article 22', '40714 [DEV] 3 en 1 : PARTIE 2 (spoc) - script de rattrapage des spocs envoyés sans article 22', 0, 1435824949),
(40478, 2, 5412, '', '954', '', 6, 1435824949),
(40479, 2, 5412, 'handler_id', '147', '169', 0, 1435824974),
(40480, 2, 4958, 'handler_id', '169', '147', 0, 1435824984),
(40481, 2, 5102, 'status', '50', '80', 0, 1435825066),
(40482, 2, 5102, 'resolution', '10', '20', 0, 1435825066),
(40483, 2, 5102, 'CodevTT_RAF', '', '0', 0, 1435825066),
(40484, 2, 5413, '', '', '', 1, 1435825504),
(40485, 2, 5414, '', '', '', 1, 1435825569),
(40486, 2, 5413, 'target_version', '', '15.0.0_Nov', 0, 1435825590),
(40487, 2, 5360, 'CodevTT_ChargeMgr', '10', '15', 0, 1435825729),
(40488, 2, 5360, 'CodevTT_ChargeInit', '8', '10', 0, 1435825729),
(40491, 2, 5361, 'CodevTT_ChargeMgr', '20', '25', 0, 1435825771),
(40492, 2, 5361, 'CodevTT_ChargeInit', '18', '20', 0, 1435825771),
(40493, 2, 5361, 'handler_id', '0', '134', 0, 1435825771),
(40494, 2, 5361, 'CodevTT_Dead Line', '1441836000', '', 0, 1435825825),
(40495, 93, 5342, 'CodevTT_RAF', '1', '3', 0, 1435825953),
(40496, 2, 5416, '', '', '', 1, 1435826042),
(40497, 2, 5416, 'handler_id', '0', '157', 0, 1435826042),
(40501, 2, 5411, 'CodevTT_Dead Line', '', '1437688800', 0, 1435826163),
(40502, 2, 5408, 'CodevTT_Dead Line', '', '1437688800', 0, 1435826163),
(40503, 2, 5410, 'CodevTT_Dead Line', '', '1437688800', 0, 1435826163),
(40504, 2, 5409, 'CodevTT_Dead Line', '', '1437688800', 0, 1435826163),
(40505, 2, 4891, 'CodevTT_Dead Line', '', '1437688800', 0, 1435826163),
(40506, 2, 4890, 'CodevTT_Dead Line', '', '1437688800', 0, 1435826163),
(40507, 93, 5297, 'CodevTT_RAF', '1', '3', 0, 1435826168),
(40508, 2, 4939, 'handler_id', '157', '0', 0, 1435826340),
(40509, 2, 4939, 'status', '50', '20', 0, 1435826340),
(40510, 2, 4939, 'version', '14.2.0', '', 0, 1435826340),
(40511, 2, 4939, 'target_version', '14.2.0', '16.0.0', 0, 1435826340),
(40512, 93, 5297, 'CodevTT_RAF', '3', '2', 0, 1435826401),
(40515, 93, 5343, 'CodevTT_RAF', '0.5', '2', 0, 1435826466),
(40516, 93, 5343, 'CodevTT_RAF', '2', '2', 0, 1435826485),
(40517, 93, 5297, 'CodevTT_RAF', '2', '2', 0, 1435826529),
(40518, 2, 5413, 'handler_id', '0', '169', 0, 1435826538),
(40519, 93, 5343, 'CodevTT_RAF', '2', '2', 0, 1435826549),
(40520, 2, 5414, 'handler_id', '0', '169', 0, 1435826560),
(40521, 93, 5342, 'CodevTT_RAF', '3', '2', 0, 1435826571),
(40522, 93, 5342, 'CodevTT_RAF', '2', '1', 0, 1435826599),
(40523, 93, 5342, 'CodevTT_RAF', '1', '2', 0, 1435826629),
(40524, 2, 5412, 'CodevTT_Dead Line', '', '1438293600', 0, 1435826720),
(40525, 2, 5433, '', '', '', 1, 1435826883),
(40526, 2, 5433, 'handler_id', '0', '2', 0, 1435826883),
(40527, 2, 5433, '', '', '5414', 21, 1435826883),
(40528, 2, 5414, '', '', '5433', 20, 1435826883),
(40529, 2, 5414, 'CodevTT_ChargeInit', '60', '20', 0, 1435826966),
(40530, 2, 5414, 'summary', '40965 [DEV] Appels provisionnels 2016', '40965 [DEV] PARTIE 1 - Appels provisionnels 2016', 0, 1435826966),
(40531, 2, 5434, '', '', '', 1, 1435826997),
(40532, 2, 5434, 'handler_id', '0', '169', 0, 1435826997),
(40533, 2, 5434, '', '', '5414', 21, 1435826997),
(40534, 2, 5414, '', '', '5434', 20, 1435826997),
(40535, 2, 5411, 'Ref. Externe', '', '40637', 0, 1435827035),
(40536, 2, 3940, 'CodevTT_RAF', '0.1', '0', 0, 1435827086),
(40537, 2, 3940, 'status', '50', '80', 0, 1435827086),
(40538, 2, 3940, 'resolution', '10', '20', 0, 1435827086),
(40539, 2, 5037, 'handler_id', '2', '0', 0, 1435827118),
(40540, 2, 5083, 'handler_id', '2', '0', 0, 1435827131),
(40541, 2, 5434, 'handler_id', '169', '157', 0, 1435827256),
(40542, 2, 5413, '', '2501', '5414', 18, 1435827380),
(40543, 2, 5414, '', '2500', '5413', 18, 1435827380),
(40544, 2, 5413, '', '2501', '5433', 18, 1435827404),
(40545, 2, 5433, '', '2500', '5413', 18, 1435827404),
(40546, 2, 5413, '', '2501', '5434', 18, 1435827418),
(40547, 2, 5434, '', '2500', '5413', 18, 1435827418),
(40553, 2, 4302, 'handler_id', '73', '117', 0, 1435827844),
(40554, 2, 4302, 'status', '50', '20', 0, 1435827844),
(40555, 2, 4991, 'Ref. Externe', '', 'GAC_2889', 0, 1435827887),
(40559, 2, 4909, 'Ref. Externe', '', 'GAC_2814', 0, 1435828066),
(40567, 2, 3888, 'CodevTT_RAF', '2', '0', 0, 1435828416),
(40568, 2, 3888, 'status', '50', '80', 0, 1435828416),
(40569, 2, 3888, 'resolution', '10', '20', 0, 1435828416),
(40571, 2, 4282, 'CodevTT_Dead Line', '1430344800', '', 0, 1435828506),
(40572, 2, 4282, 'status', '50', '20', 0, 1435828514),
(40576, 2, 4719, 'status', '50', '80', 0, 1435828933),
(40577, 2, 4719, 'resolution', '10', '20', 0, 1435828933),
(40578, 2, 4719, 'CodevTT_RAF', '0.5', '0', 0, 1435828933),
(40581, 2, 4210, '', '0000688', '', 2, 1435829133),
(40582, 2, 4210, 'status', '50', '20', 0, 1435829133),
(40594, 2, 4937, 'status', '50', '80', 0, 1435829913),
(40595, 2, 4937, 'resolution', '10', '20', 0, 1435829913),
(40596, 2, 4937, 'CodevTT_RAF', '1.5', '0', 0, 1435829913),
(40597, 2, 5357, 'handler_id', '72', '74', 0, 1435830106),
(40598, 2, 2132, 'CodevTT_RAF', '0', '1', 0, 1435830929),
(40599, 2, 2132, 'CodevTT_Dead Line', '1430344800', '', 0, 1435830929),
(40600, 2, 2132, '', '0000689', '', 2, 1435830929),
(40601, 2, 2132, 'priority', '40', '30', 0, 1435830929),
(40602, 2, 2132, 'status', '80', '30', 0, 1435830929),
(40603, 2, 2132, 'target_version', '15.0.0_Juillet', '15.1.0_AFFI', 0, 1435830929),
(40604, 2, 4333, 'CodevTT_RAF', '4', '10', 0, 1435831008),
(40605, 2, 4333, 'handler_id', '2', '116', 0, 1435831008),
(40606, 2, 4333, 'status', '20', '30', 0, 1435831008),
(40607, 2, 4333, 'target_version', '15.0.0_Nov', '15.1.0_AFFI', 0, 1435831035),
(40608, 2, 4288, 'handler_id', '134', '0', 0, 1435831377),
(40609, 2, 4913, 'CodevTT_ChargeMgr', '45', '15', 0, 1435831492),
(40610, 2, 4913, 'CodevTT_ChargeInit', '40', '10', 0, 1435831492),
(40611, 2, 4913, 'CodevTT_RAF', '32.5', '10', 0, 1435831492),
(40612, 2, 4913, 'summary', '2889  [DEV]  GAC Presta non Presta - Partie 1', '2889  [DEV]  GAC Presta non Presta - Partie 1 (transformation)', 0, 1435831492),
(40613, 2, 4914, 'CodevTT_ChargeMgr', '15', '20', 0, 1435831583),
(40614, 2, 4914, 'CodevTT_ChargeInit', '15', '20', 0, 1435831583),
(40615, 2, 4914, 'handler_id', '116', '146', 0, 1435831583),
(40616, 2, 4914, 'summary', '2889 [DEV] GAC Presta non Presta- Partie 2', '2889 [DEV] GAC Presta non Presta- Partie 2 (integration)', 0, 1435831583);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(40617, 147, 4882, 'CodevTT_RAF', '1', '1', 0, 1435836715),
(40618, 147, 4882, 'handler_id', '74', '147', 0, 1435836715),
(40619, 147, 4882, 'CodevTT_RAF', '1', '1', 0, 1435836750),
(40620, 147, 5412, 'CodevTT_RAF', '', '14', 0, 1435836833),
(40621, 147, 5412, 'status', '10', '50', 0, 1435836833),
(40622, 147, 5412, 'handler_id', '169', '147', 0, 1435836833),
(40623, 147, 5412, 'CodevTT_RAF', '14', '13', 0, 1435836858),
(40624, 147, 5412, 'CodevTT_RAF', '13', '12', 0, 1435836878),
(40625, 147, 5412, 'CodevTT_RAF', '12', '11', 0, 1435836894),
(40626, 147, 4590, 'CodevTT_RAF', '4', '6', 0, 1435836960),
(40627, 147, 4590, 'CodevTT_RAF', '6', '8', 0, 1435836988),
(40719, 2, 5232, 'CodevTT_RAF', '2', '0', 0, 1435842040),
(40726, 2, 4890, 'CodevTT_RAF', '0.5', '0.5', 0, 1435842816),
(40767, 74, 5357, 'CodevTT_RAF', '2', '1', 0, 1435845610),
(40768, 74, 5357, 'CodevTT_RAF', '1', '1', 0, 1435845623),
(40769, 74, 5279, 'CodevTT_RAF', '5', '1', 0, 1435845654),
(40797, 74, 5453, '', '', '', 1, 1435846498),
(40798, 74, 5453, 'handler_id', '0', '74', 0, 1435846498),
(40799, 74, 5453, '', '', '5357', 21, 1435846498),
(40800, 74, 5357, '', '', '5453', 20, 1435846498),
(40801, 74, 5453, 'status', '10', '50', 0, 1435846591),
(40802, 74, 5453, 'summary', 'DSI-2014-INT-TP mauvaise attribution du régime d\'imposition rubrique XA', '41022 - DSI-2014-INT-TP mauvaise attribution du régime d\'imposition rubrique XA', 0, 1435846591),
(40803, 74, 5453, 'CodevTT_RAF', '', '1', 0, 1435846623),
(40977, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435922111),
(40978, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435922126),
(40979, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435922236),
(40980, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1435922262),
(40981, 93, 5297, 'CodevTT_RAF', '2', '0.5', 0, 1435925939),
(40982, 93, 5341, 'CodevTT_RAF', '0.5', '0.5', 0, 1435925969),
(41005, 93, 5457, '', '', '', 1, 1435931531),
(41006, 93, 5457, 'handler_id', '0', '93', 0, 1435931531),
(41013, 93, 5457, 'summary', '40603-dossiers bloqués SPOC31', '40603 - [SPEC] dossiers bloqués SPOC31 depuis le 3 en 1', 0, 1435931859),
(41014, 93, 5360, 'CodevTT_RAF', '', '9.8', 0, 1435931932),
(41015, 93, 5360, 'status', '10', '50', 0, 1435931932),
(41018, 93, 5457, 'CodevTT_RAF', '', '1.40', 0, 1435932025),
(41019, 93, 5457, 'status', '10', '50', 0, 1435932025),
(41075, 74, 5357, 'CodevTT_RAF', '1', '1', 0, 1435935068),
(41080, 72, 4957, 'CodevTT_RAF', '4', '4', 0, 1435936101),
(41081, 72, 5357, 'CodevTT_RAF', '1', '1', 0, 1435936181),
(41239, 116, 5358, 'CodevTT_RAF', '0', '0', 0, 1436253722),
(41240, 116, 4455, 'CodevTT_RAF', '3', '3', 0, 1436253759),
(41241, 158, 5457, 'CodevTT_RAF', '1.40', '1.9', 0, 1436256466),
(41242, 158, 5457, 'CodevTT_RAF', '1.9', '1.5', 0, 1436256664),
(41243, 158, 5457, 'CodevTT_RAF', '1.5', '1.5', 0, 1436256701),
(41244, 158, 4843, 'CodevTT_RAF', '0', '0', 0, 1436256951),
(41245, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1436256996),
(41246, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1436257085),
(41247, 2, 5411, 'CodevTT_RAF', '', '5', 0, 1436258350),
(41248, 2, 5411, 'status', '10', '50', 0, 1436258351),
(41249, 2, 5411, 'CodevTT_RAF', '5', '5', 0, 1436258376),
(41250, 2, 5411, 'CodevTT_RAF', '5', '5', 0, 1436258400),
(41251, 2, 5357, 'CodevTT_RAF', '1', '1', 0, 1436258443),
(41304, 72, 4957, 'CodevTT_RAF', '4', '4', 0, 1436275997),
(41415, 116, 5358, 'CodevTT_RAF', '0', '0', 0, 1436342166),
(41455, 116, 5516, '', '', '', 1, 1436342951),
(41456, 116, 5516, 'handler_id', '0', '116', 0, 1436343041),
(41792, 72, 5361, 'CodevTT_ChargeMgr', '25', '12', 0, 1436362865),
(41793, 72, 5361, 'CodevTT_ChargeInit', '20', '10', 0, 1436362865),
(41794, 72, 5361, 'summary', '40998 - [DEV] DSI-2014-CNBF-Evolution du traitement d\'échange CNAV-PL pour prise en compte du partenaire CNBF', '40998 - [DEV] DSI-2014-CNBF-Evolution du traitement d\'échange CNAV-PL - Partie 1  Selection', 0, 1436362865),
(41795, 72, 5526, '', '', '', 1, 1436362969),
(41796, 72, 5526, 'handler_id', '0', '134', 0, 1436362969),
(41797, 72, 5361, 'CodevTT_ChargeMgr', '12', '7', 0, 1436363054),
(41798, 72, 5361, 'CodevTT_ChargeInit', '10', '5', 0, 1436363054),
(41799, 72, 5361, 'category', 'GAC', 'General', 0, 1436363054),
(41800, 72, 5527, '', '', '', 1, 1436363141),
(41801, 72, 5527, 'handler_id', '0', '134', 0, 1436363141),
(41802, 93, 5457, 'CodevTT_RAF', '1.5', '3', 0, 1436363908),
(41803, 93, 5457, 'CodevTT_RAF', '3', '2', 0, 1436363938),
(41804, 93, 5457, 'CodevTT_RAF', '2', '2', 0, 1436363954),
(41805, 93, 5360, 'CodevTT_RAF', '9.8', '2', 0, 1436363978),
(41806, 93, 5360, 'CodevTT_RAF', '2', '1', 0, 1436364002),
(41807, 93, 5457, 'CodevTT_RAF', '2', '2', 0, 1436364029),
(41808, 72, 5528, '', '', '', 1, 1436366281),
(41809, 72, 5528, 'handler_id', '0', '134', 0, 1436366281),
(41810, 2, 5411, 'CodevTT_RAF', '5', '5', 0, 1436368842),
(41811, 2, 5411, 'CodevTT_RAF', '5', '5', 0, 1436368901),
(41832, 74, 5357, 'CodevTT_RAF', '1', '0.5', 0, 1436427579),
(41833, 74, 5453, 'CodevTT_RAF', '1', '0.5', 0, 1436427645),
(41834, 74, 5357, 'CodevTT_RAF', '0.5', '0.5', 0, 1436427678),
(41835, 74, 5357, 'CodevTT_RAF', '0.5', '0.5', 0, 1436427694),
(41836, 72, 5360, 'CodevTT_Dead Line', '1439503200', '1438898400', 0, 1436432953),
(41837, 72, 5360, 'handler_id', '93', '134', 0, 1436432953),
(41838, 72, 5528, '', '2500', '5360', 18, 1436433084),
(41839, 72, 5360, '', '2501', '5528', 18, 1436433084),
(41840, 72, 5527, '', '2500', '5360', 18, 1436433249),
(41841, 72, 5360, '', '2501', '5527', 18, 1436433249),
(41842, 72, 5361, '', '2500', '5360', 18, 1436433271),
(41843, 72, 5360, '', '2501', '5361', 18, 1436433271),
(41844, 72, 5526, '', '2500', '5360', 18, 1436433288),
(41845, 72, 5360, '', '2501', '5526', 18, 1436433288),
(41866, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1436447629),
(41867, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1436447667),
(41868, 164, 5536, '', '', '', 1, 1436448012),
(41869, 164, 5536, 'CodevTT_RAF', '', '0', 0, 1436448126),
(41870, 164, 5536, 'CodevTT_RAF', '0', '0', 0, 1436448126),
(41871, 164, 5536, 'status', '10', '80', 0, 1436448126),
(41872, 164, 5536, 'handler_id', '0', '164', 0, 1436448126),
(41873, 164, 5536, 'CodevTT_RAF', '0', '0', 0, 1436448145),
(41874, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1436448214),
(41875, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1436448283),
(41876, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1436448393),
(41877, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1436448573),
(41878, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1436448599),
(41879, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1436448611),
(41880, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1436448661),
(41900, 2, 5357, 'CodevTT_RAF', '0.5', '0.5', 0, 1436452254),
(41901, 2, 5411, 'CodevTT_RAF', '5', '4', 0, 1436452296),
(41932, 134, 4455, 'CodevTT_RAF', '3', '4', 0, 1436511098),
(41933, 134, 4455, 'CodevTT_RAF', '4', '2', 0, 1436511115),
(41934, 134, 4455, 'CodevTT_RAF', '2', '1', 0, 1436511133),
(41935, 134, 4455, 'CodevTT_RAF', '1', '0', 0, 1436511151),
(41936, 134, 5360, 'CodevTT_RAF', '1', '5', 0, 1436511200),
(41937, 134, 5360, 'CodevTT_RAF', '5', '4.2', 0, 1436511268),
(41938, 134, 5360, 'CodevTT_RAF', '4.2', '3.2', 0, 1436511352),
(42003, 157, 5409, 'CodevTT_RAF', '', '4', 0, 1436518774),
(42004, 157, 5409, 'status', '10', '40', 0, 1436518774),
(42005, 157, 5409, 'CodevTT_RAF', '4', '3', 0, 1436518789),
(42006, 157, 5409, 'CodevTT_RAF', '3', '1', 0, 1436518803),
(42008, 157, 4891, 'CodevTT_RAF', '1', '1', 0, 1436518842),
(42009, 157, 5409, 'CodevTT_RAF', '1', '1', 0, 1436518865),
(42010, 157, 5410, 'CodevTT_RAF', '', '1', 0, 1436518964),
(42011, 157, 5410, 'status', '10', '40', 0, 1436518964),
(42012, 157, 5410, 'handler_id', '0', '157', 0, 1436518964),
(42019, 93, 5564, '', '', '', 1, 1436531084),
(42020, 93, 5564, 'summary', '41048', '41048 - [Fiab] -Palliatif 39144 journalisation erronnée et format date jnl_stat incomplet (RDD DRT_PREST AYD)', 0, 1436531719),
(42021, 93, 5457, 'CodevTT_RAF', '2', '6', 0, 1436531778),
(42022, 93, 5457, 'CodevTT_RAF', '6', '5', 0, 1436531792),
(42024, 116, 2132, 'CodevTT_RAF', '1', '0.9', 0, 1436534990),
(42025, 116, 2132, 'CodevTT_RAF', '0.9', '0.7', 0, 1436535005),
(42026, 116, 2132, 'CodevTT_RAF', '0.7', '0', 0, 1436535020),
(42027, 116, 2132, 'CodevTT_RAF', '0', '0', 0, 1436535020),
(42028, 116, 2132, 'status', '30', '80', 0, 1436535020),
(42029, 116, 5358, 'CodevTT_RAF', '0', '0', 0, 1436535091),
(42030, 2, 4798, 'summary', 'Etude FusionPL [TAIGA] impact lié à l\'augmentation de la taille des colonnes identifiants', 'Etude FusionPL [TAIGA] Tris: impact lié à l\'augmentation de la taille des colonnes identifiants', 0, 1436535121),
(42031, 2, 4798, 'CodevTT_RAF', '0', '0', 0, 1436535162),
(42130, 146, 4913, 'CodevTT_RAF', '10', '8', 0, 1436545328),
(42131, 146, 4913, 'CodevTT_RAF', '8', '8', 0, 1436545351),
(42132, 146, 4719, 'CodevTT_RAF', '0', '0', 0, 1436545421),
(42133, 146, 4719, 'CodevTT_RAF', '0', '0', 0, 1436545442),
(42134, 146, 4719, 'CodevTT_RAF', '0', '0', 0, 1436545471),
(42135, 146, 5564, 'CodevTT_RAF', '', '2', 0, 1436545525),
(42136, 146, 5564, 'status', '10', '50', 0, 1436545525),
(42137, 146, 5564, 'handler_id', '0', '146', 0, 1436545525),
(42138, 146, 4719, 'CodevTT_RAF', '0', '2', 0, 1436545537),
(42139, 146, 4719, 'CodevTT_RAF', '2', '1', 0, 1436545588),
(42140, 146, 4719, 'CodevTT_RAF', '1', '1', 0, 1436545665),
(42141, 72, 4589, 'CodevTT_RAF', '1', '0', 0, 1436769171),
(42142, 72, 4589, 'status', '50', '80', 0, 1436769171),
(42143, 72, 4589, 'resolution', '10', '20', 0, 1436769171),
(42144, 72, 4590, 'target_version', '15.0.0_Sept', '15.1.0_AFFI', 0, 1436769372),
(42145, 72, 4881, 'CodevTT_RAF', '1', '0', 0, 1436769646),
(42146, 72, 4881, 'status', '50', '80', 0, 1436769646),
(42147, 72, 3686, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1436769815),
(42148, 72, 4330, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1436769815),
(42149, 72, 4330, 'status', '10', '20', 0, 1436769832),
(42150, 72, 4265, 'status', '30', '80', 0, 1436770078),
(42151, 72, 4266, 'status', '30', '80', 0, 1436770078),
(42152, 72, 4265, 'CodevTT_RAF', '0.5', '0', 0, 1436770093),
(42153, 72, 5565, '', '', '', 1, 1436771775),
(42154, 72, 5565, 'handler_id', '0', '116', 0, 1436771775),
(42155, 72, 5565, '', '', '5406', 21, 1436771775),
(42156, 72, 5406, '', '', '5565', 20, 1436771775),
(42157, 72, 5406, 'CodevTT_ChargeInit', '15', '10', 0, 1436771848),
(42158, 72, 5406, 'handler_id', '0', '158', 0, 1436771848),
(42159, 72, 5406, 'summary', '40997 - [DEV]  TAIGA-FIAB-SIREN-Alimenter les SIREN absents dans Taïga à partir de SCR', '40997 - [DEV]  TAIGA-FIAB-SIREN-Alimenter les SIREN absents dans Taïga à partir de SCR- Partie 1 -', 0, 1436771848),
(42160, 72, 5405, '', '2501', '5406', 18, 1436771924),
(42161, 72, 5406, '', '2500', '5405', 18, 1436771924),
(42162, 72, 5405, '', '2501', '5565', 18, 1436771939),
(42163, 72, 5565, '', '2500', '5405', 18, 1436771939),
(42164, 72, 5565, 'CodevTT_Dead Line', '', '1441317600', 0, 1436772097),
(42165, 72, 5565, 'CodevTT_Date Livraison', '', '1442181600', 0, 1436772097),
(42167, 72, 5213, 'status', '50', '80', 0, 1436799706),
(42168, 72, 5213, 'resolution', '10', '20', 0, 1436799706),
(42169, 72, 5213, 'CodevTT_RAF', '0.5', '0', 0, 1436799706),
(42170, 72, 5357, 'status', '50', '80', 0, 1436799760),
(42171, 72, 5357, 'resolution', '10', '20', 0, 1436799760),
(42172, 72, 5357, 'CodevTT_RAF', '0.5', '0', 0, 1436799760),
(42173, 2, 5411, 'CodevTT_RAF', '4', '4', 0, 1436801375),
(42174, 93, 5457, 'CodevTT_RAF', '5', '4', 0, 1436945448),
(42175, 93, 5457, 'CodevTT_RAF', '4', '3', 0, 1436945463),
(42225, 2, 4890, 'CodevTT_RAF', '0.5', '0.5', 0, 1436965491),
(42226, 72, 4914, 'CodevTT_ChargeMgr', '20', '15', 0, 1436967312),
(42227, 72, 4914, 'CodevTT_ChargeInit', '20', '15', 0, 1436967312),
(42228, 72, 5569, '', '', '', 1, 1436967364),
(42229, 72, 5569, 'handler_id', '0', '146', 0, 1436967364),
(42230, 72, 5569, '', '', '4914', 21, 1436967364),
(42231, 72, 4914, '', '', '5569', 20, 1436967364),
(42232, 2, 5411, 'CodevTT_RAF', '4', '1', 0, 1436967709),
(42233, 72, 5570, '', '', '', 1, 1436968719),
(42234, 72, 5570, 'handler_id', '0', '116', 0, 1436968719),
(49934, 72, 6210, 'CodevTT_RAF', '', '0', 0, 1444230759),
(49933, 72, 6185, 'resolution', '10', '20', 0, 1444230662),
(42237, 116, 5570, 'CodevTT_RAF', '', '0', 0, 1436968900),
(42238, 116, 5570, 'CodevTT_RAF', '0', '0', 0, 1436968900),
(42239, 116, 5570, 'status', '10', '80', 0, 1436968900),
(42240, 116, 5358, 'CodevTT_RAF', '0', '0', 0, 1436968918),
(42241, 116, 5405, 'CodevTT_RAF', '5', '5', 0, 1436968953),
(42261, 2, 5410, 'handler_id', '157', '2', 0, 1437031046),
(42260, 2, 5410, 'CodevTT_RAF', '1', '1', 0, 1437031046),
(42262, 2, 5410, 'CodevTT_RAF', '1', '2', 0, 1437031057),
(42322, 2, 5408, 'CodevTT_RAF', '', '2', 0, 1437060976),
(42323, 2, 5408, 'status', '10', '50', 0, 1437060976),
(42324, 2, 5408, 'CodevTT_RAF', '2', '2', 0, 1437061030),
(42371, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1437119833),
(42372, 157, 5409, 'CodevTT_RAF', '1', '1', 0, 1437119835),
(42373, 157, 4891, 'CodevTT_RAF', '1', '1', 0, 1437119871),
(42374, 157, 5409, 'CodevTT_RAF', '1', '1', 0, 1437119924),
(42375, 157, 5409, 'CodevTT_RAF', '1', '1', 0, 1437119945),
(42376, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1437120165),
(42377, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1437120302),
(42378, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1437120443),
(42419, 93, 5457, 'CodevTT_RAF', '3', '5', 0, 1437126207),
(42420, 93, 5457, 'CodevTT_RAF', '5', '4', 0, 1437126223),
(42421, 93, 5457, 'CodevTT_RAF', '4', '3', 0, 1437126251),
(42426, 2, 5408, 'CodevTT_RAF', '2', '0.5', 0, 1437133938),
(42429, 116, 5405, 'CodevTT_RAF', '5', '4.5', 0, 1437140629),
(42430, 116, 5405, 'CodevTT_RAF', '4.5', '4.2', 0, 1437140639),
(42437, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1437143222),
(42438, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1437143253),
(42439, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1437143289),
(42440, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1437143306),
(42441, 158, 4843, 'CodevTT_RAF', '0', '0.5', 0, 1437143741),
(42445, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1437143920),
(42446, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1437144075),
(42447, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1437144093),
(42448, 158, 4843, 'CodevTT_RAF', '0.5', '0.5', 0, 1437144680),
(42450, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1437144860),
(42462, 158, 4844, 'CodevTT_RAF', '1', '1', 0, 1437144982),
(42482, 158, 4843, 'CodevTT_RAF', '0.5', '0.5', 0, 1437145821),
(42501, 134, 5360, 'CodevTT_RAF', '3.2', '3', 0, 1437376514),
(42502, 134, 5360, 'CodevTT_RAF', '3', '2', 0, 1437376539),
(42503, 134, 5360, 'CodevTT_RAF', '2', '1', 0, 1437376579),
(42504, 134, 5360, 'CodevTT_RAF', '1', '3.2', 0, 1437376617),
(42505, 134, 5528, 'CodevTT_RAF', '', '0.8', 0, 1437376656),
(42506, 134, 5528, 'status', '10', '30', 0, 1437376656),
(42507, 134, 5526, 'CodevTT_RAF', '', '7.2', 0, 1437376750),
(42508, 134, 5526, 'status', '10', '30', 0, 1437376750),
(42509, 134, 5360, 'CodevTT_RAF', '3.2', '1', 0, 1437377075),
(42510, 134, 5360, 'CodevTT_RAF', '1', '1', 0, 1437377715),
(42511, 134, 5360, 'CodevTT_RAF', '1', '1', 0, 1437377743),
(42512, 134, 5360, 'CodevTT_RAF', '1', '7', 0, 1437377894),
(42513, 134, 5360, 'CodevTT_RAF', '7', '1', 0, 1437378005),
(42514, 134, 5360, 'CodevTT_RAF', '1', '1', 0, 1437378035),
(42525, 146, 4718, 'CodevTT_RAF', '0.1', '0.5', 0, 1437390801),
(42526, 146, 4718, 'CodevTT_RAF', '0.5', '0.5', 0, 1437391103),
(42527, 146, 4913, 'CodevTT_RAF', '8', '8', 0, 1437391266),
(42528, 146, 4913, 'CodevTT_RAF', '8', '7', 0, 1437391338),
(42538, 72, 5615, '', '', '', 1, 1437407496),
(42539, 72, 5615, 'handler_id', '0', '74', 0, 1437407496),
(42540, 72, 5616, '', '', '', 1, 1437407557),
(42541, 72, 5616, 'handler_id', '0', '74', 0, 1437407557),
(42542, 72, 5616, '', '', '5615', 21, 1437407557),
(42543, 72, 5615, '', '', '5616', 20, 1437407557),
(42544, 72, 5615, '', '2501', '5616', 18, 1437407557),
(42545, 72, 5616, '', '2500', '5615', 18, 1437407557),
(42546, 72, 5616, 'target_version', '', '15.1.0_AFFI', 0, 1437407590),
(42547, 72, 5617, '', '', '', 1, 1437407724),
(42548, 72, 5617, 'handler_id', '0', '72', 0, 1437407724),
(42549, 72, 5617, '', '', '5615', 21, 1437407724),
(42550, 72, 5615, '', '', '5617', 20, 1437407724),
(42551, 72, 5618, '', '', '', 1, 1437407863),
(42552, 72, 5618, 'handler_id', '0', '117', 0, 1437407863),
(42553, 72, 5618, '', '', '5617', 21, 1437407863),
(42554, 72, 5617, '', '', '5618', 20, 1437407863),
(42555, 72, 5617, '', '2501', '5618', 18, 1437407894),
(42556, 72, 5618, '', '2500', '5617', 18, 1437407894),
(42557, 72, 5618, 'CodevTT_ChargeMgr', '3', '10', 0, 1437407946),
(42558, 72, 5618, 'CodevTT_ChargeInit', '2', '10', 0, 1437407946),
(42559, 72, 5619, '', '', '', 1, 1437408081),
(42560, 72, 5619, 'handler_id', '0', '74', 0, 1437408081),
(42561, 146, 4913, 'CodevTT_RAF', '7', '6', 0, 1437408112),
(42562, 72, 5619, 'priority', '30', '40', 0, 1437408135),
(42563, 72, 5619, 'status', '10', '50', 0, 1437408135),
(42564, 72, 5617, 'CodevTT_RAF', '', '1.5', 0, 1437408294),
(42565, 72, 5617, 'status', '10', '50', 0, 1437408294),
(42567, 72, 5617, 'target_version', '', '15.1.0_AFFI', 0, 1437461372),
(42568, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1437468412),
(42637, 93, 5457, 'CodevTT_RAF', '3', '4', 0, 1437557426),
(42638, 93, 5457, 'CodevTT_RAF', '4', '4', 0, 1437557443),
(42639, 93, 5457, 'CodevTT_RAF', '4', '3.2', 0, 1437557536),
(42640, 93, 5457, 'CodevTT_RAF', '3.2', '2.8', 0, 1437557680),
(42694, 157, 4891, 'CodevTT_RAF', '1', '0', 0, 1437574394),
(42695, 157, 4891, 'CodevTT_RAF', '0', '0', 0, 1437574394),
(42696, 157, 4891, 'status', '20', '80', 0, 1437574394),
(42697, 157, 5409, 'CodevTT_RAF', '1', '3', 0, 1437574460),
(42698, 72, 5630, '', '', '', 1, 1437574487),
(42699, 72, 5630, 'handler_id', '0', '157', 0, 1437574487),
(42700, 157, 5630, 'CodevTT_RAF', '', '0', 0, 1437574574),
(42701, 157, 5630, 'CodevTT_RAF', '0', '0', 0, 1437574574),
(42702, 157, 5630, 'status', '10', '80', 0, 1437574574),
(42746, 158, 4844, 'CodevTT_RAF', '1', '0', 0, 1437660087),
(42747, 158, 4844, 'status', '50', '80', 0, 1437660087),
(42800, 158, 5406, 'status', '10', '50', 0, 1437660876),
(42803, 158, 5406, 'CodevTT_RAF', '', '5', 0, 1437660901),
(42804, 158, 5457, 'CodevTT_RAF', '2.8', '3', 0, 1437660951),
(42805, 158, 5406, 'CodevTT_RAF', '5', '5', 0, 1437661045),
(42806, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1437661216),
(42815, 158, 5406, 'CodevTT_RAF', '5', '5', 0, 1437661611),
(42818, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1437662462),
(42819, 116, 5565, 'CodevTT_RAF', '', '9.5', 0, 1437662512),
(42820, 116, 5565, 'status', '10', '50', 0, 1437662512),
(42821, 116, 5565, 'CodevTT_RAF', '9.5', '9', 0, 1437662525),
(42822, 116, 5565, 'CodevTT_RAF', '9', '8', 0, 1437662534),
(42823, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1437662536),
(42824, 116, 5405, 'CodevTT_RAF', '4.2', '3.2', 0, 1437662558),
(42832, 74, 5453, 'CodevTT_RAF', '0.5', '0.5', 0, 1437663750),
(42833, 74, 5279, 'CodevTT_RAF', '1', '0.5', 0, 1437663795),
(42834, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1437663814),
(42835, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1437663827),
(42836, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1437663848),
(42837, 74, 5619, 'CodevTT_RAF', '', '0.5', 0, 1437663874),
(42838, 74, 5453, 'CodevTT_RAF', '0.5', '0.5', 0, 1437663897),
(42839, 74, 5453, 'CodevTT_RAF', '0.5', '0.5', 0, 1437663936),
(42840, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1437664043),
(42841, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1437664059),
(42842, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1437664075),
(42847, 147, 4958, 'CodevTT_RAF', '5', '10', 0, 1437722334),
(42848, 147, 4958, 'CodevTT_RAF', '10', '9', 0, 1437722356),
(42849, 147, 4958, 'CodevTT_RAF', '9', '7', 0, 1437722377),
(42850, 147, 4958, 'CodevTT_RAF', '7', '5', 0, 1437722411),
(42851, 147, 5412, 'CodevTT_RAF', '11', '10', 0, 1437722506),
(42852, 147, 5412, 'CodevTT_RAF', '10', '9', 0, 1437722609),
(42853, 147, 4958, 'CodevTT_RAF', '5', '5', 0, 1437722627),
(42854, 147, 4958, 'CodevTT_RAF', '5', '4', 0, 1437722654),
(42855, 147, 5412, 'CodevTT_RAF', '9', '8.5', 0, 1437722712),
(42856, 147, 4958, 'CodevTT_RAF', '4', '3.5', 0, 1437722738),
(42937, 72, 5360, 'CodevTT_RAF', '1', '1', 0, 1437744481),
(42942, 116, 5565, 'CodevTT_RAF', '8', '7', 0, 1437747079),
(42950, 146, 4913, 'CodevTT_RAF', '6', '5', 0, 1437753181),
(42951, 146, 4913, 'CodevTT_RAF', '5', '4.5', 0, 1437753241),
(42952, 146, 4718, 'CodevTT_RAF', '0.5', '0.1', 0, 1437753350),
(42953, 146, 4913, 'CodevTT_RAF', '4.5', '4.4', 0, 1437753381),
(42954, 146, 4719, 'CodevTT_RAF', '1', '0.3', 0, 1437753434),
(43035, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1438005576),
(43036, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1438005699),
(43037, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1438005721),
(43039, 74, 5619, 'CodevTT_RAF', '0.5', '0.5', 0, 1438066996),
(43040, 74, 5619, 'CodevTT_RAF', '0.5', '0.5', 0, 1438067016),
(43041, 74, 5619, 'CodevTT_RAF', '0.5', '0.5', 0, 1438067028),
(43042, 72, 5409, 'CodevTT_RAF', '3', '1', 0, 1438067047),
(43043, 74, 5279, 'CodevTT_RAF', '0.5', '1', 0, 1438067051),
(43044, 72, 5409, 'CodevTT_RAF', '1', '1', 0, 1438067068),
(43045, 73, 4912, 'CodevTT_RAF', '0.1', '3', 0, 1438069550),
(43046, 73, 4912, 'CodevTT_RAF', '3', '2', 0, 1438069649),
(43047, 73, 4912, 'CodevTT_RAF', '2', '2', 0, 1438069664),
(43048, 73, 4912, 'CodevTT_RAF', '2', '1', 0, 1438069700),
(43049, 73, 5405, 'CodevTT_RAF', '3.2', '3', 0, 1438069758),
(43050, 73, 5405, 'CodevTT_RAF', '3', '2', 0, 1438069791),
(43051, 73, 5405, 'CodevTT_RAF', '2', '2', 0, 1438069812),
(43052, 73, 5405, 'CodevTT_RAF', '2', '1', 0, 1438069877),
(43053, 73, 5405, 'CodevTT_RAF', '1', '2', 0, 1438069944),
(43054, 73, 4912, 'CodevTT_RAF', '1', '1', 0, 1438070086),
(43055, 73, 4843, 'CodevTT_RAF', '0.5', '0', 0, 1438070163),
(43056, 93, 5457, 'CodevTT_RAF', '3', '4', 0, 1438070346),
(43057, 93, 5457, 'CodevTT_RAF', '4', '3', 0, 1438070376),
(43059, 147, 5412, 'CodevTT_RAF', '8.5', '7.5', 0, 1438073440),
(43060, 147, 5412, 'CodevTT_RAF', '7.5', '7.5', 0, 1438073465),
(43061, 147, 5412, 'CodevTT_RAF', '7.5', '6.5', 0, 1438073678),
(43062, 147, 5412, 'CodevTT_RAF', '6.5', '5.5', 0, 1438073698),
(43063, 147, 5412, 'CodevTT_RAF', '5.5', '4.5', 0, 1438073713),
(43064, 147, 5412, 'CodevTT_RAF', '4.5', '3.5', 0, 1438073726),
(43065, 72, 4288, 'CodevTT_ChargeMgr', '3', '5', 0, 1438082973),
(43066, 72, 4288, 'CodevTT_ChargeInit', '2', '4', 0, 1438082973),
(43067, 72, 4288, 'CodevTT_RAF', '2', '4', 0, 1438082973),
(43068, 72, 4288, 'target_version', '15.1.0_AFFI', '15.0.0_Nov', 0, 1438082973),
(43069, 72, 4288, 'summary', '39564[DEV]Appel provisionnel 2015', '39564[DEV]Appel provisionnel 2015- Manque à Gagner', 0, 1438082973),
(43070, 72, 4288, '', '1002', '', 6, 1438082973),
(68614, 72, 4278, 'handler_id', '147', '169', 0, 1454577629),
(43072, 72, 4159, 'handler_id', '114', '0', 0, 1438083278),
(43073, 72, 4159, 'status', '50', '20', 0, 1438083278),
(43074, 72, 4159, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438083278),
(43075, 72, 4286, 'handler_id', '147', '0', 0, 1438083520),
(43076, 72, 4286, 'status', '50', '20', 0, 1438083520),
(43077, 72, 4286, 'target_version', '15.1.0_AFFI', '', 0, 1438083520),
(43078, 72, 4295, 'status', '10', '20', 0, 1438083672),
(43079, 72, 4295, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438083672),
(43080, 72, 4331, 'status', '10', '20', 0, 1438083758),
(43081, 72, 4331, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438083758),
(43082, 72, 4332, 'status', '10', '20', 0, 1438083797),
(43083, 72, 4332, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438083797),
(43086, 72, 4278, 'target_version', '15.1.0_AFFI', '', 0, 1438084292),
(43087, 72, 4869, 'target_version', '15.1.0_AFFI', '', 0, 1438084292),
(43088, 72, 4875, 'target_version', '15.1.0_AFFI', '', 0, 1438084292),
(43089, 72, 2131, 'target_version', '15.1.0_AFFI', '', 0, 1438084292),
(43090, 72, 4326, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438084340),
(43091, 72, 4845, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438084340),
(43092, 72, 4874, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438084340),
(43093, 72, 4324, 'target_version', '15.1.0_AFFI', '15.0.0_Nov', 0, 1438084373),
(43094, 72, 4279, 'target_version', '15.1.0_AFFI', '', 0, 1438084467),
(43095, 72, 4867, 'target_version', '15.1.0_AFFI', '', 0, 1438084467),
(43096, 72, 4868, 'target_version', '15.1.0_AFFI', '', 0, 1438084467),
(43097, 72, 4280, 'handler_id', '147', '0', 0, 1438084671),
(43098, 72, 4280, 'status', '10', '20', 0, 1438084671),
(43099, 72, 4280, 'target_version', '15.1.0_AFFI', '', 0, 1438084671),
(43100, 72, 4325, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438084761),
(43101, 72, 4285, 'target_version', '15.1.0_AFFI', '', 0, 1438084927),
(43104, 72, 4870, 'target_version', '15.1.0_AFFI', '', 0, 1438085223),
(43105, 72, 4289, 'target_version', '15.1.0_AFFI', '', 0, 1438085367),
(43106, 72, 4290, 'target_version', '15.1.0_AFFI', '', 0, 1438085367),
(43107, 72, 4055, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438085768),
(43108, 72, 4298, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438085768),
(43109, 72, 4876, 'target_version', '15.1.0_AFFI', '', 0, 1438085802),
(43110, 72, 4273, 'target_version', '15.1.0_AFFI', '', 0, 1438085802),
(43125, 72, 5710, '', '', '', 1, 1438093124),
(43126, 72, 5711, '', '', '', 1, 1438093296),
(43127, 72, 5711, 'target_version', '', '15.1.0_AFFI', 0, 1438093436),
(43128, 72, 5712, '', '', '', 1, 1438093681),
(43129, 72, 3893, 'status', '80', '50', 0, 1438093795),
(43130, 72, 3893, 'target_version', '14.2.0', '15.1.0_AFFI', 0, 1438093795),
(43131, 72, 3733, 'CodevTT_Date Livraison', '1422831600', '', 0, 1438093939),
(43132, 72, 3733, 'handler_id', '72', '0', 0, 1438093939),
(43133, 72, 3733, 'status', '80', '50', 0, 1438093939),
(43134, 72, 3733, 'target_version', '14.2.0', '15.1.0_AFFI', 0, 1438093939),
(43135, 72, 4873, 'target_version', '15.1.0_AFFI', '16.0.0', 0, 1438094025),
(43136, 72, 5713, '', '', '', 1, 1438094184),
(43137, 72, 5714, '', '', '', 1, 1438094380),
(43138, 72, 4294, 'handler_id', '114', '0', 0, 1438094585),
(43139, 72, 4293, 'handler_id', '114', '0', 0, 1438094605),
(43140, 72, 3893, 'handler_id', '114', '0', 0, 1438094629),
(43141, 72, 5414, 'CodevTT_ChargeMgr', '0', '2', 0, 1438095493),
(43142, 72, 5414, 'CodevTT_ChargeInit', '20', '2', 0, 1438095493),
(43143, 72, 5414, 'summary', '40965 [DEV] PARTIE 1 - Appels provisionnels 2016', '40965 [DEV] PARTIE 1 - Lancement Appel Pro ISO 2015', 0, 1438095493),
(43146, 72, 5434, 'CodevTT_ChargeMgr', '0', '3', 0, 1438095805),
(43147, 72, 5434, 'CodevTT_ChargeInit', '20', '2', 0, 1438095805),
(43148, 72, 5434, 'handler_id', '157', '169', 0, 1438095805),
(43149, 72, 5434, 'summary', '40965 [DEV] PARTIE 3 - Appels provisionnels 2016', '40965 [DEV] PARTIE 2- Appels provisionnels 2016- Mise à jour Paramètres', 0, 1438095805),
(43150, 72, 5433, 'handler_id', '2', '169', 0, 1438095982),
(43152, 72, 5433, 'CodevTT_ChargeMgr', '0', '1', 0, 1438096045),
(43153, 72, 5433, 'CodevTT_ChargeInit', '20', '1', 0, 1438096045),
(43154, 72, 5433, 'summary', '40965 [DEV] PARTIE 2 - Appels provisionnels 2016', '40965 [DEV] PARTIE 3 - Appels provisionnels 2016- Décommissionnement Modalites de paiement', 0, 1438096045),
(43155, 72, 5716, '', '', '', 1, 1438096181),
(43156, 72, 5716, 'handler_id', '0', '169', 0, 1438096181),
(43157, 72, 5716, '', '', '5433', 21, 1438096181),
(43158, 72, 5433, '', '', '5716', 20, 1438096181),
(43159, 72, 5717, '', '', '', 1, 1438096332),
(43160, 72, 5717, 'handler_id', '0', '169', 0, 1438096332),
(43161, 72, 5717, '', '', '5716', 21, 1438096332),
(43162, 72, 5716, '', '', '5717', 20, 1438096332),
(43163, 72, 5718, '', '', '', 1, 1438096741),
(43164, 72, 5718, 'handler_id', '0', '169', 0, 1438096741),
(43165, 72, 5718, '', '', '5717', 21, 1438096741),
(43166, 72, 5717, '', '', '5718', 20, 1438096741),
(43167, 72, 5719, '', '', '', 1, 1438096863),
(43168, 72, 5719, 'handler_id', '0', '169', 0, 1438096863),
(43169, 72, 5719, '', '', '5718', 21, 1438096863),
(43170, 72, 5718, '', '', '5719', 20, 1438096863),
(43171, 72, 5720, '', '', '', 1, 1438096944),
(43172, 72, 5720, 'handler_id', '0', '169', 0, 1438096944),
(43173, 72, 5720, '', '', '5719', 21, 1438096944),
(43174, 72, 5719, '', '', '5720', 20, 1438096944),
(43175, 72, 5721, '', '', '', 1, 1438097021),
(43176, 72, 5721, 'handler_id', '0', '169', 0, 1438097021),
(43177, 72, 5721, '', '', '5720', 21, 1438097021),
(43178, 72, 5720, '', '', '5721', 20, 1438097021),
(43179, 72, 5722, '', '', '', 1, 1438097081),
(43180, 72, 5722, 'handler_id', '0', '169', 0, 1438097081),
(43181, 72, 5722, '', '', '5721', 21, 1438097081),
(43182, 72, 5721, '', '', '5722', 20, 1438097081),
(43183, 72, 5716, 'target_version', '', '15.0.0_Nov', 0, 1438097122),
(43184, 72, 5413, 'CodevTT_ChargeMgr', '0', '15', 0, 1438097275),
(43185, 72, 5413, 'CodevTT_ChargeInit', '20', '10', 0, 1438097275),
(43186, 72, 5723, '', '', '', 1, 1438097390),
(43187, 72, 5723, 'handler_id', '0', '2', 0, 1438097390),
(43188, 72, 5723, '', '', '5722', 21, 1438097390),
(43189, 72, 5722, '', '', '5723', 20, 1438097390),
(43190, 72, 5724, '', '', '', 1, 1438097447),
(43191, 72, 5724, 'handler_id', '0', '169', 0, 1438097447),
(43192, 72, 5724, '', '', '5723', 21, 1438097447),
(43193, 72, 5723, '', '', '5724', 20, 1438097447),
(43194, 72, 5724, 'CodevTT_ChargeMgr', '2', '3', 0, 1438097497),
(43195, 72, 5724, 'CodevTT_ChargeInit', '1', '2', 0, 1438097497),
(43196, 72, 5416, 'CodevTT_ChargeMgr', '0', '4', 0, 1438097624),
(43197, 72, 5416, 'CodevTT_ChargeInit', '2', '3', 0, 1438097624),
(43198, 72, 5416, 'handler_id', '157', '169', 0, 1438097624),
(43201, 72, 4324, 'handler_id', '0', '157', 0, 1438097677),
(43205, 72, 4284, 'target_version', '15.0.0_Juillet', '15.0.0_Nov', 0, 1438100129),
(43206, 72, 4889, 'status', '80', '50', 0, 1438100304),
(43207, 72, 4889, 'target_version', '', '15.0.0_Nov', 0, 1438100304),
(43208, 72, 5726, '', '', '', 1, 1438100466),
(43209, 72, 5727, '', '', '', 1, 1438100670),
(43210, 72, 5727, '', '', '5726', 21, 1438100670),
(43211, 72, 5726, '', '', '5727', 20, 1438100670),
(43212, 72, 5728, '', '', '', 1, 1438100990),
(43213, 72, 5728, '', '', '5727', 21, 1438100990),
(43214, 72, 5727, '', '', '5728', 20, 1438100990),
(43242, 158, 5406, 'CodevTT_RAF', '5', '3', 0, 1438155599),
(43243, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1438155655),
(43244, 158, 5406, 'CodevTT_RAF', '3', '3', 0, 1438155686),
(43245, 158, 5406, 'CodevTT_RAF', '3', '3', 0, 1438155718),
(43246, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1438155749),
(43247, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1438155784),
(43256, 72, 5729, '', '', '', 1, 1438161652),
(43257, 72, 5730, '', '', '', 1, 1438161792),
(43301, 72, 5617, 'CodevTT_RAF', '1.5', '0.5', 0, 1438246628),
(43360, 169, 5434, 'CodevTT_RAF', '', '1', 0, 1438267060),
(43361, 169, 5434, 'status', '10', '50', 0, 1438267060),
(43362, 169, 5434, 'CodevTT_RAF', '1', '1', 0, 1438267109),
(43363, 169, 5414, 'CodevTT_RAF', '', '10', 0, 1438267350),
(43364, 169, 5414, 'status', '10', '50', 0, 1438267350),
(43365, 169, 5414, 'CodevTT_RAF', '10', '8', 0, 1438267396),
(43385, 74, 5279, 'CodevTT_RAF', '1', '0.5', 0, 1438330032),
(43386, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1438330044),
(43387, 74, 5279, 'CodevTT_RAF', '0.5', '0.5', 0, 1438330055),
(43401, 158, 5457, 'CodevTT_RAF', '3', '3', 0, 1438331040),
(43402, 158, 5564, 'CodevTT_RAF', '2', '1.5', 0, 1438331140),
(43403, 158, 5564, 'handler_id', '146', '158', 0, 1438331140),
(43404, 158, 5406, 'CodevTT_RAF', '3', '3', 0, 1438331211),
(43405, 158, 4843, 'CodevTT_RAF', '0', '0', 0, 1438331272),
(43406, 93, 5457, 'CodevTT_RAF', '3', '6', 0, 1438331713),
(43407, 93, 5457, 'CodevTT_RAF', '6', '5', 0, 1438331726),
(43408, 93, 5457, 'CodevTT_RAF', '5', '4', 0, 1438331739),
(43409, 93, 5342, 'CodevTT_RAF', '2', '3', 0, 1438331770),
(43463, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1438336936),
(43464, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1438336953),
(43465, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1438336986),
(43466, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1438337111),
(43507, 157, 5410, 'CodevTT_RAF', '2', '0.5', 0, 1438351636),
(43514, 157, 5409, 'CodevTT_RAF', '1', '0.5', 0, 1438351736),
(43515, 157, 5409, 'CodevTT_RAF', '0.5', '0.5', 0, 1438351779),
(43651, 158, 5405, 'CodevTT_RAF', '2', '2', 0, 1438355889),
(43667, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1438356089),
(43725, 158, 5405, 'CodevTT_RAF', '2', '2', 0, 1438356648),
(43730, 158, 5406, 'CodevTT_RAF', '3', '3', 0, 1438356686),
(43901, 146, 4913, 'CodevTT_RAF', '4.4', '3.4', 0, 1438589139),
(43902, 146, 4913, 'CodevTT_RAF', '3.4', '2.4', 0, 1438589162),
(43973, 116, 6021, '', '', '', 1, 1438677882),
(43974, 116, 6021, 'Ref. Externe', 'D41178', '41178', 0, 1438677937),
(43975, 116, 6021, 'handler_id', '0', '116', 0, 1438677937),
(43976, 116, 6021, 'status', '10', '50', 0, 1438677937),
(43977, 116, 6022, '', '', '', 1, 1438678042),
(43978, 116, 6022, 'handler_id', '0', '116', 0, 1438678042),
(43979, 116, 6021, 'version', '', '15.0.0', 0, 1438678105),
(43980, 116, 6021, 'target_version', '', '15.0.0', 0, 1438678105),
(43981, 116, 6021, 'CodevTT_RAF', '', '1', 0, 1438678140),
(43985, 72, 5619, 'CodevTT_RAF', '0.5', '0.5', 0, 1438683851),
(44044, 146, 4719, 'CodevTT_RAF', '0.3', '0', 0, 1438705917),
(44045, 146, 4913, 'CodevTT_RAF', '2.4', '2', 0, 1438705953),
(44046, 146, 4913, 'CodevTT_RAF', '2', '2', 0, 1438705969),
(44047, 146, 4719, 'CodevTT_RAF', '0', '0', 0, 1438705985),
(44048, 93, 6036, '', '', '', 1, 1438761699),
(44049, 93, 6036, 'handler_id', '0', '93', 0, 1438761699),
(44050, 93, 6036, 'CodevTT_RAF', '', '4', 0, 1438761776),
(44051, 93, 6036, 'status', '10', '50', 0, 1438761776),
(44052, 93, 6036, 'CodevTT_RAF', '4', '2', 0, 1438761802),
(44053, 93, 6036, 'CodevTT_RAF', '2', '1', 0, 1438761818),
(44061, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1438779190),
(44062, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1438779283),
(44063, 164, 5020, 'CodevTT_RAF', '0', '0', 0, 1438779303),
(44076, 116, 6022, 'CodevTT_RAF', '', '2', 0, 1438782815),
(44077, 116, 6022, 'status', '10', '50', 0, 1438782815),
(44079, 116, 6022, 'CodevTT_RAF', '2', '1.5', 0, 1438783157),
(44080, 116, 6021, 'CodevTT_RAF', '1', '0', 0, 1438783182),
(44081, 116, 6021, 'CodevTT_RAF', '0', '0', 0, 1438783182),
(44082, 116, 6021, 'status', '50', '80', 0, 1438783182),
(44083, 116, 6022, 'CodevTT_RAF', '1.5', '0', 0, 1438783218),
(44084, 116, 6022, 'CodevTT_RAF', '0', '0', 0, 1438783218),
(44085, 116, 6022, 'status', '50', '80', 0, 1438783218),
(44108, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1438789699),
(44109, 134, 5360, 'CodevTT_RAF', '1', '0.9', 0, 1438846977),
(44110, 134, 5526, 'CodevTT_RAF', '7.2', '6.3', 0, 1438847039),
(44120, 158, 5457, 'CodevTT_RAF', '4', '4', 0, 1438851374),
(44121, 158, 5457, 'CodevTT_RAF', '4', '4', 0, 1438852743),
(44122, 158, 5457, 'CodevTT_RAF', '4', '4', 0, 1438852780),
(44123, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1438852835),
(44128, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1438853186),
(44129, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1438853369),
(44130, 158, 4843, 'CodevTT_RAF', '0', '0', 0, 1438853739),
(44131, 158, 4844, 'CodevTT_RAF', '0', '0', 0, 1438853823),
(44137, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1438865059),
(44197, 72, 5410, 'CodevTT_RAF', '0.5', '0', 0, 1438929449),
(44198, 72, 5410, 'CodevTT_RAF', '0', '0', 0, 1438929449),
(44199, 72, 5410, 'status', '40', '80', 0, 1438929449),
(44200, 72, 5411, 'CodevTT_RAF', '1', '1', 0, 1438929504),
(44201, 72, 5411, 'CodevTT_RAF', '1', '0', 0, 1438929530),
(44202, 72, 5411, 'CodevTT_RAF', '0', '0', 0, 1438929530),
(44203, 72, 5411, 'status', '50', '80', 0, 1438929530),
(44204, 74, 5279, 'CodevTT_RAF', '0.5', '1', 0, 1438929533),
(44205, 74, 5279, 'CodevTT_RAF', '1', '1', 0, 1438929544),
(44206, 74, 5279, 'CodevTT_RAF', '1', '1', 0, 1438929551),
(44207, 74, 5279, 'CodevTT_RAF', '1', '1', 0, 1438929560),
(44208, 74, 5279, 'CodevTT_RAF', '1', '1', 0, 1438929569),
(44209, 72, 5409, 'CodevTT_RAF', '0.5', '1', 0, 1438929573),
(44210, 72, 4891, 'CodevTT_RAF', '0', '2', 0, 1438929639),
(44211, 72, 4891, 'status', '80', '50', 0, 1438929639),
(44212, 72, 4891, 'CodevTT_RAF', '2', '1', 0, 1438929652),
(44213, 72, 5411, 'CodevTT_RAF', '0', '0', 0, 1438929691),
(44214, 72, 5411, 'CodevTT_RAF', '0', '0', 0, 1438929720),
(44215, 72, 5408, 'CodevTT_RAF', '0.5', '0', 0, 1438929762),
(44216, 72, 5408, 'CodevTT_RAF', '0', '0', 0, 1438929762),
(44217, 72, 5408, 'status', '50', '80', 0, 1438929762),
(44218, 72, 5409, 'CodevTT_RAF', '1', '0', 0, 1438929833),
(44219, 72, 5409, 'status', '40', '80', 0, 1438929833),
(44220, 72, 4891, 'status', '50', '80', 0, 1438929988),
(44221, 72, 4891, 'resolution', '10', '20', 0, 1438929988),
(44222, 72, 4891, 'CodevTT_RAF', '1', '0', 0, 1438929988),
(44223, 72, 4890, 'CodevTT_RAF', '0.5', '0', 0, 1438930143),
(44224, 72, 4890, 'status', '40', '80', 0, 1438930143),
(44225, 116, 6058, '', '', '', 1, 1438934620),
(44226, 116, 6058, 'handler_id', '0', '116', 0, 1438934620),
(44227, 116, 6058, 'CodevTT_RAF', '', '2.5', 0, 1438934691),
(44228, 116, 6058, 'status', '10', '50', 0, 1438934691),
(44229, 116, 6058, 'CodevTT_RAF', '2.5', '2', 0, 1438934701),
(44230, 134, 5526, 'CodevTT_RAF', '6.3', '5.3', 0, 1438934916),
(44231, 134, 5361, 'CodevTT_RAF', '', '4', 0, 1438935020),
(44232, 134, 5361, 'status', '10', '30', 0, 1438935020),
(44233, 134, 5361, 'CodevTT_RAF', '4', '3', 0, 1438935040),
(44234, 134, 5361, 'CodevTT_RAF', '3', '3', 0, 1438935087),
(44235, 134, 5361, 'CodevTT_RAF', '3', '2', 0, 1438935104),
(44236, 72, 6059, '', '', '', 1, 1438935556),
(44237, 72, 6059, 'handler_id', '0', '134', 0, 1438935556),
(44292, 116, 6058, 'CodevTT_RAF', '2', '1.2', 0, 1438957245),
(44297, 164, 3941, 'CodevTT_RAF', '0', '0', 0, 1438957607),
(44298, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1438957626),
(44308, 93, 6036, 'CodevTT_RAF', '1', '2', 0, 1438958917),
(44309, 93, 6036, 'CodevTT_RAF', '2', '1', 0, 1438958929),
(44330, 146, 4913, 'CodevTT_RAF', '2', '0', 0, 1438962289),
(44331, 146, 4913, 'CodevTT_RAF', '0', '0', 0, 1438962289),
(44332, 146, 4913, 'status', '50', '80', 0, 1438962289),
(44334, 146, 4913, 'CodevTT_RAF', '0', '0', 0, 1438962307),
(44342, 146, 4913, 'CodevTT_RAF', '0', '0', 0, 1438962516),
(44361, 2, 5412, 'handler_id', '147', '2', 0, 1439190002),
(44362, 2, 4958, 'handler_id', '147', '2', 0, 1439190002),
(44363, 134, 6066, '', '', '', 1, 1439190274),
(44364, 134, 6066, 'handler_id', '0', '134', 0, 1439190274),
(44365, 134, 6067, '', '', '', 1, 1439190430),
(44366, 134, 6066, 'CodevTT_RAF', '', '1', 0, 1439190481),
(44367, 134, 6066, 'status', '10', '40', 0, 1439190481),
(44368, 134, 6067, 'CodevTT_RAF', '', '1', 0, 1439190517),
(44369, 134, 6067, 'status', '10', '40', 0, 1439190517),
(44370, 134, 6067, 'handler_id', '0', '134', 0, 1439190517),
(44371, 134, 6067, 'CodevTT_RAF', '1', '0.7', 0, 1439190549),
(44372, 134, 5526, 'CodevTT_RAF', '5.3', '4.7', 0, 1439190597),
(44373, 134, 4455, 'CodevTT_RAF', '0', '3', 0, 1439190632),
(44375, 158, 5457, 'CodevTT_RAF', '4', '4', 0, 1439191735),
(44424, 2, 5723, 'CodevTT_RAF', '', '2', 0, 1439224231),
(44425, 2, 5723, 'status', '10', '50', 0, 1439224231),
(44426, 169, 5723, 'CodevTT_RAF', '2', '1', 0, 1439225046),
(44439, 169, 5414, 'CodevTT_RAF', '8', '7', 0, 1439277417),
(44440, 169, 5414, 'CodevTT_RAF', '7', '6', 0, 1439277431),
(44441, 169, 5414, 'CodevTT_RAF', '6', '5', 0, 1439277442),
(44442, 169, 5723, 'CodevTT_RAF', '1', '4', 0, 1439277616),
(44443, 2, 5342, '', '0000728', '', 2, 1439278043),
(44444, 2, 5342, 'status', '50', '80', 0, 1439278066),
(44445, 2, 5342, 'resolution', '10', '60', 0, 1439278066),
(44446, 2, 5342, 'CodevTT_RAF', '3', '0', 0, 1439278066),
(44447, 93, 6036, 'CodevTT_RAF', '1', '0', 0, 1439281801),
(44448, 93, 6036, 'CodevTT_RAF', '0', '0', 0, 1439281801),
(44449, 93, 6036, 'status', '50', '80', 0, 1439281801),
(44450, 93, 5343, 'status', '50', '80', 0, 1439282821),
(44451, 93, 5343, 'resolution', '10', '20', 0, 1439282821),
(44452, 93, 5343, 'CodevTT_RAF', '2', '0', 0, 1439282821),
(44453, 93, 5280, 'status', '50', '80', 0, 1439282866),
(44454, 93, 5280, 'resolution', '10', '20', 0, 1439282866),
(44455, 93, 5280, 'CodevTT_RAF', '1.6', '0', 0, 1439282866),
(44456, 93, 4972, 'status', '40', '80', 0, 1439282920),
(44457, 93, 4972, 'resolution', '10', '20', 0, 1439282920),
(44458, 93, 4972, 'CodevTT_RAF', '0.5', '0', 0, 1439282920),
(44460, 2, 5297, '', '0000729', '', 2, 1439283177),
(44461, 2, 5297, 'status', '50', '20', 0, 1439283177),
(44464, 2, 4275, 'handler_id', '93', '73', 0, 1439283368),
(44465, 2, 5341, 'CodevTT_RAF', '0.5', '2', 0, 1439283460),
(44466, 2, 5341, 'CodevTT_Dead Line', '1434578400', '1441058400', 0, 1439283538),
(44467, 2, 5723, 'CodevTT_RAF', '4', '', 0, 1439283967),
(44468, 2, 5413, 'CodevTT_RAF', '', '3', 0, 1439284170),
(44469, 2, 5413, 'status', '10', '50', 0, 1439284170),
(44470, 2, 5413, 'CodevTT_RAF', '3', '3', 0, 1439284178),
(44471, 2, 5413, 'CodevTT_RAF', '3', '3', 0, 1439284207),
(44472, 2, 5413, 'CodevTT_RAF', '3', '4', 0, 1439284216),
(44474, 93, 5730, 'CodevTT_RAF', '', '3', 0, 1439284827),
(44475, 93, 5730, 'status', '10', '50', 0, 1439284827),
(44476, 93, 5730, 'handler_id', '0', '93', 0, 1439284827),
(44477, 93, 5730, 'CodevTT_RAF', '3', '2', 0, 1439284851),
(44591, 2, 6066, 'Ref. Externe', '', '41164', 0, 1439297923),
(44635, 2, 5412, 'CodevTT_RAF', '3.5', '2', 0, 1439363869),
(44636, 2, 5617, 'status', '50', '80', 0, 1439363999),
(44637, 2, 5617, 'resolution', '10', '20', 0, 1439363999),
(44638, 2, 5617, 'CodevTT_RAF', '0.5', '0', 0, 1439363999),
(44639, 2, 5618, 'status', '10', '50', 0, 1439366730),
(44640, 2, 5618, 'CodevTT_RAF', '', '5', 0, 1439366818),
(44649, 158, 5457, 'CodevTT_RAF', '4', '4', 0, 1439373101),
(44658, 158, 5564, 'CodevTT_RAF', '1.5', '1.5', 0, 1439373424),
(44659, 158, 5564, 'CodevTT_RAF', '1.5', '1.5', 0, 1439373459),
(44660, 158, 5564, 'CodevTT_RAF', '1.5', '1.5', 0, 1439373475),
(44661, 158, 5564, 'CodevTT_RAF', '1.5', '0.5', 0, 1439373531),
(44666, 2, 3893, 'CodevTT_RAF', '0', '30', 0, 1439373918),
(44673, 2, 4915, 'priority', '30', '40', 0, 1439380610),
(44674, 2, 4915, 'CodevTT_Dead Line', '1440972000', '1440367200', 0, 1439380813),
(44675, 158, 5564, 'CodevTT_RAF', '0.5', '0', 0, 1439380819),
(44676, 158, 5564, 'status', '50', '80', 0, 1439380819),
(44677, 158, 5564, 'CodevTT_RAF', '0', '0', 0, 1439380875),
(44678, 2, 4915, '', '1037', '', 6, 1439380889),
(47824, 72, 6129, 'Ref. Externe', '', '41242', 0, 1442565882),
(44707, 158, 6058, 'CodevTT_RAF', '1.2', '1', 0, 1439396385),
(44708, 158, 6058, 'CodevTT_RAF', '1', '1', 0, 1439396401),
(44709, 2, 6066, '', '0000732', '', 2, 1439396968),
(44710, 2, 6066, 'status', '40', '80', 0, 1439396968),
(44711, 2, 6066, 'resolution', '10', '20', 0, 1439396968),
(44712, 2, 6066, 'CodevTT_RAF', '1', '0', 0, 1439396968),
(44713, 2, 5412, 'CodevTT_RAF', '2', '2', 0, 1439397975),
(44714, 2, 5723, 'CodevTT_RAF', '', '2', 0, 1439398132),
(44715, 2, 4915, 'Ref. Externe', '', 'GAC_Cessation', 0, 1439398236),
(44716, 2, 4915, 'Ref. Externe', 'GAC_Cessation', 'GAC_Cessation [SPEC]', 0, 1439398275),
(50205, 146, 5569, 'status', '10', '50', 0, 1444383389),
(44718, 2, 5360, 'status', '50', '80', 0, 1439398691),
(44719, 2, 5360, 'resolution', '10', '20', 0, 1439398691),
(44720, 2, 5360, 'CodevTT_RAF', '0.9', '0', 0, 1439398691),
(44728, 134, 4455, 'CodevTT_RAF', '3', '4', 0, 1439452726),
(44729, 134, 4455, 'CodevTT_RAF', '4', '3.2', 0, 1439452770),
(44730, 134, 4455, 'status', '80', '50', 0, 1439452770),
(44731, 134, 4455, 'CodevTT_RAF', '3.2', '2.2', 0, 1439452796),
(44732, 134, 5360, 'CodevTT_RAF', '0', '0', 0, 1439452840),
(44733, 134, 5360, 'CodevTT_RAF', '0', '0', 0, 1439452856),
(44815, 158, 6058, 'CodevTT_RAF', '1', '1', 0, 1439538806),
(44816, 158, 5457, 'CodevTT_RAF', '4', '4', 0, 1439538843),
(44821, 2, 5412, 'CodevTT_RAF', '2', '0', 0, 1439540051),
(44822, 2, 5412, 'CodevTT_RAF', '0', '0', 0, 1439540051),
(44823, 2, 5412, 'status', '50', '80', 0, 1439540051),
(44824, 2, 3897, 'CodevTT_RAF', '0', '0', 0, 1439540094),
(44825, 2, 3897, 'handler_id', '0', '2', 0, 1439540094),
(44840, 169, 5413, 'CodevTT_RAF', '4', '3', 0, 1439540595),
(44841, 169, 5413, 'CodevTT_RAF', '3', '2', 0, 1439540607),
(44842, 169, 5413, 'CodevTT_RAF', '2', '1', 0, 1439540617),
(44843, 169, 5413, 'CodevTT_RAF', '1', '1', 0, 1439540647),
(44844, 169, 5413, 'CodevTT_RAF', '1', '1', 0, 1439540662),
(44996, 158, 6058, 'CodevTT_RAF', '1', '2', 0, 1439542779),
(45052, 146, 4914, 'CodevTT_RAF', '', '14', 0, 1439551858),
(45053, 146, 4914, 'status', '10', '50', 0, 1439551858),
(45054, 146, 4914, 'CodevTT_RAF', '14', '13', 0, 1439551875),
(45055, 146, 4914, 'CodevTT_RAF', '13', '13', 0, 1439551908),
(45056, 146, 4914, 'CodevTT_RAF', '13', '12', 0, 1439551923),
(45057, 146, 4914, 'CodevTT_RAF', '12', '11.5', 0, 1439551944),
(45058, 2, 6129, '', '', '', 1, 1439554972),
(45059, 2, 6129, 'handler_id', '0', '146', 0, 1439554972),
(45060, 2, 4958, 'status', '50', '80', 0, 1439555026),
(45061, 2, 4958, 'resolution', '10', '20', 0, 1439555026),
(45062, 2, 4958, 'CodevTT_RAF', '3.5', '0', 0, 1439555026),
(45063, 146, 4914, 'CodevTT_RAF', '11.5', '11.5', 0, 1439555234),
(45064, 146, 4914, 'CodevTT_RAF', '11.5', '11.5', 0, 1439555266),
(45065, 146, 6129, 'CodevTT_RAF', '', '1', 0, 1439555450),
(45066, 146, 6129, 'status', '10', '50', 0, 1439555450),
(45067, 146, 6129, 'CodevTT_RAF', '1', '1', 0, 1439555468),
(45099, 93, 6131, '', '', '', 1, 1439563975),
(45100, 93, 6131, 'handler_id', '0', '93', 0, 1439563975),
(45101, 93, 6132, '', '', '', 1, 1439564054),
(45102, 93, 6132, 'handler_id', '0', '93', 0, 1439564054),
(45103, 93, 6131, 'CodevTT_RAF', '', '0', 0, 1439564183),
(45104, 93, 6131, 'CodevTT_RAF', '0', '0', 0, 1439564183),
(45105, 93, 6131, 'status', '10', '80', 0, 1439564183),
(45109, 93, 6132, 'status', '10', '50', 0, 1439564348),
(45110, 93, 6131, 'status', '80', '50', 0, 1439564372),
(45111, 93, 6131, 'CodevTT_RAF', '0', '0', 0, 1439564392),
(45112, 93, 6131, 'CodevTT_RAF', '0', '0', 0, 1439564392),
(45113, 93, 6131, 'status', '50', '80', 0, 1439564392),
(45115, 93, 6132, 'CodevTT_RAF', '', '0', 0, 1439564412),
(45116, 93, 6132, 'CodevTT_RAF', '0', '0', 0, 1439564412),
(45117, 93, 6132, 'status', '50', '80', 0, 1439564412),
(45119, 93, 5730, 'CodevTT_RAF', '2', '0.5', 0, 1439564448),
(45120, 93, 5730, 'CodevTT_RAF', '0.5', '0', 0, 1439564470),
(45121, 93, 5730, 'CodevTT_RAF', '0', '0', 0, 1439564470),
(45122, 93, 5730, 'status', '50', '80', 0, 1439564470),
(45123, 93, 5457, 'CodevTT_RAF', '4', '2', 0, 1439564503),
(45124, 93, 5730, 'CodevTT_RAF', '0', '0', 0, 1439564654),
(45129, 2, 6133, '', '', '', 1, 1439565261),
(45130, 2, 6133, 'handler_id', '0', '134', 0, 1439565261),
(45137, 2, 6134, '', '', '', 1, 1439565356),
(45138, 2, 6134, 'handler_id', '0', '134', 0, 1439565356),
(45139, 2, 6133, 'Ref. Externe', '', '41243', 0, 1439565373),
(45179, 2, 6135, '', '', '', 1, 1439572333),
(45180, 2, 6136, '', '', '', 1, 1439572855),
(45181, 2, 6136, 'Ref. Externe', '', '41252', 0, 1439572886),
(45182, 2, 6135, 'Ref. Externe', '', '41159', 0, 1439572903),
(45183, 2, 6137, '', '', '', 1, 1439573245),
(45184, 2, 6138, '', '', '', 1, 1439573315),
(45185, 2, 6139, '', '', '', 1, 1439573578),
(45186, 2, 6139, 'handler_id', '0', '134', 0, 1439573578),
(45187, 2, 6140, '', '', '', 1, 1439573684),
(45188, 2, 6140, 'handler_id', '0', '2', 0, 1439573684),
(45189, 2, 6141, '', '', '', 1, 1439573801),
(45190, 2, 6141, 'handler_id', '0', '2', 0, 1439573801),
(45191, 2, 6141, 'Ref. Externe', '', '41237', 0, 1439573814),
(45192, 2, 4455, 'CodevTT_Dead Line', '1427666400', '1441058400', 0, 1439573914),
(45193, 2, 6139, 'Ref. Externe', '', '41247', 0, 1439573937),
(45370, 2, 6153, '', '', '', 1, 1439810565),
(45371, 2, 6153, '', '', '5711', 21, 1439810565),
(45372, 2, 5711, '', '', '6153', 20, 1439810565),
(68616, 72, 4278, 'category', 'General', '3en1', 0, 1454577629),
(45373, 2, 6139, 'CodevTT_Dead Line', '', '1440712800', 0, 1439811023),
(45374, 2, 6058, 'handler_id', '116', '158', 0, 1439811094),
(45375, 2, 6058, 'CodevTT_Dead Line', '', '1440021600', 0, 1439811116),
(45376, 2, 6154, '', '', '', 1, 1439811415),
(45377, 2, 6154, 'handler_id', '0', '93', 0, 1439811415),
(45378, 2, 6154, '', '3', '5457', 18, 1439811454),
(45379, 2, 5457, '', '2', '6154', 18, 1439811454),
(45390, 2, 6153, 'handler_id', '0', '117', 0, 1439815015),
(45391, 2, 5711, 'handler_id', '0', '117', 0, 1439815015),
(45392, 2, 5618, 'CodevTT_RAF', '5', '0', 0, 1439815110),
(45393, 2, 5618, '', '0000733', '', 2, 1439815110),
(45394, 2, 5618, 'status', '50', '80', 0, 1439815110),
(45395, 2, 5618, 'resolution', '10', '20', 0, 1439815110),
(45396, 2, 4302, 'CodevTT_Dead Line', '1430344800', '1442268000', 0, 1439815186),
(45425, 2, 3562, 'CodevTT_RAF', '0', '0', 0, 1439825295),
(45439, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1439884045),
(45440, 158, 6058, 'CodevTT_RAF', '2', '1', 0, 1439884100),
(45441, 158, 6058, 'CodevTT_RAF', '1', '1', 0, 1439884118),
(45442, 134, 6132, 'CodevTT_RAF', '0', '0', 0, 1439884271),
(45443, 134, 5526, 'CodevTT_RAF', '4.7', '3.7', 0, 1439884374),
(45444, 158, 6136, 'status', '10', '50', 0, 1439885821),
(45445, 158, 6136, 'CodevTT_RAF', '', '1', 0, 1439885842),
(45446, 158, 6136, 'handler_id', '0', '158', 0, 1439885842),
(45447, 158, 6058, 'CodevTT_RAF', '1', '1', 0, 1439885875),
(45448, 134, 5526, 'CodevTT_RAF', '3.7', '3.7', 0, 1439886320),
(45449, 134, 6136, 'CodevTT_RAF', '1', '0', 0, 1439886373),
(45450, 134, 6136, 'CodevTT_RAF', '0', '0', 0, 1439886373),
(45451, 134, 6136, 'status', '50', '80', 0, 1439886373),
(45452, 134, 6136, 'handler_id', '158', '134', 0, 1439886373),
(45453, 134, 6067, 'CodevTT_RAF', '0.7', '0.5', 0, 1439886416),
(45454, 134, 6133, 'CodevTT_RAF', '', '1.9', 0, 1439886458),
(45455, 134, 6133, 'status', '10', '40', 0, 1439886458),
(45456, 134, 4266, 'CodevTT_RAF', '0', '0', 0, 1439886536),
(45457, 134, 6067, 'CodevTT_RAF', '0.5', '0.5', 0, 1439886591),
(45458, 134, 6139, 'CodevTT_RAF', '', '1.5', 0, 1439886644),
(45459, 134, 6139, 'status', '10', '40', 0, 1439886644),
(45460, 134, 6139, 'CodevTT_RAF', '1.5', '1.5', 0, 1439886665),
(45461, 2, 5354, 'CodevTT_RAF', '0', '0', 0, 1439887363),
(45462, 2, 3562, 'CodevTT_RAF', '0', '0', 0, 1439887420),
(45556, 2, 5412, 'CodevTT_RAF', '0', '0', 0, 1440079047),
(45557, 2, 5412, 'CodevTT_RAF', '0', '0', 0, 1440079061),
(45558, 117, 6153, 'CodevTT_RAF', '', '0.5', 0, 1440079553),
(45559, 117, 6153, 'status', '10', '50', 0, 1440079553),
(45560, 117, 6153, 'CodevTT_RAF', '0.5', '9.5', 0, 1440079599),
(45561, 117, 6153, 'CodevTT_RAF', '9.5', '0.5', 0, 1440079629),
(45562, 117, 6153, 'CodevTT_RAF', '0.5', '0.5', 0, 1440079674),
(45563, 117, 6153, 'CodevTT_RAF', '0.5', '0.25', 0, 1440079709),
(45564, 117, 6153, 'CodevTT_RAF', '0.25', '0.25', 0, 1440080651),
(45565, 117, 6153, 'CodevTT_RAF', '0.25', '0.5', 0, 1440080680),
(45566, 117, 6153, 'CodevTT_RAF', '0.5', '0.5', 0, 1440080705),
(45567, 117, 6153, 'CodevTT_RAF', '0.5', '0.25', 0, 1440080736),
(45568, 117, 6153, 'CodevTT_RAF', '0.25', '0.25', 0, 1440080758),
(45635, 134, 6139, 'CodevTT_RAF', '1.5', '0', 0, 1440151106),
(45636, 134, 6139, 'CodevTT_RAF', '0', '0', 0, 1440151106),
(45637, 134, 6139, 'status', '40', '80', 0, 1440151106),
(45638, 134, 6134, 'CodevTT_RAF', '', '0.2', 0, 1440151227),
(45639, 134, 6134, 'status', '10', '40', 0, 1440151227),
(45640, 134, 6134, 'CodevTT_RAF', '0.2', '0', 0, 1440151244),
(45641, 134, 6134, 'CodevTT_RAF', '0', '0', 0, 1440151244);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(45642, 134, 6134, 'status', '40', '80', 0, 1440151244),
(45643, 134, 6138, 'CodevTT_RAF', '', '1.2', 0, 1440151341),
(45644, 134, 6138, 'status', '10', '40', 0, 1440151341),
(45645, 134, 6138, 'handler_id', '0', '134', 0, 1440151341),
(45646, 134, 6138, 'CodevTT_RAF', '1.2', '0.5', 0, 1440151379),
(45647, 134, 6138, 'CodevTT_RAF', '0.5', '0.3', 0, 1440151438),
(45648, 134, 4455, 'CodevTT_RAF', '2.2', '0', 0, 1440151469),
(45649, 134, 4455, 'CodevTT_RAF', '0', '0', 0, 1440151469),
(45650, 134, 4455, 'status', '50', '80', 0, 1440151469),
(45651, 2, 6058, 'CodevTT_RAF', '1', '2', 0, 1440152359),
(45701, 134, 4455, 'CodevTT_RAF', '0', '0', 0, 1440165701),
(45702, 134, 6138, 'CodevTT_RAF', '0.3', '0', 0, 1440165740),
(45703, 134, 6138, 'CodevTT_RAF', '0', '0', 0, 1440165740),
(45704, 134, 6138, 'status', '40', '80', 0, 1440165740),
(45705, 134, 6137, 'CodevTT_RAF', '', '1.9', 0, 1440165771),
(45706, 134, 6137, 'status', '10', '30', 0, 1440165771),
(45707, 134, 6137, 'handler_id', '0', '134', 0, 1440165771),
(45782, 146, 4914, 'CodevTT_RAF', '11.5', '10.5', 0, 1440173651),
(45786, 146, 6129, 'CodevTT_RAF', '1', '1', 0, 1440173753),
(45789, 146, 6129, 'CodevTT_RAF', '1', '0.5', 0, 1440173780),
(45790, 146, 4914, 'CodevTT_RAF', '10.5', '9.5', 0, 1440173808),
(45791, 146, 4914, 'CodevTT_RAF', '9.5', '8.5', 0, 1440173829),
(45792, 146, 4914, 'CodevTT_RAF', '8.5', '7.5', 0, 1440173849),
(45811, 2, 6179, '', '', '', 1, 1440174986),
(45812, 2, 6179, 'CodevTT_RAF', '', '2', 0, 1440175043),
(45813, 2, 6179, 'status', '10', '50', 0, 1440175043),
(45814, 2, 6179, 'handler_id', '0', '2', 0, 1440175043),
(45815, 2, 6179, 'CodevTT_RAF', '2', '2', 0, 1440175065),
(45816, 2, 6180, '', '', '', 1, 1440175156),
(45817, 2, 6180, 'handler_id', '0', '2', 0, 1440175156),
(45818, 2, 6180, 'CodevTT_RAF', '', '5', 0, 1440175182),
(45819, 2, 6180, 'status', '10', '50', 0, 1440175182),
(45820, 2, 6179, 'CodevTT_RAF', '2', '1', 0, 1440175310),
(45821, 2, 6179, 'CodevTT_RAF', '1', '1', 0, 1440175320),
(45822, 2, 5414, 'CodevTT_RAF', '5', '5', 0, 1440175381),
(45891, 147, 6137, 'CodevTT_RAF', '1.9', '2', 0, 1440412426),
(45892, 147, 6137, 'status', '30', '50', 0, 1440412426),
(45893, 147, 6137, 'handler_id', '134', '147', 0, 1440412426),
(45894, 147, 6137, 'CodevTT_RAF', '2', '1', 0, 1440413478),
(45895, 147, 5412, 'CodevTT_RAF', '0', '4', 0, 1440413536),
(45896, 147, 5412, 'handler_id', '2', '147', 0, 1440413536),
(45897, 147, 5412, 'CodevTT_RAF', '4', '4', 0, 1440413577),
(45898, 147, 5412, 'CodevTT_RAF', '4', '3', 0, 1440413604),
(45899, 147, 5412, 'CodevTT_RAF', '3', '3', 0, 1440413624),
(45900, 147, 5412, 'CodevTT_RAF', '3', '2', 0, 1440413647),
(45901, 147, 5412, 'CodevTT_RAF', '2', '2', 0, 1440413663),
(45902, 147, 5412, 'CodevTT_RAF', '2', '1', 0, 1440413677),
(45922, 2, 6180, 'CodevTT_RAF', '5', '5', 0, 1440435189),
(45923, 2, 5413, 'CodevTT_RAF', '1', '2', 0, 1440435278),
(45941, 2, 6058, 'CodevTT_RAF', '2', '2', 0, 1440506451),
(45942, 2, 6185, '', '', '', 1, 1440508422),
(45943, 2, 6185, 'handler_id', '0', '2', 0, 1440508422),
(45952, 116, 4333, 'CodevTT_RAF', '10', '9', 0, 1440577802),
(45953, 116, 4333, 'CodevTT_RAF', '9', '8', 0, 1440577816),
(45954, 116, 4333, 'CodevTT_RAF', '8', '7', 0, 1440577826),
(45975, 169, 5718, 'CodevTT_RAF', '', '3', 0, 1440596670),
(45976, 169, 5718, 'status', '10', '50', 0, 1440596670),
(45977, 169, 5718, 'CodevTT_RAF', '3', '6', 0, 1440596836),
(45978, 169, 5718, 'CodevTT_RAF', '6', '5', 0, 1440596848),
(45979, 169, 6179, 'CodevTT_RAF', '1', '4', 0, 1440596907),
(45980, 169, 6179, 'CodevTT_RAF', '4', '3', 0, 1440596940),
(45981, 169, 6179, 'CodevTT_RAF', '3', '2', 0, 1440596950),
(45986, 2, 6179, 'CodevTT_RAF', '2', '1', 0, 1440665673),
(45987, 2, 6179, 'CodevTT_RAF', '1', '0', 0, 1440665687),
(45988, 2, 6179, 'CodevTT_RAF', '0', '0', 0, 1440665687),
(45989, 2, 6179, 'status', '50', '80', 0, 1440665687),
(45990, 2, 6179, 'CodevTT_RAF', '0', '0', 0, 1440665706),
(46032, 117, 6153, 'CodevTT_RAF', '0.25', '1', 0, 1440751963),
(46033, 117, 6153, 'CodevTT_RAF', '1', '0.3', 0, 1440752005),
(46034, 2, 6187, '', '', '', 1, 1440752743),
(46035, 2, 6187, 'handler_id', '0', '134', 0, 1440752743),
(46037, 116, 4333, 'CodevTT_RAF', '7', '6.5', 0, 1440762362),
(46038, 116, 2132, 'CodevTT_RAF', '0', '0', 0, 1440762385),
(46039, 116, 6058, 'CodevTT_RAF', '2', '2', 0, 1440762408),
(46040, 116, 4333, 'CodevTT_RAF', '6.5', '6.1', 0, 1440762428),
(46041, 2, 6179, 'CodevTT_RAF', '0', '0', 0, 1440763044),
(46042, 2, 6135, 'handler_id', '0', '74', 0, 1440763382),
(46043, 169, 6179, 'CodevTT_RAF', '0', '0', 0, 1440763664),
(46044, 169, 5414, 'CodevTT_RAF', '5', '10', 0, 1440763849),
(46045, 169, 5414, 'CodevTT_RAF', '10', '9', 0, 1440763902),
(46046, 169, 5413, 'CodevTT_RAF', '2', '1.5', 0, 1440763933),
(46047, 169, 5413, 'CodevTT_RAF', '1.5', '2', 0, 1440763952),
(46048, 2, 6188, '', '', '', 1, 1440764635),
(46049, 2, 6188, 'handler_id', '0', '74', 0, 1440764635),
(46050, 2, 6134, '', '0000749', '', 2, 1440764721),
(46051, 2, 6134, 'status', '80', '30', 0, 1440764721),
(46052, 2, 6134, 'resolution', '10', '30', 0, 1440764721),
(46053, 2, 6134, 'CodevTT_RAF', '0', '2', 0, 1440764739),
(46054, 2, 5564, 'Ref. Externe', '', '41048', 0, 1440764855),
(46055, 2, 5564, 'CodevTT_RAF', '0', '2', 0, 1440764855),
(46056, 2, 5564, 'CodevTT_Dead Line', '1437084000', '', 0, 1440764855),
(46057, 2, 5564, '', '0000750', '', 2, 1440764855),
(46058, 2, 5564, 'status', '80', '30', 0, 1440764855),
(46067, 2, 6189, '', '', '', 1, 1440764991),
(46068, 2, 6189, 'handler_id', '0', '114', 0, 1440764991),
(46069, 2, 6189, 'CodevTT_RAF', '', '10', 0, 1440765075),
(46070, 2, 6189, 'status', '10', '50', 0, 1440765075),
(46080, 2, 6190, '', '', '', 1, 1440773668),
(46081, 2, 6190, 'handler_id', '0', '74', 0, 1440773668),
(46083, 2, 5615, 'status', '10', '80', 0, 1440773809),
(46084, 2, 5615, 'resolution', '10', '20', 0, 1440773809),
(46085, 2, 5615, 'CodevTT_RAF', '', '0', 0, 1440773809),
(46098, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1440774649),
(46100, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1440774668),
(46101, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1440774701),
(46102, 2, 4914, 'CodevTT_Dead Line', '', '1441231200', 0, 1440774721),
(46103, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1440774775),
(46104, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1440774798),
(46105, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1440774819),
(46106, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1440774866),
(46107, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1440774891),
(46108, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1440774915),
(46109, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1440775048),
(46110, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1440775079),
(46115, 2, 4957, 'status', '50', '80', 0, 1440776112),
(46116, 2, 4957, 'resolution', '10', '20', 0, 1440776112),
(46117, 2, 4957, 'CodevTT_RAF', '4', '0', 0, 1440776112),
(46118, 2, 5344, 'status', '50', '80', 0, 1440776157),
(46119, 2, 5344, 'resolution', '10', '20', 0, 1440776157),
(46120, 2, 5344, 'CodevTT_RAF', '4', '0', 0, 1440776157),
(46121, 2, 5098, 'status', '40', '80', 0, 1440776204),
(46122, 2, 5098, 'resolution', '10', '80', 0, 1440776204),
(46123, 2, 5098, 'CodevTT_RAF', '3', '0', 0, 1440776204),
(46124, 2, 4055, 'status', '50', '80', 0, 1440776275),
(46125, 2, 4055, 'resolution', '10', '80', 0, 1440776275),
(46126, 2, 4055, 'CodevTT_RAF', '2', '0', 0, 1440776275),
(46127, 2, 4940, 'status', '50', '80', 0, 1440776307),
(46128, 2, 4940, 'resolution', '10', '20', 0, 1440776307),
(46129, 2, 4940, 'CodevTT_RAF', '0.5', '0', 0, 1440776307),
(46130, 2, 4262, 'status', '50', '80', 0, 1440776340),
(46131, 2, 4262, 'resolution', '10', '20', 0, 1440776340),
(46132, 2, 4262, 'CodevTT_RAF', '2', '0', 0, 1440776340),
(46133, 2, 6180, 'handler_id', '2', '157', 0, 1440776385),
(46134, 2, 6180, 'handler_id', '157', '2', 0, 1440776453),
(46135, 2, 6180, 'status', '50', '80', 0, 1440776459),
(46136, 2, 6180, 'resolution', '10', '80', 0, 1440776459),
(46137, 2, 6180, 'CodevTT_RAF', '5', '0', 0, 1440776459),
(46138, 2, 6185, 'handler_id', '2', '157', 0, 1440776491),
(46139, 146, 4914, 'CodevTT_RAF', '7.5', '6.5', 0, 1440778086),
(46140, 146, 4914, 'CodevTT_RAF', '6.5', '5.5', 0, 1440778098),
(46141, 146, 4914, 'CodevTT_RAF', '5.5', '4.5', 0, 1440778120),
(46142, 146, 4914, 'CodevTT_RAF', '4.5', '4.5', 0, 1440778140),
(46143, 146, 4914, 'CodevTT_RAF', '4.5', '3.5', 0, 1440778152),
(46179, 2, 6190, 'handler_id', '74', '93', 0, 1441005166),
(46183, 164, 6141, 'status', '10', '80', 0, 1441010956),
(46184, 164, 6141, 'resolution', '10', '20', 0, 1441010956),
(46185, 164, 6141, 'CodevTT_RAF', '', '0', 0, 1441010956),
(46186, 164, 6141, 'CodevTT_RAF', '0', '0', 0, 1441010990),
(46187, 164, 6141, 'CodevTT_RAF', '0', '0', 0, 1441011026),
(46188, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1441011129),
(46189, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1441011203),
(46190, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1441011222),
(46191, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1441011272),
(46192, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441011296),
(46222, 2, 5716, 'CodevTT_ChargeInit', '2', '0.5', 0, 1441022297),
(46223, 2, 5414, 'CodevTT_RAF', '9', '5', 0, 1441022502),
(46224, 2, 5716, 'CodevTT_RAF', '', '0.5', 0, 1441022580),
(46225, 2, 5717, 'CodevTT_RAF', '', '0.5', 0, 1441022629),
(46226, 2, 5719, '', '0000752', '', 2, 1441022703),
(46227, 2, 5719, 'status', '10', '80', 0, 1441022703),
(46228, 2, 5719, 'resolution', '10', '20', 0, 1441022703),
(46229, 2, 5719, 'CodevTT_RAF', '', '0', 0, 1441022703),
(46230, 2, 5719, '', '0', '5718', 18, 1441022736),
(46231, 2, 5718, '', '4', '5719', 18, 1441022736),
(46235, 2, 5720, '', '0000753', '', 2, 1441022778),
(46236, 2, 5720, 'status', '10', '80', 0, 1441022778),
(46237, 2, 5720, 'resolution', '10', '20', 0, 1441022778),
(46238, 2, 5720, 'CodevTT_RAF', '', '0', 0, 1441022778),
(46281, 2, 6189, 'CodevTT_RAF', '10', '10', 0, 1441029131),
(46282, 2, 6140, 'status', '10', '80', 0, 1441029490),
(46283, 2, 6140, 'resolution', '10', '20', 0, 1441029490),
(46284, 2, 6140, 'handler_id', '2', '164', 0, 1441029490),
(46285, 2, 6140, 'CodevTT_RAF', '', '0', 0, 1441029490),
(46286, 2, 4589, 'CodevTT_RAF', '0', '1', 0, 1441030547),
(46287, 2, 4589, '', '0000754', '', 2, 1441030547),
(46288, 2, 4589, 'status', '80', '30', 0, 1441030547),
(46289, 2, 6197, '', '', '', 1, 1441031037),
(46290, 2, 6197, 'handler_id', '0', '2', 0, 1441031037),
(46291, 2, 6198, '', '', '', 1, 1441031083),
(46321, 2, 5714, 'handler_id', '0', '2', 0, 1441092144),
(46332, 2, 5433, '', '0000755', '', 2, 1441097995),
(46333, 2, 5433, 'status', '10', '80', 0, 1441097995),
(46334, 2, 5433, 'resolution', '10', '20', 0, 1441097995),
(46335, 2, 5433, 'CodevTT_RAF', '', '0', 0, 1441097995),
(46336, 2, 5716, 'CodevTT_RAF', '0.5', '0', 0, 1441098023),
(46337, 2, 5716, '', '0000756', '', 2, 1441098023),
(46338, 2, 5716, 'status', '10', '80', 0, 1441098023),
(46339, 2, 5716, 'resolution', '10', '20', 0, 1441098023),
(46340, 2, 5717, 'CodevTT_RAF', '0.5', '0', 0, 1441098055),
(46341, 2, 5717, '', '0000757', '', 2, 1441098055),
(46342, 2, 5717, 'status', '10', '80', 0, 1441098055),
(46343, 2, 5717, 'resolution', '10', '20', 0, 1441098055),
(46344, 2, 5718, '', '0000758', '', 2, 1441098242),
(46345, 2, 5720, 'CodevTT_RAF', '0', '3', 0, 1441098473),
(46346, 2, 5720, 'status', '80', '30', 0, 1441098473),
(46355, 2, 6198, 'handler_id', '0', '116', 0, 1441100112),
(46358, 2, 5565, '', '0000759', '', 2, 1441100194),
(46359, 2, 5565, 'status', '50', '20', 0, 1441100194),
(46360, 2, 6198, '', '1', '4333', 18, 1441100262),
(46361, 2, 4333, '', '1', '6198', 18, 1441100262),
(46386, 116, 4333, 'CodevTT_RAF', '6.1', '5.1', 0, 1441179704),
(46388, 116, 6058, 'CodevTT_RAF', '2', '1.5', 0, 1441179734),
(46387, 116, 4333, 'CodevTT_RAF', '5.1', '4.6', 0, 1441179717),
(46369, 2, 4210, 'CodevTT_Dead Line', '1438293600', '', 0, 1441102339),
(46370, 2, 4282, 'CodevTT_Dead Line', '', '1445205600', 0, 1441102801),
(46371, 2, 4282, 'handler_id', '146', '134', 0, 1441102801),
(46372, 2, 4282, 'status', '20', '30', 0, 1441102801),
(46373, 2, 4281, 'handler_id', '146', '134', 0, 1441102838),
(46374, 2, 4281, 'CodevTT_Dead Line', '', '1443564000', 0, 1441102874),
(46375, 2, 4289, 'status', '10', '20', 0, 1441102930),
(46376, 2, 4210, 'target_version', '15.0.0', '', 0, 1441102982),
(46377, 2, 4278, 'handler_id', '146', '147', 0, 1441103042),
(46378, 2, 4276, 'handler_id', '146', '134', 0, 1441103105),
(46379, 2, 6210, '', '', '', 1, 1441113017),
(46380, 2, 6210, 'handler_id', '0', '157', 0, 1441113017),
(46381, 2, 5721, 'handler_id', '169', '2', 0, 1441113630),
(46389, 2, 5723, 'CodevTT_RAF', '2', '2', 0, 1441183783),
(46390, 2, 5723, 'CodevTT_RAF', '2', '2', 0, 1441183798),
(46420, 134, 5526, 'CodevTT_RAF', '3.7', '2.9', 0, 1441204852),
(46421, 134, 5526, 'CodevTT_RAF', '2.9', '2.8', 0, 1441204903),
(46422, 134, 6187, 'CodevTT_RAF', '', '1.8', 0, 1441205575),
(46423, 134, 6187, 'status', '10', '30', 0, 1441205575),
(46424, 134, 5526, 'CodevTT_RAF', '2.8', '1.8', 0, 1441205608),
(46425, 134, 6187, 'CodevTT_RAF', '1.8', '1.8', 0, 1441205657),
(46426, 134, 5526, 'CodevTT_RAF', '1.8', '2.8', 0, 1441205729),
(46427, 157, 6185, 'CodevTT_RAF', '', '4', 0, 1441207934),
(46428, 157, 6185, 'status', '10', '40', 0, 1441207934),
(46429, 157, 6185, 'CodevTT_RAF', '4', '3', 0, 1441207947),
(46430, 157, 6185, 'CodevTT_RAF', '3', '2', 0, 1441207966),
(46431, 157, 6185, 'CodevTT_RAF', '2', '1', 0, 1441207985),
(46432, 157, 6185, 'status', '40', '50', 0, 1441207985),
(46433, 157, 6185, 'CodevTT_RAF', '1', '1', 0, 1441208008),
(46434, 2, 5723, 'CodevTT_RAF', '2', '2', 0, 1441213345),
(46435, 2, 5723, 'CodevTT_RAF', '2', '2', 0, 1441213384),
(46445, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1441271016),
(46446, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1441271035),
(46447, 158, 6058, 'CodevTT_RAF', '1.5', '1.5', 0, 1441271073),
(46471, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441288837),
(46472, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1441289289),
(46473, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1441289322),
(46474, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441289477),
(46475, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441289498),
(46476, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441289514),
(46477, 158, 6058, 'CodevTT_RAF', '1.5', '1.5', 0, 1441290899),
(46478, 158, 6058, 'CodevTT_RAF', '1.5', '2', 0, 1441290916),
(46481, 72, 6256, '', '', '', 1, 1441345865),
(46482, 72, 6256, 'handler_id', '0', '93', 0, 1441345865),
(46483, 72, 5617, 'CodevTT_RAF', '0', '0', 0, 1441346055),
(46504, 93, 6190, 'CodevTT_RAF', '', '2', 0, 1441352140),
(46505, 93, 6190, 'status', '10', '50', 0, 1441352140),
(46506, 93, 6190, 'CodevTT_RAF', '2', '1', 0, 1441352166),
(46507, 93, 6256, 'CodevTT_RAF', '', '4', 0, 1441352206),
(46508, 93, 6256, 'status', '10', '50', 0, 1441352206),
(46509, 93, 6256, 'CodevTT_RAF', '4', '3', 0, 1441352238),
(46510, 93, 6190, 'CodevTT_RAF', '1', '1', 0, 1441352282),
(46511, 93, 6256, 'CodevTT_RAF', '3', '1', 0, 1441352430),
(46512, 93, 6256, 'CodevTT_RAF', '1', '3', 0, 1441352462),
(46516, 2, 5718, 'CodevTT_RAF', '5', '4', 0, 1441354071),
(46517, 2, 5718, 'CodevTT_RAF', '4', '4', 0, 1441354082),
(46518, 2, 5718, 'CodevTT_RAF', '4', '4', 0, 1441354098),
(46519, 2, 5718, 'CodevTT_RAF', '4', '4', 0, 1441354107),
(46520, 2, 5718, 'CodevTT_RAF', '4', '4', 0, 1441354136),
(46521, 2, 5413, 'CodevTT_RAF', '2', '0.5', 0, 1441354179),
(46522, 2, 5414, 'handler_id', '169', '2', 0, 1441354354),
(46523, 2, 5434, 'handler_id', '169', '164', 0, 1441354502),
(46530, 147, 6137, 'CodevTT_RAF', '1', '1', 0, 1441355006),
(46531, 147, 6137, 'CodevTT_RAF', '1', '1', 0, 1441355006),
(46532, 147, 6134, 'CodevTT_RAF', '2', '3', 0, 1441355188),
(46533, 147, 6134, 'status', '30', '40', 0, 1441355188),
(46534, 147, 6134, 'handler_id', '134', '147', 0, 1441355188),
(46541, 147, 4590, 'CodevTT_RAF', '8', '7', 0, 1441355309),
(46546, 147, 4590, 'CodevTT_RAF', '7', '6', 0, 1441355357),
(46552, 147, 4590, 'CodevTT_RAF', '6', '5', 0, 1441355401),
(46558, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441355662),
(46576, 74, 6135, 'CodevTT_RAF', '', '0.5', 0, 1441371030),
(46577, 74, 6135, 'status', '10', '50', 0, 1441371030),
(46578, 74, 6188, 'CodevTT_RAF', '', '0', 0, 1441371141),
(46579, 74, 6188, 'CodevTT_RAF', '0', '0', 0, 1441371141),
(46580, 74, 6188, 'status', '10', '80', 0, 1441371141),
(46581, 2, 6257, '', '', '', 1, 1441371516),
(46582, 2, 6257, 'handler_id', '0', '74', 0, 1441371516),
(46583, 2, 6258, '', '', '', 1, 1441371624),
(46584, 2, 6257, 'target_version', '', '15.1.0_3en1', 0, 1441371700),
(46585, 74, 6258, 'CodevTT_RAF', '', '0.3', 0, 1441371804),
(46586, 74, 6258, 'status', '10', '50', 0, 1441371804),
(46587, 74, 6258, 'handler_id', '0', '74', 0, 1441371804),
(46588, 74, 6258, 'CodevTT_RAF', '0.3', '0.3', 0, 1441371914),
(46589, 74, 6257, 'CodevTT_RAF', '', '10', 0, 1441372154),
(46590, 74, 6257, 'status', '10', '50', 0, 1441372154),
(46591, 74, 5616, 'CodevTT_RAF', '', '0.1', 0, 1441372195),
(46592, 74, 5616, 'status', '10', '50', 0, 1441372195),
(46593, 74, 6257, 'CodevTT_RAF', '10', '10', 0, 1441372257),
(46594, 2, 6257, 'Ref. Externe', '', 'QUAL_v15.1.0', 0, 1441372282),
(46595, 74, 6257, 'CodevTT_RAF', '10', '10', 0, 1441372354),
(46627, 74, 6258, 'CodevTT_RAF', '0.3', '0', 0, 1441375481),
(46628, 74, 6258, '', '0000761', '', 2, 1441375481),
(46629, 74, 6258, 'status', '50', '80', 0, 1441375481),
(46630, 74, 6188, '', '0000762', '', 2, 1441375536),
(46631, 74, 6188, 'status', '80', '90', 0, 1441375536),
(46633, 116, 4333, 'CodevTT_RAF', '4.6', '4.0', 0, 1441376994),
(46634, 116, 4333, 'CodevTT_RAF', '4.0', '3.5', 0, 1441377005),
(46635, 116, 4333, 'CodevTT_RAF', '3.5', '3.5', 0, 1441377014),
(46636, 116, 6058, 'CodevTT_RAF', '2', '1.5', 0, 1441377028),
(46654, 134, 5526, 'CodevTT_RAF', '2.8', '1', 0, 1441379167),
(46655, 134, 5526, 'CodevTT_RAF', '1', '0.8', 0, 1441379189),
(46656, 134, 5526, 'CodevTT_RAF', '0.8', '0.8', 0, 1441379285),
(46671, 72, 5516, 'CodevTT_RAF', '', '0', 0, 1441604364),
(46672, 72, 5516, 'status', '10', '80', 0, 1441604364),
(46676, 72, 4915, 'CodevTT_Dead Line', '1440367200', '1443132000', 0, 1441604594),
(46677, 72, 4915, 'handler_id', '73', '178', 0, 1441604594),
(46678, 72, 4915, '', '1080', '', 6, 1441604594),
(50204, 146, 5569, 'CodevTT_RAF', '', '1', 0, 1444383389),
(46685, 72, 6271, '', '', '', 1, 1441604940),
(46686, 72, 4912, 'status', '50', '80', 0, 1441605005),
(46687, 72, 4912, 'resolution', '10', '20', 0, 1441605005),
(46688, 72, 4912, 'CodevTT_RAF', '1', '0', 0, 1441605005),
(46689, 72, 6272, '', '', '', 1, 1441605277),
(46690, 72, 6272, 'handler_id', '0', '147', 0, 1441605277),
(46691, 72, 6273, '', '', '', 1, 1441605385),
(46692, 72, 6273, 'handler_id', '0', '147', 0, 1441605385),
(46693, 72, 5453, 'status', '50', '80', 0, 1441605470),
(46694, 72, 5453, 'resolution', '10', '20', 0, 1441605470),
(46695, 72, 5453, 'CodevTT_RAF', '0.5', '0', 0, 1441605470),
(46696, 72, 6274, '', '', '', 1, 1441605574),
(46697, 72, 6274, 'handler_id', '0', '74', 0, 1441605574),
(46698, 72, 6275, '', '', '', 1, 1441605646),
(46699, 72, 6275, 'handler_id', '0', '74', 0, 1441605646),
(46700, 72, 5619, 'status', '50', '80', 0, 1441605743),
(46701, 72, 5619, 'resolution', '10', '20', 0, 1441605743),
(46702, 72, 5619, 'CodevTT_RAF', '0.5', '0', 0, 1441605743),
(46703, 72, 6198, '', '1082', '', 6, 1441606085),
(48905, 72, 3686, 'handler_id', '93', '117', 0, 1443594290),
(48904, 72, 6618, 'handler_id', '0', '169', 0, 1443594160),
(46709, 72, 6198, '', '', '6276', 20, 1441606165),
(46710, 72, 6198, '', '3', '6276', 18, 1441606165),
(48903, 72, 6618, '', '', '', 1, 1443594160),
(48902, 72, 6197, 'handler_id', '2', '116', 0, 1443593991),
(46713, 72, 3686, 'CodevTT_ChargeMgr', '0', '3', 0, 1441606535),
(46714, 72, 3686, 'target_version', '16.0.0', '15.1.0_Jan', 0, 1441606535),
(46715, 72, 3686, 'status', '20', '50', 0, 1441606558),
(46716, 72, 4330, 'status', '20', '50', 0, 1441606581),
(46717, 72, 4330, 'target_version', '16.0.0', '15.1.0_Jan', 0, 1441606581),
(46726, 72, 3893, 'handler_id', '0', '157', 0, 1441606801),
(46741, 72, 3893, 'CodevTT_RAF', '30', '10', 0, 1441606991),
(46742, 72, 3893, 'severity', '50', '60', 0, 1441606991),
(46743, 72, 3893, 'resolution', '20', '10', 0, 1441606991),
(46744, 72, 3893, 'target_version', '15.1.0_AFFI', '15.1.0_3en1', 0, 1441606991),
(46757, 72, 3825, 'CodevTT_ChargeMgr', '0', '5', 0, 1441607213),
(46758, 72, 3825, 'CodevTT_ChargeInit', '2', '5', 0, 1441607213),
(46759, 72, 3825, 'handler_id', '114', '157', 0, 1441607213),
(46760, 72, 3825, 'status', '80', '50', 0, 1441607213),
(46761, 72, 3825, 'resolution', '20', '10', 0, 1441607213),
(46762, 72, 3825, 'target_version', '', '15.1.0_3en1', 0, 1441607213),
(46763, 72, 3825, 'CodevTT_RAF', '0', '5', 0, 1441607324),
(46764, 72, 6129, 'handler_id', '146', '116', 0, 1441609690),
(46765, 72, 4276, 'target_version', '15.1.0_AFFI', '15.1.0_3en1', 0, 1441609939),
(46766, 72, 4275, 'handler_id', '73', '134', 0, 1441609980),
(46767, 72, 4275, 'target_version', '15.1.0_AFFI', '15.1.0_3en1', 0, 1441609980),
(46770, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1441617503),
(46887, 2, 6284, '', '', '', 1, 1441639517),
(46888, 2, 6284, 'handler_id', '0', '2', 0, 1441639517),
(46889, 2, 6284, 'CodevTT_RAF', '', '2', 0, 1441639585),
(46890, 2, 6284, 'status', '10', '50', 0, 1441639585),
(46891, 2, 6284, 'CodevTT_RAF', '2', '1', 0, 1441639597),
(46892, 2, 6284, 'CodevTT_RAF', '1', '0', 0, 1441639614),
(46893, 2, 6284, 'CodevTT_RAF', '0', '0', 0, 1441639614),
(46894, 2, 6284, 'status', '50', '80', 0, 1441639614),
(46895, 2, 5723, 'CodevTT_RAF', '2', '2', 0, 1441639677),
(46896, 2, 6272, 'CodevTT_ChargeMgr', '55', '5', 0, 1441639980),
(46897, 72, 6285, '', '', '', 1, 1441692541),
(46898, 72, 6285, 'handler_id', '0', '116', 0, 1441692541),
(46899, 72, 6285, '', '', '4333', 21, 1441692541),
(46900, 72, 4333, '', '', '6285', 20, 1441692541),
(46901, 72, 6286, '', '', '', 1, 1441692981),
(46902, 72, 6286, 'handler_id', '0', '147', 0, 1441692981),
(46903, 72, 6286, '', '', '4590', 21, 1441692981),
(46904, 72, 4590, '', '', '6286', 20, 1441692981),
(46905, 74, 6129, 'CodevTT_RAF', '0.5', '10', 0, 1441693835),
(46906, 74, 5279, 'CodevTT_RAF', '1', '10', 0, 1441693858),
(46909, 116, 4333, 'CodevTT_RAF', '3.5', '2.5', 0, 1441714695),
(46910, 116, 4333, 'CodevTT_RAF', '2.5', '2.5', 0, 1441714709),
(46911, 116, 4333, 'CodevTT_RAF', '2.5', '2', 0, 1441714720),
(47022, 93, 6256, 'CodevTT_RAF', '3', '1', 0, 1441784869),
(47023, 93, 6256, 'CodevTT_RAF', '1', '1', 0, 1441784883),
(47024, 93, 5730, 'CodevTT_RAF', '0', '0.25', 0, 1441784933),
(47025, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1441786333),
(47026, 158, 6058, 'CodevTT_RAF', '1.5', '1', 0, 1441786401),
(47027, 158, 6058, 'CodevTT_RAF', '1', '1', 0, 1441786429),
(47028, 158, 6058, 'CodevTT_RAF', '1', '4', 0, 1441786474),
(47034, 2, 5414, 'CodevTT_RAF', '5', '4', 0, 1441799272),
(47037, 2, 6294, '', '', '', 1, 1441806780),
(47038, 2, 6294, 'handler_id', '0', '147', 0, 1441806780),
(47039, 2, 6295, '', '', '', 1, 1441806837),
(47040, 2, 6295, 'handler_id', '0', '147', 0, 1441806837),
(47041, 2, 5414, 'CodevTT_RAF', '4', '4', 0, 1441807083),
(47042, 134, 6296, '', '', '', 1, 1441811114),
(47043, 134, 6296, 'summary', 'D41328-SOCLE - DSI-2014-FC15R-Assurés non sélectionnés à tort', '41328-SOCLE - DSI-2014-FC15R-Assurés non sélectionnés à tort', 0, 1441811178),
(47044, 134, 6296, 'CodevTT_RAF', '', '0', 0, 1441811265),
(47045, 134, 6296, 'CodevTT_RAF', '0', '0', 0, 1441811265),
(47046, 134, 6296, 'status', '10', '80', 0, 1441811265),
(47047, 134, 6296, 'handler_id', '0', '134', 0, 1441811265),
(47048, 134, 6297, '', '', '', 1, 1441811444),
(47049, 134, 6297, 'CodevTT_RAF', '', '5', 0, 1441811513),
(47050, 134, 6297, 'status', '10', '30', 0, 1441811513),
(47051, 134, 6297, 'handler_id', '0', '134', 0, 1441811513),
(47052, 134, 6297, 'CodevTT_RAF', '5', '4.4', 0, 1441811550),
(47053, 134, 6297, 'CodevTT_RAF', '4.4', '4', 0, 1441811571),
(47054, 134, 4455, 'CodevTT_RAF', '0', '1', 0, 1441811611),
(47055, 134, 4455, 'CodevTT_RAF', '1', '0.5', 0, 1441811633),
(47056, 134, 4455, 'CodevTT_RAF', '0.5', '0', 0, 1441811688),
(47057, 134, 6187, 'CodevTT_RAF', '1.8', '0', 0, 1441811774),
(47058, 134, 6187, 'CodevTT_RAF', '0', '0', 0, 1441811774),
(47059, 134, 6187, 'status', '30', '80', 0, 1441811774),
(47065, 72, 6298, '', '', '', 1, 1441871992),
(47066, 72, 6298, 'handler_id', '0', '74', 0, 1441871992),
(47067, 72, 6298, 'severity', '50', '60', 0, 1441872043),
(47068, 72, 6298, 'status', '10', '50', 0, 1441872043),
(47069, 72, 6299, '', '', '', 1, 1441872118),
(47070, 72, 6299, 'handler_id', '0', '93', 0, 1441872118),
(47071, 72, 6299, '', '', '6298', 21, 1441872118),
(47072, 72, 6298, '', '', '6299', 20, 1441872118),
(49948, 72, 6299, 'status', '10', '80', 0, 1444231905),
(49947, 72, 5341, 'CodevTT_Dead Line', '1441058400', '', 0, 1444231753),
(47076, 72, 6298, '', '', '6300', 20, 1441872205),
(47077, 72, 5616, 'CodevTT_RAF', '0.1', '0', 0, 1441872344),
(47078, 72, 5616, 'CodevTT_RAF', '0', '0', 0, 1441872344),
(47079, 72, 5616, 'status', '50', '80', 0, 1441872344),
(47093, 116, 4333, 'CodevTT_RAF', '2', '1', 0, 1441896287),
(47094, 116, 4333, 'CodevTT_RAF', '1', '2', 0, 1441896295),
(47100, 2, 5723, 'CodevTT_RAF', '2', '0.25', 0, 1441923692),
(47101, 2, 5723, 'CodevTT_RAF', '0.25', '0', 0, 1441923730),
(47102, 2, 5723, 'CodevTT_RAF', '0', '0', 0, 1441923730),
(47103, 2, 5723, 'status', '50', '80', 0, 1441923730),
(47104, 2, 5721, 'CodevTT_RAF', '', '0.25', 0, 1441923821),
(47105, 2, 5721, 'status', '10', '50', 0, 1441923821),
(47106, 2, 5721, 'CodevTT_RAF', '0.25', '0.25', 0, 1441923870),
(47107, 2, 5722, 'CodevTT_RAF', '', '0.25', 0, 1441924000),
(47108, 2, 5722, 'status', '10', '50', 0, 1441924000),
(47109, 2, 5722, 'CodevTT_RAF', '0.25', '0.25', 0, 1441924027),
(47110, 134, 5361, 'CodevTT_RAF', '2', '1', 0, 1441952675),
(47111, 74, 5279, 'CodevTT_RAF', '10', '10', 0, 1441956670),
(47112, 74, 5279, 'CodevTT_RAF', '10', '10', 0, 1441956679),
(47113, 74, 5279, 'CodevTT_RAF', '10', '10', 0, 1441956686),
(47114, 74, 5279, 'CodevTT_RAF', '10', '10', 0, 1441956694),
(47136, 147, 4590, 'CodevTT_RAF', '5', '4', 0, 1441959883),
(47137, 147, 4590, 'CodevTT_RAF', '4', '4', 0, 1441959982),
(47138, 147, 4590, 'CodevTT_RAF', '4', '3', 0, 1441960012),
(47139, 147, 6286, 'CodevTT_RAF', '', '0.5', 0, 1441960268),
(47140, 147, 6286, 'status', '10', '50', 0, 1441960268),
(47141, 147, 6286, 'CodevTT_RAF', '0.5', '0.5', 0, 1441960320),
(47147, 147, 6295, 'CodevTT_RAF', '', '1.75', 0, 1441960610),
(47148, 147, 6295, 'status', '10', '50', 0, 1441960610),
(47149, 147, 6295, 'CodevTT_RAF', '1.75', '1', 0, 1441960648),
(47150, 147, 6294, 'CodevTT_RAF', '', '1.75', 0, 1441960726),
(47151, 147, 6294, 'status', '10', '50', 0, 1441960726),
(47152, 147, 6294, 'CodevTT_RAF', '1.75', '1', 0, 1441960766),
(47153, 147, 6286, 'CodevTT_RAF', '0.5', '0.5', 0, 1441960958),
(47154, 147, 4590, 'CodevTT_RAF', '3', '2.5', 0, 1441960999),
(47155, 147, 6294, 'CodevTT_RAF', '1', '1', 0, 1441961149),
(47156, 147, 6294, 'CodevTT_RAF', '1', '1', 0, 1441961218),
(47157, 147, 6294, 'CodevTT_RAF', '1', '1', 0, 1441961261),
(47166, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1441972734),
(47167, 164, 4348, 'handler_id', '128', '164', 0, 1441972734),
(47168, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1441972753),
(47169, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972768),
(47170, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972794),
(47171, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972824),
(47172, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972832),
(47173, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972863),
(47174, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972873),
(47175, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972945),
(47176, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1441972965),
(47177, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1441973014),
(47191, 93, 6301, '', '', '', 1, 1441976915),
(47192, 93, 6301, 'handler_id', '0', '93', 0, 1441976915),
(47193, 93, 6301, 'CodevTT_RAF', '', '4', 0, 1441976960),
(47194, 93, 6301, 'status', '10', '50', 0, 1441976960),
(47195, 93, 6301, 'CodevTT_RAF', '4', '3', 0, 1441976970),
(47196, 93, 6301, 'CodevTT_RAF', '3', '2.5', 0, 1441977002),
(47197, 93, 6301, 'CodevTT_RAF', '2.5', '2', 0, 1441977016),
(47198, 2, 5718, 'CodevTT_RAF', '4', '0', 0, 1441978210),
(47199, 2, 5718, 'CodevTT_RAF', '0', '0', 0, 1441978210),
(47200, 2, 5718, 'status', '50', '80', 0, 1441978210),
(47201, 169, 5413, 'CodevTT_RAF', '0.5', '0.5', 0, 1441978247),
(47202, 169, 5718, 'CodevTT_RAF', '0', '6', 0, 1441978322),
(47203, 169, 5718, 'CodevTT_RAF', '6', '1', 0, 1441978334),
(47204, 169, 5718, 'CodevTT_RAF', '1', '1', 0, 1441978341),
(47205, 169, 5718, 'CodevTT_RAF', '1', '1', 0, 1441978350),
(47206, 169, 5718, 'CodevTT_RAF', '1', '1', 0, 1441978363),
(47207, 2, 5722, 'status', '50', '80', 0, 1441978401),
(47208, 2, 5722, 'resolution', '10', '20', 0, 1441978401),
(47209, 2, 5722, 'handler_id', '169', '2', 0, 1441978401),
(47210, 2, 5722, 'CodevTT_RAF', '0.25', '0', 0, 1441978401),
(47211, 2, 5721, 'status', '50', '80', 0, 1441978435),
(47212, 2, 5721, 'resolution', '10', '20', 0, 1441978435),
(47213, 2, 5721, 'CodevTT_RAF', '0.25', '0', 0, 1441978435),
(47214, 74, 6298, 'CodevTT_RAF', '', '1', 0, 1441983359),
(47215, 74, 6298, 'CodevTT_RAF', '1', '0.5', 0, 1441983369),
(47246, 93, 6301, 'CodevTT_RAF', '2', '2', 0, 1442216646),
(47264, 134, 5527, 'CodevTT_RAF', '', '1', 0, 1442218059),
(47265, 134, 5527, 'status', '10', '30', 0, 1442218059),
(47266, 134, 5527, 'CodevTT_RAF', '1', '0.5', 0, 1442218085),
(47284, 146, 4914, 'CodevTT_RAF', '3.5', '10', 0, 1442222275),
(47285, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222293),
(47286, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222318),
(47287, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222328),
(47288, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222416),
(47289, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222463),
(47291, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222590),
(47292, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222620),
(47294, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222634),
(47295, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222647),
(47297, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222678),
(47298, 146, 4914, 'CodevTT_RAF', '10', '10', 0, 1442222708),
(47317, 72, 4281, 'target_version', '15.1.0_AFFI', '', 0, 1442233170),
(47318, 72, 4282, 'target_version', '15.1.0_AFFI', '', 0, 1442233170),
(47319, 72, 4281, 'status', '50', '20', 0, 1442233191),
(47320, 72, 4275, 'target_version', '15.1.0_3en1', '', 0, 1442233268),
(47321, 72, 4276, 'target_version', '15.1.0_3en1', '', 0, 1442233268),
(47322, 72, 4276, 'status', '50', '20', 0, 1442233296),
(47323, 72, 4275, 'status', '50', '20', 0, 1442233296),
(47324, 72, 4281, 'CodevTT_Dead Line', '1443564000', '', 0, 1442233400),
(47325, 72, 4282, 'CodevTT_Dead Line', '1445205600', '', 0, 1442233400),
(47326, 72, 6297, 'status', '30', '80', 0, 1442233592),
(47327, 72, 6297, 'resolution', '10', '20', 0, 1442233592),
(47328, 72, 6297, 'CodevTT_RAF', '4', '0', 0, 1442233592),
(47329, 72, 6067, 'status', '40', '80', 0, 1442233677),
(47330, 72, 6067, 'resolution', '10', '20', 0, 1442233677),
(47331, 72, 6067, 'CodevTT_RAF', '0.5', '0', 0, 1442233677),
(47332, 72, 6059, 'status', '10', '20', 0, 1442233868),
(47333, 72, 6059, 'handler_id', '134', '0', 0, 1442233897),
(47334, 72, 4281, 'handler_id', '134', '0', 0, 1442233983),
(47335, 72, 4282, 'handler_id', '134', '0', 0, 1442234055),
(47336, 72, 4282, 'status', '30', '20', 0, 1442234055),
(47337, 72, 4276, 'handler_id', '134', '0', 0, 1442234163),
(47338, 72, 4275, 'handler_id', '134', '0', 0, 1442234170),
(47339, 72, 6133, 'status', '40', '80', 0, 1442234323),
(47340, 72, 6133, 'resolution', '10', '20', 0, 1442234323),
(47341, 72, 6133, 'CodevTT_RAF', '1.9', '0', 0, 1442234323),
(47342, 72, 5097, 'status', '40', '80', 0, 1442234397),
(47343, 72, 5097, 'resolution', '10', '20', 0, 1442234397),
(47344, 72, 5097, 'CodevTT_RAF', '0.1', '0', 0, 1442234397),
(47345, 72, 4963, 'status', '50', '80', 0, 1442234509),
(47346, 72, 4963, 'resolution', '10', '20', 0, 1442234509),
(47347, 72, 4963, 'CodevTT_RAF', '0.5', '0', 0, 1442234509),
(47348, 72, 4882, 'status', '50', '80', 0, 1442234564),
(47349, 72, 4882, 'resolution', '10', '20', 0, 1442234564),
(47350, 72, 4882, 'CodevTT_RAF', '1', '0', 0, 1442234564),
(47351, 72, 4590, 'status', '50', '80', 0, 1442234611),
(47352, 72, 4590, 'resolution', '10', '20', 0, 1442234611),
(47353, 72, 4590, 'CodevTT_RAF', '2.5', '0', 0, 1442234611),
(47354, 2, 6295, 'status', '50', '80', 0, 1442234821),
(47355, 2, 6295, 'resolution', '10', '20', 0, 1442234821),
(47356, 2, 6295, 'CodevTT_RAF', '1', '0', 0, 1442234821),
(47360, 2, 4889, 'handler_id', '146', '134', 0, 1442235937),
(47361, 2, 4889, 'target_version', '15.0.0_Nov', '15.1.0_3en1', 0, 1442235976),
(47362, 2, 5564, 'handler_id', '158', '134', 0, 1442236017),
(47363, 2, 5564, 'target_version', '', '15.1.0_3en1', 0, 1442236037),
(47364, 2, 6305, '', '', '', 1, 1442236229),
(47365, 2, 6305, 'handler_id', '0', '147', 0, 1442236242),
(47366, 2, 6306, '', '', '', 1, 1442236300),
(47367, 2, 6305, 'Ref. Externe', '', '41178', 0, 1442236383),
(47368, 2, 4889, 'CodevTT_RAF', '0', '2', 0, 1442236458),
(47369, 2, 4330, 'handler_id', '147', '0', 0, 1442236590),
(47370, 2, 6137, 'status', '50', '20', 0, 1442236719),
(47371, 2, 6137, 'target_version', '15.0.1', '', 0, 1442236719),
(47373, 2, 6272, 'handler_id', '147', '0', 0, 1442236845),
(47374, 2, 6273, 'handler_id', '147', '0', 0, 1442236862),
(47375, 2, 4298, 'handler_id', '147', '0', 0, 1442236925),
(47378, 2, 4888, 'handler_id', '147', '0', 0, 1442237028),
(47379, 2, 4888, 'target_version', '', '15.1.0_Jan', 0, 1442237028),
(47380, 2, 6134, 'status', '40', '80', 0, 1442237155),
(47381, 2, 6134, 'resolution', '30', '40', 0, 1442237155),
(47382, 2, 6134, 'CodevTT_RAF', '3', '0', 0, 1442237155),
(47383, 2, 3893, 'handler_id', '157', '93', 0, 1442237494),
(47387, 2, 5722, 'CodevTT_RAF', '0', '0', 0, 1442242326),
(47397, 2, 4288, 'handler_id', '0', '2', 0, 1442243522),
(47402, 2, 5722, 'CodevTT_RAF', '0', '0', 0, 1442245953),
(47403, 2, 5414, 'status', '50', '80', 0, 1442246160),
(47404, 2, 5414, 'resolution', '10', '20', 0, 1442246160),
(47405, 2, 5414, 'CodevTT_RAF', '4', '0', 0, 1442246160),
(47406, 72, 5711, 'target_version', '15.1.0_AFFI', '', 0, 1442297332),
(47407, 72, 5711, 'status', '10', '20', 0, 1442297383),
(47408, 72, 6153, 'status', '50', '20', 0, 1442297383),
(47409, 72, 6153, 'CodevTT_Dead Line', '1440108000', '', 0, 1442297438),
(47494, 134, 5361, 'CodevTT_RAF', '1', '0', 0, 1442321346),
(47495, 134, 5361, 'CodevTT_RAF', '0', '0', 0, 1442321346),
(47496, 134, 5361, 'status', '30', '80', 0, 1442321346),
(47497, 134, 5527, 'CodevTT_RAF', '0.5', '0', 0, 1442321382),
(47498, 134, 5527, 'CodevTT_RAF', '0', '0', 0, 1442321382),
(47499, 134, 5527, 'status', '30', '80', 0, 1442321382),
(47500, 134, 5528, 'CodevTT_RAF', '0.8', '0', 0, 1442321438),
(47501, 134, 5526, 'CodevTT_RAF', '0.8', '0', 0, 1442321544),
(47502, 134, 5526, 'status', '30', '80', 0, 1442321896),
(47503, 134, 5526, 'resolution', '10', '20', 0, 1442321896),
(47504, 134, 5528, 'status', '30', '80', 0, 1442321927),
(47505, 134, 5528, 'resolution', '10', '20', 0, 1442321927),
(47519, 116, 4333, 'CodevTT_RAF', '2', '1', 0, 1442327600),
(47520, 116, 4333, 'CodevTT_RAF', '1', '0', 0, 1442327613),
(47521, 116, 4333, 'CodevTT_RAF', '0', '0', 0, 1442327613),
(47522, 116, 4333, 'status', '30', '80', 0, 1442327613),
(47523, 116, 4333, 'CodevTT_RAF', '0', '0', 0, 1442327682),
(47524, 147, 6295, 'CodevTT_RAF', '0', '0', 0, 1442388025),
(47525, 147, 6286, 'CodevTT_RAF', '0.5', '0', 0, 1442388052),
(47526, 147, 6286, 'CodevTT_RAF', '0', '0', 0, 1442388052),
(47527, 147, 6286, 'status', '50', '80', 0, 1442388052),
(47528, 147, 6286, 'CodevTT_RAF', '0', '0', 0, 1442388111),
(47529, 147, 6294, 'CodevTT_RAF', '1', '0', 0, 1442388225),
(47530, 147, 6294, 'CodevTT_RAF', '0', '0', 0, 1442388225),
(47531, 147, 6294, 'status', '50', '80', 0, 1442388225),
(47532, 147, 4589, 'CodevTT_RAF', '1', '0', 0, 1442388324),
(47536, 116, 6129, 'CodevTT_RAF', '10', '9', 0, 1442410747),
(47537, 2, 6298, 'CodevTT_RAF', '0.5', '0.5', 0, 1442413219),
(47538, 2, 5722, 'CodevTT_RAF', '0', '0', 0, 1442413255),
(47539, 2, 5722, 'CodevTT_RAF', '0', '0', 0, 1442413299),
(47540, 2, 5722, 'CodevTT_RAF', '0', '0', 0, 1442413373),
(47541, 72, 5729, 'handler_id', '0', '169', 0, 1442415101),
(47542, 72, 5729, 'CodevTT_RAF', '', '2', 0, 1442415196),
(47543, 72, 5729, 'CodevTT_Dead Line', '', '1442354400', 0, 1442415196),
(47544, 72, 5729, 'status', '10', '50', 0, 1442415196),
(47545, 72, 5416, 'CodevTT_Dead Line', '', '1443391200', 0, 1442415342),
(47546, 72, 5416, 'status', '10', '50', 0, 1442415342),
(47547, 72, 5416, 'target_version', '15.0.0_Nov', '', 0, 1442415342),
(47589, 72, 4302, 'CodevTT_Dead Line', '1442268000', '', 0, 1442470083),
(47590, 72, 4302, 'status', '20', '50', 0, 1442470083),
(47591, 72, 4302, 'target_version', '15.1.0_AFFI', '15.1.0_3en1', 0, 1442470083),
(47595, 72, 5730, '', '', '6325', 20, 1442470558),
(47596, 72, 4324, 'CodevTT_RAF', '', '7', 0, 1442471349),
(47597, 72, 4324, 'CodevTT_Dead Line', '', '1444082400', 0, 1442471349),
(47598, 72, 4324, 'handler_id', '157', '169', 0, 1442471349),
(47599, 72, 4324, 'status', '10', '50', 0, 1442471349),
(47600, 72, 4324, 'target_version', '15.0.0_Nov', '', 0, 1442471349),
(47601, 74, 5279, 'CodevTT_RAF', '10', '10', 0, 1442474417),
(47602, 74, 5279, 'CodevTT_RAF', '10', '10', 0, 1442474439),
(47603, 74, 5279, 'CodevTT_RAF', '10', '1', 0, 1442474451),
(47604, 74, 5279, 'CodevTT_RAF', '1', '1', 0, 1442474478),
(47622, 2, 5722, 'CodevTT_RAF', '0', '2', 0, 1442481779),
(47623, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1442482949),
(47624, 158, 6058, 'CodevTT_RAF', '4', '3', 0, 1442482985),
(47625, 158, 6058, 'CodevTT_RAF', '3', '3', 0, 1442483036),
(47626, 158, 6058, 'CodevTT_RAF', '3', '3', 0, 1442483054),
(47627, 158, 6058, 'CodevTT_RAF', '3', '3', 0, 1442483093),
(47628, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1442483167),
(47629, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1442483211),
(47630, 158, 6058, 'CodevTT_RAF', '3', '1', 0, 1442483258),
(47631, 158, 6058, 'CodevTT_RAF', '1', '1', 0, 1442483277),
(47632, 158, 6058, 'CodevTT_RAF', '1', '0.5', 0, 1442483301),
(47640, 2, 5722, 'CodevTT_RAF', '2', '0', 0, 1442495664),
(47730, 158, 6058, 'CodevTT_RAF', '0.5', '2.5', 0, 1442513213),
(47731, 72, 6477, '', '', '', 1, 1442560466),
(47732, 72, 6477, 'handler_id', '0', '169', 0, 1442560466),
(47733, 72, 6477, '', '', '5729', 21, 1442560466),
(47734, 72, 5729, '', '', '6477', 20, 1442560466),
(47735, 169, 5718, 'CodevTT_RAF', '1', '0', 0, 1442560957),
(47736, 169, 5718, 'CodevTT_RAF', '0', '0', 0, 1442560974),
(47737, 169, 6477, 'CodevTT_RAF', '', '1', 0, 1442561231),
(47738, 169, 6477, 'status', '10', '40', 0, 1442561231),
(47739, 169, 5729, 'CodevTT_RAF', '2', '1', 0, 1442561444),
(47740, 169, 5416, 'CodevTT_RAF', '', '2', 0, 1442561514),
(47741, 169, 5729, 'CodevTT_RAF', '1', '1', 0, 1442561548),
(47742, 93, 6301, 'CodevTT_RAF', '2', '0', 0, 1442562546),
(47743, 93, 6301, 'CodevTT_RAF', '0', '0', 0, 1442562546),
(47744, 93, 6301, 'status', '50', '80', 0, 1442562546),
(47756, 72, 4288, 'handler_id', '2', '169', 0, 1442563803),
(47767, 72, 4288, 'summary', '39564[DEV]Appel provisionnel 2015- Manque à Gagner', '39564 -Appel provisionnel 2015- Manque à Gagner', 0, 1442564104),
(47782, 93, 6482, '', '', '', 1, 1442565208),
(47783, 93, 6482, 'handler_id', '0', '93', 0, 1442565208),
(47787, 93, 6482, 'CodevTT_RAF', '', '4.5', 0, 1442565276),
(47788, 93, 6482, 'status', '10', '50', 0, 1442565276),
(47789, 93, 6482, 'CodevTT_RAF', '4.5', '3.5', 0, 1442565303),
(47790, 93, 6482, 'CodevTT_RAF', '3.5', '2.5', 0, 1442565336),
(47821, 72, 5405, 'status', '30', '20', 0, 1442565820),
(47794, 93, 6482, 'CodevTT_RAF', '2.5', '1.5', 0, 1442565354),
(47820, 72, 5406, 'status', '50', '20', 0, 1442565820),
(47798, 93, 6482, 'CodevTT_RAF', '1.5', '1.5', 0, 1442565377),
(47803, 93, 6482, 'CodevTT_RAF', '1.5', '3', 0, 1442565412),
(47829, 72, 5565, 'CodevTT_Dead Line', '1441317600', '', 0, 1442565943),
(47846, 72, 6486, '', '', '', 1, 1442566652),
(47847, 72, 6486, 'handler_id', '0', '134', 0, 1442566652),
(47848, 72, 6486, 'severity', '50', '60', 0, 1442566714),
(47849, 72, 6486, 'status', '10', '50', 0, 1442566714),
(47884, 116, 6129, 'CodevTT_RAF', '9', '8', 0, 1442578475),
(47885, 116, 6285, 'CodevTT_RAF', '', '0', 0, 1442578507),
(47886, 116, 6285, 'CodevTT_RAF', '0', '0', 0, 1442578507),
(47887, 116, 6285, 'status', '10', '80', 0, 1442578507),
(47888, 169, 5720, 'CodevTT_RAF', '3', '0', 0, 1442578633),
(47889, 169, 5720, 'status', '30', '80', 0, 1442578864),
(47922, 72, 6486, 'Ref. Externe', '41142', '41412', 0, 1442583420),
(47923, 72, 6486, 'summary', '[41142]  - Ano MAJOC -- CMR 043 - Script kjmmjo01 - Programme KFBMJ01', '[41412]  - Ano MAJOC -- CMR 043 - Script kjmmjo01 - Programme KFBMJ01', 0, 1442583420),
(47924, 72, 6482, 'Ref. Externe', '', '41389', 0, 1442583466),
(47960, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827288),
(47961, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827303),
(47962, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827327),
(47963, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827336),
(47964, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1442827350),
(47965, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827376),
(47966, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827390),
(47967, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827426),
(47970, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827461),
(47971, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827473),
(47972, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1442827543),
(47973, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827573),
(47974, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827586),
(47975, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1442827599),
(47993, 93, 6490, '', '', '', 1, 1442839930),
(47994, 93, 6490, 'handler_id', '0', '93', 0, 1442839930),
(47995, 93, 6490, 'CodevTT_RAF', '', '2', 0, 1442840440),
(47996, 93, 6490, 'status', '10', '50', 0, 1442840440),
(47997, 93, 6482, 'CodevTT_RAF', '3', '0', 0, 1442840470),
(47998, 93, 6482, 'CodevTT_RAF', '0', '0', 0, 1442840470),
(47999, 93, 6482, 'status', '50', '80', 0, 1442840470),
(48000, 93, 6256, 'CodevTT_RAF', '1', '0', 0, 1442840499),
(48001, 93, 6256, 'CodevTT_RAF', '0', '0', 0, 1442840499),
(48002, 93, 6256, 'status', '50', '80', 0, 1442840499),
(48014, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1442852174),
(48015, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1442852192),
(48016, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1442852201),
(48017, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1442852211),
(48029, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1442910813),
(48030, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1442911819),
(48042, 134, 4889, 'CodevTT_RAF', '2', '1', 0, 1442927214),
(48043, 134, 4889, 'CodevTT_RAF', '1', '0.5', 0, 1442927266),
(48044, 134, 5564, 'CodevTT_RAF', '2', '2', 0, 1442927318),
(48045, 134, 5564, 'CodevTT_RAF', '2', '1', 0, 1442927347),
(48046, 134, 5564, 'CodevTT_RAF', '1', '0', 0, 1442927361),
(48047, 134, 5564, 'CodevTT_RAF', '0', '0', 0, 1442927361),
(48048, 134, 5564, 'status', '30', '80', 0, 1442927361),
(48049, 134, 6486, 'CodevTT_RAF', '', '0', 0, 1442927390),
(48050, 134, 6486, 'CodevTT_RAF', '0', '0', 0, 1442927390),
(48051, 134, 6486, 'status', '50', '80', 0, 1442927390),
(48052, 134, 4889, 'CodevTT_RAF', '0.5', '0', 0, 1442931964),
(48053, 134, 4889, 'CodevTT_RAF', '0', '0', 0, 1442931964),
(48054, 134, 4889, 'status', '50', '80', 0, 1442931964),
(48055, 113, 4915, 'CodevTT_RAF', '', '0.01', 0, 1442997380),
(48056, 113, 4915, 'status', '10', '50', 0, 1442997380),
(48057, 113, 4915, 'CodevTT_RAF', '0.01', '0.01', 0, 1442997415),
(48113, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1443012338),
(48114, 72, 6491, '', '', '', 1, 1443012838),
(48115, 72, 6491, 'handler_id', '0', '72', 0, 1443012838),
(48744, 2, 5730, 'CodevTT_RAF', '0.25', '0', 0, 1443427653),
(48739, 2, 6272, 'handler_id', '0', '117', 0, 1443427509),
(48121, 2, 6275, 'target_version', '', '15.1.0_Jan', 0, 1443013907),
(48122, 2, 6494, '', '', '', 1, 1443014108),
(48123, 2, 6495, '', '', '', 1, 1443014161),
(48124, 2, 6495, '', '', '6494', 21, 1443014161),
(48125, 2, 6494, '', '', '6495', 20, 1443014161),
(48126, 2, 6494, '', '2501', '6495', 18, 1443014161),
(48127, 2, 6495, '', '2500', '6494', 18, 1443014161),
(48128, 2, 6496, '', '', '', 1, 1443014344),
(48129, 2, 6497, '', '', '', 1, 1443014368),
(48130, 2, 6497, '', '', '6496', 21, 1443014368),
(48131, 2, 6496, '', '', '6497', 20, 1443014368),
(48132, 2, 6496, '', '2501', '6497', 18, 1443014368),
(48133, 2, 6497, '', '2500', '6496', 18, 1443014368),
(48192, 2, 6058, '', '1', '6502', 18, 1443018753),
(48194, 2, 4886, '', '1', '6502', 18, 1443018812),
(48195, 2, 6058, '', '1', '4886', 18, 1443018825),
(48196, 2, 4886, '', '1', '6058', 18, 1443018825),
(48273, 2, 5722, 'CodevTT_RAF', '0', '0', 0, 1443022714),
(48280, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1443023531),
(48369, 93, 6516, '', '', '', 1, 1443081182),
(48370, 93, 6516, 'handler_id', '0', '93', 0, 1443081182),
(48371, 93, 6517, '', '', '', 1, 1443081259),
(48372, 93, 6517, 'handler_id', '0', '93', 0, 1443081259),
(48373, 93, 6516, 'CodevTT_RAF', '', '2', 0, 1443081308),
(48374, 93, 6516, 'status', '10', '50', 0, 1443081308),
(48375, 93, 6516, 'summary', '40356 - Appel régul: anomalie SPOC 22 de la notif pos appel', '41356 - Appel régul: anomalie SPOC 22 de la notif pos appel', 0, 1443081401),
(48376, 93, 6516, 'CodevTT_RAF', '2', '2', 0, 1443081423),
(48379, 93, 6516, 'CodevTT_RAF', '2', '1.5', 0, 1443081447),
(48381, 93, 6517, 'CodevTT_RAF', '', '2', 0, 1443081517),
(48382, 93, 6517, 'status', '10', '50', 0, 1443081517),
(48383, 93, 6517, 'CodevTT_RAF', '2', '1.5', 0, 1443081540),
(48529, 147, 3690, 'CodevTT_RAF', '0', '0', 0, 1443166059),
(48530, 147, 6141, 'CodevTT_RAF', '0', '1', 0, 1443166099),
(48531, 147, 6141, 'CodevTT_RAF', '1', '1', 0, 1443166165),
(48532, 147, 3541, 'CodevTT_RAF', '0', '1', 0, 1443166230),
(48533, 147, 6021, 'CodevTT_RAF', '0', '0', 0, 1443166285),
(48534, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443166307),
(48535, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443166338),
(48536, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443166349),
(48537, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1443166364),
(48538, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443166427),
(48539, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443166440),
(48540, 147, 6306, 'CodevTT_RAF', '', '2', 0, 1443166448),
(48541, 147, 6306, 'status', '10', '50', 0, 1443166448),
(48542, 147, 6306, 'handler_id', '0', '147', 0, 1443166448),
(48543, 147, 6306, 'CodevTT_RAF', '2', '1', 0, 1443166474),
(48544, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1443166481),
(48545, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443166495),
(48546, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443166511),
(48547, 147, 5412, 'CodevTT_RAF', '1', '1', 0, 1443166686),
(48548, 147, 6306, 'CodevTT_RAF', '1', '1', 0, 1443166714),
(48549, 147, 6294, 'CodevTT_RAF', '0', '0', 0, 1443166755),
(48561, 93, 6539, '', '', '', 1, 1443170413),
(48562, 93, 6539, 'handler_id', '0', '93', 0, 1443170413),
(48563, 93, 6539, 'CodevTT_Dead Line', '1443132000', '1443391200', 0, 1443170535),
(48564, 93, 6539, 'status', '10', '50', 0, 1443170535),
(48565, 93, 6539, 'summary', '41452 - 41452 - Appel Régul TO: BQ post appel', '41452 - Appel Régul TO: BQ post appel', 0, 1443170535),
(48568, 93, 6517, 'CodevTT_RAF', '1.5', '1', 0, 1443170626),
(48569, 93, 6517, 'CodevTT_RAF', '1', '1.5', 0, 1443170656),
(48570, 93, 6516, 'CodevTT_RAF', '1.5', '2', 0, 1443170690),
(48573, 93, 6539, 'CodevTT_RAF', '', '2', 0, 1443170735),
(48574, 93, 6539, 'CodevTT_RAF', '2', '1', 0, 1443170746),
(48626, 2, 5721, 'CodevTT_RAF', '0', '0', 0, 1443172996),
(48714, 116, 6197, 'CodevTT_RAF', '', '2', 0, 1443425725),
(48715, 116, 6197, 'status', '10', '50', 0, 1443425725),
(48716, 74, 6566, '', '', '', 1, 1443426000),
(48717, 74, 6566, 'handler_id', '0', '74', 0, 1443426000),
(48718, 74, 6566, '', '', '5279', 21, 1443426000),
(48719, 74, 5279, '', '', '6566', 20, 1443426000),
(48723, 74, 6566, 'CodevTT_RAF', '', '5', 0, 1443426089),
(48724, 74, 6566, 'status', '10', '50', 0, 1443426089),
(48725, 74, 6566, 'CodevTT_RAF', '5', '5', 0, 1443426099),
(48726, 74, 6566, 'CodevTT_RAF', '5', '5', 0, 1443426113),
(48728, 93, 6539, 'CodevTT_RAF', '1', '0.25', 0, 1443426345),
(48729, 74, 6568, '', '', '', 1, 1443426485),
(48730, 74, 6568, 'handler_id', '0', '74', 0, 1443426485),
(48731, 74, 6568, '', '', '4364', 21, 1443426485),
(48732, 74, 4364, '', '', '6568', 20, 1443426485),
(48733, 74, 6566, 'CodevTT_RAF', '5', '5', 0, 1443426514),
(48738, 2, 6273, 'handler_id', '0', '117', 0, 1443427509),
(48754, 134, 4302, 'CodevTT_RAF', '2', '1.5', 0, 1443442457),
(48755, 134, 4302, 'handler_id', '117', '134', 0, 1443442457),
(48756, 134, 4302, 'CodevTT_RAF', '1.5', '0.5', 0, 1443442473),
(48757, 134, 4302, 'CodevTT_RAF', '0.5', '0', 0, 1443442497),
(48758, 134, 4302, 'CodevTT_RAF', '0', '0', 0, 1443442497),
(48759, 134, 4302, 'status', '50', '80', 0, 1443442497),
(48760, 134, 6569, '', '', '', 1, 1443442781),
(48761, 134, 6569, 'handler_id', '0', '134', 0, 1443442781),
(48762, 134, 6569, 'CodevTT_RAF', '', '0', 0, 1443442840),
(48763, 134, 6569, 'CodevTT_RAF', '0', '0', 0, 1443442840),
(48764, 134, 6569, 'status', '10', '80', 0, 1443442840),
(48798, 72, 6491, 'CodevTT_RAF', '', '1', 0, 1443514551),
(48799, 72, 6491, 'status', '10', '50', 0, 1443514551),
(48800, 72, 6491, 'CodevTT_RAF', '1', '0.5', 0, 1443514574),
(48801, 72, 6491, 'CodevTT_RAF', '0.5', '0', 0, 1443514621),
(48802, 72, 6491, 'CodevTT_RAF', '0', '0', 0, 1443514621),
(48803, 72, 6491, 'status', '50', '80', 0, 1443514621),
(48836, 2, 6273, '', '2500', '6272', 18, 1443525057),
(48837, 2, 6272, '', '2501', '6273', 18, 1443525057),
(48842, 116, 6197, 'CodevTT_RAF', '2', '1', 0, 1443526569),
(48848, 2, 6272, 'CodevTT_RAF', '', '0', 0, 1443536661),
(48849, 2, 6272, 'CodevTT_RAF', '0', '0', 0, 1443536661),
(48850, 2, 6272, 'status', '10', '80', 0, 1443536661),
(48851, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1443536734),
(48852, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1443536765),
(48853, 72, 6615, '', '', '', 1, 1443537228),
(48854, 72, 6615, 'handler_id', '0', '116', 0, 1443537228),
(48855, 116, 6198, 'CodevTT_RAF', '', '4', 0, 1443537295),
(48856, 116, 6198, 'status', '10', '50', 0, 1443537295),
(48872, 169, 6477, 'CodevTT_RAF', '1', '1', 0, 1443541003),
(48873, 169, 6477, 'CodevTT_RAF', '1', '1', 0, 1443541023),
(48874, 169, 5416, 'CodevTT_RAF', '2', '1', 0, 1443541068),
(48875, 169, 5416, 'CodevTT_RAF', '1', '01', 0, 1443541097),
(48876, 169, 5416, 'CodevTT_RAF', '01', '0.1', 0, 1443541143),
(48877, 169, 4288, 'CodevTT_RAF', '4', '4', 0, 1443541192),
(48878, 169, 4288, 'status', '10', '50', 0, 1443541192),
(48879, 169, 4288, 'CodevTT_RAF', '4', '4', 0, 1443541219),
(48880, 93, 6516, 'CodevTT_RAF', '2', '2', 0, 1443541476),
(48881, 93, 6516, 'CodevTT_RAF', '2', '1', 0, 1443541528),
(48882, 93, 6516, 'CodevTT_RAF', '1', '1', 0, 1443541605),
(48883, 93, 6516, 'CodevTT_RAF', '1', '1', 0, 1443541605),
(48884, 93, 6516, 'CodevTT_RAF', '1', '1', 0, 1443541638),
(48885, 93, 6516, 'CodevTT_RAF', '1', '0.05', 0, 1443541657),
(48890, 72, 4888, 'summary', '40004 - [DEV] compteurs du fichier bilan personnalisation télédéclarants obligatoires erroné.', '40004 - compteurs du fichier bilan personnalisation télédéclarants obligatoires erroné.', 0, 1443593000);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(48891, 72, 6616, '', '', '', 1, 1443593287),
(48892, 72, 6617, '', '', '', 1, 1443593434),
(48893, 72, 6617, '', '', '6616', 21, 1443593434),
(48894, 72, 6616, '', '', '6617', 20, 1443593434),
(48895, 72, 6616, '', '2501', '6617', 18, 1443593434),
(48896, 72, 6617, '', '2500', '6616', 18, 1443593434),
(48897, 72, 6497, 'status', '10', '20', 0, 1443593654),
(48898, 72, 6496, 'status', '10', '20', 0, 1443593654),
(48901, 72, 4888, 'handler_id', '0', '134', 0, 1443593928),
(48906, 72, 4330, 'handler_id', '0', '117', 0, 1443594326),
(48929, 2, 4278, 'status', '50', '20', 0, 1443602231),
(48930, 2, 4278, 'target_version', '', '16.0.0', 0, 1443602231),
(48931, 2, 6305, 'status', '10', '80', 0, 1443602307),
(48932, 2, 6305, 'resolution', '10', '20', 0, 1443602307),
(48933, 2, 6305, 'CodevTT_RAF', '', '0', 0, 1443602307),
(48934, 117, 6273, 'CodevTT_RAF', '', '1.5', 0, 1443602345),
(48935, 117, 6273, 'status', '10', '40', 0, 1443602345),
(48936, 117, 6273, 'CodevTT_RAF', '1.5', '1.5', 0, 1443602367),
(48937, 117, 6273, 'CodevTT_RAF', '1.5', '1.5', 0, 1443602440),
(48938, 2, 6616, 'handler_id', '0', '117', 0, 1443602923),
(48939, 2, 6617, 'handler_id', '0', '117', 0, 1443602943),
(48940, 2, 6616, 'handler_id', '117', '134', 0, 1443602958),
(48941, 2, 4888, 'priority', '30', '40', 0, 1443603015),
(48942, 2, 4330, 'CodevTT_RAF', '', '5', 0, 1443603265),
(48943, 2, 4589, 'status', '30', '80', 0, 1443603317),
(48944, 2, 5711, 'CodevTT_RAF', '', '1', 0, 1443603355),
(48945, 2, 6297, 'Ref. Externe', '', '41282', 0, 1443603856),
(48946, 2, 6297, 'CodevTT_RAF', '0', '0.5', 0, 1443603856),
(48947, 2, 6297, 'status', '80', '50', 0, 1443603856),
(48948, 2, 6297, 'summary', '41282-[TAIGA - 15.0] Présence des SPOCs 22 et 23 à tort pour les années prescrites', '41282 - [TAIGA - 15.0] Présence des SPOCs 22 et 23 à tort pour les années prescrites', 0, 1443603856),
(48949, 2, 6129, 'target_version', '', '15.1.0_3en1', 0, 1443604915),
(48950, 2, 6129, 'summary', '41242 - [15.0] - Affiliation impossible via PAF contenant la Nouvelle qualité ayant droit de SCR', '41242 - Affiliation impossible via PAF contenant la Nouvelle qualité ayant droit de SCR', 0, 1443604915),
(48951, 2, 6129, 'CodevTT_Dead Line', '', '1444428000', 0, 1443604964),
(48952, 2, 6129, 'CodevTT_Dead Line', '1444428000', '1444341600', 0, 1443604985),
(48954, 2, 5413, 'status', '50', '80', 0, 1443605385),
(48955, 2, 5413, 'resolution', '10', '20', 0, 1443605385),
(48956, 2, 5413, 'CodevTT_RAF', '0.5', '0', 0, 1443605385),
(48957, 146, 4914, 'CodevTT_RAF', '10', '0', 0, 1443605474),
(48958, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605474),
(48959, 146, 4914, 'status', '50', '80', 0, 1443605474),
(48960, 2, 5729, '', '0000816', '', 2, 1443605497),
(48961, 2, 5729, 'status', '50', '80', 0, 1443605497),
(48962, 2, 5729, 'resolution', '10', '20', 0, 1443605497),
(48963, 2, 5729, 'CodevTT_RAF', '1', '0', 0, 1443605497),
(48964, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605499),
(48965, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605509),
(48966, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605520),
(48967, 2, 5729, '', '0', '6477', 18, 1443605530),
(48968, 2, 6477, '', '4', '5729', 18, 1443605530),
(48969, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605577),
(48970, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605595),
(48971, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605603),
(48972, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605612),
(48973, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605620),
(48974, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605628),
(48975, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605641),
(48976, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1443605654),
(48977, 178, 4915, 'CodevTT_RAF', '0.01', '0', 0, 1443606544),
(48978, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606544),
(48979, 178, 4915, 'status', '50', '80', 0, 1443606544),
(48980, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606557),
(48981, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606572),
(48982, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606581),
(48983, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606588),
(48984, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606645),
(48985, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606652),
(48986, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606660),
(48987, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606666),
(48988, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606689),
(48989, 178, 4915, 'CodevTT_RAF', '0', '0', 0, 1443606700),
(48990, 178, 4909, 'CodevTT_RAF', '', '3', 0, 1443606734),
(48991, 178, 4909, 'status', '10', '50', 0, 1443606734),
(48992, 178, 4909, 'handler_id', '73', '178', 0, 1443606734),
(48993, 178, 4909, 'CodevTT_RAF', '3', '3', 0, 1443606744),
(49003, 134, 6297, 'CodevTT_RAF', '0.5', '1.5', 0, 1443614702),
(49004, 134, 6297, 'CodevTT_RAF', '1.5', '0.5', 0, 1443614736),
(49005, 134, 6297, 'CodevTT_RAF', '0.5', '0', 0, 1443614766),
(49006, 134, 6297, 'CodevTT_RAF', '0', '0', 0, 1443614766),
(49007, 134, 6297, 'status', '50', '80', 0, 1443614766),
(49008, 134, 4888, 'CodevTT_RAF', '', '2', 0, 1443614796),
(49009, 134, 4888, 'status', '10', '50', 0, 1443614796),
(49056, 116, 6615, 'CodevTT_RAF', '', '2', 0, 1443622671),
(49057, 116, 6615, 'status', '10', '50', 0, 1443622671),
(49136, 116, 6615, 'CodevTT_RAF', '2', '2', 0, 1443709855),
(49137, 116, 5405, 'CodevTT_RAF', '2', '1.5', 0, 1443709884),
(49148, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1443713350),
(49149, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1443713364),
(49150, 2, 5279, 'CodevTT_RAF', '1', '1', 0, 1443713378),
(49180, 74, 6135, 'CodevTT_RAF', '0.5', '0', 0, 1443770437),
(49181, 74, 6135, 'CodevTT_RAF', '0', '0', 0, 1443770437),
(49182, 74, 6135, 'status', '50', '80', 0, 1443770437),
(49183, 74, 6566, 'CodevTT_RAF', '5', '1', 0, 1443771178),
(49184, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1443771187),
(49185, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1443771193),
(49186, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1443771232),
(49187, 147, 6306, 'CodevTT_RAF', '1', '1', 0, 1443772246),
(49188, 147, 6306, 'CodevTT_RAF', '1', '1', 0, 1443772337),
(49189, 147, 6306, 'CodevTT_RAF', '1', '0.5', 0, 1443772383),
(49190, 147, 6306, 'CodevTT_RAF', '0.5', '0.5', 0, 1443772612),
(49191, 147, 6306, 'CodevTT_RAF', '0.5', '0.5', 0, 1443772919),
(49192, 93, 6516, 'CodevTT_RAF', '0.05', '1', 0, 1443772983),
(49193, 93, 6516, 'CodevTT_RAF', '1', '0.5', 0, 1443773006),
(49194, 147, 3690, 'CodevTT_RAF', '0', '1', 0, 1443773031),
(49195, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443773087),
(49196, 147, 6021, 'CodevTT_RAF', '0', '0', 0, 1443773104),
(49197, 147, 3624, 'CodevTT_RAF', '0', '0', 0, 1443773181),
(49198, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1443773226),
(49199, 72, 6636, '', '', '', 1, 1443773248),
(49200, 72, 6636, 'handler_id', '0', '72', 0, 1443773248),
(49201, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1443773252),
(49202, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443773270),
(49204, 147, 4991, 'CodevTT_RAF', '5', '4.5', 0, 1443773300),
(49206, 72, 6636, 'CodevTT_RAF', '', '3', 0, 1443773319),
(49207, 72, 6636, 'status', '10', '50', 0, 1443773319),
(49208, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443773331),
(49212, 147, 6141, 'CodevTT_RAF', '1', '0.5', 0, 1443773412),
(49221, 147, 3690, 'CodevTT_RAF', '1', '0', 0, 1443773517),
(49222, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443773536),
(49223, 147, 6141, 'CodevTT_RAF', '0.5', '0', 0, 1443773543),
(49224, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443773551),
(49230, 147, 3690, 'CodevTT_RAF', '0', '0', 0, 1443773591),
(49232, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443773637),
(49233, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1443773666),
(49250, 169, 6618, 'CodevTT_RAF', '', '2', 0, 1443774330),
(49251, 169, 6618, 'status', '10', '50', 0, 1443774330),
(49252, 169, 6618, 'CodevTT_RAF', '2', '1', 0, 1443774349),
(49255, 169, 6618, 'CodevTT_RAF', '1', '0', 0, 1443774366),
(49256, 169, 6618, 'CodevTT_RAF', '0', '0', 0, 1443774366),
(49257, 169, 6618, 'status', '50', '80', 0, 1443774366),
(49386, 72, 6640, '', '', '', 1, 1443784536),
(49387, 72, 6640, 'handler_id', '0', '74', 0, 1443784689),
(49407, 116, 5405, 'CodevTT_RAF', '1.5', '0.5', 0, 1443793612),
(49615, 72, 6656, '', '', '', 1, 1444050011),
(49652, 72, 6662, '', '', '', 1, 1444052234),
(49653, 72, 6662, '', '', '6656', 21, 1444052234),
(49654, 72, 6656, '', '', '6662', 20, 1444052234),
(49655, 72, 6656, '', '2501', '6662', 18, 1444052234),
(49656, 72, 6662, '', '2500', '6656', 18, 1444052234),
(49670, 134, 4888, 'CodevTT_RAF', '2', '2', 0, 1444057443),
(49671, 134, 4888, 'CodevTT_RAF', '2', '1.5', 0, 1444057457),
(49672, 134, 4888, 'CodevTT_RAF', '1.5', '1', 0, 1444057470),
(49673, 134, 4888, 'CodevTT_RAF', '1', '0.5', 0, 1444057502),
(49674, 134, 4888, 'CodevTT_RAF', '0.5', '0', 0, 1444057524),
(49675, 134, 4888, 'CodevTT_RAF', '0', '0', 0, 1444057524),
(49676, 134, 4888, 'status', '50', '80', 0, 1444057524),
(49884, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1444210153),
(49885, 158, 6058, 'CodevTT_RAF', '2.5', '2.5', 0, 1444210353),
(49886, 158, 6058, 'CodevTT_RAF', '2.5', '2.5', 0, 1444210381),
(49887, 158, 6058, 'CodevTT_RAF', '2.5', '2.5', 0, 1444210395),
(49904, 93, 6720, '', '', '', 1, 1444220941),
(49905, 93, 6720, 'handler_id', '0', '93', 0, 1444220941),
(49906, 93, 6720, 'CodevTT_RAF', '', '3', 0, 1444220991),
(49907, 93, 6720, 'status', '10', '50', 0, 1444220991),
(49908, 93, 6720, 'CodevTT_RAF', '3', '2.75', 0, 1444221014),
(49909, 93, 6720, 'CodevTT_RAF', '2.75', '2.50', 0, 1444221038),
(49910, 93, 6720, 'CodevTT_RAF', '2.50', '0', 0, 1444221211),
(49911, 93, 6720, 'CodevTT_RAF', '0', '0', 0, 1444221211),
(49912, 93, 6720, 'status', '50', '80', 0, 1444221211),
(49913, 93, 6539, 'CodevTT_RAF', '0.25', '0', 0, 1444221231),
(49914, 93, 6539, 'CodevTT_RAF', '0', '0', 0, 1444221231),
(49915, 93, 6539, 'status', '50', '80', 0, 1444221231),
(49916, 93, 6190, 'CodevTT_RAF', '1', '5', 0, 1444221617),
(49925, 72, 6636, 'handler_id', '72', '157', 0, 1444230096),
(49926, 72, 3825, 'handler_id', '157', '0', 0, 1444230157),
(49928, 72, 6723, '', '', '', 1, 1444230393),
(49929, 72, 6723, 'handler_id', '0', '157', 0, 1444230393),
(49932, 72, 6185, 'status', '50', '80', 0, 1444230662),
(49935, 72, 6210, 'status', '10', '80', 0, 1444230759),
(49936, 72, 5341, 'status', '50', '20', 0, 1444231051),
(49937, 72, 6154, 'priority', '30', '40', 0, 1444231138),
(49938, 72, 6490, 'Ref. Externe', '40637', '41347', 0, 1444231263),
(49939, 72, 6490, 'CodevTT_Dead Line', '1442872800', '', 0, 1444231263),
(49940, 72, 6490, 'status', '50', '20', 0, 1444231263),
(49941, 72, 6490, 'target_version', '15.0.0_Sept', '', 0, 1444231263),
(49942, 72, 6517, 'Ref. Externe', '40637', '41354', 0, 1444231325),
(49943, 72, 3893, 'handler_id', '93', '169', 0, 1444231492),
(49946, 72, 6301, 'Ref. Externe', '40637', '41357', 0, 1444231653),
(49949, 72, 6299, 'resolution', '10', '20', 0, 1444231905),
(68613, 72, 4278, 'CodevTT_ChargeInit', '2', '4', 0, 1454577629),
(49964, 72, 5341, 'target_version', '14.2.0', '', 0, 1444232338),
(49970, 72, 4874, 'CodevTT_ChargeMgr', '3', '12', 0, 1444233208),
(49971, 72, 4874, 'CodevTT_ChargeInit', '2', '8', 0, 1444233208),
(50010, 117, 4330, 'CodevTT_RAF', '5', '2', 0, 1444291987),
(50011, 117, 4330, 'CodevTT_RAF', '2', '2', 0, 1444292012),
(50012, 117, 4330, 'CodevTT_RAF', '2', '2', 0, 1444292030),
(50013, 117, 5730, 'CodevTT_RAF', '0', '1', 0, 1444292130),
(50021, 134, 4888, 'CodevTT_RAF', '0', '0', 0, 1444306520),
(50022, 134, 6616, 'CodevTT_RAF', '', '2.5', 0, 1444306578),
(50023, 134, 6616, 'status', '10', '30', 0, 1444306578),
(50024, 134, 6616, 'CodevTT_RAF', '2.5', '2', 0, 1444306607),
(50025, 134, 6616, 'CodevTT_RAF', '2', '2', 0, 1444306644),
(50026, 134, 4889, 'CodevTT_RAF', '0', '0.5', 0, 1444306692),
(50027, 134, 4889, 'status', '80', '50', 0, 1444306692),
(50028, 134, 4889, 'CodevTT_RAF', '0.5', '0.4', 0, 1444306724),
(50034, 72, 6725, '', '', '', 1, 1444307763),
(50035, 72, 6725, 'handler_id', '0', '146', 0, 1444307763),
(50154, 72, 6741, '', '', '', 1, 1444373830),
(50155, 72, 6741, 'handler_id', '0', '169', 0, 1444373830),
(50156, 72, 6741, 'priority', '30', '50', 0, 1444373878),
(50157, 72, 6617, 'handler_id', '117', '134', 0, 1444373951),
(50158, 178, 6742, '', '', '', 1, 1444376094),
(50159, 178, 6742, 'handler_id', '0', '147', 0, 1444376094),
(50160, 178, 6742, 'Ref. Externe', '', 'GAC_ partie 1', 0, 1444376143),
(50161, 178, 6743, '', '', '', 1, 1444376222),
(50162, 178, 6743, 'handler_id', '0', '147', 0, 1444376222),
(50163, 178, 6743, '', '', '6742', 21, 1444376222),
(50164, 178, 6742, '', '', '6743', 20, 1444376222),
(50165, 178, 6744, '', '', '', 1, 1444376261),
(50166, 178, 6744, 'handler_id', '0', '147', 0, 1444376261),
(50167, 178, 6744, '', '', '6743', 21, 1444376261),
(50168, 178, 6743, '', '', '6744', 20, 1444376261),
(50169, 178, 6745, '', '', '', 1, 1444376297),
(50170, 178, 6745, 'handler_id', '0', '147', 0, 1444376297),
(50171, 178, 6745, '', '', '6744', 21, 1444376297),
(50172, 178, 6744, '', '', '6745', 20, 1444376297),
(50173, 178, 6746, '', '', '', 1, 1444376326),
(50174, 178, 6746, 'handler_id', '0', '147', 0, 1444376326),
(50175, 178, 6746, '', '', '6745', 21, 1444376326),
(50176, 178, 6745, '', '', '6746', 20, 1444376326),
(50177, 178, 6747, '', '', '', 1, 1444376371),
(50178, 178, 6747, 'handler_id', '0', '147', 0, 1444376371),
(50179, 178, 6747, '', '', '6746', 21, 1444376371),
(50180, 178, 6746, '', '', '6747', 20, 1444376371),
(50181, 178, 6748, '', '', '', 1, 1444376424),
(50182, 178, 6748, 'handler_id', '0', '146', 0, 1444376424),
(50183, 178, 6748, '', '', '6747', 21, 1444376424),
(50184, 178, 6747, '', '', '6748', 20, 1444376424),
(50185, 178, 6749, '', '', '', 1, 1444376452),
(50186, 178, 6749, 'handler_id', '0', '178', 0, 1444376452),
(50187, 178, 6749, '', '', '6748', 21, 1444376452),
(50188, 178, 6748, '', '', '6749', 20, 1444376452),
(50193, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1444377473),
(50194, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1444377490),
(50195, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1444377499),
(50196, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1444377509),
(50197, 74, 6274, 'CodevTT_RAF', '', '0.5', 0, 1444377564),
(50198, 74, 6274, 'status', '10', '50', 0, 1444377564),
(50203, 146, 4914, 'CodevTT_RAF', '0', '0', 0, 1444383297),
(50209, 146, 5569, 'CodevTT_RAF', '0', '0', 0, 1444383424),
(50210, 146, 5569, 'CodevTT_RAF', '0', '0', 0, 1444383434),
(50211, 146, 5569, 'CodevTT_RAF', '0', '0', 0, 1444383444),
(50212, 72, 4991, 'status', '50', '80', 0, 1444383452),
(50213, 72, 4991, 'resolution', '10', '20', 0, 1444383452),
(50214, 72, 4991, 'CodevTT_RAF', '4.5', '0', 0, 1444383452),
(50215, 72, 4718, 'status', '50', '80', 0, 1444383623),
(50216, 72, 4718, 'resolution', '10', '20', 0, 1444383623),
(50217, 72, 4718, 'CodevTT_RAF', '0.1', '0', 0, 1444383623),
(50221, 93, 6190, 'CodevTT_RAF', '5', '3', 0, 1444388361),
(50222, 93, 6190, 'CodevTT_RAF', '3', '2', 0, 1444388373),
(50223, 93, 6190, 'CodevTT_RAF', '2', '2', 0, 1444388387),
(50247, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1444400142),
(50248, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1444400168),
(50249, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1444400189),
(50250, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1444400207),
(50251, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1444400266),
(50252, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1444400337),
(50253, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1444400359),
(50293, 146, 5569, 'CodevTT_RAF', '0', '0', 0, 1444410828),
(50294, 146, 5569, 'CodevTT_RAF', '0', '0', 0, 1444410873),
(50435, 2, 6772, '', '', '', 1, 1444651501),
(50436, 2, 6772, 'CodevTT_RAF', '', '5', 0, 1444651538),
(50437, 2, 6772, 'status', '10', '50', 0, 1444651538),
(50438, 2, 6772, 'handler_id', '0', '2', 0, 1444651538),
(50439, 2, 6772, 'CodevTT_RAF', '5', '4', 0, 1444651564),
(50440, 2, 6772, 'CodevTT_RAF', '4', '3', 0, 1444651580),
(50441, 2, 6772, 'CodevTT_RAF', '3', '2', 0, 1444651596),
(50442, 2, 6772, 'CodevTT_RAF', '2', '2', 0, 1444651610),
(50443, 2, 6772, 'CodevTT_RAF', '2', '0.5', 0, 1444651626),
(50444, 2, 6772, 'CodevTT_RAF', '0.5', '0.5', 0, 1444652648),
(50456, 157, 3893, 'CodevTT_RAF', '10', '10', 0, 1444661351),
(50457, 116, 6197, 'CodevTT_RAF', '1', '0', 0, 1444661454),
(50458, 116, 6197, 'CodevTT_RAF', '0', '0', 0, 1444661454),
(50459, 116, 6197, 'status', '50', '80', 0, 1444661454),
(50525, 2, 6772, 'CodevTT_RAF', '0.5', '0.5', 0, 1444667186),
(50540, 134, 6616, 'CodevTT_RAF', '2', '2', 0, 1444729649),
(50541, 134, 6616, 'CodevTT_RAF', '2', '1.5', 0, 1444729670),
(50542, 134, 6616, 'CodevTT_RAF', '1.5', '1', 0, 1444729698),
(50543, 134, 6616, 'CodevTT_RAF', '1', '1', 0, 1444729718),
(50544, 134, 4889, 'CodevTT_RAF', '0.4', '0', 0, 1444729797),
(50545, 134, 6826, '', '', '', 1, 1444730101),
(50546, 134, 6826, 'handler_id', '0', '134', 0, 1444730101),
(50547, 134, 6826, 'summary', 'D41536 TAIGA - 15.0.32 - Plantage sur _jjour01 / cjcntf00', '41536 - TAIGA - 15.0.32 - Plantage sur _jjour01 / cjcntf00', 0, 1444730236),
(50548, 134, 6826, 'CodevTT_RAF', '', '0.5', 0, 1444730357),
(50549, 134, 6826, 'status', '10', '30', 0, 1444730357),
(50550, 134, 6826, 'CodevTT_RAF', '0.5', '0', 0, 1444730393),
(50551, 134, 6826, 'CodevTT_RAF', '0', '0', 0, 1444730393),
(50552, 134, 6826, 'status', '30', '80', 0, 1444730393),
(50793, 147, 4991, 'CodevTT_RAF', '0', '4', 0, 1444741024),
(50794, 147, 4991, 'status', '80', '50', 0, 1444741024),
(50795, 147, 4991, 'handler_id', '73', '147', 0, 1444741024),
(50796, 147, 4991, 'CodevTT_RAF', '4', '3', 0, 1444741063),
(50797, 147, 4991, 'CodevTT_RAF', '3', '2', 0, 1444741101),
(50798, 147, 4991, 'CodevTT_RAF', '2', '1', 0, 1444741165),
(50799, 147, 6284, 'CodevTT_RAF', '0', '1', 0, 1444741276),
(50800, 147, 6284, 'handler_id', '2', '147', 0, 1444741276),
(50801, 147, 6294, 'CodevTT_RAF', '0', '0', 0, 1444741364),
(50802, 147, 6306, 'CodevTT_RAF', '0.5', '0.5', 0, 1444741418),
(50803, 147, 6141, 'CodevTT_RAF', '0', '0.5', 0, 1444741458),
(50804, 147, 6141, 'handler_id', '2', '147', 0, 1444741458),
(50805, 147, 6141, 'CodevTT_RAF', '0.5', '0.5', 0, 1444741517),
(50806, 147, 5569, 'CodevTT_RAF', '0', '0', 0, 1444741610),
(50826, 116, 6198, 'CodevTT_RAF', '4', '3', 0, 1444743675),
(50831, 117, 5730, 'CodevTT_RAF', '1', '1', 0, 1444745338),
(50832, 117, 6273, 'CodevTT_RAF', '1.5', '1', 0, 1444745366),
(50960, 72, 6927, '', '', '', 1, 1444813120),
(50961, 72, 6927, 'handler_id', '0', '117', 0, 1444813120),
(50962, 72, 6927, '', '', '4330', 21, 1444813120),
(50963, 72, 4330, '', '', '6927', 20, 1444813120),
(50964, 116, 6928, '', '', '', 1, 1444827754),
(50965, 116, 6928, 'handler_id', '0', '116', 0, 1444827754),
(50966, 116, 6928, 'CodevTT_RAF', '', '0', 0, 1444827792),
(50967, 116, 6928, 'CodevTT_RAF', '0', '0', 0, 1444827792),
(50968, 116, 6928, 'status', '10', '80', 0, 1444827792),
(51067, 93, 6154, 'CodevTT_RAF', '', '4', 0, 1444835445),
(51068, 93, 6154, 'status', '10', '50', 0, 1444835445),
(51069, 93, 6154, 'CodevTT_RAF', '4', '3', 0, 1444835463),
(51070, 93, 6154, 'CodevTT_RAF', '3', '2', 0, 1444835473),
(51071, 93, 6154, 'CodevTT_RAF', '2', '2', 0, 1444835497),
(51072, 93, 6154, 'CodevTT_RAF', '2', '3', 0, 1444835510),
(51073, 93, 6154, 'CodevTT_RAF', '3', '2', 0, 1444835551),
(51076, 72, 6929, '', '', '', 1, 1444838199),
(51077, 72, 6929, 'handler_id', '0', '134', 0, 1444838199),
(51078, 2, 6772, 'status', '50', '80', 0, 1444838285),
(51079, 2, 6772, 'resolution', '10', '20', 0, 1444838285),
(51080, 2, 6772, 'CodevTT_RAF', '0.5', '0', 0, 1444838285),
(51081, 72, 6930, '', '', '', 1, 1444838291),
(51082, 72, 6930, 'handler_id', '0', '134', 0, 1444838291),
(51083, 72, 6930, '', '', '6929', 21, 1444838291),
(51084, 72, 6929, '', '', '6930', 20, 1444838291),
(51085, 72, 6929, '', '2501', '6930', 18, 1444838291),
(51086, 72, 6930, '', '2500', '6929', 18, 1444838291),
(51087, 72, 6931, '', '', '', 1, 1444838351),
(51088, 72, 6931, 'handler_id', '0', '134', 0, 1444838351),
(51089, 72, 6931, '', '', '6929', 21, 1444838351),
(51090, 72, 6929, '', '', '6931', 20, 1444838351),
(51091, 72, 6929, '', '2501', '6931', 18, 1444838351),
(51092, 72, 6931, '', '2500', '6929', 18, 1444838351),
(51093, 72, 6929, 'CodevTT_Dead Line', '', '1446073200', 0, 1444838440),
(51094, 72, 6931, 'CodevTT_Dead Line', '', '1446764400', 0, 1444838570),
(51095, 72, 6930, 'CodevTT_Dead Line', '', '1447801200', 0, 1444838632),
(51100, 74, 6568, 'status', '10', '50', 0, 1444894620),
(51101, 74, 6568, 'status', '50', '80', 0, 1444894701),
(51102, 74, 6568, 'resolution', '10', '20', 0, 1444894701),
(51103, 74, 6568, 'CodevTT_RAF', '', '0', 0, 1444894701),
(51104, 74, 6298, 'status', '50', '80', 0, 1444894830),
(51105, 74, 6298, 'resolution', '10', '20', 0, 1444894830),
(51106, 74, 6298, 'CodevTT_RAF', '0.5', '0', 0, 1444894830),
(51107, 74, 5279, 'status', '50', '80', 0, 1444894885),
(51108, 74, 5279, 'resolution', '10', '20', 0, 1444894885),
(51109, 74, 5279, 'CodevTT_RAF', '1', '0', 0, 1444894885),
(51110, 74, 6274, 'status', '50', '80', 0, 1444894989),
(51111, 74, 6274, 'resolution', '10', '20', 0, 1444894989),
(51112, 74, 6274, 'CodevTT_RAF', '0.5', '0', 0, 1444894989),
(51113, 134, 6932, '', '', '', 1, 1444896588),
(51114, 134, 6932, 'handler_id', '0', '134', 0, 1444896588),
(51115, 134, 4889, 'status', '50', '80', 0, 1444896967),
(51116, 134, 4889, 'resolution', '10', '20', 0, 1444896967),
(51117, 134, 6932, 'CodevTT_RAF', '', '0.5', 0, 1444897035),
(51118, 134, 6932, 'status', '10', '30', 0, 1444897035),
(51119, 134, 6932, 'CodevTT_RAF', '0.5', '0', 0, 1444897062),
(51120, 134, 6932, 'CodevTT_RAF', '0', '0', 0, 1444897062),
(51121, 134, 6932, 'status', '30', '80', 0, 1444897062),
(51122, 134, 6932, 'CodevTT_RAF', '0', '0', 0, 1444897095),
(51123, 2, 6275, 'handler_id', '74', '117', 0, 1444897360),
(51124, 117, 4330, 'CodevTT_RAF', '2', '1', 0, 1444902600),
(51205, 72, 6949, '', '', '', 1, 1444923170),
(51206, 72, 6949, 'handler_id', '0', '158', 0, 1444923170),
(51210, 178, 4909, 'CodevTT_RAF', '3', '1', 0, 1444982890),
(51217, 178, 4915, 'CodevTT_RAF', '0', '5', 0, 1444982971),
(51222, 178, 4915, 'CodevTT_RAF', '5', '5', 0, 1444983022),
(51224, 178, 4915, 'CodevTT_RAF', '5', '4', 0, 1444983065),
(51225, 178, 4915, 'CodevTT_RAF', '4', '4', 0, 1444983078),
(51226, 178, 4915, 'CodevTT_RAF', '4', '4', 0, 1444983103),
(51228, 178, 4915, 'CodevTT_RAF', '4', '3', 0, 1444983114),
(51229, 178, 4915, 'CodevTT_RAF', '3', '2', 0, 1444983126),
(51230, 178, 4909, 'CodevTT_RAF', '1', '1', 0, 1444983162),
(51231, 178, 4915, 'CodevTT_RAF', '2', '2', 0, 1444983185),
(51232, 178, 4915, 'CodevTT_RAF', '2', '1', 0, 1444983196),
(51233, 178, 4915, 'CodevTT_RAF', '1', '1', 0, 1444983217),
(51234, 178, 4915, 'CodevTT_RAF', '1', '0', 0, 1444983224),
(51245, 169, 6741, 'CodevTT_RAF', '', '0', 0, 1444984246),
(51246, 169, 6741, 'CodevTT_RAF', '0', '0', 0, 1444984247),
(51247, 169, 6741, 'status', '10', '80', 0, 1444984247),
(51248, 169, 6741, 'CodevTT_RAF', '0', '0', 0, 1444984265),
(51249, 169, 6741, 'CodevTT_RAF', '0', '0', 0, 1444984275),
(51277, 134, 6616, 'CodevTT_RAF', '1', '0', 0, 1444996649),
(51278, 134, 6616, 'CodevTT_RAF', '0', '0', 0, 1444996649),
(51279, 134, 6616, 'status', '30', '80', 0, 1444996649),
(51280, 134, 6617, 'CodevTT_RAF', '', '0.5', 0, 1444996713),
(51281, 134, 6617, 'status', '10', '30', 0, 1444996713),
(51282, 134, 6617, 'CodevTT_RAF', '0.5', '1.5', 0, 1444996793),
(51283, 134, 6617, 'CodevTT_RAF', '1.5', '3', 0, 1444996830),
(51284, 134, 6929, 'CodevTT_RAF', '', '3.25', 0, 1444996992),
(51285, 134, 6929, 'status', '10', '30', 0, 1444996992),
(51286, 134, 6929, 'CodevTT_RAF', '3.25', '3.25', 0, 1444997031),
(51294, 157, 3893, 'CodevTT_RAF', '10', '7.5', 0, 1444998854),
(51295, 157, 3893, 'CodevTT_RAF', '7.5', '7', 0, 1444998869),
(51296, 157, 3893, 'CodevTT_RAF', '7', '6', 0, 1444998884),
(51297, 157, 3893, 'CodevTT_RAF', '6', '5', 0, 1444998897),
(51298, 93, 5730, 'CodevTT_RAF', '1', '0', 0, 1444999020),
(51299, 93, 6154, 'CodevTT_RAF', '2', '1', 0, 1444999283),
(51300, 93, 6154, 'CodevTT_RAF', '1', '1', 0, 1444999283),
(51301, 2, 5714, 'handler_id', '2', '0', 0, 1445000741),
(51302, 147, 4991, 'CodevTT_RAF', '1', '0.5', 0, 1445003278),
(51303, 147, 6306, 'CodevTT_RAF', '0.5', '0', 0, 1445003318),
(51304, 147, 6306, 'CodevTT_RAF', '0', '0', 0, 1445003318),
(51305, 147, 6306, 'status', '50', '80', 0, 1445003318),
(51306, 147, 6294, 'CodevTT_RAF', '0', '0', 0, 1445003396),
(51320, 169, 6741, 'CodevTT_RAF', '0', '0', 0, 1445007394),
(51404, 2, 5354, 'CodevTT_RAF', '0', '0', 0, 1445239831),
(51408, 2, 6965, '', '', '', 1, 1445239969),
(51409, 2, 6965, 'CodevTT_RAF', '', '1', 0, 1445240005),
(51410, 2, 6965, 'status', '10', '50', 0, 1445240005),
(51411, 2, 6965, 'handler_id', '0', '2', 0, 1445240005),
(51424, 164, 6967, '', '', '', 1, 1445246072),
(51425, 164, 6967, 'CodevTT_RAF', '', '0', 0, 1445246142),
(51426, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1445246142),
(51427, 164, 6967, 'status', '10', '80', 0, 1445246142),
(51428, 164, 6967, 'handler_id', '0', '164', 0, 1445246142),
(51429, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1445246185),
(51430, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1445246199),
(51431, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445246278),
(51432, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445246299),
(51433, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445246358),
(51434, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445246743),
(51435, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445246803),
(51436, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1445246861),
(51457, 116, 6198, 'CodevTT_RAF', '3', '2', 0, 1445266209),
(51460, 72, 6968, '', '', '', 1, 1445269479),
(51461, 72, 6968, 'handler_id', '0', '72', 0, 1445269479),
(51462, 72, 6969, '', '', '', 1, 1445269553),
(51463, 72, 6969, 'handler_id', '0', '74', 0, 1445269553),
(51464, 72, 6969, '', '', '6968', 21, 1445269553),
(51465, 72, 6968, '', '', '6969', 20, 1445269553),
(51466, 72, 6968, 'CodevTT_RAF', '', '0.5', 0, 1445269607),
(51467, 72, 6968, 'status', '10', '50', 0, 1445269607),
(51468, 72, 6969, 'CodevTT_RAF', '', '1', 0, 1445269637),
(51469, 72, 6969, 'status', '10', '50', 0, 1445269637),
(51476, 2, 6970, '', '', '', 1, 1445272426),
(51477, 2, 6970, 'handler_id', '0', '2', 0, 1445272426),
(51478, 2, 6772, 'CodevTT_RAF', '0', '0', 0, 1445272468),
(51479, 2, 6970, 'CodevTT_RAF', '', '2', 0, 1445272490),
(51480, 2, 6970, 'status', '10', '50', 0, 1445272490),
(51481, 2, 6772, 'summary', '41513 - TAIGA - 15.0.50 - Problème de performance du cjkntf10', '41513 - APP - Problème de performance du cjkntf10', 0, 1445272515),
(51610, 2, 6970, 'CodevTT_RAF', '2', '0', 0, 1445334881),
(51611, 2, 6970, 'CodevTT_RAF', '0', '0', 0, 1445334881),
(51612, 2, 6970, 'status', '50', '80', 0, 1445334881),
(51613, 157, 3893, 'CodevTT_RAF', '5', '4', 0, 1445337515),
(51614, 157, 3893, 'CodevTT_RAF', '4', '3', 0, 1445337532),
(51615, 157, 3893, 'CodevTT_RAF', '3', '3', 0, 1445337569),
(51616, 74, 6257, 'CodevTT_RAF', '10', '1', 0, 1445337663),
(51617, 74, 6257, 'CodevTT_RAF', '1', '1', 0, 1445337673),
(51618, 74, 6257, 'CodevTT_RAF', '1', '1', 0, 1445337682),
(51619, 74, 6257, 'CodevTT_RAF', '1', '1', 0, 1445337691),
(51620, 74, 6257, 'CodevTT_RAF', '1', '1', 0, 1445337706),
(51621, 74, 6257, 'CodevTT_RAF', '1', '0', 0, 1445337763),
(51622, 74, 6257, 'CodevTT_RAF', '0', '0', 0, 1445337763),
(51623, 74, 6257, 'status', '50', '80', 0, 1445337763),
(51633, 116, 7005, '', '', '', 1, 1445350773),
(51634, 116, 7005, 'handler_id', '0', '116', 0, 1445350773),
(51635, 116, 7005, 'CodevTT_RAF', '', '0', 0, 1445350803),
(51636, 116, 7005, 'CodevTT_RAF', '0', '0', 0, 1445350803),
(51637, 116, 7005, 'status', '10', '80', 0, 1445350803),
(51643, 2, 5730, 'CodevTT_RAF', '0', '1', 0, 1445355924),
(51644, 2, 5730, 'status', '80', '50', 0, 1445355924),
(51690, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1445413827),
(51691, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1445413848),
(51692, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1445413893),
(51693, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1445413920),
(51694, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1445413940),
(51695, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1445413964),
(51696, 158, 6058, 'CodevTT_RAF', '2.5', '2', 0, 1445414075),
(51697, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1445414088),
(51698, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1445414110),
(51699, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1445414121),
(51700, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1445414168),
(51701, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1445414196),
(51703, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1445414248),
(51704, 158, 6058, 'CodevTT_RAF', '2', '2', 0, 1445414263),
(51710, 2, 7008, '', '', '', 1, 1445415221),
(51711, 2, 7008, 'handler_id', '0', '134', 0, 1445415237),
(51712, 158, 6058, 'CodevTT_RAF', '2', '0', 0, 1445415279),
(51713, 158, 6058, 'status', '50', '80', 0, 1445415279),
(51714, 2, 7008, '', '1', '5360', 18, 1445415328),
(51715, 2, 5360, '', '1', '7008', 18, 1445415328),
(51716, 158, 6058, 'CodevTT_RAF', '0', '0', 0, 1445415329),
(51723, 2, 7008, 'category', 'General', 'DSI', 0, 1445415413),
(51724, 2, 5360, 'category', 'General', 'DSI', 0, 1445415413),
(51725, 2, 5528, 'category', 'General', 'DSI', 0, 1445415413),
(51726, 2, 5526, 'category', 'General', 'DSI', 0, 1445415413),
(51727, 2, 5527, 'category', 'General', 'DSI', 0, 1445415413),
(51728, 2, 5361, 'category', 'General', 'DSI', 0, 1445415413),
(51739, 2, 6198, 'category', 'General', 'DSI', 0, 1445415687),
(51740, 2, 6929, 'category', 'General', 'DSI', 0, 1445415687),
(51741, 2, 4330, 'category', 'General', 'DSI', 0, 1445415687),
(51742, 2, 6275, 'category', 'General', 'DSI', 0, 1445415687),
(51743, 2, 6274, 'category', 'General', 'DSI', 0, 1445415687),
(51744, 2, 6930, 'category', 'General', 'DSI', 0, 1445415687),
(51745, 2, 6931, 'category', 'General', 'DSI', 0, 1445415687),
(51746, 2, 6927, 'category', 'General', 'DSI', 0, 1445415687),
(51747, 2, 6273, 'category', 'General', 'DSI', 0, 1445415687),
(51748, 2, 6197, 'category', 'General', 'DSI', 0, 1445415687),
(51749, 2, 6662, 'category', 'General', 'DSI', 0, 1445415687),
(51750, 2, 6656, 'category', 'General', 'DSI', 0, 1445415687),
(51751, 2, 6497, 'category', 'General', 'DSI', 0, 1445415687),
(51752, 2, 6496, 'category', 'General', 'DSI', 0, 1445415687),
(51753, 2, 6272, 'category', 'General', 'DSI', 0, 1445415687),
(51754, 2, 6495, 'category', 'General', 'DSI', 0, 1445415687),
(51755, 2, 6494, 'category', 'General', 'DSI', 0, 1445415687),
(51756, 2, 5097, 'category', 'General', 'DSI', 0, 1445415687),
(51757, 2, 6296, 'category', 'General', 'DSI', 0, 1445415687),
(51758, 2, 5453, 'category', 'NSDK / TP', 'DSI', 0, 1445415687),
(51759, 2, 4972, 'category', 'General', 'DSI', 0, 1445415687),
(51760, 2, 3940, 'category', 'General', 'DSI', 0, 1445415687),
(51761, 2, 4292, 'category', 'General', 'DSI', 0, 1445415687),
(51762, 2, 4329, 'category', 'General', 'DSI', 0, 1445415687),
(51763, 2, 4974, 'category', 'General', 'DSI', 0, 1445415687),
(51764, 2, 5016, 'category', 'General', 'DSI', 0, 1445415687),
(51765, 2, 4956, 'category', 'General', 'DSI', 0, 1445415687),
(51766, 2, 4864, 'category', 'General', 'DSI', 0, 1445415687),
(51767, 2, 4682, 'category', 'General', 'DSI', 0, 1445415687),
(51768, 2, 4683, 'category', 'General', 'DSI', 0, 1445415687),
(51769, 2, 4865, 'category', 'General', 'DSI', 0, 1445415687),
(51770, 2, 4681, 'category', 'General', 'DSI', 0, 1445415687),
(51771, 2, 4623, 'category', 'General', 'DSI', 0, 1445415687),
(51772, 2, 4347, 'category', 'General', 'DSI', 0, 1445415687),
(51773, 2, 4346, 'category', 'General', 'DSI', 0, 1445415687),
(51774, 2, 3915, 'category', 'General', 'DSI', 0, 1445415687),
(51775, 2, 4144, 'category', 'General', 'DSI', 0, 1445415687),
(51776, 2, 4058, 'category', 'General', 'DSI', 0, 1445415687),
(51777, 2, 3546, 'category', 'General', 'DSI', 0, 1445415687),
(51778, 2, 3736, 'category', 'General', 'DSI', 0, 1445415687),
(51815, 2, 7020, '', '', '', 1, 1445416503),
(51816, 2, 7020, 'handler_id', '0', '2', 0, 1445416503),
(51838, 2, 7021, '', '', '', 1, 1445418608),
(51839, 2, 7021, 'category', 'General', 'Appel Regul (TO)', 0, 1445418759),
(51868, 157, 5713, 'CodevTT_RAF', '', '1', 0, 1445430438),
(51869, 157, 5713, 'status', '10', '50', 0, 1445430438),
(51870, 157, 5713, 'handler_id', '0', '157', 0, 1445430438),
(51871, 157, 7021, 'CodevTT_RAF', '', '1', 0, 1445430461),
(51872, 157, 7021, 'handler_id', '0', '157', 0, 1445430461),
(51873, 157, 7021, 'CodevTT_RAF', '1', '0.5', 0, 1445430495),
(51874, 157, 7021, 'status', '10', '50', 0, 1445430495),
(51875, 157, 7021, 'CodevTT_RAF', '0.5', '0.5', 0, 1445430518),
(51876, 157, 5713, 'CodevTT_RAF', '1', '0.5', 0, 1445430549),
(51877, 157, 3893, 'CodevTT_RAF', '3', '2', 0, 1445430582),
(52002, 134, 6929, 'CodevTT_RAF', '3.25', '0.5', 0, 1445498080),
(52004, 134, 6930, 'CodevTT_RAF', '', '3.7', 0, 1445498397),
(52005, 134, 6930, 'status', '10', '30', 0, 1445498397),
(52006, 134, 7008, 'CodevTT_RAF', '', '2.3', 0, 1445498460),
(52007, 134, 7008, 'status', '10', '30', 0, 1445498460),
(52008, 134, 6929, 'CodevTT_RAF', '0.5', '0.2', 0, 1445498549),
(52009, 134, 7008, 'CodevTT_RAF', '2.3', '1.6', 0, 1445498593),
(52085, 72, 7067, '', '', '', 1, 1445522430),
(52086, 72, 7067, 'handler_id', '0', '157', 0, 1445522430),
(52087, 72, 7005, 'CodevTT_RAF', '0', '5', 0, 1445522944),
(52088, 72, 7005, 'priority', '40', '50', 0, 1445522944),
(52089, 72, 7005, 'status', '80', '50', 0, 1445522944),
(52090, 72, 7005, 'version', '15.1.0_Jan', '15.0.0_Sept', 0, 1445522944),
(52091, 72, 7005, 'CodevTT_Dead Line', '', '1446505200', 0, 1445523006),
(52092, 72, 7005, 'priority', '50', '60', 0, 1445523006),
(52095, 72, 7068, '', '', '', 1, 1445523399),
(52096, 72, 7068, 'handler_id', '0', '116', 0, 1445523399),
(52100, 72, 7069, '', '', '', 1, 1445523961),
(52101, 72, 7069, 'handler_id', '0', '178', 0, 1445523961),
(52102, 72, 7070, '', '', '', 1, 1445524281),
(52103, 72, 7070, 'handler_id', '0', '134', 0, 1445524281),
(52105, 2, 5730, 'CodevTT_RAF', '1', '1', 0, 1445524930),
(52106, 72, 7071, '', '', '', 1, 1445527169),
(52107, 72, 7071, 'handler_id', '0', '116', 0, 1445527169),
(52113, 72, 4324, 'handler_id', '169', '0', 0, 1445528213),
(52114, 72, 4324, 'status', '50', '20', 0, 1445528213),
(52115, 72, 3893, 'CodevTT_Date Livraison', '', '1447110000', 0, 1445528764),
(52116, 72, 3893, 'handler_id', '169', '157', 0, 1445528764),
(52117, 72, 3893, 'target_version', '15.1.0_3en1', '', 0, 1445528764),
(52129, 93, 6154, 'CodevTT_RAF', '1', '0.5', 0, 1445587760),
(52130, 93, 6154, 'CodevTT_RAF', '0.5', '0.05', 0, 1445587790),
(52131, 93, 6154, 'CodevTT_RAF', '0.05', '0.05', 0, 1445587828),
(52135, 93, 7072, '', '', '', 1, 1445588515),
(52136, 93, 7072, 'handler_id', '0', '93', 0, 1445588515),
(52140, 93, 7072, 'CodevTT_RAF', '', '1.5', 0, 1445588629),
(52141, 93, 7072, 'status', '10', '50', 0, 1445588629),
(52142, 93, 7072, 'CodevTT_RAF', '1.5', '2', 0, 1445588645),
(52143, 93, 7072, 'CodevTT_RAF', '2', '1', 0, 1445588675),
(52144, 93, 7072, 'CodevTT_RAF', '1', '0.5', 0, 1445588688),
(52145, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445589893),
(52146, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445589908),
(52147, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1445590109),
(52276, 134, 7008, 'CodevTT_RAF', '1.6', '1', 0, 1445610641),
(52298, 134, 7008, 'CodevTT_RAF', '1', '0', 0, 1445611879),
(52299, 134, 7008, 'CodevTT_RAF', '0', '0', 0, 1445611879),
(52300, 134, 7008, 'status', '30', '80', 0, 1445611879),
(52306, 134, 6929, 'CodevTT_RAF', '0.2', '0', 0, 1445611944),
(52307, 134, 6929, 'CodevTT_RAF', '0', '0', 0, 1445611944),
(52308, 134, 6929, 'status', '30', '80', 0, 1445611944),
(52310, 134, 7008, 'CodevTT_RAF', '0', '0', 0, 1445611970),
(52356, 74, 6566, 'CodevTT_RAF', '1', '1', 0, 1445846531),
(52357, 74, 6969, 'CodevTT_RAF', '1', '0', 0, 1445846634),
(52358, 74, 6969, 'CodevTT_RAF', '0', '0', 0, 1445846634),
(52359, 74, 6969, 'status', '50', '80', 0, 1445846634),
(52360, 74, 6969, 'CodevTT_RAF', '0', '0', 0, 1445846674),
(52361, 74, 6969, 'CodevTT_RAF', '0', '0', 0, 1445846684),
(52362, 74, 6929, 'CodevTT_RAF', '0', '0', 0, 1445846834),
(52392, 74, 3942, 'CodevTT_RAF', '0', '1', 0, 1445847973),
(52393, 74, 3942, 'status', '80', '50', 0, 1445847973),
(52394, 74, 3942, 'CodevTT_RAF', '1', '1', 0, 1445847990),
(52397, 116, 7005, 'CodevTT_RAF', '5', '4.5', 0, 1445851701),
(52406, 134, 5361, 'CodevTT_RAF', '0', '0.1', 0, 1445856409),
(52407, 134, 5361, 'status', '80', '85', 0, 1445856409),
(52504, 134, 6929, 'CodevTT_RAF', '0', '1', 0, 1445936164),
(52505, 134, 6929, 'status', '80', '30', 0, 1445936164),
(52527, 2, 7109, '', '', '', 1, 1445942482),
(52528, 2, 7109, 'handler_id', '0', '2', 0, 1445942482),
(52530, 2, 7110, '', '', '', 1, 1445942545),
(52531, 2, 7110, 'handler_id', '0', '2', 0, 1445942545),
(52532, 2, 7109, 'CodevTT_RAF', '', '0', 0, 1445942586),
(52533, 2, 7109, 'CodevTT_RAF', '0', '0', 0, 1445942586),
(52534, 2, 7109, 'status', '10', '80', 0, 1445942586),
(52535, 2, 7110, 'CodevTT_RAF', '', '0', 0, 1445942605),
(52536, 2, 7110, 'CodevTT_RAF', '0', '0', 0, 1445942605),
(52537, 2, 7110, 'status', '10', '80', 0, 1445942605),
(52538, 2, 7111, '', '', '', 1, 1445942722),
(52539, 2, 7111, 'handler_id', '0', '2', 0, 1445942722),
(52540, 2, 7111, 'Ref. Externe', '', '41604', 0, 1445942748),
(52541, 178, 4915, 'CodevTT_RAF', '0', '4', 0, 1445942811),
(52542, 178, 4915, 'CodevTT_RAF', '4', '3', 0, 1445942855),
(52543, 2, 7111, 'CodevTT_RAF', '', '2', 0, 1445942870),
(52544, 2, 7111, 'status', '10', '50', 0, 1445942870),
(52545, 178, 4915, 'CodevTT_RAF', '3', '2', 0, 1445943017),
(52546, 2, 7112, '', '', '', 1, 1445943146),
(52547, 2, 7112, 'handler_id', '0', '2', 0, 1445943146),
(52548, 2, 7112, 'CodevTT_RAF', '', '1', 0, 1445943182),
(52549, 2, 7112, 'status', '10', '50', 0, 1445943182),
(52550, 2, 7112, 'CodevTT_RAF', '1', '1', 0, 1445943254),
(52551, 93, 7072, 'CodevTT_RAF', '0.5', '0.6', 0, 1445943664),
(52554, 72, 7113, '', '', '', 1, 1445946515),
(52555, 72, 7113, 'handler_id', '0', '178', 0, 1445946515),
(52556, 72, 7113, 'CodevTT_ChargeMgr', '20', '2', 0, 1445946596),
(52557, 72, 7113, 'CodevTT_Date Livraison', '', '1446159600', 0, 1445946596),
(52558, 72, 7113, 'CodevTT_ChargeMgr', '2', '3', 0, 1445946701),
(52559, 72, 7113, 'CodevTT_ChargeInit', '2', '3', 0, 1445946701),
(52560, 72, 7114, '', '', '', 1, 1445946827),
(52561, 72, 7114, 'handler_id', '0', '146', 0, 1445946827),
(52562, 72, 7114, '', '', '7113', 21, 1445946827),
(52563, 72, 7113, '', '', '7114', 20, 1445946827),
(52564, 72, 7115, '', '', '', 1, 1445948488),
(52565, 72, 7115, 'handler_id', '0', '178', 0, 1445948488),
(52566, 72, 7115, '', '', '7113', 21, 1445948488),
(52567, 72, 7113, '', '', '7115', 20, 1445948488),
(52568, 72, 7116, '', '', '', 1, 1445948564),
(52569, 72, 7116, 'handler_id', '0', '146', 0, 1445948564),
(52570, 72, 7116, '', '', '7115', 21, 1445948564),
(52571, 72, 7115, '', '', '7116', 20, 1445948564),
(52572, 72, 7117, '', '', '', 1, 1445948798),
(52573, 72, 7117, 'handler_id', '0', '178', 0, 1445948798),
(52574, 72, 7118, '', '', '', 1, 1445948900),
(52575, 72, 7118, 'handler_id', '0', '178', 0, 1445948900),
(52576, 72, 7118, '', '', '7117', 21, 1445948900),
(52577, 72, 7117, '', '', '7118', 20, 1445948900),
(52578, 72, 7117, 'Ref. Externe', '', 'GAC', 0, 1445948963),
(107400, 72, 12331, 'CodevTT_ChargeInit', '5', '8', 0, 1468312301),
(52582, 72, 7117, '', '', '7119', 20, 1445949004),
(52583, 72, 7120, '', '', '', 1, 1445949129),
(52584, 72, 7120, 'handler_id', '0', '147', 0, 1445949129),
(52585, 72, 7120, '', '', '7118', 21, 1445949129),
(52586, 72, 7118, '', '', '7120', 20, 1445949129),
(52587, 178, 7113, 'CodevTT_RAF', '', '2', 0, 1445950158),
(52588, 178, 7113, 'status', '10', '50', 0, 1445950158),
(52589, 178, 7113, 'CodevTT_RAF', '2', '1', 0, 1445950171),
(52590, 178, 7115, 'CodevTT_RAF', '', '2', 0, 1445950195),
(52591, 178, 7115, 'status', '10', '50', 0, 1445950195),
(52592, 178, 7115, 'CodevTT_RAF', '2', '1', 0, 1445950223),
(52593, 169, 7121, '', '', '', 1, 1445951410),
(52594, 169, 7121, 'handler_id', '0', '169', 0, 1445951410),
(52595, 169, 7121, '', '1336', '', 6, 1445951570),
(52596, 169, 7121, 'CodevTT_RAF', '', '5', 0, 1445951630),
(52597, 169, 7121, 'status', '10', '50', 0, 1445951630),
(52598, 169, 7121, 'CodevTT_RAF', '5', '4', 0, 1445951644),
(52599, 169, 7121, 'CodevTT_RAF', '4', '3', 0, 1445951652),
(52600, 169, 7121, 'CodevTT_RAF', '3', '2', 0, 1445951661),
(52601, 169, 7121, 'CodevTT_RAF', '2', '1', 0, 1445951677),
(52602, 169, 7121, 'CodevTT_RAF', '1', '0', 0, 1445951754),
(52603, 169, 7121, 'CodevTT_RAF', '0', '0', 0, 1445951754),
(52604, 169, 7121, 'status', '50', '80', 0, 1445951754),
(52605, 169, 6741, 'CodevTT_RAF', '0', '0', 0, 1445951790),
(52606, 169, 5724, 'CodevTT_RAF', '', '7', 0, 1445951963),
(52607, 169, 5724, 'status', '10', '50', 0, 1445951963),
(52608, 169, 5724, 'CodevTT_RAF', '7', '6', 0, 1445951976),
(52609, 169, 5724, 'CodevTT_RAF', '6', '0', 0, 1445952056),
(52610, 169, 5724, 'CodevTT_RAF', '0', '0', 0, 1445952056),
(52611, 169, 5724, 'status', '50', '80', 0, 1445952056),
(52612, 169, 4288, 'CodevTT_RAF', '4', '5', 0, 1445952081),
(52613, 169, 4288, 'CodevTT_RAF', '5', '5', 0, 1445952095),
(52614, 169, 4288, 'CodevTT_RAF', '5', '4', 0, 1445952106),
(52615, 169, 4288, 'CodevTT_RAF', '4', '3', 0, 1445952113),
(52616, 169, 4288, 'CodevTT_RAF', '3', '2', 0, 1445952122),
(52617, 169, 4288, 'CodevTT_RAF', '2', '1', 0, 1445952133),
(52621, 134, 5361, 'CodevTT_RAF', '0.1', '0.1', 0, 1445953285),
(52622, 134, 6616, 'CodevTT_RAF', '0', '0', 0, 1445953327),
(52640, 116, 6198, 'CodevTT_RAF', '2', '2', 0, 1445959660),
(52648, 158, 4843, 'CodevTT_RAF', '0', '0.2', 0, 1445963201),
(52649, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1445963264),
(52650, 158, 6949, 'CodevTT_RAF', '', '5', 0, 1445963427),
(52651, 158, 6949, 'status', '10', '50', 0, 1445963427),
(52661, 2, 6566, 'CodevTT_RAF', '1', '1', 0, 1446020160),
(52662, 2, 6725, 'status', '10', '50', 0, 1446020543),
(52663, 2, 6725, 'CodevTT_RAF', '', '5', 0, 1446020558),
(52668, 2, 4889, 'summary', '40648 - [DEV] SOCLE - Celtick - TAIGA - Incident de prod CMR 045 - ijfrad01 - Inc 33676', '40648 - SOCLE - Celtick - TAIGA - Incident de prod CMR 045 - ijfrad01 - Inc 33676', 0, 1446023205),
(52691, 2, 6516, 'Ref. Externe', '40637', '41356', 0, 1446024992),
(52692, 2, 6720, 'Ref. Externe', '41346', '41473', 0, 1446025069),
(52693, 2, 7072, 'Ref. Externe', '41190', '41553', 0, 1446025113),
(52721, 72, 7133, '', '', '', 1, 1446040551),
(52722, 72, 7133, 'handler_id', '0', '147', 0, 1446040551),
(52734, 2, 3686, 'CodevTT_RAF', '2', '2', 0, 1446050452),
(52736, 72, 7070, 'CodevTT_RAF', '', '9.5', 0, 1446052989),
(52737, 72, 7070, 'status', '10', '50', 0, 1446052989),
(52743, 2, 3686, 'CodevTT_RAF', '2', '2', 0, 1446105928),
(52796, 134, 6929, 'CodevTT_RAF', '1', '1', 0, 1446124133),
(52797, 134, 6616, 'CodevTT_RAF', '0', '0', 0, 1446124211),
(52798, 134, 6930, 'CodevTT_RAF', '3.7', '2', 0, 1446124228),
(52799, 134, 6930, 'CodevTT_RAF', '2', '2', 0, 1446124313),
(52800, 134, 6616, 'CodevTT_RAF', '0', '0', 0, 1446124333),
(52844, 74, 3942, 'CodevTT_RAF', '1', '0.25', 0, 1446130340),
(52845, 74, 3942, 'CodevTT_RAF', '0.25', '0', 0, 1446130445),
(52846, 74, 3942, 'CodevTT_RAF', '0', '0', 0, 1446130445),
(52847, 74, 3942, 'status', '50', '80', 0, 1446130445),
(52848, 74, 7148, '', '', '', 1, 1446130639),
(52849, 74, 7148, 'handler_id', '0', '74', 0, 1446130639),
(52850, 74, 7148, '', '', '5616', 21, 1446130639),
(52851, 74, 5616, '', '', '7148', 20, 1446130639),
(52852, 74, 7148, 'CodevTT_RAF', '', '0.25', 0, 1446130711),
(52853, 74, 7148, 'status', '10', '50', 0, 1446130711),
(52854, 74, 7148, 'CodevTT_RAF', '0.25', '0', 0, 1446130738),
(52855, 74, 7148, 'CodevTT_RAF', '0', '0', 0, 1446130738),
(52856, 74, 7148, 'status', '50', '80', 0, 1446130738),
(52873, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1446134334),
(52874, 158, 4843, 'CodevTT_RAF', '0.2', '0', 0, 1446134416),
(52875, 158, 6949, 'CodevTT_RAF', '5', '5', 0, 1446134713),
(52876, 158, 6949, 'CodevTT_RAF', '5', '5', 0, 1446134725),
(65592, 72, 8454, 'target_version', '', '17.3_PUMA', 0, 1453304152),
(53017, 147, 7133, 'CodevTT_RAF', '', '1', 0, 1446196576),
(53018, 147, 7133, 'status', '10', '50', 0, 1446196576),
(53019, 147, 7133, 'CodevTT_RAF', '1', '1', 0, 1446196616),
(53020, 147, 7133, 'CodevTT_RAF', '1', '1', 0, 1446196672),
(53021, 147, 6742, 'CodevTT_RAF', '', '1', 0, 1446196786),
(53022, 147, 6742, 'status', '10', '50', 0, 1446196786),
(53024, 147, 6742, 'CodevTT_RAF', '1', '1', 0, 1446196930),
(53025, 147, 6745, 'CodevTT_RAF', '', '1', 0, 1446197066),
(53026, 147, 6745, 'status', '10', '50', 0, 1446197066),
(53044, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1446209408),
(53045, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1446209434),
(53046, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1446209446),
(53047, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1446209467),
(53048, 2, 6965, 'CodevTT_RAF', '1', '0', 0, 1446209555),
(53049, 2, 6965, 'status', '50', '80', 0, 1446209555),
(53050, 2, 6965, 'resolution', '10', '70', 0, 1446209555),
(53051, 74, 7148, 'CodevTT_RAF', '0', '0', 0, 1446209789),
(53052, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1446210074),
(53056, 2, 5405, 'CodevTT_RAF', '0.5', '1', 0, 1446214622),
(53057, 2, 5405, 'CodevTT_Dead Line', '', '1447974000', 0, 1446214622),
(53058, 2, 5405, '', '0000911', '', 2, 1446214622),
(53059, 2, 5405, 'handler_id', '73', '199', 0, 1446214622),
(53060, 2, 5565, 'handler_id', '116', '199', 0, 1446214661),
(53061, 2, 5406, 'handler_id', '158', '199', 0, 1446214661),
(53062, 2, 5565, 'status', '20', '50', 0, 1446214698),
(53063, 2, 5406, 'status', '20', '50', 0, 1446214698),
(53064, 2, 5405, 'status', '20', '50', 0, 1446214698),
(53065, 2, 5406, 'CodevTT_Dead Line', '', '1450134000', 0, 1446214835),
(53066, 2, 5406, 'CodevTT_Dead Line', '1450134000', '1449183600', 0, 1446214860),
(53067, 2, 5565, 'CodevTT_Date Livraison', '1442181600', '1449183600', 0, 1446214892),
(53068, 2, 5565, 'CodevTT_Dead Line', '', '1449183600', 0, 1446214966),
(53069, 2, 5565, 'CodevTT_Date Livraison', '1449183600', '', 0, 1446214966),
(53070, 2, 6656, '', '0000912', '', 2, 1446215066),
(53071, 2, 6656, 'status', '10', '80', 0, 1446215066),
(53072, 2, 6656, 'resolution', '10', '20', 0, 1446215066),
(53073, 2, 6656, 'handler_id', '0', '72', 0, 1446215066),
(53074, 2, 6656, 'CodevTT_RAF', '', '0', 0, 1446215066),
(53075, 2, 6662, 'handler_id', '0', '199', 0, 1446215093),
(53076, 74, 7191, '', '', '', 1, 1446215104),
(53077, 74, 7191, 'handler_id', '0', '74', 0, 1446215104),
(53078, 74, 7191, '', '', '5279', 21, 1446215104),
(53079, 74, 5279, '', '', '7191', 20, 1446215104),
(53080, 2, 7069, 'handler_id', '178', '200', 0, 1446215275),
(53082, 2, 7192, '', '', '', 1, 1446215602),
(53083, 2, 7192, 'handler_id', '0', '199', 0, 1446215602),
(53084, 2, 6968, 'status', '50', '80', 0, 1446215912),
(53085, 2, 6968, 'resolution', '10', '20', 0, 1446215912),
(53086, 2, 6968, 'CodevTT_RAF', '0.5', '0', 0, 1446215912),
(53087, 2, 5730, 'status', '50', '80', 0, 1446216511),
(53088, 2, 5730, 'resolution', '10', '20', 0, 1446216511),
(53089, 2, 5730, 'handler_id', '93', '117', 0, 1446216511),
(53090, 2, 5730, 'CodevTT_RAF', '1', '0', 0, 1446216511),
(53092, 2, 3686, 'CodevTT_RAF', '2', '0.5', 0, 1446216810),
(53093, 2, 6273, 'status', '40', '80', 0, 1446216850),
(53094, 2, 6273, 'resolution', '10', '20', 0, 1446216850),
(53095, 2, 6273, 'CodevTT_RAF', '1', '0', 0, 1446216850),
(53096, 2, 6275, 'CodevTT_Dead Line', '1446159600', '', 0, 1446216915),
(53097, 2, 6927, 'status', '10', '80', 0, 1446216970),
(53098, 2, 6927, 'resolution', '10', '20', 0, 1446216970),
(53099, 2, 6927, 'CodevTT_RAF', '', '0', 0, 1446216970),
(53100, 2, 5711, '', '2500', '6153', 18, 1446217024),
(53101, 2, 6153, '', '2501', '5711', 18, 1446217024),
(53106, 2, 3912, 'handler_id', '114', '157', 0, 1446217269),
(53107, 2, 3912, 'status', '80', '30', 0, 1446217269),
(53108, 2, 3912, 'resolution', '20', '30', 0, 1446217269),
(53110, 2, 3912, 'target_version', '14.2.0', '16.0.0', 0, 1446217288),
(53111, 2, 3912, 'CodevTT_RAF', '0', '2', 0, 1446217334),
(53112, 2, 4874, 'handler_id', '0', '117', 0, 1446217416),
(53113, 2, 4873, 'handler_id', '0', '117', 0, 1446217416),
(53114, 2, 6129, '', '0000913', '', 2, 1446217758),
(53115, 2, 6129, 'status', '50', '80', 0, 1446217758),
(53116, 2, 6129, 'resolution', '10', '20', 0, 1446217758),
(53117, 2, 6129, 'CodevTT_RAF', '8', '0', 0, 1446217758),
(53118, 2, 7005, '', '1', '7192', 18, 1446217816),
(53119, 2, 7192, '', '1', '7005', 18, 1446217816),
(53120, 2, 7005, 'status', '50', '80', 0, 1446217837),
(53121, 2, 7005, 'resolution', '10', '60', 0, 1446217837),
(53122, 2, 7005, 'CodevTT_RAF', '4.5', '0', 0, 1446217837),
(53123, 2, 7193, '', '', '', 1, 1446217988),
(53124, 2, 7193, 'handler_id', '0', '116', 0, 1446217999),
(53125, 2, 7193, 'severity', '50', '80', 0, 1446218037),
(53126, 2, 7193, 'CodevTT_Dead Line', '', '1446418800', 0, 1446218071),
(53127, 2, 5434, 'status', '50', '80', 0, 1446218260),
(53128, 2, 5434, 'resolution', '10', '20', 0, 1446218260),
(53129, 2, 5434, 'CodevTT_RAF', '1', '0', 0, 1446218260),
(53130, 2, 7068, 'CodevTT_RAF', '', '2', 0, 1446218751),
(53131, 2, 7068, 'Ref. Externe', '41452', '41542', 0, 1446218798),
(53132, 2, 7068, 'CodevTT_RAF', '2', '', 0, 1446218798),
(53141, 2, 7192, 'CodevTT_ChargeInit', '2', '7', 0, 1446219182),
(53150, 72, 7021, 'CodevTT_RAF', '0.5', '0', 0, 1446219411),
(53151, 72, 7021, 'status', '50', '80', 0, 1446219411),
(53163, 72, 7194, '', '', '', 1, 1446219834),
(53164, 72, 7194, 'handler_id', '0', '199', 0, 1446219834),
(53169, 72, 7195, '', '', '', 1, 1446219919),
(53170, 72, 7195, 'handler_id', '0', '199', 0, 1446219919),
(53171, 72, 7195, '', '', '7194', 21, 1446219919),
(53172, 72, 7194, '', '', '7195', 20, 1446219919),
(53179, 72, 4299, 'handler_id', '73', '0', 0, 1446220081),
(89304, 72, 4299, 'category', 'General', '3en1', 0, 1463575557),
(53189, 72, 4335, 'handler_id', '146', '0', 0, 1446220228),
(53190, 72, 4334, 'handler_id', '73', '0', 0, 1446220235),
(53321, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1446453866),
(53322, 158, 4843, 'CodevTT_RAF', '0', '0', 0, 1446453908),
(53323, 158, 4843, 'CodevTT_RAF', '0', '2', 0, 1446453967),
(53324, 158, 4843, 'CodevTT_RAF', '2', '2', 0, 1446454004),
(53325, 93, 7242, '', '', '', 1, 1446456445),
(53326, 93, 7242, 'handler_id', '0', '93', 0, 1446456445),
(53327, 93, 7242, 'CodevTT_RAF', '', '0', 0, 1446456482),
(53328, 93, 7242, 'CodevTT_RAF', '0', '0', 0, 1446456482),
(53329, 93, 7242, 'status', '10', '80', 0, 1446456482),
(53333, 93, 7243, '', '', '', 1, 1446457591),
(53334, 93, 7243, 'handler_id', '0', '158', 0, 1446457591),
(53335, 93, 6617, 'CodevTT_RAF', '3', '0.50', 0, 1446457707),
(53423, 158, 7243, 'CodevTT_RAF', '', '1.5', 0, 1446466373),
(53424, 158, 7243, 'status', '10', '50', 0, 1446466373),
(53425, 158, 7243, 'CodevTT_RAF', '1.5', '1.5', 0, 1446466403),
(53426, 158, 7243, 'CodevTT_RAF', '1.5', '1.5', 0, 1446466421),
(53478, 116, 7193, 'CodevTT_RAF', '', '1', 0, 1446480248),
(53479, 116, 7193, 'status', '10', '50', 0, 1446480248),
(53489, 93, 7242, 'CodevTT_RAF', '0', '0', 0, 1446482220),
(53555, 2, 7278, '', '', '', 1, 1446557515),
(53556, 2, 7278, 'CodevTT_RAF', '', '0.5', 0, 1446557555),
(53557, 2, 7278, 'status', '10', '50', 0, 1446557555),
(53558, 2, 7278, 'CodevTT_RAF', '0.5', '0.5', 0, 1446557568),
(53559, 2, 7278, 'handler_id', '0', '2', 0, 1446557568),
(53560, 2, 7278, 'CodevTT_RAF', '0.5', '0', 0, 1446557597),
(53561, 2, 7278, 'CodevTT_RAF', '0', '0', 0, 1446557597),
(53562, 2, 7278, 'status', '50', '80', 0, 1446557597);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(53633, 178, 7115, 'CodevTT_RAF', '1', '0', 0, 1446561177),
(53634, 178, 7115, 'CodevTT_RAF', '0', '0', 0, 1446561177),
(53635, 178, 7115, 'status', '50', '80', 0, 1446561177),
(53640, 178, 7113, 'CodevTT_RAF', '1', '0', 0, 1446561211),
(53641, 178, 7113, 'CodevTT_RAF', '0', '0', 0, 1446561211),
(53642, 178, 7113, 'status', '50', '80', 0, 1446561211),
(53648, 178, 7118, 'CodevTT_RAF', '', '1', 0, 1446561260),
(53649, 178, 7118, 'status', '10', '50', 0, 1446561260),
(53652, 178, 7118, 'CodevTT_RAF', '1', '1', 0, 1446561279),
(53655, 178, 7118, 'CodevTT_RAF', '1', '0', 0, 1446561296),
(53656, 178, 7118, 'CodevTT_RAF', '0', '0', 0, 1446561296),
(53657, 178, 7118, 'status', '50', '80', 0, 1446561296),
(53692, 116, 7071, 'CodevTT_RAF', '', '1', 0, 1446563604),
(53693, 116, 7071, 'status', '10', '50', 0, 1446563604),
(53702, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1446566616),
(53703, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1446566645),
(53704, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1446566674),
(53705, 164, 4348, 'CodevTT_RAF', '0', '0', 0, 1446566724),
(65591, 72, 8454, 'handler_id', '0', '200', 0, 1453304100),
(65590, 72, 8454, '', '', '', 1, 1453304100),
(53769, 134, 6930, 'CodevTT_RAF', '2', '3', 0, 1446623924),
(53770, 134, 6930, 'CodevTT_RAF', '3', '2.5', 0, 1446623947),
(53771, 134, 6931, 'CodevTT_RAF', '', '0.1', 0, 1446624103),
(53772, 134, 6931, 'status', '10', '30', 0, 1446624103),
(53773, 134, 6931, 'CodevTT_RAF', '0.1', '0.1', 0, 1446624125),
(53774, 134, 6930, 'CodevTT_RAF', '2.5', '2.2', 0, 1446624364),
(53775, 72, 6617, 'status', '30', '50', 0, 1446624462),
(53776, 72, 6617, 'handler_id', '134', '199', 0, 1446624491),
(69472, 72, 8839, '', '2500', '8838', 18, 1454947388),
(69471, 72, 8838, '', '2501', '8839', 18, 1454947388),
(69470, 72, 8838, '', '', '8839', 20, 1454947388),
(53926, 147, 6742, 'CodevTT_RAF', '1', '1', 0, 1446646639),
(53927, 147, 6743, 'CodevTT_RAF', '', '2', 0, 1446646718),
(53928, 147, 6743, 'status', '10', '50', 0, 1446646718),
(53929, 147, 6743, 'CodevTT_RAF', '2', '2', 0, 1446646746),
(53930, 147, 6743, 'CodevTT_RAF', '2', '1', 0, 1446646781),
(54116, 116, 7071, 'CodevTT_RAF', '1', '0.6', 0, 1446652063),
(54120, 116, 7068, 'CodevTT_RAF', '', '1.5', 0, 1446652102),
(54121, 116, 7068, 'status', '10', '50', 0, 1446652102),
(54122, 72, 7243, 'CodevTT_Dead Line', '1446159600', '1447974000', 0, 1446652214),
(54123, 72, 7243, 'handler_id', '158', '199', 0, 1446652214),
(54124, 72, 7243, '', '1394', '', 7, 1446652214),
(54125, 72, 7192, 'handler_id', '199', '2', 0, 1446652525),
(54126, 72, 7192, 'CodevTT_Dead Line', '1447023600', '1447801200', 0, 1446652576),
(54127, 72, 7192, 'summary', '41640 - SOCLE - DSI-2014-REV-Intégration directe du FC30A dans TAIGA-Prise en compte des contrôle de données SCR', '41640 - [DEV] SOCLE - DSI-2014-REV-Intégration directe du FC30A dans TAIGA-Prise en compte des contrôle de données SCR', 0, 1446652576),
(54131, 72, 7369, '', '', '', 1, 1446652661),
(54132, 72, 7369, 'handler_id', '0', '93', 0, 1446652661),
(54133, 72, 7369, '', '', '7192', 21, 1446652661),
(54134, 72, 7192, '', '', '7369', 20, 1446652661),
(54135, 72, 7192, '', '2500', '7369', 18, 1446652661),
(54136, 72, 7369, '', '2501', '7192', 18, 1446652661),
(54137, 72, 7192, 'CodevTT_ChargeMgr', '0', '7', 0, 1446652729),
(54138, 72, 7192, 'CodevTT_ChargeInit', '7', '4', 0, 1446652729),
(54139, 72, 7192, 'CodevTT_Dead Line', '1447801200', '', 0, 1446652729),
(54140, 72, 7192, 'target_version', '15.1.0_AFFI', '15.1.0_Jan', 0, 1446652924),
(54159, 72, 6929, 'CodevTT_RAF', '1', '0', 0, 1446654689),
(54160, 72, 6929, 'status', '30', '80', 0, 1446654689),
(54269, 134, 6930, 'CodevTT_RAF', '2.2', '1', 0, 1446658068),
(54276, 134, 6930, 'CodevTT_RAF', '1', '1', 0, 1446658125),
(54289, 134, 6930, 'CodevTT_RAF', '1', '1', 0, 1446658186),
(54303, 134, 6616, 'CodevTT_RAF', '0', '0', 0, 1446658265),
(54309, 134, 6930, 'CodevTT_RAF', '1', '1', 0, 1446658309),
(54411, 72, 7377, '', '', '', 1, 1446711126),
(54412, 72, 7377, 'handler_id', '0', '134', 0, 1446711126),
(54413, 72, 7377, '', '', '7070', 21, 1446711126),
(54414, 72, 7070, '', '', '7377', 20, 1446711126),
(54415, 72, 7377, 'handler_id', '134', '74', 0, 1446711149),
(54416, 72, 7378, '', '', '', 1, 1446711276),
(54417, 72, 7378, 'handler_id', '0', '74', 0, 1446711276),
(54418, 72, 7378, '', '', '7377', 21, 1446711276),
(54419, 72, 7377, '', '', '7378', 20, 1446711276),
(54420, 72, 7378, 'handler_id', '74', '158', 0, 1446711312),
(54421, 72, 7378, '', '2500', '7369', 18, 1446711331),
(54422, 72, 7369, '', '2501', '7378', 18, 1446711331),
(54424, 72, 7379, '', '', '', 1, 1446711565),
(54425, 72, 7379, '', '', '7378', 21, 1446711565),
(54426, 72, 7378, '', '', '7379', 20, 1446711565),
(54427, 72, 7377, 'target_version', '', '16.0.0', 0, 1446711606),
(54428, 72, 7380, '', '', '', 1, 1446711676),
(54429, 72, 7380, '', '', '7379', 21, 1446711676),
(54430, 72, 7379, '', '', '7380', 20, 1446711676),
(54431, 72, 7380, '', '2500', '7070', 18, 1446711713),
(54432, 72, 7070, '', '2501', '7380', 18, 1446711713),
(54433, 72, 7379, '', '2500', '7070', 18, 1446711792),
(54434, 72, 7070, '', '2501', '7379', 18, 1446711792),
(54435, 72, 7377, '', '2500', '7070', 18, 1446711832),
(54436, 72, 7070, '', '2501', '7377', 18, 1446711832),
(54437, 72, 7378, '', '2500', '7369', 19, 1446711856),
(54438, 72, 7369, '', '2501', '7378', 19, 1446711856),
(54439, 72, 7378, '', '2500', '7070', 18, 1446711871),
(54440, 72, 7070, '', '2501', '7378', 18, 1446711871),
(54441, 72, 7381, '', '', '', 1, 1446712031),
(54442, 72, 7381, '', '', '7378', 21, 1446712031),
(54443, 72, 7378, '', '', '7381', 20, 1446712031),
(54447, 72, 7381, '', '2500', '7070', 18, 1446712062),
(54448, 72, 7070, '', '2501', '7381', 18, 1446712062),
(55450, 199, 5405, 'CodevTT_RAF', '0.5', '0.5', 0, 1447401334),
(55449, 199, 5405, 'CodevTT_RAF', '5.7', '0.5', 0, 1447401190),
(54452, 72, 7381, '', '', '7382', 20, 1446712121),
(55448, 74, 7191, 'CodevTT_RAF', '10', '10', 0, 1447401092),
(54454, 72, 7070, '', '2501', '7382', 18, 1446712141),
(54467, 147, 6744, 'CodevTT_RAF', '', '1', 0, 1446712394),
(54468, 147, 6744, 'status', '10', '50', 0, 1446712394),
(54525, 169, 5416, 'CodevTT_RAF', '0.1', '0', 0, 1446717576),
(54526, 169, 5416, 'CodevTT_RAF', '0', '0', 0, 1446717576),
(54527, 169, 5416, 'status', '50', '80', 0, 1446717576),
(54558, 157, 7067, 'CodevTT_RAF', '', '1', 0, 1446724809),
(54559, 157, 7067, 'status', '10', '50', 0, 1446724809),
(54560, 157, 7067, 'CodevTT_RAF', '1', '0.5', 0, 1446724829),
(54729, 157, 7391, '', '', '', 1, 1446791394),
(54730, 157, 7391, 'handler_id', '0', '157', 0, 1446791394),
(54731, 157, 7392, '', '', '', 1, 1446791582),
(54732, 157, 7392, 'handler_id', '0', '157', 0, 1446791582),
(54733, 157, 7392, '', '', '7391', 21, 1446791582),
(54734, 157, 7391, '', '', '7392', 20, 1446791582),
(54735, 157, 7393, '', '', '', 1, 1446791636),
(54736, 157, 7393, 'handler_id', '0', '157', 0, 1446791636),
(54737, 157, 7393, '', '', '7392', 21, 1446791636),
(54738, 157, 7392, '', '', '7393', 20, 1446791636),
(54739, 157, 7394, '', '', '', 1, 1446791699),
(54740, 157, 7394, 'handler_id', '0', '157', 0, 1446791699),
(54741, 157, 7394, '', '', '7393', 21, 1446791699),
(54742, 157, 7393, '', '', '7394', 20, 1446791699),
(54743, 157, 7394, 'CodevTT_RAF', '', '1.5', 0, 1446791809),
(54744, 157, 7394, 'status', '10', '50', 0, 1446791809),
(54745, 157, 7394, 'CodevTT_RAF', '1.5', '1', 0, 1446791828),
(54746, 157, 7392, 'CodevTT_RAF', '', '1.5', 0, 1446791864),
(54747, 157, 7392, 'status', '10', '50', 0, 1446791864),
(54748, 157, 7393, 'CodevTT_RAF', '', '1.5', 0, 1446791902),
(54749, 157, 7393, 'status', '10', '50', 0, 1446791902),
(54750, 157, 7393, 'CodevTT_RAF', '1.5', '1.5', 0, 1446791947),
(54751, 157, 7391, 'CodevTT_RAF', '', '1.5', 0, 1446792052),
(54752, 157, 7391, 'status', '10', '50', 0, 1446792052),
(54753, 157, 7391, 'CodevTT_RAF', '1.5', '1', 0, 1446792087),
(54754, 157, 7392, 'CodevTT_RAF', '1.5', '1.5', 0, 1446792122),
(54755, 157, 7395, '', '', '', 1, 1446794515),
(54756, 157, 7395, 'handler_id', '0', '157', 0, 1446794515),
(54757, 157, 7395, '', '', '7392', 21, 1446794515),
(54758, 157, 7392, '', '', '7395', 20, 1446794515),
(54759, 157, 7395, 'CodevTT_RAF', '', '1.5', 0, 1446794595),
(54760, 157, 7395, 'status', '10', '50', 0, 1446794595),
(54761, 157, 7395, 'CodevTT_RAF', '1.5', '1.5', 0, 1446794617),
(54762, 74, 7191, 'CodevTT_RAF', '', '10', 0, 1446797009),
(54763, 74, 7191, 'status', '10', '50', 0, 1446797009),
(54766, 74, 7191, 'CodevTT_RAF', '10', '10', 0, 1446797421),
(54874, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1446814712),
(54876, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1446814768),
(54877, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1446814786),
(54879, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1446814812),
(54880, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1446814827),
(54882, 147, 6744, 'CodevTT_RAF', '1', '2', 0, 1446814885),
(54907, 93, 7369, 'CodevTT_RAF', '', '4', 0, 1446816660),
(54908, 93, 7369, 'status', '10', '50', 0, 1446816660),
(54909, 93, 7369, 'CodevTT_RAF', '4', '3.75', 0, 1446816676),
(54931, 93, 7369, 'CodevTT_RAF', '3.75', '3.15', 0, 1446817725),
(54948, 93, 7369, 'CodevTT_RAF', '3.15', '2.65', 0, 1446817957),
(55133, 72, 7406, '', '', '', 1, 1446829915),
(55134, 72, 7406, 'handler_id', '0', '146', 0, 1446829915),
(55135, 146, 7406, 'CodevTT_RAF', '', '2', 0, 1446830105),
(55136, 146, 7406, 'status', '10', '50', 0, 1446830105),
(55137, 146, 7406, 'CodevTT_RAF', '2', '2', 0, 1446830149),
(55138, 146, 7406, 'CodevTT_RAF', '2', '2', 0, 1446830171),
(55139, 72, 7407, '', '', '', 1, 1446830253),
(55140, 72, 7407, 'handler_id', '0', '146', 0, 1446830253),
(55141, 72, 7407, '', '', '7406', 21, 1446830253),
(55142, 72, 7406, '', '', '7407', 20, 1446830253),
(55143, 72, 7408, '', '', '', 1, 1446830347),
(55144, 72, 7408, 'handler_id', '0', '146', 0, 1446830347),
(55145, 72, 7408, '', '', '7406', 21, 1446830347),
(55146, 72, 7406, '', '', '7408', 20, 1446830347),
(55147, 72, 7409, '', '', '', 1, 1446830427),
(55148, 72, 7409, 'handler_id', '0', '146', 0, 1446830427),
(55149, 72, 7409, '', '', '7408', 21, 1446830427),
(55150, 72, 7408, '', '', '7409', 20, 1446830427),
(55151, 146, 7407, 'CodevTT_RAF', '', '2', 0, 1446830479),
(55152, 146, 7407, 'status', '10', '50', 0, 1446830479),
(55153, 72, 7406, 'Ref. Externe', '', 'GAC 3479', 0, 1446830480),
(55154, 146, 7408, 'CodevTT_RAF', '', '0', 0, 1446830528),
(55155, 146, 7408, 'CodevTT_RAF', '0', '0', 0, 1446830528),
(55156, 146, 7408, 'status', '10', '80', 0, 1446830528),
(55157, 72, 7407, 'Ref. Externe', '', 'GAC 3486', 0, 1446830547),
(55158, 146, 7409, 'CodevTT_RAF', '', '0', 0, 1446830560),
(55159, 146, 7409, 'CodevTT_RAF', '0', '0', 0, 1446830560),
(55160, 146, 7409, 'status', '10', '80', 0, 1446830560),
(55200, 72, 7243, 'Ref. Externe', '40641', '41643', 0, 1447062463),
(55239, 72, 7418, '', '', '', 1, 1447082036),
(55240, 72, 7418, 'handler_id', '0', '72', 0, 1447082036),
(55241, 72, 7418, 'CodevTT_RAF', '', '0', 0, 1447082088),
(55242, 72, 7418, 'CodevTT_RAF', '0', '0', 0, 1447082088),
(55243, 72, 7418, 'status', '10', '80', 0, 1447082088),
(55244, 72, 7419, '', '', '', 1, 1447082318),
(55245, 72, 7419, 'handler_id', '0', '2', 0, 1447082318),
(55246, 72, 7420, '', '', '', 1, 1447082404),
(55247, 72, 7420, 'handler_id', '0', '169', 0, 1447082404),
(55248, 72, 7420, '', '', '7419', 21, 1447082404),
(55249, 72, 7419, '', '', '7420', 20, 1447082404),
(55250, 72, 7419, '', '2501', '7420', 18, 1447082404),
(55251, 72, 7420, '', '2500', '7419', 18, 1447082404),
(55252, 72, 7421, '', '', '', 1, 1447082606),
(55253, 72, 7421, 'handler_id', '0', '157', 0, 1447082606),
(55254, 72, 7422, '', '', '', 1, 1447082664),
(55255, 72, 7422, 'handler_id', '0', '157', 0, 1447082664),
(55256, 72, 7422, '', '', '7421', 21, 1447082664),
(55257, 72, 7421, '', '', '7422', 20, 1447082664),
(55258, 72, 7421, '', '2501', '7422', 18, 1447082664),
(55259, 72, 7422, '', '2500', '7421', 18, 1447082664),
(55260, 72, 7423, '', '', '', 1, 1447082884),
(55261, 72, 7423, 'handler_id', '0', '157', 0, 1447082884),
(55262, 72, 7423, '', '', '7422', 21, 1447082884),
(55263, 72, 7422, '', '', '7423', 20, 1447082884),
(55264, 72, 7422, '', '2501', '7423', 18, 1447082884),
(55265, 72, 7423, '', '2500', '7422', 18, 1447082884),
(55266, 72, 7421, '', '2501', '7422', 19, 1447082909),
(55267, 72, 7422, '', '2500', '7421', 19, 1447082909),
(55268, 72, 7421, '', '2501', '7423', 18, 1447082990),
(55269, 72, 7423, '', '2500', '7421', 18, 1447082990),
(55270, 116, 7068, 'CodevTT_RAF', '1.5', '0', 0, 1447084212),
(55271, 116, 7068, 'CodevTT_RAF', '0', '0', 0, 1447084212),
(55272, 116, 7068, 'status', '50', '80', 0, 1447084212),
(55273, 116, 6198, 'CodevTT_RAF', '2', '1.5', 0, 1447084229),
(55281, 169, 7424, '', '', '', 1, 1447088519),
(55282, 169, 7278, 'CodevTT_RAF', '0', '0', 0, 1447088686),
(55283, 169, 7111, 'CodevTT_RAF', '2', '1', 0, 1447088735),
(55284, 169, 7111, 'CodevTT_RAF', '1', '1', 0, 1447088763),
(55285, 169, 7424, 'CodevTT_RAF', '', '4', 0, 1447088805),
(55286, 169, 7424, 'status', '10', '50', 0, 1447088805),
(55287, 169, 7424, 'handler_id', '0', '169', 0, 1447088805),
(55288, 169, 7424, 'CodevTT_RAF', '4', '3', 0, 1447088825),
(55289, 169, 7424, 'CodevTT_RAF', '3', '2', 0, 1447088843),
(55290, 169, 7424, 'CodevTT_RAF', '2', '1', 0, 1447088906),
(55291, 2, 6725, 'Ref. Externe', '--', '', 0, 1447090177),
(55292, 2, 6725, 'Ref. Externe', '', ' ', 0, 1447090213),
(55293, 2, 7420, 'CodevTT_RAF', '', '3', 0, 1447111642),
(55294, 2, 7420, 'status', '10', '50', 0, 1447111642),
(55295, 157, 7423, 'CodevTT_RAF', '', '1', 0, 1447136413),
(55296, 157, 7423, 'status', '10', '50', 0, 1447136413),
(55311, 93, 7369, 'CodevTT_RAF', '2.65', '1.65', 0, 1447143681),
(55316, 158, 4843, 'CodevTT_RAF', '2', '0', 0, 1447149466),
(55317, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1447150222),
(55318, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1447150283),
(55319, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1447150302),
(55320, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1447150320),
(55321, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1447150353),
(55322, 117, 6275, 'CodevTT_RAF', '', '1', 0, 1447152356),
(55323, 117, 6275, 'status', '10', '50', 0, 1447152356),
(55324, 117, 6275, 'CodevTT_RAF', '1', '1', 0, 1447152377),
(55325, 117, 4330, 'CodevTT_RAF', '1', '1.5', 0, 1447152414),
(55329, 158, 6949, 'CodevTT_RAF', '5', '4', 0, 1447168165),
(55332, 158, 6949, 'CodevTT_RAF', '4', '4', 0, 1447168979),
(55333, 158, 6949, 'CodevTT_RAF', '4', '4', 0, 1447169006),
(55334, 158, 4843, 'CodevTT_RAF', '0', '0', 0, 1447169134),
(55335, 158, 6949, 'CodevTT_RAF', '4', '3', 0, 1447169237),
(55336, 199, 7243, 'CodevTT_RAF', '1.5', '0', 0, 1447169803),
(55337, 199, 7243, 'CodevTT_RAF', '0', '0', 0, 1447169803),
(55338, 199, 7243, 'status', '50', '80', 0, 1447169803),
(55339, 199, 7243, 'CodevTT_RAF', '0', '0', 0, 1447169847),
(55340, 199, 7243, 'CodevTT_RAF', '0', '0', 0, 1447169871),
(55341, 158, 6949, 'CodevTT_RAF', '3', '3', 0, 1447169910),
(55342, 199, 5405, 'CodevTT_RAF', '1', '6.9', 0, 1447169967),
(55343, 199, 5405, 'CodevTT_RAF', '6.9', '6.4', 0, 1447169999),
(55344, 199, 5405, 'CodevTT_RAF', '6.4', '6.3', 0, 1447170020),
(55345, 158, 7243, 'CodevTT_RAF', '0', '0', 0, 1447170063),
(55346, 158, 7243, 'CodevTT_RAF', '0', '0', 0, 1447170080),
(55347, 199, 5405, 'CodevTT_RAF', '6.3', '6', 0, 1447170084),
(55348, 199, 5405, 'CodevTT_RAF', '6', '5.7', 0, 1447170104),
(55349, 158, 6949, 'CodevTT_RAF', '3', '3', 0, 1447170106),
(55350, 199, 5406, 'CodevTT_RAF', '3', '0', 0, 1447170780),
(55351, 199, 5406, 'CodevTT_RAF', '0', '0', 0, 1447170780),
(55352, 199, 5406, 'status', '50', '80', 0, 1447170780),
(55353, 199, 5406, 'CodevTT_RAF', '0', '0', 0, 1447170857),
(55354, 199, 5406, 'CodevTT_RAF', '0', '0.2', 0, 1447171063),
(55355, 199, 5406, 'status', '80', '50', 0, 1447171063),
(55365, 2, 7420, 'CodevTT_RAF', '3', '1', 0, 1447202268),
(55366, 2, 5354, 'CodevTT_RAF', '0', '0', 0, 1447202415),
(55367, 2, 7424, 'CodevTT_RAF', '1', '1', 0, 1447202499),
(55368, 2, 7425, '', '', '', 1, 1447202599),
(55369, 2, 7425, 'handler_id', '0', '2', 0, 1447202599),
(55370, 2, 7425, 'CodevTT_RAF', '', '1', 0, 1447202641),
(55371, 2, 7425, 'status', '10', '50', 0, 1447202641),
(55372, 2, 7111, 'CodevTT_RAF', '1', '0', 0, 1447202737),
(55373, 2, 7111, 'CodevTT_RAF', '0', '0', 0, 1447202737),
(55374, 2, 7111, 'status', '50', '80', 0, 1447202737),
(55375, 2, 7112, 'CodevTT_RAF', '1', '1', 0, 1447202837),
(55376, 2, 7425, 'Ref. Externe', '', '41590', 0, 1447203200),
(55383, 93, 7369, 'CodevTT_RAF', '1.65', '0.3', 0, 1447314284),
(55384, 147, 6744, 'CodevTT_RAF', '2', '1', 0, 1447317395),
(55385, 147, 6745, 'CodevTT_RAF', '1', '0.5', 0, 1447317442),
(55386, 147, 6744, 'CodevTT_RAF', '1', '1', 0, 1447317552),
(55387, 158, 5457, 'CodevTT_RAF', '2', '2', 0, 1447318354),
(55393, 93, 7369, 'CodevTT_RAF', '0.3', '0.5', 0, 1447321122),
(55410, 72, 7427, '', '', '', 1, 1447342761),
(55411, 72, 7427, 'handler_id', '0', '199', 0, 1447342761),
(55414, 72, 7428, '', '', '', 1, 1447343223),
(55415, 72, 7428, 'handler_id', '0', '157', 0, 1447343223),
(55416, 72, 7429, '', '', '', 1, 1447343283),
(55417, 72, 7429, 'handler_id', '0', '157', 0, 1447343283),
(55418, 72, 7429, '', '', '7428', 21, 1447343283),
(55419, 72, 7428, '', '', '7429', 20, 1447343283),
(55420, 72, 7428, '', '2501', '7429', 18, 1447343283),
(55421, 72, 7429, '', '2500', '7428', 18, 1447343283),
(55422, 72, 7430, '', '', '', 1, 1447344246),
(55423, 72, 7430, 'handler_id', '0', '157', 0, 1447344246),
(55442, 157, 7394, 'CodevTT_RAF', '1', '1', 0, 1447395630),
(55443, 157, 7423, 'CodevTT_RAF', '1', '1', 0, 1447395667),
(55444, 157, 7423, 'CodevTT_RAF', '1', '1', 0, 1447395687),
(55447, 74, 7191, 'CodevTT_RAF', '10', '10', 0, 1447401075),
(55457, 74, 7191, 'CodevTT_RAF', '10', '10', 0, 1447401607),
(55458, 74, 7191, 'CodevTT_RAF', '10', '10', 0, 1447401619),
(55459, 74, 7191, 'CodevTT_RAF', '10', '10', 0, 1447401631),
(55460, 74, 6275, 'CodevTT_RAF', '1', '0.25', 0, 1447401861),
(55461, 147, 6745, 'CodevTT_RAF', '0.5', '0', 0, 1447402216),
(55462, 147, 6745, 'CodevTT_RAF', '0', '0', 0, 1447402216),
(55463, 147, 6745, 'status', '50', '80', 0, 1447402216),
(55464, 147, 6745, 'CodevTT_RAF', '0', '0', 0, 1447402288),
(55465, 147, 6745, 'CodevTT_RAF', '0', '0', 0, 1447402308),
(55466, 72, 6744, 'status', '50', '80', 0, 1447402480),
(55467, 72, 6744, 'resolution', '10', '20', 0, 1447402480),
(55468, 72, 6744, 'CodevTT_RAF', '1', '0', 0, 1447402480),
(55471, 72, 3893, 'CodevTT_RAF', '2', '0', 0, 1447402818),
(55472, 72, 3893, 'status', '50', '80', 0, 1447402818),
(55473, 178, 6749, 'CodevTT_RAF', '', '4', 0, 1447402853),
(55474, 178, 6749, 'status', '10', '50', 0, 1447402853),
(55475, 72, 5713, 'CodevTT_RAF', '0.5', '0', 0, 1447402859),
(55476, 72, 5713, 'status', '50', '80', 0, 1447402859),
(55477, 178, 6749, 'CodevTT_RAF', '4', '3', 0, 1447402864),
(55478, 72, 7392, 'CodevTT_RAF', '1.5', '0', 0, 1447402890),
(55479, 72, 7392, 'status', '50', '80', 0, 1447402890),
(55480, 72, 7393, 'CodevTT_RAF', '1.5', '0', 0, 1447402915),
(55481, 72, 7393, 'status', '50', '80', 0, 1447402915),
(55482, 178, 4909, 'CodevTT_RAF', '1', '1', 0, 1447402932),
(55483, 72, 7067, 'CodevTT_RAF', '0.5', '0', 0, 1447402938),
(55484, 72, 7067, 'status', '50', '80', 0, 1447402938),
(55485, 178, 4909, 'CodevTT_RAF', '1', '1', 0, 1447402965),
(55486, 72, 7421, 'CodevTT_RAF', '', '0', 0, 1447402973),
(55487, 72, 7421, 'status', '10', '80', 0, 1447402973),
(55488, 72, 6723, 'handler_id', '157', '0', 0, 1447403001),
(55489, 72, 6723, 'status', '10', '20', 0, 1447403001),
(55490, 178, 6749, 'CodevTT_RAF', '3', '2', 0, 1447403011),
(55491, 72, 6636, 'handler_id', '157', '0', 0, 1447403029),
(55492, 72, 6636, 'status', '50', '20', 0, 1447403029),
(55493, 178, 7117, 'CodevTT_RAF', '', '2', 0, 1447403192),
(55494, 178, 7117, 'status', '10', '50', 0, 1447403192),
(55495, 178, 7117, 'CodevTT_RAF', '2', '1', 0, 1447403208),
(55496, 178, 7117, 'CodevTT_RAF', '1', '1', 0, 1447403224),
(55497, 72, 4273, 'handler_id', '73', '0', 0, 1447403271),
(55498, 178, 6725, 'CodevTT_RAF', '5', '4', 0, 1447403274),
(55499, 178, 6725, 'handler_id', '146', '178', 0, 1447403274),
(55500, 72, 4210, 'handler_id', '146', '0', 0, 1447403296),
(55501, 72, 7069, 'CodevTT_RAF', '', '8', 0, 1447405066),
(55502, 72, 7069, 'status', '10', '50', 0, 1447405066),
(55503, 72, 7069, 'CodevTT_RAF', '8', '7', 0, 1447405089),
(55504, 72, 7069, 'CodevTT_RAF', '7', '6', 0, 1447405108),
(55525, 72, 7380, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411024),
(55526, 72, 7379, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411024),
(55527, 72, 7377, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411024),
(55528, 72, 7378, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411024),
(55529, 72, 7381, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411024),
(55530, 72, 7070, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411024),
(55531, 72, 6656, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411114),
(55532, 72, 6662, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411114),
(55533, 72, 7195, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411167),
(55534, 72, 7194, 'target_version', '16.0.0', '15.1.0_Mars', 0, 1447411167),
(55558, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1447419976),
(55559, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1447420229),
(55728, 72, 7194, 'CodevTT_Dead Line', '', '1448838000', 0, 1447428913),
(55918, 116, 6198, 'CodevTT_RAF', '1.5', '2', 0, 1447661707),
(55949, 157, 7395, 'CodevTT_RAF', '1.5', '0', 0, 1447668098),
(55950, 157, 7395, 'CodevTT_RAF', '0', '0', 0, 1447668098),
(55951, 157, 7395, 'status', '50', '80', 0, 1447668098),
(55998, 93, 7369, 'CodevTT_RAF', '0.5', '3', 0, 1447683127),
(55999, 93, 7369, 'CodevTT_RAF', '3', '3', 0, 1447683128),
(56006, 93, 7369, 'CodevTT_RAF', '3', '2.40', 0, 1447683259),
(56017, 93, 7369, 'CodevTT_RAF', '2.40', '3.00', 0, 1447683426),
(56020, 93, 7369, 'CodevTT_RAF', '3.00', '2', 0, 1447683946),
(56035, 116, 6198, 'CodevTT_RAF', '2', '0.5', 0, 1447688024),
(56036, 2, 7486, '', '', '', 1, 1447689854),
(56037, 2, 7486, 'CodevTT_RAF', '', '1', 0, 1447689890),
(56038, 2, 7486, 'status', '10', '50', 0, 1447689890),
(56039, 2, 7486, 'handler_id', '0', '2', 0, 1447689890),
(56041, 72, 5405, 'target_version', '', '15.1.0_Mars', 0, 1447690544),
(56042, 72, 5406, 'target_version', '', '15.1.0_Mars', 0, 1447690544),
(56043, 72, 5565, 'target_version', '', '15.1.0_Mars', 0, 1447690544),
(56044, 2, 6662, 'handler_id', '199', '117', 0, 1447690786),
(56077, 134, 6616, 'CodevTT_RAF', '0', '0', 0, 1447750307),
(56078, 134, 6617, 'CodevTT_RAF', '0.50', '0', 0, 1447750372),
(56079, 134, 6617, 'CodevTT_RAF', '0', '0', 0, 1447750372),
(56080, 134, 6617, 'status', '50', '80', 0, 1447750372),
(56081, 134, 6617, 'handler_id', '199', '134', 0, 1447750372),
(56082, 134, 6930, 'CodevTT_RAF', '1', '1.5', 0, 1447751011),
(56083, 134, 6930, 'CodevTT_RAF', '1.5', '0.5', 0, 1447751055),
(56085, 134, 6931, 'CodevTT_RAF', '0.1', '0', 0, 1447752359),
(56093, 134, 5361, 'CodevTT_RAF', '0.1', '0', 0, 1447752818),
(56149, 169, 7420, 'CodevTT_RAF', '1', '0', 0, 1447766304),
(56150, 169, 7420, 'CodevTT_RAF', '0', '0', 0, 1447766304),
(56151, 169, 7420, 'status', '50', '80', 0, 1447766304),
(56152, 169, 7420, 'CodevTT_RAF', '0', '0', 0, 1447766315),
(56153, 169, 7420, 'CodevTT_RAF', '0', '0', 0, 1447766324),
(56154, 169, 7420, 'CodevTT_RAF', '0', '0', 0, 1447766332),
(56155, 169, 7420, 'CodevTT_RAF', '0', '0', 0, 1447766355),
(56287, 2, 7425, 'CodevTT_RAF', '1', '1', 0, 1447775373),
(56288, 116, 6129, 'CodevTT_RAF', '0', '2', 0, 1447775463),
(56289, 116, 6129, 'status', '80', '50', 0, 1447775463),
(56290, 116, 6198, 'CodevTT_RAF', '0.5', '2', 0, 1447775493),
(56294, 2, 7419, 'status', '10', '50', 0, 1447775617),
(56319, 2, 7495, '', '', '', 1, 1447781616),
(56320, 2, 7495, 'CodevTT_RAF', '', '0', 0, 1447781747),
(56321, 2, 7495, 'CodevTT_RAF', '0', '0', 0, 1447781747),
(56322, 2, 7495, 'status', '10', '80', 0, 1447781747),
(56323, 2, 7495, 'handler_id', '0', '2', 0, 1447781747),
(56324, 2, 7424, 'CodevTT_RAF', '1', '0', 0, 1447782008),
(56325, 2, 7424, 'CodevTT_RAF', '0', '0', 0, 1447782008),
(56326, 2, 7424, 'status', '50', '80', 0, 1447782008),
(56327, 2, 7424, 'CodevTT_RAF', '0', '0', 0, 1447782359),
(56328, 2, 7424, 'Ref. Externe', '', '41610', 0, 1447782374),
(56329, 2, 7496, '', '', '', 1, 1447782462),
(56330, 2, 7496, 'CodevTT_RAF', '', '0', 0, 1447782497),
(56331, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1447782497),
(56332, 2, 7496, 'status', '10', '80', 0, 1447782497),
(56333, 2, 7496, 'handler_id', '0', '2', 0, 1447782497),
(56334, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1447782519),
(56335, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1447782536),
(56360, 109, 3541, 'CodevTT_RAF', '1', '0', 0, 1447862811),
(56367, 2, 7419, 'handler_id', '2', '72', 0, 1447885241),
(56368, 2, 7419, 'handler_id', '72', '169', 0, 1447885249),
(56369, 157, 7430, 'CodevTT_RAF', '', '1.5', 0, 1447915932),
(56370, 157, 7430, 'status', '10', '50', 0, 1447915932),
(56371, 157, 7394, 'CodevTT_RAF', '1', '0.5', 0, 1447916016),
(56372, 157, 7430, 'CodevTT_RAF', '1.5', '0.5', 0, 1447916048),
(56373, 157, 7430, 'CodevTT_RAF', '0.5', '1', 0, 1447916069),
(56374, 157, 7394, 'CodevTT_RAF', '0.5', '0.5', 0, 1447916096),
(56375, 157, 7394, 'CodevTT_RAF', '0.5', '0.5', 0, 1447916130),
(56376, 199, 7194, 'CodevTT_RAF', '', '0', 0, 1447916420),
(56377, 199, 7194, 'CodevTT_RAF', '0', '0', 0, 1447916421),
(56378, 199, 7194, 'status', '10', '80', 0, 1447916421),
(56379, 199, 7195, 'CodevTT_RAF', '', '0', 0, 1447916490),
(56380, 199, 7195, 'CodevTT_RAF', '0', '0', 0, 1447916490),
(56381, 199, 7195, 'status', '10', '80', 0, 1447916490),
(56382, 199, 5405, 'CodevTT_RAF', '0.5', '5', 0, 1447916549),
(56383, 199, 5405, 'CodevTT_RAF', '5', '5', 0, 1447916663),
(56384, 199, 5405, 'CodevTT_RAF', '5', '6.3', 0, 1447916685),
(56444, 109, 7278, 'Ref. Externe', '', '41646', 0, 1447924189),
(56449, 109, 6569, 'Ref. Externe', '', '41001', 0, 1447925941),
(56457, 109, 6067, 'Ref. Externe', '', '41223', 0, 1447927002),
(56458, 109, 5453, 'Ref. Externe', '', '41022', 0, 1447927288),
(56459, 109, 5407, 'Ref. Externe', '', '41023', 0, 1447927381),
(56460, 109, 5345, 'Ref. Externe', '', '40917', 0, 1447927580),
(56461, 109, 4658, 'Ref. Externe', '', '40565', 0, 1447927973),
(56462, 109, 4657, 'Ref. Externe', '', '40564', 0, 1447927998),
(56463, 109, 4496, 'Ref. Externe', '', '40508', 0, 1447928055),
(56464, 109, 4260, 'Ref. Externe', '', '40285', 0, 1447928066),
(56465, 109, 4259, 'Ref. Externe', '', '40369', 0, 1447928074),
(56536, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1447948617),
(56537, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1447948626),
(56538, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1447948657),
(56539, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1447948703),
(56540, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1447948725),
(56541, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1447948753),
(56545, 146, 3479, 'CodevTT_RAF', '0', '0', 0, 1447949540),
(56552, 146, 3479, 'CodevTT_RAF', '0', '0', 0, 1447949638),
(56571, 146, 7407, 'CodevTT_RAF', '2', '0', 0, 1447949932),
(56572, 146, 7407, 'CodevTT_RAF', '0', '0', 0, 1447949932),
(56573, 146, 7407, 'status', '50', '80', 0, 1447949932),
(56574, 146, 7407, 'CodevTT_RAF', '0', '0', 0, 1447949957),
(56590, 72, 7498, '', '', '', 1, 1448002409),
(56591, 72, 7498, 'handler_id', '0', '199', 0, 1448002409),
(56592, 72, 7498, 'CodevTT_Dead Line', '', '1448406000', 0, 1448002481),
(56598, 74, 7191, 'CodevTT_RAF', '10', '2', 0, 1448005336),
(56599, 74, 7420, 'CodevTT_RAF', '0', '0.5', 0, 1448005438),
(56600, 74, 7191, 'CodevTT_RAF', '2', '2', 0, 1448005474),
(56602, 74, 7419, 'CodevTT_RAF', '', '0.5', 0, 1448005526),
(56637, 147, 6746, 'CodevTT_RAF', '', '3', 0, 1448010747),
(56638, 147, 6746, 'status', '10', '50', 0, 1448010747),
(56639, 147, 6742, 'CodevTT_RAF', '1', '1.5', 0, 1448010791),
(56640, 147, 6742, 'CodevTT_RAF', '1.5', '1', 0, 1448010816),
(56641, 147, 6743, 'CodevTT_RAF', '1', '0.5', 0, 1448010847),
(56642, 147, 6743, 'CodevTT_RAF', '0.5', '1', 0, 1448010903),
(56643, 147, 6742, 'CodevTT_RAF', '1', '0', 0, 1448010959),
(56644, 147, 6742, 'CodevTT_RAF', '0', '0', 0, 1448010959),
(56645, 147, 6742, 'status', '50', '80', 0, 1448010959),
(56646, 147, 6743, 'CodevTT_RAF', '1', '0', 0, 1448010980),
(56647, 147, 6743, 'CodevTT_RAF', '0', '0', 0, 1448010980),
(56648, 147, 6743, 'status', '50', '80', 0, 1448010980),
(56679, 169, 7420, 'CodevTT_RAF', '0.5', '1', 0, 1448015110),
(56677, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1448014513),
(56680, 169, 7420, 'CodevTT_RAF', '1', '0', 0, 1448015129),
(56681, 169, 7419, 'CodevTT_RAF', '0.5', '0', 0, 1448015175),
(56682, 169, 7419, 'CodevTT_RAF', '0', '0', 0, 1448015175),
(56683, 169, 7419, 'status', '50', '80', 0, 1448015175),
(56684, 169, 7419, 'CodevTT_RAF', '0', '0', 0, 1448015187),
(56687, 93, 7369, 'CodevTT_RAF', '2', '2', 0, 1448015665),
(56716, 93, 7369, 'CodevTT_RAF', '2', '2', 0, 1448020456),
(56717, 93, 5724, 'CodevTT_RAF', '0', '0', 0, 1448020525),
(56754, 199, 7498, 'CodevTT_RAF', '', '0.2', 0, 1448030800),
(56755, 199, 7498, 'status', '10', '50', 0, 1448030800),
(56756, 199, 7498, 'CodevTT_RAF', '0.2', '0.2', 0, 1448030819),
(56757, 199, 7498, 'CodevTT_RAF', '0.2', '0', 0, 1448030837),
(56758, 199, 7498, 'CodevTT_RAF', '0', '0', 0, 1448030837),
(56759, 199, 7498, 'status', '50', '80', 0, 1448030837),
(56760, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1448032562),
(56765, 134, 6930, 'CodevTT_RAF', '0.5', '0.3', 0, 1448035905),
(56766, 134, 6930, 'CodevTT_RAF', '0.3', '0', 0, 1448035934),
(56767, 134, 6930, 'CodevTT_RAF', '0', '0', 0, 1448035934),
(56768, 134, 6930, 'status', '30', '80', 0, 1448035934),
(56769, 134, 7070, 'CodevTT_RAF', '9.5', '4', 0, 1448035980),
(56771, 134, 7070, 'CodevTT_RAF', '4', '3', 0, 1448036003),
(56772, 134, 7070, 'CodevTT_RAF', '3', '2', 0, 1448036030),
(56773, 134, 7070, 'CodevTT_RAF', '2', '1.1', 0, 1448036061),
(56775, 72, 7430, 'CodevTT_ChargeInit', '2', '5', 0, 1448036157),
(56866, 93, 7369, 'CodevTT_RAF', '2', '2', 0, 1448041526),
(56873, 93, 7369, 'CodevTT_RAF', '2', '2', 0, 1448042222),
(56874, 93, 7369, 'CodevTT_RAF', '2', '2', 0, 1448042959),
(56930, 200, 7069, 'CodevTT_RAF', '6', '5', 0, 1448272304),
(56931, 200, 7069, 'CodevTT_RAF', '5', '4', 0, 1448272324),
(56932, 200, 7069, 'CodevTT_RAF', '4', '3', 0, 1448272335),
(56933, 200, 7069, 'CodevTT_RAF', '3', '2', 0, 1448272345),
(59550, 72, 7660, 'status', '80', '50', 0, 1449490859),
(56967, 72, 7556, '', '', '', 1, 1448282176),
(56968, 72, 7556, 'handler_id', '0', '146', 0, 1448282176),
(56969, 72, 7556, '', '', '7555', 21, 1448282177),
(56971, 72, 7557, '', '', '', 1, 1448282259),
(56972, 72, 7557, 'handler_id', '0', '146', 0, 1448282259),
(56973, 72, 7557, '', '', '7555', 21, 1448282259),
(59549, 72, 7660, 'CodevTT_RAF', '0', '2', 0, 1449490859),
(56975, 72, 7558, '', '', '', 1, 1448282348),
(56976, 72, 7558, 'handler_id', '0', '146', 0, 1448282348),
(56977, 72, 7558, '', '', '7555', 21, 1448282348),
(59548, 72, 7795, '', '', '7797', 20, 1449490721),
(59547, 72, 7797, '', '', '7795', 21, 1449490721),
(57187, 2, 7626, '', '', '', 1, 1448291997),
(57188, 116, 6198, 'CodevTT_RAF', '2', '1.7', 0, 1448292943),
(57189, 116, 6306, 'CodevTT_RAF', '0', '2', 0, 1448292989),
(57190, 116, 6306, 'status', '80', '50', 0, 1448292989),
(57191, 116, 6129, 'CodevTT_RAF', '2', '2', 0, 1448293019),
(57192, 116, 7071, 'CodevTT_RAF', '0.6', '0', 0, 1448293060),
(57193, 116, 7071, 'CodevTT_RAF', '0', '0', 0, 1448293060),
(57194, 116, 7071, 'status', '50', '80', 0, 1448293060),
(57231, 2, 7626, 'CodevTT_RAF', '', '0.5', 0, 1448323482),
(57232, 2, 7626, 'status', '10', '50', 0, 1448323482),
(57233, 2, 7626, 'handler_id', '0', '2', 0, 1448323482),
(57234, 2, 5724, 'CodevTT_RAF', '0', '0', 0, 1448323669),
(57235, 200, 7069, 'CodevTT_RAF', '2', '1', 0, 1448351176),
(57236, 200, 7069, 'CodevTT_RAF', '1', '1', 0, 1448351219),
(57258, 2, 7629, '', '', '', 1, 1448360700),
(57259, 2, 7629, 'handler_id', '0', '116', 0, 1448360700),
(57260, 2, 7630, '', '', '', 1, 1448362158),
(57261, 2, 7630, 'handler_id', '0', '169', 0, 1448362158),
(57262, 2, 7630, 'Ref. Externe', '', '41547', 0, 1448362170),
(57263, 2, 7425, 'status', '50', '80', 0, 1448370361),
(57264, 2, 7425, 'resolution', '10', '20', 0, 1448370361),
(57265, 2, 7425, 'CodevTT_RAF', '1', '0', 0, 1448370361),
(57266, 2, 7486, 'status', '50', '80', 0, 1448370404),
(57267, 2, 7486, 'resolution', '10', '20', 0, 1448370404),
(57268, 2, 7486, 'CodevTT_RAF', '1', '0', 0, 1448370404),
(57269, 2, 7626, 'status', '50', '80', 0, 1448370445),
(57270, 2, 7626, 'resolution', '10', '20', 0, 1448370445),
(57271, 2, 7626, 'CodevTT_RAF', '0.5', '0', 0, 1448370445),
(57272, 2, 7192, 'CodevTT_Dead Line', '', '1450134000', 0, 1448370719),
(57273, 134, 7070, 'CodevTT_RAF', '1.1', '1', 0, 1448372089),
(57274, 134, 7070, 'CodevTT_RAF', '1', '0.4', 0, 1448372106),
(57278, 116, 6198, 'CodevTT_RAF', '1.7', '1.6', 0, 1448379931),
(57279, 116, 6198, 'CodevTT_RAF', '1.6', '0', 0, 1448379942),
(57280, 116, 6198, 'CodevTT_RAF', '0', '0', 0, 1448379942),
(57281, 116, 6198, 'status', '50', '80', 0, 1448379942),
(57282, 158, 7193, 'CodevTT_RAF', '1', '0.5', 0, 1448381001),
(57283, 158, 7193, 'CodevTT_RAF', '0.5', '0', 0, 1448381127),
(57284, 158, 7193, 'CodevTT_RAF', '0', '0', 0, 1448381127),
(57285, 158, 7193, 'status', '50', '80', 0, 1448381127),
(57290, 158, 5457, 'CodevTT_RAF', '2', '1', 0, 1448381274),
(57291, 158, 5457, 'CodevTT_RAF', '1', '1', 0, 1448381312),
(57293, 158, 6949, 'CodevTT_RAF', '3', '4', 0, 1448381589),
(57294, 158, 6949, 'CodevTT_RAF', '4', '3', 0, 1448381618),
(57295, 158, 6949, 'CodevTT_RAF', '3', '2', 0, 1448381672),
(57296, 158, 6949, 'CodevTT_RAF', '2', '2', 0, 1448381690),
(57395, 2, 3893, 'category', 'General', '3en1', 0, 1448441825),
(57403, 2, 4288, 'category', 'General', 'Appel Prov', 0, 1448441844),
(57449, 109, 6284, 'CodevTT_RAF', '1', '0', 0, 1448443108),
(57450, 109, 6185, 'CodevTT_RAF', '1', '0', 0, 1448443158),
(57451, 109, 6141, 'CodevTT_RAF', '0.5', '0', 0, 1448443163),
(57452, 109, 2120, 'CodevTT_RAF', '1', '0', 0, 1448443186),
(57453, 109, 5412, 'CodevTT_RAF', '1', '0', 0, 1448443208),
(57454, 109, 4915, 'CodevTT_RAF', '2', '0', 0, 1448443230),
(57455, 147, 6306, 'CodevTT_RAF', '2', '2', 0, 1448443504),
(57456, 147, 6306, 'CodevTT_RAF', '2', '1.5', 0, 1448443531),
(57457, 147, 6746, 'CodevTT_RAF', '3', '2.25', 0, 1448443581),
(57458, 147, 6746, 'CodevTT_RAF', '2.25', '1.25', 0, 1448443621),
(57459, 147, 6746, 'CodevTT_RAF', '1.25', '0.5', 0, 1448443652),
(57481, 72, 7641, '', '', '', 1, 1448455592),
(57482, 72, 7641, 'handler_id', '0', '169', 0, 1448455592),
(57483, 72, 7642, '', '', '', 1, 1448455800),
(57484, 72, 7642, 'handler_id', '0', '74', 0, 1448455800),
(57485, 72, 7642, 'status', '10', '50', 0, 1448456004),
(57486, 72, 7642, 'target_version', '', '15.1.2', 0, 1448456004),
(57487, 72, 7643, '', '', '', 1, 1448456074),
(57488, 72, 7643, 'handler_id', '0', '74', 0, 1448456074),
(57489, 72, 7643, '', '', '7642', 21, 1448456074),
(57490, 72, 7642, '', '', '7643', 20, 1448456074),
(57491, 72, 7642, '', '2501', '7643', 18, 1448456074),
(57492, 72, 7643, '', '2500', '7642', 18, 1448456074),
(57506, 72, 7644, '', '', '', 1, 1448458051),
(57507, 72, 7644, 'handler_id', '0', '199', 0, 1448458051),
(57512, 72, 7378, 'handler_id', '158', '199', 0, 1448459211),
(57513, 72, 7380, 'handler_id', '0', '157', 0, 1448459265),
(57514, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1448459375),
(57515, 72, 7379, 'handler_id', '0', '134', 0, 1448459491),
(57516, 72, 7381, 'handler_id', '0', '134', 0, 1448459525),
(57532, 116, 7629, 'CodevTT_RAF', '', '1.4', 0, 1448467091),
(57533, 116, 7629, 'status', '10', '50', 0, 1448467091),
(57551, 72, 7645, '', '', '', 1, 1448467516),
(57552, 72, 7645, 'handler_id', '0', '93', 0, 1448467516),
(57641, 2, 7557, 'CodevTT_Dead Line', '', '1449702000', 0, 1448528298),
(57642, 2, 7558, 'CodevTT_Dead Line', '', '1449702000', 0, 1448528329),
(57644, 2, 6306, 'CodevTT_Dead Line', '', '1449702000', 0, 1448528668),
(57645, 93, 7369, 'CodevTT_RAF', '2', '2', 0, 1448528817),
(57646, 93, 7369, 'CodevTT_RAF', '2', '1', 0, 1448528832),
(57647, 93, 7369, 'CodevTT_RAF', '1', '0', 0, 1448528848),
(57648, 93, 7369, 'CodevTT_RAF', '0', '0', 0, 1448528848),
(57649, 93, 7369, 'status', '50', '80', 0, 1448528848),
(57650, 2, 4991, '', '0001002', '', 2, 1448529241),
(57651, 2, 4991, 'status', '50', '80', 0, 1448529241),
(57652, 2, 4991, 'CodevTT_RAF', '0.5', '0', 0, 1448529241),
(57653, 2, 6746, 'CodevTT_Dead Line', '', '1448838000', 0, 1448529298),
(57654, 2, 7133, 'status', '50', '80', 0, 1448529364),
(57655, 2, 7133, 'resolution', '10', '20', 0, 1448529364),
(57656, 2, 7133, 'CodevTT_RAF', '1', '0', 0, 1448529364),
(57657, 72, 7653, '', '', '', 1, 1448530215),
(57658, 72, 7653, 'handler_id', '0', '147', 0, 1448530215),
(57659, 72, 7653, 'target_version', '', 'GAC_1.5.4.01', 0, 1448530240),
(57660, 72, 7654, '', '', '', 1, 1448530306),
(57661, 72, 7654, 'handler_id', '0', '147', 0, 1448530306),
(57662, 72, 7654, '', '', '7653', 21, 1448530306),
(57663, 72, 7653, '', '', '7654', 20, 1448530306),
(57664, 72, 7653, '', '2500', '7654', 18, 1448530306),
(57665, 72, 7654, '', '2501', '7653', 18, 1448530306),
(57666, 72, 7654, 'handler_id', '147', '200', 0, 1448530382),
(57667, 72, 7655, '', '', '', 1, 1448530504),
(57668, 72, 7655, 'handler_id', '0', '205', 0, 1448530504),
(57669, 72, 7655, '', '', '7654', 21, 1448530504),
(57670, 72, 7654, '', '', '7655', 20, 1448530504),
(57671, 72, 7656, '', '', '', 1, 1448530612),
(57672, 72, 7656, 'handler_id', '0', '147', 0, 1448530612),
(57673, 72, 7656, '', '', '7655', 21, 1448530612),
(57674, 72, 7655, '', '', '7656', 20, 1448530612),
(57675, 72, 7655, '', '2501', '7656', 18, 1448530612),
(57676, 72, 7656, '', '2500', '7655', 18, 1448530612),
(57677, 72, 7656, 'target_version', '', 'GAC_1.5.4.01', 0, 1448530708),
(57678, 72, 7657, '', '', '', 1, 1448530928),
(57679, 72, 7657, 'handler_id', '0', '147', 0, 1448530928),
(57680, 72, 7657, '', '', '7656', 21, 1448530928),
(57681, 72, 7656, '', '', '7657', 20, 1448530928),
(61793, 72, 8074, '', '', '8075', 20, 1450453760),
(61792, 72, 8075, '', '', '8074', 21, 1450453760),
(57685, 72, 7657, '', '', '7658', 20, 1448530983),
(57686, 72, 7657, '', '2500', '7658', 18, 1448530983),
(61791, 72, 8075, 'handler_id', '0', '205', 0, 1450453760),
(57688, 72, 7659, '', '', '', 1, 1448531154),
(57689, 72, 7659, 'handler_id', '0', '205', 0, 1448531154),
(57690, 72, 7659, '', '', '7655', 21, 1448531154),
(57691, 72, 7655, '', '', '7659', 20, 1448531154),
(57693, 158, 6949, 'CodevTT_RAF', '2', '2', 0, 1448534236),
(57714, 157, 7430, 'CodevTT_RAF', '1', '0', 0, 1448541349),
(57715, 157, 7430, 'CodevTT_RAF', '0', '0', 0, 1448541349),
(57716, 157, 7430, 'status', '50', '80', 0, 1448541349),
(57717, 157, 7428, 'CodevTT_RAF', '', '3', 0, 1448541424),
(57718, 157, 7428, 'status', '10', '50', 0, 1448541424),
(57719, 157, 7430, 'CodevTT_RAF', '0', '0', 0, 1448541519),
(57720, 157, 7428, 'CodevTT_RAF', '3', '2', 0, 1448541554),
(57721, 157, 7428, 'CodevTT_RAF', '2', '1', 0, 1448541654),
(57722, 157, 7428, 'CodevTT_RAF', '1', '0', 0, 1448541671),
(57723, 157, 7428, 'CodevTT_RAF', '0', '0', 0, 1448541671),
(57724, 157, 7428, 'status', '50', '80', 0, 1448541671),
(57739, 117, 6273, 'CodevTT_RAF', '0', '0', 0, 1448544060),
(57740, 117, 6273, 'CodevTT_RAF', '0', '0', 0, 1448544081),
(57741, 117, 6656, 'CodevTT_RAF', '0', '0.25', 0, 1448544166),
(57742, 117, 6656, 'CodevTT_RAF', '0.25', '0.2', 0, 1448544192),
(57744, 117, 6656, 'CodevTT_RAF', '0.2', '0.2', 0, 1448545021),
(57745, 2, 7425, 'summary', '41590', '41590 - Appel PROV 2016 - Echéancier 2016: base cotisation', 0, 1448545684),
(57773, 2, 7630, 'target_version', '', '15.1.0_Mars', 0, 1448550949),
(57774, 2, 7641, 'target_version', '', '15.1.0_Mars', 0, 1448550981),
(57775, 158, 7629, 'CodevTT_RAF', '1.4', '1.5', 0, 1448551106),
(57776, 158, 7193, 'CodevTT_RAF', '0', '0.5', 0, 1448551154),
(57778, 72, 7660, '', '', '', 1, 1448554311),
(57779, 72, 7660, 'handler_id', '0', '146', 0, 1448554311),
(57780, 72, 7660, '', '', '7406', 21, 1448554311),
(57781, 72, 7406, '', '', '7660', 20, 1448554311),
(57782, 72, 7661, '', '', '', 1, 1448554384),
(57783, 72, 7661, 'handler_id', '0', '146', 0, 1448554384),
(57784, 72, 7661, '', '', '7660', 21, 1448554384),
(57785, 72, 7660, '', '', '7661', 20, 1448554384),
(57787, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1448554630),
(57788, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1448554644),
(57789, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1448554667),
(57790, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1448554684),
(57791, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1448554727),
(57946, 147, 6306, 'CodevTT_RAF', '1.5', '1', 0, 1448611397),
(57947, 147, 6306, 'CodevTT_RAF', '1', '0.5', 0, 1448611427),
(57948, 147, 6306, 'CodevTT_RAF', '0.5', '0', 0, 1448611509),
(57949, 147, 6306, 'CodevTT_RAF', '0', '0', 0, 1448611509),
(57950, 147, 6306, 'status', '50', '80', 0, 1448611509),
(57952, 134, 6931, 'CodevTT_RAF', '0', '0.5', 0, 1448614337),
(57953, 134, 6931, 'CodevTT_RAF', '0.5', '0.5', 0, 1448614357),
(57954, 134, 6931, 'CodevTT_RAF', '0.5', '0', 0, 1448614381),
(57955, 134, 6931, 'CodevTT_RAF', '0', '0', 0, 1448614381),
(57956, 134, 6931, 'status', '30', '80', 0, 1448614381),
(57957, 134, 7379, 'CodevTT_RAF', '', '7.5', 0, 1448614429),
(57958, 134, 7379, 'status', '10', '30', 0, 1448614429),
(57959, 134, 7379, 'CodevTT_RAF', '7.5', '6.5', 0, 1448614451),
(57960, 134, 7379, 'CodevTT_RAF', '6.5', '5.5', 0, 1448614469),
(57963, 146, 7660, 'CodevTT_RAF', '', '0', 0, 1448615322),
(57964, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615322),
(57965, 146, 7660, 'status', '10', '80', 0, 1448615322),
(57966, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615346),
(57967, 146, 7661, 'CodevTT_RAF', '', '0', 0, 1448615376),
(57968, 146, 7661, 'CodevTT_RAF', '0', '0', 0, 1448615376),
(57969, 146, 7661, 'status', '10', '80', 0, 1448615376),
(57970, 146, 7661, 'CodevTT_RAF', '0', '0', 0, 1448615391),
(57971, 164, 5354, 'CodevTT_RAF', '0', '0', 0, 1448615441),
(57972, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615465),
(57973, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1448615470),
(57974, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615485),
(57975, 146, 7661, 'CodevTT_RAF', '0', '0', 0, 1448615505),
(57976, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1448615509),
(57977, 146, 6129, 'CodevTT_RAF', '2', '0', 0, 1448615590),
(57978, 146, 6129, 'CodevTT_RAF', '0', '0', 0, 1448615590),
(57979, 146, 6129, 'status', '50', '80', 0, 1448615590),
(57980, 146, 6129, 'CodevTT_RAF', '0', '0', 0, 1448615602),
(57981, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615710),
(57982, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615730),
(57983, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615743),
(57984, 146, 7661, 'CodevTT_RAF', '0', '0', 0, 1448615768),
(57986, 146, 7661, 'CodevTT_RAF', '0', '0', 0, 1448615785),
(57989, 169, 7641, 'CodevTT_RAF', '', '1', 0, 1448615821),
(57990, 169, 7641, 'status', '10', '50', 0, 1448615821),
(57991, 146, 7661, 'CodevTT_RAF', '0', '0', 0, 1448615829),
(57992, 146, 7660, 'CodevTT_RAF', '0', '0', 0, 1448615843),
(57993, 169, 7630, 'CodevTT_RAF', '', '1', 0, 1448615861),
(57994, 169, 7630, 'status', '10', '50', 0, 1448615861),
(57995, 146, 6129, 'CodevTT_RAF', '0', '0', 0, 1448615869),
(57996, 146, 6129, 'CodevTT_RAF', '0', '0', 0, 1448615877),
(57997, 169, 7630, 'CodevTT_RAF', '1', '1', 0, 1448615879),
(57998, 146, 6129, 'CodevTT_RAF', '0', '0', 0, 1448615889),
(57999, 146, 6129, 'CodevTT_RAF', '0', '0', 0, 1448615897),
(58000, 146, 6129, 'CodevTT_RAF', '0', '0', 0, 1448615905),
(58063, 109, 7193, 'CodevTT_RAF', '0.5', '0', 0, 1448619135),
(58064, 109, 6656, 'CodevTT_RAF', '0.2', '0', 0, 1448619140),
(58065, 147, 6746, 'CodevTT_RAF', '0.5', '0.5', 0, 1448619538),
(58066, 147, 6306, 'CodevTT_RAF', '0', '1', 0, 1448619624),
(58127, 199, 7192, 'CodevTT_RAF', '', '1', 0, 1448639731),
(58128, 199, 7192, 'status', '10', '50', 0, 1448639731),
(58129, 199, 7192, 'handler_id', '2', '199', 0, 1448639731),
(58130, 199, 7192, 'CodevTT_RAF', '1', '1', 0, 1448639779),
(58131, 199, 7192, 'CodevTT_RAF', '1', '0', 0, 1448639832),
(58132, 199, 7192, 'CodevTT_RAF', '0', '0', 0, 1448639832),
(58133, 199, 7192, 'status', '50', '80', 0, 1448639832),
(58134, 199, 7192, 'CodevTT_RAF', '0', '1', 0, 1448639864),
(58135, 199, 7192, 'status', '80', '50', 0, 1448639864),
(58136, 199, 7192, 'CodevTT_RAF', '1', '1', 0, 1448639974),
(58137, 199, 7644, 'CodevTT_RAF', '', '0', 0, 1448640423),
(58138, 199, 7644, 'CodevTT_RAF', '0', '0', 0, 1448640423),
(58139, 199, 7644, 'status', '10', '80', 0, 1448640423),
(58140, 199, 7644, 'CodevTT_RAF', '0', '0', 0, 1448640556),
(58178, 93, 7645, 'CodevTT_RAF', '', '1', 0, 1448649717),
(58179, 93, 7645, 'status', '10', '50', 0, 1448649717),
(58180, 93, 7369, 'CodevTT_RAF', '0', '0', 0, 1448649766),
(58181, 93, 7645, 'CodevTT_RAF', '1', '2', 0, 1448649853),
(58182, 93, 7369, 'CodevTT_RAF', '0', '0', 0, 1448649868),
(58183, 93, 7645, 'CodevTT_RAF', '2', '0', 0, 1448650072),
(58184, 2, 6306, 'CodevTT_RAF', '1', '0', 0, 1448748420),
(58232, 2, 7112, 'handler_id', '2', '0', 0, 1448875065),
(58233, 2, 7112, 'status', '50', '20', 0, 1448875078),
(58234, 2, 4288, '', '0001013', '', 2, 1448875214),
(58235, 2, 4288, 'handler_id', '169', '0', 0, 1448875214),
(58236, 2, 4288, 'status', '50', '20', 0, 1448875214),
(58237, 2, 6477, 'status', '40', '80', 0, 1448875264),
(58238, 2, 6477, 'resolution', '10', '20', 0, 1448875264),
(58239, 2, 6477, 'CodevTT_RAF', '1', '0', 0, 1448875264),
(58333, 116, 7629, 'CodevTT_RAF', '1.5', '1', 0, 1448898043),
(58334, 116, 7071, 'CodevTT_RAF', '0', '0', 0, 1448898063),
(58369, 74, 7191, 'CodevTT_RAF', '2', '10', 0, 1448961280),
(58370, 74, 7191, 'CodevTT_RAF', '10', '10', 0, 1448961293),
(58371, 74, 5615, 'CodevTT_RAF', '0', '0', 0, 1448961357),
(58372, 74, 5615, 'CodevTT_RAF', '0', '0', 0, 1448961408),
(58373, 74, 7148, 'CodevTT_RAF', '0', '0', 0, 1448961441),
(58374, 74, 7191, 'CodevTT_RAF', '10', '5', 0, 1448961466),
(58375, 74, 7191, 'CodevTT_RAF', '5', '4', 0, 1448961476),
(58376, 74, 7191, 'CodevTT_RAF', '4', '3', 0, 1448961487),
(58377, 74, 7191, 'CodevTT_RAF', '3', '0', 0, 1448961499),
(58378, 74, 7191, 'CodevTT_RAF', '0', '0', 0, 1448961499),
(58379, 74, 7191, 'status', '50', '80', 0, 1448961499),
(58435, 117, 4330, 'status', '50', '80', 0, 1448975893),
(58436, 117, 4330, 'resolution', '10', '20', 0, 1448975893),
(58437, 117, 4330, 'CodevTT_RAF', '1.5', '0', 0, 1448975893),
(58441, 117, 3686, 'status', '50', '80', 0, 1448975998),
(58442, 117, 3686, 'resolution', '10', '20', 0, 1448975998),
(58443, 117, 3686, 'CodevTT_RAF', '0.5', '0', 0, 1448975998),
(58447, 117, 6662, 'status', '10', '80', 0, 1448976121),
(58448, 117, 6662, 'resolution', '10', '20', 0, 1448976121),
(58449, 117, 6662, 'CodevTT_RAF', '', '0', 0, 1448976121),
(58451, 117, 6275, 'status', '50', '80', 0, 1448976152),
(58452, 117, 6275, 'resolution', '10', '20', 0, 1448976152),
(58453, 117, 6275, 'CodevTT_RAF', '0.25', '0', 0, 1448976152),
(58503, 199, 7192, 'CodevTT_RAF', '1', '1', 0, 1448978724),
(58504, 72, 6306, 'status', '80', '50', 0, 1448978727),
(58505, 72, 6306, 'CodevTT_RAF', '0', '2', 0, 1448978798),
(58518, 2, 4590, 'CodevTT_RAF', '0', '3', 0, 1448979316),
(58525, 2, 7626, '', '1016', '', 2, 1448979970),
(58528, 2, 7626, '', '0001016', '', 4, 1448980083),
(58539, 72, 7655, 'handler_id', '205', '200', 0, 1448983633),
(58544, 116, 7629, 'CodevTT_RAF', '1', '0.5', 0, 1448984299),
(58545, 116, 7629, 'CodevTT_RAF', '0.5', '0', 0, 1448984314),
(58546, 116, 7629, 'CodevTT_RAF', '0', '0', 0, 1448984314),
(58547, 116, 7629, 'status', '50', '80', 0, 1448984314),
(58548, 169, 7630, 'CodevTT_RAF', '1', '0', 0, 1448986467),
(58549, 169, 7630, 'CodevTT_RAF', '0', '0', 0, 1448986467),
(58550, 169, 7630, 'status', '50', '80', 0, 1448986467),
(58551, 169, 7641, 'CodevTT_RAF', '1', '0', 0, 1448986493),
(58552, 169, 7641, 'CodevTT_RAF', '0', '0', 0, 1448986493),
(58553, 169, 7641, 'status', '50', '80', 0, 1448986493),
(58578, 2, 4330, 'CodevTT_RAF', '0', '0', 0, 1449044641),
(58579, 2, 7645, 'CodevTT_RAF', '0', '1', 0, 1449044782),
(58580, 2, 7642, 'CodevTT_RAF', '', '1', 0, 1449044809),
(58581, 147, 6306, 'CodevTT_RAF', '2', '1', 0, 1449044915),
(58582, 147, 6306, 'CodevTT_RAF', '1', '1', 0, 1449044938),
(58583, 147, 6306, 'CodevTT_RAF', '1', '0.5', 0, 1449044979),
(58584, 2, 4324, 'handler_id', '0', '169', 0, 1449045285),
(58585, 72, 4324, 'CodevTT_ChargeInit', '7', '5', 0, 1449046093),
(58586, 72, 4324, 'CodevTT_Dead Line', '1444082400', '1449788400', 0, 1449046093),
(58587, 72, 4324, 'status', '20', '50', 0, 1449046093),
(58588, 72, 4324, 'CodevTT_RAF', '7', '5', 0, 1449046148),
(58589, 72, 7702, '', '', '', 1, 1449049198),
(58590, 72, 7702, 'handler_id', '0', '169', 0, 1449049198),
(58591, 72, 7703, '', '', '', 1, 1449049507),
(58592, 72, 7703, 'handler_id', '0', '72', 0, 1449049507),
(58593, 72, 7704, '', '', '', 1, 1449049722),
(58594, 72, 7704, 'handler_id', '0', '2', 0, 1449049722),
(58595, 72, 7704, '', '', '7703', 21, 1449049722),
(58596, 72, 7703, '', '', '7704', 20, 1449049722),
(58597, 72, 7703, '', '2501', '7704', 18, 1449049722),
(58598, 72, 7704, '', '2500', '7703', 18, 1449049722),
(58599, 169, 7702, 'CodevTT_RAF', '', '0', 0, 1449050072),
(58600, 169, 7702, 'CodevTT_RAF', '0', '0', 0, 1449050072),
(58601, 169, 7702, 'status', '10', '80', 0, 1449050072),
(58608, 93, 7702, 'CodevTT_RAF', '0', '0', 0, 1449051222),
(58609, 93, 7645, 'CodevTT_RAF', '1', '2', 0, 1449051353),
(58610, 93, 7645, 'CodevTT_RAF', '2', '2', 0, 1449051372),
(58611, 93, 6929, 'CodevTT_RAF', '0', '0', 0, 1449051478),
(58612, 93, 7369, 'CodevTT_RAF', '0', '0', 0, 1449051657),
(58628, 158, 6949, 'CodevTT_RAF', '2', '0', 0, 1449061185),
(58629, 72, 7707, '', '', '', 1, 1449063235),
(58630, 72, 7707, 'handler_id', '0', '2', 0, 1449063235),
(58631, 72, 7707, '', '', '7703', 21, 1449063235),
(58632, 72, 7703, '', '', '7707', 20, 1449063235),
(58633, 72, 7708, '', '', '', 1, 1449063308),
(58634, 72, 7708, 'handler_id', '0', '2', 0, 1449063308),
(58635, 72, 7708, '', '', '7707', 21, 1449063308),
(58636, 72, 7707, '', '', '7708', 20, 1449063308),
(58637, 72, 7707, '', '2501', '7708', 18, 1449063308),
(58638, 72, 7708, '', '2500', '7707', 18, 1449063308),
(58709, 158, 7193, 'CodevTT_RAF', '0', '0.5', 0, 1449067972),
(58729, 157, 7423, 'CodevTT_RAF', '1', '0', 0, 1449074116),
(58730, 157, 7423, 'CodevTT_RAF', '0', '0', 0, 1449074116),
(58731, 157, 7423, 'status', '50', '80', 0, 1449074116),
(58732, 157, 7429, 'CodevTT_RAF', '', '1', 0, 1449074239),
(58733, 157, 7429, 'status', '10', '40', 0, 1449074239),
(58804, 134, 7379, 'CodevTT_RAF', '5.5', '5', 0, 1449147831),
(58807, 134, 7379, 'CodevTT_RAF', '5', '5', 0, 1449147880),
(58808, 134, 6927, 'CodevTT_RAF', '0', '0', 0, 1449147909),
(58845, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449157223),
(58846, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449157238),
(58847, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449157249),
(58848, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449157262),
(58849, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449157277),
(58850, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449157353),
(58851, 2, 6477, 'category', 'General', 'Appel Prov', 0, 1449162120),
(58852, 2, 5729, 'category', 'General', 'Appel Prov', 0, 1449162120),
(58853, 2, 5727, 'category', 'General', 'Appel Prov', 0, 1449162120),
(58854, 2, 5726, 'category', 'General', 'Appel Prov', 0, 1449162120);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(58856, 2, 4284, 'category', 'General', 'Appel Prov', 0, 1449162120),
(58944, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449220956),
(58963, 169, 4324, 'CodevTT_RAF', '5', '5', 0, 1449223134),
(58965, 169, 4324, 'CodevTT_RAF', '5', '5', 0, 1449223145),
(58966, 169, 4324, 'CodevTT_RAF', '5', '5', 0, 1449223159),
(58979, 72, 7661, 'CodevTT_RAF', '0', '', 0, 1449226628),
(58980, 72, 7661, 'handler_id', '146', '147', 0, 1449226628),
(58981, 72, 7661, 'status', '80', '50', 0, 1449226628),
(58982, 72, 7661, '', '1531', '', 6, 1449226628),
(58983, 72, 7704, 'CodevTT_ChargeMgr', '2', '1.5', 0, 1449229735),
(58984, 72, 7704, 'CodevTT_RAF', '', '1', 0, 1449229735),
(58985, 72, 7704, 'handler_id', '2', '72', 0, 1449229735),
(58986, 72, 7704, 'status', '10', '50', 0, 1449229735),
(58987, 72, 7703, 'CodevTT_RAF', '', '0', 0, 1449229854),
(58988, 72, 7703, 'CodevTT_RAF', '0', '0', 0, 1449229854),
(58989, 72, 7703, 'status', '10', '80', 0, 1449229854),
(58990, 72, 7704, 'CodevTT_RAF', '1', '0', 0, 1449229912),
(58991, 72, 7704, 'CodevTT_RAF', '0', '0', 0, 1449229912),
(58992, 72, 7704, 'status', '50', '80', 0, 1449229912),
(58993, 74, 7377, 'CodevTT_RAF', '', '4', 0, 1449231506),
(58994, 74, 7377, 'status', '10', '50', 0, 1449231506),
(58995, 74, 7377, 'CodevTT_RAF', '4', '3', 0, 1449231517),
(58996, 74, 7377, 'CodevTT_RAF', '3', '3', 0, 1449231527),
(58997, 74, 7377, 'CodevTT_RAF', '3', '2', 0, 1449231542),
(59016, 158, 7629, 'CodevTT_RAF', '0', '0', 0, 1449233843),
(59017, 93, 7754, '', '', '', 1, 1449237117),
(59018, 93, 7754, 'handler_id', '0', '93', 0, 1449237117),
(59019, 93, 7754, 'CodevTT_RAF', '', '1.5', 0, 1449237147),
(59020, 93, 7754, 'status', '10', '50', 0, 1449237147),
(59021, 93, 7754, 'CodevTT_RAF', '1.5', '0.5', 0, 1449237157),
(59022, 93, 7369, 'CodevTT_RAF', '0', '0', 0, 1449239197),
(59073, 157, 7429, 'CodevTT_RAF', '1', '2', 0, 1449242002),
(59199, 158, 7629, 'CodevTT_RAF', '0', '0', 0, 1449245524),
(59200, 158, 7193, 'CodevTT_RAF', '0.5', '1', 0, 1449245576),
(59216, 2, 7707, 'CodevTT_RAF', '', '1', 0, 1449246985),
(59217, 2, 7707, 'status', '10', '50', 0, 1449246985),
(59221, 147, 6306, 'CodevTT_RAF', '0.5', '1', 0, 1449247498),
(59222, 147, 6306, 'CodevTT_RAF', '1', '1', 0, 1449247525),
(59459, 199, 7192, 'CodevTT_RAF', '1', '4', 0, 1449481992),
(59460, 199, 7192, 'CodevTT_RAF', '4', '3', 0, 1449482003),
(59461, 199, 7192, 'CodevTT_RAF', '3', '2', 0, 1449482019),
(59512, 200, 7655, 'CodevTT_RAF', '', '3', 0, 1449486024),
(59513, 200, 7655, 'status', '10', '40', 0, 1449486024),
(59514, 200, 7654, 'CodevTT_RAF', '', '4', 0, 1449486068),
(59515, 200, 7654, 'status', '10', '40', 0, 1449486068),
(59517, 200, 7654, 'CodevTT_RAF', '4', '1', 0, 1449486333),
(59518, 200, 7654, 'CodevTT_RAF', '1', '1', 0, 1449486365),
(59519, 200, 7654, 'CodevTT_RAF', '1', '1', 0, 1449486380),
(59520, 200, 7654, 'CodevTT_RAF', '1', '1', 0, 1449486395),
(59530, 72, 7794, '', '', '', 1, 1449489806),
(59531, 72, 7794, 'handler_id', '0', '146', 0, 1449489806),
(59532, 72, 7794, '', '', '7406', 21, 1449489806),
(59533, 72, 7406, '', '', '7794', 20, 1449489806),
(59534, 72, 7795, '', '', '', 1, 1449489902),
(59535, 72, 7795, 'handler_id', '0', '146', 0, 1449489902),
(59536, 72, 7795, '', '', '7794', 21, 1449489902),
(59537, 72, 7794, '', '', '7795', 20, 1449489902),
(59538, 72, 7795, 'severity', '50', '60', 0, 1449489935),
(59539, 72, 7796, '', '', '', 1, 1449490121),
(59540, 72, 7796, 'handler_id', '0', '147', 0, 1449490121),
(59541, 72, 7796, '', '', '7795', 21, 1449490121),
(59542, 72, 7795, '', '', '7796', 20, 1449490121),
(59546, 72, 7797, 'handler_id', '0', '116', 0, 1449490721),
(59545, 72, 7797, '', '', '', 1, 1449490721),
(59555, 72, 7660, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59556, 72, 7797, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59557, 72, 7795, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59558, 72, 7796, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59559, 72, 7794, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59560, 72, 7661, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59562, 72, 7558, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59563, 72, 7407, 'target_version', '', 'GAC_1.5.4.01', 0, 1449491636),
(59564, 72, 7659, 'severity', '50', '60', 0, 1449492403),
(61790, 72, 8075, '', '', '', 1, 1450453760),
(59566, 72, 7794, 'severity', '50', '60', 0, 1449492403),
(59567, 72, 7558, 'severity', '50', '60', 0, 1449492403),
(59568, 72, 7407, 'severity', '50', '60', 0, 1449492403),
(59569, 72, 7407, 'CodevTT_RAF', '0', '1', 0, 1449492503),
(59570, 72, 7407, 'status', '80', '50', 0, 1449492503),
(59571, 72, 7407, 'handler_id', '146', '147', 0, 1449492548),
(59572, 72, 7558, 'Ref. Externe', '3489', 'GAC_3489', 0, 1449492569),
(59574, 72, 6746, 'status', '50', '20', 0, 1449492783),
(59575, 72, 7798, '', '', '', 1, 1449492993),
(59576, 72, 7798, '', '', '7661', 21, 1449492993),
(59577, 72, 7661, '', '', '7798', 20, 1449492993),
(59698, 116, 7797, 'CodevTT_RAF', '', '1', 0, 1449503984),
(59699, 116, 7797, 'status', '10', '50', 0, 1449503984),
(59700, 72, 7813, '', '', '', 1, 1449504440),
(59701, 72, 7813, 'handler_id', '0', '200', 0, 1449504440),
(59702, 72, 7814, '', '', '', 1, 1449504552),
(59703, 72, 7814, 'handler_id', '0', '199', 0, 1449504552),
(59704, 72, 7814, '', '', '7813', 21, 1449504552),
(59705, 72, 7813, '', '', '7814', 20, 1449504552),
(59706, 72, 5405, 'status', '50', '20', 0, 1449504615),
(59707, 72, 5565, 'status', '50', '20', 0, 1449504615),
(59708, 72, 5406, 'status', '50', '20', 0, 1449504615),
(59712, 72, 6968, 'category', 'General', 'PUMA', 0, 1449506950),
(59713, 72, 6969, 'category', 'General', 'PUMA', 0, 1449506950),
(59714, 72, 7813, 'CodevTT_RAF', '', '4.5', 0, 1449508426),
(59715, 72, 7813, 'status', '10', '50', 0, 1449508426),
(59751, 199, 7192, 'CodevTT_RAF', '2', '5', 0, 1449570573),
(59752, 199, 7192, 'CodevTT_RAF', '5', '4.5', 0, 1449570627),
(59753, 199, 7192, 'CodevTT_RAF', '4.5', '4', 0, 1449570685),
(59754, 199, 7378, 'CodevTT_RAF', '', '3.5', 0, 1449570730),
(59755, 199, 7378, 'status', '10', '50', 0, 1449570730),
(59756, 199, 7192, 'CodevTT_RAF', '4', '3.5', 0, 1449570763),
(59757, 199, 7192, 'CodevTT_RAF', '3.5', '0', 0, 1449570780),
(59758, 199, 7192, 'CodevTT_RAF', '0', '0', 0, 1449570780),
(59759, 199, 7192, 'status', '50', '80', 0, 1449570780),
(59760, 93, 7754, 'CodevTT_RAF', '0.5', '0.5', 0, 1449573147),
(59761, 93, 7754, 'CodevTT_RAF', '0.5', '0', 0, 1449573164),
(59762, 93, 7754, 'CodevTT_RAF', '0', '0', 0, 1449573164),
(59763, 93, 7754, 'status', '50', '80', 0, 1449573164),
(59782, 2, 7707, 'CodevTT_RAF', '1', '0.5', 0, 1449580401),
(59783, 2, 7708, 'CodevTT_RAF', '', '1', 0, 1449580430),
(59784, 2, 7708, 'status', '10', '50', 0, 1449580430),
(59785, 2, 7707, 'CodevTT_RAF', '0.5', '0.2', 0, 1449580467),
(59801, 169, 4324, 'CodevTT_RAF', '5', '3', 0, 1449582575),
(59802, 169, 4324, 'CodevTT_RAF', '3', '3', 0, 1449582586),
(59813, 147, 7407, 'CodevTT_RAF', '1', '1', 0, 1449585852),
(59814, 147, 7407, 'CodevTT_RAF', '1', '1', 0, 1449585881),
(59815, 147, 7558, 'CodevTT_RAF', '', '1', 0, 1449585932),
(59816, 147, 7558, 'status', '10', '50', 0, 1449585932),
(59817, 147, 7558, 'handler_id', '146', '147', 0, 1449585932),
(59843, 116, 7797, 'CodevTT_RAF', '1', '0', 0, 1449589313),
(59844, 116, 7797, 'CodevTT_RAF', '0', '0', 0, 1449589313),
(59845, 116, 7797, 'status', '50', '80', 0, 1449589313),
(59846, 116, 7798, 'CodevTT_RAF', '', '0', 0, 1449589326),
(59847, 116, 7798, 'CodevTT_RAF', '0', '0', 0, 1449589326),
(59848, 116, 7798, 'status', '10', '80', 0, 1449589326),
(59849, 116, 7798, 'handler_id', '0', '116', 0, 1449589326),
(59920, 93, 7645, 'CodevTT_RAF', '2', '3', 0, 1449650338),
(59921, 93, 7645, 'CodevTT_RAF', '3', '3', 0, 1449650355),
(60018, 116, 7798, 'CodevTT_RAF', '0', '0', 0, 1449675943),
(60027, 147, 7558, 'CodevTT_RAF', '1', '0', 0, 1449678237),
(60028, 147, 7558, 'CodevTT_RAF', '0', '0', 0, 1449678237),
(60029, 147, 7558, 'status', '50', '80', 0, 1449678237),
(60030, 2, 7707, 'CodevTT_RAF', '0.2', '0', 0, 1449680323),
(60031, 2, 7707, 'CodevTT_RAF', '0', '0', 0, 1449680323),
(60032, 2, 7707, 'status', '50', '80', 0, 1449680323),
(60047, 109, 7193, 'CodevTT_RAF', '1', '0', 0, 1449742983),
(60050, 147, 7796, 'CodevTT_RAF', '', '1', 0, 1449745190),
(60051, 147, 7796, 'status', '10', '50', 0, 1449745190),
(60174, 157, 7429, 'CodevTT_RAF', '2', '1', 0, 1449815915),
(60175, 157, 7429, 'CodevTT_RAF', '1', '0', 0, 1449815935),
(60176, 157, 7429, 'CodevTT_RAF', '0', '0', 0, 1449815935),
(60177, 157, 7429, 'status', '40', '80', 0, 1449815935),
(60178, 157, 7429, 'CodevTT_RAF', '0', '0', 0, 1449815954),
(60179, 157, 7394, 'CodevTT_RAF', '0.5', '1', 0, 1449815995),
(60180, 157, 7394, 'CodevTT_RAF', '1', '0', 0, 1449815995),
(60181, 157, 7394, 'status', '50', '80', 0, 1449815995),
(60182, 157, 4939, 'CodevTT_RAF', '3', '2', 0, 1449816028),
(60183, 157, 4939, 'handler_id', '0', '157', 0, 1449816028),
(60184, 157, 3912, 'CodevTT_RAF', '2', '0', 0, 1449816822),
(60185, 157, 3912, 'CodevTT_RAF', '0', '0', 0, 1449816929),
(60186, 157, 3912, 'CodevTT_RAF', '0', '0', 0, 1449816929),
(60187, 157, 3912, 'status', '30', '80', 0, 1449816929),
(60188, 157, 3912, 'status', '80', '90', 0, 1449817081),
(60189, 157, 3912, 'resolution', '30', '20', 0, 1449817081),
(60190, 157, 7422, 'status', '10', '80', 0, 1449817161),
(60191, 157, 7422, 'resolution', '10', '20', 0, 1449817161),
(60192, 157, 7422, 'CodevTT_RAF', '', '0', 0, 1449817162),
(60193, 157, 7422, 'status', '80', '90', 0, 1449817193),
(60194, 157, 7380, 'status', '10', '80', 0, 1449817301),
(60195, 157, 7380, 'resolution', '10', '20', 0, 1449817301),
(60196, 157, 7380, 'CodevTT_RAF', '', '0', 0, 1449817301),
(60197, 199, 7378, 'CodevTT_RAF', '3.5', '2.5', 0, 1449817312),
(60198, 199, 7378, 'CodevTT_RAF', '2.5', '1.5', 0, 1449817321),
(60199, 199, 7378, 'CodevTT_RAF', '1.5', '0.5', 0, 1449817350),
(60200, 199, 7378, 'CodevTT_RAF', '0.5', '3.5', 0, 1449817461),
(60201, 199, 7378, 'CodevTT_RAF', '3.5', '2', 0, 1449817476),
(60202, 199, 7427, 'CodevTT_RAF', '', '1', 0, 1449817524),
(60203, 199, 7427, 'status', '10', '50', 0, 1449817524),
(60234, 169, 4324, 'CodevTT_RAF', '3', '2.5', 0, 1449825033),
(60235, 169, 4324, 'CodevTT_RAF', '2.5', '2', 0, 1449825051),
(60239, 200, 7813, 'CodevTT_RAF', '4.5', '4', 0, 1449827006),
(60240, 200, 7654, 'CodevTT_RAF', '1', '0.5', 0, 1449827164),
(60241, 200, 7654, 'status', '40', '50', 0, 1449827164),
(60242, 200, 7655, 'CodevTT_RAF', '3', '2', 0, 1449827205),
(60243, 200, 7655, 'status', '40', '50', 0, 1449827205),
(60244, 200, 7655, 'CodevTT_RAF', '2', '1', 0, 1449827260),
(60245, 200, 7655, 'CodevTT_RAF', '1', '0.5', 0, 1449827376),
(60246, 134, 7070, 'CodevTT_RAF', '0.4', '1', 0, 1449827390),
(60247, 134, 7379, 'CodevTT_RAF', '5', '5', 0, 1449827431),
(60248, 134, 7379, 'CodevTT_RAF', '5', '5', 0, 1449827474),
(60249, 147, 6306, 'CodevTT_RAF', '1', '0.5', 0, 1449827488),
(60250, 134, 7070, 'CodevTT_RAF', '1', '1', 0, 1449827492),
(60251, 134, 7379, 'CodevTT_RAF', '5', '4', 0, 1449827598),
(60252, 134, 7379, 'CodevTT_RAF', '4', '3.75', 0, 1449827626),
(60255, 134, 7070, 'CodevTT_RAF', '1', '0.5', 0, 1449827684),
(60256, 134, 7070, 'CodevTT_RAF', '0.5', '0.25', 0, 1449827715),
(60257, 134, 7070, 'CodevTT_RAF', '0.25', '0.25', 0, 1449827735),
(60258, 134, 7379, 'CodevTT_RAF', '3.75', '3.3', 0, 1449827772),
(60259, 134, 6931, 'CodevTT_RAF', '0', '0.05', 0, 1449827890),
(60260, 134, 6931, 'CodevTT_RAF', '0.05', '0', 0, 1449827905),
(60261, 72, 7893, '', '', '', 1, 1449827913),
(60262, 72, 7893, 'handler_id', '0', '200', 0, 1449827913),
(60263, 134, 6931, 'CodevTT_RAF', '0', '0', 0, 1449827948),
(60264, 200, 7655, 'CodevTT_RAF', '0.5', '0.5', 0, 1449827955),
(60265, 200, 7893, 'CodevTT_RAF', '', '5', 0, 1449828024),
(60266, 200, 7893, 'status', '10', '50', 0, 1449828024),
(60267, 134, 7070, 'CodevTT_RAF', '0.25', '0.25', 0, 1449828025),
(60268, 134, 6931, 'CodevTT_RAF', '0', '0', 0, 1449828086),
(60269, 134, 4330, 'CodevTT_RAF', '0', '0', 0, 1449828139),
(60270, 134, 7379, 'CodevTT_RAF', '3.3', '3', 0, 1449828170),
(60275, 134, 7070, 'CodevTT_RAF', '0.25', '0.25', 0, 1449828236),
(60276, 134, 7070, 'CodevTT_RAF', '0.25', '0.25', 0, 1449828309),
(60277, 134, 7070, 'CodevTT_RAF', '0.25', '0.25', 0, 1449828351),
(60278, 72, 7894, '', '', '', 1, 1449828714),
(60279, 72, 7894, 'handler_id', '0', '169', 0, 1449828714),
(60280, 72, 7894, '', '', '7378', 21, 1449828714),
(60281, 72, 7378, '', '', '7894', 20, 1449828714),
(60282, 72, 7894, 'summary', '41541 - [DEV] -DSI-2015-INT-Evolutions DSI Intégration campagne 2016- Partie DSI Anticipees', '41541 - [DEV] -DSI-2015-INT-Evolutions DSI Intégration campagne 2016- Partie Lanceur/DEX', 0, 1449828779),
(60283, 169, 7894, 'CodevTT_RAF', '', '2.5', 0, 1449828871),
(60284, 169, 7894, 'CodevTT_RAF', '2.5', '2.5', 0, 1449828894),
(60285, 169, 7894, 'CodevTT_RAF', '2.5', '2.5', 0, 1449828916),
(60287, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449831311),
(60288, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449831327),
(60289, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449831339),
(60290, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449831367),
(60291, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1449831408),
(60292, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1449831450),
(60293, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1449831474),
(60296, 72, 7896, '', '', '', 1, 1449833574),
(60297, 72, 7896, 'handler_id', '0', '117', 0, 1449833574),
(60298, 72, 7896, '', '', '7895', 21, 1449833574),
(100226, 199, 10330, 'CodevTT_RAF', '5', '5', 0, 1465909179),
(60301, 72, 7896, '', '2500', '7895', 18, 1449833574),
(100225, 199, 10330, 'CodevTT_RAF', '5', '5', 0, 1465909172),
(100224, 199, 10330, 'CodevTT_RAF', '4', '5', 0, 1465909163),
(60305, 72, 7896, 'Ref. Externe', '885', '41885', 0, 1449834445),
(60306, 72, 7896, 'priority', '30', '50', 0, 1449834504),
(100223, 199, 10330, 'CodevTT_RAF', '5', '4', 0, 1465909106),
(60308, 72, 7897, '', '', '', 1, 1449834958),
(60309, 72, 7897, 'handler_id', '0', '93', 0, 1449834958),
(60313, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1449840277),
(60314, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1449840311),
(60315, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449840422),
(60316, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1449840484),
(60332, 72, 7899, '', '', '', 1, 1449848839),
(60333, 72, 7899, 'handler_id', '0', '117', 0, 1449848839),
(60335, 72, 7900, '', '', '', 1, 1449849241),
(60336, 72, 7900, 'handler_id', '0', '117', 0, 1449849241),
(60337, 72, 7900, '', '', '7899', 21, 1449849241),
(60338, 72, 7899, '', '', '7900', 20, 1449849241),
(60339, 72, 7901, '', '', '', 1, 1449849386),
(60340, 72, 7901, 'handler_id', '0', '117', 0, 1449849386),
(60341, 72, 7901, '', '', '7900', 21, 1449849386),
(60342, 72, 7900, '', '', '7901', 20, 1449849386),
(60343, 72, 7902, '', '', '', 1, 1449849643),
(60344, 72, 7902, 'handler_id', '0', '117', 0, 1449849643),
(60345, 72, 7902, '', '', '7900', 21, 1449849643),
(60346, 72, 7900, '', '', '7902', 20, 1449849643),
(60347, 93, 7645, 'CodevTT_RAF', '3', '2', 0, 1449849689),
(60348, 93, 7645, 'CodevTT_RAF', '2', '3', 0, 1449849716),
(63847, 72, 6949, 'status', '50', '80', 0, 1452175930),
(60444, 2, 4330, 'CodevTT_RAF', '0', '0', 0, 1450027326),
(60445, 2, 7707, 'CodevTT_RAF', '0', '0', 0, 1450027537),
(60446, 2, 7900, 'CodevTT_RAF', '', '2', 0, 1450031782),
(60447, 2, 7900, 'status', '10', '50', 0, 1450031782),
(60448, 2, 7900, 'CodevTT_RAF', '2', '2', 0, 1450031813),
(60554, 146, 7794, 'CodevTT_RAF', '', '0', 0, 1450097272),
(60555, 146, 7794, 'CodevTT_RAF', '0', '0', 0, 1450097272),
(60556, 146, 7794, 'status', '10', '80', 0, 1450097272),
(60557, 146, 7796, 'CodevTT_RAF', '1', '0', 0, 1450097564),
(60558, 146, 7796, 'CodevTT_RAF', '0', '0', 0, 1450097564),
(60559, 146, 7796, 'status', '50', '80', 0, 1450097564),
(60560, 146, 7796, 'CodevTT_RAF', '0', '0', 0, 1450097622),
(60561, 146, 7796, 'CodevTT_RAF', '0', '0', 0, 1450097635),
(60562, 146, 7557, 'CodevTT_RAF', '', '0', 0, 1450097728),
(60563, 146, 7557, 'CodevTT_RAF', '0', '0', 0, 1450097728),
(60564, 146, 7557, 'status', '10', '80', 0, 1450097728),
(60565, 146, 7557, 'CodevTT_RAF', '0', '0', 0, 1450097741),
(60566, 146, 7795, 'CodevTT_RAF', '', '0', 0, 1450098086),
(60567, 146, 7795, 'CodevTT_RAF', '0', '0', 0, 1450098086),
(60568, 146, 7795, 'status', '10', '80', 0, 1450098086),
(60569, 146, 7795, 'CodevTT_RAF', '0', '0', 0, 1450098101),
(60570, 146, 7794, 'CodevTT_RAF', '0', '1', 0, 1450098123),
(60571, 146, 7794, 'CodevTT_RAF', '1', '0', 0, 1450098156),
(60572, 146, 7794, 'CodevTT_RAF', '0', '0', 0, 1450098186),
(60573, 146, 7795, 'CodevTT_RAF', '0', '0', 0, 1450098638),
(60616, 116, 7798, 'CodevTT_RAF', '0', '0', 0, 1450106944),
(60622, 169, 7894, 'CodevTT_RAF', '2.5', '1', 0, 1450110653),
(60623, 169, 7894, 'status', '10', '50', 0, 1450110653),
(60728, 2, 7707, 'CodevTT_RAF', '0', '0', 0, 1450172636),
(60729, 2, 7708, 'CodevTT_RAF', '1', '3', 0, 1450172658),
(60756, 74, 7191, 'CodevTT_RAF', '0', '5', 0, 1450175903),
(60757, 74, 7191, 'status', '80', '50', 0, 1450175903),
(60758, 74, 7191, 'CodevTT_RAF', '5', '5', 0, 1450175915),
(60759, 74, 7377, 'CodevTT_RAF', '2', '2', 0, 1450176012),
(60760, 74, 7377, 'CodevTT_RAF', '2', '2', 0, 1450176063),
(60761, 74, 7191, 'CodevTT_RAF', '5', '2', 0, 1450176077),
(60762, 74, 7191, 'CodevTT_RAF', '2', '2', 0, 1450176095),
(60763, 74, 7191, 'CodevTT_RAF', '2', '2', 0, 1450176107),
(60764, 72, 7381, 'status', '10', '50', 0, 1450177085),
(60765, 72, 7193, 'handler_id', '116', '158', 0, 1450178730),
(60766, 72, 7193, 'status', '80', '50', 0, 1450178730),
(60767, 72, 7193, 'CodevTT_RAF', '0', '1', 0, 1450178776),
(60768, 72, 7193, 'CodevTT_Dead Line', '1446418800', '', 0, 1450178776),
(60769, 72, 7985, '', '', '', 1, 1450183284),
(60770, 72, 7985, 'handler_id', '0', '147', 0, 1450183284),
(60771, 72, 7985, '', '', '7655', 21, 1450183284),
(60772, 72, 7655, '', '', '7985', 20, 1450183284),
(60776, 72, 7655, '', '', '7986', 20, 1450183547),
(60787, 2, 7708, 'CodevTT_RAF', '3', '0.5', 0, 1450184683),
(60788, 2, 7707, 'status', '80', '50', 0, 1450184760),
(60789, 2, 7707, 'CodevTT_RAF', '0', '1', 0, 1450184768),
(60796, 2, 7708, 'CodevTT_RAF', '0.5', '1.5', 0, 1450185231),
(60854, 72, 5565, 'CodevTT_Dead Line', '1449183600', '', 0, 1450187966),
(60855, 72, 5406, 'CodevTT_Dead Line', '1449183600', '', 0, 1450187966),
(60856, 72, 5405, 'CodevTT_Dead Line', '1447974000', '', 0, 1450187966),
(60857, 72, 5565, 'category', 'General', '3en1', 0, 1450188017),
(60858, 72, 5565, 'target_version', '15.1.0_Mars', '', 0, 1450188017),
(60860, 72, 5406, 'target_version', '15.1.0_Mars', '', 0, 1450188039),
(60861, 72, 5405, 'target_version', '15.1.0_Mars', '', 0, 1450188039),
(69499, 72, 8842, '', '2501', '8843', 18, 1454947642),
(60927, 147, 7660, 'CodevTT_RAF', '2', '0', 0, 1450192570),
(60928, 147, 7660, 'CodevTT_RAF', '0', '0', 0, 1450192570),
(60929, 147, 7660, 'status', '50', '80', 0, 1450192570),
(60930, 147, 7660, 'handler_id', '146', '147', 0, 1450192570),
(60931, 147, 7660, 'CodevTT_RAF', '0', '0', 0, 1450192610),
(60932, 147, 7985, 'CodevTT_RAF', '', '1', 0, 1450192679),
(60933, 147, 7985, 'status', '10', '50', 0, 1450192679),
(60934, 147, 7985, 'CodevTT_RAF', '1', '0.5', 0, 1450192710),
(61004, 116, 7798, 'CodevTT_RAF', '0', '0', 0, 1450194950),
(61051, 117, 7896, 'CodevTT_RAF', '', '0', 0, 1450198649),
(61052, 117, 7896, 'CodevTT_RAF', '0', '0', 0, 1450198649),
(61053, 117, 7896, 'status', '10', '80', 0, 1450198649),
(61054, 117, 7900, 'CodevTT_RAF', '2', '0', 0, 1450198690),
(61055, 117, 7900, 'CodevTT_RAF', '0', '0', 0, 1450198690),
(61056, 117, 7900, 'status', '50', '80', 0, 1450198690),
(61058, 117, 7899, 'CodevTT_RAF', '', '0', 0, 1450198786),
(61059, 117, 7899, 'CodevTT_RAF', '0', '0', 0, 1450198786),
(61060, 117, 7899, 'status', '10', '80', 0, 1450198786),
(61112, 93, 7645, 'CodevTT_RAF', '3', '4', 0, 1450254782),
(61113, 93, 7645, 'CodevTT_RAF', '4', '3.4', 0, 1450254888),
(61114, 93, 7645, 'CodevTT_RAF', '3.4', '2.4', 0, 1450254967),
(61134, 134, 7379, 'CodevTT_RAF', '3', '2', 0, 1450256766),
(61135, 134, 7379, 'CodevTT_RAF', '2', '1.9', 0, 1450256800),
(61136, 134, 7379, 'CodevTT_RAF', '1.9', '1.5', 0, 1450256830),
(61137, 134, 7070, 'CodevTT_RAF', '0.25', '0', 0, 1450256861),
(61138, 134, 7070, 'CodevTT_RAF', '0', '0', 0, 1450256861),
(61139, 134, 7070, 'status', '50', '80', 0, 1450256861),
(61302, 2, 7707, 'CodevTT_RAF', '1', '0.25', 0, 1450281342),
(61303, 2, 7708, 'CodevTT_RAF', '1.5', '0', 0, 1450281361),
(61304, 2, 7708, 'CodevTT_RAF', '0', '0', 0, 1450281361),
(61305, 2, 7708, 'status', '50', '80', 0, 1450281361),
(107402, 72, 12331, 'CodevTT_ChargeInit', '8', '7', 0, 1468312466),
(65589, 116, 8072, 'CodevTT_RAF', '2', '2', 0, 1453303910),
(61404, 147, 7985, 'CodevTT_RAF', '0.5', '0.5', 0, 1450344922),
(61405, 147, 7796, 'CodevTT_RAF', '0', '0', 0, 1450344965),
(61406, 147, 7985, 'CodevTT_RAF', '0.5', '0.5', 0, 1450344996),
(61407, 147, 6306, 'CodevTT_RAF', '0.5', '0', 0, 1450345076),
(61408, 147, 6306, 'status', '50', '80', 0, 1450345210),
(61409, 147, 6306, 'resolution', '10', '20', 0, 1450345210),
(61410, 147, 7407, 'CodevTT_RAF', '1', '0', 0, 1450345269),
(61411, 147, 7407, 'status', '50', '80', 0, 1450345269),
(61412, 147, 7407, 'resolution', '10', '20', 0, 1450345269),
(61413, 147, 7661, 'CodevTT_RAF', '', '0', 0, 1450345324),
(61414, 147, 7661, 'status', '50', '80', 0, 1450345324),
(61415, 147, 7661, 'resolution', '10', '20', 0, 1450345324),
(61419, 199, 7192, 'CodevTT_RAF', '0', '2', 0, 1450347104),
(61420, 199, 7192, 'CodevTT_RAF', '2', '3', 0, 1450347134),
(61421, 199, 7192, 'CodevTT_RAF', '3', '3', 0, 1450347145),
(61422, 199, 7192, 'CodevTT_RAF', '3', '2', 0, 1450347155),
(61423, 199, 7192, 'CodevTT_RAF', '2', '3', 0, 1450347174),
(61424, 199, 7192, 'CodevTT_RAF', '3', '3', 0, 1450347185),
(61425, 199, 7192, 'CodevTT_RAF', '3', '0', 0, 1450347211),
(61426, 199, 7192, 'status', '80', '90', 0, 1450347211),
(61427, 199, 7378, 'CodevTT_RAF', '2', '2', 0, 1450347243),
(61429, 199, 7378, 'CodevTT_RAF', '2', '1', 0, 1450347376),
(61432, 199, 7381, 'CodevTT_RAF', '', '1', 0, 1450347463),
(61433, 72, 8041, '', '', '', 1, 1450347745),
(61434, 72, 8041, 'handler_id', '0', '205', 0, 1450347745),
(61435, 72, 8041, 'CodevTT_RAF', '', '1', 0, 1450347935),
(61436, 72, 8041, 'status', '10', '50', 0, 1450347935),
(61437, 72, 8041, 'CodevTT_RAF', '1', '1', 0, 1450347951),
(61438, 72, 8041, 'CodevTT_RAF', '1', '1', 0, 1450347976),
(61439, 72, 8041, 'CodevTT_RAF', '1', '1', 0, 1450348000),
(61440, 72, 8041, 'CodevTT_RAF', '1', '1', 0, 1450348016),
(61441, 72, 8041, 'CodevTT_RAF', '1', '1', 0, 1450348032),
(61442, 72, 8041, 'CodevTT_RAF', '1', '1', 0, 1450348059),
(61449, 2, 7707, 'CodevTT_RAF', '0.25', '0.25', 0, 1450350149),
(61450, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1450350259),
(61465, 72, 7556, 'Ref. Externe', '3514', 'GAC_3514', 0, 1450356421),
(61466, 72, 7556, 'target_version', '', 'GAC_1.7', 0, 1450356650),
(61789, 146, 7795, 'CodevTT_RAF', '0', '0', 0, 1450453668),
(61468, 72, 7657, 'target_version', 'GAC_1.5.4.01', 'GAC_1.7', 0, 1450356881),
(61570, 134, 7380, 'CodevTT_RAF', '0', '0.5', 0, 1450430827),
(61571, 134, 7380, 'CodevTT_RAF', '0.5', '0', 0, 1450430840),
(61572, 134, 7379, 'CodevTT_RAF', '1.5', '1', 0, 1450430899),
(61573, 134, 7379, 'CodevTT_RAF', '1', '1', 0, 1450430922),
(61574, 134, 7070, 'CodevTT_RAF', '0', '0', 0, 1450431017),
(61575, 134, 7379, 'CodevTT_RAF', '1', '1', 0, 1450431390),
(61576, 134, 7379, 'CodevTT_RAF', '1', '1', 0, 1450431404),
(61577, 134, 7379, 'CodevTT_RAF', '1', '1', 0, 1450431473),
(61586, 147, 7985, 'CodevTT_RAF', '0.5', '1', 0, 1450442510),
(61587, 147, 7985, 'CodevTT_RAF', '1', '0', 0, 1450442526),
(61588, 147, 7985, 'CodevTT_RAF', '0', '0', 0, 1450442526),
(61589, 147, 7985, 'status', '50', '80', 0, 1450442526),
(61607, 169, 7894, 'CodevTT_RAF', '1', '1', 0, 1450447151),
(61608, 169, 7894, 'CodevTT_RAF', '1', '1', 0, 1450447162),
(61609, 169, 7894, 'CodevTT_RAF', '1', '1', 0, 1450447174),
(61610, 158, 7193, 'CodevTT_RAF', '1', '1', 0, 1450447311),
(61621, 200, 7813, 'CodevTT_RAF', '4', '4', 0, 1450447776),
(61622, 200, 7813, 'CodevTT_RAF', '4', '3', 0, 1450447787),
(61643, 72, 8060, '', '', '', 1, 1450448162),
(61644, 72, 8060, 'handler_id', '0', '158', 0, 1450448162),
(61666, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1450448787),
(61667, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1450448805),
(61668, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1450448817),
(61669, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1450448865),
(61670, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1450448886),
(61674, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1450448901),
(61683, 158, 8060, 'CodevTT_RAF', '', '1', 0, 1450449234),
(61684, 158, 8060, 'status', '10', '50', 0, 1450449234),
(61685, 158, 8060, 'CodevTT_RAF', '1', '1', 0, 1450449247),
(61686, 158, 8060, 'CodevTT_RAF', '1', '1', 0, 1450449292),
(61687, 158, 8060, 'CodevTT_RAF', '1', '1', 0, 1450449320),
(61693, 72, 7985, 'target_version', '', 'GAC_1.5.5', 0, 1450449689),
(61705, 72, 8062, '', '', '', 1, 1450449845),
(61706, 72, 8062, 'handler_id', '0', '205', 0, 1450449845),
(61707, 72, 8062, '', '', '7985', 21, 1450449846),
(61708, 72, 7985, '', '', '8062', 20, 1450449846),
(61710, 158, 8060, 'CodevTT_RAF', '1', '1', 0, 1450449906),
(61711, 72, 7654, 'target_version', 'GAC_1.5.4.01', 'GAC_1.5.5', 0, 1450449909),
(61712, 72, 7653, 'target_version', 'GAC_1.5.4.01', 'GAC_1.5.5', 0, 1450449909),
(61713, 158, 8060, 'CodevTT_RAF', '1', '1', 0, 1450449959),
(61714, 72, 7655, 'target_version', 'GAC_1.5.4.01', 'GAC_1.5.5', 0, 1450449962),
(61715, 72, 7656, 'target_version', 'GAC_1.5.4.01', 'GAC_1.5.5', 0, 1450449962),
(61722, 158, 8060, 'CodevTT_RAF', '1', '1', 0, 1450450212),
(61723, 158, 7193, 'CodevTT_RAF', '1', '1', 0, 1450450258),
(61724, 158, 8060, 'CodevTT_RAF', '1', '1', 0, 1450450284),
(61725, 158, 8060, 'CodevTT_RAF', '1', '2', 0, 1450450416),
(61726, 72, 8063, '', '', '', 1, 1450450578),
(61727, 72, 8063, 'handler_id', '0', '205', 0, 1450450578),
(61728, 72, 8063, '', '', '8062', 21, 1450450578),
(61729, 72, 8062, '', '', '8063', 20, 1450450578),
(61730, 72, 8064, '', '', '', 1, 1450450640),
(61731, 72, 8064, 'handler_id', '0', '146', 0, 1450450640),
(61732, 72, 8064, '', '', '8063', 21, 1450450640),
(61733, 72, 8063, '', '', '8064', 20, 1450450640),
(61734, 158, 7193, 'CodevTT_RAF', '1', '2', 0, 1450450802),
(61740, 72, 8065, '', '', '', 1, 1450451436),
(61741, 72, 8065, 'handler_id', '0', '205', 0, 1450451436),
(61742, 72, 8065, '', '', '8062', 21, 1450451436),
(61743, 72, 8062, '', '', '8065', 20, 1450451436),
(61744, 72, 8066, '', '', '', 1, 1450451627),
(61745, 72, 8066, '', '', '8062', 21, 1450451627),
(61746, 72, 8062, '', '', '8066', 20, 1450451627),
(61747, 2, 7193, 'handler_id', '158', '116', 0, 1450452037),
(61748, 72, 8067, '', '', '', 1, 1450452444),
(61749, 72, 8067, '', '', '8065', 21, 1450452444),
(61750, 72, 8065, '', '', '8067', 20, 1450452444),
(61785, 72, 8072, 'CodevTT_ChargeInit', '4', '6', 0, 1450453557),
(61759, 72, 8067, '', '', '8069', 20, 1450452907),
(61766, 72, 8072, '', '', '', 1, 1450453109),
(61767, 72, 8072, 'handler_id', '0', '205', 0, 1450453109),
(61768, 72, 8072, '', '', '8069', 21, 1450453109),
(61770, 72, 8073, '', '', '', 1, 1450453177),
(61771, 72, 8073, 'handler_id', '0', '205', 0, 1450453177),
(61772, 72, 8073, '', '', '8072', 21, 1450453177),
(61773, 72, 8072, '', '', '8073', 20, 1450453177),
(61774, 72, 8074, '', '', '', 1, 1450453380),
(61775, 72, 8074, 'handler_id', '0', '205', 0, 1450453380),
(61776, 72, 8074, '', '', '8069', 21, 1450453380),
(61784, 72, 8072, 'CodevTT_ChargeMgr', '5', '8', 0, 1450453557),
(61778, 146, 7556, 'CodevTT_RAF', '', '0', 0, 1450453478),
(61779, 146, 7556, 'CodevTT_RAF', '0', '0', 0, 1450453478),
(61780, 146, 7556, 'status', '10', '80', 0, 1450453478),
(61783, 146, 7556, 'CodevTT_RAF', '0', '0', 0, 1450453497),
(61788, 146, 7406, 'CodevTT_RAF', '2', '3', 0, 1450453611),
(61794, 72, 8076, '', '', '', 1, 1450453815),
(61795, 72, 8076, '', '', '8075', 21, 1450453815),
(61796, 72, 8075, '', '', '8076', 20, 1450453815),
(61797, 199, 7378, 'CodevTT_RAF', '1', '1', 0, 1450454000),
(61798, 199, 7378, 'CodevTT_RAF', '1', '2', 0, 1450454013),
(61801, 199, 7427, 'CodevTT_RAF', '1', '0.5', 0, 1450454078),
(61803, 199, 7378, 'CodevTT_RAF', '2', '0.5', 0, 1450454097),
(61806, 199, 7192, 'CodevTT_RAF', '0', '0', 0, 1450454138),
(61807, 199, 7378, 'CodevTT_RAF', '0.5', '2', 0, 1450454150),
(61836, 2, 7901, 'CodevTT_Dead Line', '1450134000', '1451948400', 0, 1450457236),
(61837, 2, 7902, 'CodevTT_Dead Line', '1450134000', '1451948400', 0, 1450457291),
(61838, 2, 7900, 'CodevTT_Dead Line', '1450047600', '1451948400', 0, 1450457449),
(61839, 2, 7900, 'handler_id', '117', '199', 0, 1450457449),
(61840, 2, 7900, 'status', '80', '30', 0, 1450457449),
(61841, 2, 7900, 'CodevTT_RAF', '0', '1', 0, 1450457477),
(62028, 93, 8085, '', '', '', 1, 1450709546),
(62029, 93, 8085, 'handler_id', '0', '169', 0, 1450709546),
(62030, 93, 8086, '', '', '', 1, 1450709652),
(62031, 93, 8086, 'handler_id', '0', '93', 0, 1450709652),
(62035, 93, 8086, 'CodevTT_RAF', '', '2', 0, 1450709784),
(62036, 93, 8086, 'status', '10', '50', 0, 1450709784),
(62037, 93, 8086, 'CodevTT_RAF', '2', '1', 0, 1450709808),
(62039, 93, 7645, 'CodevTT_RAF', '2.4', '2', 0, 1450709896),
(62040, 93, 7645, 'CodevTT_RAF', '2', '1.5', 0, 1450709911),
(62082, 74, 7191, 'CodevTT_RAF', '2', '1', 0, 1450769189),
(62083, 74, 7191, 'CodevTT_RAF', '1', '1', 0, 1450769197),
(62084, 74, 7191, 'CodevTT_RAF', '1', '1', 0, 1450769205),
(62085, 74, 7377, 'CodevTT_RAF', '2', '1', 0, 1450769226),
(62086, 74, 7377, 'CodevTT_RAF', '1', '1', 0, 1450769245),
(62087, 74, 7377, 'CodevTT_RAF', '1', '1', 0, 1450769258),
(62088, 74, 7191, 'CodevTT_RAF', '1', '1', 0, 1450769277),
(62089, 74, 7377, 'CodevTT_RAF', '1', '0', 0, 1450769295),
(62090, 74, 7377, 'CodevTT_RAF', '0', '0', 0, 1450769295),
(62091, 74, 7377, 'status', '50', '80', 0, 1450769295),
(62092, 74, 8087, '', '', '', 1, 1450769446),
(62093, 74, 8087, 'handler_id', '0', '74', 0, 1450769446),
(62094, 74, 8087, '', '', '7191', 21, 1450769446),
(62095, 74, 7191, '', '', '8087', 20, 1450769446),
(62096, 74, 8087, 'CodevTT_RAF', '', '10', 0, 1450769471),
(62097, 74, 8087, 'status', '10', '50', 0, 1450769471),
(62098, 74, 8087, 'CodevTT_RAF', '10', '10', 0, 1450769480),
(62100, 117, 7902, 'CodevTT_RAF', '', '0', 0, 1450772905),
(62101, 117, 7902, 'CodevTT_RAF', '0', '0', 0, 1450772905),
(62102, 117, 7902, 'status', '10', '80', 0, 1450772905),
(62149, 2, 8095, '', '', '', 1, 1450789202),
(62150, 2, 8095, '', '', '8094', 21, 1450789202),
(62165, 147, 7985, 'CodevTT_RAF', '0', '1', 0, 1450791274),
(62167, 147, 7558, 'CodevTT_RAF', '0', '0', 0, 1450791335),
(62169, 147, 7985, 'CodevTT_RAF', '1', '1', 0, 1450791363),
(62176, 116, 7193, 'CodevTT_RAF', '2', '1', 0, 1450792942),
(62257, 116, 7193, 'CodevTT_RAF', '1', '1', 0, 1450798787),
(62260, 116, 7193, 'CodevTT_RAF', '1', '0', 0, 1450798806),
(62261, 116, 7193, 'CodevTT_RAF', '0', '0', 0, 1450798806),
(62262, 116, 7193, 'status', '50', '80', 0, 1450798806),
(62269, 2, 7899, 'CodevTT_RAF', '0', '1', 0, 1450799279),
(62270, 2, 7899, '', '0001111', '', 2, 1450799279),
(62271, 2, 7899, 'handler_id', '117', '199', 0, 1450799279),
(62272, 2, 7899, 'status', '80', '50', 0, 1450799279),
(62273, 2, 7378, 'status', '50', '80', 0, 1450799328),
(62274, 2, 7378, 'resolution', '10', '20', 0, 1450799328),
(62275, 2, 7378, 'CodevTT_RAF', '2', '0', 0, 1450799328),
(62403, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1450805314),
(62404, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1450805327),
(62410, 2, 7496, '', '1112', '', 2, 1450860664),
(62411, 2, 7496, '', '1112', '1615', 3, 1450860682),
(62412, 2, 7496, '', '0001112', '', 4, 1450860756),
(62423, 147, 7985, 'CodevTT_RAF', '1', '2', 0, 1450873016),
(62424, 2, 6189, 'target_version', '', '15.1.0_Avril', 0, 1450874941),
(62425, 2, 7496, 'CodevTT_RAF', '0', '0', 0, 1450875465),
(62430, 205, 7813, 'CodevTT_RAF', '3', '3', 0, 1450876694),
(62438, 74, 7642, 'resolution', '10', '20', 0, 1450877846),
(62439, 74, 7642, 'CodevTT_RAF', '1', '0', 0, 1450877846),
(62440, 205, 8129, 'summary', '[QUAL] TAIGA v15.1_Mars', '[QUAL] GAC v1.5patch', 0, 1450878024),
(62441, 74, 7643, 'status', '10', '80', 0, 1450878112),
(62442, 74, 7643, 'resolution', '10', '20', 0, 1450878112),
(62443, 74, 7643, 'CodevTT_RAF', '', '0', 0, 1450878112),
(62444, 205, 8129, 'CodevTT_RAF', '', '2', 0, 1450878134),
(62445, 205, 7813, 'CodevTT_RAF', '3', '3', 0, 1450878180),
(62446, 74, 6566, 'status', '50', '80', 0, 1450878182),
(62447, 74, 6566, 'resolution', '10', '20', 0, 1450878182),
(62448, 74, 6566, 'CodevTT_RAF', '1', '0', 0, 1450878182),
(62449, 74, 7191, 'status', '50', '80', 0, 1450878212),
(62450, 74, 7191, 'resolution', '10', '20', 0, 1450878212),
(62451, 74, 7191, 'CodevTT_RAF', '1', '0', 0, 1450878212),
(62452, 205, 7796, 'CodevTT_RAF', '0', '0', 0, 1450878235),
(62453, 205, 7654, 'CodevTT_RAF', '0.5', '0.1', 0, 1450878766),
(62454, 93, 8086, 'CodevTT_RAF', '1', '1', 0, 1450878901),
(62455, 2, 8130, '', '', '', 1, 1450880508),
(62456, 2, 8130, 'Ref. Externe', '', 'G3652', 0, 1450880546),
(62457, 2, 8131, '', '', '', 1, 1450880579),
(62458, 2, 8131, '', '', '8130', 21, 1450880579),
(62459, 2, 8130, '', '', '8131', 20, 1450880579),
(62460, 2, 8132, '', '', '', 1, 1450880626),
(62461, 2, 8132, '', '', '8131', 21, 1450880626),
(62462, 2, 8131, '', '', '8132', 20, 1450880626),
(62463, 2, 8133, '', '', '', 1, 1450880748),
(63651, 2, 8300, '', '', '', 1, 1452073694),
(63650, 2, 8299, '', '', '', 1, 1452073575),
(62466, 2, 8133, '', '', '8134', 20, 1450880766),
(63649, 2, 8298, '', '', '', 1, 1452073281),
(62468, 2, 8133, '', '2501', '8134', 18, 1450880783),
(62529, 2, 8131, 'summary', '3656 MOA_CEISIMAT_COLONNE POSE INSTANCE 44 VIDE - POSEE DANS TAIGA', 'GAC_3656 MOA_CEISIMAT_COLONNE POSE INSTANCE 44 VIDE - POSEE DANS TAIGA', 0, 1450889330),
(62530, 2, 8132, 'summary', '3657 MOA_TAIGA_POSE INSTANCE 44 KO', 'GAC_3657 MOA_TAIGA_POSE INSTANCE 44 KO', 0, 1450889341),
(62531, 2, 8130, 'summary', 'GAC 3652 - MOA_GAC_PAF_PRISE EN COMPTE ACCRE KO', 'GAC-3652 - MOA_GAC_PAF_PRISE EN COMPTE ACCRE KO', 0, 1450889370),
(62532, 2, 8131, 'summary', 'GAC_3656 MOA_CEISIMAT_COLONNE POSE INSTANCE 44 VIDE - POSEE DANS TAIGA', 'GAC-3656 MOA_CEISIMAT_COLONNE POSE INSTANCE 44 VIDE - POSEE DANS TAIGA', 0, 1450889380),
(62533, 2, 8132, 'summary', 'GAC_3657 MOA_TAIGA_POSE INSTANCE 44 KO', 'GAC-3657 MOA_TAIGA_POSE INSTANCE 44 KO', 0, 1450889389),
(62534, 2, 8130, 'summary', 'GAC-3652 - MOA_GAC_PAF_PRISE EN COMPTE ACCRE KO', 'GAC-3652 MOA_GAC_PAF_PRISE EN COMPTE ACCRE KO', 0, 1450889457),
(62535, 205, 8130, 'CodevTT_RAF', '', '0', 0, 1450889570),
(62536, 205, 8130, 'handler_id', '0', '205', 0, 1450889570),
(62537, 205, 8132, 'CodevTT_RAF', '', '0', 0, 1450889632),
(62538, 205, 8132, 'handler_id', '0', '205', 0, 1450889632),
(62539, 2, 7113, 'target_version', '', 'GAC_1.7', 0, 1450889660),
(62540, 2, 7115, 'target_version', '', 'GAC_1.7', 0, 1450889660),
(62541, 2, 7116, 'target_version', '', 'GAC_1.7', 0, 1450889660),
(62542, 2, 7114, 'target_version', '', 'GAC_1.7', 0, 1450889660),
(62543, 205, 8066, 'CodevTT_RAF', '', '0.1', 0, 1450889700),
(62544, 205, 8066, 'status', '10', '50', 0, 1450889700),
(62545, 205, 8066, 'handler_id', '0', '205', 0, 1450889700),
(62546, 205, 8131, 'CodevTT_RAF', '', '0', 0, 1450889925),
(62547, 205, 8131, 'CodevTT_RAF', '0', '0', 0, 1450889925),
(62548, 205, 8131, 'status', '10', '80', 0, 1450889925),
(62549, 205, 8131, 'handler_id', '0', '205', 0, 1450889925),
(62550, 205, 8132, 'CodevTT_RAF', '0', '0.1', 0, 1450889973),
(62551, 205, 8132, 'status', '10', '40', 0, 1450889973),
(62552, 205, 8133, 'CodevTT_RAF', '', '5', 0, 1450890054),
(62553, 205, 8133, 'status', '10', '50', 0, 1450890054),
(62554, 205, 8133, 'handler_id', '0', '205', 0, 1450890054),
(62555, 205, 8133, 'CodevTT_RAF', '5', '30', 0, 1450890082),
(62556, 205, 8131, 'CodevTT_RAF', '0', '0', 0, 1450890125),
(62557, 205, 8041, 'CodevTT_RAF', '1', '1', 0, 1450890153),
(62558, 205, 8041, 'CodevTT_RAF', '1', '0', 0, 1450890170),
(62559, 205, 8041, 'CodevTT_RAF', '0', '0', 0, 1450890170),
(62560, 205, 8041, 'status', '50', '80', 0, 1450890170),
(62769, 72, 8066, 'handler_id', '205', '146', 0, 1451393280),
(62568, 2, 8066, '', '', '8143', 20, 1450948398),
(62569, 200, 7813, 'CodevTT_RAF', '3', '5', 0, 1450949110),
(62570, 200, 7813, 'CodevTT_RAF', '5', '4', 0, 1450949121),
(62571, 200, 7813, 'CodevTT_RAF', '4', '3', 0, 1450949148),
(62572, 200, 7813, 'CodevTT_RAF', '3', '2', 0, 1450949168),
(62573, 200, 7813, 'CodevTT_RAF', '2', '1', 0, 1450949186),
(62574, 200, 7813, 'CodevTT_RAF', '1', '1', 0, 1450949206),
(62575, 200, 8144, '', '', '', 1, 1450949946),
(62576, 200, 8145, '', '', '', 1, 1450949976),
(62577, 200, 8145, '', '', '8144', 21, 1450949976),
(62578, 200, 8144, '', '', '8145', 20, 1450949976),
(62579, 200, 8146, '', '', '', 1, 1450950121),
(62584, 199, 7899, 'CodevTT_RAF', '1', '0.5', 0, 1450966235),
(62585, 199, 7378, 'CodevTT_RAF', '0', '0', 0, 1450966288),
(62586, 199, 7901, 'CodevTT_RAF', '', '0', 0, 1450966394),
(62587, 199, 7901, 'CodevTT_RAF', '0', '0', 0, 1450966394),
(62588, 199, 7901, 'status', '10', '80', 0, 1450966394),
(62589, 199, 7896, 'CodevTT_RAF', '0', '1', 0, 1450966452),
(62590, 199, 7896, 'status', '80', '50', 0, 1450966452),
(62591, 199, 7896, 'CodevTT_RAF', '1', '1', 0, 1450966468),
(62592, 199, 7896, 'CodevTT_RAF', '1', '0', 0, 1450966468),
(62593, 199, 7896, 'status', '50', '80', 0, 1450966468),
(62594, 2, 7985, 'CodevTT_RAF', '2', '0', 0, 1450966689),
(62595, 200, 7893, 'CodevTT_RAF', '5', '6', 0, 1450966707),
(62596, 199, 7378, 'CodevTT_RAF', '0', '0', 0, 1450966715),
(62597, 199, 7427, 'CodevTT_RAF', '0.5', '0', 0, 1450966805),
(62598, 199, 7427, 'CodevTT_RAF', '0', '0', 0, 1450966805),
(62599, 199, 7427, 'status', '50', '80', 0, 1450966805),
(62600, 199, 7378, 'CodevTT_RAF', '0', '0', 0, 1450966825),
(62605, 200, 8144, 'CodevTT_RAF', '', '2.5', 0, 1450966995),
(62606, 200, 8144, 'status', '10', '40', 0, 1450966995),
(62607, 200, 8144, 'handler_id', '0', '200', 0, 1450966995),
(62609, 200, 8144, 'CodevTT_RAF', '2.5', '0', 0, 1450967044),
(62610, 200, 8144, 'CodevTT_RAF', '0', '0', 0, 1450967044),
(62611, 200, 8144, 'status', '40', '80', 0, 1450967044),
(62613, 200, 8145, 'CodevTT_RAF', '', '2.5', 0, 1450967110),
(62614, 200, 8145, 'status', '10', '40', 0, 1450967110),
(62615, 200, 8145, 'handler_id', '0', '200', 0, 1450967110),
(62618, 2, 8147, '', '', '', 1, 1450967192),
(62619, 2, 8147, 'category', '3en1', 'Cotisation', 0, 1450967227),
(62620, 2, 8148, '', '', '', 1, 1450967391),
(62621, 2, 8148, 'target_version', '', '15.1.0_Avril', 0, 1450967444),
(62622, 2, 8149, '', '', '', 1, 1450967575),
(62623, 2, 8150, '', '', '', 1, 1450967695),
(62624, 2, 8151, '', '', '', 1, 1450968279),
(62625, 2, 8152, '', '', '', 1, 1450968323),
(62626, 2, 8152, '', '', '8151', 21, 1450968323),
(62627, 2, 8151, '', '', '8152', 20, 1450968323),
(62646, 72, 5406, 'target_version', '', '15.1.0_Avril', 0, 1451300913),
(62647, 72, 5405, 'target_version', '', '15.1.0_Avril', 0, 1451300913),
(62648, 72, 5565, 'target_version', '', '15.1.0_Avril', 0, 1451300913),
(62649, 72, 6189, 'handler_id', '114', '157', 0, 1451301114),
(62650, 72, 8147, 'handler_id', '0', '157', 0, 1451301274),
(62651, 72, 8149, 'handler_id', '0', '157', 0, 1451301536),
(62652, 72, 7645, 'target_version', '', '15.1.0_Avril', 0, 1451301622),
(62653, 72, 8150, 'handler_id', '0', '157', 0, 1451301705),
(62654, 72, 7391, 'status', '50', '20', 0, 1451301779),
(62655, 72, 7391, 'version', '15.0.0_Sept', '', 0, 1451301779),
(62656, 72, 8153, '', '', '', 1, 1451302116),
(62657, 72, 8153, 'handler_id', '0', '157', 0, 1451302116),
(62658, 72, 8153, 'priority', '30', '40', 0, 1451302150),
(62659, 72, 8153, 'priority', '40', '50', 0, 1451302336),
(62660, 72, 8153, 'status', '10', '50', 0, 1451302336),
(62661, 72, 8145, 'target_version', '', '15.1.0_PUMA', 0, 1451302694),
(62662, 72, 8144, 'target_version', '', '15.1.0_PUMA', 0, 1451302694),
(62663, 72, 7813, 'target_version', '', '15.1.0_PUMA', 0, 1451302694),
(62664, 72, 7814, 'target_version', '', '15.1.0_PUMA', 0, 1451302694),
(62665, 72, 8145, 'CodevTT_ChargeMgr', '', '2', 0, 1451303398),
(62666, 72, 8145, 'CodevTT_ChargeInit', '2', '1', 0, 1451303398),
(62667, 72, 8145, 'CodevTT_RAF', '2.5', '2', 0, 1451303398),
(62668, 72, 8145, 'handler_id', '200', '199', 0, 1451303398),
(62669, 72, 7814, 'CodevTT_RAF', '', '5', 0, 1451303426),
(62672, 72, 8095, 'handler_id', '0', '199', 0, 1451303668),
(62673, 72, 6640, 'CodevTT_RAF', '', '0', 0, 1451303853),
(62674, 72, 6640, 'status', '10', '80', 0, 1451303853),
(62675, 72, 6640, 'category', 'General', '3en1', 0, 1451303853),
(62676, 72, 7897, 'handler_id', '93', '200', 0, 1451304317),
(62677, 72, 8146, 'Ref. Externe', '', '41940', 0, 1451304461),
(62678, 72, 8146, 'CodevTT_ChargeMgr', '', '8', 0, 1451304461),
(62679, 72, 8146, 'CodevTT_ChargeInit', '2', '5', 0, 1451304461),
(62680, 72, 8146, 'handler_id', '0', '200', 0, 1451304518),
(62681, 72, 7893, 'status', '50', '20', 0, 1451304602),
(62682, 72, 8154, '', '', '', 1, 1451305476),
(62683, 72, 8154, 'handler_id', '0', '157', 0, 1451305476),
(62684, 200, 7897, 'CodevTT_RAF', '', '2', 0, 1451306839),
(62685, 200, 7897, 'status', '10', '50', 0, 1451306839),
(62686, 72, 6949, 'CodevTT_RAF', '0', '1', 0, 1451309210),
(62687, 72, 6949, 'CodevTT_Dead Line', '1447628400', '1452466800', 0, 1451309210),
(62688, 72, 6949, 'category', 'General', '3en1', 0, 1451309210),
(62689, 72, 6949, 'CodevTT_RAF', '1', '2', 0, 1451309258),
(62690, 72, 8155, '', '', '', 1, 1451309993),
(62691, 72, 8155, 'handler_id', '0', '158', 0, 1451309993),
(62692, 72, 7985, 'CodevTT_RAF', '0', '1', 0, 1451310930),
(62693, 72, 7985, 'status', '80', '50', 0, 1451310930),
(62694, 72, 7655, 'CodevTT_RAF', '0.5', '0', 0, 1451311004),
(62695, 72, 7655, 'status', '50', '80', 0, 1451311004),
(62696, 72, 6615, 'CodevTT_RAF', '2', '0', 0, 1451312069),
(62697, 72, 6615, 'status', '50', '80', 0, 1451312069),
(62698, 72, 7656, 'handler_id', '147', '116', 0, 1451312248),
(62699, 72, 7653, 'handler_id', '147', '116', 0, 1451312314),
(69498, 72, 8842, '', '', '8843', 20, 1454947642),
(62756, 72, 8151, 'CodevTT_ChargeMgr', '2', '10', 0, 1451383339),
(62757, 72, 8151, 'CodevTT_ChargeInit', '2', '8', 0, 1451383339),
(62758, 72, 8152, 'CodevTT_ChargeMgr', '2', '20', 0, 1451383385),
(62759, 72, 8152, 'CodevTT_ChargeInit', '2', '18', 0, 1451383385),
(62760, 72, 8152, 'handler_id', '0', '157', 0, 1451383385),
(62761, 72, 8151, 'handler_id', '0', '157', 0, 1451383406),
(62765, 72, 7897, 'CodevTT_Dead Line', '1451516400', '1455231600', 0, 1451387239),
(62768, 72, 8066, 'target_version', 'GAC_1.7', 'GAC_1.5.5', 0, 1451393266),
(62777, 200, 7897, 'CodevTT_RAF', '2', '1.5', 0, 1451403560),
(63648, 200, 7897, 'CodevTT_RAF', '2', '1.5', 0, 1452072762),
(63647, 200, 7897, 'CodevTT_RAF', '1.2', '2', 0, 1452072727),
(62780, 200, 8146, 'CodevTT_RAF', '', '4.9', 0, 1451403718),
(62781, 200, 8146, 'status', '10', '50', 0, 1451403718),
(62783, 72, 8085, 'CodevTT_RAF', '', '3', 0, 1451406093),
(62784, 72, 8085, 'status', '10', '50', 0, 1451406093),
(62785, 72, 8085, 'CodevTT_RAF', '3', '2', 0, 1451406109),
(62908, 72, 8153, 'summary', '41908 -Anomalie entre Mvt journaliers et Rapport journalier des mouvements', '41908 -Ecarts OC/RSI sur positions assurés - Code SCA sur SPOC31 erronés', 0, 1451488300),
(62911, 72, 8171, '', '', '', 1, 1451488890),
(62912, 72, 8171, 'handler_id', '0', '157', 0, 1451488890),
(62919, 72, 8151, 'target_version', '15.1.0_Avril', '15.1.0_Mars', 0, 1451490420),
(62920, 72, 8152, 'target_version', '15.1.0_Avril', '15.1.0_Mars', 0, 1451490420),
(62921, 72, 8152, 'target_version', '15.1.0_Mars', '16.0.0', 0, 1451490454),
(62922, 72, 8151, 'target_version', '15.1.0_Mars', '16.0.0', 0, 1451490454),
(62923, 72, 8147, 'target_version', '', '15.1.0_Avril', 0, 1451490675),
(62952, 72, 8148, 'handler_id', '0', '157', 0, 1451491588),
(62953, 200, 7897, 'CodevTT_RAF', '1.5', '1.5', 0, 1451491592),
(62963, 72, 8176, '', '', '', 1, 1451549204),
(62964, 72, 8176, 'handler_id', '0', '134', 0, 1451549204),
(62986, 72, 6153, 'target_version', '', '16.0.0', 0, 1451550779),
(62987, 72, 5711, 'target_version', '', '16.0.0', 0, 1451550779),
(62988, 72, 8178, '', '', '', 1, 1451554407),
(62989, 72, 8178, 'handler_id', '0', '199', 0, 1451554407),
(62990, 72, 8179, '', '', '', 1, 1451554499),
(62991, 72, 8179, 'handler_id', '0', '199', 0, 1451554499),
(62992, 72, 8179, '', '', '8178', 21, 1451554499),
(62993, 72, 8178, '', '', '8179', 20, 1451554499),
(62994, 72, 8178, 'target_version', '', '15.1.0_Mars', 0, 1451554612),
(62995, 72, 8180, '', '', '', 1, 1451555838),
(62996, 72, 8180, 'handler_id', '0', '200', 0, 1451555838),
(62997, 199, 7896, 'CodevTT_RAF', '0', '0', 0, 1451558126),
(62998, 199, 7896, 'CodevTT_RAF', '0', '0', 0, 1451558140),
(62999, 199, 7896, 'CodevTT_RAF', '0', '0', 0, 1451558149),
(63000, 199, 7814, 'CodevTT_RAF', '5', '0.1', 0, 1451558199),
(63001, 199, 7814, 'status', '10', '50', 0, 1451558199),
(63002, 199, 8145, 'CodevTT_RAF', '2', '0', 0, 1451558228),
(63003, 199, 8145, 'CodevTT_RAF', '0', '0', 0, 1451558228),
(63004, 199, 8145, 'status', '40', '80', 0, 1451558228),
(63005, 199, 8145, 'CodevTT_RAF', '0', '0', 0, 1451558248),
(63006, 199, 7899, 'CodevTT_RAF', '0.5', '0', 0, 1451558296),
(63007, 199, 7899, 'CodevTT_RAF', '0', '0', 0, 1451558296),
(63008, 199, 7899, 'status', '50', '80', 0, 1451558296),
(63009, 199, 7899, 'CodevTT_RAF', '0', '0', 0, 1451558319),
(63010, 199, 7814, 'CodevTT_RAF', '0.1', '1', 0, 1451566711),
(63011, 199, 7378, 'CodevTT_RAF', '0', '0', 0, 1451566763),
(63012, 199, 8145, 'CodevTT_RAF', '0', '0', 0, 1451566803),
(63013, 199, 8179, 'CodevTT_RAF', '', '1', 0, 1451566858),
(63014, 199, 8179, 'status', '10', '50', 0, 1451566858),
(63015, 72, 7900, 'CodevTT_RAF', '1', '0', 0, 1451567021),
(63016, 72, 7900, 'status', '30', '80', 0, 1451567021),
(63017, 72, 8146, 'target_version', '', '17.3_PUMA', 0, 1451569928),
(63018, 72, 7069, 'CodevTT_RAF', '1', '0', 0, 1451569964),
(63019, 72, 7069, 'status', '50', '80', 0, 1451569964),
(63020, 72, 7813, 'CodevTT_RAF', '1', '0', 0, 1451570010),
(63021, 72, 7813, 'status', '50', '80', 0, 1451570010),
(63022, 72, 8144, 'CodevTT_ChargeMgr', '', '20', 0, 1451570290),
(63023, 72, 8144, 'CodevTT_ChargeInit', '2', '1', 0, 1451570290),
(63024, 72, 8144, 'CodevTT_ChargeMgr', '20', '2', 0, 1451570318),
(63025, 72, 7813, 'CodevTT_ChargeMgr', '6', '2', 0, 1451570505),
(63026, 72, 7813, 'CodevTT_ChargeInit', '5', '2', 0, 1451570505),
(63027, 72, 7814, 'CodevTT_ChargeMgr', '6', '3', 0, 1451570535),
(63028, 72, 7814, 'CodevTT_ChargeInit', '5', '2', 0, 1451570535),
(63029, 72, 8181, '', '', '', 1, 1451570747),
(63030, 72, 8181, 'handler_id', '0', '74', 0, 1451570747),
(63031, 72, 8181, 'CodevTT_ChargeInit', '2', '1', 0, 1451570864),
(63032, 72, 8181, 'summary', 'Validation  Version 15.1.0 PUMA', '[QUAL] 15.1.0 PUMA', 0, 1451570864),
(63033, 72, 8146, 'status', '50', '20', 0, 1451571188),
(63034, 72, 8133, 'CodevTT_ChargeMgr', '0', '5', 0, 1451571274),
(63035, 72, 8133, 'CodevTT_ChargeInit', '2', '4', 0, 1451571274),
(63036, 72, 8133, 'CodevTT_RAF', '30', '0', 0, 1451571274),
(63037, 72, 8133, 'CodevTT_RAF', '0', '0', 0, 1451571486),
(63038, 72, 8133, 'CodevTT_RAF', '0', '0', 0, 1451571486),
(63039, 72, 8133, 'status', '50', '80', 0, 1451571486),
(63040, 72, 8133, 'CodevTT_RAF', '0', '1', 0, 1451571680),
(63041, 72, 8133, '', '0001125', '', 2, 1451571680),
(63042, 72, 8133, 'status', '80', '50', 0, 1451571680),
(63043, 200, 8180, 'CodevTT_RAF', '', '5', 0, 1451571748),
(63044, 200, 8180, 'status', '10', '50', 0, 1451571748),
(63045, 72, 8133, 'target_version', '', '15.1.0_PUMA', 0, 1451571756),
(63646, 200, 7897, 'CodevTT_RAF', '1.5', '1.2', 0, 1452072690),
(63054, 72, 8133, 'summary', '41882 [SPEC] Affi - PUMA : analyse de la mise en place de l\' \'autonomie des ayants droits majeurs\'', '41882 [ETU] Affi - PUMA : analyse de la mise en place de l\' \'autonomie des ayants droits majeurs\'', 0, 1451572989),
(63055, 72, 8181, 'CodevTT_RAF', '', '1', 0, 1451573043),
(63080, 72, 8176, 'summary', '4931 - TAIGA - 15.1.20 - EI - télé-déclarants incohérence TP et Base', '41931 - TAIGA - 15.1.20 - EI - télé-déclarants incohérence TP et Base', 0, 1451575784),
(63081, 72, 8176, 'CodevTT_RAF', '', '2', 0, 1451575817),
(63082, 72, 8176, 'status', '10', '50', 0, 1451575817),
(63083, 72, 8176, 'CodevTT_RAF', '2', '1', 0, 1451575830),
(63084, 72, 8176, 'CodevTT_RAF', '1', '0', 0, 1451575858),
(63085, 72, 8176, 'CodevTT_RAF', '0', '0', 0, 1451575858),
(63086, 72, 8176, 'status', '50', '80', 0, 1451575858),
(63087, 72, 7378, 'CodevTT_RAF', '0', '0', 0, 1451575923),
(63156, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1451898261),
(63157, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1451898275),
(63158, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1451898291),
(63159, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1451898304),
(63163, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1451898321),
(63164, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1451898332),
(63345, 134, 7070, 'CodevTT_RAF', '0', '0', 0, 1451909861),
(63357, 169, 8085, 'CodevTT_RAF', '2', '2', 0, 1451913226),
(63411, 2, 7707, 'CodevTT_RAF', '0.25', '0', 0, 1451921452),
(63412, 2, 7707, 'CodevTT_RAF', '0', '0', 0, 1451921452),
(63413, 2, 7707, 'status', '50', '80', 0, 1451921452),
(63437, 116, 7653, 'CodevTT_RAF', '', '3', 0, 1451922751),
(63438, 116, 7653, 'status', '10', '50', 0, 1451922751),
(63538, 2, 7406, 'CodevTT_RAF', '3', '0', 0, 1451987231),
(63539, 2, 7406, 'status', '50', '80', 0, 1451987231),
(63540, 2, 7406, 'resolution', '10', '20', 0, 1451987231),
(63541, 158, 6949, 'CodevTT_RAF', '2', '0.75', 0, 1451987823),
(63571, 157, 8153, 'CodevTT_RAF', '', '1', 0, 1452001579),
(63572, 157, 8153, 'CodevTT_RAF', '1', '0.5', 0, 1452001602),
(63583, 2, 3563, 'status', '50', '80', 0, 1452003687),
(63584, 2, 3563, 'resolution', '10', '20', 0, 1452003687),
(63585, 2, 3563, 'handler_id', '0', '2', 0, 1452003687),
(63586, 2, 3563, 'CodevTT_RAF', '2', '0', 0, 1452003687),
(63587, 2, 8289, '', '', '', 1, 1452007214),
(63588, 2, 8290, '', '', '', 1, 1452007256),
(63589, 2, 8290, '', '', '8289', 21, 1452007256),
(63590, 2, 8289, '', '', '8290', 20, 1452007256),
(63591, 2, 8289, '', '2501', '8290', 18, 1452007256),
(63592, 2, 8290, '', '2500', '8289', 18, 1452007256),
(63593, 2, 8290, 'Ref. Externe', '', '41967', 0, 1452007277),
(63594, 2, 8289, 'Ref. Externe', '', '41967', 0, 1452007287),
(63597, 116, 7653, 'CodevTT_RAF', '3', '2', 0, 1452009394),
(63604, 2, 8291, '', '', '', 1, 1452011588),
(63605, 2, 8291, 'handler_id', '0', '134', 0, 1452011588),
(63606, 2, 8292, '', '', '', 1, 1452011629),
(63607, 2, 8292, 'handler_id', '0', '134', 0, 1452011629),
(63608, 2, 8292, '', '', '8291', 21, 1452011629),
(63609, 2, 8291, '', '', '8292', 20, 1452011629),
(63610, 2, 8291, '', '2501', '8292', 18, 1452011629),
(63611, 2, 8292, '', '2500', '8291', 18, 1452011629),
(63630, 157, 7391, 'CodevTT_RAF', '1', '1.5', 0, 1452061324),
(63631, 157, 7391, 'CodevTT_RAF', '1.5', '1', 0, 1452061338),
(63632, 157, 7391, 'CodevTT_RAF', '1', '0.5', 0, 1452061351),
(63633, 157, 8153, 'CodevTT_RAF', '0.5', '1', 0, 1452061433),
(63634, 157, 8153, 'CodevTT_RAF', '1', '0', 0, 1452061454),
(63635, 157, 8153, 'CodevTT_RAF', '0', '0', 0, 1452061454),
(63636, 157, 8153, 'status', '50', '80', 0, 1452061454),
(63637, 2, 8297, '', '', '', 1, 1452069136);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(63638, 2, 8297, 'handler_id', '0', '199', 0, 1452069136),
(63639, 93, 7645, 'CodevTT_RAF', '1.5', '4', 0, 1452069906),
(63642, 200, 7897, 'CodevTT_RAF', '1.5', '1.5', 0, 1452072237),
(63645, 200, 8180, 'CodevTT_RAF', '5', '4.5', 0, 1452072620),
(63652, 2, 8301, '', '', '', 1, 1452073785),
(63653, 2, 8302, '', '', '', 1, 1452073880),
(63655, 2, 8303, '', '', '', 1, 1452073998),
(63656, 2, 8304, '', '', '', 1, 1452074192),
(63657, 2, 8305, '', '', '', 1, 1452074341),
(63692, 2, 8327, '', '', '', 1, 1452092679),
(63693, 2, 8327, 'handler_id', '0', '157', 0, 1452092679),
(63701, 2, 8305, 'handler_id', '0', '134', 0, 1452093023),
(63702, 2, 8304, 'handler_id', '0', '134', 0, 1452093023),
(63703, 2, 8303, 'handler_id', '0', '134', 0, 1452093023),
(63704, 2, 8302, 'handler_id', '0', '134', 0, 1452093023),
(63705, 2, 8301, 'handler_id', '0', '134', 0, 1452093023),
(63706, 2, 8300, 'handler_id', '0', '134', 0, 1452093023),
(63707, 2, 8299, 'handler_id', '0', '134', 0, 1452093023),
(63708, 2, 8298, 'handler_id', '0', '134', 0, 1452093023),
(63726, 157, 8153, 'CodevTT_RAF', '0', '0.5', 0, 1452096800),
(63727, 157, 8153, 'status', '80', '50', 0, 1452096800),
(63728, 157, 8327, 'CodevTT_RAF', '', '0', 0, 1452096836),
(63729, 157, 8327, 'CodevTT_RAF', '0', '0', 0, 1452096836),
(63730, 157, 8327, 'status', '10', '80', 0, 1452096836),
(63731, 116, 7653, 'CodevTT_RAF', '2', '0', 0, 1452097839),
(63732, 116, 7653, 'CodevTT_RAF', '0', '0', 0, 1452097839),
(63733, 116, 7653, 'status', '50', '80', 0, 1452097839),
(63747, 72, 8297, 'CodevTT_Dead Line', '', '1454886000', 0, 1452155944),
(63789, 200, 8180, 'CodevTT_RAF', '4.5', '4', 0, 1452158665),
(63829, 158, 8155, 'CodevTT_RAF', '', '2', 0, 1452170299),
(63830, 158, 8155, 'status', '10', '50', 0, 1452170299),
(63832, 158, 6949, 'CodevTT_RAF', '0.75', '0.75', 0, 1452170504),
(63833, 158, 8155, 'CodevTT_RAF', '2', '1.5', 0, 1452170592),
(63836, 93, 7645, 'CodevTT_RAF', '4', '4', 0, 1452175335),
(63839, 93, 7645, 'CodevTT_RAF', '4', '4', 0, 1452175392),
(63846, 72, 6949, 'CodevTT_RAF', '0.75', '0', 0, 1452175930),
(63853, 2, 8342, '', '', '', 1, 1452179690),
(63854, 2, 8342, 'CodevTT_RAF', '', '0', 0, 1452179739),
(63855, 2, 8342, 'CodevTT_RAF', '0', '0', 0, 1452179739),
(63856, 2, 8342, 'status', '10', '80', 0, 1452179739),
(63857, 2, 8342, 'handler_id', '0', '2', 0, 1452179739),
(63867, 72, 8343, '', '', '', 1, 1452239466),
(63868, 72, 8343, 'handler_id', '0', '199', 0, 1452239466),
(63869, 72, 8344, '', '', '', 1, 1452239727),
(63870, 72, 8344, 'handler_id', '0', '200', 0, 1452239727),
(63919, 72, 8289, 'CodevTT_Dead Line', '', '1452812400', 0, 1452243162),
(63920, 2, 4681, 'summary', '40-486 - [SPEC] -dsi_fc15r_ar.sh : Non prise en compte de plusieurs fichiers d\'AR FC15R', '40486 - [SPEC] -dsi_fc15r_ar.sh : Non prise en compte de plusieurs fichiers d\'AR FC15R', 0, 1452243205),
(63922, 72, 8289, 'handler_id', '0', '134', 0, 1452243265),
(63925, 72, 8290, 'handler_id', '0', '134', 0, 1452243365),
(63930, 72, 8289, 'CodevTT_ChargeInit', '2', '1', 0, 1452243450),
(63932, 72, 8290, 'CodevTT_ChargeInit', '2', '1', 0, 1452243483),
(63944, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452243728),
(63947, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452243750),
(63950, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452243795),
(63951, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452243827),
(63952, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452243863),
(63953, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452243922),
(63959, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452243970),
(63968, 205, 7113, 'CodevTT_RAF', '0', '0.2', 0, 1452244235),
(63969, 205, 7113, 'status', '80', '50', 0, 1452244235),
(63970, 205, 7113, 'handler_id', '178', '205', 0, 1452244235),
(63973, 205, 8075, 'CodevTT_RAF', '', '0.1', 0, 1452244274),
(63974, 205, 8075, 'status', '10', '50', 0, 1452244274),
(63975, 205, 7113, 'CodevTT_RAF', '0.2', '0.5', 0, 1452244304),
(63976, 205, 8073, 'CodevTT_RAF', '', '0.2', 0, 1452244373),
(63977, 205, 8073, 'status', '10', '50', 0, 1452244373),
(63978, 205, 8075, 'CodevTT_RAF', '0.1', '0.1', 0, 1452244417),
(63979, 205, 8065, 'CodevTT_RAF', '', '0.2', 0, 1452244496),
(63980, 205, 8065, 'status', '10', '50', 0, 1452244496),
(63981, 205, 8074, 'CodevTT_RAF', '', '0.5', 0, 1452244562),
(63982, 205, 8074, 'status', '10', '50', 0, 1452244562),
(63983, 205, 8133, 'CodevTT_RAF', '1', '1', 0, 1452244654),
(64034, 134, 7378, 'CodevTT_RAF', '0', '0.5', 0, 1452249448),
(64036, 134, 7378, 'CodevTT_RAF', '0.5', '0', 0, 1452249468),
(64037, 134, 7070, 'CodevTT_RAF', '0', '0.5', 0, 1452249488),
(64038, 134, 7070, 'CodevTT_RAF', '0.5', '0', 0, 1452249509),
(64039, 134, 8291, 'CodevTT_RAF', '', '1', 0, 1452249563),
(64040, 134, 8291, 'status', '10', '30', 0, 1452249564),
(64041, 134, 8291, 'CodevTT_RAF', '1', '0.5', 0, 1452249581),
(64042, 134, 8292, 'CodevTT_RAF', '', '0.1', 0, 1452249612),
(64043, 134, 8292, 'status', '10', '30', 0, 1452249612),
(64044, 134, 8291, 'CodevTT_RAF', '0.5', '0.1', 0, 1452249690),
(64045, 134, 8291, 'status', '30', '40', 0, 1452249690),
(64047, 134, 7070, 'CodevTT_RAF', '0', '0', 0, 1452249733),
(64048, 134, 8292, 'CodevTT_RAF', '0.1', '1', 0, 1452249755),
(64074, 2, 8361, '', '', '', 1, 1452255499),
(64075, 2, 8361, 'CodevTT_RAF', '', '0', 0, 1452255560),
(64076, 2, 8361, 'CodevTT_RAF', '0', '0', 0, 1452255560),
(64077, 2, 8361, 'status', '10', '80', 0, 1452255560),
(64078, 2, 8361, 'handler_id', '0', '2', 0, 1452255560),
(64079, 74, 8087, 'CodevTT_RAF', '10', '1', 0, 1452257164),
(64080, 74, 8087, 'CodevTT_RAF', '1', '1', 0, 1452257184),
(64081, 74, 8087, 'CodevTT_RAF', '1', '1', 0, 1452257190),
(64082, 74, 8087, 'CodevTT_RAF', '1', '1', 0, 1452257197),
(64083, 74, 8181, 'CodevTT_RAF', '1', '1', 0, 1452257218),
(64084, 74, 8181, 'status', '10', '50', 0, 1452257218),
(64085, 74, 8181, 'CodevTT_RAF', '1', '1', 0, 1452257260),
(64127, 147, 7985, 'CodevTT_RAF', '1', '4', 0, 1452261041),
(64129, 147, 7985, 'CodevTT_RAF', '4', '3', 0, 1452261071),
(64130, 147, 7985, 'CodevTT_RAF', '3', '2', 0, 1452261082),
(64131, 147, 7985, 'CodevTT_RAF', '2', '1', 0, 1452261092),
(64132, 147, 7985, 'CodevTT_RAF', '1', '1', 0, 1452261112),
(64136, 2, 8076, 'CodevTT_ChargeMgr', '8', '5', 0, 1452261246),
(64137, 2, 8076, 'CodevTT_ChargeInit', '6', '5', 0, 1452261246),
(64138, 2, 8076, 'CodevTT_ChargeInit', '5', '4', 0, 1452261257),
(64144, 2, 7657, 'CodevTT_ChargeMgr', '10', '5', 0, 1452261528),
(64145, 2, 7657, 'CodevTT_ChargeInit', '8', '4', 0, 1452261528),
(64146, 2, 7114, 'CodevTT_ChargeMgr', '10', '15', 0, 1452261889),
(64147, 2, 7114, 'CodevTT_ChargeInit', '7', '12', 0, 1452261889),
(64148, 2, 7116, 'CodevTT_ChargeMgr', '', '5', 0, 1452261903),
(64149, 2, 7116, 'CodevTT_ChargeInit', '1', '5', 0, 1452261903),
(64150, 2, 7115, 'handler_id', '178', '205', 0, 1452261962),
(64151, 2, 7115, 'status', '80', '30', 0, 1452261962),
(64152, 2, 7115, 'resolution', '10', '30', 0, 1452261962),
(64153, 2, 7115, 'CodevTT_RAF', '0', '10', 0, 1452262003),
(64154, 2, 7113, 'CodevTT_ChargeMgr', '3', '5', 0, 1452262112),
(64155, 2, 7113, 'CodevTT_ChargeInit', '3', '5', 0, 1452262112),
(64156, 2, 7113, 'CodevTT_RAF', '0.5', '5', 0, 1452262112),
(64157, 2, 7113, 'CodevTT_Date Livraison', '1446159600', '', 0, 1452262112),
(64158, 2, 7116, 'CodevTT_ChargeMgr', '5', '15', 0, 1452262131),
(64159, 2, 7116, 'CodevTT_ChargeInit', '5', '12', 0, 1452262131),
(64160, 2, 8072, '', '1', '7114', 18, 1452262287),
(64161, 2, 7114, '', '1', '8072', 18, 1452262287),
(64162, 2, 8072, 'CodevTT_ChargeMgr', '8', '4', 0, 1452262321),
(64163, 2, 8072, 'CodevTT_ChargeInit', '6', '3', 0, 1452262321),
(64164, 2, 8067, 'CodevTT_ChargeMgr', '12', '3', 0, 1452262479),
(64165, 2, 8067, 'CodevTT_ChargeInit', '10', '2', 0, 1452262479),
(64166, 2, 7796, 'CodevTT_RAF', '0', '2', 0, 1452262688),
(64167, 2, 7796, 'CodevTT_Dead Line', '1449788400', '', 0, 1452262688),
(64168, 2, 7796, 'status', '80', '30', 0, 1452262688),
(64169, 2, 8362, '', '', '', 1, 1452262832),
(64170, 2, 8362, 'handler_id', '0', '146', 0, 1452262832),
(64171, 2, 8362, 'Ref. Externe', '3662', 'GAC-3662', 0, 1452262890),
(64172, 2, 8362, 'summary', '3662 - QF_TAIGA_AFFI_1.5.0.01_TAF : PAF – KO sur l\'alerte 2707 - Présence adresse de correspondance', 'G3662 - QF_TAIGA_AFFI_1.5.0.01_TAF : PAF – KO sur l\'alerte 2707 - Présence adresse de correspondance', 0, 1452262890),
(64173, 2, 8363, '', '', '', 1, 1452262969),
(64174, 2, 8363, 'handler_id', '0', '205', 0, 1452262969),
(64197, 74, 8087, 'status', '50', '80', 0, 1452266207),
(64198, 74, 8087, 'resolution', '10', '20', 0, 1452266207),
(64199, 74, 8087, 'CodevTT_RAF', '1', '0', 0, 1452266207),
(64212, 72, 8344, 'handler_id', '200', '146', 0, 1452269510),
(64213, 72, 8066, 'CodevTT_RAF', '0.1', '1.5', 0, 1452269929),
(64214, 72, 8066, 'handler_id', '146', '116', 0, 1452269965),
(107399, 72, 12331, 'Ref. Externe', '3933', 'G3933', 0, 1468312301),
(64241, 146, 8064, 'CodevTT_RAF', '', '0', 0, 1452271136),
(64242, 146, 8064, 'CodevTT_RAF', '0', '0', 0, 1452271136),
(64243, 146, 8064, 'status', '10', '80', 0, 1452271136),
(64244, 146, 8064, 'CodevTT_RAF', '0', '0', 0, 1452271152),
(64245, 146, 8064, 'CodevTT_RAF', '0', '0', 0, 1452271163),
(64246, 72, 7069, 'CodevTT_RAF', '0', '2', 0, 1452271165),
(64247, 72, 7069, 'CodevTT_Dead Line', '1449529200', '1454194800', 0, 1452271165),
(64248, 72, 7069, 'status', '80', '50', 0, 1452271165),
(64262, 72, 8364, '', '', '', 1, 1452271423),
(64263, 72, 8364, 'handler_id', '0', '146', 0, 1452271423),
(64264, 72, 8364, '', '', '7406', 21, 1452271423),
(64265, 72, 7406, '', '', '8364', 20, 1452271423),
(64290, 146, 8364, 'CodevTT_RAF', '', '0', 0, 1452271608),
(64291, 146, 8364, 'CodevTT_RAF', '0', '0', 0, 1452271608),
(64292, 146, 8364, 'status', '10', '80', 0, 1452271608),
(64293, 72, 8361, 'status', '80', '50', 0, 1452271608),
(64298, 72, 8361, 'handler_id', '2', '93', 0, 1452271624),
(64299, 146, 8364, 'CodevTT_RAF', '0', '0', 0, 1452271627),
(64306, 146, 8064, 'CodevTT_RAF', '0', '0', 0, 1452271644),
(64309, 72, 8361, 'CodevTT_RAF', '0', '1', 0, 1452271681),
(64320, 146, 8344, 'CodevTT_RAF', '', '1.5', 0, 1452271742),
(64321, 146, 8344, 'status', '10', '50', 0, 1452271742),
(64356, 2, 7556, 'target_version', 'GAC_1.7', 'GAC_1.5.5', 0, 1452272658),
(64400, 72, 7656, 'status', '10', '80', 0, 1452273641),
(64401, 72, 7656, 'resolution', '10', '20', 0, 1452273641),
(64402, 72, 7656, 'CodevTT_RAF', '', '0', 0, 1452273641),
(64403, 147, 7985, 'CodevTT_RAF', '1', '0', 0, 1452273699),
(64404, 147, 7985, 'CodevTT_RAF', '0', '0', 0, 1452273699),
(64405, 147, 7985, 'status', '50', '80', 0, 1452273699),
(64414, 72, 8063, 'status', '10', '80', 0, 1452273825),
(64415, 72, 8063, 'resolution', '10', '20', 0, 1452273825),
(64416, 72, 8063, 'CodevTT_RAF', '', '0', 0, 1452273825),
(64426, 199, 8179, 'CodevTT_RAF', '1', '3', 0, 1452496188),
(64427, 199, 8179, 'CodevTT_RAF', '3', '3', 0, 1452496212),
(64428, 199, 8179, 'CodevTT_RAF', '3', '2', 0, 1452496237),
(64429, 199, 7378, 'CodevTT_RAF', '0', '0', 0, 1452496262),
(64430, 199, 7814, 'CodevTT_RAF', '1', '0.5', 0, 1452496281),
(64431, 199, 7814, 'CodevTT_RAF', '0.5', '0', 0, 1452496291),
(64432, 199, 7814, 'CodevTT_RAF', '0', '0', 0, 1452496291),
(64433, 199, 7814, 'status', '50', '80', 0, 1452496291),
(64434, 199, 7899, 'CodevTT_RAF', '0', '0', 0, 1452496378),
(64435, 199, 5405, 'CodevTT_RAF', '6.3', '1', 0, 1452496411),
(64436, 199, 5405, 'status', '20', '50', 0, 1452496411),
(64437, 199, 8343, 'CodevTT_RAF', '', '0', 0, 1452499816),
(64438, 199, 8343, 'CodevTT_RAF', '0', '0', 0, 1452499816),
(64439, 199, 8343, 'status', '10', '80', 0, 1452499816),
(64460, 93, 7645, 'CodevTT_RAF', '4', '4', 0, 1452503246),
(64461, 93, 8361, 'CodevTT_RAF', '1', '3', 0, 1452503276),
(64462, 93, 8361, 'CodevTT_RAF', '3', '1', 0, 1452503351),
(64480, 93, 5457, 'status', '50', '80', 0, 1452504404),
(64481, 93, 5457, 'resolution', '10', '20', 0, 1452504404),
(64482, 93, 5457, 'CodevTT_RAF', '1', '0', 0, 1452504405),
(64483, 93, 6154, 'CodevTT_RAF', '0.05', '0', 0, 1452504426),
(64484, 93, 6154, 'status', '50', '80', 0, 1452504426),
(64485, 93, 6154, 'resolution', '10', '20', 0, 1452504426),
(64497, 93, 6190, 'CodevTT_RAF', '2', '0', 0, 1452505006),
(64498, 93, 6190, 'status', '50', '80', 0, 1452505006),
(64499, 93, 6190, 'resolution', '10', '20', 0, 1452505006),
(64500, 93, 6517, 'CodevTT_RAF', '1.5', '0', 0, 1452505135),
(64501, 93, 6517, 'status', '50', '80', 0, 1452505135),
(64502, 93, 6517, 'resolution', '10', '20', 0, 1452505135),
(64503, 93, 6516, 'CodevTT_RAF', '0.5', '0', 0, 1452505182),
(64504, 93, 6516, 'status', '50', '80', 0, 1452505182),
(64505, 93, 6516, 'resolution', '10', '20', 0, 1452505182),
(64506, 93, 7072, 'CodevTT_RAF', '0.6', '0', 0, 1452505299),
(64507, 93, 7072, 'status', '50', '80', 0, 1452505299),
(64508, 93, 7072, 'resolution', '10', '20', 0, 1452505299),
(64509, 93, 8086, 'CodevTT_RAF', '1', '0', 0, 1452505350),
(64510, 93, 8086, 'status', '50', '80', 0, 1452505350),
(64511, 93, 8086, 'resolution', '10', '20', 0, 1452505350),
(64512, 93, 6490, 'CodevTT_RAF', '2', '0', 0, 1452505714),
(64513, 93, 6490, 'status', '20', '80', 0, 1452505714),
(64514, 93, 6490, 'resolution', '10', '20', 0, 1452505714),
(64515, 93, 5297, 'CodevTT_RAF', '0.5', '0', 0, 1452505764),
(64516, 93, 5297, 'status', '20', '80', 0, 1452505764),
(64517, 93, 5297, 'resolution', '10', '20', 0, 1452505764),
(64523, 93, 5341, 'handler_id', '93', '0', 0, 1452507444),
(64524, 93, 5341, 'category', 'General', '3en1', 0, 1452507444),
(64529, 158, 8155, 'CodevTT_RAF', '1.5', '1', 0, 1452515684),
(64542, 200, 7897, 'CodevTT_RAF', '1.5', '0.5', 0, 1452516280),
(64613, 157, 8153, 'CodevTT_RAF', '0.5', '1', 0, 1452522976),
(64620, 157, 8150, 'CodevTT_RAF', '', '0', 0, 1452524654),
(64621, 157, 8150, 'CodevTT_RAF', '0', '0', 0, 1452524654),
(64622, 157, 8150, 'status', '10', '80', 0, 1452524654),
(64623, 72, 8154, 'handler_id', '157', '169', 0, 1452525755),
(64624, 72, 8154, 'status', '10', '50', 0, 1452525771),
(64625, 72, 8147, 'handler_id', '157', '169', 0, 1452525843),
(64626, 116, 8066, 'CodevTT_RAF', '1.5', '1', 0, 1452527459),
(64636, 72, 7393, 'Ref. Externe', '41668', '41937', 0, 1452529754),
(64642, 72, 8382, '', '', '', 1, 1452530006),
(64643, 72, 8382, 'handler_id', '0', '199', 0, 1452530006),
(64667, 134, 8292, 'CodevTT_RAF', '1', '0.5', 0, 1452587843),
(64668, 134, 8291, 'CodevTT_RAF', '0.1', '0', 0, 1452587947),
(64669, 134, 8291, 'CodevTT_RAF', '0', '0', 0, 1452587947),
(64670, 134, 8291, 'status', '40', '80', 0, 1452587947),
(64671, 134, 8292, 'CodevTT_RAF', '0.5', '0', 0, 1452588034),
(64672, 134, 8292, 'CodevTT_RAF', '0', '0', 0, 1452588034),
(64673, 134, 8292, 'status', '30', '80', 0, 1452588034),
(64674, 2, 8155, 'CodevTT_RAF', '1', '2', 0, 1452588190),
(64737, 72, 8066, 'CodevTT_ChargeMgr', '12', '3', 0, 1452591020),
(64738, 72, 8066, 'CodevTT_ChargeInit', '10', '2', 0, 1452591020),
(64739, 117, 3686, 'CodevTT_RAF', '0', '0', 0, 1452591035),
(64740, 117, 4874, 'CodevTT_RAF', '', '1', 0, 1452591073),
(64741, 117, 4874, 'status', '10', '20', 0, 1452591073),
(64742, 117, 4874, 'CodevTT_RAF', '1', '1', 0, 1452591092),
(64743, 117, 4873, 'CodevTT_RAF', '', '1', 0, 1452591225),
(64744, 117, 4873, 'status', '10', '20', 0, 1452591225),
(64769, 134, 7379, 'CodevTT_RAF', '1', '10', 0, 1452594453),
(64861, 116, 8066, 'CodevTT_RAF', '1', '0', 0, 1452612833),
(64862, 116, 8066, 'CodevTT_RAF', '0', '0', 0, 1452612833),
(64863, 116, 8066, 'status', '50', '80', 0, 1452612833),
(64864, 93, 8361, 'CodevTT_RAF', '1', '1', 0, 1452618097),
(64865, 2, 8386, '', '', '', 1, 1452618429),
(64866, 2, 8386, 'handler_id', '0', '164', 0, 1452618429),
(64867, 2, 8387, '', '', '', 1, 1452618489),
(64868, 2, 8387, 'handler_id', '0', '164', 0, 1452618489),
(64869, 2, 8387, '', '', '8386', 21, 1452618489),
(64870, 2, 8386, '', '', '8387', 20, 1452618489),
(64871, 2, 8386, 'target_version', '', 'GAC_1.5.5', 0, 1452618506),
(64872, 2, 8388, '', '', '', 1, 1452618709),
(64873, 2, 8155, 'CodevTT_RAF', '2', '4', 0, 1452624667),
(64904, 74, 8181, 'CodevTT_RAF', '1', '0', 0, 1452675769),
(64905, 74, 8181, 'CodevTT_RAF', '0', '0', 0, 1452675769),
(64906, 74, 8181, 'status', '50', '80', 0, 1452675769),
(64907, 199, 8382, 'CodevTT_RAF', '', '0', 0, 1452676024),
(64908, 199, 8382, 'CodevTT_RAF', '0', '0', 0, 1452676024),
(64909, 199, 8382, 'status', '10', '80', 0, 1452676024),
(64910, 199, 8382, 'CodevTT_RAF', '0', '0', 0, 1452676036),
(64911, 199, 8297, 'CodevTT_RAF', '', '0', 0, 1452676073),
(64912, 199, 8297, 'CodevTT_RAF', '0', '0', 0, 1452676073),
(64913, 199, 8297, 'status', '10', '80', 0, 1452676073),
(64914, 199, 8297, 'CodevTT_RAF', '0', '0', 0, 1452676082),
(64915, 199, 8179, 'CodevTT_RAF', '2', '2', 0, 1452676120),
(64916, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1452676150),
(64917, 199, 8179, 'CodevTT_RAF', '2', '2', 0, 1452676211),
(64918, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1452676230),
(64919, 199, 8382, 'CodevTT_RAF', '0', '0', 0, 1452676272),
(64920, 93, 8361, 'CodevTT_RAF', '1', '0', 0, 1452677674),
(64921, 93, 8361, 'CodevTT_RAF', '0', '0', 0, 1452677674),
(64922, 93, 8361, 'status', '50', '80', 0, 1452677674),
(64923, 2, 8155, 'CodevTT_RAF', '4', '4', 0, 1452680312),
(64924, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452681734),
(64925, 72, 7556, 'target_version', 'GAC_1.5.5', 'GAC_1.7', 0, 1452682653),
(64926, 134, 7379, 'CodevTT_RAF', '10', '9.1', 0, 1452689966),
(64927, 134, 7379, 'CodevTT_RAF', '9.1', '8.1', 0, 1452690007),
(64928, 93, 7645, 'CodevTT_RAF', '4', '3', 0, 1452690054),
(64929, 72, 8389, '', '', '', 1, 1452694212),
(64930, 72, 8389, 'handler_id', '0', '74', 0, 1452694212),
(64931, 72, 8390, '', '', '', 1, 1452694530),
(64932, 72, 8390, 'handler_id', '0', '74', 0, 1452694530),
(64933, 72, 8390, '', '', '8389', 21, 1452694530),
(64934, 72, 8389, '', '', '8390', 20, 1452694530),
(64959, 74, 8389, 'CodevTT_RAF', '', '2', 0, 1452699603),
(64960, 74, 8389, 'status', '10', '50', 0, 1452699603),
(64961, 74, 8390, 'CodevTT_RAF', '', '4', 0, 1452699818),
(64962, 74, 8390, 'status', '10', '50', 0, 1452699818),
(64963, 199, 8297, 'CodevTT_RAF', '0', '0', 0, 1452699837),
(64964, 199, 8178, 'CodevTT_RAF', '', '0', 0, 1452699860),
(64965, 199, 8178, 'CodevTT_RAF', '0', '0', 0, 1452699860),
(64966, 199, 8178, 'status', '10', '80', 0, 1452699860),
(64967, 199, 8297, 'CodevTT_RAF', '0', '0', 0, 1452699884),
(64968, 199, 7814, 'CodevTT_RAF', '0', '0', 0, 1452699919),
(64969, 74, 8390, 'CodevTT_RAF', '4', '4', 0, 1452700031),
(68208, 134, 8300, 'status', '10', '40', 0, 1454341302),
(68207, 134, 8300, 'CodevTT_RAF', '', '0.1', 0, 1454341302),
(64973, 72, 8389, '', '', '8391', 20, 1452700201),
(68204, 134, 8299, 'status', '10', '40', 0, 1454341180),
(68205, 134, 8301, 'CodevTT_RAF', '1', '0.5', 0, 1454341227),
(68206, 134, 8060, 'CodevTT_RAF', '0.2', '0.1', 0, 1454341269),
(68203, 134, 8299, 'CodevTT_RAF', '', '0.5', 0, 1454341180),
(65012, 157, 6189, 'CodevTT_RAF', '10', '2', 0, 1452762600),
(65013, 157, 8153, 'CodevTT_RAF', '1', '0.5', 0, 1452762659),
(65014, 157, 6189, 'CodevTT_RAF', '2', '1.5', 0, 1452762707),
(65015, 157, 8148, 'CodevTT_RAF', '', '1.5', 0, 1452762739),
(65016, 157, 8148, 'status', '10', '50', 0, 1452762739),
(65017, 157, 6189, 'CodevTT_RAF', '1.5', '1', 0, 1452762762),
(65018, 157, 6189, 'CodevTT_RAF', '1', '0.5', 0, 1452762779),
(65036, 2, 8395, '', '', '', 1, 1452775481),
(65037, 2, 8395, 'handler_id', '0', '164', 0, 1452775481),
(65038, 2, 8395, 'CodevTT_ChargeMgr', '0', '1', 0, 1452775514),
(65039, 205, 8133, 'CodevTT_RAF', '1', '0.5', 0, 1452776052),
(65040, 205, 8133, 'CodevTT_RAF', '0.5', '0.5', 0, 1452776161),
(65064, 205, 8075, 'CodevTT_RAF', '0.1', '0', 0, 1452776758),
(65065, 205, 8075, 'CodevTT_RAF', '0', '0', 0, 1452776758),
(65066, 205, 8075, 'status', '50', '80', 0, 1452776758),
(65067, 205, 8073, 'CodevTT_RAF', '0.2', '0', 0, 1452776798),
(65068, 205, 8073, 'CodevTT_RAF', '0', '0', 0, 1452776798),
(65069, 205, 8073, 'status', '50', '80', 0, 1452776798),
(65070, 205, 7113, 'CodevTT_RAF', '5', '3', 0, 1452776840),
(65074, 205, 8074, 'CodevTT_RAF', '0.5', '0', 0, 1452776919),
(65075, 205, 8074, 'CodevTT_RAF', '0', '0', 0, 1452776919),
(65076, 205, 8074, 'status', '50', '80', 0, 1452776919),
(65077, 205, 8074, 'CodevTT_RAF', '0', '0', 0, 1452776920),
(65083, 205, 8344, 'CodevTT_RAF', '1.5', '1.5', 0, 1452777130),
(65086, 205, 8129, 'CodevTT_RAF', '2', '1.5', 0, 1452777294),
(65089, 205, 8344, 'CodevTT_RAF', '1.5', '1.5', 0, 1452777314),
(65131, 72, 8362, 'handler_id', '146', '116', 0, 1452780951),
(65133, 2, 7556, 'target_version', 'GAC_1.7', 'GAC_1.7.1', 0, 1452782323),
(65134, 2, 7796, 'Ref. Externe', 'GAC 3532', 'GAC_3532', 0, 1452782409),
(65135, 2, 7796, 'handler_id', '147', '146', 0, 1452782409),
(65136, 2, 7796, 'target_version', 'GAC_1.5.4.01', 'GAC_1.7.1', 0, 1452782409),
(65137, 2, 8362, 'target_version', 'GAC_1.7', 'GAC_1.7.1', 0, 1452782496),
(65138, 2, 8362, 'summary', 'G3662 - QF_TAIGA_AFFI_1.5.0.01_TAF : PAF – KO sur l\'alerte 2707 - Présence adresse de correspondance', 'GAC-3662 QF_TAIGA_AFFI_1.5.0.01_TAF : PAF – KO sur l\'alerte 2707 - Présence adresse de correspondance', 0, 1452782709),
(65139, 2, 7556, 'summary', 'GAC - 3514 - QF_TAIGA_AFFI_1.5.0.01_TAF : PAF – KO sur l\'alerte 2725 - Option EIRL', 'GAC-3514 QF_TAIGA_AFFI_1.5.0.01_TAF : PAF – KO sur l\'alerte 2725 - Option EIRL', 0, 1452782735),
(65152, 134, 7379, 'CodevTT_RAF', '8.1', '6', 0, 1452847551),
(65153, 134, 7379, 'CodevTT_RAF', '6', '5', 0, 1452847571),
(65154, 134, 7379, 'CodevTT_RAF', '5', '6', 0, 1452847608),
(65155, 134, 7379, 'CodevTT_RAF', '6', '5', 0, 1452847628),
(65196, 2, 8147, 'CodevTT_ChargeInit', '2', '4', 0, 1452861922),
(65197, 2, 8171, 'handler_id', '157', '169', 0, 1452862229),
(65198, 2, 8154, 'CodevTT_ChargeMgr', '3', '0', 0, 1452862513),
(65199, 2, 8154, 'CodevTT_ChargeInit', '2', '4', 0, 1452862513),
(65200, 2, 7391, 'CodevTT_ChargeInit', '2', '4', 0, 1452862917),
(65201, 2, 7391, 'CodevTT_RAF', '0.5', '3', 0, 1452862917),
(65202, 2, 7391, '', '0001177', '', 2, 1452862917),
(65203, 2, 7395, 'CodevTT_ChargeInit', '2', '5', 0, 1452863124),
(65204, 2, 7395, 'CodevTT_RAF', '0', '5', 0, 1452863124),
(65205, 2, 7395, 'status', '80', '20', 0, 1452863124),
(65206, 2, 7392, 'CodevTT_ChargeInit', '2', '4', 0, 1452863169),
(65207, 2, 7392, 'status', '80', '20', 0, 1452863169),
(65208, 2, 7395, 'CodevTT_ChargeInit', '5', '4', 0, 1452863322),
(65209, 2, 7395, 'CodevTT_RAF', '5', '4', 0, 1452863322),
(65210, 2, 7392, 'CodevTT_RAF', '0', '4', 0, 1452863380),
(65211, 2, 7392, '', '1651', '', 6, 1452863395),
(65212, 2, 8148, 'CodevTT_ChargeInit', '2', '4', 0, 1452863559),
(65213, 2, 8148, 'CodevTT_RAF', '1.5', '4', 0, 1452863559),
(65214, 2, 8148, 'handler_id', '157', '169', 0, 1452863559),
(65215, 2, 8148, '', '1653', '', 6, 1452863559),
(65216, 2, 8149, 'CodevTT_RAF', '', '0', 0, 1452863766),
(65217, 2, 8149, 'CodevTT_RAF', '0', '0', 0, 1452863766),
(65218, 2, 8149, 'status', '10', '80', 0, 1452863766),
(65219, 2, 8149, 'CodevTT_RAF', '0', '0', 0, 1452863781),
(65220, 2, 8150, '', '1', '8149', 18, 1452863960),
(65221, 2, 8149, '', '1', '8150', 18, 1452863960),
(65222, 2, 8150, 'CodevTT_ChargeInit', '2', '4', 0, 1452864005),
(65223, 2, 8150, 'CodevTT_RAF', '0', '1', 0, 1452864005),
(65224, 2, 8150, 'status', '80', '30', 0, 1452864005),
(65225, 2, 8150, '', '1655', '', 6, 1452864022),
(65226, 2, 8403, '', '', '', 1, 1452864197),
(65227, 2, 8403, 'Ref. Externe', '41003', '42003', 0, 1452864234),
(65228, 2, 8403, 'summary', '41003 - 3en1 : Anomalie sur des écheanciers générés suite au deblocage d\'assurés', '42003 - 3en1 : Anomalie sur des écheanciers générés suite au deblocage d\'assurés', 0, 1452864234),
(65229, 2, 8403, 'CodevTT_ChargeInit', '2', '4', 0, 1452864338),
(65230, 2, 8403, 'handler_id', '0', '157', 0, 1452864462),
(65231, 2, 8404, '', '', '', 1, 1452864822),
(65232, 2, 8404, 'handler_id', '0', '93', 0, 1452864822),
(65233, 2, 8404, 'CodevTT_Dead Line', '', '1422572400', 0, 1452864996),
(65234, 2, 8404, 'CodevTT_Dead Line', '1422572400', '1454108400', 0, 1452865028),
(65235, 2, 8290, 'handler_id', '134', '2', 0, 1452865460),
(65236, 2, 8289, 'handler_id', '134', '2', 0, 1452865460),
(65237, 2, 7393, 'CodevTT_ChargeInit', '2', '4', 0, 1452865806),
(65238, 2, 7393, 'CodevTT_RAF', '0', '4', 0, 1452865806),
(65239, 2, 7393, 'status', '80', '30', 0, 1452865806),
(65240, 2, 7393, '', '1657', '', 6, 1452865806),
(65241, 2, 8289, 'CodevTT_Dead Line', '1452812400', '', 0, 1452866216),
(65243, 2, 8171, '', '4', '8148', 18, 1452867542),
(65244, 2, 8148, '', '0', '8171', 18, 1452867542),
(65245, 2, 8171, 'status', '10', '80', 0, 1452867560),
(65246, 2, 8171, 'resolution', '10', '20', 0, 1452867560),
(65247, 2, 8171, 'CodevTT_RAF', '', '0', 0, 1452867560),
(65248, 2, 8171, 'summary', '[41277] Calcul ne reprenant pas le dernier échéancier', '41277 - Calcul ne reprenant pas le dernier échéancier', 0, 1452871554),
(65249, 2, 8171, '', '1659', '', 6, 1452871554),
(65250, 200, 7897, 'CodevTT_RAF', '0.5', '2.5', 0, 1452872869),
(65251, 200, 8180, 'CodevTT_RAF', '4', '2', 0, 1452872915),
(65252, 200, 7897, 'CodevTT_RAF', '2.5', '2.3', 0, 1452872947),
(65253, 200, 7897, 'CodevTT_RAF', '2.3', '2', 0, 1452872961),
(65254, 200, 8180, 'CodevTT_RAF', '2', '1.5', 0, 1452872989),
(65255, 200, 8180, 'CodevTT_RAF', '1.5', '1.3', 0, 1452873060),
(65256, 200, 8180, 'CodevTT_RAF', '1.3', '5', 0, 1452873077),
(65257, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452874903),
(65258, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452874914),
(65259, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452874928),
(65260, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452874937),
(65261, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1452874965),
(65262, 164, 8386, 'CodevTT_RAF', '', '0', 0, 1452875125),
(65263, 164, 8386, 'CodevTT_RAF', '0', '0', 0, 1452875125),
(65264, 164, 8386, 'status', '10', '80', 0, 1452875125),
(65265, 164, 8386, 'CodevTT_RAF', '0', '0', 0, 1452875159),
(65266, 72, 8405, '', '', '', 1, 1452875600),
(65267, 72, 8405, 'handler_id', '0', '199', 0, 1452875600),
(65268, 72, 8406, '', '', '', 1, 1452875695),
(65269, 72, 8406, 'handler_id', '0', '199', 0, 1452875695),
(65270, 72, 8406, '', '', '8405', 21, 1452875695),
(65271, 72, 8405, '', '', '8406', 20, 1452875695),
(65272, 72, 8407, '', '', '', 1, 1452875749),
(65273, 72, 8407, 'handler_id', '0', '199', 0, 1452875749),
(65274, 72, 8407, '', '', '8405', 21, 1452875749),
(65275, 72, 8405, '', '', '8407', 20, 1452875749),
(65276, 158, 8060, 'CodevTT_RAF', '2', '0.2', 0, 1452877175),
(65277, 158, 8060, 'CodevTT_RAF', '0.2', '0.2', 0, 1452877209),
(65278, 169, 8085, 'CodevTT_RAF', '2', '0', 0, 1452877265),
(65279, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877265),
(65280, 169, 8085, 'status', '50', '80', 0, 1452877265),
(65281, 158, 8060, 'CodevTT_RAF', '0.2', '0.2', 0, 1452877270),
(65282, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877274),
(65283, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877283),
(65284, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877291),
(65285, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877300),
(65286, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877329),
(65287, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877337),
(65288, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877343),
(65289, 169, 8085, 'CodevTT_RAF', '0', '0', 0, 1452877353),
(65290, 158, 8155, 'CodevTT_RAF', '4', '4', 0, 1452877379),
(65291, 169, 4324, 'CodevTT_RAF', '2', '2', 0, 1452877380),
(65292, 158, 8060, 'CodevTT_RAF', '0.2', '0.2', 0, 1452877471),
(65293, 158, 8155, 'CodevTT_RAF', '4', '4', 0, 1452877511),
(65390, 199, 8405, 'CodevTT_RAF', '', '0', 0, 1453111511),
(65391, 199, 8405, 'CodevTT_RAF', '0', '0', 0, 1453111511),
(65392, 199, 8405, 'status', '10', '80', 0, 1453111511),
(65393, 199, 8406, 'CodevTT_RAF', '', '0', 0, 1453111528),
(65394, 199, 8406, 'CodevTT_RAF', '0', '0', 0, 1453111528),
(65395, 199, 8406, 'status', '10', '80', 0, 1453111528),
(65396, 199, 8407, 'CodevTT_RAF', '', '0', 0, 1453111545),
(65397, 199, 8407, 'CodevTT_RAF', '0', '0', 0, 1453111545),
(65398, 199, 8407, 'status', '10', '80', 0, 1453111545),
(65399, 157, 8147, 'CodevTT_Dead Line', '', '1453417200', 0, 1453112330),
(65403, 157, 8154, 'CodevTT_Dead Line', '', '1454022000', 0, 1453112385),
(65404, 199, 8179, 'CodevTT_RAF', '2', '1', 0, 1453112405),
(65405, 199, 8179, 'CodevTT_RAF', '1', '2', 0, 1453112422),
(65406, 157, 8148, 'CodevTT_Dead Line', '', '1454626800', 0, 1453112444),
(65407, 2, 8154, 'CodevTT_RAF', '', '4', 0, 1453112728),
(65409, 2, 3733, 'CodevTT_RAF', '0', '1', 0, 1453112836),
(65418, 2, 8147, '', '0001178', '', 2, 1453120686),
(65419, 2, 8147, 'status', '10', '50', 0, 1453120686),
(65420, 2, 4590, 'CodevTT_RAF', '3', '0', 0, 1453122325),
(65438, 72, 8450, '', '', '', 1, 1453126917),
(65439, 72, 8450, 'handler_id', '0', '134', 0, 1453126917),
(65440, 72, 8450, '', '', '8299', 21, 1453126917),
(65441, 72, 8299, '', '', '8450', 20, 1453126917),
(65442, 2, 8289, 'CodevTT_RAF', '', '0.5', 0, 1453130441),
(65443, 2, 8289, 'status', '10', '50', 0, 1453130441),
(65450, 116, 8362, 'CodevTT_RAF', '', '0', 0, 1453132099),
(65451, 116, 8362, 'CodevTT_RAF', '0', '0', 0, 1453132099),
(65452, 116, 8362, 'status', '10', '80', 0, 1453132099),
(65453, 199, 8179, 'CodevTT_RAF', '2', '0', 0, 1453133962),
(65454, 199, 8179, 'CodevTT_RAF', '0', '0', 0, 1453133962),
(65455, 199, 8179, 'status', '50', '80', 0, 1453133962),
(65456, 200, 7069, 'CodevTT_RAF', '2', '7', 0, 1453134502),
(65457, 200, 7069, '', '0001180', '', 2, 1453134502),
(65458, 200, 7069, 'status', '50', '80', 0, 1453134502),
(65459, 200, 7069, 'resolution', '10', '30', 0, 1453134502),
(65460, 200, 7069, 'CodevTT_RAF', '7', '0', 0, 1453134502),
(65461, 200, 7069, 'status', '80', '50', 0, 1453134528),
(65462, 200, 7069, 'CodevTT_RAF', '0', '4', 0, 1453134563),
(65463, 200, 7069, 'CodevTT_RAF', '4', '4.5', 0, 1453134595),
(65464, 200, 8180, 'CodevTT_RAF', '5', '4.5', 0, 1453134643),
(65466, 146, 8344, 'CodevTT_RAF', '1.5', '1', 0, 1453194790),
(65467, 158, 8060, 'CodevTT_RAF', '0.2', '0', 0, 1453194809),
(65468, 158, 8060, 'CodevTT_RAF', '0', '0', 0, 1453194809),
(65469, 158, 8060, 'status', '50', '80', 0, 1453194809),
(65470, 146, 7985, 'CodevTT_RAF', '0', '0', 0, 1453194842),
(65471, 146, 7985, 'CodevTT_RAF', '0', '0', 0, 1453194947),
(65472, 146, 7985, 'CodevTT_RAF', '0', '0', 0, 1453194969),
(65474, 72, 8072, 'CodevTT_ChargeInit', '3', '2', 0, 1453196311),
(65475, 72, 8072, 'handler_id', '205', '116', 0, 1453196311),
(65476, 72, 8067, 'handler_id', '0', '116', 0, 1453196404),
(65484, 93, 7645, 'CodevTT_RAF', '3', '4', 0, 1453198891),
(65485, 93, 7645, 'CodevTT_RAF', '4', '3', 0, 1453198907),
(65530, 158, 8155, 'CodevTT_RAF', '4', '3.2', 0, 1453217231),
(65539, 116, 8072, 'CodevTT_RAF', '', '2', 0, 1453219171),
(65540, 116, 8072, 'status', '10', '50', 0, 1453219171),
(65555, 2, 8289, 'CodevTT_RAF', '0.5', '0.25', 0, 1453221563),
(65556, 2, 8289, 'CodevTT_RAF', '0.25', '0.25', 0, 1453221577),
(65557, 2, 8289, 'CodevTT_RAF', '0.25', '0.25', 0, 1453221596),
(65558, 164, 8386, 'CodevTT_RAF', '0', '0', 0, 1453222390),
(65559, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1453222416),
(65560, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1453222428),
(65561, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1453222444),
(65563, 157, 8148, 'CodevTT_RAF', '4', '3', 0, 1453271670),
(65564, 157, 8148, 'handler_id', '169', '157', 0, 1453271670),
(65565, 157, 8148, 'CodevTT_RAF', '3', '1', 0, 1453271682),
(65566, 157, 8148, 'CodevTT_RAF', '1', '1', 0, 1453271698),
(65577, 2, 8289, 'CodevTT_RAF', '0.25', '0', 0, 1453280221),
(65578, 2, 8289, 'CodevTT_RAF', '0', '0', 0, 1453280221),
(65579, 2, 8289, 'status', '50', '80', 0, 1453280221),
(65601, 134, 7379, 'CodevTT_RAF', '5', '1', 0, 1453372706),
(65602, 134, 7379, 'CodevTT_RAF', '1', '0.2', 0, 1453372727),
(65603, 134, 7379, 'CodevTT_RAF', '0.2', '0', 0, 1453372770),
(65604, 134, 7379, 'CodevTT_RAF', '0', '0', 0, 1453372770),
(65605, 134, 7379, 'status', '30', '80', 0, 1453372770),
(65606, 134, 7379, 'CodevTT_RAF', '0', '0', 0, 1453372785),
(65607, 134, 7070, 'CodevTT_RAF', '0', '0', 0, 1453372857),
(65608, 134, 8303, 'CodevTT_RAF', '', '0.1', 0, 1453373220),
(65609, 134, 8303, 'status', '10', '40', 0, 1453373220),
(65610, 72, 8180, 'Ref. Externe', 'D99999', 'D42044', 0, 1453377897),
(65611, 72, 8180, 'CodevTT_Dead Line', '1453935600', '', 0, 1453377897),
(65612, 72, 8180, 'summary', '[DXXXXX]  Etude Flux Radiation deces', '[D42044] SPEC   Traitement des annulations de décès', 0, 1453377897),
(65613, 93, 7645, 'CodevTT_RAF', '3', '3', 0, 1453386007),
(65614, 93, 8404, 'CodevTT_RAF', '', '3', 0, 1453386031),
(65615, 93, 8404, 'status', '10', '50', 0, 1453386031),
(65696, 74, 8087, 'CodevTT_RAF', '0', '5', 0, 1453448065),
(65697, 74, 8087, 'status', '80', '50', 0, 1453448065),
(65698, 74, 8087, 'CodevTT_RAF', '5', '4', 0, 1453448073),
(65699, 74, 8087, 'CodevTT_RAF', '4', '3', 0, 1453448112),
(65700, 74, 8087, 'CodevTT_RAF', '3', '2', 0, 1453448120),
(65701, 74, 8087, 'CodevTT_RAF', '2', '1', 0, 1453448130),
(65702, 74, 8087, 'CodevTT_RAF', '1', '0', 0, 1453448143),
(65703, 74, 8087, 'CodevTT_RAF', '0', '0', 0, 1453448143),
(65704, 74, 8087, 'status', '50', '80', 0, 1453448143),
(65710, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1453451971),
(65711, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1453452002),
(65712, 164, 8387, 'CodevTT_RAF', '', '0', 0, 1453452068),
(65713, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1453452068),
(65714, 164, 8387, 'status', '10', '80', 0, 1453452068),
(65832, 157, 8148, 'CodevTT_RAF', '1', '0.5', 0, 1453460983),
(65833, 157, 8148, 'CodevTT_RAF', '0.5', '0.5', 0, 1453461021),
(65834, 157, 8148, 'CodevTT_RAF', '0.5', '0.5', 0, 1453461108),
(65835, 157, 8148, 'CodevTT_RAF', '0.5', '0.5', 0, 1453461133),
(65847, 205, 8388, 'CodevTT_RAF', '', '1', 0, 1453462822),
(65848, 205, 8388, 'handler_id', '0', '205', 0, 1453462822),
(65849, 205, 8388, 'CodevTT_RAF', '1', '1', 0, 1453462844),
(65850, 205, 8388, 'CodevTT_RAF', '1', '0', 0, 1453462892),
(65851, 205, 8388, 'CodevTT_RAF', '0', '0', 0, 1453462892),
(65852, 205, 8388, 'status', '10', '80', 0, 1453462892),
(65853, 205, 8551, '', '', '', 1, 1453463385),
(65854, 205, 8551, 'handler_id', '0', '205', 0, 1453463385),
(65855, 205, 8551, 'CodevTT_RAF', '', '3', 0, 1453463425),
(65856, 205, 8551, 'status', '10', '50', 0, 1453463425),
(65857, 205, 8551, 'CodevTT_RAF', '3', '2', 0, 1453463437),
(65858, 205, 8551, 'CodevTT_RAF', '2', '1', 0, 1453463450),
(65859, 205, 8551, 'CodevTT_RAF', '1', '0', 0, 1453463459),
(65860, 205, 8551, 'CodevTT_RAF', '0', '0', 0, 1453463459),
(65861, 205, 8551, 'status', '50', '80', 0, 1453463459),
(65863, 134, 8302, 'CodevTT_RAF', '', '0.5', 0, 1453467332),
(65864, 134, 8302, 'status', '10', '40', 0, 1453467332),
(65865, 134, 8301, 'CodevTT_RAF', '', '1', 0, 1453467367),
(65866, 134, 8301, 'status', '10', '40', 0, 1453467367),
(65867, 134, 8301, 'CodevTT_RAF', '1', '1', 0, 1453467400),
(65868, 200, 7069, 'CodevTT_RAF', '4.5', '4', 0, 1453467759),
(65869, 200, 7069, 'CodevTT_RAF', '4', '3', 0, 1453467776),
(65870, 200, 7069, 'CodevTT_RAF', '3', '2', 0, 1453467788),
(65871, 200, 7069, 'CodevTT_RAF', '2', '1', 0, 1453467808),
(65872, 169, 8147, 'CodevTT_RAF', '', '5', 0, 1453469045),
(65873, 169, 8147, 'CodevTT_RAF', '5', '5', 0, 1453469059),
(65874, 146, 8344, 'CodevTT_RAF', '1', '1', 0, 1453469085),
(65875, 146, 8344, 'CodevTT_RAF', '1', '1', 0, 1453469103),
(65876, 146, 8344, 'CodevTT_RAF', '1', '1', 0, 1453469141),
(65877, 169, 8147, 'CodevTT_RAF', '5', '5', 0, 1453469172),
(65878, 146, 8344, 'CodevTT_RAF', '1', '1', 0, 1453469176),
(65879, 169, 8147, 'CodevTT_RAF', '5', '5', 0, 1453469186),
(65880, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1453469331),
(65881, 199, 5406, 'CodevTT_RAF', '0.2', '1', 0, 1453469358),
(65882, 199, 5565, 'CodevTT_RAF', '7', '1', 0, 1453469374),
(65883, 199, 5406, 'CodevTT_RAF', '1', '1', 0, 1453469420),
(65884, 199, 5565, 'CodevTT_RAF', '1', '1', 0, 1453469430),
(65885, 72, 8552, '', '', '', 1, 1453469548),
(65886, 72, 8552, 'handler_id', '0', '146', 0, 1453469548),
(65893, 146, 8552, 'CodevTT_RAF', '', '1', 0, 1453470160),
(65894, 146, 8552, 'status', '10', '50', 0, 1453470160),
(65895, 146, 8552, 'CodevTT_RAF', '1', '1', 0, 1453470181),
(65896, 146, 8344, 'CodevTT_RAF', '1', '1', 0, 1453470191),
(65897, 146, 8344, 'CodevTT_RAF', '1', '0', 0, 1453470217),
(65898, 146, 8344, 'CodevTT_RAF', '0', '0', 0, 1453470217),
(65899, 146, 8344, 'status', '50', '80', 0, 1453470217),
(65900, 169, 8154, 'CodevTT_RAF', '4', '5', 0, 1453470432),
(65901, 93, 8404, 'CodevTT_RAF', '3', '3', 0, 1453470492),
(65902, 199, 5565, 'CodevTT_RAF', '1', '1', 0, 1453470500),
(65903, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1453470530),
(65913, 72, 8554, '', '', '', 1, 1453470723),
(65914, 72, 8554, 'handler_id', '0', '134', 0, 1453470723),
(66036, 72, 8344, 'CodevTT_RAF', '0', '1', 0, 1453474471),
(66037, 72, 8344, 'status', '80', '20', 0, 1453474471),
(66038, 2, 8557, '', '', '', 1, 1453476549),
(66039, 2, 8557, 'handler_id', '0', '2', 0, 1453476549),
(66040, 2, 8557, 'summary', '41064 - Appel 3 en 1: rattrapage SPOC22', '41064 - Appel 3 en 1: rattrapage SPOC22 (40714)', 0, 1453476566),
(66041, 2, 8557, 'CodevTT_RAF', '', '3', 0, 1453476856),
(66042, 2, 8557, 'status', '10', '50', 0, 1453476856),
(66043, 2, 8557, 'CodevTT_RAF', '3', '3', 0, 1453476873),
(66044, 2, 8557, 'CodevTT_RAF', '3', '3', 0, 1453476884),
(66045, 72, 8558, '', '', '', 1, 1453477918),
(66046, 72, 8558, 'handler_id', '0', '157', 0, 1453477918),
(66047, 72, 8152, 'status', '10', '20', 0, 1453477975),
(66048, 72, 8151, 'status', '10', '20', 0, 1453477975),
(66049, 72, 8152, 'handler_id', '157', '0', 0, 1453478143),
(66050, 72, 8151, 'handler_id', '157', '0', 0, 1453478166),
(66051, 72, 8559, '', '', '', 1, 1453478262),
(66052, 72, 8559, 'handler_id', '0', '157', 0, 1453478262),
(66053, 72, 8559, '', '', '8558', 21, 1453478262),
(66054, 72, 8558, '', '', '8559', 20, 1453478262),
(66055, 72, 8560, '', '', '', 1, 1453478314),
(66056, 72, 8560, 'handler_id', '0', '157', 0, 1453478314),
(66057, 72, 8560, '', '', '8558', 21, 1453478314),
(66058, 72, 8558, '', '', '8560', 20, 1453478314),
(66059, 72, 8559, 'Ref. Externe', '42082', '42084', 0, 1453478361),
(66785, 157, 8560, '', '', '8627', 20, 1453904166),
(66784, 157, 8627, '', '', '8560', 21, 1453904166),
(66063, 72, 8559, '', '', '8561', 20, 1453478439),
(66068, 134, 8554, 'CodevTT_RAF', '', '0.2', 0, 1453478657),
(66069, 134, 8554, 'status', '10', '40', 0, 1453478657),
(66073, 134, 8060, 'CodevTT_RAF', '0', '0.2', 0, 1453478721),
(66074, 134, 8060, 'status', '80', '50', 0, 1453478721),
(66075, 72, 8562, '', '', '', 1, 1453480990),
(66076, 72, 8562, 'handler_id', '0', '199', 0, 1453480990),
(66077, 72, 8563, '', '', '', 1, 1453481101),
(66078, 72, 8563, 'handler_id', '0', '199', 0, 1453481101),
(66079, 72, 8563, '', '', '8562', 21, 1453481101),
(66080, 72, 8562, '', '', '8563', 20, 1453481101),
(66387, 199, 8562, 'CodevTT_RAF', '', '0', 0, 1453719121),
(66388, 199, 8562, 'CodevTT_RAF', '0', '0', 0, 1453719121),
(66389, 199, 8562, 'status', '10', '80', 0, 1453719121),
(66452, 116, 8072, 'CodevTT_RAF', '2', '2', 0, 1453736838),
(66596, 2, 8557, 'Ref. Externe', '', '41064', 0, 1453798666),
(66597, 2, 8290, 'handler_id', '2', '134', 0, 1453798719),
(66599, 2, 7381, '', '0001201', '', 2, 1453799426),
(66600, 2, 7381, 'status', '50', '80', 0, 1453799426),
(66601, 2, 7381, 'resolution', '10', '20', 0, 1453799426),
(66602, 2, 7381, 'CodevTT_RAF', '1', '0', 0, 1453799426),
(66641, 93, 8404, 'CodevTT_RAF', '3', '2', 0, 1453804733),
(66642, 93, 8404, 'CodevTT_RAF', '2', '1', 0, 1453804741),
(66645, 2, 8289, 'CodevTT_RAF', '0', '0', 0, 1453806640),
(66661, 2, 8289, 'CodevTT_RAF', '0', '0', 0, 1453815767),
(66662, 116, 8072, 'CodevTT_RAF', '2', '0', 0, 1453820471),
(66663, 116, 8072, 'CodevTT_RAF', '0', '0', 0, 1453820471),
(66664, 116, 8072, 'status', '50', '80', 0, 1453820471),
(66665, 200, 7069, 'CodevTT_RAF', '1', '1', 0, 1453822064),
(66666, 200, 8129, 'CodevTT_RAF', '1.5', '1.25', 0, 1453822155),
(66667, 200, 7069, 'CodevTT_RAF', '1', '0.5', 0, 1453822193),
(66668, 200, 8454, 'CodevTT_RAF', '', '6', 0, 1453822328),
(66669, 200, 8454, 'status', '10', '50', 0, 1453822328),
(66670, 2, 7391, 'target_version', '', '16.0_Prov', 0, 1453822841),
(66671, 2, 7392, 'target_version', '', '16.0_Prov', 0, 1453822863),
(66672, 2, 7395, 'target_version', '', '16.0_Prov', 0, 1453822903),
(66673, 2, 8154, 'CodevTT_Dead Line', '1454022000', '', 0, 1453822933),
(66674, 2, 8154, 'target_version', '15.1.0_Avril', '16.0_Prov', 0, 1453822933),
(66675, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1453824989),
(66676, 164, 7496, 'CodevTT_RAF', '0', '0', 0, 1453825094),
(66677, 164, 8620, '', '', '', 1, 1453825360),
(66678, 164, 8620, 'handler_id', '0', '2', 0, 1453825360),
(66679, 164, 8620, '', '', '7496', 21, 1453825360),
(66680, 164, 7496, '', '', '8620', 20, 1453825360),
(66681, 72, 8621, '', '', '', 1, 1453826539),
(66682, 72, 8621, 'handler_id', '0', '74', 0, 1453826539),
(66683, 72, 8621, 'CodevTT_RAF', '', '10', 0, 1453826626),
(66684, 72, 8621, 'status', '10', '50', 0, 1453826626),
(66776, 2, 8563, 'target_version', '', '15.1.0_Avril', 0, 1453897415),
(66777, 157, 7393, 'Ref. Externe', '41937', '41668', 0, 1453902610),
(66778, 157, 7393, 'CodevTT_Type', 'Bug', 'Task', 0, 1453902657),
(66779, 157, 8150, 'CodevTT_RAF', '1', '0.5', 0, 1453903789),
(66783, 157, 8627, 'handler_id', '0', '157', 0, 1453904166),
(66782, 157, 8627, '', '', '', 1, 1453904166),
(66788, 157, 7395, 'CodevTT_RAF', '4', '3', 0, 1453904863),
(66789, 157, 7392, 'CodevTT_RAF', '4', '3', 0, 1453904888),
(66794, 157, 8150, 'CodevTT_RAF', '0.5', '0.5', 0, 1453904925),
(66795, 157, 6189, 'CodevTT_RAF', '0.5', '0.5', 0, 1453904950),
(66796, 157, 8559, 'CodevTT_RAF', '', '1.5', 0, 1453905012),
(66797, 157, 8559, 'status', '10', '50', 0, 1453905012),
(66798, 157, 8150, 'CodevTT_RAF', '0.5', '0.5', 0, 1453905113),
(66799, 157, 8404, 'CodevTT_RAF', '1', '1', 0, 1453905138),
(66800, 157, 8150, 'CodevTT_RAF', '0.5', '0.5', 0, 1453905171),
(66801, 157, 8147, 'CodevTT_RAF', '5', '2.5', 0, 1453905205),
(66823, 199, 8563, 'CodevTT_RAF', '', '0', 0, 1453907384),
(66824, 199, 8563, 'CodevTT_RAF', '0', '0', 0, 1453907384),
(66825, 199, 8563, 'status', '10', '80', 0, 1453907384),
(66826, 199, 8563, 'CodevTT_RAF', '0', '0', 0, 1453907397),
(66827, 199, 8562, 'CodevTT_RAF', '0', '0', 0, 1453907414),
(66828, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1453907467),
(66829, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1453907486),
(66830, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1453907510),
(66831, 199, 5565, 'CodevTT_RAF', '1', '1', 0, 1453907531),
(66836, 200, 8454, 'CodevTT_RAF', '6', '5.5', 0, 1453908949),
(66837, 200, 8180, 'CodevTT_RAF', '4.5', '4', 0, 1453909013),
(66982, 2, 3733, 'category', 'General', '3en1', 0, 1453972154),
(66983, 2, 5457, 'category', 'General', '3en1', 0, 1453972154),
(66984, 2, 3912, 'category', 'General', '3en1', 0, 1453972154),
(66985, 2, 4939, 'category', 'General', '3en1', 0, 1453972154),
(66986, 2, 5713, 'category', 'General', '3en1', 0, 1453972154),
(66987, 2, 5714, 'category', 'General', '3en1', 0, 1453972154),
(66988, 2, 6299, 'category', 'General', '3en1', 0, 1453972154),
(66989, 2, 3825, 'category', 'General', '3en1', 0, 1453972154),
(66990, 2, 6297, 'category', 'General', '3en1', 0, 1453972154),
(66991, 2, 4298, 'category', 'General', '3en1', 0, 1453972154),
(66992, 2, 4262, 'category', 'General', '3en1', 0, 1453972154),
(66993, 2, 4940, 'category', 'General', '3en1', 0, 1453972154),
(66994, 2, 4055, 'category', 'General', '3en1', 0, 1453972154),
(66995, 2, 5098, 'category', 'General', '3en1', 0, 1453972154),
(66996, 2, 5344, 'category', 'General', '3en1', 0, 1453972154),
(66997, 2, 5343, 'category', 'General', '3en1', 0, 1453972154),
(66998, 2, 5342, 'category', 'General', '3en1', 0, 1453972154),
(66999, 2, 4293, 'category', 'General', '3en1', 0, 1453972154),
(67000, 2, 4294, 'category', 'General', '3en1', 0, 1453972154),
(67001, 2, 5712, 'category', 'General', '3en1', 0, 1453972154),
(67002, 2, 4295, 'category', 'General', '3en1', 0, 1453972154),
(67003, 2, 5037, 'category', 'General', '3en1', 0, 1453972154),
(67004, 2, 4866, 'category', 'General', '3en1', 0, 1453972215),
(67005, 2, 5216, 'category', 'General', '3en1', 0, 1453972215),
(67006, 2, 5214, 'category', 'General', '3en1', 0, 1453972215),
(67007, 2, 5215, 'category', 'General', '3en1', 0, 1453972215),
(67008, 2, 4960, 'category', 'General', '3en1', 0, 1453972215),
(67009, 2, 4938, 'category', 'General', '3en1', 0, 1453972215),
(67010, 2, 4371, 'category', 'General', '3en1', 0, 1453972215),
(67011, 2, 4684, 'category', 'General', '3en1', 0, 1453972215),
(67012, 2, 3892, 'category', 'General', '3en1', 0, 1453972215),
(67013, 2, 3900, 'category', 'General', '3en1', 0, 1453972215),
(67014, 2, 4345, 'category', 'General', '3en1', 0, 1453972215),
(67015, 2, 4456, 'category', 'General', '3en1', 0, 1453972215),
(67016, 2, 4878, 'category', 'General', '3en1', 0, 1453972261),
(67017, 2, 4877, 'category', 'General', '3en1', 0, 1453972261),
(67018, 2, 3826, 'category', 'General', '3en1', 0, 1453972261),
(67019, 2, 4715, 'category', 'General', '3en1', 0, 1453972261),
(67020, 2, 4370, 'category', 'General', '3en1', 0, 1453972261),
(67021, 2, 4310, 'category', 'General', '3en1', 0, 1453972261),
(67022, 2, 3911, 'category', 'General', '3en1', 0, 1453972261),
(67023, 2, 4146, 'category', 'General', '3en1', 0, 1453972261),
(67024, 2, 4054, 'category', 'General', '3en1', 0, 1453972261),
(67025, 2, 4147, 'category', 'General', '3en1', 0, 1453972261),
(67026, 2, 4141, 'category', 'General', '3en1', 0, 1453972261),
(67027, 2, 4145, 'category', 'General', '3en1', 0, 1453972261),
(67028, 2, 3732, 'category', 'General', '3en1', 0, 1453972298),
(67029, 2, 3827, 'category', 'General', '3en1', 0, 1453972298),
(67030, 2, 3894, 'category', 'General', '3en1', 0, 1453972298),
(67031, 2, 3896, 'category', 'General', '3en1', 0, 1453972298),
(67032, 2, 3899, 'category', 'General', '3en1', 0, 1453972298),
(67033, 2, 4312, 'category', 'General', '3en1', 0, 1453972298),
(67034, 2, 4311, 'category', 'General', '3en1', 0, 1453972298),
(67035, 2, 4344, 'category', 'General', '3en1', 0, 1453972298),
(67036, 2, 3914, 'category', 'General', '3en1', 0, 1453972298),
(67037, 2, 3895, 'category', 'General', '3en1', 0, 1453972298),
(67038, 2, 3916, 'category', 'General', '3en1', 0, 1453972361),
(67039, 2, 6180, 'category', 'General', '3en1', 0, 1453973215),
(67040, 72, 8642, '', '', '', 1, 1453974408),
(67041, 72, 8642, 'handler_id', '0', '134', 0, 1453974409),
(67042, 72, 8643, '', '', '', 1, 1453974477),
(67043, 72, 8643, 'handler_id', '0', '74', 0, 1453974477),
(67044, 72, 8180, 'Ref. Externe', 'D42044', '42044', 0, 1453974726),
(67069, 72, 8076, 'handler_id', '0', '158', 0, 1453975398),
(67070, 72, 8076, 'status', '10', '50', 0, 1453975398),
(67071, 72, 7657, 'handler_id', '147', '158', 0, 1453975448),
(67181, 2, 3911, 'Ref. Externe', '', '39924', 0, 1453990344),
(67182, 72, 8669, '', '', '', 1, 1453990616),
(67183, 72, 8669, 'handler_id', '0', '199', 0, 1453990616),
(67184, 2, 4310, 'Ref. Externe', '', '40432', 0, 1453990892),
(67192, 2, 4960, 'Ref. Externe', '', '40731', 0, 1453991196),
(67483, 2, 8557, 'Ref. Externe', '41064', '42064', 0, 1453998964),
(67484, 2, 8557, 'summary', '41064 - Appel 3 en 1: rattrapage SPOC22 (40714)', '42064 - Appel 3 en 1: rattrapage SPOC22 (40714)', 0, 1453998964),
(67485, 2, 8557, 'CodevTT_RAF', '3', '2', 0, 1453999019),
(67486, 2, 8557, 'CodevTT_RAF', '2', '1', 0, 1453999038),
(67527, 199, 8669, 'CodevTT_RAF', '', '1', 0, 1454054460),
(67528, 199, 8669, 'status', '10', '50', 0, 1454054460),
(67529, 199, 5405, 'CodevTT_RAF', '1', '0', 0, 1454054504),
(67530, 199, 5405, 'CodevTT_RAF', '0', '0', 0, 1454054504),
(67531, 199, 5405, 'status', '50', '80', 0, 1454054504),
(67577, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1454060375),
(67578, 164, 8620, 'CodevTT_RAF', '', '0', 0, 1454060410),
(67579, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1454060410),
(67580, 164, 8620, 'status', '10', '80', 0, 1454060410),
(67581, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1454060429),
(67582, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1454060447),
(67583, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1454060462),
(67584, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1454060618),
(67585, 74, 8087, 'CodevTT_RAF', '0', '2', 0, 1454062138),
(67586, 74, 8087, 'status', '80', '50', 0, 1454062138),
(67587, 74, 8087, 'CodevTT_RAF', '2', '2', 0, 1454062173),
(67588, 74, 8087, 'CodevTT_RAF', '2', '2', 0, 1454062206),
(67589, 2, 8711, '', '', '', 1, 1454062330),
(67590, 2, 8711, 'target_version', '', '15.1_P', 0, 1454062422),
(67591, 2, 8712, '', '', '', 1, 1454062599),
(67592, 2, 8713, '', '', '', 1, 1454062634),
(67593, 2, 8713, '', '', '8712', 21, 1454062634),
(67594, 2, 8712, '', '', '8713', 20, 1454062634),
(67595, 2, 8712, '', '2501', '8713', 18, 1454062634),
(67596, 2, 8713, '', '2500', '8712', 18, 1454062634),
(67597, 74, 8712, 'CodevTT_RAF', '', '1', 0, 1454062683),
(67598, 74, 8712, 'status', '10', '50', 0, 1454062683),
(67599, 74, 8712, 'handler_id', '0', '74', 0, 1454062683),
(67780, 199, 8669, 'CodevTT_RAF', '1', '0', 0, 1454074112),
(67781, 199, 8669, 'CodevTT_RAF', '0', '0', 0, 1454074112),
(67782, 199, 8669, 'status', '50', '80', 0, 1454074112),
(67805, 2, 8557, '', '0001223', '', 2, 1454076086),
(67806, 2, 8557, 'status', '50', '80', 0, 1454076086),
(67807, 2, 8557, 'resolution', '10', '90', 0, 1454076086),
(67808, 2, 8557, 'CodevTT_RAF', '1', '0', 0, 1454076086),
(67944, 158, 8155, 'CodevTT_RAF', '3.2', '0.2', 0, 1454082763),
(67945, 158, 8155, 'CodevTT_RAF', '0.2', '0.2', 0, 1454082784),
(67946, 158, 8155, 'CodevTT_RAF', '0.2', '0.75', 0, 1454082826),
(68061, 93, 8404, 'CodevTT_RAF', '1', '1', 0, 1454316580),
(68062, 93, 8404, 'CodevTT_RAF', '1', '1', 0, 1454316581),
(68063, 93, 8404, 'CodevTT_RAF', '1', '1', 0, 1454316600),
(68064, 93, 8404, 'CodevTT_RAF', '1', '1', 0, 1454316610),
(68066, 93, 8404, 'CodevTT_RAF', '1', '0', 0, 1454316631),
(68067, 93, 8404, 'CodevTT_RAF', '0', '0', 0, 1454316631),
(68068, 93, 8404, 'status', '50', '80', 0, 1454316631),
(68132, 72, 8621, 'CodevTT_RAF', '10', '9', 0, 1454326953),
(68180, 74, 8712, 'CodevTT_RAF', '1', '0', 0, 1454340605),
(68181, 74, 8712, 'CodevTT_RAF', '0', '0', 0, 1454340605),
(68182, 74, 8712, 'status', '50', '80', 0, 1454340605),
(68183, 134, 8304, 'CodevTT_RAF', '', '0', 0, 1454340859),
(68184, 134, 8304, 'CodevTT_RAF', '0', '0', 0, 1454340859),
(68185, 134, 8304, 'status', '10', '80', 0, 1454340859),
(68186, 134, 8304, 'CodevTT_RAF', '0', '0.5', 0, 1454340902),
(68187, 134, 8304, 'status', '80', '30', 0, 1454340902),
(68188, 134, 8303, 'CodevTT_RAF', '0.1', '0.25', 0, 1454340961),
(68189, 134, 8303, 'CodevTT_RAF', '0.25', '0.25', 0, 1454340986),
(68190, 134, 8305, 'CodevTT_RAF', '', '0', 0, 1454341027),
(68191, 134, 8305, 'CodevTT_RAF', '0', '0', 0, 1454341027),
(68192, 134, 8305, 'status', '10', '80', 0, 1454341027),
(68193, 134, 8298, 'CodevTT_RAF', '', '0', 0, 1454341081),
(68194, 134, 8298, 'CodevTT_RAF', '0', '0', 0, 1454341081),
(68195, 134, 8298, 'status', '10', '80', 0, 1454341081),
(68196, 74, 8713, 'CodevTT_RAF', '', '0', 0, 1454341091),
(68197, 74, 8713, 'CodevTT_RAF', '0', '0', 0, 1454341091),
(68198, 74, 8713, 'status', '10', '80', 0, 1454341091),
(68199, 74, 8713, 'handler_id', '0', '74', 0, 1454341091),
(68202, 134, 8302, 'CodevTT_RAF', '0.5', '0.1', 0, 1454341136),
(68209, 134, 8554, 'CodevTT_RAF', '0.2', '0.1', 0, 1454341372),
(68210, 134, 8290, 'CodevTT_RAF', '', '0', 0, 1454341413);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(68211, 134, 8290, 'CodevTT_RAF', '0', '0', 0, 1454341413),
(68212, 134, 8290, 'status', '10', '80', 0, 1454341413),
(68214, 116, 8067, 'CodevTT_RAF', '', '1', 0, 1454341848),
(68215, 116, 8067, 'status', '10', '50', 0, 1454341848),
(68258, 169, 8147, 'CodevTT_RAF', '2.5', '2', 0, 1454348497),
(68260, 169, 8147, 'CodevTT_RAF', '2', '1', 0, 1454348529),
(68262, 169, 8154, 'CodevTT_RAF', '5', '3', 0, 1454348563),
(68263, 169, 8154, 'CodevTT_RAF', '3', '3', 0, 1454348591),
(68264, 169, 8154, 'CodevTT_RAF', '3', '3', 0, 1454348599),
(68268, 169, 8147, 'CodevTT_RAF', '1', '3', 0, 1454348678),
(68269, 169, 8154, 'CodevTT_RAF', '3', '0', 0, 1454348715),
(68270, 169, 8154, 'CodevTT_RAF', '0', '0', 0, 1454348715),
(68271, 169, 8154, 'status', '50', '80', 0, 1454348715),
(68272, 169, 8147, 'CodevTT_RAF', '3', '2', 0, 1454348812),
(68273, 199, 5405, 'CodevTT_RAF', '0', '2', 0, 1454396592),
(68385, 2, 8387, 'CodevTT_RAF', '0', '0', 0, 1454435246),
(68386, 146, 7796, 'CodevTT_RAF', '2', '0', 0, 1454435540),
(68387, 146, 7796, 'CodevTT_RAF', '0', '0', 0, 1454435540),
(68388, 146, 7796, 'status', '30', '80', 0, 1454435540),
(68389, 146, 7796, 'CodevTT_RAF', '0', '0', 0, 1454435560),
(68390, 146, 7796, 'CodevTT_RAF', '0', '0', 0, 1454435575),
(68391, 146, 3732, 'CodevTT_RAF', '0', '0.5', 0, 1454435626),
(68392, 146, 3732, 'status', '80', '50', 0, 1454435626),
(68393, 146, 3732, 'CodevTT_RAF', '0.5', '0.5', 0, 1454435692),
(68394, 146, 3732, 'CodevTT_RAF', '0.5', '0.5', 0, 1454435719),
(68448, 134, 8299, 'CodevTT_RAF', '0.5', '0', 0, 1454492005),
(68449, 134, 8299, 'CodevTT_RAF', '0', '0', 0, 1454492005),
(68450, 134, 8299, 'status', '40', '80', 0, 1454492005),
(68451, 134, 8300, 'CodevTT_RAF', '0.1', '0', 0, 1454492076),
(68452, 134, 8300, 'CodevTT_RAF', '0', '0', 0, 1454492076),
(68453, 134, 8300, 'status', '40', '80', 0, 1454492076),
(68454, 134, 8302, 'CodevTT_RAF', '0.1', '0', 0, 1454492117),
(68455, 134, 8302, 'CodevTT_RAF', '0', '0', 0, 1454492117),
(68456, 134, 8302, 'status', '40', '80', 0, 1454492117),
(68457, 134, 8303, 'CodevTT_RAF', '0.25', '0', 0, 1454492137),
(68458, 134, 8303, 'CodevTT_RAF', '0', '0', 0, 1454492137),
(68459, 134, 8303, 'status', '40', '80', 0, 1454492137),
(68460, 134, 8303, 'CodevTT_RAF', '0', '0.1', 0, 1454492240),
(68461, 134, 8303, 'CodevTT_RAF', '0.1', '0', 0, 1454492252),
(68462, 134, 8554, 'CodevTT_RAF', '0.1', '0', 0, 1454492273),
(68463, 134, 8554, 'CodevTT_RAF', '0', '0', 0, 1454492273),
(68464, 134, 8554, 'status', '40', '80', 0, 1454492273),
(68465, 134, 8060, 'CodevTT_RAF', '0.1', '1', 0, 1454492303),
(68466, 2, 6189, '', '0001243', '', 2, 1454492496),
(68467, 2, 6189, 'target_version', '15.1.0_Avril', '', 0, 1454492496),
(68468, 158, 8155, 'CodevTT_RAF', '0.75', '0.5', 0, 1454493111),
(68469, 158, 8155, 'CodevTT_RAF', '0.5', '0.5', 0, 1454493132),
(68470, 158, 8155, 'CodevTT_RAF', '0.5', '0.5', 0, 1454493159),
(68471, 2, 8150, 'CodevTT_RAF', '0.5', '0', 0, 1454493366),
(68472, 2, 8150, '', '0001244', '', 2, 1454493366),
(68473, 2, 8150, 'status', '30', '80', 0, 1454493366),
(68474, 2, 8150, 'resolution', '10', '60', 0, 1454493366),
(68475, 2, 8403, 'target_version', '15.1.0_Avril', '', 0, 1454494178),
(68486, 2, 8301, '', '1725', '', 6, 1454495141),
(68487, 93, 8404, 'CodevTT_RAF', '0', '3', 0, 1454496442),
(68488, 93, 8404, 'status', '80', '50', 0, 1454496442),
(68489, 93, 8404, 'CodevTT_RAF', '3', '2', 0, 1454496459),
(68490, 93, 8404, 'CodevTT_RAF', '2', '1', 0, 1454496481),
(68584, 72, 7896, 'CodevTT_RAF', '0', '', 0, 1454511265),
(68585, 72, 7896, 'handler_id', '117', '199', 0, 1454511265),
(68586, 72, 7896, 'status', '80', '50', 0, 1454511265),
(68596, 116, 8067, 'CodevTT_RAF', '1', '1', 0, 1454511673),
(68597, 116, 8067, 'CodevTT_RAF', '1', '0', 0, 1454511685),
(68598, 116, 8067, 'CodevTT_RAF', '0', '0', 0, 1454511685),
(68599, 116, 8067, 'status', '50', '80', 0, 1454511685),
(68608, 72, 8621, 'CodevTT_RAF', '9', '8.5', 0, 1454575415),
(68609, 72, 8621, 'CodevTT_RAF', '8.5', '7', 0, 1454575435),
(68612, 72, 4278, 'CodevTT_ChargeMgr', '3', '5', 0, 1454577629),
(68618, 72, 4278, 'CodevTT_RAF', '2', '4', 0, 1454578029),
(68620, 72, 4266, 'CodevTT_RAF', '0', '1', 0, 1454579147),
(68621, 72, 4266, 'status', '80', '50', 0, 1454579147),
(68622, 72, 4266, 'category', 'General', '3en1', 0, 1454579147),
(68623, 72, 4266, 'target_version', '15.0.0_Sept', '16.0.0', 0, 1454579147),
(68624, 72, 4266, '', '1727', '', 6, 1454579147),
(68625, 72, 4873, 'target_version', '16.0.0', '', 0, 1454579652),
(68626, 72, 4874, 'target_version', '16.0.0', '', 0, 1454579652),
(68627, 72, 4282, 'target_version', '', '16.0.0', 0, 1454579761),
(68628, 72, 4281, 'target_version', '', '16.0.0', 0, 1454579761),
(68629, 72, 4282, 'CodevTT_RAF', '1', '5', 0, 1454579922),
(68630, 72, 4282, 'status', '20', '50', 0, 1454579922),
(68631, 72, 4282, 'category', 'General', '3en1', 0, 1454579922),
(68632, 72, 8713, 'Ref. Externe', '', '42059', 0, 1454580029),
(68633, 72, 8712, 'Ref. Externe', '', '42059', 0, 1454580029),
(68634, 72, 8793, '', '', '', 1, 1454580190),
(68635, 72, 8794, '', '', '', 1, 1454580344),
(68636, 72, 8794, 'handler_id', '0', '134', 0, 1454580344),
(68637, 72, 8795, '', '', '', 1, 1454580602),
(68638, 72, 8795, 'handler_id', '0', '200', 0, 1454580602),
(68639, 72, 8796, '', '', '', 1, 1454580669),
(68640, 72, 8796, '', '', '8795', 21, 1454580669),
(68641, 72, 8795, '', '', '8796', 20, 1454580669),
(68644, 72, 8797, '', '', '', 1, 1454580922),
(68646, 72, 8797, 'status', '10', '20', 0, 1454580979),
(68647, 72, 8798, '', '', '', 1, 1454581102),
(68648, 72, 8798, 'handler_id', '0', '169', 0, 1454581102),
(68649, 72, 8799, '', '', '', 1, 1454581412),
(68650, 72, 8799, 'handler_id', '0', '200', 0, 1454581412),
(68651, 72, 8800, '', '', '', 1, 1454581497),
(68652, 72, 8800, 'handler_id', '0', '169', 0, 1454581497),
(68653, 72, 8800, '', '', '8799', 21, 1454581497),
(68654, 72, 8799, '', '', '8800', 20, 1454581497),
(68655, 72, 8621, 'CodevTT_ChargeMgr', '0', '12', 0, 1454581599),
(68656, 72, 8621, 'CodevTT_ChargeInit', '2', '10', 0, 1454581599),
(68657, 72, 8801, '', '', '', 1, 1454581664),
(68658, 72, 8801, '', '', '8621', 21, 1454581664),
(68659, 72, 8621, '', '', '8801', 20, 1454581664),
(68660, 72, 8712, 'CodevTT_ChargeMgr', '0', '5', 0, 1454582285),
(68661, 72, 8713, 'CodevTT_ChargeMgr', '0', '5', 0, 1454582321),
(68662, 72, 8802, '', '', '', 1, 1454582463),
(68663, 72, 8802, 'handler_id', '0', '74', 0, 1454582463),
(68664, 72, 8180, 'summary', '[D42044] SPEC   Traitement des annulations de décès', 'D42044 [SPEC]  Traitement des annulations de décès', 0, 1454582740),
(68665, 72, 8180, 'summary', 'D42044 [SPEC]  Traitement des annulations de décès', '42044 [SPEC]  Traitement des annulations de décès', 0, 1454582767),
(68666, 72, 8798, 'CodevTT_ChargeMgr', '5', '3', 0, 1454583002),
(68667, 72, 8798, 'CodevTT_ChargeInit', '3', '2', 0, 1454583002),
(68710, 72, 5711, 'CodevTT_ChargeMgr', '0', '7', 0, 1454602445),
(68711, 72, 5711, 'CodevTT_ChargeInit', '2', '5', 0, 1454602445),
(68712, 72, 5711, 'CodevTT_RAF', '1', '5', 0, 1454602445),
(68713, 72, 5711, 'handler_id', '117', '0', 0, 1454602445),
(68714, 72, 5711, 'status', '20', '50', 0, 1454602445),
(68715, 72, 5711, 'category', 'General', '3en1', 0, 1454602445),
(68716, 72, 5711, 'summary', '39321- [Fiab] RDD Fiabilisation EXT_AYDR', '39321- [DEVT] RDD Fiabilisation EXT_AYDR', 0, 1454602445),
(68717, 72, 5711, 'category', '3en1', 'Affiliation', 0, 1454602498),
(68718, 72, 6153, 'CodevTT_ChargeMgr', '0', '5', 0, 1454602661),
(68719, 72, 6153, 'CodevTT_ChargeInit', '2', '3', 0, 1454602661),
(68720, 72, 6153, 'CodevTT_RAF', '0.3', '2', 0, 1454602661),
(68721, 72, 6153, 'handler_id', '117', '0', 0, 1454602661),
(68722, 72, 6153, 'status', '20', '50', 0, 1454602661),
(68723, 72, 6153, 'category', 'General', '3en1', 0, 1454602661),
(68724, 72, 6153, 'summary', '39321- [SPEC] [Fiab] RDD Fiabilisation EXT_AYDR', '39321- [SPEC] RDD Fiabilisation EXT_AYDR', 0, 1454602661),
(68725, 72, 8793, 'CodevTT_ChargeMgr', '5', '10', 0, 1454603084),
(68726, 72, 8793, 'CodevTT_ChargeInit', '5', '10', 0, 1454603084),
(68727, 72, 8794, 'CodevTT_ChargeMgr', '5', '10', 0, 1454603591),
(68728, 72, 8794, 'CodevTT_ChargeInit', '4', '8', 0, 1454603591),
(68729, 72, 8390, 'CodevTT_ChargeInit', '2', '10', 0, 1454604299),
(68730, 72, 8390, 'CodevTT_RAF', '4', '10', 0, 1454604299),
(68731, 72, 8390, 'handler_id', '74', '0', 0, 1454604299),
(68734, 72, 8389, 'status', '50', '20', 0, 1454604994),
(68735, 72, 8389, 'target_version', '16.0.0', '', 0, 1454604994),
(68793, 72, 8713, 'CodevTT_RAF', '0', '1', 0, 1454657288),
(68794, 72, 8713, 'CodevTT_RAF', '1', '0', 0, 1454657288),
(68795, 72, 8713, 'CodevTT_RAF', '0', '1', 0, 1454657365),
(68796, 72, 8713, 'status', '80', '50', 0, 1454657365),
(68797, 72, 4331, 'target_version', '16.0.0', '', 0, 1454657479),
(68798, 72, 4295, 'target_version', '16.0.0', '', 0, 1454657479),
(68799, 72, 4325, 'target_version', '16.0.0', '', 0, 1454657544),
(68800, 72, 4326, 'target_version', '16.0.0', '', 0, 1454657544),
(68801, 72, 4298, 'target_version', '16.0.0', '', 0, 1454657682),
(68802, 72, 4159, 'target_version', '16.0.0', '', 0, 1454657682),
(68803, 72, 4939, 'target_version', '16.0.0', '', 0, 1454657682),
(68804, 72, 8151, 'target_version', '16.0.0', '', 0, 1454657682),
(68805, 72, 8152, 'target_version', '16.0.0', '', 0, 1454657682),
(68806, 72, 8804, '', '', '', 1, 1454659124),
(68807, 72, 8804, '', '', '8180', 21, 1454659124),
(68808, 72, 8180, '', '', '8804', 20, 1454659124),
(68809, 134, 8060, 'CodevTT_RAF', '1', '1', 0, 1454659854),
(68810, 134, 8450, 'CodevTT_RAF', '', '0.5', 0, 1454659875),
(68811, 134, 8450, 'status', '10', '50', 0, 1454659875),
(68812, 134, 8450, 'CodevTT_RAF', '0.5', '0', 0, 1454659900),
(68813, 134, 8450, 'CodevTT_RAF', '0', '0', 0, 1454659900),
(68814, 134, 8450, 'status', '50', '80', 0, 1454659900),
(68815, 134, 8450, 'CodevTT_RAF', '0', '0', 0, 1454659941),
(68816, 134, 8450, 'CodevTT_RAF', '0', '0.5', 0, 1454659964),
(68817, 134, 8450, 'status', '80', '50', 0, 1454659964),
(68884, 158, 8076, 'CodevTT_RAF', '', '4.75', 0, 1454665644),
(68885, 158, 8076, 'CodevTT_RAF', '4.75', '4.25', 0, 1454665700),
(68886, 158, 8076, 'CodevTT_RAF', '4.25', '4.25', 0, 1454665767),
(68946, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1454672969),
(68947, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1454673107),
(68948, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1454673270),
(68965, 72, 8806, '', '', '', 1, 1454679039),
(68966, 72, 8806, 'handler_id', '0', '74', 0, 1454679039),
(68973, 74, 8811, '', '', '', 1, 1454680801),
(68974, 74, 8811, 'handler_id', '0', '74', 0, 1454680801),
(68975, 74, 8811, '', '', '8802', 21, 1454680801),
(68976, 74, 8802, '', '', '8811', 20, 1454680801),
(68999, 199, 7896, 'CodevTT_RAF', '', '0', 0, 1454682769),
(69000, 199, 7896, 'CodevTT_RAF', '0', '0', 0, 1454682769),
(69001, 199, 7896, 'status', '50', '80', 0, 1454682769),
(69002, 199, 7896, 'CodevTT_RAF', '0', '0', 0, 1454682777),
(69003, 199, 5565, 'CodevTT_RAF', '1', '2', 0, 1454682801),
(69004, 199, 5405, 'CodevTT_RAF', '2', '1', 0, 1454682833),
(69005, 199, 5405, 'status', '80', '50', 0, 1454682833),
(69006, 199, 5565, 'CodevTT_RAF', '2', '1', 0, 1454682850),
(69008, 199, 8819, '', '', '', 1, 1454684252),
(69009, 199, 8819, 'summary', '42125 [SPEC] 3-en-1 : RDD sur no assiette erronés dans CALCUL_A_EFFECTUER_HISTO', '42125 [DEV] 3-en-1 : RDD sur no assiette erronés dans CALCUL_A_EFFECTUER_HISTO', 0, 1454684323),
(69010, 199, 8819, 'handler_id', '0', '199', 0, 1454684330),
(69011, 199, 8819, 'CodevTT_RAF', '', '0.1', 0, 1454684415),
(69012, 199, 8819, 'status', '10', '50', 0, 1454684415),
(69013, 199, 8819, 'CodevTT_RAF', '0.1', '1', 0, 1454684428),
(69014, 157, 8559, 'CodevTT_RAF', '1.5', '1', 0, 1454684985),
(69015, 157, 8559, 'CodevTT_RAF', '1', '1', 0, 1454684999),
(69016, 157, 8559, 'CodevTT_RAF', '1', '0', 0, 1454684999),
(69017, 157, 8559, 'status', '50', '80', 0, 1454684999),
(69018, 157, 8560, 'CodevTT_RAF', '', '0', 0, 1454685055),
(69019, 157, 8560, 'CodevTT_RAF', '0', '0', 0, 1454685055),
(69020, 157, 8560, 'status', '10', '80', 0, 1454685055),
(69021, 157, 6189, 'CodevTT_RAF', '0.5', '3', 0, 1454685098),
(69022, 157, 6189, 'CodevTT_RAF', '3', '2', 0, 1454685123),
(69023, 157, 8148, 'CodevTT_RAF', '0.5', '0', 0, 1454685189),
(69024, 157, 8148, 'CodevTT_RAF', '0', '0', 0, 1454685189),
(69025, 157, 8148, 'status', '50', '80', 0, 1454685189),
(69026, 157, 8149, 'CodevTT_RAF', '0', '0.5', 0, 1454685233),
(69027, 212, 8811, 'CodevTT_RAF', '', '19.5', 0, 1454686753),
(69028, 212, 8811, 'CodevTT_RAF', '19.5', '18', 0, 1454686978),
(69029, 212, 8811, 'status', '10', '50', 0, 1454686978),
(69030, 212, 8811, 'CodevTT_RAF', '18', '18.5', 0, 1454687165),
(69031, 212, 8811, 'CodevTT_RAF', '18.5', '19', 0, 1454687286),
(69032, 212, 8811, 'CodevTT_RAF', '19', '18', 0, 1454687424),
(69033, 212, 8811, 'CodevTT_RAF', '18', '17', 0, 1454687454),
(69075, 2, 8155, 'CodevTT_RAF', '0.5', '0', 0, 1454688949),
(69076, 2, 8155, 'CodevTT_RAF', '0', '0', 0, 1454688949),
(69077, 2, 8155, 'status', '50', '80', 0, 1454688949),
(69081, 2, 8620, 'CodevTT_RAF', '0', '0', 0, 1454689098),
(69082, 2, 8620, 'CodevTT_RAF', '0', '0', 0, 1454689119),
(69083, 2, 8620, 'CodevTT_RAF', '0', '0', 0, 1454689132),
(69084, 2, 8620, 'CodevTT_RAF', '0', '0', 0, 1454689143),
(69099, 158, 8076, 'CodevTT_RAF', '4.25', '3.25', 0, 1454692017),
(69133, 72, 8834, '', '', '', 1, 1454917248),
(69134, 72, 8834, 'handler_id', '0', '74', 0, 1454917248),
(69135, 72, 8835, '', '', '', 1, 1454917309),
(69136, 72, 8835, 'handler_id', '0', '157', 0, 1454917309),
(69139, 72, 8060, 'handler_id', '158', '134', 0, 1454917399),
(69177, 200, 8180, 'CodevTT_RAF', '4', '3', 0, 1454920514),
(69178, 200, 8180, 'CodevTT_RAF', '3', '2', 0, 1454920533),
(69179, 200, 8454, 'CodevTT_RAF', '5.5', '4.5', 0, 1454920562),
(69180, 200, 8800, 'CodevTT_RAF', '', '4', 0, 1454920597),
(69181, 200, 8800, 'status', '10', '50', 0, 1454920597),
(69182, 200, 8800, 'CodevTT_RAF', '4', '3', 0, 1454920623),
(69183, 200, 8800, 'CodevTT_RAF', '3', '2', 0, 1454920649),
(69184, 200, 8800, 'CodevTT_RAF', '2', '1', 0, 1454920700),
(69185, 74, 8087, 'CodevTT_RAF', '2', '0', 0, 1454921164),
(69186, 74, 8087, 'CodevTT_RAF', '0', '0', 0, 1454921164),
(69187, 74, 8087, 'status', '50', '80', 0, 1454921164),
(69188, 74, 8087, 'CodevTT_RAF', '0', '0', 0, 1454921180),
(69191, 74, 8087, 'CodevTT_RAF', '0', '1', 0, 1454921947),
(69192, 74, 8087, 'status', '80', '50', 0, 1454921947),
(69193, 74, 8087, 'CodevTT_RAF', '1', '0', 0, 1454921958),
(69194, 74, 8087, 'CodevTT_RAF', '0', '0', 0, 1454921958),
(69195, 74, 8087, 'status', '50', '80', 0, 1454921958),
(69196, 74, 8643, 'CodevTT_RAF', '', '0.5', 0, 1454922227),
(69197, 74, 8643, 'status', '10', '50', 0, 1454922227),
(69198, 74, 8087, 'CodevTT_RAF', '0', '0', 0, 1454922353),
(69199, 74, 8811, 'CodevTT_RAF', '17', '10', 0, 1454922465),
(69200, 74, 8811, 'CodevTT_RAF', '10', '10', 0, 1454922513),
(69203, 199, 5565, 'CodevTT_RAF', '1', '1', 0, 1454922836),
(69204, 199, 8819, 'CodevTT_RAF', '1', '0.1', 0, 1454922867),
(69205, 134, 8305, 'CodevTT_RAF', '0', '0', 0, 1454922868),
(69206, 199, 8819, 'CodevTT_RAF', '0.1', '0.1', 0, 1454922894),
(69207, 134, 8304, 'CodevTT_RAF', '0.5', '0.5', 0, 1454922901),
(69208, 199, 5405, 'CodevTT_RAF', '1', '1', 0, 1454922914),
(69209, 134, 6059, 'CodevTT_RAF', '', '0.05', 0, 1454922978),
(69210, 134, 6059, 'handler_id', '0', '134', 0, 1454922978),
(69211, 134, 6059, 'CodevTT_RAF', '0.05', '1.85', 0, 1454923006),
(69214, 169, 8147, 'CodevTT_RAF', '2', '0', 0, 1454923146),
(69215, 169, 8147, 'CodevTT_RAF', '0', '0', 0, 1454923146),
(69216, 169, 8147, 'status', '50', '80', 0, 1454923146),
(69219, 169, 4278, 'CodevTT_RAF', '4', '4', 0, 1454923221),
(69220, 169, 4278, 'CodevTT_RAF', '4', '4', 0, 1454923235),
(69221, 93, 8836, '', '', '', 1, 1454923336),
(69222, 93, 8836, 'CodevTT_RAF', '', '3', 0, 1454923378),
(69223, 93, 8836, 'status', '10', '50', 0, 1454923378),
(69224, 93, 8836, 'handler_id', '0', '93', 0, 1454923378),
(69225, 93, 8836, 'CodevTT_RAF', '3', '1', 0, 1454923395),
(69226, 93, 8836, 'CodevTT_RAF', '1', '1', 0, 1454923412),
(69228, 72, 8837, '', '', '', 1, 1454923815),
(69229, 72, 8837, 'handler_id', '0', '146', 0, 1454923815),
(69233, 72, 6153, 'handler_id', '0', '147', 0, 1454927316),
(69234, 72, 6153, 'category', '3en1', 'Affiliation', 0, 1454927316),
(69235, 72, 5711, 'handler_id', '0', '147', 0, 1454927339),
(69236, 72, 8796, 'handler_id', '0', '147', 0, 1454927427),
(69237, 72, 8804, 'handler_id', '0', '169', 0, 1454927504),
(69238, 72, 8800, 'handler_id', '169', '147', 0, 1454927555),
(69239, 146, 8837, 'CodevTT_RAF', '', '1', 0, 1454927976),
(69240, 146, 8837, 'status', '10', '50', 0, 1454927976),
(69241, 146, 8837, 'CodevTT_RAF', '1', '1', 0, 1454927977),
(69242, 146, 8837, 'CodevTT_RAF', '1', '1', 0, 1454928016),
(69243, 146, 8837, 'CodevTT_RAF', '1', '1', 0, 1454928029),
(69244, 72, 8806, 'CodevTT_RAF', '', '1', 0, 1454933114),
(69245, 72, 8806, 'status', '10', '50', 0, 1454933114),
(69340, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1454942443),
(69469, 72, 8839, '', '', '8838', 21, 1454947388),
(69461, 72, 8838, '', '', '', 1, 1454947314),
(69462, 72, 8838, 'handler_id', '0', '74', 0, 1454947314),
(69468, 72, 8839, 'handler_id', '0', '74', 0, 1454947388),
(69467, 72, 8839, '', '', '', 1, 1454947388),
(69477, 72, 8840, '', '', '', 1, 1454947494),
(69478, 72, 8840, 'handler_id', '0', '157', 0, 1454947494),
(69479, 72, 8840, '', '', '8839', 21, 1454947494),
(69480, 72, 8839, '', '', '8840', 20, 1454947494),
(69484, 72, 8840, '', '', '8841', 20, 1454947543),
(69485, 72, 8840, '', '2501', '8841', 18, 1454947543),
(69489, 72, 8842, '', '', '', 1, 1454947584),
(69490, 72, 8842, 'handler_id', '0', '157', 0, 1454947584),
(69491, 72, 8842, '', '', '8840', 21, 1454947584),
(69492, 72, 8840, '', '', '8842', 20, 1454947584),
(83036, 2, 9098, 'status', '50', '20', 0, 1460969729),
(83037, 2, 9098, 'target_version', '16.0.0', '16.0_TO', 0, 1460969729),
(69506, 72, 8842, 'status', '10', '30', 0, 1454947710),
(69507, 72, 8840, 'status', '10', '30', 0, 1454947710),
(69509, 72, 8839, 'status', '10', '30', 0, 1454947710),
(69510, 72, 8838, 'status', '10', '30', 0, 1454947710),
(69531, 72, 8844, '', '', '', 1, 1454948043),
(69532, 72, 8844, 'handler_id', '0', '134', 0, 1454948043),
(83027, 2, 9674, '', '1965', '', 6, 1460969495),
(69601, 72, 8842, 'summary', '42170 - [SPEC]  Spocs éditiques (2N)', '42170 - [SPEC]  3 en1:  calcul des cotisations PL à compter de 2016', 0, 1455003774),
(69602, 72, 8844, 'summary', '41856 - Spocs éditiques (2N)', '41856 - Présence d\'assurés dans le fichier FDECCV7 à tort - CNBF', 0, 1455003862),
(69603, 72, 8845, '', '', '', 1, 1455006976),
(69604, 72, 8845, 'handler_id', '0', '205', 0, 1455006976),
(69605, 72, 8845, '', '', '7113', 21, 1455006976),
(69606, 72, 7113, '', '', '8845', 20, 1455006976),
(69607, 72, 8846, '', '', '', 1, 1455007030),
(69608, 72, 8846, 'handler_id', '0', '116', 0, 1455007030),
(69609, 72, 8846, '', '', '8845', 21, 1455007030),
(69610, 72, 8845, '', '', '8846', 20, 1455007030),
(69661, 158, 8076, 'CodevTT_RAF', '3.25', '2.25', 0, 1455014403),
(69746, 134, 8305, 'CodevTT_RAF', '0', '0', 0, 1455027696),
(69747, 134, 8301, 'CodevTT_RAF', '0.5', '1', 0, 1455027734),
(69748, 116, 8846, 'CodevTT_RAF', '', '1', 0, 1455031309),
(69749, 116, 8846, 'status', '10', '50', 0, 1455031309),
(69750, 116, 8846, 'CodevTT_RAF', '1', '0', 0, 1455031323),
(69751, 116, 8846, 'CodevTT_RAF', '0', '0', 0, 1455031323),
(69752, 116, 8846, 'status', '50', '80', 0, 1455031323),
(69835, 134, 8304, 'CodevTT_RAF', '0.5', '0', 0, 1455096259),
(69836, 134, 8304, 'CodevTT_RAF', '0', '0', 0, 1455096259),
(69837, 134, 8304, 'status', '30', '80', 0, 1455096259),
(69838, 134, 8844, 'CodevTT_RAF', '', '0', 0, 1455096407),
(69839, 134, 8844, 'CodevTT_RAF', '0', '0', 0, 1455096407),
(69840, 134, 8844, 'status', '10', '80', 0, 1455096407),
(69841, 134, 8844, 'CodevTT_RAF', '0', '0.05', 0, 1455096437),
(69842, 134, 8844, 'CodevTT_RAF', '0.05', '0', 0, 1455096448),
(69843, 134, 8301, 'CodevTT_RAF', '1', '0.5', 0, 1455096484),
(69844, 158, 8076, 'CodevTT_RAF', '2.25', '1.75', 0, 1455096489),
(69845, 158, 8076, 'CodevTT_RAF', '1.75', '1.75', 0, 1455096510),
(69846, 72, 8796, 'summary', '41726 [DEV]  AFFI - SPOC - Code Modification/Création de l\'ayant erroné sur certains cas', '41726 [DEV]  - Celtick - TAIGA - RDD - Chevauchement de période OC', 0, 1455099609),
(69847, 72, 8795, 'summary', '41726 [SPEC]  AFFI - SPOC - Code Modification/Création de l\'ayant erroné sur certains cas', '41726 [SPEC]  - Celtick - TAIGA - RDD - Chevauchement de période OC', 0, 1455099637),
(69848, 72, 8621, 'CodevTT_RAF', '7', '5', 0, 1455105797),
(69865, 134, 8301, 'CodevTT_RAF', '0.5', '0.3', 0, 1455111060),
(69866, 158, 8076, 'CodevTT_RAF', '1.75', '2', 0, 1455112339),
(69867, 158, 7657, 'CodevTT_RAF', '', '5.25', 0, 1455112506),
(69868, 158, 7657, 'status', '10', '50', 0, 1455112506),
(69869, 74, 8834, 'CodevTT_RAF', '', '0', 0, 1455116288),
(69870, 74, 8834, 'CodevTT_RAF', '0', '0', 0, 1455116288),
(69871, 74, 8834, 'status', '10', '80', 0, 1455116288),
(69872, 74, 8857, '', '', '', 1, 1455116476),
(69873, 74, 8857, 'handler_id', '0', '74', 0, 1455116476),
(69874, 74, 8857, '', '', '8834', 21, 1455116476),
(69875, 74, 8834, '', '', '8857', 20, 1455116476),
(69876, 74, 8857, 'CodevTT_RAF', '', '0', 0, 1455116513),
(69877, 74, 8857, 'CodevTT_RAF', '0', '0', 0, 1455116513),
(69878, 74, 8857, 'status', '10', '80', 0, 1455116513),
(69879, 74, 8643, 'CodevTT_RAF', '0.5', '1', 0, 1455116730),
(69880, 74, 8643, 'CodevTT_RAF', '1', '2', 0, 1455116778),
(69885, 157, 8153, 'CodevTT_RAF', '0.5', '0', 0, 1455187134),
(69886, 157, 8153, 'CodevTT_RAF', '0', '0', 0, 1455187134),
(69887, 157, 8153, 'status', '50', '80', 0, 1455187134),
(69888, 157, 4939, 'CodevTT_RAF', '2', '0', 0, 1455187287),
(69889, 157, 4939, 'CodevTT_RAF', '0', '0', 0, 1455187287),
(69890, 157, 4939, 'status', '20', '80', 0, 1455187287),
(69892, 157, 8858, '', '', '', 1, 1455187738),
(69893, 157, 8858, 'handler_id', '0', '157', 0, 1455187738),
(69894, 157, 8858, '', '', '8153', 21, 1455187738),
(69895, 157, 8153, '', '', '8858', 20, 1455187738),
(69896, 157, 8858, 'CodevTT_RAF', '', '0', 0, 1455187788),
(69897, 157, 8858, 'CodevTT_RAF', '0', '0', 0, 1455187788),
(69898, 157, 8858, 'status', '10', '80', 0, 1455187788),
(69899, 157, 8842, 'CodevTT_RAF', '', '1.5', 0, 1455187835),
(69900, 157, 8842, 'status', '30', '40', 0, 1455187835),
(69901, 157, 8859, '', '', '', 1, 1455187976),
(69902, 157, 8859, 'handler_id', '0', '157', 0, 1455187976),
(69903, 157, 8859, '', '', '8858', 21, 1455187976),
(69904, 157, 8858, '', '', '8859', 20, 1455187976),
(69905, 157, 8859, 'CodevTT_RAF', '', '0', 0, 1455192628),
(69906, 157, 8859, 'CodevTT_RAF', '0', '0', 0, 1455192628),
(69907, 157, 8859, 'status', '10', '80', 0, 1455192628),
(69908, 157, 8842, 'CodevTT_RAF', '1.5', '0.5', 0, 1455192657),
(69942, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455199023),
(69943, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1455199043),
(69946, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455199054),
(69947, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1455199087),
(70650, 116, 8798, 'CodevTT_RAF', '0', '0', 0, 1455547518),
(70011, 199, 5405, 'CodevTT_RAF', '1', '0', 0, 1455262648),
(70012, 199, 5405, 'CodevTT_RAF', '0', '0', 0, 1455262648),
(70013, 199, 5405, 'status', '50', '80', 0, 1455262648),
(70014, 199, 5406, 'CodevTT_RAF', '1', '0', 0, 1455262672),
(70015, 199, 5406, 'CodevTT_RAF', '0', '0', 0, 1455262672),
(70016, 199, 5406, 'status', '20', '80', 0, 1455262672),
(70017, 199, 5565, 'CodevTT_RAF', '1', '0', 0, 1455262694),
(70018, 199, 5565, 'CodevTT_RAF', '0', '0', 0, 1455262694),
(70019, 199, 5565, 'status', '20', '80', 0, 1455262694),
(70020, 199, 8669, 'CodevTT_RAF', '0', '0', 0, 1455263005),
(70021, 199, 8819, 'CodevTT_RAF', '0.1', '0', 0, 1455263069),
(70022, 199, 8819, 'CodevTT_RAF', '0', '0', 0, 1455263069),
(70023, 199, 8819, 'status', '50', '80', 0, 1455263069),
(70024, 199, 8819, 'CodevTT_RAF', '0', '0', 0, 1455263503),
(70025, 199, 8669, 'CodevTT_ChargeInit', '2', '3.9', 0, 1455266792),
(70026, 158, 7657, 'CodevTT_RAF', '5.25', '4.25', 0, 1455268072),
(70027, 158, 7657, 'CodevTT_RAF', '4.25', '3.25', 0, 1455268092),
(70035, 169, 4278, 'CodevTT_RAF', '4', '4', 0, 1455270805),
(70036, 169, 4278, 'CodevTT_RAF', '4', '4', 0, 1455270831),
(70037, 169, 4278, 'CodevTT_RAF', '4', '3', 0, 1455270840),
(70038, 169, 4278, 'CodevTT_RAF', '3', '2.5', 0, 1455270859),
(70039, 169, 4278, 'CodevTT_RAF', '2.5', '2', 0, 1455270873),
(70150, 134, 8301, 'CodevTT_RAF', '0.3', '0.2', 0, 1455273403),
(70151, 134, 8301, 'status', '40', '50', 0, 1455273403),
(70162, 134, 8642, 'CodevTT_RAF', '', '0', 0, 1455273469),
(70163, 134, 8642, 'CodevTT_RAF', '0', '0', 0, 1455273469),
(70164, 134, 8642, 'status', '10', '80', 0, 1455273469),
(70175, 134, 8060, 'CodevTT_RAF', '1', '1', 0, 1455273517),
(70191, 134, 8305, 'CodevTT_RAF', '0', '0', 0, 1455273591),
(70192, 134, 8305, 'CodevTT_RAF', '0', '0', 0, 1455273624),
(70193, 134, 8301, 'CodevTT_RAF', '0.2', '0', 0, 1455273660),
(70194, 134, 8301, 'CodevTT_RAF', '0', '0', 0, 1455273660),
(70195, 134, 8301, 'status', '50', '80', 0, 1455273660),
(70196, 134, 8794, 'CodevTT_RAF', '', '6.2', 0, 1455273721),
(70197, 134, 8794, 'status', '10', '50', 0, 1455273721),
(70204, 72, 8621, 'CodevTT_RAF', '5', '4.5', 0, 1455277452),
(70205, 72, 8621, 'CodevTT_RAF', '4.5', '4', 0, 1455277493),
(70206, 72, 8903, '', '', '', 1, 1455278736),
(70207, 72, 8903, 'handler_id', '0', '74', 0, 1455278736),
(70208, 72, 8904, '', '', '', 1, 1455278785),
(70209, 72, 8904, 'handler_id', '0', '74', 0, 1455278785),
(70220, 93, 8836, 'CodevTT_RAF', '1', '4', 0, 1455282817),
(70221, 93, 8836, 'CodevTT_RAF', '4', '3', 0, 1455282854),
(70222, 93, 8404, 'CodevTT_RAF', '1', '3', 0, 1455282895),
(70224, 93, 8404, 'CodevTT_RAF', '3', '1', 0, 1455283025),
(70225, 93, 8842, 'CodevTT_RAF', '0.5', '1', 0, 1455283190),
(70226, 93, 8404, 'CodevTT_RAF', '1', '0', 0, 1455283288),
(70227, 93, 8404, 'CodevTT_RAF', '0', '0', 0, 1455283288),
(70228, 93, 8404, 'status', '50', '80', 0, 1455283288),
(70231, 93, 8905, '', '', '', 1, 1455284594),
(70232, 93, 8905, 'handler_id', '0', '93', 0, 1455284594),
(70233, 93, 8905, 'Ref. Externe', '41997', '41741', 0, 1455284748),
(70234, 93, 8905, 'summary', '41278 - Evolution : Correction des blocages SPOC31 sur radiés avec chgt de situation (prest/non prest)', '42178 - Evolution : Correction des blocages SPOC31 sur radiés avec chgt de situation (prest/non prest)', 0, 1455284748),
(70237, 93, 8905, 'Ref. Externe', '41741', '41742', 0, 1455284766),
(70242, 93, 8404, 'CodevTT_RAF', '0', '0', 0, 1455284873),
(70248, 93, 8905, 'CodevTT_RAF', '', '3', 0, 1455284906),
(70249, 93, 8905, 'status', '10', '50', 0, 1455284906),
(70251, 93, 8905, 'CodevTT_RAF', '3', '3', 0, 1455284951),
(70253, 93, 8905, 'CodevTT_RAF', '3', '3', 0, 1455284992),
(70255, 93, 8836, 'CodevTT_RAF', '3', '3', 0, 1455285041),
(70256, 93, 8836, 'CodevTT_RAF', '3', '3', 0, 1455285041),
(70257, 93, 8404, 'CodevTT_RAF', '0', '0', 0, 1455285142),
(70258, 93, 8842, 'CodevTT_RAF', '1', '3', 0, 1455285177),
(70313, 158, 7657, 'CodevTT_RAF', '3.25', '2.25', 0, 1455288067),
(70327, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455290099),
(70328, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455290110),
(70329, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455290128),
(70341, 212, 8811, 'CodevTT_RAF', '10', '10', 0, 1455291161),
(70342, 212, 8811, 'CodevTT_RAF', '10', '10', 0, 1455291204),
(70343, 212, 8811, 'CodevTT_RAF', '10', '10', 0, 1455291243),
(70345, 212, 8811, 'CodevTT_RAF', '10', '13.5', 0, 1455291447),
(70394, 146, 8837, 'CodevTT_RAF', '1', '0.5', 0, 1455297943),
(70395, 146, 8837, 'CodevTT_RAF', '0.5', '0.5', 0, 1455297962),
(70396, 146, 8837, 'CodevTT_RAF', '0.5', '0.5', 0, 1455297983),
(70397, 146, 8837, 'CodevTT_RAF', '0.5', '0.5', 0, 1455298089),
(70398, 146, 7114, 'CodevTT_RAF', '', '14', 0, 1455298309),
(70399, 146, 7114, 'status', '10', '50', 0, 1455298309),
(70457, 200, 8454, 'CodevTT_RAF', '4.5', '3.5', 0, 1455521095),
(70458, 200, 8454, 'CodevTT_RAF', '3.5', '2.5', 0, 1455521109),
(70459, 200, 8180, 'CodevTT_RAF', '2', '1', 0, 1455521137),
(70460, 200, 8180, 'CodevTT_RAF', '1', '1', 0, 1455521175),
(70461, 200, 8180, 'CodevTT_RAF', '1', '0', 0, 1455521191),
(70462, 200, 8180, 'CodevTT_RAF', '0', '0', 0, 1455521191),
(70463, 200, 8180, 'status', '50', '80', 0, 1455521191),
(70464, 199, 8842, 'CodevTT_RAF', '3', '1', 0, 1455521524),
(70465, 199, 8842, 'status', '40', '50', 0, 1455521524),
(70466, 199, 8842, 'handler_id', '157', '199', 0, 1455521524),
(70467, 199, 8842, 'CodevTT_RAF', '1', '1', 0, 1455521575),
(70468, 199, 8819, 'CodevTT_RAF', '0', '0', 0, 1455521614),
(70469, 199, 8403, 'CodevTT_RAF', '', '1', 0, 1455521708),
(70470, 199, 8403, 'status', '10', '50', 0, 1455521708),
(70471, 199, 8403, 'handler_id', '157', '199', 0, 1455521708),
(70472, 199, 8842, 'CodevTT_RAF', '1', '1', 0, 1455521756),
(70514, 72, 8798, 'handler_id', '169', '116', 0, 1455527729),
(70516, 200, 8798, 'CodevTT_RAF', '', '0.5', 0, 1455528237),
(70517, 200, 8798, 'status', '10', '40', 0, 1455528237),
(70577, 205, 8925, '', '', '', 1, 1455539083),
(70578, 72, 8621, 'CodevTT_RAF', '4', '3', 0, 1455539101),
(70579, 205, 8925, 'CodevTT_RAF', '', '0', 0, 1455539120),
(70580, 205, 8925, 'CodevTT_RAF', '0', '0', 0, 1455539120),
(70581, 205, 8925, 'status', '10', '80', 0, 1455539120),
(70582, 205, 8925, 'handler_id', '0', '205', 0, 1455539120),
(70583, 205, 8925, 'CodevTT_RAF', '0', '0', 0, 1455539143),
(70584, 205, 8551, 'CodevTT_RAF', '0', '5', 0, 1455539541),
(70585, 205, 8551, 'CodevTT_RAF', '5', '0', 0, 1455539739),
(70586, 205, 8926, '', '', '', 1, 1455539930),
(70587, 205, 8926, 'CodevTT_RAF', '', '2', 0, 1455540134),
(70588, 205, 8926, 'handler_id', '0', '205', 0, 1455540134),
(70589, 205, 8551, 'CodevTT_RAF', '0', '0', 0, 1455540153),
(70590, 205, 8926, 'CodevTT_RAF', '2', '1.5', 0, 1455540308),
(70591, 205, 8926, 'status', '10', '50', 0, 1455540308),
(70592, 205, 8927, '', '', '', 1, 1455540711),
(70593, 205, 8927, 'summary', 'MOA_GAC : Conjoint collaborateur PL prestataire non transmis à TAIGA bien qu\'à l\'état \'A transmettre Santé\'', 'GAC-3666 MOA_GAC : Conjoint collaborateur PL prestataire non transmis à TAIGA bien qu\'à l\'état \'A transmettre Santé\'', 0, 1455540872),
(70594, 205, 8927, 'CodevTT_RAF', '', '0', 0, 1455540905),
(70595, 205, 8927, 'CodevTT_RAF', '0', '0', 0, 1455540905),
(70596, 205, 8927, 'status', '10', '80', 0, 1455540905),
(70597, 205, 8927, 'handler_id', '0', '205', 0, 1455540905),
(70598, 205, 8928, '', '', '', 1, 1455541079),
(70599, 205, 8928, 'CodevTT_RAF', '', '1', 0, 1455541143),
(70600, 205, 8928, 'status', '10', '50', 0, 1455541143),
(70601, 205, 8928, 'handler_id', '0', '205', 0, 1455541143),
(70602, 205, 8929, '', '', '', 1, 1455541849),
(70603, 205, 8929, 'CodevTT_RAF', '', '0', 0, 1455542548),
(70604, 205, 8929, 'CodevTT_RAF', '0', '0', 0, 1455542548),
(70605, 205, 8929, 'status', '10', '80', 0, 1455542548),
(70606, 205, 8929, 'handler_id', '0', '205', 0, 1455542548),
(70607, 205, 8551, 'CodevTT_RAF', '0', '0', 0, 1455542578),
(70608, 205, 8926, 'CodevTT_RAF', '1.5', '1', 0, 1455542819),
(70609, 205, 8926, 'CodevTT_RAF', '1', '1', 0, 1455542841),
(70649, 116, 8798, 'CodevTT_RAF', '0.5', '0', 0, 1455547518),
(70651, 116, 8798, 'status', '40', '80', 0, 1455547518),
(70685, 72, 8621, 'CodevTT_RAF', '3', '2', 0, 1455552901),
(70732, 72, 8905, 'target_version', '15.1_P', '16.0.P_3en1', 0, 1455612165),
(70733, 72, 8905, 'Ref. Externe', '41742', '42178', 0, 1455612236),
(70734, 72, 8836, 'Ref. Externe', '', '41997', 0, 1455612288),
(70735, 134, 8794, 'CodevTT_RAF', '6.2', '3', 0, 1455613588),
(70736, 72, 8930, '', '', '', 1, 1455613950),
(70737, 72, 8930, 'handler_id', '0', '199', 0, 1455613950),
(70746, 72, 8838, 'target_version', '16.0.P_3en1', '16.0_TO', 0, 1455614646),
(70740, 72, 8621, 'handler_id', '74', '72', 0, 1455614169),
(70741, 72, 8801, 'handler_id', '0', '72', 0, 1455614169),
(70742, 72, 8801, 'target_version', '', '16.0.0', 0, 1455614189),
(70745, 72, 8839, 'target_version', '16.0.P_3en1', '16.0_TO', 0, 1455614646),
(70767, 72, 8940, '', '', '', 1, 1455623566),
(70768, 72, 8940, 'handler_id', '0', '199', 0, 1455623566),
(70769, 72, 8941, '', '', '', 1, 1455623777),
(70770, 72, 8941, 'handler_id', '0', '93', 0, 1455623777),
(70771, 72, 8942, '', '', '', 1, 1455623818),
(70772, 72, 8942, 'handler_id', '0', '93', 0, 1455623818),
(70773, 72, 8942, '', '', '8941', 21, 1455623818),
(70774, 72, 8941, '', '', '8942', 20, 1455623818),
(70775, 72, 8941, '', '3', '8942', 18, 1455623818),
(70776, 72, 8942, '', '2', '8941', 18, 1455623818),
(70778, 72, 8799, 'CodevTT_RAF', '', '4', 0, 1455627154),
(70779, 72, 8799, 'status', '10', '50', 0, 1455627154),
(70780, 72, 8799, 'CodevTT_RAF', '4', '3', 0, 1455627171),
(70781, 72, 8799, 'CodevTT_RAF', '3', '2', 0, 1455627186),
(70784, 72, 8799, 'CodevTT_RAF', '2', '2', 0, 1455627245),
(70785, 72, 8799, 'CodevTT_RAF', '2', '1', 0, 1455627258),
(71107, 199, 8930, 'CodevTT_RAF', '', '0', 0, 1455631475),
(71108, 199, 8930, 'CodevTT_RAF', '0', '0', 0, 1455631475),
(71109, 199, 8930, 'status', '10', '80', 0, 1455631475),
(71110, 158, 7657, 'CodevTT_RAF', '2.25', '1.25', 0, 1455632321),
(71136, 134, 4266, 'CodevTT_RAF', '1', '0', 0, 1455640748),
(71137, 134, 4266, 'CodevTT_RAF', '0', '0', 0, 1455640748),
(71138, 134, 4266, 'status', '50', '80', 0, 1455640748),
(71139, 134, 4266, 'CodevTT_RAF', '0', '0.5', 0, 1455640763),
(71140, 134, 4266, 'status', '80', '30', 0, 1455640763),
(71141, 134, 8794, 'CodevTT_RAF', '3', '1', 0, 1455640795),
(71147, 199, 5405, 'CodevTT_RAF', '0', '0', 0, 1455695368),
(71148, 199, 8403, 'CodevTT_RAF', '1', '1', 0, 1455695520),
(71149, 199, 8403, 'status', '50', '20', 0, 1455695520),
(71150, 199, 8403, 'CodevTT_RAF', '1', '0.8', 0, 1455695536),
(71175, 93, 8836, 'CodevTT_RAF', '3', '1', 0, 1455704914),
(71176, 93, 8836, 'CodevTT_RAF', '1', '0', 0, 1455704925),
(71177, 93, 8836, 'CodevTT_RAF', '0', '0', 0, 1455704925),
(71178, 93, 8836, 'status', '50', '80', 0, 1455704925),
(71179, 93, 8905, 'CodevTT_RAF', '3', '2', 0, 1455704967),
(71181, 116, 8072, 'CodevTT_RAF', '0', '0', 0, 1455705384),
(71184, 164, 8949, '', '', '', 1, 1455718740),
(71185, 164, 8949, 'CodevTT_RAF', '', '0', 0, 1455718804),
(71186, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1455718804),
(71187, 164, 8949, 'status', '10', '80', 0, 1455718804),
(71188, 164, 8949, 'handler_id', '0', '164', 0, 1455718804),
(71189, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1455718820),
(71190, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1455718840),
(71191, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1455718863),
(71192, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455718929),
(71195, 72, 8950, '', '', '', 1, 1455720917),
(71196, 72, 8950, 'handler_id', '0', '116', 0, 1455720917),
(71197, 72, 8798, 'status', '80', '50', 0, 1455721063),
(71198, 116, 8798, 'CodevTT_RAF', '0', '0', 0, 1455721888),
(71199, 116, 8798, 'CodevTT_RAF', '0', '0', 0, 1455721888),
(71200, 116, 8798, 'status', '50', '80', 0, 1455721888),
(71201, 72, 8951, '', '', '', 1, 1455723647),
(71202, 72, 8951, 'handler_id', '0', '147', 0, 1455723647),
(71203, 72, 8951, '', '', '6153', 21, 1455723647),
(71204, 72, 6153, '', '', '8951', 20, 1455723647),
(71205, 72, 6153, '', '3', '8951', 18, 1455723647),
(71206, 72, 8951, '', '2', '6153', 18, 1455723647),
(71207, 199, 8403, 'CodevTT_RAF', '0.8', '1', 0, 1455724223),
(71208, 199, 8403, 'CodevTT_RAF', '1', '0.5', 0, 1455724297),
(71209, 199, 5405, 'CodevTT_RAF', '0', '0', 0, 1455724326),
(71210, 199, 8940, 'CodevTT_RAF', '', '0', 0, 1455724390),
(71211, 199, 8940, 'CodevTT_RAF', '0', '0', 0, 1455724390),
(71212, 199, 8940, 'status', '10', '80', 0, 1455724390),
(71213, 199, 8940, 'CodevTT_RAF', '0', '0', 0, 1455724406),
(71310, 158, 7657, 'CodevTT_RAF', '1.25', '0.5', 0, 1455785985),
(72073, 158, 7657, 'CodevTT_RAF', '0', '0', 0, 1455818780),
(72072, 158, 7657, 'CodevTT_RAF', '0.5', '0', 0, 1455818780),
(72074, 158, 7657, 'status', '50', '80', 0, 1455818780),
(72075, 158, 8076, 'CodevTT_RAF', '2', '3', 0, 1455818875),
(72076, 158, 8076, 'CodevTT_RAF', '3', '3', 0, 1455818901),
(72077, 158, 8076, 'CodevTT_RAF', '3', '2', 0, 1455818935),
(72078, 72, 8454, 'CodevTT_RAF', '2.5', '8', 0, 1455863705),
(72079, 200, 8454, 'CodevTT_RAF', '8', '7', 0, 1455867973),
(72080, 200, 8797, 'CodevTT_RAF', '', '3.5', 0, 1455868023),
(72081, 200, 8797, 'status', '20', '40', 0, 1455868023),
(72082, 200, 8797, 'handler_id', '0', '200', 0, 1455868023),
(72083, 200, 8797, 'CodevTT_RAF', '3.5', '2.5', 0, 1455868053),
(72084, 200, 8798, 'CodevTT_RAF', '0', '0.5', 0, 1455868107),
(72085, 200, 8951, 'CodevTT_RAF', '', '2', 0, 1455868175),
(72086, 200, 8951, 'status', '10', '50', 0, 1455868175),
(72087, 200, 8951, 'CodevTT_RAF', '2', '1.5', 0, 1455868195),
(72088, 200, 8951, 'CodevTT_RAF', '1.5', '1', 0, 1455868216),
(72089, 200, 8797, 'CodevTT_RAF', '2.5', '2', 0, 1455868232),
(72090, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1455869422),
(72091, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455869443),
(72092, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455869453),
(72093, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455869545),
(72094, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1455869574),
(72095, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1455869588),
(72096, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1455869731),
(72103, 72, 8793, 'handler_id', '0', '200', 0, 1455870843),
(72104, 72, 8793, 'CodevTT_ChargeMgr', '10', '5', 0, 1455870886),
(72105, 72, 8793, 'CodevTT_ChargeInit', '10', '3', 0, 1455870886),
(72106, 72, 8793, '', '0001323', '', 2, 1455870886),
(72107, 74, 8811, 'CodevTT_RAF', '13.5', '0', 0, 1455870957),
(72108, 74, 8811, 'CodevTT_RAF', '0', '0', 0, 1455870957),
(72109, 74, 8811, 'status', '50', '80', 0, 1455870957),
(72110, 74, 8643, 'CodevTT_RAF', '2', '1', 0, 1455871169),
(72111, 74, 8904, 'CodevTT_RAF', '', '1', 0, 1455871190),
(72112, 74, 8904, 'status', '10', '50', 0, 1455871190),
(72113, 74, 8643, 'CodevTT_RAF', '1', '1', 0, 1455871219),
(72114, 74, 8904, 'CodevTT_RAF', '1', '1', 0, 1455871274),
(72120, 93, 8905, 'CodevTT_RAF', '2', '2', 0, 1455872134),
(72152, 72, 9025, '', '', '', 1, 1455877189),
(72153, 72, 9025, 'handler_id', '0', '93', 0, 1455877189),
(72154, 72, 9025, 'summary', '42257 [SPEC} Blocage des assurés radiés (non AE) en fin de délai de suspension', '42257 [SPEC] Blocage des assurés radiés (non AE) en fin de délai de suspension', 0, 1455877222),
(72155, 72, 9026, '', '', '', 1, 1455877264),
(72156, 72, 9026, 'handler_id', '0', '93', 0, 1455877264),
(72157, 72, 9026, '', '', '9025', 21, 1455877264),
(72158, 72, 9025, '', '', '9026', 20, 1455877264),
(72163, 72, 8800, 'handler_id', '147', '116', 0, 1455879298),
(72164, 72, 7893, 'CodevTT_Dead Line', '1452207600', '', 0, 1455879383),
(72167, 72, 6746, 'CodevTT_Dead Line', '1448838000', '', 0, 1455879638),
(72168, 72, 8095, 'target_version', 'FusPL_Lot 1', '16.0_Prov', 0, 1455879846),
(72178, 212, 8811, 'CodevTT_RAF', '0', '13', 0, 1455886670),
(72179, 212, 8811, 'CodevTT_RAF', '13', '0', 0, 1455886688),
(72180, 212, 8811, 'CodevTT_RAF', '0', '0.5', 0, 1455886698),
(72181, 212, 8363, 'CodevTT_RAF', '', '1', 0, 1455886817),
(72182, 212, 8363, 'status', '10', '50', 0, 1455886817),
(72183, 212, 8811, 'CodevTT_RAF', '0.5', '12.5', 0, 1455886835),
(72184, 212, 8363, 'CodevTT_RAF', '1', '12', 0, 1455886850),
(72185, 212, 8363, 'CodevTT_RAF', '12', '19', 0, 1455886890),
(72186, 212, 8811, 'CodevTT_RAF', '12.5', '12', 0, 1455886971),
(72187, 212, 8363, 'CodevTT_RAF', '19', '18', 0, 1455887136),
(72188, 212, 8363, 'CodevTT_RAF', '18', '17.5', 0, 1455887165),
(72189, 212, 8811, 'CodevTT_RAF', '12', '12', 0, 1455887222),
(72190, 212, 8363, 'CodevTT_RAF', '17.5', '16.5', 0, 1455887304),
(72193, 212, 8363, 'CodevTT_RAF', '16.5', '16.5', 0, 1455887382),
(72194, 212, 8363, 'CodevTT_RAF', '16.5', '17', 0, 1455887513),
(72195, 212, 8363, 'CodevTT_RAF', '17', '16.5', 0, 1455887529),
(72198, 212, 8363, 'CodevTT_RAF', '16.5', '19.5', 0, 1455887742),
(72199, 212, 8363, 'CodevTT_RAF', '19.5', '19.5', 0, 1455887856),
(72200, 212, 8363, 'CodevTT_RAF', '19.5', '18.5', 0, 1455887874),
(72201, 212, 8363, 'CodevTT_RAF', '18.5', '18', 0, 1455887931),
(72202, 212, 8363, 'CodevTT_RAF', '18', '17.5', 0, 1455887951),
(72205, 212, 8363, 'CodevTT_RAF', '17.5', '16.5', 0, 1455887999),
(72214, 146, 7114, 'CodevTT_RAF', '14', '9', 0, 1455890831),
(72215, 146, 7114, 'CodevTT_RAF', '9', '9', 0, 1455890847),
(72216, 146, 7114, 'CodevTT_RAF', '9', '9', 0, 1455890875),
(72217, 146, 7114, 'CodevTT_RAF', '9', '9', 0, 1455890895),
(72218, 146, 7114, 'CodevTT_RAF', '9', '9', 0, 1455890924),
(72219, 146, 7114, 'CodevTT_RAF', '9', '9', 0, 1455890946),
(72227, 93, 9025, 'CodevTT_RAF', '', '2', 0, 1455894318),
(72228, 93, 9025, 'status', '10', '50', 0, 1455894318),
(72229, 93, 8941, 'CodevTT_RAF', '', '2', 0, 1455894550),
(72230, 93, 8941, 'status', '10', '50', 0, 1455894550),
(72231, 93, 8941, 'CodevTT_RAF', '2', '0.25', 0, 1455894575),
(72232, 93, 8941, 'CodevTT_RAF', '0.25', '0.5', 0, 1455894606),
(72353, 134, 4455, 'CodevTT_RAF', '0', '1.5', 0, 1455899776),
(72354, 134, 4455, 'status', '80', '50', 0, 1455899776),
(72356, 134, 4455, 'CodevTT_RAF', '1.5', '0.5', 0, 1455899824),
(72358, 134, 4455, 'CodevTT_RAF', '0.5', '0', 0, 1455899854),
(72359, 134, 4455, 'CodevTT_RAF', '0', '0', 0, 1455899854),
(72360, 134, 4455, 'status', '50', '80', 0, 1455899854),
(72470, 200, 8795, 'CodevTT_RAF', '', '0.7', 0, 1456134241),
(72471, 200, 8795, 'status', '10', '20', 0, 1456134241),
(72472, 199, 8842, 'CodevTT_RAF', '1', '2', 0, 1456135697),
(72473, 199, 8842, 'CodevTT_RAF', '2', '2', 0, 1456135744),
(72474, 199, 8403, 'CodevTT_RAF', '0.5', '0.3', 0, 1456135772),
(72475, 199, 8842, 'CodevTT_RAF', '2', '2', 0, 1456135838),
(72476, 199, 8669, 'CodevTT_RAF', '0', '0', 0, 1456135877),
(72477, 199, 5565, 'CodevTT_RAF', '0', '0', 0, 1456136007),
(72478, 199, 5714, 'CodevTT_RAF', '', '2', 0, 1456136222),
(72479, 199, 5714, 'status', '10', '50', 0, 1456136222),
(72480, 199, 5714, 'handler_id', '0', '199', 0, 1456136222),
(72481, 199, 5565, 'CodevTT_RAF', '0', '0', 0, 1456136397),
(72486, 72, 9070, '', '', '', 1, 1456137706),
(72487, 72, 9070, 'handler_id', '0', '74', 0, 1456137706),
(72488, 72, 9071, '', '', '', 1, 1456137872),
(72489, 72, 9071, 'handler_id', '0', '199', 0, 1456137872),
(72490, 72, 9072, '', '', '', 1, 1456138208),
(72491, 72, 9072, 'handler_id', '0', '116', 0, 1456138208),
(72492, 72, 9072, '', '', '8950', 21, 1456138208),
(72493, 72, 8950, '', '', '9072', 20, 1456138208),
(72502, 200, 8951, 'CodevTT_RAF', '1', '0.4', 0, 1456146950),
(72505, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1456147018),
(72514, 200, 8799, 'CodevTT_RAF', '1', '0.7', 0, 1456147890),
(72633, 116, 8800, 'CodevTT_RAF', '1', '1', 0, 1456155111),
(72667, 72, 9098, '', '', '', 1, 1456159666),
(72668, 72, 9098, 'handler_id', '0', '200', 0, 1456159666),
(72669, 72, 9099, '', '', '', 1, 1456159735),
(72670, 72, 9099, 'handler_id', '0', '74', 0, 1456159735),
(72671, 72, 9099, '', '', '9098', 21, 1456159735),
(72672, 72, 9098, '', '', '9099', 20, 1456159735),
(72673, 72, 9098, '', '3', '9099', 18, 1456159735),
(72674, 72, 9099, '', '2', '9098', 18, 1456159735),
(72746, 199, 5714, 'CodevTT_RAF', '2', '1', 0, 1456209734),
(72747, 199, 5714, 'CodevTT_RAF', '1', '1', 0, 1456209754),
(72793, 93, 9025, 'CodevTT_RAF', '2', '0.50', 0, 1456217355),
(72798, 93, 5714, 'CodevTT_RAF', '1', '0.50', 0, 1456217809),
(73097, 116, 8950, 'CodevTT_RAF', '', '1', 0, 1456241793),
(73098, 116, 8950, 'status', '10', '50', 0, 1456241793),
(73099, 157, 8153, 'CodevTT_RAF', '0', '0', 0, 1456242218),
(73100, 157, 8153, 'CodevTT_RAF', '0', '0.5', 0, 1456242251),
(73101, 157, 8153, 'status', '80', '50', 0, 1456242251),
(73102, 157, 8627, 'CodevTT_RAF', '', '0.5', 0, 1456242290),
(73103, 157, 8627, 'status', '10', '50', 0, 1456242290),
(73104, 157, 8403, 'CodevTT_RAF', '0.3', '0.3', 0, 1456242342),
(73105, 157, 8558, 'CodevTT_RAF', '', '1.5', 0, 1456242373),
(73106, 157, 8558, 'status', '10', '50', 0, 1456242373),
(73107, 74, 8643, 'CodevTT_RAF', '1', '0', 0, 1456243344),
(73108, 74, 8643, 'CodevTT_RAF', '0', '0', 0, 1456243344),
(73109, 74, 8643, 'status', '50', '80', 0, 1456243344),
(73110, 74, 8643, 'CodevTT_RAF', '0', '0', 0, 1456243367),
(73111, 74, 9070, 'CodevTT_RAF', '', '0', 0, 1456243388),
(73112, 74, 9070, 'CodevTT_RAF', '0', '0', 0, 1456243388),
(73113, 74, 9070, 'status', '10', '80', 0, 1456243388),
(73115, 74, 8903, 'status', '10', '80', 0, 1456243675),
(73116, 74, 8903, 'resolution', '10', '20', 0, 1456243675),
(73117, 74, 8903, 'CodevTT_RAF', '', '0', 0, 1456243675),
(73118, 74, 8904, 'status', '50', '80', 0, 1456243753),
(73119, 74, 8904, 'resolution', '10', '20', 0, 1456243753),
(73120, 74, 8904, 'CodevTT_RAF', '1', '0', 0, 1456243753),
(73238, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1456319274),
(73239, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1456319298),
(73240, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1456319323),
(73241, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1456319337),
(73242, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1456319375),
(73243, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1456319387),
(73258, 72, 9102, '', '', '', 1, 1456332657),
(73259, 72, 9102, 'handler_id', '0', '199', 0, 1456332657),
(73260, 72, 9102, '', '', '7813', 21, 1456332657),
(73261, 72, 7813, '', '', '9102', 20, 1456332657),
(73262, 72, 9103, '', '', '', 1, 1456332756),
(73263, 72, 9103, 'handler_id', '0', '199', 0, 1456332756),
(73264, 72, 9103, '', '', '9102', 21, 1456332756),
(73265, 72, 9102, '', '', '9103', 20, 1456332756),
(73266, 72, 9102, '', '3', '9103', 18, 1456332756),
(73267, 72, 9103, '', '2', '9102', 18, 1456332756),
(73402, 74, 8713, 'CodevTT_RAF', '1', '0', 0, 1456409840),
(73403, 74, 8713, 'CodevTT_RAF', '0', '0', 0, 1456409840),
(73404, 74, 8713, 'status', '50', '80', 0, 1456409840),
(73405, 74, 8802, 'CodevTT_RAF', '', '20', 0, 1456410316),
(73406, 74, 8802, 'status', '10', '50', 0, 1456410316),
(73503, 158, 8076, 'CodevTT_RAF', '2', '2', 0, 1456418884),
(73504, 158, 8076, 'CodevTT_RAF', '2', '1', 0, 1456418911),
(73505, 158, 8076, 'CodevTT_RAF', '1', '0', 0, 1456418950),
(73506, 158, 8076, 'CodevTT_RAF', '0', '0', 0, 1456418950),
(73507, 158, 8076, 'status', '50', '80', 0, 1456418950),
(73514, 157, 8835, 'CodevTT_RAF', '', '1', 0, 1456467906),
(73515, 157, 8835, 'status', '10', '50', 0, 1456467906),
(73516, 157, 6189, 'CodevTT_RAF', '2', '0.5', 0, 1456467932),
(73517, 157, 8153, 'CodevTT_RAF', '0.5', '0.5', 0, 1456467954),
(73518, 157, 8835, 'CodevTT_RAF', '1', '0.5', 0, 1456467992),
(73519, 157, 6189, 'CodevTT_RAF', '0.5', '0', 0, 1456468022),
(73520, 157, 6189, 'CodevTT_RAF', '0', '0', 0, 1456468022),
(73521, 157, 6189, 'status', '50', '80', 0, 1456468022),
(73522, 199, 5714, 'CodevTT_RAF', '0.50', '1', 0, 1456469290),
(73523, 199, 5714, 'CodevTT_RAF', '1', '1', 0, 1456469310),
(73524, 199, 8842, 'CodevTT_RAF', '2', '1', 0, 1456469372),
(73525, 199, 5405, 'CodevTT_RAF', '0', '0', 0, 1456469435),
(73526, 199, 8842, 'CodevTT_RAF', '1', '1', 0, 1456469456),
(73527, 199, 5714, 'CodevTT_RAF', '1', '0', 0, 1456469499),
(73528, 199, 5714, 'CodevTT_RAF', '0', '0', 0, 1456469499),
(73529, 199, 5714, 'status', '50', '80', 0, 1456469499),
(73530, 199, 5405, 'CodevTT_RAF', '0', '0', 0, 1456469516),
(73531, 199, 9071, 'CodevTT_RAF', '', '1', 0, 1456469552),
(73532, 199, 9071, 'status', '10', '50', 0, 1456469552),
(73533, 199, 5714, 'CodevTT_RAF', '0', '0', 0, 1456469571),
(73534, 72, 9201, '', '', '', 1, 1456469668),
(73535, 72, 9201, 'handler_id', '0', '134', 0, 1456469668),
(73536, 72, 9202, '', '', '', 1, 1456469723),
(73537, 72, 9202, 'handler_id', '0', '2', 0, 1456469723),
(73538, 72, 9202, '', '', '9201', 21, 1456469723),
(73539, 72, 9201, '', '', '9202', 20, 1456469723),
(73542, 93, 9025, 'CodevTT_RAF', '0.50', '0.25', 0, 1456476443),
(73543, 93, 8941, 'CodevTT_RAF', '0.5', '0.25', 0, 1456476477),
(73544, 93, 8941, 'CodevTT_RAF', '0.25', '0.25', 0, 1456476889),
(73545, 93, 8941, 'CodevTT_RAF', '0.25', '0', 0, 1456476963),
(73546, 93, 8941, 'CodevTT_RAF', '0', '0', 0, 1456476963),
(73547, 93, 8941, 'status', '50', '80', 0, 1456476963),
(73551, 93, 8941, 'CodevTT_RAF', '0', '0.25', 0, 1456477453),
(73552, 93, 8941, 'status', '80', '50', 0, 1456477453),
(73553, 93, 8941, 'CodevTT_RAF', '0.25', '0', 0, 1456477469),
(73554, 93, 8941, 'CodevTT_RAF', '0', '0', 0, 1456477469),
(73555, 93, 8941, 'status', '50', '80', 0, 1456477469),
(73557, 93, 8905, 'CodevTT_RAF', '2', '2', 0, 1456477665),
(73559, 93, 8905, 'CodevTT_RAF', '2', '2', 0, 1456477696),
(73561, 93, 8905, 'CodevTT_RAF', '2', '1', 0, 1456477783),
(73562, 93, 9025, 'CodevTT_RAF', '0.25', '0', 0, 1456477873),
(73563, 93, 9025, 'CodevTT_RAF', '0', '0', 0, 1456477873),
(73564, 93, 9025, 'status', '50', '80', 0, 1456477873),
(73636, 74, 8806, 'CodevTT_RAF', '1', '1', 0, 1456481487),
(73637, 74, 8811, 'CodevTT_RAF', '12', '2', 0, 1456482063),
(73638, 74, 8811, 'status', '80', '50', 0, 1456482063),
(73639, 164, 6967, 'CodevTT_RAF', '0', '1', 0, 1456482220),
(73640, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1456482248),
(73641, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1456482269),
(73642, 72, 9236, '', '', '', 1, 1456482278),
(73643, 72, 9236, 'handler_id', '0', '158', 0, 1456482278),
(73644, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1456482286),
(73645, 158, 8076, 'CodevTT_RAF', '0', '0', 0, 1456482505),
(73646, 74, 8802, 'CodevTT_RAF', '20', '19', 0, 1456482518),
(73718, 200, 9071, 'CodevTT_RAF', '1', '2', 0, 1456490327),
(73719, 200, 9071, 'CodevTT_RAF', '2', '1', 0, 1456490337),
(73720, 200, 8797, 'CodevTT_RAF', '2', '2', 0, 1456490366),
(73721, 200, 9099, 'CodevTT_RAF', '', '2', 0, 1456490398),
(73722, 200, 9099, 'status', '10', '50', 0, 1456490398),
(73723, 200, 8797, 'CodevTT_RAF', '2', '2', 0, 1456490420),
(73724, 158, 9236, 'CodevTT_RAF', '', '0', 0, 1456491419),
(73725, 158, 9236, 'CodevTT_RAF', '0', '0', 0, 1456491419),
(73726, 158, 9236, 'status', '10', '80', 0, 1456491419),
(74059, 72, 9202, 'handler_id', '2', '134', 0, 1456503948),
(74060, 72, 9202, 'status', '10', '50', 0, 1456503948),
(74063, 169, 8147, 'CodevTT_RAF', '0', '0', 0, 1456505070),
(74064, 169, 4278, 'CodevTT_RAF', '2', '2', 0, 1456505127),
(74065, 169, 4278, 'CodevTT_RAF', '2', '2', 0, 1456505146),
(74066, 169, 4278, 'CodevTT_RAF', '2', '2', 0, 1456505167),
(74067, 169, 4278, 'CodevTT_RAF', '2', '2', 0, 1456505189),
(74068, 169, 8804, 'CodevTT_RAF', '', '8', 0, 1456505264),
(74069, 169, 8804, 'status', '10', '40', 0, 1456505264),
(74070, 169, 8804, 'CodevTT_RAF', '8', '8', 0, 1456505280),
(74071, 2, 9202, 'CodevTT_RAF', '', '1', 0, 1456505976),
(74072, 72, 9241, '', '', '', 1, 1456506123),
(74073, 72, 9241, 'handler_id', '0', '74', 0, 1456506123),
(74074, 212, 8363, 'CodevTT_RAF', '16.5', '15.5', 0, 1456506703),
(74075, 212, 8363, 'CodevTT_RAF', '15.5', '14.5', 0, 1456506719),
(74076, 212, 8363, 'CodevTT_RAF', '14.5', '13.5', 0, 1456506741),
(74077, 212, 8363, 'CodevTT_RAF', '13.5', '12.5', 0, 1456506768),
(74078, 212, 8363, 'CodevTT_RAF', '12.5', '11.5', 0, 1456506784),
(74079, 199, 8842, 'CodevTT_RAF', '1', '4', 0, 1456730805),
(74080, 199, 9071, 'CodevTT_RAF', '1', '0.25', 0, 1456730827),
(74081, 74, 8806, 'CodevTT_RAF', '1', '1', 0, 1456731074),
(74107, 147, 6153, 'CodevTT_RAF', '2', '2', 0, 1456737167),
(74318, 72, 9279, '', '', '', 1, 1456743149),
(74319, 72, 9279, 'handler_id', '0', '134', 0, 1456743149);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(74433, 212, 8072, '', '0001469', '', 2, 1456755220),
(74435, 205, 8926, 'CodevTT_RAF', '1', '0.5', 0, 1456756263),
(74436, 205, 9303, '', '', '', 1, 1456756642),
(74437, 205, 9303, 'CodevTT_RAF', '', '0', 0, 1456756695),
(74438, 205, 9303, 'CodevTT_RAF', '0', '0', 0, 1456756695),
(74439, 205, 9303, 'status', '10', '80', 0, 1456756695),
(74440, 205, 9303, 'handler_id', '0', '205', 0, 1456756695),
(74481, 205, 8364, 'CodevTT_RAF', '0', '0', 0, 1456758295),
(74497, 205, 8388, 'CodevTT_RAF', '0', '1', 0, 1456758528),
(74508, 205, 9304, '', '', '', 1, 1456758626),
(74509, 205, 9304, 'handler_id', '0', '205', 0, 1456758626),
(74510, 205, 9304, '', '', '8388', 21, 1456758626),
(74511, 205, 8388, '', '', '9304', 20, 1456758626),
(74517, 205, 9304, 'CodevTT_RAF', '', '0.5', 0, 1456758670),
(74518, 205, 9304, 'status', '10', '50', 0, 1456758670),
(74527, 205, 8926, 'CodevTT_RAF', '0.5', '0.5', 0, 1456758871),
(74531, 205, 9305, '', '', '', 1, 1456759611),
(74532, 205, 9305, '', '', '8363', 21, 1456759611),
(74533, 205, 8363, '', '', '9305', 20, 1456759611),
(74539, 205, 9305, 'CodevTT_RAF', '', '15', 0, 1456759667),
(74540, 205, 9305, 'status', '10', '50', 0, 1456759667),
(74541, 205, 9305, 'handler_id', '0', '205', 0, 1456759667),
(74542, 205, 8454, 'CodevTT_RAF', '7', '7', 0, 1456759713),
(74552, 116, 9072, 'CodevTT_RAF', '', '1', 0, 1456759842),
(74553, 116, 9072, 'status', '10', '50', 0, 1456759842),
(74556, 205, 9236, 'CodevTT_RAF', '0', '0', 0, 1456759857),
(74563, 205, 9305, 'CodevTT_RAF', '15', '15', 0, 1456759924),
(74575, 205, 9306, '', '', '', 1, 1456760128),
(74576, 205, 9306, 'CodevTT_RAF', '', '2', 0, 1456760164),
(74577, 205, 9306, 'status', '10', '50', 0, 1456760164),
(74578, 205, 9306, 'handler_id', '0', '205', 0, 1456760164),
(74583, 72, 5713, 'CodevTT_RAF', '0', '', 0, 1456764697),
(74584, 72, 5713, 'handler_id', '157', '199', 0, 1456764697),
(74585, 72, 5713, 'status', '80', '50', 0, 1456764698),
(74586, 72, 5713, '', '1811', '', 6, 1456764698),
(74587, 72, 9307, '', '', '', 1, 1456764845),
(74588, 72, 9307, 'handler_id', '0', '157', 0, 1456764845),
(74589, 72, 9307, 'Ref. Externe', '', '40534', 0, 1456764903),
(74590, 72, 4939, 'CodevTT_RAF', '0', '', 0, 1456765040),
(74591, 72, 4939, 'handler_id', '157', '199', 0, 1456765040),
(74592, 72, 4939, 'status', '80', '50', 0, 1456765040),
(74593, 72, 5714, 'target_version', '15.1.0_AFFI', '15.1.0_Avril', 0, 1456765128),
(74594, 72, 9308, '', '', '', 1, 1456765343),
(74595, 72, 9308, 'handler_id', '0', '157', 0, 1456765343),
(74596, 72, 9309, '', '', '', 1, 1456765498),
(74597, 72, 9309, 'handler_id', '0', '157', 0, 1456765498),
(74598, 72, 9310, '', '', '', 1, 1456765626),
(74599, 72, 9310, 'handler_id', '0', '157', 0, 1456765626),
(74600, 72, 9311, '', '', '', 1, 1456765702),
(74601, 72, 9311, 'handler_id', '0', '157', 0, 1456765702),
(74648, 134, 9202, 'CodevTT_RAF', '1', '0', 0, 1456828715),
(74649, 134, 9202, 'CodevTT_RAF', '0', '0', 0, 1456828715),
(74650, 134, 9202, 'status', '50', '80', 0, 1456828715),
(74651, 134, 9279, 'CodevTT_RAF', '', '0', 0, 1456828774),
(74652, 134, 9279, 'CodevTT_RAF', '0', '0', 0, 1456828774),
(74653, 134, 9279, 'status', '10', '80', 0, 1456828774),
(74654, 134, 9201, 'CodevTT_RAF', '', '0', 0, 1456828808),
(74655, 134, 9201, 'CodevTT_RAF', '0', '0', 0, 1456828808),
(74656, 134, 9201, 'status', '10', '80', 0, 1456828808),
(74657, 134, 4455, 'CodevTT_RAF', '0', '0.2', 0, 1456828870),
(74658, 134, 4455, 'CodevTT_RAF', '0.2', '0', 0, 1456828888),
(74659, 134, 4266, 'CodevTT_RAF', '0.5', '0', 0, 1456829320),
(74660, 134, 8794, 'CodevTT_RAF', '1', '0', 0, 1456829614),
(74661, 134, 8794, 'CodevTT_RAF', '0', '0', 0, 1456829818),
(74662, 134, 8794, 'CodevTT_RAF', '0', '0', 0, 1456829818),
(74663, 134, 8794, 'status', '50', '80', 0, 1456829818),
(74664, 134, 4266, 'CodevTT_RAF', '0', '0', 0, 1456829863),
(74665, 134, 4266, 'CodevTT_RAF', '0', '0', 0, 1456829863),
(74666, 134, 4266, 'status', '30', '80', 0, 1456829863),
(74667, 134, 8450, 'target_version', '15.1.0_Avril', '', 0, 1456832690),
(74676, 199, 9103, 'CodevTT_RAF', '', '0', 0, 1456842705),
(74677, 199, 9103, 'CodevTT_RAF', '0', '0', 0, 1456842705),
(74678, 199, 9103, 'status', '10', '80', 0, 1456842705),
(74691, 116, 9072, 'CodevTT_RAF', '1', '0', 0, 1456846280),
(74692, 116, 9072, 'CodevTT_RAF', '0', '0', 0, 1456846280),
(74693, 116, 9072, 'status', '50', '80', 0, 1456846280),
(74694, 116, 8950, 'CodevTT_RAF', '1', '0', 0, 1456846297),
(74695, 116, 8950, 'CodevTT_RAF', '0', '0', 0, 1456846297),
(74696, 116, 8950, 'status', '50', '80', 0, 1456846297),
(74699, 74, 8802, 'CodevTT_RAF', '19', '18', 0, 1456847322),
(74700, 74, 8802, 'CodevTT_RAF', '18', '18', 0, 1456847335),
(74701, 74, 8802, 'CodevTT_RAF', '18', '18', 0, 1456847345),
(74702, 74, 9241, 'CodevTT_RAF', '', '0.5', 0, 1456847417),
(74703, 74, 9241, 'status', '10', '50', 0, 1456847417),
(74704, 74, 9241, 'CodevTT_RAF', '0.5', '0.5', 0, 1456847448),
(74705, 74, 9241, 'CodevTT_RAF', '0.5', '0.25', 0, 1456847472),
(74706, 74, 8806, 'CodevTT_RAF', '1', '0.25', 0, 1456847492),
(74707, 74, 8811, 'CodevTT_RAF', '2', '2', 0, 1456847527),
(74841, 157, 8842, 'CodevTT_RAF', '4', '3', 0, 1456901346),
(74842, 157, 8711, 'CodevTT_RAF', '', '1.5', 0, 1456901377),
(74843, 157, 8711, 'status', '10', '50', 0, 1456901377),
(74844, 157, 8711, 'handler_id', '0', '157', 0, 1456901377),
(74845, 157, 9309, 'CodevTT_RAF', '', '1.5', 0, 1456901403),
(74846, 157, 9309, 'status', '10', '50', 0, 1456901403),
(74847, 157, 8835, 'CodevTT_RAF', '0.5', '0', 0, 1456901432),
(74848, 157, 8835, 'CodevTT_RAF', '0', '0', 0, 1456901432),
(74849, 157, 8835, 'status', '50', '80', 0, 1456901432),
(74850, 157, 9310, 'CodevTT_RAF', '', '1.5', 0, 1456901454),
(74851, 157, 9310, 'status', '10', '50', 0, 1456901454),
(74852, 157, 9311, 'CodevTT_RAF', '', '1.5', 0, 1456901484),
(74853, 157, 9311, 'status', '10', '50', 0, 1456901484),
(74854, 157, 9311, 'CodevTT_RAF', '1.5', '0.5', 0, 1456901511),
(74855, 72, 8796, 'handler_id', '147', '134', 0, 1456905581),
(74856, 72, 8804, 'handler_id', '169', '147', 0, 1456905780),
(74857, 72, 8804, 'status', '40', '50', 0, 1456905780),
(74858, 72, 8800, 'CodevTT_RAF', '1', '2', 0, 1456905909),
(74859, 72, 8800, 'handler_id', '116', '169', 0, 1456905909),
(74860, 147, 6153, 'CodevTT_RAF', '2', '1', 0, 1456906457),
(74872, 72, 8804, 'handler_id', '147', '169', 0, 1456910793),
(74885, 134, 6059, 'CodevTT_RAF', '1.85', '1.5', 0, 1456912495),
(74886, 134, 6059, 'status', '20', '30', 0, 1456912495),
(74887, 134, 6059, 'CodevTT_RAF', '1.5', '1.1', 0, 1456912529),
(74888, 72, 9318, '', '', '', 1, 1456912555),
(74889, 72, 9318, '', '', '8797', 21, 1456912555),
(74890, 72, 8797, '', '', '9318', 20, 1456912555),
(74891, 72, 9318, 'handler_id', '0', '158', 0, 1456912778),
(74892, 72, 9318, 'status', '10', '50', 0, 1456912778),
(74918, 205, 8551, 'CodevTT_RAF', '0', '0', 0, 1456931449),
(74919, 205, 8926, 'CodevTT_RAF', '0.5', '0', 0, 1456931484),
(74920, 205, 8926, 'CodevTT_RAF', '0', '0', 0, 1456931484),
(74921, 205, 8926, 'status', '50', '80', 0, 1456931484),
(74922, 205, 9320, '', '', '', 1, 1456931569),
(74923, 205, 9320, 'CodevTT_RAF', '', '0', 0, 1456931607),
(74924, 205, 9320, 'CodevTT_RAF', '0', '0', 0, 1456931607),
(74925, 205, 9320, 'status', '10', '80', 0, 1456931607),
(74926, 205, 9320, 'handler_id', '0', '205', 0, 1456931607),
(74928, 116, 8798, 'CodevTT_RAF', '0.5', '0', 0, 1456933263),
(74929, 116, 8362, 'CodevTT_RAF', '0', '0', 0, 1456933286),
(74934, 93, 8905, 'CodevTT_RAF', '1', '3', 0, 1456995534),
(74935, 93, 8905, 'CodevTT_RAF', '3', '2', 0, 1456995545),
(74936, 93, 8905, 'CodevTT_RAF', '2', '1', 0, 1456995555),
(74937, 93, 8905, 'CodevTT_RAF', '1', '2', 0, 1456995580),
(74938, 93, 8905, 'CodevTT_RAF', '2', '2', 0, 1456995595),
(74985, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1457014796),
(74986, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1457014806),
(74987, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1457014828),
(74988, 164, 6967, 'CodevTT_RAF', '1', '0', 0, 1457014892),
(74989, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1457014911),
(74990, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1457014923),
(74991, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1457014950),
(74992, 164, 8620, 'CodevTT_RAF', '0', '0', 0, 1457014977),
(75025, 74, 9241, 'CodevTT_RAF', '0.25', '0', 0, 1457078184),
(75026, 74, 9241, 'CodevTT_RAF', '0', '0', 0, 1457078184),
(75027, 74, 9241, 'status', '50', '80', 0, 1457078184),
(75028, 74, 9099, 'CodevTT_RAF', '2', '1', 0, 1457078251),
(75029, 134, 8796, 'CodevTT_RAF', '', '6.4', 0, 1457078273),
(75030, 134, 8796, 'status', '10', '30', 0, 1457078273),
(75031, 74, 8811, 'CodevTT_RAF', '2', '3', 0, 1457078293),
(75032, 134, 8796, 'CodevTT_RAF', '6.4', '6.4', 0, 1457078312),
(75033, 134, 8796, 'CodevTT_RAF', '6.4', '5.6', 0, 1457078330),
(75034, 134, 8796, 'CodevTT_RAF', '5.6', '5', 0, 1457078369),
(75035, 199, 5713, 'CodevTT_RAF', '', '1', 0, 1457078489),
(75036, 199, 5713, 'status', '50', '20', 0, 1457078489),
(75037, 199, 5713, 'CodevTT_RAF', '1', '1', 0, 1457078506),
(75038, 199, 8558, 'CodevTT_RAF', '1.5', '1', 0, 1457078568),
(75039, 199, 8558, 'status', '50', '20', 0, 1457078568),
(75040, 199, 8558, 'handler_id', '157', '199', 0, 1457078568),
(75041, 199, 8558, 'CodevTT_RAF', '1', '1', 0, 1457078578),
(75042, 199, 8840, 'CodevTT_RAF', '', '10', 0, 1457078751),
(75043, 199, 8840, 'handler_id', '157', '199', 0, 1457078751),
(75044, 200, 9102, 'CodevTT_RAF', '', '0', 0, 1457079185),
(75045, 200, 9102, 'CodevTT_RAF', '0', '0', 0, 1457079185),
(75046, 200, 9102, 'status', '10', '80', 0, 1457079185),
(75047, 200, 8797, 'CodevTT_RAF', '2', '2.6', 0, 1457079222),
(75048, 200, 8797, 'CodevTT_RAF', '2.6', '2', 0, 1457079237),
(75049, 200, 8795, 'CodevTT_RAF', '0.7', '0.7', 0, 1457079272),
(75050, 200, 9099, 'CodevTT_RAF', '1', '3', 0, 1457079424),
(75051, 199, 8842, 'CodevTT_RAF', '3', '10', 0, 1457079433),
(75052, 200, 9099, 'CodevTT_RAF', '3', '3', 0, 1457079441),
(75053, 199, 8842, 'CodevTT_RAF', '10', '10', 0, 1457079467),
(75054, 200, 8795, 'CodevTT_RAF', '0.7', '0.3', 0, 1457079489),
(75055, 200, 8799, 'CodevTT_RAF', '0.7', '0.4', 0, 1457079565),
(75056, 200, 8799, 'CodevTT_RAF', '0.4', '0', 0, 1457079592),
(75057, 200, 8799, 'CodevTT_RAF', '0', '0', 0, 1457079592),
(75058, 200, 8799, 'status', '50', '80', 0, 1457079592),
(75059, 2, 8840, 'CodevTT_RAF', '10', '10', 0, 1457080796),
(75061, 158, 9318, 'CodevTT_RAF', '', '5.5', 0, 1457081179),
(75062, 158, 9318, 'CodevTT_RAF', '5.5', '4.5', 0, 1457081210),
(75063, 2, 8840, 'CodevTT_RAF', '10', '10', 0, 1457081378),
(75064, 2, 8840, 'CodevTT_RAF', '10', '10', 0, 1457081397),
(75065, 2, 8842, 'CodevTT_RAF', '10', '10', 0, 1457081490),
(75092, 205, 9343, '', '', '', 1, 1457086930),
(75093, 218, 9343, 'CodevTT_RAF', '', '0', 0, 1457087034),
(75094, 218, 9343, 'CodevTT_RAF', '0', '0', 0, 1457087034),
(75095, 218, 9343, 'status', '10', '80', 0, 1457087034),
(75096, 218, 9343, 'handler_id', '0', '218', 0, 1457087034),
(75097, 205, 9344, '', '', '', 1, 1457087151),
(75098, 218, 9344, 'CodevTT_RAF', '', '10', 0, 1457087435),
(75099, 218, 9344, 'status', '10', '50', 0, 1457087435),
(75100, 218, 9344, 'handler_id', '0', '218', 0, 1457087435),
(75101, 217, 8928, 'CodevTT_RAF', '1', '0', 0, 1457087611),
(75102, 217, 8928, 'CodevTT_RAF', '0', '0', 0, 1457087611),
(75103, 217, 8928, 'status', '50', '80', 0, 1457087611),
(75104, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457087732),
(75105, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457087766),
(75106, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457087797),
(75107, 217, 9305, 'CodevTT_RAF', '15', '12', 0, 1457087884),
(75108, 217, 9305, 'handler_id', '205', '217', 0, 1457087884),
(75109, 217, 9305, 'CodevTT_RAF', '12', '12', 0, 1457087918),
(75110, 217, 9236, 'CodevTT_RAF', '0', '0', 0, 1457087971),
(75111, 217, 9305, 'CodevTT_RAF', '12', '12', 0, 1457088043),
(75112, 218, 8927, 'CodevTT_RAF', '0', '0', 0, 1457088053),
(75113, 217, 9305, 'CodevTT_RAF', '12', '12', 0, 1457088070),
(75114, 217, 9305, 'CodevTT_RAF', '12', '12', 0, 1457088081),
(75115, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457088160),
(75116, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457088206),
(75117, 93, 8905, 'CodevTT_RAF', '2', '0', 0, 1457092527),
(75118, 93, 8905, 'CodevTT_RAF', '0', '0', 0, 1457092527),
(75119, 93, 8905, 'status', '50', '80', 0, 1457092527),
(75120, 93, 8941, 'CodevTT_RAF', '0', '0', 0, 1457092585),
(75121, 93, 9025, 'CodevTT_RAF', '0', '0', 0, 1457092619),
(75144, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457097336),
(75149, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457097400),
(75150, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457097451),
(75151, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457097484),
(75156, 218, 9320, 'CodevTT_RAF', '0', '0', 0, 1457097711),
(75157, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457097766),
(75158, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457097798),
(75159, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457097839),
(75166, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098030),
(75167, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098047),
(75168, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098069),
(75169, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098089),
(75174, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098117),
(75175, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098141),
(75176, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098207),
(75177, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098232),
(75178, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098279),
(75179, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098332),
(75180, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098351),
(75181, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098369),
(75182, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098390),
(75183, 218, 9344, 'CodevTT_RAF', '10', '10', 0, 1457098410),
(75245, 169, 8804, 'CodevTT_RAF', '8', '7', 0, 1457108719),
(75246, 169, 8804, 'CodevTT_RAF', '7', '6', 0, 1457108742),
(75247, 169, 4278, 'CodevTT_RAF', '2', '8', 0, 1457108812),
(75248, 169, 4278, 'CodevTT_RAF', '8', '7', 0, 1457108840),
(75249, 169, 4278, 'CodevTT_RAF', '7', '8', 0, 1457108862),
(75250, 169, 8800, 'CodevTT_RAF', '2', '5', 0, 1457108970),
(75251, 169, 8804, 'CodevTT_RAF', '6', '5', 0, 1457109034),
(75254, 212, 8363, 'CodevTT_RAF', '11.5', '10.5', 0, 1457338025),
(75255, 212, 8363, 'CodevTT_RAF', '10.5', '9.5', 0, 1457338042),
(75256, 212, 8363, 'CodevTT_RAF', '9.5', '8.5', 0, 1457338063),
(75257, 212, 8363, 'CodevTT_RAF', '8.5', '7.5', 0, 1457338105),
(75258, 212, 8363, 'CodevTT_RAF', '7.5', '6.5', 0, 1457338121),
(75259, 147, 6153, 'CodevTT_RAF', '1', '1', 0, 1457338447),
(75263, 147, 6153, 'CodevTT_RAF', '1', '3', 0, 1457338480),
(75264, 147, 6153, 'CodevTT_RAF', '3', '2', 0, 1457338511),
(75265, 147, 6153, 'CodevTT_RAF', '2', '1', 0, 1457338528),
(75266, 147, 6153, 'CodevTT_RAF', '1', '1', 0, 1457338540),
(75332, 217, 9305, 'CodevTT_RAF', '12', '11', 0, 1457340125),
(75358, 146, 7114, 'CodevTT_RAF', '9', '2', 0, 1457341825),
(75361, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1457341910),
(75362, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1457342038),
(75363, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1457342053),
(75364, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1457342066),
(75365, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1457342077),
(75366, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1457342086),
(75445, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1457352278),
(75446, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457352369),
(75447, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457352390),
(75450, 158, 9318, 'CodevTT_RAF', '4.5', '3.65', 0, 1457354303),
(75451, 158, 9318, 'CodevTT_RAF', '3.65', '3.65', 0, 1457354320),
(75460, 74, 8806, 'CodevTT_RAF', '0.25', '0.5', 0, 1457357276),
(75508, 199, 9103, 'CodevTT_RAF', '0', '0', 0, 1457370001),
(75509, 199, 5714, 'CodevTT_RAF', '0', '0', 0, 1457370065),
(75510, 199, 5713, 'CodevTT_RAF', '1', '1', 0, 1457370150),
(75513, 199, 5714, 'CodevTT_RAF', '0', '0', 0, 1457370288),
(75530, 217, 9305, 'CodevTT_RAF', '11', '11', 0, 1457425434),
(75531, 217, 9305, 'CodevTT_RAF', '11', '10', 0, 1457425498),
(75532, 2, 9444, '', '', '', 1, 1457426452),
(75533, 158, 9318, 'CodevTT_RAF', '3.65', '2.65', 0, 1457426468),
(75534, 2, 9444, 'CodevTT_RAF', '', '17', 0, 1457426490),
(75535, 2, 9444, 'status', '10', '30', 0, 1457426490),
(75536, 2, 9444, 'handler_id', '0', '2', 0, 1457426490),
(75537, 72, 9445, '', '', '', 1, 1457433226),
(75538, 72, 9445, 'handler_id', '0', '199', 0, 1457433226),
(75539, 157, 9308, 'CodevTT_RAF', '', '0.5', 0, 1457440983),
(75540, 157, 9308, 'status', '10', '50', 0, 1457440983),
(75541, 157, 8842, 'CodevTT_RAF', '10', '9.5', 0, 1457441052),
(75542, 157, 8842, 'CodevTT_RAF', '9.5', '8.5', 0, 1457441067),
(75561, 134, 8796, 'CodevTT_RAF', '5', '4', 0, 1457453897),
(75562, 134, 8796, 'status', '30', '40', 0, 1457453897),
(75563, 134, 8796, 'CodevTT_RAF', '4', '3', 0, 1457453912),
(75575, 93, 8941, 'CodevTT_RAF', '0', '0', 0, 1457454946),
(75576, 93, 9025, 'CodevTT_RAF', '0', '0', 0, 1457454985),
(75577, 93, 8905, 'CodevTT_RAF', '0', '0', 0, 1457455018),
(75578, 93, 9451, '', '', '', 1, 1457455296),
(75579, 93, 9451, 'handler_id', '0', '93', 0, 1457455296),
(75580, 93, 9451, 'CodevTT_RAF', '', '1', 0, 1457455340),
(75581, 93, 9451, 'status', '10', '50', 0, 1457455340),
(75582, 93, 9451, 'CodevTT_RAF', '1', '0', 0, 1457455353),
(75583, 93, 9451, 'CodevTT_RAF', '0', '0', 0, 1457455353),
(75584, 93, 9451, 'status', '50', '80', 0, 1457455353),
(75585, 158, 9318, 'CodevTT_RAF', '2.65', '2.05', 0, 1457455547),
(75586, 158, 9318, 'CodevTT_RAF', '2.05', '2.05', 0, 1457455569),
(75587, 158, 9318, 'CodevTT_RAF', '2.05', '2', 0, 1457455633),
(75634, 2, 8060, 'status', '50', '20', 0, 1457515486),
(75635, 2, 8060, '', '0001478', '', 2, 1457515508),
(75636, 2, 8060, '', '1836', '', 6, 1457515523),
(75637, 2, 8450, '', '0001479', '', 2, 1457515568),
(75638, 2, 8450, 'status', '50', '20', 0, 1457515568),
(75639, 2, 8450, '', '1838', '', 6, 1457515590),
(75640, 2, 6747, 'handler_id', '147', '0', 0, 1457515771),
(75641, 2, 7120, 'handler_id', '147', '0', 0, 1457515783),
(75642, 2, 9071, '', '0001480', '', 2, 1457515991),
(75643, 2, 9071, 'status', '50', '80', 0, 1457515991),
(75644, 2, 9071, 'resolution', '10', '20', 0, 1457515991),
(75645, 2, 9071, 'CodevTT_RAF', '0.25', '0', 0, 1457515991),
(75646, 2, 5713, 'status', '20', '80', 0, 1457516248),
(75647, 2, 5713, 'resolution', '10', '20', 0, 1457516248),
(75648, 2, 5713, 'CodevTT_RAF', '1', '0', 0, 1457516248),
(75649, 2, 8403, 'status', '20', '80', 0, 1457516361),
(75650, 2, 8403, 'resolution', '10', '20', 0, 1457516361),
(75651, 2, 8403, 'CodevTT_RAF', '0.3', '0', 0, 1457516361),
(75652, 2, 8558, 'status', '20', '50', 0, 1457516390),
(75653, 217, 9305, 'CodevTT_RAF', '10', '10', 0, 1457516543),
(75654, 217, 9305, 'CodevTT_RAF', '10', '10.5', 0, 1457516569),
(75655, 217, 9305, 'CodevTT_RAF', '10.5', '10', 0, 1457516591),
(75656, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457516875),
(75657, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1457516896),
(75658, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457516928),
(75659, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1457516945),
(75660, 2, 7645, '', '0001481', '', 2, 1457517338),
(75661, 2, 7645, 'status', '50', '80', 0, 1457517338),
(75662, 2, 7645, 'resolution', '10', '20', 0, 1457517338),
(75663, 2, 7645, 'CodevTT_RAF', '3', '0', 0, 1457517339),
(75664, 2, 8153, 'status', '50', '80', 0, 1457517759),
(75665, 2, 8153, 'resolution', '10', '20', 0, 1457517759),
(75666, 2, 8153, 'CodevTT_RAF', '0.5', '0', 0, 1457517759),
(75667, 2, 9308, 'status', '50', '80', 0, 1457517780),
(75668, 2, 9308, 'resolution', '10', '20', 0, 1457517780),
(75669, 2, 9308, 'CodevTT_RAF', '0.5', '0', 0, 1457517780),
(75670, 2, 8627, 'status', '50', '80', 0, 1457517806),
(75671, 2, 8627, 'resolution', '10', '20', 0, 1457517806),
(75672, 2, 8627, 'CodevTT_RAF', '0.5', '0', 0, 1457517806),
(75673, 2, 8711, 'status', '50', '80', 0, 1457517821),
(75674, 2, 8711, 'resolution', '10', '20', 0, 1457517821),
(75675, 2, 8711, 'CodevTT_RAF', '1.5', '0', 0, 1457517821),
(75676, 2, 9309, 'status', '50', '80', 0, 1457517839),
(75677, 2, 9309, 'resolution', '10', '20', 0, 1457517839),
(75678, 2, 9309, 'CodevTT_RAF', '1.5', '0', 0, 1457517839),
(75679, 2, 9310, 'status', '50', '80', 0, 1457517853),
(75680, 2, 9310, 'resolution', '10', '20', 0, 1457517853),
(75681, 2, 9310, 'CodevTT_RAF', '1.5', '0', 0, 1457517853),
(75682, 2, 7393, '', '0001482', '', 2, 1457517994),
(75683, 2, 7393, 'status', '30', '20', 0, 1457517994),
(75684, 2, 9307, 'target_version', '16.0_TO', '15.1.0_Avril', 0, 1457518083),
(75685, 2, 9307, 'CodevTT_Dead Line', '', '1462053600', 0, 1457518128),
(75686, 2, 9307, 'target_version', '15.1.0_Avril', '16.0_TO', 0, 1457518128),
(75687, 2, 9307, 'CodevTT_Dead Line', '1462053600', '1461880800', 0, 1457518169),
(75688, 200, 7897, 'status', '50', '80', 0, 1457519903),
(75689, 200, 7897, 'resolution', '10', '20', 0, 1457519903),
(75690, 200, 7897, 'CodevTT_RAF', '2', '0', 0, 1457519903),
(75691, 72, 9452, '', '', '', 1, 1457526022),
(75692, 72, 9452, 'handler_id', '0', '200', 0, 1457526022),
(75702, 2, 9456, '', '', '', 1, 1457530412),
(75703, 2, 9456, 'handler_id', '0', '134', 0, 1457530412),
(75704, 2, 9457, '', '', '', 1, 1457530467),
(75705, 2, 9457, 'handler_id', '0', '134', 0, 1457530467),
(75706, 2, 9457, '', '', '9456', 21, 1457530468),
(75707, 2, 9456, '', '', '9457', 20, 1457530468),
(75708, 2, 9456, '', '2501', '9457', 18, 1457530468),
(75709, 2, 9457, '', '2500', '9456', 18, 1457530468),
(75710, 2, 9457, 'CodevTT_ChargeMgr', '0', '8', 0, 1457530713),
(75711, 2, 9457, 'CodevTT_ChargeInit', '2', '7', 0, 1457530713),
(75712, 2, 9456, 'CodevTT_ChargeMgr', '0', '2', 0, 1457530724),
(75721, 2, 8839, 'summary', '42169 - [DEVT]  Non duplication d\'assiettes sur enregistrement sans modifications', '42169 - [DEV]  Non duplication d\'assiettes sur enregistrement sans modifications', 0, 1457534600),
(75722, 2, 8839, 'summary', '42169 - [DEV]  Non duplication d\'assiettes sur enregistrement sans modifications', '42169 [DEV]  Non duplication d\'assiettes sur enregistrement sans modifications', 0, 1457534618),
(75723, 2, 8838, 'summary', '42169 - [SPEC]  Non duplication d\'assiettes sur enregistrement sans modifications', '42169 [SPEC]  Non duplication d\'assiettes sur enregistrement sans modifications', 0, 1457534636),
(75724, 2, 8838, 'CodevTT_Dead Line', '', '1463695200', 0, 1457534961),
(75725, 2, 9471, 'CodevTT_Dead Line', '', '1463695200', 0, 1457534961),
(75728, 2, 9471, 'target_version', '', '16.0_TO', 0, 1457534992),
(75731, 2, 9459, 'target_version', '', '16.0_TO', 0, 1457534992),
(75732, 2, 9460, 'target_version', '', '16.0_TO', 0, 1457534992),
(75733, 2, 9461, 'target_version', '', '16.0_TO', 0, 1457534992),
(75734, 2, 9462, 'target_version', '', '16.0_TO', 0, 1457534992),
(75735, 2, 9463, 'target_version', '', '16.0_TO', 0, 1457534992),
(75736, 2, 9464, 'target_version', '', '16.0_TO', 0, 1457534992),
(75737, 2, 9465, 'target_version', '', '16.0_TO', 0, 1457534992),
(75738, 2, 9466, 'target_version', '', '16.0_TO', 0, 1457534992),
(75739, 2, 9467, 'target_version', '', '16.0_TO', 0, 1457534992),
(75740, 2, 9468, 'target_version', '', '16.0_TO', 0, 1457534992),
(75741, 2, 9469, 'target_version', '', '16.0_TO', 0, 1457534992),
(75742, 2, 9470, 'target_version', '', '16.0_TO', 0, 1457534992),
(75743, 2, 9472, 'target_version', '', '16.0_TO', 0, 1457534992),
(75744, 2, 9474, 'target_version', '', '16.0_TO', 0, 1457534992),
(75745, 157, 9311, 'CodevTT_RAF', '0.5', '0.5', 0, 1457539374),
(75748, 2, 4324, 'CodevTT_Dead Line', '1449788400', '', 0, 1457540376),
(75749, 2, 4324, 'category', 'General', '3en1', 0, 1457540376),
(75750, 2, 4324, 'target_version', '', '16.0_Prov', 0, 1457540376),
(75751, 2, 4324, 'summary', '39196[DEV]TAIGA - APP - Retro-documentation du traitement apel_adresse_pl.sh', '39196 [DEV] TAIGA - APP - Retro-documentation du traitement apel_adresse_pl.sh', 0, 1457540424),
(75910, 93, 8942, 'CodevTT_RAF', '', '1', 0, 1457604506),
(75911, 93, 8942, 'status', '10', '50', 0, 1457604506),
(75912, 93, 9026, 'CodevTT_RAF', '', '1', 0, 1457604538),
(75913, 93, 9026, 'status', '10', '50', 0, 1457604538),
(75914, 93, 9026, 'CodevTT_RAF', '1', '0.5', 0, 1457604587),
(75915, 93, 8942, 'CodevTT_RAF', '1', '0.5', 0, 1457604607),
(75916, 217, 9305, 'CodevTT_RAF', '10', '9', 0, 1457604797),
(75917, 217, 9305, 'CodevTT_RAF', '9', '8', 0, 1457604840),
(76117, 157, 9311, 'CodevTT_RAF', '0.5', '0', 0, 1457677358),
(76118, 157, 9311, 'CodevTT_RAF', '0', '0', 0, 1457677359),
(76119, 157, 9311, 'status', '50', '80', 0, 1457677359),
(76120, 157, 9493, '', '', '', 1, 1457677668),
(76121, 157, 9493, 'handler_id', '0', '157', 0, 1457677668),
(76122, 157, 9493, '', '', '9307', 21, 1457677668),
(76123, 157, 9307, '', '', '9493', 20, 1457677668),
(76124, 157, 9307, 'CodevTT_RAF', '', '0', 0, 1457677802),
(76125, 157, 9307, 'status', '10', '80', 0, 1457677802),
(76126, 157, 9307, 'resolution', '10', '20', 0, 1457677802),
(76127, 157, 9307, '', '1846', '', 6, 1457677802),
(76128, 157, 9493, 'CodevTT_RAF', '', '9', 0, 1457677878),
(76129, 157, 9493, 'status', '10', '50', 0, 1457677878),
(76130, 199, 9494, '', '', '', 1, 1457681486),
(76131, 199, 9494, 'handler_id', '0', '199', 0, 1457681486),
(76132, 199, 9494, '', '', '9071', 21, 1457681486),
(76133, 199, 9071, '', '', '9494', 20, 1457681486),
(76134, 199, 9494, 'CodevTT_RAF', '', '0', 0, 1457681561),
(76135, 199, 9494, 'CodevTT_RAF', '0', '0', 0, 1457681561),
(76136, 199, 9494, 'status', '10', '80', 0, 1457681561),
(76137, 199, 9494, 'CodevTT_RAF', '0', '0', 0, 1457681573),
(76138, 199, 9495, '', '', '', 1, 1457682567),
(76139, 199, 9495, 'handler_id', '0', '199', 0, 1457682567),
(76140, 199, 9495, '', '', '9494', 21, 1457682567),
(76141, 199, 9494, '', '', '9495', 20, 1457682567),
(76142, 199, 9494, 'CodevTT_RAF', '0', '0', 0, 1457682957),
(76143, 199, 9495, 'CodevTT_RAF', '', '0', 0, 1457683184),
(76144, 199, 9495, 'CodevTT_RAF', '0', '0', 0, 1457683184),
(76145, 199, 9495, 'status', '10', '80', 0, 1457683184),
(76146, 199, 9496, '', '', '', 1, 1457683231),
(76147, 199, 9496, 'handler_id', '0', '199', 0, 1457683231),
(76148, 199, 9496, '', '', '9495', 21, 1457683231),
(76149, 199, 9495, '', '', '9496', 20, 1457683231),
(76150, 199, 9496, 'CodevTT_RAF', '', '0', 0, 1457683264),
(76151, 199, 9496, 'CodevTT_RAF', '0', '0', 0, 1457683264),
(76152, 199, 9496, 'status', '10', '80', 0, 1457683264),
(76153, 199, 9496, 'CodevTT_RAF', '0', '0', 0, 1457683441),
(76154, 74, 8811, 'CodevTT_RAF', '3', '2', 0, 1457683815),
(76155, 74, 8811, 'CodevTT_RAF', '2', '3', 0, 1457684245),
(76156, 74, 8811, 'CodevTT_RAF', '3', '2', 0, 1457684260),
(76157, 74, 9098, 'CodevTT_RAF', '', '0.5', 0, 1457684508),
(76158, 74, 9098, 'status', '10', '50', 0, 1457684508),
(76159, 200, 9099, 'CodevTT_RAF', '3', '5', 0, 1457686272),
(76160, 200, 9099, 'CodevTT_RAF', '5', '4', 0, 1457686304),
(76161, 200, 8797, 'CodevTT_RAF', '2', '0.5', 0, 1457686707),
(76162, 200, 8951, 'CodevTT_RAF', '0.4', '0.2', 0, 1457686730),
(76163, 200, 8795, 'CodevTT_RAF', '0.3', '0.5', 0, 1457686758),
(76164, 200, 9099, 'CodevTT_RAF', '4', '0.5', 0, 1457687684),
(76165, 134, 8796, 'CodevTT_RAF', '3', '2', 0, 1457687819),
(76166, 134, 8796, 'CodevTT_RAF', '2', '2', 0, 1457687840),
(76167, 134, 8796, 'CodevTT_RAF', '2', '1', 0, 1457687855),
(76169, 200, 8800, 'CodevTT_RAF', '5', '5', 0, 1457688062),
(76170, 200, 9099, 'CodevTT_RAF', '0.5', '2', 0, 1457688204),
(76171, 200, 9099, 'CodevTT_RAF', '2', '2', 0, 1457688220),
(76172, 200, 9452, 'CodevTT_RAF', '', '5', 0, 1457688311),
(76173, 200, 9452, 'status', '10', '50', 0, 1457688311),
(76176, 200, 9452, 'CodevTT_RAF', '5', '5', 0, 1457688401),
(76184, 147, 6153, 'CodevTT_RAF', '1', '3', 0, 1457690975),
(76185, 147, 6153, 'CodevTT_RAF', '3', '2', 0, 1457690992),
(76186, 147, 6153, 'CodevTT_RAF', '2', '0', 0, 1457691013),
(76187, 147, 6153, 'CodevTT_RAF', '0', '0', 0, 1457691013),
(76188, 147, 6153, 'status', '50', '80', 0, 1457691013),
(76235, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457702271),
(76239, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457702323),
(76241, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457702342),
(76243, 169, 8800, 'CodevTT_RAF', '5', '5', 0, 1457703300),
(76244, 169, 8800, 'CodevTT_RAF', '5', '5', 0, 1457703317),
(76245, 169, 8800, 'CodevTT_RAF', '5', '5', 0, 1457703338),
(76246, 169, 8800, 'CodevTT_RAF', '5', '5', 0, 1457703364),
(76247, 169, 4278, 'CodevTT_RAF', '8', '8', 0, 1457703418),
(76248, 93, 8942, 'CodevTT_RAF', '0.5', '0.5', 0, 1457703480),
(76249, 93, 8942, 'CodevTT_RAF', '0.5', '0.5', 0, 1457703493),
(76250, 169, 8804, 'CodevTT_RAF', '5', '4', 0, 1457703503),
(76251, 169, 8804, 'CodevTT_RAF', '4', '4', 0, 1457703566),
(76252, 169, 8800, 'CodevTT_RAF', '5', '4', 0, 1457703606),
(76253, 169, 8804, 'CodevTT_RAF', '4', '3', 0, 1457703637),
(76254, 169, 8804, 'CodevTT_RAF', '3', '2', 0, 1457703653),
(76255, 2, 9510, '', '', '', 1, 1457703741),
(76256, 2, 9511, '', '', '', 1, 1457703823),
(76257, 2, 9512, '', '', '', 1, 1457703919),
(76258, 2, 9513, '', '', '', 1, 1457703992),
(76259, 2, 9514, '', '', '', 1, 1457704045),
(76260, 2, 9515, '', '', '', 1, 1457704112),
(76261, 2, 9516, '', '', '', 1, 1457704168),
(76262, 158, 9318, 'CodevTT_RAF', '2', '1', 0, 1457705062),
(76265, 199, 9512, 'CodevTT_RAF', '', '1.5', 0, 1457710820),
(76266, 199, 9512, 'status', '10', '50', 0, 1457710820),
(76267, 199, 9512, 'handler_id', '0', '199', 0, 1457710820),
(76270, 199, 9512, 'CodevTT_RAF', '1.5', '1', 0, 1457710956),
(76271, 199, 9510, 'CodevTT_RAF', '', '1', 0, 1457711030),
(76272, 199, 9510, 'status', '10', '50', 0, 1457711030),
(76273, 199, 9510, 'handler_id', '0', '199', 0, 1457711030),
(76275, 199, 9511, 'CodevTT_RAF', '', '1', 0, 1457711049),
(76276, 199, 9511, 'status', '10', '50', 0, 1457711049),
(76277, 199, 9511, 'handler_id', '0', '199', 0, 1457711049),
(76278, 199, 9513, 'CodevTT_RAF', '', '1', 0, 1457711079),
(76279, 199, 9513, 'status', '10', '50', 0, 1457711079),
(76280, 199, 9513, 'handler_id', '0', '199', 0, 1457711079),
(76281, 199, 9514, 'CodevTT_RAF', '', '0', 0, 1457711106),
(76282, 199, 9514, 'CodevTT_RAF', '0', '0', 0, 1457711106),
(76283, 199, 9514, 'status', '10', '80', 0, 1457711106),
(76284, 199, 9514, 'handler_id', '0', '199', 0, 1457711106),
(76285, 199, 9516, 'CodevTT_RAF', '', '1', 0, 1457711134),
(76286, 199, 9516, 'status', '10', '50', 0, 1457711134),
(76287, 199, 9516, 'handler_id', '0', '199', 0, 1457711134),
(76288, 199, 9513, 'CodevTT_RAF', '1', '0', 0, 1457711155),
(76289, 199, 9513, 'CodevTT_RAF', '0', '0', 0, 1457711155),
(76290, 199, 9513, 'status', '50', '80', 0, 1457711155),
(76291, 199, 9513, 'CodevTT_RAF', '0', '0', 0, 1457711181),
(76292, 199, 9512, 'CodevTT_RAF', '1', '0', 0, 1457711199),
(76293, 199, 9512, 'CodevTT_RAF', '0', '0', 0, 1457711199),
(76294, 199, 9512, 'status', '50', '80', 0, 1457711199),
(76295, 199, 9510, 'CodevTT_RAF', '1', '0', 0, 1457711211),
(76296, 199, 9510, 'CodevTT_RAF', '0', '0', 0, 1457711211),
(76297, 199, 9510, 'status', '50', '80', 0, 1457711211),
(76298, 199, 9514, 'CodevTT_RAF', '0', '0', 0, 1457711229),
(76299, 199, 9511, 'CodevTT_RAF', '1', '0', 0, 1457711267),
(76300, 199, 9511, 'CodevTT_RAF', '0', '0', 0, 1457711267),
(76301, 199, 9511, 'status', '50', '80', 0, 1457711267),
(76302, 199, 9513, 'CodevTT_RAF', '0', '0', 0, 1457711276),
(76340, 212, 8802, 'CodevTT_RAF', '18', '19.25', 0, 1457714075),
(76343, 212, 8802, 'CodevTT_RAF', '19.25', '19.25', 0, 1457714119),
(76344, 212, 8363, 'CodevTT_RAF', '6.5', '6', 0, 1457714224),
(76345, 212, 8363, 'CodevTT_RAF', '6', '5.25', 0, 1457714303),
(76346, 146, 7113, 'CodevTT_RAF', '3', '2', 0, 1457714687),
(76347, 146, 7113, 'CodevTT_RAF', '2', '2', 0, 1457714696),
(76348, 212, 8802, 'CodevTT_RAF', '19.25', '18.75', 0, 1457714699),
(76349, 146, 7113, 'CodevTT_RAF', '2', '2', 0, 1457714709),
(76350, 146, 7113, 'CodevTT_RAF', '2', '2', 0, 1457714748),
(76351, 212, 8802, 'CodevTT_RAF', '18.75', '18.75', 0, 1457714752),
(76352, 146, 7113, 'CodevTT_RAF', '2', '2', 0, 1457714755),
(76353, 212, 8363, 'CodevTT_RAF', '5.25', '4.5', 0, 1457714779),
(76354, 146, 7113, 'CodevTT_RAF', '2', '2', 0, 1457714895),
(76355, 146, 7113, 'CodevTT_RAF', '2', '2', 0, 1457714923),
(76356, 212, 8363, 'CodevTT_RAF', '4.5', '3.75', 0, 1457714951),
(76357, 212, 8363, 'CodevTT_RAF', '3.75', '1', 0, 1457714980),
(76358, 212, 8363, 'CodevTT_RAF', '1', '1', 0, 1457714999),
(76464, 158, 9318, 'CodevTT_RAF', '1', '0', 0, 1457732585),
(76465, 158, 9318, 'CodevTT_RAF', '0', '0', 0, 1457732585),
(76466, 158, 9318, 'status', '50', '80', 0, 1457732585),
(76512, 217, 9305, 'CodevTT_RAF', '8', '7', 0, 1457943706),
(76639, 217, 9305, 'CodevTT_RAF', '7', '7', 0, 1457958714),
(76640, 217, 9305, 'CodevTT_RAF', '7', '8', 0, 1457958764),
(76665, 218, 9344, 'CodevTT_RAF', '10', '7', 0, 1457959889),
(76666, 218, 9344, 'CodevTT_RAF', '7', '7', 0, 1457959922),
(76667, 218, 9344, 'CodevTT_RAF', '7', '7', 0, 1457959938),
(76668, 218, 9344, 'CodevTT_RAF', '7', '7', 0, 1457959955),
(76669, 218, 9344, 'CodevTT_RAF', '7', '7', 0, 1457959973),
(76670, 218, 9344, 'CodevTT_RAF', '7', '7', 0, 1457960069),
(76671, 218, 9344, 'CodevTT_RAF', '7', '7', 0, 1457960086),
(76674, 2, 9444, 'CodevTT_RAF', '17', '17', 0, 1457962436),
(76697, 72, 8552, 'CodevTT_RAF', '1', '0', 0, 1457964650),
(76698, 72, 8552, 'status', '50', '80', 0, 1457964650),
(76704, 74, 8181, 'CodevTT_RAF', '0', '1.5', 0, 1457966634),
(76705, 74, 8181, 'status', '80', '50', 0, 1457966634),
(76706, 74, 8811, 'CodevTT_RAF', '2', '2', 0, 1457966656),
(76707, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1457969142),
(76708, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1457969197),
(76709, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1457969662),
(76710, 205, 8363, 'CodevTT_RAF', '1', '1', 0, 1457971586),
(76711, 205, 8551, 'CodevTT_RAF', '0', '0', 0, 1457971609),
(76712, 205, 9563, '', '', '', 1, 1457971840),
(76714, 205, 9563, 'summary', 'Analyse des causes de la non validation lors du 1er passage en BQ', '42404 - Analyse des causes de la non validation lors du 1er passage en BQ', 0, 1457971877),
(76716, 205, 9563, 'CodevTT_RAF', '', '1', 0, 1457971907),
(76717, 205, 9563, 'status', '10', '50', 0, 1457971907),
(76718, 205, 9563, 'handler_id', '0', '205', 0, 1457971907),
(76719, 72, 8171, 'CodevTT_ChargeMgr', '5', '0', 0, 1457972217),
(76732, 93, 8942, 'CodevTT_RAF', '0.5', '0', 0, 1457977189),
(76733, 93, 8942, 'CodevTT_RAF', '0', '0', 0, 1457977189),
(76734, 93, 8942, 'status', '50', '80', 0, 1457977189),
(76735, 93, 9026, 'CodevTT_RAF', '0.5', '0', 0, 1457977217),
(76736, 93, 9026, 'CodevTT_RAF', '0', '0', 0, 1457977217),
(76737, 93, 9026, 'status', '50', '80', 0, 1457977217),
(76738, 157, 9493, 'CodevTT_RAF', '9', '8', 0, 1458023371),
(76739, 157, 9493, 'CodevTT_RAF', '8', '7', 0, 1458023383),
(76816, 2, 6189, 'CodevTT_Type', 'Bug', 'Task', 0, 1458038872),
(76817, 2, 6189, '', '0001530', '', 2, 1458038872),
(76818, 2, 6189, 'summary', '40409 - Appel 3 en 1 - revenu définitif  enregistré APRES revenu estimé - anomalies SPOC', '40409 [DEV] Appel 3 en 1 - revenu définitif  enregistré APRES revenu estimé - anomalies SPOC', 0, 1458038946),
(76819, 2, 6189, 'CodevTT_ChargeMgr', '0', '13.4', 0, 1458039804),
(76820, 2, 6189, '', '0001530', '1867', 3, 1458039858),
(76821, 2, 6189, 'CodevTT_ChargeMgr', '13.4', '6.8', 0, 1458039890),
(76822, 2, 5405, 'CodevTT_ChargeMgr', '10', '6.3', 0, 1458039967),
(76823, 2, 5405, '', '0001531', '', 2, 1458039967),
(76824, 2, 5405, 'category', 'General', '3en1', 0, 1458039967),
(76825, 2, 5565, 'CodevTT_ChargeMgr', '15', '5', 0, 1458040043),
(76826, 2, 5565, 'CodevTT_ChargeInit', '10', '4', 0, 1458040043),
(76827, 2, 5565, '', '0001532', '', 2, 1458040043),
(76828, 2, 5406, 'CodevTT_ChargeMgr', '20', '5.5', 0, 1458040079),
(76829, 2, 5406, 'CodevTT_ChargeInit', '10', '4', 0, 1458040079),
(76830, 2, 5406, '', '0001533', '', 2, 1458040079),
(76831, 2, 5406, 'category', 'General', '3en1', 0, 1458040079),
(76832, 2, 5406, '', '1', '5565', 18, 1458040115),
(76833, 2, 5565, '', '1', '5406', 18, 1458040115),
(76834, 2, 6741, 'CodevTT_Type', 'Bug', 'Task', 0, 1458040215),
(76835, 2, 6741, 'CodevTT_ChargeMgr', '0', '5.8', 0, 1458040215),
(76836, 2, 6741, 'CodevTT_ChargeInit', '2', '5', 0, 1458040215),
(76837, 2, 6741, '', '0001534', '', 2, 1458040215),
(76838, 2, 6741, 'category', 'General', '3en1', 0, 1458040215),
(76839, 2, 6741, 'summary', '40967 - SPOC 21 absent pour les caisses non PL', '40967 [DEV] SPOC 21 absent pour les caisses non PL', 0, 1458040215),
(76840, 2, 9456, 'CodevTT_ChargeMgr', '2', '2.4', 0, 1458040496),
(76841, 2, 9456, '', '0001535', '', 2, 1458040496),
(76842, 2, 9457, 'CodevTT_ChargeMgr', '8', '4', 0, 1458040511),
(76843, 2, 9457, '', '0001536', '', 2, 1458040511),
(76844, 2, 5565, 'CodevTT_ChargeMgr', '5', '8.4', 0, 1458040797),
(76845, 2, 5565, 'CodevTT_ChargeInit', '4', '8', 0, 1458040797),
(76846, 2, 5565, '', '0001537', '', 2, 1458040797),
(76847, 2, 5406, 'CodevTT_ChargeMgr', '5.5', '10.5', 0, 1458040842),
(76848, 2, 5406, 'CodevTT_ChargeInit', '4', '9', 0, 1458040842),
(76849, 2, 5406, '', '0001538', '', 2, 1458040842),
(76850, 2, 5405, 'CodevTT_ChargeMgr', '6.3', '11.3', 0, 1458040869),
(76851, 2, 5405, 'CodevTT_ChargeInit', '7', '10', 0, 1458040869),
(76852, 2, 5405, '', '0001539', '', 2, 1458040869),
(76853, 2, 6741, '', '0001534', '1869', 3, 1458041075),
(76854, 2, 6741, 'CodevTT_ChargeMgr', '5.8', '3.5', 0, 1458041096),
(76855, 2, 6741, 'CodevTT_ChargeInit', '5', '3', 0, 1458041096),
(76856, 2, 8290, 'CodevTT_ChargeMgr', '2', '3.6', 0, 1458041143),
(76857, 2, 8290, 'CodevTT_ChargeInit', '1', '3', 0, 1458041143),
(76858, 2, 8290, '', '0001540', '', 2, 1458041143),
(76859, 2, 8289, 'CodevTT_ChargeMgr', '2', '2.2', 0, 1458041161),
(76860, 2, 8289, 'CodevTT_ChargeInit', '1', '2', 0, 1458041161),
(76861, 2, 8289, '', '0001541', '', 2, 1458041161),
(76864, 217, 9305, 'CodevTT_RAF', '8', '7', 0, 1458045096),
(76865, 217, 9305, 'CodevTT_RAF', '7', '6', 0, 1458045133),
(76866, 217, 9305, 'CodevTT_RAF', '6', '5', 0, 1458045145),
(76867, 217, 9305, 'CodevTT_RAF', '5', '4', 0, 1458045156),
(76868, 200, 8793, 'handler_id', '200', '134', 0, 1458049172),
(76869, 200, 8793, '', '0001542', '', 2, 1458049520),
(76872, 200, 7893, 'CodevTT_RAF', '6', '0', 0, 1458049827),
(76873, 200, 7893, 'status', '20', '80', 0, 1458049827),
(76874, 200, 8797, 'CodevTT_RAF', '0.5', '0', 0, 1458049941),
(76875, 200, 8797, 'status', '40', '80', 0, 1458049977),
(76876, 200, 8795, 'CodevTT_RAF', '0.5', '0', 0, 1458050018),
(76880, 200, 8795, 'status', '20', '80', 0, 1458050041),
(76884, 200, 7069, 'CodevTT_RAF', '0.5', '0', 0, 1458050080),
(76885, 200, 7069, 'status', '50', '80', 0, 1458050103),
(76886, 200, 7654, 'CodevTT_RAF', '0.1', '0', 0, 1458050149),
(76887, 200, 7654, 'status', '50', '80', 0, 1458050166),
(76901, 93, 8905, 'CodevTT_RAF', '0', '0.75', 0, 1458051585),
(76902, 93, 8905, 'status', '80', '50', 0, 1458051585),
(76903, 93, 8905, 'CodevTT_RAF', '0.75', '0', 0, 1458051621),
(76904, 93, 8905, 'CodevTT_RAF', '0', '0', 0, 1458051621),
(76905, 93, 8905, 'status', '50', '80', 0, 1458051621),
(76907, 72, 8621, '', '1544', '', 2, 1458052003),
(76908, 72, 8621, '', '1544', '', 4, 1458052044),
(76909, 93, 9572, '', '', '', 1, 1458052504),
(76910, 93, 9572, 'handler_id', '0', '93', 0, 1458052504),
(76913, 93, 9574, '', '', '', 1, 1458052609),
(76914, 93, 9574, 'handler_id', '0', '93', 0, 1458052609),
(76915, 93, 9572, 'CodevTT_RAF', '', '0.50', 0, 1458052674),
(76916, 93, 9572, 'status', '10', '50', 0, 1458052674),
(76938, 2, 9444, 'CodevTT_RAF', '17', '16', 0, 1458116662),
(76955, 134, 8796, 'CodevTT_RAF', '1', '0', 0, 1458118431),
(76956, 134, 8796, 'CodevTT_RAF', '0', '0', 0, 1458118431),
(76957, 134, 8796, 'status', '40', '80', 0, 1458118431),
(76958, 134, 9457, 'CodevTT_RAF', '', '1', 0, 1458118650),
(76959, 134, 9457, 'status', '10', '40', 0, 1458118650),
(76960, 134, 9457, 'CodevTT_RAF', '1', '0', 0, 1458118677),
(76961, 134, 9457, 'CodevTT_RAF', '0', '0', 0, 1458118677),
(76962, 134, 9457, 'status', '40', '80', 0, 1458118677),
(76973, 134, 9456, 'CodevTT_Date Livraison', '', '1426374000', 0, 1458119482),
(76974, 134, 9456, 'status', '10', '80', 0, 1458119482),
(76975, 134, 9456, 'resolution', '10', '20', 0, 1458119482),
(76976, 134, 9456, 'CodevTT_RAF', '', '0', 0, 1458119482),
(76987, 2, 5711, 'status', '50', '80', 0, 1458120280),
(76988, 2, 5711, 'resolution', '10', '20', 0, 1458120280),
(76989, 2, 5711, 'CodevTT_RAF', '5', '0', 0, 1458120280),
(76990, 134, 6059, 'CodevTT_Date Livraison', '', '1457996400', 0, 1458120308),
(76991, 134, 6059, 'status', '30', '80', 0, 1458120308),
(76992, 134, 6059, 'resolution', '10', '20', 0, 1458120308),
(76993, 134, 6059, 'CodevTT_RAF', '1.1', '0', 0, 1458120308),
(77007, 2, 9601, '', '', '', 1, 1458123090),
(77008, 2, 9601, 'handler_id', '0', '147', 0, 1458123090),
(77009, 2, 8857, 'CodevTT_RAF', '0', '2', 0, 1458123133),
(77010, 2, 8857, 'status', '80', '30', 0, 1458123133),
(77011, 217, 9305, 'CodevTT_RAF', '4', '4', 0, 1458123739),
(77012, 217, 9305, 'CodevTT_RAF', '4', '4.5', 0, 1458123904),
(77016, 147, 5565, 'CodevTT_RAF', '0', '1', 0, 1458134260),
(77017, 147, 6153, 'CodevTT_RAF', '0', '0', 0, 1458134317),
(77018, 147, 8951, 'CodevTT_RAF', '0.2', '0', 0, 1458134375),
(77019, 147, 8951, 'CodevTT_RAF', '0', '0', 0, 1458134375),
(77020, 147, 8951, 'status', '50', '80', 0, 1458134375),
(77021, 147, 5565, 'CodevTT_RAF', '1', '0.5', 0, 1458134432),
(77158, 157, 9493, 'CodevTT_RAF', '7', '2', 0, 1458206384),
(77159, 157, 9493, 'CodevTT_RAF', '2', '1.5', 0, 1458206406),
(77160, 157, 9493, 'CodevTT_RAF', '1.5', '0.5', 0, 1458206422),
(77197, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458211074),
(77198, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458211091),
(77199, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1458211135),
(77200, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458211154),
(77201, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1458211174),
(77212, 93, 9572, 'CodevTT_RAF', '0.50', '0', 0, 1458215493),
(77213, 93, 9572, 'CodevTT_RAF', '0', '0', 0, 1458215493),
(77214, 93, 9572, 'status', '50', '80', 0, 1458215493),
(77215, 93, 9574, 'CodevTT_RAF', '', '0.50', 0, 1458215557),
(77216, 93, 9574, 'status', '10', '50', 0, 1458215557),
(77217, 93, 9572, 'CodevTT_RAF', '0', '1', 0, 1458215601),
(77218, 93, 9572, 'status', '80', '50', 0, 1458215601),
(77219, 93, 9572, 'CodevTT_RAF', '1', '0', 0, 1458215677),
(77220, 93, 9572, 'CodevTT_RAF', '0', '0', 0, 1458215677),
(77221, 93, 9572, 'status', '50', '80', 0, 1458215677),
(77222, 93, 9574, 'CodevTT_RAF', '0.50', '0', 0, 1458215695),
(77223, 93, 9574, 'CodevTT_RAF', '0', '0', 0, 1458215695),
(77224, 93, 9574, 'status', '50', '80', 0, 1458215695),
(77225, 2, 9444, 'status', '30', '50', 0, 1458220811),
(77289, 2, 9444, 'CodevTT_RAF', '16', '16', 0, 1458233794),
(77301, 74, 8181, 'CodevTT_RAF', '1.5', '2', 0, 1458286072),
(77302, 74, 8181, 'CodevTT_RAF', '2', '0.5', 0, 1458286102),
(77303, 74, 8181, 'CodevTT_RAF', '0.5', '0.5', 0, 1458286124),
(77304, 74, 9098, 'CodevTT_RAF', '0.5', '0.5', 0, 1458286162),
(77356, 72, 9632, 'handler_id', '0', '205', 0, 1458295685),
(77357, 72, 9633, 'handler_id', '0', '169', 0, 1458295685),
(77358, 72, 9634, 'handler_id', '0', '134', 0, 1458295685),
(77362, 72, 9635, 'summary', '42441 [DEV] 42441 [SPEC] DSI-2015-INT-Détermination de l\'assiette sociale : l\'assiette sociale doit être indéterminée si une déc', '42441 [DEV] DSI-2015-INT-Détermination de l\'assiette sociale : l\'assiette sociale doit être indéterminée si une déc', 0, 1458296272),
(77367, 72, 9633, 'summary', '42405 [DEV] 42405 [SPEC] TAIGA PUMA : contrôle de résidence => fichier des personnes fiscales en France ( échange DGFIP)', '42405 [DEV]  TAIGA PUMA : contrôle de résidence => fichier des personnes fiscales en France ( échange DGFIP)', 0, 1458296496),
(77385, 200, 9099, 'CodevTT_RAF', '2', '0.5', 0, 1458305747),
(77386, 200, 9099, 'CodevTT_RAF', '0.5', '0.1', 0, 1458305787),
(77387, 200, 9452, 'CodevTT_RAF', '5', '5', 0, 1458305819),
(77388, 200, 9633, 'CodevTT_RAF', '', '0.5', 0, 1458305887),
(77389, 200, 9633, 'status', '10', '50', 0, 1458305888),
(77390, 200, 9632, 'CodevTT_RAF', '', '0.5', 0, 1458305929),
(77391, 200, 9632, 'status', '10', '50', 0, 1458305929),
(77392, 200, 9632, 'CodevTT_RAF', '0.5', '0', 0, 1458305993),
(77393, 200, 9632, 'CodevTT_RAF', '0', '0', 0, 1458305993),
(77394, 200, 9632, 'status', '50', '80', 0, 1458305993),
(77395, 200, 8800, 'CodevTT_RAF', '4', '3', 0, 1458306272),
(77396, 200, 9099, 'CodevTT_RAF', '0.1', '3.4', 0, 1458306471),
(77397, 200, 9452, 'CodevTT_RAF', '5', '4.2', 0, 1458306489),
(77398, 200, 9632, 'CodevTT_RAF', '0', '0', 0, 1458306770),
(77399, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1458308051),
(77400, 147, 8951, 'CodevTT_RAF', '0', '0', 0, 1458308154),
(77401, 147, 5565, 'CodevTT_RAF', '0.5', '1', 0, 1458308192),
(77402, 134, 8793, 'CodevTT_RAF', '', '2', 0, 1458308212),
(77403, 134, 8793, 'status', '10', '50', 0, 1458308212),
(77404, 147, 5565, 'CodevTT_RAF', '1', '0', 0, 1458308221),
(77405, 134, 8793, 'CodevTT_RAF', '2', '1', 0, 1458308275),
(77406, 164, 8949, '', '1547', '', 2, 1458308286),
(77407, 134, 9634, 'CodevTT_RAF', '', '0.5', 0, 1458308337),
(77408, 134, 9634, 'status', '10', '50', 0, 1458308337),
(77409, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458308340),
(77410, 134, 8793, 'CodevTT_RAF', '1', '0.5', 0, 1458308454),
(77411, 93, 9572, 'CodevTT_RAF', '0', '1.5', 0, 1458308686),
(77412, 93, 9572, 'status', '80', '50', 0, 1458308686),
(77413, 212, 8363, 'CodevTT_RAF', '1', '5.25', 0, 1458308707),
(77414, 93, 8905, 'CodevTT_RAF', '0', '0.9', 0, 1458308872),
(77415, 93, 8905, 'status', '80', '50', 0, 1458308872),
(77416, 212, 8363, 'CodevTT_RAF', '5.25', '6', 0, 1458308997),
(77417, 212, 8363, 'CodevTT_RAF', '6', '5', 0, 1458309020),
(77418, 93, 9572, 'CodevTT_RAF', '1.5', '0.5', 0, 1458309026),
(77419, 212, 8802, 'CodevTT_RAF', '18.75', '18', 0, 1458309097),
(77420, 212, 8363, 'CodevTT_RAF', '5', '5.5', 0, 1458309159),
(77421, 212, 8363, 'CodevTT_RAF', '5.5', '5', 0, 1458309181),
(77422, 212, 8802, 'CodevTT_RAF', '18', '17.5', 0, 1458309220),
(77423, 212, 8363, 'CodevTT_RAF', '5', '4', 0, 1458309242),
(77424, 212, 8363, 'CodevTT_RAF', '4', '2', 0, 1458309265),
(77425, 218, 9344, 'CodevTT_RAF', '7', '3', 0, 1458309650),
(77426, 218, 9344, 'CodevTT_RAF', '3', '3', 0, 1458309681),
(77427, 218, 9344, 'CodevTT_RAF', '3', '3', 0, 1458309701),
(77428, 218, 9344, 'CodevTT_RAF', '3', '3', 0, 1458309718),
(77429, 218, 9344, 'CodevTT_RAF', '3', '3', 0, 1458309740),
(77430, 200, 6153, 'status', '80', '50', 0, 1458310154),
(77431, 200, 6153, 'CodevTT_RAF', '0', '0', 0, 1458310366),
(77432, 200, 6153, 'CodevTT_RAF', '0', '0', 0, 1458310366),
(77433, 200, 6153, 'status', '50', '80', 0, 1458310366),
(77434, 200, 8795, 'status', '80', '50', 0, 1458310471),
(77435, 200, 6153, 'CodevTT_RAF', '0', '0', 0, 1458310554),
(77436, 200, 8795, 'CodevTT_RAF', '0', '0', 0, 1458310588),
(77437, 200, 8795, 'CodevTT_RAF', '0', '0', 0, 1458310588),
(77438, 200, 8795, 'status', '50', '80', 0, 1458310588),
(77439, 200, 8797, 'status', '80', '50', 0, 1458310741),
(77440, 134, 9643, '', '', '', 1, 1458310767),
(77441, 134, 9643, 'handler_id', '0', '134', 0, 1458310767),
(77442, 134, 9643, 'CodevTT_RAF', '', '0', 0, 1458310808),
(77443, 134, 9643, 'CodevTT_RAF', '0', '0', 0, 1458310808),
(77444, 134, 9643, 'status', '10', '80', 0, 1458310808),
(77445, 200, 8797, 'CodevTT_RAF', '0', '0', 0, 1458310937),
(77446, 200, 8797, 'CodevTT_RAF', '0', '0', 0, 1458310937),
(77447, 200, 8797, 'status', '50', '80', 0, 1458310937),
(77448, 200, 8797, 'CodevTT_RAF', '0', '0', 0, 1458310993),
(77449, 200, 8797, 'status', '80', '50', 0, 1458311011),
(77450, 200, 8797, 'CodevTT_RAF', '0', '0', 0, 1458311168),
(77451, 200, 8797, 'CodevTT_RAF', '0', '0', 0, 1458311168),
(77452, 200, 8797, 'status', '50', '80', 0, 1458311168),
(77453, 200, 8797, 'CodevTT_RAF', '0', '0', 0, 1458311187),
(77454, 200, 9099, 'CodevTT_RAF', '3.4', '3', 0, 1458311523),
(77455, 199, 9644, '', '', '', 1, 1458311646),
(77456, 199, 9644, 'handler_id', '0', '199', 0, 1458311646),
(77457, 199, 9644, '', '', '5565', 21, 1458311646),
(77458, 199, 5565, '', '', '9644', 20, 1458311646),
(77459, 200, 9452, 'CodevTT_RAF', '4.2', '3.1', 0, 1458311655),
(77460, 200, 9452, 'CodevTT_RAF', '3.1', '5', 0, 1458311713),
(77461, 199, 9644, 'CodevTT_RAF', '', '0', 0, 1458311741),
(77462, 199, 9644, 'CodevTT_RAF', '0', '0', 0, 1458311741),
(77463, 199, 9644, 'status', '10', '80', 0, 1458311741),
(77464, 199, 9644, 'CodevTT_RAF', '0', '0', 0, 1458311755),
(77465, 199, 9644, 'CodevTT_RAF', '0', '0', 0, 1458311772),
(77466, 199, 9644, 'CodevTT_RAF', '0', '0', 0, 1458311803),
(77467, 199, 9512, 'CodevTT_RAF', '0', '0', 0, 1458312361),
(77468, 199, 8840, 'CodevTT_RAF', '10', '8.5', 0, 1458312505),
(77469, 199, 9631, 'CodevTT_RAF', '', '0.5', 0, 1458312558),
(77470, 199, 9631, 'status', '10', '50', 0, 1458312558),
(77471, 199, 9631, 'handler_id', '0', '199', 0, 1458312558),
(77472, 199, 9516, 'CodevTT_RAF', '1', '0', 0, 1458312592),
(77473, 199, 9516, 'CodevTT_RAF', '0', '0', 0, 1458312592),
(77474, 199, 9516, 'status', '50', '80', 0, 1458312592),
(77475, 199, 9631, 'CodevTT_RAF', '0.5', '1', 0, 1458312663),
(77476, 199, 9496, 'CodevTT_RAF', '0', '0', 0, 1458312752),
(77477, 199, 9496, 'CodevTT_RAF', '0', '0', 0, 1458312767),
(77478, 199, 9496, 'CodevTT_RAF', '0', '0', 0, 1458312783),
(77517, 2, 8949, '', '1547', '1877', 3, 1458319381),
(77518, 2, 9646, '', '', '', 1, 1458319524),
(77519, 2, 9646, 'handler_id', '0', '2', 0, 1458319524),
(77520, 2, 9646, '', '', '1508', 21, 1458319524),
(77521, 2, 1508, '', '', '9646', 20, 1458319524),
(77522, 2, 9646, 'summary', '(generique) Mise à jour de la DOC de reference', 'Mise à jour de la DOC de reference du RSI', 0, 1458319598),
(77528, 2, 9444, 'CodevTT_Dead Line', '', '1461967200', 0, 1458319751),
(77535, 169, 8804, 'CodevTT_RAF', '2', '1', 0, 1458325681),
(77536, 169, 8804, 'CodevTT_RAF', '1', '1', 0, 1458325705),
(77537, 169, 8804, 'CodevTT_RAF', '1', '1', 0, 1458325722),
(77538, 169, 4278, 'CodevTT_RAF', '8', '7', 0, 1458325756),
(77539, 169, 8800, 'CodevTT_RAF', '3', '2', 0, 1458325796),
(77540, 169, 8800, 'CodevTT_RAF', '2', '2', 0, 1458325817),
(77581, 200, 9452, 'CodevTT_RAF', '5', '5', 0, 1458545760),
(77582, 74, 8181, 'CodevTT_RAF', '0.5', '0', 0, 1458546362),
(77583, 74, 8181, 'CodevTT_RAF', '0', '0', 0, 1458546362),
(77584, 74, 8181, 'status', '50', '80', 0, 1458546362),
(77589, 74, 8811, 'CodevTT_RAF', '2', '3', 0, 1458547142),
(77590, 72, 9445, 'handler_id', '199', '147', 0, 1458552255),
(82107, 72, 10041, 'Ref. Externe', '', '42013', 0, 1460359492),
(82106, 2, 8949, 'CodevTT_RAF', '0', '0', 0, 1460359486),
(77593, 72, 6746, 'status', '20', '80', 0, 1458553076),
(77623, 146, 7114, 'CodevTT_RAF', '2', '1', 0, 1458554734),
(77624, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1458554753),
(77625, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1458554780),
(77626, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1458554781),
(77627, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1458554784),
(77629, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1458554821),
(77630, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1458554837),
(77700, 72, 9632, 'status', '80', '50', 0, 1458557640),
(77701, 72, 9632, 'CodevTT_RAF', '0', '7', 0, 1458557816),
(77709, 2, 8155, 'CodevTT_RAF', '0', '0', 0, 1458564180),
(77729, 116, 8072, 'CodevTT_RAF', '0', '0', 0, 1458573207),
(77736, 93, 9572, 'CodevTT_RAF', '0.5', '0', 0, 1458574782);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(77737, 93, 9572, 'CodevTT_RAF', '0', '0', 0, 1458574782),
(77738, 93, 9572, 'status', '50', '80', 0, 1458574782),
(77739, 93, 8905, 'CodevTT_RAF', '0.9', '0', 0, 1458574868),
(77740, 93, 8905, 'CodevTT_RAF', '0', '0', 0, 1458574868),
(77741, 93, 8905, 'status', '50', '80', 0, 1458574868),
(77742, 93, 8905, 'CodevTT_RAF', '0', '0', 0, 1458574974),
(77780, 217, 9305, 'CodevTT_RAF', '4.5', '4', 0, 1458635313),
(77781, 217, 9305, 'CodevTT_RAF', '4', '4', 0, 1458635334),
(77793, 93, 9670, '', '', '', 1, 1458642297),
(77794, 93, 9670, 'handler_id', '0', '93', 0, 1458642297),
(77795, 134, 8796, 'CodevTT_RAF', '0', '0', 0, 1458642301),
(77796, 134, 8793, 'CodevTT_RAF', '0.5', '1', 0, 1458642347),
(77797, 134, 8793, 'CodevTT_RAF', '1', '0.5', 0, 1458642374),
(77806, 93, 9670, 'CodevTT_RAF', '', '0.5', 0, 1458643720),
(77807, 93, 9670, 'status', '10', '50', 0, 1458643720),
(77917, 2, 4972, 'CodevTT_RAF', '0', '0', 0, 1458653975),
(77918, 2, 4972, '', '1548', '', 2, 1458654129),
(77919, 116, 9671, '', '', '', 1, 1458654448),
(77920, 116, 9671, 'handler_id', '0', '116', 0, 1458654448),
(77925, 116, 9672, '', '', '', 1, 1458655845),
(77926, 116, 9672, 'handler_id', '0', '116', 0, 1458655845),
(77927, 116, 9672, 'CodevTT_RAF', '', '1.5', 0, 1458655880),
(77928, 116, 9672, 'status', '10', '50', 0, 1458655880),
(77930, 116, 9671, 'CodevTT_RAF', '', '1.5', 0, 1458655937),
(77931, 116, 9671, 'status', '10', '50', 0, 1458655937),
(99774, 72, 12097, 'status', '30', '80', 0, 1465802271),
(77942, 2, 8155, '', '1549', '', 2, 1458659000),
(77944, 72, 9674, '', '', '', 1, 1458659603),
(77945, 72, 9674, 'handler_id', '0', '157', 0, 1458659603),
(77948, 134, 8793, 'CodevTT_RAF', '0.5', '0', 0, 1458660534),
(77949, 134, 8793, 'CodevTT_RAF', '0', '0', 0, 1458660534),
(77950, 134, 8793, 'status', '50', '80', 0, 1458660534),
(78032, 72, 8804, 'CodevTT_ChargeMgr', '10', '5', 0, 1458665252),
(78033, 72, 8180, 'CodevTT_ChargeMgr', '5', '8', 0, 1458665340),
(78034, 72, 6153, 'CodevTT_ChargeMgr', '5', '4', 0, 1458665465),
(78035, 72, 5711, 'status', '80', '50', 0, 1458665554),
(78036, 72, 5711, 'CodevTT_ChargeMgr', '7', '14', 0, 1458665554),
(78037, 72, 5711, 'CodevTT_RAF', '0', '1', 0, 1458665554),
(78038, 72, 5711, 'CodevTT_RAF', '1', '0', 0, 1458665554),
(78039, 72, 8951, 'CodevTT_ChargeMgr', '3', '0.9', 0, 1458665664),
(78040, 72, 8951, 'CodevTT_ChargeInit', '2', '1', 0, 1458665664),
(78041, 72, 5711, 'CodevTT_RAF', '0', '1', 0, 1458665720),
(78042, 72, 8796, 'CodevTT_ChargeMgr', '6', '11', 0, 1458665919),
(78043, 72, 8797, 'CodevTT_ChargeMgr', '0', '7', 0, 1458666159),
(78044, 72, 9318, 'CodevTT_ChargeMgr', '5', '10', 0, 1458666202),
(78045, 93, 9675, '', '', '', 1, 1458667199),
(78046, 93, 9675, 'handler_id', '0', '93', 0, 1458667199),
(78047, 93, 9670, 'CodevTT_RAF', '0.5', '1', 0, 1458667267),
(78048, 93, 9675, 'CodevTT_RAF', '', '1.5', 0, 1458667289),
(78049, 93, 9675, 'status', '10', '50', 0, 1458667289),
(78050, 93, 9675, 'CodevTT_RAF', '1.5', '0.5', 0, 1458667306),
(78059, 157, 9674, 'CodevTT_RAF', '', '2.5', 0, 1458716483),
(78060, 157, 9674, 'status', '10', '50', 0, 1458716483),
(78061, 157, 4939, 'CodevTT_RAF', '', '1', 0, 1458716532),
(78062, 157, 4939, 'handler_id', '199', '157', 0, 1458716532),
(78063, 157, 9674, 'CodevTT_RAF', '2.5', '1.5', 0, 1458716552),
(78064, 157, 9674, 'CodevTT_RAF', '1.5', '0.5', 0, 1458716568),
(78070, 2, 7894, 'target_version', '15.1.0_Mars', '', 0, 1458724744),
(78071, 2, 9633, 'CodevTT_RAF', '0.5', '8', 0, 1458724863),
(78072, 2, 9674, 'status', '50', '80', 0, 1458725669),
(78073, 2, 9674, 'resolution', '10', '20', 0, 1458725669),
(78074, 2, 9631, 'handler_id', '199', '147', 0, 1458725930),
(78089, 72, 8801, 'status', '10', '20', 0, 1458735874),
(78090, 72, 8621, 'status', '50', '20', 0, 1458735874),
(78091, 72, 8801, 'target_version', '16.0.0', '', 0, 1458735900),
(78092, 72, 8621, 'target_version', '16.0.0', '', 0, 1458735900),
(78093, 217, 9305, 'CodevTT_RAF', '4', '3', 0, 1458736608),
(78094, 72, 8713, 'CodevTT_ChargeMgr', '5', '5.6', 0, 1458736973),
(78095, 72, 8712, 'CodevTT_ChargeMgr', '5', '6', 0, 1458736998),
(78096, 72, 8799, 'CodevTT_ChargeMgr', '5', '6.5', 0, 1458737110),
(78097, 72, 8800, 'CodevTT_ChargeMgr', '7', '4.4', 0, 1458737135),
(78098, 72, 8905, 'CodevTT_ChargeMgr', '', '2.5', 0, 1458737276),
(78526, 74, 9098, 'CodevTT_RAF', '0.5', '2', 0, 1458833475),
(78525, 74, 8811, 'status', '50', '80', 0, 1458833443),
(78101, 72, 8941, 'CodevTT_ChargeMgr', '0', '1', 0, 1458737564),
(78102, 72, 8942, 'CodevTT_ChargeMgr', '0', '1.5', 0, 1458737599),
(78103, 72, 9026, 'CodevTT_ChargeMgr', '3', '3.2', 0, 1458737790),
(78524, 74, 8811, 'CodevTT_RAF', '0', '0', 0, 1458833443),
(78523, 74, 8811, 'CodevTT_RAF', '1', '0', 0, 1458833443),
(78107, 72, 9318, 'CodevTT_ChargeMgr', '10', '10.1', 0, 1458738157),
(78522, 74, 8811, 'CodevTT_RAF', '1', '1', 0, 1458833427),
(78109, 2, 8155, 'CodevTT_RAF', '0', '0', 0, 1458739250),
(78110, 2, 8155, '', '1549', '1879', 3, 1458739268),
(78111, 2, 8155, '', '1549', '', 4, 1458739281),
(78112, 169, 8804, 'CodevTT_RAF', '1', '0', 0, 1458739368),
(78113, 169, 8804, 'CodevTT_RAF', '0', '0', 0, 1458739368),
(78114, 169, 8804, 'status', '50', '80', 0, 1458739368),
(78115, 169, 8800, 'CodevTT_RAF', '2', '1', 0, 1458739405),
(78116, 169, 8800, 'CodevTT_RAF', '1', '0', 0, 1458739430),
(78117, 169, 8800, 'CodevTT_RAF', '0', '0', 0, 1458739430),
(78118, 169, 8800, 'status', '50', '80', 0, 1458739430),
(78119, 169, 4278, 'CodevTT_RAF', '7', '7', 0, 1458739467),
(78120, 72, 8801, 'CodevTT_RAF', '', '10', 0, 1458740726),
(78121, 72, 8802, 'CodevTT_ChargeMgr', '20', '34.8', 0, 1458741807),
(78122, 72, 8800, 'CodevTT_ChargeMgr', '4.4', '0', 0, 1458742448),
(78123, 72, 9318, 'CodevTT_ChargeMgr', '10.1', '0', 0, 1458742448),
(78124, 72, 8797, 'CodevTT_ChargeMgr', '7', '0', 0, 1458742448),
(78125, 72, 8799, 'CodevTT_ChargeMgr', '6.5', '0', 0, 1458742448),
(78126, 72, 5711, 'CodevTT_ChargeMgr', '14', '0', 0, 1458742448),
(78127, 72, 8951, 'CodevTT_ChargeMgr', '0.9', '0', 0, 1458742448),
(78128, 72, 6153, 'CodevTT_ChargeMgr', '4', '0', 0, 1458742448),
(78129, 72, 8793, 'CodevTT_ChargeMgr', '5', '0', 0, 1458742448),
(78130, 72, 8798, 'CodevTT_ChargeMgr', '3', '0', 0, 1458742448),
(78131, 72, 8951, 'CodevTT_Type', 'Bug', 'Task', 0, 1458742589),
(78132, 72, 8951, 'CodevTT_ChargeMgr', '0', '0.9', 0, 1458742589),
(78133, 72, 8799, 'CodevTT_Type', 'Bug', 'Task', 0, 1458742652),
(78134, 72, 8799, 'CodevTT_ChargeMgr', '0', '6.5', 0, 1458742652),
(78135, 72, 8797, 'CodevTT_Type', 'Bug', 'Task', 0, 1458742675),
(78136, 72, 8797, 'CodevTT_ChargeMgr', '0', '7', 0, 1458742675),
(78137, 72, 6153, 'CodevTT_Type', 'Bug', 'Task', 0, 1458742717),
(78138, 72, 6153, 'CodevTT_ChargeMgr', '0', '4', 0, 1458742717),
(78139, 72, 9318, 'CodevTT_Type', 'Bug', 'Task', 0, 1458742753),
(78140, 72, 9318, 'CodevTT_ChargeMgr', '0', '10.1', 0, 1458742753),
(78141, 72, 8800, 'CodevTT_Type', 'Bug', 'Task', 0, 1458742782),
(78142, 72, 8800, 'CodevTT_ChargeMgr', '0', '4.4', 0, 1458742782),
(78143, 72, 5711, 'CodevTT_Type', 'Bug', 'Task', 0, 1458742827),
(78144, 72, 5711, 'CodevTT_ChargeMgr', '0', '14', 0, 1458742827),
(78145, 72, 4278, 'summary', '39116 Celtick - TAIGA - COMP anomalie - Création d\'un maintien de droit en chevauchement suite à suppression de la dernière ', '39116 Celtick - TAIGA - COMP anomalie - Création d\'un maintien de droit en chevauchement suite à suppression de la dernière', 0, 1458743989),
(78146, 72, 4278, 'CodevTT_ChargeMgr', '5', '0', 0, 1458743990),
(78147, 158, 8454, 'CodevTT_RAF', '7', '7', 0, 1458745507),
(78148, 158, 8454, 'CodevTT_RAF', '7', '7', 0, 1458745521),
(78149, 72, 9683, '', '', '', 1, 1458749430),
(78150, 72, 9683, 'handler_id', '0', '134', 0, 1458749430),
(78151, 72, 9683, '', '1881', '', 6, 1458749463),
(78152, 72, 9683, 'CodevTT_RAF', '', '8.5', 0, 1458749463),
(78153, 72, 9684, '', '', '', 1, 1458749560),
(78154, 72, 9684, 'handler_id', '0', '134', 0, 1458749560),
(78155, 72, 9684, '', '', '9683', 21, 1458749560),
(78156, 72, 9683, '', '', '9684', 20, 1458749560),
(78157, 72, 9683, 'handler_id', '134', '0', 0, 1458749604),
(78158, 72, 9685, '', '', '', 1, 1458749682),
(78159, 72, 9685, '', '', '9684', 21, 1458749682),
(78160, 72, 9684, '', '', '9685', 20, 1458749682),
(78161, 2, 8395, 'CodevTT_RAF', '', '0', 0, 1458749841),
(78162, 2, 8395, 'CodevTT_RAF', '0', '0', 0, 1458749841),
(78163, 2, 8395, 'status', '10', '80', 0, 1458749841),
(78164, 72, 9685, 'handler_id', '0', '158', 0, 1458749875),
(78165, 72, 9685, 'CodevTT_Dead Line', '', '1460412000', 0, 1458750190),
(78166, 72, 9684, 'CodevTT_Dead Line', '', '1460412000', 0, 1458750190),
(78167, 72, 9683, 'CodevTT_Dead Line', '', '1460412000', 0, 1458750190),
(78168, 2, 4278, 'target_version', '16.0.0', '16.0_TO', 0, 1458750587),
(78521, 74, 8811, 'CodevTT_RAF', '3', '1', 0, 1458833415),
(78518, 217, 9632, 'handler_id', '205', '217', 0, 1458832369),
(78513, 157, 5712, 'status', '10', '50', 0, 1458832253),
(78514, 157, 5712, 'handler_id', '0', '157', 0, 1458832253),
(78515, 217, 9305, 'CodevTT_RAF', '0', '0', 0, 1458832289),
(78516, 217, 9305, 'status', '80', '82', 0, 1458832289),
(78517, 217, 9632, 'CodevTT_RAF', '7', '7', 0, 1458832369),
(78506, 157, 9766, 'CodevTT_RAF', '0', '0', 0, 1458832179),
(78507, 157, 9766, 'status', '10', '80', 0, 1458832179),
(78508, 217, 9305, 'CodevTT_RAF', '2', '2', 0, 1458832211),
(78509, 217, 9305, 'CodevTT_RAF', '2', '0', 0, 1458832242),
(78510, 217, 9305, 'CodevTT_RAF', '0', '0', 0, 1458832242),
(78511, 217, 9305, 'status', '50', '80', 0, 1458832242),
(78512, 157, 5712, 'CodevTT_RAF', '', '1.5', 0, 1458832253),
(78505, 157, 9766, 'CodevTT_RAF', '', '0', 0, 1458832179),
(78504, 157, 4939, '', '', '9766', 20, 1458832113),
(78503, 157, 9766, '', '', '4939', 21, 1458832113),
(78502, 157, 9766, 'handler_id', '0', '157', 0, 1458832113),
(78501, 157, 9766, '', '', '', 1, 1458832113),
(78520, 74, 8811, 'CodevTT_RAF', '2', '3', 0, 1458833393),
(78519, 74, 8811, 'CodevTT_RAF', '3', '2', 0, 1458833362),
(78456, 2, 9493, 'summary', '3-en-1 :  Evolution sur les changements de régimes', '42386 [DEV] 3-en-1 :  Evolution sur les changements de régimes', 0, 1458830803),
(78235, 217, 9305, 'CodevTT_RAF', '3', '3', 0, 1458807056),
(78236, 217, 9305, 'CodevTT_RAF', '3', '2', 0, 1458807075),
(78256, 93, 9675, 'CodevTT_RAF', '0.5', '0', 0, 1458810945),
(78257, 93, 9675, 'CodevTT_RAF', '0', '0', 0, 1458810945),
(78258, 93, 9675, 'status', '50', '80', 0, 1458810945),
(78259, 93, 9670, 'CodevTT_RAF', '1', '1', 0, 1458810975),
(78261, 93, 9670, 'CodevTT_RAF', '1', '1', 0, 1458820143),
(78267, 157, 9630, 'status', '10', '80', 0, 1458826226),
(78268, 157, 9670, 'Ref. Externe', '', '40694', 0, 1458826302),
(78269, 157, 4278, 'category', '3en1', 'DSI', 0, 1458826687),
(78270, 157, 5565, 'category', '3en1', 'Affiliation', 0, 1458826767),
(78271, 157, 5405, 'category', '3en1', 'Affiliation', 0, 1458826830),
(78272, 157, 5406, 'category', '3en1', 'Affiliation', 0, 1458826855),
(78273, 157, 4324, 'category', '3en1', 'Appel Prov', 0, 1458826881),
(78274, 157, 8838, 'category', '3en1', 'Cotisation', 0, 1458826941),
(78275, 157, 8839, 'category', '3en1', 'Cotisation', 0, 1458826957),
(78276, 157, 8835, 'category', '3en1', 'Cotisation', 0, 1458827016),
(78277, 157, 4266, 'category', '3en1', 'Affiliation', 0, 1458827049),
(78278, 157, 4282, 'category', '3en1', 'Affiliation', 0, 1458827259),
(78279, 157, 6180, 'category', '3en1', 'Appel Regul (TO)', 0, 1458827365),
(78280, 157, 4878, 'status', '10', '80', 0, 1458827477),
(78281, 157, 4878, 'resolution', '10', '80', 0, 1458827477),
(78282, 157, 9026, 'category', '3en1', 'Cotisation', 0, 1458827567),
(78283, 157, 9025, 'category', '3en1', 'Cotisation', 0, 1458827581),
(78284, 157, 8942, 'category', '3en1', 'Cotisation', 0, 1458827608),
(78285, 157, 8941, 'category', '3en1', 'Cotisation', 0, 1458827638),
(78286, 157, 3916, 'status', '50', '80', 0, 1458827767),
(78287, 157, 3916, 'resolution', '10', '20', 0, 1458827767),
(78288, 157, 4298, 'status', '10', '80', 0, 1458827876),
(78289, 157, 4298, 'resolution', '10', '90', 0, 1458827876),
(78290, 157, 3732, 'status', '50', '80', 0, 1458827942),
(78291, 157, 8558, 'status', '50', '80', 0, 1458828029),
(78292, 157, 6640, 'category', '3en1', 'Affiliation', 0, 1458828083),
(78293, 157, 6636, 'category', '3en1', 'Appel Regul (TO)', 0, 1458828212),
(78294, 157, 6301, 'category', '3en1', 'Appel Regul (TO)', 0, 1458828275),
(78295, 157, 6210, 'category', '3en1', 'Appel Regul (TO)', 0, 1458828288),
(78296, 157, 6539, 'category', '3en1', 'Appel Regul (TO)', 0, 1458828302),
(78297, 157, 9670, 'category', 'Cotisation', '3en1', 0, 1458828381),
(78298, 157, 8297, 'Ref. Externe', '', '41970', 0, 1458828472),
(78299, 157, 9574, 'Ref. Externe', '', '42427', 0, 1458828500),
(78300, 157, 9572, 'Ref. Externe', '', '42394', 0, 1458828529),
(78301, 157, 9675, 'Ref. Externe', '39671', '42411', 0, 1458828555),
(78313, 157, 4295, 'status', '20', '80', 0, 1458829256),
(78315, 157, 4877, 'status', '10', '80', 0, 1458829298),
(78318, 157, 5037, 'status', '20', '80', 0, 1458829378),
(78325, 157, 4294, 'status', '10', '80', 0, 1458829448),
(78326, 157, 4293, 'status', '10', '80', 0, 1458829480),
(78331, 157, 9477, 'category', 'Appel Prov', '3en1', 0, 1458829842),
(78336, 157, 5727, 'status', '10', '80', 0, 1458829886),
(78577, 147, 9631, 'CodevTT_RAF', '1', '1', 0, 1458837545),
(78578, 147, 9445, 'CodevTT_RAF', '', '1', 0, 1458837589),
(78579, 147, 9445, 'status', '10', '50', 0, 1458837589),
(78580, 147, 9445, 'CodevTT_RAF', '1', '1', 0, 1458837662),
(78581, 147, 9445, 'CodevTT_RAF', '1', '0', 0, 1458837698),
(78582, 147, 9445, 'CodevTT_RAF', '0', '0', 0, 1458837698),
(78583, 147, 9445, 'status', '50', '80', 0, 1458837698),
(78584, 147, 9445, 'CodevTT_RAF', '0', '0', 0, 1458837782),
(78585, 147, 5711, 'CodevTT_RAF', '1', '0', 0, 1458837854),
(78586, 147, 5711, 'CodevTT_RAF', '0', '0', 0, 1458837854),
(78587, 147, 5711, 'status', '50', '80', 0, 1458837854),
(78588, 147, 9601, 'CodevTT_RAF', '', '1', 0, 1458837916),
(78589, 147, 9601, 'status', '10', '50', 0, 1458837916),
(79058, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458897802),
(79059, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1458897884),
(79060, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1458897921),
(79061, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458898053),
(79062, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458898078),
(79063, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1458898122),
(79064, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1458898141),
(79065, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1458898202),
(79066, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1458898219),
(79067, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1458898236),
(79068, 134, 9684, 'CodevTT_RAF', '', '6', 0, 1458898620),
(79069, 134, 9684, 'status', '10', '30', 0, 1458898620),
(79070, 134, 9684, 'CodevTT_RAF', '6', '6.25', 0, 1458898658),
(79071, 134, 9684, 'CodevTT_RAF', '6.25', '5.25', 0, 1458898673),
(79072, 134, 9684, 'CodevTT_RAF', '5.25', '5.25', 0, 1458898722),
(79073, 134, 8793, 'CodevTT_RAF', '0', '0', 0, 1458898767),
(79074, 134, 9634, 'CodevTT_RAF', '0.5', '0.25', 0, 1458898885),
(79075, 134, 9684, 'CodevTT_RAF', '5.25', '4.5', 0, 1458898975),
(79076, 134, 9684, 'CodevTT_RAF', '4.5', '4.5', 0, 1458899007),
(79077, 157, 5712, 'CodevTT_RAF', '1.5', '0', 0, 1458899436),
(79078, 157, 5712, 'CodevTT_RAF', '0', '0', 0, 1458899436),
(79079, 157, 5712, 'status', '50', '80', 0, 1458899436),
(79080, 157, 9493, 'CodevTT_RAF', '0.5', '0', 0, 1458899462),
(79081, 157, 9493, 'CodevTT_RAF', '0', '0', 0, 1458899462),
(79082, 157, 9493, 'status', '50', '80', 0, 1458899462),
(79083, 74, 8811, 'CodevTT_RAF', '0', '0', 0, 1458899493),
(79084, 74, 8811, 'CodevTT_RAF', '0', '0', 0, 1458899544),
(79085, 74, 9098, 'CodevTT_RAF', '2', '0.5', 0, 1458899562),
(79090, 146, 7114, 'CodevTT_RAF', '1', '4', 0, 1458900037),
(79091, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1458900051),
(79092, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1458900064),
(79093, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1458900076),
(79094, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1458900086),
(79095, 2, 8558, 'CodevTT_RAF', '1', '0', 0, 1458900515),
(79096, 2, 8558, 'CodevTT_RAF', '0', '0', 0, 1458900535),
(79097, 93, 9670, 'CodevTT_RAF', '1', '1', 0, 1458900603),
(79101, 134, 9684, 'CodevTT_RAF', '4.5', '6', 0, 1458901691),
(79102, 212, 8363, 'CodevTT_RAF', '2', '1.5', 0, 1458912599),
(79103, 212, 8363, 'CodevTT_RAF', '1.5', '0.5', 0, 1458912626),
(79104, 212, 8363, 'CodevTT_RAF', '0.5', '0', 0, 1458912659),
(79105, 212, 8363, 'CodevTT_RAF', '0', '0', 0, 1458912659),
(79106, 212, 8363, 'status', '50', '80', 0, 1458912659),
(79107, 2, 8802, 'CodevTT_RAF', '17.5', '10', 0, 1458912960),
(79108, 212, 8802, 'CodevTT_RAF', '10', '17', 0, 1458913193),
(79109, 212, 8802, 'CodevTT_RAF', '17', '16', 0, 1458913234),
(79110, 212, 8802, 'CodevTT_RAF', '16', '10', 0, 1458913265),
(79115, 200, 9452, 'CodevTT_RAF', '5', '4', 0, 1458916790),
(79116, 200, 9099, 'CodevTT_RAF', '3', '2', 0, 1458918027),
(79117, 200, 9099, 'CodevTT_RAF', '2', '1', 0, 1458918043),
(79122, 200, 9452, 'CodevTT_RAF', '4', '4', 0, 1458918063),
(79123, 200, 9452, 'CodevTT_RAF', '4', '4', 0, 1458918075),
(79127, 200, 9685, 'CodevTT_RAF', '', '5', 0, 1458918116),
(79128, 200, 9685, 'status', '10', '50', 0, 1458918116),
(79129, 200, 9684, 'CodevTT_RAF', '6', '6', 0, 1458918131),
(79130, 200, 9452, 'CodevTT_RAF', '4', '4', 0, 1458918164),
(79131, 200, 9452, 'CodevTT_RAF', '4', '4', 0, 1458918193),
(79211, 2, 4939, 'target_version', '', '15.1.P_Avril', 0, 1459244725),
(79212, 2, 4939, 'status', '50', '80', 0, 1459244756),
(79213, 2, 4939, 'resolution', '10', '20', 0, 1459244756),
(79214, 2, 4939, 'CodevTT_RAF', '1', '0', 0, 1459244767),
(101527, 72, 9889, 'status', '50', '80', 0, 1466416165),
(79254, 116, 9671, 'CodevTT_RAF', '1.5', '1', 0, 1459260089),
(79255, 116, 9672, 'CodevTT_RAF', '1.5', '1', 0, 1459260105),
(79256, 116, 9671, 'CodevTT_RAF', '1', '0.5', 0, 1459260130),
(79280, 134, 9634, 'CodevTT_RAF', '0.25', '0.5', 0, 1459267046),
(79302, 2, 9462, 'CodevTT_Dead Line', '', '1464732000', 0, 1459331053),
(79361, 116, 9671, 'CodevTT_RAF', '0.5', '0', 0, 1459346598),
(79362, 116, 9671, 'CodevTT_RAF', '0', '0', 0, 1459346598),
(79363, 116, 9671, 'status', '50', '80', 0, 1459346598),
(79364, 116, 9672, 'CodevTT_RAF', '1', '0', 0, 1459346621),
(79365, 116, 9672, 'CodevTT_RAF', '0', '0', 0, 1459346621),
(79366, 116, 9672, 'status', '50', '80', 0, 1459346621),
(79395, 205, 9889, '', '', '', 1, 1459353904),
(79396, 205, 9889, 'CodevTT_RAF', '', '9', 0, 1459353954),
(79397, 205, 9889, 'status', '10', '50', 0, 1459353954),
(79398, 205, 9889, 'handler_id', '0', '205', 0, 1459353954),
(79399, 205, 9890, '', '', '', 1, 1459354055),
(79400, 205, 9891, '', '', '', 1, 1459354170),
(79401, 205, 9890, 'CodevTT_RAF', '', '4.75', 0, 1459354204),
(79402, 205, 9890, 'status', '10', '50', 0, 1459354204),
(79403, 205, 9890, 'handler_id', '0', '205', 0, 1459354204),
(79521, 157, 9674, 'CodevTT_RAF', '0.5', '0', 0, 1459403836),
(80100, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459721039),
(80099, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459721025),
(80098, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459721010),
(80097, 146, 7114, 'CodevTT_RAF', '2', '4', 0, 1459720995),
(80096, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1459720942),
(80095, 146, 7114, 'CodevTT_RAF', '4', '2', 0, 1459720941),
(79587, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1459414897),
(79588, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1459414924),
(79589, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1459414950),
(79590, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1459414967),
(79593, 74, 9631, 'status', '50', '80', 0, 1459417070),
(79594, 74, 9631, 'resolution', '10', '20', 0, 1459417070),
(79598, 74, 8802, 'handler_id', '74', '212', 0, 1459417306),
(79619, 74, 8811, 'CodevTT_RAF', '0', '0', 0, 1459422953),
(79620, 74, 8802, 'CodevTT_RAF', '10', '4', 0, 1459423043),
(79621, 74, 8802, 'CodevTT_RAF', '4', '9', 0, 1459423055),
(79622, 74, 8802, 'CodevTT_RAF', '9', '8', 0, 1459423069),
(79623, 74, 8802, 'CodevTT_RAF', '8', '7', 0, 1459423083),
(79631, 93, 9675, 'CodevTT_RAF', '0', '1', 0, 1459428234),
(79632, 93, 9675, 'status', '80', '50', 0, 1459428234),
(79633, 93, 9675, 'CodevTT_RAF', '1', '1', 0, 1459428264),
(79634, 93, 9670, 'CodevTT_RAF', '1', '1', 0, 1459428282),
(79635, 93, 9670, 'CodevTT_RAF', '1', '1', 0, 1459428298),
(79656, 199, 8840, 'CodevTT_RAF', '8.5', '6.25', 0, 1459430753),
(79661, 199, 8840, 'CodevTT_RAF', '6.25', '5.5', 0, 1459430779),
(79664, 147, 8842, 'CodevTT_RAF', '8.5', '9.5', 0, 1459430973),
(79667, 147, 8842, 'CodevTT_RAF', '9.5', '10.5', 0, 1459431040),
(79668, 147, 8842, 'CodevTT_RAF', '10.5', '10.5', 0, 1459431160),
(82105, 72, 9890, 'Ref. Externe', '', 'G3850', 0, 1460359447),
(82104, 2, 8949, 'CodevTT_RAF', '0', '0', 0, 1460359408),
(79681, 199, 8840, 'CodevTT_RAF', '5.5', '5.5', 0, 1459431453),
(79682, 199, 8840, 'CodevTT_RAF', '5.5', '5.5', 0, 1459431469),
(79685, 199, 8840, 'CodevTT_RAF', '5.5', '5.5', 0, 1459431528),
(79689, 147, 9601, 'CodevTT_RAF', '1', '2', 0, 1459431637),
(79690, 147, 9601, 'CodevTT_RAF', '2', '1', 0, 1459431652),
(79691, 147, 9601, 'CodevTT_RAF', '1', '1', 0, 1459431683),
(79692, 147, 9601, 'CodevTT_RAF', '1', '0', 0, 1459431712),
(79693, 147, 9601, 'CodevTT_RAF', '0', '0', 0, 1459431712),
(79694, 147, 9601, 'status', '50', '80', 0, 1459431712),
(79697, 147, 9601, 'CodevTT_RAF', '0', '0', 0, 1459431746),
(79698, 157, 8840, 'CodevTT_RAF', '5.5', '20', 0, 1459431835),
(79699, 157, 8840, 'CodevTT_RAF', '20', '19.5', 0, 1459431857),
(79700, 157, 8840, 'CodevTT_RAF', '19.5', '18.5', 0, 1459431871),
(79758, 134, 9684, 'CodevTT_RAF', '6', '5.75', 0, 1459437256),
(79759, 134, 9943, '', '', '', 1, 1459437607),
(79760, 134, 9943, 'handler_id', '0', '134', 0, 1459437607),
(79761, 134, 9943, 'summary', 'TAIGA - 15.1 Lot d\'avril - D40998 - CNBF/CNAVPL - Incohérence sur l\'identifiant de la profession', '42472-TAIGA - 15.1 Lot d\'avril - D40998 - CNBF/CNAVPL - Incohérence sur l\'identifiant de la profession', 0, 1459437665),
(79762, 134, 9943, 'CodevTT_RAF', '', '5.25', 0, 1459437739),
(79763, 134, 9943, 'status', '10', '40', 0, 1459437739),
(79764, 134, 9635, 'CodevTT_RAF', '', '2.5', 0, 1459437798),
(79765, 134, 9635, 'status', '10', '30', 0, 1459437798),
(79766, 134, 9635, 'handler_id', '0', '134', 0, 1459437798),
(79767, 134, 9635, 'CodevTT_RAF', '2.5', '2', 0, 1459437824),
(79772, 2, 9943, 'CodevTT_ChargeMgr', '', '2', 0, 1459438630),
(79777, 93, 9675, 'CodevTT_RAF', '1', '1', 0, 1459439653),
(79778, 199, 8095, 'status', '10', '80', 0, 1459493911),
(79779, 199, 8095, 'resolution', '10', '90', 0, 1459493912),
(79780, 199, 8095, '', '0001726', '', 2, 1459493913),
(79781, 199, 8095, 'status', '80', '90', 0, 1459494030),
(79782, 199, 8095, '', '0001727', '', 2, 1459494030),
(79783, 199, 8095, 'CodevTT_RAF', '', '0', 0, 1459494030),
(79803, 212, 8802, 'CodevTT_RAF', '7', '6', 0, 1459498415),
(79804, 212, 8802, 'CodevTT_RAF', '6', '5', 0, 1459498442),
(79805, 212, 8802, 'CodevTT_RAF', '5', '5', 0, 1459498466),
(79806, 212, 8802, 'CodevTT_RAF', '5', '4', 0, 1459498504),
(79807, 212, 8802, 'CodevTT_RAF', '4', '3', 0, 1459498528),
(79808, 212, 8802, 'CodevTT_RAF', '3', '2', 0, 1459498550),
(79921, 134, 9634, 'CodevTT_RAF', '0.5', '0', 0, 1459501900),
(79922, 134, 9634, 'CodevTT_RAF', '0', '0', 0, 1459501900),
(79923, 134, 9634, 'status', '50', '80', 0, 1459501900),
(79950, 2, 8798, 'CodevTT_RAF', '0', '0', 0, 1459513164),
(79951, 157, 9459, 'CodevTT_RAF', '', '1', 0, 1459513524),
(79952, 157, 9459, 'status', '10', '50', 0, 1459513524),
(79953, 157, 9459, 'handler_id', '0', '157', 0, 1459513524),
(79954, 199, 9516, 'CodevTT_RAF', '0', '0', 0, 1459513594),
(79955, 199, 8840, 'CodevTT_RAF', '18.5', '18', 0, 1459513610),
(79956, 164, 9951, '', '', '', 1, 1459516332),
(79957, 164, 9951, 'handler_id', '0', '164', 0, 1459516387),
(79958, 164, 9951, 'status', '10', '80', 0, 1459516387),
(79959, 164, 9951, 'resolution', '10', '20', 0, 1459516387),
(79960, 164, 9951, '', '0001730', '', 2, 1459516387),
(79961, 164, 9951, 'CodevTT_RAF', '', '0', 0, 1459516772),
(79962, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1459516791),
(79963, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1459516820),
(79971, 158, 9685, 'CodevTT_RAF', '5', '10.5', 0, 1459518477),
(79972, 158, 9685, 'CodevTT_RAF', '10.5', '10.5', 0, 1459518506),
(81118, 218, 9891, 'CodevTT_RAF', '2.5', '1.5', 0, 1459950750),
(79997, 134, 9943, 'CodevTT_RAF', '5.25', '4.5', 0, 1459522026),
(80010, 169, 4278, 'CodevTT_RAF', '7', '4', 0, 1459527146),
(80012, 169, 4278, 'CodevTT_RAF', '4', '4', 0, 1459527164),
(80013, 169, 4278, 'CodevTT_RAF', '4', '4', 0, 1459527179),
(80014, 169, 4278, 'CodevTT_RAF', '4', '4', 0, 1459527292),
(80131, 217, 9632, 'CodevTT_RAF', '7', '8', 0, 1459754937),
(80132, 217, 9632, 'CodevTT_RAF', '8', '7', 0, 1459754953),
(80133, 217, 9632, 'CodevTT_RAF', '7', '6', 0, 1459754970),
(80134, 217, 9632, 'CodevTT_RAF', '6', '5', 0, 1459754980),
(80135, 217, 9632, 'CodevTT_RAF', '5', '4', 0, 1459754997),
(80136, 217, 9632, 'CodevTT_RAF', '4', '3', 0, 1459755017),
(80137, 217, 9632, 'CodevTT_RAF', '3', '2', 0, 1459755027),
(80138, 217, 9632, 'CodevTT_RAF', '2', '1', 0, 1459755051),
(80139, 200, 9685, 'CodevTT_RAF', '10.5', '10.5', 0, 1459755110),
(80140, 200, 9684, 'CodevTT_RAF', '5.75', '5.75', 0, 1459755134),
(80141, 200, 9452, 'CodevTT_RAF', '4', '4', 0, 1459755163),
(80142, 200, 9452, 'CodevTT_RAF', '4', '4', 0, 1459755175),
(80143, 200, 9452, 'CodevTT_RAF', '4', '1', 0, 1459755193),
(80144, 200, 9452, 'CodevTT_RAF', '1', '0.5', 0, 1459755338),
(80145, 200, 9452, 'CodevTT_RAF', '0.5', '0.5', 0, 1459755369),
(80185, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459757371),
(80186, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459757413),
(80187, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459757429),
(80191, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459757444),
(80192, 146, 7114, 'CodevTT_RAF', '4', '4', 0, 1459757459),
(80291, 164, 8387, 'CodevTT_RAF', '0', '0', 0, 1459779023),
(80292, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1459779041),
(80302, 218, 9344, 'CodevTT_RAF', '3', '3', 0, 1459780662),
(80306, 218, 9344, 'CodevTT_RAF', '3', '2', 0, 1459780706),
(80307, 218, 9344, 'CodevTT_RAF', '2', '2', 0, 1459780715),
(80308, 116, 9671, 'CodevTT_RAF', '0', '0', 0, 1459780787),
(80309, 116, 9671, 'CodevTT_RAF', '0', '0', 0, 1459780802),
(80310, 218, 9344, 'CodevTT_RAF', '2', '1', 0, 1459780833),
(80311, 218, 9344, 'CodevTT_RAF', '1', '0', 0, 1459780896),
(80312, 218, 9344, 'CodevTT_RAF', '0', '0', 0, 1459780896),
(80313, 218, 9344, 'status', '50', '80', 0, 1459780896),
(80314, 116, 9672, 'CodevTT_RAF', '0', '0', 0, 1459781146),
(80688, 74, 8802, 'CodevTT_RAF', '2', '3', 0, 1459859737),
(80689, 74, 8802, 'CodevTT_RAF', '3', '2', 0, 1459859755),
(80692, 212, 8802, 'CodevTT_RAF', '2', '1', 0, 1459859789),
(80694, 212, 8802, 'CodevTT_RAF', '1', '0', 0, 1459859819),
(80695, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1459859819),
(80696, 212, 8802, 'status', '50', '80', 0, 1459859819),
(80767, 2, 10018, '', '', '', 1, 1459862334),
(80768, 2, 10018, 'handler_id', '0', '212', 0, 1459862334),
(80769, 2, 10018, 'category', 'Qualification', 'GAC', 0, 1459862389),
(80770, 2, 10018, 'Ref. Externe', '', 'QUAL_GAC 1.7.10.02', 0, 1459862444),
(80954, 205, 9671, 'CodevTT_RAF', '0', '0', 0, 1459872292),
(80956, 205, 9672, 'CodevTT_RAF', '0', '0', 0, 1459872315),
(80960, 205, 9671, 'CodevTT_RAF', '0', '0', 0, 1459872378),
(80973, 205, 10040, '', '', '', 1, 1459872544),
(80974, 205, 10040, 'CodevTT_RAF', '', '0', 0, 1459872607),
(80975, 205, 10040, 'CodevTT_RAF', '0', '0', 0, 1459872607),
(80976, 205, 10040, 'status', '10', '80', 0, 1459872607),
(80977, 205, 10040, 'handler_id', '0', '205', 0, 1459872607),
(80978, 205, 9632, 'CodevTT_RAF', '1', '1', 0, 1459872648),
(80979, 205, 9632, 'CodevTT_RAF', '1', '1', 0, 1459872718),
(80980, 205, 9671, 'CodevTT_RAF', '0', '0', 0, 1459872769),
(80981, 205, 10040, 'CodevTT_RAF', '0', '0', 0, 1459872791),
(80982, 205, 9890, 'CodevTT_RAF', '4.75', '1', 0, 1459873287),
(80983, 205, 9632, 'CodevTT_RAF', '1', '1', 0, 1459873304),
(80985, 205, 9890, 'CodevTT_RAF', '1', '1', 0, 1459873598),
(80986, 205, 10040, 'CodevTT_RAF', '0', '0', 0, 1459873683),
(80988, 205, 10040, 'CodevTT_RAF', '0', '0', 0, 1459873757),
(80989, 205, 10041, '', '', '', 1, 1459873816),
(80990, 205, 10041, 'CodevTT_RAF', '', '3.8', 0, 1459873864),
(80991, 205, 10041, 'status', '10', '50', 0, 1459873864),
(80992, 205, 10041, 'handler_id', '0', '205', 0, 1459873864),
(80993, 205, 9344, 'CodevTT_RAF', '0', '0', 0, 1459873946),
(80994, 205, 10040, 'CodevTT_RAF', '0', '0', 0, 1459874014),
(80995, 205, 9889, 'summary', 'PUMA defect à créer - Impact de PUMA sur l\'affiliation - étude donnée rattachement ws sagess-taiga', '42511 [PUMA] TAIGA - Etude opportunité rattachement RNIAM', 0, 1459874164),
(80996, 205, 9889, '', '1916', '', 6, 1459874164),
(80997, 205, 9890, 'CodevTT_RAF', '1', '1', 0, 1459874215),
(80998, 205, 10042, '', '', '', 1, 1459874333),
(80999, 205, 10042, 'CodevTT_RAF', '', '0', 0, 1459874364),
(81000, 205, 10042, 'CodevTT_RAF', '0', '0', 0, 1459874364),
(81001, 205, 10042, 'status', '10', '80', 0, 1459874364),
(81002, 205, 10042, 'handler_id', '0', '205', 0, 1459874364),
(81003, 205, 9890, 'CodevTT_RAF', '1', '1', 0, 1459874385),
(81004, 205, 10043, '', '', '', 1, 1459874434),
(81005, 205, 10043, 'CodevTT_RAF', '', '0', 0, 1459874484),
(81006, 205, 10043, 'CodevTT_RAF', '0', '0', 0, 1459874484),
(81007, 205, 10043, 'status', '10', '80', 0, 1459874484),
(81008, 205, 10043, 'handler_id', '0', '205', 0, 1459874484),
(81009, 205, 9671, 'CodevTT_RAF', '0', '0', 0, 1459874515),
(81010, 205, 9890, 'CodevTT_RAF', '1', '1', 0, 1459874558),
(81011, 205, 9671, 'CodevTT_RAF', '0', '0', 0, 1459874571),
(81012, 205, 10043, 'CodevTT_RAF', '0', '0', 0, 1459874614),
(81013, 205, 10040, 'CodevTT_RAF', '0', '0', 0, 1459874632),
(81014, 205, 8454, 'CodevTT_RAF', '7', '7', 0, 1459874672),
(81015, 205, 9632, 'CodevTT_RAF', '1', '1', 0, 1459874698),
(81016, 205, 8133, 'status', '50', '80', 0, 1459874853),
(81017, 205, 8133, 'CodevTT_RAF', '0.5', '0', 0, 1459874853),
(81018, 205, 7113, 'status', '50', '80', 0, 1459874904),
(81019, 205, 7113, 'CodevTT_RAF', '2', '0', 0, 1459874904),
(81020, 205, 8129, 'status', '50', '80', 0, 1459874940),
(81021, 205, 8129, 'CodevTT_RAF', '1.25', '0', 0, 1459874940),
(81022, 205, 9304, 'status', '50', '80', 0, 1459874971),
(81023, 205, 9304, 'CodevTT_RAF', '0.5', '0', 0, 1459874971),
(81024, 205, 9306, 'status', '50', '80', 0, 1459875031),
(81025, 205, 9306, 'CodevTT_RAF', '2', '0', 0, 1459875031),
(81026, 205, 9563, 'status', '50', '80', 0, 1459875097),
(81027, 205, 9563, 'CodevTT_RAF', '1', '0', 0, 1459875097),
(81028, 205, 7659, 'status', '10', '80', 0, 1459875133),
(81029, 205, 7659, 'CodevTT_RAF', '', '0', 0, 1459875133),
(81030, 205, 8062, 'status', '10', '80', 0, 1459875170),
(81031, 205, 8062, 'CodevTT_RAF', '', '0', 0, 1459875170),
(81032, 205, 7115, 'status', '30', '80', 0, 1459875198),
(81033, 205, 7115, 'CodevTT_RAF', '10', '0', 0, 1459875198),
(81034, 205, 8845, 'status', '10', '80', 0, 1459875228),
(81035, 205, 8845, 'CodevTT_RAF', '', '0', 0, 1459875228),
(81036, 205, 8132, 'status', '40', '80', 0, 1459875274),
(81037, 205, 8132, 'CodevTT_RAF', '0.1', '0', 0, 1459875274),
(81038, 205, 8065, 'status', '50', '80', 0, 1459875312),
(81039, 205, 8065, 'CodevTT_RAF', '0.2', '0', 0, 1459875312),
(81052, 205, 10044, '', '', '', 1, 1459929244),
(81056, 217, 10044, 'CodevTT_RAF', '', '6.5', 0, 1459929364),
(81057, 217, 10044, 'status', '10', '50', 0, 1459929364),
(81058, 217, 10044, 'handler_id', '0', '217', 0, 1459929364),
(81059, 217, 10044, 'CodevTT_RAF', '6.5', '6', 0, 1459929383),
(81060, 217, 10044, 'CodevTT_RAF', '6', '5', 0, 1459929409),
(81061, 217, 10044, 'CodevTT_RAF', '5', '4', 0, 1459929422),
(81062, 217, 9632, 'CodevTT_RAF', '1', '1', 0, 1459929478),
(81063, 200, 9452, 'CodevTT_RAF', '0.5', '0.5', 0, 1459929595),
(81064, 200, 8454, 'CodevTT_RAF', '7', '7', 0, 1459929648),
(81065, 116, 10045, '', '', '', 1, 1459929677),
(81066, 116, 10045, 'handler_id', '0', '116', 0, 1459929677),
(81067, 200, 9632, 'CodevTT_RAF', '1', '1', 0, 1459929690),
(81068, 200, 9632, 'CodevTT_RAF', '1', '1', 0, 1459929719),
(81069, 116, 10045, 'CodevTT_RAF', '', '1', 0, 1459929757),
(81070, 116, 10045, 'status', '10', '50', 0, 1459929757),
(81071, 200, 8454, 'CodevTT_RAF', '7', '7', 0, 1459929943),
(81072, 74, 7894, 'status', '50', '20', 0, 1459930460),
(81075, 134, 10046, '', '', '', 1, 1459932466),
(81076, 134, 10046, 'handler_id', '0', '134', 0, 1459932466),
(81077, 2, 10018, 'target_version', 'GAC_1.7.1', 'GAC 1.7.10.02', 0, 1459939371),
(81081, 72, 10046, 'status', '10', '50', 0, 1459941776),
(81082, 72, 10046, 'Ref. Externe', '', '42514', 0, 1459942142),
(81083, 72, 9943, 'Ref. Externe', '', '42472', 0, 1459942261),
(81084, 134, 10046, 'CodevTT_RAF', '', '3', 0, 1459945339),
(81085, 134, 10046, 'status', '50', '20', 0, 1459945339),
(81086, 134, 10046, 'CodevTT_RAF', '3', '3', 0, 1459945378),
(81087, 134, 10046, 'CodevTT_RAF', '3', '3', 0, 1459945397),
(81093, 93, 9675, 'CodevTT_RAF', '1', '2', 0, 1459948576),
(81094, 93, 9675, 'CodevTT_RAF', '2', '2', 0, 1459948589),
(81095, 93, 9675, 'CodevTT_RAF', '2', '2', 0, 1459948610),
(81097, 200, 9452, 'CodevTT_RAF', '0.5', '0', 0, 1459948865),
(81098, 200, 9452, 'status', '50', '80', 0, 1459948912),
(81099, 200, 9452, 'resolution', '10', '20', 0, 1459948912),
(81100, 93, 10049, '', '', '', 1, 1459949164),
(81101, 93, 10049, 'handler_id', '0', '169', 0, 1459949164),
(81105, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1459949543),
(81106, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1459949584),
(81107, 218, 9891, 'CodevTT_RAF', '', '7.5', 0, 1459950509),
(81108, 218, 9891, 'status', '10', '50', 0, 1459950509),
(81109, 218, 9891, 'handler_id', '0', '218', 0, 1459950509),
(81110, 218, 9891, 'CodevTT_RAF', '7.5', '6.5', 0, 1459950552),
(81111, 218, 9891, 'CodevTT_RAF', '6.5', '5.5', 0, 1459950576),
(81112, 218, 9891, 'CodevTT_RAF', '5.5', '4.5', 0, 1459950651),
(81114, 218, 9891, 'CodevTT_RAF', '4.5', '3.5', 0, 1459950692),
(81117, 218, 9891, 'CodevTT_RAF', '3.5', '2.5', 0, 1459950718),
(81119, 218, 9891, 'CodevTT_RAF', '1.5', '0.5', 0, 1459950772),
(81121, 116, 8076, 'CodevTT_RAF', '0', '0', 0, 1459952040),
(81122, 116, 10045, 'CodevTT_RAF', '1', '0.5', 0, 1459952073),
(81135, 205, 10040, 'CodevTT_RAF', '0', '0', 0, 1459956497),
(81139, 205, 9632, 'CodevTT_RAF', '1', '1', 0, 1459956522),
(81178, 157, 9459, 'CodevTT_RAF', '1', '2', 0, 1460008355),
(81179, 157, 9459, 'CodevTT_RAF', '2', '1.5', 0, 1460008377),
(81180, 157, 8840, 'CodevTT_RAF', '18', '5.5', 0, 1460008406),
(81181, 157, 8840, 'CodevTT_RAF', '5.5', '5', 0, 1460008427),
(81182, 157, 9674, 'CodevTT_RAF', '0', '2', 0, 1460008466),
(81183, 157, 9674, 'status', '80', '50', 0, 1460008466),
(81187, 2, 5536, 'CodevTT_RAF', '0', '0', 0, 1460015804),
(81256, 134, 9635, 'CodevTT_RAF', '2', '0', 0, 1460020394),
(81257, 134, 9635, 'CodevTT_RAF', '0', '0', 0, 1460020394),
(81258, 134, 9635, 'status', '30', '80', 0, 1460020394),
(81264, 134, 9943, 'status', '40', '80', 0, 1460020579),
(81265, 134, 9943, 'CodevTT_RAF', '4.5', '0', 0, 1460020579),
(81266, 134, 8060, 'CodevTT_RAF', '1', '0', 0, 1460020615),
(81272, 134, 8060, 'status', '20', '80', 0, 1460020777),
(81273, 134, 8060, '', '1920', '', 6, 1460020777),
(81457, 134, 10046, 'CodevTT_RAF', '3', '0', 0, 1460038365),
(81458, 134, 10046, 'CodevTT_RAF', '0', '0', 0, 1460038365),
(81459, 134, 10046, 'status', '20', '80', 0, 1460038365),
(81558, 116, 10045, 'CodevTT_RAF', '0.5', '0', 0, 1460040631),
(81559, 116, 10045, 'CodevTT_RAF', '0', '0', 0, 1460040631),
(81560, 116, 10045, 'status', '50', '80', 0, 1460040631),
(81602, 73, 10075, '', '', '', 1, 1460042501),
(81603, 73, 10075, 'handler_id', '0', '73', 0, 1460042501),
(81604, 73, 10075, 'summary', 'Annulation de DRT PREST sans toucher à l\'INS ADRT - pb des inscriptions fictives', '35661 - Annulation de DRT PREST sans toucher à l\'INS ADRT - pb des inscriptions fictives', 0, 1460042600),
(81606, 73, 10075, 'CodevTT_RAF', '', '0.5', 0, 1460042674),
(81607, 73, 10075, 'status', '10', '50', 0, 1460042674),
(81614, 73, 8454, 'CodevTT_RAF', '7', '7', 0, 1460043037),
(81615, 73, 10075, 'CodevTT_RAF', '0.5', '0.5', 0, 1460043086),
(81630, 158, 9685, 'CodevTT_RAF', '10.5', '9.5', 0, 1460043875),
(81631, 158, 9685, 'CodevTT_RAF', '9.5', '8.5', 0, 1460043902),
(81633, 158, 9685, 'CodevTT_RAF', '8.5', '8.5', 0, 1460043923),
(81786, 72, 8840, 'target_version', '16.0.P_3en1', '16.0_TO', 0, 1460098877),
(81812, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1460103599),
(81813, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1460103623),
(81816, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1460103710),
(81817, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1460103738),
(81818, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1460103820),
(81829, 199, 8840, 'CodevTT_RAF', '5', '2', 0, 1460106725),
(81830, 199, 8842, 'CodevTT_RAF', '10.5', '10', 0, 1460106782),
(81831, 199, 9472, 'CodevTT_RAF', '', '20', 0, 1460106908),
(81832, 199, 9472, 'status', '10', '50', 0, 1460106908),
(81833, 199, 9472, 'handler_id', '0', '199', 0, 1460106908),
(81834, 199, 9472, 'CodevTT_RAF', '20', '20', 0, 1460106931),
(81835, 199, 9472, 'CodevTT_RAF', '20', '20', 0, 1460106950),
(81847, 146, 7114, 'CodevTT_RAF', '4', '3', 0, 1460115935),
(81848, 169, 9633, 'CodevTT_RAF', '8', '10', 0, 1460116003),
(81849, 169, 9633, 'CodevTT_RAF', '10', '10', 0, 1460116053),
(81850, 169, 10049, 'CodevTT_RAF', '', '2', 0, 1460116130),
(81851, 169, 10049, 'status', '10', '50', 0, 1460116130),
(81852, 169, 10049, 'CodevTT_RAF', '2', '2', 0, 1460116152),
(81853, 169, 4278, 'CodevTT_RAF', '4', '3', 0, 1460116195),
(81854, 169, 4278, 'CodevTT_RAF', '3', '3', 0, 1460116210),
(81855, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1460116351),
(81856, 146, 10086, '', '', '', 1, 1460116352),
(81857, 146, 10086, 'handler_id', '0', '146', 0, 1460116352),
(81858, 146, 10087, '', '', '', 1, 1460116455),
(81859, 146, 10087, 'handler_id', '0', '212', 0, 1460116455),
(81860, 146, 10087, '', '', '9633', 21, 1460116455),
(81861, 146, 9633, '', '', '10087', 20, 1460116455),
(81862, 146, 7114, 'CodevTT_RAF', '3', '3', 0, 1460116499),
(81863, 134, 9684, 'CodevTT_RAF', '5.75', '4.75', 0, 1460116556),
(81864, 212, 10018, 'CodevTT_RAF', '', '6.25', 0, 1460116757),
(81865, 212, 10018, 'status', '10', '50', 0, 1460116757),
(81866, 146, 10086, 'CodevTT_RAF', '', '2', 0, 1460116822),
(81867, 146, 10086, 'status', '10', '50', 0, 1460116823),
(81868, 146, 10086, 'CodevTT_RAF', '2', '2', 0, 1460116854),
(81869, 146, 10086, 'CodevTT_RAF', '2', '2', 0, 1460116870),
(81870, 146, 10086, 'CodevTT_RAF', '2', '2', 0, 1460116886),
(81871, 212, 10087, 'CodevTT_RAF', '', '7.75', 0, 1460116897),
(81872, 212, 10087, 'status', '10', '50', 0, 1460116897),
(81873, 212, 10018, 'CodevTT_RAF', '6.25', '5.5', 0, 1460116944),
(81874, 212, 10018, 'CodevTT_RAF', '5.5', '4.5', 0, 1460117149),
(81876, 116, 10088, '', '', '', 1, 1460117476),
(81877, 116, 10088, 'handler_id', '0', '116', 0, 1460117476),
(81878, 157, 9674, 'CodevTT_RAF', '2', '0.5', 0, 1460117612),
(81879, 157, 9459, 'CodevTT_RAF', '1.5', '1', 0, 1460117642),
(81880, 157, 6723, 'CodevTT_RAF', '', '1', 0, 1460117673),
(81881, 157, 6723, 'status', '20', '50', 0, 1460117673),
(81882, 157, 6723, 'handler_id', '0', '157', 0, 1460117673),
(81884, 74, 10089, '', '', '', 1, 1460118034),
(81885, 74, 10089, 'handler_id', '0', '74', 0, 1460118034),
(81886, 74, 10089, '', '', '8811', 21, 1460118034),
(81887, 74, 8811, '', '', '10089', 20, 1460118034),
(81894, 217, 10044, 'CodevTT_RAF', '4', '0', 0, 1460118152),
(81895, 217, 10044, 'CodevTT_RAF', '0', '0', 0, 1460118152),
(81896, 217, 10044, 'status', '50', '80', 0, 1460118152),
(81903, 74, 10089, 'CodevTT_RAF', '', '4', 0, 1460118570),
(81904, 74, 10089, 'status', '10', '50', 0, 1460118570),
(81905, 74, 10089, 'CodevTT_RAF', '4', '4', 0, 1460118617),
(81906, 74, 10089, 'CodevTT_RAF', '4', '3', 0, 1460118636),
(81907, 74, 10089, 'CodevTT_RAF', '3', '2', 0, 1460118646),
(81923, 116, 10088, 'CodevTT_RAF', '', '2.5', 0, 1460122757),
(81924, 116, 10088, 'status', '10', '50', 0, 1460122757),
(81925, 116, 10088, 'CodevTT_RAF', '2.5', '2.5', 0, 1460122783),
(81948, 116, 10088, 'CodevTT_RAF', '2.5', '1.6', 0, 1460125903),
(82089, 72, 10087, 'CodevTT_ChargeInit', '8', '7', 0, 1460357609),
(82090, 72, 10087, 'CodevTT_RAF', '7.75', '6.75', 0, 1460357609),
(82091, 72, 10087, 'CodevTT_ChargeMgr', '', '8.1', 0, 1460357753),
(82092, 72, 9632, 'CodevTT_ChargeMgr', '10', '14', 0, 1460357833),
(82096, 72, 9633, 'CodevTT_ChargeMgr', '10', '13.4', 0, 1460358158),
(82099, 72, 10093, '', '', '', 1, 1460358866),
(82100, 72, 10093, 'handler_id', '0', '147', 0, 1460358866),
(82103, 72, 9889, 'Ref. Externe', '', '42511', 0, 1460359399),
(82197, 72, 10087, 'CodevTT_ChargeMgr', '8.1', '8.2', 0, 1460376032),
(82231, 116, 10088, 'CodevTT_RAF', '1.6', '1.5', 0, 1460385654),
(82257, 73, 10075, 'CodevTT_RAF', '0.5', '0.5', 0, 1460388425),
(82263, 199, 9472, 'CodevTT_RAF', '20', '10', 0, 1460441256),
(82558, 116, 10088, 'CodevTT_RAF', '1.5', '2', 0, 1460471654),
(82563, 147, 10093, 'CodevTT_RAF', '', '1', 0, 1460476549),
(82564, 147, 10093, 'status', '10', '50', 0, 1460476549),
(82565, 147, 10093, 'CodevTT_RAF', '1', '0', 0, 1460476577),
(82566, 147, 10093, 'CodevTT_RAF', '0', '0', 0, 1460476577),
(82567, 147, 10093, 'status', '50', '80', 0, 1460476577),
(82588, 74, 10089, 'CodevTT_RAF', '2', '2', 0, 1460529827),
(82589, 74, 10089, 'CodevTT_RAF', '2', '2', 0, 1460529842),
(82590, 74, 10089, 'CodevTT_RAF', '2', '1', 0, 1460529857),
(82591, 93, 9675, 'CodevTT_RAF', '2', '0.5', 0, 1460538900),
(82599, 72, 9632, 'CodevTT_RAF', '1', '0.5', 0, 1460556650),
(82600, 72, 9683, 'handler_id', '0', '134', 0, 1460560124),
(82601, 72, 9683, 'CodevTT_ChargeInit', '8.5', '8', 0, 1460560295),
(82602, 72, 9683, 'CodevTT_RAF', '8.5', '8', 0, 1460560295),
(82603, 72, 9683, 'CodevTT_Dead Line', '1460412000', '1461276000', 0, 1460560295),
(82604, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1460561317),
(82614, 93, 9675, 'CodevTT_RAF', '0.5', '1', 0, 1460567165),
(82623, 72, 10136, 'handler_id', '0', '199', 0, 1460619587),
(82624, 72, 10137, 'handler_id', '0', '199', 0, 1460619587),
(82625, 72, 10138, 'handler_id', '0', '199', 0, 1460619587),
(82626, 72, 10139, 'handler_id', '0', '147', 0, 1460619587),
(82632, 72, 10144, 'handler_id', '0', '157', 0, 1460621059),
(82633, 72, 10145, 'handler_id', '0', '157', 0, 1460621059),
(82634, 72, 9470, 'handler_id', '0', '199', 0, 1460621420),
(82635, 72, 9471, 'handler_id', '0', '199', 0, 1460621420),
(82689, 72, 10093, 'CodevTT_ChargeMgr', '5', '0', 0, 1460624576),
(82690, 72, 10093, 'CodevTT_ChargeInit', '4', '2', 0, 1460624576),
(82716, 72, 10046, 'CodevTT_ChargeMgr', '', '5.9', 0, 1460635774),
(82717, 72, 10046, 'CodevTT_ChargeInit', '6', '5', 0, 1460635774),
(82743, 72, 10146, 'handler_id', '0', '147', 0, 1460651429),
(82744, 72, 10147, 'handler_id', '0', '199', 0, 1460651429),
(82745, 72, 10148, 'handler_id', '0', '2', 0, 1460651429),
(82746, 2, 5536, 'CodevTT_RAF', '0', '0', 0, 1460703950),
(82747, 2, 5536, 'CodevTT_RAF', '0', '0', 0, 1460703967),
(82748, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1460704042),
(82749, 199, 10147, 'CodevTT_RAF', '', '0', 0, 1460704592),
(82750, 199, 10147, 'CodevTT_RAF', '0', '0', 0, 1460704592),
(82751, 199, 10147, 'status', '10', '80', 0, 1460704592),
(82752, 199, 10147, 'CodevTT_RAF', '0', '0', 0, 1460704620),
(82753, 199, 10147, 'CodevTT_RAF', '0', '0', 0, 1460704720),
(82754, 199, 10138, 'CodevTT_RAF', '', '0', 0, 1460704797),
(82755, 199, 10138, 'CodevTT_RAF', '0', '0', 0, 1460704797),
(82756, 199, 10138, 'status', '10', '80', 0, 1460704797),
(82757, 134, 9684, 'CodevTT_RAF', '4.75', '1', 0, 1460705109),
(82758, 134, 9684, 'CodevTT_RAF', '1', '1', 0, 1460705134),
(82759, 134, 9683, 'CodevTT_RAF', '8', '7', 0, 1460705544),
(82760, 134, 9683, 'status', '10', '30', 0, 1460705544),
(82761, 134, 9683, 'CodevTT_RAF', '7', '7', 0, 1460705562),
(82762, 134, 9683, 'CodevTT_RAF', '7', '7', 0, 1460705577),
(82763, 134, 9683, 'CodevTT_RAF', '7', '7', 0, 1460705610),
(82764, 147, 10139, 'CodevTT_RAF', '', '1', 0, 1460706015),
(82765, 147, 10139, 'status', '10', '50', 0, 1460706015),
(82766, 134, 9683, 'CodevTT_RAF', '7', '9', 0, 1460706108),
(82767, 134, 9683, 'CodevTT_RAF', '9', '8', 0, 1460706166),
(82768, 134, 9683, 'CodevTT_RAF', '8', '7', 0, 1460706200),
(82769, 218, 9890, 'CodevTT_RAF', '1', '0', 0, 1460706461),
(82770, 218, 9890, 'CodevTT_RAF', '0', '0', 0, 1460706461),
(82771, 218, 9890, 'status', '50', '80', 0, 1460706461),
(82772, 218, 9890, 'CodevTT_RAF', '0', '0', 0, 1460706512),
(82773, 218, 9890, 'CodevTT_RAF', '0', '0', 0, 1460706513),
(82774, 146, 10086, 'CodevTT_RAF', '2', '3', 0, 1460707453),
(82775, 146, 10086, 'CodevTT_RAF', '3', '3', 0, 1460707471),
(82776, 146, 10086, 'CodevTT_RAF', '3', '3', 0, 1460707485),
(82777, 146, 10086, 'CodevTT_RAF', '3', '3', 0, 1460707519),
(82778, 146, 7114, 'CodevTT_RAF', '3', '3', 0, 1460707665),
(82944, 169, 9633, 'CodevTT_RAF', '7', '7', 0, 1460737652),
(82943, 169, 9633, 'CodevTT_RAF', '7', '7', 0, 1460737638),
(82942, 169, 9633, 'CodevTT_RAF', '10', '7', 0, 1460737625),
(82941, 169, 10049, 'CodevTT_RAF', '0.5', '0.5', 0, 1460737467),
(82811, 93, 4152, 'CodevTT_RAF', '0', '1', 0, 1460726003),
(82812, 93, 4152, 'status', '80', '50', 0, 1460726003),
(82813, 93, 6137, 'CodevTT_RAF', '1', '1', 0, 1460726084),
(82814, 93, 6137, 'status', '20', '50', 0, 1460726084),
(82815, 93, 9675, 'CodevTT_RAF', '1', '0.4', 0, 1460726231),
(82817, 93, 10153, '', '', '', 1, 1460726524),
(82818, 93, 10154, '', '', '', 1, 1460726594),
(82819, 93, 10154, 'handler_id', '0', '93', 0, 1460726594),
(82820, 93, 10153, 'CodevTT_RAF', '', '1', 0, 1460726649),
(82821, 93, 10153, 'status', '10', '50', 0, 1460726649),
(82822, 93, 10153, 'handler_id', '0', '93', 0, 1460726649),
(82823, 199, 10136, 'CodevTT_RAF', '', '0', 0, 1460726659),
(82824, 199, 10136, 'CodevTT_RAF', '0', '0', 0, 1460726659),
(82825, 199, 10136, 'status', '10', '80', 0, 1460726659),
(82826, 199, 10136, 'CodevTT_RAF', '0', '0', 0, 1460726675),
(82827, 199, 10136, 'CodevTT_RAF', '0', '0', 0, 1460726690),
(82828, 93, 10154, 'CodevTT_RAF', '', '1', 0, 1460726697),
(82829, 93, 10154, 'status', '10', '50', 0, 1460726697),
(82830, 93, 10154, 'CodevTT_RAF', '1', '1', 0, 1460726697),
(82831, 199, 10137, 'CodevTT_RAF', '', '1', 0, 1460726751),
(82832, 199, 10137, 'status', '10', '50', 0, 1460726751),
(82833, 199, 9471, 'CodevTT_RAF', '', '0.2', 0, 1460726840),
(82834, 199, 9471, 'status', '10', '50', 0, 1460726840),
(82835, 199, 9471, 'CodevTT_RAF', '0.2', '0.2', 0, 1460726860),
(82836, 93, 9675, 'CodevTT_RAF', '0.4', '1', 0, 1460726899),
(82837, 199, 9470, 'CodevTT_RAF', '', '0.5', 0, 1460726909),
(82838, 199, 9470, 'status', '10', '50', 0, 1460726909),
(82839, 199, 9470, 'CodevTT_RAF', '0.5', '0', 0, 1460726945),
(82840, 199, 9470, 'CodevTT_RAF', '0', '0', 0, 1460726945),
(82841, 199, 9470, 'status', '50', '80', 0, 1460726945),
(82842, 199, 10147, 'CodevTT_RAF', '0', '0', 0, 1460726974),
(82940, 169, 10049, 'CodevTT_RAF', '2', '0.5', 0, 1460737451),
(82955, 93, 6137, 'CodevTT_RAF', '1', '2', 0, 1460740528),
(82956, 93, 6137, 'CodevTT_RAF', '2', '1', 0, 1460740551),
(82991, 72, 4334, 'handler_id', '0', '116', 0, 1460963968),
(82992, 72, 4334, 'status', '10', '50', 0, 1460963968),
(82993, 72, 4334, 'category', 'General', '3en1', 0, 1460963968),
(82994, 72, 4334, 'RSI_Type_Ano', '', 'Production', 0, 1460963968),
(82995, 72, 4334, 'CodevTT_ChargeMgr', '3', '0', 0, 1460963968),
(83009, 134, 9683, 'CodevTT_RAF', '7', '6', 0, 1460967383),
(83013, 2, 9462, 'handler_id', '0', '2', 0, 1460968198),
(83014, 2, 9462, 'status', '10', '80', 0, 1460968198),
(83015, 2, 9462, 'resolution', '10', '70', 0, 1460968198),
(83016, 2, 9462, '', '0001800', '', 2, 1460968198),
(83017, 2, 6636, 'status', '20', '30', 0, 1460968639),
(83018, 2, 6636, 'target_version', '15.0.0_Sept', '16.0_TO', 0, 1460968639),
(83025, 2, 8842, '', '2501', '9474', 18, 1460969158),
(83026, 2, 9674, 'summary', '42387 - 3 en 1:  calcul des cotisations PL à compter de 2016 : proposition TMA', '42387 - 3 en 1: Redaction FE pour évolutions sur les périodes 3-en-1', 0, 1460969495),
(83024, 2, 9474, '', '2500', '8842', 18, 1460969158),
(83035, 2, 9099, 'summary', '42265 - [DEVT]  AFFI- Création/modification d\'un AYD étranger via TP', '42265 [DEV]  AFFI- Création/modification d\'un AYD étranger via TP', 0, 1460969681),
(83034, 2, 9099, 'target_version', '16.0.0', '16.0_TO', 0, 1460969681),
(83038, 2, 9098, 'summary', '42265 - [SPEC]  AFFI- Création/modification d\'un AYD étranger via TP', '42265 [SPEC]  AFFI- Création/modification d\'un AYD étranger via TP', 0, 1460969729),
(83039, 2, 9099, 'status', '50', '20', 0, 1460969758),
(83045, 2, 9465, 'handler_id', '0', '2', 0, 1460970016),
(83046, 2, 9465, 'status', '10', '80', 0, 1460970016),
(83047, 2, 9465, 'resolution', '10', '70', 0, 1460970016),
(83048, 2, 9460, 'handler_id', '0', '2', 0, 1460970031),
(83049, 2, 9460, 'status', '10', '80', 0, 1460970031),
(83050, 2, 9460, 'resolution', '10', '70', 0, 1460970031),
(83051, 2, 9461, 'handler_id', '0', '2', 0, 1460970043),
(83052, 2, 9461, 'status', '10', '80', 0, 1460970043),
(83053, 2, 9461, 'resolution', '10', '70', 0, 1460970043),
(83054, 2, 9464, 'handler_id', '0', '2', 0, 1460970084),
(83055, 2, 9464, 'status', '10', '80', 0, 1460970084),
(83056, 2, 9464, 'resolution', '10', '70', 0, 1460970084),
(83057, 2, 9467, 'handler_id', '0', '2', 0, 1460970103),
(83058, 2, 9467, 'status', '10', '80', 0, 1460970103),
(83059, 2, 9467, 'resolution', '10', '70', 0, 1460970103),
(83060, 2, 8842, 'summary', '42170 - [SPEC]  3 en1:  calcul des cotisations PL à compter de 2016', '42170 [SPEC]  3 en1:  calcul des cotisations PL à compter de 2016', 0, 1460970220),
(83061, 2, 8840, 'summary', '42171 - [SPEC]  Spocs éditiques (2N)', '42171 [SPEC]  Spocs éditiques (2N)', 0, 1460970230),
(83104, 2, 9674, 'status', '50', '80', 0, 1460979304),
(89073, 2, 10166, '', '2077', '', 6, 1463492337),
(89072, 2, 10166, 'CodevTT_ChargeInit', '2', '10', 0, 1463491562),
(89071, 2, 10166, 'CodevTT_ChargeMgr', '2', '10', 0, 1463491562),
(83109, 2, 10166, '', '2501', '10167', 18, 1460979487),
(83110, 2, 10166, '', '1971', '', 6, 1460979507),
(83111, 2, 9471, 'status', '50', '80', 0, 1460979825),
(83112, 2, 9471, 'resolution', '10', '20', 0, 1460979825),
(83113, 2, 9471, '', '0001816', '', 2, 1460979825),
(83116, 147, 10139, 'CodevTT_RAF', '1', '0', 0, 1460983020),
(83117, 147, 10139, 'CodevTT_RAF', '0', '0', 0, 1460983021),
(83118, 147, 10139, 'status', '50', '80', 0, 1460983021),
(83119, 217, 9632, 'CodevTT_RAF', '0.5', '0.5', 0, 1460983166),
(83124, 147, 10146, 'CodevTT_RAF', '', '1', 0, 1460983222),
(83125, 147, 10146, 'CodevTT_RAF', '1', '0', 0, 1460983222),
(83126, 147, 10146, 'status', '10', '80', 0, 1460983222),
(83127, 2, 8842, 'status', '50', '80', 0, 1460984454),
(83128, 2, 8842, 'resolution', '10', '60', 0, 1460984454),
(83129, 2, 8842, '', '0001818', '', 2, 1460984454),
(83131, 2, 8842, '', '1973', '', 6, 1460984466),
(83132, 2, 8842, 'CodevTT_RAF', '10', '0', 0, 1460984466),
(83133, 2, 8842, '', '0', '10144', 18, 1460984489),
(83134, 2, 10144, '', '4', '8842', 18, 1460984489),
(83135, 2, 9474, '', '1975', '', 6, 1460984624),
(83136, 2, 9474, 'CodevTT_ChargeMgr', '99', '0', 0, 1460984624),
(83137, 2, 9474, 'CodevTT_ChargeInit', '90', '0', 0, 1460984624);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(83138, 2, 9474, '', '0', '10145', 18, 1460984641),
(83139, 2, 10145, '', '4', '9474', 18, 1460984641),
(83140, 2, 9474, 'handler_id', '0', '2', 0, 1460984657),
(83141, 2, 9474, 'status', '10', '80', 0, 1460984657),
(83142, 2, 9474, 'resolution', '10', '60', 0, 1460984657),
(83163, 2, 10049, '', '1977', '', 6, 1460985993),
(83164, 2, 10049, 'Ref. Externe', '37926', '42530 ', 0, 1460985993),
(83170, 2, 9444, 'handler_id', '2', '0', 0, 1460986828),
(83205, 116, 4334, 'CodevTT_RAF', '', '1.5', 0, 1460990059),
(83206, 116, 8076, 'CodevTT_RAF', '0', '0', 0, 1460990080),
(83249, 158, 9685, 'CodevTT_RAF', '8.5', '7.5', 0, 1460993021),
(83250, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1460993428),
(83251, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1460993469),
(83262, 93, 6137, 'CodevTT_RAF', '1', '1', 0, 1460999669),
(83271, 157, 9459, 'CodevTT_RAF', '1', '1', 0, 1461043514),
(83272, 157, 6636, 'CodevTT_RAF', '3', '2', 0, 1461043608),
(83273, 157, 6636, 'handler_id', '0', '157', 0, 1461043608),
(83274, 2, 8403, 'status', '80', '30', 0, 1461053762),
(83275, 2, 8403, 'resolution', '20', '30', 0, 1461053762),
(83276, 2, 8403, 'CodevTT_ChargeInit', '4', '5', 0, 1461053762),
(83277, 2, 8403, 'CodevTT_RAF', '0', '5', 0, 1461053762),
(83278, 2, 8403, '', '0001823', '', 2, 1461053762),
(83279, 2, 8403, 'CodevTT_RAF', '5', '0', 0, 1461053762),
(83280, 2, 9463, 'handler_id', '0', '157', 0, 1461054019),
(83281, 2, 9463, 'status', '10', '50', 0, 1461054019),
(83282, 2, 9463, 'CodevTT_RAF', '', '1', 0, 1461054019),
(83283, 2, 9468, 'handler_id', '0', '157', 0, 1461054085),
(83284, 2, 7392, 'handler_id', '157', '93', 0, 1461054344),
(83285, 2, 7395, 'handler_id', '157', '93', 0, 1461054344),
(83286, 2, 9469, 'handler_id', '0', '2', 0, 1461054474),
(83287, 2, 9469, 'status', '10', '80', 0, 1461054474),
(83288, 2, 9469, 'resolution', '10', '70', 0, 1461054474),
(83292, 2, 7391, 'handler_id', '157', '93', 0, 1461054982),
(83293, 2, 8403, 'handler_id', '199', '93', 0, 1461055072),
(83294, 2, 8403, 'CodevTT_RAF', '0', '5', 0, 1461055087),
(83295, 2, 9471, 'CodevTT_RAF', '0.2', '0', 0, 1461055251),
(83296, 2, 9470, 'status', '80', '50', 0, 1461055340),
(83297, 2, 9470, '', '1979', '', 6, 1461055340),
(83298, 2, 9470, 'CodevTT_RAF', '0', '1', 0, 1461055340),
(83299, 2, 9470, 'CodevTT_RAF', '1', '0', 0, 1461055340),
(83300, 2, 9470, 'CodevTT_RAF', '0', '1', 0, 1461055378),
(83301, 2, 10144, 'CodevTT_Dead Line', '', '1463695200', 0, 1461056221),
(83302, 2, 10166, 'CodevTT_Dead Line', '', '1463695200', 0, 1461056221),
(83303, 2, 8840, 'CodevTT_Dead Line', '', '1463695200', 0, 1461056221),
(83304, 2, 6723, 'category', 'General', '3en1', 0, 1461056371),
(83305, 2, 6723, 'target_version', '15.0.0_Sept', '16.0_TO', 0, 1461056371),
(83307, 2, 10144, '', '1981', '', 6, 1461056593),
(83309, 2, 10144, '', '1982', '', 6, 1461056701),
(83310, 2, 10144, 'CodevTT_ChargeMgr', '2', '0', 0, 1461056701),
(83311, 2, 10144, 'CodevTT_ChargeInit', '2', '15', 0, 1461056701),
(83317, 2, 10144, '', '', '10191', 20, 1461056830),
(83318, 2, 10144, '', '1', '10191', 18, 1461056830),
(83323, 2, 10192, '', '', '', 1, 1461056962),
(83324, 2, 10192, 'handler_id', '0', '93', 0, 1461056962),
(83325, 2, 10192, '', '', '10191', 21, 1461056962),
(83327, 2, 10192, 'target_version', '', '16.0_TO', 0, 1461056998),
(83329, 2, 10144, 'category', '3en1', 'Appel Regul (TO)', 0, 1461057053),
(83334, 2, 10193, '', '', '', 1, 1461057290),
(83335, 2, 10193, 'handler_id', '0', '147', 0, 1461057290),
(83336, 2, 10193, '', '', '10144', 21, 1461057290),
(83337, 2, 10144, '', '', '10193', 20, 1461057290),
(83338, 2, 10193, 'summary', '42564 [Etude Sysdate] 3 en 1:  calcul des cotisations PL à compter de 2016 : proposition TMA', '42564 [Etude Sysdate SQL] 3 en 1:  calcul des cotisations PL à compter de 2016 : proposition TMA', 0, 1461057333),
(83339, 2, 10193, 'CodevTT_ChargeMgr', '18', '3', 0, 1461057333),
(83340, 2, 10193, 'CodevTT_ChargeInit', '15', '3', 0, 1461057333),
(83341, 2, 10145, 'category', '3en1', 'Appel Regul (TO)', 0, 1461057470),
(83342, 2, 10145, 'CodevTT_ChargeMgr', '2', '70', 0, 1461057470),
(83343, 2, 10145, 'CodevTT_ChargeInit', '2', '70', 0, 1461057470),
(83351, 2, 6723, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83352, 2, 7391, 'CodevTT_ChargeInit', '4', '5', 0, 1461058360),
(83353, 2, 9469, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83354, 2, 7395, 'CodevTT_ChargeInit', '4', '5', 0, 1461058360),
(83355, 2, 7392, 'CodevTT_ChargeInit', '4', '5', 0, 1461058360),
(83356, 2, 9468, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83357, 2, 9463, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83358, 2, 6636, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83359, 2, 9459, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83360, 2, 10194, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83361, 2, 10195, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83362, 2, 9467, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83363, 2, 9464, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83364, 2, 9461, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83365, 2, 9460, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83366, 2, 9465, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83367, 2, 9462, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83368, 2, 10165, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83369, 2, 9466, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(83370, 2, 8327, 'CodevTT_ChargeInit', '2', '5', 0, 1461058360),
(91886, 2, 3562, '', '1', '11032', 18, 1464350290),
(91885, 2, 3562, '', '', '11032', 20, 1464350290),
(91884, 2, 11032, '', '', '3562', 21, 1464350290),
(91883, 2, 11032, '', '', '', 1, 1464350290),
(83432, 2, 8327, 'target_version', '', '16.0_TO', 0, 1461070861),
(83433, 2, 8403, 'target_version', '', '16.0_TO', 0, 1461070872),
(83434, 2, 7391, 'target_version', '16.0_Prov', '16.0_TO', 0, 1461070911),
(83435, 2, 7392, 'target_version', '16.0_Prov', '16.0_TO', 0, 1461070919),
(83436, 2, 7395, 'target_version', '16.0_Prov', '16.0_TO', 0, 1461070925),
(93595, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1464792585),
(93594, 164, 11032, '', '1991', '', 2, 1464792585),
(93590, 164, 8949, '', '1547', '2218', 3, 1464792569),
(93591, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1464792569),
(93589, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1464792545),
(93588, 164, 11032, '', '1990', '', 2, 1464792545),
(91839, 2, 3562, '', '2095', '', 6, 1464350137),
(83480, 74, 10089, 'CodevTT_RAF', '1', '2', 0, 1461072818),
(83481, 74, 10089, 'CodevTT_RAF', '2', '2', 0, 1461072836),
(83482, 74, 10089, 'CodevTT_RAF', '2', '1.5', 0, 1461072863),
(83487, 116, 10045, 'CodevTT_RAF', '0', '0', 0, 1461074862),
(83488, 116, 8076, 'CodevTT_RAF', '0', '0', 0, 1461074879),
(83489, 116, 8076, 'CodevTT_RAF', '0', '0', 0, 1461074891),
(83491, 2, 8949, 'CodevTT_RAF', '0', '0', 0, 1461075939),
(83492, 2, 8949, 'CodevTT_RAF', '0', '0', 0, 1461075955),
(83503, 212, 10018, 'CodevTT_RAF', '4.5', '4', 0, 1461079167),
(83504, 212, 10018, 'CodevTT_RAF', '4', '3.5', 0, 1461079226),
(83505, 158, 9685, 'CodevTT_RAF', '7.5', '6.5', 0, 1461079551),
(83506, 158, 9685, 'CodevTT_RAF', '6.5', '7.5', 0, 1461079816),
(83526, 147, 10139, 'CodevTT_RAF', '0', '3', 0, 1461137232),
(83527, 147, 10139, 'status', '80', '50', 0, 1461137232),
(83528, 147, 10139, 'CodevTT_RAF', '3', '2', 0, 1461137366),
(83529, 147, 10139, 'CodevTT_RAF', '2', '1', 0, 1461137416),
(83548, 199, 10235, '', '', '', 1, 1461143286),
(83549, 199, 10235, 'handler_id', '0', '199', 0, 1461143286),
(83550, 199, 10235, '', '', '9445', 21, 1461143286),
(83551, 199, 9445, '', '', '10235', 20, 1461143286),
(83552, 199, 10235, 'CodevTT_RAF', '', '0', 0, 1461143337),
(83553, 199, 10235, 'CodevTT_RAF', '0', '0', 0, 1461143337),
(83554, 199, 10235, 'status', '10', '80', 0, 1461143337),
(83561, 199, 10236, '', '', '', 1, 1461145462),
(83562, 199, 10236, 'handler_id', '0', '199', 0, 1461145462),
(83563, 199, 10236, '', '', '10235', 21, 1461145462),
(83564, 199, 10235, '', '', '10236', 20, 1461145462),
(83565, 199, 10235, 'CodevTT_RAF', '0', '0', 0, 1461145486),
(83566, 199, 10236, 'CodevTT_RAF', '', '0', 0, 1461145508),
(83567, 199, 10236, 'CodevTT_RAF', '0', '0', 0, 1461145508),
(83568, 199, 10236, 'status', '10', '80', 0, 1461145508),
(83569, 158, 9685, 'CodevTT_RAF', '7.5', '7', 0, 1461152848),
(83655, 212, 10018, 'CodevTT_RAF', '3.5', '5.5', 0, 1461159280),
(83656, 212, 10018, 'CodevTT_RAF', '5.5', '4.5', 0, 1461159303),
(83657, 212, 10018, 'CodevTT_RAF', '4.5', '3.5', 0, 1461159326),
(83658, 212, 10018, 'CodevTT_RAF', '3.5', '2.5', 0, 1461159355),
(83659, 212, 10018, 'CodevTT_RAF', '2.5', '1.5', 0, 1461159379),
(83660, 212, 10018, 'CodevTT_RAF', '1.5', '0.8', 0, 1461159444),
(83661, 212, 10018, 'CodevTT_RAF', '0.8', '0.8', 0, 1461159560),
(83668, 212, 10018, 'CodevTT_RAF', '0.8', '4.5', 0, 1461159771),
(83669, 212, 10018, 'CodevTT_RAF', '4.5', '4', 0, 1461159811),
(83698, 116, 4335, 'CodevTT_RAF', '1.5', '1.5', 0, 1461163540),
(83699, 116, 4335, 'handler_id', '0', '116', 0, 1461163540),
(83703, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1461165362),
(83704, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1461165381),
(83705, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1461165404),
(83706, 93, 7392, 'CodevTT_RAF', '3', '0.25', 0, 1461173147),
(83707, 93, 7392, 'status', '20', '50', 0, 1461173147),
(83708, 93, 10192, 'CodevTT_RAF', '', '4.25', 0, 1461173197),
(83709, 93, 10192, 'status', '10', '50', 0, 1461173197),
(83710, 93, 7395, 'CodevTT_RAF', '3', '2.75', 0, 1461173242),
(83711, 93, 7395, 'status', '20', '50', 0, 1461173242),
(83712, 93, 7391, 'CodevTT_RAF', '3', '2.75', 0, 1461173300),
(83713, 93, 7391, 'status', '20', '50', 0, 1461173300),
(83714, 93, 8403, 'CodevTT_RAF', '5', '4.75', 0, 1461173350),
(83715, 93, 8403, 'status', '30', '50', 0, 1461173350),
(83716, 217, 9632, 'CodevTT_RAF', '0.5', '0', 0, 1461224034),
(83717, 217, 9632, 'CodevTT_RAF', '0', '0', 0, 1461224034),
(83718, 217, 9632, 'status', '50', '80', 0, 1461224034),
(83720, 205, 10248, '', '', '', 1, 1461225693),
(83721, 205, 10248, 'handler_id', '0', '217', 0, 1461225693),
(83722, 205, 10248, '', '', '9632', 21, 1461225693),
(83723, 205, 9632, '', '', '10248', 20, 1461225693),
(83728, 217, 9632, 'CodevTT_RAF', '0', '0', 0, 1461226374),
(83732, 217, 10248, 'CodevTT_RAF', '', '34.5', 0, 1461226435),
(83733, 217, 10248, 'status', '10', '40', 0, 1461226435),
(83737, 217, 10248, 'CodevTT_RAF', '34.5', '34', 0, 1461227379),
(83738, 217, 10248, 'CodevTT_RAF', '34', '33.5', 0, 1461227470),
(83739, 217, 10248, 'CodevTT_RAF', '33.5', '31.5', 0, 1461227494),
(83817, 158, 9685, 'CodevTT_RAF', '7', '6', 0, 1461238265),
(83818, 205, 10248, 'CodevTT_RAF', '31.5', '30.5', 0, 1461238761),
(83819, 205, 10248, 'CodevTT_RAF', '30.5', '29.5', 0, 1461238782),
(83820, 205, 10248, 'CodevTT_RAF', '29.5', '28.5', 0, 1461238800),
(83821, 205, 10248, 'CodevTT_RAF', '28.5', '27.25', 0, 1461238816),
(83822, 205, 10280, '', '', '', 1, 1461239072),
(83823, 205, 10280, 'CodevTT_RAF', '', '4.75', 0, 1461239112),
(83824, 205, 10280, 'status', '10', '50', 0, 1461239112),
(83825, 205, 10280, 'handler_id', '0', '205', 0, 1461239112),
(83826, 205, 10248, 'CodevTT_RAF', '27.25', '26.25', 0, 1461239238),
(83827, 205, 10280, 'CodevTT_RAF', '4.75', '3.75', 0, 1461239277),
(83828, 205, 10248, 'CodevTT_ChargeInit', '35', '50', 0, 1461239388),
(83829, 205, 10248, 'CodevTT_RAF', '26.25', '40', 0, 1461239388),
(83951, 218, 9891, 'CodevTT_RAF', '0.5', '0', 0, 1461245637),
(83952, 218, 9891, 'CodevTT_RAF', '0', '0', 0, 1461245637),
(83953, 218, 9891, 'status', '50', '80', 0, 1461245637),
(83990, 93, 10290, '', '', '', 1, 1461250104),
(83991, 93, 10290, 'handler_id', '0', '93', 0, 1461250104),
(83994, 93, 10290, 'CodevTT_RAF', '', '0.6', 0, 1461250263),
(83995, 93, 10290, 'status', '10', '50', 0, 1461250263),
(83996, 93, 10192, 'CodevTT_RAF', '4.25', '4', 0, 1461250354),
(84072, 157, 6636, 'CodevTT_RAF', '2', '2', 0, 1461304792),
(84073, 157, 6636, 'CodevTT_RAF', '2', '2', 0, 1461304815),
(84074, 157, 10195, 'CodevTT_RAF', '', '4', 0, 1461304858),
(84075, 157, 10195, 'status', '10', '50', 0, 1461304858),
(84076, 157, 10195, 'handler_id', '0', '157', 0, 1461304858),
(84077, 157, 10195, 'CodevTT_RAF', '4', '3', 0, 1461304888),
(84078, 157, 9459, 'CodevTT_RAF', '1', '1', 0, 1461304920),
(84079, 157, 9459, 'CodevTT_RAF', '1', '1', 0, 1461304961),
(84080, 157, 9493, 'CodevTT_RAF', '0', '0', 0, 1461305048),
(84100, 147, 10139, 'CodevTT_RAF', '1', '0', 0, 1461308739),
(84101, 147, 10139, 'CodevTT_RAF', '0', '0', 0, 1461308739),
(84102, 147, 10139, 'status', '50', '80', 0, 1461308739),
(84104, 134, 9683, 'CodevTT_RAF', '6', '5', 0, 1461308794),
(84105, 134, 9683, 'CodevTT_RAF', '5', '2', 0, 1461308860),
(84106, 134, 9683, 'CodevTT_RAF', '2', '2', 0, 1461308901),
(84107, 134, 9683, 'CodevTT_RAF', '2', '2', 0, 1461308924),
(84110, 199, 9470, 'CodevTT_RAF', '1', '0', 0, 1461309034),
(84111, 199, 9470, 'CodevTT_RAF', '0', '0', 0, 1461309034),
(84112, 199, 9470, 'status', '50', '80', 0, 1461309034),
(84113, 147, 10193, 'CodevTT_RAF', '', '5', 0, 1461309038),
(84114, 147, 10193, 'status', '10', '50', 0, 1461309038),
(84115, 147, 10193, 'CodevTT_RAF', '5', '4', 0, 1461309075),
(84116, 199, 9471, 'CodevTT_RAF', '0', '0', 0, 1461309077),
(84118, 147, 10193, 'CodevTT_RAF', '4', '3', 0, 1461309131),
(84119, 199, 8840, 'CodevTT_RAF', '2', '5', 0, 1461309132),
(84120, 147, 10193, 'CodevTT_RAF', '3', '1', 0, 1461309150),
(84121, 199, 8840, 'CodevTT_RAF', '5', '5', 0, 1461309151),
(84123, 74, 10089, 'CodevTT_RAF', '1.5', '2', 0, 1461309162),
(84124, 74, 10089, 'CodevTT_RAF', '2', '1', 0, 1461309176),
(84126, 74, 10089, 'CodevTT_RAF', '1', '1', 0, 1461309195),
(84128, 199, 9472, 'CodevTT_RAF', '10', '10', 0, 1461309234),
(84129, 199, 9472, 'CodevTT_RAF', '10', '10', 0, 1461309260),
(84130, 199, 8840, 'CodevTT_RAF', '5', '10', 0, 1461309283),
(84132, 169, 9633, 'CodevTT_RAF', '7', '2', 0, 1461309551),
(84133, 169, 9633, 'CodevTT_RAF', '2', '2', 0, 1461309570),
(84134, 169, 9633, 'CodevTT_RAF', '2', '2', 0, 1461309582),
(84135, 169, 9633, 'CodevTT_RAF', '2', '2', 0, 1461309593),
(84136, 169, 9633, 'CodevTT_RAF', '2', '2', 0, 1461309602),
(84140, 200, 10248, 'CodevTT_RAF', '40', '1', 0, 1461310742),
(84141, 200, 10248, 'CodevTT_RAF', '1', '50', 0, 1461310775),
(84142, 200, 10248, 'CodevTT_RAF', '50', '40', 0, 1461310794),
(84143, 199, 10329, '', '', '', 1, 1461313183),
(84144, 199, 10329, 'handler_id', '0', '199', 0, 1461313183),
(84145, 199, 10329, '', '', '10236', 21, 1461313183),
(84146, 199, 10236, '', '', '10329', 20, 1461313183),
(84147, 199, 10329, 'CodevTT_RAF', '', '0', 0, 1461313217),
(84148, 199, 10329, 'CodevTT_RAF', '0', '0', 0, 1461313217),
(84149, 199, 10329, 'status', '10', '80', 0, 1461313217),
(84150, 199, 10329, 'CodevTT_RAF', '0', '0', 0, 1461313231),
(84201, 93, 10290, 'CodevTT_RAF', '0.6', '1', 0, 1461317195),
(84202, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1461317204),
(84205, 93, 10290, 'CodevTT_RAF', '1', '1', 0, 1461317221),
(84210, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1461317258),
(84260, 199, 8840, 'CodevTT_ChargeInit', '2', '25', 0, 1461328222),
(84261, 199, 10330, '', '', '', 1, 1461328342),
(84262, 199, 10330, 'handler_id', '0', '199', 0, 1461328342),
(84263, 199, 10330, '', '', '8840', 21, 1461328343),
(84264, 199, 8840, '', '', '10330', 20, 1461328343),
(84265, 199, 10330, 'fixed_in_version', '', '16.0_TO', 0, 1461328442),
(84266, 199, 10330, 'target_version', '', '16.0_TO', 0, 1461328442),
(84267, 146, 10086, 'CodevTT_RAF', '3', '0.5', 0, 1461329977),
(84268, 146, 10086, 'CodevTT_RAF', '0.5', '0.5', 0, 1461329998),
(84269, 146, 10086, 'CodevTT_RAF', '0.5', '0.5', 0, 1461330020),
(84273, 146, 10086, 'CodevTT_RAF', '0.5', '0.5', 0, 1461330051),
(84274, 146, 7114, 'CodevTT_RAF', '3', '4', 0, 1461330084),
(84347, 169, 9633, 'CodevTT_RAF', '2', '3', 0, 1461338854),
(84352, 72, 9452, 'CodevTT_ChargeMgr', '0', '15', 0, 1461339220),
(84353, 72, 9452, 'CodevTT_ChargeInit', '2', '10', 0, 1461339220),
(84354, 212, 10087, 'CodevTT_RAF', '6.75', '6', 0, 1461340253),
(84355, 212, 10087, 'CodevTT_RAF', '6', '6', 0, 1461340290),
(84356, 212, 10087, 'CodevTT_RAF', '6', '5.5', 0, 1461340358),
(84357, 212, 10018, 'CodevTT_RAF', '4', '3.5', 0, 1461340386),
(84358, 212, 10018, 'CodevTT_RAF', '3.5', '2.5', 0, 1461340410),
(84359, 72, 10290, 'Ref. Externe', '', '42595', 0, 1461340771),
(84360, 72, 10290, 'CodevTT_ChargeMgr', '', '0', 0, 1461340771),
(84389, 199, 9472, 'CodevTT_RAF', '10', '9', 0, 1461572075),
(84575, 72, 10359, '', '', '', 1, 1461579068),
(84576, 72, 10359, 'handler_id', '0', '157', 0, 1461579068),
(84768, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1461597075),
(84770, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1461597098),
(84771, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1461597115),
(84773, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1461597133),
(84817, 72, 8621, 'CodevTT_RAF', '2', '1', 0, 1461598309),
(84818, 72, 8621, 'status', '20', '50', 0, 1461598309),
(84820, 72, 8801, 'CodevTT_RAF', '10', '6', 0, 1461598350),
(84821, 72, 8801, 'status', '20', '50', 0, 1461598350),
(84827, 199, 10330, 'CodevTT_RAF', '', '9', 0, 1461599176),
(84828, 199, 10330, 'status', '10', '50', 0, 1461599176),
(84873, 199, 10366, '', '', '', 1, 1461599900),
(84874, 199, 10366, 'handler_id', '0', '199', 0, 1461599900),
(84875, 199, 10366, '', '', '10147', 21, 1461599900),
(84876, 199, 10147, '', '', '10366', 20, 1461599900),
(84879, 199, 10330, 'CodevTT_RAF', '9', '9.25', 0, 1461600041),
(84880, 199, 10329, 'CodevTT_RAF', '0', '0.25', 0, 1461600088),
(84881, 199, 10329, 'status', '80', '50', 0, 1461600088),
(84943, 158, 9685, 'CodevTT_RAF', '6', '5', 0, 1461668849),
(85033, 157, 10359, 'CodevTT_RAF', '', '0.5', 0, 1461681628),
(85034, 157, 10359, 'status', '10', '50', 0, 1461681628),
(85035, 157, 10359, 'CodevTT_RAF', '0.5', '0', 0, 1461681655),
(85036, 157, 10359, 'CodevTT_RAF', '0', '0', 0, 1461681655),
(85037, 157, 10359, 'status', '50', '80', 0, 1461681655),
(85038, 157, 9459, 'CodevTT_RAF', '1', '0.5', 0, 1461681676),
(85039, 157, 9459, 'CodevTT_RAF', '0.5', '1', 0, 1461681695),
(85042, 134, 9683, 'CodevTT_RAF', '2', '1', 0, 1461682656),
(85043, 134, 9683, 'CodevTT_RAF', '1', '0.55', 0, 1461682718),
(85059, 146, 10086, 'CodevTT_RAF', '0.5', '0', 0, 1461683898),
(85060, 146, 10086, 'CodevTT_RAF', '0', '0', 0, 1461683899),
(85061, 146, 10086, 'status', '50', '80', 0, 1461683899),
(85132, 72, 10390, '', '', '', 1, 1461744562),
(85133, 72, 10390, 'handler_id', '0', '169', 0, 1461744562),
(85134, 72, 10390, '', '', '8454', 21, 1461744562),
(85135, 72, 8454, '', '', '10390', 20, 1461744562),
(85136, 72, 10391, '', '', '', 1, 1461745310),
(85137, 72, 10391, 'handler_id', '0', '200', 0, 1461745310),
(85138, 72, 10391, '', '', '10248', 21, 1461745310),
(85139, 72, 10248, '', '', '10391', 20, 1461745310),
(85140, 72, 10391, 'target_version', '', '17.3_PUMA', 0, 1461745381),
(85141, 72, 10392, '', '', '', 1, 1461746095),
(85142, 72, 10392, 'handler_id', '0', '205', 0, 1461746095),
(85143, 72, 10392, '', '', '10391', 21, 1461746095),
(85144, 72, 10391, '', '', '10392', 20, 1461746095),
(85145, 72, 10392, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot  1- Propagation Affiliation', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot  1/Propagation Affiliation', 0, 1461746167),
(85146, 93, 10290, 'CodevTT_RAF', '1', '0.05', 0, 1461746555),
(85147, 93, 10290, 'status', '50', '20', 0, 1461746555),
(85148, 93, 9675, 'CodevTT_RAF', '1', '0.5', 0, 1461746610),
(85149, 93, 10192, 'CodevTT_RAF', '4', '4', 0, 1461746709),
(85151, 72, 10392, 'handler_id', '205', '217', 0, 1461747622),
(85152, 72, 10392, 'CodevTT_ChargeInit', '5', '3', 0, 1461747622),
(85153, 72, 10393, '', '', '', 1, 1461747765),
(85154, 72, 10393, 'handler_id', '0', '200', 0, 1461747765),
(85155, 72, 10393, '', '', '10392', 21, 1461747765),
(85156, 72, 10392, '', '', '10393', 20, 1461747765),
(85157, 72, 10393, 'target_version', '', '17.3_PUMA', 0, 1461747935),
(85158, 72, 10393, '', '2030', '', 6, 1461747935),
(85159, 72, 10392, 'target_version', '', '17.3_PUMA', 0, 1461748702),
(85160, 72, 10394, '', '', '', 1, 1461748765),
(85161, 72, 10394, 'handler_id', '0', '205', 0, 1461748765),
(85162, 72, 10394, '', '', '10392', 21, 1461748765),
(85163, 72, 10392, '', '', '10394', 20, 1461748765),
(85164, 72, 10395, '', '', '', 1, 1461748984),
(85165, 72, 10395, 'handler_id', '0', '217', 0, 1461748984),
(85166, 72, 10395, '', '', '10392', 21, 1461748984),
(85167, 72, 10392, '', '', '10395', 20, 1461748984),
(85168, 72, 10396, '', '', '', 1, 1461749240),
(85169, 72, 10396, 'handler_id', '0', '205', 0, 1461749240),
(85170, 72, 10396, '', '', '10395', 21, 1461749240),
(85171, 72, 10395, '', '', '10396', 20, 1461749240),
(85174, 72, 10397, '', '', '', 1, 1461749345),
(85175, 72, 10397, 'handler_id', '0', '217', 0, 1461749345),
(85176, 72, 10397, '', '', '10396', 21, 1461749345),
(85177, 72, 10396, '', '', '10397', 20, 1461749345),
(85179, 72, 10396, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 2/de Radiation pour cessation d\'activité 27R', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 2/de Radiation pour cessation d\'activité 27R,3S et WS', 0, 1461749413),
(85180, 72, 10396, '', '2032', '', 6, 1461749413),
(85181, 72, 10396, 'target_version', '', '17.3_PUMA', 0, 1461749444),
(85182, 72, 10395, 'target_version', '', '17.3_PUMA', 0, 1461749444),
(85183, 72, 10394, 'target_version', '', '17.3_PUMA', 0, 1461749444),
(85184, 72, 10248, 'target_version', '', '17.3_PUMA', 0, 1461749445),
(85185, 72, 10398, '', '', '', 1, 1461749557),
(85186, 72, 10398, 'handler_id', '0', '205', 0, 1461749557),
(85187, 72, 10398, '', '', '10396', 21, 1461749557),
(85188, 72, 10396, '', '', '10398', 20, 1461749557),
(85189, 72, 10399, '', '', '', 1, 1461749766),
(85190, 72, 10399, 'handler_id', '0', '217', 0, 1461749766),
(85191, 72, 10399, '', '', '10398', 21, 1461749766),
(85192, 72, 10398, '', '', '10399', 20, 1461749766),
(85193, 72, 10400, '', '', '', 1, 1461749878),
(85194, 72, 10400, 'handler_id', '0', '200', 0, 1461749878),
(85195, 72, 10400, '', '', '10399', 21, 1461749878),
(85196, 72, 10399, '', '', '10400', 20, 1461749878),
(85197, 2, 10401, 'Ref. Externe', '', '42609', 0, 1461750771),
(85198, 2, 10401, 'CodevTT_ChargeMgr', '', '20', 0, 1461750771),
(85199, 2, 10401, 'CodevTT_ChargeInit', '', '17', 0, 1461750771),
(85200, 2, 10401, 'target_version', '', '16.0_TO', 0, 1461750771),
(85201, 2, 10401, 'handler_id', '0', '157', 0, 1461750771),
(85202, 2, 10401, 'codevtt_type', '', 'Task', 0, 1461750771),
(85203, 2, 7393, 'codevtt_type', 'Task', 'Bug', 0, 1461751288),
(85204, 2, 4939, 'CodevTT_Dead Line', '', '', 0, 1461751452),
(85205, 2, 4939, 'CodevTT_Date Livraison', '', '1461708000', 0, 1461751452),
(85206, 2, 9493, 'target_version', '', '15.1.P_Avril', 0, 1461751606),
(85207, 2, 9493, 'CodevTT_Date Livraison', '', '1461708000', 0, 1461751606),
(85208, 2, 10136, 'target_version', '', '15.1.P_Avril', 0, 1461751660),
(85209, 2, 10136, 'CodevTT_Dead Line', '', '', 0, 1461751660),
(85210, 2, 10136, 'CodevTT_Date Livraison', '', '1461708000', 0, 1461751660),
(85211, 2, 10359, 'target_version', '', '15.1.P_Avril', 0, 1461751741),
(85212, 2, 10359, 'CodevTT_Dead Line', '', '', 0, 1461751741),
(85213, 2, 10359, 'CodevTT_Date Livraison', '', '1461708000', 0, 1461751741),
(85222, 72, 10398, 'target_version', '', '17.3_PUMA', 0, 1461757661),
(85236, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1461761101),
(85238, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1461761166),
(85262, 158, 9685, 'CodevTT_RAF', '5', '4', 0, 1461765448),
(85263, 158, 9685, 'CodevTT_RAF', '4', '2', 0, 1461765481),
(85264, 158, 9685, 'CodevTT_RAF', '2', '2', 0, 1461765501),
(85265, 72, 10248, 'handler_id', '217', '0', 0, 1461766374),
(85266, 72, 10248, 'status', '40', '80', 0, 1461766374),
(85267, 72, 10248, '', '2034', '', 6, 1461766374),
(85268, 72, 10248, 'CodevTT_RAF', '40', '0', 0, 1461766374),
(85269, 72, 10248, 'status', '80', '90', 0, 1461766392),
(85273, 199, 10330, '', '', '10403', 20, 1461766588),
(85287, 74, 10089, 'CodevTT_RAF', '1', '0', 0, 1461767880),
(85288, 74, 10089, 'CodevTT_RAF', '0', '0', 0, 1461767880),
(85289, 74, 10089, 'status', '50', '80', 0, 1461767880),
(85290, 74, 8838, 'CodevTT_RAF', '', '1', 0, 1461767913),
(85291, 74, 8838, 'status', '30', '50', 0, 1461767913),
(85293, 74, 8838, 'CodevTT_RAF', '1', '1', 0, 1461767952),
(85294, 74, 8838, 'CodevTT_RAF', '1', '0.5', 0, 1461767968),
(85296, 74, 8838, 'CodevTT_RAF', '0.5', '0', 0, 1461767992),
(85297, 74, 8838, 'CodevTT_RAF', '0', '0', 0, 1461767992),
(85298, 74, 8838, 'status', '50', '80', 0, 1461767992),
(85299, 74, 8839, 'CodevTT_RAF', '', '3', 0, 1461768037),
(85300, 74, 8839, 'status', '30', '50', 0, 1461768037),
(85301, 74, 8839, 'CodevTT_RAF', '3', '3', 0, 1461768061),
(85302, 74, 8839, 'CodevTT_RAF', '3', '1', 0, 1461768076),
(85327, 72, 10248, 'CodevTT_ChargeMgr', '', '46', 0, 1461770160),
(85328, 72, 10248, 'CodevTT_ChargeInit', '50', '', 0, 1461770160),
(85329, 72, 10391, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85330, 72, 10392, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85331, 72, 10393, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85332, 72, 10394, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85333, 72, 10395, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85334, 72, 10396, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85335, 72, 10397, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85336, 72, 10398, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85337, 72, 10399, 'CodevTT_ChargeMgr', '5', '0', 0, 1461770265),
(85338, 72, 10400, 'CodevTT_ChargeMgr', '3', '0', 0, 1461770265),
(85402, 72, 10406, '', '', '', 1, 1461772264),
(85403, 72, 10406, '', '', '10391', 21, 1461772264),
(85404, 72, 10391, '', '', '10406', 20, 1461772264),
(85405, 72, 10406, 'target_version', '', '17.3_PUMA', 0, 1461772293),
(85551, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1461835699),
(85747, 199, 10413, '', '', '', 1, 1461850233),
(85748, 199, 10413, 'handler_id', '0', '199', 0, 1461850233),
(85749, 199, 10413, '', '', '10403', 21, 1461850233),
(85830, 72, 10415, 'target_version', '', '17.3_PUMA', 0, 1461930039),
(85751, 199, 10330, 'category', '3en1', 'Appel Regul (TO)', 0, 1461850269),
(85752, 199, 10413, 'category', 'Appel Regul (TO)', '3en1', 0, 1461850345),
(85753, 199, 10330, 'category', 'Appel Regul (TO)', '3en1', 0, 1461850394),
(85754, 199, 10413, 'target_version', '', '16.0_TO', 0, 1461850432),
(85829, 72, 9683, '', '', '10415', 20, 1461929997),
(85756, 199, 9472, 'category', 'Appel Regul (TO)', '3en1', 0, 1461850490),
(85828, 72, 10415, '', '', '9683', 21, 1461929997),
(85759, 147, 10193, 'CodevTT_RAF', '1', '3', 0, 1461856734),
(85760, 147, 10193, 'CodevTT_RAF', '3', '2', 0, 1461856757),
(85761, 147, 10193, 'CodevTT_RAF', '2', '1', 0, 1461856774),
(85762, 147, 10193, 'CodevTT_RAF', '1', '0', 0, 1461856802),
(85763, 147, 10193, 'CodevTT_RAF', '0', '0', 0, 1461856802),
(85764, 147, 10193, 'status', '50', '80', 0, 1461856802),
(85768, 157, 10401, 'CodevTT_RAF', '', '16.75', 0, 1461908106),
(85769, 157, 10401, 'status', '10', '50', 0, 1461908106),
(85770, 157, 10144, 'CodevTT_RAF', '', '14.5', 0, 1461908247),
(85771, 157, 10144, 'status', '10', '50', 0, 1461908247),
(85772, 157, 6636, 'CodevTT_RAF', '2', '1.5', 0, 1461908292),
(85773, 157, 9468, 'CodevTT_RAF', '', '1.5', 0, 1461908321),
(85774, 157, 9468, 'status', '10', '50', 0, 1461908321),
(85775, 93, 7395, 'CodevTT_RAF', '2.75', '2', 0, 1461913046),
(85776, 93, 7392, 'CodevTT_RAF', '0.25', '2', 0, 1461913075),
(85777, 93, 8403, 'CodevTT_RAF', '4.75', '2', 0, 1461913101),
(85778, 217, 10395, 'CodevTT_RAF', '', '2', 0, 1461914334),
(85779, 217, 10395, 'status', '10', '50', 0, 1461914334),
(85780, 199, 9472, 'CodevTT_RAF', '9', '5', 0, 1461914538),
(85781, 199, 8840, 'CodevTT_RAF', '10', '5', 0, 1461914573),
(85782, 199, 9471, 'CodevTT_RAF', '0', '0', 0, 1461914602),
(85783, 93, 10192, 'CodevTT_RAF', '4', '3.5', 0, 1461915085),
(85784, 93, 7392, 'CodevTT_RAF', '2', '1.5', 0, 1461915106),
(85785, 93, 7392, 'CodevTT_RAF', '1.5', '1.5', 0, 1461915107),
(85786, 134, 9684, 'CodevTT_RAF', '1', '0.7', 0, 1461916849),
(85787, 134, 9684, 'CodevTT_RAF', '0.7', '0', 0, 1461916874),
(85788, 134, 9684, 'CodevTT_RAF', '0', '0', 0, 1461916874),
(85789, 134, 9684, 'status', '30', '80', 0, 1461916874),
(85790, 134, 9683, 'CodevTT_RAF', '0.55', '0.5', 0, 1461916924),
(85791, 134, 9683, 'CodevTT_RAF', '0.5', '1', 0, 1461916959),
(85792, 134, 9683, 'status', '30', '50', 0, 1461916959),
(85793, 134, 9683, 'CodevTT_RAF', '1', '0.5', 0, 1461916996),
(85794, 72, 10414, '', '', '', 1, 1461917408),
(85795, 72, 10414, 'handler_id', '0', '2', 0, 1461917408),
(85796, 169, 9633, 'CodevTT_RAF', '3', '1', 0, 1461918155),
(85797, 169, 9633, 'CodevTT_RAF', '1', '1', 0, 1461918177),
(85798, 169, 9633, 'CodevTT_RAF', '1', '1', 0, 1461918203),
(85799, 169, 9633, 'CodevTT_RAF', '1', '1', 0, 1461918215),
(85800, 169, 9633, 'CodevTT_RAF', '1', '1', 0, 1461918228),
(85801, 2, 10330, 'CodevTT_Dead Line', '1463695200', '', 0, 1461918986),
(85802, 2, 8840, 'CodevTT_Dead Line', '1463695200', '', 0, 1461919028),
(85806, 2, 10330, 'CodevTT_Dead Line', '', '1463954400', 0, 1461919665),
(85807, 2, 9472, 'CodevTT_Dead Line', '', '1463954400', 0, 1461919665),
(85808, 2, 10413, 'CodevTT_Dead Line', '1463695200', '1463954400', 0, 1461919665),
(85809, 2, 9472, 'status', '50', '80', 0, 1461924621),
(85810, 2, 9472, '', '2036', '', 6, 1461924621),
(85811, 2, 9472, 'status', '80', '90', 0, 1461924641),
(85812, 2, 9472, 'resolution', '10', '20', 0, 1461924641),
(85813, 2, 9472, 'CodevTT_RAF', '5', '0', 0, 1461924641),
(85814, 2, 9472, '', '2', '10330', 18, 1461924678),
(85815, 2, 10330, '', '3', '9472', 18, 1461924678),
(85816, 2, 9472, '', '2', '10413', 18, 1461924701),
(85817, 2, 10413, '', '3', '9472', 18, 1461924701),
(85818, 2, 8840, '', '2', '10403', 18, 1461924792),
(85820, 146, 7114, 'CodevTT_RAF', '4', '2', 0, 1461925748),
(85821, 146, 7114, 'CodevTT_RAF', '2', '1', 0, 1461925765),
(85822, 146, 7114, 'CodevTT_RAF', '1', '2', 0, 1461925786),
(85823, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1461925801),
(85827, 72, 10415, 'handler_id', '0', '158', 0, 1461929997),
(85826, 72, 10415, '', '', '', 1, 1461929997),
(85848, 212, 10018, 'CodevTT_RAF', '2.5', '1.5', 0, 1461933299),
(85849, 212, 10018, 'CodevTT_RAF', '1.5', '1', 0, 1461933328),
(85850, 212, 10087, 'CodevTT_RAF', '5.5', '5', 0, 1461933370),
(85851, 212, 10087, 'CodevTT_RAF', '5', '4', 0, 1461933416),
(85852, 212, 10087, 'CodevTT_RAF', '4', '3', 0, 1461933443),
(85853, 212, 10087, 'CodevTT_RAF', '3', '3', 0, 1461933517),
(85854, 212, 10087, 'CodevTT_RAF', '3', '2', 0, 1461933648),
(85855, 217, 10248, 'CodevTT_RAF', '0', '0', 0, 1461935405),
(85856, 217, 10248, 'handler_id', '0', '217', 0, 1461935405),
(85896, 74, 8839, 'CodevTT_RAF', '1', '0.5', 0, 1461937173),
(85897, 2, 8840, 'CodevTT_Dead Line', '', '1463695200', 0, 1461937580),
(85898, 2, 10401, 'CodevTT_Dead Line', '', '1463695200', 0, 1461937648),
(85899, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1461937674),
(85900, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1461937791),
(85901, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1461937809),
(85902, 2, 10422, '', '', '', 1, 1461938023),
(85903, 2, 10422, 'handler_id', '0', '2', 0, 1461938023),
(85904, 2, 10137, 'CodevTT_RAF', '1', '0', 0, 1461939254),
(85905, 2, 10137, 'status', '50', '80', 0, 1461939254),
(85906, 2, 10137, 'CodevTT_RAF', '0', '0', 0, 1461939254),
(85907, 158, 9685, 'CodevTT_RAF', '2', '1', 0, 1461941661),
(85908, 200, 10391, 'CodevTT_RAF', '', '7', 0, 1461942668),
(85909, 200, 10391, 'status', '10', '40', 0, 1461942668),
(85910, 200, 10391, 'CodevTT_RAF', '7', '1', 0, 1461942678),
(85911, 200, 10391, 'CodevTT_RAF', '1', '1', 0, 1461942697),
(85912, 200, 10391, 'CodevTT_RAF', '1', '2', 0, 1461942713),
(85913, 200, 10391, 'CodevTT_RAF', '2', '2', 0, 1461942713),
(85945, 72, 10423, '', '', '', 1, 1461944229),
(85946, 72, 10423, 'handler_id', '0', '212', 0, 1461944229),
(85947, 72, 10423, '', '', '10087', 21, 1461944229),
(85948, 72, 10087, '', '', '10423', 20, 1461944229),
(85956, 72, 10423, 'CodevTT_RAF', '', '2', 0, 1461944305),
(85957, 72, 10423, 'status', '10', '50', 0, 1461944305),
(85958, 93, 7391, 'CodevTT_RAF', '2.75', '2.40', 0, 1461944488),
(85959, 93, 10192, 'CodevTT_RAF', '3.5', '2.8', 0, 1461944541),
(85960, 93, 10192, 'CodevTT_RAF', '2.8', '1.80', 0, 1461944578),
(85961, 169, 10049, 'status', '50', '20', 0, 1461946337),
(85962, 169, 10049, 'CodevTT_Dead Line', '1459893600', '', 0, 1461946337),
(85963, 169, 10049, 'target_version', '15.1.0_Avril', '', 0, 1461946415),
(85964, 169, 9633, 'CodevTT_Dead Line', '', '1462226400', 0, 1461946539),
(85965, 2, 10148, 'CodevTT_RAF', '', '0', 0, 1461947046),
(85966, 2, 10148, 'status', '10', '80', 0, 1461947046),
(85967, 2, 10148, 'CodevTT_RAF', '0', '0', 0, 1461947046),
(85968, 72, 8395, 'CodevTT_ChargeMgr', '1', '18.7', 0, 1462168253),
(85969, 72, 10424, '', '', '', 1, 1462168548),
(85970, 72, 10424, 'handler_id', '0', '205', 0, 1462168548),
(85971, 72, 8845, 'CodevTT_ChargeMgr', '2', '0', 0, 1462168829),
(85972, 72, 10425, '', '', '', 1, 1462169015),
(85973, 72, 10425, 'handler_id', '0', '146', 0, 1462169015),
(85974, 72, 8076, 'CodevTT_ChargeMgr', '5', '0', 0, 1462169335),
(85975, 72, 8075, 'CodevTT_ChargeMgr', '5', '0', 0, 1462169335),
(85976, 72, 7114, 'CodevTT_ChargeMgr', '15', '0', 0, 1462169435),
(85977, 72, 7115, 'CodevTT_ChargeMgr', '3', '0', 0, 1462169435),
(85978, 72, 7113, 'CodevTT_ChargeMgr', '5', '0', 0, 1462169435),
(85979, 72, 7116, 'CodevTT_ChargeMgr', '15', '0', 0, 1462169435),
(85980, 72, 7657, 'CodevTT_ChargeMgr', '5', '0', 0, 1462169490),
(85981, 72, 8073, 'CodevTT_ChargeMgr', '5', '0', 0, 1462169620),
(85982, 72, 8072, 'CodevTT_ChargeMgr', '4', '0', 0, 1462169721),
(85983, 72, 8074, 'CodevTT_ChargeMgr', '5', '0', 0, 1462169721),
(85984, 72, 8065, 'CodevTT_ChargeMgr', '2', '0', 0, 1462169794),
(85985, 72, 8067, 'CodevTT_ChargeMgr', '3', '0', 0, 1462169794),
(85986, 72, 8846, 'CodevTT_ChargeMgr', '3', '0', 0, 1462169894),
(85987, 72, 10425, 'Ref. Externe', '30.8', '', 0, 1462170151),
(85988, 72, 10425, 'CodevTT_ChargeMgr', '0', '30.8', 0, 1462170151),
(85989, 72, 10425, 'CodevTT_ChargeInit', '2', '', 0, 1462170151),
(85990, 72, 10424, 'status', '10', '80', 0, 1462171478),
(85991, 72, 10424, 'CodevTT_RAF', '', '0', 0, 1462171478),
(85992, 72, 10425, 'CodevTT_RAF', '', '0', 0, 1462171518),
(85993, 72, 10426, '', '', '', 1, 1462171848),
(85994, 72, 10426, 'handler_id', '0', '116', 0, 1462171848),
(85995, 199, 10427, '', '', '', 1, 1462172788),
(85996, 199, 10427, 'handler_id', '0', '199', 0, 1462172788),
(85997, 199, 10427, '', '', '10413', 21, 1462172788),
(85998, 199, 10413, '', '', '10427', 20, 1462172788),
(85999, 199, 10427, 'CodevTT_RAF', '', '4', 0, 1462172841),
(86000, 199, 10427, 'status', '10', '50', 0, 1462172841),
(86089, 2, 10414, 'CodevTT_ChargeInit', '2', '1', 0, 1462181424),
(86088, 2, 10414, 'status', '10', '50', 0, 1462181398),
(86087, 2, 10414, 'CodevTT_RAF', '', '0.5', 0, 1462181398),
(86113, 93, 10192, 'CodevTT_RAF', '1.80', '1.80', 0, 1462197843),
(86114, 93, 10192, 'CodevTT_RAF', '1.80', '2', 0, 1462197859),
(86115, 116, 4334, 'CodevTT_RAF', '1.5', '0.5', 0, 1462199234),
(86116, 199, 10437, '', '', '', 1, 1462201254),
(86117, 199, 10437, 'handler_id', '0', '199', 0, 1462201254),
(86118, 199, 10437, '', '', '10147', 21, 1462201254),
(86119, 199, 10147, '', '', '10437', 20, 1462201254),
(86120, 199, 10437, 'Ref. Externe', '42567', '42575', 0, 1462201326),
(86121, 199, 10437, 'CodevTT_RAF', '', '0', 0, 1462201350),
(86122, 199, 10437, 'CodevTT_RAF', '0', '0', 0, 1462201350),
(86123, 199, 10437, 'status', '10', '80', 0, 1462201350),
(86124, 72, 8857, 'priority', '30', '40', 0, 1462202158),
(86125, 72, 8857, 'status', '30', '50', 0, 1462202158),
(86126, 72, 8857, 'version', '15.1.0_Mars', '', 0, 1462202158),
(86127, 72, 8857, 'target_version', '', '16.0_TO', 0, 1462202158),
(86128, 72, 8857, 'RSI_Type_Ano', '', 'Production', 0, 1462202158),
(106360, 205, 12153, 'CodevTT_RAF', '0.2', '0', 0, 1467731024),
(106359, 205, 12153, 'status', '50', '80', 0, 1467731024),
(86320, 157, 10401, '', '', '10488', 20, 1462256755),
(86319, 157, 10488, '', '', '10401', 21, 1462256755),
(86318, 157, 10488, 'handler_id', '0', '157', 0, 1462256755),
(86317, 157, 10488, '', '', '', 1, 1462256755),
(86321, 157, 10489, '', '', '', 1, 1462256799),
(86322, 157, 10489, 'handler_id', '0', '157', 0, 1462256799),
(86323, 157, 10489, '', '', '10488', 21, 1462256799),
(86324, 157, 10488, '', '', '10489', 20, 1462256799),
(86325, 157, 10488, 'CodevTT_RAF', '', '0', 0, 1462256834),
(86326, 157, 10488, 'CodevTT_RAF', '0', '0', 0, 1462256834),
(86327, 157, 10488, 'status', '10', '80', 0, 1462256834),
(86328, 157, 10489, 'CodevTT_RAF', '', '1', 0, 1462256865),
(86329, 157, 10489, 'status', '10', '50', 0, 1462256865),
(86330, 157, 10489, 'CodevTT_RAF', '1', '0', 0, 1462256894),
(86331, 157, 10489, 'CodevTT_RAF', '0', '0', 0, 1462256894),
(86332, 157, 10489, 'status', '50', '80', 0, 1462256894),
(86333, 157, 10489, 'CodevTT_ChargeInit', '1', '2', 0, 1462256923),
(86538, 72, 10391, 'CodevTT_ChargeMgr', '0', '5', 0, 1462265971),
(86539, 72, 10395, 'CodevTT_ChargeMgr', '0', '5', 0, 1462266063),
(86540, 72, 10400, 'CodevTT_ChargeMgr', '0', '7', 0, 1462266183),
(86541, 72, 10399, 'CodevTT_ChargeMgr', '0', '7', 0, 1462266236),
(86542, 72, 10399, 'CodevTT_ChargeInit', '3', '7', 0, 1462266236),
(86543, 72, 10398, 'CodevTT_ChargeMgr', '0', '6', 0, 1462266466),
(86544, 72, 10398, 'CodevTT_ChargeInit', '3', '6', 0, 1462266466),
(86545, 72, 10397, 'CodevTT_ChargeMgr', '0', '4', 0, 1462266499),
(86546, 72, 10397, 'CodevTT_ChargeInit', '3', '4', 0, 1462266499),
(86547, 72, 10396, 'CodevTT_ChargeMgr', '0', '5', 0, 1462266533),
(86548, 72, 10396, 'CodevTT_ChargeInit', '3', '0', 0, 1462266533),
(86549, 72, 10392, 'CodevTT_ChargeMgr', '0', '1', 0, 1462266579),
(86550, 72, 10392, 'CodevTT_ChargeInit', '3', '1', 0, 1462266579),
(86551, 72, 10248, 'CodevTT_ChargeMgr', '46', '0', 0, 1462266677),
(86552, 72, 10394, 'CodevTT_ChargeMgr', '0', '3', 0, 1462266815),
(86553, 72, 10393, 'CodevTT_ChargeMgr', '0', '3', 0, 1462266863),
(86554, 93, 10192, 'CodevTT_RAF', '2', '1', 0, 1462271394),
(86555, 93, 10192, 'CodevTT_RAF', '1', '1', 0, 1462271408),
(86638, 217, 10395, 'CodevTT_RAF', '2', '2', 0, 1462275534),
(86639, 217, 10399, 'CodevTT_RAF', '', '6.5', 0, 1462275645),
(86640, 217, 10399, 'status', '10', '50', 0, 1462275645),
(86641, 217, 10395, 'CodevTT_RAF', '2', '2.5', 0, 1462275691),
(86642, 217, 10392, 'CodevTT_RAF', '', '0.5', 0, 1462275765),
(86643, 217, 10392, 'status', '10', '50', 0, 1462275765),
(86644, 217, 10395, 'CodevTT_RAF', '2.5', '2', 0, 1462275798),
(86774, 217, 9685, 'CodevTT_RAF', '1', '1', 0, 1462281536),
(86924, 157, 10489, 'CodevTT_RAF', '0', '0', 0, 1462286610),
(86950, 158, 9685, 'CodevTT_RAF', '1', '0.25', 0, 1462288898),
(86951, 158, 10415, 'CodevTT_RAF', '', '4.75', 0, 1462289027),
(86952, 158, 10415, 'status', '10', '50', 0, 1462289027),
(87005, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1462291639),
(87008, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1462291688),
(87010, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1462291719),
(87081, 212, 10087, 'CodevTT_RAF', '2', '1', 0, 1462347825),
(87084, 212, 10087, 'CodevTT_RAF', '1', '0', 0, 1462347870),
(87085, 212, 10087, 'CodevTT_RAF', '0', '0', 0, 1462347870),
(87086, 212, 10087, 'status', '50', '80', 0, 1462347870),
(87091, 158, 10415, 'CodevTT_RAF', '4.75', '4.75', 0, 1462348075),
(87096, 72, 10395, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 2/Bascule Ayant droit en gratuit', '42497 [SPEC] TAIGA PUMA - Lot 2/Bascule Ayant droit en gratuit', 0, 1462348739),
(87097, 72, 10248, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie-NE PLUS IMPUTER', 0, 1462348798),
(87098, 72, 10392, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot  1/Propagation Affiliation', '42497 [SPEC] TAIGA PUMA - Lot  1/Propagation Affiliation', 0, 1462348882),
(87099, 72, 10399, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 4/ traitement des MAJOC', '42497 [SPEC] TAIGA PUMA -  Lot 4/ traitement des MAJOC', 0, 1462348995),
(87100, 72, 10393, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot  1/traitement de réduction des maintiens de droits', '42497 [SPEC] TAIGA PUMA - Lot  1/traitement de réduction des maintiens de droits', 0, 1462349025),
(87101, 72, 10394, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot  1/Prinicipes généraux', '42497 [SPEC] TAIGA PUMA -  Lot  1/Prinicipes généraux', 0, 1462349053),
(87102, 72, 10396, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 2/de Radiation pour cessation d\'activité 27R,3S et WS', '42497 [SPEC] TAIGA PUMA -  Lot 2/de Radiation pour cessation d\'activité 27R,3S et WS', 0, 1462349079),
(87103, 72, 10397, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 2/traitement de masse de bascule des ayant-droits majeurs', '42497 [SPEC] TAIGA PUMA -  Lot 2/traitement de masse de bascule des ayant-droits majeurs', 0, 1462349123),
(87104, 72, 10398, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 3/avis de cession 02S', '42497 [SPEC] TAIGA PUMA -  Lot 3/avis de cession 02S', 0, 1462349146),
(87105, 72, 10400, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot 4/ Ecrans TP (Assurés et AYD)', '42497 [SPEC] TAIGA PUMA - Lot 4/ Ecrans TP (Assurés et AYD)', 0, 1462349178),
(87106, 72, 10391, 'summary', '42497 [SPEC] TAIGA PUMA - Continuité des droits et autonomie- Lot - Note de cadrage', '42497 [SPEC] TAIGA PUMA -  Lot 0- Note de cadrage', 0, 1462349217),
(87107, 72, 10598, '', '', '', 1, 1462349483),
(87108, 72, 10598, 'handler_id', '0', '158', 0, 1462349483),
(87109, 72, 10598, '', '', '10395', 21, 1462349483),
(87110, 72, 10395, '', '', '10598', 20, 1462349483),
(87111, 72, 10598, '', '2062', '', 6, 1462349563),
(87112, 169, 9633, 'CodevTT_RAF', '1', '0', 0, 1462350980),
(87113, 169, 9633, 'CodevTT_RAF', '0', '0', 0, 1462351010),
(87114, 169, 9633, 'CodevTT_RAF', '0', '0', 0, 1462351010),
(87115, 169, 9633, 'status', '50', '80', 0, 1462351010),
(87116, 158, 9685, 'CodevTT_RAF', '0.25', '0', 0, 1462351040),
(87117, 158, 9685, 'CodevTT_RAF', '0', '0', 0, 1462351040),
(87118, 158, 9685, 'status', '50', '80', 0, 1462351040),
(87119, 169, 9633, 'resolution', '10', '20', 0, 1462351527),
(87120, 2, 10414, 'CodevTT_RAF', '0.5', '0', 0, 1462354033),
(87121, 2, 10414, 'CodevTT_RAF', '0', '0', 0, 1462354033),
(87122, 2, 10414, 'status', '50', '80', 0, 1462354033),
(87123, 158, 10415, 'CodevTT_RAF', '4.75', '4', 0, 1462360196),
(87124, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1462363135),
(87136, 200, 10394, 'CodevTT_RAF', '', '5', 0, 1462371637),
(87137, 200, 10394, 'status', '10', '40', 0, 1462371637),
(87138, 200, 10394, 'CodevTT_RAF', '5', '4', 0, 1462371657),
(87139, 200, 10391, 'CodevTT_RAF', '2', '1', 0, 1462371700),
(87140, 200, 10391, 'CodevTT_RAF', '1', '1', 0, 1462371716),
(87141, 200, 10393, 'CodevTT_RAF', '', '3', 0, 1462371767),
(87142, 200, 10393, 'status', '10', '40', 0, 1462371767),
(87167, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1462373343),
(87171, 72, 8801, 'CodevTT_RAF', '6', '5', 0, 1462374166),
(87186, 134, 9683, 'CodevTT_RAF', '0.5', '3', 0, 1462375741),
(87187, 134, 9683, 'CodevTT_RAF', '3', '2', 0, 1462375759),
(87189, 134, 10390, 'CodevTT_RAF', '', '4', 0, 1462375816),
(87190, 134, 10390, 'status', '10', '50', 0, 1462375816),
(87191, 134, 10390, 'CodevTT_RAF', '4', '4', 0, 1462375861),
(87197, 134, 9683, 'CodevTT_RAF', '2', '2', 0, 1462375902),
(87198, 134, 9683, 'CodevTT_RAF', '2', '2', 0, 1462375918),
(87204, 164, 8386, 'CodevTT_RAF', '0', '0', 0, 1462526463),
(87205, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1462526500),
(87206, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1462526554),
(87207, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1462526578),
(87208, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1462526708),
(87212, 199, 10413, 'CodevTT_RAF', '', '4', 0, 1462545493),
(87213, 199, 10413, 'status', '10', '50', 0, 1462545493),
(87214, 199, 10427, 'CodevTT_RAF', '4', '3', 0, 1462545533),
(87215, 199, 10427, 'CodevTT_RAF', '3', '3', 0, 1462545561),
(87216, 199, 10366, 'CodevTT_RAF', '', '3', 0, 1462545616),
(87217, 199, 10366, 'status', '10', '50', 0, 1462545616),
(87218, 199, 10366, 'CodevTT_RAF', '3', '2', 0, 1462545631),
(87219, 199, 10366, 'CodevTT_RAF', '2', '0.25', 0, 1462545652),
(87220, 169, 10390, 'CodevTT_RAF', '4', '5', 0, 1462546517),
(87221, 169, 10390, 'CodevTT_RAF', '5', '5', 0, 1462546530),
(87307, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1462779476),
(87310, 199, 10611, '', '', '', 1, 1462780010),
(87311, 199, 10611, 'handler_id', '0', '147', 0, 1462780010),
(87312, 199, 10611, '', '', '10193', 21, 1462780010),
(87313, 199, 10193, '', '', '10611', 20, 1462780010),
(87317, 199, 10611, 'target_version', '', '16.0_TO', 0, 1462780425),
(87322, 199, 10611, 'CodevTT_ChargeInit', '10', '7', 0, 1462780527),
(87409, 2, 6746, 'CodevTT_ChargeMgr', '', '0', 0, 1462784226),
(87410, 2, 6746, 'CodevTT_RAF', '0.5', '0', 0, 1462784226),
(87411, 2, 8388, 'CodevTT_RAF', '1', '0', 0, 1462784262),
(87412, 2, 9631, 'CodevTT_ChargeMgr', '', '0', 0, 1462784299),
(87413, 2, 9631, 'CodevTT_RAF', '1', '0', 0, 1462784299),
(87414, 2, 5037, 'CodevTT_ChargeMgr', '', '0', 0, 1462784336),
(87415, 2, 5037, 'CodevTT_RAF', '3', '0', 0, 1462784336),
(87416, 2, 6748, 'status', '10', '50', 0, 1462784374),
(87417, 2, 6748, 'CodevTT_ChargeMgr', '', '0', 0, 1462784421),
(87418, 2, 6748, 'CodevTT_RAF', '', '5', 0, 1462784421),
(87422, 2, 4334, 'CodevTT_Dead Line', '', '1464732000', 0, 1462786471),
(87423, 217, 10395, 'CodevTT_RAF', '2', '0.5', 0, 1462802150),
(87438, 147, 10611, 'CodevTT_RAF', '', '6', 0, 1462804313),
(87439, 147, 10611, 'status', '10', '50', 0, 1462804313),
(87440, 147, 10611, 'CodevTT_RAF', '6', '5', 0, 1462804336),
(87455, 147, 10611, 'CodevTT_RAF', '5', '4', 0, 1462804370),
(98966, 72, 10617, 'CodevTT_ChargeMgr', '3', '12', 0, 1465401190),
(87461, 72, 10617, 'Ref. Externe', '', '42692', 0, 1462804548),
(87462, 72, 10617, 'CodevTT_ChargeMgr', '', '2', 0, 1462804548),
(87463, 72, 10617, 'CodevTT_ChargeInit', '', '2', 0, 1462804548),
(87464, 72, 10617, 'handler_id', '0', '147', 0, 1462804548),
(87465, 72, 10617, 'codevtt_type', '', 'Task', 0, 1462804548),
(97275, 72, 4289, 'category', 'General', '3en1', 0, 1464956532),
(97274, 72, 4289, 'handler_id', '146', '0', 0, 1464956532),
(97273, 72, 8344, 'CodevTT_RAF', '1', '0', 0, 1464956440),
(87481, 72, 10621, 'Ref. Externe', '', '42684', 0, 1462806092),
(87482, 72, 10621, 'CodevTT_ChargeInit', '', '2', 0, 1462806092),
(87483, 72, 10621, 'target_version', '', '16.0_TO', 0, 1462806092),
(87484, 72, 10621, 'handler_id', '0', '157', 0, 1462806092),
(87485, 72, 10621, 'codevtt_type', '', 'Task', 0, 1462806092),
(87486, 72, 10622, 'Ref. Externe', '', '42684', 0, 1462806092),
(87487, 72, 10622, 'CodevTT_ChargeInit', '', '2', 0, 1462806092),
(87488, 72, 10622, 'target_version', '', '16.0_TO', 0, 1462806092),
(87489, 72, 10622, 'handler_id', '0', '157', 0, 1462806092),
(87490, 72, 10622, 'codevtt_type', '', 'Task', 0, 1462806092),
(87491, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1462807280),
(87492, 146, 7114, 'CodevTT_RAF', '2', '1.5', 0, 1462807571),
(87493, 146, 7114, 'CodevTT_RAF', '1.5', '1.5', 0, 1462807592),
(87494, 146, 7114, 'CodevTT_RAF', '1.5', '1.5', 0, 1462807604),
(87495, 72, 10390, 'summary', '41937 [DEV] Amélioration des échanges avec les OC à partir de TAIGA- MAJOC 51', '41937 [DEV] - MAJOC 51', 0, 1462807623),
(87496, 72, 10623, '', '', '', 1, 1462807899),
(87497, 72, 10623, 'handler_id', '0', '158', 0, 1462807899),
(87498, 72, 10623, '', '', '10598', 21, 1462807899),
(87499, 72, 10598, '', '', '10623', 20, 1462807899),
(87500, 157, 10488, 'CodevTT_RAF', '0', '0', 0, 1462861741),
(87501, 72, 10617, 'CodevTT_ChargeMgr', '2', '3', 0, 1462863963),
(87502, 72, 10617, 'reporter_id', '0', '72', 0, 1462864039),
(87503, 116, 10088, 'CodevTT_RAF', '2', '1.5', 0, 1462866427),
(87504, 116, 10426, 'CodevTT_RAF', '', '1.5', 0, 1462866453),
(87505, 116, 10426, 'status', '10', '50', 0, 1462866453),
(87529, 217, 10397, 'CodevTT_RAF', '', '3', 0, 1462879683),
(87530, 217, 10397, 'status', '10', '50', 0, 1462879683),
(87534, 2, 9674, 'CodevTT_RAF', '0.5', '0', 0, 1462883706),
(87535, 205, 10394, 'CodevTT_RAF', '4', '1', 0, 1462884286),
(87536, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1462884299),
(87537, 205, 10625, '', '', '', 1, 1462884667),
(87538, 205, 10625, 'CodevTT_RAF', '', '2', 0, 1462884698),
(87539, 205, 10625, 'status', '10', '50', 0, 1462884698),
(87540, 205, 10625, 'handler_id', '0', '205', 0, 1462884698),
(87541, 205, 10625, 'CodevTT_RAF', '2', '2', 0, 1462884757),
(87542, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1462884783),
(87543, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1462884807),
(87544, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1462884825),
(87550, 217, 10397, 'CodevTT_RAF', '3', '2', 0, 1462890473),
(87551, 158, 10391, 'CodevTT_RAF', '1', '1', 0, 1462892286),
(87552, 158, 10391, 'CodevTT_RAF', '1', '1', 0, 1462892326),
(87553, 158, 10415, 'CodevTT_RAF', '4', '3.75', 0, 1462892412),
(87554, 158, 10391, 'CodevTT_RAF', '1', '1', 0, 1462892563),
(87626, 147, 10617, 'CodevTT_RAF', '', '1.3', 0, 1462954152),
(87627, 147, 10617, 'status', '10', '50', 0, 1462954152),
(87628, 147, 10617, 'CodevTT_RAF', '1.3', '4', 0, 1462954300),
(87663, 199, 10636, '', '', '', 1, 1462957892),
(87664, 199, 10636, 'handler_id', '0', '199', 0, 1462957892),
(87665, 199, 10636, '', '', '10236', 21, 1462957892),
(87666, 199, 10236, '', '', '10636', 20, 1462957892),
(87667, 199, 10636, 'CodevTT_RAF', '', '0', 0, 1462957931),
(87668, 199, 10636, 'CodevTT_RAF', '0', '0', 0, 1462957931),
(87669, 199, 10636, 'status', '10', '80', 0, 1462957931),
(87670, 199, 10636, 'CodevTT_RAF', '0', '0.1', 0, 1462958091),
(87671, 199, 10636, 'status', '80', '50', 0, 1462958091),
(87674, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1462959956),
(87675, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1462959970),
(87692, 158, 10415, 'CodevTT_RAF', '3.75', '3.25', 0, 1462969490),
(87701, 217, 10397, 'CodevTT_RAF', '2', '1', 0, 1462970819),
(87821, 116, 10088, 'CodevTT_RAF', '1.5', '1', 0, 1462976645),
(87836, 147, 10617, 'CodevTT_RAF', '4', '3.25', 0, 1462979781),
(87897, 205, 10625, 'summary', 'GAC-4035 MOA_TAIGA_OC ABSENT EN CREATION - CODE 1711', 'GAC-4034 MOA_TAIGA_OC ABSENT EN CREATION - CODE 1711', 0, 1462980971),
(87898, 205, 10651, '', '', '', 1, 1462981047),
(87899, 205, 10651, 'handler_id', '0', '205', 0, 1462981047),
(87900, 205, 10651, '', '', '10625', 21, 1462981047),
(87901, 205, 10625, '', '', '10651', 20, 1462981047),
(87902, 205, 10651, 'CodevTT_RAF', '', '2', 0, 1462981078),
(87903, 205, 10651, 'status', '10', '50', 0, 1462981078),
(87904, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1462981132),
(87905, 205, 9889, 'CodevTT_RAF', '9', '10', 0, 1462981235),
(87906, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1462981252),
(88044, 157, 10144, 'CodevTT_RAF', '14.5', '14', 0, 1463038724),
(88045, 157, 10144, 'CodevTT_RAF', '14', '13', 0, 1463038736),
(88046, 157, 10144, 'CodevTT_RAF', '13', '12', 0, 1463038747);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(88047, 157, 10144, 'CodevTT_RAF', '12', '11', 0, 1463038759),
(88073, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1463055324),
(88075, 212, 10659, '', '', '', 1, 1463055488),
(88076, 212, 10659, 'handler_id', '0', '212', 0, 1463055488),
(88077, 212, 10659, '', '', '8621', 21, 1463055488),
(88078, 212, 8621, '', '', '10659', 20, 1463055488),
(88079, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1463055525),
(88080, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1463055857),
(88081, 212, 10659, 'CodevTT_RAF', '', '5.3', 0, 1463055920),
(88082, 212, 10659, 'status', '10', '50', 0, 1463055920),
(88083, 212, 10659, 'CodevTT_RAF', '5.3', '4.6', 0, 1463055968),
(88084, 212, 10659, 'CodevTT_RAF', '4.6', '3.9', 0, 1463056019),
(107398, 72, 10280, 'target_version', '', 'GAC_2.0', 0, 1468312183),
(107397, 72, 10280, 'CodevTT_RAF', '0.5', '0', 0, 1468312078),
(88091, 146, 7114, '', '', '10660', 20, 1463056500),
(88092, 146, 7114, '', '3', '10660', 18, 1463056500),
(107396, 72, 10280, 'CodevTT_ChargeMgr', '', '8', 0, 1468312078),
(88098, 146, 10625, 'CodevTT_RAF', '2', '0.5', 0, 1463057025),
(88099, 146, 10625, 'CodevTT_RAF', '0.5', '0.5', 0, 1463057070),
(88100, 146, 7114, 'CodevTT_RAF', '1.5', '2', 0, 1463057136),
(88101, 146, 7114, 'CodevTT_RAF', '2', '2', 0, 1463057185),
(88102, 72, 10659, 'CodevTT_ChargeMgr', '', '3.6', 0, 1463058404),
(88103, 146, 10391, 'CodevTT_RAF', '1', '1', 0, 1463058707),
(88104, 72, 8801, 'CodevTT_ChargeMgr', '12', '6', 0, 1463058752),
(88105, 72, 8801, 'CodevTT_ChargeInit', '10', '5', 0, 1463058752),
(88106, 72, 8801, 'CodevTT_RAF', '5', '2', 0, 1463058752),
(88107, 72, 8621, 'CodevTT_ChargeMgr', '12', '13', 0, 1463058794),
(88149, 2, 8149, 'CodevTT_RAF', '0.5', '0', 0, 1463060694),
(88150, 2, 3732, 'CodevTT_RAF', '0.5', '0', 0, 1463060717),
(88151, 2, 3916, 'CodevTT_RAF', '1', '0', 0, 1463060728),
(226850, 246, 18488, '', '20021', '', 2, 1495035841),
(88370, 147, 10617, 'CodevTT_RAF', '3.25', '2.5', 0, 1463068483),
(88371, 2, 8327, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88372, 2, 8404, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88373, 2, 8389, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88374, 2, 8390, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88375, 2, 8557, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88376, 2, 8562, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88377, 2, 8563, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88378, 2, 8361, 'RSI_Type_Ano', '', 'Production', 0, 1463068633),
(88379, 2, 8362, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88380, 2, 8364, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88381, 2, 8301, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88382, 2, 8305, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88383, 2, 8304, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88384, 2, 8559, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88385, 2, 8554, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88386, 2, 8303, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88387, 2, 8302, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88388, 2, 8300, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88389, 2, 8344, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88390, 2, 8407, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88391, 2, 8406, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88392, 2, 8405, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88393, 2, 8382, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88394, 2, 8343, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88395, 2, 8342, 'RSI_Type_Ano', '', 'Recette', 0, 1463068682),
(88430, 200, 10393, 'CodevTT_RAF', '3', '3', 0, 1463129583),
(88431, 169, 10390, 'CodevTT_RAF', '5', '4', 0, 1463129586),
(88432, 200, 10393, 'CodevTT_RAF', '3', '1', 0, 1463129602),
(88433, 169, 10390, 'CodevTT_RAF', '4', '3.5', 0, 1463129609),
(88436, 200, 10391, 'CodevTT_RAF', '1', '1', 0, 1463129748),
(88437, 200, 10393, 'CodevTT_RAF', '1', '3', 0, 1463129788),
(88438, 200, 10393, 'CodevTT_RAF', '3', '2', 0, 1463129802),
(88439, 200, 10393, 'CodevTT_RAF', '2', '1', 0, 1463129820),
(88444, 200, 10400, 'CodevTT_RAF', '', '4.5', 0, 1463129917),
(88445, 200, 10400, 'status', '10', '50', 0, 1463129917),
(88447, 200, 10393, 'CodevTT_RAF', '1', '1', 0, 1463129972),
(88448, 147, 10617, 'CodevTT_RAF', '2.5', '2', 0, 1463130894),
(88479, 169, 10390, 'CodevTT_RAF', '3.5', '2.5', 0, 1463132221),
(88480, 212, 10659, 'CodevTT_RAF', '3.9', '3.9', 0, 1463132360),
(88481, 199, 10611, 'CodevTT_RAF', '4', '1', 0, 1463132673),
(88482, 199, 10611, 'handler_id', '147', '199', 0, 1463132673),
(88483, 199, 10611, 'CodevTT_RAF', '1', '1', 0, 1463132713),
(88484, 199, 10636, 'CodevTT_RAF', '0.1', '0', 0, 1463132784),
(88485, 199, 10636, 'CodevTT_RAF', '0', '0', 0, 1463132784),
(88486, 199, 10636, 'status', '50', '80', 0, 1463132784),
(88487, 199, 10366, 'CodevTT_RAF', '0.25', '0', 0, 1463132866),
(88488, 199, 10366, 'CodevTT_RAF', '0', '0', 0, 1463132866),
(88489, 199, 10366, 'status', '50', '80', 0, 1463132866),
(88490, 212, 10423, 'CodevTT_RAF', '2', '10', 0, 1463132879),
(88502, 199, 10413, 'CodevTT_RAF', '4', '1', 0, 1463132901),
(88503, 158, 10415, 'CodevTT_RAF', '3.25', '2.75', 0, 1463133172),
(88570, 205, 10280, 'CodevTT_RAF', '3.75', '2', 0, 1463137133),
(88571, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1463137171),
(88572, 205, 10394, 'CodevTT_RAF', '1', '1', 0, 1463137346),
(88573, 205, 9889, 'CodevTT_RAF', '10', '8', 0, 1463137386),
(88574, 217, 10399, 'CodevTT_RAF', '6.5', '6', 0, 1463139147),
(88592, 72, 10393, 'handler_id', '200', '146', 0, 1463141544),
(88597, 72, 10393, 'handler_id', '146', '200', 0, 1463141658),
(88598, 72, 10737, '', '', '', 1, 1463141742),
(88599, 72, 10737, 'handler_id', '0', '146', 0, 1463141742),
(88600, 72, 10737, '', '', '10393', 21, 1463141742),
(88601, 72, 10393, '', '', '10737', 20, 1463141742),
(88640, 2, 10414, 'project_id', '41', '100', 0, 1463141831),
(88641, 2, 10414, 'category', 'FusionPL', 'General', 0, 1463141831),
(88642, 2, 9444, 'project_id', '41', '100', 0, 1463141831),
(88643, 2, 9444, 'category', 'FusionPL', 'General', 0, 1463141831),
(88670, 2, 8155, 'project_id', '41', '100', 0, 1463141831),
(88671, 2, 8155, 'category', 'FusionPL', 'General', 0, 1463141831),
(88794, 72, 10598, '', '2071', '', 6, 1463142041),
(88803, 2, 10414, 'project_id', '100', '41', 0, 1463142417),
(88804, 72, 10738, '', '', '', 1, 1463142488),
(88805, 72, 10738, '', '', '10623', 21, 1463142488),
(88806, 72, 10623, '', '', '10738', 20, 1463142488),
(88809, 2, 9444, 'project_id', '100', '41', 0, 1463142603),
(88810, 2, 9444, 'category', 'General', 'FusionPL', 0, 1463142631),
(88814, 2, 8155, 'project_id', '100', '41', 0, 1463142708),
(88815, 2, 8155, 'category', 'General', 'FusionPL', 0, 1463142730),
(88816, 72, 10598, 'handler_id', '158', '146', 0, 1463142762),
(88817, 72, 10738, 'handler_id', '0', '158', 0, 1463142845),
(88818, 72, 10740, '', '', '', 1, 1463142959),
(88819, 72, 10740, 'handler_id', '0', '158', 0, 1463142959),
(88820, 72, 10740, '', '', '10623', 21, 1463142959),
(88821, 72, 10623, '', '', '10740', 20, 1463142959),
(88822, 2, 9444, 'handler_id', '0', '2', 0, 1463142973),
(88823, 72, 10741, '', '', '', 1, 1463143014),
(88824, 72, 10741, 'handler_id', '0', '158', 0, 1463143014),
(88825, 72, 10741, '', '', '10623', 21, 1463143014),
(88826, 72, 10623, '', '', '10741', 20, 1463143014),
(88827, 2, 9444, 'handler_id', '2', '0', 0, 1463143020),
(88828, 72, 10742, '', '', '', 1, 1463143058),
(88829, 72, 10742, 'handler_id', '0', '146', 0, 1463143058),
(88830, 72, 10742, '', '', '10623', 21, 1463143058),
(88831, 72, 10623, '', '', '10742', 20, 1463143058),
(88832, 72, 10743, '', '', '', 1, 1463143409),
(88833, 72, 10743, 'handler_id', '0', '74', 0, 1463143409),
(88834, 72, 10743, '', '', '10598', 21, 1463143409),
(88835, 72, 10598, '', '', '10743', 20, 1463143409),
(88836, 72, 10744, '', '', '', 1, 1463143481),
(88837, 72, 10744, '', '', '10598', 21, 1463143481),
(88838, 72, 10598, '', '', '10744', 20, 1463143481),
(88839, 72, 10744, 'summary', '42497 [DEV] TAIGA PUMA - Lot 4  /Bascule Annuelle des majeurs', '42497 [DEV] TAIGA PUMA - Lot 4  /Batch  Bascule Annuelle des majeurs', 0, 1463143620),
(88840, 72, 10744, '', '2073', '', 6, 1463143620),
(88841, 72, 10598, '', '2074', '', 6, 1463143672),
(88842, 72, 10745, '', '', '', 1, 1463144086),
(88843, 72, 10745, 'handler_id', '0', '74', 0, 1463144086),
(88844, 72, 10745, '', '', '10743', 21, 1463144086),
(88845, 72, 10743, '', '', '10745', 20, 1463144086),
(88846, 72, 10746, '', '', '', 1, 1463144184),
(88847, 72, 10746, 'handler_id', '0', '74', 0, 1463144184),
(88848, 72, 10746, '', '', '10745', 21, 1463144184),
(88849, 72, 10745, '', '', '10746', 20, 1463144184),
(88853, 72, 10745, '', '', '10747', 20, 1463144357),
(122684, 158, 13044, 'CodevTT_RAF', '2', '1', 0, 1472223179),
(88857, 72, 10746, '', '', '10748', 20, 1463144848),
(88858, 72, 10749, '', '', '', 1, 1463144995),
(88859, 72, 10749, 'handler_id', '0', '169', 0, 1463144995),
(88860, 72, 10749, '', '', '10745', 21, 1463144995),
(88861, 72, 10745, '', '', '10749', 20, 1463144995),
(88892, 72, 10770, '', '', '', 1, 1463149257),
(88893, 72, 10770, 'handler_id', '0', '146', 0, 1463149257),
(88894, 72, 10770, '', '', '10749', 21, 1463149257),
(88895, 72, 10749, '', '', '10770', 20, 1463149257),
(88896, 72, 10749, 'summary', '42497 [DEV] TAIGA PUMA - Lot 4/ Impact MAJOC', '42497 [DEV] TAIGA PUMA - Impact MAJOC', 0, 1463150042),
(88897, 72, 10742, 'summary', '42497 [DEV] TAIGA PUMA - Lot 2/ traitement de Radiation par WebService GAC', '42497 [DEV] TAIGA PUMA - traitement de Radiation par WebService GAC', 0, 1463150073),
(88898, 72, 10745, 'summary', '42497 [DEV] TAIGA PUMA - Lot 4/TP  Radiation', '42497 [DEV] TAIGA PUMA - TP  Radiation', 0, 1463150094),
(88900, 72, 10746, 'summary', '42497 [DEV] TAIGA PUMA - Lot 4/TP  Gestion des périodes de residence AD et OD', '42497 [DEV] TAIGA PUMA - TP  Gestion des périodes de residence AD et OD', 0, 1463150166),
(88902, 72, 10743, 'summary', '42497 [DEV] TAIGA PUMA - Lot 4/- Ecran TP  Assure et Ayant droit', '42497 [DEV] TAIGA PUMA - Ecran TP  Assure et Ayant droit', 0, 1463150232),
(88903, 72, 10598, 'summary', '42497 [DEV] TAIGA PUMA - Lot 2/Bascule Ayant droit en gratuit', '42497 [DEV] TAIGA PUMA - Bascule Ayant droit en gratuit', 0, 1463150255),
(88904, 72, 10598, '', '2075', '', 6, 1463150255),
(88905, 72, 10744, 'summary', '42497 [DEV] TAIGA PUMA - Lot 4  /Batch  Bascule Annuelle des majeurs', '42497 [DEV] TAIGA PUMA -Batch  Bascule Annuelle des majeurs', 0, 1463150296),
(88906, 72, 10623, 'summary', '42497 [DEV] TAIGA PUMA - Lot 2/ traitement de Radiation pour cessation d\'activité 27R', '42497 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 27R', 0, 1463150324),
(88907, 72, 10741, 'summary', '42497 [DEV] TAIGA PUMA - Lot 2/ traitement de Radiation pour cessation d\'activité 02S', '42497 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 02S', 0, 1463150353),
(88908, 72, 10740, 'summary', '42497 [DEV] TAIGA PUMA - Lot 2/ traitement de Radiation pour cessation d\'activité 03S', '42497 [DEV] TAIGA PUMA -traitement de Radiation pour cessation d\'activité 03S', 0, 1463150383),
(88909, 72, 10738, 'summary', '42497 [DEV] TAIGA PUMA - Lot 2/ Rattachement AD à un nouvel OD', '42497 [DEV] TAIGA PUMA -  Rattachement AD à un nouvel OD', 0, 1463150403),
(88910, 72, 10737, 'summary', '42497 [DEVT] TAIGA PUMA - Lot  1/traitement de réduction des maintiens de droits', '42497 [DEVT] TAIGA PUMA - traitement de réduction des maintiens de droits', 0, 1463150430),
(88911, 72, 10743, 'summary', '42497 [DEV] TAIGA PUMA - Ecran TP  Assure et Ayant droit', '42497 [DEV] TAIGA PUMA - TP  Ecrans Assure et Ayant droit', 0, 1463150460),
(88912, 72, 10743, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88913, 72, 10737, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88914, 72, 10738, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88915, 72, 10740, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88916, 72, 10741, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88917, 72, 10744, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88918, 72, 10598, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88920, 72, 10746, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88922, 72, 10745, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88923, 72, 10742, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88924, 72, 10749, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88925, 72, 10770, 'target_version', '', '17.3_PUMA', 0, 1463150509),
(88968, 2, 9471, 'CodevTT_ChargeMgr', '3', '6', 0, 1463475211),
(88969, 2, 9471, 'CodevTT_ChargeInit', '2', '5', 0, 1463475211),
(88970, 2, 9470, 'CodevTT_ChargeMgr', '12', '2.4', 0, 1463475249),
(88971, 2, 9470, 'CodevTT_ChargeInit', '10', '2', 0, 1463475249),
(89056, 2, 10144, 'CodevTT_ChargeMgr', '0', '52', 0, 1463480667),
(89057, 212, 10423, 'CodevTT_RAF', '10', '10', 0, 1463485804),
(89059, 217, 10396, 'CodevTT_RAF', '', '4', 0, 1463488184),
(89060, 217, 10396, 'status', '10', '50', 0, 1463488184),
(89061, 217, 10396, 'handler_id', '205', '217', 0, 1463488184),
(89062, 217, 10396, 'CodevTT_RAF', '4', '6', 0, 1463489181),
(89063, 72, 10785, '', '', '', 1, 1463490825),
(89064, 72, 10785, 'handler_id', '0', '134', 0, 1463490825),
(89065, 72, 10785, 'priority', '30', '50', 0, 1463490874),
(89066, 72, 10785, 'version', '', '15.1.0_Mars', 0, 1463490874),
(89067, 2, 10401, 'CodevTT_ChargeMgr', '20', '16.5', 0, 1463491489),
(89070, 2, 10166, '', '2076', '', 6, 1463491562),
(89074, 205, 9889, 'CodevTT_RAF', '8', '10', 0, 1463492431),
(89075, 205, 10651, 'CodevTT_RAF', '2', '2', 0, 1463492479),
(89076, 2, 8297, 'RSI_Type_Ano', '', 'Production', 0, 1463494304),
(89077, 2, 8153, 'RSI_Type_Ano', '', 'Production', 0, 1463494304),
(89078, 2, 8147, 'RSI_Type_Ano', '', 'Production', 0, 1463494304),
(89079, 2, 8148, 'RSI_Type_Ano', '', 'Production', 0, 1463494304),
(89080, 2, 8150, 'RSI_Type_Ano', '', 'Production', 0, 1463494304),
(89081, 2, 8154, 'RSI_Type_Ano', '', 'Production', 0, 1463494304),
(89082, 2, 8085, 'RSI_Type_Ano', '', 'Production', 0, 1463494304),
(89083, 2, 8149, 'RSI_Type_Ano', '', 'Recette', 0, 1463494396),
(89084, 2, 8060, 'RSI_Type_Ano', '', 'Recette', 0, 1463494396),
(89085, 2, 8299, 'RSI_Type_Ano', '', 'Recette', 0, 1463494396),
(89086, 2, 8298, 'RSI_Type_Ano', '', 'Recette', 0, 1463494396),
(89087, 2, 7985, 'RSI_Type_Ano', '', 'Recette', 0, 1463494396),
(89088, 2, 8179, 'RSI_Type_Ano', '', 'Recette', 0, 1463494396),
(89089, 2, 8178, 'RSI_Type_Ano', '', 'Recette', 0, 1463494396),
(89090, 205, 10786, '', '', '', 1, 1463494940),
(89091, 205, 10786, 'CodevTT_RAF', '', '0', 0, 1463494971),
(89092, 205, 10786, 'CodevTT_RAF', '0', '0', 0, 1463494971),
(89093, 205, 10786, 'status', '10', '80', 0, 1463494971),
(89094, 205, 10786, 'handler_id', '0', '205', 0, 1463494971),
(89095, 205, 9889, 'CodevTT_RAF', '10', '10', 0, 1463495019),
(89096, 212, 10659, 'CodevTT_RAF', '3.9', '3.6', 0, 1463495408),
(89097, 212, 10423, 'CodevTT_RAF', '10', '8.5', 0, 1463495477),
(89098, 116, 10088, 'CodevTT_RAF', '1', '0.1', 0, 1463495520),
(89099, 116, 10426, 'CodevTT_RAF', '1.5', '1', 0, 1463495566),
(89100, 2, 10088, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89101, 2, 10236, 'RSI_Type_Ano', 'Recette', 'Production', 0, 1463496150),
(89102, 2, 10049, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89103, 2, 7391, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89104, 2, 7392, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89105, 2, 8403, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89106, 2, 7395, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89107, 2, 9468, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89108, 2, 4939, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89109, 2, 9675, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89110, 2, 9459, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89111, 2, 10195, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89112, 2, 4152, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89113, 2, 10075, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89114, 2, 4278, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89115, 2, 9563, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89116, 2, 9671, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89117, 2, 9672, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89118, 2, 8798, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89119, 2, 8558, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89120, 2, 8835, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89121, 2, 8951, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89122, 2, 6059, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89123, 2, 9309, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89124, 2, 8711, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89125, 2, 9308, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89126, 2, 7645, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89127, 2, 9451, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89128, 2, 5714, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89129, 2, 8806, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89130, 2, 8927, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89131, 2, 8928, 'RSI_Type_Ano', '', 'Production', 0, 1463496150),
(89132, 2, 8794, 'RSI_Type_Ano', '', 'Production', 0, 1463496168),
(89133, 2, 9303, 'RSI_Type_Ano', '', 'Production', 0, 1463496169),
(89134, 2, 8836, 'RSI_Type_Ano', '', 'Production', 0, 1463496169),
(89135, 2, 8929, 'RSI_Type_Ano', '', 'Production', 0, 1463496169),
(89136, 2, 8560, 'RSI_Type_Ano', '', 'Production', 0, 1463496169),
(89137, 2, 8558, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1463496260),
(89138, 2, 3732, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89139, 2, 4334, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1463496260),
(89140, 2, 8857, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1463496260),
(89141, 2, 10147, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89142, 2, 10137, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89143, 2, 6636, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89144, 2, 10136, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89145, 2, 10139, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89146, 2, 4335, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89147, 2, 6723, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89148, 2, 6137, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89149, 2, 10146, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89150, 2, 10153, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1463496260),
(89151, 2, 10138, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89152, 2, 10093, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89153, 2, 9306, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89154, 2, 9516, 'RSI_Type_Ano', '', 'Recette', 0, 1463496260),
(89155, 2, 9601, 'RSI_Type_Ano', '', 'Recette', 0, 1463496261),
(89156, 2, 9496, 'RSI_Type_Ano', '', 'Recette', 0, 1463496261),
(89157, 2, 9512, 'RSI_Type_Ano', '', 'Recette', 0, 1463496261),
(89158, 2, 9513, 'RSI_Type_Ano', '', 'Recette', 0, 1463496261),
(89159, 2, 9511, 'RSI_Type_Ano', '', 'Recette', 0, 1463496261),
(89160, 2, 9514, 'RSI_Type_Ano', '', 'Recette', 0, 1463496261),
(89161, 2, 9510, 'RSI_Type_Ano', '', 'Recette', 0, 1463496261),
(89162, 2, 9495, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89163, 2, 9494, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89164, 2, 9071, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89165, 2, 9311, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89166, 2, 9310, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89167, 2, 8627, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89168, 2, 5713, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89169, 2, 8450, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89170, 2, 9236, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89171, 2, 9241, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89172, 2, 8950, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89173, 2, 9072, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89174, 2, 9201, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89175, 2, 9279, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89176, 2, 9202, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89177, 2, 8904, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89178, 2, 9070, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89179, 2, 8643, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89180, 2, 8940, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89181, 2, 8930, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89182, 2, 8925, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89183, 2, 8837, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89184, 2, 8642, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89185, 2, 8859, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89186, 2, 8858, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89187, 2, 8834, 'RSI_Type_Ano', '', 'Recette', 0, 1463496278),
(89188, 2, 8844, 'RSI_Type_Ano', '', 'Recette', 0, 1463496279),
(89189, 2, 7796, 'RSI_Type_Ano', '', 'Recette', 0, 1463496279),
(89257, 2, 10414, '', '1899', '', 2, 1463560322),
(89264, 2, 10414, '', '1899', '2079', 3, 1463562766),
(89284, 72, 10789, 'Ref. Externe', '', '42641', 0, 1463574261),
(89285, 72, 10789, 'CodevTT_ChargeInit', '', '2', 0, 1463574261),
(89286, 72, 10789, 'handler_id', '0', '147', 0, 1463574261),
(89287, 72, 10789, 'codevtt_type', '', 'Bug', 0, 1463574261),
(89288, 72, 10790, 'Ref. Externe', '', '42730', 0, 1463574261),
(89289, 72, 10790, 'CodevTT_ChargeInit', '', '2', 0, 1463574261),
(89290, 72, 10790, 'handler_id', '0', '147', 0, 1463574261),
(89291, 72, 10790, 'codevtt_type', '', 'Bug', 0, 1463574261),
(89292, 72, 10791, 'Ref. Externe', '', '42734', 0, 1463574261),
(89293, 72, 10791, 'CodevTT_ChargeInit', '', '2', 0, 1463574261),
(89294, 72, 10791, 'handler_id', '0', '169', 0, 1463574261),
(89295, 72, 10791, 'codevtt_type', '', 'Bug', 0, 1463574261),
(89296, 72, 10789, 'RSI_Type_Ano', '', 'Recette', 0, 1463574407),
(89297, 72, 10789, 'CodevTT_ChargeInit', '2', '0.5', 0, 1463574407),
(89298, 72, 10790, 'RSI_Type_Ano', '', 'Recette', 0, 1463574494),
(89299, 72, 10790, 'CodevTT_ChargeInit', '2', '0.5', 0, 1463574494),
(89300, 217, 10396, 'CodevTT_RAF', '6', '5', 0, 1463574852),
(89303, 72, 4299, 'handler_id', '0', '200', 0, 1463575557),
(97272, 72, 8344, '', '2248', '', 7, 1464956440),
(89374, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1463579602),
(89401, 72, 8838, 'CodevTT_ChargeMgr', '5', '3', 0, 1463580604),
(89403, 72, 8839, 'CodevTT_ChargeMgr', '7', '4.7', 0, 1463580665),
(89497, 116, 4278, 'CodevTT_RAF', '3', '3', 0, 1463583441),
(89581, 93, 10192, 'CodevTT_RAF', '1', '2', 0, 1463646646),
(89582, 93, 10192, 'CodevTT_RAF', '2', '1.25', 0, 1463646668),
(89583, 93, 10192, 'CodevTT_RAF', '1.25', '0.25', 0, 1463646698),
(89721, 147, 10617, 'CodevTT_RAF', '2', '2', 0, 1463669552),
(89722, 147, 10617, 'CodevTT_RAF', '2', '1', 0, 1463669571),
(89723, 147, 10617, 'CodevTT_RAF', '1', '1', 0, 1463669587),
(89724, 147, 10617, 'CodevTT_RAF', '1', '0', 0, 1463669619),
(89725, 147, 10617, 'CodevTT_RAF', '0', '0', 0, 1463669619),
(89726, 147, 10617, 'status', '50', '80', 0, 1463669619),
(89727, 212, 10423, 'CodevTT_RAF', '8.5', '8.5', 0, 1463670588),
(89728, 212, 10423, 'CodevTT_RAF', '8.5', '8', 0, 1463670627),
(89729, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1463670672),
(89730, 212, 10423, 'CodevTT_RAF', '8', '7.6', 0, 1463670677),
(89731, 212, 10659, 'CodevTT_RAF', '3.6', '3', 0, 1463670714),
(89736, 157, 10401, 'CodevTT_RAF', '16.75', '15.75', 0, 1463722974),
(89737, 157, 10401, 'CodevTT_RAF', '15.75', '14.75', 0, 1463722995),
(89738, 157, 9459, 'CodevTT_RAF', '1', '1', 0, 1463723023),
(89741, 157, 9493, 'CodevTT_RAF', '0', '0.5', 0, 1463723049),
(89742, 157, 9493, 'status', '80', '50', 0, 1463723049),
(89743, 157, 9493, 'CodevTT_RAF', '0.5', '0', 0, 1463723070),
(89744, 157, 9493, 'CodevTT_RAF', '0', '0', 0, 1463723070),
(89745, 157, 9493, 'status', '50', '80', 0, 1463723070),
(89746, 199, 8840, 'CodevTT_RAF', '5', '3', 0, 1463723077),
(89747, 199, 8840, 'status', '30', '50', 0, 1463723077),
(89748, 199, 8840, 'CodevTT_RAF', '3', '3', 0, 1463723092),
(89749, 157, 10401, 'CodevTT_RAF', '14.75', '13', 0, 1463723104),
(89750, 199, 10330, 'CodevTT_RAF', '9.25', '5', 0, 1463723143),
(89751, 199, 10611, 'CodevTT_RAF', '1', '4', 0, 1463723270),
(89752, 199, 8840, 'CodevTT_RAF', '3', '5', 0, 1463723291),
(89879, 217, 10396, 'CodevTT_RAF', '5', '4', 0, 1463731153),
(89883, 217, 10398, 'CodevTT_RAF', '', '5', 0, 1463731248),
(89884, 217, 10398, 'status', '10', '50', 0, 1463731248),
(89885, 217, 10396, 'CodevTT_RAF', '4', '4', 0, 1463731274),
(89889, 93, 10192, 'CodevTT_RAF', '0.25', '0', 0, 1463732669),
(89890, 93, 10192, 'CodevTT_RAF', '0', '0', 0, 1463732669),
(89891, 93, 10192, 'status', '50', '80', 0, 1463732669),
(89929, 158, 10738, 'CodevTT_RAF', '', '1.5', 0, 1463735365),
(89930, 158, 10738, 'status', '10', '50', 0, 1463735365),
(89931, 158, 10415, 'CodevTT_RAF', '2.75', '2.25', 0, 1463735415),
(89939, 2, 10858, '', '', '', 1, 1463736081),
(89940, 2, 10858, 'handler_id', '0', '2', 0, 1463736081),
(89944, 2, 10858, 'summary', '(generique) Pilotage Direction de projet', 'Pilotage Direction de projet', 0, 1463736106),
(89959, 2, 10858, 'summary', 'Pilotage Direction de projet', 'Pilotage -- Direction de projet', 0, 1463736823),
(89960, 2, 10858, '', '2081', '', 6, 1463736823),
(89976, 158, 10415, 'CodevTT_RAF', '2.25', '2', 0, 1463738072),
(89977, 158, 10415, 'CodevTT_RAF', '2', '1.9', 0, 1463738094),
(89978, 158, 10415, 'CodevTT_RAF', '1.9', '1.9', 0, 1463738122),
(89983, 212, 10423, 'CodevTT_RAF', '7.6', '7.45', 0, 1463738208),
(89984, 212, 10423, 'CodevTT_RAF', '7.45', '7.3', 0, 1463738298),
(89992, 212, 10659, 'CodevTT_RAF', '3', '2.8', 0, 1463738424),
(89996, 212, 10659, 'CodevTT_RAF', '2.8', '2.8', 0, 1463738457),
(90025, 199, 10413, 'CodevTT_RAF', '1', '0', 0, 1463754635),
(90026, 199, 10413, 'CodevTT_RAF', '0', '0', 0, 1463754635),
(90027, 199, 10413, 'status', '50', '80', 0, 1463754635),
(90030, 205, 10869, '', '', '', 1, 1463756531),
(90032, 205, 10869, 'CodevTT_RAF', '', '2', 0, 1463756581),
(90033, 205, 10869, 'status', '10', '50', 0, 1463756581),
(90034, 205, 10869, 'handler_id', '0', '205', 0, 1463756581),
(90040, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1463756792),
(90042, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1463756804),
(90053, 72, 10870, 'Ref. Externe', '', '42750', 0, 1463758402),
(90054, 72, 10870, 'CodevTT_ChargeInit', '', '2', 0, 1463758402),
(90055, 72, 10870, 'handler_id', '0', '134', 0, 1463758402),
(90056, 72, 10870, 'codevtt_type', '', 'Bug', 0, 1463758402),
(90057, 72, 10871, 'Ref. Externe', '', '42755', 0, 1463758402),
(90058, 72, 10871, 'CodevTT_ChargeInit', '', '2', 0, 1463758402),
(90059, 72, 10871, 'handler_id', '0', '157', 0, 1463758402),
(90060, 72, 10871, 'codevtt_type', '', 'Bug', 0, 1463758402),
(90061, 72, 10872, 'Ref. Externe', '', '42756', 0, 1463758402),
(90062, 72, 10872, 'CodevTT_ChargeInit', '', '2', 0, 1463758402),
(90063, 72, 10872, 'handler_id', '0', '169', 0, 1463758402),
(90064, 72, 10872, 'codevtt_type', '', 'Bug', 0, 1463758402),
(90065, 72, 10871, 'RSI_Type_Ano', '', 'Production', 0, 1463758457),
(90066, 72, 10872, 'RSI_Type_Ano', '', 'Recette', 0, 1463758483),
(90067, 72, 10870, 'RSI_Type_Ano', '', 'Production', 0, 1463758532),
(90068, 134, 10785, 'CodevTT_RAF', '', '1', 0, 1463758847),
(90069, 134, 10785, 'status', '10', '30', 0, 1463758847),
(90070, 134, 9683, 'CodevTT_RAF', '2', '5', 0, 1463758908),
(90071, 134, 9683, 'CodevTT_RAF', '5', '5', 0, 1463758941),
(90072, 134, 10785, 'CodevTT_RAF', '1', '1', 0, 1463758981),
(90073, 134, 10785, 'CodevTT_RAF', '1', '1', 0, 1463758997),
(90074, 134, 10785, 'CodevTT_RAF', '1', '1', 0, 1463759032),
(90075, 134, 10785, 'status', '30', '40', 0, 1463759032),
(90076, 134, 10870, 'CodevTT_RAF', '', '2', 0, 1463759066),
(90077, 134, 10870, 'status', '10', '30', 0, 1463759066),
(90078, 72, 10873, '', '', '', 1, 1463759634),
(90079, 72, 10873, 'handler_id', '0', '169', 0, 1463759634),
(90080, 72, 10873, '', '', '10872', 21, 1463759634),
(90081, 72, 10872, '', '', '10873', 20, 1463759634),
(90082, 72, 10770, 'status', '10', '20', 0, 1463759728),
(90083, 72, 10749, 'status', '10', '20', 0, 1463759728),
(226371, 72, 10398, 'CodevTT_RAF', '0', '0', 0, 1495019199),
(90086, 72, 10746, 'status', '10', '20', 0, 1463759728),
(90087, 72, 10745, 'status', '10', '20', 0, 1463759728),
(90088, 72, 10744, 'status', '10', '20', 0, 1463759728),
(90089, 72, 10743, 'status', '10', '20', 0, 1463759728),
(90090, 72, 10742, 'status', '10', '20', 0, 1463759728),
(90091, 72, 10741, 'status', '10', '20', 0, 1463759728),
(90092, 72, 10740, 'status', '10', '20', 0, 1463759728),
(90093, 72, 10737, 'status', '10', '20', 0, 1463759728),
(90094, 72, 10598, 'status', '10', '20', 0, 1463759728),
(90095, 72, 10623, 'status', '10', '20', 0, 1463759728),
(90096, 72, 10791, 'status', '10', '20', 0, 1463759801),
(90103, 169, 10791, 'CodevTT_RAF', '', '3', 0, 1463762083),
(90104, 169, 10390, 'CodevTT_RAF', '2.5', '2', 0, 1463762162),
(90106, 169, 10390, 'CodevTT_RAF', '2', '1', 0, 1463762174),
(90108, 169, 10390, 'CodevTT_RAF', '1', '0', 0, 1463762191),
(90109, 169, 10390, 'CodevTT_RAF', '0', '0', 0, 1463762191),
(90110, 169, 10390, 'status', '50', '80', 0, 1463762191),
(90113, 72, 9344, 'CodevTT_Type', 'Bug', 'Task', 0, 1463988440),
(90194, 146, 10625, 'CodevTT_RAF', '0.5', '0', 0, 1463996411),
(90195, 146, 10625, 'CodevTT_RAF', '0', '0', 0, 1463996411),
(90196, 146, 10625, 'status', '50', '80', 0, 1463996411),
(90197, 146, 10625, 'handler_id', '205', '146', 0, 1463996411),
(90198, 146, 10625, 'CodevTT_RAF', '0', '0', 0, 1463996439),
(90199, 146, 10625, 'CodevTT_RAF', '0', '0', 0, 1463996466),
(90200, 146, 10625, 'CodevTT_RAF', '0', '0.5', 0, 1463996496),
(90201, 146, 10651, 'CodevTT_RAF', '2', '1', 0, 1463996523),
(90202, 146, 10651, 'CodevTT_RAF', '1', '1', 0, 1463996539),
(90203, 146, 10651, 'CodevTT_RAF', '1', '1', 0, 1463996556),
(90204, 134, 10785, 'CodevTT_RAF', '1', '0', 0, 1463996786),
(90205, 134, 10785, 'CodevTT_RAF', '0', '0', 0, 1463996786),
(90206, 134, 10785, 'status', '40', '80', 0, 1463996786),
(90374, 116, 10088, 'CodevTT_RAF', '0.1', '1', 0, 1464013242),
(90377, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1464014688),
(90378, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1464014764),
(90442, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1464017849),
(90547, 72, 10895, 'Ref. Externe', '', '42759', 0, 1464082024),
(90548, 72, 10895, 'CodevTT_ChargeInit', '', '2', 0, 1464082024),
(90549, 72, 10895, 'handler_id', '0', '169', 0, 1464082024),
(90550, 72, 10895, 'codevtt_type', '', 'Bug', 0, 1464082024),
(90551, 72, 10896, 'Ref. Externe', '', '42760', 0, 1464082024),
(90552, 72, 10896, 'CodevTT_ChargeInit', '', '2', 0, 1464082024),
(90553, 72, 10896, 'handler_id', '0', '169', 0, 1464082024),
(90554, 72, 10896, 'codevtt_type', '', 'Bug', 0, 1464082024),
(90555, 72, 10897, 'Ref. Externe', '', '42763', 0, 1464082024),
(90556, 72, 10897, 'CodevTT_ChargeInit', '', '2', 0, 1464082024),
(90557, 72, 10897, 'handler_id', '0', '169', 0, 1464082024),
(90558, 72, 10897, 'codevtt_type', '', 'Bug', 0, 1464082024),
(90559, 72, 10895, 'RSI_Type_Ano', '', 'Recette', 0, 1464082128),
(90560, 72, 10896, 'RSI_Type_Ano', '', 'Recette', 0, 1464082129),
(90561, 72, 10897, 'RSI_Type_Ano', '', 'Recette', 0, 1464082129),
(90562, 217, 10398, 'CodevTT_RAF', '5', '4', 0, 1464082255),
(90563, 217, 10398, 'CodevTT_RAF', '4', '4', 0, 1464082256),
(90564, 217, 10396, 'CodevTT_RAF', '4', '2', 0, 1464082279),
(90565, 217, 10398, 'CodevTT_RAF', '4', '3', 0, 1464082362),
(90566, 217, 10398, 'CodevTT_RAF', '3', '4', 0, 1464082387),
(90567, 217, 10396, 'CodevTT_RAF', '2', '2', 0, 1464082408),
(90580, 134, 10870, 'CodevTT_RAF', '2', '1', 0, 1464090053),
(90584, 217, 10394, 'CodevTT_RAF', '1', '1', 0, 1464093760),
(90588, 74, 8857, 'CodevTT_RAF', '2', '0.5', 0, 1464096395),
(90589, 74, 8857, 'CodevTT_RAF', '0.5', '0', 0, 1464096413),
(90590, 74, 8857, 'CodevTT_RAF', '0', '0', 0, 1464096413),
(90591, 74, 8857, 'status', '50', '80', 0, 1464096413),
(90618, 157, 9466, 'CodevTT_RAF', '', '1', 0, 1464101549),
(90617, 157, 9459, 'CodevTT_RAF', '1', '0.5', 0, 1464101511),
(90598, 72, 10896, '', '', '10899', 20, 1464098694),
(90607, 72, 10790, 'handler_id', '147', '169', 0, 1464099484),
(90608, 72, 10790, 'status', '10', '50', 0, 1464099484),
(90609, 72, 10790, 'CodevTT_ChargeInit', '0.5', '0.25', 0, 1464099484),
(90610, 116, 10088, 'CodevTT_RAF', '1', '1', 0, 1464099519),
(90616, 157, 10401, 'CodevTT_RAF', '13', '11', 0, 1464101452),
(90619, 157, 9466, 'status', '10', '50', 0, 1464101549),
(90620, 157, 9466, 'handler_id', '0', '157', 0, 1464101549),
(90621, 72, 10790, 'CodevTT_ChargeInit', '0.25', '0.1', 0, 1464101586),
(90622, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1464103549),
(90623, 2, 10046, 'summary', 'D42514-Transfert CNAVPL et CNBF-correction SIREN adresse pro et identifiant pro', '42514-Transfert CNAVPL et CNBF-correction SIREN adresse pro et identifiant pro', 0, 1464162629),
(90786, 72, 10427, 'target_version', '', '16.0_TO', 0, 1464163557),
(90797, 72, 10932, '', '', '', 1, 1464168312),
(90798, 72, 10932, 'handler_id', '0', '169', 0, 1464168312),
(90799, 72, 10932, '', '', '10897', 21, 1464168312),
(90800, 72, 10897, '', '', '10932', 20, 1464168312),
(90894, 147, 10617, 'CodevTT_RAF', '0', '0', 0, 1464179288),
(90895, 147, 10617, 'CodevTT_RAF', '0', '0', 0, 1464179314),
(90896, 147, 10789, 'CodevTT_RAF', '', '0', 0, 1464179437),
(90897, 147, 10789, 'CodevTT_RAF', '0', '0', 0, 1464179438),
(90898, 147, 10789, 'status', '10', '80', 0, 1464179438),
(90911, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1464181829),
(90912, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1464181847),
(90913, 164, 3562, 'CodevTT_RAF', '0', '0', 0, 1464181868),
(90914, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1464181886),
(91009, 212, 10423, 'CodevTT_RAF', '7.3', '7', 0, 1464185095),
(91018, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1464185304),
(91019, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1464185345),
(91020, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1464185361),
(91025, 212, 10952, '', '', '', 1, 1464185510),
(91026, 212, 10952, 'handler_id', '0', '212', 0, 1464185510),
(91027, 212, 10952, '', '', '10018', 21, 1464185510),
(91028, 212, 10018, '', '', '10952', 20, 1464185510),
(91029, 212, 8802, 'CodevTT_RAF', '0', '0', 0, 1464185601),
(91030, 212, 10952, 'CodevTT_RAF', '', '1.5', 0, 1464185651),
(91031, 212, 10952, 'status', '10', '50', 0, 1464185651),
(91032, 212, 10952, 'CodevTT_RAF', '1.5', '1', 0, 1464185678),
(91033, 212, 10952, 'CodevTT_RAF', '1', '0', 0, 1464185723),
(91034, 212, 10952, 'CodevTT_RAF', '0', '0', 0, 1464185723),
(91035, 212, 10952, 'status', '50', '80', 0, 1464185723),
(91036, 212, 10952, 'CodevTT_RAF', '0', '0', 0, 1464185770),
(91038, 212, 10952, 'CodevTT_RAF', '0', '0', 0, 1464185797),
(91041, 212, 10952, 'CodevTT_RAF', '0', '0', 0, 1464185841),
(91043, 212, 10423, 'CodevTT_RAF', '7', '7', 0, 1464185871),
(91289, 169, 10872, 'CodevTT_RAF', '', '1', 0, 1464191461),
(91290, 169, 10872, 'status', '10', '50', 0, 1464191461),
(91291, 169, 10895, 'CodevTT_RAF', '', '1', 0, 1464191917),
(91292, 169, 10895, 'status', '10', '50', 0, 1464191917),
(91293, 169, 10896, 'CodevTT_RAF', '', '1', 0, 1464191952),
(91294, 169, 10896, 'status', '10', '50', 0, 1464191952),
(91295, 169, 10897, 'CodevTT_RAF', '', '1', 0, 1464191991),
(91296, 169, 10897, 'status', '10', '50', 0, 1464191991),
(91297, 169, 10932, 'CodevTT_RAF', '', '1', 0, 1464192044),
(91298, 169, 10932, 'status', '10', '50', 0, 1464192044),
(91299, 169, 10873, 'CodevTT_RAF', '', '0.5', 0, 1464192188),
(91321, 157, 10401, 'CodevTT_RAF', '11', '10', 0, 1464240981),
(91322, 157, 10401, 'CodevTT_RAF', '10', '9', 0, 1464240996),
(91323, 157, 10401, 'CodevTT_RAF', '9', '8', 0, 1464241009),
(91364, 134, 10870, 'CodevTT_RAF', '1', '1', 0, 1464248698),
(91365, 134, 9683, 'CodevTT_RAF', '5', '4', 0, 1464248757),
(91496, 72, 10995, '', '', '', 1, 1464278430),
(91497, 72, 10995, 'handler_id', '0', '169', 0, 1464278430),
(91498, 72, 10995, '', '', '10932', 21, 1464278430),
(91499, 72, 10932, '', '', '10995', 20, 1464278430),
(91528, 212, 10659, 'CodevTT_RAF', '2.8', '2', 0, 1464328542),
(91529, 212, 10087, 'CodevTT_RAF', '0', '1', 0, 1464328586),
(91530, 212, 10087, 'CodevTT_RAF', '1', '1', 0, 1464328619),
(91531, 212, 10087, 'CodevTT_RAF', '1', '0.5', 0, 1464328649),
(91532, 199, 8840, 'CodevTT_RAF', '5', '5', 0, 1464330450),
(91533, 199, 8840, 'CodevTT_RAF', '5', '5', 0, 1464330466),
(91534, 199, 10611, 'CodevTT_RAF', '4', '1', 0, 1464330517),
(91535, 199, 10611, 'CodevTT_RAF', '1', '1', 0, 1464330530),
(91536, 199, 10611, 'CodevTT_RAF', '1', '1', 0, 1464330539),
(91537, 199, 10611, 'CodevTT_RAF', '1', '0', 0, 1464330562),
(91538, 199, 10611, 'CodevTT_RAF', '0', '0', 0, 1464330562),
(91539, 199, 10611, 'status', '50', '80', 0, 1464330562),
(91540, 199, 10611, 'CodevTT_RAF', '0', '0', 0, 1464332213),
(91541, 217, 10398, 'CodevTT_RAF', '4', '2', 0, 1464332332),
(91545, 199, 10611, '', '', '10999', 20, 1464332343),
(91546, 199, 10611, 'CodevTT_RAF', '0', '0', 0, 1464332395),
(91547, 217, 10398, 'CodevTT_RAF', '2', '1', 0, 1464332420),
(91551, 217, 10398, 'CodevTT_RAF', '1', '1.9', 0, 1464332447),
(91552, 199, 8840, 'CodevTT_RAF', '5', '4', 0, 1464332453),
(91553, 217, 10399, 'CodevTT_RAF', '6', '4.5', 0, 1464332511),
(91554, 72, 9632, 'CodevTT_ChargeMgr', '14', '12.06', 0, 1464332808),
(91555, 72, 9632, 'CodevTT_ChargeMgr', '12.06', '14', 0, 1464332844),
(91556, 74, 10659, 'CodevTT_RAF', '2', '0.5', 0, 1464332873),
(91557, 72, 9633, 'CodevTT_ChargeMgr', '13.4', '12.06', 0, 1464332912),
(91558, 72, 10087, 'CodevTT_ChargeMgr', '8.2', '7.29', 0, 1464332953),
(91559, 72, 10087, 'CodevTT_RAF', '0.5', '0', 0, 1464332953),
(91560, 74, 8839, 'CodevTT_RAF', '0.5', '1', 0, 1464333124),
(91561, 74, 8839, 'CodevTT_RAF', '1', '1', 0, 1464333170),
(91562, 72, 10193, 'summary', '42564 [Etude Sysdate SQL] 3 en 1:  calcul des cotisations PL à compter de 2016 : proposition TMA', '42783TAIGA-Etude et réalisation d\'une solution permettant de modifier/simuler les dates systèmes sur TAIGA', 0, 1464333757),
(91563, 72, 10193, 'Ref. Externe', '42564', '42783', 0, 1464333757),
(91564, 72, 10193, 'summary', '42783TAIGA-Etude et réalisation d\'une solution permettant de modifier/simuler les dates systèmes sur TAIGA', '42783-Etude et réalisation d\'une solution permettant de modifier/simuler les dates systèmes sur TAIGA', 0, 1464333792),
(91617, 199, 10611, 'CodevTT_RAF', '0', '0', 0, 1464336451),
(91723, 205, 11007, '', '', '', 1, 1464343142),
(91724, 205, 11007, 'CodevTT_RAF', '', '9', 0, 1464343198),
(91725, 205, 11007, 'status', '10', '50', 0, 1464343198),
(91726, 205, 11007, 'handler_id', '0', '205', 0, 1464343198),
(91771, 72, 10414, 'category', 'General', '3en1', 0, 1464345927),
(91772, 72, 11019, '', '', '', 1, 1464347846),
(91773, 72, 11019, 'handler_id', '0', '147', 0, 1464347846),
(91774, 72, 11020, '', '', '', 1, 1464348179),
(91775, 72, 11020, 'handler_id', '0', '147', 0, 1464348179),
(91776, 72, 11020, '', '', '11019', 21, 1464348179),
(91777, 72, 11019, '', '', '11020', 20, 1464348179),
(91838, 2, 3562, 'summary', '[INTEG] Livraison des Assistances, Nomenclatures & Report de Fusion', '[INTEG] Forfait Assistances 2015', 0, 1464350137),
(91887, 2, 11032, '', '1', '3562', 18, 1464350290),
(91888, 164, 11032, 'CodevTT_RAF', '', '0', 0, 1464350515),
(91889, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1464350515),
(91890, 164, 11032, 'status', '10', '80', 0, 1464350515),
(91891, 164, 11032, 'handler_id', '0', '164', 0, 1464350515),
(91892, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1464350542),
(91893, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1464350579),
(91894, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1464350607),
(113067, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1469708701),
(92136, 147, 11020, 'CodevTT_RAF', '', '4', 0, 1464361591),
(92137, 147, 11020, 'status', '10', '50', 0, 1464361591),
(92141, 169, 10873, 'CodevTT_RAF', '0.5', '0', 0, 1464363075),
(92142, 169, 10873, 'CodevTT_RAF', '0', '0', 0, 1464363075),
(92143, 169, 10873, 'status', '10', '80', 0, 1464363075),
(92144, 146, 10651, 'CodevTT_RAF', '1', '0', 0, 1464363132),
(92145, 146, 10651, 'CodevTT_RAF', '0', '0', 0, 1464363132),
(92146, 146, 10651, 'status', '50', '80', 0, 1464363132),
(92152, 169, 10897, 'CodevTT_RAF', '1', '0', 0, 1464363242),
(92153, 169, 10897, 'CodevTT_RAF', '0', '0', 0, 1464363242),
(92154, 169, 10897, 'status', '50', '80', 0, 1464363242),
(92155, 169, 10896, 'CodevTT_RAF', '1', '0.5', 0, 1464363258),
(92156, 146, 10651, 'CodevTT_RAF', '0', '0', 0, 1464363265),
(92157, 146, 10651, 'handler_id', '205', '146', 0, 1464363265),
(92160, 169, 10932, 'CodevTT_RAF', '1', '0', 0, 1464363294),
(92161, 169, 10932, 'CodevTT_RAF', '0', '0', 0, 1464363294),
(92162, 169, 10932, 'status', '50', '80', 0, 1464363294),
(92163, 169, 10895, 'CodevTT_RAF', '1', '0', 0, 1464363312),
(92164, 169, 10895, 'CodevTT_RAF', '0', '0', 0, 1464363312),
(92165, 169, 10895, 'status', '50', '80', 0, 1464363312),
(92166, 169, 10872, 'CodevTT_RAF', '1', '0', 0, 1464363320),
(92167, 169, 10872, 'CodevTT_RAF', '0', '0', 0, 1464363320),
(92168, 169, 10872, 'status', '50', '80', 0, 1464363320),
(92172, 146, 10869, 'CodevTT_RAF', '2', '2', 0, 1464363420),
(92173, 146, 10869, 'CodevTT_RAF', '2', '2', 0, 1464363435),
(92174, 146, 10869, 'CodevTT_RAF', '2', '2', 0, 1464363451),
(118640, 200, 8454, 'CodevTT_RAF', '7', '7', 0, 1470406707),
(118639, 200, 8454, 'CodevTT_RAF', '7', '7', 0, 1470406693),
(118638, 200, 8454, 'CodevTT_RAF', '7', '7', 0, 1470406677),
(92393, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1464367247),
(92411, 74, 8839, 'CodevTT_RAF', '1', '0.5', 0, 1464591199),
(92412, 157, 10401, 'CodevTT_RAF', '8', '8', 0, 1464591516),
(92471, 212, 10087, 'CodevTT_RAF', '0', '0', 0, 1464595702),
(92543, 72, 8840, 'CodevTT_ChargeMgr', '0', '61.5', 0, 1464600632),
(92544, 72, 9472, 'CodevTT_ChargeMgr', '31', '45.72', 0, 1464600816),
(92545, 72, 10166, 'CodevTT_ChargeMgr', '10', '0', 0, 1464601113),
(92546, 72, 10166, 'CodevTT_ChargeInit', '10', '0', 0, 1464601113),
(92547, 72, 8839, 'CodevTT_ChargeMgr', '4.7', '4.23', 0, 1464601352),
(92856, 74, 8839, 'CodevTT_RAF', '0.5', '0', 0, 1464616373),
(92857, 74, 8839, 'CodevTT_RAF', '0', '0', 0, 1464616373),
(92858, 74, 8839, 'status', '50', '80', 0, 1464616373),
(92982, 72, 11111, '', '', '', 1, 1464623428),
(92983, 72, 11111, 'handler_id', '0', '147', 0, 1464623428),
(92984, 72, 11111, '', '', '11019', 21, 1464623428),
(92985, 72, 11019, '', '', '11111', 20, 1464623428),
(92986, 72, 11112, '', '', '', 1, 1464677569),
(92987, 72, 11112, 'handler_id', '0', '205', 0, 1464677569),
(92988, 72, 11112, '', '', '10399', 21, 1464677570),
(92989, 72, 10399, '', '', '11112', 20, 1464677570),
(92990, 134, 9683, '', '1954', '', 2, 1464678594),
(92991, 134, 9683, 'CodevTT_RAF', '4', '3', 0, 1464678594),
(92992, 134, 9683, '', '1955', '', 2, 1464678616),
(92993, 134, 9683, 'CodevTT_RAF', '3', '3', 0, 1464678616),
(93004, 93, 7395, '', '1957', '', 2, 1464682447),
(93005, 93, 7395, 'CodevTT_RAF', '2', '3', 0, 1464682447),
(93008, 93, 7395, '', '1959', '', 2, 1464682475),
(93009, 93, 7395, 'CodevTT_RAF', '3', '1', 0, 1464682475),
(93010, 217, 11112, '', '1960', '', 2, 1464683358),
(93011, 217, 11112, 'CodevTT_RAF', '', '6.6', 0, 1464683358),
(93012, 217, 11112, 'status', '10', '50', 0, 1464683359),
(93013, 217, 11112, '', '1960', '', 4, 1464683377),
(93014, 217, 11112, '', '1961', '', 2, 1464683414),
(93015, 217, 11112, 'CodevTT_RAF', '6.6', '6.6', 0, 1464683414),
(93016, 217, 10399, '', '1962', '', 2, 1464683454),
(93017, 217, 10399, 'CodevTT_RAF', '4.5', '3', 0, 1464683454),
(93018, 217, 10280, '', '1963', '', 2, 1464683514),
(93019, 217, 10280, 'CodevTT_RAF', '2', '3', 0, 1464683514),
(93021, 147, 11019, '', '1964', '', 2, 1464685522),
(93022, 147, 11019, 'CodevTT_RAF', '', '1.5', 0, 1464685522),
(93023, 147, 11019, '', '1965', '', 2, 1464685548),
(93024, 147, 11019, 'CodevTT_RAF', '1.5', '1', 0, 1464685548),
(93025, 147, 11019, 'status', '10', '50', 0, 1464685548),
(93026, 72, 11114, '', '', '', 1, 1464687393),
(93027, 72, 11114, 'handler_id', '0', '74', 0, 1464687393),
(93028, 72, 11114, '', '', '10415', 21, 1464687394),
(93029, 72, 10415, '', '', '11114', 20, 1464687394),
(93030, 2, 9951, '', '1966', '', 2, 1464688440),
(93031, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1464688441),
(93040, 72, 11114, 'CodevTT_Dead Line', '', '1465509600', 0, 1464691501),
(93043, 2, 4284, 'summary', '39511[DEV]CAppel prov : Calcul de la DLP pour un assuré créateur 1ère année suite à un appel provisionnel', '39511 - CAppel prov : Calcul de la DLP pour un assuré créateur 1ère année suite à un appel provisionnel', 0, 1464693434),
(93044, 2, 4284, 'CodevTT_Dead Line', '1428962400', '', 0, 1464693450),
(93045, 2, 9479, 'CodevTT_ChargeMgr', '5', '20', 0, 1464693615),
(93046, 2, 9479, 'CodevTT_ChargeInit', '4', '20', 0, 1464693615),
(93066, 2, 9477, 'handler_id', '0', '2', 0, 1464700846),
(93067, 2, 9477, 'status', '10', '80', 0, 1464700846),
(93068, 2, 9477, 'resolution', '10', '70', 0, 1464700846),
(93069, 2, 9477, '', '0001967', '', 2, 1464700846),
(93070, 2, 9477, 'handler_id', '2', '0', 0, 1464700851),
(93071, 2, 9477, 'CodevTT_RAF', '', '0', 0, 1464700851),
(93072, 2, 9477, 'status', '80', '90', 0, 1464700865),
(93073, 2, 9477, 'resolution', '70', '20', 0, 1464700865),
(93081, 116, 10426, '', '1968', '', 2, 1464704063),
(93082, 116, 10426, 'CodevTT_RAF', '1', '1', 0, 1464704063),
(93083, 116, 4278, '', '1969', '', 2, 1464704094),
(93084, 116, 4278, 'CodevTT_RAF', '3', '3', 0, 1464704094),
(93087, 116, 4278, '', '1970', '', 2, 1464704109),
(93088, 116, 4278, 'CodevTT_RAF', '3', '3', 0, 1464704109),
(93090, 116, 4278, '', '1970', '', 4, 1464704128),
(93091, 116, 10426, '', '1971', '', 2, 1464704139),
(93092, 116, 10426, 'CodevTT_RAF', '1', '1', 0, 1464704139),
(93093, 116, 4278, '', '1969', '', 4, 1464704163),
(93094, 116, 10426, '', '1972', '', 2, 1464704178),
(93095, 116, 10426, 'CodevTT_RAF', '1', '1', 0, 1464704178),
(93097, 205, 10395, '', '1973', '', 2, 1464705132),
(93098, 205, 10395, 'CodevTT_RAF', '0.5', '0.5', 0, 1464705132),
(93099, 205, 11115, '', '', '', 1, 1464705293),
(93100, 205, 11115, '', '1974', '', 2, 1464705337),
(93101, 205, 11115, 'CodevTT_RAF', '', '0.5', 0, 1464705337),
(93102, 205, 11115, 'status', '10', '50', 0, 1464705337),
(93103, 205, 11115, 'handler_id', '0', '205', 0, 1464705337),
(93104, 205, 11116, '', '', '', 1, 1464705392),
(93105, 205, 11116, '', '1975', '', 2, 1464705418),
(93106, 205, 11116, 'CodevTT_RAF', '', '4.75', 0, 1464705418),
(93107, 205, 11116, 'status', '10', '50', 0, 1464705418),
(93108, 205, 11116, 'handler_id', '0', '205', 0, 1464705418),
(93122, 2, 7495, 'status', '80', '20', 0, 1464707448),
(93123, 2, 7495, 'resolution', '10', '30', 0, 1464707449),
(93124, 2, 7495, 'handler_id', '2', '0', 0, 1464707453),
(93127, 212, 10659, '', '1976', '', 2, 1464765024),
(93128, 212, 10659, 'CodevTT_RAF', '0.5', '1.5', 0, 1464765024),
(93129, 212, 10659, '', '1977', '', 2, 1464765049),
(93130, 212, 10659, 'CodevTT_RAF', '1.5', '0.5', 0, 1464765049),
(93236, 147, 11019, '', '1979', '', 2, 1464773389),
(93237, 147, 11019, 'CodevTT_RAF', '1', '0', 0, 1464773389),
(93238, 147, 11019, 'CodevTT_RAF', '0', '0', 0, 1464773389),
(93239, 147, 11019, 'status', '50', '80', 0, 1464773389),
(93240, 147, 11111, '', '1980', '', 2, 1464773457),
(93241, 147, 11111, 'CodevTT_RAF', '', '0.25', 0, 1464773457),
(93242, 147, 11111, 'status', '10', '50', 0, 1464773458),
(93243, 147, 11111, '', '1981', '', 2, 1464773490),
(93244, 147, 11111, 'CodevTT_RAF', '0.25', '0', 0, 1464773490),
(93245, 147, 11111, 'CodevTT_RAF', '0', '0', 0, 1464773490),
(93246, 147, 11111, 'status', '50', '80', 0, 1464773490),
(93247, 147, 11111, '', '1981', '', 4, 1464773514),
(93248, 147, 11111, '', '1982', '', 2, 1464773537),
(93249, 147, 11111, 'CodevTT_RAF', '0', '0', 0, 1464773537),
(93258, 147, 11020, '', '1983', '', 2, 1464773716),
(93259, 147, 11020, 'CodevTT_RAF', '4', '3.75', 0, 1464773716),
(93371, 205, 10952, 'handler_id', '212', '205', 0, 1464783323),
(93370, 205, 10952, 'CodevTT_RAF', '0', '1', 0, 1464783323),
(93369, 205, 10952, '', '1984', '', 2, 1464783323),
(93368, 72, 8802, '', '', '11134', 20, 1464782031),
(93353, 72, 11132, 'Ref. Externe', '', '42770', 0, 1464781055),
(93354, 72, 11132, 'CodevTT_ChargeMgr', '', '2', 0, 1464781055),
(93355, 72, 11132, 'CodevTT_ChargeInit', '', '2', 0, 1464781055),
(93356, 72, 11132, 'handler_id', '0', '200', 0, 1464781055),
(93357, 72, 11132, 'codevtt_type', '', 'Task', 0, 1464781055),
(93358, 72, 11133, 'Ref. Externe', '', '42770', 0, 1464781055),
(93359, 72, 11133, 'CodevTT_ChargeMgr', '', '2', 0, 1464781055),
(93360, 72, 11133, 'CodevTT_ChargeInit', '', '2', 0, 1464781055),
(93361, 72, 11133, 'codevtt_type', '', 'Task', 0, 1464781055),
(93494, 217, 10280, '', '1988', '', 2, 1464791488),
(93495, 217, 10280, 'CodevTT_RAF', '3', '2', 0, 1464791488),
(93585, 164, 11032, '', '1989', '', 4, 1464792531),
(93584, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1464792518),
(106358, 205, 12160, 'CodevTT_RAF', '0.5', '0', 0, 1467730866),
(93583, 164, 11032, '', '1989', '', 2, 1464792518),
(93719, 72, 10423, 'summary', '[QUALIF]  TAIGA 16.0 TO', '[QUALIF]  TAIGA 16.0 TO DEV', 0, 1464793764),
(93720, 72, 10423, '', '2222', '', 6, 1464793764),
(93721, 72, 10423, 'Ref. Externe', '42405', 'Q16_0_TO_DEV', 0, 1464793764),
(93722, 72, 10423, 'CodevTT_Dead Line', '1466460000', '1467064800', 0, 1464793764),
(93723, 72, 11178, '', '', '', 1, 1464793834),
(93724, 72, 11178, 'handler_id', '0', '212', 0, 1464793834),
(93725, 72, 11178, '', '', '10423', 21, 1464793834),
(93726, 72, 10423, '', '', '11178', 20, 1464793834),
(99704, 169, 12112, 'CodevTT_RAF', '0', '0', 0, 1465573108),
(99705, 169, 12112, 'status', '10', '80', 0, 1465573108),
(99325, 134, 12097, 'CodevTT_RAF', '1', '1', 0, 1465548762),
(99324, 134, 12097, 'CodevTT_RAF', '1', '1', 0, 1465548751),
(99698, 146, 10869, 'CodevTT_RAF', '1.5', '0', 0, 1465571972),
(99320, 134, 9683, 'CodevTT_RAF', '1', '0.25', 0, 1465548596),
(99319, 134, 9683, 'CodevTT_RAF', '1', '1', 0, 1465548574),
(99323, 134, 12097, 'CodevTT_RAF', '2', '1', 0, 1465548722),
(99322, 134, 12097, 'status', '10', '30', 0, 1465548671),
(99321, 134, 12097, 'CodevTT_RAF', '', '2', 0, 1465548671),
(99385, 72, 12114, '', '', '', 1, 1465558840),
(99384, 72, 12113, 'CodevTT_RAF', '', '1', 0, 1465558442),
(99383, 72, 12113, 'Ref. Externe', 'Q42843', 'Q42853', 0, 1465558220),
(95640, 2, 11112, '', '1993', '', 2, 1464853170),
(95641, 2, 11112, 'CodevTT_RAF', '6.6', '6.6', 0, 1464853170),
(95642, 2, 9889, '', '1994', '', 2, 1464855682),
(95643, 2, 9889, 'CodevTT_RAF', '10', '10', 0, 1464855683),
(95644, 2, 9889, '', '1994', '', 4, 1464855703),
(95645, 2, 9889, '', '1995', '', 2, 1464855913),
(95646, 2, 9889, 'CodevTT_RAF', '10', '10', 0, 1464855913),
(95647, 217, 10280, '', '1996', '', 2, 1464856131),
(95648, 217, 10280, 'CodevTT_RAF', '2', '1', 0, 1464856131),
(95655, 157, 10401, '', '1997', '', 2, 1464869170),
(95656, 157, 10401, 'CodevTT_RAF', '8', '7', 0, 1464869170),
(95657, 157, 10401, '', '1998', '', 2, 1464869183),
(95658, 157, 10401, 'CodevTT_RAF', '7', '6', 0, 1464869183),
(95659, 157, 10401, '', '1999', '', 2, 1464869196),
(95660, 157, 10401, 'CodevTT_RAF', '6', '5', 0, 1464869196);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(95661, 72, 11114, '', '2000', '', 2, 1464869210),
(95662, 72, 11114, 'CodevTT_RAF', '', '1', 0, 1464869210),
(95663, 72, 11114, 'status', '10', '50', 0, 1464869210),
(95664, 157, 7391, '', '2001', '', 2, 1464869227),
(95665, 157, 7391, 'CodevTT_RAF', '2.40', '0', 0, 1464869227),
(95666, 157, 7391, 'CodevTT_RAF', '0', '0', 0, 1464869227),
(95667, 157, 7391, 'status', '50', '80', 0, 1464869227),
(95670, 74, 11661, '', '', '', 1, 1464872518),
(95671, 74, 11661, 'handler_id', '0', '74', 0, 1464872518),
(95672, 74, 11661, '', '', '8839', 21, 1464872519),
(95673, 74, 8839, '', '', '11661', 20, 1464872519),
(95674, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1464872652),
(95675, 74, 11114, 'CodevTT_RAF', '1', '0.5', 0, 1464873283),
(95676, 74, 11661, 'CodevTT_RAF', '', '0.5', 0, 1464873321),
(95677, 74, 11661, 'status', '10', '50', 0, 1464873321),
(95678, 74, 11661, 'CodevTT_RAF', '0.5', '0.5', 0, 1464873336),
(226370, 72, 10398, 'status', '50', '80', 0, 1495019199),
(95705, 199, 10193, 'CodevTT_RAF', '0', '0', 0, 1464875037),
(95706, 199, 10193, 'handler_id', '147', '199', 0, 1464875037),
(95712, 199, 10427, 'status', '50', '80', 0, 1464875125),
(95713, 199, 10427, 'resolution', '10', '20', 0, 1464875125),
(95795, 74, 10401, 'CodevTT_RAF', '5', '0.5', 0, 1464876370),
(95875, 116, 10088, 'CodevTT_RAF', '1', '2', 0, 1464879657),
(95911, 212, 11178, 'CodevTT_RAF', '', '8', 0, 1464884047),
(95912, 212, 11178, 'status', '10', '50', 0, 1464884047),
(95913, 212, 10406, '', '2002', '', 2, 1464884518),
(95914, 212, 10406, 'CodevTT_RAF', '', '9.5', 0, 1464884518),
(95915, 212, 10406, 'status', '10', '50', 0, 1464884518),
(95916, 212, 10406, 'handler_id', '0', '212', 0, 1464884518),
(95917, 212, 10406, '', '2002', '', 4, 1464884534),
(95918, 212, 10406, '', '2003', '', 2, 1464884559),
(95919, 212, 10406, 'CodevTT_RAF', '9.5', '9.5', 0, 1464884559),
(95920, 212, 10423, 'CodevTT_RAF', '7', '7', 0, 1464884802),
(95921, 212, 10423, 'CodevTT_RAF', '7', '7', 0, 1464884832),
(95922, 212, 10423, 'CodevTT_RAF', '7', '7', 0, 1464884947),
(95923, 212, 11178, 'CodevTT_RAF', '8', '7.75', 0, 1464885006),
(95924, 212, 11178, 'CodevTT_RAF', '7.75', '7.75', 0, 1464885013),
(95925, 157, 8403, 'CodevTT_RAF', '2', '1.5', 0, 1464930770),
(95926, 157, 11664, '', '', '', 1, 1464930908),
(95927, 157, 11664, 'handler_id', '0', '157', 0, 1464930908),
(95928, 157, 11664, '', '', '3893', 21, 1464930908),
(95929, 157, 3893, '', '', '11664', 20, 1464930908),
(95930, 157, 11664, 'CodevTT_RAF', '', '0.5', 0, 1464930949),
(95931, 157, 11664, 'status', '10', '50', 0, 1464930949),
(95932, 157, 8403, 'CodevTT_RAF', '1.5', '1', 0, 1464930977),
(95933, 72, 11664, 'RSI_Type_Ano', 'Recette', 'Production', 0, 1464931817),
(95934, 199, 10193, 'CodevTT_RAF', '0', '0', 0, 1464932319),
(95935, 199, 10330, 'CodevTT_RAF', '5', '2', 0, 1464932350),
(95936, 199, 10330, 'CodevTT_RAF', '2', '2', 0, 1464932362),
(95937, 199, 10330, 'CodevTT_RAF', '2', '2', 0, 1464932373),
(95938, 199, 10330, 'CodevTT_RAF', '2', '2', 0, 1464932381),
(95939, 199, 10330, 'CodevTT_RAF', '2', '2', 0, 1464932392),
(96049, 134, 9683, 'CodevTT_RAF', '3', '1', 0, 1464940263),
(96050, 134, 9683, 'CodevTT_RAF', '1', '1', 0, 1464940307),
(96051, 134, 9683, 'CodevTT_RAF', '1', '1', 0, 1464940348),
(96052, 134, 9683, 'CodevTT_RAF', '1', '1', 0, 1464940406),
(96053, 134, 9683, 'CodevTT_RAF', '1', '1', 0, 1464940417),
(99338, 217, 11112, 'CodevTT_RAF', '6.6', '6.3', 0, 1465550632),
(99382, 72, 12113, 'summary', '42843 [QUALIF]  PUMA - Assuré né en France mais avec BENF_NATI_ID et BENF_COM_L étrangers', '42853 [QUALIF]  PUMA - Assuré né en France mais avec BENF_NATI_ID et BENF_COM_L étrangers', 0, 1465558220),
(99222, 147, 11133, 'status', '50', '80', 0, 1465544454),
(99221, 147, 11133, 'CodevTT_RAF', '0', '0', 0, 1465544454),
(99220, 147, 11133, 'CodevTT_RAF', '1', '0', 0, 1465544454),
(99219, 147, 11133, 'CodevTT_RAF', '1', '1', 0, 1465544431),
(99381, 72, 12113, 'target_version', '', '15.1.0_PUMA', 0, 1465558220),
(99380, 72, 12113, 'status', '10', '50', 0, 1465558220),
(99379, 72, 10087, '', '', '12113', 20, 1465558061),
(99378, 72, 12113, '', '', '10087', 21, 1465558061),
(99377, 72, 12113, 'handler_id', '0', '212', 0, 1465558061),
(99376, 72, 12113, '', '', '', 1, 1465558061),
(99375, 72, 12111, 'CodevTT_RAF', '', '0', 0, 1465557937),
(99374, 72, 12111, 'status', '10', '50', 0, 1465557937),
(99388, 217, 10399, 'CodevTT_RAF', '1.5', '5', 0, 1465559751),
(99162, 147, 11020, 'status', '50', '80', 0, 1465544255),
(99373, 72, 10873, 'summary', '42757 - PUMA -ctrl rés - écart de volumétrie entre attendu et obtenu à analyser', '42757 -[ASSISTANCE] PUMA -ctrl rés - écart de volumétrie entre attendu et obtenu à analyser', 0, 1465557863),
(99372, 72, 12111, '', '', '12112', 20, 1465557313),
(99371, 72, 12112, '', '', '12111', 21, 1465557313),
(99370, 72, 12112, 'handler_id', '0', '169', 0, 1465557313),
(99369, 72, 12112, '', '', '', 1, 1465557313),
(99368, 72, 9632, '', '', '12111', 20, 1465557136),
(99703, 169, 12112, 'CodevTT_RAF', '', '0', 0, 1465573108),
(99701, 146, 10869, 'CodevTT_RAF', '0', '0', 0, 1465572016),
(99700, 146, 10869, 'status', '50', '80', 0, 1465571972),
(99367, 72, 12111, '', '', '9632', 21, 1465557136),
(99366, 72, 12111, 'handler_id', '0', '205', 0, 1465557136),
(99365, 72, 12111, '', '', '', 1, 1465557136),
(99364, 157, 12110, 'CodevTT_RAF', '1', '0.5', 0, 1465556471),
(99709, 169, 10896, 'CodevTT_RAF', '0.5', '0', 0, 1465573272),
(99708, 72, 10995, 'CodevTT_RAF', '0', '0', 0, 1465573221),
(99707, 72, 10995, 'status', '10', '80', 0, 1465573221),
(99706, 72, 10995, 'CodevTT_RAF', '', '0', 0, 1465573221),
(99712, 169, 12061, 'CodevTT_RAF', '', '0', 0, 1465573328),
(99711, 169, 10896, 'status', '50', '80', 0, 1465573272),
(99710, 169, 10896, 'CodevTT_RAF', '0', '0', 0, 1465573272),
(99719, 72, 10790, 'CodevTT_RAF', '0', '0', 0, 1465573489),
(99718, 72, 10790, 'status', '50', '80', 0, 1465573489),
(107401, 72, 12331, 'CodevTT_ChargeMgr', '', '8', 0, 1468312466),
(107395, 72, 10280, 'Ref. Externe', '', 'G3933', 0, 1468312078),
(99717, 72, 10790, 'CodevTT_RAF', '', '0', 0, 1465573489),
(99720, 169, 11975, 'CodevTT_RAF', '', '1', 0, 1465573514),
(99725, 146, 12137, 'CodevTT_RAF', '', '4', 0, 1465573710),
(99724, 169, 4278, 'CodevTT_RAF', '1', '0.5', 0, 1465573684),
(99721, 169, 11975, 'status', '10', '50', 0, 1465573514),
(99722, 146, 12137, '', '', '', 1, 1465573673),
(99723, 146, 12137, 'handler_id', '0', '146', 0, 1465573673),
(99726, 146, 12137, 'status', '10', '50', 0, 1465573710),
(99727, 200, 8454, 'CodevTT_RAF', '17', '16', 0, 1465573715),
(99729, 212, 10423, 'CodevTT_RAF', '5', '7', 0, 1465573720),
(99728, 169, 4278, 'CodevTT_RAF', '0.5', '5', 0, 1465573718),
(99732, 169, 4278, 'CodevTT_RAF', '5', '4', 0, 1465573731),
(99731, 200, 8454, 'CodevTT_RAF', '16', '15', 0, 1465573729),
(99730, 146, 12137, 'CodevTT_RAF', '4', '4', 0, 1465573721),
(99735, 200, 12057, 'CodevTT_RAF', '', '1', 0, 1465573829),
(99734, 212, 11178, 'CodevTT_RAF', '11', '11', 0, 1465573797),
(99733, 169, 4278, 'CodevTT_RAF', '4', '3', 0, 1465573750),
(99739, 200, 12057, 'status', '50', '80', 0, 1465573850),
(99738, 200, 12057, 'CodevTT_RAF', '0', '0', 0, 1465573850),
(99736, 200, 12057, 'status', '10', '50', 0, 1465573829),
(99737, 200, 12057, 'CodevTT_RAF', '1', '0', 0, 1465573850),
(99741, 212, 10423, 'CodevTT_RAF', '7', '12.5', 0, 1465573895),
(99740, 200, 12057, 'CodevTT_RAF', '0', '0', 0, 1465573878),
(99744, 212, 11178, 'CodevTT_RAF', '11', '10.5', 0, 1465573954),
(99742, 200, 10391, 'CodevTT_RAF', '2', '1.5', 0, 1465573930),
(99747, 200, 11132, 'CodevTT_RAF', '0', '0', 0, 1465574002),
(99746, 200, 11132, 'CodevTT_RAF', '', '0', 0, 1465574002),
(99745, 200, 12057, 'CodevTT_RAF', '0', '0', 0, 1465573956),
(99750, 212, 10406, 'CodevTT_RAF', '9.5', '9', 0, 1465574027),
(99748, 200, 11132, 'status', '10', '80', 0, 1465574002),
(99714, 169, 12061, 'status', '10', '80', 0, 1465573328),
(99337, 217, 11112, '', '2009', '', 2, 1465550632),
(99352, 72, 12109, '', '', '', 1, 1465556178),
(99351, 157, 12059, 'CodevTT_RAF', '1.5', '1', 0, 1465556174),
(99350, 157, 12059, 'status', '10', '50', 0, 1465556148),
(99349, 157, 12059, 'CodevTT_RAF', '', '1.5', 0, 1465556148),
(97152, 199, 9516, 'CodevTT_RAF', '0', '0', 0, 1464941516),
(97183, 158, 10738, 'CodevTT_RAF', '1.5', '1.2', 0, 1464941539),
(97184, 199, 9103, 'CodevTT_RAF', '0', '0', 0, 1464941566),
(97185, 199, 7378, 'CodevTT_RAF', '0', '0', 0, 1464941643),
(97188, 74, 11661, 'status', '50', '80', 0, 1464941758),
(97189, 74, 11661, 'resolution', '10', '20', 0, 1464941759),
(97191, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1464942142),
(97197, 72, 11132, 'CodevTT_ChargeMgr', '2', '4', 0, 1464944084),
(97198, 72, 11133, 'handler_id', '0', '147', 0, 1464944276),
(97205, 72, 10041, 'CodevTT_ChargeInit', '4', '7.2', 0, 1464944614),
(97206, 72, 10041, 'CodevTT_ChargeMgr', '', '7.2', 0, 1464944674),
(97207, 72, 10041, 'CodevTT_ChargeInit', '7.2', '5', 0, 1464944674),
(97236, 72, 8801, 'status', '50', '80', 0, 1464946956),
(97237, 72, 8801, 'resolution', '10', '20', 0, 1464946956),
(97238, 72, 8801, 'CodevTT_RAF', '2', '0', 0, 1464946956),
(97239, 72, 8621, 'status', '50', '80', 0, 1464947016),
(97240, 72, 8621, 'CodevTT_RAF', '1', '0', 0, 1464947016),
(97253, 72, 8801, 'CodevTT_ChargeMgr', '6', '5', 0, 1464947241),
(97254, 72, 10659, 'CodevTT_ChargeMgr', '3.6', '3', 0, 1464947278),
(99713, 169, 12061, 'CodevTT_RAF', '0', '0', 0, 1465573328),
(99699, 146, 10869, 'CodevTT_RAF', '0', '0', 0, 1465571972),
(97271, 72, 8344, 'status', '20', '80', 0, 1464956440),
(97292, 72, 11661, 'CodevTT_RAF', '0.5', '0', 0, 1464958294),
(97295, 72, 10625, 'CodevTT_RAF', '0.5', '0', 0, 1464958364),
(99192, 147, 11133, 'CodevTT_RAF', '3', '2', 0, 1465544366),
(97320, 93, 7395, 'CodevTT_RAF', '1', '3', 0, 1464959596),
(97321, 93, 7395, 'CodevTT_RAF', '3', '1', 0, 1464959609),
(97322, 93, 7395, 'CodevTT_RAF', '1', '1', 0, 1464959621),
(97323, 93, 7395, 'CodevTT_RAF', '1', '1', 0, 1464959644),
(97399, 74, 10423, 'CodevTT_RAF', '7', '5', 0, 1464961704),
(97400, 74, 10423, 'CodevTT_RAF', '5', '5', 0, 1464961720),
(97424, 116, 10088, 'CodevTT_RAF', '2', '1', 0, 1464963530),
(99353, 72, 12109, 'handler_id', '0', '134', 0, 1465556178),
(99354, 72, 12109, '', '', '12097', 21, 1465556178),
(99355, 72, 12097, '', '', '12109', 20, 1465556178),
(99356, 72, 12110, '', '', '', 1, 1465556315),
(99357, 72, 12110, 'handler_id', '0', '157', 0, 1465556315),
(99358, 72, 12110, '', '', '12059', 21, 1465556315),
(99359, 72, 12059, '', '', '12110', 20, 1465556315),
(99360, 157, 12059, 'CodevTT_RAF', '1', '1', 0, 1465556349),
(99361, 157, 12110, 'CodevTT_RAF', '', '1.5', 0, 1465556392),
(99362, 157, 12110, 'status', '10', '50', 0, 1465556392),
(99363, 157, 12110, 'CodevTT_RAF', '1.5', '1', 0, 1465556453),
(97460, 147, 11020, 'CodevTT_RAF', '3.75', '2', 0, 1464967211),
(97461, 147, 11020, 'CodevTT_RAF', '2', '1', 0, 1464967227),
(99217, 147, 11133, 'CodevTT_RAF', '2', '1', 0, 1465544392),
(97499, 200, 10400, 'CodevTT_RAF', '4.5', '15', 0, 1465195714),
(97500, 200, 10400, 'CodevTT_RAF', '15', '14', 0, 1465195731),
(97501, 200, 10400, 'CodevTT_RAF', '14', '13', 0, 1465195742),
(97502, 200, 10400, 'CodevTT_RAF', '13', '12', 0, 1465195755),
(97503, 200, 10400, 'CodevTT_RAF', '12', '11', 0, 1465195775),
(97504, 200, 10400, 'CodevTT_RAF', '11', '10', 0, 1465195786),
(97505, 200, 10400, 'CodevTT_RAF', '10', '9', 0, 1465195801),
(97506, 200, 8454, 'CodevTT_RAF', '7', '20', 0, 1465195831),
(97507, 200, 8454, 'CodevTT_RAF', '20', '20', 0, 1465195860),
(97508, 200, 8454, 'CodevTT_RAF', '20', '19', 0, 1465195878),
(97509, 200, 10391, 'CodevTT_RAF', '1', '5', 0, 1465195934),
(97510, 200, 10391, 'CodevTT_RAF', '5', '4', 0, 1465195948),
(97511, 200, 10391, 'CodevTT_RAF', '4', '3', 0, 1465195963),
(97512, 200, 10391, 'CodevTT_RAF', '3', '2', 0, 1465195980),
(97513, 200, 8454, 'CodevTT_RAF', '19', '18', 0, 1465196029),
(97514, 200, 8454, 'CodevTT_RAF', '18', '17', 0, 1465196048),
(97523, 72, 11975, '', '', '', 1, 1465198286),
(97524, 72, 11975, 'handler_id', '0', '169', 0, 1465198286),
(97525, 72, 11975, '', '', '8804', 21, 1465198286),
(97526, 72, 8804, '', '', '11975', 20, 1465198286),
(97549, 169, 4324, 'CodevTT_RAF', '2', '4', 0, 1465199471),
(97550, 169, 4278, 'CodevTT_RAF', '3', '4', 0, 1465199533),
(97551, 169, 4278, 'CodevTT_RAF', '4', '3', 0, 1465199542),
(97552, 169, 4278, 'CodevTT_RAF', '3', '2', 0, 1465199552),
(97553, 169, 4278, 'CodevTT_RAF', '2', '1', 0, 1465199564),
(97562, 72, 10427, 'CodevTT_RAF', '3', '0', 0, 1465200068),
(97564, 72, 8840, 'status', '50', '80', 0, 1465200199),
(97565, 72, 8840, 'CodevTT_RAF', '4', '0', 0, 1465200199),
(97572, 146, 10869, 'CodevTT_RAF', '2', '1.5', 0, 1465201904),
(97573, 146, 10869, 'CodevTT_RAF', '1.5', '1.5', 0, 1465201934),
(97574, 146, 10869, 'handler_id', '205', '146', 0, 1465201934),
(97575, 146, 10869, 'CodevTT_RAF', '1.5', '1.5', 0, 1465201950),
(97576, 146, 10869, 'CodevTT_RAF', '1.5', '1.5', 0, 1465201966),
(97577, 146, 10869, 'CodevTT_RAF', '1.5', '1.5', 0, 1465201982),
(97578, 146, 10869, 'CodevTT_RAF', '1.5', '1.5', 0, 1465201993),
(97590, 157, 7392, 'CodevTT_RAF', '1.5', '0', 0, 1465279276),
(97591, 157, 7392, 'CodevTT_RAF', '0', '0', 0, 1465279276),
(97592, 157, 7392, 'status', '50', '80', 0, 1465279276),
(97593, 157, 7392, 'handler_id', '93', '157', 0, 1465279276),
(97594, 157, 7392, 'CodevTT_RAF', '0', '0', 0, 1465279294),
(97595, 157, 10401, 'CodevTT_RAF', '0.5', '1', 0, 1465279341),
(97596, 72, 10195, 'status', '50', '20', 0, 1465283328),
(97597, 72, 10195, '', '0002006', '', 2, 1465283328),
(97598, 72, 9465, 'status', '80', '90', 0, 1465283524),
(97599, 72, 9465, 'resolution', '70', '20', 0, 1465283524),
(97600, 72, 9465, 'CodevTT_RAF', '', '0', 0, 1465283524),
(97601, 72, 9462, 'status', '80', '90', 0, 1465283584),
(97602, 72, 9462, 'resolution', '70', '20', 0, 1465283584),
(97603, 72, 9462, 'CodevTT_RAF', '', '0', 0, 1465283584),
(97604, 72, 9460, 'status', '80', '90', 0, 1465283634),
(97605, 72, 9460, 'CodevTT_RAF', '', '0', 0, 1465283634),
(97606, 72, 9461, 'status', '80', '90', 0, 1465283764),
(97607, 72, 9461, 'resolution', '70', '20', 0, 1465283764),
(97608, 72, 9461, 'CodevTT_RAF', '', '0', 0, 1465283764),
(97609, 72, 10166, 'handler_id', '0', '72', 0, 1465283944),
(97610, 72, 10166, 'status', '10', '30', 0, 1465283944),
(97626, 134, 9683, 'CodevTT_RAF', '1', '1', 0, 1465287124),
(97673, 72, 10611, 'summary', '42564 [DEV] 3 en 1:  Configuration date Taiga', '42783 [DEV] Etude et realisation solution permettant de modifier la date systeme', 0, 1465291874),
(97680, 72, 10193, 'CodevTT_ChargeMgr', '3', '7', 0, 1465292140),
(97690, 72, 10193, '', '2259', '', 6, 1465292428),
(97691, 72, 10193, 'CodevTT_ChargeMgr', '7', '25', 0, 1465292428),
(97692, 72, 10611, 'CodevTT_ChargeMgr', '', '7', 0, 1465292447),
(97699, 72, 10144, 'CodevTT_ChargeMgr', '52', '27', 0, 1465292632),
(97702, 72, 10621, 'CodevTT_ChargeMgr', '', '10.5', 0, 1465292796),
(97705, 72, 10621, 'status', '10', '80', 0, 1465293005),
(97706, 72, 10621, 'resolution', '10', '20', 0, 1465293005),
(97719, 72, 10622, 'status', '10', '80', 0, 1465293204),
(97720, 72, 10622, 'CodevTT_RAF', '', '0', 0, 1465293204),
(97728, 72, 10145, 'status', '10', '80', 0, 1465295363),
(97729, 72, 10145, 'CodevTT_ChargeMgr', '70', '81', 0, 1465295363),
(97730, 72, 10145, 'CodevTT_RAF', '', '0', 0, 1465295363),
(97731, 72, 10622, 'CodevTT_ChargeMgr', '', '4', 0, 1465296042),
(97732, 72, 10423, '', '2264', '', 6, 1465297511),
(97733, 72, 10423, 'CodevTT_ChargeMgr', '', '52', 0, 1465297511),
(97734, 72, 10423, 'CodevTT_ChargeInit', '2', '40', 0, 1465297511),
(97735, 72, 10423, '', '2265', '', 6, 1465297581),
(97736, 72, 10423, 'CodevTT_ChargeMgr', '52', '4', 0, 1465297581),
(97737, 72, 10423, 'CodevTT_ChargeInit', '40', '10', 0, 1465297581),
(97738, 72, 11178, '', '2267', '', 6, 1465297736),
(97739, 72, 11178, 'CodevTT_ChargeMgr', '', '80', 0, 1465297736),
(97740, 72, 11178, 'CodevTT_ChargeInit', '2', '40', 0, 1465297736),
(97741, 72, 10165, 'CodevTT_RAF', '', '0', 0, 1465298098),
(97742, 72, 10165, 'status', '10', '80', 0, 1465298098),
(97743, 72, 10165, 'CodevTT_RAF', '0', '0', 0, 1465298098),
(97744, 72, 10165, 'CodevTT_Dead Line', '', '', 0, 1465298098),
(97745, 72, 10165, 'status', '80', '90', 0, 1465298109),
(97746, 72, 10165, 'CodevTT_RAF', '0', '0', 0, 1465298109),
(97747, 72, 10165, 'CodevTT_Dead Line', '', '', 0, 1465298109),
(97748, 72, 10194, 'status', '10', '80', 0, 1465300938),
(97749, 72, 10194, 'RSI_Type_Ano', '', 'Production', 0, 1465300938),
(97750, 72, 10194, 'CodevTT_RAF', '', '0', 0, 1465300938),
(97751, 72, 9466, 'RSI_Type_Ano', '', 'Production', 0, 1465301056),
(97752, 72, 9467, 'RSI_Type_Ano', '', 'Production', 0, 1465301382),
(97753, 72, 9467, 'CodevTT_RAF', '', '0', 0, 1465301382),
(97754, 72, 9469, 'RSI_Type_Ano', '', 'Production', 0, 1465301591),
(97755, 72, 9469, 'CodevTT_RAF', '', '0', 0, 1465301591),
(97756, 72, 9463, 'RSI_Type_Ano', '', 'Production', 0, 1465301656),
(97757, 72, 9464, 'RSI_Type_Ano', '', 'Production', 0, 1465301697),
(97758, 72, 9464, 'CodevTT_RAF', '', '0', 0, 1465301697),
(97763, 72, 10622, 'RSI_Type_Ano', '', 'Production', 0, 1465301745),
(97764, 72, 10622, 'RSI_Type_Ano', 'Production', '', 0, 1465301774),
(97765, 72, 6723, 'RSI_Type_Ano', 'Recette', 'Production', 0, 1465301871),
(97766, 72, 6636, 'RSI_Type_Ano', 'Recette', 'Production', 0, 1465301923),
(99038, 72, 12058, 'summary', '42816 [SPEC] NIA - Demande d\'étude transverse - partie TAIGA ( defect jalon 42566)', '42816 [ETUDE] NIA - Demande d\'étude transverse - partie TAIGA ( defect jalon 42566)', 0, 1465476112),
(98040, 116, 10088, 'CodevTT_RAF', '1', '1.5', 0, 1465308430),
(98041, 116, 10088, 'CodevTT_RAF', '1.5', '0.5', 0, 1465308442),
(99037, 72, 12058, 'handler_id', '0', '116', 0, 1465476080),
(98198, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465313268),
(98199, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465313295),
(98200, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465313314),
(98201, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1465313327),
(98207, 212, 11178, 'CodevTT_RAF', '7.75', '12', 0, 1465315625),
(98209, 212, 11178, 'CodevTT_RAF', '12', '11', 0, 1465315669),
(98210, 212, 11178, 'CodevTT_RAF', '11', '11', 0, 1465315681),
(98587, 72, 12057, 'Ref. Externe', '', '42807', 0, 1465368067),
(98588, 72, 12057, 'CodevTT_ChargeMgr', '', '5', 0, 1465368067),
(98589, 72, 12057, 'CodevTT_ChargeInit', '', '2', 0, 1465368067),
(98590, 72, 12057, 'handler_id', '0', '200', 0, 1465368067),
(98591, 72, 12057, 'codevtt_type', '', 'Task', 0, 1465368067),
(98592, 72, 12058, 'Ref. Externe', '', '42816', 0, 1465368067),
(98593, 72, 12058, 'CodevTT_ChargeInit', '', '2', 0, 1465368067),
(98594, 72, 12058, 'codevtt_type', '', 'Task', 0, 1465368067),
(98595, 72, 12059, 'Ref. Externe', '', '42847', 0, 1465368428),
(98596, 72, 12059, 'CodevTT_ChargeInit', '', '2', 0, 1465368428),
(98597, 72, 12059, 'handler_id', '0', '157', 0, 1465368428),
(98598, 72, 12059, 'codevtt_type', '', 'Bug', 0, 1465368428),
(98599, 72, 12060, 'Ref. Externe', '', '42846', 0, 1465368428),
(98600, 72, 12060, 'CodevTT_ChargeInit', '', '2', 0, 1465368428),
(98601, 72, 12060, 'handler_id', '0', '199', 0, 1465368428),
(98602, 72, 12060, 'codevtt_type', '', 'Bug', 0, 1465368428),
(98603, 72, 12061, 'Ref. Externe', '', '42843', 0, 1465368428),
(98604, 72, 12061, 'CodevTT_ChargeInit', '', '2', 0, 1465368428),
(98605, 72, 12061, 'target_version', '', '15.1.0_PUMA', 0, 1465368428),
(98606, 72, 12061, 'handler_id', '0', '169', 0, 1465368428),
(98607, 72, 12061, 'codevtt_type', '', 'Bug', 0, 1465368428),
(98610, 72, 12060, 'priority', '10', '50', 0, 1465368802),
(98611, 72, 12060, 'severity', '50', '80', 0, 1465368870),
(98612, 72, 12060, 'status', '10', '50', 0, 1465368870),
(98613, 72, 12060, 'CodevTT_Date Livraison', '', '1465509600', 0, 1465368870),
(98641, 2, 4324, 'CodevTT_ChargeMgr', '8', '15.4', 0, 1465372957),
(98642, 2, 4324, 'CodevTT_ChargeInit', '5', '13', 0, 1465372957),
(98643, 2, 4324, 'summary', '39196 [DEV] TAIGA - APP - Retro-documentation du traitement apel_adresse_pl.sh', '39196 [SPEC] TAIGA - APP - Retro-documentation du traitement apel_adresse_pl.sh', 0, 1465373026),
(98654, 2, 9099, 'CodevTT_ChargeMgr', '5', '10', 0, 1465377151),
(98655, 2, 9099, 'CodevTT_ChargeInit', '3', '8', 0, 1465377151),
(98656, 2, 9099, 'CodevTT_ChargeMgr', '10', '7', 0, 1465377236),
(98657, 2, 9099, 'CodevTT_ChargeInit', '8', '5', 0, 1465377236),
(98702, 116, 10088, 'CodevTT_RAF', '0.5', '0', 0, 1465394115),
(98703, 116, 10088, 'CodevTT_RAF', '0', '0', 0, 1465394115),
(98704, 116, 10088, 'status', '50', '80', 0, 1465394115),
(98705, 116, 10088, 'CodevTT_RAF', '0', '0', 0, 1465394137),
(98708, 2, 11132, 'target_version', '', '16.1_PUMA', 0, 1465395280),
(98709, 2, 11133, 'target_version', '', '16.1_PUMA', 0, 1465395305),
(98710, 2, 11132, 'CodevTT_Dead Line', '', '1466114400', 0, 1465395416),
(98711, 2, 11133, 'CodevTT_Dead Line', '', '1468533600', 0, 1465395504),
(98712, 2, 11133, '', '0002008', '', 2, 1465395504),
(98790, 2, 9471, 'CodevTT_Dead Line', '1463695200', '1465855200', 0, 1465398080),
(99161, 147, 11020, 'CodevTT_RAF', '0', '0', 0, 1465544255),
(99160, 147, 11020, 'CodevTT_RAF', '1', '0', 0, 1465544255),
(99386, 72, 12114, 'handler_id', '0', '147', 0, 1465558840),
(99190, 147, 11133, 'status', '10', '50', 0, 1465544334),
(99189, 147, 11133, 'CodevTT_RAF', '', '3', 0, 1465544334),
(98906, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465399169),
(98911, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465399246),
(98957, 72, 10617, 'CodevTT_RAF', '0', '0', 0, 1465401058),
(98965, 72, 10617, 'summary', '42692 [DEV] TAIGA - AFFI Rattrapage SIREN en instance aucun dossier sélectionné', '42692 [ETUDE] TAIGA - AFFI Rattrapage SIREN en instance aucun dossier sélectionné', 0, 1465401190),
(99013, 72, 12059, 'severity', '50', '80', 0, 1465459149),
(99016, 72, 12097, '', '', '', 1, 1465459276),
(99017, 72, 12097, 'handler_id', '0', '134', 0, 1465459276),
(99018, 72, 12097, '', '', '12059', 21, 1465459276),
(99019, 72, 12059, '', '', '12097', 20, 1465459276),
(99023, 72, 12059, 'RSI_Type_Ano', '', 'Production', 0, 1465460583),
(99045, 158, 10399, 'CodevTT_RAF', '3', '2.5', 0, 1465476709),
(99046, 158, 10399, 'CodevTT_RAF', '2.5', '1.5', 0, 1465476733),
(99055, 116, 12058, 'CodevTT_RAF', '', '19', 0, 1465482020),
(99056, 116, 12058, 'status', '10', '50', 0, 1465482020),
(99751, 212, 10406, 'CodevTT_RAF', '9', '9', 0, 1465574032),
(99784, 74, 8839, 'status', '80', '50', 0, 1465803867),
(99785, 74, 8839, 'CodevTT_RAF', '0.5', '0.5', 0, 1465803893),
(99786, 74, 8839, 'CodevTT_RAF', '0.5', '0', 0, 1465803911),
(99787, 74, 8839, 'CodevTT_RAF', '0', '0', 0, 1465803911),
(99788, 74, 8839, 'status', '50', '80', 0, 1465803911),
(99789, 74, 10423, 'CodevTT_RAF', '12.5', '10', 0, 1465804000),
(99790, 74, 10423, 'CodevTT_RAF', '10', '10', 0, 1465804054),
(99934, 205, 12151, '', '', '', 1, 1465820220),
(99935, 205, 12152, '', '', '', 1, 1465820271),
(99946, 205, 12153, '', '', '', 1, 1465823904),
(99947, 205, 12154, '', '', '', 1, 1465823946),
(99948, 205, 12155, '', '', '', 1, 1465823966),
(99949, 205, 12156, '', '', '', 1, 1465824004),
(99950, 205, 12157, '', '', '', 1, 1465824031),
(99951, 205, 12158, '', '', '', 1, 1465824069),
(99952, 205, 12159, '', '', '', 1, 1465824118),
(99953, 205, 12160, '', '', '', 1, 1465824177),
(99954, 205, 12161, '', '', '', 1, 1465824238),
(99957, 205, 12163, '', '', '', 1, 1465824275),
(99958, 205, 12164, '', '', '', 1, 1465824313),
(99966, 205, 12156, 'CodevTT_RAF', '', '0', 0, 1465824747),
(99967, 205, 12156, 'CodevTT_RAF', '0', '0', 0, 1465824747),
(99968, 205, 12156, 'status', '10', '80', 0, 1465824747),
(99969, 205, 12156, 'handler_id', '0', '205', 0, 1465824747),
(99970, 205, 10394, 'CodevTT_RAF', '1', '0.5', 0, 1465824847),
(99971, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1465825002),
(99972, 205, 10394, '', '2011', '', 2, 1465825196),
(99973, 205, 10394, '', '2011', '2429', 3, 1465825208),
(99974, 205, 10394, '', '2011', '2430', 3, 1465825234),
(99975, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1465825234),
(99976, 205, 10394, '', '2012', '', 2, 1465825237),
(99977, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1465825237),
(99978, 205, 10394, '', '2011', '', 4, 1465825315),
(99979, 217, 12154, 'CodevTT_RAF', '', '0.2', 0, 1465825494),
(99980, 217, 12154, 'status', '10', '50', 0, 1465825494),
(99981, 217, 12154, 'handler_id', '0', '217', 0, 1465825494),
(99982, 217, 12153, 'CodevTT_RAF', '', '0.2', 0, 1465825528),
(99983, 217, 12153, 'status', '10', '50', 0, 1465825528),
(99984, 217, 12153, 'handler_id', '0', '217', 0, 1465825528),
(99985, 205, 11116, 'CodevTT_RAF', '4.75', '4.25', 0, 1465825550),
(99986, 205, 11116, 'CodevTT_RAF', '4.25', '4.25', 0, 1465825552),
(99987, 205, 11116, 'CodevTT_RAF', '4.25', '4.25', 0, 1465825572),
(99989, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1465825621),
(99993, 217, 12151, 'CodevTT_RAF', '', '0', 0, 1465825637),
(99994, 217, 12151, 'CodevTT_RAF', '0', '0', 0, 1465825637),
(99995, 217, 12151, 'status', '10', '80', 0, 1465825637),
(99996, 217, 12151, 'handler_id', '0', '217', 0, 1465825637),
(99997, 205, 11116, 'CodevTT_RAF', '4.25', '3.25', 0, 1465825647),
(99998, 205, 12160, 'CodevTT_RAF', '', '0.5', 0, 1465825718),
(99999, 205, 12160, 'status', '10', '50', 0, 1465825718),
(100000, 205, 12160, 'handler_id', '0', '205', 0, 1465825718),
(100001, 205, 12159, 'CodevTT_RAF', '', '2', 0, 1465825769),
(100002, 205, 12159, 'status', '10', '50', 0, 1465825769),
(100003, 205, 12159, 'handler_id', '0', '205', 0, 1465825769),
(100004, 205, 12158, 'summary', 'GAC-4161 QF_TAIGA_RAD_2.0.6.01_TAF : La période CONTRIBUER n\'est pas supprimée logiquement quand date début période est postérie', 'GAC-4169 QF_TAIGA_RAD_2.0.6.01_TAF : La période CONTRIBUER n\'est pas supprimée logiquement quand date début période est postérie', 0, 1465825913),
(100005, 205, 12111, 'CodevTT_RAF', '0', '0', 0, 1465826565),
(100006, 205, 12111, 'CodevTT_RAF', '0', '0', 0, 1465826565),
(100007, 205, 12111, 'status', '50', '80', 0, 1465826565),
(100008, 205, 12111, 'CodevTT_RAF', '0', '0', 0, 1465826641),
(100009, 217, 12158, 'CodevTT_RAF', '', '0', 0, 1465826657),
(100010, 217, 12158, 'CodevTT_RAF', '0', '0', 0, 1465826657),
(100011, 217, 12158, 'status', '10', '80', 0, 1465826657),
(100012, 217, 12158, 'handler_id', '0', '217', 0, 1465826657),
(100013, 205, 9889, 'CodevTT_RAF', '10', '0.5', 0, 1465826753),
(100014, 205, 10952, 'CodevTT_RAF', '1', '0', 0, 1465826884),
(100015, 205, 12157, 'CodevTT_RAF', '', '0.5', 0, 1465826957),
(100016, 205, 12157, 'status', '10', '50', 0, 1465826957),
(100017, 205, 12157, 'handler_id', '0', '205', 0, 1465826957),
(100018, 205, 10952, 'CodevTT_RAF', '0', '0', 0, 1465826975),
(100019, 205, 10952, '', '1984', '', 4, 1465826982),
(100020, 116, 12058, 'CodevTT_RAF', '19', '18', 0, 1465827674),
(100021, 134, 12138, 'CodevTT_RAF', '', '1.25', 0, 1465828353),
(100022, 134, 12138, 'status', '10', '40', 0, 1465828353),
(100023, 134, 12138, 'CodevTT_RAF', '1.25', '1.25', 0, 1465828381),
(100024, 134, 9683, 'CodevTT_RAF', '0.25', '1', 0, 1465828455),
(100025, 134, 12097, 'CodevTT_RAF', '1', '0', 0, 1465828697),
(100188, 2, 12179, '', '', '', 1, 1465894448),
(100189, 2, 12179, 'handler_id', '0', '2', 0, 1465894448),
(100207, 2, 12179, 'summary', 'support GIT', 'Support GIT', 0, 1465897308),
(100216, 72, 12181, '', '', '', 1, 1465898243),
(100217, 72, 12181, 'handler_id', '0', '157', 0, 1465898243),
(100218, 72, 12181, '', '', '12059', 21, 1465898243),
(100219, 72, 12059, '', '', '12181', 20, 1465898243),
(100222, 199, 10330, 'CodevTT_RAF', '2', '5', 0, 1465909094),
(100231, 93, 9670, 'status', '50', '80', 0, 1465910306),
(100232, 93, 9670, 'resolution', '10', '20', 0, 1465910306),
(100233, 93, 7395, 'status', '50', '80', 0, 1465910614),
(100234, 93, 7395, 'resolution', '10', '20', 0, 1465910614),
(100235, 93, 10153, 'status', '50', '80', 0, 1465911390),
(100236, 93, 10153, 'resolution', '10', '20', 0, 1465911390),
(100247, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1465913035),
(100289, 164, 8949, 'CodevTT_RAF', '0', '00', 0, 1465915182),
(100292, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465915196),
(100293, 164, 8949, 'CodevTT_RAF', '00', '0', 0, 1465915212),
(100297, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465915257),
(100302, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465915285),
(100304, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1465915302),
(100305, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1465915639),
(100306, 164, 12179, '', '0002031', '', 2, 1465915856),
(100314, 72, 11114, 'status', '50', '80', 0, 1465917170),
(100315, 72, 11114, 'CodevTT_RAF', '0.5', '0', 0, 1465917170),
(100316, 72, 9889, 'CodevTT_ChargeMgr', '', '5', 0, 1465917337),
(100317, 72, 9889, 'CodevTT_ChargeInit', '10', '', 0, 1465917337),
(100318, 146, 12159, 'CodevTT_RAF', '2', '0', 0, 1465917563),
(100319, 146, 12159, 'CodevTT_RAF', '0', '0', 0, 1465917564),
(100320, 146, 12159, 'status', '50', '80', 0, 1465917564),
(100321, 146, 12159, 'handler_id', '205', '146', 0, 1465917564),
(100322, 146, 12159, 'CodevTT_RAF', '0', '0', 0, 1465917577),
(100345, 157, 12110, 'CodevTT_RAF', '0.5', '1', 0, 1465968928),
(100346, 157, 12059, 'CodevTT_RAF', '1', '0.5', 0, 1465968954),
(100347, 157, 12182, '', '', '', 1, 1465969418),
(100348, 157, 12182, 'handler_id', '0', '157', 0, 1465969418),
(100349, 157, 12182, '', '', '12181', 21, 1465969418),
(100350, 157, 12181, '', '', '12182', 20, 1465969418),
(100351, 157, 12182, 'CodevTT_RAF', '', '1', 0, 1465969453),
(100352, 157, 12182, 'status', '10', '50', 0, 1465969453),
(100353, 157, 12182, 'CodevTT_RAF', '1', '1', 0, 1465969468),
(100378, 217, 12154, 'CodevTT_RAF', '0.2', '0', 0, 1465976961),
(100379, 217, 12154, 'CodevTT_RAF', '0', '0', 0, 1465976961),
(100380, 217, 12154, 'status', '50', '80', 0, 1465976961),
(100381, 217, 12154, 'CodevTT_RAF', '0', '0', 0, 1465976971),
(100392, 217, 12159, 'CodevTT_RAF', '0', '0.5', 0, 1465978360),
(100393, 217, 12159, 'status', '80', '50', 0, 1465978360),
(100399, 72, 10075, 'handler_id', '73', '0', 0, 1465979534),
(100400, 72, 10075, 'status', '50', '20', 0, 1465979534),
(100401, 72, 4334, 'status', '50', '20', 0, 1465979595),
(100402, 72, 4334, 'status', '20', '50', 0, 1465979644),
(100403, 72, 8390, 'status', '50', '20', 0, 1465979815),
(100404, 72, 8390, 'CodevTT_Dead Line', '', '', 0, 1465979816),
(100406, 72, 8806, 'status', '50', '20', 0, 1465979953),
(100407, 72, 8806, 'CodevTT_Dead Line', '', '', 0, 1465979953),
(100408, 72, 8806, 'handler_id', '74', '0', 0, 1465979963),
(100409, 72, 8806, 'CodevTT_Dead Line', '', '', 0, 1465979963),
(100410, 72, 8806, '', '2432', '', 6, 1465980032),
(100411, 72, 10869, 'Ref. Externe', '', 'G4067', 0, 1465980523),
(100412, 72, 9343, 'Ref. Externe', '', 'G3733', 0, 1465980620),
(100413, 72, 12154, 'Ref. Externe', '', 'G4128', 0, 1465980657),
(100414, 72, 12156, 'Ref. Externe', '', 'G4130', 0, 1465980692),
(100415, 72, 12157, 'Ref. Externe', '', 'G4131', 0, 1465980727),
(100416, 72, 12158, 'Ref. Externe', '', 'G4169', 0, 1465980767),
(100417, 72, 12159, 'Ref. Externe', '', 'G4105', 0, 1465980798),
(100418, 72, 12160, 'Ref. Externe', '', 'G4097', 0, 1465980843),
(100419, 72, 12151, 'Ref. Externe', '', 'G4106', 0, 1465980895),
(100420, 72, 12153, 'Ref. Externe', '', 'G4125', 0, 1465980956),
(100462, 72, 10391, 'CodevTT_RAF', '1.5', '0.5', 0, 1465986855),
(100463, 72, 12183, '', '', '', 1, 1465987063),
(100464, 72, 12183, 'handler_id', '0', '205', 0, 1465987063),
(100465, 72, 12183, '', '', '10391', 21, 1465987063),
(100466, 72, 10391, '', '', '12183', 20, 1465987063),
(100467, 72, 10393, 'CodevTT_RAF', '1', '0', 0, 1465987171),
(100468, 72, 10393, 'status', '40', '80', 0, 1465987171),
(100469, 72, 10393, 'CodevTT_RAF', '0', '0', 0, 1465987171),
(100470, 72, 10415, 'CodevTT_RAF', '1.9', '0', 0, 1465987203),
(100471, 72, 10415, 'status', '50', '80', 0, 1465987203),
(100472, 72, 10415, 'CodevTT_RAF', '0', '0', 0, 1465987203),
(100473, 72, 12183, 'summary', '42497 [SPEC] TAIGA PUMA -  Lot 1- Etude radiation retroactive ou dans le futur', '42497 [ETUDE] TAIGA PUMA -  Etude radiation retroactive ou dans le futur', 0, 1465987803),
(100493, 2, 8085, 'Ref. Externe', '', '41914', 0, 1465992482),
(100494, 2, 8927, 'Ref. Externe', '', 'G3666', 0, 1465992508),
(100495, 2, 8928, 'Ref. Externe', '', 'G3627', 0, 1465992535),
(100496, 2, 8929, 'Ref. Externe', '', 'G3761', 0, 1465992591),
(100497, 2, 9303, 'Ref. Externe', '', 'G3765', 0, 1465992620),
(100498, 2, 10075, 'Ref. Externe', '', '35661', 0, 1465992651),
(100499, 2, 10154, 'Ref. Externe', '', '41076', 0, 1465992709),
(100500, 2, 10042, 'Ref. Externe', '', 'G3901', 0, 1465992735),
(100501, 2, 9643, 'Ref. Externe', '', '42415', 0, 1465992764),
(100502, 2, 10153, 'Ref. Externe', '', '41910', 0, 1465992813),
(100503, 2, 10153, 'CodevTT_RAF', '1', '0', 0, 1465992814),
(100504, 2, 10625, 'Ref. Externe', '', 'G4034', 0, 1465992843),
(100505, 2, 10651, 'Ref. Externe', '', 'G4035', 0, 1465992879),
(100520, 2, 8925, 'Ref. Externe', '', 'G3731', 0, 1465994292),
(100521, 2, 9306, 'Ref. Externe', '', 'G3809', 0, 1465994316),
(100591, 158, 10399, '', '2032', '', 2, 1465998299),
(100592, 158, 10399, 'CodevTT_RAF', '5', '15', 0, 1465998299),
(100594, 158, 10399, 'CodevTT_RAF', '15', '14', 0, 1465998393),
(100595, 158, 10399, 'CodevTT_RAF', '14', '13', 0, 1465998433),
(100606, 72, 12186, '', '', '', 1, 1466002132),
(100607, 72, 12186, 'handler_id', '0', '93', 0, 1466002132),
(100608, 72, 12186, '', '', '9572', 21, 1466002132),
(100609, 72, 9572, '', '', '12186', 20, 1466002132),
(100625, 205, 12159, 'CodevTT_RAF', '0.5', '0.5', 0, 1466004244),
(100626, 205, 10394, '', '2035', '', 2, 1466004308),
(100627, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1466004308),
(100632, 205, 12183, 'CodevTT_RAF', '', '1', 0, 1466005811),
(100633, 205, 12183, 'status', '10', '50', 0, 1466005811),
(100637, 93, 8403, 'CodevTT_RAF', '1', '0.5', 0, 1466010813),
(100638, 93, 8403, 'CodevTT_RAF', '0.5', '1', 0, 1466010863),
(100639, 93, 12186, 'CodevTT_RAF', '', '1', 0, 1466010888),
(100640, 93, 12186, 'status', '10', '50', 0, 1466010888),
(100645, 116, 12058, 'CodevTT_RAF', '18', '17', 0, 1466058555),
(100646, 116, 12058, 'CodevTT_RAF', '17', '1', 0, 1466058571),
(100689, 217, 12159, 'CodevTT_RAF', '0.5', '2', 0, 1466067867),
(100715, 158, 10399, 'CodevTT_RAF', '13', '12', 0, 1466077751),
(100733, 72, 12196, 'Ref. Externe', '', '42897', 0, 1466086620),
(100734, 72, 12196, 'CodevTT_ChargeInit', '', '2', 0, 1466086620),
(100735, 72, 12196, 'target_version', '', '15.1.0_PUMA', 0, 1466086620),
(100736, 72, 12196, 'handler_id', '0', '169', 0, 1466086620),
(100737, 72, 12196, 'codevtt_type', '', 'Bug', 0, 1466086620),
(100738, 72, 12197, 'Ref. Externe', '', '42898', 0, 1466086620),
(100739, 72, 12197, 'CodevTT_ChargeInit', '', '2', 0, 1466086620),
(100740, 72, 12197, 'target_version', '', '15.1.0_PUMA', 0, 1466086620),
(100741, 72, 12197, 'handler_id', '0', '169', 0, 1466086620),
(100742, 72, 12197, 'codevtt_type', '', 'Bug', 0, 1466086620),
(100743, 217, 12159, 'CodevTT_RAF', '2', '3', 0, 1466086692),
(100744, 72, 12197, 'RSI_Type_Ano', '', 'Recette', 0, 1466086780),
(100745, 72, 12196, 'summary', 'OK', '42897  PUMA ctrl rés. ayants droit à 19 entre la date traitement et fin de l\'année non considérés', 0, 1466086847),
(100746, 72, 12196, 'RSI_Type_Ano', '', 'Recette', 0, 1466086848),
(100751, 72, 12199, '', '', '', 1, 1466089387),
(100752, 72, 12199, 'handler_id', '0', '199', 0, 1466089387),
(100756, 72, 10659, 'status', '50', '80', 0, 1466090116),
(100757, 72, 10659, 'resolution', '10', '20', 0, 1466090116),
(100758, 72, 10659, 'CodevTT_RAF', '0.5', '0', 0, 1466090130),
(100806, 134, 12109, 'CodevTT_RAF', '', '5', 0, 1466149551),
(100807, 134, 12109, 'status', '10', '50', 0, 1466149551),
(100808, 134, 12109, 'CodevTT_RAF', '5', '4', 0, 1466149575),
(100809, 134, 12109, 'CodevTT_RAF', '4', '3', 0, 1466149586),
(100810, 134, 12109, 'CodevTT_RAF', '3', '2', 0, 1466149603),
(100816, 116, 10426, 'CodevTT_RAF', '1', '0.5', 0, 1466150551),
(100817, 116, 12058, 'CodevTT_RAF', '1', '1', 0, 1466150563),
(100989, 169, 12196, 'CodevTT_RAF', '', '1.5', 0, 1466159382),
(100990, 169, 12196, 'CodevTT_RAF', '1.5', '1', 0, 1466159411),
(100991, 169, 12196, 'status', '10', '50', 0, 1466159411),
(100992, 169, 12197, 'CodevTT_RAF', '', '0.5', 0, 1466159453),
(100993, 169, 12197, 'status', '10', '50', 0, 1466159453),
(100994, 169, 4278, 'CodevTT_RAF', '3', '2', 0, 1466159485),
(100995, 169, 11975, 'CodevTT_RAF', '1', '3', 0, 1466159530),
(100996, 169, 11975, 'CodevTT_RAF', '3', '3', 0, 1466159547),
(100997, 169, 11975, '', '2037', '', 2, 1466159621),
(100998, 169, 11975, 'CodevTT_RAF', '3', '2', 0, 1466159621),
(101008, 93, 12186, 'CodevTT_RAF', '1', '1', 0, 1466160284),
(101188, 212, 11178, 'CodevTT_RAF', '10.5', '9.5', 0, 1466175675),
(101189, 146, 12159, 'CodevTT_RAF', '3', '0', 0, 1466175676),
(101190, 146, 12159, 'CodevTT_RAF', '0', '0', 0, 1466175676),
(101191, 146, 12159, 'status', '50', '80', 0, 1466175676),
(101192, 212, 11178, 'CodevTT_RAF', '9.5', '9', 0, 1466175700),
(101193, 146, 12137, 'CodevTT_RAF', '4', '0.5', 0, 1466175732),
(101194, 212, 11178, 'CodevTT_RAF', '9', '8.3', 0, 1466175749),
(101195, 146, 12137, 'CodevTT_RAF', '0.5', '2', 0, 1466175767),
(101196, 212, 12113, 'CodevTT_RAF', '1', '0.5', 0, 1466175807),
(101197, 212, 12113, 'CodevTT_RAF', '0.5', '0.2', 0, 1466175828),
(101198, 212, 12113, 'CodevTT_RAF', '0.2', '0.2', 0, 1466175836),
(101255, 147, 12114, 'CodevTT_RAF', '', '3', 0, 1466177634),
(101256, 147, 12114, 'status', '10', '50', 0, 1466177634),
(101258, 147, 12114, 'CodevTT_RAF', '3', '2', 0, 1466177650),
(101262, 147, 12114, 'CodevTT_RAF', '2', '1.5', 0, 1466177674),
(101263, 147, 12114, 'CodevTT_RAF', '1.5', '0.5', 0, 1466177697),
(101267, 147, 12114, 'CodevTT_RAF', '0.5', '0', 0, 1466177724),
(101268, 147, 12114, 'CodevTT_RAF', '0', '0', 0, 1466177725),
(101269, 147, 12114, 'status', '50', '80', 0, 1466177725),
(379726, 2, 14244, '', '2500', '12245', 19, 1522016083),
(101430, 74, 10423, 'CodevTT_RAF', '10', '10', 0, 1466401291),
(101431, 74, 10423, 'CodevTT_RAF', '10', '10', 0, 1466401312),
(101432, 74, 10423, 'CodevTT_RAF', '10', '9', 0, 1466401319),
(101433, 74, 10423, 'CodevTT_RAF', '9', '7', 0, 1466401338),
(101434, 157, 12181, 'CodevTT_RAF', '', '1', 0, 1466402289),
(101435, 157, 12181, 'status', '10', '50', 0, 1466402289),
(101436, 199, 12199, 'CodevTT_RAF', '', '5', 0, 1466405991),
(101437, 199, 12199, 'status', '10', '50', 0, 1466405991),
(101438, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1466405999),
(101439, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1466406007),
(101440, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466406894),
(101441, 164, 8949, 'CodevTT_RAF', '0', '0', 0, 1466406912),
(101442, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466406927),
(101443, 134, 12109, 'CodevTT_RAF', '2', '0', 0, 1466408868),
(101444, 134, 12109, 'CodevTT_RAF', '0', '0', 0, 1466408868),
(101445, 134, 12109, 'status', '50', '80', 0, 1466408868),
(101452, 134, 12138, 'CodevTT_RAF', '1.25', '0', 0, 1466409225),
(101453, 134, 12138, 'CodevTT_RAF', '0', '0', 0, 1466409225),
(101454, 134, 12138, 'status', '40', '80', 0, 1466409225),
(101456, 205, 10041, 'CodevTT_RAF', '3.8', '2', 0, 1466409263),
(101457, 134, 9683, 'CodevTT_RAF', '1', '0', 0, 1466409292),
(101458, 134, 9683, 'CodevTT_RAF', '0', '0', 0, 1466409292),
(101459, 134, 9683, 'status', '50', '80', 0, 1466409292),
(101460, 205, 12252, '', '', '', 1, 1466409544),
(101461, 205, 12252, 'CodevTT_RAF', '', '0', 0, 1466409577),
(101462, 205, 12252, 'CodevTT_RAF', '0', '0', 0, 1466409577),
(101463, 205, 12252, 'status', '10', '80', 0, 1466409577),
(101464, 205, 12252, 'handler_id', '0', '205', 0, 1466409577),
(101465, 205, 12253, '', '', '', 1, 1466409612),
(101466, 205, 12253, 'summary', 'GAC-4181 QF_TAIGA_RAD_2.0.6.01_TAF : (INDT.MTF_PER_INDT_ID)  le motif de radiation obtenu n\'est égal au motif fourni.', 'GAC-4182 QF_TAIGA_RAD_2.0.6.01_TAF : (INDT.MTF_PER_INDT_ID)  le motif de radiation obtenu n\'est égal au motif fourni.', 0, 1466409647),
(101467, 205, 12253, 'CodevTT_RAF', '', '0', 0, 1466409671),
(101468, 205, 12253, 'CodevTT_RAF', '0', '0', 0, 1466409671),
(101469, 205, 12253, 'status', '10', '80', 0, 1466409671),
(101470, 205, 12253, 'handler_id', '0', '205', 0, 1466409671),
(101471, 205, 12253, 'CodevTT_RAF', '0', '0', 0, 1466409680),
(101472, 205, 12253, 'CodevTT_RAF', '0', '0', 0, 1466409711),
(101473, 205, 12253, 'CodevTT_RAF', '0', '0', 0, 1466409721),
(101483, 200, 8454, 'CodevTT_RAF', '15', '26', 0, 1466412840),
(101484, 200, 8454, 'CodevTT_RAF', '26', '25', 0, 1466412867),
(101485, 200, 10391, 'CodevTT_RAF', '0.5', '0', 0, 1466412896),
(101486, 200, 10391, 'CodevTT_RAF', '0', '0', 0, 1466412896),
(101487, 200, 10391, 'status', '40', '80', 0, 1466412896),
(101488, 200, 8454, 'CodevTT_RAF', '25', '24', 0, 1466412946),
(101528, 72, 9889, 'CodevTT_RAF', '0.5', '0', 0, 1466416165),
(101537, 217, 12159, 'CodevTT_RAF', '0', '3', 0, 1466426888),
(101538, 217, 12159, 'status', '80', '50', 0, 1466426888),
(101635, 72, 5726, 'RSI_Type_Ano', '', 'Production', 0, 1466490890),
(101636, 72, 5726, 'CodevTT_ChargeMgr', '5', '0', 0, 1466490890),
(101637, 72, 4284, 'CodevTT_ChargeMgr', '3', '0', 0, 1466491037),
(101638, 72, 4288, 'CodevTT_ChargeMgr', '5', '0', 0, 1466491068),
(101650, 147, 12199, 'CodevTT_RAF', '5', '4.5', 0, 1466496644),
(101651, 147, 12199, 'handler_id', '199', '147', 0, 1466496644),
(101652, 147, 12199, 'CodevTT_RAF', '4.5', '4.5', 0, 1466496815),
(101653, 147, 12199, 'CodevTT_RAF', '4.5', '1', 0, 1466496833),
(101654, 147, 12199, 'CodevTT_RAF', '1', '3.5', 0, 1466496876),
(101663, 72, 7495, 'Ref. Externe', '', '41648', 0, 1466497598),
(101698, 217, 12159, 'CodevTT_RAF', '3', '3', 0, 1466501983),
(101699, 217, 11112, '', '2046', '', 2, 1466502124),
(101700, 217, 11112, 'CodevTT_RAF', '6.3', '6', 0, 1466502124),
(101701, 217, 12159, '', '2047', '', 2, 1466502250),
(101702, 217, 12159, '', '2048', '', 2, 1466502287),
(101703, 217, 12159, '', '2049', '', 2, 1466502312),
(101704, 217, 12159, '', '2047', '2480', 3, 1466502354),
(101705, 217, 12159, 'CodevTT_RAF', '3', '3', 0, 1466502355),
(101706, 217, 12159, '', '2050', '', 2, 1466502357),
(101707, 217, 12159, 'CodevTT_RAF', '3', '3', 0, 1466502357),
(101708, 217, 12159, '', '2051', '', 2, 1466502360),
(101709, 217, 12159, 'CodevTT_RAF', '3', '3', 0, 1466502360),
(101710, 217, 12159, '', '2052', '', 2, 1466502364),
(101711, 217, 12159, 'CodevTT_RAF', '3', '3', 0, 1466502365),
(101712, 217, 12159, '', '2052', '', 4, 1466502388),
(101713, 217, 12159, '', '2051', '', 4, 1466502411),
(101714, 217, 12159, '', '2050', '', 4, 1466502417),
(101716, 158, 10399, 'CodevTT_RAF', '12', '11', 0, 1466509106),
(101736, 72, 8146, 'status', '20', '30', 0, 1466580585),
(101737, 72, 8146, 'handler_id', '200', '0', 0, 1466580612),
(101738, 72, 8146, 'status', '30', '20', 0, 1466580612),
(101739, 72, 8146, '', '0002053', '', 2, 1466580612),
(101744, 217, 9889, 'CodevTT_RAF', '0', '1', 0, 1466581013),
(101745, 217, 9889, 'status', '80', '50', 0, 1466581013),
(106930, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467964018),
(106929, 72, 12798, 'status', '10', '80', 0, 1467962870),
(101761, 72, 10391, '', '', '12281', 20, 1466585254),
(106927, 72, 12798, 'CodevTT_RAF', '', '0', 0, 1467962870),
(106926, 72, 11114, '', '', '12798', 20, 1467962582),
(106928, 72, 12798, 'CodevTT_RAF', '0', '0', 0, 1467962870),
(106925, 72, 12798, '', '', '11114', 21, 1467962582),
(101770, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466586840),
(101771, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466586856),
(101772, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466586867),
(101773, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1466586892),
(101774, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466586905),
(101775, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1466586946),
(101776, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1466586959),
(101777, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1466586971),
(101780, 72, 4324, 'summary', '39196 [SPEC] TAIGA - APP - Retro-documentation du traitement apel_adresse_pl.sh', '39196 [DOC] TAIGA - APP - Retro-documentation du traitement apel_adresse_pl.sh', 0, 1466588598),
(101786, 72, 12284, 'Ref. Externe', '', '42925', 0, 1466589723),
(101787, 72, 12284, 'CodevTT_ChargeMgr', '', '2', 0, 1466589723),
(101788, 72, 12284, 'CodevTT_ChargeInit', '', '3', 0, 1466589723),
(101789, 72, 12284, 'target_version', '', '16.0_Prov', 0, 1466589723),
(101790, 72, 12284, 'handler_id', '0', '157', 0, 1466589723),
(101791, 72, 12284, 'codevtt_type', '', 'Task', 0, 1466589723),
(101792, 72, 12285, 'Ref. Externe', '', '42925', 0, 1466589723),
(101793, 72, 12285, 'CodevTT_ChargeMgr', '', '2', 0, 1466589723),
(101794, 72, 12285, 'CodevTT_ChargeInit', '', '2', 0, 1466589723),
(101795, 72, 12285, 'target_version', '', '16.0_Prov', 0, 1466589723),
(101796, 72, 12285, 'handler_id', '0', '157', 0, 1466589723),
(101797, 72, 12285, 'codevtt_type', '', 'Task', 0, 1466589723),
(101798, 72, 9098, 'CodevTT_RAF', '0.5', '0', 0, 1466592430),
(101799, 72, 9479, 'status', '10', '20', 0, 1466592599),
(101800, 72, 9479, 'CodevTT_Dead Line', '', '', 0, 1466592599),
(101801, 72, 9478, 'status', '10', '20', 0, 1466592622),
(101802, 72, 9478, 'CodevTT_Dead Line', '', '', 0, 1466592622),
(101803, 72, 9099, 'handler_id', '74', '0', 0, 1466592664),
(101804, 72, 9099, 'CodevTT_Dead Line', '', '', 0, 1466592665),
(101805, 72, 5726, 'CodevTT_ChargeInit', '2', '5', 0, 1466592808),
(101806, 72, 5728, 'category', 'General', '3en1', 0, 1466592855),
(101807, 72, 5728, 'RSI_Type_Ano', '', 'Production', 0, 1466592855),
(101808, 72, 5728, 'CodevTT_ChargeMgr', '5', '', 0, 1466592855),
(101809, 72, 5728, 'CodevTT_ChargeInit', '2', '5', 0, 1466592855),
(101810, 72, 4284, 'CodevTT_ChargeInit', '2', '5', 0, 1466592897),
(101811, 72, 12285, 'CodevTT_ChargeInit', '2', '1', 0, 1466593396),
(101812, 158, 10399, 'CodevTT_RAF', '11', '10', 0, 1466596518),
(101813, 212, 11178, 'CodevTT_RAF', '8.3', '7.3', 0, 1466597766),
(101814, 212, 11178, 'CodevTT_RAF', '7.3', '7.3', 0, 1466597799),
(101815, 212, 11178, 'CodevTT_RAF', '7.3', '6.5', 0, 1466597819),
(101816, 212, 11178, 'CodevTT_RAF', '6.5', '5.5', 0, 1466597837),
(101817, 72, 4288, 'handler_id', '0', '2', 0, 1466599371),
(101823, 72, 12287, '', '', '', 1, 1466607283),
(101824, 72, 12287, 'handler_id', '0', '205', 0, 1466607283),
(101825, 72, 12287, '', '', '12281', 21, 1466607284),
(106924, 72, 12798, 'handler_id', '0', '72', 0, 1467962582),
(101827, 72, 12288, '', '', '', 1, 1466607385),
(101828, 72, 12288, 'handler_id', '0', '74', 0, 1466607385),
(101829, 72, 12288, '', '', '12287', 21, 1466607385),
(101830, 72, 12287, '', '', '12288', 20, 1466607385),
(101831, 72, 12057, 'summary', '42807 [SPEC] TAIGA - PUMA - Etude d\'opportunité : Bascule dun ayant droit en assuré gratuit à partir du TP : différée ou instan', '42807 [ETUD] TAIGA - PUMA - Etude d\'opportunité : Bascule dun ayant droit en assuré gratuit à partir du TP : différée ou instan', 0, 1466607691),
(101835, 72, 8146, 'CodevTT_ChargeMgr', '8', '0', 0, 1466607862),
(101836, 72, 8146, 'CodevTT_ChargeInit', '5', '0', 0, 1466607862),
(101837, 72, 8146, 'CodevTT_RAF', '4.9', '0', 0, 1466607862),
(101839, 72, 9675, 'status', '50', '80', 0, 1466608155),
(101840, 72, 9675, 'CodevTT_RAF', '0.5', '', 0, 1466608155),
(101841, 72, 9675, 'status', '80', '90', 0, 1466608171),
(101842, 72, 9675, 'CodevTT_RAF', '', '0', 0, 1466608171),
(101843, 72, 12289, 'Ref. Externe', '', '42923', 0, 1466608702),
(101844, 72, 12289, 'CodevTT_ChargeMgr', '', '2', 0, 1466608702),
(101845, 72, 12289, 'CodevTT_ChargeInit', '', '0.5', 0, 1466608702),
(101846, 72, 12289, 'target_version', '', '16.0.0', 0, 1466608702),
(101847, 72, 12289, 'handler_id', '0', '93', 0, 1466608702),
(101848, 72, 12289, 'codevtt_type', '', 'Task', 0, 1466608702),
(101849, 72, 12290, 'Ref. Externe', '', '42923', 0, 1466608702),
(101850, 72, 12290, 'CodevTT_ChargeMgr', '', '2', 0, 1466608702),
(101851, 72, 12290, 'CodevTT_ChargeInit', '', '1', 0, 1466608702),
(101852, 72, 12290, 'target_version', '', '16.0.0', 0, 1466608702),
(101853, 72, 12290, 'handler_id', '0', '93', 0, 1466608702),
(101854, 72, 12290, 'codevtt_type', '', 'Task', 0, 1466608702),
(101855, 72, 12290, 'CodevTT_RAF', '', '1', 0, 1466609238),
(101856, 72, 12290, 'status', '10', '50', 0, 1466609238),
(101857, 72, 12290, 'CodevTT_RAF', '1', '0', 0, 1466609297),
(101858, 72, 12290, 'CodevTT_RAF', '0', '0', 0, 1466609297),
(101859, 72, 12290, 'status', '50', '80', 0, 1466609297),
(101860, 72, 12290, 'CodevTT_ChargeInit', '1', '2', 0, 1466609334),
(101861, 72, 12289, 'status', '10', '50', 0, 1466609411),
(101862, 72, 12289, 'CodevTT_RAF', '', '0.5', 0, 1466609411),
(101863, 72, 11975, 'status', '50', '80', 0, 1466609536),
(101864, 72, 11975, 'CodevTT_RAF', '2', '0', 0, 1466609536),
(101865, 72, 11975, 'status', '80', '90', 0, 1466609548),
(101866, 147, 12199, 'CodevTT_RAF', '3.5', '2.75', 0, 1466610583),
(101867, 147, 10617, 'CodevTT_RAF', '0', '0', 0, 1466610613),
(101916, 212, 11178, 'CodevTT_RAF', '5.5', '5.5', 0, 1466675642),
(101917, 212, 11178, 'CodevTT_RAF', '5.5', '5', 0, 1466675667),
(101918, 212, 11178, 'CodevTT_RAF', '5', '5', 0, 1466675674),
(101965, 2, 10401, 'CodevTT_RAF', '1', '0', 0, 1466693283),
(101966, 2, 10401, 'status', '50', '80', 0, 1466693283),
(101967, 2, 10401, 'CodevTT_RAF', '0', '0', 0, 1466693283),
(101972, 146, 12137, 'CodevTT_RAF', '2', '1', 0, 1466696339),
(101973, 146, 12137, 'CodevTT_RAF', '1', '1', 0, 1466696364),
(101974, 146, 12137, 'CodevTT_RAF', '1', '1', 0, 1466696428),
(101975, 146, 12137, 'CodevTT_RAF', '1', '1', 0, 1466696664),
(101976, 2, 12284, 'CodevTT_ChargeMgr', '2', '0', 0, 1466698243),
(101977, 2, 12284, '', '0002056', '', 2, 1466698243),
(101978, 2, 7495, 'handler_id', '0', '157', 0, 1466698634),
(101979, 2, 7495, 'status', '20', '30', 0, 1466698634),
(101980, 2, 7495, 'CodevTT_ChargeInit', '2', '5', 0, 1466698634),
(101981, 2, 7495, 'CodevTT_RAF', '0', '5', 0, 1466698673),
(101982, 205, 10041, 'CodevTT_RAF', '2', '1', 0, 1466702443),
(101983, 205, 10400, '', '2057', '', 2, 1466702505),
(101984, 205, 10400, 'CodevTT_RAF', '1', '1', 0, 1466702505),
(101985, 205, 10394, '', '2058', '', 2, 1466702573),
(101986, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1466702573),
(101987, 205, 11007, 'CodevTT_RAF', '9', '1', 0, 1466702612),
(101988, 205, 10280, 'CodevTT_RAF', '1', '0.5', 0, 1466702657),
(101989, 205, 9889, 'CodevTT_RAF', '1', '0', 0, 1466702852),
(101990, 205, 9889, 'CodevTT_RAF', '0', '0', 0, 1466702852),
(101991, 205, 9889, 'status', '50', '80', 0, 1466702852),
(101992, 205, 11115, '', '2059', '', 2, 1466702939),
(101993, 205, 11115, 'CodevTT_RAF', '0.5', '0.5', 0, 1466702939),
(101994, 205, 10041, 'CodevTT_RAF', '1', '1', 0, 1466703021),
(101995, 205, 10394, 'CodevTT_RAF', '0.5', '0.5', 0, 1466703159),
(101996, 205, 10280, 'CodevTT_RAF', '0.5', '0.5', 0, 1466703187),
(101997, 205, 10280, 'CodevTT_RAF', '0.5', '0.5', 0, 1466703196),
(101998, 199, 12199, 'CodevTT_RAF', '2.75', '1', 0, 1466749621),
(101999, 199, 12199, 'handler_id', '147', '199', 0, 1466749622),
(102000, 199, 12199, 'CodevTT_RAF', '1', '1', 0, 1466749634),
(102001, 199, 12199, 'CodevTT_RAF', '1', '1', 0, 1466749643),
(102002, 199, 10330, 'CodevTT_RAF', '5', '4', 0, 1466749669),
(102003, 199, 12199, 'CodevTT_RAF', '1', '1', 0, 1466749679),
(102010, 157, 12181, 'CodevTT_RAF', '1', '1', 0, 1466757228);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(102011, 157, 12181, 'CodevTT_RAF', '1', '0', 0, 1466757246),
(102012, 157, 12181, 'CodevTT_RAF', '0', '0', 0, 1466757246),
(102013, 157, 12181, 'status', '50', '80', 0, 1466757246),
(102014, 157, 10401, 'CodevTT_RAF', '0', '0', 0, 1466757270),
(102015, 157, 9459, 'CodevTT_RAF', '0.5', '0', 0, 1466757304),
(102016, 157, 9459, 'CodevTT_RAF', '0', '0', 0, 1466757304),
(102017, 157, 9459, 'status', '50', '80', 0, 1466757304),
(102018, 72, 12302, 'Ref. Externe', '', '42942', 0, 1466757304),
(102019, 72, 12302, 'CodevTT_ChargeInit', '', '2', 0, 1466757304),
(102020, 72, 12302, 'target_version', '', '16.0.0', 0, 1466757304),
(102021, 72, 12302, 'handler_id', '0', '72', 0, 1466757304),
(102022, 72, 12302, 'codevtt_type', '', 'Bug', 0, 1466757304),
(102023, 157, 10622, 'CodevTT_RAF', '0', '0', 0, 1466757344),
(102024, 72, 12302, 'status', '10', '50', 0, 1466757358),
(102025, 72, 12302, 'RSI_Type_Ano', '', 'Recette', 0, 1466757358),
(102026, 72, 12302, 'CodevTT_ChargeInit', '2', '1', 0, 1466757358),
(102027, 157, 12059, 'CodevTT_RAF', '0.5', '0', 0, 1466757421),
(102028, 157, 12059, 'status', '50', '80', 0, 1466757421),
(102029, 157, 12059, 'CodevTT_RAF', '0', '0', 0, 1466757421),
(102030, 157, 7393, 'CodevTT_RAF', '4', '0', 0, 1466757457),
(102031, 157, 7393, 'status', '20', '80', 0, 1466757457),
(102032, 157, 7393, 'CodevTT_RAF', '0', '0', 0, 1466757457),
(102033, 72, 12302, 'CodevTT_RAF', '', '0', 0, 1466757467),
(102034, 72, 12302, 'CodevTT_RAF', '0', '0', 0, 1466757467),
(102035, 72, 12302, 'status', '50', '80', 0, 1466757467),
(102040, 157, 6723, 'CodevTT_RAF', '1', '0', 0, 1466757705),
(102041, 157, 6723, 'status', '50', '80', 0, 1466757705),
(102042, 157, 6723, 'CodevTT_RAF', '0', '0', 0, 1466757705),
(102043, 157, 6723, 'CodevTT_Dead Line', '', '', 0, 1466757705),
(102044, 157, 9463, 'CodevTT_RAF', '1', '0', 0, 1466757886),
(102045, 157, 9463, 'status', '50', '80', 0, 1466757886),
(102046, 157, 9463, 'CodevTT_RAF', '0', '0', 0, 1466757886),
(102047, 157, 9463, 'CodevTT_Dead Line', '', '', 0, 1466757886),
(102048, 157, 9466, 'CodevTT_RAF', '1', '0', 0, 1466757914),
(102049, 157, 9466, 'status', '50', '80', 0, 1466757914),
(102050, 157, 9466, 'CodevTT_RAF', '0', '0', 0, 1466757914),
(102051, 157, 9466, 'CodevTT_Dead Line', '', '', 0, 1466757914),
(102052, 72, 12303, 'Ref. Externe', '', '41937', 0, 1466757997),
(102053, 72, 12303, 'CodevTT_ChargeInit', '', '5', 0, 1466757997),
(102054, 72, 12303, 'target_version', '', '17.3_PUMA', 0, 1466757997),
(102055, 72, 12303, 'handler_id', '0', '134', 0, 1466757997),
(102056, 72, 12303, 'codevtt_type', '', 'Task', 0, 1466757997),
(102057, 72, 12304, 'Ref. Externe', '', '41937', 0, 1466757998),
(102058, 72, 12304, 'CodevTT_ChargeInit', '', '8', 0, 1466757998),
(102059, 72, 12304, 'target_version', '', '17.3_PUMA', 0, 1466757998),
(102060, 72, 12304, 'handler_id', '0', '134', 0, 1466757998),
(102061, 72, 12304, 'codevtt_type', '', 'Task', 0, 1466757998),
(102062, 157, 12110, 'CodevTT_RAF', '1', '0', 0, 1466758018),
(102063, 157, 12110, 'status', '50', '80', 0, 1466758018),
(102064, 157, 12110, 'CodevTT_RAF', '0', '0', 0, 1466758018),
(102065, 157, 12182, 'CodevTT_RAF', '1', '0', 0, 1466758072),
(102066, 157, 12182, 'status', '50', '80', 0, 1466758072),
(102067, 157, 12182, 'CodevTT_RAF', '0', '0', 0, 1466758072),
(102076, 72, 10144, 'CodevTT_RAF', '11', '0', 0, 1466758247),
(102077, 72, 10144, 'status', '50', '80', 0, 1466758247),
(102078, 72, 10144, 'CodevTT_RAF', '0', '0', 0, 1466758247),
(102079, 157, 7495, 'target_version', '15.0.0_Nov', '16.0_Prov', 0, 1466758975),
(102080, 157, 10195, 'target_version', '16.0_TO', '', 0, 1466759119),
(102081, 74, 10423, 'CodevTT_RAF', '7', '5', 0, 1466759248),
(102082, 74, 10423, 'CodevTT_RAF', '5', '5', 0, 1466759258),
(102083, 72, 12305, 'Ref. Externe', '', '41937', 0, 1466759259),
(102084, 72, 12305, 'CodevTT_ChargeInit', '', '3', 0, 1466759259),
(102085, 72, 12305, 'target_version', '', '17.3_PUMA', 0, 1466759259),
(102086, 72, 12305, 'codevtt_type', '', 'Task', 0, 1466759259),
(102087, 72, 12306, 'Ref. Externe', '', '41937', 0, 1466759259),
(102088, 72, 12306, 'CodevTT_ChargeInit', '', '6', 0, 1466759259),
(102089, 72, 12306, 'target_version', '', '17.3_PUMA', 0, 1466759259),
(102090, 72, 12306, 'codevtt_type', '', 'Task', 0, 1466759259),
(102091, 72, 12307, 'Ref. Externe', '', '41937', 0, 1466759260),
(102092, 72, 12307, 'CodevTT_ChargeInit', '', '2', 0, 1466759260),
(102093, 72, 12307, 'target_version', '', '17.3_PUMA', 0, 1466759260),
(102094, 72, 12307, 'codevtt_type', '', 'Task', 0, 1466759260),
(102095, 72, 12308, 'Ref. Externe', '', '41937', 0, 1466759260),
(102096, 72, 12308, 'CodevTT_ChargeInit', '', '4', 0, 1466759260),
(102097, 72, 12308, 'target_version', '', '17.3_PUMA', 0, 1466759260),
(102098, 72, 12308, 'codevtt_type', '', 'Task', 0, 1466759260),
(102099, 72, 12309, 'Ref. Externe', '', '41937', 0, 1466759260),
(102100, 72, 12309, 'CodevTT_ChargeInit', '', '1', 0, 1466759260),
(102101, 72, 12309, 'target_version', '', '17.3_PUMA', 0, 1466759260),
(102102, 72, 12309, 'codevtt_type', '', 'Task', 0, 1466759260),
(163108, 199, 12317, 'CodevTT_Dead Line', '', '', 0, 1482326870),
(163107, 199, 12317, 'handler_id', '147', '158', 0, 1482326870),
(102107, 72, 12311, 'Ref. Externe', '', '41937', 0, 1466759261),
(102108, 72, 12311, 'CodevTT_ChargeInit', '', '3', 0, 1466759261),
(102109, 72, 12311, 'target_version', '', '17.3_PUMA', 0, 1466759261),
(102110, 72, 12311, 'codevtt_type', '', 'Task', 0, 1466759261),
(102111, 72, 12312, 'Ref. Externe', '', '41937', 0, 1466759261),
(102112, 72, 12312, 'CodevTT_ChargeInit', '', '1', 0, 1466759261),
(102113, 72, 12312, 'target_version', '', '17.3_PUMA', 0, 1466759261),
(102114, 72, 12312, 'codevtt_type', '', 'Task', 0, 1466759261),
(102115, 72, 12313, 'Ref. Externe', '', '41937', 0, 1466759261),
(102116, 72, 12313, 'CodevTT_ChargeInit', '', '2', 0, 1466759261),
(102117, 72, 12313, 'target_version', '', '17.3_PUMA', 0, 1466759261),
(102118, 72, 12313, 'codevtt_type', '', 'Task', 0, 1466759261),
(102119, 72, 12314, 'Ref. Externe', '', '41937', 0, 1466759261),
(102120, 72, 12314, 'CodevTT_ChargeInit', '', '4', 0, 1466759261),
(102121, 72, 12314, 'target_version', '', '17.3_PUMA', 0, 1466759261),
(102122, 72, 12314, 'codevtt_type', '', 'Task', 0, 1466759261),
(102123, 72, 12315, 'Ref. Externe', '', '41937', 0, 1466759261),
(102124, 72, 12315, 'CodevTT_ChargeInit', '', '1', 0, 1466759261),
(102125, 72, 12315, 'target_version', '', '17.3_PUMA', 0, 1466759261),
(102126, 72, 12315, 'codevtt_type', '', 'Task', 0, 1466759261),
(102127, 72, 12316, 'Ref. Externe', '', '41937', 0, 1466759262),
(102128, 72, 12316, 'CodevTT_ChargeInit', '', '5', 0, 1466759262),
(102129, 72, 12316, 'target_version', '', '17.3_PUMA', 0, 1466759262),
(102130, 72, 12316, 'codevtt_type', '', 'Task', 0, 1466759262),
(102131, 72, 12317, 'Ref. Externe', '', '41937', 0, 1466759262),
(102132, 72, 12317, 'CodevTT_ChargeInit', '', '2', 0, 1466759262),
(102133, 72, 12317, 'target_version', '', '17.3_PUMA', 0, 1466759262),
(102134, 72, 12317, 'codevtt_type', '', 'Task', 0, 1466759262),
(102135, 72, 12318, 'Ref. Externe', '', '41937', 0, 1466759262),
(102136, 72, 12318, 'CodevTT_ChargeInit', '', '9', 0, 1466759262),
(102137, 72, 12318, 'target_version', '', '17.3_PUMA', 0, 1466759262),
(102138, 72, 12318, 'codevtt_type', '', 'Task', 0, 1466759262),
(102139, 72, 12319, 'Ref. Externe', '', '41937', 0, 1466759262),
(102140, 72, 12319, 'CodevTT_ChargeInit', '', '3', 0, 1466759262),
(102141, 72, 12319, 'target_version', '', '17.3_PUMA', 0, 1466759262),
(102142, 72, 12319, 'codevtt_type', '', 'Task', 0, 1466759262),
(102143, 72, 12320, 'Ref. Externe', '', '41937', 0, 1466759262),
(102144, 72, 12320, 'CodevTT_ChargeInit', '', '2', 0, 1466759262),
(102145, 72, 12320, 'target_version', '', '17.3_PUMA', 0, 1466759262),
(102146, 72, 12320, 'codevtt_type', '', 'Task', 0, 1466759262),
(102147, 72, 12321, 'Ref. Externe', '', '41937', 0, 1466759263),
(102148, 72, 12321, 'CodevTT_ChargeInit', '', '1', 0, 1466759263),
(102149, 72, 12321, 'target_version', '', '17.3_PUMA', 0, 1466759263),
(102150, 72, 12321, 'codevtt_type', '', 'Task', 0, 1466759263),
(121866, 2, 12313, '', '2500', '12305', 18, 1472048303),
(121865, 2, 12305, '', '2501', '12313', 18, 1472048303),
(121864, 2, 12305, '', '2501', '12312', 18, 1472048258),
(121863, 2, 12312, '', '2500', '12305', 18, 1472048258),
(102155, 72, 12323, 'Ref. Externe', '', '41937', 0, 1466759263),
(102156, 72, 12323, 'CodevTT_ChargeInit', '', '4', 0, 1466759263),
(102157, 72, 12323, 'target_version', '', '17.3_PUMA', 0, 1466759263),
(102158, 72, 12323, 'codevtt_type', '', 'Task', 0, 1466759263),
(102159, 72, 12324, 'Ref. Externe', '', '41937', 0, 1466759264),
(102160, 72, 12324, 'CodevTT_ChargeInit', '', '5', 0, 1466759264),
(102161, 72, 12324, 'target_version', '', '17.3_PUMA', 0, 1466759264),
(102162, 72, 12324, 'codevtt_type', '', 'Task', 0, 1466759264),
(102163, 72, 12325, 'Ref. Externe', '', '41937', 0, 1466759264),
(102164, 72, 12325, 'CodevTT_ChargeInit', '', '2', 0, 1466759264),
(102165, 72, 12325, 'target_version', '', '17.3_PUMA', 0, 1466759264),
(102166, 72, 12325, 'codevtt_type', '', 'Task', 0, 1466759264),
(102167, 72, 12326, 'Ref. Externe', '', '41937', 0, 1466759264),
(102168, 72, 12326, 'CodevTT_ChargeInit', '', '3', 0, 1466759264),
(102169, 72, 12326, 'target_version', '', '17.3_PUMA', 0, 1466759264),
(102170, 72, 12326, 'codevtt_type', '', 'Task', 0, 1466759264),
(102171, 72, 12327, 'Ref. Externe', '', '41937', 0, 1466759264),
(102172, 72, 12327, 'CodevTT_ChargeInit', '', '3', 0, 1466759264),
(102173, 72, 12327, 'target_version', '', '17.3_PUMA', 0, 1466759264),
(102174, 72, 12327, 'codevtt_type', '', 'Task', 0, 1466759264),
(102175, 72, 12328, 'Ref. Externe', '', '41937', 0, 1466759265),
(102176, 72, 12328, 'CodevTT_ChargeInit', '', '5', 0, 1466759265),
(102177, 72, 12328, 'target_version', '', '17.3_PUMA', 0, 1466759265),
(102178, 72, 12328, 'codevtt_type', '', 'Task', 0, 1466759265),
(169098, 72, 14013, 'summary', '41937 [QUAL] - Partie MAJOC', '44027 [QUAL] - Echanges avec les OC - MAJOC', 0, 1483956888),
(102183, 74, 10423, 'CodevTT_RAF', '5', '5', 0, 1466759266),
(102184, 74, 10423, 'CodevTT_RAF', '5', '5', 0, 1466759274),
(102186, 72, 12328, 'handler_id', '0', '134', 0, 1466759357),
(102187, 72, 12327, 'handler_id', '0', '134', 0, 1466759357),
(102188, 72, 12324, 'handler_id', '0', '134', 0, 1466759357),
(102189, 72, 12326, 'handler_id', '0', '134', 0, 1466759357),
(102190, 72, 12325, 'handler_id', '0', '134', 0, 1466759357),
(121862, 2, 12305, '', '2501', '12311', 18, 1472048229),
(102192, 72, 12321, 'handler_id', '0', '134', 0, 1466759357),
(102193, 72, 12323, 'handler_id', '0', '134', 0, 1466759357),
(102194, 72, 12320, 'handler_id', '0', '134', 0, 1466759357),
(102195, 72, 12317, 'handler_id', '0', '134', 0, 1466759357),
(102196, 72, 12319, 'handler_id', '0', '134', 0, 1466759357),
(102197, 72, 12316, 'handler_id', '0', '134', 0, 1466759357),
(102198, 72, 12318, 'handler_id', '0', '134', 0, 1466759357),
(102199, 72, 12311, 'handler_id', '0', '134', 0, 1466759357),
(102200, 72, 12313, 'handler_id', '0', '134', 0, 1466759357),
(102201, 72, 12315, 'handler_id', '0', '134', 0, 1466759357),
(102203, 72, 12312, 'handler_id', '0', '134', 0, 1466759357),
(102204, 72, 12314, 'handler_id', '0', '134', 0, 1466759357),
(102205, 72, 12308, 'handler_id', '0', '134', 0, 1466759357),
(102206, 72, 12307, 'handler_id', '0', '134', 0, 1466759357),
(102207, 72, 12309, 'handler_id', '0', '134', 0, 1466759357),
(102208, 72, 12306, 'handler_id', '0', '134', 0, 1466759357),
(102209, 72, 12305, 'handler_id', '0', '134', 0, 1466759357),
(102210, 72, 12330, '', '', '', 1, 1466759971),
(102211, 72, 12330, 'handler_id', '0', '169', 0, 1466759971),
(102212, 72, 12330, '', '', '10390', 21, 1466759972),
(102213, 72, 10390, '', '', '12330', 20, 1466759972),
(102215, 134, 12303, 'CodevTT_RAF', '', '2', 0, 1466761131),
(102216, 134, 12303, 'status', '10', '50', 0, 1466761131),
(102217, 134, 12303, 'CodevTT_RAF', '2', '2', 0, 1466761152),
(102218, 134, 12303, 'CodevTT_RAF', '2', '2', 0, 1466761168),
(102219, 134, 12303, 'CodevTT_RAF', '2', '4', 0, 1466761197),
(102220, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1466761464),
(102221, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466761481),
(102222, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466761490),
(102223, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1466761501),
(102224, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1466761512),
(102225, 134, 12318, 'CodevTT_RAF', '', '10', 0, 1466761512),
(102226, 134, 12318, 'status', '10', '50', 0, 1466761512),
(102227, 134, 12318, 'CodevTT_RAF', '10', '10', 0, 1466761542),
(102228, 134, 12318, 'CodevTT_RAF', '10', '10', 0, 1466762421),
(102230, 72, 12331, '', '', '', 1, 1466766999),
(102231, 72, 12331, 'handler_id', '0', '146', 0, 1466766999),
(102232, 72, 12331, '', '', '10280', 21, 1466766999),
(102233, 72, 10280, '', '', '12331', 20, 1466766999),
(102234, 147, 12199, 'CodevTT_RAF', '1', '1', 0, 1466767440),
(102235, 147, 12199, 'CodevTT_RAF', '1', '0', 0, 1466767466),
(102236, 147, 12199, 'CodevTT_RAF', '0', '0', 0, 1466767466),
(102237, 147, 12199, 'status', '50', '80', 0, 1466767466),
(102238, 200, 8454, 'CodevTT_RAF', '24', '23', 0, 1466767890),
(102239, 200, 8454, 'CodevTT_RAF', '23', '22', 0, 1466767898),
(102240, 200, 8454, 'CodevTT_RAF', '22', '20', 0, 1466767906),
(102241, 200, 8454, 'CodevTT_RAF', '20', '1', 0, 1466767918),
(102242, 200, 8454, 'CodevTT_RAF', '1', '19', 0, 1466767932),
(102268, 157, 5726, 'target_version', '15.0.0_Nov', '16.0_Prov', 0, 1466772546),
(102269, 72, 5726, 'handler_id', '0', '147', 0, 1466772802),
(102270, 72, 5726, 'status', '10', '50', 0, 1466772802),
(102271, 72, 5726, 'CodevTT_ChargeInit', '5', '2', 0, 1466772802),
(102272, 199, 12060, 'status', '50', '80', 0, 1466773952),
(102273, 199, 12060, 'resolution', '10', '20', 0, 1466773952),
(102274, 199, 12060, 'status', '80', '90', 0, 1466773972),
(102275, 199, 12060, '', '0002067', '', 2, 1466773972),
(102276, 199, 12060, 'CodevTT_RAF', '', '0', 0, 1466773972),
(102277, 199, 9683, 'CodevTT_RAF', '0', '0', 0, 1466774284),
(102278, 199, 9683, 'CodevTT_RAF', '0', '0', 0, 1466774301),
(102279, 199, 10330, 'CodevTT_RAF', '4', '3', 0, 1466774336),
(102528, 217, 9889, 'CodevTT_RAF', '0', '4', 0, 1467013716),
(102529, 217, 9889, 'status', '80', '50', 0, 1467013716),
(113066, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1469708691),
(113065, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1469708680),
(103193, 72, 12465, 'Ref. Externe', '', '42956', 0, 1467102599),
(103194, 72, 12465, 'CodevTT_ChargeInit', '', '2', 0, 1467102599),
(103195, 72, 12465, 'handler_id', '0', '157', 0, 1467102600),
(103196, 72, 12465, 'codevtt_type', '', 'Bug', 0, 1467102600),
(103197, 72, 12466, 'Ref. Externe', '', '42957', 0, 1467102603),
(103198, 72, 12466, 'CodevTT_ChargeInit', '', '2', 0, 1467102603),
(103199, 72, 12466, 'handler_id', '0', '157', 0, 1467102603),
(103200, 72, 12466, 'codevtt_type', '', 'Bug', 0, 1467102603),
(103201, 72, 12467, 'Ref. Externe', '', '42958', 0, 1467102605),
(103202, 72, 12467, 'CodevTT_ChargeInit', '', '2', 0, 1467102605),
(103203, 72, 12467, 'handler_id', '0', '157', 0, 1467102605),
(103204, 72, 12467, 'codevtt_type', '', 'Bug', 0, 1467102605),
(103205, 72, 12467, 'RSI_Type_Ano', '', 'Production', 0, 1467102722),
(103206, 72, 12466, 'RSI_Type_Ano', '', 'Production', 0, 1467102722),
(103207, 72, 12465, 'RSI_Type_Ano', '', 'Production', 0, 1467102722),
(103242, 217, 9889, 'CodevTT_RAF', '4', '4', 0, 1467120091),
(103243, 217, 9889, 'CodevTT_RAF', '4', '4', 0, 1467120106),
(103244, 217, 9889, 'CodevTT_RAF', '4', '4', 0, 1467120118),
(103245, 217, 11112, '', '2150', '', 2, 1467120194),
(103246, 217, 11112, 'CodevTT_RAF', '6', '4', 0, 1467120194),
(103271, 157, 12465, 'CodevTT_RAF', '', '0', 0, 1467122184),
(103272, 157, 12465, 'CodevTT_RAF', '0', '0', 0, 1467122184),
(103273, 157, 12465, 'status', '10', '80', 0, 1467122184),
(103274, 157, 12467, 'CodevTT_RAF', '', '0', 0, 1467122222),
(103275, 157, 12467, 'CodevTT_RAF', '0', '0', 0, 1467122222),
(103276, 157, 12467, 'status', '10', '80', 0, 1467122222),
(103277, 157, 12466, 'CodevTT_RAF', '', '0.25', 0, 1467122275),
(103278, 157, 12466, 'status', '10', '50', 0, 1467122275),
(103279, 157, 12466, 'CodevTT_RAF', '0.25', '1', 0, 1467122293),
(103280, 157, 10622, 'CodevTT_RAF', '0', '1', 0, 1467122373),
(103281, 157, 10622, 'status', '80', '50', 0, 1467122373),
(104198, 2, 12654, '', '', '', 1, 1467125545),
(104199, 2, 12654, 'CodevTT_RAF', '', '0', 0, 1467125589),
(104200, 2, 12654, 'CodevTT_RAF', '0', '0', 0, 1467125589),
(104201, 2, 12654, 'status', '10', '80', 0, 1467125589),
(104202, 2, 12654, 'handler_id', '0', '2', 0, 1467125589),
(104323, 217, 12159, '', '2158', '', 2, 1467183497),
(104324, 217, 12159, 'CodevTT_RAF', '3', '3', 0, 1467183497),
(104332, 72, 10290, 'handler_id', '93', '74', 0, 1467186556),
(104333, 72, 10290, 'status', '20', '50', 0, 1467186556),
(104334, 72, 10290, 'CodevTT_Dead Line', '1461189600', '', 0, 1467186574),
(104351, 72, 12657, '', '', '', 1, 1467189070),
(104352, 72, 12657, 'handler_id', '0', '134', 0, 1467189070),
(104373, 116, 12186, 'CodevTT_RAF', '1', '1', 0, 1467190608),
(104413, 2, 12654, 'CodevTT_RAF', '0', '0', 0, 1467205078),
(104417, 134, 12305, 'CodevTT_RAF', '', '3', 0, 1467208661),
(104418, 134, 12305, 'status', '10', '50', 0, 1467208661),
(104419, 134, 12305, 'CodevTT_RAF', '3', '3', 0, 1467208672),
(104420, 134, 12657, 'CodevTT_RAF', '', '0', 0, 1467208694),
(104421, 134, 12657, 'CodevTT_RAF', '0', '0', 0, 1467208694),
(104422, 134, 12657, 'status', '10', '80', 0, 1467208694),
(104423, 134, 12657, 'CodevTT_RAF', '0', '0', 0, 1467208717),
(104514, 72, 12327, 'handler_id', '134', '199', 0, 1467275590),
(104515, 72, 12327, 'summary', '41937 [DEV] -SPOC-Augm de la taille des spoc de cotisation ', '41937 [DEV] -SPOC-Augm de la taille des spoc de cotisation', 0, 1467275590),
(104565, 2, 12654, 'CodevTT_RAF', '0', '0', 0, 1467279684),
(104568, 147, 10617, 'CodevTT_RAF', '0', '0', 0, 1467279725),
(104576, 147, 5726, 'CodevTT_RAF', '', '1', 0, 1467280271),
(104577, 147, 5726, 'CodevTT_RAF', '1', '0.25', 0, 1467280305),
(104578, 147, 5726, 'CodevTT_RAF', '0.25', '0', 0, 1467280351),
(104579, 147, 5726, 'CodevTT_RAF', '0', '0', 0, 1467280351),
(104580, 147, 5726, 'status', '50', '80', 0, 1467280351),
(104585, 147, 12331, 'CodevTT_RAF', '', '4.25', 0, 1467280489),
(104586, 147, 12331, 'status', '10', '50', 0, 1467280489),
(104812, 217, 12159, '', '2233', '', 2, 1467291758),
(104813, 217, 12159, 'CodevTT_RAF', '3', '3', 0, 1467291758),
(104815, 217, 12159, '', '2158', '', 4, 1467291778),
(104827, 217, 11112, '', '2234', '', 2, 1467291993),
(104828, 217, 11112, 'CodevTT_RAF', '4', '4', 0, 1467291993),
(104829, 217, 10395, 'CodevTT_RAF', '0.5', '4', 0, 1467292046),
(104830, 217, 10393, 'CodevTT_RAF', '0', '0', 0, 1467292088),
(104831, 217, 10392, 'CodevTT_RAF', '0.5', '0.5', 0, 1467292119),
(104832, 217, 10392, 'CodevTT_RAF', '0.5', '0.5', 0, 1467292155),
(104833, 217, 10394, 'CodevTT_RAF', '0.5', '1', 0, 1467292184),
(104834, 217, 10393, 'CodevTT_RAF', '0', '0', 0, 1467292220),
(104836, 217, 10397, 'CodevTT_RAF', '1', '0.5', 0, 1467292488),
(104837, 217, 11112, '', '2235', '', 2, 1467292886),
(104838, 217, 11112, 'CodevTT_RAF', '4', '5', 0, 1467292887),
(104839, 217, 11112, '', '2234', '', 4, 1467292897),
(104854, 116, 10426, 'CodevTT_RAF', '0.5', '0.5', 0, 1467294350),
(104892, 217, 10395, 'CodevTT_RAF', '4', '1', 0, 1467295183),
(104893, 217, 10393, 'CodevTT_RAF', '0', '1', 0, 1467295198),
(104894, 217, 10392, 'CodevTT_RAF', '0.5', '1', 0, 1467295208),
(104895, 217, 10397, 'CodevTT_RAF', '0.5', '1', 0, 1467295225),
(104902, 116, 10426, 'CodevTT_RAF', '0.5', '0', 0, 1467296796),
(104903, 116, 10426, 'CodevTT_RAF', '0', '0', 0, 1467296796),
(104904, 116, 10426, 'status', '50', '80', 0, 1467296796),
(104905, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467297310),
(104906, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467297322),
(104907, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1467297340),
(104908, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467297356),
(104909, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467297376),
(104910, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467297394),
(104911, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1467297408),
(104912, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467297421),
(104913, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467297431),
(104982, 157, 9468, 'CodevTT_RAF', '1.5', '1', 0, 1467350332),
(104983, 157, 12465, 'CodevTT_RAF', '0', '1.5', 0, 1467350364),
(104984, 157, 12465, 'status', '80', '50', 0, 1467350364),
(104985, 157, 12465, 'CodevTT_RAF', '1.5', '1', 0, 1467350390),
(104992, 72, 12686, '', '', '', 1, 1467356461),
(104993, 72, 12686, 'handler_id', '0', '169', 0, 1467356462),
(104994, 72, 12686, '', '', '12290', 21, 1467356462),
(104995, 72, 12290, '', '', '12686', 20, 1467356462),
(104998, 72, 12289, 'status', '50', '80', 0, 1467356836),
(104999, 72, 12289, 'CodevTT_ChargeMgr', '2', '6', 0, 1467356836),
(105000, 72, 12289, 'CodevTT_RAF', '0.5', '', 0, 1467356836),
(105001, 72, 12290, 'CodevTT_ChargeMgr', '2', '3', 0, 1467356900),
(105002, 74, 10423, 'CodevTT_RAF', '5', '5', 0, 1467357211),
(105003, 74, 10423, 'CodevTT_RAF', '5', '4.5', 0, 1467357233),
(105004, 74, 10423, 'CodevTT_RAF', '4.5', '3', 0, 1467357278),
(105026, 74, 10290, 'CodevTT_RAF', '0.05', '1', 0, 1467358270),
(105027, 74, 10290, 'CodevTT_RAF', '1', '1', 0, 1467358295),
(105033, 217, 12159, 'CodevTT_RAF', '3', '2', 0, 1467358456),
(105055, 158, 10399, 'CodevTT_RAF', '10', '19', 0, 1467358997),
(105056, 158, 10399, 'CodevTT_RAF', '19', '18', 0, 1467359016),
(105057, 158, 10399, 'CodevTT_RAF', '18', '17', 0, 1467359034),
(105059, 158, 10399, 'CodevTT_RAF', '17', '10', 0, 1467359045),
(105075, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1467359249),
(105147, 72, 12687, '', '', '', 1, 1467361871),
(105148, 72, 12687, 'handler_id', '0', '205', 0, 1467361871),
(105150, 72, 12688, '', '', '', 1, 1467361991),
(105151, 72, 12688, 'handler_id', '0', '147', 0, 1467361991),
(105152, 72, 12688, '', '', '12687', 21, 1467361991),
(105153, 72, 12687, '', '', '12688', 20, 1467361991),
(105155, 72, 12689, '', '', '', 1, 1467362027),
(105156, 72, 12689, 'handler_id', '0', '147', 0, 1467362027),
(105157, 72, 12689, '', '', '12688', 21, 1467362027),
(105158, 72, 12688, '', '', '12689', 20, 1467362027),
(105161, 72, 12689, 'target_version', '', '17.3_PUMA', 0, 1467362065),
(105183, 72, 9889, '', '2263', '', 2, 1467363786),
(105287, 147, 5726, 'CodevTT_RAF', '0', '0', 0, 1467383282),
(105288, 147, 12331, 'CodevTT_RAF', '4.25', '3.25', 0, 1467383317),
(105290, 146, 12137, 'CodevTT_RAF', '1', '1', 0, 1467384050),
(105291, 146, 12137, 'CodevTT_RAF', '1', '1', 0, 1467384084),
(105292, 146, 12137, 'CodevTT_RAF', '1', '1', 0, 1467384164),
(105293, 146, 11007, 'CodevTT_RAF', '1', '7', 0, 1467384400),
(105294, 146, 11007, 'CodevTT_RAF', '7', '7', 0, 1467384439),
(105295, 146, 11007, 'CodevTT_RAF', '7', '6.5', 0, 1467384505),
(105296, 146, 11007, 'CodevTT_RAF', '6.5', '6.5', 0, 1467384605),
(105364, 134, 12303, 'CodevTT_RAF', '4', '0.5', 0, 1467389191),
(105365, 134, 12303, 'CodevTT_RAF', '0.5', '0.5', 0, 1467389203),
(105465, 200, 8454, 'CodevTT_RAF', '19', '18', 0, 1467616467),
(105466, 200, 8454, 'CodevTT_RAF', '18', '17', 0, 1467616491),
(105479, 212, 11178, 'CodevTT_RAF', '5', '4', 0, 1467618479),
(105480, 212, 11178, 'CodevTT_RAF', '4', '3', 0, 1467618498),
(105481, 212, 11178, 'CodevTT_RAF', '3', '7', 0, 1467618738),
(105482, 212, 11178, 'CodevTT_RAF', '7', '6', 0, 1467618752),
(105483, 212, 11178, 'CodevTT_RAF', '6', '6', 0, 1467618767),
(105487, 146, 12137, 'CodevTT_RAF', '1', '0', 0, 1467619534),
(105488, 146, 12137, 'CodevTT_RAF', '0', '0', 0, 1467619534),
(105489, 146, 12137, 'status', '50', '80', 0, 1467619534),
(105586, 217, 12159, 'CodevTT_RAF', '2', '2', 0, 1467621868),
(105618, 2, 12654, 'CodevTT_RAF', '0', '0', 0, 1467623117),
(105645, 199, 10330, 'CodevTT_RAF', '3', '3', 0, 1467623425),
(105647, 199, 10330, 'CodevTT_RAF', '3', '3', 0, 1467623460),
(105648, 199, 12199, 'CodevTT_RAF', '0', '1', 0, 1467623483),
(105649, 199, 12199, 'status', '80', '50', 0, 1467623483),
(105650, 199, 12199, 'CodevTT_RAF', '1', '1', 0, 1467623492),
(105654, 199, 10622, 'CodevTT_RAF', '1', '1', 0, 1467623527),
(105659, 199, 10622, 'CodevTT_RAF', '1', '1', 0, 1467623554),
(105811, 72, 12738, '', '', '', 1, 1467631792),
(105812, 72, 12738, 'handler_id', '0', '199', 0, 1467631792),
(105813, 72, 12739, '', '', '', 1, 1467631853),
(105814, 72, 12739, 'handler_id', '0', '199', 0, 1467631854),
(105815, 72, 12739, '', '', '12738', 21, 1467631854),
(105816, 72, 12738, '', '', '12739', 20, 1467631854),
(105817, 72, 12738, '', '3', '12739', 18, 1467631854),
(105818, 72, 12739, '', '2', '12738', 18, 1467631854),
(106454, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467812425),
(106455, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1467812450),
(106456, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1467812471),
(106457, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1467812527),
(106453, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467812412),
(106059, 134, 12303, 'CodevTT_RAF', '0.5', '0', 0, 1467640301),
(106060, 134, 12303, 'CodevTT_RAF', '0', '0', 0, 1467640301),
(106061, 134, 12303, 'status', '50', '80', 0, 1467640301),
(106066, 217, 12687, 'CodevTT_RAF', '', '2', 0, 1467641187),
(106067, 217, 12687, 'status', '10', '50', 0, 1467641187),
(106068, 217, 12687, 'CodevTT_RAF', '2', '2', 0, 1467641188),
(106069, 217, 12687, 'CodevTT_RAF', '2', '2', 0, 1467641204),
(106070, 217, 12687, 'CodevTT_RAF', '2', '2', 0, 1467641213),
(106197, 72, 12687, 'CodevTT_ChargeMgr', '0', '3', 0, 1467712007),
(106198, 72, 12688, 'CodevTT_ChargeMgr', '0', '10', 0, 1467712072),
(106199, 72, 12688, 'CodevTT_ChargeInit', '2', '6', 0, 1467712072),
(106212, 212, 12113, 'CodevTT_RAF', '0.2', '0.5', 0, 1467726273),
(106213, 212, 12113, 'CodevTT_RAF', '0.5', '0', 0, 1467726311),
(106214, 212, 12113, 'CodevTT_RAF', '0', '0', 0, 1467726311),
(106215, 212, 12113, 'status', '50', '80', 0, 1467726311),
(106217, 72, 12781, '', '', '', 1, 1467726796),
(106218, 72, 12781, 'handler_id', '0', '72', 0, 1467726796),
(106219, 72, 12781, 'CodevTT_RAF', '', '5', 0, 1467726873),
(106220, 72, 12781, 'status', '10', '50', 0, 1467726873),
(106221, 116, 10399, 'CodevTT_RAF', '10', '10', 0, 1467727362),
(106222, 116, 10399, 'CodevTT_RAF', '10', '10', 0, 1467727372),
(106223, 217, 12159, 'CodevTT_RAF', '2', '1', 0, 1467727692),
(106224, 205, 12159, 'CodevTT_RAF', '1', '1', 0, 1467728862),
(106225, 205, 12159, 'CodevTT_RAF', '1', '1', 0, 1467728880),
(106226, 205, 10396, 'CodevTT_RAF', '2', '2', 0, 1467729364),
(106227, 205, 12157, 'CodevTT_RAF', '0.5', '0', 0, 1467729480),
(106228, 205, 12157, 'CodevTT_RAF', '0', '0', 0, 1467729480),
(106229, 205, 12157, 'status', '50', '80', 0, 1467729480),
(106230, 205, 12157, 'CodevTT_RAF', '0', '0', 0, 1467729601),
(106231, 205, 12687, 'CodevTT_RAF', '2', '2', 0, 1467729703),
(106232, 205, 12782, '', '', '', 1, 1467729777),
(106233, 205, 12783, '', '', '', 1, 1467729876),
(106349, 205, 9889, 'status', '50', '80', 0, 1467730731),
(106350, 205, 9889, 'CodevTT_RAF', '4', '0', 0, 1467730731),
(106357, 205, 12160, 'status', '50', '80', 0, 1467730866),
(106452, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467812398),
(106464, 116, 10399, 'CodevTT_RAF', '10', '9', 0, 1467815304),
(106470, 74, 10290, 'CodevTT_RAF', '1', '1', 0, 1467815870),
(106471, 74, 10290, 'CodevTT_RAF', '1', '1', 0, 1467815910),
(106472, 74, 10290, 'CodevTT_RAF', '1', '0.5', 0, 1467815922),
(106477, 157, 12467, 'CodevTT_RAF', '0', '0.5', 0, 1467821163),
(106478, 157, 12467, 'CodevTT_RAF', '0.5', '0.5', 0, 1467821186),
(106479, 157, 12467, 'status', '80', '50', 0, 1467821186),
(106480, 157, 12466, 'CodevTT_RAF', '1', '0.5', 0, 1467821211),
(106481, 157, 9468, 'CodevTT_RAF', '1', '0.5', 0, 1467821232),
(106482, 157, 6636, 'CodevTT_RAF', '1.5', '0.5', 0, 1467821262),
(106483, 157, 6636, 'status', '30', '50', 0, 1467821262),
(106484, 157, 12465, 'CodevTT_RAF', '1', '0.5', 0, 1467821282),
(106485, 157, 12467, 'CodevTT_RAF', '0.5', '0', 0, 1467821303),
(106486, 157, 12467, 'CodevTT_RAF', '0', '0', 0, 1467821304),
(106487, 157, 12467, 'status', '50', '80', 0, 1467821304),
(106488, 157, 12467, 'CodevTT_RAF', '0', '0', 0, 1467821322),
(106489, 157, 12465, 'CodevTT_RAF', '0.5', '0', 0, 1467821368),
(106490, 157, 12465, 'CodevTT_RAF', '0', '0', 0, 1467821368),
(106491, 157, 12465, 'status', '50', '80', 0, 1467821368),
(106492, 157, 9468, 'CodevTT_RAF', '0.5', '0.5', 0, 1467821392),
(106493, 157, 6636, 'CodevTT_RAF', '0.5', '0', 0, 1467821422),
(106494, 157, 6636, 'CodevTT_RAF', '0', '0', 0, 1467821422),
(106495, 157, 6636, 'status', '50', '80', 0, 1467821422),
(106525, 217, 12782, 'CodevTT_RAF', '', '2', 0, 1467876725),
(106526, 217, 12782, 'status', '10', '50', 0, 1467876725),
(106527, 217, 12782, 'handler_id', '0', '217', 0, 1467876725),
(106528, 217, 12782, 'CodevTT_RAF', '2', '2', 0, 1467876740),
(106529, 217, 12782, 'CodevTT_RAF', '2', '1.5', 0, 1467876781),
(106530, 217, 12782, 'CodevTT_RAF', '1.5', '2', 0, 1467876822),
(106537, 217, 12156, 'CodevTT_RAF', '0', '0', 0, 1467877056),
(106546, 217, 8454, 'CodevTT_RAF', '17', '17', 0, 1467877511),
(106576, 72, 12781, 'CodevTT_RAF', '5', '2', 0, 1467883641),
(106577, 72, 12199, 'summary', '9999 - Optimisation de requetes', '43016- Opitmisation du moteur de calcul', 0, 1467883860),
(106578, 72, 12199, '', '2518', '', 6, 1467883860),
(106579, 72, 12199, 'Ref. Externe', '9999', '43016', 0, 1467883860),
(106580, 72, 12199, 'CodevTT_ChargeMgr', '0', '40', 0, 1467883860),
(106581, 72, 12199, 'CodevTT_ChargeInit', '2', '30', 0, 1467883860),
(106582, 72, 12199, 'CodevTT_RAF', '1', '', 0, 1467883860),
(106583, 72, 12790, '', '', '', 1, 1467883995),
(106584, 72, 12790, 'handler_id', '0', '147', 0, 1467883995),
(106585, 72, 12791, '', '', '', 1, 1467884066),
(106586, 72, 12791, 'handler_id', '0', '147', 0, 1467884066),
(106587, 72, 12791, '', '', '12790', 21, 1467884066),
(106588, 72, 12790, '', '', '12791', 20, 1467884066),
(106589, 72, 12790, '', '3', '12791', 18, 1467884067),
(106590, 72, 12791, '', '2', '12790', 18, 1467884067),
(106597, 72, 12199, 'CodevTT_RAF', '', '18.25', 0, 1467884404),
(106619, 74, 10290, 'status', '50', '80', 0, 1467884774),
(106620, 74, 10290, 'resolution', '10', '80', 0, 1467884774),
(106859, 217, 8454, 'CodevTT_RAF', '17', '16', 0, 1467901688),
(106903, 134, 8454, 'CodevTT_RAF', '16', '16', 0, 1467905135),
(106904, 134, 8454, 'CodevTT_RAF', '16', '16', 0, 1467905155),
(106905, 134, 8454, 'CodevTT_RAF', '16', '16', 0, 1467905167),
(106910, 72, 6137, 'status', '50', '20', 0, 1467906625),
(106911, 72, 6137, 'category', 'General', '3en1', 0, 1467906625),
(106912, 72, 7894, 'status', '20', '80', 0, 1467906855),
(106913, 72, 7894, 'CodevTT_RAF', '1', '0', 0, 1467906855),
(106915, 72, 12797, '', '', '', 1, 1467961774),
(106916, 72, 12797, 'handler_id', '0', '199', 0, 1467961774),
(106923, 72, 12798, '', '', '', 1, 1467962582),
(106931, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1467964032),
(106932, 212, 11178, 'CodevTT_RAF', '6', '5.5', 0, 1467965296),
(106933, 212, 11178, 'CodevTT_RAF', '5.5', '4.5', 0, 1467965313),
(106934, 212, 11178, 'CodevTT_RAF', '4.5', '3.5', 0, 1467965343),
(106935, 212, 11178, 'CodevTT_RAF', '3.5', '3', 0, 1467965360),
(106936, 116, 10399, 'CodevTT_RAF', '9', '8', 0, 1467965602),
(106950, 74, 12288, 'CodevTT_RAF', '', '1', 0, 1467971214),
(106951, 74, 12288, 'status', '10', '50', 0, 1467971214),
(106952, 74, 12288, 'handler_id', '74', '158', 0, 1467971281),
(106953, 74, 12288, 'CodevTT_Dead Line', '', '', 0, 1467971282),
(106999, 72, 9098, 'status', '20', '50', 0, 1467975741),
(107000, 72, 9098, 'CodevTT_RAF', '0', '', 0, 1467975741),
(107001, 72, 9099, 'handler_id', '0', '74', 0, 1467975792),
(107002, 72, 9099, 'status', '20', '50', 0, 1467975792),
(107003, 72, 9099, 'CodevTT_RAF', '1', '', 0, 1467975809),
(107004, 72, 12288, 'handler_id', '158', '74', 0, 1467977585),
(107005, 72, 12288, 'CodevTT_Dead Line', '', '', 0, 1467977585),
(107006, 72, 12288, 'CodevTT_ChargeMgr', '', '8', 0, 1467979426),
(107007, 72, 12288, 'CodevTT_RAF', '1', '6.5', 0, 1467979426),
(107008, 72, 12288, '', '2524', '', 6, 1467979633),
(107009, 74, 12288, 'CodevTT_RAF', '6.5', '6', 0, 1467979805),
(107042, 116, 10399, 'CodevTT_RAF', '8', '7', 0, 1467988157),
(107102, 147, 11007, 'CodevTT_RAF', '6.5', '5.5', 0, 1467991834),
(107103, 147, 11007, 'CodevTT_RAF', '5.5', '4.5', 0, 1467991872),
(107104, 147, 11007, 'CodevTT_RAF', '4.5', '3.5', 0, 1467991903),
(107105, 147, 12791, 'CodevTT_RAF', '', '4.5', 0, 1467991948),
(107106, 147, 12791, 'status', '10', '50', 0, 1467991948),
(107107, 147, 12791, 'CodevTT_RAF', '4.5', '3.5', 0, 1467991980),
(107110, 169, 12686, 'CodevTT_RAF', '', '0', 0, 1467993373),
(107111, 169, 9468, 'CodevTT_RAF', '0.5', '0.5', 0, 1467993478),
(107112, 169, 12686, 'CodevTT_RAF', '0', '4', 0, 1467993544),
(107113, 169, 12686, 'status', '10', '50', 0, 1467993544),
(107114, 169, 12686, 'CodevTT_RAF', '4', '3', 0, 1467993567),
(107115, 169, 12686, 'CodevTT_RAF', '3', '1', 0, 1467993580),
(107116, 169, 12686, 'CodevTT_RAF', '1', '0', 0, 1467993598),
(107117, 169, 12686, 'CodevTT_RAF', '0', '0', 0, 1467993598),
(107118, 169, 12686, 'status', '50', '80', 0, 1467993598),
(107119, 199, 12199, 'CodevTT_RAF', '18.25', '20', 0, 1467995620),
(107120, 199, 12199, 'CodevTT_RAF', '20', '20', 0, 1467995640),
(107121, 199, 10330, 'CodevTT_RAF', '3', '2', 0, 1467995666),
(107122, 199, 10330, 'CodevTT_RAF', '2', '2', 0, 1467995677),
(107123, 199, 10330, 'CodevTT_RAF', '2', '2', 0, 1467995699),
(107124, 199, 12797, 'CodevTT_RAF', '', '0', 0, 1467995725),
(107125, 199, 12797, 'CodevTT_RAF', '0', '0', 0, 1467995725),
(107126, 199, 12797, 'status', '10', '80', 0, 1467995725),
(107127, 199, 12797, 'CodevTT_RAF', '0', '0', 0, 1467995738),
(107128, 199, 12739, 'CodevTT_RAF', '', '0.1', 0, 1467995815),
(107129, 199, 12739, 'status', '10', '50', 0, 1467995815),
(107130, 199, 12739, 'CodevTT_RAF', '0.1', '0.1', 0, 1467995843),
(107131, 199, 12738, 'CodevTT_RAF', '', '0.1', 0, 1467995887),
(107132, 199, 12738, 'status', '10', '50', 0, 1467995887),
(107133, 199, 10330, 'CodevTT_RAF', '2', '1', 0, 1467995909),
(107134, 199, 12199, 'CodevTT_RAF', '20', '20', 0, 1467995931),
(107164, 146, 11007, 'CodevTT_RAF', '3.5', '1', 0, 1468224698),
(107165, 146, 11007, 'CodevTT_RAF', '1', '1', 0, 1468224729),
(107166, 146, 12331, '', '2470', '', 2, 1468225275),
(107167, 146, 12331, 'CodevTT_RAF', '3.25', '3', 0, 1468225275),
(107168, 146, 12331, 'CodevTT_RAF', '3', '3', 0, 1468225287),
(107169, 146, 11007, 'CodevTT_RAF', '1', '0', 0, 1468225406),
(107170, 146, 11007, 'CodevTT_RAF', '0', '0', 0, 1468225406),
(107171, 146, 11007, 'status', '50', '80', 0, 1468225406),
(107210, 72, 12817, '', '', '', 1, 1468228850),
(107211, 72, 12817, 'handler_id', '0', '199', 0, 1468228850),
(107215, 199, 12817, 'CodevTT_RAF', '', '0.5', 0, 1468228986),
(107216, 199, 12817, 'status', '10', '50', 0, 1468228986),
(107218, 72, 12820, '', '', '', 1, 1468229008),
(107219, 72, 12820, 'handler_id', '0', '157', 0, 1468229008),
(107257, 72, 9099, 'summary', '42265 [DEV]  AFFI- Création/modification d\'un AYD étranger via TP', '42265 [ETUDE]  AFFI- Création/modification d\'un AYD étranger via TP', 0, 1468231395),
(107258, 72, 9099, '', '2', '9098', 19, 1468231408),
(107259, 72, 9098, '', '3', '9099', 19, 1468231408),
(107260, 72, 9099, 'status', '50', '80', 0, 1468231435),
(109473, 72, 12999, '', '', '12998', 21, 1469013883),
(109472, 72, 12999, 'handler_id', '0', '74', 0, 1469013883),
(109471, 72, 12999, '', '', '', 1, 1469013883),
(107264, 72, 9098, '', '', '12835', 20, 1468231498),
(107265, 72, 9099, 'target_version', '16.0_TO', '', 0, 1468231543),
(107266, 72, 9098, 'target_version', '16.0_TO', '', 0, 1468231543),
(107268, 72, 9098, '', '3', '12835', 18, 1468231604),
(107269, 72, 12790, '', '3', '12791', 19, 1468231731),
(107270, 72, 12791, '', '2', '12790', 19, 1468231731),
(107271, 72, 12790, '', '2501', '12791', 18, 1468231742),
(107272, 72, 12791, '', '2500', '12790', 18, 1468231742),
(107275, 217, 8454, 'CodevTT_RAF', '16', '15', 0, 1468236515),
(107276, 217, 8454, 'CodevTT_RAF', '15', '15', 0, 1468236528),
(107277, 217, 8454, 'CodevTT_RAF', '15', '14', 0, 1468236536),
(107278, 205, 10396, 'CodevTT_RAF', '2', '5', 0, 1468238056),
(107279, 205, 10396, 'CodevTT_RAF', '5', '5', 0, 1468238068),
(107280, 205, 10398, 'CodevTT_RAF', '1.9', '2', 0, 1468238099),
(107288, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1468241917),
(107289, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1468241929),
(107300, 116, 10399, 'CodevTT_RAF', '7', '6', 0, 1468247485),
(107301, 205, 10398, 'CodevTT_RAF', '2', '2', 0, 1468248608),
(107347, 72, 12842, 'Ref. Externe', '', '43040', 0, 1468304975),
(107348, 72, 12842, 'CodevTT_ChargeInit', '', '2', 0, 1468304975),
(107349, 72, 12842, 'handler_id', '0', '134', 0, 1468304975),
(107350, 72, 12842, 'codevtt_type', '', 'Bug', 0, 1468304975),
(107351, 72, 12843, 'Ref. Externe', '', '43042', 0, 1468304975),
(107352, 72, 12843, 'CodevTT_ChargeInit', '', '2', 0, 1468304975),
(107353, 72, 12843, 'handler_id', '0', '199', 0, 1468304975),
(107354, 72, 12843, 'codevtt_type', '', 'Bug', 0, 1468304975),
(107355, 72, 12844, 'Ref. Externe', '', '43043', 0, 1468304975),
(107356, 72, 12844, 'CodevTT_ChargeInit', '', '2', 0, 1468304975),
(107357, 72, 12844, 'handler_id', '0', '199', 0, 1468304975),
(107358, 72, 12844, 'codevtt_type', '', 'Bug', 0, 1468304975),
(107359, 72, 12843, 'priority', '10', '50', 0, 1468305033),
(107360, 200, 8454, 'CodevTT_RAF', '14', '13', 0, 1468306311),
(107361, 200, 8454, 'CodevTT_RAF', '13', '12', 0, 1468306321),
(107362, 200, 8454, 'CodevTT_RAF', '12', '11', 0, 1468306329),
(107372, 72, 7114, 'status', '50', '80', 0, 1468310863),
(107373, 72, 7114, 'resolution', '10', '20', 0, 1468310863),
(107374, 72, 7114, 'CodevTT_RAF', '2', '0', 0, 1468310863),
(107375, 72, 6748, 'status', '50', '80', 0, 1468310896),
(107376, 72, 6748, 'resolution', '10', '20', 0, 1468310896),
(107377, 72, 6748, 'CodevTT_RAF', '5', '0', 0, 1468310896),
(107378, 72, 8837, 'status', '50', '80', 0, 1468310971),
(107379, 72, 8837, 'resolution', '10', '20', 0, 1468310971),
(107380, 72, 8837, 'CodevTT_RAF', '0.5', '0', 0, 1468310971),
(107381, 72, 12159, 'status', '50', '80', 0, 1468311012),
(107382, 72, 12159, 'resolution', '10', '20', 0, 1468311012),
(107383, 72, 12159, 'CodevTT_RAF', '1', '0', 0, 1468311012),
(107384, 72, 7116, 'status', '10', '80', 0, 1468311069),
(107385, 72, 7116, 'resolution', '10', '20', 0, 1468311069),
(107394, 72, 10280, 'status', '50', '80', 0, 1468312078),
(107427, 72, 11007, 'CodevTT_ChargeMgr', '', '7', 0, 1468313268),
(107428, 72, 11007, 'CodevTT_ChargeInit', '10', '7', 0, 1468313268),
(107430, 72, 12331, 'CodevTT_RAF', '3', '3', 0, 1468313365),
(107431, 72, 12331, 'CodevTT_RAF', '3', '3', 0, 1468313378),
(107433, 72, 12331, 'CodevTT_RAF', '3', '1', 0, 1468313389),
(107434, 72, 12331, 'CodevTT_RAF', '1', '3', 0, 1468313488),
(107435, 72, 12845, '', '', '', 1, 1468313613),
(107436, 72, 12845, '', '', '12331', 21, 1468313613),
(107437, 72, 12331, '', '', '12845', 20, 1468313613),
(107454, 72, 12058, 'CodevTT_ChargeMgr', '', '15', 0, 1468320417),
(107455, 72, 12058, 'CodevTT_ChargeInit', '2', '5', 0, 1468320417),
(107460, 72, 10792, 'handler_id', '169', '0', 0, 1468322895),
(107461, 72, 10792, 'status', '10', '20', 0, 1468322895),
(107462, 72, 10791, 'status', '20', '80', 0, 1468323003),
(107463, 72, 10791, '', '2535', '', 6, 1468323003),
(107464, 72, 10791, 'CodevTT_RAF', '3', '0', 0, 1468323003),
(107465, 72, 10049, 'status', '20', '80', 0, 1468323149),
(107466, 72, 10049, '', '2536', '', 6, 1468323149),
(107467, 72, 10049, 'CodevTT_RAF', '0.5', '0', 0, 1468323149),
(107468, 72, 10049, 'status', '80', '90', 0, 1468323161),
(107591, 72, 12868, 'Ref. Externe', '', '43051', 0, 1468332705),
(107592, 72, 12868, 'CodevTT_ChargeMgr', '', '1', 0, 1468332705),
(107593, 72, 12868, 'CodevTT_ChargeInit', '', '1', 0, 1468332705),
(107594, 72, 12868, 'handler_id', '0', '72', 0, 1468332705),
(107595, 72, 12868, 'codevtt_type', '', 'Task', 0, 1468332705),
(107596, 72, 12869, 'Ref. Externe', '', '43051', 0, 1468332707),
(107597, 72, 12869, 'CodevTT_ChargeMgr', '', '1.5', 0, 1468332707),
(107598, 72, 12869, 'CodevTT_ChargeInit', '', '1,5', 0, 1468332707),
(107599, 72, 12869, 'handler_id', '0', '72', 0, 1468332707),
(107600, 72, 12869, 'codevtt_type', '', 'Task', 0, 1468332707),
(107602, 72, 12869, 'CodevTT_ChargeInit', '1,5', '1.5', 0, 1468332759),
(107615, 72, 10659, 'CodevTT_ChargeMgr', '3', '3.9', 0, 1468333131),
(107620, 72, 12869, 'status', '10', '50', 0, 1468333542),
(107621, 72, 12869, 'CodevTT_RAF', '', '0', 0, 1468333597),
(107622, 72, 12869, 'CodevTT_RAF', '0', '0', 0, 1468333597),
(107623, 72, 12869, 'status', '50', '80', 0, 1468333597),
(107624, 72, 12868, 'status', '10', '80', 0, 1468333666),
(107625, 72, 12868, 'CodevTT_RAF', '', '0', 0, 1468333666),
(107641, 116, 10399, 'CodevTT_RAF', '6', '5', 0, 1468334415),
(107770, 212, 11178, 'CodevTT_RAF', '3', '4', 0, 1468396768),
(107771, 212, 11178, 'CodevTT_RAF', '4', '3', 0, 1468396817),
(107772, 212, 11178, 'CodevTT_RAF', '3', '2', 0, 1468396832),
(107818, 217, 8454, 'CodevTT_RAF', '11', '12', 0, 1468401817),
(107819, 217, 10280, 'CodevTT_RAF', '0', '3', 0, 1468401871),
(107930, 116, 10399, 'CodevTT_RAF', '5', '4', 0, 1468419616),
(107995, 116, 10399, 'CodevTT_RAF', '4', '3', 0, 1468593033),
(108004, 169, 12196, 'CodevTT_RAF', '1', '0', 0, 1468595353),
(108005, 169, 12196, 'CodevTT_RAF', '0', '0', 0, 1468595353),
(108006, 169, 12196, 'status', '50', '80', 0, 1468595353),
(108007, 169, 12196, 'CodevTT_RAF', '0', '0', 0, 1468595388),
(108008, 169, 12330, 'CodevTT_RAF', '', '7', 0, 1468595492),
(108009, 169, 12330, 'status', '10', '50', 0, 1468595492),
(108010, 169, 12330, 'CodevTT_RAF', '7', '6', 0, 1468595511),
(108011, 169, 12330, 'CodevTT_RAF', '6', '5', 0, 1468595526),
(108012, 169, 4278, 'CodevTT_RAF', '2', '5', 0, 1468595574),
(108013, 199, 12843, 'CodevTT_RAF', '', '2', 0, 1468823751),
(108014, 199, 12843, 'status', '10', '50', 0, 1468823751),
(108015, 199, 12843, 'CodevTT_RAF', '2', '0', 0, 1468823766),
(108016, 199, 12843, 'CodevTT_RAF', '0', '0', 0, 1468823766),
(108017, 199, 12843, 'status', '50', '80', 0, 1468823766),
(108018, 147, 12791, 'CodevTT_RAF', '3.5', '2.5', 0, 1468823782),
(108019, 199, 12844, 'CodevTT_RAF', '', '0', 0, 1468823809),
(108020, 199, 12844, 'CodevTT_RAF', '0', '0', 0, 1468823809),
(108021, 199, 12844, 'status', '10', '80', 0, 1468823809),
(108022, 199, 12844, 'CodevTT_RAF', '0', '0', 0, 1468823824),
(108023, 147, 12791, 'CodevTT_RAF', '2.5', '1.5', 0, 1468823836),
(108024, 199, 10330, 'CodevTT_RAF', '1', '0', 0, 1468823865),
(108025, 199, 10330, 'CodevTT_RAF', '0', '0', 0, 1468823865),
(108026, 199, 10330, 'status', '50', '80', 0, 1468823865),
(108027, 147, 12790, 'CodevTT_RAF', '', '1', 0, 1468824121),
(108028, 147, 12790, 'status', '10', '50', 0, 1468824121),
(108029, 147, 12790, 'CodevTT_RAF', '1', '0', 0, 1468824160),
(108030, 147, 12790, 'CodevTT_RAF', '0', '0', 0, 1468824160),
(108031, 147, 12790, 'status', '50', '80', 0, 1468824160),
(108032, 147, 12790, 'CodevTT_RAF', '0', '0', 0, 1468824211),
(108033, 147, 12791, 'CodevTT_RAF', '1.5', '0.5', 0, 1468824243),
(108034, 74, 12288, 'CodevTT_RAF', '6', '3', 0, 1468826089),
(108035, 74, 12288, 'CodevTT_RAF', '3', '3', 0, 1468826125),
(108036, 74, 12288, 'CodevTT_RAF', '3', '2', 0, 1468826154),
(108584, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1468851815),
(108585, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1468851824),
(108586, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1468851838),
(108587, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1468851847),
(108588, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1468851866),
(108589, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1468851880),
(108605, 116, 10399, 'CodevTT_RAF', '3', '2', 0, 1468852981),
(108678, 72, 12938, '', '', '', 1, 1468857576),
(108679, 72, 12938, 'handler_id', '0', '72', 0, 1468857576),
(108680, 72, 12938, '', '2575', '', 2, 1468857638),
(108681, 72, 12938, 'CodevTT_RAF', '', '4', 0, 1468857638),
(108682, 72, 12938, 'status', '10', '50', 0, 1468857638),
(108683, 2, 12199, 'target_version', '', '16.0_Prov', 0, 1468871934),
(108684, 2, 12199, 'CodevTT_Dead Line', '', '', 0, 1468871934),
(108685, 2, 11112, 'target_version', '', '17.3_PUMA', 0, 1468876348),
(108686, 2, 11112, 'CodevTT_Dead Line', '', '', 0, 1468876348),
(108687, 2, 10041, 'target_version', '', '16.1_PUMA', 0, 1468876433),
(108688, 2, 10041, 'CodevTT_Dead Line', '', '', 0, 1468876433),
(108689, 2, 12183, 'target_version', '', '17.3_PUMA', 0, 1468876459),
(108690, 2, 12183, 'CodevTT_Dead Line', '', '', 0, 1468876460),
(109099, 205, 10398, 'CodevTT_RAF', '2', '1', 0, 1468930408),
(109102, 205, 11115, 'CodevTT_RAF', '0.5', '2', 0, 1468930471),
(109104, 205, 12687, 'CodevTT_RAF', '2', '1.5', 0, 1468930570),
(109105, 205, 12962, '', '', '', 1, 1468930686),
(109106, 205, 12962, 'handler_id', '0', '205', 0, 1468930686),
(109107, 205, 12962, '', '', '11115', 21, 1468930686),
(109108, 205, 11115, '', '', '12962', 20, 1468930686),
(109109, 205, 12962, 'CodevTT_RAF', '', '2', 0, 1468930725),
(109110, 205, 12962, 'status', '10', '50', 0, 1468930726),
(109111, 205, 10395, '', '2578', '', 2, 1468930820),
(109112, 205, 10395, 'CodevTT_RAF', '1', '1', 0, 1468930820),
(109113, 205, 12963, '', '', '', 1, 1468930929),
(109114, 205, 12963, 'handler_id', '0', '205', 0, 1468930929),
(109115, 205, 12963, '', '', '12962', 21, 1468930929),
(109116, 205, 12962, '', '', '12963', 20, 1468930929),
(109117, 205, 12963, 'CodevTT_RAF', '', '0', 0, 1468930952),
(109118, 205, 12963, 'CodevTT_RAF', '0', '0', 0, 1468930952),
(109119, 205, 12963, 'status', '10', '80', 0, 1468930952),
(109283, 116, 10399, 'CodevTT_RAF', '2', '2', 0, 1468939085),
(109358, 72, 12938, '', '2589', '', 2, 1468944266),
(109359, 72, 12938, 'CodevTT_RAF', '4', '3', 0, 1468944266),
(109411, 200, 8454, 'CodevTT_RAF', '12', '11', 0, 1468997504),
(109412, 200, 8454, 'CodevTT_RAF', '11', '10', 0, 1468997525),
(109413, 200, 8454, 'CodevTT_RAF', '10', '9', 0, 1468997564),
(109414, 200, 8454, 'CodevTT_RAF', '9', '8', 0, 1468997578),
(109415, 200, 8454, 'CodevTT_RAF', '8', '7', 0, 1468997594),
(109416, 200, 8454, 'CodevTT_RAF', '7', '6', 0, 1468997607),
(109417, 200, 8454, 'CodevTT_RAF', '6', '6', 0, 1468997620),
(109419, 146, 12331, 'CodevTT_RAF', '3', '0', 0, 1469001844),
(109420, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469001844),
(109421, 146, 12331, 'status', '50', '80', 0, 1469001844),
(109422, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469001881),
(109423, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469001891),
(109424, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469001939),
(109463, 146, 12331, 'CodevTT_RAF', '0', '2', 0, 1469004133),
(109464, 146, 12331, 'status', '80', '50', 0, 1469004133),
(109465, 72, 9098, 'status', '50', '80', 0, 1469013523),
(109466, 72, 9098, 'CodevTT_RAF', '', '0', 0, 1469013523),
(109470, 72, 12998, 'handler_id', '0', '200', 0, 1469013827),
(109469, 72, 12998, '', '', '', 1, 1469013827),
(109474, 72, 12998, '', '', '12999', 20, 1469013883),
(109475, 72, 12998, '', '2501', '12999', 18, 1469013883),
(109476, 72, 12999, '', '2500', '12998', 18, 1469013883),
(109477, 72, 13000, '', '', '', 1, 1469014094),
(109478, 72, 13000, 'handler_id', '0', '147', 0, 1469014094),
(109479, 72, 13000, 'CodevTT_Dead Line', '', '1469052000', 0, 1469014150),
(109480, 72, 11664, 'status', '50', '80', 0, 1469014242),
(109481, 72, 11664, 'CodevTT_RAF', '0.5', '0', 0, 1469014242),
(109482, 72, 12938, 'CodevTT_RAF', '3', '2', 0, 1469014475),
(109491, 116, 10399, 'CodevTT_RAF', '2', '2', 0, 1469024905),
(109582, 72, 10598, 'status', '20', '50', 0, 1469092872),
(109583, 72, 10598, 'CodevTT_Dead Line', '', '', 0, 1469092873),
(109617, 157, 9468, 'CodevTT_RAF', '0.5', '0', 0, 1469102560),
(109618, 157, 9468, 'CodevTT_RAF', '0', '0', 0, 1469102560),
(109619, 157, 9468, 'status', '50', '80', 0, 1469102560),
(109620, 157, 12820, 'CodevTT_RAF', '', '0', 0, 1469102598),
(109621, 157, 12820, 'CodevTT_RAF', '0', '0', 0, 1469102598),
(109622, 157, 12820, 'status', '10', '80', 0, 1469102598),
(109623, 157, 9463, 'CodevTT_RAF', '0', '0', 0, 1469102738),
(109624, 72, 13001, '', '', '', 1, 1469102772),
(109625, 72, 13001, 'handler_id', '0', '157', 0, 1469102772),
(109626, 157, 12467, 'CodevTT_RAF', '0', '0', 0, 1469102806),
(109627, 157, 13001, 'CodevTT_RAF', '', '1.5', 0, 1469102849),
(109628, 157, 13001, 'status', '10', '50', 0, 1469102849),
(109629, 157, 13001, 'CodevTT_RAF', '1.5', '0.5', 0, 1469102863),
(109638, 157, 10622, 'status', '50', '80', 0, 1469103014),
(109639, 157, 10622, 'CodevTT_RAF', '1', '0', 0, 1469103014),
(109642, 157, 12466, 'status', '50', '80', 0, 1469103076),
(109643, 157, 12466, 'CodevTT_RAF', '0.5', '0', 0, 1469103076),
(109653, 72, 12285, 'CodevTT_ChargeMgr', '2', '6', 0, 1469103849),
(109654, 72, 12284, 'CodevTT_ChargeMgr', '0', '1.2', 0, 1469103901),
(109655, 72, 12284, 'CodevTT_ChargeInit', '3', '1', 0, 1469104126),
(109660, 72, 13002, '', '', '', 1, 1469104309),
(109661, 72, 13002, 'handler_id', '0', '212', 0, 1469104309),
(109676, 72, 10046, 'CodevTT_ChargeMgr', '5.9', '5', 0, 1469104718),
(109677, 72, 10046, 'CodevTT_ChargeInit', '5', '4', 0, 1469104718),
(109679, 72, 10046, 'CodevTT_ChargeMgr', '5', '6', 0, 1469104771),
(109681, 72, 13002, '', '2599', '', 6, 1469104853),
(109682, 72, 13002, 'CodevTT_ChargeMgr', '0.5', '3.5', 0, 1469104853),
(109689, 72, 12199, 'summary', '43016- Opitmisation du moteur de calcul', '43016- Optimisation du moteur de calcul', 0, 1469105556),
(109732, 72, 10744, '', '2601', '', 7, 1469107400),
(109733, 72, 10744, 'CodevTT_ChargeMgr', '', '9', 0, 1469107400),
(109734, 72, 10744, 'CodevTT_ChargeInit', '2', '8', 0, 1469107400),
(109789, 72, 10598, '', '2602', '', 6, 1469110246),
(109790, 72, 10598, 'CodevTT_ChargeMgr', '', '9', 0, 1469110246),
(109791, 72, 10598, 'CodevTT_ChargeInit', '2', '6', 0, 1469110246),
(109792, 72, 10598, 'CodevTT_Dead Line', '', '1469743200', 0, 1469110350),
(109793, 72, 10737, 'handler_id', '146', '0', 0, 1469110426),
(109815, 72, 10744, 'CodevTT_ChargeInit', '8', '5', 0, 1469111208),
(109816, 72, 10744, '', '0002691', '', 2, 1469111208),
(109817, 72, 10744, 'status', '20', '50', 0, 1469111259),
(109818, 72, 10744, 'CodevTT_RAF', '', '5', 0, 1469111259),
(109820, 116, 10399, 'CodevTT_RAF', '2', '2', 0, 1469111761),
(109905, 146, 12331, 'CodevTT_RAF', '2', '1', 0, 1469118051),
(109913, 212, 10423, 'CodevTT_RAF', '3', '7', 0, 1469170827),
(109914, 212, 10423, 'CodevTT_RAF', '7', '6', 0, 1469170857),
(109915, 212, 10423, 'CodevTT_RAF', '6', '5', 0, 1469170872),
(109916, 212, 10423, 'CodevTT_RAF', '5', '4.5', 0, 1469170902),
(109917, 212, 13008, '', '', '', 1, 1469171257),
(109918, 212, 13008, 'handler_id', '0', '212', 0, 1469171257),
(109919, 212, 13008, '', '', '11133', 21, 1469171257),
(109920, 212, 11133, '', '', '13008', 20, 1469171257),
(109921, 212, 13008, 'CodevTT_RAF', '', '1.5', 0, 1469171318),
(109922, 212, 13008, 'status', '10', '50', 0, 1469171318),
(109923, 212, 13008, 'CodevTT_RAF', '1.5', '1.5', 0, 1469171347),
(109986, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1469176644),
(109987, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1469176654),
(109988, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1469176663),
(109995, 147, 12791, 'CodevTT_RAF', '0.5', '1', 0, 1469176905);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(109996, 147, 12791, 'CodevTT_RAF', '1', '0', 0, 1469176943),
(109997, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1469176943),
(109998, 147, 12791, 'status', '50', '80', 0, 1469176943),
(110004, 147, 13000, 'CodevTT_RAF', '', '2', 0, 1469176992),
(110005, 147, 13000, 'status', '10', '50', 0, 1469176992),
(110006, 147, 13000, 'CodevTT_RAF', '2', '1', 0, 1469177011),
(111971, 157, 13250, 'handler_id', '0', '157', 0, 1469536322),
(111970, 157, 13250, '', '', '', 1, 1469536322),
(110297, 72, 13044, '', '', '', 1, 1469192612),
(110298, 72, 13044, 'handler_id', '0', '158', 0, 1469192612),
(110299, 72, 13044, '', '', '6569', 21, 1469192612),
(110300, 72, 6569, '', '', '13044', 20, 1469192612),
(110412, 116, 10399, 'CodevTT_RAF', '2', '2', 0, 1469196248),
(110565, 212, 13008, 'CodevTT_RAF', '1.5', '1', 0, 1469199509),
(110566, 212, 10423, 'CodevTT_RAF', '4.5', '4', 0, 1469199544),
(110567, 212, 10423, 'CodevTT_RAF', '4', '4', 0, 1469199565),
(110568, 158, 10399, 'CodevTT_RAF', '2', '10', 0, 1469199586),
(110569, 158, 10399, 'CodevTT_RAF', '10', '10', 0, 1469199616),
(110845, 74, 12288, 'CodevTT_RAF', '2', '3', 0, 1469436094),
(110846, 74, 12288, 'CodevTT_RAF', '3', '2', 0, 1469436114),
(110847, 74, 12288, 'CodevTT_RAF', '2', '2', 0, 1469436126),
(110848, 74, 12288, 'CodevTT_RAF', '2', '1', 0, 1469436218),
(110849, 74, 10423, 'CodevTT_RAF', '4', '1', 0, 1469436376),
(110850, 205, 10399, 'CodevTT_RAF', '10', '5', 0, 1469437780),
(110851, 205, 10399, 'CodevTT_RAF', '5', '5', 0, 1469437795),
(110852, 205, 12782, 'CodevTT_RAF', '2', '0', 0, 1469437869),
(110853, 205, 12782, 'CodevTT_RAF', '0', '0', 0, 1469437869),
(110854, 205, 12782, 'status', '50', '80', 0, 1469437869),
(110855, 205, 10399, 'CodevTT_RAF', '5', '5', 0, 1469438025),
(110856, 205, 10399, 'CodevTT_RAF', '5', '5', 0, 1469438040),
(110857, 205, 12963, 'CodevTT_RAF', '0', '0', 0, 1469438056),
(110858, 205, 11116, 'CodevTT_RAF', '3.25', '2', 0, 1469438094),
(110859, 169, 12330, 'CodevTT_RAF', '5', '5', 0, 1469438871),
(110860, 169, 12330, 'CodevTT_RAF', '5', '4', 0, 1469438882),
(110861, 169, 4278, 'CodevTT_RAF', '5', '4', 0, 1469438918),
(110862, 169, 4278, 'CodevTT_RAF', '4', '3', 0, 1469438935),
(110863, 169, 4278, 'CodevTT_RAF', '3', '2', 0, 1469438941),
(110864, 169, 4278, 'CodevTT_RAF', '2', '4', 0, 1469438970),
(111531, 199, 12199, 'CodevTT_RAF', '20', '15', 0, 1469452216),
(111532, 199, 12199, 'CodevTT_RAF', '15', '15', 0, 1469452224),
(111533, 199, 12739, 'CodevTT_RAF', '0.1', '0', 0, 1469452265),
(111534, 199, 12739, 'CodevTT_RAF', '0', '0', 0, 1469452265),
(111535, 199, 12739, 'status', '50', '80', 0, 1469452265),
(111536, 199, 12739, 'CodevTT_RAF', '0', '0', 0, 1469452276),
(111537, 199, 12199, 'CodevTT_RAF', '15', '15', 0, 1469452285),
(111539, 72, 13227, '', '', '', 1, 1469456247),
(111540, 72, 13227, 'handler_id', '0', '157', 0, 1469456247),
(111541, 72, 13227, '', '', '13001', 21, 1469456247),
(111542, 72, 13001, '', '', '13227', 20, 1469456247),
(111543, 72, 13227, 'CodevTT_Dead Line', '', '1470693600', 0, 1469456374),
(111544, 72, 12817, 'status', '50', '80', 0, 1469456750),
(111545, 72, 12817, 'CodevTT_RAF', '0.5', '0', 0, 1469456750),
(111548, 2, 10414, '', '0001899', '', 4, 1469459576),
(111549, 72, 13229, '', '', '', 1, 1469460358),
(111550, 72, 13229, 'handler_id', '0', '157', 0, 1469460358),
(111551, 72, 13229, '', '', '13227', 21, 1469460358),
(111552, 72, 13227, '', '', '13229', 20, 1469460358),
(111558, 2, 10414, 'CodevTT_RAF', '0', '0', 0, 1469460800),
(111567, 2, 10414, 'CodevTT_RAF', '0', '0', 0, 1469466223),
(121385, 217, 13257, 'CodevTT_RAF', '1', '1', 0, 1471857756),
(121384, 217, 13257, 'CodevTT_RAF', '1', '1', 0, 1471857749),
(111884, 205, 12782, 'CodevTT_RAF', '0', '0', 0, 1469523958),
(111885, 205, 10399, 'CodevTT_RAF', '5', '4.75', 0, 1469523989),
(111886, 205, 13248, '', '', '', 1, 1469524080),
(111887, 205, 13248, 'handler_id', '0', '147', 0, 1469524080),
(111890, 2, 13002, 'CodevTT_RAF', '', '2', 0, 1469528748),
(111891, 2, 13002, 'status', '10', '50', 0, 1469528749),
(111892, 212, 10423, 'CodevTT_RAF', '1', '0.8', 0, 1469531327),
(111893, 212, 13008, 'CodevTT_RAF', '1', '0', 0, 1469531379),
(111894, 212, 13008, 'CodevTT_RAF', '0', '0', 0, 1469531379),
(111895, 212, 13008, 'status', '50', '80', 0, 1469531379),
(111972, 157, 13250, '', '', '12467', 21, 1469536322),
(111973, 157, 12467, '', '', '13250', 20, 1469536322),
(111974, 157, 13250, 'CodevTT_RAF', '', '3', 0, 1469536353),
(111975, 157, 13250, 'status', '10', '50', 0, 1469536353),
(111976, 157, 13250, 'CodevTT_RAF', '3', '2', 0, 1469536366),
(112120, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1469544654),
(112123, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1469544666),
(112126, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1469544682),
(112244, 72, 13044, 'status', '10', '50', 0, 1469604031),
(112245, 72, 13044, 'summary', 'D41001-2-AFFI - MAJOC - Complement du 41001', 'D43106-AFFI - MAJOC - Information sur code rejet 3033 : données obligatoires manquantes (suite 41001)', 0, 1469604031),
(112246, 72, 13044, 'CodevTT_Dead Line', '', '1472767200', 0, 1469604031),
(112247, 72, 13044, 'Ref. Externe', '41001-2', '41306', 0, 1469604076),
(112248, 72, 13044, 'Ref. Externe', '41306', '43106', 0, 1469604096),
(112249, 72, 13251, 'Ref. Externe', '', '43071', 0, 1469604826),
(112250, 72, 13251, 'CodevTT_ChargeInit', '', '2', 0, 1469604826),
(112251, 72, 13251, 'target_version', '', '16.0_TO', 0, 1469604826),
(112252, 72, 13251, 'handler_id', '0', '157', 0, 1469604826),
(112253, 72, 13251, 'codevtt_type', '', 'Bug', 0, 1469604826),
(112254, 72, 13252, 'Ref. Externe', '', '43104', 0, 1469604827),
(112255, 72, 13252, 'CodevTT_ChargeInit', '', '2', 0, 1469604827),
(112256, 72, 13252, 'target_version', '', '16.0_TO', 0, 1469604827),
(112257, 72, 13252, 'handler_id', '0', '157', 0, 1469604827),
(112258, 72, 13252, 'codevtt_type', '', 'Bug', 0, 1469604827),
(112259, 72, 13253, 'Ref. Externe', '', '43108', 0, 1469604827),
(112260, 72, 13253, 'CodevTT_ChargeInit', '', '2', 0, 1469604827),
(112261, 72, 13253, 'target_version', '', '16.0_TO', 0, 1469604827),
(112262, 72, 13253, 'handler_id', '0', '157', 0, 1469604827),
(112263, 72, 13253, 'codevtt_type', '', 'Bug', 0, 1469604827),
(112264, 72, 13254, 'Ref. Externe', '', '43109', 0, 1469604827),
(112265, 72, 13254, 'CodevTT_ChargeInit', '', '2', 0, 1469604827),
(112266, 72, 13254, 'target_version', '', '16.0_TO', 0, 1469604827),
(112267, 72, 13254, 'handler_id', '0', '157', 0, 1469604827),
(112268, 72, 13254, 'codevtt_type', '', 'Bug', 0, 1469604827),
(112269, 72, 13255, 'Ref. Externe', '', '43110', 0, 1469604827),
(112270, 72, 13255, 'CodevTT_ChargeInit', '', '2', 0, 1469604827),
(112271, 72, 13255, 'target_version', '', '16.0_TO', 0, 1469604827),
(112272, 72, 13255, 'handler_id', '0', '157', 0, 1469604827),
(112273, 72, 13255, 'codevtt_type', '', 'Bug', 0, 1469604827),
(112274, 147, 13000, 'CodevTT_RAF', '1', '1', 0, 1469606124),
(112275, 147, 13000, 'CodevTT_RAF', '1', '0', 0, 1469606139),
(112276, 147, 13000, 'CodevTT_RAF', '0', '0', 0, 1469606139),
(112277, 147, 13000, 'status', '50', '80', 0, 1469606139),
(112280, 2, 10744, 'handler_id', '0', '246', 0, 1469608240),
(112281, 2, 10744, 'CodevTT_Dead Line', '', '', 0, 1469608240),
(112282, 2, 10737, 'handler_id', '0', '158', 0, 1469608260),
(112283, 2, 10737, 'CodevTT_Dead Line', '', '', 0, 1469608260),
(112331, 2, 10770, 'CodevTT_ChargeMgr', '', '6.4', 0, 1469608446),
(112332, 2, 10770, 'CodevTT_ChargeInit', '2', '5', 0, 1469608446),
(112333, 2, 10770, 'CodevTT_RAF', '', '5', 0, 1469608446),
(112334, 2, 10770, 'CodevTT_RAF', '5', '', 0, 1469608499),
(112335, 2, 10623, 'handler_id', '158', '0', 0, 1469608813),
(112336, 2, 10738, 'status', '50', '80', 0, 1469608933),
(112337, 2, 10738, 'resolution', '10', '80', 0, 1469608933),
(112338, 2, 10738, '', '0002924', '', 2, 1469608933),
(112339, 2, 10740, 'handler_id', '158', '0', 0, 1469609075),
(112340, 2, 10741, 'handler_id', '158', '0', 0, 1469609130),
(112341, 2, 10749, 'handler_id', '169', '0', 0, 1469609304),
(112342, 2, 10770, 'status', '20', '40', 0, 1469609328),
(112344, 2, 13256, '', '', '', 1, 1469609489),
(112345, 2, 13256, 'handler_id', '0', '158', 0, 1469609489),
(112346, 2, 13256, '', '', '10770', 21, 1469609489),
(112347, 2, 10770, '', '', '13256', 20, 1469609489),
(112348, 158, 13044, 'CodevTT_RAF', '', '4.5', 0, 1469609543),
(112349, 2, 10018, 'CodevTT_RAF', '1', '0', 0, 1469609656),
(112350, 2, 10018, 'status', '50', '80', 0, 1469609656),
(112351, 2, 10018, 'CodevTT_RAF', '0', '0', 0, 1469609656),
(112352, 2, 10018, 'CodevTT_Dead Line', '', '', 0, 1469609656),
(112362, 2, 10400, 'CodevTT_Dead Line', '1464300000', '1472594400', 0, 1469609711),
(112386, 2, 11178, 'CodevTT_Dead Line', '1467064800', '1472594400', 0, 1469609848),
(112399, 2, 9468, 'CodevTT_Dead Line', '', '', 0, 1469609931),
(112404, 2, 6636, 'CodevTT_Dead Line', '', '', 0, 1469609949),
(112405, 2, 6636, 'CodevTT_Dead Line', '', '1470002400', 0, 1469609960),
(112408, 2, 9468, 'CodevTT_Dead Line', '', '1470002400', 0, 1469609983),
(112412, 2, 13252, 'target_version', '16.0_TO', '16.0.0', 0, 1469610143),
(112413, 2, 13252, 'CodevTT_Dead Line', '', '1469743200', 0, 1469610143),
(112414, 2, 13253, 'CodevTT_Dead Line', '', '1470002400', 0, 1469610198),
(112415, 2, 13255, 'CodevTT_Dead Line', '', '1470002400', 0, 1469610198),
(112416, 2, 13254, 'CodevTT_Dead Line', '', '1470002400', 0, 1469610198),
(112417, 2, 13251, 'CodevTT_Dead Line', '', '1470002400', 0, 1469610198),
(112418, 2, 13227, 'CodevTT_Dead Line', '1470693600', '1470002400', 0, 1469610198),
(112419, 2, 13229, 'CodevTT_Dead Line', '1470693600', '1470002400', 0, 1469610198),
(112420, 2, 4334, 'status', '50', '20', 0, 1469610408),
(112421, 2, 4334, 'CodevTT_Dead Line', '1464732000', '', 0, 1469610420),
(112430, 72, 13257, '', '', '', 1, 1469615782),
(112431, 72, 13257, 'handler_id', '0', '146', 0, 1469615782),
(112432, 72, 13257, '', '', '12962', 21, 1469615782),
(112433, 72, 12962, '', '', '13257', 20, 1469615782),
(112436, 72, 13258, '', '', '', 1, 1469616102),
(112437, 72, 13258, 'handler_id', '0', '146', 0, 1469616102),
(112438, 72, 13258, '', '', '12137', 21, 1469616102),
(112439, 72, 12137, '', '', '13258', 20, 1469616102),
(112440, 72, 13258, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1469616165),
(112441, 72, 12058, 'CodevTT_RAF', '1', '0', 0, 1469616258),
(112442, 72, 12058, 'status', '50', '80', 0, 1469616258),
(112443, 72, 12058, 'CodevTT_RAF', '0', '0', 0, 1469616258),
(112444, 72, 12197, 'CodevTT_RAF', '0.5', '0', 0, 1469616368),
(112445, 72, 12197, 'status', '50', '80', 0, 1469616368),
(112446, 72, 12197, 'CodevTT_RAF', '0', '0', 0, 1469616368),
(112447, 72, 12197, 'CodevTT_Dead Line', '', '', 0, 1469616368),
(112453, 72, 12998, 'CodevTT_Dead Line', '', '1470952800', 0, 1469618346),
(112452, 72, 4299, 'CodevTT_ChargeMgr', '2', '0', 0, 1469618262),
(112513, 2, 11032, 'CodevTT_RAF', '0', '0', 0, 1469634273),
(112518, 72, 12938, '', '2932', '', 2, 1469634516),
(112519, 72, 12938, 'CodevTT_RAF', '2', '1.5', 0, 1469634516),
(112562, 146, 12331, 'CodevTT_RAF', '1', '0', 0, 1469637553),
(112563, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469637553),
(112564, 146, 12331, 'status', '50', '80', 0, 1469637553),
(112565, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469637564),
(112566, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469637593),
(112567, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1469637638),
(112568, 146, 10598, 'CodevTT_RAF', '', '4.5', 0, 1469637731),
(113178, 157, 13229, 'CodevTT_RAF', '', '1.5', 0, 1469715854),
(113179, 157, 13229, 'status', '10', '50', 0, 1469715854),
(113181, 157, 13229, 'CodevTT_RAF', '1.5', '1.5', 0, 1469715874),
(113183, 157, 13252, 'CodevTT_RAF', '', '1', 0, 1469715907),
(113184, 157, 13252, 'status', '10', '50', 0, 1469715907),
(113186, 157, 13254, 'CodevTT_RAF', '', '0', 0, 1469715947),
(113187, 157, 13254, 'CodevTT_RAF', '0', '0', 0, 1469715947),
(113188, 157, 13254, 'status', '10', '80', 0, 1469715947),
(113227, 158, 10399, 'CodevTT_RAF', '4.75', '4', 0, 1469717775),
(113228, 158, 10399, 'CodevTT_RAF', '4', '4', 0, 1469717792),
(113229, 158, 10399, 'CodevTT_RAF', '4', '4', 0, 1469717803),
(113230, 158, 10399, 'CodevTT_RAF', '4', '4', 0, 1469717817),
(113231, 158, 10399, 'CodevTT_RAF', '4', '5', 0, 1469717842),
(113232, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1469717852),
(113233, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1469717870),
(113236, 72, 12938, '', '3071', '', 2, 1469717884),
(113237, 72, 12938, 'CodevTT_RAF', '1.5', '1', 0, 1469717884),
(113360, 2, 4288, 'CodevTT_RAF', '1', '3', 0, 1469720063),
(113361, 2, 4288, 'status', '20', '50', 0, 1469720064),
(113450, 2, 8130, 'status', '10', '50', 0, 1469721912),
(113451, 2, 8130, 'CodevTT_Dead Line', '', '', 0, 1469721912),
(113454, 2, 13248, 'status', '10', '50', 0, 1469721942),
(113457, 2, 12155, 'status', '10', '50', 0, 1469721952),
(113477, 146, 10598, 'CodevTT_RAF', '4.5', '4', 0, 1469724256),
(113478, 146, 11007, 'CodevTT_RAF', '0', '0', 0, 1469724385),
(114025, 72, 13294, '', '', '', 1, 1469776455),
(114026, 72, 13294, 'handler_id', '0', '157', 0, 1469776455),
(114328, 2, 13002, 'CodevTT_RAF', '2', '2', 0, 1469793867),
(114439, 74, 12288, 'CodevTT_RAF', '1', '1', 0, 1469801761),
(114440, 74, 12288, 'CodevTT_RAF', '1', '1', 0, 1469801773),
(114441, 74, 12288, 'CodevTT_RAF', '1', '1', 0, 1469801784),
(114443, 74, 12288, 'status', '50', '80', 0, 1469801844),
(114444, 74, 12288, 'resolution', '10', '20', 0, 1469801844),
(114493, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1469803866),
(114525, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1469804423),
(114529, 147, 12688, 'CodevTT_RAF', '', '1', 0, 1469804498),
(114530, 147, 12688, 'status', '10', '50', 0, 1469804498),
(114531, 147, 12688, 'CodevTT_RAF', '1', '6', 0, 1469804527),
(114532, 147, 12688, 'CodevTT_RAF', '6', '5', 0, 1469804548),
(114707, 2, 4288, 'handler_id', '2', '169', 0, 1469806898),
(114708, 2, 4288, 'target_version', '15.0.0_Nov', '16.0_Prov', 0, 1469806899),
(114709, 2, 4288, 'CodevTT_Dead Line', '', '', 0, 1469806899),
(114710, 169, 4278, 'CodevTT_RAF', '4', '3', 0, 1469807018),
(114714, 169, 4278, 'CodevTT_RAF', '3', '2', 0, 1469807031),
(114715, 169, 4278, 'CodevTT_RAF', '2', '1', 0, 1469807048),
(114719, 169, 4278, 'CodevTT_RAF', '1', '0', 0, 1469807060),
(114720, 169, 4278, 'CodevTT_RAF', '0', '0', 0, 1469807060),
(114721, 169, 4278, 'status', '50', '80', 0, 1469807060),
(114722, 72, 12199, 'CodevTT_RAF', '15', '14', 0, 1469807115),
(114725, 72, 12199, 'CodevTT_RAF', '14', '13', 0, 1469807138),
(114727, 72, 12199, 'CodevTT_RAF', '13', '12', 0, 1469807157),
(114728, 72, 12199, 'CodevTT_RAF', '12', '11', 0, 1469807174),
(114729, 72, 12199, 'CodevTT_RAF', '11', '10', 0, 1469807184),
(114732, 169, 12330, 'CodevTT_RAF', '4', '8', 0, 1469807197),
(114734, 169, 12330, 'CodevTT_RAF', '8', '8', 0, 1469807223),
(114740, 169, 12330, '', '3285', '', 2, 1469807271),
(114747, 169, 12330, '', '3285', '2662', 3, 1469807536),
(114803, 2, 4324, 'CodevTT_Dead Line', '', '1471644000', 0, 1469808875),
(114806, 157, 12285, 'CodevTT_RAF', '', '0', 0, 1470030267),
(114807, 157, 12285, 'CodevTT_RAF', '0', '0', 0, 1470030267),
(114808, 157, 12285, 'status', '10', '80', 0, 1470030267),
(114837, 146, 12331, 'CodevTT_RAF', '0', '0.5', 0, 1470032869),
(114900, 72, 13342, '', '', '', 1, 1470037231),
(114944, 2, 12284, 'CodevTT_RAF', '', '0', 0, 1470039469),
(114945, 2, 12284, 'status', '10', '80', 0, 1470039469),
(114946, 2, 12284, 'CodevTT_RAF', '0', '0', 0, 1470039469),
(114947, 2, 12284, 'CodevTT_Dead Line', '', '', 0, 1470039469),
(114967, 72, 13256, '', '2668', '', 6, 1470043073),
(114969, 72, 10770, '', '2670', '', 6, 1470043175),
(114975, 72, 12288, 'CodevTT_ChargeMgr', '8', '11', 0, 1470043327),
(114976, 72, 12288, 'CodevTT_ChargeInit', '7', '9', 0, 1470043327),
(114977, 72, 12288, 'CodevTT_RAF', '1', '0', 0, 1470043327),
(114980, 72, 13248, 'status', '50', '80', 0, 1470043439),
(115012, 72, 12791, 'status', '80', '50', 0, 1470044519),
(115013, 72, 12791, 'CodevTT_RAF', '0', '1', 0, 1470044519),
(115014, 72, 12791, 'CodevTT_RAF', '1', '0', 0, 1470044519),
(115015, 72, 12791, 'CodevTT_RAF', '0', '1', 0, 1470044570),
(115024, 72, 12842, 'CodevTT_Dead Line', '', '1471557600', 0, 1470044956),
(115032, 72, 13349, '', '', '', 1, 1470045333),
(115033, 72, 13349, 'handler_id', '0', '199', 0, 1470045333),
(115034, 72, 13349, 'target_version', '', '16.0_TO', 0, 1470045377),
(115058, 72, 12820, 'status', '80', '50', 0, 1470045502),
(115059, 72, 12820, 'CodevTT_RAF', '0', '0.5', 0, 1470045502),
(115060, 72, 12820, 'CodevTT_RAF', '0.5', '0', 0, 1470045502),
(115065, 72, 13250, 'Ref. Externe', '423089', '43089', 0, 1470045552),
(115069, 72, 13001, 'CodevTT_Dead Line', '', '1470348000', 0, 1470046098),
(115075, 200, 8454, 'CodevTT_RAF', '6', '5', 0, 1470050614),
(115076, 200, 8454, 'CodevTT_RAF', '5', '5', 0, 1470050631),
(115077, 200, 8454, 'CodevTT_RAF', '5', '4', 0, 1470050639),
(115078, 200, 8454, 'CodevTT_RAF', '4', '4', 0, 1470050648),
(115200, 2, 12288, 'CodevTT_RAF', '0', '0', 0, 1470057164),
(115201, 205, 10399, 'CodevTT_RAF', '5', '4.5', 0, 1470058530),
(115202, 205, 12845, 'CodevTT_RAF', '', '1', 0, 1470058562),
(115203, 205, 12845, 'status', '10', '50', 0, 1470058562),
(115204, 205, 12845, 'handler_id', '0', '205', 0, 1470058562),
(115308, 72, 12938, '', '3310', '', 2, 1470116160),
(115309, 72, 12938, 'CodevTT_RAF', '1', '3', 0, 1470116161),
(115332, 212, 10423, 'CodevTT_RAF', '0.8', '1', 0, 1470125002),
(115337, 72, 13362, '', '', '', 1, 1470126055),
(115338, 72, 13362, 'handler_id', '0', '158', 0, 1470126055),
(115339, 72, 13362, '', '', '9684', 21, 1470126055),
(115340, 72, 9684, '', '', '13362', 20, 1470126055),
(115341, 2, 4288, '', '3316', '', 2, 1470126070),
(115342, 2, 4288, 'CodevTT_RAF', '3', '5', 0, 1470126070),
(115346, 158, 13362, 'CodevTT_RAF', '', '2.5', 0, 1470126642),
(115347, 158, 13362, 'status', '10', '50', 0, 1470126642),
(115348, 158, 13362, 'CodevTT_RAF', '2.5', '2.5', 0, 1470126665),
(115349, 158, 10399, 'CodevTT_RAF', '4.5', '5', 0, 1470126690),
(115352, 158, 13362, 'CodevTT_RAF', '2.5', '1.5', 0, 1470126757),
(115353, 212, 13002, 'CodevTT_RAF', '2', '14.5', 0, 1470126769),
(115355, 212, 13002, 'CodevTT_RAF', '14.5', '10.5', 0, 1470126790),
(115485, 205, 12687, 'CodevTT_RAF', '1.5', '1.5', 0, 1470131027),
(115486, 205, 12845, 'CodevTT_RAF', '1', '1', 0, 1470131096),
(115487, 2, 13370, '', '', '', 1, 1470131156),
(115488, 2, 13370, 'handler_id', '0', '2', 0, 1470131156),
(115489, 205, 12845, 'CodevTT_RAF', '1', '1', 0, 1470131179),
(115490, 2, 13370, '', '3332', '', 2, 1470131214),
(115491, 2, 13370, 'CodevTT_RAF', '', '0', 0, 1470131214),
(115492, 2, 13370, 'CodevTT_RAF', '0', '0', 0, 1470131214),
(115493, 2, 13370, 'status', '10', '80', 0, 1470131214),
(115494, 205, 10399, 'CodevTT_RAF', '5', '5', 0, 1470131228),
(115499, 2, 13002, 'CodevTT_Dead Line', '', '1471730400', 0, 1470131977),
(115500, 212, 13002, 'CodevTT_RAF', '10.5', '9.5', 0, 1470132200),
(115501, 212, 13002, 'CodevTT_RAF', '9.5', '8.5', 0, 1470132219),
(115502, 212, 13002, 'CodevTT_RAF', '8.5', '7.5', 0, 1470132233),
(115524, 217, 12331, 'CodevTT_RAF', '0.5', '1', 0, 1470144104),
(115525, 217, 11112, '', '3334', '', 2, 1470144224),
(115526, 217, 11112, 'CodevTT_RAF', '5', '6', 0, 1470144224),
(115527, 217, 12331, 'CodevTT_RAF', '1', '2', 0, 1470146076),
(115528, 217, 11112, '', '3335', '', 2, 1470146113),
(115529, 217, 11112, 'CodevTT_RAF', '6', '5', 0, 1470146113),
(115530, 217, 11112, '', '3335', '', 4, 1470146129),
(115531, 217, 12331, 'CodevTT_RAF', '2', '2', 0, 1470146138),
(115537, 217, 11112, '', '3336', '', 2, 1470146189),
(115538, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1470146189),
(115541, 158, 13362, 'CodevTT_RAF', '1.5', '0.5', 0, 1470146284),
(115562, 217, 11112, '', '3334', '', 4, 1470148613),
(115563, 2, 11032, 'CodevTT_RAF', '0', '0', 0, 1470149435),
(116950, 2, 13541, '', '', '', 1, 1470153548),
(116951, 2, 13541, '', '', '12654', 21, 1470153548),
(116952, 2, 12654, '', '', '13541', 20, 1470153548),
(116953, 2, 13541, '', '3341', '', 2, 1470153618),
(116954, 2, 13541, 'CodevTT_RAF', '', '0', 0, 1470153618),
(116955, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1470153618),
(116956, 2, 13541, 'status', '10', '80', 0, 1470153618),
(116957, 2, 13541, 'handler_id', '0', '2', 0, 1470153618),
(116958, 146, 12331, 'CodevTT_RAF', '2', '0', 0, 1470153839),
(116959, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1470153856),
(116960, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1470153884),
(116961, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1470153892),
(116968, 157, 13252, 'CodevTT_RAF', '1', '0', 0, 1470202245),
(116969, 157, 13252, 'CodevTT_RAF', '0', '0', 0, 1470202245),
(116970, 157, 13252, 'status', '50', '80', 0, 1470202245),
(116971, 157, 4288, 'CodevTT_RAF', '5', '0.5', 0, 1470202290),
(116972, 157, 12820, 'CodevTT_RAF', '0', '1', 0, 1470202375),
(117019, 200, 8454, 'CodevTT_RAF', '4', '3', 0, 1470212990),
(117020, 200, 8454, 'CodevTT_RAF', '3', '2', 0, 1470213006),
(117021, 200, 8454, 'CodevTT_RAF', '2', '1', 0, 1470213028),
(117050, 72, 12938, 'CodevTT_RAF', '3', '2', 0, 1470227657),
(117113, 72, 12938, '', '3365', '', 2, 1470232933),
(117114, 72, 12938, 'CodevTT_RAF', '2', '2', 0, 1470232933),
(117115, 72, 12938, 'status', '50', '20', 0, 1470232933),
(117116, 72, 13542, '', '', '', 1, 1470233033),
(117117, 72, 13542, 'handler_id', '0', '147', 0, 1470233034),
(117118, 72, 13543, '', '', '', 1, 1470233108),
(117119, 72, 13543, 'handler_id', '0', '147', 0, 1470233108),
(117120, 72, 13543, '', '', '13542', 21, 1470233108),
(117121, 72, 13542, '', '', '13543', 20, 1470233108),
(117122, 72, 13542, 'Ref. Externe', '', '43147', 0, 1470233149),
(117123, 158, 13362, 'CodevTT_RAF', '0.5', '1', 0, 1470234184),
(117135, 72, 13544, '', '', '', 1, 1470236437),
(117136, 72, 13544, 'handler_id', '0', '146', 0, 1470236437),
(117137, 72, 13544, '', '', '13257', 21, 1470236437),
(117138, 72, 13257, '', '', '13544', 20, 1470236437),
(117139, 72, 13545, '', '', '', 1, 1470236507),
(117140, 72, 13545, 'handler_id', '0', '217', 0, 1470236507),
(117141, 72, 13545, '', '', '13544', 21, 1470236507),
(117142, 72, 13544, '', '', '13545', 20, 1470236507),
(117143, 72, 13544, '', '2500', '13545', 18, 1470236507),
(117144, 72, 13545, '', '2501', '13544', 18, 1470236507),
(117156, 72, 13544, 'CodevTT_Dead Line', '', '1472076000', 0, 1470236981),
(117190, 169, 12330, 'CodevTT_RAF', '8', '7', 0, 1470239825),
(117191, 169, 12330, 'CodevTT_RAF', '7', '6', 0, 1470239840),
(117192, 169, 12330, 'CodevTT_RAF', '6', '3', 0, 1470239852),
(117273, 72, 12781, 'CodevTT_ChargeMgr', '0', '15', 0, 1470296210),
(117274, 72, 12781, 'CodevTT_ChargeInit', '2', '13', 0, 1470296211),
(117275, 72, 12781, 'CodevTT_RAF', '2', '', 0, 1470296211),
(117276, 72, 12781, '', '0003382', '', 2, 1470296211),
(117279, 72, 12781, 'CodevTT_RAF', '', '11.5', 0, 1470296313),
(117286, 72, 13559, '', '', '', 1, 1470296593),
(117287, 72, 13559, 'handler_id', '0', '72', 0, 1470296593),
(117288, 72, 13559, '', '', '12781', 21, 1470296593),
(117289, 72, 12781, '', '', '13559', 20, 1470296593),
(117290, 72, 12781, '', '3', '13559', 18, 1470296593),
(117291, 72, 13559, '', '2', '12781', 18, 1470296593),
(117292, 72, 13559, '', '2690', '', 6, 1470296714),
(314622, 381, 2, '', '36173', '', 2, 1513606997),
(117566, 2, 10770, 'summary', '42497 [DEV] TAIGA PUMA -  Impact GAC', '42497 [DEV] TAIGA PUMA - PAF inscription AYD', 0, 1470301662),
(117567, 2, 10770, '', '0003405', '', 2, 1470301681),
(314619, 381, 2, '', '36171', '', 4, 1513606975),
(314620, 381, 2, '', '36172', '', 2, 1513606975),
(314621, 381, 2, '', '36172', '', 4, 1513606997),
(117645, 72, 10770, 'handler_id', '146', '158', 0, 1470308781),
(117675, 2, 13229, 'CodevTT_RAF', '1.5', '0', 0, 1470310717),
(117676, 2, 13229, 'status', '50', '80', 0, 1470310717),
(117677, 2, 13229, 'CodevTT_RAF', '0', '0', 0, 1470310717),
(117684, 2, 8403, 'handler_id', '93', '0', 0, 1470310940),
(117685, 2, 8403, 'CodevTT_RAF', '1', '0', 0, 1470310940),
(117686, 2, 8403, 'status', '50', '80', 0, 1470310940),
(117687, 2, 8403, 'CodevTT_RAF', '0', '0', 0, 1470310940),
(117688, 2, 8403, 'CodevTT_Dead Line', '', '', 0, 1470310940),
(117700, 72, 10738, 'status', '80', '90', 0, 1470311206),
(117701, 72, 10738, '', '2696', '', 6, 1470311206),
(117702, 72, 10738, 'CodevTT_RAF', '1.2', '0', 0, 1470311206),
(117703, 2, 13253, 'CodevTT_RAF', '', '0', 0, 1470311242),
(117704, 2, 13253, 'status', '10', '80', 0, 1470311242),
(117705, 2, 13253, 'CodevTT_RAF', '0', '0', 0, 1470311242),
(117706, 2, 13227, 'CodevTT_RAF', '', '0', 0, 1470311300),
(117707, 2, 13227, 'status', '10', '80', 0, 1470311300),
(117708, 2, 13227, 'CodevTT_RAF', '0', '0', 0, 1470311300),
(117709, 72, 10737, 'handler_id', '158', '0', 0, 1470311344),
(117710, 72, 10737, '', '2698', '', 6, 1470311344),
(117711, 72, 10737, 'CodevTT_ChargeMgr', '5', '2.5', 0, 1470311344),
(117712, 72, 10737, 'CodevTT_ChargeInit', '3', '2.5', 0, 1470311344),
(117713, 2, 13251, 'CodevTT_RAF', '', '0', 0, 1470311497),
(117714, 2, 13251, 'status', '10', '80', 0, 1470311497),
(117715, 2, 13251, 'CodevTT_RAF', '0', '0', 0, 1470311497),
(117716, 72, 13589, '', '', '', 1, 1470311517),
(117717, 72, 13589, '', '', '10738', 21, 1470311517),
(117718, 72, 10738, '', '', '13589', 20, 1470311517),
(117719, 72, 10749, 'handler_id', '0', '169', 0, 1470311613),
(117754, 2, 13349, 'CodevTT_Dead Line', '', '1470866400', 0, 1470312863),
(117755, 2, 13349, 'CodevTT_Dead Line', '1470866400', '1470693600', 0, 1470312910),
(117759, 72, 12331, '', '', '13590', 20, 1470313127),
(117800, 158, 13362, 'CodevTT_RAF', '1', '0', 0, 1470314815),
(117801, 158, 13362, 'CodevTT_RAF', '0', '0', 0, 1470314816),
(117802, 158, 13362, 'status', '50', '80', 0, 1470314816),
(117908, 2, 13592, '', '', '', 1, 1470318293),
(117909, 2, 13592, 'handler_id', '0', '157', 0, 1470318293),
(117910, 2, 13592, '', '0003465', '', 2, 1470318406),
(117911, 2, 13592, '', '0003465', '2702', 3, 1470318494),
(118029, 147, 12688, 'CodevTT_RAF', '5', '4', 0, 1470319089),
(118030, 147, 12688, 'CodevTT_RAF', '4', '4', 0, 1470319181),
(118031, 147, 13542, 'CodevTT_RAF', '', '1.5', 0, 1470319238),
(118032, 147, 13542, 'status', '10', '50', 0, 1470319238),
(118033, 147, 13543, 'CodevTT_RAF', '', '1.5', 0, 1470319286),
(118034, 147, 13543, 'status', '10', '50', 0, 1470319286),
(118035, 147, 13542, 'CodevTT_RAF', '1.5', '1', 0, 1470319311),
(118036, 147, 13542, 'CodevTT_RAF', '1', '0.5', 0, 1470319341),
(118037, 147, 13542, 'CodevTT_RAF', '0.5', '0.5', 0, 1470319370),
(118038, 147, 13543, 'CodevTT_RAF', '1.5', '1', 0, 1470319388),
(118039, 147, 13543, 'CodevTT_RAF', '1', '0.5', 0, 1470319401),
(118040, 147, 13543, 'CodevTT_RAF', '0.5', '0.5', 0, 1470319428),
(118049, 2, 4288, 'handler_id', '169', '157', 0, 1470319728),
(118050, 2, 4288, 'CodevTT_Dead Line', '', '', 0, 1470319728),
(118063, 74, 10423, 'CodevTT_RAF', '1', '0.5', 0, 1470320055),
(118115, 2, 12999, 'CodevTT_Dead Line', '', '1473285600', 0, 1470322412),
(118137, 72, 13622, '', '', '', 1, 1470324657),
(118138, 72, 13622, 'handler_id', '0', '217', 0, 1470324657),
(118139, 72, 13622, '', '', '12962', 21, 1470324657),
(118140, 72, 12962, '', '', '13622', 20, 1470324657),
(118178, 157, 7495, 'CodevTT_RAF', '5', '3', 0, 1470374712),
(118179, 157, 7495, 'status', '30', '50', 0, 1470374713),
(118180, 157, 7495, 'CodevTT_RAF', '3', '2', 0, 1470374726),
(118181, 72, 13545, 'CodevTT_ChargeMgr', '', '1', 0, 1470375430),
(118182, 72, 13545, 'CodevTT_ChargeInit', '5', '1', 0, 1470375430),
(118183, 72, 13544, 'CodevTT_ChargeMgr', '', '4', 0, 1470375501),
(118184, 72, 13544, 'CodevTT_ChargeInit', '5', '3', 0, 1470375501),
(118185, 72, 13622, '', '2709', '', 7, 1470376428),
(118186, 72, 13622, 'CodevTT_ChargeMgr', '', '5', 0, 1470376428),
(118187, 72, 13624, '', '', '', 1, 1470376688),
(118188, 72, 13624, 'handler_id', '0', '217', 0, 1470376689),
(118189, 72, 13624, '', '', '13545', 21, 1470376689),
(118190, 72, 13545, '', '', '13624', 20, 1470376689),
(118191, 72, 13625, '', '', '', 1, 1470377016),
(118192, 72, 13625, 'handler_id', '0', '146', 0, 1470377016),
(118193, 72, 13625, '', '', '13624', 21, 1470377016),
(118194, 72, 13624, '', '', '13625', 20, 1470377016),
(118195, 72, 13622, '', '2710', '', 7, 1470377289),
(118196, 72, 13622, 'CodevTT_ChargeMgr', '5', '7', 0, 1470377289),
(118197, 72, 13622, 'CodevTT_ChargeInit', '3', '4', 0, 1470377289),
(118198, 72, 12962, 'CodevTT_ChargeMgr', '', '8', 0, 1470377415),
(118199, 217, 12962, '', '3470', '', 2, 1470378882),
(118200, 217, 12962, 'CodevTT_RAF', '2', '2', 0, 1470378882),
(118201, 217, 11112, '', '3471', '', 2, 1470379198),
(118202, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1470379198),
(118203, 217, 11112, '', '3472', '', 2, 1470379215),
(118204, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1470379215),
(118205, 217, 11112, '', '3471', '', 4, 1470379221),
(118206, 217, 12962, '', '3473', '', 2, 1470379279),
(118207, 217, 12962, 'CodevTT_RAF', '2', '2', 0, 1470379279),
(118208, 217, 12962, '', '3470', '', 4, 1470379284),
(118211, 217, 13626, '', '', '', 1, 1470379563),
(118212, 217, 13626, 'handler_id', '0', '217', 0, 1470379563),
(118213, 217, 13626, '', '', '13545', 21, 1470379563),
(118214, 217, 13545, '', '', '13626', 20, 1470379563),
(118215, 217, 13626, 'CodevTT_RAF', '', '1', 0, 1470379627),
(118216, 217, 13626, 'status', '10', '40', 0, 1470379627),
(118217, 217, 13626, 'CodevTT_RAF', '1', '1', 0, 1470379681),
(118218, 217, 13627, '', '', '', 1, 1470379748),
(118219, 217, 13627, 'handler_id', '0', '217', 0, 1470379748),
(118220, 217, 13627, '', '', '13626', 21, 1470379748),
(118221, 217, 13626, '', '', '13627', 20, 1470379748),
(118222, 217, 13627, 'CodevTT_RAF', '', '0', 0, 1470379787),
(118223, 217, 13627, 'CodevTT_RAF', '0', '0', 0, 1470379787),
(118224, 217, 13627, 'status', '10', '80', 0, 1470379787),
(118225, 217, 13627, 'CodevTT_RAF', '0', '0', 0, 1470379796),
(118226, 74, 13628, '', '', '', 1, 1470382072),
(118227, 74, 13628, 'CodevTT_RAF', '', '0.5', 0, 1470382128),
(118228, 74, 13628, 'status', '10', '50', 0, 1470382129),
(118229, 74, 13628, 'handler_id', '0', '74', 0, 1470382129),
(118230, 74, 13628, 'CodevTT_RAF', '0.5', '0.5', 0, 1470382140),
(118233, 74, 13628, 'CodevTT_RAF', '0.5', '0.5', 0, 1470382191),
(118234, 74, 13628, 'status', '50', '20', 0, 1470382191),
(118235, 74, 9098, 'CodevTT_RAF', '0', '1', 0, 1470382447),
(118236, 74, 9098, 'CodevTT_RAF', '1', '0.5', 0, 1470382460),
(118314, 74, 12999, 'CodevTT_RAF', '', '1.5', 0, 1470384202),
(118315, 74, 12999, 'status', '10', '50', 0, 1470384202),
(118316, 74, 12999, 'CodevTT_RAF', '1.5', '0.5', 0, 1470384217),
(118317, 72, 13592, 'Ref. Externe', '', '43158', 0, 1470384242),
(118333, 158, 13044, 'CodevTT_RAF', '4.5', '3.5', 0, 1470387560),
(118334, 158, 13044, 'CodevTT_RAF', '3.5', '3.5', 0, 1470387588),
(118335, 217, 10395, 'CodevTT_RAF', '1', '1', 0, 1470388758),
(118336, 217, 10397, 'CodevTT_RAF', '1', '1', 0, 1470388774),
(118420, 205, 10399, 'CodevTT_RAF', '5', '1', 0, 1470392058),
(118421, 205, 10399, 'CodevTT_RAF', '1', '1', 0, 1470392070),
(118422, 205, 13624, 'CodevTT_RAF', '', '1', 0, 1470392107),
(118423, 205, 13545, 'CodevTT_RAF', '', '1', 0, 1470392146),
(118424, 205, 13545, 'status', '10', '50', 0, 1470392146),
(118425, 205, 10399, 'CodevTT_RAF', '1', '1', 0, 1470392261),
(118426, 205, 10396, 'CodevTT_RAF', '5', '5', 0, 1470392371),
(118427, 205, 10399, 'CodevTT_RAF', '1', '5', 0, 1470392443),
(118637, 200, 8454, 'CodevTT_RAF', '1', '7', 0, 1470406635),
(118728, 146, 13257, 'CodevTT_RAF', '', '1', 0, 1470411019),
(118729, 146, 13257, 'status', '10', '50', 0, 1470411019),
(118730, 146, 13257, 'CodevTT_RAF', '1', '1', 0, 1470411120),
(118731, 146, 13257, 'CodevTT_RAF', '1', '1', 0, 1470411178),
(118732, 146, 13257, 'CodevTT_RAF', '1', '1', 0, 1470411196),
(118733, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1470411248),
(118744, 212, 13002, 'CodevTT_RAF', '7.5', '13', 0, 1470412373),
(118745, 212, 13002, 'CodevTT_RAF', '13', '12', 0, 1470412394),
(118746, 212, 13002, 'CodevTT_RAF', '12', '11', 0, 1470412410),
(118747, 212, 13002, 'CodevTT_RAF', '11', '10', 0, 1470412432),
(118748, 212, 13002, 'CodevTT_RAF', '10', '10', 0, 1470412444),
(118749, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1470517186),
(118750, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1470517205),
(118751, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1470517349),
(118752, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1470590387),
(118753, 217, 10397, 'CodevTT_RAF', '1', '5', 0, 1470638391),
(118754, 217, 10395, 'CodevTT_RAF', '1', '2', 0, 1470638406),
(118755, 217, 10395, 'CodevTT_RAF', '2', '1', 0, 1470638421),
(118901, 217, 10397, 'CodevTT_RAF', '5', '1', 0, 1470648843),
(118902, 217, 13589, 'CodevTT_RAF', '', '2', 0, 1470648898),
(118903, 217, 13589, 'status', '10', '50', 0, 1470648898),
(118904, 217, 13589, 'handler_id', '0', '217', 0, 1470648898),
(118928, 217, 13545, 'CodevTT_RAF', '1', '1', 0, 1470660160),
(118929, 217, 13545, 'CodevTT_RAF', '1', '1', 0, 1470660179),
(118974, 134, 8454, 'CodevTT_RAF', '7', '7', 0, 1470669835),
(118975, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1470673033),
(118993, 217, 13545, 'CodevTT_RAF', '1', '1', 0, 1470723917),
(118994, 217, 13627, '', '3494', '', 2, 1470724034),
(118995, 217, 13627, 'CodevTT_RAF', '0', '0', 0, 1470724034),
(119011, 217, 13545, 'CodevTT_RAF', '1', '1', 0, 1470732016),
(119012, 217, 13545, 'CodevTT_RAF', '1', '1', 0, 1470732041),
(119013, 217, 13624, 'CodevTT_RAF', '1', '1', 0, 1470732072),
(119014, 217, 13624, 'status', '10', '50', 0, 1470732072),
(119015, 217, 13624, 'CodevTT_RAF', '1', '1', 0, 1470732092),
(119016, 217, 13624, 'CodevTT_RAF', '1', '1', 0, 1470732107),
(119069, 2, 12686, 'status', '80', '30', 0, 1470737638),
(119070, 2, 12686, 'CodevTT_Dead Line', '', '1470866400', 0, 1470737638),
(119071, 2, 12686, 'CodevTT_RAF', '0', '2', 0, 1470737645),
(119094, 217, 13627, 'CodevTT_RAF', '0', '0', 0, 1470752990),
(119095, 217, 13627, '', '3494', '', 4, 1470752999),
(119096, 217, 13624, 'CodevTT_RAF', '1', '1', 0, 1470753011),
(119097, 158, 13256, 'CodevTT_RAF', '', '1.5', 0, 1470753398),
(119098, 158, 13256, 'status', '10', '50', 0, 1470753398),
(119099, 158, 10770, 'CodevTT_RAF', '', '4.5', 0, 1470753447),
(119100, 158, 10770, 'status', '40', '50', 0, 1470753447),
(119101, 158, 13044, 'CodevTT_RAF', '3.5', '2', 0, 1470753546),
(119102, 158, 10770, 'CodevTT_RAF', '4.5', '4', 0, 1470753564),
(119103, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1470754019),
(119107, 2, 13676, '', '', '', 1, 1470757607),
(119108, 2, 13676, 'handler_id', '0', '199', 0, 1470757607),
(119109, 2, 13676, 'CodevTT_RAF', '', '0.25', 0, 1470757656),
(119110, 2, 13676, 'status', '10', '50', 0, 1470757656),
(119122, 157, 13592, 'CodevTT_RAF', '', '1.5', 0, 1470807613),
(119123, 157, 13592, 'status', '10', '50', 0, 1470807613),
(119124, 157, 13592, 'CodevTT_RAF', '1.5', '1', 0, 1470807630),
(119125, 157, 13592, 'CodevTT_RAF', '1', '0', 0, 1470807645),
(119126, 157, 13592, 'CodevTT_RAF', '0', '0', 0, 1470807645),
(119127, 157, 13592, 'status', '50', '80', 0, 1470807645),
(119128, 157, 5728, 'CodevTT_RAF', '', '2.5', 0, 1470807764),
(119129, 157, 5728, 'status', '10', '50', 0, 1470807764),
(119130, 157, 5728, 'handler_id', '0', '157', 0, 1470807764),
(119137, 217, 12962, 'CodevTT_RAF', '2', '4', 0, 1470815762),
(119138, 217, 10398, 'CodevTT_RAF', '1', '2', 0, 1470815872),
(119182, 157, 13250, 'CodevTT_RAF', '2', '0', 0, 1470818232),
(119183, 157, 13250, 'status', '50', '80', 0, 1470818232),
(119184, 157, 13250, 'CodevTT_RAF', '0', '0', 0, 1470818232),
(119195, 157, 13294, 'CodevTT_RAF', '', '0', 0, 1470818480),
(119196, 157, 13294, 'status', '10', '80', 0, 1470818480),
(119197, 157, 13294, 'CodevTT_RAF', '0', '0', 0, 1470818480),
(119198, 157, 10871, 'CodevTT_RAF', '', '0', 0, 1470818616),
(119199, 157, 10871, 'status', '10', '80', 0, 1470818616),
(119200, 157, 10871, 'CodevTT_RAF', '0', '0', 0, 1470818616),
(119201, 157, 10195, 'CodevTT_RAF', '3', '0', 0, 1470818668),
(119202, 157, 10195, 'status', '20', '80', 0, 1470818668),
(119203, 157, 10195, 'CodevTT_RAF', '0', '0', 0, 1470818668),
(119341, 2, 13678, '', '', '', 1, 1470840045),
(119342, 2, 13678, 'handler_id', '0', '199', 0, 1470840045),
(119372, 2, 9951, 'CodevTT_RAF', '0', '0', 0, 1470854404),
(119373, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1470854414),
(119374, 2, 7495, 'handler_id', '157', '169', 0, 1470854456),
(119375, 2, 7495, 'CodevTT_Dead Line', '', '', 0, 1470854456),
(119376, 2, 13255, 'CodevTT_RAF', '', '0', 0, 1470854478),
(119377, 2, 13255, 'status', '10', '80', 0, 1470854478),
(119378, 2, 13255, 'CodevTT_RAF', '0', '0', 0, 1470854478),
(119515, 217, 12289, 'CodevTT_RAF', '', '0', 0, 1470906003),
(119516, 217, 12289, 'CodevTT_RAF', '0', '0', 0, 1470906014),
(119519, 217, 10396, 'CodevTT_RAF', '5', '2', 0, 1470906080),
(119520, 217, 12962, 'CodevTT_RAF', '4', '3', 0, 1470906098),
(119521, 217, 12962, 'CodevTT_RAF', '3', '4', 0, 1470906120),
(314618, 381, 2, '', '36171', '', 2, 1513606927),
(119593, 217, 12962, 'CodevTT_RAF', '4', '3', 0, 1470916940),
(119757, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1470934855),
(119867, 134, 12842, 'CodevTT_RAF', '', '3', 0, 1470989175),
(119868, 134, 12842, 'status', '10', '30', 0, 1470989175),
(119869, 134, 12842, 'CodevTT_RAF', '3', '3', 0, 1470989191),
(119870, 134, 12842, 'CodevTT_RAF', '3', '3', 0, 1470989203),
(119871, 134, 8454, 'CodevTT_RAF', '7', '7', 0, 1470989219),
(119872, 134, 12842, 'CodevTT_RAF', '3', '3', 0, 1470989233),
(119873, 134, 8454, 'CodevTT_RAF', '7', '7', 0, 1470989243),
(119998, 217, 13624, 'CodevTT_RAF', '1', '2', 0, 1470993516),
(119999, 217, 12962, 'CodevTT_RAF', '3', '2', 0, 1470993568),
(120062, 158, 10770, 'CodevTT_RAF', '4', '3.5', 0, 1471013866),
(120063, 158, 10770, 'CodevTT_RAF', '3.5', '5', 0, 1471013942),
(120064, 158, 13044, 'CodevTT_RAF', '2', '2', 0, 1471013981),
(120065, 158, 13256, 'CodevTT_RAF', '1.5', '1', 0, 1471014019),
(120066, 158, 13256, 'CodevTT_RAF', '1', '5', 0, 1471014057),
(120067, 158, 13044, 'CodevTT_RAF', '2', '2', 0, 1471014092),
(120079, 212, 13002, 'CodevTT_RAF', '10', '9', 0, 1471014531),
(120080, 212, 13002, 'CodevTT_RAF', '9', '8', 0, 1471014543),
(120084, 212, 13002, 'CodevTT_RAF', '8', '7', 0, 1471014563),
(120088, 212, 13002, 'CodevTT_RAF', '7', '6', 0, 1471014577),
(120090, 212, 13002, 'CodevTT_RAF', '6', '5', 0, 1471014594),
(120091, 169, 7495, '', '3691', '', 2, 1471014601),
(120092, 169, 7495, 'CodevTT_RAF', '2', '2', 0, 1471014601),
(120093, 169, 7495, 'CodevTT_RAF', '2', '2', 0, 1471014607),
(120094, 169, 7495, 'CodevTT_RAF', '2', '2', 0, 1471014613),
(120099, 169, 12686, '', '3692', '', 2, 1471014708),
(120100, 169, 12686, 'CodevTT_RAF', '2', '1.5', 0, 1471014708),
(120102, 169, 7495, 'CodevTT_RAF', '2', '2', 0, 1471014717),
(120192, 200, 12998, 'CodevTT_RAF', '', '1', 0, 1471016321),
(120193, 200, 12998, 'status', '10', '40', 0, 1471016321),
(120195, 200, 12998, 'CodevTT_RAF', '1', '0', 0, 1471016341),
(120196, 200, 12998, 'CodevTT_RAF', '0', '0', 0, 1471016341),
(120197, 200, 12998, 'status', '40', '80', 0, 1471016341),
(120201, 200, 8454, 'CodevTT_RAF', '7', '4', 0, 1471016357),
(120202, 200, 8454, 'CodevTT_RAF', '4', '4', 0, 1471016366),
(120204, 200, 8454, 'CodevTT_RAF', '4', '4', 0, 1471016373),
(120240, 146, 12962, 'CodevTT_RAF', '2', '1', 0, 1471018965),
(120241, 146, 12962, 'CodevTT_RAF', '1', '1', 0, 1471019025),
(120242, 146, 12962, 'CodevTT_RAF', '1', '0', 0, 1471019050),
(120243, 146, 12962, 'CodevTT_RAF', '0', '0', 0, 1471019050),
(120244, 146, 12962, 'status', '50', '80', 0, 1471019050),
(120248, 146, 13544, 'CodevTT_RAF', '', '1', 0, 1471019424),
(120249, 146, 13544, 'status', '10', '50', 0, 1471019424),
(120250, 146, 13544, 'CodevTT_RAF', '1', '1', 0, 1471019467),
(120251, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1471019473),
(120252, 146, 13544, 'CodevTT_RAF', '1', '0', 0, 1471019509),
(120253, 146, 13544, 'CodevTT_RAF', '0', '0', 0, 1471019509),
(120254, 146, 13544, 'status', '50', '80', 0, 1471019509),
(120271, 217, 13686, '', '', '', 1, 1471331073),
(120272, 217, 13686, 'handler_id', '0', '217', 0, 1471331073),
(120273, 217, 13686, '', '', '13627', 21, 1471331073),
(120274, 217, 13627, '', '', '13686', 20, 1471331073),
(120275, 217, 13687, '', '', '', 1, 1471331110),
(120276, 217, 13687, 'handler_id', '0', '217', 0, 1471331110),
(120277, 217, 13687, '', '', '13627', 21, 1471331110),
(120278, 217, 13627, '', '', '13687', 20, 1471331110),
(120279, 217, 13686, 'Ref. Externe', 'G4304', 'G4350', 0, 1471331143),
(120280, 217, 13686, 'CodevTT_RAF', '', '4', 0, 1471331193),
(120281, 217, 13686, 'status', '10', '50', 0, 1471331193),
(120283, 217, 13686, 'CodevTT_RAF', '4', '4', 0, 1471331215),
(120285, 217, 13687, 'CodevTT_RAF', '', '4', 0, 1471331235),
(120286, 217, 13687, 'status', '10', '50', 0, 1471331235),
(120290, 217, 13687, 'CodevTT_RAF', '4', '4', 0, 1471331255),
(120296, 217, 8454, 'CodevTT_RAF', '4', '4', 0, 1471331437),
(120297, 217, 8454, 'CodevTT_RAF', '4', '4', 0, 1471331457),
(120338, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1471373032),
(120339, 217, 13688, '', '', '', 1, 1471416211),
(120340, 217, 13688, 'handler_id', '0', '217', 0, 1471416211),
(120341, 217, 13688, '', '', '13686', 21, 1471416211),
(120342, 217, 13686, '', '', '13688', 20, 1471416211),
(120343, 217, 13688, 'CodevTT_RAF', '', '1', 0, 1471416246),
(120344, 217, 13688, 'status', '10', '50', 0, 1471416247),
(120345, 217, 13688, 'CodevTT_RAF', '1', '1', 0, 1471416256),
(120346, 217, 13624, 'CodevTT_RAF', '2', '1', 0, 1471416340),
(120347, 217, 13545, 'CodevTT_RAF', '1', '1', 0, 1471416393),
(120361, 158, 10770, 'CodevTT_RAF', '5', '4', 0, 1471420790),
(120381, 134, 8454, 'CodevTT_RAF', '4', '4', 0, 1471422141),
(120382, 134, 12842, 'CodevTT_RAF', '3', '2', 0, 1471422194),
(120383, 134, 12842, 'CodevTT_RAF', '2', '2', 0, 1471422229),
(120431, 217, 13626, 'CodevTT_RAF', '1', '1', 0, 1471425176),
(120432, 217, 13626, 'status', '40', '50', 0, 1471425177),
(120435, 217, 13545, 'CodevTT_RAF', '1', '1', 0, 1471425197),
(120438, 217, 13624, 'CodevTT_RAF', '1', '1', 0, 1471425207),
(120544, 217, 13626, 'CodevTT_RAF', '1', '0', 0, 1471503884),
(120545, 217, 13626, 'CodevTT_RAF', '0', '0', 0, 1471503884),
(120546, 217, 13626, 'status', '50', '80', 0, 1471503884),
(120580, 158, 10770, 'CodevTT_RAF', '4', '3', 0, 1471506033),
(120787, 217, 13627, 'CodevTT_RAF', '0', '0', 0, 1471525070),
(120795, 217, 13686, 'CodevTT_RAF', '4', '3', 0, 1471525365),
(120796, 217, 10740, 'CodevTT_RAF', '', '3', 0, 1471525378),
(120797, 217, 10740, 'handler_id', '0', '217', 0, 1471525378),
(120798, 217, 13687, 'CodevTT_RAF', '4', '0', 0, 1471525430),
(120799, 217, 13687, 'CodevTT_RAF', '0', '0', 0, 1471525430),
(120800, 217, 13687, 'status', '50', '80', 0, 1471525430),
(120886, 199, 13698, '', '', '', 1, 1471599457),
(120887, 199, 13698, 'handler_id', '0', '199', 0, 1471599457),
(120888, 199, 13698, '', '', '13250', 21, 1471599457),
(120889, 199, 13250, '', '', '13698', 20, 1471599457),
(120890, 199, 13698, 'CodevTT_RAF', '', '0', 0, 1471599492),
(120891, 199, 13698, 'CodevTT_RAF', '0', '0', 0, 1471599492),
(120892, 199, 13698, 'status', '10', '80', 0, 1471599492),
(120893, 199, 13698, 'CodevTT_RAF', '0', '0', 0, 1471599502),
(120894, 199, 13698, 'CodevTT_RAF', '0', '0', 0, 1471599513),
(120895, 199, 13676, 'CodevTT_RAF', '0.25', '0', 0, 1471599553),
(120896, 199, 13676, 'CodevTT_RAF', '0', '0', 0, 1471599553),
(120897, 199, 13676, 'status', '50', '80', 0, 1471599553),
(120898, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599635),
(120899, 217, 10740, 'CodevTT_RAF', '3', '4', 0, 1471599654),
(120900, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599655),
(120901, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599679),
(120902, 217, 10398, 'CodevTT_RAF', '2', '4', 0, 1471599680),
(120903, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599697),
(120904, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599714),
(120905, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599725),
(120906, 199, 13676, 'CodevTT_RAF', '0', '0', 0, 1471599756),
(120907, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599774),
(120908, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1471599783),
(120909, 217, 10396, 'CodevTT_RAF', '2', '2', 0, 1471599819),
(120910, 199, 13541, 'CodevTT_RAF', '0', '0', 0, 1471599820),
(120911, 199, 13541, 'CodevTT_RAF', '0', '0', 0, 1471599828),
(120912, 199, 13541, 'CodevTT_RAF', '0', '0', 0, 1471599836),
(120913, 199, 13541, 'CodevTT_RAF', '0', '0', 0, 1471599844),
(120914, 199, 13541, 'CodevTT_RAF', '0', '0', 0, 1471599866),
(120924, 158, 10770, 'CodevTT_RAF', '3', '2', 0, 1471607858),
(120925, 158, 10770, 'CodevTT_RAF', '2', '1', 0, 1471607879),
(120941, 212, 13002, 'CodevTT_RAF', '5', '5.5', 0, 1471611382),
(120943, 212, 13002, 'CodevTT_RAF', '5.5', '4.5', 0, 1471611405),
(120945, 212, 13002, 'CodevTT_RAF', '4.5', '4.5', 0, 1471611432),
(120946, 212, 13002, 'CodevTT_RAF', '4.5', '3.5', 0, 1471611463),
(120947, 212, 13002, 'CodevTT_RAF', '3.5', '2.5', 0, 1471611478),
(120949, 212, 13002, 'CodevTT_RAF', '2.5', '2.5', 0, 1471611492),
(121053, 146, 13544, 'CodevTT_RAF', '0', '0', 0, 1471621838),
(121054, 146, 12962, 'CodevTT_RAF', '0', '1', 0, 1471622016),
(121055, 146, 12962, 'CodevTT_RAF', '1', '0', 0, 1471622053),
(121067, 146, 10598, 'CodevTT_RAF', '4', '4', 0, 1471622703),
(121071, 146, 10598, 'CodevTT_RAF', '4', '4', 0, 1471622717),
(121352, 217, 10398, 'CodevTT_RAF', '4', '4', 0, 1471852649),
(121353, 217, 10396, 'CodevTT_RAF', '2', '2', 0, 1471852816),
(121478, 158, 10770, 'CodevTT_RAF', '1', '0.5', 0, 1471877646),
(121577, 2, 10426, 'status', '80', '30', 0, 1471883019),
(121578, 2, 10426, 'resolution', '10', '30', 0, 1471883019),
(121579, 2, 10426, '', '2780', '', 6, 1471883019),
(121580, 2, 10426, 'CodevTT_RAF', '0', '2', 0, 1471883019),
(121581, 2, 10426, 'CodevTT_RAF', '2', '0', 0, 1471883019),
(121582, 2, 10426, '', '0001968', '', 4, 1471883055),
(121627, 217, 10396, 'CodevTT_RAF', '2', '1', 0, 1471940217),
(121628, 217, 10396, 'CodevTT_RAF', '1', '1', 0, 1471940227),
(121637, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1471940492),
(121638, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1471940500),
(121639, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1471940509),
(121689, 2, 2894, '', '3903', '', 2, 1471957897),
(121692, 169, 7495, 'CodevTT_RAF', '2', '0', 0, 1471957943),
(121693, 169, 7495, 'CodevTT_RAF', '0', '0', 0, 1471957943),
(121694, 169, 7495, 'status', '50', '80', 0, 1471957943),
(121695, 169, 7495, 'CodevTT_RAF', '0', '0', 0, 1471957981),
(121696, 169, 4324, 'CodevTT_RAF', '4', '1', 0, 1471958017),
(121698, 169, 4324, '', '3904', '', 2, 1471958112),
(121699, 169, 4324, 'CodevTT_RAF', '1', '1', 0, 1471958112),
(121714, 158, 13256, 'CodevTT_RAF', '5', '4.2', 0, 1471959251),
(121715, 158, 13256, 'CodevTT_RAF', '4.2', '3.7', 0, 1471959281),
(121716, 158, 10770, 'CodevTT_RAF', '0.5', '0.3', 0, 1471959303),
(121722, 217, 10398, 'CodevTT_RAF', '4', '1', 0, 1471961423),
(121741, 205, 10398, 'CodevTT_RAF', '1', '1', 0, 1471965478),
(121742, 205, 10400, 'CodevTT_RAF', '1', '8', 0, 1471965523),
(121753, 205, 13770, '', '', '', 1, 1471966124),
(121754, 205, 13770, 'CodevTT_RAF', '', '0', 0, 1471966148),
(121755, 205, 13770, 'CodevTT_RAF', '0', '0', 0, 1471966148),
(121756, 205, 13770, 'status', '10', '80', 0, 1471966148),
(121757, 205, 13770, 'handler_id', '0', '205', 0, 1471966148),
(121768, 2, 12738, 'CodevTT_RAF', '0.1', '0', 0, 1472023406),
(121769, 2, 12738, 'status', '50', '80', 0, 1472023406),
(121770, 2, 12738, 'CodevTT_RAF', '0', '0', 0, 1472023406),
(121771, 2, 12738, 'CodevTT_Dead Line', '', '', 0, 1472023406),
(121791, 217, 10398, 'CodevTT_RAF', '1', '1', 0, 1472027935),
(121792, 217, 10396, 'CodevTT_RAF', '1', '1', 0, 1472027943),
(121793, 217, 12154, 'CodevTT_RAF', '0', '1', 0, 1472028070),
(121794, 217, 12154, 'status', '80', '50', 0, 1472028070),
(121861, 2, 12311, '', '2500', '12305', 18, 1472048229),
(121867, 2, 12305, '', '1', '12314', 18, 1472048365),
(121868, 2, 12314, '', '1', '12305', 18, 1472048365),
(121869, 2, 12305, '', '1', '12315', 18, 1472048375),
(121870, 2, 12315, '', '1', '12305', 18, 1472048375),
(121871, 2, 12305, '', '1', '12314', 19, 1472048385),
(121872, 2, 12314, '', '1', '12305', 19, 1472048385),
(121873, 2, 12305, '', '1', '12315', 19, 1472048392),
(121874, 2, 12315, '', '1', '12305', 19, 1472048392),
(121875, 2, 12305, '', '2501', '12314', 18, 1472048404),
(121876, 2, 12314, '', '2500', '12305', 18, 1472048404),
(121877, 2, 12305, '', '2501', '12315', 18, 1472048417),
(121878, 2, 12315, '', '2500', '12305', 18, 1472048417),
(121879, 2, 12305, '', '2501', '12316', 18, 1472048429),
(121880, 2, 12316, '', '2500', '12305', 18, 1472048429),
(121881, 2, 12318, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 51-56', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 51 à 56', 0, 1472048513),
(121882, 2, 12318, '', '2500', '12305', 18, 1472048555),
(121883, 2, 12305, '', '2501', '12318', 18, 1472048555),
(121884, 2, 12305, '', '2501', '12320', 18, 1472048685),
(121885, 2, 12320, '', '2500', '12305', 18, 1472048685),
(121886, 2, 12305, '', '2501', '12321', 18, 1472048698),
(121887, 2, 12321, '', '2500', '12305', 18, 1472048698),
(121888, 2, 12305, '', '2501', '12317', 18, 1472048781),
(121889, 2, 12317, '', '2500', '12305', 18, 1472048781),
(121890, 2, 12305, '', '2501', '12319', 18, 1472048795),
(121891, 2, 12319, '', '2500', '12305', 18, 1472048795),
(121892, 2, 12305, '', '2794', '', 6, 1472049145),
(121893, 2, 12305, '', '2501', '12308', 18, 1472049685),
(121894, 2, 12308, '', '2500', '12305', 18, 1472049685),
(121895, 2, 12305, '', '2501', '12324', 18, 1472049752),
(121896, 2, 12324, '', '2500', '12305', 18, 1472049752),
(121902, 2, 12308, '', '2501', '12310', 18, 1472050237),
(121903, 2, 12309, '', '2500', '12308', 18, 1472050400),
(121904, 2, 12308, '', '2501', '12309', 18, 1472050400),
(121906, 2, 12314, '', '2501', '12329', 18, 1472050846),
(121915, 2, 12323, '', '2500', '12324', 18, 1472051174),
(121916, 2, 12324, '', '2501', '12323', 18, 1472051174),
(121945, 2, 13774, '', '', '', 1, 1472052446),
(121946, 2, 13774, 'handler_id', '0', '134', 0, 1472052446),
(121947, 2, 13774, '', '', '12306', 21, 1472052446),
(121948, 2, 12306, '', '', '13774', 20, 1472052446),
(121949, 2, 13774, 'priority', '10', '40', 0, 1472052489),
(121950, 2, 13774, 'target_version', '', '17.3_PUMA', 0, 1472052619),
(121953, 2, 12305, 'handler_id', '134', '169', 0, 1472052744),
(121954, 2, 12306, 'handler_id', '134', '147', 0, 1472052774),
(121958, 2, 12318, 'handler_id', '134', '169', 0, 1472052881),
(121959, 2, 12317, 'handler_id', '134', '147', 0, 1472052938),
(121960, 2, 12319, 'handler_id', '134', '147', 0, 1472052938),
(121961, 2, 12320, 'handler_id', '134', '147', 0, 1472052938),
(121962, 2, 12321, 'handler_id', '134', '147', 0, 1472052938),
(121963, 2, 12326, 'handler_id', '134', '169', 0, 1472053168),
(121964, 2, 12324, 'handler_id', '134', '147', 0, 1472053264),
(121965, 2, 12325, 'handler_id', '134', '147', 0, 1472053264),
(121966, 2, 12312, 'handler_id', '134', '147', 0, 1472053452),
(121967, 2, 12315, 'handler_id', '134', '147', 0, 1472053480),
(121971, 217, 13775, '', '', '', 1, 1472106836),
(121972, 217, 13775, 'handler_id', '0', '217', 0, 1472106836),
(121973, 217, 13775, '', '', '13627', 21, 1472106836),
(121974, 217, 13627, '', '', '13775', 20, 1472106836),
(121975, 217, 13775, 'CodevTT_RAF', '', '15', 0, 1472106881),
(121976, 217, 13775, 'status', '10', '50', 0, 1472106881),
(121977, 217, 13775, 'CodevTT_RAF', '15', '14', 0, 1472106890),
(121978, 217, 13775, 'CodevTT_RAF', '14', '13', 0, 1472106900);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(122029, 2, 11178, 'CodevTT_RAF', '2', '0', 0, 1472113958),
(122030, 2, 11178, 'status', '50', '80', 0, 1472113958),
(122031, 2, 11178, 'CodevTT_RAF', '0', '0', 0, 1472113958),
(122032, 2, 10423, 'CodevTT_RAF', '0.5', '0', 0, 1472113965),
(122033, 2, 10423, 'status', '50', '80', 0, 1472113965),
(122034, 2, 10423, 'CodevTT_RAF', '0', '0', 0, 1472113965),
(122107, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1472117597),
(122108, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1472117610),
(122109, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1472117642),
(122110, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1472117662),
(122111, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1472117679),
(122147, 2, 13783, 'Ref. Externe', '', '43260', 0, 1472118958),
(122148, 2, 13783, 'CodevTT_ChargeInit', '', '2', 0, 1472118958),
(122149, 2, 13783, 'target_version', '', '16.0_TO', 0, 1472118958),
(122150, 2, 13783, 'handler_id', '0', '199', 0, 1472118958),
(122151, 2, 13783, 'codevtt_type', '', 'Bug', 0, 1472118958),
(122152, 2, 13784, 'Ref. Externe', '', '43241', 0, 1472118959),
(122153, 2, 13784, 'CodevTT_ChargeInit', '', '2', 0, 1472118959),
(122154, 2, 13784, 'target_version', '', '16.0_Prov', 0, 1472118959),
(122155, 2, 13784, 'handler_id', '0', '164', 0, 1472118959),
(122156, 2, 13784, 'codevtt_type', '', 'Bug', 0, 1472118959),
(122157, 2, 13785, 'Ref. Externe', '', '43225', 0, 1472118959),
(122158, 2, 13785, 'CodevTT_ChargeInit', '', '2', 0, 1472118959),
(122159, 2, 13785, 'handler_id', '0', '134', 0, 1472118959),
(122160, 2, 13785, 'codevtt_type', '', 'Bug', 0, 1472118959),
(122161, 2, 13786, 'Ref. Externe', '', '43222', 0, 1472118959),
(122162, 2, 13786, 'CodevTT_ChargeInit', '', '2', 0, 1472118959),
(122163, 2, 13786, 'codevtt_type', '', 'Bug', 0, 1472118959),
(122164, 2, 13787, 'Ref. Externe', '', '43221', 0, 1472118959),
(122165, 2, 13787, 'CodevTT_ChargeInit', '', '2', 0, 1472118959),
(122166, 2, 13787, 'codevtt_type', '', 'Bug', 0, 1472118959),
(122167, 2, 13788, 'Ref. Externe', '', '43193', 0, 1472118959),
(122168, 2, 13788, 'CodevTT_ChargeInit', '', '2', 0, 1472118960),
(122169, 2, 13788, 'target_version', '', '16.0_TO', 0, 1472118960),
(122170, 2, 13788, 'handler_id', '0', '199', 0, 1472118960),
(122171, 2, 13788, 'codevtt_type', '', 'Bug', 0, 1472118960),
(122172, 2, 13789, 'Ref. Externe', '', '42842', 0, 1472118960),
(122173, 2, 13789, 'CodevTT_ChargeInit', '', '2', 0, 1472118960),
(122174, 2, 13789, 'codevtt_type', '', 'Bug', 0, 1472118960),
(122281, 134, 13785, 'CodevTT_RAF', '', '3', 0, 1472128407),
(122282, 134, 13785, 'status', '10', '50', 0, 1472128407),
(122286, 134, 13785, 'CodevTT_RAF', '3', '3', 0, 1472128421),
(122287, 134, 13785, 'CodevTT_RAF', '3', '3', 0, 1472128430),
(122290, 134, 13785, 'CodevTT_RAF', '3', '3', 0, 1472128475),
(122291, 134, 13785, 'CodevTT_RAF', '3', '3', 0, 1472128498),
(122292, 134, 13774, 'CodevTT_RAF', '', '3', 0, 1472128557),
(122293, 134, 13774, 'status', '10', '50', 0, 1472128557),
(122298, 134, 13774, 'CodevTT_RAF', '3', '3', 0, 1472128694),
(122299, 134, 13785, 'CodevTT_RAF', '3', '3', 0, 1472128709),
(122300, 134, 12330, 'CodevTT_RAF', '3', '3', 0, 1472128746),
(122391, 134, 12330, 'CodevTT_RAF', '3', '2', 0, 1472134745),
(122440, 116, 10426, 'CodevTT_RAF', '0', '0', 0, 1472136225),
(122441, 116, 10426, 'CodevTT_RAF', '0', '0', 0, 1472136225),
(122442, 116, 10426, 'status', '30', '80', 0, 1472136225),
(122479, 199, 13788, 'CodevTT_RAF', '', '0', 0, 1472193189),
(122480, 199, 13788, 'CodevTT_RAF', '0', '0', 0, 1472193189),
(122481, 199, 13788, 'status', '10', '80', 0, 1472193189),
(122482, 199, 13001, 'CodevTT_RAF', '0.5', '0', 0, 1472193221),
(122483, 199, 13001, 'CodevTT_RAF', '0', '0', 0, 1472193221),
(122484, 199, 13001, 'status', '50', '80', 0, 1472193221),
(122485, 199, 13001, 'handler_id', '157', '199', 0, 1472193221),
(122486, 199, 13001, 'CodevTT_RAF', '0', '0', 0, 1472193887),
(122582, 199, 13797, '', '', '', 1, 1472217761),
(122583, 199, 13797, 'handler_id', '0', '199', 0, 1472217761),
(122584, 199, 13797, '', '', '13698', 21, 1472217761),
(122585, 199, 13698, '', '', '13797', 20, 1472217761),
(122586, 199, 13797, 'CodevTT_RAF', '', '0', 0, 1472217810),
(122587, 199, 13797, 'CodevTT_RAF', '0', '0', 0, 1472217810),
(122588, 199, 13797, 'status', '10', '80', 0, 1472217811),
(122589, 199, 13798, '', '', '', 1, 1472217877),
(122590, 199, 13798, 'handler_id', '0', '199', 0, 1472217877),
(122591, 199, 13798, '', '', '13797', 21, 1472217877),
(122592, 199, 13797, '', '', '13798', 20, 1472217877),
(122593, 199, 13797, 'CodevTT_RAF', '0', '0', 0, 1472217882),
(122594, 199, 13797, 'CodevTT_RAF', '0', '0', 0, 1472217908),
(122595, 199, 13797, 'CodevTT_RAF', '0', '0', 0, 1472218063),
(122596, 199, 13798, 'CodevTT_RAF', '', '0', 0, 1472218130),
(122597, 199, 13798, 'CodevTT_RAF', '0', '0', 0, 1472218130),
(122598, 199, 13798, 'status', '10', '80', 0, 1472218130),
(122599, 199, 13799, '', '', '', 1, 1472218208),
(122600, 199, 13799, 'handler_id', '0', '199', 0, 1472218208),
(122601, 199, 13799, '', '', '13797', 21, 1472218208),
(122602, 199, 13797, '', '', '13799', 20, 1472218208),
(122603, 169, 12330, 'CodevTT_RAF', '2', '5', 0, 1472218222),
(122604, 169, 12330, 'CodevTT_RAF', '5', '1', 0, 1472218242),
(122605, 169, 12330, 'CodevTT_RAF', '1', '5', 0, 1472218252),
(122606, 199, 13799, 'CodevTT_RAF', '', '0', 0, 1472218258),
(122607, 199, 13799, 'CodevTT_RAF', '0', '0', 0, 1472218258),
(122608, 199, 13799, 'status', '10', '80', 0, 1472218258),
(122609, 169, 12330, 'CodevTT_RAF', '5', '5', 0, 1472218264),
(122610, 169, 12330, 'CodevTT_RAF', '5', '5', 0, 1472218271),
(122611, 199, 13783, 'CodevTT_RAF', '', '0', 0, 1472218315),
(122612, 199, 13783, 'CodevTT_RAF', '0', '0', 0, 1472218315),
(122613, 199, 13783, 'status', '10', '80', 0, 1472218315),
(122621, 199, 13800, '', '', '', 1, 1472219163),
(122622, 199, 13800, 'handler_id', '0', '199', 0, 1472219163),
(122623, 199, 13800, '', '', '13799', 21, 1472219163),
(122624, 199, 13799, '', '', '13800', 20, 1472219163),
(122628, 199, 13800, 'CodevTT_RAF', '', '0', 0, 1472219203),
(122629, 199, 13800, 'CodevTT_RAF', '0', '0', 0, 1472219203),
(122630, 199, 13800, 'status', '10', '80', 0, 1472219203),
(122641, 199, 10329, 'CodevTT_RAF', '0.25', '0', 0, 1472219494),
(122642, 199, 10329, 'CodevTT_RAF', '0', '0', 0, 1472219494),
(122643, 199, 10329, 'status', '50', '80', 0, 1472219494),
(122646, 199, 13678, 'CodevTT_RAF', '', '0', 0, 1472219512),
(122647, 199, 13678, 'CodevTT_RAF', '0', '0', 0, 1472219512),
(122648, 199, 13678, 'status', '10', '80', 0, 1472219512),
(122674, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1472222067),
(122675, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1472222099),
(122676, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1472222122),
(122688, 158, 13044, 'CodevTT_RAF', '1', '0.25', 0, 1472223249),
(122689, 158, 13256, 'CodevTT_RAF', '3.7', '3.45', 0, 1472223293),
(122690, 200, 8454, 'CodevTT_RAF', '4', '1', 0, 1472223323),
(122691, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1472223335),
(122692, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1472223350),
(122693, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1472223359),
(122694, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1472223369),
(122695, 158, 13256, 'CodevTT_RAF', '3.45', '2', 0, 1472223428),
(122696, 158, 10770, 'CodevTT_RAF', '0.3', '1', 0, 1472223907),
(122743, 146, 13544, 'CodevTT_RAF', '0', '0', 0, 1472450842),
(122744, 146, 12962, 'CodevTT_RAF', '0', '0', 0, 1472450906),
(122745, 146, 12962, 'CodevTT_RAF', '0', '0', 0, 1472450920),
(122746, 146, 10598, 'CodevTT_RAF', '4', '4', 0, 1472450985),
(122751, 217, 12781, 'CodevTT_RAF', '11.5', '11.25', 0, 1472453955),
(122755, 217, 13775, 'CodevTT_RAF', '13', '12.25', 0, 1472454690),
(122762, 147, 12688, 'CodevTT_RAF', '4', '6', 0, 1472459128),
(122763, 147, 12688, 'CodevTT_RAF', '6', '5', 0, 1472459155),
(122764, 147, 12688, 'CodevTT_RAF', '5', '4', 0, 1472459178),
(122772, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1472463536),
(122825, 134, 13785, 'CodevTT_RAF', '3', '3', 0, 1472474313),
(122827, 134, 12330, 'CodevTT_RAF', '5', '5', 0, 1472474356),
(122828, 134, 13785, 'CodevTT_RAF', '3', '3', 0, 1472474408),
(122833, 2, 13808, '', '', '', 1, 1472474965),
(122834, 2, 13808, 'handler_id', '0', '134', 0, 1472474975),
(122835, 2, 13809, '', '', '', 1, 1472475037),
(122836, 2, 13809, 'handler_id', '0', '134', 0, 1472475037),
(122841, 134, 13808, 'CodevTT_RAF', '', '0', 0, 1472478939),
(122842, 134, 13808, 'CodevTT_RAF', '0', '0', 0, 1472478939),
(122843, 134, 13808, 'status', '10', '80', 0, 1472478939),
(122849, 134, 13809, 'CodevTT_RAF', '', '0', 0, 1472478991),
(122850, 134, 13809, 'CodevTT_RAF', '0', '0', 0, 1472478991),
(122851, 134, 13809, 'status', '10', '80', 0, 1472478991),
(122852, 134, 13785, 'CodevTT_RAF', '3', '2.5', 0, 1472479023),
(122867, 2, 12330, '', '3285', '2807', 3, 1472485957),
(122890, 169, 13809, 'CodevTT_RAF', '0', '0', 0, 1472542698),
(122891, 169, 13809, 'CodevTT_RAF', '0', '0', 0, 1472542712),
(123388, 217, 10399, 'CodevTT_RAF', '5', '5', 0, 1472556631),
(123387, 2, 13625, 'CodevTT_RAF', '0', '0', 0, 1472556283),
(123386, 2, 13625, 'status', '10', '80', 0, 1472556283),
(123385, 2, 13625, 'CodevTT_RAF', '', '0', 0, 1472556283),
(123384, 2, 13257, 'CodevTT_RAF', '0', '0', 0, 1472556154),
(123383, 2, 13257, 'status', '50', '80', 0, 1472556154),
(123382, 2, 13257, 'CodevTT_RAF', '1', '0', 0, 1472556154),
(123379, 2, 12155, 'CodevTT_RAF', '0', '0', 0, 1472555744),
(123378, 2, 12155, 'status', '50', '80', 0, 1472555744),
(123221, 158, 13256, 'CodevTT_RAF', '2', '1', 0, 1472548638),
(123509, 2, 5211, 'status', '10', '80', 0, 1472559406),
(123352, 2, 13002, 'handler_id', '212', '74', 0, 1472554120),
(123353, 2, 4324, 'CodevTT_RAF', '1', '0', 0, 1472554226),
(123354, 2, 4324, 'status', '50', '80', 0, 1472554226),
(123355, 2, 4324, 'CodevTT_RAF', '0', '0', 0, 1472554226),
(123356, 2, 5728, 'CodevTT_RAF', '2.5', '0', 0, 1472554705),
(123357, 2, 5728, 'status', '50', '80', 0, 1472554705),
(123358, 2, 5728, 'CodevTT_RAF', '0', '0', 0, 1472554705),
(123359, 2, 5728, 'CodevTT_Dead Line', '', '', 0, 1472554705),
(123360, 2, 4288, 'CodevTT_RAF', '0.5', '0', 0, 1472554742),
(123361, 2, 4288, 'status', '50', '80', 0, 1472554742),
(123362, 2, 4288, 'CodevTT_RAF', '0', '0', 0, 1472554742),
(123363, 2, 4288, 'CodevTT_Dead Line', '', '', 0, 1472554742),
(123364, 2, 13786, 'handler_id', '0', '157', 0, 1472555126),
(123377, 2, 12155, 'CodevTT_RAF', '', '0', 0, 1472555744),
(123419, 217, 10398, 'CodevTT_RAF', '1', '3', 0, 1472556683),
(123420, 217, 10397, 'CodevTT_RAF', '1', '4', 0, 1472556701),
(123421, 217, 10396, 'CodevTT_RAF', '1', '4', 0, 1472556724),
(123477, 217, 10395, 'CodevTT_RAF', '1', '4', 0, 1472556898),
(123484, 217, 10392, 'CodevTT_RAF', '1', '4', 0, 1472556929),
(123485, 217, 10396, 'CodevTT_RAF', '4', '4', 0, 1472557003),
(123486, 217, 10399, 'CodevTT_RAF', '5', '4', 0, 1472557014),
(123510, 2, 5211, 'resolution', '10', '20', 0, 1472559406),
(123511, 2, 5211, '', '0004147', '', 2, 1472559406),
(123512, 2, 4152, 'handler_id', '93', '0', 0, 1472559750),
(123513, 2, 4152, 'CodevTT_Dead Line', '', '', 0, 1472559750),
(123514, 2, 10154, 'handler_id', '93', '0', 0, 1472559824),
(123515, 2, 10154, 'status', '50', '20', 0, 1472559824),
(123526, 2, 12186, 'handler_id', '93', '0', 0, 1472559860),
(123527, 2, 12186, 'CodevTT_RAF', '1', '0', 0, 1472559860),
(123528, 2, 12186, 'status', '50', '80', 0, 1472559860),
(123529, 2, 12186, 'CodevTT_RAF', '0', '0', 0, 1472559860),
(123531, 2, 4279, 'handler_id', '136', '0', 0, 1472559952),
(123532, 2, 4279, 'CodevTT_RAF', '2', '0', 0, 1472559952),
(123533, 2, 4279, 'status', '50', '80', 0, 1472559952),
(123534, 2, 4279, 'CodevTT_RAF', '0', '0', 0, 1472559952),
(123535, 2, 4285, 'handler_id', '136', '0', 0, 1472559982),
(123536, 2, 4285, 'CodevTT_RAF', '2', '0', 0, 1472559982),
(123537, 2, 4285, 'status', '50', '80', 0, 1472559982),
(123538, 2, 4285, 'CodevTT_RAF', '0', '0', 0, 1472559982),
(123539, 2, 4325, 'handler_id', '136', '0', 0, 1472560000),
(123540, 2, 4873, 'handler_id', '117', '0', 0, 1472560039),
(123541, 2, 4874, 'handler_id', '117', '0', 0, 1472560059),
(123542, 2, 7020, 'handler_id', '2', '0', 0, 1472560158),
(123553, 2, 13349, 'CodevTT_RAF', '', '0', 0, 1472560727),
(123554, 2, 13349, 'status', '10', '80', 0, 1472560727),
(123555, 2, 13349, 'CodevTT_RAF', '0', '0', 0, 1472560727),
(123828, 158, 13256, 'status', '50', '80', 0, 1472567006),
(123827, 158, 13256, 'CodevTT_RAF', '0', '0', 0, 1472567006),
(123736, 2, 13973, '', '', '', 1, 1472564806),
(123737, 2, 13973, 'handler_id', '0', '199', 0, 1472564806),
(123826, 158, 13256, 'CodevTT_RAF', '1', '0', 0, 1472567006),
(123967, 147, 12688, 'CodevTT_RAF', '4', '4', 0, 1472631349),
(123972, 147, 12688, 'CodevTT_RAF', '4', '3', 0, 1472631379),
(123973, 147, 12688, 'CodevTT_RAF', '3', '2', 0, 1472631395),
(123974, 2, 10400, 'handler_id', '200', '205', 0, 1472631518),
(123975, 169, 12686, 'CodevTT_RAF', '1.5', '0.5', 0, 1472631826),
(123976, 169, 4324, 'CodevTT_RAF', '0', '0', 0, 1472631853),
(123979, 169, 12686, 'CodevTT_RAF', '0.5', '0', 0, 1472631899),
(123980, 169, 12686, 'CodevTT_RAF', '0', '0', 0, 1472631899),
(123981, 169, 12686, 'status', '30', '80', 0, 1472631899),
(123995, 2, 14013, '', '', '', 1, 1472635297),
(123996, 2, 14013, 'handler_id', '0', '200', 0, 1472635297),
(123997, 2, 14013, '', '', '12330', 21, 1472635297),
(123998, 2, 12330, '', '', '14013', 20, 1472635297),
(124010, 2, 14014, '', '', '', 1, 1472635484),
(124011, 2, 14014, 'handler_id', '0', '200', 0, 1472635484),
(124012, 2, 14014, '', '', '14013', 21, 1472635484),
(124013, 2, 14013, '', '', '14014', 20, 1472635484),
(124014, 2, 14013, '', '2501', '14014', 18, 1472635484),
(124015, 2, 14014, '', '2500', '14013', 18, 1472635484),
(124016, 2, 14014, 'handler_id', '200', '212', 0, 1472635534),
(124021, 2, 14014, 'CodevTT_ChargeInit', '70', '30', 0, 1472635848),
(124022, 2, 14014, '', '2500', '12328', 18, 1472636041),
(124023, 2, 12328, '', '2501', '14014', 18, 1472636041),
(124024, 2, 14014, '', '2500', '12328', 19, 1472636146),
(124025, 2, 12328, '', '2501', '14014', 19, 1472636146),
(124043, 134, 13785, 'CodevTT_RAF', '2.5', '2', 0, 1472642750),
(124044, 134, 13774, 'CodevTT_RAF', '3', '1.9', 0, 1472642820),
(124066, 2, 14014, '', '2500', '12311', 18, 1472646757),
(124067, 2, 12311, '', '2501', '14014', 18, 1472646757),
(124068, 2, 14014, '', '2500', '12312', 18, 1472646799),
(124069, 2, 12312, '', '2501', '14014', 18, 1472646799),
(124070, 2, 14014, '', '2500', '12313', 18, 1472646808),
(124071, 2, 12313, '', '2501', '14014', 18, 1472646808),
(124072, 2, 14014, '', '1', '12314', 18, 1472646816),
(124073, 2, 12314, '', '1', '14014', 18, 1472646816),
(124074, 2, 14014, '', '2500', '12315', 18, 1472646825),
(124075, 2, 12315, '', '2501', '14014', 18, 1472646825),
(124076, 2, 14014, '', '2500', '12316', 18, 1472646841),
(124077, 2, 12316, '', '2501', '14014', 18, 1472646841),
(124078, 2, 14014, '', '2500', '12317', 18, 1472646851),
(124079, 2, 12317, '', '2501', '14014', 18, 1472646851),
(124080, 2, 14014, '', '2500', '12318', 18, 1472646877),
(124081, 2, 12318, '', '2501', '14014', 18, 1472646877),
(124082, 2, 14014, '', '2500', '12319', 18, 1472646888),
(124083, 2, 12319, '', '2501', '14014', 18, 1472646888),
(124084, 2, 14014, '', '2500', '12320', 18, 1472646898),
(124085, 2, 12320, '', '2501', '14014', 18, 1472646898),
(124086, 2, 14014, '', '2500', '12321', 18, 1472646911),
(124087, 2, 12321, '', '2501', '14014', 18, 1472646911),
(124088, 2, 14014, '', '2500', '12310', 18, 1472646938),
(124095, 2, 14014, '', '2500', '12309', 18, 1472648526),
(124096, 2, 12309, '', '2501', '14014', 18, 1472648526),
(124097, 2, 14014, '', '2500', '12307', 18, 1472649231),
(124098, 2, 12307, '', '2501', '14014', 18, 1472649231),
(124099, 2, 14014, '', '2500', '12323', 18, 1472649251),
(124100, 2, 12323, '', '2501', '14014', 18, 1472649251),
(124101, 2, 14014, '', '2500', '12304', 18, 1472649281),
(124102, 2, 12304, '', '2501', '14014', 18, 1472649281),
(124103, 2, 14014, '', '2500', '12328', 18, 1472649313),
(124104, 2, 12328, '', '2501', '14014', 18, 1472649313),
(124126, 2, 12330, 'status', '50', '20', 0, 1472650419),
(124127, 2, 12330, '', '0004181', '', 2, 1472650419),
(124128, 2, 12781, 'CodevTT_Dead Line', '', '1473631200', 0, 1472650751),
(124129, 2, 12781, 'Ref. Externe', '', 'PrepaFormation', 0, 1472650903),
(124138, 2, 13559, 'CodevTT_Dead Line', '', '1474668000', 0, 1472651346),
(124139, 2, 13559, 'Ref. Externe', '', 'Formation', 0, 1472651554),
(124140, 217, 14022, '', '', '', 1, 1472652336),
(124141, 217, 14022, 'handler_id', '0', '217', 0, 1472652336),
(124142, 217, 14022, '', '', '13627', 21, 1472652336),
(124143, 217, 13627, '', '', '14022', 20, 1472652336),
(124147, 217, 14022, 'CodevTT_RAF', '', '0', 0, 1472652616),
(124148, 217, 14022, 'CodevTT_RAF', '0', '0', 0, 1472652616),
(124149, 217, 14022, 'status', '10', '80', 0, 1472652616),
(124152, 217, 10392, 'CodevTT_RAF', '4', '4', 0, 1472652661),
(124153, 217, 10395, 'CodevTT_RAF', '4', '4', 0, 1472652724),
(124154, 217, 10399, 'CodevTT_RAF', '4', '4', 0, 1472652898),
(124155, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1472653713),
(124157, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1472653739),
(124158, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1472653804),
(124159, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1472653817),
(124178, 199, 8840, 'CodevTT_RAF', '0', '0', 0, 1472657464),
(124179, 199, 8840, 'CodevTT_RAF', '0', '0', 0, 1472657477),
(124180, 199, 12199, 'CodevTT_RAF', '10', '5', 0, 1472657512),
(124181, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1472657544),
(124182, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1472657597),
(124183, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1472657622),
(124184, 199, 13973, 'CodevTT_RAF', '', '0', 0, 1472657689),
(124185, 199, 13973, 'CodevTT_RAF', '0', '0', 0, 1472657689),
(124186, 199, 13973, 'status', '10', '80', 0, 1472657689),
(124187, 199, 13973, 'CodevTT_RAF', '0', '0', 0, 1472657710),
(124188, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1472657728),
(124189, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1472657745),
(124190, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1472657758),
(124191, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1472657802),
(124192, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1472657876),
(124193, 158, 10770, 'CodevTT_RAF', '1', '0', 0, 1472657897),
(124194, 158, 10770, 'CodevTT_RAF', '0', '0', 0, 1472657897),
(124195, 158, 10770, 'status', '50', '80', 0, 1472657897),
(124196, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1472657911),
(124421, 2, 13559, 'CodevTT_RAF', '', '9', 0, 1472720802),
(124422, 2, 13559, 'status', '10', '30', 0, 1472720802),
(124423, 2, 13559, 'handler_id', '72', '205', 0, 1472720803),
(124430, 2, 13559, 'CodevTT_RAF', '9', '5', 0, 1472720875),
(124431, 2, 13559, 'CodevTT_RAF', '5', '5', 0, 1472720889),
(124434, 2, 13559, 'CodevTT_RAF', '5', '5', 0, 1472720900),
(124441, 2, 13559, 'CodevTT_RAF', '5', '5', 0, 1472720966),
(124442, 2, 13559, 'CodevTT_RAF', '5', '5', 0, 1472720996),
(124445, 2, 13559, 'CodevTT_RAF', '5', '5', 0, 1472721009),
(124448, 2, 13559, 'CodevTT_RAF', '5', '1', 0, 1472721024),
(124449, 2, 13559, 'handler_id', '205', '157', 0, 1472721024),
(124455, 2, 13559, 'CodevTT_RAF', '1', '0.5', 0, 1472721095),
(124456, 2, 13559, 'handler_id', '157', '134', 0, 1472721095),
(124464, 2, 13559, 'CodevTT_RAF', '0.5', '0.1', 0, 1472721227),
(124568, 72, 14036, '', '', '', 1, 1472730833),
(124569, 72, 14036, 'handler_id', '0', '74', 0, 1472730833),
(124570, 72, 14037, '', '', '', 1, 1472730926),
(124571, 72, 14037, 'priority', '30', '50', 0, 1472730952),
(124572, 72, 14038, '', '', '', 1, 1472731133),
(124573, 72, 14038, 'handler_id', '0', '157', 0, 1472731133),
(124588, 72, 14039, '', '', '', 1, 1472731271),
(124651, 2, 4278, 'status', '80', '30', 0, 1472734741),
(124652, 2, 4278, 'CodevTT_Dead Line', '', '', 0, 1472734741),
(124653, 2, 4278, 'CodevTT_RAF', '0', '2', 0, 1472734762),
(124669, 2, 14039, 'handler_id', '0', '169', 0, 1472735073),
(124702, 2, 13542, 'CodevTT_RAF', '0.5', '0', 0, 1472736688),
(124703, 2, 13542, 'status', '50', '80', 0, 1472736688),
(124704, 2, 13542, 'CodevTT_RAF', '0', '0', 0, 1472736688),
(124710, 169, 12305, 'CodevTT_RAF', '3', '5', 0, 1472737361),
(124711, 169, 12305, 'CodevTT_RAF', '5', '4', 0, 1472737372),
(124712, 2, 10598, 'handler_id', '146', '246', 0, 1472737606),
(124713, 2, 10598, 'CodevTT_Dead Line', '1469743200', '', 0, 1472737606),
(134096, 134, 12781, 'CodevTT_RAF', '0', '0', 0, 1474900712),
(134095, 134, 12781, '', '5661', '', 2, 1474900712),
(124717, 72, 13258, '', '', '14042', 20, 1472737903),
(124731, 72, 13628, 'CodevTT_RAF', '0.5', '0', 0, 1472739798),
(124732, 72, 13628, 'status', '20', '80', 0, 1472739798),
(124733, 72, 13628, 'CodevTT_RAF', '0', '0', 0, 1472739798),
(124822, 217, 14048, '', '', '', 1, 1472798472),
(124823, 217, 14048, 'handler_id', '0', '217', 0, 1472798472),
(124824, 217, 14048, '', '', '13627', 21, 1472798472),
(124825, 217, 13627, '', '', '14048', 20, 1472798472),
(124826, 217, 14048, 'CodevTT_RAF', '', '0', 0, 1472798511),
(124827, 217, 14048, 'CodevTT_RAF', '0', '0', 0, 1472798511),
(124828, 217, 14048, 'status', '10', '80', 0, 1472798511),
(124829, 217, 14048, 'CodevTT_RAF', '0', '0', 0, 1472798565),
(124830, 217, 14049, '', '', '', 1, 1472799587),
(124831, 217, 14049, 'handler_id', '0', '205', 0, 1472799587),
(124832, 217, 14049, '', '', '10394', 21, 1472799587),
(124833, 217, 10394, '', '', '14049', 20, 1472799587),
(124834, 217, 14048, 'CodevTT_RAF', '0', '0', 0, 1472799622),
(124835, 217, 14049, 'CodevTT_RAF', '', '19.1', 0, 1472799702),
(124836, 217, 14049, 'status', '10', '50', 0, 1472799702),
(124837, 217, 14048, 'CodevTT_RAF', '0', '0', 0, 1472799774),
(124850, 158, 13044, 'CodevTT_RAF', '0.25', '0', 0, 1472802067),
(124851, 158, 13044, 'CodevTT_RAF', '0', '0', 0, 1472802067),
(124852, 158, 13044, 'status', '50', '80', 0, 1472802067),
(124866, 74, 13002, 'CodevTT_RAF', '2.5', '9', 0, 1472803536),
(124868, 74, 13002, 'CodevTT_RAF', '9', '8.5', 0, 1472803553),
(124869, 74, 13002, 'CodevTT_RAF', '8.5', '8', 0, 1472803568),
(124870, 74, 13002, 'CodevTT_RAF', '8', '7', 0, 1472803581),
(124871, 74, 13002, 'CodevTT_RAF', '7', '6', 0, 1472803637),
(145865, 157, 15260, 'handler_id', '0', '157', 0, 1477657278),
(145864, 157, 15260, '', '', '', 1, 1477657278),
(145863, 157, 13786, 'CodevTT_RAF', '0.5', '0.5', 0, 1477657097),
(145862, 157, 14227, 'status', '80', '50', 0, 1477657047),
(145861, 157, 14227, 'CodevTT_RAF', '0', '0.5', 0, 1477657047),
(124957, 2, 12686, 'RSI_Type_Ano', '', 'Recette', 0, 1472806820),
(124958, 2, 4288, 'RSI_Type_Ano', '', 'Recette', 0, 1472806860),
(124959, 2, 7495, 'RSI_Type_Ano', '', 'Recette', 0, 1472806900),
(124960, 2, 12842, 'RSI_Type_Ano', '', 'Production', 0, 1472806923),
(124961, 2, 13252, 'RSI_Type_Ano', '', 'Recette', 0, 1472806952),
(124962, 2, 13370, 'RSI_Type_Ano', '', 'Production', 0, 1472806975),
(124963, 2, 12843, 'RSI_Type_Ano', '', 'Production', 0, 1472807028),
(124964, 2, 10791, 'RSI_Type_Ano', '', 'Production', 0, 1472807047),
(124965, 2, 12060, 'RSI_Type_Ano', '', 'Production', 0, 1472807076),
(124966, 2, 4284, 'RSI_Type_Ano', '', 'Recette', 0, 1472807095),
(124967, 2, 9643, 'RSI_Type_Ano', '', 'Recette', 0, 1472807119),
(124968, 2, 12097, 'RSI_Type_Ano', '', 'Production', 0, 1472807139),
(124969, 2, 9460, 'RSI_Type_Ano', '', 'Recette', 0, 1472807161),
(124970, 2, 4289, 'RSI_Type_Ano', '', 'Production', 0, 1472807192),
(124971, 2, 10437, 'RSI_Type_Ano', '', 'Recette', 0, 1472807217),
(124972, 2, 9452, 'RSI_Type_Ano', '', 'Production', 0, 1472807243),
(124973, 2, 10786, 'RSI_Type_Ano', '', 'Recette', 0, 1472807326),
(124974, 2, 10786, 'Ref. Externe', '4036', 'G4036', 0, 1472807326),
(124975, 2, 13770, 'RSI_Type_Ano', '', 'Recette', 0, 1472807482),
(124976, 2, 13770, 'Ref. Externe', 'GAC-4126', 'G4126', 0, 1472807482),
(124979, 2, 12153, 'RSI_Type_Ano', '', 'Recette', 0, 1472807523),
(125062, 72, 14057, '', '', '', 1, 1472818485),
(125063, 72, 14058, '', '', '', 1, 1472818550),
(125064, 72, 14058, '', '', '14057', 21, 1472818550),
(125065, 72, 14057, '', '', '14058', 20, 1472818550),
(125066, 72, 14057, '', '2501', '14058', 18, 1472818550),
(125067, 72, 14058, '', '2500', '14057', 18, 1472818550),
(125094, 72, 14059, '', '', '', 1, 1472818929),
(125095, 72, 14059, 'summary', '43077 [SPEC] DSI-2105-FC30A-Gestion correcte du traitement de l\'erreur absence de période OC pour un assuré', '43077 [SPEC] FIAB-SIREN-Rattrapage des SIREN vide avec SIREN en instance suite étude complémentaire', 0, 1472819005),
(125098, 72, 14060, '', '', '', 1, 1472819059),
(125099, 72, 14060, 'handler_id', '0', '147', 0, 1472819059),
(125100, 72, 14060, '', '', '14059', 21, 1472819059),
(125101, 72, 14059, '', '', '14060', 20, 1472819059),
(125102, 72, 14059, '', '2501', '14060', 18, 1472819059),
(125103, 72, 14060, '', '2500', '14059', 18, 1472819059),
(125118, 72, 13785, 'handler_id', '134', '158', 0, 1472820367),
(125119, 72, 13543, 'CodevTT_RAF', '0.5', '0', 0, 1472820597),
(125120, 72, 13543, 'status', '50', '80', 0, 1472820597),
(125121, 72, 13543, 'CodevTT_RAF', '0', '0', 0, 1472820597),
(125122, 72, 12791, 'status', '50', '20', 0, 1472820684),
(125123, 72, 12791, 'CodevTT_Dead Line', '', '', 0, 1472820684),
(125124, 72, 12790, 'status', '80', '20', 0, 1472820711),
(125125, 72, 12790, 'CodevTT_Dead Line', '', '', 0, 1472820711),
(125126, 72, 12790, 'CodevTT_RAF', '0', '1', 0, 1472820769),
(125132, 169, 12305, 'CodevTT_RAF', '4', '3', 0, 1472821701),
(125133, 147, 12688, 'CodevTT_RAF', '2', '1', 0, 1472821753),
(125134, 147, 12688, 'CodevTT_RAF', '1', '1', 0, 1472821776),
(125144, 158, 13785, 'CodevTT_RAF', '2', '1', 0, 1472824514),
(125475, 146, 13258, 'CodevTT_RAF', '', '2', 0, 1473035322),
(125476, 146, 13258, 'status', '10', '50', 0, 1473035322),
(125477, 146, 13258, 'CodevTT_RAF', '2', '2', 0, 1473035343),
(125478, 146, 13258, 'CodevTT_RAF', '2', '1', 0, 1473035375),
(125479, 146, 10598, 'CodevTT_RAF', '4', '3', 0, 1473035426),
(125480, 146, 13258, 'CodevTT_RAF', '1', '3', 0, 1473035480),
(125481, 146, 10598, 'CodevTT_RAF', '3', '3', 0, 1473035596),
(125482, 146, 13258, 'CodevTT_RAF', '3', '0', 0, 1473035667),
(125483, 146, 13258, 'CodevTT_RAF', '0', '0', 0, 1473035667),
(125484, 146, 13258, 'status', '50', '80', 0, 1473035667),
(125495, 157, 12820, 'CodevTT_RAF', '1', '0.5', 0, 1473058353),
(125496, 157, 14038, 'CodevTT_RAF', '', '1', 0, 1473058415),
(125497, 157, 14038, 'status', '10', '50', 0, 1473058415),
(125498, 157, 4324, 'CodevTT_RAF', '0', '0', 0, 1473058596),
(125499, 157, 13252, 'CodevTT_RAF', '0', '0', 0, 1473058641),
(125500, 157, 9468, 'CodevTT_RAF', '0', '0', 0, 1473058689),
(125507, 157, 12781, 'CodevTT_RAF', '11.25', '10.75', 0, 1473058778),
(125564, 200, 4299, 'CodevTT_RAF', '2', '2', 0, 1473063819),
(125565, 200, 4299, 'status', '10', '50', 0, 1473063819),
(125566, 200, 4299, 'CodevTT_RAF', '2', '1', 0, 1473063829),
(125567, 200, 4299, 'CodevTT_RAF', '1', '1', 0, 1473063856),
(125568, 200, 4299, 'CodevTT_RAF', '1', '1', 0, 1473063864),
(125576, 205, 10400, 'CodevTT_RAF', '8', '4', 0, 1473065786),
(125577, 205, 10400, 'CodevTT_RAF', '4', '4', 0, 1473065828),
(125578, 205, 10400, 'CodevTT_RAF', '4', '1', 0, 1473065840),
(125579, 205, 10400, 'CodevTT_RAF', '1', '4', 0, 1473065905),
(125580, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1473065997),
(125581, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1473066012),
(125582, 205, 10400, 'CodevTT_RAF', '4', '4', 0, 1473066013),
(125583, 205, 10400, 'CodevTT_RAF', '4', '4', 0, 1473066024),
(125584, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1473066088),
(125585, 205, 12781, 'CodevTT_RAF', '10.75', '10.25', 0, 1473066157),
(125586, 205, 13559, 'CodevTT_RAF', '0.1', '0.1', 0, 1473066180),
(125618, 217, 14049, 'CodevTT_RAF', '19.1', '19', 0, 1473067976),
(125623, 217, 14069, '', '', '', 1, 1473068104),
(125624, 217, 14069, 'handler_id', '0', '217', 0, 1473068104),
(125625, 217, 14069, '', '', '13627', 21, 1473068104),
(125626, 217, 13627, '', '', '14069', 20, 1473068104),
(125627, 217, 14049, 'CodevTT_RAF', '19', '19', 0, 1473068113),
(125629, 217, 14069, 'CodevTT_RAF', '', '3', 0, 1473068143),
(125630, 217, 14069, 'status', '10', '50', 0, 1473068143),
(125631, 217, 14069, 'CodevTT_RAF', '3', '3', 0, 1473068145),
(125632, 217, 14069, 'CodevTT_RAF', '3', '3.9', 0, 1473068325),
(136441, 157, 14036, 'handler_id', '74', '157', 0, 1475645267),
(136440, 157, 14036, 'status', '20', '50', 0, 1475645225),
(136439, 157, 14036, 'CodevTT_RAF', '0.5', '0.5', 0, 1475645225),
(136438, 157, 14548, 'CodevTT_RAF', '1.5', '1', 0, 1475645187),
(136437, 157, 14545, 'CodevTT_RAF', '1.75', '1', 0, 1475645078),
(136436, 157, 14473, 'status', '50', '80', 0, 1475645040),
(136435, 157, 14473, 'CodevTT_RAF', '0', '0', 0, 1475645040),
(136434, 157, 14473, 'CodevTT_RAF', '1', '0', 0, 1475645040),
(136433, 169, 14329, 'CodevTT_RAF', '28.5', '28.5', 0, 1475598394),
(136432, 169, 12312, 'CodevTT_RAF', '2', '2', 0, 1475598327),
(125895, 217, 14069, 'CodevTT_RAF', '3.9', '3', 0, 1473081487),
(125896, 217, 14049, 'CodevTT_RAF', '19', '18', 0, 1473081512),
(145873, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1477657908),
(145872, 157, 13786, 'CodevTT_RAF', '0.5', '0.5', 0, 1477657374),
(145871, 157, 15260, 'CodevTT_RAF', '2', '2', 0, 1477657346),
(145870, 157, 15260, 'status', '10', '50', 0, 1477657318),
(145869, 157, 15260, 'CodevTT_RAF', '', '2', 0, 1477657318),
(126048, 169, 12305, 'CodevTT_RAF', '3', '1', 0, 1473091661),
(126049, 169, 12305, '', '4634', '', 2, 1473091756),
(126085, 134, 13785, 'CodevTT_RAF', '1', '2', 0, 1473145661),
(126086, 134, 14037, 'CodevTT_RAF', '', '0', 0, 1473145725),
(126087, 134, 14037, 'CodevTT_RAF', '0', '0', 0, 1473145725),
(126088, 134, 14037, 'status', '10', '80', 0, 1473145725),
(126089, 134, 14037, 'handler_id', '0', '134', 0, 1473145725),
(126090, 134, 14037, 'CodevTT_RAF', '0', '0', 0, 1473145767),
(126091, 134, 13785, 'CodevTT_RAF', '2', '2', 0, 1473145939),
(126092, 134, 13785, 'CodevTT_RAF', '2', '2', 0, 1473145990),
(126093, 134, 13785, 'CodevTT_RAF', '2', '2', 0, 1473146023),
(126094, 134, 12781, 'CodevTT_RAF', '10.25', '10', 0, 1473146069),
(126095, 134, 13774, 'CodevTT_RAF', '1.9', '1.4', 0, 1473146130),
(126096, 147, 12688, 'CodevTT_RAF', '1', '1', 0, 1473146426),
(126097, 147, 12689, 'CodevTT_RAF', '', '1', 0, 1473146515),
(126098, 147, 12689, 'status', '10', '50', 0, 1473146515),
(126099, 147, 12689, 'CodevTT_RAF', '1', '1', 0, 1473146530),
(126757, 158, 13785, 'CodevTT_RAF', '2', '1.5', 0, 1473165815),
(126762, 158, 13785, 'CodevTT_RAF', '1.5', '3', 0, 1473166350),
(126866, 147, 12689, 'CodevTT_RAF', '1', '0', 0, 1473169381),
(126867, 147, 12689, 'CodevTT_RAF', '0', '0', 0, 1473169381),
(126868, 147, 12689, 'status', '50', '80', 0, 1473169381),
(126869, 147, 12688, 'CodevTT_RAF', '1', '0', 0, 1473169622),
(126870, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1473169622),
(126871, 147, 12688, 'status', '50', '80', 0, 1473169622),
(126878, 147, 12689, 'CodevTT_RAF', '0', '0', 0, 1473169683),
(126879, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1473169696),
(126956, 217, 14069, 'CodevTT_RAF', '3', '3', 0, 1473171923),
(126957, 217, 14049, 'CodevTT_RAF', '18', '17', 0, 1473171934),
(127056, 134, 13774, 'CodevTT_RAF', '1.4', '0.5', 0, 1473174367),
(127091, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1473175534),
(127092, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1473175549),
(127099, 72, 12938, '', '4825', '', 2, 1473177767),
(127100, 72, 12938, 'CodevTT_RAF', '2', '2', 0, 1473177768),
(127101, 72, 12938, 'status', '20', '50', 0, 1473177768),
(127112, 72, 14143, '', '', '', 1, 1473234219),
(127113, 72, 14143, 'handler_id', '0', '169', 0, 1473234219),
(127114, 72, 14143, 'CodevTT_Dead Line', '', '1473199200', 0, 1473234279),
(127170, 72, 12938, '', '4839', '', 2, 1473248472),
(127171, 72, 12938, 'CodevTT_RAF', '2', '0', 0, 1473248472),
(127172, 72, 12938, 'CodevTT_RAF', '0', '0', 0, 1473248472),
(127173, 72, 12938, 'status', '50', '80', 0, 1473248472),
(127190, 72, 12304, 'handler_id', '134', '169', 0, 1473250436),
(127191, 72, 12304, 'CodevTT_Dead Line', '', '', 0, 1473250436),
(127192, 72, 12318, '', '2500', '12304', 18, 1473250734),
(127193, 72, 12304, '', '2501', '12318', 18, 1473250734),
(127194, 72, 12313, 'handler_id', '134', '158', 0, 1473250987),
(127195, 72, 12313, 'CodevTT_Dead Line', '', '', 0, 1473250987),
(127196, 72, 12316, 'handler_id', '134', '158', 0, 1473251304),
(127197, 72, 12316, 'CodevTT_Dead Line', '', '', 0, 1473251304),
(127201, 217, 13775, 'CodevTT_RAF', '12.25', '12', 0, 1473252930),
(127202, 217, 14049, 'CodevTT_RAF', '17', '17', 0, 1473252991),
(127212, 74, 13002, 'CodevTT_RAF', '6', '5', 0, 1473258040),
(127213, 74, 13002, 'CodevTT_RAF', '5', '5', 0, 1473258052),
(127214, 74, 13002, 'CodevTT_RAF', '5', '4', 0, 1473258066),
(127233, 72, 12938, '', '4845', '', 2, 1473263495),
(127234, 72, 12938, 'CodevTT_RAF', '0', '0.5', 0, 1473263495),
(127235, 72, 12938, 'status', '80', '50', 0, 1473263495),
(127237, 72, 14150, '', '', '', 1, 1473263585),
(127238, 72, 14150, 'handler_id', '0', '72', 0, 1473263585),
(127239, 72, 14150, '', '', '12938', 21, 1473263585),
(127240, 72, 12938, '', '', '14150', 20, 1473263585),
(127241, 72, 14150, '', '2500', '12938', 18, 1473263636),
(127242, 72, 12938, '', '2501', '14150', 18, 1473263636),
(127277, 217, 14049, 'CodevTT_RAF', '17', '17', 0, 1473315557),
(127280, 72, 12311, 'handler_id', '134', '158', 0, 1473317438),
(127281, 72, 12314, 'handler_id', '134', '158', 0, 1473317515),
(127282, 72, 12316, 'handler_id', '158', '134', 0, 1473317569),
(169092, 72, 10399, 'Ref. Externe', '42497', '44027', 0, 1483956827),
(127649, 217, 14069, 'CodevTT_RAF', '3', '3', 0, 1473326113),
(127650, 158, 13785, 'CodevTT_RAF', '3', '4', 0, 1473326236),
(127690, 72, 14059, 'handler_id', '0', '147', 0, 1473333436),
(127695, 72, 14157, '', '', '', 1, 1473334022),
(127700, 72, 13002, 'CodevTT_ChargeMgr', '3.5', '0', 0, 1473334417),
(127701, 72, 13002, 'CodevTT_ChargeInit', '2', '0', 0, 1473334417),
(127702, 72, 14157, 'status', '10', '50', 0, 1473334526),
(127703, 72, 14157, 'CodevTT_Dead Line', '', '', 0, 1473334526),
(127704, 72, 14157, 'CodevTT_RAF', '', '2', 0, 1473334533),
(127724, 72, 6059, 'CodevTT_ChargeMgr', '3', '0', 0, 1473336732),
(127726, 72, 8178, 'CodevTT_ChargeMgr', '2', '0', 0, 1473336805),
(127728, 72, 8343, 'CodevTT_ChargeMgr', '1', '0', 0, 1473336854),
(127729, 72, 8344, 'CodevTT_ChargeMgr', '1', '0', 0, 1473336871),
(127730, 72, 8558, 'CodevTT_ChargeMgr', '5', '0', 0, 1473336906),
(127735, 72, 8559, 'CodevTT_ChargeMgr', '5', '0', 0, 1473336936),
(127736, 72, 8560, 'CodevTT_ChargeMgr', '5', '0', 0, 1473336953),
(127739, 72, 8794, 'CodevTT_ChargeMgr', '10', '0', 0, 1473337016),
(127747, 72, 4335, 'CodevTT_ChargeMgr', '3', '0', 0, 1473337298),
(127748, 72, 8179, 'CodevTT_ChargeMgr', '2', '0', 0, 1473337334),
(127897, 72, 13788, 'RSI_Type_Ano', '', 'Recette', 0, 1473342310),
(127898, 72, 13785, 'RSI_Type_Ano', '', 'Production', 0, 1473342393),
(127899, 72, 13783, 'RSI_Type_Ano', '', 'Recette', 0, 1473342450),
(127910, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1473345760),
(127911, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1473345780),
(127912, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1473345792),
(127913, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1473345814),
(127932, 147, 12306, 'CodevTT_RAF', '', '5', 0, 1473348231),
(127933, 147, 12306, 'status', '10', '50', 0, 1473348231),
(127934, 147, 12306, 'CodevTT_RAF', '5', '4', 0, 1473348248),
(127971, 72, 14165, 'summary', '43375 - SOCLE  Celtick  TAIGA  SCU  16.0  GP.92  Caisse 048  Inc 387627', '43363 - TAIGA-AFFI-RDD Test de journalisation données ENTREPRISE dans JNL_STAT si immat validée pour MAJ BDU', 0, 1473350005),
(127973, 72, 14165, 'RSI_Type_Ano', '', 'Production', 0, 1473350005),
(127972, 72, 14165, '', '2851', '', 6, 1473350005),
(127970, 72, 14163, 'RSI_Type_Ano', '', 'Production', 0, 1473349632),
(127951, 72, 14163, 'Ref. Externe', '', '43353', 0, 1473349268),
(127952, 72, 14163, 'CodevTT_ChargeInit', '', '2', 0, 1473349268),
(127953, 72, 14163, 'handler_id', '0', '157', 0, 1473349268),
(127954, 72, 14163, 'codevtt_type', '', 'Bug', 0, 1473349268),
(127955, 72, 14164, 'Ref. Externe', '', '43372', 0, 1473349268),
(127956, 72, 14164, 'CodevTT_ChargeInit', '', '2', 0, 1473349268),
(127957, 72, 14164, 'handler_id', '0', '134', 0, 1473349268),
(127958, 72, 14164, 'codevtt_type', '', 'Bug', 0, 1473349268),
(127959, 72, 14165, 'Ref. Externe', '', '43375', 0, 1473349268),
(127960, 72, 14165, 'CodevTT_ChargeInit', '', '2', 0, 1473349268),
(127961, 72, 14165, 'handler_id', '0', '147', 0, 1473349268),
(127962, 72, 14165, 'codevtt_type', '', 'Bug', 0, 1473349268),
(127969, 72, 14164, 'RSI_Type_Ano', '', 'Production', 0, 1473349554),
(127974, 72, 14165, 'Ref. Externe', '43375', '43363', 0, 1473350005),
(127975, 72, 14165, '', '0005054', '', 2, 1473350005),
(128003, 72, 14166, 'Ref. Externe', '', '43166', 0, 1473405853),
(128004, 72, 14166, 'CodevTT_ChargeInit', '', '2', 0, 1473405853),
(128005, 72, 14166, 'handler_id', '0', '157', 0, 1473405853),
(128006, 72, 14166, 'codevtt_type', '', 'Bug', 0, 1473405853),
(128007, 72, 14167, 'Ref. Externe', '', '43352', 0, 1473405853),
(128008, 72, 14167, 'CodevTT_ChargeInit', '', '2', 0, 1473405853),
(128009, 72, 14167, 'handler_id', '0', '157', 0, 1473405853),
(128010, 72, 14167, 'codevtt_type', '', 'Bug', 0, 1473405853),
(128011, 72, 14168, 'Ref. Externe', '', '43366', 0, 1473405853),
(128012, 72, 14168, 'CodevTT_ChargeInit', '', '2', 0, 1473405853),
(128013, 72, 14168, 'handler_id', '0', '157', 0, 1473405853),
(128014, 72, 14168, 'codevtt_type', '', 'Bug', 0, 1473405853),
(128015, 72, 14169, 'Ref. Externe', '', '43367', 0, 1473405854),
(128016, 72, 14169, 'CodevTT_ChargeInit', '', '2', 0, 1473405854),
(128017, 72, 14169, 'handler_id', '0', '157', 0, 1473405854),
(128018, 72, 14169, 'codevtt_type', '', 'Bug', 0, 1473405854),
(128019, 72, 14170, 'Ref. Externe', '', '43376', 0, 1473405854),
(128020, 72, 14170, 'CodevTT_ChargeInit', '', '2', 0, 1473405854),
(128021, 72, 14170, 'handler_id', '0', '157', 0, 1473405854),
(128022, 72, 14170, 'codevtt_type', '', 'Bug', 0, 1473405854),
(128038, 169, 4278, 'status', '30', '80', 0, 1473408776),
(128039, 169, 4278, 'CodevTT_RAF', '2', '0', 0, 1473408776),
(128041, 169, 14143, 'CodevTT_RAF', '', '0', 0, 1473408860),
(128042, 169, 14143, 'CodevTT_RAF', '0', '0', 0, 1473408860),
(128043, 169, 14143, 'status', '10', '80', 0, 1473408860),
(128815, 157, 12781, 'CodevTT_RAF', '10', '9', 0, 1473410068),
(128816, 157, 13252, 'CodevTT_RAF', '0', '0', 0, 1473410095),
(128817, 157, 14166, 'CodevTT_RAF', '', '1', 0, 1473410154),
(128818, 157, 14166, 'status', '10', '50', 0, 1473410154),
(128819, 157, 14163, 'CodevTT_RAF', '', '1', 0, 1473410203),
(128820, 157, 14163, 'status', '10', '50', 0, 1473410203),
(128821, 157, 12781, 'CodevTT_RAF', '9', '8.5', 0, 1473410260),
(128822, 157, 14168, 'CodevTT_RAF', '', '0', 0, 1473410316),
(128823, 157, 14168, 'CodevTT_RAF', '0', '0', 0, 1473410316),
(128824, 157, 14168, 'status', '10', '80', 0, 1473410316),
(128825, 157, 14036, 'CodevTT_RAF', '', '0.5', 0, 1473410362),
(128826, 157, 14036, 'status', '10', '50', 0, 1473410362),
(128860, 158, 13785, 'CodevTT_RAF', '4', '3', 0, 1473419322),
(128861, 158, 13785, 'CodevTT_RAF', '3', '2', 0, 1473419334),
(128862, 146, 7114, 'CodevTT_RAF', '0', '1', 0, 1473423056),
(128863, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1473423088),
(128864, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1473423112),
(128865, 146, 7114, 'CodevTT_RAF', '1', '1', 0, 1473423132),
(128979, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1473427736),
(128980, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1473427747),
(129285, 72, 11115, 'Ref. Externe', '', 'G4080', 0, 1473694038),
(129052, 169, 14039, 'CodevTT_RAF', '', '6', 0, 1473436065),
(129053, 169, 14039, 'status', '10', '50', 0, 1473436065),
(129054, 169, 14039, 'CodevTT_RAF', '6', '3', 0, 1473436075),
(129056, 169, 14039, 'CodevTT_RAF', '3', '3', 0, 1473436087),
(129172, 147, 12306, 'CodevTT_RAF', '3', '2', 0, 1473681005),
(129171, 147, 12306, 'CodevTT_RAF', '4', '3', 0, 1473680981),
(129173, 246, 10598, 'CodevTT_RAF', '3', '2', 0, 1473681195),
(129178, 246, 10598, 'CodevTT_RAF', '2', '2', 0, 1473681454),
(129179, 246, 10598, 'CodevTT_RAF', '2', '2', 0, 1473681568),
(129180, 246, 10598, 'CodevTT_RAF', '2', '2', 0, 1473681591),
(129181, 246, 10598, 'CodevTT_RAF', '2', '2', 0, 1473681608),
(129182, 134, 13774, 'CodevTT_RAF', '0.5', '1', 0, 1473681899),
(129183, 134, 13774, 'CodevTT_RAF', '1', '1', 0, 1473681933),
(129184, 134, 8454, 'CodevTT_RAF', '1', '1', 0, 1473681982),
(129185, 134, 8454, 'CodevTT_RAF', '1', '2', 0, 1473682015),
(129186, 134, 8454, 'CodevTT_RAF', '2', '2', 0, 1473682040),
(129187, 134, 13774, 'CodevTT_RAF', '1', '1', 0, 1473682053),
(129192, 134, 13774, 'CodevTT_RAF', '1', '1', 0, 1473682144),
(129198, 134, 8454, 'CodevTT_RAF', '2', '2', 0, 1473682552),
(129211, 72, 10744, 'CodevTT_RAF', '5', '2', 0, 1473683395),
(129212, 72, 10744, 'CodevTT_RAF', '2', '2', 0, 1473683418),
(129214, 72, 10744, 'CodevTT_RAF', '2', '2', 0, 1473683442),
(129220, 217, 14069, 'CodevTT_RAF', '3', '3', 0, 1473685097),
(129223, 217, 14069, 'CodevTT_RAF', '3', '3', 0, 1473685793),
(129240, 217, 14194, '', '', '', 1, 1473686356),
(129241, 217, 14194, 'handler_id', '0', '217', 0, 1473686357),
(129242, 217, 14194, '', '', '13627', 21, 1473686357),
(129243, 217, 13627, '', '', '14194', 20, 1473686357),
(129244, 217, 14195, '', '', '', 1, 1473686416),
(129245, 217, 14195, 'handler_id', '0', '217', 0, 1473686416),
(129246, 217, 14195, '', '', '13627', 21, 1473686416),
(129247, 217, 13627, '', '', '14195', 20, 1473686416),
(129248, 217, 14069, 'CodevTT_RAF', '3', '3', 0, 1473686427),
(129254, 2, 12305, 'status', '50', '20', 0, 1473688796),
(129255, 2, 12305, 'CodevTT_Dead Line', '', '', 0, 1473688796),
(129256, 2, 12305, 'CodevTT_RAF', '1', '0', 0, 1473688929),
(129257, 2, 12305, 'status', '20', '80', 0, 1473688929),
(129258, 2, 12305, 'CodevTT_RAF', '0', '0', 0, 1473688929),
(129259, 2, 12305, 'CodevTT_Dead Line', '', '', 0, 1473688929),
(129262, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1473692029),
(129264, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1473692501),
(129265, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1473692510),
(129266, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1473692518),
(129267, 199, 12654, 'CodevTT_RAF', '0', '0', 0, 1473692653),
(129268, 72, 14198, '', '', '', 1, 1473692738),
(129269, 72, 14198, 'handler_id', '0', '199', 0, 1473692739),
(129270, 199, 14198, 'CodevTT_RAF', '', '0', 0, 1473692779),
(129271, 199, 14198, 'CodevTT_RAF', '0', '0', 0, 1473692779),
(129272, 199, 14198, 'status', '10', '80', 0, 1473692779),
(129273, 199, 14198, 'CodevTT_RAF', '0', '0', 0, 1473692808),
(129301, 134, 13559, 'CodevTT_RAF', '0.1', '1', 0, 1473751647),
(129302, 134, 8454, 'CodevTT_RAF', '2', '2', 0, 1473751705),
(129441, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1473779323),
(129442, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1473779341),
(129443, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1473779358),
(129465, 169, 14039, 'CodevTT_RAF', '3', '1', 0, 1473782121),
(129466, 169, 14039, 'status', '50', '20', 0, 1473782122),
(129467, 72, 14059, 'CodevTT_ChargeInit', '2', '5', 0, 1473782582),
(129468, 72, 14060, 'CodevTT_ChargeInit', '2', '10', 0, 1473782619),
(129469, 72, 14060, 'handler_id', '147', '158', 0, 1473782663),
(129470, 72, 14059, 'handler_id', '147', '158', 0, 1473782680),
(129482, 147, 12306, 'CodevTT_RAF', '2', '1', 0, 1473835020),
(129518, 72, 12790, '', '2883', '', 6, 1473842729),
(129519, 72, 12790, 'CodevTT_RAF', '1', '3', 0, 1473842730),
(129520, 72, 12790, '', '0005147', '', 2, 1473842730),
(129521, 72, 12791, 'target_version', '16.1_PUMA', '', 0, 1473842800),
(129522, 72, 12791, 'CodevTT_RAF', '1', '5', 0, 1473842800),
(129523, 72, 12791, '', '0005148', '', 2, 1473842800),
(129524, 72, 14165, 'CodevTT_ChargeInit', '2', '3', 0, 1473842900),
(129525, 72, 14165, 'CodevTT_Dead Line', '', '1474322400', 0, 1473842900),
(129526, 72, 12791, 'status', '20', '50', 0, 1473843074),
(129527, 72, 12790, 'status', '20', '50', 0, 1473843098),
(129528, 72, 12791, 'target_version', '', '16.1_PUMA', 0, 1473843132),
(129551, 147, 12306, 'CodevTT_RAF', '1', '0', 0, 1473850006),
(129552, 147, 12306, 'CodevTT_RAF', '0', '0', 0, 1473850006),
(129553, 147, 12306, 'status', '50', '80', 0, 1473850006),
(129594, 246, 10598, 'CodevTT_RAF', '2', '3', 0, 1473860023),
(129602, 246, 10598, 'CodevTT_RAF', '3', '2', 0, 1473864066),
(129867, 217, 14206, '', '', '', 1, 1473929491),
(129868, 217, 14206, 'handler_id', '0', '217', 0, 1473929491),
(129869, 217, 14206, '', '', '13627', 21, 1473929491),
(129870, 217, 13627, '', '', '14206', 20, 1473929491),
(129871, 217, 14206, 'CodevTT_RAF', '', '0', 0, 1473929536),
(129872, 217, 14206, 'CodevTT_RAF', '0', '0', 0, 1473929536),
(129873, 217, 14206, 'status', '10', '80', 0, 1473929536),
(130282, 157, 12781, 'CodevTT_RAF', '8.5', '7.5', 0, 1474006498),
(130283, 157, 12781, 'CodevTT_RAF', '7.5', '7', 0, 1474006514),
(130284, 157, 12781, 'CodevTT_RAF', '7', '6', 0, 1474006526),
(130285, 157, 12781, 'CodevTT_RAF', '6', '5.5', 0, 1474006582),
(130286, 157, 12781, 'CodevTT_RAF', '5.5', '5', 0, 1474006597),
(130367, 72, 14228, 'CodevTT_ChargeInit', '', '2', 0, 1474007859),
(130366, 72, 14228, 'Ref. Externe', '', '43390', 0, 1474007859),
(130365, 72, 14227, 'codevtt_type', '', 'Bug', 0, 1474007859),
(130364, 72, 14227, 'handler_id', '0', '157', 0, 1474007859),
(130360, 72, 14226, 'handler_id', '0', '157', 0, 1474007858),
(130359, 72, 14226, 'CodevTT_ChargeInit', '', '2', 0, 1474007858),
(130358, 72, 14226, 'Ref. Externe', '', '43381', 0, 1474007858),
(130451, 72, 13254, 'RSI_Type_Ano', '', 'Recette', 0, 1474009095),
(130450, 72, 13255, 'RSI_Type_Ano', '', 'Recette', 0, 1474008985),
(130370, 72, 14229, 'Ref. Externe', '', '43393', 0, 1474007859),
(130369, 72, 14228, 'codevtt_type', '', 'Bug', 0, 1474007859),
(130368, 72, 14228, 'handler_id', '0', '157', 0, 1474007859),
(130363, 72, 14227, 'CodevTT_ChargeInit', '', '2', 0, 1474007859),
(130362, 72, 14227, 'Ref. Externe', '', '43389', 0, 1474007859),
(130361, 72, 14226, 'codevtt_type', '', 'Bug', 0, 1474007858),
(130371, 72, 14229, 'CodevTT_ChargeInit', '', '2', 0, 1474007859),
(130372, 72, 14229, 'handler_id', '0', '157', 0, 1474007859),
(130373, 72, 14229, 'codevtt_type', '', 'Bug', 0, 1474007859),
(130374, 72, 14230, 'Ref. Externe', '', '43394', 0, 1474007859),
(130375, 72, 14230, 'CodevTT_ChargeInit', '', '2', 0, 1474007859),
(130376, 72, 14230, 'handler_id', '0', '157', 0, 1474007859),
(130377, 72, 14230, 'codevtt_type', '', 'Bug', 0, 1474007859),
(130378, 72, 14231, 'Ref. Externe', '', '43395', 0, 1474007859),
(130379, 72, 14231, 'CodevTT_ChargeInit', '', '2', 0, 1474007859),
(130380, 72, 14231, 'handler_id', '0', '157', 0, 1474007859),
(130381, 72, 14231, 'codevtt_type', '', 'Bug', 0, 1474007859),
(130382, 72, 14232, 'Ref. Externe', '', '43398', 0, 1474007860),
(130383, 72, 14232, 'CodevTT_ChargeInit', '', '2', 0, 1474007860),
(130384, 72, 14232, 'handler_id', '0', '157', 0, 1474007860),
(130385, 72, 14232, 'codevtt_type', '', 'Bug', 0, 1474007860),
(130386, 72, 14233, 'Ref. Externe', '', '43405', 0, 1474007860),
(130387, 72, 14233, 'CodevTT_ChargeInit', '', '2', 0, 1474007860),
(130388, 72, 14233, 'handler_id', '0', '157', 0, 1474007860),
(130389, 72, 14233, 'codevtt_type', '', 'Bug', 0, 1474007860),
(130390, 72, 14234, 'Ref. Externe', '', '43407', 0, 1474007860),
(130391, 72, 14234, 'CodevTT_ChargeInit', '', '2', 0, 1474007860),
(130392, 72, 14234, 'handler_id', '0', '157', 0, 1474007860),
(130393, 72, 14234, 'codevtt_type', '', 'Bug', 0, 1474007860),
(130394, 72, 14235, 'Ref. Externe', '', '43408', 0, 1474007860),
(130395, 72, 14235, 'CodevTT_ChargeInit', '', '2', 0, 1474007860),
(130396, 72, 14235, 'handler_id', '0', '157', 0, 1474007860),
(130397, 72, 14235, 'codevtt_type', '', 'Bug', 0, 1474007860),
(130399, 147, 14165, 'CodevTT_RAF', '', '2', 0, 1474007875),
(130400, 147, 14165, 'status', '10', '50', 0, 1474007875),
(130401, 147, 14165, 'CodevTT_RAF', '2', '1', 0, 1474007906),
(130403, 157, 14233, 'CodevTT_RAF', '', '0', 0, 1474007934),
(130404, 157, 14233, 'CodevTT_RAF', '0', '0', 0, 1474007934),
(130405, 157, 14233, 'status', '10', '80', 0, 1474007934),
(130407, 157, 14234, 'CodevTT_RAF', '', '0', 0, 1474007956),
(130408, 157, 14234, 'CodevTT_RAF', '0', '0', 0, 1474007956),
(130409, 157, 14234, 'status', '10', '80', 0, 1474007956),
(130417, 157, 14234, 'CodevTT_RAF', '0', '0', 0, 1474008162),
(130421, 217, 14236, '', '', '', 1, 1474008310),
(130422, 217, 14236, 'handler_id', '0', '217', 0, 1474008310),
(130423, 217, 14236, '', '', '13627', 21, 1474008310),
(130424, 217, 13627, '', '', '14236', 20, 1474008310),
(130425, 217, 14236, 'CodevTT_RAF', '', '0', 0, 1474008344),
(130426, 217, 14236, 'CodevTT_RAF', '0', '0', 0, 1474008344),
(130427, 217, 14236, 'status', '10', '80', 0, 1474008344),
(130428, 217, 14236, 'CodevTT_RAF', '0', '0', 0, 1474008354),
(130429, 217, 14069, 'CodevTT_RAF', '3', '0', 0, 1474008390),
(130430, 217, 14069, 'CodevTT_RAF', '0', '0', 0, 1474008390),
(130431, 217, 14069, 'status', '50', '80', 0, 1474008390),
(130432, 217, 14206, 'CodevTT_RAF', '0', '0', 0, 1474008405),
(130456, 72, 13253, 'RSI_Type_Ano', '', 'Recette', 0, 1474009189),
(130466, 72, 14237, '', '', '', 1, 1474010907),
(130467, 72, 14237, 'handler_id', '0', '157', 0, 1474010907),
(130468, 72, 14237, '', '', '13253', 21, 1474010908),
(130469, 72, 13253, '', '', '14237', 20, 1474010908),
(130470, 157, 14234, 'CodevTT_RAF', '0', '0', 0, 1474010921),
(130471, 157, 14237, 'CodevTT_RAF', '', '0', 0, 1474010945),
(130472, 157, 14237, 'CodevTT_RAF', '0', '0', 0, 1474010945),
(130473, 157, 14237, 'status', '10', '80', 0, 1474010945),
(130474, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1474011524),
(130475, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1474011563),
(130476, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1474011679),
(130479, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1474011789),
(130514, 74, 13002, 'CodevTT_RAF', '4', '3', 0, 1474013922),
(130515, 74, 13002, 'CodevTT_RAF', '3', '3', 0, 1474013942),
(130516, 74, 13002, 'CodevTT_RAF', '3', '2', 0, 1474013963),
(130543, 169, 12305, 'CodevTT_RAF', '0', '2', 0, 1474017340),
(130544, 169, 12305, 'status', '80', '50', 0, 1474017340),
(130545, 169, 12305, 'CodevTT_RAF', '2', '1', 0, 1474017355),
(130546, 169, 12305, 'status', '50', '20', 0, 1474017355),
(130547, 169, 12304, 'CodevTT_RAF', '', '8', 0, 1474017555),
(130548, 169, 12304, 'status', '10', '50', 0, 1474017555),
(130549, 169, 12304, '', '5357', '', 2, 1474017722),
(130550, 169, 12304, 'CodevTT_RAF', '8', '15', 0, 1474017722),
(130551, 217, 14239, '', '', '', 1, 1474018075),
(130552, 217, 14239, 'handler_id', '0', '217', 0, 1474018075),
(130553, 217, 14239, '', '', '13627', 21, 1474018075),
(130554, 217, 13627, '', '', '14239', 20, 1474018075),
(130557, 2, 6495, 'status', '10', '80', 0, 1474025601),
(130558, 2, 6495, '', '0005358', '', 2, 1474025601),
(130559, 2, 6494, 'status', '10', '80', 0, 1474025601),
(130560, 2, 6494, '', '0005359', '', 2, 1474025601),
(130561, 2, 6497, 'status', '20', '80', 0, 1474025636),
(130562, 2, 6497, '', '0005360', '', 2, 1474025636),
(130563, 2, 6496, 'status', '20', '80', 0, 1474025636),
(130564, 2, 6496, '', '0005361', '', 2, 1474025636),
(130574, 217, 14240, '', '', '', 1, 1474029805),
(130575, 217, 14240, 'handler_id', '0', '217', 0, 1474029805),
(130576, 217, 14240, '', '', '13627', 21, 1474029805),
(130577, 217, 13627, '', '', '14240', 20, 1474029805);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(130578, 217, 14236, 'CodevTT_RAF', '0', '0', 0, 1474030013),
(130583, 72, 14242, 'Ref. Externe', '', '43417', 0, 1474035702),
(130584, 72, 14242, 'CodevTT_ChargeInit', '', '2', 0, 1474035702),
(130585, 72, 14242, 'codevtt_type', '', 'Task', 0, 1474035702),
(130586, 72, 14243, 'Ref. Externe', '', '43417', 0, 1474035702),
(130587, 72, 14243, 'CodevTT_ChargeInit', '', '2', 0, 1474035702),
(130588, 72, 14243, 'codevtt_type', '', 'Task', 0, 1474035702),
(130589, 72, 14244, 'Ref. Externe', '', '43419', 0, 1474035702),
(130590, 72, 14244, 'CodevTT_ChargeInit', '', '2', 0, 1474035702),
(130591, 72, 14244, 'handler_id', '0', '74', 0, 1474035703),
(130592, 72, 14244, 'codevtt_type', '', 'Task', 0, 1474035703),
(130593, 72, 14245, 'Ref. Externe', '', '43419', 0, 1474035703),
(130594, 72, 14245, 'CodevTT_ChargeInit', '', '2', 0, 1474035703),
(130595, 72, 14245, 'handler_id', '0', '74', 0, 1474035703),
(130596, 72, 14245, 'codevtt_type', '', 'Task', 0, 1474035703),
(130597, 72, 14246, 'Ref. Externe', '', '43420', 0, 1474035703),
(130598, 72, 14246, 'CodevTT_ChargeInit', '', '2', 0, 1474035703),
(130599, 72, 14246, 'handler_id', '0', '74', 0, 1474035703),
(130600, 72, 14246, 'codevtt_type', '', 'Task', 0, 1474035703),
(130601, 72, 14247, 'Ref. Externe', '', '43420', 0, 1474035703),
(130602, 72, 14247, 'CodevTT_ChargeInit', '', '2', 0, 1474035703),
(130603, 72, 14247, 'handler_id', '0', '74', 0, 1474035703),
(130604, 72, 14247, 'codevtt_type', '', 'Task', 0, 1474035703),
(130605, 72, 14248, 'Ref. Externe', '', '43421', 0, 1474035703),
(130606, 72, 14248, 'CodevTT_ChargeInit', '', '2', 0, 1474035703),
(130607, 72, 14248, 'handler_id', '0', '74', 0, 1474035703),
(130608, 72, 14248, 'codevtt_type', '', 'Task', 0, 1474035703),
(130609, 72, 14249, 'Ref. Externe', '', '43421', 0, 1474035704),
(130610, 72, 14249, 'CodevTT_ChargeInit', '', '2', 0, 1474035704),
(130611, 72, 14249, 'handler_id', '0', '74', 0, 1474035704),
(130612, 72, 14249, 'codevtt_type', '', 'Task', 0, 1474035704),
(130613, 72, 14250, 'Ref. Externe', '', '43422', 0, 1474035704),
(130614, 72, 14250, 'CodevTT_ChargeInit', '', '2', 0, 1474035704),
(130615, 72, 14250, 'codevtt_type', '', 'Task', 0, 1474035704),
(130616, 72, 14251, 'Ref. Externe', '', '43422', 0, 1474035704),
(130617, 72, 14251, 'CodevTT_ChargeInit', '', '2', 0, 1474035704),
(130618, 72, 14251, 'codevtt_type', '', 'Task', 0, 1474035704),
(130619, 72, 14252, 'Ref. Externe', '', '43425', 0, 1474035704),
(130620, 72, 14252, 'CodevTT_ChargeInit', '', '1', 0, 1474035704),
(130621, 72, 14252, 'handler_id', '0', '246', 0, 1474035704),
(130622, 72, 14252, 'codevtt_type', '', 'Task', 0, 1474035704),
(130623, 72, 14252, 'CodevTT_Dead Line', '', '943916400', 0, 1474035704),
(130624, 72, 14253, 'Ref. Externe', '', '43425', 0, 1474035705),
(130625, 72, 14253, 'CodevTT_ChargeInit', '', '1', 0, 1474035705),
(130626, 72, 14253, 'handler_id', '0', '74', 0, 1474035705),
(130627, 72, 14253, 'codevtt_type', '', 'Task', 0, 1474035705),
(130630, 72, 14244, 'summary', '', '43419 [DEV] DSI-2016-TP-Suppression de l\'écran saisie complémentaire', 0, 1474035937),
(130637, 72, 14252, 'CodevTT_Dead Line', '943916400', '', 0, 1474036554),
(130638, 72, 14246, 'handler_id', '74', '246', 0, 1474036687),
(130639, 72, 14036, 'status', '50', '20', 0, 1474036757),
(130640, 72, 14244, '', '2500', '12245', 18, 1474036816),
(130650, 200, 4299, 'CodevTT_RAF', '1', '1', 0, 1474037943),
(130651, 200, 4299, 'CodevTT_RAF', '1', '1', 0, 1474037955),
(130670, 72, 14169, 'RSI_Type_Ano', '', 'Recette', 0, 1474038638),
(130671, 72, 14168, 'RSI_Type_Ano', '', 'Recette', 0, 1474038663),
(130672, 72, 14167, 'RSI_Type_Ano', '', 'Recette', 0, 1474038707),
(130675, 72, 14170, 'RSI_Type_Ano', '', 'Recette', 0, 1474038805),
(130676, 212, 13002, 'CodevTT_RAF', '2', '7', 0, 1474039197),
(130677, 212, 13002, 'CodevTT_RAF', '7', '6', 0, 1474039209),
(130678, 212, 13002, 'CodevTT_RAF', '6', '5', 0, 1474039223),
(130679, 212, 13002, 'CodevTT_RAF', '5', '4', 0, 1474039237),
(130680, 212, 13002, 'CodevTT_RAF', '4', '3', 0, 1474039249),
(130681, 212, 13002, 'CodevTT_RAF', '3', '3', 0, 1474039257),
(130695, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1474267815),
(130696, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1474267832),
(130697, 199, 13541, 'CodevTT_RAF', '0', '0', 0, 1474267878),
(130698, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1474267892),
(130699, 199, 14257, '', '', '', 1, 1474268012),
(130700, 199, 14257, 'handler_id', '0', '199', 0, 1474268012),
(130701, 199, 14257, '', '', '13799', 21, 1474268012),
(130702, 199, 13799, '', '', '14257', 20, 1474268012),
(130703, 199, 14057, 'CodevTT_RAF', '', '0.5', 0, 1474268120),
(130704, 199, 14057, 'status', '10', '50', 0, 1474268120),
(130705, 199, 14057, 'handler_id', '0', '199', 0, 1474268120),
(130706, 199, 14257, 'CodevTT_RAF', '', '0', 0, 1474268178),
(130707, 199, 14257, 'CodevTT_RAF', '0', '0', 0, 1474268178),
(130708, 199, 14257, 'status', '10', '80', 0, 1474268178),
(130709, 199, 14258, '', '', '', 1, 1474268233),
(130710, 199, 14258, 'handler_id', '0', '199', 0, 1474268233),
(130711, 199, 14258, '', '', '13799', 21, 1474268233),
(130712, 199, 13799, '', '', '14258', 20, 1474268233),
(130713, 199, 14258, 'CodevTT_RAF', '', '1', 0, 1474268253),
(130714, 199, 14258, 'status', '10', '50', 0, 1474268253),
(130715, 199, 12199, 'CodevTT_RAF', '5', '5', 0, 1474268270),
(130729, 2, 12781, '', '2501', '13559', 23, 1474272171),
(130730, 2, 13559, '', '2500', '12781', 23, 1474272171),
(130732, 2, 12781, 'status', '50', '80', 0, 1474272195),
(130733, 2, 12781, 'resolution', '10', '20', 0, 1474272195),
(130734, 2, 12781, 'CodevTT_RAF', '5', '0', 0, 1474272206),
(130762, 134, 8454, 'CodevTT_RAF', '2', '2', 0, 1474274105),
(130763, 147, 12791, '', '5383', '', 2, 1474274937),
(130764, 147, 12791, 'CodevTT_RAF', '5', '1', 0, 1474274937),
(130765, 72, 4152, 'CodevTT_ChargeInit', '2', '5', 0, 1474275615),
(130766, 72, 4152, 'CodevTT_RAF', '1', '4', 0, 1474275615),
(130767, 72, 4152, 'handler_id', '0', '157', 0, 1474275649),
(130768, 72, 4152, 'CodevTT_Dead Line', '', '', 0, 1474275649),
(130769, 72, 4152, 'CodevTT_RAF', '4', '5', 0, 1474275765),
(130770, 72, 4152, 'target_version', '15.1.0_AFFI', '17.0.DSI_EM', 0, 1474276008),
(130771, 72, 13787, 'handler_id', '0', '157', 0, 1474276097),
(130772, 72, 13787, 'target_version', '', '17.1.DSI_INT', 0, 1474276097),
(130773, 72, 13787, 'RSI_Type_Ano', '', 'Production', 0, 1474276097),
(130774, 72, 13786, 'target_version', '', '17.0.DSI_EM', 0, 1474276196),
(130775, 72, 13786, 'RSI_Type_Ano', '', 'Production', 0, 1474276196),
(130776, 2, 14170, 'CodevTT_RAF', '', '0', 0, 1474276334),
(130777, 2, 14170, 'status', '10', '80', 0, 1474276334),
(130778, 2, 14170, 'CodevTT_RAF', '0', '0', 0, 1474276334),
(130779, 2, 14231, 'CodevTT_RAF', '', '0', 0, 1474276405),
(130780, 2, 14231, 'status', '10', '80', 0, 1474276405),
(130781, 2, 14231, 'CodevTT_RAF', '0', '0', 0, 1474276405),
(130782, 2, 14230, 'CodevTT_RAF', '', '0', 0, 1474276421),
(130783, 2, 14230, 'status', '10', '80', 0, 1474276421),
(130784, 2, 14230, 'CodevTT_RAF', '0', '0', 0, 1474276421),
(130785, 2, 14229, 'CodevTT_RAF', '', '0', 0, 1474276439),
(130786, 2, 14229, 'status', '10', '80', 0, 1474276439),
(130787, 2, 14229, 'CodevTT_RAF', '0', '0', 0, 1474276439),
(130788, 2, 14228, 'CodevTT_RAF', '', '0', 0, 1474276453),
(130789, 2, 14228, 'status', '10', '80', 0, 1474276453),
(130790, 2, 14228, 'CodevTT_RAF', '0', '0', 0, 1474276453),
(130791, 2, 14232, 'CodevTT_RAF', '', '0', 0, 1474276502),
(130792, 2, 14232, 'status', '10', '80', 0, 1474276502),
(130793, 2, 14232, 'CodevTT_RAF', '0', '0', 0, 1474276502),
(130794, 2, 14235, 'CodevTT_RAF', '', '0', 0, 1474276534),
(130795, 2, 14235, 'status', '10', '80', 0, 1474276534),
(130796, 2, 14235, 'CodevTT_RAF', '0', '0', 0, 1474276534),
(130797, 72, 12998, 'target_version', '', '17.0.DSI_EM', 0, 1474276553),
(130798, 72, 12999, 'target_version', '', '17.0.DSI_EM', 0, 1474276553),
(130799, 2, 14167, 'status', '10', '50', 0, 1474276577),
(130800, 2, 14167, 'CodevTT_ChargeMgr', '', '0', 0, 1474276592),
(130801, 2, 14167, 'CodevTT_RAF', '', '1', 0, 1474276592),
(130802, 72, 4278, 'target_version', '16.0_TO', '17.0.DSI_EM', 0, 1474276607),
(130803, 72, 14244, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130804, 72, 14246, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130805, 72, 14252, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130806, 72, 14253, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130807, 72, 14250, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130808, 72, 14251, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130809, 72, 14249, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130810, 72, 14247, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130811, 72, 14245, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130812, 72, 14248, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130813, 72, 14243, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130814, 72, 14242, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130815, 72, 14059, 'target_version', '', '17.0.DSI_EM', 0, 1474276747),
(130816, 72, 14060, 'target_version', '', '17.0.DSI_EM', 0, 1474276748),
(130836, 2, 12305, '', '4634', '2888', 3, 1474277601),
(130849, 158, 13785, 'CodevTT_RAF', '2', '1.5', 0, 1474278156),
(130863, 2, 14038, 'status', '50', '80', 0, 1474279102),
(130864, 2, 14038, 'resolution', '10', '80', 0, 1474279102),
(130865, 2, 14038, 'CodevTT_RAF', '1', '0', 0, 1474279102),
(130866, 2, 14038, '', '0005385', '', 2, 1474279102),
(130869, 2, 4284, 'CodevTT_RAF', '', '0', 0, 1474279279),
(130870, 2, 4284, 'status', '10', '80', 0, 1474279279),
(130871, 2, 4284, 'CodevTT_RAF', '0', '0', 0, 1474279279),
(130872, 2, 4284, 'CodevTT_Dead Line', '', '', 0, 1474279279),
(130873, 72, 14259, 'Ref. Externe', '', '43115', 0, 1474279444),
(130874, 72, 14259, 'CodevTT_ChargeMgr', '', '2', 0, 1474279444),
(130875, 72, 14259, 'CodevTT_ChargeInit', '', '2', 0, 1474279444),
(130876, 72, 14259, 'target_version', '', '17.1.DSI_INT', 0, 1474279444),
(130877, 72, 14259, 'codevtt_type', '', 'Task', 0, 1474279444),
(130878, 72, 14260, 'Ref. Externe', '', '43115', 0, 1474279444),
(130879, 72, 14260, 'CodevTT_ChargeMgr', '', '2', 0, 1474279444),
(130880, 72, 14260, 'CodevTT_ChargeInit', '', '2', 0, 1474279444),
(130881, 72, 14260, 'target_version', '', '17.1.DSI_INT', 0, 1474279444),
(130882, 72, 14260, 'codevtt_type', '', 'Task', 0, 1474279444),
(130883, 72, 14261, 'Ref. Externe', '', '43423', 0, 1474279445),
(130884, 72, 14261, 'CodevTT_ChargeMgr', '', '2', 0, 1474279445),
(130885, 72, 14261, 'CodevTT_ChargeInit', '', '2', 0, 1474279445),
(130886, 72, 14261, 'target_version', '', '17.1.DSI_INT', 0, 1474279445),
(130887, 72, 14261, 'codevtt_type', '', 'Task', 0, 1474279445),
(130888, 72, 14262, 'Ref. Externe', '', '43423', 0, 1474279445),
(130889, 72, 14262, 'CodevTT_ChargeMgr', '', '2', 0, 1474279445),
(130890, 72, 14262, 'CodevTT_ChargeInit', '', '2', 0, 1474279445),
(130891, 72, 14262, 'target_version', '', '17.1.DSI_INT', 0, 1474279445),
(130892, 72, 14262, 'codevtt_type', '', 'Task', 0, 1474279445),
(130893, 72, 14263, 'Ref. Externe', '', '43424', 0, 1474279445),
(130894, 72, 14263, 'CodevTT_ChargeMgr', '', '2', 0, 1474279445),
(130895, 72, 14263, 'CodevTT_ChargeInit', '', '2', 0, 1474279445),
(130896, 72, 14263, 'target_version', '', '17.1.DSI_INT', 0, 1474279445),
(130897, 72, 14263, 'codevtt_type', '', 'Task', 0, 1474279445),
(130898, 72, 14264, 'Ref. Externe', '', '43424', 0, 1474279445),
(130899, 72, 14264, 'CodevTT_ChargeMgr', '', '2', 0, 1474279445),
(130900, 72, 14264, 'CodevTT_ChargeInit', '', '2', 0, 1474279445),
(130901, 72, 14264, 'target_version', '', '17.1.DSI_INT', 0, 1474279445),
(130902, 72, 14264, 'codevtt_type', '', 'Task', 0, 1474279445),
(130905, 2, 14265, '', '', '', 1, 1474282007),
(130906, 2, 14266, '', '', '', 1, 1474282158),
(130907, 2, 14266, 'handler_id', '0', '2', 0, 1474282158),
(130908, 72, 14267, '', '', '', 1, 1474282676),
(130909, 72, 14267, 'handler_id', '0', '157', 0, 1474282676),
(130910, 2, 12305, 'status', '20', '80', 0, 1474282878),
(130911, 2, 12305, 'resolution', '10', '20', 0, 1474282878),
(130912, 2, 12305, '', '0005387', '', 2, 1474282878),
(131092, 217, 12687, 'CodevTT_RAF', '1.5', '1', 0, 1474356978),
(131095, 217, 12687, '', '5404', '', 2, 1474357033),
(131096, 217, 12687, 'CodevTT_RAF', '1', '2', 0, 1474357033),
(131097, 217, 12687, '', '5404', '', 4, 1474357038),
(131168, 217, 14278, '', '', '', 1, 1474360431),
(131169, 217, 14278, 'handler_id', '0', '217', 0, 1474360431),
(131170, 217, 14278, '', '', '13627', 21, 1474360431),
(131171, 217, 13627, '', '', '14278', 20, 1474360431),
(131189, 246, 10744, 'CodevTT_RAF', '2', '2', 0, 1474361381),
(131190, 246, 10598, 'CodevTT_RAF', '2', '2', 0, 1474361398),
(131251, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373497),
(131250, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373488),
(131249, 200, 8454, 'CodevTT_RAF', '2', '1', 0, 1474373462),
(131252, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373508),
(131253, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373516),
(131254, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373599),
(131255, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373616),
(131256, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373625),
(131257, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474373659),
(131260, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474374161),
(131261, 200, 8454, 'CodevTT_RAF', '1', '1', 0, 1474374178),
(131343, 217, 14239, 'CodevTT_RAF', '', '4', 0, 1474380492),
(131344, 217, 14239, 'status', '10', '50', 0, 1474380492),
(131345, 72, 14247, 'CodevTT_ChargeInit', '2', '1', 0, 1474380583),
(131346, 72, 14251, 'CodevTT_ChargeInit', '2', '15', 0, 1474380647),
(131355, 2, 14266, 'CodevTT_RAF', '', '2', 0, 1474383847),
(131356, 2, 14266, 'status', '10', '50', 0, 1474383847),
(131361, 72, 14261, 'handler_id', '0', '246', 0, 1474386028),
(131362, 72, 14261, 'CodevTT_Dead Line', '', '', 0, 1474386028),
(131363, 72, 14262, 'handler_id', '0', '246', 0, 1474386172),
(131364, 72, 14262, 'CodevTT_Dead Line', '', '', 0, 1474386172),
(131365, 72, 14262, 'CodevTT_ChargeMgr', '2', '0', 0, 1474386205),
(131366, 72, 14262, 'CodevTT_ChargeInit', '2', '7', 0, 1474386205),
(131367, 72, 14262, '', '2500', '14261', 18, 1474386228),
(131368, 72, 14261, '', '2501', '14262', 18, 1474386228),
(131390, 217, 14069, 'CodevTT_RAF', '0', '2', 0, 1474439109),
(131391, 217, 14069, 'status', '80', '50', 0, 1474439109),
(131392, 217, 14069, 'CodevTT_RAF', '2', '2', 0, 1474439112),
(131393, 72, 12308, 'handler_id', '134', '147', 0, 1474440145),
(131394, 72, 12308, 'CodevTT_Dead Line', '', '', 0, 1474440145),
(131397, 72, 12309, 'handler_id', '134', '147', 0, 1474440208),
(131398, 72, 12309, 'CodevTT_Dead Line', '', '', 0, 1474440208),
(131399, 72, 12312, 'handler_id', '147', '169', 0, 1474440387),
(131400, 72, 12313, 'handler_id', '158', '134', 0, 1474440417),
(131401, 72, 12315, 'handler_id', '147', '169', 0, 1474440457),
(131402, 72, 12318, 'handler_id', '169', '134', 0, 1474440512),
(131403, 217, 14069, 'CodevTT_RAF', '2', '0', 0, 1474440513),
(131404, 217, 14069, 'CodevTT_RAF', '0', '0', 0, 1474440513),
(131405, 217, 14069, 'status', '50', '80', 0, 1474440513),
(131406, 72, 12320, 'handler_id', '147', '169', 0, 1474440560),
(131407, 72, 12321, 'handler_id', '147', '169', 0, 1474440578),
(131413, 217, 14289, '', '', '', 1, 1474442819),
(131414, 217, 14289, 'handler_id', '0', '217', 0, 1474442819),
(131415, 217, 14289, '', '', '13627', 21, 1474442819),
(131416, 217, 13627, '', '', '14289', 20, 1474442819),
(131417, 217, 14289, 'CodevTT_RAF', '', '3', 0, 1474442841),
(131418, 217, 14289, 'status', '10', '50', 0, 1474442841),
(131419, 158, 14059, 'CodevTT_RAF', '', '4.75', 0, 1474443297),
(131420, 158, 14059, 'status', '10', '50', 0, 1474443297),
(131429, 72, 14049, 'target_version', '', '18.0_PUMA', 0, 1474444961),
(131430, 72, 10770, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131431, 72, 13256, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131432, 72, 10740, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131433, 72, 13589, 'target_version', '', '18.0_PUMA', 0, 1474444961),
(131434, 72, 11112, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131435, 72, 10749, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131436, 72, 10737, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131437, 72, 12288, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131438, 72, 10741, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131439, 72, 10623, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131440, 72, 10415, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131441, 72, 10406, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(226369, 72, 10398, 'CodevTT_RAF', '6', '0', 0, 1495019199),
(131443, 72, 10746, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131444, 72, 10745, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131445, 72, 10743, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131446, 72, 10742, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1474444961),
(131459, 205, 12781, 'CodevTT_RAF', '0', '0', 0, 1474449756),
(131460, 205, 12781, 'CodevTT_RAF', '0', '0', 0, 1474449764),
(131461, 205, 12781, 'CodevTT_RAF', '0', '0', 0, 1474449771),
(131462, 205, 8454, 'CodevTT_RAF', '1', '1', 0, 1474449821),
(131463, 205, 8454, 'CodevTT_RAF', '1', '0.5', 0, 1474449857),
(131464, 205, 14239, 'summary', 'GAC-4185 MOA_GAC_PAF_REP_PENSIONNE_PERIODE_OC_ABSENTE', 'GAC-4185 [SPEC] MOA_GAC_PAF_REP_PENSIONNE_PERIODE_OC_ABSENTE', 0, 1474450130),
(131465, 205, 14239, 'summary', 'GAC-4185 [SPEC] MOA_GAC_PAF_REP_PENSIONNE_PERIODE_OC_ABSENTE', 'GAC-4185 [QUAL] MOA_GAC_PAF_REP_PENSIONNE_PERIODE_OC_ABSENTE', 0, 1474450158),
(131476, 72, 10740, 'handler_id', '217', '146', 0, 1474455142),
(131477, 72, 10741, 'handler_id', '0', '146', 0, 1474455302),
(131478, 72, 10737, 'handler_id', '0', '146', 0, 1474455302),
(131479, 72, 10623, 'handler_id', '0', '146', 0, 1474455302),
(131553, 217, 14069, 'CodevTT_RAF', '0', '0', 0, 1474466584),
(131554, 217, 14239, 'CodevTT_RAF', '4', '3', 0, 1474466605),
(131715, 72, 14329, 'CodevTT_RAF', '9.5', '9', 0, 1474468908),
(131714, 72, 14329, '', '5461', '', 2, 1474468908),
(131713, 72, 14329, 'status', '10', '50', 0, 1474468868),
(131712, 72, 14329, 'CodevTT_RAF', '', '9.5', 0, 1474468868),
(131711, 72, 14329, '', '5460', '', 2, 1474468868),
(131710, 72, 14329, 'handler_id', '0', '199', 0, 1474468647),
(131709, 72, 14329, '', '', '', 1, 1474468647),
(131743, 72, 14251, 'handler_id', '0', '199', 0, 1474473678),
(131744, 72, 14251, 'CodevTT_Dead Line', '', '', 0, 1474473678),
(131747, 72, 14251, '', '2903', '', 6, 1474473720),
(131750, 72, 14250, '', '2500', '14251', 18, 1474473781),
(131751, 72, 14251, '', '2501', '14250', 18, 1474473781),
(132037, 217, 14239, 'CodevTT_RAF', '3', '2', 0, 1474525264),
(132049, 246, 10744, 'CodevTT_RAF', '2', '1', 0, 1474531532),
(132050, 246, 10744, 'CodevTT_RAF', '1', '2', 0, 1474531558),
(132284, 2, 14266, 'CodevTT_RAF', '2', '1', 0, 1474536546),
(132286, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1474536567),
(136398, 134, 8454, 'CodevTT_RAF', '3', '3', 0, 1475595920),
(136397, 134, 13774, 'CodevTT_RAF', '2.5', '2', 0, 1475595909),
(136396, 134, 8454, 'CodevTT_RAF', '1', '3', 0, 1475595855),
(132613, 72, 14329, '', '5460', '', 4, 1474548096),
(132617, 72, 14329, 'CodevTT_RAF', '9', '8.5', 0, 1474548144),
(132621, 72, 14329, '', '5461', '', 4, 1474548163),
(132622, 72, 14329, 'CodevTT_RAF', '8.5', '8.5', 0, 1474548176),
(133162, 2, 14266, 'CodevTT_RAF', '1', '1', 0, 1474583447),
(133163, 217, 14239, 'CodevTT_RAF', '2', '3', 0, 1474612062),
(133196, 158, 12311, 'CodevTT_RAF', '', '2.5', 0, 1474616917),
(133197, 158, 12311, 'status', '10', '50', 0, 1474616917),
(133209, 72, 14473, '', '', '', 1, 1474617377),
(133210, 72, 14473, 'handler_id', '0', '157', 0, 1474617377),
(133211, 72, 14473, '', '', '14036', 21, 1474617377),
(133212, 72, 14036, '', '', '14473', 20, 1474617377),
(133224, 72, 14476, '', '', '', 1, 1474617522),
(133225, 72, 14476, 'handler_id', '0', '169', 0, 1474617522),
(133230, 72, 4266, 'CodevTT_ChargeMgr', '3', '0', 0, 1474617952),
(133233, 158, 12314, 'CodevTT_RAF', '', '3.8', 0, 1474618245),
(133234, 158, 12314, 'status', '10', '50', 0, 1474618245),
(133248, 217, 14206, 'CodevTT_RAF', '0', '6', 0, 1474619190),
(133249, 217, 14206, 'status', '80', '50', 0, 1474619190),
(133262, 217, 14477, '', '', '', 1, 1474619245),
(133263, 217, 14477, 'handler_id', '0', '217', 0, 1474619245),
(133264, 217, 14477, '', '', '14239', 21, 1474619245),
(133265, 217, 14239, '', '', '14477', 20, 1474619245),
(133268, 217, 14478, '', '', '', 1, 1474619284),
(133269, 217, 14478, 'handler_id', '0', '217', 0, 1474619284),
(133270, 217, 14478, '', '', '14239', 21, 1474619284),
(133271, 217, 14239, '', '', '14478', 20, 1474619284),
(133276, 217, 14477, 'CodevTT_RAF', '', '6', 0, 1474619327),
(133279, 217, 14478, 'CodevTT_RAF', '', '6', 0, 1474619349),
(133280, 217, 14478, 'status', '10', '50', 0, 1474619349),
(133304, 217, 14239, 'CodevTT_RAF', '3', '4', 0, 1474619411),
(133669, 72, 14329, 'CodevTT_ChargeInit', '10', '30', 0, 1474635850),
(133668, 72, 14329, 'CodevTT_ChargeMgr', '0', '40', 0, 1474635850),
(133667, 72, 14329, 'Ref. Externe', 'AMABATCH', '43459', 0, 1474635850),
(133666, 72, 14329, '', '2909', '', 6, 1474635850),
(133709, 157, 14514, 'status', '10', '50', 0, 1474637340),
(133708, 157, 14514, 'CodevTT_RAF', '', '1', 0, 1474637340),
(133704, 157, 14036, '', '', '14514', 20, 1474637291),
(133703, 157, 14514, '', '', '14036', 21, 1474637291),
(133702, 157, 14514, 'handler_id', '0', '157', 0, 1474637291),
(133701, 157, 14514, '', '', '', 1, 1474637291),
(133700, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1474637225),
(133699, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1474637213),
(133696, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1474637198),
(133694, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1474637168),
(133693, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1474637155),
(133547, 169, 14476, 'CodevTT_RAF', '', '0.5', 0, 1474632264),
(133548, 169, 12304, 'CodevTT_RAF', '15', '10', 0, 1474632327),
(133549, 169, 12304, 'CodevTT_RAF', '10', '1', 0, 1474632337),
(133550, 169, 12304, 'CodevTT_RAF', '1', '10', 0, 1474632349),
(133551, 169, 12304, 'CodevTT_RAF', '10', '10', 0, 1474632356),
(133665, 72, 14329, 'summary', 'XXXX - Etude AMABATCH', '43459 - Travaux d\'analyse pour la mise en oeuvre d\'AMABIS dans TAIGA', 0, 1474635850),
(133670, 72, 14329, '', '0005642', '', 2, 1474635850),
(133673, 72, 14329, 'CodevTT_RAF', '8.5', '29', 0, 1474635896),
(133721, 147, 12791, 'CodevTT_RAF', '1', '5', 0, 1474637989),
(133722, 74, 11178, 'CodevTT_RAF', '0', '1', 0, 1474638004),
(133723, 147, 12791, 'CodevTT_RAF', '5', '4', 0, 1474638010),
(133724, 147, 12791, 'CodevTT_RAF', '4', '3', 0, 1474638031),
(133725, 147, 12791, 'CodevTT_RAF', '3', '1', 0, 1474638047),
(226368, 72, 10394, 'CodevTT_Dead Line', '', '', 0, 1495019140),
(133729, 158, 12311, 'CodevTT_RAF', '2.5', '2', 0, 1474638148),
(133730, 74, 14244, 'CodevTT_RAF', '', '2', 0, 1474638157),
(133731, 74, 14244, 'status', '10', '50', 0, 1474638157),
(133732, 158, 12311, 'CodevTT_RAF', '2', '1.25', 0, 1474638205),
(133733, 74, 14244, 'CodevTT_RAF', '2', '3', 0, 1474638216),
(133734, 74, 14248, 'CodevTT_RAF', '', '2', 0, 1474638255),
(133735, 74, 14248, 'status', '10', '50', 0, 1474638255),
(133736, 74, 13785, 'CodevTT_RAF', '1.5', '3', 0, 1474638434),
(133737, 74, 14244, 'CodevTT_RAF', '3', '2', 0, 1474638594),
(133738, 158, 12311, 'CodevTT_RAF', '1.25', '1.25', 0, 1474638599),
(133739, 158, 12311, 'CodevTT_RAF', '1.25', '10', 0, 1474638686),
(133790, 169, 12304, 'CodevTT_RAF', '10', '10', 0, 1474644074),
(133809, 199, 12199, 'CodevTT_RAF', '5', '3', 0, 1474645787),
(133810, 199, 12199, 'CodevTT_RAF', '3', '3', 0, 1474645797),
(133811, 199, 14329, 'CodevTT_RAF', '29', '30', 0, 1474645862),
(133814, 199, 12199, 'CodevTT_RAF', '3', '3', 0, 1474645900),
(133818, 199, 14473, 'CodevTT_RAF', '', '2', 0, 1474646041),
(133819, 199, 14473, 'status', '10', '50', 0, 1474646041),
(133822, 199, 14198, 'CodevTT_RAF', '0', '0', 0, 1474646147),
(133823, 199, 12199, 'CodevTT_RAF', '3', '3', 0, 1474646214),
(133824, 199, 12199, 'CodevTT_RAF', '3', '3', 0, 1474646222),
(133956, 2, 10749, '', '2911', '', 6, 1474877341),
(133972, 2, 12304, '', '0005655', '', 2, 1474878024),
(133973, 2, 12304, '', '2501', '12318', 19, 1474878073),
(133974, 2, 12318, '', '2500', '12304', 19, 1474878074),
(133975, 72, 12304, 'summary', '41937 [DEV] -SPOC-Création Outils de traduction 8 règles complexes', '41937 [DEV] -SPOC-Création Outils de traduction 3 règles complexes', 0, 1474878108),
(133977, 72, 12307, 'handler_id', '134', '246', 0, 1474878311),
(133978, 72, 12307, 'CodevTT_Dead Line', '', '', 0, 1474878312),
(134000, 2, 12311, '', '0005656', '', 2, 1474879223),
(145868, 157, 13786, 'CodevTT_RAF', '0.5', '0.5', 0, 1477657295),
(145867, 157, 14227, '', '', '15260', 20, 1477657278),
(134017, 199, 14057, 'CodevTT_RAF', '0.5', '0', 0, 1474879440),
(134018, 199, 14057, 'CodevTT_RAF', '0', '0', 0, 1474879440),
(134019, 199, 14057, 'status', '50', '80', 0, 1474879440),
(134020, 199, 14058, 'CodevTT_RAF', '', '0', 0, 1474879466),
(134021, 199, 14058, 'CodevTT_RAF', '0', '0', 0, 1474879466),
(134022, 199, 14058, 'status', '10', '80', 0, 1474879466),
(134023, 199, 14058, 'handler_id', '0', '199', 0, 1474879466),
(134073, 72, 14243, 'handler_id', '0', '199', 0, 1474889205),
(134074, 72, 14243, 'CodevTT_Dead Line', '', '', 0, 1474889205),
(134075, 72, 14243, 'CodevTT_ChargeMgr', '', '0', 0, 1474889236),
(134076, 72, 14243, 'CodevTT_ChargeInit', '2', '5', 0, 1474889236),
(134077, 72, 14242, 'handler_id', '0', '199', 0, 1474889266),
(134078, 72, 14242, 'CodevTT_Dead Line', '', '', 0, 1474889266),
(134079, 72, 12327, 'status', '10', '20', 0, 1474889525),
(134080, 72, 12327, 'CodevTT_Dead Line', '', '', 0, 1474889525),
(134081, 217, 14239, 'CodevTT_RAF', '4', '1', 0, 1474891756),
(134090, 217, 14239, 'CodevTT_RAF', '1', '1', 0, 1474895542),
(134097, 134, 12781, 'CodevTT_RAF', '0', '0', 0, 1474900723),
(134098, 134, 13774, 'CodevTT_RAF', '1', '3', 0, 1474900822),
(134099, 134, 13774, 'CodevTT_RAF', '3', '2', 0, 1474901127),
(134116, 246, 10744, 'CodevTT_RAF', '2', '0', 0, 1474902836),
(134117, 246, 10744, 'CodevTT_RAF', '0', '0', 0, 1474902836),
(134118, 246, 10744, 'status', '50', '80', 0, 1474902836),
(134141, 72, 12790, '', '2500', '14165', 18, 1474905602),
(134142, 72, 14165, '', '2501', '12790', 18, 1474905602),
(134190, 246, 10598, 'CodevTT_RAF', '2', '0', 0, 1474958318),
(134191, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1474958318),
(134192, 246, 10598, 'status', '50', '80', 0, 1474958318),
(134200, 212, 13002, 'CodevTT_RAF', '3', '5', 0, 1474961694),
(134204, 212, 13002, 'CodevTT_RAF', '5', '5', 0, 1474961770),
(134205, 212, 13002, 'CodevTT_RAF', '5', '4', 0, 1474961801),
(134206, 212, 13002, 'CodevTT_RAF', '4', '3.5', 0, 1474961869),
(134207, 212, 13002, 'CodevTT_RAF', '3.5', '2.5', 0, 1474961885),
(134208, 212, 13002, 'CodevTT_RAF', '2.5', '3', 0, 1474961908),
(134325, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1474983384),
(134326, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1474983404),
(134334, 2, 14534, '', '', '', 1, 1474985096),
(134335, 2, 14534, 'handler_id', '0', '2', 0, 1474985096),
(134336, 2, 14534, 'handler_id', '2', '0', 0, 1474985104),
(134393, 72, 14260, 'handler_id', '0', '199', 0, 1474990277),
(134394, 72, 14259, 'handler_id', '0', '199', 0, 1474990277),
(134400, 72, 14540, '', '', '', 1, 1474990467),
(134401, 72, 14540, 'handler_id', '0', '199', 0, 1474990467),
(134402, 72, 14540, '', '', '14259', 21, 1474990467),
(134403, 72, 14259, '', '', '14540', 20, 1474990467),
(134435, 72, 14542, '', '', '', 1, 1475048983),
(134436, 72, 14542, 'handler_id', '0', '157', 0, 1475048983),
(134467, 157, 14542, 'CodevTT_RAF', '', '0', 0, 1475060784),
(134468, 157, 14542, 'CodevTT_RAF', '0', '0', 0, 1475060784),
(134469, 157, 14542, 'status', '10', '80', 0, 1475060784),
(134470, 157, 14473, 'CodevTT_RAF', '2', '0', 0, 1475060875),
(134471, 157, 14473, 'CodevTT_RAF', '0', '0', 0, 1475060875),
(134472, 157, 14473, 'status', '50', '80', 0, 1475060875),
(134473, 157, 14545, '', '', '', 1, 1475061077),
(134474, 157, 14545, 'handler_id', '0', '157', 0, 1475061077),
(134475, 157, 14545, '', '', '14473', 21, 1475061077),
(134476, 157, 14473, '', '', '14545', 20, 1475061077),
(134477, 157, 14473, 'CodevTT_RAF', '0', '0', 0, 1475061082),
(134478, 157, 14545, 'CodevTT_RAF', '', '1.75', 0, 1475061118),
(134479, 157, 14545, 'status', '10', '50', 0, 1475061118),
(134480, 157, 14514, 'CodevTT_RAF', '1', '0.75', 0, 1475061150),
(134481, 157, 14546, '', '', '', 1, 1475061232),
(134482, 157, 14546, 'handler_id', '0', '157', 0, 1475061232),
(134483, 157, 14546, '', '', '14473', 21, 1475061232),
(134484, 157, 14473, '', '', '14546', 20, 1475061232),
(134485, 157, 14514, 'CodevTT_RAF', '0.75', '0.75', 0, 1475061248),
(134486, 157, 14546, 'CodevTT_RAF', '', '1.5', 0, 1475061267),
(134487, 157, 14546, 'status', '10', '50', 0, 1475061267),
(134594, 246, 14261, 'CodevTT_RAF', '', '1', 0, 1475072967),
(134595, 246, 14261, 'status', '10', '40', 0, 1475072967),
(134596, 246, 14261, 'CodevTT_RAF', '1', '1', 0, 1475073138),
(134597, 246, 14261, 'status', '40', '50', 0, 1475073138),
(134598, 158, 12311, 'CodevTT_RAF', '10', '9.95', 0, 1475073606),
(134599, 158, 12311, 'CodevTT_RAF', '9.95', '9.9', 0, 1475073628),
(134600, 158, 12311, 'CodevTT_RAF', '9.9', '9.2', 0, 1475073666),
(134601, 158, 12311, 'CodevTT_RAF', '9.2', '8.3', 0, 1475073705),
(134602, 158, 12311, 'CodevTT_RAF', '8.3', '8.25', 0, 1475073723),
(134603, 158, 12311, 'CodevTT_RAF', '8.25', '8.15', 0, 1475073884),
(134604, 158, 12311, 'CodevTT_RAF', '8.15', '7.75', 0, 1475073937),
(134608, 72, 14548, '', '', '', 1, 1475074763),
(134609, 72, 14548, 'handler_id', '0', '157', 0, 1475074763),
(134610, 72, 14548, '', '', '14545', 21, 1475074763),
(134611, 72, 14545, '', '', '14548', 20, 1475074763),
(134714, 158, 12311, 'CodevTT_RAF', '7.75', '7.75', 0, 1475135115),
(134903, 199, 14552, '', '', '', 1, 1475140032),
(134904, 199, 14552, 'handler_id', '0', '199', 0, 1475140032),
(134905, 199, 14552, '', '', '14198', 21, 1475140032),
(134906, 199, 14198, '', '', '14552', 20, 1475140032),
(134907, 199, 14552, 'CodevTT_RAF', '', '0', 0, 1475140071),
(134908, 199, 14552, 'CodevTT_RAF', '0', '0', 0, 1475140071),
(134909, 199, 14552, 'status', '10', '80', 0, 1475140071),
(134914, 147, 12791, 'CodevTT_RAF', '1', '2.5', 0, 1475140641),
(134915, 147, 12791, 'CodevTT_RAF', '2.5', '0.5', 0, 1475140662),
(134916, 147, 12791, 'CodevTT_RAF', '0.5', '0', 0, 1475140702),
(134917, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1475140703),
(134918, 147, 12791, 'status', '50', '80', 0, 1475140703),
(134922, 147, 12309, 'CodevTT_RAF', '', '5', 0, 1475141082),
(134923, 147, 12309, 'status', '10', '50', 0, 1475141082),
(134930, 147, 12309, 'CodevTT_RAF', '5', '1', 0, 1475141221),
(135228, 72, 12938, '', '5914', '', 2, 1475160839),
(135229, 72, 12938, 'CodevTT_RAF', '0.5', '0.25', 0, 1475160839),
(135236, 72, 14329, '', '5917', '', 2, 1475161081),
(135237, 72, 14329, 'CodevTT_RAF', '30', '28', 0, 1475161081),
(135312, 157, 10330, 'CodevTT_RAF', '0', '0', 0, 1475213535),
(135313, 157, 14546, 'CodevTT_RAF', '1.5', '0', 0, 1475213660),
(135314, 157, 14546, 'CodevTT_RAF', '0', '0', 0, 1475213660),
(135315, 157, 14546, 'status', '50', '80', 0, 1475213660),
(135316, 157, 14548, 'CodevTT_RAF', '', '1.5', 0, 1475213759),
(135317, 157, 14548, 'status', '10', '50', 0, 1475213759),
(135318, 157, 14473, 'CodevTT_RAF', '0', '1', 0, 1475213829),
(135319, 157, 14473, 'status', '80', '50', 0, 1475213829),
(135322, 199, 10330, 'CodevTT_RAF', '0', '0', 0, 1475221969),
(135323, 199, 14163, 'CodevTT_RAF', '1', '0.5', 0, 1475222002),
(135326, 199, 10330, 'CodevTT_RAF', '0', '0', 0, 1475222027),
(135329, 199, 14250, 'CodevTT_RAF', '', '1.75', 0, 1475222145),
(135330, 199, 14250, 'status', '10', '50', 0, 1475222145),
(135331, 199, 14250, 'handler_id', '0', '199', 0, 1475222145),
(135333, 199, 14248, 'CodevTT_RAF', '2', '2', 0, 1475222194),
(135334, 199, 14243, 'CodevTT_RAF', '', '4', 0, 1475222232),
(135335, 199, 14243, 'status', '10', '50', 0, 1475222232),
(135336, 199, 12199, 'CodevTT_RAF', '3', '0', 0, 1475222262),
(135337, 199, 12199, 'CodevTT_RAF', '0', '0', 0, 1475222262),
(135338, 199, 12199, 'status', '50', '80', 0, 1475222262),
(135339, 199, 6495, 'CodevTT_RAF', '', '0', 0, 1475222319),
(135340, 199, 6495, 'handler_id', '0', '199', 0, 1475222319),
(135543, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1475227189),
(135544, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1475227202),
(135545, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1475227217),
(135546, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1475227238),
(135547, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1475227291),
(135548, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1475227306),
(135549, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1475227333),
(135550, 158, 12311, 'CodevTT_RAF', '7.75', '7.65', 0, 1475227591),
(135551, 158, 12311, 'CodevTT_RAF', '7.65', '6.35', 0, 1475227645),
(135552, 158, 12311, 'CodevTT_RAF', '6.35', '6.25', 0, 1475227729),
(135553, 158, 12311, 'CodevTT_RAF', '6.25', '6.2', 0, 1475227744),
(135554, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475227767),
(135555, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475227796),
(135556, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475227855),
(135557, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475227979),
(135558, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475228019),
(135559, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475228047),
(135560, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475228059),
(135561, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475228092),
(135564, 158, 12311, 'CodevTT_RAF', '6.2', '6.2', 0, 1475228124),
(135582, 147, 12309, 'CodevTT_RAF', '1', '4', 0, 1475239499),
(135608, 199, 14540, 'CodevTT_RAF', '', '2', 0, 1475245423),
(135609, 199, 14540, 'status', '10', '50', 0, 1475245423),
(135818, 2, 12654, 'CodevTT_RAF', '0', '0', 0, 1475249171),
(135825, 158, 12311, 'CodevTT_RAF', '6.2', '8', 0, 1475249480),
(135827, 158, 12311, 'CodevTT_RAF', '8', '8', 0, 1475249505),
(135850, 169, 12312, 'CodevTT_RAF', '', '5', 0, 1475252134),
(135851, 169, 12312, 'status', '10', '50', 0, 1475252134),
(135852, 169, 12312, 'CodevTT_RAF', '5', '5', 0, 1475252142),
(135853, 169, 12312, 'CodevTT_RAF', '5', '4', 0, 1475252153),
(135854, 169, 12312, 'CodevTT_RAF', '4', '3', 0, 1475252161),
(135855, 169, 12312, 'CodevTT_RAF', '3', '2', 0, 1475252173),
(135857, 246, 14261, 'CodevTT_RAF', '1', '0', 0, 1475263923),
(135858, 246, 14261, 'CodevTT_RAF', '0', '0', 0, 1475263923),
(135859, 246, 14261, 'status', '50', '80', 0, 1475263923),
(135860, 246, 14262, 'CodevTT_RAF', '', '2', 0, 1475263969),
(135861, 246, 14262, 'status', '10', '50', 0, 1475263969),
(135862, 74, 11178, 'CodevTT_RAF', '1', '3', 0, 1475474970),
(135863, 74, 11178, 'CodevTT_RAF', '3', '2', 0, 1475474986),
(135864, 74, 11178, 'CodevTT_RAF', '2', '1', 0, 1475475003),
(135865, 74, 14013, 'CodevTT_RAF', '', '10', 0, 1475475046),
(135866, 74, 14013, 'status', '10', '50', 0, 1475475047),
(135867, 74, 11178, 'CodevTT_RAF', '1', '1', 0, 1475475067),
(136022, 134, 13774, 'CodevTT_RAF', '2', '4', 0, 1475482390),
(136023, 134, 13774, 'CodevTT_RAF', '4', '3', 0, 1475482409),
(136024, 134, 13774, 'CodevTT_RAF', '3', '2.5', 0, 1475482427),
(136025, 134, 8454, 'CodevTT_RAF', '0.5', '2', 0, 1475482460),
(136026, 134, 8454, 'CodevTT_RAF', '2', '1', 0, 1475482477),
(136051, 199, 13541, 'CodevTT_RAF', '0', '0', 0, 1475486537),
(136052, 199, 14540, 'CodevTT_RAF', '2', '0', 0, 1475486572),
(136053, 199, 14540, 'CodevTT_RAF', '0', '0', 0, 1475486572),
(136054, 199, 14540, 'status', '50', '80', 0, 1475486572),
(136062, 205, 10400, 'CodevTT_RAF', '4', '3', 0, 1475488088),
(136063, 205, 10400, 'CodevTT_RAF', '3', '3', 0, 1475488110),
(136064, 205, 14278, 'CodevTT_RAF', '', '1', 0, 1475488137),
(136065, 205, 14278, 'status', '10', '50', 0, 1475488137),
(136066, 205, 14278, 'CodevTT_RAF', '1', '1', 0, 1475488148),
(136067, 205, 10399, 'CodevTT_RAF', '4', '4', 0, 1475488209),
(136068, 205, 10400, 'CodevTT_RAF', '3', '2', 0, 1475488232),
(136085, 205, 14593, '', '', '', 1, 1475492889),
(136086, 205, 14593, 'handler_id', '0', '217', 0, 1475492889),
(136087, 205, 14593, '', '', '14278', 21, 1475492889),
(136088, 205, 14278, '', '', '14593', 20, 1475492889),
(136089, 205, 14594, '', '', '', 1, 1475492975),
(136090, 205, 14594, 'handler_id', '0', '205', 0, 1475492975),
(136091, 205, 14594, '', '', '14593', 21, 1475492975),
(136092, 205, 14593, '', '', '14594', 20, 1475492975),
(136093, 205, 14594, 'CodevTT_RAF', '', '1', 0, 1475493020),
(136094, 205, 14594, 'status', '10', '50', 0, 1475493020),
(136095, 205, 14289, 'CodevTT_RAF', '3', '0', 0, 1475493073),
(136096, 205, 14289, 'CodevTT_RAF', '0', '0', 0, 1475493073),
(136097, 205, 14289, 'status', '50', '80', 0, 1475493073),
(136098, 205, 14289, 'handler_id', '217', '205', 0, 1475493073),
(136099, 205, 14595, '', '', '', 1, 1475493114),
(136100, 205, 14595, 'handler_id', '0', '205', 0, 1475493114),
(136101, 205, 14595, '', '', '14594', 21, 1475493115),
(136102, 205, 14594, '', '', '14595', 20, 1475493115),
(136103, 205, 14595, 'CodevTT_RAF', '', '1', 0, 1475493147),
(136104, 205, 14595, 'status', '10', '50', 0, 1475493147),
(136105, 205, 14596, '', '', '', 1, 1475493182),
(136106, 205, 14596, 'handler_id', '0', '205', 0, 1475493182),
(136107, 205, 14596, '', '', '14594', 21, 1475493182),
(136108, 205, 14594, '', '', '14596', 20, 1475493182),
(136109, 205, 14596, 'CodevTT_RAF', '', '0.5', 0, 1475493212),
(136110, 205, 14596, 'status', '10', '50', 0, 1475493212),
(136111, 205, 14596, 'summary', 'GAC-4487 MOA_GAC_RAD : Liste instrance traitée dans GAC avec impacts sur ayd cjt coll dans TAIGA ou type de traitement \"Cessatio', 'GAC-4487 [SPEC] MOA_GAC_RAD : Liste instrance traitée dans GAC avec impacts sur ayd cjt coll dans TAIGA ou type de traitement', 0, 1475493238),
(136112, 205, 14596, 'CodevTT_RAF', '0.5', '0', 0, 1475493280),
(136113, 205, 14596, 'CodevTT_RAF', '0', '0', 0, 1475493280),
(136114, 205, 14596, 'status', '50', '80', 0, 1475493280),
(136116, 212, 13002, 'CodevTT_RAF', '3', '5', 0, 1475495095),
(136117, 212, 13002, 'CodevTT_RAF', '5', '4', 0, 1475495110),
(136118, 212, 13002, 'CodevTT_RAF', '4', '3', 0, 1475495128),
(136119, 212, 13002, 'CodevTT_RAF', '3', '2', 0, 1475495145),
(136120, 212, 13002, 'CodevTT_RAF', '2', '1', 0, 1475495172),
(136188, 217, 14596, 'CodevTT_RAF', '0', '3', 0, 1475504905),
(136189, 217, 14596, 'status', '80', '50', 0, 1475504905),
(136261, 72, 13044, 'status', '80', '50', 0, 1475510471),
(136262, 72, 13044, 'CodevTT_ChargeMgr', '', '0', 0, 1475510486),
(136263, 72, 13044, 'CodevTT_RAF', '0', '0.5', 0, 1475510486),
(136264, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475512681),
(136265, 147, 12309, 'CodevTT_RAF', '4', '3', 0, 1475559180),
(136266, 147, 12309, 'CodevTT_RAF', '3', '2', 0, 1475559201),
(136267, 199, 14608, '', '', '', 1, 1475561389),
(136268, 199, 14608, 'handler_id', '0', '199', 0, 1475561389),
(136269, 199, 14608, '', '', '14540', 21, 1475561389),
(136270, 199, 14540, '', '', '14608', 20, 1475561389),
(136275, 246, 14262, 'CodevTT_RAF', '2', '2', 0, 1475565501),
(136276, 72, 14329, 'CodevTT_RAF', '28', '28.5', 0, 1475568189),
(136286, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1475570757),
(136287, 158, 12311, 'CodevTT_RAF', '8', '8', 0, 1475572320),
(136288, 158, 12311, 'CodevTT_RAF', '8', '8', 0, 1475572335),
(136289, 158, 12311, 'CodevTT_RAF', '8', '7.5', 0, 1475572358),
(136290, 158, 12311, 'CodevTT_RAF', '7.5', '7.5', 0, 1475572389),
(136291, 158, 12311, 'CodevTT_RAF', '7.5', '7.5', 0, 1475572433),
(136292, 158, 12311, 'CodevTT_RAF', '7.5', '7.5', 0, 1475572450),
(136293, 217, 14278, 'CodevTT_RAF', '1', '2', 0, 1475574243),
(136294, 217, 14278, 'CodevTT_RAF', '2', '2', 0, 1475574398),
(136295, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1475574408),
(136296, 217, 14596, 'CodevTT_RAF', '3', '1', 0, 1475574698),
(136344, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475589023),
(136347, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475590885),
(136348, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475590919),
(136349, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475590936),
(136527, 246, 14262, 'CodevTT_RAF', '2', '2', 0, 1475657038),
(136528, 246, 14262, 'CodevTT_RAF', '2', '1', 0, 1475657107),
(136542, 72, 14618, 'Ref. Externe', '', '43429', 0, 1475660331),
(136543, 72, 14618, 'CodevTT_ChargeInit', '', '2', 0, 1475660331),
(136544, 72, 14618, 'handler_id', '0', '157', 0, 1475660331),
(136545, 72, 14618, 'codevtt_type', '', 'Bug', 0, 1475660331),
(136546, 72, 14619, 'Ref. Externe', '', '43465', 0, 1475660332),
(136547, 72, 14619, 'CodevTT_ChargeInit', '', '2', 0, 1475660332),
(136548, 72, 14619, 'handler_id', '0', '157', 0, 1475660332),
(136549, 72, 14619, 'codevtt_type', '', 'Bug', 0, 1475660332),
(136550, 72, 14620, 'Ref. Externe', '', '43466', 0, 1475660332),
(136551, 72, 14620, 'CodevTT_ChargeInit', '', '2', 0, 1475660332),
(136552, 72, 14620, 'handler_id', '0', '157', 0, 1475660332),
(136553, 72, 14620, 'codevtt_type', '', 'Bug', 0, 1475660332),
(136554, 72, 14621, 'Ref. Externe', '', '43473', 0, 1475660332),
(136555, 72, 14621, 'CodevTT_ChargeInit', '', '2', 0, 1475660332),
(136556, 72, 14621, 'handler_id', '0', '157', 0, 1475660332),
(136557, 72, 14621, 'codevtt_type', '', 'Bug', 0, 1475660332),
(136558, 72, 14622, 'Ref. Externe', '', '43528', 0, 1475660332),
(136559, 72, 14622, 'CodevTT_ChargeInit', '', '2', 0, 1475660332),
(136560, 72, 14622, 'handler_id', '0', '157', 0, 1475660332),
(136561, 72, 14622, 'codevtt_type', '', 'Bug', 0, 1475660332),
(136562, 72, 14623, 'Ref. Externe', '', '43529', 0, 1475660332),
(136563, 72, 14623, 'CodevTT_ChargeInit', '', '2', 0, 1475660332),
(136564, 72, 14623, 'handler_id', '0', '157', 0, 1475660332),
(136565, 72, 14623, 'codevtt_type', '', 'Bug', 0, 1475660332),
(136566, 72, 14618, 'RSI_Type_Ano', '', 'Recette', 0, 1475660574),
(136567, 72, 14619, 'RSI_Type_Ano', '', 'Recette', 0, 1475660613),
(136568, 72, 14620, 'RSI_Type_Ano', '', 'Recette', 0, 1475660645),
(136569, 72, 14621, 'RSI_Type_Ano', '', 'Recette', 0, 1475660673),
(136570, 72, 14622, 'RSI_Type_Ano', '', 'Recette', 0, 1475660701),
(136571, 72, 14623, 'RSI_Type_Ano', '', 'Recette', 0, 1475660775),
(136625, 147, 14165, 'CodevTT_RAF', '1', '0.5', 0, 1475679848),
(136626, 147, 12309, 'CodevTT_RAF', '2', '2', 0, 1475680188),
(136642, 246, 14262, 'CodevTT_RAF', '1', '0', 0, 1475736589),
(136643, 246, 14262, 'CodevTT_RAF', '0', '0', 0, 1475736589),
(136644, 246, 14262, 'status', '50', '80', 0, 1475736589),
(137081, 72, 14329, 'CodevTT_RAF', '28.5', '28', 0, 1475756337),
(137155, 157, 14036, 'CodevTT_RAF', '0.5', '0', 0, 1475759254),
(137156, 157, 14036, 'CodevTT_RAF', '0', '0', 0, 1475759254),
(137157, 157, 14036, 'status', '50', '80', 0, 1475759254),
(137158, 157, 12820, 'CodevTT_RAF', '0.5', '0.5', 0, 1475759278),
(137207, 205, 10400, 'CodevTT_RAF', '2', '2', 0, 1475760214),
(137221, 205, 10400, 'CodevTT_RAF', '2', '2', 0, 1475760276),
(137229, 205, 8454, 'CodevTT_RAF', '3', '10', 0, 1475760435),
(137233, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1475760461),
(137234, 205, 10400, 'CodevTT_RAF', '2', '2', 0, 1475760475),
(137383, 147, 14165, 'CodevTT_RAF', '0.5', '0.5', 0, 1475762206),
(137385, 168, 12137, 'CodevTT_RAF', '0', '4', 0, 1475762299),
(137386, 168, 12137, 'status', '80', '50', 0, 1475762299),
(137387, 147, 12790, 'CodevTT_RAF', '3', '0.5', 0, 1475762311),
(137388, 168, 12137, 'CodevTT_RAF', '4', '3', 0, 1475762326),
(137389, 168, 12137, 'handler_id', '146', '168', 0, 1475762326),
(137392, 168, 13258, 'CodevTT_RAF', '0', '0', 0, 1475762441),
(137393, 168, 13258, 'handler_id', '146', '168', 0, 1475762441),
(137394, 168, 13258, 'CodevTT_RAF', '0', '0', 0, 1475762462),
(137396, 168, 13258, 'CodevTT_RAF', '0', '0', 0, 1475762480),
(137403, 168, 14594, 'CodevTT_RAF', '1', '1', 0, 1475762628),
(137404, 168, 14594, 'handler_id', '205', '168', 0, 1475762628),
(137405, 168, 14594, 'CodevTT_RAF', '1', '1', 0, 1475762647),
(137413, 205, 14642, '', '', '', 1, 1475762761),
(137414, 205, 14642, 'handler_id', '0', '205', 0, 1475762761),
(137415, 205, 14642, '', '', '11115', 21, 1475762761),
(137416, 205, 11115, '', '', '14642', 20, 1475762761),
(137417, 205, 13775, 'summary', 'GAC-3729 Reliquat ISE 1.7 TAIGA statut de validation de l\'AR post BQ', 'GAC-3729 [SPEC] Reliquat ISE 1.7 TAIGA statut de validation de l\'AR post BQ', 0, 1475762810),
(137418, 205, 14643, '', '', '', 1, 1475762833),
(137419, 205, 14643, 'handler_id', '0', '217', 0, 1475762833),
(137420, 205, 14643, '', '', '13775', 21, 1475762833),
(137421, 205, 13775, '', '', '14643', 20, 1475762833),
(137422, 205, 14644, '', '', '', 1, 1475762872),
(137423, 205, 14644, 'handler_id', '0', '205', 0, 1475762872),
(137424, 205, 14644, '', '', '14596', 21, 1475762872),
(137425, 205, 14596, '', '', '14644', 20, 1475762872),
(137432, 205, 14645, '', '', '', 1, 1475762982),
(137433, 205, 14645, 'handler_id', '0', '168', 0, 1475762982),
(137434, 205, 14645, '', '', '14594', 21, 1475762983),
(137435, 205, 14594, '', '', '14645', 20, 1475762983),
(137441, 168, 14642, 'CodevTT_RAF', '', '0', 0, 1475763311),
(137442, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475763311),
(137443, 168, 14642, 'status', '10', '80', 0, 1475763311),
(137447, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475763342),
(137448, 168, 14642, 'handler_id', '205', '168', 0, 1475763342),
(137451, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475763368),
(137455, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475763497),
(137456, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475763530),
(137457, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475763552),
(137630, 168, 13258, 'CodevTT_RAF', '0', '0', 0, 1475764738),
(137631, 168, 13258, 'CodevTT_RAF', '0', '0', 0, 1475764750),
(137633, 168, 12137, 'CodevTT_RAF', '3', '3', 0, 1475764897),
(137653, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475765058),
(137654, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475765077),
(137655, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475765111),
(137656, 168, 14642, 'CodevTT_RAF', '0', '0', 0, 1475765127),
(137663, 168, 14594, 'CodevTT_RAF', '1', '3', 0, 1475765257),
(137668, 168, 14594, 'CodevTT_RAF', '3', '3', 0, 1475765295),
(137669, 168, 14594, 'CodevTT_RAF', '3', '3', 0, 1475765330),
(137676, 168, 14644, 'CodevTT_RAF', '', '2', 0, 1475765419),
(137677, 168, 14644, 'status', '10', '50', 0, 1475765419),
(137678, 168, 14644, 'handler_id', '205', '168', 0, 1475765419),
(137679, 168, 14644, 'CodevTT_RAF', '2', '0', 0, 1475765443),
(137680, 168, 14644, 'CodevTT_RAF', '0', '0', 0, 1475765443),
(137681, 168, 14644, 'status', '50', '80', 0, 1475765443),
(137682, 168, 14644, 'CodevTT_RAF', '0', '0', 0, 1475765459),
(137694, 168, 14645, 'CodevTT_RAF', '', '0.5', 0, 1475765582),
(137695, 168, 14645, 'status', '10', '50', 0, 1475765583),
(137701, 168, 14643, 'CodevTT_RAF', '', '14', 0, 1475765632),
(137702, 168, 14643, 'status', '10', '50', 0, 1475765632),
(137703, 168, 14643, 'handler_id', '217', '168', 0, 1475765632),
(137705, 168, 14643, 'CodevTT_RAF', '14', '13', 0, 1475765648),
(137706, 168, 14643, 'CodevTT_RAF', '13', '12', 0, 1475765667),
(137707, 168, 14643, 'CodevTT_RAF', '12', '11', 0, 1475765701),
(137845, 199, 14705, '', '', '', 1, 1475821796),
(137846, 199, 14705, 'handler_id', '0', '157', 0, 1475821796),
(137847, 199, 14705, '', '', '14622', 21, 1475821796),
(137848, 199, 14622, '', '', '14705', 20, 1475821796),
(137853, 199, 14705, 'CodevTT_RAF', '', '0', 0, 1475821898),
(137854, 199, 14705, 'CodevTT_RAF', '0', '0', 0, 1475821898),
(137855, 199, 14705, 'status', '10', '80', 0, 1475821898),
(137856, 199, 14705, 'handler_id', '157', '199', 0, 1475821898),
(137867, 199, 14706, '', '', '', 1, 1475822595),
(137868, 199, 14706, 'handler_id', '0', '199', 0, 1475822595),
(137869, 199, 14706, '', '', '14540', 21, 1475822595),
(137870, 199, 14540, '', '', '14706', 20, 1475822595),
(137873, 199, 14540, '', '2944', '', 6, 1475822649),
(137874, 199, 14622, 'CodevTT_RAF', '', '0.5', 0, 1475822702),
(137875, 199, 14622, 'status', '10', '50', 0, 1475822702),
(137876, 199, 14622, 'handler_id', '157', '199', 0, 1475822702),
(137877, 199, 14705, 'CodevTT_RAF', '0', '0', 0, 1475822743),
(137878, 199, 14540, 'CodevTT_RAF', '0', '0', 0, 1475822751),
(137879, 199, 14259, 'CodevTT_RAF', '', '1', 0, 1475822880),
(137880, 199, 14259, 'status', '10', '50', 0, 1475822880),
(137881, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1475823162),
(137882, 147, 12309, 'CodevTT_RAF', '2', '1.5', 0, 1475823192),
(137938, 72, 14329, '', '6300', '', 2, 1475828420),
(137939, 72, 14329, 'CodevTT_RAF', '28', '27', 0, 1475828420),
(137940, 72, 14166, 'RSI_Type_Ano', '', 'Production', 0, 1475829946),
(137941, 72, 14233, 'RSI_Type_Ano', '', 'Recette', 0, 1475829992),
(137942, 72, 14234, 'RSI_Type_Ano', '', 'Recette', 0, 1475830042),
(137944, 72, 14595, 'RSI_Type_Ano', '', 'Recette', 0, 1475830166),
(137946, 72, 14594, 'RSI_Type_Ano', '', 'Recette', 0, 1475830214),
(137948, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1475833408),
(137949, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1475833423),
(137950, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1475833435),
(137951, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1475833479),
(137952, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1475833503),
(137959, 72, 14708, 'Ref. Externe', '', '43532', 0, 1475833778),
(137960, 72, 14708, 'CodevTT_ChargeInit', '', '2', 0, 1475833778),
(137961, 72, 14708, 'handler_id', '0', '146', 0, 1475833778),
(137962, 72, 14708, 'codevtt_type', '', 'Bug', 0, 1475833778),
(137963, 72, 14709, 'Ref. Externe', '', '43549', 0, 1475833778),
(137964, 72, 14709, 'CodevTT_ChargeInit', '', '2', 0, 1475833778),
(137965, 72, 14709, 'handler_id', '0', '147', 0, 1475833778),
(137966, 72, 14709, 'codevtt_type', '', 'Bug', 0, 1475833778),
(137967, 72, 14710, 'Ref. Externe', '', '43540', 0, 1475834053),
(137968, 72, 14710, 'CodevTT_ChargeInit', '', '2', 0, 1475834054),
(137969, 72, 14710, 'handler_id', '0', '205', 0, 1475834054),
(137970, 72, 14710, 'codevtt_type', '', 'Task', 0, 1475834054),
(137974, 72, 14712, 'Ref. Externe', '', '43545', 0, 1475834054),
(137975, 72, 14712, 'CodevTT_ChargeInit', '', '2', 0, 1475834054),
(137976, 72, 14712, 'handler_id', '0', '157', 0, 1475834054),
(137977, 72, 14712, 'codevtt_type', '', 'Task', 0, 1475834054),
(137981, 72, 14714, 'Ref. Externe', '', '43548', 0, 1475834054),
(137982, 72, 14714, 'CodevTT_ChargeInit', '', '2', 0, 1475834054),
(137983, 72, 14714, 'handler_id', '0', '246', 0, 1475834054),
(137984, 72, 14714, 'codevtt_type', '', 'Task', 0, 1475834054),
(137985, 72, 14714, 'CodevTT_Dead Line', '', '943916400', 0, 1475834054),
(137986, 72, 14715, 'Ref. Externe', '', '43548', 0, 1475834055),
(137987, 72, 14715, 'CodevTT_ChargeInit', '', '2', 0, 1475834055),
(137988, 72, 14715, 'handler_id', '0', '246', 0, 1475834055),
(137989, 72, 14715, 'codevtt_type', '', 'Task', 0, 1475834055),
(137990, 72, 14246, 'handler_id', '246', '74', 0, 1475834119),
(137991, 72, 14246, 'CodevTT_Dead Line', '', '', 0, 1475834119),
(137992, 72, 14252, 'handler_id', '246', '74', 0, 1475834141),
(137993, 72, 14252, 'CodevTT_Dead Line', '', '', 0, 1475834141);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(137996, 72, 14716, '', '', '', 1, 1475834348),
(137997, 72, 14716, 'handler_id', '0', '212', 0, 1475834349),
(137998, 72, 14716, '', '', '11178', 21, 1475834349),
(137999, 72, 11178, '', '', '14716', 20, 1475834349),
(138004, 72, 14717, 'Ref. Externe', '', '43541', 0, 1475837412),
(138005, 72, 14717, 'CodevTT_ChargeInit', '', '2', 0, 1475837412),
(138006, 72, 14717, 'target_version', '', '17.1.DSI_INT', 0, 1475837412),
(138007, 72, 14717, 'handler_id', '0', '74', 0, 1475837412),
(138008, 72, 14717, 'codevtt_type', '', 'Task', 0, 1475837412),
(138009, 72, 14718, 'Ref. Externe', '', '43541', 0, 1475837412),
(138010, 72, 14718, 'CodevTT_ChargeInit', '', '2', 0, 1475837412),
(138011, 72, 14718, 'target_version', '', '17.1.DSI_INT', 0, 1475837412),
(138012, 72, 14718, 'handler_id', '0', '74', 0, 1475837412),
(138013, 72, 14718, 'codevtt_type', '', 'Task', 0, 1475837412),
(138014, 72, 14719, 'Ref. Externe', '', '43542', 0, 1475837412),
(138015, 72, 14719, 'CodevTT_ChargeInit', '', '2', 0, 1475837412),
(138016, 72, 14719, 'target_version', '', '17.1.DSI_INT', 0, 1475837412),
(138017, 72, 14719, 'handler_id', '0', '199', 0, 1475837412),
(138018, 72, 14719, 'codevtt_type', '', 'Task', 0, 1475837412),
(138019, 72, 14720, 'Ref. Externe', '', '43542', 0, 1475837413),
(138020, 72, 14720, 'CodevTT_ChargeInit', '', '2', 0, 1475837413),
(138021, 72, 14720, 'target_version', '', '17.1.DSI_INT', 0, 1475837413),
(138022, 72, 14720, 'handler_id', '0', '246', 0, 1475837413),
(138023, 72, 14720, 'codevtt_type', '', 'Task', 0, 1475837413),
(138024, 72, 14721, '', '', '', 1, 1475837566),
(138025, 72, 14721, 'handler_id', '0', '212', 0, 1475837566),
(138026, 72, 14721, '', '', '14716', 21, 1475837566),
(138027, 72, 14716, '', '', '14721', 20, 1475837566),
(138028, 72, 14059, 'handler_id', '158', '147', 0, 1475839391),
(138029, 72, 14059, 'CodevTT_Dead Line', '', '', 0, 1475839391),
(138030, 72, 14060, 'handler_id', '158', '147', 0, 1475839427),
(138031, 72, 14060, 'CodevTT_Dead Line', '', '', 0, 1475839427),
(138032, 72, 14059, 'status', '50', '20', 0, 1475839502),
(138033, 72, 14059, 'CodevTT_Dead Line', '', '', 0, 1475839502),
(138034, 72, 12319, 'status', '10', '20', 0, 1475839527),
(138035, 72, 12319, 'CodevTT_Dead Line', '', '', 0, 1475839527),
(138036, 72, 12324, 'status', '10', '20', 0, 1475839566),
(138037, 72, 12324, 'CodevTT_Dead Line', '', '', 0, 1475839566),
(138038, 72, 12325, 'status', '10', '20', 0, 1475839594),
(138039, 72, 12325, 'CodevTT_Dead Line', '', '', 0, 1475839594),
(138042, 72, 14712, 'CodevTT_Date Livraison', '', '1480287600', 0, 1475839734),
(169091, 72, 10399, 'summary', '42497 [SPEC] TAIGA PUMA -  Lot 4/ traitement des MAJOC', '44027 [SPEC] TAIGA PUMA -  Echanges avec les OC - MAJOC', 0, 1483956827),
(138048, 72, 14714, 'target_version', '', '17.0.DSI_EM', 0, 1475841426),
(138049, 72, 14714, 'CodevTT_Dead Line', '943916400', '', 0, 1475841426),
(138050, 72, 14715, 'target_version', '', '17.0.DSI_EM', 0, 1475841468),
(138051, 72, 14709, 'handler_id', '147', '246', 0, 1475841577),
(138052, 72, 14709, 'target_version', '', '17.0.DSI_EM', 0, 1475841664),
(138053, 72, 13785, 'status', '50', '20', 0, 1475841744),
(138054, 72, 14329, 'handler_id', '199', '72', 0, 1475841776),
(138055, 72, 14329, 'CodevTT_Dead Line', '', '', 0, 1475841776),
(138056, 72, 14164, 'handler_id', '134', '199', 0, 1475842101),
(138057, 72, 13559, 'status', '30', '80', 0, 1475842311),
(138058, 72, 13559, 'CodevTT_RAF', '1', '0', 0, 1475842311),
(138072, 72, 14709, 'CodevTT_ChargeMgr', '', '0', 0, 1475842755),
(138073, 72, 14709, 'CodevTT_ChargeInit', '2', '5', 0, 1475842755),
(138076, 72, 14715, 'CodevTT_ChargeMgr', '', '0', 0, 1475842849),
(138077, 72, 14715, 'CodevTT_ChargeInit', '2', '5', 0, 1475842849),
(138079, 72, 14720, 'CodevTT_ChargeMgr', '', '0', 0, 1475842903),
(138080, 72, 14720, 'CodevTT_ChargeInit', '2', '5', 0, 1475842903),
(138084, 72, 14714, 'CodevTT_ChargeMgr', '', '0', 0, 1475842959),
(138085, 72, 14714, 'CodevTT_ChargeInit', '2', '5', 0, 1475842959),
(138087, 72, 14718, 'CodevTT_ChargeMgr', '', '0', 0, 1475843079),
(138088, 72, 14718, 'CodevTT_ChargeInit', '2', '10', 0, 1475843079),
(138089, 72, 12999, 'status', '50', '20', 0, 1475843112),
(138090, 72, 14253, 'CodevTT_RAF', '', '0', 0, 1475843174),
(138091, 72, 14253, 'status', '10', '80', 0, 1475843174),
(138092, 72, 14253, 'CodevTT_RAF', '0', '0', 0, 1475843174),
(138093, 72, 14253, 'CodevTT_Dead Line', '', '', 0, 1475843174),
(138094, 72, 12999, 'CodevTT_Dead Line', '1473285600', '', 0, 1475843307),
(138095, 72, 13002, 'CodevTT_Dead Line', '1471730400', '1479337200', 0, 1475843388),
(138099, 72, 14258, 'status', '50', '80', 0, 1475843657),
(138100, 72, 14258, 'resolution', '10', '20', 0, 1475843657),
(138101, 72, 14258, 'CodevTT_RAF', '1', '0', 0, 1475843657),
(138102, 72, 14059, 'status', '20', '50', 0, 1475843948),
(138103, 72, 14059, 'CodevTT_ChargeMgr', '0', '5', 0, 1475843948),
(138104, 72, 14059, 'CodevTT_ChargeInit', '5', '3', 0, 1475843948),
(138105, 72, 14059, 'CodevTT_RAF', '4.75', '3', 0, 1475843948),
(138109, 72, 14245, 'CodevTT_ChargeMgr', '', '8', 0, 1475844019),
(138110, 72, 14245, 'CodevTT_ChargeInit', '2', '4', 0, 1475844019),
(138111, 72, 14247, 'CodevTT_ChargeMgr', '', '3.5', 0, 1475844080),
(138112, 72, 14247, 'CodevTT_ChargeInit', '1', '2', 0, 1475844080),
(138113, 72, 14249, 'CodevTT_ChargeMgr', '', '6', 0, 1475844135),
(138114, 72, 14249, 'CodevTT_ChargeInit', '2', '3', 0, 1475844135),
(138115, 72, 14706, 'target_version', '', '17.1.DSI_INT', 0, 1475844292),
(138116, 72, 14706, 'CodevTT_ChargeInit', '5', '7', 0, 1475844292),
(138158, 72, 12998, 'target_version', '17.0.DSI_EM', '', 0, 1475846312),
(138159, 72, 14706, 'summary', '43520 DSI 2016 - Palliatif DSI anticipées', '43520   [SPEC] DSI 2016 - Palliatif DSI anticipées', 0, 1475846639),
(138160, 72, 14706, 'CodevTT_ChargeInit', '7', '3', 0, 1475846639),
(138161, 72, 14722, '', '', '', 1, 1475846699),
(138162, 72, 14722, 'handler_id', '0', '199', 0, 1475846699),
(138163, 72, 14722, '', '', '14706', 21, 1475846699),
(138164, 72, 14706, '', '', '14722', 20, 1475846699),
(138169, 72, 14722, 'summary', '43520   [SPEC] DSI 2016 - Palliatif DSI anticipées', '43520   [DEV] DSI 2016 - Palliatif DSI anticipées', 0, 1475846860),
(138170, 72, 14722, 'target_version', '', '17.1.DSI_INT', 0, 1475846902),
(138235, 72, 14540, 'CodevTT_ChargeMgr', '0', '3', 0, 1475849157),
(138236, 72, 14540, 'CodevTT_ChargeInit', '5', '2', 0, 1475849157),
(138251, 199, 14608, 'status', '10', '80', 0, 1475849404),
(138252, 199, 14608, 'resolution', '10', '20', 0, 1475849404),
(138259, 72, 14721, '', '2948', '', 7, 1475849548),
(138260, 72, 14721, 'CodevTT_ChargeMgr', '', '2.1', 0, 1475849548),
(138349, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475851356),
(138353, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475851434),
(138366, 199, 14722, 'CodevTT_RAF', '', '0', 0, 1475851720),
(138367, 199, 14722, 'CodevTT_RAF', '0', '0', 0, 1475851720),
(138368, 199, 14722, 'status', '10', '80', 0, 1475851720),
(138372, 212, 13002, 'CodevTT_RAF', '1', '1', 0, 1475851823),
(138373, 212, 13002, 'CodevTT_RAF', '1', '2', 0, 1475851839),
(138374, 212, 13002, 'CodevTT_RAF', '2', '1', 0, 1475851853),
(138375, 212, 13002, 'CodevTT_RAF', '1', '1', 0, 1475851865),
(138376, 212, 13002, 'CodevTT_RAF', '1', '1', 0, 1475851872),
(138384, 146, 10623, 'CodevTT_RAF', '', '6', 0, 1475853201),
(138385, 146, 10623, 'CodevTT_RAF', '6', '3', 0, 1475853223),
(138405, 146, 12331, 'CodevTT_RAF', '0', '0', 0, 1475853859),
(138484, 146, 12330, 'CodevTT_RAF', '5', '5', 0, 1475854295),
(138485, 146, 12330, 'CodevTT_RAF', '5', '5', 0, 1475854313),
(138602, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1475967752),
(138603, 74, 11178, 'CodevTT_RAF', '1', '2', 0, 1476078119),
(138604, 74, 14244, 'CodevTT_RAF', '2', '2', 0, 1476078249),
(138605, 74, 14244, 'CodevTT_RAF', '2', '1.5', 0, 1476078287),
(138606, 74, 14244, 'CodevTT_RAF', '1.5', '2', 0, 1476078311),
(138607, 74, 14244, 'CodevTT_RAF', '2', '1', 0, 1476078333),
(138608, 74, 14244, 'CodevTT_RAF', '1', '1', 0, 1476078344),
(138609, 74, 11178, 'CodevTT_RAF', '2', '1', 0, 1476078371),
(138610, 74, 14244, 'CodevTT_RAF', '1', '1', 0, 1476078391),
(138611, 74, 14244, 'CodevTT_RAF', '1', '2', 0, 1476078445),
(138612, 72, 14791, '', '', '', 1, 1476080987),
(138613, 72, 14791, 'handler_id', '0', '146', 0, 1476080987),
(138614, 72, 14791, '', '', '14266', 21, 1476080987),
(138615, 72, 14266, '', '', '14791', 20, 1476080987),
(138616, 72, 14791, 'CodevTT_RAF', '', '3', 0, 1476081052),
(138617, 72, 14791, 'status', '10', '50', 0, 1476081052),
(138618, 72, 14791, 'CodevTT_RAF', '3', '2', 0, 1476081076),
(138621, 146, 14708, '', '6306', '', 2, 1476081297),
(138622, 72, 14708, 'CodevTT_RAF', '', '1', 0, 1476081297),
(138623, 72, 14708, 'status', '10', '50', 0, 1476081297),
(138750, 2, 14226, 'CodevTT_RAF', '', '0', 0, 1476088158),
(138751, 2, 14226, 'status', '10', '80', 0, 1476088158),
(138752, 2, 14226, 'CodevTT_RAF', '0', '0', 0, 1476088158),
(138753, 2, 14227, 'CodevTT_RAF', '', '0', 0, 1476088197),
(138754, 2, 14227, 'status', '10', '80', 0, 1476088197),
(138755, 2, 14227, 'CodevTT_RAF', '0', '0', 0, 1476088197),
(138760, 2, 14267, 'CodevTT_RAF', '', '0', 0, 1476088230),
(138761, 2, 14267, 'status', '10', '80', 0, 1476088230),
(138762, 2, 14267, 'CodevTT_RAF', '0', '0', 0, 1476088230),
(138763, 2, 14618, 'CodevTT_RAF', '', '0', 0, 1476088292),
(138764, 2, 14618, 'status', '10', '80', 0, 1476088292),
(138765, 2, 14618, 'CodevTT_RAF', '0', '0', 0, 1476088292),
(138779, 2, 14157, 'CodevTT_RAF', '2', '0', 0, 1476088739),
(138780, 2, 14157, 'status', '50', '80', 0, 1476088739),
(138781, 2, 14157, 'CodevTT_RAF', '0', '0', 0, 1476088739),
(138782, 2, 14157, 'CodevTT_Dead Line', '', '', 0, 1476088739),
(138783, 2, 13342, 'CodevTT_RAF', '', '0', 0, 1476088746),
(138784, 2, 13342, 'status', '10', '80', 0, 1476088746),
(138785, 2, 13342, 'CodevTT_RAF', '0', '0', 0, 1476088746),
(138786, 2, 14548, 'CodevTT_RAF', '1', '0', 0, 1476088817),
(138787, 2, 14548, 'status', '50', '80', 0, 1476088817),
(138788, 2, 14548, 'CodevTT_RAF', '0', '0', 0, 1476088817),
(138804, 72, 14796, '', '', '', 1, 1476090850),
(138805, 72, 14796, 'handler_id', '0', '2', 0, 1476090850),
(138806, 72, 14797, '', '', '', 1, 1476090951),
(138807, 72, 14797, 'handler_id', '0', '2', 0, 1476090951),
(138808, 72, 14797, '', '', '14796', 21, 1476090951),
(138809, 72, 14796, '', '', '14797', 20, 1476090951),
(138810, 2, 14797, '', '6331', '', 2, 1476093887),
(138811, 2, 14797, 'CodevTT_RAF', '', '0', 0, 1476093887),
(138812, 2, 14797, 'CodevTT_RAF', '0', '0', 0, 1476093887),
(138813, 2, 14797, 'status', '10', '80', 0, 1476093887),
(138836, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1476101902),
(138840, 205, 14800, '', '', '', 1, 1476102015),
(138841, 205, 14800, 'handler_id', '0', '205', 0, 1476102015),
(138842, 205, 14800, '', '', '14594', 21, 1476102015),
(138843, 205, 14594, '', '', '14800', 20, 1476102015),
(138844, 205, 14800, 'CodevTT_RAF', '', '0', 0, 1476102041),
(138845, 205, 14800, 'CodevTT_RAF', '0', '0', 0, 1476102041),
(138846, 205, 14800, 'status', '10', '80', 0, 1476102041),
(138847, 205, 14801, '', '', '', 1, 1476102088),
(138848, 205, 14801, 'handler_id', '0', '205', 0, 1476102088),
(138849, 205, 14801, '', '', '14800', 21, 1476102088),
(138850, 205, 14800, '', '', '14801', 20, 1476102088),
(138851, 205, 14801, 'CodevTT_RAF', '', '0', 0, 1476102108),
(138852, 205, 14801, 'CodevTT_RAF', '0', '0', 0, 1476102108),
(138853, 205, 14801, 'status', '10', '80', 0, 1476102108),
(138854, 205, 14801, 'CodevTT_RAF', '0', '0', 0, 1476102140),
(138879, 72, 14720, 'CodevTT_ChargeInit', '5', '1', 0, 1476103214),
(138880, 72, 14719, 'CodevTT_ChargeMgr', '', '0', 0, 1476103255),
(138881, 72, 14719, 'CodevTT_ChargeInit', '2', '1', 0, 1476103255),
(138883, 72, 14718, 'handler_id', '74', '168', 0, 1476104540),
(138884, 72, 14718, 'CodevTT_Dead Line', '', '', 0, 1476104540),
(138885, 72, 14718, 'CodevTT_ChargeInit', '10', '3', 0, 1476104630),
(138907, 217, 14278, 'CodevTT_RAF', '2', '2', 0, 1476106677),
(138908, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1476106704),
(139102, 134, 13774, 'CodevTT_RAF', '2', '1.5', 0, 1476174330),
(139103, 134, 12304, '', '6354', '', 2, 1476174442),
(139104, 134, 12304, 'CodevTT_RAF', '10', '4', 0, 1476174442),
(139105, 134, 12304, 'CodevTT_RAF', '4', '4.5', 0, 1476174464),
(139121, 246, 14720, 'CodevTT_RAF', '', '0.5', 0, 1476174878),
(139122, 246, 14720, 'status', '10', '50', 0, 1476174878),
(139123, 246, 14720, 'CodevTT_RAF', '0.5', '0', 0, 1476174896),
(139124, 246, 14720, 'CodevTT_RAF', '0', '0', 0, 1476174896),
(139125, 246, 14720, 'status', '50', '80', 0, 1476174896),
(139137, 72, 14807, '', '', '', 1, 1476175254),
(139138, 72, 14807, '', '', '14717', 21, 1476175255),
(139139, 72, 14717, '', '', '14807', 20, 1476175255),
(139141, 72, 14808, '', '', '', 1, 1476175347),
(139142, 72, 14808, '', '', '14807', 21, 1476175347),
(139143, 72, 14807, '', '', '14808', 20, 1476175347),
(139144, 72, 14807, '', '2501', '14808', 18, 1476175348),
(139145, 72, 14808, '', '2500', '14807', 18, 1476175348),
(139148, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1476175506),
(139149, 205, 8454, 'handler_id', '200', '205', 0, 1476175506),
(139150, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1476175521),
(139211, 72, 14329, '', '6375', '', 2, 1476180022),
(139212, 72, 14329, 'CodevTT_RAF', '27', '26.5', 0, 1476180022),
(139268, 2, 14266, '', '6389', '', 2, 1476193095),
(139269, 2, 14266, 'CodevTT_RAF', '1', '2', 0, 1476193095),
(139333, 72, 14813, '', '', '', 1, 1476199248),
(139334, 72, 14813, '', '', '14808', 21, 1476199249),
(139335, 72, 14808, '', '', '14813', 20, 1476199249),
(139336, 72, 14814, '', '', '', 1, 1476199306),
(139337, 72, 14814, '', '', '14813', 21, 1476199306),
(139338, 72, 14813, '', '', '14814', 20, 1476199306),
(139339, 72, 14813, '', '2500', '14814', 18, 1476199306),
(139340, 72, 14814, '', '2501', '14813', 18, 1476199306),
(139361, 147, 14165, 'CodevTT_RAF', '0.5', '0.2', 0, 1476251857),
(139362, 147, 14165, 'CodevTT_RAF', '0.2', '0.2', 0, 1476251890),
(139363, 147, 14165, 'CodevTT_RAF', '0.2', '0', 0, 1476251915),
(139364, 147, 14165, 'CodevTT_RAF', '0', '0', 0, 1476251915),
(139365, 147, 14165, 'status', '50', '80', 0, 1476251915),
(139366, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1476251994),
(139367, 147, 14059, 'CodevTT_RAF', '3', '2', 0, 1476252047),
(139368, 147, 14059, 'CodevTT_RAF', '2', '1', 0, 1476252088),
(139441, 217, 14278, 'CodevTT_RAF', '2', '2', 0, 1476262297),
(139442, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1476262306),
(139443, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1476262307),
(139444, 217, 14817, '', '', '', 1, 1476262402),
(139445, 217, 14817, 'handler_id', '0', '217', 0, 1476262402),
(139446, 217, 14817, '', '', '14278', 21, 1476262402),
(139447, 217, 14278, '', '', '14817', 20, 1476262402),
(139448, 217, 14817, 'CodevTT_RAF', '', '4', 0, 1476262439),
(139449, 217, 14817, 'status', '10', '50', 0, 1476262439),
(139450, 72, 14813, 'CodevTT_ChargeMgr', '', '0', 0, 1476271124),
(139451, 72, 14813, 'CodevTT_ChargeInit', '2', '5', 0, 1476271124),
(139452, 72, 14262, 'CodevTT_ChargeMgr', '0', '6.5', 0, 1476272305),
(139453, 72, 14262, 'CodevTT_ChargeInit', '7', '5', 0, 1476272305),
(139454, 72, 14813, 'handler_id', '0', '246', 0, 1476272438),
(139455, 72, 14814, 'handler_id', '0', '246', 0, 1476272471),
(139456, 72, 14814, 'target_version', '', '17.1.DSI_INT', 0, 1476272618),
(139457, 72, 14813, 'target_version', '', '17.1.DSI_INT', 0, 1476272618),
(139483, 72, 14260, 'CodevTT_ChargeMgr', '2', '0', 0, 1476277597),
(139484, 72, 14260, 'CodevTT_ChargeInit', '2', '5', 0, 1476277597),
(142897, 72, 14718, 'target_version', '17.1.DSI_INT', '17.0.DSI_EM', 0, 1476876143),
(139506, 72, 14718, '', '', '14819', 20, 1476280772),
(139679, 205, 13775, 'CodevTT_RAF', '12', '12', 0, 1476294628),
(139680, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1476294645),
(139681, 205, 14820, '', '', '', 1, 1476294736),
(139682, 205, 14820, 'Ref. Externe', '', 'GAC-4539', 0, 1476294756),
(139683, 205, 14820, 'CodevTT_RAF', '', '9.75', 0, 1476294785),
(139684, 205, 14820, 'status', '10', '50', 0, 1476294785),
(139685, 205, 14820, 'handler_id', '0', '205', 0, 1476294785),
(139720, 217, 14817, 'CodevTT_RAF', '4', '4', 0, 1476342823),
(139721, 217, 14278, 'CodevTT_RAF', '2', '4', 0, 1476342857),
(139829, 237, 2, '', '6467', '', 2, 1476346749),
(139830, 237, 2, '', '6467', '', 4, 1476346777),
(139831, 237, 2, '', '6468', '', 2, 1476346777),
(140118, 168, 14643, 'CodevTT_RAF', '11', '11', 0, 1476370080),
(140119, 168, 14643, 'CodevTT_RAF', '11', '11', 0, 1476370121),
(140120, 168, 14643, 'CodevTT_RAF', '11', '11', 0, 1476370142),
(140121, 168, 14643, 'CodevTT_RAF', '11', '11', 0, 1476370181),
(140122, 168, 14643, 'CodevTT_RAF', '11', '11', 0, 1476370206),
(140137, 147, 14165, 'CodevTT_RAF', '0', '0', 0, 1476371643),
(140138, 147, 14059, 'CodevTT_RAF', '1', '0.3', 0, 1476371733),
(140139, 147, 14059, 'CodevTT_RAF', '0.3', '0', 0, 1476371807),
(140140, 147, 14059, 'CodevTT_RAF', '0', '0', 0, 1476371807),
(140141, 147, 14059, 'status', '50', '80', 0, 1476371807),
(140142, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1476371866),
(140143, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1476371982),
(140144, 147, 14059, 'CodevTT_RAF', '0', '0', 0, 1476372049),
(140145, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1476372091),
(140146, 147, 14165, 'CodevTT_RAF', '0', '0', 0, 1476372108),
(140156, 72, 14329, '', '6575', '', 2, 1476372814),
(140157, 72, 14329, 'CodevTT_RAF', '26.5', '26', 0, 1476372814),
(140223, 147, 14060, 'CodevTT_RAF', '', '9', 0, 1476423415),
(140224, 147, 14060, 'status', '10', '50', 0, 1476423415),
(140225, 217, 13774, 'CodevTT_RAF', '1.5', '10', 0, 1476426027),
(140226, 217, 13774, 'CodevTT_RAF', '10', '10', 0, 1476426038),
(140227, 217, 13774, 'CodevTT_RAF', '10', '9', 0, 1476426046),
(140276, 72, 14260, 'handler_id', '199', '169', 0, 1476430706),
(140277, 72, 14260, 'CodevTT_Dead Line', '', '', 0, 1476430706),
(140278, 72, 14263, 'handler_id', '0', '199', 0, 1476430791),
(140279, 72, 14263, 'CodevTT_Dead Line', '', '', 0, 1476430791),
(140280, 134, 8454, 'CodevTT_RAF', '10', '8', 0, 1476430861),
(140281, 134, 8454, 'CodevTT_RAF', '8', '8', 0, 1476430876),
(140282, 134, 8454, 'CodevTT_RAF', '8', '10', 0, 1476430901),
(140283, 134, 8454, 'CodevTT_RAF', '10', '10', 0, 1476430921),
(140284, 134, 13774, 'CodevTT_RAF', '9', '3', 0, 1476430964),
(140285, 72, 12998, 'CodevTT_Dead Line', '1470952800', '', 0, 1476431035),
(140286, 72, 14329, 'CodevTT_RAF', '26', '25.5', 0, 1476431270),
(140287, 74, 14245, 'CodevTT_RAF', '', '1', 0, 1476431822),
(140288, 74, 14245, 'status', '10', '50', 0, 1476431822),
(140289, 74, 14245, 'CodevTT_RAF', '1', '0', 0, 1476431860),
(140290, 74, 14245, 'CodevTT_RAF', '0', '0', 0, 1476431860),
(140291, 74, 14245, 'status', '50', '80', 0, 1476431860),
(140292, 74, 14247, 'CodevTT_RAF', '', '0', 0, 1476431989),
(140293, 74, 14247, 'CodevTT_RAF', '0', '0', 0, 1476431989),
(140294, 74, 14247, 'status', '10', '80', 0, 1476431989),
(140295, 74, 14246, 'CodevTT_RAF', '', '0', 0, 1476432015),
(140296, 74, 14246, 'CodevTT_RAF', '0', '0', 0, 1476432015),
(140297, 74, 14246, 'status', '10', '80', 0, 1476432015),
(140298, 74, 14253, 'CodevTT_RAF', '0', '0', 0, 1476432242),
(140299, 74, 14252, 'status', '10', '80', 0, 1476432359),
(140300, 74, 14252, 'resolution', '10', '20', 0, 1476432359),
(140302, 74, 14717, 'CodevTT_RAF', '', '0.5', 0, 1476432564),
(140303, 74, 14717, 'status', '10', '50', 0, 1476432564),
(140339, 157, 14827, '', '', '', 1, 1476433917),
(140340, 157, 14827, 'handler_id', '0', '157', 0, 1476433917),
(140341, 157, 14827, '', '', '14621', 21, 1476433917),
(140342, 157, 14621, '', '', '14827', 20, 1476433917),
(140351, 157, 14827, 'CodevTT_RAF', '', '1.5', 0, 1476434016),
(140352, 157, 14827, 'status', '10', '50', 0, 1476434016),
(140391, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1476435444),
(140392, 217, 8454, 'CodevTT_RAF', '10', '10', 0, 1476435538),
(140393, 217, 13774, 'CodevTT_RAF', '3', '10', 0, 1476435547),
(140401, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1476436371),
(140402, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1476436392),
(140404, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1476436420),
(140408, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1476436579),
(140410, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1476436598),
(140412, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1476436659),
(140423, 212, 14150, 'CodevTT_RAF', '', '4', 0, 1476437008),
(140424, 212, 14150, 'status', '10', '50', 0, 1476437008),
(140483, 146, 14791, 'CodevTT_RAF', '2', '1', 0, 1476450455),
(140484, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1476450467),
(140485, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1476450479),
(140486, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1476450493),
(140487, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1476450508),
(140488, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1476450529),
(140489, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1476452270),
(140490, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1476452320),
(140491, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1476453215),
(140492, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1476453246),
(140513, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1476456307),
(140514, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1476456346),
(140515, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1476456452),
(140516, 169, 14329, 'CodevTT_RAF', '25.5', '25', 0, 1476463273),
(140517, 169, 14329, 'CodevTT_RAF', '25', '25', 0, 1476463285),
(140518, 169, 14329, 'CodevTT_RAF', '25', '25', 0, 1476463293),
(140519, 169, 14329, 'CodevTT_RAF', '25', '25', 0, 1476463299),
(140520, 169, 14329, 'CodevTT_RAF', '25', '25', 0, 1476463307),
(141810, 199, 14705, 'CodevTT_RAF', '0', '0', 0, 1476684602),
(141811, 199, 14719, 'CodevTT_RAF', '', '0.5', 0, 1476684762),
(141812, 199, 14719, 'status', '10', '50', 0, 1476684762),
(141813, 199, 14259, 'CodevTT_RAF', '1', '0.25', 0, 1476684840),
(141814, 199, 14243, 'CodevTT_RAF', '4', '1', 0, 1476684868),
(141815, 199, 14243, 'CodevTT_RAF', '1', '1', 0, 1476684880),
(141816, 199, 14243, 'CodevTT_RAF', '1', '1', 0, 1476684906),
(141826, 246, 14709, 'CodevTT_RAF', '', '3', 0, 1476688783),
(141827, 246, 14709, 'status', '10', '50', 0, 1476688783),
(141828, 246, 14709, 'CodevTT_RAF', '3', '1', 0, 1476688817),
(141829, 246, 14709, 'CodevTT_RAF', '1', '1', 0, 1476688847),
(141877, 217, 8454, 'CodevTT_RAF', '10', '10', 0, 1476696080),
(141878, 217, 8454, 'CodevTT_RAF', '10', '10', 0, 1476696118),
(141880, 217, 14278, 'CodevTT_RAF', '4', '4', 0, 1476696147),
(141956, 212, 14150, 'CodevTT_RAF', '4', '3.5', 0, 1476706558),
(141957, 212, 12791, 'CodevTT_RAF', '0', '2', 0, 1476706635),
(141961, 212, 12791, 'CodevTT_RAF', '2', '1.5', 0, 1476706656),
(142010, 212, 14716, 'CodevTT_RAF', '', '5', 0, 1476710098),
(142011, 212, 14716, 'status', '10', '50', 0, 1476710098),
(142012, 212, 12791, 'CodevTT_RAF', '1.5', '1', 0, 1476710193),
(142013, 212, 12791, 'CodevTT_RAF', '1', '1', 0, 1476710223),
(142014, 212, 14013, 'CodevTT_RAF', '10', '10', 0, 1476710297),
(142015, 212, 14013, 'CodevTT_RAF', '10', '10', 0, 1476710356),
(142016, 212, 12791, 'CodevTT_RAF', '1', '0', 0, 1476710377),
(142017, 212, 12791, 'CodevTT_RAF', '0', '1', 0, 1476710386),
(159027, 217, 15832, 'CodevTT_RAF', '3', '3', 0, 1481535357),
(142210, 246, 14709, 'CodevTT_RAF', '1', '0', 0, 1476715440),
(142211, 246, 14709, 'CodevTT_RAF', '0', '0', 0, 1476715440),
(142212, 246, 14709, 'status', '50', '80', 0, 1476715440),
(142213, 246, 14715, 'CodevTT_RAF', '', '1', 0, 1476715473),
(142214, 246, 14715, 'status', '10', '50', 0, 1476715473),
(142260, 147, 14060, 'CodevTT_RAF', '9', '8', 0, 1476718100),
(142268, 2, 14266, '', '6620', '', 2, 1476730836),
(142269, 2, 14266, 'CodevTT_RAF', '2', '2', 0, 1476730837),
(142318, 217, 15064, '', '', '', 1, 1476776593),
(142319, 217, 15064, 'handler_id', '0', '217', 0, 1476776593),
(142320, 217, 15064, '', '', '13775', 21, 1476776593),
(142321, 217, 13775, '', '', '15064', 20, 1476776593),
(142322, 217, 15064, 'CodevTT_RAF', '', '0', 0, 1476776892),
(142323, 217, 15064, 'CodevTT_RAF', '0', '0', 0, 1476776892),
(142324, 217, 15064, 'status', '10', '80', 0, 1476776892),
(142373, 217, 10397, 'CodevTT_RAF', '4', '2', 0, 1476794086),
(142374, 217, 10395, 'CodevTT_RAF', '4', '2', 0, 1476794104),
(142375, 217, 10395, 'CodevTT_RAF', '2', '2', 0, 1476794126),
(142376, 217, 10397, 'CodevTT_RAF', '2', '2', 0, 1476794138),
(142388, 157, 13786, 'CodevTT_RAF', '', '0.5', 0, 1476797245),
(142389, 157, 13786, 'status', '10', '50', 0, 1476797245),
(142392, 157, 14827, 'CodevTT_RAF', '1.5', '1', 0, 1476797294),
(142395, 157, 14827, 'CodevTT_RAF', '1', '0.5', 0, 1476797397),
(142399, 157, 15068, '', '', '', 1, 1476797534),
(142400, 157, 15068, 'handler_id', '0', '157', 0, 1476797534),
(142401, 157, 15068, '', '', '14036', 21, 1476797534),
(142402, 157, 14036, '', '', '15068', 20, 1476797534),
(142403, 157, 15069, '', '', '', 1, 1476797596),
(142404, 157, 15069, 'handler_id', '0', '157', 0, 1476797596),
(142405, 157, 15069, '', '', '14036', 21, 1476797596),
(142406, 157, 14036, '', '', '15069', 20, 1476797596),
(142407, 157, 14827, 'CodevTT_RAF', '0.5', '0.5', 0, 1476797625),
(142409, 157, 15069, 'CodevTT_RAF', '', '0', 0, 1476797647),
(142410, 157, 15069, 'CodevTT_RAF', '0', '0', 0, 1476797647),
(142411, 157, 15069, 'status', '10', '80', 0, 1476797647),
(142413, 157, 15068, 'CodevTT_RAF', '', '0.5', 0, 1476797684),
(142414, 157, 15068, 'status', '10', '50', 0, 1476797684),
(142423, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1476799328),
(142424, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1476799347),
(142580, 72, 14827, 'summary', '43560', '43560 - SPOC 2N: modification du revenu définitif après l\'échéancier 2017', 0, 1476806609),
(142581, 246, 14715, 'CodevTT_RAF', '1', '0', 0, 1476806860),
(142582, 246, 14715, 'CodevTT_RAF', '0', '0', 0, 1476806860),
(142583, 246, 14715, 'status', '50', '80', 0, 1476806860),
(142584, 246, 14813, 'CodevTT_RAF', '', '2', 0, 1476806956),
(142585, 246, 14813, 'status', '10', '50', 0, 1476806956),
(142587, 2, 14266, '', '6655', '', 2, 1476816334),
(142588, 2, 14266, 'CodevTT_RAF', '2', '0', 0, 1476816334),
(142589, 2, 14266, 'CodevTT_RAF', '0', '0', 0, 1476816335),
(142590, 2, 14266, 'status', '50', '80', 0, 1476816335),
(142591, 2, 14791, '', '6656', '', 2, 1476816443),
(142592, 2, 14791, 'CodevTT_RAF', '1', '1', 0, 1476816443),
(142859, 72, 15159, 'Ref. Externe', '', '43598', 0, 1476874317),
(142860, 72, 15159, 'CodevTT_ChargeMgr', '', '2', 0, 1476874317),
(142861, 72, 15159, 'CodevTT_ChargeInit', '', '2', 0, 1476874317),
(142862, 72, 15159, 'handler_id', '0', '164', 0, 1476874317),
(142863, 72, 15159, 'codevtt_type', '', 'Task', 0, 1476874317),
(142864, 72, 15160, 'Ref. Externe', '', '43614', 0, 1476874317),
(142865, 72, 15160, 'CodevTT_ChargeMgr', '', '2', 0, 1476874317),
(142866, 72, 15160, 'CodevTT_ChargeInit', '', '2', 0, 1476874317),
(142867, 72, 15160, 'handler_id', '0', '72', 0, 1476874317),
(142868, 72, 15160, 'codevtt_type', '', 'Task', 0, 1476874317),
(142869, 72, 15161, 'Ref. Externe', '', '43601', 0, 1476874490),
(142870, 72, 15161, 'CodevTT_ChargeInit', '', '2', 0, 1476874490),
(142871, 72, 15161, 'codevtt_type', '', 'Bug', 0, 1476874490),
(142872, 72, 15162, 'Ref. Externe', '', '43609', 0, 1476874490),
(142873, 72, 15162, 'CodevTT_ChargeInit', '', '2', 0, 1476874490),
(142874, 72, 15162, 'handler_id', '0', '199', 0, 1476874490),
(142875, 72, 15162, 'codevtt_type', '', 'Bug', 0, 1476874490),
(142876, 72, 15163, 'Ref. Externe', '', '43612', 0, 1476874490),
(142877, 72, 15163, 'CodevTT_ChargeInit', '', '2', 0, 1476874490),
(142878, 72, 15163, 'handler_id', '0', '199', 0, 1476874490),
(142879, 72, 15163, 'codevtt_type', '', 'Bug', 0, 1476874490),
(142880, 72, 15160, 'CodevTT_ChargeMgr', '2', '11.6', 0, 1476874593),
(142881, 72, 15160, 'CodevTT_ChargeInit', '2', '0', 0, 1476874593),
(142882, 72, 15160, 'CodevTT_RAF', '', '0', 0, 1476874593),
(142883, 72, 15160, 'CodevTT_RAF', '0', '0', 0, 1476874604),
(142884, 72, 15160, 'status', '10', '80', 0, 1476874604),
(142885, 72, 15160, 'CodevTT_RAF', '0', '0', 0, 1476874604),
(142886, 72, 14244, 'CodevTT_ChargeMgr', '', '4.4', 0, 1476875482),
(142887, 72, 14244, 'CodevTT_ChargeInit', '2', '3', 0, 1476875482),
(142888, 72, 14244, 'CodevTT_ChargeInit', '3', '3.5', 0, 1476875505),
(142889, 72, 14246, 'CodevTT_ChargeMgr', '', '3.5', 0, 1476875747),
(142893, 72, 14248, 'CodevTT_ChargeMgr', '', '4', 0, 1476875924),
(142896, 72, 14717, 'target_version', '17.1.DSI_INT', '17.0.DSI_EM', 0, 1476876143),
(142898, 72, 14718, 'CodevTT_ChargeMgr', '0', '4', 0, 1476876399),
(142899, 72, 14717, 'CodevTT_ChargeMgr', '', '3.5', 0, 1476876445),
(142908, 72, 14716, '', '2972', '', 6, 1476876787),
(142909, 72, 14716, 'CodevTT_ChargeMgr', '', '8.5', 0, 1476876787),
(142910, 72, 14716, 'CodevTT_ChargeInit', '5', '7', 0, 1476876787),
(142917, 72, 13787, 'CodevTT_ChargeMgr', '', '0', 0, 1476877261),
(142918, 72, 13787, 'CodevTT_ChargeInit', '2', '0', 0, 1476877261),
(142919, 72, 13787, 'CodevTT_RAF', '', '0', 0, 1476877261),
(142920, 72, 13787, 'CodevTT_RAF', '0', '0', 0, 1476877269),
(142921, 72, 13787, 'status', '10', '80', 0, 1476877269),
(142922, 72, 13787, 'CodevTT_RAF', '0', '0', 0, 1476877269),
(142923, 72, 13787, 'CodevTT_Dead Line', '', '', 0, 1476877269),
(142924, 72, 4152, 'CodevTT_RAF', '5', '0', 0, 1476877367),
(142925, 72, 4152, 'status', '50', '80', 0, 1476877367),
(142926, 72, 4152, 'CodevTT_RAF', '0', '0', 0, 1476877367),
(142927, 72, 4152, 'CodevTT_Dead Line', '', '', 0, 1476877367),
(142928, 72, 4152, 'CodevTT_ChargeInit', '5', '0', 0, 1476877374),
(142929, 72, 4152, 'CodevTT_ChargeInit', '0', '2', 0, 1476877389),
(142944, 72, 14259, 'CodevTT_ChargeMgr', '2', '5.05', 0, 1476877853),
(142945, 72, 14260, 'CodevTT_ChargeMgr', '0', '2', 0, 1476877898),
(142946, 72, 14260, 'CodevTT_ChargeInit', '5', '2', 0, 1476877898),
(142949, 72, 14262, 'CodevTT_ChargeMgr', '6.5', '6', 0, 1476878195),
(142950, 72, 14719, 'CodevTT_ChargeMgr', '0', '1', 0, 1476878561),
(142951, 72, 14720, 'CodevTT_ChargeMgr', '0', '2', 0, 1476878580),
(142954, 72, 15164, '', '', '', 1, 1476879369),
(142955, 72, 15164, 'handler_id', '0', '157', 0, 1476879369),
(142956, 72, 15164, '', '', '14260', 21, 1476879369),
(142957, 72, 14260, '', '', '15164', 20, 1476879369),
(142958, 72, 15165, '', '', '', 1, 1476879416),
(142959, 72, 15165, 'handler_id', '0', '157', 0, 1476879416),
(142960, 72, 15165, '', '', '15164', 21, 1476879416),
(142961, 72, 15164, '', '', '15165', 20, 1476879416),
(142962, 72, 15164, '', '2500', '15165', 18, 1476879416),
(142963, 72, 15165, '', '2501', '15164', 18, 1476879416),
(142972, 72, 14721, '', '2974', '', 6, 1476879984),
(142973, 72, 14721, '', '2975', '', 7, 1476879984),
(142974, 72, 14721, 'CodevTT_ChargeMgr', '2.1', '6.5', 0, 1476879984),
(142975, 72, 14721, 'CodevTT_ChargeInit', '10', '5', 0, 1476879984),
(142976, 72, 14164, 'handler_id', '199', '169', 0, 1476880480),
(142977, 72, 12137, 'summary', 'MOA_GAC_PROD_REJET 3745 PAF TAIGA', 'G 3924 MOA_GAC_PROD_REJET 3745 PAF TAIGA', 0, 1476880590),
(142978, 72, 12137, 'Ref. Externe', '3924', 'G3924', 0, 1476880590),
(142979, 217, 10397, 'CodevTT_RAF', '2', '2', 0, 1476880905),
(142980, 217, 10395, 'CodevTT_RAF', '2', '2', 0, 1476880922),
(142981, 217, 10395, 'CodevTT_RAF', '2', '2', 0, 1476880923),
(142982, 217, 14593, 'CodevTT_RAF', '', '2', 0, 1476880985),
(142983, 168, 14478, 'CodevTT_RAF', '6', '1', 0, 1476881178),
(142984, 168, 14644, 'CodevTT_RAF', '0', '0', 0, 1476881231),
(142987, 168, 14718, 'CodevTT_RAF', '', '0', 0, 1476882614),
(143012, 2, 14807, 'handler_id', '0', '2', 0, 1476885542),
(143011, 2, 14807, 'status', '10', '50', 0, 1476885542),
(143010, 2, 14807, 'CodevTT_RAF', '', '8', 0, 1476885542),
(143013, 2, 14807, '', '0006702', '', 2, 1476885578),
(143016, 147, 14059, 'CodevTT_RAF', '0', '5', 0, 1476885692),
(143018, 147, 14060, 'CodevTT_RAF', '8', '5', 0, 1476885740),
(143019, 147, 14060, 'CodevTT_RAF', '5', '4', 0, 1476885757),
(143028, 2, 14807, '', '0006702', '2977', 3, 1476887257),
(143035, 246, 14813, 'CodevTT_RAF', '2', '1', 0, 1476889802),
(143036, 246, 14813, 'CodevTT_RAF', '1', '0', 0, 1476889824),
(143037, 246, 14813, 'CodevTT_RAF', '0', '0', 0, 1476889824),
(143038, 246, 14813, 'status', '50', '80', 0, 1476889824),
(143042, 246, 14813, 'CodevTT_RAF', '0', '0', 0, 1476889867),
(143072, 168, 14643, 'CodevTT_RAF', '11', '2', 0, 1476890088),
(143159, 217, 15064, 'CodevTT_RAF', '0', '2', 0, 1476948367),
(143160, 217, 15064, 'status', '80', '50', 0, 1476948367),
(143542, 158, 13774, 'CodevTT_RAF', '10', '0.5', 0, 1476965024),
(143543, 158, 13774, 'CodevTT_RAF', '0.5', '10', 0, 1476965044),
(143544, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1476965055),
(143545, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1476965066),
(143623, 328, 1, '', '6851', '', 2, 1476967268),
(143624, 328, 1, '', '6852', '', 2, 1476967276),
(143625, 328, 1, '', '6851', '', 4, 1476967282),
(143626, 328, 1, '', '6853', '', 2, 1476967282),
(143627, 328, 1, '', '6854', '', 2, 1476967291),
(143628, 328, 1, '', '6855', '', 2, 1476967302),
(143789, 217, 15064, 'CodevTT_RAF', '2', '0', 0, 1476972967),
(143790, 217, 15064, 'CodevTT_RAF', '0', '0', 0, 1476972968),
(143791, 217, 15064, 'status', '50', '80', 0, 1476972968),
(143792, 217, 15064, 'CodevTT_RAF', '0', '0', 0, 1476972981),
(143795, 217, 15064, 'CodevTT_RAF', '0', '0', 0, 1476973097),
(143798, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1476976551),
(143799, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1476976577),
(143800, 2, 14807, '', '6900', '', 2, 1476980310),
(143801, 2, 14807, 'CodevTT_RAF', '8', '2', 0, 1476980310),
(143849, 134, 13774, 'CodevTT_RAF', '10', '8', 0, 1477034374),
(143850, 134, 13774, 'CodevTT_RAF', '8', '8', 0, 1477034392),
(143851, 134, 8454, 'CodevTT_RAF', '10', '10', 0, 1477034414),
(143852, 134, 8454, 'CodevTT_RAF', '10', '10', 0, 1477034437),
(143853, 134, 8454, 'CodevTT_RAF', '10', '10', 0, 1477034487),
(143856, 158, 13774, 'CodevTT_RAF', '8', '10', 0, 1477037160),
(143857, 146, 14791, 'CodevTT_RAF', '1', '0', 0, 1477037290),
(143858, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037290),
(143859, 146, 14791, 'status', '50', '80', 0, 1477037290),
(143860, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037303),
(143861, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037314),
(143862, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037385),
(143863, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037401),
(143864, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037415),
(143865, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037448),
(143866, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037458),
(143867, 146, 14791, 'CodevTT_RAF', '0', '0', 0, 1477037477),
(143930, 217, 10399, 'CodevTT_RAF', '4', '4', 0, 1477052070),
(143936, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1477053052),
(143937, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1477053065),
(143992, 2, 15195, '', '', '', 1, 1477054063),
(143995, 2, 15196, '', '', '', 1, 1477054123),
(143996, 2, 15196, 'handler_id', '0', '199', 0, 1477054123),
(143997, 2, 15196, '', '', '15195', 21, 1477054123),
(143998, 2, 15195, '', '', '15196', 20, 1477054123),
(143999, 2, 15195, 'handler_id', '0', '199', 0, 1477054148),
(144265, 199, 15162, 'status', '10', '80', 0, 1477298786),
(144264, 199, 15162, 'CodevTT_RAF', '0', '0', 0, 1477298786),
(144062, 199, 14714, 'CodevTT_RAF', '', '0', 0, 1477056237),
(144063, 199, 14714, 'CodevTT_RAF', '0', '0', 0, 1477056237),
(144064, 199, 14714, 'status', '10', '80', 0, 1477056237),
(144109, 212, 12791, 'CodevTT_RAF', '1', '0', 0, 1477063543),
(144110, 212, 12791, 'CodevTT_RAF', '0', '0', 0, 1477063558),
(144111, 212, 14716, 'CodevTT_RAF', '5', '7', 0, 1477063598),
(144112, 212, 14716, 'CodevTT_RAF', '7', '7', 0, 1477063617),
(144113, 212, 12791, 'CodevTT_RAF', '0', '0', 0, 1477063640),
(144114, 212, 14716, 'CodevTT_RAF', '7', '7', 0, 1477063663),
(144115, 212, 12791, 'CodevTT_RAF', '0', '0', 0, 1477063679),
(144116, 212, 12791, 'CodevTT_RAF', '0', '0', 0, 1477063714),
(144117, 212, 14716, 'CodevTT_RAF', '7', '7', 0, 1477063735),
(144118, 212, 12791, 'CodevTT_RAF', '0', '0', 0, 1477063791),
(144122, 2, 1437, '', '6916', '', 2, 1477064942),
(144123, 169, 14329, 'CodevTT_RAF', '25', '20', 0, 1477065550),
(144124, 169, 14329, 'CodevTT_RAF', '20', '20', 0, 1477065569),
(144125, 169, 14329, 'CodevTT_RAF', '20', '20', 0, 1477065584),
(144126, 169, 14329, 'CodevTT_RAF', '20', '20', 0, 1477065597),
(144127, 169, 14164, 'CodevTT_RAF', '', '2', 0, 1477065633),
(144128, 169, 14164, 'status', '10', '50', 0, 1477065633),
(144254, 205, 10399, 'CodevTT_RAF', '4', '10', 0, 1477298058),
(144255, 205, 10399, 'handler_id', '217', '205', 0, 1477298058),
(144256, 205, 10399, 'CodevTT_RAF', '10', '5', 0, 1477298076),
(144257, 205, 10399, 'CodevTT_RAF', '5', '5', 0, 1477298084),
(144258, 205, 10399, 'CodevTT_RAF', '5', '5', 0, 1477298094),
(144259, 205, 10399, 'CodevTT_RAF', '5', '5', 0, 1477298101),
(144260, 212, 14716, 'CodevTT_RAF', '7', '7', 0, 1477298644),
(144263, 199, 15162, 'CodevTT_RAF', '', '0', 0, 1477298786),
(144266, 199, 15162, 'CodevTT_RAF', '0', '0', 0, 1477298802),
(144267, 199, 15162, '', '6945', '', 2, 1477298830),
(144268, 199, 15162, 'CodevTT_RAF', '0', '0', 0, 1477298830),
(144269, 199, 14243, 'CodevTT_RAF', '1', '3', 0, 1477298856),
(144270, 199, 14242, 'CodevTT_RAF', '', '1', 0, 1477298893),
(144271, 199, 14242, 'status', '10', '50', 0, 1477298893),
(144272, 199, 14720, 'CodevTT_RAF', '0', '0', 0, 1477298949),
(144273, 199, 14714, 'CodevTT_RAF', '0', '0', 0, 1477298996),
(144274, 199, 15163, 'CodevTT_RAF', '', '0', 0, 1477299021),
(144275, 199, 15163, 'CodevTT_RAF', '0', '0', 0, 1477299021),
(144276, 199, 15163, 'status', '10', '80', 0, 1477299021),
(144277, 168, 14478, 'CodevTT_RAF', '1', '1', 0, 1477299142),
(144278, 168, 14478, 'CodevTT_RAF', '1', '0', 0, 1477299189),
(144279, 168, 14478, 'CodevTT_RAF', '0', '0', 0, 1477299189),
(144280, 168, 14478, 'status', '50', '80', 0, 1477299189),
(144281, 168, 14478, 'handler_id', '217', '168', 0, 1477299189),
(144324, 74, 14716, 'CodevTT_RAF', '7', '10', 0, 1477309173),
(144325, 74, 14716, 'CodevTT_RAF', '10', '10', 0, 1477309191),
(144326, 74, 15204, '', '', '', 1, 1477309413),
(144327, 74, 15204, 'handler_id', '0', '212', 0, 1477309413),
(144328, 74, 15204, '', '', '14716', 21, 1477309413),
(144329, 74, 14716, '', '', '15204', 20, 1477309413),
(144331, 74, 15204, 'summary', '[QUALIF]  TAIGA 17.0 DSI EM', '[QUALIF]  TAIGA 16.0.P', 0, 1477309542),
(144332, 74, 15204, 'CodevTT_RAF', '', '5', 0, 1477309597),
(144333, 74, 15204, 'status', '10', '50', 0, 1477309597),
(144334, 74, 15204, 'handler_id', '212', '74', 0, 1477309597),
(144335, 74, 15204, 'CodevTT_RAF', '5', '5', 0, 1477309610),
(144336, 74, 15204, 'CodevTT_RAF', '5', '4', 0, 1477309621),
(144339, 74, 14249, 'CodevTT_RAF', '', '1', 0, 1477309731),
(144340, 74, 14249, 'status', '10', '50', 0, 1477309731),
(144357, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1477313868),
(144381, 212, 14716, 'CodevTT_RAF', '10', '6', 0, 1477323266),
(144384, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1477323924),
(144386, 72, 14150, '', '6963', '', 2, 1477324701),
(144387, 72, 14150, 'CodevTT_RAF', '3.5', '3', 0, 1477324701),
(144397, 217, 10399, 'CodevTT_RAF', '5', '4', 0, 1477374861),
(144398, 217, 10399, 'handler_id', '205', '217', 0, 1477374862),
(144399, 217, 14595, 'CodevTT_RAF', '1', '2', 0, 1477375182),
(144400, 217, 14478, 'CodevTT_RAF', '0', '2', 0, 1477375202),
(144401, 217, 14478, 'status', '80', '50', 0, 1477375202),
(144402, 217, 14817, 'CodevTT_RAF', '4', '2', 0, 1477375221),
(144403, 217, 14477, 'CodevTT_RAF', '6', '2', 0, 1477375250),
(144404, 217, 14477, 'status', '10', '50', 0, 1477375250),
(144405, 217, 14817, 'CodevTT_RAF', '2', '2', 0, 1477375279),
(144406, 217, 14645, 'CodevTT_RAF', '0.5', '2', 0, 1477375317),
(144407, 217, 14595, 'CodevTT_RAF', '2', '2', 0, 1477375330),
(144408, 217, 14289, 'CodevTT_RAF', '0', '2', 0, 1477375412),
(144409, 217, 14289, 'status', '80', '50', 0, 1477375412),
(144410, 217, 14289, 'CodevTT_RAF', '2', '2', 0, 1477375446),
(144411, 217, 14595, 'CodevTT_RAF', '2', '2', 0, 1477375468),
(144412, 217, 14206, 'CodevTT_RAF', '6', '3', 0, 1477375529),
(144413, 217, 14206, 'CodevTT_RAF', '3', '3', 0, 1477375550),
(144474, 134, 8454, 'CodevTT_RAF', '10', '10', 0, 1477388649),
(144475, 134, 8454, 'CodevTT_RAF', '10', '10', 0, 1477388662),
(144495, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1477392326),
(144496, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1477392341),
(144546, 72, 14150, 'CodevTT_RAF', '3', '1', 0, 1477399205),
(145866, 157, 15260, '', '', '14227', 21, 1477657278),
(144643, 72, 15195, 'handler_id', '199', '246', 0, 1477404671),
(144644, 72, 15195, 'CodevTT_Dead Line', '', '', 0, 1477404671),
(144651, 246, 15196, 'handler_id', '199', '246', 0, 1477404816),
(144652, 246, 15196, 'status', '10', '50', 0, 1477404816),
(144653, 246, 15196, 'CodevTT_Dead Line', '', '', 0, 1477404816),
(144671, 246, 10598, 'CodevTT_RAF', '0', '1', 0, 1477405706),
(144672, 246, 10598, 'status', '80', '50', 0, 1477405706),
(144674, 246, 10598, 'CodevTT_RAF', '1', '1', 0, 1477405724),
(144679, 246, 15195, 'CodevTT_RAF', '', '3', 0, 1477405826),
(144680, 246, 15195, 'status', '10', '50', 0, 1477405826),
(144691, 2, 13541, '', '6992', '', 2, 1477406730),
(144692, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1477406730),
(144698, 72, 15217, 'Ref. Externe', '', '43642', 0, 1477408231),
(144699, 72, 15217, 'CodevTT_ChargeInit', '', '2', 0, 1477408231),
(144700, 72, 15217, 'handler_id', '0', '157', 0, 1477408231),
(144701, 72, 15217, 'codevtt_type', '', 'Bug', 0, 1477408231),
(144702, 72, 15218, 'Ref. Externe', '', '43643', 0, 1477408231),
(144703, 72, 15218, 'CodevTT_ChargeInit', '', '2', 0, 1477408231),
(144704, 72, 15218, 'handler_id', '0', '157', 0, 1477408231),
(144705, 72, 15218, 'codevtt_type', '', 'Bug', 0, 1477408231),
(144706, 72, 15219, 'Ref. Externe', '', '43644', 0, 1477408231),
(144707, 72, 15219, 'CodevTT_ChargeInit', '', '2', 0, 1477408231),
(144708, 72, 15219, 'handler_id', '0', '157', 0, 1477408231),
(144709, 72, 15219, 'codevtt_type', '', 'Bug', 0, 1477408231),
(144710, 72, 15220, 'Ref. Externe', '', '43652', 0, 1477408232),
(144711, 72, 15220, 'CodevTT_ChargeInit', '', '2', 0, 1477408232),
(144712, 72, 15220, 'handler_id', '0', '157', 0, 1477408232),
(144713, 72, 15220, 'codevtt_type', '', 'Bug', 0, 1477408232),
(144714, 72, 15221, 'Ref. Externe', '', '43656', 0, 1477408232),
(144715, 72, 15221, 'CodevTT_ChargeInit', '', '2', 0, 1477408232),
(144716, 72, 15221, 'handler_id', '0', '157', 0, 1477408232),
(144717, 72, 15221, 'codevtt_type', '', 'Bug', 0, 1477408232),
(144718, 72, 15217, 'RSI_Type_Ano', '', 'Recette', 0, 1477408345),
(144719, 72, 15219, 'RSI_Type_Ano', '', 'Recette', 0, 1477408387),
(144720, 72, 15218, 'RSI_Type_Ano', '', 'Recette', 0, 1477408387),
(144721, 72, 15221, 'RSI_Type_Ano', '', 'Recette', 0, 1477408433),
(144722, 72, 15220, 'RSI_Type_Ano', '', 'Recette', 0, 1477408433),
(144729, 212, 14716, 'CodevTT_RAF', '6', '6', 0, 1477408822),
(144730, 212, 14716, 'CodevTT_RAF', '6', '5', 0, 1477408860),
(144731, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1477408868),
(144761, 74, 14249, 'CodevTT_RAF', '1', '0', 0, 1477461977),
(144762, 74, 14249, 'CodevTT_RAF', '0', '0', 0, 1477461978),
(144763, 74, 14249, 'status', '50', '80', 0, 1477461978),
(144764, 74, 14717, 'status', '50', '80', 0, 1477462046),
(144765, 74, 14717, 'resolution', '10', '20', 0, 1477462046),
(144904, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1477473451),
(144905, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1477473465),
(144906, 205, 8454, 'CodevTT_RAF', '10', '1', 0, 1477473474),
(144907, 205, 8454, 'CodevTT_RAF', '1', '10', 0, 1477473509),
(144965, 72, 14329, '', '7014', '', 2, 1477479780),
(144966, 72, 14329, 'CodevTT_RAF', '20', '10', 0, 1477479780),
(144975, 2, 14013, 'handler_id', '200', '74', 0, 1477481884),
(144976, 2, 14013, 'CodevTT_Dead Line', '', '', 0, 1477481884),
(145041, 217, 14278, 'CodevTT_RAF', '4', '2', 0, 1477489152),
(145042, 217, 14278, 'CodevTT_RAF', '2', '5', 0, 1477489179),
(145043, 217, 13775, 'CodevTT_RAF', '12', '8', 0, 1477489216),
(145192, 2, 13541, '', '7031', '', 2, 1477493518),
(145193, 2, 13541, 'CodevTT_RAF', '0', '0', 0, 1477493518),
(145439, 72, 14264, 'handler_id', '0', '246', 0, 1477561366),
(145440, 72, 14264, 'CodevTT_Dead Line', '', '', 0, 1477561366),
(145441, 72, 14263, 'CodevTT_ChargeInit', '2', '1', 0, 1477561401),
(145559, 217, 14595, 'CodevTT_RAF', '2', '2', 0, 1477571489),
(145560, 217, 14206, 'CodevTT_RAF', '3', '3', 0, 1477571514),
(145561, 217, 14477, 'CodevTT_RAF', '2', '3', 0, 1477571524),
(145562, 217, 14817, 'CodevTT_RAF', '2', '2', 0, 1477571534),
(145564, 217, 14645, 'CodevTT_RAF', '2', '3', 0, 1477571546),
(145565, 217, 14278, 'CodevTT_RAF', '5', '5', 0, 1477571559),
(145566, 217, 13775, 'CodevTT_RAF', '8', '8', 0, 1477571576),
(145571, 217, 14645, 'CodevTT_RAF', '3', '3', 0, 1477571592),
(145572, 217, 14817, 'CodevTT_RAF', '2', '2', 0, 1477571611),
(145573, 217, 14477, 'CodevTT_RAF', '3', '3', 0, 1477571624),
(145574, 217, 14289, 'CodevTT_RAF', '2', '2', 0, 1477571638),
(145584, 199, 14251, 'CodevTT_RAF', '', '10', 0, 1477572774),
(145585, 199, 14251, 'status', '10', '50', 0, 1477572774),
(145586, 199, 14251, 'CodevTT_RAF', '10', '10', 0, 1477572798),
(145603, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1477574042),
(145604, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1477574072),
(145605, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1477574089),
(145703, 169, 14164, 'CodevTT_RAF', '2', '2', 0, 1477586998),
(145704, 169, 14164, 'CodevTT_RAF', '2', '2', 0, 1477587050),
(145705, 169, 14260, 'CodevTT_RAF', '', '2', 0, 1477587166),
(145706, 169, 14260, 'status', '10', '50', 0, 1477587166),
(145707, 169, 14260, 'CodevTT_RAF', '2', '2', 0, 1477587175),
(145718, 199, 14259, 'CodevTT_RAF', '0.25', '0.1', 0, 1477636599),
(145723, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1477641997),
(145724, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1477642007),
(145727, 146, 14791, 'CodevTT_RAF', '0', '1', 0, 1477642040),
(145728, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1477642042),
(145729, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1477642051),
(145730, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1477642067),
(145731, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1477642083),
(145732, 146, 14791, 'CodevTT_RAF', '1', '1', 0, 1477642097),
(145733, 146, 14791, 'CodevTT_RAF', '1', '0', 0, 1477642114),
(145761, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1477643838),
(145792, 2, 14807, '', '7181', '', 2, 1477646462),
(145793, 2, 14807, 'CodevTT_RAF', '2', '2', 0, 1477646462),
(145796, 2, 15256, '', '', '', 1, 1477646798),
(145797, 2, 15256, 'handler_id', '0', '2', 0, 1477646798),
(145798, 2, 15256, '', '1', '14807', 18, 1477646822),
(145799, 2, 14807, '', '1', '15256', 18, 1477646822),
(145829, 2, 15256, 'CodevTT_Dead Line', '', '1478559600', 0, 1477649624),
(145830, 2, 15256, 'CodevTT_RAF', '', '0', 0, 1477649641),
(145831, 2, 15256, 'CodevTT_RAF', '0', '0', 0, 1477649652),
(145832, 2, 15256, 'status', '10', '80', 0, 1477649652),
(145833, 2, 15256, 'CodevTT_RAF', '0', '0', 0, 1477649652),
(145874, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1477657923),
(145879, 74, 14244, 'CodevTT_RAF', '2', '1', 0, 1477661179),
(145880, 74, 14244, 'CodevTT_RAF', '1', '1', 0, 1477661199),
(145881, 74, 15204, 'CodevTT_RAF', '4', '3', 0, 1477661227),
(145882, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1477661313),
(145883, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1477661320),
(145884, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1477661416),
(145885, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1477661428),
(145886, 74, 14716, 'CodevTT_RAF', '5', '5', 0, 1477661522),
(145887, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1477661561),
(145888, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1477661852),
(156541, 147, 15836, 'CodevTT_RAF', '3', '3', 0, 1480687697),
(156537, 147, 15836, 'CodevTT_RAF', '3', '3', 0, 1480687669),
(145996, 2, 15256, 'CodevTT_RAF', '0', '0', 0, 1477666932),
(146053, 246, 15195, 'CodevTT_RAF', '3', '1', 0, 1477900434),
(146084, 199, 14263, 'CodevTT_RAF', '', '0.5', 0, 1477904487),
(146085, 199, 14263, 'status', '10', '50', 0, 1477904487),
(146086, 199, 14263, 'CodevTT_RAF', '0.5', '0.5', 0, 1477904709),
(146087, 199, 14251, 'CodevTT_RAF', '10', '2', 0, 1477904740),
(146088, 199, 14251, 'CodevTT_RAF', '2', '1', 0, 1477904758),
(146092, 72, 14716, '', '3012', '', 6, 1477907553),
(146093, 72, 14716, 'CodevTT_ChargeInit', '7', '12', 0, 1477907553),
(146094, 72, 14251, 'CodevTT_ChargeMgr', '', '25', 0, 1477907624),
(146095, 72, 14251, 'CodevTT_ChargeInit', '15', '5', 0, 1477907624),
(146096, 72, 15196, 'CodevTT_ChargeMgr', '0', '1', 0, 1477907870),
(146097, 72, 15196, 'CodevTT_ChargeInit', '2', '1', 0, 1477907870),
(146098, 72, 15195, 'CodevTT_ChargeMgr', '0', '3', 0, 1477907961),
(146099, 72, 15196, 'CodevTT_RAF', '', '0', 0, 1477908077),
(146100, 72, 15196, 'status', '50', '80', 0, 1477908077),
(146101, 72, 15196, 'CodevTT_RAF', '0', '0', 0, 1477908077),
(146102, 72, 15196, 'CodevTT_Dead Line', '', '', 0, 1477908077),
(146103, 72, 14716, '', '3013', '', 6, 1477908176),
(146104, 72, 14716, 'CodevTT_ChargeMgr', '8.5', '10.5', 0, 1477908176),
(146105, 72, 14706, 'CodevTT_ChargeMgr', '', '7', 0, 1477908964),
(146106, 72, 14706, 'CodevTT_ChargeInit', '3', '4', 0, 1477908964),
(146107, 72, 14721, '', '3014', '', 6, 1477909069),
(146108, 72, 14721, 'CodevTT_ChargeMgr', '6.5', '9.5', 0, 1477909069),
(146109, 72, 14721, 'CodevTT_ChargeInit', '5', '8', 0, 1477909069),
(146110, 72, 14813, 'CodevTT_ChargeMgr', '0', '', 0, 1477909229),
(146111, 72, 15164, 'CodevTT_ChargeMgr', '0', '', 0, 1477909302),
(146112, 72, 15164, 'CodevTT_ChargeInit', '2', '20', 0, 1477909302),
(146132, 72, 14227, 'summary', '43389 - TAIGA 16.0 - Gestion courante - Assurés non présents dans le SPOC 23 après saisie de changement de modalité de paiement ', '43389 - TAIGA 16.0 - Gestion courante - Assurés non présents dans le SPOC 23 après saisie de changement de modalité de paiement', 0, 1477917448),
(146133, 72, 14227, 'RSI_Type_Ano', '', 'Recette', 0, 1477917448),
(146134, 72, 14708, 'RSI_Type_Ano', '', 'Recette', 0, 1477917509),
(146135, 72, 14708, 'CodevTT_RAF', '1', '0', 0, 1477917551),
(146136, 72, 14708, 'status', '50', '80', 0, 1477917551),
(146137, 72, 14708, 'CodevTT_RAF', '0', '0', 0, 1477917551),
(146138, 72, 14709, 'RSI_Type_Ano', '', 'Recette', 0, 1477917616),
(146139, 72, 15162, 'RSI_Type_Ano', '', 'Recette', 0, 1477917657),
(146140, 72, 15163, 'RSI_Type_Ano', '', 'Recette', 0, 1477917708),
(146141, 72, 12938, 'CodevTT_ChargeMgr', '0', '22', 0, 1477918133),
(146142, 72, 12938, 'CodevTT_RAF', '0.25', '0', 0, 1477918144),
(146143, 72, 12938, 'status', '50', '80', 0, 1477918144),
(146144, 72, 12938, 'CodevTT_RAF', '0', '0', 0, 1477918144),
(146145, 72, 14150, 'CodevTT_ChargeMgr', '0', '21.1', 0, 1477918172),
(146149, 72, 14243, 'CodevTT_RAF', '3', '0', 0, 1477920442),
(146150, 72, 14243, 'status', '50', '80', 0, 1477920442),
(146151, 72, 14243, 'CodevTT_RAF', '0', '0', 0, 1477920442),
(146152, 72, 14243, 'CodevTT_Dead Line', '', '', 0, 1477920442),
(146153, 72, 14253, 'CodevTT_Dead Line', '', '', 0, 1477920520),
(146154, 72, 14706, 'CodevTT_RAF', '', '0', 0, 1477920707),
(146155, 72, 14706, 'status', '10', '80', 0, 1477920707),
(146156, 72, 14706, 'CodevTT_RAF', '0', '0', 0, 1477920707),
(146157, 72, 14706, 'CodevTT_Dead Line', '', '', 0, 1477920707),
(146158, 72, 14719, 'CodevTT_RAF', '0.5', '0', 0, 1477920740);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(146159, 72, 14719, 'status', '50', '80', 0, 1477920740),
(146160, 72, 14719, 'CodevTT_RAF', '0', '0', 0, 1477920740),
(146161, 72, 14719, 'CodevTT_Dead Line', '', '', 0, 1477920740),
(146162, 72, 8450, 'handler_id', '134', '0', 0, 1477920907),
(146163, 72, 10870, 'CodevTT_RAF', '1', '0', 0, 1477920977),
(146164, 72, 10870, 'status', '30', '80', 0, 1477920977),
(146165, 72, 10870, 'CodevTT_RAF', '0', '0', 0, 1477920977),
(146166, 72, 14796, 'status', '10', '80', 0, 1477921059),
(146167, 72, 14796, 'resolution', '10', '90', 0, 1477921059),
(146168, 72, 14796, 'CodevTT_ChargeInit', '2', '0', 0, 1477921071),
(146169, 72, 14796, 'CodevTT_RAF', '', '0', 0, 1477921071),
(146170, 72, 14807, 'handler_id', '2', '199', 0, 1477921124),
(146171, 72, 14807, 'status', '50', '20', 0, 1477921124),
(146172, 72, 15159, 'CodevTT_RAF', '', '0', 0, 1477921204),
(146173, 72, 15159, 'status', '10', '80', 0, 1477921204),
(146174, 72, 15159, 'CodevTT_RAF', '0', '0', 0, 1477921204),
(146175, 72, 14060, 'target_version', '17.0.DSI_EM', '', 0, 1477921327),
(146176, 72, 13786, 'target_version', '17.0.DSI_EM', '', 0, 1477921440),
(146190, 134, 13774, 'CodevTT_RAF', '10', '9', 0, 1477929930),
(146191, 134, 13774, 'CodevTT_RAF', '9', '8', 0, 1477929940),
(146192, 134, 13774, 'CodevTT_RAF', '8', '8', 0, 1477929950),
(146193, 134, 13774, 'CodevTT_RAF', '8', '8', 0, 1477929968),
(146196, 246, 15195, 'CodevTT_RAF', '1', '0', 0, 1477930031),
(146197, 246, 15195, 'CodevTT_RAF', '0', '0', 0, 1477930031),
(146198, 246, 15195, 'status', '50', '80', 0, 1477930031),
(146199, 246, 10598, 'CodevTT_RAF', '1', '0', 0, 1477930060),
(146200, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1477930060),
(146201, 246, 10598, 'status', '50', '80', 0, 1477930060),
(146202, 246, 14264, 'CodevTT_RAF', '', '4', 0, 1477930136),
(146203, 246, 14264, 'status', '10', '50', 0, 1477930136),
(146265, 199, 14242, 'CodevTT_RAF', '1', '2', 0, 1478078063),
(146266, 205, 12137, 'CodevTT_RAF', '3', '1', 0, 1478078070),
(146309, 158, 13774, 'CodevTT_RAF', '8', '10', 0, 1478091053),
(146310, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1478091082),
(146355, 217, 14206, 'CodevTT_RAF', '3', '2', 0, 1478098084),
(146356, 217, 14477, 'CodevTT_RAF', '3', '2', 0, 1478098128),
(146357, 217, 14593, 'CodevTT_RAF', '2', '2', 0, 1478098152),
(146358, 217, 14593, 'CodevTT_RAF', '2', '2', 0, 1478098173),
(146359, 217, 14593, 'status', '10', '50', 0, 1478098173),
(146369, 2, 15281, '', '', '', 1, 1478101732),
(146370, 2, 15281, '', '7231', '', 2, 1478101818),
(146371, 2, 15281, 'CodevTT_RAF', '', '0', 0, 1478101818),
(146372, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1478101818),
(146373, 2, 15281, 'status', '10', '80', 0, 1478101818),
(146374, 2, 15281, 'handler_id', '0', '2', 0, 1478101818),
(146469, 199, 14242, 'CodevTT_RAF', '2', '1', 0, 1478158673),
(146475, 72, 14710, 'target_version', '', '17.3_PUMA', 0, 1478159117),
(146476, 72, 14710, '', '7232', '', 2, 1478159182),
(146477, 72, 14710, 'CodevTT_RAF', '', '4.8', 0, 1478159182),
(146478, 72, 14710, 'status', '10', '50', 0, 1478159182),
(146526, 72, 15283, 'Ref. Externe', '', '43567', 0, 1478161556),
(146527, 72, 15283, 'CodevTT_ChargeInit', '', '2', 0, 1478161556),
(146528, 72, 15283, 'codevtt_type', '', 'Bug', 0, 1478161556),
(146529, 72, 15284, 'Ref. Externe', '', '43659', 0, 1478161556),
(146530, 72, 15284, 'CodevTT_ChargeInit', '', '2', 0, 1478161556),
(146531, 72, 15284, 'handler_id', '0', '157', 0, 1478161556),
(146532, 72, 15284, 'codevtt_type', '', 'Bug', 0, 1478161556),
(146533, 72, 15285, 'Ref. Externe', '', '43667', 0, 1478161556),
(146534, 72, 15285, 'CodevTT_ChargeInit', '', '2', 0, 1478161556),
(146535, 72, 15285, 'handler_id', '0', '157', 0, 1478161556),
(146536, 72, 15285, 'codevtt_type', '', 'Bug', 0, 1478161556),
(146537, 72, 15286, 'Ref. Externe', '', '43668', 0, 1478161556),
(146538, 72, 15286, 'CodevTT_ChargeInit', '', '2', 0, 1478161556),
(146539, 72, 15286, 'handler_id', '0', '157', 0, 1478161556),
(146540, 72, 15286, 'codevtt_type', '', 'Bug', 0, 1478161556),
(146541, 72, 15287, 'Ref. Externe', '', '43679', 0, 1478161557),
(146542, 72, 15287, 'CodevTT_ChargeInit', '', '2', 0, 1478161557),
(146543, 72, 15287, 'handler_id', '0', '157', 0, 1478161557),
(146544, 72, 15287, 'codevtt_type', '', 'Bug', 0, 1478161557),
(146545, 72, 15288, 'Ref. Externe', '', '43684', 0, 1478161557),
(146546, 72, 15288, 'CodevTT_ChargeInit', '', '2', 0, 1478161557),
(146547, 72, 15288, 'handler_id', '0', '157', 0, 1478161557),
(146548, 72, 15288, 'codevtt_type', '', 'Bug', 0, 1478161557),
(146549, 72, 15289, 'Ref. Externe', '', '43685', 0, 1478161557),
(146550, 72, 15289, 'CodevTT_ChargeInit', '', '2', 0, 1478161557),
(146551, 72, 15289, 'handler_id', '0', '157', 0, 1478161557),
(146552, 72, 15289, 'codevtt_type', '', 'Bug', 0, 1478161557),
(146553, 72, 15290, 'Ref. Externe', '', '43686', 0, 1478161557),
(146554, 72, 15290, 'CodevTT_ChargeInit', '', '2', 0, 1478161557),
(146555, 72, 15290, 'handler_id', '0', '157', 0, 1478161557),
(146556, 72, 15290, 'codevtt_type', '', 'Bug', 0, 1478161557),
(146557, 72, 15291, 'Ref. Externe', '', '43703', 0, 1478161558),
(146558, 72, 15291, 'CodevTT_ChargeInit', '', '2', 0, 1478161558),
(146559, 72, 15291, 'handler_id', '0', '157', 0, 1478161558),
(146560, 72, 15291, 'codevtt_type', '', 'Bug', 0, 1478161558),
(146561, 72, 15292, 'Ref. Externe', '', '43704', 0, 1478161558),
(146562, 72, 15292, 'CodevTT_ChargeInit', '', '2', 0, 1478161558),
(146563, 72, 15292, 'handler_id', '0', '157', 0, 1478161558),
(146564, 72, 15292, 'codevtt_type', '', 'Bug', 0, 1478161558),
(146570, 329, 1, '', '7250', '', 2, 1478161885),
(146588, 212, 14150, 'CodevTT_RAF', '1', '1', 0, 1478162323),
(146590, 212, 14150, 'CodevTT_RAF', '1', '0.5', 0, 1478162382),
(146593, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1478162413),
(146598, 212, 14150, 'CodevTT_RAF', '0.5', '0.5', 0, 1478162476),
(146601, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1478162504),
(146805, 281, 2, '', '7315', '', 2, 1478176578),
(147077, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1478187084),
(147107, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1478189486),
(147108, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1478189507),
(147109, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1478189536),
(147110, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1478189546),
(147141, 157, 15068, 'CodevTT_RAF', '0.5', '2', 0, 1478241161),
(147142, 157, 14473, 'CodevTT_RAF', '0', '0', 0, 1478241228),
(147143, 157, 15068, 'CodevTT_RAF', '2', '1.5', 0, 1478241292),
(147144, 157, 15289, 'CodevTT_RAF', '', '1.5', 0, 1478241341),
(147145, 157, 15289, 'status', '10', '50', 0, 1478241341),
(147146, 157, 15290, 'CodevTT_RAF', '', '1.5', 0, 1478241365),
(147147, 157, 15290, 'status', '10', '50', 0, 1478241365),
(147148, 157, 14227, 'CodevTT_RAF', '0.5', '1', 0, 1478241416),
(147153, 158, 8454, 'CodevTT_RAF', '10', '10', 0, 1478248815),
(147154, 217, 14206, 'CodevTT_RAF', '2', '2', 0, 1478251667),
(147155, 217, 14477, 'CodevTT_RAF', '2', '2', 0, 1478251710),
(147156, 217, 14478, 'CodevTT_RAF', '2', '2', 0, 1478251726),
(147157, 217, 14289, 'CodevTT_RAF', '2', '2', 0, 1478251741),
(147158, 217, 14645, 'CodevTT_RAF', '3', '2', 0, 1478251803),
(147159, 217, 14645, 'CodevTT_RAF', '2', '2', 0, 1478251804),
(147160, 217, 14593, 'CodevTT_RAF', '2', '2', 0, 1478251824),
(147161, 217, 14593, 'CodevTT_RAF', '2', '2', 0, 1478251825),
(147183, 217, 14593, 'CodevTT_RAF', '2', '2', 0, 1478251835),
(147185, 217, 14278, 'CodevTT_RAF', '5', '5', 0, 1478251999),
(147186, 217, 13775, 'CodevTT_RAF', '8', '7', 0, 1478252105),
(147187, 217, 14278, 'CodevTT_RAF', '5', '4', 0, 1478252118),
(147202, 205, 15308, '', '', '', 1, 1478252464),
(147203, 205, 15308, 'handler_id', '0', '205', 0, 1478252464),
(147204, 205, 15308, '', '', '14278', 21, 1478252464),
(147205, 205, 14278, '', '', '15308', 20, 1478252464),
(147209, 205, 15309, '', '', '', 1, 1478252493),
(147210, 205, 15309, 'handler_id', '0', '205', 0, 1478252493),
(147211, 205, 15309, '', '', '15308', 21, 1478252493),
(147212, 205, 15308, '', '', '15309', 20, 1478252493),
(147213, 205, 15308, 'CodevTT_RAF', '', '3.75', 0, 1478252537),
(147214, 205, 15308, 'status', '10', '50', 0, 1478252537),
(147220, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1478253543),
(147221, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1478253559),
(147222, 205, 8130, 'status', '50', '80', 0, 1478253759),
(147261, 146, 10426, 'CodevTT_RAF', '0', '1', 0, 1478255127),
(147262, 146, 10426, 'status', '80', '50', 0, 1478255127),
(147263, 146, 10426, 'handler_id', '116', '146', 0, 1478255127),
(147264, 146, 10426, 'CodevTT_RAF', '1', '1', 0, 1478255147),
(147265, 146, 10426, 'CodevTT_RAF', '1', '1', 0, 1478255165),
(147266, 72, 15316, 'Ref. Externe', '', '43713', 0, 1478255567),
(147267, 72, 15316, 'CodevTT_ChargeInit', '', '2', 0, 1478255567),
(147268, 72, 15316, 'target_version', '', '16.1-3en1', 0, 1478255567),
(147269, 72, 15316, 'handler_id', '0', '157', 0, 1478255567),
(147270, 72, 15316, 'codevtt_type', '', 'Task', 0, 1478255567),
(147271, 72, 15317, 'Ref. Externe', '', '43713', 0, 1478255568),
(147272, 72, 15317, 'CodevTT_ChargeInit', '', '2', 0, 1478255568),
(147273, 72, 15317, 'target_version', '', '16.1-3en1', 0, 1478255568),
(147274, 72, 15317, 'handler_id', '0', '157', 0, 1478255568),
(147275, 72, 15317, 'codevtt_type', '', 'Task', 0, 1478255568),
(147276, 72, 15318, 'Ref. Externe', '', '43714', 0, 1478255568),
(147277, 72, 15318, 'CodevTT_ChargeInit', '', '2', 0, 1478255568),
(147278, 72, 15318, 'target_version', '', '16.1-3en1', 0, 1478255568),
(147279, 72, 15318, 'handler_id', '0', '199', 0, 1478255568),
(147280, 72, 15318, 'codevtt_type', '', 'Task', 0, 1478255568),
(147281, 72, 15319, 'Ref. Externe', '', '43714', 0, 1478255568),
(147282, 72, 15319, 'CodevTT_ChargeInit', '', '2', 0, 1478255568),
(147283, 72, 15319, 'target_version', '', '16.1-3en1', 0, 1478255568),
(147284, 72, 15319, 'handler_id', '0', '199', 0, 1478255568),
(147285, 72, 15319, 'codevtt_type', '', 'Task', 0, 1478255568),
(147292, 205, 8454, 'CodevTT_RAF', '10', '10', 0, 1478255722),
(147293, 72, 15320, '', '', '', 1, 1478256060),
(147294, 72, 15320, 'handler_id', '0', '157', 0, 1478256060),
(147295, 72, 14514, 'CodevTT_RAF', '0.75', '0', 0, 1478256398),
(147296, 72, 14514, 'status', '50', '80', 0, 1478256398),
(147297, 72, 14514, 'CodevTT_RAF', '0', '0', 0, 1478256398),
(147301, 72, 14545, 'status', '50', '20', 0, 1478256448),
(147308, 72, 13786, 'CodevTT_RAF', '0.5', '0', 0, 1478256577),
(147309, 72, 13786, 'status', '50', '80', 0, 1478256577),
(147310, 72, 13786, 'CodevTT_RAF', '0', '0', 0, 1478256577),
(147311, 72, 13786, '', '0007437', '', 2, 1478256614),
(147312, 72, 14163, 'CodevTT_RAF', '0.5', '0', 0, 1478256657),
(147313, 72, 14163, 'status', '50', '80', 0, 1478256657),
(147314, 72, 14163, 'CodevTT_RAF', '0', '0', 0, 1478256657),
(147315, 72, 14166, 'CodevTT_RAF', '1', '0', 0, 1478256685),
(147316, 72, 14166, 'status', '50', '80', 0, 1478256685),
(147317, 72, 14166, 'CodevTT_RAF', '0', '0', 0, 1478256685),
(147318, 72, 14167, 'status', '50', '80', 0, 1478256825),
(147319, 72, 14167, '', '0007438', '', 2, 1478256826),
(147320, 72, 15289, 'status', '50', '20', 0, 1478256947),
(147321, 72, 14169, 'status', '10', '20', 0, 1478257005),
(147322, 72, 14619, 'status', '10', '20', 0, 1478257076),
(147323, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1478257567),
(147324, 147, 14059, 'CodevTT_RAF', '5', '1', 0, 1478257626),
(147325, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1478257649),
(147326, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1478257690),
(147327, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1478260961),
(147338, 74, 15204, 'CodevTT_RAF', '3', '3', 0, 1478266595),
(147339, 74, 15204, 'CodevTT_RAF', '3', '3', 0, 1478266609),
(147340, 74, 15204, 'CodevTT_RAF', '3', '2', 0, 1478266621),
(147341, 74, 14721, 'CodevTT_RAF', '', '10', 0, 1478266658),
(147342, 74, 14721, 'status', '10', '50', 0, 1478266658),
(147602, 146, 15283, 'CodevTT_RAF', '', '2', 0, 1478274531),
(147603, 146, 15283, 'status', '10', '50', 0, 1478274531),
(147604, 146, 15283, 'handler_id', '0', '146', 0, 1478274531),
(147608, 2, 15256, 'CodevTT_RAF', '0', '0', 0, 1478276316),
(147609, 2, 15256, 'CodevTT_RAF', '0', '0', 0, 1478276333),
(147610, 2, 15256, 'CodevTT_RAF', '0', '0', 0, 1478276344),
(147614, 169, 14260, 'CodevTT_RAF', '2', '5', 0, 1478277707),
(147615, 169, 14260, 'CodevTT_RAF', '5', '5', 0, 1478277725),
(147616, 169, 14260, 'CodevTT_RAF', '5', '4', 0, 1478277751),
(147617, 169, 14260, 'CodevTT_RAF', '4', '3', 0, 1478277757),
(147624, 199, 14242, 'CodevTT_RAF', '1', '1', 0, 1478504246),
(147626, 199, 14242, 'CodevTT_RAF', '1', '1', 0, 1478504289),
(147627, 199, 14242, 'CodevTT_RAF', '1', '1', 0, 1478504619),
(147628, 147, 14060, 'CodevTT_RAF', '4', '4', 0, 1478504721),
(147637, 246, 14264, 'CodevTT_RAF', '4', '2', 0, 1478506645),
(147666, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1478510366),
(147667, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1478510386),
(147698, 2, 1437, '', '7455', '', 2, 1478516404),
(147699, 134, 13774, 'CodevTT_RAF', '10', '7', 0, 1478516484),
(147700, 134, 13774, 'CodevTT_RAF', '7', '7', 0, 1478516493),
(147701, 134, 13774, 'CodevTT_RAF', '7', '7', 0, 1478516503),
(147702, 134, 13774, 'CodevTT_RAF', '7', '6', 0, 1478516523),
(147735, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1478525299),
(147748, 72, 15374, 'Ref. Externe', '', '43726', 0, 1478525708),
(147749, 72, 15374, 'CodevTT_ChargeInit', '', '2', 0, 1478525708),
(147750, 72, 15374, 'codevtt_type', '', 'Bug', 0, 1478525708),
(147753, 72, 15375, 'Ref. Externe', '', '43722', 0, 1478525753),
(147754, 72, 15375, 'CodevTT_ChargeInit', '', '2', 0, 1478525753),
(147755, 72, 15375, 'handler_id', '0', '169', 0, 1478525753),
(147756, 72, 15375, 'codevtt_type', '', 'Task', 0, 1478525753),
(147757, 72, 15376, 'Ref. Externe', '', '43722', 0, 1478525753),
(147758, 72, 15376, 'CodevTT_ChargeInit', '', '2', 0, 1478525753),
(147759, 72, 15376, 'handler_id', '0', '169', 0, 1478525753),
(147760, 72, 15376, 'codevtt_type', '', 'Task', 0, 1478525753),
(147762, 72, 15375, '', '0007470', '', 2, 1478525873),
(147763, 72, 15375, 'CodevTT_ChargeInit', '2', '1', 0, 1478525886),
(147764, 72, 14329, '', '7471', '', 2, 1478526414),
(147765, 72, 14329, 'CodevTT_RAF', '10', '3', 0, 1478526415),
(147766, 2, 15377, '', '', '', 1, 1478526444),
(147767, 2, 15377, 'handler_id', '0', '212', 0, 1478526444),
(147768, 2, 15377, '', '', '14721', 21, 1478526445),
(147769, 2, 14721, '', '', '15377', 20, 1478526445),
(147783, 2, 15377, 'CodevTT_Dead Line', '', '1482188400', 0, 1478528205),
(147788, 2, 9515, 'CodevTT_RAF', '', '0', 0, 1478529189),
(147789, 2, 9515, 'status', '10', '80', 0, 1478529189),
(147790, 2, 9515, 'CodevTT_RAF', '0', '0', 0, 1478529189),
(147791, 2, 9515, 'CodevTT_Dead Line', '', '', 0, 1478529189),
(147808, 2, 1437, '', '7455', '', 4, 1478532716),
(147809, 2, 1437, '', '7479', '', 2, 1478532717),
(147810, 2, 1437, '', '7479', '', 4, 1478532730),
(147811, 2, 1437, '', '7480', '', 2, 1478532730),
(147812, 2, 1437, '', '7480', '', 4, 1478532737),
(147813, 2, 1437, '', '7481', '', 2, 1478532737),
(147814, 2, 1437, '', '7481', '', 4, 1478532742),
(147815, 2, 1437, '', '7482', '', 2, 1478532742),
(147816, 72, 15374, 'RSI_Type_Ano', '', 'Production', 0, 1478533169),
(147817, 72, 15374, 'handler_id', '0', '169', 0, 1478533218),
(147818, 72, 14476, 'status', '10', '80', 0, 1478534149),
(147819, 72, 14476, 'resolution', '10', '20', 0, 1478534149),
(147820, 2, 15217, 'CodevTT_RAF', '', '0', 0, 1478534205),
(147821, 2, 15217, 'status', '10', '80', 0, 1478534205),
(147822, 2, 15217, 'CodevTT_RAF', '0', '0', 0, 1478534205),
(147823, 72, 12304, 'status', '50', '20', 0, 1478534327),
(147824, 72, 12304, 'CodevTT_Dead Line', '', '', 0, 1478534327),
(147825, 2, 14621, 'handler_id', '157', '0', 0, 1478534419),
(147826, 2, 14623, 'CodevTT_RAF', '', '0', 0, 1478534449),
(147827, 2, 14623, 'status', '10', '80', 0, 1478534449),
(147828, 2, 14623, 'CodevTT_RAF', '0', '0', 0, 1478534449),
(147829, 72, 14150, 'CodevTT_RAF', '0.5', '0', 0, 1478534473),
(147830, 72, 14150, 'status', '50', '80', 0, 1478534473),
(147831, 72, 14150, 'CodevTT_RAF', '0', '0', 0, 1478534473),
(147832, 2, 15218, 'CodevTT_RAF', '', '0', 0, 1478534506),
(147833, 2, 15218, 'status', '10', '80', 0, 1478534506),
(147834, 2, 15218, 'CodevTT_RAF', '0', '0', 0, 1478534506),
(147835, 2, 15219, 'CodevTT_RAF', '', '0', 0, 1478534532),
(147836, 2, 15219, 'status', '10', '80', 0, 1478534532),
(147837, 2, 15219, 'CodevTT_RAF', '0', '0', 0, 1478534532),
(147838, 2, 14227, 'target_version', '', '16.1-3en1', 0, 1478534798),
(147839, 2, 15290, 'target_version', '', '16.1-3en1', 0, 1478534798),
(147840, 2, 15284, 'target_version', '', '16.1-3en1', 0, 1478534798),
(147841, 2, 15260, 'target_version', '', '16.1-3en1', 0, 1478534798),
(147842, 2, 14827, 'target_version', '', '16.1-3en1', 0, 1478534798),
(147859, 72, 6749, 'handler_id', '178', '0', 0, 1478590408),
(147860, 72, 6749, 'CodevTT_RAF', '2', '0', 0, 1478590408),
(147861, 72, 6749, 'status', '50', '80', 0, 1478590408),
(147862, 72, 6749, 'CodevTT_RAF', '0', '0', 0, 1478590408),
(147863, 72, 6747, 'CodevTT_RAF', '', '0', 0, 1478590436),
(147864, 72, 6747, 'status', '10', '80', 0, 1478590436),
(147865, 72, 6747, 'CodevTT_RAF', '0', '0', 0, 1478590436),
(147866, 246, 14709, 'CodevTT_RAF', '0', '0', 0, 1478592283),
(147867, 246, 14715, 'CodevTT_RAF', '0', '0', 0, 1478592302),
(147870, 217, 14478, 'CodevTT_RAF', '2', '2', 0, 1478593967),
(147871, 217, 14478, 'CodevTT_RAF', '2', '2', 0, 1478593976),
(147874, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1478594053),
(147875, 217, 11115, 'CodevTT_RAF', '2', '5', 0, 1478594074),
(147876, 217, 14478, 'CodevTT_RAF', '2', '2', 0, 1478594143),
(147877, 217, 11115, 'CodevTT_RAF', '5', '2', 0, 1478594157),
(147878, 199, 14242, 'CodevTT_RAF', '1', '0.5', 0, 1478594469),
(147879, 158, 13774, 'CodevTT_RAF', '6', '10', 0, 1478595408),
(147925, 2, 15380, '', '', '', 1, 1478600637),
(147926, 2, 15380, 'CodevTT_RAF', '', '0.5', 0, 1478600680),
(147927, 2, 15380, 'status', '10', '50', 0, 1478600680),
(147928, 2, 15380, 'handler_id', '0', '2', 0, 1478600680),
(147929, 2, 15380, '', '3027', '', 6, 1478600815),
(147944, 72, 15161, 'handler_id', '0', '169', 0, 1478602030),
(147982, 72, 10425, 'handler_id', '146', '0', 0, 1478607275),
(147983, 72, 10425, 'CodevTT_RAF', '0', '0', 0, 1478607275),
(147984, 72, 10425, 'status', '10', '80', 0, 1478607275),
(147985, 72, 10425, 'CodevTT_RAF', '0', '0', 0, 1478607275),
(147986, 72, 10425, 'CodevTT_Dead Line', '', '', 0, 1478607275),
(148000, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1478609792),
(148044, 168, 14718, 'CodevTT_RAF', '0', '0', 0, 1478614606),
(148045, 168, 14718, 'CodevTT_RAF', '0', '0', 0, 1478614606),
(148046, 168, 14718, 'status', '10', '80', 0, 1478614606),
(148047, 168, 14478, 'CodevTT_RAF', '2', '1', 0, 1478614878),
(148048, 168, 14478, 'CodevTT_RAF', '1', '1', 0, 1478614900),
(148049, 168, 14478, 'CodevTT_RAF', '1', '1', 0, 1478614917),
(148050, 168, 14477, '', '7535', '', 2, 1478615080),
(148051, 168, 14477, 'CodevTT_RAF', '2', '0.5', 0, 1478615080),
(148052, 168, 14477, 'CodevTT_RAF', '0.5', '0', 0, 1478615142),
(148053, 168, 14477, 'CodevTT_RAF', '0', '0', 0, 1478615142),
(148054, 168, 14477, 'status', '50', '80', 0, 1478615142),
(148055, 168, 14643, 'CodevTT_RAF', '2', '3.5', 0, 1478615223),
(148056, 168, 14643, 'CodevTT_RAF', '3.5', '2.5', 0, 1478615241),
(148057, 168, 14643, 'CodevTT_RAF', '2.5', '2', 0, 1478615264),
(148058, 168, 14643, 'CodevTT_RAF', '2', '1', 0, 1478615279),
(148059, 168, 14643, 'CodevTT_RAF', '1', '0', 0, 1478615297),
(148060, 168, 14643, 'CodevTT_RAF', '0', '0', 0, 1478615297),
(148061, 168, 14643, 'status', '50', '80', 0, 1478615297),
(148099, 72, 5727, 'CodevTT_ChargeMgr', '5', '', 0, 1478619081),
(148100, 72, 4294, 'CodevTT_ChargeMgr', '5', '', 0, 1478619081),
(148101, 72, 4684, 'CodevTT_ChargeMgr', '5', '', 0, 1478619081),
(148102, 72, 3825, 'CodevTT_ChargeMgr', '5', '', 0, 1478619081),
(148103, 72, 5097, 'CodevTT_ChargeMgr', '5', '', 0, 1478619081),
(148104, 72, 4059, 'CodevTT_ChargeMgr', '5', '', 0, 1478619081),
(148105, 72, 4873, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148106, 72, 4877, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148107, 72, 4298, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148108, 72, 4878, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148109, 72, 4282, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148110, 72, 5098, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148111, 72, 7067, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148112, 72, 5016, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148113, 72, 4292, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148114, 72, 4888, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148115, 72, 6618, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148116, 72, 4302, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148117, 72, 4882, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148118, 72, 4963, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148119, 72, 4276, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148120, 72, 4876, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148121, 72, 4290, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148122, 72, 4280, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148123, 72, 4867, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148124, 72, 4869, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148125, 72, 4875, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148126, 72, 4286, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148127, 72, 4881, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148128, 72, 4884, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148129, 72, 4264, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148130, 72, 4272, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148131, 72, 4268, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148132, 72, 4270, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148133, 72, 4142, 'CodevTT_ChargeMgr', '3', '', 0, 1478619081),
(148134, 72, 4289, 'CodevTT_ChargeMgr', '2', '', 0, 1478619081),
(148135, 72, 4285, 'CodevTT_ChargeMgr', '2', '', 0, 1478619081),
(148136, 72, 4279, 'CodevTT_ChargeMgr', '2', '', 0, 1478619081),
(148137, 72, 4293, 'CodevTT_ChargeMgr', '2', '', 0, 1478619081),
(148138, 72, 4295, 'CodevTT_ChargeMgr', '2', '', 0, 1478619081),
(148139, 72, 4281, 'CodevTT_ChargeMgr', '2', '', 0, 1478619081),
(148140, 72, 4344, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148141, 72, 6299, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148142, 72, 6477, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148143, 72, 5729, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148144, 72, 7498, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148145, 72, 4273, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148146, 72, 7068, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148147, 72, 5730, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148148, 72, 4889, 'CodevTT_ChargeMgr', '2', '', 0, 1478619082),
(148149, 72, 4683, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148150, 72, 6298, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148151, 72, 4275, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148152, 72, 6271, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148153, 72, 5280, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148154, 72, 4870, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148155, 72, 4868, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148156, 72, 5570, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148157, 72, 4265, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148158, 72, 5263, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148159, 72, 5229, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148160, 72, 4964, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148161, 72, 5099, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148162, 72, 5023, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148163, 72, 5021, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148164, 72, 5022, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148165, 72, 4263, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148166, 72, 4267, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148167, 72, 4955, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148168, 72, 4883, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148169, 72, 4271, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148170, 72, 4269, 'CodevTT_ChargeMgr', '2', '', 0, 1478619107),
(148171, 72, 9452, 'CodevTT_ChargeMgr', '15', '', 0, 1478619107),
(148172, 72, 4874, 'CodevTT_ChargeMgr', '12', '', 0, 1478619107),
(148173, 72, 3880, 'CodevTT_ChargeMgr', '1.5', '', 0, 1478619107),
(148174, 72, 3899, 'CodevTT_ChargeMgr', '1', '', 0, 1478619107),
(148175, 72, 7702, 'CodevTT_ChargeMgr', '1', '', 0, 1478619107),
(148176, 72, 6486, 'CodevTT_ChargeMgr', '1', '', 0, 1478619107),
(148177, 72, 5630, 'CodevTT_ChargeMgr', '1', '', 0, 1478619108),
(148178, 72, 4918, 'CodevTT_ChargeMgr', '1', '', 0, 1478619108),
(148179, 72, 3898, 'CodevTT_ChargeMgr', '1', '', 0, 1478619108),
(148180, 72, 15380, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148181, 72, 14709, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148182, 72, 14476, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148183, 72, 9515, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148184, 72, 14167, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148185, 72, 15320, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148186, 72, 10426, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148187, 72, 14473, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148188, 72, 14796, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148189, 72, 8450, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148190, 72, 4152, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148191, 72, 13787, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148192, 72, 14036, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148193, 72, 14797, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148194, 72, 14267, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148195, 72, 12820, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148196, 72, 14198, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148197, 72, 14542, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148198, 72, 4266, 'CodevTT_ChargeMgr', '0', '', 0, 1478619108),
(148199, 72, 15161, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148200, 72, 15290, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148201, 72, 15284, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148202, 72, 15260, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148203, 72, 15219, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148204, 72, 15218, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148205, 72, 15217, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148206, 72, 15283, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148207, 72, 15289, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148208, 72, 14545, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148209, 72, 14514, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148210, 72, 14645, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148211, 72, 15292, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148212, 72, 15291, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148213, 72, 15288, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148214, 72, 15287, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148215, 72, 15286, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148216, 72, 15285, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148217, 72, 15221, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148218, 72, 15220, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148219, 72, 15069, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148220, 72, 14705, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148221, 72, 14801, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148222, 72, 14800, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148223, 72, 14226, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148224, 72, 14608, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148225, 72, 14258, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148226, 72, 14546, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148227, 72, 14552, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148228, 72, 14235, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148229, 72, 14232, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148230, 72, 14228, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148231, 72, 14229, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148232, 72, 14230, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148233, 72, 14231, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148234, 72, 13799, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148235, 72, 14257, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148236, 72, 9468, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148237, 72, 13628, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148238, 72, 12155, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148239, 72, 13800, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148240, 72, 13797, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148241, 72, 13798, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148242, 72, 13698, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148243, 72, 13789, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148244, 72, 13784, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148245, 72, 10195, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148246, 72, 13251, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148247, 72, 12467, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148248, 72, 12782, 'CodevTT_ChargeMgr', '', '0', 0, 1478619150),
(148249, 72, 12963, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148250, 72, 12466, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148251, 72, 12844, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148252, 72, 12465, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148253, 72, 12783, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148254, 72, 12182, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148255, 72, 9459, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148256, 72, 12253, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148257, 72, 12252, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148258, 72, 9572, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148259, 72, 9670, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148260, 72, 12164, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148261, 72, 12163, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148262, 72, 12161, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148263, 72, 12152, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148264, 72, 12061, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148265, 72, 10896, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148266, 72, 10088, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148267, 72, 10165, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148268, 72, 9461, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148269, 72, 9465, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148270, 72, 9477, 'CodevTT_ChargeMgr', '', '0', 0, 1478619166),
(148271, 72, 10895, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148272, 72, 10897, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148273, 72, 9495, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148274, 72, 9494, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148275, 72, 8859, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148276, 72, 8858, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148277, 72, 8627, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148278, 72, 9496, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148279, 72, 10235, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148280, 72, 10147, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148281, 72, 10137, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148282, 72, 10139, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148283, 72, 10146, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148284, 72, 10136, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148285, 72, 10138, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148286, 72, 10236, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148287, 72, 9672, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148288, 72, 9671, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148289, 72, 9451, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148290, 72, 10148, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148291, 72, 9766, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148292, 72, 9574, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148293, 72, 6539, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148294, 72, 9630, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148295, 72, 9628, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148296, 72, 3896, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148297, 72, 3894, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148298, 72, 4715, 'CodevTT_ChargeMgr', '', '0', 0, 1478619167),
(148299, 72, 4370, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148300, 72, 4938, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148301, 72, 3892, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148302, 72, 5457, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148303, 72, 5343, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148304, 72, 5342, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148305, 72, 4940, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148306, 72, 8086, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148307, 72, 7394, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148308, 72, 7754, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148309, 72, 4496, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148310, 72, 4657, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148311, 72, 4658, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148312, 72, 5407, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148313, 72, 5453, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148314, 72, 6067, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148315, 72, 7242, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148316, 72, 7121, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148317, 72, 6296, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148318, 72, 4623, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148319, 72, 6932, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148320, 72, 6928, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148321, 72, 6826, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148322, 72, 6021, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148323, 72, 6132, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148324, 72, 6131, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148325, 72, 6022, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148326, 72, 5348, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148327, 72, 4745, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148328, 72, 3891, 'CodevTT_ChargeMgr', '', '0', 0, 1478619180),
(148329, 72, 3968, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148330, 72, 15380, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148331, 72, 15320, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148332, 72, 14797, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148333, 72, 14796, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148334, 72, 14709, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148335, 72, 14542, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148336, 72, 14476, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148337, 72, 14473, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148338, 72, 14267, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148339, 72, 14198, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148340, 72, 14167, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148341, 72, 14036, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148342, 72, 13787, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148343, 72, 12820, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148344, 72, 10426, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148345, 72, 9515, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148346, 72, 8450, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148347, 72, 5630, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148348, 72, 4918, 'CodevTT_ChargeMgr', '', '0', 0, 1478619181),
(148349, 72, 4266, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148350, 72, 4152, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148351, 72, 3898, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148352, 72, 9452, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148353, 72, 7702, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148354, 72, 6486, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148355, 72, 6298, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148356, 72, 6271, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148357, 72, 5570, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148358, 72, 5280, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148359, 72, 5263, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148360, 72, 5229, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148361, 72, 5099, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148362, 72, 5023, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148363, 72, 5022, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148364, 72, 5021, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148365, 72, 4964, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148366, 72, 4955, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148367, 72, 4868, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148368, 72, 4870, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148369, 72, 4883, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148370, 72, 4874, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148371, 72, 4683, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148372, 72, 4267, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148373, 72, 4269, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148374, 72, 4271, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148375, 72, 4275, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148376, 72, 4263, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148377, 72, 4265, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148378, 72, 3899, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148379, 72, 3880, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148380, 72, 7498, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148381, 72, 7068, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148382, 72, 6477, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148383, 72, 6299, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148384, 72, 5730, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148385, 72, 5729, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148386, 72, 4889, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148387, 72, 4344, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148388, 72, 4273, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148389, 72, 7067, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148390, 72, 6618, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148391, 72, 5727, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148392, 72, 5098, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148393, 72, 5097, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148394, 72, 5016, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148395, 72, 4963, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148396, 72, 4888, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148397, 72, 4875, 'CodevTT_ChargeMgr', '', '0', 0, 1478619201),
(148398, 72, 4877, 'CodevTT_ChargeMgr', '', '0', 0, 1478619202),
(148399, 72, 4873, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148400, 72, 4884, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148401, 72, 4881, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148402, 72, 4876, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148403, 72, 4867, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148404, 72, 4878, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148405, 72, 4869, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148406, 72, 4882, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148407, 72, 4684, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148408, 72, 4289, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148409, 72, 4270, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148410, 72, 4280, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148411, 72, 4302, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148412, 72, 4292, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148413, 72, 4272, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148414, 72, 4282, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148415, 72, 4294, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148416, 72, 4276, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148417, 72, 4285, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148418, 72, 4298, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148419, 72, 4279, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148420, 72, 4290, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148421, 72, 4281, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148422, 72, 4264, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148423, 72, 4293, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148424, 72, 4295, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148425, 72, 4286, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148426, 72, 4268, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148427, 72, 4142, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148428, 72, 4059, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148429, 72, 3825, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148430, 72, 14827, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148431, 72, 14227, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148432, 72, 14623, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148433, 72, 14621, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148434, 72, 15374, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148435, 72, 14619, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148436, 72, 14169, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148437, 72, 14166, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148438, 72, 14163, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148439, 72, 13786, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148440, 72, 12137, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148441, 72, 10870, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148442, 72, 15163, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148443, 72, 15162, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148444, 72, 14708, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148445, 72, 14164, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148446, 72, 14595, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148447, 72, 14165, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148448, 72, 14594, 'CodevTT_ChargeMgr', '', '0', 0, 1478619214),
(148449, 72, 14548, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148450, 72, 14618, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148451, 72, 13785, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148452, 72, 14234, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148453, 72, 14233, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148454, 72, 14622, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148455, 72, 13258, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148456, 72, 14620, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148457, 72, 14170, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148458, 72, 14168, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148459, 72, 14237, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148460, 72, 13253, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148461, 72, 13254, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148462, 72, 13255, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148463, 72, 13252, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148464, 72, 13783, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148465, 72, 13788, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148466, 72, 12153, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148467, 72, 13770, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148468, 72, 10786, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148469, 72, 10437, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148470, 72, 9460, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148471, 72, 12097, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148472, 72, 9643, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148473, 72, 12060, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148474, 72, 10791, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148475, 72, 12843, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148476, 72, 12842, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148477, 72, 12186, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148478, 72, 10154, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148479, 72, 5728, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148480, 72, 12154, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148481, 72, 13250, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148482, 72, 10871, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148483, 72, 13248, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148484, 72, 12197, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148485, 72, 9463, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148486, 72, 11664, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148487, 72, 12196, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148488, 72, 10049, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148489, 72, 12159, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148490, 72, 12156, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148491, 72, 12160, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148492, 72, 12157, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148493, 72, 12110, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148494, 72, 9466, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148495, 72, 12302, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148496, 72, 7393, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148497, 72, 12059, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148498, 72, 12181, 'CodevTT_ChargeMgr', '', '0', 0, 1478619230),
(148499, 72, 9675, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148500, 72, 12109, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148501, 72, 9306, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148502, 72, 8925, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148503, 72, 10651, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148504, 72, 10625, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148505, 72, 10153, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148506, 72, 10042, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148507, 72, 10075, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148508, 72, 9303, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148509, 72, 8929, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148510, 72, 8928, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148511, 72, 8927, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148512, 72, 8085, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148513, 72, 12151, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148514, 72, 12158, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148515, 72, 9343, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148516, 72, 10869, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148517, 72, 7395, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148518, 72, 10790, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148519, 72, 10995, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148520, 72, 10873, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148521, 72, 9464, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148522, 72, 9469, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148523, 72, 9467, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148524, 72, 10194, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148525, 72, 9462, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148526, 72, 7392, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148527, 72, 3893, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148528, 72, 7391, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148529, 72, 10872, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148530, 72, 10932, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148531, 72, 10789, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148532, 72, 8857, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148533, 72, 8836, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148534, 72, 4939, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148535, 72, 6301, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148536, 72, 4456, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148537, 72, 4371, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148538, 72, 6297, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148539, 72, 4262, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148540, 72, 5341, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148541, 72, 6490, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148542, 72, 6516, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148543, 72, 6517, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148544, 72, 7424, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148545, 72, 7243, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148546, 72, 7005, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148547, 72, 6720, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148548, 72, 5564, 'CodevTT_ChargeMgr', '', '0', 0, 1478619253),
(148549, 72, 6482, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148550, 72, 5516, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148551, 72, 6066, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148552, 72, 3888, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148553, 72, 4624, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148554, 72, 4209, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148555, 72, 4255, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148556, 72, 3908, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148557, 72, 4246, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148558, 72, 3889, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148559, 72, 3970, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148560, 72, 3969, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148561, 72, 3907, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148562, 72, 3909, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148563, 72, 3890, 'CodevTT_ChargeMgr', '', '0', 0, 1478619278),
(148586, 212, 14716, 'CodevTT_RAF', '5', '2', 0, 1478620840),
(148587, 212, 14716, 'CodevTT_RAF', '2', '5', 0, 1478620847),
(148589, 212, 14716, 'CodevTT_RAF', '5', '5', 0, 1478620862),
(148597, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1478621499),
(148598, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1478621509),
(148629, 72, 15165, 'CodevTT_ChargeMgr', '0', '', 0, 1478622839),
(148690, 246, 14814, 'CodevTT_RAF', '', '0', 0, 1478682466),
(148691, 246, 14814, 'CodevTT_RAF', '0', '0', 0, 1478682466),
(148692, 246, 14814, 'status', '10', '80', 0, 1478682466),
(148718, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1478685541),
(148719, 246, 14243, 'status', '80', '50', 0, 1478686803),
(148720, 246, 14243, 'CodevTT_Dead Line', '', '', 0, 1478686803),
(148721, 246, 14242, 'CodevTT_RAF', '0.5', '1', 0, 1478686902),
(148725, 72, 15398, '', '', '', 1, 1478695926),
(148726, 72, 15398, 'handler_id', '0', '168', 0, 1478695985),
(149424, 217, 14478, 'CodevTT_RAF', '1', '2', 0, 1478702084),
(149425, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1478702095),
(149427, 217, 15564, '', '', '', 1, 1478702211),
(149428, 217, 15564, 'handler_id', '0', '168', 0, 1478702211),
(149429, 217, 15564, '', '', '14478', 21, 1478702211),
(149430, 217, 14478, '', '', '15564', 20, 1478702211),
(149431, 217, 15564, 'CodevTT_RAF', '', '2', 0, 1478702237);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(149432, 217, 15564, 'status', '10', '50', 0, 1478702237),
(149433, 217, 15564, 'handler_id', '168', '217', 0, 1478702237),
(149434, 217, 11115, 'CodevTT_RAF', '2', '2', 0, 1478702270),
(149435, 217, 11115, 'CodevTT_RAF', '2', '4', 0, 1478702291),
(149469, 2, 15281, '', '7574', '', 2, 1478709385),
(149470, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1478709385),
(149483, 157, 15284, 'CodevTT_RAF', '', '1.5', 0, 1478762770),
(149484, 157, 15284, 'status', '10', '50', 0, 1478762770),
(149485, 157, 15068, 'CodevTT_RAF', '1.5', '0', 0, 1478762799),
(149486, 157, 15068, 'CodevTT_RAF', '0', '0', 0, 1478762799),
(149487, 157, 15068, 'status', '50', '80', 0, 1478762799),
(149488, 157, 15316, 'CodevTT_RAF', '', '0', 0, 1478762845),
(149489, 157, 15316, 'CodevTT_RAF', '0', '0', 0, 1478762845),
(149490, 157, 15316, 'status', '10', '80', 0, 1478762845),
(149491, 157, 14827, 'CodevTT_RAF', '0.5', '0.5', 0, 1478762879),
(149492, 157, 15290, 'CodevTT_RAF', '1.5', '0.5', 0, 1478762935),
(149726, 72, 15398, 'CodevTT_RAF', '', '1.8', 0, 1478769013),
(149727, 72, 15398, 'status', '10', '50', 0, 1478769014),
(149821, 217, 11115, 'CodevTT_RAF', '4', '4', 0, 1478772755),
(149830, 217, 15564, 'CodevTT_RAF', '2', '0', 0, 1478772789),
(149831, 217, 15564, 'CodevTT_RAF', '0', '0', 0, 1478772789),
(149832, 217, 15564, 'status', '50', '80', 0, 1478772789),
(149834, 217, 11115, 'CodevTT_RAF', '4', '4', 0, 1478772798),
(149864, 158, 13044, 'CodevTT_RAF', '0.5', '0', 0, 1478773530),
(149865, 158, 13044, 'CodevTT_RAF', '0', '0', 0, 1478773530),
(149866, 158, 13044, 'status', '50', '80', 0, 1478773530),
(149964, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1478783995),
(150012, 74, 14248, 'CodevTT_RAF', '2', '0', 0, 1478789502),
(150013, 74, 14248, 'CodevTT_RAF', '0', '0', 0, 1478789502),
(150014, 74, 14248, 'status', '50', '80', 0, 1478789502),
(150015, 74, 15204, 'CodevTT_RAF', '2', '1', 0, 1478789536),
(150016, 74, 15204, 'CodevTT_RAF', '1', '1', 0, 1478789548),
(150017, 74, 15204, 'CodevTT_RAF', '1', '0', 0, 1478789567),
(150018, 74, 15204, 'CodevTT_RAF', '0', '0', 0, 1478789567),
(150019, 74, 15204, 'status', '50', '80', 0, 1478789567),
(150020, 74, 15204, 'CodevTT_RAF', '0', '0', 0, 1478789588),
(150021, 74, 14244, 'status', '50', '80', 0, 1478789664),
(150022, 74, 14244, 'resolution', '10', '20', 0, 1478789664),
(150035, 212, 14721, 'CodevTT_RAF', '10', '7.5', 0, 1478792573),
(150036, 212, 14721, 'CodevTT_RAF', '7.5', '6.5', 0, 1478792595),
(150037, 169, 14329, 'CodevTT_RAF', '3', '3', 0, 1478792676),
(150040, 169, 14260, 'CodevTT_RAF', '3', '3', 0, 1478792710),
(150041, 169, 14260, 'CodevTT_RAF', '3', '3', 0, 1478792717),
(150046, 169, 14260, 'CodevTT_RAF', '3', '2', 0, 1478792744),
(150048, 169, 15161, 'CodevTT_RAF', '', '3', 0, 1478792769),
(150049, 169, 15161, 'status', '10', '50', 0, 1478792769),
(150052, 169, 15161, 'CodevTT_RAF', '3', '3', 0, 1478792831),
(150106, 146, 15283, 'CodevTT_RAF', '2', '0.5', 0, 1478796047),
(150107, 146, 15283, 'CodevTT_RAF', '0.5', '0.5', 0, 1478796089),
(150108, 146, 15283, 'CodevTT_RAF', '0.5', '0.5', 0, 1478796146),
(150109, 146, 15283, 'CodevTT_RAF', '0.5', '0.5', 0, 1478796162),
(150137, 146, 10426, 'CodevTT_RAF', '1', '0.5', 0, 1478796216),
(150200, 246, 14242, 'CodevTT_RAF', '1', '0', 0, 1479111517),
(150201, 246, 14242, 'CodevTT_RAF', '0', '0', 0, 1479111517),
(150202, 246, 14242, 'status', '50', '80', 0, 1479111517),
(150204, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1479111782),
(150219, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1479113146),
(150220, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1479113160),
(150221, 158, 13774, 'CodevTT_RAF', '10', '10', 0, 1479114134),
(150234, 72, 14710, 'handler_id', '205', '199', 0, 1479117753),
(150235, 72, 14710, 'CodevTT_Dead Line', '', '', 0, 1479117753),
(150238, 134, 13774, 'CodevTT_RAF', '10', '6', 0, 1479117925),
(150241, 134, 13774, 'CodevTT_RAF', '6', '6', 0, 1479117947),
(150242, 134, 13774, 'CodevTT_RAF', '6', '6', 0, 1479117959),
(150243, 134, 13774, 'CodevTT_RAF', '6', '6', 0, 1479117962),
(150244, 134, 13774, 'CodevTT_RAF', '6', '5', 0, 1479117984),
(150245, 72, 14013, 'summary', '41937 [QUAL] - Plan de test', '41937 [QUAL] - Partie MAJOC', 0, 1479118648),
(150246, 72, 14013, '', '0007766', '', 2, 1479118648),
(150249, 199, 14259, 'status', '50', '80', 0, 1479118795),
(150250, 199, 14259, 'resolution', '10', '20', 0, 1479118795),
(150251, 72, 14014, 'summary', '41937 [QUAL] - Tests de qualif', '41937 [QUAL] -  Partie SPOCs', 0, 1479118862),
(150252, 72, 14013, '', '0007768', '', 2, 1479119541),
(150256, 72, 14013, '', '', '15570', 20, 1479119603),
(150259, 199, 14622, 'status', '50', '80', 0, 1479119847),
(150260, 199, 14622, 'resolution', '10', '20', 0, 1479119847),
(150261, 72, 15571, '', '', '', 1, 1479120470),
(150262, 72, 15571, 'handler_id', '0', '146', 0, 1479120735),
(150263, 72, 15571, 'CodevTT_Dead Line', '', '1480460400', 0, 1479120777),
(150264, 2, 1435, '', '7770', '', 2, 1479120841),
(150298, 2, 14620, 'CodevTT_RAF', '', '0', 0, 1479126200),
(150299, 2, 14620, 'status', '10', '80', 0, 1479126200),
(150300, 2, 14620, 'CodevTT_RAF', '0', '0', 0, 1479126200),
(150307, 2, 15221, 'CodevTT_RAF', '', '0', 0, 1479126366),
(150308, 2, 15221, 'status', '10', '80', 0, 1479126366),
(150309, 2, 15221, 'CodevTT_RAF', '0', '0', 0, 1479126366),
(150314, 72, 12998, 'target_version', '', '17.15_AFFI', 0, 1479127036),
(150315, 72, 12999, 'target_version', '17.0.DSI_EM', '17.15_AFFI', 0, 1479127036),
(150316, 72, 15375, 'target_version', '', '17.15_AFFI', 0, 1479127071),
(150317, 72, 15376, 'target_version', '', '17.15_AFFI', 0, 1479127071),
(150370, 168, 14478, 'CodevTT_RAF', '2', '0', 0, 1479132860),
(150371, 168, 14478, 'CodevTT_RAF', '0', '0', 0, 1479132861),
(150372, 168, 14478, 'status', '50', '80', 0, 1479132861),
(150373, 168, 15398, 'CodevTT_RAF', '1.8', '0.8', 0, 1479132969),
(150442, 72, 15374, 'CodevTT_RAF', '', '0', 0, 1479136745),
(150443, 72, 15374, 'status', '10', '80', 0, 1479136745),
(150444, 72, 15374, 'CodevTT_RAF', '0', '0', 0, 1479136745),
(150454, 72, 14250, 'handler_id', '199', '246', 0, 1479139976),
(150455, 72, 14250, 'CodevTT_Dead Line', '', '', 0, 1479139976),
(150460, 157, 15288, 'CodevTT_RAF', '', '0.5', 0, 1479195523),
(150461, 157, 15288, 'status', '10', '50', 0, 1479195523),
(150462, 157, 15288, 'CodevTT_RAF', '0.5', '0.5', 0, 1479195623),
(150463, 157, 15165, 'CodevTT_RAF', '', '4.5', 0, 1479195699),
(150464, 157, 15165, 'status', '10', '50', 0, 1479195699),
(150465, 157, 15285, 'CodevTT_RAF', '', '0.5', 0, 1479195723),
(150466, 157, 15285, 'status', '10', '50', 0, 1479195723),
(150467, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1479197054),
(150468, 199, 14242, 'CodevTT_ChargeInit', '2', '15', 0, 1479197117),
(150472, 246, 14242, 'CodevTT_RAF', '0', '0', 0, 1479199537),
(150790, 158, 13774, 'CodevTT_RAF', '5', '10', 0, 1479211296),
(150795, 72, 14242, 'CodevTT_ChargeMgr', '', '18', 0, 1479212057),
(150798, 72, 14243, 'CodevTT_ChargeMgr', '0', '10', 0, 1479212112),
(150799, 72, 14242, 'CodevTT_ChargeMgr', '18', '11', 0, 1479212141),
(150800, 72, 14242, 'CodevTT_ChargeInit', '15', '10', 0, 1479212141),
(150801, 72, 14716, '', '3034', '', 6, 1479212234),
(150802, 72, 14716, 'CodevTT_ChargeMgr', '10.5', '17.5', 0, 1479212234),
(150803, 72, 14716, 'CodevTT_ChargeInit', '12', '14', 0, 1479212234),
(150804, 72, 15256, 'CodevTT_ChargeMgr', '0', '9.5', 0, 1479213664),
(150805, 72, 14244, 'CodevTT_RAF', '1', '0', 0, 1479214985),
(150806, 72, 14717, 'CodevTT_RAF', '0.5', '0', 0, 1479215008),
(150886, 205, 13775, 'CodevTT_RAF', '7', '1', 0, 1479228105),
(150887, 205, 14278, 'CodevTT_RAF', '4', '1', 0, 1479228163),
(150888, 205, 8454, 'CodevTT_RAF', '10', '5', 0, 1479228200),
(150988, 246, 14242, 'CodevTT_RAF', '0', '0', 0, 1479285209),
(151089, 146, 15283, 'CodevTT_RAF', '0.5', '0', 0, 1479303782),
(151090, 146, 15283, 'CodevTT_RAF', '0', '0', 0, 1479303782),
(151091, 146, 15283, 'status', '50', '80', 0, 1479303782),
(151092, 146, 10426, 'CodevTT_RAF', '0.5', '0', 0, 1479303817),
(151093, 146, 10426, 'CodevTT_RAF', '0', '0', 0, 1479303818),
(151094, 146, 10426, 'status', '50', '80', 0, 1479303818),
(151095, 146, 10426, 'CodevTT_RAF', '0', '0', 0, 1479303854),
(151096, 146, 15571, '', '7836', '', 2, 1479304359),
(151097, 146, 15571, 'CodevTT_RAF', '', '10', 0, 1479304359),
(151098, 146, 15571, 'status', '10', '50', 0, 1479304359),
(151134, 157, 15165, 'CodevTT_RAF', '4.5', '4', 0, 1479365555),
(151135, 157, 15165, 'CodevTT_RAF', '4', '3.5', 0, 1479365572),
(151136, 157, 15220, 'CodevTT_RAF', '', '0.5', 0, 1479365599),
(151137, 157, 15220, 'status', '10', '50', 0, 1479365599),
(151250, 134, 13774, 'CodevTT_RAF', '10', '8', 0, 1479372587),
(151251, 134, 13774, 'CodevTT_RAF', '8', '8', 0, 1479372597),
(151254, 134, 13774, 'CodevTT_RAF', '8', '8', 0, 1479372612),
(151262, 246, 14242, 'CodevTT_RAF', '0', '0', 0, 1479373074),
(151264, 246, 14250, 'CodevTT_RAF', '1.75', '3', 0, 1479373113),
(151643, 2, 15281, '', '8032', '', 2, 1479398091),
(151644, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1479398091),
(151645, 157, 15220, 'CodevTT_RAF', '0.5', '0', 0, 1479398112),
(151646, 157, 15220, 'status', '50', '80', 0, 1479398112),
(151647, 157, 15220, 'CodevTT_RAF', '0', '0', 0, 1479398112),
(151648, 157, 14227, 'CodevTT_RAF', '1', '0', 0, 1479398155),
(151649, 157, 14227, 'status', '50', '80', 0, 1479398155),
(151650, 157, 14227, 'CodevTT_RAF', '0', '0', 0, 1479398155),
(151651, 157, 14227, 'CodevTT_Dead Line', '', '', 0, 1479398155),
(151652, 157, 15221, 'CodevTT_RAF', '0', '0', 0, 1479398337),
(151653, 157, 15221, 'CodevTT_RAF', '0', '0', 0, 1479398357),
(151654, 157, 15165, 'CodevTT_RAF', '3.5', '2.5', 0, 1479398387),
(151655, 157, 12820, 'CodevTT_RAF', '0.5', '0', 0, 1479399050),
(151656, 157, 12820, 'status', '50', '80', 0, 1479399050),
(151657, 157, 12820, 'CodevTT_RAF', '0', '0', 0, 1479399050),
(151658, 157, 14545, 'CodevTT_RAF', '1', '0', 0, 1479399073),
(151659, 157, 14545, 'status', '20', '80', 0, 1479399073),
(151660, 157, 14545, 'CodevTT_RAF', '0', '0', 0, 1479399073),
(151661, 157, 15291, 'CodevTT_RAF', '', '0', 0, 1479399094),
(151662, 157, 15291, 'status', '10', '80', 0, 1479399094),
(151663, 157, 15291, 'CodevTT_RAF', '0', '0', 0, 1479399094),
(151664, 157, 15292, 'CodevTT_RAF', '', '0', 0, 1479399113),
(151665, 157, 15292, 'status', '10', '80', 0, 1479399113),
(151666, 157, 15292, 'CodevTT_RAF', '0', '0', 0, 1479399113),
(151667, 157, 14169, 'CodevTT_RAF', '', '0', 0, 1479399148),
(151668, 157, 14169, 'status', '20', '80', 0, 1479399148),
(151669, 157, 14169, 'CodevTT_RAF', '0', '0', 0, 1479399148),
(151670, 157, 14619, 'CodevTT_RAF', '', '0', 0, 1479399162),
(151671, 157, 14619, 'status', '20', '80', 0, 1479399162),
(151672, 157, 14619, 'CodevTT_RAF', '0', '0', 0, 1479399162),
(151673, 157, 15289, 'CodevTT_RAF', '1.5', '0', 0, 1479399177),
(151674, 157, 15289, 'status', '20', '80', 0, 1479399177),
(151675, 157, 15289, 'CodevTT_RAF', '0', '0', 0, 1479399177),
(151678, 157, 15287, 'handler_id', '157', '169', 0, 1479399312),
(151714, 72, 15571, 'CodevTT_ChargeInit', '2', '8', 0, 1479402206),
(151734, 157, 15165, 'CodevTT_RAF', '2.5', '1.5', 0, 1479450828),
(151736, 199, 15318, 'CodevTT_RAF', '', '0.5', 0, 1479456646),
(151737, 199, 15318, 'status', '10', '50', 0, 1479456646),
(151738, 199, 15318, 'CodevTT_RAF', '0.5', '0.5', 0, 1479456680),
(151748, 199, 14164, 'CodevTT_RAF', '2', '0', 0, 1479457139),
(151749, 199, 14164, 'CodevTT_RAF', '0', '0', 0, 1479457139),
(151750, 199, 14164, 'status', '50', '80', 0, 1479457139),
(151751, 199, 14243, 'CodevTT_RAF', '0', '0', 0, 1479457223),
(151752, 199, 14243, 'CodevTT_RAF', '0', '0', 0, 1479457223),
(151753, 199, 14243, 'status', '50', '80', 0, 1479457223),
(151781, 72, 14814, 'CodevTT_ChargeMgr', '', '5.5', 0, 1479460028),
(151782, 72, 14814, 'CodevTT_ChargeInit', '2', '5', 0, 1479460028),
(151785, 72, 14813, 'CodevTT_ChargeMgr', '', '3', 0, 1479460057),
(151786, 72, 14813, 'CodevTT_ChargeInit', '5', '3', 0, 1479460057),
(151871, 157, 15320, 'CodevTT_RAF', '', '0.5', 0, 1479462189),
(151872, 157, 15320, 'status', '10', '50', 0, 1479462189),
(151876, 157, 15165, 'CodevTT_RAF', '1.5', '1.5', 0, 1479462220),
(152032, 134, 13774, 'CodevTT_RAF', '8', '7', 0, 1479463902),
(152049, 72, 4334, 'handler_id', '116', '0', 0, 1479464419),
(152050, 72, 4335, 'handler_id', '116', '0', 0, 1479464440),
(152053, 72, 4299, 'handler_id', '200', '0', 0, 1479464484),
(152054, 72, 4299, 'CodevTT_Dead Line', '', '', 0, 1479464484),
(152058, 72, 4909, 'handler_id', '178', '0', 0, 1479464517),
(152059, 72, 4909, 'CodevTT_RAF', '1', '0', 0, 1479464517),
(152060, 72, 4909, 'status', '50', '80', 0, 1479464517),
(152061, 72, 4909, 'CodevTT_RAF', '0', '0', 0, 1479464517),
(152062, 72, 4909, 'CodevTT_Dead Line', '', '', 0, 1479464517),
(152066, 72, 6725, 'handler_id', '178', '0', 0, 1479464549),
(152067, 72, 6725, 'CodevTT_RAF', '4', '0', 0, 1479464549),
(152068, 72, 6725, 'status', '50', '80', 0, 1479464549),
(152069, 72, 6725, 'CodevTT_RAF', '0', '0', 0, 1479464549),
(152071, 72, 4325, 'status', '10', '20', 0, 1479464602),
(152074, 72, 3733, 'CodevTT_RAF', '1', '0', 0, 1479464637),
(152075, 72, 3733, 'status', '50', '80', 0, 1479464637),
(152076, 72, 3733, 'CodevTT_RAF', '0', '0', 0, 1479464637),
(152077, 72, 3733, 'CodevTT_Dead Line', '', '', 0, 1479464637),
(152078, 72, 3825, 'CodevTT_RAF', '5', '0', 0, 1479464671),
(152079, 72, 3825, 'status', '50', '80', 0, 1479464671),
(152080, 72, 3825, 'CodevTT_RAF', '0', '0', 0, 1479464671),
(152081, 72, 3825, 'CodevTT_Dead Line', '', '', 0, 1479464671),
(152083, 72, 4159, 'CodevTT_RAF', '1', '0', 0, 1479464740),
(152084, 72, 4159, 'status', '20', '80', 0, 1479464740),
(152085, 72, 4159, 'CodevTT_RAF', '0', '0', 0, 1479464740),
(152087, 72, 4280, 'CodevTT_RAF', '', '0', 0, 1479464831),
(152088, 72, 4280, 'status', '20', '80', 0, 1479464831),
(152089, 72, 4280, 'CodevTT_RAF', '0', '0', 0, 1479464831),
(152090, 72, 4280, 'CodevTT_ChargeInit', '2', '0', 0, 1479464841),
(152091, 72, 4281, 'CodevTT_RAF', '2', '0', 0, 1479464884),
(152092, 72, 4281, 'status', '20', '80', 0, 1479464884),
(152093, 72, 4281, 'CodevTT_RAF', '0', '0', 0, 1479464884),
(152094, 72, 4281, 'CodevTT_Dead Line', '', '', 0, 1479464884),
(152095, 72, 4282, 'CodevTT_RAF', '5', '0', 0, 1479464903),
(152096, 72, 4282, 'status', '50', '80', 0, 1479464903),
(152097, 72, 4282, 'CodevTT_RAF', '0', '0', 0, 1479464903),
(152098, 72, 4282, 'CodevTT_Dead Line', '', '', 0, 1479464903),
(152100, 72, 4286, 'CodevTT_RAF', '2', '0', 0, 1479464938),
(152101, 72, 4286, 'status', '20', '80', 0, 1479464938),
(152102, 72, 4286, 'CodevTT_RAF', '0', '0', 0, 1479464938),
(152103, 72, 4845, 'CodevTT_RAF', '', '0', 0, 1479465024),
(152104, 72, 4845, 'status', '10', '80', 0, 1479465024),
(152105, 72, 4845, 'CodevTT_RAF', '0', '0', 0, 1479465024),
(152106, 72, 4845, 'CodevTT_Dead Line', '', '', 0, 1479465024),
(152107, 72, 4845, 'CodevTT_ChargeInit', '2', '0', 0, 1479465031),
(152108, 72, 4326, 'status', '10', '20', 0, 1479465089),
(152111, 72, 4331, 'CodevTT_RAF', '', '0', 0, 1479465125),
(152112, 72, 4331, 'status', '20', '80', 0, 1479465125),
(152113, 72, 4331, 'CodevTT_RAF', '0', '0', 0, 1479465125),
(152117, 2, 15161, 'summary', '43601 - CNBF - 16.0 Prov - 40998 - Enregistrements en doublon dans le fichier FDECCV7', '43778 [SPEC] DSi-2015-REV-ECHANGE CNAVPL/CNBF - uen seule ligne en asste taxé et présence regime 99  revenus de remplacement', 0, 1479465155),
(152118, 2, 15161, '', '3039', '', 6, 1479465155),
(152119, 2, 15161, 'CodevTT_Type', 'Bug', 'Task', 0, 1479465155),
(152120, 2, 15161, 'Ref. Externe', '43601', '43778', 0, 1479465155),
(152125, 2, 15716, '', '', '', 1, 1479465235),
(152126, 2, 15716, 'handler_id', '0', '169', 0, 1479465235),
(152127, 2, 15716, '', '', '15161', 21, 1479465235),
(152128, 2, 15161, '', '', '15716', 20, 1479465235),
(152129, 2, 15716, '', '2500', '15161', 18, 1479465257),
(152130, 2, 15161, '', '2501', '15716', 18, 1479465257),
(152131, 72, 7117, 'handler_id', '178', '0', 0, 1479465288),
(152132, 72, 7117, 'CodevTT_RAF', '1', '0', 0, 1479465288),
(152133, 72, 7117, 'status', '50', '80', 0, 1479465288),
(152134, 72, 7117, 'CodevTT_RAF', '0', '0', 0, 1479465288),
(152138, 72, 10166, 'CodevTT_RAF', '', '0', 0, 1479465362),
(152139, 72, 10166, 'status', '30', '80', 0, 1479465362),
(152140, 72, 10166, 'CodevTT_RAF', '0', '0', 0, 1479465362),
(152209, 74, 14721, 'CodevTT_RAF', '6.5', '6', 0, 1479479112),
(152210, 74, 14721, 'handler_id', '212', '74', 0, 1479479112),
(152211, 74, 14721, 'CodevTT_RAF', '6', '7', 0, 1479479126),
(152212, 74, 15377, 'CodevTT_RAF', '', '10', 0, 1479479202),
(152213, 74, 15377, 'status', '10', '50', 0, 1479479202),
(152214, 74, 15377, 'CodevTT_RAF', '10', '9', 0, 1479479215),
(152215, 74, 15377, 'CodevTT_RAF', '9', '10', 0, 1479479232),
(152227, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1479481638),
(152228, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1479481656),
(152229, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1479481672),
(152230, 164, 9951, 'CodevTT_RAF', '0', '0', 0, 1479481688),
(152243, 147, 15160, 'CodevTT_RAF', '0', '0', 0, 1479482713),
(152246, 147, 15160, 'CodevTT_RAF', '0', '0', 0, 1479483154),
(152247, 147, 14060, 'CodevTT_RAF', '4', '4', 0, 1479483185),
(152263, 72, 14721, 'CodevTT_RAF', '7', '7', 0, 1479485525),
(152269, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1479485743),
(152283, 169, 14164, 'CodevTT_RAF', '0', '0', 0, 1479488555),
(152284, 169, 15716, 'CodevTT_RAF', '', '10', 0, 1479488645),
(152285, 169, 15716, 'status', '10', '50', 0, 1479488645),
(152287, 169, 15716, 'CodevTT_RAF', '10', '5', 0, 1479488695),
(152288, 169, 14329, 'CodevTT_RAF', '3', '3', 0, 1479488753),
(152289, 169, 15287, 'CodevTT_RAF', '', '5', 0, 1479488814),
(152290, 169, 15287, 'status', '10', '50', 0, 1479488814),
(152291, 169, 14260, 'CodevTT_RAF', '2', '2', 0, 1479488862),
(152292, 169, 14260, 'CodevTT_RAF', '2', '2', 0, 1479488873),
(152720, 199, 14251, 'CodevTT_RAF', '1', '1', 0, 1479720322),
(152728, 199, 15318, 'CodevTT_RAF', '0.5', '0.5', 0, 1479720725),
(152729, 199, 15318, 'CodevTT_RAF', '0.5', '0.5', 0, 1479720739),
(152753, 217, 11115, 'CodevTT_RAF', '4', '3', 0, 1479723579),
(152871, 246, 14250, 'CodevTT_RAF', '3', '2', 0, 1479748549),
(152914, 217, 15766, '', '', '', 1, 1479805287),
(152915, 217, 15766, 'handler_id', '0', '205', 0, 1479805287),
(152916, 217, 15766, '', '', '11115', 21, 1479805287),
(152917, 217, 11115, '', '', '15766', 20, 1479805287),
(152918, 217, 15766, 'CodevTT_RAF', '', '3', 0, 1479805371),
(152919, 217, 15766, 'status', '10', '50', 0, 1479805371),
(152920, 217, 15766, 'handler_id', '205', '217', 0, 1479805371),
(152937, 205, 8454, 'CodevTT_RAF', '5', '2', 0, 1479809561),
(152938, 205, 8454, 'CodevTT_RAF', '2', '2', 0, 1479809636),
(152939, 205, 14278, 'CodevTT_RAF', '1', '0', 0, 1479809666),
(152940, 205, 14278, 'CodevTT_RAF', '0', '0', 0, 1479809666),
(152941, 205, 14278, 'status', '50', '80', 0, 1479809666),
(152942, 205, 10396, 'CodevTT_RAF', '4', '0.5', 0, 1479809702),
(152947, 205, 8454, 'CodevTT_RAF', '2', '2', 0, 1479809890),
(152952, 205, 8454, '', '', '15767', 20, 1479809991),
(152993, 217, 15766, 'CodevTT_RAF', '3', '0', 0, 1479812133),
(152994, 217, 15766, 'CodevTT_RAF', '0', '0', 0, 1479812133),
(152995, 217, 15766, 'status', '50', '80', 0, 1479812133),
(153002, 72, 15769, '', '', '', 1, 1479817028),
(153003, 72, 15769, 'handler_id', '0', '72', 0, 1479817028),
(153004, 72, 15770, '', '', '', 1, 1479817085),
(153005, 72, 15770, 'handler_id', '0', '72', 0, 1479817085),
(153006, 72, 15770, '', '', '15769', 21, 1479817085),
(153007, 72, 15769, '', '', '15770', 20, 1479817085),
(153008, 72, 15769, '', '2501', '15770', 18, 1479817085),
(153009, 72, 15770, '', '2500', '15769', 18, 1479817085),
(153010, 72, 15769, 'CodevTT_RAF', '', '0', 0, 1479817264),
(153011, 72, 15769, 'CodevTT_RAF', '0', '0', 0, 1479817264),
(153012, 72, 15769, 'status', '10', '80', 0, 1479817264),
(153013, 72, 15769, 'CodevTT_RAF', '0', '0', 0, 1479817337),
(153029, 212, 14716, 'CodevTT_RAF', '5', '4.5', 0, 1479818198),
(153038, 212, 15377, 'CodevTT_RAF', '10', '9.5', 0, 1479818259),
(153044, 212, 14716, 'CodevTT_RAF', '4.5', '3.5', 0, 1479818318),
(153052, 212, 15377, 'CodevTT_RAF', '9.5', '9', 0, 1479818843),
(153053, 212, 14721, 'CodevTT_RAF', '7', '6.5', 0, 1479818874),
(153054, 212, 14716, 'CodevTT_RAF', '3.5', '2.5', 0, 1479818936),
(153055, 212, 14716, 'CodevTT_RAF', '2.5', '2', 0, 1479818967),
(153056, 212, 14716, 'CodevTT_RAF', '2', '2.5', 0, 1479819088),
(153057, 212, 15377, 'CodevTT_RAF', '9', '8.5', 0, 1479819128),
(153069, 147, 14060, 'CodevTT_RAF', '4', '3', 0, 1479819833),
(153075, 147, 14060, 'CodevTT_RAF', '3', '3', 0, 1479819881),
(153078, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1479819932),
(153079, 147, 14060, 'CodevTT_RAF', '3', '2', 0, 1479819964),
(153099, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1479824981),
(153100, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1479825014),
(153112, 157, 15165, 'CodevTT_RAF', '1.5', '1', 0, 1479827541),
(153113, 157, 15320, 'CodevTT_RAF', '0.5', '0', 0, 1479827577),
(153114, 157, 15320, 'CodevTT_RAF', '0', '0', 0, 1479827577),
(153115, 157, 15320, 'status', '50', '80', 0, 1479827577),
(153116, 157, 15775, '', '', '', 1, 1479827993),
(153117, 157, 15775, 'handler_id', '0', '157', 0, 1479827993),
(153118, 157, 15775, 'CodevTT_RAF', '', '0', 0, 1479828046),
(153119, 157, 15775, 'CodevTT_RAF', '0', '0', 0, 1479828046),
(153120, 157, 15775, 'status', '10', '80', 0, 1479828046),
(153121, 157, 15284, 'CodevTT_RAF', '1.5', '0', 0, 1479828102),
(153122, 157, 15284, 'status', '50', '80', 0, 1479828102),
(153123, 157, 15284, 'CodevTT_RAF', '0', '0', 0, 1479828102),
(153124, 157, 15284, 'CodevTT_Dead Line', '', '', 0, 1479828102),
(153125, 157, 15286, 'CodevTT_RAF', '', '0', 0, 1479828139),
(153126, 157, 15286, 'status', '10', '80', 0, 1479828139),
(153127, 157, 15286, 'CodevTT_RAF', '0', '0', 0, 1479828139),
(153128, 157, 15290, 'CodevTT_RAF', '0.5', '0', 0, 1479828166),
(153129, 157, 15290, 'status', '50', '80', 0, 1479828166),
(153130, 157, 15290, 'CodevTT_RAF', '0', '0', 0, 1479828166),
(153131, 157, 15290, 'CodevTT_Dead Line', '', '', 0, 1479828166),
(153132, 157, 14827, 'CodevTT_RAF', '0.5', '0', 0, 1479828202),
(153133, 157, 14827, 'status', '50', '80', 0, 1479828202),
(153134, 157, 14827, 'CodevTT_RAF', '0', '0', 0, 1479828202),
(153135, 157, 14827, 'CodevTT_Dead Line', '', '', 0, 1479828202),
(153136, 157, 15288, 'CodevTT_RAF', '0.5', '0', 0, 1479828234),
(153137, 157, 15288, 'status', '50', '80', 0, 1479828234),
(153138, 157, 15288, 'CodevTT_RAF', '0', '0', 0, 1479828234),
(153239, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1479833714),
(153240, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1479833732),
(153267, 72, 15779, '', '', '', 1, 1479884967),
(153268, 72, 15779, 'handler_id', '0', '199', 0, 1479884967),
(153269, 72, 15780, '', '', '', 1, 1479885035),
(153270, 72, 15780, 'handler_id', '0', '199', 0, 1479885035),
(153271, 72, 15780, '', '', '15779', 21, 1479885035),
(153272, 72, 15779, '', '', '15780', 20, 1479885035),
(153273, 72, 15779, '', '2501', '15780', 18, 1479885036),
(153274, 72, 15780, '', '2500', '15779', 18, 1479885036),
(153275, 72, 15781, '', '', '', 1, 1479885187),
(153276, 72, 15782, '', '', '', 1, 1479885320),
(153277, 72, 15782, '', '', '15781', 21, 1479885320),
(153278, 72, 15781, '', '', '15782', 20, 1479885320),
(153279, 72, 15781, '', '2501', '15782', 18, 1479885320),
(153280, 72, 15782, '', '2500', '15781', 18, 1479885320),
(153299, 246, 14250, 'CodevTT_RAF', '2', '2', 0, 1479889146),
(153300, 212, 14716, 'CodevTT_RAF', '2.5', '1.5', 0, 1479889874),
(153301, 212, 14716, 'CodevTT_RAF', '1.5', '0.5', 0, 1479889914),
(153302, 212, 14721, 'CodevTT_RAF', '6.5', '6', 0, 1479890035),
(153303, 212, 15377, 'CodevTT_RAF', '8.5', '7.5', 0, 1479890064),
(153386, 72, 15770, 'CodevTT_ChargeMgr', '2', '1.6', 0, 1479900357),
(153483, 217, 15785, '', '', '', 1, 1479914810),
(153484, 217, 15785, 'handler_id', '0', '217', 0, 1479914810),
(153485, 217, 15785, '', '', '8454', 21, 1479914810),
(153486, 217, 8454, '', '', '15785', 20, 1479914810),
(153487, 217, 15785, 'CodevTT_RAF', '', '3', 0, 1479914840),
(153488, 217, 15785, 'status', '10', '50', 0, 1479914840),
(153489, 217, 15785, 'CodevTT_RAF', '3', '3', 0, 1479914853),
(153490, 217, 15785, 'CodevTT_RAF', '3', '2', 0, 1479914868),
(153491, 217, 15766, 'CodevTT_RAF', '0', '0', 0, 1479914889),
(153498, 157, 15317, 'CodevTT_RAF', '', '0.5', 0, 1479915137),
(153499, 157, 15317, 'status', '10', '50', 0, 1479915137),
(153500, 157, 15260, 'CodevTT_RAF', '2', '0', 0, 1479915170),
(153501, 157, 15260, 'CodevTT_RAF', '0', '0', 0, 1479915170),
(153502, 157, 15260, 'status', '50', '80', 0, 1479915170),
(153538, 146, 15571, 'CodevTT_RAF', '10', '8', 0, 1479917881),
(153539, 146, 15571, 'CodevTT_RAF', '8', '8', 0, 1479917919),
(153540, 146, 15571, 'CodevTT_RAF', '8', '8', 0, 1479917930),
(153542, 246, 14250, 'CodevTT_RAF', '2', '2', 0, 1479919981),
(153589, 72, 14710, 'handler_id', '199', '217', 0, 1479968167),
(153590, 72, 14710, 'CodevTT_Dead Line', '', '', 0, 1479968167),
(153591, 72, 14710, 'CodevTT_ChargeMgr', '', '0', 0, 1479968222),
(153592, 72, 14710, 'CodevTT_ChargeInit', '2', '3', 0, 1479968222),
(153593, 72, 14710, 'CodevTT_RAF', '4.8', '2', 0, 1479968222),
(153594, 72, 15781, 'handler_id', '0', '168', 0, 1479970985),
(153595, 72, 15781, 'CodevTT_Dead Line', '', '', 0, 1479970985),
(153596, 72, 15782, 'handler_id', '0', '168', 0, 1479971011),
(153597, 72, 15782, 'CodevTT_Dead Line', '', '', 0, 1479971011),
(153969, 134, 13774, 'CodevTT_RAF', '7', '5', 0, 1479991669),
(153970, 134, 13774, 'CodevTT_RAF', '5', '5', 0, 1479991679),
(153973, 134, 13774, 'CodevTT_RAF', '5', '5', 0, 1479991687),
(153974, 134, 13774, 'CodevTT_RAF', '5', '5', 0, 1479991696),
(153975, 134, 13774, 'CodevTT_RAF', '5', '5', 0, 1479991715),
(154030, 74, 15377, 'CodevTT_RAF', '7.5', '5', 0, 1479993611),
(154647, 205, 14049, 'handler_id', '205', '217', 0, 1480087626),
(154646, 205, 13589, 'handler_id', '217', '205', 0, 1480087523),
(154645, 205, 10396, 'handler_id', '217', '205', 0, 1480087439),
(154644, 157, 15285, 'status', '50', '80', 0, 1480087214),
(154643, 157, 15285, 'CodevTT_RAF', '0', '0', 0, 1480087214),
(154273, 72, 14263, 'CodevTT_ChargeMgr', '2', '0', 0, 1480000486),
(154306, 72, 15770, 'CodevTT_RAF', '', '0.5', 0, 1480000970),
(154307, 72, 15770, 'status', '10', '50', 0, 1480000970),
(154311, 72, 15770, 'CodevTT_RAF', '0.5', '0', 0, 1480000996),
(154312, 72, 15770, 'CodevTT_RAF', '0', '0', 0, 1480000996),
(154313, 72, 15770, 'status', '50', '80', 0, 1480000996),
(154317, 72, 15165, '', '8434', '', 2, 1480001060),
(154318, 72, 15165, 'CodevTT_RAF', '1', '1', 0, 1480001060),
(154323, 199, 15319, 'CodevTT_RAF', '', '0', 0, 1480001316),
(154324, 199, 15319, 'CodevTT_RAF', '0', '0', 0, 1480001317),
(154325, 199, 15319, 'status', '10', '80', 0, 1480001317),
(154326, 199, 14251, 'CodevTT_RAF', '1', '0', 0, 1480001536),
(154327, 199, 14251, 'CodevTT_RAF', '0', '0', 0, 1480001536),
(154328, 199, 14251, 'status', '50', '80', 0, 1480001536),
(154329, 199, 14251, 'CodevTT_RAF', '0', '0', 0, 1480001554),
(154330, 199, 15318, 'CodevTT_RAF', '0.5', '0', 0, 1480001774),
(154331, 199, 15318, 'CodevTT_RAF', '0', '0', 0, 1480001774),
(154332, 199, 15318, 'status', '50', '80', 0, 1480001774),
(154333, 199, 15318, 'CodevTT_RAF', '0', '0', 0, 1480001790),
(154334, 199, 14807, 'CodevTT_RAF', '2', '7', 0, 1480001905),
(154335, 199, 14807, 'status', '20', '50', 0, 1480001905),
(154368, 157, 15285, 'CodevTT_RAF', '0.5', '0.5', 0, 1480004400),
(154373, 157, 15317, 'CodevTT_RAF', '0.5', '0', 0, 1480004468),
(154374, 157, 15317, 'CodevTT_RAF', '0', '0', 0, 1480004468),
(154375, 157, 15317, 'status', '50', '80', 0, 1480004468),
(154456, 205, 8454, 'CodevTT_RAF', '2', '2', 0, 1480062594),
(154457, 205, 8454, 'CodevTT_RAF', '2', '2', 0, 1480062784),
(154458, 205, 8454, 'CodevTT_RAF', '2', '2', 0, 1480062861),
(154502, 72, 15318, 'CodevTT_ChargeMgr', '', '5.5', 0, 1480077347),
(154503, 72, 15319, 'CodevTT_ChargeMgr', '', '4', 0, 1480077375),
(154504, 72, 15377, '', '3137', '', 6, 1480077486),
(154505, 72, 15377, 'CodevTT_ChargeMgr', '', '2', 0, 1480077513),
(154506, 147, 14060, 'CodevTT_RAF', '2', '2', 0, 1480078761),
(154507, 147, 14060, 'CodevTT_RAF', '2', '2', 0, 1480078791),
(154508, 147, 14060, 'CodevTT_RAF', '2', '1', 0, 1480078815),
(154509, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1480079129),
(154510, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1480079176),
(154511, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1480079620),
(154512, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1480079634),
(154540, 199, 14807, 'status', '50', '20', 0, 1480082982),
(154550, 205, 12783, 'status', '10', '80', 0, 1480086140),
(154551, 205, 12783, 'resolution', '10', '20', 0, 1480086140),
(154552, 205, 12783, 'handler_id', '0', '205', 0, 1480086140),
(154553, 205, 12164, 'status', '10', '80', 0, 1480086140),
(154554, 205, 12164, 'resolution', '10', '20', 0, 1480086140),
(154555, 205, 12164, 'handler_id', '0', '205', 0, 1480086140),
(154556, 205, 12163, 'status', '10', '80', 0, 1480086141),
(154557, 205, 12163, 'resolution', '10', '20', 0, 1480086141),
(154558, 205, 12163, 'handler_id', '0', '205', 0, 1480086141),
(154559, 205, 12161, 'status', '10', '80', 0, 1480086141),
(154560, 205, 12161, 'resolution', '10', '20', 0, 1480086141),
(154561, 205, 12161, 'handler_id', '0', '205', 0, 1480086141),
(154562, 205, 12152, 'status', '10', '80', 0, 1480086141),
(154563, 205, 12152, 'resolution', '10', '20', 0, 1480086141),
(154564, 205, 12152, 'handler_id', '0', '205', 0, 1480086141),
(154565, 205, 14240, 'status', '10', '80', 0, 1480086141),
(154566, 205, 14240, 'resolution', '10', '20', 0, 1480086141),
(154567, 205, 14195, 'status', '10', '80', 0, 1480086141),
(154568, 205, 14195, 'resolution', '10', '20', 0, 1480086141),
(154569, 205, 14194, 'status', '10', '80', 0, 1480086141),
(154570, 205, 14194, 'resolution', '10', '20', 0, 1480086141),
(154571, 205, 13622, 'status', '10', '80', 0, 1480086141),
(154572, 205, 13622, 'resolution', '10', '20', 0, 1480086141),
(154573, 205, 7120, 'status', '10', '80', 0, 1480086141),
(154574, 205, 7120, 'resolution', '10', '20', 0, 1480086141),
(154575, 205, 7120, 'handler_id', '0', '205', 0, 1480086141),
(154576, 205, 4917, 'status', '10', '80', 0, 1480086141),
(154577, 205, 4917, 'resolution', '10', '20', 0, 1480086141),
(154578, 205, 4917, 'handler_id', '0', '205', 0, 1480086141),
(154579, 205, 13775, 'status', '50', '80', 0, 1480086141),
(154580, 205, 13775, 'resolution', '10', '20', 0, 1480086141),
(154581, 205, 12154, 'status', '50', '80', 0, 1480086141),
(154582, 205, 12154, 'resolution', '10', '20', 0, 1480086141),
(154583, 205, 14595, 'status', '50', '80', 0, 1480086141),
(154584, 205, 14595, 'resolution', '10', '20', 0, 1480086141),
(154585, 205, 14594, 'status', '50', '80', 0, 1480086141),
(154586, 205, 14594, 'resolution', '10', '20', 0, 1480086141),
(154587, 205, 12137, 'status', '50', '80', 0, 1480086141),
(154588, 205, 12137, 'resolution', '10', '20', 0, 1480086141),
(154589, 205, 14645, 'status', '50', '80', 0, 1480086141),
(154590, 205, 14645, 'resolution', '10', '20', 0, 1480086141),
(154591, 205, 11115, 'status', '50', '80', 0, 1480086402),
(154592, 205, 11115, 'resolution', '10', '20', 0, 1480086402),
(154593, 205, 14593, 'status', '50', '80', 0, 1480086402),
(154594, 205, 14593, 'resolution', '10', '20', 0, 1480086402),
(154595, 205, 14289, 'status', '50', '80', 0, 1480086402),
(154596, 205, 14289, 'resolution', '10', '20', 0, 1480086402),
(154597, 205, 14206, 'status', '50', '80', 0, 1480086402),
(154598, 205, 14206, 'resolution', '10', '20', 0, 1480086402),
(154599, 205, 14817, 'status', '50', '80', 0, 1480086402),
(154600, 205, 14817, 'resolution', '10', '20', 0, 1480086402),
(154601, 205, 14820, 'status', '50', '80', 0, 1480086402),
(154602, 205, 14820, 'resolution', '10', '20', 0, 1480086402),
(154603, 205, 14596, 'status', '50', '80', 0, 1480086402),
(154604, 205, 14596, 'resolution', '10', '20', 0, 1480086402),
(154605, 205, 14239, 'status', '50', '80', 0, 1480086402),
(154606, 205, 14239, 'resolution', '10', '20', 0, 1480086402),
(154607, 205, 13686, 'status', '50', '80', 0, 1480086402),
(154608, 205, 13686, 'resolution', '10', '20', 0, 1480086402),
(154609, 205, 13624, 'status', '50', '80', 0, 1480086402),
(154610, 205, 13624, 'resolution', '10', '20', 0, 1480086403),
(154611, 205, 13545, 'status', '50', '80', 0, 1480086403),
(154612, 205, 13545, 'resolution', '10', '20', 0, 1480086403),
(154613, 205, 13688, 'status', '50', '80', 0, 1480086403),
(154614, 205, 13688, 'resolution', '10', '20', 0, 1480086403),
(154615, 205, 12845, 'status', '50', '80', 0, 1480086403),
(154616, 205, 12845, 'resolution', '10', '20', 0, 1480086403),
(154617, 205, 11116, 'status', '50', '80', 0, 1480086403),
(154618, 205, 11116, 'resolution', '10', '20', 0, 1480086403),
(154619, 205, 4985, 'status', '50', '80', 0, 1480086403),
(154620, 205, 4985, 'resolution', '10', '20', 0, 1480086403),
(154621, 72, 15398, 'CodevTT_RAF', '0.8', '0', 0, 1480086921),
(154622, 72, 15398, 'status', '50', '80', 0, 1480086921),
(154623, 72, 15398, 'CodevTT_RAF', '0', '0', 0, 1480086921),
(154624, 72, 14329, 'CodevTT_RAF', '3', '0', 0, 1480086983),
(154625, 72, 14329, 'status', '50', '80', 0, 1480086983),
(154626, 72, 14329, 'CodevTT_RAF', '0', '0', 0, 1480086983),
(154627, 72, 14329, 'CodevTT_Dead Line', '', '', 0, 1480086983),
(154628, 205, 10392, 'status', '50', '80', 0, 1480086987),
(154629, 205, 10392, 'resolution', '10', '20', 0, 1480086987),
(154630, 205, 10392, 'CodevTT_RAF', '4', '0', 0, 1480086987),
(154631, 205, 10397, 'status', '50', '80', 0, 1480087071),
(154632, 205, 10397, 'resolution', '10', '20', 0, 1480087071),
(154633, 205, 10397, 'CodevTT_RAF', '2', '0', 0, 1480087071),
(154634, 157, 15288, 'CodevTT_RAF', '0', '0', 0, 1480087088),
(154635, 205, 10399, 'handler_id', '217', '205', 0, 1480087117),
(154636, 157, 15164, 'CodevTT_RAF', '', '19.5', 0, 1480087144),
(154637, 157, 15164, 'status', '10', '50', 0, 1480087144),
(154642, 157, 15285, 'CodevTT_RAF', '0.5', '0', 0, 1480087214),
(154648, 205, 10041, 'status', '50', '80', 0, 1480087699),
(154649, 205, 10041, 'resolution', '10', '20', 0, 1480087699),
(154650, 205, 10041, 'CodevTT_RAF', '1', '0', 0, 1480087699),
(154651, 205, 12183, 'status', '50', '80', 0, 1480087793),
(154652, 205, 12183, 'resolution', '10', '20', 0, 1480087793),
(154653, 205, 12183, 'CodevTT_RAF', '1', '0', 0, 1480087793),
(154654, 212, 15377, 'CodevTT_RAF', '5', '7.5', 0, 1480087873),
(154655, 199, 14263, 'status', '50', '20', 0, 1480088005),
(154656, 212, 15377, 'CodevTT_RAF', '7.5', '6.5', 0, 1480088013),
(154657, 212, 15377, 'CodevTT_RAF', '6.5', '5.5', 0, 1480088049),
(154660, 205, 15309, 'handler_id', '205', '168', 0, 1480088064),
(154661, 199, 14807, 'CodevTT_RAF', '7', '2', 0, 1480088191),
(154662, 322, 15785, 'CodevTT_RAF', '2', '3', 0, 1480088285),
(154663, 322, 15785, 'handler_id', '217', '322', 0, 1480088286),
(154664, 322, 15785, 'CodevTT_RAF', '3', '4', 0, 1480088318),
(154665, 322, 15785, 'CodevTT_RAF', '4', '4', 0, 1480088342),
(154666, 322, 15785, 'CodevTT_RAF', '4', '2', 0, 1480088360),
(154667, 322, 15785, 'CodevTT_RAF', '2', '1', 0, 1480088369),
(154668, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1480088732),
(154669, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1480088746),
(154670, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1480088755),
(154671, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1480088763),
(154672, 199, 15318, 'CodevTT_RAF', '0', '0', 0, 1480088824),
(154680, 199, 14264, 'status', '50', '20', 0, 1480089173),
(154684, 72, 13002, 'CodevTT_RAF', '1', '0', 0, 1480089533),
(154685, 72, 13002, 'status', '50', '80', 0, 1480089533),
(154686, 72, 13002, 'CodevTT_RAF', '0', '0', 0, 1480089533),
(154688, 322, 14791, 'CodevTT_RAF', '0', '10', 0, 1480089824),
(154689, 322, 14791, 'status', '80', '50', 0, 1480089824),
(154690, 322, 14791, 'handler_id', '146', '322', 0, 1480089824),
(154691, 322, 14791, 'CodevTT_RAF', '10', '10', 0, 1480089838),
(154692, 322, 14791, 'CodevTT_RAF', '10', '10', 0, 1480089849),
(154693, 322, 14791, 'CodevTT_RAF', '10', '10', 0, 1480089858),
(154694, 322, 14791, 'CodevTT_RAF', '10', '10', 0, 1480089867),
(154697, 169, 15375, 'CodevTT_RAF', '', '1', 0, 1480090219),
(154698, 169, 15375, 'status', '10', '50', 0, 1480090219),
(154699, 169, 15375, 'CodevTT_RAF', '1', '0.5', 0, 1480090246),
(154700, 169, 15375, '', '8451', '', 2, 1480090313),
(154710, 169, 15716, 'CodevTT_RAF', '5', '2', 0, 1480090558),
(154711, 169, 14260, 'CodevTT_RAF', '2', '1', 0, 1480090622),
(154712, 169, 14260, 'CodevTT_RAF', '1', '0', 0, 1480090637),
(154713, 169, 14260, 'CodevTT_RAF', '0', '0', 0, 1480090637),
(154714, 169, 14260, 'status', '50', '80', 0, 1480090637),
(154715, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1480090946),
(154716, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1480090956),
(154717, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1480090969),
(154748, 205, 10399, 'CodevTT_RAF', '4', '10', 0, 1480091949),
(154749, 205, 8454, 'CodevTT_RAF', '2', '8', 0, 1480091969),
(154875, 74, 15377, 'CodevTT_RAF', '5.5', '10', 0, 1480320033),
(154876, 74, 15377, 'CodevTT_RAF', '10', '10', 0, 1480320042),
(154877, 74, 15377, 'CodevTT_RAF', '10', '10', 0, 1480320055),
(154878, 74, 14721, 'CodevTT_RAF', '6', '6', 0, 1480320072),
(154886, 217, 8454, 'CodevTT_RAF', '8', '7', 0, 1480321718),
(154887, 217, 8454, 'CodevTT_RAF', '7', '7', 0, 1480321742),
(154888, 217, 14710, 'CodevTT_RAF', '2', '3', 0, 1480321844),
(154889, 217, 14710, 'CodevTT_RAF', '3', '2', 0, 1480321869),
(154890, 217, 14710, 'CodevTT_RAF', '2', '2', 0, 1480321881),
(154892, 217, 15832, '', '', '', 1, 1480322219),
(154893, 217, 15832, 'handler_id', '0', '217', 0, 1480322219),
(154894, 217, 15832, '', '', '15785', 21, 1480322219),
(154895, 217, 15785, '', '', '15832', 20, 1480322219),
(154896, 217, 15832, 'CodevTT_RAF', '', '3', 0, 1480322267),
(154897, 217, 15832, 'status', '10', '50', 0, 1480322267),
(154940, 169, 15716, 'CodevTT_RAF', '2', '1', 0, 1480324802),
(154953, 217, 15833, '', '', '', 1, 1480326066),
(154954, 217, 15833, 'handler_id', '0', '217', 0, 1480326066),
(154955, 217, 15833, '', '', '11116', 21, 1480326066),
(154956, 217, 11116, '', '', '15833', 20, 1480326066),
(154957, 217, 15833, 'CodevTT_RAF', '', '5', 0, 1480326102),
(154958, 217, 15833, 'status', '10', '50', 0, 1480326102),
(154961, 217, 15834, '', '', '', 1, 1480328700),
(154962, 217, 15834, 'handler_id', '0', '217', 0, 1480328700),
(154963, 217, 15834, '', '', '15833', 21, 1480328700),
(154964, 217, 15833, '', '', '15834', 20, 1480328700),
(154965, 217, 15833, 'summary', 'GAC-4463 MOA_GAC_PAS DE POSE INSTANCE 44', 'GAC-4663 MOA_GAC_PAS DE POSE INSTANCE 44', 0, 1480328741),
(154966, 217, 15833, 'Ref. Externe', '4463', '4663', 0, 1480328741),
(154967, 217, 15833, 'CodevTT_RAF', '5', '5', 0, 1480328817),
(154968, 217, 15834, 'CodevTT_RAF', '', '0', 0, 1480328852),
(154969, 217, 15834, 'CodevTT_RAF', '0', '0', 0, 1480328852),
(154970, 217, 15834, 'status', '10', '80', 0, 1480328852),
(155028, 217, 15835, '', '', '', 1, 1480345534),
(155029, 217, 15835, 'handler_id', '0', '217', 0, 1480345534),
(155030, 217, 15835, '', '', '15833', 21, 1480345534),
(155031, 217, 15833, '', '', '15835', 20, 1480345534),
(155032, 217, 15835, 'CodevTT_RAF', '', '7.7', 0, 1480345637),
(155033, 217, 15835, 'status', '10', '50', 0, 1480345637),
(155034, 169, 15376, 'CodevTT_RAF', '', '0.5', 0, 1480346356),
(155035, 169, 15376, 'status', '10', '50', 0, 1480346359),
(155036, 169, 15376, 'CodevTT_RAF', '0.5', '0', 0, 1480346394),
(155037, 169, 15376, 'CodevTT_RAF', '0', '0', 0, 1480346394),
(155038, 169, 15376, 'status', '50', '80', 0, 1480346394),
(155039, 205, 10426, 'CodevTT_RAF', '0', '0', 0, 1480348437),
(155048, 2, 14791, 'CodevTT_ChargeInit', '4', '72', 0, 1480349294),
(155049, 2, 14791, 'CodevTT_RAF', '10', '30', 0, 1480349294),
(155050, 2, 14791, 'CodevTT_ChargeInit', '72', '62', 0, 1480349368),
(155051, 72, 15836, '', '', '', 1, 1480349637),
(155052, 72, 15836, 'handler_id', '0', '147', 0, 1480349637),
(155053, 72, 15836, '', '', '10623', 21, 1480349637),
(155054, 72, 10623, '', '', '15836', 20, 1480349637),
(155055, 72, 10623, '', '2500', '15836', 18, 1480349637),
(155056, 72, 15836, '', '2501', '10623', 18, 1480349637),
(155057, 72, 15836, '', '3148', '', 6, 1480349862),
(155058, 2, 14791, '', '8472', '', 2, 1480349985),
(155059, 2, 14791, 'CodevTT_RAF', '30', '30', 0, 1480349985),
(155060, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1480350027),
(155094, 72, 15319, 'CodevTT_RAF', '0', '0', 0, 1480404711),
(155095, 72, 14243, 'CodevTT_RAF', '0', '0', 0, 1480404778),
(155096, 217, 14278, 'CodevTT_RAF', '0', '0', 0, 1480405178),
(155097, 217, 14278, 'CodevTT_RAF', '0', '4', 0, 1480405202),
(155098, 217, 14278, 'status', '80', '50', 0, 1480405202),
(155109, 147, 15836, 'CodevTT_RAF', '', '4', 0, 1480408165),
(155110, 147, 15836, 'status', '10', '50', 0, 1480408165),
(155111, 147, 15836, 'CodevTT_RAF', '4', '3', 0, 1480408178),
(155112, 72, 15316, 'CodevTT_ChargeMgr', '', '1', 0, 1480408871),
(155113, 72, 15317, 'CodevTT_ChargeMgr', '', '2', 0, 1480408932),
(155114, 72, 15377, '', '3149', '', 6, 1480409015),
(155115, 72, 15377, 'CodevTT_ChargeMgr', '2', '3', 0, 1480409015),
(155151, 157, 15165, 'CodevTT_RAF', '1', '0.5', 0, 1480413359),
(155152, 157, 15260, 'CodevTT_RAF', '0', '0', 0, 1480413385),
(155153, 157, 15164, 'CodevTT_RAF', '19.5', '18.5', 0, 1480413412),
(155156, 169, 15716, 'CodevTT_RAF', '1', '0', 0, 1480415708),
(155157, 169, 15716, 'CodevTT_RAF', '0', '0', 0, 1480415708),
(155158, 169, 15716, 'status', '50', '80', 0, 1480415708),
(155159, 72, 14253, 'CodevTT_ChargeMgr', '', '0', 0, 1480421784),
(155160, 72, 14252, 'CodevTT_ChargeMgr', '', '0', 0, 1480421845),
(155161, 72, 14252, 'CodevTT_ChargeInit', '1', '0', 0, 1480421845),
(155162, 72, 14252, 'CodevTT_RAF', '', '0', 0, 1480421845),
(155167, 72, 15840, '', '', '', 1, 1480422583),
(155168, 72, 15840, 'handler_id', '0', '134', 0, 1480422583),
(155184, 72, 15161, 'CodevTT_RAF', '3', '1', 0, 1480423305),
(155185, 72, 15283, 'RSI_Type_Ano', '', 'Production', 0, 1480423511),
(155186, 72, 15284, 'RSI_Type_Ano', '', 'Recette', 0, 1480423578),
(155187, 72, 15285, 'RSI_Type_Ano', '', 'Recette', 0, 1480423638),
(155188, 72, 15287, 'RSI_Type_Ano', '', 'Production', 0, 1480423690),
(155189, 72, 15288, 'RSI_Type_Ano', '', 'Recette', 0, 1480423742),
(155190, 72, 15290, 'RSI_Type_Ano', '', 'Recette', 0, 1480423851),
(155191, 72, 15289, 'RSI_Type_Ano', '', 'Recette', 0, 1480423851),
(155210, 72, 15841, '', '', '', 1, 1480426755),
(155211, 72, 15841, 'handler_id', '0', '169', 0, 1480426755),
(155215, 72, 15843, '', '', '', 1, 1480426814),
(155216, 72, 15843, 'handler_id', '0', '169', 0, 1480426814),
(155217, 72, 15843, '', '', '15841', 21, 1480426814),
(155218, 72, 15841, '', '', '15843', 20, 1480426814),
(155219, 72, 15841, '', '2501', '15843', 18, 1480426814),
(155220, 72, 15843, '', '2500', '15841', 18, 1480426814),
(155287, 168, 15781, 'CodevTT_RAF', '', '0', 0, 1480496325),
(155288, 168, 15781, 'CodevTT_RAF', '0', '0', 0, 1480496325),
(155289, 168, 15781, 'status', '10', '80', 0, 1480496325),
(155290, 168, 15781, 'CodevTT_RAF', '0', '0', 0, 1480496357),
(155291, 168, 15781, 'CodevTT_RAF', '0', '1', 0, 1480496826),
(155292, 168, 10746, 'CodevTT_RAF', '', '1', 0, 1480496859),
(155293, 168, 10746, 'CodevTT_RAF', '1', '1', 0, 1480496892),
(155294, 168, 10746, 'CodevTT_RAF', '1', '.1', 0, 1480496933),
(155295, 168, 10746, 'CodevTT_RAF', '.1', '1', 0, 1480496959),
(155296, 168, 10746, 'CodevTT_RAF', '1', '1', 0, 1480497000),
(155297, 168, 10746, 'handler_id', '74', '168', 0, 1480497000),
(155298, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1480497583),
(155343, 217, 15785, 'CodevTT_RAF', '1', '1', 0, 1480501660),
(155344, 217, 8454, 'CodevTT_RAF', '7', '1', 0, 1480501692),
(155345, 217, 8454, 'CodevTT_RAF', '1', '15', 0, 1480501707),
(155346, 217, 15833, 'CodevTT_RAF', '5', '5', 0, 1480501736),
(155347, 217, 15833, 'CodevTT_RAF', '5', '4', 0, 1480501763),
(155348, 217, 15835, 'CodevTT_RAF', '7.7', '7', 0, 1480501857),
(155349, 217, 14278, 'CodevTT_RAF', '4', '4', 0, 1480501902),
(155387, 72, 15849, 'Ref. Externe', '', '43817', 0, 1480511807),
(155388, 72, 15849, 'CodevTT_ChargeInit', '', '2', 0, 1480511807),
(155389, 72, 15849, 'handler_id', '0', '199', 0, 1480511807),
(155390, 72, 15849, 'codevtt_type', '', 'Bug', 0, 1480511807),
(155391, 72, 15850, 'Ref. Externe', '', '43840', 0, 1480511807),
(155392, 72, 15850, 'CodevTT_ChargeInit', '', '2', 0, 1480511807),
(155393, 72, 15850, 'codevtt_type', '', 'Bug', 0, 1480511807),
(155429, 72, 12689, 'summary', '42991 - [DEX]  PUMA - TAIGA - Rattachement RNIAM', '42991 - [DEX]  PUMA - TAIGA - Rattachement RNIAM -07S', 0, 1480515450),
(155432, 72, 12688, 'summary', '42991 - [DEV]  PUMA - TAIGA - Rattachement RNIAM', '42991 - [DEV]  PUMA - TAIGA - Rattachement RNIAM - 07S', 0, 1480515887),
(155456, 322, 14791, 'CodevTT_RAF', '30', '30', 0, 1480523980),
(155457, 146, 15571, 'CodevTT_RAF', '8', '5', 0, 1480523983),
(155458, 322, 14791, 'CodevTT_RAF', '30', '19', 0, 1480524005),
(155459, 146, 15571, 'CodevTT_RAF', '5', '1', 0, 1480524006),
(155460, 146, 15571, 'CodevTT_RAF', '1', '5', 0, 1480524017),
(155461, 146, 15571, 'CodevTT_RAF', '5', '5', 0, 1480524293),
(155514, 72, 14791, 'CodevTT_RAF', '19', '19', 0, 1480577887),
(155773, 217, 15833, 'CodevTT_RAF', '4', '0', 0, 1480584834),
(155774, 217, 15833, 'CodevTT_RAF', '0', '0', 0, 1480584834),
(155775, 217, 15833, 'status', '50', '80', 0, 1480584834),
(155776, 217, 15833, 'CodevTT_RAF', '0', '0', 0, 1480584845),
(155833, 72, 15779, 'CodevTT_ChargeMgr', '0', '3', 0, 1480587961),
(155839, 72, 15780, 'CodevTT_ChargeMgr', '0', '6', 0, 1480588010),
(155840, 72, 15780, 'CodevTT_ChargeInit', '2', '0', 0, 1480588010),
(155853, 72, 14721, '', '3154', '', 6, 1480588194),
(155854, 72, 14721, 'CodevTT_ChargeMgr', '9.5', '12.5', 0, 1480588194),
(155855, 72, 15779, 'CodevTT_ChargeInit', '2', '0', 0, 1480588328),
(155857, 72, 15840, 'CodevTT_RAF', '', '0', 0, 1480588433),
(155858, 72, 15840, 'CodevTT_RAF', '0', '0', 0, 1480588433),
(155859, 72, 15840, 'status', '10', '80', 0, 1480588433),
(155863, 72, 13774, 'CodevTT_RAF', '5', '4', 0, 1480588484),
(155872, 72, 13774, 'CodevTT_RAF', '4', '3', 0, 1480588993),
(155916, 157, 15164, 'CodevTT_RAF', '18.5', '17', 0, 1480594627),
(155917, 157, 15164, 'CodevTT_RAF', '17', '16', 0, 1480594647),
(155920, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1480595214),
(155921, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1480595227),
(155922, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1480595244),
(155923, 72, 10406, 'summary', '42497 [Qualif] TAIGA PUMA - Continuité des droits et autonomie- Lot - Note de cadrage', '42497 [Qualif] TAIGA PUMA - Continuité des droits et autonomie-NE PAS IMPUTER', 0, 1480595290),
(155924, 72, 10406, '', '3156', '', 6, 1480595290),
(155925, 72, 10406, 'CodevTT_ChargeInit', '1', '', 0, 1480595290),
(155926, 72, 10406, 'CodevTT_RAF', '9', '', 0, 1480595290),
(155928, 72, 15855, '', '', '', 1, 1480595374),
(155929, 72, 15855, 'handler_id', '0', '217', 0, 1480595374),
(155930, 72, 15855, '', '', '10406', 21, 1480595374),
(155931, 72, 10406, '', '', '15855', 20, 1480595374),
(155935, 72, 15856, '', '', '', 1, 1480595465),
(155936, 72, 15856, 'handler_id', '0', '217', 0, 1480595465),
(155937, 72, 15856, '', '', '15855', 21, 1480595465),
(155938, 72, 15855, '', '', '15856', 20, 1480595465),
(155994, 217, 15855, 'CodevTT_RAF', '', '8', 0, 1480600511),
(155995, 217, 15855, 'status', '10', '50', 0, 1480600511),
(155996, 217, 15855, 'CodevTT_RAF', '8', '8', 0, 1480600524),
(155997, 217, 15856, 'CodevTT_RAF', '', '8', 0, 1480600542),
(155998, 217, 15856, 'status', '10', '50', 0, 1480600542),
(156198, 322, 14791, 'CodevTT_RAF', '19', '18', 0, 1480666564),
(156199, 322, 14791, 'CodevTT_RAF', '18', '17', 0, 1480666588),
(156211, 157, 15164, 'CodevTT_RAF', '16', '15', 0, 1480669607),
(156212, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1480669797),
(156213, 164, 13541, 'CodevTT_RAF', '0', '0', 0, 1480669817),
(156214, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1480669875),
(156215, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1480669905),
(156216, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1480669937),
(156446, 322, 14791, 'CodevTT_RAF', '17', '17', 0, 1480679468),
(156598, 169, 15843, 'CodevTT_RAF', '', '5', 0, 1480695260),
(156599, 169, 15843, 'status', '10', '50', 0, 1480695260),
(156600, 169, 15843, 'CodevTT_RAF', '5', '4', 0, 1480695270),
(156601, 169, 15843, 'CodevTT_RAF', '4', '3', 0, 1480695286),
(156602, 169, 15161, 'CodevTT_RAF', '1', '1', 0, 1480695378),
(156638, 74, 14721, 'CodevTT_RAF', '6', '7', 0, 1480922673),
(156639, 74, 14721, 'CodevTT_RAF', '7', '6.5', 0, 1480922696),
(156640, 74, 14721, 'CodevTT_RAF', '6.5', '6', 0, 1480922706),
(156641, 74, 14721, 'CodevTT_RAF', '6', '6', 0, 1480922720),
(156642, 74, 14721, 'CodevTT_RAF', '6', '5', 0, 1480922730),
(156740, 212, 15377, 'CodevTT_RAF', '10', '9', 0, 1480944248),
(156741, 212, 15377, 'CodevTT_RAF', '9', '8', 0, 1480944270),
(156742, 212, 15377, 'CodevTT_RAF', '8', '7', 0, 1480944288),
(156743, 212, 15377, 'CodevTT_RAF', '7', '6', 0, 1480944311),
(156744, 212, 15377, 'CodevTT_RAF', '6', '5', 0, 1480944326),
(156745, 212, 15377, 'CodevTT_RAF', '5', '5', 0, 1480944339),
(156746, 212, 15377, 'CodevTT_RAF', '5', '4', 0, 1480944355),
(156765, 205, 10399, 'CodevTT_RAF', '10', '10', 0, 1480950953),
(156766, 205, 10399, 'CodevTT_RAF', '10', '10', 0, 1480950963),
(156767, 205, 8454, 'CodevTT_RAF', '15', '15', 0, 1480951066),
(156768, 205, 10399, 'CodevTT_RAF', '10', '10', 0, 1480951083),
(157104, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481017273),
(157109, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481017325),
(157113, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481017354),
(157182, 157, 15164, 'CodevTT_RAF', '15', '14', 0, 1481019902),
(157183, 157, 15164, 'CodevTT_RAF', '14', '5', 0, 1481019920),
(157228, 147, 15836, 'CodevTT_RAF', '3', '3', 0, 1481029058),
(157229, 147, 15836, 'CodevTT_RAF', '3', '3', 0, 1481029072),
(157408, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481037873),
(157421, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481040728),
(157422, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1481040753),
(157423, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481040763),
(157462, 246, 14264, 'CodevTT_RAF', '2', '1', 0, 1481099296),
(157463, 246, 14264, 'status', '20', '50', 0, 1481099296),
(157630, 246, 14264, 'CodevTT_RAF', '1', '1', 0, 1481126375),
(157637, 2, 15841, '', '8990', '', 2, 1481128529),
(157638, 2, 15841, 'CodevTT_RAF', '', '1', 0, 1481128530),
(157639, 2, 15841, 'status', '10', '50', 0, 1481128530),
(157646, 169, 15841, 'CodevTT_RAF', '1', '0', 0, 1481128618),
(157647, 169, 15841, 'CodevTT_RAF', '0', '0', 0, 1481128618),
(157648, 169, 15841, 'status', '50', '80', 0, 1481128618),
(157692, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481187061),
(157693, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481187071),
(157718, 147, 15836, 'CodevTT_RAF', '3', '12', 0, 1481187946),
(157719, 147, 12790, 'CodevTT_RAF', '0.5', '0', 0, 1481188014),
(157720, 147, 12790, 'status', '50', '80', 0, 1481188014),
(157721, 147, 12790, 'CodevTT_RAF', '0', '0', 0, 1481188014),
(157722, 147, 12790, 'CodevTT_Dead Line', '', '', 0, 1481188014),
(157723, 291, 2, '', '9019', '', 2, 1481188433),
(158177, 2, 15970, '', '', '', 1, 1481204346),
(158178, 2, 15970, '', '', '8146', 21, 1481204346),
(158179, 2, 8146, '', '', '15970', 20, 1481204346),
(158182, 2, 15970, 'handler_id', '0', '199', 0, 1481204362);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(158209, 2, 12323, 'handler_id', '134', '199', 0, 1481204545),
(158210, 2, 12323, 'CodevTT_Dead Line', '', '', 0, 1481204545),
(158211, 2, 12313, 'handler_id', '134', '199', 0, 1481204564),
(158212, 2, 12313, 'CodevTT_Dead Line', '', '', 0, 1481204564),
(158213, 2, 12316, 'handler_id', '134', '199', 0, 1481204573),
(158214, 2, 12316, 'CodevTT_Dead Line', '', '', 0, 1481204573),
(158215, 2, 12318, 'handler_id', '134', '199', 0, 1481204582),
(158216, 2, 12318, 'CodevTT_Dead Line', '', '', 0, 1481204582),
(158217, 2, 12328, 'handler_id', '134', '199', 0, 1481204607),
(158218, 2, 12328, 'CodevTT_Dead Line', '', '', 0, 1481204607),
(158219, 2, 13774, 'handler_id', '134', '199', 0, 1481204614),
(158220, 2, 13774, 'CodevTT_Dead Line', '', '', 0, 1481204614),
(158421, 147, 15836, 'CodevTT_RAF', '12', '12', 0, 1481215295),
(158422, 147, 15836, 'CodevTT_RAF', '12', '11', 0, 1481215310),
(158587, 217, 15856, 'CodevTT_RAF', '8', '8', 0, 1481278191),
(158588, 217, 15833, 'CodevTT_RAF', '0', '3', 0, 1481278275),
(158589, 217, 15833, 'status', '80', '50', 0, 1481278275),
(158722, 169, 15843, 'CodevTT_RAF', '3', '3', 0, 1481301639),
(158723, 169, 15843, 'CodevTT_RAF', '3', '3', 0, 1481301651),
(158724, 169, 15843, 'CodevTT_RAF', '3', '3', 0, 1481301659),
(158725, 169, 15843, 'CodevTT_RAF', '3', '3', 0, 1481301666),
(158726, 169, 15843, 'CodevTT_RAF', '3', '3', 0, 1481301680),
(158727, 169, 15843, 'CodevTT_RAF', '3', '3', 0, 1481301693),
(158728, 169, 15843, '', '9314', '', 2, 1481301831),
(158915, 217, 15833, 'CodevTT_RAF', '3', '2', 0, 1481532239),
(159228, 217, 11115, 'CodevTT_RAF', '3', '0', 0, 1481554373),
(159229, 217, 13775, 'CodevTT_RAF', '1', '0', 0, 1481554393),
(159230, 217, 15832, 'CodevTT_RAF', '3', '6', 0, 1481554421),
(159231, 217, 12137, 'CodevTT_RAF', '1', '0', 0, 1481554460),
(159232, 217, 14817, 'CodevTT_RAF', '2', '0', 0, 1481554487),
(159465, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481560507),
(159466, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481560515),
(159496, 169, 15161, 'CodevTT_RAF', '1', '0', 0, 1481562452),
(159497, 169, 15161, 'CodevTT_RAF', '0', '0', 0, 1481562452),
(159498, 169, 15161, 'status', '50', '80', 0, 1481562452),
(159499, 169, 15843, 'CodevTT_RAF', '3', '0', 0, 1481562509),
(159500, 169, 15843, 'CodevTT_RAF', '0', '0', 0, 1481562509),
(159501, 169, 15843, 'status', '50', '80', 0, 1481562509),
(159517, 246, 2041, '', '9472', '', 2, 1481615909),
(159526, 217, 14278, 'CodevTT_RAF', '4', '0', 0, 1481618923),
(159527, 217, 14278, 'CodevTT_RAF', '0', '0', 0, 1481618923),
(159528, 217, 14278, 'status', '50', '80', 0, 1481618923),
(159531, 217, 14593, 'CodevTT_RAF', '2', '0', 0, 1481618950),
(159771, 199, 12313, 'CodevTT_RAF', '', '1', 0, 1481641905),
(159772, 199, 12313, 'status', '10', '50', 0, 1481641906),
(159773, 199, 12308, 'CodevTT_RAF', '', '1', 0, 1481642063),
(159774, 199, 12308, 'status', '10', '50', 0, 1481642063),
(159775, 199, 12308, 'handler_id', '147', '199', 0, 1481642063),
(159917, 199, 8454, 'CodevTT_RAF', '15', '15', 0, 1481699093),
(159918, 199, 8454, 'CodevTT_RAF', '15', '15', 0, 1481699108),
(159919, 157, 14712, 'CodevTT_RAF', '', '1.5', 0, 1481699220),
(159920, 157, 14712, 'status', '10', '50', 0, 1481699220),
(159921, 74, 14721, 'CodevTT_RAF', '5', '5', 0, 1481699498),
(159922, 199, 15849, 'status', '10', '80', 0, 1481699653),
(159923, 199, 15849, 'resolution', '10', '20', 0, 1481699653),
(159924, 199, 15849, 'CodevTT_RAF', '', '0', 0, 1481699653),
(159925, 74, 14721, 'CodevTT_RAF', '5', '5', 0, 1481699697),
(159926, 74, 14721, 'CodevTT_RAF', '5', '4', 0, 1481699710),
(159927, 74, 14721, 'CodevTT_RAF', '4', '4', 0, 1481699740),
(159928, 199, 15779, 'status', '10', '80', 0, 1481699742),
(159929, 199, 15779, 'resolution', '10', '20', 0, 1481699742),
(159930, 199, 15779, 'CodevTT_RAF', '', '0', 0, 1481699742),
(159931, 199, 15780, 'status', '10', '80', 0, 1481699756),
(159932, 199, 15780, 'resolution', '10', '20', 0, 1481699756),
(159933, 199, 15780, 'CodevTT_RAF', '', '0', 0, 1481699756),
(159934, 199, 14263, 'CodevTT_RAF', '0.5', '0', 0, 1481699800),
(159935, 199, 14263, 'CodevTT_RAF', '0', '0', 0, 1481699800),
(159936, 199, 14263, 'status', '20', '80', 0, 1481699800),
(159937, 199, 14227, 'CodevTT_RAF', '0', '0', 0, 1481700980),
(159938, 199, 8454, 'CodevTT_RAF', '15', '15', 0, 1481701012),
(159939, 199, 14263, 'CodevTT_RAF', '0', '0', 0, 1481701085),
(159940, 199, 14263, 'CodevTT_RAF', '0', '0', 0, 1481701159),
(159941, 199, 14813, 'CodevTT_RAF', '0', '0', 0, 1481701274),
(159943, 199, 8454, 'CodevTT_RAF', '15', '15', 0, 1481701338),
(159945, 199, 14242, 'CodevTT_RAF', '0', '0', 0, 1481701473),
(159978, 246, 2041, '', '9472', '', 4, 1481705521),
(159979, 246, 2041, '', '9513', '', 2, 1481705521),
(159984, 217, 15832, 'CodevTT_RAF', '6', '5', 0, 1481705861),
(159985, 217, 15832, 'CodevTT_RAF', '5', '6', 0, 1481705873),
(159988, 217, 15835, 'CodevTT_RAF', '7', '6', 0, 1481705964),
(159993, 217, 16047, '', '', '', 1, 1481706144),
(159994, 217, 16047, 'handler_id', '0', '217', 0, 1481706144),
(159995, 217, 16047, '', '', '15835', 21, 1481706144),
(159996, 217, 15835, '', '', '16047', 20, 1481706144),
(159997, 217, 16047, 'CodevTT_RAF', '', '7.4', 0, 1481706214),
(159998, 217, 16047, 'status', '10', '50', 0, 1481706214),
(160117, 212, 15377, 'CodevTT_RAF', '4', '4', 0, 1481710306),
(160118, 212, 15377, 'CodevTT_RAF', '4', '3', 0, 1481710324),
(160119, 212, 15377, 'CodevTT_RAF', '3', '2', 0, 1481710340),
(160120, 212, 15377, 'CodevTT_RAF', '2', '1.5', 0, 1481710358),
(160121, 212, 15377, 'CodevTT_RAF', '1.5', '0', 0, 1481710385),
(160122, 212, 15377, 'CodevTT_RAF', '0', '0', 0, 1481710385),
(160123, 212, 15377, 'status', '50', '80', 0, 1481710385),
(160694, 72, 8454, 'CodevTT_RAF', '15', '14', 0, 1481721514),
(160799, 217, 15832, 'CodevTT_RAF', '6', '6', 0, 1481728870),
(160800, 217, 16047, 'CodevTT_RAF', '7.4', '7.4', 0, 1481728907),
(160849, 246, 14262, 'CodevTT_RAF', '0', '0', 0, 1481732232),
(160850, 246, 14264, 'CodevTT_RAF', '1', '0', 0, 1481732285),
(160851, 246, 14264, 'CodevTT_RAF', '0', '0', 0, 1481732285),
(160852, 246, 14264, 'status', '50', '80', 0, 1481732285),
(160898, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481734356),
(160899, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1481734370),
(160925, 72, 16068, '', '', '', 1, 1481787780),
(160926, 72, 16068, 'handler_id', '0', '246', 0, 1481787780),
(160927, 72, 16069, '', '', '', 1, 1481787828),
(160928, 72, 16069, 'handler_id', '0', '246', 0, 1481787828),
(160929, 72, 16069, '', '', '16068', 21, 1481787828),
(160930, 72, 16068, '', '', '16069', 20, 1481787828),
(160931, 72, 16068, '', '2501', '16069', 18, 1481787829),
(160932, 72, 16069, '', '2500', '16068', 18, 1481787829),
(160946, 72, 16070, '', '', '', 1, 1481788643),
(160947, 72, 16070, 'handler_id', '0', '342', 0, 1481788643),
(161012, 72, 16071, '', '', '', 1, 1481790198),
(161013, 72, 16071, 'handler_id', '0', '74', 0, 1481790198),
(161014, 72, 16071, '', '', '16070', 21, 1481790198),
(161015, 72, 16070, '', '', '16071', 20, 1481790198),
(161016, 72, 16072, 'Ref. Externe', '', '43887', 0, 1481790793),
(161017, 72, 16072, 'CodevTT_ChargeInit', '', '2', 0, 1481790793),
(161018, 72, 16072, 'codevtt_type', '', 'Task', 0, 1481790793),
(161019, 72, 16073, 'Ref. Externe', '', '43887', 0, 1481790793),
(161020, 72, 16073, 'CodevTT_ChargeInit', '', '2', 0, 1481790793),
(161021, 72, 16073, 'codevtt_type', '', 'Task', 0, 1481790793),
(161024, 72, 16075, 'Ref. Externe', '', '43888', 0, 1481790793),
(161025, 72, 16075, 'CodevTT_ChargeInit', '', '2', 0, 1481790793),
(161026, 72, 16075, 'codevtt_type', '', 'Task', 0, 1481790793),
(161031, 157, 15165, 'CodevTT_RAF', '0.5', '0', 0, 1481791609),
(161032, 157, 15165, 'status', '50', '80', 0, 1481791609),
(161033, 157, 15165, 'CodevTT_RAF', '0', '0', 0, 1481791609),
(161034, 157, 15165, 'CodevTT_Dead Line', '', '', 0, 1481791609),
(161035, 157, 15164, 'CodevTT_RAF', '5', '0', 0, 1481791634),
(161036, 157, 15164, 'status', '50', '80', 0, 1481791634),
(161037, 157, 15164, 'CodevTT_RAF', '0', '0', 0, 1481791634),
(161038, 157, 15164, 'CodevTT_Dead Line', '', '', 0, 1481791634),
(161039, 72, 14721, '', '3198', '', 6, 1481792105),
(161040, 72, 14721, 'CodevTT_ChargeMgr', '12.5', '14.9', 0, 1481792105),
(161041, 72, 14721, 'CodevTT_ChargeInit', '8', '10', 0, 1481792105),
(161042, 72, 15165, 'CodevTT_ChargeMgr', '', '9', 0, 1481792142),
(161043, 72, 15164, 'CodevTT_ChargeMgr', '', '15', 0, 1481792215),
(161052, 72, 14263, 'CodevTT_ChargeMgr', '0', '1', 0, 1481792526),
(161053, 72, 14264, 'CodevTT_ChargeMgr', '2', '3.5', 0, 1481792557),
(161057, 72, 14721, '', '3199', '', 6, 1481792721),
(161058, 72, 14721, 'CodevTT_ChargeMgr', '14.9', '16.9', 0, 1481792721),
(161059, 72, 14721, 'CodevTT_ChargeInit', '10', '11', 0, 1481792721),
(161060, 72, 15850, 'CodevTT_RAF', '', '0', 0, 1481792801),
(161061, 72, 15850, 'status', '10', '80', 0, 1481792801),
(161062, 72, 15850, 'CodevTT_RAF', '0', '0', 0, 1481792801),
(161063, 72, 15850, 'CodevTT_ChargeMgr', '', '0', 0, 1481792812),
(161064, 72, 15850, 'CodevTT_ChargeInit', '2', '0', 0, 1481792812),
(161066, 199, 12324, 'handler_id', '147', '146', 0, 1481792893),
(161067, 199, 12324, 'summary', '41937 [DEV] -SPOC-Spool Spoc dans Fichiers - 1 par article ', '41937 [DEV] -SPOC-Spool Spoc dans Fichiers - 1 par article', 0, 1481792893),
(161074, 199, 14250, 'CodevTT_RAF', '2', '0', 0, 1481792982),
(161075, 199, 14250, 'status', '50', '80', 0, 1481792982),
(161076, 199, 14250, 'CodevTT_RAF', '0', '0', 0, 1481792982),
(161077, 199, 14250, 'CodevTT_Dead Line', '', '', 0, 1481792982),
(161103, 168, 15832, 'CodevTT_RAF', '6', '5', 0, 1481794908),
(161104, 168, 15832, 'CodevTT_RAF', '5', '4', 0, 1481794928),
(161105, 168, 15832, 'CodevTT_RAF', '4', '3.5', 0, 1481794945),
(161106, 168, 15832, 'CodevTT_RAF', '3.5', '3', 0, 1481794964),
(161140, 168, 15833, 'CodevTT_RAF', '2', '2', 0, 1481797249),
(161141, 168, 15309, 'CodevTT_RAF', '', '5', 0, 1481797403),
(161142, 168, 15309, 'status', '10', '50', 0, 1481797403),
(161143, 168, 15309, 'CodevTT_RAF', '5', '4', 0, 1481797430),
(161144, 168, 15309, 'CodevTT_RAF', '4', '3.5', 0, 1481797469),
(161145, 168, 15309, 'CodevTT_RAF', '3.5', '3', 0, 1481797555),
(161152, 168, 14800, 'CodevTT_RAF', '0', '1', 0, 1481797793),
(161161, 168, 15836, 'CodevTT_RAF', '11', '10', 0, 1481798276),
(161168, 168, 15835, 'CodevTT_RAF', '6', '2', 0, 1481798453),
(161169, 168, 15835, 'CodevTT_RAF', '2', '1', 0, 1481798464),
(161170, 168, 15835, 'CodevTT_RAF', '1', '0', 0, 1481798492),
(161171, 168, 15835, 'CodevTT_RAF', '0', '3', 0, 1481798559),
(161172, 168, 15835, 'CodevTT_RAF', '3', '2', 0, 1481798578),
(161173, 168, 15835, 'CodevTT_RAF', '2', '1', 0, 1481798591),
(161174, 168, 15835, 'CodevTT_RAF', '1', '1', 0, 1481798613),
(161175, 217, 16077, '', '', '', 1, 1481798664),
(161176, 217, 16077, 'handler_id', '0', '217', 0, 1481798664),
(161177, 217, 16077, '', '', '15833', 21, 1481798664),
(161178, 217, 15833, '', '', '16077', 20, 1481798664),
(161179, 217, 16077, 'CodevTT_RAF', '', '8', 0, 1481798697),
(161180, 217, 16077, 'status', '10', '50', 0, 1481798697),
(161181, 217, 16077, 'CodevTT_RAF', '8', '8', 0, 1481798716),
(161182, 168, 14644, 'CodevTT_RAF', '0', '4', 0, 1481798746),
(161192, 168, 15309, 'CodevTT_RAF', '3', '1', 0, 1481799066),
(161193, 168, 15309, 'CodevTT_RAF', '1', '1', 0, 1481799091),
(161194, 168, 15309, 'CodevTT_RAF', '1', '4', 0, 1481799106),
(161195, 168, 15309, 'CodevTT_RAF', '4', '4', 0, 1481799118),
(161196, 168, 15309, 'CodevTT_RAF', '4', '3', 0, 1481799138),
(161197, 168, 15309, 'CodevTT_RAF', '3', '1', 0, 1481799155),
(161200, 168, 15309, 'CodevTT_RAF', '1', '0', 0, 1481799173),
(161201, 168, 15309, 'CodevTT_RAF', '0', '0', 0, 1481799173),
(161202, 168, 15309, 'status', '50', '80', 0, 1481799173),
(161262, 217, 16077, 'CodevTT_RAF', '8', '8', 0, 1481808158),
(161263, 217, 15832, 'CodevTT_RAF', '3', '6', 0, 1481808184),
(161264, 217, 15832, 'CodevTT_RAF', '6', '6', 0, 1481808220),
(161265, 217, 15832, 'CodevTT_RAF', '6', '6', 0, 1481808245),
(161266, 217, 16047, 'CodevTT_RAF', '7.4', '8', 0, 1481808267),
(161269, 217, 16047, 'CodevTT_RAF', '8', '8', 0, 1481808314),
(161270, 217, 16077, 'CodevTT_RAF', '8', '8', 0, 1481808361),
(161307, 217, 15833, 'CodevTT_RAF', '2', '0', 0, 1481812599),
(161308, 217, 15833, 'CodevTT_RAF', '0', '0', 0, 1481812600),
(161309, 217, 15833, 'status', '50', '80', 0, 1481812600),
(161355, 157, 16078, '', '', '', 1, 1481819966),
(161356, 157, 16078, 'handler_id', '0', '157', 0, 1481819966),
(161357, 157, 16078, '', '', '15165', 21, 1481819966),
(161358, 157, 15165, '', '', '16078', 20, 1481819966),
(161359, 157, 16078, 'CodevTT_RAF', '', '1', 0, 1481820005),
(161360, 157, 16078, 'status', '10', '50', 0, 1481820005),
(161361, 157, 16078, 'CodevTT_RAF', '1', '0', 0, 1481820024),
(161362, 157, 16078, 'CodevTT_RAF', '0', '0', 0, 1481820024),
(161363, 157, 16078, 'status', '50', '80', 0, 1481820024),
(161366, 169, 12312, 'CodevTT_RAF', '2', '10', 0, 1481821049),
(161367, 169, 12312, 'CodevTT_RAF', '10', '9', 0, 1481821059),
(161368, 169, 12312, 'CodevTT_RAF', '9', '5', 0, 1481821073),
(161493, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481880791),
(161494, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1481880840),
(161495, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481880859),
(161496, 164, 16093, '', '', '', 1, 1481881033),
(161497, 164, 16093, 'handler_id', '0', '164', 0, 1481881033),
(161498, 164, 16093, 'status', '10', '80', 0, 1481881065),
(161499, 164, 16093, 'resolution', '10', '20', 0, 1481881065),
(161500, 164, 16093, 'CodevTT_RAF', '', '0', 0, 1481881065),
(161501, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481881092),
(161502, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1481881131),
(161503, 164, 11032, '', '9720', '', 2, 1481881199),
(161504, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481881199),
(161505, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1481881240),
(161510, 157, 16078, 'CodevTT_RAF', '0', '0.5', 0, 1481883750),
(161511, 157, 16078, 'status', '80', '50', 0, 1481883750),
(161516, 157, 14712, 'CodevTT_RAF', '1.5', '1', 0, 1481883775),
(161665, 199, 12311, 'CodevTT_RAF', '7.5', '0', 0, 1481898713),
(161666, 199, 12311, 'CodevTT_RAF', '0', '0', 0, 1481898713),
(161667, 199, 12311, 'status', '50', '80', 0, 1481898713),
(161668, 199, 12311, 'handler_id', '158', '199', 0, 1481898713),
(161669, 199, 12311, 'CodevTT_RAF', '0', '0', 0, 1481898725),
(161670, 199, 12313, 'CodevTT_RAF', '1', '0', 0, 1481898758),
(161671, 199, 12313, 'CodevTT_RAF', '0', '0', 0, 1481898758),
(161672, 199, 12313, 'status', '50', '80', 0, 1481898758),
(161673, 199, 12313, 'CodevTT_RAF', '0', '0', 0, 1481898769),
(161749, 146, 15571, 'CodevTT_RAF', '5', '2', 0, 1481904895),
(161750, 146, 15571, 'CodevTT_RAF', '2', '2', 0, 1481904918),
(161847, 199, 8454, 'CodevTT_RAF', '14', '14', 0, 1482132348),
(161848, 199, 16101, '', '', '', 1, 1482132682),
(161849, 199, 16101, 'handler_id', '0', '199', 0, 1482132682),
(161850, 199, 16101, '', '', '12312', 21, 1482132683),
(161851, 199, 12312, '', '', '16101', 20, 1482132683),
(161852, 199, 16102, '', '', '', 1, 1482132733),
(161853, 199, 16102, 'handler_id', '0', '169', 0, 1482132733),
(161854, 199, 16102, '', '', '12312', 21, 1482132733),
(161855, 199, 12312, '', '', '16102', 20, 1482132733),
(161856, 74, 14721, 'CodevTT_RAF', '4', '4', 0, 1482132907),
(161857, 74, 14721, 'CodevTT_RAF', '4', '3', 0, 1482132918),
(161858, 74, 14721, 'CodevTT_RAF', '3', '2', 0, 1482132928),
(161859, 74, 14721, 'CodevTT_RAF', '2', '2', 0, 1482132940),
(161884, 72, 15785, 'handler_id', '322', '217', 0, 1482137048),
(161896, 212, 14721, 'CodevTT_RAF', '2', '3', 0, 1482138274),
(161897, 212, 14721, 'CodevTT_RAF', '3', '2', 0, 1482138295),
(161898, 212, 14721, 'CodevTT_RAF', '2', '2', 0, 1482138312),
(161908, 72, 16106, '', '', '', 1, 1482138636),
(161909, 72, 16106, 'handler_id', '0', '168', 0, 1482138668),
(161971, 72, 14622, 'CodevTT_RAF', '0.5', '0', 0, 1482139878),
(161972, 72, 14259, 'CodevTT_RAF', '0.1', '0', 0, 1482139990),
(161973, 168, 16106, 'CodevTT_RAF', '', '1', 0, 1482140516),
(162025, 72, 15375, 'CodevTT_RAF', '0.5', '0', 0, 1482142973),
(162026, 72, 15375, 'status', '50', '80', 0, 1482142973),
(162027, 72, 15375, 'CodevTT_RAF', '0', '0', 0, 1482142973),
(162028, 72, 15375, 'CodevTT_Dead Line', '', '', 0, 1482142973),
(162122, 72, 16110, '', '', '', 1, 1482151062),
(162123, 72, 16110, 'handler_id', '0', '169', 0, 1482151062),
(162135, 217, 16106, 'CodevTT_RAF', '1', '5', 0, 1482154199),
(162136, 217, 16106, 'status', '10', '50', 0, 1482154199),
(162137, 217, 16106, 'handler_id', '168', '217', 0, 1482154199),
(162142, 217, 16047, 'CodevTT_RAF', '8', '5', 0, 1482154283),
(162143, 217, 16047, 'CodevTT_RAF', '5', '8', 0, 1482154292),
(162145, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1482154309),
(162147, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1482154335),
(162156, 199, 12308, 'CodevTT_RAF', '1', '0', 0, 1482154704),
(162157, 199, 12308, 'CodevTT_RAF', '0', '0', 0, 1482154704),
(162158, 199, 12308, 'status', '50', '80', 0, 1482154704),
(162219, 199, 12309, 'CodevTT_RAF', '1.5', '0', 0, 1482157416),
(162220, 199, 12309, 'CodevTT_RAF', '0', '0', 0, 1482157416),
(162221, 199, 12309, 'status', '50', '80', 0, 1482157416),
(162222, 199, 12309, 'handler_id', '147', '199', 0, 1482157416),
(162234, 217, 16047, 'CodevTT_RAF', '8', '8', 0, 1482159249),
(162235, 217, 16047, 'CodevTT_RAF', '8', '8', 0, 1482159251),
(162236, 217, 16047, 'CodevTT_RAF', '8', '8', 0, 1482159252),
(162237, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1482159263),
(162238, 217, 16047, 'CodevTT_RAF', '8', '8', 0, 1482159438),
(162239, 217, 16047, 'CodevTT_RAF', '8', '8', 0, 1482159439),
(162366, 157, 14712, 'CodevTT_RAF', '1', '1', 0, 1482165507),
(162367, 157, 14712, 'CodevTT_RAF', '1', '3', 0, 1482165524),
(162762, 246, 16068, 'CodevTT_RAF', '', '2', 0, 1482222158),
(162763, 246, 16068, 'status', '10', '50', 0, 1482222158),
(162764, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1482224109),
(162765, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1482224111),
(162766, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1482224133),
(162767, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1482224135),
(162768, 217, 16047, 'CodevTT_RAF', '8', '8', 0, 1482224150),
(162930, 164, 16139, '', '', '', 1, 1482243473),
(162931, 164, 16139, 'handler_id', '0', '164', 0, 1482243520),
(162932, 164, 16139, 'status', '10', '80', 0, 1482243520),
(162933, 164, 16139, 'resolution', '10', '20', 0, 1482243520),
(162934, 164, 16139, 'CodevTT_RAF', '', '0', 0, 1482243520),
(162935, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1482243550),
(162936, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1482243577),
(162937, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1482243620),
(162955, 199, 16140, '', '', '', 1, 1482247474),
(162956, 199, 16140, 'handler_id', '0', '146', 0, 1482247474),
(162957, 199, 16140, '', '', '12314', 21, 1482247474),
(162958, 199, 12314, '', '', '16140', 20, 1482247474),
(162959, 322, 14791, '', '9806', '', 2, 1482247841),
(162960, 322, 14791, 'CodevTT_RAF', '17', '16', 0, 1482247842),
(162986, 199, 16144, '', '', '', 1, 1482305930),
(162987, 199, 16144, 'handler_id', '0', '199', 0, 1482305930),
(162988, 199, 16144, '', '', '14242', 21, 1482305930),
(162989, 199, 14242, '', '', '16144', 20, 1482305930),
(162990, 199, 16144, 'CodevTT_RAF', '', '0', 0, 1482305969),
(162991, 199, 16144, 'CodevTT_RAF', '0', '0', 0, 1482305969),
(162992, 199, 16144, 'status', '10', '80', 0, 1482305969),
(162993, 199, 12318, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 51 à 56', '41937 [DEV] -SPOC-Moteur gen article 51 à 56', 0, 1482306059),
(162994, 199, 12321, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 65', '41937 [DEV] -SPOC-Moteur gen article 65', 0, 1482306169),
(162995, 199, 12320, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 61', '41937 [DEV] -SPOC-Moteur gen article 61', 0, 1482306233),
(162996, 199, 12314, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 41', '41937 [DEV] -SPOC-Moteur gen article 41', 0, 1482306275),
(162997, 199, 12315, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 42', '41937 [DEV] -SPOC-Moteur gen article 42', 0, 1482306364),
(162998, 199, 12313, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 13', '41937 [DEV] -SPOC-Moteur gen article 13', 0, 1482306390),
(162999, 199, 12316, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 43', '41937 [DEV] -SPOC-Moteur gen article 43', 0, 1482306415),
(163000, 199, 12312, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 12', '41937 [DEV] -SPOC-Moteur gen article 12', 0, 1482306435),
(163001, 199, 12311, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 11', '41937 [DEV] -SPOC-Moteur gen article 11', 0, 1482306459),
(163002, 74, 14721, 'CodevTT_RAF', '2', '2', 0, 1482306908),
(163003, 74, 14721, 'CodevTT_RAF', '2', '0', 0, 1482306922),
(163004, 74, 14721, 'CodevTT_RAF', '0', '0', 0, 1482306922),
(163005, 74, 14721, 'status', '50', '80', 0, 1482306922),
(163006, 275, 2, '', '9809', '', 2, 1482307747),
(163039, 243, 2, '', '9821', '', 2, 1482314318),
(163070, 199, 12314, 'CodevTT_RAF', '3.8', '0', 0, 1482320881),
(163071, 199, 12314, 'CodevTT_RAF', '0', '0', 0, 1482320882),
(163072, 199, 12314, 'status', '50', '80', 0, 1482320882),
(163073, 199, 12314, 'handler_id', '158', '199', 0, 1482320882),
(163074, 199, 12314, 'CodevTT_RAF', '0', '0', 0, 1482320896),
(163075, 199, 12311, 'CodevTT_RAF', '0', '0', 0, 1482320921),
(163085, 199, 12319, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 57', '41937 [DEV] -SPOC-Moteur gen article 57', 0, 1482325680),
(163086, 72, 12317, 'summary', '41937 [DEV] -SPOC-Moteur gen article -alimentation tables W01_SPOC 45', '41937 [DEV] -SPOC-Moteur gen artcile 45', 0, 1482325720),
(163087, 72, 12307, 'handler_id', '246', '0', 0, 1482326150),
(163088, 72, 12307, 'status', '10', '20', 0, 1482326151),
(163089, 72, 12307, 'CodevTT_Dead Line', '', '', 0, 1482326151),
(163090, 199, 12308, 'summary', '41937 [DEV] -SPOC-Recherche évt et alim table W01_SPOC_evenement avec benf,code origine et TOP AYD', '41937 [DEV] -SPOC-Gestion évènements', 0, 1482326185),
(163111, 199, 12317, 'CodevTT_ChargeInit', '2', '3', 0, 1482326911),
(163114, 199, 12319, 'handler_id', '147', '158', 0, 1482326967),
(163115, 199, 12319, 'CodevTT_Dead Line', '', '', 0, 1482326968),
(163116, 199, 12319, 'status', '20', '50', 0, 1482326979),
(163117, 199, 12319, 'CodevTT_Dead Line', '', '', 0, 1482326979),
(163118, 199, 12324, 'handler_id', '146', '246', 0, 1482327112),
(163119, 199, 12324, 'CodevTT_Dead Line', '', '', 0, 1482327112),
(163120, 199, 12325, 'handler_id', '147', '199', 0, 1482327246),
(163121, 199, 12325, 'summary', '41937 [DEV] -SPOC-Transfert fichier sur Solaris ', '41937 [DEV] -SPOC-Impact BQ', 0, 1482327246),
(163122, 199, 15970, 'summary', '41937 [DEV] PUMA - AFFI - Gestion journalisation', '41937 [DEV] -SPOC- Gestion journalisation', 0, 1482327613),
(163123, 199, 15970, '', '3214', '', 6, 1482327613),
(163124, 199, 16101, 'handler_id', '199', '246', 0, 1482327666),
(163127, 199, 16102, 'handler_id', '169', '246', 0, 1482327755),
(163128, 199, 12316, 'CodevTT_RAF', '', '2', 0, 1482331451),
(163129, 199, 12316, 'status', '10', '50', 0, 1482331451),
(163130, 246, 16068, 'CodevTT_RAF', '2', '2', 0, 1482331938),
(163143, 212, 14721, 'CodevTT_RAF', '0', '1', 0, 1482335887),
(163144, 212, 14721, 'CodevTT_RAF', '1', '0', 0, 1482335903),
(163145, 72, 15841, 'CodevTT_ChargeMgr', '0', '2', 0, 1482336692),
(163146, 72, 15843, 'CodevTT_ChargeMgr', '0', '9', 0, 1482336725),
(163147, 72, 16145, '', '', '', 1, 1482337035),
(163148, 72, 16145, 'handler_id', '0', '157', 0, 1482337035),
(163166, 74, 14721, 'CodevTT_RAF', '0', '1', 0, 1482392395),
(163167, 74, 14721, 'status', '80', '50', 0, 1482392395),
(163168, 74, 14721, 'CodevTT_RAF', '1', '1', 0, 1482392406),
(163169, 72, 16068, 'CodevTT_RAF', '2', '2', 0, 1482392874),
(163506, 72, 16162, '', '', '', 1, 1482416225),
(163507, 72, 16162, 'handler_id', '0', '168', 0, 1482416269),
(163508, 168, 16162, 'CodevTT_RAF', '', '1', 0, 1482416530),
(163509, 168, 16162, 'status', '10', '50', 0, 1482416530),
(163510, 168, 16162, 'CodevTT_RAF', '1', '1', 0, 1482416547),
(163511, 168, 16162, '', '9944', '', 2, 1482416660),
(163512, 168, 16162, 'CodevTT_RAF', '1', '0.1', 0, 1482416660),
(163513, 168, 15782, 'CodevTT_RAF', '', '2', 0, 1482416697),
(163514, 168, 15782, 'status', '10', '50', 0, 1482416698),
(163517, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1482418701),
(163518, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1482418713),
(163519, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1482418739),
(163562, 322, 14791, '', '9949', '', 2, 1482422534),
(163563, 322, 14791, 'CodevTT_RAF', '16', '15', 0, 1482422534),
(163564, 322, 14791, 'CodevTT_RAF', '15', '15', 0, 1482422587),
(163569, 146, 16140, 'CodevTT_RAF', '', '3', 0, 1482423080),
(163570, 146, 16140, 'status', '10', '50', 0, 1482423080),
(163571, 146, 16140, 'CodevTT_RAF', '3', '3', 0, 1482423104),
(163572, 146, 16140, 'CodevTT_RAF', '3', '1', 0, 1482423125),
(163573, 146, 15571, 'CodevTT_RAF', '2', '1', 0, 1482423191),
(163574, 146, 15571, 'CodevTT_RAF', '1', '1', 0, 1482423217),
(163575, 146, 16140, 'CodevTT_RAF', '1', '3', 0, 1482423232),
(188436, 342, 17211, 'CodevTT_RAF', '3', '2', 0, 1487841355),
(163832, 169, 12312, 'CodevTT_RAF', '4', '0', 0, 1482507805),
(163665, 342, 16070, 'CodevTT_RAF', '', '8', 0, 1482484892),
(163666, 342, 16070, 'status', '10', '50', 0, 1482484892),
(163667, 342, 16070, 'CodevTT_RAF', '8', '7', 0, 1482484921),
(163668, 342, 16070, 'CodevTT_RAF', '7', '7', 0, 1482484961),
(163672, 342, 16070, 'CodevTT_RAF', '7', '6', 0, 1482484979),
(163673, 342, 16070, 'CodevTT_RAF', '6', '5', 0, 1482485015),
(163675, 342, 16070, 'CodevTT_RAF', '5', '4', 0, 1482485029),
(163678, 342, 16070, 'CodevTT_RAF', '4', '1', 0, 1482485122),
(163679, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1482485141),
(163680, 342, 16070, 'CodevTT_RAF', '1', '2', 0, 1482485168),
(163683, 342, 16070, 'CodevTT_RAF', '2', '1', 0, 1482485256),
(163684, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1482485478),
(163685, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1482485823),
(163691, 164, 6967, 'CodevTT_RAF', '0', '0', 0, 1482487670),
(163692, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1482487686),
(163693, 349, 2, '', '9959', '', 2, 1482489449),
(163801, 199, 16144, 'CodevTT_RAF', '0', '0', 0, 1482506937),
(163802, 199, 12316, 'CodevTT_RAF', '2', '2', 0, 1482506976),
(163813, 199, 12305, 'CodevTT_RAF', '1', '0', 0, 1482507117),
(163822, 169, 12312, 'CodevTT_RAF', '5', '4', 0, 1482507568),
(163825, 169, 12315, 'CodevTT_RAF', '', '0', 0, 1482507734),
(163826, 169, 12315, 'CodevTT_RAF', '0', '0', 0, 1482507734),
(163827, 169, 12315, 'status', '10', '80', 0, 1482507734),
(163833, 169, 12312, 'CodevTT_RAF', '0', '0', 0, 1482507805),
(163834, 169, 12312, 'status', '50', '80', 0, 1482507805),
(163835, 169, 16110, 'CodevTT_RAF', '', '1', 0, 1482507850),
(163836, 169, 16110, 'status', '10', '50', 0, 1482507850),
(163837, 169, 16110, 'CodevTT_RAF', '1', '0', 0, 1482507862),
(163838, 169, 16110, 'CodevTT_RAF', '0', '0', 0, 1482507862),
(163839, 169, 16110, 'status', '50', '80', 0, 1482507862),
(163972, 147, 15836, 'CodevTT_RAF', '10', '9', 0, 1482740539),
(163973, 147, 15836, 'CodevTT_RAF', '9', '9', 0, 1482740592),
(163974, 147, 15836, 'CodevTT_RAF', '9', '8', 0, 1482740607),
(163978, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1482740681),
(163979, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1482740710),
(164190, 157, 15287, 'CodevTT_RAF', '5', '5', 0, 1482935412),
(164191, 157, 15165, 'CodevTT_RAF', '0', '0', 0, 1482935446),
(164234, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1482966788),
(164235, 157, 14712, 'CodevTT_RAF', '3', '2', 0, 1482997059),
(164236, 322, 14791, 'CodevTT_RAF', '15', '15', 0, 1482998226),
(164237, 322, 14791, 'CodevTT_RAF', '15', '15', 0, 1482998260),
(164238, 322, 14791, 'CodevTT_RAF', '15', '15', 0, 1482998281),
(164239, 322, 14791, 'CodevTT_RAF', '15', '15', 0, 1482998306),
(164240, 322, 14791, 'CodevTT_RAF', '15', '14', 0, 1482998333),
(164241, 322, 14791, 'CodevTT_RAF', '14', '14', 0, 1482998349),
(164692, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1483025405),
(164693, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1483025452),
(164694, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1483025470),
(164695, 147, 15836, 'CodevTT_RAF', '8', '8', 0, 1483025531),
(164696, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1483025575),
(164697, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1483025595),
(164698, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1483025607),
(164699, 147, 15836, 'CodevTT_RAF', '8', '7', 0, 1483025622),
(164720, 146, 16140, 'CodevTT_RAF', '3', '2', 0, 1483031993),
(164721, 146, 16140, 'CodevTT_RAF', '2', '2', 0, 1483032030),
(164812, 322, 14791, '', '10117', '', 2, 1483101718),
(164813, 322, 14791, 'CodevTT_RAF', '14', '13', 0, 1483101718),
(165169, 2, 13785, 'CodevTT_RAF', '3', '0', 0, 1483367185),
(165170, 2, 13785, 'status', '20', '80', 0, 1483367185),
(165171, 2, 13785, 'CodevTT_RAF', '0', '0', 0, 1483367185),
(188435, 342, 17211, 'CodevTT_RAF', '4', '3', 0, 1487841342),
(165577, 246, 16068, 'CodevTT_RAF', '2', '2', 0, 1483432191),
(165578, 246, 16069, 'CodevTT_RAF', '', '2', 0, 1483432221),
(165579, 246, 16069, 'status', '10', '50', 0, 1483432221),
(165603, 72, 15781, 'CodevTT_ChargeMgr', '0', '2', 0, 1483437137),
(165604, 72, 15782, 'CodevTT_ChargeMgr', '0', '4', 0, 1483437182),
(165605, 72, 16070, '', '3229', '', 6, 1483437416),
(165606, 72, 16070, 'CodevTT_ChargeMgr', '0', '2', 0, 1483437709),
(165609, 72, 14721, 'CodevTT_RAF', '1', '0', 0, 1483438915),
(165610, 72, 14721, 'CodevTT_RAF', '0', '0', 0, 1483438915),
(165611, 72, 14721, 'status', '50', '80', 0, 1483438915),
(165631, 342, 16070, 'CodevTT_RAF', '1', '9', 0, 1483440129),
(165632, 342, 16070, 'CodevTT_RAF', '9', '1', 0, 1483440167),
(165634, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483440192),
(165639, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483440255),
(165640, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483440269),
(165641, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483440284),
(165642, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483440411),
(165643, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483440427),
(165718, 276, 2, '', '10150', '', 2, 1483441859),
(165723, 2, 15841, '', '10152', '', 2, 1483447554),
(165724, 2, 15841, 'CodevTT_RAF', '0', '0', 0, 1483447554),
(165725, 2, 14059, 'CodevTT_RAF', '1', '0', 0, 1483447641),
(165744, 72, 16145, 'CodevTT_ChargeMgr', '0', '2.4', 0, 1483449479),
(165745, 72, 14716, 'handler_id', '212', '0', 0, 1483449604),
(165746, 72, 14716, 'CodevTT_RAF', '0.5', '0', 0, 1483449605),
(165747, 72, 14716, 'status', '50', '80', 0, 1483449605),
(165748, 72, 14716, 'CodevTT_RAF', '0', '0', 0, 1483449605),
(165749, 72, 14716, 'CodevTT_Dead Line', '', '', 0, 1483449605),
(165840, 217, 16312, '', '', '', 1, 1483451654),
(165841, 217, 16312, 'handler_id', '0', '217', 0, 1483451654),
(165842, 217, 16312, '', '', '16047', 21, 1483451654),
(165843, 217, 16047, '', '', '16312', 20, 1483451654),
(165844, 217, 16312, 'CodevTT_RAF', '', '0', 0, 1483451687),
(165845, 217, 16312, 'CodevTT_RAF', '0', '0', 0, 1483451687),
(165846, 217, 16312, 'status', '10', '80', 0, 1483451687),
(194623, 72, 10737, 'summary', '42497 [DEVT] TAIGA PUMA - traitement de réduction des maintiens de droits', '44059 [DEVT] TAIGA PUMA - traitement de réduction des maintiens de droits', 0, 1488977983),
(197592, 246, 16516, 'CodevTT_RAF', '2', '2', 0, 1489597734),
(165926, 72, 16332, '', '', '', 1, 1483457998),
(165927, 72, 16332, 'handler_id', '0', '72', 0, 1483457998),
(165928, 72, 16332, '', '10163', '', 2, 1483458097),
(165929, 72, 16332, 'CodevTT_RAF', '', '4', 0, 1483458098),
(165930, 72, 16332, 'status', '10', '50', 0, 1483458098),
(165957, 199, 12316, 'CodevTT_RAF', '2', '1', 0, 1483512695),
(165958, 199, 12316, 'CodevTT_RAF', '1', '0.5', 0, 1483512717),
(165959, 199, 16144, 'CodevTT_RAF', '0', '0', 0, 1483512807),
(165960, 199, 16144, 'CodevTT_RAF', '0', '0', 0, 1483512815),
(165968, 199, 16335, '', '', '', 1, 1483520838),
(165969, 199, 16335, 'handler_id', '0', '199', 0, 1483520838),
(165970, 199, 16335, '', '', '16144', 21, 1483520838),
(165971, 199, 16144, '', '', '16335', 20, 1483520838),
(165972, 199, 16335, 'CodevTT_RAF', '', '0', 0, 1483520910),
(165973, 199, 16335, 'CodevTT_RAF', '0', '0', 0, 1483520910),
(165974, 199, 16335, 'status', '10', '80', 0, 1483520910),
(165975, 199, 16335, 'CodevTT_RAF', '0', '0', 0, 1483520920),
(165976, 199, 16335, 'CodevTT_RAF', '0', '0', 0, 1483520932),
(165977, 199, 16335, 'CodevTT_RAF', '0', '0', 0, 1483521105),
(165986, 217, 15832, 'CodevTT_RAF', '6', '5', 0, 1483523685),
(165987, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1483523696),
(165988, 217, 16047, 'CodevTT_RAF', '8', '5', 0, 1483523713),
(165989, 217, 16047, 'CodevTT_RAF', '5', '5', 0, 1483523722),
(165990, 217, 16106, 'CodevTT_RAF', '5', '2', 0, 1483523755),
(166176, 157, 15287, 'CodevTT_RAF', '5', '2', 0, 1483540059),
(166177, 72, 16332, 'CodevTT_RAF', '4', '3.5', 0, 1483540071),
(166178, 157, 15287, 'CodevTT_RAF', '2', '1', 0, 1483540071),
(166179, 157, 16356, '', '', '', 1, 1483540323),
(166180, 157, 16356, 'handler_id', '0', '157', 0, 1483540323),
(166181, 157, 16356, '', '', '16069', 21, 1483540323),
(166182, 157, 16069, '', '', '16356', 20, 1483540323),
(166184, 157, 16356, 'reproducibility', '70', '90', 0, 1483540423),
(166185, 157, 16356, 'status', '10', '50', 0, 1483540423),
(166186, 157, 16356, 'CodevTT_Type', 'Task', 'Bug', 0, 1483540423),
(166187, 157, 15287, 'CodevTT_RAF', '1', '1', 0, 1483540446),
(166188, 157, 16356, 'CodevTT_RAF', '', '0', 0, 1483540491),
(166189, 157, 16356, 'CodevTT_RAF', '0', '0', 0, 1483540491),
(166190, 157, 16356, 'status', '50', '80', 0, 1483540491),
(166192, 246, 16069, 'CodevTT_RAF', '2', '5', 0, 1483542482),
(166330, 199, 16068, 'CodevTT_RAF', '2', '2', 0, 1483598549),
(166345, 329, 2, '', '10190', '', 2, 1483603032),
(166666, 217, 16106, 'CodevTT_RAF', '2', '3', 0, 1483608667),
(166707, 72, 16332, 'CodevTT_RAF', '3.5', '3', 0, 1483612006),
(166739, 217, 16047, 'CodevTT_RAF', '5', '5', 0, 1483613192),
(166740, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1483613201),
(166770, 246, 16069, 'CodevTT_RAF', '5', '5', 0, 1483619955),
(166886, 72, 12328, 'summary', '41937 [DEV] -SPOC-Augm de la taille des flux RNIAM/SAGESS', '41937 [DEV] -SPOC-Archivage', 0, 1483627306),
(166887, 72, 12328, 'CodevTT_ChargeInit', '5', '2', 0, 1483627307),
(166888, 72, 12328, '', '0010355', '', 2, 1483627307),
(166907, 217, 16106, 'CodevTT_RAF', '3', '5', 0, 1483629233),
(167015, 146, 16140, 'CodevTT_RAF', '2', '1.5', 0, 1483633508),
(167017, 146, 15571, 'CodevTT_RAF', '1', '1', 0, 1483633571),
(167062, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1483642964),
(167063, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1483642979),
(167064, 2, 12790, 'CodevTT_RAF', '0', '0', 0, 1483643028),
(167098, 199, 8454, 'CodevTT_RAF', '14', '14', 0, 1483689835),
(167099, 199, 16335, 'CodevTT_RAF', '0', '0', 0, 1483689872),
(167100, 199, 12318, 'CodevTT_RAF', '10', '4', 0, 1483689914),
(167182, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1483698504),
(167183, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1483698527),
(167186, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1483698543),
(167195, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1483698573),
(167197, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1483698602),
(167208, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483698691),
(167209, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1483698712),
(167295, 205, 8454, 'CodevTT_RAF', '14', '14', 0, 1483707566),
(167298, 205, 10399, 'CodevTT_RAF', '10', '10', 0, 1483707627),
(167299, 205, 10399, 'CodevTT_RAF', '10', '10', 0, 1483707637),
(167300, 205, 10399, 'CodevTT_RAF', '10', '10', 0, 1483707704),
(167301, 205, 8454, 'CodevTT_RAF', '14', '10', 0, 1483707714),
(167302, 74, 14721, '', '10404', '', 2, 1483709997),
(167303, 74, 14721, 'CodevTT_RAF', '0', '2', 0, 1483709997),
(167304, 74, 14721, 'status', '80', '50', 0, 1483709997),
(167305, 74, 14721, 'CodevTT_RAF', '2', '2', 0, 1483710011),
(167306, 74, 14721, 'CodevTT_RAF', '2', '2', 0, 1483710026),
(167307, 74, 14721, 'CodevTT_RAF', '2', '2', 0, 1483710043),
(167308, 74, 15856, 'CodevTT_RAF', '8', '1', 0, 1483710068),
(167362, 157, 15260, 'CodevTT_RAF', '0', '0.5', 0, 1483717259),
(167363, 157, 15260, 'CodevTT_RAF', '0.5', '0', 0, 1483717272),
(167364, 157, 16430, '', '', '', 1, 1483717386),
(167365, 157, 16430, 'handler_id', '0', '157', 0, 1483717386),
(167366, 157, 16430, '', '', '15260', 21, 1483717386),
(167367, 157, 15260, '', '', '16430', 20, 1483717386),
(167368, 157, 16431, '', '', '', 1, 1483717436),
(167369, 157, 16431, 'handler_id', '0', '157', 0, 1483717436),
(167370, 157, 16431, '', '', '16430', 21, 1483717436),
(167371, 157, 16430, '', '', '16431', 20, 1483717436),
(167427, 157, 16430, 'summary', '434003 SPOC 3-en-1 à tort sur saisi d\'un revenu estimé 2017', '44003 SPOC 3-en-1 à tort sur saisi d\'un revenu estimé 2017', 0, 1483717465),
(167480, 157, 15260, 'CodevTT_RAF', '0', '0', 0, 1483717485),
(167519, 157, 16430, 'CodevTT_RAF', '', '0.5', 0, 1483717504),
(167520, 157, 16430, 'status', '10', '50', 0, 1483717504),
(167571, 157, 16431, 'CodevTT_RAF', '', '1', 0, 1483717562),
(167572, 157, 16431, 'status', '10', '50', 0, 1483717562),
(167623, 157, 16431, 'CodevTT_RAF', '1', '1', 0, 1483717584),
(168200, 72, 9098, 'CodevTT_RAF', '0.5', '0', 0, 1483719733),
(168866, 199, 16068, 'CodevTT_RAF', '2', '1', 0, 1483944798),
(168867, 199, 12318, 'CodevTT_RAF', '4', '3.5', 0, 1483944839),
(168868, 74, 14721, 'CodevTT_RAF', '2', '2', 0, 1483946202),
(168935, 146, 15571, 'CodevTT_RAF', '1', '1', 0, 1483953108),
(168936, 146, 15571, 'CodevTT_RAF', '1', '1', 0, 1483953109),
(168937, 146, 15571, 'CodevTT_RAF', '1', '1', 0, 1483953109),
(168938, 146, 15571, 'CodevTT_RAF', '1', '1.5', 0, 1483953197),
(168939, 72, 16510, 'Ref. Externe', '', '43964', 0, 1483953229),
(168940, 72, 16510, 'CodevTT_ChargeInit', '', '2', 0, 1483953229),
(168941, 72, 16510, 'target_version', '', '17.0.DSI_EM', 0, 1483953229),
(168942, 72, 16510, 'codevtt_type', '', 'Task', 0, 1483953229),
(168943, 72, 16511, 'Ref. Externe', '', '44029', 0, 1483953229),
(168944, 72, 16511, 'CodevTT_ChargeInit', '', '2', 0, 1483953229),
(168945, 72, 16511, 'target_version', '', '17.0.DSI_EM', 0, 1483953229),
(168946, 72, 16511, 'codevtt_type', '', 'Task', 0, 1483953229),
(168947, 72, 16512, 'Ref. Externe', '', '44029', 0, 1483953229),
(168948, 72, 16512, 'CodevTT_ChargeInit', '', '2', 0, 1483953229),
(168949, 72, 16512, 'target_version', '', '17.0.DSI_EM', 0, 1483953229),
(168950, 72, 16512, 'codevtt_type', '', 'Task', 0, 1483953229),
(168951, 72, 16513, 'Ref. Externe', '', '43988', 0, 1483953446),
(168952, 72, 16513, 'CodevTT_ChargeInit', '', '2', 0, 1483953446),
(168953, 72, 16513, 'handler_id', '0', '199', 0, 1483953446),
(168954, 72, 16513, 'codevtt_type', '', 'Bug', 0, 1483953446),
(168963, 72, 16514, '', '', '', 1, 1483953634),
(168964, 72, 16514, 'handler_id', '0', '74', 0, 1483953634),
(168982, 74, 16514, 'CodevTT_RAF', '', '2', 0, 1483954266),
(168983, 74, 16514, 'status', '10', '50', 0, 1483954266),
(168984, 74, 16514, 'CodevTT_RAF', '2', '2', 0, 1483954277),
(168993, 72, 16516, '', '', '', 1, 1483954541),
(168994, 72, 16516, '', '', '16515', 21, 1483954541),
(168997, 72, 16516, '', '2500', '16515', 18, 1483954541),
(168999, 72, 16517, '', '', '', 1, 1483954679),
(169000, 72, 16517, 'handler_id', '0', '74', 0, 1483954679),
(169001, 72, 16517, '', '', '16514', 21, 1483954679),
(169002, 72, 16514, '', '', '16517', 20, 1483954679),
(169003, 72, 16514, 'summary', '43965 [Qualif] Tests complémentaires 17.1 DSI INT en environnement Caisses PL fusionnées', '43965 [QUAL] Tests complémentaires 17.1 DSI INT en environnement Caisses PL fusionnées', 0, 1483954727),
(169015, 72, 15856, 'summary', '42497 [Qualif] TAIGA PUMA - Bascule Annuelle AYD en Assure', '44025 [Qualif] TAIGA PUMA - Bascule Annuelle AYD en Assure', 0, 1483955094),
(169018, 72, 10397, 'summary', '42497 [SPEC] TAIGA PUMA -  Lot 2/traitement de masse de bascule des ayant-droits majeurs', '44025 [SPEC] TAIGA PUMA -  Lot 2/traitement de masse de bascule des ayant-droits majeurs', 0, 1483955188),
(169019, 72, 10397, 'Ref. Externe', '42497', '44025', 0, 1483955188),
(169021, 72, 10395, 'summary', '42497 [SPEC] TAIGA PUMA - Lot 2/Bascule Ayant droit en gratuit', '44025 [SPEC] TAIGA PUMA - Lot 2/Bascule Ayant droit en gratuit', 0, 1483955251),
(169022, 72, 10395, 'Ref. Externe', '42497', '44025', 0, 1483955251),
(169037, 72, 10598, 'summary', '42497 [DEV] TAIGA PUMA - Bascule Ayant droit en gratuit', '44025  [DEV] TAIGA PUMA - Bascule Ayant droit en gratuit', 0, 1483955794),
(169038, 72, 10598, 'Ref. Externe', '42497', '44025', 0, 1483955794),
(169039, 72, 10744, 'summary', '42497 [DEV] TAIGA PUMA -Batch  Bascule Annuelle des majeurs', '44025 [DEV] TAIGA PUMA -Batch  Bascule Annuelle des majeurs', 0, 1483955826),
(169040, 72, 10744, 'Ref. Externe', '42497', '44025', 0, 1483955826),
(169053, 217, 10397, 'CodevTT_RAF', '0', '5', 0, 1483956059),
(169054, 217, 10397, 'status', '80', '50', 0, 1483956059),
(169055, 217, 10397, 'CodevTT_RAF', '5', '5', 0, 1483956060),
(169057, 217, 10395, 'CodevTT_RAF', '2', '5', 0, 1483956081),
(169058, 217, 10395, 'CodevTT_RAF', '5', '5', 0, 1483956103),
(169060, 217, 10397, 'CodevTT_RAF', '5', '5', 0, 1483956131),
(169061, 217, 16077, 'CodevTT_RAF', '8', '8', 0, 1483956169),
(169062, 217, 16077, 'CodevTT_RAF', '8', '8', 0, 1483956179),
(169063, 217, 16047, 'CodevTT_RAF', '5', '5', 0, 1483956205),
(169064, 217, 16047, 'CodevTT_RAF', '5', '6', 0, 1483956218),
(169069, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1483956290),
(169072, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1483956318),
(169073, 72, 10390, 'summary', '41937 [DEV] - MAJOC 51', '44027[DEV] -FLux Majoc  MAJOC 51', 0, 1483956339),
(169074, 72, 10390, 'Ref. Externe', '41937', '44027', 0, 1483956339),
(169075, 217, 16106, 'CodevTT_RAF', '5', '5', 0, 1483956356),
(169083, 72, 12330, 'summary', '41937 [DEV] - MAJOCS hors 51', '44027 [DEV] - Echanges avec les OC /MAJOCS hors 51', 0, 1483956448),
(169084, 72, 12330, 'Ref. Externe', '41937', '44027', 0, 1483956448),
(169085, 72, 10749, 'summary', '42497 [DEV] TAIGA PUMA - Impact MAJOC', '44027 [DEV] TAIGA PUMA -Echange avec les OC - Impact PUMA', 0, 1483956527),
(169086, 72, 10749, 'Ref. Externe', '42497', '44027', 0, 1483956527),
(169099, 72, 14013, 'Ref. Externe', '41937', '44027', 0, 1483956888),
(169124, 72, 15836, 'summary', '42497 [DEV] TAIGA PUMA - Flux GA - Modules Communs', '44026 [DEV] TAIGA PUMA - Flux GA - Modules Communs', 0, 1483957831),
(169125, 72, 15836, 'Ref. Externe', '42497', '44026', 0, 1483957831),
(169126, 72, 10623, 'summary', '42497 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 27R', '44026 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 27R', 0, 1483957866),
(169127, 72, 10623, 'Ref. Externe', '42497', '44026', 0, 1483957866),
(169128, 72, 10740, 'summary', '42497 [DEV] TAIGA PUMA -traitement de Radiation pour cessation d\'activité 03S', '44026 [DEV] TAIGA PUMA -traitement de Radiation pour cessation d\'activité 03S', 0, 1483957893),
(169129, 72, 10741, 'summary', '42497 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 02S', '44026 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 02S', 0, 1483957935),
(169130, 72, 10741, 'Ref. Externe', '42497', '44026', 0, 1483957935),
(169131, 72, 10742, 'summary', '42497 [DEV] TAIGA PUMA - traitement de Radiation par WebService GAC', '44026 [DEV] TAIGA PUMA - traitement de Radiation par WebService GAC', 0, 1483957966),
(169132, 72, 10742, 'Ref. Externe', '42497', '44026', 0, 1483957966),
(169188, 72, 10400, 'summary', '42497 [SPEC] TAIGA PUMA - Lot 4/ Ecrans TP (Assurés et AYD)', '43955 [SPEC] TAIGA PUMA - Lot 4/ Ecrans TP (Assurés et AYD)', 0, 1483961239),
(169189, 72, 10400, 'Ref. Externe', '42497', '43955', 0, 1483961239),
(169190, 72, 16526, '', '', '', 1, 1483961815),
(169191, 72, 16526, '', '', '16515', 21, 1483961815),
(171796, 72, 15785, '', '2501', '16516', 18, 1484573204),
(169194, 72, 16526, '', '2500', '16515', 18, 1483961815),
(169201, 72, 15855, 'summary', '42497 [Qualif] TAIGA PUMA - Flux Rattachement 07S', '42991 [Qualif] TAIGA PUMA - Flux Rattachement 07S', 0, 1483962097),
(169202, 72, 15855, 'Ref. Externe', '42497', '42991', 0, 1483962097),
(169203, 72, 15855, '', '3245', '', 6, 1483962126),
(169603, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1484040985),
(169604, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1484040992),
(169614, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1484043644),
(169647, 199, 12317, 'handler_id', '158', '199', 0, 1484054226),
(169648, 199, 12317, 'summary', '41937 [DEV] -SPOC-Moteur gen artcile 45', '41937 [DEV] -SPOC-Moteur gen article 45', 0, 1484054226),
(169699, 217, 16546, '', '', '', 1, 1484060446),
(169700, 217, 16546, 'handler_id', '0', '217', 0, 1484060446),
(169701, 217, 16546, '', '', '15832', 21, 1484060446),
(169702, 217, 15832, '', '', '16546', 20, 1484060446),
(169704, 217, 16546, 'CodevTT_RAF', '', '5', 0, 1484060511),
(169705, 217, 16546, 'status', '10', '50', 0, 1484060511),
(169809, 157, 16431, 'CodevTT_RAF', '1', '1', 0, 1484117445),
(169810, 157, 16430, 'CodevTT_RAF', '0.5', '0', 0, 1484117477),
(169811, 157, 16430, 'CodevTT_RAF', '0', '0', 0, 1484117477),
(169812, 157, 16430, 'status', '50', '80', 0, 1484117477),
(169813, 157, 16550, '', '', '', 1, 1484118114),
(169814, 157, 16550, 'handler_id', '0', '157', 0, 1484118114),
(169815, 157, 16550, '', '', '16430', 21, 1484118114),
(169816, 157, 16430, '', '', '16550', 20, 1484118114),
(169817, 157, 16551, '', '', '', 1, 1484118178),
(169818, 157, 16551, 'handler_id', '0', '157', 0, 1484118178),
(169819, 157, 16551, '', '', '16550', 21, 1484118178),
(169820, 157, 16550, '', '', '16551', 20, 1484118178),
(169821, 157, 16552, '', '', '', 1, 1484118272),
(169822, 157, 16552, 'handler_id', '0', '157', 0, 1484118272),
(169823, 157, 16552, '', '', '16551', 21, 1484118272),
(169824, 157, 16551, '', '', '16552', 20, 1484118272),
(169825, 157, 16430, 'CodevTT_RAF', '0', '0', 0, 1484118292),
(169826, 157, 16550, 'CodevTT_RAF', '', '1.5', 0, 1484118350),
(169827, 157, 16550, 'status', '10', '50', 0, 1484118350),
(169828, 157, 16551, 'CodevTT_RAF', '', '1.5', 0, 1484118377),
(169829, 157, 16551, 'status', '10', '50', 0, 1484118377),
(169830, 157, 16551, 'CodevTT_RAF', '1.5', '1', 0, 1484118392),
(169831, 157, 16551, 'CodevTT_RAF', '1', '0.5', 0, 1484118435),
(169832, 157, 16552, 'CodevTT_RAF', '', '1', 0, 1484118452),
(169833, 157, 16552, 'status', '10', '50', 0, 1484118452),
(169834, 157, 16553, '', '', '', 1, 1484118589),
(169835, 157, 16553, 'handler_id', '0', '157', 0, 1484118589),
(169836, 157, 16553, '', '', '16552', 21, 1484118589),
(169837, 157, 16552, '', '', '16553', 20, 1484118589),
(169838, 157, 16554, '', '', '', 1, 1484118638),
(169839, 157, 16554, 'handler_id', '0', '157', 0, 1484118638),
(169840, 157, 16554, '', '', '16553', 21, 1484118638),
(169841, 157, 16553, '', '', '16554', 20, 1484118638),
(169842, 157, 16552, 'CodevTT_RAF', '1', '1', 0, 1484118654),
(169843, 157, 16553, 'CodevTT_RAF', '', '1', 0, 1484118674),
(169844, 157, 16553, 'status', '10', '50', 0, 1484118674),
(169845, 157, 16554, 'CodevTT_RAF', '', '1', 0, 1484118726),
(169846, 157, 16554, 'status', '10', '50', 0, 1484118726),
(169851, 217, 16047, 'CodevTT_RAF', '6', '6', 0, 1484122260),
(169864, 147, 14060, 'CodevTT_RAF', '1', '1', 0, 1484123823),
(169865, 147, 14060, 'CodevTT_RAF', '1', '0.5', 0, 1484123857),
(169866, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1484123890),
(169867, 147, 14060, 'CodevTT_RAF', '0.5', '0.5', 0, 1484123928),
(169868, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1484123955),
(169869, 246, 16069, 'CodevTT_RAF', '5', '4', 0, 1484124056),
(169874, 246, 16069, 'CodevTT_RAF', '4', '4', 0, 1484124082),
(169875, 147, 15836, 'CodevTT_RAF', '7', '6', 0, 1484124270),
(169876, 147, 15836, 'CodevTT_RAF', '6', '6', 0, 1484124297),
(169877, 147, 15836, 'CodevTT_RAF', '6', '5.5', 0, 1484124338),
(169878, 147, 15836, 'CodevTT_RAF', '5.5', '5', 0, 1484124381),
(169879, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1484124405),
(169911, 2, 12790, 'CodevTT_RAF', '0', '0', 0, 1484129500),
(169918, 72, 12791, 'target_version', '16.1_PUMA', '17.15_AFFI', 0, 1484130454),
(169919, 72, 15160, 'target_version', '', '17.15_AFFI', 0, 1484130454),
(169920, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1484130500),
(169921, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1484130514),
(169922, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1484130650),
(169923, 72, 12790, 'CodevTT_ChargeMgr', '0', '1', 0, 1484130703),
(169924, 72, 12791, 'CodevTT_ChargeMgr', '0', '9', 0, 1484130739),
(169925, 72, 15160, 'CodevTT_ChargeMgr', '11.6', '6', 0, 1484130794),
(169926, 72, 16070, '', '3269', '', 6, 1484131073),
(169927, 72, 16070, 'CodevTT_ChargeMgr', '2', '9', 0, 1484131073),
(169928, 72, 16070, 'CodevTT_ChargeInit', '2', '8', 0, 1484131073),
(169929, 72, 15375, 'CodevTT_ChargeMgr', '', '1', 0, 1484131236),
(169930, 72, 15376, 'CodevTT_ChargeMgr', '', '2', 0, 1484131251),
(169931, 72, 16070, '', '3270', '', 6, 1484131332),
(169932, 72, 16070, 'CodevTT_ChargeMgr', '9', '10', 0, 1484131332),
(169934, 72, 16356, 'RSI_Type_Ano', '', 'Production', 0, 1484133911),
(170083, 217, 16047, 'CodevTT_RAF', '6', '5', 0, 1484203132),
(170084, 199, 12317, 'CodevTT_RAF', '', '1', 0, 1484203413),
(170085, 199, 12317, 'status', '10', '50', 0, 1484203413),
(170086, 199, 16335, 'CodevTT_RAF', '0', '0', 0, 1484203493),
(170087, 199, 16068, 'CodevTT_RAF', '1', '0.5', 0, 1484203643),
(170251, 72, 16559, '', '', '', 1, 1484210665),
(170252, 72, 16559, 'handler_id', '0', '157', 0, 1484210665),
(170257, 72, 16560, '', '', '', 1, 1484210733),
(170258, 72, 16560, 'handler_id', '0', '157', 0, 1484210733),
(170259, 72, 16560, '', '', '16559', 21, 1484210733),
(170260, 72, 16559, '', '', '16560', 20, 1484210733),
(170261, 72, 16559, '', '2501', '16560', 18, 1484210733),
(170262, 72, 16560, '', '2500', '16559', 18, 1484210733),
(170367, 72, 16072, 'CodevTT_ChargeMgr', '', '0', 0, 1484212342),
(170368, 72, 16072, 'CodevTT_ChargeInit', '2', '1', 0, 1484212342),
(170371, 72, 16073, 'CodevTT_ChargeMgr', '', '0', 0, 1484212392),
(170372, 72, 16073, 'CodevTT_ChargeInit', '2', '1', 0, 1484212392),
(170415, 72, 16562, 'Ref. Externe', '', '43906', 0, 1484213023),
(170416, 72, 16562, 'CodevTT_ChargeInit', '', '2', 0, 1484213023),
(170417, 72, 16562, 'handler_id', '0', '199', 0, 1484213023),
(170418, 72, 16562, 'codevtt_type', '', 'Task', 0, 1484213023),
(170419, 72, 16563, 'Ref. Externe', '', '43906', 0, 1484213023),
(170420, 72, 16563, 'CodevTT_ChargeInit', '', '2', 0, 1484213023),
(170421, 72, 16563, 'handler_id', '0', '246', 0, 1484213023),
(170422, 72, 16563, 'codevtt_type', '', 'Task', 0, 1484213023),
(170848, 217, 16047, 'CodevTT_RAF', '5', '6', 0, 1484228381),
(170849, 217, 16047, 'CodevTT_RAF', '6', '7', 0, 1484228399),
(170850, 217, 16047, 'CodevTT_RAF', '7', '7', 0, 1484228415),
(170881, 169, 12326, 'CodevTT_RAF', '', '3', 0, 1484231491),
(170882, 169, 12326, 'CodevTT_RAF', '3', '2', 0, 1484231505);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(170883, 169, 12326, 'CodevTT_RAF', '2', '1', 0, 1484231517),
(170884, 169, 12312, 'CodevTT_RAF', '0', '0', 0, 1484231558),
(170885, 169, 12315, 'CodevTT_RAF', '0', '0', 0, 1484231576),
(171190, 217, 16047, 'CodevTT_RAF', '7', '7', 0, 1484297464),
(171196, 72, 12326, 'status', '10', '50', 0, 1484297724),
(171197, 72, 12326, 'CodevTT_Dead Line', '', '', 0, 1484297724),
(171199, 74, 16514, 'CodevTT_RAF', '2', '2', 0, 1484297928),
(171200, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1484297960),
(171201, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1484297974),
(171202, 74, 14014, 'CodevTT_RAF', '', '20', 0, 1484297982),
(171203, 74, 14014, 'status', '10', '50', 0, 1484297982),
(171204, 74, 14014, 'handler_id', '212', '74', 0, 1484297982),
(171205, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1484297988),
(171206, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1484297996),
(171207, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1484298003),
(171208, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1484298008),
(171209, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1484298017),
(171210, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1484298022),
(171211, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1484298031),
(219804, 72, 18718, 'CodevTT_ChargeMgr', '', '2.5', 0, 1493881036),
(171264, 246, 16069, 'CodevTT_RAF', '4', '3', 0, 1484310297),
(171284, 72, 16588, 'handler_id', '0', '164', 0, 1484312415),
(171283, 72, 16588, '', '', '', 1, 1484312415),
(171276, 72, 16587, '', '', '', 1, 1484312093),
(171277, 72, 16587, 'handler_id', '0', '157', 0, 1484312093),
(171354, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1484322366),
(171355, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1484322384),
(171356, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1484322398),
(171357, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1484322410),
(171358, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1484322423),
(171359, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1484322454),
(171360, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1484322559),
(171368, 169, 16587, 'CodevTT_RAF', '', '1', 0, 1484324697),
(171369, 169, 16587, 'status', '10', '50', 0, 1484324697),
(171370, 169, 12326, 'CodevTT_RAF', '1', '1', 0, 1484324834),
(171520, 199, 16068, 'CodevTT_RAF', '0.5', '1', 0, 1484548813),
(171537, 2, 16611, '', '', '', 1, 1484556136),
(171538, 2, 16611, 'CodevTT_RAF', '', '0', 0, 1484556165),
(171539, 2, 16611, 'CodevTT_RAF', '0', '0', 0, 1484556165),
(171540, 2, 16611, 'status', '10', '80', 0, 1484556165),
(171541, 2, 16611, 'handler_id', '0', '2', 0, 1484556165),
(171568, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1484556856),
(171569, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1484556866),
(171584, 146, 15571, 'CodevTT_RAF', '1.5', '1', 0, 1484558009),
(171670, 169, 16611, 'CodevTT_RAF', '0', '0', 0, 1484559917),
(171671, 157, 16554, 'CodevTT_RAF', '1', '0', 0, 1484559918),
(171672, 157, 16554, 'status', '50', '80', 0, 1484559918),
(171673, 157, 16554, 'CodevTT_RAF', '0', '0', 0, 1484559918),
(171676, 157, 16431, 'CodevTT_RAF', '1', '0', 0, 1484560009),
(171677, 157, 16431, 'status', '50', '80', 0, 1484560009),
(171678, 157, 16431, 'CodevTT_RAF', '0', '0', 0, 1484560009),
(171724, 217, 16312, 'CodevTT_RAF', '0', '5', 0, 1484561280),
(171725, 217, 16312, 'CodevTT_RAF', '5', '5', 0, 1484561296),
(171726, 217, 16312, 'status', '80', '50', 0, 1484561296),
(171733, 199, 16513, 'status', '10', '80', 0, 1484561782),
(171734, 199, 16513, 'CodevTT_RAF', '', '0', 0, 1484561782),
(171761, 72, 12303, 'summary', '41937 [DEV] -SPOC-Création  Package Date effet du code régime', '44058 [DEV] -SPOC-Création  Package Date effet du code régime', 0, 1484572301),
(171762, 72, 12303, 'Ref. Externe', '41937', '44058', 0, 1484572301),
(171763, 72, 12304, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171764, 72, 12305, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171765, 72, 12306, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171766, 72, 12307, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171767, 72, 12308, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171768, 72, 12309, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171769, 72, 12311, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171770, 72, 12312, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171771, 72, 12313, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171772, 72, 12314, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171773, 72, 12315, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171774, 72, 12316, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171775, 72, 12317, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171776, 72, 12318, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171777, 72, 12319, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171778, 72, 12320, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171779, 72, 12321, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171780, 72, 12323, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171781, 72, 12324, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171782, 72, 12325, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171783, 72, 12326, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171784, 72, 12327, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171785, 72, 12328, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171786, 72, 14014, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171787, 72, 16101, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171788, 72, 16102, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171789, 72, 16140, 'Ref. Externe', '41937', '44058', 0, 1484572567),
(171790, 72, 15785, 'summary', '41937 [RDD] - noms & prénoms - Amélioration des échanges avec les OC à partir de TAIGA', '44030 - [SPEC]  RDD SPOC - noms et prénoms au format TAIGA', 0, 1484573048),
(171791, 72, 15785, '', '3282', '', 6, 1484573048),
(171792, 72, 15785, 'Ref. Externe', '41937', '44030', 0, 1484573048),
(171795, 72, 16516, '', '2500', '15785', 18, 1484573204),
(171804, 72, 16140, 'summary', '41937 [DEV] -SPOC-Moteur integration reemission', '44058 [DEV] -SPOC-Moteur integration reemission', 0, 1484573559),
(171807, 72, 16102, 'summary', '41937 [DEV] -SPOC-Moteur gen des signalements', '44058 [DEV] -SPOC-Moteur gen des signalements', 0, 1484573587),
(171808, 72, 16101, 'summary', '41937 [DEV] -SPOC-Moteur gen bilan', '44058 [DEV] -SPOC-Moteur gen bilan', 0, 1484573661),
(171811, 72, 15970, 'summary', '41937 [DEV] -SPOC- Gestion journalisation', '44058 [DEV] -SPOC- Gestion journalisation', 0, 1484573795),
(171812, 72, 15970, 'Ref. Externe', '41937', '44058', 0, 1484573795),
(171813, 72, 14014, 'summary', '41937 [QUAL] -  Partie SPOCs', '44058 [QUAL] -  Partie SPOCs', 0, 1484573836),
(171814, 72, 12328, 'summary', '41937 [DEV] -SPOC-Archivage', '44058  [DEV] -SPOC-Archivage', 0, 1484573886),
(171815, 72, 12327, 'summary', '41937 [DEV] -SPOC-Augm de la taille des spoc de cotisation', '44058 [DEV] -SPOC-Augm de la taille des spoc de cotisation', 0, 1484574014),
(171816, 72, 12326, 'summary', '41937 [DEV] -SPOC-Modification composants article 90', '44058 [DEV] -SPOC-Modification composants article 90', 0, 1484574123),
(171817, 72, 12325, 'summary', '41937 [DEV] -SPOC-Impact BQ', '44058 [DEV] -SPOC-Impact BQ', 0, 1484574150),
(171818, 72, 12324, 'summary', '41937 [DEV] -SPOC-Spool Spoc dans Fichiers - 1 par article', '44058 [DEV] -SPOC-Spool Spoc dans Fichiers - 1 par article', 0, 1484574174),
(171819, 72, 12323, 'summary', '41937 [DEV] -SPOC-Contrôle spocs administratifs fabriqués', '44058 [DEV] -SPOC-Contrôle spocs administratifs fabriqués', 0, 1484574209),
(171820, 72, 12321, 'summary', '41937 [DEV] -SPOC-Moteur gen article 65', '44058 [DEV] -SPOC-Moteur gen article 65', 0, 1484574266),
(171821, 72, 12320, 'summary', '41937 [DEV] -SPOC-Moteur gen article 61', '44058 [DEV] -SPOC-Moteur gen article 61', 0, 1484574291),
(171822, 72, 12319, 'summary', '41937 [DEV] -SPOC-Moteur gen article 57', '44058 [DEV] -SPOC-Moteur gen article 57', 0, 1484574334),
(171823, 72, 12318, 'summary', '41937 [DEV] -SPOC-Moteur gen article 51 à 56', '44058 [DEV] -SPOC-Moteur gen article 51 à 56', 0, 1484574371),
(171824, 72, 12304, 'summary', '41937 [DEV] -SPOC-Création Outils de traduction 3 règles complexes', '44058 [DEV] -SPOC-Création Outils de traduction 3 règles complexes', 0, 1484574446),
(171825, 72, 12305, 'summary', '41937 [DEV] -SPOC-Création nouvelles tables (20)', '44058 [DEV] -SPOC-Création nouvelles tables (20)', 0, 1484574485),
(171826, 72, 12306, 'summary', '41937 [DEV] -SPOC-Modification Triggers', '44058 [DEV] -SPOC-Modification Triggers', 0, 1484574513),
(171827, 72, 12307, 'summary', '41937 [DEV] -SPOC-Décommission émission spoc admin', '44058 [DEV] -SPOC-Décommission émission spoc admin', 0, 1484574537),
(171828, 72, 12308, 'summary', '41937 [DEV] -SPOC-Gestion évènements', '44058 [DEV] -SPOC-Gestion évènements', 0, 1484574558),
(171832, 72, 12309, 'summary', '41937 [DEV] -SPOC-Mise à jour valeur en-tête dans table W01_SPOC_evenement', '44058 [DEV] -SPOC-Mise à jour valeur en-tête dans table W01_SPOC_evenement', 0, 1484574605),
(171833, 72, 12311, 'summary', '41937 [DEV] -SPOC-Moteur gen article 11', '44058 [DEV] -SPOC-Moteur gen article 11', 0, 1484574627),
(171834, 72, 12312, 'summary', '41937 [DEV] -SPOC-Moteur gen article 12', '44058 [DEV] -SPOC-Moteur gen article 12', 0, 1484574657),
(171837, 72, 12313, 'summary', '41937 [DEV] -SPOC-Moteur gen article 13', '44058 [DEV] -SPOC-Moteur gen article 13', 0, 1484574682),
(171838, 72, 12314, 'summary', '41937 [DEV] -SPOC-Moteur gen article 41', '44058 [DEV] -SPOC-Moteur gen article 41', 0, 1484574712),
(171839, 72, 12315, 'summary', '41937 [DEV] -SPOC-Moteur gen article 42', '44058 [DEV] -SPOC-Moteur gen article 42', 0, 1484574737),
(171840, 72, 12316, 'summary', '41937 [DEV] -SPOC-Moteur gen article 43', '44058 [DEV] -SPOC-Moteur gen article 43', 0, 1484574773),
(171841, 72, 12317, 'summary', '41937 [DEV] -SPOC-Moteur gen article 45', '44058 [DEV] -SPOC-Moteur gen article 45', 0, 1484574797),
(171901, 169, 12326, 'CodevTT_RAF', '1', '0', 0, 1484582765),
(171902, 169, 12326, 'CodevTT_RAF', '0', '0', 0, 1484582765),
(171903, 169, 12326, 'status', '50', '80', 0, 1484582765),
(171918, 164, 16588, 'CodevTT_RAF', '', '0', 0, 1484583846),
(171919, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1484583846),
(171920, 164, 16588, 'status', '10', '80', 0, 1484583846),
(171970, 72, 10390, 'CodevTT_ChargeMgr', '5', '0', 0, 1484638512),
(171971, 72, 10737, 'CodevTT_ChargeMgr', '2.5', '0', 0, 1484638618),
(171972, 72, 10737, 'CodevTT_RAF', '', '2.5', 0, 1484638618),
(171973, 72, 10399, 'CodevTT_ChargeMgr', '7', '0', 0, 1484638792),
(171975, 217, 16047, 'CodevTT_RAF', '7', '5', 0, 1484639100),
(172027, 246, 16068, 'CodevTT_RAF', '1', '2', 0, 1484641671),
(172028, 246, 16069, 'CodevTT_RAF', '3', '2', 0, 1484641706),
(172037, 217, 15832, 'CodevTT_RAF', '5', '53', 0, 1484641968),
(172039, 217, 15832, 'CodevTT_RAF', '53', '5', 0, 1484641980),
(172041, 217, 16047, 'CodevTT_RAF', '5', '5', 0, 1484642007),
(172042, 217, 16312, 'CodevTT_RAF', '5', '5', 0, 1484642025),
(172067, 72, 10749, 'summary', '44027 [DEV] TAIGA PUMA -Echange avec les OC - Impact PUMA', '44027 [DEV] Echange avec les OC - Impact PUMA', 0, 1484645722),
(172084, 72, 16623, '', '', '', 1, 1484645930),
(172085, 72, 16623, 'handler_id', '0', '246', 0, 1484645930),
(172086, 72, 16623, '', '', '10749', 21, 1484645930),
(172087, 72, 10749, '', '', '16623', 20, 1484645930),
(172116, 72, 16624, 'Ref. Externe', '', '44069', 0, 1484646603),
(172117, 72, 16624, 'CodevTT_ChargeInit', '', '2', 0, 1484646603),
(172118, 72, 16624, 'handler_id', '0', '157', 0, 1484646603),
(172119, 72, 16624, 'codevtt_type', '', 'Bug', 0, 1484646603),
(172120, 72, 16625, 'Ref. Externe', '', '44093', 0, 1484646603),
(172121, 72, 16625, 'CodevTT_ChargeInit', '', '2', 0, 1484646603),
(172122, 72, 16625, 'handler_id', '0', '157', 0, 1484646603),
(172123, 72, 16625, 'codevtt_type', '', 'Bug', 0, 1484646603),
(172124, 72, 16626, 'Ref. Externe', '', '44094', 0, 1484646603),
(172125, 72, 16626, 'CodevTT_ChargeInit', '', '2', 0, 1484646603),
(172126, 72, 16626, 'handler_id', '0', '169', 0, 1484646603),
(172127, 72, 16626, 'codevtt_type', '', 'Bug', 0, 1484646603),
(172130, 72, 16626, 'priority', '10', '60', 0, 1484646697),
(172131, 72, 16626, 'RSI_Type_Ano', '', 'Production', 0, 1484646697),
(172132, 72, 16625, 'RSI_Type_Ano', '', 'Production', 0, 1484646757),
(172655, 169, 16626, 'CodevTT_RAF', '', '0', 0, 1484734113),
(172656, 169, 16626, 'CodevTT_RAF', '0', '0', 0, 1484734113),
(172657, 169, 16626, 'status', '10', '80', 0, 1484734113),
(172730, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1484751964),
(172731, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1484751965),
(172732, 217, 16312, 'CodevTT_RAF', '5', '5', 0, 1484751993),
(172779, 322, 14791, 'Source_changeset_attached', '', 'Gitlab m14791 ddecddcf', 100, 1484756096),
(172780, 322, 14791, 'Source_changeset_attached', '', 'Gitlab m14791 c0e02fc8', 100, 1484756096),
(172781, 322, 14791, 'Source_changeset_attached', '', 'Gitlab m14791 2305b8c1', 100, 1484756096),
(172799, 72, 16676, 'Ref. Externe', '', '44100', 0, 1484757339),
(172800, 72, 16676, 'CodevTT_ChargeInit', '', '2', 0, 1484757339),
(172801, 72, 16676, 'handler_id', '0', '74', 0, 1484757339),
(172802, 72, 16676, 'codevtt_type', '', 'Bug', 0, 1484757339),
(172803, 72, 16677, 'Ref. Externe', '', '44101', 0, 1484757340),
(172804, 72, 16677, 'CodevTT_ChargeInit', '', '2', 0, 1484757340),
(172805, 72, 16677, 'handler_id', '0', '157', 0, 1484757340),
(172806, 72, 16677, 'codevtt_type', '', 'Bug', 0, 1484757340),
(172807, 72, 16678, 'Ref. Externe', '', '44102', 0, 1484757340),
(172808, 72, 16678, 'CodevTT_ChargeInit', '', '2', 0, 1484757340),
(172809, 72, 16678, 'handler_id', '0', '157', 0, 1484757340),
(172810, 72, 16678, 'codevtt_type', '', 'Bug', 0, 1484757340),
(172811, 72, 16679, 'Ref. Externe', '', '44103', 0, 1484757340),
(172812, 72, 16679, 'CodevTT_ChargeInit', '', '2', 0, 1484757340),
(172813, 72, 16679, 'handler_id', '0', '199', 0, 1484757340),
(172814, 72, 16679, 'codevtt_type', '', 'Bug', 0, 1484757340),
(172815, 72, 16680, 'Ref. Externe', '', '44107', 0, 1484757341),
(172816, 72, 16680, 'CodevTT_ChargeInit', '', '2', 0, 1484757341),
(172817, 72, 16680, 'handler_id', '0', '169', 0, 1484757341),
(172818, 72, 16680, 'codevtt_type', '', 'Bug', 0, 1484757341),
(172819, 72, 16681, 'Ref. Externe', '', '44108', 0, 1484757341),
(172820, 72, 16681, 'CodevTT_ChargeInit', '', '2', 0, 1484757341),
(172821, 72, 16681, 'handler_id', '0', '169', 0, 1484757341),
(172822, 72, 16681, 'codevtt_type', '', 'Bug', 0, 1484757341),
(172857, 246, 16069, 'CodevTT_RAF', '2', '3', 0, 1484759226),
(172858, 246, 16069, 'CodevTT_RAF', '3', '2', 0, 1484759240),
(172872, 147, 15836, 'CodevTT_RAF', '5', '4', 0, 1484812324),
(172876, 147, 15836, 'CodevTT_RAF', '4', '3', 0, 1484812345),
(172877, 147, 15836, 'CodevTT_RAF', '3', '3', 0, 1484812367),
(172882, 147, 12791, 'CodevTT_RAF', '0', '0', 0, 1484812444),
(172883, 147, 15836, 'CodevTT_RAF', '3', '3', 0, 1484812481),
(172884, 147, 15836, 'CodevTT_RAF', '3', '2', 0, 1484812512),
(172994, 72, 10397, 'CodevTT_RAF', '5', '0', 0, 1484818514),
(172995, 72, 10397, 'status', '50', '80', 0, 1484818514),
(172996, 72, 10397, 'CodevTT_RAF', '0', '0', 0, 1484818514),
(173007, 72, 10395, 'CodevTT_RAF', '5', '0', 0, 1484819122),
(173008, 72, 10395, 'status', '50', '80', 0, 1484819122),
(173009, 72, 10395, 'CodevTT_RAF', '0', '0', 0, 1484819122),
(173010, 72, 15856, 'CodevTT_ChargeInit', '5', '8', 0, 1484819219),
(173013, 72, 15856, 'Ref. Externe', '42497', '44025', 0, 1484819964),
(173094, 72, 10395, 'CodevTT_ChargeMgr', '5', '0', 0, 1484822567),
(173095, 72, 10598, 'CodevTT_ChargeMgr', '9', '0', 0, 1484822572),
(173096, 72, 10397, 'CodevTT_ChargeMgr', '4', '0', 0, 1484822577),
(173097, 72, 10623, 'CodevTT_ChargeMgr', '', '0', 0, 1484822582),
(173098, 72, 10744, 'CodevTT_ChargeMgr', '9', '0', 0, 1484822628),
(173178, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1484829908),
(173254, 169, 12320, 'CodevTT_RAF', '', '2', 0, 1484831969),
(173358, 2, 16517, '', '11407', '', 2, 1484837712),
(173359, 2, 16517, 'CodevTT_RAF', '', '10', 0, 1484837712),
(173360, 2, 16517, 'status', '10', '50', 0, 1484837712),
(173362, 72, 16516, 'CodevTT_ChargeInit', '2', '5', 0, 1484838174),
(173363, 72, 10623, 'summary', '44026 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 27R', '44026 [DEV] TAIGA PUMA - Radiation cessation d\'activité 27R', 0, 1484838263),
(173364, 72, 10740, 'summary', '44026 [DEV] TAIGA PUMA -traitement de Radiation pour cessation d\'activité 03S', '44026 [DEV] TAIGA PUMA - Radiation cessation d\'activité 03S', 0, 1484838310),
(173365, 72, 10741, 'summary', '44026 [DEV] TAIGA PUMA - traitement de Radiation pour cessation d\'activité 02S', '44026 [DEV] TAIGA PUMA - Radiation cessation d\'activité 02S', 0, 1484838350),
(173366, 72, 10742, 'summary', '44026 [DEV] TAIGA PUMA - traitement de Radiation par WebService GAC', '44026 [DEV] TAIGA PUMA -  Radiation par WebService GAC', 0, 1484838383),
(173469, 169, 12321, 'CodevTT_RAF', '', '1', 0, 1484842034),
(173470, 169, 16680, 'CodevTT_RAF', '', '0', 0, 1484842081),
(173471, 169, 16680, 'CodevTT_RAF', '0', '0', 0, 1484842081),
(173472, 169, 16680, 'status', '10', '80', 0, 1484842081),
(173473, 169, 16681, 'CodevTT_RAF', '', '0', 0, 1484842109),
(173474, 169, 16681, 'CodevTT_RAF', '0', '0', 0, 1484842109),
(173475, 169, 16681, 'status', '10', '80', 0, 1484842109),
(173476, 169, 15782, 'CodevTT_RAF', '2', '2', 0, 1484842147),
(173564, 2, 16517, '', '11445', '', 2, 1484869425),
(173565, 2, 16517, 'CodevTT_RAF', '10', '10', 0, 1484869425),
(173566, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1484869461),
(173567, 157, 16681, 'CodevTT_RAF', '0', '0', 0, 1484894155),
(173568, 157, 16559, 'CodevTT_RAF', '', '0.2', 0, 1484894188),
(173569, 157, 16559, 'status', '10', '50', 0, 1484894188),
(173570, 157, 16587, 'CodevTT_RAF', '1', '0', 0, 1484894284),
(173571, 157, 16587, 'CodevTT_RAF', '0', '0', 0, 1484894284),
(173572, 157, 16587, 'status', '50', '80', 0, 1484894284),
(173573, 157, 16552, 'CodevTT_RAF', '1', '0.5', 0, 1484894326),
(173574, 157, 16681, 'CodevTT_RAF', '0', '0', 0, 1484894354),
(173575, 157, 16553, 'CodevTT_RAF', '1', '0', 0, 1484894382),
(173576, 157, 16553, 'CodevTT_RAF', '0', '0', 0, 1484894382),
(173577, 157, 16553, 'status', '50', '80', 0, 1484894382),
(173606, 72, 16332, 'CodevTT_RAF', '3', '0', 0, 1484898961),
(173607, 72, 16332, 'status', '50', '80', 0, 1484898961),
(173608, 72, 16332, 'CodevTT_RAF', '0', '0', 0, 1484898961),
(173609, 217, 16312, 'CodevTT_RAF', '5', '8', 0, 1484900361),
(173610, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1484900378),
(173611, 199, 16679, 'CodevTT_RAF', '', '0', 0, 1484900566),
(173612, 199, 16679, 'CodevTT_RAF', '0', '0', 0, 1484900566),
(173613, 199, 16679, 'status', '10', '80', 0, 1484900566),
(173614, 199, 16068, 'CodevTT_RAF', '2', '0.2', 0, 1484900588),
(173625, 199, 16068, 'CodevTT_RAF', '0.2', '0.2', 0, 1484904894),
(173626, 199, 16069, 'CodevTT_RAF', '2', '0', 0, 1484904919),
(173627, 199, 16069, 'CodevTT_RAF', '0', '0', 0, 1484904919),
(173628, 199, 16069, 'status', '50', '80', 0, 1484904919),
(173629, 199, 12316, 'CodevTT_RAF', '0.5', '0', 0, 1484905239),
(173630, 199, 12316, 'CodevTT_RAF', '0', '0', 0, 1484905239),
(173631, 199, 12316, 'status', '50', '80', 0, 1484905239),
(173632, 199, 12316, 'CodevTT_RAF', '0', '0', 0, 1484905255),
(173633, 199, 8454, 'CodevTT_RAF', '10', '10', 0, 1484905283),
(173634, 199, 16701, '', '', '', 1, 1484905919),
(173635, 199, 16701, 'handler_id', '0', '199', 0, 1484905919),
(173636, 199, 16701, '', '', '14242', 21, 1484905919),
(173637, 199, 14242, '', '', '16701', 20, 1484905919),
(173638, 2, 6967, 'CodevTT_RAF', '0', '5', 0, 1484906322),
(173640, 2, 16514, '', '11457', '', 2, 1484906596),
(173641, 2, 16514, 'CodevTT_RAF', '2', '15', 0, 1484906596),
(173642, 2, 16517, 'CodevTT_ChargeInit', '2', '10', 0, 1484906626),
(173643, 2, 16514, 'CodevTT_ChargeInit', '2', '15', 0, 1484906644),
(173667, 199, 12319, 'handler_id', '158', '146', 0, 1484907983),
(173835, 322, 14791, 'CodevTT_RAF', '13', '14', 0, 1484914345),
(173836, 322, 14791, 'CodevTT_RAF', '14', '15', 0, 1484914370),
(173837, 322, 14791, 'CodevTT_RAF', '15', '15', 0, 1484914402),
(173838, 322, 14791, 'CodevTT_RAF', '15', '14', 0, 1484914410),
(173839, 322, 14791, 'CodevTT_RAF', '14', '14', 0, 1484914437),
(173840, 322, 14791, 'CodevTT_RAF', '14', '14', 0, 1484914459),
(173841, 322, 14791, 'CodevTT_RAF', '14', '14', 0, 1484914572),
(173842, 322, 14791, 'CodevTT_RAF', '14', '13', 0, 1484914647),
(173843, 322, 14791, 'CodevTT_RAF', '13', '13', 0, 1484914704),
(173844, 322, 14791, 'CodevTT_RAF', '13', '13', 0, 1484914736),
(173845, 322, 14791, 'CodevTT_RAF', '13', '12', 0, 1484914748),
(173846, 322, 14791, 'CodevTT_RAF', '12', '11', 0, 1484914759),
(173847, 322, 14791, 'CodevTT_RAF', '11', '11', 0, 1484914773),
(173939, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1484922482),
(173940, 74, 15782, 'CodevTT_RAF', '2', '2', 0, 1484922514),
(173954, 74, 15782, 'CodevTT_RAF', '2', '1', 0, 1484922525),
(173955, 74, 15782, 'CodevTT_RAF', '1', '1', 0, 1484922577),
(173956, 74, 15782, 'CodevTT_RAF', '1', '0.5', 0, 1484922593),
(173988, 146, 16140, 'CodevTT_RAF', '1.5', '0', 0, 1484925132),
(173989, 146, 16140, 'CodevTT_RAF', '0', '0', 0, 1484925132),
(173990, 146, 16140, 'status', '50', '80', 0, 1484925132),
(173991, 146, 16140, 'CodevTT_RAF', '0', '0', 0, 1484925144),
(173992, 146, 16140, 'CodevTT_RAF', '0', '0', 0, 1484925154),
(173993, 146, 16140, 'CodevTT_RAF', '0', '0', 0, 1484925165),
(173994, 146, 16140, 'CodevTT_RAF', '0', '0', 0, 1484925175),
(173995, 146, 16140, 'CodevTT_RAF', '0', '0', 0, 1484925203),
(173998, 146, 12319, 'CodevTT_RAF', '', '4', 0, 1484925283),
(174019, 169, 12320, 'CodevTT_RAF', '2', '0.5', 0, 1484930570),
(174036, 217, 16722, '', '', '', 1, 1485154819),
(174037, 217, 16722, 'handler_id', '0', '217', 0, 1485154819),
(174038, 217, 16722, '', '', '15832', 21, 1485154819),
(174039, 217, 15832, '', '', '16722', 20, 1485154819),
(174040, 217, 16722, 'CodevTT_RAF', '', '5', 0, 1485154843),
(174041, 217, 16722, 'status', '10', '50', 0, 1485154843),
(174042, 217, 16722, 'CodevTT_RAF', '5', '5', 0, 1485154854),
(174043, 217, 16312, 'CodevTT_RAF', '8', '8', 0, 1485154928),
(174044, 217, 16723, '', '', '', 1, 1485154991),
(174045, 217, 16723, 'handler_id', '0', '217', 0, 1485154991),
(174046, 217, 16723, '', '', '16722', 21, 1485154991),
(174047, 217, 16722, '', '', '16723', 20, 1485154991),
(174048, 217, 16723, 'CodevTT_RAF', '', '5', 0, 1485155026),
(174049, 217, 16723, 'status', '10', '50', 0, 1485155026),
(174050, 217, 16723, 'CodevTT_RAF', '5', '5', 0, 1485155048),
(174051, 199, 8454, 'CodevTT_RAF', '10', '10', 0, 1485158691),
(174052, 199, 16068, 'CodevTT_RAF', '0.2', '0.2', 0, 1485158720),
(174053, 199, 16068, 'CodevTT_RAF', '0.2', '0.2', 0, 1485158755),
(174107, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1485161711),
(174141, 72, 16676, '', '11532', '', 2, 1485166839),
(174142, 72, 16676, 'CodevTT_RAF', '', '1', 0, 1485166839),
(174143, 72, 16676, 'status', '10', '50', 0, 1485166840),
(174160, 217, 16312, 'CodevTT_RAF', '8', '8', 0, 1485167411),
(174311, 217, 16722, 'CodevTT_RAF', '5', '5', 0, 1485177887),
(174526, 72, 16742, '', '', '', 1, 1485187171),
(174527, 72, 16742, 'handler_id', '0', '199', 0, 1485187171),
(174557, 164, 6967, 'CodevTT_RAF', '5', '0', 0, 1485188214),
(174562, 164, 16611, 'CodevTT_RAF', '0', '0', 0, 1485188285),
(174563, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1485188299),
(174613, 157, 16560, 'CodevTT_RAF', '', '0', 0, 1485194316),
(174614, 157, 16560, 'status', '10', '80', 0, 1485194316),
(174615, 157, 16560, 'CodevTT_RAF', '0', '0', 0, 1485194316),
(174616, 157, 16560, 'CodevTT_Dead Line', '', '', 0, 1485194316),
(174617, 157, 16677, 'CodevTT_RAF', '', '0', 0, 1485194490),
(174618, 157, 16677, 'status', '10', '80', 0, 1485194490),
(174619, 157, 16677, 'CodevTT_RAF', '0', '0', 0, 1485194490),
(174620, 157, 16678, 'CodevTT_RAF', '', '0', 0, 1485194510),
(174621, 157, 16678, 'status', '10', '80', 0, 1485194510),
(174622, 157, 16678, 'CodevTT_RAF', '0', '0', 0, 1485194510),
(174623, 157, 16625, 'CodevTT_RAF', '', '0', 0, 1485194531),
(174624, 157, 16625, 'status', '10', '80', 0, 1485194531),
(174625, 157, 16625, 'CodevTT_RAF', '0', '0', 0, 1485194531),
(174626, 157, 16624, 'CodevTT_RAF', '', '0', 0, 1485194552),
(174627, 157, 16624, 'status', '10', '80', 0, 1485194552),
(174628, 157, 16624, 'CodevTT_RAF', '0', '0', 0, 1485194552),
(174629, 199, 16701, '', '11579', '', 2, 1485240788),
(174630, 199, 16701, 'CodevTT_RAF', '', '2', 0, 1485240788),
(174631, 199, 16701, 'status', '10', '50', 0, 1485240788),
(174632, 199, 16701, '', '11580', '', 2, 1485240806),
(174633, 199, 16701, 'CodevTT_RAF', '2', '2', 0, 1485240806),
(174634, 199, 8454, '', '11581', '', 2, 1485240865),
(174635, 199, 8454, 'CodevTT_RAF', '10', '10', 0, 1485240865),
(174636, 199, 12304, '', '11582', '', 2, 1485240931),
(174637, 199, 12304, 'CodevTT_RAF', '4.5', '3', 0, 1485240931),
(174638, 147, 15836, '', '11583', '', 2, 1485241219),
(174639, 147, 15836, 'CodevTT_RAF', '2', '4', 0, 1485241219),
(174640, 147, 15836, '', '11584', '', 2, 1485241258),
(174641, 147, 15836, 'CodevTT_RAF', '4', '3', 0, 1485241258),
(174646, 217, 16312, '', '11587', '', 2, 1485243575),
(174647, 217, 16312, 'CodevTT_RAF', '8', '3', 0, 1485243575),
(174653, 246, 16701, 'CodevTT_RAF', '2', '0', 0, 1485247323),
(174654, 246, 16701, 'CodevTT_RAF', '0', '0', 0, 1485247323),
(174655, 246, 16701, 'status', '50', '80', 0, 1485247323),
(174656, 246, 16701, 'handler_id', '199', '246', 0, 1485247323),
(174657, 246, 16701, 'CodevTT_RAF', '0', '0', 0, 1485247342),
(174658, 2, 6967, '', '11590', '', 2, 1485249781),
(174659, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1485249781),
(174701, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254201),
(174702, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254226),
(174703, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254255),
(174704, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254268),
(174705, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254309),
(174706, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254345),
(174707, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254376),
(174708, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254395),
(174709, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485254409),
(289906, 157, 22410, 'CodevTT_RAF', '0', '0', 0, 1508481319),
(289907, 157, 22410, 'status', '10', '80', 0, 1508481319),
(289905, 157, 22410, 'CodevTT_RAF', '', '0', 0, 1508481319),
(289846, 157, 22407, 'CodevTT_RAF', '1.5', '1.5', 0, 1508478545),
(289904, 157, 22411, 'status', '10', '80', 0, 1508481276),
(289845, 157, 22407, 'status', '10', '50', 0, 1508478524),
(188434, 342, 17211, 'CodevTT_RAF', '5', '4', 0, 1487841318),
(289844, 157, 22407, 'CodevTT_RAF', '', '1.5', 0, 1508478524),
(289843, 157, 22409, 'status', '10', '50', 0, 1508478414),
(175129, 217, 16077, 'CodevTT_RAF', '8', '5', 0, 1485270475),
(175146, 199, 16679, '', '11622', '', 2, 1485273792),
(175175, 246, 16701, 'CodevTT_RAF', '0', '0', 0, 1485276623),
(175176, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1485276665),
(175180, 246, 16623, 'CodevTT_RAF', '', '5', 0, 1485276732),
(175181, 246, 16623, 'status', '10', '40', 0, 1485276732),
(175183, 2, 16514, '', '11627', '', 2, 1485276850),
(175184, 2, 16514, 'CodevTT_RAF', '15', '15', 0, 1485276850),
(175185, 2, 16517, '', '11628', '', 2, 1485276882),
(175186, 2, 16517, 'CodevTT_RAF', '10', '10', 0, 1485276882),
(175187, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1485276894),
(175222, 199, 16742, 'CodevTT_RAF', '', '0', 0, 1485283286),
(175223, 199, 16742, 'CodevTT_RAF', '0', '0', 0, 1485283286),
(175224, 199, 16742, 'status', '10', '80', 0, 1485283286),
(175225, 199, 12318, 'CodevTT_RAF', '3.5', '0', 0, 1485283327),
(175226, 199, 12318, 'CodevTT_RAF', '0', '0', 0, 1485283327),
(175227, 199, 12318, 'status', '50', '80', 0, 1485283327),
(175228, 199, 12318, 'status', '80', '50', 0, 1485283652),
(175229, 199, 12318, 'CodevTT_RAF', '0', '0.5', 0, 1485283652),
(175238, 217, 16312, 'CodevTT_RAF', '3', '0', 0, 1485329654),
(175239, 217, 16312, 'CodevTT_RAF', '0', '0', 0, 1485329654),
(175240, 217, 16312, 'status', '50', '80', 0, 1485329654),
(175241, 72, 15785, '', '11639', '', 2, 1485331110),
(175242, 72, 15785, 'CodevTT_RAF', '1', '2', 0, 1485331110),
(196992, 205, 8454, 'CodevTT_RAF', '0', '0', 0, 1489480517),
(196993, 205, 15571, 'CodevTT_RAF', '0', '0', 0, 1489480533),
(196994, 205, 15571, 'CodevTT_RAF', '0', '0', 0, 1489480554),
(196995, 205, 10396, 'CodevTT_RAF', '0', '0', 0, 1489480573),
(175322, 157, 16554, 'CodevTT_RAF', '0', '0', 0, 1485350797),
(175323, 157, 15289, 'CodevTT_RAF', '0', '0', 0, 1485350877),
(175324, 157, 16552, 'CodevTT_RAF', '0.5', '0', 0, 1485350912),
(175325, 157, 16552, 'status', '50', '80', 0, 1485350912),
(175326, 157, 16552, 'CodevTT_RAF', '0', '0', 0, 1485350912),
(175327, 157, 16550, 'CodevTT_RAF', '1.5', '0', 0, 1485350935),
(175328, 157, 16550, 'status', '50', '80', 0, 1485350935),
(175329, 157, 16550, 'CodevTT_RAF', '0', '0', 0, 1485350935),
(175330, 157, 16551, 'CodevTT_RAF', '0.5', '0', 0, 1485350958),
(175331, 157, 16551, 'status', '50', '80', 0, 1485350958),
(175332, 157, 16551, 'CodevTT_RAF', '0', '0', 0, 1485350958),
(175333, 157, 16078, 'CodevTT_RAF', '0.5', '2', 0, 1485351002),
(175372, 217, 16077, 'CodevTT_RAF', '5', '5', 0, 1485354232),
(175440, 217, 16077, 'CodevTT_RAF', '5', '5', 0, 1485358035),
(175445, 72, 16794, '', '', '', 1, 1485358134),
(175446, 72, 16794, 'handler_id', '0', '72', 0, 1485358134),
(175465, 72, 16794, '', '11671', '', 2, 1485358899),
(175466, 72, 16794, 'CodevTT_RAF', '', '1', 0, 1485358899),
(175467, 72, 16794, 'status', '10', '50', 0, 1485358899),
(175768, 147, 15836, 'CodevTT_RAF', '3', '2', 0, 1485425928),
(175769, 147, 15836, 'CodevTT_RAF', '2', '1.25', 0, 1485425951),
(175770, 147, 15836, '', '11584', '', 4, 1485426197),
(175771, 147, 15836, 'CodevTT_RAF', '1.25', '1.5', 0, 1485426217),
(175870, 72, 16802, 'Ref. Externe', '', '44012', 0, 1485432897),
(175871, 72, 16802, 'CodevTT_ChargeInit', '', '2', 0, 1485432898),
(175872, 72, 16802, 'handler_id', '0', '157', 0, 1485432898),
(175873, 72, 16802, 'codevtt_type', '', 'Bug', 0, 1485432898),
(175874, 72, 16803, 'Ref. Externe', '', '44135', 0, 1485432898),
(175875, 72, 16803, 'CodevTT_ChargeInit', '', '2', 0, 1485432898),
(175876, 72, 16803, 'handler_id', '0', '146', 0, 1485432898),
(175877, 72, 16803, 'codevtt_type', '', 'Bug', 0, 1485432898),
(175878, 72, 16804, 'Ref. Externe', '', '44136', 0, 1485432899),
(175879, 72, 16804, 'CodevTT_ChargeInit', '', '2', 0, 1485432899),
(175880, 72, 16804, 'codevtt_type', '', 'Bug', 0, 1485432899),
(175881, 72, 16805, 'Ref. Externe', '', '44137', 0, 1485432899),
(175882, 72, 16805, 'CodevTT_ChargeInit', '', '2', 0, 1485432899),
(175883, 72, 16805, 'handler_id', '0', '157', 0, 1485432899),
(175884, 72, 16805, 'codevtt_type', '', 'Bug', 0, 1485432899),
(176018, 217, 16077, 'CodevTT_RAF', '5', '5', 0, 1485441614),
(176036, 72, 16804, 'handler_id', '0', '199', 0, 1485444245),
(176094, 146, 16803, 'CodevTT_RAF', '', '0.5', 0, 1485454538),
(176095, 146, 16803, 'status', '10', '50', 0, 1485454538),
(176096, 146, 12319, 'CodevTT_RAF', '4', '2', 0, 1485454890),
(176097, 146, 12319, 'CodevTT_RAF', '2', '2', 0, 1485454916),
(176098, 146, 12319, 'CodevTT_RAF', '2', '2', 0, 1485454939),
(176099, 146, 12319, 'CodevTT_RAF', '2', '2', 0, 1485454960),
(176122, 157, 16794, 'CodevTT_RAF', '1', '0.5', 0, 1485503926),
(176123, 157, 16078, 'CodevTT_RAF', '2', '1', 0, 1485503963),
(176128, 341, 2, '', '11904', '', 2, 1485504062),
(176129, 341, 2, '', '11905', '', 2, 1485504067),
(176132, 157, 16806, '', '', '', 1, 1485504108),
(176133, 157, 16806, 'handler_id', '0', '157', 0, 1485504108),
(176134, 157, 16806, '', '', '16078', 21, 1485504108),
(176135, 157, 16078, '', '', '16806', 20, 1485504108),
(176136, 147, 14060, 'CodevTT_RAF', '0.5', '0', 0, 1485504151),
(176137, 147, 14060, 'CodevTT_RAF', '0', '0', 0, 1485504151),
(176138, 147, 14060, 'status', '50', '80', 0, 1485504151),
(176139, 157, 16806, 'CodevTT_RAF', '', '1', 0, 1485504157),
(176140, 157, 16806, 'status', '10', '50', 0, 1485504157),
(176141, 147, 15836, 'CodevTT_RAF', '1.5', '2', 0, 1485504178),
(176160, 246, 16623, 'CodevTT_RAF', '5', '5', 0, 1485504978),
(176161, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1485505024),
(176162, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1485505047),
(176187, 72, 16811, '', '', '', 1, 1485507207),
(176188, 72, 16811, 'handler_id', '0', '169', 0, 1485507207),
(176220, 164, 16611, 'CodevTT_RAF', '0', '0', 0, 1485507829),
(176221, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1485507847),
(176222, 164, 16611, 'CodevTT_RAF', '0', '0', 0, 1485507865),
(176223, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1485507897),
(176224, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1485507916),
(176225, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1485507936),
(176226, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1485507953),
(176357, 74, 16514, '', '11931', '', 2, 1485524318),
(176358, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1485524356),
(176359, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1485524376),
(176360, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1485524390),
(176361, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1485524402),
(176362, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1485524413),
(176365, 72, 16676, '', '11933', '', 2, 1485524516),
(176366, 72, 16676, 'CodevTT_RAF', '1', '0.25', 0, 1485524516),
(176602, 169, 12321, 'CodevTT_RAF', '1', '5', 0, 1485536661),
(176609, 169, 12321, 'CodevTT_RAF', '5', '5', 0, 1485536743),
(176612, 169, 16811, 'CodevTT_RAF', '', '1', 0, 1485536781),
(176613, 169, 16811, 'status', '10', '50', 0, 1485536781),
(176619, 169, 12320, 'CodevTT_RAF', '0.5', '0.5', 0, 1485536853),
(176622, 169, 12321, 'CodevTT_RAF', '5', '1.5', 0, 1485536889),
(176623, 169, 12321, 'CodevTT_RAF', '1.5', '0.5', 0, 1485536897),
(176641, 169, 15571, 'CodevTT_RAF', '1', '5', 0, 1485537084),
(176642, 169, 12321, 'CodevTT_RAF', '0.5', '0.5', 0, 1485537108),
(176649, 169, 12321, 'status', '10', '50', 0, 1485537237),
(176650, 169, 12321, 'CodevTT_Dead Line', '', '', 0, 1485537237),
(176730, 72, 16844, 'Ref. Externe', '', '44142', 0, 1485763601),
(176731, 72, 16844, 'CodevTT_ChargeInit', '', '2', 0, 1485763601),
(176732, 72, 16844, 'handler_id', '0', '199', 0, 1485763601),
(176733, 72, 16844, 'codevtt_type', '', 'Bug', 0, 1485763601),
(176734, 72, 16845, 'Ref. Externe', '', '44143', 0, 1485763601),
(176735, 72, 16845, 'CodevTT_ChargeInit', '', '2', 0, 1485763601),
(176736, 72, 16845, 'handler_id', '0', '74', 0, 1485763601),
(176737, 72, 16845, 'codevtt_type', '', 'Bug', 0, 1485763601),
(176738, 72, 16846, 'Ref. Externe', '', '44146', 0, 1485763602),
(176739, 72, 16846, 'CodevTT_ChargeInit', '', '2', 0, 1485763602),
(176740, 72, 16846, 'handler_id', '0', '74', 0, 1485763602),
(176741, 72, 16846, 'codevtt_type', '', 'Bug', 0, 1485763602),
(176742, 72, 16847, 'Ref. Externe', '', '44147', 0, 1485763602),
(176743, 72, 16847, 'CodevTT_ChargeInit', '', '2', 0, 1485763602),
(176744, 72, 16847, 'handler_id', '0', '74', 0, 1485763602),
(176745, 72, 16847, 'codevtt_type', '', 'Bug', 0, 1485763602),
(176746, 72, 16848, 'Ref. Externe', '', '44148', 0, 1485763602),
(176747, 72, 16848, 'CodevTT_ChargeInit', '', '2', 0, 1485763602),
(176748, 72, 16848, 'handler_id', '0', '74', 0, 1485763602),
(176749, 72, 16848, 'codevtt_type', '', 'Bug', 0, 1485763602),
(176750, 72, 16849, 'Ref. Externe', '', '44149', 0, 1485763602),
(176751, 72, 16849, 'CodevTT_ChargeInit', '', '2', 0, 1485763602),
(176752, 72, 16849, 'handler_id', '0', '74', 0, 1485763602),
(176753, 72, 16849, 'codevtt_type', '', 'Bug', 0, 1485763602),
(176754, 72, 16850, 'Ref. Externe', '', '44150', 0, 1485763602),
(176755, 72, 16850, 'CodevTT_ChargeInit', '', '2', 0, 1485763602),
(176756, 72, 16850, 'handler_id', '0', '74', 0, 1485763602),
(176757, 72, 16850, 'codevtt_type', '', 'Bug', 0, 1485763602),
(176758, 72, 16851, 'Ref. Externe', '', '44151', 0, 1485763602),
(176759, 72, 16851, 'CodevTT_ChargeInit', '', '2', 0, 1485763602),
(176760, 72, 16851, 'handler_id', '0', '157', 0, 1485763602),
(176761, 72, 16851, 'codevtt_type', '', 'Bug', 0, 1485763602),
(176762, 72, 16852, 'Ref. Externe', '', '44152', 0, 1485763603),
(176763, 72, 16852, 'CodevTT_ChargeInit', '', '2', 0, 1485763603),
(176764, 72, 16852, 'handler_id', '0', '74', 0, 1485763603),
(176765, 72, 16852, 'codevtt_type', '', 'Bug', 0, 1485763603),
(176766, 72, 16844, 'RSI_Type_Ano', '', 'Recette', 0, 1485763912),
(176767, 72, 16845, 'RSI_Type_Ano', '', 'Recette', 0, 1485763938),
(176768, 72, 16847, 'RSI_Type_Ano', '', 'Recette', 0, 1485764031),
(176769, 72, 16848, 'RSI_Type_Ano', '', 'Recette', 0, 1485764066),
(176770, 72, 16849, 'RSI_Type_Ano', '', 'Recette', 0, 1485764093),
(176771, 72, 16850, 'RSI_Type_Ano', '', 'Recette', 0, 1485764118),
(176772, 72, 16851, 'RSI_Type_Ano', '', 'Recette', 0, 1485764158),
(176773, 72, 16852, 'RSI_Type_Ano', '', 'Recette', 0, 1485764188),
(176906, 72, 16847, 'handler_id', '74', '168', 0, 1485781228),
(176907, 72, 16847, 'CodevTT_ChargeMgr', '', '0', 0, 1485781241),
(176908, 72, 16847, 'CodevTT_ChargeInit', '2', '1', 0, 1485781241),
(176909, 72, 16855, '', '', '', 1, 1485781316),
(176910, 72, 16855, 'handler_id', '0', '168', 0, 1485781316),
(176911, 72, 16855, '', '', '16847', 21, 1485781316),
(176912, 72, 16847, '', '', '16855', 20, 1485781316),
(176961, 217, 16077, 'CodevTT_RAF', '5', '3', 0, 1485782722),
(176964, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1485782947),
(176965, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1485783024),
(176989, 72, 16867, '', '', '', 1, 1485787260),
(176990, 72, 16867, 'handler_id', '0', '74', 0, 1485787260),
(176991, 72, 16867, '', '', '16855', 21, 1485787260),
(176992, 72, 16855, '', '', '16867', 20, 1485787260),
(177009, 72, 16872, 'Ref. Externe', '', '44114', 0, 1485787498),
(177010, 72, 16872, 'CodevTT_ChargeInit', '', '1', 0, 1485787498),
(177011, 72, 16872, 'handler_id', '0', '199', 0, 1485787498),
(177012, 72, 16872, 'codevtt_type', '', 'Task', 0, 1485787498),
(177013, 72, 16873, 'Ref. Externe', '', '44114', 0, 1485787498),
(177014, 72, 16873, 'CodevTT_ChargeInit', '', '2', 0, 1485787498),
(177015, 72, 16873, 'handler_id', '0', '199', 0, 1485787498),
(177016, 72, 16873, 'codevtt_type', '', 'Task', 0, 1485787498),
(177017, 72, 16874, 'Ref. Externe', '', '44154', 0, 1485787498),
(177018, 72, 16874, 'CodevTT_ChargeInit', '', '1', 0, 1485787498),
(177019, 72, 16874, 'handler_id', '0', '199', 0, 1485787498),
(177020, 72, 16874, 'codevtt_type', '', 'Task', 0, 1485787498),
(177021, 72, 16875, 'Ref. Externe', '', '44154', 0, 1485787498),
(177022, 72, 16875, 'CodevTT_ChargeInit', '', '2', 0, 1485787498),
(177023, 72, 16875, 'handler_id', '0', '199', 0, 1485787498),
(177024, 72, 16875, 'codevtt_type', '', 'Task', 0, 1485787498),
(177060, 147, 15836, 'CodevTT_RAF', '2', '1.5', 0, 1485789406),
(177061, 147, 14060, 'CodevTT_RAF', '0', '0', 0, 1485789440),
(188430, 342, 17211, 'CodevTT_RAF', '2', '5', 0, 1487841297),
(177277, 199, 12318, 'CodevTT_RAF', '0.5', '0', 0, 1485796948),
(177278, 199, 12318, 'CodevTT_RAF', '0', '0', 0, 1485796948),
(177279, 199, 12318, 'status', '50', '80', 0, 1485796948),
(177280, 199, 12318, 'CodevTT_RAF', '0', '0', 0, 1485796955),
(177281, 199, 16803, 'CodevTT_RAF', '0.5', '0', 0, 1485796984),
(177282, 199, 16803, 'CodevTT_RAF', '0', '0', 0, 1485796984),
(177283, 199, 16803, 'status', '50', '80', 0, 1485796984),
(177284, 199, 16803, 'handler_id', '146', '199', 0, 1485796984),
(177285, 199, 16844, 'CodevTT_RAF', '', '1', 0, 1485797052),
(177286, 199, 16844, 'status', '10', '50', 0, 1485797052),
(177287, 199, 16874, 'CodevTT_RAF', '', '1', 0, 1485797085),
(177288, 199, 16874, 'status', '10', '50', 0, 1485797085),
(177452, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1485850891),
(177453, 246, 16069, 'status', '80', '90', 0, 1485850891),
(177454, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1485850910),
(177603, 168, 15782, 'CodevTT_RAF', '0.5', '1', 0, 1485857271),
(177604, 168, 15782, 'CodevTT_RAF', '1', '1', 0, 1485857292),
(177611, 168, 15832, 'CodevTT_RAF', '5', '4', 0, 1485857524),
(177613, 168, 15832, 'CodevTT_RAF', '4', '3', 0, 1485857539),
(177614, 168, 15832, 'CodevTT_RAF', '3', '2', 0, 1485857558),
(177615, 168, 15832, 'CodevTT_RAF', '2', '2', 0, 1485857572),
(177616, 168, 15832, 'CodevTT_RAF', '2', '1', 0, 1485857585),
(177617, 157, 16851, 'CodevTT_RAF', '', '0', 0, 1485857950),
(177618, 157, 16851, 'CodevTT_RAF', '0', '0', 0, 1485857950),
(177619, 157, 16851, 'status', '10', '80', 0, 1485857950),
(177620, 157, 16677, 'CodevTT_RAF', '0', '0', 0, 1485857980),
(177621, 157, 16907, '', '', '', 1, 1485858153),
(177622, 157, 16907, 'handler_id', '0', '157', 0, 1485858153),
(177623, 157, 16907, '', '', '16677', 21, 1485858153),
(177624, 157, 16677, '', '', '16907', 20, 1485858153),
(177625, 157, 16677, 'CodevTT_RAF', '0', '0', 0, 1485858165),
(177626, 157, 16907, 'CodevTT_RAF', '', '0.5', 0, 1485858188),
(177627, 157, 16907, 'status', '10', '50', 0, 1485858188),
(177628, 157, 16907, 'CodevTT_RAF', '0.5', '0.5', 0, 1485858233),
(177635, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1485858892),
(177636, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1485858905),
(177637, 2, 6967, 'CodevTT_RAF', '0', '0', 0, 1485858930),
(177776, 217, 16312, 'CodevTT_RAF', '0', '6', 0, 1485872265),
(177777, 217, 16312, 'status', '80', '50', 0, 1485872265),
(177825, 146, 12319, 'CodevTT_RAF', '2', '1', 0, 1485874665),
(177826, 146, 12319, 'CodevTT_RAF', '1', '1', 0, 1485874678),
(177836, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1485875580),
(177837, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1485875650),
(177838, 72, 16912, '', '', '', 1, 1485875726),
(177839, 72, 16912, 'handler_id', '0', '164', 0, 1485875726),
(177840, 72, 16912, '', '', '16139', 21, 1485875726),
(177841, 72, 16139, '', '', '16912', 20, 1485875726),
(177842, 147, 15836, 'CodevTT_RAF', '1.5', '1', 0, 1485875911),
(177843, 147, 14060, 'CodevTT_RAF', '0', '0', 0, 1485875922),
(177852, 164, 16912, 'status', '10', '80', 0, 1485876366),
(177853, 164, 16912, 'resolution', '10', '20', 0, 1485876366),
(177854, 164, 16912, 'CodevTT_RAF', '', '0', 0, 1485876366),
(177855, 164, 16912, 'CodevTT_RAF', '0', '0', 0, 1485876390),
(177856, 199, 16804, 'CodevTT_RAF', '', '0', 0, 1485877448),
(177857, 199, 16804, 'CodevTT_RAF', '0', '0', 0, 1485877448),
(177858, 199, 16804, 'status', '10', '80', 0, 1485877448),
(177859, 199, 16803, 'CodevTT_RAF', '0', '0', 0, 1485877483),
(177860, 199, 12318, 'CodevTT_RAF', '0', '0', 0, 1485877511),
(177861, 199, 16811, 'CodevTT_RAF', '1', '0', 0, 1485877547),
(177862, 199, 16811, 'CodevTT_RAF', '0', '0', 0, 1485877547),
(177863, 199, 16811, 'status', '50', '80', 0, 1485877547),
(177864, 205, 10399, 'CodevTT_RAF', '10', '0', 0, 1485877940),
(177865, 205, 10399, 'CodevTT_RAF', '0', '0', 0, 1485877940),
(177866, 205, 10399, 'status', '50', '80', 0, 1485877940),
(177867, 205, 10399, 'CodevTT_RAF', '0', '0', 0, 1485878239),
(177868, 205, 8454, 'CodevTT_RAF', '10', '8', 0, 1485878257),
(177869, 205, 8454, 'CodevTT_RAF', '8', '5', 0, 1485878271),
(177870, 205, 8454, 'CodevTT_RAF', '5', '5', 0, 1485878282),
(177871, 205, 8454, 'CodevTT_RAF', '5', '5', 0, 1485878282),
(177873, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1485878534),
(177874, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1485878549),
(177877, 205, 8454, 'CodevTT_RAF', '5', '5', 0, 1485878736),
(177878, 205, 8454, 'CodevTT_RAF', '5', '5', 0, 1485878748),
(177902, 72, 16913, 'Ref. Externe', '', '44163', 0, 1485931539),
(177903, 72, 16913, 'CodevTT_ChargeInit', '', '2', 0, 1485931539),
(177904, 72, 16913, 'handler_id', '0', '199', 0, 1485931539),
(177905, 72, 16913, 'codevtt_type', '', 'Task', 0, 1485931539),
(177906, 72, 16914, 'Ref. Externe', '', '44163', 0, 1485931539),
(177907, 72, 16914, 'CodevTT_ChargeInit', '', '2', 0, 1485931539),
(177908, 72, 16914, 'handler_id', '0', '199', 0, 1485931539),
(177909, 72, 16914, 'codevtt_type', '', 'Task', 0, 1485931539),
(177910, 72, 16676, '', '12135', '', 2, 1485931633),
(177911, 72, 16676, 'CodevTT_RAF', '0.25', '0.1', 0, 1485931633),
(177912, 72, 16676, 'handler_id', '74', '72', 0, 1485931633),
(177919, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1485937255),
(177932, 246, 16102, 'CodevTT_RAF', '', '4', 0, 1485937654),
(177933, 246, 16102, 'status', '10', '50', 0, 1485937654),
(177948, 74, 16867, 'CodevTT_RAF', '', '1', 0, 1485939793),
(177949, 74, 16867, 'status', '10', '50', 0, 1485939793),
(177950, 74, 16070, 'CodevTT_RAF', '1', '0.5', 0, 1485939813),
(177958, 169, 12320, 'CodevTT_RAF', '0.5', '0', 0, 1485941083),
(177959, 169, 12320, 'CodevTT_RAF', '0', '0', 0, 1485941129),
(177960, 169, 12320, 'status', '10', '80', 0, 1485941129),
(177961, 169, 12320, 'CodevTT_RAF', '0', '0', 0, 1485941129),
(177962, 169, 12320, 'CodevTT_Dead Line', '', '', 0, 1485941129),
(177963, 169, 12321, 'CodevTT_RAF', '0.5', '0', 0, 1485941171),
(177964, 169, 12321, 'status', '50', '80', 0, 1485941171),
(177965, 169, 12321, 'CodevTT_RAF', '0', '0', 0, 1485941171),
(177966, 169, 12321, 'CodevTT_Dead Line', '', '', 0, 1485941171),
(177971, 169, 15571, 'CodevTT_RAF', '5', '4', 0, 1485941626),
(177972, 169, 15571, 'CodevTT_RAF', '4', '3', 0, 1485941638),
(177973, 217, 16312, 'CodevTT_RAF', '6', '6', 0, 1485942773),
(177974, 217, 16312, 'CodevTT_RAF', '6', '3', 0, 1485942796),
(177975, 217, 16312, 'CodevTT_RAF', '3', '5', 0, 1485942807),
(177976, 217, 16312, 'CodevTT_RAF', '5', '5', 0, 1485942834),
(177977, 217, 16312, 'CodevTT_RAF', '5', '5', 0, 1485942834),
(178022, 342, 16070, 'CodevTT_RAF', '0.5', '1', 0, 1485958538),
(178023, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485958564),
(178024, 342, 16070, 'CodevTT_RAF', '1', '1', 0, 1485958582),
(178035, 147, 15836, 'CodevTT_RAF', '1', '0', 0, 1485962002),
(178036, 147, 15836, 'CodevTT_RAF', '0', '0', 0, 1485962002),
(178037, 147, 15836, 'status', '50', '80', 0, 1485962002),
(178051, 164, 16912, 'CodevTT_RAF', '0', '0', 0, 1485965921),
(178052, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1485965956),
(178053, 164, 16611, 'CodevTT_RAF', '0', '0', 0, 1485965996),
(178054, 164, 16611, 'CodevTT_RAF', '0', '0', 0, 1485966005),
(178059, 246, 12327, 'CodevTT_RAF', '', '0', 0, 1485967911),
(178060, 246, 12327, 'CodevTT_RAF', '0', '0', 0, 1485967911),
(178061, 246, 12327, 'status', '20', '80', 0, 1485967911),
(178062, 246, 12327, 'handler_id', '199', '246', 0, 1485967911),
(178063, 246, 16623, 'CodevTT_RAF', '5', '5', 0, 1485967946),
(178104, 72, 16915, '', '', '', 1, 1486022203),
(178105, 72, 16915, 'handler_id', '0', '342', 0, 1486022203),
(178106, 72, 16915, '', '', '16069', 21, 1486022203),
(178107, 72, 16069, '', '', '16915', 20, 1486022203),
(178172, 217, 15832, 'CodevTT_RAF', '1', '5', 0, 1486023996),
(178276, 72, 16070, 'handler_id', '342', '0', 0, 1486026436),
(178277, 72, 16070, 'CodevTT_RAF', '1', '0', 0, 1486026436),
(178278, 72, 16070, 'status', '50', '80', 0, 1486026436),
(178279, 72, 16070, 'CodevTT_RAF', '0', '0', 0, 1486026436),
(178280, 72, 16070, 'CodevTT_Dead Line', '', '', 0, 1486026436),
(178452, 217, 16722, 'CodevTT_RAF', '5', '2', 0, 1486029675),
(178453, 217, 16722, 'CodevTT_RAF', '2', '2', 0, 1486029688),
(178454, 217, 16922, '', '', '', 1, 1486029747),
(178455, 217, 16922, 'handler_id', '0', '217', 0, 1486029747),
(178456, 217, 16922, '', '', '16722', 21, 1486029747),
(178457, 217, 16722, '', '', '16922', 20, 1486029747),
(178458, 217, 16922, 'CodevTT_RAF', '', '5', 0, 1486029771),
(178459, 217, 16922, 'status', '10', '50', 0, 1486029771),
(178460, 217, 16922, 'CodevTT_RAF', '5', '5', 0, 1486029784),
(178461, 217, 16722, 'CodevTT_RAF', '2', '5', 0, 1486029792),
(178643, 72, 14059, 'CodevTT_ChargeMgr', '5', '10', 0, 1486041065),
(178644, 72, 14060, 'CodevTT_ChargeMgr', '0', '12', 0, 1486041083),
(178645, 72, 16070, '', '3361', '', 6, 1486041169),
(178646, 72, 16070, 'CodevTT_ChargeMgr', '10', '16', 0, 1486041169),
(178647, 72, 16070, 'CodevTT_ChargeInit', '8', '12', 0, 1486041169),
(178671, 74, 16867, 'CodevTT_RAF', '1', '0', 0, 1486042149),
(178672, 74, 16867, 'CodevTT_RAF', '0', '0', 0, 1486042149),
(178673, 74, 16867, 'status', '50', '80', 0, 1486042149),
(178674, 74, 16850, 'CodevTT_RAF', '', '0', 0, 1486042296),
(178675, 74, 16850, 'status', '10', '80', 0, 1486042296),
(178676, 74, 16850, 'CodevTT_RAF', '0', '0', 0, 1486042296),
(178677, 74, 16850, '', '0', '16845', 18, 1486042404),
(178678, 74, 16845, '', '4', '16850', 18, 1486042404),
(178679, 168, 15782, 'CodevTT_RAF', '1', '0', 0, 1486042441),
(178680, 168, 15782, 'CodevTT_RAF', '0', '0', 0, 1486042441),
(178681, 168, 15782, 'status', '50', '80', 0, 1486042441),
(178682, 74, 16849, 'CodevTT_ChargeInit', '2', '0', 0, 1486042484),
(178683, 74, 16849, 'status', '10', '50', 0, 1486042496),
(178689, 74, 16846, 'handler_id', '74', '157', 0, 1486042591),
(178690, 74, 16845, 'CodevTT_RAF', '', '0', 0, 1486042624),
(178691, 74, 16845, 'status', '10', '80', 0, 1486042624),
(178692, 74, 16845, 'CodevTT_RAF', '0', '0', 0, 1486042624),
(178693, 74, 14721, 'CodevTT_RAF', '2', '0', 0, 1486042680),
(178694, 74, 14721, 'status', '50', '80', 0, 1486042680),
(178695, 74, 14721, 'CodevTT_RAF', '0', '0', 0, 1486042680),
(178742, 199, 16102, 'handler_id', '246', '146', 0, 1486043306),
(178743, 199, 16102, 'CodevTT_ChargeInit', '4', '1', 0, 1486043306),
(178744, 199, 16102, 'CodevTT_RAF', '4', '1', 0, 1486043306),
(178807, 217, 16925, '', '', '', 1, 1486046805),
(178808, 217, 16925, 'handler_id', '0', '217', 0, 1486046805),
(178809, 217, 16925, '', '', '16922', 21, 1486046805),
(178810, 217, 16922, '', '', '16925', 20, 1486046805),
(178815, 217, 16925, 'CodevTT_RAF', '', '5', 0, 1486046829),
(178816, 217, 16925, 'status', '10', '50', 0, 1486046829),
(178819, 217, 16926, '', '', '', 1, 1486046858),
(178820, 217, 16926, 'handler_id', '0', '217', 0, 1486046858),
(178821, 217, 16926, '', '', '16925', 21, 1486046858),
(178822, 217, 16925, '', '', '16926', 20, 1486046858),
(178825, 217, 16926, 'CodevTT_RAF', '', '0', 0, 1486046890),
(178826, 217, 16926, 'CodevTT_RAF', '0', '0', 0, 1486046890),
(178827, 217, 16926, 'status', '10', '80', 0, 1486046890),
(178841, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1486048334),
(178842, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1486048343),
(178843, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1486048358),
(178844, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1486048370),
(178845, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1486048437),
(178846, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1486048446),
(178847, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1486048457),
(178848, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1486048465),
(178913, 277, 2, '', '12430', '', 2, 1486052263),
(179005, 169, 12328, 'CodevTT_RAF', '', '1', 0, 1486056020),
(179006, 169, 12328, 'status', '10', '50', 0, 1486056020),
(179007, 169, 15571, 'CodevTT_RAF', '3', '0', 0, 1486056039),
(179008, 169, 15571, 'CodevTT_RAF', '0', '0', 0, 1486056039),
(179009, 169, 15571, 'status', '50', '80', 0, 1486056039),
(179079, 157, 16802, 'CodevTT_RAF', '', '1.5', 0, 1486106099),
(179080, 157, 16802, 'status', '10', '50', 0, 1486106099),
(179085, 157, 16802, 'CodevTT_RAF', '1.5', '1', 0, 1486106350),
(179086, 157, 16553, 'CodevTT_RAF', '0', '0', 0, 1486106474),
(179089, 157, 16677, 'CodevTT_RAF', '0', '0', 0, 1486106568),
(179293, 146, 12319, 'CodevTT_RAF', '1', '0', 0, 1486110036),
(179294, 146, 12319, 'CodevTT_RAF', '0', '0', 0, 1486110036);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(179295, 146, 12319, 'status', '50', '80', 0, 1486110036),
(179296, 146, 12319, 'CodevTT_RAF', '0', '0', 0, 1486110050),
(179297, 146, 16102, 'CodevTT_RAF', '1', '0', 0, 1486110087),
(179298, 146, 16102, 'CodevTT_RAF', '0', '0', 0, 1486110087),
(179299, 146, 16102, 'status', '50', '80', 0, 1486110087),
(179428, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1486116395),
(179429, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1486116409),
(179430, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1486116430),
(179431, 164, 16912, 'CodevTT_RAF', '0', '0', 0, 1486116471),
(179465, 168, 15832, 'CodevTT_RAF', '5', '5', 0, 1486117670),
(179469, 168, 15832, 'CodevTT_RAF', '5', '5', 0, 1486117753),
(179470, 168, 15832, 'CodevTT_RAF', '5', '5', 0, 1486117766),
(179477, 168, 16312, 'CodevTT_RAF', '5', '0', 0, 1486117822),
(179478, 168, 16312, 'CodevTT_RAF', '0', '0', 0, 1486117822),
(179479, 168, 16312, 'status', '50', '80', 0, 1486117822),
(179480, 168, 16312, 'CodevTT_RAF', '0', '0', 0, 1486117842),
(179483, 147, 12306, 'CodevTT_RAF', '0', '3', 0, 1486117910),
(179484, 147, 12306, 'status', '80', '50', 0, 1486117910),
(179485, 147, 12306, 'CodevTT_RAF', '3', '2', 0, 1486117929),
(179545, 168, 15309, 'CodevTT_RAF', '0', '0', 0, 1486122900),
(179546, 168, 16312, 'CodevTT_RAF', '0', '0', 0, 1486123066),
(179547, 168, 16077, 'CodevTT_RAF', '3', '3', 0, 1486123724),
(179548, 168, 16077, 'CodevTT_RAF', '3', '1', 0, 1486123895),
(179549, 168, 15832, 'CodevTT_RAF', '5', '1', 0, 1486123928),
(179550, 168, 15832, 'CodevTT_RAF', '1', '5', 0, 1486123971),
(179551, 168, 16047, 'CodevTT_RAF', '5', '5', 0, 1486124199),
(179552, 168, 16047, 'CodevTT_RAF', '5', '5', 0, 1486124227),
(179553, 168, 16047, 'CodevTT_RAF', '5', '1', 0, 1486124289),
(179554, 168, 16047, 'handler_id', '217', '168', 0, 1486124289),
(179555, 168, 16047, 'CodevTT_RAF', '1', '1', 0, 1486124302),
(179556, 168, 16047, 'CodevTT_RAF', '1', '00', 0, 1486124319),
(179557, 168, 16047, 'CodevTT_RAF', '00', '0', 0, 1486124319),
(179558, 168, 16047, 'status', '50', '80', 0, 1486124319),
(179559, 168, 16047, 'CodevTT_RAF', '0', '0', 0, 1486124339),
(179560, 168, 15833, 'CodevTT_RAF', '0', '0', 0, 1486124584),
(179561, 168, 16106, 'CodevTT_RAF', '5', '0', 0, 1486124777),
(179562, 168, 16106, 'CodevTT_RAF', '0', '0', 0, 1486124777),
(179563, 168, 16106, 'status', '50', '80', 0, 1486124778),
(179564, 168, 16106, 'handler_id', '217', '168', 0, 1486124778),
(179565, 168, 16106, 'CodevTT_RAF', '0', '0', 0, 1486124794),
(179578, 74, 14014, 'CodevTT_RAF', '20', '10', 0, 1486126461),
(179579, 74, 14014, 'CodevTT_RAF', '10', '10', 0, 1486126476),
(179690, 74, 10400, 'CodevTT_RAF', '2', '1', 0, 1486135352),
(179691, 74, 14014, 'CodevTT_RAF', '10', '10', 0, 1486135366),
(179704, 199, 16844, 'CodevTT_RAF', '1', '0', 0, 1486136932),
(179705, 199, 16844, 'CodevTT_RAF', '0', '0', 0, 1486136932),
(179706, 199, 16844, 'status', '50', '80', 0, 1486136932),
(179707, 199, 16844, 'CodevTT_RAF', '0', '0', 0, 1486136941),
(179711, 199, 16913, 'CodevTT_RAF', '', '0', 0, 1486137139),
(179712, 199, 16913, 'CodevTT_RAF', '0', '0', 0, 1486137139),
(179713, 199, 16913, 'status', '10', '80', 0, 1486137139),
(179714, 199, 16913, 'CodevTT_RAF', '0', '0', 0, 1486137150),
(179717, 199, 12317, 'CodevTT_RAF', '1', '0', 0, 1486137238),
(179718, 199, 12317, 'CodevTT_RAF', '0', '0', 0, 1486137238),
(179719, 199, 12317, 'status', '50', '80', 0, 1486137238),
(179720, 199, 12324, 'CodevTT_RAF', '', '0', 0, 1486137273),
(179721, 199, 12324, 'CodevTT_RAF', '0', '0', 0, 1486137273),
(179722, 199, 12324, 'status', '20', '80', 0, 1486137273),
(179723, 199, 12324, 'handler_id', '246', '199', 0, 1486137273),
(179742, 72, 16935, '', '', '', 1, 1486137581),
(179743, 72, 16935, 'handler_id', '0', '199', 0, 1486137581),
(179744, 199, 16935, 'CodevTT_RAF', '', '0', 0, 1486137624),
(179745, 199, 16935, 'CodevTT_RAF', '0', '0', 0, 1486137624),
(179746, 199, 16935, 'status', '10', '80', 0, 1486137624),
(179755, 199, 12304, 'handler_id', '169', '199', 0, 1486137788),
(179756, 199, 12304, 'status', '20', '50', 0, 1486137788),
(179757, 199, 12304, 'summary', '44058 [DEV] -SPOC-Création Outils de traduction 3 règles complexes', '44058 [DEV] -SPOC-Création Outils Cummuns', 0, 1486137788),
(179763, 199, 12309, 'summary', '44058 [DEV] -SPOC-Mise à jour valeur en-tête dans table W01_SPOC_evenement', '44058 [DEV] -SPOC-Moteur Maj données évènements', 0, 1486137905),
(179770, 199, 12324, 'status', '80', '50', 0, 1486138057),
(179771, 199, 12324, 'CodevTT_Dead Line', '', '', 0, 1486138057),
(179772, 199, 12324, 'CodevTT_RAF', '0', '5', 0, 1486138064),
(179777, 199, 12324, 'CodevTT_RAF', '5', '', 0, 1486138135),
(179784, 2, 4365, 'CodevTT_RAF', '8', '0', 0, 1486138478),
(179785, 2, 4365, 'status', '20', '80', 0, 1486138478),
(179786, 2, 4365, 'CodevTT_RAF', '0', '0', 0, 1486138478),
(179903, 146, 10623, 'CodevTT_RAF', '3', '8', 0, 1486139998),
(179904, 146, 10623, 'status', '20', '50', 0, 1486139998),
(179923, 169, 12328, 'CodevTT_RAF', '1', '0.2', 0, 1486141251),
(180043, 72, 16676, 'RSI_Type_Ano', '', 'Production', 0, 1486370870),
(180044, 72, 16677, 'RSI_Type_Ano', '', 'Production', 0, 1486370941),
(180045, 72, 16679, 'RSI_Type_Ano', '', 'Production', 0, 1486370989),
(180046, 72, 16680, 'RSI_Type_Ano', '', 'Production', 0, 1486371060),
(180047, 72, 16681, 'RSI_Type_Ano', '', 'Production', 0, 1486371110),
(180048, 72, 16803, 'RSI_Type_Ano', '', 'Production', 0, 1486371141),
(180049, 72, 16804, 'RSI_Type_Ano', '', 'Recette', 0, 1486371214),
(180054, 72, 16907, 'RSI_Type_Ano', '', 'Recette', 0, 1486371283),
(180249, 72, 15781, 'CodevTT_RAF', '1', '0', 0, 1486374188),
(180277, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1486377045),
(180413, 217, 16926, 'CodevTT_RAF', '0', '0', 0, 1486384801),
(180414, 217, 16971, '', '', '', 1, 1486384846),
(180415, 217, 16971, 'handler_id', '0', '217', 0, 1486384846),
(180416, 217, 16971, '', '', '16077', 21, 1486384846),
(180417, 217, 16077, '', '', '16971', 20, 1486384846),
(180418, 217, 16971, 'CodevTT_RAF', '', '9', 0, 1486384878),
(180419, 217, 16971, 'status', '10', '50', 0, 1486384878),
(289903, 157, 22411, 'CodevTT_RAF', '0', '0', 0, 1508481276),
(289902, 157, 22411, 'CodevTT_RAF', '', '0', 0, 1508481276),
(289897, 157, 22409, '', '', '22410', 20, 1508481161),
(289898, 157, 22411, '', '', '', 1, 1508481231),
(289899, 157, 22411, 'handler_id', '0', '157', 0, 1508481231),
(289900, 157, 22411, '', '', '22410', 21, 1508481231),
(289901, 157, 22410, '', '', '22411', 20, 1508481231),
(180607, 168, 16855, '', '12699', '', 2, 1486401765),
(180608, 168, 16855, 'CodevTT_RAF', '', '0.1', 0, 1486401765),
(180609, 168, 16855, 'status', '10', '50', 0, 1486401765),
(180611, 168, 16847, 'CodevTT_RAF', '', '0.9', 0, 1486401836),
(180612, 168, 16847, 'status', '10', '50', 0, 1486401836),
(180615, 168, 15832, '', '12700', '', 2, 1486401985),
(180616, 168, 15832, 'CodevTT_RAF', '5', '5', 0, 1486401985),
(185188, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1487168053),
(180760, 199, 12324, 'CodevTT_RAF', '', '0', 0, 1486455102),
(180761, 199, 12324, 'CodevTT_RAF', '0', '0', 0, 1486455104),
(180762, 199, 12324, 'status', '50', '80', 0, 1486455104),
(180763, 246, 16623, 'CodevTT_RAF', '5', '5', 0, 1486455184),
(180764, 246, 16623, 'status', '40', '50', 0, 1486455184),
(180781, 157, 16846, 'CodevTT_RAF', '', '0', 0, 1486456506),
(180782, 157, 16846, 'CodevTT_RAF', '0', '0', 0, 1486456506),
(180783, 157, 16846, 'status', '10', '80', 0, 1486456506),
(180784, 157, 16559, 'status', '50', '80', 0, 1486456706),
(180785, 157, 16559, 'CodevTT_RAF', '0.2', '0', 0, 1486456706),
(180788, 157, 16078, 'status', '50', '80', 0, 1486456783),
(180789, 157, 16078, 'CodevTT_RAF', '1', '0', 0, 1486456783),
(180790, 157, 16806, 'CodevTT_RAF', '1', '0', 0, 1486456852),
(180791, 157, 16806, 'CodevTT_RAF', '0', '0', 0, 1486456852),
(180792, 157, 16806, 'status', '50', '80', 0, 1486456852),
(180798, 157, 16802, 'CodevTT_RAF', '1', '0', 0, 1486456926),
(180799, 157, 16802, 'CodevTT_RAF', '0', '0', 0, 1486456926),
(180800, 157, 16802, 'status', '50', '80', 0, 1486456926),
(180806, 157, 16805, 'CodevTT_RAF', '', '0', 0, 1486456973),
(180807, 157, 16805, 'status', '10', '80', 0, 1486456973),
(180808, 157, 16805, 'CodevTT_RAF', '0', '0', 0, 1486456973),
(180817, 157, 17022, '', '', '', 1, 1486457115),
(180818, 157, 17022, 'handler_id', '0', '157', 0, 1486457115),
(180819, 157, 17022, '', '', '16907', 21, 1486457115),
(180820, 157, 16907, '', '', '17022', 20, 1486457115),
(180821, 157, 17022, 'CodevTT_RAF', '', '1', 0, 1486457168),
(180822, 157, 17022, 'status', '10', '50', 0, 1486457168),
(180823, 157, 17022, 'CodevTT_RAF', '1', '0', 0, 1486457195),
(180824, 157, 17022, 'CodevTT_RAF', '0', '0', 0, 1486457195),
(180825, 157, 17022, 'status', '50', '80', 0, 1486457195),
(180826, 157, 17022, 'CodevTT_RAF', '0', '0', 0, 1486457237),
(180827, 157, 16907, 'CodevTT_RAF', '0.5', '0', 0, 1486457258),
(180828, 157, 16907, 'CodevTT_RAF', '0', '0', 0, 1486457258),
(180829, 157, 16907, 'status', '50', '80', 0, 1486457258),
(181029, 205, 10400, 'CodevTT_RAF', '1', '1', 0, 1486468851),
(181030, 205, 10400, 'CodevTT_RAF', '1', '1', 0, 1486468890),
(181145, 72, 13589, '', '3394', '', 6, 1486475427),
(181210, 72, 15856, 'CodevTT_ChargeInit', '8', '7', 0, 1486482061),
(181211, 72, 15856, 'CodevTT_RAF', '1', '6', 0, 1486482061),
(181212, 72, 15856, 'CodevTT_ChargeInit', '7', '8', 0, 1486482107),
(181213, 72, 15856, 'CodevTT_RAF', '6', '7', 0, 1486482107),
(181224, 72, 17063, '', '', '', 1, 1486482889),
(181225, 72, 17063, 'handler_id', '0', '205', 0, 1486482889),
(181226, 72, 17063, '', '', '10740', 21, 1486482889),
(181227, 72, 10740, '', '', '17063', 20, 1486482889),
(181228, 72, 17063, 'summary', '44026 [QUAL] TAIGA PUMA - Radiation cessation d\'activité 03S', '44026 [QUAL] TAIGA PUMA -FLUX GA', 0, 1486482942),
(181231, 72, 17064, '', '', '', 1, 1486483182),
(181232, 72, 17064, 'handler_id', '0', '217', 0, 1486483182),
(181233, 72, 17064, '', '', '10400', 21, 1486483182),
(181234, 72, 10400, '', '', '17064', 20, 1486483182),
(181235, 72, 17064, 'summary', '43955 [QUALIF] TAIGA PUMA - TP Partie  FIltrage Motif de radiation TP', '43955 [QUAL] TAIGA PUMA - TP Partie  FIltrage Motif de radiation TP', 0, 1486483249),
(181236, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1486483699),
(181237, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1486483717),
(181247, 72, 10743, 'Ref. Externe', '42497', '43955', 0, 1486484039),
(181248, 72, 10745, 'Ref. Externe', '42497', '43955', 0, 1486484040),
(181249, 72, 10746, 'Ref. Externe', '42497', '43955', 0, 1486484040),
(226367, 72, 10394, 'CodevTT_RAF', '0', '0', 0, 1495019140),
(181251, 72, 12288, 'Ref. Externe', '42497', '43955', 0, 1486484040),
(181256, 72, 10743, 'summary', '42497 [DEV] TAIGA PUMA - TP  Ecrans Assure et Ayant droit', '43955 [DEV] TAIGA PUMA - TP  Ecrans Assure et Ayant droit', 0, 1486484109),
(181257, 72, 10745, 'summary', '42497 [DEV] TAIGA PUMA - TP  Radiation', '43955 [DEV] TAIGA PUMA - TP  Radiation', 0, 1486484131),
(181258, 72, 10746, 'summary', '42497 [DEV] TAIGA PUMA - TP  Gestion des périodes de residence AD et OD', '43955 [DEV] TAIGA PUMA - TP  Gestion des périodes de residence AD et OD', 0, 1486484164),
(181259, 72, 12288, 'summary', '42497 [DEV] TAIGA PUMA -   filtrage motif de radiation TP', '43955 [DEV] TAIGA PUMA -   filtrage motif de radiation TP', 0, 1486484200),
(181271, 72, 17065, '', '', '', 1, 1486484323),
(181272, 72, 17065, 'handler_id', '0', '205', 0, 1486484323),
(181273, 72, 17065, '', '', '17064', 21, 1486484323),
(181274, 72, 17064, '', '', '17065', 20, 1486484323),
(181277, 72, 15571, 'CodevTT_ChargeMgr', '0', '20', 0, 1486484539),
(289841, 157, 19872, 'CodevTT_RAF', '2', '1.5', 0, 1508478380),
(289842, 157, 22409, 'CodevTT_RAF', '', '1', 0, 1508478414),
(289840, 157, 19872, 'CodevTT_RAF', '0.5', '2', 0, 1508478364),
(289839, 72, 22409, 'codevtt_type', '', 'Bug', 0, 1508478190),
(289838, 72, 22409, 'handler_id', '0', '157', 0, 1508478190),
(181299, 72, 8454, 'summary', '41937 [SPEC] Amélioration des échanges avec les OC à partir de TAIGA\"', '44058[SPEC]     SPOCAmélioration des échanges avec les OC à partir de TAIGA\"', 0, 1486484787),
(181300, 72, 8454, 'Ref. Externe', '41937', '44058', 0, 1486484787),
(181308, 72, 13774, 'summary', '41937 [SPEC] -STD', '44058 [SPEC] -STD', 0, 1486484851),
(181309, 72, 13774, 'Ref. Externe', '41937', '44058', 0, 1486484851),
(181455, 146, 10623, 'CodevTT_RAF', '8', '7', 0, 1486486152),
(181497, 168, 16847, 'CodevTT_RAF', '0.9', '0.2', 0, 1486488241),
(181508, 72, 14013, 'CodevTT_ChargeInit', '10', '25', 0, 1486540173),
(181509, 72, 14013, 'CodevTT_RAF', '10', '25', 0, 1486540173),
(181526, 246, 16623, 'CodevTT_RAF', '5', '4', 0, 1486543790),
(181661, 146, 10740, 'CodevTT_RAF', '4', '10', 0, 1486549823),
(181691, 146, 10740, 'CodevTT_RAF', '10', '9', 0, 1486550225),
(181692, 146, 10740, 'status', '20', '50', 0, 1486550225),
(181701, 146, 10740, 'CodevTT_RAF', '9', '6', 0, 1486550417),
(181711, 146, 10740, 'CodevTT_RAF', '6', '10', 0, 1486550548),
(181712, 146, 10740, 'CodevTT_RAF', '10', '10', 0, 1486550566),
(181717, 146, 10740, 'CodevTT_RAF', '10', '10', 0, 1486550639),
(181721, 146, 10740, 'CodevTT_RAF', '10', '10', 0, 1486550667),
(181722, 146, 10623, 'CodevTT_RAF', '7', '6', 0, 1486550703),
(181731, 146, 10623, 'CodevTT_RAF', '6', '6', 0, 1486550858),
(181821, 72, 17133, '', '', '', 1, 1486567006),
(181822, 72, 17133, 'handler_id', '0', '199', 0, 1486567006),
(181823, 72, 17133, '', '', '16140', 21, 1486567006),
(181824, 72, 16140, '', '', '17133', 20, 1486567006),
(181825, 217, 16971, 'CodevTT_RAF', '9', '9', 0, 1486567045),
(181826, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1486567065),
(181827, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1486567098),
(181828, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1486567108),
(181829, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1486567315),
(181830, 217, 15832, 'CodevTT_RAF', '5', '5', 0, 1486567328),
(181982, 72, 17142, '', '', '', 1, 1486621892),
(181983, 72, 17142, 'handler_id', '0', '147', 0, 1486621892),
(181984, 72, 16068, 'CodevTT_ChargeMgr', '0', '7', 0, 1486622813),
(181985, 72, 16069, 'CodevTT_ChargeMgr', '0', '15', 0, 1486622824),
(181986, 72, 16915, 'CodevTT_ChargeMgr', '0', '8', 0, 1486622842),
(181987, 72, 16068, 'CodevTT_RAF', '0.2', '0', 0, 1486622887),
(181988, 72, 16068, 'status', '50', '80', 0, 1486622887),
(181989, 72, 16068, 'CodevTT_RAF', '0', '0', 0, 1486622887),
(181990, 72, 16069, 'CodevTT_ChargeInit', '2', '12', 0, 1486623008),
(182152, 246, 16623, 'CodevTT_RAF', '4', '2', 0, 1486628437),
(182161, 246, 13589, 'CodevTT_RAF', '2', '1', 0, 1486628627),
(182162, 246, 13589, 'handler_id', '205', '246', 0, 1486628627),
(185153, 72, 17145, 'CodevTT_RAF', '0', '0', 0, 1487165874),
(185152, 72, 17145, 'status', '50', '80', 0, 1487165874),
(185151, 72, 17145, 'CodevTT_RAF', '0.5', '0', 0, 1487165874),
(182185, 72, 17145, 'Ref. Externe', '', '44188', 0, 1486629008),
(182186, 72, 17145, 'CodevTT_ChargeInit', '', '0.5', 0, 1486629008),
(182187, 72, 17145, 'handler_id', '0', '72', 0, 1486629008),
(182188, 72, 17145, 'codevtt_type', '', 'Task', 0, 1486629008),
(182205, 72, 17145, '', '12887', '', 2, 1486629576),
(182206, 72, 17145, 'CodevTT_RAF', '', '0.5', 0, 1486629576),
(182207, 72, 17145, 'status', '10', '50', 0, 1486629576),
(182363, 147, 12306, 'CodevTT_RAF', '2', '1', 0, 1486633282),
(182364, 147, 12306, 'CodevTT_RAF', '1', '1', 0, 1486633317),
(182368, 147, 12306, 'CodevTT_RAF', '1', '0', 0, 1486633359),
(182369, 147, 12306, 'CodevTT_RAF', '0', '0', 0, 1486633359),
(182370, 147, 12306, 'status', '50', '80', 0, 1486633359),
(182387, 147, 10623, 'CodevTT_RAF', '6', '1', 0, 1486633439),
(182388, 147, 10623, 'handler_id', '146', '147', 0, 1486633439),
(182393, 147, 10623, 'CodevTT_RAF', '1', '3', 0, 1486633483),
(182399, 147, 17142, 'CodevTT_RAF', '', '1', 0, 1486633543),
(182400, 147, 17142, 'status', '10', '50', 0, 1486633543),
(182405, 147, 10623, 'CodevTT_RAF', '3', '2', 0, 1486633604),
(182409, 147, 17142, 'CodevTT_RAF', '1', '1', 0, 1486633635),
(182411, 147, 10623, 'CodevTT_RAF', '2', '1', 0, 1486633666),
(182607, 72, 17142, 'CodevTT_ChargeInit', '2', '1', 0, 1486644302),
(182608, 72, 17142, 'CodevTT_RAF', '1', '0.2', 0, 1486644313),
(182609, 72, 17142, 'CodevTT_RAF', '0.2', '0.25', 0, 1486644327),
(182930, 147, 10623, 'CodevTT_RAF', '1', '1', 0, 1486654764),
(182931, 147, 17142, 'CodevTT_RAF', '0.25', '0', 0, 1486654805),
(182932, 147, 17142, 'CodevTT_RAF', '0', '0', 0, 1486654805),
(182933, 147, 17142, 'status', '50', '80', 0, 1486654805),
(182934, 147, 17142, 'CodevTT_RAF', '0', '0', 0, 1486654852),
(183089, 72, 17170, 'Ref. Externe', '', '44204', 0, 1486709198),
(183090, 72, 17170, 'CodevTT_ChargeInit', '', '2', 0, 1486709198),
(183091, 72, 17170, 'handler_id', '0', '157', 0, 1486709198),
(183092, 72, 17170, 'codevtt_type', '', 'Bug', 0, 1486709198),
(183097, 199, 12308, 'CodevTT_RAF', '0', '0.5', 0, 1486713290),
(183098, 199, 12308, 'status', '80', '50', 0, 1486713290),
(183099, 199, 15970, 'CodevTT_RAF', '', '2', 0, 1486713314),
(183100, 199, 15970, 'status', '10', '50', 0, 1486713314),
(183101, 199, 16101, 'CodevTT_RAF', '', '2', 0, 1486713406),
(183102, 199, 16101, 'status', '10', '50', 0, 1486713406),
(183103, 199, 16101, 'handler_id', '246', '199', 0, 1486713406),
(183104, 199, 16101, 'CodevTT_RAF', '2', '2', 0, 1486713419),
(183105, 199, 8454, 'CodevTT_RAF', '5', '5', 0, 1486713450),
(183106, 199, 12309, 'CodevTT_RAF', '0', '0', 0, 1486713552),
(183188, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1486722059),
(183189, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1486722090),
(183190, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1486722101),
(183191, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1486722117),
(183194, 164, 16912, 'CodevTT_RAF', '0', '0', 0, 1486722139),
(183429, 74, 14014, 'CodevTT_RAF', '10', '8', 0, 1486731160),
(183431, 74, 14014, 'CodevTT_RAF', '8', '10', 0, 1486731203),
(183433, 74, 14014, 'CodevTT_RAF', '10', '7', 0, 1486731218),
(183434, 74, 14014, 'CodevTT_RAF', '7', '7', 0, 1486731306),
(183435, 74, 16847, 'CodevTT_RAF', '0.2', '0', 0, 1486731385),
(183436, 74, 16847, 'CodevTT_RAF', '0', '0', 0, 1486731385),
(183437, 74, 16847, 'status', '50', '80', 0, 1486731385),
(183438, 74, 14014, 'CodevTT_RAF', '7', '5', 0, 1486731454),
(183439, 342, 16915, 'CodevTT_RAF', '', '2', 0, 1486731854),
(183440, 342, 16915, 'status', '10', '50', 0, 1486731855),
(183441, 342, 16915, 'CodevTT_RAF', '2', '1', 0, 1486731879),
(183445, 342, 16915, 'CodevTT_RAF', '1', '1', 0, 1486731908),
(183454, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1486733345),
(183455, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1486733378),
(183456, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1486733426),
(183457, 342, 16915, 'CodevTT_RAF', '1', '1', 0, 1486733827),
(183458, 342, 16915, 'CodevTT_RAF', '1', '1', 0, 1486733842),
(183574, 342, 16915, 'CodevTT_RAF', '1', '1', 0, 1486738550),
(183575, 342, 14721, 'CodevTT_RAF', '0', '1', 0, 1486738591),
(183576, 342, 14721, 'status', '80', '50', 0, 1486738591),
(183579, 342, 14721, 'CodevTT_RAF', '1', '1', 0, 1486738616),
(183614, 146, 10740, 'CodevTT_RAF', '10', '6', 0, 1486741926),
(183615, 146, 10740, 'CodevTT_RAF', '6', '6', 0, 1486741940),
(183624, 72, 17211, '', '', '', 1, 1486742104),
(183625, 72, 17211, 'handler_id', '0', '342', 0, 1486742104),
(183626, 72, 17211, '', '', '14014', 21, 1486742104),
(183627, 72, 14014, '', '', '17211', 20, 1486742104),
(318617, 199, 23905, 'status', '10', '80', 0, 1514884239),
(318616, 199, 23905, 'CodevTT_RAF', '0', '0', 0, 1514884239),
(289837, 72, 22409, 'CodevTT_ChargeInit', '', '0.5', 0, 1508478190),
(289836, 72, 22409, 'Ref. Externe', '', '45161', 0, 1508478190),
(183832, 168, 15832, 'CodevTT_RAF', '5', '1.5', 0, 1486746391),
(183833, 168, 15832, 'CodevTT_RAF', '1.5', '.5', 0, 1486746403),
(183834, 168, 15832, 'CodevTT_RAF', '.5', '0', 0, 1486746422),
(183835, 168, 15832, 'CodevTT_RAF', '0', '0', 0, 1486746422),
(183836, 168, 15832, 'status', '50', '80', 0, 1486746422),
(183837, 168, 16847, 'CodevTT_RAF', '0', '0', 0, 1486746447),
(183880, 169, 12328, 'CodevTT_RAF', '0.2', '0', 0, 1486942748),
(183881, 169, 12328, 'CodevTT_RAF', '0', '0', 0, 1486942748),
(183882, 169, 12328, 'status', '50', '80', 0, 1486942748),
(183883, 169, 12328, 'handler_id', '199', '169', 0, 1486942748),
(183884, 169, 15571, 'CodevTT_RAF', '0', '1', 0, 1486942880),
(183885, 169, 15571, 'status', '80', '50', 0, 1486942880),
(183886, 169, 15571, 'CodevTT_RAF', '1', '0', 0, 1486942899),
(183887, 169, 15571, 'CodevTT_RAF', '0', '0', 0, 1486942899),
(183888, 169, 15571, 'status', '50', '80', 0, 1486942899),
(183889, 169, 16623, 'CodevTT_RAF', '2', '5', 0, 1486943041),
(183890, 169, 16623, 'CodevTT_RAF', '5', '0', 0, 1486943050),
(183891, 169, 16623, 'CodevTT_RAF', '0', '1', 0, 1486943061),
(184052, 72, 17248, '', '', '', 1, 1486981790),
(184053, 72, 17248, 'handler_id', '0', '72', 0, 1486981790),
(184054, 72, 17248, 'CodevTT_RAF', '', '0.3', 0, 1486981879),
(184055, 72, 17248, 'status', '10', '50', 0, 1486981879),
(184077, 199, 15970, 'CodevTT_RAF', '2', '1', 0, 1486990096),
(184078, 199, 15970, 'summary', '44058 [DEV] -SPOC- Gestion journalisation', '44058 [DEV] -SPOC-Gestion journalisation', 0, 1486990471),
(184079, 72, 13589, 'summary', '42497 [DEV] TAIGA PUMA - Modification de nomenclature', '44060[DEV] TAIGA PUMA - Modification de nomenclature', 0, 1486990583),
(184080, 72, 13589, 'Ref. Externe', '42497', '44060', 0, 1486990583),
(184083, 72, 14710, 'target_version', '17.3_PUMA', '', 0, 1486991350),
(184086, 72, 16071, 'summary', 'Qualif  - 17.35 MCO', 'Qualif  - 17.4', 0, 1486992045),
(184087, 72, 16071, '', '3434', '', 6, 1486992045),
(184088, 72, 16071, 'Ref. Externe', 'Q17.35 MCO ', 'Q17.4 ', 0, 1486992045),
(184089, 72, 16071, 'CodevTT_ChargeInit', '2', '5', 0, 1486992045),
(184100, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1486993980),
(184162, 147, 10623, 'CodevTT_RAF', '1', '1', 0, 1486997095),
(184168, 72, 13256, 'summary', '42497 [DEV] TAIGA PUMA -  Traitement prolong. des droits en super prolongés', '44190[DEV] TAIGA PUMA -  Traitement prolong. des droits en super prolongés', 0, 1487000201),
(184169, 72, 13256, 'Ref. Externe', '42497', '44190', 0, 1487000201),
(184170, 72, 13256, 'CodevTT_ChargeMgr', '2.5', '', 0, 1487000201),
(184221, 72, 10770, 'summary', '42497 [DEV] TAIGA PUMA - PAF inscription AYD', '44217 [DEV] TAIGA PUMA - PAF inscription AYD', 0, 1487057572),
(184222, 72, 10770, 'Ref. Externe', '42497', '44217', 0, 1487057572),
(184223, 72, 10396, 'summary', '42497 [SPEC] TAIGA PUMA -  Lot 2/de Radiation pour cessation d\'activité 27R,3S et WS', '44026 [SPEC] TAIGA PUMA -  Lot 2/de Radiation pour cessation d\'activité 27R,3S et WS', 0, 1487057794),
(184224, 72, 10396, 'Ref. Externe', '42497', '44026', 0, 1487057794),
(184225, 72, 10398, 'summary', '42497 [SPEC] TAIGA PUMA -  Lot 3/avis de cession 02S', '44026 [SPEC] TAIGA PUMA -  Lot 3/avis de cession 02S', 0, 1487057832),
(184226, 72, 10398, 'Ref. Externe', '42497', '44026', 0, 1487057832),
(184227, 72, 10392, 'summary', '42497 [SPEC] TAIGA PUMA - Lot  1/Propagation Affiliation', '44217  [SPEC] TAIGA PUMA -Propagation Affiliation', 0, 1487058049),
(184228, 72, 10392, 'Ref. Externe', '42497', '44217', 0, 1487058049),
(184229, 72, 10392, 'CodevTT_ChargeMgr', '1', '', 0, 1487058049),
(184230, 72, 10392, 'CodevTT_Dead Line', '1463090400', '', 0, 1487058049),
(184231, 72, 15855, 'CodevTT_RAF', '8', '5', 0, 1487058475),
(184261, 164, 17251, '', '', '', 1, 1487064210),
(184262, 164, 17251, 'handler_id', '0', '164', 0, 1487064210),
(184263, 164, 17251, 'status', '10', '80', 0, 1487064525),
(184264, 164, 17251, 'resolution', '10', '20', 0, 1487064525),
(184265, 164, 17251, 'CodevTT_RAF', '', '0', 0, 1487064525),
(184266, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1487064600),
(184283, 292, 1, '', '13239', '', 2, 1487065843),
(184288, 72, 15785, 'CodevTT_RAF', '2', '1', 0, 1487067437),
(184346, 72, 17252, 'Ref. Externe', '', '44216', 0, 1487074480),
(184347, 72, 17252, 'CodevTT_ChargeInit', '', '1', 0, 1487074480),
(184348, 72, 17252, 'handler_id', '0', '199', 0, 1487074480),
(184349, 72, 17252, 'codevtt_type', '', 'Bug', 0, 1487074480),
(184350, 72, 17253, 'Ref. Externe', '', '44218', 0, 1487074480),
(184351, 72, 17253, 'CodevTT_ChargeInit', '', '1', 0, 1487074480),
(184352, 72, 17253, 'codevtt_type', '', 'Bug', 0, 1487074480),
(184353, 72, 17254, 'Ref. Externe', '', '44220', 0, 1487074480),
(184354, 72, 17254, 'CodevTT_ChargeInit', '', '2', 0, 1487074480),
(184355, 72, 17254, 'handler_id', '0', '199', 0, 1487074480),
(184356, 72, 17254, 'codevtt_type', '', 'Bug', 0, 1487074480),
(184357, 72, 16804, 'CodevTT_ChargeMgr', '', '0', 0, 1487074966),
(184358, 72, 16804, 'CodevTT_ChargeInit', '2', '1', 0, 1487074966),
(184458, 72, 17170, 'RSI_Type_Ano', '', 'Recette', 0, 1487077310),
(184511, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1487078443),
(184512, 246, 16623, 'CodevTT_RAF', '1', '2', 0, 1487078468),
(184560, 72, 17258, '', '', '', 1, 1487084389),
(184561, 72, 17258, 'handler_id', '0', '205', 0, 1487084389),
(184562, 72, 17258, '', '', '17063', 21, 1487084389),
(184563, 72, 17063, '', '', '17258', 20, 1487084389),
(184568, 322, 14791, 'CodevTT_RAF', '11', '12', 0, 1487085060),
(184569, 74, 14014, 'CodevTT_RAF', '5', '21', 0, 1487085199),
(184579, 74, 14014, 'CodevTT_RAF', '21', '20', 0, 1487085686),
(185187, 72, 17301, 'status', '10', '50', 0, 1487167977),
(184735, 164, 16093, 'CodevTT_RAF', '0', '0', 0, 1487090111),
(184736, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1487090128),
(184742, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1487090140),
(184743, 246, 16623, 'CodevTT_RAF', '2', '0', 0, 1487090148),
(184744, 246, 16623, 'CodevTT_RAF', '0', '0', 0, 1487090149),
(184745, 246, 16623, 'status', '50', '80', 0, 1487090149),
(184746, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1487090159),
(184930, 199, 17254, 'CodevTT_RAF', '', '0', 0, 1487147119),
(184931, 199, 17254, 'CodevTT_RAF', '0', '0', 0, 1487147119),
(184932, 199, 17254, 'status', '10', '80', 0, 1487147119),
(184933, 199, 17133, 'CodevTT_RAF', '', '9', 0, 1487147189),
(184934, 199, 17133, 'status', '10', '50', 0, 1487147189),
(184936, 199, 17133, 'CodevTT_RAF', '9', '9', 0, 1487147414),
(184938, 199, 17252, 'CodevTT_RAF', '', '0', 0, 1487147624),
(184939, 199, 17252, 'CodevTT_RAF', '0', '0', 0, 1487147624),
(184940, 199, 17252, 'status', '10', '80', 0, 1487147624),
(184941, 199, 17292, '', '', '', 1, 1487147851),
(184942, 199, 17292, 'handler_id', '0', '199', 0, 1487147851),
(184943, 199, 17292, '', '', '17252', 21, 1487147851),
(184944, 199, 17252, '', '', '17292', 20, 1487147851),
(185125, 322, 14791, 'CodevTT_RAF', '12', '11', 0, 1487163703),
(185126, 322, 14791, 'CodevTT_RAF', '11', '10', 0, 1487163723),
(185133, 72, 17299, 'Ref. Externe', '', '44197', 0, 1487165494),
(185134, 72, 17299, 'CodevTT_ChargeInit', '', '2', 0, 1487165494),
(185135, 72, 17299, 'target_version', '', '17.1.50 MCO', 0, 1487165494),
(185136, 72, 17299, 'handler_id', '0', '157', 0, 1487165494),
(185137, 72, 17299, 'codevtt_type', '', 'Task', 0, 1487165494),
(185138, 72, 17300, 'Ref. Externe', '', '44197', 0, 1487165494),
(185139, 72, 17300, 'CodevTT_ChargeInit', '', '2', 0, 1487165494),
(185140, 72, 17300, 'target_version', '', '17.1.50 MCO', 0, 1487165494),
(185141, 72, 17300, 'handler_id', '0', '157', 0, 1487165494),
(185142, 72, 17300, 'codevtt_type', '', 'Task', 0, 1487165494),
(185143, 72, 17301, 'Ref. Externe', '', '44225', 0, 1487165495),
(185144, 72, 17301, 'CodevTT_ChargeInit', '', '2', 0, 1487165495),
(185145, 72, 17301, 'target_version', '', '17.1.50 MCO', 0, 1487165495),
(185146, 72, 17301, 'handler_id', '0', '72', 0, 1487165495),
(185147, 72, 17301, 'codevtt_type', '', 'Task', 0, 1487165495),
(185150, 72, 17145, 'CodevTT_ChargeMgr', '', '2.4', 0, 1487165773),
(185157, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1487165927),
(185158, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1487165940),
(185159, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1487165955),
(185160, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1487166044),
(185161, 217, 11112, 'handler_id', '205', '217', 0, 1487166044),
(185162, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1487166059),
(185164, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1487166314),
(185165, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1487166360),
(185186, 72, 17301, 'CodevTT_RAF', '', '0.5', 0, 1487167977),
(185218, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1487175770),
(185219, 246, 13589, 'CodevTT_RAF', '1', '0', 0, 1487175801),
(185220, 246, 13589, 'CodevTT_RAF', '0', '0', 0, 1487175801),
(185221, 246, 13589, 'status', '50', '80', 0, 1487175801),
(185582, 322, 14791, 'CodevTT_RAF', '10', '9', 0, 1487238940),
(185593, 169, 12330, 'CodevTT_RAF', '5', '10', 0, 1487240764),
(185594, 169, 12330, 'CodevTT_RAF', '10', '10', 0, 1487240774),
(185595, 169, 12330, 'CodevTT_RAF', '10', '10', 0, 1487240783),
(185604, 169, 12330, '', '3285', '3501', 3, 1487240904),
(185610, 169, 12330, '', '3285', '3502', 3, 1487240999),
(185611, 169, 12330, 'CodevTT_RAF', '10', '9', 0, 1487240999),
(185612, 169, 12330, 'status', '20', '50', 0, 1487240999),
(185613, 169, 12330, '', '13576', '', 2, 1487241031),
(185614, 169, 12330, 'CodevTT_RAF', '9', '8', 0, 1487241031),
(185615, 169, 12330, '', '13577', '', 2, 1487241057),
(185616, 169, 12330, 'CodevTT_RAF', '8', '7', 0, 1487241057),
(185617, 169, 12330, '', '13578', '', 2, 1487241129),
(185618, 169, 12330, 'CodevTT_RAF', '7', '0', 0, 1487241129),
(185619, 169, 12330, 'CodevTT_RAF', '0', '0', 0, 1487241129),
(185620, 169, 12330, 'status', '50', '80', 0, 1487241129),
(185931, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1487320704),
(185935, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1487320759),
(185937, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1487321073),
(185938, 74, 14014, 'CodevTT_RAF', '20', '20', 0, 1487321096),
(185939, 74, 14014, 'CodevTT_RAF', '20', '19', 0, 1487321142),
(185940, 74, 14014, 'CodevTT_RAF', '19', '18.5', 0, 1487321155),
(185941, 74, 14014, 'CodevTT_RAF', '18.5', '17.5', 0, 1487321170),
(185945, 146, 10740, 'CodevTT_RAF', '6', '2', 0, 1487321225),
(185946, 146, 10740, 'CodevTT_RAF', '2', '2', 0, 1487321236),
(185947, 146, 10740, 'CodevTT_RAF', '2', '2', 0, 1487321244),
(185948, 146, 10740, 'CodevTT_RAF', '2', '1', 0, 1487321256),
(185949, 146, 10740, 'CodevTT_RAF', '1', '2', 0, 1487321265),
(198541, 169, 17740, 'CodevTT_RAF', '2.5', '1.5', 0, 1489676779),
(186176, 147, 10623, 'CodevTT_RAF', '1', '3', 0, 1487327466),
(186177, 147, 10623, 'CodevTT_RAF', '3', '2', 0, 1487327478),
(186178, 147, 10623, 'CodevTT_RAF', '2', '1', 0, 1487327493),
(186179, 147, 10623, 'CodevTT_RAF', '1', '1', 0, 1487327504),
(186180, 147, 10623, 'CodevTT_RAF', '1', '0', 0, 1487327528),
(186181, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1487327528),
(186182, 147, 10623, 'status', '50', '80', 0, 1487327528),
(186185, 342, 17211, 'CodevTT_RAF', '', '6', 0, 1487327644),
(186186, 342, 17211, 'status', '10', '50', 0, 1487327644),
(186187, 342, 17211, 'CodevTT_RAF', '6', '4', 0, 1487327688),
(186188, 342, 17211, 'CodevTT_RAF', '4', '3', 0, 1487327707),
(186189, 342, 17211, 'CodevTT_RAF', '3', '3', 0, 1487327728),
(186190, 342, 17211, 'CodevTT_RAF', '3', '2', 0, 1487327754),
(186191, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1487328394),
(198538, 169, 17740, 'CodevTT_RAF', '', '2.5', 0, 1489676757),
(198539, 169, 17740, 'status', '10', '50', 0, 1489676757),
(198537, 169, 17739, 'CodevTT_RAF', '2', '1.5', 0, 1489676684),
(186395, 72, 17368, 'Ref. Externe', '', '44249', 0, 1487334865),
(186396, 72, 17368, 'CodevTT_ChargeInit', '', '2', 0, 1487334865),
(186397, 72, 17368, 'target_version', '', '17.1.DSI_INT', 0, 1487334865),
(186398, 72, 17368, 'handler_id', '0', '246', 0, 1487334865),
(186399, 72, 17368, 'codevtt_type', '', 'Task', 0, 1487334865),
(186400, 72, 17368, 'CodevTT_Dead Line', '', '1488495600', 0, 1487334865),
(186401, 72, 17369, 'Ref. Externe', '', '44249', 0, 1487334865),
(186402, 72, 17369, 'CodevTT_ChargeInit', '', '4', 0, 1487334865),
(186403, 72, 17369, 'target_version', '', '17.1.DSI_INT', 0, 1487334865),
(186404, 72, 17369, 'handler_id', '0', '246', 0, 1487334865),
(186405, 72, 17369, 'codevtt_type', '', 'Task', 0, 1487334865),
(186406, 72, 17369, 'CodevTT_Dead Line', '', '1488495600', 0, 1487334865),
(186407, 72, 17370, '', '', '', 1, 1487335104),
(186408, 72, 17370, 'handler_id', '0', '246', 0, 1487335104),
(186409, 72, 17370, '', '', '12790', 21, 1487335104),
(186410, 72, 12790, '', '', '17370', 20, 1487335104),
(186447, 322, 14791, 'CodevTT_RAF', '9', '8', 0, 1487338471),
(186560, 169, 1437, '', '13698', '', 2, 1487344397),
(186573, 169, 13589, 'CodevTT_RAF', '0', '6', 0, 1487344678),
(186574, 169, 13589, 'CodevTT_RAF', '6', '5', 0, 1487344704),
(186575, 169, 13589, 'status', '80', '50', 0, 1487344704),
(186611, 72, 17301, 'CodevTT_ChargeMgr', '', '5', 0, 1487346498),
(186619, 365, 1, '', '13699', '', 2, 1487346946),
(186690, 199, 17133, 'CodevTT_RAF', '9', '5', 0, 1487573682),
(186691, 199, 12325, 'CodevTT_RAF', '', '1', 0, 1487573801),
(186692, 199, 12325, 'status', '20', '50', 0, 1487573801),
(186693, 199, 17133, 'CodevTT_RAF', '5', '5', 0, 1487573819),
(186709, 72, 17382, '', '', '', 1, 1487579127),
(186710, 72, 17382, 'handler_id', '0', '246', 0, 1487579127),
(186912, 168, 15832, 'CodevTT_RAF', '0', '0', 0, 1487595063),
(186958, 217, 16723, 'CodevTT_RAF', '5', '5', 0, 1487598656),
(186959, 217, 15832, 'CodevTT_RAF', '0', '3', 0, 1487598679),
(186960, 217, 15832, 'status', '80', '50', 0, 1487598679),
(187041, 2, 1437, '', '13762', '', 2, 1487611788),
(187042, 246, 13589, 'CodevTT_RAF', '5', '0', 0, 1487611842),
(187043, 246, 13589, 'CodevTT_RAF', '0', '0', 0, 1487611842),
(187044, 246, 13589, 'status', '50', '80', 0, 1487611842),
(187045, 246, 17382, 'CodevTT_RAF', '', '0', 0, 1487611881),
(187046, 246, 17382, 'CodevTT_RAF', '0', '0', 0, 1487611881),
(187047, 246, 17382, 'status', '10', '80', 0, 1487611881),
(187096, 322, 14791, 'CodevTT_RAF', '8', '7', 0, 1487664052),
(187097, 322, 14791, 'CodevTT_RAF', '7', '6', 0, 1487664067),
(198581, 168, 10745, 'CodevTT_RAF', '9', '8', 0, 1489682480),
(198582, 168, 10745, 'CodevTT_RAF', '8', '7', 0, 1489682495),
(198583, 168, 10745, 'CodevTT_RAF', '7', '6.5', 0, 1489682524),
(198584, 168, 10745, 'CodevTT_RAF', '6.5', '6', 0, 1489682537),
(198585, 168, 10745, 'CodevTT_RAF', '6', '5', 0, 1489682554),
(198586, 168, 10745, 'CodevTT_RAF', '5', '5', 0, 1489682630),
(187280, 217, 15832, 'CodevTT_RAF', '3', '3', 0, 1487684526),
(187281, 164, 17401, '', '', '', 1, 1487684597),
(187282, 164, 17401, 'handler_id', '0', '164', 0, 1487684597),
(187283, 164, 17401, '', '', '16588', 21, 1487684597),
(187284, 164, 16588, '', '', '17401', 20, 1487684597),
(187285, 164, 17401, 'CodevTT_RAF', '', '0', 0, 1487684706),
(187286, 164, 17401, 'CodevTT_RAF', '0', '0', 0, 1487684706),
(187287, 164, 17401, 'status', '10', '80', 0, 1487684706),
(187288, 164, 17401, 'CodevTT_RAF', '0', '0', 0, 1487684729),
(187289, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1487684746),
(187292, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1487684787),
(219803, 72, 18755, '', '2501', '18756', 18, 1493880724),
(219802, 72, 18756, '', '2500', '18755', 18, 1493880724),
(187642, 72, 16915, 'CodevTT_RAF', '1', '0', 0, 1487750064),
(187643, 72, 16915, 'status', '50', '80', 0, 1487750064),
(187644, 72, 16915, 'CodevTT_RAF', '0', '0', 0, 1487750064),
(187645, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1487750533),
(187646, 246, 17368, 'CodevTT_RAF', '', '0', 0, 1487750632),
(187647, 246, 17368, 'CodevTT_RAF', '0', '0', 0, 1487750632),
(187648, 246, 17368, 'status', '10', '80', 0, 1487750632),
(187651, 246, 17369, 'CodevTT_RAF', '', '1', 0, 1487750670),
(187652, 246, 17369, 'status', '10', '50', 0, 1487750670),
(187653, 246, 17369, 'CodevTT_RAF', '1', '2', 0, 1487750718),
(187656, 72, 17411, 'Ref. Externe', '', '44234', 0, 1487751150),
(187657, 72, 17411, 'CodevTT_ChargeInit', '', '2', 0, 1487751150),
(187658, 72, 17411, 'handler_id', '0', '199', 0, 1487751150),
(187659, 72, 17411, 'codevtt_type', '', 'Bug', 0, 1487751150),
(187660, 72, 17412, 'Ref. Externe', '', '44268', 0, 1487751151),
(187661, 72, 17412, 'CodevTT_ChargeInit', '', '2', 0, 1487751151),
(187662, 72, 17412, 'handler_id', '0', '199', 0, 1487751151),
(187663, 72, 17412, 'codevtt_type', '', 'Bug', 0, 1487751151),
(187664, 72, 17413, 'Ref. Externe', '', '44271', 0, 1487751151),
(187665, 72, 17413, 'CodevTT_ChargeInit', '', '2', 0, 1487751151),
(187666, 72, 17413, 'handler_id', '0', '199', 0, 1487751151),
(187667, 72, 17413, 'codevtt_type', '', 'Bug', 0, 1487751151),
(187668, 72, 17414, 'Ref. Externe', '', '44274', 0, 1487751151),
(187669, 72, 17414, 'CodevTT_ChargeInit', '', '2', 0, 1487751151),
(187670, 72, 17414, 'handler_id', '0', '199', 0, 1487751151),
(187671, 72, 17414, 'codevtt_type', '', 'Bug', 0, 1487751151),
(187672, 72, 16514, 'CodevTT_RAF', '15', '0', 0, 1487751341),
(187673, 72, 16514, 'status', '50', '80', 0, 1487751341),
(187674, 72, 16514, 'CodevTT_RAF', '0', '0', 0, 1487751341),
(187675, 72, 16514, 'CodevTT_ChargeInit', '15', '2.95', 0, 1487751353),
(187676, 72, 16517, 'CodevTT_RAF', '10', '0', 0, 1487751375),
(187677, 72, 16517, 'status', '50', '80', 0, 1487751375),
(187678, 72, 16517, 'CodevTT_RAF', '0', '0', 0, 1487751375),
(187679, 72, 16517, 'CodevTT_ChargeInit', '10', '0.6', 0, 1487751382),
(187680, 72, 14721, 'CodevTT_RAF', '1', '0', 0, 1487751418),
(187681, 72, 14721, 'status', '50', '80', 0, 1487751418),
(187682, 72, 14721, 'CodevTT_RAF', '0', '0', 0, 1487751418),
(187683, 72, 16145, 'CodevTT_RAF', '', '0', 0, 1487751494),
(187684, 72, 16145, 'status', '10', '80', 0, 1487751494),
(187685, 72, 16145, 'CodevTT_RAF', '0', '0', 0, 1487751494),
(187686, 72, 16849, 'CodevTT_RAF', '', '0', 0, 1487751693),
(187687, 72, 16849, 'status', '50', '80', 0, 1487751693),
(187688, 72, 16849, 'CodevTT_RAF', '0', '0', 0, 1487751693),
(187690, 72, 16511, 'CodevTT_ChargeMgr', '', '1', 0, 1487751994),
(187691, 72, 16512, 'CodevTT_ChargeMgr', '', '6.5', 0, 1487752005),
(187698, 72, 16512, 'CodevTT_RAF', '', '0', 0, 1487752373),
(187699, 72, 16512, 'status', '10', '80', 0, 1487752373),
(187700, 72, 16512, 'CodevTT_RAF', '0', '0', 0, 1487752373),
(187701, 72, 16512, 'CodevTT_Dead Line', '', '', 0, 1487752373),
(187702, 72, 16511, 'CodevTT_RAF', '', '0', 0, 1487752400),
(187703, 72, 16511, 'status', '10', '80', 0, 1487752400),
(187704, 72, 16511, 'CodevTT_RAF', '0', '0', 0, 1487752400),
(187705, 72, 16511, 'CodevTT_Dead Line', '', '', 0, 1487752400),
(187717, 72, 16874, 'CodevTT_ChargeMgr', '', '5', 0, 1487752901),
(187718, 72, 16875, 'CodevTT_ChargeMgr', '', '1', 0, 1487752928),
(187719, 72, 16875, 'CodevTT_ChargeInit', '2', '1', 0, 1487752928),
(187720, 72, 16875, 'CodevTT_RAF', '', '0', 0, 1487752948),
(187721, 72, 16875, 'status', '10', '80', 0, 1487752948),
(187722, 72, 16875, 'CodevTT_RAF', '0', '0', 0, 1487752948),
(187723, 72, 16874, 'CodevTT_RAF', '1', '0', 0, 1487752960),
(187724, 72, 16874, 'status', '50', '80', 0, 1487752960),
(187725, 72, 16874, 'CodevTT_RAF', '0', '0', 0, 1487752960),
(187728, 72, 16848, 'CodevTT_ChargeMgr', '', '0', 0, 1487753288),
(187729, 72, 16848, 'CodevTT_ChargeInit', '2', '0', 0, 1487753288),
(187730, 72, 16848, 'CodevTT_RAF', '', '0', 0, 1487753288),
(187731, 72, 16848, 'CodevTT_RAF', '0', '0', 0, 1487753295),
(187732, 72, 16848, 'status', '10', '80', 0, 1487753295),
(187733, 72, 16848, 'CodevTT_RAF', '0', '0', 0, 1487753295),
(187737, 72, 17415, 'Ref. Externe', '', '44264', 0, 1487753569),
(187738, 72, 17415, 'CodevTT_ChargeInit', '', '1', 0, 1487753569),
(187739, 72, 17415, 'handler_id', '0', '74', 0, 1487753569),
(187740, 72, 17415, 'codevtt_type', '', 'Task', 0, 1487753569),
(187741, 72, 17416, 'Ref. Externe', '', '44264', 0, 1487753569),
(187742, 72, 17416, 'CodevTT_ChargeInit', '', '2', 0, 1487753569),
(187743, 72, 17416, 'handler_id', '0', '74', 0, 1487753569),
(187744, 72, 17416, 'codevtt_type', '', 'Task', 0, 1487753569),
(187745, 72, 17417, 'Ref. Externe', '', '44265', 0, 1487753570),
(187746, 72, 17417, 'CodevTT_ChargeInit', '', '1', 0, 1487753570),
(187747, 72, 17417, 'handler_id', '0', '74', 0, 1487753570),
(187748, 72, 17417, 'codevtt_type', '', 'Task', 0, 1487753570),
(187749, 72, 17418, 'Ref. Externe', '', '44265', 0, 1487753570),
(187750, 72, 17418, 'CodevTT_ChargeInit', '', '2', 0, 1487753570),
(187751, 72, 17418, 'handler_id', '0', '74', 0, 1487753570),
(187752, 72, 17418, 'codevtt_type', '', 'Task', 0, 1487753570),
(187753, 169, 13589, '', '13860', '', 2, 1487754839),
(187754, 169, 13589, 'CodevTT_RAF', '0', '5', 0, 1487754839),
(187755, 169, 13589, 'status', '80', '50', 0, 1487754839),
(187756, 169, 13589, 'CodevTT_RAF', '5', '3', 0, 1487754873),
(187757, 169, 13589, '', '13861', '', 2, 1487754912),
(187758, 169, 13589, 'CodevTT_RAF', '3', '3', 0, 1487754912),
(187761, 169, 13589, '', '13862', '', 2, 1487754967),
(187762, 169, 13589, 'CodevTT_RAF', '3', '2', 0, 1487754967),
(187764, 169, 13589, '', '13863', '', 2, 1487755004),
(187765, 169, 13589, 'CodevTT_RAF', '2', '1', 0, 1487755004),
(187854, 72, 17370, 'handler_id', '246', '147', 0, 1487760157),
(187855, 72, 17382, 'handler_id', '246', '147', 0, 1487760200),
(187869, 72, 17422, '', '', '', 1, 1487760415),
(187870, 72, 17422, 'handler_id', '0', '147', 0, 1487760415),
(187871, 72, 17422, '', '', '17382', 21, 1487760416),
(187872, 72, 17382, '', '', '17422', 20, 1487760416),
(187932, 72, 17382, 'status', '80', '50', 0, 1487761286),
(187933, 72, 17382, 'CodevTT_ChargeInit', '1', '0.5', 0, 1487761298),
(187934, 72, 17382, 'CodevTT_RAF', '0', '0.5', 0, 1487761298),
(187954, 72, 10743, 'handler_id', '74', '168', 0, 1487766432),
(187955, 72, 10743, 'status', '20', '50', 0, 1487766432),
(187956, 72, 10743, 'summary', '43955 [DEV] TAIGA PUMA - TP  Ecrans Assure et Ayant droit', '43955 [DEV]  PUMA - TP Fiche Assure Presta/Non Presta', 0, 1487766432),
(187957, 72, 10743, 'CodevTT_ChargeInit', '2', '6', 0, 1487766432),
(187958, 72, 10745, 'handler_id', '74', '168', 0, 1487766654),
(187959, 72, 10745, 'status', '20', '50', 0, 1487766654),
(187960, 72, 10745, 'summary', '43955 [DEV] TAIGA PUMA - TP  Radiation', '43955 [DEV] PUMA - TP  fiche Assure Radiation', 0, 1487766654),
(187961, 72, 10745, 'CodevTT_ChargeInit', '2', '13', 0, 1487766654),
(187962, 72, 12288, 'status', '80', '50', 0, 1487767387),
(187963, 72, 12288, 'CodevTT_Dead Line', '', '', 0, 1487767387),
(187964, 72, 12288, 'CodevTT_RAF', '0', '2', 0, 1487767397),
(187965, 72, 12288, 'summary', '43955 [DEV] TAIGA PUMA -   filtrage motif de radiation TP', '43955 [DEV] PUMA -  TP  filtrage motif de radiation', 0, 1487767446),
(187966, 72, 17424, '', '', '', 1, 1487767762),
(187967, 72, 17424, 'handler_id', '0', '168', 0, 1487767762),
(187968, 72, 17424, '', '', '10743', 21, 1487767762),
(187969, 72, 10743, '', '', '17424', 20, 1487767762),
(187970, 72, 17425, '', '', '', 1, 1487768001),
(187971, 72, 17425, 'handler_id', '0', '168', 0, 1487768001),
(187972, 72, 17425, '', '', '17424', 21, 1487768001),
(187973, 72, 17424, '', '', '17425', 20, 1487768001),
(187976, 72, 17426, '', '', '', 1, 1487768180),
(187977, 72, 17426, 'handler_id', '0', '168', 0, 1487768180),
(187978, 72, 17426, '', '', '17424', 21, 1487768180),
(187979, 72, 17424, '', '', '17426', 20, 1487768180),
(187980, 72, 17426, 'summary', '43955 [DEV]  PUMA - TP FicheAyant droit Bascule en Assure', '43955 [DEV]  PUMA - TP FicheAyant droit Motif de Perte Qualité', 0, 1487768716),
(187981, 72, 17427, '', '', '', 1, 1487768833),
(187982, 72, 17427, 'handler_id', '0', '168', 0, 1487768833),
(187983, 72, 17427, '', '', '17426', 21, 1487768833),
(187984, 72, 17426, '', '', '17427', 20, 1487768833),
(187988, 72, 17428, '', '', '', 1, 1487768996),
(187989, 72, 17428, 'handler_id', '0', '168', 0, 1487768996),
(187990, 72, 17428, '', '', '17427', 21, 1487768996),
(187991, 72, 17427, '', '', '17428', 20, 1487768996),
(187992, 72, 17429, '', '', '', 1, 1487769124),
(187993, 72, 17429, 'handler_id', '0', '168', 0, 1487769124),
(187994, 72, 17429, '', '', '17428', 21, 1487769124),
(187995, 72, 17428, '', '', '17429', 20, 1487769124),
(187998, 72, 17429, '', '3539', '', 6, 1487769207),
(187999, 72, 17429, 'CodevTT_ChargeInit', '1', '14', 0, 1487769207),
(188000, 72, 17429, 'summary', '43955 [DEV]  PUMA - TP Fiche ASSU Fenetre droit aux prestations', '43955 [DEV]  PUMA - TP Fiche ASSU Fenetre droit aux prestations (Menu Presta non Presta)', 0, 1487769266),
(188003, 72, 17430, '', '', '', 1, 1487769345),
(188004, 72, 17430, 'handler_id', '0', '168', 0, 1487769345),
(188005, 72, 17430, '', '', '17429', 21, 1487769345),
(188006, 72, 17429, '', '', '17430', 20, 1487769345),
(188007, 72, 17431, '', '', '', 1, 1487769555),
(188008, 72, 17431, 'handler_id', '0', '168', 0, 1487769555),
(188009, 72, 17431, '', '', '17430', 21, 1487769555),
(188010, 72, 17430, '', '', '17431', 20, 1487769555),
(188011, 72, 17432, '', '', '', 1, 1487769825),
(188012, 72, 17432, 'handler_id', '0', '168', 0, 1487769825),
(188013, 72, 17432, '', '', '17431', 21, 1487769825),
(188014, 72, 17431, '', '', '17432', 20, 1487769825),
(188018, 72, 10746, 'summary', '43955 [DEV] TAIGA PUMA - TP  Gestion des périodes de residence AD et OD', '43955 [DEV] TAIGA PUMA - TP  Historique NE PLUS IMPUTER', 0, 1487770047),
(188019, 72, 10746, '', '3541', '', 6, 1487770047),
(226366, 72, 10394, 'status', '40', '80', 0, 1495019140),
(226365, 72, 10394, 'CodevTT_RAF', '1', '0', 0, 1495019140),
(226364, 72, 10746, 'summary', '43955 [DEV] TAIGA PUMA - TP  Historique NE PLUS IMPUTER', '43955 [DEV] TAIGA PUMA - TP  BUDGET NE PLUS IMPUTER', 0, 1495018686),
(188024, 72, 10746, 'handler_id', '168', '0', 0, 1487770239),
(188025, 72, 10746, 'CodevTT_RAF', '1', '0', 0, 1487770239),
(188026, 72, 10746, 'status', '20', '80', 0, 1487770239),
(188027, 72, 10746, 'CodevTT_RAF', '0', '0', 0, 1487770239),
(188028, 72, 10746, 'CodevTT_Dead Line', '', '', 0, 1487770239),
(188031, 72, 17065, 'CodevTT_ChargeMgr', '', '0', 0, 1487770594),
(188032, 72, 17065, 'CodevTT_ChargeInit', '3', '20', 0, 1487770594),
(188072, 217, 15832, 'CodevTT_RAF', '3', '0', 0, 1487773798),
(188073, 217, 15832, 'CodevTT_RAF', '0', '0', 0, 1487773799),
(188074, 217, 15832, 'status', '50', '80', 0, 1487773799),
(188075, 217, 11112, '', '13893', '', 2, 1487773836),
(188076, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1487773836),
(188090, 199, 17382, 'handler_id', '147', '246', 0, 1487775248),
(188091, 246, 17382, 'CodevTT_RAF', '0.5', '0', 0, 1487775374),
(188092, 246, 17382, 'CodevTT_RAF', '0', '0', 0, 1487775374),
(188093, 246, 17382, 'status', '50', '80', 0, 1487775374),
(188095, 199, 17422, 'handler_id', '147', '246', 0, 1487775597),
(188106, 246, 17369, 'CodevTT_RAF', '2', '0', 0, 1487780370),
(188107, 246, 17369, 'CodevTT_RAF', '0', '0', 0, 1487780370),
(188108, 246, 17369, 'status', '50', '80', 0, 1487780370),
(188109, 246, 17422, 'CodevTT_RAF', '', '0', 0, 1487780394),
(188110, 246, 17422, 'CodevTT_RAF', '0', '0', 0, 1487780394),
(188111, 246, 17422, 'status', '10', '80', 0, 1487780394),
(188122, 199, 16068, 'CodevTT_RAF', '0', '0', 0, 1487831843),
(188123, 199, 16915, 'CodevTT_RAF', '0', '0', 0, 1487831882),
(188124, 199, 17292, 'CodevTT_RAF', '', '0', 0, 1487832751),
(188125, 199, 17292, 'CodevTT_RAF', '0', '0', 0, 1487832751),
(188126, 199, 17292, 'status', '10', '80', 0, 1487832751),
(188127, 199, 17411, 'CodevTT_RAF', '', '0', 0, 1487832815),
(188128, 199, 17411, 'CodevTT_RAF', '0', '0', 0, 1487832815),
(188129, 199, 17411, 'status', '10', '80', 0, 1487832815),
(188130, 199, 17292, 'CodevTT_RAF', '0', '0', 0, 1487832840),
(188131, 199, 10741, 'handler_id', '146', '147', 0, 1487833923),
(188132, 199, 10741, 'status', '20', '50', 0, 1487833923),
(188133, 199, 10741, 'CodevTT_Dead Line', '', '', 0, 1487833923),
(188226, 322, 14791, 'CodevTT_RAF', '6', '7', 0, 1487837216),
(188429, 205, 8454, 'CodevTT_RAF', '5', '3', 0, 1487841279),
(188557, 342, 17211, 'CodevTT_RAF', '2', '1', 0, 1487842945),
(188559, 72, 17444, '', '', '', 1, 1487842972),
(188560, 72, 17444, 'handler_id', '0', '169', 0, 1487842972),
(188561, 72, 17444, '', '', '12330', 21, 1487842972),
(188562, 72, 12330, '', '', '17444', 20, 1487842972),
(188581, 72, 17444, 'status', '10', '50', 0, 1487843399),
(188582, 72, 17444, 'CodevTT_RAF', '', '1', 0, 1487843425),
(188589, 72, 12330, 'CodevTT_ChargeInit', '6', '12', 0, 1487843511),
(188592, 169, 17444, 'CodevTT_RAF', '1', '1', 0, 1487843658),
(188593, 169, 13589, '', '13863', '', 4, 1487843678),
(188648, 217, 17446, '', '', '', 1, 1487845150),
(188649, 217, 17446, 'handler_id', '0', '217', 0, 1487845150),
(188650, 217, 17446, '', '', '15832', 21, 1487845150),
(188651, 217, 15832, '', '', '17446', 20, 1487845150),
(188654, 217, 17446, 'CodevTT_RAF', '', '0', 0, 1487845204),
(188655, 217, 17446, 'CodevTT_RAF', '0', '0', 0, 1487845204),
(188656, 217, 17446, 'status', '10', '80', 0, 1487845204),
(188657, 217, 17446, 'CodevTT_RAF', '0', '0', 0, 1487845219),
(188660, 217, 10397, 'CodevTT_RAF', '0', '5', 0, 1487845360),
(188661, 217, 10397, 'status', '80', '50', 0, 1487845360),
(188679, 72, 17447, 'Ref. Externe', '', '44237', 0, 1487846738),
(188680, 72, 17447, 'CodevTT_ChargeInit', '', '2', 0, 1487846738),
(188681, 72, 17447, 'handler_id', '0', '199', 0, 1487846738),
(188682, 72, 17447, 'codevtt_type', '', 'Bug', 0, 1487846738),
(188683, 72, 17448, 'Ref. Externe', '', '44284', 0, 1487846738),
(188684, 72, 17448, 'CodevTT_ChargeInit', '', '2', 0, 1487846738),
(188685, 72, 17448, 'handler_id', '0', '199', 0, 1487846738),
(188686, 72, 17448, 'codevtt_type', '', 'Bug', 0, 1487846738),
(188687, 72, 17449, 'Ref. Externe', '', '44288', 0, 1487846739),
(188688, 72, 17449, 'CodevTT_ChargeInit', '', '1', 0, 1487846739),
(188689, 72, 17449, 'handler_id', '0', '199', 0, 1487846739),
(188690, 72, 17449, 'codevtt_type', '', 'Bug', 0, 1487846739),
(188737, 146, 10740, 'CodevTT_RAF', '2', '0.5', 0, 1487847350),
(188738, 146, 10740, 'CodevTT_RAF', '0.5', '0.5', 0, 1487847373),
(188739, 146, 10740, 'CodevTT_RAF', '0.5', '0.5', 0, 1487847397),
(188740, 146, 10740, 'CodevTT_RAF', '0.5', '0.5', 0, 1487847421),
(188741, 146, 10740, 'CodevTT_RAF', '0.5', '0.5', 0, 1487847455),
(188754, 146, 1, '', '14073', '', 2, 1487848011),
(188786, 72, 17450, 'Ref. Externe', '', '44275', 0, 1487852263),
(188787, 72, 17450, 'CodevTT_ChargeInit', '', '2', 0, 1487852263),
(188788, 72, 17450, 'handler_id', '0', '72', 0, 1487852263),
(188789, 72, 17450, 'codevtt_type', '', 'Task', 0, 1487852263),
(188790, 72, 17451, 'Ref. Externe', '', '44287', 0, 1487852263),
(188791, 72, 17451, 'CodevTT_ChargeInit', '', '2', 0, 1487852263),
(188792, 72, 17451, 'handler_id', '0', '157', 0, 1487852263),
(188793, 72, 17451, 'codevtt_type', '', 'Task', 0, 1487852263),
(188794, 72, 17452, 'Ref. Externe', '', '44287', 0, 1487852263),
(188795, 72, 17452, 'CodevTT_ChargeInit', '', '2', 0, 1487852263),
(188796, 72, 17452, 'handler_id', '0', '157', 0, 1487852263),
(188797, 72, 17452, 'codevtt_type', '', 'Task', 0, 1487852263),
(188806, 72, 17450, 'handler_id', '72', '2', 0, 1487852422),
(188807, 72, 17450, 'CodevTT_ChargeMgr', '', '0', 0, 1487852436),
(188808, 72, 17450, 'CodevTT_ChargeInit', '2', '5', 0, 1487852436),
(188813, 2, 17450, '', '14086', '', 2, 1487852795),
(188814, 2, 17450, 'CodevTT_RAF', '', '1', 0, 1487852795),
(188815, 2, 17450, 'status', '10', '50', 0, 1487852795),
(188816, 72, 17453, 'Ref. Externe', '', '44219', 0, 1487852986),
(188817, 72, 17453, 'CodevTT_ChargeInit', '', '10', 0, 1487852986),
(188818, 72, 17453, 'handler_id', '0', '2', 0, 1487852986);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(188819, 72, 17453, 'codevtt_type', '', 'Task', 0, 1487852986),
(188820, 72, 17454, '', '', '', 1, 1487853168),
(188821, 72, 17454, 'handler_id', '0', '2', 0, 1487853168),
(188822, 72, 17454, '', '', '17453', 21, 1487853168),
(188823, 72, 17453, '', '', '17454', 20, 1487853168),
(188824, 72, 17453, '', '2501', '17454', 18, 1487853168),
(188825, 72, 17454, '', '2500', '17453', 18, 1487853168),
(188866, 205, 10399, 'CodevTT_RAF', '0', '0', 0, 1487855354),
(188871, 205, 8454, 'CodevTT_RAF', '3', '3', 0, 1487855468),
(188884, 205, 17063, 'CodevTT_RAF', '', '17.5', 0, 1487855560),
(188885, 205, 17063, 'status', '10', '50', 0, 1487855560),
(188886, 205, 10399, 'CodevTT_RAF', '0', '0', 0, 1487855577),
(188895, 205, 10400, 'CodevTT_RAF', '1', '0.5', 0, 1487855702),
(188908, 2, 14534, '', '14105', '', 2, 1487857646),
(188911, 2, 14534, '', '14106', '', 2, 1487857675),
(188917, 2, 1437, '', '14107', '', 2, 1487857733),
(188924, 2, 1437, '', '14108', '', 2, 1487857869),
(188928, 2, 1437, '', '14109', '', 2, 1487857875),
(188967, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1487860761),
(188968, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1487860784),
(188969, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1487860799),
(188970, 164, 8395, 'CodevTT_RAF', '0', '0', 0, 1487860818),
(188971, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1487860829),
(189007, 157, 17299, 'CodevTT_RAF', '', '1', 0, 1487865604),
(189008, 157, 17299, 'status', '10', '50', 0, 1487865604),
(189009, 157, 17300, 'CodevTT_RAF', '', '15', 0, 1487865659),
(189010, 157, 17300, 'status', '10', '50', 0, 1487865659),
(189011, 157, 17300, 'CodevTT_RAF', '15', '14', 0, 1487865679),
(189012, 157, 17300, 'CodevTT_RAF', '14', '13', 0, 1487865693),
(189013, 157, 17300, 'CodevTT_RAF', '13', '13', 0, 1487865715),
(189132, 217, 15856, 'CodevTT_RAF', '7', '6', 0, 1487922721),
(189151, 74, 17065, 'CodevTT_RAF', '', '20', 0, 1487924376),
(189152, 74, 17065, 'status', '10', '50', 0, 1487924376),
(189153, 74, 17065, '', '14135', '', 2, 1487924390),
(189154, 2, 15380, 'CodevTT_RAF', '0.5', '0', 0, 1487924564),
(189155, 2, 15380, 'status', '50', '80', 0, 1487924564),
(189156, 2, 15380, 'CodevTT_RAF', '0', '0', 0, 1487924564),
(189159, 168, 16855, 'status', '50', '80', 0, 1487925266),
(189160, 168, 16855, 'resolution', '10', '20', 0, 1487925266),
(189161, 168, 16855, 'CodevTT_RAF', '0.1', '0', 0, 1487925266),
(189164, 74, 14014, 'CodevTT_RAF', '17.5', '18.5', 0, 1487925993),
(189165, 74, 14014, 'CodevTT_RAF', '18.5', '18', 0, 1487926012),
(189166, 74, 14014, 'CodevTT_RAF', '18', '17.5', 0, 1487926027),
(189167, 74, 14014, 'CodevTT_RAF', '17.5', '16.5', 0, 1487926040),
(189168, 74, 14014, 'CodevTT_RAF', '16.5', '16', 0, 1487926051),
(189361, 2, 17453, '', '14167', '', 2, 1487939894),
(189362, 2, 17453, 'CodevTT_RAF', '', '10', 0, 1487939894),
(189363, 2, 17453, 'status', '10', '30', 0, 1487939894),
(189364, 342, 17211, 'CodevTT_RAF', '1', '1', 0, 1487940931),
(189405, 168, 10743, '', '14172', '', 2, 1487944516),
(189406, 168, 10743, 'CodevTT_RAF', '', '5.6', 0, 1487944516),
(189407, 168, 10743, '', '14172', '', 4, 1487944538),
(189408, 168, 10743, 'CodevTT_RAF', '5.6', '4.6', 0, 1487944561),
(189409, 168, 10743, 'CodevTT_RAF', '4.6', '4.1', 0, 1487944611),
(189410, 168, 10743, 'CodevTT_RAF', '4.1', '3.1', 0, 1487944626),
(189411, 168, 10743, 'CodevTT_RAF', '3.1', '2.1', 0, 1487944641),
(189412, 168, 10743, 'CodevTT_RAF', '2.1', '2.1', 0, 1487944674),
(189413, 168, 10743, 'CodevTT_RAF', '2.1', '2.1', 0, 1487944701),
(189414, 168, 10743, '', '14173', '', 2, 1487944766),
(189415, 168, 10743, 'CodevTT_RAF', '2.1', '2.1', 0, 1487944766),
(189416, 168, 10743, 'CodevTT_RAF', '2.1', '1.6', 0, 1487944790),
(189417, 168, 10743, 'CodevTT_RAF', '1.6', '2.1', 0, 1487944850),
(189418, 168, 10743, '', '0014174', '', 2, 1487945075),
(189449, 9, 1, '', '13699', '', 4, 1487947734),
(189451, 199, 17471, '', '', '', 1, 1487948125),
(189452, 199, 17471, 'handler_id', '0', '199', 0, 1487948125),
(189453, 199, 17471, '', '', '17412', 21, 1487948125),
(189454, 199, 17412, '', '', '17471', 20, 1487948125),
(189458, 199, 17471, 'CodevTT_RAF', '', '0', 0, 1487948251),
(189459, 199, 17471, 'CodevTT_RAF', '0', '0', 0, 1487948251),
(189460, 199, 17471, 'status', '10', '80', 0, 1487948251),
(189465, 199, 12307, 'CodevTT_RAF', '', '2', 0, 1487948293),
(189466, 199, 12307, 'status', '20', '50', 0, 1487948293),
(189467, 199, 12307, 'handler_id', '0', '199', 0, 1487948293),
(189471, 199, 17414, 'CodevTT_RAF', '', '0', 0, 1487948323),
(189472, 199, 17414, 'CodevTT_RAF', '0', '0', 0, 1487948323),
(189473, 199, 17414, 'status', '10', '80', 0, 1487948323),
(189482, 217, 15856, 'CodevTT_RAF', '6', '7', 0, 1487948443),
(189483, 199, 13589, 'CodevTT_RAF', '1', '0', 0, 1487948649),
(189484, 199, 13589, 'CodevTT_RAF', '0', '0', 0, 1487948649),
(189485, 199, 13589, 'status', '50', '80', 0, 1487948649),
(189486, 199, 17413, 'CodevTT_RAF', '', '0', 0, 1487948679),
(189487, 199, 17413, 'CodevTT_RAF', '0', '0', 0, 1487948679),
(189488, 199, 17413, 'status', '10', '80', 0, 1487948679),
(189489, 199, 17412, 'CodevTT_RAF', '', '0', 0, 1487948700),
(189490, 199, 17412, 'CodevTT_RAF', '0', '0', 0, 1487948700),
(189491, 199, 17412, 'status', '10', '80', 0, 1487948700),
(189492, 199, 17413, 'CodevTT_RAF', '0', '0', 0, 1487948710),
(189493, 199, 17412, 'Ref. Externe', '44268', '44289', 0, 1487948756),
(189517, 169, 17444, 'CodevTT_RAF', '1', '0', 0, 1487952732),
(189518, 169, 17444, 'CodevTT_RAF', '0', '0', 0, 1487952732),
(189519, 169, 17444, 'status', '50', '80', 0, 1487952732),
(189521, 74, 17065, '', '14135', '3576', 3, 1487953162),
(189522, 74, 17065, '', '14135', '3577', 3, 1487953169),
(189538, 168, 10743, '', '0014182', '', 2, 1487954921),
(189615, 348, 2, '', '14196', '', 2, 1488185841),
(189741, 157, 17475, '', '', '', 1, 1488191843),
(189742, 157, 17475, 'handler_id', '0', '157', 0, 1488191843),
(189743, 157, 17475, '', '', '17412', 21, 1488191843),
(189744, 157, 17412, '', '', '17475', 20, 1488191843),
(189745, 157, 17475, 'CodevTT_RAF', '', '0', 0, 1488191891),
(189746, 157, 17475, 'CodevTT_RAF', '0', '0', 0, 1488191891),
(189747, 157, 17475, 'status', '10', '80', 0, 1488191891),
(189748, 157, 17299, 'CodevTT_RAF', '1', '0.5', 0, 1488191929),
(189920, 217, 15856, 'CodevTT_RAF', '7', '6', 0, 1488201971),
(198564, 158, 17747, 'CodevTT_RAF', '1.1', '2', 0, 1489678979),
(198565, 158, 17746, 'CodevTT_RAF', '0.3', '0.2', 0, 1489679001),
(198535, 169, 17739, 'CodevTT_RAF', '4', '3', 0, 1489676652),
(198536, 169, 17739, 'CodevTT_RAF', '3', '2', 0, 1489676672),
(190159, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1488270693),
(190160, 246, 16069, 'CodevTT_RAF', '0', '0', 0, 1488270734),
(190162, 246, 10598, 'CodevTT_RAF', '0', '1', 0, 1488270781),
(190163, 246, 10598, 'status', '80', '50', 0, 1488270781),
(190164, 246, 10598, 'CodevTT_RAF', '1', '2', 0, 1488270801),
(190539, 146, 10740, 'CodevTT_RAF', '0.5', '0', 0, 1488347666),
(190540, 146, 10740, 'CodevTT_RAF', '0', '0', 0, 1488347666),
(190541, 146, 10740, 'status', '50', '80', 0, 1488347666),
(190542, 146, 10740, 'CodevTT_RAF', '0', '0', 0, 1488347684),
(190543, 146, 10740, 'CodevTT_RAF', '0', '0', 0, 1488347698),
(190544, 147, 10741, 'CodevTT_RAF', '', '4', 0, 1488351929),
(190545, 147, 10741, 'CodevTT_ChargeInit', '2', '5', 0, 1488352116),
(190546, 147, 10741, 'CodevTT_RAF', '4', '3', 0, 1488352243),
(190547, 147, 10741, 'CodevTT_RAF', '3', '2', 0, 1488352271),
(190665, 246, 10598, 'CodevTT_RAF', '2', '0', 0, 1488357481),
(190666, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1488357481),
(190667, 246, 10598, 'status', '50', '80', 0, 1488357481),
(190983, 217, 15856, 'CodevTT_RAF', '6', '5', 0, 1488376888),
(190984, 217, 15856, 'CodevTT_RAF', '5', '5', 0, 1488376897),
(191194, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1488380034),
(191195, 164, 17401, 'CodevTT_RAF', '0', '0', 0, 1488380059),
(191196, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1488380089),
(191212, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1488381810),
(191213, 217, 15856, 'CodevTT_RAF', '5', '5', 0, 1488381820),
(191516, 199, 1437, '', '14482', '', 2, 1488448127),
(191517, 199, 17368, 'CodevTT_RAF', '0', '0', 0, 1488448161),
(191530, 199, 17522, '', '', '', 1, 1488449673),
(191531, 199, 17522, 'handler_id', '0', '199', 0, 1488449673),
(191532, 199, 17522, '', '', '17412', 21, 1488449673),
(191533, 199, 17412, '', '', '17522', 20, 1488449673),
(191534, 199, 17522, 'CodevTT_RAF', '', '0', 0, 1488449696),
(191535, 199, 17522, 'CodevTT_RAF', '0', '0', 0, 1488449696),
(191536, 199, 17522, 'status', '10', '80', 0, 1488449696),
(192123, 147, 10741, 'CodevTT_RAF', '2', '1', 0, 1488468938),
(192190, 2, 10749, 'CodevTT_ChargeMgr', '', '0', 0, 1488472643),
(192191, 2, 10749, 'CodevTT_ChargeInit', '2', '30', 0, 1488472643),
(192192, 2, 10749, 'CodevTT_RAF', '', '30', 0, 1488472643),
(192336, 2, 17258, 'handler_id', '205', '217', 0, 1488474469),
(192382, 2, 10749, 'CodevTT_Dead Line', '', '1494194400', 0, 1488475333),
(192385, 2, 17425, 'CodevTT_ChargeMgr', '', '0', 0, 1488475735),
(192386, 2, 17425, 'CodevTT_ChargeInit', '2', '5', 0, 1488475735),
(192388, 2, 17427, 'CodevTT_ChargeMgr', '', '0', 0, 1488476370),
(192389, 2, 17427, 'CodevTT_ChargeInit', '5', '10', 0, 1488476370),
(192408, 147, 10741, 'CodevTT_RAF', '1', '0', 0, 1488524352),
(192409, 147, 10741, 'CodevTT_RAF', '0', '0', 0, 1488524352),
(192410, 147, 10741, 'status', '50', '80', 0, 1488524352),
(192449, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1488532284),
(192450, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1488532294),
(192451, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1488532303),
(192452, 164, 17401, 'CodevTT_RAF', '0', '0', 0, 1488532313),
(192498, 2, 10406, 'handler_id', '212', '0', 0, 1488534417),
(192499, 2, 10406, 'CodevTT_Dead Line', '', '', 0, 1488534417),
(192501, 2, 17211, 'CodevTT_RAF', '1', '0', 0, 1488534471),
(192502, 2, 17211, 'status', '50', '80', 0, 1488534471),
(192503, 2, 17211, 'CodevTT_RAF', '0', '0', 0, 1488534471),
(192507, 2, 12842, 'handler_id', '134', '0', 0, 1488534883),
(192508, 2, 12842, 'status', '30', '20', 0, 1488534883),
(192509, 157, 17300, 'CodevTT_RAF', '13', '12', 0, 1488535676),
(192510, 157, 17300, 'CodevTT_RAF', '12', '11', 0, 1488535706),
(192511, 157, 17559, '', '', '', 1, 1488535866),
(192512, 157, 17559, 'handler_id', '0', '157', 0, 1488535866),
(192513, 157, 17559, '', '', '17475', 21, 1488535866),
(192514, 157, 17475, '', '', '17559', 20, 1488535866),
(192515, 157, 17300, 'CodevTT_RAF', '11', '11', 0, 1488535920),
(192516, 157, 17559, 'CodevTT_RAF', '', '0.5', 0, 1488535959),
(192517, 157, 17559, 'status', '10', '50', 0, 1488535959),
(192541, 2, 14014, 'CodevTT_RAF', '16', '20', 0, 1488538419),
(192561, 217, 10392, 'CodevTT_RAF', '0', '0', 0, 1488539052),
(192562, 217, 10396, 'CodevTT_RAF', '0.5', '2', 0, 1488539164),
(192563, 217, 10396, 'CodevTT_RAF', '2', '0', 0, 1488539186),
(192564, 217, 10396, 'CodevTT_RAF', '0', '0', 0, 1488539186),
(192565, 217, 10396, 'status', '50', '80', 0, 1488539186),
(192566, 217, 15856, 'CodevTT_RAF', '5', '5', 0, 1488539220),
(192574, 74, 12288, 'Source_changeset_attached', '', 'Gitlab D43955 4522dd96', 100, 1488545632),
(192651, 74, 12288, 'Source_changeset_attached', '', 'Gitlab D43955 c67b77f9', 100, 1488548913),
(192655, 74, 14014, 'CodevTT_RAF', '20', '18', 0, 1488549931),
(192656, 74, 14014, 'CodevTT_RAF', '18', '18', 0, 1488549960),
(192657, 74, 14014, 'CodevTT_RAF', '18', '18', 0, 1488549978),
(192658, 74, 14014, 'CodevTT_RAF', '18', '18', 0, 1488550042),
(192659, 74, 14014, 'CodevTT_RAF', '18', '18', 0, 1488550051),
(192660, 74, 12288, 'CodevTT_RAF', '2', '0', 0, 1488550143),
(192661, 74, 12288, 'CodevTT_RAF', '0', '0', 0, 1488550143),
(192662, 74, 12288, 'status', '50', '80', 0, 1488550143),
(192693, 74, 12288, 'Source_changeset_attached', '', 'Gitlab D43955 eb038897', 100, 1488552221),
(192712, 2, 17415, 'CodevTT_RAF', '', '0', 0, 1488555456),
(192713, 2, 17415, 'status', '10', '80', 0, 1488555456),
(192714, 2, 17415, 'CodevTT_RAF', '0', '0', 0, 1488555456),
(192715, 2, 17416, 'CodevTT_RAF', '', '0', 0, 1488555491),
(192716, 2, 17416, 'status', '10', '80', 0, 1488555491),
(192717, 2, 17416, 'CodevTT_RAF', '0', '0', 0, 1488555491),
(192720, 74, 17417, 'status', '10', '80', 0, 1488555687),
(192721, 74, 17417, 'resolution', '10', '20', 0, 1488555687),
(192722, 74, 17417, 'CodevTT_RAF', '', '0', 0, 1488555687),
(192723, 74, 17418, 'status', '10', '80', 0, 1488555693),
(192724, 74, 17418, 'resolution', '10', '20', 0, 1488555693),
(192725, 74, 17418, 'CodevTT_RAF', '', '0', 0, 1488555693),
(192801, 168, 10745, 'CodevTT_RAF', '', '12.5', 0, 1488559703),
(192802, 168, 10745, 'CodevTT_RAF', '12.5', '11', 0, 1488559726),
(192803, 168, 10743, '', '14676', '', 2, 1488559810),
(192804, 168, 10743, 'CodevTT_RAF', '2.1', '2', 0, 1488559810),
(192805, 168, 10743, '', '14677', '', 2, 1488559828),
(192806, 168, 10743, 'CodevTT_RAF', '2', '1', 0, 1488559828),
(192860, 246, 17368, 'CodevTT_RAF', '0', '0', 0, 1488754678),
(192861, 246, 14813, 'CodevTT_RAF', '0', '0', 0, 1488754828),
(318615, 199, 23905, 'CodevTT_RAF', '', '0', 0, 1514884239),
(192914, 72, 11112, 'CodevTT_RAF', '5', '5', 0, 1488796425),
(192915, 72, 11112, 'CodevTT_RAF', '5', '5', 0, 1488796437),
(192918, 74, 12288, 'status', '80', '50', 0, 1488798372),
(192919, 74, 12288, '', '0014693', '', 2, 1488798417),
(192920, 74, 12288, 'status', '50', '20', 0, 1488798444),
(192932, 72, 17570, 'Ref. Externe', '', '44293', 0, 1488803582),
(192933, 72, 17570, 'CodevTT_ChargeInit', '', '2', 0, 1488803582),
(192934, 72, 17570, 'handler_id', '0', '147', 0, 1488803582),
(192935, 72, 17570, 'codevtt_type', '', 'Bug', 0, 1488803582),
(192936, 72, 17571, 'Ref. Externe', '', '44295', 0, 1488803583),
(192937, 72, 17571, 'CodevTT_ChargeInit', '', '2', 0, 1488803583),
(192938, 72, 17571, 'handler_id', '0', '147', 0, 1488803583),
(192939, 72, 17571, 'codevtt_type', '', 'Bug', 0, 1488803583),
(192940, 72, 17572, 'Ref. Externe', '', '44296', 0, 1488803583),
(192941, 72, 17572, 'CodevTT_ChargeInit', '', '2', 0, 1488803583),
(192942, 72, 17572, 'handler_id', '0', '147', 0, 1488803583),
(192943, 72, 17572, 'codevtt_type', '', 'Bug', 0, 1488803583),
(192944, 72, 17573, 'Ref. Externe', '', '44318', 0, 1488803583),
(192945, 72, 17573, 'CodevTT_ChargeInit', '', '2', 0, 1488803583),
(192946, 72, 17573, 'handler_id', '0', '147', 0, 1488803583),
(192947, 72, 17573, 'codevtt_type', '', 'Bug', 0, 1488803583),
(192948, 72, 17574, 'Ref. Externe', '', '44327', 0, 1488803583),
(192949, 72, 17574, 'CodevTT_ChargeInit', '', '2', 0, 1488803583),
(192950, 72, 17574, 'handler_id', '0', '168', 0, 1488803583),
(192951, 72, 17574, 'codevtt_type', '', 'Bug', 0, 1488803583),
(192952, 199, 12325, 'CodevTT_RAF', '1', '1', 0, 1488803666),
(192953, 199, 12325, 'CodevTT_RAF', '1', '1', 0, 1488803675),
(192954, 199, 17368, 'CodevTT_RAF', '0', '0', 0, 1488803688),
(193037, 199, 17577, '', '', '', 1, 1488807246),
(193038, 199, 17577, 'handler_id', '0', '199', 0, 1488807246),
(193039, 199, 17577, '', '', '17369', 21, 1488807246),
(193040, 199, 17369, '', '', '17577', 20, 1488807246),
(193042, 199, 17577, 'CodevTT_RAF', '', '0', 0, 1488807280),
(193043, 199, 17577, 'CodevTT_RAF', '0', '0', 0, 1488807280),
(193044, 199, 17577, 'status', '10', '80', 0, 1488807280),
(193045, 199, 12325, 'CodevTT_RAF', '1', '0.5', 0, 1488807319),
(193052, 199, 17577, 'CodevTT_RAF', '0', '0', 0, 1488807515),
(193053, 199, 17577, 'CodevTT_RAF', '0', '0', 0, 1488807526),
(193055, 199, 17577, 'CodevTT_RAF', '0', '0', 0, 1488807624),
(193056, 199, 17577, 'CodevTT_RAF', '0', '0', 0, 1488807632),
(193120, 72, 17570, 'RSI_Type_Ano', '', 'Recette', 0, 1488813086),
(193121, 72, 17573, 'RSI_Type_Ano', '', 'Recette', 0, 1488813115),
(193122, 72, 17572, 'RSI_Type_Ano', '', 'Recette', 0, 1488813150),
(193123, 72, 17571, 'RSI_Type_Ano', '', 'Recette', 0, 1488813175),
(193128, 199, 17581, '', '', '', 1, 1488814380),
(193129, 199, 17581, 'handler_id', '0', '246', 0, 1488814380),
(193130, 199, 17581, '', '', '16872', 21, 1488814380),
(193131, 199, 16872, '', '', '17581', 20, 1488814380),
(193134, 199, 17582, '', '', '', 1, 1488814447),
(193135, 199, 17582, 'handler_id', '0', '246', 0, 1488814447),
(193136, 199, 17582, '', '', '17581', 21, 1488814447),
(193137, 199, 17581, '', '', '17582', 20, 1488814447),
(193142, 199, 17448, 'CodevTT_RAF', '', '0.5', 0, 1488814611),
(193143, 199, 17448, 'status', '10', '20', 0, 1488814611),
(193144, 2, 17401, '', '14722', '', 2, 1488815174),
(193145, 2, 17401, 'CodevTT_RAF', '0', '0', 0, 1488815174),
(193150, 2, 15281, '', '14723', '', 2, 1488815533),
(193151, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1488815533),
(193152, 199, 17449, '', '14724', '', 2, 1488815534),
(193153, 199, 17449, 'CodevTT_RAF', '', '0', 0, 1488815534),
(193154, 199, 17449, 'CodevTT_RAF', '0', '0', 0, 1488815534),
(193155, 199, 17449, 'status', '10', '80', 0, 1488815534),
(193172, 246, 17582, 'CodevTT_RAF', '', '0', 0, 1488816593),
(193173, 246, 17582, 'CodevTT_RAF', '0', '0', 0, 1488816593),
(193174, 246, 17582, 'status', '10', '80', 0, 1488816593),
(193199, 199, 17449, 'CodevTT_RAF', '0', '0', 0, 1488817505),
(193266, 205, 10400, 'CodevTT_RAF', '0.5', '0', 0, 1488830641),
(193267, 205, 10400, 'CodevTT_RAF', '0', '0', 0, 1488830641),
(193268, 205, 10400, 'status', '50', '80', 0, 1488830641),
(193269, 205, 10400, 'CodevTT_RAF', '0', '0', 0, 1488830671),
(193270, 205, 10399, 'CodevTT_RAF', '0', '0', 0, 1488830698),
(193271, 205, 8454, 'CodevTT_RAF', '3', '0', 0, 1488830732),
(193272, 205, 8454, 'CodevTT_RAF', '0', '0', 0, 1488830732),
(193273, 205, 8454, 'status', '50', '80', 0, 1488830732),
(193299, 246, 10744, 'CodevTT_RAF', '0', '1', 0, 1488873451),
(193300, 246, 10744, 'status', '80', '50', 0, 1488873451),
(193301, 246, 17581, 'CodevTT_RAF', '', '0', 0, 1488873498),
(193302, 246, 17581, 'CodevTT_RAF', '0', '0', 0, 1488873498),
(193303, 246, 17581, 'status', '10', '80', 0, 1488873498),
(193316, 72, 14014, 'CodevTT_RAF', '18', '17', 0, 1488875338),
(193321, 72, 16802, 'RSI_Type_Ano', '', 'Recette', 0, 1488877950),
(193322, 72, 16846, 'RSI_Type_Ano', '', 'Production', 0, 1488878081),
(193335, 72, 17252, 'RSI_Type_Ano', '', 'Production', 0, 1488878192),
(193338, 72, 17254, 'RSI_Type_Ano', '', 'Recette', 0, 1488878255),
(193345, 72, 17411, 'RSI_Type_Ano', '', 'Recette', 0, 1488878312),
(193348, 72, 17412, 'RSI_Type_Ano', '', 'Recette', 0, 1488878379),
(193349, 72, 17413, 'RSI_Type_Ano', '', 'Recette', 0, 1488878587),
(193350, 72, 17414, 'RSI_Type_Ano', '', 'Recette', 0, 1488878653),
(193351, 72, 17449, 'RSI_Type_Ano', '', 'Recette', 0, 1488878704),
(193352, 72, 17471, 'RSI_Type_Ano', '', 'Recette', 0, 1488878747),
(193375, 217, 15856, 'CodevTT_RAF', '5', '5', 0, 1488880946),
(193376, 217, 15856, 'CodevTT_RAF', '5', '3', 0, 1488881016),
(193377, 217, 11112, '', '14740', '', 2, 1488881060),
(193378, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1488881060),
(289896, 157, 22410, '', '', '22409', 21, 1508481161),
(289895, 157, 22410, 'handler_id', '0', '157', 0, 1508481161),
(289894, 157, 22410, '', '', '', 1, 1508481161),
(289835, 72, 22408, 'codevtt_type', '', 'Bug', 0, 1508478190),
(289834, 72, 22408, 'handler_id', '0', '157', 0, 1508478190),
(289833, 72, 22408, 'CodevTT_ChargeInit', '', '0.5', 0, 1508478190),
(319828, 2, 17251, '', '36784', '4519', 3, 1515171990),
(193776, 199, 17633, '', '', '', 1, 1488892698),
(193777, 199, 17633, 'handler_id', '0', '169', 0, 1488892698),
(193778, 199, 17633, '', '', '15785', 21, 1488892698),
(193779, 199, 15785, '', '', '17633', 20, 1488892698),
(193781, 199, 17634, '', '', '', 1, 1488892753),
(193782, 199, 17634, '', '', '16516', 21, 1488892753),
(193783, 199, 16516, '', '', '17634', 20, 1488892753),
(193784, 199, 17633, 'summary', '43795 - AFFI- PUMA - Mise en conformité des assurés gratuits', '43795 - [SPEC] AFFI- PUMA - RDD Mise en conformité des assurés gratuits', 0, 1488892795),
(193830, 2, 14013, 'handler_id', '74', '205', 0, 1488893713),
(193831, 2, 14013, 'CodevTT_Dead Line', '', '', 0, 1488893713),
(193832, 2, 14013, 'CodevTT_Dead Line', '', '1495749600', 0, 1488893743),
(193873, 72, 17637, '', '', '', 1, 1488894771),
(193874, 72, 17637, 'handler_id', '0', '168', 0, 1488894771),
(193875, 72, 17637, '', '', '10745', 21, 1488894771),
(193876, 72, 10745, '', '', '17637', 20, 1488894771),
(193880, 199, 17638, '', '', '', 1, 1488894854),
(193881, 199, 17638, 'handler_id', '0', '147', 0, 1488894880),
(193883, 199, 17581, 'CodevTT_RAF', '0', '0', 0, 1488894986),
(193892, 199, 17368, 'CodevTT_RAF', '0', '0', 0, 1488895159),
(193921, 2, 17064, '', '2500', '12288', 18, 1488895362),
(193922, 2, 12288, '', '2501', '17064', 18, 1488895362),
(193949, 2, 17065, '', '2500', '10743', 18, 1488895734),
(193950, 2, 10743, '', '2501', '17065', 18, 1488895734),
(193951, 2, 17065, '', '2500', '17637', 18, 1488895756),
(193952, 2, 17637, '', '2501', '17065', 18, 1488895756),
(193953, 2, 17065, '', '2500', '10745', 18, 1488895775),
(193954, 2, 10745, '', '2501', '17065', 18, 1488895775),
(193955, 2, 17065, '', '2500', '10746', 18, 1488895799),
(193956, 2, 10746, '', '2501', '17065', 18, 1488895799),
(193957, 2, 17065, '', '2500', '10747', 18, 1488895812),
(193959, 2, 17065, '', '2500', '17425', 18, 1488895829),
(193960, 2, 17425, '', '2501', '17065', 18, 1488895829),
(193962, 2, 17065, '', '2500', '17427', 18, 1488895857),
(193963, 2, 17427, '', '2501', '17065', 18, 1488895857),
(193964, 2, 17065, '', '2500', '17428', 18, 1488895875),
(193965, 2, 17428, '', '2501', '17065', 18, 1488895875),
(193970, 2, 17065, '', '2500', '17429', 18, 1488895896),
(193971, 2, 17429, '', '2501', '17065', 18, 1488895896),
(193974, 2, 17065, '', '2500', '17430', 18, 1488895918),
(193975, 2, 17430, '', '2501', '17065', 18, 1488895918),
(193985, 2, 17065, '', '2500', '17431', 18, 1488896075),
(193986, 2, 17431, '', '2501', '17065', 18, 1488896075),
(193987, 2, 17065, '', '2500', '17426', 18, 1488896091),
(193988, 2, 17426, '', '2501', '17065', 18, 1488896091),
(193992, 2, 17065, '', '2500', '17424', 18, 1488896200),
(193993, 2, 17424, '', '2501', '17065', 18, 1488896200),
(193994, 2, 17065, '', '2500', '17432', 18, 1488896219),
(193995, 2, 17432, '', '2501', '17065', 18, 1488896219),
(194003, 2, 17064, 'CodevTT_Dead Line', '1496700000', '1501970400', 0, 1488897171),
(194004, 2, 17065, 'CodevTT_Dead Line', '1496700000', '1501970400', 0, 1488897200),
(194005, 2, 14014, 'CodevTT_Dead Line', '1479337200', '1496095200', 0, 1488897275),
(194006, 2, 14013, 'CodevTT_Dead Line', '1495749600', '1496095200', 0, 1488897324),
(194007, 2, 17211, 'CodevTT_Dead Line', '', '1496095200', 0, 1488897375),
(194008, 2, 10406, 'CodevTT_Dead Line', '', '1491861600', 0, 1488897440),
(194009, 2, 15856, 'CodevTT_Dead Line', '', '1491861600', 0, 1488897483),
(194010, 2, 17063, 'CodevTT_Dead Line', '', '1491861600', 0, 1488897534),
(194011, 2, 17258, 'CodevTT_Dead Line', '', '1491861600', 0, 1488897564),
(194012, 2, 17063, '', '2500', '15836', 18, 1488897617),
(194013, 2, 15836, '', '2501', '17063', 18, 1488897617),
(194014, 2, 17063, '', '2500', '10623', 18, 1488897636),
(194015, 2, 10623, '', '2501', '17063', 18, 1488897636),
(194016, 2, 17063, '', '2500', '10740', 18, 1488897652),
(194017, 2, 10740, '', '2501', '17063', 18, 1488897652),
(194018, 2, 17063, '', '2500', '10741', 18, 1488897665),
(194019, 2, 10741, '', '2501', '17063', 18, 1488897665),
(194020, 2, 17063, '', '2500', '10742', 18, 1488897681),
(194021, 2, 10742, '', '2501', '17063', 18, 1488897681),
(194119, 246, 10744, 'CodevTT_RAF', '1', '0', 0, 1488903052),
(194120, 246, 10744, 'CodevTT_RAF', '0', '0', 0, 1488903052),
(194121, 246, 10744, 'status', '50', '80', 0, 1488903052),
(194278, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1488924357),
(194279, 72, 17644, 'Ref. Externe', '', '44344', 0, 1488957992),
(194280, 72, 17644, 'CodevTT_ChargeInit', '', '2', 0, 1488957992),
(194281, 72, 17644, 'handler_id', '0', '199', 0, 1488957992),
(194282, 72, 17644, 'codevtt_type', '', 'Bug', 0, 1488957992),
(194283, 72, 17645, 'Ref. Externe', '', '44345', 0, 1488957992),
(194284, 72, 17645, 'CodevTT_ChargeInit', '', '2', 0, 1488957992),
(194285, 72, 17645, 'handler_id', '0', '199', 0, 1488957992),
(194286, 72, 17645, 'codevtt_type', '', 'Bug', 0, 1488957992),
(194289, 72, 17170, 'CodevTT_RAF', '', '0', 0, 1488958191),
(194290, 72, 17170, 'status', '10', '80', 0, 1488958191),
(194291, 72, 17170, 'CodevTT_RAF', '0', '0', 0, 1488958191),
(194292, 72, 17170, 'CodevTT_ChargeMgr', '', '0', 0, 1488958203),
(194293, 72, 17170, 'CodevTT_ChargeInit', '2', '0', 0, 1488958204),
(194294, 72, 16510, 'CodevTT_ChargeMgr', '', '0', 0, 1488958652),
(194295, 72, 16510, 'CodevTT_ChargeInit', '2', '0', 0, 1488958652),
(194296, 199, 17644, 'CodevTT_RAF', '', '0', 0, 1488959685),
(194297, 199, 17644, 'CodevTT_RAF', '0', '0', 0, 1488959685),
(194298, 199, 17644, 'status', '10', '80', 0, 1488959685),
(194299, 199, 17645, 'CodevTT_RAF', '', '0', 0, 1488959700),
(194300, 199, 17645, 'CodevTT_RAF', '0', '0', 0, 1488959700),
(194301, 199, 17645, 'status', '10', '80', 0, 1488959700),
(194302, 72, 17450, 'CodevTT_ChargeMgr', '0', '10', 0, 1488959746),
(194306, 199, 17646, '', '', '', 1, 1488961349),
(194307, 199, 17646, 'CodevTT_RAF', '', '0', 0, 1488961373),
(194308, 199, 17646, 'CodevTT_RAF', '0', '0', 0, 1488961373),
(194309, 199, 17646, 'status', '10', '80', 0, 1488961373),
(194310, 199, 17646, 'handler_id', '0', '199', 0, 1488961373),
(194311, 199, 17370, 'handler_id', '147', '246', 0, 1488961493),
(194350, 72, 14014, 'CodevTT_RAF', '17', '19', 0, 1488964275),
(194368, 2, 15856, '', '2500', '10598', 18, 1488965507),
(194369, 2, 10598, '', '2501', '15856', 18, 1488965507),
(194370, 2, 15856, '', '2500', '10744', 18, 1488965524),
(194371, 2, 10744, '', '2501', '15856', 18, 1488965524),
(194372, 2, 15855, '', '2500', '12689', 18, 1488965719),
(194373, 2, 12689, '', '2501', '15855', 18, 1488965719),
(194374, 2, 15855, '', '2500', '12688', 18, 1488965735),
(194375, 2, 12688, '', '2501', '15855', 18, 1488965735),
(194376, 2, 17258, '', '2500', '10770', 18, 1488965790),
(194377, 2, 10770, '', '2501', '17258', 18, 1488965790),
(194394, 217, 11112, 'CodevTT_RAF', '5', '2', 0, 1488966390),
(194395, 217, 15856, 'CodevTT_RAF', '3', '2', 0, 1488966407),
(316665, 199, 23776, 'status', '10', '80', 0, 1513951143),
(194624, 72, 10737, 'Ref. Externe', '42497', '44059', 0, 1488977983),
(194632, 72, 10393, 'summary', '42497 [SPEC] TAIGA PUMA - Lot  1/traitement de réduction des maintiens de droits', '44059 [SPEC] TAIGA PUMA - Lot  1/traitement de réduction des maintiens de droits', 0, 1488978430),
(194633, 72, 10393, 'Ref. Externe', '42497', '44059', 0, 1488978430),
(194634, 72, 10393, 'CodevTT_RAF', '1', '0', 0, 1488978430),
(194640, 72, 12287, 'summary', '42497 [SPEC] TAIGA PUMA -   filtrage motif de radiation TP', '43955 [SPEC] TAIGA PUMA -   filtrage motif de radiation TP', 0, 1488978919),
(194641, 72, 12287, 'Ref. Externe', '42497', '43955', 0, 1488978919),
(289832, 72, 22408, 'Ref. Externe', '', '45160', 0, 1508478190),
(194654, 147, 17570, 'CodevTT_RAF', '', '1', 0, 1488979668),
(194655, 147, 17570, 'status', '10', '50', 0, 1488979668),
(194656, 147, 17570, 'CodevTT_RAF', '1', '1', 0, 1488979745),
(194660, 147, 17570, 'CodevTT_RAF', '1', '0.75', 0, 1488979778),
(194661, 147, 17571, 'CodevTT_RAF', '', '1', 0, 1488979879),
(194662, 147, 17571, 'status', '10', '50', 0, 1488979879),
(194663, 147, 17571, 'CodevTT_RAF', '1', '0', 0, 1488979927),
(194664, 147, 17571, 'CodevTT_RAF', '0', '0', 0, 1488979927),
(194665, 147, 17571, 'status', '50', '80', 0, 1488979927),
(300638, 72, 23136, 'Ref. Externe', '', '45315', 0, 1510930474),
(194669, 147, 17571, 'CodevTT_RAF', '0', '1', 0, 1488979980),
(194670, 147, 17571, 'status', '80', '50', 0, 1488979980),
(194674, 147, 17571, 'CodevTT_RAF', '1', '1.5', 0, 1488979991),
(194675, 147, 17572, 'CodevTT_RAF', '', '0', 0, 1488980034),
(194676, 147, 17572, 'CodevTT_RAF', '0', '0', 0, 1488980034),
(194677, 147, 17572, 'status', '10', '80', 0, 1488980034),
(194681, 147, 17570, 'CodevTT_RAF', '0.75', '1', 0, 1488980073),
(194686, 147, 17573, 'CodevTT_RAF', '', '1', 0, 1488980154),
(194687, 147, 17573, 'status', '10', '50', 0, 1488980154),
(194688, 147, 17638, 'CodevTT_RAF', '', '1', 0, 1488980205),
(194689, 147, 17638, 'status', '10', '50', 0, 1488980205),
(194694, 147, 17573, 'CodevTT_RAF', '1', '0.5', 0, 1488980253),
(194698, 147, 17570, 'CodevTT_RAF', '1', '0.5', 0, 1488980305),
(194699, 147, 17638, 'CodevTT_RAF', '1', '0.5', 0, 1488980351),
(194700, 147, 17638, 'CodevTT_RAF', '0.5', '0', 0, 1488980365),
(194701, 147, 17638, 'CodevTT_RAF', '0', '0', 0, 1488980365),
(194702, 147, 17638, 'status', '50', '80', 0, 1488980365),
(300646, 72, 23137, 'codevtt_type', '', 'Task', 0, 1510930578),
(300645, 72, 23137, 'handler_id', '0', '199', 0, 1510930578),
(300644, 72, 23137, 'target_version', '', '18.0.10_PUMA', 0, 1510930578),
(300643, 72, 23137, 'CodevTT_ChargeInit', '', '0.5', 0, 1510930578),
(300642, 72, 23137, 'Ref. Externe', '', '45319', 0, 1510930578),
(300641, 72, 23136, 'codevtt_type', '', 'Bug', 0, 1510930474),
(300640, 72, 23136, 'handler_id', '0', '157', 0, 1510930474),
(300639, 72, 23136, 'CodevTT_ChargeInit', '', '0.5', 0, 1510930474),
(194863, 72, 10737, 'handler_id', '146', '0', 0, 1488982782),
(194864, 72, 10737, 'CodevTT_RAF', '2.5', '0', 0, 1488982782),
(194865, 72, 10737, 'status', '20', '80', 0, 1488982782),
(194866, 72, 10737, 'CodevTT_RAF', '0', '0', 0, 1488982782),
(194867, 72, 10737, 'CodevTT_Dead Line', '', '', 0, 1488982782),
(194966, 72, 12687, 'CodevTT_RAF', '2', '0', 0, 1488986682),
(194967, 72, 12687, 'status', '50', '80', 0, 1488986682),
(194968, 72, 12687, 'CodevTT_RAF', '0', '0', 0, 1488986682),
(194969, 72, 12687, 'CodevTT_Dead Line', '', '', 0, 1488986682),
(194970, 2, 10737, 'summary', '44059 [DEVT] TAIGA PUMA - traitement de réduction des maintiens de droits', '44059 [DEV] TAIGA PUMA - traitement de réduction des maintiens de droits', 0, 1488986830),
(214051, 158, 17747, 'CodevTT_RAF', '3', '3', 0, 1492504077),
(214008, 72, 18442, 'handler_id', '0', '246', 0, 1492503347),
(214007, 72, 18442, 'CodevTT_ChargeInit', '', '1', 0, 1492503347),
(214006, 72, 18442, 'Ref. Externe', '', '44503', 0, 1492503347),
(214005, 72, 18441, 'codevtt_type', '', 'Task', 0, 1492503347),
(214004, 72, 18441, 'handler_id', '0', '205', 0, 1492503347),
(214003, 72, 18441, 'CodevTT_ChargeInit', '', '1', 0, 1492503347),
(214002, 72, 18441, 'Ref. Externe', '', '44503', 0, 1492503347),
(195157, 205, 10400, 'CodevTT_RAF', '0', '0', 0, 1488994836),
(195158, 205, 10400, 'CodevTT_RAF', '0', '0', 0, 1488994859),
(195165, 205, 17063, 'CodevTT_RAF', '17.5', '17.25', 0, 1488994952),
(195167, 205, 10396, 'CodevTT_RAF', '0', '0', 0, 1488994984),
(214009, 72, 18442, 'codevtt_type', '', 'Task', 0, 1492503347),
(195176, 217, 11112, 'CodevTT_RAF', '2', '5', 0, 1489040064),
(195177, 217, 17729, '', '', '', 1, 1489040284),
(195178, 217, 17729, 'handler_id', '0', '217', 0, 1489040284),
(195179, 217, 17729, '', '', '16971', 21, 1489040284),
(195180, 217, 16971, '', '', '17729', 20, 1489040284),
(195181, 217, 17729, 'CodevTT_RAF', '', '0', 0, 1489040328),
(195182, 217, 17729, 'CodevTT_RAF', '0', '0', 0, 1489040328),
(195183, 217, 17729, 'status', '10', '80', 0, 1489040328),
(195184, 217, 16723, 'CodevTT_RAF', '5', '5', 0, 1489040707),
(195185, 217, 16922, 'CodevTT_RAF', '5', '5', 0, 1489040724),
(195186, 217, 15856, 'CodevTT_RAF', '2', '2', 0, 1489040747),
(195187, 74, 14014, 'CodevTT_RAF', '19', '18', 0, 1489043336),
(195188, 74, 14014, 'CodevTT_RAF', '18', '17', 0, 1489043345),
(195189, 74, 14014, 'CodevTT_RAF', '17', '16', 0, 1489043357),
(195190, 74, 14014, 'CodevTT_RAF', '16', '15', 0, 1489043367),
(195201, 72, 17730, '', '', '', 1, 1489046106),
(195366, 199, 17733, '', '', '', 1, 1489051878),
(195367, 199, 17733, 'CodevTT_RAF', '', '0', 0, 1489051901),
(195368, 199, 17733, 'CodevTT_RAF', '0', '0', 0, 1489051901),
(195369, 199, 17733, 'status', '10', '80', 0, 1489051901),
(195370, 199, 17733, 'handler_id', '0', '199', 0, 1489051901),
(195377, 199, 17133, 'CodevTT_RAF', '5', '4', 0, 1489051941),
(195386, 199, 17638, 'CodevTT_RAF', '0', '0', 0, 1489052107),
(195388, 157, 17300, 'CodevTT_RAF', '11', '10', 0, 1489052189),
(195389, 157, 17300, 'CodevTT_RAF', '10', '9.5', 0, 1489052209),
(195390, 157, 17300, 'CodevTT_RAF', '9.5', '9', 0, 1489052227),
(195391, 157, 17300, 'CodevTT_RAF', '9', '8.5', 0, 1489052245),
(195396, 157, 17451, 'CodevTT_RAF', '', '1.5', 0, 1489052344),
(195397, 157, 17451, 'status', '10', '50', 0, 1489052344),
(195398, 157, 17451, 'CodevTT_RAF', '1.5', '1', 0, 1489052365),
(195400, 199, 14807, 'CodevTT_RAF', '2', '0', 0, 1489052433),
(195401, 199, 14807, 'status', '20', '80', 0, 1489052433),
(195402, 199, 14807, 'CodevTT_RAF', '0', '0', 0, 1489052433),
(195403, 199, 14807, '', '3706', '', 6, 1489052493),
(195404, 157, 17734, '', '', '', 1, 1489052537),
(195405, 157, 17734, 'handler_id', '0', '157', 0, 1489052537),
(195406, 157, 17734, '', '', '17300', 21, 1489052537),
(195407, 157, 17300, '', '', '17734', 20, 1489052537),
(195408, 199, 17447, 'CodevTT_RAF', '', '0', 0, 1489052542),
(195409, 199, 17447, 'CodevTT_RAF', '0', '0', 0, 1489052542),
(195410, 199, 17447, 'status', '10', '80', 0, 1489052542),
(195411, 199, 17447, 'CodevTT_RAF', '0', '0', 0, 1489052553),
(195414, 199, 16914, 'CodevTT_RAF', '', '0', 0, 1489052589),
(195415, 199, 16914, 'status', '10', '80', 0, 1489052589),
(195416, 199, 16914, 'CodevTT_RAF', '0', '0', 0, 1489052589),
(195417, 157, 17734, 'CodevTT_RAF', '', '0.5', 0, 1489052596),
(195418, 157, 17734, 'status', '10', '50', 0, 1489052596),
(195419, 199, 16873, 'CodevTT_RAF', '', '0', 0, 1489052610),
(195420, 199, 16873, 'status', '10', '80', 0, 1489052610),
(195421, 199, 16873, 'CodevTT_RAF', '0', '0', 0, 1489052610),
(195424, 199, 16872, 'CodevTT_RAF', '', '0', 0, 1489052633),
(195425, 199, 16872, 'status', '10', '80', 0, 1489052633),
(195426, 199, 16872, 'CodevTT_RAF', '0', '0', 0, 1489052633),
(195427, 157, 17559, 'CodevTT_RAF', '0.5', '0', 0, 1489052640),
(195428, 157, 17559, 'status', '50', '80', 0, 1489052640),
(195429, 157, 17559, 'CodevTT_RAF', '0', '0', 0, 1489052640),
(195431, 199, 16562, 'CodevTT_ChargeInit', '2', '4', 0, 1489052670),
(195435, 157, 17300, 'CodevTT_ChargeInit', '2', '25', 0, 1489052782),
(195438, 157, 17300, 'CodevTT_Dead Line', '', '', 0, 1489052857),
(195439, 157, 17300, 'CodevTT_ChargeInit', '25', '18', 0, 1489053016),
(195440, 157, 17300, 'CodevTT_Dead Line', '', '1489446000', 0, 1489053016),
(195751, 72, 17300, 'CodevTT_ChargeMgr', '', '9', 0, 1489068327),
(195752, 72, 17300, 'CodevTT_ChargeInit', '18', '10', 0, 1489068327),
(195755, 72, 17299, 'CodevTT_ChargeMgr', '', '7.5', 0, 1489068490),
(195758, 72, 16624, 'CodevTT_ChargeMgr', '', '0', 0, 1489068669),
(195759, 72, 16624, 'CodevTT_ChargeInit', '2', '0', 0, 1489068669),
(195838, 285, 2, '', '15071', '', 2, 1489073018),
(195894, 72, 17739, 'Ref. Externe', '', '43794', 0, 1489076747),
(195895, 72, 17739, 'CodevTT_ChargeInit', '', '2', 0, 1489076747),
(195896, 72, 17739, 'target_version', '', '18.0_PUMA', 0, 1489076747),
(195897, 72, 17739, 'handler_id', '0', '169', 0, 1489076747),
(195898, 72, 17739, 'codevtt_type', '', 'Task', 0, 1489076747),
(195899, 72, 17740, 'Ref. Externe', '', '43794', 0, 1489076747),
(195900, 72, 17740, 'CodevTT_ChargeInit', '', '2', 0, 1489076747),
(195901, 72, 17740, 'target_version', '', '18.0_PUMA', 0, 1489076747),
(195902, 72, 17740, 'handler_id', '0', '169', 0, 1489076747),
(195903, 72, 17740, 'codevtt_type', '', 'Task', 0, 1489076747),
(195904, 72, 17741, 'Ref. Externe', '', '43796', 0, 1489076748),
(195905, 72, 17741, 'CodevTT_ChargeInit', '', '2', 0, 1489076748),
(195906, 72, 17741, 'target_version', '', '18.0_PUMA', 0, 1489076748),
(195907, 72, 17741, 'codevtt_type', '', 'Task', 0, 1489076748),
(195908, 72, 17742, 'Ref. Externe', '', '43796', 0, 1489076748),
(195909, 72, 17742, 'CodevTT_ChargeInit', '', '2', 0, 1489076748),
(195910, 72, 17742, 'target_version', '', '18.0_PUMA', 0, 1489076748),
(195911, 72, 17742, 'codevtt_type', '', 'Task', 0, 1489076748),
(196066, 199, 17743, '', '', '', 1, 1489129132),
(196067, 199, 17743, 'CodevTT_RAF', '', '0', 0, 1489129158),
(196068, 199, 17743, 'CodevTT_RAF', '0', '0', 0, 1489129158),
(196069, 199, 17743, 'status', '10', '80', 0, 1489129158),
(196070, 199, 17743, 'handler_id', '0', '199', 0, 1489129158),
(196108, 199, 17368, 'CodevTT_RAF', '0', '0', 0, 1489134029),
(196109, 147, 17570, 'CodevTT_RAF', '0.5', '0', 0, 1489134070),
(196110, 147, 17570, 'CodevTT_RAF', '0', '0', 0, 1489134070),
(196111, 147, 17570, 'status', '50', '80', 0, 1489134070),
(196115, 147, 17573, 'CodevTT_RAF', '0.5', '0', 0, 1489134153),
(196116, 147, 17573, 'CodevTT_RAF', '0', '0', 0, 1489134153),
(196117, 147, 17573, 'status', '50', '80', 0, 1489134153),
(196119, 147, 17370, 'CodevTT_RAF', '', '0', 0, 1489134220),
(196120, 147, 17370, 'CodevTT_RAF', '0', '0', 0, 1489134220),
(196121, 147, 17370, 'status', '10', '80', 0, 1489134220),
(196122, 147, 17370, 'handler_id', '246', '147', 0, 1489134220),
(196123, 147, 10740, 'CodevTT_RAF', '0', '0', 0, 1489134287),
(196124, 147, 10740, 'CodevTT_RAF', '0', '0', 0, 1489134373),
(196164, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1489138178),
(196165, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1489138189),
(196210, 72, 17746, '', '', '', 1, 1489139945),
(196211, 72, 17746, 'handler_id', '0', '158', 0, 1489139945),
(196216, 72, 17747, '', '', '', 1, 1489140009),
(196217, 72, 17747, 'handler_id', '0', '158', 0, 1489140009),
(196218, 72, 17747, '', '', '17746', 21, 1489140009),
(196219, 72, 17746, '', '', '17747', 20, 1489140009),
(196220, 72, 17746, '', '2501', '17747', 18, 1489140009),
(196221, 72, 17747, '', '2500', '17746', 18, 1489140009),
(196229, 72, 17746, 'summary', '44339 - SIREN-Récupérer les données SIREN absentes dans Taïga à partir de SCR : harmonisation des règles de gestion', '44339 - [SPEC] SIREN-Récupérer les données SIREN absentes dans Taïga à partir de SCR : harmonisation des règles de gestion', 0, 1489140148),
(196297, 217, 15856, 'CodevTT_RAF', '2', '0', 0, 1489142611),
(196298, 217, 15856, 'CodevTT_RAF', '0', '0', 0, 1489142611),
(196299, 217, 15856, 'status', '50', '80', 0, 1489142611),
(196300, 217, 15855, 'CodevTT_RAF', '5', '5', 0, 1489142636),
(196331, 168, 10745, 'CodevTT_RAF', '11', '10', 0, 1489151336),
(196332, 168, 10745, 'CodevTT_RAF', '10', '10', 0, 1489151357),
(196333, 168, 10745, 'CodevTT_RAF', '10', '10', 0, 1489151372),
(196334, 168, 10745, 'CodevTT_RAF', '10', '9', 0, 1489151384),
(196339, 168, 10743, 'CodevTT_RAF', '1', '0.5', 0, 1489151469),
(196547, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1489163845),
(196548, 169, 17633, 'CodevTT_RAF', '', '4', 0, 1489163923),
(196549, 169, 17633, 'CodevTT_RAF', '4', '3', 0, 1489163951),
(196550, 169, 17633, 'status', '10', '50', 0, 1489163951),
(196551, 169, 17634, 'CodevTT_RAF', '', '4', 0, 1489163981),
(196552, 169, 17634, 'status', '10', '50', 0, 1489163981),
(196553, 169, 17634, 'handler_id', '0', '169', 0, 1489163981),
(196554, 169, 17739, 'CodevTT_RAF', '', '4', 0, 1489164025),
(196555, 169, 17739, 'status', '10', '50', 0, 1489164025),
(196587, 199, 17757, '', '', '', 1, 1489388334),
(196588, 199, 17757, 'CodevTT_RAF', '', '0', 0, 1489388365),
(196589, 199, 17757, 'CodevTT_RAF', '0', '0', 0, 1489388365),
(196590, 199, 17757, 'status', '10', '80', 0, 1489388365),
(196591, 199, 17757, 'handler_id', '0', '199', 0, 1489388365),
(196592, 199, 17133, 'CodevTT_RAF', '4', '4', 0, 1489388727),
(196593, 199, 17133, 'CodevTT_RAF', '4', '4', 0, 1489388792),
(196598, 199, 17758, '', '', '', 1, 1489391465),
(196599, 199, 17758, 'handler_id', '0', '246', 0, 1489391501),
(196617, 246, 17370, 'CodevTT_RAF', '0', '0', 0, 1489393292),
(196618, 246, 17370, 'handler_id', '147', '246', 0, 1489393292),
(196659, 2, 17453, 'CodevTT_Dead Line', '', '1498341600', 0, 1489397745),
(196660, 2, 17454, 'CodevTT_Dead Line', '', '1498341600', 0, 1489397745),
(196712, 72, 17759, '', '', '', 1, 1489399754),
(196713, 72, 17759, 'handler_id', '0', '157', 0, 1489399754),
(196714, 72, 17759, 'summary', 'D44366 - INC PROD CMR 054 - CJCNTF00 - INC 409553', '44366 - INC PROD CMR 054 - CJCNTF00 - INC 409553', 0, 1489399776),
(196778, 72, 17762, 'Ref. Externe', '', '44298', 0, 1489413254),
(196779, 72, 17762, 'CodevTT_ChargeInit', '', '2', 0, 1489413254),
(196780, 72, 17762, 'target_version', '', '17.4', 0, 1489413254),
(196781, 72, 17762, 'handler_id', '0', '157', 0, 1489413254),
(196782, 72, 17762, 'codevtt_type', '', 'Task', 0, 1489413254),
(196788, 72, 17764, 'Ref. Externe', '', '44326', 0, 1489413255),
(196789, 72, 17764, 'CodevTT_ChargeInit', '', '2', 0, 1489413255),
(196790, 72, 17764, 'target_version', '', '17.4', 0, 1489413255),
(196791, 72, 17764, 'handler_id', '0', '74', 0, 1489413255),
(196792, 72, 17764, 'codevtt_type', '', 'Task', 0, 1489413255),
(196793, 72, 17765, 'Ref. Externe', '', '44326', 0, 1489413255),
(196794, 72, 17765, 'CodevTT_ChargeInit', '', '2', 0, 1489413255),
(196795, 72, 17765, 'target_version', '', '17.4', 0, 1489413255),
(196796, 72, 17765, 'handler_id', '0', '74', 0, 1489413255),
(196797, 72, 17765, 'codevtt_type', '', 'Task', 0, 1489413255),
(196798, 72, 10742, 'handler_id', '146', '147', 0, 1489413402),
(196799, 72, 10742, 'status', '20', '50', 0, 1489413403),
(196800, 72, 10742, 'CodevTT_Dead Line', '', '', 0, 1489413403),
(196829, 157, 17759, 'CodevTT_RAF', '', '0.5', 0, 1489418743),
(196830, 157, 17759, 'status', '10', '50', 0, 1489418743),
(196831, 157, 17300, 'CodevTT_RAF', '8.5', '1.5', 0, 1489418766),
(196832, 157, 17300, 'CodevTT_RAF', '1.5', '1', 0, 1489418789),
(196872, 72, 17764, '', '15245', '', 2, 1489421838),
(196873, 72, 17764, 'CodevTT_RAF', '', '5', 0, 1489421838),
(196874, 72, 17764, 'status', '10', '50', 0, 1489421838),
(196875, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1489421992),
(196876, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1489422524),
(196877, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1489422535),
(196904, 246, 17758, 'CodevTT_RAF', '', '0', 0, 1489424406),
(196905, 246, 17758, 'CodevTT_RAF', '0', '0', 0, 1489424406),
(196906, 246, 17758, 'status', '10', '80', 0, 1489424406),
(196907, 246, 10744, 'CodevTT_RAF', '0', '0', 0, 1489424473),
(196948, 199, 17758, 'CodevTT_RAF', '0', '0', 0, 1489473448),
(196949, 199, 10742, 'CodevTT_RAF', '', '2', 0, 1489473520),
(196950, 199, 10742, 'CodevTT_RAF', '2', '2', 0, 1489473532),
(197056, 205, 10399, 'CodevTT_RAF', '0', '0', 0, 1489480611),
(197134, 217, 15855, 'CodevTT_RAF', '5', '4', 0, 1489485826),
(197135, 217, 15855, 'CodevTT_RAF', '4', '4', 0, 1489485844),
(197138, 205, 15571, 'CodevTT_RAF', '0', '0', 0, 1489488807),
(197155, 158, 17746, 'CodevTT_RAF', '', '1.5', 0, 1489497036),
(197156, 158, 17746, 'status', '10', '50', 0, 1489497036),
(197193, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1489503216),
(197194, 164, 16912, 'CodevTT_RAF', '0', '0', 0, 1489503252),
(197195, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1489503274),
(197209, 147, 10740, 'CodevTT_RAF', '0', '0', 0, 1489505518),
(197210, 147, 10740, 'CodevTT_RAF', '0', '0', 0, 1489505542),
(197211, 147, 10740, 'CodevTT_RAF', '0', '0', 0, 1489505563),
(197214, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1489505673),
(197215, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1489505735),
(197286, 147, 10742, 'CodevTT_RAF', '2', '5', 0, 1489566147),
(197287, 147, 10742, 'CodevTT_ChargeInit', '2', '6', 0, 1489566322),
(197292, 246, 10744, 'CodevTT_RAF', '0', '0', 0, 1489567055),
(197298, 246, 16516, 'CodevTT_RAF', '', '2', 0, 1489567226),
(197299, 246, 16516, 'status', '10', '50', 0, 1489567226),
(197300, 246, 16516, 'handler_id', '0', '246', 0, 1489567226),
(197314, 199, 15970, 'CodevTT_RAF', '1', '3', 0, 1489569466),
(197365, 2, 1437, '', '15308', '', 2, 1489575255),
(197368, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1489575351),
(197369, 2, 17300, '', '15309', '', 2, 1489575432),
(197370, 2, 17453, 'CodevTT_RAF', '10', '10', 0, 1489575495),
(197378, 158, 17746, 'CodevTT_RAF', '1.5', '0.5', 0, 1489579809),
(197379, 158, 17746, 'CodevTT_RAF', '0.5', '0.5', 0, 1489579980),
(197380, 158, 17746, 'CodevTT_RAF', '0.5', '0.6', 0, 1489580005),
(197381, 158, 17747, 'CodevTT_RAF', '', '1.1', 0, 1489580067),
(197382, 158, 17747, 'status', '10', '50', 0, 1489580067),
(197393, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1489584490),
(197394, 217, 15856, 'CodevTT_RAF', '0', '0', 0, 1489584508),
(197395, 217, 15855, 'CodevTT_RAF', '4', '4', 0, 1489584522),
(197416, 217, 15855, 'CodevTT_RAF', '4', '4', 0, 1489587776),
(197527, 72, 10397, 'CodevTT_RAF', '5', '0', 0, 1489593576),
(197528, 72, 10397, 'status', '50', '80', 0, 1489593576),
(197529, 72, 10397, 'CodevTT_RAF', '0', '0', 0, 1489593576),
(197575, 2, 12688, '', '15375', '', 2, 1489594344),
(197584, 2, 17453, 'CodevTT_RAF', '10', '10', 0, 1489595367),
(197585, 2, 1437, '', '15380', '', 2, 1489595428),
(197852, 72, 17791, '', '', '', 1, 1489656609),
(197853, 72, 17791, 'handler_id', '0', '169', 0, 1489656609),
(197854, 72, 17791, '', '', '10399', 21, 1489656609),
(197855, 72, 10399, '', '', '17791', 20, 1489656609),
(197883, 169, 10399, '', '15479', '', 2, 1489656917),
(197884, 169, 10399, 'CodevTT_RAF', '0', '0.5', 0, 1489656917),
(197891, 169, 10399, '', '15481', '', 2, 1489656955),
(197892, 169, 10399, 'CodevTT_RAF', '0.5', '0', 0, 1489656955),
(198214, 169, 17791, 'CodevTT_RAF', '', '0.5', 0, 1489670922),
(198215, 169, 17791, 'status', '10', '50', 0, 1489670922),
(198216, 169, 17791, 'CodevTT_RAF', '0.5', '0', 0, 1489670940),
(198217, 169, 17791, 'CodevTT_RAF', '0', '0', 0, 1489670940),
(198218, 169, 17791, 'status', '50', '80', 0, 1489670940),
(198219, 169, 10399, '', '15479', '', 4, 1489670950),
(198224, 169, 10399, '', '15481', '', 4, 1489670985),
(198274, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1489672869),
(198275, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1489672935),
(198276, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1489672971),
(198277, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1489672988),
(198278, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1489673047),
(198279, 147, 10742, 'CodevTT_RAF', '5', '4', 0, 1489673083),
(198280, 158, 17746, 'CodevTT_RAF', '0.6', '0.1', 0, 1489673145),
(198507, 158, 17746, 'CodevTT_RAF', '0.1', '0.6', 0, 1489675499),
(198514, 158, 17746, 'CodevTT_RAF', '0.6', '0.3', 0, 1489675562),
(198665, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1489739389),
(198666, 147, 10742, 'CodevTT_RAF', '4', '4', 0, 1489739434),
(198669, 157, 17300, 'CodevTT_RAF', '1', '1', 0, 1489740392),
(198670, 157, 17300, 'CodevTT_RAF', '1', '0.5', 0, 1489740405),
(198671, 157, 17300, 'CodevTT_RAF', '0.5', '0', 0, 1489740426),
(198672, 157, 17300, 'CodevTT_RAF', '0', '0', 0, 1489740426),
(198673, 157, 17300, 'status', '50', '80', 0, 1489740426),
(198674, 157, 17762, 'CodevTT_RAF', '', '1.5', 0, 1489740533),
(198675, 157, 17762, 'status', '10', '50', 0, 1489740533),
(198676, 157, 17826, '', '', '', 1, 1489740723),
(198677, 157, 17826, 'handler_id', '0', '157', 0, 1489740723),
(198678, 157, 17826, '', '', '17759', 21, 1489740723),
(198679, 157, 17759, '', '', '17826', 20, 1489740723),
(198680, 157, 17826, 'severity', '60', '50', 0, 1489740757),
(198681, 157, 17827, '', '', '', 1, 1489740811),
(198682, 157, 17827, 'handler_id', '0', '157', 0, 1489740811),
(198683, 157, 17827, '', '', '17826', 21, 1489740811),
(198684, 157, 17826, '', '', '17827', 20, 1489740811),
(198685, 157, 17762, 'CodevTT_RAF', '1.5', '1.5', 0, 1489740901),
(198686, 157, 17827, 'CodevTT_RAF', '', '0', 0, 1489741020),
(198687, 157, 17827, 'CodevTT_RAF', '0', '0', 0, 1489741020),
(198688, 157, 17827, 'status', '10', '80', 0, 1489741020),
(198689, 157, 17826, 'CodevTT_RAF', '', '1', 0, 1489741080),
(198690, 157, 17826, 'status', '10', '50', 0, 1489741080),
(198691, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1489743363),
(198692, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1489743408),
(198693, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1489743427),
(198694, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1489743435),
(198805, 217, 15855, 'CodevTT_RAF', '4', '5', 0, 1489755357),
(198806, 217, 15855, 'CodevTT_RAF', '5', '5', 0, 1489755369),
(198852, 147, 12688, 'CodevTT_RAF', '0', '2', 0, 1489759061),
(198853, 147, 12688, 'status', '80', '50', 0, 1489759061),
(198961, 199, 17133, 'CodevTT_RAF', '4', '2', 0, 1489765345),
(198962, 199, 17133, 'CodevTT_RAF', '2', '2', 0, 1489765361),
(198963, 199, 12304, 'CodevTT_RAF', '3', '0', 0, 1489765415),
(198964, 199, 12304, 'CodevTT_RAF', '0', '0', 0, 1489765415),
(198965, 199, 12304, 'status', '50', '80', 0, 1489765415),
(199092, 158, 17747, 'CodevTT_RAF', '2', '5', 0, 1489775409),
(199093, 199, 17845, '', '', '', 1, 1489992143),
(199094, 199, 17845, 'handler_id', '0', '246', 0, 1489992143),
(199095, 199, 17845, '', '', '17758', 21, 1489992143),
(199096, 199, 17758, '', '', '17845', 20, 1489992143),
(199097, 199, 17846, '', '', '', 1, 1489992172),
(199098, 199, 17846, 'handler_id', '0', '246', 0, 1489992172),
(199099, 199, 17846, '', '', '17845', 21, 1489992172),
(199100, 199, 17845, '', '', '17846', 20, 1489992172),
(199101, 199, 17847, '', '', '', 1, 1489992221),
(199102, 199, 17847, 'handler_id', '0', '246', 0, 1489992221),
(199103, 199, 17847, '', '', '17758', 21, 1489992221),
(199104, 199, 17758, '', '', '17847', 20, 1489992221),
(199105, 199, 17847, 'CodevTT_RAF', '', '0', 0, 1489992258),
(199106, 199, 17847, 'CodevTT_RAF', '0', '0', 0, 1489992258),
(199107, 199, 17847, 'status', '10', '80', 0, 1489992258),
(199108, 199, 17847, 'handler_id', '246', '199', 0, 1489992258),
(199109, 199, 17846, 'CodevTT_RAF', '', '0', 0, 1489992278),
(199110, 199, 17846, 'CodevTT_RAF', '0', '0', 0, 1489992278),
(199111, 199, 17846, 'status', '10', '80', 0, 1489992278),
(199112, 199, 17846, 'handler_id', '246', '199', 0, 1489992278),
(199113, 199, 17845, 'CodevTT_RAF', '', '0', 0, 1489992314),
(199114, 199, 17845, 'CodevTT_RAF', '0', '0', 0, 1489992314),
(199115, 199, 17845, 'status', '10', '80', 0, 1489992314),
(199116, 199, 17845, 'handler_id', '246', '199', 0, 1489992314),
(199117, 199, 17133, 'CodevTT_RAF', '2', '2', 0, 1489992332),
(199135, 246, 17847, 'CodevTT_RAF', '0', '0', 0, 1489996648),
(199136, 246, 17847, 'handler_id', '199', '246', 0, 1489996648),
(199155, 199, 17848, '', '', '', 1, 1489997560),
(199156, 199, 17848, 'handler_id', '0', '246', 0, 1489997560),
(199157, 199, 17848, '', '', '17845', 21, 1489997560),
(199158, 199, 17845, '', '', '17848', 20, 1489997560),
(199159, 199, 17849, '', '', '', 1, 1489997586),
(199160, 199, 17849, 'handler_id', '0', '246', 0, 1489997586),
(199161, 199, 17849, '', '', '17848', 21, 1489997586),
(199162, 199, 17848, '', '', '17849', 20, 1489997586),
(199163, 199, 17850, '', '', '', 1, 1489997614),
(199164, 199, 17850, 'handler_id', '0', '246', 0, 1489997614),
(199165, 199, 17850, '', '', '17849', 21, 1489997614),
(199166, 199, 17849, '', '', '17850', 20, 1489997614),
(199176, 72, 17855, '', '', '', 1, 1489997973),
(199177, 72, 17855, 'handler_id', '0', '199', 0, 1489997973),
(199178, 72, 17855, '', '', '17850', 21, 1489997973),
(199179, 72, 17850, '', '', '17855', 20, 1489997973),
(199225, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1490002178),
(199226, 72, 17856, 'Ref. Externe', '', '44392', 0, 1490002610),
(199227, 72, 17856, 'CodevTT_ChargeInit', '', '1', 0, 1490002610),
(199228, 72, 17856, 'handler_id', '0', '158', 0, 1490002610),
(199229, 72, 17856, 'codevtt_type', '', 'Task', 0, 1490002610),
(199230, 72, 17857, 'Ref. Externe', '', '44392', 0, 1490002610),
(199231, 72, 17857, 'CodevTT_ChargeInit', '', '2', 0, 1490002610);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(199232, 72, 17857, 'handler_id', '0', '158', 0, 1490002610),
(199233, 72, 17857, 'codevtt_type', '', 'Task', 0, 1490002610),
(199243, 2, 17858, '', '', '', 1, 1490004582),
(199244, 2, 17858, 'handler_id', '0', '2', 0, 1490004582),
(199247, 2, 1437, '', '14107', '', 4, 1490004698),
(199248, 2, 15281, '', '15760', '', 2, 1490004868),
(199249, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1490004868),
(199396, 217, 16723, 'CodevTT_RAF', '5', '3', 0, 1490018305),
(199584, 72, 17764, '', '15806', '', 2, 1490026806),
(199585, 72, 17764, 'CodevTT_RAF', '5', '3.5', 0, 1490026806),
(199670, 199, 17856, 'CodevTT_RAF', '', '0.1', 0, 1490078916),
(199671, 199, 17856, 'status', '10', '20', 0, 1490078916),
(199672, 199, 17856, 'handler_id', '158', '199', 0, 1490078916),
(199673, 199, 17855, 'CodevTT_RAF', '', '0', 0, 1490078956),
(199674, 199, 17855, 'CodevTT_RAF', '0', '0', 0, 1490078956),
(199675, 199, 17855, 'status', '10', '80', 0, 1490078956),
(199779, 246, 17849, 'CodevTT_RAF', '', '2', 0, 1490091550),
(199780, 246, 17849, 'status', '10', '50', 0, 1490091550),
(200088, 157, 17762, 'CodevTT_RAF', '1.5', '2.5', 0, 1490108938),
(200089, 157, 17762, 'CodevTT_RAF', '2.5', '2', 0, 1490108952),
(200090, 157, 17826, 'CodevTT_RAF', '1', '0.5', 0, 1490108978),
(200091, 157, 17299, 'CodevTT_RAF', '0.5', '0', 0, 1490109209),
(200092, 157, 17299, 'status', '50', '80', 0, 1490109209),
(200093, 157, 17299, 'CodevTT_RAF', '0', '0', 0, 1490109209),
(200094, 157, 17299, 'CodevTT_Dead Line', '', '', 0, 1490109209),
(200095, 157, 17734, 'CodevTT_RAF', '0.5', '0', 0, 1490109304),
(200096, 157, 17734, 'status', '50', '80', 0, 1490109304),
(200097, 157, 17734, 'CodevTT_RAF', '0', '0', 0, 1490109304),
(200098, 157, 17451, 'CodevTT_RAF', '1', '0', 0, 1490109350),
(200099, 157, 17451, 'status', '50', '80', 0, 1490109350),
(200100, 157, 17451, 'CodevTT_RAF', '0', '0', 0, 1490109350),
(200104, 157, 17759, 'CodevTT_RAF', '0.5', '0', 0, 1490109473),
(200105, 157, 17759, 'status', '50', '80', 0, 1490109473),
(200106, 157, 17759, 'CodevTT_RAF', '0', '0', 0, 1490109473),
(200144, 72, 17764, '', '15891', '', 2, 1490111924),
(200145, 72, 17764, 'CodevTT_RAF', '3.5', '3', 0, 1490111924),
(200148, 72, 17764, 'CodevTT_ChargeInit', '2', '6', 0, 1490112037),
(200286, 199, 17917, '', '', '', 1, 1490165895),
(200287, 199, 17917, 'CodevTT_RAF', '', '0', 0, 1490165934),
(200288, 199, 17917, 'CodevTT_RAF', '0', '0', 0, 1490165934),
(200289, 199, 17917, 'status', '10', '80', 0, 1490165934),
(200290, 199, 17917, 'handler_id', '0', '199', 0, 1490165934),
(200291, 147, 12688, 'CodevTT_RAF', '2', '1', 0, 1490166765),
(200292, 147, 12688, 'CodevTT_RAF', '1', '1', 0, 1490166810),
(200293, 147, 12688, 'CodevTT_RAF', '1', '0', 0, 1490166839),
(200294, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1490166839),
(200295, 147, 12688, 'status', '50', '80', 0, 1490166839),
(200296, 147, 10742, 'CodevTT_RAF', '4', '3', 0, 1490166910),
(200323, 72, 17847, 'CodevTT_RAF', '0', '0', 0, 1490170671),
(200326, 74, 14014, 'CodevTT_RAF', '15', '14', 0, 1490170753),
(200329, 74, 14014, 'CodevTT_RAF', '14', '13.5', 0, 1490170770),
(200330, 205, 17063, 'CodevTT_RAF', '17.25', '15', 0, 1490170796),
(200331, 205, 17063, 'CodevTT_RAF', '15', '15', 0, 1490170839),
(200332, 205, 17063, 'CodevTT_RAF', '15', '15', 0, 1490170871),
(200354, 168, 10745, 'CodevTT_RAF', '5', '4', 0, 1490172873),
(200355, 168, 10745, 'CodevTT_RAF', '4', '3.5', 0, 1490172903),
(200357, 168, 10745, 'CodevTT_RAF', '3.5', '3', 0, 1490172922),
(200426, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1490176128),
(200427, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1490176163),
(200443, 217, 14013, 'CodevTT_RAF', '25', '25', 0, 1490176988),
(200446, 217, 14013, 'CodevTT_RAF', '25', '25', 0, 1490177097),
(200447, 217, 14013, 'CodevTT_RAF', '25', '25', 0, 1490177097),
(200448, 217, 14013, 'CodevTT_RAF', '25', '25', 0, 1490177098),
(200449, 217, 16723, 'CodevTT_RAF', '3', '0', 0, 1490177206),
(200450, 217, 16723, 'CodevTT_RAF', '0', '0', 0, 1490177206),
(200451, 217, 16723, 'status', '50', '80', 0, 1490177206),
(200452, 217, 16723, 'CodevTT_RAF', '0', '3', 0, 1490177233),
(200453, 217, 16723, 'status', '80', '50', 0, 1490177233),
(200454, 72, 17764, 'handler_id', '74', '72', 0, 1490177355),
(200455, 72, 17764, 'CodevTT_Dead Line', '', '', 0, 1490177355),
(200456, 217, 16922, 'CodevTT_RAF', '5', '0', 0, 1490177391),
(200457, 217, 16922, 'CodevTT_RAF', '0', '0', 0, 1490177391),
(200458, 217, 16922, 'status', '50', '80', 0, 1490177391),
(200459, 205, 17063, 'CodevTT_RAF', '15', '15', 0, 1490178978),
(200460, 205, 10392, 'CodevTT_RAF', '0', '0', 0, 1490179207),
(200461, 205, 10396, 'CodevTT_RAF', '0', '0', 0, 1490179227),
(200462, 205, 14013, 'CodevTT_RAF', '25', '24.5', 0, 1490179317),
(200463, 205, 10396, 'CodevTT_RAF', '0', '0', 0, 1490179375),
(200464, 205, 10399, 'CodevTT_RAF', '0', '0', 0, 1490179394),
(200465, 205, 17063, 'CodevTT_RAF', '15', '15', 0, 1490179408),
(200488, 246, 17849, 'CodevTT_RAF', '2', '2', 0, 1490187655),
(200489, 246, 17849, 'CodevTT_RAF', '2', '1', 0, 1490187680),
(200490, 246, 17849, 'CodevTT_RAF', '1', '0', 0, 1490187696),
(200491, 246, 17849, 'CodevTT_RAF', '0', '0', 0, 1490187696),
(200492, 246, 17849, 'status', '50', '80', 0, 1490187696),
(200570, 199, 14014, 'CodevTT_RAF', '13.5', '13.5', 0, 1490196452),
(200627, 2, 3965, '', '15977', '', 2, 1490201551),
(200628, 2, 3965, '', '15978', '', 2, 1490201562),
(200629, 169, 17633, '', '15979', '', 2, 1490201708),
(200630, 169, 17633, 'CodevTT_RAF', '3', '0', 0, 1490201708),
(200631, 169, 17633, 'CodevTT_RAF', '0', '0', 0, 1490201708),
(200632, 169, 17633, 'status', '50', '80', 0, 1490201708),
(200633, 169, 17634, 'CodevTT_RAF', '4', '1', 0, 1490201769),
(200636, 169, 17634, '', '15981', '', 2, 1490201894),
(200637, 169, 17634, 'CodevTT_RAF', '1', '0', 0, 1490201894),
(200638, 169, 17634, 'CodevTT_RAF', '0', '0', 0, 1490201894),
(200639, 169, 17634, 'status', '50', '80', 0, 1490201894),
(200640, 169, 17739, 'CodevTT_RAF', '1.5', '0', 0, 1490201954),
(200641, 169, 17739, 'CodevTT_RAF', '0', '0', 0, 1490201954),
(200642, 169, 17739, 'status', '50', '80', 0, 1490201954),
(200643, 169, 17740, 'CodevTT_RAF', '1.5', '0', 0, 1490201982),
(200644, 169, 17740, 'CodevTT_RAF', '0', '0', 0, 1490201982),
(200645, 169, 17740, 'status', '50', '80', 0, 1490201982),
(200652, 246, 17850, 'CodevTT_RAF', '', '0', 0, 1490202700),
(200653, 246, 17850, 'CodevTT_RAF', '0', '0', 0, 1490202700),
(200654, 246, 17850, 'status', '10', '80', 0, 1490202700),
(200674, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1490251784),
(200755, 72, 17741, 'handler_id', '0', '169', 0, 1490258291),
(200756, 72, 17741, 'CodevTT_Dead Line', '', '', 0, 1490258291),
(200757, 72, 17742, 'handler_id', '0', '169', 0, 1490258347),
(200758, 72, 17742, 'CodevTT_Dead Line', '', '', 0, 1490258347),
(200830, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1490261277),
(200836, 157, 17921, '', '', '', 1, 1490261869),
(200837, 157, 17921, 'handler_id', '0', '157', 0, 1490261869),
(200838, 157, 17921, '', '', '17826', 21, 1490261869),
(200839, 157, 17826, '', '', '17921', 20, 1490261869),
(200840, 157, 17921, 'CodevTT_RAF', '', '0', 0, 1490261919),
(200841, 157, 17921, 'CodevTT_RAF', '0', '0', 0, 1490261919),
(200842, 157, 17921, 'status', '10', '80', 0, 1490261919),
(200843, 157, 17826, 'CodevTT_RAF', '0.5', '0', 0, 1490261975),
(200844, 157, 17826, 'CodevTT_RAF', '0', '0', 0, 1490261975),
(200845, 157, 17826, 'status', '50', '80', 0, 1490261975),
(200853, 72, 17447, 'RSI_Type_Ano', '', 'Recette', 0, 1490262239),
(200854, 72, 17448, 'RSI_Type_Ano', '', 'Recette', 0, 1490262302),
(200863, 72, 17644, 'RSI_Type_Ano', '', 'Recette', 0, 1490262356),
(200866, 72, 17645, 'RSI_Type_Ano', '', 'Recette', 0, 1490262404),
(200882, 217, 15855, 'CodevTT_RAF', '5', '5', 0, 1490262700),
(200895, 72, 17923, '', '', '', 1, 1490262858),
(200896, 72, 17923, 'handler_id', '0', '2', 0, 1490262858),
(200908, 72, 17571, 'CodevTT_RAF', '1.5', '0', 0, 1490263112),
(200909, 72, 17571, 'status', '50', '80', 0, 1490263112),
(200910, 72, 17571, 'CodevTT_RAF', '0', '0', 0, 1490263112),
(200911, 72, 17574, 'status', '10', '20', 0, 1490263219),
(200912, 72, 17574, 'CodevTT_RAF', '', '0', 0, 1490263247),
(200913, 72, 17574, 'status', '20', '80', 0, 1490263247),
(200914, 72, 17574, 'CodevTT_RAF', '0', '0', 0, 1490263247),
(200915, 72, 17574, 'CodevTT_ChargeMgr', '', '0', 0, 1490263263),
(200916, 72, 17574, 'CodevTT_ChargeInit', '2', '0', 0, 1490263263),
(200924, 72, 16852, 'CodevTT_ChargeMgr', '', '0', 0, 1490264031),
(200925, 72, 16852, 'CodevTT_ChargeInit', '2', '0', 0, 1490264031),
(200926, 72, 16852, 'CodevTT_RAF', '', '0', 0, 1490264043),
(200927, 72, 16852, 'status', '10', '80', 0, 1490264043),
(200928, 72, 16852, 'CodevTT_RAF', '0', '0', 0, 1490264043),
(201058, 169, 17741, 'CodevTT_RAF', '', '2', 0, 1490280494),
(201059, 169, 17741, 'status', '10', '50', 0, 1490280494),
(201144, 205, 17063, 'CodevTT_RAF', '15', '14.75', 0, 1490285874),
(201308, 273, 2, '', '16154', '', 2, 1490345122),
(201309, 74, 14014, 'CodevTT_RAF', '13.5', '12.5', 0, 1490345319),
(201310, 74, 14014, 'CodevTT_RAF', '12.5', '11.5', 0, 1490345328),
(201311, 74, 14014, 'CodevTT_RAF', '11.5', '10.5', 0, 1490345343),
(201318, 158, 17747, 'CodevTT_RAF', '5', '4', 0, 1490346158),
(201319, 158, 17747, 'CodevTT_RAF', '4', '3', 0, 1490346180),
(201320, 158, 17747, 'CodevTT_RAF', '3', '2', 0, 1490346198),
(201346, 157, 17762, 'CodevTT_RAF', '2', '1', 0, 1490349484),
(201347, 2, 17858, '', '16163', '', 2, 1490349863),
(201348, 2, 17923, 'CodevTT_RAF', '', '0', 0, 1490349913),
(201349, 2, 17923, 'CodevTT_RAF', '0', '0', 0, 1490349913),
(201350, 2, 17923, 'status', '10', '80', 0, 1490349913),
(201354, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1490350402),
(201355, 164, 17251, '', '16164', '', 2, 1490350434),
(201356, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1490350434),
(201357, 164, 17251, '', '16165', '', 2, 1490350467),
(201358, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1490350467),
(201360, 168, 10745, 'CodevTT_RAF', '3', '2', 0, 1490350549),
(201361, 168, 10745, 'CodevTT_RAF', '2', '2', 0, 1490350574),
(201363, 168, 10745, 'CodevTT_RAF', '2', '1', 0, 1490350590),
(201474, 217, 15855, 'CodevTT_RAF', '5', '5', 0, 1490352940),
(201475, 217, 15855, 'CodevTT_RAF', '5', '4', 0, 1490352949),
(201519, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1490362147),
(201520, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1490362219),
(201521, 147, 12688, 'CodevTT_RAF', '0', '0', 0, 1490362240),
(201525, 158, 17747, 'CodevTT_RAF', '2', '1.5', 0, 1490362968),
(201526, 158, 17747, 'CodevTT_RAF', '1.5', '1.5', 0, 1490362988),
(219800, 72, 18756, '', '', '18755', 21, 1493880724),
(219801, 72, 18755, '', '', '18756', 20, 1493880724),
(201576, 348, 2, '', '16187', '', 2, 1490365652),
(219797, 72, 18755, 'handler_id', '0', '157', 0, 1493880660),
(219798, 72, 18756, '', '', '', 1, 1493880724),
(219799, 72, 18756, 'handler_id', '0', '157', 0, 1493880724),
(219796, 72, 18755, '', '', '', 1, 1493880660),
(201717, 158, 17747, 'CodevTT_RAF', '1.5', '1.5', 0, 1490369522),
(201795, 169, 17741, 'CodevTT_RAF', '2', '1', 0, 1490373085),
(201935, 199, 17133, 'CodevTT_RAF', '2', '2', 0, 1490594022),
(201936, 199, 17633, 'CodevTT_RAF', '0', '0', 0, 1490594081),
(201937, 199, 17133, 'CodevTT_RAF', '2', '2', 0, 1490594107),
(201938, 199, 17133, 'CodevTT_RAF', '2', '2', 0, 1490594127),
(201940, 74, 14014, 'CodevTT_RAF', '10.5', '10', 0, 1490595432),
(201943, 72, 17850, 'CodevTT_ChargeMgr', '', '3', 0, 1490597908),
(201944, 72, 17855, 'CodevTT_ChargeMgr', '', '3', 0, 1490597924),
(201945, 72, 17850, 'CodevTT_ChargeMgr', '3', '6', 0, 1490597928),
(201974, 246, 17847, '', '16260', '', 2, 1490600726),
(201975, 246, 17848, 'CodevTT_RAF', '', '0', 0, 1490600756),
(201976, 246, 17848, 'CodevTT_RAF', '0', '0', 0, 1490600756),
(201977, 246, 17848, 'status', '10', '80', 0, 1490600756),
(202003, 158, 17747, 'CodevTT_RAF', '1.5', '1', 0, 1490602114),
(202004, 158, 17747, 'CodevTT_RAF', '1', '1', 0, 1490602134),
(202086, 217, 15855, 'CodevTT_RAF', '4', '3', 0, 1490604979),
(202123, 158, 17857, 'CodevTT_RAF', '', '2', 0, 1490607040),
(202124, 158, 17857, 'status', '10', '50', 0, 1490607040),
(202133, 158, 17857, 'CodevTT_RAF', '2', '1.7', 0, 1490607099),
(202134, 158, 17857, 'CodevTT_RAF', '1.7', '1.6', 0, 1490607118),
(202228, 72, 17967, 'Ref. Externe', '', '44322', 0, 1490611157),
(202229, 72, 17967, 'CodevTT_ChargeInit', '', '2', 0, 1490611157),
(202230, 72, 17967, 'target_version', '', '17.2.50', 0, 1490611157),
(202231, 72, 17967, 'codevtt_type', '', 'Task', 0, 1490611157),
(202232, 72, 17968, 'Ref. Externe', '', '44322', 0, 1490611157),
(202233, 72, 17968, 'CodevTT_ChargeInit', '', '2', 0, 1490611157),
(202234, 72, 17968, 'target_version', '', '17.2.50', 0, 1490611157),
(202235, 72, 17968, 'codevtt_type', '', 'Task', 0, 1490611157),
(202395, 157, 17762, 'CodevTT_RAF', '1', '1', 0, 1490624531),
(202398, 157, 17762, 'CodevTT_RAF', '1', '1', 0, 1490624599),
(202471, 72, 17368, 'CodevTT_ChargeMgr', '', '7', 0, 1490628300),
(202472, 72, 17369, 'CodevTT_ChargeMgr', '', '6', 0, 1490628317),
(202473, 72, 14721, '', '3748', '', 6, 1490628405),
(202474, 72, 14721, 'CodevTT_ChargeMgr', '16.9', '19.9', 0, 1490628405),
(202475, 72, 17765, '', '16363', '', 2, 1490628631),
(202476, 72, 17765, 'CodevTT_RAF', '', '25', 0, 1490628631),
(202477, 72, 17765, 'status', '10', '50', 0, 1490628631),
(202497, 72, 17301, 'CodevTT_RAF', '0.5', '0', 0, 1490686545),
(202498, 72, 17301, 'status', '50', '80', 0, 1490686545),
(202499, 72, 17301, 'CodevTT_RAF', '0', '0', 0, 1490686545),
(202500, 72, 17301, 'CodevTT_Dead Line', '', '', 0, 1490686545),
(202501, 72, 16676, 'CodevTT_RAF', '0.1', '0', 0, 1490686725),
(202502, 72, 16676, 'status', '50', '80', 0, 1490686725),
(202503, 72, 16676, 'CodevTT_RAF', '0', '0', 0, 1490686725),
(202504, 72, 13784, 'CodevTT_RAF', '', '0', 0, 1490686815),
(202505, 72, 13784, 'status', '10', '80', 0, 1490686815),
(202506, 72, 13784, 'CodevTT_RAF', '0', '0', 0, 1490686815),
(202507, 72, 13784, 'CodevTT_Dead Line', '', '', 0, 1490686815),
(202508, 72, 14712, 'CodevTT_RAF', '2', '0', 0, 1490686960),
(202509, 72, 14712, 'status', '50', '80', 0, 1490686960),
(202510, 72, 14712, 'CodevTT_RAF', '0', '0', 0, 1490686960),
(202544, 72, 14712, 'CodevTT_ChargeMgr', '', '10', 0, 1490687303),
(202671, 246, 13589, 'CodevTT_RAF', '0', '0', 0, 1490691279),
(202672, 246, 16516, 'CodevTT_RAF', '2', '2', 0, 1490691314),
(202725, 147, 17730, 'CodevTT_RAF', '', '2', 0, 1490695143),
(202726, 147, 17730, 'status', '10', '50', 0, 1490695143),
(202727, 147, 17730, 'handler_id', '0', '147', 0, 1490695143),
(202728, 147, 17730, 'CodevTT_RAF', '2', '2', 0, 1490695183),
(202788, 133, 1, '', '16396', '', 2, 1490702329),
(202934, 217, 15855, 'CodevTT_RAF', '3', '4', 0, 1490709542),
(203024, 205, 17063, 'CodevTT_RAF', '14.75', '14.5', 0, 1490714367),
(203025, 205, 17063, 'CodevTT_RAF', '14.5', '14', 0, 1490714396),
(203041, 246, 16516, 'CodevTT_RAF', '2', '2', 0, 1490717597),
(203042, 246, 16516, 'CodevTT_RAF', '2', '0', 0, 1490717644),
(203043, 246, 16516, 'CodevTT_RAF', '0', '0', 0, 1490717644),
(203044, 246, 16516, 'status', '50', '80', 0, 1490717644),
(203083, 74, 14014, 'CodevTT_RAF', '10', '10', 0, 1490768836),
(203084, 74, 14014, 'CodevTT_RAF', '10', '9', 0, 1490768851),
(203087, 168, 17637, 'CodevTT_RAF', '', '14', 0, 1490772537),
(203090, 168, 17637, 'CodevTT_RAF', '14', '14', 0, 1490772630),
(203119, 217, 17983, '', '', '', 1, 1490775735),
(203120, 217, 17983, 'handler_id', '0', '217', 0, 1490775735),
(203121, 217, 17983, '', '', '16922', 21, 1490775735),
(203122, 217, 16922, '', '', '17983', 20, 1490775735),
(203123, 217, 17983, 'CodevTT_RAF', '', '0', 0, 1490775766),
(203124, 217, 17983, 'CodevTT_RAF', '0', '0', 0, 1490775766),
(203125, 217, 17983, 'status', '10', '80', 0, 1490775766),
(203126, 217, 17984, '', '', '', 1, 1490775798),
(203127, 217, 17984, 'handler_id', '0', '217', 0, 1490775798),
(203128, 217, 17984, '', '', '17983', 21, 1490775798),
(203129, 217, 17983, '', '', '17984', 20, 1490775798),
(203130, 217, 17984, 'CodevTT_RAF', '', '5', 0, 1490775832),
(203131, 217, 17984, 'status', '10', '50', 0, 1490775832),
(203132, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1490775871),
(203133, 217, 17258, 'CodevTT_RAF', '', '5', 0, 1490775909),
(203134, 217, 17258, 'status', '10', '50', 0, 1490775909),
(203146, 72, 17765, '', '16453', '', 2, 1490778789),
(203147, 72, 17765, 'CodevTT_RAF', '25', '24', 0, 1490778789),
(203177, 246, 16562, 'handler_id', '199', '246', 0, 1490782138),
(203187, 72, 17765, 'summary', '44326 [DEV] [PUMA - TAIGA] - Tracabilité des controles de résidence dans TAIGA', '44326 [DEV] [PUMA - TAIGA] - NSDK- Tracabilité des controles de résidence dans TAIGA', 0, 1490784339),
(203191, 72, 17765, '', '', '17986', 20, 1490784425),
(203193, 72, 17987, 'Ref. Externe', '', '44427', 0, 1490785738),
(203194, 72, 17987, 'CodevTT_ChargeInit', '', '0.5', 0, 1490785738),
(203195, 72, 17987, 'handler_id', '0', '157', 0, 1490785738),
(203196, 72, 17987, 'codevtt_type', '', 'Bug', 0, 1490785738),
(203197, 72, 17988, 'Ref. Externe', '', '44428', 0, 1490785738),
(203198, 72, 17988, 'CodevTT_ChargeInit', '', '0.5', 0, 1490785738),
(203199, 72, 17988, 'handler_id', '0', '157', 0, 1490785738),
(203200, 72, 17988, 'codevtt_type', '', 'Bug', 0, 1490785738),
(203201, 72, 17987, 'RSI_Type_Ano', '', 'Recette', 0, 1490785765),
(203202, 72, 17988, 'RSI_Type_Ano', '', 'Recette', 0, 1490785787),
(203745, 83, 2865, '', '16619', '', 2, 1490863071),
(203949, 217, 17984, 'Ref. Externe', '4868', '4862', 0, 1490874673),
(203950, 217, 17984, 'CodevTT_RAF', '5', '5', 0, 1490874704),
(204032, 217, 17258, 'CodevTT_RAF', '5', '5', 0, 1490879860),
(204131, 72, 17765, 'CodevTT_RAF', '24', '22', 0, 1490882882),
(204199, 147, 17730, 'CodevTT_RAF', '2', '1', 0, 1490885059),
(204200, 147, 17730, 'CodevTT_RAF', '1', '0.5', 0, 1490885077),
(204201, 147, 12688, 'CodevTT_RAF', '0', '3', 0, 1490885130),
(204202, 147, 12688, 'status', '80', '50', 0, 1490885130),
(204203, 205, 17063, 'CodevTT_RAF', '14', '13', 0, 1490886569),
(204204, 205, 17063, 'CodevTT_RAF', '13', '12.75', 0, 1490886609),
(204207, 72, 17856, 'CodevTT_ChargeMgr', '', '2', 0, 1490887248),
(204208, 72, 17857, 'CodevTT_ChargeMgr', '', '6', 0, 1490887275),
(204209, 2, 17858, '', '16761', '', 2, 1490887393),
(204212, 2, 16139, 'CodevTT_RAF', '0', '0', 0, 1490887431),
(204224, 199, 17133, 'CodevTT_RAF', '2', '4', 0, 1490939407),
(204225, 199, 17133, 'CodevTT_RAF', '4', '4', 0, 1490939421),
(204226, 199, 17133, 'CodevTT_RAF', '4', '4', 0, 1490939439),
(204227, 199, 17758, 'CodevTT_RAF', '0', '0', 0, 1490939470),
(204228, 199, 13774, 'CodevTT_RAF', '3', '5', 0, 1490939618),
(204229, 199, 16140, 'CodevTT_RAF', '0', '3', 0, 1490939656),
(204230, 199, 16140, 'handler_id', '146', '199', 0, 1490939695),
(204231, 199, 16140, 'status', '80', '50', 0, 1490939695),
(204238, 169, 17741, 'CodevTT_RAF', '1', '1', 0, 1490945731),
(204243, 169, 10749, 'CodevTT_RAF', '30', '29', 0, 1490945886),
(204244, 169, 10749, 'status', '20', '50', 0, 1490945886),
(204248, 169, 10749, 'CodevTT_RAF', '29', '29', 0, 1490945920),
(204249, 169, 10749, 'CodevTT_RAF', '29', '28', 0, 1490945929),
(204250, 169, 10749, 'CodevTT_RAF', '28', '27', 0, 1490945942),
(204252, 169, 10749, 'CodevTT_RAF', '27', '26', 0, 1490945956),
(204265, 158, 17857, 'CodevTT_RAF', '1.6', '2', 0, 1490948365),
(204266, 158, 17857, 'CodevTT_RAF', '2', '2', 0, 1490948376),
(204267, 158, 17857, 'CodevTT_RAF', '2', '2', 0, 1490948388),
(204296, 74, 14014, 'CodevTT_RAF', '9', '8.5', 0, 1490951057),
(204297, 74, 14014, 'CodevTT_RAF', '8.5', '8', 0, 1490951080),
(204299, 74, 14014, 'CodevTT_RAF', '8', '7', 0, 1490951091),
(204311, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1490951245),
(204315, 157, 17988, 'CodevTT_RAF', '', '1', 0, 1490951272),
(204316, 157, 17988, 'status', '10', '50', 0, 1490951272),
(204317, 157, 17988, 'CodevTT_RAF', '1', '0', 0, 1490951287),
(204318, 157, 17988, 'CodevTT_RAF', '0', '0', 0, 1490951287),
(204319, 157, 17988, 'status', '50', '80', 0, 1490951287),
(204323, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1490951343),
(204324, 157, 17762, 'CodevTT_RAF', '1', '0', 0, 1490951349),
(204325, 157, 17762, 'CodevTT_RAF', '0', '0', 0, 1490951349),
(204326, 157, 17762, 'status', '50', '80', 0, 1490951349),
(204328, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1490951356),
(204344, 72, 18008, '', '', '', 1, 1490951753),
(204345, 72, 18008, 'handler_id', '0', '199', 0, 1490951753),
(204357, 147, 12688, 'CodevTT_RAF', '3', '2', 0, 1490953134),
(204426, 217, 17984, 'CodevTT_RAF', '5', '5', 0, 1490960068),
(204462, 371, 2, '', '16813', '', 2, 1490964437),
(204467, 199, 18009, '', '', '', 1, 1490965253),
(204494, 158, 17747, 'CodevTT_RAF', '1', '0.6', 0, 1490968901),
(204495, 158, 17857, 'CodevTT_RAF', '2', '1', 0, 1490968922),
(204496, 158, 17857, 'CodevTT_RAF', '1', '1', 0, 1490968936),
(204579, 205, 17063, 'CodevTT_RAF', '12.75', '12', 0, 1490972594),
(204733, 2, 1435, '', '16844', '', 2, 1490975928),
(204847, 199, 18008, 'CodevTT_RAF', '', '1', 0, 1491201418),
(204848, 199, 18008, 'status', '10', '50', 0, 1491201418),
(204849, 199, 18009, 'CodevTT_RAF', '', '0', 0, 1491201599),
(204850, 199, 18009, 'CodevTT_RAF', '0', '0', 0, 1491201599),
(204851, 199, 18009, 'status', '10', '80', 0, 1491201599),
(204852, 199, 18009, 'handler_id', '0', '199', 0, 1491201599),
(204853, 199, 17758, 'CodevTT_RAF', '0', '0', 0, 1491201624),
(204874, 168, 17637, 'CodevTT_RAF', '14', '14', 0, 1491204870),
(204875, 168, 17637, 'CodevTT_RAF', '14', '14', 0, 1491204894),
(204876, 168, 17637, 'CodevTT_RAF', '14', '14', 0, 1491204903),
(204877, 246, 16516, 'CodevTT_RAF', '0', '0', 0, 1491205742),
(204878, 246, 16562, 'CodevTT_RAF', '', '2', 0, 1491205773),
(204879, 246, 16562, 'status', '10', '50', 0, 1491205773),
(204941, 217, 18028, '', '', '', 1, 1491210709),
(204942, 217, 18028, 'handler_id', '0', '217', 0, 1491210709),
(204943, 217, 18028, '', '', '17984', 21, 1491210709),
(204944, 217, 17984, '', '', '18028', 20, 1491210709),
(204958, 217, 18028, 'CodevTT_RAF', '', '1', 0, 1491211024),
(204959, 217, 18028, 'status', '10', '40', 0, 1491211024),
(205041, 217, 17984, 'CodevTT_RAF', '5', '5', 0, 1491225610),
(205055, 217, 18028, 'CodevTT_RAF', '1', '0', 0, 1491227237),
(205056, 217, 18028, 'CodevTT_RAF', '0', '0', 0, 1491227237),
(205057, 217, 18028, 'status', '40', '80', 0, 1491227237),
(205097, 246, 16562, 'CodevTT_RAF', '2', '2', 0, 1491235403),
(205099, 246, 17857, 'CodevTT_RAF', '1', '1', 0, 1491235444),
(205100, 246, 17857, 'handler_id', '158', '246', 0, 1491235444),
(205101, 199, 10749, 'CodevTT_RAF', '26', '26', 0, 1491285854),
(205104, 199, 10749, 'CodevTT_RAF', '26', '26', 0, 1491285865),
(205105, 199, 17133, 'CodevTT_RAF', '4', '3.5', 0, 1491285921),
(205239, 246, 17857, 'CodevTT_RAF', '1', '1', 0, 1491289894),
(205247, 164, 17251, '', '16904', '', 2, 1491293503),
(205248, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1491293503),
(205249, 164, 16588, '', '16905', '', 2, 1491293540),
(205250, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1491293541),
(205251, 164, 16588, '', '16905', '', 4, 1491293562),
(205252, 164, 16588, '', '16906', '', 2, 1491293562),
(205253, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1491293608),
(205254, 217, 17258, 'CodevTT_RAF', '5', '5', 0, 1491293695),
(205293, 72, 18059, 'handler_id', '0', '157', 0, 1491298675),
(205292, 72, 18059, '', '', '', 1, 1491298675),
(205305, 2, 1437, '', '16916', '', 2, 1491301097),
(205306, 2, 1437, '', '16916', '', 4, 1491301118),
(205307, 2, 1437, '', '16917', '', 2, 1491301118),
(205339, 205, 18060, '', '', '10399', 21, 1491307297),
(205338, 205, 18060, '', '', '', 1, 1491307297),
(205340, 205, 10399, '', '', '18060', 20, 1491307297),
(205341, 205, 18061, '', '', '', 1, 1491307499),
(205342, 205, 18061, 'handler_id', '0', '205', 0, 1491307499),
(205343, 205, 18061, '', '', '18060', 21, 1491307499),
(205344, 205, 18060, '', '', '18061', 20, 1491307499),
(205345, 205, 18061, '', '2', '18060', 18, 1491307500),
(205346, 205, 18060, '', '3', '18061', 18, 1491307500),
(205347, 205, 18061, 'summary', '44044 [SPEC] TAIGA PUMA -  Echanges avec les OC - MAJOC NIR ayant droit', '44440 [SPEC] TAIGA PUMA -  Echanges avec les OC - MAJOC NIR ayant droit', 0, 1491307542),
(205348, 205, 18061, 'Ref. Externe', '44044', '44440', 0, 1491307542),
(205354, 205, 18061, 'CodevTT_RAF', '', '0', 0, 1491307665),
(205355, 205, 18061, 'CodevTT_RAF', '0', '0', 0, 1491307665),
(205356, 205, 18061, 'status', '10', '80', 0, 1491307665),
(205360, 205, 18061, 'CodevTT_RAF', '0', '0', 0, 1491307676),
(205373, 205, 17063, 'CodevTT_RAF', '12', '11', 0, 1491307831),
(205467, 217, 15855, 'CodevTT_RAF', '4', '4', 0, 1491309570),
(205470, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1491309663),
(205760, 246, 17857, 'CodevTT_RAF', '1', '0', 0, 1491321110),
(205761, 246, 17857, 'CodevTT_RAF', '0', '0', 0, 1491321110),
(205762, 246, 17857, 'status', '50', '80', 0, 1491321110),
(205782, 169, 10749, 'CodevTT_RAF', '26', '23', 0, 1491322514),
(205783, 169, 10749, 'CodevTT_RAF', '23', '22', 0, 1491322527),
(205944, 74, 14014, 'CodevTT_RAF', '7', '6.5', 0, 1491377906),
(205946, 74, 14014, 'CodevTT_RAF', '6.5', '6', 0, 1491377919),
(205947, 74, 14014, 'CodevTT_RAF', '6', '6', 0, 1491377942),
(205957, 217, 15855, 'CodevTT_RAF', '4', '2', 0, 1491380742),
(205964, 72, 18009, 'RSI_Type_Ano', '', 'Recette', 0, 1491390044),
(205965, 72, 17429, 'status', '10', '50', 0, 1491391996),
(205966, 72, 17429, 'CodevTT_ChargeMgr', '', '0', 0, 1491392004),
(205967, 72, 17429, 'CodevTT_RAF', '', '14', 0, 1491392004),
(205974, 157, 18059, 'CodevTT_RAF', '', '1', 0, 1491397625),
(205975, 157, 18059, 'status', '10', '50', 0, 1491397625),
(205976, 157, 18059, 'CodevTT_RAF', '1', '1', 0, 1491397647),
(205977, 157, 17988, 'CodevTT_RAF', '0', '0', 0, 1491397686),
(205978, 157, 18059, 'CodevTT_RAF', '1', '0.3', 0, 1491397718),
(205979, 157, 17987, 'CodevTT_RAF', '', '0.5', 0, 1491397787),
(205980, 157, 17987, 'status', '10', '50', 0, 1491397787),
(205981, 205, 17063, 'CodevTT_RAF', '11', '10.5', 0, 1491398296),
(206155, 169, 18059, 'CodevTT_RAF', '0.3', '0.3', 0, 1491403532),
(206163, 72, 17765, '', '17055', '', 2, 1491405996),
(206164, 72, 17765, 'CodevTT_RAF', '22', '21.5', 0, 1491405996),
(206243, 72, 17967, 'handler_id', '0', '199', 0, 1491461450),
(206244, 72, 17967, 'CodevTT_Dead Line', '', '', 0, 1491461450),
(206245, 72, 17968, 'handler_id', '0', '246', 0, 1491461479),
(206246, 72, 17968, 'CodevTT_Dead Line', '', '', 0, 1491461479),
(206380, 72, 18088, 'Ref. Externe', '', '44414', 0, 1491463897),
(206381, 72, 18088, 'CodevTT_ChargeInit', '', '0.5', 0, 1491463897),
(206382, 72, 18088, 'handler_id', '0', '157', 0, 1491463897),
(206383, 72, 18088, 'codevtt_type', '', 'Task', 0, 1491463897),
(206384, 72, 18089, 'Ref. Externe', '', '44414', 0, 1491463898),
(206385, 72, 18089, 'CodevTT_ChargeInit', '', '0.5', 0, 1491463898),
(206386, 72, 18089, 'handler_id', '0', '157', 0, 1491463898),
(206387, 72, 18089, 'codevtt_type', '', 'Task', 0, 1491463898),
(206436, 72, 14710, 'handler_id', '217', '158', 0, 1491465802),
(206437, 72, 16794, 'CodevTT_RAF', '0.5', '0', 0, 1491465914),
(206438, 72, 16794, 'status', '50', '80', 0, 1491465914),
(206439, 72, 16794, 'CodevTT_RAF', '0', '0', 0, 1491465914),
(206688, 2, 17401, '', '17229', '', 2, 1491478989),
(206689, 2, 17401, 'CodevTT_RAF', '0', '0', 0, 1491478989),
(206693, 217, 15855, 'CodevTT_RAF', '2', '2', 0, 1491479166),
(206701, 2, 17401, '', '17229', '', 4, 1491480143),
(206702, 2, 17401, '', '17232', '', 2, 1491480143),
(206703, 2, 2894, '', '17233', '', 2, 1491480240),
(206704, 2, 18090, '', '', '', 1, 1491480403),
(206705, 2, 18090, '', 'liste_pco.xlsx', '', 9, 1491480456),
(206706, 2, 18090, 'CodevTT_RAF', '', '0.5', 0, 1491480518),
(206707, 2, 18090, 'status', '10', '50', 0, 1491480518),
(206708, 2, 18090, 'handler_id', '0', '2', 0, 1491480518),
(206709, 2, 18090, 'CodevTT_RAF', '0.5', '0.5', 0, 1491480533),
(206848, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1491486954),
(206905, 72, 18091, '', '', '', 1, 1491489345),
(206906, 72, 18091, 'handler_id', '0', '169', 0, 1491489345),
(206933, 2, 18090, 'CodevTT_RAF', '0.5', '0', 0, 1491490412),
(206934, 2, 18090, 'CodevTT_RAF', '0', '0', 0, 1491490412),
(206935, 2, 18090, 'status', '50', '80', 0, 1491490412),
(206936, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1491490452),
(206937, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1491490468),
(206938, 164, 17251, '', '17318', '', 2, 1491490487),
(206939, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1491490487),
(206940, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1491490498),
(206941, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1491490518),
(206964, 72, 17765, '', '17324', '', 2, 1491547433),
(206965, 72, 17765, 'CodevTT_RAF', '21.5', '21', 0, 1491547433),
(206970, 72, 17765, '', '17324', '', 4, 1491547484),
(206973, 72, 17764, 'CodevTT_RAF', '3', '2', 0, 1491547504),
(206996, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1491549670),
(206997, 164, 11032, '', '17333', '', 2, 1491549717),
(206998, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1491549738),
(207007, 157, 18059, 'CodevTT_RAF', '0.3', '0', 0, 1491549818),
(207008, 157, 18059, 'CodevTT_RAF', '0', '0', 0, 1491549818),
(207009, 157, 18059, 'status', '50', '80', 0, 1491549818),
(207011, 157, 18091, 'CodevTT_RAF', '', '1', 0, 1491549970),
(207012, 157, 18091, 'status', '10', '50', 0, 1491549970),
(207015, 205, 17063, 'CodevTT_RAF', '10.5', '9.5', 0, 1491551141),
(207305, 74, 14014, 'CodevTT_RAF', '6', '5', 0, 1491564475),
(207306, 74, 14014, 'CodevTT_RAF', '5', '6', 0, 1491564487),
(207307, 74, 14014, 'CodevTT_RAF', '6', '5', 0, 1491564500),
(207308, 147, 10741, 'CodevTT_RAF', '0', '0', 0, 1491564539),
(207309, 147, 10740, 'CodevTT_RAF', '0', '0', 0, 1491564586),
(207310, 147, 12688, 'CodevTT_RAF', '2', '1', 0, 1491564613),
(207311, 147, 12688, 'CodevTT_RAF', '1', '1', 0, 1491564628),
(207312, 147, 17730, 'CodevTT_RAF', '0.5', '0', 0, 1491564675),
(207313, 147, 17730, 'CodevTT_RAF', '0', '0', 0, 1491564675),
(207314, 147, 17730, 'status', '50', '80', 0, 1491564675),
(207315, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1491564740),
(207316, 72, 18114, 'Ref. Externe', '', '42944', 0, 1491564774),
(207317, 72, 18114, 'CodevTT_ChargeInit', '', '0.5', 0, 1491564774),
(207318, 72, 18114, 'handler_id', '0', '2', 0, 1491564774),
(207319, 72, 18114, 'codevtt_type', '', 'Task', 0, 1491564774),
(207320, 72, 18115, 'Ref. Externe', '', '42944', 0, 1491564774),
(207321, 72, 18115, 'CodevTT_ChargeInit', '', '0.5', 0, 1491564774),
(207322, 72, 18115, 'handler_id', '0', '2', 0, 1491564774),
(207323, 72, 18115, 'codevtt_type', '', 'Task', 0, 1491564774),
(207324, 72, 18116, 'Ref. Externe', '', '44460', 0, 1491564774),
(207325, 72, 18116, 'CodevTT_ChargeInit', '', '0.5', 0, 1491564774),
(207326, 72, 18116, 'handler_id', '0', '2', 0, 1491564774),
(207327, 72, 18116, 'codevtt_type', '', 'Task', 0, 1491564774),
(207332, 72, 18118, 'Ref. Externe', '', '44461', 0, 1491564775),
(207333, 72, 18118, 'CodevTT_ChargeInit', '', '0.5', 0, 1491564775),
(207334, 72, 18118, 'handler_id', '0', '2', 0, 1491564775),
(207335, 72, 18118, 'codevtt_type', '', 'Task', 0, 1491564775),
(207336, 72, 18119, 'Ref. Externe', '', '44461', 0, 1491564775),
(207337, 72, 18119, 'CodevTT_ChargeInit', '', '0.5', 0, 1491564775),
(207338, 72, 18119, 'handler_id', '0', '2', 0, 1491564775),
(207339, 72, 18119, 'codevtt_type', '', 'Task', 0, 1491564775),
(207340, 72, 18120, '', '', '', 1, 1491565476),
(207341, 72, 18120, 'handler_id', '0', '157', 0, 1491565476),
(207342, 72, 18121, '', '', '', 1, 1491565528),
(207343, 72, 18121, 'handler_id', '0', '157', 0, 1491565528),
(207344, 72, 18121, '', '', '18120', 21, 1491565528),
(207345, 72, 18120, '', '', '18121', 20, 1491565528),
(207346, 72, 18121, '', '2500', '18120', 18, 1491565528),
(207347, 72, 18120, '', '2501', '18121', 18, 1491565528),
(207348, 157, 18120, 'CodevTT_RAF', '', '2.3', 0, 1491565780),
(207349, 157, 18120, 'status', '10', '50', 0, 1491565780),
(207350, 157, 18120, 'CodevTT_RAF', '2.3', '1.3', 0, 1491565803),
(207353, 2, 18118, 'CodevTT_RAF', '', '0.5', 0, 1491566248),
(207354, 2, 18118, 'status', '10', '50', 0, 1491566248),
(207355, 2, 17401, '', '17232', '', 4, 1491566258),
(207356, 2, 18118, 'CodevTT_RAF', '0.5', '0.5', 0, 1491566274),
(207357, 2, 17401, '', '17365', '', 2, 1491566464),
(207358, 2, 17401, 'CodevTT_RAF', '0', '0', 0, 1491566464),
(207359, 2, 1505, '', '17366', '', 2, 1491566655),
(207360, 164, 17251, '', '17367', '', 2, 1491566713),
(207361, 164, 1505, '', '17368', '', 2, 1491566802),
(207362, 164, 1505, '', '17368', '', 4, 1491566824),
(207363, 164, 1505, '', '17369', '', 2, 1491566824),
(207364, 164, 11032, '', '17370', '', 2, 1491566946),
(207365, 2, 11032, '', '17370', '3782', 3, 1491566986),
(207366, 164, 11032, '', '17370', '3783', 3, 1491567024),
(207368, 2, 17967, 'CodevTT_Dead Line', '', '', 0, 1491568647),
(207369, 2, 17967, 'CodevTT_Dead Line', '', '', 0, 1491568707),
(207370, 2, 17967, 'CodevTT_Date Livraison', '', '1493330400', 0, 1491568707),
(207371, 2, 17967, 'CodevTT_Dead Line', '', '1493330400', 0, 1491568742),
(207372, 2, 17967, 'CodevTT_Date Livraison', '1493330400', '', 0, 1491568742),
(207386, 2, 17258, 'CodevTT_Dead Line', '1491861600', '1493676000', 0, 1491569103),
(207387, 2, 15855, 'CodevTT_Dead Line', '', '1493676000', 0, 1491569129),
(207388, 2, 17063, 'CodevTT_Dead Line', '1491861600', '1493676000', 0, 1491569137),
(207391, 2, 14014, 'CodevTT_Dead Line', '1496095200', '1497823200', 0, 1491569176),
(207393, 2, 14013, 'CodevTT_Dead Line', '1496095200', '1497823200', 0, 1491569197),
(207394, 2, 17211, 'handler_id', '342', '0', 0, 1491569206),
(207395, 2, 17211, 'CodevTT_Dead Line', '1496095200', '1497823200', 0, 1491569206),
(207399, 2, 10749, 'CodevTT_Dead Line', '1494194400', '1496613600', 0, 1491569291),
(207405, 2, 12307, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569331),
(207406, 2, 12307, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569331),
(207408, 2, 12308, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569354),
(207409, 2, 12308, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569354),
(207410, 2, 12323, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569380),
(207411, 2, 12323, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569380),
(207412, 2, 12325, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569402),
(207413, 2, 15970, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569412),
(207417, 2, 16101, 'target_version', '', '18.0_PUMA', 0, 1491569425),
(207418, 2, 16101, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569425),
(207422, 2, 16140, 'target_version', '', '18.0_PUMA', 0, 1491569440),
(207423, 2, 16140, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569440),
(207424, 2, 17133, 'target_version', '', '18.0_PUMA', 0, 1491569454),
(207425, 2, 17133, 'CodevTT_Dead Line', '', '1496613600', 0, 1491569454),
(207453, 2, 14049, 'CodevTT_Dead Line', '1463090400', '', 0, 1491569611),
(207454, 2, 13774, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569672),
(207455, 2, 13774, 'CodevTT_Dead Line', '', '', 0, 1491569672),
(207456, 2, 15970, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207457, 2, 12325, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207458, 2, 14013, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207459, 2, 14014, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207460, 2, 12688, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207461, 2, 18060, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207462, 2, 16516, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207463, 2, 10399, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207464, 2, 10396, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207465, 2, 10392, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207466, 2, 12304, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207467, 2, 10397, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207468, 2, 10744, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569765),
(207469, 2, 8454, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207470, 2, 10400, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207471, 2, 12687, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207472, 2, 12287, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207473, 2, 10393, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207474, 2, 12689, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207475, 2, 10598, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207476, 2, 15836, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207477, 2, 12330, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207478, 2, 10398, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207479, 2, 12328, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207480, 2, 12309, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207481, 2, 12306, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207482, 2, 12324, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207483, 2, 12317, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207484, 2, 12319, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207485, 2, 12327, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207486, 2, 12321, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207487, 2, 12320, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207488, 2, 12318, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207489, 2, 12316, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207490, 2, 10395, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207491, 2, 10390, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207492, 2, 12326, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207493, 2, 12315, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207494, 2, 12314, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207495, 2, 12313, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207496, 2, 12312, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207497, 2, 12311, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207498, 2, 12305, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207499, 2, 12303, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207500, 2, 8146, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207501, 2, 12183, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207502, 2, 10394, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207503, 2, 13362, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207504, 2, 9684, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207505, 2, 9683, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569766),
(207506, 2, 10391, 'target_version', '17.3_PUMA', '18.0_PUMA', 0, 1491569790),
(207512, 2, 10394, 'CodevTT_Dead Line', '1463090400', '', 0, 1491570163),
(207513, 2, 10398, 'CodevTT_Dead Line', '1464300000', '', 0, 1491571188),
(207514, 2, 10398, 'CodevTT_Dead Line', '', '1493676000', 0, 1491571221),
(207687, 72, 17764, 'CodevTT_RAF', '2', '2', 0, 1491578715),
(207688, 72, 17765, '', '17385', '', 2, 1491578798),
(207689, 72, 17765, 'CodevTT_RAF', '21', '20', 0, 1491578798),
(207690, 2, 18118, '', '17386', '', 2, 1491578868),
(207691, 2, 1505, '', '17366', '', 4, 1491578969),
(207692, 2, 1505, '', '17387', '', 2, 1491578969),
(207693, 2, 1505, '', '17387', '', 4, 1491578983),
(207694, 2, 1505, '', '17388', '', 2, 1491578983),
(207695, 2, 1505, '', '17388', '', 4, 1491578987),
(207696, 2, 1505, '', '17389', '', 2, 1491578987),
(207710, 169, 10749, 'CodevTT_RAF', '22', '21', 0, 1491579524),
(207711, 169, 10749, 'CodevTT_RAF', '21', '20', 0, 1491579538),
(207863, 199, 17133, 'CodevTT_RAF', '3.5', '3', 0, 1491804123),
(207864, 199, 16101, 'CodevTT_RAF', '2', '1.5', 0, 1491804290),
(207865, 199, 17133, 'CodevTT_RAF', '3', '3', 0, 1491804307),
(207866, 199, 17746, 'CodevTT_RAF', '0.2', '0', 0, 1491804432),
(207867, 199, 17746, 'CodevTT_RAF', '0', '0', 0, 1491804432),
(207868, 199, 17746, 'status', '50', '80', 0, 1491804432),
(207869, 199, 17746, 'CodevTT_RAF', '0', '0', 0, 1491804444),
(207870, 199, 16140, 'CodevTT_RAF', '3', '2', 0, 1491804510),
(207871, 199, 16140, 'CodevTT_RAF', '2', '2', 0, 1491804520),
(207872, 199, 14014, 'CodevTT_RAF', '5', '5', 0, 1491804571),
(207873, 199, 17133, 'CodevTT_RAF', '3', '3', 0, 1491804582),
(207891, 168, 17637, 'CodevTT_RAF', '14', '12', 0, 1491809312),
(207892, 168, 17637, 'CodevTT_RAF', '12', '12', 0, 1491809360),
(207893, 168, 17637, 'status', '10', '50', 0, 1491809360),
(207894, 168, 17637, 'CodevTT_RAF', '12', '12', 0, 1491809374),
(207895, 168, 17637, 'CodevTT_RAF', '12', '12', 0, 1491809409),
(207900, 168, 17637, 'CodevTT_RAF', '12', '12', 0, 1491809426),
(207901, 168, 17637, 'CodevTT_RAF', '12', '12', 0, 1491809438),
(207902, 168, 17637, 'CodevTT_RAF', '12', '12', 0, 1491809454),
(210492, 72, 18180, '', '', '', 1, 1491814118),
(210493, 72, 18180, 'handler_id', '0', '157', 0, 1491814118),
(210595, 2, 2865, 'summary', 'Pilotage RSI_TMA Retaite', 'Pilotage RSI_TMA Retaite (OBSOLETE)', 0, 1491816308),
(210596, 2, 2865, '', '3785', '', 6, 1491816308),
(210698, 2, 2865, 'project_id', '72', '81', 0, 1491818254),
(210758, 158, 17747, 'CodevTT_RAF', '0.6', '0.5', 0, 1491822006),
(210759, 168, 17637, 'CodevTT_RAF', '12', '11', 0, 1491825333),
(210921, 158, 17747, 'CodevTT_RAF', '0.5', '1', 0, 1491834669),
(210922, 158, 17747, 'CodevTT_RAF', '1', '1', 0, 1491834725),
(211070, 205, 17063, 'CodevTT_RAF', '9.5', '9.5', 0, 1491836355),
(211071, 205, 17063, 'CodevTT_RAF', '9.5', '9', 0, 1491836381),
(211075, 246, 16563, 'CodevTT_RAF', '', '0.5', 0, 1491838275),
(211076, 246, 16563, 'status', '10', '50', 0, 1491838275),
(211183, 217, 17258, 'CodevTT_RAF', '5', '5', 0, 1491892950),
(211184, 217, 15855, 'CodevTT_RAF', '2', '0', 0, 1491892974),
(211185, 217, 15855, 'CodevTT_RAF', '0', '0', 0, 1491892974),
(211186, 217, 15855, 'status', '50', '80', 0, 1491892974),
(211187, 217, 15855, 'CodevTT_RAF', '0', '0', 0, 1491892982),
(211188, 217, 17984, 'CodevTT_RAF', '5', '5', 0, 1491893017),
(211189, 217, 11112, '', '17440', '', 2, 1491893075),
(211190, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1491893075),
(211211, 157, 18180, 'CodevTT_RAF', '', '0', 0, 1491894810),
(211212, 157, 18180, 'CodevTT_RAF', '0', '0', 0, 1491894811),
(211213, 157, 18180, 'status', '10', '80', 0, 1491894811),
(211236, 72, 18243, 'Ref. Externe', '', '44470', 0, 1491895345),
(211237, 72, 18243, 'CodevTT_ChargeInit', '', '0.5', 0, 1491895345),
(211238, 72, 18243, 'handler_id', '0', '157', 0, 1491895345),
(211239, 72, 18243, 'codevtt_type', '', 'Bug', 0, 1491895345),
(211240, 72, 18244, 'Ref. Externe', '', '44475', 0, 1491895345),
(211241, 72, 18244, 'CodevTT_ChargeInit', '', '0.5', 0, 1491895345),
(211242, 72, 18244, 'handler_id', '0', '157', 0, 1491895345),
(211243, 72, 18244, 'codevtt_type', '', 'Bug', 0, 1491895345),
(211248, 72, 17765, '', '17458', '', 2, 1491895527),
(211249, 72, 17765, 'CodevTT_RAF', '20', '19.5', 0, 1491895527),
(211270, 217, 17984, 'CodevTT_RAF', '5', '5', 0, 1491899534),
(211271, 217, 15855, 'CodevTT_RAF', '0', '0', 0, 1491899549),
(211272, 217, 17984, 'CodevTT_RAF', '5', '5', 0, 1491899601),
(211273, 217, 17984, 'CodevTT_RAF', '5', '5', 0, 1491899628),
(211275, 217, 17258, 'CodevTT_RAF', '5', '5', 0, 1491899665),
(211277, 217, 17258, 'CodevTT_RAF', '5', '5', 0, 1491899686),
(211403, 274, 2, '', '17466', '', 2, 1491901100),
(211493, 322, 18266, '', '', '', 1, 1491903899),
(211494, 345, 18267, '', '', '', 1, 1491904226),
(211495, 345, 18267, 'handler_id', '0', '345', 0, 1491904226),
(211497, 345, 18268, '', '', '', 1, 1491904278),
(211498, 345, 18268, 'handler_id', '0', '345', 0, 1491904278),
(211499, 345, 18269, '', '', '', 1, 1491904306),
(211500, 345, 18269, 'handler_id', '0', '345', 0, 1491904306),
(211501, 345, 18270, '', '', '', 1, 1491904433),
(211502, 345, 18270, 'handler_id', '0', '345', 0, 1491904433),
(211503, 345, 18271, '', '', '', 1, 1491904488),
(211504, 345, 18271, 'handler_id', '0', '345', 0, 1491904488),
(211507, 345, 18271, '', '17475', '', 2, 1491904792),
(211514, 157, 18243, 'CodevTT_RAF', '', '1', 0, 1491904992),
(211515, 157, 18243, 'status', '10', '50', 0, 1491904992),
(211516, 157, 18244, 'CodevTT_RAF', '', '0', 0, 1491905013),
(211517, 157, 18244, 'CodevTT_RAF', '0', '0', 0, 1491905013),
(211518, 157, 18244, 'status', '10', '80', 0, 1491905013),
(211520, 158, 17747, 'CodevTT_RAF', '1', '0.5', 0, 1491905208),
(211588, 2, 18118, 'CodevTT_RAF', '0.5', '0.5', 0, 1491920691),
(211589, 2, 18118, 'CodevTT_RAF', '0.5', '0.5', 0, 1491920711),
(211640, 2, 18118, 'CodevTT_RAF', '0.5', '2', 0, 1491924974),
(211655, 246, 16563, 'CodevTT_RAF', '0.5', '0', 0, 1491926406),
(211656, 246, 16563, 'CodevTT_RAF', '0', '0', 0, 1491926406),
(211657, 246, 16563, 'status', '50', '80', 0, 1491926406),
(211659, 246, 17967, 'CodevTT_RAF', '', '1', 0, 1491926454),
(211660, 246, 17967, 'status', '10', '50', 0, 1491926454),
(211661, 246, 17967, 'handler_id', '199', '246', 0, 1491926454),
(211662, 246, 17967, '', '17507', '', 2, 1491926505),
(211673, 72, 17765, '', '17511', '', 2, 1491974674),
(211674, 72, 17765, 'CodevTT_RAF', '19.5', '19', 0, 1491974675),
(211705, 164, 15281, 'CodevTT_RAF', '0', '0', 0, 1491982275),
(211708, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1491982296),
(211709, 164, 15281, '', '17520', '', 2, 1491982309),
(211710, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1491982328),
(211719, 205, 17063, 'CodevTT_RAF', '9', '8.5', 0, 1491982835),
(211720, 205, 17065, 'CodevTT_RAF', '20', '19.75', 0, 1491982897),
(211721, 205, 17065, 'CodevTT_RAF', '19.75', '20', 0, 1491982941),
(211883, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1492000359),
(211885, 217, 18279, '', '', '', 1, 1492000493),
(211886, 217, 18279, 'handler_id', '0', '217', 0, 1492000493),
(211887, 217, 18279, '', '', '17984', 21, 1492000493),
(211888, 217, 17984, '', '', '18279', 20, 1492000493),
(211889, 217, 18279, 'CodevTT_RAF', '', '4', 0, 1492000525),
(212030, 72, 18287, 'Ref. Externe', '', '44487', 0, 1492011735),
(212031, 72, 18287, 'CodevTT_ChargeInit', '', '2', 0, 1492011735),
(212032, 72, 18287, 'handler_id', '0', '205', 0, 1492011735),
(212033, 72, 18287, 'codevtt_type', '', 'Bug', 0, 1492011735),
(212034, 72, 18288, 'Ref. Externe', '', '44492', 0, 1492011735),
(212035, 72, 18288, 'CodevTT_ChargeInit', '', '2', 0, 1492011735),
(212036, 72, 18288, 'handler_id', '0', '199', 0, 1492011735),
(212037, 72, 18288, 'codevtt_type', '', 'Bug', 0, 1492011735),
(212038, 72, 18289, 'Ref. Externe', '', '44493', 0, 1492011735),
(212039, 72, 18289, 'CodevTT_ChargeInit', '', '2', 0, 1492011735),
(212040, 72, 18289, 'handler_id', '0', '157', 0, 1492011735),
(212041, 72, 18289, 'codevtt_type', '', 'Bug', 0, 1492011735),
(212042, 72, 2894, '', '17604', '', 2, 1492011950),
(212044, 72, 17765, '', '17605', '', 2, 1492012026),
(212045, 72, 17765, 'CodevTT_RAF', '19', '15', 0, 1492012026),
(212057, 246, 10598, 'CodevTT_RAF', '0', '1', 0, 1492014234),
(212058, 246, 10598, 'status', '80', '50', 0, 1492014234),
(212480, 282, 1400, '', '17742', '', 2, 1492071210),
(212491, 168, 17637, 'CodevTT_RAF', '11', '11', 0, 1492071403),
(212492, 168, 17637, 'CodevTT_RAF', '11', '11', 0, 1492071423),
(212493, 168, 17637, 'CodevTT_RAF', '11', '10', 0, 1492071436),
(212568, 164, 11032, 'CodevTT_RAF', '0', '0', 0, 1492073227),
(212573, 2, 17251, '', '17776', '', 2, 1492073300),
(212574, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1492073300),
(212577, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492073316),
(212578, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492073328),
(212579, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492073343),
(212580, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492073353),
(212581, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492073362),
(212850, 72, 18287, 'CodevTT_RAF', '', '1', 0, 1492091874),
(212851, 72, 18287, 'status', '10', '50', 0, 1492091874),
(212968, 246, 10598, 'CodevTT_RAF', '1', '0', 0, 1492098146),
(212969, 246, 10598, 'CodevTT_RAF', '0', '0', 0, 1492098146),
(212970, 246, 10598, 'status', '50', '80', 0, 1492098146),
(213215, 158, 17747, 'CodevTT_RAF', '0.5', '2', 0, 1492155262),
(213216, 158, 14710, 'CodevTT_RAF', '2', '3', 0, 1492155365),
(213217, 158, 14710, 'CodevTT_RAF', '3', '3', 0, 1492155393),
(213236, 158, 14710, 'CodevTT_RAF', '3', '3', 0, 1492156448),
(213237, 169, 10749, 'CodevTT_RAF', '20', '30', 0, 1492157524),
(213238, 169, 10749, 'CodevTT_RAF', '30', '28', 0, 1492157540),
(213239, 169, 10749, 'CodevTT_RAF', '28', '24', 0, 1492157575),
(213240, 169, 10749, 'CodevTT_RAF', '24', '23', 0, 1492157592),
(213241, 169, 10749, 'CodevTT_RAF', '23', '22', 0, 1492157599),
(213242, 169, 10749, 'CodevTT_RAF', '22', '21', 0, 1492157609),
(213243, 169, 10749, 'CodevTT_RAF', '21', '20', 0, 1492157635),
(213247, 169, 10749, 'CodevTT_RAF', '20', '17', 0, 1492158010),
(213266, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1492158243),
(213267, 164, 11032, '', '17860', '', 2, 1492158260),
(213299, 72, 18287, 'CodevTT_RAF', '1', '0.5', 0, 1492159456),
(213352, 72, 18401, 'Ref. Externe', '', '44498', 0, 1492161660),
(213353, 72, 18401, 'CodevTT_ChargeInit', '', '0.5', 0, 1492161660),
(213354, 72, 18401, 'handler_id', '0', '246', 0, 1492161660),
(213355, 72, 18401, 'codevtt_type', '', 'Bug', 0, 1492161660),
(213356, 72, 18402, 'Ref. Externe', '', '44501', 0, 1492161660),
(213357, 72, 18402, 'CodevTT_ChargeInit', '', '0.5', 0, 1492161660),
(213358, 72, 18402, 'handler_id', '0', '157', 0, 1492161660),
(213359, 72, 18402, 'codevtt_type', '', 'Bug', 0, 1492161660),
(213362, 72, 18403, 'Ref. Externe', '', '44499', 0, 1492161790),
(213363, 72, 18403, 'CodevTT_ChargeInit', '', '0.5', 0, 1492161790),
(213364, 72, 18403, 'handler_id', '0', '205', 0, 1492161790),
(213365, 72, 18403, 'codevtt_type', '', 'Task', 0, 1492161790),
(213366, 72, 18404, 'Ref. Externe', '', '44499', 0, 1492161790),
(213367, 72, 18404, 'CodevTT_ChargeInit', '', '0.5', 0, 1492161790),
(213368, 72, 18404, 'handler_id', '0', '205', 0, 1492161790),
(213369, 72, 18404, 'codevtt_type', '', 'Task', 0, 1492161790),
(213370, 72, 18405, '', '', '', 1, 1492162078),
(213371, 72, 18405, 'handler_id', '0', '205', 0, 1492162078),
(213372, 72, 18405, '', '', '18061', 21, 1492162078),
(213373, 72, 18061, '', '', '18405', 20, 1492162078),
(213374, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1492162315),
(213378, 72, 18405, 'handler_id', '205', '0', 0, 1492162824),
(213456, 168, 17637, '', '17875', '', 2, 1492173796),
(213459, 168, 17637, 'CodevTT_RAF', '10', '1', 0, 1492173979),
(213460, 168, 17428, 'CodevTT_RAF', '', '1', 0, 1492174010),
(213466, 2, 18116, 'CodevTT_RAF', '', '0.2', 0, 1492174559),
(213467, 2, 18116, 'status', '10', '50', 0, 1492174559),
(213468, 2, 18118, 'CodevTT_RAF', '2', '0', 0, 1492174578),
(213469, 2, 18118, 'status', '50', '80', 0, 1492174578),
(213470, 2, 18118, 'CodevTT_RAF', '0', '0', 0, 1492174578),
(213668, 158, 17747, 'CodevTT_RAF', '2', '3', 0, 1492180005),
(213669, 158, 17747, 'CodevTT_RAF', '3', '3', 0, 1492180042),
(213731, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1492182566),
(213732, 2, 18116, 'CodevTT_RAF', '0.2', '0.2', 0, 1492182615),
(213733, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1492182626);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(213757, 199, 10741, 'CodevTT_RAF', '0', '0', 0, 1492183155),
(213758, 199, 10741, 'handler_id', '147', '199', 0, 1492183156),
(213759, 199, 10741, 'CodevTT_RAF', '0', '0', 0, 1492183169),
(213760, 199, 10740, 'CodevTT_RAF', '0', '0', 0, 1492183191),
(213761, 199, 10740, 'handler_id', '146', '199', 0, 1492183191),
(213762, 199, 18288, 'CodevTT_RAF', '', '0', 0, 1492183212),
(213763, 199, 18288, 'CodevTT_RAF', '0', '0', 0, 1492183212),
(213764, 199, 18288, 'status', '10', '80', 0, 1492183212),
(213765, 199, 12308, 'CodevTT_RAF', '0.5', '0.25', 0, 1492183302),
(213766, 246, 17967, 'CodevTT_RAF', '1', '0', 0, 1492183336),
(213767, 246, 17967, 'CodevTT_RAF', '0', '0', 0, 1492183336),
(213768, 246, 17967, 'status', '50', '80', 0, 1492183336),
(213769, 199, 10742, 'CodevTT_RAF', '3', '0', 0, 1492183354),
(213770, 199, 10742, 'CodevTT_RAF', '0', '0', 0, 1492183355),
(213771, 199, 10742, 'status', '50', '80', 0, 1492183355),
(213773, 199, 17133, 'CodevTT_RAF', '3', '2', 0, 1492183390),
(213782, 72, 2894, '', '17922', '', 2, 1492183805),
(213784, 72, 17765, '', '17923', '', 2, 1492183835),
(213785, 72, 17765, 'CodevTT_RAF', '15', '14.5', 0, 1492183835),
(213805, 205, 17063, 'CodevTT_RAF', '8.5', '8.1', 0, 1492185322),
(213806, 205, 17063, 'CodevTT_RAF', '8.1', '7.5', 0, 1492185407),
(213807, 205, 18279, 'CodevTT_RAF', '4', '0', 0, 1492185429),
(213808, 205, 18279, 'CodevTT_RAF', '0', '0', 0, 1492185429),
(213809, 205, 18279, 'status', '10', '80', 0, 1492185429),
(213898, 217, 17063, '', '17934', '', 2, 1492496574),
(213899, 217, 17063, 'CodevTT_RAF', '7.5', '8', 0, 1492496574),
(213900, 217, 11112, '', '17935', '', 2, 1492496596),
(213901, 217, 11112, '', '17935', '', 4, 1492496610),
(213902, 217, 11112, '', '17936', '', 2, 1492496610),
(213903, 217, 17063, '', '17934', '', 4, 1492496626),
(213904, 217, 17063, '', '17937', '', 2, 1492496626),
(213905, 217, 17258, 'CodevTT_RAF', '5', '5', 0, 1492496642),
(213906, 217, 2, '', '17938', '', 2, 1492496667),
(213907, 217, 17063, 'CodevTT_RAF', '8', '8', 0, 1492496684),
(213908, 217, 17063, 'CodevTT_RAF', '8', '8', 0, 1492496701),
(213909, 217, 17063, 'CodevTT_RAF', '8', '8', 0, 1492496710),
(213910, 217, 17063, 'CodevTT_RAF', '8', '8', 0, 1492496719),
(213962, 246, 17967, 'CodevTT_RAF', '0', '0', 0, 1492500786),
(214091, 72, 18401, 'CodevTT_RAF', '', '0', 0, 1492506024),
(214092, 72, 18401, 'status', '10', '80', 0, 1492506024),
(214093, 72, 18401, 'CodevTT_RAF', '0', '0', 0, 1492506024),
(214094, 72, 16072, 'handler_id', '0', '147', 0, 1492506146),
(214095, 72, 16073, 'handler_id', '0', '147', 0, 1492506192),
(214310, 246, 17967, 'CodevTT_RAF', '0', '0', 0, 1492532534),
(214311, 246, 17967, 'CodevTT_RAF', '0', '0.5', 0, 1492532568),
(214312, 246, 17967, 'status', '80', '50', 0, 1492532568),
(214313, 72, 18473, '', '', '', 1, 1492585113),
(214314, 72, 18473, 'handler_id', '0', '246', 0, 1492585113),
(214315, 72, 18091, 'CodevTT_RAF', '1', '0', 0, 1492585196),
(214316, 72, 18091, 'status', '50', '80', 0, 1492585196),
(214317, 72, 18091, 'CodevTT_RAF', '0', '0', 0, 1492585196),
(214318, 246, 17967, '', '17974', '', 2, 1492585966),
(214319, 246, 18473, 'CodevTT_RAF', '', '0', 0, 1492585998),
(214320, 246, 18473, 'CodevTT_RAF', '0', '0', 0, 1492585998),
(214321, 246, 18473, 'status', '10', '80', 0, 1492585998),
(214383, 157, 18289, 'CodevTT_RAF', '', '0.5', 0, 1492592534),
(214384, 157, 18289, 'status', '10', '50', 0, 1492592534),
(214385, 157, 18289, 'CodevTT_RAF', '0.5', '0.5', 0, 1492592566),
(214395, 157, 18243, 'CodevTT_RAF', '1', '0.5', 0, 1492592610),
(214396, 157, 18402, 'CodevTT_RAF', '', '0', 0, 1492592666),
(214397, 157, 18402, 'CodevTT_RAF', '0', '0', 0, 1492592666),
(214398, 157, 18402, 'status', '10', '80', 0, 1492592666),
(214419, 147, 10742, 'CodevTT_RAF', '0', '0', 0, 1492593707),
(214420, 147, 10742, 'CodevTT_RAF', '0', '0', 0, 1492593738),
(214421, 147, 17730, 'CodevTT_RAF', '0', '0', 0, 1492593776),
(214423, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1492593823),
(214477, 72, 15287, 'CodevTT_RAF', '1', '0', 0, 1492599879),
(214478, 72, 15287, 'status', '50', '80', 0, 1492599879),
(214479, 72, 15287, 'CodevTT_RAF', '0', '0', 0, 1492599879),
(214484, 72, 2894, '', '18017', '', 2, 1492602355),
(214486, 382, 1400, '', '18018', '', 2, 1492605497),
(214487, 382, 1400, '', '18018', '', 4, 1492605574),
(214488, 382, 1400, '', '18019', '', 2, 1492605574),
(214489, 382, 1400, '', '18020', '', 2, 1492605729),
(214490, 382, 1400, '', '18021', '', 2, 1492605768),
(214491, 382, 1400, '', '18022', '', 2, 1492605880),
(214492, 382, 1400, '', '18023', '', 2, 1492605971),
(214493, 382, 1400, '', '18024', '', 2, 1492606262),
(214497, 382, 1400, '', '18026', '', 2, 1492606340),
(214601, 339, 2, '', '18041', '', 2, 1492612927),
(214602, 339, 2, '', '18042', '', 2, 1492612932),
(214655, 246, 17967, 'CodevTT_RAF', '0.5', '0', 0, 1492617795),
(214656, 246, 17967, 'CodevTT_RAF', '0', '0', 0, 1492617796),
(214657, 246, 17967, 'status', '50', '80', 0, 1492617796),
(214659, 246, 17764, '', '18048', '', 2, 1492618024),
(214660, 246, 17764, 'CodevTT_RAF', '2', '1', 0, 1492618024),
(214661, 246, 17764, 'handler_id', '72', '246', 0, 1492618024),
(214766, 72, 18488, '', '', '', 1, 1492673816),
(214767, 72, 18488, '', '', '16071', 21, 1492673816),
(214768, 72, 16071, '', '', '18488', 20, 1492673816),
(214817, 72, 18489, 'Ref. Externe', '', '44313', 0, 1492675003),
(214818, 72, 18489, 'CodevTT_ChargeInit', '', '10', 0, 1492675003),
(214819, 72, 18489, 'target_version', '', '17.3.TO', 0, 1492675003),
(214820, 72, 18489, 'handler_id', '0', '74', 0, 1492675003),
(214821, 72, 18489, 'codevtt_type', '', 'Task', 0, 1492675003),
(214822, 72, 18490, 'Ref. Externe', '', '44497', 0, 1492675003),
(214823, 72, 18490, 'target_version', '', '17.3.TO', 0, 1492675003),
(214824, 72, 18490, 'handler_id', '0', '199', 0, 1492675003),
(214825, 72, 18490, 'codevtt_type', '', 'Task', 0, 1492675003),
(214826, 72, 18491, 'Ref. Externe', '', '44497', 0, 1492675003),
(214827, 72, 18491, 'CodevTT_ChargeInit', '', '5', 0, 1492675003),
(214828, 72, 18491, 'target_version', '', '17.3.TO', 0, 1492675003),
(214829, 72, 18491, 'handler_id', '0', '246', 0, 1492675003),
(214830, 72, 18491, 'codevtt_type', '', 'Task', 0, 1492675003),
(214832, 72, 18492, 'Ref. Externe', '', '43975', 0, 1492675348),
(214833, 72, 18492, 'CodevTT_ChargeInit', '', '0.5', 0, 1492675348),
(214834, 72, 18492, 'target_version', '', '17.5', 0, 1492675348),
(214835, 72, 18492, 'codevtt_type', '', 'Task', 0, 1492675348),
(214836, 72, 18492, 'CodevTT_Dead Line', '', '943916400', 0, 1492675348),
(214837, 72, 18493, 'Ref. Externe', '', '43975', 0, 1492675349),
(214838, 72, 18493, 'CodevTT_ChargeInit', '', '2', 0, 1492675349),
(214839, 72, 18493, 'target_version', '', '17.5', 0, 1492675349),
(214840, 72, 18493, 'codevtt_type', '', 'Task', 0, 1492675349),
(214924, 72, 16849, 'status', '80', '50', 0, 1492676374),
(214925, 72, 16849, 'CodevTT_ChargeMgr', '', '0', 0, 1492676391),
(214926, 72, 16849, 'CodevTT_RAF', '0', '1', 0, 1492676391),
(214927, 72, 16849, '', '0018098', '', 2, 1492676466),
(214953, 72, 18488, 'handler_id', '0', '246', 0, 1492677747),
(214962, 72, 18511, '', '', '', 1, 1492677941),
(214963, 72, 18511, 'handler_id', '0', '74', 0, 1492677941),
(214964, 72, 18511, '', '', '18489', 21, 1492677941),
(214965, 72, 18489, '', '', '18511', 20, 1492677941),
(214978, 72, 8389, 'handler_id', '74', '0', 0, 1492678660),
(214979, 72, 17764, 'handler_id', '246', '72', 0, 1492678727),
(214980, 72, 17764, 'CodevTT_Dead Line', '', '', 0, 1492678727),
(214981, 72, 18489, 'handler_id', '74', '157', 0, 1492678838),
(214982, 72, 18489, 'CodevTT_Dead Line', '', '', 0, 1492678838),
(214991, 72, 16849, 'target_version', '', '17.4', 0, 1492678928),
(214994, 72, 18512, '', '', '', 1, 1492679473),
(214995, 72, 18512, 'handler_id', '0', '157', 0, 1492679473),
(214996, 72, 15161, 'CodevTT_ChargeMgr', '0', '6', 0, 1492680668),
(214997, 72, 15716, 'CodevTT_ChargeMgr', '0', '2.5', 0, 1492680718),
(215193, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1492701617),
(215194, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1492701641),
(215210, 157, 18289, 'CodevTT_RAF', '0.5', '0.5', 0, 1492703148),
(215213, 157, 18243, 'CodevTT_RAF', '0.5', '0', 0, 1492703207),
(215214, 157, 18243, 'CodevTT_RAF', '0', '0', 0, 1492703207),
(215215, 157, 18243, 'status', '50', '80', 0, 1492703207),
(215347, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492755707),
(215348, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492755742),
(215349, 74, 14014, 'CodevTT_RAF', '5', '5', 0, 1492755763),
(215350, 74, 14014, 'CodevTT_RAF', '5', '4', 0, 1492755855),
(215352, 72, 2894, '', '18219', '', 2, 1492756450),
(215353, 72, 17765, '', '18220', '', 2, 1492756493),
(215354, 72, 17765, 'CodevTT_RAF', '14.5', '14', 0, 1492756493),
(215382, 246, 18473, 'CodevTT_RAF', '0', '0', 0, 1492758700),
(215383, 246, 18488, 'CodevTT_RAF', '', '1', 0, 1492759016),
(215384, 246, 18488, 'status', '10', '50', 0, 1492759016),
(215389, 246, 18488, '', '18223', '', 2, 1492759131),
(215390, 246, 18488, 'CodevTT_RAF', '1', '5', 0, 1492759131),
(215403, 72, 2894, '', '18229', '', 2, 1492761108),
(215404, 72, 17765, 'CodevTT_RAF', '14', '13.5', 0, 1492761123),
(215620, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1492778274),
(215671, 157, 18289, 'CodevTT_RAF', '0.5', '0', 0, 1492780681),
(215672, 157, 18289, 'CodevTT_RAF', '0', '0', 0, 1492780681),
(215673, 157, 18289, 'status', '50', '80', 0, 1492780681),
(215674, 157, 17300, 'CodevTT_RAF', '0', '0', 0, 1492780720),
(215859, 322, 14791, 'CodevTT_RAF', '7', '7', 0, 1492787518),
(215860, 322, 14791, 'CodevTT_RAF', '7', '7', 0, 1492787525),
(215864, 322, 14791, 'CodevTT_RAF', '7', '7', 0, 1492787532),
(215865, 322, 14791, 'CodevTT_RAF', '7', '7', 0, 1492787541),
(215866, 322, 14791, 'CodevTT_RAF', '7', '6', 0, 1492787561),
(215867, 322, 14791, 'CodevTT_RAF', '6', '6', 0, 1492787569),
(215868, 322, 14791, 'CodevTT_RAF', '6', '5', 0, 1492787576),
(215869, 322, 14791, 'CodevTT_RAF', '5', '5', 0, 1492787584),
(215870, 322, 14791, 'CodevTT_RAF', '5', '5', 0, 1492787593),
(215871, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1492787736),
(215877, 2, 18116, 'CodevTT_RAF', '0.2', '0', 0, 1492787786),
(215878, 2, 18116, 'CodevTT_RAF', '0', '0', 0, 1492787786),
(215879, 2, 18116, 'status', '50', '80', 0, 1492787786),
(215880, 2, 18116, 'CodevTT_RAF', '0', '0', 0, 1492787800),
(215883, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1492787840),
(215885, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1492787862),
(215890, 2, 17251, '', '18282', '', 2, 1492787897),
(215895, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1492787938),
(215934, 246, 18488, '', '18286', '', 2, 1492790627),
(215935, 246, 18488, 'CodevTT_RAF', '5', '5', 0, 1492790627),
(215948, 158, 17747, 'CodevTT_RAF', '3', '2', 0, 1492800600),
(215949, 158, 17747, 'CodevTT_RAF', '2', '2', 0, 1492800785),
(215950, 158, 17747, 'CodevTT_RAF', '2', '2', 0, 1492800831),
(215951, 158, 17747, 'CodevTT_RAF', '2', '2', 0, 1492800904),
(215952, 158, 17747, 'CodevTT_RAF', '2', '2', 0, 1492800921),
(215953, 158, 17747, 'CodevTT_RAF', '2', '2', 0, 1492800967),
(215954, 169, 10749, 'CodevTT_RAF', '17', '16', 0, 1492982810),
(215955, 169, 10749, 'CodevTT_RAF', '16', '15', 0, 1492982822),
(215956, 169, 10749, 'CodevTT_RAF', '15', '15', 0, 1492982849),
(215957, 169, 10749, 'CodevTT_RAF', '15', '14', 0, 1492982871),
(215958, 169, 10749, 'CodevTT_RAF', '14', '13', 0, 1492982880),
(215959, 169, 10749, 'CodevTT_RAF', '13', '12', 0, 1492982887),
(215976, 217, 17258, 'CodevTT_RAF', '5', '5', 0, 1493017074),
(215977, 217, 17258, 'CodevTT_RAF', '5', '4', 0, 1493017084),
(215978, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1493017112),
(216014, 72, 18535, '', '', '', 1, 1493021106),
(216015, 72, 18535, 'handler_id', '0', '157', 0, 1493021106),
(216213, 199, 18008, 'CodevTT_RAF', '1', '0', 0, 1493033561),
(216214, 199, 18008, 'CodevTT_RAF', '0', '0', 0, 1493033561),
(216215, 199, 18008, 'status', '50', '80', 0, 1493033561),
(216218, 199, 10394, '', '18300', '', 2, 1493033635),
(216219, 199, 10394, 'CodevTT_RAF', '1', '1', 0, 1493033635),
(216220, 199, 10394, 'handler_id', '205', '199', 0, 1493033635),
(216223, 199, 18401, 'CodevTT_RAF', '0', '025', 0, 1493033703),
(216224, 199, 18401, 'status', '80', '20', 0, 1493033703),
(216225, 199, 18401, 'handler_id', '246', '199', 0, 1493033703),
(216228, 72, 18575, '', '', '', 1, 1493034818),
(216234, 199, 18473, 'CodevTT_RAF', '0', '0', 0, 1493035379),
(216280, 274, 2, '', '18312', '', 2, 1493037530),
(216486, 199, 18473, 'CodevTT_RAF', '0', '0', 0, 1493098672),
(216487, 199, 18473, 'CodevTT_RAF', '0', '0', 0, 1493098683),
(216488, 217, 11112, 'CodevTT_RAF', '5', '5', 0, 1493101307),
(216535, 217, 17258, '', '18349', '', 2, 1493106570),
(216536, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1493108945),
(216537, 164, 1435, '', '18350', '', 2, 1493108989),
(216538, 164, 1435, '', '18350', '', 4, 1493109010),
(216539, 164, 1435, '', '18351', '', 2, 1493109010),
(216555, 158, 17747, 'CodevTT_RAF', '2', '1', 0, 1493110689),
(216615, 72, 17451, 'CodevTT_ChargeMgr', '', '5', 0, 1493116610),
(216616, 72, 17452, 'CodevTT_ChargeMgr', '', '6', 0, 1493116623),
(216620, 158, 17747, 'CodevTT_RAF', '1', '0.5', 0, 1493117078),
(216621, 72, 18587, '', '', '', 1, 1493117103),
(216622, 72, 18587, 'handler_id', '0', '74', 0, 1493117103),
(216623, 72, 18587, '', '', '18511', 21, 1493117103),
(216624, 72, 18511, '', '', '18587', 20, 1493117103),
(216625, 72, 18575, 'CodevTT_RAF', '', '2', 0, 1493118033),
(216626, 72, 18575, 'status', '10', '50', 0, 1493118033),
(216627, 72, 18575, 'handler_id', '0', '72', 0, 1493118033),
(216628, 72, 2041, '', '18360', '', 2, 1493118044),
(216629, 72, 18575, '', '18361', '', 2, 1493118064),
(216732, 158, 17747, 'CodevTT_RAF', '0.5', '0.5', 0, 1493128449),
(216745, 157, 18575, 'CodevTT_RAF', '2', '2', 0, 1493130178),
(216746, 157, 17300, 'CodevTT_RAF', '0', '0', 0, 1493130197),
(216747, 157, 18535, 'CodevTT_RAF', '', '1', 0, 1493130229),
(216748, 157, 18535, 'status', '10', '50', 0, 1493130229),
(216749, 217, 17258, 'CodevTT_RAF', '4', '1', 0, 1493130285),
(216750, 217, 15855, 'CodevTT_RAF', '0', '1', 0, 1493130328),
(216751, 217, 15855, 'status', '80', '50', 0, 1493130328),
(216766, 205, 18575, 'CodevTT_RAF', '2', '2', 0, 1493131628),
(216767, 205, 18575, 'CodevTT_RAF', '2', '2', 0, 1493131637),
(216768, 205, 17063, 'CodevTT_RAF', '8', '8', 0, 1493131675),
(216769, 205, 17063, 'CodevTT_RAF', '8', '8', 0, 1493131718),
(216770, 205, 17063, 'CodevTT_RAF', '8', '8', 0, 1493131749),
(216792, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1493133501),
(216793, 147, 10623, 'CodevTT_RAF', '0', '0', 0, 1493133519),
(216794, 147, 16073, 'CodevTT_RAF', '', '5', 0, 1493133575),
(216795, 147, 16073, 'status', '10', '50', 0, 1493133575),
(216796, 147, 16073, 'CodevTT_ChargeInit', '1', '6', 0, 1493133642),
(216967, 158, 17747, 'CodevTT_RAF', '0.5', '0', 0, 1493197694),
(216968, 158, 17747, 'CodevTT_RAF', '0', '0', 0, 1493197694),
(216969, 158, 17747, 'status', '50', '80', 0, 1493197694),
(217002, 2, 18116, '', '18422', '', 2, 1493199660),
(217003, 2, 18116, 'CodevTT_RAF', '0', '0', 0, 1493199660),
(217004, 2, 18116, 'CodevTT_RAF', '0', '0', 0, 1493199702),
(217017, 72, 16072, 'handler_id', '147', '72', 0, 1493206011),
(217018, 72, 18601, '', '', '', 1, 1493206130),
(217019, 72, 18601, 'handler_id', '0', '72', 0, 1493206130),
(217020, 72, 18601, '', '', '16073', 21, 1493206130),
(217021, 72, 16073, '', '', '18601', 20, 1493206130),
(217022, 72, 16072, '', '18423', '', 2, 1493206870),
(217023, 72, 16072, 'CodevTT_RAF', '', '0.75', 0, 1493206870),
(217024, 72, 16072, 'status', '10', '50', 0, 1493206870),
(217025, 72, 18601, '', '18424', '', 2, 1493206927),
(217026, 72, 18601, 'CodevTT_RAF', '', '1.5', 0, 1493206927),
(217027, 72, 18601, 'status', '10', '50', 0, 1493206927),
(217070, 382, 1400, '', '18435', '', 2, 1493214218),
(217071, 382, 1400, '', '18436', '', 2, 1493214271),
(217072, 382, 1400, '', '18437', '', 2, 1493214323),
(217268, 217, 15855, 'CodevTT_RAF', '1', '2', 0, 1493276689),
(217273, 217, 14013, 'CodevTT_RAF', '24.5', '24.5', 0, 1493276837),
(217274, 217, 14013, 'CodevTT_RAF', '24.5', '24.5', 0, 1493276850),
(217426, 158, 14710, 'CodevTT_RAF', '3', '5', 0, 1493280665),
(217494, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1493283102),
(217502, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1493283227),
(217560, 2, 18575, 'project_id', '41', '81', 0, 1493286239),
(217561, 2, 18575, 'category', 'ARCOS', 'General', 0, 1493286239),
(217566, 72, 18491, 'handler_id', '246', '169', 0, 1493286484),
(217567, 72, 18491, 'CodevTT_Dead Line', '', '', 0, 1493286484),
(217568, 72, 18491, 'CodevTT_ChargeMgr', '', '0', 0, 1493286504),
(217569, 72, 18491, 'CodevTT_ChargeInit', '5', '3', 0, 1493286504),
(217570, 72, 18490, 'CodevTT_ChargeMgr', '', '0', 0, 1493286536),
(217571, 72, 18490, 'CodevTT_ChargeInit', '', '2', 0, 1493286536),
(217649, 2, 18610, '', '', '', 1, 1493293134),
(217650, 74, 14014, 'CodevTT_RAF', '4', '4', 0, 1493293153),
(217651, 74, 14014, 'CodevTT_RAF', '4', '3', 0, 1493293165),
(217652, 74, 14014, 'CodevTT_RAF', '3', '2', 0, 1493293172),
(217653, 74, 14014, 'CodevTT_RAF', '2', '1', 0, 1493293183),
(217654, 74, 14014, 'CodevTT_RAF', '1', '0', 0, 1493293196),
(217655, 74, 14014, 'CodevTT_RAF', '0', '0', 0, 1493293196),
(217656, 74, 14014, 'status', '50', '80', 0, 1493293196),
(217657, 2, 18610, '', '18616', '', 2, 1493293204),
(217658, 2, 18610, 'CodevTT_RAF', '', '0', 0, 1493293204),
(217659, 2, 18610, 'CodevTT_RAF', '0', '0', 0, 1493293204),
(217660, 2, 18610, 'status', '10', '80', 0, 1493293204),
(217661, 2, 18610, 'handler_id', '0', '2', 0, 1493293204),
(217662, 2, 18116, '', '18617', '', 2, 1493293294),
(217663, 2, 18116, 'CodevTT_RAF', '0', '0', 0, 1493293294),
(217682, 72, 18491, '', '0018627', '', 2, 1493294690),
(218085, 147, 16073, 'CodevTT_RAF', '5', '4', 0, 1493304133),
(218086, 147, 16073, 'CodevTT_RAF', '4', '3', 0, 1493304159),
(218089, 147, 16073, 'CodevTT_RAF', '3', '1', 0, 1493304197),
(218225, 72, 12688, 'CodevTT_RAF', '1', '0', 0, 1493359281),
(218226, 72, 12688, 'status', '50', '80', 0, 1493359281),
(218227, 72, 12688, 'CodevTT_RAF', '0', '0', 0, 1493359281),
(218228, 72, 12688, 'CodevTT_Dead Line', '', '', 0, 1493359281),
(218229, 72, 15785, 'handler_id', '217', '199', 0, 1493360137),
(218230, 72, 18404, 'handler_id', '205', '0', 0, 1493360736),
(218288, 217, 15855, 'CodevTT_RAF', '2', '0', 0, 1493361780),
(218289, 217, 15855, 'status', '50', '80', 0, 1493361780),
(218290, 217, 15855, 'CodevTT_RAF', '0', '0', 0, 1493361780),
(218293, 217, 17064, 'handler_id', '217', '205', 0, 1493361862),
(218294, 217, 17258, 'CodevTT_RAF', '1', '0', 0, 1493361901),
(218295, 217, 17258, 'status', '50', '80', 0, 1493361901),
(218296, 217, 17258, 'CodevTT_RAF', '0', '0', 0, 1493361901),
(218329, 217, 15835, 'CodevTT_RAF', '1', '0', 0, 1493362242),
(218330, 217, 15835, 'status', '50', '80', 0, 1493362242),
(218331, 217, 15835, 'CodevTT_RAF', '0', '0', 0, 1493362242),
(218338, 217, 16077, 'CodevTT_RAF', '1', '0', 0, 1493362278),
(218339, 217, 16077, 'status', '50', '80', 0, 1493362278),
(218340, 217, 16077, 'CodevTT_RAF', '0', '0', 0, 1493362278),
(218341, 217, 16546, 'CodevTT_RAF', '5', '0', 0, 1493362320),
(218342, 217, 16546, 'status', '50', '80', 0, 1493362320),
(218343, 217, 16546, 'CodevTT_RAF', '0', '0', 0, 1493362320),
(218344, 217, 16722, 'CodevTT_RAF', '5', '0', 0, 1493362350),
(218345, 217, 16722, 'status', '50', '80', 0, 1493362350),
(218346, 217, 16722, 'CodevTT_RAF', '0', '0', 0, 1493362350),
(218347, 72, 18660, 'Ref. Externe', '', '44527', 0, 1493362786),
(218348, 72, 18660, 'CodevTT_ChargeInit', '', '2', 0, 1493362786),
(218349, 72, 18660, 'handler_id', '0', '199', 0, 1493362786),
(218350, 72, 18660, 'codevtt_type', '', 'Task', 0, 1493362786),
(218361, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1493364824),
(218375, 147, 16073, 'CodevTT_RAF', '1', '1', 0, 1493366601),
(218378, 157, 18512, 'CodevTT_RAF', '', '0', 0, 1493367663),
(218379, 157, 18512, 'CodevTT_RAF', '0', '0', 0, 1493367663),
(218380, 157, 18512, 'status', '10', '80', 0, 1493367663),
(218381, 157, 18512, 'CodevTT_RAF', '0', '0', 0, 1493367674),
(218382, 157, 18489, 'CodevTT_RAF', '', '9.5', 0, 1493367836),
(218383, 157, 18489, 'status', '10', '50', 0, 1493367836),
(218384, 157, 18121, 'CodevTT_RAF', '', '0.5', 0, 1493367916),
(218385, 157, 18121, 'status', '10', '50', 0, 1493367916),
(218386, 157, 18120, 'CodevTT_RAF', '1.3', '0', 0, 1493367963),
(218387, 157, 18120, 'status', '50', '80', 0, 1493367963),
(218388, 157, 18120, 'CodevTT_RAF', '0', '0', 0, 1493367963),
(218389, 157, 18535, 'CodevTT_RAF', '1', '0', 0, 1493367998),
(218390, 157, 18535, 'status', '50', '80', 0, 1493367998),
(218391, 157, 18535, 'CodevTT_RAF', '0', '0', 0, 1493367998),
(218392, 157, 17987, 'CodevTT_RAF', '0.5', '0', 0, 1493368025),
(218393, 157, 17987, 'status', '50', '80', 0, 1493368025),
(218394, 157, 17987, 'CodevTT_RAF', '0', '0', 0, 1493368025),
(218395, 157, 17452, 'CodevTT_RAF', '', '0', 0, 1493368050),
(218396, 157, 17452, 'status', '10', '80', 0, 1493368050),
(218397, 157, 17452, 'CodevTT_RAF', '0', '0', 0, 1493368050),
(218472, 2, 18661, '', '', '', 1, 1493369812),
(218482, 2, 18662, '', '', '', 1, 1493369882),
(218485, 2, 18663, '', '', '', 1, 1493370083),
(218490, 2, 18116, 'status', '80', '50', 0, 1493370251),
(218491, 2, 18116, 'CodevTT_ChargeMgr', '', '0', 0, 1493370264),
(218492, 2, 18116, 'CodevTT_RAF', '0', '3', 0, 1493370264),
(218494, 2, 18119, 'CodevTT_RAF', '', '0', 0, 1493370311),
(218495, 2, 18119, 'status', '10', '80', 0, 1493370311),
(218496, 2, 18119, 'CodevTT_RAF', '0', '0', 0, 1493370311),
(218547, 2, 18663, 'CodevTT_RAF', '', '2', 0, 1493371520),
(218548, 2, 18663, 'status', '10', '50', 0, 1493371520),
(218549, 2, 18663, 'handler_id', '0', '2', 0, 1493371520),
(218557, 2, 18662, 'CodevTT_RAF', '', '10', 0, 1493371651),
(218558, 2, 18662, 'status', '10', '50', 0, 1493371651),
(218559, 2, 18662, 'handler_id', '0', '2', 0, 1493371651),
(218562, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1493371692),
(218625, 164, 18610, 'CodevTT_RAF', '0', '0', 0, 1493374108),
(218626, 164, 17251, '', '18740', '', 2, 1493374129),
(218627, 164, 16139, 'CodevTT_RAF', '0', '0', 0, 1493374166),
(218676, 217, 16971, 'CodevTT_RAF', '9', '0', 0, 1493383851),
(218677, 217, 16971, 'status', '50', '80', 0, 1493383851),
(218678, 217, 16971, 'CodevTT_RAF', '0', '0', 0, 1493383851),
(218679, 217, 16925, 'CodevTT_RAF', '5', '0', 0, 1493383946),
(218680, 217, 16925, 'status', '50', '80', 0, 1493383946),
(218681, 217, 16925, 'CodevTT_RAF', '0', '0', 0, 1493383946),
(218682, 217, 16922, 'status', '80', '50', 0, 1493384365),
(218683, 217, 16922, 'CodevTT_RAF', '0', '3', 0, 1493384379),
(218684, 217, 15856, 'CodevTT_RAF', '0', '0', 0, 1493384459),
(218688, 217, 14013, '', '18748', '', 2, 1493384550),
(218689, 217, 14013, 'CodevTT_RAF', '24.5', '24.5', 0, 1493385339),
(218843, 158, 14710, 'CodevTT_RAF', '5', '5', 0, 1493395897),
(218844, 158, 14710, 'CodevTT_RAF', '5', '5', 0, 1493395911),
(218856, 199, 10740, 'CodevTT_RAF', '0', '0', 0, 1493626590),
(218857, 199, 10740, 'CodevTT_RAF', '0', '0', 0, 1493626606),
(218858, 199, 10398, 'CodevTT_RAF', '3', '6', 0, 1493626638),
(218859, 199, 18660, 'CodevTT_RAF', '', '0.1', 0, 1493626690),
(218860, 199, 18660, 'status', '10', '50', 0, 1493626690),
(218861, 199, 17063, 'CodevTT_RAF', '8', '8', 0, 1493626732),
(218862, 199, 12325, 'CodevTT_RAF', '0.5', '0.5', 0, 1493626955),
(218863, 199, 10398, 'CodevTT_RAF', '6', '6', 0, 1493626978),
(218864, 199, 17746, 'CodevTT_RAF', '0', '0', 0, 1493627087),
(218865, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1493627144),
(218866, 169, 10749, 'CodevTT_RAF', '12', '10', 0, 1493671881),
(218867, 169, 10749, 'CodevTT_RAF', '10', '11', 0, 1493671897),
(218868, 169, 10749, 'CodevTT_RAF', '11', '10', 0, 1493671905),
(218869, 169, 10749, 'CodevTT_RAF', '10', '10', 0, 1493671918),
(218870, 169, 10749, 'CodevTT_RAF', '10', '10', 0, 1493671932),
(218899, 217, 14013, 'CodevTT_RAF', '24.5', '25', 0, 1493709718),
(218942, 329, 2, '', '18762', '', 2, 1493711168),
(219129, 157, 18490, 'CodevTT_RAF', '', '1.75', 0, 1493721779),
(219130, 157, 18490, 'status', '10', '50', 0, 1493721779),
(219131, 157, 18489, 'CodevTT_RAF', '9.5', '9', 0, 1493721893),
(219810, 147, 18718, 'CodevTT_RAF', '', '0', 0, 1493881330),
(219135, 72, 18718, 'Ref. Externe', '', '44548', 0, 1493722398),
(219136, 72, 18718, 'CodevTT_ChargeInit', '', '1', 0, 1493722398),
(219137, 72, 18718, 'handler_id', '0', '147', 0, 1493722398),
(219138, 72, 18718, 'codevtt_type', '', 'Task', 0, 1493722398),
(219156, 2, 18116, 'CodevTT_RAF', '3', '1', 0, 1493727901),
(219157, 2, 18116, '', '18793', '', 2, 1493727914),
(219181, 72, 18720, '', '', '', 1, 1493729835),
(219182, 72, 18720, 'handler_id', '0', '157', 0, 1493729835),
(219183, 72, 18721, '', '', '', 1, 1493729870),
(219184, 72, 18721, 'handler_id', '0', '157', 0, 1493729870),
(219185, 72, 18721, '', '', '18720', 21, 1493729870),
(219186, 72, 18720, '', '', '18721', 20, 1493729870),
(219187, 72, 18721, '', '2500', '18720', 18, 1493729870),
(219188, 72, 18720, '', '2501', '18721', 18, 1493729870),
(219203, 157, 18489, 'CodevTT_RAF', '9', '9.25', 0, 1493731621),
(219204, 157, 18720, 'CodevTT_RAF', '', '0.75', 0, 1493731654),
(219205, 157, 18720, 'status', '10', '50', 0, 1493731654),
(219206, 157, 18489, 'CodevTT_RAF', '9.25', '9.25', 0, 1493731715),
(219210, 157, 18720, 'CodevTT_RAF', '0.75', '0.75', 0, 1493731780),
(219297, 164, 18735, '', '', '', 1, 1493735467),
(219298, 164, 18735, 'handler_id', '0', '164', 0, 1493735467),
(219299, 164, 18735, '', '', '16139', 21, 1493735467),
(219300, 164, 16139, '', '', '18735', 20, 1493735467),
(219304, 164, 18735, 'status', '10', '80', 0, 1493735498),
(219305, 164, 18735, 'resolution', '10', '20', 0, 1493735498),
(219306, 164, 18735, 'CodevTT_RAF', '', '0', 0, 1493735498),
(219308, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1493735536),
(219309, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1493735634),
(219367, 339, 1, '', '18826', '', 2, 1493744598),
(219408, 168, 17424, 'CodevTT_RAF', '', '14', 0, 1493797423),
(219409, 168, 17424, 'CodevTT_RAF', '14', '13.5', 0, 1493797438),
(219410, 168, 17424, 'CodevTT_RAF', '13.5', '13.5', 0, 1493797473),
(219411, 168, 17424, 'CodevTT_RAF', '13.5', '12.5', 0, 1493797491),
(219412, 168, 17637, 'CodevTT_RAF', '1', '2', 0, 1493797610),
(219413, 168, 17637, '', '18835', '', 2, 1493797630),
(219414, 168, 1, '', '18836', '', 2, 1493797667),
(219467, 217, 14013, 'CodevTT_RAF', '25', '25', 0, 1493798864),
(219703, 2, 18116, '', '18793', '', 4, 1493818566),
(219704, 2, 18116, '', '18883', '', 2, 1493818566),
(219705, 2, 2894, '', '18884', '', 2, 1493818643),
(219811, 147, 18718, 'CodevTT_RAF', '0', '0', 0, 1493881330),
(219812, 147, 18718, 'status', '10', '80', 0, 1493881330),
(219815, 72, 18757, '', '', '', 1, 1493881356),
(219819, 147, 16073, 'CodevTT_RAF', '1', '0', 0, 1493881404),
(219820, 147, 16073, 'CodevTT_RAF', '0', '0', 0, 1493881404),
(219821, 147, 16073, 'status', '50', '80', 0, 1493881404),
(219826, 72, 18757, 'handler_id', '0', '147', 0, 1493881681),
(219884, 72, 18776, 'Ref. Externe', '', '44555', 0, 1493881899),
(219885, 72, 18776, 'CodevTT_ChargeInit', '', '0.5', 0, 1493881899),
(219886, 72, 18776, 'target_version', '', '18.0_PUMA', 0, 1493881899),
(219887, 72, 18776, 'handler_id', '0', '205', 0, 1493881899),
(219888, 72, 18776, 'codevtt_type', '', 'Task', 0, 1493881899),
(219889, 72, 18777, 'Ref. Externe', '', '44555', 0, 1493881899),
(219890, 72, 18777, 'CodevTT_ChargeInit', '', '0.5', 0, 1493881899),
(219891, 72, 18777, 'target_version', '', '18.0_PUMA', 0, 1493881899),
(219892, 72, 18777, 'handler_id', '0', '205', 0, 1493881899),
(219893, 72, 18777, 'codevtt_type', '', 'Task', 0, 1493881899),
(220126, 157, 8152, 'handler_id', '0', '157', 0, 1493888195),
(220127, 157, 8152, 'CodevTT_RAF', '', '0', 0, 1493888206),
(220128, 157, 8152, 'status', '20', '80', 0, 1493888206),
(220129, 157, 8152, 'CodevTT_RAF', '0', '0', 0, 1493888206),
(220130, 157, 8151, 'CodevTT_RAF', '', '0', 0, 1493888273),
(220131, 157, 8151, 'status', '20', '80', 0, 1493888273),
(220132, 157, 8151, 'CodevTT_RAF', '0', '0', 0, 1493888273),
(220153, 72, 18089, 'handler_id', '157', '0', 0, 1493888495),
(220162, 72, 18088, 'handler_id', '157', '0', 0, 1493888518),
(220290, 168, 17637, 'CodevTT_RAF', '2', '.5', 0, 1493891121),
(220291, 168, 17637, 'CodevTT_RAF', '.5', '0', 0, 1493891136),
(220292, 168, 17637, 'CodevTT_RAF', '0', '0', 0, 1493891136),
(220293, 168, 17637, 'status', '50', '80', 0, 1493891136),
(220849, 2, 18116, '', '19151', '', 2, 1493906134),
(220874, 164, 16588, '', '19160', '', 2, 1493906940),
(220873, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1493906923),
(220872, 164, 17251, '', '19159', '', 2, 1493906873),
(220871, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1493906854),
(220870, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1493906840),
(220729, 217, 14013, 'CodevTT_RAF', '25', '24', 0, 1493904598),
(220730, 217, 14013, 'CodevTT_RAF', '24', '24', 0, 1493904607),
(221003, 72, 18601, 'handler_id', '72', '74', 0, 1493962485),
(221004, 72, 16072, 'CodevTT_RAF', '0.75', '0', 0, 1493962538),
(221005, 72, 16072, 'status', '50', '80', 0, 1493962538),
(221006, 72, 16072, 'CodevTT_RAF', '0', '0', 0, 1493962538),
(221025, 72, 18493, 'handler_id', '0', '147', 0, 1493965784),
(221026, 72, 18493, 'CodevTT_Dead Line', '', '', 0, 1493965784),
(221027, 72, 18492, 'handler_id', '0', '147', 0, 1493965808),
(221073, 2, 18610, '', '19217', '', 2, 1493970110),
(221074, 2, 18610, 'CodevTT_RAF', '0', '0', 0, 1493970110),
(224448, 205, 17063, 'CodevTT_RAF', '5', '5', 0, 1494595852),
(224447, 205, 18403, 'CodevTT_RAF', '0', '0', 0, 1494595840),
(224653, 199, 18491, 'CodevTT_Dead Line', '', '', 0, 1494832064),
(224651, 199, 18490, 'CodevTT_Dead Line', '', '', 0, 1494831963),
(221616, 157, 18720, 'CodevTT_RAF', '0.75', '0.25', 0, 1493975336),
(221617, 157, 18755, 'CodevTT_RAF', '', '4.5', 0, 1493975370),
(221618, 157, 18755, 'status', '10', '50', 0, 1493975370),
(221619, 157, 18489, 'CodevTT_RAF', '9.25', '8.75', 0, 1493975397),
(221620, 157, 18756, 'CodevTT_RAF', '', '4.5', 0, 1493975427),
(221621, 157, 18756, 'status', '10', '50', 0, 1493975427),
(221670, 83, 2865, '', '16619', '', 4, 1493976704),
(221671, 83, 2865, '', '19237', '', 2, 1493976704),
(224650, 199, 18490, 'CodevTT_RAF', '0', '0', 0, 1494831963),
(224649, 199, 18490, 'status', '50', '80', 0, 1494831963),
(224648, 199, 18490, 'CodevTT_RAF', '1.5', '0', 0, 1494831963),
(224647, 199, 18491, 'CodevTT_Dead Line', '', '', 0, 1494831948),
(221989, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1493985894),
(224646, 199, 18491, 'status', '80', '50', 0, 1494831948),
(222309, 2, 18116, '', '19151', '3852', 3, 1493993375),
(222338, 72, 18601, 'CodevTT_RAF', '1.5', '1', 0, 1493993976),
(222339, 72, 18601, '', '19262', '', 2, 1493993999),
(222340, 72, 18601, 'CodevTT_RAF', '1', '0.5', 0, 1493993999),
(222345, 72, 18601, 'handler_id', '74', '72', 0, 1493994016),
(222365, 72, 18601, 'RSI_Type_Ano', '', 'Production', 0, 1493995126),
(222367, 72, 18243, 'RSI_Type_Ano', '', 'Production', 0, 1493995196),
(222368, 72, 18244, 'RSI_Type_Ano', '', 'Production', 0, 1493995260),
(222369, 72, 18287, 'RSI_Type_Ano', '', 'Production', 0, 1493995327),
(222373, 72, 18288, 'RSI_Type_Ano', '', 'Production', 0, 1493995395),
(222374, 72, 18289, 'RSI_Type_Ano', '', 'Production', 0, 1493995443),
(222375, 72, 18401, 'RSI_Type_Ano', '', 'Production', 0, 1493995483),
(222379, 72, 18402, 'RSI_Type_Ano', '', 'Recette', 0, 1493995540),
(222383, 72, 18008, 'RSI_Type_Ano', '', 'Production', 0, 1493995717),
(222480, 2, 17858, '', '19273', '', 2, 1494000707),
(222481, 113, 18575, '', '19274', '', 2, 1494000715),
(222482, 2, 17858, '', '19275', '', 2, 1494000733),
(222483, 2, 1437, '', '19276', '', 2, 1494000777),
(222599, 147, 18757, 'CodevTT_RAF', '', '1', 0, 1494319586),
(222600, 147, 18757, 'status', '10', '50', 0, 1494319586),
(222601, 217, 14013, 'CodevTT_RAF', '24', '24', 0, 1494320074),
(222673, 157, 14621, 'handler_id', '0', '157', 0, 1494327836),
(222674, 157, 14621, 'status', '10', '80', 0, 1494327836),
(222675, 157, 14621, 'resolution', '10', '20', 0, 1494327836),
(222676, 157, 14621, 'CodevTT_RAF', '', '0', 0, 1494327836),
(222739, 2, 18610, 'CodevTT_RAF', '0', '0', 0, 1494337373),
(222748, 72, 2894, '', '19328', '', 2, 1494337755),
(222749, 72, 18490, 'CodevTT_RAF', '1.75', '1.5', 0, 1494337782),
(222759, 72, 17637, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222760, 72, 17424, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222761, 72, 17428, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222762, 72, 17429, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222763, 72, 10745, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222764, 72, 10743, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222765, 72, 17432, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222766, 72, 17426, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222767, 72, 17431, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222768, 72, 17430, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222769, 72, 17427, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222770, 72, 17425, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222771, 72, 10746, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222772, 72, 12288, 'CodevTT_Dead Line', '', '1499378400', 0, 1494339340),
(222804, 72, 14710, 'handler_id', '158', '246', 0, 1494341651),
(222861, 2, 1435, '', '19352', '', 2, 1494345417),
(222866, 246, 17968, '', '19354', '', 2, 1494345779),
(222867, 246, 17968, 'CodevTT_RAF', '', '1', 0, 1494345779),
(222868, 246, 17968, 'status', '10', '50', 0, 1494345779),
(222877, 36, 2, '', '19355', '', 2, 1494396082),
(222892, 72, 17746, 'CodevTT_ChargeMgr', '0', '8', 0, 1494399764),
(222893, 72, 17747, 'CodevTT_ChargeMgr', '0', '8', 0, 1494399787),
(222894, 72, 17747, 'CodevTT_ChargeInit', '2', '5', 0, 1494399803),
(222895, 72, 17747, 'CodevTT_ChargeInit', '5', '6', 0, 1494399810),
(222902, 157, 18489, 'CodevTT_RAF', '8.75', '7.75', 0, 1494402864),
(222909, 168, 17426, 'CodevTT_RAF', '', '1', 0, 1494403398),
(222917, 168, 17426, '', '19367', '', 2, 1494403680),
(222926, 205, 17063, 'CodevTT_RAF', '8', '2', 0, 1494403916),
(222933, 205, 18403, 'CodevTT_RAF', '', '0', 0, 1494404345),
(222934, 205, 18403, 'CodevTT_RAF', '0', '0', 0, 1494404346),
(222935, 205, 18403, 'status', '10', '80', 0, 1494404346),
(222936, 205, 17063, 'CodevTT_RAF', '2', '1', 0, 1494404603),
(222937, 205, 17063, 'CodevTT_RAF', '1', '6', 0, 1494404687),
(222938, 217, 11112, 'CodevTT_RAF', '5', '10', 0, 1494404785),
(222939, 217, 14013, 'CodevTT_RAF', '24', '23', 0, 1494404811),
(222946, 205, 17063, 'CodevTT_RAF', '6', '6', 0, 1494406554),
(222947, 205, 17063, 'CodevTT_RAF', '6', '6', 0, 1494406780),
(222948, 205, 17063, 'CodevTT_RAF', '6', '6', 0, 1494406788),
(222967, 72, 18720, 'CodevTT_ChargeMgr', '0', '1', 0, 1494408570),
(222968, 72, 18720, 'CodevTT_RAF', '0.25', '0', 0, 1494408577),
(222969, 72, 18720, 'status', '50', '80', 0, 1494408577),
(222970, 72, 18720, 'CodevTT_RAF', '0', '0', 0, 1494408577),
(222971, 72, 18720, 'CodevTT_Dead Line', '', '', 0, 1494408577),
(222972, 72, 18721, 'CodevTT_ChargeMgr', '0', '1', 0, 1494408601),
(222979, 72, 16072, 'CodevTT_ChargeMgr', '0', '2', 0, 1494408753),
(222980, 72, 16073, 'CodevTT_ChargeMgr', '0', '3', 0, 1494408798),
(222981, 72, 18601, 'CodevTT_ChargeMgr', '0', '1', 0, 1494408813),
(222982, 72, 18601, 'CodevTT_RAF', '0.5', '0', 0, 1494408848),
(222983, 72, 18601, 'status', '50', '80', 0, 1494408848),
(222984, 72, 18601, 'CodevTT_RAF', '0', '0', 0, 1494408848),
(222985, 72, 16071, '', '3855', '', 6, 1494409186),
(222986, 72, 16071, 'CodevTT_ChargeMgr', '0', '3.9', 0, 1494409186),
(222987, 2, 18661, 'CodevTT_RAF', '', '0', 0, 1494409347),
(222988, 2, 18661, 'status', '10', '80', 0, 1494409347),
(222989, 2, 18661, 'CodevTT_RAF', '0', '0', 0, 1494409347),
(222990, 72, 18964, '', '', '', 1, 1494410167),
(222991, 72, 18964, 'handler_id', '0', '72', 0, 1494410167),
(222999, 147, 18493, 'CodevTT_RAF', '', '1', 0, 1494411451),
(223000, 147, 18493, 'status', '10', '50', 0, 1494411451),
(223001, 147, 18493, 'CodevTT_RAF', '1', '0', 0, 1494411473),
(223002, 147, 18493, 'CodevTT_RAF', '0', '0', 0, 1494411473),
(223003, 147, 18493, 'status', '50', '80', 0, 1494411473),
(223025, 2, 18663, 'status', '50', '80', 0, 1494421028),
(223026, 2, 18663, 'resolution', '10', '70', 0, 1494421028),
(223027, 2, 18663, '', '0019388', '', 2, 1494421028),
(223028, 2, 18663, 'CodevTT_RAF', '2', '0', 0, 1494421028),
(223029, 2, 18965, '', '', '', 1, 1494421139),
(223030, 2, 18965, 'handler_id', '0', '2', 0, 1494421202),
(223078, 2, 18116, '', '19408', '', 2, 1494426168),
(223079, 2, 18116, 'CodevTT_RAF', '1', '0.5', 0, 1494426168),
(223080, 2, 2894, '', '19409', '', 2, 1494426265),
(223081, 2, 18116, '', '19408', '', 4, 1494426297),
(223082, 2, 18116, '', '19410', '', 2, 1494426297),
(223083, 2, 18965, 'summary', 'Activer le parametrage des scripts JCL', '44572 - Migration ANVCTX - Activation du paramétrage des JCL', 0, 1494426474),
(223084, 2, 18965, 'Ref. Externe', '', '44572', 0, 1494426474),
(223103, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1494429474),
(223113, 246, 17968, '', '19412', '', 2, 1494430626),
(223114, 246, 17968, 'CodevTT_RAF', '1', '1', 0, 1494430626),
(223115, 246, 17968, '', '19412', '', 4, 1494430635),
(223116, 246, 17968, 'CodevTT_RAF', '1', '0.5', 0, 1494430651),
(223134, 72, 18492, 'CodevTT_ChargeMgr', '', '1', 0, 1494483474),
(223135, 72, 18493, 'CodevTT_ChargeMgr', '', '1', 0, 1494483500),
(223238, 267, 2, '', '19457', '', 2, 1494487747),
(223440, 199, 18401, 'CodevTT_RAF', '025', '0', 0, 1494493583),
(223441, 199, 18401, 'CodevTT_RAF', '0', '0', 0, 1494493583),
(223442, 199, 18401, 'status', '20', '80', 0, 1494493583),
(223443, 199, 10740, 'CodevTT_RAF', '0', '0', 0, 1494493619),
(223444, 199, 10742, 'CodevTT_RAF', '0', '0', 0, 1494493652),
(223445, 199, 10740, 'CodevTT_RAF', '0', '0', 0, 1494493663),
(223448, 199, 17967, 'CodevTT_RAF', '0', '0', 0, 1494493724),
(223453, 199, 10740, 'CodevTT_RAF', '0', '0', 0, 1494493782),
(223489, 2, 18965, 'CodevTT_RAF', '', '0', 0, 1494495619),
(223490, 2, 18965, 'CodevTT_RAF', '0', '0', 0, 1494495619),
(223491, 2, 18965, 'status', '10', '80', 0, 1494495619),
(223652, 304, 2, '', '19617', '', 2, 1494505121),
(224335, 72, 17968, 'CodevTT_RAF', '0', '0', 0, 1494590001),
(224334, 72, 17968, 'status', '50', '80', 0, 1494590001),
(223759, 72, 18964, '', '19650', '', 2, 1494508645),
(223760, 72, 18964, 'CodevTT_RAF', '', '0', 0, 1494508645),
(223761, 72, 18964, 'CodevTT_RAF', '0', '0', 0, 1494508645),
(223762, 72, 18964, 'status', '10', '80', 0, 1494508645),
(223950, 157, 18489, 'CodevTT_RAF', '7.75', '7.5', 0, 1494513388),
(223951, 157, 18489, 'CodevTT_RAF', '7.5', '6.5', 0, 1494513428),
(224028, 2, 18965, '', '19744', '', 2, 1494516512),
(224029, 2, 18965, 'CodevTT_RAF', '0', '0', 0, 1494516512),
(224030, 2, 18965, '', '19745', '', 2, 1494516541),
(224096, 199, 16562, 'CodevTT_RAF', '2', '0', 0, 1494573348),
(224097, 199, 16562, 'CodevTT_RAF', '0', '0', 0, 1494573348),
(224098, 199, 16562, 'status', '50', '80', 0, 1494573348),
(224099, 199, 16562, '', '19776', '', 2, 1494573360),
(224100, 199, 10741, 'CodevTT_RAF', '0', '0', 0, 1494573379),
(224101, 199, 10741, 'CodevTT_RAF', '0', '0', 0, 1494573389),
(224120, 205, 17063, 'CodevTT_RAF', '6', '5', 0, 1494575270),
(224196, 157, 18489, 'CodevTT_RAF', '6.5', '6', 0, 1494580015),
(224199, 157, 18121, 'CodevTT_RAF', '0.5', '0', 0, 1494580170),
(224200, 157, 18121, 'status', '50', '80', 0, 1494580170),
(224201, 157, 18121, 'CodevTT_RAF', '0', '0', 0, 1494580170),
(224202, 157, 18489, 'CodevTT_Dead Line', '', '', 0, 1494580320),
(224203, 157, 18489, 'CodevTT_Dead Line', '', '1496700000', 0, 1494580334),
(224210, 147, 18492, 'CodevTT_RAF', '', '0', 0, 1494580654),
(224211, 147, 18492, 'CodevTT_RAF', '0', '0', 0, 1494580654),
(224212, 147, 18492, 'status', '10', '80', 0, 1494580654),
(224242, 147, 18493, 'CodevTT_RAF', '0', '0', 0, 1494581114),
(224262, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1494581449),
(224263, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1494581493),
(224288, 157, 18489, 'CodevTT_RAF', '6', '5.5', 0, 1494582497),
(224374, 72, 10406, 'CodevTT_RAF', '0', '0', 0, 1494592023),
(224373, 72, 10406, 'status', '50', '80', 0, 1494592023),
(224330, 72, 18488, 'CodevTT_ChargeInit', '5', '10', 0, 1494589851),
(224333, 72, 17968, 'CodevTT_RAF', '0.5', '0', 0, 1494590001),
(224336, 72, 17968, 'CodevTT_Dead Line', '', '', 0, 1494590001),
(224337, 72, 14710, 'CodevTT_Dead Line', '', '1495576800', 0, 1494590103),
(250705, 72, 14710, 'CodevTT_RAF', '0', '0', 0, 1499758028),
(224343, 72, 18488, 'CodevTT_Dead Line', '', '1503007200', 0, 1494590264),
(224347, 72, 16071, 'target_version', '', '17.4', 0, 1494590374),
(224348, 72, 17765, 'target_version', '17.4', '17.5', 0, 1494590426),
(224351, 72, 16849, 'status', '50', '20', 0, 1494590517),
(224352, 72, 16849, 'CodevTT_Dead Line', '', '', 0, 1494590517),
(224353, 72, 18587, 'CodevTT_RAF', '', '0', 0, 1494590575),
(224354, 72, 18587, 'status', '10', '80', 0, 1494590575),
(224355, 72, 18587, 'CodevTT_RAF', '0', '0', 0, 1494590575),
(224358, 72, 12999, 'target_version', '17.15_AFFI', '', 0, 1494590649),
(224361, 72, 18777, 'handler_id', '205', '199', 0, 1494590840),
(224362, 72, 18777, 'CodevTT_Dead Line', '', '', 0, 1494590840),
(224363, 72, 18660, 'CodevTT_RAF', '0.1', '0', 0, 1494590947),
(224364, 72, 18660, 'status', '50', '80', 0, 1494590947),
(224365, 72, 18660, 'CodevTT_RAF', '0', '0', 0, 1494590947),
(224366, 72, 18660, 'CodevTT_ChargeMgr', '', '1.7', 0, 1494591032),
(224367, 72, 18660, 'CodevTT_ChargeMgr', '1.7', '4.9', 0, 1494591108),
(224368, 72, 18660, 'CodevTT_ChargeMgr', '4.9', '4.2', 0, 1494591260),
(224372, 72, 10406, 'CodevTT_RAF', '', '0', 0, 1494592023),
(224454, 72, 1505, 'category', 'Gestion de Projet', 'Capitalisation', 0, 1494596631),
(224474, 2, 18965, 'CodevTT_ChargeMgr', '0', '1.8', 0, 1494598362),
(224478, 2, 18118, 'CodevTT_ChargeMgr', '', '2.5', 0, 1494598839),
(224479, 2, 18119, 'CodevTT_ChargeMgr', '', '1', 0, 1494598844),
(224582, 2, 18998, '', '', '', 1, 1494781979),
(224583, 2, 18998, 'handler_id', '0', '2', 0, 1494781980),
(224584, 2, 2894, '', '19835', '', 2, 1494782060),
(224585, 199, 10741, 'CodevTT_RAF', '0', '0', 0, 1494827444),
(224586, 199, 17741, 'CodevTT_RAF', '1', '0.1', 0, 1494827490),
(224587, 199, 17739, 'CodevTT_RAF', '0', '0', 0, 1494827512),
(224588, 199, 17633, 'CodevTT_RAF', '0', '0', 0, 1494827526),
(224593, 36, 2, '', '19837', '', 2, 1494828553),
(224594, 36, 2, '', '19837', '', 4, 1494828617),
(224636, 199, 18491, 'CodevTT_ChargeInit', '3', '2', 0, 1494831895),
(224637, 199, 18491, 'CodevTT_RAF', '', '0', 0, 1494831909),
(224639, 199, 18491, 'CodevTT_RAF', '0', '0', 0, 1494831928),
(224640, 199, 18491, 'status', '10', '80', 0, 1494831928),
(224641, 199, 18491, 'CodevTT_RAF', '0', '0', 0, 1494831928),
(224642, 199, 18491, 'CodevTT_Dead Line', '', '', 0, 1494831928),
(224655, 72, 18491, 'CodevTT_RAF', '0', '2', 0, 1494832256),
(225070, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1494913660),
(225080, 157, 18489, 'CodevTT_RAF', '5.5', '4.5', 0, 1494915717),
(225081, 157, 18489, 'CodevTT_RAF', '4.5', '4.5', 0, 1494915760),
(225107, 217, 14013, 'CodevTT_RAF', '23', '24', 0, 1494917860),
(225108, 217, 14013, 'CodevTT_RAF', '24', '24', 0, 1494917875),
(225109, 217, 14013, '', '19911', '', 2, 1494917885),
(225121, 246, 14710, 'CodevTT_RAF', '5', '5', 0, 1494918366),
(225151, 199, 18491, 'CodevTT_RAF', '2', '0', 0, 1494920055),
(225152, 199, 18491, 'status', '50', '80', 0, 1494920055),
(225153, 199, 18491, 'CodevTT_RAF', '0', '0', 0, 1494920055),
(225154, 199, 18491, 'CodevTT_Dead Line', '', '', 0, 1494920055),
(225155, 199, 18491, 'status', '80', '50', 0, 1494920082),
(225156, 199, 18491, 'CodevTT_Dead Line', '', '', 0, 1494920082),
(225157, 199, 18491, 'CodevTT_RAF', '0', '1.9', 0, 1494920132),
(225164, 199, 17967, 'CodevTT_RAF', '0', '0', 0, 1494921134),
(225278, 72, 16562, 'CodevTT_ChargeMgr', '', '2.5', 0, 1494927415),
(225279, 72, 16562, 'CodevTT_ChargeInit', '4', '2', 0, 1494927415),
(225287, 72, 16563, 'CodevTT_ChargeMgr', '', '1.5', 0, 1494927455),
(225296, 72, 16071, '', '3877', '', 6, 1494927668),
(225297, 72, 16071, 'CodevTT_ChargeMgr', '3.9', '5.4', 0, 1494927668),
(225311, 72, 18491, 'CodevTT_ChargeMgr', '0', '3', 0, 1494928057),
(225312, 72, 18490, 'CodevTT_ChargeMgr', '0', '3.5', 0, 1494928080),
(225341, 72, 18511, '', '3879', '', 6, 1494928413),
(225342, 72, 18511, 'CodevTT_ChargeMgr', '0', '2', 0, 1494928413),
(225425, 72, 19042, '', '', '', 1, 1494938581),
(225426, 72, 19042, '', '', '9684', 21, 1494938581),
(225427, 72, 9684, '', '', '19042', 20, 1494938581),
(225440, 72, 19042, 'CodevTT_RAF', '', '0', 0, 1494938756),
(225441, 72, 19042, 'status', '10', '80', 0, 1494938756),
(225442, 72, 19042, 'CodevTT_RAF', '0', '0', 0, 1494938756),
(225444, 72, 9684, 'CodevTT_ChargeMgr', '5.5', '0', 0, 1494938782),
(225445, 72, 9683, 'CodevTT_ChargeMgr', '8.5', '0', 0, 1494938820),
(225446, 72, 9685, 'CodevTT_ChargeMgr', '3', '0', 0, 1494938839),
(242965, 157, 19786, 'status', '10', '50', 0, 1498572014),
(242964, 157, 19786, 'CodevTT_RAF', '', '2', 0, 1498572014),
(225456, 72, 19043, '', '', '', 1, 1494939093),
(225457, 72, 19043, '', '', '10399', 21, 1494939093),
(225458, 72, 10399, '', '', '19043', 20, 1494939093),
(242963, 157, 18756, 'CodevTT_RAF', '3.5', '3', 0, 1498571974),
(225463, 72, 19043, 'CodevTT_RAF', '', '0', 0, 1494939223),
(225464, 72, 19043, 'status', '10', '80', 0, 1494939223),
(225465, 72, 19043, 'CodevTT_RAF', '0', '0', 0, 1494939223),
(225471, 72, 19044, '', '', '', 1, 1494939864),
(225472, 72, 19044, '', '', '19043', 21, 1494939864),
(225473, 72, 19043, '', '', '19044', 20, 1494939864),
(225474, 72, 19044, 'CodevTT_RAF', '', '0', 0, 1494940039),
(225475, 72, 19044, 'status', '10', '80', 0, 1494940039),
(225476, 72, 19044, 'CodevTT_RAF', '0', '0', 0, 1494940039),
(225484, 72, 19045, '', '', '', 1, 1494940868),
(225485, 72, 19045, '', '', '10415', 21, 1494940868),
(225486, 72, 10415, '', '', '19045', 20, 1494940868),
(225487, 72, 19045, 'CodevTT_RAF', '', '0', 0, 1494940954),
(225488, 72, 19045, 'status', '10', '80', 0, 1494940954),
(225489, 72, 19045, 'CodevTT_RAF', '0', '0', 0, 1494940954),
(225490, 72, 19046, '', '', '', 1, 1494941074),
(225491, 72, 19046, '', '', '19043', 21, 1494941074),
(225492, 72, 19043, '', '', '19046', 20, 1494941074),
(225493, 72, 19046, 'CodevTT_RAF', '', '0', 0, 1494941383),
(225494, 72, 19046, 'status', '10', '80', 0, 1494941383),
(225495, 72, 19046, 'CodevTT_RAF', '0', '0', 0, 1494941383),
(225500, 72, 19047, '', '', '', 1, 1494941556),
(225501, 72, 19047, '', '', '19044', 21, 1494941556),
(225502, 72, 19044, '', '', '19047', 20, 1494941556),
(225505, 72, 19047, 'CodevTT_RAF', '', '0', 0, 1494941655),
(225506, 72, 19047, 'status', '10', '80', 0, 1494941655),
(225507, 72, 19047, 'CodevTT_RAF', '0', '0', 0, 1494941655),
(225512, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1494942063),
(225513, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1494942074),
(225515, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1494942091),
(225516, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1494942113),
(225521, 164, 18735, '', '19947', '', 2, 1494942135),
(225522, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1494942154),
(225524, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1494942166),
(225528, 72, 10406, 'CodevTT_ChargeMgr', '0', '22', 0, 1494942200),
(225529, 72, 10406, 'CodevTT_ChargeInit', '', '0', 0, 1494942200),
(225532, 72, 19048, '', '', '', 1, 1494942468),
(225533, 72, 19048, '', '', '10406', 21, 1494942468),
(225534, 72, 10406, '', '', '19048', 20, 1494942468),
(225543, 72, 10399, 'CodevTT_ChargeMgr', '0', '9', 0, 1494943253),
(225544, 72, 17791, 'CodevTT_ChargeMgr', '0', '15', 0, 1494943351),
(225558, 72, 19049, '', '', '', 1, 1494943568),
(225559, 72, 19049, '', '', '10390', 21, 1494943568),
(225560, 72, 10390, '', '', '19049', 20, 1494943568),
(225562, 72, 19049, 'CodevTT_RAF', '', '0', 0, 1494943671),
(225563, 72, 19049, 'status', '10', '80', 0, 1494943671),
(225564, 72, 19049, 'CodevTT_RAF', '0', '0', 0, 1494943671),
(225573, 72, 14013, 'CodevTT_ChargeMgr', '0', '28', 0, 1494943780),
(225594, 72, 10397, 'CodevTT_ChargeMgr', '0', '5', 0, 1494944176),
(225599, 72, 10395, 'CodevTT_ChargeMgr', '0', '5', 0, 1494944198),
(225600, 72, 10598, 'CodevTT_ChargeMgr', '0', '10', 0, 1494944249),
(225601, 72, 10744, 'CodevTT_ChargeMgr', '0', '5', 0, 1494944262),
(225608, 72, 15856, 'CodevTT_ChargeMgr', '0', '9', 0, 1494944327),
(225619, 72, 19051, '', '', '', 1, 1494944723),
(225620, 72, 19051, '', '', '15836', 21, 1494944723),
(225621, 72, 15836, '', '', '19051', 20, 1494944723),
(225628, 72, 19051, 'CodevTT_RAF', '', '0', 0, 1494944886),
(225629, 72, 19051, 'status', '10', '80', 0, 1494944886),
(225630, 72, 19051, 'CodevTT_RAF', '0', '0', 0, 1494944886),
(225632, 72, 17063, 'CodevTT_ChargeMgr', '', '30', 0, 1494944939),
(225742, 72, 12687, 'CodevTT_ChargeMgr', '3', '8.5', 0, 1494945177),
(225743, 72, 12688, 'CodevTT_ChargeMgr', '10', '18', 0, 1494945231),
(225929, 72, 15855, 'CodevTT_ChargeMgr', '0', '10', 0, 1494945332),
(226006, 72, 10392, 'CodevTT_ChargeMgr', '', '9', 0, 1494945690),
(226007, 72, 10770, 'CodevTT_ChargeMgr', '6.4', '3', 0, 1494945751),
(226044, 72, 17258, 'CodevTT_ChargeMgr', '', '1', 0, 1494945846),
(226046, 72, 13256, 'CodevTT_ChargeMgr', '', '2.8', 0, 1494946227),
(226047, 72, 13256, '', '0019960', '', 2, 1494946289),
(226051, 72, 19054, '', '', '', 1, 1494946460),
(226052, 72, 19054, '', '', '13256', 21, 1494946460),
(226053, 72, 13256, '', '', '19054', 20, 1494946460),
(226055, 72, 19054, 'CodevTT_RAF', '', '0', 0, 1494946504),
(226056, 72, 19054, 'status', '10', '80', 0, 1494946504),
(226057, 72, 19054, 'CodevTT_RAF', '0', '0', 0, 1494946504),
(226058, 72, 19054, 'CodevTT_Dead Line', '', '', 0, 1494946504),
(226068, 72, 10393, 'CodevTT_ChargeMgr', '3', '5', 0, 1494946719),
(226069, 72, 10737, 'CodevTT_ChargeMgr', '0', '1', 0, 1494946739),
(226075, 72, 19055, '', '', '', 1, 1494946822),
(226076, 72, 19055, '', '', '10737', 21, 1494946822),
(226077, 72, 10737, '', '', '19055', 20, 1494946822),
(226078, 72, 19055, 'CodevTT_RAF', '', '0', 0, 1494947170),
(226079, 72, 19055, 'status', '10', '80', 0, 1494947170),
(226080, 72, 19055, 'CodevTT_RAF', '0', '0', 0, 1494947170),
(226081, 72, 19055, 'CodevTT_Dead Line', '', '', 0, 1494947170),
(226102, 72, 13589, 'CodevTT_ChargeMgr', '3', '12', 0, 1494947753),
(226108, 72, 19064, '', '', '', 1, 1494947845),
(226109, 72, 19064, '', '', '13589', 21, 1494947845),
(226110, 72, 13589, '', '', '19064', 20, 1494947845),
(226111, 72, 19064, 'CodevTT_RAF', '', '0', 0, 1494947904),
(226112, 72, 19064, 'status', '10', '80', 0, 1494947904),
(226113, 72, 19064, 'CodevTT_RAF', '0', '0', 0, 1494947904),
(226114, 72, 19064, 'CodevTT_Dead Line', '', '', 0, 1494947904),
(226126, 72, 18404, 'handler_id', '0', '199', 0, 1494948438),
(226246, 205, 17063, 'CodevTT_RAF', '5', '1', 0, 1494959819),
(226247, 205, 17063, 'CodevTT_RAF', '1', '1', 0, 1494959835),
(226276, 72, 17968, 'CodevTT_ChargeMgr', '', '6', 0, 1495003716),
(226277, 72, 17967, 'CodevTT_ChargeMgr', '', '5', 0, 1495003735),
(226278, 72, 18587, '', '3883', '', 6, 1495003926),
(226279, 72, 18587, 'CodevTT_ChargeMgr', '0.8', '2.8', 0, 1495003926),
(226282, 72, 17248, 'CodevTT_RAF', '0.3', '0', 0, 1495004597),
(226283, 72, 17248, 'status', '50', '80', 0, 1495004597);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(226284, 72, 17248, 'CodevTT_RAF', '0', '0', 0, 1495004597),
(226292, 246, 18488, 'CodevTT_RAF', '5', '7', 0, 1495006518),
(226295, 164, 16588, '', '19974', '', 2, 1495006800),
(226296, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1495006800),
(226352, 72, 19081, '', '', '', 1, 1495017835),
(226353, 72, 19081, 'handler_id', '0', '147', 0, 1495017835),
(226354, 72, 19081, '', '', '17211', 21, 1495017835),
(226355, 72, 17211, '', '', '19081', 20, 1495017835),
(226356, 72, 19081, 'summary', '44058 [QUAL] -  Transformation des fichiers MAJOC', '44027 [QUAL] -  Transformation des fichiers MAJOC', 0, 1495017954),
(226357, 72, 19081, 'Ref. Externe', '44058', '44027', 0, 1495017954),
(226363, 72, 10746, 'CodevTT_ChargeInit', '2', '0', 0, 1495018553),
(226360, 72, 17065, '', '2500', '10747', 19, 1495018501),
(226362, 72, 10746, 'CodevTT_ChargeMgr', '', '0', 0, 1495018553),
(226408, 72, 8454, 'CodevTT_ChargeMgr', '0', '30', 0, 1495026721),
(226409, 72, 13774, 'CodevTT_ChargeMgr', '', '7.5', 0, 1495026739),
(226410, 72, 19085, '', '', '', 1, 1495026890),
(226411, 72, 19085, '', '', '12304', 21, 1495026890),
(226412, 72, 12304, '', '', '19085', 20, 1495026890),
(226414, 72, 19085, 'CodevTT_RAF', '', '0', 0, 1495027206),
(226415, 72, 19085, 'status', '10', '80', 0, 1495027206),
(226416, 72, 19085, 'CodevTT_RAF', '0', '0', 0, 1495027206),
(226417, 72, 19085, 'CodevTT_Dead Line', '', '', 0, 1495027206),
(226418, 72, 14014, 'CodevTT_ChargeMgr', '0', '100', 0, 1495027315),
(226446, 72, 10400, 'CodevTT_ChargeMgr', '7', '64', 0, 1495029600),
(226447, 72, 10746, 'CodevTT_ChargeMgr', '0', '50', 0, 1495029638),
(226448, 72, 17065, 'CodevTT_ChargeMgr', '0', '30', 0, 1495029660),
(226471, 199, 12323, 'CodevTT_RAF', '', '0', 0, 1495030904),
(226472, 199, 12323, 'status', '10', '80', 0, 1495030904),
(226473, 199, 12323, 'CodevTT_RAF', '0', '0', 0, 1495030904),
(226849, 246, 18488, 'CodevTT_RAF', '7', '7', 0, 1495035795),
(226851, 246, 18488, '', '20022', '', 2, 1495035884),
(226852, 246, 18488, 'CodevTT_RAF', '7', '7', 0, 1495035884),
(227674, 72, 17426, 'status', '10', '50', 0, 1495120298),
(227675, 72, 17424, 'status', '10', '50', 0, 1495120329),
(227676, 72, 17428, 'status', '10', '50', 0, 1495120363),
(227677, 72, 8146, 'CodevTT_RAF', '0', '0', 0, 1495120410),
(227678, 72, 8146, 'status', '20', '80', 0, 1495120410),
(227679, 72, 8146, 'CodevTT_RAF', '0', '0', 0, 1495120410),
(227680, 72, 8146, 'CodevTT_Dead Line', '', '', 0, 1495120410),
(227685, 44, 2, '', '20233', '', 2, 1495123675),
(227709, 199, 19106, '', '', '', 1, 1495171606),
(227710, 199, 19106, 'handler_id', '0', '169', 0, 1495171606),
(227711, 199, 19106, '', '', '17739', 21, 1495171606),
(227712, 199, 17739, '', '', '19106', 20, 1495171606),
(227713, 199, 19106, 'CodevTT_RAF', '', '0.25', 0, 1495171655),
(227714, 199, 19106, 'status', '10', '50', 0, 1495171655),
(227715, 199, 19106, 'handler_id', '169', '199', 0, 1495171655),
(227716, 199, 19106, 'CodevTT_RAF', '0.25', '0.25', 0, 1495171696),
(227717, 199, 10749, 'CodevTT_RAF', '10', '10', 0, 1495171820),
(227718, 199, 10398, 'CodevTT_RAF', '0', '0', 0, 1495171868),
(227719, 199, 10398, 'CodevTT_RAF', '0', '0', 0, 1495171879),
(227720, 199, 10398, 'CodevTT_RAF', '0', '0', 0, 1495171898),
(227721, 199, 17967, 'CodevTT_RAF', '0', '0', 0, 1495171925),
(227722, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1495171943),
(227723, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1495171952),
(227906, 2, 1437, '', '20275', '', 2, 1495184614),
(227919, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1495184773),
(227924, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1495185026),
(227925, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1495185064),
(227926, 157, 18489, 'CodevTT_RAF', '4.5', '4', 0, 1495185219),
(227927, 157, 18755, 'CodevTT_RAF', '4.5', '4', 0, 1495185271),
(227928, 157, 18489, 'CodevTT_RAF', '4', '3', 0, 1495185298),
(227929, 157, 18489, 'CodevTT_RAF', '3', '2', 0, 1495185320),
(227931, 157, 19114, '', '', '', 1, 1495185671),
(227932, 157, 19114, 'handler_id', '0', '157', 0, 1495185671),
(227933, 157, 19114, '', '', '18489', 21, 1495185671),
(227934, 157, 18489, '', '', '19114', 20, 1495185671),
(227935, 157, 18489, 'CodevTT_RAF', '2', '2', 0, 1495185720),
(227936, 157, 19114, 'CodevTT_RAF', '', '0', 0, 1495185777),
(227937, 157, 19114, 'CodevTT_RAF', '0', '0', 0, 1495185777),
(227938, 157, 19114, 'status', '10', '80', 0, 1495185777),
(227950, 72, 19106, 'summary', '44580 Campagne DSI 2017 - Script ijajnl01.sh - Temps de traitement aléatoire', '44580  [DEV]  Campagne DSI 2017 - Script ijajnl01.sh - Temps de traitement aléatoire', 0, 1495187368),
(227951, 72, 19115, 'Ref. Externe', '', '44580', 0, 1495187535),
(227952, 72, 19115, 'CodevTT_ChargeInit', '', '0.5', 0, 1495187535),
(227953, 72, 19115, 'handler_id', '0', '199', 0, 1495187535),
(227954, 72, 19115, 'codevtt_type', '', 'Task', 0, 1495187535),
(227955, 72, 19116, 'Ref. Externe', '', '44601', 0, 1495187705),
(227956, 72, 19116, 'CodevTT_ChargeInit', '', '0.5', 0, 1495187705),
(227957, 72, 19116, 'target_version', '', '18.0_PUMA', 0, 1495187705),
(227958, 72, 19116, 'codevtt_type', '', 'Bug', 0, 1495187705),
(227959, 72, 19117, 'Ref. Externe', '', '44602', 0, 1495187705),
(227960, 72, 19117, 'CodevTT_ChargeInit', '', '0.5', 0, 1495187705),
(227961, 72, 19117, 'target_version', '', '18.0_PUMA', 0, 1495187705),
(227962, 72, 19117, 'codevtt_type', '', 'Bug', 0, 1495187705),
(227963, 72, 19118, 'Ref. Externe', '', '44611', 0, 1495187705),
(227964, 72, 19118, 'CodevTT_ChargeInit', '', '0.5', 0, 1495187705),
(227965, 72, 19118, 'target_version', '', '18.0_PUMA', 0, 1495187705),
(227966, 72, 19118, 'codevtt_type', '', 'Bug', 0, 1495187705),
(227972, 72, 19118, 'handler_id', '0', '2', 0, 1495187849),
(227973, 72, 19118, 'CodevTT_Dead Line', '', '', 0, 1495187849),
(227980, 72, 19116, 'handler_id', '0', '164', 0, 1495188165),
(227981, 72, 19116, 'CodevTT_Dead Line', '', '', 0, 1495188165),
(227982, 72, 19117, 'handler_id', '0', '164', 0, 1495188180),
(227983, 72, 19117, 'CodevTT_Dead Line', '', '', 0, 1495188180),
(228162, 147, 19081, 'CodevTT_RAF', '', '3', 0, 1495206398),
(228163, 147, 19081, 'status', '10', '50', 0, 1495206398),
(228164, 147, 19081, 'CodevTT_RAF', '3', '3', 0, 1495206457),
(228166, 147, 19081, 'CodevTT_RAF', '3', '3', 0, 1495206480),
(228171, 169, 18491, 'CodevTT_RAF', '1.9', '1.5', 0, 1495207055),
(228172, 169, 10749, 'CodevTT_RAF', '10', '99', 0, 1495207156),
(228173, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1495207173),
(228174, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1495207191),
(228175, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1495207263),
(228280, 168, 17429, 'CodevTT_RAF', '14', '0', 0, 1495437570),
(228281, 168, 17429, 'CodevTT_RAF', '0', '0', 0, 1495437570),
(228282, 168, 17429, 'status', '50', '80', 0, 1495437570),
(228283, 168, 17431, 'CodevTT_RAF', '', '1', 0, 1495437673),
(228284, 168, 17431, 'CodevTT_RAF', '1', '1', 0, 1495437691),
(228285, 168, 17431, 'CodevTT_RAF', '1', '4', 0, 1495437760),
(228286, 168, 17431, 'status', '10', '50', 0, 1495437760),
(228287, 168, 17431, 'CodevTT_RAF', '4', '4', 0, 1495437810),
(228288, 168, 17431, 'CodevTT_RAF', '4', '3', 0, 1495437831),
(228289, 168, 17431, 'CodevTT_RAF', '3', '2', 0, 1495437845),
(228290, 168, 17431, 'CodevTT_RAF', '2', '1', 0, 1495437860),
(228291, 168, 17431, '', '20339', '', 2, 1495437874),
(228941, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1495445155),
(228996, 113, 18575, '', '20367', '', 2, 1495446291),
(229148, 164, 19116, 'CodevTT_RAF', '', '0', 0, 1495459485),
(229149, 164, 19116, 'CodevTT_RAF', '0', '0', 0, 1495459485),
(229150, 164, 19116, 'status', '10', '80', 0, 1495459485),
(229151, 164, 19117, 'CodevTT_RAF', '', '0', 0, 1495459511),
(229152, 164, 19117, 'CodevTT_RAF', '0', '0', 0, 1495459511),
(229153, 164, 19117, 'status', '10', '80', 0, 1495459511),
(229185, 205, 17063, 'CodevTT_RAF', '1', '0', 0, 1495461175),
(229186, 205, 17063, 'CodevTT_RAF', '0', '0', 0, 1495461175),
(229187, 205, 17063, 'status', '50', '80', 0, 1495461175),
(229188, 205, 17063, 'CodevTT_RAF', '0', '0', 0, 1495461183),
(229189, 205, 17063, 'CodevTT_RAF', '0', '0', 0, 1495461208),
(229225, 2, 19118, 'CodevTT_RAF', '', '0', 0, 1495464579),
(229226, 2, 19118, 'CodevTT_RAF', '0', '0', 0, 1495464579),
(229227, 2, 19118, 'status', '10', '80', 0, 1495464579),
(229228, 2, 19118, '', '20429', '', 2, 1495464595),
(229330, 217, 14013, 'CodevTT_RAF', '24', '23', 0, 1495521142),
(229331, 217, 14013, 'CodevTT_RAF', '23', '23', 0, 1495521150),
(229332, 217, 14013, 'CodevTT_RAF', '23', '23', 0, 1495521158),
(229333, 217, 14013, 'CodevTT_RAF', '23', '20', 0, 1495521221),
(229334, 217, 14013, 'CodevTT_RAF', '20', '20', 0, 1495521235),
(229335, 217, 14013, 'CodevTT_RAF', '20', '20', 0, 1495521260),
(229336, 217, 14013, 'CodevTT_RAF', '20', '19', 0, 1495521277),
(229337, 217, 11112, 'CodevTT_RAF', '10', '15', 0, 1495521306),
(229338, 217, 14013, '', '20449', '', 2, 1495521318),
(229339, 217, 11112, 'CodevTT_RAF', '15', '15', 0, 1495521348),
(229340, 217, 14013, 'CodevTT_RAF', '19', '19', 0, 1495521381),
(229341, 157, 18489, 'CodevTT_RAF', '2', '1', 0, 1495521600),
(229592, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1495547384),
(229603, 217, 16922, 'CodevTT_RAF', '3', '3', 0, 1495549174),
(229604, 217, 14013, '', '20502', '', 2, 1495549188),
(229877, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1495618386),
(229878, 164, 16588, '', '20555', '', 2, 1495618397),
(229879, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1495618410),
(229893, 147, 19081, 'CodevTT_RAF', '3', '5', 0, 1495620572),
(229894, 147, 19081, 'CodevTT_RAF', '5', '3.5', 0, 1495620612),
(229895, 147, 19081, 'CodevTT_RAF', '3.5', '2.5', 0, 1495620628),
(229896, 147, 19081, 'CodevTT_RAF', '2.5', '2', 0, 1495620646),
(229900, 205, 18287, 'CodevTT_RAF', '0.5', '1', 0, 1495628785),
(229901, 205, 18287, 'CodevTT_RAF', '1', '1', 0, 1495628800),
(229902, 205, 14013, 'CodevTT_RAF', '19', '19', 0, 1495629008),
(230035, 83, 10858, '', '20576', '', 2, 1495636541),
(230271, 157, 18755, 'CodevTT_RAF', '4', '3.5', 0, 1496037930),
(230272, 157, 18489, 'CodevTT_RAF', '1', '1', 0, 1496037955),
(230273, 157, 18489, 'CodevTT_RAF', '1', '1', 0, 1496037968),
(230275, 199, 19106, 'CodevTT_RAF', '0.25', '0.5', 0, 1496038091),
(230343, 199, 19106, 'CodevTT_RAF', '0.5', '0', 0, 1496040386),
(230344, 199, 19106, 'CodevTT_RAF', '0', '0', 0, 1496040386),
(230345, 199, 19106, 'status', '50', '80', 0, 1496040386),
(230346, 199, 19115, 'CodevTT_RAF', '', '0', 0, 1496040414),
(230347, 199, 19115, 'CodevTT_RAF', '0', '0', 0, 1496040414),
(230348, 199, 19115, 'status', '10', '80', 0, 1496040414),
(230362, 199, 10749, 'CodevTT_RAF', '99', '5', 0, 1496040667),
(230363, 199, 10749, 'CodevTT_RAF', '5', '10', 0, 1496040683),
(230373, 199, 19196, '', '', '', 1, 1496040841),
(230389, 199, 19196, 'CodevTT_RAF', '', '0', 0, 1496041456),
(230390, 199, 19196, 'CodevTT_RAF', '0', '0', 0, 1496041456),
(230391, 199, 19196, 'status', '10', '80', 0, 1496041456),
(230392, 199, 19196, 'handler_id', '0', '199', 0, 1496041456),
(230393, 199, 10749, 'CodevTT_RAF', '10', '10', 0, 1496041476),
(230395, 199, 10749, 'CodevTT_RAF', '10', '99', 0, 1496041489),
(230748, 72, 18405, 'CodevTT_ChargeMgr', '', '7', 0, 1496049777),
(230750, 72, 18061, 'CodevTT_ChargeMgr', '', '2.5', 0, 1496049816),
(230754, 72, 18405, 'CodevTT_RAF', '', '0', 0, 1496049895),
(230755, 72, 18405, 'status', '10', '80', 0, 1496049895),
(230756, 72, 18405, 'CodevTT_RAF', '0', '0', 0, 1496049895),
(230769, 72, 14013, '', '3909', '', 6, 1496050433),
(230770, 72, 14013, 'CodevTT_ChargeMgr', '28', '31', 0, 1496050433),
(230793, 72, 18575, 'CodevTT_RAF', '2', '0', 0, 1496051557),
(230794, 72, 18575, 'status', '50', '80', 0, 1496051557),
(230795, 72, 18575, 'CodevTT_RAF', '0', '0', 0, 1496051557),
(230801, 72, 18757, 'status', '50', '20', 0, 1496051682),
(230837, 113, 18575, '', '20738', '', 2, 1496057595),
(230838, 113, 18575, '', '20739', '', 2, 1496057722),
(230842, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496060032),
(230843, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496060078),
(230845, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496060086),
(230990, 72, 19115, 'CodevTT_ChargeMgr', '', '2.5', 0, 1496064768),
(230998, 72, 19106, 'CodevTT_ChargeMgr', '', '1', 0, 1496064812),
(231006, 72, 18587, '', '3910', '', 6, 1496064900),
(231007, 72, 18587, 'CodevTT_ChargeMgr', '2.8', '3.4', 0, 1496064900),
(231034, 72, 18488, '', '3912', '', 6, 1496066012),
(231035, 72, 18488, 'CodevTT_ChargeMgr', '0', '0.9', 0, 1496066012),
(231039, 72, 14710, 'status', '50', '20', 0, 1496066069),
(250704, 72, 14710, 'status', '20', '80', 0, 1499758028),
(231061, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1496067932),
(231062, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1496067952),
(231063, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1496067969),
(231091, 147, 19081, 'CodevTT_RAF', '2', '1', 0, 1496069123),
(231097, 2, 1435, '', '20785', '', 2, 1496070981),
(231139, 72, 19235, 'Ref. Externe', '', '44606', 0, 1496129274),
(231140, 72, 19235, 'CodevTT_ChargeInit', '', '0.5', 0, 1496129274),
(231141, 72, 19235, 'handler_id', '0', '199', 0, 1496129274),
(231142, 72, 19235, 'codevtt_type', '', 'Bug', 0, 1496129274),
(231143, 72, 19236, 'Ref. Externe', '', '44607', 0, 1496129275),
(231144, 72, 19236, 'CodevTT_ChargeInit', '', '0.5', 0, 1496129275),
(231145, 72, 19236, 'handler_id', '0', '199', 0, 1496129275),
(231146, 72, 19236, 'codevtt_type', '', 'Bug', 0, 1496129275),
(231309, 157, 18489, 'CodevTT_RAF', '1', '1', 0, 1496137088),
(231311, 157, 18755, 'CodevTT_RAF', '3.5', '3', 0, 1496137121),
(231396, 384, 1, '', '20848', '', 2, 1496138736),
(231420, 56, 1, '', '20853', '', 2, 1496139799),
(231421, 56, 1, '', '20853', '', 4, 1496139809),
(231422, 56, 1, '', '20854', '', 2, 1496139809),
(231692, 205, 14013, 'CodevTT_RAF', '19', '17', 0, 1496217423),
(231693, 205, 14013, 'CodevTT_RAF', '17', '1', 0, 1496217431),
(231694, 205, 14013, 'CodevTT_RAF', '1', '17', 0, 1496217443),
(231725, 72, 17425, 'CodevTT_RAF', '', '0', 0, 1496219490),
(231726, 72, 17425, 'status', '10', '80', 0, 1496219490),
(231727, 72, 17425, 'CodevTT_RAF', '0', '0', 0, 1496219490),
(232014, 157, 18755, 'CodevTT_RAF', '3', '2.5', 0, 1496298041),
(232015, 157, 18755, 'CodevTT_RAF', '2.5', '2', 0, 1496298065),
(232016, 157, 18489, 'CodevTT_RAF', '1', '1', 0, 1496298083),
(232017, 157, 18489, 'CodevTT_RAF', '1', '0.5', 0, 1496298096),
(232241, 2, 1437, '', '21027', '', 2, 1496304467),
(232297, 217, 14013, 'CodevTT_RAF', '17', '17', 0, 1496305497),
(232298, 217, 14013, 'CodevTT_RAF', '17', '17', 0, 1496305507),
(232299, 217, 14013, 'CodevTT_RAF', '17', '17', 0, 1496305516),
(232300, 217, 14013, 'CodevTT_RAF', '17', '17', 0, 1496305524),
(232303, 217, 14013, 'CodevTT_RAF', '17', '15', 0, 1496305533),
(232304, 217, 11112, 'CodevTT_RAF', '15', '15', 0, 1496305565),
(232372, 199, 18491, 'CodevTT_RAF', '1.5', '0', 0, 1496306745),
(232373, 199, 18491, 'CodevTT_RAF', '0', '0', 0, 1496306745),
(232374, 199, 18491, 'status', '50', '80', 0, 1496306745),
(232375, 199, 18491, 'CodevTT_RAF', '0', '0', 0, 1496306771),
(232593, 348, 2, '', '21149', '', 2, 1496321216),
(232627, 2, 17401, '', '21163', '', 2, 1496323588),
(232628, 2, 17401, 'CodevTT_RAF', '0', '0', 0, 1496323588),
(232629, 2, 2894, '', '21164', '', 2, 1496323671),
(232630, 2, 2894, '', '21165', '', 2, 1496323694),
(232631, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1496324305),
(232632, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1496324320),
(232633, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1496324333),
(232839, 322, 14791, '', '21206', '', 2, 1496387045),
(232840, 322, 14791, 'CodevTT_RAF', '5', '3', 0, 1496387045),
(232842, 322, 14791, '', '21207', '', 2, 1496387121),
(232843, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387121),
(232852, 322, 14791, '', '21208', '', 2, 1496387279),
(232853, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387279),
(232855, 322, 14791, '', '21209', '', 2, 1496387344),
(232856, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387344),
(232857, 322, 14791, '', '21210', '', 2, 1496387458),
(232858, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387458),
(232859, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387672),
(232860, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387700),
(232861, 322, 14791, '', '21211', '', 2, 1496387724),
(232862, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387724),
(232863, 322, 14791, '', '21212', '', 2, 1496387734),
(232864, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387734),
(232865, 322, 14791, '', '21213', '', 2, 1496387746),
(232866, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1496387746),
(232906, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496390807),
(232907, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496390869),
(232908, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496390877),
(232909, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496390886),
(232910, 169, 10749, 'CodevTT_RAF', '99', '99', 0, 1496390897),
(232920, 157, 18755, 'CodevTT_RAF', '2', '2', 0, 1496394712),
(232921, 157, 18755, 'CodevTT_RAF', '2', '2', 0, 1496394731),
(232922, 157, 18489, 'CodevTT_RAF', '0.5', '0.5', 0, 1496394751),
(232950, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1496396579),
(232951, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1496396606),
(233035, 168, 17427, 'CodevTT_RAF', '', '1', 0, 1496405229),
(233036, 168, 17427, 'CodevTT_RAF', '1', '9', 0, 1496405252),
(233037, 168, 17427, 'CodevTT_RAF', '9', '8', 0, 1496405270),
(233038, 168, 17427, 'CodevTT_RAF', '8', '7', 0, 1496405294),
(233039, 168, 17427, 'CodevTT_RAF', '7', '6', 0, 1496405308),
(233040, 168, 17427, 'CodevTT_RAF', '6', '5', 0, 1496405321),
(233041, 168, 17427, 'CodevTT_RAF', '5', '1', 0, 1496405332),
(233042, 168, 17427, 'CodevTT_RAF', '1', '5', 0, 1496405345),
(233043, 168, 17427, 'CodevTT_RAF', '5', '4', 0, 1496405360),
(233049, 74, 18287, 'CodevTT_RAF', '1', '2', 0, 1496408356),
(233050, 74, 18287, 'CodevTT_RAF', '2', '1', 0, 1496408374),
(233075, 2, 17401, 'CodevTT_RAF', '0', '0', 0, 1496412347),
(233617, 2, 10749, 'CodevTT_RAF', '99', '20', 0, 1496755680),
(233651, 164, 19331, '', '', '', 1, 1496757126),
(233652, 164, 19331, 'handler_id', '0', '164', 0, 1496757126),
(233653, 164, 19331, '', '', '16139', 21, 1496757126),
(233654, 164, 16139, '', '', '19331', 20, 1496757126),
(233655, 164, 19331, 'CodevTT_RAF', '', '0', 0, 1496757230),
(233656, 164, 19331, 'CodevTT_RAF', '0', '0', 0, 1496757230),
(233657, 164, 19331, 'status', '10', '80', 0, 1496757230),
(233658, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1496757249),
(233686, 157, 18755, 'CodevTT_RAF', '2', '1', 0, 1496759112),
(233687, 157, 18755, 'CodevTT_RAF', '1', '1', 0, 1496759130),
(233745, 168, 17427, 'CodevTT_RAF', '4', '0', 0, 1496819549),
(233746, 168, 17427, 'CodevTT_RAF', '0', '0', 0, 1496819549),
(233747, 168, 17427, 'status', '10', '80', 0, 1496819549),
(233753, 246, 16516, 'CodevTT_RAF', '0', '0', 0, 1496820629),
(233754, 246, 18488, 'CodevTT_RAF', '7', '7', 0, 1496820708),
(233759, 205, 14013, 'CodevTT_RAF', '15', '15', 0, 1496821431),
(233760, 205, 14013, 'CodevTT_RAF', '15', '15', 0, 1496821448),
(233761, 205, 14013, 'CodevTT_RAF', '15', '15', 0, 1496821450),
(233765, 205, 14013, 'CodevTT_RAF', '15', '15', 0, 1496821469),
(233766, 205, 14013, 'CodevTT_RAF', '15', '15', 0, 1496821491),
(233767, 205, 14013, 'CodevTT_RAF', '15', '15', 0, 1496821501),
(233774, 205, 14013, 'CodevTT_RAF', '15', '10', 0, 1496821673),
(233811, 72, 17429, 'CodevTT_RAF', '0', '6', 0, 1496825111),
(233812, 72, 17429, 'status', '80', '50', 0, 1496825119),
(233820, 72, 17427, 'status', '80', '50', 0, 1496825560),
(233821, 2, 17430, 'status', '10', '50', 0, 1496825570),
(233822, 72, 17427, 'CodevTT_RAF', '0', '7.5', 0, 1496825580),
(233832, 72, 17430, 'CodevTT_ChargeMgr', '', '0', 0, 1496825908),
(233833, 72, 17430, 'CodevTT_RAF', '', '6', 0, 1496825908),
(233957, 72, 19341, 'Ref. Externe', '', '44654', 0, 1496836998),
(233958, 72, 19341, 'CodevTT_ChargeInit', '', '0.5', 0, 1496836998),
(233959, 72, 19341, 'codevtt_type', '', 'Task', 0, 1496836998),
(233960, 72, 19342, 'Ref. Externe', '', '44654', 0, 1496836999),
(233961, 72, 19342, 'CodevTT_ChargeInit', '', '0.5', 0, 1496836999),
(233962, 72, 19342, 'codevtt_type', '', 'Task', 0, 1496836999),
(233988, 157, 18489, 'CodevTT_RAF', '0.5', '0', 0, 1496842836),
(233989, 157, 18489, 'CodevTT_RAF', '0', '0', 0, 1496842836),
(233990, 157, 18489, 'status', '50', '80', 0, 1496842836),
(233991, 157, 18755, 'CodevTT_RAF', '1', '0.5', 0, 1496842860),
(234171, 278, 2, '', '21426', '', 2, 1496905655),
(234172, 246, 18488, 'CodevTT_RAF', '7', '6', 0, 1496905750),
(234732, 72, 19370, '', '', '', 1, 1496922047),
(234733, 72, 19370, 'handler_id', '0', '246', 0, 1496922047),
(235011, 358, 2, '', '21598', '', 2, 1496935685),
(235055, 72, 19386, '', '', '', 1, 1496985678),
(235056, 72, 19386, 'handler_id', '0', '199', 0, 1496985678),
(235057, 72, 19386, '', '', '17133', 21, 1496985678),
(235058, 72, 17133, '', '', '19386', 20, 1496985678),
(235059, 72, 19386, 'CodevTT_RAF', '', '1.5', 0, 1496985787),
(235060, 72, 19386, 'status', '10', '50', 0, 1496985787),
(235061, 72, 19386, 'CodevTT_RAF', '1.5', '1', 0, 1496985806),
(235062, 72, 19386, 'CodevTT_RAF', '1', '0.5', 0, 1496985888),
(235063, 72, 1435, '', '21615', '', 2, 1496985918),
(235064, 72, 19341, 'CodevTT_RAF', '', '2', 0, 1496985955),
(235065, 72, 19341, 'status', '10', '50', 0, 1496985955),
(235066, 72, 19341, 'handler_id', '0', '72', 0, 1496985955),
(235068, 157, 17730, 'CodevTT_RAF', '0', '0', 0, 1496986755),
(235069, 157, 17730, 'CodevTT_RAF', '0', '0.5', 0, 1496986880),
(235070, 157, 17730, 'status', '80', '50', 0, 1496986880),
(235071, 157, 17730, 'handler_id', '147', '157', 0, 1496986880),
(235099, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1496992311),
(235100, 164, 19331, 'CodevTT_RAF', '0', '0', 0, 1496992325),
(235101, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1496992370),
(235102, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1496992398),
(235103, 164, 1435, '', '21623', '', 2, 1496992431),
(235104, 164, 1435, '', '21624', '', 2, 1496992486),
(235284, 157, 17730, 'CodevTT_RAF', '0.5', '0.5', 0, 1497007725),
(235285, 157, 17730, 'CodevTT_RAF', '0.5', '0.5', 0, 1497007758),
(235286, 157, 17730, 'CodevTT_RAF', '0.5', '0.5', 0, 1497007782),
(235287, 74, 18287, '', '21662', '', 2, 1497009900),
(235288, 74, 18287, 'CodevTT_RAF', '1', '0', 0, 1497009900),
(235289, 74, 18287, 'CodevTT_RAF', '0', '0', 0, 1497009900),
(235290, 74, 18287, 'status', '50', '80', 0, 1497009900),
(235292, 74, 18287, '', '21662', '', 4, 1497009947),
(235293, 74, 18287, '', '21663', '', 2, 1497009947),
(235295, 74, 14014, 'CodevTT_RAF', '0', '3', 0, 1497010075),
(235296, 74, 14014, 'status', '80', '50', 0, 1497010075),
(235297, 74, 14014, 'CodevTT_RAF', '3', '3', 0, 1497010088),
(235298, 74, 14014, 'CodevTT_RAF', '3', '1', 0, 1497010098),
(235316, 72, 17765, '', '0021665', '', 2, 1497013445),
(235436, 169, 10749, 'CodevTT_RAF', '20', '20', 0, 1497024747),
(235437, 169, 10749, 'CodevTT_RAF', '20', '20', 0, 1497024762),
(235438, 169, 10749, 'CodevTT_RAF', '20', '15', 0, 1497024781),
(235439, 169, 10749, 'CodevTT_RAF', '15', '15', 0, 1497024790),
(235463, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1497252007),
(235464, 322, 14791, 'CodevTT_RAF', '3', '3', 0, 1497252024),
(235465, 322, 14791, 'CodevTT_RAF', '3', '2', 0, 1497252044),
(235468, 322, 14791, 'CodevTT_RAF', '2', '1', 0, 1497252060),
(235543, 168, 17429, 'CodevTT_RAF', '6', '5', 0, 1497254684),
(235544, 168, 17429, 'CodevTT_RAF', '5', '4', 0, 1497254695),
(235547, 168, 17429, 'CodevTT_RAF', '4', '3.5', 0, 1497254747),
(235633, 46, 1, '', '21735', '', 2, 1497262728),
(235634, 46, 1, '', '21736', '', 2, 1497262738),
(236021, 72, 19420, 'Ref. Externe', '', '44619', 0, 1497337765),
(236022, 72, 19420, 'CodevTT_ChargeInit', '', '0.5', 0, 1497337765),
(236023, 72, 19420, 'handler_id', '0', '246', 0, 1497337765),
(236024, 72, 19420, 'codevtt_type', '', 'Bug', 0, 1497337765),
(236025, 72, 19421, 'Ref. Externe', '', '44664', 0, 1497337765),
(236026, 72, 19421, 'CodevTT_ChargeInit', '', '0.5', 0, 1497337765),
(236027, 72, 19421, 'handler_id', '0', '74', 0, 1497337765),
(236028, 72, 19421, 'codevtt_type', '', 'Bug', 0, 1497337765),
(236029, 72, 19422, 'Ref. Externe', '', '44675', 0, 1497337766),
(236030, 72, 19422, 'CodevTT_ChargeInit', '', '0.5', 0, 1497337766),
(236031, 72, 19422, 'handler_id', '0', '246', 0, 1497337766),
(236032, 72, 19422, 'codevtt_type', '', 'Bug', 0, 1497337766),
(236033, 72, 19423, 'Ref. Externe', '', '44677', 0, 1497337766),
(236034, 72, 19423, 'CodevTT_ChargeInit', '', '0.5', 0, 1497337766),
(236035, 72, 19423, 'handler_id', '0', '246', 0, 1497337766),
(236036, 72, 19423, 'codevtt_type', '', 'Bug', 0, 1497337766),
(236037, 72, 19424, 'Ref. Externe', '', '44680', 0, 1497337766),
(236038, 72, 19424, 'CodevTT_ChargeInit', '', '0.5', 0, 1497337766),
(236039, 72, 19424, 'handler_id', '0', '157', 0, 1497337766),
(236040, 72, 19424, 'codevtt_type', '', 'Bug', 0, 1497337766),
(236041, 72, 19425, 'Ref. Externe', '', '44683', 0, 1497337766),
(236042, 72, 19425, 'CodevTT_ChargeInit', '', '0.5', 0, 1497337766),
(236043, 72, 19425, 'handler_id', '0', '246', 0, 1497337766),
(236044, 72, 19425, 'codevtt_type', '', 'Bug', 0, 1497337766),
(236045, 246, 19370, 'CodevTT_RAF', '', '2', 0, 1497338239),
(236046, 246, 19370, 'status', '10', '50', 0, 1497338239),
(236103, 72, 18757, 'handler_id', '147', '158', 0, 1497342588),
(236104, 72, 18757, 'CodevTT_ChargeInit', '2', '3', 0, 1497342603),
(236105, 72, 18757, 'CodevTT_RAF', '1', '2', 0, 1497342603),
(236106, 72, 19427, '', '', '', 1, 1497342714),
(236107, 72, 19427, 'handler_id', '0', '158', 0, 1497342714),
(236108, 72, 19427, '', '', '18757', 21, 1497342714),
(236109, 72, 18757, '', '', '19427', 20, 1497342714),
(236110, 72, 19342, 'CodevTT_ChargeMgr', '', '0', 0, 1497342955),
(236111, 72, 19342, 'CodevTT_ChargeInit', '0.5', '2', 0, 1497342955),
(236112, 72, 19341, 'CodevTT_ChargeMgr', '', '0', 0, 1497342977),
(236113, 72, 19341, 'CodevTT_ChargeInit', '0.5', '2', 0, 1497342977),
(236114, 72, 19341, 'CodevTT_ChargeInit', '2', '2.5', 0, 1497342990),
(236115, 72, 19420, 'handler_id', '246', '199', 0, 1497343056),
(236116, 72, 19420, 'handler_id', '199', '0', 0, 1497343572),
(236117, 72, 19420, 'status', '10', '20', 0, 1497343572),
(236118, 72, 19420, '', '0021813', '', 2, 1497343598),
(236119, 72, 19370, 'handler_id', '246', '0', 0, 1497343680),
(236120, 72, 19370, 'status', '50', '20', 0, 1497343680),
(236121, 72, 19370, '', '0021814', '', 2, 1497343716),
(236122, 72, 19370, 'status', '20', '10', 0, 1497343716),
(236126, 72, 18442, 'CodevTT_Dead Line', '', '1497909600', 0, 1497344067),
(236127, 72, 18777, 'CodevTT_ChargeMgr', '', '0', 0, 1497344114),
(236128, 72, 18777, 'CodevTT_ChargeInit', '0.5', '1', 0, 1497344114),
(236129, 72, 18777, 'CodevTT_Dead Line', '', '1497909600', 0, 1497344147),
(236130, 72, 14710, 'handler_id', '246', '158', 0, 1497344228),
(250703, 72, 14710, 'CodevTT_RAF', '5', '0', 0, 1499758027),
(236132, 72, 19342, 'handler_id', '0', '74', 0, 1497344321),
(236133, 72, 19427, '', '2500', '18757', 18, 1497344440),
(236134, 72, 18757, '', '2501', '19427', 18, 1497344440),
(236135, 72, 19427, 'target_version', '17.5', '17.4', 0, 1497344529),
(236137, 72, 18757, 'target_version', '', '17.4', 0, 1497344595),
(236140, 72, 14710, 'CodevTT_Dead Line', '1495576800', '', 0, 1497344796),
(236141, 72, 18511, 'CodevTT_RAF', '', '0', 0, 1497344864),
(236142, 72, 18511, 'status', '10', '80', 0, 1497344864),
(236143, 72, 18511, 'CodevTT_RAF', '0', '0', 0, 1497344864),
(236144, 72, 18511, 'CodevTT_Dead Line', '', '', 0, 1497344864),
(236145, 72, 16849, 'target_version', '17.4', '', 0, 1497344957),
(236146, 72, 19342, 'handler_id', '74', '158', 0, 1497345526),
(236147, 72, 19342, 'handler_id', '158', '74', 0, 1497345553),
(236149, 2, 19428, '', '', '', 1, 1497345588),
(236150, 2, 19428, 'handler_id', '0', '2', 0, 1497345588),
(236153, 72, 18489, 'CodevTT_ChargeMgr', '', '5', 0, 1497346142),
(236154, 72, 18489, 'CodevTT_ChargeMgr', '5', '12', 0, 1497346173),
(236155, 168, 17429, 'CodevTT_RAF', '3.5', '2.5', 0, 1497346356),
(236156, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497346543),
(236157, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497346573),
(236158, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497346590),
(236159, 217, 14013, '', '21816', '', 2, 1497346609),
(236160, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497346621),
(236161, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497346631),
(236162, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497346643),
(236163, 217, 11112, 'CodevTT_RAF', '15', '15', 0, 1497346665),
(236164, 217, 11112, 'CodevTT_RAF', '15', '150', 0, 1497346675),
(236166, 217, 11112, 'CodevTT_RAF', '150', '12', 0, 1497346702),
(236168, 217, 14013, '', '21817', '', 2, 1497346719),
(236329, 2, 19386, 'CodevTT_RAF', '0.5', '0', 0, 1497347609),
(236330, 2, 19386, 'CodevTT_RAF', '0', '0', 0, 1497347609),
(236331, 2, 19386, 'status', '50', '80', 0, 1497347609),
(236398, 205, 10749, 'CodevTT_RAF', '15', '15', 0, 1497349591),
(236397, 205, 14013, 'CodevTT_RAF', '10', '10', 0, 1497349581),
(236396, 205, 10749, 'CodevTT_RAF', '15', '15', 0, 1497349560),
(236395, 205, 14013, 'CodevTT_RAF', '10', '10', 0, 1497349529),
(236399, 205, 14013, 'CodevTT_RAF', '10', '10', 0, 1497349705),
(236400, 205, 10749, 'CodevTT_RAF', '15', '15', 0, 1497349723),
(236401, 205, 14013, 'CodevTT_RAF', '10', '10', 0, 1497349731),
(236402, 72, 15785, 'CodevTT_RAF', '1', '0', 0, 1497352992),
(236403, 72, 15785, 'status', '50', '80', 0, 1497352992),
(236404, 72, 15785, 'CodevTT_RAF', '0', '0', 0, 1497352992),
(236405, 392, 1, '', '21820', '', 2, 1497353820),
(236409, 392, 1, '', '21820', '', 4, 1497354107),
(236410, 392, 1, '', '21822', '', 2, 1497354107),
(236414, 392, 1, '', '21822', '', 4, 1497354242),
(236828, 382, 1, '', '21860', '', 2, 1497363876),
(236862, 246, 19423, 'CodevTT_RAF', '', '0', 0, 1497365857),
(236863, 246, 19423, 'CodevTT_RAF', '0', '0', 0, 1497365857),
(236864, 246, 19423, 'status', '10', '80', 0, 1497365857),
(236865, 246, 19422, 'CodevTT_RAF', '', '0', 0, 1497365879),
(236866, 246, 19422, 'CodevTT_RAF', '0', '0', 0, 1497365879),
(236867, 246, 19422, 'status', '10', '80', 0, 1497365879),
(236868, 246, 19425, 'CodevTT_RAF', '', '0', 0, 1497365923),
(236869, 246, 19425, 'CodevTT_RAF', '0', '0', 0, 1497365923),
(236870, 246, 19425, 'status', '10', '80', 0, 1497365923),
(236953, 74, 14014, 'CodevTT_RAF', '1', '3', 0, 1497422781),
(236954, 74, 14014, 'CodevTT_RAF', '3', '2', 0, 1497422794),
(236955, 74, 14014, 'CodevTT_RAF', '2', '0', 0, 1497422807),
(236956, 74, 14014, 'CodevTT_RAF', '0', '0', 0, 1497422807),
(236957, 74, 14014, 'status', '50', '80', 0, 1497422807),
(236966, 246, 18442, 'CodevTT_RAF', '', '2', 0, 1497423702),
(236967, 246, 18442, 'status', '10', '50', 0, 1497423702),
(236968, 246, 18442, '', '21890', '', 2, 1497423720),
(236994, 72, 19048, 'CodevTT_RAF', '', '0', 0, 1497427019),
(236995, 72, 19048, 'status', '10', '80', 0, 1497427019),
(236996, 72, 19048, 'CodevTT_RAF', '0', '0', 0, 1497427019),
(237057, 168, 17429, 'CodevTT_RAF', '2.5', '1.5', 0, 1497429732),
(237078, 217, 11112, 'CodevTT_RAF', '12', '12', 0, 1497430308),
(237079, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497430320),
(237080, 217, 14013, '', '21817', '', 4, 1497430338),
(237081, 217, 14013, '', '21904', '', 2, 1497430338),
(237082, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497430351),
(237083, 217, 14013, 'CodevTT_RAF', '10', '10', 0, 1497430363),
(237133, 72, 19501, 'Ref. Externe', '', '44686', 0, 1497439365),
(237134, 72, 19501, 'CodevTT_ChargeInit', '', '0.5', 0, 1497439365),
(237135, 72, 19501, 'target_version', '', '17.2.50 MCO', 0, 1497439365),
(237136, 72, 19501, 'handler_id', '0', '246', 0, 1497439366),
(237137, 72, 19501, 'codevtt_type', '', 'Bug', 0, 1497439366),
(237138, 72, 19502, 'Ref. Externe', '', '44689', 0, 1497439366),
(237139, 72, 19502, 'CodevTT_ChargeInit', '', '0.5', 0, 1497439366),
(237140, 72, 19502, 'target_version', '', '17.2.50 MCO', 0, 1497439366),
(237141, 72, 19502, 'handler_id', '0', '246', 0, 1497439366),
(237142, 72, 19502, 'codevtt_type', '', 'Bug', 0, 1497439366),
(237267, 157, 17730, 'CodevTT_RAF', '0.5', '2', 0, 1497450215),
(237271, 157, 17730, 'CodevTT_RAF', '2', '2', 0, 1497450239),
(237273, 157, 18755, 'CodevTT_RAF', '0.5', '1', 0, 1497450271),
(237274, 157, 18755, 'CodevTT_RAF', '1', '0.5', 0, 1497450291),
(237563, 348, 2, '', '22064', '', 2, 1497517228),
(238178, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1497543283),
(238179, 2, 1437, '', '22272', '', 2, 1497543485),
(238180, 2, 1437, '', '22272', '', 4, 1497543561),
(238184, 72, 19386, 'status', '80', '50', 0, 1497590196),
(238185, 72, 19386, 'CodevTT_Dead Line', '', '', 0, 1497590196),
(238186, 72, 19386, '', '22274', '', 2, 1497590264),
(238187, 72, 19386, 'CodevTT_RAF', '0', '0.5', 0, 1497590264),
(238188, 72, 19513, 'Ref. Externe', '', '44691', 0, 1497593606),
(238189, 72, 19513, 'CodevTT_ChargeInit', '', '0.5', 0, 1497593606),
(238190, 72, 19513, 'target_version', '', '18.0_PUMA', 0, 1497593606),
(238191, 72, 19513, 'handler_id', '0', '246', 0, 1497593606),
(238192, 72, 19513, 'codevtt_type', '', 'Bug', 0, 1497593606),
(238193, 72, 19514, 'Ref. Externe', '', '44694', 0, 1497593606),
(238194, 72, 19514, 'CodevTT_ChargeInit', '', '0.5', 0, 1497593606),
(238195, 72, 19514, 'target_version', '', '18.0_PUMA', 0, 1497593606),
(238196, 72, 19514, 'handler_id', '0', '246', 0, 1497593606),
(238197, 72, 19514, 'codevtt_type', '', 'Bug', 0, 1497593606),
(238198, 72, 19515, 'Ref. Externe', '', '44695', 0, 1497593607),
(238199, 72, 19515, 'CodevTT_ChargeInit', '', '0.5', 0, 1497593607),
(238200, 72, 19515, 'target_version', '', '18.0_PUMA', 0, 1497593607),
(238201, 72, 19515, 'handler_id', '0', '246', 0, 1497593607),
(238202, 72, 19515, 'codevtt_type', '', 'Bug', 0, 1497593607),
(238332, 157, 17730, 'CodevTT_RAF', '2', '1', 0, 1497601364),
(238333, 157, 17730, 'CodevTT_RAF', '1', '0', 0, 1497601382),
(238334, 157, 17730, 'CodevTT_RAF', '0', '0', 0, 1497601382),
(238335, 157, 17730, 'status', '50', '80', 0, 1497601382),
(238451, 168, 17429, '', '22339', '', 2, 1497615669),
(238452, 168, 17429, 'CodevTT_RAF', '1.5', '0.5', 0, 1497615669),
(238513, 72, 15785, 'CodevTT_ChargeMgr', '', '5', 0, 1497620007),
(238514, 72, 16516, 'CodevTT_ChargeMgr', '0', '5', 0, 1497620072),
(238515, 72, 16516, 'CodevTT_ChargeMgr', '5', '10', 0, 1497620086),
(238517, 72, 16526, 'CodevTT_ChargeMgr', '0', '5', 0, 1497620120),
(238523, 72, 16526, 'handler_id', '0', '217', 0, 1497620327),
(238524, 72, 16526, 'CodevTT_ChargeInit', '1', '3', 0, 1497620344),
(238807, 169, 10749, 'CodevTT_RAF', '15', '14', 0, 1497850103),
(238808, 169, 10749, 'CodevTT_RAF', '14', '13', 0, 1497850116),
(238809, 169, 10749, 'CodevTT_RAF', '13', '12', 0, 1497850126),
(238810, 169, 10749, 'CodevTT_RAF', '12', '11', 0, 1497850138),
(238811, 169, 10749, 'CodevTT_RAF', '11', '10', 0, 1497850150),
(238850, 246, 19501, 'CodevTT_RAF', '', '0', 0, 1497858088),
(238851, 246, 19501, 'CodevTT_RAF', '0', '0', 0, 1497858088),
(238852, 246, 19501, 'status', '10', '80', 0, 1497858088),
(238854, 246, 19502, 'CodevTT_RAF', '', '0', 0, 1497858120),
(238855, 246, 19502, 'CodevTT_RAF', '0', '0', 0, 1497858120),
(238856, 246, 19502, 'status', '10', '80', 0, 1497858120),
(239127, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1497883614),
(239128, 164, 1435, '', '21623', '', 4, 1497883669),
(239138, 246, 19502, '', '22424', '', 2, 1497884580),
(239139, 246, 19502, '', '22425', '', 2, 1497884653),
(239140, 246, 19502, 'CodevTT_RAF', '0', '0', 0, 1497884653),
(239141, 246, 19502, '', '22425', '', 4, 1497884694),
(239142, 246, 19502, '', '22426', '', 2, 1497884694),
(239147, 246, 18442, '', '22427', '', 2, 1497884730),
(239148, 246, 18442, 'CodevTT_RAF', '2', '1', 0, 1497884730),
(239158, 2, 19428, '', '22430', '', 2, 1497885728),
(239317, 72, 19386, 'CodevTT_RAF', '0.5', '1', 0, 1497940432),
(239398, 345, 19586, 'Ref. Externe', '', '9999', 0, 1497944669),
(239399, 345, 19586, 'CodevTT_ChargeInit', '', '0.5', 0, 1497944669),
(239400, 345, 19586, 'codevtt_type', '', 'Task', 0, 1497944669),
(239401, 345, 19587, 'Ref. Externe', '', '9999', 0, 1497944669),
(239402, 345, 19587, 'CodevTT_ChargeInit', '', '0.5', 0, 1497944669),
(239403, 345, 19587, 'codevtt_type', '', 'Task', 0, 1497944669),
(239404, 345, 19588, 'Ref. Externe', '', '9999', 0, 1497944670),
(239405, 345, 19588, 'CodevTT_ChargeInit', '', '0.5', 0, 1497944670),
(239406, 345, 19588, 'codevtt_type', '', 'Task', 0, 1497944670),
(239586, 2, 19599, '', '', '', 1, 1497962550),
(239587, 2, 19599, 'handler_id', '0', '2', 0, 1497962550),
(239591, 2, 19599, '', '22487', '', 2, 1497962624),
(239592, 2, 19599, 'CodevTT_RAF', '', '2', 0, 1497962624),
(239593, 2, 19599, 'status', '10', '50', 0, 1497962624),
(239595, 2, 19599, 'summary', 'xxxxx Pb de compilation des EAR avec Maven', 'D44672 Pb de compilation des EAR avec Maven', 0, 1497962696),
(239596, 2, 19599, 'Ref. Externe', '', 'D44672', 0, 1497962696),
(239599, 2, 19599, 'CodevTT_RAF', '2', '2', 0, 1497962726),
(239634, 74, 1437, '', '22494', '', 2, 1497965681),
(239662, 72, 19603, 'Ref. Externe', '', '44707', 0, 1497968032),
(239663, 72, 19603, 'CodevTT_ChargeInit', '', '0.5', 0, 1497968032),
(239664, 72, 19603, 'handler_id', '0', '246', 0, 1497968032),
(239665, 72, 19603, 'codevtt_type', '', 'Bug', 0, 1497968032),
(239666, 72, 19604, 'Ref. Externe', '', '44717', 0, 1497968032),
(239667, 72, 19604, 'CodevTT_ChargeInit', '', '0.5', 0, 1497968032),
(239668, 72, 19604, 'handler_id', '0', '157', 0, 1497968032),
(239669, 72, 19604, 'codevtt_type', '', 'Bug', 0, 1497968032),
(239670, 72, 19604, 'CodevTT_Dead Line', '', '943916400', 0, 1497968032),
(239679, 72, 19606, 'Ref. Externe', '', '44693', 0, 1497968391),
(239680, 72, 19606, 'CodevTT_ChargeInit', '', '0.5', 0, 1497968391),
(239681, 72, 19606, 'target_version', '', '17.3.TO', 0, 1497968391),
(239682, 72, 19606, 'handler_id', '0', '157', 0, 1497968391),
(239683, 72, 19606, 'codevtt_type', '', 'Task', 0, 1497968391),
(239718, 72, 19607, '', '', '', 1, 1497970850),
(239719, 72, 19607, 'handler_id', '0', '157', 0, 1497970850),
(239754, 72, 19370, 'handler_id', '0', '199', 0, 1497972498),
(239759, 72, 19606, 'handler_id', '157', '72', 0, 1497972941),
(239760, 72, 19606, 'CodevTT_Dead Line', '', '', 0, 1497972942),
(239761, 72, 19606, 'CodevTT_RAF', '', '0', 0, 1497972949),
(239762, 72, 19606, 'status', '10', '80', 0, 1497972949),
(239763, 72, 19606, 'CodevTT_RAF', '0', '0', 0, 1497972949),
(239764, 72, 19606, 'CodevTT_Dead Line', '', '', 0, 1497972949),
(239884, 217, 14013, 'CodevTT_RAF', '10', '4', 0, 1498027164),
(239885, 217, 14013, 'CodevTT_RAF', '4', '4', 0, 1498027177),
(239886, 217, 11112, 'CodevTT_RAF', '12', '10', 0, 1498027197),
(239894, 246, 19603, 'CodevTT_RAF', '', '2', 0, 1498030266),
(239895, 246, 19603, 'status', '10', '50', 0, 1498030266),
(239896, 246, 19603, '', '22530', '', 2, 1498030307),
(239897, 246, 19603, 'CodevTT_RAF', '2', '0', 0, 1498030307),
(239898, 246, 19603, 'CodevTT_RAF', '0', '0', 0, 1498030307),
(239899, 246, 19603, 'status', '50', '80', 0, 1498030307),
(239961, 72, 18757, 'CodevTT_RAF', '2', '0.8', 0, 1498034269),
(239963, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1498037378),
(239964, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1498037392),
(239965, 164, 16588, '', '22541', '', 2, 1498037404),
(239966, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1498037423),
(239996, 72, 18757, '', '22544', '', 2, 1498039758),
(239997, 72, 18757, 'CodevTT_RAF', '0.8', '0.5', 0, 1498039788),
(240059, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1498057418),
(240084, 72, 19342, 'handler_id', '74', '72', 0, 1498058318),
(240085, 72, 19342, 'status', '10', '50', 0, 1498058318),
(240086, 72, 19342, '', '22568', '', 2, 1498058395),
(240087, 72, 19342, 'CodevTT_RAF', '', '1.5', 0, 1498058395),
(240143, 246, 16071, '', '22576', '', 2, 1498060003),
(240144, 246, 16071, 'CodevTT_RAF', '', '5', 0, 1498060003),
(240145, 246, 16071, 'status', '10', '50', 0, 1498060003),
(240146, 246, 16071, 'handler_id', '74', '246', 0, 1498060003),
(240147, 246, 18442, '', '22577', '', 2, 1498060053),
(240148, 246, 18442, 'CodevTT_RAF', '1', '1', 0, 1498060053),
(240242, 72, 19705, '', '', '', 1, 1498111672),
(240243, 72, 19705, 'handler_id', '0', '157', 0, 1498111672),
(240244, 72, 19706, '', '', '', 1, 1498112123),
(240245, 72, 19706, 'handler_id', '0', '157', 0, 1498112123),
(240246, 72, 19706, '', '', '19705', 21, 1498112123),
(240247, 72, 19705, '', '', '19706', 20, 1498112123),
(240258, 72, 17448, 'status', '20', '50', 0, 1498113469),
(240358, 157, 18755, 'CodevTT_RAF', '0.5', '0.5', 0, 1498118203),
(240362, 157, 19706, 'CodevTT_RAF', '', '0.5', 0, 1498118237),
(240363, 157, 19706, 'status', '10', '50', 0, 1498118237),
(240366, 157, 19705, 'CodevTT_RAF', '', '0.5', 0, 1498118292),
(240367, 157, 19705, 'status', '10', '50', 0, 1498118292),
(240397, 72, 16101, 'CodevTT_RAF', '1.5', '0', 0, 1498120490),
(240398, 72, 16101, 'status', '50', '80', 0, 1498120490),
(240399, 72, 16101, 'CodevTT_RAF', '0', '0', 0, 1498120490),
(240402, 72, 15970, 'CodevTT_RAF', '3', '0', 0, 1498120539),
(240403, 72, 15970, 'status', '50', '80', 0, 1498120539),
(240404, 72, 15970, 'CodevTT_RAF', '0', '0', 0, 1498120539),
(240405, 72, 12325, 'CodevTT_RAF', '0.5', '0', 0, 1498120569),
(240406, 72, 12325, 'status', '50', '80', 0, 1498120569),
(240407, 72, 12325, 'CodevTT_RAF', '0', '0', 0, 1498120569),
(240410, 72, 12307, 'CodevTT_RAF', '2', '0', 0, 1498120601),
(240411, 72, 12307, 'status', '50', '80', 0, 1498120601),
(240412, 72, 12307, 'CodevTT_RAF', '0', '0', 0, 1498120601),
(240413, 72, 12308, 'CodevTT_RAF', '0.25', '0', 0, 1498120652),
(240414, 72, 12308, 'status', '50', '80', 0, 1498120652),
(240415, 72, 12308, 'CodevTT_RAF', '0', '0', 0, 1498120652),
(240416, 72, 16140, 'CodevTT_RAF', '2', '0', 0, 1498120698),
(240417, 72, 16140, 'status', '50', '80', 0, 1498120698),
(240418, 72, 16140, 'CodevTT_RAF', '0', '0', 0, 1498120698),
(240419, 72, 17133, 'CodevTT_RAF', '2', '0', 0, 1498120723),
(240420, 72, 17133, 'status', '50', '80', 0, 1498120723),
(240421, 72, 17133, 'CodevTT_RAF', '0', '0', 0, 1498120723),
(240433, 72, 19712, 'Ref. Externe', '', '44713', 0, 1498121280),
(240434, 72, 19712, 'CodevTT_ChargeInit', '', '0.5', 0, 1498121280),
(240435, 72, 19712, 'target_version', '', '18.0_PUMA', 0, 1498121280),
(240436, 72, 19712, 'handler_id', '0', '217', 0, 1498121280),
(240437, 72, 19712, 'codevtt_type', '', 'Bug', 0, 1498121280),
(240438, 72, 19713, 'Ref. Externe', '', '44725', 0, 1498121280),
(240439, 72, 19713, 'CodevTT_ChargeInit', '', '0.5', 0, 1498121280),
(240440, 72, 19713, 'target_version', '', '18.0_PUMA', 0, 1498121280),
(240441, 72, 19713, 'handler_id', '0', '217', 0, 1498121280),
(240442, 72, 19713, 'codevtt_type', '', 'Bug', 0, 1498121280),
(240481, 72, 19714, '', '', '', 1, 1498122464),
(240482, 72, 19714, 'handler_id', '0', '205', 0, 1498122464),
(240483, 72, 19714, '', '', '19712', 21, 1498122464),
(240484, 72, 19712, '', '', '19714', 20, 1498122464),
(240553, 217, 19715, '', '', '', 1, 1498123678),
(240554, 217, 19715, 'handler_id', '0', '217', 0, 1498123678),
(240555, 217, 19715, '', '', '17984', 21, 1498123678),
(240556, 217, 17984, '', '', '19715', 20, 1498123678),
(240562, 217, 19715, 'CodevTT_RAF', '', '5', 0, 1498123734),
(240563, 217, 19715, 'status', '10', '50', 0, 1498123734),
(240565, 217, 14013, 'CodevTT_RAF', '4', '4', 0, 1498123760),
(240568, 217, 11112, '', '22668', '', 2, 1498123806),
(240569, 217, 11112, 'CodevTT_RAF', '10', '10', 0, 1498123806),
(240596, 217, 19515, 'handler_id', '246', '217', 0, 1498124233),
(240595, 217, 19515, 'status', '10', '50', 0, 1498124233),
(240584, 217, 17984, '', '', '19716', 20, 1498123946),
(240585, 217, 19513, 'CodevTT_RAF', '', '5', 0, 1498123987),
(240586, 217, 19513, 'status', '10', '50', 0, 1498123987),
(240587, 217, 19514, 'CodevTT_RAF', '', '5', 0, 1498124099),
(240588, 217, 19514, 'status', '10', '50', 0, 1498124099),
(240589, 217, 19514, 'handler_id', '246', '217', 0, 1498124099),
(240594, 217, 19515, 'CodevTT_RAF', '', '5', 0, 1498124233),
(240667, 72, 19606, 'CodevTT_ChargeMgr', '', '1', 0, 1498130117),
(241356, 250, 1, '', '22908', '', 2, 1498149101),
(241361, 285, 2, '', '22911', '', 2, 1498151819),
(241362, 285, 2, '', '22912', '', 2, 1498151882),
(241365, 285, 2, '', '22912', '', 4, 1498151929),
(241366, 285, 2, '', '22911', '', 4, 1498151932),
(241430, 157, 18755, 'CodevTT_RAF', '0.5', '0', 0, 1498199017),
(241431, 157, 18755, 'CodevTT_RAF', '0', '0', 0, 1498199017),
(241432, 157, 18755, 'status', '50', '80', 0, 1498199017),
(241433, 157, 18756, 'CodevTT_RAF', '4.5', '3.5', 0, 1498199073),
(241434, 157, 19705, 'CodevTT_RAF', '0.5', '0', 0, 1498199138),
(241435, 157, 19705, 'status', '50', '80', 0, 1498199138),
(241436, 157, 19705, 'CodevTT_RAF', '0', '0', 0, 1498199138),
(241437, 157, 19705, 'CodevTT_Dead Line', '', '', 0, 1498199138),
(241438, 157, 19607, 'CodevTT_RAF', '', '0', 0, 1498199163),
(241439, 157, 19607, 'status', '10', '80', 0, 1498199163),
(241440, 157, 19607, 'CodevTT_RAF', '0', '0', 0, 1498199163),
(241444, 157, 19424, 'CodevTT_RAF', '', '0', 0, 1498199187),
(241445, 157, 19424, 'status', '10', '80', 0, 1498199187),
(241446, 157, 19424, 'CodevTT_RAF', '0', '0', 0, 1498199187),
(241451, 217, 19514, 'CodevTT_RAF', '5', '5', 0, 1498200611),
(241591, 168, 17429, 'CodevTT_RAF', '0.5', '2', 0, 1498206703),
(241593, 168, 17429, 'CodevTT_RAF', '2', '1', 0, 1498206719),
(241594, 168, 17427, 'CodevTT_RAF', '7.5', '6.5', 0, 1498206755),
(241595, 168, 17427, 'CodevTT_RAF', '6.5', '5.5', 0, 1498206768),
(241596, 168, 17427, 'CodevTT_RAF', '5.5', '5', 0, 1498206780),
(241599, 72, 19116, 'RSI_Type_Ano', '', 'Recette', 0, 1498206833),
(241605, 72, 19117, 'RSI_Type_Ano', '', 'Recette', 0, 1498206870),
(241608, 72, 19118, 'RSI_Type_Ano', '', 'Production', 0, 1498206934),
(241691, 72, 2894, '', '22989', '', 2, 1498209087),
(241728, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1498215604),
(241729, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1498215631),
(241730, 164, 1, '', '23002', '', 2, 1498215664),
(241736, 56, 1, '', '20854', '', 4, 1498217905),
(241737, 56, 1, '', '23004', '', 2, 1498217905),
(241738, 56, 1, '', '23004', '', 4, 1498217913),
(241739, 56, 1, '', '23005', '', 2, 1498217913),
(241740, 56, 1, '', '23005', '', 4, 1498217917),
(241741, 56, 1, '', '23006', '', 2, 1498217917),
(241742, 56, 1, '', '23007', '', 2, 1498217993),
(241747, 72, 2894, '', '22989', '', 4, 1498219776),
(241748, 72, 2894, '', '23008', '', 2, 1498219776),
(243672, 72, 19386, 'status', '50', '80', 0, 1498723430),
(243671, 72, 19386, 'CodevTT_RAF', '1', '0', 0, 1498723430),
(241753, 74, 16071, '', '', '19721', 20, 1498222454),
(243670, 72, 17764, 'CodevTT_Dead Line', '', '', 0, 1498723032),
(243669, 72, 17764, 'status', '50', '20', 0, 1498723032),
(241757, 74, 19421, 'CodevTT_RAF', '', '1.5', 0, 1498222638),
(241758, 74, 19421, 'status', '10', '50', 0, 1498222638),
(241759, 74, 19421, 'CodevTT_RAF', '1.5', '1', 0, 1498222652),
(241760, 74, 16071, 'CodevTT_RAF', '5', '3', 0, 1498222690),
(241761, 74, 16071, 'CodevTT_RAF', '3', '2.5', 0, 1498222706),
(241890, 250, 1, '', '23019', '', 2, 1498231097),
(242063, 2, 19428, '', '23035', '', 2, 1498236209),
(242064, 2, 19428, '', '23036', '', 2, 1498236219),
(242075, 169, 10749, 'CodevTT_RAF', '10', '9', 0, 1498429474),
(242076, 169, 10749, 'CodevTT_RAF', '9', '8', 0, 1498429490),
(242077, 169, 17739, 'CodevTT_RAF', '0', '1', 0, 1498429574),
(242078, 169, 17739, 'status', '80', '50', 0, 1498429574),
(242079, 169, 17739, 'CodevTT_RAF', '1', '1', 0, 1498429602),
(242080, 169, 17741, 'CodevTT_RAF', '0.1', '1.5', 0, 1498429637),
(242081, 169, 17741, 'CodevTT_RAF', '1.5', '1', 0, 1498429647),
(242197, 2, 1437, '', '23044', '', 2, 1498461878),
(242216, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1498465701),
(242223, 2, 19599, 'summary', 'D44672 Pb de compilation des EAR avec Maven', 'D44672 ANVCTX Pb de compilation des EAR avec Maven', 0, 1498466439),
(242224, 2, 18662, '', '23052', '', 2, 1498466615),
(242225, 2, 18662, 'CodevTT_RAF', '10', '5', 0, 1498466615),
(242226, 2, 1435, '', '23053', '', 2, 1498466641),
(242227, 2, 2894, '', '23054', '', 2, 1498466650),
(242228, 2, 19599, '', '23055', '', 2, 1498466694),
(242229, 2, 19599, 'CodevTT_RAF', '2', '2', 0, 1498466694),
(242230, 2, 19599, '', '23056', '', 2, 1498466715),
(242231, 2, 19599, 'CodevTT_RAF', '2', '2', 0, 1498466715),
(242232, 2, 17251, '', '23057', '', 2, 1498466760),
(242233, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1498466760),
(242234, 2, 19428, '', '23058', '', 2, 1498466858),
(242235, 2, 19428, '', '23059', '', 2, 1498466863),
(242342, 72, 19754, 'Ref. Externe', '', '44733', 0, 1498475937),
(242343, 72, 19754, 'CodevTT_ChargeInit', '', '0.5', 0, 1498475937),
(242344, 72, 19754, 'handler_id', '0', '158', 0, 1498475937),
(242345, 72, 19754, 'codevtt_type', '', 'Bug', 0, 1498475937),
(242346, 72, 19755, 'Ref. Externe', '', '44736', 0, 1498475937),
(242347, 72, 19755, 'CodevTT_ChargeInit', '', '0.5', 0, 1498475937),
(242348, 72, 19755, 'handler_id', '0', '157', 0, 1498475937),
(242349, 72, 19755, 'codevtt_type', '', 'Bug', 0, 1498475937),
(242350, 72, 19756, 'Ref. Externe', '', '44737', 0, 1498475938),
(242351, 72, 19756, 'CodevTT_ChargeInit', '', '0.5', 0, 1498475938),
(242352, 72, 19756, 'handler_id', '0', '157', 0, 1498475938),
(242353, 72, 19756, 'codevtt_type', '', 'Bug', 0, 1498475938),
(242354, 72, 19757, 'Ref. Externe', '', '44738', 0, 1498475938),
(242355, 72, 19757, 'CodevTT_ChargeInit', '', '0.5', 0, 1498475938),
(242356, 72, 19757, 'handler_id', '0', '205', 0, 1498475938),
(242357, 72, 19757, 'codevtt_type', '', 'Bug', 0, 1498475938),
(242377, 199, 10749, 'CodevTT_RAF', '8', '8', 0, 1498476947),
(242378, 199, 10749, 'CodevTT_RAF', '8', '8', 0, 1498476974),
(242379, 199, 10749, 'CodevTT_RAF', '8', '8', 0, 1498476983),
(242380, 199, 10749, 'CodevTT_RAF', '8', '8', 0, 1498476990),
(242381, 199, 10749, 'CodevTT_RAF', '8', '8', 0, 1498476999),
(242382, 2, 19428, '', '23090', '', 2, 1498478342),
(242383, 2, 18662, 'CodevTT_ChargeInit', '10', '3', 0, 1498478432),
(242384, 2, 18662, 'CodevTT_RAF', '5', '1', 0, 1498478432),
(242475, 157, 19756, 'CodevTT_RAF', '', '0.25', 0, 1498487304),
(242476, 157, 19756, 'status', '10', '50', 0, 1498487304),
(242477, 157, 19755, 'CodevTT_RAF', '', '0.25', 0, 1498487329),
(242478, 157, 19755, 'status', '10', '50', 0, 1498487329),
(242479, 157, 19755, 'CodevTT_RAF', '0.25', '0', 0, 1498487347),
(242480, 157, 19755, 'CodevTT_RAF', '0', '0', 0, 1498487347),
(242481, 157, 19755, 'status', '50', '80', 0, 1498487347),
(242482, 157, 19755, 'CodevTT_RAF', '0', '0', 0, 1498487375),
(242485, 157, 19756, 'CodevTT_RAF', '0.25', '0', 0, 1498487402),
(242486, 157, 19756, 'CodevTT_RAF', '0', '0', 0, 1498487402),
(242487, 157, 19756, 'status', '50', '80', 0, 1498487402),
(242515, 96, 19588, '', '23121', '', 2, 1498488643),
(242519, 96, 19588, '', '23122', '', 2, 1498488894),
(242523, 96, 19588, '', '23122', '', 4, 1498489010),
(242524, 96, 19588, '', '23124', '', 2, 1498489010),
(242539, 164, 18735, '', '23130', '', 2, 1498489858),
(242583, 246, 19603, '', '23139', '', 2, 1498492389),
(242584, 246, 19603, 'CodevTT_RAF', '0', '0', 0, 1498492389),
(242585, 246, 18442, '', '23140', '', 2, 1498492456),
(242586, 246, 18442, 'CodevTT_RAF', '1', '1', 0, 1498492456),
(242740, 46, 1, '', '23164', '', 2, 1498550211),
(242765, 164, 19331, 'CodevTT_RAF', '0', '0', 0, 1498553195),
(242805, 72, 19785, 'Ref. Externe', '', '44742', 0, 1498560644),
(242806, 72, 19785, 'CodevTT_ChargeInit', '', '0.5', 0, 1498560644);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(242807, 72, 19785, 'handler_id', '0', '205', 0, 1498560644),
(242808, 72, 19785, 'codevtt_type', '', 'Bug', 0, 1498560644),
(242809, 72, 19786, 'Ref. Externe', '', '44743', 0, 1498560645),
(242810, 72, 19786, 'CodevTT_ChargeInit', '', '0.5', 0, 1498560645),
(242811, 72, 19786, 'handler_id', '0', '157', 0, 1498560645),
(242812, 72, 19786, 'codevtt_type', '', 'Bug', 0, 1498560645),
(242813, 72, 19787, '', '', '', 1, 1498562274),
(242814, 72, 19787, '', '', '19055', 21, 1498562274),
(242815, 72, 19055, '', '', '19787', 20, 1498562274),
(242816, 72, 18776, 'CodevTT_ChargeMgr', '', '3', 0, 1498562506),
(242817, 72, 18441, 'CodevTT_ChargeMgr', '', '2', 0, 1498562529),
(242818, 72, 18442, 'CodevTT_ChargeMgr', '', '1', 0, 1498562559),
(242819, 72, 18777, 'CodevTT_ChargeMgr', '0', '4', 0, 1498562593),
(242820, 72, 18777, 'CodevTT_ChargeInit', '1', '2', 0, 1498562593),
(242821, 72, 19787, '', '3985', '', 6, 1498562676),
(242822, 72, 19787, 'CodevTT_ChargeMgr', '0', '4.5', 0, 1498562676),
(242823, 72, 19787, 'CodevTT_ChargeInit', '0', '3', 0, 1498562676),
(242824, 72, 18776, 'CodevTT_RAF', '', '0', 0, 1498562734),
(242825, 72, 18776, 'status', '10', '80', 0, 1498562734),
(242826, 72, 18776, 'CodevTT_RAF', '0', '0', 0, 1498562734),
(242827, 72, 18776, 'CodevTT_Dead Line', '', '', 0, 1498562734),
(242828, 72, 18441, 'CodevTT_RAF', '', '0', 0, 1498562750),
(242829, 72, 18441, 'status', '10', '80', 0, 1498562750),
(242830, 72, 18441, 'CodevTT_RAF', '0', '0', 0, 1498562750),
(243121, 164, 19800, '', '', '', 1, 1498576085),
(243122, 164, 19800, 'handler_id', '0', '164', 0, 1498576085),
(243123, 164, 19800, '', '', '19331', 21, 1498576085),
(243124, 164, 19331, '', '', '19800', 20, 1498576085),
(243129, 246, 19513, 'CodevTT_RAF', '5', '0', 0, 1498577914),
(243130, 246, 19513, 'CodevTT_RAF', '0', '0', 0, 1498577914),
(243131, 246, 19513, 'status', '50', '80', 0, 1498577914),
(243132, 246, 18442, 'CodevTT_RAF', '1', '0', 0, 1498577937),
(243133, 246, 18442, 'CodevTT_RAF', '0', '0', 0, 1498577937),
(243134, 246, 18442, 'status', '50', '80', 0, 1498577937),
(243200, 72, 17765, 'status', '50', '20', 0, 1498627366),
(243201, 72, 17765, 'CodevTT_Dead Line', '', '', 0, 1498627366),
(243202, 72, 18757, 'handler_id', '158', '72', 0, 1498627426),
(243203, 72, 18757, 'status', '20', '50', 0, 1498627426),
(243204, 72, 18757, 'CodevTT_Dead Line', '', '', 0, 1498627426),
(243205, 72, 14710, 'handler_id', '158', '0', 0, 1498627465),
(250702, 72, 14710, 'CodevTT_ChargeMgr', '0', '5', 0, 1499757973),
(243251, 2, 19428, '', '23245', '', 2, 1498648291),
(243273, 72, 19341, 'CodevTT_RAF', '2', '1', 0, 1498654272),
(243275, 72, 19342, 'CodevTT_RAF', '1.5', '1.5', 0, 1498654324),
(243366, 74, 19342, 'CodevTT_RAF', '1.5', '1', 0, 1498660650),
(243387, 2, 19428, '', '23275', '', 2, 1498661887),
(243507, 199, 19515, 'CodevTT_RAF', '5', '5', 0, 1498715229),
(243510, 199, 19515, 'CodevTT_RAF', '5', '1', 0, 1498715329),
(243511, 199, 19515, 'handler_id', '217', '199', 0, 1498715329),
(243512, 199, 18777, 'CodevTT_RAF', '', '0.5', 0, 1498715380),
(243513, 199, 18777, 'status', '10', '50', 0, 1498715380),
(243514, 199, 10749, 'CodevTT_RAF', '8', '8', 0, 1498715421),
(243515, 199, 19515, 'CodevTT_RAF', '1', '1', 0, 1498715482),
(243516, 157, 19786, 'CodevTT_RAF', '2', '1.5', 0, 1498716175),
(243523, 199, 19832, '', '', '', 1, 1498718749),
(243524, 199, 19832, 'handler_id', '0', '199', 0, 1498718749),
(243525, 199, 19832, 'CodevTT_RAF', '', '0', 0, 1498718777),
(243526, 199, 19832, 'CodevTT_RAF', '0', '0', 0, 1498718777),
(243527, 199, 19832, 'status', '10', '80', 0, 1498718777),
(243547, 199, 19832, 'CodevTT_RAF', '0', '0', 0, 1498719158),
(243558, 72, 19833, '', '', '', 1, 1498719995),
(243559, 72, 19833, 'handler_id', '0', '157', 0, 1498719995),
(243560, 72, 19833, '', '', '19756', 21, 1498719995),
(243561, 72, 19756, '', '', '19833', 20, 1498719995),
(243583, 217, 19513, 'CodevTT_RAF', '0', '0', 0, 1498720839),
(243632, 72, 18755, 'CodevTT_ChargeMgr', '0', '37', 0, 1498721881),
(243633, 72, 18756, 'CodevTT_ChargeMgr', '0', '9', 0, 1498721891),
(243639, 72, 16071, '', '3988', '', 6, 1498722078),
(243640, 72, 16071, 'CodevTT_ChargeMgr', '5.4', '10.4', 0, 1498722078),
(243641, 72, 16071, 'CodevTT_ChargeInit', '5', '7', 0, 1498722078),
(243648, 72, 19427, 'handler_id', '158', '169', 0, 1498722366),
(243649, 72, 19427, 'CodevTT_Dead Line', '', '', 0, 1498722366),
(243650, 72, 19754, 'handler_id', '158', '199', 0, 1498722430),
(243653, 72, 17765, 'handler_id', '74', '0', 0, 1498722458),
(243654, 72, 17765, 'CodevTT_Dead Line', '', '', 0, 1498722458),
(243657, 72, 12999, 'handler_id', '74', '0', 0, 1498722505),
(243673, 72, 19386, 'CodevTT_RAF', '0', '0', 0, 1498723430),
(243674, 72, 19386, 'CodevTT_Dead Line', '', '', 0, 1498723430),
(243675, 72, 17856, 'CodevTT_RAF', '0.1', '0', 0, 1498723669),
(243676, 72, 17856, 'status', '20', '80', 0, 1498723669),
(243677, 72, 17856, 'CodevTT_RAF', '0', '0', 0, 1498723669),
(243678, 72, 19427, 'CodevTT_Dead Line', '', '1499896800', 0, 1498723797),
(243679, 72, 17065, 'status', '50', '20', 0, 1498723874),
(243680, 72, 17064, 'status', '10', '20', 0, 1498723891),
(243683, 72, 17065, 'handler_id', '205', '217', 0, 1498723927),
(243684, 72, 17065, 'status', '20', '50', 0, 1498723934),
(243687, 72, 11112, 'CodevTT_RAF', '10', '0', 0, 1498723975),
(243688, 72, 11112, 'status', '50', '80', 0, 1498723975),
(243689, 72, 11112, 'CodevTT_RAF', '0', '0', 0, 1498723975),
(243690, 72, 11112, 'CodevTT_Dead Line', '', '', 0, 1498723975),
(243695, 72, 19712, 'CodevTT_ChargeMgr', '', '0', 0, 1498724063),
(243696, 72, 19712, 'CodevTT_ChargeInit', '0.5', '0', 0, 1498724063),
(243697, 72, 19712, 'CodevTT_RAF', '', '0', 0, 1498724069),
(243698, 72, 19712, 'status', '10', '80', 0, 1498724069),
(243699, 72, 19712, 'CodevTT_RAF', '0', '0', 0, 1498724069),
(243700, 72, 19712, 'CodevTT_Dead Line', '', '', 0, 1498724069),
(243707, 72, 19713, 'CodevTT_ChargeMgr', '', '0', 0, 1498724118),
(243708, 72, 19713, 'CodevTT_ChargeInit', '0.5', '0', 0, 1498724118),
(243713, 72, 19713, 'handler_id', '217', '205', 0, 1498724131),
(243714, 72, 19713, 'CodevTT_RAF', '', '0', 0, 1498724131),
(243715, 72, 19713, 'status', '10', '80', 0, 1498724131),
(243716, 72, 19713, 'CodevTT_RAF', '0', '0', 0, 1498724131),
(243717, 72, 19713, 'CodevTT_Dead Line', '', '', 0, 1498724131),
(243725, 72, 19514, 'handler_id', '217', '246', 0, 1498724355),
(243726, 72, 19514, 'CodevTT_Dead Line', '', '', 0, 1498724355),
(243732, 72, 18721, 'CodevTT_RAF', '', '0', 0, 1498724924),
(243733, 72, 18721, 'status', '10', '80', 0, 1498724924),
(243734, 72, 18721, 'CodevTT_RAF', '0', '0', 0, 1498724924),
(243735, 72, 18721, 'CodevTT_Dead Line', '', '', 0, 1498724924),
(243746, 72, 19834, '', '', '', 1, 1498725681),
(243747, 72, 19834, 'handler_id', '0', '157', 0, 1498725681),
(243748, 72, 19834, '', '', '19833', 21, 1498725681),
(243749, 72, 19833, '', '', '19834', 20, 1498725681),
(243760, 72, 19834, 'summary', '44747 -TAIGA - 3 en 1 Taxés d office 17.3.0 -  RUN n°5 : Problème sur ijmbnf20.sh', '44755 -TAIGA - 3 en 1 Taxés d office 17.3.0 -  RUN n°5 : Problème sur ijmbnf20.sh', 0, 1498726030),
(243761, 72, 19834, 'Ref. Externe', '44747', '44755', 0, 1498726030),
(243770, 74, 19342, 'CodevTT_RAF', '1', '0', 0, 1498726134),
(243771, 74, 19342, 'CodevTT_RAF', '0', '0', 0, 1498726134),
(243772, 74, 19342, 'status', '50', '80', 0, 1498726134),
(244026, 74, 17432, 'CodevTT_RAF', '', '0.5', 0, 1498735982),
(244027, 74, 17432, 'status', '10', '50', 0, 1498735983),
(244028, 74, 16071, 'CodevTT_RAF', '2.5', '3', 0, 1498736085),
(244029, 74, 16071, 'handler_id', '246', '74', 0, 1498736085),
(244242, 240, 2, '', '23536', '', 2, 1498740674),
(244420, 72, 2894, '', '23597', '', 2, 1498746294),
(244426, 72, 17432, 'CodevTT_RAF', '0.5', '0', 0, 1498746341),
(244427, 72, 17432, 'CodevTT_RAF', '0', '0', 0, 1498746341),
(244428, 72, 17432, 'status', '50', '80', 0, 1498746341),
(244703, 382, 1, '', '23689', '', 2, 1498804073),
(255417, 246, 18488, 'CodevTT_RAF', '3', '3', 0, 1501054348),
(255416, 246, 18488, '', '25272', '', 2, 1501054348),
(246657, 72, 19872, 'handler_id', '0', '74', 0, 1499155730),
(244842, 72, 19871, 'Ref. Externe', '', '44615', 0, 1498805654),
(244843, 72, 19871, 'CodevTT_ChargeInit', '', '0.5', 0, 1498805654),
(244844, 72, 19871, 'codevtt_type', '', 'Task', 0, 1498805654),
(244845, 72, 19872, 'Ref. Externe', '', '44615', 0, 1498805654),
(244846, 72, 19872, 'CodevTT_ChargeInit', '', '0.5', 0, 1498805654),
(244847, 72, 19872, 'codevtt_type', '', 'Task', 0, 1498805654),
(244848, 72, 19871, 'CodevTT_ChargeMgr', '', '0', 0, 1498805696),
(244849, 72, 19871, 'CodevTT_ChargeInit', '0.5', '2', 0, 1498805696),
(244853, 72, 19872, 'CodevTT_ChargeMgr', '', '0', 0, 1498805805),
(244854, 72, 19872, 'CodevTT_ChargeInit', '0.5', '5', 0, 1498805805),
(244870, 72, 17742, 'CodevTT_ChargeMgr', '', '0', 0, 1498811514),
(244871, 72, 17742, 'CodevTT_ChargeInit', '2', '5', 0, 1498811514),
(244874, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1498813961),
(244875, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1498813984),
(244876, 164, 17251, '', '23698', '', 2, 1498814000),
(244877, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1498814045),
(244942, 157, 19834, 'CodevTT_RAF', '', '1', 0, 1498821054),
(244943, 157, 19834, 'status', '10', '50', 0, 1498821054),
(244944, 157, 19834, 'CodevTT_RAF', '1', '0', 0, 1498821083),
(244945, 157, 19834, 'CodevTT_RAF', '0', '0', 0, 1498821083),
(244946, 157, 19834, 'status', '50', '80', 0, 1498821083),
(244960, 199, 18777, 'CodevTT_RAF', '0.5', '0', 0, 1498825709),
(244961, 199, 18777, 'CodevTT_RAF', '0', '0', 0, 1498825709),
(244962, 199, 18777, 'status', '50', '80', 0, 1498825709),
(244963, 199, 18777, 'CodevTT_RAF', '0', '0', 0, 1498825719),
(244964, 199, 10741, 'CodevTT_RAF', '0', '0', 0, 1498825784),
(244965, 199, 10741, 'CodevTT_RAF', '0', '0', 0, 1498825799),
(244966, 199, 10749, 'CodevTT_RAF', '8', '0', 0, 1498825834),
(244967, 199, 10749, 'CodevTT_RAF', '0', '0', 0, 1498825834),
(244968, 199, 10749, 'status', '50', '80', 0, 1498825834),
(244971, 199, 10749, 'CodevTT_RAF', '0', '0', 0, 1498825902),
(244977, 74, 16071, 'CodevTT_RAF', '3', '3', 0, 1498826669),
(244978, 74, 16071, 'CodevTT_RAF', '3', '4', 0, 1498827000),
(244979, 74, 16071, 'CodevTT_RAF', '4', '4', 0, 1498827012),
(245002, 199, 19754, 'CodevTT_RAF', '', '0', 0, 1498828352),
(245003, 199, 19754, 'CodevTT_RAF', '0', '0', 0, 1498828352),
(245004, 199, 19754, 'status', '10', '80', 0, 1498828352),
(245008, 199, 19754, 'CodevTT_RAF', '0', '0', 0, 1498828384),
(245011, 199, 19370, 'CodevTT_RAF', '2', '0', 0, 1498828453),
(245012, 199, 19370, 'status', '10', '80', 0, 1498828453),
(245013, 199, 19370, 'CodevTT_RAF', '0', '0', 0, 1498828453),
(245016, 199, 17448, 'CodevTT_RAF', '0.5', '0', 0, 1498828496),
(245017, 199, 17448, 'status', '50', '80', 0, 1498828496),
(245018, 199, 17448, 'CodevTT_RAF', '0', '0', 0, 1498828496),
(245025, 199, 18404, 'CodevTT_RAF', '', '0', 0, 1498828659),
(245026, 199, 18404, 'status', '10', '80', 0, 1498828659),
(245027, 199, 18404, 'CodevTT_RAF', '0', '0', 0, 1498828659),
(245028, 217, 19715, 'CodevTT_RAF', '5', '4', 0, 1498828878),
(245029, 217, 19715, 'CodevTT_RAF', '4', '4', 0, 1498828890),
(245030, 199, 19235, 'CodevTT_RAF', '', '0', 0, 1498828913),
(245031, 199, 19235, 'status', '10', '80', 0, 1498828913),
(245032, 199, 19235, 'CodevTT_RAF', '0', '0', 0, 1498828913),
(245033, 217, 19081, 'CodevTT_RAF', '1', '2', 0, 1498828923),
(245034, 217, 19081, 'CodevTT_RAF', '2', '2', 0, 1498828935),
(245178, 199, 19884, '', '', '', 1, 1498832079),
(245179, 199, 19884, 'CodevTT_RAF', '', '0', 0, 1498832109),
(245180, 199, 19884, 'CodevTT_RAF', '0', '0', 0, 1498832109),
(245181, 199, 19884, 'status', '10', '80', 0, 1498832109),
(245182, 199, 19884, 'handler_id', '0', '199', 0, 1498832109),
(245183, 199, 19884, 'CodevTT_RAF', '0', '0', 0, 1498832146),
(245187, 199, 19884, 'summary', '44764', 'TAIGA - DSI2016 - Urgent- Assurée non amorcée', 0, 1498832176),
(245330, 205, 17065, 'CodevTT_RAF', '20', '19', 0, 1498835004),
(245331, 205, 17065, 'handler_id', '217', '205', 0, 1498835004),
(245459, 205, 14013, 'CodevTT_RAF', '4', '2', 0, 1498838043),
(245462, 205, 14013, 'CodevTT_RAF', '2', '2', 0, 1498838065),
(245472, 205, 14013, 'CodevTT_RAF', '2', '2', 0, 1498838165),
(245473, 205, 10749, 'CodevTT_RAF', '0', '0', 0, 1498838210),
(245474, 205, 10749, 'CodevTT_RAF', '0', '0', 0, 1498838222),
(245475, 205, 14013, 'CodevTT_RAF', '2', '2', 0, 1498838241),
(245476, 205, 14013, 'CodevTT_RAF', '2', '2', 0, 1498838250),
(245477, 205, 14013, 'CodevTT_RAF', '2', '2', 0, 1498838265),
(245479, 205, 19832, 'CodevTT_RAF', '0', '0', 0, 1498838354),
(245480, 205, 19785, 'CodevTT_RAF', '', '0', 0, 1498838396),
(245481, 205, 19785, 'CodevTT_RAF', '0', '0', 0, 1498838396),
(245482, 205, 19785, 'status', '10', '80', 0, 1498838396),
(245483, 205, 19757, 'CodevTT_RAF', '', '0', 0, 1498838436),
(245484, 205, 19757, 'CodevTT_RAF', '0', '0', 0, 1498838436),
(245485, 205, 19757, 'status', '10', '80', 0, 1498838436),
(245486, 205, 19713, 'CodevTT_RAF', '0', '0', 0, 1498838472),
(245506, 2, 19428, '', '23755', '', 2, 1498947963),
(245507, 169, 17741, 'CodevTT_RAF', '1', '0', 0, 1499002944),
(245508, 169, 17741, 'CodevTT_RAF', '0', '0', 0, 1499002944),
(245509, 169, 17741, 'status', '50', '80', 0, 1499002944),
(245510, 169, 17739, 'CodevTT_RAF', '1', '0', 0, 1499002969),
(245511, 169, 17739, 'CodevTT_RAF', '0', '0', 0, 1499002969),
(245512, 169, 17739, 'status', '50', '80', 0, 1499002969),
(245513, 169, 10749, 'CodevTT_RAF', '0', '0', 0, 1499003050),
(245514, 169, 10749, 'CodevTT_RAF', '0', '0', 0, 1499003061),
(245515, 169, 17740, 'CodevTT_RAF', '0', '0', 0, 1499003103),
(245516, 169, 17740, 'CodevTT_RAF', '0', '0', 0, 1499003119),
(245517, 169, 17740, 'CodevTT_RAF', '0', '1', 0, 1499003152),
(245518, 169, 17740, 'status', '80', '50', 0, 1499003152),
(245662, 164, 1, '', '23787', '', 2, 1499066786),
(245673, 246, 19514, '', '23793', '', 2, 1499066921),
(245674, 246, 19514, 'CodevTT_RAF', '5', '0', 0, 1499066921),
(245675, 246, 19514, 'CodevTT_RAF', '0', '0', 0, 1499066921),
(245676, 246, 19514, 'status', '50', '80', 0, 1499066921),
(245685, 246, 18488, '', '23797', '', 2, 1499067024),
(245686, 246, 18488, 'CodevTT_RAF', '6', '6', 0, 1499067024),
(246655, 72, 19871, 'handler_id', '0', '74', 0, 1499155712),
(248549, 72, 20180, 'CodevTT_ChargeInit', '', '0.5', 0, 1499327516),
(248550, 72, 20180, 'target_version', '', '18.0_PUMA', 0, 1499327516),
(248554, 72, 20181, 'CodevTT_ChargeInit', '', '0.5', 0, 1499327517),
(248555, 72, 20181, 'target_version', '', '18.0_PUMA', 0, 1499327517),
(248551, 72, 20180, 'handler_id', '0', '199', 0, 1499327516),
(248552, 72, 20180, 'codevtt_type', '', 'Bug', 0, 1499327516),
(248553, 72, 20181, 'Ref. Externe', '', '44790', 0, 1499327517),
(248543, 72, 20179, 'Ref. Externe', '', '44785', 0, 1499327516),
(248544, 72, 20179, 'CodevTT_ChargeInit', '', '0.5', 0, 1499327516),
(248545, 72, 20179, 'target_version', '', '18.0_PUMA', 0, 1499327516),
(248546, 72, 20179, 'handler_id', '0', '199', 0, 1499327516),
(248547, 72, 20179, 'codevtt_type', '', 'Bug', 0, 1499327516),
(248548, 72, 20180, 'Ref. Externe', '', '44786', 0, 1499327516),
(246044, 72, 17742, 'handler_id', '169', '246', 0, 1499068240),
(246045, 72, 17742, 'CodevTT_Dead Line', '', '', 0, 1499068240),
(246149, 72, 19968, '', '', '', 1, 1499071719),
(246150, 72, 19968, 'handler_id', '0', '199', 0, 1499071719),
(246151, 72, 19968, '', '', '19515', 21, 1499071719),
(246152, 72, 19515, '', '', '19968', 20, 1499071719),
(246153, 72, 19515, 'handler_id', '199', '246', 0, 1499071820),
(246154, 72, 19515, 'summary', '44695 - [PUMA - TAIGA] - TAIGA V18.0 - PUMA Acceptance  Bascule annuelle AD nouveaux majeur en assuré gratuit AD - NIR certifié ', '44695 - [DEVT] PUMA Acceptance  Bascule annuelle AD nouveaux majeur en assuré gratuit AD - NIR certifié', 0, 1499071820),
(246155, 72, 19515, 'CodevTT_Type', 'Bug', 'Task', 0, 1499071820),
(246156, 72, 19515, 'CodevTT_ChargeInit', '0.5', '1', 0, 1499071820),
(246157, 72, 19968, 'CodevTT_ChargeMgr', '', '0', 0, 1499072061),
(246158, 72, 19968, 'CodevTT_ChargeInit', '0.5', '1', 0, 1499072061),
(246159, 72, 19968, 'status', '10', '50', 0, 1499072093),
(246160, 72, 19968, 'CodevTT_Dead Line', '', '', 0, 1499072093),
(246161, 72, 19968, 'CodevTT_RAF', '', '0.5', 0, 1499072101),
(246162, 72, 19515, 'CodevTT_ChargeMgr', '', '0', 0, 1499072179),
(246168, 72, 17064, 'CodevTT_ChargeMgr', '', '0', 0, 1499073298),
(246169, 72, 17064, 'CodevTT_ChargeInit', '3', '2', 0, 1499073298),
(246170, 72, 17064, 'CodevTT_RAF', '', '2', 0, 1499073298),
(246171, 72, 17064, 'status', '20', '50', 0, 1499073308),
(246172, 72, 17742, 'handler_id', '246', '169', 0, 1499073879),
(246173, 72, 17742, 'CodevTT_Dead Line', '', '', 0, 1499073879),
(246200, 72, 19422, 'RSI_Type_Ano', '', 'Recette', 0, 1499079836),
(246201, 72, 19423, 'RSI_Type_Ano', '', 'Recette', 0, 1499079869),
(246202, 72, 19425, 'RSI_Type_Ano', '', 'Recette', 0, 1499079904),
(246203, 72, 19501, 'RSI_Type_Ano', '', 'Recette', 0, 1499079934),
(246204, 72, 19502, 'RSI_Type_Ano', '', 'Recette', 0, 1499079974),
(246205, 72, 19513, 'RSI_Type_Ano', '', 'Recette', 0, 1499080014),
(246206, 72, 19514, 'summary', '44694 - [PUMA - TAIGA ] - TAIGA v18.0 - PUMA acceptance Bascule annuelle AD nouveaux majeur en assuré gratuit AD - NIR certifié ', '44694 - [PUMA - TAIGA ] - TAIGA v18.0 - PUMA acceptance Bascule annuelle AD nouveaux majeur en assuré gratuit AD - NIR certifié', 0, 1499080057),
(246207, 72, 19514, 'RSI_Type_Ano', '', 'Recette', 0, 1499080057),
(246208, 72, 19603, 'RSI_Type_Ano', '', 'Recette', 0, 1499080089),
(246209, 72, 19713, 'RSI_Type_Ano', '', 'Recette', 0, 1499080141),
(246215, 72, 19754, 'RSI_Type_Ano', '', 'Recette', 0, 1499080176),
(246216, 72, 19755, 'RSI_Type_Ano', '', 'Recette', 0, 1499080211),
(246217, 72, 19756, 'RSI_Type_Ano', '', 'Recette', 0, 1499080261),
(246218, 72, 19757, 'RSI_Type_Ano', '', 'Recette', 0, 1499080326),
(246219, 72, 19785, 'RSI_Type_Ano', '', 'Recette', 0, 1499080360),
(246220, 72, 19968, 'handler_id', '199', '205', 0, 1499080849),
(246221, 72, 19968, 'CodevTT_Dead Line', '', '', 0, 1499080849),
(246222, 72, 16526, 'summary', '44030 - [QUAL]  RDD SPOC - noms et prénoms au format TAIGA', '- [QUAL]  Lot4 Puma', 0, 1499082691),
(246223, 72, 16526, '', '3992', '', 6, 1499082691),
(246224, 72, 16526, 'Ref. Externe', '44030', '', 0, 1499082691),
(246243, 348, 2, '', '23869', '', 2, 1499085873),
(246268, 157, 18756, 'CodevTT_RAF', '3', '3', 0, 1499087944),
(246403, 168, 17424, 'CodevTT_RAF', '12.5', '5', 0, 1499095609),
(246404, 168, 17424, 'CodevTT_RAF', '5', '54.5', 0, 1499095758),
(246405, 168, 17424, 'CodevTT_RAF', '54.5', '4.5', 0, 1499095775),
(246406, 168, 17424, 'CodevTT_RAF', '4.5', '3.5', 0, 1499095853),
(246407, 168, 17424, 'CodevTT_RAF', '3.5', '2', 0, 1499095946),
(246408, 168, 17424, 'CodevTT_RAF', '2', '0', 0, 1499095971),
(246409, 168, 17424, 'CodevTT_RAF', '0', '0', 0, 1499095971),
(246410, 168, 17424, 'status', '50', '80', 0, 1499095971),
(246412, 246, 19514, 'CodevTT_RAF', '0', '0', 0, 1499096482),
(246413, 246, 19515, 'CodevTT_RAF', '1', '0', 0, 1499096506),
(246414, 246, 19515, 'CodevTT_RAF', '0', '0', 0, 1499096506),
(246415, 246, 19515, 'status', '50', '80', 0, 1499096506),
(246424, 246, 18488, '', '23899', '', 2, 1499096554),
(246425, 246, 18488, 'CodevTT_RAF', '6', '6', 0, 1499096554),
(246505, 199, 10749, 'CodevTT_RAF', '0', '0', 0, 1499146675),
(246506, 199, 10749, 'CodevTT_RAF', '0', '0', 0, 1499146704),
(246546, 74, 12288, 'CodevTT_RAF', '0', '0', 0, 1499151674),
(246547, 74, 12288, 'CodevTT_RAF', '0', '0', 0, 1499151674),
(246548, 74, 12288, 'status', '20', '80', 0, 1499151674),
(246611, 72, 19604, 'CodevTT_RAF', '', '0', 0, 1499154697),
(246612, 72, 19604, 'status', '10', '80', 0, 1499154697),
(246613, 72, 19604, 'CodevTT_RAF', '0', '0', 0, 1499154697),
(246614, 72, 19706, 'CodevTT_RAF', '0.5', '0', 0, 1499154749),
(246615, 72, 19706, 'status', '50', '80', 0, 1499154749),
(246616, 72, 19706, 'CodevTT_RAF', '0', '0', 0, 1499154749),
(246617, 72, 19706, 'CodevTT_Dead Line', '', '', 0, 1499154749),
(246618, 72, 18757, 'CodevTT_RAF', '0.5', '0', 0, 1499154793),
(246619, 72, 18757, 'status', '50', '80', 0, 1499154793),
(246620, 72, 18757, 'CodevTT_RAF', '0', '0', 0, 1499154793),
(246621, 72, 18757, 'CodevTT_Dead Line', '', '', 0, 1499154793),
(246625, 72, 18757, 'CodevTT_ChargeMgr', '0', '3', 0, 1499154879),
(246629, 72, 19427, 'CodevTT_ChargeMgr', '0', '6', 0, 1499154911),
(246633, 72, 16071, '', '3994', '', 6, 1499155010),
(246634, 72, 16071, 'CodevTT_ChargeMgr', '10.4', '13.7', 0, 1499155010),
(246635, 72, 16071, 'CodevTT_ChargeInit', '7', '9', 0, 1499155010),
(246761, 72, 19981, 'Ref. Externe', '', '44780', 0, 1499166757),
(246762, 72, 19981, 'CodevTT_ChargeInit', '', '0.5', 0, 1499166757),
(246763, 72, 19981, 'target_version', '', '18.0_PUMA', 0, 1499166757),
(246764, 72, 19981, 'handler_id', '0', '205', 0, 1499166757),
(246765, 72, 19981, 'codevtt_type', '', 'Task', 0, 1499166757),
(246766, 72, 19982, 'Ref. Externe', '', '44779', 0, 1499166805),
(246767, 72, 19982, 'CodevTT_ChargeInit', '', '0.5', 0, 1499166805),
(246768, 72, 19982, 'target_version', '', '18.0_PUMA', 0, 1499166805),
(246769, 72, 19982, 'handler_id', '0', '205', 0, 1499166805),
(246770, 72, 19982, 'codevtt_type', '', 'Bug', 0, 1499166805),
(246771, 72, 19983, 'Ref. Externe', '', '44744', 0, 1499167019),
(246772, 72, 19983, 'CodevTT_ChargeInit', '', '0.5', 0, 1499167019),
(246773, 72, 19983, 'target_version', '', '18.0_PUMA', 0, 1499167019),
(246774, 72, 19983, 'codevtt_type', '', 'Bug', 0, 1499167019),
(246775, 72, 19984, 'Ref. Externe', '', '44760', 0, 1499167019),
(246776, 72, 19984, 'CodevTT_ChargeInit', '', '0.5', 0, 1499167019),
(246777, 72, 19984, 'target_version', '', '18.0_PUMA', 0, 1499167019),
(246778, 72, 19984, 'codevtt_type', '', 'Bug', 0, 1499167019),
(246779, 72, 19985, 'Ref. Externe', '', '44761', 0, 1499167019),
(246780, 72, 19985, 'CodevTT_ChargeInit', '', '0.5', 0, 1499167019),
(246781, 72, 19985, 'target_version', '', '18.0_PUMA', 0, 1499167019),
(246782, 72, 19985, 'codevtt_type', '', 'Bug', 0, 1499167019),
(246783, 72, 2894, '', '23936', '', 2, 1499167128),
(246841, 72, 19987, '', '', '', 1, 1499173085),
(246842, 72, 19987, 'handler_id', '0', '169', 0, 1499173085),
(247014, 205, 14013, 'CodevTT_RAF', '2', '0', 0, 1499181325),
(247015, 205, 14013, 'CodevTT_RAF', '0', '0', 0, 1499181325),
(247016, 205, 14013, 'status', '50', '80', 0, 1499181325),
(247052, 205, 17065, 'CodevTT_RAF', '19', '19', 0, 1499181429),
(247053, 205, 19968, 'CodevTT_RAF', '0.5', '0.1', 0, 1499181474),
(247054, 205, 19787, 'CodevTT_RAF', '', '3', 0, 1499181642),
(247055, 205, 19787, 'status', '10', '50', 0, 1499181642),
(247056, 205, 19787, 'handler_id', '0', '205', 0, 1499181642),
(247057, 205, 19787, 'CodevTT_RAF', '3', '3', 0, 1499181658),
(247058, 205, 19787, '', '23988', '', 2, 1499181674),
(247059, 72, 19787, 'summary', '[Qualif] TAIGA PUMA - Lot 1 Patch', '[Qualif] TAIGA PUMA - Lot 1 -Lot2  Patch', 0, 1499181938),
(289831, 72, 22407, 'codevtt_type', '', 'Bug', 0, 1508478190),
(247141, 157, 19786, 'CodevTT_RAF', '1.5', '0', 0, 1499235019),
(247142, 157, 19786, 'status', '50', '80', 0, 1499235020),
(247143, 157, 19786, 'CodevTT_RAF', '0', '0', 0, 1499235020),
(247144, 157, 19833, 'CodevTT_RAF', '', '0', 0, 1499235100),
(247145, 157, 19833, 'status', '10', '80', 0, 1499235100),
(247146, 157, 19833, 'CodevTT_RAF', '0', '0', 0, 1499235100),
(247147, 157, 18756, 'CodevTT_RAF', '3', '2.5', 0, 1499235255),
(247148, 157, 18756, 'CodevTT_RAF', '2.5', '2.5', 0, 1499235274),
(247233, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1499240631),
(247234, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1499240643),
(247235, 164, 19331, 'CodevTT_RAF', '0', '0', 0, 1499240724),
(247238, 246, 18488, '', '24006', '', 2, 1499241950),
(247239, 246, 18488, 'CodevTT_RAF', '6', '6', 0, 1499241950),
(247241, 246, 18488, '', '24006', '', 4, 1499241968),
(247242, 246, 18488, 'CodevTT_RAF', '6', '6', 0, 1499241996),
(255350, 72, 20486, '', '25267', '', 2, 1500994618),
(255351, 72, 20486, 'CodevTT_RAF', '', '1', 0, 1500994618),
(255352, 72, 20486, 'status', '10', '50', 0, 1500994618),
(255353, 72, 20486, 'handler_id', '74', '72', 0, 1500994618),
(255349, 72, 19607, 'CodevTT_ChargeInit', '1', '0', 0, 1500994479),
(248556, 72, 20181, 'handler_id', '0', '199', 0, 1499327517),
(248557, 72, 20181, 'codevtt_type', '', 'Bug', 0, 1499327517),
(248558, 72, 20182, 'Ref. Externe', '', '44791', 0, 1499327517),
(248559, 72, 20182, 'CodevTT_ChargeInit', '', '0.5', 0, 1499327517),
(248560, 72, 20182, 'target_version', '', '18.0_PUMA', 0, 1499327517),
(248561, 72, 20182, 'handler_id', '0', '199', 0, 1499327517),
(248562, 72, 20182, 'codevtt_type', '', 'Bug', 0, 1499327517),
(248702, 157, 18756, 'CodevTT_RAF', '2.5', '1.5', 0, 1499331597),
(248986, 72, 20208, 'Ref. Externe', '', '44792', 0, 1499342487),
(248987, 72, 20208, 'CodevTT_ChargeInit', '', '0.5', 0, 1499342487),
(248988, 72, 20208, 'handler_id', '0', '199', 0, 1499342487),
(248989, 72, 20208, 'codevtt_type', '', 'Bug', 0, 1499342487),
(248990, 72, 20209, 'Ref. Externe', '', '44794', 0, 1499342487),
(248991, 72, 20209, 'CodevTT_ChargeInit', '', '0.5', 0, 1499342487),
(248992, 72, 20209, 'handler_id', '0', '199', 0, 1499342487),
(248993, 72, 20209, 'codevtt_type', '', 'Bug', 0, 1499342487),
(248994, 72, 20210, 'Ref. Externe', '', '44795', 0, 1499342488),
(248995, 72, 20210, 'CodevTT_ChargeInit', '', '0.5', 0, 1499342488),
(248996, 72, 20210, 'handler_id', '0', '199', 0, 1499342488),
(248997, 72, 20210, 'codevtt_type', '', 'Bug', 0, 1499342488),
(249336, 72, 20237, '', '', '', 1, 1499350893),
(249337, 72, 20237, 'handler_id', '0', '199', 0, 1499350893),
(249338, 72, 20237, '', '', '20210', 21, 1499350893),
(249339, 72, 20210, '', '', '20237', 20, 1499350893),
(249341, 72, 20238, '', '', '', 1, 1499350968),
(249342, 72, 20238, 'handler_id', '0', '205', 0, 1499350968),
(249343, 72, 20238, '', '', '20237', 21, 1499350968),
(249344, 72, 20237, '', '', '20238', 20, 1499350968),
(249680, 157, 18756, 'CodevTT_RAF', '1.5', '1', 0, 1499406775),
(249700, 246, 18488, 'CodevTT_RAF', '6', '6', 0, 1499414696),
(249727, 169, 19427, 'CodevTT_RAF', '', '5', 0, 1499416863),
(249730, 169, 19427, 'CodevTT_RAF', '5', '2', 0, 1499416909),
(249731, 169, 19427, 'status', '10', '50', 0, 1499416909),
(249782, 169, 17740, 'CodevTT_RAF', '1', '0.5', 0, 1499419970),
(249783, 169, 17740, 'CodevTT_RAF', '0.5', '0', 0, 1499419988),
(249784, 169, 17740, 'CodevTT_RAF', '0', '0', 0, 1499419988),
(249785, 169, 17740, 'status', '50', '80', 0, 1499419988),
(249786, 169, 19427, 'CodevTT_RAF', '2', '0', 0, 1499420010),
(249787, 169, 19427, 'CodevTT_RAF', '0', '0', 0, 1499420010),
(249788, 169, 19427, 'status', '50', '80', 0, 1499420010),
(249806, 74, 14014, 'CodevTT_RAF', '0', '0', 0, 1499421251),
(249844, 199, 20237, 'CodevTT_RAF', '', '0', 0, 1499428135),
(249845, 199, 20237, 'CodevTT_RAF', '0', '0', 0, 1499428135),
(249846, 199, 20237, 'status', '10', '80', 0, 1499428135),
(249847, 199, 20182, 'CodevTT_RAF', '', '0', 0, 1499428215),
(249848, 199, 20182, 'CodevTT_RAF', '0', '0', 0, 1499428215),
(249849, 199, 20182, 'status', '10', '80', 0, 1499428215),
(249850, 199, 20208, 'CodevTT_RAF', '', '0', 0, 1499428233),
(249851, 199, 20208, 'CodevTT_RAF', '0', '0', 0, 1499428233),
(249852, 199, 20208, 'status', '10', '80', 0, 1499428233),
(249853, 199, 20209, 'CodevTT_RAF', '', '0', 0, 1499428253),
(249854, 199, 20209, 'CodevTT_RAF', '0', '0', 0, 1499428253),
(249855, 199, 20209, 'status', '10', '80', 0, 1499428253),
(249856, 199, 20210, 'CodevTT_RAF', '', '0', 0, 1499428279),
(249857, 199, 20210, 'CodevTT_RAF', '0', '0', 0, 1499428279),
(249858, 199, 20210, 'status', '10', '80', 0, 1499428279),
(249859, 199, 20181, 'CodevTT_RAF', '', '0', 0, 1499428298),
(249860, 199, 20181, 'CodevTT_RAF', '0', '0', 0, 1499428298),
(249861, 199, 20181, 'status', '10', '80', 0, 1499428298),
(249862, 199, 19832, 'CodevTT_RAF', '0', '0', 0, 1499428364),
(249863, 199, 18442, 'CodevTT_RAF', '0', '0', 0, 1499428436),
(250211, 169, 19987, 'CodevTT_RAF', '', '1', 0, 1499598700),
(250212, 169, 19987, 'status', '10', '50', 0, 1499598700),
(250340, 72, 20324, '', '', '', 1, 1499677524),
(250341, 72, 20324, 'handler_id', '0', '169', 0, 1499677524),
(250363, 72, 19714, 'CodevTT_ChargeMgr', '', '0', 0, 1499679637),
(250364, 72, 19714, 'CodevTT_ChargeInit', '0.5', '0', 0, 1499679637),
(250365, 72, 19714, 'CodevTT_RAF', '', '0', 0, 1499679637),
(250366, 72, 19714, 'CodevTT_RAF', '0', '0', 0, 1499679644),
(250367, 72, 19714, 'status', '10', '80', 0, 1499679644),
(250368, 72, 19714, 'CodevTT_RAF', '0', '0', 0, 1499679644),
(250375, 396, 1, '', '24357', '', 2, 1499680135),
(250376, 396, 1, '', '24358', '', 2, 1499680140),
(250377, 396, 1, '', '24359', '', 2, 1499680243),
(250378, 396, 1, '', '24360', '', 2, 1499680247),
(250379, 396, 1, '', '24361', '', 2, 1499680249),
(250380, 396, 1, '', '24362', '', 2, 1499680251),
(250381, 396, 1, '', '24363', '', 2, 1499680265),
(250382, 396, 1, '', '24364', '', 2, 1499680268),
(250383, 396, 1, '', '24365', '', 2, 1499680296),
(250677, 72, 19981, 'CodevTT_ChargeMgr', '', '2', 0, 1499753888),
(250678, 72, 19968, 'CodevTT_ChargeMgr', '0', '1', 0, 1499753966),
(250679, 72, 19515, 'CodevTT_ChargeMgr', '0', '1', 0, 1499754014),
(250680, 72, 19787, '', '4010', '', 6, 1499754190),
(250681, 72, 19787, 'CodevTT_ChargeMgr', '4.5', '5.4', 0, 1499754190),
(250682, 72, 19787, 'CodevTT_ChargeInit', '3', '3.5', 0, 1499754190),
(250701, 72, 14710, '', '4012', '', 6, 1499757973),
(251043, 157, 18756, 'CodevTT_RAF', '1', '0', 0, 1499772616),
(251044, 157, 18756, 'CodevTT_RAF', '0', '0', 0, 1499772616),
(251045, 157, 18756, 'status', '50', '80', 0, 1499772616),
(251046, 157, 18756, 'CodevTT_RAF', '0', '2', 0, 1499772650),
(251047, 157, 18756, 'status', '80', '50', 0, 1499772650),
(251163, 389, 2, '', '24447', '', 2, 1499776494),
(251243, 395, 1, '', '24478', '', 2, 1499781778),
(251255, 157, 20238, 'CodevTT_RAF', '', '0', 0, 1499783921),
(251256, 157, 20238, 'CodevTT_RAF', '0', '0', 0, 1499783921),
(251257, 157, 20238, 'status', '10', '80', 0, 1499783921),
(251258, 246, 18488, '', '24480', '', 2, 1499785677),
(251259, 246, 18488, 'CodevTT_RAF', '6', '3', 0, 1499785677),
(251295, 246, 18488, '', '24494', '', 2, 1499842042),
(251296, 246, 18488, 'CodevTT_RAF', '3', '6', 0, 1499842042),
(251297, 246, 20238, 'CodevTT_RAF', '0', '0', 0, 1499842106),
(251298, 246, 20238, 'handler_id', '205', '246', 0, 1499842106),
(251328, 345, 18271, '', '24496', '', 2, 1499844683),
(251366, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1499847507),
(251368, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1499847528),
(251399, 157, 20425, '', '', '', 1, 1499851699),
(251400, 157, 20425, 'handler_id', '0', '157', 0, 1499851699),
(251401, 157, 20425, '', '', '19786', 21, 1499851699),
(251402, 157, 19786, '', '', '20425', 20, 1499851699),
(251403, 157, 20425, 'CodevTT_RAF', '', '0.8', 0, 1499851753),
(251404, 157, 20425, 'status', '10', '50', 0, 1499851753),
(251405, 157, 20425, 'CodevTT_RAF', '0.8', '0.5', 0, 1499851768),
(251406, 157, 20425, 'CodevTT_RAF', '0.5', '0', 0, 1499851782),
(251407, 157, 20425, 'CodevTT_RAF', '0', '0', 0, 1499851782),
(251408, 157, 20425, 'status', '50', '80', 0, 1499851782),
(251428, 72, 19341, '', '24511', '', 2, 1499854613),
(251429, 72, 19341, 'CodevTT_RAF', '1', '0.5', 0, 1499854613),
(251441, 72, 20427, 'Ref. Externe', '', '44788', 0, 1499857117),
(251442, 72, 20427, 'CodevTT_ChargeInit', '', '0.5', 0, 1499857117),
(251443, 72, 20427, 'handler_id', '0', '157', 0, 1499857117),
(251444, 72, 20427, 'codevtt_type', '', 'Bug', 0, 1499857117),
(251457, 72, 19236, 'CodevTT_ChargeMgr', '', '0', 0, 1499857268),
(251456, 72, 19236, 'CodevTT_RAF', '0', '0', 0, 1499857254),
(251455, 72, 19236, 'status', '10', '80', 0, 1499857254),
(251448, 72, 20429, 'Ref. Externe', '', '44810', 0, 1499857118),
(251449, 72, 20429, 'CodevTT_ChargeInit', '', '0.5', 0, 1499857118),
(251450, 72, 20429, 'handler_id', '0', '199', 0, 1499857118),
(251451, 72, 20429, 'codevtt_type', '', 'Bug', 0, 1499857118),
(251454, 72, 19236, 'CodevTT_RAF', '', '0', 0, 1499857254),
(251458, 72, 19236, 'CodevTT_ChargeInit', '0.5', '0', 0, 1499857268),
(251459, 72, 20430, 'Ref. Externe', '', '44812', 0, 1499857596),
(251460, 72, 20430, 'CodevTT_ChargeInit', '', '1', 0, 1499857596),
(251461, 72, 20430, 'target_version', '', '18.0_PUMA', 0, 1499857596),
(251462, 72, 20430, 'handler_id', '0', '205', 0, 1499857596),
(251463, 72, 20430, 'codevtt_type', '', 'Task', 0, 1499857596),
(251464, 72, 20431, 'Ref. Externe', '', '44812', 0, 1499857596),
(251465, 72, 20431, 'CodevTT_ChargeInit', '', '1', 0, 1499857596),
(251466, 72, 20431, 'handler_id', '0', '169', 0, 1499857596),
(251467, 72, 20431, 'codevtt_type', '', 'Task', 0, 1499857596),
(251468, 72, 20432, 'Ref. Externe', '', '44817', 0, 1499857596),
(251469, 72, 20432, 'CodevTT_ChargeInit', '', '1', 0, 1499857596),
(251470, 72, 20432, 'handler_id', '0', '199', 0, 1499857596),
(251471, 72, 20432, 'codevtt_type', '', 'Task', 0, 1499857596),
(251472, 72, 20433, 'Ref. Externe', '', '44817', 0, 1499857597),
(251473, 72, 20433, 'CodevTT_ChargeInit', '', '2', 0, 1499857597),
(251474, 72, 20433, 'handler_id', '0', '246', 0, 1499857597),
(251475, 72, 20433, 'codevtt_type', '', 'Task', 0, 1499857597),
(251548, 199, 20237, '', '24533', '', 2, 1499859956),
(251549, 72, 20179, 'CodevTT_RAF', '', '0', 0, 1499860045),
(251550, 72, 20179, 'status', '10', '80', 0, 1499860045),
(251551, 72, 20179, 'CodevTT_RAF', '0', '0', 0, 1499860045),
(251552, 72, 20179, 'CodevTT_Dead Line', '', '', 0, 1499860045),
(251553, 72, 20180, 'CodevTT_RAF', '', '0', 0, 1499860080),
(251554, 72, 20180, 'status', '10', '80', 0, 1499860080),
(251555, 72, 20180, 'CodevTT_RAF', '0', '0', 0, 1499860080),
(251556, 72, 20180, 'CodevTT_Dead Line', '', '', 0, 1499860080),
(251557, 72, 19982, 'handler_id', '205', '199', 0, 1499860136),
(251558, 72, 19982, 'CodevTT_RAF', '', '0', 0, 1499860136),
(251559, 72, 19982, 'status', '10', '80', 0, 1499860136),
(251560, 72, 19982, 'CodevTT_RAF', '0', '0', 0, 1499860136),
(251561, 72, 19982, 'CodevTT_Dead Line', '', '', 0, 1499860136),
(251584, 330, 2, '', '24543', '', 2, 1499864592),
(251595, 72, 17762, 'CodevTT_ChargeMgr', '', '5', 0, 1499865826),
(251596, 72, 20181, 'RSI_Type_Ano', '', 'Recette', 0, 1499866199),
(251597, 72, 20182, 'RSI_Type_Ano', '', 'Recette', 0, 1499866229),
(251598, 72, 20208, 'RSI_Type_Ano', '', 'Recette', 0, 1499866263),
(251599, 72, 20209, 'RSI_Type_Ano', '', 'Recette', 0, 1499866299),
(251600, 72, 20210, 'RSI_Type_Ano', '', 'Recette', 0, 1499866334),
(251681, 246, 18488, '', '24557', '', 2, 1499873626),
(251682, 246, 18488, 'CodevTT_RAF', '6', '6', 0, 1499873626),
(251736, 375, 2, '', '24573', '', 2, 1499929493),
(251740, 164, 19800, 'status', '10', '80', 0, 1499929751),
(251741, 164, 19800, 'resolution', '10', '20', 0, 1499929751),
(251742, 164, 19800, 'CodevTT_RAF', '', '0', 0, 1499929751),
(251743, 164, 19800, 'CodevTT_RAF', '0', '0', 0, 1499929759),
(251744, 164, 17251, '', '24575', '', 2, 1499929798),
(251745, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1499929834),
(251746, 164, 17251, '', '24576', '', 2, 1499929917),
(251831, 205, 19787, 'CodevTT_RAF', '3', '1', 0, 1499932142),
(251832, 205, 19787, 'CodevTT_RAF', '1', '1', 0, 1499932193),
(251975, 157, 20427, 'CodevTT_RAF', '', '0.5', 0, 1499945381),
(251976, 157, 20427, 'status', '10', '50', 0, 1499945381),
(251977, 157, 20427, 'CodevTT_RAF', '0.5', '0', 0, 1499945396),
(251978, 157, 20427, 'CodevTT_RAF', '0', '0', 0, 1499945396),
(251979, 157, 20427, 'status', '50', '80', 0, 1499945396),
(251998, 375, 2, '', '24573', '', 4, 1499949166),
(251999, 375, 2, '', '24645', '', 2, 1499949166),
(252072, 72, 18757, 'status', '80', '50', 0, 1499952326),
(252073, 72, 18757, 'CodevTT_Dead Line', '', '', 0, 1499952326),
(252081, 72, 18757, '', '24670', '', 2, 1499952400),
(252082, 72, 18757, 'CodevTT_RAF', '0', '0', 0, 1499952400),
(252083, 72, 18757, 'CodevTT_RAF', '0', '0', 0, 1499952400),
(252084, 72, 18757, 'status', '50', '80', 0, 1499952400),
(252087, 72, 17253, 'CodevTT_RAF', '', '0', 0, 1499952490),
(252088, 72, 17253, 'status', '10', '80', 0, 1499952490),
(252089, 72, 17253, 'CodevTT_RAF', '0', '0', 0, 1499952490),
(252091, 72, 17253, 'CodevTT_ChargeMgr', '', '0', 0, 1499952500),
(252092, 72, 17253, 'CodevTT_ChargeInit', '1', '0', 0, 1499952500),
(252175, 358, 2, '', '24696', '', 2, 1499959286),
(252213, 169, 20324, 'CodevTT_RAF', '', '1', 0, 1500246053),
(252214, 169, 20324, '', '24707', '', 2, 1500246126),
(252215, 169, 20324, 'CodevTT_RAF', '1', '0', 0, 1500246126),
(252216, 169, 20324, 'CodevTT_RAF', '0', '0', 0, 1500246126),
(252217, 169, 20324, 'status', '10', '80', 0, 1500246126),
(252218, 169, 19427, 'CodevTT_RAF', '0', '0', 0, 1500246169),
(252219, 169, 19987, 'CodevTT_RAF', '1', '0', 0, 1500246207),
(252257, 246, 18488, '', '24722', '', 2, 1500276612),
(252258, 246, 18488, 'CodevTT_RAF', '6', '4', 0, 1500276612),
(252342, 72, 20441, 'Ref. Externe', '', '40823', 0, 1500285336),
(252343, 72, 20441, 'CodevTT_ChargeInit', '', '0.5', 0, 1500285336),
(252344, 72, 20441, 'handler_id', '0', '2', 0, 1500285336),
(252345, 72, 20441, 'codevtt_type', '', 'Bug', 0, 1500285336),
(252346, 72, 20442, 'Ref. Externe', '', '44672', 0, 1500285336),
(252347, 72, 20442, 'CodevTT_ChargeInit', '', '0.5', 0, 1500285336),
(252348, 72, 20442, 'handler_id', '0', '2', 0, 1500285336),
(252349, 72, 20442, 'codevtt_type', '', 'Bug', 0, 1500285336),
(252350, 72, 20443, 'Ref. Externe', '', '44820', 0, 1500285336),
(252351, 72, 20443, 'CodevTT_ChargeInit', '', '0.5', 0, 1500285336),
(252352, 72, 20443, 'handler_id', '0', '2', 0, 1500285336),
(252353, 72, 20443, 'codevtt_type', '', 'Bug', 0, 1500285336),
(252354, 72, 20444, 'Ref. Externe', '', '44821', 0, 1500285336),
(252355, 72, 20444, 'CodevTT_ChargeInit', '', '0.5', 0, 1500285336),
(252356, 72, 20444, 'handler_id', '0', '2', 0, 1500285336),
(252357, 72, 20444, 'codevtt_type', '', 'Bug', 0, 1500285336),
(252358, 72, 20445, 'Ref. Externe', '', '44819', 0, 1500285824),
(252359, 72, 20445, 'CodevTT_ChargeInit', '', '0.5', 0, 1500285824),
(252360, 72, 20445, 'handler_id', '0', '157', 0, 1500285824),
(252361, 72, 20445, 'codevtt_type', '', 'Bug', 0, 1500285824),
(252362, 72, 20446, 'Ref. Externe', '', '44822', 0, 1500285824),
(252363, 72, 20446, 'CodevTT_ChargeInit', '', '0.5', 0, 1500285824),
(252364, 72, 20446, 'handler_id', '0', '157', 0, 1500285824),
(252365, 72, 20446, 'codevtt_type', '', 'Bug', 0, 1500285824),
(252396, 72, 12287, 'CodevTT_RAF', '', '0', 0, 1500292289),
(252397, 72, 12287, 'status', '10', '80', 0, 1500292289),
(252398, 72, 12287, 'CodevTT_RAF', '0', '0', 0, 1500292289),
(252399, 72, 12287, 'CodevTT_Dead Line', '', '', 0, 1500292289),
(252438, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1500297565),
(252522, 133, 2, '', '24792', '', 2, 1500368168),
(252548, 72, 19341, '', '24802', '', 2, 1500371612),
(252549, 72, 19341, 'CodevTT_RAF', '0.5', '0.25', 0, 1500371612),
(252570, 72, 20449, 'Ref. Externe', '', '44823', 0, 1500374902),
(252571, 72, 20449, 'CodevTT_ChargeInit', '', '0.5', 0, 1500374902),
(252572, 72, 20449, 'handler_id', '0', '157', 0, 1500374902),
(252573, 72, 20449, 'codevtt_type', '', 'Bug', 0, 1500374902),
(252574, 72, 20450, 'Ref. Externe', '', '44825', 0, 1500374902),
(252575, 72, 20450, 'CodevTT_ChargeInit', '', '0.5', 0, 1500374902),
(252576, 72, 20450, 'handler_id', '0', '199', 0, 1500374902),
(252577, 72, 20450, 'codevtt_type', '', 'Bug', 0, 1500374902),
(252578, 72, 20451, 'Ref. Externe', '', '44828', 0, 1500374902),
(252579, 72, 20451, 'CodevTT_ChargeInit', '', '0.5', 0, 1500374902),
(252580, 72, 20451, 'handler_id', '0', '157', 0, 1500374902),
(252581, 72, 20451, 'codevtt_type', '', 'Bug', 0, 1500374902),
(252612, 246, 18488, '', '24825', '', 2, 1500381778),
(252613, 246, 18488, 'CodevTT_RAF', '4', '3', 0, 1500381778),
(252680, 157, 20427, 'CodevTT_RAF', '0', '0', 0, 1500387226),
(252681, 157, 20445, 'CodevTT_RAF', '', '0', 0, 1500387258),
(252682, 157, 20445, 'CodevTT_RAF', '0', '0', 0, 1500387258),
(252683, 157, 20445, 'status', '10', '80', 0, 1500387258),
(252684, 157, 20446, 'CodevTT_RAF', '', '0.5', 0, 1500387287),
(252685, 157, 20446, 'status', '10', '50', 0, 1500387287),
(252686, 157, 20449, 'CodevTT_RAF', '', '0', 0, 1500387306),
(252687, 157, 20449, 'CodevTT_RAF', '0', '0', 0, 1500387306),
(252688, 157, 20449, 'status', '10', '80', 0, 1500387306),
(252689, 157, 20446, 'CodevTT_RAF', '0.5', '0', 0, 1500387331),
(252690, 157, 20446, 'CodevTT_RAF', '0', '0', 0, 1500387332),
(252691, 157, 20446, 'status', '50', '80', 0, 1500387332),
(252699, 217, 11112, '', '24851', '', 2, 1500388007),
(252700, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1500388007),
(252701, 217, 11112, '', '24852', '', 2, 1500388070),
(252702, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1500388070),
(252703, 217, 11112, '', '24851', '', 4, 1500388079),
(252704, 217, 11112, '', '24853', '', 2, 1500388079),
(252705, 217, 16922, 'CodevTT_RAF', '3', '0', 0, 1500388119),
(252706, 217, 16922, 'CodevTT_RAF', '0', '0', 0, 1500388119),
(252707, 217, 16922, 'status', '50', '80', 0, 1500388119),
(252734, 72, 2089, '', '24863', '', 2, 1500391686),
(252735, 72, 2089, '', '24863', '', 4, 1500391733),
(252753, 246, 18488, '', '24866', '', 2, 1500447870),
(252754, 246, 18488, 'CodevTT_RAF', '3', '3', 0, 1500447870),
(252799, 157, 20427, 'CodevTT_RAF', '0', '0', 0, 1500451807),
(252820, 224, 1, '', '24888', '', 2, 1500454283),
(252934, 72, 20461, '', '', '', 1, 1500458547),
(252935, 72, 20461, 'handler_id', '0', '322', 0, 1500458584),
(252936, 72, 19871, 'handler_id', '74', '72', 0, 1500463488),
(252937, 168, 17426, '', '24907', '', 2, 1500464223),
(252938, 72, 17426, 'CodevTT_RAF', '1', '0', 0, 1500464223),
(252939, 72, 17426, 'CodevTT_RAF', '0', '0', 0, 1500464223),
(252940, 72, 17426, 'status', '50', '80', 0, 1500464223),
(252941, 168, 17428, '', '24908', '', 2, 1500464282),
(252942, 72, 17428, 'CodevTT_RAF', '1', '0', 0, 1500464282),
(252943, 72, 17428, 'CodevTT_RAF', '0', '0', 0, 1500464282),
(252944, 72, 17428, 'status', '50', '80', 0, 1500464282),
(252945, 168, 17427, '', '24909', '', 2, 1500464375),
(252946, 72, 17427, 'CodevTT_RAF', '5', '0', 0, 1500464375),
(252947, 72, 17427, 'CodevTT_RAF', '0', '0', 0, 1500464375),
(252948, 72, 17427, 'status', '50', '80', 0, 1500464375),
(252949, 168, 17427, '', '24909', '', 4, 1500464396),
(252950, 168, 17427, '', '24910', '', 2, 1500464396),
(252951, 72, 17430, 'CodevTT_RAF', '6', '0', 0, 1500464476),
(252952, 72, 17430, 'status', '50', '80', 0, 1500464476),
(252953, 72, 17430, 'CodevTT_RAF', '0', '0', 0, 1500464476),
(252954, 72, 17431, 'CodevTT_RAF', '1', '0', 0, 1500464493),
(252955, 72, 17431, 'status', '50', '80', 0, 1500464493),
(252956, 72, 17431, 'CodevTT_RAF', '0', '0', 0, 1500464493),
(252957, 72, 10745, 'CodevTT_RAF', '1', '0', 0, 1500464517),
(252958, 72, 10745, 'status', '50', '80', 0, 1500464517),
(252959, 72, 10745, 'CodevTT_RAF', '0', '0', 0, 1500464517),
(252960, 72, 10743, 'CodevTT_RAF', '0.5', '0', 0, 1500464547),
(252961, 72, 10743, 'status', '50', '80', 0, 1500464547),
(252962, 72, 10743, 'CodevTT_RAF', '0', '0', 0, 1500464547),
(252963, 72, 17429, 'CodevTT_RAF', '1', '0', 0, 1500464569),
(252964, 72, 17429, 'status', '50', '80', 0, 1500464569),
(252965, 72, 17429, 'CodevTT_RAF', '0', '0', 0, 1500464569),
(252966, 72, 19513, 'summary', '44691 - TAIGA V18.0 - PUMA Bascule annuelle AD nouveaux majeur en assuré gratuit AD - NIR certifié et rattaché Aucune journalisa', '44691 [DEV] - - Bascule annuelle AD  en assuré gratuit AD - NIR certifié Aucune journalisation', 0, 1500464965),
(252967, 72, 19513, 'CodevTT_Type', 'Bug', 'Task', 0, 1500464965),
(252968, 72, 19513, 'CodevTT_ChargeMgr', '', '1', 0, 1500464965),
(252969, 72, 20462, '', '', '', 1, 1500465002),
(252970, 72, 20462, 'handler_id', '0', '205', 0, 1500465002),
(252971, 72, 20462, '', '', '19513', 21, 1500465002),
(252972, 72, 19513, '', '', '20462', 20, 1500465002),
(252973, 72, 19787, '', '4017', '', 6, 1500465298),
(252974, 72, 19787, 'CodevTT_ChargeMgr', '5.4', '5.9', 0, 1500465298),
(252975, 205, 19787, 'CodevTT_RAF', '1', '0', 0, 1500466939),
(252976, 205, 19787, 'CodevTT_RAF', '0', '0', 0, 1500466939),
(252977, 205, 19787, 'status', '50', '80', 0, 1500466939),
(252978, 205, 19787, 'CodevTT_RAF', '0', '0', 0, 1500466949),
(252981, 205, 17065, 'CodevTT_RAF', '19', '20', 0, 1500467009),
(252982, 205, 17065, 'CodevTT_RAF', '20', '20', 0, 1500467022),
(252983, 205, 19787, 'CodevTT_RAF', '0', '0', 0, 1500467033),
(252984, 205, 19787, 'CodevTT_RAF', '0', '0', 0, 1500467041),
(252985, 205, 19787, 'CodevTT_RAF', '0', '0', 0, 1500467061),
(252986, 205, 17065, 'CodevTT_RAF', '20', '20', 0, 1500467076),
(253017, 199, 20324, 'CodevTT_RAF', '0', '0', 0, 1500473220),
(253018, 199, 20324, 'CodevTT_RAF', '0', '0', 0, 1500473236),
(253019, 199, 14014, 'CodevTT_RAF', '0', '0', 0, 1500473348),
(253020, 246, 18488, 'CodevTT_RAF', '3', '2', 0, 1500473348),
(253021, 246, 18488, '', '24919', '', 2, 1500473380),
(253022, 199, 20324, 'CodevTT_RAF', '0', '0', 0, 1500473563),
(253117, 322, 20461, 'CodevTT_RAF', '', '15', 0, 1500476113),
(253118, 322, 20461, 'status', '10', '50', 0, 1500476114),
(253119, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476123),
(253120, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476129),
(253121, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476137),
(253122, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476154),
(253123, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476179),
(253124, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476186),
(253125, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476203),
(253126, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476212),
(253127, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476255),
(253128, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476264),
(253129, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476281),
(253130, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476290),
(253131, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476298),
(253132, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476304),
(253133, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476311),
(253134, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476370),
(253135, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476380),
(253136, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476388),
(253137, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476394),
(253138, 322, 20461, 'CodevTT_RAF', '15', '15', 0, 1500476409),
(253139, 322, 14791, 'CodevTT_RAF', '1', '5', 0, 1500476458),
(253140, 322, 14791, 'CodevTT_RAF', '5', '4', 0, 1500476470),
(253141, 322, 14791, 'CodevTT_RAF', '4', '3', 0, 1500476478),
(253142, 322, 14791, 'CodevTT_RAF', '3', '2', 0, 1500476486),
(253143, 322, 14791, 'CodevTT_RAF', '2', '0', 0, 1500476498),
(253144, 322, 14791, 'CodevTT_RAF', '0', '0', 0, 1500476498),
(253145, 322, 14791, 'status', '50', '80', 0, 1500476498),
(253242, 246, 19427, '', '24934', '', 2, 1500479126),
(253243, 246, 19427, 'CodevTT_RAF', '0', '0', 0, 1500479126),
(253939, 74, 16071, 'CodevTT_RAF', '4', '3', 0, 1500561842),
(253940, 74, 16071, 'CodevTT_RAF', '3', '3', 0, 1500561857),
(253943, 74, 16071, 'CodevTT_RAF', '3', '5', 0, 1500561937),
(253953, 74, 17065, 'CodevTT_RAF', '20', '20', 0, 1500561994),
(253956, 74, 16071, 'CodevTT_RAF', '5', '4', 0, 1500562012),
(254051, 240, 2, '', '25150', '', 2, 1500565441),
(254052, 240, 2, '', '25151', '', 2, 1500565450),
(254084, 157, 20445, 'CodevTT_RAF', '0', '0', 0, 1500615529),
(254085, 157, 17065, 'CodevTT_RAF', '20', '19.25', 0, 1500618001),
(254086, 157, 17065, 'CodevTT_RAF', '19.25', '18.25', 0, 1500618017),
(254089, 217, 17064, 'CodevTT_RAF', '2', '15', 0, 1500621062),
(254090, 217, 17064, 'CodevTT_RAF', '15', '10', 0, 1500621072),
(254091, 217, 17064, 'CodevTT_RAF', '10', '10', 0, 1500621084),
(254122, 48, 1, '', '25173', '', 2, 1500629511),
(254125, 48, 1, '', '25175', '', 2, 1500629596),
(254126, 48, 1, '', '25173', '', 4, 1500629622),
(254127, 48, 1, '', '25176', '', 2, 1500629622),
(254128, 48, 1, '', '25176', '', 4, 1500629626),
(254129, 48, 1, '', '25177', '', 2, 1500629626),
(254134, 72, 20485, 'Ref. Externe', '', '44836', 0, 1500631059),
(254135, 72, 20485, 'CodevTT_ChargeInit', '', '0.5', 0, 1500631059),
(254136, 72, 20485, 'handler_id', '0', '74', 0, 1500631059),
(254137, 72, 20485, 'codevtt_type', '', 'Task', 0, 1500631059),
(254138, 72, 20486, 'Ref. Externe', '', '44836', 0, 1500631059),
(254139, 72, 20486, 'CodevTT_ChargeInit', '', '0.5', 0, 1500631059),
(254140, 72, 20486, 'handler_id', '0', '74', 0, 1500631059),
(254141, 72, 20486, 'codevtt_type', '', 'Task', 0, 1500631059),
(254144, 72, 16803, 'handler_id', '199', '169', 0, 1500632594),
(254145, 72, 16803, 'status', '80', '50', 0, 1500632594),
(254146, 72, 16803, 'CodevTT_ChargeMgr', '', '0', 0, 1500632605),
(254147, 72, 16803, 'CodevTT_RAF', '0', '1', 0, 1500632605),
(254150, 72, 17742, 'handler_id', '169', '246', 0, 1500632678),
(254151, 72, 17742, 'CodevTT_Dead Line', '', '', 0, 1500632678),
(254152, 72, 20433, 'handler_id', '246', '169', 0, 1500632725),
(254171, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1500639677),
(254403, 199, 19754, 'CodevTT_RAF', '0', '0', 0, 1500875280),
(254404, 199, 20324, 'CodevTT_RAF', '0', '0', 0, 1500875313),
(254405, 199, 20324, 'CodevTT_RAF', '0', '0', 0, 1500875324),
(254406, 199, 20432, 'CodevTT_RAF', '', '1', 0, 1500875397),
(254407, 199, 20432, 'status', '10', '50', 0, 1500875397),
(254408, 199, 20324, 'CodevTT_RAF', '0', '0', 0, 1500875434),
(254409, 199, 20450, 'CodevTT_RAF', '', '0', 0, 1500877046),
(254410, 199, 20450, 'CodevTT_RAF', '0', '0', 0, 1500877046),
(254411, 199, 20450, 'status', '10', '80', 0, 1500877046),
(254517, 246, 19427, 'CodevTT_RAF', '0', '0', 0, 1500878530),
(254518, 246, 18488, 'CodevTT_RAF', '2', '3', 0, 1500878551),
(254519, 74, 16071, 'CodevTT_RAF', '4', '1', 0, 1500878860),
(254617, 72, 20485, '', '25213', '', 2, 1500885670),
(254618, 72, 20485, 'CodevTT_RAF', '', '1', 0, 1500885670),
(254619, 72, 20485, 'status', '10', '50', 0, 1500885670),
(254620, 72, 20485, '', '25213', '', 4, 1500885687),
(254621, 72, 20485, '', '25214', '', 2, 1500885687),
(254874, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1500909696),
(254955, 72, 20561, 'Ref. Externe', '', '44851', 0, 1500965218),
(254956, 72, 20561, 'CodevTT_ChargeInit', '', '0.5', 0, 1500965218),
(254957, 72, 20561, 'handler_id', '0', '199', 0, 1500965218),
(254958, 72, 20561, 'codevtt_type', '', 'Task', 0, 1500965218),
(254959, 72, 20562, 'Ref. Externe', '', '44856', 0, 1500965218),
(254960, 72, 20562, 'CodevTT_ChargeInit', '', '0.5', 0, 1500965218),
(254961, 72, 20562, 'handler_id', '0', '164', 0, 1500965218),
(254962, 72, 20562, 'codevtt_type', '', 'Task', 0, 1500965218),
(254963, 72, 20563, 'Ref. Externe', '', '44857', 0, 1500965218),
(254964, 72, 20563, 'CodevTT_ChargeInit', '', '0.5', 0, 1500965218),
(254965, 72, 20563, 'handler_id', '0', '246', 0, 1500965218),
(254966, 72, 20563, 'codevtt_type', '', 'Task', 0, 1500965218),
(254967, 72, 20564, 'Ref. Externe', '', '44850', 0, 1500965259),
(254968, 72, 20564, 'CodevTT_ChargeInit', '', '0.5', 0, 1500965259),
(254969, 72, 20564, 'handler_id', '0', '199', 0, 1500965259),
(254970, 72, 20564, 'codevtt_type', '', 'Bug', 0, 1500965259),
(254990, 199, 20561, 'CodevTT_RAF', '', '0', 0, 1500966100),
(254991, 199, 20561, 'CodevTT_RAF', '0', '0', 0, 1500966100);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(254992, 199, 20561, 'status', '10', '80', 0, 1500966100),
(255005, 72, 16162, 'CodevTT_RAF', '0.1', '0', 0, 1500968358),
(255006, 72, 16162, 'status', '50', '80', 0, 1500968358),
(255007, 72, 16162, 'CodevTT_RAF', '0', '0', 0, 1500968358),
(255008, 72, 19872, 'handler_id', '74', '168', 0, 1500968399),
(255009, 246, 19427, 'CodevTT_RAF', '0', '0', 0, 1500969430),
(255010, 246, 19427, 'handler_id', '169', '246', 0, 1500969430),
(255011, 246, 19427, '', '25246', '', 2, 1500969476),
(255012, 246, 18488, '', '25247', '', 2, 1500969519),
(255013, 246, 18488, 'CodevTT_RAF', '3', '3', 0, 1500969519),
(255178, 72, 20598, 'Ref. Externe', '', '44860', 0, 1500980787),
(255179, 72, 20598, 'CodevTT_ChargeInit', '', '0.5', 0, 1500980787),
(255180, 72, 20598, 'target_version', '', '17.3.TO', 0, 1500980787),
(255181, 72, 20598, 'handler_id', '0', '157', 0, 1500980787),
(255182, 72, 20598, 'codevtt_type', '', 'Bug', 0, 1500980787),
(255183, 72, 20599, 'Ref. Externe', '', '44861', 0, 1500980788),
(255184, 72, 20599, 'CodevTT_ChargeInit', '', '0.5', 0, 1500980788),
(255185, 72, 20599, 'target_version', '', '17.3.TO', 0, 1500980788),
(255186, 72, 20599, 'handler_id', '0', '157', 0, 1500980788),
(255187, 72, 20599, 'codevtt_type', '', 'Bug', 0, 1500980788),
(255247, 217, 17065, 'CodevTT_RAF', '18.25', '18', 0, 1500986685),
(255248, 217, 17065, 'CodevTT_RAF', '18', '18', 0, 1500986701),
(255249, 217, 17065, 'CodevTT_RAF', '18', '18', 0, 1500986755),
(255250, 217, 17065, 'CodevTT_RAF', '18', '18', 0, 1500986765),
(255251, 217, 17065, 'CodevTT_RAF', '18', '18', 0, 1500986773),
(255252, 217, 17065, 'CodevTT_RAF', '18', '17', 0, 1500986831),
(255281, 74, 16071, 'CodevTT_RAF', '1', '1', 0, 1500988298),
(255284, 74, 16071, 'CodevTT_RAF', '1', '0', 0, 1500988311),
(255285, 74, 16071, 'CodevTT_RAF', '0', '0', 0, 1500988311),
(255286, 74, 16071, 'status', '50', '80', 0, 1500988311),
(255327, 72, 20562, 'CodevTT_ChargeMgr', '', '2', 0, 1500991591),
(255328, 72, 20563, 'CodevTT_ChargeMgr', '', '2.9', 0, 1500991684),
(255329, 164, 19800, 'CodevTT_RAF', '0', '0', 0, 1500991809),
(255330, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1500991824),
(255348, 72, 19427, 'handler_id', '246', '169', 0, 1500993651),
(255387, 199, 20563, 'CodevTT_RAF', '', '0.1', 0, 1501050188),
(255388, 199, 20563, 'status', '10', '50', 0, 1501050188),
(255389, 72, 20432, 'status', '50', '20', 0, 1501050722),
(255418, 246, 20563, 'CodevTT_RAF', '0.1', '0', 0, 1501054369),
(255419, 246, 20563, 'CodevTT_RAF', '0', '0', 0, 1501054369),
(255420, 246, 20563, 'status', '50', '80', 0, 1501054369),
(255421, 205, 17065, 'CodevTT_RAF', '17', '17', 0, 1501054393),
(255422, 205, 17065, 'CodevTT_RAF', '17', '17', 0, 1501054400),
(255423, 246, 17742, '', '25273', '', 2, 1501054437),
(255424, 246, 17742, 'CodevTT_RAF', '', '4', 0, 1501054437),
(255425, 246, 17742, 'status', '10', '50', 0, 1501054437),
(255426, 205, 17065, 'CodevTT_RAF', '17', '17', 0, 1501054469),
(255427, 72, 20445, 'RSI_Type_Ano', '', 'Recette', 0, 1501054984),
(255428, 72, 20446, 'RSI_Type_Ano', '', 'Production', 0, 1501055031),
(255429, 72, 20449, 'RSI_Type_Ano', '', 'Recette', 0, 1501055123),
(255430, 72, 20450, 'RSI_Type_Ano', '', 'Recette', 0, 1501055292),
(255431, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1501056124),
(255432, 217, 17065, '', '25274', '', 2, 1501056132),
(255433, 217, 17065, 'CodevTT_RAF', '17', '17', 0, 1501056141),
(255434, 217, 17065, 'CodevTT_RAF', '17', '17', 0, 1501056149),
(255482, 164, 20615, '', '', '', 1, 1501060686),
(255483, 164, 20615, 'handler_id', '0', '164', 0, 1501060686),
(255484, 164, 20615, '', '', '19800', 21, 1501060686),
(255485, 164, 19800, '', '', '20615', 20, 1501060686),
(255486, 164, 20615, 'CodevTT_RAF', '', '0', 0, 1501060817),
(255487, 164, 20615, 'CodevTT_RAF', '0', '0', 0, 1501060817),
(255488, 164, 20615, 'status', '10', '80', 0, 1501060817),
(255498, 72, 19983, 'CodevTT_RAF', '', '0', 0, 1501062542),
(255499, 72, 19983, 'status', '10', '80', 0, 1501062542),
(255500, 72, 19983, 'CodevTT_RAF', '0', '0', 0, 1501062542),
(255501, 72, 19983, 'CodevTT_Dead Line', '', '', 0, 1501062542),
(255502, 72, 19983, 'CodevTT_ChargeMgr', '', '0', 0, 1501062549),
(255503, 72, 19983, 'CodevTT_ChargeInit', '0.5', '0', 0, 1501062549),
(255506, 72, 19984, 'CodevTT_RAF', '', '0', 0, 1501062570),
(255507, 72, 19984, 'status', '10', '80', 0, 1501062570),
(255508, 72, 19984, 'CodevTT_RAF', '0', '0', 0, 1501062570),
(255509, 72, 19984, 'CodevTT_Dead Line', '', '', 0, 1501062570),
(255510, 72, 19984, 'CodevTT_ChargeMgr', '', '0', 0, 1501062576),
(255511, 72, 19984, 'CodevTT_ChargeInit', '0.5', '0', 0, 1501062576),
(255512, 72, 19985, 'CodevTT_RAF', '', '0', 0, 1501062593),
(255513, 72, 19985, 'status', '10', '80', 0, 1501062593),
(255514, 72, 19985, 'CodevTT_RAF', '0', '0', 0, 1501062593),
(255515, 72, 19985, 'CodevTT_Dead Line', '', '', 0, 1501062593),
(255516, 72, 19985, 'CodevTT_ChargeMgr', '', '0', 0, 1501062599),
(255517, 72, 19985, 'CodevTT_ChargeInit', '0.5', '0', 0, 1501062599),
(255524, 72, 20430, 'handler_id', '205', '217', 0, 1501063446),
(255525, 72, 20430, 'CodevTT_Dead Line', '', '', 0, 1501063446),
(255530, 113, 18575, '', '25281', '', 2, 1501065098),
(255631, 72, 20642, 'target_version', '', '18.0_PUMA', 0, 1501071653),
(255630, 72, 20642, 'CodevTT_ChargeInit', '', '0.5', 0, 1501071653),
(255629, 72, 20642, 'Ref. Externe', '', '44868', 0, 1501071653),
(255628, 72, 20641, 'codevtt_type', '', 'Task', 0, 1501071652),
(255627, 72, 20641, 'target_version', '', '18.0_PUMA', 0, 1501071652),
(255626, 72, 20641, 'CodevTT_ChargeInit', '', '0.5', 0, 1501071652),
(255625, 72, 20641, 'Ref. Externe', '', '44868', 0, 1501071652),
(255624, 72, 20640, 'codevtt_type', '', 'Task', 0, 1501071652),
(255623, 72, 20640, 'target_version', '', '18.0_PUMA', 0, 1501071652),
(255622, 72, 20640, 'CodevTT_ChargeInit', '', '0.5', 0, 1501071652),
(255621, 72, 20640, 'Ref. Externe', '', '44867', 0, 1501071652),
(255620, 246, 20563, 'CodevTT_RAF', '0', '0', 0, 1501071375),
(255632, 72, 20642, 'codevtt_type', '', 'Task', 0, 1501071653),
(255633, 72, 20643, 'Ref. Externe', '', '44869', 0, 1501071653),
(255634, 72, 20643, 'CodevTT_ChargeInit', '', '0.5', 0, 1501071653),
(255635, 72, 20643, 'codevtt_type', '', 'Task', 0, 1501071653),
(255636, 72, 20644, 'Ref. Externe', '', '44869', 0, 1501071653),
(255637, 72, 20644, 'CodevTT_ChargeInit', '', '0.5', 0, 1501071653),
(255638, 72, 20644, 'codevtt_type', '', 'Task', 0, 1501071653),
(255639, 72, 20641, 'handler_id', '0', '205', 0, 1501072039),
(255640, 72, 20641, 'CodevTT_Dead Line', '', '', 0, 1501072039),
(255641, 72, 20640, 'handler_id', '0', '205', 0, 1501072064),
(255642, 72, 20640, 'CodevTT_Dead Line', '', '', 0, 1501072064),
(255643, 72, 20642, 'handler_id', '0', '169', 0, 1501072084),
(255644, 72, 20642, 'CodevTT_Dead Line', '', '', 0, 1501072084),
(255645, 72, 20645, 'Ref. Externe', '', '44870', 0, 1501072193),
(255646, 72, 20645, 'CodevTT_ChargeInit', '', '0.5', 0, 1501072193),
(255647, 72, 20645, 'handler_id', '0', '169', 0, 1501072193),
(255648, 72, 20645, 'codevtt_type', '', 'Bug', 0, 1501072193),
(255649, 72, 20646, 'Ref. Externe', '', '44871', 0, 1501072193),
(255650, 72, 20646, 'CodevTT_ChargeInit', '', '0.5', 0, 1501072193),
(255651, 72, 20646, 'handler_id', '0', '169', 0, 1501072193),
(255652, 72, 20646, 'codevtt_type', '', 'Bug', 0, 1501072193),
(255747, 72, 19341, 'CodevTT_RAF', '0.25', '0', 0, 1501079352),
(255748, 72, 19341, 'status', '50', '80', 0, 1501079352),
(255749, 72, 19341, 'CodevTT_RAF', '0', '0', 0, 1501079352),
(255992, 199, 20680, '', '', '', 1, 1501134805),
(255993, 199, 20680, 'handler_id', '0', '199', 0, 1501134805),
(255994, 199, 20680, 'CodevTT_RAF', '', '0', 0, 1501134855),
(255995, 199, 20680, 'CodevTT_RAF', '0', '0', 0, 1501134855),
(255996, 199, 20680, 'status', '10', '80', 0, 1501134855),
(255997, 199, 20681, '', '', '', 1, 1501134913),
(255998, 199, 20681, 'handler_id', '0', '199', 0, 1501134913),
(255999, 199, 20682, '', '', '', 1, 1501134983),
(256000, 199, 20682, 'handler_id', '0', '199', 0, 1501134983),
(256001, 199, 20682, 'CodevTT_RAF', '', '1', 0, 1501135016),
(256002, 199, 20682, 'status', '10', '50', 0, 1501135016),
(256003, 199, 20682, 'CodevTT_RAF', '1', '0', 0, 1501135027),
(256004, 199, 20682, 'CodevTT_RAF', '0', '0', 0, 1501135027),
(256005, 199, 20682, 'status', '50', '80', 0, 1501135027),
(256006, 199, 20681, 'CodevTT_RAF', '', '0', 0, 1501135046),
(256007, 199, 20681, 'CodevTT_RAF', '0', '0', 0, 1501135046),
(256008, 199, 20681, 'status', '10', '80', 0, 1501135046),
(256018, 72, 20683, 'Ref. Externe', '', '44863', 0, 1501137081),
(256019, 72, 20683, 'CodevTT_ChargeInit', '', '0.5', 0, 1501137081),
(256020, 72, 20683, 'handler_id', '0', '157', 0, 1501137081),
(256021, 72, 20683, 'codevtt_type', '', 'Bug', 0, 1501137081),
(256061, 72, 19872, 'handler_id', '168', '74', 0, 1501140670),
(256072, 205, 20682, 'CodevTT_RAF', '0', '0', 0, 1501140765),
(256073, 205, 17065, 'CodevTT_RAF', '17', '17', 0, 1501140784),
(256074, 72, 17765, 'handler_id', '0', '74', 0, 1501140791),
(256075, 72, 17765, 'CodevTT_Dead Line', '', '', 0, 1501140791),
(256080, 205, 19981, 'handler_id', '205', '217', 0, 1501140879),
(256081, 205, 19981, 'CodevTT_Dead Line', '', '', 0, 1501140879),
(256084, 205, 19968, 'CodevTT_RAF', '0.1', '0', 0, 1501140916),
(256085, 205, 19968, 'status', '50', '80', 0, 1501140916),
(256086, 205, 19968, 'CodevTT_RAF', '0', '0', 0, 1501140916),
(256087, 205, 19968, 'CodevTT_Dead Line', '', '', 0, 1501140916),
(256095, 205, 20462, 'CodevTT_RAF', '', '0', 0, 1501140966),
(256096, 205, 20462, 'status', '10', '80', 0, 1501140966),
(256097, 205, 20462, 'CodevTT_RAF', '0', '0', 0, 1501140966),
(256115, 246, 17742, '', '25331', '', 2, 1501141072),
(256116, 246, 17742, 'CodevTT_RAF', '4', '1', 0, 1501141072),
(256322, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1501146053),
(256324, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1501146075),
(256338, 237, 2, '', '25359', '', 2, 1501146205),
(256354, 237, 2, '', '25365', '', 2, 1501146430),
(256374, 237, 2, '', '25366', '', 2, 1501146461),
(256378, 237, 2, '', '25367', '', 2, 1501146477),
(256379, 237, 2, '', '25368', '', 2, 1501146493),
(256380, 237, 2, '', '25369', '', 2, 1501146507),
(256599, 279, 2, '', '25451', '', 2, 1501152138),
(256602, 157, 17065, 'CodevTT_RAF', '17', '16', 0, 1501154256),
(256603, 157, 20598, 'CodevTT_RAF', '', '0.5', 0, 1501154315),
(256604, 157, 20598, 'status', '10', '50', 0, 1501154315),
(256605, 157, 20683, 'CodevTT_RAF', '', '0.5', 0, 1501154358),
(256606, 157, 20683, 'status', '10', '50', 0, 1501154358),
(256607, 157, 20683, 'CodevTT_RAF', '0.5', '0', 0, 1501154373),
(256608, 157, 20683, 'CodevTT_RAF', '0', '0', 0, 1501154373),
(256609, 157, 20683, 'status', '50', '80', 0, 1501154373),
(256610, 157, 20599, 'CodevTT_RAF', '', '0.5', 0, 1501154407),
(256611, 157, 20599, 'status', '10', '50', 0, 1501154407),
(256612, 157, 20599, 'CodevTT_RAF', '0.5', '0', 0, 1501154439),
(256613, 157, 20599, 'CodevTT_RAF', '0', '0', 0, 1501154439),
(256614, 157, 20599, 'status', '50', '80', 0, 1501154439),
(256615, 157, 20598, 'CodevTT_RAF', '0.5', '0', 0, 1501154464),
(256616, 157, 20598, 'CodevTT_RAF', '0', '0', 0, 1501154464),
(256617, 157, 20598, 'status', '50', '80', 0, 1501154464),
(256618, 157, 20683, 'CodevTT_RAF', '0', '0', 0, 1501154624),
(256702, 72, 20640, 'handler_id', '205', '217', 0, 1501157601),
(256703, 72, 20640, 'CodevTT_Dead Line', '', '', 0, 1501157601),
(256829, 72, 20643, 'handler_id', '0', '217', 0, 1501160973),
(256906, 72, 16723, 'summary', '4647 - PROD_GAC:LIASSES_EN_ERREUR_T_RAD_-1_Erreur lors de la préparation de la requete', 'G4647 - PROD_GAC:LIASSES_EN_ERREUR_T_RAD_-1_Erreur lors de la préparation de la requete', 0, 1501168641),
(256907, 72, 16723, 'Ref. Externe', '4647', 'G4647', 0, 1501168641),
(256910, 72, 17984, 'summary', '4862 - MOA_TAIGA_RATTRAPAGE_DOSSIERS_REJET_2731', 'G4862 - MOA_TAIGA_RATTRAPAGE_DOSSIERS_REJET_2731', 0, 1501168687),
(256911, 72, 17984, 'Ref. Externe', '4862', 'G4862', 0, 1501168687),
(256912, 72, 19715, 'summary', '4949 - PROD_GAC: RADIATION SUITE A UNE REPRISE AYANT CREE UN DOSSIER AVEC UN GP \"COMMERCANT\" au lieu de GP \"PL\"', 'G4949 - PROD_GAC: RADIATION SUITE A UNE REPRISE AYANT CREE UN DOSSIER AVEC UN GP \"COMMERCANT\" au lieu de GP \"PL\"', 0, 1501168731),
(256913, 72, 19715, 'Ref. Externe', '4949', 'G4949', 0, 1501168731),
(256914, 72, 14049, 'CodevTT_RAF', '17', '0', 0, 1501168911),
(256915, 72, 14049, 'status', '50', '80', 0, 1501168911),
(256916, 72, 14049, 'CodevTT_RAF', '0', '0', 0, 1501168911),
(256917, 72, 14049, 'CodevTT_Dead Line', '', '', 0, 1501168911),
(256918, 72, 14049, 'CodevTT_ChargeMgr', '', '0', 0, 1501168924),
(256919, 72, 14049, 'CodevTT_ChargeInit', '20', '2.3', 0, 1501168924),
(256920, 72, 14049, 'CodevTT_Dead Line', '', '', 0, 1501168934),
(256921, 72, 14049, '', '0025546', '', 2, 1501168953),
(256974, 72, 20644, 'handler_id', '0', '169', 0, 1501220182),
(256975, 72, 20682, 'summary', '[PUMA - TAIGA] Integration MAJOC : Plantage sur ijmass14.sh', '44841 - [PUMA - TAIGA] Integration MAJOC : Plantage sur ijmass14.sh', 0, 1501220644),
(256976, 72, 20681, 'summary', '[PUMA / TAIGA] Lot 2 SPOC - Bilan et statistiques - Alertes dupliquées sur le TP', '44838 -[PUMA / TAIGA] Lot 2 SPOC - Bilan et statistiques - Alertes dupliquées sur le TP', 0, 1501220750),
(256977, 72, 20680, 'summary', '[PUMA - TAIGA] Lot 2 - MAJOC - motif de fin de PR de l’assuré 9 « étranger en situation irrégulière » rejeté à tort', '44839 -[PUMA - TAIGA] Lot 2 - MAJOC - motif de fin de PR de l’assuré 9 « étranger en situation irrégulière » rejeté à tort', 0, 1501220866),
(256997, 157, 18756, 'CodevTT_RAF', '2', '1.5', 0, 1501227503),
(257001, 157, 20713, '', '', '', 1, 1501228160),
(257002, 157, 20713, 'handler_id', '0', '157', 0, 1501228160),
(257003, 157, 20713, '', '', '18756', 21, 1501228160),
(257004, 157, 18756, '', '', '20713', 20, 1501228160),
(257005, 157, 18756, 'CodevTT_RAF', '1.5', '1.5', 0, 1501228178),
(257006, 157, 20713, 'CodevTT_RAF', '', '0.5', 0, 1501228221),
(257007, 157, 20713, 'status', '10', '50', 0, 1501228221),
(257008, 246, 17742, '', '25569', '', 2, 1501228422),
(257009, 246, 17742, 'CodevTT_RAF', '1', '1', 0, 1501228422),
(257010, 74, 18488, 'CodevTT_RAF', '3', '3', 0, 1501228595),
(257011, 74, 19421, 'CodevTT_RAF', '1', '1', 0, 1501228802),
(257012, 246, 17742, 'status', '50', '20', 0, 1501228881),
(257013, 246, 17742, 'CodevTT_Dead Line', '', '', 0, 1501228881),
(257115, 322, 20461, 'CodevTT_RAF', '15', '10', 0, 1501235649),
(257116, 322, 20461, 'CodevTT_RAF', '10', '10', 0, 1501235655),
(257119, 322, 20461, '', '25598', '', 2, 1501235668),
(257120, 322, 20461, 'CodevTT_RAF', '10', '10', 0, 1501235668),
(257121, 322, 20461, '', '25598', '', 4, 1501235686),
(257122, 322, 20461, '', '25599', '', 2, 1501235686),
(257123, 322, 20461, 'CodevTT_RAF', '10', '10', 0, 1501235705),
(257124, 322, 20461, 'CodevTT_RAF', '10', '10', 0, 1501235715),
(257132, 164, 1, '', '25600', '', 2, 1501241126),
(257133, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1501241171),
(257134, 164, 19800, 'CodevTT_RAF', '0', '0', 0, 1501241188),
(257135, 164, 17251, '', '25601', '', 2, 1501241204),
(257136, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1501241220),
(257141, 199, 20429, 'CodevTT_RAF', '', '0.4', 0, 1501242138),
(257142, 199, 20429, 'status', '10', '50', 0, 1501242138),
(257143, 199, 20429, 'CodevTT_RAF', '0.4', '0.2', 0, 1501242153),
(257144, 199, 20645, 'CodevTT_RAF', '', '0', 0, 1501242373),
(257145, 199, 20645, 'CodevTT_RAF', '0', '0', 0, 1501242373),
(257146, 199, 20645, 'status', '10', '80', 0, 1501242373),
(257156, 199, 20642, 'CodevTT_RAF', '', '0.4', 0, 1501243427),
(257157, 199, 20642, 'status', '10', '50', 0, 1501243427),
(257218, 199, 20429, 'CodevTT_RAF', '0.2', '0', 0, 1501248563),
(257219, 199, 20429, 'CodevTT_RAF', '0', '0', 0, 1501248563),
(257220, 199, 20429, 'status', '50', '80', 0, 1501248563),
(257448, 72, 20640, 'handler_id', '217', '205', 0, 1501479792),
(257449, 72, 20640, 'CodevTT_Dead Line', '', '', 0, 1501479792),
(257450, 72, 20430, 'CodevTT_Dead Line', '', '1505426400', 0, 1501481787),
(257451, 72, 20644, 'RSI_Type_Ano', '', 'Production', 0, 1501482086),
(257452, 72, 20644, '', '2500', '20643', 18, 1501482105),
(257453, 72, 20643, '', '2501', '20644', 18, 1501482105),
(257454, 74, 19421, 'CodevTT_RAF', '1', '1', 0, 1501482268),
(257455, 74, 17064, 'CodevTT_RAF', '10', '1', 0, 1501482343),
(257473, 322, 20461, 'CodevTT_RAF', '10', '10', 0, 1501487954),
(257535, 72, 19872, 'target_version', '', '17.5.1', 0, 1501492422),
(257536, 72, 19871, 'target_version', '', '17.5.1', 0, 1501492422),
(257545, 72, 20640, 'CodevTT_ChargeMgr', '', '1', 0, 1501493190),
(257548, 72, 17765, 'target_version', '17.5', '', 0, 1501495057),
(257549, 72, 20485, 'handler_id', '74', '72', 0, 1501495091),
(257550, 72, 20563, 'target_version', '', '18.0.05', 0, 1501495787),
(257551, 72, 17742, 'target_version', '18.0_PUMA', '18.0.06', 0, 1501495848),
(257552, 72, 17740, 'target_version', '18.0_PUMA', '18.0.06', 0, 1501495848),
(257553, 72, 17739, 'target_version', '18.0_PUMA', '18.0.06', 0, 1501495848),
(257554, 72, 17741, 'target_version', '18.0_PUMA', '18.0.06', 0, 1501495848),
(257555, 72, 17633, 'target_version', '', '18.0.06', 0, 1501495848),
(257556, 72, 17634, 'target_version', '', '18.0.06', 0, 1501495848),
(257557, 72, 16526, 'target_version', '', '18.0.06', 0, 1501495886),
(257558, 72, 16516, 'target_version', '18.0_PUMA', '18.0.06', 0, 1501495886),
(257559, 72, 15785, 'target_version', '', '18.0.06', 0, 1501495886),
(257560, 72, 20640, 'target_version', '18.0_PUMA', '18.0.07', 0, 1501495966),
(257561, 72, 20642, 'target_version', '18.0_PUMA', '18.0.07', 0, 1501495966),
(257562, 72, 20641, 'target_version', '18.0_PUMA', '18.0.07', 0, 1501495966),
(257563, 72, 20564, 'CodevTT_RAF', '', '0', 0, 1501496038),
(257564, 72, 20564, 'status', '10', '80', 0, 1501496038),
(257565, 72, 20564, 'CodevTT_RAF', '0', '0', 0, 1501496038),
(257566, 72, 20451, 'CodevTT_RAF', '', '0', 0, 1501496131),
(257567, 72, 20451, 'status', '10', '80', 0, 1501496131),
(257568, 72, 20451, 'CodevTT_RAF', '0', '0', 0, 1501496131),
(257613, 246, 18488, '', '25629', '', 2, 1501506264),
(257614, 246, 18488, 'CodevTT_RAF', '3', '3', 0, 1501506264),
(257615, 246, 18488, '', '25629', '', 4, 1501506317),
(257616, 246, 18488, '', '25630', '', 2, 1501506318),
(257617, 246, 17742, '', '25631', '', 2, 1501506412),
(257618, 246, 17742, 'CodevTT_RAF', '1', '1', 0, 1501506412),
(257624, 72, 20429, '', '0025632', '', 2, 1501507226),
(257707, 246, 18488, '', '25648', '', 2, 1501514859),
(257708, 246, 18488, 'CodevTT_RAF', '3', '2', 0, 1501514859),
(257713, 246, 17742, '', '25649', '', 2, 1501514937),
(257714, 246, 17742, 'CodevTT_RAF', '1', '1', 0, 1501514937),
(257734, 36, 2, '', '25654', '', 2, 1501570232),
(258036, 2, 17401, '', '25677', '', 2, 1501586029),
(258037, 2, 17401, 'CodevTT_RAF', '0', '0', 0, 1501586029),
(258038, 2, 17401, 'handler_id', '164', '2', 0, 1501586029),
(258039, 2, 20800, '', '', '', 1, 1501586241),
(258040, 2, 20800, 'handler_id', '0', '2', 0, 1501586241),
(258041, 2, 20800, '', '25678', '', 2, 1501586389),
(258044, 2, 20461, '', '25680', '', 2, 1501586549),
(258045, 2, 20461, 'CodevTT_RAF', '10', '3', 0, 1501586549),
(258046, 2, 20461, 'handler_id', '322', '2', 0, 1501586549),
(258263, 246, 1435, '', '25711', '', 2, 1501601621),
(258285, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1501657951),
(258286, 164, 19331, 'CodevTT_RAF', '0', '0', 0, 1501658012),
(258287, 164, 20562, 'CodevTT_RAF', '', '0.25', 0, 1501658098),
(258288, 164, 20562, 'status', '10', '50', 0, 1501658098),
(258595, 357, 2, '', '25738', '', 2, 1501674904),
(258597, 164, 20562, 'CodevTT_RAF', '0.25', '0', 0, 1501676415),
(258598, 164, 20562, 'CodevTT_RAF', '0', '0', 0, 1501676415),
(258599, 164, 20562, 'status', '50', '80', 0, 1501676415),
(259021, 395, 1, '', '25744', '', 2, 1501683084),
(259310, 72, 20926, 'Ref. Externe', '', '44903', 0, 1501739189),
(259311, 72, 20926, 'CodevTT_ChargeInit', '', '0.5', 0, 1501739189),
(259312, 72, 20926, 'handler_id', '0', '205', 0, 1501739189),
(259313, 72, 20926, 'codevtt_type', '', 'Bug', 0, 1501739189),
(259314, 72, 20927, 'Ref. Externe', '', '44904', 0, 1501739190),
(259315, 72, 20927, 'CodevTT_ChargeInit', '', '0.5', 0, 1501739190),
(259316, 72, 20927, 'handler_id', '0', '205', 0, 1501739190),
(259317, 72, 20927, 'codevtt_type', '', 'Bug', 0, 1501739190),
(259318, 72, 20928, 'Ref. Externe', '', '44906', 0, 1501739190),
(259319, 72, 20928, 'CodevTT_ChargeInit', '', '0.5', 0, 1501739190),
(259320, 72, 20928, 'handler_id', '0', '157', 0, 1501739190),
(259321, 72, 20928, 'codevtt_type', '', 'Bug', 0, 1501739190),
(259322, 72, 20929, 'Ref. Externe', '', '44907', 0, 1501739190),
(259323, 72, 20929, 'CodevTT_ChargeInit', '', '0.5', 0, 1501739190),
(259324, 72, 20929, 'handler_id', '0', '246', 0, 1501739190),
(259325, 72, 20929, 'codevtt_type', '', 'Bug', 0, 1501739190),
(259326, 72, 20930, 'Ref. Externe', '', '44893', 0, 1501739540),
(259327, 72, 20930, 'CodevTT_ChargeInit', '', '0.5', 0, 1501739540),
(259328, 72, 20930, 'handler_id', '0', '72', 0, 1501739540),
(259329, 72, 20930, 'codevtt_type', '', 'Bug', 0, 1501739540),
(259330, 72, 20931, 'Ref. Externe', '', '44894', 0, 1501739540),
(259331, 72, 20931, 'CodevTT_ChargeInit', '', '0.5', 0, 1501739540),
(259332, 72, 20931, 'handler_id', '0', '72', 0, 1501739540),
(259333, 72, 20931, 'codevtt_type', '', 'Bug', 0, 1501739540),
(259334, 72, 20928, 'RSI_Type_Ano', '', 'Production', 0, 1501739853),
(259335, 72, 20930, 'CodevTT_RAF', '', '0', 0, 1501739982),
(259336, 72, 20930, 'CodevTT_RAF', '0', '0', 0, 1501739982),
(259337, 72, 20930, 'status', '10', '80', 0, 1501739982),
(259398, 74, 12288, 'CodevTT_RAF', '0', '0', 0, 1501742391),
(259399, 74, 12288, 'CodevTT_RAF', '0', '0', 0, 1501742410),
(259402, 74, 19421, 'CodevTT_RAF', '1', '1', 0, 1501742431),
(259403, 74, 19421, 'CodevTT_RAF', '1', '1', 0, 1501742445),
(259413, 74, 17637, 'CodevTT_RAF', '0', '1', 0, 1501742668),
(259414, 74, 17637, 'status', '80', '50', 0, 1501742668),
(259415, 74, 17637, 'CodevTT_RAF', '1', '0', 0, 1501742683),
(259416, 74, 17637, 'CodevTT_RAF', '0', '0', 0, 1501742683),
(259417, 74, 17637, 'status', '50', '80', 0, 1501742683),
(259418, 217, 17065, '', '25795', '', 2, 1501742792),
(259421, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1501742829),
(259422, 217, 17065, '', '25797', '', 2, 1501742839),
(259425, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1501742879),
(259426, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1501742920),
(259427, 217, 11112, '', '25799', '', 2, 1501742992),
(259428, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1501742992),
(259429, 217, 11112, '', '25800', '', 2, 1501743017),
(259430, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1501743017),
(259431, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1501743033),
(259432, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1501743062),
(259433, 217, 11112, '', '25801', '', 2, 1501743106),
(259434, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1501743106),
(259435, 217, 11112, '', '25802', '', 2, 1501743157),
(259436, 217, 17065, 'CodevTT_RAF', '16', '15', 0, 1501743201),
(259437, 217, 17065, 'CodevTT_RAF', '15', '15', 0, 1501743221),
(259438, 217, 16723, 'CodevTT_RAF', '3', '0', 0, 1501743712),
(259439, 217, 16723, 'status', '50', '80', 0, 1501743712),
(259440, 217, 16723, 'CodevTT_RAF', '0', '0', 0, 1501743712),
(259441, 217, 20641, 'handler_id', '205', '217', 0, 1501743835),
(259442, 217, 20641, 'CodevTT_Dead Line', '', '', 0, 1501743835),
(259443, 217, 20641, 'CodevTT_ChargeInit', '0.5', '1', 0, 1501743857),
(259717, 157, 18755, 'CodevTT_RAF', '0', '5', 0, 1501751791),
(259718, 157, 18755, 'status', '80', '50', 0, 1501751791),
(259720, 157, 20713, 'CodevTT_RAF', '0.5', '0', 0, 1501751835),
(259721, 157, 20713, 'CodevTT_RAF', '0', '0', 0, 1501751835),
(259722, 157, 20713, 'status', '50', '80', 0, 1501751835),
(259723, 157, 20427, 'CodevTT_RAF', '0', '2', 0, 1501751869),
(259724, 157, 20427, 'status', '80', '50', 0, 1501751869),
(259725, 157, 20427, 'CodevTT_RAF', '2', '1.5', 0, 1501751891),
(259726, 157, 18755, 'CodevTT_RAF', '5', '4.5', 0, 1501751940),
(259727, 157, 18755, 'CodevTT_RAF', '4.5', '3.5', 0, 1501751954),
(259822, 2, 20927, 'handler_id', '205', '199', 0, 1501756389),
(259823, 2, 20927, 'status', '10', '40', 0, 1501756389),
(259824, 2, 20927, '', '4039', '', 6, 1501756450),
(259847, 72, 20485, 'CodevTT_RAF', '1', '0.9', 0, 1501761657),
(259850, 72, 20486, 'CodevTT_RAF', '1', '1', 0, 1501761691),
(259863, 72, 17450, 'CodevTT_RAF', '1', '0', 0, 1501762028),
(259864, 72, 17450, 'status', '50', '80', 0, 1501762028),
(259865, 72, 17450, 'CodevTT_RAF', '0', '0', 0, 1501762028),
(259909, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1501763910),
(259910, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1501763919),
(260110, 74, 19421, 'CodevTT_RAF', '1', '0', 0, 1501769805),
(260111, 74, 19421, 'CodevTT_RAF', '0', '0', 0, 1501769805),
(260112, 74, 19421, 'status', '50', '80', 0, 1501769805),
(260135, 246, 16526, '', '25961', '', 2, 1501770407),
(260136, 246, 16526, 'CodevTT_RAF', '', '2', 0, 1501770407),
(260137, 246, 16526, 'status', '10', '50', 0, 1501770407),
(260138, 246, 16526, 'handler_id', '217', '246', 0, 1501770407),
(260142, 246, 16526, '', '25961', '', 4, 1501770426),
(260143, 246, 16526, '', '25963', '', 2, 1501770426),
(260146, 246, 16526, '', '25965', '', 2, 1501770478),
(260147, 246, 16526, 'CodevTT_RAF', '2', '1', 0, 1501770478),
(260150, 44, 2, '', '25967', '', 2, 1501770875),
(260219, 392, 1, '', '25975', '', 2, 1501771673),
(260354, 205, 20640, 'CodevTT_RAF', '', '0', 0, 1501777533),
(260355, 205, 20640, 'CodevTT_RAF', '0', '0', 0, 1501777533),
(260356, 205, 20640, 'status', '10', '80', 0, 1501777533),
(260357, 205, 17065, 'CodevTT_RAF', '15', '15', 0, 1501777548),
(260358, 205, 17065, 'CodevTT_RAF', '15', '15', 0, 1501777549),
(260359, 205, 17065, 'CodevTT_RAF', '15', '15', 0, 1501777570),
(260360, 205, 20643, 'CodevTT_RAF', '', '0', 0, 1501777632),
(260361, 205, 20643, 'CodevTT_RAF', '0', '0', 0, 1501777632),
(260362, 205, 20643, 'status', '10', '80', 0, 1501777632),
(260363, 205, 20640, 'CodevTT_RAF', '0', '0', 0, 1501777678),
(260364, 205, 19981, 'CodevTT_RAF', '', '0', 0, 1501777849),
(260365, 205, 19981, 'CodevTT_RAF', '0', '0', 0, 1501777849),
(260366, 205, 19981, 'status', '10', '80', 0, 1501777849),
(260367, 205, 20927, 'CodevTT_RAF', '', '4', 0, 1501777964),
(260368, 205, 17065, 'CodevTT_RAF', '15', '15', 0, 1501778029),
(260369, 205, 17065, 'CodevTT_RAF', '15', '15', 0, 1501778043),
(260370, 205, 17065, 'CodevTT_RAF', '15', '15', 0, 1501778052),
(260455, 246, 16526, 'CodevTT_RAF', '1', '1', 0, 1501832316),
(260456, 246, 20929, 'CodevTT_RAF', '', '0', 0, 1501832339),
(260457, 246, 20929, 'CodevTT_RAF', '0', '0', 0, 1501832339),
(260458, 246, 20929, 'status', '10', '80', 0, 1501832339),
(260470, 395, 1, '', '26008', '', 2, 1501832831),
(260885, 72, 19872, 'handler_id', '74', '158', 0, 1501841977),
(260886, 72, 19872, 'CodevTT_Dead Line', '', '', 0, 1501841977),
(260887, 72, 17740, 'status', '80', '50', 0, 1501842034),
(260888, 72, 17740, 'CodevTT_Dead Line', '', '', 0, 1501842034),
(260889, 72, 17740, 'CodevTT_ChargeMgr', '', '0', 0, 1501842044),
(260890, 72, 17740, 'CodevTT_RAF', '0', '1', 0, 1501842044),
(260900, 72, 17740, 'CodevTT_RAF', '1', '0.5', 0, 1501842551),
(260946, 74, 17425, 'CodevTT_RAF', '0', '1', 0, 1501848796),
(260947, 74, 17425, 'status', '80', '50', 0, 1501848796),
(260949, 246, 17742, 'CodevTT_RAF', '1', '0', 0, 1501848824),
(260950, 246, 17742, 'status', '20', '80', 0, 1501848824),
(260951, 246, 17742, 'CodevTT_RAF', '0', '0', 0, 1501848824),
(260952, 246, 17742, 'CodevTT_Dead Line', '', '', 0, 1501848824),
(261588, 205, 17065, 'CodevTT_RAF', '15', '15', 0, 1501859169),
(261864, 395, 1, '', '26125', '', 2, 1502091765),
(262396, 2, 1400, '', '26154', '', 2, 1502121104),
(262397, 2, 1400, '', '26155', '', 2, 1502121109),
(262398, 2, 1400, '', '26156', '', 2, 1502121112),
(262399, 2, 1400, '', '26157', '', 2, 1502121116),
(262400, 164, 1400, '', '26158', '', 2, 1502121180),
(262401, 164, 1400, '', '26159', '', 2, 1502121183),
(262402, 164, 1400, '', '26160', '', 2, 1502121187),
(262403, 164, 1400, '', '26161', '', 2, 1502121191),
(262465, 113, 18575, '', '26170', '', 2, 1502178672),
(262558, 133, 2, '', '26177', '', 2, 1502193466),
(262562, 113, 18575, '', '26170', '', 4, 1502194985),
(262563, 113, 18575, '', '26178', '', 2, 1502194985),
(262584, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1502197881),
(262585, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1502197892),
(262586, 246, 16526, '', '26186', '', 2, 1502199118),
(262587, 246, 16526, 'CodevTT_RAF', '1', '3', 0, 1502199118),
(262588, 246, 16526, '', '26187', '', 2, 1502199154),
(262589, 246, 16526, 'CodevTT_RAF', '3', '3', 0, 1502199154),
(262590, 246, 16526, '', '26186', '', 4, 1502199170),
(262591, 246, 16526, '', '26188', '', 2, 1502199170),
(263357, 36, 2, '', '26264', '', 2, 1502257824),
(263429, 113, 18575, '', '26275', '', 2, 1502271342),
(263445, 246, 16526, '', '26280', '', 2, 1502272213),
(263446, 246, 16526, 'CodevTT_RAF', '3', '1', 0, 1502272214),
(263525, 157, 20928, 'CodevTT_RAF', '', '0', 0, 1502283304),
(263526, 157, 20928, 'CodevTT_RAF', '0', '0', 0, 1502283305),
(263527, 157, 20928, 'status', '10', '80', 0, 1502283305),
(263528, 157, 20427, 'CodevTT_RAF', '1.5', '1', 0, 1502283328),
(263529, 157, 20427, 'CodevTT_RAF', '1', '0', 0, 1502283342),
(263530, 157, 20427, 'CodevTT_RAF', '0', '0', 0, 1502283342),
(263531, 157, 20427, 'status', '50', '80', 0, 1502283342),
(263532, 157, 18755, 'CodevTT_RAF', '3.5', '2', 0, 1502283362),
(263533, 157, 18755, 'CodevTT_RAF', '2', '1', 0, 1502283380),
(263534, 157, 18755, 'CodevTT_RAF', '1', '0', 0, 1502283393),
(263535, 157, 18755, 'CodevTT_RAF', '0', '0', 0, 1502283393),
(263536, 157, 18755, 'status', '50', '80', 0, 1502283393),
(263541, 157, 18756, 'CodevTT_RAF', '1.5', '0', 0, 1502283428),
(263542, 157, 18756, 'status', '50', '80', 0, 1502283428),
(263543, 157, 18756, 'CodevTT_RAF', '0', '0', 0, 1502283428),
(263544, 157, 18756, 'CodevTT_Dead Line', '', '', 0, 1502283428),
(263923, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1502293297),
(263924, 2, 19331, 'CodevTT_RAF', '0', '0', 0, 1502293341),
(263925, 2, 2894, '', '26317', '', 2, 1502293396),
(263926, 2, 2894, '', '26317', '', 4, 1502293417),
(263927, 2, 2894, '', '26318', '', 2, 1502293417),
(263928, 2, 21243, '', '', '', 1, 1502293493),
(263929, 2, 21243, 'handler_id', '0', '2', 0, 1502293493),
(263931, 2, 21243, '', '26319', '', 2, 1502293574),
(263932, 2, 21243, 'CodevTT_RAF', '', '0.25', 0, 1502293574),
(263933, 2, 21243, 'status', '10', '50', 0, 1502293574),
(264186, 246, 16526, 'CodevTT_RAF', '1', '0.5', 0, 1502295444),
(264187, 246, 18488, '', '26320', '', 2, 1502295530),
(264188, 246, 18488, 'CodevTT_RAF', '2', '1', 0, 1502295531),
(264660, 2, 21243, '', '26435', '', 2, 1502358043),
(264661, 2, 21243, 'CodevTT_RAF', '0.25', '0.25', 0, 1502358043),
(265045, 395, 1400, '', '26549', '', 2, 1502376680),
(265107, 2, 21243, '', '26564', '', 2, 1502378238),
(265108, 2, 21243, 'CodevTT_RAF', '0.25', '0', 0, 1502378238),
(265109, 2, 21243, 'CodevTT_RAF', '0', '0', 0, 1502378238),
(265110, 2, 21243, 'status', '50', '80', 0, 1502378238),
(265111, 2, 21243, '', '26564', '', 4, 1502378276),
(265136, 246, 1435, '', '26567', '', 2, 1502379508),
(265147, 9, 1, '', '26572', '', 2, 1502382211),
(265271, 357, 2, '', '25738', '', 4, 1502440476),
(265272, 357, 2, '', '26582', '', 2, 1502440476),
(265769, 354, 2, '', '26644', '', 2, 1502836666),
(265822, 246, 18488, 'CodevTT_RAF', '1', '1', 0, 1502867384),
(265824, 217, 11112, '', '25801', '', 4, 1502868904),
(265825, 217, 11112, '', '25800', '', 4, 1502868916),
(265826, 217, 11112, '', '25799', '', 4, 1502868921),
(265827, 217, 17065, '', '26648', '', 2, 1502868951),
(265828, 217, 17065, 'CodevTT_RAF', '15', '15', 0, 1502868951),
(265829, 217, 11112, '', '25802', '', 4, 1502868958),
(265830, 217, 17065, 'CodevTT_RAF', '15', '15', 0, 1502869140),
(265831, 217, 17065, 'CodevTT_RAF', '15', '15', 0, 1502869143),
(265832, 217, 17065, 'CodevTT_RAF', '15', '15', 0, 1502869144),
(265833, 217, 17065, 'CodevTT_RAF', '15', '15', 0, 1502869146),
(265834, 217, 17065, 'CodevTT_RAF', '15', '16', 0, 1502869147),
(265835, 217, 17065, '', '26649', '', 2, 1502869188),
(265836, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502869443),
(265837, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502869446),
(265838, 392, 2, '', '26650', '', 2, 1502869781),
(265845, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502870567),
(265846, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502871966),
(265847, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502871981),
(265848, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502871999),
(265849, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872010),
(265850, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872020),
(265851, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872030),
(265852, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872038),
(265853, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872050),
(265854, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872077),
(265855, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872089),
(265856, 217, 4857, '', '26651', '', 2, 1502872144),
(265857, 217, 17065, '', '26652', '', 2, 1502872176),
(265858, 217, 17065, '', '26649', '', 4, 1502872199),
(265859, 217, 17065, '', '26653', '', 2, 1502872199),
(265860, 217, 17065, '', '26654', '', 2, 1502872297),
(265861, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1502872318),
(265862, 217, 17065, '', '26655', '', 2, 1502872377),
(265863, 217, 17065, '', '26655', '', 4, 1502872412),
(265864, 217, 17065, '', '26656', '', 2, 1502872412),
(265865, 217, 4857, '', '26657', '', 2, 1502872476),
(265866, 217, 17065, '', '26658', '', 2, 1502872488),
(265867, 169, 17634, 'CodevTT_RAF', '0', '0', 0, 1502872834),
(265868, 169, 17634, 'CodevTT_RAF', '0', '0', 0, 1502872847),
(265869, 169, 17740, 'CodevTT_RAF', '0.5', '0', 0, 1502872877),
(265870, 169, 17740, 'CodevTT_RAF', '0', '0', 0, 1502872877),
(265871, 169, 17740, 'status', '50', '80', 0, 1502872877),
(265872, 169, 20642, 'CodevTT_RAF', '0.4', '1', 0, 1502873037),
(265885, 169, 21301, '', '', '', 1, 1502875068),
(265886, 169, 21301, 'handler_id', '0', '169', 0, 1502875068),
(265888, 169, 21301, 'CodevTT_RAF', '', '1', 0, 1502875230),
(265889, 169, 21301, 'status', '10', '50', 0, 1502875230),
(265894, 2, 19800, 'CodevTT_RAF', '0', '0', 0, 1502876017),
(265895, 2, 19800, 'CodevTT_RAF', '0', '0', 0, 1502876077),
(265896, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1502876142),
(265939, 2, 1437, '', '26669', '', 2, 1502896405),
(265940, 2, 1437, '', '26670', '', 2, 1502896412),
(265946, 246, 18488, '', '26672', '', 2, 1502900279),
(265947, 246, 18488, 'CodevTT_RAF', '1', '0', 0, 1502900279),
(265948, 246, 18488, 'CodevTT_RAF', '0', '0', 0, 1502900279),
(265949, 246, 18488, 'status', '50', '80', 0, 1502900279),
(266664, 2, 2894, '', '26829', '', 2, 1502989097),
(266665, 2, 19800, '', '26830', '', 2, 1502989193),
(266666, 2, 19800, 'CodevTT_RAF', '0', '0', 0, 1502989193),
(266667, 2, 2894, '', '26829', '', 4, 1502989216),
(266668, 2, 2894, '', '26831', '', 2, 1502989216),
(266669, 2, 19800, '', '26830', '', 4, 1502989224),
(266670, 2, 19800, '', '26832', '', 2, 1502989224),
(266676, 246, 16526, 'CodevTT_RAF', '0.5', '1', 0, 1503040043),
(266730, 2, 19800, '', '26832', '', 4, 1503043822),
(266731, 2, 19800, '', '26858', '', 2, 1503043822),
(266949, 253, 1, '', '26878', '', 2, 1503061914),
(266980, 354, 2, '', '26882', '', 2, 1503063632),
(266981, 354, 2, '', '26883', '', 2, 1503063670),
(267070, 395, 1, '', '26898', '', 2, 1503067637),
(267130, 246, 21342, '', '', '', 1, 1503072012),
(267131, 246, 21343, '', '', '', 1, 1503072108),
(267132, 246, 21342, 'CodevTT_RAF', '', '0', 0, 1503072137),
(267133, 246, 21342, 'CodevTT_RAF', '0', '0', 0, 1503072137),
(267134, 246, 21342, 'status', '10', '80', 0, 1503072137),
(267135, 246, 21342, 'handler_id', '0', '246', 0, 1503072137),
(267136, 246, 16526, 'CodevTT_RAF', '1', '0', 0, 1503072161),
(267137, 246, 16526, 'CodevTT_RAF', '0', '0', 0, 1503072161),
(267138, 246, 16526, 'status', '50', '80', 0, 1503072161),
(267139, 246, 21343, 'CodevTT_RAF', '', '3', 0, 1503072195),
(267140, 246, 21343, 'status', '10', '50', 0, 1503072195),
(267141, 246, 21343, 'handler_id', '0', '246', 0, 1503072195),
(267149, 217, 17065, 'CodevTT_RAF', '16', '15', 0, 1503293958),
(267150, 217, 17065, 'CodevTT_RAF', '15', '15', 0, 1503293976),
(267151, 217, 17065, 'CodevTT_RAF', '15', '16', 0, 1503294008),
(267225, 169, 21301, 'CodevTT_RAF', '1', '1', 0, 1503304097),
(267228, 169, 21344, '', '', '', 1, 1503304405),
(267229, 169, 21344, 'handler_id', '0', '169', 0, 1503304405),
(267230, 169, 21344, 'CodevTT_RAF', '', '1', 0, 1503304456),
(267233, 169, 21344, 'CodevTT_RAF', '1', '0', 0, 1503304503),
(267234, 169, 21344, 'CodevTT_RAF', '0', '0', 0, 1503304503),
(267235, 169, 21344, 'status', '10', '80', 0, 1503304503),
(267237, 169, 21301, 'CodevTT_RAF', '1', '0', 0, 1503304515),
(267238, 169, 21301, 'CodevTT_RAF', '0', '0', 0, 1503304515),
(267239, 169, 21301, 'status', '50', '80', 0, 1503304515),
(267316, 224, 1, '', '26937', '', 2, 1503315672),
(267380, 246, 21343, 'CodevTT_RAF', '3', '0', 0, 1503328843),
(267381, 246, 21343, 'CodevTT_RAF', '0', '0', 0, 1503328843),
(267382, 246, 21343, 'status', '50', '80', 0, 1503328843),
(267385, 36, 2, '', '26948', '', 2, 1503381161),
(267449, 2, 21348, '', '', '', 1, 1503393737),
(267454, 2, 21348, '', '26964', '', 2, 1503393930),
(267455, 2, 21348, 'CodevTT_RAF', '', '0', 0, 1503393930),
(267456, 2, 21348, 'CodevTT_RAF', '0', '0', 0, 1503393930),
(267457, 2, 21348, 'status', '10', '80', 0, 1503393930),
(267458, 2, 21348, 'handler_id', '0', '2', 0, 1503393930),
(267459, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1503393982),
(267489, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1503397035),
(267501, 395, 1, '', '26975', '', 2, 1503406688),
(267598, 199, 20683, 'CodevTT_RAF', '0', '0.5', 0, 1503469085),
(267599, 199, 20683, 'status', '80', '20', 0, 1503469085),
(267600, 199, 20599, 'CodevTT_RAF', '0', '0', 0, 1503469128),
(267601, 199, 21350, '', '', '', 1, 1503469354),
(267602, 199, 21350, 'handler_id', '0', '157', 0, 1503469354),
(267603, 199, 21350, '', '', '20683', 21, 1503469355),
(267604, 199, 20683, '', '', '21350', 20, 1503469355),
(267605, 199, 21350, 'CodevTT_RAF', '', '0.75', 0, 1503469401),
(267606, 199, 21350, 'status', '10', '20', 0, 1503469401),
(267607, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503471608),
(267608, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503471670),
(267609, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503471689),
(267610, 217, 17065, '', '27004', '', 2, 1503471703),
(267611, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503471731),
(267612, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503471741),
(267613, 2, 21301, 'status', '80', '50', 0, 1503471760),
(267614, 2, 21301, 'CodevTT_Dead Line', '', '', 0, 1503471760),
(267615, 2, 21344, 'status', '80', '50', 0, 1503471797),
(267616, 246, 1435, '', '27005', '', 2, 1503472766),
(267788, 395, 1, '', '27054', '', 2, 1503490301),
(267796, 392, 2, '', '27058', '', 2, 1503490477),
(267893, 199, 21352, '', '', '', 1, 1503493594),
(267894, 199, 21352, 'handler_id', '0', '246', 0, 1503493594),
(267895, 199, 21352, '', '', '20926', 21, 1503493594),
(267896, 199, 20926, '', '', '21352', 20, 1503493594),
(267905, 199, 21353, '', '', '', 1, 1503493672),
(267906, 199, 21353, 'handler_id', '0', '246', 0, 1503493672),
(267907, 199, 21353, '', '', '16526', 21, 1503493672),
(267908, 199, 16526, '', '', '21353', 20, 1503493672),
(267910, 246, 1435, '', '27005', '', 4, 1503493761),
(267911, 246, 1435, '', '27084', '', 2, 1503493761),
(267912, 246, 21352, '', '27085', '', 2, 1503493797),
(267913, 246, 21352, 'CodevTT_RAF', '', '0.5', 0, 1503493797),
(267914, 246, 21352, 'status', '10', '50', 0, 1503493797),
(267915, 246, 21352, 'CodevTT_RAF', '0.5', '0', 0, 1503493827),
(267916, 246, 21352, 'CodevTT_RAF', '0', '0', 0, 1503493827),
(267917, 246, 21352, 'status', '50', '80', 0, 1503493827),
(267995, 199, 21354, '', '', '', 1, 1503498858),
(267999, 199, 21354, 'handler_id', '0', '246', 0, 1503498933),
(268000, 199, 21354, 'summary', '44950 - [TAIGA] AFFI - ANO instance 43 \"supprimmer immat. en cours\"', '44930 - [TAIGA] AFFI - ANO instance 43 \"supprimmer immat. en cours\"', 0, 1503498933),
(268001, 199, 21354, 'Ref. Externe', '44950', '44930', 0, 1503498933),
(268167, 246, 21352, '', '27117', '', 2, 1503560299),
(268171, 246, 21353, 'CodevTT_RAF', '', '0', 0, 1503560329),
(268172, 246, 21353, 'CodevTT_RAF', '0', '0', 0, 1503560329),
(268173, 246, 21353, 'status', '10', '80', 0, 1503560329),
(268176, 246, 21354, 'CodevTT_RAF', '', '3', 0, 1503560372),
(268177, 246, 21354, 'status', '10', '50', 0, 1503560372),
(268841, 395, 1, '', '27234', '', 2, 1503580663),
(268960, 2, 21348, 'summary', 'Support Krimo', 'ANVCTX Support Krimo', 0, 1503586530),
(268974, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1503587023),
(268975, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1503587033),
(268976, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1503587042),
(268977, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1503587083),
(269016, 199, 21301, 'CodevTT_RAF', '0', '0', 0, 1503640734),
(269017, 199, 21301, 'CodevTT_RAF', '0', '0', 0, 1503640734),
(269018, 199, 21301, 'status', '50', '80', 0, 1503640734),
(269019, 199, 21301, 'handler_id', '169', '199', 0, 1503640734),
(269020, 199, 21344, 'CodevTT_RAF', '0', '0', 0, 1503640761),
(269021, 199, 21344, 'CodevTT_RAF', '0', '0', 0, 1503640761),
(269022, 199, 21344, 'status', '50', '80', 0, 1503640761),
(269023, 199, 21344, 'handler_id', '169', '199', 0, 1503640761),
(269037, 246, 16516, 'CodevTT_RAF', '0', '0', 0, 1503642536),
(269038, 246, 21354, 'CodevTT_RAF', '3', '0', 0, 1503642562),
(269039, 246, 21354, 'CodevTT_RAF', '0', '0', 0, 1503642562),
(269040, 246, 21354, 'status', '50', '80', 0, 1503642562),
(269041, 199, 21453, '', '', '', 1, 1503642669),
(269042, 199, 21453, 'handler_id', '0', '246', 0, 1503642669),
(269116, 246, 21453, 'CodevTT_RAF', '', '3', 0, 1503646720),
(269117, 246, 21453, 'status', '10', '50', 0, 1503646720),
(269135, 169, 21301, 'CodevTT_RAF', '0', '0', 0, 1503647163),
(269136, 169, 21344, 'CodevTT_RAF', '0', '0', 0, 1503647180),
(269137, 154, 2, '', '27279', '', 2, 1503647185),
(269141, 169, 21344, 'CodevTT_RAF', '0', '0', 0, 1503647189),
(269142, 169, 21301, 'CodevTT_RAF', '0', '0', 0, 1503647198),
(269146, 169, 20642, 'CodevTT_RAF', '1', '3', 0, 1503647231),
(269147, 169, 20642, 'CodevTT_RAF', '3', '2', 0, 1503647246),
(269231, 2, 1435, '', '27303', '', 2, 1503657624),
(269244, 395, 1, '', '27307', '', 2, 1503662593),
(269247, 395, 1, '', '27308', '', 2, 1503662828),
(269250, 395, 1, '', '27309', '', 2, 1503662878),
(269266, 395, 1, '', '27309', '', 4, 1503663172),
(269267, 395, 1, '', '27313', '', 2, 1503663173),
(269357, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503665852),
(269358, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503665863),
(269359, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503665875),
(269360, 217, 17065, 'CodevTT_RAF', '16', '16', 0, 1503665888),
(269371, 199, 21352, 'CodevTT_RAF', '0', '0', 0, 1503667910),
(269376, 199, 20927, 'CodevTT_RAF', '4', '2', 0, 1503668081),
(269377, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1503668374),
(269626, 246, 21453, 'CodevTT_RAF', '3', '3', 0, 1503902713),
(269631, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1503902973),
(269887, 246, 17065, 'CodevTT_RAF', '16', '0', 0, 1503990832),
(269888, 246, 17065, 'CodevTT_RAF', '0', '0', 0, 1503990832),
(269889, 246, 17065, 'status', '50', '80', 0, 1503990832),
(269890, 246, 17065, 'handler_id', '205', '246', 0, 1503990832),
(269891, 246, 21354, 'CodevTT_RAF', '0', '3', 0, 1503990955),
(269892, 246, 21354, 'status', '80', '50', 0, 1503990955),
(269905, 169, 20642, 'CodevTT_RAF', '2', '1', 0, 1504008416),
(269906, 169, 20642, 'CodevTT_RAF', '1', '0', 0, 1504008463),
(269907, 169, 20642, 'CodevTT_RAF', '0', '0', 0, 1504008463),
(269908, 169, 20642, 'status', '50', '80', 0, 1504008463),
(270033, 246, 21354, '', '27453', '', 2, 1504021491),
(270034, 246, 21354, 'CodevTT_RAF', '3', '2', 0, 1504021491),
(270055, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1504023898),
(270056, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1504023907),
(270057, 2, 16588, 'CodevTT_RAF', '0', '0', 0, 1504023939),
(270058, 2, 16588, '', '27463', '', 2, 1504024080),
(270059, 2, 21458, '', '', '', 1, 1504024191),
(270060, 2, 21458, 'handler_id', '0', '2', 0, 1504024191),
(270061, 2, 21458, '', '27464', '', 2, 1504024229),
(270062, 2, 21458, 'CodevTT_RAF', '', '0.5', 0, 1504024229),
(270063, 2, 21458, 'status', '10', '50', 0, 1504024229),
(270329, 2, 21348, '', '27504', '', 2, 1504103326),
(270330, 2, 21348, 'CodevTT_RAF', '0', '0', 0, 1504103326),
(270331, 2, 2894, '', '27505', '', 2, 1504103344),
(270430, 240, 2, '', '27521', '', 2, 1504160966),
(270475, 246, 21354, 'CodevTT_RAF', '2', '2', 0, 1504163063),
(270634, 169, 20646, 'CodevTT_RAF', '', '1', 0, 1504166571),
(270635, 169, 20646, 'status', '10', '50', 0, 1504166571),
(270636, 169, 20646, 'CodevTT_RAF', '1', '0.5', 0, 1504166594),
(270637, 169, 20646, 'CodevTT_RAF', '0.5', '0', 0, 1504166620),
(270638, 169, 20646, 'CodevTT_RAF', '0', '0', 0, 1504166620),
(270639, 169, 20646, 'status', '50', '80', 0, 1504166620),
(270640, 169, 20644, 'CodevTT_RAF', '', '2', 0, 1504166693),
(270643, 169, 20644, 'CodevTT_RAF', '2', '1.5', 0, 1504166713),
(271389, 226, 2, '', '27706', '', 2, 1504193432),
(271425, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1504194951),
(271540, 246, 21354, 'CodevTT_RAF', '2', '2', 0, 1504249868),
(271705, 74, 10743, 'CodevTT_RAF', '0', '1', 0, 1504267683),
(271706, 74, 10743, 'status', '80', '50', 0, 1504267683),
(271710, 74, 19871, 'CodevTT_RAF', '', '1', 0, 1504269268),
(271711, 74, 19871, 'status', '10', '50', 0, 1504269268),
(271718, 74, 17424, 'CodevTT_RAF', '0', '0.5', 0, 1504269531),
(271719, 74, 17424, 'status', '80', '50', 0, 1504269531),
(271723, 74, 17424, 'CodevTT_RAF', '0.5', '0', 0, 1504269549),
(271724, 74, 17424, 'CodevTT_RAF', '0', '0', 0, 1504269549),
(271725, 74, 17424, 'status', '50', '80', 0, 1504269549),
(271833, 246, 21453, 'CodevTT_RAF', '3', '0', 0, 1504277309),
(271834, 246, 21453, 'CodevTT_RAF', '0', '0', 0, 1504277309),
(271835, 246, 21453, 'status', '50', '80', 0, 1504277309),
(271839, 246, 21354, '', '27783', '', 2, 1504277343),
(271840, 246, 21354, 'CodevTT_RAF', '2', '3', 0, 1504277343),
(271899, 169, 20644, 'CodevTT_RAF', '1.5', '1.5', 0, 1504282772),
(271900, 169, 20644, 'CodevTT_RAF', '1.5', '1', 0, 1504282787),
(271901, 169, 20644, 'CodevTT_RAF', '1', '0', 0, 1504282808),
(271903, 199, 21354, 'CodevTT_RAF', '3', '2', 0, 1504503699),
(271904, 199, 21354, 'CodevTT_RAF', '2', '2', 0, 1504503713),
(271905, 199, 21354, 'CodevTT_RAF', '2', '2', 0, 1504503754),
(271906, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1504504036),
(271907, 199, 21560, '', '', '', 1, 1504504315),
(271908, 199, 21561, '', '', '', 1, 1504504491),
(271909, 199, 21562, '', '', '', 1, 1504504555),
(271910, 199, 21563, '', '', '', 1, 1504504710),
(271911, 199, 21564, '', '', '', 1, 1504504755),
(271912, 199, 21564, 'CodevTT_RAF', '', '0.25', 0, 1504504805),
(271913, 199, 21564, 'status', '10', '50', 0, 1504504805),
(271914, 199, 21564, 'handler_id', '0', '199', 0, 1504504805),
(271915, 199, 21563, 'CodevTT_RAF', '', '0.25', 0, 1504504827),
(271916, 199, 21563, 'status', '10', '50', 0, 1504504827),
(271917, 199, 21563, 'handler_id', '0', '199', 0, 1504504827),
(271918, 199, 21562, 'CodevTT_RAF', '', '0.5', 0, 1504504853),
(271919, 199, 21562, 'status', '10', '50', 0, 1504504853),
(271920, 199, 21562, 'handler_id', '0', '199', 0, 1504504853),
(271922, 199, 21561, 'CodevTT_RAF', '', '2', 0, 1504505292),
(271923, 199, 21561, 'status', '10', '50', 0, 1504505292),
(271924, 199, 21561, 'handler_id', '0', '199', 0, 1504505292),
(271925, 199, 21560, 'CodevTT_RAF', '', '1', 0, 1504505317),
(271926, 199, 21560, 'status', '10', '50', 0, 1504505317),
(271927, 199, 21560, 'handler_id', '0', '199', 0, 1504505317),
(271928, 74, 17065, 'CodevTT_RAF', '0', '20', 0, 1504507766),
(271929, 74, 17065, 'status', '80', '50', 0, 1504507767),
(272104, 205, 17065, 'CodevTT_RAF', '20', '20', 0, 1504522926),
(272105, 205, 17065, 'CodevTT_RAF', '20', '20', 0, 1504522935),
(272106, 205, 17065, 'CodevTT_RAF', '20', '20', 0, 1504522955),
(272107, 205, 17065, 'CodevTT_RAF', '20', '20', 0, 1504522978),
(272551, 356, 2, '', '27920', '', 2, 1504681414),
(272642, 157, 21350, 'CodevTT_RAF', '0.25', '0.25', 0, 1504706405),
(272641, 157, 21350, 'status', '20', '50', 0, 1504706331),
(272640, 157, 21350, 'CodevTT_RAF', '0.75', '0.25', 0, 1504706331),
(272643, 157, 21350, 'CodevTT_RAF', '0.25', '0', 0, 1504706428),
(272644, 157, 21350, 'CodevTT_RAF', '0', '0', 0, 1504706428),
(272645, 157, 21350, 'status', '50', '80', 0, 1504706428),
(272646, 157, 21595, '', '', '', 1, 1504706644),
(272647, 157, 21595, 'handler_id', '0', '157', 0, 1504706644),
(272648, 157, 21595, '', '', '21350', 21, 1504706644),
(272649, 157, 21350, '', '', '21595', 20, 1504706644),
(272650, 157, 21596, '', '', '', 1, 1504706710),
(272651, 157, 21596, 'handler_id', '0', '157', 0, 1504706710),
(272652, 157, 21596, '', '', '21595', 21, 1504706711),
(272653, 157, 21595, '', '', '21596', 20, 1504706711),
(272654, 157, 21597, '', '', '', 1, 1504706775),
(272655, 157, 21597, 'handler_id', '0', '157', 0, 1504706775),
(272656, 157, 21597, '', '', '21595', 21, 1504706775),
(272657, 157, 21595, '', '', '21597', 20, 1504706775),
(272658, 157, 21598, '', '', '', 1, 1504706847),
(272659, 157, 21598, 'handler_id', '0', '157', 0, 1504706847),
(272660, 157, 21598, '', '', '21597', 21, 1504706847),
(272661, 157, 21597, '', '', '21598', 20, 1504706847),
(272662, 157, 21599, '', '', '', 1, 1504706907),
(272663, 157, 21599, 'handler_id', '0', '157', 0, 1504706907),
(272664, 157, 21599, '', '', '21595', 21, 1504706907),
(272665, 157, 21595, '', '', '21599', 20, 1504706907),
(272666, 157, 21600, '', '', '', 1, 1504706976),
(272667, 157, 21600, 'handler_id', '0', '157', 0, 1504706976),
(272668, 157, 21600, '', '', '21598', 21, 1504706976),
(272669, 157, 21598, '', '', '21600', 20, 1504706976),
(272670, 157, 21350, 'CodevTT_RAF', '0', '0', 0, 1504707036),
(272671, 157, 21595, 'CodevTT_RAF', '', '0.25', 0, 1504707108),
(272672, 157, 21595, 'status', '10', '50', 0, 1504707108),
(272673, 157, 21595, 'CodevTT_RAF', '0.25', '0', 0, 1504707129),
(272674, 157, 21595, 'CodevTT_RAF', '0', '0', 0, 1504707129),
(272675, 157, 21595, 'status', '50', '80', 0, 1504707129),
(272676, 157, 21596, 'CodevTT_RAF', '', '0.25', 0, 1504707179),
(272677, 157, 21596, 'status', '10', '50', 0, 1504707179),
(272678, 157, 21596, 'CodevTT_RAF', '0.25', '0', 0, 1504707201),
(272679, 157, 21596, 'CodevTT_RAF', '0', '0', 0, 1504707201),
(272680, 157, 21596, 'status', '50', '80', 0, 1504707201),
(272681, 157, 21599, 'CodevTT_RAF', '', '0.25', 0, 1504707226),
(272682, 157, 21599, 'status', '10', '50', 0, 1504707226),
(272683, 157, 21599, 'CodevTT_RAF', '0.25', '0', 0, 1504707243),
(272684, 157, 21599, 'CodevTT_RAF', '0', '0', 0, 1504707243),
(272685, 157, 21599, 'status', '50', '80', 0, 1504707243),
(272686, 157, 21600, 'CodevTT_RAF', '', '0', 0, 1504707282),
(272687, 157, 21600, 'CodevTT_RAF', '0', '0', 0, 1504707282),
(272688, 157, 21600, 'status', '10', '80', 0, 1504707282),
(272689, 157, 21598, 'CodevTT_RAF', '', '0', 0, 1504707315);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(272690, 157, 21598, 'CodevTT_RAF', '0', '0', 0, 1504707315),
(272691, 157, 21598, 'status', '10', '80', 0, 1504707315),
(272695, 157, 21597, 'CodevTT_RAF', '', '1', 0, 1504707347),
(272696, 157, 21597, 'status', '10', '50', 0, 1504707347),
(272697, 157, 21597, 'CodevTT_RAF', '1', '0.5', 0, 1504707364),
(272921, 72, 21602, 'Ref. Externe', '', '44961', 0, 1504768265),
(272922, 72, 21602, 'CodevTT_ChargeInit', '', '0.5', 0, 1504768265),
(272923, 72, 21602, 'target_version', '', '18.0_PUMA', 0, 1504768265),
(272924, 72, 21602, 'handler_id', '0', '199', 0, 1504768265),
(272925, 72, 21602, 'codevtt_type', '', 'Bug', 0, 1504768265),
(272926, 72, 21603, 'Ref. Externe', '', '44974', 0, 1504768266),
(272927, 72, 21603, 'CodevTT_ChargeInit', '', '0.5', 0, 1504768266),
(272928, 72, 21603, 'target_version', '', '18.0_PUMA', 0, 1504768266),
(272929, 72, 21603, 'handler_id', '0', '199', 0, 1504768266),
(272930, 72, 21603, 'codevtt_type', '', 'Bug', 0, 1504768266),
(273040, 72, 21604, '', '', '', 1, 1504771221),
(273041, 72, 21604, 'handler_id', '0', '205', 0, 1504771221),
(273093, 72, 20485, 'CodevTT_ChargeMgr', '', '5.5', 0, 1504775086),
(273094, 72, 20485, 'CodevTT_ChargeInit', '0.5', '2', 0, 1504775086),
(273097, 72, 20486, 'CodevTT_ChargeMgr', '', '3', 0, 1504775120),
(273098, 72, 20486, 'CodevTT_ChargeInit', '0.5', '2', 0, 1504775120),
(273099, 72, 20485, 'CodevTT_RAF', '0.9', '0', 0, 1504775158),
(273100, 72, 20485, 'status', '50', '80', 0, 1504775158),
(273101, 72, 20485, 'CodevTT_RAF', '0', '0', 0, 1504775158),
(273102, 72, 16070, '', '4095', '', 6, 1504775222),
(273103, 72, 16070, 'CodevTT_ChargeMgr', '16', '18', 0, 1504775222),
(273104, 72, 16070, 'CodevTT_ChargeInit', '12', '13', 0, 1504775222),
(273192, 72, 20931, 'CodevTT_RAF', '', '0', 0, 1504783722),
(273193, 72, 20931, 'status', '10', '80', 0, 1504783722),
(273194, 72, 20931, 'CodevTT_RAF', '0', '0', 0, 1504783722),
(273195, 72, 20931, 'CodevTT_ChargeMgr', '', '0', 0, 1504783737),
(273196, 72, 20931, 'CodevTT_ChargeInit', '0.5', '0', 0, 1504783737),
(273197, 72, 21560, 'summary', '4[PUMA - TAIGA] - V18.0 - SPOC suite intégration PAF - erreur de données sur la caisse 054 - SPOC31 absent4973 :', '44973 [PUMA - TAIGA] - V18.0 - SPOC suite intégration PAF - erreur de données sur la caisse 054 - SPOC31 absent4973 :', 0, 1504783830),
(273200, 72, 16803, 'handler_id', '169', '199', 0, 1504784089),
(273201, 72, 16803, 'status', '50', '20', 0, 1504784096),
(273206, 72, 20431, 'handler_id', '169', '199', 0, 1504784142),
(273207, 72, 20433, 'handler_id', '169', '199', 0, 1504784201),
(273208, 72, 20433, 'status', '10', '20', 0, 1504784201),
(273212, 72, 14039, 'handler_id', '169', '157', 0, 1504784261),
(273215, 72, 19872, 'handler_id', '158', '74', 0, 1504784298),
(273216, 72, 19872, 'CodevTT_Dead Line', '', '', 0, 1504784298),
(273253, 199, 2, '', '28085', '', 2, 1504785957),
(273262, 72, 17251, 'status', '80', '50', 0, 1504786242),
(273268, 72, 17251, 'CodevTT_RAF', '0', '1', 0, 1504786308),
(273269, 72, 17251, 'CodevTT_RAF', '1', '1', 0, 1504786329),
(273450, 205, 17065, 'CodevTT_RAF', '20', '30', 0, 1504800803),
(273451, 205, 17065, 'CodevTT_RAF', '30', '30', 0, 1504800818),
(273452, 205, 17065, 'CodevTT_RAF', '30', '30', 0, 1504800837),
(273481, 74, 17424, 'CodevTT_RAF', '0', '5', 0, 1504853755),
(273482, 74, 17424, 'status', '80', '50', 0, 1504853755),
(273483, 74, 17424, 'CodevTT_RAF', '5', '5', 0, 1504853770),
(273484, 74, 17424, 'CodevTT_RAF', '5', '5', 0, 1504853787),
(273485, 74, 17424, 'CodevTT_RAF', '5', '5', 0, 1504853797),
(273486, 74, 17424, 'CodevTT_RAF', '5', '5', 0, 1504853815),
(273487, 164, 17251, 'CodevTT_RAF', '1', '0', 0, 1504854519),
(273488, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1504854519),
(273489, 164, 17251, 'status', '50', '80', 0, 1504854519),
(273580, 72, 21613, '', '', '', 1, 1504862492),
(273581, 72, 21613, 'handler_id', '0', '168', 0, 1504862492),
(273582, 72, 21613, '', '', '17429', 21, 1504862492),
(273583, 72, 17429, '', '', '21613', 20, 1504862492),
(273591, 168, 21613, 'CodevTT_RAF', '', '8', 0, 1504863351),
(273592, 168, 21613, 'status', '10', '50', 0, 1504863351),
(273593, 168, 21613, 'CodevTT_RAF', '8', '8', 0, 1504863371),
(273594, 168, 21613, 'CodevTT_RAF', '8', '7', 0, 1504863389),
(273595, 168, 21613, 'CodevTT_RAF', '7', '6', 0, 1504863406),
(273596, 168, 21613, 'CodevTT_RAF', '6', '5', 0, 1504863420),
(273597, 168, 21613, 'CodevTT_RAF', '5', '5', 0, 1504863453),
(273598, 168, 21613, '', '28144', '', 2, 1504863480),
(273614, 168, 10743, 'CodevTT_RAF', '1', '1', 0, 1504863777),
(273619, 168, 10743, 'CodevTT_RAF', '1', '1', 0, 1504864222),
(273622, 168, 10743, '', '28147', '', 2, 1504864252),
(273631, 168, 10745, '', '28148', '', 2, 1504864551),
(273632, 168, 10745, 'CodevTT_RAF', '0', '0', 0, 1504864551),
(273692, 238, 1, '', '28155', '', 2, 1504870035),
(273693, 238, 1, '', '28156', '', 2, 1504870041),
(273694, 238, 1, '', '28157', '', 2, 1504870044),
(273695, 238, 1, '', '28158', '', 2, 1504870047),
(273696, 238, 1, '', '28159', '', 2, 1504870051),
(273697, 238, 1, '', '28160', '', 2, 1504870055),
(273854, 164, 17251, '', '28195', '', 2, 1504882217),
(273940, 217, 17065, 'CodevTT_RAF', '30', '20', 0, 1505109882),
(273941, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505109902),
(273942, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505109956),
(273943, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505109973),
(273944, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110020),
(273945, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110036),
(273946, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110062),
(273947, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110073),
(273948, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110082),
(273949, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110096),
(273950, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110105),
(273951, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110112),
(273952, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110119),
(273953, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110128),
(273954, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110147),
(273955, 217, 17065, 'CodevTT_RAF', '20', '20', 0, 1505110171),
(273956, 339, 1, '', '28206', '', 2, 1505113015),
(273982, 339, 1, '', '28206', '', 4, 1505114009),
(273983, 339, 1, '', '28213', '', 2, 1505114009),
(274007, 191, 1041, '', '28220', '', 2, 1505116393),
(274008, 335, 1041, '', '28220', '', 4, 1505116397),
(274104, 157, 21618, '', '', '', 1, 1505135651),
(274105, 157, 21618, 'handler_id', '0', '157', 0, 1505135651),
(274106, 157, 21618, '', '', '21599', 21, 1505135651),
(274107, 157, 21599, '', '', '21618', 20, 1505135651),
(274108, 157, 21619, '', '', '', 1, 1505135766),
(274109, 157, 21619, 'handler_id', '0', '157', 0, 1505135766),
(274110, 157, 21619, '', '', '21599', 21, 1505135766),
(274111, 157, 21599, '', '', '21619', 20, 1505135766),
(274112, 157, 21620, '', '', '', 1, 1505135841),
(274113, 157, 21620, 'handler_id', '0', '157', 0, 1505135841),
(274114, 157, 21620, '', '', '21619', 21, 1505135841),
(274115, 157, 21619, '', '', '21620', 20, 1505135841),
(274116, 157, 21618, 'CodevTT_RAF', '', '10', 0, 1505135888),
(274117, 157, 21618, 'status', '10', '50', 0, 1505135888),
(274118, 157, 21619, 'CodevTT_RAF', '', '0.75', 0, 1505135927),
(274119, 157, 21619, 'status', '10', '50', 0, 1505135927),
(274120, 157, 21620, 'CodevTT_RAF', '', '1.75', 0, 1505135973),
(274121, 157, 21620, 'status', '10', '50', 0, 1505135973),
(274122, 199, 14014, 'CodevTT_RAF', '0', '0', 0, 1505136027),
(274123, 199, 14014, 'CodevTT_RAF', '0', '0', 0, 1505136044),
(274136, 298, 1, '', '28156', '', 4, 1505136337),
(274137, 298, 1, '', '28157', '', 4, 1505136341),
(274138, 298, 1, '', '28158', '', 4, 1505136345),
(274139, 298, 1, '', '28159', '', 4, 1505136351),
(274140, 298, 1, '', '28160', '', 4, 1505136357),
(274143, 298, 1, '', '28155', '', 4, 1505136389),
(274179, 2, 21622, '', '', '', 1, 1505143073),
(274180, 2, 21622, 'handler_id', '0', '164', 0, 1505143073),
(274181, 164, 21622, 'CodevTT_RAF', '', '0', 0, 1505143129),
(274182, 164, 21622, 'CodevTT_RAF', '0', '0', 0, 1505143129),
(274183, 164, 21622, 'status', '10', '80', 0, 1505143129),
(274195, 2, 2894, '', '28253', '', 2, 1505146300),
(274196, 2, 21623, '', '', '', 1, 1505147017),
(274197, 2, 21623, 'CodevTT_RAF', '', '0', 0, 1505147057),
(274198, 2, 21623, 'CodevTT_RAF', '0', '0', 0, 1505147057),
(274199, 2, 21623, 'status', '10', '80', 0, 1505147057),
(274200, 2, 21623, 'handler_id', '0', '2', 0, 1505147057),
(274201, 199, 21562, 'CodevTT_RAF', '0.5', '0', 0, 1505195235),
(274202, 199, 21562, 'CodevTT_RAF', '0', '0', 0, 1505195236),
(274203, 199, 21562, 'status', '50', '80', 0, 1505195236),
(274204, 199, 21562, 'CodevTT_RAF', '0', '0', 0, 1505195245),
(274300, 72, 4278, 'handler_id', '169', '217', 0, 1505206682),
(274301, 72, 4278, 'status', '80', '50', 0, 1505206682),
(274302, 72, 4278, 'CodevTT_Dead Line', '', '', 0, 1505206682),
(274305, 2, 21623, 'CodevTT_RAF', '0', '0', 0, 1505210423),
(274306, 72, 21624, '', '', '', 1, 1505216969),
(274307, 72, 21624, 'handler_id', '0', '199', 0, 1505216969),
(274308, 72, 21624, '', '', '21604', 21, 1505216969),
(274309, 72, 21604, '', '', '21624', 20, 1505216969),
(274313, 72, 21625, 'Ref. Externe', '', '45004', 0, 1505217730),
(274314, 72, 21625, 'CodevTT_ChargeInit', '', '0.5', 0, 1505217730),
(274315, 72, 21625, 'handler_id', '0', '199', 0, 1505217730),
(274316, 72, 21625, 'codevtt_type', '', 'Task', 0, 1505217730),
(274317, 72, 21626, 'Ref. Externe', '', '45004', 0, 1505217730),
(274318, 72, 21626, 'CodevTT_ChargeInit', '', '0.5', 0, 1505217730),
(274319, 72, 21626, 'handler_id', '0', '199', 0, 1505217730),
(274320, 72, 21626, 'codevtt_type', '', 'Task', 0, 1505217730),
(274321, 72, 21627, 'Ref. Externe', '', '45005', 0, 1505217730),
(274322, 72, 21627, 'CodevTT_ChargeInit', '', '0.5', 0, 1505217730),
(274323, 72, 21627, 'handler_id', '0', '199', 0, 1505217730),
(274324, 72, 21627, 'codevtt_type', '', 'Task', 0, 1505217730),
(274325, 72, 21628, 'Ref. Externe', '', '45005', 0, 1505217730),
(274326, 72, 21628, 'CodevTT_ChargeInit', '', '0.5', 0, 1505217730),
(274327, 72, 21628, 'handler_id', '0', '199', 0, 1505217730),
(274328, 72, 21628, 'codevtt_type', '', 'Task', 0, 1505217730),
(274329, 72, 21629, 'Ref. Externe', '', '45006', 0, 1505218069),
(274330, 72, 21629, 'CodevTT_ChargeInit', '', '0.5', 0, 1505218069),
(274331, 72, 21629, 'handler_id', '0', '199', 0, 1505218069),
(274332, 72, 21629, 'codevtt_type', '', 'Bug', 0, 1505218069),
(274333, 72, 21352, 'CodevTT_ChargeMgr', '', '4.5', 0, 1505218819),
(274358, 72, 21630, '', '', '', 1, 1505223034),
(274359, 72, 21630, 'handler_id', '0', '74', 0, 1505223034),
(274360, 72, 21630, '', '', '21629', 21, 1505223034),
(274361, 72, 21629, '', '', '21630', 20, 1505223034),
(274367, 72, 21618, 'CodevTT_ChargeMgr', '', '11', 0, 1505223767),
(274368, 72, 21618, 'CodevTT_ChargeInit', '1', '10', 0, 1505223767),
(274401, 157, 21618, 'CodevTT_RAF', '10', '9', 0, 1505226150),
(274402, 157, 21618, 'CodevTT_RAF', '9', '7', 0, 1505226171),
(274403, 74, 21613, 'CodevTT_RAF', '5', '5', 0, 1505226419),
(274407, 74, 21613, 'CodevTT_RAF', '5', '5', 0, 1505227144),
(274408, 164, 21622, 'CodevTT_RAF', '0', '0', 0, 1505228181),
(274409, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1505228246),
(274410, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1505228256),
(274416, 2, 19428, '', '28298', '', 2, 1505228425),
(274456, 331, 2, '', '28312', '', 2, 1505229191),
(274561, 199, 21602, 'CodevTT_RAF', '', '0', 0, 1505285818),
(274562, 199, 21602, 'status', '10', '80', 0, 1505285818),
(274563, 199, 21602, 'CodevTT_RAF', '0', '0', 0, 1505285818),
(274564, 199, 21602, 'CodevTT_Dead Line', '', '', 0, 1505285818),
(274565, 199, 21560, 'CodevTT_RAF', '1', '0', 0, 1505285890),
(274566, 199, 21560, 'status', '50', '80', 0, 1505285890),
(274567, 199, 21560, 'CodevTT_RAF', '0', '0', 0, 1505285890),
(274572, 199, 21624, 'CodevTT_RAF', '', '0', 0, 1505286492),
(274573, 199, 21624, 'CodevTT_RAF', '0', '0', 0, 1505286492),
(274574, 199, 21624, 'status', '10', '80', 0, 1505286492),
(274592, 72, 21634, 'Ref. Externe', '', '45032', 0, 1505287810),
(274593, 72, 21634, 'CodevTT_ChargeInit', '', '0.5', 0, 1505287810),
(274594, 72, 21634, 'handler_id', '0', '157', 0, 1505287810),
(274595, 72, 21634, 'codevtt_type', '', 'Task', 0, 1505287810),
(274596, 72, 21635, 'Ref. Externe', '', '45032', 0, 1505287810),
(274597, 72, 21635, 'CodevTT_ChargeInit', '', '0.5', 0, 1505287810),
(274598, 72, 21635, 'handler_id', '0', '157', 0, 1505287810),
(274599, 72, 21635, 'codevtt_type', '', 'Task', 0, 1505287810),
(274777, 199, 21561, 'CodevTT_RAF', '2', '2', 0, 1505306474),
(274778, 199, 17633, 'CodevTT_RAF', '0', '0', 0, 1505306501),
(274779, 199, 21624, 'CodevTT_RAF', '0', '0', 0, 1505306537),
(274780, 199, 21562, 'CodevTT_RAF', '0', '0', 0, 1505306827),
(274781, 199, 14014, 'CodevTT_RAF', '0', '0', 0, 1505306846),
(274788, 72, 2894, '', '28365', '', 2, 1505308525),
(274793, 72, 17634, 'CodevTT_ChargeMgr', '', '7', 0, 1505310559),
(274797, 72, 17633, 'CodevTT_ChargeMgr', '', '4', 0, 1505310580),
(274798, 72, 16526, '', '4100', '', 6, 1505310906),
(274799, 72, 16526, 'CodevTT_ChargeMgr', '5', '8', 0, 1505310906),
(274800, 2, 21623, 'CodevTT_RAF', '0', '0', 0, 1505311914),
(274801, 2, 19428, '', '28368', '', 2, 1505311967),
(274807, 72, 17739, 'CodevTT_ChargeMgr', '', '2', 0, 1505313382),
(274808, 72, 17740, 'CodevTT_ChargeMgr', '0', '5', 0, 1505313507),
(274809, 72, 16526, 'CodevTT_ChargeMgr', '8', '13', 0, 1505313577),
(274810, 72, 16526, '', '4101', '', 6, 1505313662),
(274811, 72, 16526, 'CodevTT_ChargeMgr', '13', '16', 0, 1505313662),
(274812, 72, 17741, 'CodevTT_ChargeMgr', '', '2', 0, 1505313699),
(274813, 72, 17742, 'CodevTT_ChargeMgr', '0', '4', 0, 1505313749),
(274814, 72, 19081, 'handler_id', '147', '0', 0, 1505314172),
(274815, 72, 19081, 'CodevTT_RAF', '2', '0', 0, 1505314172),
(274816, 72, 19081, 'status', '50', '80', 0, 1505314172),
(274817, 72, 19081, 'CodevTT_RAF', '0', '0', 0, 1505314172),
(274818, 72, 21458, 'CodevTT_ChargeMgr', '0', '3', 0, 1505314841),
(274819, 72, 21458, 'CodevTT_RAF', '0.5', '0', 0, 1505314971),
(274820, 72, 21458, 'status', '50', '80', 0, 1505314971),
(274821, 72, 21458, 'CodevTT_RAF', '0', '0', 0, 1505314971),
(274847, 113, 18575, '', '28373', '', 2, 1505367496),
(274848, 113, 18575, '', '28374', '', 2, 1505367501),
(274853, 113, 18575, '', '28374', '', 4, 1505367673),
(274862, 381, 2, '', '28377', '', 2, 1505370666),
(274945, 72, 20926, 'CodevTT_RAF', '', '0', 0, 1505373746),
(274946, 72, 20926, 'status', '10', '80', 0, 1505373746),
(274947, 72, 20926, 'CodevTT_RAF', '0', '0', 0, 1505373746),
(274949, 72, 20927, 'CodevTT_RAF', '2', '0', 0, 1505373810),
(274950, 72, 20927, 'status', '40', '80', 0, 1505373810),
(274951, 72, 20927, 'CodevTT_RAF', '0', '0', 0, 1505373810),
(274955, 72, 21564, 'CodevTT_RAF', '0.25', '0', 0, 1505373950),
(274956, 72, 21564, 'status', '50', '80', 0, 1505373950),
(274957, 72, 21564, 'CodevTT_RAF', '0', '0', 0, 1505373950),
(274961, 72, 21604, 'CodevTT_RAF', '', '0', 0, 1505374031),
(274962, 72, 21604, 'status', '10', '80', 0, 1505374031),
(274963, 72, 21604, 'CodevTT_RAF', '0', '0', 0, 1505374031),
(274964, 72, 21604, 'CodevTT_Dead Line', '', '', 0, 1505374031),
(274969, 72, 21563, 'CodevTT_RAF', '0.25', '0', 0, 1505374080),
(274970, 72, 21563, 'status', '50', '80', 0, 1505374080),
(274971, 72, 21563, 'CodevTT_RAF', '0', '0', 0, 1505374080),
(274978, 72, 21658, '', '', '', 1, 1505374261),
(274979, 72, 21658, 'handler_id', '0', '74', 0, 1505374261),
(274980, 72, 21658, '', '', '16070', 21, 1505374261),
(274981, 72, 16070, '', '', '21658', 20, 1505374261),
(274982, 72, 21603, 'CodevTT_RAF', '', '0', 0, 1505374365),
(274983, 72, 21603, 'status', '10', '80', 0, 1505374365),
(274984, 72, 21603, 'CodevTT_RAF', '0', '0', 0, 1505374365),
(274985, 72, 21603, 'CodevTT_Dead Line', '', '', 0, 1505374365),
(275039, 72, 20433, 'target_version', '', '18.2.0 DSI INT', 0, 1505375122),
(275106, 72, 21659, 'Ref. Externe', '', '44408', 0, 1505375661),
(275107, 72, 21659, 'CodevTT_ChargeInit', '', '0.5', 0, 1505375661),
(275108, 72, 21659, 'target_version', '', '18.2.0 DSI INT', 0, 1505375661),
(275109, 72, 21659, 'handler_id', '0', '168', 0, 1505375661),
(275110, 72, 21659, 'codevtt_type', '', 'Task', 0, 1505375661),
(275111, 72, 21660, 'Ref. Externe', '', '44408', 0, 1505375661),
(275112, 72, 21660, 'CodevTT_ChargeInit', '', '0.5', 0, 1505375661),
(275113, 72, 21660, 'target_version', '', '18.2.0 DSI INT', 0, 1505375661),
(275114, 72, 21660, 'handler_id', '0', '168', 0, 1505375661),
(275115, 72, 21660, 'codevtt_type', '', 'Task', 0, 1505375661),
(275172, 217, 17065, 'CodevTT_RAF', '20', '10', 0, 1505376927),
(275173, 217, 17065, 'CodevTT_RAF', '10', '10', 0, 1505376946),
(275174, 217, 4278, 'CodevTT_RAF', '0', '6', 0, 1505377077),
(275175, 217, 4278, 'CodevTT_RAF', '6', '6', 0, 1505377078),
(275176, 217, 4278, 'CodevTT_RAF', '6', '6', 0, 1505377095),
(275177, 217, 17065, 'CodevTT_RAF', '10', '10', 0, 1505377113),
(275178, 217, 4278, '', '28475', '', 2, 1505377143),
(275206, 72, 20432, 'target_version', '', '18.2.0 DSI INT', 0, 1505377780),
(275207, 72, 16849, 'target_version', '', '18.2.0 DSI INT', 0, 1505377780),
(275208, 72, 21613, 'CodevTT_Dead Line', '', '1506636000', 0, 1505378014),
(275209, 72, 21630, 'CodevTT_Dead Line', '', '1507845600', 0, 1505378112),
(275210, 72, 17065, 'handler_id', '246', '205', 0, 1505378168),
(275211, 72, 21354, 'handler_id', '246', '199', 0, 1505378217),
(275212, 72, 21354, 'status', '50', '20', 0, 1505378217),
(275219, 72, 21629, 'target_version', '', '18.1.0 DSI EM', 0, 1505378358),
(275220, 72, 21352, 'target_version', '', '18.1.0 DSI EM', 0, 1505378358),
(275221, 72, 21625, 'target_version', '', '18.1.0 DSI EM', 0, 1505378358),
(275222, 72, 21627, 'target_version', '', '18.1.0 DSI EM', 0, 1505378358),
(275223, 72, 21626, 'target_version', '', '18.1.0 DSI EM', 0, 1505378358),
(275224, 72, 21628, 'target_version', '', '18.1.0 DSI EM', 0, 1505378358),
(275226, 72, 16075, 'target_version', '', '18.1.0 DSI EM', 0, 1505378358),
(275227, 72, 21620, 'status', '50', '20', 0, 1505378449),
(275228, 72, 20683, 'CodevTT_RAF', '0.5', '0', 0, 1505378511),
(275229, 72, 20683, 'status', '20', '80', 0, 1505378511),
(275230, 72, 20683, 'CodevTT_RAF', '0', '0', 0, 1505378511),
(275231, 72, 21597, 'CodevTT_RAF', '0.5', '0', 0, 1505378556),
(275232, 72, 21597, 'status', '50', '80', 0, 1505378556),
(275233, 72, 21597, 'CodevTT_RAF', '0', '0', 0, 1505378556),
(275234, 72, 21619, 'status', '50', '20', 0, 1505378609),
(275245, 72, 20641, 'CodevTT_Dead Line', '', '1508191200', 0, 1505378929),
(275246, 72, 20430, 'CodevTT_Dead Line', '1505426400', '1508277600', 0, 1505378993),
(275247, 72, 21661, '', '', '', 1, 1505379100),
(275248, 72, 21661, 'handler_id', '0', '74', 0, 1505379100),
(275249, 72, 21661, '', '', '21658', 21, 1505379100),
(275250, 72, 21658, '', '', '21661', 20, 1505379100),
(275251, 72, 21661, 'CodevTT_Dead Line', '1509404400', '', 0, 1505379183),
(275263, 72, 16849, 'CodevTT_Dead Line', '', '1510614000', 0, 1505379238),
(275264, 72, 21618, 'CodevTT_Dead Line', '', '1506376800', 0, 1505379396),
(275265, 157, 21634, 'CodevTT_RAF', '', '0', 0, 1505379437),
(275266, 157, 21634, 'CodevTT_RAF', '0', '0', 0, 1505379437),
(275267, 157, 21634, 'status', '10', '80', 0, 1505379437),
(275274, 2, 17453, 'CodevTT_RAF', '10', '0', 0, 1505379548),
(275275, 2, 17453, 'status', '30', '80', 0, 1505379548),
(275276, 2, 17453, 'CodevTT_RAF', '0', '0', 0, 1505379548),
(275277, 2, 17454, 'CodevTT_RAF', '', '0', 0, 1505379561),
(275278, 2, 17454, 'status', '10', '80', 0, 1505379561),
(275279, 2, 17454, 'CodevTT_RAF', '0', '0', 0, 1505379561),
(275280, 72, 21634, 'target_version', '', '17.5.50 MCO', 0, 1505379737),
(275281, 72, 21635, 'target_version', '', '17.5.50 MCO', 0, 1505379737),
(275282, 2, 18662, 'CodevTT_RAF', '1', '0', 0, 1505379825),
(275283, 2, 18662, 'status', '50', '80', 0, 1505379825),
(275284, 2, 18662, 'CodevTT_RAF', '0', '0', 0, 1505379825),
(275285, 2, 19599, 'CodevTT_RAF', '2', '0', 0, 1505379844),
(275286, 2, 19599, 'status', '50', '80', 0, 1505379844),
(275287, 2, 19599, 'CodevTT_RAF', '0', '0', 0, 1505379845),
(275288, 2, 20461, 'CodevTT_RAF', '3', '0', 0, 1505379916),
(275289, 2, 20461, 'status', '50', '80', 0, 1505379916),
(275290, 2, 20461, 'CodevTT_RAF', '0', '0', 0, 1505379916),
(275291, 2, 18116, 'CodevTT_RAF', '0.5', '0', 0, 1505379954),
(275292, 2, 18116, 'status', '50', '80', 0, 1505379954),
(275293, 2, 18116, 'CodevTT_RAF', '0', '0', 0, 1505379954),
(275297, 2, 20442, 'CodevTT_RAF', '', '0', 0, 1505380281),
(275298, 2, 20442, 'status', '10', '80', 0, 1505380281),
(275299, 2, 20442, 'CodevTT_RAF', '0', '0', 0, 1505380281),
(275300, 2, 20443, 'CodevTT_RAF', '', '0', 0, 1505380303),
(275301, 2, 20443, 'status', '10', '80', 0, 1505380303),
(275302, 2, 20443, 'CodevTT_RAF', '0', '0', 0, 1505380303),
(275303, 2, 20444, 'CodevTT_RAF', '', '0', 0, 1505380318),
(275304, 2, 20444, 'status', '10', '80', 0, 1505380318),
(275305, 2, 20444, 'CodevTT_RAF', '0', '0', 0, 1505380318),
(275825, 2, 21623, '', '28604', '', 2, 1505399387),
(275898, 168, 21613, 'CodevTT_RAF', '5', '5', 0, 1505406859),
(275899, 168, 21613, 'CodevTT_RAF', '5', '5', 0, 1505406861),
(275900, 168, 21613, 'CodevTT_RAF', '5', '5', 0, 1505406881),
(275901, 168, 21613, 'CodevTT_RAF', '5', '5', 0, 1505406898),
(275903, 157, 21635, 'CodevTT_RAF', '', '2', 0, 1505455494),
(275904, 157, 21635, 'status', '10', '50', 0, 1505455494),
(275905, 74, 21613, 'CodevTT_RAF', '5', '5', 0, 1505455737),
(275906, 74, 21613, 'CodevTT_RAF', '5', '5', 0, 1505455754),
(275907, 74, 21613, 'CodevTT_RAF', '5', '5', 0, 1505455766),
(275908, 205, 17065, 'CodevTT_RAF', '10', '10', 0, 1505457440),
(275909, 205, 21561, 'CodevTT_RAF', '2', '2', 0, 1505457507),
(275910, 205, 21561, '', '28618', '', 2, 1505457526),
(275911, 205, 21561, 'CodevTT_RAF', '2', '2', 0, 1505457619),
(275912, 205, 17065, 'CodevTT_RAF', '10', '10', 0, 1505457644),
(275913, 205, 17065, 'CodevTT_RAF', '10', '10', 0, 1505457713),
(275914, 205, 17065, 'CodevTT_RAF', '10', '10', 0, 1505457723),
(275915, 205, 4278, 'CodevTT_RAF', '6', '6', 0, 1505457739),
(275916, 298, 2, '', '26948', '', 4, 1505458266),
(275982, 72, 21635, 'CodevTT_ChargeMgr', '', '4', 0, 1505461356),
(275983, 72, 21635, 'CodevTT_ChargeInit', '0.5', '4', 0, 1505461356),
(275984, 72, 21634, 'CodevTT_ChargeMgr', '', '14', 0, 1505461388),
(275985, 72, 21634, 'CodevTT_ChargeInit', '0.5', '3', 0, 1505461388),
(275986, 2, 21623, 'project_id', '41', '81', 0, 1505462867),
(275987, 2, 21623, 'category', 'Integration', 'General', 0, 1505462867),
(276012, 2, 21623, 'CodevTT_ChargeInit', '2', '8', 0, 1505464381),
(276136, 2, 1400, '', '28688', '', 2, 1505473670),
(276145, 2, 21707, '', '', '', 1, 1505475155),
(276146, 2, 21707, 'handler_id', '0', '2', 0, 1505475155),
(276147, 2, 21707, 'status', '90', '20', 0, 1505475206),
(276148, 2, 21707, 'resolution', '10', '30', 0, 1505475206),
(276153, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1505475427),
(276154, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1505476948),
(276159, 2, 21707, 'summary', 'DMZ - mise en place des VPN', '[INTEG] DMZ - mise en place des VPN', 0, 1505478207),
(276406, 199, 21627, 'CodevTT_RAF', '', '0.25', 0, 1505484683),
(276407, 199, 21627, 'status', '10', '50', 0, 1505484683),
(276408, 199, 21628, 'CodevTT_RAF', '', '0.3', 0, 1505484720),
(276409, 199, 21628, 'status', '10', '50', 0, 1505484721),
(276414, 199, 21625, 'CodevTT_RAF', '', '0.5', 0, 1505484753),
(276415, 199, 21625, 'status', '10', '50', 0, 1505484753),
(276422, 199, 21627, 'CodevTT_RAF', '0.25', '0.25', 0, 1505484871),
(276423, 199, 21625, 'CodevTT_RAF', '0.5', '0.25', 0, 1505484883),
(276561, 2, 2894, '', '28738', '', 2, 1505488531),
(276562, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1505488581),
(276840, 2, 21348, '', '28760', '', 2, 1505724686),
(276841, 2, 21348, 'CodevTT_RAF', '0', '0', 0, 1505724686),
(276847, 2, 21348, '', '27504', '', 4, 1505724734),
(276848, 2, 21348, '', '28762', '', 2, 1505724734),
(276971, 199, 21719, '', '', '', 1, 1505727007),
(276972, 199, 21719, 'handler_id', '0', '199', 0, 1505727007),
(276974, 199, 21719, 'CodevTT_RAF', '', '0', 0, 1505727028),
(276975, 199, 21719, 'CodevTT_RAF', '0', '0', 0, 1505727028),
(276976, 199, 21719, 'status', '10', '80', 0, 1505727028),
(276985, 199, 21720, '', '', '', 1, 1505727106),
(276986, 199, 21720, 'handler_id', '0', '199', 0, 1505727106),
(276988, 199, 21719, 'CodevTT_RAF', '0', '0', 0, 1505727113),
(276989, 199, 21720, 'CodevTT_RAF', '', '0', 0, 1505727143),
(276990, 199, 21720, 'CodevTT_RAF', '0', '0', 0, 1505727143),
(276991, 199, 21720, 'status', '10', '80', 0, 1505727143),
(277002, 199, 21720, 'CodevTT_RAF', '0', '0', 0, 1505727189),
(277004, 199, 21719, 'CodevTT_RAF', '0', '0', 0, 1505727201),
(277005, 199, 21719, 'CodevTT_RAF', '0', '0', 0, 1505727222),
(277040, 2, 20800, '', '28772', '', 2, 1505728805),
(277480, 164, 21622, 'CodevTT_RAF', '0', '0', 0, 1505744296),
(277481, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1505744316),
(277483, 2, 19428, '', '28817', '', 2, 1505745061),
(277552, 72, 21756, 'Ref. Externe', '', '45038', 0, 1505804589),
(277553, 72, 21756, 'CodevTT_ChargeInit', '', '1', 0, 1505804589),
(277554, 72, 21756, 'target_version', '', '18.2.0 DSI INT', 0, 1505804589),
(277555, 72, 21756, 'codevtt_type', '', 'Task', 0, 1505804589),
(277556, 72, 21757, 'Ref. Externe', '', '45038', 0, 1505804589),
(277557, 72, 21757, 'CodevTT_ChargeInit', '', '1', 0, 1505804589),
(277558, 72, 21757, 'target_version', '', '18.2.0 DSI INT', 0, 1505804589),
(277559, 72, 21757, 'codevtt_type', '', 'Task', 0, 1505804589),
(277560, 72, 21758, 'Ref. Externe', '', '45037', 0, 1505804720),
(277561, 72, 21758, 'CodevTT_ChargeInit', '', '0.5', 0, 1505804720),
(277562, 72, 21758, 'target_version', '', '18.2.0 DSI INT', 0, 1505804720),
(277563, 72, 21758, 'handler_id', '0', '74', 0, 1505804720),
(277564, 72, 21758, 'codevtt_type', '', 'Task', 0, 1505804720),
(277565, 72, 21759, 'Ref. Externe', '', '45037', 0, 1505804720),
(277566, 72, 21759, 'CodevTT_ChargeInit', '', '0.5', 0, 1505804720),
(277567, 72, 21759, 'target_version', '', '18.2.0 DSI INT', 0, 1505804720),
(277568, 72, 21759, 'handler_id', '0', '74', 0, 1505804720),
(277569, 72, 21759, 'codevtt_type', '', 'Task', 0, 1505804720),
(277570, 72, 21760, 'Ref. Externe', '', '45046', 0, 1505805214),
(277571, 72, 21760, 'CodevTT_ChargeInit', '', '0.5', 0, 1505805214),
(277572, 72, 21760, 'target_version', '', '17.5.50 MCO', 0, 1505805214),
(277573, 72, 21760, 'handler_id', '0', '199', 0, 1505805214),
(277574, 72, 21760, 'codevtt_type', '', 'Task', 0, 1505805214),
(277575, 72, 21761, 'Ref. Externe', '', '45046', 0, 1505805215),
(277576, 72, 21761, 'CodevTT_ChargeInit', '', '0.5', 0, 1505805215),
(277577, 72, 21761, 'target_version', '', '17.5.50 MCO', 0, 1505805215),
(277578, 72, 21761, 'handler_id', '0', '199', 0, 1505805215),
(277579, 72, 21761, 'codevtt_type', '', 'Task', 0, 1505805215),
(277580, 72, 16849, 'handler_id', '74', '168', 0, 1505805574),
(277581, 72, 17765, 'handler_id', '74', '0', 0, 1505805634),
(277582, 72, 17764, 'handler_id', '72', '0', 0, 1505805693),
(277583, 72, 17764, 'CodevTT_Dead Line', '', '', 0, 1505805693),
(277590, 372, 2, '', '28828', '', 2, 1505806094),
(278001, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1505893601),
(278002, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1505893627),
(278003, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1505893639),
(278004, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1505893650),
(278225, 157, 21618, 'CodevTT_RAF', '7', '6', 0, 1505913988),
(278226, 157, 21618, 'CodevTT_RAF', '6', '5', 0, 1505914006),
(278231, 157, 21635, 'CodevTT_RAF', '2', '14', 0, 1505914037),
(278271, 72, 21796, 'Ref. Externe', '', '45044', 0, 1505915579),
(278272, 72, 21796, 'CodevTT_ChargeInit', '', '0.5', 0, 1505915579),
(278273, 72, 21796, 'codevtt_type', '', 'Bug', 0, 1505915580),
(278274, 72, 21797, 'Ref. Externe', '', '45055', 0, 1505915581),
(278275, 72, 21797, 'CodevTT_ChargeInit', '', '0.5', 0, 1505915581),
(278276, 72, 21797, 'codevtt_type', '', 'Bug', 0, 1505915581),
(278277, 72, 21798, 'Ref. Externe', '', '45056', 0, 1505915581),
(278278, 72, 21798, 'CodevTT_ChargeInit', '', '0.5', 0, 1505915581),
(278279, 72, 21798, 'codevtt_type', '', 'Bug', 0, 1505915581),
(278280, 72, 21799, 'Ref. Externe', '', '44612', 0, 1505915723),
(278281, 72, 21799, 'CodevTT_ChargeInit', '', '0.5', 0, 1505915723),
(278282, 72, 21799, 'target_version', '', '18.2.0 DSI INT', 0, 1505915723),
(278283, 72, 21799, 'handler_id', '0', '199', 0, 1505915724),
(278284, 72, 21799, 'codevtt_type', '', 'Task', 0, 1505915724),
(278285, 72, 21800, 'Ref. Externe', '', '44612', 0, 1505915725),
(278286, 72, 21800, 'CodevTT_ChargeInit', '', '0.5', 0, 1505915725),
(278287, 72, 21800, 'target_version', '', '18.2.0 DSI INT', 0, 1505915725),
(278288, 72, 21800, 'handler_id', '0', '199', 0, 1505915725),
(278289, 72, 21800, 'codevtt_type', '', 'Task', 0, 1505915725),
(278290, 72, 21801, 'Ref. Externe', '', '44949', 0, 1505915725),
(278291, 72, 21801, 'CodevTT_ChargeInit', '', '0.5', 0, 1505915725),
(278292, 72, 21801, 'handler_id', '0', '217', 0, 1505915725),
(278293, 72, 21801, 'codevtt_type', '', 'Task', 0, 1505915725),
(278294, 72, 21802, 'Ref. Externe', '', '44949', 0, 1505915726),
(278295, 72, 21802, 'CodevTT_ChargeInit', '', '0.5', 0, 1505915726),
(278296, 72, 21802, 'handler_id', '0', '168', 0, 1505915726),
(278297, 72, 21802, 'codevtt_type', '', 'Task', 0, 1505915726),
(278357, 72, 21797, 'handler_id', '0', '157', 0, 1505918482),
(278358, 72, 21798, 'handler_id', '0', '157', 0, 1505918538),
(278378, 72, 21802, 'handler_id', '168', '0', 0, 1505919002),
(278379, 72, 21802, 'status', '10', '20', 0, 1505919002),
(278380, 72, 21801, 'handler_id', '217', '0', 0, 1505919021),
(278381, 72, 21801, 'status', '10', '20', 0, 1505919021),
(278404, 2, 21348, 'CodevTT_RAF', '0', '0', 0, 1505921538),
(278405, 2, 21623, '', '28933', '', 2, 1505921558),
(278612, 392, 2, '', '28997', '', 2, 1505981956),
(278730, 335, 1, '', '29038', '', 2, 1505994649),
(278910, 2, 2894, '', '29090', '', 2, 1506008084),
(278911, 2, 2894, '', '29090', '', 4, 1506008103),
(278912, 2, 2894, '', '29091', '', 2, 1506008103),
(278913, 2, 21348, '', '29092', '', 2, 1506008139),
(278914, 2, 21348, 'CodevTT_RAF', '0', '0', 0, 1506008140),
(278915, 2, 21348, '', '29092', '', 4, 1506008188),
(278916, 2, 21348, '', '29093', '', 2, 1506008188),
(278947, 2, 19428, '', '29094', '', 2, 1506009266),
(278986, 157, 21635, 'CodevTT_RAF', '14', '13', 0, 1506060927),
(278987, 157, 21635, 'CodevTT_RAF', '13', '12', 0, 1506060944),
(278988, 157, 21618, 'CodevTT_RAF', '5', '4', 0, 1506060977),
(279129, 72, 21830, 'Ref. Externe', '', '45060', 0, 1506071612),
(279130, 72, 21830, 'CodevTT_ChargeInit', '', '0.5', 0, 1506071612),
(279131, 72, 21830, 'handler_id', '0', '199', 0, 1506071612),
(279132, 72, 21830, 'codevtt_type', '', 'Bug', 0, 1506071612),
(279133, 72, 21831, 'Ref. Externe', '', '45067', 0, 1506071612),
(279134, 72, 21831, 'CodevTT_ChargeInit', '', '0.5', 0, 1506071612),
(279135, 72, 21831, 'handler_id', '0', '199', 0, 1506071612),
(279136, 72, 21831, 'codevtt_type', '', 'Bug', 0, 1506071612),
(279173, 72, 21832, 'Ref. Externe', '', '45058', 0, 1506072876),
(279174, 72, 21832, 'CodevTT_ChargeInit', '', '0.5', 0, 1506072876),
(279175, 72, 21832, 'handler_id', '0', '199', 0, 1506072876),
(279176, 72, 21832, 'codevtt_type', '', 'Bug', 0, 1506072876),
(279177, 72, 21833, 'Ref. Externe', '', '45065', 0, 1506072876),
(279178, 72, 21833, 'CodevTT_ChargeInit', '', '0.5', 0, 1506072876),
(279179, 72, 21833, 'handler_id', '0', '199', 0, 1506072876),
(279180, 72, 21833, 'codevtt_type', '', 'Bug', 0, 1506072876),
(279183, 72, 21834, 'Ref. Externe', '', '45068', 0, 1506072944),
(279184, 72, 21834, 'CodevTT_ChargeInit', '', '0.5', 0, 1506072944),
(279185, 72, 21834, 'handler_id', '0', '157', 0, 1506072944),
(279186, 72, 21834, 'codevtt_type', '', 'Task', 0, 1506072944),
(279187, 164, 18735, 'CodevTT_RAF', '0', '0', 0, 1506073052),
(279194, 339, 1, '', '28213', '', 4, 1506073385),
(279195, 339, 1, '', '29158', '', 2, 1506073385),
(279207, 72, 21835, 'Ref. Externe', '', '45063', 0, 1506073983),
(279208, 72, 21835, 'CodevTT_ChargeInit', '', '0.5', 0, 1506073983),
(279209, 72, 21835, 'target_version', '', '18.0_PUMA', 0, 1506073983),
(279210, 72, 21835, 'handler_id', '0', '199', 0, 1506073983),
(279211, 72, 21835, 'codevtt_type', '', 'Task', 0, 1506073983),
(279212, 72, 21836, 'Ref. Externe', '', '45063', 0, 1506073983),
(279213, 72, 21836, 'CodevTT_ChargeInit', '', '0.5', 0, 1506073983),
(279214, 72, 21836, 'target_version', '', '18.0_PUMA', 0, 1506073983),
(279215, 72, 21836, 'handler_id', '0', '199', 0, 1506073983),
(279216, 72, 21836, 'codevtt_type', '', 'Task', 0, 1506073983),
(279234, 199, 21833, 'CodevTT_RAF', '', '0', 0, 1506075049),
(279235, 199, 21833, 'CodevTT_RAF', '0', '0', 0, 1506075049),
(279236, 199, 21833, 'status', '10', '80', 0, 1506075049),
(279243, 199, 21830, 'CodevTT_RAF', '', '0', 0, 1506075997),
(279244, 199, 21830, 'CodevTT_RAF', '0', '0', 0, 1506075997),
(279245, 199, 21830, 'status', '10', '80', 0, 1506075997),
(279249, 199, 21831, 'CodevTT_RAF', '', '0', 0, 1506076584),
(279250, 199, 21831, 'CodevTT_RAF', '0', '0', 0, 1506076584),
(279251, 199, 21831, 'status', '10', '80', 0, 1506076584),
(279359, 72, 21834, 'summary', '45068 [SPEC] Etude d\'impact présence valeur RSI dans TAIGA, SAGA, ANV/CTX', '45068 [ETUDE] Etude d\'impact présence valeur RSI dans TAIGA, SAGA, ANV/CTX', 0, 1506086951),
(279360, 72, 21834, 'CodevTT_ChargeInit', '0.5', '3', 0, 1506086951),
(279361, 72, 21834, 'CodevTT_Dead Line', '', '1509055200', 0, 1506086951),
(279364, 72, 21837, '', '', '', 1, 1506087492),
(279365, 72, 21837, '', '', '21836', 21, 1506087492),
(279366, 72, 21836, '', '', '21837', 20, 1506087492),
(279443, 72, 21840, 'Ref. Externe', '', '45073', 0, 1506091188),
(279444, 72, 21840, 'CodevTT_ChargeInit', '', '0.5', 0, 1506091188),
(279445, 72, 21840, 'handler_id', '0', '157', 0, 1506091188),
(279446, 72, 21840, 'codevtt_type', '', 'Bug', 0, 1506091188),
(279447, 72, 21841, 'Ref. Externe', '', '45074', 0, 1506091189),
(279448, 72, 21841, 'CodevTT_ChargeInit', '', '0.5', 0, 1506091189),
(279449, 72, 21841, 'handler_id', '0', '157', 0, 1506091189),
(279450, 72, 21841, 'codevtt_type', '', 'Bug', 0, 1506091189),
(279490, 72, 21843, '', '', '', 1, 1506093160),
(279491, 72, 21843, 'handler_id', '0', '199', 0, 1506093160),
(279492, 72, 21843, '', '', '21625', 21, 1506093160),
(279493, 72, 21625, '', '', '21843', 20, 1506093160),
(279494, 72, 21843, 'summary', '44078 [SPEC] DSI 2016 - EM - Gestion des envois de DSI papier', '44078 [ DEV] DSI 2016 - EM - Gestion des envois de DSI papier', 0, 1506093233),
(279495, 72, 21844, '', '', '', 1, 1506093463),
(279496, 72, 21844, 'handler_id', '0', '199', 0, 1506093463),
(279497, 72, 21844, '', '', '21843', 21, 1506093463),
(279498, 72, 21843, '', '', '21844', 20, 1506093463),
(279508, 199, 21837, 'CodevTT_RAF', '', '0', 0, 1506319624),
(279509, 199, 21837, 'CodevTT_RAF', '0', '0', 0, 1506319624),
(279510, 199, 21837, 'status', '10', '80', 0, 1506319624),
(279511, 199, 21837, 'handler_id', '0', '199', 0, 1506319624),
(279512, 199, 21626, 'CodevTT_RAF', '', '0', 0, 1506319689),
(279513, 199, 21626, 'CodevTT_RAF', '0', '0', 0, 1506319689),
(279514, 199, 21626, 'status', '10', '80', 0, 1506319689),
(279515, 199, 21625, 'CodevTT_RAF', '0.25', '0', 0, 1506319717),
(279516, 199, 21625, 'CodevTT_RAF', '0', '0', 0, 1506319717),
(279517, 199, 21625, 'status', '50', '80', 0, 1506319717),
(279518, 199, 21628, 'CodevTT_RAF', '0.3', '0', 0, 1506319738),
(279519, 199, 21628, 'CodevTT_RAF', '0', '0', 0, 1506319738),
(279520, 199, 21628, 'status', '50', '80', 0, 1506319738),
(279521, 199, 21627, 'CodevTT_RAF', '0.25', '0', 0, 1506319754),
(279522, 199, 21627, 'CodevTT_RAF', '0', '0', 0, 1506319754),
(279523, 199, 21627, 'status', '50', '80', 0, 1506319754),
(279524, 199, 21832, 'CodevTT_RAF', '', '0', 0, 1506320151),
(279525, 199, 21832, 'CodevTT_RAF', '0', '0', 0, 1506320151),
(279526, 199, 21832, 'status', '10', '80', 0, 1506320151),
(279594, 335, 1, '', '29038', '', 4, 1506327616),
(279599, 199, 21625, 'CodevTT_RAF', '0', '0', 0, 1506328731),
(280047, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1506414575),
(280048, 164, 19331, 'CodevTT_RAF', '0', '0', 0, 1506414630),
(280055, 72, 21891, 'Ref. Externe', '', '45071', 0, 1506416151),
(280056, 72, 21891, 'CodevTT_ChargeInit', '', '0.5', 0, 1506416151),
(280057, 72, 21891, 'handler_id', '0', '157', 0, 1506416151),
(280058, 72, 21891, 'codevtt_type', '', 'Bug', 0, 1506416151),
(280059, 72, 21892, 'Ref. Externe', '', '45075', 0, 1506416151),
(280060, 72, 21892, 'CodevTT_ChargeInit', '', '0.5', 0, 1506416151),
(280061, 72, 21892, 'handler_id', '0', '205', 0, 1506416151),
(280062, 72, 21892, 'codevtt_type', '', 'Bug', 0, 1506416151),
(280063, 72, 21893, 'Ref. Externe', '', '45080', 0, 1506416245),
(280064, 72, 21893, 'CodevTT_ChargeInit', '', '0.5', 0, 1506416245),
(280065, 72, 21893, 'handler_id', '0', '157', 0, 1506416245),
(280066, 72, 21893, 'codevtt_type', '', 'Bug', 0, 1506416245),
(280072, 72, 21894, 'Ref. Externe', '', '45079', 0, 1506416583),
(280073, 72, 21894, 'CodevTT_ChargeInit', '', '0.5', 0, 1506416583),
(280074, 72, 21894, 'handler_id', '0', '157', 0, 1506416583),
(280075, 72, 21894, 'codevtt_type', '', 'Task', 0, 1506416583),
(280077, 72, 20486, 'CodevTT_RAF', '1', '0.5', 0, 1506416919),
(280078, 72, 20486, '', '29330', '', 2, 1506417053),
(280079, 72, 19872, 'handler_id', '74', '168', 0, 1506417521),
(280080, 72, 19872, 'CodevTT_Dead Line', '', '', 0, 1506417521),
(280081, 72, 21895, '', '', '', 1, 1506417950),
(280082, 72, 21895, 'handler_id', '0', '168', 0, 1506417950),
(280083, 72, 21895, '', '', '18512', 21, 1506417950),
(280084, 72, 18512, '', '', '21895', 20, 1506417950),
(280085, 72, 17765, 'handler_id', '0', '74', 0, 1506418160),
(280086, 72, 17765, 'status', '20', '50', 0, 1506418161),
(280087, 2, 21623, '', '29331', '', 2, 1506418195),
(280088, 2, 21623, '', '29332', '', 2, 1506418217),
(280089, 2, 2894, '', '29333', '', 2, 1506418411),
(280090, 2, 21348, '', '29334', '', 2, 1506418525),
(280091, 2, 21348, 'CodevTT_RAF', '0', '0', 0, 1506418525),
(280166, 72, 10743, 'CodevTT_RAF', '1', '0', 0, 1506428897),
(280167, 72, 10743, 'status', '50', '80', 0, 1506428897),
(280168, 72, 10743, 'CodevTT_RAF', '0', '0', 0, 1506428897),
(280169, 72, 17424, 'CodevTT_RAF', '5', '0', 0, 1506428917),
(280170, 72, 17424, 'status', '50', '80', 0, 1506428917),
(280171, 72, 17424, 'CodevTT_RAF', '0', '0', 0, 1506428917),
(280172, 72, 17425, 'CodevTT_RAF', '1', '0', 0, 1506428939),
(280173, 72, 17425, 'status', '50', '80', 0, 1506428939),
(280174, 72, 17425, 'CodevTT_RAF', '0', '0', 0, 1506428939),
(280175, 72, 21613, 'CodevTT_RAF', '5', '0', 0, 1506428961),
(280176, 72, 21613, 'status', '50', '80', 0, 1506428961),
(280177, 72, 21613, 'CodevTT_RAF', '0', '0', 0, 1506428961),
(280178, 72, 16849, 'CodevTT_ChargeInit', '0', '1', 0, 1506429025),
(280179, 72, 21659, 'CodevTT_ChargeMgr', '', '0', 0, 1506429058),
(280180, 72, 21659, 'CodevTT_ChargeInit', '0.5', '3', 0, 1506429058),
(280181, 72, 21659, 'handler_id', '168', '74', 0, 1506429110),
(280182, 72, 21659, 'CodevTT_Dead Line', '', '', 0, 1506429110),
(280183, 72, 21659, 'CodevTT_ChargeInit', '3', '1', 0, 1506429118),
(280184, 72, 21660, 'CodevTT_ChargeMgr', '', '0', 0, 1506429145),
(280185, 72, 21660, 'CodevTT_ChargeInit', '0.5', '3', 0, 1506429145),
(280192, 168, 21613, 'CodevTT_RAF', '0', '0', 0, 1506430045),
(280193, 168, 21613, 'CodevTT_RAF', '0', '0', 0, 1506430058),
(280194, 168, 21613, 'CodevTT_RAF', '0', '0', 0, 1506430067),
(280195, 168, 21613, 'CodevTT_RAF', '0', '0', 0, 1506430079),
(280196, 168, 21613, 'CodevTT_RAF', '0', '0', 0, 1506430096),
(280198, 168, 19872, 'CodevTT_RAF', '', '1', 0, 1506430167),
(280199, 168, 19872, 'status', '10', '50', 0, 1506430167),
(280200, 168, 21613, '', '29351', '', 2, 1506430180),
(280201, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1506430210),
(280203, 168, 21895, 'CodevTT_RAF', '', '1', 0, 1506430468),
(280204, 168, 21895, 'status', '10', '50', 0, 1506430468),
(280272, 157, 21841, 'CodevTT_RAF', '', '0', 0, 1506499010),
(280273, 157, 21841, 'CodevTT_RAF', '0', '0', 0, 1506499010),
(280274, 157, 21841, 'status', '10', '80', 0, 1506499010),
(280277, 157, 21893, 'CodevTT_RAF', '', '0', 0, 1506499675),
(280278, 157, 21893, 'CodevTT_RAF', '0', '0', 0, 1506499676),
(280279, 157, 21893, 'status', '10', '80', 0, 1506499676),
(280280, 157, 21834, 'CodevTT_RAF', '', '0.25', 0, 1506499760),
(280281, 157, 21834, 'status', '10', '50', 0, 1506499760),
(280282, 157, 21797, 'CodevTT_RAF', '', '0', 0, 1506499791),
(280283, 157, 21797, 'CodevTT_RAF', '0', '0', 0, 1506499791),
(280284, 157, 21797, 'status', '10', '80', 0, 1506499791),
(280285, 157, 21798, 'CodevTT_RAF', '', '0.5', 0, 1506499819),
(280286, 157, 21798, 'status', '10', '50', 0, 1506499819),
(280287, 157, 21798, 'CodevTT_RAF', '0.5', '0.5', 0, 1506499842),
(280288, 157, 21797, 'CodevTT_RAF', '0', '0.5', 0, 1506499864),
(280289, 157, 21797, 'status', '80', '50', 0, 1506499878),
(280290, 157, 21798, 'CodevTT_RAF', '0.5', '0', 0, 1506499918),
(280291, 157, 21798, 'CodevTT_RAF', '0', '0', 0, 1506499918),
(280292, 157, 21798, 'status', '50', '80', 0, 1506499918),
(280293, 157, 21797, 'CodevTT_RAF', '0.5', '0', 0, 1506499960),
(280294, 157, 21797, 'CodevTT_RAF', '0', '0', 0, 1506499960),
(280295, 157, 21797, 'status', '50', '80', 0, 1506499960),
(280296, 74, 17065, 'CodevTT_RAF', '10', '2', 0, 1506501158),
(280297, 74, 17065, 'CodevTT_RAF', '2', '1', 0, 1506501174),
(280298, 74, 17764, 'CodevTT_RAF', '1', '1', 0, 1506501198),
(280299, 74, 17764, 'handler_id', '0', '74', 0, 1506501198),
(280334, 199, 21561, 'CodevTT_RAF', '2', '4', 0, 1506517094),
(280335, 199, 21561, 'CodevTT_RAF', '4', '3', 0, 1506517120),
(280336, 199, 21844, 'CodevTT_RAF', '', '0', 0, 1506517156),
(280337, 199, 21844, 'CodevTT_RAF', '0', '0', 0, 1506517156),
(280338, 199, 21844, 'status', '10', '80', 0, 1506517156),
(280339, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1506517272),
(280340, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1506517304),
(280341, 199, 13774, 'CodevTT_RAF', '5', '5', 0, 1506517330),
(280358, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1506520731),
(280474, 199, 21561, 'status', '50', '20', 0, 1506578058),
(280578, 199, 21760, 'CodevTT_RAF', '', '0', 0, 1506582612),
(280579, 199, 21760, 'CodevTT_RAF', '0', '0', 0, 1506582612),
(280580, 199, 21760, 'status', '10', '80', 0, 1506582612),
(280906, 205, 21561, 'CodevTT_RAF', '3', '1', 0, 1506592371),
(280907, 205, 21561, 'CodevTT_RAF', '1', '3', 0, 1506592432),
(280908, 205, 20430, 'CodevTT_RAF', '', '0', 0, 1506592456),
(280909, 205, 20430, 'CodevTT_RAF', '0', '0', 0, 1506592456),
(280910, 205, 20430, 'status', '10', '80', 0, 1506592456),
(280911, 205, 20641, 'CodevTT_RAF', '', '0', 0, 1506592470),
(280912, 205, 20641, 'CodevTT_RAF', '0', '0', 0, 1506592470),
(280913, 205, 20641, 'status', '10', '80', 0, 1506592470),
(280914, 205, 21835, 'CodevTT_RAF', '', '0', 0, 1506592488),
(280915, 205, 21835, 'CodevTT_RAF', '0', '0', 0, 1506592488),
(280916, 205, 21835, 'status', '10', '80', 0, 1506592488),
(280917, 205, 21561, 'CodevTT_RAF', '3', '3', 0, 1506592505),
(280918, 205, 17065, 'CodevTT_RAF', '1', '0', 0, 1506592583),
(280919, 205, 17065, 'CodevTT_RAF', '0', '0', 0, 1506592583),
(280920, 205, 17065, 'status', '50', '80', 0, 1506592583),
(280994, 205, 17065, 'CodevTT_RAF', '0', '0', 0, 1506601100),
(280995, 205, 17065, 'CodevTT_RAF', '0', '0', 0, 1506601259),
(280996, 205, 17065, 'CodevTT_RAF', '0', '0', 0, 1506601273),
(280997, 205, 17065, 'CodevTT_RAF', '0', '0', 0, 1506601281),
(280998, 205, 21892, 'CodevTT_RAF', '', '0.5', 0, 1506601315),
(281150, 157, 21840, 'CodevTT_RAF', '', '0', 0, 1506608413),
(281151, 157, 21840, 'CodevTT_RAF', '0', '0', 0, 1506608413),
(281152, 157, 21840, 'status', '10', '80', 0, 1506608413),
(281154, 157, 21618, 'CodevTT_RAF', '4', '3', 0, 1506608475),
(281243, 74, 17765, 'CodevTT_RAF', '13.5', '4', 0, 1506667937),
(281244, 74, 17765, 'CodevTT_RAF', '4', '4', 0, 1506667949),
(281263, 199, 21761, 'CodevTT_RAF', '', '0', 0, 1506669137),
(281264, 199, 21761, 'CodevTT_RAF', '0', '0', 0, 1506669137),
(281265, 199, 21761, 'status', '10', '80', 0, 1506669137),
(281354, 72, 20486, '', '29629', '', 2, 1506676461),
(281355, 72, 20486, 'CodevTT_RAF', '0.5', '0', 0, 1506676461),
(281356, 72, 20486, 'CodevTT_RAF', '0', '0', 0, 1506676461),
(281357, 72, 20486, 'status', '50', '80', 0, 1506676461),
(281432, 72, 21917, '', '', '', 1, 1506685801),
(281433, 72, 21917, 'handler_id', '0', '157', 0, 1506685801),
(281440, 157, 21917, 'CodevTT_RAF', '', '5', 0, 1506687936),
(281441, 157, 21917, 'status', '10', '50', 0, 1506687936),
(281442, 157, 21618, '', '29646', '', 2, 1506687954),
(281445, 72, 17064, 'CodevTT_RAF', '1', '0', 0, 1506689458),
(281446, 72, 17064, 'status', '50', '80', 0, 1506689458),
(281447, 72, 17064, 'CodevTT_RAF', '0', '0', 0, 1506689458),
(281661, 2, 17251, '', '29693', '', 2, 1506757989),
(281662, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1506757990),
(281663, 2, 21623, '', '29694', '', 2, 1506758044),
(281664, 2, 2894, '', '29695', '', 2, 1506758199),
(281665, 2, 20800, '', '29696', '', 2, 1506758217),
(281666, 2, 20800, '', '29697', '', 2, 1506758228),
(281916, 72, 16075, 'handler_id', '0', '199', 0, 1506935926),
(281917, 72, 16075, 'CodevTT_Dead Line', '', '', 0, 1506935926),
(293605, 199, 21837, 'CodevTT_RAF', '0', '0.5', 0, 1509357191),
(282163, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1506955396),
(282217, 164, 1, '', '29737', '', 2, 1506958400),
(282400, 199, 21760, 'CodevTT_RAF', '0', '0', 0, 1506961203),
(282401, 199, 13774, 'CodevTT_RAF', '5', '3', 0, 1506961234),
(282402, 199, 21833, 'CodevTT_RAF', '0', '0', 0, 1507010761),
(282403, 199, 21836, 'CodevTT_RAF', '', '0', 0, 1507010817),
(282404, 199, 21836, 'CodevTT_RAF', '0', '0', 0, 1507010817),
(282405, 199, 21836, 'status', '10', '80', 0, 1507010817),
(282406, 199, 21832, 'CodevTT_RAF', '0', '0', 0, 1507011007),
(282407, 199, 21836, 'CodevTT_RAF', '0', '0', 0, 1507011034),
(282408, 199, 21836, 'CodevTT_RAF', '0', '0', 0, 1507011049),
(282409, 199, 21561, 'CodevTT_RAF', '3', '2', 0, 1507011229),
(282410, 199, 21561, 'CodevTT_RAF', '2', '2', 0, 1507011261),
(282446, 157, 21894, 'CodevTT_RAF', '', '4.5', 0, 1507014918),
(282447, 157, 21894, 'status', '10', '50', 0, 1507014918),
(282454, 157, 21891, 'CodevTT_RAF', '', '0', 0, 1507014956),
(282455, 157, 21891, 'CodevTT_RAF', '0', '0', 0, 1507014956),
(282456, 157, 21891, 'status', '10', '80', 0, 1507014956),
(282457, 157, 21635, 'CodevTT_RAF', '12', '11.5', 0, 1507015028),
(282458, 157, 21635, 'CodevTT_RAF', '11.5', '11.5', 0, 1507015280),
(282611, 74, 17765, 'CodevTT_RAF', '4', '3', 0, 1507031028),
(282622, 72, 22022, '', '', '', 1, 1507033117),
(282623, 72, 22022, 'handler_id', '0', '157', 0, 1507033117),
(282624, 72, 22022, '', '', '19705', 21, 1507033117),
(282625, 72, 19705, '', '', '22022', 20, 1507033117),
(282701, 72, 21834, 'CodevTT_ChargeMgr', '', '5', 0, 1507033657),
(282702, 72, 21834, 'CodevTT_RAF', '0.25', '0', 0, 1507033666),
(282703, 72, 21834, 'status', '50', '80', 0, 1507033666),
(282704, 72, 21834, 'CodevTT_RAF', '0', '0', 0, 1507033666),
(282705, 72, 21618, 'CodevTT_RAF', '3', '0', 0, 1507033792),
(282706, 72, 21618, 'status', '50', '80', 0, 1507033792),
(282707, 72, 21618, 'CodevTT_RAF', '0', '0', 0, 1507033792),
(282822, 191, 1, '', '29775', '', 2, 1507038620),
(282824, 191, 1, '', '29776', '', 2, 1507038625),
(282850, 72, 22047, 'Ref. Externe', '', '45108', 0, 1507040431),
(282851, 72, 22047, 'CodevTT_ChargeInit', '', '0.5', 0, 1507040431),
(282852, 72, 22047, 'target_version', '', '18.0_PUMA', 0, 1507040431),
(282853, 72, 22047, 'handler_id', '0', '199', 0, 1507040431),
(282854, 72, 22047, 'codevtt_type', '', 'Task', 0, 1507040431),
(282855, 72, 22048, 'Ref. Externe', '', '45108', 0, 1507040431),
(282856, 72, 22048, 'CodevTT_ChargeInit', '', '0.5', 0, 1507040431),
(282857, 72, 22048, 'target_version', '', '18.0_PUMA', 0, 1507040431),
(282858, 72, 22048, 'handler_id', '0', '199', 0, 1507040431),
(282859, 72, 22048, 'codevtt_type', '', 'Task', 0, 1507040431),
(282867, 72, 22049, 'Ref. Externe', '', '45105', 0, 1507040528),
(282868, 72, 22049, 'CodevTT_ChargeInit', '', '0.5', 0, 1507040528),
(282869, 72, 22049, 'handler_id', '0', '168', 0, 1507040528),
(282870, 72, 22049, 'codevtt_type', '', 'Bug', 0, 1507040528),
(282871, 72, 22050, 'Ref. Externe', '', '45106', 0, 1507040529),
(282872, 72, 22050, 'CodevTT_ChargeInit', '', '0.5', 0, 1507040529),
(282873, 72, 22050, 'handler_id', '0', '168', 0, 1507040529),
(282874, 72, 22050, 'codevtt_type', '', 'Bug', 0, 1507040529),
(282875, 72, 22051, 'Ref. Externe', '', '45107', 0, 1507040529),
(282876, 72, 22051, 'CodevTT_ChargeInit', '', '0.5', 0, 1507040529),
(282877, 72, 22051, 'handler_id', '0', '199', 0, 1507040529),
(282878, 72, 22051, 'codevtt_type', '', 'Bug', 0, 1507040529),
(283482, 2, 21623, '', '29816', '', 2, 1507121530),
(283491, 398, 2, '', '29819', '', 2, 1507122860),
(283665, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1507129125),
(283670, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1507129165),
(283671, 164, 19331, 'CodevTT_RAF', '0', '0', 0, 1507129323),
(283998, 2, 21623, '', '29924', '', 2, 1507196203),
(284002, 2, 21623, '', '29924', '', 4, 1507196218),
(284003, 2, 21623, '', '29926', '', 2, 1507196218),
(284012, 2, 21623, '', '29927', '', 2, 1507196298),
(284726, 44, 2, '', '30014', '', 2, 1507221161),
(284727, 44, 2, '', '30015', '', 2, 1507221215),
(284767, 72, 22214, '', '', '', 1, 1507268013),
(284768, 72, 22214, 'handler_id', '0', '199', 0, 1507268013),
(284769, 72, 22214, '', '', '21892', 21, 1507268013),
(284770, 72, 21892, '', '', '22214', 20, 1507268013),
(284771, 72, 21892, 'status', '10', '50', 0, 1507268336),
(284790, 72, 22049, 'target_version', '', '18.0.R2_PUMA', 0, 1507268604),
(284791, 72, 22050, 'target_version', '', '18.0.R2_PUMA', 0, 1507268667),
(284792, 72, 22050, 'RSI_Type_Ano', '', 'Recette', 0, 1507268667),
(284800, 74, 21659, 'CodevTT_RAF', '', '1', 0, 1507273331),
(284801, 74, 21659, 'status', '10', '50', 0, 1507273331),
(284802, 74, 21758, 'CodevTT_RAF', '', '0.5', 0, 1507273382),
(284803, 74, 21758, 'status', '10', '50', 0, 1507273382),
(284986, 157, 22022, 'CodevTT_RAF', '', '0.5', 0, 1507277590),
(284987, 157, 22022, 'status', '10', '50', 0, 1507277590),
(284998, 199, 17741, 'handler_id', '169', '0', 0, 1507279444),
(284999, 199, 17741, 'status', '80', '50', 0, 1507279444),
(285000, 199, 17741, 'CodevTT_Dead Line', '', '', 0, 1507279444),
(285001, 199, 17741, 'CodevTT_RAF', '0', '0', 0, 1507279475),
(285002, 199, 17741, 'CodevTT_RAF', '0', '0', 0, 1507279475),
(285003, 199, 17741, 'status', '50', '80', 0, 1507279475),
(285004, 199, 17741, 'handler_id', '0', '199', 0, 1507279475),
(285022, 72, 22229, '', '', '', 1, 1507280803),
(285023, 72, 22229, 'handler_id', '0', '199', 0, 1507280803),
(285024, 72, 22229, '', '', '22214', 21, 1507280803),
(285025, 72, 22214, '', '', '22229', 20, 1507280803),
(285026, 72, 21629, 'CodevTT_ChargeMgr', '', '0', 0, 1507280942),
(285027, 72, 21629, 'CodevTT_ChargeInit', '0.5', '5', 0, 1507280942),
(285039, 2, 2894, '', '30065', '', 2, 1507281231),
(285040, 2, 2894, '', '30066', '', 2, 1507281238),
(285041, 2, 21623, '', '29927', '', 4, 1507281255),
(285042, 2, 21623, '', '30067', '', 2, 1507281255);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(285043, 2, 21623, '', '30067', '', 4, 1507281277),
(285044, 2, 21623, '', '30068', '', 2, 1507281277),
(285084, 72, 21660, 'handler_id', '168', '74', 0, 1507288759),
(285085, 72, 21660, 'CodevTT_Dead Line', '', '', 0, 1507288759),
(285090, 72, 20430, 'CodevTT_ChargeMgr', '', '1', 0, 1507289131),
(285091, 72, 20430, 'handler_id', '217', '205', 0, 1507289154),
(285094, 72, 20431, 'CodevTT_ChargeMgr', '', '2', 0, 1507289181),
(285100, 72, 22232, '', '', '', 1, 1507289351),
(285101, 72, 22232, 'handler_id', '0', '217', 0, 1507289351),
(285102, 72, 22232, '', '', '16526', 21, 1507289351),
(285103, 72, 16526, '', '', '22232', 20, 1507289351),
(285104, 72, 20641, 'CodevTT_ChargeMgr', '', '1', 0, 1507289752),
(285105, 72, 20641, 'handler_id', '217', '205', 0, 1507289759),
(285106, 72, 20642, 'CodevTT_ChargeMgr', '', '3', 0, 1507289794),
(285107, 72, 22232, '', '4173', '', 6, 1507289833),
(285108, 72, 22232, 'CodevTT_ChargeMgr', '1', '2.6', 0, 1507289833),
(285214, 205, 20641, 'CodevTT_RAF', '0', '0', 0, 1507296534),
(285259, 199, 16075, 'CodevTT_RAF', '', '0.1', 0, 1507298241),
(285260, 199, 16075, 'status', '10', '50', 0, 1507298241),
(285261, 205, 21561, 'CodevTT_RAF', '2', '2', 0, 1507298267),
(285262, 199, 21797, 'CodevTT_RAF', '0', '0', 0, 1507298280),
(285263, 199, 21798, 'CodevTT_RAF', '0', '0', 0, 1507298293),
(285264, 199, 21841, 'CodevTT_RAF', '0', '0', 0, 1507298308),
(285265, 199, 21837, 'CodevTT_RAF', '0', '0', 0, 1507298331),
(285270, 199, 21836, 'CodevTT_RAF', '0', '0', 0, 1507298509),
(285275, 199, 21624, 'CodevTT_RAF', '0', '0', 0, 1507298550),
(285290, 199, 21832, 'CodevTT_RAF', '0', '0', 0, 1507298587),
(285293, 199, 21832, 'CodevTT_RAF', '0', '0', 0, 1507298596),
(285302, 199, 22240, '', '', '', 1, 1507298692),
(285303, 199, 22240, 'handler_id', '0', '199', 0, 1507298692),
(285304, 199, 21832, 'CodevTT_RAF', '0', '0', 0, 1507298699),
(285305, 199, 22240, 'CodevTT_RAF', '', '0.5', 0, 1507298725),
(285306, 199, 22240, 'status', '10', '50', 0, 1507298725),
(285307, 199, 21840, 'CodevTT_RAF', '0', '0', 0, 1507298801),
(285308, 199, 21831, 'CodevTT_RAF', '0', '0', 0, 1507298825),
(285311, 205, 21835, 'CodevTT_RAF', '0', '0', 0, 1507298945),
(285682, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507538573),
(285683, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507538583),
(285685, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507538681),
(285687, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507538780),
(285688, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507538975),
(285693, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507539077),
(285697, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507539099),
(285701, 217, 4857, '', '30257', '', 2, 1507539125),
(285702, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507539144),
(285703, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507539163),
(285706, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507539252),
(285707, 217, 17065, '', '30259', '', 2, 1507539319),
(285708, 217, 17065, '', '30260', '', 2, 1507539341),
(285709, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507539366),
(285710, 217, 17065, 'CodevTT_RAF', '0', '0', 0, 1507539378),
(285719, 217, 11112, '', '30263', '', 2, 1507540536),
(285720, 217, 11112, 'CodevTT_RAF', '0', '0', 0, 1507540536),
(285721, 217, 11112, '', '30263', '', 4, 1507540558),
(285722, 217, 11112, '', '30264', '', 2, 1507540558),
(285723, 217, 14534, '', '30265', '', 2, 1507540575),
(285742, 72, 22247, '', '', '', 1, 1507541940),
(285743, 72, 22247, 'handler_id', '0', '157', 0, 1507541940),
(285744, 72, 22247, '', '', '20713', 21, 1507541940),
(285745, 72, 20713, '', '', '22247', 20, 1507541940),
(285749, 72, 22248, '', '', '', 1, 1507542018),
(285750, 72, 22248, 'handler_id', '0', '157', 0, 1507542018),
(285751, 72, 22248, '', '', '22247', 21, 1507542018),
(285752, 72, 22247, '', '', '22248', 20, 1507542018),
(285776, 157, 22247, 'CodevTT_RAF', '', '0', 0, 1507551173),
(285777, 157, 22247, 'CodevTT_RAF', '0', '0', 0, 1507551173),
(285778, 157, 22247, 'status', '10', '80', 0, 1507551173),
(285779, 157, 22248, 'CodevTT_RAF', '', '0', 0, 1507551199),
(285780, 157, 22248, 'CodevTT_RAF', '0', '0', 0, 1507551199),
(285781, 157, 22248, 'status', '10', '80', 0, 1507551199),
(285889, 72, 16075, 'CodevTT_ChargeMgr', '', '2.5', 0, 1507554354),
(285892, 72, 21658, '', '4185', '', 6, 1507554568),
(285893, 72, 21658, 'CodevTT_ChargeMgr', '0', '1', 0, 1507554568),
(285899, 72, 21625, 'CodevTT_ChargeMgr', '', '2', 0, 1507554768),
(285900, 72, 21626, 'CodevTT_ChargeMgr', '', '7', 0, 1507554790),
(285901, 72, 21658, '', '4186', '', 6, 1507554991),
(285902, 72, 21658, 'CodevTT_ChargeMgr', '1', '4', 0, 1507554991),
(285903, 72, 21627, 'CodevTT_ChargeMgr', '', '1', 0, 1507555225),
(285906, 72, 21628, 'CodevTT_ChargeMgr', '', '6', 0, 1507555246),
(285907, 72, 21658, '', '4187', '', 6, 1507555298),
(285908, 72, 21658, 'CodevTT_ChargeMgr', '4', '7', 0, 1507555298),
(285925, 72, 21760, 'CodevTT_ChargeMgr', '', '3', 0, 1507556814),
(285927, 72, 21761, 'CodevTT_ChargeMgr', '', '1', 0, 1507556839),
(285929, 72, 18587, '', '4188', '', 6, 1507557028),
(285930, 72, 18587, 'CodevTT_ChargeMgr', '3.4', '4.3', 0, 1507557028),
(285931, 72, 18587, '', '4189', '', 6, 1507557369),
(285932, 72, 18587, 'CodevTT_ChargeMgr', '4.3', '3.4', 0, 1507557369),
(286221, 2, 2894, '', '30407', '', 2, 1507626701),
(286222, 2, 19331, 'CodevTT_RAF', '0', '0', 0, 1507626732),
(286223, 2, 16588, 'CodevTT_RAF', '0', '0', 0, 1507626773),
(286224, 2, 2894, '', '30408', '', 2, 1507626815),
(286225, 2, 2894, '', '30408', '', 4, 1507626831),
(286226, 2, 2894, '', '30409', '', 2, 1507626831),
(286227, 2, 16588, '', '30410', '', 2, 1507626851),
(286228, 2, 2894, '', '30411', '', 2, 1507627986),
(286416, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1507649493),
(286417, 2, 17251, '', '30452', '', 2, 1507649513),
(286418, 2, 17251, '', '30452', '', 4, 1507649652),
(286419, 2, 17251, '', '30453', '', 2, 1507649652),
(286436, 335, 2, '', '30461', '', 2, 1507703155),
(286442, 36, 2, '', '30462', '', 2, 1507703557),
(286626, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711061),
(286627, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711075),
(286628, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711086),
(286629, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711095),
(286630, 168, 19872, '', '30480', '', 2, 1507711111),
(286631, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711139),
(286632, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711151),
(286633, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711162),
(286634, 168, 19872, '', '30481', '', 2, 1507711177),
(286635, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1507711272),
(286636, 168, 1, '', '30482', '', 2, 1507711331),
(286844, 74, 17765, 'CodevTT_RAF', '3', '4', 0, 1507792533),
(286909, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1507794599),
(286910, 2, 2894, '', '30566', '', 2, 1507794723),
(287011, 237, 2, '', '30607', '', 2, 1507797905),
(287267, 244, 2, '', '30707', '', 2, 1507816054),
(287364, 382, 1, '', '30747', '', 2, 1507822240),
(287420, 56, 1, '', '30774', '', 2, 1507824924),
(287421, 56, 1, '', '30775', '', 2, 1507825412),
(287430, 56, 1, '', '30778', '', 2, 1507830948),
(287431, 56, 1, '', '30779', '', 2, 1507830953),
(287484, 382, 1, '', '30792', '', 2, 1507878326),
(287523, 298, 2, '', '30607', '', 4, 1507883003),
(287575, 205, 21561, 'CodevTT_RAF', '2', '2', 0, 1507892964),
(287582, 2, 2894, '', '30817', '', 2, 1507895370),
(287593, 335, 1, '', '30819', '', 2, 1507897801),
(287606, 382, 1, '', '30792', '', 4, 1507898297),
(287607, 382, 1, '', '30820', '', 2, 1507898297),
(287771, 157, 19872, 'CodevTT_RAF', '1', '0.5', 0, 1508137808),
(287804, 339, 1, '', '30873', '', 2, 1508139799),
(287872, 217, 1041, '', '30894', '', 2, 1508150528),
(287952, 339, 1, '', '30924', '', 2, 1508155865),
(287964, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1508157146),
(288269, 199, 21844, 'CodevTT_RAF', '0', '0', 0, 1508225617),
(288493, 72, 21844, 'CodevTT_ChargeMgr', '', '3', 0, 1508234683),
(288497, 72, 21843, 'CodevTT_ChargeMgr', '', '4', 0, 1508234712),
(288508, 72, 21658, '', '4211', '', 6, 1508234802),
(288509, 72, 21658, 'CodevTT_ChargeMgr', '7', '8', 0, 1508234802),
(288585, 9, 1, '', '30779', '', 4, 1508243594),
(288721, 72, 22049, 'handler_id', '168', '74', 0, 1508309233),
(288722, 72, 22049, 'CodevTT_Dead Line', '', '', 0, 1508309233),
(288880, 72, 22369, 'Ref. Externe', '', '45147', 0, 1508391965),
(288881, 72, 22369, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391965),
(288882, 72, 22369, 'target_version', '', '18.0.R2_PUMA', 0, 1508391965),
(288883, 72, 22369, 'codevtt_type', '', 'Bug', 0, 1508391965),
(288884, 72, 22370, 'Ref. Externe', '', '45163', 0, 1508391965),
(288885, 72, 22370, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391965),
(288886, 72, 22370, 'target_version', '', '18.0.R2_PUMA', 0, 1508391965),
(288887, 72, 22370, 'codevtt_type', '', 'Bug', 0, 1508391965),
(288888, 72, 22371, 'Ref. Externe', '', '45165', 0, 1508391966),
(288889, 72, 22371, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391966),
(288890, 72, 22371, 'target_version', '', '18.0.R2_PUMA', 0, 1508391966),
(288891, 72, 22371, 'codevtt_type', '', 'Bug', 0, 1508391966),
(288892, 72, 22372, 'Ref. Externe', '', '45167', 0, 1508391966),
(288893, 72, 22372, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391966),
(288894, 72, 22372, 'target_version', '', '18.0.R2_PUMA', 0, 1508391966),
(288895, 72, 22372, 'codevtt_type', '', 'Bug', 0, 1508391966),
(288896, 72, 22373, 'Ref. Externe', '', '45168', 0, 1508391966),
(288897, 72, 22373, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391966),
(288898, 72, 22373, 'target_version', '', '18.0.R2_PUMA', 0, 1508391966),
(288899, 72, 22373, 'codevtt_type', '', 'Bug', 0, 1508391966),
(288900, 72, 22374, 'Ref. Externe', '', '45169', 0, 1508391966),
(288901, 72, 22374, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391966),
(288902, 72, 22374, 'target_version', '', '18.0.R2_PUMA', 0, 1508391966),
(288903, 72, 22374, 'codevtt_type', '', 'Bug', 0, 1508391966),
(288904, 72, 22375, 'Ref. Externe', '', '45173', 0, 1508391967),
(288905, 72, 22375, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391967),
(288906, 72, 22375, 'target_version', '', '18.0.R2_PUMA', 0, 1508391967),
(288907, 72, 22375, 'codevtt_type', '', 'Bug', 0, 1508391967),
(288908, 72, 22376, 'Ref. Externe', '', '45181', 0, 1508391967),
(288909, 72, 22376, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391967),
(288910, 72, 22376, 'target_version', '', '18.0.R2_PUMA', 0, 1508391967),
(288911, 72, 22376, 'codevtt_type', '', 'Bug', 0, 1508391967),
(288912, 72, 22377, 'Ref. Externe', '', '45183', 0, 1508391967),
(288913, 72, 22377, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391967),
(288914, 72, 22377, 'target_version', '', '18.0.R2_PUMA', 0, 1508391967),
(288915, 72, 22377, 'codevtt_type', '', 'Bug', 0, 1508391967),
(288916, 72, 22378, 'Ref. Externe', '', '45185', 0, 1508391967),
(288917, 72, 22378, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391967),
(288918, 72, 22378, 'target_version', '', '18.0.R2_PUMA', 0, 1508391967),
(288919, 72, 22378, 'codevtt_type', '', 'Bug', 0, 1508391967),
(288920, 72, 22379, 'Ref. Externe', '', '45194', 0, 1508391967),
(288921, 72, 22379, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391967),
(288922, 72, 22379, 'target_version', '', '18.0.R2_PUMA', 0, 1508391967),
(288923, 72, 22379, 'codevtt_type', '', 'Bug', 0, 1508391967),
(288924, 72, 22380, 'Ref. Externe', '', '45196', 0, 1508391968),
(288925, 72, 22380, 'CodevTT_ChargeInit', '', '0.5', 0, 1508391968),
(288926, 72, 22380, 'target_version', '', '18.0.R2_PUMA', 0, 1508391968),
(288927, 72, 22380, 'codevtt_type', '', 'Bug', 0, 1508391968),
(288928, 72, 22381, 'Ref. Externe', '', '45162', 0, 1508392037),
(288929, 72, 22381, 'CodevTT_ChargeInit', '', '0.5', 0, 1508392037),
(288930, 72, 22381, 'target_version', '', '18.0.R2_PUMA', 0, 1508392037),
(288931, 72, 22381, 'codevtt_type', '', 'Bug', 0, 1508392037),
(288932, 72, 22382, 'Ref. Externe', '', '45174', 0, 1508392083),
(288933, 72, 22382, 'CodevTT_ChargeInit', '', '0.5', 0, 1508392083),
(288934, 72, 22382, 'codevtt_type', '', 'Task', 0, 1508392083),
(288935, 72, 22383, 'Ref. Externe', '', '45174', 0, 1508392083),
(288936, 72, 22383, 'CodevTT_ChargeInit', '', '0.5', 0, 1508392083),
(288937, 72, 22383, 'codevtt_type', '', 'Task', 0, 1508392083),
(288938, 72, 22384, 'Ref. Externe', '', '45182', 0, 1508392083),
(288939, 72, 22384, 'CodevTT_ChargeInit', '', '0.5', 0, 1508392083),
(288940, 72, 22384, 'codevtt_type', '', 'Task', 0, 1508392083),
(288941, 72, 22385, 'Ref. Externe', '', '45182', 0, 1508392084),
(288942, 72, 22385, 'CodevTT_ChargeInit', '', '0.5', 0, 1508392084),
(288943, 72, 22385, 'codevtt_type', '', 'Task', 0, 1508392084),
(288944, 72, 22386, 'Ref. Externe', '', '45191', 0, 1508392084),
(288945, 72, 22386, 'CodevTT_ChargeInit', '', '0.5', 0, 1508392084),
(288946, 72, 22386, 'codevtt_type', '', 'Task', 0, 1508392084),
(288947, 72, 22387, 'Ref. Externe', '', '45191', 0, 1508392084),
(288948, 72, 22387, 'CodevTT_ChargeInit', '', '0.5', 0, 1508392084),
(288949, 72, 22387, 'codevtt_type', '', 'Task', 0, 1508392084),
(289359, 416, 2, '', '31241', '', 2, 1508417317),
(289432, 72, 22376, 'handler_id', '0', '168', 0, 1508418632),
(289433, 72, 22376, 'CodevTT_Dead Line', '', '', 0, 1508418632),
(289434, 72, 22372, 'handler_id', '0', '168', 0, 1508418699),
(289435, 72, 22372, 'CodevTT_Dead Line', '', '', 0, 1508418699),
(289436, 72, 22385, 'handler_id', '0', '168', 0, 1508418872),
(289437, 72, 22384, 'handler_id', '0', '205', 0, 1508418895),
(289438, 72, 22377, 'handler_id', '0', '168', 0, 1508418928),
(289439, 72, 22377, 'CodevTT_Dead Line', '', '', 0, 1508418928),
(289440, 72, 22371, 'handler_id', '0', '157', 0, 1508418966),
(289441, 72, 22371, 'CodevTT_Dead Line', '', '', 0, 1508418966),
(289442, 72, 22373, 'handler_id', '0', '157', 0, 1508419007),
(289443, 72, 22373, 'CodevTT_Dead Line', '', '', 0, 1508419007),
(289444, 72, 22374, 'handler_id', '0', '168', 0, 1508419043),
(289445, 72, 22374, 'CodevTT_Dead Line', '', '', 0, 1508419043),
(289446, 72, 22375, 'handler_id', '0', '157', 0, 1508419086),
(289447, 72, 22375, 'CodevTT_Dead Line', '', '', 0, 1508419086),
(289448, 72, 20431, 'handler_id', '199', '157', 0, 1508419122),
(289451, 72, 22378, 'handler_id', '0', '168', 0, 1508419583),
(289452, 72, 22378, 'CodevTT_Dead Line', '', '', 0, 1508419583),
(289616, 2, 2894, '', '31286', '', 2, 1508425885),
(289617, 2, 2894, '', '31286', '', 4, 1508425917),
(289618, 2, 2894, '', '31287', '', 2, 1508425917),
(289620, 2, 2894, '', '31287', '', 4, 1508425936),
(289621, 2, 2894, '', '31288', '', 2, 1508425936),
(289628, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1508426035),
(289629, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1508426051),
(289631, 2, 2894, '', '31291', '', 2, 1508426122),
(289638, 2, 2894, '', '31293', '', 2, 1508426204),
(289639, 2, 2894, '', '31291', '', 4, 1508426211),
(289640, 2, 2894, '', '31294', '', 2, 1508426211),
(289641, 2, 2894, '', '31288', '', 4, 1508426239),
(289642, 2, 2894, '', '31295', '', 2, 1508426239),
(289643, 2, 22405, '', '', '', 1, 1508426346),
(289644, 2, 22405, 'handler_id', '0', '2', 0, 1508426346),
(289645, 2, 22405, 'CodevTT_RAF', '', '2', 0, 1508426392),
(289646, 2, 22405, 'status', '10', '50', 0, 1508426392),
(289647, 2, 2894, '', '31295', '', 4, 1508426422),
(289648, 2, 2894, '', '31296', '', 2, 1508426422),
(289649, 2, 22405, '', '31297', '', 2, 1508426437),
(289830, 72, 22407, 'handler_id', '0', '157', 0, 1508478190),
(289829, 72, 22407, 'CodevTT_ChargeInit', '', '0.5', 0, 1508478190),
(289828, 72, 22407, 'Ref. Externe', '', '45137', 0, 1508478190),
(311958, 72, 19872, 'CodevTT_Dead Line', '', '', 0, 1513087385),
(311957, 72, 19872, 'CodevTT_RAF', '0', '0', 0, 1513087385),
(311956, 72, 19872, 'status', '50', '80', 0, 1513087385),
(311955, 72, 19872, 'CodevTT_RAF', '1.5', '0', 0, 1513087385),
(311954, 72, 19872, 'handler_id', '168', '157', 0, 1513087385),
(289942, 72, 22413, 'Ref. Externe', '', '45180', 0, 1508485850),
(289943, 72, 22413, 'CodevTT_ChargeInit', '', '0.5', 0, 1508485850),
(289944, 72, 22413, 'target_version', '', '18.0.R2_PUMA', 0, 1508485850),
(289945, 72, 22413, 'handler_id', '0', '205', 0, 1508485850),
(289946, 72, 22413, 'codevtt_type', '', 'Task', 0, 1508485850),
(289947, 72, 22414, 'Ref. Externe', '', '45180', 0, 1508485851),
(289948, 72, 22414, 'CodevTT_ChargeInit', '', '0.5', 0, 1508485851),
(289949, 72, 22414, 'target_version', '', '18.0.R2_PUMA', 0, 1508485851),
(289950, 72, 22414, 'handler_id', '0', '157', 0, 1508485851),
(289951, 72, 22414, 'codevtt_type', '', 'Task', 0, 1508485851),
(289994, 74, 22049, 'CodevTT_RAF', '', '0.5', 0, 1508490547),
(289995, 74, 22049, 'status', '10', '50', 0, 1508490547),
(289996, 74, 17765, 'CodevTT_RAF', '4', '3', 0, 1508490591),
(289997, 74, 17765, 'CodevTT_RAF', '3', '3', 0, 1508490603),
(289998, 74, 21658, 'CodevTT_RAF', '', '4', 0, 1508490636),
(289999, 74, 21658, 'status', '10', '50', 0, 1508490636),
(290006, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1508491273),
(290007, 164, 19800, 'CodevTT_RAF', '0', '0', 0, 1508491308),
(290008, 164, 19800, 'CodevTT_RAF', '0', '0', 0, 1508491344),
(290009, 164, 1, '', '31362', '', 2, 1508491382),
(290010, 164, 19800, 'CodevTT_RAF', '0', '0', 0, 1508491392),
(290013, 2, 20800, '', '31363', '', 2, 1508491508),
(290016, 72, 2894, '', '31365', '', 2, 1508492040),
(290017, 72, 21658, 'CodevTT_RAF', '4', '3.5', 0, 1508492083),
(290295, 168, 19872, 'CodevTT_RAF', '1.5', '1', 0, 1508745001),
(290296, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1508745074),
(290297, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1508745094),
(290298, 168, 19872, 'CodevTT_RAF', '1', '1', 0, 1508745109),
(290299, 168, 22376, 'CodevTT_RAF', '', '1', 0, 1508745146),
(290300, 168, 22376, 'status', '10', '50', 0, 1508745146),
(290443, 72, 22423, '', '', '', 1, 1508753754),
(290444, 72, 22423, 'handler_id', '0', '217', 0, 1508753754),
(290445, 72, 22423, '', '', '17984', 21, 1508753754),
(290446, 72, 17984, '', '', '22423', 20, 1508753754),
(290450, 72, 22380, '', '0031435', '', 2, 1508756558),
(290451, 72, 22380, '', '4220', '', 6, 1508756596),
(290452, 72, 22380, 'RSI_Type_Ano', '', 'Recette', 0, 1508756596),
(290453, 72, 21835, 'CodevTT_ChargeMgr', '', '0.5', 0, 1508758061),
(290454, 72, 21836, 'CodevTT_ChargeMgr', '', '1.6', 0, 1508758109),
(290455, 72, 22382, 'CodevTT_ChargeMgr', '', '0', 0, 1508758392),
(290456, 72, 22382, 'handler_id', '0', '199', 0, 1508758406),
(290457, 72, 22382, 'CodevTT_RAF', '', '0', 0, 1508758406),
(290458, 72, 22382, 'status', '10', '80', 0, 1508758406),
(290459, 72, 22382, 'CodevTT_RAF', '0', '0', 0, 1508758406),
(290460, 72, 22383, 'CodevTT_ChargeMgr', '', '1', 0, 1508758429),
(290461, 72, 22383, 'handler_id', '0', '199', 0, 1508758437),
(290462, 72, 22424, '', '', '', 1, 1508758592),
(290463, 72, 22424, 'handler_id', '0', '217', 0, 1508758592),
(290464, 72, 22424, '', '', '22232', 21, 1508758592),
(290465, 72, 22232, '', '', '22424', 20, 1508758592),
(290466, 72, 21561, 'CodevTT_RAF', '2', '0', 0, 1508758920),
(290467, 72, 21561, 'status', '20', '80', 0, 1508758920),
(290468, 72, 21561, 'CodevTT_RAF', '0', '0', 0, 1508758920),
(290470, 72, 21892, 'CodevTT_RAF', '0.5', '0', 0, 1508760000),
(290471, 72, 21892, 'status', '50', '80', 0, 1508760000),
(290472, 72, 21892, 'CodevTT_RAF', '0', '0', 0, 1508760000),
(290473, 72, 22379, 'CodevTT_RAF', '', '0', 0, 1508760060),
(290474, 72, 22379, 'status', '10', '80', 0, 1508760060),
(290475, 72, 22379, 'CodevTT_RAF', '0', '0', 0, 1508760060),
(290476, 72, 22379, 'CodevTT_Dead Line', '', '', 0, 1508760060),
(290477, 72, 22373, 'CodevTT_RAF', '', '0', 0, 1508760145),
(290478, 72, 22373, 'status', '10', '80', 0, 1508760145),
(290479, 72, 22373, 'CodevTT_RAF', '0', '0', 0, 1508760145),
(290480, 72, 22373, 'CodevTT_Dead Line', '', '', 0, 1508760145),
(290488, 72, 22383, 'target_version', '', '18.0.10_PUMA', 0, 1508761909),
(290489, 72, 22382, 'target_version', '', '18.0.10_PUMA', 0, 1508761909),
(290490, 72, 20431, 'target_version', '', '18.0.10_PUMA', 0, 1508761909),
(290491, 72, 22386, 'target_version', '', '18.0.10_PUMA', 0, 1508761909),
(290492, 72, 22387, 'target_version', '', '18.0.10_PUMA', 0, 1508761909),
(290493, 72, 20641, 'target_version', '18.0.07', '18.0.10_PUMA', 0, 1508761909),
(290494, 72, 20642, 'target_version', '18.0.07', '18.0.10_PUMA', 0, 1508761909),
(290495, 72, 20430, 'target_version', '18.0_PUMA', '18.0.10_PUMA', 0, 1508761909),
(290496, 72, 17741, 'target_version', '18.0.06', '18.0.10_PUMA', 0, 1508761909),
(290497, 72, 17742, 'target_version', '18.0.06', '18.0.10_PUMA', 0, 1508761909),
(290500, 72, 17764, 'handler_id', '74', '72', 0, 1508761961),
(290501, 72, 17764, 'status', '20', '50', 0, 1508761961),
(290502, 72, 17764, 'CodevTT_Dead Line', '', '', 0, 1508761961),
(290510, 72, 21894, 'handler_id', '157', '0', 0, 1508762219),
(290511, 72, 21894, 'status', '50', '20', 0, 1508762219),
(290520, 2, 19800, 'CodevTT_RAF', '0', '0', 0, 1508763793),
(290521, 2, 2894, '', '31447', '', 2, 1508763877),
(290522, 72, 22214, 'CodevTT_Dead Line', '', '1511737200', 0, 1508764161),
(290523, 72, 22047, 'target_version', '18.0_PUMA', '18.2.0 DSI INT', 0, 1508764312),
(290526, 72, 22048, 'target_version', '18.0_PUMA', '18.2.0 DSI INT', 0, 1508764349),
(290527, 72, 21629, 'CodevTT_Dead Line', '', '1512687600', 0, 1508764460),
(290531, 205, 22413, 'CodevTT_RAF', '', '0', 0, 1508766279),
(290532, 205, 22413, 'CodevTT_RAF', '0', '0', 0, 1508766279),
(290533, 205, 22413, 'status', '10', '80', 0, 1508766279),
(290534, 205, 22370, 'CodevTT_RAF', '', '0', 0, 1508766392),
(290535, 205, 22370, 'CodevTT_RAF', '0', '0', 0, 1508766392),
(290536, 205, 22370, 'status', '10', '80', 0, 1508766392),
(290537, 205, 22370, 'handler_id', '0', '205', 0, 1508766392),
(290538, 205, 22413, 'CodevTT_RAF', '0', '0', 0, 1508766497),
(290539, 205, 22413, 'CodevTT_RAF', '0', '0', 0, 1508766517),
(290540, 205, 22413, 'CodevTT_RAF', '0', '0', 0, 1508766711),
(290541, 205, 22232, 'CodevTT_RAF', '', '10', 0, 1508766960),
(290542, 205, 22232, 'status', '10', '50', 0, 1508766960),
(290543, 205, 22232, '', '31450', '', 2, 1508766976),
(290544, 205, 22424, 'CodevTT_RAF', '', '10', 0, 1508767004),
(290545, 205, 22424, 'status', '10', '50', 0, 1508767004),
(290546, 205, 22232, '', '31450', '', 4, 1508767016),
(290547, 205, 22232, '', '31451', '', 2, 1508767016),
(290570, 2, 21623, '', '31454', '', 2, 1508769138),
(290577, 72, 22381, 'handler_id', '0', '157', 0, 1508769322),
(290578, 72, 22381, 'CodevTT_Dead Line', '', '', 0, 1508769322),
(290623, 56, 1, '', '31466', '', 2, 1508798227),
(290639, 72, 22426, '', '', '', 1, 1508831691),
(290640, 72, 22426, 'handler_id', '0', '157', 0, 1508831691),
(290720, 2, 1435, '', '31484', '', 2, 1508839335),
(290721, 2, 1435, '', '31485', '', 2, 1508839377),
(290728, 72, 22047, 'CodevTT_RAF', '', '0.5', 0, 1508842571),
(290729, 72, 22047, 'status', '10', '50', 0, 1508842571),
(290730, 72, 22047, 'handler_id', '199', '72', 0, 1508842571),
(290731, 72, 22048, 'CodevTT_ChargeMgr', '', '0', 0, 1508842681),
(290732, 72, 22048, 'CodevTT_ChargeInit', '0.5', '3', 0, 1508842681),
(290733, 72, 22434, '', '', '', 1, 1508845948),
(290734, 72, 22434, 'handler_id', '0', '205', 0, 1508845948),
(290735, 72, 22434, '', '', '22413', 21, 1508845949),
(290736, 72, 22413, '', '', '22434', 20, 1508845949),
(291281, 72, 2894, '', '31504', '', 2, 1508852695),
(291282, 72, 22048, 'CodevTT_RAF', '', '2.8', 0, 1508852736),
(291283, 72, 22048, 'status', '10', '50', 0, 1508852736),
(291356, 2, 21623, '', '31512', '', 2, 1508855632),
(291364, 2, 20615, '', '31513', '', 2, 1508855723),
(291365, 2, 20615, 'CodevTT_RAF', '0', '0', 0, 1508855723),
(291943, 72, 22048, 'CodevTT_RAF', '2.8', '2', 0, 1508936404),
(291958, 2, 2894, '', '31582', '', 2, 1508940610),
(291959, 2, 2894, '', '31582', '', 4, 1508940674),
(291960, 2, 2894, '', '31583', '', 2, 1508940674),
(291962, 157, 22426, 'CodevTT_RAF', '', '1', 0, 1508940912),
(291963, 157, 22426, 'status', '10', '50', 0, 1508940912),
(291964, 157, 22426, 'CodevTT_RAF', '1', '1', 0, 1508940930),
(291965, 157, 22371, 'CodevTT_RAF', '', '0', 0, 1508940963),
(291966, 157, 22371, 'CodevTT_RAF', '0', '0', 0, 1508940963),
(291967, 157, 22371, 'status', '10', '80', 0, 1508940963),
(291969, 157, 22374, 'CodevTT_RAF', '', '0.5', 0, 1508941028),
(291970, 157, 22374, 'status', '10', '50', 0, 1508941028),
(291971, 157, 22374, 'handler_id', '168', '157', 0, 1508941028),
(291972, 157, 22375, 'CodevTT_RAF', '', '0.5', 0, 1508941086),
(291973, 157, 22375, 'status', '10', '50', 0, 1508941086),
(291974, 157, 22375, 'CodevTT_RAF', '0.5', '0', 0, 1508941104),
(291975, 157, 22375, 'CodevTT_RAF', '0', '0', 0, 1508941104),
(291976, 157, 22375, 'status', '50', '80', 0, 1508941104),
(292477, 72, 21837, 'status', '80', '50', 0, 1509005616),
(292478, 72, 21837, 'CodevTT_Dead Line', '', '', 0, 1509005616),
(292480, 72, 21837, '', '4225', '', 6, 1509005657),
(292499, 199, 22375, 'CodevTT_RAF', '0', '0', 0, 1509006557),
(292500, 199, 22371, 'CodevTT_RAF', '0', '0', 0, 1509006599),
(292501, 199, 21658, 'CodevTT_RAF', '3.5', '3.5', 0, 1509006627),
(292505, 199, 21658, 'CodevTT_RAF', '3.5', '3', 0, 1509006643),
(292506, 199, 13774, 'CodevTT_RAF', '3', '2', 0, 1509006663),
(292508, 199, 13774, 'CodevTT_RAF', '2', '2', 0, 1509006724),
(292683, 72, 22761, 'Ref. Externe', '', '45200', 0, 1509016678),
(292684, 72, 22761, 'CodevTT_ChargeInit', '', '0.5', 0, 1509016678),
(292685, 72, 22761, 'codevtt_type', '', 'Bug', 0, 1509016678),
(292686, 72, 22762, 'Ref. Externe', '', '45203', 0, 1509016678),
(292687, 72, 22762, 'CodevTT_ChargeInit', '', '0.5', 0, 1509016678),
(292688, 72, 22762, 'codevtt_type', '', 'Bug', 0, 1509016678),
(292689, 72, 22763, 'Ref. Externe', '', '45211', 0, 1509016678),
(292690, 72, 22763, 'CodevTT_ChargeInit', '', '0.5', 0, 1509016678),
(292691, 72, 22763, 'codevtt_type', '', 'Bug', 0, 1509016678),
(292692, 72, 22764, 'Ref. Externe', '', '45215', 0, 1509016679),
(292693, 72, 22764, 'CodevTT_ChargeInit', '', '0.5', 0, 1509016679),
(292694, 72, 22764, 'codevtt_type', '', 'Bug', 0, 1509016679),
(292695, 72, 22765, 'Ref. Externe', '', '45216', 0, 1509016679),
(292696, 72, 22765, 'CodevTT_ChargeInit', '', '0.5', 0, 1509016679),
(292697, 72, 22765, 'codevtt_type', '', 'Bug', 0, 1509016679),
(292698, 72, 22766, 'Ref. Externe', '', '45220', 0, 1509016679),
(292699, 72, 22766, 'CodevTT_ChargeInit', '', '0.5', 0, 1509016679),
(292700, 72, 22766, 'codevtt_type', '', 'Bug', 0, 1509016679),
(292701, 72, 22767, 'Ref. Externe', '', '45222', 0, 1509016679),
(292702, 72, 22767, 'CodevTT_ChargeInit', '', '0.5', 0, 1509016679),
(292703, 72, 22767, 'codevtt_type', '', 'Bug', 0, 1509016679),
(292704, 72, 22764, '', '4227', '', 6, 1509016970),
(292705, 72, 22763, '', '4229', '', 6, 1509017014),
(293182, 157, 22414, 'CodevTT_RAF', '', '6.5', 0, 1509086772),
(293183, 157, 22414, 'status', '10', '50', 0, 1509086772),
(293184, 157, 22022, 'CodevTT_RAF', '0.5', '0', 0, 1509086854),
(293185, 157, 22022, 'CodevTT_RAF', '0', '0', 0, 1509086854),
(293186, 157, 22022, 'status', '50', '80', 0, 1509086854),
(293187, 157, 22414, 'CodevTT_RAF', '6.5', '5.5', 0, 1509086876),
(293253, 72, 22785, 'Ref. Externe', '', '45225', 0, 1509104794),
(293254, 72, 22785, 'CodevTT_ChargeInit', '', '0.5', 0, 1509104794),
(293255, 72, 22785, 'codevtt_type', '', 'Bug', 0, 1509104794),
(293280, 72, 22414, 'CodevTT_Dead Line', '', '1510182000', 0, 1509109142),
(293281, 72, 22369, 'CodevTT_RAF', '', '0', 0, 1509109288),
(293282, 72, 22369, 'status', '10', '80', 0, 1509109288),
(293283, 72, 22369, 'CodevTT_RAF', '0', '0', 0, 1509109288),
(293284, 72, 22369, 'CodevTT_Dead Line', '', '', 0, 1509109288),
(293285, 72, 22413, 'status', '80', '50', 0, 1509109326),
(293286, 72, 22413, 'CodevTT_Dead Line', '', '', 0, 1509109326),
(293287, 72, 22413, 'CodevTT_ChargeMgr', '', '0', 0, 1509109341),
(293288, 72, 22413, 'CodevTT_RAF', '0', '0.5', 0, 1509109341),
(293289, 72, 22763, 'CodevTT_RAF', '', '0.5', 0, 1509110070),
(293290, 72, 22763, 'status', '10', '50', 0, 1509110070),
(293291, 72, 22763, 'handler_id', '0', '72', 0, 1509110070),
(293292, 72, 22763, 'handler_id', '72', '199', 0, 1509110106),
(293305, 72, 22786, 'Ref. Externe', '', '45041', 0, 1509113784),
(293306, 72, 22786, 'CodevTT_ChargeInit', '', '0.5', 0, 1509113784),
(293307, 72, 22786, 'target_version', '', '18.2.0 DSI INT', 0, 1509113784),
(293308, 72, 22786, 'handler_id', '0', '199', 0, 1509113784),
(293309, 72, 22786, 'codevtt_type', '', 'Task', 0, 1509113784),
(293310, 72, 22787, 'Ref. Externe', '', '45041', 0, 1509113785),
(293311, 72, 22787, 'CodevTT_ChargeInit', '', '0.5', 0, 1509113785),
(293312, 72, 22787, 'target_version', '', '18.2.0 DSI INT', 0, 1509113785),
(293313, 72, 22787, 'handler_id', '0', '199', 0, 1509113785),
(293314, 72, 22787, 'codevtt_type', '', 'Task', 0, 1509113785),
(293315, 72, 22788, 'Ref. Externe', '', '45121', 0, 1509113785),
(293316, 72, 22788, 'CodevTT_ChargeInit', '', '0.5', 0, 1509113785),
(293317, 72, 22788, 'target_version', '', '18.2.0 DSI INT', 0, 1509113785),
(293318, 72, 22788, 'handler_id', '0', '199', 0, 1509113785),
(293319, 72, 22788, 'codevtt_type', '', 'Task', 0, 1509113785),
(293320, 72, 22048, 'handler_id', '199', '72', 0, 1509113912),
(293321, 72, 22048, 'CodevTT_Dead Line', '', '', 0, 1509113912),
(293322, 72, 19341, 'CodevTT_ChargeMgr', '0', '12', 0, 1509114850),
(293323, 72, 19342, 'CodevTT_ChargeMgr', '0', '10', 0, 1509114869),
(293324, 72, 18488, 'CodevTT_ChargeMgr', '0.9', '6.9', 0, 1509114899),
(293325, 72, 18488, '', '4232', '', 6, 1509114949),
(293505, 353, 2, '', '31907', '', 2, 1509283326),
(293506, 353, 2, '', '31908', '', 2, 1509283516),
(293508, 346, 2, '', '31909', '', 2, 1509350041),
(293509, 346, 2, '', '31910', '', 2, 1509350055),
(293560, 72, 19982, 'status', '80', '50', 0, 1509353377),
(293561, 72, 19982, 'CodevTT_Dead Line', '', '', 0, 1509353377),
(293562, 72, 19982, '', '4234', '', 6, 1509353458),
(293667, 199, 22767, 'CodevTT_RAF', '', '0', 0, 1509366142),
(293668, 199, 22767, 'CodevTT_RAF', '0', '0', 0, 1509366142),
(293669, 199, 22767, 'status', '10', '80', 0, 1509366142),
(293670, 199, 22767, 'handler_id', '0', '199', 0, 1509366142),
(293693, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1509374640),
(293694, 164, 22805, '', '', '', 1, 1509374959),
(293695, 164, 22805, 'handler_id', '0', '164', 0, 1509374959),
(293696, 164, 22805, '', '', '17251', 21, 1509374959),
(293697, 164, 17251, '', '', '22805', 20, 1509374959),
(293698, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1509374990),
(293699, 164, 22805, 'CodevTT_RAF', '', '0', 0, 1509375021),
(293700, 164, 22805, 'CodevTT_RAF', '0', '0', 0, 1509375021),
(293701, 164, 22805, 'status', '10', '80', 0, 1509375021),
(293702, 72, 22806, 'Ref. Externe', '', '45229', 0, 1509375167),
(293703, 72, 22806, 'CodevTT_ChargeInit', '', '1', 0, 1509375167),
(293704, 72, 22806, 'target_version', '', '17.1.DSI_INT', 0, 1509375167),
(293705, 72, 22806, 'handler_id', '0', '74', 0, 1509375167),
(293706, 72, 22806, 'codevtt_type', '', 'Task', 0, 1509375167),
(293707, 72, 22807, 'Ref. Externe', '', '45229', 0, 1509375167),
(293708, 72, 22807, 'CodevTT_ChargeInit', '', '2', 0, 1509375167),
(293709, 72, 22807, 'target_version', '', '17.1.DSI_INT', 0, 1509375167),
(293710, 72, 22807, 'handler_id', '0', '74', 0, 1509375167),
(293711, 72, 22807, 'codevtt_type', '', 'Task', 0, 1509375167),
(293823, 72, 22807, 'CodevTT_ChargeMgr', '', '0', 0, 1509456418),
(293824, 72, 22807, 'CodevTT_ChargeInit', '2', '4', 0, 1509456418),
(293825, 72, 22807, 'summary', '45229 [DEV] DSI2017 - Ajout de nouvelles rubriques Secteur médical', '45229 [DEV] DSI2017 -TP- Ajout de nouvelles rubriques Secteur médical', 0, 1509456461),
(293826, 72, 22807, '', '4236', '', 6, 1509456461),
(293827, 72, 22823, '', '', '', 1, 1509456510),
(293828, 72, 22823, 'handler_id', '0', '199', 0, 1509456510),
(293829, 72, 22823, '', '', '22807', 21, 1509456510),
(293830, 72, 22807, '', '', '22823', 20, 1509456510),
(293905, 72, 22824, 'Ref. Externe', '', '45234', 0, 1509463385),
(293906, 72, 22824, 'CodevTT_ChargeInit', '', '0.5', 0, 1509463385),
(293907, 72, 22824, 'target_version', '', '18.2.0 DSI INT', 0, 1509463385),
(293908, 72, 22824, 'handler_id', '0', '157', 0, 1509463385),
(293909, 72, 22824, 'codevtt_type', '', 'Task', 0, 1509463385),
(293910, 72, 22825, 'Ref. Externe', '', '45234', 0, 1509463386),
(293911, 72, 22825, 'CodevTT_ChargeInit', '', '0.5', 0, 1509463386),
(293912, 72, 22825, 'target_version', '', '18.2.0 DSI INT', 0, 1509463386),
(293913, 72, 22825, 'handler_id', '0', '157', 0, 1509463386),
(293914, 72, 22825, 'codevtt_type', '', 'Task', 0, 1509463386),
(293915, 199, 22764, 'CodevTT_RAF', '', '2', 0, 1509463815),
(293916, 199, 22764, 'status', '10', '50', 0, 1509463815),
(293917, 199, 22764, 'handler_id', '0', '199', 0, 1509463815),
(293918, 199, 22764, 'CodevTT_RAF', '2', '2', 0, 1509463837),
(293919, 199, 22380, 'CodevTT_RAF', '', '0', 0, 1509463856),
(293920, 199, 22380, 'CodevTT_RAF', '0', '0', 0, 1509463856),
(293921, 199, 22380, 'status', '10', '80', 0, 1509463856),
(293922, 199, 22380, 'handler_id', '0', '199', 0, 1509463856),
(293923, 199, 21756, 'CodevTT_RAF', '', '0', 0, 1509463877),
(293924, 199, 21756, 'CodevTT_RAF', '0', '0', 0, 1509463877),
(293925, 199, 21756, 'status', '10', '80', 0, 1509463877),
(293926, 199, 21756, 'handler_id', '0', '199', 0, 1509463877),
(293927, 72, 2894, '', '31991', '', 2, 1509464294),
(293928, 72, 22806, 'CodevTT_RAF', '', '1', 0, 1509464346),
(293929, 72, 22806, 'status', '10', '50', 0, 1509464346),
(293930, 72, 22806, 'CodevTT_ChargeMgr', '', '0', 0, 1509464368),
(293931, 72, 22806, 'CodevTT_ChargeInit', '1', '2', 0, 1509464368),
(294409, 2, 16588, '', '32111', '', 2, 1509638805),
(294410, 2, 16588, 'CodevTT_RAF', '0', '0', 0, 1509638805),
(294413, 2, 16588, '', '32111', '', 4, 1509638819),
(294414, 2, 16588, '', '32113', '', 2, 1509638819),
(294492, 199, 22374, 'CodevTT_RAF', '0.5', '0', 0, 1509641242),
(294493, 199, 22374, 'CodevTT_RAF', '0', '0', 0, 1509641242),
(294494, 199, 22374, 'status', '50', '80', 0, 1509641242),
(294495, 199, 22766, 'CodevTT_RAF', '', '0.5', 0, 1509641269),
(294496, 199, 22766, 'status', '10', '20', 0, 1509641269),
(294497, 199, 22766, 'handler_id', '0', '199', 0, 1509641269),
(294498, 2, 2894, '', '32123', '', 2, 1509642115),
(294583, 199, 19982, 'CodevTT_RAF', '0', '0', 0, 1509697055),
(294584, 199, 19982, 'CodevTT_RAF', '0', '0', 0, 1509697055),
(294585, 199, 19982, 'status', '50', '80', 0, 1509697055),
(294605, 199, 21757, 'CodevTT_RAF', '', '0', 0, 1509700209),
(294606, 199, 21757, 'CodevTT_RAF', '0', '0', 0, 1509700209),
(294607, 199, 21757, 'status', '10', '80', 0, 1509700209),
(294608, 199, 21757, 'handler_id', '0', '199', 0, 1509700209),
(294609, 199, 22240, 'CodevTT_RAF', '0.5', '0', 0, 1509700323),
(294610, 199, 22240, 'status', '50', '80', 0, 1509700323),
(294611, 199, 22240, 'CodevTT_RAF', '0', '0', 0, 1509700323),
(294612, 199, 22240, 'CodevTT_Dead Line', '', '', 0, 1509700323),
(294613, 199, 16075, 'CodevTT_RAF', '0.1', '0', 0, 1509700352),
(294614, 199, 16075, 'status', '50', '80', 0, 1509700352),
(294615, 199, 16075, 'CodevTT_RAF', '0', '0', 0, 1509700352),
(294616, 199, 16075, 'CodevTT_Dead Line', '', '', 0, 1509700352),
(294617, 199, 22786, 'CodevTT_RAF', '', '0', 0, 1509700399),
(294618, 199, 22786, 'status', '10', '80', 0, 1509700399),
(294619, 199, 22786, 'CodevTT_RAF', '0', '0', 0, 1509700399),
(294620, 199, 22786, 'CodevTT_Dead Line', '', '', 0, 1509700399),
(294681, 199, 22788, 'CodevTT_RAF', '', '0', 0, 1509702928),
(294682, 199, 22788, 'CodevTT_RAF', '0', '0', 0, 1509702928),
(294683, 199, 22788, 'status', '10', '80', 0, 1509702928),
(294687, 199, 21629, 'CodevTT_RAF', '', '0', 0, 1509703112),
(294688, 199, 21629, 'status', '10', '80', 0, 1509703112),
(294689, 199, 21629, 'CodevTT_RAF', '0', '0', 0, 1509703112),
(294690, 199, 21629, 'status', '80', '90', 0, 1509703120),
(294691, 199, 21629, 'CodevTT_RAF', '0', '0', 0, 1509703120),
(294694, 199, 22763, 'CodevTT_RAF', '0.5', '0', 0, 1509703269),
(294695, 199, 22763, 'status', '50', '80', 0, 1509703269),
(294696, 199, 22763, 'CodevTT_RAF', '0', '0', 0, 1509703269),
(294816, 199, 22051, 'CodevTT_RAF', '', '0.05', 0, 1509709257),
(294817, 199, 22051, 'status', '10', '50', 0, 1509709257),
(294818, 199, 22051, 'CodevTT_RAF', '0.05', '0', 0, 1509709270),
(294819, 199, 22051, 'CodevTT_RAF', '0', '0', 0, 1509709270),
(294820, 199, 22051, 'status', '50', '80', 0, 1509709270),
(294897, 199, 22764, 'CodevTT_RAF', '2', '1', 0, 1509722780),
(294943, 2, 2894, '', '32171', '', 2, 1509725188),
(294944, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1509725216),
(294945, 2, 21623, '', '32172', '', 2, 1509725288),
(294946, 2, 1435, '', '32173', '', 2, 1509725319),
(294947, 2, 2894, '', '32171', '', 4, 1509725340),
(294948, 2, 2894, '', '32174', '', 2, 1509725340),
(295071, 72, 22874, 'Ref. Externe', '', '45250', 0, 1509951720),
(295072, 72, 22874, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951720),
(295073, 72, 22874, 'codevtt_type', '', 'Bug', 0, 1509951720),
(295076, 72, 22875, 'Ref. Externe', '', '45239', 0, 1509951909),
(295077, 72, 22875, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951909),
(295078, 72, 22875, 'codevtt_type', '', 'Bug', 0, 1509951909),
(295079, 72, 22876, 'Ref. Externe', '', '45240', 0, 1509951909),
(295080, 72, 22876, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951909),
(295081, 72, 22876, 'codevtt_type', '', 'Bug', 0, 1509951909),
(295082, 72, 22877, 'Ref. Externe', '', '45241', 0, 1509951910),
(295083, 72, 22877, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951910),
(295084, 72, 22877, 'codevtt_type', '', 'Bug', 0, 1509951910),
(295085, 72, 22878, 'Ref. Externe', '', '45246', 0, 1509951910),
(295086, 72, 22878, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951910),
(295087, 72, 22878, 'codevtt_type', '', 'Bug', 0, 1509951910),
(295088, 72, 22879, 'Ref. Externe', '', '45247', 0, 1509951910),
(295089, 72, 22879, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951910),
(295090, 72, 22879, 'codevtt_type', '', 'Bug', 0, 1509951910),
(295091, 72, 22880, 'Ref. Externe', '', '45248', 0, 1509951910),
(295092, 72, 22880, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951910),
(295093, 72, 22880, 'codevtt_type', '', 'Bug', 0, 1509951910),
(295094, 72, 22881, 'Ref. Externe', '', '45249', 0, 1509951911),
(295095, 72, 22881, 'CodevTT_ChargeInit', '', '0.5', 0, 1509951911),
(295096, 72, 22881, 'codevtt_type', '', 'Bug', 0, 1509951911),
(295097, 199, 21799, 'CodevTT_RAF', '', '0.25', 0, 1509952758),
(295098, 199, 21799, 'status', '10', '20', 0, 1509952759),
(295101, 74, 22232, 'CodevTT_RAF', '10', '4', 0, 1509953951),
(295102, 74, 22232, 'CodevTT_RAF', '4', '3', 0, 1509953964),
(295103, 72, 22765, 'handler_id', '0', '217', 0, 1509955559),
(295104, 72, 22765, 'status', '10', '50', 0, 1509955559),
(295217, 72, 17741, 'handler_id', '199', '217', 0, 1509972620),
(295218, 72, 17741, 'CodevTT_Dead Line', '', '', 0, 1509972620),
(295219, 72, 17741, '', '4240', '', 6, 1509972670),
(295220, 72, 17741, 'status', '80', '50', 0, 1509972692),
(295221, 72, 17741, 'CodevTT_Dead Line', '', '', 0, 1509972692),
(295222, 72, 17741, 'CodevTT_RAF', '0', '0.5', 0, 1509972698),
(295278, 199, 22787, 'CodevTT_RAF', '', '0', 0, 1509979055),
(295279, 199, 22787, 'CodevTT_RAF', '0', '0', 0, 1509979055),
(295280, 199, 22787, 'status', '10', '80', 0, 1509979055),
(295285, 199, 22787, 'CodevTT_RAF', '0', '0', 0, 1509979086),
(295316, 164, 22805, 'CodevTT_RAF', '0', '0', 0, 1509979852),
(295329, 199, 22786, 'CodevTT_RAF', '0', '0', 0, 1509980057),
(295331, 199, 22786, 'CodevTT_RAF', '0', '0', 0, 1509980073),
(295332, 199, 22786, '', '32233', '', 2, 1509980086),
(295525, 199, 22915, '', '', '', 1, 1510038269),
(295526, 199, 22915, 'handler_id', '0', '199', 0, 1510038269),
(295529, 199, 22915, 'CodevTT_RAF', '', '0.5', 0, 1510038305),
(295530, 199, 22915, 'status', '10', '20', 0, 1510038305),
(295531, 199, 22915, 'summary', '45235 - DSI2017 - Suppression des AR techniques', '45235 - [SPEC] DSI2017 - Suppression des AR techniques', 0, 1510038333),
(295532, 199, 22915, 'summary', '45235 - [SPEC] DSI2017 - Suppression des AR techniques', '45235 [SPEC] DSI2017 - Suppression des AR techniques', 0, 1510038372),
(295567, 199, 22916, '', '', '', 1, 1510042406),
(295568, 199, 22916, 'handler_id', '0', '199', 0, 1510042406),
(295569, 199, 22916, '', '', '22915', 21, 1510042406),
(295570, 199, 22915, '', '', '22916', 20, 1510042406),
(295571, 199, 22916, 'CodevTT_RAF', '', '0', 0, 1510042435),
(295572, 199, 22916, 'CodevTT_RAF', '0', '0', 0, 1510042435),
(295573, 199, 22916, 'status', '10', '80', 0, 1510042435),
(295635, 72, 22806, 'CodevTT_RAF', '1', '1', 0, 1510048071),
(295636, 72, 21758, 'CodevTT_RAF', '0.5', '0.2', 0, 1510048375),
(295680, 217, 17741, 'CodevTT_RAF', '0.5', '1', 0, 1510051130),
(295681, 217, 17741, '', '32306', '', 2, 1510051144),
(295682, 217, 17741, 'CodevTT_RAF', '1', '0.5', 0, 1510051162),
(295683, 217, 22764, 'CodevTT_RAF', '1', '1', 0, 1510051230),
(295684, 217, 22764, '', '32307', '', 2, 1510051254),
(295685, 217, 17741, '', '32306', '', 4, 1510051326),
(295686, 217, 17741, '', '32308', '', 2, 1510051326),
(295687, 217, 17741, 'CodevTT_RAF', '0.5', '0.5', 0, 1510051341),
(295688, 72, 22919, 'Ref. Externe', '', '45253', 0, 1510051698),
(295689, 72, 22919, 'CodevTT_ChargeInit', '', '0.5', 0, 1510051698),
(295690, 72, 22919, 'handler_id', '0', '168', 0, 1510051698),
(295691, 72, 22919, 'codevtt_type', '', 'Bug', 0, 1510051698),
(295692, 72, 22920, 'Ref. Externe', '', '45257', 0, 1510051699),
(295693, 72, 22920, 'CodevTT_ChargeInit', '', '0.5', 0, 1510051699),
(295694, 72, 22920, 'handler_id', '0', '199', 0, 1510051699),
(295695, 72, 22920, 'codevtt_type', '', 'Bug', 0, 1510051699),
(295715, 199, 21837, 'CodevTT_RAF', '0.5', '0', 0, 1510052888),
(295716, 199, 21837, 'CodevTT_RAF', '0', '0', 0, 1510052888),
(295717, 199, 21837, 'status', '50', '80', 0, 1510052888),
(295765, 299, 1, '', '32334', '', 2, 1510062314),
(295766, 299, 1, '', '32334', '', 4, 1510062319),
(295767, 299, 1, '', '32335', '', 2, 1510062319),
(295778, 299, 1, '', '32341', '', 2, 1510062348),
(295785, 299, 1, '', '32345', '', 2, 1510062367),
(295786, 299, 1, '', '32341', '', 4, 1510062382),
(295787, 299, 1, '', '32346', '', 2, 1510062382),
(295788, 299, 1, '', '32345', '', 4, 1510062398),
(295789, 299, 1, '', '32347', '', 2, 1510062398),
(295807, 299, 1, '', '32355', '', 2, 1510062459),
(295808, 299, 1, '', '32356', '', 2, 1510062465),
(295809, 299, 1, '', '32357', '', 2, 1510062471),
(295810, 299, 1, '', '32358', '', 2, 1510062477),
(295836, 299, 1, '', '32367', '', 2, 1510062798),
(295837, 299, 1, '', '32368', '', 2, 1510062804),
(295838, 299, 1, '', '32369', '', 2, 1510062808),
(295839, 299, 1, '', '32370', '', 2, 1510062813),
(295840, 299, 1, '', '32371', '', 2, 1510062828),
(295841, 299, 1, '', '32372', '', 2, 1510062837),
(295884, 72, 22920, 'handler_id', '199', '168', 0, 1510066325),
(295885, 72, 22874, 'status', '10', '50', 0, 1510066677),
(295886, 72, 22765, 'CodevTT_ChargeMgr', '', '0', 0, 1510066755),
(295887, 72, 22765, 'CodevTT_RAF', '', '0.5', 0, 1510066755),
(295888, 72, 22874, 'CodevTT_ChargeMgr', '', '0', 0, 1510066792),
(295889, 72, 22874, 'CodevTT_RAF', '', '0.5', 0, 1510066792),
(295890, 199, 22875, 'CodevTT_RAF', '', '0', 0, 1510066971),
(295891, 199, 22875, 'CodevTT_RAF', '0', '0', 0, 1510066971),
(295892, 199, 22875, 'status', '10', '80', 0, 1510066971),
(295893, 199, 22875, 'handler_id', '0', '199', 0, 1510066971),
(295904, 157, 22876, 'CodevTT_RAF', '', '0.5', 0, 1510069717),
(295905, 157, 22876, 'status', '10', '50', 0, 1510069717),
(295906, 157, 22876, 'handler_id', '0', '157', 0, 1510069717),
(295907, 157, 22879, 'CodevTT_RAF', '', '0.25', 0, 1510069748),
(295908, 157, 22879, 'status', '10', '50', 0, 1510069748),
(295909, 157, 22879, 'handler_id', '0', '157', 0, 1510069748),
(295910, 157, 22879, 'CodevTT_RAF', '0.25', '0', 0, 1510069783),
(295911, 157, 22879, 'CodevTT_RAF', '0', '0', 0, 1510069783),
(295912, 157, 22879, 'status', '50', '80', 0, 1510069783),
(295913, 157, 22876, 'CodevTT_RAF', '0.5', '0', 0, 1510069811),
(295914, 157, 22876, 'CodevTT_RAF', '0', '0', 0, 1510069811),
(295915, 157, 22876, 'status', '50', '80', 0, 1510069811),
(295916, 157, 22881, 'CodevTT_RAF', '', '0', 0, 1510069850),
(295917, 157, 22881, 'CodevTT_RAF', '0', '0', 0, 1510069850),
(295918, 157, 22881, 'status', '10', '80', 0, 1510069850),
(295919, 157, 22881, 'handler_id', '0', '157', 0, 1510069850),
(295920, 157, 22413, 'CodevTT_RAF', '0.5', '0', 0, 1510069877),
(295921, 157, 22413, 'CodevTT_RAF', '0', '0', 0, 1510069877),
(295922, 157, 22413, 'status', '50', '80', 0, 1510069877),
(295923, 157, 19872, 'CodevTT_RAF', '1', '2', 0, 1510069933),
(295972, 2, 2894, '', '32394', '', 2, 1510074185),
(295973, 2, 2894, '', '30817', '', 4, 1510074193),
(295974, 2, 2894, '', '32395', '', 2, 1510074193),
(295975, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1510074299),
(295976, 2, 2894, '', '32396', '', 2, 1510074316),
(296204, 72, 22923, 'Ref. Externe', '', '45264', 0, 1510133418),
(296205, 72, 22923, 'CodevTT_ChargeInit', '', '0.5', 0, 1510133418),
(296206, 72, 22923, 'target_version', '', '18.2.0 DSI INT', 0, 1510133418),
(296207, 72, 22923, 'handler_id', '0', '157', 0, 1510133418),
(296208, 72, 22923, 'codevtt_type', '', 'Task', 0, 1510133418),
(296209, 72, 22924, 'Ref. Externe', '', '45264', 0, 1510133419),
(296210, 72, 22924, 'CodevTT_ChargeInit', '', '0.5', 0, 1510133419),
(296211, 72, 22924, 'target_version', '', '18.2.0 DSI INT', 0, 1510133419),
(296212, 72, 22924, 'handler_id', '0', '157', 0, 1510133419),
(296213, 72, 22924, 'codevtt_type', '', 'Task', 0, 1510133419),
(296214, 72, 22925, '', '', '', 1, 1510133661),
(296215, 72, 22925, 'handler_id', '0', '217', 0, 1510133661),
(296216, 72, 22925, '', '', '21661', 21, 1510133661),
(296217, 72, 21661, '', '', '22925', 20, 1510133661),
(296218, 72, 22788, 'CodevTT_ChargeMgr', '', '1.3', 0, 1510133809),
(296219, 72, 22925, '', '4246', '', 6, 1510133873),
(296220, 72, 22925, 'CodevTT_ChargeMgr', '0', '0.8', 0, 1510133873),
(296226, 72, 19871, 'CodevTT_ChargeMgr', '0', '8', 0, 1510134165),
(296227, 72, 19872, 'CodevTT_ChargeMgr', '0', '2.9', 0, 1510134192),
(296230, 72, 22925, '', '4247', '', 6, 1510134235),
(296231, 72, 22925, 'CodevTT_ChargeMgr', '0.8', '1.8', 0, 1510134235),
(296236, 72, 21843, 'CodevTT_RAF', '', '0', 0, 1510134434),
(296237, 72, 21843, 'status', '10', '80', 0, 1510134434),
(296238, 72, 21843, 'CodevTT_RAF', '0', '0', 0, 1510134434),
(296239, 72, 21843, 'CodevTT_Dead Line', '', '', 0, 1510134434),
(296240, 72, 21658, 'CodevTT_RAF', '3', '0', 0, 1510134468),
(296241, 72, 21658, 'status', '50', '80', 0, 1510134468),
(296242, 72, 21658, 'CodevTT_RAF', '0', '0', 0, 1510134468),
(296244, 72, 21635, 'CodevTT_RAF', '11.5', '0', 0, 1510134741),
(296245, 72, 21635, 'status', '50', '80', 0, 1510134741),
(296246, 72, 21635, 'CodevTT_RAF', '0', '0', 0, 1510134741),
(296247, 72, 21635, 'CodevTT_Dead Line', '', '', 0, 1510134741),
(296251, 72, 21659, 'CodevTT_ChargeMgr', '0', '1', 0, 1510134923),
(296253, 72, 21756, 'CodevTT_ChargeMgr', '', '1', 0, 1510135027),
(296254, 72, 21757, 'CodevTT_ChargeMgr', '', '2', 0, 1510135051),
(296262, 72, 21661, '', '4249', '', 6, 1510135132),
(296263, 72, 21661, 'CodevTT_ChargeMgr', '0', '2', 0, 1510135132),
(296271, 72, 21758, 'CodevTT_ChargeMgr', '', '1', 0, 1510136836),
(296272, 72, 21799, 'CodevTT_ChargeMgr', '', '2', 0, 1510136909),
(296273, 72, 22386, 'handler_id', '0', '217', 0, 1510140785),
(296274, 72, 22386, 'CodevTT_Dead Line', '', '', 0, 1510140785),
(296275, 72, 22232, 'handler_id', '217', '74', 0, 1510140869),
(296276, 72, 22232, 'CodevTT_Dead Line', '', '', 0, 1510140870),
(296277, 199, 22370, 'CodevTT_RAF', '0', '0', 0, 1510141310),
(296292, 2, 22926, '', '', '', 1, 1510145637),
(296293, 2, 22926, 'handler_id', '0', '2', 0, 1510145659),
(296294, 2, 22926, 'status', '10', '80', 0, 1510145659),
(296295, 2, 22926, 'resolution', '10', '20', 0, 1510145659),
(296296, 2, 22926, 'CodevTT_RAF', '', '0', 0, 1510145659),
(296297, 2, 22926, 'CodevTT_RAF', '0', '0', 0, 1510145762),
(296298, 2, 22926, 'status', '80', '90', 0, 1510145762),
(296299, 2, 22926, 'status', '90', '20', 0, 1510145803),
(296300, 2, 22926, 'resolution', '20', '30', 0, 1510145803),
(296337, 72, 19715, 'status', '50', '20', 0, 1510148283),
(296340, 199, 22229, 'CodevTT_RAF', '', '0', 0, 1510150468),
(296341, 199, 22229, 'CodevTT_RAF', '0', '0', 0, 1510150468),
(296342, 199, 22229, 'status', '10', '80', 0, 1510150468),
(296354, 217, 17741, 'CodevTT_RAF', '0.5', '2', 0, 1510153514),
(296355, 217, 17741, 'CodevTT_RAF', '2', '2', 0, 1510153559),
(296356, 217, 17741, '', '32308', '', 4, 1510153571),
(296357, 217, 17741, '', '32436', '', 2, 1510153571),
(296358, 217, 17741, '', '32436', '', 4, 1510153584),
(296359, 217, 17741, '', '32437', '', 2, 1510153584),
(296360, 217, 22423, 'CodevTT_RAF', '', '5', 0, 1510154015),
(296361, 217, 22423, 'status', '10', '50', 0, 1510154015),
(296362, 217, 17741, 'CodevTT_RAF', '2', '2', 0, 1510154032),
(296365, 217, 22423, 'CodevTT_RAF', '5', '5', 0, 1510154285),
(296413, 199, 20642, 'CodevTT_RAF', '0', '0', 0, 1510211262),
(296414, 199, 20431, 'CodevTT_RAF', '', '0', 0, 1510211287),
(296415, 199, 20431, 'CodevTT_RAF', '0', '0', 0, 1510211287),
(296416, 199, 20431, 'status', '10', '80', 0, 1510211287),
(296417, 199, 20431, 'handler_id', '157', '199', 0, 1510211287),
(296418, 74, 22232, 'CodevTT_RAF', '3', '2', 0, 1510211953),
(296419, 74, 22232, 'CodevTT_RAF', '2', '1', 0, 1510211982),
(296420, 74, 22232, 'CodevTT_RAF', '1', '0', 0, 1510211997),
(296421, 74, 22232, 'CodevTT_RAF', '0', '0', 0, 1510211997),
(296422, 74, 22232, 'status', '50', '80', 0, 1510211997),
(296423, 74, 16849, 'CodevTT_RAF', '1', '0', 0, 1510212055),
(296424, 74, 16849, 'CodevTT_RAF', '0', '0', 0, 1510212055),
(296425, 74, 16849, 'status', '20', '80', 0, 1510212055),
(296426, 74, 16849, 'handler_id', '168', '74', 0, 1510212055),
(296427, 74, 21660, 'CodevTT_RAF', '', '1', 0, 1510212103),
(296428, 74, 21660, 'status', '10', '50', 0, 1510212103),
(296429, 217, 17741, 'CodevTT_RAF', '2', '0.5', 0, 1510212552),
(296478, 2, 19800, 'CodevTT_RAF', '0', '0', 0, 1510215820),
(296488, 2, 1437, '', '32467', '', 2, 1510215939),
(296588, 299, 1, '', '32503', '', 2, 1510218372),
(296591, 299, 1, '', '32505', '', 2, 1510218398),
(296665, 72, 22933, 'Ref. Externe', '', '45262', 0, 1510221040),
(296666, 72, 22933, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221040),
(296667, 72, 22933, 'target_version', '', '18.0.10_PUMA', 0, 1510221040),
(296668, 72, 22933, 'handler_id', '0', '199', 0, 1510221040),
(296669, 72, 22933, 'codevtt_type', '', 'Bug', 0, 1510221040),
(296675, 72, 22935, 'Ref. Externe', '', '45266', 0, 1510221041),
(296676, 72, 22935, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221041),
(296677, 72, 22935, 'target_version', '', '18.0.10_PUMA', 0, 1510221041),
(296678, 72, 22935, 'handler_id', '0', '168', 0, 1510221041),
(296679, 72, 22935, 'codevtt_type', '', 'Bug', 0, 1510221041),
(296680, 72, 22936, 'Ref. Externe', '', '45267', 0, 1510221041),
(296681, 72, 22936, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221041),
(296682, 72, 22936, 'target_version', '', '18.0.10_PUMA', 0, 1510221041),
(296683, 72, 22936, 'handler_id', '0', '168', 0, 1510221041),
(296684, 72, 22936, 'codevtt_type', '', 'Bug', 0, 1510221041),
(296685, 72, 22937, 'Ref. Externe', '', '45268', 0, 1510221041),
(296686, 72, 22937, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221041),
(296687, 72, 22937, 'target_version', '', '18.0.10_PUMA', 0, 1510221041),
(296688, 72, 22937, 'handler_id', '0', '168', 0, 1510221041);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(296689, 72, 22937, 'codevtt_type', '', 'Bug', 0, 1510221041),
(296690, 72, 22938, 'Ref. Externe', '', '45270', 0, 1510221041),
(296691, 72, 22938, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221041),
(296692, 72, 22938, 'target_version', '', '18.0.10_PUMA', 0, 1510221041),
(296693, 72, 22938, 'handler_id', '0', '168', 0, 1510221042),
(296694, 72, 22938, 'codevtt_type', '', 'Bug', 0, 1510221042),
(296695, 72, 22939, 'Ref. Externe', '', '45272', 0, 1510221042),
(296696, 72, 22939, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221042),
(296697, 72, 22939, 'target_version', '', '18.0.10_PUMA', 0, 1510221042),
(296698, 72, 22939, 'handler_id', '0', '168', 0, 1510221042),
(296699, 72, 22939, 'codevtt_type', '', 'Bug', 0, 1510221042),
(296700, 72, 22940, 'Ref. Externe', '', '45273', 0, 1510221042),
(296701, 72, 22940, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221042),
(296702, 72, 22940, 'target_version', '', '18.0.10_PUMA', 0, 1510221042),
(296703, 72, 22940, 'handler_id', '0', '168', 0, 1510221042),
(296704, 72, 22940, 'codevtt_type', '', 'Bug', 0, 1510221042),
(296705, 72, 22941, 'Ref. Externe', '', '45274', 0, 1510221042),
(296706, 72, 22941, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221042),
(296707, 72, 22941, 'target_version', '', '18.0.10_PUMA', 0, 1510221042),
(296708, 72, 22941, 'handler_id', '0', '168', 0, 1510221042),
(296709, 72, 22941, 'codevtt_type', '', 'Bug', 0, 1510221042),
(296710, 72, 22942, 'Ref. Externe', '', '45275', 0, 1510221042),
(296711, 72, 22942, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221042),
(296712, 72, 22942, 'target_version', '', '18.0.10_PUMA', 0, 1510221042),
(296713, 72, 22942, 'handler_id', '0', '168', 0, 1510221042),
(296714, 72, 22942, 'codevtt_type', '', 'Bug', 0, 1510221042),
(296715, 72, 22943, 'Ref. Externe', '', '45276', 0, 1510221043),
(296716, 72, 22943, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221043),
(296717, 72, 22943, 'target_version', '', '18.0.10_PUMA', 0, 1510221043),
(296718, 72, 22943, 'handler_id', '0', '168', 0, 1510221043),
(296719, 72, 22943, 'codevtt_type', '', 'Bug', 0, 1510221043),
(296720, 72, 22944, 'Ref. Externe', '', '45277', 0, 1510221043),
(296721, 72, 22944, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221043),
(296722, 72, 22944, 'target_version', '', '18.0.10_PUMA', 0, 1510221043),
(296723, 72, 22944, 'handler_id', '0', '168', 0, 1510221043),
(296724, 72, 22944, 'codevtt_type', '', 'Bug', 0, 1510221043),
(296725, 72, 22945, 'Ref. Externe', '', '45258', 0, 1510221102),
(296726, 72, 22945, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221102),
(296727, 72, 22945, 'handler_id', '0', '157', 0, 1510221102),
(296728, 72, 22945, 'codevtt_type', '', 'Task', 0, 1510221102),
(296729, 72, 22946, 'Ref. Externe', '', '45258', 0, 1510221102),
(296730, 72, 22946, 'CodevTT_ChargeInit', '', '0.5', 0, 1510221102),
(296731, 72, 22946, 'handler_id', '0', '157', 0, 1510221102),
(296732, 72, 22946, 'codevtt_type', '', 'Task', 0, 1510221102),
(296890, 299, 1, '', '32599', '', 2, 1510223052),
(296892, 299, 1, '', '32600', '', 2, 1510223087),
(296893, 299, 1, '', '32505', '', 4, 1510223149),
(296894, 299, 1, '', '32601', '', 2, 1510223149),
(296923, 299, 1, '', '32503', '', 4, 1510223272),
(296924, 299, 1, '', '32616', '', 2, 1510223272),
(296925, 299, 1, '', '32601', '', 4, 1510223281),
(296926, 299, 1, '', '32617', '', 2, 1510223281),
(296927, 299, 1, '', '32600', '', 4, 1510223289),
(296928, 299, 1, '', '32618', '', 2, 1510223289),
(296929, 299, 1, '', '32599', '', 4, 1510223294),
(296930, 299, 1, '', '32619', '', 2, 1510223294),
(296939, 299, 1, '', '32619', '', 4, 1510223526),
(296940, 299, 1, '', '32624', '', 2, 1510223526),
(296943, 299, 1, '', '32618', '', 4, 1510223531),
(296944, 299, 1, '', '32626', '', 2, 1510223531),
(297223, 422, 1, '', '32741', '', 2, 1510232607),
(297226, 422, 1, '', '32743', '', 2, 1510232910),
(297227, 422, 1, '', '32744', '', 2, 1510232915),
(297228, 422, 1, '', '32744', '', 4, 1510232964),
(297229, 422, 1, '', '32745', '', 2, 1510232964),
(297247, 422, 1, '', '32753', '', 2, 1510233179),
(297252, 422, 1, '', '32756', '', 2, 1510233313),
(297255, 422, 1, '', '32758', '', 2, 1510233377),
(297259, 422, 1, '', '32760', '', 2, 1510233608),
(297419, 422, 1, '', '32793', '', 2, 1510240751),
(297471, 2, 21623, '', '32802', '', 2, 1510266184),
(297472, 2, 2894, '', '32803', '', 2, 1510266212),
(297474, 2, 19800, '', '32804', '', 2, 1510266988),
(297475, 2, 2894, '', '32803', '', 4, 1510267011),
(297476, 2, 2894, '', '32805', '', 2, 1510267011),
(297477, 199, 22766, 'CodevTT_RAF', '0.5', '0', 0, 1510297648),
(297478, 199, 22766, 'CodevTT_RAF', '0', '0', 0, 1510297648),
(297479, 199, 22766, 'status', '20', '80', 0, 1510297648),
(297480, 199, 22764, 'CodevTT_RAF', '1', '1', 0, 1510297675),
(297498, 72, 22951, 'Ref. Externe', '', '45280', 0, 1510302645),
(297499, 72, 22951, 'CodevTT_ChargeInit', '', '0.5', 0, 1510302645),
(297500, 72, 22951, 'codevtt_type', '', 'Bug', 0, 1510302645),
(297501, 72, 22952, 'Ref. Externe', '', '45281', 0, 1510302646),
(297502, 72, 22952, 'CodevTT_ChargeInit', '', '0.5', 0, 1510302646),
(297503, 72, 22952, 'codevtt_type', '', 'Bug', 0, 1510302646),
(297504, 72, 22953, 'Ref. Externe', '', '45285', 0, 1510302646),
(297505, 72, 22953, 'CodevTT_ChargeInit', '', '0.5', 0, 1510302646),
(297506, 72, 22953, 'codevtt_type', '', 'Bug', 0, 1510302646),
(297510, 72, 22954, 'Ref. Externe', '', '45283', 0, 1510302707),
(297511, 72, 22954, 'CodevTT_ChargeInit', '', '0.5', 0, 1510302707),
(297512, 72, 22954, 'handler_id', '0', '157', 0, 1510302707),
(297513, 72, 22954, 'codevtt_type', '', 'Task', 0, 1510302707),
(297514, 72, 22955, 'Ref. Externe', '', '45283', 0, 1510302707),
(297515, 72, 22955, 'CodevTT_ChargeInit', '', '0.5', 0, 1510302707),
(297516, 72, 22955, 'handler_id', '0', '157', 0, 1510302707),
(297517, 72, 22955, 'codevtt_type', '', 'Task', 0, 1510302707),
(297529, 72, 21661, 'summary', 'Qualif  - 18.2 DSIINT', 'Qualif  - 18.2 DSIINT R1', 0, 1510303635),
(297530, 72, 21661, 'Ref. Externe', 'Q18.2 DSI INT', 'Q18.2 DSI INT R1', 0, 1510303635),
(297531, 72, 22956, '', '', '', 1, 1510303678),
(297532, 72, 22956, 'handler_id', '0', '74', 0, 1510303678),
(297533, 72, 22956, '', '', '21661', 21, 1510303678),
(297534, 72, 21661, '', '', '22956', 20, 1510303678),
(297557, 157, 22824, 'CodevTT_RAF', '', '3', 0, 1510308854),
(297558, 157, 22824, 'status', '10', '50', 0, 1510308854),
(297563, 157, 22923, 'CodevTT_RAF', '', '3', 0, 1510308896),
(297564, 157, 22923, 'status', '10', '50', 0, 1510308896),
(297565, 157, 22381, 'CodevTT_RAF', '', '0', 0, 1510309038),
(297566, 157, 22381, 'status', '10', '80', 0, 1510309038),
(297567, 157, 22381, 'CodevTT_RAF', '0', '0', 0, 1510309038),
(297568, 157, 22381, 'CodevTT_Dead Line', '', '', 0, 1510309038),
(297571, 339, 2, '', '32813', '', 2, 1510309098),
(297572, 157, 22408, 'CodevTT_RAF', '', '0', 0, 1510309175),
(297573, 157, 22408, 'CodevTT_RAF', '0', '0', 0, 1510309175),
(297574, 157, 22408, 'status', '10', '80', 0, 1510309175),
(297575, 157, 21620, 'CodevTT_RAF', '1.75', '0', 0, 1510309328),
(297576, 157, 21620, 'status', '20', '80', 0, 1510309328),
(297577, 157, 21620, 'CodevTT_RAF', '0', '0', 0, 1510309328),
(297578, 157, 21620, 'status', '80', '20', 0, 1510309340),
(297579, 157, 22413, 'CodevTT_RAF', '0', '0', 0, 1510309460),
(297580, 157, 19872, 'CodevTT_RAF', '2', '1.5', 0, 1510309491),
(297581, 157, 22945, 'CodevTT_RAF', '', '2', 0, 1510309599),
(297582, 157, 22945, 'status', '10', '50', 0, 1510309599),
(297584, 157, 22824, 'CodevTT_RAF', '3', '2.5', 0, 1510309643),
(297624, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1510311580),
(297625, 164, 20615, 'CodevTT_RAF', '0', '0', 0, 1510311708),
(297626, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1510311724),
(297633, 74, 22806, 'CodevTT_RAF', '1', '1', 0, 1510315986),
(297634, 74, 22807, 'CodevTT_RAF', '', '3', 0, 1510316009),
(297635, 74, 22807, 'status', '10', '50', 0, 1510316009),
(297665, 199, 22764, 'CodevTT_RAF', '1', '0', 0, 1510318698),
(297666, 199, 22764, 'CodevTT_RAF', '0', '0', 0, 1510318699),
(297667, 199, 22764, 'status', '50', '80', 0, 1510318699),
(297668, 199, 22964, '', '', '', 1, 1510318798),
(297669, 199, 22964, 'handler_id', '0', '199', 0, 1510318798),
(297670, 199, 22964, '', '', '22764', 21, 1510318799),
(297671, 199, 22764, '', '', '22964', 20, 1510318799),
(297672, 199, 22964, 'CodevTT_RAF', '', '0', 0, 1510318829),
(297673, 199, 22964, 'CodevTT_RAF', '0', '0', 0, 1510318829),
(297674, 199, 22964, 'status', '10', '80', 0, 1510318829),
(297685, 217, 22423, '', '32817', '', 2, 1510320303),
(297686, 217, 22423, 'CodevTT_RAF', '5', '2', 0, 1510320333),
(297760, 199, 22214, 'CodevTT_RAF', '', '0.5', 0, 1510325591),
(297761, 199, 22214, 'CodevTT_RAF', '0.5', '0.25', 0, 1510325634),
(297762, 199, 22214, 'status', '10', '20', 0, 1510325634),
(297796, 49, 2, '', '32830', '', 2, 1510327407),
(297822, 2, 21623, '', '32833', '', 2, 1510329500),
(297826, 2, 2894, '', '32834', '', 2, 1510329532),
(297866, 422, 1, '', '32835', '', 2, 1510329906),
(297867, 422, 1, '', '32835', '', 4, 1510330002),
(297868, 422, 1, '', '32836', '', 2, 1510330002),
(297973, 72, 22047, 'CodevTT_RAF', '0.5', '0.3', 0, 1510562583),
(297974, 72, 22925, 'CodevTT_Dead Line', '', '1543014000', 0, 1510562726),
(298005, 72, 21630, 'CodevTT_RAF', '', '0', 0, 1510566997),
(298006, 72, 21630, 'status', '10', '80', 0, 1510566997),
(298007, 72, 21630, 'CodevTT_RAF', '0', '0', 0, 1510566997),
(298036, 199, 20432, 'CodevTT_RAF', '1', '0.1', 0, 1510580610),
(298037, 199, 20433, 'CodevTT_RAF', '', '0', 0, 1510580627),
(298038, 199, 20433, 'CodevTT_RAF', '0', '0', 0, 1510580627),
(298039, 199, 20433, 'status', '20', '80', 0, 1510580627),
(298063, 217, 22423, '', '32872', '', 2, 1510586834),
(298064, 217, 4857, '', '32873', '', 2, 1510586840),
(298065, 217, 4857, '', '32874', '', 2, 1510586856),
(298066, 217, 22386, 'CodevTT_RAF', '', '5', 0, 1510586922),
(298067, 217, 22386, 'status', '10', '50', 0, 1510586922),
(298105, 199, 20433, 'CodevTT_RAF', '0', '1', 0, 1510642042),
(298106, 199, 20433, 'status', '80', '50', 0, 1510642042),
(298111, 72, 23002, 'Ref. Externe', '', '45290', 0, 1510644586),
(298112, 72, 23002, 'CodevTT_ChargeInit', '', '0.5', 0, 1510644586),
(298113, 72, 23002, 'handler_id', '0', '199', 0, 1510644586),
(298114, 72, 23002, 'codevtt_type', '', 'Bug', 0, 1510644586),
(298115, 72, 23003, 'Ref. Externe', '', '45292', 0, 1510644586),
(298116, 72, 23003, 'CodevTT_ChargeInit', '', '0.5', 0, 1510644586),
(298117, 72, 23003, 'handler_id', '0', '199', 0, 1510644586),
(298118, 72, 23003, 'codevtt_type', '', 'Bug', 0, 1510644586),
(298119, 72, 23004, 'Ref. Externe', '', '45295', 0, 1510644586),
(298120, 72, 23004, 'CodevTT_ChargeInit', '', '0.5', 0, 1510644586),
(298121, 72, 23004, 'handler_id', '0', '199', 0, 1510644586),
(298122, 72, 23004, 'codevtt_type', '', 'Bug', 0, 1510644586),
(298123, 72, 23005, 'Ref. Externe', '', '45297', 0, 1510644586),
(298124, 72, 23005, 'CodevTT_ChargeInit', '', '0.5', 0, 1510644586),
(298125, 72, 23005, 'handler_id', '0', '199', 0, 1510644586),
(298126, 72, 23005, 'codevtt_type', '', 'Bug', 0, 1510644586),
(298127, 72, 23006, 'Ref. Externe', '', '45299', 0, 1510644587),
(298128, 72, 23006, 'CodevTT_ChargeInit', '', '0.5', 0, 1510644587),
(298129, 72, 23006, 'handler_id', '0', '199', 0, 1510644587),
(298130, 72, 23006, 'codevtt_type', '', 'Bug', 0, 1510644587),
(303563, 72, 22877, '', '', '23243', 20, 1511773773),
(303562, 72, 23243, '', '', '22877', 21, 1511773773),
(303561, 72, 23243, 'handler_id', '0', '199', 0, 1511773773),
(303560, 72, 23243, '', '', '', 1, 1511773773),
(298232, 240, 1041, '', '32905', '', 2, 1510653707),
(298233, 240, 1041, '', '32906', '', 2, 1510653710),
(303559, 72, 22877, 'CodevTT_Type', 'Bug', 'Task', 0, 1511773737),
(298515, 168, 22378, 'CodevTT_RAF', '', '1', 0, 1510669217),
(298516, 168, 22378, 'status', '10', '50', 0, 1510669217),
(298517, 168, 22378, 'CodevTT_RAF', '1', '0.5', 0, 1510669277),
(298521, 168, 22919, 'CodevTT_RAF', '', '0', 0, 1510669375),
(298522, 168, 22919, 'CodevTT_RAF', '0', '0', 0, 1510669375),
(298523, 168, 22919, 'status', '10', '80', 0, 1510669375),
(298524, 168, 22919, 'CodevTT_RAF', '0', '1', 0, 1510669448),
(298525, 168, 22919, 'status', '80', '50', 0, 1510669448),
(298526, 168, 22920, 'CodevTT_RAF', '', '0', 0, 1510669492),
(298527, 168, 22920, 'CodevTT_RAF', '0', '0', 0, 1510669492),
(298528, 168, 22920, 'status', '10', '80', 0, 1510669492),
(298531, 168, 22919, 'CodevTT_RAF', '1', '2', 0, 1510669575),
(298534, 168, 22919, 'CodevTT_RAF', '2', '2', 0, 1510669619),
(298535, 168, 22919, 'CodevTT_RAF', '2', '1', 0, 1510669641),
(298538, 168, 22919, 'CodevTT_RAF', '1', '0', 0, 1510669662),
(298539, 168, 22919, 'CodevTT_RAF', '0', '0', 0, 1510669662),
(298540, 168, 22919, 'status', '50', '80', 0, 1510669662),
(298541, 168, 22423, 'CodevTT_RAF', '2', '2', 0, 1510669716),
(298544, 168, 22423, '', '32992', '', 2, 1510669760),
(298545, 168, 22423, 'CodevTT_RAF', '2', '1', 0, 1510669792),
(298558, 72, 22414, 'CodevTT_RAF', '5.5', '0', 0, 1510670836),
(298559, 72, 22414, 'status', '50', '80', 0, 1510670836),
(298560, 72, 22414, 'CodevTT_RAF', '0', '0', 0, 1510670836),
(298561, 72, 22414, 'CodevTT_ChargeMgr', '', '7', 0, 1510670948),
(298562, 72, 22414, 'CodevTT_ChargeInit', '0.5', '5', 0, 1510670948),
(298563, 72, 22413, 'CodevTT_ChargeMgr', '0', '12.5', 0, 1510670982),
(298564, 72, 22413, 'CodevTT_ChargeInit', '0.5', '5', 0, 1510670982),
(298565, 72, 22434, 'handler_id', '205', '0', 0, 1510671014),
(298566, 72, 22434, 'CodevTT_RAF', '', '0', 0, 1510671014),
(298567, 72, 22434, 'status', '10', '80', 0, 1510671014),
(298568, 72, 22434, 'CodevTT_RAF', '0', '0', 0, 1510671014),
(298569, 72, 22434, 'CodevTT_Dead Line', '', '', 0, 1510671014),
(298700, 74, 22807, 'CodevTT_RAF', '3', '3', 0, 1510733495),
(298701, 74, 22806, 'CodevTT_RAF', '1', '0', 0, 1510733527),
(298702, 74, 22806, 'CodevTT_RAF', '0', '0', 0, 1510733527),
(298703, 74, 22806, 'status', '50', '80', 0, 1510733527),
(298714, 157, 23016, '', '', '', 1, 1510736921),
(298715, 157, 23016, 'handler_id', '0', '157', 0, 1510736921),
(298716, 157, 23016, '', '', '22923', 21, 1510736921),
(298717, 157, 22923, '', '', '23016', 20, 1510736921),
(298718, 157, 23017, '', '', '', 1, 1510736955),
(298719, 157, 23017, 'handler_id', '0', '157', 0, 1510736955),
(298720, 157, 23017, '', '', '23016', 21, 1510736955),
(298721, 157, 23016, '', '', '23017', 20, 1510736955),
(298722, 157, 23018, '', '', '', 1, 1510737061),
(298723, 157, 23018, 'handler_id', '0', '157', 0, 1510737061),
(298724, 157, 23018, '', '', '22408', 21, 1510737061),
(298725, 157, 22408, '', '', '23018', 20, 1510737061),
(298726, 157, 23016, 'CodevTT_RAF', '', '2.5', 0, 1510737123),
(298727, 157, 23016, 'status', '10', '50', 0, 1510737123),
(298728, 157, 22825, 'CodevTT_RAF', '', '2.75', 0, 1510737170),
(298729, 157, 22825, 'status', '10', '50', 0, 1510737170),
(298730, 157, 22824, 'CodevTT_RAF', '2.5', '2', 0, 1510737269),
(298731, 157, 22923, 'CodevTT_RAF', '3', '2', 0, 1510737303),
(298732, 157, 23018, 'CodevTT_RAF', '', '0.5', 0, 1510737350),
(298733, 157, 23018, 'status', '10', '50', 0, 1510737350),
(298734, 157, 23018, 'CodevTT_RAF', '0.5', '0', 0, 1510737370),
(298735, 157, 23018, 'CodevTT_RAF', '0', '0', 0, 1510737370),
(298736, 157, 23018, 'status', '50', '80', 0, 1510737370),
(298737, 157, 22924, 'CodevTT_RAF', '', '2.75', 0, 1510737481),
(298738, 157, 22924, 'status', '10', '50', 0, 1510737481),
(299187, 344, 2, '', '33158', '', 2, 1510830507),
(299194, 353, 2, '', '31908', '', 4, 1510830606),
(299536, 299, 1, '', '33299', '', 2, 1510840465),
(299551, 299, 1, '', '33305', '', 2, 1510840826),
(299556, 299, 1, '', '33306', '', 2, 1510840889),
(299565, 299, 1, '', '33307', '', 2, 1510840935),
(299681, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1510848717),
(299682, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1510848730),
(299683, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1510848751),
(299741, 74, 22232, 'CodevTT_RAF', '0', '2', 0, 1510862602),
(299742, 74, 22232, 'status', '80', '50', 0, 1510862602),
(299743, 74, 22232, 'CodevTT_RAF', '2', '1', 0, 1510862620),
(299744, 74, 22232, 'CodevTT_RAF', '1', '2', 0, 1510862639),
(299745, 74, 22232, 'CodevTT_RAF', '2', '2', 0, 1510862661),
(300126, 422, 1, '', '33350', '', 2, 1510909603),
(300127, 422, 1, '', '33351', '', 2, 1510909629),
(300128, 422, 1, '', '33352', '', 2, 1510909767),
(300131, 422, 1, '', '33354', '', 2, 1510909908),
(300170, 157, 22825, 'CodevTT_RAF', '2.75', '2', 0, 1510913648),
(300171, 157, 22825, 'CodevTT_RAF', '2', '2', 0, 1510913677),
(300172, 157, 23017, 'CodevTT_RAF', '', '4', 0, 1510913711),
(300173, 157, 23017, 'status', '10', '50', 0, 1510913711),
(300174, 157, 23016, 'CodevTT_RAF', '2.5', '2', 0, 1510913741),
(300176, 157, 22825, 'CodevTT_RAF', '2', '2', 0, 1510913818),
(300647, 72, 23138, 'Ref. Externe', '', '45319', 0, 1510930578),
(300648, 72, 23138, 'CodevTT_ChargeInit', '', '0.5', 0, 1510930578),
(300649, 72, 23138, 'target_version', '', '18.0.10_PUMA', 0, 1510930578),
(300650, 72, 23138, 'handler_id', '0', '199', 0, 1510930578),
(300651, 72, 23138, 'codevtt_type', '', 'Task', 0, 1510930578),
(300706, 422, 1, '', '33379', '', 2, 1510934596),
(300710, 422, 1, '', '33379', '', 4, 1510934637),
(300711, 422, 1, '', '33381', '', 2, 1510934637),
(300814, 2, 20800, '', '33386', '', 2, 1510955936),
(300815, 2, 20800, '', '33387', '', 2, 1510955944),
(300945, 339, 2, '', '33419', '', 2, 1511171668),
(301003, 72, 23149, 'Ref. Externe', '', '45323', 0, 1511173697),
(301004, 72, 23149, 'CodevTT_ChargeInit', '', '0.5', 0, 1511173697),
(301005, 72, 23149, 'handler_id', '0', '199', 0, 1511173697),
(301006, 72, 23149, 'codevtt_type', '', 'Bug', 0, 1511173697),
(301007, 72, 23150, 'Ref. Externe', '', '45324', 0, 1511173698),
(301008, 72, 23150, 'CodevTT_ChargeInit', '', '0.5', 0, 1511173698),
(301009, 72, 23150, 'handler_id', '0', '199', 0, 1511173698),
(301010, 72, 23150, 'codevtt_type', '', 'Bug', 0, 1511173698),
(301011, 72, 23151, 'Ref. Externe', '', '45326', 0, 1511173698),
(301012, 72, 23151, 'CodevTT_ChargeInit', '', '0.5', 0, 1511173698),
(301013, 72, 23151, 'handler_id', '0', '157', 0, 1511173698),
(301014, 72, 23151, 'codevtt_type', '', 'Bug', 0, 1511173698),
(301015, 72, 23152, 'Ref. Externe', '', '45327', 0, 1511173698),
(301016, 72, 23152, 'CodevTT_ChargeInit', '', '0.5', 0, 1511173698),
(301017, 72, 23152, 'handler_id', '0', '157', 0, 1511173698),
(301018, 72, 23152, 'codevtt_type', '', 'Bug', 0, 1511173698),
(301095, 2, 2894, '', '33438', '', 2, 1511177465),
(301096, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1511177506),
(301172, 347, 2, '', '33458', '', 2, 1511184752),
(301209, 282, 1400, '', '33465', '', 2, 1511187918),
(301331, 199, 22214, 'CodevTT_RAF', '0.25', '0', 0, 1511190774),
(301332, 199, 22214, 'CodevTT_RAF', '0', '0', 0, 1511190774),
(301333, 199, 22214, 'status', '20', '80', 0, 1511190774),
(301337, 199, 23149, 'CodevTT_RAF', '', '0.5', 0, 1511190818),
(301338, 199, 23149, 'status', '10', '50', 0, 1511190819),
(301339, 199, 23150, 'CodevTT_RAF', '', '0.5', 0, 1511190845),
(301340, 199, 23150, 'status', '10', '50', 0, 1511190845),
(301343, 199, 22806, 'CodevTT_RAF', '0', '0', 0, 1511191152),
(301344, 199, 22806, 'handler_id', '74', '199', 0, 1511191152),
(301353, 199, 21800, 'CodevTT_RAF', '', '1', 0, 1511191214),
(301354, 199, 21800, 'status', '10', '50', 0, 1511191214),
(301359, 199, 21800, 'CodevTT_RAF', '1', '1', 0, 1511191248),
(301360, 199, 22877, 'CodevTT_RAF', '', '1', 0, 1511191345),
(301361, 199, 22877, 'status', '10', '50', 0, 1511191345),
(301362, 199, 22877, 'handler_id', '0', '199', 0, 1511191345),
(301363, 199, 22877, 'CodevTT_RAF', '1', '1', 0, 1511191370),
(301364, 199, 22915, 'CodevTT_RAF', '0.5', '0', 0, 1511191505),
(301365, 199, 22915, 'CodevTT_RAF', '0', '0', 0, 1511191505),
(301366, 199, 22915, 'status', '20', '80', 0, 1511191505),
(301367, 199, 22916, 'CodevTT_RAF', '0', '0', 0, 1511191535),
(301368, 199, 23002, 'CodevTT_RAF', '', '0', 0, 1511191715),
(301369, 199, 23002, 'status', '10', '80', 0, 1511191715),
(301370, 199, 23002, 'CodevTT_RAF', '0', '0', 0, 1511191715),
(301371, 199, 21800, 'CodevTT_RAF', '1', '1', 0, 1511191855),
(301372, 199, 22386, 'CodevTT_RAF', '5', '0.5', 0, 1511192035),
(301432, 2, 20800, '', '33540', '', 2, 1511197187),
(301448, 72, 22915, 'CodevTT_ChargeMgr', '', '1', 0, 1511250226),
(301449, 72, 22915, 'CodevTT_ChargeInit', '2', '1', 0, 1511250235),
(301450, 72, 22916, 'CodevTT_ChargeMgr', '', '0.5', 0, 1511250276),
(301451, 72, 22916, 'CodevTT_ChargeInit', '2', '1', 0, 1511250276),
(301452, 72, 21661, '', '4263', '', 6, 1511250455),
(301453, 72, 21661, 'CodevTT_ChargeMgr', '2', '2.5', 0, 1511250455),
(301454, 72, 21917, 'CodevTT_RAF', '5', '0', 0, 1511250637),
(301455, 72, 21917, 'status', '50', '80', 0, 1511250637),
(301456, 72, 21917, 'CodevTT_RAF', '0', '0', 0, 1511250637),
(301457, 72, 21917, '', '4265', '', 6, 1511250664),
(301561, 2, 23160, '', '', '', 1, 1511255600),
(301562, 2, 23160, 'handler_id', '0', '2', 0, 1511255600),
(301600, 72, 23163, '', '', '', 1, 1511260725),
(301601, 72, 23163, '', '33567', '', 2, 1511260921),
(301602, 72, 23163, 'CodevTT_RAF', '', '5', 0, 1511260921),
(301603, 72, 23163, 'status', '10', '50', 0, 1511260921),
(301604, 72, 23163, 'handler_id', '0', '72', 0, 1511260921),
(301652, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1511271205),
(301653, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1511271245),
(301654, 164, 20615, 'CodevTT_RAF', '0', '0', 0, 1511271285),
(301710, 66, 2, '', '33606', '', 2, 1511274184),
(301722, 72, 21660, 'CodevTT_ChargeMgr', '0', '3', 0, 1511277336),
(301723, 72, 21759, 'CodevTT_ChargeMgr', '', '3', 0, 1511277378),
(301724, 72, 21759, 'CodevTT_ChargeInit', '0.5', '1', 0, 1511277390),
(301725, 72, 21661, '', '4266', '', 6, 1511277573),
(301726, 72, 21661, 'CodevTT_ChargeMgr', '2.5', '6.5', 0, 1511277573),
(301727, 72, 22232, 'CodevTT_RAF', '2', '0', 0, 1511278009),
(301728, 72, 22232, 'status', '50', '80', 0, 1511278009),
(301729, 72, 22232, 'CodevTT_RAF', '0', '0', 0, 1511278009),
(301730, 72, 22232, 'CodevTT_Dead Line', '', '', 0, 1511278009),
(301736, 72, 22964, 'CodevTT_ChargeMgr', '', '0', 0, 1511278719),
(301747, 72, 23165, 'Ref. Externe', '', '45312', 0, 1511279653),
(301748, 72, 23165, 'CodevTT_ChargeInit', '', '0.5', 0, 1511279653),
(301749, 72, 23165, 'handler_id', '0', '199', 0, 1511279653),
(301750, 72, 23165, 'codevtt_type', '', 'Bug', 0, 1511279653),
(301751, 72, 23166, 'Ref. Externe', '', '45332', 0, 1511279653),
(301752, 72, 23166, 'CodevTT_ChargeInit', '', '0.5', 0, 1511279653),
(301753, 72, 23166, 'handler_id', '0', '199', 0, 1511279653),
(301754, 72, 23166, 'codevtt_type', '', 'Bug', 0, 1511279653),
(301755, 72, 23167, 'Ref. Externe', '', '45335', 0, 1511279734),
(301756, 72, 23167, 'CodevTT_ChargeInit', '', '0.5', 0, 1511279734),
(301757, 72, 23167, 'handler_id', '0', '199', 0, 1511279734),
(301758, 72, 23167, 'codevtt_type', '', 'Task', 0, 1511279734),
(301759, 72, 23168, 'Ref. Externe', '', '45335', 0, 1511279735),
(301760, 72, 23168, 'CodevTT_ChargeInit', '', '0.5', 0, 1511279735),
(301761, 72, 23168, 'handler_id', '0', '199', 0, 1511279735),
(301762, 72, 23168, 'codevtt_type', '', 'Task', 0, 1511279735),
(301763, 72, 23169, 'Ref. Externe', '', '45269', 0, 1511279808),
(301764, 72, 23169, 'CodevTT_ChargeInit', '', '0.5', 0, 1511279808),
(301765, 72, 23169, 'handler_id', '0', '164', 0, 1511279808),
(301766, 72, 23169, 'codevtt_type', '', 'Task', 0, 1511279808),
(301767, 72, 23170, 'Ref. Externe', '', '45320', 0, 1511279808),
(301768, 72, 23170, 'CodevTT_ChargeInit', '', '0.5', 0, 1511279808),
(301769, 72, 23170, 'handler_id', '0', '164', 0, 1511279808),
(301770, 72, 23170, 'codevtt_type', '', 'Task', 0, 1511279808),
(301771, 72, 23171, 'Ref. Externe', '', '45330', 0, 1511280000),
(301772, 72, 23171, 'CodevTT_ChargeInit', '', '0.5', 0, 1511280000),
(301773, 72, 23171, 'handler_id', '0', '157', 0, 1511280001),
(301774, 72, 23171, 'codevtt_type', '', 'Bug', 0, 1511280001),
(301775, 72, 23172, 'Ref. Externe', '', '45331', 0, 1511280001),
(301776, 72, 23172, 'CodevTT_ChargeInit', '', '0.5', 0, 1511280001),
(301777, 72, 23172, 'handler_id', '0', '157', 0, 1511280001),
(301778, 72, 23172, 'codevtt_type', '', 'Bug', 0, 1511280001),
(302043, 157, 23017, 'CodevTT_RAF', '4', '3.5', 0, 1511359181),
(302044, 157, 22825, 'CodevTT_RAF', '2', '1.5', 0, 1511359203),
(302045, 157, 23136, 'CodevTT_RAF', '', '2.5', 0, 1511359247),
(302046, 157, 23136, 'status', '10', '50', 0, 1511359247),
(302047, 157, 22924, 'CodevTT_RAF', '2.75', '2', 0, 1511359275),
(302048, 157, 23136, 'CodevTT_RAF', '2.5', '2', 0, 1511359302),
(302049, 157, 22825, 'CodevTT_RAF', '1.5', '1', 0, 1511359334),
(302053, 72, 2894, '', '33660', '', 2, 1511360259),
(302054, 72, 23163, 'CodevTT_RAF', '5', '3', 0, 1511360280),
(302083, 2, 23163, 'CodevTT_RAF', '3', '3', 0, 1511369233),
(303648, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1511795591),
(303556, 72, 23242, 'handler_id', '0', '199', 0, 1511773619),
(303557, 72, 23242, 'codevtt_type', '', 'Bug', 0, 1511773619),
(303558, 72, 22877, 'summary', '45241 - FC30 - Incident de production - Téledéclaration effacée', '45241 -[SPEC]  FC30 - Incident de production - Téledéclaration effacée', 0, 1511773737),
(303555, 72, 23242, 'CodevTT_ChargeInit', '', '0.5', 0, 1511773619),
(303554, 72, 23242, 'Ref. Externe', '', '45365', 0, 1511773619),
(302235, 199, 20432, 'CodevTT_RAF', '0.1', '0.5', 0, 1511426360),
(302284, 199, 22386, 'CodevTT_RAF', '0.5', '0.25', 0, 1511428577),
(302285, 199, 22386, 'status', '50', '20', 0, 1511428577),
(302458, 299, 1, '', '33781', '', 2, 1511431691),
(302695, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1511458590),
(302726, 424, 1, '', '33872', '', 2, 1511507297),
(302828, 157, 23017, 'CodevTT_RAF', '3.5', '3', 0, 1511518459),
(302829, 157, 23017, 'CodevTT_RAF', '3', '2.5', 0, 1511518485),
(302830, 157, 22825, 'CodevTT_RAF', '1', '0.75', 0, 1511518525),
(302831, 157, 22924, 'CodevTT_RAF', '2', '1.75', 0, 1511518603),
(302832, 157, 22924, 'CodevTT_RAF', '1.75', '1.75', 0, 1511518623),
(302835, 157, 23163, 'CodevTT_RAF', '3', '2.5', 0, 1511518658),
(303054, 74, 22232, 'CodevTT_RAF', '0', '2', 0, 1511521282),
(303055, 74, 22232, 'status', '80', '50', 0, 1511521283),
(303058, 74, 23163, 'CodevTT_RAF', '2.5', '2', 0, 1511521324),
(303062, 74, 22232, 'CodevTT_RAF', '2', '2', 0, 1511521357),
(303064, 74, 22232, 'CodevTT_RAF', '2', '2', 0, 1511521421),
(303065, 74, 22807, 'CodevTT_RAF', '3', '3', 0, 1511521453),
(303308, 72, 21800, 'CodevTT_ChargeMgr', '', '6', 0, 1511534672),
(303309, 164, 1, '', '29737', '', 4, 1511534700),
(303310, 72, 21661, '', '4269', '', 6, 1511534751),
(303311, 72, 21661, 'CodevTT_ChargeMgr', '6.5', '9.5', 0, 1511534751),
(303312, 72, 21661, 'CodevTT_ChargeInit', '5', '7', 0, 1511534751),
(303315, 72, 22806, 'CodevTT_ChargeMgr', '0', '5', 0, 1511535059),
(303316, 72, 22807, 'CodevTT_ChargeMgr', '0', '6', 0, 1511535136),
(303317, 72, 22823, 'CodevTT_ChargeMgr', '0', '3', 0, 1511535150),
(303318, 72, 21661, '', '4270', '', 6, 1511535197),
(303319, 72, 21661, 'CodevTT_ChargeMgr', '9.5', '15.5', 0, 1511535197),
(303320, 72, 21661, 'CodevTT_ChargeInit', '7', '10', 0, 1511535197),
(303323, 339, 1, '', '33942', '', 2, 1511536399),
(303697, 426, 1, '', '34002', '', 2, 1511798015),
(303700, 426, 1, '', '34004', '', 2, 1511798102),
(303717, 426, 1, '', '34012', '', 2, 1511798560),
(303720, 426, 1, '', '34012', '', 4, 1511798675),
(303721, 426, 1, '', '34014', '', 2, 1511798675),
(303747, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1511800412),
(303847, 72, 21661, 'CodevTT_RAF', '', '9.8', 0, 1511857360),
(303848, 72, 21661, 'status', '10', '50', 0, 1511857360),
(303849, 72, 21661, '', '34052', '', 2, 1511857395),
(303956, 164, 23248, '', '', '', 1, 1511877950),
(303957, 164, 23248, 'handler_id', '0', '164', 0, 1511877950),
(303958, 164, 23248, '', '', '17251', 21, 1511877950),
(303959, 164, 17251, '', '', '23248', 20, 1511877950),
(303960, 164, 23248, 'status', '10', '80', 0, 1511878028),
(303961, 164, 23248, 'resolution', '10', '20', 0, 1511878028),
(303962, 164, 23248, 'CodevTT_RAF', '', '0', 0, 1511878028),
(303963, 164, 23248, 'CodevTT_RAF', '0', '0', 0, 1511878038),
(304090, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1511889197),
(304231, 2, 17251, '', '34125', '', 2, 1511950667),
(304271, 2, 23160, '', '34140', '', 2, 1511961025),
(304351, 157, 23254, '', '', '', 1, 1511968047),
(304352, 157, 23254, 'handler_id', '0', '157', 0, 1511968047),
(304353, 157, 23254, '', '', '22924', 21, 1511968047),
(304354, 157, 22924, '', '', '23254', 20, 1511968047),
(304355, 157, 23254, 'CodevTT_RAF', '', '1.5', 0, 1511968086),
(304356, 157, 23254, 'status', '10', '50', 0, 1511968086),
(304357, 157, 23254, 'CodevTT_RAF', '1.5', '1', 0, 1511968097),
(304358, 157, 22825, 'CodevTT_RAF', '0.75', '0.25', 0, 1511968147),
(304359, 157, 23017, 'CodevTT_RAF', '2.5', '2', 0, 1511968175),
(304360, 157, 23136, 'CodevTT_RAF', '2', '0', 0, 1511968231),
(304361, 157, 23136, 'CodevTT_RAF', '0', '0', 0, 1511968231),
(304362, 157, 23136, 'status', '50', '80', 0, 1511968231),
(304363, 157, 22945, 'CodevTT_RAF', '2', '1', 0, 1511968278),
(304364, 157, 23255, '', '', '', 1, 1511968382),
(304365, 157, 23255, 'handler_id', '0', '157', 0, 1511968382),
(304366, 157, 23255, '', '', '23254', 21, 1511968382),
(304367, 157, 23254, '', '', '23255', 20, 1511968382),
(304368, 157, 22945, 'CodevTT_RAF', '1', '1', 0, 1511968392),
(304371, 157, 23255, 'CodevTT_RAF', '', '1.5', 0, 1511968422),
(304372, 157, 23255, 'status', '10', '50', 0, 1511968422),
(304374, 157, 22945, 'CodevTT_RAF', '1', '1', 0, 1511968451),
(304774, 237, 2, '', '34242', '', 2, 1512036021),
(304857, 199, 22935, 'CodevTT_RAF', '', '0', 0, 1512039036),
(304858, 199, 22935, 'CodevTT_RAF', '0', '0', 0, 1512039036),
(304859, 199, 22935, 'status', '10', '80', 0, 1512039036),
(304860, 199, 22935, 'handler_id', '168', '199', 0, 1512039036),
(305261, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1512059908),
(305307, 74, 22807, 'CodevTT_RAF', '3', '2', 0, 1512111975),
(305308, 74, 22807, 'CodevTT_RAF', '2', '0.5', 0, 1512111993),
(305309, 74, 22807, 'CodevTT_RAF', '0.5', '0', 0, 1512112009),
(305310, 74, 22807, 'CodevTT_RAF', '0', '0', 0, 1512112009),
(305311, 74, 22807, 'status', '50', '80', 0, 1512112009),
(305312, 157, 23255, 'CodevTT_RAF', '1.5', '1', 0, 1512112091),
(305313, 157, 22945, 'CodevTT_RAF', '1', '1', 0, 1512112122),
(305314, 157, 22407, 'CodevTT_RAF', '1.5', '1.5', 0, 1512112180),
(305315, 157, 23255, 'CodevTT_RAF', '1', '1', 0, 1512112320),
(305316, 199, 23149, 'CodevTT_RAF', '0.5', '0', 0, 1512113705),
(305317, 199, 23149, 'CodevTT_RAF', '0', '0', 0, 1512113706),
(305318, 199, 23149, 'status', '50', '80', 0, 1512113706),
(305319, 199, 22761, 'CodevTT_RAF', '', '0', 0, 1512113814),
(305320, 199, 22761, 'CodevTT_RAF', '0', '0', 0, 1512113814),
(305321, 199, 22761, 'status', '10', '80', 0, 1512113814),
(305322, 199, 22761, 'handler_id', '0', '199', 0, 1512113814),
(305323, 199, 22764, 'CodevTT_RAF', '0', '0', 0, 1512113844),
(305324, 199, 23150, 'CodevTT_RAF', '0.5', '0.1', 0, 1512113876),
(305325, 199, 23150, 'CodevTT_RAF', '0.1', '0.1', 0, 1512113890),
(305326, 199, 23149, 'CodevTT_RAF', '0', '0', 0, 1512114161),
(305327, 199, 22935, 'CodevTT_RAF', '0', '0', 0, 1512114309),
(305328, 199, 22936, 'CodevTT_RAF', '', '1', 0, 1512114335),
(305329, 199, 22936, 'status', '10', '50', 0, 1512114335),
(305330, 199, 22937, 'CodevTT_RAF', '', '1', 0, 1512114383),
(305331, 199, 22937, 'status', '10', '50', 0, 1512114383),
(305332, 199, 22764, 'CodevTT_RAF', '0', '0', 0, 1512114420),
(305333, 199, 20431, 'CodevTT_RAF', '0', '0', 0, 1512114542),
(305334, 199, 20642, 'CodevTT_RAF', '0', '0', 0, 1512114572),
(305335, 199, 20642, 'handler_id', '169', '199', 0, 1512114572),
(305336, 199, 22764, 'CodevTT_RAF', '0', '0', 0, 1512114610),
(305337, 199, 22941, 'CodevTT_RAF', '', '0', 0, 1512114824),
(305338, 199, 22941, 'CodevTT_RAF', '0', '0', 0, 1512114824),
(305339, 199, 22941, 'status', '10', '80', 0, 1512114824),
(305340, 199, 22941, 'handler_id', '168', '199', 0, 1512114824),
(305341, 199, 22920, 'CodevTT_RAF', '0', '0', 0, 1512114871),
(305342, 199, 22920, 'handler_id', '168', '199', 0, 1512114871),
(305343, 199, 22915, 'CodevTT_RAF', '0', '0', 0, 1512114900),
(305344, 199, 22916, 'CodevTT_RAF', '0', '0', 0, 1512114914),
(305512, 72, 23004, 'CodevTT_RAF', '', '0', 0, 1512126045),
(305513, 72, 23004, 'CodevTT_RAF', '0', '0', 0, 1512126045),
(305514, 72, 23004, 'status', '10', '80', 0, 1512126045),
(305515, 72, 23004, 'handler_id', '199', '72', 0, 1512126045),
(305516, 72, 2894, '', '34453', '', 2, 1512126056),
(305543, 72, 23288, 'Ref. Externe', '', '45379', 0, 1512130540),
(305544, 72, 23288, 'CodevTT_ChargeInit', '', '0.5', 0, 1512130540),
(305545, 72, 23288, 'codevtt_type', '', 'Task', 0, 1512130540),
(305546, 72, 23289, 'Ref. Externe', '', '45379', 0, 1512130541),
(305547, 72, 23289, 'CodevTT_ChargeInit', '', '0.5', 0, 1512130541),
(305548, 72, 23289, 'codevtt_type', '', 'Task', 0, 1512130541),
(305563, 74, 21659, 'CodevTT_RAF', '1', '0', 0, 1512133694),
(305564, 74, 21659, 'status', '50', '80', 0, 1512133694),
(305565, 74, 21659, 'CodevTT_RAF', '0', '0', 0, 1512133694),
(305566, 74, 21659, 'CodevTT_Dead Line', '', '', 0, 1512133694),
(305567, 74, 21660, 'CodevTT_RAF', '1', '0', 0, 1512133745),
(305568, 74, 21660, 'status', '50', '80', 0, 1512133745),
(305569, 74, 21660, 'CodevTT_RAF', '0', '0', 0, 1512133745),
(305570, 74, 21660, 'CodevTT_Dead Line', '', '', 0, 1512133745),
(305571, 74, 21758, 'CodevTT_RAF', '0.2', '0', 0, 1512133787),
(305572, 74, 21758, 'status', '50', '80', 0, 1512133787),
(305573, 74, 21758, 'CodevTT_RAF', '0', '0', 0, 1512133787),
(305574, 74, 21758, 'CodevTT_Dead Line', '', '', 0, 1512133787),
(305575, 74, 21759, 'CodevTT_RAF', '', '0', 0, 1512133816),
(305576, 74, 21759, 'status', '10', '80', 0, 1512133816),
(305577, 74, 21759, 'CodevTT_RAF', '0', '0', 0, 1512133816),
(305578, 74, 21759, 'CodevTT_Dead Line', '', '', 0, 1512133816),
(305579, 74, 17765, 'handler_id', '74', '0', 0, 1512133973),
(305580, 74, 17765, 'status', '50', '20', 0, 1512133973),
(305581, 199, 16803, 'CodevTT_RAF', '1', '0', 0, 1512134524),
(305582, 199, 16803, 'CodevTT_RAF', '0', '0', 0, 1512134524),
(305583, 199, 16803, 'status', '20', '80', 0, 1512134524),
(305584, 199, 22764, 'CodevTT_RAF', '0', '0', 0, 1512134546),
(305585, 199, 23255, 'CodevTT_RAF', '1', '1', 0, 1512134566),
(305594, 72, 22232, 'CodevTT_RAF', '2', '0', 0, 1512135810),
(305595, 72, 22232, 'status', '50', '80', 0, 1512135810),
(305596, 72, 22232, 'CodevTT_RAF', '0', '0', 0, 1512135810),
(305597, 72, 22232, 'CodevTT_Dead Line', '', '', 0, 1512135810),
(305599, 72, 17741, 'CodevTT_RAF', '0.5', '0', 0, 1512135858),
(305600, 72, 17741, 'status', '50', '80', 0, 1512135858),
(305601, 72, 17741, 'CodevTT_RAF', '0', '0', 0, 1512135858),
(305602, 72, 17741, 'CodevTT_Dead Line', '', '', 0, 1512135858),
(305632, 72, 22762, 'CodevTT_RAF', '', '0', 0, 1512136793),
(305633, 72, 22762, 'status', '10', '80', 0, 1512136793),
(305634, 72, 22762, 'CodevTT_RAF', '0', '0', 0, 1512136793),
(305635, 72, 22762, '', '4282', '', 6, 1512136856),
(305636, 72, 22762, 'RSI_Type_Ano', '', 'Recette', 0, 1512136856),
(305637, 72, 22762, 'CodevTT_ChargeInit', '0.5', '0', 0, 1512136856),
(305638, 72, 22874, 'CodevTT_RAF', '0.5', '0', 0, 1512136896),
(305639, 72, 22874, 'status', '50', '80', 0, 1512136896),
(305640, 72, 22874, 'CodevTT_RAF', '0', '0', 0, 1512136896),
(305641, 72, 22874, '', '4284', '', 6, 1512136927),
(305642, 72, 22943, 'status', '10', '80', 0, 1512137004),
(305643, 72, 22943, '', '4286', '', 6, 1512137004),
(305644, 72, 22943, 'RSI_Type_Ano', '', 'Recette', 0, 1512137004),
(305645, 72, 22943, 'CodevTT_ChargeInit', '0.5', '0', 0, 1512137004),
(305646, 72, 22943, 'CodevTT_RAF', '', '0', 0, 1512137004),
(305649, 72, 22939, 'status', '10', '80', 0, 1512137062),
(305650, 72, 22939, '', '4288', '', 6, 1512137062),
(305651, 72, 22939, 'RSI_Type_Ano', '', 'Recette', 0, 1512137062),
(305652, 72, 22939, 'CodevTT_ChargeInit', '0.5', '0', 0, 1512137062),
(305653, 72, 22939, 'CodevTT_RAF', '', '0', 0, 1512137062),
(305654, 72, 22938, 'status', '10', '80', 0, 1512137141),
(305655, 72, 22938, '', '4290', '', 6, 1512137141),
(305656, 72, 22938, 'CodevTT_ChargeInit', '0.5', '0', 0, 1512137141),
(305657, 72, 22938, 'CodevTT_RAF', '', '0', 0, 1512137141),
(312094, 72, 23421, 'CodevTT_Dead Line', '', '', 0, 1513155153),
(305672, 72, 22824, 'CodevTT_RAF', '2', '0', 0, 1512138594),
(305673, 72, 22824, 'status', '50', '80', 0, 1512138594),
(305674, 72, 22824, 'CodevTT_RAF', '0', '0', 0, 1512138594),
(305675, 72, 22824, 'CodevTT_Dead Line', '', '', 0, 1512138594),
(305685, 346, 2, '', '31909', '', 4, 1512138780),
(305686, 346, 2, '', '34465', '', 2, 1512138780),
(305690, 72, 23016, 'CodevTT_ChargeMgr', '', '5.5', 0, 1512138954),
(305691, 72, 23016, 'CodevTT_RAF', '2', '0', 0, 1512138960),
(305692, 72, 23016, 'status', '50', '80', 0, 1512138960),
(305693, 72, 23016, 'CodevTT_RAF', '0', '0', 0, 1512138960),
(305694, 72, 23017, 'CodevTT_ChargeMgr', '', '6', 0, 1512138988),
(305695, 72, 21661, '', '4293', '', 6, 1512139039),
(305696, 72, 21661, 'CodevTT_ChargeMgr', '15.5', '17.5', 0, 1512139039),
(305697, 72, 21661, 'CodevTT_ChargeInit', '10', '12', 0, 1512139039),
(305808, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1512162267),
(305809, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1512164179),
(306104, 72, 21661, '', '34052', '4295', 3, 1512391705),
(306105, 72, 21661, 'CodevTT_RAF', '9.8', '9.3', 0, 1512391705),
(306182, 422, 1, '', '33354', '', 4, 1512400439),
(306183, 422, 1, '', '34547', '', 2, 1512400439),
(306195, 72, 22824, 'CodevTT_ChargeMgr', '', '5.5', 0, 1512402422),
(306196, 72, 22825, 'CodevTT_ChargeMgr', '', '2.5', 0, 1512402449),
(306197, 72, 21661, '', '4296', '', 6, 1512402529),
(306198, 72, 21661, 'CodevTT_ChargeMgr', '17.5', '19.5', 0, 1512402529),
(306199, 72, 21661, 'CodevTT_ChargeInit', '12', '14', 0, 1512402529),
(306202, 72, 22923, 'CodevTT_ChargeMgr', '', '5.5', 0, 1512402785),
(306203, 72, 22924, 'CodevTT_ChargeMgr', '', '2', 0, 1512402820),
(306204, 72, 21661, '', '4297', '', 6, 1512402870),
(306205, 72, 21661, 'CodevTT_ChargeMgr', '19.5', '21', 0, 1512402870),
(306206, 72, 21661, 'CodevTT_ChargeInit', '14', '15', 0, 1512402870),
(306371, 74, 22049, 'CodevTT_RAF', '0.5', '0', 0, 1512457451),
(306372, 74, 22049, 'CodevTT_RAF', '0', '0', 0, 1512457451),
(306373, 74, 22049, 'status', '50', '80', 0, 1512457451),
(306374, 74, 22424, 'CodevTT_RAF', '10', '9', 0, 1512457483),
(306375, 74, 22424, 'CodevTT_RAF', '9', '8', 0, 1512457496),
(306510, 422, 1, '', '34597', '', 2, 1512468915),
(306548, 72, 23167, 'CodevTT_ChargeMgr', '', '0', 0, 1512475908),
(306549, 72, 23167, 'CodevTT_ChargeInit', '0.5', '1', 0, 1512475908),
(306550, 72, 23168, 'CodevTT_ChargeMgr', '', '0', 0, 1512475937),
(306551, 72, 23168, 'CodevTT_ChargeInit', '0.5', '3', 0, 1512475937),
(306552, 72, 19871, 'CodevTT_RAF', '1', '0', 0, 1512475987),
(306553, 72, 19871, 'status', '50', '80', 0, 1512475987),
(306554, 72, 19871, 'CodevTT_RAF', '0', '0', 0, 1512475987),
(306555, 72, 19871, 'CodevTT_Dead Line', '', '', 0, 1512475987),
(306556, 72, 22048, 'CodevTT_RAF', '2', '0', 0, 1512476013),
(306557, 72, 22048, 'status', '50', '80', 0, 1512476013),
(306558, 72, 22048, 'CodevTT_RAF', '0', '0', 0, 1512476013),
(306559, 72, 22048, 'CodevTT_Dead Line', '', '', 0, 1512476013),
(306560, 72, 22424, 'handler_id', '217', '74', 0, 1512476086),
(306561, 72, 22424, 'CodevTT_Dead Line', '', '', 0, 1512476086),
(306562, 72, 22047, 'CodevTT_RAF', '0.3', '0', 0, 1512476119),
(306563, 72, 22047, 'status', '50', '80', 0, 1512476119),
(306564, 72, 22047, 'CodevTT_RAF', '0', '0', 0, 1512476119),
(306565, 72, 22047, 'CodevTT_Dead Line', '', '', 0, 1512476119),
(306566, 72, 17764, 'CodevTT_RAF', '1', '0', 0, 1512476498),
(306567, 72, 17764, 'status', '50', '80', 0, 1512476498),
(306568, 72, 17764, 'CodevTT_RAF', '0', '0', 0, 1512476498),
(306569, 72, 17764, 'CodevTT_Dead Line', '', '', 0, 1512476498),
(306570, 72, 17764, '', '4299', '', 6, 1512476572),
(306571, 72, 22933, 'handler_id', '199', '72', 0, 1512476670),
(306572, 72, 22933, 'CodevTT_Dead Line', '', '', 0, 1512476670),
(306573, 72, 22933, 'handler_id', '72', '199', 0, 1512476695),
(306574, 72, 22933, 'CodevTT_Dead Line', '', '', 0, 1512476695),
(306575, 72, 22933, '', '4301', '', 6, 1512476735),
(306583, 72, 23005, 'handler_id', '199', '157', 0, 1512477075),
(306585, 72, 22925, 'handler_id', '217', '74', 0, 1512477133),
(306586, 72, 22925, 'CodevTT_RAF', '', '0', 0, 1512477133),
(306587, 72, 22925, 'status', '10', '80', 0, 1512477133),
(306588, 72, 22925, 'CodevTT_RAF', '0', '0', 0, 1512477133),
(306589, 72, 22386, 'handler_id', '217', '199', 0, 1512477170),
(306590, 72, 22386, 'CodevTT_Dead Line', '', '', 0, 1512477170),
(306592, 72, 22765, 'handler_id', '217', '168', 0, 1512477214),
(306604, 72, 22382, 'version', '', '18.0.10_PUMA', 0, 1512477773),
(306649, 72, 22382, 'target_version', '18.0.10_PUMA', '18.0.R3_PUMA', 0, 1512479240),
(306685, 72, 22383, 'target_version', '18.0.10_PUMA', '18.0.R3_PUMA', 0, 1512483556),
(306694, 72, 22933, 'target_version', '18.0.10_PUMA', '18.0.R3_PUMA', 0, 1512483833),
(306695, 72, 23168, 'target_version', '', '18.0.R3_PUMA', 0, 1512483834),
(306696, 72, 23167, 'target_version', '', '18.0.R3_PUMA', 0, 1512483834),
(306697, 72, 23289, 'target_version', '', '18.0.R3_PUMA', 0, 1512483834),
(306698, 72, 23288, 'target_version', '', '18.0.R3_PUMA', 0, 1512483834),
(306699, 72, 23138, 'target_version', '18.0.10_PUMA', '18.0.R3_PUMA', 0, 1512483834),
(306700, 72, 23137, 'target_version', '18.0.10_PUMA', '18.0.R3_PUMA', 0, 1512483834),
(316664, 199, 23776, 'CodevTT_RAF', '0', '0', 0, 1513951143),
(316663, 199, 23776, 'CodevTT_RAF', '', '0', 0, 1513951143),
(306825, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1512488883),
(306912, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1512490437),
(306913, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1512490453),
(307130, 157, 23017, 'CodevTT_RAF', '2', '0', 0, 1512546479),
(307131, 157, 23017, 'CodevTT_RAF', '0', '0', 0, 1512546479),
(307132, 157, 23017, 'status', '50', '80', 0, 1512546479),
(307133, 157, 23255, 'CodevTT_RAF', '1', '0', 0, 1512546542),
(307134, 157, 23255, 'CodevTT_RAF', '0', '0', 0, 1512546542),
(307135, 157, 23255, 'status', '50', '80', 0, 1512546542),
(307136, 157, 23005, 'CodevTT_RAF', '', '0.5', 0, 1512546602),
(307137, 157, 23005, 'status', '10', '50', 0, 1512546602),
(307138, 157, 23005, 'CodevTT_RAF', '0.5', '0.5', 0, 1512546631),
(307139, 157, 23005, 'CodevTT_RAF', '0.5', '0.5', 0, 1512546693),
(307140, 157, 23419, '', '', '', 1, 1512546806),
(307141, 157, 23419, 'handler_id', '0', '157', 0, 1512546806),
(307142, 157, 23419, '', '', '23005', 21, 1512546806),
(307143, 157, 23005, '', '', '23419', 20, 1512546806),
(307144, 157, 23420, '', '', '', 1, 1512546876),
(307145, 157, 23420, 'handler_id', '0', '157', 0, 1512546876),
(307146, 157, 23420, '', '', '23005', 21, 1512546876),
(307147, 157, 23005, '', '', '23420', 20, 1512546876),
(307148, 199, 22823, 'CodevTT_RAF', '', '0', 0, 1512546880),
(307149, 199, 22823, 'CodevTT_RAF', '0', '0', 0, 1512546880),
(307150, 199, 22823, 'status', '10', '80', 0, 1512546880),
(307151, 157, 23005, 'CodevTT_RAF', '0.5', '0.5', 0, 1512546887),
(307152, 199, 22936, 'CodevTT_RAF', '1', '0', 0, 1512546925),
(307153, 199, 22936, 'CodevTT_RAF', '0', '0', 0, 1512546925),
(307154, 199, 22936, 'status', '50', '80', 0, 1512546925),
(307155, 199, 22936, 'handler_id', '168', '199', 0, 1512546925),
(307156, 422, 1, '', '34655', '', 2, 1512546933),
(307157, 157, 23420, 'CodevTT_RAF', '', '0.25', 0, 1512546945),
(307158, 157, 23420, 'status', '10', '50', 0, 1512546945),
(307159, 157, 23419, 'CodevTT_RAF', '', '0.75', 0, 1512546989),
(307160, 157, 23419, 'status', '10', '50', 0, 1512546989),
(307161, 199, 21800, 'CodevTT_RAF', '1', '0.25', 0, 1512547061),
(307162, 199, 22952, 'CodevTT_RAF', '', '0', 0, 1512547132),
(307163, 199, 22952, 'CodevTT_RAF', '0', '0', 0, 1512547132),
(307164, 199, 22952, 'status', '10', '80', 0, 1512547132),
(307165, 199, 22952, 'handler_id', '0', '199', 0, 1512547132),
(307166, 422, 1, '', '34655', '', 4, 1512547137),
(307167, 422, 1, '', '34656', '', 2, 1512547137),
(307168, 199, 22761, 'CodevTT_RAF', '0', '0', 0, 1512547166),
(307169, 199, 20433, 'CodevTT_RAF', '1', '0.25', 0, 1512547267),
(307170, 72, 23421, 'Ref. Externe', '', '45298', 0, 1512548166),
(307171, 72, 23421, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548167),
(307172, 72, 23421, 'target_version', '', '18.0.R3_PUMA', 0, 1512548167),
(307173, 72, 23421, 'codevtt_type', '', 'Bug', 0, 1512548167),
(307174, 72, 23422, 'Ref. Externe', '', '45391', 0, 1512548167),
(307175, 72, 23422, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548167),
(307176, 72, 23422, 'target_version', '', '18.0.R3_PUMA', 0, 1512548167),
(307177, 72, 23422, 'codevtt_type', '', 'Bug', 0, 1512548167),
(307178, 72, 23423, 'Ref. Externe', '', '45386', 0, 1512548221),
(307179, 72, 23423, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548221),
(307180, 72, 23423, 'handler_id', '0', '199', 0, 1512548221),
(307181, 72, 23423, 'codevtt_type', '', 'Bug', 0, 1512548221),
(307182, 72, 23424, 'Ref. Externe', '', '45350', 0, 1512548316),
(307183, 72, 23424, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548316),
(307184, 72, 23424, 'target_version', '', '18.0.R3_PUMA', 0, 1512548316),
(307185, 72, 23424, 'handler_id', '0', '199', 0, 1512548316),
(307186, 72, 23424, 'codevtt_type', '', 'Task', 0, 1512548316),
(307187, 72, 23425, 'Ref. Externe', '', '45351', 0, 1512548316),
(307188, 72, 23425, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548316),
(307189, 72, 23425, 'target_version', '', '18.0.R3_PUMA', 0, 1512548316),
(307190, 72, 23425, 'handler_id', '0', '199', 0, 1512548316),
(307191, 72, 23425, 'codevtt_type', '', 'Task', 0, 1512548316),
(307192, 72, 23426, 'Ref. Externe', '', '45351', 0, 1512548316),
(307193, 72, 23426, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548316),
(307194, 72, 23426, 'target_version', '', '18.0.R3_PUMA', 0, 1512548316),
(307195, 72, 23426, 'handler_id', '0', '199', 0, 1512548316),
(307196, 72, 23426, 'codevtt_type', '', 'Task', 0, 1512548316),
(307197, 72, 23427, 'Ref. Externe', '', '45385', 0, 1512548317),
(307198, 72, 23427, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548317),
(307199, 72, 23427, 'target_version', '', '18.0.R3_PUMA', 0, 1512548317),
(307200, 72, 23427, 'handler_id', '0', '199', 0, 1512548317),
(307201, 72, 23427, 'codevtt_type', '', 'Task', 0, 1512548317),
(307202, 72, 23428, 'Ref. Externe', '', '45397', 0, 1512548317),
(307203, 72, 23428, 'CodevTT_ChargeInit', '', '0.5', 0, 1512548317),
(307204, 72, 23428, 'target_version', '', '18.0.R3_PUMA', 0, 1512548317),
(307205, 72, 23428, 'handler_id', '0', '199', 0, 1512548317),
(307206, 72, 23428, 'codevtt_type', '', 'Task', 0, 1512548317),
(307259, 199, 20433, 'CodevTT_RAF', '0.25', '0', 0, 1512555634),
(307260, 199, 20433, 'CodevTT_RAF', '0', '0', 0, 1512555634),
(307261, 199, 20433, 'status', '50', '80', 0, 1512555634),
(307262, 199, 20432, 'CodevTT_RAF', '0.5', '0', 0, 1512555671),
(307263, 199, 20432, 'status', '20', '80', 0, 1512555671),
(307264, 199, 20432, 'CodevTT_RAF', '0', '0', 0, 1512555671),
(307265, 199, 20432, 'CodevTT_Dead Line', '', '', 0, 1512555671),
(307269, 199, 23003, 'CodevTT_RAF', '', '0', 0, 1512555944),
(307270, 199, 23003, 'status', '10', '80', 0, 1512555944),
(307271, 199, 23003, 'CodevTT_RAF', '0', '0', 0, 1512555944),
(307278, 199, 22940, 'handler_id', '168', '199', 0, 1512555988),
(307279, 199, 22940, 'CodevTT_RAF', '', '0', 0, 1512555988),
(307280, 199, 22940, 'status', '10', '80', 0, 1512555988),
(307281, 199, 22940, 'CodevTT_RAF', '0', '0', 0, 1512555988),
(307282, 199, 22940, 'CodevTT_Dead Line', '', '', 0, 1512555988),
(307283, 199, 22942, 'handler_id', '168', '199', 0, 1512556142),
(307284, 199, 22942, 'CodevTT_RAF', '', '0', 0, 1512556142),
(307285, 199, 22942, 'status', '10', '80', 0, 1512556142),
(307286, 199, 22942, 'CodevTT_RAF', '0', '0', 0, 1512556142),
(307287, 199, 22942, 'CodevTT_Dead Line', '', '', 0, 1512556142),
(307288, 199, 23254, 'CodevTT_RAF', '1', '0', 0, 1512556244),
(307289, 199, 23254, 'CodevTT_RAF', '0', '0', 0, 1512556244),
(307290, 199, 23254, 'status', '50', '80', 0, 1512556244),
(307380, 422, 1, '', '34690', '', 2, 1512576138),
(307400, 2, 2894, '', '34695', '', 2, 1512591986),
(307401, 2, 2894, '', '34695', '', 4, 1512592006),
(307402, 2, 2894, '', '34696', '', 2, 1512592006),
(307403, 2, 1435, '', '34697', '', 2, 1512592124),
(307404, 2, 15281, '', '34698', '', 2, 1512592183),
(307405, 2, 15281, 'CodevTT_RAF', '0', '0', 0, 1512592183),
(307520, 267, 2, '', '34750', '', 2, 1512652515),
(307746, 422, 1, '', '34840', '', 2, 1512662824),
(307747, 422, 1, '', '34840', '', 4, 1512662896),
(307748, 422, 1, '', '34841', '', 2, 1512662896),
(307775, 44, 2, '', '34845', '', 2, 1512667775),
(307776, 199, 22920, 'CodevTT_RAF', '0', '0', 0, 1512678589),
(307777, 199, 23423, 'CodevTT_RAF', '', '0.1', 0, 1512678643),
(307778, 199, 23423, 'status', '10', '20', 0, 1512678643),
(307779, 199, 21800, 'CodevTT_RAF', '0.25', '0.25', 0, 1512679219),
(307780, 199, 21799, 'CodevTT_RAF', '0.25', '0', 0, 1512679261),
(307781, 199, 21799, 'status', '20', '80', 0, 1512679261),
(307782, 199, 21799, 'CodevTT_RAF', '0', '0', 0, 1512679261),
(307783, 199, 21799, 'CodevTT_Dead Line', '', '', 0, 1512679261),
(307784, 199, 23150, 'CodevTT_RAF', '0.1', '0', 0, 1512679503),
(307785, 199, 23150, 'CodevTT_RAF', '0', '0', 0, 1512679503),
(307786, 199, 23150, 'status', '50', '80', 0, 1512679503),
(307787, 199, 22823, 'CodevTT_RAF', '0', '0', 0, 1512679564),
(307865, 157, 23163, 'CodevTT_RAF', '2', '1.5', 0, 1512722871),
(307868, 157, 23163, 'CodevTT_RAF', '1.5', '0.5', 0, 1512722884),
(307869, 157, 22407, 'CodevTT_RAF', '1.5', '1', 0, 1512722916),
(307875, 157, 23427, 'CodevTT_RAF', '', '1', 0, 1512722980),
(307876, 157, 23427, 'status', '10', '50', 0, 1512722980),
(308028, 444, 2, '', '34923', '', 2, 1512728920),
(308098, 72, 23432, 'Ref. Externe', '', '45405', 0, 1512730738),
(308099, 72, 23432, 'CodevTT_ChargeInit', '', '0.5', 0, 1512730738),
(308100, 72, 23432, 'target_version', '', '18.0.R3_PUMA', 0, 1512730738),
(308101, 72, 23432, 'handler_id', '0', '164', 0, 1512730738),
(308102, 72, 23432, 'codevtt_type', '', 'Bug', 0, 1512730738),
(308103, 72, 23433, 'Ref. Externe', '', '45408', 0, 1512730738),
(308104, 72, 23433, 'CodevTT_ChargeInit', '', '0.5', 0, 1512730738),
(308105, 72, 23433, 'target_version', '', '18.0.R3_PUMA', 0, 1512730738),
(308106, 72, 23433, 'codevtt_type', '', 'Bug', 0, 1512730738),
(308107, 72, 23434, 'Ref. Externe', '', '45413', 0, 1512730739),
(308108, 72, 23434, 'CodevTT_ChargeInit', '', '0.5', 0, 1512730739),
(308109, 72, 23434, 'target_version', '', '18.0.R3_PUMA', 0, 1512730739),
(308110, 72, 23434, 'codevtt_type', '', 'Bug', 0, 1512730739),
(308111, 72, 23435, 'Ref. Externe', '', '45287', 0, 1512730843),
(308112, 72, 23435, 'CodevTT_ChargeInit', '', '0.5', 0, 1512730843),
(308113, 72, 23435, 'handler_id', '0', '157', 0, 1512730843),
(308114, 72, 23435, 'codevtt_type', '', 'Task', 0, 1512730843),
(308115, 72, 23436, 'Ref. Externe', '', '45287', 0, 1512730843),
(308116, 72, 23436, 'CodevTT_ChargeInit', '', '0.5', 0, 1512730843),
(308117, 72, 23436, 'handler_id', '0', '157', 0, 1512730843),
(308118, 72, 23436, 'codevtt_type', '', 'Task', 0, 1512730843),
(308119, 72, 23437, 'Ref. Externe', '', '45350', 0, 1512730843),
(308120, 72, 23437, 'CodevTT_ChargeInit', '', '0.5', 0, 1512730843);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(308121, 72, 23437, 'handler_id', '0', '199', 0, 1512730843),
(308122, 72, 23437, 'codevtt_type', '', 'Task', 0, 1512730843),
(308157, 72, 23438, '', '', '', 1, 1512735233),
(308158, 72, 23438, 'handler_id', '0', '199', 0, 1512735233),
(308192, 74, 21661, 'CodevTT_RAF', '9.3', '5', 0, 1512742390),
(308195, 74, 21661, 'CodevTT_RAF', '5', '4', 0, 1512742458),
(308293, 422, 1, '', '34960', '', 2, 1512748280),
(308294, 422, 1, '', '34690', '', 4, 1512748317),
(308295, 422, 1, '', '34961', '', 2, 1512748317),
(308296, 422, 1, '', '34960', '', 4, 1512748498),
(308297, 422, 1, '', '34962', '', 2, 1512748498),
(316669, 199, 23781, 'CodevTT_RAF', '0', '0', 0, 1513951198),
(316668, 199, 23781, 'status', '10', '80', 0, 1513951185),
(316667, 199, 23781, 'CodevTT_RAF', '0', '0', 0, 1513951185),
(316666, 199, 23781, 'CodevTT_RAF', '', '0', 0, 1513951185),
(308999, 72, 23497, 'Ref. Externe', '', '45418', 0, 1512992375),
(309000, 72, 23497, 'CodevTT_ChargeInit', '', '0.5', 0, 1512992375),
(309001, 72, 23497, 'handler_id', '0', '72', 0, 1512992375),
(309002, 72, 23497, 'codevtt_type', '', 'Task', 0, 1512992375),
(309003, 72, 23498, 'Ref. Externe', '', '45418', 0, 1512992375),
(309004, 72, 23498, 'CodevTT_ChargeInit', '', '0.5', 0, 1512992375),
(309005, 72, 23498, 'handler_id', '0', '72', 0, 1512992375),
(309006, 72, 23498, 'codevtt_type', '', 'Task', 0, 1512992375),
(309007, 72, 23497, 'CodevTT_RAF', '', '0', 0, 1512992425),
(309008, 72, 23497, 'CodevTT_RAF', '0', '0', 0, 1512992425),
(309009, 72, 23497, 'status', '10', '80', 0, 1512992425),
(309229, 331, 2, '', '35029', '', 2, 1513006568),
(311673, 72, 23543, 'Ref. Externe', '', '45426', 0, 1513067429),
(311674, 72, 23543, 'CodevTT_ChargeInit', '', '0.5', 0, 1513067429),
(311675, 72, 23543, 'target_version', '', '18.0.R3_PUMA', 0, 1513067429),
(311676, 72, 23543, 'handler_id', '0', '164', 0, 1513067429),
(311677, 72, 23543, 'codevtt_type', '', 'Task', 0, 1513067429),
(311678, 2, 23160, '', '35751', '', 2, 1513067471),
(311709, 72, 23545, 'Ref. Externe', '', '45421', 0, 1513067920),
(311710, 72, 23545, 'CodevTT_ChargeInit', '', '0.5', 0, 1513067920),
(311711, 72, 23545, 'handler_id', '0', '199', 0, 1513067920),
(311712, 72, 23545, 'codevtt_type', '', 'Bug', 0, 1513067920),
(311859, 72, 22923, 'CodevTT_RAF', '2', '0', 0, 1513082352),
(311860, 72, 22923, 'status', '50', '80', 0, 1513082352),
(311861, 72, 22923, 'CodevTT_RAF', '0', '0', 0, 1513082352),
(311862, 72, 22923, 'CodevTT_Dead Line', '', '', 0, 1513082352),
(311863, 72, 22825, 'CodevTT_RAF', '0.25', '0', 0, 1513082508),
(311864, 72, 22825, 'status', '50', '80', 0, 1513082508),
(311865, 72, 22825, 'CodevTT_RAF', '0', '0', 0, 1513082508),
(311866, 72, 22825, 'CodevTT_Dead Line', '', '', 0, 1513082508),
(311867, 72, 22924, 'CodevTT_RAF', '1.75', '0', 0, 1513082570),
(311868, 72, 22924, 'status', '50', '80', 0, 1513082570),
(311869, 72, 22924, 'CodevTT_RAF', '0', '0', 0, 1513082570),
(311870, 72, 22924, 'CodevTT_Dead Line', '', '', 0, 1513082570),
(311871, 72, 22805, 'CodevTT_ChargeMgr', '', '0', 0, 1513082736),
(311881, 72, 23163, 'handler_id', '72', '157', 0, 1513083747),
(311882, 72, 23498, 'category', 'ADOS', 'NSDK / TP', 0, 1513083863),
(311883, 72, 23427, 'status', '50', '20', 0, 1513083923),
(311884, 72, 23427, 'CodevTT_Dead Line', '', '', 0, 1513083923),
(311885, 72, 23137, 'status', '10', '20', 0, 1513083987),
(311886, 72, 23137, 'CodevTT_Dead Line', '', '', 0, 1513083987),
(311887, 72, 23138, 'status', '10', '20', 0, 1513084004),
(311888, 72, 23138, 'CodevTT_Dead Line', '', '', 0, 1513084004),
(311889, 72, 23167, 'status', '10', '20', 0, 1513084074),
(311890, 72, 23167, 'CodevTT_Dead Line', '', '', 0, 1513084074),
(311891, 72, 23424, 'status', '10', '20', 0, 1513084432),
(311892, 72, 23424, 'CodevTT_Dead Line', '', '', 0, 1513084432),
(311893, 72, 23425, 'status', '10', '20', 0, 1513084462),
(311894, 72, 23425, 'CodevTT_Dead Line', '', '', 0, 1513084462),
(311895, 72, 23428, 'status', '10', '20', 0, 1513084487),
(311896, 72, 23428, 'CodevTT_Dead Line', '', '', 0, 1513084487),
(311897, 72, 23438, 'CodevTT_Date Livraison', '', '1513810800', 0, 1513084574),
(311900, 72, 22877, 'status', '50', '20', 0, 1513084608),
(311905, 72, 23006, 'target_version', '', '18.0.R3_PUMA', 0, 1513084755),
(311908, 72, 23165, 'target_version', '', '18.0.10_PUMA', 0, 1513084815),
(311910, 72, 23438, 'CodevTT_Dead Line', '', '1513724400', 0, 1513084878),
(311911, 72, 23166, 'target_version', '', '18.0.10_PUMA', 0, 1513084934),
(311912, 72, 23437, 'status', '10', '20', 0, 1513084991),
(311918, 72, 23424, '', '2500', '23437', 18, 1513085519),
(311919, 72, 23437, '', '2501', '23424', 18, 1513085519),
(311920, 72, 23168, '', '2500', '23167', 18, 1513085611),
(311921, 72, 23167, '', '2501', '23168', 18, 1513085611),
(311922, 72, 22383, '', '2500', '22382', 18, 1513085690),
(311923, 72, 22382, '', '2501', '22383', 18, 1513085690),
(311924, 72, 23005, 'target_version', '', '18.0.R3_PUMA', 0, 1513086163),
(311925, 72, 23005, 'summary', '45297 - [PUMA - TAIGA] Lot 4 RDD Traitement pal_qc43794 Structure fichier de suivi de modification « pal_qc43794_CMR054.csv » - ', '45297 - [PUMA - TAIGA] Lot 4 RDD Traitement pal_qc43794 Structure fichier de suivi de modification « pal_qc43794_CMR054.csv » -', 0, 1513086163),
(311926, 72, 22945, 'target_version', '', '18.2.0 DSI INT', 0, 1513086242),
(311936, 72, 22946, 'target_version', '', '18.2.0 DSI INT', 0, 1513086502),
(311939, 250, 2, '', '35786', '', 2, 1513086624),
(311940, 250, 2, '', '35787', '', 2, 1513086628),
(311941, 250, 2, '', '35788', '', 2, 1513086633),
(311942, 72, 23419, 'status', '50', '20', 0, 1513086907),
(311943, 72, 23419, 'summary', 'D45385-[PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', 'D45385- [DEVT] [PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', 0, 1513086907),
(311944, 72, 23556, '', '', '', 1, 1513086970),
(311945, 72, 23556, 'handler_id', '0', '157', 0, 1513086970),
(311946, 72, 23556, '', '', '23419', 21, 1513086970),
(311947, 72, 23419, '', '', '23556', 20, 1513086970),
(311948, 72, 23556, '', '2501', '23419', 18, 1513086970),
(311949, 72, 23419, '', '2500', '23556', 18, 1513086970),
(311959, 72, 22385, 'status', '10', '20', 0, 1513087742),
(311960, 72, 22765, 'target_version', '', '18.0.10_PUMA', 0, 1513087842),
(311961, 72, 22378, 'target_version', '18.0.R2_PUMA', '18.0.10_PUMA', 0, 1513087842),
(311962, 72, 22376, 'target_version', '18.0.R2_PUMA', '18.0.10_PUMA', 0, 1513087842),
(311963, 72, 22377, 'target_version', '18.0.R2_PUMA', '18.0.10_PUMA', 0, 1513087842),
(311964, 72, 22372, 'target_version', '18.0.R2_PUMA', '18.0.10_PUMA', 0, 1513087842),
(311965, 72, 22050, 'target_version', '18.0.R2_PUMA', '18.0.10_PUMA', 0, 1513087842),
(311966, 72, 22944, 'handler_id', '168', '199', 0, 1513087875),
(311967, 72, 22944, 'CodevTT_Dead Line', '', '', 0, 1513087875),
(311971, 72, 23426, 'handler_id', '199', '168', 0, 1513088054),
(311972, 72, 23426, 'status', '10', '20', 0, 1513088054),
(311973, 72, 23426, 'CodevTT_Dead Line', '', '', 0, 1513088054),
(311976, 72, 23427, 'handler_id', '199', '157', 0, 1513088116),
(311977, 72, 23427, 'CodevTT_Dead Line', '', '', 0, 1513088116),
(322166, 72, 24177, 'CodevTT_Dead Line', '', '', 0, 1515662630),
(322167, 72, 24178, 'handler_id', '0', '157', 0, 1515662674),
(322168, 72, 24178, 'CodevTT_Dead Line', '', '', 0, 1515662674),
(311980, 72, 23243, '', '2500', '22877', 18, 1513088385),
(311981, 72, 22877, '', '2501', '23243', 18, 1513088385),
(311982, 72, 22956, 'status', '10', '20', 0, 1513088457),
(311983, 72, 23557, '', '', '', 1, 1513088551),
(311984, 72, 23557, 'handler_id', '0', '74', 0, 1513088551),
(311985, 72, 23557, '', '', '22424', 21, 1513088551),
(311986, 72, 22424, '', '', '23557', 20, 1513088551),
(312026, 199, 23423, 'CodevTT_RAF', '0.1', '1', 0, 1513091584),
(312027, 199, 23423, 'status', '20', '50', 0, 1513091584),
(312028, 199, 23423, 'CodevTT_ChargeMgr', '', '0', 0, 1513091608),
(312029, 199, 23423, 'CodevTT_ChargeInit', '0.5', '2', 0, 1513091608),
(312030, 199, 21800, 'CodevTT_RAF', '0.25', '0', 0, 1513091647),
(312031, 199, 21800, 'CodevTT_RAF', '0', '0', 0, 1513091647),
(312032, 199, 21800, 'status', '50', '80', 0, 1513091647),
(312033, 199, 23438, 'CodevTT_RAF', '', '0.25', 0, 1513091691),
(312034, 199, 23438, 'status', '10', '50', 0, 1513091691),
(312038, 72, 23242, 'status', '10', '20', 0, 1513092727),
(312039, 72, 22951, 'handler_id', '0', '72', 0, 1513093067),
(312040, 72, 22951, 'status', '10', '20', 0, 1513093067),
(312041, 72, 22951, '', '4332', '', 6, 1513093096),
(312057, 157, 22407, 'CodevTT_RAF', '1', '1', 0, 1513147141),
(312058, 157, 22407, 'CodevTT_RAF', '1', '1', 0, 1513147159),
(312059, 157, 23163, 'CodevTT_RAF', '0.5', '2', 0, 1513147183),
(312060, 72, 2894, '', '35801', '', 2, 1513147547),
(312062, 72, 22953, 'CodevTT_RAF', '', '0', 0, 1513149968),
(312063, 72, 22953, 'status', '10', '80', 0, 1513149968),
(312064, 72, 22953, 'CodevTT_RAF', '0', '0', 0, 1513149968),
(312065, 72, 22941, 'CodevTT_Dead Line', '', '', 0, 1513150286),
(312069, 72, 23422, 'handler_id', '0', '199', 0, 1513150951),
(312070, 72, 23422, 'CodevTT_Dead Line', '', '', 0, 1513150952),
(312076, 164, 22805, 'CodevTT_RAF', '0', '0', 0, 1513152117),
(312083, 72, 23562, '', '', '', 1, 1513153937),
(312084, 72, 23562, 'handler_id', '0', '157', 0, 1513153937),
(312085, 72, 23562, '', '', '23005', 21, 1513153937),
(312086, 72, 23005, '', '', '23562', 20, 1513153937),
(312087, 72, 23563, '', '', '', 1, 1513154194),
(312088, 72, 23563, 'handler_id', '0', '157', 0, 1513154194),
(312089, 72, 23563, '', '', '23562', 21, 1513154194),
(312090, 72, 23562, '', '', '23563', 20, 1513154194),
(312093, 72, 23421, 'handler_id', '0', '157', 0, 1513155153),
(312195, 72, 23569, '', '', '', 1, 1513161134),
(312196, 72, 23569, 'handler_id', '0', '199', 0, 1513161134),
(312197, 72, 23569, '', '', '23166', 21, 1513161134),
(312198, 72, 23166, '', '', '23569', 20, 1513161134),
(312265, 199, 23569, 'CodevTT_RAF', '', '0.25', 0, 1513162782),
(312266, 199, 23569, 'status', '10', '20', 0, 1513162782),
(312349, 2, 16588, '', '35853', '', 2, 1513176122),
(312350, 2, 16588, 'CodevTT_RAF', '0', '0', 0, 1513176122),
(312389, 2, 22926, '', '35854', '', 2, 1513177382),
(312390, 2, 22926, 'CodevTT_RAF', '0', '0', 0, 1513177382),
(312391, 2, 22926, 'CodevTT_RAF', '0', '0', 0, 1513177382),
(312392, 2, 22926, 'status', '20', '80', 0, 1513177382),
(325699, 199, 23422, 'CodevTT_ChargeInit', '0.5', '2', 0, 1516265487),
(325597, 199, 23425, 'status', '50', '80', 0, 1516261522),
(325596, 199, 23425, 'CodevTT_RAF', '0', '0', 0, 1516261522),
(325595, 199, 23425, 'CodevTT_RAF', '', '0', 0, 1516261522),
(325590, 199, 23137, 'CodevTT_RAF', '0', '0', 0, 1516261462),
(325589, 199, 23137, 'CodevTT_RAF', '0.01', '0', 0, 1516261462),
(325588, 199, 23437, 'status', '20', '80', 0, 1516261400),
(325583, 199, 24179, 'CodevTT_RAF', '', '0', 0, 1516261325),
(325582, 199, 23288, 'CodevTT_RAF', '0.1', '0.1', 0, 1516261211),
(325581, 157, 24280, 'status', '10', '50', 0, 1516260479),
(312818, 199, 23423, 'CodevTT_RAF', '1', '1', 0, 1513178000),
(312819, 199, 20432, 'CodevTT_RAF', '0', '0', 0, 1513178043),
(312820, 199, 20432, '', '35855', '', 2, 1513178058),
(312821, 199, 20432, 'CodevTT_RAF', '0', '0', 0, 1513178069),
(312822, 199, 23150, 'CodevTT_RAF', '0', '0', 0, 1513178088),
(312823, 199, 22877, 'CodevTT_RAF', '1', '0', 0, 1513178180),
(312824, 199, 22877, 'CodevTT_RAF', '0', '0', 0, 1513178180),
(312825, 199, 22877, 'status', '20', '80', 0, 1513178180),
(312828, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1513178634),
(312833, 2, 22926, '', '35854', '', 4, 1513182858),
(312834, 2, 22926, '', '35858', '', 2, 1513182858),
(312839, 2, 2894, '', '35861', '', 2, 1513182924),
(312877, 346, 2, '', '31910', '', 4, 1513235247),
(312878, 346, 2, '', '35873', '', 2, 1513235247),
(313137, 168, 22050, 'CodevTT_RAF', '', '3', 0, 1513247133),
(313138, 168, 22050, 'status', '10', '50', 0, 1513247133),
(313140, 168, 22050, 'CodevTT_RAF', '3', '2', 0, 1513247157),
(313141, 168, 22050, 'CodevTT_RAF', '2', '1', 0, 1513247176),
(313142, 168, 22050, 'CodevTT_RAF', '1', '1', 0, 1513247254),
(313147, 168, 22377, 'CodevTT_RAF', '', '0', 0, 1513247377),
(313148, 168, 22377, 'CodevTT_RAF', '0', '0', 0, 1513247377),
(313149, 168, 22377, 'status', '10', '80', 0, 1513247377),
(313152, 168, 22377, 'CodevTT_RAF', '0', '3', 0, 1513247406),
(313153, 168, 22377, 'status', '80', '50', 0, 1513247406),
(313154, 168, 22377, 'CodevTT_RAF', '3', '2', 0, 1513247422),
(313262, 274, 2, '', '36015', '', 2, 1513256988),
(313606, 157, 22407, 'CodevTT_RAF', '1', '1', 0, 1513322138),
(313607, 157, 22407, 'CodevTT_RAF', '1', '0', 0, 1513322151),
(313608, 157, 22407, 'CodevTT_RAF', '0', '0', 0, 1513322151),
(313609, 157, 22407, 'status', '50', '80', 0, 1513322151),
(313610, 157, 23563, 'CodevTT_RAF', '', '0.25', 0, 1513322207),
(313611, 157, 23563, 'status', '10', '50', 0, 1513322207),
(313612, 157, 23562, 'CodevTT_RAF', '', '0.25', 0, 1513322237),
(313613, 157, 23562, 'status', '10', '50', 0, 1513322237),
(313614, 157, 23172, 'CodevTT_RAF', '', '0', 0, 1513323373),
(313615, 157, 23172, 'status', '10', '80', 0, 1513323373),
(313616, 157, 23172, 'CodevTT_RAF', '0', '0', 0, 1513323373),
(313617, 157, 23171, 'CodevTT_RAF', '', '0', 0, 1513323436),
(313618, 157, 23171, 'status', '10', '80', 0, 1513323436),
(313619, 157, 23171, 'CodevTT_RAF', '0', '0', 0, 1513323436),
(313620, 157, 23152, 'CodevTT_RAF', '', '0', 0, 1513323518),
(313621, 157, 23152, 'status', '10', '80', 0, 1513323518),
(313622, 157, 23152, 'CodevTT_RAF', '0', '0', 0, 1513323518),
(313623, 157, 23151, 'CodevTT_RAF', '', '0', 0, 1513323630),
(313624, 157, 23151, 'status', '10', '80', 0, 1513323630),
(313625, 157, 23151, 'CodevTT_RAF', '0', '0', 0, 1513323630),
(313626, 74, 21661, 'CodevTT_RAF', '4', '5', 0, 1513323840),
(313627, 74, 21661, 'CodevTT_RAF', '5', '4', 0, 1513323860),
(313628, 157, 23421, 'CodevTT_RAF', '', '0', 0, 1513323889),
(313629, 157, 23421, 'status', '10', '80', 0, 1513323889),
(313630, 157, 23421, 'CodevTT_RAF', '0', '0', 0, 1513323889),
(313631, 157, 23421, 'CodevTT_Dead Line', '', '', 0, 1513323889),
(313632, 74, 21661, 'CodevTT_RAF', '4', '4', 0, 1513323893),
(313633, 74, 21661, 'CodevTT_RAF', '4', '3', 0, 1513323918),
(313634, 157, 23421, 'status', '80', '50', 0, 1513323929),
(313635, 157, 23421, 'CodevTT_Dead Line', '', '', 0, 1513323929),
(313695, 157, 23563, 'CodevTT_RAF', '0.25', '0', 0, 1513330417),
(313696, 157, 23563, 'status', '50', '80', 0, 1513330417),
(313697, 157, 23563, 'CodevTT_RAF', '0', '0', 0, 1513330417),
(313698, 157, 23563, 'CodevTT_Dead Line', '', '', 0, 1513330417),
(313699, 157, 23562, 'CodevTT_RAF', '0.25', '0', 0, 1513330436),
(313700, 157, 23562, 'status', '50', '80', 0, 1513330436),
(313701, 157, 23562, 'CodevTT_RAF', '0', '0', 0, 1513330436),
(313702, 157, 23562, 'CodevTT_Dead Line', '', '', 0, 1513330436),
(313705, 157, 22945, 'CodevTT_RAF', '1', '0', 0, 1513330583),
(313706, 157, 22945, 'status', '50', '80', 0, 1513330583),
(313707, 157, 22945, 'CodevTT_RAF', '0', '0', 0, 1513330583),
(313708, 157, 22945, 'CodevTT_Dead Line', '', '', 0, 1513330583),
(314007, 199, 23423, 'CodevTT_RAF', '1', '0', 0, 1513350737),
(314008, 199, 23423, 'CodevTT_RAF', '0', '0', 0, 1513350737),
(314009, 199, 23423, 'status', '50', '80', 0, 1513350737),
(314010, 199, 23438, 'CodevTT_RAF', '0.25', '1', 0, 1513350763),
(314011, 199, 22765, 'CodevTT_RAF', '0.5', '0', 0, 1513350785),
(314012, 199, 22765, 'CodevTT_RAF', '0', '0', 0, 1513350785),
(314013, 199, 22765, 'status', '50', '80', 0, 1513350785),
(314014, 199, 22765, 'handler_id', '168', '199', 0, 1513350785),
(314015, 199, 22765, 'CodevTT_RAF', '0', '0', 0, 1513350797),
(314020, 199, 23749, '', '', '', 1, 1513350995),
(314021, 199, 23749, 'handler_id', '0', '199', 0, 1513350995),
(314022, 199, 23749, '', '', '23438', 21, 1513350995),
(314023, 199, 23438, '', '', '23749', 20, 1513350995),
(314024, 199, 23749, 'CodevTT_RAF', '', '0', 0, 1513351026),
(314025, 199, 23749, 'CodevTT_RAF', '0', '0', 0, 1513351026),
(314026, 199, 23749, 'status', '10', '80', 0, 1513351026),
(314027, 199, 23749, 'CodevTT_RAF', '0', '0', 0, 1513351042),
(314028, 199, 23438, 'CodevTT_RAF', '1', '1', 0, 1513351086),
(314030, 422, 1, '', '36128', '', 2, 1513352610),
(314031, 422, 1, '', '36129', '', 2, 1513352683),
(314032, 422, 1, '', '36130', '', 2, 1513352692),
(314033, 422, 1, '', '36131', '', 2, 1513352724),
(314045, 422, 1, '', '36132', '', 2, 1513352908),
(314046, 422, 1, '', '36131', '', 4, 1513352929),
(314047, 422, 1, '', '36133', '', 2, 1513352929),
(314049, 422, 1, '', '36133', '', 4, 1513352963),
(314050, 422, 1, '', '36134', '', 2, 1513352963),
(314315, 72, 21661, 'CodevTT_RAF', '3', '2', 0, 1513579236),
(314322, 72, 23767, 'Ref. Externe', '', '45431', 0, 1513582243),
(314323, 72, 23767, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582243),
(314324, 72, 23767, 'handler_id', '0', '199', 0, 1513582243),
(314325, 72, 23767, 'codevtt_type', '', 'Bug', 0, 1513582244),
(314326, 72, 23768, 'Ref. Externe', '', '45432', 0, 1513582244),
(314327, 72, 23768, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582244),
(314328, 72, 23768, 'handler_id', '0', '199', 0, 1513582244),
(314329, 72, 23768, 'codevtt_type', '', 'Bug', 0, 1513582244),
(314330, 72, 23769, 'Ref. Externe', '', '45433', 0, 1513582245),
(314331, 72, 23769, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582245),
(314332, 72, 23769, 'handler_id', '0', '199', 0, 1513582245),
(314333, 72, 23769, 'codevtt_type', '', 'Bug', 0, 1513582245),
(314334, 72, 23770, 'Ref. Externe', '', '45434', 0, 1513582245),
(314335, 72, 23770, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582245),
(314336, 72, 23770, 'handler_id', '0', '199', 0, 1513582245),
(314337, 72, 23770, 'codevtt_type', '', 'Bug', 0, 1513582245),
(314338, 72, 23771, 'Ref. Externe', '', '45435', 0, 1513582245),
(314339, 72, 23771, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582245),
(314340, 72, 23771, 'handler_id', '0', '199', 0, 1513582245),
(314341, 72, 23771, 'codevtt_type', '', 'Bug', 0, 1513582245),
(314342, 72, 23772, 'Ref. Externe', '', '45437', 0, 1513582245),
(314343, 72, 23772, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582245),
(314344, 72, 23772, 'handler_id', '0', '199', 0, 1513582245),
(314345, 72, 23772, 'codevtt_type', '', 'Bug', 0, 1513582245),
(314346, 72, 23773, 'Ref. Externe', '', '45438', 0, 1513582245),
(314347, 72, 23773, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582245),
(314348, 72, 23773, 'handler_id', '0', '199', 0, 1513582245),
(314349, 72, 23773, 'codevtt_type', '', 'Bug', 0, 1513582246),
(314350, 72, 23774, 'Ref. Externe', '', '45439', 0, 1513582246),
(314351, 72, 23774, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582246),
(314352, 72, 23774, 'handler_id', '0', '199', 0, 1513582246),
(314353, 72, 23774, 'codevtt_type', '', 'Bug', 0, 1513582246),
(314354, 72, 23775, 'Ref. Externe', '', '45441', 0, 1513582246),
(314355, 72, 23775, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582246),
(314356, 72, 23775, 'handler_id', '0', '199', 0, 1513582246),
(314357, 72, 23775, 'codevtt_type', '', 'Bug', 0, 1513582246),
(314358, 72, 23776, 'Ref. Externe', '', '45447', 0, 1513582246),
(314359, 72, 23776, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582246),
(314360, 72, 23776, 'handler_id', '0', '199', 0, 1513582246),
(314361, 72, 23776, 'codevtt_type', '', 'Bug', 0, 1513582246),
(314362, 72, 23777, 'Ref. Externe', '', '45448', 0, 1513582246),
(314363, 72, 23777, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582246),
(314364, 72, 23777, 'handler_id', '0', '199', 0, 1513582246),
(314365, 72, 23777, 'codevtt_type', '', 'Bug', 0, 1513582246),
(314366, 72, 23778, 'Ref. Externe', '', '45449', 0, 1513582247),
(314367, 72, 23778, 'CodevTT_ChargeInit', '', '0.5', 0, 1513582247),
(314368, 72, 23778, 'handler_id', '0', '199', 0, 1513582247),
(314369, 72, 23778, 'codevtt_type', '', 'Bug', 0, 1513582247),
(314370, 72, 23770, 'handler_id', '199', '157', 0, 1513583088),
(314371, 72, 23772, 'handler_id', '199', '157', 0, 1513583114),
(314372, 72, 23773, 'handler_id', '199', '157', 0, 1513583132),
(314373, 72, 23556, 'summary', 'D45385- [SPEC] [PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', 'D45385- [DEV] [PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', 0, 1513583965),
(314381, 199, 22951, 'CodevTT_RAF', '', '0', 0, 1513585589),
(314382, 199, 22951, 'status', '20', '80', 0, 1513585589),
(314383, 199, 22951, 'CodevTT_RAF', '0', '0', 0, 1513585589),
(314384, 199, 22785, 'CodevTT_RAF', '', '0', 0, 1513585620),
(314385, 199, 22785, 'status', '10', '80', 0, 1513585620),
(314386, 199, 22785, 'CodevTT_RAF', '0', '0', 0, 1513585620),
(314431, 72, 22047, 'CodevTT_ChargeMgr', '', '1', 0, 1513593847),
(314432, 72, 22048, 'CodevTT_ChargeMgr', '0', '7', 0, 1513593869),
(314433, 72, 22925, '', '4398', '', 6, 1513594025),
(314434, 72, 22925, 'CodevTT_ChargeMgr', '1.8', '3.8', 0, 1513594025),
(314441, 72, 22937, 'CodevTT_RAF', '1', '0', 0, 1513597248),
(314442, 72, 22937, 'status', '50', '80', 0, 1513597248),
(314443, 72, 22937, 'CodevTT_RAF', '0', '0', 0, 1513597248),
(314444, 72, 22937, 'CodevTT_Dead Line', '', '', 0, 1513597248),
(314445, 72, 22937, '', '4400', '', 6, 1513597267),
(314648, 381, 2, '', '36173', '', 4, 1513607669),
(314657, 72, 22786, 'CodevTT_ChargeMgr', '', '1', 0, 1513608002),
(314658, 72, 22787, 'CodevTT_ChargeMgr', '', '4', 0, 1513608019),
(314659, 72, 21661, '', '4410', '', 6, 1513608080),
(314660, 72, 21661, 'CodevTT_ChargeMgr', '21', '23', 0, 1513608080),
(314669, 72, 20432, 'CodevTT_ChargeMgr', '', '1', 0, 1513608283),
(314670, 72, 20433, 'CodevTT_ChargeMgr', '', '2', 0, 1513608297),
(314671, 72, 21661, '', '4411', '', 6, 1513608346),
(314672, 72, 21661, 'CodevTT_ChargeMgr', '23', '24', 0, 1513608346),
(314673, 72, 21661, 'CodevTT_ChargeInit', '15', '17', 0, 1513608346),
(314674, 72, 22945, 'CodevTT_ChargeMgr', '', '2.5', 0, 1513608534),
(314675, 72, 22946, 'CodevTT_ChargeMgr', '', '1.7', 0, 1513608557),
(314676, 72, 22956, '', '4413', '', 6, 1513608609),
(314677, 72, 22956, 'CodevTT_ChargeMgr', '0', '1', 0, 1513608609),
(314698, 72, 23780, 'Ref. Externe', '', '45451', 0, 1513609380),
(314699, 72, 23780, 'CodevTT_ChargeInit', '', '0.5', 0, 1513609380),
(314700, 72, 23780, 'handler_id', '0', '199', 0, 1513609380),
(314701, 72, 23780, 'codevtt_type', '', 'Bug', 0, 1513609380),
(314702, 72, 23781, 'Ref. Externe', '', '45457', 0, 1513609380),
(314703, 72, 23781, 'CodevTT_ChargeInit', '', '0.5', 0, 1513609380),
(314704, 72, 23781, 'handler_id', '0', '199', 0, 1513609380),
(314705, 72, 23781, 'codevtt_type', '', 'Bug', 0, 1513609380),
(314724, 2, 17251, '', '36197', '', 2, 1513612745),
(314725, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1513612745),
(314730, 72, 21661, 'CodevTT_RAF', '2', '2', 0, 1513666953),
(314731, 74, 21661, 'CodevTT_RAF', '2', '1', 0, 1513668081),
(314732, 74, 21661, 'CodevTT_RAF', '1', '0', 0, 1513668092),
(314733, 74, 21661, 'CodevTT_RAF', '0', '0', 0, 1513668092),
(314734, 74, 21661, 'status', '50', '80', 0, 1513668092),
(314735, 74, 21661, 'CodevTT_RAF', '0', '0', 0, 1513668113),
(314739, 157, 23770, 'CodevTT_RAF', '', '0', 0, 1513668931),
(314740, 157, 23770, 'CodevTT_RAF', '0', '0', 0, 1513668931),
(314741, 157, 23770, 'status', '10', '80', 0, 1513668931),
(314742, 157, 23772, 'CodevTT_RAF', '', '0', 0, 1513668956),
(314743, 157, 23772, 'CodevTT_RAF', '0', '0', 0, 1513668956),
(314744, 157, 23772, 'status', '10', '80', 0, 1513668956),
(314745, 157, 23006, 'CodevTT_RAF', '', '0', 0, 1513668984),
(314746, 157, 23006, 'CodevTT_RAF', '0', '0', 0, 1513668984),
(314747, 157, 23006, 'status', '10', '80', 0, 1513668984),
(314748, 157, 23006, 'handler_id', '199', '157', 0, 1513669006),
(314749, 157, 23006, 'CodevTT_Dead Line', '', '', 0, 1513669006),
(314750, 72, 23783, 'Ref. Externe', '', '45459', 0, 1513669176),
(314751, 72, 23783, 'CodevTT_ChargeInit', '', '0.5', 0, 1513669176),
(314752, 72, 23783, 'codevtt_type', '', 'Bug', 0, 1513669176),
(314753, 72, 23784, 'Ref. Externe', '', '45461', 0, 1513669176),
(314754, 72, 23784, 'CodevTT_ChargeInit', '', '0.5', 0, 1513669176),
(314755, 72, 23784, 'codevtt_type', '', 'Bug', 0, 1513669176),
(314792, 72, 23434, 'status', '10', '20', 0, 1513679776),
(314793, 72, 23434, 'CodevTT_Dead Line', '', '', 0, 1513679776),
(314814, 72, 23778, 'target_version', '', '18.1.R2 DSI EM', 0, 1513687361),
(314815, 72, 23777, 'target_version', '', '18.1.R2 DSI EM', 0, 1513687361),
(314816, 72, 23769, 'target_version', '', '18.1.R2 DSI EM', 0, 1513687361),
(314817, 72, 23771, 'target_version', '', '18.1.R2 DSI EM', 0, 1513687361),
(314818, 72, 23768, 'target_version', '', '18.1.R2 DSI EM', 0, 1513687361),
(314819, 72, 23438, 'target_version', '', '18.1.R2 DSI EM', 0, 1513687361),
(314820, 72, 23545, 'target_version', '', '18.1.R2 DSI EM', 0, 1513687361),
(314821, 72, 23787, '', '', '', 1, 1513687751),
(314822, 72, 23787, 'handler_id', '0', '168', 0, 1513687751),
(314823, 72, 23787, '', '', '23434', 21, 1513687751),
(314824, 72, 23434, '', '', '23787', 20, 1513687751),
(314839, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1513689673),
(314840, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1513689702),
(314948, 199, 22823, 'CodevTT_RAF', '0', '0', 0, 1513703418),
(314949, 2, 2894, '', '36238', '', 2, 1513703425),
(314951, 199, 23773, 'CodevTT_RAF', '', '0.25', 0, 1513703522),
(314952, 199, 23773, 'status', '10', '50', 0, 1513703523),
(314953, 199, 23773, 'handler_id', '157', '199', 0, 1513703523),
(314954, 2, 2894, 'summary', 'Pilotage RSI_TMA_Sante', 'Pilotage RSI_TMA_TAIGA 2017', 0, 1513703614),
(314955, 2, 23789, '', '', '', 1, 1513703632),
(314956, 2, 23789, 'handler_id', '0', '2', 0, 1513703632),
(314957, 2, 23789, '', '', '2894', 21, 1513703632),
(314958, 2, 2894, '', '', '23789', 20, 1513703632),
(314959, 199, 23775, 'CodevTT_RAF', '', '0', 0, 1513703661),
(314960, 199, 23775, 'CodevTT_RAF', '0', '0', 0, 1513703661),
(314961, 199, 23775, 'status', '10', '80', 0, 1513703661),
(314962, 199, 23774, 'CodevTT_RAF', '', '0', 0, 1513703692),
(314963, 199, 23774, 'CodevTT_RAF', '0', '0', 0, 1513703692),
(314964, 199, 23774, 'status', '10', '80', 0, 1513703692),
(314965, 2, 2894, 'summary', 'Pilotage RSI_TMA_TAIGA 2017', 'Pilotage RSI_TMA_TAIGA 2014-2016', 0, 1513703702),
(314966, 2, 23789, 'summary', 'Pilotage RSI_TMA_TAIGA 2018', 'Pilotage RSI_TMA_TAIGA 2017', 0, 1513703730),
(314967, 199, 23767, 'CodevTT_RAF', '', '0', 0, 1513703768),
(314968, 199, 23767, 'CodevTT_RAF', '0', '0', 0, 1513703768),
(314969, 199, 23767, 'status', '10', '80', 0, 1513703768),
(314970, 199, 23767, 'CodevTT_RAF', '0', '0', 0, 1513703776),
(314971, 2, 23790, '', '', '', 1, 1513703944),
(314972, 2, 23790, 'handler_id', '0', '2', 0, 1513703944),
(314973, 2, 23790, '', '', '23789', 21, 1513703944),
(314974, 2, 23789, '', '', '23790', 20, 1513703944),
(314975, 199, 23769, 'CodevTT_RAF', '', '0.25', 0, 1513703979),
(314976, 199, 23769, 'status', '10', '50', 0, 1513703979),
(314977, 199, 23771, 'CodevTT_RAF', '', '0.25', 0, 1513704012),
(314978, 199, 23771, 'status', '10', '50', 0, 1513704012),
(314979, 199, 23768, 'CodevTT_RAF', '', '0.25', 0, 1513704037),
(314980, 199, 23768, 'status', '10', '50', 0, 1513704037),
(314981, 2, 23791, '', '', '', 1, 1513704057),
(314982, 2, 23791, 'handler_id', '0', '2', 0, 1513704057),
(314983, 2, 23791, '', '', '23789', 21, 1513704057),
(314984, 2, 23789, '', '', '23791', 20, 1513704057),
(314985, 199, 23545, 'CodevTT_RAF', '', '0.25', 0, 1513704087),
(314986, 199, 23545, 'status', '10', '50', 0, 1513704087),
(314987, 2, 2894, 'summary', 'Pilotage RSI_TMA_TAIGA 2014-2016', 'Pilotage RSI_TMA_TAIGA 2014-2015', 0, 1513704181),
(314988, 2, 23792, '', '', '', 1, 1513704199),
(314989, 2, 23792, 'handler_id', '0', '2', 0, 1513704199),
(314990, 2, 23792, '', '', '2894', 21, 1513704199),
(314991, 2, 2894, '', '', '23792', 20, 1513704199),
(314992, 2, 2894, 'summary', 'Pilotage RSI_TMA_TAIGA 2014-2015', 'Pilotage RSI_TMA_TAIGA 2014', 0, 1513704276),
(314993, 2, 2894, 'summary', 'Pilotage RSI_TMA_TAIGA 2014', 'Pilotage TAIGA 2014', 0, 1513704504),
(314994, 2, 23792, 'summary', 'Pilotage RSI_TMA_TAIGA 2015', 'Pilotage TAIGA 2015', 0, 1513704522),
(314995, 2, 23789, 'summary', 'Pilotage RSI_TMA_TAIGA 2017', 'Pilotage TAIGA 2017', 0, 1513704552),
(314996, 2, 23791, 'summary', 'Pilotage RSI_TMA_TAIGA 2016', 'Pilotage TAIGA 2016', 0, 1513704577),
(314997, 2, 23790, 'summary', 'Pilotage RSI_TMA_TAIGA 2018', 'Pilotage TAIGA 2018', 0, 1513704587),
(315179, 2, 23789, 'handler_id', '2', '72', 0, 1513705964),
(315213, 157, 22409, 'CodevTT_RAF', '1', '1', 0, 1513755213),
(315214, 157, 22409, 'CodevTT_RAF', '1', '1', 0, 1513755230),
(315277, 355, 1041, '', '36265', '', 2, 1513763678),
(315339, 199, 22877, 'CodevTT_RAF', '0', '0', 0, 1513777147),
(315340, 199, 22823, 'CodevTT_RAF', '0', '0', 0, 1513777165),
(315384, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1513787274),
(315385, 2, 23789, '', '36290', '', 2, 1513787505),
(315387, 339, 2, '', '36291', '', 2, 1513792907),
(315431, 164, 22805, 'CodevTT_RAF', '0', '0', 0, 1513845050),
(315432, 164, 22805, '', '36308', '', 2, 1513845074),
(315498, 72, 23426, 'status', '20', '50', 0, 1513847954),
(315499, 72, 23426, 'CodevTT_Dead Line', '', '', 0, 1513847954),
(315500, 72, 23426, 'CodevTT_ChargeMgr', '', '0', 0, 1513847972),
(315501, 72, 23426, 'CodevTT_ChargeInit', '0.5', '1', 0, 1513847972),
(315502, 72, 23426, 'CodevTT_RAF', '', '1', 0, 1513847972),
(315503, 72, 22386, 'status', '20', '50', 0, 1513848004),
(315504, 72, 22386, 'CodevTT_Dead Line', '', '', 0, 1513848004),
(315505, 72, 23167, 'status', '20', '50', 0, 1513848023),
(315506, 72, 23167, 'CodevTT_Dead Line', '', '', 0, 1513848023),
(315507, 72, 23427, 'status', '20', '50', 0, 1513848079),
(315508, 72, 23427, 'CodevTT_Dead Line', '', '', 0, 1513848079),
(315509, 72, 23833, 'Ref. Externe', '', '45478', 0, 1513848858),
(315510, 72, 23833, 'CodevTT_ChargeInit', '', '0.5', 0, 1513848859),
(315511, 72, 23833, 'codevtt_type', '', 'Bug', 0, 1513848859),
(315524, 72, 23774, '', '4436', '', 6, 1513850296),
(315554, 72, 21661, 'CodevTT_RAF', '0', '0', 0, 1513852283),
(315561, 72, 2, '', '36341', '', 2, 1513852336),
(315704, 72, 23833, '', '4439', '', 6, 1513859112),
(315705, 72, 23833, 'handler_id', '0', '157', 0, 1513859258),
(315706, 72, 23833, 'CodevTT_RAF', '', '0', 0, 1513859258),
(315707, 72, 23833, 'status', '10', '80', 0, 1513859258),
(315708, 72, 23833, 'CodevTT_RAF', '0', '0', 0, 1513859258),
(315736, 72, 23421, 'handler_id', '157', '0', 0, 1513862996),
(315737, 72, 23421, 'CodevTT_Dead Line', '', '', 0, 1513862996),
(315738, 72, 23420, 'status', '50', '20', 0, 1513863165),
(315739, 199, 22953, 'CodevTT_RAF', '0', '0', 0, 1513863497),
(315740, 199, 22953, 'handler_id', '0', '199', 0, 1513863498),
(315741, 199, 22877, 'CodevTT_RAF', '0', '0', 0, 1513863545),
(315742, 199, 23834, '', '', '', 1, 1513863687),
(315743, 199, 23834, 'CodevTT_RAF', '', '0', 0, 1513863716),
(315744, 199, 23834, 'CodevTT_RAF', '0', '0', 0, 1513863716),
(315745, 199, 23834, 'status', '10', '80', 0, 1513863716),
(315746, 199, 23834, 'handler_id', '0', '199', 0, 1513863716),
(315747, 199, 23834, 'CodevTT_RAF', '0', '0', 0, 1513863729),
(315803, 157, 23163, 'CodevTT_RAF', '2', '1.5', 0, 1513871776),
(315804, 157, 23163, 'CodevTT_RAF', '1.5', '0.5', 0, 1513871789),
(315805, 157, 23163, 'CodevTT_RAF', '0.5', '0.5', 0, 1513871804),
(315813, 360, 1, '', '36428', '', 2, 1513874026),
(315814, 360, 1, '', '36429', '', 2, 1513874050),
(315891, 361, 1, '', '36458', '', 2, 1513929193),
(315907, 226, 1, '', '36460', '', 2, 1513932518),
(315908, 226, 1, '', '36461', '', 2, 1513932528),
(315911, 361, 1, '', '36462', '', 2, 1513934159),
(315951, 361, 1, '', '36458', '', 4, 1513934231),
(315952, 361, 1, '', '36464', '', 2, 1513934231),
(315953, 226, 1, '', '36460', '', 4, 1513934273),
(315954, 226, 1, '', '36465', '', 2, 1513934273),
(315955, 226, 1, '', '36461', '', 4, 1513934279),
(315956, 226, 1, '', '36466', '', 2, 1513934279),
(315959, 226, 1, '', '36467', '', 2, 1513934303),
(315960, 226, 1, '', '36468', '', 2, 1513934311),
(316077, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1513936759),
(316439, 199, 22944, 'CodevTT_RAF', '', '0', 0, 1513947479),
(316440, 199, 22944, 'CodevTT_RAF', '0', '0', 0, 1513947479),
(316441, 199, 22944, 'status', '10', '80', 0, 1513947479),
(316444, 199, 23778, 'CodevTT_RAF', '', '0', 0, 1513947619),
(316445, 199, 23778, 'CodevTT_RAF', '0', '0', 0, 1513947619),
(316446, 199, 23778, 'status', '10', '80', 0, 1513947619),
(316448, 199, 23777, 'CodevTT_RAF', '', '0', 0, 1513947637),
(316449, 199, 23777, 'CodevTT_RAF', '0', '0', 0, 1513947637),
(316450, 199, 23777, 'status', '10', '80', 0, 1513947637),
(316454, 199, 23769, 'CodevTT_RAF', '0.25', '0', 0, 1513947687),
(316455, 199, 23769, 'CodevTT_RAF', '0', '0', 0, 1513947687),
(316456, 199, 23769, 'status', '50', '80', 0, 1513947687),
(316458, 199, 22382, 'CodevTT_RAF', '0', '0', 0, 1513947712),
(316728, 361, 1, '', '36492', '', 2, 1513953274),
(316961, 422, 1, '', '36531', '', 2, 1514281399),
(317164, 334, 2, '', '36555', '', 2, 1514301183),
(317529, 72, 23767, '', '4481', '', 6, 1514360080),
(317537, 72, 23167, 'CodevTT_Dead Line', '', '1515711600', 0, 1514360318),
(317538, 72, 23893, '', '', '', 1, 1514361293),
(317539, 72, 23893, 'handler_id', '0', '199', 0, 1514361293),
(317540, 72, 23893, '', '', '23776', 21, 1514361293),
(317541, 72, 23776, '', '', '23893', 20, 1514361293),
(317542, 72, 23787, 'status', '10', '20', 0, 1514362005),
(317543, 72, 23787, 'CodevTT_Dead Line', '', '', 0, 1514362005),
(317544, 72, 22372, 'CodevTT_RAF', '', '0', 0, 1514362302),
(317545, 72, 22372, 'status', '10', '80', 0, 1514362302),
(317546, 72, 22372, 'CodevTT_RAF', '0', '0', 0, 1514362302),
(317547, 72, 22372, 'CodevTT_Dead Line', '', '', 0, 1514362302),
(317548, 72, 22376, 'CodevTT_RAF', '1', '0', 0, 1514362320),
(317549, 72, 22376, 'status', '50', '80', 0, 1514362320),
(317550, 72, 22376, 'CodevTT_RAF', '0', '0', 0, 1514362320),
(317551, 72, 22376, 'CodevTT_Dead Line', '', '', 0, 1514362320),
(317552, 72, 22377, 'CodevTT_RAF', '2', '0', 0, 1514362337),
(317553, 72, 22377, 'status', '50', '80', 0, 1514362337),
(317554, 72, 22377, 'CodevTT_RAF', '0', '0', 0, 1514362337),
(317555, 72, 22377, 'CodevTT_Dead Line', '', '', 0, 1514362337),
(317556, 72, 22050, 'CodevTT_RAF', '1', '0', 0, 1514362355),
(317557, 72, 22050, 'status', '50', '80', 0, 1514362355),
(317558, 72, 22050, 'CodevTT_RAF', '0', '0', 0, 1514362355),
(317559, 72, 22050, 'CodevTT_Dead Line', '', '', 0, 1514362355),
(317560, 72, 23569, 'CodevTT_RAF', '0.25', '0', 0, 1514362459),
(317561, 72, 23569, 'status', '20', '80', 0, 1514362459),
(317562, 72, 23569, 'CodevTT_RAF', '0', '0', 0, 1514362459),
(317563, 72, 23569, 'CodevTT_Dead Line', '', '', 0, 1514362459),
(317564, 72, 23165, 'CodevTT_RAF', '', '0', 0, 1514362502),
(317565, 72, 23165, 'status', '10', '80', 0, 1514362502),
(317566, 72, 23165, 'CodevTT_RAF', '0', '0', 0, 1514362502),
(317567, 72, 23165, 'CodevTT_Dead Line', '', '', 0, 1514362502),
(317568, 72, 23166, 'CodevTT_RAF', '', '0', 0, 1514362542),
(317569, 72, 23166, 'status', '10', '80', 0, 1514362542),
(317570, 72, 23166, 'CodevTT_RAF', '0', '0', 0, 1514362542),
(317571, 72, 23166, 'CodevTT_Dead Line', '', '', 0, 1514362542),
(317572, 72, 22378, 'CodevTT_RAF', '0.5', '0', 0, 1514362563),
(317573, 72, 22378, 'status', '50', '80', 0, 1514362563),
(317574, 72, 22378, 'CodevTT_RAF', '0', '0', 0, 1514362563),
(317575, 72, 22378, 'CodevTT_Dead Line', '', '', 0, 1514362563),
(317690, 72, 21350, 'RSI_Type_Ano', '', 'Recette', 0, 1514367221),
(317691, 72, 21595, 'RSI_Type_Ano', '', 'Recette', 0, 1514367278),
(317692, 72, 21797, 'RSI_Type_Ano', '', 'Recette', 0, 1514367457),
(317695, 72, 21798, 'RSI_Type_Ano', '', 'Recette', 0, 1514367530),
(317696, 72, 21832, 'RSI_Type_Ano', '', 'Recette', 0, 1514367579),
(317697, 72, 21830, 'RSI_Type_Ano', '', 'Recette', 0, 1514367599),
(317714, 72, 21833, 'RSI_Type_Ano', '', 'Recette', 0, 1514367663),
(317715, 72, 21831, 'RSI_Type_Ano', '', 'Recette', 0, 1514367683),
(317716, 72, 21840, 'RSI_Type_Ano', '', 'Recette', 0, 1514367734),
(317717, 72, 21841, 'RSI_Type_Ano', '', 'Recette', 0, 1514367753),
(317718, 72, 21892, 'RSI_Type_Ano', '', 'Recette', 0, 1514367813),
(317719, 72, 21893, 'RSI_Type_Ano', '', 'Recette', 0, 1514367832),
(317801, 72, 22049, 'RSI_Type_Ano', '', 'Recette', 0, 1514370451),
(317802, 72, 22407, 'RSI_Type_Ano', '', 'Production', 0, 1514370489),
(317803, 72, 22409, 'RSI_Type_Ano', '', 'Production', 0, 1514370529),
(317820, 72, 22408, 'RSI_Type_Ano', '', 'Production', 0, 1514370669),
(317821, 72, 22370, 'RSI_Type_Ano', '', 'Production', 0, 1514370669),
(317822, 72, 22370, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1514370717),
(317823, 72, 22372, 'RSI_Type_Ano', '', 'Recette', 0, 1514370717),
(317824, 72, 22381, 'RSI_Type_Ano', '', 'Recette', 0, 1514370717),
(317825, 72, 22374, 'RSI_Type_Ano', '', 'Recette', 0, 1514370717),
(317826, 72, 22371, 'RSI_Type_Ano', '', 'Recette', 0, 1514370717),
(317827, 72, 22373, 'RSI_Type_Ano', '', 'Recette', 0, 1514370717),
(317834, 72, 22375, 'RSI_Type_Ano', '', 'Recette', 0, 1514370810),
(317835, 72, 22378, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317836, 72, 23166, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317837, 72, 23165, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317838, 72, 22377, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317839, 72, 22376, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317840, 72, 23893, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317841, 72, 23776, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317842, 72, 23767, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317843, 72, 23781, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317844, 72, 22944, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317845, 72, 22953, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317846, 72, 23421, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317847, 72, 23833, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317848, 72, 23774, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317849, 72, 23775, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317850, 72, 23773, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317851, 72, 23434, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317852, 72, 23784, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317853, 72, 23006, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317854, 72, 23772, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317855, 72, 23770, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317856, 72, 23780, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317857, 72, 22937, 'RSI_Type_Ano', '', 'Recette', 0, 1514370919),
(317858, 72, 22765, 'RSI_Type_Ano', '', 'Recette', 0, 1514371005),
(317859, 72, 22764, 'RSI_Type_Ano', '', 'Recette', 0, 1514371005),
(317860, 72, 22763, 'RSI_Type_Ano', '', 'Recette', 0, 1514371005),
(317861, 72, 22785, 'RSI_Type_Ano', '', 'Recette', 0, 1514371073),
(317862, 72, 22766, 'RSI_Type_Ano', '', 'Recette', 0, 1514371073),
(317863, 72, 22767, 'RSI_Type_Ano', '', 'Recette', 0, 1514371073),
(317869, 72, 19982, 'RSI_Type_Ano', '', 'Recette', 0, 1514371224),
(317870, 72, 22051, 'RSI_Type_Ano', '', 'Recette', 0, 1514371257),
(317872, 72, 22761, 'RSI_Type_Ano', '', 'Recette', 0, 1514371295),
(317878, 72, 22875, 'RSI_Type_Ano', '', 'Production', 0, 1514371378),
(317881, 72, 22881, 'RSI_Type_Ano', '', 'Production', 0, 1514371525),
(317882, 72, 22876, 'RSI_Type_Ano', '', 'Production', 0, 1514371525),
(317883, 72, 22879, 'RSI_Type_Ano', '', 'Production', 0, 1514371525),
(317884, 72, 22920, 'RSI_Type_Ano', '', 'Recette', 0, 1514371720),
(317885, 72, 22874, 'RSI_Type_Ano', '', 'Recette', 0, 1514371720),
(317886, 72, 22919, 'RSI_Type_Ano', '', 'Recette', 0, 1514371720),
(317887, 72, 22936, 'RSI_Type_Ano', '', 'Recette', 0, 1514371764),
(317888, 72, 22933, 'RSI_Type_Ano', '', 'Recette', 0, 1514371764),
(317889, 72, 22935, 'RSI_Type_Ano', '', 'Recette', 0, 1514371764),
(317890, 72, 22941, 'RSI_Type_Ano', '', 'Recette', 0, 1514371828),
(317891, 72, 22942, 'RSI_Type_Ano', '', 'Recette', 0, 1514371828),
(317892, 72, 22940, 'RSI_Type_Ano', '', 'Recette', 0, 1514371828),
(317893, 72, 22938, 'RSI_Type_Ano', '', 'Recette', 0, 1514371828),
(317894, 72, 22951, 'RSI_Type_Ano', '', 'Recette', 0, 1514371860),
(317895, 72, 22952, 'RSI_Type_Ano', '', 'Recette', 0, 1514371860),
(317896, 72, 22964, 'RSI_Type_Ano', '', 'Recette', 0, 1514371860),
(317897, 72, 23005, 'RSI_Type_Ano', '', 'Recette', 0, 1514371892),
(317898, 72, 23003, 'RSI_Type_Ano', '', 'Recette', 0, 1514371892),
(317899, 72, 23004, 'RSI_Type_Ano', '', 'Recette', 0, 1514371892),
(317900, 72, 23002, 'RSI_Type_Ano', '', 'Recette', 0, 1514371892),
(317901, 72, 23569, 'RSI_Type_Ano', '', 'Recette', 0, 1514371994),
(317902, 72, 23150, 'RSI_Type_Ano', '', 'Recette', 0, 1514371994),
(317903, 72, 23422, 'RSI_Type_Ano', '', 'Recette', 0, 1514371994),
(317904, 72, 23149, 'RSI_Type_Ano', '', 'Recette', 0, 1514371994),
(317905, 72, 23167, 'RSI_Type_Ano', '', 'Recette', 0, 1514371994),
(317906, 72, 23423, 'RSI_Type_Ano', '', 'Production', 0, 1514372204),
(317907, 72, 23151, 'RSI_Type_Ano', '', 'Production', 0, 1514372204),
(317908, 72, 23152, 'RSI_Type_Ano', '', 'Production', 0, 1514372204),
(317909, 72, 23171, 'RSI_Type_Ano', '', 'Production', 0, 1514372204),
(317910, 72, 23172, 'RSI_Type_Ano', '', 'Production', 0, 1514372204),
(317911, 72, 23242, 'RSI_Type_Ano', '', 'Production', 0, 1514372204),
(317912, 72, 23136, 'RSI_Type_Ano', '', 'Production', 0, 1514372204),
(317913, 72, 23167, 'RSI_Type_Ano', 'Recette', '', 0, 1514372222),
(317914, 72, 23769, 'RSI_Type_Ano', '', 'Recette', 0, 1514372315),
(317915, 72, 23768, 'RSI_Type_Ano', '', 'Recette', 0, 1514372315),
(317916, 72, 23771, 'RSI_Type_Ano', '', 'Recette', 0, 1514372315),
(317917, 72, 23777, 'RSI_Type_Ano', '', 'Recette', 0, 1514372347),
(317918, 72, 23778, 'RSI_Type_Ano', '', 'Recette', 0, 1514372347),
(317919, 72, 23545, 'RSI_Type_Ano', '', 'Recette', 0, 1514372389),
(317920, 72, 20442, 'RSI_Type_Ano', '', 'Recette', 0, 1514372530),
(317921, 72, 19424, 'RSI_Type_Ano', '', 'Recette', 0, 1514372530),
(317922, 72, 19420, 'RSI_Type_Ano', '', 'Recette', 0, 1514372530),
(317923, 72, 19421, 'RSI_Type_Ano', '', 'Production', 0, 1514372577),
(317924, 72, 19236, 'RSI_Type_Ano', '', 'Production', 0, 1514372577),
(317925, 72, 19235, 'RSI_Type_Ano', '', 'Production', 0, 1514372577),
(317926, 72, 20444, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317927, 72, 20443, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317928, 72, 20683, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317929, 72, 20931, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317930, 72, 20599, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317931, 72, 20930, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317932, 72, 20451, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317933, 72, 20564, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317934, 72, 20598, 'RSI_Type_Ano', '', 'Recette', 0, 1514372726),
(317935, 72, 20425, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1514372726),
(317936, 72, 20646, 'RSI_Type_Ano', '', 'Production', 0, 1514372792),
(317937, 72, 20429, 'RSI_Type_Ano', '', 'Production', 0, 1514372792),
(317938, 72, 20645, 'RSI_Type_Ano', '', 'Production', 0, 1514372792),
(317939, 72, 19983, 'RSI_Type_Ano', '', 'Recette', 0, 1514372865),
(317940, 72, 19786, 'RSI_Type_Ano', '', 'Recette', 0, 1514372865),
(317941, 72, 21603, 'RSI_Type_Ano', '', 'Recette', 0, 1514372950),
(317942, 72, 20926, 'RSI_Type_Ano', '', 'Recette', 0, 1514372950),
(317943, 72, 21602, 'RSI_Type_Ano', '', 'Recette', 0, 1514372950),
(317944, 72, 20927, 'RSI_Type_Ano', '', 'Recette', 0, 1514372950),
(317945, 72, 21597, 'RSI_Type_Ano', 'Production', 'Recette', 0, 1514372950),
(317946, 72, 20929, 'RSI_Type_Ano', '', 'Production', 0, 1514373009),
(317960, 72, 23901, 'Ref. Externe', '', '45490', 0, 1514384529),
(317961, 72, 23901, 'CodevTT_ChargeInit', '', '0.5', 0, 1514384529),
(317962, 72, 23901, 'target_version', '', '18.0.R3_PUMA', 0, 1514384529),
(317963, 72, 23901, 'handler_id', '0', '199', 0, 1514384529),
(317964, 72, 23901, 'codevtt_type', '', 'Bug', 0, 1514384529),
(317965, 72, 23902, 'Ref. Externe', '', '45491', 0, 1514384529),
(317966, 72, 23902, 'CodevTT_ChargeInit', '', '0.5', 0, 1514384529),
(317967, 72, 23902, 'target_version', '', '18.0.R3_PUMA', 0, 1514384529),
(317968, 72, 23902, 'handler_id', '0', '199', 0, 1514384529),
(317969, 72, 23902, 'codevtt_type', '', 'Bug', 0, 1514384529),
(318091, 157, 23783, 'CodevTT_RAF', '', '0.5', 0, 1514443334),
(318092, 157, 23783, 'status', '10', '50', 0, 1514443334),
(318093, 157, 23783, 'handler_id', '0', '157', 0, 1514443334),
(318094, 157, 23783, 'CodevTT_RAF', '0.5', '0', 0, 1514443372),
(318095, 157, 23783, 'CodevTT_RAF', '0', '0', 0, 1514443372),
(318096, 157, 23783, 'status', '50', '80', 0, 1514443372),
(318097, 157, 23435, 'CodevTT_RAF', '', '0.5', 0, 1514443405),
(318098, 157, 23435, 'status', '10', '50', 0, 1514443405),
(318129, 72, 23905, 'Ref. Externe', '', '45492', 0, 1514447578),
(318130, 72, 23905, 'CodevTT_ChargeInit', '', '0.5', 0, 1514447578),
(318131, 72, 23905, 'handler_id', '0', '199', 0, 1514447578),
(318132, 72, 23905, 'codevtt_type', '', 'Bug', 0, 1514447578),
(318133, 72, 23906, 'Ref. Externe', '', '45496', 0, 1514447578),
(318134, 72, 23906, 'CodevTT_ChargeInit', '', '0.5', 0, 1514447578),
(318135, 72, 23906, 'handler_id', '0', '199', 0, 1514447578),
(318136, 72, 23906, 'codevtt_type', '', 'Bug', 0, 1514447578),
(318195, 276, 2, '', '36676', '', 2, 1514450282),
(318217, 72, 23908, 'Ref. Externe', '', '45481', 0, 1514462145),
(318218, 72, 23908, 'CodevTT_ChargeInit', '', '0.5', 0, 1514462145),
(318219, 72, 23908, 'handler_id', '0', '164', 0, 1514462145),
(318220, 72, 23908, 'codevtt_type', '', 'Task', 0, 1514462145),
(318221, 72, 23909, 'Ref. Externe', '', '45493', 0, 1514462145),
(318222, 72, 23909, 'CodevTT_ChargeInit', '', '0.5', 0, 1514462145),
(318223, 72, 23909, 'handler_id', '0', '164', 0, 1514462145),
(318224, 72, 23909, 'codevtt_type', '', 'Task', 0, 1514462145),
(318225, 72, 23909, 'CodevTT_ChargeMgr', '', '0.8', 0, 1514462190),
(318226, 72, 23908, 'CodevTT_ChargeMgr', '', '0.8', 0, 1514462212),
(318227, 72, 23169, 'CodevTT_ChargeMgr', '', '0.8', 0, 1514462328),
(318228, 72, 23169, 'CodevTT_RAF', '', '0', 0, 1514462337),
(318229, 72, 23169, 'status', '10', '80', 0, 1514462337),
(318230, 72, 23169, 'CodevTT_RAF', '0', '0', 0, 1514462337),
(318231, 72, 23170, 'CodevTT_ChargeMgr', '', '0.8', 0, 1514462366),
(318232, 72, 23170, 'CodevTT_RAF', '', '0', 0, 1514462371),
(318233, 72, 23170, 'status', '10', '80', 0, 1514462371),
(318234, 72, 23170, 'CodevTT_RAF', '0', '0', 0, 1514462371),
(318235, 72, 23497, 'CodevTT_ChargeMgr', '', '1', 0, 1514462433),
(318236, 72, 23498, 'CodevTT_ChargeMgr', '', '2', 0, 1514462446),
(318237, 72, 23498, 'CodevTT_RAF', '', '0', 0, 1514462451),
(318238, 72, 23498, 'status', '10', '80', 0, 1514462451),
(318239, 72, 23498, 'CodevTT_RAF', '0', '0', 0, 1514462451),
(318240, 72, 23910, '', '', '', 1, 1514463475),
(318241, 72, 23910, '', '', '21661', 21, 1514463475),
(318242, 72, 21661, '', '', '23910', 20, 1514463475),
(318243, 72, 23910, 'handler_id', '0', '74', 0, 1514464021),
(318244, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1514467066),
(318245, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1514467260),
(318246, 164, 16588, 'CodevTT_RAF', '0', '0', 0, 1514467302),
(318268, 306, 2, '', '36691', '', 2, 1514472106),
(318329, 441, 2, '', '36715', '', 2, 1514532647),
(318330, 441, 2, '', '36715', '', 4, 1514532684),
(318806, 199, 23901, 'CodevTT_RAF', '', '0', 0, 1514907794),
(318807, 199, 23901, 'CodevTT_RAF', '0', '0', 0, 1514907794),
(318808, 199, 23901, 'status', '10', '80', 0, 1514907794),
(318809, 199, 23906, 'CodevTT_RAF', '', '0', 0, 1514907847),
(318810, 199, 23906, 'CodevTT_RAF', '0', '0', 0, 1514907847),
(318811, 199, 23906, 'status', '10', '80', 0, 1514907847),
(318812, 199, 23902, 'CodevTT_RAF', '', '0', 0, 1514909318),
(318813, 199, 23902, 'CodevTT_RAF', '0', '0', 0, 1514909319),
(318814, 199, 23902, 'status', '10', '80', 0, 1514909319),
(318845, 2, 17251, '', '36784', '', 2, 1514936061),
(318846, 2, 23160, '', '36785', '', 2, 1514936077),
(318847, 2, 23910, 'CodevTT_Dead Line', '', '1516662000', 0, 1514936300),
(318848, 2, 23910, 'CodevTT_Dead Line', '1516662000', '', 0, 1514936316),
(318849, 397, 2, '', '36786', '', 2, 1514966500),
(318850, 397, 2, '', '36786', '', 4, 1514966545),
(318864, 279, 2, '', '36790', '', 2, 1514969327),
(319031, 199, 22382, 'CodevTT_RAF', '0', '0', 0, 1514986403),
(319827, 2, 23248, 'CodevTT_RAF', '0', '0', 0, 1515171872),
(319826, 2, 2, '', '36911', '', 2, 1515171858),
(319253, 199, 22944, 'CodevTT_RAF', '0', '0', 0, 1515061454),
(319388, 199, 22386, 'CodevTT_RAF', '0.25', '0', 0, 1515073519),
(319389, 199, 22386, 'CodevTT_RAF', '0', '0', 0, 1515073519),
(319390, 199, 22386, 'status', '50', '80', 0, 1515073519),
(319642, 199, 23167, 'CodevTT_RAF', '', '0.5', 0, 1515145450),
(319643, 199, 23167, 'CodevTT_RAF', '0.5', '0.5', 0, 1515145464),
(319721, 12, 2, '', '36903', '', 2, 1515157224),
(319722, 12, 2, '', '36903', '', 4, 1515157239),
(319785, 72, 22424, 'CodevTT_RAF', '8', '7', 0, 1515162993),
(319786, 72, 22424, 'CodevTT_RAF', '7', '6.5', 0, 1515163008),
(319793, 74, 22424, 'CodevTT_RAF', '6.5', '5', 0, 1515164873),
(319794, 74, 22424, 'CodevTT_RAF', '5', '5', 0, 1515164885),
(319795, 74, 22424, 'CodevTT_RAF', '5', '5', 0, 1515164895),
(319825, 2, 23248, 'CodevTT_RAF', '0', '0', 0, 1515171849),
(320063, 199, 22424, 'CodevTT_RAF', '5', '5', 0, 1515402280),
(320392, 199, 22386, 'CodevTT_RAF', '0', '0', 0, 1515420646),
(320393, 199, 22386, '', '36952', '', 2, 1515420653),
(320482, 411, 2, '', '36969', '', 2, 1515426417),
(320483, 411, 2, '', '36969', '', 4, 1515426429),
(320484, 411, 2, '', '36970', '', 2, 1515426429),
(320522, 2, 23248, 'CodevTT_RAF', '0', '0', 0, 1515430775),
(320523, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1515430837),
(320524, 2, 17251, '', '36784', '4521', 3, 1515430859),
(320525, 2, 22386, '', '36952', '4523', 3, 1515430866),
(320573, 56, 1, '', '36984', '', 2, 1515435164),
(320932, 164, 24117, '', '', '', 1, 1515485409),
(320933, 164, 24117, 'handler_id', '0', '164', 0, 1515485409),
(320934, 164, 24117, '', '', '16588', 21, 1515485409),
(320935, 164, 16588, '', '', '24117', 20, 1515485409),
(320936, 164, 24117, 'status', '10', '80', 0, 1515485446),
(320937, 164, 24117, 'resolution', '10', '20', 0, 1515485446),
(320938, 164, 24117, 'CodevTT_RAF', '', '0', 0, 1515485446),
(320939, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1515485492),
(320940, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1515485507),
(320941, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1515485521),
(346233, 450, 25240, 'CodevTT_RAF', '0', '0', 0, 1520522007),
(346232, 450, 25240, '', '41573', '', 2, 1520521982),
(320984, 89, 1, '', '37078', '', 2, 1515492148),
(321101, 2, 23790, '', '37099', '', 2, 1515505999),
(321104, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1515507418),
(321108, 164, 23248, 'CodevTT_RAF', '0', '0', 0, 1515507457),
(321109, 164, 17251, '', '37101', '', 2, 1515507479),
(321116, 157, 22409, 'CodevTT_RAF', '1', '0.5', 0, 1515507687),
(321117, 157, 22409, 'CodevTT_RAF', '0.5', '0.5', 0, 1515507703),
(321118, 157, 23435, 'CodevTT_RAF', '0.5', '0', 0, 1515507736),
(321119, 157, 23435, 'CodevTT_RAF', '0', '0', 0, 1515507736),
(321120, 157, 23435, 'status', '50', '80', 0, 1515507736);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(321121, 157, 23163, 'CodevTT_RAF', '0.5', '0.5', 0, 1515507841),
(321122, 157, 23427, 'CodevTT_RAF', '1', '0', 0, 1515507928),
(321123, 157, 23427, 'status', '50', '80', 0, 1515507928),
(321124, 157, 23427, 'CodevTT_RAF', '0', '0', 0, 1515507928),
(321125, 157, 23427, 'CodevTT_Dead Line', '', '', 0, 1515507928),
(321126, 157, 22946, 'CodevTT_RAF', '', '0', 0, 1515507961),
(321127, 157, 22946, 'status', '10', '80', 0, 1515507961),
(321128, 157, 22946, 'CodevTT_RAF', '0', '0', 0, 1515507961),
(321129, 157, 22946, 'CodevTT_Dead Line', '', '', 0, 1515507961),
(321130, 157, 23005, 'CodevTT_RAF', '0.5', '0', 0, 1515507994),
(321131, 157, 23005, 'status', '50', '80', 0, 1515507994),
(321132, 157, 23005, 'CodevTT_RAF', '0', '0', 0, 1515507994),
(321133, 157, 23005, 'CodevTT_Dead Line', '', '', 0, 1515507994),
(321186, 199, 22424, 'CodevTT_RAF', '5', '5', 0, 1515510739),
(321185, 199, 22386, 'CodevTT_RAF', '0', '0', 0, 1515510716),
(321477, 199, 23773, 'CodevTT_RAF', '0.25', '0', 0, 1515576094),
(321478, 199, 23773, 'CodevTT_RAF', '0', '0', 0, 1515576094),
(321479, 199, 23773, 'status', '50', '80', 0, 1515576094),
(321484, 2, 1437, '', '37129', '', 2, 1515581106),
(321502, 352, 2, '', '37137', '', 2, 1515586303),
(321529, 72, 23790, '', '37149', '', 2, 1515588396),
(321532, 199, 23781, 'CodevTT_RAF', '0', '0', 0, 1515589810),
(321542, 199, 23893, 'CodevTT_RAF', '', '0', 0, 1515591865),
(321543, 199, 23893, 'CodevTT_RAF', '0', '0', 0, 1515591865),
(321544, 199, 23893, 'status', '10', '80', 0, 1515591865),
(321545, 199, 23902, 'CodevTT_RAF', '0', '0', 0, 1515593771),
(321546, 72, 24169, 'Ref. Externe', '', '45523', 0, 1515595087),
(321547, 72, 24169, 'CodevTT_ChargeInit', '', '0.5', 0, 1515595087),
(321548, 72, 24169, 'handler_id', '0', '157', 0, 1515595087),
(321549, 72, 24169, 'codevtt_type', '', 'Bug', 0, 1515595087),
(321550, 72, 24170, 'Ref. Externe', '', '45527', 0, 1515595088),
(321551, 72, 24170, 'CodevTT_ChargeInit', '', '0.5', 0, 1515595088),
(321552, 72, 24170, 'handler_id', '0', '199', 0, 1515595088),
(321553, 72, 24170, 'codevtt_type', '', 'Bug', 0, 1515595088),
(327826, 72, 24448, 'status', '10', '20', 0, 1516714320),
(327825, 72, 24446, 'status', '10', '20', 0, 1516714155),
(321558, 72, 24172, 'Ref. Externe', '', '45535', 0, 1515595089),
(321559, 72, 24172, 'CodevTT_ChargeInit', '', '0.5', 0, 1515595089),
(321560, 72, 24172, 'handler_id', '0', '199', 0, 1515595089),
(321561, 72, 24172, 'codevtt_type', '', 'Bug', 0, 1515595089),
(321568, 157, 24169, 'CodevTT_RAF', '', '0', 0, 1515596393),
(321569, 157, 24169, 'CodevTT_RAF', '0', '0', 0, 1515596393),
(321570, 157, 24169, 'status', '10', '80', 0, 1515596393),
(321571, 157, 22409, 'CodevTT_RAF', '0.5', '0.5', 0, 1515596426),
(321575, 157, 23784, 'handler_id', '0', '157', 0, 1515596685),
(321576, 157, 23784, 'status', '10', '80', 0, 1515596685),
(321577, 157, 23784, 'resolution', '10', '20', 0, 1515596685),
(321578, 157, 23784, 'CodevTT_RAF', '', '0', 0, 1515596685),
(321579, 157, 23421, 'handler_id', '0', '157', 0, 1515596718),
(321580, 157, 23421, 'status', '50', '80', 0, 1515596718),
(321581, 157, 23421, 'resolution', '10', '20', 0, 1515596718),
(321582, 157, 23421, 'summary', '45298 - [PUMA - TAIGA] Lot 4 - RDD Traitement pal_qc43794  - Assurés sélectionnés pour le traitement « pal_qc43794_CMR054.csv » ', '45298 - [PUMA - TAIGA] Lot 4 - RDD Traitement pal_qc43794  - Assurés sélectionnés pour le traitement « pal_qc43794_CMR054.csv »', 0, 1515596718),
(321585, 157, 23434, 'handler_id', '0', '157', 0, 1515596885),
(321586, 157, 23434, 'status', '20', '80', 0, 1515596885),
(321587, 157, 23434, 'resolution', '10', '70', 0, 1515596885),
(321588, 157, 23434, 'summary', '45413 - [PUMA - TAIGA] Lot  4 RDD Traitement pal_qc43796  - Des dossier non mis à jour pour motif « Impossible de procéder à la ', '45413 - [PUMA - TAIGA] Lot  4 RDD Traitement pal_qc43796  - Des dossier non mis à jour pour motif « Impossible de procéder à la', 0, 1515596885),
(321589, 157, 23434, 'CodevTT_RAF', '', '0', 0, 1515596885),
(321590, 157, 23420, 'status', '20', '80', 0, 1515596952),
(321591, 157, 23420, 'resolution', '10', '20', 0, 1515596952),
(321592, 157, 23420, 'CodevTT_RAF', '0.25', '0', 0, 1515596952),
(321593, 74, 22424, 'CodevTT_RAF', '5', '4', 0, 1515596975),
(321594, 74, 22424, 'CodevTT_RAF', '4', '4', 0, 1515596989),
(321597, 74, 22424, 'CodevTT_RAF', '4', '3', 0, 1515597012),
(321598, 74, 22424, 'CodevTT_RAF', '3', '1', 0, 1515597024),
(321751, 72, 23421, '', '4548', '', 6, 1515657900),
(321795, 72, 24175, '', '', '', 1, 1515658760),
(321796, 72, 24175, 'handler_id', '0', '157', 0, 1515658760),
(321797, 72, 24175, '', '', '23421', 21, 1515658761),
(321798, 72, 23421, '', '', '24175', 20, 1515658761),
(321799, 72, 24176, '', '', '', 1, 1515658879),
(321800, 72, 24176, '', '', '24175', 21, 1515658879),
(321801, 72, 24175, '', '', '24176', 20, 1515658879),
(321820, 72, 24177, '', '', '', 1, 1515658940),
(321821, 72, 24177, '', '', '24176', 21, 1515658940),
(321822, 72, 24176, '', '', '24177', 20, 1515658940),
(321845, 72, 24178, '', '', '', 1, 1515659005),
(321846, 72, 24178, '', '', '24177', 21, 1515659005),
(321847, 72, 24177, '', '', '24178', 20, 1515659005),
(321867, 72, 24179, '', '', '', 1, 1515659088),
(321868, 72, 24179, 'handler_id', '0', '199', 0, 1515659088),
(321869, 72, 24179, '', '', '24178', 21, 1515659088),
(321870, 72, 24178, '', '', '24179', 20, 1515659088),
(321899, 72, 24175, '', '', '24180', 20, 1515659155),
(321915, 72, 24179, 'summary', '45516', '45516 -  [PUMA - TAIGA] Alerte NIR ayant droit sur problème SPOC AYD', 0, 1515659226),
(321916, 72, 24179, 'Ref. Externe', '45516 - [PUMA - TAIGA] Alerte NIR ayant droit sur problème SPOC AYD', '45516 ', 0, 1515659226),
(321978, 304, 2, '', '37276', '', 2, 1515660319),
(321979, 304, 2, '', '37277', '', 2, 1515660337),
(321980, 304, 2, '', '37278', '', 2, 1515660341),
(321992, 285, 2, '', '37282', '', 2, 1515660525),
(322165, 72, 24177, 'handler_id', '0', '157', 0, 1515662630),
(322183, 72, 24170, 'handler_id', '199', '157', 0, 1515662766),
(322191, 72, 24178, '', '4550', '', 6, 1515662978),
(322349, 298, 2, '', '37282', '', 4, 1515673037),
(322365, 237, 1, '', '37383', '', 2, 1515677175),
(322366, 237, 1, '', '37384', '', 2, 1515677188),
(322367, 237, 1, '', '37385', '', 2, 1515677203),
(322480, 426, 2, '', '37412', '', 2, 1515680919),
(322484, 426, 2, '', '37414', '', 2, 1515680988),
(322485, 426, 2, '', '37415', '', 2, 1515680994),
(322502, 74, 22424, 'CodevTT_RAF', '1', '0', 0, 1515683845),
(322503, 74, 22424, 'CodevTT_RAF', '0', '0', 0, 1515683845),
(322504, 74, 22424, 'status', '50', '80', 0, 1515683845),
(322507, 2, 1437, '', '37129', '', 4, 1515684474),
(322508, 2, 1437, '', '37419', '', 2, 1515684474),
(322600, 2, 1435, '', '37449', '', 2, 1515692907),
(322637, 2, 22405, 'CodevTT_RAF', '2', '0', 0, 1515713409),
(322638, 2, 22405, 'status', '50', '80', 0, 1515713409),
(322639, 2, 22405, 'CodevTT_RAF', '0', '0', 0, 1515713409),
(322640, 2, 18114, 'CodevTT_RAF', '', '0', 0, 1515713436),
(322641, 2, 18114, 'status', '10', '80', 0, 1515713436),
(322642, 2, 18114, 'CodevTT_RAF', '0', '0', 0, 1515713436),
(322643, 2, 18115, 'CodevTT_RAF', '', '0', 0, 1515713448),
(322644, 2, 18115, 'status', '10', '80', 0, 1515713448),
(322645, 2, 18115, 'CodevTT_RAF', '0', '0', 0, 1515713448),
(322646, 2, 20441, 'CodevTT_RAF', '', '0', 0, 1515713464),
(322647, 2, 20441, 'status', '10', '80', 0, 1515713464),
(322648, 2, 20441, 'CodevTT_RAF', '0', '0', 0, 1515713464),
(322649, 2, 21707, 'CodevTT_RAF', '', '0', 0, 1515713494),
(322650, 2, 21707, 'status', '20', '80', 0, 1515713494),
(322651, 2, 21707, 'CodevTT_RAF', '0', '0', 0, 1515713494),
(322652, 157, 23419, 'CodevTT_RAF', '0.75', '0', 0, 1515739896),
(322653, 157, 23419, 'CodevTT_RAF', '0', '0', 0, 1515739896),
(322654, 157, 23419, 'status', '20', '80', 0, 1515739896),
(322655, 157, 22409, 'CodevTT_RAF', '0.5', '0', 0, 1515739923),
(322656, 157, 22409, 'CodevTT_RAF', '0', '0', 0, 1515739923),
(322657, 157, 22409, 'status', '50', '80', 0, 1515739923),
(322660, 157, 23419, 'CodevTT_RAF', '0', '0', 0, 1515740006),
(322661, 157, 23163, 'CodevTT_RAF', '0.5', '0.5', 0, 1515740044),
(322662, 157, 24177, 'CodevTT_RAF', '', '0', 0, 1515740461),
(322663, 157, 24177, 'status', '10', '80', 0, 1515740461),
(322664, 157, 24177, 'CodevTT_RAF', '0', '0', 0, 1515740461),
(322665, 157, 24177, 'CodevTT_Dead Line', '', '', 0, 1515740461),
(322666, 157, 24178, 'CodevTT_RAF', '', '0', 0, 1515740561),
(322667, 157, 24178, 'status', '10', '80', 0, 1515740561),
(322668, 157, 24178, 'CodevTT_RAF', '0', '0', 0, 1515740561),
(322669, 157, 24178, 'CodevTT_Dead Line', '', '', 0, 1515740561),
(322670, 157, 23556, 'CodevTT_RAF', '', '0', 0, 1515740622),
(322671, 157, 23556, 'status', '10', '80', 0, 1515740622),
(322672, 157, 23556, 'CodevTT_RAF', '0', '0', 0, 1515740622),
(322673, 157, 24170, 'CodevTT_RAF', '', '0', 0, 1515740678),
(322674, 157, 24170, 'status', '10', '80', 0, 1515740678),
(322675, 157, 24170, 'CodevTT_RAF', '0', '0', 0, 1515740678),
(322676, 157, 24175, 'CodevTT_RAF', '', '0', 0, 1515740735),
(322677, 157, 24175, 'status', '10', '80', 0, 1515740735),
(322678, 157, 24175, 'CodevTT_RAF', '0', '0', 0, 1515740735),
(323118, 9, 1, '', '37510', '', 2, 1515770376),
(323150, 199, 22386, 'CodevTT_RAF', '0', '0', 0, 1515771122),
(323151, 199, 23167, 'CodevTT_RAF', '0.5', '0', 0, 1515771323),
(323152, 199, 23167, 'CodevTT_RAF', '0', '0', 0, 1515771323),
(323153, 199, 23167, 'status', '50', '80', 0, 1515771323),
(323154, 199, 22424, 'CodevTT_RAF', '0', '0', 0, 1515771340),
(323155, 199, 22424, 'CodevTT_RAF', '0', '0', 0, 1515771351),
(323160, 199, 22424, 'CodevTT_RAF', '0', '0', 0, 1515771366),
(323162, 199, 22424, 'CodevTT_RAF', '0', '0', 0, 1515771381),
(323172, 199, 22424, 'CodevTT_RAF', '0', '0', 0, 1515771522),
(323253, 56, 1, '', '37527', '', 2, 1515775344),
(323383, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1515970922),
(323398, 36, 2, '', '37537', '', 2, 1516001665),
(323487, 72, 24239, 'Ref. Externe', '', '45481', 0, 1516009470),
(323488, 72, 24239, 'CodevTT_ChargeInit', '', '0.5', 0, 1516009470),
(323489, 72, 24239, 'handler_id', '0', '157', 0, 1516009470),
(323490, 72, 24239, 'codevtt_type', '', 'Task', 0, 1516009470),
(323491, 72, 24240, 'Ref. Externe', '', '45493', 0, 1516009471),
(323492, 72, 24240, 'CodevTT_ChargeInit', '', '0.5', 0, 1516009471),
(323493, 72, 24240, 'handler_id', '0', '157', 0, 1516009471),
(323494, 72, 24240, 'codevtt_type', '', 'Task', 0, 1516009471),
(323495, 72, 24241, 'Ref. Externe', '', '45546', 0, 1516009548),
(323496, 72, 24241, 'CodevTT_ChargeInit', '', '0.5', 0, 1516009548),
(323497, 72, 24241, 'handler_id', '0', '199', 0, 1516009548),
(323498, 72, 24241, 'codevtt_type', '', 'Bug', 0, 1516009548),
(323499, 72, 24242, 'Ref. Externe', '', '45548', 0, 1516009548),
(323500, 72, 24242, 'CodevTT_ChargeInit', '', '0.5', 0, 1516009548),
(323501, 72, 24242, 'handler_id', '0', '199', 0, 1516009548),
(323502, 72, 24242, 'codevtt_type', '', 'Bug', 0, 1516009548),
(323503, 72, 24243, 'Ref. Externe', '', '45553', 0, 1516009548),
(323504, 72, 24243, 'CodevTT_ChargeInit', '', '0.5', 0, 1516009548),
(323505, 72, 24243, 'handler_id', '0', '2', 0, 1516009548),
(323506, 72, 24243, 'codevtt_type', '', 'Bug', 0, 1516009548),
(323507, 72, 24244, 'Ref. Externe', '', '45554', 0, 1516009549),
(323508, 72, 24244, 'CodevTT_ChargeInit', '', '0.5', 0, 1516009549),
(323509, 72, 24244, 'handler_id', '0', '2', 0, 1516009549),
(323510, 72, 24244, 'codevtt_type', '', 'Bug', 0, 1516009549),
(323601, 72, 24247, 'Ref. Externe', '', '45556', 0, 1516019782),
(323602, 72, 24247, 'CodevTT_ChargeInit', '', '0.5', 0, 1516019782),
(323603, 72, 24247, 'handler_id', '0', '157', 0, 1516019782),
(323604, 72, 24247, 'codevtt_type', '', 'Task', 0, 1516019782),
(323615, 72, 22424, '', '4601', '', 6, 1516023042),
(323616, 72, 22424, 'CodevTT_ChargeMgr', '0.5', '0', 0, 1516023042),
(323777, 199, 22386, 'CodevTT_RAF', '0', '0', 0, 1516028825),
(323908, 452, 1, '', '37614', '', 2, 1516092920),
(323909, 452, 1, '', '37614', '', 4, 1516092929),
(323910, 452, 1, '', '37615', '', 2, 1516092929),
(323916, 72, 23137, 'status', '20', '50', 0, 1516093998),
(323917, 72, 23137, 'CodevTT_Dead Line', '', '', 0, 1516093998),
(323918, 72, 23138, 'status', '20', '50', 0, 1516094013),
(323919, 72, 23138, 'CodevTT_Dead Line', '', '', 0, 1516094013),
(323940, 72, 23432, 'CodevTT_RAF', '', '0', 0, 1516095316),
(323941, 72, 23432, 'status', '10', '80', 0, 1516095316),
(323942, 72, 23432, 'CodevTT_RAF', '0', '0', 0, 1516095316),
(323943, 72, 23432, 'CodevTT_Dead Line', '', '', 0, 1516095316),
(323944, 72, 24176, 'CodevTT_RAF', '', '0', 0, 1516095334),
(323945, 72, 24176, 'status', '10', '80', 0, 1516095334),
(323946, 72, 24176, 'CodevTT_RAF', '0', '0', 0, 1516095334),
(323947, 72, 24176, 'CodevTT_Dead Line', '', '', 0, 1516095334),
(323948, 72, 24172, 'CodevTT_RAF', '', '0', 0, 1516095412),
(323949, 72, 24172, 'status', '10', '80', 0, 1516095412),
(323950, 72, 24172, 'CodevTT_RAF', '0', '0', 0, 1516095412),
(323953, 72, 23557, '', '4618', '', 6, 1516095811),
(323954, 72, 23557, 'CodevTT_ChargeMgr', '', '0.5', 0, 1516095811),
(323955, 72, 22386, 'CodevTT_ChargeMgr', '', '5', 0, 1516095860),
(323956, 72, 22387, 'CodevTT_ChargeMgr', '', '7', 0, 1516095895),
(323957, 72, 22387, 'CodevTT_ChargeInit', '0.5', '6', 0, 1516095895),
(323958, 72, 23557, '', '4619', '', 6, 1516095975),
(323959, 72, 23557, 'CodevTT_ChargeMgr', '0.5', '5.5', 0, 1516095975),
(323960, 72, 23557, 'CodevTT_ChargeInit', '1', '5', 0, 1516095975),
(323982, 72, 24269, '', '', '', 1, 1516099758),
(323983, 72, 24269, 'handler_id', '0', '168', 0, 1516099758),
(323990, 157, 24247, 'CodevTT_RAF', '', '2', 0, 1516101518),
(323991, 157, 24247, 'status', '10', '50', 0, 1516101518),
(323992, 157, 24247, 'CodevTT_RAF', '2', '1', 0, 1516101687),
(323999, 72, 23438, 'CodevTT_RAF', '1', '0', 0, 1516104158),
(324000, 72, 23438, 'status', '50', '80', 0, 1516104158),
(324001, 72, 23438, 'CodevTT_RAF', '0', '0', 0, 1516104158),
(324002, 72, 23545, 'CodevTT_RAF', '0.25', '0', 0, 1516104205),
(324003, 72, 23545, 'status', '50', '80', 0, 1516104205),
(324004, 72, 23545, 'CodevTT_RAF', '0', '0', 0, 1516104205),
(324005, 72, 23545, 'CodevTT_Dead Line', '', '', 0, 1516104205),
(324006, 72, 23768, 'CodevTT_RAF', '0.25', '0', 0, 1516104250),
(324007, 72, 23768, 'status', '50', '80', 0, 1516104250),
(324008, 72, 23768, 'CodevTT_RAF', '0', '0', 0, 1516104250),
(324009, 72, 23768, 'CodevTT_Dead Line', '', '', 0, 1516104250),
(324010, 72, 23771, 'CodevTT_RAF', '0.25', '0', 0, 1516104283),
(324011, 72, 23771, 'status', '50', '80', 0, 1516104283),
(324012, 72, 23771, 'CodevTT_RAF', '0', '0', 0, 1516104283),
(324013, 72, 23771, 'CodevTT_Dead Line', '', '', 0, 1516104283),
(324014, 72, 23425, 'status', '20', '50', 0, 1516104440),
(324015, 72, 23425, 'CodevTT_Dead Line', '', '', 0, 1516104440),
(324109, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1516117217),
(324110, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1516117230),
(324111, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1516117251),
(324122, 72, 23910, 'summary', 'Qualif  - 18.1.60', 'Qualif  - 18.2.10 MCO', 0, 1516117602),
(324123, 72, 23910, '', '4627', '', 6, 1516117602),
(324124, 72, 23910, 'CodevTT_Date Livraison', '', '1519686000', 0, 1516117602),
(324128, 72, 21354, 'CodevTT_RAF', '2', '0', 0, 1516117720),
(324129, 72, 21354, 'status', '20', '80', 0, 1516117720),
(324130, 72, 21354, 'CodevTT_RAF', '0', '0', 0, 1516117720),
(324131, 72, 21354, '', '4629', '', 6, 1516117753),
(324140, 227, 1, '', '37660', '', 2, 1516118191),
(324155, 72, 24279, 'Ref. Externe', '', '45556', 0, 1516118657),
(324156, 72, 24279, 'CodevTT_ChargeInit', '', '0.5', 0, 1516118657),
(324157, 72, 24279, 'handler_id', '0', '157', 0, 1516118657),
(324158, 72, 24279, 'codevtt_type', '', 'Task', 0, 1516118657),
(324159, 72, 24280, 'Ref. Externe', '', '45557', 0, 1516118658),
(324160, 72, 24280, 'CodevTT_ChargeInit', '', '0.5', 0, 1516118658),
(324161, 72, 24280, 'handler_id', '0', '157', 0, 1516118658),
(324162, 72, 24280, 'codevtt_type', '', 'Task', 0, 1516118658),
(324163, 72, 24281, 'Ref. Externe', '', '45557', 0, 1516118658),
(324164, 72, 24281, 'CodevTT_ChargeInit', '', '0.5', 0, 1516118658),
(324165, 72, 24281, 'handler_id', '0', '157', 0, 1516118658),
(324166, 72, 24281, 'codevtt_type', '', 'Task', 0, 1516118658),
(324170, 227, 1, '', '37660', '', 4, 1516119921),
(324171, 227, 1, '', '37665', '', 2, 1516119921),
(324202, 2, 1435, '', '37675', '', 2, 1516121218),
(324203, 2, 1435, '', '37676', '', 2, 1516121223),
(324273, 2, 24244, 'CodevTT_RAF', '', '0', 0, 1516135531),
(324274, 2, 24244, 'status', '10', '80', 0, 1516135531),
(324275, 2, 24244, 'CodevTT_RAF', '0', '0', 0, 1516135531),
(324276, 2, 24243, 'CodevTT_RAF', '', '0', 0, 1516135576),
(324277, 2, 24243, 'status', '10', '80', 0, 1516135576),
(324278, 2, 24243, 'CodevTT_RAF', '0', '0', 0, 1516135576),
(324343, 168, 24269, 'CodevTT_RAF', '', '1', 0, 1516180653),
(324344, 168, 24269, 'status', '10', '50', 0, 1516180653),
(324345, 168, 24269, 'CodevTT_RAF', '1', '0', 0, 1516180680),
(324346, 168, 24269, 'CodevTT_RAF', '0', '0', 0, 1516180680),
(324347, 168, 24269, 'status', '50', '80', 0, 1516180680),
(324348, 168, 24269, '', '0037701', '', 2, 1516180979),
(324352, 199, 23137, '', '37703', '', 2, 1516181334),
(324353, 199, 23137, 'CodevTT_RAF', '', '0.01', 0, 1516181334),
(324354, 199, 23288, 'CodevTT_RAF', '', '0.1', 0, 1516181367),
(324355, 199, 23288, 'status', '10', '20', 0, 1516181367),
(324356, 199, 23288, 'handler_id', '0', '199', 0, 1516181367),
(324358, 2, 1505, '', '37704', '', 2, 1516183153),
(324362, 168, 21895, 'CodevTT_RAF', '1', '1', 0, 1516184246),
(325470, 2, 23790, '', '37729', '', 2, 1516208228),
(325594, 199, 23138, 'status', '50', '80', 0, 1516261484),
(325593, 199, 23138, 'CodevTT_RAF', '0', '0', 0, 1516261484),
(325592, 199, 23138, 'CodevTT_RAF', '', '0', 0, 1516261484),
(325587, 199, 23437, 'CodevTT_RAF', '0', '0', 0, 1516261400),
(325586, 199, 23437, 'CodevTT_RAF', '', '0', 0, 1516261400),
(325585, 199, 24179, 'status', '10', '80', 0, 1516261325),
(325580, 157, 24280, 'CodevTT_RAF', '', '1', 0, 1516260479),
(325579, 157, 23163, 'CodevTT_RAF', '0.5', '0.5', 0, 1516260452),
(325698, 199, 23422, 'CodevTT_ChargeMgr', '', '0', 0, 1516265487),
(325697, 199, 23422, 'status', '10', '50', 0, 1516265459),
(325696, 199, 23422, 'CodevTT_RAF', '', '1', 0, 1516265459),
(325676, 199, 24179, 'CodevTT_RAF', '0', '0', 0, 1516264684),
(325598, 199, 23425, 'CodevTT_RAF', '0', '0', 0, 1516261627),
(325591, 199, 23137, 'status', '50', '80', 0, 1516261462),
(325584, 199, 24179, 'CodevTT_RAF', '0', '0', 0, 1516261325),
(325936, 72, 23168, 'handler_id', '199', '450', 0, 1516279283),
(325937, 72, 23168, 'CodevTT_Dead Line', '', '', 0, 1516279283),
(326403, 56, 1, '', '37890', '', 2, 1516313097),
(326404, 56, 1, '', '37891', '', 2, 1516313128),
(326409, 56, 1, '', '37891', '', 4, 1516313511),
(326410, 56, 1, '', '37892', '', 2, 1516313716),
(326413, 56, 1, '', '37893', '', 2, 1516313870),
(326415, 56, 1, '', '37894', '', 2, 1516314043),
(326422, 56, 1, '', '37895', '', 2, 1516315855),
(326423, 56, 1, '', '37896', '', 2, 1516316170),
(326424, 56, 1, '', '37897', '', 2, 1516316237),
(326431, 56, 1, '', '37898', '', 2, 1516316852),
(326432, 56, 1, '', '37899', '', 2, 1516316888),
(326434, 157, 23163, 'CodevTT_RAF', '0.5', '3', 0, 1516345718),
(326435, 157, 24281, 'CodevTT_RAF', '', '1', 0, 1516345745),
(326436, 157, 24281, 'status', '10', '50', 0, 1516345745),
(326437, 157, 24280, 'CodevTT_RAF', '1', '0', 0, 1516345769),
(326438, 157, 24280, 'CodevTT_RAF', '0', '0', 0, 1516345769),
(326439, 157, 24280, 'status', '50', '80', 0, 1516345769),
(326440, 157, 24281, 'CodevTT_RAF', '1', '0.5', 0, 1516345803),
(326441, 157, 23163, 'CodevTT_RAF', '3', '2.5', 0, 1516346076),
(326442, 157, 23163, 'CodevTT_RAF', '2.5', '2', 0, 1516346089),
(326443, 157, 23163, 'CodevTT_RAF', '2', '1.5', 0, 1516346124),
(326444, 157, 23163, 'CodevTT_RAF', '1.5', '1', 0, 1516346138),
(326634, 227, 1, '', '37954', '', 2, 1516360611),
(326975, 226, 1400, '', '38016', '', 2, 1516390293),
(327044, 74, 22424, 'CodevTT_RAF', '0', '0', 0, 1516607425),
(327045, 74, 23557, 'CodevTT_RAF', '', '10', 0, 1516607564),
(327046, 74, 23557, 'status', '10', '50', 0, 1516607564),
(327047, 74, 23557, 'CodevTT_RAF', '10', '10', 0, 1516607578),
(327287, 450, 1436, '', '38059', '', 2, 1516621400),
(327457, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1516632425),
(327458, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1516632437),
(327596, 74, 23557, 'CodevTT_ChargeInit', '5', '9', 0, 1516648056),
(327597, 74, 23557, 'CodevTT_RAF', '10', '8', 0, 1516648066),
(327622, 450, 1436, '', '38059', '', 4, 1516697671),
(327623, 72, 24443, 'Ref. Externe', '', '45550', 0, 1516697780),
(327624, 72, 24443, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697781),
(327625, 72, 24443, 'handler_id', '0', '199', 0, 1516697781),
(327626, 72, 24443, 'codevtt_type', '', 'Bug', 0, 1516697781),
(327627, 72, 24444, 'Ref. Externe', '', '45552', 0, 1516697781),
(327628, 72, 24444, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697781),
(327629, 72, 24444, 'handler_id', '0', '199', 0, 1516697781),
(327630, 72, 24444, 'codevtt_type', '', 'Bug', 0, 1516697781),
(327631, 72, 24445, 'Ref. Externe', '', '45558', 0, 1516697781),
(327632, 72, 24445, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697781),
(327633, 72, 24445, 'handler_id', '0', '199', 0, 1516697781),
(327634, 72, 24445, 'codevtt_type', '', 'Bug', 0, 1516697781),
(327635, 72, 24446, 'Ref. Externe', '', '45559', 0, 1516697782),
(327636, 72, 24446, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697782),
(327637, 72, 24446, 'handler_id', '0', '199', 0, 1516697782),
(327638, 72, 24446, 'codevtt_type', '', 'Bug', 0, 1516697782),
(327639, 72, 24447, 'Ref. Externe', '', '45569', 0, 1516697782),
(327640, 72, 24447, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697782),
(327641, 72, 24447, 'handler_id', '0', '157', 0, 1516697782),
(327642, 72, 24447, 'codevtt_type', '', 'Bug', 0, 1516697782),
(327643, 72, 24448, 'Ref. Externe', '', '45573', 0, 1516697782),
(327644, 72, 24448, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697782),
(327645, 72, 24448, 'handler_id', '0', '199', 0, 1516697782),
(327646, 72, 24448, 'codevtt_type', '', 'Bug', 0, 1516697782),
(327647, 72, 24449, 'Ref. Externe', '', '45574', 0, 1516697782),
(327648, 72, 24449, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697782),
(327649, 72, 24449, 'handler_id', '0', '199', 0, 1516697782),
(327650, 72, 24449, 'codevtt_type', '', 'Bug', 0, 1516697782),
(327651, 72, 24450, 'Ref. Externe', '', '45586', 0, 1516697783),
(327652, 72, 24450, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697783),
(327653, 72, 24450, 'handler_id', '0', '199', 0, 1516697783),
(327654, 72, 24450, 'codevtt_type', '', 'Bug', 0, 1516697783),
(327655, 72, 24451, 'Ref. Externe', '', '45592', 0, 1516697783),
(327656, 72, 24451, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697783),
(327657, 72, 24451, 'handler_id', '0', '157', 0, 1516697783),
(327658, 72, 24451, 'codevtt_type', '', 'Bug', 0, 1516697783),
(327660, 72, 24452, 'Ref. Externe', '', '45530', 0, 1516697889),
(327661, 72, 24452, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697889),
(327662, 72, 24452, 'target_version', '', '18.0.11_PUMA', 0, 1516697889),
(327663, 72, 24452, 'handler_id', '0', '199', 0, 1516697889),
(327664, 72, 24452, 'codevtt_type', '', 'Task', 0, 1516697889),
(327665, 72, 24453, 'Ref. Externe', '', '45530', 0, 1516697889),
(327666, 72, 24453, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697889),
(327667, 72, 24453, 'target_version', '', '18.0.11_PUMA', 0, 1516697889),
(327668, 72, 24453, 'handler_id', '0', '199', 0, 1516697889),
(327669, 72, 24453, 'codevtt_type', '', 'Task', 0, 1516697889),
(327670, 72, 24454, 'Ref. Externe', '', '45537', 0, 1516697890),
(327671, 72, 24454, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697890),
(327672, 72, 24454, 'target_version', '', '18.0.11_PUMA', 0, 1516697890),
(327673, 72, 24454, 'handler_id', '0', '157', 0, 1516697890),
(327674, 72, 24454, 'codevtt_type', '', 'Task', 0, 1516697890),
(327675, 72, 24455, 'Ref. Externe', '', '45537', 0, 1516697890),
(327676, 72, 24455, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697890),
(327677, 72, 24455, 'target_version', '', '18.0.11_PUMA', 0, 1516697890),
(327678, 72, 24455, 'handler_id', '0', '157', 0, 1516697890),
(327679, 72, 24455, 'codevtt_type', '', 'Task', 0, 1516697890),
(327680, 72, 24456, 'Ref. Externe', '', '45594', 0, 1516697891),
(327681, 72, 24456, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697891),
(327682, 72, 24456, 'target_version', '', '18.0.11_PUMA', 0, 1516697891),
(327683, 72, 24456, 'handler_id', '0', '199', 0, 1516697891),
(327684, 72, 24456, 'codevtt_type', '', 'Task', 0, 1516697891),
(327685, 72, 24457, 'Ref. Externe', '', '45594', 0, 1516697891),
(327686, 72, 24457, 'CodevTT_ChargeInit', '', '0.5', 0, 1516697891),
(327687, 72, 24457, 'target_version', '', '18.0.11_PUMA', 0, 1516697891),
(327688, 72, 24457, 'handler_id', '0', '199', 0, 1516697891),
(327689, 72, 24457, 'codevtt_type', '', 'Task', 0, 1516697891),
(327690, 168, 21895, 'CodevTT_RAF', '1', '3', 0, 1516698451),
(327824, 72, 24443, 'status', '10', '20', 0, 1516713879),
(327829, 72, 24448, '', '4666', '', 6, 1516714373),
(327836, 72, 24452, 'CodevTT_Dead Line', '', '1516921200', 0, 1516714813),
(327837, 72, 24453, '', '4668', '', 6, 1516714928),
(327840, 72, 24456, 'handler_id', '199', '157', 0, 1516715222),
(327841, 72, 24456, 'status', '10', '20', 0, 1516715222),
(327842, 72, 24456, 'CodevTT_Dead Line', '', '', 0, 1516715222),
(327845, 72, 24457, 'handler_id', '199', '157', 0, 1516715246),
(327846, 72, 24457, 'status', '10', '20', 0, 1516715246),
(327847, 72, 24457, 'CodevTT_Dead Line', '', '', 0, 1516715246),
(327881, 72, 23137, 'CodevTT_ChargeMgr', '', '2', 0, 1516716503),
(327883, 72, 23138, 'CodevTT_ChargeMgr', '', '2', 0, 1516716528),
(327884, 72, 23557, '', '4669', '', 6, 1516716577),
(327885, 72, 23557, 'CodevTT_ChargeMgr', '5.5', '6.5', 0, 1516716577),
(327886, 72, 23420, 'summary', 'D45303-[PUMA - TAIGA] RDD pal_qc43794 Ayant-droits sélectionnés  motif est pas mis à jour', '45303-[PUMA - TAIGA] RDD pal_qc43794 Ayant-droits sélectionnés  motif est pas mis à jour', 0, 1516716833),
(327907, 72, 23543, 'CodevTT_RAF', '', '0', 0, 1516717610),
(327908, 72, 23543, 'CodevTT_RAF', '0', '0', 0, 1516717610),
(327909, 72, 23543, 'status', '10', '80', 0, 1516717610),
(327916, 74, 23557, 'CodevTT_RAF', '8', '10', 0, 1516718328),
(328438, 199, 22387, 'CodevTT_RAF', '', '0', 0, 1516785891),
(328439, 199, 22387, 'CodevTT_RAF', '0', '0', 0, 1516785891),
(328440, 199, 22387, 'status', '10', '80', 0, 1516785891),
(328441, 199, 22387, 'handler_id', '0', '199', 0, 1516785891),
(328654, 450, 1436, '', '38200', '', 2, 1516809313),
(328659, 450, 1436, '', '38203', '', 2, 1516809433),
(328663, 450, 1436, '', '38203', '', 4, 1516809519),
(328664, 450, 1436, '', '38205', '', 2, 1516809519),
(328927, 344, 2, '', '38273', '', 2, 1516872857),
(328931, 157, 24451, 'CodevTT_RAF', '', '2.5', 0, 1516873247),
(328932, 157, 24451, 'status', '10', '50', 0, 1516873247),
(328933, 157, 24451, 'CodevTT_RAF', '2.5', '2', 0, 1516873274),
(328934, 157, 24451, 'CodevTT_RAF', '2', '1', 0, 1516873288),
(328935, 157, 24447, 'CodevTT_RAF', '', '0', 0, 1516873322),
(328936, 157, 24447, 'CodevTT_RAF', '0', '0', 0, 1516873322),
(328937, 157, 24447, 'status', '10', '80', 0, 1516873322),
(329139, 72, 23163, 'CodevTT_RAF', '1', '1', 0, 1516883054),
(329165, 2, 23790, '', '38347', '', 2, 1516883859),
(329270, 199, 23422, 'CodevTT_RAF', '1', '0.5', 0, 1516897375),
(329386, 199, 24546, '', '', '', 1, 1516900779),
(329387, 199, 24546, 'handler_id', '0', '199', 0, 1516900779),
(329388, 199, 24546, '', '', '22214', 21, 1516900779),
(329389, 199, 22214, '', '', '24546', 20, 1516900779),
(329390, 199, 24546, 'CodevTT_RAF', '', '0', 0, 1516900812),
(329391, 199, 24546, 'CodevTT_RAF', '0', '0', 0, 1516900812),
(329392, 199, 24546, 'status', '10', '80', 0, 1516900812),
(329401, 199, 23422, 'CodevTT_RAF', '0.5', '0.5', 0, 1516900849),
(329406, 199, 24450, 'CodevTT_RAF', '', '0', 0, 1516900904),
(329407, 199, 24450, 'CodevTT_RAF', '0', '0', 0, 1516900904),
(329408, 199, 24450, 'status', '10', '80', 0, 1516900904),
(329409, 199, 24449, 'CodevTT_RAF', '', '0', 0, 1516900947),
(329410, 199, 24449, 'CodevTT_RAF', '0', '0', 0, 1516900947),
(329411, 199, 24449, 'status', '10', '80', 0, 1516900947),
(329416, 199, 24241, 'CodevTT_RAF', '', '0.25', 0, 1516901064),
(329417, 199, 24241, 'status', '10', '50', 0, 1516901064),
(329418, 199, 24547, '', '', '', 1, 1516901167),
(329419, 199, 24547, 'handler_id', '0', '199', 0, 1516901167),
(329420, 199, 24547, 'CodevTT_RAF', '', '0', 0, 1516901195),
(329421, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1516901195),
(329422, 199, 24547, 'status', '10', '80', 0, 1516901195),
(329423, 199, 23289, 'CodevTT_RAF', '', '0', 0, 1516901306),
(329424, 199, 23289, 'CodevTT_RAF', '0', '0', 0, 1516901306),
(329425, 199, 23289, 'status', '10', '80', 0, 1516901306),
(329426, 199, 23289, 'handler_id', '0', '199', 0, 1516901306),
(329427, 199, 23138, 'CodevTT_RAF', '0', '0.25', 0, 1516901378),
(329428, 199, 23138, 'status', '80', '50', 0, 1516901378),
(329429, 199, 24179, 'CodevTT_RAF', '0', '0', 0, 1516901405),
(329430, 199, 24179, 'CodevTT_RAF', '0', '0', 0, 1516901416),
(329431, 199, 23425, 'CodevTT_RAF', '0', '0', 0, 1516902461),
(329432, 199, 24449, 'CodevTT_RAF', '0', '0', 0, 1516902580),
(329433, 199, 23137, '', '38401', '', 2, 1516902670),
(329434, 199, 23137, 'CodevTT_RAF', '0', '0', 0, 1516902670),
(329435, 199, 23243, '', '38402', '', 2, 1516902759),
(329436, 199, 23243, 'CodevTT_RAF', '', '0.25', 0, 1516902759),
(329437, 199, 23243, 'status', '10', '50', 0, 1516902759),
(329438, 450, 2041, '', '38403', '', 2, 1516951685),
(329566, 168, 21895, 'CodevTT_RAF', '3', '1', 0, 1516963222),
(329567, 168, 22919, 'CodevTT_RAF', '0', '0', 0, 1516963250),
(329568, 72, 23790, '', '38439', '', 2, 1516963356),
(329570, 199, 24452, 'CodevTT_RAF', '', '0', 0, 1516968284),
(329571, 199, 24452, 'CodevTT_RAF', '0', '0', 0, 1516968284),
(329572, 199, 24452, 'status', '10', '80', 0, 1516968284),
(329573, 199, 23288, 'CodevTT_RAF', '0.1', '0.1', 0, 1516968316),
(329574, 157, 24451, 'CodevTT_RAF', '1', '0', 0, 1516970245),
(329575, 157, 24451, 'CodevTT_RAF', '0', '0', 0, 1516970245),
(329576, 157, 24451, 'status', '50', '80', 0, 1516970245),
(329577, 157, 24454, 'CodevTT_RAF', '', '0', 0, 1516970277),
(329578, 157, 24454, 'status', '10', '80', 0, 1516970277),
(329579, 157, 24454, 'CodevTT_RAF', '0', '0', 0, 1516970277),
(329580, 157, 24454, 'CodevTT_Dead Line', '', '', 0, 1516970277),
(329581, 157, 24455, 'CodevTT_RAF', '', '0', 0, 1516970293),
(329582, 157, 24455, 'status', '10', '80', 0, 1516970293),
(329583, 157, 24455, 'CodevTT_RAF', '0', '0', 0, 1516970293),
(329584, 157, 24455, 'CodevTT_Dead Line', '', '', 0, 1516970293),
(329585, 157, 22426, 'CodevTT_RAF', '1', '0', 0, 1516970316),
(329586, 157, 22426, 'status', '50', '80', 0, 1516970316),
(329587, 157, 22426, 'CodevTT_RAF', '0', '0', 0, 1516970316),
(329588, 157, 24247, 'CodevTT_RAF', '1', '0', 0, 1516970333),
(329589, 157, 24247, 'status', '50', '80', 0, 1516970333),
(329590, 157, 24247, 'CodevTT_RAF', '0', '0', 0, 1516970333),
(329591, 157, 24281, 'CodevTT_RAF', '0.5', '0', 0, 1516970351),
(329592, 157, 24281, 'status', '50', '80', 0, 1516970351),
(329593, 157, 24281, 'CodevTT_RAF', '0', '0', 0, 1516970351),
(329594, 157, 23436, 'CodevTT_RAF', '', '0', 0, 1516970412),
(329595, 157, 23436, 'status', '10', '80', 0, 1516970412),
(329596, 157, 23436, 'CodevTT_RAF', '0', '0', 0, 1516970412),
(329597, 157, 24279, 'CodevTT_RAF', '', '0', 0, 1516970434),
(329598, 157, 24279, 'status', '10', '80', 0, 1516970434),
(329599, 157, 24279, 'CodevTT_RAF', '0', '0', 0, 1516970434),
(329600, 157, 24239, 'CodevTT_RAF', '', '0', 0, 1516970517),
(329601, 157, 24239, 'status', '10', '80', 0, 1516970517),
(329602, 157, 24239, 'CodevTT_RAF', '0', '0', 0, 1516970517),
(329603, 157, 14039, 'CodevTT_RAF', '1', '0', 0, 1516970593),
(329604, 157, 14039, 'status', '20', '80', 0, 1516970593),
(329605, 157, 14039, 'CodevTT_RAF', '0', '0', 0, 1516970593),
(329606, 157, 14039, 'status', '80', '20', 0, 1516970615),
(329607, 157, 21619, 'CodevTT_RAF', '0.75', '0', 0, 1516970631),
(329608, 157, 21619, 'status', '20', '80', 0, 1516970631),
(329609, 157, 21619, 'CodevTT_RAF', '0', '0', 0, 1516970631),
(329610, 157, 24456, 'CodevTT_RAF', '', '0', 0, 1516970661),
(329611, 157, 24456, 'status', '20', '80', 0, 1516970661),
(329612, 157, 24456, 'CodevTT_RAF', '0', '0', 0, 1516970661),
(329613, 157, 24456, 'CodevTT_Dead Line', '', '', 0, 1516970661),
(329614, 157, 24457, 'CodevTT_RAF', '', '0', 0, 1516970671),
(329615, 157, 24457, 'status', '20', '80', 0, 1516970671),
(329616, 157, 24457, 'CodevTT_RAF', '0', '0', 0, 1516970671),
(329617, 157, 24457, 'CodevTT_Dead Line', '', '', 0, 1516970671),
(329618, 199, 23138, 'CodevTT_RAF', '0.25', '0', 0, 1516971335),
(329619, 199, 23138, 'CodevTT_RAF', '0', '0', 0, 1516971335),
(329620, 199, 23138, 'status', '50', '80', 0, 1516971335),
(329799, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1516977359),
(329841, 72, 24561, 'Ref. Externe', '', '45602', 0, 1516978133),
(329842, 72, 24561, 'CodevTT_ChargeInit', '', '0.5', 0, 1516978133),
(329843, 72, 24561, 'handler_id', '0', '199', 0, 1516978133),
(329844, 72, 24561, 'codevtt_type', '', 'Bug', 0, 1516978133),
(329845, 72, 24562, 'Ref. Externe', '', '45604', 0, 1516978133),
(329846, 72, 24562, 'CodevTT_ChargeInit', '', '0.5', 0, 1516978133),
(329847, 72, 24562, 'handler_id', '0', '168', 0, 1516978133),
(329848, 72, 24562, 'codevtt_type', '', 'Bug', 0, 1516978133),
(329849, 72, 24563, 'Ref. Externe', '', '45607', 0, 1516978133),
(329850, 72, 24563, 'CodevTT_ChargeInit', '', '0.5', 0, 1516978133),
(329851, 72, 24563, 'handler_id', '0', '199', 0, 1516978133),
(329852, 72, 24563, 'codevtt_type', '', 'Bug', 0, 1516978133),
(335396, 72, 24575, '', '4743', '', 6, 1518444311),
(335397, 72, 24575, 'CodevTT_ChargeMgr', '9.6', '10.6', 0, 1518444311),
(333584, 72, 23545, '', '', '24688', 20, 1518017741),
(329879, 72, 24175, 'summary', '45502 -[TAIGA - PUMA ] LOT 2 - Code régime 26 - SPOC 43 Non généré', '45502 - [TAIGA - PUMA ] LOT 2 - Code régime 26 - SPOC 43 Non généré', 0, 1516981208),
(329883, 72, 23420, 'summary', '45303-[PUMA - TAIGA] RDD pal_qc43794 Ayant-droits sélectionnés  motif est pas mis à jour', '45303 - [PUMA - TAIGA] RDD pal_qc43794 Ayant-droits sélectionnés  motif est pas mis à jour', 0, 1516981347),
(330117, 72, 23166, 'handler_id', '199', '168', 0, 1517215082),
(330118, 72, 23166, 'status', '80', '50', 0, 1517215082),
(330119, 72, 23166, 'CodevTT_Dead Line', '', '', 0, 1517215082),
(330129, 72, 23166, 'CodevTT_ChargeMgr', '', '0', 0, 1517215403),
(330130, 72, 23166, 'CodevTT_RAF', '0', '1', 0, 1517215403),
(330131, 72, 21895, 'status', '50', '20', 0, 1517215440),
(330163, 199, 23425, 'CodevTT_RAF', '0', '0', 0, 1517216368),
(330166, 72, 23543, 'CodevTT_ChargeMgr', '', '2', 0, 1517216880),
(330167, 72, 23557, '', '4689', '', 6, 1517216976),
(330168, 72, 23557, 'CodevTT_ChargeMgr', '6.5', '7.7', 0, 1517216976),
(330169, 72, 23427, 'CodevTT_ChargeMgr', '', '8.5', 0, 1517217183),
(330170, 72, 23556, 'CodevTT_ChargeMgr', '', '1', 0, 1517217206),
(330171, 72, 23557, '', '4690', '', 6, 1517217326),
(330172, 72, 23557, 'CodevTT_ChargeMgr', '7.7', '8.7', 0, 1517217326),
(330176, 72, 24454, 'CodevTT_ChargeMgr', '', '3.5', 0, 1517217928),
(330183, 72, 24455, 'CodevTT_ChargeMgr', '', '1', 0, 1517217952),
(330193, 72, 24575, '', '', '', 1, 1517218192),
(330194, 72, 24575, 'handler_id', '0', '74', 0, 1517218192),
(330195, 72, 24575, '', '', '23557', 21, 1517218192),
(330196, 72, 23557, '', '', '24575', 20, 1517218192),
(330197, 72, 23167, 'CodevTT_ChargeMgr', '0', '3', 0, 1517218551),
(330198, 72, 23168, 'CodevTT_ChargeMgr', '0', '5', 0, 1517218577),
(330199, 72, 24575, '', '4692', '', 6, 1517218670),
(330200, 72, 24575, 'CodevTT_ChargeMgr', '0.6', '3.6', 0, 1517218670),
(330201, 72, 24575, 'CodevTT_ChargeInit', '1', '3', 0, 1517218670),
(330202, 72, 22953, 'handler_id', '199', '168', 0, 1517219023),
(330203, 72, 22953, 'status', '80', '50', 0, 1517219023),
(330204, 72, 22953, 'CodevTT_ChargeMgr', '', '0', 0, 1517219031),
(330205, 72, 22953, 'CodevTT_RAF', '0', '1', 0, 1517219031),
(330206, 72, 22953, 'target_version', '', '18.0.10_PUMA', 0, 1517219115),
(330217, 72, 23426, 'CodevTT_ChargeMgr', '0', '6', 0, 1517221818),
(330218, 72, 23426, 'CodevTT_ChargeInit', '1', '4', 0, 1517221818),
(330219, 72, 23426, 'CodevTT_RAF', '1', '4', 0, 1517221818),
(330220, 72, 23425, 'CodevTT_ChargeMgr', '', '1', 0, 1517221850),
(330224, 72, 24575, '', '4693', '', 6, 1517221987),
(330225, 72, 24575, 'CodevTT_ChargeMgr', '3.6', '6.6', 0, 1517221987),
(330226, 72, 24575, 'CodevTT_ChargeInit', '3', '5', 0, 1517221987),
(330252, 72, 24445, 'handler_id', '199', '450', 0, 1517223438),
(330311, 72, 23790, '', '38546', '', 2, 1517229822),
(330314, 199, 23422, 'CodevTT_RAF', '0.5', '0', 0, 1517231727),
(330315, 199, 23422, 'CodevTT_RAF', '0', '0', 0, 1517231727),
(330316, 199, 23422, 'status', '50', '80', 0, 1517231727),
(330335, 74, 23557, 'CodevTT_RAF', '10', '6', 0, 1517233321),
(330336, 74, 23557, 'CodevTT_RAF', '6', '6', 0, 1517233334),
(330337, 74, 23557, 'CodevTT_RAF', '6', '5', 0, 1517233345),
(330338, 74, 23557, 'CodevTT_RAF', '5', '5', 0, 1517233358),
(330411, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1517235139),
(330412, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1517235191),
(330447, 10, 2, '', '38563', '', 2, 1517236651),
(330525, 199, 13774, 'CodevTT_RAF', '2', '0', 0, 1517296823),
(330526, 199, 13774, 'CodevTT_RAF', '0', '0', 0, 1517296823),
(330527, 199, 13774, 'status', '50', '80', 0, 1517296823),
(330594, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1517307453),
(330595, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1517307464),
(330648, 72, 23556, 'summary', 'D45385- [DEV] [PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', '45385 - [DEV] [PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', 0, 1517320791),
(330649, 72, 23556, 'summary', '45385 - [DEV] [PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', '45385  [DEV] [PUMA - TAIGA] Codes régimes  évolution sur la date situation de l assuré', 0, 1517320903),
(330668, 72, 24588, 'Ref. Externe', '', '45614', 0, 1517321804),
(330669, 72, 24588, 'CodevTT_ChargeInit', '', '0.5', 0, 1517321804),
(330670, 72, 24588, 'target_version', '', '18.0.11_PUMA', 0, 1517321804),
(330671, 72, 24588, 'handler_id', '0', '199', 0, 1517321804),
(330672, 72, 24588, 'codevtt_type', '', 'Bug', 0, 1517321804),
(330673, 72, 24589, 'Ref. Externe', '', '45615', 0, 1517321805),
(330674, 72, 24589, 'CodevTT_ChargeInit', '', '0.5', 0, 1517321805),
(330675, 72, 24589, 'target_version', '', '18.0.11_PUMA', 0, 1517321805),
(330676, 72, 24589, 'handler_id', '0', '199', 0, 1517321805),
(330677, 72, 24589, 'codevtt_type', '', 'Bug', 0, 1517321805),
(330678, 72, 24590, 'Ref. Externe', '', '45616', 0, 1517321805),
(330679, 72, 24590, 'CodevTT_ChargeInit', '', '0.5', 0, 1517321805),
(330680, 72, 24590, 'target_version', '', '18.0.11_PUMA', 0, 1517321805),
(330681, 72, 24590, 'handler_id', '0', '199', 0, 1517321805),
(330682, 72, 24590, 'codevtt_type', '', 'Bug', 0, 1517321805),
(330683, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1517321850),
(330684, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1517321867),
(330685, 72, 24591, 'Ref. Externe', '', '45601', 0, 1517321890),
(330686, 72, 24591, 'CodevTT_ChargeInit', '', '0.5', 0, 1517321890),
(330687, 72, 24591, 'handler_id', '0', '450', 0, 1517321890),
(330688, 72, 24591, 'codevtt_type', '', 'Task', 0, 1517321890),
(330689, 72, 24592, 'Ref. Externe', '', '45601', 0, 1517321890),
(330690, 72, 24592, 'CodevTT_ChargeInit', '', '0.5', 0, 1517321890),
(330691, 72, 24592, 'handler_id', '0', '450', 0, 1517321890),
(330692, 72, 24592, 'codevtt_type', '', 'Task', 0, 1517321890),
(330693, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1517321938),
(330694, 72, 24593, 'Ref. Externe', '', '45619', 0, 1517321964),
(330695, 72, 24593, 'CodevTT_ChargeInit', '', '0.5', 0, 1517321964),
(330696, 72, 24593, 'target_version', '', '18.0.11_PUMA', 0, 1517321964),
(330697, 72, 24593, 'handler_id', '0', '450', 0, 1517321964),
(330698, 72, 24593, 'codevtt_type', '', 'Task', 0, 1517321964),
(330699, 72, 24594, 'Ref. Externe', '', '45619', 0, 1517321965),
(330700, 72, 24594, 'CodevTT_ChargeInit', '', '0.5', 0, 1517321965),
(330701, 72, 24594, 'target_version', '', '18.0.11_PUMA', 0, 1517321965),
(330702, 72, 24594, 'handler_id', '0', '450', 0, 1517321965),
(330703, 72, 24594, 'codevtt_type', '', 'Task', 0, 1517321965),
(330714, 72, 22954, 'status', '10', '20', 0, 1517323352),
(330715, 72, 22955, 'status', '10', '20', 0, 1517323366),
(335395, 72, 23289, 'CodevTT_ChargeMgr', '', '3', 0, 1518444244),
(335394, 72, 23288, 'CodevTT_Dead Line', '', '', 0, 1518444217),
(330735, 72, 23243, 'target_version', '', '18.2.10 MCO', 0, 1517324287),
(330744, 72, 24445, 'target_version', '', '18.0.11_PUMA', 0, 1517324551),
(330745, 72, 24591, 'target_version', '', '18.2.10 MCO', 0, 1517324591),
(330746, 72, 24592, 'target_version', '', '18.2.10 MCO', 0, 1517324643),
(330749, 72, 23166, 'status', '50', '20', 0, 1517324842),
(330750, 72, 23166, 'CodevTT_Dead Line', '', '', 0, 1517324842),
(330751, 72, 23426, 'target_version', '18.0.R3_PUMA', '18.0.11_PUMA', 0, 1517324919),
(330752, 72, 22953, 'status', '50', '20', 0, 1517325076),
(330753, 72, 22953, 'CodevTT_Dead Line', '', '', 0, 1517325076),
(330754, 72, 22385, 'handler_id', '168', '0', 0, 1517325186),
(330755, 72, 23910, 'Ref. Externe', 'Q18.1.60', 'Q18.2.10 MCO', 0, 1517325269),
(330756, 72, 24240, 'handler_id', '157', '0', 0, 1517325363),
(330757, 72, 24240, 'CodevTT_RAF', '', '0', 0, 1517325363),
(330758, 72, 24240, 'status', '10', '80', 0, 1517325363),
(330759, 72, 24240, 'CodevTT_RAF', '0', '0', 0, 1517325363),
(330760, 72, 22933, 'handler_id', '199', '72', 0, 1517325437),
(330761, 72, 22933, 'CodevTT_Dead Line', '', '', 0, 1517325437),
(330762, 72, 22933, 'target_version', '18.0.R3_PUMA', '18.0.11_PUMA', 0, 1517325510),
(330975, 157, 23255, 'CodevTT_RAF', '0', '0', 0, 1517395286),
(330976, 157, 24447, 'CodevTT_RAF', '0', '0', 0, 1517395358),
(330977, 157, 23163, 'CodevTT_RAF', '1', '0', 0, 1517395396),
(330978, 157, 23163, 'CodevTT_RAF', '0', '0', 0, 1517395396),
(330979, 157, 23163, 'status', '50', '80', 0, 1517395396),
(331305, 274, 2, '', '38718', '', 2, 1517476387),
(331537, 229, 1, '', '38801', '', 2, 1517482707),
(331550, 229, 1, '', '38801', '', 4, 1517482939),
(331552, 229, 1, '', '38808', '', 2, 1517483387),
(331592, 72, 23137, 'CodevTT_ChargeMgr', '2', '2.5', 0, 1517486779),
(331593, 72, 23138, 'CodevTT_ChargeMgr', '2', '2.7', 0, 1517486901),
(331617, 72, 22765, 'status', '80', '50', 0, 1517489619),
(331618, 72, 22765, 'CodevTT_Dead Line', '', '', 0, 1517489619),
(331619, 72, 22765, 'CodevTT_RAF', '0', '1', 0, 1517489627),
(331882, 199, 23167, 'CodevTT_RAF', '0', '0', 0, 1517516358),
(331930, 72, 24593, 'handler_id', '450', '199', 0, 1517563131),
(331931, 72, 24593, 'CodevTT_Dead Line', '', '', 0, 1517563131),
(331932, 450, 1436, '', '38880', '', 2, 1517563331),
(331936, 450, 23168, 'CodevTT_RAF', '', '2', 0, 1517563412),
(331937, 450, 23168, 'status', '10', '50', 0, 1517563412),
(331938, 450, 23168, 'CodevTT_RAF', '2', '1', 0, 1517563455),
(331940, 450, 23168, 'CodevTT_RAF', '1', '0', 0, 1517563485),
(331941, 450, 23168, 'CodevTT_RAF', '0', '0', 0, 1517563485),
(331942, 450, 23168, 'status', '50', '80', 0, 1517563485),
(332035, 9, 1, '', '38894', '', 2, 1517567265),
(332038, 431, 2, '', '38896', '', 2, 1517567399),
(332040, 431, 2, '', '38896', '', 4, 1517567416),
(332041, 431, 2, '', '38897', '', 2, 1517567416),
(346231, 450, 25240, 'status', '50', '80', 0, 1520521947),
(346230, 450, 25240, 'CodevTT_RAF', '0', '0', 0, 1520521946),
(346229, 450, 25240, 'CodevTT_RAF', '2', '0', 0, 1520521946),
(332467, 72, 24594, 'handler_id', '450', '157', 0, 1517818717),
(332468, 72, 24594, 'CodevTT_Dead Line', '', '', 0, 1517818717),
(332469, 72, 24593, 'handler_id', '199', '157', 0, 1517818735),
(332470, 72, 24593, 'CodevTT_Dead Line', '', '', 0, 1517818735),
(332471, 74, 23557, 'CodevTT_RAF', '5', '5', 0, 1517818786),
(332472, 74, 23557, 'CodevTT_RAF', '5', '5', 0, 1517818798),
(332473, 74, 23557, 'CodevTT_RAF', '5', '5', 0, 1517818810),
(332474, 74, 23557, 'CodevTT_RAF', '5', '4', 0, 1517818827),
(332475, 74, 23557, 'CodevTT_RAF', '4', '4', 0, 1517818838),
(332488, 72, 24445, 'handler_id', '450', '157', 0, 1517820776),
(332489, 72, 24445, 'CodevTT_Dead Line', '', '', 0, 1517820776),
(332672, 72, 22877, 'CodevTT_ChargeMgr', '', '2', 0, 1517834751),
(332673, 72, 23243, 'CodevTT_ChargeMgr', '', '3', 0, 1517834770),
(332674, 72, 23910, '', '4718', '', 6, 1517834848),
(332675, 72, 23910, 'CodevTT_ChargeMgr', '1', '2', 0, 1517834848),
(332682, 72, 23435, 'CodevTT_ChargeMgr', '', '2', 0, 1517835440),
(332685, 72, 23436, 'CodevTT_ChargeMgr', '', '5', 0, 1517835488),
(332686, 72, 23910, '', '4719', '', 6, 1517835559),
(332687, 72, 23910, 'CodevTT_ChargeMgr', '2', '4', 0, 1517835559),
(332688, 72, 23910, 'CodevTT_ChargeInit', '1', '2', 0, 1517835559),
(332695, 72, 24648, '', '', '', 1, 1517837159),
(332696, 72, 24648, 'handler_id', '0', '72', 0, 1517837159),
(332887, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1517848390),
(332891, 2, 22805, '', '39038', '', 2, 1517848460),
(332892, 2, 22805, 'CodevTT_RAF', '0', '0', 0, 1517848460),
(332895, 2, 23790, '', '39040', '', 2, 1517848532),
(332896, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1517848565),
(332991, 199, 22383, 'CodevTT_RAF', '', '0', 0, 1517905527),
(332992, 199, 22383, 'status', '10', '80', 0, 1517905528),
(332993, 199, 22383, 'CodevTT_RAF', '0', '0', 0, 1517905528),
(332994, 199, 22383, 'CodevTT_Dead Line', '', '', 0, 1517905528),
(333011, 199, 24453, 'CodevTT_RAF', '', '0.5', 0, 1517907521),
(333012, 199, 24453, 'status', '10', '50', 0, 1517907521),
(333013, 199, 24453, 'CodevTT_RAF', '0.5', '0', 0, 1517907531),
(333014, 199, 24453, 'CodevTT_RAF', '0', '0', 0, 1517907531),
(333015, 199, 24453, 'status', '50', '80', 0, 1517907531),
(333028, 199, 23289, 'CodevTT_RAF', '0', '0', 0, 1517908546),
(333031, 2, 24243, '', '20160719_Pilatus_Aupillon_05.PNG', '', 9, 1517908895),
(333169, 157, 24445, 'CodevTT_RAF', '', '0.5', 0, 1517930280),
(333170, 157, 24445, 'status', '10', '50', 0, 1517930280),
(333171, 157, 24445, 'CodevTT_RAF', '0.5', '0.5', 0, 1517930327),
(333172, 157, 24594, 'CodevTT_RAF', '', '0.5', 0, 1517930362),
(333173, 157, 24594, 'status', '10', '50', 0, 1517930362),
(333174, 157, 24593, 'CodevTT_RAF', '', '0.5', 0, 1517930388),
(333175, 157, 24593, 'status', '10', '50', 0, 1517930388),
(333188, 72, 24670, 'Ref. Externe', '', '45627', 0, 1517931208),
(333189, 72, 24670, 'CodevTT_ChargeInit', '', '0.5', 0, 1517931208),
(333190, 72, 24670, 'target_version', '', '18.0.11_PUMA', 0, 1517931208),
(333191, 72, 24670, 'handler_id', '0', '72', 0, 1517931208),
(333192, 72, 24670, 'codevtt_type', '', 'Task', 0, 1517931208),
(333193, 72, 24670, 'CodevTT_Dead Line', '', '1518476400', 0, 1517931208),
(333194, 72, 24671, 'Ref. Externe', '', '45627', 0, 1517931208),
(333195, 72, 24671, 'CodevTT_ChargeInit', '', '0.5', 0, 1517931208),
(333196, 72, 24671, 'target_version', '', '18.0.11_PUMA', 0, 1517931208),
(333197, 72, 24671, 'handler_id', '0', '72', 0, 1517931208),
(333198, 72, 24671, 'codevtt_type', '', 'Task', 0, 1517931208),
(333199, 72, 24671, 'CodevTT_Dead Line', '', '1518476400', 0, 1517931208),
(333206, 72, 24670, 'CodevTT_RAF', '', '0', 0, 1517931403),
(333207, 72, 24670, 'CodevTT_RAF', '0', '0', 0, 1517931403),
(333208, 72, 24670, 'status', '10', '80', 0, 1517931403),
(333211, 72, 23790, '', '39088', '', 2, 1517933818),
(333215, 450, 24591, 'CodevTT_RAF', '', '0.75', 0, 1517934086),
(333216, 450, 24591, 'status', '10', '50', 0, 1517934086),
(333217, 450, 24591, 'CodevTT_RAF', '0.75', '1.75', 0, 1517934137),
(333220, 450, 24591, 'CodevTT_RAF', '1.75', '3.00', 0, 1517934449),
(333232, 450, 24591, 'CodevTT_RAF', '3.00', '3.00', 0, 1517934688),
(333236, 450, 24591, 'CodevTT_RAF', '3.00', '2.5', 0, 1517934762),
(333237, 450, 24591, 'CodevTT_RAF', '2.5', '0.5', 0, 1517934824),
(333241, 450, 24591, 'CodevTT_RAF', '0.5', '2.5', 0, 1517934932),
(333242, 450, 24591, 'CodevTT_RAF', '2.5', '3.00', 0, 1517934950),
(333252, 452, 1, '', '39094', '', 2, 1517936343),
(333445, 72, 21895, 'status', '20', '50', 0, 1517994296),
(333446, 72, 21895, 'target_version', '', '18.2.10 MCO', 0, 1517994327),
(333447, 72, 21895, 'CodevTT_Dead Line', '', '', 0, 1517994327),
(333472, 72, 24671, 'CodevTT_RAF', '', '0', 0, 1517999259),
(333473, 72, 24671, 'CodevTT_RAF', '0', '0', 0, 1517999259),
(333474, 72, 24671, 'status', '10', '80', 0, 1517999259),
(333564, 72, 24593, 'CodevTT_ChargeMgr', '', '3', 0, 1518016888),
(333565, 72, 24594, 'CodevTT_ChargeMgr', '', '0.5', 0, 1518016920),
(333566, 72, 24670, 'CodevTT_ChargeMgr', '', '1', 0, 1518016941),
(333567, 72, 24671, 'CodevTT_ChargeMgr', '', '1', 0, 1518016960),
(333568, 72, 24575, '', '4732', '', 6, 1518017039),
(333569, 72, 24575, 'CodevTT_ChargeMgr', '6.6', '7.6', 0, 1518017039),
(333570, 72, 24575, 'CodevTT_ChargeInit', '5', '6', 0, 1518017039),
(335390, 72, 23288, 'CodevTT_ChargeMgr', '', '1', 0, 1518444209),
(335391, 72, 23288, 'CodevTT_RAF', '0.1', '0', 0, 1518444217),
(335392, 72, 23288, 'status', '50', '80', 0, 1518444217),
(335393, 72, 23288, 'CodevTT_RAF', '0', '0', 0, 1518444217),
(333605, 72, 23545, 'status', '80', '50', 0, 1518018462),
(333606, 72, 23545, 'CodevTT_Dead Line', '', '', 0, 1518018462),
(333607, 72, 23545, 'CodevTT_RAF', '0', '0', 0, 1518018503),
(333608, 72, 23545, 'CodevTT_RAF', '0', '0', 0, 1518018503),
(333609, 72, 23545, 'status', '50', '80', 0, 1518018503),
(333610, 72, 23790, '', '39123', '', 2, 1518018517),
(333624, 450, 24592, 'CodevTT_RAF', '', '2', 0, 1518019078),
(333625, 450, 24592, 'status', '10', '50', 0, 1518019078),
(333626, 450, 24592, 'CodevTT_RAF', '2', '3', 0, 1518019190),
(333635, 452, 1, '', '39126', '', 2, 1518019857),
(333754, 72, 24693, '', '', '', 1, 1518078227),
(333755, 72, 24693, 'handler_id', '0', '199', 0, 1518078227),
(333756, 72, 24693, '', '', '24590', 21, 1518078227),
(333757, 72, 24590, '', '', '24693', 20, 1518078227),
(333798, 229, 1, '', '39176', '', 2, 1518079620),
(333815, 72, 24696, 'Ref. Externe', '', '45628', 0, 1518079782),
(333816, 72, 24696, 'CodevTT_ChargeInit', '', '0.5', 0, 1518079782),
(333817, 72, 24696, 'codevtt_type', '', 'Bug', 0, 1518079782),
(333818, 72, 24697, 'Ref. Externe', '', '45633', 0, 1518079782),
(333819, 72, 24697, 'CodevTT_ChargeInit', '', '0.5', 0, 1518079782),
(333820, 72, 24697, 'codevtt_type', '', 'Bug', 0, 1518079782),
(333821, 72, 24698, 'Ref. Externe', '', '45637', 0, 1518079782),
(333822, 72, 24698, 'CodevTT_ChargeInit', '', '0.5', 0, 1518079782),
(333823, 72, 24698, 'codevtt_type', '', 'Bug', 0, 1518079782),
(333824, 72, 24699, 'Ref. Externe', '', '45640', 0, 1518079782),
(333825, 72, 24699, 'CodevTT_ChargeInit', '', '0.5', 0, 1518079782),
(333826, 72, 24699, 'codevtt_type', '', 'Bug', 0, 1518079782),
(333827, 72, 24700, 'Ref. Externe', '', '45642', 0, 1518079783),
(333828, 72, 24700, 'CodevTT_ChargeInit', '', '0.5', 0, 1518079783),
(333829, 72, 24700, 'codevtt_type', '', 'Bug', 0, 1518079783),
(333830, 72, 24701, 'Ref. Externe', '', '45644', 0, 1518079783);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(333831, 72, 24701, 'CodevTT_ChargeInit', '', '0.5', 0, 1518079783),
(333832, 72, 24701, 'codevtt_type', '', 'Bug', 0, 1518079783),
(333931, 72, 24699, 'handler_id', '0', '450', 0, 1518081071),
(333932, 72, 24700, 'status', '10', '20', 0, 1518081093),
(335389, 72, 23288, 'CodevTT_Dead Line', '', '', 0, 1518444203),
(335388, 72, 23288, 'status', '20', '50', 0, 1518444203),
(335387, 72, 24575, 'CodevTT_ChargeInit', '6', '7', 0, 1518443913),
(335384, 72, 24453, 'CodevTT_ChargeMgr', '', '4', 0, 1518443811),
(335385, 72, 24575, '', '4742', '', 6, 1518443913),
(335386, 72, 24575, 'CodevTT_ChargeMgr', '7.6', '9.6', 0, 1518443913),
(334453, 44, 2, '', '39405', '', 2, 1518109553),
(334505, 199, 22051, 'CodevTT_RAF', '0', '0', 0, 1518113683),
(334506, 199, 24589, 'CodevTT_RAF', '', '0.25', 0, 1518113729),
(334507, 199, 24589, 'status', '10', '50', 0, 1518113729),
(334508, 199, 23776, 'CodevTT_RAF', '0', '0', 0, 1518113795),
(334509, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1518113833),
(334510, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1518113862),
(334511, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1518113872),
(334512, 199, 24693, 'CodevTT_RAF', '', '0.2', 0, 1518113921),
(334513, 199, 24693, 'status', '10', '50', 0, 1518113921),
(334514, 199, 24693, 'CodevTT_RAF', '0.2', '0.25', 0, 1518114297),
(334515, 199, 22383, 'CodevTT_RAF', '0', '0', 0, 1518114323),
(334516, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1518114399),
(334517, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1518114462),
(334518, 199, 23545, 'CodevTT_RAF', '0', '0', 0, 1518114492),
(334519, 199, 24547, 'CodevTT_RAF', '0', '0', 0, 1518114508),
(334520, 199, 24589, 'CodevTT_RAF', '0.25', '0.25', 0, 1518114539),
(334521, 199, 24589, 'CodevTT_RAF', '0.25', '0.25', 0, 1518114553),
(334522, 199, 24707, '', '', '', 1, 1518114661),
(334523, 199, 24707, 'handler_id', '0', '199', 0, 1518114661),
(334524, 199, 24707, '', '', '24547', 21, 1518114661),
(334525, 199, 24547, '', '', '24707', 20, 1518114661),
(334526, 199, 24707, 'CodevTT_RAF', '', '0', 0, 1518114731),
(334527, 199, 24707, 'CodevTT_RAF', '0', '0', 0, 1518114731),
(334528, 199, 24707, 'status', '10', '80', 0, 1518114731),
(334529, 199, 23138, 'CodevTT_RAF', '0', '0', 0, 1518114755),
(334530, 199, 23138, 'CodevTT_RAF', '0', '0', 0, 1518114803),
(334531, 199, 22387, 'CodevTT_RAF', '0', '0', 0, 1518114835),
(334532, 199, 22387, 'CodevTT_RAF', '0', '0', 0, 1518114849),
(334533, 426, 2, '', '37412', '', 4, 1518115017),
(334534, 426, 1, '', '39417', '', 2, 1518115073),
(334535, 426, 2, '', '37414', '', 4, 1518115205),
(334536, 426, 2, '', '37415', '', 4, 1518115213),
(334539, 426, 1, '', '39420', '', 2, 1518115420),
(334540, 426, 1, '', '39421', '', 2, 1518115425),
(334541, 426, 1, '', '39422', '', 2, 1518115466),
(334542, 426, 1, '', '39423', '', 2, 1518115520),
(334543, 426, 1, '', '39420', '', 4, 1518115577),
(334544, 426, 1, '', '39424', '', 2, 1518115577),
(334545, 426, 1, '', '39425', '', 2, 1518115668),
(334546, 426, 1, '', '39426', '', 2, 1518115674),
(334547, 426, 1, '', '39427', '', 2, 1518115890),
(334548, 426, 1, '', '39428', '', 2, 1518115893),
(334549, 426, 1, '', '39429', '', 2, 1518115898),
(334550, 426, 1, '', '39430', '', 2, 1518115901),
(334551, 426, 1, '', '39431', '', 2, 1518115904),
(334552, 450, 24591, 'CodevTT_RAF', '3.00', '1', 0, 1518159795),
(334553, 450, 24592, 'CodevTT_RAF', '3', '1', 0, 1518159845),
(334592, 157, 23557, 'CodevTT_RAF', '4', '4', 0, 1518164794),
(334785, 72, 23545, 'handler_id', '199', '450', 0, 1518171524),
(334786, 72, 23545, 'status', '80', '50', 0, 1518171524),
(334787, 72, 23545, 'CodevTT_Dead Line', '', '', 0, 1518171524),
(334790, 72, 23545, 'CodevTT_ChargeMgr', '', '0', 0, 1518171588),
(334791, 72, 23545, 'CodevTT_RAF', '0', '1', 0, 1518171588),
(334871, 229, 1, '', '39465', '', 2, 1518181511),
(334872, 229, 1, '', '39466', '', 2, 1518181534),
(335020, 450, 24592, 'CodevTT_RAF', '1', '0', 0, 1518196604),
(335021, 450, 24592, 'CodevTT_RAF', '0', '0', 0, 1518196604),
(335022, 450, 24592, 'status', '50', '80', 0, 1518196604),
(335023, 450, 24592, 'CodevTT_RAF', '0', '0', 0, 1518196660),
(335044, 56, 1, '', '39501', '', 2, 1518241319),
(335045, 56, 1, '', '39502', '', 2, 1518241475),
(335046, 56, 1, '', '39503', '', 2, 1518241497),
(335047, 56, 1, '', '39504', '', 2, 1518241511),
(335048, 56, 1, '', '39501', '', 4, 1518241552),
(335049, 56, 1, '', '39505', '', 2, 1518241552),
(335050, 56, 1, '', '39502', '', 4, 1518241577),
(335051, 56, 1, '', '39506', '', 2, 1518241577),
(335052, 56, 1, '', '39503', '', 4, 1518241591),
(335053, 56, 1, '', '39507', '', 2, 1518241591),
(335054, 56, 1, '', '39504', '', 4, 1518241600),
(335055, 56, 1, '', '39508', '', 2, 1518241600),
(335056, 56, 1, '', '39506', '', 4, 1518241616),
(335057, 56, 1, '', '39509', '', 2, 1518241616),
(335058, 56, 1, '', '39509', '', 4, 1518241630),
(335059, 56, 1, '', '39510', '', 2, 1518241630),
(335060, 56, 1, '', '39511', '', 2, 1518241718),
(335181, 74, 23557, 'CodevTT_RAF', '4', '3', 0, 1518375112),
(335182, 74, 23557, 'CodevTT_RAF', '3', '2', 0, 1518375130),
(335183, 74, 23557, 'CodevTT_RAF', '2', '1', 0, 1518375141),
(335184, 74, 23557, 'CodevTT_RAF', '1', '0', 0, 1518375170),
(335185, 74, 23557, 'CodevTT_RAF', '0', '0', 0, 1518375170),
(335186, 74, 23557, 'status', '50', '80', 0, 1518375170),
(335198, 72, 24591, 'CodevTT_RAF', '1', '0', 0, 1518424548),
(335199, 72, 24591, 'status', '50', '80', 0, 1518424548),
(335200, 72, 24591, 'CodevTT_RAF', '0', '0', 0, 1518424548),
(335201, 72, 24591, 'CodevTT_Dead Line', '', '', 0, 1518424548),
(335202, 199, 23557, 'CodevTT_RAF', '0', '0', 0, 1518424579),
(335239, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1518428279),
(335240, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1518428287),
(335241, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1518428298),
(335242, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1518428450),
(335243, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1518428466),
(335354, 72, 24737, 'Ref. Externe', '', '45645', 0, 1518442949),
(335355, 72, 24737, 'CodevTT_ChargeInit', '', '0.5', 0, 1518442949),
(335356, 72, 24737, 'target_version', '', '18.1.0 DSI EM', 0, 1518442949),
(335357, 72, 24737, 'handler_id', '0', '199', 0, 1518442949),
(335358, 72, 24737, 'codevtt_type', '', 'Bug', 0, 1518442949),
(335359, 72, 24738, 'Ref. Externe', '', '45652', 0, 1518442950),
(335360, 72, 24738, 'CodevTT_ChargeInit', '', '0.5', 0, 1518442950),
(335361, 72, 24738, 'target_version', '', '18.1.0 DSI EM', 0, 1518442950),
(335362, 72, 24738, 'handler_id', '0', '199', 0, 1518442950),
(335363, 72, 24738, 'codevtt_type', '', 'Bug', 0, 1518442950),
(335364, 72, 24739, 'Ref. Externe', '', '45653', 0, 1518442950),
(335365, 72, 24739, 'CodevTT_ChargeInit', '', '0.5', 0, 1518442950),
(335366, 72, 24739, 'target_version', '', '18.1.0 DSI EM', 0, 1518442950),
(335367, 72, 24739, 'handler_id', '0', '199', 0, 1518442950),
(335368, 72, 24739, 'codevtt_type', '', 'Bug', 0, 1518442950),
(335369, 72, 24740, 'Ref. Externe', '', '45668', 0, 1518443047),
(335370, 72, 24740, 'CodevTT_ChargeInit', '', '0.5', 0, 1518443047),
(335371, 72, 24740, 'target_version', '', '18.2.0 DSI INT', 0, 1518443047),
(335372, 72, 24740, 'handler_id', '0', '74', 0, 1518443047),
(335373, 72, 24740, 'codevtt_type', '', 'Bug', 0, 1518443047),
(335374, 72, 24741, 'Ref. Externe', '', '45669', 0, 1518443047),
(335375, 72, 24741, 'CodevTT_ChargeInit', '', '0.5', 0, 1518443047),
(335376, 72, 24741, 'target_version', '', '18.2.0 DSI INT', 0, 1518443047),
(335377, 72, 24741, 'handler_id', '0', '199', 0, 1518443047),
(335378, 72, 24741, 'codevtt_type', '', 'Bug', 0, 1518443047),
(335383, 72, 24452, 'CodevTT_ChargeMgr', '', '3', 0, 1518443791),
(335398, 199, 24738, 'CodevTT_RAF', '', '0', 0, 1518444385),
(335399, 199, 24738, 'CodevTT_RAF', '0', '0', 0, 1518444385),
(335400, 199, 24738, 'status', '10', '80', 0, 1518444385),
(335401, 199, 24737, 'CodevTT_RAF', '', '0', 0, 1518444419),
(335402, 199, 24737, 'CodevTT_RAF', '0', '0', 0, 1518444419),
(335403, 199, 24737, 'status', '10', '80', 0, 1518444419),
(335404, 72, 24575, 'CodevTT_ChargeInit', '7', '8', 0, 1518444463),
(335405, 199, 24739, 'CodevTT_RAF', '', '0', 0, 1518445068),
(335406, 199, 24739, 'CodevTT_RAF', '0', '0', 0, 1518445068),
(335407, 199, 24739, 'status', '10', '80', 0, 1518445068),
(335481, 452, 1, '', '39562', '', 2, 1518455806),
(335488, 450, 23545, 'CodevTT_RAF', '1', '2.5', 0, 1518456352),
(335489, 450, 24592, 'CodevTT_RAF', '0', '0.5', 0, 1518456435),
(335490, 450, 24592, 'status', '80', '50', 0, 1518456435),
(335491, 450, 23545, '', '39567', '', 2, 1518456489),
(335492, 450, 24592, 'CodevTT_RAF', '0.5', '0.5', 0, 1518456565),
(335493, 450, 23545, '', '39567', '', 4, 1518456606),
(335494, 450, 23545, '', '39568', '', 2, 1518456606),
(335549, 72, 24747, 'Ref. Externe', '', '45671', 0, 1518510974),
(335550, 72, 24747, 'CodevTT_ChargeInit', '', '0.5', 0, 1518510975),
(335551, 72, 24747, 'handler_id', '0', '199', 0, 1518510975),
(335552, 72, 24747, 'codevtt_type', '', 'Bug', 0, 1518510975),
(335553, 72, 24748, 'Ref. Externe', '', '45672', 0, 1518510975),
(335554, 72, 24748, 'CodevTT_ChargeInit', '', '0.5', 0, 1518510975),
(335555, 72, 24748, 'handler_id', '0', '157', 0, 1518510975),
(335556, 72, 24748, 'codevtt_type', '', 'Bug', 0, 1518510975),
(335557, 72, 24749, 'Ref. Externe', '', '45673', 0, 1518510975),
(335558, 72, 24749, 'CodevTT_ChargeInit', '', '0.5', 0, 1518510975),
(335559, 72, 24749, 'handler_id', '0', '157', 0, 1518510975),
(335560, 72, 24749, 'codevtt_type', '', 'Bug', 0, 1518510975),
(335662, 72, 22956, 'CodevTT_RAF', '', '0', 0, 1518523576),
(335663, 72, 22956, 'status', '20', '80', 0, 1518523576),
(335664, 72, 22956, 'CodevTT_RAF', '0', '0', 0, 1518523576),
(335665, 72, 24741, 'handler_id', '199', '157', 0, 1518523661),
(335666, 72, 24741, 'CodevTT_Dead Line', '', '', 0, 1518523661),
(335667, 72, 24753, '', '', '', 1, 1518523976),
(335668, 72, 24753, 'handler_id', '0', '74', 0, 1518523976),
(335669, 72, 24753, '', '', '24739', 21, 1518523976),
(335670, 72, 24739, '', '', '24753', 20, 1518523976),
(335687, 72, 24754, '', '', '', 1, 1518527777),
(335688, 72, 24754, 'handler_id', '0', '72', 0, 1518527777),
(335689, 72, 24754, '', '', '24753', 21, 1518527777),
(335690, 72, 24753, '', '', '24754', 20, 1518527777),
(335691, 72, 24754, '', '39614', '', 2, 1518527841),
(335692, 72, 24754, 'CodevTT_RAF', '', '0', 0, 1518527841),
(335693, 72, 24754, 'CodevTT_RAF', '0', '0', 0, 1518527841),
(335694, 72, 24754, 'status', '10', '80', 0, 1518527841),
(335733, 2, 23790, '', '39625', '', 2, 1518531187),
(335734, 2, 23790, '', '39626', '', 2, 1518531201),
(335735, 2, 23790, '', '39627', '', 2, 1518531210),
(335736, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1518531258),
(335737, 2, 23790, '', '39628', '', 2, 1518531288),
(335738, 72, 24740, '', '39629', '', 2, 1518532324),
(335739, 72, 24740, 'CodevTT_RAF', '', '0.4', 0, 1518532324),
(335740, 72, 24740, 'status', '10', '50', 0, 1518532324),
(335741, 72, 24740, 'handler_id', '74', '72', 0, 1518532324),
(335744, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1518532677),
(335764, 450, 2041, '', '39636', '', 2, 1518536600),
(335771, 450, 24592, 'CodevTT_RAF', '0.5', '0', 0, 1518536721),
(335772, 450, 24592, 'CodevTT_RAF', '0', '0', 0, 1518536721),
(335773, 450, 24592, 'status', '50', '80', 0, 1518536721),
(335776, 450, 24592, 'CodevTT_RAF', '0', '0', 0, 1518536798),
(335781, 450, 23545, 'CodevTT_RAF', '2.5', '3', 0, 1518536896),
(335978, 437, 1, '', '39677', '', 2, 1518599515),
(335979, 437, 1, '', '39678', '', 2, 1518599530),
(335980, 10, 1, '', '39678', '', 4, 1518599551),
(335981, 437, 1, '', '39679', '', 2, 1518599679),
(335982, 437, 1, '', '39680', '', 2, 1518599717),
(336057, 199, 24693, 'CodevTT_RAF', '0.25', '0', 0, 1518605472),
(336058, 199, 24693, 'CodevTT_RAF', '0', '0', 0, 1518605472),
(336059, 199, 24693, 'status', '50', '80', 0, 1518605472),
(336093, 72, 24753, 'CodevTT_RAF', '', '0', 0, 1518608443),
(336094, 72, 24753, 'CodevTT_RAF', '0', '0', 0, 1518608443),
(336095, 72, 24753, 'status', '10', '80', 0, 1518608443),
(336096, 72, 24753, 'handler_id', '74', '72', 0, 1518608444),
(336097, 72, 24740, 'CodevTT_RAF', '0.4', '0', 0, 1518608472),
(336098, 72, 24740, 'CodevTT_RAF', '0', '0', 0, 1518608472),
(336099, 72, 24740, 'status', '50', '80', 0, 1518608472),
(336100, 72, 24767, 'Ref. Externe', '', '45680', 0, 1518611240),
(336101, 72, 24767, 'CodevTT_ChargeInit', '', '0.5', 0, 1518611240),
(336102, 72, 24767, 'codevtt_type', '', 'Bug', 0, 1518611240),
(336103, 72, 24768, 'Ref. Externe', '', '45683', 0, 1518611240),
(336104, 72, 24768, 'CodevTT_ChargeInit', '', '0.5', 0, 1518611240),
(336105, 72, 24768, 'codevtt_type', '', 'Bug', 0, 1518611240),
(336106, 72, 24769, 'Ref. Externe', '', '45677', 0, 1518611277),
(336107, 72, 24769, 'CodevTT_ChargeInit', '', '0.5', 0, 1518611277),
(336108, 72, 24769, 'codevtt_type', '', 'Task', 0, 1518611277),
(336109, 72, 24770, 'Ref. Externe', '', '45677', 0, 1518611277),
(336110, 72, 24770, 'CodevTT_ChargeInit', '', '0.5', 0, 1518611277),
(336111, 72, 24770, 'codevtt_type', '', 'Task', 0, 1518611277),
(336112, 72, 24771, 'Ref. Externe', '', '45682', 0, 1518611278),
(336113, 72, 24771, 'CodevTT_ChargeInit', '', '0.5', 0, 1518611278),
(336114, 72, 24771, 'codevtt_type', '', 'Task', 0, 1518611278),
(336115, 72, 24772, 'Ref. Externe', '', '45682', 0, 1518611278),
(336116, 72, 24772, 'CodevTT_ChargeInit', '', '0.5', 0, 1518611278),
(336117, 72, 24772, 'codevtt_type', '', 'Task', 0, 1518611278),
(336118, 72, 24767, 'CodevTT_ChargeMgr', '', '0', 0, 1518611354),
(336119, 72, 24767, 'handler_id', '0', '74', 0, 1518611362),
(336120, 72, 24768, 'handler_id', '0', '157', 0, 1518611381),
(336227, 72, 24767, '', '39701', '', 2, 1518620321),
(336228, 72, 24767, 'CodevTT_RAF', '', '0', 0, 1518620321),
(336229, 72, 24767, 'CodevTT_RAF', '0', '0', 0, 1518620322),
(336230, 72, 24767, 'status', '10', '80', 0, 1518620322),
(336231, 72, 24767, 'handler_id', '74', '72', 0, 1518620322),
(336241, 72, 24797, 'Ref. Externe', '', '45678', 0, 1518621030),
(336242, 72, 24797, 'CodevTT_ChargeInit', '', '0.5', 0, 1518621030),
(336243, 72, 24797, 'handler_id', '0', '2', 0, 1518621030),
(336244, 72, 24797, 'codevtt_type', '', 'Bug', 0, 1518621030),
(336245, 72, 24798, 'Ref. Externe', '', '45679', 0, 1518621030),
(336246, 72, 24798, 'CodevTT_ChargeInit', '', '0.5', 0, 1518621030),
(336247, 72, 24798, 'handler_id', '0', '199', 0, 1518621030),
(336248, 72, 24798, 'codevtt_type', '', 'Bug', 0, 1518621030),
(336277, 450, 23545, 'CodevTT_RAF', '3', '2', 0, 1518625232),
(336944, 450, 24699, 'CodevTT_RAF', '', '3', 0, 1518697988),
(336945, 450, 24699, 'status', '10', '50', 0, 1518697988),
(337122, 452, 1, '', '39852', '', 2, 1518703656),
(337130, 452, 1, '', '39856', '', 2, 1518703843),
(337432, 450, 24699, '', '39919', '', 2, 1518766219),
(337433, 450, 24699, 'CodevTT_RAF', '3', '3', 0, 1518766292),
(337509, 157, 24741, 'CodevTT_RAF', '', '0', 0, 1518772210),
(337510, 157, 24741, 'CodevTT_RAF', '0', '0', 0, 1518772210),
(337511, 157, 24741, 'status', '10', '80', 0, 1518772210),
(337512, 157, 24748, 'CodevTT_RAF', '', '1', 0, 1518772237),
(337513, 157, 24748, 'status', '10', '50', 0, 1518772237),
(337514, 157, 24749, 'CodevTT_RAF', '', '0', 0, 1518772261),
(337515, 157, 24749, 'CodevTT_RAF', '0', '0', 0, 1518772261),
(337516, 157, 24749, 'status', '10', '80', 0, 1518772261),
(337517, 157, 24748, 'CodevTT_RAF', '1', '0.5', 0, 1518772294),
(337518, 157, 24768, 'CodevTT_RAF', '', '0.5', 0, 1518772317),
(337519, 157, 24768, 'status', '10', '50', 0, 1518772317),
(337520, 157, 24768, 'CodevTT_RAF', '0.5', '0.5', 0, 1518772334),
(337521, 157, 24748, 'CodevTT_RAF', '0.5', '0.5', 0, 1518772357),
(337522, 157, 23557, 'CodevTT_RAF', '0', '0', 0, 1518772685),
(337523, 72, 24838, '', '', '', 1, 1518774507),
(337524, 72, 24838, 'handler_id', '0', '74', 0, 1518774507),
(337525, 72, 24838, '', '', '24575', 21, 1518774507),
(337526, 72, 24575, '', '', '24838', 20, 1518774507),
(337556, 452, 1, '', '39856', '', 4, 1518775936),
(337557, 452, 1, '', '39941', '', 2, 1518775936),
(337558, 452, 1, '', '39941', '', 4, 1518775964),
(337559, 452, 1, '', '39942', '', 2, 1518775964),
(337625, 450, 24699, 'CodevTT_RAF', '3', '2', 0, 1518782920),
(337694, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1518786318),
(337697, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1518786342),
(337700, 164, 24843, '', '', '', 1, 1518786518),
(337701, 164, 24843, 'handler_id', '0', '164', 0, 1518786518),
(337702, 164, 24843, '', '', '22805', 21, 1518786518),
(337703, 164, 22805, '', '', '24843', 20, 1518786518),
(337704, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1518786530),
(337708, 164, 24843, 'CodevTT_RAF', '', '0', 0, 1518786557),
(337709, 164, 24843, 'CodevTT_RAF', '0', '0', 0, 1518786557),
(337710, 164, 24843, 'status', '10', '80', 0, 1518786557),
(337713, 164, 24843, 'CodevTT_RAF', '0', '0', 0, 1518786570),
(337808, 2, 24797, 'CodevTT_RAF', '', '0', 0, 1518789749),
(337809, 2, 24797, 'status', '10', '80', 0, 1518789749),
(337810, 2, 24797, 'CodevTT_RAF', '0', '0', 0, 1518789749),
(337925, 450, 24699, '', '40014', '', 2, 1518792095),
(337929, 450, 24699, '', '40014', '', 4, 1518792189),
(337930, 450, 24699, '', '40015', '', 2, 1518792189),
(337968, 72, 24575, 'CodevTT_RAF', '', '7', 0, 1518794118),
(337969, 72, 24575, 'status', '10', '50', 0, 1518794118),
(337995, 450, 24699, '', '40015', '', 4, 1518795718),
(337996, 450, 24699, '', '40017', '', 2, 1518795718),
(338101, 9, 1, '', '39465', '', 4, 1518797843),
(338116, 452, 1, '', '40037', '', 2, 1518799474),
(338117, 452, 1, '', '40037', '', 4, 1518799628),
(338118, 452, 1, '', '40038', '', 2, 1518799628),
(338302, 72, 2, '', '40085', '', 2, 1519026889),
(338303, 72, 2, '', '40085', '', 4, 1519026894),
(338304, 199, 24798, 'CodevTT_RAF', '', '0', 0, 1519027251),
(338305, 199, 24798, 'CodevTT_RAF', '0', '0', 0, 1519027251),
(338306, 199, 24798, 'status', '10', '80', 0, 1519027251),
(338307, 199, 24747, 'CodevTT_RAF', '', '0', 0, 1519027301),
(338308, 199, 24747, 'CodevTT_RAF', '0', '0', 0, 1519027301),
(338309, 199, 24747, 'status', '10', '80', 0, 1519027301),
(338310, 199, 22765, 'CodevTT_RAF', '1', '0', 0, 1519027379),
(338311, 199, 22765, 'CodevTT_RAF', '0', '0', 0, 1519027379),
(338312, 199, 22765, 'status', '50', '80', 0, 1519027379),
(338313, 199, 24693, 'CodevTT_RAF', '0', '0', 0, 1519027481),
(338318, 36, 2, '', '40086', '', 2, 1519029812),
(338319, 36, 2, '', '40086', '', 4, 1519029829),
(338320, 36, 2, '', '40087', '', 2, 1519029829),
(338321, 199, 23545, 'CodevTT_RAF', '2', '0', 0, 1519031252),
(338322, 199, 23545, 'status', '50', '80', 0, 1519031252),
(338323, 199, 23545, 'CodevTT_RAF', '0', '0', 0, 1519031252),
(338324, 199, 23545, 'CodevTT_Dead Line', '', '', 0, 1519031252),
(338375, 426, 1, '', '40100', '', 2, 1519034457),
(338376, 426, 1, '', '40101', '', 2, 1519034471),
(338379, 426, 1, '', '40102', '', 2, 1519034494),
(338380, 426, 1, '', '40103', '', 2, 1519034499),
(338383, 426, 1, '', '40104', '', 2, 1519034504),
(338411, 426, 1, '', '39430', '', 4, 1519035219),
(338415, 426, 1, '', '40111', '', 2, 1519035243),
(338423, 426, 1, '', '40100', '', 4, 1519035431),
(338424, 426, 1, '', '40102', '', 4, 1519035434),
(338425, 426, 1, '', '40104', '', 4, 1519035437),
(338426, 426, 1, '', '40103', '', 4, 1519035440),
(338427, 426, 1, '', '40101', '', 4, 1519035442),
(338432, 426, 1, '', '40115', '', 2, 1519035573),
(338434, 426, 1, '', '40116', '', 2, 1519035613),
(338435, 426, 1, '', '40117', '', 2, 1519035618),
(338436, 426, 1, '', '40115', '', 4, 1519035622),
(338437, 426, 1, '', '40118', '', 2, 1519035622),
(338439, 426, 1, '', '40119', '', 2, 1519035627),
(338440, 426, 1, '', '40120', '', 2, 1519035631),
(338504, 72, 24877, '', '', '', 1, 1519037371),
(338505, 72, 24877, 'handler_id', '0', '157', 0, 1519037371),
(338506, 72, 24877, '', '', '24768', 21, 1519037371),
(338507, 72, 24768, '', '', '24877', 20, 1519037371),
(338568, 72, 24878, '', '', '', 1, 1519041312),
(338569, 72, 24878, 'handler_id', '0', '157', 0, 1519041312),
(338570, 72, 24878, '', '', '24877', 21, 1519041312),
(338571, 72, 24877, '', '', '24878', 20, 1519041312),
(338644, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519051484),
(338645, 2, 23790, '', '40136', '', 2, 1519051506),
(338646, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519051785),
(338648, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519051795),
(338658, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519052405),
(338682, 450, 1436, '', '40152', '', 2, 1519054875),
(338683, 450, 24699, 'CodevTT_RAF', '2', '0', 0, 1519054918),
(338684, 450, 24699, 'CodevTT_RAF', '0', '0', 0, 1519054918),
(338685, 450, 24699, 'status', '50', '80', 0, 1519054918),
(338686, 450, 24699, '', '40153', '', 2, 1519054949),
(338687, 450, 24699, 'CodevTT_RAF', '0', '0', 0, 1519054983),
(338837, 199, 24770, 'handler_id', '0', '450', 0, 1519064012),
(338838, 199, 24242, 'CodevTT_RAF', '', '0', 0, 1519064164),
(338839, 199, 24242, 'CodevTT_RAF', '0', '0', 0, 1519064164),
(338840, 199, 24242, 'status', '10', '80', 0, 1519064164),
(338841, 199, 24242, 'CodevTT_RAF', '0', '0', 0, 1519064175),
(338842, 72, 24890, 'Ref. Externe', '', '45708', 0, 1519111203),
(338843, 72, 24890, 'CodevTT_ChargeInit', '', '0.5', 0, 1519111203),
(338844, 72, 24890, 'target_version', '', '18.2.0 DSI INT', 0, 1519111203),
(338845, 72, 24890, 'codevtt_type', '', 'Bug', 0, 1519111203),
(338846, 72, 24891, 'Ref. Externe', '', '45709', 0, 1519111203),
(338847, 72, 24891, 'CodevTT_ChargeInit', '', '0.5', 0, 1519111203),
(338848, 72, 24891, 'target_version', '', '18.2.0 DSI INT', 0, 1519111203),
(338849, 72, 24891, 'codevtt_type', '', 'Bug', 0, 1519111203),
(338850, 72, 24769, 'handler_id', '0', '450', 0, 1519111421),
(338853, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1519114421),
(338871, 452, 1, '', '40174', '', 2, 1519116595),
(338872, 452, 1, '', '40174', '', 4, 1519116603),
(338873, 452, 1, '', '40175', '', 2, 1519116603),
(338892, 199, 22765, 'CodevTT_RAF', '0', '0', 0, 1519121362),
(338913, 74, 24891, 'CodevTT_RAF', '', '0', 0, 1519123839),
(338914, 74, 24891, 'CodevTT_RAF', '0', '0', 0, 1519123839),
(338915, 74, 24891, 'status', '10', '80', 0, 1519123839),
(338916, 74, 24891, 'handler_id', '0', '74', 0, 1519123839),
(338936, 157, 24748, 'CodevTT_RAF', '0.5', '0', 0, 1519131876),
(338937, 157, 24748, 'CodevTT_RAF', '0', '0', 0, 1519131876),
(338938, 157, 24748, 'status', '50', '80', 0, 1519131876),
(338991, 157, 24768, 'CodevTT_RAF', '0.5', '0', 0, 1519131899),
(338992, 157, 24768, 'CodevTT_RAF', '0', '0', 0, 1519131899),
(338993, 157, 24768, 'status', '50', '80', 0, 1519131899),
(338994, 157, 24445, 'CodevTT_RAF', '0.5', '0', 0, 1519131948),
(338995, 157, 24445, 'CodevTT_RAF', '0', '0', 0, 1519131948),
(338996, 157, 24445, 'status', '50', '80', 0, 1519131948),
(338997, 157, 24594, 'CodevTT_RAF', '0.5', '0', 0, 1519132001),
(338998, 157, 24594, 'CodevTT_RAF', '0', '0', 0, 1519132001),
(338999, 157, 24594, 'status', '50', '80', 0, 1519132001),
(339111, 72, 24909, 'Ref. Externe', '', '45712', 0, 1519136513),
(339112, 72, 24909, 'CodevTT_ChargeInit', '', '0.5', 0, 1519136513),
(339113, 72, 24909, 'handler_id', '0', '157', 0, 1519136513),
(339114, 72, 24909, 'codevtt_type', '', 'Bug', 0, 1519136513),
(339115, 72, 24910, 'Ref. Externe', '', '45715', 0, 1519136513),
(339116, 72, 24910, 'CodevTT_ChargeInit', '', '0.5', 0, 1519136513),
(339117, 72, 24910, 'handler_id', '0', '157', 0, 1519136513),
(339118, 72, 24910, 'codevtt_type', '', 'Bug', 0, 1519136513),
(339119, 72, 24911, 'Ref. Externe', '', '45716', 0, 1519136514),
(339120, 72, 24911, 'CodevTT_ChargeInit', '', '0.5', 0, 1519136514),
(339121, 72, 24911, 'handler_id', '0', '157', 0, 1519136514),
(339122, 72, 24911, 'codevtt_type', '', 'Bug', 0, 1519136514),
(339142, 56, 1, '', '40204', '', 2, 1519139801),
(339145, 56, 1, '', '40206', '', 2, 1519139840),
(339146, 56, 1, '', '40207', '', 2, 1519139877),
(339147, 199, 24446, 'CodevTT_RAF', '', '0', 0, 1519140063),
(339148, 199, 24446, 'CodevTT_RAF', '0', '0', 0, 1519140063),
(339149, 199, 24446, 'status', '20', '80', 0, 1519140063),
(339167, 450, 24769, 'CodevTT_RAF', '', '3', 0, 1519141073),
(339168, 450, 24769, 'status', '10', '50', 0, 1519141073),
(339169, 450, 24769, 'CodevTT_RAF', '3', '3', 0, 1519141105),
(339170, 450, 24769, '', '40211', '', 2, 1519141150),
(339171, 450, 24769, 'CodevTT_RAF', '3', '3', 0, 1519141180),
(339180, 72, 2, '', '40214', '', 2, 1519142320),
(339691, 428, 2, '', '40298', '', 2, 1519216748),
(339733, 199, 24575, 'CodevTT_RAF', '7', '6.5', 0, 1519223694),
(339736, 199, 24909, 'CodevTT_RAF', '', '0', 0, 1519223750),
(339737, 199, 24909, 'CodevTT_RAF', '0', '0', 0, 1519223750),
(339738, 199, 24909, 'status', '10', '80', 0, 1519223750),
(339739, 199, 24909, 'handler_id', '157', '199', 0, 1519223750),
(339747, 199, 24448, 'CodevTT_RAF', '', '0', 0, 1519224131),
(339748, 199, 24448, 'status', '20', '80', 0, 1519224131),
(339749, 199, 24448, 'CodevTT_RAF', '0', '0', 0, 1519224131),
(339752, 199, 24563, 'CodevTT_RAF', '', '0', 0, 1519224276),
(339753, 199, 24563, 'status', '10', '80', 0, 1519224276),
(339754, 199, 24563, 'CodevTT_RAF', '0', '0', 0, 1519224276),
(339773, 72, 24963, '', '', '', 1, 1519226376),
(339774, 72, 24963, 'handler_id', '0', '199', 0, 1519226376),
(339775, 72, 24963, '', '', '24241', 21, 1519226376),
(339776, 72, 24241, '', '', '24963', 20, 1519226376),
(339816, 72, 24575, 'CodevTT_RAF', '6.5', '6', 0, 1519228587),
(339826, 450, 24769, 'CodevTT_RAF', '3', '0', 0, 1519228983),
(339827, 450, 24769, 'CodevTT_RAF', '0', '0', 0, 1519228983),
(339828, 450, 24769, 'status', '50', '80', 0, 1519228983),
(339829, 450, 24769, 'CodevTT_RAF', '0', '0', 0, 1519229013),
(339853, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519230591),
(339966, 199, 24241, 'CodevTT_RAF', '0.25', '0', 0, 1519244781),
(339967, 199, 24241, 'status', '50', '80', 0, 1519244781),
(339968, 199, 24241, 'CodevTT_RAF', '0', '0', 0, 1519244781),
(339969, 199, 23780, 'CodevTT_RAF', '', '0', 0, 1519244912),
(339970, 199, 23780, 'status', '10', '80', 0, 1519244912),
(339971, 199, 23780, 'CodevTT_RAF', '0', '0', 0, 1519244912),
(339972, 199, 24444, 'CodevTT_RAF', '', '0', 0, 1519244934),
(339973, 199, 24444, 'status', '10', '80', 0, 1519244934),
(339974, 199, 24444, 'CodevTT_RAF', '0', '0', 0, 1519244934),
(340052, 157, 24593, 'CodevTT_RAF', '0.5', '0', 0, 1519288536),
(340053, 157, 24593, 'status', '50', '80', 0, 1519288536),
(340054, 157, 24593, 'CodevTT_RAF', '0', '0', 0, 1519288536),
(340055, 157, 24593, 'CodevTT_Dead Line', '', '', 0, 1519288536),
(340064, 157, 24878, 'CodevTT_RAF', '', '0', 0, 1519288583),
(340065, 157, 24878, 'status', '10', '80', 0, 1519288583),
(340066, 157, 24878, 'CodevTT_RAF', '0', '0', 0, 1519288583),
(340067, 157, 24910, 'CodevTT_RAF', '', '0', 0, 1519288611),
(340068, 157, 24910, 'status', '10', '80', 0, 1519288611),
(340069, 157, 24910, 'CodevTT_RAF', '0', '0', 0, 1519288611),
(340082, 157, 24911, 'CodevTT_RAF', '', '0.5', 0, 1519288709),
(340083, 157, 24911, 'status', '10', '50', 0, 1519288709),
(340088, 157, 24911, 'CodevTT_RAF', '0.5', '0.5', 0, 1519288742),
(340091, 157, 24890, 'CodevTT_RAF', '', '0', 0, 1519288810),
(340092, 157, 24890, 'CodevTT_RAF', '0', '0', 0, 1519288810),
(340093, 157, 24890, 'status', '10', '80', 0, 1519288810),
(340094, 157, 24890, 'handler_id', '0', '157', 0, 1519288810),
(340095, 157, 24911, 'CodevTT_RAF', '0.5', '0.5', 0, 1519288840),
(340217, 72, 24996, '', '', '', 1, 1519290593),
(340218, 72, 24996, 'handler_id', '0', '199', 0, 1519290593),
(340219, 72, 24996, '', '', '24963', 21, 1519290593),
(340220, 72, 24963, '', '', '24996', 20, 1519290593),
(340321, 72, 24769, '', '40211', '', 4, 1519292619),
(340322, 72, 24770, 'CodevTT_RAF', '', '1', 0, 1519292667),
(340323, 72, 24770, 'status', '10', '50', 0, 1519292667),
(340324, 450, 24770, '', '40408', '', 2, 1519292686),
(340325, 72, 24770, 'CodevTT_RAF', '1', '0', 0, 1519292711),
(340326, 72, 24770, 'CodevTT_RAF', '0', '0', 0, 1519292711),
(340327, 72, 24770, 'status', '50', '80', 0, 1519292711),
(340354, 72, 24997, 'Ref. Externe', '', '43563', 0, 1519294945),
(340355, 72, 24997, 'CodevTT_ChargeInit', '', '0.5', 0, 1519294945),
(340356, 72, 24997, 'target_version', '', '18.2.20', 0, 1519294946),
(340357, 72, 24997, 'codevtt_type', '', 'Bug', 0, 1519294946),
(340358, 72, 24998, 'Ref. Externe', '', '45699', 0, 1519294946),
(340359, 72, 24998, 'CodevTT_ChargeInit', '', '0.5', 0, 1519294946),
(340360, 72, 24998, 'target_version', '', '18.2.20', 0, 1519294946),
(340361, 72, 24998, 'codevtt_type', '', 'Bug', 0, 1519294946),
(340362, 72, 24997, 'RSI_Type_Ano', '', 'Production', 0, 1519295030),
(340363, 72, 24998, 'RSI_Type_Ano', '', 'Production', 0, 1519295087),
(340392, 452, 1, '', '40422', '', 2, 1519299900),
(340477, 331, 2, '', '40451', '', 2, 1519309765),
(340802, 72, 25004, 'Ref. Externe', '', '45718', 0, 1519372284),
(340803, 72, 25004, 'CodevTT_ChargeInit', '', '0.5', 0, 1519372284),
(340804, 72, 25004, 'codevtt_type', '', 'Bug', 0, 1519372284),
(340805, 72, 25005, 'Ref. Externe', '', '45724', 0, 1519372284),
(340806, 72, 25005, 'CodevTT_ChargeInit', '', '0.5', 0, 1519372284),
(340807, 72, 25005, 'codevtt_type', '', 'Bug', 0, 1519372284),
(340808, 72, 25006, 'Ref. Externe', '', '45725', 0, 1519372285),
(340809, 72, 25006, 'CodevTT_ChargeInit', '', '0.5', 0, 1519372285),
(340810, 72, 25006, 'codevtt_type', '', 'Bug', 0, 1519372285),
(340811, 72, 25007, 'Ref. Externe', '', '45727', 0, 1519372285),
(340812, 72, 25007, 'CodevTT_ChargeInit', '', '0.5', 0, 1519372285),
(340813, 72, 25007, 'codevtt_type', '', 'Bug', 0, 1519372285),
(340814, 72, 25008, 'Ref. Externe', '', '45728', 0, 1519372285),
(340815, 72, 25008, 'CodevTT_ChargeInit', '', '0.5', 0, 1519372285),
(340816, 72, 25008, 'codevtt_type', '', 'Bug', 0, 1519372285),
(340868, 157, 24877, 'CodevTT_RAF', '', '0', 0, 1519375253),
(340869, 157, 24877, 'CodevTT_RAF', '0', '0', 0, 1519375253),
(340870, 157, 24877, 'status', '10', '80', 0, 1519375253),
(340903, 72, 24767, 'status', '80', '90', 0, 1519376521),
(340904, 72, 24767, '', '0040604', '', 2, 1519376580),
(340905, 72, 24878, 'status', '80', '90', 0, 1519376728),
(340906, 72, 24878, '', '4781', '', 6, 1519376728),
(340907, 72, 24754, 'status', '80', '90', 0, 1519376798),
(340908, 72, 24754, '', '4783', '', 6, 1519376798),
(340909, 72, 24741, 'status', '80', '90', 0, 1519376876),
(340910, 72, 24741, '', '4785', '', 6, 1519376876),
(340979, 72, 25006, '', '40617', '', 2, 1519389739),
(340980, 72, 25006, 'CodevTT_RAF', '', '0', 0, 1519389739),
(340981, 72, 25006, 'CodevTT_RAF', '0', '0', 0, 1519389739),
(340982, 72, 25006, 'status', '10', '80', 0, 1519389739),
(340983, 72, 25006, 'handler_id', '0', '72', 0, 1519389739),
(340984, 2, 23790, '', '40618', '', 2, 1519390423),
(340985, 2, 23790, '', '40619', '', 2, 1519390447),
(340986, 2, 23790, '', '40620', '', 2, 1519390483),
(340987, 10, 1, '', '39428', '', 4, 1519390696),
(340988, 10, 1, '', '39423', '', 4, 1519390730),
(340994, 72, 25007, 'handler_id', '0', '450', 0, 1519392297),
(341053, 199, 24698, 'CodevTT_RAF', '', '0.25', 0, 1519397544),
(341054, 199, 24698, 'status', '10', '50', 0, 1519397544),
(341055, 199, 24698, 'handler_id', '0', '199', 0, 1519397544),
(341056, 199, 24575, 'CodevTT_RAF', '6', '5.5', 0, 1519397566),
(341057, 199, 24575, 'CodevTT_RAF', '5.5', '5', 0, 1519397582),
(341067, 452, 1, '', '40638', '', 2, 1519397864),
(341072, 2, 23790, '', '40641', '', 2, 1519398877),
(341073, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519398920),
(341074, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519398930),
(341075, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519398996),
(341076, 2, 17251, '', '40642', '', 2, 1519399009),
(341082, 2, 17251, '', '40642', '', 4, 1519399061),
(341085, 2, 17251, '', '40646', '', 2, 1519399086),
(341086, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519399103),
(341089, 2, 24843, 'CodevTT_RAF', '0', '0', 0, 1519399127),
(341486, 74, 24891, 'CodevTT_RAF', '0', '0', 0, 1519634644),
(341487, 74, 24575, 'CodevTT_RAF', '5', '5', 0, 1519634673),
(341488, 74, 24575, 'CodevTT_RAF', '5', '4', 0, 1519634684),
(341489, 74, 24575, 'CodevTT_RAF', '4', '3', 0, 1519634696),
(341490, 74, 24575, 'CodevTT_RAF', '3', '1', 0, 1519634707),
(341491, 74, 24575, 'CodevTT_RAF', '1', '0', 0, 1519634741),
(341492, 74, 24575, 'CodevTT_RAF', '0', '0', 0, 1519634741),
(341493, 74, 24575, 'status', '50', '80', 0, 1519634741),
(341525, 72, 25043, 'Ref. Externe', '', '45734', 0, 1519641283),
(341526, 72, 25043, 'CodevTT_ChargeInit', '', '0.5', 0, 1519641283),
(341527, 72, 25043, 'target_version', '', '18.0.11.1_PUMA', 0, 1519641283),
(341528, 72, 25043, 'handler_id', '0', '450', 0, 1519641283),
(341529, 72, 25043, 'codevtt_type', '', 'Bug', 0, 1519641283),
(341530, 72, 25044, 'Ref. Externe', '', '45736', 0, 1519641326),
(341531, 72, 25044, 'CodevTT_ChargeInit', '', '0.5', 0, 1519641326),
(341532, 72, 25044, 'target_version', '', '18.2.0 DSI INT', 0, 1519641326),
(341533, 72, 25044, 'codevtt_type', '', 'Bug', 0, 1519641326),
(341583, 72, 24575, 'status', '80', '50', 0, 1519652018),
(341584, 72, 24575, 'CodevTT_Dead Line', '', '', 0, 1519652018),
(341585, 72, 24575, 'CodevTT_RAF', '0', '0.2', 0, 1519652070),
(341586, 199, 24575, 'CodevTT_RAF', '0.2', '0.2', 0, 1519652107),
(341587, 199, 23243, 'CodevTT_RAF', '0.25', '0', 0, 1519652214),
(341588, 199, 23243, 'CodevTT_RAF', '0', '0', 0, 1519652214),
(341589, 199, 23243, 'status', '50', '80', 0, 1519652214),
(341591, 199, 24589, 'CodevTT_RAF', '0.25', '0', 0, 1519652316),
(341592, 199, 24589, 'CodevTT_RAF', '0', '0', 0, 1519652317),
(341593, 199, 24589, 'status', '50', '80', 0, 1519652317),
(341594, 199, 24589, 'CodevTT_RAF', '0', '0', 0, 1519652348),
(341599, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1519652683),
(341600, 72, 22933, 'CodevTT_RAF', '', '0', 0, 1519652845),
(341601, 72, 22933, 'status', '10', '80', 0, 1519652845),
(341602, 72, 22933, 'CodevTT_RAF', '0', '0', 0, 1519652845),
(341603, 72, 22933, 'CodevTT_Dead Line', '', '', 0, 1519652845),
(341623, 72, 22953, 'handler_id', '168', '0', 0, 1519655748),
(341624, 72, 22953, 'CodevTT_RAF', '1', '0', 0, 1519655748),
(341625, 72, 22953, 'status', '20', '80', 0, 1519655748),
(341626, 72, 22953, 'CodevTT_RAF', '0', '0', 0, 1519655748),
(341627, 72, 22953, 'CodevTT_Dead Line', '', '', 0, 1519655748),
(341630, 72, 24838, 'summary', '- [QUAL]  PUMA   18.0.XX', '- [QUAL]  PUMA   18.0.11.1', 0, 1519655908),
(341631, 72, 24838, 'Ref. Externe', 'Q PUMA 18.0.XX', 'Q PUMA 18.0.11.1', 0, 1519655908),
(341641, 164, 24843, 'CodevTT_RAF', '0', '0', 0, 1519658572),
(341902, 452, 1, '', '40832', '', 2, 1519716679),
(341905, 452, 1, '', '40832', '', 4, 1519716696),
(341906, 452, 1, '', '40834', '', 2, 1519716696),
(341974, 452, 1, '', '40834', '', 4, 1519721596),
(342049, 2, 23790, '', '40863', '', 2, 1519727569),
(342058, 199, 24996, 'CodevTT_RAF', '', '0', 0, 1519728185),
(342059, 199, 24996, 'CodevTT_RAF', '0', '0', 0, 1519728185),
(342060, 199, 24996, 'status', '10', '80', 0, 1519728185),
(342067, 12, 2, '', '40868', '', 2, 1519735598),
(342075, 450, 24592, 'CodevTT_RAF', '0', '0', 0, 1519738643),
(342076, 450, 24592, 'CodevTT_RAF', '0', '0', 0, 1519738666),
(342092, 199, 24698, 'CodevTT_RAF', '0.25', '0', 0, 1519739542),
(342093, 199, 24698, 'CodevTT_RAF', '0', '0', 0, 1519739542),
(342094, 199, 24698, 'status', '50', '80', 0, 1519739542),
(342095, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519739810),
(342132, 72, 24591, 'CodevTT_ChargeMgr', '', '1', 0, 1519744441),
(342133, 72, 24592, 'CodevTT_ChargeMgr', '', '2', 0, 1519744464),
(342134, 72, 24592, 'CodevTT_ChargeInit', '0.5', '1', 0, 1519744474),
(342142, 199, 23910, 'CodevTT_RAF', '', '2', 0, 1519744676),
(342143, 199, 23910, 'status', '10', '50', 0, 1519744676),
(342149, 72, 23910, '', '4796', '', 6, 1519744942),
(342150, 72, 23910, 'CodevTT_ChargeMgr', '4', '5.5', 0, 1519744942),
(342151, 72, 23910, 'CodevTT_RAF', '2', '3', 0, 1519744942),
(342152, 72, 23910, 'CodevTT_ChargeInit', '2', '3.5', 0, 1519745039),
(342153, 199, 23243, 'CodevTT_RAF', '0', '0', 0, 1519745211),
(342154, 199, 23910, 'CodevTT_RAF', '3', '3', 0, 1519745284),
(342155, 199, 24575, 'CodevTT_RAF', '0.2', '0.2', 0, 1519745444),
(342156, 199, 23428, 'CodevTT_RAF', '', '0.25', 0, 1519745508),
(342168, 2, 23790, '', '40889', '', 2, 1519746958),
(342302, 450, 24592, '', '40903', '', 2, 1519802478),
(342303, 450, 1436, '', '40904', '', 2, 1519802515),
(342485, 426, 1, '', '40945', '', 2, 1519827371),
(342486, 426, 1, '', '40946', '', 2, 1519827375),
(342487, 426, 1, '', '40947', '', 2, 1519827379),
(342488, 426, 1, '', '40948', '', 2, 1519827457),
(342489, 426, 1, '', '40117', '', 4, 1519827530),
(342762, 199, 23910, 'CodevTT_RAF', '3', '3', 0, 1519895535),
(342763, 199, 24589, 'CodevTT_RAF', '0', '0', 0, 1519895552),
(342764, 199, 24589, 'CodevTT_RAF', '0', '0', 0, 1519895563),
(342782, 10, 1, '', '40947', '', 4, 1519895908),
(342785, 10, 1, '', '40116', '', 4, 1519895948),
(342839, 437, 1, '', '41007', '', 2, 1519897433),
(342840, 437, 1, '', '41007', '', 4, 1519897447),
(342841, 437, 1, '', '41008', '', 2, 1519897447),
(342842, 437, 1, '', '41009', '', 2, 1519897454),
(342934, 157, 25008, 'CodevTT_RAF', '', '0.25', 0, 1519906792),
(342935, 157, 25008, 'status', '10', '50', 0, 1519906792),
(342936, 157, 25008, 'handler_id', '0', '157', 0, 1519906792),
(342937, 157, 25005, 'CodevTT_RAF', '', '0.25', 0, 1519906823),
(342938, 157, 25005, 'status', '10', '50', 0, 1519906823),
(342939, 157, 25005, 'handler_id', '0', '157', 0, 1519906823),
(342940, 157, 25044, 'CodevTT_RAF', '', '0.5', 0, 1519906865),
(342941, 157, 25044, 'status', '10', '50', 0, 1519906865),
(342942, 157, 25044, 'handler_id', '0', '157', 0, 1519906865),
(343156, 10, 1, '', '39431', '', 4, 1519913591),
(343158, 10, 1, '', '40948', '', 4, 1519913633),
(343353, 417, 1, '', '41159', '', 2, 1519922600),
(343364, 143, 1, '', '41160', '', 2, 1519923646),
(343451, 74, 23910, 'CodevTT_RAF', '3', '3', 0, 1519974524),
(343452, 74, 23910, 'CodevTT_RAF', '3', '2', 0, 1519974576),
(343453, 74, 23910, 'CodevTT_RAF', '2', '1', 0, 1519974590),
(343454, 74, 23910, 'CodevTT_RAF', '1', '0', 0, 1519974614),
(343455, 74, 23910, 'CodevTT_RAF', '0', '0', 0, 1519974614),
(343456, 74, 23910, 'status', '50', '80', 0, 1519974614),
(343472, 199, 25123, '', '', '', 1, 1519977758),
(343473, 199, 25123, 'handler_id', '0', '450', 0, 1519977758),
(343474, 199, 25123, '', '', '23168', 21, 1519977758),
(343475, 199, 23168, '', '', '25123', 20, 1519977758),
(343494, 164, 24843, 'CodevTT_RAF', '0', '0', 0, 1519978602),
(343495, 450, 23910, 'CodevTT_RAF', '0', '1', 0, 1519978749),
(343496, 450, 23910, 'status', '80', '50', 0, 1519978749),
(343582, 199, 23910, 'CodevTT_RAF', '1', '1', 0, 1519982935),
(343583, 74, 24838, 'CodevTT_RAF', '', '8', 0, 1519983120),
(343584, 74, 24838, 'status', '10', '50', 0, 1519983120),
(343617, 2, 23790, '', '41221', '', 2, 1519985722),
(343619, 2, 23790, '', '41222', '', 2, 1519985759),
(343623, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519985800),
(343624, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519985813),
(343625, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519985822),
(343626, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1519985833),
(343710, 450, 23910, 'CodevTT_RAF', '1', '1', 0, 1519999053),
(343711, 450, 23910, 'CodevTT_RAF', '1', '1', 0, 1519999107),
(343712, 450, 25123, 'CodevTT_RAF', '', '1', 0, 1519999208),
(343713, 450, 25123, 'status', '10', '50', 0, 1519999208),
(343714, 450, 25123, 'CodevTT_RAF', '1', '1', 0, 1519999245),
(343715, 450, 25123, 'CodevTT_RAF', '1', '1', 0, 1519999335),
(343716, 450, 25123, 'CodevTT_RAF', '1', '0', 0, 1519999423),
(343717, 450, 25123, 'CodevTT_RAF', '0', '0', 0, 1519999423),
(343718, 450, 25123, 'status', '50', '80', 0, 1519999423),
(343764, 450, 25043, 'CodevTT_RAF', '', '3', 0, 1520003730),
(343765, 450, 25043, 'status', '10', '50', 0, 1520003730),
(343925, 9, 1, '', '41256', '', 2, 1520009821),
(343928, 9, 1, '', '41258', '', 2, 1520009852),
(343929, 9, 1, '', '41259', '', 2, 1520009867),
(343993, 199, 23910, 'CodevTT_RAF', '1', '1', 0, 1520234677),
(343994, 199, 23910, 'CodevTT_RAF', '1', '1', 0, 1520234688),
(343995, 199, 23910, 'CodevTT_RAF', '1', '1', 0, 1520234727),
(343996, 199, 23910, 'CodevTT_RAF', '1', '1', 0, 1520234740),
(343999, 199, 23428, 'CodevTT_RAF', '0.25', '0', 0, 1520237411),
(344000, 199, 23428, 'status', '20', '80', 0, 1520237411),
(344001, 199, 23428, 'CodevTT_RAF', '0', '0', 0, 1520237411),
(344002, 199, 23428, 'CodevTT_Dead Line', '', '', 0, 1520237411),
(344003, 199, 24588, 'CodevTT_RAF', '', '0', 0, 1520237485),
(344004, 199, 24588, 'status', '10', '80', 0, 1520237485),
(344005, 199, 24588, 'CodevTT_RAF', '0', '0', 0, 1520237485),
(344006, 199, 24588, 'CodevTT_Dead Line', '', '', 0, 1520237485),
(344007, 199, 24590, 'CodevTT_RAF', '', '0', 0, 1520237525),
(344008, 199, 24590, 'status', '10', '80', 0, 1520237525),
(344009, 199, 24590, 'CodevTT_RAF', '0', '0', 0, 1520237525),
(344010, 199, 24590, 'CodevTT_Dead Line', '', '', 0, 1520237525),
(344011, 199, 24561, 'CodevTT_RAF', '', '0', 0, 1520237596),
(344012, 199, 24561, 'status', '10', '80', 0, 1520237596),
(344013, 199, 24561, 'CodevTT_RAF', '0', '0', 0, 1520237596),
(344014, 199, 23910, 'CodevTT_RAF', '1', '1', 0, 1520237735),
(344015, 199, 24963, 'CodevTT_RAF', '', '0', 0, 1520237750),
(344016, 199, 24963, 'status', '10', '80', 0, 1520237750),
(344017, 199, 24963, 'CodevTT_RAF', '0', '0', 0, 1520237750),
(344027, 72, 25153, 'Ref. Externe', '', '45737', 0, 1520239591),
(344028, 72, 25153, 'CodevTT_ChargeInit', '', '0.5', 0, 1520239591),
(344029, 72, 25153, 'target_version', '', '18.0.11.1_PUMA', 0, 1520239591),
(344030, 72, 25153, 'codevtt_type', '', 'Bug', 0, 1520239591),
(344031, 72, 25154, 'Ref. Externe', '', '45752', 0, 1520239592),
(344032, 72, 25154, 'CodevTT_ChargeInit', '', '0.5', 0, 1520239592),
(344033, 72, 25154, 'target_version', '', '18.0.11.1_PUMA', 0, 1520239592),
(344034, 72, 25154, 'codevtt_type', '', 'Bug', 0, 1520239592),
(344035, 72, 25155, 'Ref. Externe', '', '45740', 0, 1520239669),
(344036, 72, 25155, 'CodevTT_ChargeInit', '', '0.5', 0, 1520239669),
(344037, 72, 25155, 'handler_id', '0', '2', 0, 1520239669),
(344038, 72, 25155, 'codevtt_type', '', 'Task', 0, 1520239669),
(344079, 72, 24696, 'status', '10', '50', 0, 1520245448),
(344080, 72, 24696, 'status', '50', '80', 0, 1520245489),
(344081, 72, 24696, 'CodevTT_RAF', '', '0', 0, 1520245489),
(344082, 72, 24696, 'status', '80', '90', 0, 1520245513),
(344083, 72, 24696, '', '4829', '', 6, 1520245514),
(344084, 72, 24701, 'status', '10', '80', 0, 1520245639),
(344085, 72, 24701, '', '4831', '', 6, 1520245639),
(344086, 72, 24701, 'CodevTT_RAF', '', '0', 0, 1520245639),
(344087, 72, 24701, 'status', '80', '90', 0, 1520245827),
(344474, 450, 25043, 'CodevTT_RAF', '3', '2', 0, 1520320304),
(344475, 450, 25043, 'CodevTT_RAF', '2', '2', 0, 1520320347),
(344476, 450, 25043, 'CodevTT_RAF', '2', '2', 0, 1520320376),
(344478, 72, 25190, '', '', '', 1, 1520322104),
(344479, 72, 25190, 'handler_id', '0', '199', 0, 1520322104),
(344480, 72, 25190, '', '', '24241', 21, 1520322104),
(344481, 72, 24241, '', '', '25190', 20, 1520322104),
(344482, 72, 24911, 'CodevTT_RAF', '0.5', '0', 0, 1520322668),
(344483, 72, 24911, 'status', '50', '80', 0, 1520322668),
(344484, 72, 24911, 'CodevTT_RAF', '0', '0', 0, 1520322668),
(344485, 72, 25004, 'CodevTT_RAF', '', '0', 0, 1520322685),
(344486, 72, 25004, 'status', '10', '80', 0, 1520322685),
(344487, 72, 25004, 'CodevTT_RAF', '0', '0', 0, 1520322685),
(344799, 164, 24843, 'CodevTT_RAF', '0', '0', 0, 1520350095),
(344800, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1520350120),
(344955, 450, 25043, 'CodevTT_RAF', '2', '0', 0, 1520357261),
(344956, 450, 25043, 'CodevTT_RAF', '0', '0', 0, 1520357261),
(344957, 450, 25043, 'status', '50', '80', 0, 1520357261),
(345012, 72, 25240, '', '', '', 1, 1520404431),
(345013, 72, 25240, 'handler_id', '0', '450', 0, 1520404431),
(345014, 72, 25240, '', '', '25123', 21, 1520404431),
(345015, 72, 25123, '', '', '25240', 20, 1520404431),
(345016, 72, 25240, 'summary', '45759- [PUMA TAIGA] Le prénom n\'est pas en majuscule dans le SPOC 41 et le SPOC 51', '45759 - [PUMA TAIGA] Le prénom n\'est pas en majuscule dans le SPOC 41 et le SPOC 51', 0, 1520404547),
(345340, 72, 25008, 'CodevTT_RAF', '0.25', '0.5', 0, 1520430214),
(345380, 72, 25008, 'status', '50', '20', 0, 1520432089),
(345381, 72, 25267, 'Ref. Externe', '', '45739', 0, 1520432363),
(345382, 72, 25267, 'CodevTT_ChargeInit', '', '0.5', 0, 1520432363),
(345383, 72, 25267, 'handler_id', '0', '157', 0, 1520432363),
(345384, 72, 25267, 'codevtt_type', '', 'Bug', 0, 1520432363),
(345385, 72, 25268, 'Ref. Externe', '', '45757', 0, 1520432364),
(345386, 72, 25268, 'CodevTT_ChargeInit', '', '0.5', 0, 1520432364),
(345387, 72, 25268, 'handler_id', '0', '157', 0, 1520432364),
(345388, 72, 25268, 'codevtt_type', '', 'Bug', 0, 1520432364),
(345390, 72, 24575, 'CodevTT_RAF', '0.2', '0', 0, 1520432459),
(345391, 72, 24575, 'status', '50', '80', 0, 1520432459),
(345392, 72, 24575, 'CodevTT_RAF', '0', '0', 0, 1520432459),
(345393, 72, 24575, 'CodevTT_Dead Line', '', '', 0, 1520432459),
(345403, 72, 25155, 'summary', '45740 [SPEC] [PUMA - TAGIA] - Demande de mise à disposition d\'un envirnonement TMA (Post liv 18.0.11.1)', '45740  [PUMA - TAGIA] - Demande de mise à disposition d\'un envirnonement TMA (Post liv 18.0.11.1)', 0, 1520432844),
(345634, 450, 25240, 'CodevTT_RAF', '', '2', 0, 1520493709),
(345635, 450, 25240, 'status', '10', '50', 0, 1520493709),
(345636, 450, 25240, 'CodevTT_RAF', '2', '2', 0, 1520493773),
(345637, 450, 25240, 'CodevTT_RAF', '2', '2', 0, 1520493797),
(345704, 74, 24838, 'CodevTT_ChargeInit', '1', '8', 0, 1520501358),
(346242, 199, 25321, '', '', '', 1, 1520522739),
(346243, 199, 25321, 'handler_id', '0', '450', 0, 1520522739),
(346244, 199, 25321, '', '', '22385', 21, 1520522740),
(346245, 199, 22385, '', '', '25321', 20, 1520522740),
(346252, 450, 25321, 'CodevTT_RAF', '', '3', 0, 1520522987),
(346253, 450, 25321, 'status', '10', '50', 0, 1520522987),
(346262, 199, 24562, 'CodevTT_RAF', '', '2', 0, 1520523286),
(346263, 199, 24562, 'status', '10', '50', 0, 1520523286),
(346264, 199, 24562, 'CodevTT_RAF', '2', '3', 0, 1520523306),
(346265, 199, 24562, 'CodevTT_RAF', '3', '1', 0, 1520523320),
(346269, 199, 24562, 'CodevTT_RAF', '1', '0', 0, 1520523331),
(346270, 199, 24562, 'CodevTT_RAF', '0', '0', 0, 1520523331),
(346271, 199, 24562, 'status', '50', '80', 0, 1520523331),
(346276, 199, 25154, 'CodevTT_RAF', '', '0.5', 0, 1520523354),
(346277, 199, 25154, 'status', '10', '20', 0, 1520523354),
(346278, 199, 25154, 'handler_id', '0', '199', 0, 1520523354),
(346286, 199, 24562, 'CodevTT_RAF', '0', '0', 0, 1520523463),
(346603, 10, 1, '', '40119', '', 4, 1520588399),
(346604, 10, 1, '', '39426', '', 4, 1520588475),
(346605, 437, 1, '', '39679', '', 4, 1520588835),
(346606, 437, 1, '', '41626', '', 2, 1520588835),
(346629, 74, 24838, 'CodevTT_RAF', '8', '7', 0, 1520590441),
(346631, 74, 24838, 'CodevTT_RAF', '7', '7', 0, 1520590454),
(346632, 74, 24838, 'CodevTT_RAF', '7', '7', 0, 1520590456),
(346633, 74, 24838, 'CodevTT_RAF', '7', '6', 0, 1520590482),
(346634, 74, 24838, 'CodevTT_RAF', '6', '5', 0, 1520590495),
(346636, 74, 24838, 'CodevTT_RAF', '5', '5', 0, 1520590506),
(346670, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1520601652),
(346804, 465, 2, '', '41653', '', 2, 1520605007),
(346871, 465, 2, '', '41678', '', 2, 1520607838),
(346880, 199, 25354, '', '', '', 1, 1520609457),
(346881, 199, 25354, 'handler_id', '0', '199', 0, 1520609457),
(346882, 199, 25354, '', '', '22383', 21, 1520609457),
(346883, 199, 22383, '', '', '25354', 20, 1520609457),
(346884, 199, 25190, 'CodevTT_RAF', '', '1', 0, 1520609492),
(346885, 199, 25190, 'status', '10', '50', 0, 1520609492),
(346886, 199, 25190, 'CodevTT_RAF', '1', '0', 0, 1520609505),
(346887, 199, 25190, 'CodevTT_RAF', '0', '0', 0, 1520609505),
(346888, 199, 25190, 'status', '50', '80', 0, 1520609505),
(346889, 199, 25354, 'CodevTT_RAF', '', '0', 0, 1520609523),
(346890, 199, 25354, 'CodevTT_RAF', '0', '0', 0, 1520609523),
(346891, 199, 25354, 'status', '10', '80', 0, 1520609523),
(347131, 450, 25321, 'CodevTT_RAF', '3', '1', 0, 1520839113),
(347135, 450, 25321, 'CodevTT_RAF', '1', '2', 0, 1520839205),
(347198, 426, 1, '', '41734', '', 2, 1520846001),
(347199, 426, 1, '', '41735', '', 2, 1520846011),
(347200, 426, 1, '', '41736', '', 2, 1520846019),
(347203, 426, 1, '', '41737', '', 2, 1520846069),
(347214, 426, 2, '', '41738', '', 2, 1520846230),
(347215, 426, 2, '', '41739', '', 2, 1520846237),
(347216, 426, 1, '', '41740', '', 2, 1520846254),
(347217, 426, 1, '', '41741', '', 2, 1520846294),
(347218, 426, 1, '', '41737', '', 4, 1520846308),
(347219, 426, 1, '', '41742', '', 2, 1520846308),
(347220, 199, 24443, 'CodevTT_RAF', '', '0', 0, 1520846424),
(347221, 199, 24443, 'status', '20', '80', 0, 1520846424),
(347222, 199, 24443, 'CodevTT_RAF', '0', '0', 0, 1520846424),
(347227, 426, 2, '', '41743', '', 2, 1520847347),
(347229, 465, 2, '', '41678', '', 4, 1520848040),
(347307, 72, 24769, 'CodevTT_ChargeMgr', '', '2', 0, 1520855665),
(347308, 72, 24770, 'CodevTT_ChargeMgr', '', '1', 0, 1520855681),
(347309, 72, 24770, 'CodevTT_ChargeMgr', '1', '2', 0, 1520855692),
(347310, 199, 23428, 'CodevTT_RAF', '0', '0', 0, 1520855702),
(347311, 199, 23428, '', '41753', '', 2, 1520855711),
(347315, 72, 24838, '', '4857', '', 6, 1520855759),
(347316, 72, 24838, 'CodevTT_ChargeMgr', '0', '1', 0, 1520855759),
(347335, 2, 17251, 'CodevTT_RAF', '0', '0', 0, 1520855977),
(347336, 2, 24843, '', '41754', '', 2, 1520856041),
(347337, 2, 24843, 'CodevTT_RAF', '0', '0', 0, 1520856041),
(347405, 72, 23910, 'CodevTT_RAF', '1', '0', 0, 1520865225),
(347406, 72, 23910, 'status', '50', '80', 0, 1520865225),
(347407, 72, 23910, 'CodevTT_RAF', '0', '0', 0, 1520865225),
(347408, 199, 1, '', '41780', '', 2, 1520865318),
(347412, 72, 24890, 'status', '80', '90', 0, 1520866285),
(347425, 72, 24749, 'status', '80', '20', 0, 1520866670),
(347429, 457, 2, '', '41783', '', 2, 1520866691),
(347580, 450, 25321, 'CodevTT_RAF', '2', '0.3', 0, 1520874920),
(347605, 56, 1, '', '41797', '', 2, 1520877854),
(347809, 72, 25008, 'status', '20', '50', 0, 1520934630),
(347811, 72, 25268, 'handler_id', '157', '199', 0, 1520934758),
(347944, 72, 25437, '', '', '', 1, 1520938146),
(347945, 72, 25437, 'handler_id', '0', '74', 0, 1520938146),
(347946, 72, 25437, '', '', '25240', 21, 1520938146),
(347947, 72, 25240, '', '', '25437', 20, 1520938146),
(348023, 72, 25437, 'CodevTT_RAF', '', '1.5', 0, 1520949658),
(348024, 72, 25437, 'status', '10', '50', 0, 1520949658),
(348026, 72, 25443, '', '', '', 1, 1520950083),
(348027, 72, 25443, 'handler_id', '0', '157', 0, 1520950083),
(348135, 157, 25044, 'CodevTT_RAF', '0.5', '1', 0, 1520954925),
(348477, 450, 25321, 'CodevTT_RAF', '0.3', '0', 0, 1521011728),
(348478, 450, 25321, 'CodevTT_RAF', '0', '0', 0, 1521011728),
(348479, 450, 25321, 'status', '50', '80', 0, 1521011728),
(348480, 450, 25321, 'CodevTT_RAF', '0', '0', 0, 1521011756),
(348602, 2, 23790, '', '41878', '', 2, 1521023317),
(348603, 2, 24843, 'CodevTT_RAF', '0', '0', 0, 1521023361),
(348604, 2, 24843, 'CodevTT_RAF', '0', '0', 0, 1521023374),
(348988, 157, 25044, 'CodevTT_RAF', '1', '0', 0, 1521098532),
(348989, 157, 25044, 'CodevTT_RAF', '0', '0', 0, 1521098532),
(348990, 157, 25044, 'status', '50', '80', 0, 1521098532),
(348991, 157, 25267, 'CodevTT_RAF', '', '1', 0, 1521098560),
(348992, 157, 25267, 'status', '10', '50', 0, 1521098560),
(348993, 72, 25544, 'Ref. Externe', '', '45787', 0, 1521099061),
(348994, 72, 25544, 'CodevTT_ChargeInit', '', '0.5', 0, 1521099061);
INSERT INTO `mantis_bug_history_table` (`id`, `user_id`, `bug_id`, `field_name`, `old_value`, `new_value`, `type`, `date_modified`) VALUES
(348995, 72, 25544, 'handler_id', '0', '157', 0, 1521099061),
(348996, 72, 25544, 'codevtt_type', '', 'Task', 0, 1521099061),
(348997, 72, 25545, 'Ref. Externe', '', '45787', 0, 1521099061),
(348998, 72, 25545, 'CodevTT_ChargeInit', '', '0.5', 0, 1521099061),
(348999, 72, 25545, 'handler_id', '0', '157', 0, 1521099061),
(349000, 72, 25545, 'codevtt_type', '', 'Task', 0, 1521099061),
(349001, 72, 25546, 'Ref. Externe', '', '45789', 0, 1521099061),
(349002, 72, 25546, 'CodevTT_ChargeInit', '', '0.5', 0, 1521099061),
(349003, 72, 25546, 'handler_id', '0', '199', 0, 1521099061),
(349004, 72, 25546, 'codevtt_type', '', 'Task', 0, 1521099061),
(349005, 72, 25547, 'Ref. Externe', '', '45789', 0, 1521099062),
(349006, 72, 25547, 'CodevTT_ChargeInit', '', '0.5', 0, 1521099062),
(349007, 72, 25547, 'handler_id', '0', '199', 0, 1521099062),
(349008, 72, 25547, 'codevtt_type', '', 'Task', 0, 1521099062),
(349009, 72, 25548, 'Ref. Externe', '', '45786', 0, 1521099264),
(349010, 72, 25548, 'CodevTT_ChargeInit', '', '0.5', 0, 1521099264),
(349011, 72, 25548, 'handler_id', '0', '199', 0, 1521099264),
(349012, 72, 25548, 'codevtt_type', '', 'Bug', 0, 1521099264),
(349013, 72, 25549, 'Ref. Externe', '', '45788', 0, 1521099265),
(349014, 72, 25549, 'CodevTT_ChargeInit', '', '0.5', 0, 1521099265),
(349015, 72, 25549, 'handler_id', '0', '199', 0, 1521099265),
(349016, 72, 25549, 'codevtt_type', '', 'Bug', 0, 1521099265),
(349019, 349, 1400, '', '41925', '', 2, 1521099634),
(349020, 349, 1400, '', '41926', '', 2, 1521099649),
(349021, 349, 1400, '', '41927', '', 2, 1521099661),
(349022, 72, 25546, 'handler_id', '199', '74', 0, 1521099706),
(349025, 349, 1400, '', '41925', '', 4, 1521099728),
(349026, 349, 1400, '', '41929', '', 2, 1521099728),
(349027, 349, 1400, '', '41926', '', 4, 1521099733),
(349028, 349, 1400, '', '41930', '', 2, 1521099733),
(349029, 72, 25547, 'handler_id', '199', '450', 0, 1521099733),
(349030, 349, 1400, '', '41927', '', 4, 1521099736),
(349031, 349, 1400, '', '41931', '', 2, 1521099736),
(349032, 72, 23790, '', '41932', '', 2, 1521099787),
(349033, 72, 25546, '', '41933', '', 2, 1521099831),
(349034, 72, 25546, 'CodevTT_RAF', '', '1', 0, 1521099831),
(349035, 72, 25546, 'status', '10', '50', 0, 1521099831),
(349275, 281, 1400, '', '42006', '', 2, 1521112915),
(349276, 281, 1400, '', '42007', '', 2, 1521112922),
(349277, 281, 1400, '', '42008', '', 2, 1521112928),
(349278, 281, 1400, '', '42009', '', 2, 1521113550),
(349279, 281, 1400, '', '42009', '', 4, 1521113575),
(349280, 281, 1400, '', '42010', '', 2, 1521113575),
(349281, 281, 1400, '', '42010', '', 4, 1521113580),
(349345, 426, 1, '', '42035', '', 2, 1521118100),
(349357, 72, 25559, '', '', '', 1, 1521120210),
(349358, 72, 25559, 'handler_id', '0', '199', 0, 1521120210),
(349359, 72, 25559, '', '', '25321', 21, 1521120210),
(349360, 72, 25321, '', '', '25559', 20, 1521120210),
(349365, 56, 1, '', '42038', '', 2, 1521120864),
(349366, 56, 1, '', '42039', '', 2, 1521120896),
(349383, 72, 25546, 'handler_id', '74', '72', 0, 1521123469),
(349382, 72, 25546, 'CodevTT_RAF', '1', '0.5', 0, 1521123469),
(349378, 72, 25321, '', '', '25563', 20, 1521121564),
(349381, 229, 1, '', '42040', '', 2, 1521122515),
(349420, 72, 25155, 'CodevTT_ChargeMgr', '', '2', 0, 1521128668),
(349735, 164, 17251, 'CodevTT_RAF', '0', '0', 0, 1521196530),
(349736, 164, 24117, 'CodevTT_RAF', '0', '0', 0, 1521196582),
(349865, 74, 24838, 'CodevTT_RAF', '5', '5', 0, 1521445124),
(349866, 74, 24838, 'CodevTT_RAF', '5', '4.5', 0, 1521445142),
(349867, 74, 24838, 'CodevTT_RAF', '4.5', '3.5', 0, 1521445153),
(349868, 74, 24838, 'CodevTT_RAF', '3.5', '2.5', 0, 1521445165),
(349869, 74, 24838, 'CodevTT_RAF', '2.5', '1.5', 0, 1521445174),
(350047, 229, 1, '', '42180', '', 2, 1521452355),
(350073, 199, 25044, 'CodevTT_RAF', '0', '0', 0, 1521453927),
(350075, 199, 25573, '', '', '', 1, 1521454211),
(350076, 199, 25573, 'handler_id', '0', '199', 0, 1521454211),
(350078, 199, 25573, 'CodevTT_RAF', '0', '0', 0, 1521454255),
(350079, 199, 25573, 'CodevTT_RAF', '0', '0', 0, 1521454255),
(350080, 199, 25573, 'status', '10', '80', 0, 1521454255),
(350084, 199, 25549, 'CodevTT_RAF', '', '0', 0, 1521454418),
(350085, 199, 25549, 'CodevTT_RAF', '0', '0', 0, 1521454418),
(350086, 199, 25549, 'status', '10', '80', 0, 1521454418),
(350088, 199, 25559, 'CodevTT_RAF', '0', '0', 0, 1521454477),
(350089, 199, 25559, 'CodevTT_RAF', '0', '0', 0, 1521454477),
(350090, 199, 25559, 'status', '10', '80', 0, 1521454477),
(350091, 199, 25559, 'CodevTT_RAF', '0', '0', 0, 1521454486),
(350093, 199, 23424, 'CodevTT_RAF', '0', '1', 0, 1521454536),
(350094, 199, 23424, 'status', '20', '50', 0, 1521454536),
(350099, 199, 25548, 'CodevTT_RAF', '', '1', 0, 1521454636),
(350100, 199, 25548, 'status', '10', '50', 0, 1521454636),
(350101, 199, 25548, 'CodevTT_RAF', '1', '1', 0, 1521454651),
(350390, 72, 25579, 'Ref. Externe', '', '45750', 0, 1521476532),
(350391, 72, 25579, 'CodevTT_ChargeInit', '', '0.5', 0, 1521476532),
(350392, 72, 25579, 'target_version', '', '18.2.20', 0, 1521476532),
(350393, 72, 25579, 'handler_id', '0', '450', 0, 1521476532),
(350394, 72, 25579, 'codevtt_type', '', 'Task', 0, 1521476532),
(350395, 72, 25580, 'Ref. Externe', '', '45750', 0, 1521476533),
(350396, 72, 25580, 'CodevTT_ChargeInit', '', '0.5', 0, 1521476533),
(350397, 72, 25580, 'target_version', '', '18.2.20', 0, 1521476533),
(350398, 72, 25580, 'handler_id', '0', '450', 0, 1521476533),
(350399, 72, 25580, 'codevtt_type', '', 'Task', 0, 1521476533),
(350400, 72, 25581, 'Ref. Externe', '', '45802', 0, 1521476533),
(350401, 72, 25581, 'CodevTT_ChargeInit', '', '0.5', 0, 1521476533),
(350402, 72, 25581, 'target_version', '', '18.2.20', 0, 1521476533),
(350403, 72, 25581, 'handler_id', '0', '450', 0, 1521476533),
(350404, 72, 25581, 'codevtt_type', '', 'Task', 0, 1521476533),
(350405, 72, 25582, 'Ref. Externe', '', '45802', 0, 1521476533),
(350406, 72, 25582, 'CodevTT_ChargeInit', '', '0.5', 0, 1521476533),
(350407, 72, 25582, 'target_version', '', '18.2.20', 0, 1521476533),
(350408, 72, 25582, 'handler_id', '0', '450', 0, 1521476533),
(350409, 72, 25582, 'codevtt_type', '', 'Task', 0, 1521476533),
(350421, 2, 23790, '', '42254', '', 2, 1521478049),
(350422, 2, 23790, '', '42255', '', 2, 1521478073),
(350423, 2, 23790, '', '42256', '', 2, 1521478111);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_monitor_table`
--

DROP TABLE IF EXISTS `mantis_bug_monitor_table`;
CREATE TABLE `mantis_bug_monitor_table` (
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `bug_id` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_relationship_table`
--

DROP TABLE IF EXISTS `mantis_bug_relationship_table`;
CREATE TABLE `mantis_bug_relationship_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `source_bug_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `destination_bug_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `relationship_type` smallint(6) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_bug_relationship_table`
--

INSERT INTO `mantis_bug_relationship_table` (`id`, `source_bug_id`, `destination_bug_id`, `relationship_type`) VALUES
(6, 2844, 2842, 1),
(9, 3688, 4309, 2500),
(10, 3624, 3541, 2500),
(11, 3819, 4269, 1),
(12, 4293, 4294, 2501),
(13, 4455, 4454, 2500),
(14, 4210, 4273, 2500),
(15, 4335, 4334, 2500),
(16, 4302, 4209, 2500),
(30, 4957, 4958, 2501),
(24, 4912, 4913, 2501),
(19, 4332, 4331, 2500),
(157, 11032, 3562, 1),
(33, 5083, 5037, 2500),
(25, 4914, 4912, 1),
(67, 6930, 6929, 2500),
(27, 4917, 4915, 2500),
(28, 4934, 4935, 2501),
(36, 5413, 5414, 2501),
(37, 5413, 5433, 2501),
(38, 5413, 5434, 2501),
(39, 5528, 5360, 2500),
(40, 5527, 5360, 2500),
(41, 5361, 5360, 2500),
(42, 5526, 5360, 2500),
(43, 5405, 5406, 2501),
(44, 5405, 5565, 2501),
(45, 5616, 5615, 2500),
(46, 5617, 5618, 2501),
(47, 5457, 6154, 2),
(48, 5719, 5718, 0),
(49, 6198, 4333, 1),
(60, 5729, 6477, 0),
(52, 6495, 6494, 2500),
(53, 6497, 6496, 2500),
(59, 6617, 6616, 2500),
(56, 6058, 4886, 1),
(58, 6273, 6272, 2500),
(66, 6662, 6656, 2500),
(68, 6931, 6929, 2500),
(72, 7008, 5360, 1),
(105, 7643, 7642, 2500),
(84, 5711, 6153, 2500),
(85, 7005, 7192, 1),
(88, 7369, 7192, 2501),
(135, 8839, 8838, 2500),
(96, 7378, 7070, 2500),
(93, 7380, 7070, 2500),
(94, 7379, 7070, 2500),
(95, 7377, 7070, 2500),
(97, 7381, 7070, 2500),
(106, 7654, 7653, 2501),
(99, 7420, 7419, 2500),
(102, 7421, 7423, 2501),
(101, 7423, 7422, 2500),
(103, 7429, 7428, 2500),
(107, 7656, 7655, 2500),
(118, 8072, 7114, 1),
(110, 7704, 7703, 2500),
(112, 7708, 7707, 2500),
(116, 8290, 8289, 2500),
(117, 8292, 8291, 2500),
(141, 9103, 9102, 2),
(169, 12999, 12998, 2500),
(139, 8951, 6153, 2),
(138, 8942, 8941, 2),
(147, 9474, 8842, 2500),
(134, 8713, 8712, 2500),
(131, 8148, 8171, 0),
(130, 8150, 8149, 1),
(142, 9457, 9456, 2500),
(143, 5406, 5565, 1),
(149, 8842, 10144, 0),
(150, 9474, 10145, 0),
(153, 9472, 10330, 2),
(154, 9472, 10413, 2),
(162, 12739, 12738, 2),
(166, 12790, 12791, 2501),
(171, 13545, 13544, 2501),
(172, 12781, 13559, 2501),
(179, 12311, 12305, 2500),
(180, 12312, 12305, 2500),
(181, 12305, 12313, 2501),
(185, 12305, 12315, 2501),
(184, 12305, 12314, 2501),
(186, 12305, 12316, 2501),
(187, 12318, 12305, 2500),
(188, 12305, 12320, 2501),
(189, 12305, 12321, 2501),
(190, 12305, 12317, 2501),
(191, 12305, 12319, 2501),
(192, 12305, 12308, 2501),
(193, 12305, 12324, 2501),
(195, 12309, 12308, 2500),
(197, 12323, 12324, 2500),
(199, 14014, 14013, 2500),
(201, 14014, 12311, 2500),
(202, 14014, 12312, 2500),
(203, 14014, 12313, 2500),
(204, 14014, 12314, 1),
(205, 14014, 12315, 2500),
(206, 14014, 12316, 2500),
(207, 14014, 12317, 2500),
(208, 14014, 12318, 2500),
(209, 14014, 12319, 2500),
(210, 14014, 12320, 2500),
(211, 14014, 12321, 2500),
(213, 14014, 12309, 2500),
(214, 14014, 12307, 2500),
(215, 14014, 12323, 2500),
(216, 14014, 12304, 2500),
(217, 14014, 12328, 2500),
(218, 14058, 14057, 2500),
(219, 14060, 14059, 2500),
(226, 12790, 14165, 2500),
(221, 14150, 12938, 2500),
(224, 14262, 14261, 2500),
(225, 14250, 14251, 2500),
(229, 14808, 14807, 2500),
(230, 14814, 14813, 2501),
(232, 15165, 15164, 2501),
(238, 15256, 14807, 1),
(242, 15716, 15161, 2500),
(248, 15770, 15769, 2500),
(249, 15780, 15779, 2500),
(250, 15782, 15781, 2500),
(254, 15836, 10623, 2501),
(255, 15843, 15841, 2500),
(262, 16069, 16068, 2500),
(282, 16516, 15785, 2500),
(281, 16560, 16559, 2500),
(292, 16850, 16845, 0),
(307, 17454, 17453, 2500),
(317, 17064, 12288, 2500),
(318, 17065, 10743, 2500),
(319, 17065, 17637, 2500),
(320, 17065, 10745, 2500),
(321, 17065, 10746, 2500),
(323, 17065, 17425, 2500),
(324, 17065, 17427, 2500),
(325, 17065, 17428, 2500),
(326, 17065, 17429, 2500),
(327, 17065, 17430, 2500),
(328, 17065, 17431, 2500),
(329, 17065, 17426, 2500),
(330, 17065, 17424, 2500),
(331, 17065, 17432, 2500),
(332, 17063, 15836, 2500),
(333, 17063, 10623, 2500),
(334, 17063, 10740, 2500),
(335, 17063, 10741, 2500),
(336, 17063, 10742, 2500),
(337, 15856, 10598, 2500),
(338, 15856, 10744, 2500),
(339, 15855, 12689, 2500),
(340, 15855, 12688, 2500),
(341, 17258, 10770, 2500),
(344, 17747, 17746, 2500),
(358, 18756, 18755, 2500),
(352, 18061, 18060, 2),
(353, 18121, 18120, 2500),
(357, 18721, 18720, 2500),
(367, 19427, 18757, 2500),
(372, 20644, 20643, 2500),
(383, 23424, 23437, 2500),
(384, 23168, 23167, 2500),
(385, 22383, 22382, 2500),
(386, 23556, 23419, 2501),
(387, 23243, 22877, 2500);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_revision_table`
--

DROP TABLE IF EXISTS `mantis_bug_revision_table`;
CREATE TABLE `mantis_bug_revision_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `bug_id` int(10) UNSIGNED NOT NULL,
  `bugnote_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `user_id` int(10) UNSIGNED NOT NULL,
  `type` int(10) UNSIGNED NOT NULL,
  `value` longtext NOT NULL,
  `timestamp` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_bug_revision_table`
--

INSERT INTO `mantis_bug_revision_table` (`id`, `bug_id`, `bugnote_id`, `user_id`, `type`, `value`, `timestamp`) VALUES
(506, 1431, 0, 0, 1, 'revision on fake issue', 1402956000),
(507, 1431, 0, 2, 1, 'revision on fake issue', 1403036800),
(512, 1435, 0, 0, 1, ' ', 1402956000),
(513, 1435, 0, 2, 1, ' Wiki, ...', 1403788117),
(628, 1867, 396, 2, 4, 'revision on fake issue', 1410360207),
(629, 1867, 396, 2, 4, 'revision on fake issue', 1410360255),
(632, 1867, 396, 2, 4, 'revision on fake issue', 1410361557),
(642, 1435, 398, 2, 4, 'Install de la VM rsipsa01 sur le serveur d\'Aix.\r\n\r\ncette VM proposera:\r\n- repository Git mappé sur le SVN officiel du projet\r\n- serveur de fichier SAMBA pour échange/stockage de doc équipe TAIGA\r\n- serveur Web pour les tools (GitWeb, RsiKB, ...)\r\n\r\nBilan du 11/9/2014:\r\nVM installée et activable, mais l\'interface réseau ne démarre pas.', 1410440566),
(643, 1435, 398, 2, 4, 'Install de la VM rsipsa01 sur le serveur d\'Aix.\r\n\r\ncette VM proposera:\r\n- repository Git mappé sur le SVN officiel du projet\r\n- serveur de fichier SAMBA pour échange/stockage de doc équipe TAIGA\r\n- serveur Web pour les tools (GitWeb, RsiKB, ...)\r\n\r\nLe serveur sera accessible à l\'extérieur via le reverse-proxy de l\'agence.\r\n\r\n\r\nBilan du 11/9/2014:\r\nVM installée et activable, mais l\'interface réseau ne démarre pas.\n\n', 1410440678),
(646, 1867, 463, 2, 4, 'revision on fake issue', 1411055505),
(647, 1867, 463, 2, 4, 'revision on fake issue', 1411112358),
(648, 1858, 464, 2, 4, 'revision on fake issue', 1411055560),
(649, 1858, 464, 73, 4, 'revision on fake issue', 1411121022),
(650, 1867, 463, 2, 4, 'revision on fake issue', 1411141492),
(651, 1867, 463, 2, 4, 'revision on fake issue', 1411391835),
(652, 1437, 0, 2, 1, '...', 1403035678),
(653, 1437, 0, 2, 1, 'saisie des NDF, ...', 1411459156),
(654, 1437, 0, 2, 1, 'saisie des NDF, \r\nmedecine du travail,\r\nreunion d\'agence\r\n...', 1411459202),
(661, 1437, 0, 2, 1, 'saisie des NDF,\r\nreservations avion/hotel,\r\nmedecine du travail,\r\nreunion d\'agence\r\n...', 1411464511),
(662, 1858, 464, 2, 4, 'revision on fake issue', 1411731675),
(663, 1867, 463, 2, 4, 'revision on fake issue', 1411732634),
(664, 1862, 470, 2, 4, 'revision on fake issue', 1412667294),
(665, 1862, 470, 2, 4, 'revision on fake issue', 1412667310),
(678, 2465, 0, 2, 1, 'revision on fake issue', 1412948113),
(679, 2465, 0, 2, 1, 'revision on fake issue', 1415193375),
(692, 2819, 0, 0, 1, 'revision on fake issue', 1414537200),
(693, 2819, 0, 72, 1, 'revision on fake issue', 1416410419),
(777, 3453, 561, 74, 4, 'revision on fake issue', 1421855428),
(778, 3453, 561, 74, 4, 'revision on fake issue', 1421855496),
(822, 3737, 607, 2, 4, 'revision on fake issue', 1424965624),
(821, 3737, 607, 74, 4, 'revision on fake issue', 1424963015),
(802, 3454, 0, 0, 1, 'revision on fake issue', 1417734000),
(803, 3454, 0, 2, 1, 'revision on fake issue', 1423779532),
(804, 3454, 560, 74, 4, 'revision on fake issue', 1421391010),
(805, 3454, 560, 2, 4, 'revision on fake issue', 1423779547),
(806, 3908, 0, 134, 1, 'revision on fake issue', 1423817287),
(807, 3908, 0, 134, 1, 'revision on fake issue', 1423818024),
(808, 3907, 0, 134, 1, 'revision on fake issue', 1423817055),
(809, 3907, 0, 134, 1, 'revision on fake issue', 1423818086),
(818, 3453, 561, 2, 4, 'revision on fake issue', 1424248399),
(865, 4255, 0, 93, 1, 'revision on fake issue', 1426498323),
(866, 4255, 0, 2, 1, 'revision on fake issue', 1426693657),
(892, 4798, 650, 2, 4, 'revision on fake issue', 1429688702),
(893, 4798, 650, 2, 4, 'revision on fake issue', 1429688773),
(897, 4798, 653, 158, 4, 'revision on fake issue', 1430730983),
(898, 4798, 653, 2, 4, 'revision on fake issue', 1430914007),
(901, 4844, 0, 2, 1, 'revision on fake issue', 1429606498),
(902, 4844, 0, 2, 1, 'revision on fake issue', 1431942476),
(907, 5025, 0, 72, 1, 'revision on fake issue', 1432052388),
(908, 5025, 0, 2, 1, 'revision on fake issue', 1432114900),
(909, 5024, 0, 72, 1, 'revision on fake issue', 1432052324),
(910, 5024, 0, 2, 1, 'revision on fake issue', 1432115110),
(911, 5024, 0, 2, 1, 'revision on fake issue', 1432127472),
(912, 4881, 0, 0, 1, 'revision on fake issue', 1429567200),
(913, 4881, 0, 2, 1, 'revision on fake issue', 1432628798),
(914, 4881, 0, 0, 3, 'revision on fake issue', 1429567200),
(915, 4881, 0, 2, 3, 'revision on fake issue', 1432628798),
(916, 4881, 658, 2, 4, 'revision on fake issue', 1432718070),
(917, 4881, 658, 2, 4, 'revision on fake issue', 1432718613),
(918, 4881, 658, 2, 4, 'revision on fake issue', 1432718823),
(919, 4963, 0, 2, 1, 'revision on fake issue', 1431011794),
(920, 4963, 0, 2, 1, 'revision on fake issue', 1432818921),
(921, 5102, 0, 2, 1, 'revision on fake issue', 1433148664),
(922, 5102, 0, 2, 1, 'revision on fake issue', 1433148877),
(923, 5037, 0, 114, 1, 'revision on fake issue', 1432299989),
(924, 5037, 0, 2, 1, 'revision on fake issue', 1433235554),
(948, 4891, 0, 72, 1, 'revision on fake issue', 1429702477),
(949, 4891, 0, 2, 1, 'revision on fake issue', 1435823008),
(950, 4958, 0, 72, 1, 'revision on fake issue', 1430840490),
(951, 4958, 0, 2, 1, 'revision on fake issue', 1435824846),
(952, 4958, 0, 2, 1, 'revision on fake issue', 1435824945),
(953, 5412, 0, 2, 1, 'revision on fake issue', 1435824752),
(954, 5412, 0, 2, 1, 'revision on fake issue', 1435824949),
(1001, 4288, 0, 0, 1, 'revision on fake issue', 1426460400),
(1002, 4288, 0, 72, 1, 'revision on fake issue', 1438082973),
(1036, 4915, 0, 72, 1, 'revision on fake issue', 1430134400),
(1037, 4915, 0, 2, 1, 'revision on fake issue', 1439380889),
(1080, 4915, 0, 72, 1, 'revision on fake issue', 1441604594),
(1081, 6198, 0, 2, 1, 'revision on fake issue', 1441031083),
(1082, 6198, 0, 72, 1, 'revision on fake issue', 1441606085),
(1335, 7121, 0, 169, 1, 'revision on fake issue', 1445951410),
(1336, 7121, 0, 169, 1, 'revision on fake issue', 1445951570),
(1393, 7243, 0, 93, 3, 'revision on fake issue', 1446457591),
(1394, 7243, 0, 72, 3, 'revision on fake issue', 1446652214),
(1530, 7661, 0, 72, 1, 'revision on fake issue', 1448554384),
(1531, 7661, 0, 72, 1, 'revision on fake issue', 1449226628),
(1614, 7496, 1112, 2, 4, 'revision on fake issue', 1450860664),
(1615, 7496, 1112, 2, 4, 'revision on fake issue', 1450860682),
(1650, 7392, 0, 157, 1, 'revision on fake issue', 1446791582),
(1651, 7392, 0, 2, 1, 'revision on fake issue', 1452863395),
(1652, 8148, 0, 2, 1, 'revision on fake issue', 1450967391),
(1653, 8148, 0, 2, 1, 'revision on fake issue', 1452863559),
(1654, 8150, 0, 2, 1, 'revision on fake issue', 1450967695),
(1655, 8150, 0, 2, 1, 'revision on fake issue', 1452864022),
(1656, 7393, 0, 157, 1, 'revision on fake issue', 1446791636),
(1657, 7393, 0, 2, 1, 'revision on fake issue', 1452865806),
(1658, 8171, 0, 72, 1, 'revision on fake issue', 1451488890),
(1659, 8171, 0, 2, 1, 'revision on fake issue', 1452871554),
(1724, 8301, 0, 2, 1, 'revision on fake issue', 1452073785),
(1725, 8301, 0, 2, 1, 'revision on fake issue', 1454495141),
(1726, 4266, 0, 0, 1, 'revision on fake issue', 1426460400),
(1727, 4266, 0, 72, 1, 'revision on fake issue', 1454579147),
(1810, 5713, 0, 72, 1, 'revision on fake issue', 1438094184),
(1811, 5713, 0, 72, 1, 'revision on fake issue', 1456764698),
(1835, 8060, 0, 72, 1, 'revision on fake issue', 1450448162),
(1836, 8060, 0, 2, 1, 'revision on fake issue', 1457515523),
(1837, 8450, 0, 72, 1, 'revision on fake issue', 1453126917),
(1838, 8450, 0, 2, 1, 'revision on fake issue', 1457515590),
(1845, 9307, 0, 72, 1, 'revision on fake issue', 1456764845),
(1846, 9307, 0, 157, 1, 'revision on fake issue', 1457677802),
(1866, 6189, 1530, 2, 4, 'revision on fake issue', 1458038872),
(1867, 6189, 1530, 2, 4, 'revision on fake issue', 1458039858),
(1868, 6741, 1534, 2, 4, 'revision on fake issue', 1458040215),
(1869, 6741, 1534, 2, 4, 'revision on fake issue', 1458041075),
(1876, 8949, 1547, 164, 4, 'revision on fake issue', 1458308286),
(1877, 8949, 1547, 2, 4, 'revision on fake issue', 1458319381),
(1878, 8155, 1549, 2, 4, 'revision on fake issue', 1458659000),
(1879, 8155, 1549, 2, 4, 'revision on fake issue', 1458739268),
(1880, 9683, 0, 72, 1, 'revision on fake issue', 1458749430),
(1881, 9683, 0, 72, 1, 'revision on fake issue', 1458749463),
(1915, 9889, 0, 205, 1, 'revision on fake issue', 1459353904),
(1916, 9889, 0, 205, 1, 'revision on fake issue', 1459874164),
(1920, 8060, 0, 134, 1, 'revision on fake issue', 1460020777),
(1964, 9674, 0, 72, 1, 'revision on fake issue', 1458659603),
(1965, 9674, 0, 2, 1, 'revision on fake issue', 1460969495),
(1970, 10166, 0, 0, 1, 'revision on fake issue', 1460930400),
(2077, 10166, 0, 2, 1, 'revision on fake issue', 1463492337),
(2076, 10166, 0, 2, 1, 'revision on fake issue', 1463491562),
(1971, 10166, 0, 2, 1, 'revision on fake issue', 1460979507),
(1972, 8842, 0, 72, 1, 'revision on fake issue', 1454947584),
(1973, 8842, 0, 2, 1, 'revision on fake issue', 1460984466),
(1974, 9474, 0, 0, 1, 'revision on fake issue', 1457478000),
(1975, 9474, 0, 2, 1, 'revision on fake issue', 1460984624),
(1976, 10049, 0, 93, 1, 'revision on fake issue', 1459949164),
(1977, 10049, 0, 2, 1, 'revision on fake issue', 1460985993),
(1978, 9470, 0, 0, 1, 'revision on fake issue', 1457478000),
(1979, 9470, 0, 2, 1, 'revision on fake issue', 1461055340),
(1980, 10144, 0, 0, 1, 'revision on fake issue', 1460584800),
(1981, 10144, 0, 2, 1, 'revision on fake issue', 1461056593),
(1982, 10144, 0, 2, 1, 'revision on fake issue', 1461056701),
(2094, 3562, 0, 2, 1, 'revision on fake issue', 1419336691),
(2095, 3562, 0, 2, 1, 'revision on fake issue', 1464350137),
(2029, 10393, 0, 72, 1, 'revision on fake issue', 1461747765),
(2030, 10393, 0, 72, 1, 'revision on fake issue', 1461747935),
(2031, 10396, 0, 72, 1, 'revision on fake issue', 1461749240),
(2032, 10396, 0, 72, 1, 'revision on fake issue', 1461749413),
(2033, 10248, 0, 205, 1, 'revision on fake issue', 1461225693),
(2034, 10248, 0, 72, 1, 'revision on fake issue', 1461766374),
(2035, 9472, 0, 0, 1, 'revision on fake issue', 1457478000),
(2036, 9472, 0, 2, 1, 'revision on fake issue', 1461924621),
(2061, 10598, 0, 72, 1, 'revision on fake issue', 1462349483),
(2062, 10598, 0, 72, 1, 'revision on fake issue', 1462349563),
(2071, 10598, 0, 72, 1, 'revision on fake issue', 1463142041),
(2072, 10744, 0, 72, 1, 'revision on fake issue', 1463143481),
(2073, 10744, 0, 72, 1, 'revision on fake issue', 1463143620),
(2074, 10598, 0, 72, 1, 'revision on fake issue', 1463143672),
(2075, 10598, 0, 72, 1, 'revision on fake issue', 1463150255),
(2078, 10414, 1899, 2, 4, 'revision on fake issue', 1463560322),
(2079, 10414, 1899, 2, 4, 'revision on fake issue', 1463562766),
(2080, 10858, 0, 2, 1, '...', 1463736081),
(2081, 10858, 0, 2, 1, 'Gerald, Nabil, ...', 1463736823),
(2218, 8949, 1547, 164, 4, 'revision on fake issue', 1464792569),
(2221, 10423, 0, 72, 1, 'revision on fake issue', 1461944229),
(2222, 10423, 0, 72, 1, 'revision on fake issue', 1464793764),
(2247, 8344, 0, 72, 3, 'revision on fake issue', 1452239727),
(2248, 8344, 0, 72, 3, 'revision on fake issue', 1464956440),
(2258, 10193, 0, 2, 1, 'revision on fake issue', 1461057290),
(2259, 10193, 0, 72, 1, 'revision on fake issue', 1465292428),
(2264, 10423, 0, 72, 1, 'revision on fake issue', 1465297511),
(2265, 10423, 0, 72, 1, 'revision on fake issue', 1465297581),
(2266, 11178, 0, 72, 1, 'revision on fake issue', 1464793834),
(2267, 11178, 0, 72, 1, 'revision on fake issue', 1465297736),
(2428, 10394, 2011, 205, 4, 'revision on fake issue', 1465825196),
(2429, 10394, 2011, 205, 4, 'revision on fake issue', 1465825207),
(2430, 10394, 2011, 205, 4, 'revision on fake issue', 1465825234),
(2431, 8806, 0, 72, 1, 'revision on fake issue', 1454679039),
(2432, 8806, 0, 72, 1, 'revision on fake issue', 1465980032),
(2479, 12159, 2047, 217, 4, 'revision on fake issue', 1466502250),
(2480, 12159, 2047, 217, 4, 'revision on fake issue', 1466502354),
(2517, 12199, 0, 72, 1, 'revision on fake issue', 1466089387),
(2518, 12199, 0, 72, 1, 'revision on fake issue', 1467883860),
(2523, 12288, 0, 72, 1, 'revision on fake issue', 1466607385),
(2524, 12288, 0, 72, 1, 'revision on fake issue', 1467979633),
(2534, 10791, 0, 0, 1, 'revision on fake issue', 1463522400),
(2535, 10791, 0, 72, 1, 'revision on fake issue', 1468323003),
(2536, 10049, 0, 72, 1, 'revision on fake issue', 1468323149),
(2598, 13002, 0, 72, 1, 'revision on fake issue', 1469104309),
(2599, 13002, 0, 72, 1, 'revision on fake issue', 1469104853),
(2600, 10744, 0, 72, 3, 'revision on fake issue', 1463143481),
(2601, 10744, 0, 72, 3, 'revision on fake issue', 1469107400),
(2602, 10598, 0, 72, 1, 'revision on fake issue', 1469110246),
(2661, 12330, 3285, 169, 4, 'revision on fake issue', 1469807271),
(2662, 12330, 3285, 169, 4, 'revision on fake issue', 1469807536),
(2667, 13256, 0, 2, 1, 'revision on fake issue', 1469609489),
(2668, 13256, 0, 72, 1, 'revision on fake issue', 1470043073),
(2669, 10770, 0, 72, 1, 'revision on fake issue', 1463149257),
(2670, 10770, 0, 72, 1, 'revision on fake issue', 1470043175),
(2689, 13559, 0, 72, 1, 'revision on fake issue', 1470296592),
(2690, 13559, 0, 72, 1, 'revision on fake issue', 1470296714),
(2695, 10738, 0, 72, 1, 'revision on fake issue', 1463142488),
(2696, 10738, 0, 72, 1, 'revision on fake issue', 1470311206),
(2697, 10737, 0, 72, 1, 'revision on fake issue', 1463141742),
(2698, 10737, 0, 72, 1, 'revision on fake issue', 1470311344),
(2701, 13592, 3465, 2, 4, 'revision on fake issue', 1470318406),
(2702, 13592, 3465, 2, 4, 'revision on fake issue', 1470318494),
(2708, 13622, 0, 72, 3, 'revision on fake issue', 1470324657),
(2709, 13622, 0, 72, 3, 'revision on fake issue', 1470376428),
(2710, 13622, 0, 72, 3, 'revision on fake issue', 1470377289),
(2779, 10426, 0, 72, 1, 'revision on fake issue', 1462171848),
(2780, 10426, 0, 2, 1, 'revision on fake issue', 1471883019),
(2793, 12305, 0, 0, 1, 'revision on fake issue', 1466719200),
(2794, 12305, 0, 2, 1, 'revision on fake issue', 1472049145),
(4410, 21661, 0, 72, 1, 'revision on fake issue', 1513608080),
(2807, 12330, 3285, 2, 4, 'revision on fake issue', 1472485957),
(2850, 14165, 0, 0, 1, 'revision on fake issue', 1473285600),
(2851, 14165, 0, 72, 1, 'revision on fake issue', 1473350005),
(2882, 12790, 0, 72, 1, 'revision on fake issue', 1467883995),
(2883, 12790, 0, 72, 1, 'revision on fake issue', 1473842729),
(2887, 12305, 4634, 169, 4, 'revision on fake issue', 1473091756),
(2888, 12305, 4634, 2, 4, 'revision on fake issue', 1474277601),
(2902, 14251, 0, 0, 1, 'revision on fake issue', 1473976800),
(2903, 14251, 0, 72, 1, 'revision on fake issue', 1474473720),
(2908, 14329, 0, 72, 1, 'revision on fake issue', 1474468647),
(2909, 14329, 0, 72, 1, 'revision on fake issue', 1474635850),
(2910, 10749, 0, 72, 1, 'revision on fake issue', 1463144995),
(2911, 10749, 0, 2, 1, 'revision on fake issue', 1474877341),
(2943, 14540, 0, 72, 1, 'revision on fake issue', 1474990467),
(2944, 14540, 0, 199, 1, 'revision on fake issue', 1475822649),
(2947, 14721, 0, 72, 3, 'revision on fake issue', 1475837566),
(2948, 14721, 0, 72, 3, 'revision on fake issue', 1475849548),
(2971, 14716, 0, 72, 1, 'revision on fake issue', 1475834348),
(2972, 14716, 0, 72, 1, 'revision on fake issue', 1476876787),
(2973, 14721, 0, 72, 1, 'revision on fake issue', 1475837566),
(2974, 14721, 0, 72, 1, 'revision on fake issue', 1476879984),
(2975, 14721, 0, 72, 3, 'revision on fake issue', 1476879984),
(2976, 14807, 6702, 2, 4, 'revision on fake issue', 1476885578),
(2977, 14807, 6702, 2, 4, 'revision on fake issue', 1476887257),
(3012, 14716, 0, 72, 1, 'revision on fake issue', 1477907553),
(3013, 14716, 0, 72, 1, 'revision on fake issue', 1477908176),
(3014, 14721, 0, 72, 1, 'revision on fake issue', 1477909069),
(3991, 16526, 0, 72, 1, 'revision on fake issue', 1483961815),
(3992, 16526, 0, 72, 1, 'revision on fake issue', 1499082691),
(3994, 16071, 0, 72, 1, 'revision on fake issue', 1499155010),
(3988, 16071, 0, 72, 1, 'revision on fake issue', 1498722078),
(3026, 15380, 0, 2, 1, 'revision on fake issue', 1478600637),
(3027, 15380, 0, 2, 1, 'revision on fake issue', 1478600815),
(3034, 14716, 0, 72, 1, 'revision on fake issue', 1479212234),
(3038, 15161, 0, 0, 1, 'revision on fake issue', 1476828000),
(3039, 15161, 0, 2, 1, 'revision on fake issue', 1479465155),
(3136, 15377, 0, 2, 1, 'revision on fake issue', 1478526444),
(3137, 15377, 0, 72, 1, 'revision on fake issue', 1480077486),
(3147, 15836, 0, 72, 1, 'revision on fake issue', 1480349637),
(3148, 15836, 0, 72, 1, 'revision on fake issue', 1480349862),
(3149, 15377, 0, 72, 1, 'revision on fake issue', 1480409015),
(3154, 14721, 0, 72, 1, 'revision on fake issue', 1480588194),
(3155, 10406, 0, 72, 1, 'revision on fake issue', 1461772264),
(3156, 10406, 0, 72, 1, 'revision on fake issue', 1480595290),
(3198, 14721, 0, 72, 1, 'revision on fake issue', 1481792105),
(3199, 14721, 0, 72, 1, 'revision on fake issue', 1481792721),
(3213, 15970, 0, 2, 1, 'revision on fake issue', 1481204346),
(3214, 15970, 0, 199, 1, 'revision on fake issue', 1482327613),
(3228, 16070, 0, 72, 1, 'revision on fake issue', 1481788643),
(3229, 16070, 0, 72, 1, 'revision on fake issue', 1483437416),
(3244, 15855, 0, 72, 1, 'revision on fake issue', 1480595374),
(3245, 15855, 0, 72, 1, 'revision on fake issue', 1483962126),
(3269, 16070, 0, 72, 1, 'revision on fake issue', 1484131073),
(3270, 16070, 0, 72, 1, 'revision on fake issue', 1484131332),
(3281, 15785, 0, 217, 1, 'revision on fake issue', 1479914810),
(3282, 15785, 0, 72, 1, 'revision on fake issue', 1484573048),
(4266, 21661, 0, 72, 1, 'revision on fake issue', 1511277573),
(3361, 16070, 0, 72, 1, 'revision on fake issue', 1486041169),
(4265, 21917, 0, 72, 1, 'revision on fake issue', 1511250664),
(4263, 21661, 0, 72, 1, 'revision on fake issue', 1511250455),
(4264, 21917, 0, 72, 1, 'revision on fake issue', 1506685801),
(3393, 13589, 0, 72, 1, 'revision on fake issue', 1470311517),
(3394, 13589, 0, 72, 1, 'revision on fake issue', 1486475427),
(3433, 16071, 0, 72, 1, 'revision on fake issue', 1481790198),
(3434, 16071, 0, 72, 1, 'revision on fake issue', 1486992045),
(3501, 12330, 3285, 169, 4, 'revision on fake issue', 1487240904),
(3502, 12330, 3285, 169, 4, 'revision on fake issue', 1487240999),
(3538, 17429, 0, 72, 1, 'revision on fake issue', 1487769124),
(3539, 17429, 0, 72, 1, 'revision on fake issue', 1487769207),
(3540, 10746, 0, 72, 1, 'revision on fake issue', 1463144184),
(3541, 10746, 0, 72, 1, 'revision on fake issue', 1487770047),
(3575, 17065, 14135, 74, 4, 'revision on fake issue', 1487924390),
(3576, 17065, 14135, 74, 4, 'revision on fake issue', 1487953162),
(3577, 17065, 14135, 74, 4, 'revision on fake issue', 1487953169),
(3705, 14807, 0, 72, 1, 'revision on fake issue', 1476175254),
(3706, 14807, 0, 199, 1, 'revision on fake issue', 1489052493),
(3748, 14721, 0, 72, 1, 'revision on fake issue', 1490628405),
(3781, 11032, 17370, 164, 4, 'revision on fake issue', 1491566946),
(3782, 11032, 17370, 2, 4, 'revision on fake issue', 1491566986),
(3783, 11032, 17370, 164, 4, 'revision on fake issue', 1491567024),
(3784, 2865, 0, 2, 1, '..', 1415025333),
(3785, 2865, 0, 2, 1, 'avant le 1/4/2017', 1491816308),
(3851, 18116, 19151, 2, 4, 'revision on fake issue', 1493906134),
(3852, 18116, 19151, 2, 4, 'revision on fake issue', 1493993375),
(3855, 16071, 0, 72, 1, 'revision on fake issue', 1494409186),
(3877, 16071, 0, 72, 1, 'revision on fake issue', 1494927668),
(3878, 18511, 0, 72, 1, 'revision on fake issue', 1492677941),
(3879, 18511, 0, 72, 1, 'revision on fake issue', 1494928413),
(3882, 18587, 0, 72, 1, 'revision on fake issue', 1493117103),
(3883, 18587, 0, 72, 1, 'revision on fake issue', 1495003926),
(3908, 14013, 0, 2, 1, 'revision on fake issue', 1472635297),
(3909, 14013, 0, 72, 1, 'revision on fake issue', 1496050433),
(3910, 18587, 0, 72, 1, 'revision on fake issue', 1496064900),
(3911, 18488, 0, 72, 1, 'revision on fake issue', 1492673816),
(3912, 18488, 0, 72, 1, 'revision on fake issue', 1496066012),
(3984, 19787, 0, 72, 1, 'revision on fake issue', 1498562274),
(3985, 19787, 0, 72, 1, 'revision on fake issue', 1498562676),
(4010, 19787, 0, 72, 1, 'revision on fake issue', 1499754190),
(4011, 14710, 0, 0, 1, 'revision on fake issue', 1475791200),
(4012, 14710, 0, 72, 1, 'revision on fake issue', 1499757973),
(4017, 19787, 0, 72, 1, 'revision on fake issue', 1500465298),
(4038, 20927, 0, 0, 1, 'revision on fake issue', 1501711200),
(4039, 20927, 0, 2, 1, 'revision on fake issue', 1501756450),
(4095, 16070, 0, 72, 1, 'revision on fake issue', 1504775222),
(4100, 16526, 0, 72, 1, 'revision on fake issue', 1505310906),
(4101, 16526, 0, 72, 1, 'revision on fake issue', 1505313662),
(4172, 22232, 0, 72, 1, 'revision on fake issue', 1507289351),
(4173, 22232, 0, 72, 1, 'revision on fake issue', 1507289833),
(4184, 21658, 0, 72, 1, 'revision on fake issue', 1505374261),
(4185, 21658, 0, 72, 1, 'revision on fake issue', 1507554568),
(4186, 21658, 0, 72, 1, 'revision on fake issue', 1507554991),
(4187, 21658, 0, 72, 1, 'revision on fake issue', 1507555298),
(4188, 18587, 0, 72, 1, 'revision on fake issue', 1507557028),
(4189, 18587, 0, 72, 1, 'revision on fake issue', 1507557369),
(4211, 21658, 0, 72, 1, 'revision on fake issue', 1508234802),
(4219, 22380, 0, 0, 1, 'revision on fake issue', 1508364000),
(4220, 22380, 0, 72, 1, 'revision on fake issue', 1508756596),
(4224, 21837, 0, 72, 1, 'revision on fake issue', 1506087492),
(4225, 21837, 0, 72, 1, 'revision on fake issue', 1509005657),
(4226, 22764, 0, 0, 1, 'revision on fake issue', 1508968800),
(4227, 22764, 0, 72, 1, 'revision on fake issue', 1509016970),
(4228, 22763, 0, 0, 1, 'revision on fake issue', 1508968800),
(4229, 22763, 0, 72, 1, 'revision on fake issue', 1509017014),
(4232, 18488, 0, 72, 1, 'revision on fake issue', 1509114949),
(4233, 19982, 0, 0, 1, 'revision on fake issue', 1499119200),
(4234, 19982, 0, 72, 1, 'revision on fake issue', 1509353458),
(4235, 22807, 0, 0, 1, 'revision on fake issue', 1509318000),
(4236, 22807, 0, 72, 1, 'revision on fake issue', 1509456461),
(4239, 17741, 0, 0, 1, 'revision on fake issue', 1489014000),
(4240, 17741, 0, 72, 1, 'revision on fake issue', 1509972670),
(4245, 22925, 0, 72, 1, 'revision on fake issue', 1510133661),
(4246, 22925, 0, 72, 1, 'revision on fake issue', 1510133873),
(4247, 22925, 0, 72, 1, 'revision on fake issue', 1510134235),
(4248, 21661, 0, 72, 1, 'revision on fake issue', 1505379100),
(4249, 21661, 0, 72, 1, 'revision on fake issue', 1510135132),
(4269, 21661, 0, 72, 1, 'revision on fake issue', 1511534751),
(4270, 21661, 0, 72, 1, 'revision on fake issue', 1511535197),
(4281, 22762, 0, 0, 1, 'revision on fake issue', 1508968800),
(4282, 22762, 0, 72, 1, 'revision on fake issue', 1512136856),
(4283, 22874, 0, 0, 1, 'revision on fake issue', 1509922800),
(4284, 22874, 0, 72, 1, 'revision on fake issue', 1512136927),
(4285, 22943, 0, 0, 1, 'revision on fake issue', 1510182000),
(4286, 22943, 0, 72, 1, 'revision on fake issue', 1512137004),
(4287, 22939, 0, 0, 1, 'revision on fake issue', 1510182000),
(4288, 22939, 0, 72, 1, 'revision on fake issue', 1512137062),
(4289, 22938, 0, 0, 1, 'revision on fake issue', 1510182000),
(4290, 22938, 0, 72, 1, 'revision on fake issue', 1512137141),
(4293, 21661, 0, 72, 1, 'revision on fake issue', 1512139039),
(4294, 21661, 34052, 72, 4, 'revision on fake issue', 1511857395),
(4295, 21661, 34052, 72, 4, 'revision on fake issue', 1512391705),
(4296, 21661, 0, 72, 1, 'revision on fake issue', 1512402529),
(4297, 21661, 0, 72, 1, 'revision on fake issue', 1512402870),
(4298, 17764, 0, 0, 1, 'revision on fake issue', 1489359600),
(4299, 17764, 0, 72, 1, 'revision on fake issue', 1512476572),
(4300, 22933, 0, 0, 1, 'revision on fake issue', 1510182000),
(4301, 22933, 0, 72, 1, 'revision on fake issue', 1512476735),
(4331, 22951, 0, 0, 1, 'revision on fake issue', 1510268400),
(4332, 22951, 0, 72, 1, 'revision on fake issue', 1513093096),
(4398, 22925, 0, 72, 1, 'revision on fake issue', 1513594025),
(4399, 22937, 0, 0, 1, 'revision on fake issue', 1510182000),
(4400, 22937, 0, 72, 1, 'revision on fake issue', 1513597267),
(4411, 21661, 0, 72, 1, 'revision on fake issue', 1513608346),
(4412, 22956, 0, 72, 1, 'revision on fake issue', 1510303678),
(4413, 22956, 0, 72, 1, 'revision on fake issue', 1513608609),
(4435, 23774, 0, 0, 1, 'revision on fake issue', 1513551600),
(4436, 23774, 0, 72, 1, 'revision on fake issue', 1513850296),
(4438, 23833, 0, 0, 1, 'revision on fake issue', 1513810800),
(4439, 23833, 0, 72, 1, 'revision on fake issue', 1513859112),
(4480, 23767, 0, 0, 1, 'revision on fake issue', 1513551600),
(4481, 23767, 0, 72, 1, 'revision on fake issue', 1514360080),
(4518, 17251, 36784, 2, 4, 'revision on fake issue', 1514936061),
(4519, 17251, 36784, 2, 4, 'revision on fake issue', 1515171990),
(4521, 17251, 36784, 2, 4, 'revision on fake issue', 1515430859),
(4522, 22386, 36952, 199, 4, 'revision on fake issue', 1515420653),
(4523, 22386, 36952, 2, 4, 'revision on fake issue', 1515430866),
(4547, 23421, 0, 0, 1, 'revision on fake issue', 1512514800),
(4548, 23421, 0, 72, 1, 'revision on fake issue', 1515657900),
(4549, 24178, 0, 72, 1, 'revision on fake issue', 1515659005),
(4550, 24178, 0, 72, 1, 'revision on fake issue', 1515662978),
(4600, 22424, 0, 72, 1, 'revision on fake issue', 1508758592),
(4601, 22424, 0, 72, 1, 'revision on fake issue', 1516023042),
(4617, 23557, 0, 72, 1, 'revision on fake issue', 1513088551),
(4618, 23557, 0, 72, 1, 'revision on fake issue', 1516095811),
(4619, 23557, 0, 72, 1, 'revision on fake issue', 1516095975),
(4626, 23910, 0, 72, 1, 'revision on fake issue', 1514463475),
(4627, 23910, 0, 72, 1, 'revision on fake issue', 1516117602),
(4628, 21354, 0, 199, 1, 'revision on fake issue', 1503498858),
(4629, 21354, 0, 72, 1, 'revision on fake issue', 1516117753),
(4665, 24448, 0, 0, 1, 'revision on fake issue', 1516662000),
(4666, 24448, 0, 72, 1, 'revision on fake issue', 1516714373),
(4667, 24453, 0, 0, 1, 'revision on fake issue', 1516662000),
(4668, 24453, 0, 72, 1, 'revision on fake issue', 1516714928),
(4669, 23557, 0, 72, 1, 'revision on fake issue', 1516716577),
(4689, 23557, 0, 72, 1, 'revision on fake issue', 1517216976),
(4690, 23557, 0, 72, 1, 'revision on fake issue', 1517217326),
(4691, 24575, 0, 72, 1, 'revision on fake issue', 1517218192),
(4692, 24575, 0, 72, 1, 'revision on fake issue', 1517218670),
(4693, 24575, 0, 72, 1, 'revision on fake issue', 1517221987),
(4718, 23910, 0, 72, 1, 'revision on fake issue', 1517834848),
(4719, 23910, 0, 72, 1, 'revision on fake issue', 1517835559),
(4732, 24575, 0, 72, 1, 'revision on fake issue', 1518017039),
(4742, 24575, 0, 72, 1, 'revision on fake issue', 1518443913),
(4743, 24575, 0, 72, 1, 'revision on fake issue', 1518444311),
(4780, 24878, 0, 72, 1, 'revision on fake issue', 1519041312),
(4781, 24878, 0, 72, 1, 'revision on fake issue', 1519376728),
(4782, 24754, 0, 72, 1, 'revision on fake issue', 1518527777),
(4783, 24754, 0, 72, 1, 'revision on fake issue', 1519376798),
(4784, 24741, 0, 0, 1, 'revision on fake issue', 1518390000),
(4785, 24741, 0, 72, 1, 'revision on fake issue', 1519376876),
(4796, 23910, 0, 72, 1, 'revision on fake issue', 1519744942),
(4828, 24696, 0, 0, 1, 'revision on fake issue', 1518044400),
(4829, 24696, 0, 72, 1, 'revision on fake issue', 1520245514),
(4830, 24701, 0, 0, 1, 'revision on fake issue', 1518044400),
(4831, 24701, 0, 72, 1, 'revision on fake issue', 1520245639),
(4856, 24838, 0, 72, 1, 'revision on fake issue', 1518774507),
(4857, 24838, 0, 72, 1, 'revision on fake issue', 1520855759);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_table`
--

DROP TABLE IF EXISTS `mantis_bug_table`;
CREATE TABLE `mantis_bug_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `reporter_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `handler_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `duplicate_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `priority` smallint(6) NOT NULL DEFAULT 30,
  `severity` smallint(6) NOT NULL DEFAULT 50,
  `reproducibility` smallint(6) NOT NULL DEFAULT 10,
  `status` smallint(6) NOT NULL DEFAULT 10,
  `resolution` smallint(6) NOT NULL DEFAULT 10,
  `projection` smallint(6) NOT NULL DEFAULT 10,
  `eta` smallint(6) NOT NULL DEFAULT 10,
  `bug_text_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `os` varchar(32) NOT NULL DEFAULT '',
  `os_build` varchar(32) NOT NULL DEFAULT '',
  `platform` varchar(32) NOT NULL DEFAULT '',
  `version` varchar(64) NOT NULL DEFAULT '',
  `fixed_in_version` varchar(64) NOT NULL DEFAULT '',
  `build` varchar(32) NOT NULL DEFAULT '',
  `profile_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `view_state` smallint(6) NOT NULL DEFAULT 10,
  `summary` varchar(128) NOT NULL DEFAULT '',
  `sponsorship_total` int(11) NOT NULL DEFAULT 0,
  `sticky` tinyint(4) NOT NULL DEFAULT 0,
  `target_version` varchar(64) NOT NULL DEFAULT '',
  `category_id` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `date_submitted` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `due_date` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `last_updated` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_bug_table`
--

INSERT INTO `mantis_bug_table` (`id`, `project_id`, `reporter_id`, `handler_id`, `duplicate_id`, `priority`, `severity`, `reproducibility`, `status`, `resolution`, `projection`, `eta`, `bug_text_id`, `os`, `os_build`, `platform`, `version`, `fixed_in_version`, `build`, `profile_id`, `view_state`, `summary`, `sponsorship_total`, `sticky`, `target_version`, `category_id`, `date_submitted`, `due_date`, `last_updated`) VALUES
(1, 3, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 1, '', '', '', '', '', '', 0, 10, 'autre activité', 0, 0, '', 59, 1360796400, 1, 1360796400),
(2, 3, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 2, '', '', '', '', '', '', 0, 10, 'Absence', 0, 0, '', 58, 1360796400, 1, 1360796400),
(875, 3, 1, 1, 0, 30, 50, 100, 90, 10, 10, 10, 875, '', '', '', '', '', '', 0, 10, 'Interchantier', 0, 0, '', 59, 1386840086, 1, 1386841747),
(1041, 3, 1, 1, 0, 30, 50, 100, 90, 10, 10, 10, 1041, '', '', '', '', '', '', 0, 10, 'Maladie', 0, 0, '', 58, 1395159585, 1, 1395159648),
(1400, 3, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 1400, '', '', '', '', '', '', 0, 10, 'Autre Formation', 0, 0, '', 59, 1402920169, 1, 1403036965),
(1431, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 1431, '', '', '', '', '', '', 0, 10, 'task p41_1431', 0, 0, '', 1, 1402956000, 1, 1417900658),
(1435, 73, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 1435, '', '', '', '', '', '', 0, 10, '(generique) Outillage Infra', 0, 0, '', 264, 1402956000, 1, 1425040656),
(1436, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 1436, '', '', '', '', '', '', 0, 10, 'Montée en compétence', 0, 0, '', 265, 1403035647, 1, 1423341328),
(1437, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 1437, '', '', '', '', '', '', 0, 10, '(generique) Autre activité, imputée sur l\'OTP du projet', 0, 0, '', 262, 1403035678, 1, 1423341001),
(1448, 41, 2, 74, 0, 30, 50, 100, 90, 20, 10, 10, 1448, '', '', '', '', '', '', 0, 10, 'task p41_1448', 0, 0, '', 1, 1403788590, 1, 1415609065),
(1449, 41, 2, 73, 0, 30, 50, 100, 90, 20, 10, 10, 1449, '', '', '', '', '', '', 0, 10, 'task p41_1449', 0, 0, '', 1, 1403788642, 1, 1411980251),
(1506, 73, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 1506, '', '', '', '', '', '', 0, 10, '(generique) Indisponibilité réseau', 0, 0, '', 263, 1404338400, 1, 1423341054),
(1505, 73, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 1505, '', '', '', '', '', '', 0, 10, '(generique) Réunion', 0, 0, '', 265, 1404338400, 1, 1494596631),
(1508, 73, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 1508, '', '', '', '', '', '', 0, 10, '(generique) Mise à jour du WIKI', 0, 0, '', 265, 1404338400, 1, 1458319524),
(1596, 73, 0, 0, 0, 10, 50, 100, 90, 20, 10, 10, 1596, '', '', '', '', '', '', 0, 10, 'Livret daccueil', 0, 0, '', 265, 1404856800, 1, 1423341128),
(1858, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 1858, '', '', '', '', '', '', 0, 10, 'task p41_1858', 0, 0, 'Experimentation', 1, 1409646473, 1, 1416416669),
(1862, 41, 0, 2, 0, 10, 50, 100, 90, 30, 10, 10, 1862, '', '', '', '', '', '', 0, 10, 'task p41_1862', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416841809),
(3144, 41, 72, 2, 0, 30, 50, 70, 90, 20, 10, 10, 3144, '', '', '', '', '', '', 0, 10, 'task p41_3144', 0, 0, '', 1, 1416409096, 1, 1427211895),
(1864, 41, 0, 114, 0, 10, 50, 100, 90, 10, 10, 10, 1864, '', '', '', '', '', '', 0, 10, 'task p41_1864', 0, 0, 'Experimentation', 1, 1409608800, 1, 1426760004),
(1866, 41, 0, 2, 0, 10, 50, 100, 90, 10, 10, 10, 1866, '', '', '', '', '', '', 0, 10, 'task p41_1866', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416416669),
(1867, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 1867, '', '', '', '', '', '', 0, 10, 'task p41_1867', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416841837),
(1868, 41, 0, 73, 0, 10, 50, 100, 90, 10, 10, 10, 1868, '', '', '', '', '', '', 0, 10, 'task p41_1868', 0, 0, 'Experimentation', 1, 1409608800, 1, 1417450752),
(1869, 41, 0, 73, 0, 10, 50, 100, 90, 20, 10, 10, 1869, '', '', '', '', '', '', 0, 10, 'task p41_1869', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416416669),
(1870, 41, 0, 114, 0, 10, 50, 100, 90, 10, 10, 10, 1870, '', '', '', '', '', '', 0, 10, 'task p41_1870', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416416669),
(1871, 41, 0, 114, 0, 10, 50, 100, 90, 10, 10, 10, 1871, '', '', '', '', '', '', 0, 10, 'task p41_1871', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416416669),
(3137, 41, 72, 74, 0, 30, 50, 100, 90, 10, 10, 10, 3137, '', '', '', '', '', '', 0, 10, 'task p41_3137', 0, 0, '', 1, 1416405057, 1, 1417094684),
(1876, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 1876, '', '', '', '', '', '', 0, 10, 'task p41_1876', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416490424),
(1877, 41, 0, 73, 0, 10, 50, 100, 90, 10, 10, 10, 1877, '', '', '', '', '', '', 0, 10, 'task p41_1877', 0, 0, 'Experimentation', 1, 1409608800, 1, 1416416669),
(3682, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 3682, '', '', '', '', '', '', 0, 10, 'task p41_3682', 0, 0, '14.2.0', 1, 1421362800, 1, 1426690869),
(2041, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 2041, '', '', '', '', '', '', 0, 10, '(generique) Configuration poste de travail', 0, 0, '', 265, 1410339774, 1, 1423470402),
(2088, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 2088, '', '', '', '', '', '', 0, 10, 'Expertise Fonctionnelle TAIGA', 0, 0, '', 265, 1411140012, 1, 1423340908),
(2089, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 2089, '', '', '', '', '', '', 0, 10, 'Support FAP', 0, 0, '', 265, 1411141008, 1, 1423340108),
(2120, 41, 74, 74, 0, 30, 50, 100, 90, 20, 10, 10, 2120, '', '', '', '', '', '', 0, 10, 'task p41_2120', 0, 0, '15.0.0_Juillet', 250, 1411653084, 1, 1448443186),
(2121, 41, 72, 74, 0, 30, 20, 100, 90, 20, 10, 10, 2121, '', '', '', '', '', '', 0, 10, 'task p41_2121', 0, 0, '', 1, 1411654041, 1, 1426608805),
(2131, 41, 2, 73, 0, 30, 50, 70, 90, 10, 10, 10, 2131, '', '', '', '', '', '', 0, 10, 'task p41_2131', 0, 0, '', 1, 1411976449, 1, 1438084292),
(2132, 41, 2, 2, 0, 30, 50, 100, 90, 20, 10, 10, 2132, '', '', '', '', '', '', 0, 10, 'task p41_2132', 0, 0, '15.1.0_AFFI', 1, 1411976926, 1, 1440762385),
(2133, 41, 2, 112, 0, 30, 50, 100, 90, 10, 10, 10, 2133, '', '', '', '', '', '', 0, 10, 'task p41_2133', 0, 0, 'Experimentation', 1, 1411977065, 1, 1416416669),
(2779, 41, 2, 114, 0, 30, 50, 100, 90, 10, 10, 10, 2779, '', '', '', '', '', '', 0, 10, 'task p41_2779', 0, 0, '', 1, 1414492185, 1, 1416392212),
(2865, 81, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 2865, '', '', '', '', '', '', 0, 10, 'Pilotage RSI_TMA Retaite (OBSOLETE)', 0, 0, '', 294, 1415025333, 1, 1491818254),
(2853, 41, 72, 72, 0, 40, 50, 100, 90, 10, 10, 10, 2853, '', '', '', '', '', '', 0, 10, 'task p41_2853', 0, 0, '', 1, 1414770031, 1, 1426662326),
(2849, 41, 72, 72, 0, 40, 50, 100, 90, 20, 10, 10, 2849, '', '', '', '', '', '', 0, 10, 'task p41_2849', 0, 0, '', 1, 1414583853, 1, 1426609642),
(8130, 41, 2, 205, 0, 30, 50, 70, 80, 10, 10, 10, 8130, '', '', '', '', '', '', 0, 10, 'task p41_8130', 0, 0, 'GAC_1.5.5', 266, 1450880508, 1, 1478253759),
(8129, 41, 205, 205, 0, 30, 50, 100, 90, 10, 10, 10, 8129, '', '', '', 'GAC_1.5.5', '', '', 0, 10, 'task p41_8129', 0, 0, '', 250, 1450877703, 1, 1459874940),
(2844, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 2844, '', '', '', '', '', '', 0, 10, 'task p41_2844', 0, 0, 'PALL_Nov_2014', 1, 1414537200, 1, 1416498796),
(2842, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 2842, '', '', '', '', '', '', 0, 10, 'task p41_2842', 0, 0, 'PALL_Nov_2014', 1, 1414537200, 1, 1417445940),
(2841, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 2841, '', '', '', '', '', '', 0, 10, 'task p41_2841', 0, 0, 'PALL_Nov_2014', 1, 1414537200, 1, 1416416952),
(2840, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 2840, '', '', '', '', '', '', 0, 10, 'task p41_2840', 0, 0, 'PALL_Nov_2014', 1, 1414537200, 1, 1416469305),
(2839, 41, 0, 72, 0, 10, 50, 100, 90, 20, 10, 10, 2839, '', '', '', '', '', '', 0, 10, 'task p41_2839', 0, 0, 'PALL_Nov_2014', 1, 1414537200, 1, 1416468953),
(2838, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 2838, '', '', '', '', '', '', 0, 10, 'task p41_2838', 0, 0, 'PALL_Nov_2014', 1, 1414537200, 1, 1434115333),
(2837, 41, 0, 72, 0, 10, 50, 100, 90, 20, 10, 10, 2837, '', '', '', '', '', '', 0, 10, 'task p41_2837', 0, 0, 'PALL_Nov_2014', 1, 1414537200, 1, 1416469019),
(2904, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 2904, '', '', '', '', '', '', 0, 10, 'task p41_2904', 0, 0, '15.0.0', 1, 1415142000, 1, 1429704835),
(2835, 41, 0, 114, 0, 10, 50, 100, 90, 20, 10, 10, 2835, '', '', '', '', '', '', 0, 10, 'task p41_2835', 0, 0, '', 1, 1414537200, 1, 1427463662),
(4325, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4325, '', '', '', '', '', '', 0, 10, 'task p41_4325', 0, 0, '', 1, 1426633200, 1, 1479464602),
(4324, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 4324, '', '', '', '', '', '', 0, 10, 'task p41_4324', 0, 0, '16.0_Prov', 336, 1426633200, 1, 1473058596),
(4323, 41, 0, 146, 0, 40, 50, 100, 90, 10, 10, 10, 4323, '', '', '', '', '', '', 0, 10, 'task p41_4323', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1430747290),
(4322, 41, 0, 73, 0, 10, 50, 100, 90, 10, 10, 10, 4322, '', '', '', '', '', '', 0, 10, 'task p41_4322', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1430402560),
(4321, 41, 0, 146, 0, 10, 50, 100, 90, 10, 10, 10, 4321, '', '', '', '', '', '', 0, 10, 'task p41_4321', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1430747313),
(4320, 41, 0, 73, 0, 10, 50, 100, 90, 10, 10, 10, 4320, '', '', '', '', '', '', 0, 10, 'task p41_4320', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1429259089),
(4319, 41, 0, 73, 0, 10, 50, 100, 90, 20, 10, 10, 4319, '', '', '', '', '', '', 0, 10, 'task p41_4319', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1429774052),
(2821, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 2821, '', '', '', '', '', '', 0, 10, 'task p41_2821', 0, 0, '15.0.0_Juillet', 1, 1414537200, 1, 1432882803),
(2820, 41, 0, 74, 0, 10, 50, 100, 90, 20, 10, 10, 2820, '', '', '', '', '', '', 0, 10, 'task p41_2820', 0, 0, '15.0.0_Juillet', 1, 1414537200, 1, 1429609097),
(2819, 41, 0, 116, 0, 10, 50, 100, 90, 20, 10, 10, 2819, '', '', '', '', '', '', 0, 10, 'task p41_2819', 0, 0, '', 1, 1414537200, 1, 1426694876),
(4310, 41, 2, 114, 0, 30, 50, 70, 90, 10, 10, 10, 4310, '', '', '', '', '', '', 0, 10, 'task p41_4310', 0, 0, '14.2.0', 310, 1426610189, 1, 1453990892),
(2817, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 2817, '', '', '', '', '', '', 0, 10, 'task p41_2817', 0, 0, '15.0.0', 1, 1414537200, 1, 1427122475),
(4312, 41, 2, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4312, '', '', '', '', '', '', 0, 10, 'task p41_4312', 0, 0, '14.2.0', 310, 1426610426, 1, 1453972298),
(4311, 41, 2, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4311, '', '', '', '', '', '', 0, 10, 'task p41_4311', 0, 0, '14.2.0', 310, 1426610323, 1, 1453972298),
(2814, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 2814, '', '', '', '', '', '', 0, 10, 'task p41_2814', 0, 0, '15.0.0', 250, 1414537200, 1, 1429282044),
(4313, 41, 2, 73, 0, 30, 50, 70, 90, 10, 10, 10, 4313, '', '', '', '', '', '', 0, 10, 'task p41_4313', 0, 0, '14.1.60', 1, 1426610541, 1, 1426870412),
(2780, 73, 2, 0, 0, 30, 50, 70, 90, 10, 10, 10, 2780, '', '', '', '', '', '', 0, 10, 'Etude SQLDevelopper', 0, 0, '', 265, 1414493430, 1, 1423340857),
(2383, 41, 2, 93, 0, 30, 50, 100, 90, 10, 10, 10, 2383, '', '', '', '', '', '', 0, 10, 'task p41_2383', 0, 0, 'PALL_Dec_2014', 1, 1412602658, 1, 1418804912),
(2465, 41, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 2465, '', '', '', '', '', '', 0, 10, 'task p41_2465', 0, 0, 'PALL_Nov_2014', 1, 1412948113, 1, 1416416952),
(2810, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 2810, '', '', '', '', '', '', 0, 10, 'task p41_2810', 0, 0, '15.0.0', 1, 1414537200, 1, 1426608615),
(2650, 41, 2, 128, 0, 30, 50, 70, 90, 10, 10, 10, 2650, '', '', '', '', '', '', 0, 10, 'task p41_2650', 0, 0, '', 206, 1413892499, 1, 1418991846),
(2652, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 2652, '', '', '', '', '', '', 0, 10, 'task p41_2652', 0, 0, '', 206, 1413892563, 1, 1416826399),
(2894, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 2894, '', '', '', '', '', '', 0, 10, 'Pilotage TAIGA 2014', 0, 0, '', 261, 1415182434, 1, 1513704504),
(3455, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 3455, '', '', '', '', '', '', 0, 10, 'task p41_3455', 0, 0, '', 187, 1417798747, 1, 1421391217),
(2897, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 2897, '', '', '', '', '', '', 0, 10, 'task p41_2897', 0, 0, 'PALL_Dec_2014', 1, 1415142000, 1, 1426681637),
(2898, 41, 0, 73, 0, 10, 50, 100, 90, 20, 10, 10, 2898, '', '', '', '', '', '', 0, 10, 'task p41_2898', 0, 0, 'PALL_Dec_2014', 1, 1415142000, 1, 1419005781),
(2899, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 2899, '', '', '', '', '', '', 0, 10, 'task p41_2899', 0, 0, 'PALL_Dec_2014', 1, 1415142000, 1, 1418992038),
(2900, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 2900, '', '', '', '', '', '', 0, 10, 'task p41_2900', 0, 0, 'PALL_Dec_2014', 1, 1415142000, 1, 1426608872),
(2901, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 2901, '', '', '', '', '', '', 0, 10, 'task p41_2901', 0, 0, 'PALL_Dec_2014', 1, 1415142000, 1, 1426608872),
(2902, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 2902, '', '', '', '', '', '', 0, 10, 'task p41_2902', 0, 0, 'PALL_Dec_2014', 1, 1415142000, 1, 1426681251),
(2903, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 2903, '', '', '', '', '', '', 0, 10, 'task p41_2903', 0, 0, 'PALL_Dec_2014', 1, 1415142000, 1, 1426608872),
(2906, 41, 0, 109, 0, 10, 50, 100, 90, 10, 10, 10, 2906, '', '', '', '', '', '', 0, 10, 'task p41_2906', 0, 0, '15.0.0', 1, 1415142000, 1, 1434630957),
(2909, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 2909, '', '', '', '', '', '', 0, 10, 'task p41_2909', 0, 0, '15.0.0', 250, 1415142000, 1, 1429281998),
(2912, 41, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 2912, '', '', '', '', '', '', 0, 10, 'task p41_2912', 0, 0, 'Experimentation', 1, 1415194263, 1, 1416416669),
(3686, 41, 2, 117, 0, 30, 50, 100, 90, 20, 10, 10, 3686, '', '', '', '', '', '', 0, 10, 'task p41_3686', 0, 0, '15.1.0_Jan', 1, 1421674931, 1, 1452591035),
(3687, 41, 2, 116, 0, 30, 50, 100, 90, 20, 10, 10, 3687, '', '', '', '', '', '', 0, 10, 'task p41_3687', 0, 0, '15.0.0_Juillet', 212, 1421674989, 1, 1433141322),
(3683, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 3683, '', '', '', '', '', '', 0, 10, 'task p41_3683', 0, 0, '14.2.0', 1, 1421362800, 1, 1421772564),
(3688, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 3688, '', '', '', '', '', '', 0, 10, 'task p41_3688', 0, 0, '15.0.0_Juillet', 212, 1421675033, 1, 1430395944),
(12138, 41, 72, 134, 0, 10, 80, 100, 80, 10, 10, 10, 12141, '', '', '', '', '', '', 0, 10, 'task p41_12138', 0, 0, '', 334, 1465803705, 1, 1466409225),
(3084, 41, 2, 93, 0, 30, 50, 100, 90, 20, 10, 10, 3084, '', '', '', '', '', '', 0, 10, 'task p41_3084', 0, 0, '', 1, 1416215852, 1, 1426526017),
(3690, 41, 2, 116, 0, 30, 50, 100, 90, 30, 10, 10, 3690, '', '', '', '', '', '', 0, 10, 'task p41_3690', 0, 0, '15.0.0', 1, 1421675163, 1, 1443773591),
(3689, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 3689, '', '', '', '', '', '', 0, 10, 'task p41_3689', 0, 0, '15.0.0_Juillet', 212, 1421675107, 1, 1430395980),
(3898, 41, 72, 73, 0, 30, 80, 70, 90, 10, 10, 10, 3898, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3898', 0, 0, '14.2.0', 1, 1423811429, 1, 1478619201),
(13676, 41, 2, 199, 0, 30, 50, 70, 80, 10, 10, 10, 13679, '', '', '', '', '', '', 0, 10, 'task p41_13676', 0, 0, '', 338, 1470757607, 1, 1471599756),
(3335, 41, 72, 72, 0, 30, 50, 100, 90, 20, 10, 10, 3335, '', '', '', '', '', '', 0, 10, 'task p41_3335', 0, 0, '15.0.0', 1, 1417103982, 1, 1427200044),
(3453, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 3453, '', '', '', '', '', '', 0, 10, 'task p41_3453', 0, 0, '15.0.0', 1, 1417734000, 1, 1427200361),
(3454, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 3454, '', '', '', '', '', '', 0, 10, 'task p41_3454', 0, 0, '15.0.0', 1, 1417734000, 1, 1429282017),
(3459, 41, 0, 114, 0, 10, 50, 100, 90, 20, 10, 10, 3459, '', '', '', '', '', '', 0, 10, 'task p41_3459', 0, 0, '', 1, 1417993200, 1, 1426777434),
(3460, 41, 0, 114, 0, 10, 50, 100, 90, 10, 10, 10, 3460, '', '', '', '', '', '', 0, 10, 'task p41_3460', 0, 0, '', 1, 1417993200, 1, 1426759212),
(4058, 41, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 4058, '', '', '', '', '', '', 0, 10, 'task p41_4058', 0, 0, '14.2.0', 334, 1424968568, 1, 1445415687),
(3465, 41, 0, 117, 0, 10, 50, 100, 90, 20, 10, 10, 3465, '', '', '', '', '', '', 0, 10, 'task p41_3465', 0, 0, '15.0.0', 1, 1417993200, 1, 1426603146),
(4057, 41, 72, 136, 0, 30, 50, 70, 90, 20, 10, 10, 4057, '', '', '', '', '14.2.0', '', 0, 10, 'task p41_4057', 0, 0, '14.1.60', 187, 1424964877, 1, 1425564154),
(3467, 41, 72, 93, 0, 30, 50, 100, 90, 20, 10, 10, 3467, '', '', '', '', '', '', 0, 10, 'task p41_3467', 0, 0, '15.0.0', 1, 1418052081, 1, 1426526226),
(3474, 41, 2, 2, 0, 30, 50, 100, 90, 20, 10, 10, 3474, '', '', '', '', '', '', 0, 10, 'task p41_3474', 0, 0, '14.2.0', 206, 1418226803, 1, 1422952552),
(3479, 41, 0, 2, 0, 10, 50, 100, 90, 10, 10, 10, 3479, '', '', '', '', '', '', 0, 10, 'task p41_3479', 0, 0, '14.2.0', 1, 1418252400, 1, 1447949638),
(3480, 41, 0, 2, 0, 10, 50, 100, 90, 10, 10, 10, 3480, '', '', '', '', '', '', 0, 10, 'task p41_3480', 0, 0, '14.2.0', 1, 1418252400, 1, 1426759168),
(3541, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3541, '', '', '', '', '', '', 0, 10, 'task p41_3541', 0, 0, '15.0.0_Juillet', 1, 1418887218, 1, 1447862811),
(3542, 41, 72, 93, 0, 30, 50, 70, 90, 20, 10, 10, 3542, '', '', '', '', '', '', 0, 10, 'task p41_3542', 0, 0, '15.0.0_Juillet', 1, 1418887341, 1, 1427363728),
(3543, 41, 72, 136, 0, 30, 50, 70, 90, 20, 10, 10, 3543, '', '', '', '', '14.2.10', '', 0, 10, 'task p41_3543', 0, 0, '', 1, 1418887460, 1, 1424357527),
(3544, 41, 72, 136, 0, 30, 50, 70, 90, 20, 10, 10, 3544, '', '', '', '', '14.2.10', '', 0, 10, 'task p41_3544', 0, 0, '', 1, 1418887573, 1, 1424357281),
(3545, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 3545, '', '', '', '', '', '', 0, 10, 'task p41_3545', 0, 0, '', 1, 1418887840, 1, 1424093717),
(3546, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3546, '', '', '', '', '', '', 0, 10, 'task p41_3546', 0, 0, '', 334, 1418889370, 1, 1462169620),
(3547, 41, 2, 0, 0, 30, 50, 100, 90, 10, 10, 10, 3547, '', '', '', '', '', '', 0, 10, 'task p41_3547', 0, 0, 'Experimentation', 1, 1418911827, 1, 1426662515),
(3548, 41, 2, 2, 0, 30, 50, 70, 90, 20, 10, 10, 3548, '', '', '', '', '', '', 0, 10, 'task p41_3548', 0, 0, '', 206, 1418912350, 1, 1426684089),
(3562, 41, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 3562, '', '', '', '', '', '', 0, 10, 'task p41_3562', 0, 0, '', 206, 1419336691, 1, 1464350290),
(3563, 41, 2, 2, 0, 30, 50, 100, 90, 20, 10, 10, 3563, '', '', '', '', '', '', 0, 10, 'task p41_3563', 0, 0, '14.2.0', 206, 1419336924, 1, 1452003687),
(3731, 41, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 3731, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3731', 0, 0, '14.2.0', 1, 1422282241, 1, 1423819944),
(3612, 41, 2, 0, 0, 30, 50, 70, 90, 10, 10, 10, 3612, '', '', '', '', '', '', 0, 10, 'task p41_3612', 0, 0, '', 206, 1420561675, 1, 1423242473),
(3613, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 3613, '', '', '', '', '', '', 0, 10, 'task p41_3613', 0, 0, '', 206, 1420561941, 1, 1421154419),
(3615, 41, 72, 93, 0, 30, 50, 70, 90, 20, 10, 10, 3615, '', '', '', '', '', '', 0, 10, 'task p41_3615', 0, 0, '', 1, 1420565035, 1, 1430990696),
(3616, 41, 2, 109, 0, 30, 50, 70, 90, 10, 10, 10, 3616, '', '', '', '', '', '', 0, 10, 'task p41_3616', 0, 0, '', 187, 1420708425, 1, 1426673688),
(3624, 41, 0, 146, 0, 10, 50, 100, 90, 10, 10, 10, 3624, '', '', '', '', '', '', 0, 10, 'task p41_3624', 0, 0, '15.0.0_Juillet', 1, 1420758000, 1, 1443773181),
(4318, 41, 0, 73, 0, 10, 50, 100, 90, 20, 10, 10, 4318, '', '', '', '', '', '', 0, 10, 'task p41_4318', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1429774044),
(3906, 41, 72, 139, 0, 30, 50, 70, 90, 40, 10, 10, 3906, '', '', '', '', '', '', 0, 10, 'task p41_3906', 0, 0, '', 1, 1423814828, 1, 1424878736),
(3648, 41, 2, 2, 0, 30, 50, 70, 90, 20, 10, 10, 3648, '', '', '', '', '', '', 0, 10, 'task p41_3648', 0, 0, '', 206, 1421153884, 1, 1423780796),
(3698, 41, 2, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3698, '', '', '', '', '', '', 0, 10, 'task p41_3698', 0, 0, '14.2.0', 1, 1421767272, 1, 1424360255),
(3708, 41, 0, 93, 0, 10, 50, 100, 90, 20, 10, 10, 3708, '', '', '', '', '', '', 0, 10, 'task p41_3708', 0, 0, '14.2.0', 1, 1421967600, 1, 1426525417),
(3709, 41, 0, 136, 0, 10, 50, 100, 90, 20, 10, 10, 3709, '', '', '', '', '', '', 0, 10, 'task p41_3709', 0, 0, '14.2.0', 1, 1421967600, 1, 1424357115),
(3710, 41, 0, 2, 0, 10, 50, 100, 90, 10, 10, 10, 3710, '', '', '', '', '', '', 0, 10, 'task p41_3710', 0, 0, '14.2.0', 1, 1421967600, 1, 1426681664),
(3732, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3732, '', '', '', '', '', '', 0, 10, 'task p41_3732', 0, 0, '14.2.0', 310, 1422360893, 1, 1463496260),
(3733, 41, 72, 0, 0, 30, 50, 70, 80, 20, 10, 10, 3733, '', '', '', '', '14.2.0', '', 0, 10, 'task p41_3733', 0, 0, '15.1.0_AFFI', 310, 1422361082, 1, 1479464637),
(3734, 41, 72, 2, 0, 30, 50, 100, 90, 20, 10, 10, 3734, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3734', 0, 0, '14.2.0', 1, 1422361575, 1, 1423814790),
(3735, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3735, '', '', '', '', '', '', 0, 10, 'task p41_3735', 0, 0, '14.2.0', 1, 1422362535, 1, 1427463825),
(3736, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 3736, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3736', 0, 0, '14.2.0', 334, 1422362719, 1, 1445415687),
(3737, 41, 72, 139, 0, 30, 50, 70, 90, 20, 10, 10, 3737, '', '', '', '', '', '', 0, 10, 'task p41_3737', 0, 0, '14.1.45', 187, 1422362935, 1, 1424962968),
(3738, 41, 72, 139, 0, 30, 50, 70, 90, 10, 10, 10, 3738, '', '', '', '', '', '', 0, 10, 'task p41_3738', 0, 0, '14.1.75', 187, 1422363106, 1, 1423815588),
(3742, 41, 2, 0, 0, 30, 50, 70, 90, 10, 10, 10, 3742, '', '', '', '', '', '', 0, 10, 'task p41_3742', 0, 0, '', 206, 1422522777, 1, 1422522823),
(3819, 41, 72, 136, 0, 30, 50, 70, 90, 20, 10, 10, 3819, '', '', '', '', '14.2.0', '', 0, 10, 'task p41_3819', 0, 0, '', 1, 1422891059, 1, 1426606520),
(3823, 41, 2, 74, 0, 30, 50, 100, 90, 20, 10, 10, 3823, '', '', '', '', '', '', 0, 10, 'task p41_3823', 0, 0, '', 250, 1422892935, 1, 1426609349),
(3824, 41, 72, 72, 0, 30, 50, 70, 90, 20, 10, 10, 3824, '', '', '', '', '', '', 0, 10, 'task p41_3824', 0, 0, '14.1.75', 1, 1422893873, 1, 1430120374),
(3825, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 3825, '', '', '', '', '', '', 0, 10, 'task p41_3825', 0, 0, '15.1.0_3en1', 310, 1422894126, 1, 1479464671),
(3826, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3826, '', '', '', '', '', '', 0, 10, 'task p41_3826', 0, 0, '', 310, 1422894318, 1, 1453972261),
(3827, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3827, '', '', '', '', '', '', 0, 10, 'task p41_3827', 0, 0, '', 310, 1422894455, 1, 1453972298),
(3828, 41, 72, 2, 0, 30, 50, 70, 90, 10, 10, 10, 3828, '', '', '', '', '', '', 0, 10, 'task p41_3828', 0, 0, '', 1, 1422894624, 1, 1424075625),
(3830, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3830, '', '', '', '', '', '', 0, 10, 'task p41_3830', 0, 0, '', 1, 1422895084, 1, 1426609355),
(3831, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3831, '', '', '', '', '', '', 0, 10, 'task p41_3831', 0, 0, '', 1, 1422895243, 1, 1426609264),
(3832, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3832, '', '', '', '', '', '', 0, 10, 'task p41_3832', 0, 0, '', 1, 1422895333, 1, 1426609218),
(3880, 41, 72, 136, 0, 30, 50, 70, 90, 20, 10, 10, 3880, '', '', '', '', '', '', 0, 10, 'task p41_3880', 0, 0, '', 1, 1423664798, 1, 1478619201),
(3887, 41, 2, 0, 0, 30, 50, 70, 90, 10, 10, 10, 3887, '', '', '', '', '', '', 0, 10, 'task p41_3887', 0, 0, '', 1, 1423753320, 1, 1423835844),
(3888, 41, 73, 146, 0, 30, 50, 70, 90, 20, 10, 10, 3888, '', '', '', '', '', '', 0, 10, 'task p41_3888', 0, 0, '14.1.60', 1, 1423755636, 1, 1478619278),
(3889, 41, 73, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3889, '', '', '', '', '', '', 0, 10, 'task p41_3889', 0, 0, '14.1.60', 1, 1423755843, 1, 1478619278),
(3890, 41, 73, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3890, '', '', '', '', '', '', 0, 10, 'task p41_3890', 0, 0, '14.1.60', 1, 1423756177, 1, 1478619278),
(3891, 41, 114, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3891, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3891', 0, 0, '14.2.0', 1, 1423757614, 1, 1478619180),
(3892, 41, 114, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3892, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3892', 0, 0, '14.2.0', 310, 1423757788, 1, 1478619180),
(3893, 41, 114, 157, 0, 30, 60, 70, 80, 10, 10, 10, 3893, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3893', 0, 0, '', 310, 1423758071, 1, 1478619253),
(3894, 41, 114, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3894, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3894', 0, 0, '14.2.0', 310, 1423758139, 1, 1478619167),
(3895, 41, 2, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3895, '', '', '', '', '', '', 0, 10, 'task p41_3895', 0, 0, '', 310, 1423758368, 1, 1453972298),
(3896, 41, 114, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3896, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3896', 0, 0, '14.2.0', 310, 1423758675, 1, 1478619167),
(4056, 41, 72, 93, 0, 30, 50, 70, 90, 20, 10, 10, 4056, '', '', '', '', '', '', 0, 10, 'task p41_4056', 0, 0, '', 1, 1424963291, 1, 1428682443),
(3897, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 3897, '', '', '', '', '', '', 0, 10, 'task p41_3897', 0, 0, '', 206, 1423778792, 1, 1439540094),
(3899, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3899, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3899', 0, 0, '14.2.0', 310, 1423811539, 1, 1478619201),
(3900, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3900, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3900', 0, 0, '14.2.0', 310, 1423811675, 1, 1453972215),
(3901, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3901, '', '', '', '14.1.60', '', '', 0, 10, 'task p41_3901', 0, 0, '14.1.60', 1, 1423813089, 1, 1426609117),
(3902, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3902, '', '', '', '', '', '', 0, 10, 'task p41_3902', 0, 0, '', 1, 1423813290, 1, 1427728316),
(3903, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3903, '', '', '', '', '', '', 0, 10, 'task p41_3903', 0, 0, '14.1.60', 1, 1423813436, 1, 1426608978),
(3904, 41, 72, 147, 0, 30, 50, 70, 90, 10, 10, 10, 3904, '', '', '', '', '', '', 0, 10, 'task p41_3904', 0, 0, '15.0.0_Sept', 1, 1423813873, 1, 1433511754),
(3905, 41, 72, 93, 0, 30, 50, 70, 90, 70, 10, 10, 3905, '', '', '', '', '', '', 0, 10, 'task p41_3905', 0, 0, '', 1, 1423814639, 1, 1424075625),
(3907, 41, 134, 134, 0, 30, 60, 10, 90, 10, 10, 10, 3907, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3907', 0, 0, '14.2.0', 1, 1423817055, 1, 1478619278),
(3908, 41, 134, 134, 0, 30, 50, 70, 90, 20, 10, 10, 3908, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3908', 0, 0, '14.2.0', 1, 1423817287, 1, 1478619278),
(3909, 41, 134, 134, 0, 30, 60, 10, 90, 10, 10, 10, 3909, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_3909', 0, 0, '14.2.0', 1, 1423818300, 1, 1478619278),
(3910, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 3910, '', '', '', '', '', '', 0, 10, 'task p41_3910', 0, 0, '', 1, 1423819194, 1, 1427729716),
(3911, 41, 2, 114, 0, 30, 50, 100, 90, 20, 10, 10, 3911, '', '', '', '', '', '', 0, 10, 'task p41_3911', 0, 0, '14.2.0', 310, 1423833196, 1, 1453990344),
(3912, 41, 2, 157, 0, 30, 50, 100, 90, 20, 10, 10, 3912, '', '', '', '', '', '', 0, 10, 'task p41_3912', 0, 0, '16.0.0', 310, 1423834859, 1, 1453972154),
(3914, 41, 2, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3914, '', '', '', '', '', '', 0, 10, 'task p41_3914', 0, 0, '14.2.0', 310, 1423835019, 1, 1453972298),
(3915, 41, 2, 114, 0, 30, 50, 70, 90, 20, 10, 10, 3915, '', '', '', '', '', '', 0, 10, 'task p41_3915', 0, 0, '14.2.0', 334, 1423835126, 1, 1445415687),
(3916, 41, 2, 0, 0, 30, 50, 70, 90, 20, 10, 10, 3916, '', '', '', '', '', '', 0, 10, 'task p41_3916', 0, 0, '14.2.0', 310, 1423835208, 1, 1463060728),
(3926, 41, 2, 0, 0, 30, 50, 100, 90, 20, 10, 10, 3926, '', '', '', '', '', '', 0, 10, 'task p41_3926', 0, 0, '', 1, 1424090136, 1, 1424090463),
(3940, 41, 2, 2, 0, 30, 50, 70, 90, 20, 10, 10, 3940, '', '', '', '', '', '', 0, 10, 'task p41_3940', 0, 0, '14.2.0', 334, 1424108016, 1, 1445415687),
(3941, 41, 2, 164, 0, 30, 50, 70, 90, 10, 10, 10, 3941, '', '', '', '', '', '', 0, 10, 'task p41_3941', 0, 0, '14.2.0', 206, 1424189715, 1, 1438957607),
(3942, 41, 2, 74, 0, 30, 50, 100, 90, 20, 10, 10, 3942, '', '', '', '', '', '', 0, 10, 'task p41_3942', 0, 0, '', 250, 1424189757, 1, 1446130445),
(3943, 41, 2, 128, 0, 30, 50, 100, 90, 10, 10, 10, 3943, '', '', '', '', '', '', 0, 10, 'task p41_3943', 0, 0, '', 206, 1424191006, 1, 1434548489),
(3965, 73, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 3965, '', '', '', '', '', '', 0, 10, 'Astreinte', 0, 0, '', 262, 1424333482, 1, 1424333482),
(3967, 41, 128, 128, 0, 30, 50, 70, 90, 10, 10, 10, 3967, '', '', '', '', '', '', 0, 10, 'task p41_3967', 0, 0, '15.0.0', 206, 1424351746, 1, 1432048303),
(3968, 41, 73, 73, 0, 30, 50, 70, 90, 20, 10, 10, 3968, '', '', '', '14.1.60', '', '', 0, 10, 'task p41_3968', 0, 0, '14.1.60', 187, 1424357840, 1, 1478619181),
(3969, 41, 73, 136, 0, 30, 50, 70, 90, 20, 10, 10, 3969, '', '', '', '', '', '', 0, 10, 'task p41_3969', 0, 0, '14.1.60', 187, 1424357871, 1, 1478619278),
(3970, 41, 73, 136, 0, 30, 50, 70, 90, 20, 10, 10, 3970, '', '', '', '', '', '', 0, 10, 'task p41_3970', 0, 0, '14.1.60', 187, 1424357906, 1, 1478619278),
(4208, 41, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 4208, '', '', '', '', '', '', 0, 10, 'task p41_4208', 0, 0, '14.2.0', 1, 1425995668, 1, 1425995707),
(4209, 41, 73, 2, 0, 40, 50, 10, 90, 10, 10, 10, 4209, '', '', '', '', '', '', 0, 10, 'task p41_4209', 0, 0, '15.1.0_AFFI', 1, 1426004376, 1, 1478619278),
(4210, 41, 73, 0, 0, 40, 50, 100, 20, 10, 10, 10, 4210, '', '', '', '', '', '', 0, 10, 'task p41_4210', 0, 0, '', 1, 1426004508, 1, 1447403296),
(4054, 41, 72, 148, 0, 30, 50, 70, 90, 20, 10, 10, 4054, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4054', 0, 0, '14.2.0', 310, 1424859962, 1, 1453972261),
(4055, 41, 72, 114, 0, 30, 50, 70, 90, 80, 10, 10, 4055, '', '', '', '', '', '', 0, 10, 'task p41_4055', 0, 0, '16.0.0', 310, 1424942907, 1, 1453972154),
(4059, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4059, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4059', 0, 0, '14.2.0', 1, 1425032996, 1, 1478619214),
(4060, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4060, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4060', 0, 0, '14.2.0', 1, 1425034424, 1, 1426777596),
(4141, 41, 72, 148, 0, 30, 50, 70, 90, 20, 10, 10, 4141, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4141', 0, 0, '14.2.0', 310, 1425462975, 1, 1453972261),
(4142, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4142, '', '', '', '', '', '', 0, 10, 'task p41_4142', 0, 0, '', 266, 1425463427, 1, 1478619214),
(4144, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 4144, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4144', 0, 0, '', 334, 1425470833, 1, 1445415687),
(4145, 41, 72, 148, 0, 30, 50, 70, 90, 20, 10, 10, 4145, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4145', 0, 0, '14.2.0', 310, 1425477018, 1, 1453972261),
(4146, 41, 72, 148, 0, 30, 50, 70, 90, 20, 10, 10, 4146, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4146', 0, 0, '14.2.0', 310, 1425477277, 1, 1453972261),
(4147, 41, 72, 148, 0, 30, 50, 70, 90, 20, 10, 10, 4147, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4147', 0, 0, '14.2.0', 310, 1425477446, 1, 1453972261),
(4148, 41, 72, 0, 0, 30, 50, 70, 90, 10, 10, 10, 4148, '', '', '', '', '', '', 0, 10, 'task p41_4148', 0, 0, '', 1, 1425488493, 1, 1425488684),
(4151, 41, 72, 136, 0, 30, 50, 70, 90, 10, 10, 10, 4151, '', '', '', '14.1.60', '', '', 0, 10, 'task p41_4151', 0, 0, '14.1.60', 1, 1425632282, 1, 1426681730),
(4152, 41, 72, 157, 0, 30, 50, 70, 80, 20, 10, 10, 4152, '', '', '', '', '', '', 0, 10, 'task p41_4152', 0, 0, '17.0.DSI_EM', 1, 1425632383, 1, 1478619201),
(4159, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 4159, '', '', '', '', '', '', 0, 10, 'task p41_4159', 0, 0, '', 1, 1425658071, 1, 1479464740),
(4244, 41, 134, 134, 0, 40, 60, 10, 90, 10, 10, 10, 4244, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4244', 0, 0, '14.2.0', 1, 1426238603, 1, 1426662450),
(4245, 41, 134, 134, 0, 40, 60, 10, 90, 10, 10, 10, 4245, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4245', 0, 0, '14.2.0', 1, 1426238846, 1, 1426681274),
(4246, 41, 134, 134, 0, 40, 60, 10, 90, 10, 10, 10, 4246, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4246', 0, 0, '14.2.0', 1, 1426239100, 1, 1478619278),
(4255, 41, 93, 93, 0, 40, 60, 70, 90, 20, 10, 10, 4255, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4255', 0, 0, '14.2.0', 1, 1426498323, 1, 1478619278),
(4262, 41, 93, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4262, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4262', 0, 0, '14.2.0', 310, 1426502543, 1, 1478619253),
(4259, 41, 93, 117, 0, 30, 50, 70, 90, 20, 10, 10, 4259, '', '', '', '', '', '', 0, 10, 'task p41_4259', 0, 0, '', 1, 1426501424, 1, 1447928074),
(4260, 41, 93, 117, 0, 30, 50, 70, 90, 10, 10, 10, 4260, '', '', '', '', '', '', 0, 10, 'task p41_4260', 0, 0, '', 1, 1426501505, 1, 1447928066),
(4263, 41, 0, 147, 0, 10, 50, 100, 90, 10, 10, 10, 4263, '', '', '', '', '', '', 0, 10, 'task p41_4263', 0, 0, '15.0.1', 1, 1426460400, 1, 1478619201),
(4264, 41, 0, 147, 0, 10, 50, 100, 90, 20, 10, 10, 4264, '', '', '', '', '', '', 0, 10, 'task p41_4264', 0, 0, '15.0.1', 1, 1426460400, 1, 1478619214),
(4265, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 4265, '', '', '', '', '', '', 0, 10, 'task p41_4265', 0, 0, '15.0.0_Sept', 1, 1426460400, 1, 1478619201),
(4266, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 4266, '', '', '', '', '', '', 0, 10, 'task p41_4266', 0, 0, '16.0.0', 338, 1426460400, 1, 1478619201),
(4267, 41, 0, 147, 0, 10, 50, 100, 90, 20, 10, 10, 4267, '', '', '', '', '', '', 0, 10, 'task p41_4267', 0, 0, '15.0.1', 1, 1426460400, 1, 1478619201),
(4268, 41, 0, 147, 0, 10, 50, 100, 90, 10, 10, 10, 4268, '', '', '', '', '', '', 0, 10, 'task p41_4268', 0, 0, '15.0.1', 1, 1426460400, 1, 1478619214),
(4269, 41, 0, 136, 0, 10, 50, 100, 90, 20, 10, 10, 4269, '', '', '', '', '', '', 0, 10, 'task p41_4269', 0, 0, '15.0.0', 1, 1426460400, 1, 1478619201),
(4270, 41, 0, 147, 0, 10, 50, 100, 90, 20, 10, 10, 4270, '', '', '', '', '', '', 0, 10, 'task p41_4270', 0, 0, '15.0.0', 1, 1426460400, 1, 1478619214),
(4271, 41, 0, 136, 0, 10, 50, 100, 90, 10, 10, 10, 4271, '', '', '', '', '', '', 0, 10, 'task p41_4271', 0, 0, '15.0.1', 1, 1426460400, 1, 1478619201),
(4272, 41, 0, 147, 0, 10, 50, 100, 90, 10, 10, 10, 4272, '', '', '', '', '', '', 0, 10, 'task p41_4272', 0, 0, '15.0.1', 1, 1426460400, 1, 1478619214),
(4273, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4273, '', '', '', '', '', '', 0, 10, 'task p41_4273', 0, 0, '', 1, 1426460400, 1, 1478619201),
(4276, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4276, '', '', '', '', '', '', 0, 10, 'task p41_4276', 0, 0, '', 1, 1426460400, 1, 1478619214),
(4275, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4275, '', '', '', '', '', '', 0, 10, 'task p41_4275', 0, 0, '', 1, 1426460400, 1, 1478619201),
(8794, 41, 72, 134, 0, 30, 50, 70, 80, 10, 10, 10, 8794, '', '', '', '', '', '', 0, 10, 'task p41_8794', 0, 0, '16.0.0', 338, 1454580344, 1, 1473337016),
(4278, 41, 0, 217, 0, 10, 50, 100, 50, 10, 10, 10, 4278, '', '', '', '', '', '', 0, 10, 'task p41_4278', 0, 0, '17.0.DSI_EM', 334, 1426460400, 1, 1505457739),
(4279, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4279, '', '', '', '', '', '', 0, 10, 'task p41_4279', 0, 0, '', 1, 1426460400, 1, 1478619214),
(4280, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4280, '', '', '', '', '', '', 0, 10, 'task p41_4280', 0, 0, '', 1, 1426460400, 1, 1479464841),
(4281, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4281, '', '', '', '', '', '', 0, 10, 'task p41_4281', 0, 0, '16.0.0', 1, 1426460400, 1, 1479464884),
(4282, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4282, '', '', '', '', '', '', 0, 10, 'task p41_4282', 0, 0, '16.0.0', 338, 1426460400, 1, 1479464903),
(11115, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 11118, '', '', '', '', '', '', 0, 10, 'task p41_11115', 0, 0, '', 266, 1464705293, 1, 1481554373),
(11116, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 11119, '', '', '', '', '', '', 0, 10, 'task p41_11116', 0, 0, '', 266, 1464705392, 1, 1480326066),
(4284, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4284, '', '', '', '', '', '', 0, 10, 'task p41_4284', 0, 0, '15.0.0_Nov', 336, 1426460400, 1, 1474279279),
(4285, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4285, '', '', '', '', '', '', 0, 10, 'task p41_4285', 0, 0, '', 1, 1426460400, 1, 1478619214),
(4286, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4286, '', '', '', '', '', '', 0, 10, 'task p41_4286', 0, 0, '', 1, 1426460400, 1, 1479464938),
(4288, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 4288, '', '', '', '', '', '', 0, 10, 'task p41_4288', 0, 0, '16.0_Prov', 336, 1426460400, 1, 1472806860),
(4289, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4289, '', '', '', '', '', '', 0, 10, 'task p41_4289', 0, 0, '', 310, 1426460400, 1, 1478619214),
(4290, 41, 0, 146, 0, 10, 50, 100, 90, 10, 10, 10, 4290, '', '', '', '', '', '', 0, 10, 'task p41_4290', 0, 0, '', 1, 1426460400, 1, 1478619214),
(4590, 41, 2, 147, 0, 30, 50, 100, 90, 20, 10, 10, 4590, '', '', '', '', '', '', 0, 10, 'task p41_4590', 0, 0, '15.1.0_AFFI', 1, 1427896384, 1, 1453122325),
(4292, 41, 0, 72, 0, 10, 50, 100, 90, 10, 10, 10, 4292, '', '', '', '', '', '', 0, 10, 'task p41_4292', 0, 0, '15.0.0_Juillet', 334, 1426460400, 1, 1478619214),
(4293, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 4293, '', '', '', '', '', '', 0, 10, 'task p41_4293', 0, 0, '15.1.0_AFFI', 310, 1426460400, 1, 1478619214),
(4294, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 4294, '', '', '', '', '', '', 0, 10, 'task p41_4294', 0, 0, '15.1.0_AFFI', 310, 1426460400, 1, 1478619214),
(4295, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 4295, '', '', '', '', '', '', 0, 10, 'task p41_4295', 0, 0, '', 310, 1426460400, 1, 1478619214),
(4298, 41, 0, 0, 0, 10, 50, 100, 90, 90, 10, 10, 4298, '', '', '', '', '', '', 0, 10, 'task p41_4298', 0, 0, '', 310, 1426460400, 1, 1478619214),
(4299, 41, 0, 0, 0, 10, 50, 100, 50, 10, 10, 10, 4299, '', '', '', '', '', '', 0, 10, 'task p41_4299', 0, 0, '15.1.0_AFFI', 310, 1426460400, 1, 1479464484),
(10792, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 10795, '', '', '', '14.2.2', '', '', 0, 10, 'task p41_10792', 0, 0, '', 338, 1463575824, 1, 1468322895),
(4302, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 4302, '', '', '', '', '', '', 0, 10, 'task p41_4302', 0, 0, '15.1.0_3en1', 1, 1426460400, 1, 1478619214),
(4845, 41, 2, 0, 0, 30, 50, 70, 80, 10, 10, 10, 4845, '', '', '', '', '', '', 0, 10, 'task p41_4845', 0, 0, '16.0.0', 1, 1429607629, 1, 1479465031),
(8804, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 8804, '', '', '', '', '', '', 0, 10, 'task p41_8804', 0, 0, '16.0.0', 338, 1454659124, 1, 1465198286),
(4306, 41, 2, 117, 0, 30, 50, 70, 90, 10, 10, 10, 4306, '', '', '', '', '', '', 0, 10, 'task p41_4306', 0, 0, '15.0.0', 1, 1426603336, 1, 1426870634),
(4307, 41, 2, 117, 0, 30, 50, 70, 90, 20, 10, 10, 4307, '', '', '', '', '', '', 0, 10, 'task p41_4307', 0, 0, '15.0.0', 1, 1426603388, 1, 1428996793),
(4308, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 4308, '', '', '', '', '', '', 0, 10, 'task p41_4308', 0, 0, '15.0.0_Juillet', 212, 1426604013, 1, 1430396006),
(4309, 41, 2, 116, 0, 30, 50, 70, 90, 20, 10, 10, 4309, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_4309', 0, 0, '15.0.0_Juillet', 212, 1426604174, 1, 1433141499),
(4326, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4326, '', '', '', '', '', '', 0, 10, 'task p41_4326', 0, 0, '', 1, 1426633200, 1, 1479465089),
(4327, 41, 0, 134, 0, 10, 50, 100, 90, 20, 10, 10, 4327, '', '', '', '', '15.0.0_Juillet', '', 0, 10, 'task p41_4327', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1432626636),
(4328, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 4328, '', '', '', '', '', '', 0, 10, 'task p41_4328', 0, 0, '15.0.0_Juillet', 1, 1426633200, 1, 1432301248),
(4329, 41, 0, 147, 0, 10, 50, 100, 90, 20, 10, 10, 4329, '', '', '', '', '', '', 0, 10, 'task p41_4329', 0, 0, '15.0.0_Juillet', 334, 1426633200, 1, 1445415687),
(4330, 41, 0, 117, 0, 10, 50, 100, 90, 20, 10, 10, 4330, '', '', '', '', '', '', 0, 10, 'task p41_4330', 0, 0, '15.1.0_Jan', 334, 1426633200, 1, 1450027326),
(4331, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 4331, '', '', '', '', '', '', 0, 10, 'task p41_4331', 0, 0, '', 1, 1426633200, 1, 1479465125),
(4332, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4332, '', '', '', '', '', '', 0, 10, 'task p41_4332', 0, 0, '16.0.0', 1, 1426633200, 1, 1438083797),
(4333, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 4333, '', '', '', '', '', '', 0, 10, 'task p41_4333', 0, 0, '15.1.0_AFFI', 1, 1426671617, 1, 1442327682),
(4334, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 4334, '', '', '', '', '', '', 0, 10, 'task p41_4334', 0, 0, '', 310, 1426674156, 1, 1479464419),
(4335, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 4335, '', '', '', '', '', '', 0, 10, 'task p41_4335', 0, 0, '', 1, 1426674650, 1, 1479464440),
(4336, 41, 72, 136, 0, 30, 50, 70, 90, 10, 10, 10, 4336, '', '', '', '', '', '', 0, 10, 'task p41_4336', 0, 0, '14.2.0', 1, 1426674940, 1, 1426675094),
(4589, 41, 2, 147, 0, 30, 50, 100, 90, 20, 10, 10, 4589, '', '', '', '', '', '', 0, 10, 'task p41_4589', 0, 0, '15.0.0_Sept', 1, 1427896343, 1, 1443603317),
(4344, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4344, '', '', '', '', '', '', 0, 10, 'task p41_4344', 0, 0, '14.2.0', 310, 1426834954, 1, 1478619201),
(4345, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4345, '', '', '', '', '', '', 0, 10, 'task p41_4345', 0, 0, '14.2.0', 310, 1426835087, 1, 1453972215),
(4346, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 4346, '', '', '', '', '', '', 0, 10, 'task p41_4346', 0, 0, '14.2.0', 334, 1426835185, 1, 1445415687),
(4347, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 4347, '', '', '', '', '', '', 0, 10, 'task p41_4347', 0, 0, '', 334, 1426835297, 1, 1445415687),
(4348, 41, 128, 164, 0, 30, 50, 70, 90, 10, 10, 10, 4348, '', '', '', '', '', '', 0, 10, 'task p41_4348', 0, 0, '14.2.0', 206, 1426846727, 1, 1446566724),
(4364, 41, 2, 146, 0, 30, 50, 100, 90, 20, 10, 10, 4364, '', '', '', '', '', '', 0, 10, 'task p41_4364', 0, 0, '', 1, 1427202118, 1, 1443426485),
(4365, 41, 2, 0, 0, 30, 50, 100, 80, 10, 10, 10, 4365, '', '', '', '', '', '', 0, 10, 'task p41_4365', 0, 0, '', 1, 1427202852, 1, 1486138478),
(4370, 41, 114, 114, 0, 30, 50, 70, 90, 10, 10, 10, 4370, '', '', '', '', '', '', 0, 10, 'task p41_4370', 0, 0, '14.2.0', 310, 1427289377, 1, 1478619180),
(4371, 41, 114, 2, 0, 30, 50, 70, 90, 20, 10, 10, 4371, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4371', 0, 0, '14.2.0', 310, 1427289908, 1, 1478619253),
(4385, 41, 2, 73, 0, 30, 50, 100, 90, 10, 10, 10, 4385, '', '', '', '', '', '', 0, 10, 'task p41_4385', 0, 0, '', 1, 1427297374, 1, 1427728962),
(14169, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14172, '', '', '', '', '', '', 0, 10, 'task p41_14169', 0, 0, '', 310, 1473372000, 1, 1479399148),
(4456, 41, 93, 114, 0, 40, 60, 70, 90, 20, 10, 10, 4456, '', '', '', '', '', '', 0, 10, 'task p41_4456', 0, 0, '14.2.0', 310, 1427396412, 1, 1478619253),
(4455, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4455, '', '', '', '', '', '', 0, 10, 'task p41_4455', 0, 0, '14.1.65', 1, 1427391967, 1, 1456828888),
(4454, 41, 72, 73, 0, 30, 50, 70, 90, 10, 10, 10, 4454, '', '', '', '', '', '', 0, 10, 'task p41_4454', 0, 0, '14.1.65', 1, 1427391855, 1, 1429259593),
(4496, 41, 93, 73, 0, 40, 60, 70, 90, 10, 10, 10, 4496, '', '', '', '', '', '', 0, 10, 'task p41_4496', 0, 0, '14.2.0', 1, 1427477358, 1, 1478619180),
(4623, 41, 93, 93, 0, 50, 80, 10, 90, 10, 10, 10, 4623, '', '', '', '', '', '', 0, 10, 'task p41_4623', 0, 0, '', 334, 1428051449, 1, 1478619180),
(4624, 41, 93, 93, 0, 50, 80, 70, 90, 20, 10, 10, 4624, '', '', '', '14.2.1', '', '', 0, 10, 'task p41_4624', 0, 0, '14.2.1', 1, 1428051896, 1, 1478619278),
(4657, 41, 73, 73, 0, 30, 80, 10, 90, 10, 10, 10, 4657, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4657', 0, 0, '', 1, 1428483487, 1, 1478619180),
(4658, 41, 73, 73, 0, 30, 80, 10, 90, 10, 10, 10, 4658, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4658', 0, 0, '', 1, 1428483535, 1, 1478619180),
(4681, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4681, '', '', '', '', '', '', 0, 10, 'task p41_4681', 0, 0, '15.0.0', 334, 1428655251, 1, 1452243205),
(4682, 41, 72, 117, 0, 30, 50, 70, 90, 20, 10, 10, 4682, '', '', '', '', '', '', 0, 10, 'task p41_4682', 0, 0, '', 334, 1428655427, 1, 1445415687),
(4683, 41, 72, 74, 0, 30, 50, 70, 90, 20, 10, 10, 4683, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4683', 0, 0, '14.2.0', 334, 1428656159, 1, 1478619201),
(4684, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 4684, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4684', 0, 0, '14.2.0', 310, 1428658767, 1, 1478619214),
(4715, 41, 114, 114, 0, 30, 50, 70, 90, 10, 10, 10, 4715, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4715', 0, 0, '14.2.0', 310, 1429087633, 1, 1478619167),
(4936, 41, 72, 116, 0, 30, 50, 70, 90, 20, 10, 10, 4936, '', '', '', '', '', '', 0, 10, 'task p41_4936', 0, 0, '15.0.0_Sept', 1, 1430204500, 1, 1432652366),
(4937, 41, 72, 116, 0, 30, 50, 70, 90, 20, 10, 10, 4937, '', '', '', '', '', '', 0, 10, 'task p41_4937', 0, 0, '15.0.0_Sept', 1, 1430204575, 1, 1435829913),
(4718, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 4718, '', '', '', '', '', '', 0, 10, 'task p41_4718', 0, 0, '15.0.0_Sept', 266, 1429089920, 1, 1444383623),
(4719, 41, 72, 146, 0, 30, 50, 70, 90, 20, 10, 10, 4719, '', '', '', '', '', '', 0, 10, 'task p41_4719', 0, 0, '15.0.0_Sept', 266, 1429090142, 1, 1438705985),
(4745, 41, 93, 93, 0, 40, 80, 70, 90, 10, 10, 10, 4745, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4745', 0, 0, '14.2.1', 1, 1429188461, 1, 1478619180),
(4798, 41, 2, 158, 0, 30, 50, 70, 90, 10, 10, 10, 4798, '', '', '', '', '', '', 0, 10, 'task p41_4798', 0, 0, '', 284, 1429532398, 1, 1436535162),
(5216, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5216, '', '', '', '', '', '', 0, 10, 'task p41_5216', 0, 0, '', 310, 1433491071, 1, 1453972215),
(5215, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5215, '', '', '', '', '', '', 0, 10, 'task p41_5215', 0, 0, '', 310, 1433490828, 1, 1453972215),
(5214, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5214, '', '', '', '', '', '', 0, 10, 'task p41_5214', 0, 0, '', 310, 1433490696, 1, 1453972215),
(5213, 41, 2, 74, 0, 30, 50, 100, 90, 20, 10, 10, 5213, '', '', '', '', '', '', 0, 10, 'task p41_5213', 0, 0, '15.0.0_Juillet', 250, 1433490108, 1, 1436799706),
(4843, 41, 2, 73, 0, 30, 50, 70, 90, 10, 10, 10, 4843, '', '', '', '', '', '', 0, 10, 'task p41_4843', 0, 0, '15.0.0_Sept', 266, 1429606409, 1, 1447169134),
(4844, 41, 2, 158, 0, 30, 50, 70, 90, 10, 10, 10, 4844, '', '', '', '', '', '', 0, 10, 'task p41_4844', 0, 0, '15.0.0_Sept', 266, 1429606498, 1, 1438853823),
(4857, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 4857, '', '', '', '', '', '', 0, 10, 'Pilotage RSI_TMA_GAC', 0, 0, '', 294, 1429612593, 1, 1429612593),
(4864, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4864, '', '', '', '', '', '', 0, 10, 'task p41_4864', 0, 0, '', 334, 1429632374, 1, 1445415687),
(4865, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4865, '', '', '', '', '', '', 0, 10, 'task p41_4865', 0, 0, '', 334, 1429632473, 1, 1445415687),
(4866, 41, 2, 114, 0, 30, 50, 70, 90, 90, 10, 10, 4866, '', '', '', '', '', '', 0, 10, 'task p41_4866', 0, 0, '', 310, 1429632553, 1, 1453972215),
(4867, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 4867, '', '', '', '', '', '', 0, 10, 'task p41_4867', 0, 0, '', 1, 1429567200, 1, 1478619214),
(4868, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 4868, '', '', '', '', '', '', 0, 10, 'task p41_4868', 0, 0, '', 1, 1429567200, 1, 1478619201),
(4869, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 4869, '', '', '', '', '', '', 0, 10, 'task p41_4869', 0, 0, '', 1, 1429567200, 1, 1478619214),
(4870, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 4870, '', '', '', '', '', '', 0, 10, 'task p41_4870', 0, 0, '', 1, 1429567200, 1, 1478619201),
(4873, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4873, '', '', '', '', '', '', 0, 10, 'task p41_4873', 0, 0, '', 1, 1429567200, 1, 1478619214),
(4874, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 4874, '', '', '', '', '', '', 0, 10, 'task p41_4874', 0, 0, '', 1, 1429567200, 1, 1478619201),
(4875, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 4875, '', '', '', '', '', '', 0, 10, 'task p41_4875', 0, 0, '', 1, 1429567200, 1, 1478619201),
(4876, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 4876, '', '', '', '', '', '', 0, 10, 'task p41_4876', 0, 0, '', 1, 1429567200, 1, 1478619214),
(4877, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 4877, '', '', '', '', '', '', 0, 10, 'task p41_4877', 0, 0, '15.0.0_Juillet', 310, 1429567200, 1, 1478619202),
(4878, 41, 0, 0, 0, 10, 50, 100, 90, 80, 10, 10, 4878, '', '', '', '', '', '', 0, 10, 'task p41_4878', 0, 0, '15.0.0_Juillet', 310, 1429567200, 1, 1478619214),
(4881, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 4881, '', '', '', '', '', '', 0, 10, 'task p41_4881', 0, 0, '15.0.0_Sept', 1, 1429567200, 1, 1478619214),
(4882, 41, 0, 147, 0, 10, 50, 100, 90, 20, 10, 10, 4882, '', '', '', '', '', '', 0, 10, 'task p41_4882', 0, 0, '15.0.0_Sept', 1, 1429567200, 1, 1478619214),
(4883, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 4883, '', '', '', '', '', '', 0, 10, 'task p41_4883', 0, 0, '15.0.0_Juillet', 1, 1429567200, 1, 1478619201),
(4884, 41, 0, 74, 0, 10, 50, 100, 90, 10, 10, 10, 4884, '', '', '', '', '', '', 0, 10, 'task p41_4884', 0, 0, '15.0.0_Juillet', 1, 1429567200, 1, 1478619214),
(4885, 41, 72, 146, 0, 30, 50, 70, 90, 30, 10, 10, 4885, '', '', '', '', '', '', 0, 10, 'task p41_4885', 0, 0, '15.0.0_Sept', 266, 1429693427, 1, 1433426941),
(4886, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 4886, '', '', '', '', '', '', 0, 10, 'task p41_4886', 0, 0, '15.0.0_Sept', 266, 1429693480, 1, 1443018825),
(6616, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 6616, '', '', '', '', '', '', 0, 10, 'task p41_6616', 0, 0, '15.1.0_Jan', 1, 1443593287, 1, 1447750307),
(4888, 41, 72, 134, 0, 40, 50, 70, 90, 10, 10, 10, 4888, '', '', '', '', '', '', 0, 10, 'task p41_4888', 0, 0, '15.1.0_Jan', 1, 1429697052, 1, 1478619201),
(4889, 41, 72, 134, 0, 30, 50, 70, 90, 20, 10, 10, 4889, '', '', '', '', '', '', 0, 10, 'task p41_4889', 0, 0, '15.1.0_3en1', 1, 1429702138, 1, 1478619201),
(4890, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 4890, '', '', '', '', '', '', 0, 10, 'task p41_4890', 0, 0, '15.0.0_Sept', 1, 1429702369, 1, 1438930143),
(4891, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 4891, '', '', '', '', '', '', 0, 10, 'task p41_4891', 0, 0, '15.0.0_Sept', 1, 1429702477, 1, 1438929988),
(5101, 41, 2, 164, 0, 30, 50, 100, 90, 20, 10, 10, 5101, '', '', '', '', '', '', 0, 10, 'task p41_5101', 0, 0, '', 206, 1433148334, 1, 1433317510);
INSERT INTO `mantis_bug_table` (`id`, `project_id`, `reporter_id`, `handler_id`, `duplicate_id`, `priority`, `severity`, `reproducibility`, `status`, `resolution`, `projection`, `eta`, `bug_text_id`, `os`, `os_build`, `platform`, `version`, `fixed_in_version`, `build`, `profile_id`, `view_state`, `summary`, `sponsorship_total`, `sticky`, `target_version`, `category_id`, `date_submitted`, `due_date`, `last_updated`) VALUES
(4909, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 4909, '', '', '', '', '', '', 0, 10, 'task p41_4909', 0, 0, '15.0.0_Sept', 266, 1429874490, 1, 1479464517),
(4912, 41, 72, 73, 0, 30, 50, 70, 90, 20, 10, 10, 4912, '', '', '', '', '', '', 0, 10, 'task p41_4912', 0, 0, '15.1.0_AFFI', 266, 1430125113, 1, 1441605005),
(4913, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 4913, '', '', '', '', '', '', 0, 10, 'task p41_4913', 0, 0, '15.1.0_AFFI', 266, 1430125190, 1, 1438962516),
(4914, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 4914, '', '', '', '', '', '', 0, 10, 'task p41_4914', 0, 0, '15.1.0_AFFI', 266, 1430126155, 1, 1444383297),
(4915, 41, 72, 178, 0, 40, 50, 70, 90, 10, 10, 10, 4915, '', '', '', '', '', '', 0, 10, 'task p41_4915', 0, 0, '', 266, 1430134400, 1, 1448443230),
(4917, 41, 72, 205, 0, 30, 50, 70, 80, 20, 10, 10, 4917, '', '', '', '', '', '', 0, 10, 'task p41_4917', 0, 0, '', 266, 1430134708, 1, 1480086141),
(4918, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 4918, '', '', '', '', '', '', 0, 10, 'task p41_4918', 0, 0, '', 1, 1430151823, 1, 1478619181),
(4934, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4934, '', '', '', '', '', '', 0, 10, 'task p41_4934', 0, 0, '15.0.0_Sept', 1, 1430200480, 1, 1435823025),
(4935, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4935, '', '', '', '', '', '', 0, 10, 'task p41_4935', 0, 0, '15.0.0_Sept', 266, 1430200539, 1, 1435246095),
(4938, 41, 114, 157, 0, 30, 50, 70, 90, 10, 10, 10, 4938, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4938', 0, 0, '14.2.0', 310, 1430213337, 1, 1478619180),
(4939, 41, 114, 157, 0, 30, 50, 70, 90, 20, 10, 10, 4939, '', '', '', '', '', '', 0, 10, 'task p41_4939', 0, 0, '15.1.P_Avril', 310, 1430213553, 1, 1478619253),
(4940, 41, 114, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4940, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_4940', 0, 0, '14.2.0', 310, 1430213742, 1, 1478619180),
(4944, 41, 2, 0, 0, 30, 80, 70, 10, 10, 10, 10, 4944, '', '', '', '', '', '', 0, 10, 'task p41_4944', 0, 0, '14.2.0', 1, 1430814252, 1, 1430814252),
(4955, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4955, '', '', '', '', '', '', 0, 10, 'task p41_4955', 0, 0, '', 1, 1430837566, 1, 1478619201),
(4956, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 4956, '', '', '', '', '', '', 0, 10, 'task p41_4956', 0, 0, '', 334, 1430837700, 1, 1445415687),
(4957, 41, 72, 114, 0, 30, 50, 70, 90, 20, 10, 10, 4957, '', '', '', '', '', '', 0, 10, 'task p41_4957', 0, 0, '', 1, 1430840366, 1, 1440776112),
(4958, 41, 72, 2, 0, 30, 50, 70, 90, 20, 10, 10, 4958, '', '', '', '', '', '', 0, 10, 'task p41_4958', 0, 0, '', 1, 1430840490, 1, 1439555026),
(5413, 41, 2, 169, 0, 30, 50, 70, 90, 20, 10, 10, 5413, '', '', '', '', '', '', 0, 10, 'task p41_5413', 0, 0, '15.0.0_Nov', 1, 1435825504, 1, 1443605385),
(4959, 41, 2, 2, 0, 30, 80, 70, 90, 20, 10, 10, 4959, '', '', '', '14.2.2', '', '', 0, 10, 'task p41_4959', 0, 0, '', 1, 1430901745, 1, 1432114701),
(4960, 41, 2, 93, 0, 30, 50, 70, 90, 10, 10, 10, 4960, '', '', '', '', '', '', 0, 10, 'task p41_4960', 0, 0, '', 310, 1430990257, 1, 1453991196),
(4963, 41, 2, 147, 0, 30, 50, 70, 90, 20, 10, 10, 4963, '', '', '', '', '', '', 0, 10, 'task p41_4963', 0, 0, '15.0.0_Sept', 1, 1431011794, 1, 1478619201),
(4964, 41, 2, 147, 0, 30, 50, 70, 90, 10, 10, 10, 4964, '', '', '', '', '', '', 0, 10, 'task p41_4964', 0, 0, '15.0.0_Sept', 1, 1431011852, 1, 1478619201),
(4972, 41, 2, 93, 0, 30, 60, 70, 90, 20, 10, 10, 4972, '', '', '', '', '', '', 0, 10, 'task p41_4972', 0, 0, '', 334, 1431352380, 1, 1458653975),
(4973, 41, 2, 93, 0, 30, 60, 70, 90, 10, 10, 10, 4973, '', '', '', '', '', '', 0, 10, 'task p41_4973', 0, 0, '', 1, 1431354521, 1, 1432202608),
(4974, 41, 2, 134, 0, 30, 60, 70, 90, 20, 10, 10, 4974, '', '', '', '', '', '', 0, 10, 'task p41_4974', 0, 0, '', 334, 1431354613, 1, 1445415687),
(4985, 41, 113, 113, 0, 30, 50, 70, 80, 20, 10, 10, 4985, '', '', '', '', '', '', 0, 10, 'task p41_4985', 0, 0, '', 266, 1431421420, 1, 1480086403),
(4986, 41, 2, 146, 0, 30, 50, 70, 90, 10, 10, 10, 4986, '', '', '', '', '', '', 0, 10, 'task p41_4986', 0, 0, '', 1, 1431421926, 1, 1434122165),
(4987, 41, 2, 73, 0, 30, 50, 70, 90, 10, 10, 10, 4987, '', '', '', '', '', '', 0, 10, 'task p41_4987', 0, 0, '', 1, 1431422125, 1, 1435335683),
(4991, 41, 113, 147, 0, 30, 50, 70, 90, 20, 10, 10, 4991, '', '', '', '', '', '', 0, 10, 'task p41_4991', 0, 0, '', 266, 1431427074, 1, 1448529241),
(5016, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 5016, '', '', '', '', '', '', 0, 10, 'task p41_5016', 0, 0, '14.2.2', 334, 1431931854, 1, 1478619201),
(5020, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5020, '', '', '', '', '', '', 0, 10, 'task p41_5020', 0, 0, '', 206, 1432042701, 1, 1438779303),
(5021, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 5021, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5021', 0, 0, '', 1, 1432051676, 1, 1478619201),
(5022, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 5022, '', '', '', '', '', '', 0, 10, 'task p41_5022', 0, 0, '', 1, 1432052060, 1, 1478619201),
(5023, 41, 72, 74, 0, 30, 50, 70, 90, 30, 10, 10, 5023, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_5023', 0, 0, '15.0.0', 1, 1432052177, 1, 1478619201),
(5024, 41, 72, 2, 0, 30, 50, 70, 90, 20, 10, 10, 5024, '', '', '', '', '', '', 0, 10, 'task p41_5024', 0, 0, '15.0.0', 1, 1432052324, 1, 1432894384),
(5025, 41, 72, 2, 0, 30, 50, 70, 90, 20, 10, 10, 5025, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_5025', 0, 0, '15.0.0', 1, 1432052388, 1, 1432893745),
(5037, 41, 114, 0, 0, 30, 50, 70, 90, 10, 10, 10, 5037, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5037', 0, 0, '14.2.0', 310, 1432299989, 1, 1462784336),
(5083, 41, 2, 0, 0, 30, 50, 70, 10, 10, 10, 10, 5083, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5083', 0, 0, '', 1, 1432893596, 1, 1435827131),
(5097, 41, 72, 134, 0, 30, 50, 70, 90, 20, 10, 10, 5097, '', '', '', '', '', '', 0, 10, 'task p41_5097', 0, 0, '', 334, 1433140913, 1, 1478619201),
(5098, 41, 72, 114, 0, 30, 50, 70, 90, 80, 10, 10, 5098, '', '', '', '', '', '', 0, 10, 'task p41_5098', 0, 0, '', 310, 1433141000, 1, 1478619201),
(5099, 41, 72, 73, 0, 30, 50, 70, 90, 10, 10, 10, 5099, '', '', '', '14.1.60', '', '', 0, 10, 'task p41_5099', 0, 0, '14.1.60', 1, 1433141104, 1, 1478619201),
(5102, 41, 2, 109, 0, 30, 50, 70, 90, 20, 10, 10, 5102, '', '', '', '', '', '', 0, 10, 'task p41_5102', 0, 0, '', 206, 1433148664, 1, 1435825066),
(5211, 41, 2, 164, 0, 30, 50, 70, 80, 20, 10, 10, 5211, '', '', '', '', '', '', 0, 10, 'task p41_5211', 0, 0, '', 1, 1433320773, 1, 1472559406),
(5229, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 5229, '', '', '', '', '', '', 0, 10, 'task p41_5229', 0, 0, '', 1, 1433772848, 1, 1478619201),
(5232, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5232, '', '', '', '', '', '', 0, 10, 'task p41_5232', 0, 0, '', 1, 1434010533, 1, 1435842040),
(5263, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 5263, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5263', 0, 0, '', 1, 1434022722, 1, 1478619201),
(5354, 41, 164, 164, 0, 30, 50, 100, 90, 10, 10, 10, 5354, '', '', '', '', '', '', 0, 10, 'task p41_5354', 0, 0, '', 206, 1435324808, 1, 1448615441),
(5279, 41, 74, 74, 0, 30, 50, 100, 90, 20, 10, 10, 5279, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_5279', 0, 0, '15.0.0_Sept', 250, 1434439232, 1, 1446215104),
(5280, 41, 72, 93, 0, 30, 50, 70, 90, 20, 10, 10, 5280, '', '', '', '', '', '', 0, 10, 'task p41_5280', 0, 0, '', 1, 1434439808, 1, 1478619201),
(5357, 41, 2, 74, 0, 30, 50, 70, 90, 20, 10, 10, 5357, '', '', '', '', '', '', 0, 10, 'task p41_5357', 0, 0, '', 187, 1435327875, 1, 1436799760),
(5297, 41, 72, 93, 0, 30, 50, 70, 90, 20, 10, 10, 5297, '', '', '', '', '', '', 0, 10, 'task p41_5297', 0, 0, '', 1, 1434627016, 1, 1452505764),
(5341, 41, 93, 0, 0, 30, 50, 100, 20, 10, 10, 10, 5341, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5341', 0, 0, '', 310, 1434986698, 1, 1478619253),
(5342, 41, 93, 93, 0, 30, 50, 70, 90, 60, 10, 10, 5342, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5342', 0, 0, '14.2.0', 310, 1434987329, 1, 1478619180),
(5343, 41, 93, 93, 0, 30, 50, 70, 90, 20, 10, 10, 5343, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5343', 0, 0, '14.2.0', 310, 1434987449, 1, 1478619180),
(5344, 41, 2, 114, 0, 30, 50, 70, 90, 20, 10, 10, 5344, '', '', '', '', '', '', 0, 10, 'task p41_5344', 0, 0, '', 310, 1435151397, 1, 1453972154),
(5345, 41, 134, 134, 0, 30, 50, 70, 90, 10, 10, 10, 5345, '', '', '', '', '', '', 0, 10, 'task p41_5345', 0, 0, '', 1, 1435219326, 1, 1447927580),
(5348, 41, 114, 114, 0, 30, 50, 70, 90, 10, 10, 10, 5348, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5348', 0, 0, '14.2.0', 1, 1435306826, 1, 1478619180),
(5358, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 5358, '', '', '', '', '', '', 0, 10, 'task p41_5358', 0, 0, '', 1, 1435330983, 1, 1436968918),
(5360, 41, 72, 134, 0, 30, 50, 70, 90, 20, 10, 10, 5360, '', '', '', '', '', '', 0, 10, 'task p41_5360', 0, 0, '15.0.0_Nov', 334, 1435558808, 1, 1445415413),
(5361, 41, 72, 134, 0, 30, 50, 70, 85, 10, 10, 10, 5361, '', '', '', '', '', '', 0, 10, 'task p41_5361', 0, 0, '15.0.0_Nov', 334, 1435558920, 1, 1447752818),
(5362, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5362, '', '', '', '', '', '', 0, 10, 'task p41_5362', 0, 0, '', 1, 1435588945, 1, 1435671277),
(5405, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 5405, '', '', '', '', '', '', 0, 10, 'task p41_5405', 0, 0, '15.1.0_Avril', 338, 1435671917, 1, 1458826830),
(5406, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 5406, '', '', '', '', '', '', 0, 10, 'task p41_5406', 0, 0, '15.1.0_Avril', 338, 1435671989, 1, 1458826855),
(5407, 41, 134, 134, 0, 40, 80, 10, 90, 10, 10, 10, 5407, '', '', '', '14.2.2', '', '', 0, 10, 'task p41_5407', 0, 0, '14.2.2', 1, 1435822640, 1, 1478619180),
(5408, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5408, '', '', '', '', '', '', 0, 10, 'task p41_5408', 0, 0, '', 1, 1435822865, 1, 1438929762),
(5409, 41, 2, 157, 0, 30, 50, 70, 90, 10, 10, 10, 5409, '', '', '', '', '', '', 0, 10, 'task p41_5409', 0, 0, '', 1, 1435823084, 1, 1438929833),
(5410, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5410, '', '', '', '', '', '', 0, 10, 'task p41_5410', 0, 0, '', 1, 1435823143, 1, 1438929449),
(5411, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5411, '', '', '', '', '', '', 0, 10, 'task p41_5411', 0, 0, '', 1, 1435823493, 1, 1438929720),
(5412, 41, 2, 147, 0, 30, 50, 70, 90, 10, 10, 10, 5412, '', '', '', '', '', '', 0, 10, 'task p41_5412', 0, 0, '', 1, 1435824752, 1, 1448443208),
(5414, 41, 2, 2, 0, 30, 50, 70, 90, 20, 10, 10, 5414, '', '', '', '', '', '', 0, 10, 'task p41_5414', 0, 0, '15.0.0_Nov', 1, 1435825569, 1, 1442246160),
(5526, 41, 72, 134, 0, 30, 50, 70, 90, 20, 10, 10, 5526, '', '', '', '', '', '', 0, 10, 'task p41_5526', 0, 0, '15.0.0_Nov', 334, 1436362969, 1, 1445415413),
(5416, 41, 2, 169, 0, 30, 50, 70, 90, 10, 10, 10, 5416, '', '', '', '', '', '', 0, 10, 'task p41_5416', 0, 0, '', 1, 1435826042, 1, 1446717576),
(5433, 41, 2, 169, 0, 30, 50, 70, 90, 20, 10, 10, 5433, '', '', '', '', '', '', 0, 10, 'task p41_5433', 0, 0, '15.0.0_Nov', 1, 1435826883, 1, 1441097995),
(5434, 41, 2, 164, 0, 30, 50, 70, 90, 20, 10, 10, 5434, '', '', '', '', '', '', 0, 10, 'task p41_5434', 0, 0, '15.0.0_Nov', 1, 1435826997, 1, 1446218260),
(5453, 41, 74, 74, 0, 30, 50, 10, 90, 20, 10, 10, 5453, '', '', '', '', '', '', 0, 10, 'task p41_5453', 0, 0, '', 334, 1435846498, 1, 1478619180),
(5457, 41, 93, 93, 0, 30, 60, 70, 90, 20, 10, 10, 5457, '', '', '', '14.2.0', '', '', 0, 10, 'task p41_5457', 0, 0, '14.2.0', 310, 1435931531, 1, 1478619180),
(5516, 41, 116, 116, 0, 40, 60, 70, 90, 10, 10, 10, 5516, '', '', '', '', '', '', 0, 10, 'task p41_5516', 0, 0, '', 212, 1436342951, 1, 1478619278),
(5527, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 5527, '', '', '', '', '', '', 0, 10, 'task p41_5527', 0, 0, '15.0.0_Nov', 334, 1436363141, 1, 1445415413),
(5528, 41, 72, 134, 0, 30, 50, 70, 90, 20, 10, 10, 5528, '', '', '', '', '', '', 0, 10, 'task p41_5528', 0, 0, '15.0.0_Nov', 334, 1436366281, 1, 1445415413),
(5536, 41, 164, 164, 0, 30, 50, 70, 90, 10, 10, 10, 5536, '', '', '', '', '', '', 0, 10, 'task p41_5536', 0, 0, '', 206, 1436448012, 1, 1464345695),
(5564, 41, 93, 134, 0, 30, 50, 70, 90, 10, 10, 10, 5564, '', '', '', '', '', '', 0, 10, 'task p41_5564', 0, 0, '15.1.0_3en1', 1, 1436531084, 1, 1478619253),
(5565, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 5565, '', '', '', '', '', '', 0, 10, 'task p41_5565', 0, 0, '15.1.0_Avril', 338, 1436771775, 1, 1458826767),
(5569, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 5569, '', '', '', '', '', '', 0, 10, 'task p41_5569', 0, 0, '', 266, 1436967364, 1, 1444741610),
(5570, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 5570, '', '', '', '', '', '', 0, 10, 'task p41_5570', 0, 0, '', 1, 1436968719, 1, 1478619201),
(5615, 41, 72, 74, 0, 30, 50, 70, 90, 20, 10, 10, 5615, '', '', '', '', '', '', 0, 10, 'task p41_5615', 0, 0, '15.1.0_AFFI', 1, 1437407496, 1, 1448961408),
(5616, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 5616, '', '', '', '', '', '', 0, 10, 'task p41_5616', 0, 0, '15.1.0_AFFI', 1, 1437407556, 1, 1446130639),
(5617, 41, 72, 72, 0, 30, 50, 70, 90, 20, 10, 10, 5617, '', '', '', '', '', '', 0, 10, 'task p41_5617', 0, 0, '15.1.0_AFFI', 1, 1437407724, 1, 1441346055),
(5618, 41, 72, 117, 0, 30, 50, 70, 90, 20, 10, 10, 5618, '', '', '', '', '', '', 0, 10, 'task p41_5618', 0, 0, '15.1.0_AFFI', 1, 1437407863, 1, 1439815110),
(5619, 41, 72, 74, 0, 40, 50, 70, 90, 20, 10, 10, 5619, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_5619', 0, 0, '', 1, 1437408081, 1, 1441605743),
(5630, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 5630, '', '', '', '', '', '', 0, 10, 'task p41_5630', 0, 0, '', 1, 1437574487, 1, 1478619181),
(14170, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14173, '', '', '', '', '', '', 0, 10, 'task p41_14170', 0, 0, '', 310, 1473372000, 1, 1478619230),
(5710, 41, 72, 0, 0, 30, 50, 70, 10, 10, 10, 10, 5710, '', '', '', '', '', '', 0, 10, 'task p41_5710', 0, 0, '15.1.0_AFFI', 1, 1438093124, 1, 1438093124),
(5711, 41, 72, 147, 0, 30, 50, 70, 90, 20, 10, 10, 5711, '', '', '', '', '', '', 0, 10, 'task p41_5711', 0, 0, '16.0.0', 338, 1438093296, 1, 1458837854),
(5712, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 5712, '', '', '', '', '', '', 0, 10, 'task p41_5712', 0, 0, '15.1.0_AFFI', 310, 1438093681, 1, 1458899436),
(5713, 41, 72, 199, 0, 30, 50, 70, 90, 20, 10, 10, 5713, '', '', '', '', '', '', 0, 10, 'task p41_5713', 0, 0, '15.1.0_AFFI', 310, 1438094184, 1, 1463496278),
(5714, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 5714, '', '', '', '', '', '', 0, 10, 'task p41_5714', 0, 0, '15.1.0_Avril', 310, 1438094380, 1, 1463496150),
(5716, 41, 72, 169, 0, 30, 50, 70, 90, 20, 10, 10, 5716, '', '', '', '', '', '', 0, 10, 'task p41_5716', 0, 0, '15.0.0_Nov', 1, 1438096181, 1, 1441098023),
(5717, 41, 72, 169, 0, 30, 50, 70, 90, 20, 10, 10, 5717, '', '', '', '', '', '', 0, 10, 'task p41_5717', 0, 0, '15.0.0_Nov', 1, 1438096332, 1, 1441098055),
(5718, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 5718, '', '', '', '', '', '', 0, 10, 'task p41_5718', 0, 0, '15.0.0_Nov', 1, 1438096741, 1, 1442560974),
(5719, 41, 72, 169, 0, 30, 50, 70, 90, 20, 10, 10, 5719, '', '', '', '', '', '', 0, 10, 'task p41_5719', 0, 0, '15.0.0_Nov', 1, 1438096863, 1, 1441022736),
(5720, 41, 72, 169, 0, 30, 50, 70, 90, 20, 10, 10, 5720, '', '', '', '', '', '', 0, 10, 'task p41_5720', 0, 0, '15.0.0_Nov', 1, 1438096944, 1, 1442578864),
(5721, 41, 72, 2, 0, 30, 50, 70, 90, 20, 10, 10, 5721, '', '', '', '', '', '', 0, 10, 'task p41_5721', 0, 0, '15.0.0_Nov', 1, 1438097021, 1, 1443172996),
(5722, 41, 72, 2, 0, 30, 50, 70, 90, 20, 10, 10, 5722, '', '', '', '', '', '', 0, 10, 'task p41_5722', 0, 0, '15.0.0_Nov', 1, 1438097081, 1, 1443022714),
(5723, 41, 72, 2, 0, 30, 50, 70, 90, 10, 10, 10, 5723, '', '', '', '', '', '', 0, 10, 'task p41_5723', 0, 0, '15.0.0_Nov', 1, 1438097390, 1, 1441923730),
(5724, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 5724, '', '', '', '', '', '', 0, 10, 'task p41_5724', 0, 0, '15.0.0_Nov', 1, 1438097447, 1, 1448323669),
(5726, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 5726, '', '', '', '', '', '', 0, 10, 'task p41_5726', 0, 0, '16.0_Prov', 336, 1438100466, 1, 1467383282),
(5727, 41, 72, 0, 0, 30, 50, 70, 90, 10, 10, 10, 5727, '', '', '', '', '', '', 0, 10, 'task p41_5727', 0, 0, '15.0.0_Nov', 336, 1438100670, 1, 1478619201),
(5728, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 5728, '', '', '', '', '', '', 0, 10, 'task p41_5728', 0, 0, '15.0.0_Nov', 310, 1438100990, 1, 1478619230),
(5729, 41, 72, 169, 0, 30, 50, 70, 90, 20, 10, 10, 5729, '', '', '', '', '', '', 0, 10, 'task p41_5729', 0, 0, '15.0.0_Nov', 336, 1438161652, 1, 1478619201),
(5730, 41, 72, 117, 0, 30, 50, 70, 90, 20, 10, 10, 5730, '', '', '', '', '', '', 0, 10, 'task p41_5730', 0, 0, '15.0.0_Nov', 1, 1438161792, 1, 1478619201),
(6021, 41, 116, 116, 0, 30, 60, 70, 90, 10, 10, 10, 6021, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6021', 0, 0, '15.0.0', 1, 1438677882, 1, 1478619180),
(6022, 41, 116, 116, 0, 40, 60, 70, 90, 10, 10, 10, 6022, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_6022', 0, 0, '15.0.0_Sept', 1, 1438678042, 1, 1478619180),
(6036, 41, 93, 93, 0, 30, 50, 100, 90, 10, 10, 10, 6036, '', '', '', '14.2.10', '', '', 0, 10, 'task p41_6036', 0, 0, '', 1, 1438761699, 1, 1439281801),
(6058, 41, 116, 158, 0, 40, 60, 70, 90, 10, 10, 10, 6058, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6058', 0, 0, '15.0.0_Sept', 1, 1438934620, 1, 1445415329),
(6059, 41, 72, 134, 0, 30, 50, 70, 80, 20, 10, 10, 6059, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6059', 0, 0, '', 1, 1438935556, 1, 1473336732),
(6066, 41, 134, 134, 0, 30, 60, 100, 90, 20, 10, 10, 6066, '', '', '', '15.0.0_Juillet', '', '', 0, 10, 'task p41_6066', 0, 0, '15.0.0_Juillet', 1, 1439190274, 1, 1478619278),
(6067, 41, 134, 134, 0, 30, 60, 90, 90, 20, 10, 10, 6067, '', '', '', '', '', '', 0, 10, 'task p41_6067', 0, 0, '', 1, 1439190430, 1, 1478619180),
(8343, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 8343, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_8343', 0, 0, '15.1.0_Jan', 334, 1452239466, 1, 1473336854),
(6486, 41, 72, 134, 0, 50, 60, 70, 90, 10, 10, 10, 6486, '', '', '', '', '', '', 0, 10, 'task p41_6486', 0, 0, '', 1, 1442566652, 1, 1478619201),
(6129, 41, 2, 116, 0, 30, 50, 70, 90, 20, 10, 10, 6129, '', '', '', '', '', '', 0, 10, 'task p41_6129', 0, 0, '15.1.0_3en1', 1, 1439554972, 1, 1448615905),
(6131, 41, 93, 93, 0, 50, 80, 70, 90, 10, 10, 10, 6131, '', '', '', '', '', '', 0, 10, 'task p41_6131', 0, 0, '', 1, 1439563975, 1, 1478619180),
(6132, 41, 93, 93, 0, 50, 80, 70, 90, 10, 10, 10, 6132, '', '', '', '', '', '', 0, 10, 'task p41_6132', 0, 0, '', 1, 1439564054, 1, 1478619180),
(6133, 41, 2, 134, 0, 30, 50, 70, 90, 20, 10, 10, 6133, '', '', '', '', '', '', 0, 10, 'task p41_6133', 0, 0, '', 1, 1439565261, 1, 1442234323),
(6134, 41, 2, 147, 0, 30, 50, 70, 90, 40, 10, 10, 6134, '', '', '', '', '', '', 0, 10, 'task p41_6134', 0, 0, '', 1, 1439565356, 1, 1442237155),
(6135, 41, 2, 74, 0, 30, 50, 70, 90, 10, 10, 10, 6135, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6135', 0, 0, '15.0.1', 1, 1439572333, 1, 1443770437),
(6136, 41, 2, 134, 0, 30, 80, 70, 90, 10, 10, 10, 6136, '', '', '', '', '', '', 0, 10, 'task p41_6136', 0, 0, '', 1, 1439572855, 1, 1439886373),
(6137, 41, 2, 147, 0, 30, 50, 70, 20, 10, 10, 10, 6137, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6137', 0, 0, '', 310, 1439573245, 1, 1467906625),
(6138, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 6138, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6138', 0, 0, '15.0.1', 1, 1439573315, 1, 1440165740),
(6139, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 6139, '', '', '', '', '', '', 0, 10, 'task p41_6139', 0, 0, '15.0.0_Sept', 1, 1439573578, 1, 1440151106),
(6140, 41, 2, 164, 0, 30, 50, 70, 90, 20, 10, 10, 6140, '', '', '', '', '', '', 0, 10, 'task p41_6140', 0, 0, '', 206, 1439573684, 1, 1441029490),
(6141, 41, 2, 147, 0, 30, 50, 70, 90, 20, 10, 10, 6141, '', '', '', '', '', '', 0, 10, 'task p41_6141', 0, 0, '', 1, 1439573801, 1, 1448443163),
(6153, 41, 2, 147, 0, 30, 50, 70, 90, 10, 10, 10, 6153, '', '', '', '', '', '', 0, 10, 'task p41_6153', 0, 0, '16.0.0', 338, 1439810565, 1, 1458742717),
(6154, 41, 2, 93, 0, 40, 50, 70, 90, 20, 10, 10, 6154, '', '', '', '', '', '', 0, 10, 'task p41_6154', 0, 0, '15.1.0_3en1', 1, 1439811415, 1, 1452504426),
(6179, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 6179, '', '', '', '', '', '', 0, 10, 'task p41_6179', 0, 0, '', 1, 1440174986, 1, 1440763664),
(6180, 41, 2, 2, 0, 30, 50, 70, 90, 80, 10, 10, 6180, '', '', '', '', '', '', 0, 10, 'task p41_6180', 0, 0, '', 335, 1440175156, 1, 1458827365),
(6185, 41, 2, 157, 0, 30, 50, 70, 90, 20, 10, 10, 6185, '', '', '', '', '', '', 0, 10, 'task p41_6185', 0, 0, '', 1, 1440508422, 1, 1448443158),
(6187, 41, 2, 134, 0, 30, 60, 70, 90, 10, 10, 10, 6187, '', '', '', '', '', '', 0, 10, 'task p41_6187', 0, 0, '', 1, 1440752743, 1, 1441811774),
(6188, 41, 2, 74, 0, 30, 50, 70, 90, 10, 10, 10, 6188, '', '', '', '', '', '', 0, 10, 'task p41_6188', 0, 0, '', 187, 1440764635, 1, 1441375536),
(6189, 41, 2, 157, 0, 30, 50, 70, 90, 10, 10, 10, 6189, '', '', '', '', '', '', 0, 10, 'task p41_6189', 0, 0, '', 310, 1440764991, 1, 1458039890),
(6190, 41, 2, 93, 0, 30, 50, 70, 90, 20, 10, 10, 6190, '', '', '', '', '', '', 0, 10, 'task p41_6190', 0, 0, '', 187, 1440773668, 1, 1452505006),
(6197, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 6197, '', '', '', '', '', '', 0, 10, 'task p41_6197', 0, 0, '15.1.0_Jan', 334, 1441031037, 1, 1445415687),
(6198, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 6198, '', '', '', '', '', '', 0, 10, 'task p41_6198', 0, 0, '15.1.0_Jan', 334, 1441031083, 1, 1448379942),
(6210, 41, 2, 157, 0, 30, 50, 70, 90, 10, 10, 10, 6210, '', '', '', '', '', '', 0, 10, 'task p41_6210', 0, 0, '', 335, 1441113017, 1, 1458828288),
(6256, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 6256, '', '', '', '', '', '', 0, 10, 'task p41_6256', 0, 0, '', 310, 1441345865, 1, 1442840499),
(6257, 41, 2, 74, 0, 30, 50, 70, 90, 10, 10, 10, 6257, '', '', '', '', '', '', 0, 10, 'task p41_6257', 0, 0, '15.1.0_3en1', 250, 1441371516, 1, 1445337763),
(6258, 41, 2, 74, 0, 30, 50, 70, 90, 10, 10, 10, 6258, '', '', '', '', '', '', 0, 10, 'task p41_6258', 0, 0, '15.0.0', 1, 1441371624, 1, 1441375481),
(6271, 41, 72, 0, 0, 30, 50, 70, 10, 10, 10, 10, 6271, '', '', '', '', '', '', 0, 10, 'task p41_6271', 0, 0, '', 1, 1441604940, 1, 1478619201),
(6272, 41, 72, 117, 0, 30, 50, 70, 90, 10, 10, 10, 6272, '', '', '', '', '', '', 0, 10, 'task p41_6272', 0, 0, '15.1.0_Jan', 334, 1441605277, 1, 1445415687),
(6273, 41, 72, 117, 0, 30, 50, 70, 90, 20, 10, 10, 6273, '', '', '', '', '', '', 0, 10, 'task p41_6273', 0, 0, '15.1.0_Jan', 334, 1441605385, 1, 1448544081),
(6274, 41, 72, 74, 0, 30, 50, 70, 90, 20, 10, 10, 6274, '', '', '', '', '', '', 0, 10, 'task p41_6274', 0, 0, '15.1.0_Jan', 334, 1441605574, 1, 1445415687),
(6275, 41, 72, 117, 0, 30, 50, 70, 90, 20, 10, 10, 6275, '', '', '', '', '', '', 0, 10, 'task p41_6275', 0, 0, '15.1.0_Jan', 334, 1441605646, 1, 1448976152),
(6618, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 6618, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_6618', 0, 0, '15.0.0_Sept', 1, 1443594160, 1, 1478619201),
(7072, 41, 93, 93, 0, 50, 80, 70, 90, 20, 10, 10, 7072, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7072', 0, 0, '15.0.0_Nov', 335, 1445588515, 1, 1452505299),
(6491, 41, 72, 72, 0, 30, 50, 70, 90, 10, 10, 10, 6491, '', '', '', '', '', '', 0, 10, 'task p41_6491', 0, 0, '', 266, 1443012838, 1, 1443514621),
(6284, 41, 2, 147, 0, 30, 50, 70, 90, 10, 10, 10, 6284, '', '', '', '', '', '', 0, 10, 'task p41_6284', 0, 0, '', 310, 1441639517, 1, 1448443108),
(6285, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 6285, '', '', '', '', '', '', 0, 10, 'task p41_6285', 0, 0, '15.1.0_AFFI', 1, 1441692541, 1, 1442578507),
(6286, 41, 72, 147, 0, 30, 50, 100, 90, 10, 10, 10, 6286, '', '', '', '', '', '', 0, 10, 'task p41_6286', 0, 0, '15.1.0_AFFI', 1, 1441692981, 1, 1442388111),
(6294, 41, 2, 147, 0, 30, 50, 70, 90, 10, 10, 10, 6294, '', '', '', '', '', '', 0, 10, 'task p41_6294', 0, 0, '', 310, 1441806780, 1, 1445003396),
(6295, 41, 2, 147, 0, 30, 50, 70, 90, 20, 10, 10, 6295, '', '', '', '', '', '', 0, 10, 'task p41_6295', 0, 0, '', 310, 1441806837, 1, 1442388025),
(6296, 41, 134, 134, 0, 50, 80, 70, 90, 10, 10, 10, 6296, '', '', '', '', '', '', 0, 10, 'task p41_6296', 0, 0, '', 334, 1441811114, 1, 1478619180),
(6297, 41, 134, 134, 0, 30, 60, 10, 90, 20, 10, 10, 6297, '', '', '', '', '', '', 0, 10, 'task p41_6297', 0, 0, '', 310, 1441811444, 1, 1478619253),
(6298, 41, 72, 74, 0, 30, 60, 70, 90, 20, 10, 10, 6298, '', '', '', '', '', '', 0, 10, 'task p41_6298', 0, 0, '15.0.0_Sept', 1, 1441871992, 1, 1478619201),
(6299, 41, 72, 93, 0, 30, 60, 70, 90, 20, 10, 10, 6299, '', '', '', '', '', '', 0, 10, 'task p41_6299', 0, 0, '15.0.0_Sept', 310, 1441872118, 1, 1478619201),
(6725, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 6725, '', '', '', '', '', '', 0, 10, 'task p41_6725', 0, 0, '', 266, 1444307763, 1, 1479464549),
(6301, 41, 93, 93, 0, 30, 50, 10, 90, 10, 10, 10, 6301, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6301', 0, 0, '15.0.0', 335, 1441976915, 1, 1478619253),
(6305, 41, 2, 147, 0, 30, 50, 70, 90, 20, 10, 10, 6305, '', '', '', '', '', '', 0, 10, 'task p41_6305', 0, 0, '15.1.0_3en1', 311, 1442236229, 1, 1443602307),
(6306, 41, 2, 147, 0, 30, 50, 70, 90, 20, 10, 10, 6306, '', '', '', '', '', '', 0, 10, 'task p41_6306', 0, 0, '', 311, 1442236300, 1, 1450345210),
(6569, 41, 134, 134, 0, 30, 50, 70, 80, 10, 10, 10, 6569, '', '', '', '', '', '', 0, 10, 'task p41_6569', 0, 0, '', 1, 1443442781, 1, 1469192612),
(6477, 41, 72, 169, 0, 30, 50, 70, 90, 20, 10, 10, 6477, '', '', '', '', '', '', 0, 10, 'task p41_6477', 0, 0, '15.0.0_Nov', 336, 1442560466, 1, 1478619201),
(6482, 41, 93, 93, 0, 50, 60, 70, 90, 10, 10, 10, 6482, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6482', 0, 0, '15.0.0_Sept', 310, 1442565208, 1, 1478619278),
(6490, 41, 93, 93, 0, 30, 60, 70, 90, 20, 10, 10, 6490, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6490', 0, 0, '', 310, 1442839930, 1, 1478619253),
(6494, 41, 2, 0, 0, 30, 50, 70, 80, 10, 10, 10, 6494, '', '', '', '', '', '', 0, 10, 'task p41_6494', 0, 0, '15.1.0_Jan', 334, 1443014108, 1, 1474025601),
(6495, 41, 2, 199, 0, 30, 50, 70, 80, 10, 10, 10, 6495, '', '', '', '', '', '', 0, 10, 'task p41_6495', 0, 0, '15.1.0_Jan', 334, 1443014161, 1, 1475222319),
(6496, 41, 2, 0, 0, 30, 50, 70, 80, 10, 10, 10, 6496, '', '', '', '', '', '', 0, 10, 'task p41_6496', 0, 0, '15.1.0_Jan', 334, 1443014344, 1, 1474025636),
(6497, 41, 2, 0, 0, 30, 50, 70, 80, 10, 10, 10, 6497, '', '', '', '', '', '', 0, 10, 'task p41_6497', 0, 0, '15.1.0_Jan', 334, 1443014368, 1, 1474025636),
(6617, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 6617, '', '', '', '', '', '', 0, 10, 'task p41_6617', 0, 0, '15.1.0_Jan', 1, 1443593434, 1, 1447750372),
(6516, 41, 93, 93, 0, 40, 60, 10, 90, 20, 10, 10, 6516, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6516', 0, 0, '15.0.0_Sept', 310, 1443081182, 1, 1478619253),
(6517, 41, 93, 93, 0, 40, 60, 10, 90, 20, 10, 10, 6517, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6517', 0, 0, '15.0.0_Sept', 310, 1443081259, 1, 1478619253),
(6539, 41, 93, 93, 0, 50, 80, 10, 90, 10, 10, 10, 6539, '', '', '', '15.0.0', '', '', 0, 10, 'task p41_6539', 0, 0, '15.0.0_Sept', 335, 1443170413, 1, 1478619167),
(6566, 41, 74, 74, 0, 30, 50, 100, 90, 20, 10, 10, 6566, '', '', '', '15.0.0_Nov', '', '', 0, 10, 'task p41_6566', 0, 0, '', 250, 1443426000, 1, 1450878182),
(6568, 41, 74, 74, 0, 30, 50, 100, 90, 20, 10, 10, 6568, '', '', '', '', '', '', 0, 10, 'task p41_6568', 0, 0, '', 284, 1443426485, 1, 1444894701),
(6615, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 6615, '', '', '', '', '', '', 0, 10, 'task p41_6615', 0, 0, '', 311, 1443537228, 1, 1451312069),
(6636, 41, 72, 157, 0, 50, 50, 70, 80, 10, 10, 10, 6636, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_6636', 0, 0, '16.0_TO', 335, 1443773248, 1, 1469609960),
(6640, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 6640, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_6640', 0, 0, '', 338, 1443784536, 1, 1458828083),
(6656, 41, 72, 72, 0, 30, 50, 70, 90, 20, 10, 10, 6656, '', '', '', '', '', '', 0, 10, 'task p41_6656', 0, 0, '15.1.0_Mars', 334, 1444050011, 1, 1448619140),
(6662, 41, 72, 117, 0, 30, 50, 70, 90, 20, 10, 10, 6662, '', '', '', '', '', '', 0, 10, 'task p41_6662', 0, 0, '15.1.0_Mars', 334, 1444052234, 1, 1448976121),
(6720, 41, 93, 93, 0, 30, 60, 100, 90, 10, 10, 10, 6720, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_6720', 0, 0, 'Paliatifs', 310, 1444220941, 1, 1478619253),
(6723, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 6723, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_6723', 0, 0, '16.0_TO', 310, 1444230393, 1, 1466757705),
(6741, 41, 72, 169, 0, 50, 50, 70, 90, 10, 10, 10, 6741, '', '', '', '', '', '', 0, 10, 'task p41_6741', 0, 0, '', 310, 1444373830, 1, 1458041096),
(6742, 41, 178, 147, 0, 30, 50, 70, 90, 10, 10, 10, 6742, '', '', '', '', '', '', 0, 10, 'task p41_6742', 0, 0, '', 266, 1444376094, 1, 1448010959),
(6743, 41, 178, 147, 0, 30, 50, 70, 90, 10, 10, 10, 6743, '', '', '', '', '', '', 0, 10, 'task p41_6743', 0, 0, '', 266, 1444376222, 1, 1448010980),
(6744, 41, 178, 147, 0, 30, 50, 70, 90, 20, 10, 10, 6744, '', '', '', '', '', '', 0, 10, 'task p41_6744', 0, 0, '', 266, 1444376261, 1, 1447402480),
(6745, 41, 178, 147, 0, 30, 50, 70, 90, 10, 10, 10, 6745, '', '', '', '', '', '', 0, 10, 'task p41_6745', 0, 0, '', 266, 1444376297, 1, 1447402543),
(6746, 41, 178, 147, 0, 30, 50, 70, 90, 10, 10, 10, 6746, '', '', '', '', '', '', 0, 10, 'task p41_6746', 0, 0, '', 266, 1444376326, 1, 1462784226),
(6747, 41, 178, 0, 0, 30, 50, 70, 80, 10, 10, 10, 6747, '', '', '', '', '', '', 0, 10, 'task p41_6747', 0, 0, '', 266, 1444376371, 1, 1478590436),
(6748, 41, 178, 146, 0, 30, 50, 70, 80, 20, 10, 10, 6748, '', '', '', '', '', '', 0, 10, 'task p41_6748', 0, 0, '', 266, 1444376424, 1, 1468310896),
(6749, 41, 178, 0, 0, 30, 50, 70, 80, 10, 10, 10, 6749, '', '', '', '', '', '', 0, 10, 'task p41_6749', 0, 0, '', 266, 1444376452, 1, 1478590408),
(6772, 41, 2, 2, 0, 30, 50, 10, 90, 20, 10, 10, 6772, '', '', '', '', '', '', 0, 10, 'task p41_6772', 0, 0, '15.0.0_Nov', 310, 1444651501, 1, 1445272515),
(6826, 41, 134, 134, 0, 40, 60, 10, 90, 10, 10, 10, 6826, '', '', '', '', '', '', 0, 10, 'task p41_6826', 0, 0, '', 1, 1444730101, 1, 1478619180),
(6927, 41, 72, 117, 0, 10, 50, 100, 90, 20, 10, 10, 6927, '', '', '', '', '', '', 0, 10, 'task p41_6927', 0, 0, '15.1.0_Jan', 334, 1444813120, 1, 1449147909),
(6928, 41, 116, 116, 0, 40, 80, 70, 90, 10, 10, 10, 6928, '', '', '', '15.0.0_Juillet', '', '', 0, 10, 'task p41_6928', 0, 0, '', 212, 1444827754, 1, 1478619180),
(6929, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 6929, '', '', '', '', '', '', 0, 10, 'task p41_6929', 0, 0, '15.1.0_Jan', 334, 1444838199, 1, 1449051478),
(6930, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 6930, '', '', '', '', '', '', 0, 10, 'task p41_6930', 0, 0, '15.1.0_Jan', 334, 1444838291, 1, 1448035934),
(6931, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 6931, '', '', '', '', '', '', 0, 10, 'task p41_6931', 0, 0, '15.1.0_Jan', 334, 1444838351, 1, 1449828086),
(6932, 41, 134, 134, 0, 40, 80, 30, 90, 10, 10, 10, 6932, '', '', '', '15.1.0_AFFI', '', '', 0, 10, 'task p41_6932', 0, 0, '15.1.0_AFFI', 206, 1444896588, 1, 1478619180),
(6949, 41, 72, 158, 0, 30, 50, 70, 90, 10, 10, 10, 6949, '', '', '', '', '', '', 0, 10, 'task p41_6949', 0, 0, '', 310, 1444923170, 1, 1452175930),
(6965, 41, 2, 2, 0, 30, 50, 70, 90, 70, 10, 10, 6965, '', '', '', '', '', '', 0, 10, 'task p41_6965', 0, 0, '15.0.0_Nov', 1, 1445239969, 1, 1446209555),
(6967, 41, 164, 164, 0, 30, 50, 70, 80, 10, 10, 10, 6967, '', '', '', '', '', '', 0, 10, 'task p41_6967', 0, 0, '', 206, 1445246072, 1, 1485858930),
(6968, 41, 72, 72, 0, 30, 50, 70, 90, 20, 10, 10, 6968, '', '', '', '', '', '', 0, 10, 'task p41_6968', 0, 0, '', 337, 1445269479, 1, 1449506950),
(6969, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 6969, '', '', '', '', '', '', 0, 10, 'task p41_6969', 0, 0, '', 337, 1445269553, 1, 1449506950),
(6970, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 6970, '', '', '', '', '', '', 0, 10, 'task p41_6970', 0, 0, '15.0.0_Nov', 1, 1445272426, 1, 1445334881),
(7005, 41, 116, 116, 0, 60, 80, 10, 90, 60, 10, 10, 7005, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7005', 0, 0, '', 1, 1445350773, 1, 1478619253),
(7008, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 7008, '', '', '', '', '', '', 0, 10, 'task p41_7008', 0, 0, '', 334, 1445415221, 1, 1445611970),
(7020, 41, 2, 0, 0, 30, 50, 70, 10, 10, 10, 10, 7020, '', '', '', '', '', '', 0, 10, 'task p41_7020', 0, 0, '', 1, 1445416503, 1, 1472560158),
(7021, 41, 2, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7021, '', '', '', '', '', '', 0, 10, 'task p41_7021', 0, 0, '15.0.0_Sept', 335, 1445418608, 1, 1446219411),
(7067, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7067, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7067', 0, 0, '', 335, 1445522430, 1, 1478619201),
(7068, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 7068, '', '', '', '15.1.0_3en1', '', '', 0, 10, 'task p41_7068', 0, 0, '15.1.0_Jan', 212, 1445523399, 1, 1478619201),
(7069, 41, 72, 200, 0, 30, 50, 70, 90, 30, 10, 10, 7069, '', '', '', '', '', '', 0, 10, 'task p41_7069', 0, 0, '', 337, 1445523961, 1, 1458050103),
(7070, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 7070, '', '', '', '', '', '', 0, 10, 'task p41_7070', 0, 0, '15.1.0_Mars', 334, 1445524281, 1, 1453372857),
(7071, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 7071, '', '', '', '15.0.0_Juillet', '', '', 0, 10, 'task p41_7071', 0, 0, '', 212, 1445527169, 1, 1448898063),
(7626, 41, 2, 2, 0, 30, 50, 70, 90, 20, 10, 10, 7626, '', '', '', '', '', '', 0, 10, 'task p41_7626', 0, 0, '', 336, 1448291997, 1, 1448370445),
(7109, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 7109, '', '', '', '', '', '', 0, 10, 'task p41_7109', 0, 0, '15.0.0_Nov', 336, 1445942482, 1, 1445942586),
(7110, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 7110, '', '', '', '', '', '', 0, 10, 'task p41_7110', 0, 0, '15.0.0_Nov', 336, 1445942545, 1, 1445942605),
(7111, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 7111, '', '', '', '', '', '', 0, 10, 'task p41_7111', 0, 0, '15.0.0_Nov', 336, 1445942722, 1, 1447202737),
(7112, 41, 2, 0, 0, 30, 50, 70, 20, 10, 10, 10, 7112, '', '', '', '', '', '', 0, 10, 'task p41_7112', 0, 0, '15.0.0_Nov', 336, 1445943146, 1, 1448875078),
(7113, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 7113, '', '', '', '', '', '', 0, 10, 'task p41_7113', 0, 0, 'GAC_1.7', 266, 1445946515, 1, 1462169435),
(7114, 41, 72, 146, 0, 30, 50, 70, 80, 20, 10, 10, 7114, '', '', '', '', '', '', 0, 10, 'task p41_7114', 0, 0, 'GAC_1.7', 266, 1445946827, 1, 1473423132),
(7115, 41, 72, 205, 0, 30, 50, 70, 90, 30, 10, 10, 7115, '', '', '', '', '', '', 0, 10, 'task p41_7115', 0, 0, 'GAC_1.7', 266, 1445948488, 1, 1462169435),
(7116, 41, 72, 146, 0, 30, 50, 70, 80, 20, 10, 10, 7116, '', '', '', '', '', '', 0, 10, 'task p41_7116', 0, 0, 'GAC_1.7', 266, 1445948564, 1, 1468311069),
(7117, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 7117, '', '', '', '', '', '', 0, 10, 'task p41_7117', 0, 0, '', 266, 1445948798, 1, 1479465288),
(7118, 41, 72, 178, 0, 30, 50, 70, 90, 10, 10, 10, 7118, '', '', '', '', '', '', 0, 10, 'task p41_7118', 0, 0, '', 266, 1445948900, 1, 1446561296),
(7120, 41, 72, 205, 0, 30, 50, 70, 80, 20, 10, 10, 7120, '', '', '', '', '', '', 0, 10, 'task p41_7120', 0, 0, '', 266, 1445949129, 1, 1480086141),
(7121, 41, 169, 169, 0, 30, 50, 70, 90, 10, 10, 10, 7121, '', '', '', '', '', '', 0, 10, 'task p41_7121', 0, 0, '', 1, 1445951410, 1, 1478619180),
(7133, 41, 72, 147, 0, 30, 50, 70, 90, 20, 10, 10, 7133, '', '', '', '', '', '', 0, 10, 'task p41_7133', 0, 0, '', 266, 1446040551, 1, 1448529364),
(7148, 41, 74, 74, 0, 30, 50, 70, 90, 10, 10, 10, 7148, '', '', '', '15.1.0_AFFI', '', '', 0, 10, 'task p41_7148', 0, 0, '', 1, 1446130639, 1, 1448961441),
(8454, 41, 72, 205, 0, 30, 50, 70, 80, 10, 10, 10, 8454, '', '', '', '', '', '', 0, 10, 'task p41_8454', 0, 0, '18.0_PUMA', 337, 1453304100, 1, 1495026721),
(7191, 41, 74, 74, 0, 30, 50, 100, 90, 20, 10, 10, 7191, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_7191', 0, 0, '', 250, 1446215104, 1, 1450878212),
(7192, 41, 2, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7192, '', '', '', '', '', '', 0, 10, 'task p41_7192', 0, 0, '15.1.0_Jan', 1, 1446215602, 1, 1450454138),
(8793, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8793, '', '', '', '', '', '', 0, 10, 'task p41_8793', 0, 0, '16.0.0', 338, 1454580190, 1, 1458898767),
(7193, 41, 2, 116, 0, 50, 80, 70, 90, 10, 10, 10, 7193, '', '', '', '', '', '', 0, 10, 'task p41_7193', 0, 0, '', 338, 1446217988, 1, 1450798806),
(7194, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7194, '', '', '', '', '', '', 0, 10, 'task p41_7194', 0, 0, '15.1.0_Mars', 334, 1446219834, 1, 1447916421),
(7195, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7195, '', '', '', '', '', '', 0, 10, 'task p41_7195', 0, 0, '15.1.0_Mars', 334, 1446219919, 1, 1447916490),
(8839, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 8839, '', '', '', '', '', '', 0, 10, 'task p41_8839', 0, 0, '16.0_TO', 355, 1454947388, 1, 1465803911),
(7242, 41, 93, 93, 0, 50, 80, 10, 90, 10, 10, 10, 7242, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7242', 0, 0, '', 335, 1446456445, 1, 1478619180),
(7243, 41, 93, 199, 0, 40, 60, 70, 90, 10, 10, 10, 7243, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7243', 0, 0, '15.1.0_Jan', 266, 1446457591, 1, 1478619253),
(8838, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 8838, '', '', '', '', '', '', 0, 10, 'task p41_8838', 0, 0, '16.0_TO', 355, 1454947314, 1, 1463580604),
(7278, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 7278, '', '', '', '', '', '', 0, 10, 'task p41_7278', 0, 0, '15.0.0_Nov', 336, 1446557515, 1, 1447924189),
(7369, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 7369, '', '', '', '', '', '', 0, 10, 'task p41_7369', 0, 0, '15.1.0_Jan', 1, 1446652661, 1, 1449239197),
(7377, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 7377, '', '', '', '', '', '', 0, 10, 'task p41_7377', 0, 0, '15.1.0_Mars', 334, 1446711126, 1, 1450769295),
(7378, 41, 72, 199, 0, 30, 50, 70, 80, 20, 10, 10, 7378, '', '', '', '', '', '', 0, 10, 'task p41_7378', 0, 0, '15.1.0_Mars', 334, 1446711276, 1, 1464941643),
(7379, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 7379, '', '', '', '', '', '', 0, 10, 'task p41_7379', 0, 0, '15.1.0_Mars', 334, 1446711565, 1, 1453372785),
(7380, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 7380, '', '', '', '', '', '', 0, 10, 'task p41_7380', 0, 0, '15.1.0_Mars', 334, 1446711676, 1, 1450430840),
(7381, 41, 72, 134, 0, 30, 50, 70, 90, 20, 10, 10, 7381, '', '', '', '', '', '', 0, 10, 'task p41_7381', 0, 0, '15.1.0_Mars', 334, 1446712031, 1, 1453799426),
(7391, 41, 157, 93, 0, 30, 50, 70, 80, 10, 10, 10, 7391, '', '', '', '', '', '', 0, 10, 'task p41_7391', 0, 0, '16.0_TO', 310, 1446791394, 1, 1478619278),
(7392, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 7392, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7392', 0, 0, '16.0_TO', 310, 1446791582, 1, 1478619278),
(7393, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 7393, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7393', 0, 0, '', 310, 1446791636, 1, 1478619230),
(7394, 41, 157, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7394, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7394', 0, 0, '', 310, 1446791699, 1, 1478619180),
(7395, 41, 157, 93, 0, 30, 50, 70, 80, 20, 10, 10, 7395, '', '', '', '15.0.0_Sept', '', '', 0, 10, 'task p41_7395', 0, 0, '16.0_TO', 310, 1446794515, 1, 1478619278),
(7406, 41, 72, 146, 0, 30, 50, 70, 90, 20, 10, 10, 7406, '', '', '', '', '', '', 0, 10, 'task p41_7406', 0, 0, '', 266, 1446829915, 1, 1452271423),
(7407, 41, 72, 147, 0, 30, 60, 70, 90, 20, 10, 10, 7407, '', '', '', '', '', '', 0, 10, 'task p41_7407', 0, 0, 'GAC_1.5.4.01', 266, 1446830253, 1, 1450345269),
(7408, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 7408, '', '', '', '', '', '', 0, 10, 'task p41_7408', 0, 0, '', 266, 1446830347, 1, 1446830528),
(7409, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 7409, '', '', '', '', '', '', 0, 10, 'task p41_7409', 0, 0, '', 266, 1446830427, 1, 1446830560),
(7418, 41, 72, 72, 0, 30, 50, 70, 90, 10, 10, 10, 7418, '', '', '', '', '', '', 0, 10, 'task p41_7418', 0, 0, '15.0.0', 1, 1447082036, 1, 1447082088),
(7419, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 7419, '', '', '', '', '', '', 0, 10, 'task p41_7419', 0, 0, '', 336, 1447082318, 1, 1448015187),
(7420, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 7420, '', '', '', '', '', '', 0, 10, 'task p41_7420', 0, 0, '', 336, 1447082404, 1, 1448015129),
(7421, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7421, '', '', '', '', '', '', 0, 10, 'task p41_7421', 0, 0, '', 310, 1447082606, 1, 1447402973),
(7422, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 7422, '', '', '', '', '', '', 0, 10, 'task p41_7422', 0, 0, '', 310, 1447082664, 1, 1449817193),
(7423, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7423, '', '', '', '', '', '', 0, 10, 'task p41_7423', 0, 0, '', 310, 1447082884, 1, 1449074116),
(7424, 41, 169, 169, 0, 30, 50, 70, 90, 10, 10, 10, 7424, '', '', '', '', '', '', 0, 10, 'task p41_7424', 0, 0, '', 336, 1447088519, 1, 1478619278),
(7425, 41, 2, 2, 0, 30, 50, 70, 90, 20, 10, 10, 7425, '', '', '', '', '', '', 0, 10, 'task p41_7425', 0, 0, '15.0.0_Nov', 336, 1447202599, 1, 1448545684),
(7427, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7427, '', '', '', '', '', '', 0, 10, 'task p41_7427', 0, 0, '15.1.0_Mars', 334, 1447342761, 1, 1450966805),
(7428, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7428, '', '', '', '', '', '', 0, 10, 'task p41_7428', 0, 0, '15.1.0_Mars', 1, 1447343223, 1, 1448541671),
(7429, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7429, '', '', '', '', '', '', 0, 10, 'task p41_7429', 0, 0, '15.1.0_Mars', 1, 1447343283, 1, 1449815954),
(7430, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 7430, '', '', '', '', '', '', 0, 10, 'task p41_7430', 0, 0, '15.1.0_Mars', 310, 1447344246, 1, 1448541519),
(7486, 41, 2, 2, 0, 30, 50, 70, 90, 20, 10, 10, 7486, '', '', '', '', '', '', 0, 10, 'task p41_7486', 0, 0, '15.0.0_Nov', 336, 1447689854, 1, 1448370404),
(7495, 41, 2, 169, 0, 30, 50, 70, 80, 30, 10, 10, 7495, '', '', '', '', '', '', 0, 10, 'task p41_7495', 0, 0, '16.0_Prov', 336, 1447781616, 1, 1472806900),
(7496, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 7496, '', '', '', '', '', '', 0, 10, 'task p41_7496', 0, 0, '', 206, 1447782462, 1, 1453825360),
(7498, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7498, '', '', '', '15.0.0_Nov', '', '', 0, 10, 'task p41_7498', 0, 0, '15.0.0_Nov', 1, 1448002409, 1, 1478619201),
(8387, 41, 2, 164, 0, 30, 50, 70, 90, 10, 10, 10, 8387, '', '', '', 'GAC_1.5.5', '', '', 0, 10, 'task p41_8387', 0, 0, 'GAC_1.5.5', 206, 1452618489, 1, 1464345716),
(8386, 41, 2, 164, 0, 30, 50, 70, 90, 10, 10, 10, 8386, '', '', '', 'GAC_1.5.5', '', '', 0, 10, 'task p41_8386', 0, 0, 'GAC_1.5.5', 206, 1452618429, 1, 1464345658),
(7797, 41, 72, 116, 0, 40, 60, 70, 90, 10, 10, 10, 7797, '', '', '', '', '', '', 0, 10, 'task p41_7797', 0, 0, 'GAC_1.5.4.01', 266, 1449490721, 1, 1449589313),
(7556, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 7556, '', '', '', '', '', '', 0, 10, 'task p41_7556', 0, 0, 'GAC_1.7.1', 266, 1448282176, 1, 1452782735),
(7557, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 7557, '', '', '', '', '', '', 0, 10, 'task p41_7557', 0, 0, '', 266, 1448282259, 1, 1450097741),
(7558, 41, 72, 147, 0, 30, 60, 70, 90, 10, 10, 10, 7558, '', '', '', '', '', '', 0, 10, 'task p41_7558', 0, 0, 'GAC_1.5.4.01', 266, 1448282348, 1, 1450791335),
(7629, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 7629, '', '', '', '', '', '', 0, 10, 'task p41_7629', 0, 0, '', 311, 1448360700, 1, 1449245524),
(7630, 41, 2, 169, 0, 30, 50, 70, 90, 10, 10, 10, 7630, '', '', '', '', '', '', 0, 10, 'task p41_7630', 0, 0, '15.1.0_Mars', 310, 1448362158, 1, 1448986467),
(7641, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 7641, '', '', '', '', '', '', 0, 10, 'task p41_7641', 0, 0, '15.1.0_Mars', 310, 1448455592, 1, 1448986493),
(7642, 41, 72, 74, 0, 30, 50, 70, 90, 20, 10, 10, 7642, '', '', '', '', '', '', 0, 10, 'task p41_7642', 0, 0, '15.1.2', 338, 1448455800, 1, 1450877846),
(7643, 41, 72, 74, 0, 30, 50, 70, 90, 20, 10, 10, 7643, '', '', '', '', '', '', 0, 10, 'task p41_7643', 0, 0, '15.1.2', 338, 1448456074, 1, 1450878112),
(7644, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7644, '', '', '', '', '', '', 0, 10, 'task p41_7644', 0, 0, '', 1, 1448458051, 1, 1448640556),
(7645, 41, 72, 93, 0, 30, 50, 70, 90, 20, 10, 10, 7645, '', '', '', '', '', '', 0, 10, 'task p41_7645', 0, 0, '15.1.0_Avril', 310, 1448467516, 1, 1463496150),
(7653, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 7653, '', '', '', '', '', '', 0, 10, 'task p41_7653', 0, 0, 'GAC_1.5.5', 266, 1448530215, 1, 1452097839),
(7654, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 7654, '', '', '', '', '', '', 0, 10, 'task p41_7654', 0, 0, 'GAC_1.5.5', 266, 1448530306, 1, 1458050166),
(7655, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 7655, '', '', '', '', '', '', 0, 10, 'task p41_7655', 0, 0, 'GAC_1.5.5', 266, 1448530504, 1, 1451311004),
(7656, 41, 72, 116, 0, 30, 50, 70, 90, 20, 10, 10, 7656, '', '', '', '', '', '', 0, 10, 'task p41_7656', 0, 0, 'GAC_1.5.5', 266, 1448530612, 1, 1452273641),
(7657, 41, 72, 158, 0, 30, 50, 70, 90, 10, 10, 10, 7657, '', '', '', '', '', '', 0, 10, 'task p41_7657', 0, 0, 'GAC_1.7', 266, 1448530928, 1, 1462169620),
(8075, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8075, '', '', '', '', '', '', 0, 10, 'task p41_8075', 0, 0, 'GAC_1.7', 266, 1450453760, 1, 1462169335),
(7659, 41, 72, 205, 0, 30, 60, 70, 90, 10, 10, 10, 7659, '', '', '', '', '', '', 0, 10, 'task p41_7659', 0, 0, 'GAC_1.5.4.01', 266, 1448531154, 1, 1459875133),
(7660, 41, 72, 147, 0, 30, 50, 70, 90, 10, 10, 10, 7660, '', '', '', '', '', '', 0, 10, 'task p41_7660', 0, 0, 'GAC_1.5.4.01', 266, 1448554311, 1, 1450192610),
(7661, 41, 72, 147, 0, 30, 50, 70, 90, 20, 10, 10, 7661, '', '', '', '', '', '', 0, 10, 'task p41_7661', 0, 0, 'GAC_1.5.4.01', 266, 1448554384, 1, 1450345324),
(7702, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 7702, '', '', '', '15.0.1', '', '', 0, 10, 'task p41_7702', 0, 0, '15.0.1', 310, 1449049198, 1, 1478619201),
(7703, 41, 72, 72, 0, 30, 50, 70, 90, 10, 10, 10, 7703, '', '', '', '15.1.2', '', '', 0, 10, 'task p41_7703', 0, 0, '15.1.2', 338, 1449049507, 1, 1449229854),
(7704, 41, 72, 72, 0, 30, 50, 70, 90, 10, 10, 10, 7704, '', '', '', '15.1.2', '', '', 0, 10, 'task p41_7704', 0, 0, '15.1.2', 338, 1449049722, 1, 1449229912),
(7707, 41, 72, 2, 0, 30, 50, 70, 90, 10, 10, 10, 7707, '', '', '', '15.1.2', '', '', 0, 10, 'task p41_7707', 0, 0, '15.1.2', 338, 1449063235, 1, 1451921452),
(7708, 41, 72, 2, 0, 30, 50, 70, 90, 10, 10, 10, 7708, '', '', '', '15.1.2', '', '', 0, 10, 'task p41_7708', 0, 0, '15.1.2', 338, 1449063308, 1, 1450281361),
(8844, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8844, '', '', '', '', '', '', 0, 10, 'task p41_8844', 0, 0, '', 334, 1454948043, 1, 1463496279),
(7754, 41, 93, 93, 0, 50, 80, 70, 90, 10, 10, 10, 7754, '', '', '', '15.0.0_Nov', '', '', 0, 10, 'task p41_7754', 0, 0, '15.0.0_Nov', 1, 1449237117, 1, 1478619180),
(7794, 41, 72, 146, 0, 40, 60, 70, 90, 10, 10, 10, 7794, '', '', '', '', '', '', 0, 10, 'task p41_7794', 0, 0, 'GAC_1.5.4.01', 266, 1449489806, 1, 1450098186),
(7795, 41, 72, 146, 0, 40, 60, 70, 90, 10, 10, 10, 7795, '', '', '', '', '', '', 0, 10, 'task p41_7795', 0, 0, 'GAC_1.5.4.01', 266, 1449489902, 1, 1450453668),
(7796, 41, 72, 146, 0, 40, 60, 70, 90, 10, 10, 10, 7796, '', '', '', '', '', '', 0, 10, 'task p41_7796', 0, 0, 'GAC_1.7.1', 266, 1449490121, 1, 1463496279),
(7798, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 7798, '', '', '', '', '', '', 0, 10, 'task p41_7798', 0, 0, 'GAC_1.5.4.01', 266, 1449492993, 1, 1450194950),
(7813, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 7813, '', '', '', '', '', '', 0, 10, 'task p41_7813', 0, 0, '15.1.0_PUMA', 337, 1449504440, 1, 1456332657),
(7814, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7814, '', '', '', '', '', '', 0, 10, 'task p41_7814', 0, 0, '15.1.0_PUMA', 337, 1449504552, 1, 1452699919),
(7893, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 7893, '', '', '', '', '', '', 0, 10, 'task p41_7893', 0, 0, '', 187, 1449827913, 1, 1458049827),
(7894, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 7894, '', '', '', '', '', '', 0, 10, 'task p41_7894', 0, 0, '', 334, 1449828714, 1, 1467906855),
(7896, 41, 72, 199, 0, 50, 50, 70, 90, 10, 10, 10, 7896, '', '', '', '', '', '', 0, 10, 'task p41_7896', 0, 0, '15.1.0_Jan', 334, 1449833574, 1, 1454682777),
(7897, 41, 72, 200, 0, 30, 50, 70, 90, 20, 10, 10, 7897, '', '', '', '', '', '', 0, 10, 'task p41_7897', 0, 0, '', 337, 1449834958, 1, 1457519903),
(7899, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7899, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_7899', 0, 0, '15.1.0_Jan', 334, 1449848839, 1, 1452496378),
(7900, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 7900, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_7900', 0, 0, '15.1.0_Jan', 334, 1449849241, 1, 1451567021),
(7901, 41, 72, 117, 0, 30, 50, 70, 90, 10, 10, 10, 7901, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_7901', 0, 0, '15.1.0_Jan', 334, 1449849386, 1, 1450966394),
(7902, 41, 72, 117, 0, 30, 50, 70, 90, 10, 10, 10, 7902, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_7902', 0, 0, '15.1.0_Jan', 334, 1449849643, 1, 1450772905),
(8342, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 8342, '', '', '', '', '', '', 0, 10, 'task p41_8342', 0, 0, '15.1.0_Jan', 338, 1452179690, 1, 1463496260),
(8344, 41, 72, 146, 0, 30, 50, 70, 80, 10, 10, 10, 8344, '', '', '', '', '', '', 0, 10, 'task p41_8344', 0, 0, '', 338, 1452239727, 1, 1473336871),
(8062, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8062, '', '', '', '', '', '', 0, 10, 'task p41_8062', 0, 0, 'GAC_1.5.5', 266, 1450449845, 1, 1459875170),
(7985, 41, 72, 147, 0, 30, 50, 70, 90, 10, 10, 10, 7985, '', '', '', '', '', '', 0, 10, 'task p41_7985', 0, 0, 'GAC_1.5.5', 266, 1450183284, 1, 1463496260);
INSERT INTO `mantis_bug_table` (`id`, `project_id`, `reporter_id`, `handler_id`, `duplicate_id`, `priority`, `severity`, `reproducibility`, `status`, `resolution`, `projection`, `eta`, `bug_text_id`, `os`, `os_build`, `platform`, `version`, `fixed_in_version`, `build`, `profile_id`, `view_state`, `summary`, `sponsorship_total`, `sticky`, `target_version`, `category_id`, `date_submitted`, `due_date`, `last_updated`) VALUES
(8298, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8298, '', '', '', '', '', '', 0, 10, 'task p41_8298', 0, 0, '15.1.0_Avril', 334, 1452073281, 1, 1463496260),
(8041, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8041, '', '', '', '', '', '', 0, 10, 'task p41_8041', 0, 0, 'GAC_1.5.4.01', 266, 1450347745, 1, 1450890170),
(8060, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8060, '', '', '', '15.0.0_Nov', '', '', 0, 10, 'task p41_8060', 0, 0, '', 338, 1450448162, 1, 1463496260),
(8063, 41, 72, 205, 0, 30, 50, 70, 90, 20, 10, 10, 8063, '', '', '', '', '', '', 0, 10, 'task p41_8063', 0, 0, 'GAC_1.5.5', 266, 1450450578, 1, 1452273825),
(8064, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 8064, '', '', '', '', '', '', 0, 10, 'task p41_8064', 0, 0, 'GAC_1.5.5', 266, 1450450640, 1, 1452271644),
(8065, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8065, '', '', '', '', '', '', 0, 10, 'task p41_8065', 0, 0, 'GAC_1.7', 266, 1450451436, 1, 1462169794),
(8066, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 8066, '', '', '', '', '', '', 0, 10, 'task p41_8066', 0, 0, 'GAC_1.5.5', 266, 1450451627, 1, 1452612833),
(8067, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 8067, '', '', '', '', '', '', 0, 10, 'task p41_8067', 0, 0, 'GAC_1.7', 266, 1450452444, 1, 1462169794),
(8076, 41, 72, 158, 0, 30, 50, 70, 90, 10, 10, 10, 8076, '', '', '', '', '', '', 0, 10, 'task p41_8076', 0, 0, 'GAC_1.7', 266, 1450453815, 1, 1462169335),
(8072, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 8072, '', '', '', '', '', '', 0, 10, 'task p41_8072', 0, 0, 'GAC_1.7', 266, 1450453109, 1, 1462169721),
(8073, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8073, '', '', '', '', '', '', 0, 10, 'task p41_8073', 0, 0, 'GAC_1.7', 266, 1450453177, 1, 1462169620),
(8074, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8074, '', '', '', '', '', '', 0, 10, 'task p41_8074', 0, 0, 'GAC_1.7', 266, 1450453380, 1, 1462169721),
(8085, 41, 93, 169, 0, 50, 80, 10, 80, 10, 10, 10, 8085, '', '', '', '15.0.0_Nov', '', '', 0, 10, 'task p41_8085', 0, 0, 'Paliatifs', 338, 1450709546, 1, 1478619278),
(8086, 41, 93, 93, 0, 40, 80, 70, 90, 20, 10, 10, 8086, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_8086', 0, 0, '15.1.0_Jan', 334, 1450709652, 1, 1478619180),
(8087, 41, 74, 74, 0, 30, 50, 100, 90, 20, 10, 10, 8087, '', '', '', '15.1.0_Mars', '', '', 0, 10, 'task p41_8087', 0, 0, '', 250, 1450769446, 1, 1454922353),
(8095, 41, 2, 199, 0, 30, 50, 70, 90, 90, 10, 10, 8095, '', '', '', '', '', '', 0, 10, 'task p41_8095', 0, 0, '16.0_Prov', 284, 1450789202, 1, 1459494030),
(8131, 41, 2, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8131, '', '', '', '', '', '', 0, 10, 'task p41_8131', 0, 0, 'GAC_1.5.5', 266, 1450880579, 1, 1450890125),
(8132, 41, 2, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8132, '', '', '', '', '', '', 0, 10, 'task p41_8132', 0, 0, 'GAC_1.5.5', 266, 1450880626, 1, 1459875274),
(8133, 41, 2, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8133, '', '', '', '', '', '', 0, 10, 'task p41_8133', 0, 0, '15.1.0_PUMA', 337, 1450880748, 1, 1459874853),
(8144, 41, 200, 200, 0, 30, 50, 70, 90, 10, 10, 10, 8144, '', '', '', '', '', '', 0, 10, 'task p41_8144', 0, 0, '15.1.0_PUMA', 337, 1450949946, 1, 1451570318),
(8145, 41, 200, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8145, '', '', '', '', '', '', 0, 10, 'task p41_8145', 0, 0, '15.1.0_PUMA', 337, 1450949976, 1, 1451570371),
(8146, 41, 200, 0, 0, 30, 50, 70, 80, 10, 10, 10, 8146, '', '', '', '', '', '', 0, 10, 'task p41_8146', 0, 0, '18.0_PUMA', 337, 1450950121, 1, 1495120410),
(8147, 41, 2, 169, 0, 30, 50, 70, 90, 10, 10, 10, 8147, '', '', '', '', '', '', 0, 10, 'task p41_8147', 0, 0, '15.1.0_Avril', 355, 1450967192, 1, 1463496150),
(8148, 41, 2, 157, 0, 30, 50, 70, 90, 10, 10, 10, 8148, '', '', '', '', '', '', 0, 10, 'task p41_8148', 0, 0, '15.1.0_Avril', 310, 1450967391, 1, 1463496150),
(8149, 41, 2, 157, 0, 30, 50, 70, 90, 10, 10, 10, 8149, '', '', '', '', '', '', 0, 10, 'task p41_8149', 0, 0, '15.1.0_Avril', 310, 1450967575, 1, 1463496260),
(8150, 41, 2, 157, 0, 30, 50, 70, 90, 60, 10, 10, 8150, '', '', '', '', '', '', 0, 10, 'task p41_8150', 0, 0, '15.1.0_Avril', 310, 1450967695, 1, 1463496150),
(8151, 41, 2, 0, 0, 30, 50, 70, 80, 10, 10, 10, 8151, '', '', '', '', '', '', 0, 10, 'task p41_8151', 0, 0, '', 310, 1450968279, 1, 1493888273),
(8152, 41, 2, 157, 0, 30, 50, 70, 80, 10, 10, 10, 8152, '', '', '', '', '', '', 0, 10, 'task p41_8152', 0, 0, '', 310, 1450968323, 1, 1493888206),
(8153, 41, 72, 157, 0, 50, 50, 70, 90, 20, 10, 10, 8153, '', '', '', '15.0.0_Nov', '', '', 0, 10, 'task p41_8153', 0, 0, '', 310, 1451302116, 1, 1463496150),
(8154, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 8154, '', '', '', '', '', '', 0, 10, 'task p41_8154', 0, 0, '16.0_Prov', 310, 1451305476, 1, 1463496150),
(8155, 41, 72, 158, 0, 30, 50, 70, 90, 10, 10, 10, 8155, '', '', '', '', '', '', 0, 10, 'task p41_8155', 0, 0, '', 284, 1451309993, 1, 1463142730),
(8171, 41, 72, 169, 0, 30, 50, 70, 90, 20, 10, 10, 8171, '', '', '', '', '', '', 0, 10, 'task p41_8171', 0, 0, '15.1.0_Avril', 310, 1451488890, 1, 1457972217),
(8176, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8176, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_8176', 0, 0, '15.1.0_Jan', 334, 1451549204, 1, 1451575858),
(8178, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 8178, '', '', '', '15.1.0_Mars', '', '', 0, 10, 'task p41_8178', 0, 0, '15.1.0_Mars', 334, 1451554407, 1, 1473336805),
(8179, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 8179, '', '', '', '15.1.0_Mars', '', '', 0, 10, 'task p41_8179', 0, 0, '15.1.0_Mars', 334, 1451554499, 1, 1473337334),
(8180, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 8180, '', '', '', '', '', '', 0, 10, 'task p41_8180', 0, 0, '16.0.0', 338, 1451555838, 1, 1458665340),
(8181, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 8181, '', '', '', '', '', '', 0, 10, 'task p41_8181', 0, 0, '15.1.0_PUMA', 337, 1451570747, 1, 1458546362),
(8289, 41, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 8289, '', '', '', '', '', '', 0, 10, 'task p41_8289', 0, 0, '15.1.0_Avril', 334, 1452007214, 1, 1458041161),
(8290, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8290, '', '', '', '', '', '', 0, 10, 'task p41_8290', 0, 0, '15.1.0_Avril', 334, 1452007256, 1, 1458041143),
(8291, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8291, '', '', '', '', '', '', 0, 10, 'task p41_8291', 0, 0, '15.1.0_Jan', 355, 1452011588, 1, 1452587947),
(8292, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8292, '', '', '', '', '', '', 0, 10, 'task p41_8292', 0, 0, '15.1.0_Jan', 355, 1452011629, 1, 1452588034),
(8297, 41, 2, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8297, '', '', '', '', '', '', 0, 10, 'task p41_8297', 0, 0, '15.1.0_Mars', 355, 1452069136, 1, 1463496150),
(8299, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8299, '', '', '', '', '', '', 0, 10, 'task p41_8299', 0, 0, '15.1.0_Avril', 334, 1452073575, 1, 1463496260),
(8300, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8300, '', '', '', '', '', '', 0, 10, 'task p41_8300', 0, 0, '15.1.0_Avril', 334, 1452073694, 1, 1463496260),
(8301, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8301, '', '', '', '', '', '', 0, 10, 'task p41_8301', 0, 0, '15.1.0_Avril', 334, 1452073785, 1, 1463496260),
(8302, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8302, '', '', '', '', '', '', 0, 10, 'task p41_8302', 0, 0, '15.1.0_Avril', 334, 1452073880, 1, 1463496260),
(8303, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8303, '', '', '', '', '', '', 0, 10, 'task p41_8303', 0, 0, '15.1.0_Avril', 334, 1452073998, 1, 1463496260),
(8304, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8304, '', '', '', '', '', '', 0, 10, 'task p41_8304', 0, 0, '15.1.0_Avril', 334, 1452074192, 1, 1463496260),
(8305, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8305, '', '', '', '', '', '', 0, 10, 'task p41_8305', 0, 0, '15.1.0_Avril', 334, 1452074341, 1, 1463496260),
(8327, 41, 2, 157, 0, 30, 50, 70, 90, 10, 10, 10, 8327, '', '', '', '', '', '', 0, 10, 'task p41_8327', 0, 0, '16.0_TO', 310, 1452092679, 1, 1463496150),
(8361, 41, 2, 93, 0, 30, 50, 70, 90, 10, 10, 10, 8361, '', '', '', '', '', '', 0, 10, 'task p41_8361', 0, 0, '15.0.1', 355, 1452255499, 1, 1463496150),
(8362, 41, 2, 116, 0, 30, 50, 70, 90, 10, 10, 10, 8362, '', '', '', '', '', '', 0, 10, 'task p41_8362', 0, 0, 'GAC_1.7.1', 266, 1452262832, 1, 1463496260),
(8363, 41, 2, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8363, '', '', '', '', '', '', 0, 10, 'task p41_8363', 0, 0, 'GAC_1.7', 266, 1452262969, 1, 1458912659),
(8364, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 8364, '', '', '', '', '', '', 0, 10, 'task p41_8364', 0, 0, 'GAC_1.5.5', 266, 1452271423, 1, 1463496260),
(8382, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8382, '', '', '', '', '', '', 0, 10, 'task p41_8382', 0, 0, '15.1.0_Mars', 334, 1452530006, 1, 1463496260),
(8388, 41, 2, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8388, '', '', '', 'GAC_1.5.6', '', '', 0, 10, 'task p41_8388', 0, 0, 'GAC_1.5.6', 250, 1452618709, 1, 1462784262),
(8389, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 8389, '', '', '', '', '', '', 0, 10, 'task p41_8389', 0, 0, '', 338, 1452694212, 1, 1492678660),
(8390, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 8390, '', '', '', '', '', '', 0, 10, 'task p41_8390', 0, 0, '16.0.0', 338, 1452694530, 1, 1465979816),
(8395, 41, 2, 164, 0, 30, 50, 70, 80, 10, 10, 10, 8395, '', '', '', '', '', '', 0, 10, 'task p41_8395', 0, 0, 'GAC_1.7', 206, 1452775481, 1, 1487860818),
(8403, 41, 2, 0, 0, 30, 50, 70, 80, 30, 10, 10, 8403, '', '', '', '', '', '', 0, 10, 'task p41_8403', 0, 0, '16.0_TO', 310, 1452864197, 1, 1470310940),
(8404, 41, 2, 93, 0, 30, 50, 70, 90, 10, 10, 10, 8404, '', '', '', '', '', '', 0, 10, 'task p41_8404', 0, 0, '15.1.0_Avril', 310, 1452864822, 1, 1463496150),
(8405, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8405, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_8405', 0, 0, '15.1.0_Jan', 334, 1452875600, 1, 1463496260),
(8406, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8406, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_8406', 0, 0, '15.1.0_Jan', 334, 1452875695, 1, 1463496260),
(8407, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8407, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_8407', 0, 0, '15.1.0_Jan', 334, 1452875749, 1, 1463496260),
(8450, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 8450, '', '', '', '', '', '', 0, 10, 'task p41_8450', 0, 0, '', 334, 1453126917, 1, 1478619181),
(8551, 41, 205, 205, 0, 30, 60, 100, 90, 10, 10, 10, 8551, '', '', '', 'GAC_2.0', '', '', 0, 10, 'task p41_8551', 0, 0, 'GAC_2.0', 266, 1453463385, 1, 1457971609),
(8552, 41, 72, 146, 0, 30, 50, 70, 90, 10, 10, 10, 8552, '', '', '', '', '', '', 0, 10, 'task p41_8552', 0, 0, 'GAC_1.5.6', 266, 1453469548, 1, 1457964650),
(8554, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8554, '', '', '', '', '', '', 0, 10, 'task p41_8554', 0, 0, '15.1.0_Avril', 334, 1453470723, 1, 1463496260),
(8557, 41, 2, 2, 0, 30, 50, 70, 90, 90, 10, 10, 8557, '', '', '', '', '', '', 0, 10, 'task p41_8557', 0, 0, '', 310, 1453476549, 1, 1463496150),
(8558, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 8558, '', '', '', '15.1.0_3en1', '', '', 0, 10, 'task p41_8558', 0, 0, '', 310, 1453477918, 1, 1473336906),
(8559, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 8559, '', '', '', '15.1.0_3en1', '', '', 0, 10, 'task p41_8559', 0, 0, '', 310, 1453478262, 1, 1473336936),
(8560, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 8560, '', '', '', '15.1.0_3en1', '', '', 0, 10, 'task p41_8560', 0, 0, '', 310, 1453478314, 1, 1473336953),
(8627, 41, 157, 157, 0, 30, 50, 70, 90, 20, 10, 10, 8627, '', '', '', '15.1.0_3en1', '', '', 0, 10, 'task p41_8627', 0, 0, '', 310, 1453904166, 1, 1478619167),
(8562, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8562, '', '', '', '', '', '', 0, 10, 'task p41_8562', 0, 0, '', 310, 1453480990, 1, 1463496150),
(8563, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8563, '', '', '', '', '', '', 0, 10, 'task p41_8563', 0, 0, '15.1.0_Avril', 310, 1453481101, 1, 1463496150),
(8620, 41, 164, 2, 0, 30, 50, 70, 90, 10, 10, 10, 8620, '', '', '', '', '', '', 0, 10, 'task p41_8620', 0, 0, '', 206, 1453825360, 1, 1457014977),
(8621, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 8621, '', '', '', '', '', '', 0, 10, 'task p41_8621', 0, 0, '', 187, 1453826539, 1, 1464947016),
(8642, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8642, '', '', '', '', '', '', 0, 10, 'task p41_8642', 0, 0, '15.1.0_Mars', 338, 1453974408, 1, 1463496278),
(8643, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 8643, '', '', '', '', '', '', 0, 10, 'task p41_8643', 0, 0, '', 334, 1453974477, 1, 1463496278),
(8669, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8669, '', '', '', '15.1.0_AFFI', '', '', 0, 10, 'task p41_8669', 0, 0, '15.1.0_Patch', 338, 1453990616, 1, 1456135877),
(8711, 41, 2, 157, 0, 30, 50, 70, 90, 20, 10, 10, 8711, '', '', '', '', '', '', 0, 10, 'task p41_8711', 0, 0, '15.1_P', 310, 1454062330, 1, 1463496150),
(8712, 41, 2, 74, 0, 30, 50, 70, 90, 10, 10, 10, 8712, '', '', '', '', '', '', 0, 10, 'task p41_8712', 0, 0, '16.0.0', 338, 1454062599, 1, 1458736998),
(8713, 41, 2, 74, 0, 30, 50, 70, 90, 10, 10, 10, 8713, '', '', '', '', '', '', 0, 10, 'task p41_8713', 0, 0, '16.0.0', 338, 1454062634, 1, 1458736973),
(8795, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 8795, '', '', '', '', '', '', 0, 10, 'task p41_8795', 0, 0, '16.0.0', 338, 1454580602, 1, 1458665876),
(8796, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 8796, '', '', '', '', '', '', 0, 10, 'task p41_8796', 0, 0, '16.0.0', 338, 1454580669, 1, 1458665919),
(8797, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 8797, '', '', '', '', '', '', 0, 10, 'task p41_8797', 0, 0, '16.0.0', 338, 1454580922, 1, 1458742675),
(8798, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 8798, '', '', '', '', '', '', 0, 10, 'task p41_8798', 0, 0, '16.0.0', 338, 1454581102, 1, 1463496150),
(8799, 41, 72, 200, 0, 30, 50, 70, 90, 10, 10, 10, 8799, '', '', '', '', '', '', 0, 10, 'task p41_8799', 0, 0, '16.0.0', 338, 1454581412, 1, 1458742652),
(8800, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 8800, '', '', '', '', '', '', 0, 10, 'task p41_8800', 0, 0, '16.0.0', 338, 1454581497, 1, 1458742782),
(8801, 41, 72, 72, 0, 30, 50, 70, 80, 20, 10, 10, 8801, '', '', '', '', '', '', 0, 10, 'task p41_8801', 0, 0, '', 187, 1454581664, 1, 1464947241),
(8802, 41, 72, 212, 0, 30, 50, 70, 80, 10, 10, 10, 8802, '', '', '', '', '', '', 0, 10, 'task p41_8802', 0, 0, '16.0.0', 338, 1454582463, 1, 1464782031),
(8806, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 8806, '', '', '', '', '', '', 0, 10, 'task p41_8806', 0, 0, '15.1.0_Mars', 338, 1454679039, 1, 1465980032),
(8811, 41, 74, 74, 0, 30, 50, 70, 90, 10, 10, 10, 8811, '', '', '', '', '', '', 0, 10, 'task p41_8811', 0, 0, '', 338, 1454680801, 1, 1460118034),
(8819, 41, 199, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8819, '', '', '', '', '', '', 0, 10, 'task p41_8819', 0, 0, '', 310, 1454684252, 1, 1455521614),
(8834, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 8834, '', '', '', '15.1.0_Mars', '', '', 0, 10, 'task p41_8834', 0, 0, '', 334, 1454917248, 1, 1463496278),
(8835, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 8835, '', '', '', '', '', '', 0, 10, 'task p41_8835', 0, 0, '', 355, 1454917309, 1, 1463496150),
(8836, 41, 93, 93, 0, 40, 60, 70, 90, 10, 10, 10, 8836, '', '', '', '15.1.0_Patch', '', '', 0, 10, 'task p41_8836', 0, 0, '15.1.0_Jan', 355, 1454923336, 1, 1478619278),
(8837, 41, 72, 146, 0, 30, 50, 70, 80, 20, 10, 10, 8837, '', '', '', '', '', '', 0, 10, 'task p41_8837', 0, 0, '', 266, 1454923815, 1, 1468310971),
(8857, 41, 74, 74, 0, 40, 50, 70, 90, 10, 10, 10, 8857, '', '', '', '', '', '', 0, 10, 'task p41_8857', 0, 0, '16.0_TO', 334, 1455116476, 1, 1478619278),
(8840, 41, 72, 199, 0, 30, 60, 70, 80, 10, 10, 10, 8840, '', '', '', '', '', '', 0, 10, 'task p41_8840', 0, 0, '16.0_TO', 310, 1454947494, 1, 1472657477),
(8842, 41, 72, 199, 0, 30, 60, 70, 90, 60, 10, 10, 8842, '', '', '', '', '', '', 0, 10, 'task p41_8842', 0, 0, '16.0.P_3en1', 310, 1454947584, 1, 1460984489),
(8845, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 8845, '', '', '', '', '', '', 0, 10, 'task p41_8845', 0, 0, 'GAC_1.7', 266, 1455006976, 1, 1462169894),
(8846, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 8846, '', '', '', '', '', '', 0, 10, 'task p41_8846', 0, 0, '', 266, 1455007030, 1, 1462169894),
(8858, 41, 157, 157, 0, 50, 50, 70, 90, 10, 10, 10, 8858, '', '', '', '15.0.0_Nov', '', '', 0, 10, 'task p41_8858', 0, 0, '14.2.2', 310, 1455187738, 1, 1478619167),
(8859, 41, 157, 157, 0, 50, 80, 70, 90, 10, 10, 10, 8859, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_8859', 0, 0, '15.1.0_Jan', 338, 1455187976, 1, 1478619167),
(8930, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8930, '', '', '', '15.1.0_PUMA', '', '', 0, 10, 'task p41_8930', 0, 0, '', 337, 1455613950, 1, 1463496278),
(8903, 41, 72, 74, 0, 30, 50, 70, 90, 20, 10, 10, 8903, '', '', '', '', '', '', 0, 10, 'task p41_8903', 0, 0, '', 334, 1455278736, 1, 1456243675),
(8904, 41, 72, 74, 0, 30, 50, 70, 90, 20, 10, 10, 8904, '', '', '', '', '', '', 0, 10, 'task p41_8904', 0, 0, '', 334, 1455278785, 1, 1463496278),
(8905, 41, 93, 93, 0, 40, 60, 70, 90, 10, 10, 10, 8905, '', '', '', '15.1_P', '', '', 0, 10, 'task p41_8905', 0, 0, '16.0.P_3en1', 310, 1455284594, 1, 1458827671),
(8925, 41, 205, 205, 0, 30, 50, 90, 80, 10, 10, 10, 8925, '', '', '', '', '', '', 0, 10, 'task p41_8925', 0, 0, '', 266, 1455539083, 1, 1478619278),
(8926, 41, 205, 205, 0, 30, 50, 100, 90, 10, 10, 10, 8926, '', '', '', '', '', '', 0, 10, 'task p41_8926', 0, 0, '', 266, 1455539930, 1, 1456931484),
(8927, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 8927, '', '', '', 'GAC_1.5.4.01', '', '', 0, 10, 'task p41_8927', 0, 0, '', 266, 1455540711, 1, 1478619278),
(8928, 41, 205, 205, 0, 30, 50, 90, 80, 10, 10, 10, 8928, '', '', '', 'GAC_1.5.4.01', '', '', 0, 10, 'task p41_8928', 0, 0, '', 266, 1455541079, 1, 1478619278),
(8929, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 8929, '', '', '', 'GAC_1.5.4.01', '', '', 0, 10, 'task p41_8929', 0, 0, '', 266, 1455541849, 1, 1478619278),
(8940, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 8940, '', '', '', '', '', '', 0, 10, 'task p41_8940', 0, 0, '', 337, 1455623566, 1, 1463496278),
(8941, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 8941, '', '', '', '', '', '', 0, 10, 'task p41_8941', 0, 0, '16.0.0', 355, 1455623777, 1, 1458827638),
(8942, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 8942, '', '', '', '', '', '', 0, 10, 'task p41_8942', 0, 0, '16.0.0', 355, 1455623818, 1, 1458827608),
(8949, 41, 164, 164, 0, 30, 50, 70, 80, 10, 10, 10, 8949, '', '', '', '', '', '', 0, 10, 'task p41_8949', 0, 0, '', 206, 1455718740, 1, 1466406912),
(8950, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 8950, '', '', '', '', '', '', 0, 10, 'task p41_8950', 0, 0, '', 311, 1455720917, 1, 1463496278),
(8951, 41, 72, 147, 0, 30, 50, 70, 90, 10, 10, 10, 8951, '', '', '', '', '', '', 0, 10, 'task p41_8951', 0, 0, '16.0.0', 338, 1455723647, 1, 1463496150),
(10329, 41, 199, 199, 0, 10, 50, 10, 80, 10, 10, 10, 10332, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_10329', 0, 0, '', 338, 1461313183, 1, 1472219494),
(9025, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 9025, '', '', '', '', '', '', 0, 10, 'task p41_9025', 0, 0, '16.0.0', 355, 1455877189, 1, 1458827581),
(9026, 41, 72, 93, 0, 30, 50, 70, 90, 10, 10, 10, 9026, '', '', '', '', '', '', 0, 10, 'task p41_9026', 0, 0, '16.0.0', 355, 1455877264, 1, 1458827567),
(9070, 41, 72, 74, 0, 30, 50, 70, 90, 10, 10, 10, 9070, '', '', '', '15.1.0_Mars', '', '', 0, 10, 'task p41_9070', 0, 0, '15.1.0_Mars', 334, 1456137706, 1, 1463496278),
(9071, 41, 72, 199, 0, 30, 50, 70, 90, 20, 10, 10, 9071, '', '', '', '15.1.0_PUMA', '', '', 0, 10, 'task p41_9071', 0, 0, '15.1.0_PUMA', 337, 1456137872, 1, 1463496278),
(9072, 41, 72, 116, 0, 30, 50, 70, 90, 10, 10, 10, 9072, '', '', '', '', '', '', 0, 10, 'task p41_9072', 0, 0, '', 311, 1456138208, 1, 1463496278),
(9098, 41, 72, 200, 0, 30, 50, 70, 80, 10, 10, 10, 9098, '', '', '', '', '', '', 0, 10, 'task p41_9098', 0, 0, '', 338, 1456159666, 1, 1483719733),
(9099, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 9099, '', '', '', '', '', '', 0, 10, 'task p41_9099', 0, 0, '', 338, 1456159735, 1, 1468231543),
(9102, 41, 72, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9102, '', '', '', '', '', '', 0, 10, 'task p41_9102', 0, 0, '15.1.0_PUMA', 337, 1456332657, 1, 1457079185),
(9103, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 9103, '', '', '', '', '', '', 0, 10, 'task p41_9103', 0, 0, '15.1.0_PUMA', 337, 1456332756, 1, 1464941566),
(9201, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 9201, '', '', '', '', '', '', 0, 10, 'task p41_9201', 0, 0, '', 334, 1456469668, 1, 1463496278),
(9202, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 9202, '', '', '', '', '', '', 0, 10, 'task p41_9202', 0, 0, '', 334, 1456469723, 1, 1463496278),
(9236, 41, 72, 158, 0, 30, 50, 70, 90, 10, 10, 10, 9236, '', '', '', '', '', '', 0, 10, 'task p41_9236', 0, 0, 'GAC_1.7.1', 266, 1456482278, 1, 1463496278),
(9241, 41, 72, 74, 0, 60, 50, 70, 90, 10, 10, 10, 9241, '', '', '', '', '', '', 0, 10, 'task p41_9241', 0, 0, '', 338, 1456506123, 1, 1463496278),
(9279, 41, 72, 134, 0, 30, 50, 70, 90, 10, 10, 10, 9279, '', '', '', '', '', '', 0, 10, 'task p41_9279', 0, 0, '15.1.0_Mars', 334, 1456743149, 1, 1463496278),
(9303, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 9303, '', '', '', '', '', '', 0, 10, 'task p41_9303', 0, 0, '', 266, 1456756642, 1, 1478619278),
(9304, 41, 205, 205, 0, 30, 50, 70, 90, 10, 10, 10, 9304, '', '', '', '', '', '', 0, 10, 'task p41_9304', 0, 0, '', 250, 1456758626, 1, 1459874971),
(9305, 41, 205, 217, 0, 30, 50, 70, 82, 10, 10, 10, 9305, '', '', '', '', '', '', 0, 10, 'task p41_9305', 0, 0, '', 266, 1456759611, 1, 1458832289),
(9306, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 9306, '', '', '', '', '', '', 0, 10, 'task p41_9306', 0, 0, '', 266, 1456760128, 1, 1478619278),
(9307, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 9307, '', '', '', '', '', '', 0, 10, 'task p41_9307', 0, 0, '16.0_TO', 310, 1456764845, 1, 1457677802),
(9308, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 9308, '', '', '', '', '', '', 0, 10, 'task p41_9308', 0, 0, '15.1.0_Avril', 310, 1456765343, 1, 1463496150),
(9309, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 9309, '', '', '', '', '', '', 0, 10, 'task p41_9309', 0, 0, '', 310, 1456765498, 1, 1463496150),
(9310, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 9310, '', '', '', '', '', '', 0, 10, 'task p41_9310', 0, 0, '', 310, 1456765626, 1, 1463496278),
(9311, 41, 72, 157, 0, 30, 50, 70, 90, 10, 10, 10, 9311, '', '', '', '', '', '', 0, 10, 'task p41_9311', 0, 0, '', 310, 1456765702, 1, 1463496278),
(9318, 41, 72, 158, 0, 30, 50, 70, 90, 10, 10, 10, 9318, '', '', '', '', '', '', 0, 10, 'task p41_9318', 0, 0, '16.0.0', 338, 1456912555, 1, 1458742753),
(9320, 41, 205, 205, 0, 30, 50, 70, 90, 10, 10, 10, 9320, '', '', '', '', '', '', 0, 10, 'task p41_9320', 0, 0, '', 266, 1456931569, 1, 1457097711),
(9343, 41, 205, 218, 0, 30, 50, 70, 80, 10, 10, 10, 9343, '', '', '', '', '', '', 0, 10, 'task p41_9343', 0, 0, '', 266, 1457086930, 1, 1478619278),
(9344, 41, 205, 218, 0, 30, 50, 70, 90, 10, 10, 10, 9344, '', '', '', '', '', '', 0, 10, 'task p41_9344', 0, 0, '', 266, 1457087151, 1, 1463988440),
(9444, 41, 2, 0, 0, 30, 50, 70, 50, 10, 10, 10, 9447, '', '', '', '', '', '', 0, 10, 'task p41_9444', 0, 0, '', 284, 1457426452, 1, 1463143020),
(9445, 41, 72, 147, 0, 30, 50, 70, 90, 10, 10, 10, 9448, '', '', '', '15.1.0_Avril', '', '', 0, 10, 'task p41_9445', 0, 0, '15.1.0_Avril', 338, 1457433226, 1, 1461143286),
(9451, 41, 93, 93, 0, 40, 80, 70, 90, 10, 10, 10, 9454, '', '', '', '15.1_P', '', '', 0, 10, 'task p41_9451', 0, 0, '15.1_P', 338, 1457455296, 1, 1478619167),
(9452, 41, 72, 200, 0, 30, 50, 70, 80, 20, 10, 10, 9455, '', '', '', '', '', '', 0, 10, 'task p41_9452', 0, 0, '', 338, 1457526022, 1, 1478619201),
(9456, 41, 2, 134, 0, 30, 50, 70, 90, 20, 10, 10, 9459, '', '', '', '', '', '', 0, 10, 'task p41_9456', 0, 0, '15.1.0_Avril', 334, 1457530412, 1, 1458119482),
(9457, 41, 2, 134, 0, 30, 50, 70, 90, 10, 10, 10, 9460, '', '', '', '', '', '', 0, 10, 'task p41_9457', 0, 0, '15.1.0_Avril', 334, 1457530467, 1, 1458118677),
(9459, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 9462, '', '', '', '', '', '', 0, 10, 'task p41_9459', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619166),
(9460, 41, 0, 2, 0, 10, 50, 100, 90, 70, 10, 10, 9463, '', '', '', '', '', '', 0, 10, 'task p41_9460', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619230),
(9461, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 9464, '', '', '', '', '', '', 0, 10, 'task p41_9461', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619166),
(9462, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 9465, '', '', '', '', '', '', 0, 10, 'task p41_9462', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619278),
(9463, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 9466, '', '', '', '', '', '', 0, 10, 'task p41_9463', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619230),
(9464, 41, 0, 2, 0, 10, 50, 100, 80, 70, 10, 10, 9467, '', '', '', '', '', '', 0, 10, 'task p41_9464', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619278),
(9465, 41, 0, 2, 0, 10, 50, 100, 90, 20, 10, 10, 9468, '', '', '', '', '', '', 0, 10, 'task p41_9465', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619166),
(9466, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 9469, '', '', '', '', '', '', 0, 10, 'task p41_9466', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619230),
(9467, 41, 0, 2, 0, 10, 50, 100, 80, 70, 10, 10, 9470, '', '', '', '', '', '', 0, 10, 'task p41_9467', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619278),
(9468, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 9471, '', '', '', '', '', '', 0, 10, 'task p41_9468', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619150),
(9469, 41, 0, 2, 0, 10, 50, 100, 80, 70, 10, 10, 9472, '', '', '', '', '', '', 0, 10, 'task p41_9469', 0, 0, '16.0_TO', 335, 1457478000, 1, 1478619278),
(9470, 41, 0, 199, 0, 10, 50, 100, 90, 10, 10, 10, 9473, '', '', '', '', '', '', 0, 10, 'task p41_9470', 0, 0, '16.0_TO', 335, 1457478000, 1, 1463475249),
(9471, 41, 0, 199, 0, 10, 50, 100, 80, 20, 10, 10, 9474, '', '', '', '', '', '', 0, 10, 'task p41_9471', 0, 0, '16.0_TO', 335, 1457478000, 1, 1465398080),
(9472, 41, 0, 199, 0, 10, 50, 100, 90, 20, 10, 10, 9475, '', '', '', '', '', '', 0, 10, 'task p41_9472', 0, 0, '16.0_TO', 310, 1457478000, 1, 1464600816),
(9474, 41, 0, 2, 0, 10, 50, 100, 90, 60, 10, 10, 9477, '', '', '', '', '', '', 0, 10, 'task p41_9474', 0, 0, '16.0_TO', 335, 1457478000, 1, 1460984657),
(9477, 41, 0, 0, 0, 10, 50, 100, 90, 20, 10, 10, 9480, '', '', '', '', '', '', 0, 10, 'task p41_9477', 0, 0, '16.0_Prov', 310, 1457478000, 1, 1478619166),
(9478, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 9481, '', '', '', '', '', '', 0, 10, 'task p41_9478', 0, 0, '16.0_Prov', 336, 1457478000, 1, 1466592622),
(9479, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 9482, '', '', '', '', '', '', 0, 10, 'task p41_9479', 0, 0, '16.0_Prov', 336, 1457478000, 1, 1466592599),
(9493, 41, 157, 157, 0, 30, 50, 70, 90, 10, 10, 10, 9496, '', '', '', '15.1.0_3en1', '', '', 0, 10, 'task p41_9493', 0, 0, '15.1.P_Avril', 310, 1457677668, 1, 1463723070),
(9494, 41, 199, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9497, '', '', '', '15.1.0_PUMA', '', '', 0, 10, 'task p41_9494', 0, 0, '', 334, 1457681486, 1, 1478619167),
(9495, 41, 199, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9498, '', '', '', '15.1.0_PUMA', '', '', 0, 10, 'task p41_9495', 0, 0, '', 334, 1457682567, 1, 1478619167),
(9496, 41, 199, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9499, '', '', '', '15.1.0_PUMA', '', '', 0, 10, 'task p41_9496', 0, 0, '', 334, 1457683231, 1, 1478619167),
(9510, 41, 2, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9513, '', '', '', '', '', '', 0, 10, 'task p41_9510', 0, 0, '15.1.0_PUMA', 334, 1457703741, 1, 1463496261),
(9511, 41, 2, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9514, '', '', '', '', '', '', 0, 10, 'task p41_9511', 0, 0, '15.1.0_PUMA', 334, 1457703823, 1, 1463496261),
(9512, 41, 2, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9515, '', '', '', '', '', '', 0, 10, 'task p41_9512', 0, 0, '15.1.0_PUMA', 334, 1457703919, 1, 1463496261),
(9513, 41, 2, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9516, '', '', '', '', '', '', 0, 10, 'task p41_9513', 0, 0, '15.1.0_PUMA', 334, 1457703992, 1, 1463496261),
(9514, 41, 2, 199, 0, 30, 50, 70, 90, 10, 10, 10, 9517, '', '', '', '', '', '', 0, 10, 'task p41_9514', 0, 0, '15.1.0_PUMA', 334, 1457704045, 1, 1463496261),
(9515, 41, 2, 0, 0, 30, 50, 70, 80, 10, 10, 10, 9518, '', '', '', '', '', '', 0, 10, 'task p41_9515', 0, 0, '15.1.0_PUMA', 334, 1457704112, 1, 1478619181),
(9516, 41, 2, 199, 0, 30, 50, 70, 80, 10, 10, 10, 9519, '', '', '', '', '', '', 0, 10, 'task p41_9516', 0, 0, '15.1.0_PUMA', 334, 1457704168, 1, 1464941516),
(9563, 41, 205, 205, 0, 30, 50, 70, 90, 10, 10, 10, 9566, '', '', '', '', '', '', 0, 10, 'task p41_9563', 0, 0, '', 338, 1457971840, 1, 1463496150),
(9572, 41, 93, 93, 0, 30, 60, 70, 80, 10, 10, 10, 9575, '', '', '', '15.1_P', '', '', 0, 10, 'task p41_9572', 0, 0, '15.1_P', 355, 1458052504, 1, 1478619166),
(9574, 41, 93, 93, 0, 40, 60, 70, 90, 10, 10, 10, 9577, '', '', '', '15.1_P', '', '', 0, 10, 'task p41_9574', 0, 0, '15.1_P', 355, 1458052609, 1, 1478619167),
(9601, 41, 2, 147, 0, 30, 50, 70, 90, 10, 10, 10, 9604, '', '', '', '', '', '', 0, 10, 'task p41_9601', 0, 0, '', 334, 1458123090, 1, 1463496261),
(9628, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 9631, '', '', '', '', '', '', 0, 10, 'task p41_9628', 0, 0, '', 334, 1458255600, 1, 1478619167),
(12183, 41, 72, 205, 0, 10, 50, 100, 80, 20, 10, 10, 12186, '', '', '', '17.3_PUMA', '', '', 0, 10, 'task p41_12183', 0, 0, '18.0_PUMA', 337, 1465987063, 1, 1491569766),
(9630, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 9633, '', '', '', '', '', '', 0, 10, 'task p41_9630', 0, 0, '', 310, 1458255600, 1, 1478619167),
(9631, 41, 0, 147, 0, 10, 50, 100, 90, 20, 10, 10, 9634, '', '', '', '', '', '', 0, 10, 'task p41_9631', 0, 0, '', 338, 1458255600, 1, 1462784299),
(9632, 41, 0, 217, 0, 10, 50, 100, 80, 10, 10, 10, 9635, '', '', '', '', '', '', 0, 10, 'task p41_9632', 0, 0, '', 337, 1458255600, 1, 1465557136),
(9633, 41, 0, 169, 0, 10, 50, 100, 90, 20, 10, 10, 9636, '', '', '', '', '', '', 0, 10, 'task p41_9633', 0, 0, '', 337, 1458255600, 1, 1464332912),
(9634, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 9637, '', '', '', '', '', '', 0, 10, 'task p41_9634', 0, 0, '', 334, 1458255600, 1, 1459501900),
(9635, 41, 0, 134, 0, 10, 50, 100, 90, 10, 10, 10, 9638, '', '', '', '', '', '', 0, 10, 'task p41_9635', 0, 0, '', 334, 1458255600, 1, 1460020394),
(9643, 41, 134, 134, 0, 30, 50, 70, 80, 10, 10, 10, 9646, '', '', '', '15.1.0_Mars', '', '', 0, 10, 'task p41_9643', 0, 0, '', 334, 1458310767, 1, 1478619230),
(9644, 41, 199, 199, 0, 50, 80, 70, 90, 10, 10, 10, 9647, '', '', '', '', '', '', 0, 10, 'task p41_9644', 0, 0, '', 337, 1458311646, 1, 1458311803),
(9646, 73, 2, 2, 0, 10, 50, 100, 90, 10, 10, 10, 9649, '', '', '', '', '', '', 0, 10, 'Mise à jour de la DOC de reference du RSI', 0, 0, '', 265, 1458319524, 1, 1458319598),
(9670, 41, 93, 93, 0, 30, 60, 70, 80, 20, 10, 10, 9673, '', '', '', '', '', '', 0, 10, 'task p41_9670', 0, 0, '', 310, 1458642297, 1, 1478619166),
(9671, 41, 116, 116, 0, 30, 50, 70, 90, 10, 10, 10, 9674, '', '', '', '', '', '', 0, 10, 'task p41_9671', 0, 0, '', 266, 1458654448, 1, 1478619167),
(9672, 41, 116, 116, 0, 40, 60, 70, 90, 10, 10, 10, 9675, '', '', '', '', '', '', 0, 10, 'task p41_9672', 0, 0, '', 266, 1458655845, 1, 1478619167),
(9674, 41, 72, 157, 0, 30, 50, 70, 90, 20, 10, 10, 9677, '', '', '', '', '', '', 0, 10, 'task p41_9674', 0, 0, '', 310, 1458659603, 1, 1462883706),
(9675, 41, 93, 93, 0, 20, 60, 70, 90, 10, 10, 10, 9678, '', '', '', '15.1.0_Patch', '', '', 0, 10, 'task p41_9675', 0, 0, '15.1.0_Avril', 355, 1458667199, 1, 1478619278),
(9683, 41, 72, 134, 0, 30, 50, 70, 80, 10, 10, 10, 9686, '', '', '', '', '', '', 0, 10, 'task p41_9683', 0, 0, '18.0_PUMA', 337, 1458749430, 1, 1494938820),
(9684, 41, 72, 134, 0, 30, 50, 70, 80, 10, 10, 10, 9687, '', '', '', '', '', '', 0, 10, 'task p41_9684', 0, 0, '18.0_PUMA', 337, 1458749560, 1, 1494938782),
(9685, 41, 72, 158, 0, 30, 50, 70, 90, 10, 10, 10, 9688, '', '', '', '', '', '', 0, 10, 'task p41_9685', 0, 0, '17.3_PUMA', 337, 1458749682, 1, 1494938839),
(9766, 41, 157, 157, 0, 30, 50, 70, 90, 10, 10, 10, 9769, '', '', '', '15.1.0_Avril', '', '', 0, 10, 'task p41_9766', 0, 0, '15.1.0_Avril', 310, 1458832113, 1, 1478619167),
(9889, 41, 205, 205, 0, 30, 50, 100, 80, 10, 10, 10, 9892, '', '', '', '', '', '', 0, 10, 'task p41_9889', 0, 0, '', 337, 1459353904, 1, 1467730731),
(9890, 41, 205, 205, 0, 30, 50, 70, 90, 10, 10, 10, 9893, '', '', '', '', '', '', 0, 10, 'task p41_9890', 0, 0, '', 266, 1459354055, 1, 1460706513),
(9891, 41, 205, 218, 0, 30, 50, 70, 90, 10, 10, 10, 9894, '', '', '', '', '', '', 0, 10, 'task p41_9891', 0, 0, '', 266, 1459354170, 1, 1461245637),
(10636, 41, 199, 199, 0, 10, 50, 10, 90, 10, 10, 10, 10639, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_10636', 0, 0, '', 338, 1462957892, 1, 1463132784),
(9943, 41, 134, 134, 0, 30, 60, 10, 90, 10, 10, 10, 9946, '', '', '', '15.1.0_Avril', '', '', 0, 10, 'task p41_9943', 0, 0, '', 334, 1459437607, 1, 1460020579),
(9951, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 9954, '', '', '', '', '', '', 0, 10, 'task p41_9951', 0, 0, '', 206, 1459516332, 1, 1479481688),
(19043, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19047, '', '', '', '', '', '', 0, 10, 'task p41_19043', 0, 0, '', 337, 1494939093, 1, 1494941074),
(10018, 41, 2, 212, 0, 30, 50, 70, 80, 10, 10, 10, 10021, '', '', '', '', '', '', 0, 10, 'task p41_10018', 0, 0, 'GAC 1.7.10.02', 266, 1459862334, 1, 1469609656),
(10040, 41, 205, 205, 0, 30, 50, 70, 90, 10, 10, 10, 10043, '', '', '', '', '', '', 0, 10, 'task p41_10040', 0, 0, '', 266, 1459872544, 1, 1459956497),
(10041, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 10044, '', '', '', '', '', '', 0, 10, 'task p41_10041', 0, 0, '16.1_PUMA', 266, 1459873816, 1, 1480087699),
(10042, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 10045, '', '', '', '', '', '', 0, 10, 'task p41_10042', 0, 0, '', 266, 1459874333, 1, 1478619278),
(10043, 41, 205, 205, 0, 30, 50, 70, 90, 10, 10, 10, 10046, '', '', '', '', '', '', 0, 10, 'task p41_10043', 0, 0, '', 266, 1459874434, 1, 1459874614),
(10044, 41, 205, 217, 0, 30, 50, 70, 90, 10, 10, 10, 10047, '', '', '', '', '', '', 0, 10, 'task p41_10044', 0, 0, '', 266, 1459929244, 1, 1460118152),
(10045, 41, 116, 116, 0, 30, 60, 70, 90, 10, 10, 10, 10048, '', '', '', 'GAC_1.7', '', '', 0, 10, 'task p41_10045', 0, 0, '', 266, 1459929677, 1, 1461074862),
(10046, 41, 134, 134, 0, 30, 50, 70, 80, 10, 10, 10, 10049, '', '', '', '', '', '', 0, 10, 'task p41_10046', 0, 0, '', 334, 1459932466, 1, 1469104771),
(10049, 41, 93, 169, 0, 50, 80, 70, 90, 10, 10, 10, 10052, '', '', '', '15.1.0_Avril', '', '', 0, 10, 'task p41_10049', 0, 0, '', 355, 1459949164, 1, 1478619230),
(10075, 41, 73, 0, 0, 30, 50, 70, 20, 10, 10, 10, 10078, '', '', '', '', '', '', 0, 10, 'task p41_10075', 0, 0, '', 338, 1460042501, 1, 1478619278),
(10086, 41, 146, 146, 0, 30, 50, 70, 90, 10, 10, 10, 10089, '', '', '', '', '', '', 0, 10, 'task p41_10086', 0, 0, 'GAC_1.7', 266, 1460116352, 1, 1461683899),
(10087, 41, 146, 212, 0, 10, 50, 100, 80, 10, 10, 10, 10090, '', '', '', '', '', '', 0, 10, 'task p41_10087', 0, 0, '', 337, 1460116455, 1, 1465558061),
(10088, 41, 116, 116, 0, 40, 60, 70, 80, 10, 10, 10, 10091, '', '', '', '15.1.0_Jan', '', '', 0, 10, 'task p41_10088', 0, 0, '', 338, 1460117476, 1, 1478619166),
(10089, 41, 74, 74, 0, 30, 50, 70, 90, 10, 10, 10, 10092, '', '', '', '', '', '', 0, 10, 'task p41_10089', 0, 0, '', 355, 1460118034, 1, 1461767880),
(10093, 41, 72, 147, 0, 30, 50, 70, 90, 10, 10, 10, 10096, '', '', '', '', '', '', 0, 10, 'task p41_10093', 0, 0, '', 310, 1460358866, 1, 1463496260),
(10136, 41, 0, 199, 0, 10, 50, 100, 90, 10, 10, 10, 10139, '', '', '', '', '', '', 0, 10, 'task p41_10136', 0, 0, '15.1.P_Avril', 310, 1460584800, 1, 1478619167),
(10137, 41, 0, 199, 0, 10, 50, 100, 90, 10, 10, 10, 10140, '', '', '', '', '', '', 0, 10, 'task p41_10137', 0, 0, '', 310, 1460584800, 1, 1478619167),
(10138, 41, 0, 199, 0, 10, 50, 100, 90, 10, 10, 10, 10141, '', '', '', '', '', '', 0, 10, 'task p41_10138', 0, 0, '', 338, 1460584800, 1, 1478619167),
(10139, 41, 0, 147, 0, 10, 50, 100, 90, 10, 10, 10, 10142, '', '', '', '', '', '', 0, 10, 'task p41_10139', 0, 0, '', 338, 1460584800, 1, 1478619167),
(10166, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 10169, '', '', '', '', '', '', 0, 10, 'task p41_10166', 0, 0, '16.0_TO', 335, 1460930400, 1, 1479465362),
(10165, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 10168, '', '', '', '', '', '', 0, 10, 'task p41_10165', 0, 0, '16.0_TO', 335, 1460930400, 1, 1478619166),
(10144, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 10147, '', '', '', '', '', '', 0, 10, 'task p41_10144', 0, 0, '16.0_TO', 335, 1460584800, 1, 1466758247),
(10145, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 10148, '', '', '', '', '', '', 0, 10, 'task p41_10145', 0, 0, '16.0_TO', 335, 1460584800, 1, 1465295363),
(10146, 41, 0, 147, 0, 10, 50, 100, 90, 10, 10, 10, 10149, '', '', '', '', '', '', 0, 10, 'task p41_10146', 0, 0, '', 334, 1460584800, 1, 1478619167),
(10147, 41, 0, 199, 0, 10, 50, 100, 90, 10, 10, 10, 10150, '', '', '', '', '', '', 0, 10, 'task p41_10147', 0, 0, '', 334, 1460584800, 1, 1478619167),
(10148, 41, 0, 2, 0, 10, 50, 100, 90, 10, 10, 10, 10151, '', '', '', '', '', '', 0, 10, 'task p41_10148', 0, 0, '', 334, 1460584800, 1, 1478619167),
(10153, 41, 93, 93, 0, 30, 50, 70, 80, 20, 10, 10, 10156, '', '', '', '', '', '', 0, 10, 'task p41_10153', 0, 0, '', 355, 1460726524, 1, 1478619278),
(10154, 41, 93, 0, 0, 30, 50, 70, 20, 10, 10, 10, 10157, '', '', '', '', '', '', 0, 10, 'task p41_10154', 0, 0, '', 355, 1460726594, 1, 1478619230),
(10786, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 10789, '', '', '', '', '', '', 0, 10, 'task p41_10786', 0, 0, '', 266, 1463494940, 1, 1478619230),
(10192, 41, 2, 93, 0, 10, 50, 100, 90, 10, 10, 10, 10195, '', '', '', '', '', '', 0, 10, 'task p41_10192', 0, 0, '16.0_TO', 335, 1461056962, 1, 1463732669),
(10193, 41, 2, 199, 0, 10, 50, 100, 80, 10, 10, 10, 10196, '', '', '', '', '', '', 0, 10, 'task p41_10193', 0, 0, '16.0_TO', 335, 1461057290, 1, 1465292428),
(10194, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 10197, '', '', '', '', '', '', 0, 10, 'task p41_10194', 0, 0, '16.0_TO', 335, 1461016800, 1, 1478619278),
(10195, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 10198, '', '', '', '', '', '', 0, 10, 'task p41_10195', 0, 0, '', 335, 1461016800, 1, 1478619150),
(11032, 41, 2, 164, 0, 30, 50, 100, 80, 10, 10, 10, 11035, '', '', '', '', '', '', 0, 10, 'task p41_11032', 0, 0, '', 206, 1464350290, 1, 1492073227),
(10235, 41, 199, 199, 0, 10, 50, 10, 90, 10, 10, 10, 10238, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_10235', 0, 0, '', 338, 1461143286, 1, 1478619167),
(10236, 41, 199, 199, 0, 10, 50, 10, 90, 10, 10, 10, 10239, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_10236', 0, 0, '', 338, 1461145462, 1, 1478619167),
(10248, 41, 205, 217, 0, 10, 50, 100, 90, 10, 10, 10, 10251, '', '', '', '', '', '', 0, 10, 'task p41_10248', 0, 0, '17.3_PUMA', 337, 1461225693, 1, 1462348798),
(10280, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 10283, '', '', '', '', '', '', 0, 10, 'task p41_10280', 0, 0, 'GAC_2.0', 266, 1461239072, 1, 1468401871),
(10290, 41, 93, 74, 0, 40, 80, 70, 80, 80, 10, 10, 10293, '', '', '', '15.1.0_AFFI', '', '', 0, 10, 'task p41_10290', 0, 0, '15.1.0_AFFI', 338, 1461250103, 1, 1467884774),
(10330, 41, 199, 199, 0, 30, 60, 70, 80, 10, 10, 10, 10333, '', '', '', '', '16.0_TO', '', 0, 10, 'task p41_10330', 0, 0, '16.0_TO', 310, 1461328342, 1, 1475222027),
(10359, 41, 72, 157, 0, 60, 50, 70, 90, 10, 10, 10, 10362, '', '', '', '15.1.2', '', '', 0, 10, 'task p41_10359', 0, 0, '15.1.P_Avril', 310, 1461579068, 1, 1463496150),
(13227, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 13230, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_13227', 0, 0, '16.0_TO', 335, 1469456247, 1, 1470311300),
(10366, 41, 199, 199, 0, 10, 50, 100, 90, 10, 10, 10, 10369, '', '', '', '', '', '', 0, 10, 'task p41_10366', 0, 0, '', 334, 1461599900, 1, 1463132866),
(10390, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 10393, '', '', '', '', '', '', 0, 10, 'task p41_10390', 0, 0, '18.0_PUMA', 337, 1461744562, 1, 1494943568),
(10623, 41, 72, 147, 0, 10, 50, 100, 80, 10, 10, 10, 10626, '', '', '', '', '', '', 0, 10, 'task p41_10623', 0, 0, '18.0_PUMA', 337, 1462807899, 1, 1493133519),
(10391, 41, 72, 200, 0, 10, 50, 100, 80, 10, 10, 10, 10394, '', '', '', '', '', '', 0, 10, 'task p41_10391', 0, 0, '18.0_PUMA', 337, 1461745310, 1, 1491569790),
(10392, 41, 72, 217, 0, 10, 50, 100, 80, 20, 10, 10, 10395, '', '', '', '', '', '', 0, 10, 'task p41_10392', 0, 0, '18.0_PUMA', 337, 1461746095, 1, 1494945690),
(10393, 41, 72, 200, 0, 10, 50, 100, 80, 10, 10, 10, 10396, '', '', '', '', '', '', 0, 10, 'task p41_10393', 0, 0, '18.0_PUMA', 337, 1461747765, 1, 1494946719),
(10394, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 10397, '', '', '', '', '', '', 0, 10, 'task p41_10394', 0, 0, '18.0_PUMA', 337, 1461748765, 1, 1495019140),
(10395, 41, 72, 217, 0, 10, 50, 100, 80, 10, 10, 10, 10398, '', '', '', '', '', '', 0, 10, 'task p41_10395', 0, 0, '18.0_PUMA', 337, 1461748984, 1, 1494944198),
(10396, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 10399, '', '', '', '', '', '', 0, 10, 'task p41_10396', 0, 0, '18.0_PUMA', 337, 1461749240, 1, 1491569765),
(10397, 41, 72, 217, 0, 10, 50, 100, 80, 20, 10, 10, 10400, '', '', '', '', '', '', 0, 10, 'task p41_10397', 0, 0, '18.0_PUMA', 337, 1461749345, 1, 1494944176),
(10398, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 10401, '', '', '', '', '', '', 0, 10, 'task p41_10398', 0, 0, '18.0_PUMA', 337, 1461749557, 1, 1495171898),
(10399, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 10402, '', '', '', '', '', '', 0, 10, 'task p41_10399', 0, 0, '18.0_PUMA', 337, 1461749766, 1, 1494943253),
(10400, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 10403, '', '', '', '', '', '', 0, 10, 'task p41_10400', 0, 0, '18.0_PUMA', 337, 1461749878, 1, 1495029600),
(10401, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 10404, '', '', '', '', '', '', 0, 10, 'task p41_10401', 0, 0, '16.0_TO', 355, 1461708000, 1, 1466757270),
(10598, 41, 72, 246, 0, 10, 50, 100, 80, 10, 10, 10, 10601, '', '', '', '', '', '', 0, 10, 'task p41_10598', 0, 0, '18.0_PUMA', 337, 1462349483, 1, 1494944249),
(10406, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 10409, '', '', '', '', '', '', 0, 10, 'task p41_10406', 0, 0, '18.0_PUMA', 337, 1461772264, 1, 1494942468),
(10413, 41, 199, 199, 0, 30, 60, 70, 90, 10, 10, 10, 10416, '', '', '', '', '', '', 0, 10, 'task p41_10413', 0, 0, '16.0_TO', 310, 1461850233, 1, 1463754635),
(10415, 41, 72, 158, 0, 30, 50, 70, 80, 10, 10, 10, 10418, '', '', '', '', '', '', 0, 10, 'task p41_10415', 0, 0, '18.0_PUMA', 337, 1461929997, 1, 1494940868),
(10414, 41, 72, 2, 0, 30, 50, 70, 80, 10, 10, 10, 10417, '', '', '', '', '', '', 0, 10, 'task p41_10414', 0, 0, '', 310, 1461917408, 1, 1469466223),
(10422, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 10425, '', '', '', '', '', '', 0, 10, 'Migration SVN -> Git', 0, 0, '', 297, 1461938023, 1, 1461938023),
(10423, 41, 72, 212, 0, 10, 50, 100, 80, 10, 10, 10, 10426, '', '', '', '', '', '', 0, 10, 'task p41_10423', 0, 0, '16.0_TO', 250, 1461944229, 1, 1472113965),
(10424, 41, 72, 205, 0, 30, 50, 70, 90, 10, 10, 10, 10427, '', '', '', '', '', '', 0, 10, 'task p41_10424', 0, 0, 'GAC_1.7.1', 266, 1462168548, 1, 1462171478),
(10425, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 10428, '', '', '', '', '', '', 0, 10, 'task p41_10425', 0, 0, 'GAC_1.7.1', 266, 1462169015, 1, 1478607275),
(10426, 41, 72, 146, 0, 30, 50, 70, 80, 30, 10, 10, 10429, '', '', '', '', '', '', 0, 10, 'task p41_10426', 0, 0, '', 337, 1462171848, 1, 1480348437),
(10427, 41, 199, 199, 0, 30, 60, 70, 80, 20, 10, 10, 10430, '', '', '', '', '', '', 0, 10, 'task p41_10427', 0, 0, '16.0_TO', 310, 1462172788, 1, 1465200067),
(10437, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 10440, '', '', '', '', '', '', 0, 10, 'task p41_10437', 0, 0, '', 334, 1462201254, 1, 1478619230),
(10488, 41, 157, 157, 0, 30, 60, 100, 90, 10, 10, 10, 10491, '', '', '', '15.1.P_Avril', '', '', 0, 10, 'task p41_10488', 0, 0, '15.1_P', 355, 1462256755, 1, 1462861741),
(10489, 41, 157, 157, 0, 30, 60, 100, 90, 10, 10, 10, 10492, '', '', '', '15.1.P_Avril', '', '', 0, 10, 'task p41_10489', 0, 0, '', 355, 1462256799, 1, 1462286610),
(13294, 41, 72, 157, 0, 50, 50, 70, 80, 10, 10, 10, 13297, '', '', '', '', '', '', 0, 10, 'task p41_13294', 0, 0, '', 355, 1469776455, 1, 1470818480),
(10611, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 10614, '', '', '', '', '', '', 0, 10, 'task p41_10611', 0, 0, '16.0_TO', 335, 1462780010, 1, 1465292447),
(10617, 41, 72, 147, 0, 10, 50, 100, 80, 10, 10, 10, 10620, '', '', '', '', '', '', 0, 10, 'task p41_10617', 0, 0, '', 338, 1462744800, 1, 1467279725),
(10621, 41, 0, 157, 0, 10, 50, 100, 80, 20, 10, 10, 10624, '', '', '', '', '', '', 0, 10, 'task p41_10621', 0, 0, '16.0_TO', 310, 1462744800, 1, 1465293005),
(10622, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 10625, '', '', '', '', '', '', 0, 10, 'task p41_10622', 0, 0, '16.0_TO', 310, 1462744800, 1, 1469103014),
(10625, 41, 205, 146, 0, 30, 50, 70, 80, 10, 10, 10, 10628, '', '', '', '', '', '', 0, 10, 'task p41_10625', 0, 0, '', 266, 1462884667, 1, 1478619278),
(10651, 41, 205, 146, 0, 30, 50, 70, 80, 10, 10, 10, 10654, '', '', '', '', '', '', 0, 10, 'task p41_10651', 0, 0, '', 266, 1462981047, 1, 1478619278),
(10659, 41, 212, 212, 0, 30, 50, 70, 80, 20, 10, 10, 10662, '', '', '', '', '', '', 0, 10, 'task p41_10659', 0, 0, '', 187, 1463055488, 1, 1468333218),
(12845, 41, 72, 205, 0, 30, 50, 70, 80, 20, 10, 10, 12848, '', '', '', '', '', '', 0, 10, 'task p41_12845', 0, 0, '', 266, 1468313613, 1, 1480086403),
(19196, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 19200, '', '', '', '', '', '', 0, 10, 'task p41_19196', 0, 0, '', 334, 1496040841, 1, 1496041456),
(10737, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 10740, '', '', '', '', '', '', 0, 10, 'task p41_10737', 0, 0, '18.0_PUMA', 337, 1463141742, 1, 1494946822),
(10738, 41, 72, 158, 0, 10, 50, 100, 90, 80, 10, 10, 10741, '', '', '', '', '', '', 0, 10, 'task p41_10738', 0, 0, '17.3_PUMA', 337, 1463142488, 1, 1470311517),
(10740, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 10743, '', '', '', '', '', '', 0, 10, 'task p41_10740', 0, 0, '18.0_PUMA', 337, 1463142959, 1, 1494493782),
(10741, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 10744, '', '', '', '', '', '', 0, 10, 'task p41_10741', 0, 0, '18.0_PUMA', 337, 1463143014, 1, 1498825799),
(10742, 41, 72, 147, 0, 10, 50, 100, 80, 10, 10, 10, 10745, '', '', '', '', '', '', 0, 10, 'task p41_10742', 0, 0, '18.0_PUMA', 337, 1463143058, 1, 1494493652),
(10743, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 10746, '', '', '', '', '', '', 0, 10, 'task p41_10743', 0, 0, '18.0_PUMA', 337, 1463143409, 1, 1506428897),
(10744, 41, 72, 246, 0, 10, 50, 100, 80, 10, 10, 10, 10747, '', '', '', '', '', '', 0, 10, 'task p41_10744', 0, 0, '18.0_PUMA', 337, 1463143481, 1, 1494944262),
(10745, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 10748, '', '', '', '', '', '', 0, 10, 'task p41_10745', 0, 0, '18.0_PUMA', 337, 1463144086, 1, 1504864551),
(10746, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 10749, '', '', '', '', '', '', 0, 10, 'task p41_10746', 0, 0, '18.0_PUMA', 337, 1463144184, 1, 1495029638),
(10749, 41, 72, 169, 0, 10, 50, 100, 80, 10, 10, 10, 10752, '', '', '', '', '', '', 0, 10, 'task p41_10749', 0, 0, '18.0_PUMA', 337, 1463144995, 1, 1499146704),
(10770, 41, 72, 158, 0, 10, 50, 100, 80, 10, 10, 10, 10773, '', '', '', '', '', '', 0, 10, 'task p41_10770', 0, 0, '18.0_PUMA', 337, 1463149257, 1, 1494945751),
(10785, 41, 72, 134, 0, 50, 50, 70, 90, 10, 10, 10, 10788, '', '', '', '15.1.0_Mars', '', '', 0, 10, 'task p41_10785', 0, 0, '', 334, 1463490825, 1, 1463996786),
(10789, 41, 0, 147, 0, 10, 50, 100, 90, 10, 10, 10, 10792, '', '', '', '', '', '', 0, 10, 'task p41_10789', 0, 0, '', 338, 1463522400, 1, 1478619278),
(10790, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 10793, '', '', '', '', '', '', 0, 10, 'task p41_10790', 0, 0, '', 337, 1463522400, 1, 1478619278),
(10791, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 10794, '', '', '', '', '', '', 0, 10, 'task p41_10791', 0, 0, '', 334, 1463522400, 1, 1478619230),
(10858, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 10861, '', '', '', '', '', '', 0, 10, 'Pilotage -- Direction de projet', 0, 0, '', 294, 1463736081, 1, 1463736823),
(10869, 41, 205, 146, 0, 30, 50, 70, 80, 10, 10, 10, 10872, '', '', '', '', '', '', 0, 10, 'task p41_10869', 0, 0, '', 266, 1463756531, 1, 1478619278),
(10870, 41, 0, 134, 0, 10, 50, 100, 80, 10, 10, 10, 10873, '', '', '', '', '', '', 0, 10, 'task p41_10870', 0, 0, '', 334, 1463695200, 1, 1478619214),
(10871, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 10874, '', '', '', '', '', '', 0, 10, 'task p41_10871', 0, 0, '', 310, 1463695200, 1, 1478619230),
(10872, 41, 0, 169, 0, 10, 50, 100, 90, 10, 10, 10, 10875, '', '', '', '', '', '', 0, 10, 'task p41_10872', 0, 0, '', 337, 1463695200, 1, 1478619278),
(10873, 41, 72, 169, 0, 10, 50, 100, 80, 10, 10, 10, 10876, '', '', '', '', '', '', 0, 10, 'task p41_10873', 0, 0, '', 337, 1463759634, 1, 1478619278),
(10895, 41, 0, 169, 0, 10, 50, 100, 90, 10, 10, 10, 10898, '', '', '', '', '', '', 0, 10, 'task p41_10895', 0, 0, '', 337, 1464040800, 1, 1478619167),
(10896, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 10899, '', '', '', '', '', '', 0, 10, 'task p41_10896', 0, 0, '', 337, 1464040800, 1, 1478619166),
(10897, 41, 0, 169, 0, 10, 50, 100, 90, 10, 10, 10, 10900, '', '', '', '', '', '', 0, 10, 'task p41_10897', 0, 0, '', 337, 1464040800, 1, 1478619167),
(10932, 41, 72, 169, 0, 10, 50, 100, 90, 10, 10, 10, 10935, '', '', '', '15.1.0_PUMA', '', '', 0, 10, 'task p41_10932', 0, 0, '', 337, 1464168312, 1, 1478619278),
(10952, 41, 212, 205, 0, 30, 50, 70, 80, 10, 10, 10, 10955, '', '', '', '', '', '', 0, 10, 'task p41_10952', 0, 0, '', 266, 1464185510, 1, 1465826975),
(10995, 41, 72, 169, 0, 10, 50, 100, 80, 10, 10, 10, 10998, '', '', '', '15.1.0_PUMA', '', '', 0, 10, 'task p41_10995', 0, 0, '', 337, 1464278430, 1, 1478619278);
INSERT INTO `mantis_bug_table` (`id`, `project_id`, `reporter_id`, `handler_id`, `duplicate_id`, `priority`, `severity`, `reproducibility`, `status`, `resolution`, `projection`, `eta`, `bug_text_id`, `os`, `os_build`, `platform`, `version`, `fixed_in_version`, `build`, `profile_id`, `view_state`, `summary`, `sponsorship_total`, `sticky`, `target_version`, `category_id`, `date_submitted`, `due_date`, `last_updated`) VALUES
(11007, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 11010, '', '', '', '', '', '', 0, 10, 'task p41_11007', 0, 0, '', 266, 1464343142, 1, 1469724385),
(11019, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 11022, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_11019', 0, 0, '16.0.0', 338, 1464347845, 1, 1464773389),
(11020, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 11023, '', '', '', '', '', '', 0, 10, 'task p41_11020', 0, 0, '', 338, 1464348179, 1, 1465544255),
(11111, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 11114, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_11111', 0, 0, '', 338, 1464623428, 1, 1464773537),
(11112, 41, 72, 217, 0, 10, 50, 100, 80, 10, 10, 10, 11115, '', '', '', '17.3_PUMA', '', '', 0, 10, 'task p41_11112', 0, 0, '18.0_PUMA', 337, 1464677569, 1, 1507540536),
(11114, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 11117, '', '', '', '', '', '', 0, 10, 'task p41_11114', 0, 0, '', 337, 1464687393, 1, 1467962582),
(11132, 41, 0, 200, 0, 10, 50, 100, 80, 10, 10, 10, 11135, '', '', '', '', '', '', 0, 10, 'task p41_11132', 0, 0, '16.1_PUMA', 337, 1464732000, 1, 1465574002),
(11133, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 11136, '', '', '', '', '', '', 0, 10, 'task p41_11133', 0, 0, '16.1_PUMA', 337, 1464732000, 1, 1469171257),
(11178, 41, 72, 212, 0, 10, 50, 100, 80, 10, 10, 10, 11181, '', '', '', '', '', '', 0, 10, 'task p41_11178', 0, 0, '', 250, 1464793834, 1, 1476078371),
(12164, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 12167, '', '', '', '', '', '', 0, 10, 'task p41_12164', 0, 0, '', 266, 1465824313, 1, 1480086140),
(12110, 41, 72, 157, 0, 10, 80, 100, 80, 10, 10, 10, 12113, '', '', '', '', '', '', 0, 10, 'task p41_12110', 0, 0, '', 310, 1465556315, 1, 1478619230),
(12109, 41, 72, 134, 0, 10, 60, 100, 80, 10, 10, 10, 12112, '', '', '', '15.1.0_Avril', '', '', 0, 10, 'task p41_12109', 0, 0, '', 334, 1465556178, 1, 1478619278),
(12158, 41, 205, 217, 0, 30, 50, 70, 80, 10, 10, 10, 12161, '', '', '', '', '', '', 0, 10, 'task p41_12158', 0, 0, '', 266, 1465824069, 1, 1478619278),
(11661, 41, 74, 74, 0, 30, 50, 70, 80, 20, 10, 10, 11664, '', '', '', '', '', '', 0, 10, 'task p41_11661', 0, 0, '', 338, 1464872518, 1, 1464958294),
(11664, 41, 157, 157, 0, 30, 60, 10, 80, 10, 10, 10, 11667, '', '', '', '', '', '', 0, 10, 'task p41_11664', 0, 0, '', 355, 1464930907, 1, 1478619230),
(12157, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12160, '', '', '', '', '', '', 0, 10, 'task p41_12157', 0, 0, '', 266, 1465824031, 1, 1478619230),
(12114, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 12117, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_12114', 0, 0, '16.0.0', 338, 1465558840, 1, 1466177725),
(12161, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 12164, '', '', '', '', '', '', 0, 10, 'task p41_12161', 0, 0, '', 266, 1465824238, 1, 1480086141),
(12151, 41, 205, 217, 0, 30, 50, 70, 80, 10, 10, 10, 12154, '', '', '', '', '', '', 0, 10, 'task p41_12151', 0, 0, '', 266, 1465820220, 1, 1478619278),
(12156, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12159, '', '', '', '', '', '', 0, 10, 'task p41_12156', 0, 0, '', 266, 1465824004, 1, 1478619230),
(12160, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12163, '', '', '', '', '', '', 0, 10, 'task p41_12160', 0, 0, '', 266, 1465824177, 1, 1478619230),
(12112, 41, 72, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12115, '', '', '', '', '', '', 0, 10, 'task p41_12112', 0, 0, '', 337, 1465557313, 1, 1465573108),
(12153, 41, 205, 217, 0, 30, 50, 70, 80, 10, 10, 10, 12156, '', '', '', '', '', '', 0, 10, 'task p41_12153', 0, 0, '', 266, 1465823904, 1, 1478619230),
(12155, 41, 205, 0, 0, 30, 50, 70, 80, 10, 10, 10, 12158, '', '', '', '', '', '', 0, 10, 'task p41_12155', 0, 0, '', 266, 1465823966, 1, 1478619150),
(12111, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 12114, '', '', '', '', '', '', 0, 10, 'task p41_12111', 0, 0, '15.1.0_PUMA', 337, 1465557136, 1, 1465826641),
(12137, 41, 146, 168, 0, 40, 60, 70, 80, 20, 10, 10, 12140, '', '', '', 'GAC_15.1.80', '', '', 0, 10, 'task p41_12137', 0, 0, 'GAC_15.1.80', 266, 1465573673, 1, 1481554460),
(12159, 41, 205, 146, 0, 30, 50, 70, 80, 20, 10, 10, 12162, '', '', '', '', '', '', 0, 10, 'task p41_12159', 0, 0, '', 266, 1465824118, 1, 1478619230),
(12154, 41, 205, 217, 0, 30, 50, 70, 80, 20, 10, 10, 12157, '', '', '', '', '', '', 0, 10, 'task p41_12154', 0, 0, '', 266, 1465823946, 1, 1480086141),
(12113, 41, 72, 212, 0, 10, 50, 100, 80, 10, 10, 10, 12116, '', '', '', '', '', '', 0, 10, 'task p41_12113', 0, 0, '15.1.0_PUMA', 337, 1465558061, 1, 1467726311),
(12163, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 12166, '', '', '', '', '', '', 0, 10, 'task p41_12163', 0, 0, '', 266, 1465824275, 1, 1480086141),
(11975, 41, 72, 169, 0, 30, 50, 70, 90, 10, 10, 10, 11978, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_11975', 0, 0, '16.0.0', 338, 1465198286, 1, 1466609548),
(12097, 41, 72, 134, 0, 10, 80, 100, 80, 20, 10, 10, 12100, '', '', '', '', '', '', 0, 10, 'task p41_12097', 0, 0, '', 334, 1465459276, 1, 1478619230),
(12057, 41, 0, 200, 0, 10, 50, 100, 80, 10, 10, 10, 12060, '', '', '', '', '', '', 0, 10, 'task p41_12057', 0, 0, '', 337, 1465336800, 1, 1466607691),
(12058, 41, 0, 116, 0, 10, 50, 100, 80, 10, 10, 10, 12061, '', '', '', '', '', '', 0, 10, 'task p41_12058', 0, 0, '', 337, 1465336800, 1, 1469616258),
(12059, 41, 0, 157, 0, 10, 80, 100, 80, 10, 10, 10, 12062, '', '', '', '', '', '', 0, 10, 'task p41_12059', 0, 0, '', 310, 1465336800, 1, 1478619230),
(12060, 41, 0, 199, 0, 50, 80, 100, 90, 20, 10, 10, 12063, '', '', '', '', '', '', 0, 10, 'task p41_12060', 0, 0, '', 310, 1465336800, 1, 1478619230),
(12061, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12064, '', '', '', '', '', '', 0, 10, 'task p41_12061', 0, 0, '15.1.0_PUMA', 337, 1465336800, 1, 1478619166),
(12152, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 12155, '', '', '', '', '', '', 0, 10, 'task p41_12152', 0, 0, '', 266, 1465820271, 1, 1480086141),
(13543, 41, 72, 147, 0, 50, 50, 70, 80, 10, 10, 10, 13546, '', '', '', '', '', '', 0, 10, 'task p41_13543', 0, 0, '', 334, 1470233108, 1, 1472820597),
(12179, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 12182, '', '', '', '', '', '', 0, 10, 'Support GIT', 0, 0, '', 298, 1465894448, 1, 1465915856),
(12181, 41, 72, 157, 0, 10, 80, 100, 80, 10, 10, 10, 12184, '', '', '', '', '', '', 0, 10, 'task p41_12181', 0, 0, '', 310, 1465898243, 1, 1478619230),
(12182, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 12185, '', '', '', '', '', '', 0, 10, 'task p41_12182', 0, 0, '', 310, 1465969418, 1, 1478619166),
(12186, 41, 72, 0, 0, 30, 60, 70, 80, 10, 10, 10, 12189, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_12186', 0, 0, '', 355, 1466002132, 1, 1478619230),
(12196, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12199, '', '', '', '', '', '', 0, 10, 'task p41_12196', 0, 0, '15.1.0_PUMA', 337, 1466028000, 1, 1478619230),
(12197, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12200, '', '', '', '', '', '', 0, 10, 'task p41_12197', 0, 0, '15.1.0_PUMA', 337, 1466028000, 1, 1478619230),
(12199, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 12202, '', '', '', '', '', '', 0, 10, 'task p41_12199', 0, 0, '16.0_Prov', 310, 1466089387, 1, 1475222262),
(12252, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12255, '', '', '', '', '', '', 0, 10, 'task p41_12252', 0, 0, '', 266, 1466409544, 1, 1478619166),
(12253, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12256, '', '', '', '', '', '', 0, 10, 'task p41_12253', 0, 0, '', 266, 1466409612, 1, 1478619166),
(12798, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 12801, '', '', '', '', '', '', 0, 10, 'task p41_12798', 0, 0, '', 337, 1467962582, 1, 1467962870),
(12284, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 12287, '', '', '', '', '', '', 0, 10, 'task p41_12284', 0, 0, '16.0_Prov', 310, 1466546400, 1, 1470039469),
(12285, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 12288, '', '', '', '', '', '', 0, 10, 'task p41_12285', 0, 0, '16.0_Prov', 310, 1466546400, 1, 1470030267),
(12287, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 12290, '', '', '', '', '', '', 0, 10, 'task p41_12287', 0, 0, '18.0_PUMA', 337, 1466607283, 1, 1500292289),
(12288, 41, 72, 74, 0, 10, 50, 100, 80, 20, 10, 10, 12291, '', '', '', '', '', '', 0, 10, 'task p41_12288', 0, 0, '18.0_PUMA', 337, 1466607385, 1, 1501742410),
(12289, 41, 0, 93, 0, 10, 50, 100, 80, 10, 10, 10, 12292, '', '', '', '', '', '', 0, 10, 'task p41_12289', 0, 0, '16.0.0', 338, 1466546400, 1, 1470906014),
(12290, 41, 0, 93, 0, 10, 50, 100, 80, 10, 10, 10, 12293, '', '', '', '', '', '', 0, 10, 'task p41_12290', 0, 0, '16.0.0', 338, 1466546400, 1, 1467356900),
(12302, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 12305, '', '', '', '', '', '', 0, 10, 'task p41_12302', 0, 0, '16.0.0', 338, 1466719200, 1, 1478619230),
(12303, 41, 0, 134, 0, 10, 50, 100, 80, 10, 10, 10, 12306, '', '', '', '', '', '', 0, 10, 'task p41_12303', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12304, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12307, '', '', '', '', '', '', 0, 10, 'task p41_12304', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1495026890),
(12305, 41, 0, 169, 0, 10, 50, 100, 80, 20, 10, 10, 12308, '', '', '', '', '', '', 0, 10, 'task p41_12305', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12306, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 12309, '', '', '', '', '', '', 0, 10, 'task p41_12306', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12307, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12310, '', '', '', '', '', '', 0, 10, 'task p41_12307', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1498120601),
(12308, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12311, '', '', '', '', '', '', 0, 10, 'task p41_12308', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1498120652),
(12309, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12312, '', '', '', '', '', '', 0, 10, 'task p41_12309', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12311, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12314, '', '', '', '', '', '', 0, 10, 'task p41_12311', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12312, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12315, '', '', '', '', '', '', 0, 10, 'task p41_12312', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12313, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12316, '', '', '', '', '', '', 0, 10, 'task p41_12313', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12314, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12317, '', '', '', '', '', '', 0, 10, 'task p41_12314', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12315, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12318, '', '', '', '', '', '', 0, 10, 'task p41_12315', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12316, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12319, '', '', '', '', '', '', 0, 10, 'task p41_12316', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12317, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12320, '', '', '', '', '', '', 0, 10, 'task p41_12317', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12318, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12321, '', '', '', '', '', '', 0, 10, 'task p41_12318', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12319, 41, 0, 146, 0, 10, 50, 100, 80, 10, 10, 10, 12322, '', '', '', '', '', '', 0, 10, 'task p41_12319', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12320, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12323, '', '', '', '', '', '', 0, 10, 'task p41_12320', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12321, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12324, '', '', '', '', '', '', 0, 10, 'task p41_12321', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(13774, 41, 2, 199, 0, 40, 50, 100, 80, 10, 10, 10, 13777, '', '', '', '', '', '', 0, 10, 'task p41_13774', 0, 0, '18.0_PUMA', 337, 1472052446, 1, 1517296823),
(12323, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12326, '', '', '', '', '', '', 0, 10, 'task p41_12323', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1495030904),
(12324, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12327, '', '', '', '', '', '', 0, 10, 'task p41_12324', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12325, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12328, '', '', '', '', '', '', 0, 10, 'task p41_12325', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1498120569),
(12326, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12329, '', '', '', '', '', '', 0, 10, 'task p41_12326', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12327, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 12330, '', '', '', '', '', '', 0, 10, 'task p41_12327', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(12328, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12331, '', '', '', '', '', '', 0, 10, 'task p41_12328', 0, 0, '18.0_PUMA', 337, 1466719200, 1, 1491569766),
(13775, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 13778, '', '', '', '', '', '', 0, 10, 'task p41_13775', 0, 0, '', 266, 1472106835, 1, 1481554393),
(12330, 41, 72, 169, 0, 30, 60, 70, 80, 10, 10, 10, 12333, '', '', '', '', '', '', 0, 10, 'task p41_12330', 0, 0, '18.0_PUMA', 337, 1466759971, 1, 1491569766),
(12331, 41, 72, 146, 0, 30, 50, 70, 80, 10, 10, 10, 12334, '', '', '', '', '', '', 0, 10, 'task p41_12331', 0, 0, 'GAC_2.0', 266, 1466766999, 1, 1475853859),
(13349, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 13352, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_13349', 0, 0, '16.0_TO', 335, 1470045333, 1, 1472560727),
(12465, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 12468, '', '', '', '', '', '', 0, 10, 'task p41_12465', 0, 0, '', 310, 1467064800, 1, 1478619166),
(12466, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 12469, '', '', '', '', '', '', 0, 10, 'task p41_12466', 0, 0, '', 310, 1467064800, 1, 1478619166),
(12467, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 12470, '', '', '', '', '', '', 0, 10, 'task p41_12467', 0, 0, '', 310, 1467064800, 1, 1478619150),
(12654, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 12657, '', '', '', '', '', '', 0, 10, 'task p41_12654', 0, 0, '16.0_TO', 206, 1467125545, 1, 1475249171),
(12657, 41, 72, 134, 0, 50, 50, 70, 80, 10, 10, 10, 12660, '', '', '', '15.1.P_Avril', '', '', 0, 10, 'task p41_12657', 0, 0, '15.1.P_Avril', 334, 1467189070, 1, 1467208717),
(12686, 41, 72, 169, 0, 10, 50, 100, 80, 10, 10, 10, 12689, '', '', '', '', '', '', 0, 10, 'task p41_12686', 0, 0, '', 338, 1467356461, 1, 1472806820),
(12687, 41, 72, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12690, '', '', '', '', '', '', 0, 10, 'task p41_12687', 0, 0, '18.0_PUMA', 337, 1467361871, 1, 1494945177),
(12688, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 12691, '', '', '', '', '', '', 0, 10, 'task p41_12688', 0, 0, '18.0_PUMA', 337, 1467361991, 1, 1494945231),
(12689, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 12692, '', '', '', '', '', '', 0, 10, 'task p41_12689', 0, 0, '18.0_PUMA', 337, 1467362027, 1, 1491569766),
(12738, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 12741, '', '', '', '15.1.P_Avril', '', '', 0, 10, 'task p41_12738', 0, 0, '15.1.P_Avril', 310, 1467631792, 1, 1472023406),
(12739, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 12742, '', '', '', '15.1.P_Avril', '', '', 0, 10, 'task p41_12739', 0, 0, '15.1.P_Avril', 310, 1467631853, 1, 1469452276),
(12790, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 12793, '', '', '', '', '', '', 0, 10, 'task p41_12790', 0, 0, '16.1_PUMA', 338, 1467883995, 1, 1487335104),
(12781, 41, 72, 72, 0, 30, 50, 70, 80, 20, 10, 10, 12784, '', '', '', '', '', '', 0, 10, 'task p41_12781', 0, 0, '', 338, 1467726796, 1, 1474900723),
(12782, 41, 205, 217, 0, 30, 50, 70, 80, 10, 10, 10, 12785, '', '', '', '', '', '', 0, 10, 'task p41_12782', 0, 0, '', 266, 1467729777, 1, 1478619150),
(12783, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 12786, '', '', '', '', '', '', 0, 10, 'task p41_12783', 0, 0, '', 266, 1467729876, 1, 1480086140),
(12791, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 12794, '', '', '', '', '', '', 0, 10, 'task p41_12791', 0, 0, '17.15_AFFI', 338, 1467884066, 1, 1484812444),
(12797, 41, 72, 199, 0, 50, 50, 70, 80, 10, 10, 10, 12800, '', '', '', '15.1_P', '', '', 0, 10, 'task p41_12797', 0, 0, '15.1.P_Avril', 334, 1467961774, 1, 1467995738),
(13250, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 13253, '', '', '', '', '', '', 0, 10, 'task p41_13250', 0, 0, '', 310, 1469536322, 1, 1478619230),
(12817, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 12820, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_12817', 0, 0, '16.0_TO', 310, 1468228850, 1, 1469456750),
(12820, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 12823, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_12820', 0, 0, '', 310, 1468229008, 1, 1479399050),
(12998, 41, 72, 200, 0, 30, 50, 70, 80, 10, 10, 10, 13001, '', '', '', '', '', '', 0, 10, 'task p41_12998', 0, 0, '17.15_AFFI', 338, 1469013827, 1, 1479127036),
(12842, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 12845, '', '', '', '', '', '', 0, 10, 'task p41_12842', 0, 0, '', 334, 1468274400, 1, 1488534883),
(17559, 41, 157, 157, 0, 40, 50, 100, 80, 10, 10, 10, 17563, '', '', '', '', '', '', 0, 10, 'task p41_17559', 0, 0, '', 355, 1488535866, 1, 1489052640),
(12843, 41, 0, 199, 0, 50, 50, 100, 80, 10, 10, 10, 12846, '', '', '', '', '', '', 0, 10, 'task p41_12843', 0, 0, '', 310, 1468274400, 1, 1478619230),
(12844, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 12847, '', '', '', '', '', '', 0, 10, 'task p41_12844', 0, 0, '', 310, 1468274400, 1, 1478619166),
(12868, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 12871, '', '', '', '', '', '', 0, 10, 'task p41_12868', 0, 0, '', 338, 1468274400, 1, 1468333666),
(12869, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 12872, '', '', '', '', '', '', 0, 10, 'task p41_12869', 0, 0, '', 338, 1468274400, 1, 1468333597),
(13624, 41, 72, 217, 0, 30, 50, 70, 80, 20, 10, 10, 13627, '', '', '', '', '', '', 0, 10, 'task p41_13624', 0, 0, '', 266, 1470376688, 1, 1480086403),
(13542, 41, 72, 147, 0, 50, 50, 70, 80, 10, 10, 10, 13545, '', '', '', '', '', '', 0, 10, 'task p41_13542', 0, 0, '', 334, 1470233033, 1, 1472736688),
(12938, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 12941, '', '', '', '', '', '', 0, 10, 'task p41_12938', 0, 0, '', 187, 1468857576, 1, 1477918144),
(12962, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12965, '', '', '', '', '', '', 0, 10, 'task p41_12962', 0, 0, '', 266, 1468930686, 1, 1472450920),
(12963, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 12966, '', '', '', '', '', '', 0, 10, 'task p41_12963', 0, 0, '', 266, 1468930929, 1, 1478619166),
(12999, 41, 72, 0, 0, 30, 50, 70, 20, 10, 10, 10, 13002, '', '', '', '', '', '', 0, 10, 'task p41_12999', 0, 0, '', 338, 1469013883, 1, 1498722505),
(13000, 41, 72, 147, 0, 60, 80, 70, 80, 10, 10, 10, 13003, '', '', '', '', '', '', 0, 10, 'task p41_13000', 0, 0, '', 338, 1469014094, 1, 1469606139),
(13001, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 13004, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_13001', 0, 0, '', 335, 1469102772, 1, 1472193887),
(13002, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 13005, '', '', '', '', '', '', 0, 10, 'task p41_13002', 0, 0, '', 336, 1469104309, 1, 1480089533),
(13008, 41, 212, 212, 0, 10, 50, 100, 80, 10, 10, 10, 13011, '', '', '', '', '', '', 0, 10, 'task p41_13008', 0, 0, '', 337, 1469171257, 1, 1469531379),
(13251, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 13254, '', '', '', '', '', '', 0, 10, 'task p41_13251', 0, 0, '16.0_TO', 335, 1469570400, 1, 1478619150),
(13044, 41, 72, 158, 0, 30, 50, 70, 80, 10, 10, 10, 13047, '', '', '', '', '', '', 0, 10, 'task p41_13044', 0, 0, '', 338, 1469192612, 1, 1478773530),
(13229, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 13232, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_13229', 0, 0, '', 335, 1469460357, 1, 1470310717),
(13248, 41, 205, 147, 0, 30, 50, 70, 80, 10, 10, 10, 13251, '', '', '', '', '', '', 0, 10, 'task p41_13248', 0, 0, '', 266, 1469524080, 1, 1478619230),
(13252, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 13255, '', '', '', '', '', '', 0, 10, 'task p41_13252', 0, 0, '16.0.0', 335, 1469570400, 1, 1478619230),
(13253, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 13256, '', '', '', '', '', '', 0, 10, 'task p41_13253', 0, 0, '16.0_TO', 335, 1469570400, 1, 1478619230),
(13254, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 13257, '', '', '', '', '', '', 0, 10, 'task p41_13254', 0, 0, '16.0_TO', 335, 1469570400, 1, 1478619230),
(13255, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 13258, '', '', '', '', '', '', 0, 10, 'task p41_13255', 0, 0, '16.0_TO', 335, 1469570400, 1, 1478619230),
(13256, 41, 2, 158, 0, 10, 50, 100, 80, 10, 10, 10, 13259, '', '', '', '', '', '', 0, 10, 'task p41_13256', 0, 0, '18.0_PUMA', 337, 1469609489, 1, 1494946460),
(13257, 41, 72, 146, 0, 30, 50, 70, 80, 10, 10, 10, 13260, '', '', '', '', '', '', 0, 10, 'task p41_13257', 0, 0, '', 266, 1469615782, 1, 1472556154),
(13258, 41, 72, 168, 0, 30, 60, 70, 80, 10, 10, 10, 13261, '', '', '', '', '', '', 0, 10, 'task p41_13258', 0, 0, '', 266, 1469616102, 1, 1478619230),
(13342, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 13345, '', '', '', '', '', '', 0, 10, 'task p41_13342', 0, 0, '', 336, 1470037231, 1, 1476088746),
(13362, 41, 72, 158, 0, 30, 50, 70, 80, 10, 10, 10, 13365, '', '', '', '', '', '', 0, 10, 'task p41_13362', 0, 0, '18.0_PUMA', 337, 1470126055, 1, 1491569766),
(13370, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 13373, '', '', '', '', '', '', 0, 10, 'task p41_13370', 0, 0, '', 355, 1470131156, 1, 1472806975),
(13541, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 13544, '', '', '', '', '', '', 0, 10, 'task p41_13541', 0, 0, '16.0_Prov', 206, 1470153548, 1, 1480669817),
(13544, 41, 72, 146, 0, 30, 50, 70, 80, 10, 10, 10, 13547, '', '', '', '', '', '', 0, 10, 'task p41_13544', 0, 0, '', 266, 1470236437, 1, 1472450842),
(13545, 41, 72, 217, 0, 30, 50, 70, 80, 20, 10, 10, 13548, '', '', '', '', '', '', 0, 10, 'task p41_13545', 0, 0, '', 266, 1470236507, 1, 1480086403),
(13559, 41, 72, 134, 0, 30, 50, 70, 80, 10, 10, 10, 13562, '', '', '', '', '', '', 0, 10, 'task p41_13559', 0, 0, '', 338, 1470296592, 1, 1475842311),
(23780, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23785, '', '', '', '', '', '', 0, 10, 'task p41_23780', 0, 0, '', 337, 1513551600, 1, 1519244912),
(13589, 41, 72, 246, 0, 10, 50, 100, 80, 10, 10, 10, 13592, '', '', '', '', '', '', 0, 10, 'task p41_13589', 0, 0, '18.0_PUMA', 337, 1470311517, 1, 1494947845),
(13592, 41, 2, 157, 0, 30, 50, 70, 80, 10, 10, 10, 13595, '', '', '', '', '', '', 0, 10, 'task p41_13592', 0, 0, '16.0_TO', 335, 1470318293, 1, 1470807645),
(13622, 41, 72, 217, 0, 30, 50, 70, 80, 20, 10, 10, 13625, '', '', '', '', '', '', 0, 10, 'task p41_13622', 0, 0, '', 266, 1470324657, 1, 1480086141),
(13625, 41, 72, 146, 0, 30, 50, 70, 80, 10, 10, 10, 13628, '', '', '', '', '', '', 0, 10, 'task p41_13625', 0, 0, '', 266, 1470377016, 1, 1472556283),
(13626, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 13629, '', '', '', '', '', '', 0, 10, 'task p41_13626', 0, 0, '', 266, 1470379563, 1, 1471503884),
(13627, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 13630, '', '', '', '', '', '', 0, 10, 'task p41_13627', 0, 0, '', 266, 1470379748, 1, 1474442819),
(13628, 41, 74, 74, 0, 30, 50, 100, 80, 10, 10, 10, 13631, '', '', '', 'FusPL_Lot 2', '', '', 0, 10, 'task p41_13628', 0, 0, '', 284, 1470382072, 1, 1478619150),
(13678, 41, 2, 199, 0, 30, 50, 70, 80, 10, 10, 10, 13681, '', '', '', '', '', '', 0, 10, 'task p41_13678', 0, 0, '', 355, 1470840045, 1, 1472219512),
(13686, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 13689, '', '', '', '', '', '', 0, 10, 'task p41_13686', 0, 0, '', 266, 1471331073, 1, 1480086402),
(13687, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 13690, '', '', '', '', '', '', 0, 10, 'task p41_13687', 0, 0, '', 266, 1471331110, 1, 1471525430),
(13688, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 13691, '', '', '', '', '', '', 0, 10, 'task p41_13688', 0, 0, '', 266, 1471416211, 1, 1480086403),
(13698, 41, 199, 199, 0, 50, 80, 100, 80, 10, 10, 10, 13701, '', '', '', '', '', '', 0, 10, 'task p41_13698', 0, 0, '', 310, 1471599457, 1, 1478619150),
(15165, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15168, '', '', '', '', '', '', 0, 10, 'task p41_15165', 0, 0, '17.1.DSI_INT', 334, 1476879416, 1, 1482935446),
(14069, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 14072, '', '', '', '', '', '', 0, 10, 'task p41_14069', 0, 0, '', 266, 1473068104, 1, 1474466584),
(14206, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 14209, '', '', '', '', '', '', 0, 10, 'task p41_14206', 0, 0, '', 266, 1473929491, 1, 1480086402),
(13770, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 13773, '', '', '', '', '', '', 0, 10, 'task p41_13770', 0, 0, '', 266, 1471966124, 1, 1478619230),
(13783, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 13786, '', '', '', '', '', '', 0, 10, 'task p41_13783', 0, 0, '16.0_TO', 335, 1472076000, 1, 1478619230),
(13784, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 13787, '', '', '', '', '', '', 0, 10, 'task p41_13784', 0, 0, '16.0_Prov', 336, 1472076000, 1, 1490686815),
(13785, 41, 0, 158, 0, 10, 50, 100, 80, 10, 10, 10, 13788, '', '', '', '', '', '', 0, 10, 'task p41_13785', 0, 0, '', 338, 1472076000, 1, 1483367185),
(13786, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 13789, '', '', '', '', '', '', 0, 10, 'task p41_13786', 0, 0, '', 355, 1472076000, 1, 1478619214),
(13787, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 13790, '', '', '', '', '', '', 0, 10, 'task p41_13787', 0, 0, '17.1.DSI_INT', 355, 1472076000, 1, 1478619181),
(13788, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 13791, '', '', '', '', '', '', 0, 10, 'task p41_13788', 0, 0, '16.0_TO', 335, 1472076000, 1, 1478619230),
(13789, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 13792, '', '', '', '', '', '', 0, 10, 'task p41_13789', 0, 0, '', 206, 1472076000, 1, 1478619150),
(13797, 41, 199, 199, 0, 50, 50, 100, 80, 10, 10, 10, 13800, '', '', '', '', '', '', 0, 10, 'task p41_13797', 0, 0, '', 310, 1472217761, 1, 1478619150),
(13798, 41, 199, 199, 0, 50, 80, 100, 80, 10, 10, 10, 13801, '', '', '', '', '', '', 0, 10, 'task p41_13798', 0, 0, '', 310, 1472217877, 1, 1478619150),
(13799, 41, 199, 199, 0, 50, 60, 100, 80, 10, 10, 10, 13802, '', '', '', '', '', '', 0, 10, 'task p41_13799', 0, 0, '', 310, 1472218208, 1, 1478619150),
(13800, 41, 199, 199, 0, 50, 60, 100, 80, 10, 10, 10, 13803, '', '', '', '', '', '', 0, 10, 'task p41_13800', 0, 0, '', 310, 1472219163, 1, 1478619150),
(13808, 41, 2, 134, 0, 30, 50, 70, 80, 10, 10, 10, 13811, '', '', '', '', '', '', 0, 10, 'task p41_13808', 0, 0, '', 334, 1472474965, 1, 1472478939),
(13809, 41, 2, 134, 0, 30, 50, 70, 80, 10, 10, 10, 13812, '', '', '', '', '', '', 0, 10, 'task p41_13809', 0, 0, '', 334, 1472475037, 1, 1472542712),
(13973, 41, 2, 199, 0, 30, 50, 70, 80, 10, 10, 10, 13976, '', '', '', '', '', '', 0, 10, 'task p41_13973', 0, 0, '', 355, 1472564806, 1, 1472657710),
(14013, 41, 2, 205, 0, 30, 60, 70, 80, 10, 10, 10, 14016, '', '', '', '', '', '', 0, 10, 'task p41_14013', 0, 0, '18.0_PUMA', 250, 1472635297, 1, 1499181325),
(14014, 41, 2, 74, 0, 30, 60, 70, 80, 10, 10, 10, 14017, '', '', '', '', '', '', 0, 10, 'task p41_14014', 0, 0, '18.0_PUMA', 250, 1472635484, 1, 1505306846),
(14022, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 14025, '', '', '', '', '', '', 0, 10, 'task p41_14022', 0, 0, '', 266, 1472652336, 1, 1472652616),
(14036, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14039, '', '', '', '', '', '', 0, 10, 'task p41_14036', 0, 0, '', 355, 1472730833, 1, 1478619181),
(14037, 41, 72, 134, 0, 50, 50, 70, 80, 10, 10, 10, 14040, '', '', '', '', '', '', 0, 10, 'task p41_14037', 0, 0, '', 334, 1472730926, 1, 1473145767),
(14038, 41, 72, 157, 0, 30, 50, 70, 80, 80, 10, 10, 14041, '', '', '', '', '', '', 0, 10, 'task p41_14038', 0, 0, '', 310, 1472731133, 1, 1474279102),
(14039, 41, 72, 157, 0, 30, 50, 70, 20, 10, 10, 10, 14042, '', '', '', '', '', '', 0, 10, 'task p41_14039', 0, 0, '', 338, 1472731271, 1, 1516970615),
(17983, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 17987, '', '', '', '', '', '', 0, 10, 'task p41_17983', 0, 0, '', 266, 1490775735, 1, 1490775798),
(19049, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 19053, '', '', '', '', '', '', 0, 10, 'task p41_19049', 0, 0, '18.0_PUMA', 337, 1494943568, 1, 1494943671),
(14048, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 14051, '', '', '', '', '', '', 0, 10, 'task p41_14048', 0, 0, '', 266, 1472798472, 1, 1472799774),
(14049, 41, 217, 217, 0, 10, 50, 100, 80, 10, 10, 10, 14052, '', '', '', '', '', '', 0, 10, 'task p41_14049', 0, 0, '18.0_PUMA', 337, 1472799587, 1, 1501168953),
(14057, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 14060, '', '', '', '', '', '', 0, 10, 'task p41_14057', 0, 0, '16.0.0', 334, 1472818485, 1, 1474879440),
(14058, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 14061, '', '', '', '', '', '', 0, 10, 'task p41_14058', 0, 0, '', 334, 1472818550, 1, 1474879466),
(14059, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 14062, '', '', '', '', '', '', 0, 10, 'task p41_14059', 0, 0, '17.0.DSI_EM', 338, 1472818929, 1, 1486041065),
(14060, 41, 72, 147, 0, 30, 50, 70, 80, 10, 10, 10, 14063, '', '', '', '', '', '', 0, 10, 'task p41_14060', 0, 0, '', 338, 1472819059, 1, 1486041083),
(14157, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 14160, '', '', '', '', '', '', 0, 10, 'task p41_14157', 0, 0, '16.0_Prov', 250, 1473334022, 1, 1476088739),
(14165, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 14168, '', '', '', '', '', '', 0, 10, 'task p41_14165', 0, 0, '', 338, 1473285600, 1, 1478619214),
(14164, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 14167, '', '', '', '', '', '', 0, 10, 'task p41_14164', 0, 0, '', 334, 1473285600, 1, 1479488555),
(14166, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14169, '', '', '', '', '', '', 0, 10, 'task p41_14166', 0, 0, '', 310, 1473372000, 1, 1478619214),
(14167, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14170, '', '', '', '', '', '', 0, 10, 'task p41_14167', 0, 0, '', 310, 1473372000, 1, 1478619181),
(14163, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14166, '', '', '', '', '', '', 0, 10, 'task p41_14163', 0, 0, '', 310, 1473285600, 1, 1478619214),
(14168, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14171, '', '', '', '', '', '', 0, 10, 'task p41_14168', 0, 0, '', 310, 1473372000, 1, 1478619230),
(14143, 41, 72, 169, 0, 50, 50, 70, 80, 10, 10, 10, 14146, '', '', '', '', '', '', 0, 10, 'task p41_14143', 0, 0, '', 338, 1473234219, 1, 1473408860),
(14150, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 14153, '', '', '', '', '', '', 0, 10, 'task p41_14150', 0, 0, '', 187, 1473263585, 1, 1478534473),
(14194, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 14197, '', '', '', '', '', '', 0, 10, 'task p41_14194', 0, 0, '', 266, 1473686356, 1, 1480086141),
(14195, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 14198, '', '', '', '', '', '', 0, 10, 'task p41_14195', 0, 0, '', 266, 1473686416, 1, 1480086141),
(14198, 41, 72, 199, 0, 50, 50, 70, 80, 10, 10, 10, 14201, '', '', '', '16.0_Prov', '', '', 0, 10, 'task p41_14198', 0, 0, '16.0_Prov', 336, 1473692738, 1, 1478619181),
(14278, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 14281, '', '', '', '', '', '', 0, 10, 'task p41_14278', 0, 0, '', 266, 1474360431, 1, 1481618923),
(14226, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14229, '', '', '', '', '', '', 0, 10, 'task p41_14226', 0, 0, '', 335, 1473976800, 1, 1478619150),
(14237, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14240, '', '', '', '', '', '', 0, 10, 'task p41_14237', 0, 0, '', 335, 1474010907, 1, 1478619230),
(14229, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14232, '', '', '', '', '', '', 0, 10, 'task p41_14229', 0, 0, '', 335, 1473976800, 1, 1478619150),
(14228, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14231, '', '', '', '', '', '', 0, 10, 'task p41_14228', 0, 0, '', 335, 1473976800, 1, 1478619150),
(14227, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14230, '', '', '', '', '', '', 0, 10, 'task p41_14227', 0, 0, '16.1-3en1', 335, 1473976800, 1, 1481700980),
(14230, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14233, '', '', '', '', '', '', 0, 10, 'task p41_14230', 0, 0, '', 335, 1473976800, 1, 1478619150),
(14231, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14234, '', '', '', '', '', '', 0, 10, 'task p41_14231', 0, 0, '', 335, 1473976800, 1, 1478619150),
(14232, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14235, '', '', '', '', '', '', 0, 10, 'task p41_14232', 0, 0, '', 335, 1473976800, 1, 1478619150),
(14233, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14236, '', '', '', '', '', '', 0, 10, 'task p41_14233', 0, 0, '', 335, 1473976800, 1, 1478619230),
(14234, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14237, '', '', '', '', '', '', 0, 10, 'task p41_14234', 0, 0, '', 335, 1473976800, 1, 1478619230),
(14235, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14238, '', '', '', '', '', '', 0, 10, 'task p41_14235', 0, 0, '', 335, 1473976800, 1, 1478619150),
(14236, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 14239, '', '', '', '', '', '', 0, 10, 'task p41_14236', 0, 0, '', 266, 1474008310, 1, 1474030013),
(14239, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 14242, '', '', '', '', '', '', 0, 10, 'task p41_14239', 0, 0, '', 266, 1474018075, 1, 1480086402),
(14240, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 14243, '', '', '', '', '', '', 0, 10, 'task p41_14240', 0, 0, '', 266, 1474029805, 1, 1480086141),
(14242, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14245, '', '', '', '', '', '', 0, 10, 'task p41_14242', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1484905919),
(14243, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14246, '', '', '', '', '', '', 0, 10, 'task p41_14243', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1480404778),
(14244, 41, 0, 74, 0, 10, 50, 100, 80, 20, 10, 10, 14247, '', '', '', '', '', '', 0, 10, 'task p41_14244', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1522016083),
(14245, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 14248, '', '', '', '', '', '', 0, 10, 'task p41_14245', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1476431860),
(14246, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 14249, '', '', '', '', '', '', 0, 10, 'task p41_14246', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1476875747),
(14247, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 14250, '', '', '', '', '', '', 0, 10, 'task p41_14247', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1476431989),
(14248, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 14251, '', '', '', '', '', '', 0, 10, 'task p41_14248', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1478789502),
(14249, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 14252, '', '', '', '', '', '', 0, 10, 'task p41_14249', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1477461978),
(14250, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14253, '', '', '', '', '', '', 0, 10, 'task p41_14250', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1481792982),
(14251, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14254, '', '', '', '', '', '', 0, 10, 'task p41_14251', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1480001554),
(14252, 41, 0, 74, 0, 10, 50, 100, 80, 20, 10, 10, 14255, '', '', '', '', '', '', 0, 10, 'task p41_14252', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1480421845),
(14253, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 14256, '', '', '', '', '', '', 0, 10, 'task p41_14253', 0, 0, '17.0.DSI_EM', 334, 1473976800, 1, 1480421784),
(14257, 41, 199, 199, 0, 50, 60, 100, 80, 10, 10, 10, 14260, '', '', '', '', '', '', 0, 10, 'task p41_14257', 0, 0, '', 355, 1474268012, 1, 1478619150),
(14258, 41, 199, 199, 0, 50, 80, 100, 80, 20, 10, 10, 14261, '', '', '', '', '', '', 0, 10, 'task p41_14258', 0, 0, '', 336, 1474268233, 1, 1478619150),
(14722, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14725, '', '', '', '', '', '', 0, 10, 'task p41_14722', 0, 0, '17.1.DSI_INT', 334, 1475846699, 1, 1475851720),
(14259, 41, 0, 199, 0, 10, 50, 100, 80, 20, 10, 10, 14262, '', '', '', '', '', '', 0, 10, 'task p41_14259', 0, 0, '17.1.DSI_INT', 334, 1474236000, 1, 1482139990),
(14260, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 14263, '', '', '', '', '', '', 0, 10, 'task p41_14260', 0, 0, '17.1.DSI_INT', 334, 1474236000, 1, 1480090637),
(14261, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14264, '', '', '', '', '', '', 0, 10, 'task p41_14261', 0, 0, '17.1.DSI_INT', 334, 1474236000, 1, 1475263923),
(14262, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14265, '', '', '', '', '', '', 0, 10, 'task p41_14262', 0, 0, '17.1.DSI_INT', 334, 1474236000, 1, 1481732232),
(14263, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14266, '', '', '', '', '', '', 0, 10, 'task p41_14263', 0, 0, '17.1.DSI_INT', 334, 1474236000, 1, 1481792526),
(14264, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14267, '', '', '', '', '', '', 0, 10, 'task p41_14264', 0, 0, '17.1.DSI_INT', 334, 1474236000, 1, 1481792557),
(14265, 41, 2, 0, 0, 30, 50, 100, 10, 10, 10, 10, 14268, '', '', '', '', '', '', 0, 10, 'task p41_14265', 0, 0, '', 355, 1474282007, 1, 1474282007),
(14266, 41, 2, 2, 0, 30, 50, 100, 80, 10, 10, 10, 14269, '', '', '', '', '', '', 0, 10, 'task p41_14266', 0, 0, '', 355, 1474282158, 1, 1476816335),
(14267, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14270, '', '', '', '16.0.P_3en1', '', '', 0, 10, 'task p41_14267', 0, 0, '', 310, 1474282676, 1, 1478619181),
(14289, 41, 217, 205, 0, 30, 50, 70, 80, 20, 10, 10, 14292, '', '', '', '', '', '', 0, 10, 'task p41_14289', 0, 0, '', 266, 1474442819, 1, 1480086402),
(14329, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 14332, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_14329', 0, 0, '18.0_PUMA', 337, 1474468647, 1, 1480086983),
(14473, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14476, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_14473', 0, 0, '', 355, 1474617377, 1, 1478619181),
(14476, 41, 72, 169, 0, 30, 60, 70, 80, 20, 10, 10, 14479, '', '', '', '', '', '', 0, 10, 'task p41_14476', 0, 0, '', 338, 1474617522, 1, 1478619181),
(14477, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 14480, '', '', '', '', '', '', 0, 10, 'task p41_14477', 0, 0, '', 266, 1474619245, 1, 1478615142),
(14478, 41, 217, 168, 0, 30, 50, 70, 80, 10, 10, 10, 14481, '', '', '', '', '', '', 0, 10, 'task p41_14478', 0, 0, '', 266, 1474619284, 1, 1479132861),
(14514, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14517, '', '', '', '', '', '', 0, 10, 'task p41_14514', 0, 0, '', 355, 1474637291, 1, 1478619150),
(14534, 73, 2, 0, 0, 30, 50, 70, 90, 10, 10, 10, 14537, '', '', '', '', '', '', 0, 10, '[TAIGA] Formation imputée sur l\'OTP du projet', 0, 0, '', 265, 1474985095, 1, 1474985104),
(14540, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14543, '', '', '', '', '', '', 0, 10, 'task p41_14540', 0, 0, '17.1.DSI_INT', 334, 1474990467, 1, 1475849157),
(14542, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14545, '', '', '', '', '', '', 0, 10, 'task p41_14542', 0, 0, '17.0.DSI_EM', 334, 1475048983, 1, 1478619181),
(14545, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14548, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_14545', 0, 0, '', 355, 1475061077, 1, 1479399073),
(14546, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14549, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_14546', 0, 0, '', 355, 1475061232, 1, 1478619150),
(14548, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 14551, '', '', '', '', '', '', 0, 10, 'task p41_14548', 0, 0, '', 355, 1475074763, 1, 1478619230),
(14552, 41, 199, 199, 0, 50, 50, 70, 80, 10, 10, 10, 14555, '', '', '', '16.0_Prov', '', '', 0, 10, 'task p41_14552', 0, 0, '', 336, 1475140032, 1, 1478619150),
(14593, 41, 205, 217, 0, 30, 50, 70, 80, 20, 10, 10, 14596, '', '', '', '', '', '', 0, 10, 'task p41_14593', 0, 0, '', 266, 1475492889, 1, 1481618950),
(14594, 41, 205, 168, 0, 30, 50, 70, 80, 20, 10, 10, 14597, '', '', '', '', '', '', 0, 10, 'task p41_14594', 0, 0, '', 266, 1475492975, 1, 1480086141),
(14595, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 14598, '', '', '', '', '', '', 0, 10, 'task p41_14595', 0, 0, '', 266, 1475493114, 1, 1480086141),
(14596, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 14599, '', '', '', '', '', '', 0, 10, 'task p41_14596', 0, 0, '', 266, 1475493182, 1, 1480086402),
(14608, 41, 199, 199, 0, 10, 50, 100, 80, 20, 10, 10, 14611, '', '', '', '', '', '', 0, 10, 'task p41_14608', 0, 0, '', 336, 1475561389, 1, 1478619150),
(14618, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14621, '', '', '', '', '', '', 0, 10, 'task p41_14618', 0, 0, '', 310, 1475618400, 1, 1478619230),
(14619, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14622, '', '', '', '', '', '', 0, 10, 'task p41_14619', 0, 0, '', 310, 1475618400, 1, 1479399162),
(14620, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14623, '', '', '', '', '', '', 0, 10, 'task p41_14620', 0, 0, '', 310, 1475618400, 1, 1479126200),
(14621, 41, 0, 157, 0, 10, 50, 100, 80, 20, 10, 10, 14624, '', '', '', '', '', '', 0, 10, 'task p41_14621', 0, 0, '', 310, 1475618400, 1, 1494327836),
(14622, 41, 0, 199, 0, 10, 50, 100, 80, 20, 10, 10, 14625, '', '', '', '', '', '', 0, 10, 'task p41_14622', 0, 0, '', 310, 1475618400, 1, 1482139878),
(14623, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14626, '', '', '', '', '', '', 0, 10, 'task p41_14623', 0, 0, '', 310, 1475618400, 1, 1478619214),
(14642, 41, 205, 168, 0, 30, 50, 70, 80, 10, 10, 10, 14645, '', '', '', '', '', '', 0, 10, 'task p41_14642', 0, 0, '', 266, 1475762761, 1, 1475765127),
(14643, 41, 205, 168, 0, 30, 50, 70, 80, 10, 10, 10, 14646, '', '', '', '', '', '', 0, 10, 'task p41_14643', 0, 0, '', 266, 1475762833, 1, 1478615297),
(14644, 41, 205, 168, 0, 30, 50, 70, 80, 10, 10, 10, 14647, '', '', '', '', '', '', 0, 10, 'task p41_14644', 0, 0, '', 266, 1475762872, 1, 1481798746),
(14645, 41, 205, 168, 0, 30, 50, 70, 80, 20, 10, 10, 14648, '', '', '', '', '', '', 0, 10, 'task p41_14645', 0, 0, '', 266, 1475762982, 1, 1480086141),
(14705, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14708, '', '', '', '', '', '', 0, 10, 'task p41_14705', 0, 0, '', 310, 1475821795, 1, 1478619150),
(14706, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14709, '', '', '', '', '', '', 0, 10, 'task p41_14706', 0, 0, '17.1.DSI_INT', 334, 1475822595, 1, 1477920707),
(14708, 41, 0, 146, 0, 10, 50, 100, 80, 10, 10, 10, 14711, '', '', '', '', '', '', 0, 10, 'task p41_14708', 0, 0, '', 266, 1475791200, 1, 1478619214),
(14709, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14712, '', '', '', '', '', '', 0, 10, 'task p41_14709', 0, 0, '17.0.DSI_EM', 334, 1475791200, 1, 1478619181),
(14710, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 14713, '', '', '', '', '', '', 0, 10, 'task p41_14710', 0, 0, '', 337, 1475791200, 1, 1499758028),
(14712, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14715, '', '', '', '', '', '', 0, 10, 'task p41_14712', 0, 0, '', 310, 1475791200, 1, 1490687303),
(14714, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14717, '', '', '', '', '', '', 0, 10, 'task p41_14714', 0, 0, '17.0.DSI_EM', 334, 1475791200, 1, 1477298996),
(14715, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14718, '', '', '', '', '', '', 0, 10, 'task p41_14715', 0, 0, '17.0.DSI_EM', 334, 1475791200, 1, 1478592302),
(14716, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 14719, '', '', '', '', '', '', 0, 10, 'task p41_14716', 0, 0, '17.0.DSI_EM', 250, 1475834348, 1, 1483449605),
(14717, 41, 0, 74, 0, 10, 50, 100, 80, 20, 10, 10, 14720, '', '', '', '', '', '', 0, 10, 'task p41_14717', 0, 0, '17.0.DSI_EM', 334, 1475791200, 1, 1479215008),
(14718, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 14721, '', '', '', '', '', '', 0, 10, 'task p41_14718', 0, 0, '17.0.DSI_EM', 334, 1475791200, 1, 1478614606),
(15164, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15167, '', '', '', '', '', '', 0, 10, 'task p41_15164', 0, 0, '17.1.DSI_INT', 334, 1476879369, 1, 1481792215),
(14719, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14722, '', '', '', '', '', '', 0, 10, 'task p41_14719', 0, 0, '17.1.DSI_INT', 334, 1475791200, 1, 1477920740),
(14720, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14723, '', '', '', '', '', '', 0, 10, 'task p41_14720', 0, 0, '17.1.DSI_INT', 334, 1475791200, 1, 1477298949),
(14721, 41, 72, 74, 0, 10, 50, 100, 80, 10, 10, 10, 14724, '', '', '', '', '', '', 0, 10, 'task p41_14721', 0, 0, '', 250, 1475837566, 1, 1490628405),
(14791, 41, 72, 322, 0, 30, 50, 100, 80, 10, 10, 10, 14794, '', '', '', '', '', '', 0, 10, 'task p41_14791', 0, 0, '', 338, 1476080987, 1, 1500476498),
(14796, 41, 72, 2, 0, 50, 50, 70, 80, 90, 10, 10, 14799, '', '', '', '', '', '', 0, 10, 'task p41_14796', 0, 0, '', 338, 1476090850, 1, 1478619181),
(14797, 41, 72, 2, 0, 50, 50, 70, 80, 10, 10, 10, 14800, '', '', '', '', '', '', 0, 10, 'task p41_14797', 0, 0, '', 338, 1476090951, 1, 1478619181),
(14800, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 14803, '', '', '', '', '', '', 0, 10, 'task p41_14800', 0, 0, '', 266, 1476102015, 1, 1481797793),
(14801, 41, 205, 205, 0, 30, 50, 70, 80, 10, 10, 10, 14804, '', '', '', '', '', '', 0, 10, 'task p41_14801', 0, 0, '', 266, 1476102088, 1, 1478619150),
(14807, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 14810, '', '', '', '', '', '', 0, 10, 'task p41_14807', 0, 0, '', 334, 1476175254, 1, 1489052493),
(14808, 41, 72, 0, 0, 10, 50, 100, 10, 10, 10, 10, 14811, '', '', '', '', '', '', 0, 10, 'task p41_14808', 0, 0, '17.1.DSI_INT', 334, 1476175347, 1, 1476199249),
(14813, 41, 72, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14816, '', '', '', '', '', '', 0, 10, 'task p41_14813', 0, 0, '17.1.DSI_INT', 334, 1476199247, 1, 1488754828),
(14814, 41, 72, 246, 0, 10, 50, 100, 80, 10, 10, 10, 14817, '', '', '', '', '', '', 0, 10, 'task p41_14814', 0, 0, '17.1.DSI_INT', 334, 1476199306, 1, 1479460028),
(14817, 41, 217, 217, 0, 30, 50, 70, 80, 20, 10, 10, 14820, '', '', '', '', '', '', 0, 10, 'task p41_14817', 0, 0, '', 266, 1476262401, 1, 1481554487),
(14820, 41, 205, 205, 0, 30, 50, 70, 80, 20, 10, 10, 14823, '', '', '', '', '', '', 0, 10, 'task p41_14820', 0, 0, '', 266, 1476294736, 1, 1480086402),
(14827, 41, 157, 157, 0, 10, 50, 100, 80, 10, 10, 10, 14830, '', '', '', '', '', '', 0, 10, 'task p41_14827', 0, 0, '16.1-3en1', 310, 1476433917, 1, 1479828202),
(15064, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 15067, '', '', '', '', '', '', 0, 10, 'task p41_15064', 0, 0, '', 266, 1476776593, 1, 1476973097),
(15068, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 15071, '', '', '', '', '', '', 0, 10, 'task p41_15068', 0, 0, '', 355, 1476797534, 1, 1478762799),
(15069, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 15072, '', '', '', '', '', '', 0, 10, 'task p41_15069', 0, 0, '', 355, 1476797596, 1, 1478619150),
(15159, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 15162, '', '', '', '', '', '', 0, 10, 'task p41_15159', 0, 0, '', 206, 1476828000, 1, 1477921204),
(15160, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 15163, '', '', '', '', '', '', 0, 10, 'task p41_15160', 0, 0, '17.15_AFFI', 338, 1476828000, 1, 1484130794),
(15161, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 15164, '', '', '', '', '', '', 0, 10, 'task p41_15161', 0, 0, '', 334, 1476828000, 1, 1492680668),
(15162, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 15165, '', '', '', '', '', '', 0, 10, 'task p41_15162', 0, 0, '', 310, 1476828000, 1, 1478619214),
(15163, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 15166, '', '', '', '', '', '', 0, 10, 'task p41_15163', 0, 0, '', 338, 1476828000, 1, 1478619214),
(15195, 41, 2, 246, 0, 30, 50, 70, 80, 10, 10, 10, 15198, '', '', '', '', '', '', 0, 10, 'task p41_15195', 0, 0, '17.0.DSI_EM', 334, 1477054063, 1, 1477930031),
(15196, 41, 2, 246, 0, 30, 50, 70, 80, 10, 10, 10, 15199, '', '', '', '', '', '', 0, 10, 'task p41_15196', 0, 0, '17.0.DSI_EM', 334, 1477054123, 1, 1477908077),
(15204, 41, 74, 74, 0, 10, 50, 100, 80, 10, 10, 10, 15207, '', '', '', '', '', '', 0, 10, 'task p41_15204', 0, 0, '', 250, 1477309413, 1, 1478789588),
(15217, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15220, '', '', '', '', '', '', 0, 10, 'task p41_15217', 0, 0, '', 310, 1477346400, 1, 1478619150),
(15218, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15221, '', '', '', '', '', '', 0, 10, 'task p41_15218', 0, 0, '', 310, 1477346400, 1, 1478619150),
(15219, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15222, '', '', '', '', '', '', 0, 10, 'task p41_15219', 0, 0, '', 310, 1477346400, 1, 1478619150),
(15220, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15223, '', '', '', '', '', '', 0, 10, 'task p41_15220', 0, 0, '', 310, 1477346400, 1, 1479398112),
(15221, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15224, '', '', '', '', '', '', 0, 10, 'task p41_15221', 0, 0, '', 310, 1477346400, 1, 1479398357),
(15256, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 15259, '', '', '', '', '', '', 0, 10, 'task p41_15256', 0, 0, '17.0.DSI_EM', 334, 1477646797, 1, 1479213664),
(15260, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 15263, '', '', '', '', '', '', 0, 10, 'task p41_15260', 0, 0, '16.1-3en1', 355, 1477657278, 1, 1483717485),
(15281, 41, 2, 2, 0, 30, 50, 100, 80, 10, 10, 10, 15284, '', '', '', '', '', '', 0, 10, 'task p41_15281', 0, 0, '', 206, 1478101732, 1, 1512592183),
(15283, 41, 0, 146, 0, 10, 50, 100, 80, 10, 10, 10, 15286, '', '', '', '', '', '', 0, 10, 'task p41_15283', 0, 0, '', 338, 1478127600, 1, 1480423511),
(15284, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15287, '', '', '', '', '', '', 0, 10, 'task p41_15284', 0, 0, '16.1-3en1', 310, 1478127600, 1, 1480423578),
(15285, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15288, '', '', '', '', '', '', 0, 10, 'task p41_15285', 0, 0, '', 310, 1478127600, 1, 1480423638),
(15286, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15289, '', '', '', '', '', '', 0, 10, 'task p41_15286', 0, 0, '', 310, 1478127600, 1, 1479828139),
(15287, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 15290, '', '', '', '', '', '', 0, 10, 'task p41_15287', 0, 0, '', 336, 1478127600, 1, 1492599879),
(15288, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15291, '', '', '', '', '', '', 0, 10, 'task p41_15288', 0, 0, '', 310, 1478127600, 1, 1480423742),
(15289, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15292, '', '', '', '', '', '', 0, 10, 'task p41_15289', 0, 0, '', 310, 1478127600, 1, 1485350877),
(15290, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15293, '', '', '', '', '', '', 0, 10, 'task p41_15290', 0, 0, '16.1-3en1', 310, 1478127600, 1, 1480423851),
(15291, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15294, '', '', '', '', '', '', 0, 10, 'task p41_15291', 0, 0, '', 336, 1478127600, 1, 1479399094),
(15292, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15295, '', '', '', '', '', '', 0, 10, 'task p41_15292', 0, 0, '', 355, 1478127600, 1, 1479399113);
INSERT INTO `mantis_bug_table` (`id`, `project_id`, `reporter_id`, `handler_id`, `duplicate_id`, `priority`, `severity`, `reproducibility`, `status`, `resolution`, `projection`, `eta`, `bug_text_id`, `os`, `os_build`, `platform`, `version`, `fixed_in_version`, `build`, `profile_id`, `view_state`, `summary`, `sponsorship_total`, `sticky`, `target_version`, `category_id`, `date_submitted`, `due_date`, `last_updated`) VALUES
(19800, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 19805, '', '', '', '', '', '', 0, 10, 'task p41_19800', 0, 0, '', 206, 1498576085, 1, 1510215820),
(15308, 41, 205, 205, 0, 30, 50, 70, 50, 10, 10, 10, 15311, '', '', '', '', '', '', 0, 10, 'task p41_15308', 0, 0, '', 266, 1478252464, 1, 1478252537),
(15309, 41, 205, 168, 0, 30, 50, 70, 80, 10, 10, 10, 15312, '', '', '', '', '', '', 0, 10, 'task p41_15309', 0, 0, '', 266, 1478252493, 1, 1486122900),
(15316, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15319, '', '', '', '', '', '', 0, 10, 'task p41_15316', 0, 0, '16.1-3en1', 310, 1478214000, 1, 1480408871),
(15317, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 15320, '', '', '', '', '', '', 0, 10, 'task p41_15317', 0, 0, '16.1-3en1', 310, 1478214000, 1, 1480408932),
(15318, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 15321, '', '', '', '', '', '', 0, 10, 'task p41_15318', 0, 0, '16.1-3en1', 310, 1478214000, 1, 1480088824),
(15319, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 15322, '', '', '', '', '', '', 0, 10, 'task p41_15319', 0, 0, '16.1-3en1', 310, 1478214000, 1, 1480404711),
(15320, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 15323, '', '', '', '16.0_Prov', '', '', 0, 10, 'task p41_15320', 0, 0, '16.1-3en1', 310, 1478256060, 1, 1479827577),
(15374, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 15377, '', '', '', '', '', '', 0, 10, 'task p41_15374', 0, 0, '', 355, 1478473200, 1, 1479136745),
(15375, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 15378, '', '', '', '', '', '', 0, 10, 'task p41_15375', 0, 0, '17.15_AFFI', 338, 1478473200, 1, 1484131236),
(15376, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 15379, '', '', '', '', '', '', 0, 10, 'task p41_15376', 0, 0, '17.15_AFFI', 338, 1478473200, 1, 1484131251),
(15377, 41, 2, 212, 0, 10, 50, 100, 80, 10, 10, 10, 15380, '', '', '', '', '', '', 0, 10, 'task p41_15377', 0, 0, '16.1-3en1', 250, 1478526444, 1, 1481710385),
(15380, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 15383, '', '', '', '', '', '', 0, 10, 'task p41_15380', 0, 0, '', 206, 1478600637, 1, 1487924564),
(15398, 41, 72, 168, 0, 50, 50, 70, 80, 10, 10, 10, 15401, '', '', '', '', '', '', 0, 10, 'task p41_15398', 0, 0, '', 338, 1478695926, 1, 1480086921),
(15564, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 15567, '', '', '', '', '', '', 0, 10, 'task p41_15564', 0, 0, '', 266, 1478702211, 1, 1478772789),
(15571, 41, 72, 146, 0, 30, 50, 70, 80, 10, 10, 10, 15574, '', '', '', '', '', '', 0, 10, 'task p41_15571', 0, 0, '', 337, 1479120470, 1, 1489488807),
(15716, 41, 2, 169, 0, 10, 50, 100, 80, 10, 10, 10, 15719, '', '', '', '', '', '', 0, 10, 'task p41_15716', 0, 0, '', 334, 1479465235, 1, 1492680718),
(15766, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 15769, '', '', '', '', '', '', 0, 10, 'task p41_15766', 0, 0, '', 266, 1479805287, 1, 1479914889),
(15769, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 15772, '', '', '', '', '', '', 0, 10, 'task p41_15769', 0, 0, '', 338, 1479817028, 1, 1479817337),
(15770, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 15773, '', '', '', '', '', '', 0, 10, 'task p41_15770', 0, 0, '', 338, 1479817085, 1, 1480000996),
(15775, 41, 157, 157, 0, 50, 80, 10, 80, 10, 10, 10, 15778, '', '', '', '16.0_TO', '', '', 0, 10, 'task p41_15775', 0, 0, '16.0_TO', 355, 1479827993, 1, 1479828046),
(15779, 41, 72, 199, 0, 30, 50, 70, 80, 20, 10, 10, 15782, '', '', '', '', '', '', 0, 10, 'task p41_15779', 0, 0, '17.1.DSI_INT', 334, 1479884967, 1, 1481699742),
(15780, 41, 72, 199, 0, 30, 50, 70, 80, 20, 10, 10, 15783, '', '', '', '', '', '', 0, 10, 'task p41_15780', 0, 0, '17.1.DSI_INT', 334, 1479885035, 1, 1481699756),
(15781, 41, 72, 168, 0, 30, 50, 70, 80, 10, 10, 10, 15784, '', '', '', '', '', '', 0, 10, 'task p41_15781', 0, 0, '17.15_AFFI', 338, 1479885187, 1, 1486374188),
(15782, 41, 72, 168, 0, 30, 50, 70, 80, 10, 10, 10, 15785, '', '', '', '', '', '', 0, 10, 'task p41_15782', 0, 0, '17.15_AFFI', 338, 1479885320, 1, 1486042441),
(15785, 41, 217, 199, 0, 30, 50, 70, 80, 10, 10, 10, 15788, '', '', '', '', '', '', 0, 10, 'task p41_15785', 0, 0, '18.0.06', 337, 1479914810, 1, 1501495886),
(15832, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 15835, '', '', '', '', '', '', 0, 10, 'task p41_15832', 0, 0, '', 311, 1480322219, 1, 1487845150),
(15833, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 15836, '', '', '', '', '', '', 0, 10, 'task p41_15833', 0, 0, '', 266, 1480326066, 1, 1486124584),
(15834, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 15837, '', '', '', '', '', '', 0, 10, 'task p41_15834', 0, 0, '', 266, 1480328700, 1, 1480328852),
(15835, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 15838, '', '', '', '', '', '', 0, 10, 'task p41_15835', 0, 0, '', 266, 1480345533, 1, 1493362242),
(15836, 41, 72, 147, 0, 10, 50, 100, 80, 10, 10, 10, 15839, '', '', '', '', '', '', 0, 10, 'task p41_15836', 0, 0, '18.0_PUMA', 337, 1480349637, 1, 1494944723),
(15840, 41, 72, 134, 0, 50, 50, 70, 80, 10, 10, 10, 15843, '', '', '', '17.0.DSI_EM', '', '', 0, 10, 'task p41_15840', 0, 0, '17.0.DSI_EM', 334, 1480422583, 1, 1480588433),
(15841, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 15844, '', '', '', '', '', '', 0, 10, 'task p41_15841', 0, 0, '', 310, 1480426755, 1, 1483447554),
(15843, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 15846, '', '', '', '', '', '', 0, 10, 'task p41_15843', 0, 0, '', 310, 1480426814, 1, 1482336725),
(15849, 41, 0, 199, 0, 10, 50, 100, 80, 20, 10, 10, 15852, '', '', '', '', '', '', 0, 10, 'task p41_15849', 0, 0, '', 334, 1480460400, 1, 1481699653),
(15850, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 15853, '', '', '', '', '', '', 0, 10, 'task p41_15850', 0, 0, '', 334, 1480460400, 1, 1481792812),
(15855, 41, 72, 217, 0, 10, 50, 100, 80, 10, 10, 10, 15858, '', '', '', '', '', '', 0, 10, 'task p41_15855', 0, 0, '', 337, 1480595374, 1, 1494945332),
(15856, 41, 72, 217, 0, 10, 50, 100, 80, 10, 10, 10, 15859, '', '', '', '', '', '', 0, 10, 'task p41_15856', 0, 0, '', 337, 1480595465, 1, 1494944327),
(15970, 41, 2, 199, 0, 30, 50, 70, 80, 10, 10, 10, 15973, '', '', '', '', '', '', 0, 10, 'task p41_15970', 0, 0, '18.0_PUMA', 337, 1481204346, 1, 1498120539),
(16047, 41, 217, 168, 0, 30, 50, 70, 80, 10, 10, 10, 16050, '', '', '', '', '', '', 0, 10, 'task p41_16047', 0, 0, '', 266, 1481706144, 1, 1486124339),
(16068, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 16071, '', '', '', '', '', '', 0, 10, 'task p41_16068', 0, 0, '', 355, 1481787780, 1, 1487831843),
(16069, 41, 72, 246, 0, 30, 50, 70, 90, 10, 10, 10, 16072, '', '', '', '', '', '', 0, 10, 'task p41_16069', 0, 0, '', 355, 1481787828, 1, 1488270734),
(16070, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 16073, '', '', '', '', '', '', 0, 10, 'task p41_16070', 0, 0, '17.15_AFFI', 338, 1481788643, 1, 1505374261),
(16071, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 16074, '', '', '', '', '', '', 0, 10, 'task p41_16071', 0, 0, '17.4', 338, 1481790198, 1, 1500988311),
(16072, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 16075, '', '', '', '', '', '', 0, 10, 'task p41_16072', 0, 0, '', 338, 1481756400, 1, 1494408753),
(16073, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 16076, '', '', '', '', '', '', 0, 10, 'task p41_16073', 0, 0, '', 338, 1481756400, 1, 1494408798),
(16075, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16078, '', '', '', '', '', '', 0, 10, 'task p41_16075', 0, 0, '18.1.0 DSI EM', 338, 1481756400, 1, 1509700352),
(16077, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16080, '', '', '', '', '', '', 0, 10, 'task p41_16077', 0, 0, '', 266, 1481798664, 1, 1493362278),
(16078, 41, 157, 157, 0, 30, 60, 100, 80, 10, 10, 10, 16081, '', '', '', '', '', '', 0, 10, 'task p41_16078', 0, 0, '', 355, 1481819966, 1, 1486456783),
(16093, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 16096, '', '', '', '16.1-3en1', '', '', 0, 10, 'task p41_16093', 0, 0, '16.1-3en1', 206, 1481881033, 1, 1487090111),
(16101, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16104, '', '', '', '', '', '', 0, 10, 'task p41_16101', 0, 0, '18.0_PUMA', 337, 1482132682, 1, 1498120490),
(16102, 41, 199, 146, 0, 10, 50, 100, 80, 10, 10, 10, 16105, '', '', '', '', '', '', 0, 10, 'task p41_16102', 0, 0, '', 337, 1482132733, 1, 1486110087),
(16106, 41, 72, 168, 0, 30, 50, 70, 80, 10, 10, 10, 16109, '', '', '', '', '', '', 0, 10, 'task p41_16106', 0, 0, '', 266, 1482138636, 1, 1486124794),
(16110, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 16113, '', '', '', '', '', '', 0, 10, 'task p41_16110', 0, 0, '', 338, 1482151062, 1, 1482507862),
(16139, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 16142, '', '', '', '', '', '', 0, 10, 'task p41_16139', 0, 0, '', 206, 1482243473, 1, 1496757126),
(16140, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16143, '', '', '', '', '', '', 0, 10, 'task p41_16140', 0, 0, '18.0_PUMA', 337, 1482247474, 1, 1498120698),
(16144, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16147, '', '', '', '', '', '', 0, 10, 'task p41_16144', 0, 0, '', 334, 1482305929, 1, 1483520838),
(16145, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 16148, '', '', '', '', '', '', 0, 10, 'task p41_16145', 0, 0, '', 338, 1482337035, 1, 1487751494),
(20680, 41, 199, 199, 0, 30, 50, 100, 80, 10, 10, 10, 20685, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_20680', 0, 0, '18.0_PUMA', 338, 1501134805, 1, 1514372726),
(16162, 41, 72, 168, 0, 30, 50, 70, 80, 10, 10, 10, 16165, '', '', '', '', '', '', 0, 10, 'task p41_16162', 0, 0, '', 266, 1482416225, 1, 1500968358),
(16312, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16315, '', '', '', '', '', '', 0, 10, 'task p41_16312', 0, 0, '', 266, 1483451654, 1, 1486123066),
(16332, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 16335, '', '', '', '', '', '', 0, 10, 'task p41_16332', 0, 0, '', 187, 1483457998, 1, 1484898961),
(16335, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16338, '', '', '', '', '', '', 0, 10, 'task p41_16335', 0, 0, '', 334, 1483520838, 1, 1484203493),
(16356, 41, 157, 157, 0, 60, 80, 90, 80, 10, 10, 10, 16359, '', '', '', '16.0.0', '', '', 0, 10, 'task p41_16356', 0, 0, '16.0.0', 355, 1483540323, 1, 1484133911),
(16430, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 16433, '', '', '', '', '', '', 0, 10, 'task p41_16430', 0, 0, '', 355, 1483717386, 1, 1484118292),
(16431, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 16434, '', '', '', '', '', '', 0, 10, 'task p41_16431', 0, 0, '', 355, 1483717436, 1, 1484560009),
(16510, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 16513, '', '', '', '', '', '', 0, 10, 'task p41_16510', 0, 0, '17.0.DSI_EM', 334, 1483916400, 1, 1488958652),
(16511, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 16514, '', '', '', '', '', '', 0, 10, 'task p41_16511', 0, 0, '17.0.DSI_EM', 334, 1483916400, 1, 1487752400),
(16512, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 16515, '', '', '', '', '', '', 0, 10, 'task p41_16512', 0, 0, '17.0.DSI_EM', 334, 1483916400, 1, 1487752373),
(16513, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16516, '', '', '', '', '', '', 0, 10, 'task p41_16513', 0, 0, '', 334, 1483916400, 1, 1484561782),
(16514, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 16517, '', '', '', '17.1.DSI_INT', '', '', 0, 10, 'task p41_16514', 0, 0, '', 334, 1483953634, 1, 1487751353),
(16516, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 16519, '', '', '', '', '', '', 0, 10, 'task p41_16516', 0, 0, '18.0.06', 337, 1483954541, 1, 1503642536),
(16517, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 16520, '', '', '', '17.1.DSI_INT', '', '', 0, 10, 'task p41_16517', 0, 0, '', 334, 1483954679, 1, 1487751382),
(21458, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 21463, '', '', '', '', '', '', 0, 10, 'task p41_21458', 0, 0, '', 337, 1504024191, 1, 1505314971),
(16526, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 16529, '', '', '', '', '', '', 0, 10, 'task p41_16526', 0, 0, '18.0.06', 337, 1483961815, 1, 1507289351),
(16546, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16549, '', '', '', '', '', '', 0, 10, 'task p41_16546', 0, 0, '', 311, 1484060446, 1, 1493362320),
(16550, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 16553, '', '', '', '', '', '', 0, 10, 'task p41_16550', 0, 0, '', 355, 1484118114, 1, 1485350935),
(16551, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 16554, '', '', '', '', '', '', 0, 10, 'task p41_16551', 0, 0, '', 355, 1484118178, 1, 1485350958),
(16552, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 16555, '', '', '', '', '', '', 0, 10, 'task p41_16552', 0, 0, '', 355, 1484118272, 1, 1485350912),
(16553, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 16556, '', '', '', '', '', '', 0, 10, 'task p41_16553', 0, 0, '', 355, 1484118589, 1, 1486106474),
(16554, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 16557, '', '', '', '', '', '', 0, 10, 'task p41_16554', 0, 0, '', 355, 1484118638, 1, 1485350797),
(16559, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 16562, '', '', '', '', '', '', 0, 10, 'task p41_16559', 0, 0, '16.1.P_3en1', 310, 1484210665, 1, 1486456706),
(16560, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 16563, '', '', '', '', '', '', 0, 10, 'task p41_16560', 0, 0, '16.1.P_3en1', 310, 1484210733, 1, 1485194316),
(16562, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 16565, '', '', '', '', '', '', 0, 10, 'task p41_16562', 0, 0, '', 334, 1484175600, 1, 1494927415),
(16563, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 16566, '', '', '', '', '', '', 0, 10, 'task p41_16563', 0, 0, '', 334, 1484175600, 1, 1494927455),
(16588, 41, 72, 164, 0, 30, 50, 70, 80, 10, 10, 10, 16591, '', '', '', '', '', '', 0, 10, 'task p41_16588', 0, 0, '', 206, 1483398000, 1, 1515485409),
(16587, 41, 72, 157, 0, 30, 50, 10, 80, 10, 10, 10, 16590, '', '', '', '', '', '', 0, 10, 'task p41_16587', 0, 0, '', 310, 1484312093, 1, 1484894284),
(16611, 41, 2, 2, 0, 30, 50, 100, 80, 10, 10, 10, 16614, '', '', '', '', '', '', 0, 10, 'task p41_16611', 0, 0, '', 206, 1484556136, 1, 1485966005),
(16623, 41, 72, 246, 0, 10, 50, 100, 80, 10, 10, 10, 16626, '', '', '', '', '', '', 0, 10, 'task p41_16623', 0, 0, '', 337, 1484645930, 1, 1487090149),
(16624, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16627, '', '', '', '', '', '', 0, 10, 'task p41_16624', 0, 0, '', 310, 1484607600, 1, 1489068669),
(16625, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16628, '', '', '', '', '', '', 0, 10, 'task p41_16625', 0, 0, '', 310, 1484607600, 1, 1485194531),
(16626, 41, 0, 169, 0, 60, 50, 100, 80, 10, 10, 10, 16629, '', '', '', '', '', '', 0, 10, 'task p41_16626', 0, 0, '', 310, 1484607600, 1, 1484734113),
(16676, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 16679, '', '', '', '', '', '', 0, 10, 'task p41_16676', 0, 0, '', 187, 1484694000, 1, 1490686725),
(16677, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16680, '', '', '', '', '', '', 0, 10, 'task p41_16677', 0, 0, '', 310, 1484694000, 1, 1486370941),
(16678, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16681, '', '', '', '', '', '', 0, 10, 'task p41_16678', 0, 0, '', 310, 1484694000, 1, 1485194510),
(16679, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16682, '', '', '', '', '', '', 0, 10, 'task p41_16679', 0, 0, '', 310, 1484694000, 1, 1486370989),
(16680, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 16683, '', '', '', '', '', '', 0, 10, 'task p41_16680', 0, 0, '', 310, 1484694000, 1, 1486371060),
(16681, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 16684, '', '', '', '', '', '', 0, 10, 'task p41_16681', 0, 0, '', 310, 1484694000, 1, 1486371110),
(16701, 41, 199, 246, 0, 10, 60, 100, 80, 10, 10, 10, 16704, '', '', '', '17.0.DSI_EM', '', '', 0, 10, 'task p41_16701', 0, 0, '', 334, 1484905919, 1, 1485276623),
(16722, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16725, '', '', '', '', '', '', 0, 10, 'task p41_16722', 0, 0, '', 266, 1485154819, 1, 1493362350),
(16723, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16726, '', '', '', '', '', '', 0, 10, 'task p41_16723', 0, 0, '', 266, 1485154991, 1, 1501743712),
(16742, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 16745, '', '', '', '', '', '', 0, 10, 'task p41_16742', 0, 0, '', 334, 1485187171, 1, 1485283286),
(22407, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22412, '', '', '', '', '', '', 0, 10, 'task p41_22407', 0, 0, '', 355, 1508450400, 1, 1514370489),
(23172, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23177, '', '', '', '', '', '', 0, 10, 'task p41_23172', 0, 0, '', 310, 1511218800, 1, 1514372204),
(22414, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22419, '', '', '', '', '', '', 0, 10, 'task p41_22414', 0, 0, '18.0.R2_PUMA', 337, 1508450400, 1, 1510670948),
(23171, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23176, '', '', '', '', '', '', 0, 10, 'task p41_23171', 0, 0, '', 310, 1511218800, 1, 1514372204),
(23170, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 23175, '', '', '', '', '', '', 0, 10, 'task p41_23170', 0, 0, '', 670, 1511218800, 1, 1514462371),
(16794, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 16797, '', '', '', '', '', '', 0, 10, 'task p41_16794', 0, 0, '', 284, 1485358134, 1, 1491465914),
(16802, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16805, '', '', '', '', '', '', 0, 10, 'task p41_16802', 0, 0, '', 310, 1485385200, 1, 1488877950),
(16803, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16806, '', '', '', '', '', '', 0, 10, 'task p41_16803', 0, 0, '', 311, 1485385200, 1, 1512134524),
(16804, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16807, '', '', '', '', '', '', 0, 10, 'task p41_16804', 0, 0, '', 284, 1485385200, 1, 1487074966),
(16805, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16808, '', '', '', '', '', '', 0, 10, 'task p41_16805', 0, 0, '', 310, 1485385200, 1, 1486456973),
(16806, 41, 157, 157, 0, 30, 60, 100, 80, 10, 10, 10, 16809, '', '', '', '', '', '', 0, 10, 'task p41_16806', 0, 0, '', 355, 1485504108, 1, 1486456852),
(16811, 41, 72, 169, 0, 50, 80, 70, 80, 10, 10, 10, 16814, '', '', '', '', '', '', 0, 10, 'task p41_16811', 0, 0, '', 338, 1485507207, 1, 1485877547),
(16844, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16847, '', '', '', '', '', '', 0, 10, 'task p41_16844', 0, 0, '', 334, 1485730800, 1, 1486136941),
(16845, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 16848, '', '', '', '', '', '', 0, 10, 'task p41_16845', 0, 0, '', 334, 1485730800, 1, 1486042624),
(16846, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16849, '', '', '', '', '', '', 0, 10, 'task p41_16846', 0, 0, '', 334, 1485730800, 1, 1488878100),
(16847, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 16850, '', '', '', '', '', '', 0, 10, 'task p41_16847', 0, 0, '', 334, 1485730800, 1, 1486746447),
(16848, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 16851, '', '', '', '', '', '', 0, 10, 'task p41_16848', 0, 0, '', 334, 1485730800, 1, 1487753295),
(16849, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 16852, '', '', '', '', '', '', 0, 10, 'task p41_16849', 0, 0, '18.2.0 DSI INT', 334, 1485730800, 1, 1510212055),
(16850, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 16853, '', '', '', '', '', '', 0, 10, 'task p41_16850', 0, 0, '', 334, 1485730800, 1, 1486042404),
(16851, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16854, '', '', '', '', '', '', 0, 10, 'task p41_16851', 0, 0, '', 334, 1485730800, 1, 1485857950),
(16852, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 16855, '', '', '', '', '', '', 0, 10, 'task p41_16852', 0, 0, '', 334, 1485730800, 1, 1490264043),
(16855, 41, 72, 168, 0, 10, 50, 100, 80, 20, 10, 10, 16858, '', '', '', '', '', '', 0, 10, 'task p41_16855', 0, 0, '', 334, 1485781316, 1, 1487925266),
(16867, 41, 72, 74, 0, 10, 50, 100, 80, 10, 10, 10, 16870, '', '', '', '', '', '', 0, 10, 'task p41_16867', 0, 0, '', 334, 1485787260, 1, 1486042149),
(16872, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16875, '', '', '', '', '', '', 0, 10, 'task p41_16872', 0, 0, '', 334, 1485730800, 1, 1489052633),
(16873, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16876, '', '', '', '', '', '', 0, 10, 'task p41_16873', 0, 0, '', 334, 1485730800, 1, 1489052610),
(16874, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16877, '', '', '', '', '', '', 0, 10, 'task p41_16874', 0, 0, '', 334, 1485730800, 1, 1487752960),
(16875, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16878, '', '', '', '', '', '', 0, 10, 'task p41_16875', 0, 0, '', 334, 1485730800, 1, 1487752948),
(16907, 41, 157, 157, 0, 10, 50, 100, 80, 10, 10, 10, 16910, '', '', '', '', '', '', 0, 10, 'task p41_16907', 0, 0, '', 310, 1485858153, 1, 1486457258),
(16912, 41, 72, 164, 0, 30, 50, 70, 80, 20, 10, 10, 16915, '', '', '', '', '', '', 0, 10, 'task p41_16912', 0, 0, '', 206, 1485875726, 1, 1489503252),
(16913, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16916, '', '', '', '', '', '', 0, 10, 'task p41_16913', 0, 0, '', 355, 1485903600, 1, 1486137150),
(16914, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 16917, '', '', '', '', '', '', 0, 10, 'task p41_16914', 0, 0, '', 355, 1485903600, 1, 1489052589),
(16915, 41, 72, 342, 0, 30, 50, 70, 80, 10, 10, 10, 16918, '', '', '', '', '', '', 0, 10, 'task p41_16915', 0, 0, '', 355, 1486022202, 1, 1487831882),
(16922, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16925, '', '', '', '', '', '', 0, 10, 'task p41_16922', 0, 0, '', 266, 1486029747, 1, 1500388119),
(16925, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16928, '', '', '', '', '', '', 0, 10, 'task p41_16925', 0, 0, '', 266, 1486046805, 1, 1493383946),
(16926, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16929, '', '', '', '', '', '', 0, 10, 'task p41_16926', 0, 0, '', 266, 1486046858, 1, 1486384801),
(16935, 41, 72, 199, 0, 50, 50, 70, 80, 10, 10, 10, 16938, '', '', '', '', '', '', 0, 10, 'task p41_16935', 0, 0, '', 338, 1486137581, 1, 1486137624),
(16971, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 16974, '', '', '', '', '', '', 0, 10, 'task p41_16971', 0, 0, '', 266, 1486384846, 1, 1493383851),
(22409, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22414, '', '', '', '', '', '', 0, 10, 'task p41_22409', 0, 0, '', 355, 1508450400, 1, 1515739923),
(22410, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 22415, '', '', '', '', '', '', 0, 10, 'task p41_22410', 0, 0, '', 355, 1508481161, 1, 1508481319),
(23169, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 23174, '', '', '', '', '', '', 0, 10, 'task p41_23169', 0, 0, '', 670, 1511218800, 1, 1514462337),
(23167, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23172, '', '', '', '', '', '', 0, 10, 'task p41_23167', 0, 0, '18.0.R3_PUMA', 337, 1511218800, 1, 1517516358),
(22413, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 22418, '', '', '', '', '', '', 0, 10, 'task p41_22413', 0, 0, '18.0.R2_PUMA', 337, 1508450400, 1, 1510670982),
(23557, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 23562, '', '', '', '', '', '', 0, 10, 'task p41_23557', 0, 0, '18.0.R3_PUMA', 337, 1513088551, 1, 1518772685),
(22411, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 22416, '', '', '', '', '', '', 0, 10, 'task p41_22411', 0, 0, '', 355, 1508481231, 1, 1508481276),
(17022, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 17025, '', '', '', '16.0.P_3en1', '', '', 0, 10, 'task p41_17022', 0, 0, '', 310, 1486457115, 1, 1486457237),
(17471, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17475, '', '', '', '', '', '', 0, 10, 'task p41_17471', 0, 0, '', 338, 1487948125, 1, 1488878747),
(17475, 41, 157, 157, 0, 40, 80, 100, 80, 10, 10, 10, 17479, '', '', '', '', '', '', 0, 10, 'task p41_17475', 0, 0, '', 355, 1488191843, 1, 1488535866),
(23165, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23170, '', '', '', '', '', '', 0, 10, 'task p41_23165', 0, 0, '18.0.10_PUMA', 337, 1511218800, 1, 1514371994),
(23163, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 23168, '', '', '', '', '', '', 0, 10, 'task p41_23163', 0, 0, '', 670, 1511260725, 1, 1517395396),
(23166, 41, 0, 168, 0, 10, 50, 100, 20, 10, 10, 10, 23171, '', '', '', '', '', '', 0, 10, 'task p41_23166', 0, 0, '18.0.10_PUMA', 337, 1511218800, 1, 1517324842),
(23168, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 23173, '', '', '', '', '', '', 0, 10, 'task p41_23168', 0, 0, '18.0.R3_PUMA', 337, 1511218800, 1, 1519977758),
(17063, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 17066, '', '', '', '', '', '', 0, 10, 'task p41_17063', 0, 0, '', 337, 1486482889, 1, 1495461208),
(17064, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 17067, '', '', '', '', '', '', 0, 10, 'task p41_17064', 0, 0, '', 337, 1486483182, 1, 1506689458),
(17065, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 17068, '', '', '', '', '', '', 0, 10, 'task p41_17065', 0, 0, '', 337, 1486484323, 1, 1507539378),
(23160, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 23165, '', '', '', '', '', '', 0, 10, '[INTEG] Transverse - integration continue / Archi Git', 0, 0, '', 297, 1511255600, 1, 1511255600),
(23152, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23157, '', '', '', '', '', '', 0, 10, 'task p41_23152', 0, 0, '', 355, 1511132400, 1, 1514372204),
(23151, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23156, '', '', '', '', '', '', 0, 10, 'task p41_23151', 0, 0, '', 355, 1511132400, 1, 1514372204),
(23150, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23155, '', '', '', '', '', '', 0, 10, 'task p41_23150', 0, 0, '', 337, 1511132400, 1, 1514371994),
(23149, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23154, '', '', '', '', '', '', 0, 10, 'task p41_23149', 0, 0, '', 337, 1511132400, 1, 1514371994),
(22408, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22413, '', '', '', '', '', '', 0, 10, 'task p41_22408', 0, 0, '', 355, 1508450400, 1, 1514370669),
(17133, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17136, '', '', '', '', '', '', 0, 10, 'task p41_17133', 0, 0, '18.0_PUMA', 337, 1486567006, 1, 1498120723),
(17142, 41, 72, 147, 0, 30, 80, 70, 80, 10, 10, 10, 17145, '', '', '', '', '', '', 0, 10, 'task p41_17142', 0, 0, '', 338, 1486621892, 1, 1486654852),
(17145, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 17148, '', '', '', '', '', '', 0, 10, 'task p41_17145', 0, 0, '', 338, 1486594800, 1, 1487165874),
(17170, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17173, '', '', '', '', '', '', 0, 10, 'task p41_17170', 0, 0, '', 334, 1486681200, 1, 1488958204),
(17211, 41, 72, 0, 0, 30, 60, 70, 80, 10, 10, 10, 17214, '', '', '', '', '', '', 0, 10, 'task p41_17211', 0, 0, '', 250, 1486742104, 1, 1495017835),
(17248, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 17251, '', '', '', '', '', '', 0, 10, 'task p41_17248', 0, 0, '', 338, 1486981790, 1, 1495004597),
(17251, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 17254, '', '', '', '', '', '', 0, 10, 'task p41_17251', 0, 0, '', 338, 1487064210, 1, 1521196530),
(17252, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17255, '', '', '', '', '', '', 0, 10, 'task p41_17252', 0, 0, '', 338, 1487026800, 1, 1488878192),
(17253, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 17256, '', '', '', '', '', '', 0, 10, 'task p41_17253', 0, 0, '', 338, 1487026800, 1, 1499952500),
(17254, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17257, '', '', '', '', '', '', 0, 10, 'task p41_17254', 0, 0, '', 338, 1487026800, 1, 1488878255),
(17258, 41, 72, 217, 0, 10, 50, 100, 80, 10, 10, 10, 17261, '', '', '', '', '', '', 0, 10, 'task p41_17258', 0, 0, '', 337, 1487084389, 1, 1494945846),
(17292, 41, 199, 199, 0, 50, 50, 100, 80, 10, 10, 10, 17295, '', '', '', '', '', '', 0, 10, 'task p41_17292', 0, 0, '', 334, 1487147851, 1, 1487832840),
(17299, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17302, '', '', '', '', '', '', 0, 10, 'task p41_17299', 0, 0, '17.1.50 MCO', 187, 1487113200, 1, 1490109209),
(17300, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17303, '', '', '', '', '', '', 0, 10, 'task p41_17300', 0, 0, '17.1.50 MCO', 187, 1487113200, 1, 1493130197),
(17301, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 17304, '', '', '', '', '', '', 0, 10, 'task p41_17301', 0, 0, '17.1.50 MCO', 187, 1487113200, 1, 1490686545),
(17827, 41, 157, 157, 0, 40, 50, 70, 80, 10, 10, 10, 17831, '', '', '', '', '', '', 0, 10, 'task p41_17827', 0, 0, '', 355, 1489740811, 1, 1489741020),
(17368, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17371, '', '', '', '', '', '', 0, 10, 'task p41_17368', 0, 0, '17.1.DSI_INT', 334, 1487286000, 1, 1490628300),
(17369, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17372, '', '', '', '', '', '', 0, 10, 'task p41_17369', 0, 0, '17.1.DSI_INT', 334, 1487286000, 1, 1490628317),
(17370, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17373, '', '', '', '', '', '', 0, 10, 'task p41_17370', 0, 0, '', 338, 1487335104, 1, 1489393292),
(17382, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17385, '', '', '', '', '', '', 0, 10, 'task p41_17382', 0, 0, '', 338, 1487579127, 1, 1487775374),
(17401, 41, 164, 2, 0, 30, 50, 70, 80, 10, 10, 10, 17404, '', '', '', '', '', '', 0, 10, 'task p41_17401', 0, 0, '', 206, 1487684597, 1, 1501586029),
(17411, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17414, '', '', '', '', '', '', 0, 10, 'task p41_17411', 0, 0, '', 334, 1487718000, 1, 1488878312),
(17412, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17415, '', '', '', '', '', '', 0, 10, 'task p41_17412', 0, 0, '', 355, 1487718000, 1, 1488878379),
(17413, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17416, '', '', '', '', '', '', 0, 10, 'task p41_17413', 0, 0, '', 355, 1487718000, 1, 1488878587),
(17414, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17417, '', '', '', '', '', '', 0, 10, 'task p41_17414', 0, 0, '', 334, 1487718000, 1, 1488878653),
(17415, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 17418, '', '', '', '', '', '', 0, 10, 'task p41_17415', 0, 0, '', 334, 1487718000, 1, 1488555456),
(17416, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 17419, '', '', '', '', '', '', 0, 10, 'task p41_17416', 0, 0, '', 334, 1487718000, 1, 1488555491),
(17417, 41, 0, 74, 0, 10, 50, 100, 80, 20, 10, 10, 17420, '', '', '', '', '', '', 0, 10, 'task p41_17417', 0, 0, '', 334, 1487718000, 1, 1488555687),
(17418, 41, 0, 74, 0, 10, 50, 100, 80, 20, 10, 10, 17421, '', '', '', '', '', '', 0, 10, 'task p41_17418', 0, 0, '', 334, 1487718000, 1, 1488555693),
(17422, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17425, '', '', '', '', '', '', 0, 10, 'task p41_17422', 0, 0, '', 338, 1487760415, 1, 1487780394),
(17424, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17427, '', '', '', '', '', '', 0, 10, 'task p41_17424', 0, 0, '', 337, 1487767762, 1, 1506428917),
(17425, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17428, '', '', '', '', '', '', 0, 10, 'task p41_17425', 0, 0, '', 337, 1487768001, 1, 1506428939),
(17426, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17429, '', '', '', '', '', '', 0, 10, 'task p41_17426', 0, 0, '', 337, 1487768180, 1, 1500464223),
(17427, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17430, '', '', '', '', '', '', 0, 10, 'task p41_17427', 0, 0, '', 337, 1487768833, 1, 1500464375),
(17428, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17431, '', '', '', '', '', '', 0, 10, 'task p41_17428', 0, 0, '', 337, 1487768996, 1, 1500464282),
(17429, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17432, '', '', '', '', '', '', 0, 10, 'task p41_17429', 0, 0, '', 337, 1487769124, 1, 1504862492),
(17430, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17433, '', '', '', '', '', '', 0, 10, 'task p41_17430', 0, 0, '', 337, 1487769345, 1, 1500464476),
(17431, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17434, '', '', '', '', '', '', 0, 10, 'task p41_17431', 0, 0, '', 337, 1487769555, 1, 1500464493),
(17432, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17435, '', '', '', '', '', '', 0, 10, 'task p41_17432', 0, 0, '', 337, 1487769825, 1, 1498746341),
(17444, 41, 72, 169, 0, 30, 60, 70, 80, 10, 10, 10, 17447, '', '', '', '', '', '', 0, 10, 'task p41_17444', 0, 0, '', 337, 1487199600, 1, 1487952732),
(17446, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 17449, '', '', '', '', '', '', 0, 10, 'task p41_17446', 0, 0, '', 311, 1487845150, 1, 1487845219),
(17447, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17450, '', '', '', '', '', '', 0, 10, 'task p41_17447', 0, 0, '', 334, 1487804400, 1, 1490262239),
(17448, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17451, '', '', '', '', '', '', 0, 10, 'task p41_17448', 0, 0, '', 334, 1487804400, 1, 1498828496),
(17449, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17452, '', '', '', '', '', '', 0, 10, 'task p41_17449', 0, 0, '', 334, 1487804400, 1, 1488878704),
(17450, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 17453, '', '', '', '', '', '', 0, 10, 'task p41_17450', 0, 0, '', 310, 1487804400, 1, 1501762028),
(17451, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17454, '', '', '', '', '', '', 0, 10, 'task p41_17451', 0, 0, '', 310, 1487804400, 1, 1493116610),
(17452, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17455, '', '', '', '', '', '', 0, 10, 'task p41_17452', 0, 0, '', 310, 1487804400, 1, 1493368050),
(17453, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 17456, '', '', '', '', '', '', 0, 10, 'task p41_17453', 0, 0, '', 338, 1487804400, 1, 1505379548),
(17454, 41, 72, 2, 0, 10, 50, 100, 80, 10, 10, 10, 17458, '', '', '', '', '', '', 0, 10, 'task p41_17454', 0, 0, '', 338, 1487853168, 1, 1505379561),
(17826, 41, 157, 157, 0, 40, 50, 70, 80, 10, 10, 10, 17830, '', '', '', '', '', '', 0, 10, 'task p41_17826', 0, 0, '', 355, 1489740723, 1, 1490261975),
(17522, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17526, '', '', '', '', '', '', 0, 10, 'task p41_17522', 0, 0, '', 334, 1488449672, 1, 1488449696),
(17570, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 17574, '', '', '', '', '', '', 0, 10, 'task p41_17570', 0, 0, '', 338, 1488754800, 1, 1489134070),
(17571, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 17575, '', '', '', '', '', '', 0, 10, 'task p41_17571', 0, 0, '', 338, 1488754800, 1, 1490263112),
(17572, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 17576, '', '', '', '', '', '', 0, 10, 'task p41_17572', 0, 0, '', 338, 1488754800, 1, 1488980034),
(17573, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 17577, '', '', '', '', '', '', 0, 10, 'task p41_17573', 0, 0, '', 338, 1488754800, 1, 1489134153),
(17574, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17578, '', '', '', '', '', '', 0, 10, 'task p41_17574', 0, 0, '', 338, 1488754800, 1, 1490263263),
(17577, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17581, '', '', '', '', '', '', 0, 10, 'task p41_17577', 0, 0, '', 334, 1488807246, 1, 1488807632),
(17581, 41, 199, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17585, '', '', '', '', '', '', 0, 10, 'task p41_17581', 0, 0, '', 334, 1488814380, 1, 1488894986),
(17582, 41, 199, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17586, '', '', '', '', '', '', 0, 10, 'task p41_17582', 0, 0, '', 334, 1488814447, 1, 1488816593),
(17633, 41, 199, 169, 0, 30, 50, 70, 80, 10, 10, 10, 17637, '', '', '', '', '', '', 0, 10, 'task p41_17633', 0, 0, '18.0.06', 337, 1488892698, 1, 1505310580),
(17634, 41, 199, 169, 0, 30, 50, 70, 80, 10, 10, 10, 17638, '', '', '', '', '', '', 0, 10, 'task p41_17634', 0, 0, '18.0.06', 337, 1488892753, 1, 1505310559),
(17637, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 17641, '', '', '', '', '', '', 0, 10, 'task p41_17637', 0, 0, '18.0_PUMA', 337, 1488894771, 1, 1501742683),
(17638, 41, 199, 147, 0, 30, 50, 70, 80, 10, 10, 10, 17642, '', '', '', '', '', '', 0, 10, 'task p41_17638', 0, 0, '', 338, 1488894854, 1, 1489052107),
(17644, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17648, '', '', '', '', '', '', 0, 10, 'task p41_17644', 0, 0, '', 338, 1488927600, 1, 1490262356),
(17645, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17649, '', '', '', '', '', '', 0, 10, 'task p41_17645', 0, 0, '', 338, 1488927600, 1, 1490262404),
(17646, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17650, '', '', '', '', '', '', 0, 10, 'task p41_17646', 0, 0, '', 338, 1488961349, 1, 1488961373),
(18442, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 18446, '', '', '', '', '', '', 0, 10, 'task p41_18442', 0, 0, '', 337, 1492466400, 1, 1499428436),
(18441, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 18445, '', '', '', '', '', '', 0, 10, 'task p41_18441', 0, 0, '', 337, 1492466400, 1, 1498562750),
(17729, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 17733, '', '', '', '', '', '', 0, 10, 'task p41_17729', 0, 0, '', 266, 1489040284, 1, 1489040328),
(17730, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 17734, '', '', '', '', '', '', 0, 10, 'task p41_17730', 0, 0, '', 338, 1489046106, 1, 1497601382),
(17733, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17737, '', '', '', '', '', '', 0, 10, 'task p41_17733', 0, 0, '', 334, 1489051878, 1, 1489051901),
(17734, 41, 157, 157, 0, 30, 60, 100, 80, 10, 10, 10, 17738, '', '', '', '', '', '', 0, 10, 'task p41_17734', 0, 0, '', 355, 1489052537, 1, 1490109304),
(17743, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17747, '', '', '', '', '', '', 0, 10, 'task p41_17743', 0, 0, '', 355, 1489129132, 1, 1489129158),
(17739, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 17743, '', '', '', '', '', '', 0, 10, 'task p41_17739', 0, 0, '18.0.06', 337, 1489014000, 1, 1505313382),
(17740, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 17744, '', '', '', '', '', '', 0, 10, 'task p41_17740', 0, 0, '18.0.06', 337, 1489014000, 1, 1505313507),
(17741, 41, 0, 217, 0, 10, 50, 100, 80, 10, 10, 10, 17745, '', '', '', '', '', '', 0, 10, 'task p41_17741', 0, 0, '18.0.10_PUMA', 337, 1489014000, 1, 1512135858),
(17742, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17746, '', '', '', '', '', '', 0, 10, 'task p41_17742', 0, 0, '18.0.10_PUMA', 337, 1489014000, 1, 1508761909),
(17746, 41, 72, 158, 0, 30, 50, 70, 80, 10, 10, 10, 17750, '', '', '', '', '', '', 0, 10, 'task p41_17746', 0, 0, '', 338, 1489139945, 1, 1494399764),
(17747, 41, 72, 158, 0, 30, 50, 70, 80, 10, 10, 10, 17751, '', '', '', '', '', '', 0, 10, 'task p41_17747', 0, 0, '', 338, 1489140009, 1, 1494399810),
(17757, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17761, '', '', '', '', '', '', 0, 10, 'task p41_17757', 0, 0, '', 338, 1489388334, 1, 1489388365),
(17758, 41, 199, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17762, '', '', '', '', '', '', 0, 10, 'task p41_17758', 0, 0, '', 355, 1489391465, 1, 1491201624),
(17759, 41, 72, 157, 0, 60, 50, 70, 80, 10, 10, 10, 17763, '', '', '', '', '', '', 0, 10, 'task p41_17759', 0, 0, '', 355, 1489399754, 1, 1490109473),
(17762, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17766, '', '', '', '', '', '', 0, 10, 'task p41_17762', 0, 0, '17.4', 310, 1489359600, 1, 1499865826),
(17764, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 17768, '', '', '', '', '', '', 0, 10, 'task p41_17764', 0, 0, '17.4', 337, 1489359600, 1, 1512476572),
(17765, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 17769, '', '', '', '', '', '', 0, 10, 'task p41_17765', 0, 0, '', 337, 1489359600, 1, 1512133973),
(17791, 41, 72, 169, 0, 10, 50, 100, 80, 10, 10, 10, 17795, '', '', '', '', '', '', 0, 10, 'task p41_17791', 0, 0, '', 337, 1489656609, 1, 1494943351),
(17845, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17849, '', '', '', '', '', '', 0, 10, 'task p41_17845', 0, 0, '', 355, 1489992143, 1, 1489997560),
(17846, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17850, '', '', '', '', '', '', 0, 10, 'task p41_17846', 0, 0, '', 355, 1489992172, 1, 1489992278),
(17847, 41, 199, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17851, '', '', '', '', '', '', 0, 10, 'task p41_17847', 0, 0, '', 355, 1489992221, 1, 1490170671),
(17848, 41, 199, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17852, '', '', '', '', '', '', 0, 10, 'task p41_17848', 0, 0, '', 355, 1489997560, 1, 1490600756),
(17849, 41, 199, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17853, '', '', '', '', '', '', 0, 10, 'task p41_17849', 0, 0, '', 355, 1489997586, 1, 1490187696),
(17850, 41, 199, 246, 0, 30, 50, 70, 80, 10, 10, 10, 17854, '', '', '', '', '', '', 0, 10, 'task p41_17850', 0, 0, '', 355, 1489997614, 1, 1490597928),
(17855, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17859, '', '', '', '', '', '', 0, 10, 'task p41_17855', 0, 0, '', 355, 1489997973, 1, 1490597924),
(17856, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 17860, '', '', '', '', '', '', 0, 10, 'task p41_17856', 0, 0, '', 334, 1489964400, 1, 1498723669),
(17857, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17861, '', '', '', '', '', '', 0, 10, 'task p41_17857', 0, 0, '', 334, 1489964400, 1, 1491321110),
(17858, 81, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 17862, '', '', '', '', '', '', 0, 10, 'CodevTT - Evolution \"Suivi des coûts\"', 0, 0, '', 297, 1490004582, 1, 1490004582),
(17917, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 17921, '', '', '', '', '', '', 0, 10, 'task p41_17917', 0, 0, '', 355, 1490165895, 1, 1490165934),
(17921, 41, 157, 157, 0, 30, 50, 10, 80, 10, 10, 10, 17925, '', '', '', '', '', '', 0, 10, 'task p41_17921', 0, 0, '', 355, 1490261869, 1, 1490261919),
(17923, 41, 72, 2, 0, 30, 50, 70, 80, 10, 10, 10, 17927, '', '', '', '', '', '', 0, 10, 'task p41_17923', 0, 0, '', 338, 1490262858, 1, 1490349913),
(18755, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18759, '', '', '', '', '', '', 0, 10, 'task p41_18755', 0, 0, '17.4', 310, 1493880660, 1, 1502283393),
(17967, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17971, '', '', '', '', '', '', 0, 10, 'task p41_17967', 0, 0, '17.2.50', 338, 1490565600, 1, 1495171925),
(17968, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 17972, '', '', '', '', '', '', 0, 10, 'task p41_17968', 0, 0, '17.2.50', 338, 1490565600, 1, 1495003716),
(17984, 41, 217, 217, 0, 30, 50, 70, 50, 10, 10, 10, 17988, '', '', '', '', '', '', 0, 10, 'task p41_17984', 0, 0, '', 266, 1490775798, 1, 1508753754),
(17987, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17991, '', '', '', '', '', '', 0, 10, 'task p41_17987', 0, 0, '', 355, 1490738400, 1, 1493368025),
(17988, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 17992, '', '', '', '', '', '', 0, 10, 'task p41_17988', 0, 0, '', 355, 1490738400, 1, 1491397686),
(18008, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 18012, '', '', '', '', '', '', 0, 10, 'task p41_18008', 0, 0, '', 338, 1490951753, 1, 1493995717),
(18009, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 18013, '', '', '', '', '', '', 0, 10, 'task p41_18009', 0, 0, '', 338, 1490965253, 1, 1491390044),
(18028, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 18032, '', '', '', '', '', '', 0, 10, 'task p41_18028', 0, 0, '', 266, 1491210709, 1, 1491227237),
(18059, 41, 72, 157, 0, 60, 50, 70, 80, 10, 10, 10, 18063, '', '', '', '', '', '', 0, 10, 'task p41_18059', 0, 0, '', 355, 1491298675, 1, 1491549818),
(18060, 41, 205, 205, 0, 10, 50, 100, 80, 10, 10, 10, 18064, '', '', '', '', '', '', 0, 10, 'task p41_18060', 0, 0, '18.0_PUMA', 337, 1491307297, 1, 1491569765),
(18061, 41, 205, 205, 0, 10, 50, 100, 80, 10, 10, 10, 18065, '', '', '', '', '', '', 0, 10, 'task p41_18061', 0, 0, '', 337, 1491307499, 1, 1496049816),
(18088, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 18092, '', '', '', '', '', '', 0, 10, 'task p41_18088', 0, 0, '', 355, 1491429600, 1, 1493888518),
(18089, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 18093, '', '', '', '', '', '', 0, 10, 'task p41_18089', 0, 0, '', 355, 1491429600, 1, 1493888495),
(18090, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 18094, '', '', '', '', '', '', 0, 10, 'task p41_18090', 0, 0, '', 206, 1491480403, 1, 1491490412),
(18091, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 18095, '', '', '', '', '', '', 0, 10, 'task p41_18091', 0, 0, '', 355, 1491489345, 1, 1492585196),
(18114, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 18118, '', '', '', '', '', '', 0, 10, 'task p41_18114', 0, 0, '', 338, 1491516000, 1, 1515713436),
(18115, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 18119, '', '', '', '', '', '', 0, 10, 'task p41_18115', 0, 0, '', 338, 1491516000, 1, 1515713448),
(18116, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 18120, '', '', '', '', '', '', 0, 10, 'task p41_18116', 0, 0, '', 338, 1491516000, 1, 1505379954),
(18118, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 18122, '', '', '', '', '', '', 0, 10, 'task p41_18118', 0, 0, '', 338, 1491516000, 1, 1494598839),
(18119, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 18123, '', '', '', '', '', '', 0, 10, 'task p41_18119', 0, 0, '', 338, 1491516000, 1, 1494598844),
(18120, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18124, '', '', '', '', '', '', 0, 10, 'task p41_18120', 0, 0, '', 355, 1491565476, 1, 1493367963),
(18121, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18125, '', '', '', '', '', '', 0, 10, 'task p41_18121', 0, 0, '', 355, 1491565528, 1, 1494580170),
(18180, 41, 72, 157, 0, 60, 50, 70, 80, 10, 10, 10, 18184, '', '', '', '17.1.DSI_INT', '', '', 0, 10, 'task p41_18180', 0, 0, '', 334, 1491814118, 1, 1491894811),
(18243, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 18247, '', '', '', '', '', '', 0, 10, 'task p41_18243', 0, 0, '', 355, 1491861600, 1, 1493995196),
(18244, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 18248, '', '', '', '', '', '', 0, 10, 'task p41_18244', 0, 0, '', 355, 1491861600, 1, 1493995260),
(18266, 41, 322, 0, 0, 30, 50, 70, 10, 10, 10, 10, 18270, '', '', '', '', '', '', 0, 10, 'task p41_18266', 0, 0, '', 338, 1491903899, 1, 1491903899),
(18267, 81, 345, 345, 0, 30, 50, 100, 90, 10, 10, 10, 18271, '', '', '', '', '', '', 0, 10, 'Réunion', 0, 0, '', 294, 1491904226, 1, 1491904226),
(18268, 81, 345, 345, 0, 30, 50, 100, 90, 10, 10, 10, 18272, '', '', '', '', '', '', 0, 10, 'Indicateurs', 0, 0, '', 294, 1491904278, 1, 1491904278),
(18269, 81, 345, 345, 0, 30, 50, 100, 90, 10, 10, 10, 18273, '', '', '', '', '', '', 0, 10, 'Suivi Budgétaire', 0, 0, '', 294, 1491904306, 1, 1491904306),
(18270, 81, 345, 345, 0, 30, 50, 70, 90, 10, 10, 10, 18274, '', '', '', '', '', '', 0, 10, 'Commandes', 0, 0, '', 294, 1491904433, 1, 1491904433),
(18271, 81, 345, 345, 0, 30, 50, 100, 90, 10, 10, 10, 18275, '', '', '', '', '', '', 0, 10, 'Divers', 0, 0, '', 294, 1491904488, 1, 1491904488),
(18279, 41, 217, 217, 0, 30, 50, 70, 80, 10, 10, 10, 18283, '', '', '', '', '', '', 0, 10, 'task p41_18279', 0, 0, '', 266, 1492000493, 1, 1492185429),
(18287, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 18291, '', '', '', '', '', '', 0, 10, 'task p41_18287', 0, 0, '', 338, 1491948000, 1, 1497009900),
(18288, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 18292, '', '', '', '', '', '', 0, 10, 'task p41_18288', 0, 0, '', 355, 1491948000, 1, 1493995395),
(18289, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 18293, '', '', '', '', '', '', 0, 10, 'task p41_18289', 0, 0, '', 355, 1491948000, 1, 1493995443),
(18401, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 18405, '', '', '', '', '', '', 0, 10, 'task p41_18401', 0, 0, '', 334, 1492120800, 1, 1494493583),
(18402, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 18406, '', '', '', '', '', '', 0, 10, 'task p41_18402', 0, 0, '', 355, 1492120800, 1, 1493995540),
(18403, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 18407, '', '', '', '', '', '', 0, 10, 'task p41_18403', 0, 0, '', 337, 1492120800, 1, 1494595840),
(18404, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 18408, '', '', '', '', '', '', 0, 10, 'task p41_18404', 0, 0, '', 337, 1492120800, 1, 1498828659),
(18405, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 18409, '', '', '', '', '', '', 0, 10, 'task p41_18405', 0, 0, '', 337, 1492162078, 1, 1496049895),
(18473, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 18477, '', '', '', '17.1.DSI_INT', '', '', 0, 10, 'task p41_18473', 0, 0, '', 334, 1492585113, 1, 1493098683),
(18488, 41, 72, 246, 0, 30, 50, 70, 80, 10, 10, 10, 18492, '', '', '', '', '', '', 0, 10, 'task p41_18488', 0, 0, '', 338, 1492673816, 1, 1509114949),
(18489, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 18493, '', '', '', '', '', '', 0, 10, 'task p41_18489', 0, 0, '17.3.TO', 355, 1492639200, 1, 1497346173),
(18490, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 18494, '', '', '', '', '', '', 0, 10, 'task p41_18490', 0, 0, '17.3.TO', 355, 1492639200, 1, 1494928080),
(18491, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 18495, '', '', '', '', '', '', 0, 10, 'task p41_18491', 0, 0, '17.3.TO', 355, 1492639200, 1, 1496306771),
(18492, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 18496, '', '', '', '', '', '', 0, 10, 'task p41_18492', 0, 0, '17.5', 338, 1492639200, 1, 1494580654),
(18493, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 18497, '', '', '', '', '', '', 0, 10, 'task p41_18493', 0, 0, '17.5', 338, 1492639200, 1, 1494581114),
(18511, 41, 72, 74, 0, 10, 50, 100, 80, 10, 10, 10, 18515, '', '', '', '', '', '', 0, 10, 'task p41_18511', 0, 0, '17.3.TO', 355, 1492677941, 1, 1497344864),
(18512, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18516, '', '', '', '', '', '', 0, 10, 'task p41_18512', 0, 0, '17.2.50', 310, 1492679473, 1, 1506417950),
(18535, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18539, '', '', '', '17.1.DSI_INT', '', '', 0, 10, 'task p41_18535', 0, 0, '', 355, 1493021106, 1, 1493367998),
(18575, 81, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 18579, '', '', '', '', '', '', 0, 10, 'Travaux Preparatoires ARCOS', 0, 0, '', 1, 1493034818, 1, 1496051557),
(18587, 41, 72, 74, 0, 10, 50, 100, 80, 10, 10, 10, 18591, '', '', '', '', '', '', 0, 10, 'task p41_18587', 0, 0, '', 355, 1493117103, 1, 1507557369),
(18601, 41, 72, 72, 0, 10, 50, 100, 80, 10, 10, 10, 18605, '', '', '', '', '', '', 0, 10, 'task p41_18601', 0, 0, '', 338, 1493206130, 1, 1494408848),
(18610, 41, 2, 2, 0, 30, 50, 100, 80, 10, 10, 10, 18614, '', '', '', '', '', '', 0, 10, 'task p41_18610', 0, 0, '', 206, 1493293133, 1, 1494337373),
(18660, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 18664, '', '', '', '', '', '', 0, 10, 'task p41_18660', 0, 0, '', 334, 1493330400, 1, 1494591260),
(18661, 41, 2, 0, 0, 30, 50, 70, 80, 10, 10, 10, 18665, '', '', '', '', '', '', 0, 10, 'task p41_18661', 0, 0, '', 619, 1493369812, 1, 1494409347),
(18662, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 18666, '', '', '', '', '', '', 0, 10, 'task p41_18662', 0, 0, '', 619, 1493369882, 1, 1505379825),
(18663, 41, 2, 2, 0, 30, 50, 70, 80, 70, 10, 10, 18667, '', '', '', '', '', '', 0, 10, 'task p41_18663', 0, 0, '', 619, 1493370083, 1, 1494421028),
(21797, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21802, '', '', '', '', '', '', 0, 10, 'task p41_21797', 0, 0, '', 337, 1505858400, 1, 1514367960),
(18757, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 18761, '', '', '', '', '', '', 0, 10, 'task p41_18757', 0, 0, '17.4', 338, 1493881356, 1, 1499952400),
(18718, 41, 0, 147, 0, 10, 50, 100, 80, 10, 10, 10, 18722, '', '', '', '', '', '', 0, 10, 'task p41_18718', 0, 0, '', 284, 1493676000, 1, 1493881330),
(18720, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18724, '', '', '', '', '', '', 0, 10, 'task p41_18720', 0, 0, '17.4', 355, 1493729835, 1, 1494408577),
(18721, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18725, '', '', '', '', '', '', 0, 10, 'task p41_18721', 0, 0, '17.4', 355, 1493729870, 1, 1498724924),
(18735, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 18739, '', '', '', '', '', '', 0, 10, 'task p41_18735', 0, 0, '', 206, 1493735467, 1, 1506073052);
INSERT INTO `mantis_bug_table` (`id`, `project_id`, `reporter_id`, `handler_id`, `duplicate_id`, `priority`, `severity`, `reproducibility`, `status`, `resolution`, `projection`, `eta`, `bug_text_id`, `os`, `os_build`, `platform`, `version`, `fixed_in_version`, `build`, `profile_id`, `view_state`, `summary`, `sponsorship_total`, `sticky`, `target_version`, `category_id`, `date_submitted`, `due_date`, `last_updated`) VALUES
(18756, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 18760, '', '', '', '', '', '', 0, 10, 'task p41_18756', 0, 0, '17.4', 310, 1493880724, 1, 1502283428),
(18776, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 18780, '', '', '', '', '', '', 0, 10, 'task p41_18776', 0, 0, '18.0_PUMA', 337, 1493848800, 1, 1498562734),
(18777, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 18781, '', '', '', '', '', '', 0, 10, 'task p41_18777', 0, 0, '18.0_PUMA', 337, 1493848800, 1, 1498825719),
(18964, 41, 72, 72, 0, 30, 50, 70, 80, 10, 10, 10, 18968, '', '', '', '', '', '', 0, 10, 'task p41_18964', 0, 0, '', 338, 1494410167, 1, 1494508645),
(18965, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 18969, '', '', '', '', '', '', 0, 10, 'task p41_18965', 0, 0, '', 619, 1494421139, 1, 1494598362),
(18998, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 19002, '', '', '', '', '', '', 0, 10, 'Support CALI', 0, 0, '', 295, 1494781979, 1, 1494781979),
(19042, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 19046, '', '', '', '', '', '', 0, 10, 'task p41_19042', 0, 0, '18.0_PUMA', 337, 1494938581, 1, 1494938756),
(19044, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19048, '', '', '', '', '', '', 0, 10, 'task p41_19044', 0, 0, '18.0_PUMA', 337, 1494939864, 1, 1494941556),
(19045, 41, 72, 0, 0, 30, 50, 70, 80, 10, 10, 10, 19049, '', '', '', '', '', '', 0, 10, 'task p41_19045', 0, 0, '18.0_PUMA', 337, 1494940868, 1, 1494940954),
(19046, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19050, '', '', '', '', '', '', 0, 10, 'task p41_19046', 0, 0, '18.0_PUMA', 337, 1494941074, 1, 1494941383),
(19047, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19051, '', '', '', '', '', '', 0, 10, 'task p41_19047', 0, 0, '18.0_PUMA', 337, 1494941556, 1, 1494941655),
(19048, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19052, '', '', '', '', '', '', 0, 10, 'task p41_19048', 0, 0, '18.0_PUMA', 337, 1494942468, 1, 1497427019),
(19051, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19055, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_19051', 0, 0, '', 337, 1494944723, 1, 1494944886),
(19054, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19058, '', '', '', '', '', '', 0, 10, 'task p41_19054', 0, 0, '18.0_PUMA', 337, 1494946460, 1, 1494946504),
(19055, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19059, '', '', '', '', '', '', 0, 10, 'task p41_19055', 0, 0, '18.0_PUMA', 337, 1494946822, 1, 1498562274),
(19064, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19068, '', '', '', '', '', '', 0, 10, 'task p41_19064', 0, 0, '18.0_PUMA', 337, 1494947845, 1, 1494947904),
(19081, 41, 72, 0, 0, 30, 60, 70, 80, 10, 10, 10, 19085, '', '', '', '', '', '', 0, 10, 'task p41_19081', 0, 0, '', 250, 1495017835, 1, 1505314172),
(19085, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19089, '', '', '', '', '', '', 0, 10, 'task p41_19085', 0, 0, '18.0_PUMA', 337, 1495026890, 1, 1495027206),
(19427, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 19431, '', '', '', '', '', '', 0, 10, 'task p41_19427', 0, 0, '17.4', 338, 1497342714, 1, 1500993651),
(19106, 41, 199, 199, 0, 10, 60, 100, 80, 10, 10, 10, 19110, '', '', '', '', '', '', 0, 10, 'task p41_19106', 0, 0, '', 334, 1495171606, 1, 1496064812),
(19114, 41, 157, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19118, '', '', '', '', '', '', 0, 10, 'task p41_19114', 0, 0, '17.3.TO', 335, 1495185671, 1, 1495185777),
(19115, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 19119, '', '', '', '', '', '', 0, 10, 'task p41_19115', 0, 0, '', 334, 1495144800, 1, 1496064768),
(19116, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 19120, '', '', '', '', '', '', 0, 10, 'task p41_19116', 0, 0, '18.0_PUMA', 337, 1495144800, 1, 1498206833),
(19117, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 19121, '', '', '', '', '', '', 0, 10, 'task p41_19117', 0, 0, '18.0_PUMA', 337, 1495144800, 1, 1498206870),
(19118, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 19122, '', '', '', '', '', '', 0, 10, 'task p41_19118', 0, 0, '18.0_PUMA', 337, 1495144800, 1, 1498206934),
(19235, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 19239, '', '', '', '', '', '', 0, 10, 'task p41_19235', 0, 0, '', 334, 1496095200, 1, 1514372577),
(19236, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 19240, '', '', '', '', '', '', 0, 10, 'task p41_19236', 0, 0, '', 334, 1496095200, 1, 1514372577),
(19331, 41, 164, 164, 0, 30, 50, 70, 80, 10, 10, 10, 19335, '', '', '', '', '', '', 0, 10, 'task p41_19331', 0, 0, '', 206, 1496757126, 1, 1507626732),
(19341, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 19345, '', '', '', '', '', '', 0, 10, 'task p41_19341', 0, 0, '', 338, 1496786400, 1, 1509114850),
(19342, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 19346, '', '', '', '', '', '', 0, 10, 'task p41_19342', 0, 0, '', 338, 1496786400, 1, 1509114869),
(19370, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 19374, '', '', '', '', '', '', 0, 10, 'task p41_19370', 0, 0, '', 334, 1496922047, 1, 1498828453),
(19386, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 19390, '', '', '', '', '', '', 0, 10, 'task p41_19386', 0, 0, '18.0_PUMA', 337, 1496985678, 1, 1498723430),
(19420, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 19424, '', '', '', '', '', '', 0, 10, 'task p41_19420', 0, 0, '', 334, 1497304800, 1, 1514372530),
(19421, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 19425, '', '', '', '', '', '', 0, 10, 'task p41_19421', 0, 0, '', 338, 1497304800, 1, 1514372577),
(19422, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19426, '', '', '', '', '', '', 0, 10, 'task p41_19422', 0, 0, '', 338, 1497304800, 1, 1499079836),
(19423, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19427, '', '', '', '', '', '', 0, 10, 'task p41_19423', 0, 0, '', 338, 1497304800, 1, 1499079869),
(19424, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19428, '', '', '', '', '', '', 0, 10, 'task p41_19424', 0, 0, '', 310, 1497304800, 1, 1514372530),
(19425, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19429, '', '', '', '', '', '', 0, 10, 'task p41_19425', 0, 0, '', 338, 1497304800, 1, 1499079904),
(19428, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 19432, '', '', '', '', '', '', 0, 10, 'Audit Integration PCA', 0, 0, '', 297, 1497345588, 1, 1497345588),
(19501, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19505, '', '', '', '', '', '', 0, 10, 'task p41_19501', 0, 0, '17.2.50 MCO', 338, 1497391200, 1, 1499079934),
(19502, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19506, '', '', '', '', '', '', 0, 10, 'task p41_19502', 0, 0, '17.2.50 MCO', 338, 1497391200, 1, 1499079973),
(19513, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19517, '', '', '', '', '', '', 0, 10, 'task p41_19513', 0, 0, '18.0_PUMA', 337, 1497564000, 1, 1500465002),
(20462, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 20467, '', '', '', '', '', '', 0, 10, 'task p41_20462', 0, 0, '', 337, 1500465002, 1, 1501140966),
(19514, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19518, '', '', '', '', '', '', 0, 10, 'task p41_19514', 0, 0, '18.0_PUMA', 337, 1497564000, 1, 1514372530),
(19515, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19519, '', '', '', '', '', '', 0, 10, 'task p41_19515', 0, 0, '18.0_PUMA', 337, 1497564000, 1, 1499754014),
(19586, 81, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 19590, '', '', '', '', '', '', 0, 10, '9999 [QUAL] Support COMIP  figer la version 2.5 et diffusion aux projets', 0, 0, '', 294, 1497909600, 1, 1497944669),
(19587, 81, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 19591, '', '', '', '', '', '', 0, 10, '9999 [QUAL] PDC PCA et FICOBA', 0, 0, '', 294, 1497909600, 1, 1497944669),
(19588, 81, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 19592, '', '', '', '', '', '', 0, 10, '9999 [QUAL] Environnement Atos  réunion à monter ', 0, 0, '', 294, 1497909600, 1, 1497944670),
(19599, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 19603, '', '', '', '', '', '', 0, 10, 'task p41_19599', 0, 0, '', 619, 1497962550, 1, 1505379845),
(19603, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 19607, '', '', '', '', '', '', 0, 10, 'task p41_19603', 0, 0, '', 334, 1497909600, 1, 1499080089),
(19604, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19608, '', '', '', '', '', '', 0, 10, 'task p41_19604', 0, 0, '', 338, 1497909600, 1, 1499154697),
(19606, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 19611, '', '', '', '', '', '', 0, 10, 'task p41_19606', 0, 0, '17.3.TO', 335, 1497909600, 1, 1498130117),
(19607, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 19612, '', '', '', '', '', '', 0, 10, 'task p41_19607', 0, 0, '17.4', 338, 1497970850, 1, 1500994479),
(19705, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 19710, '', '', '', '17.3.TO', '', '', 0, 10, 'task p41_19705', 0, 0, '17.3.TO', 335, 1498111672, 1, 1507033117),
(19706, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 19711, '', '', '', '17.2.50 MCO', '', '', 0, 10, 'task p41_19706', 0, 0, '17.2.50 MCO', 338, 1498112123, 1, 1499154749),
(19712, 41, 0, 217, 0, 10, 50, 100, 80, 10, 10, 10, 19717, '', '', '', '', '', '', 0, 10, 'task p41_19712', 0, 0, '18.0_PUMA', 337, 1498082400, 1, 1498724069),
(19713, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 19718, '', '', '', '', '', '', 0, 10, 'task p41_19713', 0, 0, '18.0_PUMA', 337, 1498082400, 1, 1499080140),
(19714, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 19719, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_19714', 0, 0, '', 337, 1498122464, 1, 1499679644),
(19715, 41, 217, 217, 0, 30, 50, 70, 20, 10, 10, 10, 19720, '', '', '', '', '', '', 0, 10, 'task p41_19715', 0, 0, '', 266, 1498123678, 1, 1510148283),
(19834, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19839, '', '', '', '', '', '', 0, 10, 'task p41_19834', 0, 0, '', 335, 1498725681, 1, 1498821083),
(19754, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 19759, '', '', '', '', '', '', 0, 10, 'task p41_19754', 0, 0, '', 338, 1498428000, 1, 1500875280),
(19755, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19760, '', '', '', '', '', '', 0, 10, 'task p41_19755', 0, 0, '', 335, 1498428000, 1, 1499080211),
(19756, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19761, '', '', '', '', '', '', 0, 10, 'task p41_19756', 0, 0, '', 335, 1498428000, 1, 1499080261),
(19757, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 19762, '', '', '', '', '', '', 0, 10, 'task p41_19757', 0, 0, '', 337, 1498428000, 1, 1499080326),
(19785, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 19790, '', '', '', '', '', '', 0, 10, 'task p41_19785', 0, 0, '', 337, 1498514400, 1, 1499080360),
(19786, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19791, '', '', '', '', '', '', 0, 10, 'task p41_19786', 0, 0, '', 355, 1498514400, 1, 1514372865),
(19787, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 19792, '', '', '', '', '', '', 0, 10, 'task p41_19787', 0, 0, '', 337, 1498562274, 1, 1500467061),
(19832, 41, 199, 199, 0, 30, 50, 10, 80, 10, 10, 10, 19837, '', '', '', '', '', '', 0, 10, 'task p41_19832', 0, 0, '18.0_PUMA', 337, 1498718749, 1, 1499428364),
(19833, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19838, '', '', '', '', '', '', 0, 10, 'task p41_19833', 0, 0, '', 335, 1498719995, 1, 1499235100),
(20210, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20215, '', '', '', '', '', '', 0, 10, 'task p41_20210', 0, 0, '', 337, 1499292000, 1, 1499866334),
(20209, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20214, '', '', '', '', '', '', 0, 10, 'task p41_20209', 0, 0, '', 337, 1499292000, 1, 1499866299),
(20208, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20213, '', '', '', '', '', '', 0, 10, 'task p41_20208', 0, 0, '', 337, 1499292000, 1, 1499866263),
(19981, 41, 0, 217, 0, 10, 50, 100, 80, 10, 10, 10, 19986, '', '', '', '', '', '', 0, 10, 'task p41_19981', 0, 0, '18.0_PUMA', 337, 1499119200, 1, 1501777849),
(19871, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 19876, '', '', '', '', '', '', 0, 10, 'task p41_19871', 0, 0, '17.5.1', 338, 1498773600, 1, 1512475987),
(19872, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 19877, '', '', '', '', '', '', 0, 10, 'task p41_19872', 0, 0, '17.5.1', 338, 1498773600, 1, 1513087385),
(19884, 41, 199, 199, 0, 30, 60, 70, 80, 10, 10, 10, 19889, '', '', '', '', '', '', 0, 10, 'task p41_19884', 0, 0, '', 334, 1498832079, 1, 1498832176),
(19982, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 19987, '', '', '', '', '', '', 0, 10, 'task p41_19982', 0, 0, '18.0_PUMA', 337, 1499119200, 1, 1514371224),
(20324, 41, 72, 169, 0, 30, 50, 70, 80, 10, 10, 10, 20329, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_20324', 0, 0, '18.0_PUMA', 337, 1499677524, 1, 1500875434),
(19983, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19988, '', '', '', '', '', '', 0, 10, 'task p41_19983', 0, 0, '18.0_PUMA', 337, 1499119200, 1, 1514372865),
(19968, 41, 72, 205, 0, 10, 50, 100, 80, 10, 10, 10, 19973, '', '', '', '', '', '', 0, 10, 'task p41_19968', 0, 0, '18.0_PUMA', 337, 1498168800, 1, 1501140916),
(19984, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19989, '', '', '', '', '', '', 0, 10, 'task p41_19984', 0, 0, '18.0_PUMA', 337, 1499119200, 1, 1501062576),
(19985, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 19990, '', '', '', '', '', '', 0, 10, 'task p41_19985', 0, 0, '18.0_PUMA', 337, 1499119200, 1, 1501062599),
(19987, 41, 72, 169, 0, 30, 50, 70, 50, 10, 10, 10, 19992, '', '', '', '', '', '', 0, 10, 'task p41_19987', 0, 0, '', 266, 1499173085, 1, 1500246207),
(20179, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20184, '', '', '', '', '', '', 0, 10, 'task p41_20179', 0, 0, '18.0_PUMA', 337, 1499292000, 1, 1499860045),
(20180, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20185, '', '', '', '', '', '', 0, 10, 'task p41_20180', 0, 0, '18.0_PUMA', 337, 1499292000, 1, 1499860080),
(20181, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20186, '', '', '', '', '', '', 0, 10, 'task p41_20181', 0, 0, '18.0_PUMA', 337, 1499292000, 1, 1499866199),
(20182, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20187, '', '', '', '', '', '', 0, 10, 'task p41_20182', 0, 0, '18.0_PUMA', 337, 1499292000, 1, 1499866229),
(20237, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20242, '', '', '', '', '', '', 0, 10, 'task p41_20237', 0, 0, '18.0_PUMA', 337, 1499350893, 1, 1499428135),
(20238, 41, 72, 246, 0, 10, 50, 100, 80, 10, 10, 10, 20243, '', '', '', '', '', '', 0, 10, 'task p41_20238', 0, 0, '', 337, 1499350968, 1, 1499842106),
(20425, 41, 157, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20430, '', '', '', '17.2.50', '', '', 0, 10, 'task p41_20425', 0, 0, '', 355, 1499851699, 1, 1514372726),
(20427, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20432, '', '', '', '', '', '', 0, 10, 'task p41_20427', 0, 0, '', 310, 1499810400, 1, 1502283342),
(20430, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 20435, '', '', '', '', '', '', 0, 10, 'task p41_20430', 0, 0, '18.0.10_PUMA', 337, 1499810400, 1, 1508761909),
(20429, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20434, '', '', '', '', '', '', 0, 10, 'task p41_20429', 0, 0, '', 355, 1499810400, 1, 1514372792),
(20431, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20436, '', '', '', '', '', '', 0, 10, 'task p41_20431', 0, 0, '18.0.10_PUMA', 337, 1499810400, 1, 1512114542),
(20432, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20437, '', '', '', '', '', '', 0, 10, 'task p41_20432', 0, 0, '18.2.0 DSI INT', 334, 1499810400, 1, 1513608283),
(20433, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20438, '', '', '', '', '', '', 0, 10, 'task p41_20433', 0, 0, '18.2.0 DSI INT', 334, 1499810400, 1, 1513608297),
(20441, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 20446, '', '', '', '', '', '', 0, 10, 'task p41_20441', 0, 0, '', 619, 1500242400, 1, 1515713464),
(20442, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 20447, '', '', '', '', '', '', 0, 10, 'task p41_20442', 0, 0, '', 619, 1500242400, 1, 1514372530),
(20443, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 20448, '', '', '', '', '', '', 0, 10, 'task p41_20443', 0, 0, '', 619, 1500242400, 1, 1514372726),
(20444, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 20449, '', '', '', '', '', '', 0, 10, 'task p41_20444', 0, 0, '', 619, 1500242400, 1, 1514372726),
(20445, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20450, '', '', '', '', '', '', 0, 10, 'task p41_20445', 0, 0, '', 310, 1500242400, 1, 1514372726),
(20446, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20451, '', '', '', '', '', '', 0, 10, 'task p41_20446', 0, 0, '', 310, 1500242400, 1, 1501055031),
(20449, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20454, '', '', '', '', '', '', 0, 10, 'task p41_20449', 0, 0, '', 335, 1500328800, 1, 1514372726),
(20450, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20455, '', '', '', '', '', '', 0, 10, 'task p41_20450', 0, 0, '', 334, 1500328800, 1, 1514372726),
(20451, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20456, '', '', '', '', '', '', 0, 10, 'task p41_20451', 0, 0, '', 335, 1500328800, 1, 1514372726),
(20461, 41, 72, 2, 0, 30, 50, 70, 80, 10, 10, 10, 20466, '', '', '', '', '', '', 0, 10, 'task p41_20461', 0, 0, '', 206, 1500458547, 1, 1505379916),
(20485, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 20490, '', '', '', '', '', '', 0, 10, 'task p41_20485', 0, 0, '', 187, 1500588000, 1, 1504775158),
(20486, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 20491, '', '', '', '', '', '', 0, 10, 'task p41_20486', 0, 0, '', 187, 1500588000, 1, 1506676461),
(20561, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20566, '', '', '', '', '', '', 0, 10, 'task p41_20561', 0, 0, '', 338, 1500933600, 1, 1500966100),
(20562, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 20567, '', '', '', '', '', '', 0, 10, 'task p41_20562', 0, 0, '', 337, 1500933600, 1, 1501676415),
(20563, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 20568, '', '', '', '', '', '', 0, 10, 'task p41_20563', 0, 0, '18.0.05', 338, 1500933600, 1, 1501495787),
(20564, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20569, '', '', '', '', '', '', 0, 10, 'task p41_20564', 0, 0, '', 337, 1500933600, 1, 1514372726),
(20598, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20603, '', '', '', '', '', '', 0, 10, 'task p41_20598', 0, 0, '17.3.TO', 335, 1500933600, 1, 1514372726),
(20599, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20604, '', '', '', '', '', '', 0, 10, 'task p41_20599', 0, 0, '17.3.TO', 335, 1500933600, 1, 1514372726),
(20615, 41, 164, 164, 0, 30, 50, 70, 80, 10, 10, 10, 20620, '', '', '', '', '', '', 0, 10, 'task p41_20615', 0, 0, '', 206, 1501060686, 1, 1511271285),
(20644, 41, 0, 169, 0, 10, 50, 100, 10, 10, 10, 10, 20649, '', '', '', '', '', '', 0, 10, 'task p41_20644', 0, 0, '', 337, 1501020000, 1, 1504282808),
(20643, 41, 0, 217, 0, 10, 50, 100, 80, 10, 10, 10, 20648, '', '', '', '', '', '', 0, 10, 'task p41_20643', 0, 0, '', 337, 1501020000, 1, 1501777632),
(20642, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20647, '', '', '', '', '', '', 0, 10, 'task p41_20642', 0, 0, '18.0.10_PUMA', 337, 1501020000, 1, 1512114572),
(20641, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 20646, '', '', '', '', '', '', 0, 10, 'task p41_20641', 0, 0, '18.0.10_PUMA', 337, 1501020000, 1, 1508761909),
(20640, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 20645, '', '', '', '', '', '', 0, 10, 'task p41_20640', 0, 0, '18.0.07', 337, 1501020000, 1, 1501777678),
(20645, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 20650, '', '', '', '', '', '', 0, 10, 'task p41_20645', 0, 0, '', 338, 1501020000, 1, 1514372792),
(20646, 41, 0, 169, 0, 10, 50, 100, 80, 10, 10, 10, 20651, '', '', '', '', '', '', 0, 10, 'task p41_20646', 0, 0, '', 338, 1501020000, 1, 1514372792),
(20681, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 20686, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_20681', 0, 0, '18.0_PUMA', 338, 1501134913, 1, 1514372726),
(20682, 41, 199, 199, 0, 30, 50, 100, 80, 10, 10, 10, 20687, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_20682', 0, 0, '18.0_PUMA', 338, 1501134983, 1, 1501220644),
(20683, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20688, '', '', '', '', '', '', 0, 10, 'task p41_20683', 0, 0, '', 335, 1501106400, 1, 1514372726),
(20713, 41, 157, 157, 0, 30, 50, 70, 80, 10, 10, 10, 20718, '', '', '', '', '', '', 0, 10, 'task p41_20713', 0, 0, '', 355, 1501228160, 1, 1507541940),
(20800, 81, 2, 2, 0, 30, 50, 70, 90, 10, 10, 10, 20805, '', '', '', '', '', '', 0, 10, '[INTEG] Pilotage intégration transverse', 0, 0, '', 294, 1501586241, 1, 1501586241),
(21344, 41, 169, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21349, '', '', '', '', '', '', 0, 10, 'task p41_21344', 0, 0, '', 337, 1503304405, 1, 1503647189),
(20926, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 20931, '', '', '', '', '', '', 0, 10, 'task p41_20926', 0, 0, '', 337, 1501711200, 1, 1514372950),
(20927, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 20932, '', '', '', '', '', '', 0, 10, 'task p41_20927', 0, 0, '', 337, 1501711200, 1, 1514372950),
(20928, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 20933, '', '', '', '', '', '', 0, 10, 'task p41_20928', 0, 0, '', 355, 1501711200, 1, 1502283305),
(20929, 41, 0, 246, 0, 10, 50, 100, 80, 10, 10, 10, 20934, '', '', '', '', '', '', 0, 10, 'task p41_20929', 0, 0, '', 337, 1501711200, 1, 1514373009),
(20930, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 20935, '', '', '', '', '', '', 0, 10, 'task p41_20930', 0, 0, '', 337, 1501711200, 1, 1514372726),
(20931, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 20936, '', '', '', '', '', '', 0, 10, 'task p41_20931', 0, 0, '', 337, 1501711200, 1, 1514372726),
(21604, 41, 72, 205, 0, 30, 50, 70, 80, 10, 10, 10, 21609, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_21604', 0, 0, '18.0_PUMA', 337, 1504771221, 1, 1505374031),
(21243, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 21248, '', '', '', '', '', '', 0, 10, 'task p41_21243', 0, 0, '', 619, 1502293493, 1, 1502378238),
(21301, 41, 169, 199, 0, 20, 50, 70, 80, 10, 10, 10, 21306, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_21301', 0, 0, '18.0_PUMA', 337, 1502875068, 1, 1503647198),
(21342, 41, 246, 246, 0, 30, 50, 70, 80, 10, 10, 10, 21347, '', '', '', '', '', '', 0, 10, 'task p41_21342', 0, 0, '', 338, 1503072012, 1, 1503072137),
(21343, 41, 246, 246, 0, 30, 50, 70, 80, 10, 10, 10, 21348, '', '', '', '', '', '', 0, 10, 'task p41_21343', 0, 0, '', 338, 1503072108, 1, 1503328843),
(21348, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 21353, '', '', '', '', '', '', 0, 10, 'task p41_21348', 0, 0, '', 619, 1503393737, 1, 1506418525),
(21350, 41, 199, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21355, '', '', '', '', '', '', 0, 10, 'task p41_21350', 0, 0, '', 335, 1503469354, 1, 1514367221),
(21352, 41, 199, 246, 0, 10, 50, 100, 80, 10, 10, 10, 21357, '', '', '', '', '', '', 0, 10, 'task p41_21352', 0, 0, '18.1.0 DSI EM', 334, 1503493594, 1, 1505378358),
(21353, 41, 199, 246, 0, 30, 50, 10, 80, 10, 10, 10, 21358, '', '', '', '', '', '', 0, 10, 'task p41_21353', 0, 0, '', 338, 1503493672, 1, 1503560329),
(21354, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21359, '', '', '', '', '', '', 0, 10, 'task p41_21354', 0, 0, '', 338, 1503498858, 1, 1516117753),
(21453, 41, 199, 246, 0, 30, 50, 70, 80, 10, 10, 10, 21458, '', '', '', '', '', '', 0, 10, 'task p41_21453', 0, 0, '', 338, 1503642669, 1, 1504277309),
(21560, 41, 199, 199, 0, 30, 60, 70, 80, 10, 10, 10, 21565, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_21560', 0, 0, '', 337, 1504504315, 1, 1505285890),
(21561, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21566, '', '', '', '', '', '', 0, 10, 'task p41_21561', 0, 0, '', 337, 1504504491, 1, 1508758920),
(21562, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21567, '', '', '', '', '', '', 0, 10, 'task p41_21562', 0, 0, '', 337, 1504504555, 1, 1505306827),
(21563, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21568, '', '', '', '', '', '', 0, 10, 'task p41_21563', 0, 0, '', 337, 1504504710, 1, 1505374080),
(21564, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21569, '', '', '', '', '', '', 0, 10, 'task p41_21564', 0, 0, '', 337, 1504504755, 1, 1505373950),
(21595, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 21600, '', '', '', '', '', '', 0, 10, 'task p41_21595', 0, 0, '', 335, 1504706644, 1, 1514367278),
(21596, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 21601, '', '', '', '', '', '', 0, 10, 'task p41_21596', 0, 0, '', 335, 1504706710, 1, 1504707201),
(21597, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 21602, '', '', '', '', '', '', 0, 10, 'task p41_21597', 0, 0, '', 355, 1504706775, 1, 1514372950),
(21598, 41, 157, 157, 0, 10, 80, 100, 80, 10, 10, 10, 21603, '', '', '', '', '', '', 0, 10, 'task p41_21598', 0, 0, '', 355, 1504706847, 1, 1504707315),
(21599, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 21604, '', '', '', '', '', '', 0, 10, 'task p41_21599', 0, 0, '', 335, 1504706907, 1, 1505135766),
(21600, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 21605, '', '', '', '', '', '', 0, 10, 'task p41_21600', 0, 0, '', 355, 1504706976, 1, 1504707282),
(21602, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21607, '', '', '', '', '', '', 0, 10, 'task p41_21602', 0, 0, '18.0_PUMA', 337, 1504735200, 1, 1514372950),
(21603, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21608, '', '', '', '', '', '', 0, 10, 'task p41_21603', 0, 0, '18.0_PUMA', 337, 1504735200, 1, 1514372950),
(21613, 41, 72, 168, 0, 10, 50, 100, 80, 10, 10, 10, 21618, '', '', '', '', '', '', 0, 10, 'task p41_21613', 0, 0, '', 337, 1504476000, 1, 1506430096),
(21618, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 21623, '', '', '', '', '', '', 0, 10, 'task p41_21618', 0, 0, '', 335, 1505135651, 1, 1507033792),
(21619, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 21624, '', '', '', '', '', '', 0, 10, 'task p41_21619', 0, 0, '', 335, 1505135766, 1, 1516970631),
(21620, 41, 157, 157, 0, 10, 60, 100, 20, 10, 10, 10, 21625, '', '', '', '', '', '', 0, 10, 'task p41_21620', 0, 0, '', 335, 1505135841, 1, 1510309340),
(21622, 41, 2, 164, 0, 30, 50, 70, 80, 10, 10, 10, 21627, '', '', '', '', '', '', 0, 10, 'task p41_21622', 0, 0, '', 206, 1505143073, 1, 1505744296),
(21623, 81, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 21628, '', '', '', '', '', '', 0, 10, '[INTEG] mise en place DMZ & ALM_Webtool', 0, 0, '', 1, 1505147017, 1, 1505464381),
(21624, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21629, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_21624', 0, 0, '', 337, 1505216969, 1, 1507298550),
(21625, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21630, '', '', '', '', '', '', 0, 10, 'task p41_21625', 0, 0, '18.1.0 DSI EM', 334, 1505167200, 1, 1507554768),
(21626, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21631, '', '', '', '', '', '', 0, 10, 'task p41_21626', 0, 0, '18.1.0 DSI EM', 334, 1505167200, 1, 1507554790),
(21627, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21632, '', '', '', '', '', '', 0, 10, 'task p41_21627', 0, 0, '18.1.0 DSI EM', 334, 1505167200, 1, 1507555225),
(21628, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21633, '', '', '', '', '', '', 0, 10, 'task p41_21628', 0, 0, '18.1.0 DSI EM', 334, 1505167200, 1, 1507555246),
(21629, 41, 0, 199, 0, 10, 50, 100, 90, 10, 10, 10, 21634, '', '', '', '', '', '', 0, 10, 'task p41_21629', 0, 0, '18.1.0 DSI EM', 334, 1505167200, 1, 1509703120),
(21630, 41, 72, 74, 0, 10, 50, 100, 80, 10, 10, 10, 21635, '', '', '', '', '', '', 0, 10, 'task p41_21630', 0, 0, '', 337, 1505223034, 1, 1510566997),
(21634, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21639, '', '', '', '', '', '', 0, 10, 'task p41_21634', 0, 0, '17.5.50 MCO', 310, 1505253600, 1, 1505461388),
(21635, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21640, '', '', '', '', '', '', 0, 10, 'task p41_21635', 0, 0, '17.5.50 MCO', 310, 1505253600, 1, 1510134741),
(21658, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 21663, '', '', '', '', '', '', 0, 10, 'task p41_21658', 0, 0, '18.1.0 DSI EM', 338, 1505374261, 1, 1510134468),
(21659, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 21664, '', '', '', '', '', '', 0, 10, 'task p41_21659', 0, 0, '18.2.0 DSI INT', 334, 1505340000, 1, 1512133694),
(21660, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 21665, '', '', '', '', '', '', 0, 10, 'task p41_21660', 0, 0, '18.2.0 DSI INT', 334, 1505340000, 1, 1512133745),
(21661, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 21666, '', '', '', '', '', '', 0, 10, 'task p41_21661', 0, 0, '18.2.0 DSI INT', 338, 1505379100, 1, 1514463475),
(21707, 81, 2, 2, 0, 30, 50, 70, 80, 30, 10, 10, 21712, '', '', '', '', '', '', 0, 10, '[INTEG] DMZ - mise en place des VPN', 0, 0, '', 297, 1505475154, 1, 1515713494),
(21719, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21724, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_21719', 0, 0, '', 337, 1505727007, 1, 1505727222),
(21720, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 21725, '', '', '', '', '', '', 0, 10, 'task p41_21720', 0, 0, '', 337, 1505727106, 1, 1505727189),
(21756, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21761, '', '', '', '', '', '', 0, 10, 'task p41_21756', 0, 0, '18.2.0 DSI INT', 334, 1505772000, 1, 1510135027),
(21757, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21762, '', '', '', '', '', '', 0, 10, 'task p41_21757', 0, 0, '18.2.0 DSI INT', 334, 1505772000, 1, 1510135051),
(21758, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 21763, '', '', '', '', '', '', 0, 10, 'task p41_21758', 0, 0, '18.2.0 DSI INT', 334, 1505772000, 1, 1512133787),
(21759, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 21764, '', '', '', '', '', '', 0, 10, 'task p41_21759', 0, 0, '18.2.0 DSI INT', 334, 1505772000, 1, 1512133816),
(21760, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21765, '', '', '', '', '', '', 0, 10, 'task p41_21760', 0, 0, '17.5.50 MCO', 334, 1505772000, 1, 1507556814),
(21761, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21766, '', '', '', '', '', '', 0, 10, 'task p41_21761', 0, 0, '17.5.50 MCO', 334, 1505772000, 1, 1507556839),
(21796, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 21801, '', '', '', '', '', '', 0, 10, 'task p41_21796', 0, 0, '', 187, 1505858400, 1, 1505915580),
(21798, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21803, '', '', '', '', '', '', 0, 10, 'task p41_21798', 0, 0, '', 337, 1505858400, 1, 1514367960),
(21799, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21804, '', '', '', '', '', '', 0, 10, 'task p41_21799', 0, 0, '18.2.0 DSI INT', 334, 1505858400, 1, 1512679261),
(21800, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21805, '', '', '', '', '', '', 0, 10, 'task p41_21800', 0, 0, '18.2.0 DSI INT', 334, 1505858400, 1, 1513091647),
(21801, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 21806, '', '', '', '', '', '', 0, 10, 'task p41_21801', 0, 0, '', 338, 1505858400, 1, 1505919021),
(21802, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 21807, '', '', '', '', '', '', 0, 10, 'task p41_21802', 0, 0, '', 338, 1505858400, 1, 1505919002),
(21830, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21835, '', '', '', '', '', '', 0, 10, 'task p41_21830', 0, 0, '', 337, 1506031200, 1, 1514367599),
(21831, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21836, '', '', '', '', '', '', 0, 10, 'task p41_21831', 0, 0, '', 337, 1506031200, 1, 1514367683),
(21832, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21837, '', '', '', '', '', '', 0, 10, 'task p41_21832', 0, 0, '', 337, 1506031200, 1, 1514367960),
(21833, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21838, '', '', '', '', '', '', 0, 10, 'task p41_21833', 0, 0, '', 337, 1506031200, 1, 1514367663),
(21834, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21839, '', '', '', '', '', '', 0, 10, 'task p41_21834', 0, 0, '', 338, 1506031200, 1, 1507033666),
(21835, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21840, '', '', '', '', '', '', 0, 10, 'task p41_21835', 0, 0, '18.0_PUMA', 337, 1506031200, 1, 1508758061),
(21836, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21841, '', '', '', '', '', '', 0, 10, 'task p41_21836', 0, 0, '18.0_PUMA', 337, 1506031200, 1, 1508758109),
(21837, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21842, '', '', '', '', '', '', 0, 10, 'task p41_21837', 0, 0, '18.0_PUMA', 337, 1506087492, 1, 1510052888),
(21840, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21845, '', '', '', '', '', '', 0, 10, 'task p41_21840', 0, 0, '', 337, 1506031200, 1, 1514367734),
(21841, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21846, '', '', '', '', '', '', 0, 10, 'task p41_21841', 0, 0, '', 337, 1506031200, 1, 1514367753),
(21843, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21848, '', '', '', '', '', '', 0, 10, 'task p41_21843', 0, 0, '18.1.0 DSI EM', 334, 1506093160, 1, 1510134434),
(21844, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 21849, '', '', '', '', '', '', 0, 10, 'task p41_21844', 0, 0, '', 334, 1506093463, 1, 1508234683),
(21891, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21896, '', '', '', '', '', '', 0, 10, 'task p41_21891', 0, 0, '', 337, 1506376800, 1, 1507014956),
(21892, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 21897, '', '', '', '', '', '', 0, 10, 'task p41_21892', 0, 0, '', 337, 1506376800, 1, 1514367813),
(21893, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 21898, '', '', '', '', '', '', 0, 10, 'task p41_21893', 0, 0, '', 334, 1506376800, 1, 1514367832),
(21894, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 21899, '', '', '', '', '', '', 0, 10, 'task p41_21894', 0, 0, '', 355, 1506376800, 1, 1508762219),
(21895, 41, 72, 168, 0, 30, 50, 70, 50, 10, 10, 10, 21900, '', '', '', '17.3.TO', '', '', 0, 10, 'task p41_21895', 0, 0, '18.2.10 MCO', 187, 1506417950, 1, 1517994327),
(21917, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 21922, '', '', '', '', '', '', 0, 10, 'task p41_21917', 0, 0, '', 338, 1506685801, 1, 1511250664),
(22022, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 22027, '', '', '', '17.3.TO', '', '', 0, 10, 'task p41_22022', 0, 0, '', 335, 1507033117, 1, 1509086854),
(22047, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 22052, '', '', '', '', '', '', 0, 10, 'task p41_22047', 0, 0, '18.2.0 DSI INT', 337, 1506981600, 1, 1513593847),
(22048, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 22053, '', '', '', '', '', '', 0, 10, 'task p41_22048', 0, 0, '18.2.0 DSI INT', 337, 1506981600, 1, 1513593869),
(22049, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 22054, '', '', '', '', '', '', 0, 10, 'task p41_22049', 0, 0, '18.0.R2_PUMA', 337, 1506981600, 1, 1514370451),
(22050, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22055, '', '', '', '', '', '', 0, 10, 'task p41_22050', 0, 0, '18.0.10_PUMA', 337, 1506981600, 1, 1514362355),
(22051, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22056, '', '', '', '', '', '', 0, 10, 'task p41_22051', 0, 0, '', 337, 1506981600, 1, 1518113683),
(22214, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22219, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_22214', 0, 0, '', 337, 1507268013, 1, 1516900779),
(22229, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22234, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_22229', 0, 0, '18.0.R2_PUMA', 337, 1507280803, 1, 1510150468),
(22232, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 22237, '', '', '', '', '', '', 0, 10, 'task p41_22232', 0, 0, '18.0.R2_PUMA', 337, 1507289351, 1, 1512135810),
(22240, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 22245, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_22240', 0, 0, '18.0_PUMA', 337, 1507298692, 1, 1509700323),
(22247, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 22252, '', '', '', '', '', '', 0, 10, 'task p41_22247', 0, 0, '', 355, 1507541940, 1, 1507551173),
(22248, 41, 72, 157, 0, 30, 50, 70, 80, 10, 10, 10, 22253, '', '', '', '', '', '', 0, 10, 'task p41_22248', 0, 0, '', 355, 1507542018, 1, 1507551199),
(23254, 41, 157, 157, 0, 40, 60, 10, 80, 10, 10, 10, 23259, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_23254', 0, 0, '', 337, 1511968047, 1, 1514371994),
(23243, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23248, '', '', '', '', '', '', 0, 10, 'task p41_23243', 0, 0, '18.2.10 MCO', 334, 1511773773, 1, 1519745211),
(23248, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 23253, '', '', '', '', '', '', 0, 10, 'task p41_23248', 0, 0, '', 338, 1511877950, 1, 1515507457),
(22369, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 22374, '', '', '', '', '', '', 0, 10, 'task p41_22369', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1509109288),
(22370, 41, 0, 205, 0, 10, 50, 100, 80, 10, 10, 10, 22375, '', '', '', '', '', '', 0, 10, 'task p41_22370', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1514370717),
(22371, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22376, '', '', '', '', '', '', 0, 10, 'task p41_22371', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1514370717),
(22372, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22377, '', '', '', '', '', '', 0, 10, 'task p41_22372', 0, 0, '18.0.10_PUMA', 337, 1508364000, 1, 1514370717),
(22373, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22378, '', '', '', '', '', '', 0, 10, 'task p41_22373', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1514370717),
(22374, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22379, '', '', '', '', '', '', 0, 10, 'task p41_22374', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1514370717),
(22375, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22380, '', '', '', '', '', '', 0, 10, 'task p41_22375', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1514370839),
(22376, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22381, '', '', '', '', '', '', 0, 10, 'task p41_22376', 0, 0, '18.0.10_PUMA', 337, 1508364000, 1, 1514370919),
(22377, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22382, '', '', '', '', '', '', 0, 10, 'task p41_22377', 0, 0, '18.0.10_PUMA', 337, 1508364000, 1, 1514370919),
(22378, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22383, '', '', '', '', '', '', 0, 10, 'task p41_22378', 0, 0, '18.0.10_PUMA', 337, 1508364000, 1, 1514370919),
(22379, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 22384, '', '', '', '', '', '', 0, 10, 'task p41_22379', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1508760060),
(22380, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22385, '', '', '', '', '', '', 0, 10, 'task p41_22380', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1509463856),
(22381, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22386, '', '', '', '', '', '', 0, 10, 'task p41_22381', 0, 0, '18.0.R2_PUMA', 337, 1508364000, 1, 1514370717),
(22382, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22387, '', '', '', '18.0.10_PUMA', '', '', 0, 10, 'task p41_22382', 0, 0, '18.0.R3_PUMA', 337, 1508364000, 1, 1514986403),
(22383, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22388, '', '', '', '', '', '', 0, 10, 'task p41_22383', 0, 0, '18.0.R3_PUMA', 337, 1508364000, 1, 1520609457),
(22384, 41, 0, 205, 0, 10, 50, 100, 10, 10, 10, 10, 22389, '', '', '', '', '', '', 0, 10, 'task p41_22384', 0, 0, '', 337, 1508364000, 1, 1508418895),
(22385, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 22390, '', '', '', '', '', '', 0, 10, 'task p41_22385', 0, 0, '', 337, 1508364000, 1, 1520522740),
(22386, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22391, '', '', '', '', '', '', 0, 10, 'task p41_22386', 0, 0, '18.0.10_PUMA', 337, 1508364000, 1, 1516095860),
(22387, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22392, '', '', '', '', '', '', 0, 10, 'task p41_22387', 0, 0, '18.0.10_PUMA', 337, 1508364000, 1, 1518114849),
(22405, 41, 2, 2, 0, 30, 50, 70, 80, 10, 10, 10, 22410, '', '', '', '', '', '', 0, 10, 'task p41_22405', 0, 0, '', 619, 1508426346, 1, 1515713409),
(22423, 41, 72, 217, 0, 30, 50, 70, 50, 10, 10, 10, 22428, '', '', '', '', '', '', 0, 10, 'task p41_22423', 0, 0, '', 266, 1508753754, 1, 1510669792),
(22424, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 22429, '', '', '', '', '', '', 0, 10, 'task p41_22424', 0, 0, '18.0.10_PUMA', 337, 1508758592, 1, 1516607425),
(22426, 41, 72, 157, 0, 50, 50, 70, 80, 10, 10, 10, 22431, '', '', '', '', '', '', 0, 10, 'task p41_22426', 0, 0, '', 355, 1508831691, 1, 1516970316),
(22434, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 22439, '', '', '', '', '', '', 0, 10, 'task p41_22434', 0, 0, '18.0.R2_PUMA', 337, 1508845948, 1, 1510671014),
(22761, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22766, '', '', '', '', '', '', 0, 10, 'task p41_22761', 0, 0, '', 337, 1508968800, 1, 1514371295),
(22762, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 22767, '', '', '', '', '', '', 0, 10, 'task p41_22762', 0, 0, '', 337, 1508968800, 1, 1512136856),
(22763, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22768, '', '', '', '', '', '', 0, 10, 'task p41_22763', 0, 0, '', 337, 1508968800, 1, 1514371005),
(22764, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22769, '', '', '', '', '', '', 0, 10, 'task p41_22764', 0, 0, '', 337, 1508968800, 1, 1514371005),
(22765, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22770, '', '', '', '', '', '', 0, 10, 'task p41_22765', 0, 0, '18.0.10_PUMA', 337, 1508968800, 1, 1519121362),
(22766, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22771, '', '', '', '', '', '', 0, 10, 'task p41_22766', 0, 0, '', 337, 1508968800, 1, 1514371073),
(22767, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22772, '', '', '', '', '', '', 0, 10, 'task p41_22767', 0, 0, '', 337, 1508968800, 1, 1514371073),
(22785, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 22790, '', '', '', '', '', '', 0, 10, 'task p41_22785', 0, 0, '', 337, 1509055200, 1, 1514371073),
(22786, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22791, '', '', '', '', '', '', 0, 10, 'task p41_22786', 0, 0, '18.2.0 DSI INT', 334, 1509055200, 1, 1513608002),
(22787, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22792, '', '', '', '', '', '', 0, 10, 'task p41_22787', 0, 0, '18.2.0 DSI INT', 334, 1509055200, 1, 1513608019),
(22788, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22793, '', '', '', '', '', '', 0, 10, 'task p41_22788', 0, 0, '18.2.0 DSI INT', 334, 1509055200, 1, 1510133809),
(23138, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23143, '', '', '', '', '', '', 0, 10, 'task p41_23138', 0, 0, '18.0.R3_PUMA', 337, 1510873200, 1, 1518114803),
(23136, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23141, '', '', '', '', '', '', 0, 10, 'task p41_23136', 0, 0, '', 355, 1510873200, 1, 1514372204),
(23137, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23142, '', '', '', '', '', '', 0, 10, 'task p41_23137', 0, 0, '18.0.R3_PUMA', 337, 1510873200, 1, 1517486779),
(22805, 41, 164, 164, 0, 30, 50, 70, 80, 10, 10, 10, 22810, '', '', '', '', '', '', 0, 10, 'task p41_22805', 0, 0, '', 338, 1509374959, 1, 1518786518),
(22806, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22811, '', '', '', '', '', '', 0, 10, 'task p41_22806', 0, 0, '17.1.DSI_INT', 334, 1509318000, 1, 1511535059),
(22807, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 22812, '', '', '', '', '', '', 0, 10, 'task p41_22807', 0, 0, '17.1.DSI_INT', 334, 1509318000, 1, 1512112009),
(22823, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22828, '', '', '', '', '', '', 0, 10, 'task p41_22823', 0, 0, '18.2.0 DSI INT', 334, 1509456510, 1, 1513777165),
(22824, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22829, '', '', '', '', '', '', 0, 10, 'task p41_22824', 0, 0, '18.2.0 DSI INT', 334, 1509404400, 1, 1512402422),
(22825, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22830, '', '', '', '', '', '', 0, 10, 'task p41_22825', 0, 0, '18.2.0 DSI INT', 334, 1509404400, 1, 1513082508),
(22874, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 22879, '', '', '', '', '', '', 0, 10, 'task p41_22874', 0, 0, '', 337, 1509922800, 1, 1514371720),
(22875, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22880, '', '', '', '', '', '', 0, 10, 'task p41_22875', 0, 0, '', 337, 1509922800, 1, 1514371399),
(22876, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22881, '', '', '', '', '', '', 0, 10, 'task p41_22876', 0, 0, '', 355, 1509922800, 1, 1514371587),
(22877, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22882, '', '', '', '', '', '', 0, 10, 'task p41_22877', 0, 0, '', 334, 1509922800, 1, 1517834751),
(22878, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 22883, '', '', '', '', '', '', 0, 10, 'task p41_22878', 0, 0, '', 212, 1509922800, 1, 1509951910),
(22879, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22884, '', '', '', '', '', '', 0, 10, 'task p41_22879', 0, 0, '', 355, 1509922800, 1, 1514371606),
(22880, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 22885, '', '', '', '', '', '', 0, 10, 'task p41_22880', 0, 0, '', 212, 1509922800, 1, 1509951910),
(22881, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22886, '', '', '', '', '', '', 0, 10, 'task p41_22881', 0, 0, '', 355, 1509922800, 1, 1514371629),
(22915, 41, 199, 199, 0, 30, 60, 70, 80, 10, 10, 10, 22920, '', '', '', '18.2.0 DSI INT', '', '', 0, 10, 'task p41_22915', 0, 0, '18.2.0 DSI INT', 334, 1510038269, 1, 1512114900),
(22916, 41, 199, 199, 0, 30, 60, 70, 80, 10, 10, 10, 22921, '', '', '', '18.2.0 DSI INT', '', '', 0, 10, 'task p41_22916', 0, 0, '', 334, 1510042406, 1, 1512114914),
(22919, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22924, '', '', '', '', '', '', 0, 10, 'task p41_22919', 0, 0, '', 337, 1510009200, 1, 1516963250),
(22920, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22925, '', '', '', '', '', '', 0, 10, 'task p41_22920', 0, 0, '', 337, 1510009200, 1, 1514371720),
(22923, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22928, '', '', '', '', '', '', 0, 10, 'task p41_22923', 0, 0, '18.2.0 DSI INT', 334, 1510095600, 1, 1513082352),
(22924, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22929, '', '', '', '', '', '', 0, 10, 'task p41_22924', 0, 0, '18.2.0 DSI INT', 334, 1510095600, 1, 1513082570),
(22925, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 22930, '', '', '', '', '', '', 0, 10, 'task p41_22925', 0, 0, '', 338, 1510133661, 1, 1513594025),
(22926, 41, 2, 2, 0, 30, 50, 70, 80, 30, 10, 10, 22931, '', '', '', '', '', '', 0, 10, 'task p41_22926', 0, 0, '', 206, 1510145637, 1, 1513177382),
(22933, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 22938, '', '', '', '', '', '', 0, 10, 'task p41_22933', 0, 0, '18.0.11_PUMA', 337, 1510182000, 1, 1519652845),
(22935, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22940, '', '', '', '', '', '', 0, 10, 'task p41_22935', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371764),
(22936, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22941, '', '', '', '', '', '', 0, 10, 'task p41_22936', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371764),
(22937, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22942, '', '', '', '', '', '', 0, 10, 'task p41_22937', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371764),
(22938, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22943, '', '', '', '', '', '', 0, 10, 'task p41_22938', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371828),
(22939, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22944, '', '', '', '', '', '', 0, 10, 'task p41_22939', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371828),
(22940, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22945, '', '', '', '', '', '', 0, 10, 'task p41_22940', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371828),
(22941, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22946, '', '', '', '', '', '', 0, 10, 'task p41_22941', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371828),
(22942, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22947, '', '', '', '', '', '', 0, 10, 'task p41_22942', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371828),
(22943, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 22948, '', '', '', '', '', '', 0, 10, 'task p41_22943', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1514371828),
(22944, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22949, '', '', '', '', '', '', 0, 10, 'task p41_22944', 0, 0, '18.0.10_PUMA', 337, 1510182000, 1, 1515061454),
(22945, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22950, '', '', '', '', '', '', 0, 10, 'task p41_22945', 0, 0, '18.2.0 DSI INT', 355, 1510182000, 1, 1513608534),
(22946, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 22951, '', '', '', '', '', '', 0, 10, 'task p41_22946', 0, 0, '18.2.0 DSI INT', 355, 1510182000, 1, 1515507961),
(22951, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 22956, '', '', '', '', '', '', 0, 10, 'task p41_22951', 0, 0, '', 337, 1510268400, 1, 1514371860),
(22952, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22957, '', '', '', '', '', '', 0, 10, 'task p41_22952', 0, 0, '', 337, 1510268400, 1, 1514371860),
(22953, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 22958, '', '', '', '', '', '', 0, 10, 'task p41_22953', 0, 0, '18.0.10_PUMA', 337, 1510268400, 1, 1519655748),
(22954, 41, 0, 157, 0, 10, 50, 100, 20, 10, 10, 10, 22959, '', '', '', '', '', '', 0, 10, 'task p41_22954', 0, 0, '', 355, 1510268400, 1, 1517323352),
(22955, 41, 0, 157, 0, 10, 50, 100, 20, 10, 10, 10, 22960, '', '', '', '', '', '', 0, 10, 'task p41_22955', 0, 0, '', 355, 1510268400, 1, 1517323366),
(22956, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 22961, '', '', '', '', '', '', 0, 10, 'task p41_22956', 0, 0, '', 338, 1510303678, 1, 1518523576),
(22964, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 22969, '', '', '', '', '', '', 0, 10, 'task p41_22964', 0, 0, '', 337, 1510318798, 1, 1514371860),
(23002, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23007, '', '', '', '', '', '', 0, 10, 'task p41_23002', 0, 0, '', 337, 1510614000, 1, 1514371892),
(23003, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23008, '', '', '', '', '', '', 0, 10, 'task p41_23003', 0, 0, '', 337, 1510614000, 1, 1514371892),
(23004, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 23009, '', '', '', '', '', '', 0, 10, 'task p41_23004', 0, 0, '', 337, 1510614000, 1, 1514371892),
(23005, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23010, '', '', '', '', '', '', 0, 10, 'task p41_23005', 0, 0, '18.0.R3_PUMA', 337, 1510614000, 1, 1515507994),
(23006, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23011, '', '', '', '', '', '', 0, 10, 'task p41_23006', 0, 0, '18.0.R3_PUMA', 337, 1510614000, 1, 1514371892),
(23242, 41, 0, 199, 0, 10, 50, 100, 20, 10, 10, 10, 23247, '', '', '', '', '', '', 0, 10, 'task p41_23242', 0, 0, '', 338, 1511737200, 1, 1514372204),
(23016, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 23021, '', '', '', '', '', '', 0, 10, 'task p41_23016', 0, 0, '', 334, 1510736921, 1, 1512138960),
(23017, 41, 157, 157, 0, 10, 60, 100, 80, 10, 10, 10, 23022, '', '', '', '', '', '', 0, 10, 'task p41_23017', 0, 0, '', 334, 1510736955, 1, 1512546479),
(23018, 41, 157, 157, 0, 10, 80, 100, 80, 10, 10, 10, 23023, '', '', '', '', '', '', 0, 10, 'task p41_23018', 0, 0, '', 355, 1510737061, 1, 1510737370),
(23255, 41, 157, 157, 0, 40, 60, 10, 80, 10, 10, 10, 23260, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_23255', 0, 0, '', 337, 1511968382, 1, 1517395286),
(23288, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23293, '', '', '', '', '', '', 0, 10, 'task p41_23288', 0, 0, '18.0.R3_PUMA', 337, 1512082800, 1, 1518444217),
(23289, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23294, '', '', '', '', '', '', 0, 10, 'task p41_23289', 0, 0, '18.0.R3_PUMA', 337, 1512082800, 1, 1518444244),
(23419, 41, 157, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23424, '', '', '', '', '', '', 0, 10, 'task p41_23419', 0, 0, '', 337, 1512546806, 1, 1515740006),
(23420, 41, 157, 157, 0, 10, 50, 100, 80, 20, 10, 10, 23425, '', '', '', '', '', '', 0, 10, 'task p41_23420', 0, 0, '', 337, 1512546876, 1, 1516981347);
INSERT INTO `mantis_bug_table` (`id`, `project_id`, `reporter_id`, `handler_id`, `duplicate_id`, `priority`, `severity`, `reproducibility`, `status`, `resolution`, `projection`, `eta`, `bug_text_id`, `os`, `os_build`, `platform`, `version`, `fixed_in_version`, `build`, `profile_id`, `view_state`, `summary`, `sponsorship_total`, `sticky`, `target_version`, `category_id`, `date_submitted`, `due_date`, `last_updated`) VALUES
(23421, 41, 0, 157, 0, 10, 50, 100, 80, 20, 10, 10, 23426, '', '', '', '', '', '', 0, 10, 'task p41_23421', 0, 0, '18.0.R3_PUMA', 337, 1512514800, 1, 1515658761),
(23422, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23427, '', '', '', '', '', '', 0, 10, 'task p41_23422', 0, 0, '18.0.R3_PUMA', 337, 1512514800, 1, 1517231727),
(23423, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23428, '', '', '', '', '', '', 0, 10, 'task p41_23423', 0, 0, '', 334, 1512514800, 1, 1514372204),
(23424, 41, 0, 199, 0, 10, 50, 100, 50, 10, 10, 10, 23429, '', '', '', '', '', '', 0, 10, 'task p41_23424', 0, 0, '18.0.R3_PUMA', 337, 1512514800, 1, 1521454536),
(23425, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23430, '', '', '', '', '', '', 0, 10, 'task p41_23425', 0, 0, '18.0.R3_PUMA', 337, 1512514800, 1, 1517221850),
(23426, 41, 0, 168, 0, 10, 50, 100, 50, 10, 10, 10, 23431, '', '', '', '', '', '', 0, 10, 'task p41_23426', 0, 0, '18.0.11_PUMA', 337, 1512514800, 1, 1517324919),
(23427, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23432, '', '', '', '', '', '', 0, 10, 'task p41_23427', 0, 0, '18.0.R3_PUMA', 337, 1512514800, 1, 1517217183),
(23428, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23433, '', '', '', '', '', '', 0, 10, 'task p41_23428', 0, 0, '18.0.R3_PUMA', 337, 1512514800, 1, 1520855702),
(23432, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 23437, '', '', '', '', '', '', 0, 10, 'task p41_23432', 0, 0, '18.0.R3_PUMA', 337, 1512687600, 1, 1516095316),
(23433, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 23438, '', '', '', '', '', '', 0, 10, 'task p41_23433', 0, 0, '18.0.R3_PUMA', 337, 1512687600, 1, 1512730738),
(23434, 41, 0, 157, 0, 10, 50, 100, 80, 70, 10, 10, 23439, '', '', '', '', '', '', 0, 10, 'task p41_23434', 0, 0, '18.0.R3_PUMA', 337, 1512687600, 1, 1515596885),
(23435, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23440, '', '', '', '', '', '', 0, 10, 'task p41_23435', 0, 0, '', 355, 1512687600, 1, 1517835440),
(23436, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23441, '', '', '', '', '', '', 0, 10, 'task p41_23436', 0, 0, '', 355, 1512687600, 1, 1517835488),
(23437, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23442, '', '', '', '', '', '', 0, 10, 'task p41_23437', 0, 0, '', 337, 1512687600, 1, 1516261400),
(23438, 41, 72, 199, 0, 30, 50, 70, 80, 10, 10, 10, 23443, '', '', '', '18.1.0 DSI EM', '', '', 0, 10, 'task p41_23438', 0, 0, '18.1.R2 DSI EM', 334, 1512735233, 1, 1516104158),
(23497, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 23502, '', '', '', '', '', '', 0, 10, 'task p41_23497', 0, 0, '', 670, 1512946800, 1, 1514462433),
(23498, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 23503, '', '', '', '', '', '', 0, 10, 'task p41_23498', 0, 0, '', 187, 1512946800, 1, 1514462451),
(23543, 41, 0, 164, 0, 10, 50, 100, 80, 10, 10, 10, 23548, '', '', '', '', '', '', 0, 10, 'task p41_23543', 0, 0, '18.0.R3_PUMA', 337, 1513033200, 1, 1517216880),
(23545, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 23550, '', '', '', '', '', '', 0, 10, 'task p41_23545', 0, 0, '18.1.R2 DSI EM', 334, 1513033200, 1, 1519031252),
(23556, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23561, '', '', '', '', '', '', 0, 10, 'task p41_23556', 0, 0, '', 337, 1513086970, 1, 1517320903),
(23562, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23567, '', '', '', '', '', '', 0, 10, 'task p41_23562', 0, 0, '18.0.R3_PUMA', 337, 1513153937, 1, 1513330436),
(23563, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23568, '', '', '', '', '', '', 0, 10, 'task p41_23563', 0, 0, '18.0.R3_PUMA', 337, 1513154194, 1, 1513330417),
(23569, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23574, '', '', '', '', '', '', 0, 10, 'task p41_23569', 0, 0, '18.0.10_PUMA', 337, 1513161134, 1, 1514371994),
(25321, 41, 199, 450, 0, 10, 50, 100, 80, 10, 10, 10, 25326, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_25321', 0, 0, '18.0_PUMA', 337, 1520522739, 1, 1521121564),
(23749, 41, 199, 199, 0, 30, 50, 70, 80, 10, 10, 10, 23754, '', '', '', '18.1.0 DSI EM', '', '', 0, 10, 'task p41_23749', 0, 0, '', 334, 1513350995, 1, 1514372315),
(23767, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23772, '', '', '', '', '', '', 0, 10, 'task p41_23767', 0, 0, '', 337, 1513551600, 1, 1514370919),
(23768, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23773, '', '', '', '', '', '', 0, 10, 'task p41_23768', 0, 0, '18.1.R2 DSI EM', 334, 1513551600, 1, 1516104250),
(23769, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23774, '', '', '', '', '', '', 0, 10, 'task p41_23769', 0, 0, '18.1.R2 DSI EM', 334, 1513551600, 1, 1514372315),
(23770, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23775, '', '', '', '', '', '', 0, 10, 'task p41_23770', 0, 0, '', 337, 1513551600, 1, 1514370919),
(23771, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23776, '', '', '', '', '', '', 0, 10, 'task p41_23771', 0, 0, '18.1.R2 DSI EM', 334, 1513551600, 1, 1516104283),
(23772, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23777, '', '', '', '', '', '', 0, 10, 'task p41_23772', 0, 0, '', 337, 1513551600, 1, 1514370919),
(23773, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23778, '', '', '', '', '', '', 0, 10, 'task p41_23773', 0, 0, '', 337, 1513551600, 1, 1515576094),
(23774, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23779, '', '', '', '', '', '', 0, 10, 'task p41_23774', 0, 0, '', 337, 1513551600, 1, 1514370919),
(23775, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23780, '', '', '', '', '', '', 0, 10, 'task p41_23775', 0, 0, '', 337, 1513551600, 1, 1514370919),
(23776, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23781, '', '', '', '', '', '', 0, 10, 'task p41_23776', 0, 0, '', 337, 1513551600, 1, 1518113795),
(23777, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23782, '', '', '', '', '', '', 0, 10, 'task p41_23777', 0, 0, '18.1.R2 DSI EM', 334, 1513551600, 1, 1514372726),
(23778, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23783, '', '', '', '', '', '', 0, 10, 'task p41_23778', 0, 0, '18.1.R2 DSI EM', 334, 1513551600, 1, 1514372347),
(23781, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23786, '', '', '', '', '', '', 0, 10, 'task p41_23781', 0, 0, '', 337, 1513551600, 1, 1515589810),
(23783, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23788, '', '', '', '', '', '', 0, 10, 'task p41_23783', 0, 0, '', 338, 1513638000, 1, 1514443372),
(23784, 41, 0, 157, 0, 10, 50, 100, 80, 20, 10, 10, 23789, '', '', '', '', '', '', 0, 10, 'task p41_23784', 0, 0, '', 337, 1513638000, 1, 1515596685),
(23787, 41, 72, 168, 0, 10, 50, 100, 20, 10, 10, 10, 23792, '', '', '', '', '', '', 0, 10, 'task p41_23787', 0, 0, '18.0.10_PUMA', 337, 1513687751, 1, 1514371994),
(23789, 73, 2, 72, 0, 30, 50, 100, 90, 10, 10, 10, 23794, '', '', '', '', '', '', 0, 10, 'Pilotage TAIGA 2017', 0, 0, '', 261, 1483398000, 1, 1513705964),
(23790, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 23795, '', '', '', '', '', '', 0, 10, 'Pilotage TAIGA 2018', 0, 0, '', 261, 1513703944, 1, 1513704587),
(23791, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 23796, '', '', '', '', '', '', 0, 10, 'Pilotage TAIGA 2016', 0, 0, '', 261, 1451862000, 1, 1513704577),
(23792, 73, 2, 2, 0, 30, 50, 100, 90, 10, 10, 10, 23797, '', '', '', '', '', '', 0, 10, 'Pilotage TAIGA 2015', 0, 0, '', 261, 1420412400, 1, 1513704522),
(23833, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 23838, '', '', '', '', '', '', 0, 10, 'task p41_23833', 0, 0, '', 337, 1513810800, 1, 1514370919),
(23834, 41, 199, 199, 0, 30, 50, 10, 80, 10, 10, 10, 23839, '', '', '', '', '', '', 0, 10, 'task p41_23834', 0, 0, '', 337, 1513863687, 1, 1514370919),
(23893, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23898, '', '', '', '', '', '', 0, 10, 'task p41_23893', 0, 0, '18.0.R3_PUMA', 337, 1514361293, 1, 1515591865),
(23901, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23906, '', '', '', '', '', '', 0, 10, 'task p41_23901', 0, 0, '18.0.R3_PUMA', 337, 1514329200, 1, 1514907794),
(23902, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23907, '', '', '', '', '', '', 0, 10, 'task p41_23902', 0, 0, '18.0.R3_PUMA', 337, 1514329200, 1, 1515593771),
(23905, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23910, '', '', '', '', '', '', 0, 10, 'task p41_23905', 0, 0, '', 334, 1514415600, 1, 1514884239),
(23906, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 23911, '', '', '', '', '', '', 0, 10, 'task p41_23906', 0, 0, '', 334, 1514415600, 1, 1514907847),
(23908, 41, 0, 164, 0, 10, 50, 100, 10, 10, 10, 10, 23913, '', '', '', '', '', '', 0, 10, 'task p41_23908', 0, 0, '', 206, 1514415600, 1, 1514462212),
(23909, 41, 0, 164, 0, 10, 50, 100, 10, 10, 10, 10, 23914, '', '', '', '', '', '', 0, 10, 'task p41_23909', 0, 0, '', 206, 1514415600, 1, 1514462190),
(23910, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 23915, '', '', '', '', '', '', 0, 10, 'task p41_23910', 0, 0, '', 338, 1514463475, 1, 1520865225),
(24747, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24752, '', '', '', '', '', '', 0, 10, 'task p41_24747', 0, 0, '', 337, 1518476400, 1, 1519027301),
(24767, 41, 0, 72, 0, 10, 50, 100, 90, 10, 10, 10, 24772, '', '', '', '', '', '', 0, 10, 'task p41_24767', 0, 0, '', 334, 1518562800, 1, 1519376580),
(24117, 41, 164, 164, 0, 30, 50, 70, 80, 20, 10, 10, 24122, '', '', '', '', '', '', 0, 10, 'task p41_24117', 0, 0, '', 206, 1515485409, 1, 1521196582),
(24169, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24174, '', '', '', '', '', '', 0, 10, 'task p41_24169', 0, 0, '', 337, 1515538800, 1, 1515596393),
(24170, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24175, '', '', '', '', '', '', 0, 10, 'task p41_24170', 0, 0, '', 337, 1515538800, 1, 1515740678),
(24172, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24177, '', '', '', '', '', '', 0, 10, 'task p41_24172', 0, 0, '', 337, 1515538800, 1, 1516095412),
(24175, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24180, '', '', '', '', '', '', 0, 10, 'task p41_24175', 0, 0, '', 337, 1515658760, 1, 1516981208),
(24176, 41, 72, 0, 0, 10, 50, 100, 80, 10, 10, 10, 24181, '', '', '', '', '', '', 0, 10, 'task p41_24176', 0, 0, '18.0.R3_PUMA', 337, 1515658879, 1, 1516095334),
(24177, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24182, '', '', '', '', '', '', 0, 10, 'task p41_24177', 0, 0, '18.0.R3_PUMA', 337, 1515658940, 1, 1515740461),
(24178, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24183, '', '', '', '', '', '', 0, 10, 'task p41_24178', 0, 0, '18.0.R3_PUMA', 337, 1515659005, 1, 1515740561),
(24179, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24184, '', '', '', '', '', '', 0, 10, 'task p41_24179', 0, 0, '18.0.R3_PUMA', 337, 1515659088, 1, 1516901416),
(24239, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24244, '', '', '', '', '', '', 0, 10, 'task p41_24239', 0, 0, '', 338, 1515970800, 1, 1516970517),
(24240, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 24245, '', '', '', '', '', '', 0, 10, 'task p41_24240', 0, 0, '', 338, 1515970800, 1, 1517325363),
(24241, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24246, '', '', '', '', '', '', 0, 10, 'task p41_24241', 0, 0, '', 337, 1515970800, 1, 1520322104),
(24242, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24247, '', '', '', '', '', '', 0, 10, 'task p41_24242', 0, 0, '', 337, 1515970800, 1, 1519064175),
(24243, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 24248, '', '', '', '', '', '', 0, 10, 'task p41_24243', 0, 0, '', 206, 1515970800, 1, 1517908895),
(24244, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 24249, '', '', '', '', '', '', 0, 10, 'task p41_24244', 0, 0, '', 206, 1515970800, 1, 1516135531),
(24247, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24252, '', '', '', '', '', '', 0, 10, 'task p41_24247', 0, 0, '', 338, 1515970800, 1, 1516970333),
(24269, 41, 72, 168, 0, 30, 50, 70, 80, 10, 10, 10, 24274, '', '', '', '', '', '', 0, 10, 'task p41_24269', 0, 0, '', 187, 1516099758, 1, 1516180979),
(24279, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24284, '', '', '', '', '', '', 0, 10, 'task p41_24279', 0, 0, '', 338, 1516057200, 1, 1516970434),
(24280, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24285, '', '', '', '', '', '', 0, 10, 'task p41_24280', 0, 0, '', 338, 1516057200, 1, 1516345769),
(24281, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24286, '', '', '', '', '', '', 0, 10, 'task p41_24281', 0, 0, '', 338, 1516057200, 1, 1516970351),
(24443, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24448, '', '', '', '', '', '', 0, 10, 'task p41_24443', 0, 0, '', 337, 1516662000, 1, 1520846424),
(24444, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24449, '', '', '', '', '', '', 0, 10, 'task p41_24444', 0, 0, '', 337, 1516662000, 1, 1519244934),
(24445, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24450, '', '', '', '', '', '', 0, 10, 'task p41_24445', 0, 0, '18.0.11_PUMA', 337, 1516662000, 1, 1519131948),
(24446, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24451, '', '', '', '', '', '', 0, 10, 'task p41_24446', 0, 0, '', 337, 1516662000, 1, 1519140063),
(24447, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24452, '', '', '', '', '', '', 0, 10, 'task p41_24447', 0, 0, '', 355, 1516662000, 1, 1517395358),
(24448, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24453, '', '', '', '', '', '', 0, 10, 'task p41_24448', 0, 0, '', 337, 1516662000, 1, 1519224131),
(24449, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24454, '', '', '', '', '', '', 0, 10, 'task p41_24449', 0, 0, '', 337, 1516662000, 1, 1516902580),
(24450, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24455, '', '', '', '', '', '', 0, 10, 'task p41_24450', 0, 0, '', 337, 1516662000, 1, 1516900904),
(24451, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24456, '', '', '', '', '', '', 0, 10, 'task p41_24451', 0, 0, '', 187, 1516662000, 1, 1516970245),
(24452, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24457, '', '', '', '', '', '', 0, 10, 'task p41_24452', 0, 0, '18.0.11_PUMA', 337, 1516662000, 1, 1518443791),
(24453, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24458, '', '', '', '', '', '', 0, 10, 'task p41_24453', 0, 0, '18.0.11_PUMA', 337, 1516662000, 1, 1518443811),
(24454, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24459, '', '', '', '', '', '', 0, 10, 'task p41_24454', 0, 0, '18.0.11_PUMA', 337, 1516662000, 1, 1517217928),
(24455, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24460, '', '', '', '', '', '', 0, 10, 'task p41_24455', 0, 0, '18.0.11_PUMA', 337, 1516662000, 1, 1517217952),
(24456, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24461, '', '', '', '', '', '', 0, 10, 'task p41_24456', 0, 0, '18.0.11_PUMA', 337, 1516662000, 1, 1516970661),
(24457, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24462, '', '', '', '', '', '', 0, 10, 'task p41_24457', 0, 0, '18.0.11_PUMA', 337, 1516662000, 1, 1516970671),
(24546, 41, 199, 199, 0, 10, 80, 100, 80, 10, 10, 10, 24551, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_24546', 0, 0, '', 337, 1516900779, 1, 1516900812),
(24547, 41, 199, 199, 0, 30, 60, 70, 80, 10, 10, 10, 24552, '', '', '', '', '', '', 0, 10, 'task p41_24547', 0, 0, '18.0.R3_PUMA', 337, 1516901167, 1, 1518114661),
(24561, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24566, '', '', '', '', '', '', 0, 10, 'task p41_24561', 0, 0, '', 337, 1516921200, 1, 1520237596),
(24562, 41, 0, 168, 0, 10, 50, 100, 80, 10, 10, 10, 24567, '', '', '', '', '', '', 0, 10, 'task p41_24562', 0, 0, '', 337, 1516921200, 1, 1520523463),
(24563, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24568, '', '', '', '', '', '', 0, 10, 'task p41_24563', 0, 0, '', 337, 1516921200, 1, 1519224276),
(24575, 41, 72, 74, 0, 30, 50, 70, 80, 10, 10, 10, 24580, '', '', '', '', '', '', 0, 10, 'task p41_24575', 0, 0, '18.0.11_PUMA', 337, 1517218192, 1, 1520432459),
(24588, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24593, '', '', '', '', '', '', 0, 10, 'task p41_24588', 0, 0, '18.0.11_PUMA', 337, 1517266800, 1, 1520237485),
(24589, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24594, '', '', '', '', '', '', 0, 10, 'task p41_24589', 0, 0, '18.0.11_PUMA', 337, 1517266800, 1, 1519895563),
(24590, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24595, '', '', '', '', '', '', 0, 10, 'task p41_24590', 0, 0, '18.0.11_PUMA', 337, 1517266800, 1, 1520237525),
(24591, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 24596, '', '', '', '', '', '', 0, 10, 'task p41_24591', 0, 0, '18.2.10 MCO', 334, 1517266800, 1, 1519744441),
(24592, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 24597, '', '', '', '', '', '', 0, 10, 'task p41_24592', 0, 0, '18.2.10 MCO', 334, 1517266800, 1, 1519744474),
(24593, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24598, '', '', '', '', '', '', 0, 10, 'task p41_24593', 0, 0, '18.0.11_PUMA', 337, 1517266800, 1, 1519288536),
(24594, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24599, '', '', '', '', '', '', 0, 10, 'task p41_24594', 0, 0, '18.0.11_PUMA', 337, 1517266800, 1, 1519132001),
(24748, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24753, '', '', '', '', '', '', 0, 10, 'task p41_24748', 0, 0, '', 334, 1518476400, 1, 1519131876),
(24648, 81, 72, 72, 0, 30, 50, 70, 90, 10, 10, 10, 24653, '', '', '', '', '', '', 0, 10, 'Mise en place Environnements pour tests transverses GAC', 0, 0, '', 297, 1517837159, 1, 1517837159),
(24670, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 24675, '', '', '', '', '', '', 0, 10, 'task p41_24670', 0, 0, '18.0.11_PUMA', 337, 1517871600, 1, 1518016941),
(24671, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 24676, '', '', '', '', '', '', 0, 10, 'task p41_24671', 0, 0, '18.0.11_PUMA', 337, 1517871600, 1, 1518016960),
(24693, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24698, '', '', '', '', '', '', 0, 10, 'task p41_24693', 0, 0, '', 337, 1518078227, 1, 1519027481),
(24696, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 24701, '', '', '', '', '', '', 0, 10, 'task p41_24696', 0, 0, '', 337, 1518044400, 1, 1520245514),
(24697, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 24702, '', '', '', '', '', '', 0, 10, 'task p41_24697', 0, 0, '', 337, 1518044400, 1, 1518079782),
(24698, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24703, '', '', '', '', '', '', 0, 10, 'task p41_24698', 0, 0, '', 337, 1518044400, 1, 1519739542),
(24699, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 24704, '', '', '', '', '', '', 0, 10, 'task p41_24699', 0, 0, '', 337, 1518044400, 1, 1519054983),
(24700, 41, 0, 0, 0, 10, 50, 100, 20, 10, 10, 10, 24705, '', '', '', '', '', '', 0, 10, 'task p41_24700', 0, 0, '', 337, 1518044400, 1, 1518081093),
(24701, 41, 0, 0, 0, 10, 50, 100, 90, 10, 10, 10, 24706, '', '', '', '', '', '', 0, 10, 'task p41_24701', 0, 0, '', 337, 1518044400, 1, 1520245827),
(24707, 41, 199, 199, 0, 30, 80, 70, 80, 10, 10, 10, 24712, '', '', '', '', '', '', 0, 10, 'task p41_24707', 0, 0, '', 337, 1518114661, 1, 1518114731),
(24737, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24742, '', '', '', '', '', '', 0, 10, 'task p41_24737', 0, 0, '18.1.0 DSI EM', 334, 1518390000, 1, 1518444419),
(24738, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24743, '', '', '', '', '', '', 0, 10, 'task p41_24738', 0, 0, '18.1.0 DSI EM', 334, 1518390000, 1, 1518444385),
(24739, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24744, '', '', '', '', '', '', 0, 10, 'task p41_24739', 0, 0, '18.1.0 DSI EM', 334, 1518390000, 1, 1518523976),
(24740, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 24745, '', '', '', '', '', '', 0, 10, 'task p41_24740', 0, 0, '18.2.0 DSI INT', 334, 1518390000, 1, 1518608472),
(24741, 41, 0, 157, 0, 10, 50, 100, 90, 10, 10, 10, 24746, '', '', '', '', '', '', 0, 10, 'task p41_24741', 0, 0, '18.2.0 DSI INT', 334, 1518390000, 1, 1519376876),
(24749, 41, 0, 157, 0, 10, 50, 100, 20, 10, 10, 10, 24754, '', '', '', '', '', '', 0, 10, 'task p41_24749', 0, 0, '', 334, 1518476400, 1, 1520866670),
(24753, 41, 72, 72, 0, 10, 50, 100, 80, 10, 10, 10, 24758, '', '', '', '', '', '', 0, 10, 'task p41_24753', 0, 0, '', 334, 1518523976, 1, 1518608444),
(24754, 41, 72, 72, 0, 10, 50, 100, 90, 10, 10, 10, 24759, '', '', '', '', '', '', 0, 10, 'task p41_24754', 0, 0, '', 334, 1518527777, 1, 1519376798),
(24838, 41, 72, 74, 0, 30, 50, 70, 50, 10, 10, 10, 24843, '', '', '', '', '', '', 0, 10, 'task p41_24838', 0, 0, '', 337, 1518774507, 1, 1521445174),
(24768, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24773, '', '', '', '', '', '', 0, 10, 'task p41_24768', 0, 0, '', 334, 1518562800, 1, 1519131899),
(24769, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 24774, '', '', '', '', '', '', 0, 10, 'task p41_24769', 0, 0, '', 337, 1518562800, 1, 1520855665),
(24770, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 24775, '', '', '', '', '', '', 0, 10, 'task p41_24770', 0, 0, '', 337, 1518562800, 1, 1520855692),
(24771, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 24776, '', '', '', '', '', '', 0, 10, 'task p41_24771', 0, 0, '', 337, 1518562800, 1, 1518611278),
(24772, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 24777, '', '', '', '', '', '', 0, 10, 'task p41_24772', 0, 0, '', 337, 1518562800, 1, 1518611278),
(24797, 41, 0, 2, 0, 10, 50, 100, 80, 10, 10, 10, 24802, '', '', '', '', '', '', 0, 10, 'task p41_24797', 0, 0, '', 337, 1518562800, 1, 1518789749),
(24798, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24803, '', '', '', '', '', '', 0, 10, 'task p41_24798', 0, 0, '', 337, 1518562800, 1, 1519027251),
(24843, 41, 164, 164, 0, 30, 50, 70, 80, 10, 10, 10, 24848, '', '', '', '', '', '', 0, 10, 'task p41_24843', 0, 0, '', 338, 1518786518, 1, 1521023374),
(24877, 41, 72, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24882, '', '', '', '', '', '', 0, 10, 'task p41_24877', 0, 0, '', 334, 1519037371, 1, 1519375253),
(24878, 41, 72, 157, 0, 10, 50, 100, 90, 10, 10, 10, 24883, '', '', '', '', '', '', 0, 10, 'task p41_24878', 0, 0, '', 334, 1519041312, 1, 1519376728),
(24890, 41, 0, 157, 0, 10, 50, 100, 90, 10, 10, 10, 24895, '', '', '', '', '', '', 0, 10, 'task p41_24890', 0, 0, '18.2.0 DSI INT', 334, 1519081200, 1, 1520866285),
(24891, 41, 0, 74, 0, 10, 50, 100, 80, 10, 10, 10, 24896, '', '', '', '', '', '', 0, 10, 'task p41_24891', 0, 0, '18.2.0 DSI INT', 334, 1519081200, 1, 1519634644),
(24909, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24914, '', '', '', '', '', '', 0, 10, 'task p41_24909', 0, 0, '', 337, 1519081200, 1, 1519223750),
(24910, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24915, '', '', '', '', '', '', 0, 10, 'task p41_24910', 0, 0, '', 334, 1519081200, 1, 1519288611),
(24911, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 24916, '', '', '', '', '', '', 0, 10, 'task p41_24911', 0, 0, '', 334, 1519081200, 1, 1520322668),
(24963, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 24968, '', '', '', '', '', '', 0, 10, 'task p41_24963', 0, 0, '', 337, 1519226376, 1, 1520237750),
(24996, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 25001, '', '', '', '', '', '', 0, 10, 'task p41_24996', 0, 0, '', 337, 1519290593, 1, 1519728185),
(24997, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 25002, '', '', '', '', '', '', 0, 10, 'task p41_24997', 0, 0, '18.2.20', 338, 1519254000, 1, 1519295030),
(24998, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 25003, '', '', '', '', '', '', 0, 10, 'task p41_24998', 0, 0, '18.2.20', 338, 1519254000, 1, 1519295087),
(25004, 41, 0, 0, 0, 10, 50, 100, 80, 10, 10, 10, 25009, '', '', '', '', '', '', 0, 10, 'task p41_25004', 0, 0, '', 334, 1519340400, 1, 1520322685),
(25005, 41, 0, 157, 0, 10, 50, 100, 50, 10, 10, 10, 25010, '', '', '', '', '', '', 0, 10, 'task p41_25005', 0, 0, '', 334, 1519340400, 1, 1519906823),
(25006, 41, 0, 72, 0, 10, 50, 100, 80, 10, 10, 10, 25011, '', '', '', '', '', '', 0, 10, 'task p41_25006', 0, 0, '', 334, 1519340400, 1, 1519389739),
(25007, 41, 0, 450, 0, 10, 50, 100, 10, 10, 10, 10, 25012, '', '', '', '', '', '', 0, 10, 'task p41_25007', 0, 0, '', 334, 1519340400, 1, 1519392297),
(25008, 41, 0, 157, 0, 10, 50, 100, 50, 10, 10, 10, 25013, '', '', '', '', '', '', 0, 10, 'task p41_25008', 0, 0, '', 334, 1519340400, 1, 1520934630),
(25043, 41, 0, 450, 0, 10, 50, 100, 80, 10, 10, 10, 25048, '', '', '', '', '', '', 0, 10, 'task p41_25043', 0, 0, '18.0.11.1_PUMA', 337, 1519599600, 1, 1520357261),
(25044, 41, 0, 157, 0, 10, 50, 100, 80, 10, 10, 10, 25049, '', '', '', '', '', '', 0, 10, 'task p41_25044', 0, 0, '18.2.0 DSI INT', 334, 1519599600, 1, 1521453927),
(25123, 41, 199, 450, 0, 10, 50, 100, 80, 10, 10, 10, 25128, '', '', '', '', '', '', 0, 10, 'task p41_25123', 0, 0, '', 337, 1519977758, 1, 1520404431),
(25153, 41, 0, 0, 0, 10, 50, 100, 10, 10, 10, 10, 25158, '', '', '', '', '', '', 0, 10, 'task p41_25153', 0, 0, '18.0.11.1_PUMA', 337, 1520204400, 1, 1520239591),
(25154, 41, 0, 199, 0, 10, 50, 100, 20, 10, 10, 10, 25159, '', '', '', '', '', '', 0, 10, 'task p41_25154', 0, 0, '18.0.11.1_PUMA', 337, 1520204400, 1, 1520523354),
(25155, 41, 0, 2, 0, 10, 50, 100, 10, 10, 10, 10, 25160, '', '', '', '', '', '', 0, 10, 'task p41_25155', 0, 0, '', 337, 1520204400, 1, 1521128668),
(25190, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 25195, '', '', '', '', '', '', 0, 10, 'task p41_25190', 0, 0, '18.0.11.1_PUMA', 337, 1520322104, 1, 1520609505),
(25240, 41, 72, 450, 0, 10, 50, 100, 80, 10, 10, 10, 25245, '', '', '', '', '', '', 0, 10, 'task p41_25240', 0, 0, '18.0.11.1_PUMA', 337, 1520404431, 1, 1520938146),
(25267, 41, 0, 157, 0, 10, 50, 100, 50, 10, 10, 10, 25272, '', '', '', '', '', '', 0, 10, 'task p41_25267', 0, 0, '', 334, 1520377200, 1, 1521098560),
(25268, 41, 0, 199, 0, 10, 50, 100, 10, 10, 10, 10, 25273, '', '', '', '', '', '', 0, 10, 'task p41_25268', 0, 0, '', 334, 1520377200, 1, 1520934758),
(25354, 41, 199, 199, 0, 10, 50, 100, 80, 10, 10, 10, 25359, '', '', '', '', '', '', 0, 10, 'task p41_25354', 0, 0, '', 337, 1520609457, 1, 1520609523),
(25437, 41, 72, 74, 0, 10, 50, 100, 50, 10, 10, 10, 25442, '', '', '', '18.0.10_PUMA', '', '', 0, 10, 'task p41_25437', 0, 0, '18.0.12_PUMA', 337, 1520938146, 1, 1520949658),
(25443, 41, 72, 157, 0, 30, 50, 70, 10, 10, 10, 10, 25448, '', '', '', '', '', '', 0, 10, 'task p41_25443', 0, 0, '', 310, 1520950083, 1, 1520950083),
(25559, 41, 72, 199, 0, 10, 50, 100, 80, 10, 10, 10, 25564, '', '', '', '18.0_PUMA', '', '', 0, 10, 'task p41_25559', 0, 0, '18.0.11.1_PUMA', 337, 1521120210, 1, 1521454486),
(25544, 41, 0, 157, 0, 10, 50, 100, 10, 10, 10, 10, 25549, '', '', '', '', '', '', 0, 10, 'task p41_25544', 0, 0, '', 310, 1521068400, 1, 1521099061),
(25545, 41, 0, 157, 0, 10, 50, 100, 10, 10, 10, 10, 25550, '', '', '', '', '', '', 0, 10, 'task p41_25545', 0, 0, '', 310, 1521068400, 1, 1521099061),
(25546, 41, 0, 72, 0, 10, 50, 100, 50, 10, 10, 10, 25551, '', '', '', '', '', '', 0, 10, 'task p41_25546', 0, 0, '', 337, 1521068400, 1, 1521123469),
(25547, 41, 0, 450, 0, 10, 50, 100, 10, 10, 10, 10, 25552, '', '', '', '', '', '', 0, 10, 'task p41_25547', 0, 0, '', 337, 1521068400, 1, 1521099733),
(25548, 41, 0, 199, 0, 10, 50, 100, 50, 10, 10, 10, 25553, '', '', '', '', '', '', 0, 10, 'task p41_25548', 0, 0, '', 337, 1521068400, 1, 1521454651),
(25549, 41, 0, 199, 0, 10, 50, 100, 80, 10, 10, 10, 25554, '', '', '', '', '', '', 0, 10, 'task p41_25549', 0, 0, '', 337, 1521068400, 1, 1521454418),
(25573, 41, 199, 199, 0, 30, 80, 70, 80, 10, 10, 10, 25578, '', '', '', '18.2.0 DSI INT', '', '', 0, 10, 'task p41_25573', 0, 0, '18.2.0 DSI INT', 334, 1521454211, 1, 1521454255),
(25579, 41, 0, 450, 0, 10, 50, 100, 10, 10, 10, 10, 25584, '', '', '', '', '', '', 0, 10, 'task p41_25579', 0, 0, '18.2.20', 338, 1521414000, 1, 1521476532),
(25580, 41, 0, 450, 0, 10, 50, 100, 10, 10, 10, 10, 25585, '', '', '', '', '', '', 0, 10, 'task p41_25580', 0, 0, '18.2.20', 338, 1521414000, 1, 1521476533),
(25581, 41, 0, 450, 0, 10, 50, 100, 10, 10, 10, 10, 25586, '', '', '', '', '', '', 0, 10, 'task p41_25581', 0, 0, '18.2.20', 338, 1521414000, 1, 1521476533),
(25582, 41, 0, 450, 0, 10, 50, 100, 10, 10, 10, 10, 25587, '', '', '', '', '', '', 0, 10, 'task p41_25582', 0, 0, '18.2.20', 338, 1521414000, 1, 1521476533);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_tag_table`
--

DROP TABLE IF EXISTS `mantis_bug_tag_table`;
CREATE TABLE `mantis_bug_tag_table` (
  `bug_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `tag_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `date_attached` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_bug_text_table`
--

DROP TABLE IF EXISTS `mantis_bug_text_table`;
CREATE TABLE `mantis_bug_text_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `description` longtext NOT NULL,
  `steps_to_reproduce` longtext NOT NULL,
  `additional_information` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_bug_text_table`
--

INSERT INTO `mantis_bug_text_table` (`id`, `description`, `steps_to_reproduce`, `additional_information`) VALUES
(1, 'Toutes activités non référencées dans un projet mantis', '', ''),
(2, 'Congés, Maladie, ...', '', ''),
(875, 'YF.9_I8VB.ENC.24', '', ''),
(1041, '...', '', ''),
(1400, 'Formation externe (sur un autre OTP que le projet)', '', ''),
(1431, 'this is a fake issue...', '', ''),
(1435, ' Wiki, ...', '', ''),
(1436, 'Formation RSI', '', ''),
(1437, 'saisie des NDF,\r\nreservations avion/hotel,\r\nmedecine du travail,\r\nreunion d\'agence\r\n...', '', ''),
(1448, 'this is a fake issue...', '', ''),
(1449, 'this is a fake issue...', '', ''),
(1506, ' ', '', ''),
(1505, ' ', '', ''),
(1508, ' ', '', ''),
(1596, 'S\'appuyer sur le document fourni par le RSI (Source Sodifrance). Ce document doit être prêt à l\'emploi dés septembre pour l\'accueil des ressources du palier 2', '', ''),
(1858, 'this is a fake issue...', '', ''),
(1862, 'this is a fake issue...', '', ''),
(3144, 'this is a fake issue...', '', ''),
(1864, 'this is a fake issue...', '', ''),
(1866, 'this is a fake issue...', '', ''),
(1867, 'this is a fake issue...', '', ''),
(1868, 'this is a fake issue...', '', ''),
(1869, 'this is a fake issue...', '', ''),
(1870, 'this is a fake issue...', '', ''),
(1871, 'this is a fake issue...', '', ''),
(3137, 'this is a fake issue...', '', ''),
(1876, 'this is a fake issue...', '', ''),
(1877, 'this is a fake issue...', '', ''),
(2041, 'install des logiciels, VPN, ...', '', ''),
(2088, '...', '', ''),
(2089, 'Support Formation Apprenti Professionel', '', ''),
(2120, 'this is a fake issue...', '', ''),
(2121, 'this is a fake issue...', '', ''),
(2131, 'this is a fake issue...', '', ''),
(2132, 'this is a fake issue...', '', ''),
(2133, 'this is a fake issue...', '', ''),
(2779, 'this is a fake issue...', '', ''),
(2865, 'avant le 1/4/2017', '', ''),
(2853, 'this is a fake issue...', '', ''),
(2849, 'this is a fake issue...', '', ''),
(8130, 'this is a fake issue...', '', ''),
(8129, 'this is a fake issue...', '', ''),
(2844, 'this is a fake issue...', '', ''),
(2842, 'this is a fake issue...', '', ''),
(2841, 'this is a fake issue...', '', ''),
(2840, 'this is a fake issue...', '', ''),
(2839, 'this is a fake issue...', '', ''),
(2838, 'this is a fake issue...', '', ''),
(2837, 'this is a fake issue...', '', ''),
(2904, 'this is a fake issue...', '', ''),
(2835, 'this is a fake issue...', '', ''),
(2821, 'this is a fake issue...', '', ''),
(2820, 'this is a fake issue...', '', ''),
(2819, 'this is a fake issue...', '', ''),
(2817, 'this is a fake issue...', '', ''),
(4313, 'this is a fake issue...', '', ''),
(2814, 'this is a fake issue...', '', ''),
(4312, 'this is a fake issue...', '', ''),
(4311, 'this is a fake issue...', '', ''),
(4310, 'this is a fake issue...', '', ''),
(2780, '...', '', ''),
(2383, 'this is a fake issue...', '', ''),
(2465, 'this is a fake issue...', '', ''),
(2810, 'this is a fake issue...', '', ''),
(2650, 'this is a fake issue...', '', ''),
(2652, 'this is a fake issue...', '', ''),
(2894, '...', '', ''),
(2897, 'this is a fake issue...', '', ''),
(2898, 'this is a fake issue...', '', ''),
(2899, 'this is a fake issue...', '', ''),
(2900, 'this is a fake issue...', '', ''),
(2901, 'this is a fake issue...', '', ''),
(2902, 'this is a fake issue...', '', ''),
(2903, 'this is a fake issue...', '', ''),
(2906, 'this is a fake issue...', '', ''),
(2909, 'this is a fake issue...', '', ''),
(2912, 'this is a fake issue...', '', ''),
(12141, 'this is a fake issue...', '', ''),
(3084, 'this is a fake issue...', '', ''),
(3335, 'this is a fake issue...', '', ''),
(3453, 'this is a fake issue...', '', ''),
(3454, 'this is a fake issue...', '', ''),
(3455, 'this is a fake issue...', '', ''),
(3459, 'this is a fake issue...', '', ''),
(3460, 'this is a fake issue...', '', ''),
(3465, 'this is a fake issue...', '', ''),
(3467, 'this is a fake issue...', '', ''),
(3474, 'this is a fake issue...', '', ''),
(3479, 'this is a fake issue...', '', ''),
(3480, 'this is a fake issue...', '', ''),
(3541, 'this is a fake issue...', '', ''),
(3542, 'this is a fake issue...', '', ''),
(3543, 'this is a fake issue...', '', ''),
(3544, 'this is a fake issue...', '', ''),
(3545, 'this is a fake issue...', '', ''),
(3546, 'this is a fake issue...', '', ''),
(3547, 'this is a fake issue...', '', ''),
(3548, 'this is a fake issue...', '', ''),
(3562, 'this is a fake issue...', '', ''),
(3563, 'this is a fake issue...', '', ''),
(3731, 'this is a fake issue...', '', ''),
(3732, 'this is a fake issue...', '', ''),
(3733, 'this is a fake issue...', '', ''),
(3734, 'this is a fake issue...', '', ''),
(3735, 'this is a fake issue...', '', ''),
(3736, 'this is a fake issue...', '', ''),
(3737, 'this is a fake issue...', '', ''),
(3738, 'this is a fake issue...', '', ''),
(3612, 'this is a fake issue...', '', ''),
(3613, 'this is a fake issue...', '', ''),
(3615, 'this is a fake issue...', '', ''),
(3616, 'this is a fake issue...', '', ''),
(3624, 'this is a fake issue...', '', ''),
(4318, 'this is a fake issue...', '', ''),
(3648, 'this is a fake issue...', '', ''),
(3682, 'this is a fake issue...', '', ''),
(3683, 'this is a fake issue...', '', ''),
(3686, 'this is a fake issue...', '', ''),
(3687, 'this is a fake issue...', '', ''),
(3688, 'this is a fake issue...', '', ''),
(3689, 'this is a fake issue...', '', ''),
(3690, 'this is a fake issue...', '', ''),
(3698, 'this is a fake issue...', '', ''),
(3708, 'this is a fake issue...', '', ''),
(3709, 'this is a fake issue...', '', ''),
(3710, 'this is a fake issue...', '', ''),
(3742, 'this is a fake issue...', '', ''),
(3819, 'this is a fake issue...', '', ''),
(3823, 'this is a fake issue...', '', ''),
(3824, 'this is a fake issue...', '', ''),
(3825, 'this is a fake issue...', '', ''),
(3826, 'this is a fake issue...', '', ''),
(3827, 'this is a fake issue...', '', ''),
(3828, 'this is a fake issue...', '', ''),
(3830, 'this is a fake issue...', '', ''),
(3831, 'this is a fake issue...', '', ''),
(3832, 'this is a fake issue...', '', ''),
(3880, 'this is a fake issue...', '', ''),
(3887, 'this is a fake issue...', '', ''),
(3888, 'this is a fake issue...', '', ''),
(3889, 'this is a fake issue...', '', ''),
(3890, 'this is a fake issue...', '', '1_titulaire/Interfaces/Interfaces_SAGA/solaris/cbl/kfbmj20.cbl\r\n1_titulaire/Interfaces/Interfaces_SAGA/solaris/cbl/kfbmj30.cbl\r\n'),
(3891, 'this is a fake issue...', '', ''),
(3892, 'this is a fake issue...', '', ''),
(3893, 'this is a fake issue...', '', ''),
(3894, 'this is a fake issue...', '', ''),
(3895, 'this is a fake issue...', '', ''),
(3896, 'this is a fake issue...', '', ''),
(4056, 'this is a fake issue...', '', ''),
(4057, 'this is a fake issue...', '', ''),
(4058, 'this is a fake issue...', '', ''),
(3897, 'this is a fake issue...', '', ''),
(3898, 'this is a fake issue...', '', ''),
(3899, 'this is a fake issue...', '', ''),
(3900, 'this is a fake issue...', '', ''),
(3901, 'this is a fake issue...', '', ''),
(3902, 'this is a fake issue...', '', ''),
(3903, 'this is a fake issue...', '', ''),
(3904, 'this is a fake issue...', '', ''),
(3905, 'this is a fake issue...', '', ''),
(3906, 'this is a fake issue...', '', ''),
(3907, 'this is a fake issue...', '', ''),
(3908, 'this is a fake issue...', '', ''),
(3909, 'this is a fake issue...', '', ''),
(3910, 'this is a fake issue...', '', ''),
(3911, 'this is a fake issue...', '', ''),
(3912, 'this is a fake issue...', '', ''),
(3914, 'this is a fake issue...', '', ''),
(3915, 'this is a fake issue...', '', ''),
(3916, 'this is a fake issue...', '', ''),
(6129, 'this is a fake issue...', '', ''),
(3926, 'this is a fake issue...', '', ''),
(3940, 'this is a fake issue...', '', ''),
(3941, 'this is a fake issue...', '', ''),
(3942, 'this is a fake issue...', '', ''),
(3943, 'this is a fake issue...', '', ''),
(3965, '...', '', ''),
(3967, 'this is a fake issue...', '', ''),
(3968, 'this is a fake issue...', '', ''),
(3969, 'this is a fake issue...', '', ''),
(3970, 'this is a fake issue...', '', ''),
(4054, 'this is a fake issue...', '', ''),
(4055, 'this is a fake issue...', '', ''),
(4059, 'this is a fake issue...', '', ''),
(4060, 'this is a fake issue...', '', ''),
(4141, 'this is a fake issue...', '', ''),
(4142, 'this is a fake issue...', '', ''),
(4144, 'this is a fake issue...', '', ''),
(4145, 'this is a fake issue...', '', ''),
(4146, 'this is a fake issue...', '', ''),
(4147, 'this is a fake issue...', '', ''),
(4148, 'this is a fake issue...', '', ''),
(4151, 'this is a fake issue...', '', ''),
(4152, 'this is a fake issue...', '', ''),
(4159, 'this is a fake issue...', '', ''),
(4208, 'this is a fake issue...', '', ''),
(4209, 'this is a fake issue...', '', ''),
(4210, 'this is a fake issue...', '', ''),
(4244, 'this is a fake issue...', '', ''),
(4245, 'this is a fake issue...', '', ''),
(4246, 'this is a fake issue...', '', ''),
(4255, 'this is a fake issue...', '', ''),
(4262, 'this is a fake issue...', '', ''),
(4259, 'this is a fake issue...', '', ''),
(4260, 'this is a fake issue...', '', ''),
(4263, 'this is a fake issue...', '', ''),
(4264, 'this is a fake issue...', '', ''),
(4265, 'this is a fake issue...', '', ''),
(4266, 'this is a fake issue...', '', ''),
(4267, 'this is a fake issue...', '', ''),
(4268, 'this is a fake issue...', '', ''),
(4269, 'this is a fake issue...', '', ''),
(4270, 'this is a fake issue...', '', ''),
(4271, 'this is a fake issue...', '', ''),
(4272, 'this is a fake issue...', '', ''),
(4273, 'this is a fake issue...', '', ''),
(4275, 'this is a fake issue...', '', ''),
(4276, 'this is a fake issue...', '', ''),
(4278, 'this is a fake issue...', '', ''),
(4279, 'this is a fake issue...', '', ''),
(4280, 'this is a fake issue...', '', ''),
(4281, 'this is a fake issue...', '', ''),
(4282, 'this is a fake issue...', '', ''),
(11118, 'this is a fake issue...', '', ''),
(4284, 'this is a fake issue...', '', ''),
(4285, 'this is a fake issue...', '', ''),
(4286, 'this is a fake issue...', '', ''),
(4288, 'this is a fake issue...', '', ''),
(4289, 'this is a fake issue...', '', ''),
(4290, 'this is a fake issue...', '', ''),
(4590, 'this is a fake issue...', '', ''),
(4292, 'this is a fake issue...', '', ''),
(4293, 'this is a fake issue...', '', ''),
(4294, 'this is a fake issue...', '', ''),
(4295, 'this is a fake issue...', '', ''),
(6616, 'this is a fake issue...', '', ''),
(4589, 'this is a fake issue...', '', ''),
(4298, 'this is a fake issue...', '', ''),
(4299, 'this is a fake issue...', '', ''),
(10795, 'this is a fake issue...', '', ''),
(4302, 'this is a fake issue...', '', ''),
(4306, 'this is a fake issue...', '', ''),
(4307, 'this is a fake issue...', '', ''),
(4308, 'this is a fake issue...', '', ''),
(4309, 'this is a fake issue...', '', ''),
(4319, 'this is a fake issue...', '', ''),
(4320, 'this is a fake issue...', '', ''),
(4321, 'this is a fake issue...', '', ''),
(4322, 'this is a fake issue...', '', ''),
(4323, 'this is a fake issue...', '', ''),
(4324, 'this is a fake issue...', '', ''),
(4325, 'this is a fake issue...', '', ''),
(4326, 'this is a fake issue...', '', ''),
(4327, 'this is a fake issue...', '', ''),
(4328, 'this is a fake issue...', '', ''),
(4329, 'this is a fake issue...', '', ''),
(4330, 'this is a fake issue...', '', ''),
(4331, 'this is a fake issue...', '', ''),
(4332, 'this is a fake issue...', '', ''),
(4333, 'this is a fake issue...', '', ''),
(4334, 'this is a fake issue...', '', ''),
(4335, 'this is a fake issue...', '', ''),
(4336, 'this is a fake issue...', '', ''),
(4344, 'this is a fake issue...', '', ''),
(4345, 'this is a fake issue...', '', ''),
(4346, 'this is a fake issue...', '', ''),
(4347, 'this is a fake issue...', '', ''),
(4348, 'this is a fake issue...', '', ''),
(4364, 'this is a fake issue...', '', ''),
(4365, 'this is a fake issue...', '', ''),
(4370, 'this is a fake issue...', '', ''),
(4371, 'this is a fake issue...', '', ''),
(4385, 'this is a fake issue...', '', ''),
(4456, 'this is a fake issue...', '', ''),
(4455, 'this is a fake issue...', '', ''),
(4454, 'this is a fake issue...', '', ''),
(4496, 'this is a fake issue...', '', ''),
(4623, 'this is a fake issue...', '', ''),
(4624, 'this is a fake issue...', '', ''),
(4657, 'this is a fake issue...', '', ''),
(4658, 'this is a fake issue...', '', ''),
(4681, 'this is a fake issue...', '', ''),
(4682, 'this is a fake issue...', '', ''),
(4683, 'this is a fake issue...', '', ''),
(4684, 'this is a fake issue...', '', ''),
(4715, 'this is a fake issue...', '', ''),
(4936, 'this is a fake issue...', '', ''),
(4718, 'this is a fake issue...', '', ''),
(4719, 'this is a fake issue...', '', ''),
(4745, 'this is a fake issue...', '', ''),
(4798, 'this is a fake issue...', '', ''),
(4843, 'this is a fake issue...', '', ''),
(4844, 'this is a fake issue...', '', ''),
(4845, 'this is a fake issue...', '', ''),
(4857, '...', '', ''),
(4864, 'this is a fake issue...', '', ''),
(4865, 'this is a fake issue...', '', ''),
(4866, 'this is a fake issue...', '', ''),
(4867, 'this is a fake issue...', '', ''),
(4868, 'this is a fake issue...', '', ''),
(4869, 'this is a fake issue...', '', ''),
(4870, 'this is a fake issue...', '', ''),
(4873, 'this is a fake issue...', '', ''),
(4874, 'this is a fake issue...', '', ''),
(4875, 'this is a fake issue...', '', ''),
(4876, 'this is a fake issue...', '', ''),
(4877, 'this is a fake issue...', '', ''),
(4878, 'this is a fake issue...', '', ''),
(4881, 'this is a fake issue...', '', 'Alban HUERRE <huerre07>, 18/02/2015: nous avons trouvé au moins un endroit contenant de la suppression physique dans le package Oracle IQPAYD02. Ce package réalise des suppressions physiques (DELETE) sur les tables : DRT_PREST, ADRT, INS_ADRT, BENF_I, DEM_NIR_I, INSTANCE. Il est utilisé pour faire sur un dossier un retour à une situation d’assuré aprés tranformation assuré en ayant droit.\r\n \r\nCe package est une piste, il en existe peut-être d\'autre.'),
(4882, 'this is a fake issue...', '', ''),
(4883, 'this is a fake issue...', '', ''),
(4884, 'this is a fake issue...', '', ''),
(4885, 'this is a fake issue...', '', ''),
(4886, 'this is a fake issue...', '', ''),
(4888, 'this is a fake issue...', '', ''),
(4889, 'this is a fake issue...', '', ''),
(4890, 'this is a fake issue...', '', ''),
(4891, 'this is a fake issue...', '', ''),
(4909, 'this is a fake issue...', '', ''),
(4912, 'this is a fake issue...', '', ''),
(4913, 'this is a fake issue...', '', ''),
(4914, 'this is a fake issue...', '', ''),
(4915, 'this is a fake issue...', '', ''),
(4917, 'this is a fake issue...', '', ''),
(4918, 'this is a fake issue...', '', ''),
(4934, 'this is a fake issue...', '', ''),
(4935, 'this is a fake issue...', '', ''),
(4937, 'this is a fake issue...', '', ''),
(4938, 'this is a fake issue...', '', ''),
(4939, 'this is a fake issue...', '', ''),
(4940, 'this is a fake issue...', '', ''),
(4944, 'this is a fake issue...', '', ''),
(4955, 'this is a fake issue...', '', ''),
(4956, 'this is a fake issue...', '', ''),
(4957, 'this is a fake issue...', '', ''),
(4958, 'this is a fake issue...', '', ''),
(4959, 'this is a fake issue...', '', ''),
(4960, 'this is a fake issue...', '', ''),
(4963, 'this is a fake issue...', '', ''),
(4964, 'this is a fake issue...', '', ''),
(4972, 'this is a fake issue...', '', ''),
(4973, 'this is a fake issue...', '', ''),
(4974, 'this is a fake issue...', '', ''),
(4985, 'this is a fake issue...', '', ''),
(4986, 'this is a fake issue...', '', ''),
(4987, 'this is a fake issue...', '', ''),
(4991, 'this is a fake issue...', '', ''),
(5407, 'this is a fake issue...', '', ''),
(5016, 'this is a fake issue...', '', ''),
(5020, 'this is a fake issue...', '', ''),
(5021, 'this is a fake issue...', '', ''),
(5022, 'this is a fake issue...', '', ''),
(5023, 'this is a fake issue...', '', ''),
(5024, 'this is a fake issue...', '', ''),
(5025, 'this is a fake issue...', '', ''),
(5037, 'this is a fake issue...', '', ''),
(5083, 'this is a fake issue...', '', ''),
(5097, 'this is a fake issue...', '', ''),
(5098, 'this is a fake issue...', '', ''),
(5099, 'this is a fake issue...', '', ''),
(5101, 'this is a fake issue...', '', ''),
(5102, 'this is a fake issue...', '', ''),
(5211, 'this is a fake issue...', '', ''),
(5213, 'this is a fake issue...', '', ''),
(5214, 'this is a fake issue...', '', ''),
(5215, 'this is a fake issue...', '', ''),
(5216, 'this is a fake issue...', '', ''),
(5229, 'this is a fake issue...', '', ''),
(5232, 'this is a fake issue...', '', ''),
(5263, 'this is a fake issue...', '', ''),
(5354, 'this is a fake issue...', '', ''),
(5279, 'this is a fake issue...', '', ''),
(5280, 'this is a fake issue...', '', ''),
(5357, 'this is a fake issue...', '', ''),
(5358, 'this is a fake issue...', '', ''),
(5360, 'this is a fake issue...', '', ''),
(5361, 'this is a fake issue...', '', ''),
(5362, 'this is a fake issue...', '', ''),
(5297, 'this is a fake issue...', '', ''),
(5341, 'this is a fake issue...', '', ''),
(5342, 'this is a fake issue...', '', ''),
(5343, 'this is a fake issue...', '', ''),
(5344, 'this is a fake issue...', '', ''),
(5345, 'this is a fake issue...', '', ''),
(5348, 'this is a fake issue...', '', ''),
(5405, 'this is a fake issue...', '', ''),
(5406, 'this is a fake issue...', '', ''),
(5408, 'this is a fake issue...', '', ''),
(5409, 'this is a fake issue...', '', ''),
(5410, 'this is a fake issue...', '', ''),
(5411, 'this is a fake issue...', '', ''),
(5412, 'this is a fake issue...', '', ''),
(5413, 'this is a fake issue...', '', ''),
(5414, 'this is a fake issue...', '', ''),
(5416, 'this is a fake issue...', '', ''),
(5433, 'this is a fake issue...', '', ''),
(5434, 'this is a fake issue...', '', ''),
(5453, 'this is a fake issue...', '', ''),
(5457, 'this is a fake issue...', '', ''),
(5516, 'this is a fake issue...', '', ''),
(5526, 'this is a fake issue...', '', ''),
(5527, 'this is a fake issue...', '', ''),
(5528, 'this is a fake issue...', '', ''),
(5536, 'this is a fake issue...', '', ''),
(5564, 'this is a fake issue...', '', ''),
(5565, 'this is a fake issue...', '', ''),
(5569, 'this is a fake issue...', '', ''),
(5570, 'this is a fake issue...', '', ''),
(5615, 'this is a fake issue...', '', ''),
(5616, 'this is a fake issue...', '', ''),
(5617, 'this is a fake issue...', '', ''),
(5618, 'this is a fake issue...', '', ''),
(5619, 'this is a fake issue...', '', ''),
(5630, 'this is a fake issue...', '', ''),
(5710, 'this is a fake issue...', '', ''),
(5711, 'this is a fake issue...', '', ''),
(5712, 'this is a fake issue...', '', ''),
(5713, 'this is a fake issue...', '', ''),
(5714, 'this is a fake issue...', '', ''),
(5716, 'this is a fake issue...', '', ''),
(5717, 'this is a fake issue...', '', ''),
(5718, 'this is a fake issue...', '', ''),
(5719, 'this is a fake issue...', '', ''),
(5720, 'this is a fake issue...', '', ''),
(5721, 'this is a fake issue...', '', ''),
(5722, 'this is a fake issue...', '', ''),
(5723, 'this is a fake issue...', '', ''),
(5724, 'this is a fake issue...', '', ''),
(5726, 'this is a fake issue...', '', ''),
(5727, 'this is a fake issue...', '', ''),
(5728, 'this is a fake issue...', '', ''),
(5729, 'this is a fake issue...', '', ''),
(5730, 'this is a fake issue...', '', ''),
(6021, 'this is a fake issue...', '', ''),
(6022, 'this is a fake issue...', '', ''),
(6036, 'this is a fake issue...', '', ''),
(6058, 'this is a fake issue...', '', ''),
(6059, 'this is a fake issue...', '', ''),
(6066, 'this is a fake issue...', '', ''),
(6067, 'this is a fake issue...', '', ''),
(6131, 'this is a fake issue...', '', ''),
(6132, 'this is a fake issue...', '', ''),
(6133, 'this is a fake issue...', '', ''),
(6134, 'this is a fake issue...', '', ''),
(6135, 'this is a fake issue...', '', ''),
(6136, 'this is a fake issue...', '', ''),
(6137, 'this is a fake issue...', '', ''),
(6138, 'this is a fake issue...', '', ''),
(6139, 'this is a fake issue...', '', ''),
(6140, 'this is a fake issue...', '', ''),
(6141, 'this is a fake issue...', '', ''),
(6153, 'this is a fake issue...', '', ''),
(6154, 'this is a fake issue...', '', ''),
(6179, 'this is a fake issue...', '', ''),
(6180, 'this is a fake issue...', '', ''),
(6185, 'this is a fake issue...', '', ''),
(6187, 'this is a fake issue...', '', ''),
(6188, 'this is a fake issue...', '', ''),
(6189, 'this is a fake issue...', '', ''),
(6190, 'this is a fake issue...', '', ''),
(6197, 'this is a fake issue...', '', ''),
(6198, 'this is a fake issue...', '', ''),
(6210, 'this is a fake issue...', '', ''),
(6256, 'this is a fake issue...', '', ''),
(6257, 'this is a fake issue...', '', ''),
(6258, 'this is a fake issue...', '', ''),
(6271, 'this is a fake issue...', '', ''),
(6272, 'this is a fake issue...', '', ''),
(6273, 'this is a fake issue...', '', ''),
(6274, 'this is a fake issue...', '', ''),
(6275, 'this is a fake issue...', '', ''),
(6618, 'this is a fake issue...', '', ''),
(6284, 'this is a fake issue...', '', ''),
(6285, 'this is a fake issue...', '', ''),
(6286, 'this is a fake issue...', '', ''),
(6294, 'this is a fake issue...', '', ''),
(6295, 'this is a fake issue...', '', ''),
(6296, 'this is a fake issue...', '', ''),
(6297, 'this is a fake issue...', '', ''),
(6298, 'this is a fake issue...', '', ''),
(6299, 'this is a fake issue...', '', ''),
(6301, 'this is a fake issue...', '', ''),
(6305, 'this is a fake issue...', '', ''),
(6306, 'this is a fake issue...', '', ''),
(6569, 'this is a fake issue...', '', ''),
(6477, 'this is a fake issue...', '', ''),
(6482, 'this is a fake issue...', '', ''),
(6486, 'this is a fake issue...', '', ''),
(6490, 'this is a fake issue...', '', ''),
(6491, 'this is a fake issue...', '', ''),
(6494, 'this is a fake issue...', '', ''),
(6495, 'this is a fake issue...', '', ''),
(6496, 'this is a fake issue...', '', ''),
(6497, 'this is a fake issue...', '', ''),
(6617, 'this is a fake issue...', '', ''),
(6516, 'this is a fake issue...', '', ''),
(6517, 'this is a fake issue...', '', ''),
(6539, 'this is a fake issue...', '', ''),
(6566, 'this is a fake issue...', '', ''),
(6568, 'this is a fake issue...', '', ''),
(6615, 'this is a fake issue...', '', ''),
(6636, 'this is a fake issue...', '', ''),
(6640, 'this is a fake issue...', '', ''),
(6656, 'this is a fake issue...', '', ''),
(6662, 'this is a fake issue...', '', ''),
(6720, 'this is a fake issue...', '', ''),
(6723, 'this is a fake issue...', '', ''),
(6725, 'this is a fake issue...', '', ''),
(6741, 'this is a fake issue...', '', ''),
(6742, 'this is a fake issue...', '', ''),
(6743, 'this is a fake issue...', '', ''),
(6744, 'this is a fake issue...', '', ''),
(6745, 'this is a fake issue...', '', ''),
(6746, 'this is a fake issue...', '', ''),
(6747, 'this is a fake issue...', '', ''),
(6748, 'this is a fake issue...', '', ''),
(6749, 'this is a fake issue...', '', ''),
(6772, 'this is a fake issue...', '', ''),
(6826, 'this is a fake issue...', '', ''),
(8711, 'this is a fake issue...', '', ''),
(8712, 'this is a fake issue...', '', ''),
(8713, 'this is a fake issue...', '', ''),
(6927, 'this is a fake issue...', '', ''),
(6928, 'this is a fake issue...', '', ''),
(6929, 'this is a fake issue...', '', ''),
(6930, 'this is a fake issue...', '', ''),
(6931, 'this is a fake issue...', '', ''),
(6932, 'this is a fake issue...', '', ''),
(6949, 'this is a fake issue...', '', ''),
(6965, 'this is a fake issue...', '', ''),
(6967, 'this is a fake issue...', '', ''),
(6968, 'this is a fake issue...', '', ''),
(6969, 'this is a fake issue...', '', ''),
(6970, 'this is a fake issue...', '', ''),
(7005, 'this is a fake issue...', '', ''),
(7008, 'this is a fake issue...', '', ''),
(7020, 'this is a fake issue...', '', ''),
(7021, 'this is a fake issue...', '', ''),
(7067, 'this is a fake issue...', '', ''),
(7068, 'this is a fake issue...', '', ''),
(7069, 'this is a fake issue...', '', ''),
(7070, 'this is a fake issue...', '', ''),
(7071, 'this is a fake issue...', '', ''),
(7072, 'this is a fake issue...', '', ''),
(7109, 'this is a fake issue...', '', ''),
(7110, 'this is a fake issue...', '', ''),
(7111, 'this is a fake issue...', '', ''),
(7112, 'this is a fake issue...', '', ''),
(7113, 'this is a fake issue...', '', ''),
(7114, 'this is a fake issue...', '', ''),
(7115, 'this is a fake issue...', '', ''),
(7116, 'this is a fake issue...', '', ''),
(7117, 'this is a fake issue...', '', ''),
(7118, 'this is a fake issue...', '', ''),
(7120, 'this is a fake issue...', '', ''),
(7121, 'this is a fake issue...', '', ''),
(7133, 'this is a fake issue...', '', ''),
(7278, 'this is a fake issue...', '', ''),
(7148, 'this is a fake issue...', '', ''),
(8454, 'this is a fake issue...', '', ''),
(7191, 'this is a fake issue...', '', ''),
(7192, 'this is a fake issue...', '', ''),
(7193, 'this is a fake issue...', '', ''),
(7194, 'this is a fake issue...', '', ''),
(7195, 'this is a fake issue...', '', ''),
(8840, 'this is a fake issue...', '', ''),
(8842, 'this is a fake issue...', '', ''),
(7242, 'this is a fake issue...', '', ''),
(7243, 'this is a fake issue...', '', 'Specs à faire par martine, devt par  bertrand'),
(8838, 'this is a fake issue...', '', ''),
(8839, 'this is a fake issue...', '', ''),
(7369, 'this is a fake issue...', '', ''),
(7377, 'this is a fake issue...', '', ''),
(7378, 'this is a fake issue...', '', ''),
(7379, 'this is a fake issue...', '', ''),
(7380, 'this is a fake issue...', '', ''),
(7381, 'this is a fake issue...', '', ''),
(7391, 'this is a fake issue...', '', ''),
(7392, 'this is a fake issue...', '', ''),
(7393, 'this is a fake issue...', '', ''),
(7394, 'this is a fake issue...', '', ''),
(7395, 'this is a fake issue...', '', ''),
(7406, 'this is a fake issue...', '', ''),
(7407, 'this is a fake issue...', '', ''),
(7408, 'this is a fake issue...', '', ''),
(7409, 'this is a fake issue...', '', ''),
(7418, 'this is a fake issue...', '', ''),
(7419, 'this is a fake issue...', '', ''),
(7420, 'this is a fake issue...', '', ''),
(7421, 'this is a fake issue...', '', ''),
(7422, 'this is a fake issue...', '', ''),
(7423, 'this is a fake issue...', '', ''),
(7424, 'this is a fake issue...', '', ''),
(7425, 'this is a fake issue...', '', ''),
(7427, 'this is a fake issue...', '', ''),
(7428, 'this is a fake issue...', '', ''),
(7429, 'this is a fake issue...', '', ''),
(7430, 'this is a fake issue...', '', ''),
(7486, 'this is a fake issue...', '', ''),
(7495, 'this is a fake issue...', '', ''),
(7496, 'this is a fake issue...', '', ''),
(7498, 'this is a fake issue...', '', ''),
(7797, 'this is a fake issue...', '', ''),
(7556, 'this is a fake issue...', '', ''),
(7557, 'this is a fake issue...', '', ''),
(7558, 'this is a fake issue...', '', ''),
(7626, 'this is a fake issue...', '', ''),
(7629, 'this is a fake issue...', '', ''),
(7630, 'this is a fake issue...', '', ''),
(8300, 'this is a fake issue...', '', ''),
(8297, 'this is a fake issue...', '', ''),
(8299, 'this is a fake issue...', '', ''),
(7641, 'this is a fake issue...', '', ''),
(7642, 'this is a fake issue...', '', ''),
(7643, 'this is a fake issue...', '', ''),
(7644, 'this is a fake issue...', '', ''),
(7645, 'this is a fake issue...', '', ''),
(7653, 'this is a fake issue...', '', ''),
(7654, 'this is a fake issue...', '', ''),
(7655, 'this is a fake issue...', '', ''),
(7656, 'this is a fake issue...', '', ''),
(7657, 'this is a fake issue...', '', ''),
(8075, 'this is a fake issue...', '', ''),
(7659, 'this is a fake issue...', '', ''),
(7660, 'this is a fake issue...', '', ''),
(7661, 'this is a fake issue...', '', ''),
(7702, 'this is a fake issue...', '', ''),
(7703, 'this is a fake issue...', '', ''),
(7704, 'this is a fake issue...', '', ''),
(7707, 'this is a fake issue...', '', ''),
(7708, 'this is a fake issue...', '', ''),
(8844, 'this is a fake issue...', '', ''),
(8845, 'this is a fake issue...', '', ''),
(8846, 'this is a fake issue...', '', ''),
(7754, 'this is a fake issue...', '', ''),
(7794, 'this is a fake issue...', '', ''),
(7795, 'this is a fake issue...', '', ''),
(7796, 'this is a fake issue...', '', ''),
(7798, 'this is a fake issue...', '', ''),
(7813, 'this is a fake issue...', '', ''),
(7814, 'this is a fake issue...', '', ''),
(7893, 'this is a fake issue...', '', ''),
(7894, 'this is a fake issue...', '', ''),
(12185, 'this is a fake issue...', '', ''),
(7896, 'this is a fake issue...', '', ''),
(7897, 'this is a fake issue...', '', ''),
(7899, 'this is a fake issue...', '', ''),
(7900, 'this is a fake issue...', '', ''),
(7901, 'this is a fake issue...', '', ''),
(7902, 'this is a fake issue...', '', ''),
(8062, 'this is a fake issue...', '', ''),
(7985, 'this is a fake issue...', '', ''),
(8041, 'this is a fake issue...', '', ''),
(8060, 'this is a fake issue...', '', ''),
(8063, 'this is a fake issue...', '', ''),
(8064, 'this is a fake issue...', '', ''),
(8065, 'this is a fake issue...', '', ''),
(8066, 'this is a fake issue...', '', ''),
(8067, 'this is a fake issue...', '', ''),
(8076, 'this is a fake issue...', '', ''),
(8072, 'this is a fake issue...', '', ''),
(8073, 'this is a fake issue...', '', ''),
(8074, 'this is a fake issue...', '', ''),
(8085, 'this is a fake issue...', '', ''),
(8086, 'this is a fake issue...', '', ''),
(8087, 'this is a fake issue...', '', ''),
(8095, 'this is a fake issue...', '', ''),
(8131, 'this is a fake issue...', '', ''),
(8132, 'this is a fake issue...', '', ''),
(8133, 'this is a fake issue...', '', ''),
(8298, 'this is a fake issue...', '', ''),
(8144, 'this is a fake issue...', '', ''),
(8145, 'this is a fake issue...', '', ''),
(8146, 'this is a fake issue...', '', ''),
(8147, 'this is a fake issue...', '', ''),
(8148, 'this is a fake issue...', '', ''),
(8149, 'this is a fake issue...', '', ''),
(8150, 'this is a fake issue...', '', ''),
(8151, 'this is a fake issue...', '', ''),
(8152, 'this is a fake issue...', '', ''),
(8153, 'this is a fake issue...', '', ''),
(8154, 'this is a fake issue...', '', ''),
(8155, 'this is a fake issue...', '', ''),
(8171, 'this is a fake issue...', '', ''),
(8176, 'this is a fake issue...', '', 'Sert de support à l\'analyse des autres defect\r\n41926,41946,41958,..'),
(8178, 'this is a fake issue...', '', ''),
(8179, 'this is a fake issue...', '', ''),
(8180, 'this is a fake issue...', '', ''),
(8181, 'this is a fake issue...', '', ''),
(8289, 'this is a fake issue...', '', ''),
(8290, 'this is a fake issue...', '', ''),
(8291, 'this is a fake issue...', '', ''),
(8292, 'this is a fake issue...', '', ''),
(8301, 'this is a fake issue...', '', ''),
(8302, 'this is a fake issue...', '', ''),
(8303, 'this is a fake issue...', '', ''),
(8304, 'this is a fake issue...', '', ''),
(8305, 'this is a fake issue...', '', ''),
(8327, 'this is a fake issue...', '', ''),
(8342, 'this is a fake issue...', '', ''),
(8343, 'this is a fake issue...', '', ''),
(8344, 'this is a fake issue...', '', 'Annulé car PUMA ne gere plus ce genre de population'),
(8361, 'this is a fake issue...', '', ''),
(8362, 'this is a fake issue...', '', ''),
(8363, 'this is a fake issue...', '', ''),
(8364, 'this is a fake issue...', '', ''),
(8382, 'this is a fake issue...', '', ''),
(8386, 'this is a fake issue...', '', ''),
(8387, 'this is a fake issue...', '', ''),
(8388, 'this is a fake issue...', '', ''),
(8389, 'this is a fake issue...', '', ''),
(8390, 'this is a fake issue...', '', ''),
(8395, 'this is a fake issue...', '', ''),
(8403, 'this is a fake issue...', '', ''),
(8404, 'this is a fake issue...', '', ''),
(8405, 'this is a fake issue...', '', ''),
(8406, 'this is a fake issue...', '', ''),
(8407, 'this is a fake issue...', '', ''),
(8450, 'this is a fake issue...', '', ''),
(8857, 'this is a fake issue...', '', ''),
(8551, 'this is a fake issue...', '', ' \r\nBrice MICHEL <mbc>, 04/12/2015: Actions TMA : Analyse des nouveaux besoin, macro planning livraison SFD et recette\r\n\r\n________________________________________\r\nAlain TASSOTTI <s_tassoti>, 13/01/2016: \r\n\r\n________________________________________\r\nLECUNFF Sylvie <syl>, 15/01/2016: Defect pour suivi des devis, le defect de référence des spec et de la liv  reste le D. 3154'),
(8552, 'this is a fake issue...', '', ''),
(8554, 'this is a fake issue...', '', ''),
(8557, 'this is a fake issue...', '', ''),
(8558, 'this is a fake issue...', '', ''),
(8559, 'this is a fake issue...', '', ''),
(8560, 'this is a fake issue...', '', ''),
(8627, 'this is a fake issue...', '', ''),
(8562, 'this is a fake issue...', '', ''),
(8563, 'this is a fake issue...', '', ''),
(8620, 'this is a fake issue...', '', ''),
(8621, 'this is a fake issue...', '', ''),
(8669, 'this is a fake issue...', '', ''),
(8642, 'this is a fake issue...', '', ''),
(8643, 'this is a fake issue...', '', ''),
(8793, 'this is a fake issue...', '', ''),
(8794, 'this is a fake issue...', '', ''),
(8795, 'this is a fake issue...', '', ''),
(8796, 'this is a fake issue...', '', ''),
(8797, 'this is a fake issue...', '', ''),
(8798, 'this is a fake issue...', '', ''),
(8799, 'this is a fake issue...', '', ''),
(8800, 'this is a fake issue...', '', ''),
(8801, 'this is a fake issue...', '', ''),
(8802, 'this is a fake issue...', '', ''),
(8804, 'this is a fake issue...', '', ''),
(8806, 'this is a fake issue...', '', ''),
(8811, 'this is a fake issue...', '', ''),
(8819, 'this is a fake issue...', '', ''),
(8834, 'this is a fake issue...', '', ''),
(8835, 'this is a fake issue...', '', ''),
(8836, 'this is a fake issue...', '', ''),
(8837, 'this is a fake issue...', '', ''),
(8858, 'this is a fake issue...', '', ''),
(8859, 'this is a fake issue...', '', ''),
(8930, 'this is a fake issue...', '', ''),
(8903, 'this is a fake issue...', '', ''),
(8904, 'this is a fake issue...', '', ''),
(8905, 'this is a fake issue...', '', ''),
(8925, 'this is a fake issue...', '', ''),
(8926, 'this is a fake issue...', '', ''),
(8927, 'this is a fake issue...', '', ''),
(8928, 'this is a fake issue...', '', ''),
(8929, 'this is a fake issue...', '', ''),
(8940, 'this is a fake issue...', '', ''),
(8941, 'this is a fake issue...', '', ''),
(8942, 'this is a fake issue...', '', ''),
(8949, 'this is a fake issue...', '', ''),
(8950, 'this is a fake issue...', '', ''),
(8951, 'this is a fake issue...', '', ''),
(10332, 'this is a fake issue...', '', ''),
(10333, 'this is a fake issue...', '', ''),
(19200, 'this is a fake issue...', '..', '..'),
(9025, 'this is a fake issue...', '', ''),
(9026, 'this is a fake issue...', '', ''),
(9070, 'this is a fake issue...', '', ''),
(9071, 'this is a fake issue...', '', ''),
(9072, 'this is a fake issue...', '', ''),
(9098, 'this is a fake issue...', '', ''),
(9099, 'this is a fake issue...', '', ''),
(9102, 'this is a fake issue...', '', ''),
(9103, 'this is a fake issue...', '', ''),
(9201, 'this is a fake issue...', '', ''),
(9202, 'this is a fake issue...', '', ''),
(9236, 'this is a fake issue...', '', ''),
(9241, 'this is a fake issue...', '', ''),
(9279, 'this is a fake issue...', '', ''),
(9303, 'this is a fake issue...', '', ''),
(9304, 'this is a fake issue...', '', ''),
(9305, 'this is a fake issue...', '', ''),
(9306, 'this is a fake issue...', '', ''),
(9307, 'this is a fake issue...', '', ''),
(9308, 'this is a fake issue...', '', ''),
(9309, 'this is a fake issue...', '', ''),
(9310, 'this is a fake issue...', '', ''),
(9311, 'this is a fake issue...', '', ''),
(9318, 'this is a fake issue...', '', ''),
(9320, 'this is a fake issue...', '', ''),
(9343, 'this is a fake issue...', '', ''),
(9344, 'this is a fake issue...', '', ''),
(9408, '...', '', ''),
(9409, '...', '', ''),
(9410, '...', '', ''),
(9447, 'this is a fake issue...', '', ''),
(9448, 'this is a fake issue...', '', ''),
(9454, 'this is a fake issue...', '', ''),
(9455, 'this is a fake issue...', '', ''),
(9459, 'this is a fake issue...', '', ''),
(9460, 'this is a fake issue...', '', ''),
(9462, 'this is a fake issue...', '', ''),
(9463, 'this is a fake issue...', '', ''),
(9464, 'this is a fake issue...', '', ''),
(9465, 'this is a fake issue...', '', ''),
(9466, 'this is a fake issue...', '', ''),
(9467, 'this is a fake issue...', '', ''),
(9468, 'this is a fake issue...', '', ''),
(9469, 'this is a fake issue...', '', ''),
(9470, 'this is a fake issue...', '', ''),
(9471, 'this is a fake issue...', '', ''),
(9472, 'this is a fake issue...', '', ''),
(9473, 'this is a fake issue...', '', ''),
(9474, 'this is a fake issue...', '', ''),
(9475, 'this is a fake issue...', '', ''),
(9477, 'this is a fake issue...', '', ''),
(9480, 'this is a fake issue...', '', ''),
(9481, 'this is a fake issue...', '', ''),
(9482, 'this is a fake issue...', '', ''),
(9496, 'this is a fake issue...', '', ''),
(9497, 'this is a fake issue...', '', ''),
(9498, 'this is a fake issue...', '', ''),
(9499, 'this is a fake issue...', '', ''),
(9513, 'this is a fake issue...', '', ''),
(9514, 'this is a fake issue...', '', ''),
(9515, 'this is a fake issue...', '', ''),
(9516, 'this is a fake issue...', '', ''),
(9517, 'this is a fake issue...', '', ''),
(9518, 'this is a fake issue...', '', ''),
(9519, 'this is a fake issue...', '', ''),
(9566, 'this is a fake issue...', '', ''),
(9575, 'this is a fake issue...', '', ''),
(9577, 'this is a fake issue...', '', ''),
(9604, 'this is a fake issue...', '', ''),
(9631, 'this is a fake issue...', '', ''),
(9633, 'this is a fake issue...', '', ''),
(9634, 'this is a fake issue...', '', ''),
(9635, 'this is a fake issue...', '', ''),
(9636, 'this is a fake issue...', '', ''),
(9637, 'this is a fake issue...', '', ''),
(9638, 'this is a fake issue...', '', ''),
(9646, 'this is a fake issue...', '', ''),
(9647, 'this is a fake issue...', '', ''),
(9649, ' La Documentation de référence doit être mise à disposition du RSI pour cette nouvelle version.\r\n\r\nLe répertoire (accessible via les VM) est le suivant:\r\n\\\\S69017027\\trv$\\TMA-SARA\\01 - TMA SARA\\3 - Production\\3B - TAIGA\\3B1 - Doc de référence \r\n\r\n	1) La doc doit être générée avec les outils \'de Mathieu\'  renameDocWithVersion.pl (voir <<lien>>)\r\n	- Ouvrir Git Bash dans C:\\RSI\\Taiga\\InternalTools\r\n	- cmd //C renameDocWithVersion.pl\r\n\r\n	- faire un zip des documents\r\n	La doc est générée dans:  C:\\RSI\\DOC_EXTRACT_master\r\n	\r\n	1) Sur le serveur RSI, mettre à jour le fichier DOC_TAIGA_HISTORIQUE.txt\r\n	\r\n	2) supprimer les documents du serveur\r\n	attention, il existe des dossiers qui ne sont pas dans git et qui ne doivent pas être écrasés.\r\n	(3B14, 3B16, 3B17)\r\n	\r\n	3) dé-zipper les documents du serveur\r\n', '', ''),
(9673, 'this is a fake issue...', '', ''),
(9674, 'this is a fake issue...', '', ''),
(9675, 'this is a fake issue...', '', ''),
(9677, 'this is a fake issue...', '', ''),
(9678, 'this is a fake issue...', '', ''),
(9686, 'this is a fake issue...', '', ''),
(9687, 'this is a fake issue...', '', ''),
(9688, 'this is a fake issue...', '', ''),
(9769, 'this is a fake issue...', '', ''),
(9892, 'this is a fake issue...', '', ''),
(9893, 'this is a fake issue...', '', ''),
(9894, 'this is a fake issue...', '', ''),
(10078, 'this is a fake issue...', '', ''),
(10639, 'this is a fake issue...', '', ''),
(9946, 'this is a fake issue...', '', ''),
(9954, 'this is a fake issue...', '', ''),
(19047, 'this is a fake issue...', '', ''),
(10021, 'this is a fake issue...', '', ''),
(10043, 'this is a fake issue...', '', ''),
(10044, 'this is a fake issue...', '', ''),
(10045, 'this is a fake issue...', '', ''),
(10046, 'this is a fake issue...', '', ''),
(10047, 'this is a fake issue...', '', ''),
(10048, 'this is a fake issue...', '', ''),
(10049, 'this is a fake issue...', '', ''),
(10052, 'this is a fake issue...', '', ''),
(10089, 'this is a fake issue...', ' ', ' '),
(10090, 'this is a fake issue...', '', ''),
(10091, 'this is a fake issue...', '', ''),
(10092, 'this is a fake issue...', '', ''),
(10096, 'this is a fake issue...', '', ''),
(10139, 'this is a fake issue...', '', ''),
(10140, 'this is a fake issue...', '', ''),
(10141, 'this is a fake issue...', '', ''),
(10142, 'this is a fake issue...', '', ''),
(10169, 'this is a fake issue...', '', ''),
(10168, 'this is a fake issue...', '', ''),
(10147, 'this is a fake issue...', '', ''),
(10148, 'this is a fake issue...', '', ''),
(10149, 'this is a fake issue...', '', ''),
(10150, 'this is a fake issue...', '', ''),
(10151, 'this is a fake issue...', '', ''),
(10156, 'this is a fake issue...', '', ''),
(10157, 'this is a fake issue...', '', ''),
(10195, 'this is a fake issue...', '', ''),
(10196, 'this is a fake issue...', '', ''),
(10197, 'this is a fake issue...', '', ''),
(10198, 'this is a fake issue...', '', ''),
(11117, 'this is a fake issue...', '', ''),
(11119, 'this is a fake issue...', '', ''),
(11114, 'this is a fake issue...', '', ''),
(11115, 'this is a fake issue...', '', ''),
(11035, 'this is a fake issue...', '', ''),
(10238, 'this is a fake issue...', '', ''),
(10239, 'this is a fake issue...', '', ''),
(10251, 'this is a fake issue...', '', ''),
(10283, 'this is a fake issue...', '', ''),
(10293, 'this is a fake issue...', '', ''),
(10362, 'this is a fake issue...', '', ''),
(13230, 'this is a fake issue...', '', ''),
(10369, 'this is a fake issue...', '', ''),
(10393, 'this is a fake issue...', '', ''),
(10394, 'this is a fake issue...', '', ''),
(10395, 'this is a fake issue...', '', ''),
(10396, 'this is a fake issue...', '', ''),
(10397, 'this is a fake issue...', '', ''),
(10398, 'this is a fake issue...', '', ''),
(10399, 'this is a fake issue...', '', ''),
(10400, 'this is a fake issue...', '', ''),
(10401, 'this is a fake issue...', '', ''),
(10402, 'this is a fake issue...', '', ''),
(10403, 'this is a fake issue...', '', ''),
(10404, 'this is a fake issue...', '', ''),
(10418, 'this is a fake issue...', '', ''),
(10409, 'this is a fake issue...', '', ''),
(10416, 'this is a fake issue...', '', ''),
(10417, 'this is a fake issue...', '', ''),
(10425, '...', '', ''),
(10426, 'this is a fake issue...', '', ''),
(10427, 'this is a fake issue...', '', ''),
(10428, 'this is a fake issue...', '', ''),
(10429, 'this is a fake issue...', '', ''),
(10430, 'this is a fake issue...', '', ''),
(10440, 'this is a fake issue...', '', ''),
(10491, 'this is a fake issue...', '', ''),
(10492, 'this is a fake issue...', '', ''),
(10601, 'this is a fake issue...', '', ''),
(10614, 'this is a fake issue...', '', ''),
(10620, 'this is a fake issue...', '', ''),
(10624, 'this is a fake issue...', '', ''),
(10625, 'this is a fake issue...', '', ''),
(10626, 'this is a fake issue...', '', ''),
(10628, 'this is a fake issue...', '', ''),
(10654, 'this is a fake issue...', '', ''),
(10662, 'this is a fake issue...', '', ''),
(12848, 'this is a fake issue...', '', ''),
(10740, 'this is a fake issue...', '', ''),
(10748, 'this is a fake issue...', '', ''),
(10749, 'this is a fake issue...', '', ''),
(10741, 'this is a fake issue...', '', ''),
(10743, 'this is a fake issue...', '', ''),
(10744, 'this is a fake issue...', '', ''),
(10745, 'this is a fake issue...', '', ''),
(10746, 'this is a fake issue...', '', ''),
(10747, 'this is a fake issue...', '', '- Charge manager à partir du devis V1.0 de 23 PF'),
(10752, 'this is a fake issue...', '', ''),
(10773, 'this is a fake issue...', '', ''),
(10788, 'this is a fake issue...', '', ''),
(10789, 'this is a fake issue...', '', ''),
(10792, 'this is a fake issue...', '', ''),
(10793, 'this is a fake issue...', '', ''),
(10794, 'this is a fake issue...', '', ''),
(10861, 'Gerald, Nabil, ...', '', ''),
(10872, 'this is a fake issue...', '', ''),
(10873, 'this is a fake issue...', '', ''),
(10874, 'this is a fake issue...', '', ''),
(10875, 'this is a fake issue...', '', ''),
(10876, 'this is a fake issue...', '', ''),
(10898, 'this is a fake issue...', '', ''),
(10899, 'this is a fake issue...', '', ''),
(10900, 'this is a fake issue...', '', ''),
(10935, 'this is a fake issue...', '', ''),
(10955, 'this is a fake issue...', '', ''),
(10998, 'this is a fake issue...', '', ''),
(11010, 'this is a fake issue...', '', ''),
(11022, 'this is a fake issue...', '', ''),
(11023, 'this is a fake issue...', '', ''),
(11135, 'this is a fake issue...', '', ''),
(11136, 'this is a fake issue...', '', ''),
(11181, 'this is a fake issue...', '', ''),
(12154, 'this is a fake issue...', '', ''),
(12117, 'this is a fake issue...', '', ''),
(12115, 'this is a fake issue...', '', ''),
(12114, 'this is a fake issue...', '', ''),
(12112, 'this is a fake issue...', '', ''),
(11664, 'this is a fake issue...', '', ''),
(11667, 'this is a fake issue...', '', ''),
(12157, 'this is a fake issue...', '', ''),
(12158, 'this is a fake issue...', '', ''),
(12159, 'this is a fake issue...', '', ''),
(12156, 'this is a fake issue...', '', ''),
(12140, 'this is a fake issue...', '', ''),
(12155, 'this is a fake issue...', '', ''),
(12160, 'this is a fake issue...', '', ''),
(11978, 'this is a fake issue...', '', ''),
(12116, 'this is a fake issue...', '', ''),
(12060, 'this is a fake issue...', '', ''),
(12061, 'this is a fake issue...', '', ''),
(12062, 'this is a fake issue...', '', ''),
(12063, 'this is a fake issue...', '', ''),
(12064, 'this is a fake issue...', '', ''),
(12113, 'this is a fake issue...', '', ''),
(12100, 'this is a fake issue...', '', ''),
(13545, 'this is a fake issue...', '', ''),
(12161, 'this is a fake issue...', '', ''),
(12162, 'this is a fake issue...', '', ''),
(12163, 'this is a fake issue...', '', ''),
(12164, 'this is a fake issue...', '', ''),
(12166, 'this is a fake issue...', '', ''),
(12167, 'this is a fake issue...', '', ''),
(12182, '...', '', ''),
(12184, 'this is a fake issue...', '', ''),
(12186, 'this is a fake issue...', '', ''),
(12189, 'this is a fake issue...', '', ''),
(12199, 'this is a fake issue...', '', ''),
(12200, 'this is a fake issue...', '', ''),
(12202, 'this is a fake issue...', '', ''),
(12793, 'this is a fake issue...', '', ''),
(12255, 'this is a fake issue...', '', ''),
(12256, 'this is a fake issue...', '', ''),
(12801, 'this is a fake issue...', '', ''),
(12287, 'this is a fake issue...', '', ''),
(12288, 'this is a fake issue...', '', ''),
(12290, 'this is a fake issue...', '', ''),
(12291, 'this is a fake issue...', '', ''),
(12292, 'this is a fake issue...', '', ''),
(12293, 'this is a fake issue...', '', ''),
(12305, 'this is a fake issue...', '', ''),
(12306, 'this is a fake issue...', '', ''),
(12307, 'this is a fake issue...', '', ''),
(12308, 'this is a fake issue...', '', ''),
(12309, 'this is a fake issue...', '', ''),
(12310, 'this is a fake issue...', '', ''),
(12311, 'this is a fake issue...', '', ''),
(12312, 'this is a fake issue...', '', ''),
(12314, 'this is a fake issue...', '', ''),
(12315, 'this is a fake issue...', '', ''),
(12316, 'this is a fake issue...', '', ''),
(12317, 'this is a fake issue...', '', ''),
(12318, 'this is a fake issue...', '', ''),
(12319, 'this is a fake issue...', '', ''),
(12320, 'this is a fake issue...', '', ''),
(12321, 'this is a fake issue...', '', ''),
(12322, 'this is a fake issue...', '', ''),
(12323, 'this is a fake issue...', '', ''),
(12324, 'this is a fake issue...', '', ''),
(12326, 'this is a fake issue...', '', ''),
(12327, 'this is a fake issue...', '', ''),
(12328, 'this is a fake issue...', '', ''),
(12329, 'this is a fake issue...', '', ''),
(12330, 'this is a fake issue...', '', ''),
(12331, 'this is a fake issue...', '', ''),
(12333, 'this is a fake issue...', '', ''),
(12334, 'this is a fake issue...', '', ''),
(12468, 'this is a fake issue...', '', ''),
(12469, 'this is a fake issue...', '', ''),
(12470, 'this is a fake issue...', '', ''),
(12657, 'this is a fake issue...', '', ''),
(12660, 'this is a fake issue...', '', ''),
(12689, 'this is a fake issue...', '', ''),
(12690, 'this is a fake issue...', '', ''),
(12691, 'this is a fake issue...', '', ''),
(12692, 'this is a fake issue...', '', ''),
(12741, 'this is a fake issue...', '', ''),
(12742, 'this is a fake issue...', '', ''),
(12784, 'this is a fake issue...', '', ''),
(12785, 'this is a fake issue...', '', ''),
(12786, 'this is a fake issue...', '', ''),
(12794, 'this is a fake issue...', '', ''),
(12800, 'this is a fake issue...', '', ''),
(12820, 'this is a fake issue...', '', ''),
(12823, 'this is a fake issue...', '', ''),
(13001, 'this is a fake issue...', '', ''),
(12845, 'this is a fake issue...', '', ''),
(12846, 'this is a fake issue...', '', ''),
(12847, 'this is a fake issue...', '', ''),
(13004, 'this is a fake issue...', '', ''),
(13005, 'this is a fake issue...', '', ''),
(12871, 'this is a fake issue...', '', ''),
(12872, 'this is a fake issue...', '', ''),
(12941, 'this is a fake issue...', '', ''),
(12965, 'this is a fake issue...', '', ''),
(12966, 'this is a fake issue...', '', ''),
(13002, 'this is a fake issue...', '', ''),
(13003, 'this is a fake issue...', '', ''),
(13011, 'this is a fake issue...', '', ''),
(13253, 'this is a fake issue...', '', ''),
(13254, 'this is a fake issue...', '', ''),
(13255, 'this is a fake issue...', '', ''),
(13256, 'this is a fake issue...', '', ''),
(13257, 'this is a fake issue...', '', ''),
(13258, 'this is a fake issue...', '', ''),
(13047, 'this is a fake issue...', '', ''),
(13232, 'this is a fake issue...', '', ''),
(13251, 'this is a fake issue...', '', ''),
(13259, 'this is a fake issue...', '', ''),
(13260, 'this is a fake issue...', '', ''),
(13261, 'this is a fake issue...', '', ''),
(13297, 'this is a fake issue...', '', ''),
(13345, 'this is a fake issue...', '', ''),
(13352, 'this is a fake issue...', '', ''),
(13365, 'this is a fake issue...', '', ''),
(13373, 'this is a fake issue...', '', ''),
(13544, 'this is a fake issue...', '', ''),
(13546, 'this is a fake issue...', '', ''),
(13547, 'this is a fake issue...', '', ''),
(13548, 'this is a fake issue...', '', ''),
(13562, 'this is a fake issue...', '', ''),
(13592, 'this is a fake issue...', '', ''),
(13595, 'this is a fake issue...', '', ''),
(13625, 'this is a fake issue...', '', '3 au titre du 4321  2 au titre du 4318  2 au titre de 4258'),
(13627, 'this is a fake issue...', '', ''),
(13628, 'this is a fake issue...', '', 'attention à la charge si une partie doit etre affecte à BDU pour le WS pour l\'instant on met tout dans cette tache'),
(13629, 'this is a fake issue...', '', ''),
(13630, 'this is a fake issue...', '', ''),
(13631, 'this is a fake issue...', '', ''),
(13679, 'this is a fake issue...', '', ''),
(13681, 'this is a fake issue...', '', ''),
(14017, 'this is a fake issue...', '', ''),
(13689, 'this is a fake issue...', '', ''),
(13690, 'this is a fake issue...', '', ''),
(13691, 'this is a fake issue...', '', ''),
(13701, 'this is a fake issue...', '', ''),
(13773, 'this is a fake issue...', '', ''),
(13777, 'this is a fake issue...', '', ''),
(13778, 'this is a fake issue...', '', ''),
(13786, 'this is a fake issue...', '', ''),
(13787, 'this is a fake issue...', '', ''),
(13788, 'this is a fake issue...', '', ''),
(13789, 'this is a fake issue...', '', ''),
(13790, 'this is a fake issue...', '', ''),
(13791, 'this is a fake issue...', '', ''),
(13792, 'this is a fake issue...', '', ''),
(13800, 'this is a fake issue...', '', ''),
(13801, 'this is a fake issue...', '', ''),
(13802, 'this is a fake issue...', '', ''),
(13803, 'this is a fake issue...', '', ''),
(13811, 'this is a fake issue...', '', ''),
(13812, 'this is a fake issue...', '', ''),
(13976, 'this is a fake issue...', '', ''),
(14016, 'this is a fake issue...', '', ''),
(14025, 'this is a fake issue...', '', ''),
(14039, 'this is a fake issue...', '', ''),
(14040, 'this is a fake issue...', '', ''),
(14041, 'this is a fake issue...', '', ''),
(14042, 'this is a fake issue...', '', ''),
(14051, 'this is a fake issue...', '', ''),
(14052, 'this is a fake issue...', '', ''),
(14060, 'this is a fake issue...', '', ''),
(14061, 'this is a fake issue...', '', ''),
(14062, 'this is a fake issue...', '', ''),
(14063, 'this is a fake issue...', '', ''),
(14072, 'this is a fake issue...', '', ''),
(14146, 'this is a fake issue...', '', '');
INSERT INTO `mantis_bug_text_table` (`id`, `description`, `steps_to_reproduce`, `additional_information`) VALUES
(14153, 'this is a fake issue...', '', ''),
(14160, 'this is a fake issue...', '', ''),
(14169, 'this is a fake issue...', '', ''),
(14170, 'this is a fake issue...', '', ''),
(14166, 'this is a fake issue...', '', ''),
(14167, 'this is a fake issue...', '', ''),
(14168, 'this is a fake issue...', '', ''),
(14171, 'this is a fake issue...', '', ''),
(14172, 'this is a fake issue...', '', ''),
(14173, 'this is a fake issue...', '', ''),
(14197, 'this is a fake issue...', '', ''),
(14198, 'this is a fake issue...', '', ''),
(14201, 'this is a fake issue...', '', ''),
(14209, 'this is a fake issue...', '', ''),
(14233, 'this is a fake issue...', '', ''),
(14231, 'this is a fake issue...', '', ''),
(14229, 'this is a fake issue...', '', ''),
(14240, 'this is a fake issue...', '', ''),
(14234, 'this is a fake issue...', '', ''),
(14232, 'this is a fake issue...', '', ''),
(14230, 'this is a fake issue...', '', ''),
(14235, 'this is a fake issue...', '', ''),
(14236, 'this is a fake issue...', '', ''),
(14237, 'this is a fake issue...', '', ''),
(14238, 'this is a fake issue...', '', ''),
(14239, 'this is a fake issue...', '', ''),
(14242, 'this is a fake issue...', '', ''),
(14243, 'this is a fake issue...', '', ''),
(14245, 'this is a fake issue...', '', ''),
(14246, 'this is a fake issue...', '', ''),
(14247, 'this is a fake issue...', '', ''),
(14248, 'this is a fake issue...', '', ''),
(14249, 'this is a fake issue...', '', ''),
(14250, 'this is a fake issue...', '', ''),
(14251, 'this is a fake issue...', '', ''),
(14252, 'this is a fake issue...', '', ''),
(14253, 'this is a fake issue...', '', ''),
(14254, 'this is a fake issue...', '', ''),
(14255, 'this is a fake issue...', '', ''),
(14256, 'this is a fake issue...', '', ''),
(14260, 'this is a fake issue...', '', ''),
(14261, 'this is a fake issue...', '', ''),
(14262, 'this is a fake issue...', '', ''),
(14263, 'this is a fake issue...', '', ''),
(14264, 'this is a fake issue...', '', ''),
(14265, 'this is a fake issue...', '', ''),
(14266, 'this is a fake issue...', '', ''),
(14267, 'this is a fake issue...', '', ''),
(14268, 'this is a fake issue...', '', ''),
(14269, 'this is a fake issue...', '', ''),
(14270, 'this is a fake issue...', '', ''),
(14281, 'this is a fake issue...', '', ''),
(14292, 'this is a fake issue...', '', ''),
(14332, 'this is a fake issue...', '', ''),
(14476, 'this is a fake issue...', '', ''),
(14479, 'this is a fake issue...', '', ''),
(14480, 'this is a fake issue...', '', ''),
(14481, 'this is a fake issue...', '', ''),
(14517, 'this is a fake issue...', '', ''),
(14537, '...', '', ''),
(14543, 'this is a fake issue...', '', ''),
(14545, 'this is a fake issue...', '', ''),
(14548, 'this is a fake issue...', '', ''),
(14549, 'this is a fake issue...', '', ''),
(14551, 'this is a fake issue...', '', ''),
(14555, 'this is a fake issue...', '', ''),
(14596, 'this is a fake issue...', '', ''),
(14597, 'this is a fake issue...', '', ''),
(14598, 'this is a fake issue...', '', ''),
(14599, 'this is a fake issue...', '', ''),
(14611, 'this is a fake issue...', '', ''),
(14621, 'this is a fake issue...', '', ''),
(14622, 'this is a fake issue...', '', ''),
(14623, 'this is a fake issue...', '', ''),
(14624, 'this is a fake issue...', '', ''),
(14625, 'this is a fake issue...', '', ''),
(14626, 'this is a fake issue...', '', ''),
(14645, 'this is a fake issue...', '', ''),
(14646, 'this is a fake issue...', '', ''),
(14647, 'this is a fake issue...', '', ''),
(14648, 'this is a fake issue...', '', ''),
(14725, 'this is a fake issue...', '', ''),
(14708, 'this is a fake issue...', '', ''),
(14709, 'this is a fake issue...', '', ''),
(14711, 'this is a fake issue...', '', ''),
(14712, 'this is a fake issue...', '', ''),
(14713, 'this is a fake issue...', '', ''),
(14715, 'this is a fake issue...', '', ''),
(14717, 'this is a fake issue...', '', ''),
(14718, 'this is a fake issue...', '', ''),
(14719, 'this is a fake issue...', '', ''),
(14720, 'this is a fake issue...', '', ''),
(14721, 'this is a fake issue...', '', ''),
(14722, 'this is a fake issue...', '', ''),
(14723, 'this is a fake issue...', '', ''),
(14724, 'this is a fake issue...', '', ''),
(14794, 'this is a fake issue...', '', ''),
(14799, 'this is a fake issue...', '', ''),
(14800, 'this is a fake issue...', '', ''),
(14803, 'this is a fake issue...', '', ''),
(14804, 'this is a fake issue...', '', ''),
(14810, 'this is a fake issue...', '', ''),
(14811, 'this is a fake issue...', '', ''),
(14816, 'this is a fake issue...', '', ''),
(14817, 'this is a fake issue...', '', ''),
(14820, 'this is a fake issue...', '', ''),
(14823, 'this is a fake issue...', '', ''),
(14830, 'this is a fake issue...', '', ''),
(15067, 'this is a fake issue...', '', ''),
(15071, 'this is a fake issue...', '', ''),
(15072, 'this is a fake issue...', '', ''),
(15162, 'this is a fake issue...', '', ''),
(15163, 'this is a fake issue...', '', ''),
(15164, 'this is a fake issue...', '', ''),
(15165, 'this is a fake issue...', '', ''),
(15166, 'this is a fake issue...', '', ''),
(15167, 'this is a fake issue...', '', ''),
(15168, 'this is a fake issue...', '', ''),
(15198, 'this is a fake issue...', '', ''),
(15199, 'this is a fake issue...', '', ''),
(15207, 'this is a fake issue...', '', ''),
(15220, 'this is a fake issue...', '', ''),
(15221, 'this is a fake issue...', '', ''),
(15222, 'this is a fake issue...', '', ''),
(15223, 'this is a fake issue...', '', ''),
(15224, 'this is a fake issue...', '', ''),
(15259, 'this is a fake issue...', '', ''),
(15263, 'this is a fake issue...', '', ''),
(15284, 'this is a fake issue...', '', ''),
(15286, 'this is a fake issue...', '', ''),
(15287, 'this is a fake issue...', '', ''),
(15288, 'this is a fake issue...', '', ''),
(15289, 'this is a fake issue...', '', ''),
(15290, 'this is a fake issue...', '', ''),
(15291, 'this is a fake issue...', '', ''),
(15292, 'this is a fake issue...', '', ''),
(15293, 'this is a fake issue...', '', ''),
(15294, 'this is a fake issue...', '', ''),
(15295, 'this is a fake issue...', '', ''),
(19805, 'this is a fake issue...', '', ''),
(15311, 'this is a fake issue...', '', ''),
(15312, 'this is a fake issue...', '', ''),
(15319, 'this is a fake issue...', '', ''),
(15320, 'this is a fake issue...', '', ''),
(15321, 'this is a fake issue...', '', ''),
(15322, 'this is a fake issue...', '', ''),
(15323, 'this is a fake issue...', '', ''),
(15377, 'this is a fake issue...', '', ''),
(15378, 'this is a fake issue...', '', ''),
(15379, 'this is a fake issue...', '', ''),
(15380, 'this is a fake issue...', '', ''),
(15383, 'this is a fake issue...', '', ''),
(15401, 'this is a fake issue...', '', ''),
(15567, 'this is a fake issue...', '', ''),
(15574, 'this is a fake issue...', '', ''),
(15719, 'this is a fake issue...', '', ''),
(15769, 'this is a fake issue...', '', ''),
(15772, 'this is a fake issue...', '', ''),
(15773, 'this is a fake issue...', '', ''),
(15778, 'this is a fake issue...', '', ''),
(15782, 'this is a fake issue...', '', ''),
(15783, 'this is a fake issue...', '', ''),
(15784, 'this is a fake issue...', '', ''),
(15785, 'this is a fake issue...', '', ''),
(15788, 'this is a fake issue...', '', ''),
(15835, 'this is a fake issue...', '', ''),
(15836, 'this is a fake issue...', '', ''),
(15837, 'this is a fake issue...', '', ''),
(15838, 'this is a fake issue...', '', ''),
(15839, 'this is a fake issue...', '', ''),
(15843, 'this is a fake issue...', '', ''),
(15844, 'this is a fake issue...', '', ''),
(15846, 'this is a fake issue...', '', ''),
(15852, 'this is a fake issue...', '', ''),
(15853, 'this is a fake issue...', '', ''),
(15858, 'this is a fake issue...', '', ''),
(15859, 'this is a fake issue...', '', ''),
(15973, 'this is a fake issue...', '', ''),
(16050, 'this is a fake issue...', '', ''),
(16071, 'this is a fake issue...', '', ''),
(16072, 'this is a fake issue...', '', ''),
(16073, 'this is a fake issue...', '', ''),
(16074, 'this is a fake issue...', '', ''),
(16075, 'this is a fake issue...', '', ''),
(16076, 'this is a fake issue...', '', ''),
(16078, 'this is a fake issue...', '', ''),
(16080, 'this is a fake issue...', '', ''),
(16081, 'this is a fake issue...', '', ''),
(16096, 'this is a fake issue...', '', ''),
(16104, 'this is a fake issue...', '', ''),
(16105, 'this is a fake issue...', '', ''),
(16109, 'this is a fake issue...', '', ''),
(16113, 'this is a fake issue...', '', ''),
(16142, 'this is a fake issue...', '', ''),
(16143, 'this is a fake issue...', '', ''),
(16147, 'this is a fake issue...', '', ''),
(16148, 'this is a fake issue...', '', ''),
(16165, 'this is a fake issue...', '', ''),
(16315, 'this is a fake issue...', '', ''),
(16335, 'this is a fake issue...', '', ''),
(16338, 'this is a fake issue...', '', ''),
(16359, 'this is a fake issue...', '', ''),
(16433, 'this is a fake issue...', '', ''),
(16434, 'this is a fake issue...', '', ''),
(16513, 'this is a fake issue...', '', ''),
(16514, 'this is a fake issue...', '', ''),
(16515, 'this is a fake issue...', '', ''),
(16516, 'this is a fake issue...', '', ''),
(16517, 'this is a fake issue...', '', ''),
(16519, 'this is a fake issue...', '', ''),
(16520, 'this is a fake issue...', '', ''),
(21463, 'this is a fake issue...', '', ''),
(16529, 'this is a fake issue...', '', ''),
(16549, 'this is a fake issue...', '', ''),
(16553, 'this is a fake issue...', '', ''),
(16554, 'this is a fake issue...', '', ''),
(16555, 'this is a fake issue...', '', ''),
(16556, 'this is a fake issue...', '', ''),
(16557, 'this is a fake issue...', '', ''),
(16562, 'this is a fake issue...', '', ''),
(16563, 'this is a fake issue...', '', ''),
(16565, 'this is a fake issue...', '', ''),
(16566, 'this is a fake issue...', '', ''),
(18759, 'this is a fake issue...', '', ''),
(16591, 'this is a fake issue...', '', ''),
(16590, 'this is a fake issue...', '', ''),
(16614, 'this is a fake issue...', '', ''),
(16626, 'this is a fake issue...', '', ''),
(16627, 'this is a fake issue...', '', ''),
(16628, 'this is a fake issue...', '', ''),
(16629, 'this is a fake issue...', '', ''),
(16679, 'this is a fake issue...', '', ''),
(16680, 'this is a fake issue...', '', ''),
(16681, 'this is a fake issue...', '', ''),
(16682, 'this is a fake issue...', '', ''),
(16683, 'this is a fake issue...', '', ''),
(16684, 'this is a fake issue...', '', ''),
(16704, 'this is a fake issue...', '', ''),
(16725, 'this is a fake issue...', '', ''),
(16726, 'this is a fake issue...', '', ''),
(16745, 'this is a fake issue...', '', ''),
(22413, 'this is a fake issue...', '', ''),
(22415, 'this is a fake issue...', '', ''),
(22412, 'this is a fake issue...', '', ''),
(16797, 'this is a fake issue...', '', ''),
(16805, 'this is a fake issue...', '', ''),
(16806, 'this is a fake issue...', '', ''),
(16807, 'this is a fake issue...', '', ''),
(16808, 'this is a fake issue...', '', ''),
(16809, 'this is a fake issue...', '', ''),
(16814, 'this is a fake issue...', '', ''),
(16847, 'this is a fake issue...', '', ''),
(16848, 'this is a fake issue...', '', ''),
(16849, 'this is a fake issue...', '', ''),
(16850, 'this is a fake issue...', '', ''),
(16851, 'this is a fake issue...', '', ''),
(16852, 'this is a fake issue...', '', ''),
(16853, 'this is a fake issue...', '', ''),
(16854, 'this is a fake issue...', '', ''),
(16855, 'this is a fake issue...', '', ''),
(16858, 'this is a fake issue...', '', ''),
(16870, 'this is a fake issue...', '', ''),
(16875, 'this is a fake issue...', '', ''),
(16876, 'this is a fake issue...', '', ''),
(16877, 'this is a fake issue...', '', ''),
(16878, 'this is a fake issue...', '', ''),
(16910, 'this is a fake issue...', '', ''),
(16915, 'this is a fake issue...', '', ''),
(16916, 'this is a fake issue...', '', ''),
(16917, 'this is a fake issue...', '', ''),
(16918, 'this is a fake issue...', '', ''),
(16925, 'this is a fake issue...', '', ''),
(16928, 'this is a fake issue...', '', ''),
(16929, 'this is a fake issue...', '', ''),
(16938, 'this is a fake issue...', '', ''),
(16974, 'this is a fake issue...', '', ''),
(22418, 'this is a fake issue...', '', ''),
(22419, 'this is a fake issue...', '', ''),
(17475, 'this is a fake issue...', '', ''),
(23562, 'this is a fake issue...', '', ''),
(22416, 'this is a fake issue...', '', ''),
(17025, 'this is a fake issue...', '', ''),
(17066, 'this is a fake issue...', '', ''),
(17067, 'this is a fake issue...', '', ''),
(17068, 'this is a fake issue...', '', ''),
(23173, 'this is a fake issue...', '', ''),
(23174, 'this is a fake issue...', '', ''),
(23175, 'this is a fake issue...', '', ''),
(23176, 'this is a fake issue...', '', ''),
(23177, 'this is a fake issue...', '', ''),
(23172, 'this is a fake issue...', '', ''),
(23170, 'this is a fake issue...', '', ''),
(23171, 'this is a fake issue...', '', ''),
(23168, 'this is a fake issue...', '', ''),
(23165, '...', '', ''),
(17479, 'this is a fake issue...', '', ''),
(23157, 'this is a fake issue...', '', ''),
(23156, 'this is a fake issue...', '', ''),
(23155, 'this is a fake issue...', '', ''),
(23154, 'this is a fake issue...', '', ''),
(22414, 'this is a fake issue...', '', ''),
(17136, 'this is a fake issue...', '', ''),
(17145, 'this is a fake issue...', '', ''),
(17148, 'this is a fake issue...', '', ''),
(17173, 'this is a fake issue...', '', ''),
(17214, 'this is a fake issue...', '', ''),
(17251, 'this is a fake issue...', '', ''),
(17254, 'this is a fake issue...', '', ''),
(17255, 'this is a fake issue...', '', ''),
(17256, 'this is a fake issue...', '', ''),
(17257, 'this is a fake issue...', '', ''),
(17261, 'this is a fake issue...', '', ''),
(17295, 'this is a fake issue...', '', ''),
(17302, 'this is a fake issue...', '', ''),
(17303, 'this is a fake issue...', '', ''),
(17304, 'this is a fake issue...', '', ''),
(17831, 'this is a fake issue...', '', ''),
(17371, 'this is a fake issue...', '', ''),
(17372, 'this is a fake issue...', '', ''),
(17373, 'this is a fake issue...', '', ''),
(17385, 'this is a fake issue...', '', ''),
(17404, 'this is a fake issue...', '', ''),
(17414, 'this is a fake issue...', '', ''),
(17415, 'this is a fake issue...', '', ''),
(17416, 'this is a fake issue...', '', ''),
(17417, 'this is a fake issue...', '', ''),
(17418, 'this is a fake issue...', '', ''),
(17419, 'this is a fake issue...', '', ''),
(17420, 'this is a fake issue...', '', ''),
(17421, 'this is a fake issue...', '', ''),
(17425, 'this is a fake issue...', '', ''),
(17427, 'this is a fake issue...', '', ''),
(17428, 'this is a fake issue...', '', ''),
(17429, 'this is a fake issue...', '', ''),
(17430, 'this is a fake issue...', '', ''),
(17431, 'this is a fake issue...', '', ''),
(17432, 'this is a fake issue...', '', ''),
(17433, 'this is a fake issue...', '', ''),
(17434, 'this is a fake issue...', '', ''),
(17435, 'this is a fake issue...', '', ''),
(17447, 'this is a fake issue...', '', ''),
(17449, 'this is a fake issue...', '', ''),
(17450, 'this is a fake issue...', '', ''),
(17451, 'this is a fake issue...', '', ''),
(17452, 'this is a fake issue...', '', ''),
(17453, 'this is a fake issue...', '', ''),
(17454, 'this is a fake issue...', '', ''),
(17455, 'this is a fake issue...', '', ''),
(17456, 'this is a fake issue...', '', ''),
(17457, '...', '', ''),
(17458, 'this is a fake issue...', '', ''),
(17830, 'this is a fake issue...', '', ''),
(17526, 'this is a fake issue...', '', ''),
(17563, 'this is a fake issue...', '', ''),
(17574, 'this is a fake issue...', '', ''),
(17575, 'this is a fake issue...', '', ''),
(17576, 'this is a fake issue...', '', ''),
(17577, 'this is a fake issue...', '', ''),
(17578, 'this is a fake issue...', '', ''),
(17581, 'this is a fake issue...', '', ''),
(17585, 'this is a fake issue...', '', ''),
(17586, 'this is a fake issue...', '', ''),
(17637, 'this is a fake issue...', '', ''),
(17638, 'this is a fake issue...', '', ''),
(17641, 'this is a fake issue...', '', ''),
(17642, 'this is a fake issue...', '', ''),
(17648, 'this is a fake issue...', '', ''),
(17649, 'this is a fake issue...', '', ''),
(17650, 'this is a fake issue...', '---', '---'),
(18446, 'this is a fake issue...', '', ''),
(18445, 'this is a fake issue...', '', ''),
(17733, 'this is a fake issue...', '', ''),
(17734, 'this is a fake issue...', '', ''),
(19505, 'this is a fake issue...', '', ''),
(19506, 'this is a fake issue...', '', ''),
(17737, 'this is a fake issue...', '...', '...'),
(17738, 'this is a fake issue...', '', ''),
(17747, 'this is a fake issue...', '...', '...'),
(17743, 'this is a fake issue...', '', ''),
(17744, 'this is a fake issue...', '', ''),
(17745, 'this is a fake issue...', '', ''),
(17746, 'this is a fake issue...', '', ''),
(17750, 'this is a fake issue...', '', ''),
(17751, 'this is a fake issue...', '', ''),
(17761, 'this is a fake issue...', '...', ''),
(17762, 'this is a fake issue...', '...', '...'),
(17763, 'this is a fake issue...', '', ''),
(17766, 'this is a fake issue...', '', ''),
(17768, 'this is a fake issue...', '', ''),
(17769, 'this is a fake issue...', '', ''),
(17795, 'this is a fake issue...', '', ''),
(18664, 'this is a fake issue...', '', ''),
(18665, 'this is a fake issue...', '', ''),
(17849, 'this is a fake issue...', '...', '...'),
(17850, 'this is a fake issue...', '...', '...'),
(17851, 'this is a fake issue...', '...', '...'),
(17852, 'this is a fake issue...', '...', '...'),
(17853, 'this is a fake issue...', '...', '...'),
(17854, 'this is a fake issue...', '...', '...'),
(17859, 'this is a fake issue...', '...', '...'),
(17860, 'this is a fake issue...', '', ''),
(17861, 'this is a fake issue...', '', ''),
(17862, '...', '', ''),
(17921, 'this is a fake issue...', '...', '...'),
(17925, 'this is a fake issue...', '', ''),
(17927, 'this is a fake issue...', '', ''),
(17971, 'this is a fake issue...', '', ''),
(17972, 'this is a fake issue...', '', ''),
(17987, 'this is a fake issue...', '', ''),
(17988, 'this is a fake issue...', '', ''),
(17991, 'this is a fake issue...', '', ''),
(17992, 'this is a fake issue...', '', ''),
(18012, 'this is a fake issue...', '', ''),
(18013, 'this is a fake issue...', '...', ''),
(18032, 'this is a fake issue...', '', ''),
(18063, 'this is a fake issue...', '', ''),
(18064, 'this is a fake issue...', '', ''),
(18065, 'this is a fake issue...', '', ''),
(18092, 'this is a fake issue...', '', ''),
(18093, 'this is a fake issue...', '', ''),
(18094, 'this is a fake issue...', '', ''),
(18095, 'this is a fake issue...', '', ''),
(18118, 'this is a fake issue...', '', ''),
(18119, 'this is a fake issue...', '', ''),
(18120, 'this is a fake issue...', '', ''),
(18122, 'this is a fake issue...', '', ''),
(18123, 'this is a fake issue...', '', ''),
(18124, 'this is a fake issue...', '', ''),
(18125, 'this is a fake issue...', '', ''),
(18184, 'this is a fake issue...', '', ''),
(18247, 'this is a fake issue...', '', ''),
(18248, 'this is a fake issue...', '', ''),
(18270, 'this is a fake issue...', '', ''),
(18271, '...', '', ''),
(18272, '...', '', ''),
(18273, '...', '', ''),
(18274, '...', '', ''),
(18275, '...', '', ''),
(18283, 'this is a fake issue...', '', ''),
(18291, 'this is a fake issue...', '', ''),
(18292, 'this is a fake issue...', '', ''),
(18293, 'this is a fake issue...', '', ''),
(18405, 'this is a fake issue...', '', ''),
(18406, 'this is a fake issue...', '', ''),
(18407, 'this is a fake issue...', '', ''),
(18408, 'this is a fake issue...', '', ''),
(18409, 'this is a fake issue...', '', ''),
(18477, 'this is a fake issue...', '', ''),
(18492, 'this is a fake issue...', '', ''),
(18493, 'this is a fake issue...', '', ''),
(18494, 'this is a fake issue...', '', ''),
(18495, 'this is a fake issue...', '', ''),
(18496, 'this is a fake issue...', '', ''),
(18497, 'this is a fake issue...', '', ''),
(18515, 'this is a fake issue...', '', ''),
(18516, 'this is a fake issue...', '', ''),
(18539, 'this is a fake issue...', '', ''),
(18579, 'Tache permettant d\'imputer les activites préparatoires : reunion, chiffrages ????  dans l\'attente creation defect HP ALM ', '', ''),
(19837, 'this is a fake issue...', '.', '.'),
(19838, 'this is a fake issue...', '', ''),
(18591, 'this is a fake issue...', '', ''),
(18605, 'this is a fake issue...', '', ''),
(18614, 'this is a fake issue...', '', ''),
(18666, 'this is a fake issue...', '', ''),
(18667, 'this is a fake issue...', '', ''),
(18761, 'this is a fake issue...', '', ''),
(18722, 'this is a fake issue...', '', ''),
(18724, 'this is a fake issue...', '', ''),
(18725, 'this is a fake issue...', '', ''),
(18739, 'this is a fake issue...', '', ''),
(18760, 'this is a fake issue...', '', ''),
(18780, 'this is a fake issue...', '', ''),
(18781, 'this is a fake issue...', '', ''),
(18968, 'this is a fake issue...', '', ''),
(18969, 'this is a fake issue...', '', ''),
(19002, '...', '', ''),
(19046, 'this is a fake issue...', '', ''),
(19048, 'this is a fake issue...', '', ''),
(19049, 'this is a fake issue...', '', ''),
(19050, 'this is a fake issue...', '', ''),
(19051, 'this is a fake issue...', '', ''),
(19052, 'this is a fake issue...', '', ''),
(19053, 'this is a fake issue...', '', ''),
(19055, 'this is a fake issue...', '', ''),
(19058, 'this is a fake issue...', '', ''),
(19059, 'this is a fake issue...', '', ''),
(19068, 'this is a fake issue...', '', ''),
(19085, 'this is a fake issue...', '', ''),
(19089, 'this is a fake issue...', '', ''),
(19110, 'this is a fake issue...', '', ''),
(19118, 'this is a fake issue...', '', ''),
(19119, 'this is a fake issue...', '', ''),
(19120, 'this is a fake issue...', '', ''),
(19121, 'this is a fake issue...', '', ''),
(19122, 'this is a fake issue...', '', ''),
(19239, 'this is a fake issue...', '', ''),
(19240, 'this is a fake issue...', '', ''),
(19335, 'this is a fake issue...', '', ''),
(19986, 'this is a fake issue...', '', ''),
(19987, 'this is a fake issue...', '', ''),
(19988, 'this is a fake issue...', '', ''),
(19989, 'this is a fake issue...', '', ''),
(19990, 'this is a fake issue...', '', ''),
(19992, 'this is a fake issue...', '', ''),
(19345, 'this is a fake issue...', '', ''),
(19346, 'this is a fake issue...', '', ''),
(19374, 'this is a fake issue...', '', ''),
(19390, 'this is a fake issue...', '', ''),
(19424, 'this is a fake issue...', '', ''),
(19425, 'this is a fake issue...', '', ''),
(19426, 'this is a fake issue...', '', ''),
(19427, 'this is a fake issue...', '', ''),
(19428, 'this is a fake issue...', '', ''),
(19429, 'this is a fake issue...', '', ''),
(19431, 'this is a fake issue...', '', ''),
(19432, 'Mise en place de process de livraison et de mise à jour des environnements PCA\r\noutillage', '', ''),
(19517, 'this is a fake issue...', '', ''),
(19518, 'this is a fake issue...', '', ''),
(19519, 'this is a fake issue...', '', ''),
(19590, '...', '', ''),
(19591, '...', '', ''),
(19592, '...', '', ''),
(19603, 'this is a fake issue...', '', ''),
(19607, 'this is a fake issue...', '', ''),
(19608, 'this is a fake issue...', '', ''),
(19609, '...', '', ''),
(19611, 'this is a fake issue...', '', ''),
(19612, 'this is a fake issue...', '', ''),
(19710, 'this is a fake issue...', '', ''),
(19711, 'this is a fake issue...', '', ''),
(19717, 'this is a fake issue...', '', ''),
(19718, 'this is a fake issue...', '', ''),
(19719, 'this is a fake issue...', '', ''),
(19720, 'this is a fake issue...', '', ''),
(19839, 'this is a fake issue...', '', ''),
(19759, 'this is a fake issue...', '', ''),
(19760, 'this is a fake issue...', '', ''),
(19761, 'this is a fake issue...', '', ''),
(19762, 'this is a fake issue...', '', ''),
(19790, 'this is a fake issue...', '', ''),
(19791, 'this is a fake issue...', '', ''),
(19792, 'this is a fake issue...', '', ''),
(20215, 'this is a fake issue...', '', ''),
(20214, 'this is a fake issue...', '', ''),
(20213, 'this is a fake issue...', '', ''),
(19876, 'this is a fake issue...', '', ''),
(19877, 'this is a fake issue...', '', ''),
(19889, 'this is a fake issue...', '.', '.'),
(20184, 'this is a fake issue...', '', ''),
(20185, 'this is a fake issue...', '', ''),
(20186, 'this is a fake issue...', '', ''),
(20187, 'this is a fake issue...', '', ''),
(19973, 'this is a fake issue...', '', ''),
(20242, 'this is a fake issue...', '', ''),
(20243, 'this is a fake issue...', '', ''),
(21806, 'this is a fake issue...', '', ''),
(20329, 'this is a fake issue...', '', ''),
(21761, 'this is a fake issue...', '', ''),
(21762, 'this is a fake issue...', '', ''),
(21763, 'this is a fake issue...', '', ''),
(21764, 'this is a fake issue...', '', ''),
(21765, 'this is a fake issue...', '', ''),
(21766, 'this is a fake issue...', '', ''),
(21801, 'this is a fake issue...', '', ''),
(21802, 'this is a fake issue...', '', ''),
(21803, 'this is a fake issue...', '', ''),
(21804, 'this is a fake issue...', '', ''),
(21805, 'this is a fake issue...', '', ''),
(21807, 'this is a fake issue...', '', ''),
(20430, 'this is a fake issue...', '', ''),
(20432, 'this is a fake issue...', '', ''),
(20435, 'this is a fake issue...', '', ''),
(20434, 'this is a fake issue...', '', ''),
(20436, 'this is a fake issue...', '', ''),
(20437, 'this is a fake issue...', '', ''),
(20438, 'this is a fake issue...', '', ''),
(20446, 'this is a fake issue...', '', ''),
(20447, 'this is a fake issue...', '', ''),
(20448, 'this is a fake issue...', '', ''),
(20449, 'this is a fake issue...', '', ''),
(20450, 'this is a fake issue...', '', ''),
(20451, 'this is a fake issue...', '', ''),
(20454, 'this is a fake issue...', '', ''),
(20455, 'this is a fake issue...', '', ''),
(20456, 'this is a fake issue...', '', ''),
(20466, 'this is a fake issue...', '', ''),
(20467, 'this is a fake issue...', '', ''),
(20490, 'this is a fake issue...', '', ''),
(20491, 'this is a fake issue...', '', ''),
(20566, 'this is a fake issue...', '', ''),
(20567, 'this is a fake issue...', '', ''),
(20568, 'this is a fake issue...', '', ''),
(20569, 'this is a fake issue...', '', ''),
(20603, 'this is a fake issue...', '', ''),
(20604, 'this is a fake issue...', '', ''),
(20620, 'this is a fake issue...', '', ''),
(20651, 'this is a fake issue...', '', ''),
(20650, 'this is a fake issue...', '', ''),
(20649, 'this is a fake issue...', '', ''),
(20648, 'this is a fake issue...', '', ''),
(20647, 'this is a fake issue...', '', ''),
(20645, 'this is a fake issue...', '', ''),
(20646, 'this is a fake issue...', '', ''),
(20685, 'this is a fake issue...', '.', ''),
(20686, 'this is a fake issue...', '.', '.'),
(20687, 'this is a fake issue...', '.', '.'),
(20688, 'this is a fake issue...', '', ''),
(21306, 'this is a fake issue...', '', ''),
(20718, 'this is a fake issue...', '', ''),
(20805, 'transverse TAIGA - GAC - PCA', '', ''),
(21349, 'this is a fake issue...', '', ''),
(20931, 'this is a fake issue...', '', ''),
(20932, 'this is a fake issue...', '', ''),
(20933, 'this is a fake issue...', '', ''),
(20934, 'this is a fake issue...', '', ''),
(20935, 'this is a fake issue...', '', ''),
(20936, 'this is a fake issue...', '', ''),
(21609, 'this is a fake issue...', '', ''),
(21607, 'this is a fake issue...', '', ''),
(21608, 'this is a fake issue...', '', ''),
(21248, 'this is a fake issue...', '', ''),
(21347, 'this is a fake issue...', '', ''),
(21348, 'this is a fake issue...', '', ''),
(21353, 'this is a fake issue...', '', ''),
(21355, 'this is a fake issue...', '', ''),
(21357, 'this is a fake issue...', '', ''),
(21358, 'this is a fake issue...', '', ''),
(21359, 'this is a fake issue...', '', ''),
(21458, 'this is a fake issue...', '.', '.'),
(21565, 'this is a fake issue...', '.', '.'),
(21566, 'this is a fake issue...', '.', '.'),
(21567, 'this is a fake issue...', '.', '.'),
(21568, 'this is a fake issue...', '.', '.'),
(21569, 'this is a fake issue...', '.', '.'),
(21600, 'this is a fake issue...', '', ''),
(21601, 'this is a fake issue...', '', ''),
(21602, 'this is a fake issue...', '', ''),
(21603, 'this is a fake issue...', '', ''),
(21604, 'this is a fake issue...', '', ''),
(21605, 'this is a fake issue...', '', ''),
(21618, 'this is a fake issue...', '', ''),
(21623, 'this is a fake issue...', '', ''),
(21624, 'this is a fake issue...', '', ''),
(21625, 'this is a fake issue...', '', ''),
(21627, 'this is a fake issue...', '', ''),
(21628, '...', '', ''),
(21629, 'this is a fake issue...', '', ''),
(21630, 'this is a fake issue...', '', ''),
(21631, 'this is a fake issue...', '', ''),
(21632, 'this is a fake issue...', '', ''),
(21633, 'this is a fake issue...', '', ''),
(21634, 'this is a fake issue...', '', ''),
(21635, 'this is a fake issue...', '', ''),
(21639, 'this is a fake issue...', '', ''),
(21640, 'this is a fake issue...', '', ''),
(21663, 'this is a fake issue...', '', ''),
(21664, 'this is a fake issue...', '', ''),
(21665, 'this is a fake issue...', '', ''),
(21666, 'this is a fake issue...', '', ''),
(21712, 'Patrick Juaneda', '', ''),
(21724, 'this is a fake issue...', '.', '.'),
(21725, 'this is a fake issue...', '.', '.'),
(21835, 'this is a fake issue...', '', ''),
(21836, 'this is a fake issue...', '', ''),
(21837, 'this is a fake issue...', '', ''),
(21838, 'this is a fake issue...', '', ''),
(21839, 'this is a fake issue...', '', ''),
(21840, 'this is a fake issue...', '', ''),
(21841, 'this is a fake issue...', '', ''),
(21842, 'this is a fake issue...', '', ''),
(21845, 'this is a fake issue...', '', ''),
(21846, 'this is a fake issue...', '', ''),
(21848, 'this is a fake issue...', '', ''),
(21849, 'this is a fake issue...', '', ''),
(21896, 'this is a fake issue...', '', ''),
(21897, 'this is a fake issue...', '', ''),
(21898, 'this is a fake issue...', '', ''),
(21899, 'this is a fake issue...', '', ''),
(21900, 'this is a fake issue...', '', ''),
(21922, 'this is a fake issue...', '', ''),
(22027, 'this is a fake issue...', '', ''),
(22052, 'this is a fake issue...', '', ''),
(22053, 'this is a fake issue...', '', ''),
(22054, 'this is a fake issue...', '', ''),
(22055, 'this is a fake issue...', '', ''),
(22056, 'this is a fake issue...', '', ''),
(22219, 'this is a fake issue...', '', ''),
(22234, 'this is a fake issue...', '', ''),
(22237, 'this is a fake issue...', '', ''),
(22245, 'this is a fake issue...', '.', ''),
(22252, 'this is a fake issue...', '', ''),
(22253, 'this is a fake issue...', '', ''),
(23253, 'this is a fake issue...', '', ''),
(23248, 'this is a fake issue...', '', ''),
(23247, 'this is a fake issue...', '', ''),
(22374, 'this is a fake issue...', '', ''),
(22375, 'this is a fake issue...', '', ''),
(22376, 'this is a fake issue...', '', ''),
(22377, 'this is a fake issue...', '', ''),
(22378, 'this is a fake issue...', '', ''),
(22379, 'this is a fake issue...', '', ''),
(22380, 'this is a fake issue...', '', ''),
(22381, 'this is a fake issue...', '', ''),
(22382, 'this is a fake issue...', '', ''),
(22383, 'this is a fake issue...', '', ''),
(22384, 'this is a fake issue...', '', ''),
(22385, 'this is a fake issue...', '', ''),
(22386, 'this is a fake issue...', '', ''),
(22387, 'this is a fake issue...', '', ''),
(22388, 'this is a fake issue...', '', ''),
(22389, 'this is a fake issue...', '', ''),
(22390, 'this is a fake issue...', '', ''),
(22391, 'this is a fake issue...', '', ''),
(22392, 'this is a fake issue...', '', ''),
(22410, 'this is a fake issue...', '', ''),
(22428, 'this is a fake issue...', '', ''),
(22429, 'this is a fake issue...', '', ''),
(22431, 'this is a fake issue...', '', ''),
(22439, 'this is a fake issue...', '', ''),
(22766, 'this is a fake issue...', '', ''),
(22767, 'this is a fake issue...', '', ''),
(22768, 'this is a fake issue...', '', ''),
(22769, 'this is a fake issue...', '', ''),
(22770, 'this is a fake issue...', '', ''),
(22771, 'this is a fake issue...', '', ''),
(22772, 'this is a fake issue...', '', ''),
(22790, 'this is a fake issue...', '', ''),
(22791, 'this is a fake issue...', '', ''),
(22792, 'this is a fake issue...', '', ''),
(22793, 'this is a fake issue...', '', ''),
(23141, 'this is a fake issue...', '', ''),
(23142, 'this is a fake issue...', '', ''),
(23143, 'this is a fake issue...', '', ''),
(22810, 'this is a fake issue...', '', ''),
(22811, 'this is a fake issue...', '', ''),
(22812, 'this is a fake issue...', '', ''),
(22828, 'this is a fake issue...', '', ''),
(22829, 'this is a fake issue...', '', ''),
(22830, 'this is a fake issue...', '', ''),
(22879, 'this is a fake issue...', '', ''),
(22880, 'this is a fake issue...', '', ''),
(22881, 'this is a fake issue...', '', ''),
(22882, 'this is a fake issue...', '', ''),
(22883, 'this is a fake issue...', '', ''),
(22884, 'this is a fake issue...', '', ''),
(22885, 'this is a fake issue...', '', ''),
(22886, 'this is a fake issue...', '', ''),
(22920, 'this is a fake issue...', '.', '.'),
(22921, 'this is a fake issue...', '.', '.'),
(22924, 'this is a fake issue...', '', ''),
(22925, 'this is a fake issue...', '', ''),
(22928, 'this is a fake issue...', '', ''),
(22929, 'this is a fake issue...', '', ''),
(22930, 'this is a fake issue...', '', ''),
(22931, 'this is a fake issue...', '', ''),
(22938, 'this is a fake issue...', '', ''),
(22940, 'this is a fake issue...', '', ''),
(22941, 'this is a fake issue...', '', ''),
(22942, 'this is a fake issue...', '', ''),
(22943, 'this is a fake issue...', '', ''),
(22944, 'this is a fake issue...', '', ''),
(22945, 'this is a fake issue...', '', ''),
(22946, 'this is a fake issue...', '', ''),
(22947, 'this is a fake issue...', '', ''),
(22948, 'this is a fake issue...', '', ''),
(22949, 'this is a fake issue...', '', ''),
(22950, 'this is a fake issue...', '', ''),
(22951, 'this is a fake issue...', '', ''),
(22956, 'this is a fake issue...', '', ''),
(22957, 'this is a fake issue...', '', ''),
(22958, 'this is a fake issue...', '', ''),
(22959, 'this is a fake issue...', '', ''),
(22960, 'this is a fake issue...', '', ''),
(22961, 'this is a fake issue...', '', ''),
(22969, 'this is a fake issue...', '', ''),
(23007, 'this is a fake issue...', '', ''),
(23008, 'this is a fake issue...', '', ''),
(23009, 'this is a fake issue...', '', ''),
(23010, 'this is a fake issue...', '', ''),
(23011, 'this is a fake issue...', '', ''),
(23021, 'this is a fake issue...', '', ''),
(23022, 'this is a fake issue...', '', ''),
(23023, 'this is a fake issue...', '', ''),
(23259, 'this is a fake issue...', '', ''),
(23260, 'this is a fake issue...', '', ''),
(23293, 'this is a fake issue...', '', ''),
(23294, 'this is a fake issue...', '', ''),
(23424, 'this is a fake issue...', '', ''),
(23425, 'this is a fake issue...', '', ''),
(23426, 'this is a fake issue...', '', ''),
(23427, 'this is a fake issue...', '', ''),
(23428, 'this is a fake issue...', '', ''),
(23429, 'this is a fake issue...', '', ''),
(23430, 'this is a fake issue...', '', ''),
(23431, 'this is a fake issue...', '', ''),
(23432, 'this is a fake issue...', '', ''),
(23433, 'this is a fake issue...', '', ''),
(23437, 'this is a fake issue...', '', ''),
(23438, 'this is a fake issue...', '', ''),
(23439, 'this is a fake issue...', '', ''),
(23440, 'this is a fake issue...', '', ''),
(23441, 'this is a fake issue...', '', ''),
(23442, 'this is a fake issue...', '', ''),
(23443, 'this is a fake issue...', '', ''),
(23502, 'this is a fake issue...', '', ''),
(23503, 'this is a fake issue...', '', ''),
(23548, 'this is a fake issue...', '', ''),
(23550, 'this is a fake issue...', '', ''),
(23561, 'this is a fake issue...', '', ''),
(23567, 'this is a fake issue...', '', ''),
(23568, 'this is a fake issue...', '', ''),
(23574, 'this is a fake issue...', '', ''),
(23754, 'this is a fake issue...', '', ''),
(23772, 'this is a fake issue...', '', ''),
(23773, 'this is a fake issue...', '', ''),
(23774, 'this is a fake issue...', '', ''),
(23775, 'this is a fake issue...', '', ''),
(23776, 'this is a fake issue...', '', ''),
(23777, 'this is a fake issue...', '', ''),
(23778, 'this is a fake issue...', '', ''),
(23779, 'this is a fake issue...', '', ''),
(23780, 'this is a fake issue...', '', ''),
(23781, 'this is a fake issue...', '', ''),
(23782, 'this is a fake issue...', '', ''),
(23783, 'this is a fake issue...', '', ''),
(23838, 'this is a fake issue...', '', ''),
(23785, 'this is a fake issue...', '', ''),
(23786, 'this is a fake issue...', '', ''),
(24772, 'this is a fake issue...', '', ''),
(24773, 'this is a fake issue...', '', ''),
(23788, 'this is a fake issue...', '', ''),
(23789, 'this is a fake issue...', '', ''),
(23792, 'this is a fake issue...', '', ''),
(23794, '...', '', ''),
(23795, '...', '', ''),
(23796, '...', '', ''),
(23797, '...', '', ''),
(23839, 'this is a fake issue...', '', '.'),
(23898, 'this is a fake issue...', '', ''),
(23906, 'this is a fake issue...', '', ''),
(23907, 'this is a fake issue...', '', ''),
(23910, 'this is a fake issue...', '', ''),
(23911, 'this is a fake issue...', '', ''),
(23913, 'this is a fake issue...', '', ''),
(23914, 'this is a fake issue...', '', ''),
(23915, 'this is a fake issue...', '', ''),
(24122, 'this is a fake issue...', '', ''),
(25326, 'this is a fake issue...', '', ''),
(24752, 'this is a fake issue...', '', ''),
(24174, 'this is a fake issue...', '', ''),
(24175, 'this is a fake issue...', '', ''),
(24177, 'this is a fake issue...', '', ''),
(24180, 'this is a fake issue...', '', ''),
(24181, 'this is a fake issue...', '', ''),
(24182, 'this is a fake issue...', '', ''),
(24183, 'this is a fake issue...', '', ''),
(24184, 'this is a fake issue...', '', ''),
(24244, 'this is a fake issue...', '', ''),
(24245, 'this is a fake issue...', '', ''),
(24246, 'this is a fake issue...', '', ''),
(24247, 'this is a fake issue...', '', ''),
(24248, 'this is a fake issue...', '', ''),
(24249, 'this is a fake issue...', '', ''),
(24252, 'this is a fake issue...', '', ''),
(24274, 'this is a fake issue...', '', ''),
(24284, 'this is a fake issue...', '', ''),
(24285, 'this is a fake issue...', '', ''),
(24286, 'this is a fake issue...', '', ''),
(24914, 'this is a fake issue...', '', ''),
(24448, 'this is a fake issue...', '', ''),
(24449, 'this is a fake issue...', '', ''),
(24450, 'this is a fake issue...', '', ''),
(24451, 'this is a fake issue...', '', ''),
(24452, 'this is a fake issue...', '', ''),
(24453, 'this is a fake issue...', '', ''),
(24454, 'this is a fake issue...', '', ''),
(24455, 'this is a fake issue...', '', ''),
(24456, 'this is a fake issue...', '', ''),
(24457, 'this is a fake issue...', '', ''),
(24458, 'this is a fake issue...', '', ''),
(24459, 'this is a fake issue...', '', ''),
(24460, 'this is a fake issue...', '', ''),
(24461, 'this is a fake issue...', '', ''),
(24462, 'this is a fake issue...', '', ''),
(24551, 'this is a fake issue...', '', ''),
(24552, 'this is a fake issue...', '.', '.'),
(24566, 'this is a fake issue...', '', ''),
(24567, 'this is a fake issue...', '', ''),
(24568, 'this is a fake issue...', '', ''),
(24580, 'this is a fake issue...', '', ''),
(24593, 'this is a fake issue...', '', ''),
(24594, 'this is a fake issue...', '', ''),
(24595, 'this is a fake issue...', '', ''),
(24596, 'this is a fake issue...', '', ''),
(24597, 'this is a fake issue...', '', ''),
(24598, 'this is a fake issue...', '', ''),
(24599, 'this is a fake issue...', '', ''),
(24753, 'this is a fake issue...', '', ''),
(24754, 'this is a fake issue...', '', ''),
(24653, '--', '', ''),
(24675, 'this is a fake issue...', '', ''),
(24676, 'this is a fake issue...', '', ''),
(24698, 'this is a fake issue...', '', ''),
(24701, 'this is a fake issue...', '', ''),
(24702, 'this is a fake issue...', '', ''),
(24703, 'this is a fake issue...', '', ''),
(24704, 'this is a fake issue...', '', ''),
(24705, 'this is a fake issue...', '', ''),
(24706, 'this is a fake issue...', '', ''),
(24712, 'this is a fake issue...', '.', '.'),
(24742, 'this is a fake issue...', '', ''),
(24743, 'this is a fake issue...', '', ''),
(24744, 'this is a fake issue...', '', ''),
(24745, 'this is a fake issue...', '', ''),
(24746, 'this is a fake issue...', '', ''),
(24758, 'this is a fake issue...', '', ''),
(24759, 'this is a fake issue...', '', ''),
(24843, 'this is a fake issue...', '', ''),
(24774, 'this is a fake issue...', '', ''),
(24775, 'this is a fake issue...', '', ''),
(24776, 'this is a fake issue...', '', ''),
(24777, 'this is a fake issue...', '', ''),
(24802, 'this is a fake issue...', '', ''),
(24803, 'this is a fake issue...', '', ''),
(24848, 'this is a fake issue...', '', ''),
(24882, 'this is a fake issue...', '', ''),
(24883, 'this is a fake issue...', '', ''),
(24895, 'this is a fake issue...', '', ''),
(24896, 'this is a fake issue...', '', ''),
(24915, 'this is a fake issue...', '', ''),
(24916, 'this is a fake issue...', '', ''),
(24968, 'this is a fake issue...', '', ''),
(25001, 'this is a fake issue...', '', ''),
(25002, 'this is a fake issue...', '', ''),
(25003, 'this is a fake issue...', '', ''),
(25009, 'this is a fake issue...', '', ''),
(25010, 'this is a fake issue...', '', ''),
(25011, 'this is a fake issue...', '', ''),
(25012, 'this is a fake issue...', '', ''),
(25013, 'this is a fake issue...', '', ''),
(25048, 'this is a fake issue...', '', ''),
(25049, 'this is a fake issue...', '', ''),
(25128, 'this is a fake issue...', '', ''),
(25158, 'this is a fake issue...', '', ''),
(25159, 'this is a fake issue...', '', ''),
(25160, 'this is a fake issue...', '', ''),
(25195, 'this is a fake issue...', '', ''),
(25245, 'this is a fake issue...', '', ''),
(25272, 'this is a fake issue...', '', ''),
(25273, 'this is a fake issue...', '', ''),
(25359, 'this is a fake issue...', '', ''),
(25442, 'this is a fake issue...', '', ''),
(25448, 'this is a fake issue...', '', ''),
(25578, 'this is a fake issue...', '.', '.'),
(25549, 'this is a fake issue...', '', ''),
(25550, 'this is a fake issue...', '', ''),
(25551, 'this is a fake issue...', '', ''),
(25552, 'this is a fake issue...', '', ''),
(25553, 'this is a fake issue...', '', ''),
(25554, 'this is a fake issue...', '', ''),
(25564, 'this is a fake issue...', '', ''),
(25584, 'this is a fake issue...', '', ''),
(25585, 'this is a fake issue...', '', ''),
(25586, 'this is a fake issue...', '', ''),
(25587, 'this is a fake issue...', '', '');

-- --------------------------------------------------------

--
-- Structure de la table `mantis_category_table`
--

DROP TABLE IF EXISTS `mantis_category_table`;
CREATE TABLE `mantis_category_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `name` varchar(128) NOT NULL DEFAULT '',
  `status` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_category_table`
--

INSERT INTO `mantis_category_table` (`id`, `project_id`, `user_id`, `name`, `status`) VALUES
(1, 0, 0, 'General', 0),
(58, 3, 0, 'Leave', 0),
(59, 3, 0, 'Other activity', 0),
(284, 41, 0, 'FusionPL', 0),
(266, 41, 0, 'GAC', 0),
(187, 41, 0, 'NSDK / TP', 0),
(206, 41, 0, 'Integration', 0),
(212, 41, 0, 'OGMA', 0),
(250, 41, 0, 'Qualification', 0),
(261, 73, 0, 'Gestion de Projet', 0),
(262, 73, 0, 'Inactivité', 0),
(263, 73, 0, 'Incident', 0),
(264, 73, 0, 'Outillage', 0),
(265, 73, 0, 'Capitalisation', 0),
(294, 81, 0, 'Gestion de Projet', 0),
(295, 81, 0, 'Inactivité', 0),
(296, 81, 0, 'Incident', 0),
(297, 81, 0, 'Outillage', 0),
(298, 81, 0, 'Capitalisation', 0),
(310, 41, 0, '3en1', 0),
(311, 41, 0, 'PAF', 0),
(337, 41, 0, 'PUMA', 0),
(334, 41, 0, 'DSI', 0),
(335, 41, 0, 'Appel Regul (TO)', 0),
(336, 41, 0, 'Appel Prov', 0),
(338, 41, 0, 'Affiliation', 0),
(355, 41, 0, 'Cotisation', 0),
(619, 41, 0, 'ANV-CX', 0),
(621, 41, 0, 'ARCOS', 0),
(644, 0, 0, 'ACOSS_DITS_NAIA', 0),
(670, 41, 0, 'ADOS', 0);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_config_table`
--

DROP TABLE IF EXISTS `mantis_config_table`;
CREATE TABLE `mantis_config_table` (
  `config_id` varchar(64) NOT NULL,
  `project_id` int(11) NOT NULL DEFAULT 0,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `access_reqd` int(11) DEFAULT 0,
  `type` int(11) DEFAULT 90,
  `value` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_config_table`
--

INSERT INTO `mantis_config_table` (`config_id`, `project_id`, `user_id`, `access_reqd`, `type`, `value`) VALUES
('database_version', 0, 0, 90, 1, '210'),
('view_issues_page_columns', 0, 163, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"fixed_in_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('bug_submit_status', 3, 0, 90, 1, '90'),
('bug_assigned_status', 3, 0, 90, 1, '90'),
('view_issues_page_columns', 0, 2, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"sponsorship_total\",\"bugnotes_count\",\"attachment_count\",\"custom_codevtt_type\",\"category_id\",\"severity\",\"status\",\"custom_codevtt_charge manager\",\"custom_codevtt_charge initiale\",\"custom_codevtt_raf\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 2, 90, 3, '[\"id\",\"project_id\",\"reporter_id\",\"handler_id\",\"priority\",\"severity\",\"reproducibility\",\"version\",\"category_id\",\"date_submitted\",\"os\",\"os_build\",\"platform\",\"view_state\",\"last_updated\",\"summary\",\"status\",\"resolution\",\"fixed_in_version\"]'),
('excel_columns', 0, 2, 90, 3, '[\"id\",\"project_id\",\"reporter_id\",\"handler_id\",\"priority\",\"severity\",\"reproducibility\",\"version\",\"category_id\",\"date_submitted\",\"os\",\"os_build\",\"platform\",\"view_state\",\"last_updated\",\"summary\",\"status\",\"resolution\",\"fixed_in_version\"]'),
('status_enum_workflow', 0, 0, 90, 3, '{\"10\":\"30:acknowledged,20:feedback,40:analyzed,50:open,80:resolved\",\"20\":\"30:acknowledged,40:analyzed,50:open,80:resolved\",\"30\":\"40:analyzed,20:feedback,50:open,80:resolved\",\"40\":\"50:open,20:feedback,80:resolved\",\"50\":\"80:resolved,20:feedback\",\"80\":\"82:validated,20:feedback,30:acknowledged,85:delivered,90:closed\",\"82\":\"85:delivered,20:feedback,30:acknowledged,90:closed\",\"85\":\"90:closed,20:feedback\",\"90\":\"20:feedback\"}'),
('bug_assigned_status', 0, 0, 90, 1, '10'),
('view_issues_page_columns', 0, 6, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"sponsorship_total\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"custom_codevtt_type\",\"status\",\"target_version\",\"custom_codevtt_chargemgr\",\"custom_codevtt_raf\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 6, 90, 3, '[\"id\",\"project_id\",\"reporter_id\",\"handler_id\",\"priority\",\"severity\",\"reproducibility\",\"version\",\"category_id\",\"date_submitted\",\"os\",\"os_build\",\"platform\",\"view_state\",\"last_updated\",\"summary\",\"status\",\"resolution\",\"fixed_in_version\"]'),
('excel_columns', 0, 6, 90, 3, '[\"id\",\"project_id\",\"reporter_id\",\"handler_id\",\"priority\",\"severity\",\"reproducibility\",\"version\",\"category_id\",\"date_submitted\",\"os\",\"os_build\",\"platform\",\"view_state\",\"last_updated\",\"summary\",\"status\",\"resolution\",\"fixed_in_version\"]'),
('plugin_CodevTT_schema', 0, 0, 90, 1, '-1'),
('view_issues_page_columns', 3, 6, 90, 3, '[\"selection\",\"edit\",\"id\",\"sponsorship_total\",\"category_id\",\"severity\",\"status\",\"last_updated\",\"summary\"]'),
('bug_reopen_status', 0, 0, 90, 1, '30'),
('bug_readonly_status_threshold', 0, 0, 90, 1, '90'),
('view_changelog_threshold', 0, 0, 90, 1, '40'),
('view_history_threshold', 0, 0, 90, 1, '25'),
('auto_set_status_to_assigned', 0, 0, 90, 1, '0'),
('view_issues_page_columns', 0, 0, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"sponsorship_total\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 0, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"sponsorship_total\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 0, 0, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"sponsorship_total\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('default_notify_flags', 0, 0, 90, 3, '{\"threshold_min\":100,\"threshold_max\":0}'),
('notify_flags', 0, 0, 90, 3, '{\"owner\":{\"handler\":1,\"threshold_min\":\"70\",\"threshold_max\":\"70\"},\"reopened\":{\"threshold_min\":\"70\",\"threshold_max\":\"70\"},\"deleted\":{\"threshold_min\":\"70\",\"threshold_max\":\"70\"},\"new\":{\"handler\":1,\"threshold_min\":\"70\",\"threshold_max\":\"70\"},\"resolved\":{\"reporter\":1,\"monitor\":1,\"threshold_min\":\"70\",\"threshold_max\":\"70\"},\"validated\":{\"handler\":1,\"threshold_min\":\"70\",\"threshold_max\":\"70\"}}'),
('excel_columns', 0, 39, 90, 3, '[\"id\",\"handler_id\",\"category_id\",\"summary\",\"status\",\"custom_codevtt_chargeinit\",\"custom_codevtt_raf\"]'),
('plugin_Csv_import_schema', 0, 0, 90, 1, '-1'),
('plugin_MantisGraph_schema', 0, 0, 90, 1, '-1'),
('view_issues_page_columns', 41, 2, 90, 3, '[\"selection\",\"edit\",\"id\",\"custom_ref. externe\",\"category_id\",\"target_version\",\"codevtt_command\",\"custom_codevtt_dead line\",\"status\",\"custom_codevtt_type\",\"codevtt_elapsed\",\"custom_codevtt_raf\",\"last_updated\",\"summary\"]'),
('print_issues_page_columns', 0, 0, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"sponsorship_total\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('view_issues_page_columns', 0, 88, 90, 3, '[\"custom_ref. externe\",\"selection\",\"edit\",\"priority\",\"id\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"custom_codevtt_type\",\"severity\",\"status\",\"last_updated\",\"custom_codevtt_chargeinit\",\"custom_codevtt_raf\",\"summary\",\"target_version\"]'),
('plugin_XmlImportExport_schema', 0, 0, 90, 1, '-1'),
('plugin_XmlImportExport_import_threshold', 0, 0, 90, 1, '70'),
('plugin_FilterBugList_schema', 0, 0, 90, 1, '-1'),
('bug_submit_status', 73, 0, 90, 1, '90'),
('bug_assigned_status', 73, 0, 90, 1, '90'),
('plugin_Taskodrome_schema', 0, 0, 90, 1, '-1'),
('view_issues_page_columns', 0, 144, 90, 3, '[\"selection\",\"id\",\"custom_ref. externe\",\"sponsorship_total\",\"bugnotes_count\",\"category_id\",\"custom_codevtt_type\",\"status\",\"last_updated\",\"custom_codevtt_chargeinit\",\"custom_codevtt_raf\",\"summary\"]'),
('view_issues_page_columns', 41, 72, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"custom_codevtt_type\",\"custom_rsi_type_ano\",\"severity\",\"status\",\"last_updated\",\"custom_codevtt_chargemgr\",\"custom_codevtt_chargeinit\",\"custom_codevtt_raf\",\"codevtt_elapsed\",\"codevtt_command\",\"summary\"]'),
('bug_submit_status', 81, 0, 90, 1, '90'),
('bug_assigned_status', 81, 0, 90, 1, '90'),
('status_enum_workflow', 41, 0, 90, 3, '{\"10\":\"30:acknowledged,20:feedback,40:analyzed,50:open,80:resolved\",\"20\":\"30:acknowledged,40:analyzed,50:open,80:resolved\",\"30\":\"40:analyzed,20:feedback,50:open,80:resolved\",\"40\":\"50:open,20:feedback,80:resolved\",\"50\":\"80:resolved,20:feedback\",\"80\":\"82:validated,20:feedback,30:acknowledged,50:open,85:delivered,90:closed\",\"82\":\"85:delivered,20:feedback,30:acknowledged,90:closed\",\"85\":\"90:closed,20:feedback\",\"90\":\"20:feedback\"}'),
('plugin_Source_schema', 0, 0, 90, 1, '15'),
('plugin_SourceGitlab_schema', 0, 0, 90, 1, '-1'),
('plugin_SourceSVN_schema', 0, 0, 90, 1, '-1'),
('plugin_Source_api_key', 0, 0, 90, 2, '883107830748c5f9c733f10f'),
('plugin_Source_buglink_regex_1', 0, 0, 90, 2, '/\\[m(\\d*)[1-9](\\d*)\\].*/i'),
('plugin_Source_buglink_regex_2', 0, 0, 90, 2, '/(\\d+)/'),
('plugin_Source_bugfix_regex_1', 0, 0, 90, 2, '/\\[m(\\d*)[1-9](\\d*)\\].*/i'),
('plugin_Source_bugfix_regex_2', 0, 0, 90, 2, '/(\\d+)/'),
('plugin_jQueryUI_schema', 0, 0, 90, 1, '-1'),
('plugin_jQuery_schema', 0, 0, 90, 1, '-1'),
('plugin_InlineColumnConfiguration_schema', 0, 0, 90, 1, '-1'),
('plugin_Freemind_schema', 0, 0, 90, 1, '-1'),
('print_issues_page_columns', 41, 2, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 0, 88, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 41, 2, 90, 3, '[\"id\",\"project_id\",\"reporter_id\",\"handler_id\",\"priority\",\"severity\",\"reproducibility\",\"version\",\"category_id\",\"date_submitted\",\"os\",\"os_build\",\"platform\",\"view_state\",\"last_updated\",\"summary\",\"status\",\"resolution\",\"fixed_in_version\",\"custom_ref. externe\"]'),
('csv_columns', 0, 88, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 41, 2, 90, 3, '[\"additional_information\",\"id\",\"project_id\",\"reporter_id\",\"handler_id\",\"priority\",\"severity\",\"reproducibility\",\"version\",\"category_id\",\"date_submitted\",\"os\",\"os_build\",\"platform\",\"view_state\",\"last_updated\",\"summary\",\"status\",\"resolution\",\"fixed_in_version\",\"custom_ref. externe\",\"notes\"]'),
('print_issues_page_columns', 0, 88, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('print_issues_page_columns', 41, 72, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 41, 72, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"custom_codevtt_type\",\"custom_rsi_type_ano\",\"severity\",\"status\",\"last_updated\",\"custom_codevtt_chargemgr\",\"custom_codevtt_chargeinit\",\"custom_codevtt_raf\",\"codevtt_elapsed\",\"codevtt_command\",\"summary\"]'),
('excel_columns', 41, 72, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"custom_codevtt_type\",\"custom_rsi_type_ano\",\"severity\",\"status\",\"last_updated\",\"custom_codevtt_chargemgr\",\"custom_codevtt_chargeinit\",\"custom_codevtt_raf\",\"codevtt_elapsed\",\"codevtt_command\",\"summary\"]'),
('print_issues_page_columns', 0, 163, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"fixed_in_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 163, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"fixed_in_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 0, 163, 90, 3, '[\"id\",\"custom_ref. externe\",\"version\",\"priority\",\"resolution\",\"custom_cnaf_type\",\"fixed_in_version\",\"summary\",\"description\",\"additional_information\"]'),
('view_issues_page_columns', 0, 142, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"fixed_in_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('print_issues_page_columns', 0, 142, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"fixed_in_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 142, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"fixed_in_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 0, 142, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"fixed_in_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('plugin_Gravatar_schema', 0, 0, 90, 1, '-1'),
('view_issues_page_columns', 41, 200, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\",\"codevtt_command\"]'),
('print_issues_page_columns', 41, 200, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 41, 200, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 41, 200, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\",\"description\",\"codevtt_command\",\"custom_codevtt_chargeinit\"]'),
('plugin_Source_view_threshold', 0, 0, 90, 1, '55'),
('plugin_Source_update_threshold', 0, 0, 90, 1, '55'),
('view_issues_page_columns', 0, 248, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"custom_CodevTT_ChargeInit\",\"custom_CodevTT_RAF\",\"custom_CodevTT_Dead Line\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('print_issues_page_columns', 0, 248, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 248, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 0, 248, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('plugin_BBCodePlus_schema', 0, 0, 90, 1, '-1'),
('view_issues_page_columns', 73, 2, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"codevtt_elapsed\",\"summary\"]'),
('print_issues_page_columns', 73, 2, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"codevtt_elapsed\",\"last_updated\",\"summary\"]'),
('view_issues_page_columns', 0, 227, 90, 3, '[\"selection\",\"edit\",\"project_id\",\"category_id\",\"id\",\"priority\",\"severity\",\"summary\",\"custom_ref. externe\",\"target_version\",\"status\",\"resolution\",\"last_updated\"]'),
('print_issues_page_columns', 0, 227, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 227, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_ref. externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 0, 227, 90, 3, '[\"project_id\",\"category_id\",\"id\",\"priority\",\"severity\",\"summary\",\"custom_ref. externe\",\"target_version\",\"status\",\"resolution\",\"last_updated\"]'),
('view_issues_page_columns', 0, 452, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"category_id\",\"status\",\"resolution\",\"summary\",\"custom_CodevTT_Date Livraison\",\"fixed_in_version\",\"last_updated\"]'),
('print_issues_page_columns', 0, 452, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_Ref. Externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('csv_columns', 0, 452, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_Ref. Externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]'),
('excel_columns', 0, 452, 90, 3, '[\"selection\",\"edit\",\"priority\",\"id\",\"custom_Ref. Externe\",\"target_version\",\"bugnotes_count\",\"attachment_count\",\"category_id\",\"severity\",\"status\",\"resolution\",\"last_updated\",\"summary\"]');

-- --------------------------------------------------------

--
-- Structure de la table `mantis_custom_field_project_table`
--

DROP TABLE IF EXISTS `mantis_custom_field_project_table`;
CREATE TABLE `mantis_custom_field_project_table` (
  `field_id` int(11) NOT NULL DEFAULT 0,
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `sequence` smallint(6) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_custom_field_project_table`
--

INSERT INTO `mantis_custom_field_project_table` (`field_id`, `project_id`, `sequence`) VALUES
(2, 41, 101),
(4, 41, 102),
(3, 41, 103),
(1, 41, 104),
(6, 41, 105),
(7, 41, 106),
(5, 41, 107),
(8, 41, 108),
(8, 73, 7),
(5, 73, 6),
(7, 73, 5),
(6, 73, 4),
(1, 73, 3),
(3, 73, 2),
(2, 73, 101),
(4, 73, 102),
(3, 81, 2),
(1, 81, 3),
(6, 81, 4),
(7, 81, 5),
(5, 81, 6),
(8, 81, 7),
(2, 81, 101),
(4, 81, 102),
(11, 41, 0);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_custom_field_string_table`
--

DROP TABLE IF EXISTS `mantis_custom_field_string_table`;
CREATE TABLE `mantis_custom_field_string_table` (
  `field_id` int(11) NOT NULL DEFAULT 0,
  `bug_id` int(11) NOT NULL DEFAULT 0,
  `value` varchar(255) NOT NULL DEFAULT '',
  `text` longtext DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_custom_field_string_table`
--

INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(7, 3459, '0', NULL),
(8, 2897, '', NULL),
(5, 3460, '1420498800', NULL),
(2, 3460, 'Task', NULL),
(1, 3460, '2.8', NULL),
(3, 3460, '3.4', NULL),
(4, 3460, 'R8219173', NULL),
(5, 3459, '1420498800', NULL),
(2, 3459, 'Task', NULL),
(1, 3459, '4.7', NULL),
(3, 3459, '5.6', NULL),
(4, 3459, 'R8218942', NULL),
(8, 3455, '', NULL),
(5, 3455, '1421103600', NULL),
(7, 3455, '0', NULL),
(6, 3455, '', NULL),
(1, 3455, '2', NULL),
(3, 3455, '2.5', NULL),
(4, 3455, 'R8213398', NULL),
(2, 3455, 'Task', NULL),
(5, 2897, '', NULL),
(6, 2897, '', NULL),
(2, 3454, 'Task', NULL),
(1, 3454, '2.5', NULL),
(3, 3454, '0', NULL),
(4, 3454, 'R8218711', NULL),
(2, 3453, 'Task', NULL),
(1, 3453, '4.2', NULL),
(3, 3453, '5', NULL),
(4, 3453, 'R8218480', NULL),
(3, 1436, '0', NULL),
(1, 1436, '1', NULL),
(6, 1436, '', NULL),
(7, 1436, '', NULL),
(5, 1436, '', NULL),
(8, 1436, '', NULL),
(3, 1437, '0', NULL),
(1, 1437, '0', NULL),
(6, 1437, '', NULL),
(7, 1437, '', NULL),
(5, 1437, '', NULL),
(8, 1437, '', NULL),
(3, 1431, '', NULL),
(1, 1431, '', NULL),
(6, 1431, '', NULL),
(7, 1431, '', NULL),
(5, 1431, '', NULL),
(8, 1431, '', NULL),
(3, 1435, '', NULL),
(1, 1435, '', NULL),
(6, 1435, '', NULL),
(7, 1435, '', NULL),
(5, 1435, '', NULL),
(8, 1435, '', NULL),
(2, 1435, 'Task', NULL),
(4, 1435, '', NULL),
(2, 1436, '', NULL),
(4, 1436, '', NULL),
(2, 1448, 'Task', NULL),
(4, 1448, '', NULL),
(3, 1448, '5', NULL),
(1, 1448, '5', NULL),
(6, 1448, '', NULL),
(7, 1448, '0', NULL),
(5, 1448, '', NULL),
(8, 1448, '', NULL),
(2, 1449, 'Task', NULL),
(4, 1449, '', NULL),
(3, 1449, '5', NULL),
(1, 1449, '5', NULL),
(6, 1449, '', NULL),
(7, 1449, '0', NULL),
(5, 1449, '', NULL),
(8, 1449, '', NULL),
(5, 1596, '1415833200', NULL),
(2, 1596, 'Task', NULL),
(1, 1596, '5', NULL),
(3, 1596, '0', NULL),
(8, 1858, '', NULL),
(5, 1858, '1412028000', NULL),
(6, 1858, '', NULL),
(1, 1858, '1', NULL),
(3, 1858, '0', NULL),
(4, 1858, 'R82924', NULL),
(2, 1858, 'Task', NULL),
(7, 1858, '0', NULL),
(8, 2819, '', NULL),
(5, 2819, '', NULL),
(7, 2819, '0', NULL),
(6, 2819, '', NULL),
(8, 3144, '', NULL),
(5, 3144, '', NULL),
(7, 3144, '0', NULL),
(6, 3144, '', NULL),
(1, 3144, '2', NULL),
(4, 1862, 'R821155', NULL),
(1, 1862, '2', NULL),
(2, 1862, 'Task', NULL),
(5, 1862, '1412114400', NULL),
(3, 3144, '0', NULL),
(4, 3144, 'R821386', NULL),
(2, 3144, 'Bug', NULL),
(4, 1864, 'R821617', NULL),
(1, 1864, '2', NULL),
(2, 1864, 'Task', NULL),
(5, 1864, '1446246000', NULL),
(4, 1866, 'R821848', NULL),
(1, 1866, '3', NULL),
(2, 1866, 'Task', NULL),
(5, 1866, '1412892000', NULL),
(4, 1867, 'R822079', NULL),
(1, 1867, '2', NULL),
(2, 1867, 'Task', NULL),
(5, 1867, '1411077600', NULL),
(4, 1868, 'R822310', NULL),
(1, 1868, '2', NULL),
(2, 1868, 'Task', NULL),
(5, 1868, '1414101600', NULL),
(4, 1869, 'R822541', NULL),
(1, 1869, '2', NULL),
(2, 1869, 'Task', NULL),
(5, 1869, '1413842400', NULL),
(4, 1870, 'R822772', NULL),
(1, 1870, '3', NULL),
(2, 1870, 'Task', NULL),
(5, 1870, '1415574000', NULL),
(4, 1871, 'R823003', NULL),
(1, 1871, '2', NULL),
(2, 1871, 'Task', NULL),
(5, 1871, '1446246000', NULL),
(4, 1876, 'R823465', NULL),
(1, 1876, '2', NULL),
(2, 1876, 'Task', NULL),
(5, 1876, '1412200800', NULL),
(4, 1877, 'R823696', NULL),
(1, 1877, '2', NULL),
(2, 1877, 'Task', NULL),
(5, 1877, '1414623600', NULL),
(4, 3137, 'R823234', NULL),
(2, 3137, 'Task', NULL),
(7, 1867, '0', NULL),
(3, 2041, '0', NULL),
(1, 2041, '1', NULL),
(6, 2041, '', NULL),
(7, 2041, '', NULL),
(5, 2041, '', NULL),
(8, 2041, '', NULL),
(2, 2041, 'Task', NULL),
(4, 2041, '', NULL),
(7, 1876, '0', NULL),
(3, 2088, '0', NULL),
(1, 2088, '0', NULL),
(6, 2088, '', NULL),
(7, 2088, '', NULL),
(5, 2088, '', NULL),
(8, 2088, '', NULL),
(2, 2088, 'Task', NULL),
(4, 2088, '', NULL),
(3, 2089, '0', NULL),
(1, 2089, '0', NULL),
(6, 2089, '', NULL),
(7, 2089, '', NULL),
(5, 2089, '', NULL),
(8, 2089, '', NULL),
(2, 2089, 'Task', NULL),
(4, 2089, '', NULL),
(7, 1862, '0', NULL),
(2, 1437, 'Task', NULL),
(4, 1437, '', NULL),
(3, 1862, '', NULL),
(6, 1862, '3', NULL),
(8, 1862, '', NULL),
(7, 1596, '', NULL),
(8, 2120, '', NULL),
(5, 2120, '', NULL),
(7, 2120, '0', NULL),
(6, 2120, '', NULL),
(1, 2120, '1.3', NULL),
(4, 2120, 'R824158', NULL),
(2, 2120, 'Task', NULL),
(2, 2121, 'Task', NULL),
(4, 2121, 'R824389', NULL),
(3, 2121, '5.8', NULL),
(1, 2121, '5', NULL),
(6, 2121, '', NULL),
(7, 2121, '0', NULL),
(5, 2121, '1412287200', NULL),
(8, 2121, '', NULL),
(3, 2120, '1.5', NULL),
(4, 4313, 'R8212012', NULL),
(2, 2131, 'Task', NULL),
(4, 2131, 'R824620', NULL),
(3, 2131, '2', NULL),
(1, 2131, '1.7', NULL),
(6, 2131, '', NULL),
(7, 2131, '0', NULL),
(5, 2131, '1415746800', NULL),
(8, 2131, '', NULL),
(3, 1866, '3', NULL),
(6, 1866, '', NULL),
(7, 1866, '0', NULL),
(8, 1866, '', NULL),
(3, 1867, '', NULL),
(6, 1867, '', NULL),
(8, 1867, '', NULL),
(3, 1869, '', NULL),
(6, 1869, '', NULL),
(7, 1869, '0', NULL),
(8, 1869, '', NULL),
(3, 1870, '3', NULL),
(6, 1870, '', NULL),
(7, 1870, '0', NULL),
(8, 1870, '', NULL),
(2, 2132, 'Task', NULL),
(4, 2132, 'R824851', NULL),
(3, 2132, '2', NULL),
(1, 2132, '2', NULL),
(6, 2132, '', NULL),
(7, 2132, '0', NULL),
(5, 2132, '', NULL),
(8, 2132, '', NULL),
(2, 2133, 'Task', NULL),
(4, 2133, 'R825082', NULL),
(3, 2133, '5', NULL),
(1, 2133, '5', NULL),
(6, 2133, '', NULL),
(7, 2133, '0', NULL),
(5, 2133, '1414710000', NULL),
(8, 2133, '', NULL),
(3, 1876, '', NULL),
(6, 1876, '', NULL),
(8, 1876, '', NULL),
(3, 1877, '', NULL),
(6, 1877, '', NULL),
(7, 1877, '0', NULL),
(8, 1877, '', NULL),
(3, 2779, '5', NULL),
(4, 2779, '', NULL),
(2, 2779, 'Task', NULL),
(7, 1871, '0', NULL),
(4, 2780, '', NULL),
(2, 2780, 'Task', NULL),
(8, 2780, '', NULL),
(3, 1868, '', NULL),
(6, 1868, '', NULL),
(7, 1868, '0', NULL),
(8, 1868, '', NULL),
(5, 2780, '', NULL),
(7, 2780, '', NULL),
(6, 2780, '', NULL),
(1, 2780, '1', NULL),
(3, 2780, '0', NULL),
(4, 1596, '', NULL),
(8, 1596, '', NULL),
(6, 1596, '', NULL),
(8, 2779, '', NULL),
(5, 2779, '1414710000', NULL),
(7, 2779, '0', NULL),
(6, 2779, '', NULL),
(1, 2779, '5', NULL),
(2, 2383, 'Task', NULL),
(4, 2383, 'R8212243', NULL),
(3, 2383, '5.3', NULL),
(1, 2383, '5', NULL),
(6, 2383, '', NULL),
(7, 2383, '0', NULL),
(5, 2383, '1418684400', NULL),
(8, 2383, '', NULL),
(8, 2838, '', NULL),
(8, 2841, '', NULL),
(2, 2465, 'Task', NULL),
(4, 2465, 'R8212474', NULL),
(3, 2465, '2.7', NULL),
(1, 2465, '2.25', NULL),
(6, 2465, '', NULL),
(7, 2465, '0', NULL),
(5, 2465, '1416178800', NULL),
(8, 2465, '', NULL),
(2, 2650, 'Task', NULL),
(4, 2650, '', NULL),
(3, 2650, '0', NULL),
(1, 2650, '1', NULL),
(6, 2650, '', NULL),
(7, 2650, '0', NULL),
(5, 2650, '1418684400', NULL),
(8, 2650, '', NULL),
(2, 2652, 'Task', NULL),
(4, 2652, '', NULL),
(3, 2652, '0', NULL),
(1, 2652, '1', NULL),
(6, 2652, '', NULL),
(7, 2652, '0', NULL),
(5, 2652, '1416265200', NULL),
(8, 2652, '', NULL),
(4, 2810, 'R8212705', NULL),
(3, 2810, '1.4', NULL),
(1, 2810, '1.2', NULL),
(2, 2810, 'Task', NULL),
(8, 2810, '', NULL),
(5, 2810, '', NULL),
(7, 2810, '0', NULL),
(6, 2810, '', NULL),
(8, 2814, '', NULL),
(5, 2814, '', NULL),
(6, 2814, '', NULL),
(4, 4310, 'R8210857', NULL),
(2, 4310, 'Bug', NULL),
(4, 2814, 'R8211781', NULL),
(3, 2814, '0.6', NULL),
(1, 2814, '0.5', NULL),
(2, 2814, 'Task', NULL),
(7, 4310, '0', NULL),
(6, 4310, '', NULL),
(1, 4310, '2', NULL),
(3, 4310, '0', NULL),
(2, 4311, 'Bug', NULL),
(8, 4310, '', NULL),
(5, 4310, '', NULL),
(4, 2817, 'R8211088', NULL),
(3, 2817, '2.2', NULL),
(1, 2817, '1.8', NULL),
(2, 2817, 'Task', NULL),
(8, 2817, '', NULL),
(5, 2817, '', NULL),
(7, 2817, '0', NULL),
(6, 2817, '', NULL),
(4, 2819, 'R8210626', NULL),
(3, 2819, '7.5', NULL),
(1, 2819, '6.3', NULL),
(2, 2819, 'Task', NULL),
(4, 2820, 'R8210395', NULL),
(3, 2820, '3.6', NULL),
(1, 2820, '3.0', NULL),
(2, 2820, 'Task', NULL),
(4, 2821, 'R8210164', NULL),
(3, 2821, '10', NULL),
(1, 2821, '10', NULL),
(2, 2821, 'Task', NULL),
(6, 2820, '', NULL),
(8, 2821, '', NULL),
(5, 2821, '', NULL),
(6, 2821, '', NULL),
(3, 4313, '0', NULL),
(8, 2820, '', NULL),
(5, 2820, '', NULL),
(7, 2837, '0', NULL),
(8, 2839, '', NULL),
(7, 2839, '0', NULL),
(5, 4313, '1427410800', NULL),
(7, 4313, '0', NULL),
(6, 4313, '', NULL),
(1, 4313, '2', NULL),
(7, 4273, '2.5', NULL),
(8, 4313, '', NULL),
(2, 4319, 'Task', NULL),
(1, 4319, '4', NULL),
(1, 4320, '4', NULL),
(3, 4320, '5', NULL),
(4, 4320, 'R829702', NULL),
(3, 4321, '5', NULL),
(4, 4321, 'R829471', NULL),
(2, 4320, 'Task', NULL),
(4, 4322, 'R829240', NULL),
(2, 4321, 'Task', NULL),
(1, 4321, '4', NULL),
(2, 4322, 'Task', NULL),
(1, 4322, '4', NULL),
(3, 4322, '5', NULL),
(4, 2835, 'R828316', NULL),
(3, 2835, '6', NULL),
(1, 2835, '5', NULL),
(2, 2835, 'Task', NULL),
(2, 4313, 'Bug', NULL),
(2, 2904, 'Task', NULL),
(1, 2904, '5.1', NULL),
(3, 2904, '6.1', NULL),
(4, 2837, 'R827854', NULL),
(3, 2837, '0.3', NULL),
(1, 2837, '0.3', NULL),
(2, 2837, 'Task', NULL),
(4, 2838, 'R827623', NULL),
(3, 2838, '0.5', NULL),
(1, 2838, '0.4', NULL),
(2, 2838, 'Task', NULL),
(4, 2839, 'R827392', NULL),
(3, 2839, '0.3', NULL),
(1, 2839, '0.3', NULL),
(2, 2839, 'Task', NULL),
(4, 2840, 'R827161', NULL),
(3, 2840, '1.2', NULL),
(1, 2840, '1.0', NULL),
(2, 2840, 'Task', NULL),
(4, 2841, 'R826930', NULL),
(3, 2841, '0.2', NULL),
(1, 2841, '0.2', NULL),
(2, 2841, 'Task', NULL),
(4, 2842, 'R826699', NULL),
(3, 2842, '0.5', NULL),
(1, 2842, '0.4', NULL),
(2, 2842, 'Task', NULL),
(4, 2844, 'R826468', NULL),
(3, 2844, '4.5', NULL),
(1, 2844, '3.75', NULL),
(2, 2844, 'Task', NULL),
(7, 2821, '0', NULL),
(7, 2840, '0', NULL),
(7, 2909, '0', NULL),
(7, 2814, '0', NULL),
(7, 2904, '0', NULL),
(5, 8129, '', NULL),
(7, 8129, '0', NULL),
(6, 8129, '', NULL),
(1, 8129, '3', NULL),
(3, 8130, '0', NULL),
(4, 8130, 'R826006', NULL),
(2, 8130, 'Task', NULL),
(2, 2849, 'Task', NULL),
(4, 2849, '', NULL),
(3, 2849, '5', NULL),
(1, 2849, '5', NULL),
(6, 2849, '', NULL),
(7, 2849, '0', NULL),
(5, 2849, '1415314800', NULL),
(8, 2849, '', NULL),
(2, 2853, 'Task', NULL),
(4, 2853, '', NULL),
(3, 2853, '5', NULL),
(1, 2853, '5', NULL),
(6, 2853, '', NULL),
(7, 2853, '0', NULL),
(5, 2853, '', NULL),
(8, 2853, '', NULL),
(3, 2865, '0', NULL),
(1, 2865, '1', NULL),
(6, 2865, '', NULL),
(7, 2865, '', NULL),
(5, 2865, '', NULL),
(8, 2865, '', NULL),
(2, 2865, 'Task', NULL),
(4, 2865, '', NULL),
(4, 2904, 'R828085', NULL),
(2, 1431, '', NULL),
(4, 1431, '', NULL),
(3, 2894, '0', NULL),
(1, 2894, '1', NULL),
(6, 2894, '', NULL),
(7, 2894, '', NULL),
(5, 2894, '', NULL),
(8, 2894, '', NULL),
(2, 2894, 'Task', NULL),
(4, 2894, '', NULL),
(4, 2897, 'R8213629', NULL),
(3, 2897, '0.7', NULL),
(1, 2897, '0.6', NULL),
(2, 2897, 'Task', NULL),
(4, 2898, 'R8213860', NULL),
(3, 2898, '8.5', NULL),
(1, 2898, '7.1', NULL),
(2, 2898, 'Task', NULL),
(4, 2899, 'R8214091', NULL),
(3, 2899, '0.9', NULL),
(1, 2899, '0.8', NULL),
(2, 2899, 'Task', NULL),
(4, 2900, 'R8214322', NULL),
(3, 2900, '0.7', NULL),
(1, 2900, '0.6', NULL),
(2, 2900, 'Task', NULL),
(4, 2901, 'R8214553', NULL),
(3, 2901, '2.2', NULL),
(1, 2901, '1.8', NULL),
(2, 2901, 'Task', NULL),
(4, 2902, 'R8214784', NULL),
(3, 2902, '0.4', NULL),
(1, 2902, '0.3', NULL),
(2, 2902, 'Task', NULL),
(4, 2903, 'R8215015', NULL),
(3, 2903, '0.9', NULL),
(1, 2903, '0.8', NULL),
(2, 2903, 'Task', NULL),
(8, 4312, '', NULL),
(5, 4312, '', NULL),
(7, 4312, '0', NULL),
(4, 2906, 'R8215246', NULL),
(3, 2906, '11', NULL),
(1, 2906, '8', NULL),
(2, 2906, 'Task', NULL),
(6, 4312, '', NULL),
(1, 4312, '2', NULL),
(3, 4312, '0', NULL),
(4, 4312, 'R8211319', NULL),
(2, 4312, 'Bug', NULL),
(8, 4311, '', NULL),
(5, 4311, '', NULL),
(7, 4311, '0', NULL),
(4, 2909, 'R8215477', NULL),
(3, 2909, '2.5', NULL),
(1, 2909, '2.1', NULL),
(2, 2909, 'Task', NULL),
(6, 4311, '', NULL),
(1, 4311, '2', NULL),
(3, 4311, '0', NULL),
(4, 4311, 'R8211550', NULL),
(8, 2906, '', NULL),
(5, 2906, '', NULL),
(7, 2906, '0', NULL),
(6, 2906, '', NULL),
(2, 2912, 'Task', NULL),
(4, 2912, '', NULL),
(3, 2912, '2', NULL),
(1, 2912, '2', NULL),
(6, 2912, '', NULL),
(7, 2912, '0', NULL),
(5, 2912, '', NULL),
(8, 2912, '', NULL),
(7, 12138, '0', NULL),
(6, 12138, '', NULL),
(1, 12138, '2', NULL),
(3, 12138, '', NULL),
(4, 12138, 'R8216863', NULL),
(2, 12138, 'Task', NULL),
(11, 12138, '', NULL),
(7, 2844, '0', NULL),
(6, 2844, '', NULL),
(5, 2844, '', NULL),
(8, 2844, '', NULL),
(2, 3084, 'Task', NULL),
(4, 3084, 'R8217094', NULL),
(3, 3084, '4', NULL),
(1, 3084, '3.5', NULL),
(6, 3084, '', NULL),
(7, 3084, '0', NULL),
(5, 3084, '1416524400', NULL),
(8, 3084, '', NULL),
(7, 2841, '0', NULL),
(7, 2838, '0', NULL),
(7, 1864, '0', NULL),
(3, 3137, '7.5', NULL),
(1, 3137, '6', NULL),
(6, 3137, '', NULL),
(7, 3137, '0', NULL),
(5, 3137, '', NULL),
(8, 3137, '', NULL),
(6, 2904, '', NULL),
(5, 2904, '', NULL),
(8, 2904, '', NULL),
(6, 2909, '', NULL),
(5, 2909, '', NULL),
(8, 2909, '', NULL),
(3, 1864, '', NULL),
(6, 1864, '', NULL),
(8, 1864, '', NULL),
(8, 2837, '', NULL),
(7, 2842, '0', NULL),
(7, 2835, '0', NULL),
(7, 2898, '0', NULL),
(2, 3335, 'Task', NULL),
(4, 3335, 'R8218249', NULL),
(3, 3335, '6', NULL),
(1, 3335, '5', NULL),
(6, 3335, '', NULL),
(7, 3335, '0', NULL),
(5, 3335, '', NULL),
(8, 3335, '', NULL),
(8, 2842, '', NULL),
(7, 2897, '0', NULL),
(7, 2902, '0', NULL),
(6, 2835, '', NULL),
(5, 2835, '', NULL),
(8, 2835, '', NULL),
(5, 4057, '', NULL),
(7, 4057, '0', NULL),
(6, 4057, '', NULL),
(1, 4057, '2', NULL),
(3, 4057, '0', NULL),
(4, 3465, 'R8219635', NULL),
(3, 3465, '1.5', NULL),
(1, 3465, '1', NULL),
(2, 3465, 'Task', NULL),
(5, 3465, '1432677600', NULL),
(5, 4056, '1427752800', NULL),
(7, 4056, '0', NULL),
(6, 4056, '', NULL),
(1, 4056, '4', NULL),
(7, 3460, '0', NULL),
(2, 3467, 'Task', NULL),
(4, 3467, 'R8220097', NULL),
(3, 3467, '2', NULL),
(1, 3467, '1', NULL),
(6, 3467, '', NULL),
(7, 3467, '0', NULL),
(5, 3467, '', NULL),
(8, 3467, '', NULL),
(2, 3474, 'Task', NULL),
(4, 3474, '', NULL),
(3, 3474, '0.4', NULL),
(1, 3474, '0.3', NULL),
(6, 3474, '', NULL),
(7, 3474, '0', NULL),
(5, 3474, '', NULL),
(8, 3474, '', NULL),
(4, 3479, 'R8220559', NULL),
(3, 3479, '1.0', NULL),
(1, 3479, '0.8', NULL),
(2, 3479, 'Task', NULL),
(4, 3480, 'R8220790', NULL),
(3, 3480, '0.7', NULL),
(1, 3480, '0.6', NULL),
(2, 3480, 'Task', NULL),
(7, 3479, '0', NULL),
(7, 2899, '0', NULL),
(7, 3480, '0', NULL),
(2, 3541, 'Task', NULL),
(4, 3541, 'R8221021', NULL),
(3, 3541, '0', NULL),
(1, 3541, '1', NULL),
(6, 3541, '', NULL),
(7, 3541, '0', NULL),
(5, 3541, '', NULL),
(8, 3541, '1418857200', NULL),
(2, 3542, 'Task', NULL),
(4, 3542, 'R8221252', NULL),
(3, 3542, '0', NULL),
(1, 3542, '1', NULL),
(6, 3542, '', NULL),
(7, 3542, '0', NULL),
(5, 3542, '', NULL),
(8, 3542, '', NULL),
(2, 3543, 'Task', NULL),
(4, 3543, 'R8221483', NULL),
(3, 3543, '0', NULL),
(1, 3543, '5.4', NULL),
(6, 3543, '', NULL),
(7, 3543, '0', NULL),
(5, 3543, '', NULL),
(8, 3543, '1424127600', NULL),
(2, 3544, 'Task', NULL),
(4, 3544, 'R8221714', NULL),
(3, 3544, '0', NULL),
(1, 3544, '3.9', NULL),
(6, 3544, '', NULL),
(7, 3544, '0', NULL),
(5, 3544, '', NULL),
(8, 3544, '1423695600', NULL),
(2, 3545, 'Bug', NULL),
(4, 3545, 'R8221945', NULL),
(3, 3545, '0', NULL),
(1, 3545, '2', NULL),
(6, 3545, '', NULL),
(7, 3545, '0', NULL),
(5, 3545, '', NULL),
(8, 3545, '', NULL),
(2, 3546, 'Bug', NULL),
(4, 3546, 'R8222176', NULL),
(3, 3546, '0', NULL),
(1, 3546, '2', NULL),
(6, 3546, '', NULL),
(7, 3546, '0', NULL),
(5, 3546, '', NULL),
(8, 3546, '', NULL),
(2, 3547, 'Task', NULL),
(4, 3547, '', NULL),
(3, 3547, '0', NULL),
(1, 3547, '5', NULL),
(6, 3547, '', NULL),
(7, 3547, '0', NULL),
(5, 3547, '', NULL),
(8, 3547, '', NULL),
(2, 3548, 'Task', NULL),
(4, 3548, '', NULL),
(3, 3548, '0', NULL),
(1, 3548, '1', NULL),
(6, 3548, '', NULL),
(7, 3548, '0', NULL),
(5, 3548, '', NULL),
(8, 3548, '', NULL),
(7, 2820, '0', NULL),
(8, 2898, '1418338800', NULL),
(2, 3562, 'Task', NULL),
(4, 3562, '', NULL),
(3, 3562, '0', NULL),
(1, 3562, '2', NULL),
(6, 3562, '', NULL),
(7, 3562, '0', NULL),
(5, 3562, '', NULL),
(8, 3562, '', NULL),
(2, 3563, 'Task', NULL),
(4, 3563, '', NULL),
(3, 3563, '0', NULL),
(1, 3563, '1', NULL),
(6, 3563, '', NULL),
(7, 3563, '0', NULL),
(5, 3563, '', NULL),
(8, 3563, '', NULL),
(8, 3731, '', NULL),
(5, 3731, '', NULL),
(7, 3731, '0', NULL),
(6, 3731, '', NULL),
(1, 3731, '1', NULL),
(3, 3731, '1', NULL),
(4, 3731, 'R8223331', NULL),
(2, 3731, 'Task', NULL),
(2, 3612, 'Task', NULL),
(4, 3612, '', NULL),
(3, 3612, '0', NULL),
(1, 3612, '1', NULL),
(6, 3612, '', NULL),
(7, 3612, '0', NULL),
(5, 3612, '', NULL),
(8, 3612, '', NULL),
(2, 3613, 'Task', NULL),
(4, 3613, '', NULL),
(3, 3613, '0', NULL),
(1, 3613, '1', NULL),
(6, 3613, '', NULL),
(7, 3613, '0', NULL),
(5, 3613, '', NULL),
(8, 3613, '', NULL),
(2, 3615, 'Task', NULL),
(4, 3615, 'R8224024', NULL),
(3, 3615, '0', NULL),
(1, 3615, '1', NULL),
(6, 3615, '', NULL),
(7, 3615, '0', NULL),
(5, 3615, '1426806000', NULL),
(8, 3615, '', NULL),
(2, 3616, 'Task', NULL),
(4, 3616, '', NULL),
(3, 3616, '0', NULL),
(1, 3616, '1', NULL),
(6, 3616, '', NULL),
(7, 3616, '0', NULL),
(5, 3616, '', NULL),
(8, 3616, '', NULL),
(4, 3624, 'R8224486', NULL),
(3, 3624, '3.6', NULL),
(1, 3624, '3.0', NULL),
(2, 3624, 'Task', NULL),
(5, 3624, '1430344800', NULL),
(3, 4319, '5', NULL),
(4, 4319, 'R829933', NULL),
(2, 4318, 'Task', NULL),
(1, 4318, '4', NULL),
(3, 4318, '5', NULL),
(2, 3648, 'Task', NULL),
(4, 3648, '', NULL),
(3, 3648, '0', NULL),
(1, 3648, '1', NULL),
(6, 3648, '', NULL),
(7, 3648, '0', NULL),
(5, 3648, '', NULL),
(8, 3648, '', NULL),
(7, 3454, '0', NULL),
(4, 3682, 'R823927', NULL),
(3, 3682, '1.0', NULL),
(1, 3682, '0.8', NULL),
(2, 3682, 'Task', NULL),
(4, 3683, 'R8216401', NULL),
(3, 3683, '1.5', NULL),
(1, 3683, '1.3', NULL),
(2, 3683, 'Task', NULL),
(7, 4264, '0', NULL),
(6, 4264, '', NULL),
(3, 4255, '0', NULL),
(8, 3682, '', NULL),
(7, 3682, '0', NULL),
(2, 3686, 'Task', NULL),
(4, 3686, 'R8215939', NULL),
(3, 3686, '3', NULL),
(1, 3686, '1', NULL),
(6, 3686, '', NULL),
(7, 3686, '0', NULL),
(5, 3686, '', NULL),
(8, 3686, '', NULL),
(2, 3687, 'Task', NULL),
(4, 3687, 'R8216170', NULL),
(3, 3687, '0', NULL),
(1, 3687, '1', NULL),
(6, 3687, '', NULL),
(7, 3687, '0', NULL),
(5, 3687, '', NULL),
(8, 3687, '', NULL),
(2, 3688, 'Task', NULL),
(4, 3688, 'R8216632', NULL),
(3, 3688, '0', NULL),
(1, 3688, '1', NULL),
(6, 3688, '', NULL),
(7, 3688, '0', NULL),
(5, 3688, '1430258400', NULL),
(8, 3688, '', NULL),
(2, 3689, 'Task', NULL),
(4, 3689, 'R8217556', NULL),
(3, 3689, '0', NULL),
(1, 3689, '1', NULL),
(6, 3689, '', NULL),
(7, 3689, '0', NULL),
(5, 3689, '1430258400', NULL),
(8, 3689, '', NULL),
(2, 3690, 'Task', NULL),
(4, 3690, 'R8217325', NULL),
(3, 3690, '0', NULL),
(1, 3690, '1', NULL),
(6, 3690, '', NULL),
(7, 3690, '0', NULL),
(5, 3690, '', NULL),
(8, 3690, '', NULL),
(7, 3683, '0', NULL),
(2, 3698, 'Task', NULL),
(4, 3698, 'R8225410', NULL),
(3, 3698, '0', NULL),
(1, 3698, '1', NULL),
(6, 3698, '', NULL),
(7, 3698, '0', NULL),
(5, 3698, '', NULL),
(8, 3698, '', NULL),
(8, 3683, '', NULL),
(4, 3708, 'R8225641', NULL),
(3, 3708, '1.0', NULL),
(1, 3708, '0.8', NULL),
(2, 3708, 'Task', NULL),
(5, 3708, '1421967600', NULL),
(4, 3709, 'R8225872', NULL),
(3, 3709, '2.9', NULL),
(1, 3709, '2.9', NULL),
(2, 3709, 'Task', NULL),
(5, 3709, '1421967600', NULL),
(4, 3710, 'R8226103', NULL),
(3, 3710, '1.8', NULL),
(1, 3710, '1.5', NULL),
(2, 3710, 'Task', NULL),
(5, 3710, '1421967600', NULL),
(7, 3709, '0', NULL),
(7, 3710, '0', NULL),
(7, 3708, '0', NULL),
(2, 3732, 'Bug', NULL),
(4, 3732, 'R8226334', NULL),
(3, 3732, '0', NULL),
(1, 3732, '2', NULL),
(6, 3732, '', NULL),
(7, 3732, '0', NULL),
(5, 3732, '', NULL),
(8, 3732, '', NULL),
(2, 3733, 'Bug', NULL),
(4, 3733, 'R8226565', NULL),
(3, 3733, '0', NULL),
(1, 3733, '2', NULL),
(6, 3733, '', NULL),
(7, 3733, '0', NULL),
(5, 3733, '', NULL),
(8, 3733, '', NULL),
(2, 3734, 'Task', NULL),
(4, 3734, 'R8226796', NULL),
(3, 3734, '1.5', NULL),
(1, 3734, '1.2', NULL),
(6, 3734, '', NULL),
(7, 3734, '0', NULL),
(5, 3734, '', NULL),
(8, 3734, '', NULL),
(2, 3735, 'Bug', NULL),
(4, 3735, 'R8227027', NULL),
(3, 3735, '0', NULL),
(1, 3735, '2', NULL),
(6, 3735, '', NULL),
(7, 3735, '0', NULL),
(5, 3735, '', NULL),
(8, 3735, '', NULL),
(2, 3736, 'Bug', NULL),
(4, 3736, 'R8227258', NULL),
(3, 3736, '0', NULL),
(1, 3736, '2', NULL),
(6, 3736, '', NULL),
(7, 3736, '0', NULL),
(5, 3736, '', NULL),
(8, 3736, '', NULL),
(2, 3737, 'Task', NULL),
(4, 3737, 'R8227489', NULL),
(3, 3737, '7', NULL),
(1, 3737, '1', NULL),
(6, 3737, '', NULL),
(7, 3737, '0', NULL),
(5, 3737, '', NULL),
(8, 3737, '', NULL),
(2, 3738, 'Task', NULL),
(4, 3738, 'R8227720', NULL),
(3, 3738, '6', NULL),
(1, 3738, '5', NULL),
(6, 3738, '', NULL),
(7, 3738, '0', NULL),
(5, 3738, '', NULL),
(8, 3738, '', NULL),
(2, 3742, 'Task', NULL),
(4, 3742, '', NULL),
(3, 3742, '0', NULL),
(1, 3742, '1', NULL),
(6, 3742, '', NULL),
(7, 3742, '0', NULL),
(5, 3742, '', NULL),
(8, 3742, '', NULL),
(7, 3453, '0', NULL),
(2, 3819, 'Bug', NULL),
(4, 3819, 'R8228182', NULL),
(3, 3819, '0', NULL),
(1, 3819, '2', NULL),
(6, 3819, '', NULL),
(7, 3819, '0', NULL),
(5, 3819, '', NULL),
(8, 3819, '1423436400', NULL),
(2, 3823, 'Task', NULL),
(4, 3823, '', NULL),
(3, 3823, '0', NULL),
(1, 3823, '1', NULL),
(6, 3823, '', NULL),
(7, 3823, '0', NULL),
(5, 3823, '', NULL),
(8, 3823, '', NULL),
(2, 3824, 'Task', NULL),
(4, 3824, 'R8228644', NULL),
(3, 3824, '0', NULL),
(1, 3824, '1', NULL),
(6, 3824, '', NULL),
(7, 3824, '0', NULL),
(5, 3824, '1424300400', NULL),
(8, 3824, '', NULL),
(2, 3825, 'Bug', NULL),
(4, 3825, 'R8228875', NULL),
(3, 3825, '0', NULL),
(1, 3825, '5', NULL),
(6, 3825, '', NULL),
(7, 3825, '0', NULL),
(5, 3825, '', NULL),
(8, 3825, '', NULL),
(2, 3826, 'Bug', NULL),
(4, 3826, 'R8229106', NULL),
(3, 3826, '0', NULL),
(1, 3826, '2', NULL),
(6, 3826, '', NULL),
(7, 3826, '0', NULL),
(5, 3826, '', NULL),
(8, 3826, '', NULL),
(2, 3827, 'Bug', NULL),
(4, 3827, 'R8229337', NULL),
(3, 3827, '0', NULL),
(1, 3827, '2', NULL),
(6, 3827, '', NULL),
(7, 3827, '0', NULL),
(5, 3827, '', NULL),
(8, 3827, '', NULL),
(2, 3828, 'Bug', NULL),
(4, 3828, 'R8229568', NULL),
(3, 3828, '0', NULL),
(1, 3828, '2', NULL),
(6, 3828, '', NULL),
(7, 3828, '0', NULL),
(5, 3828, '', NULL),
(8, 3828, '', NULL),
(7, 4884, '0', NULL),
(8, 4883, '', NULL),
(5, 4883, '', NULL),
(7, 4883, '0', NULL),
(6, 4883, '', NULL),
(8, 4298, '', NULL),
(7, 4298, '', NULL),
(6, 4298, '', NULL),
(2, 3830, 'Bug', NULL),
(4, 3830, 'R8229799', NULL),
(3, 3830, '0', NULL),
(1, 3830, '2', NULL),
(6, 3830, '', NULL),
(7, 3830, '0', NULL),
(5, 3830, '', NULL),
(8, 3830, '', NULL),
(2, 3831, 'Task', NULL),
(4, 3831, 'R8230030', NULL),
(3, 3831, '0', NULL),
(1, 3831, '2', NULL),
(6, 3831, '', NULL),
(7, 3831, '0', NULL),
(5, 3831, '', NULL),
(8, 3831, '', NULL),
(2, 3832, 'Bug', NULL),
(4, 3832, 'R8230261', NULL),
(3, 3832, '0', NULL),
(1, 3832, '2', NULL),
(6, 3832, '', NULL),
(7, 3832, '0', NULL),
(5, 3832, '', NULL),
(8, 3832, '', NULL),
(4, 4318, 'R8224717', NULL),
(2, 3880, 'Bug', NULL),
(4, 3880, 'R8230492', NULL),
(3, 3880, '0', NULL),
(1, 3880, '2', NULL),
(6, 3880, '', NULL),
(7, 3880, '0', NULL),
(5, 3880, '', NULL),
(8, 3880, '', NULL),
(2, 3887, 'Task', NULL),
(4, 3887, 'R8230723', NULL),
(3, 3887, '0', NULL),
(1, 3887, '1', NULL),
(6, 3887, '', NULL),
(7, 3887, '0', NULL),
(5, 3887, '', NULL),
(8, 3887, '', NULL),
(2, 3888, 'Bug', NULL),
(4, 3888, 'R8230954', NULL),
(1, 3888, '1', NULL),
(6, 3888, '', NULL),
(7, 3888, '0', NULL),
(5, 3888, '', NULL),
(8, 3888, '', NULL),
(2, 3889, 'Bug', NULL),
(4, 3889, 'R8231185', NULL),
(1, 3889, '1', NULL),
(6, 3889, '', NULL),
(7, 3889, '0', NULL),
(5, 3889, '', NULL),
(8, 3889, '', NULL),
(2, 3890, 'Bug', NULL),
(4, 3890, 'R8231416', NULL),
(1, 3890, '1', NULL),
(6, 3890, '', NULL),
(7, 3890, '0', NULL),
(5, 3890, '', NULL),
(8, 3890, '', NULL),
(2, 3891, 'Bug', NULL),
(4, 3891, 'R8231647', NULL),
(1, 3891, '2', NULL),
(6, 3891, '', NULL),
(7, 3891, '0', NULL),
(5, 3891, '', NULL),
(8, 3891, '', NULL),
(2, 3892, 'Bug', NULL),
(4, 3892, 'R8231878', NULL),
(1, 3892, '2', NULL),
(6, 3892, '', NULL),
(7, 3892, '0', NULL),
(5, 3892, '', NULL),
(8, 3892, '', NULL),
(2, 3893, 'Bug', NULL),
(4, 3893, 'R8232109', NULL),
(1, 3893, '2', NULL),
(6, 3893, '', NULL),
(7, 3893, '0', NULL),
(5, 3893, '', NULL),
(8, 3893, '1447110000', NULL),
(2, 3894, 'Bug', NULL),
(4, 3894, 'R8232340', NULL),
(1, 3894, '2', NULL),
(6, 3894, '', NULL),
(7, 3894, '0', NULL),
(5, 3894, '', NULL),
(8, 3894, '', NULL),
(2, 3895, 'Bug', NULL),
(4, 3895, 'R8232571', NULL),
(3, 3895, '0', NULL),
(1, 3895, '2', NULL),
(6, 3895, '', NULL),
(7, 3895, '0', NULL),
(5, 3895, '', NULL),
(8, 3895, '', NULL),
(2, 3896, 'Bug', NULL),
(4, 3896, 'R8232802', NULL),
(1, 3896, '2', NULL),
(6, 3896, '', NULL),
(7, 3896, '0', NULL),
(5, 3896, '', NULL),
(8, 3896, '', NULL),
(4, 4057, 'R8219866', NULL),
(2, 4057, 'Bug', NULL),
(8, 4056, '', NULL),
(6, 3465, '', NULL),
(7, 3465, '0', NULL),
(8, 3465, '', NULL),
(3, 4056, '5', NULL),
(4, 4056, 'R8233033', NULL),
(2, 4056, 'Task', NULL),
(6, 3453, '', NULL),
(5, 3453, '', NULL),
(8, 3453, '', NULL),
(6, 3454, '', NULL),
(5, 3454, '', NULL),
(8, 3454, '', NULL),
(2, 3897, 'Task', NULL),
(4, 3897, '', NULL),
(3, 3897, '0', NULL),
(1, 3897, '1', NULL),
(6, 3897, '', NULL),
(7, 3897, '0', NULL),
(5, 3897, '', NULL),
(8, 3897, '', NULL),
(2, 3898, 'Bug', NULL),
(4, 3898, 'R8217787', NULL),
(3, 3898, '0', NULL),
(1, 3898, '2', NULL),
(6, 3898, '', NULL),
(7, 3898, '0', NULL),
(5, 3898, '', NULL),
(8, 3898, '', NULL),
(2, 3899, 'Bug', NULL),
(4, 3899, 'R8233495', NULL),
(3, 3899, '0', NULL),
(1, 3899, '2', NULL),
(6, 3899, '', NULL),
(7, 3899, '0', NULL),
(5, 3899, '', NULL),
(8, 3899, '', NULL),
(2, 3900, 'Bug', NULL),
(4, 3900, 'R8233726', NULL),
(3, 3900, '0', NULL),
(1, 3900, '2', NULL),
(6, 3900, '', NULL),
(7, 3900, '0', NULL),
(5, 3900, '', NULL),
(8, 3900, '', NULL),
(2, 3901, 'Bug', NULL),
(4, 3901, 'R8233957', NULL),
(3, 3901, '0', NULL),
(1, 3901, '2', NULL),
(6, 3901, '', NULL),
(7, 3901, '0', NULL),
(5, 3901, '', NULL),
(8, 3901, '', NULL),
(2, 3902, 'Bug', NULL),
(4, 3902, 'R8234188', NULL),
(3, 3902, '0', NULL),
(1, 3902, '2', NULL),
(6, 3902, '', NULL),
(7, 3902, '0', NULL),
(5, 3902, '', NULL),
(8, 3902, '', NULL),
(2, 3903, 'Bug', NULL),
(4, 3903, 'R8234419', NULL),
(3, 3903, '0', NULL),
(1, 3903, '2', NULL),
(6, 3903, '', NULL),
(7, 3903, '0', NULL),
(5, 3903, '', NULL),
(8, 3903, '', NULL),
(2, 3904, 'Bug', NULL),
(4, 3904, 'R8234650', NULL),
(3, 3904, '0', NULL),
(1, 3904, '5', NULL),
(6, 3904, '', NULL),
(7, 3904, '0', NULL),
(5, 3904, '', NULL),
(8, 3904, '', NULL),
(2, 3905, 'Bug', NULL),
(4, 3905, 'R8234881', NULL),
(3, 3905, '0', NULL),
(1, 3905, '2', NULL),
(6, 3905, '', NULL),
(7, 3905, '0', NULL),
(5, 3905, '', NULL),
(8, 3905, '', NULL),
(2, 3906, 'Bug', NULL),
(4, 3906, 'R8224948', NULL),
(3, 3906, '0', NULL),
(1, 3906, '2', NULL),
(6, 3906, '', NULL),
(7, 3906, '0', NULL),
(5, 3906, '', NULL),
(8, 3906, '', NULL),
(3, 3888, '0', NULL),
(3, 3889, '0', NULL),
(3, 3890, '0', NULL),
(2, 3907, 'Bug', NULL),
(4, 3907, 'R8235112', NULL),
(1, 3907, '1', NULL),
(6, 3907, '', NULL),
(7, 3907, '0', NULL),
(5, 3907, '', NULL),
(8, 3907, '', NULL),
(2, 3908, 'Bug', NULL),
(4, 3908, 'R8235343', NULL),
(1, 3908, '1', NULL),
(6, 3908, '', NULL),
(7, 3908, '0', NULL),
(5, 3908, '', NULL),
(8, 3908, '', NULL),
(3, 3907, '0', NULL),
(3, 3908, '0', NULL),
(2, 3909, 'Bug', NULL),
(4, 3909, 'R8235574', NULL),
(1, 3909, '1', NULL),
(6, 3909, '', NULL),
(7, 3909, '0', NULL),
(5, 3909, '', NULL),
(8, 3909, '', NULL),
(2, 3910, 'Task', NULL),
(4, 3910, 'R8235805', NULL),
(3, 3910, '5', NULL),
(1, 3910, '4', NULL),
(6, 3910, '', NULL),
(7, 3910, '0', NULL),
(5, 3910, '', NULL),
(8, 3910, '', NULL),
(3, 3909, '0', NULL),
(2, 3911, 'Bug', NULL),
(4, 3911, 'R8236036', NULL),
(3, 3911, '0', NULL),
(1, 3911, '2', NULL),
(6, 3911, '', NULL),
(7, 3911, '0', NULL),
(5, 3911, '', NULL),
(8, 3911, '', NULL),
(2, 3912, 'Bug', NULL),
(4, 3912, 'R8236267', NULL),
(3, 3912, '0', NULL),
(1, 3912, '2', NULL),
(6, 3912, '', NULL),
(7, 3912, '0', NULL),
(5, 3912, '', NULL),
(8, 3912, '', NULL),
(8, 3479, '', NULL),
(5, 3479, '', NULL),
(6, 3479, '', NULL),
(2, 3914, 'Bug', NULL),
(4, 3914, 'R8236498', NULL),
(3, 3914, '0', NULL),
(1, 3914, '2', NULL),
(6, 3914, '', NULL),
(7, 3914, '0', NULL),
(5, 3914, '', NULL),
(8, 3914, '', NULL),
(2, 3915, 'Bug', NULL),
(4, 3915, 'R8236729', NULL),
(3, 3915, '0', NULL),
(1, 3915, '2', NULL),
(6, 3915, '', NULL),
(7, 3915, '0', NULL),
(5, 3915, '', NULL),
(8, 3915, '', NULL),
(2, 3916, 'Bug', NULL),
(4, 3916, 'R8236960', NULL),
(3, 3916, '0', NULL),
(1, 3916, '2', NULL),
(6, 3916, '', NULL),
(7, 3916, '0', NULL),
(5, 3916, '', NULL),
(8, 3916, '', NULL),
(2, 3926, 'Bug', NULL),
(4, 3926, '', NULL),
(3, 3926, '0', NULL),
(1, 3926, '13', NULL),
(6, 3926, '', NULL),
(7, 3926, '0', NULL),
(5, 3926, '', NULL),
(8, 3926, '', NULL),
(7, 15292, '0', NULL),
(7, 15291, '0', NULL),
(2, 3940, 'Bug', NULL),
(4, 3940, 'R8237422', NULL),
(3, 3940, '0', NULL),
(1, 3940, '2', NULL),
(6, 3940, '', NULL),
(7, 3940, '0', NULL),
(5, 3940, '', NULL),
(8, 3940, '', NULL),
(2, 3941, 'Task', NULL),
(4, 3941, '', NULL),
(3, 3941, '0', NULL),
(1, 3941, '2', NULL),
(6, 3941, '', NULL),
(7, 3941, '0', NULL),
(5, 3941, '', NULL),
(8, 3941, '', NULL),
(2, 3942, 'Task', NULL),
(4, 3942, '', NULL),
(3, 3942, '0', NULL),
(1, 3942, '2', NULL),
(6, 3942, '', NULL),
(7, 3942, '0', NULL),
(5, 3942, '', NULL),
(8, 3942, '', NULL),
(2, 3943, 'Task', NULL),
(4, 3943, '', NULL),
(3, 3943, '0', NULL),
(1, 3943, '2', NULL),
(6, 3943, '', NULL),
(7, 3943, '0', NULL),
(5, 3943, '', NULL),
(8, 3943, '', NULL),
(3, 3965, '0', NULL),
(1, 3965, '2', NULL),
(6, 3965, '', NULL),
(7, 3965, '', NULL),
(5, 3965, '', NULL),
(8, 3965, '', NULL),
(2, 3965, 'Task', NULL),
(4, 3965, '', NULL),
(2, 3967, 'Task', NULL),
(4, 3967, '', NULL),
(1, 3967, '2', NULL),
(6, 3967, '', NULL),
(7, 3967, '0', NULL),
(5, 3967, '', NULL),
(8, 3967, '', NULL),
(6, 4873, '', NULL),
(8, 3709, '1421622000', NULL),
(6, 3709, '', NULL),
(2, 3968, 'Bug', NULL),
(4, 3968, 'R8238577', NULL),
(1, 3968, '2', NULL),
(6, 3968, '', NULL),
(7, 3968, '0', NULL),
(5, 3968, '', NULL),
(8, 3968, '', NULL),
(2, 3969, 'Bug', NULL),
(4, 3969, 'R8238808', NULL),
(1, 3969, '2', NULL),
(6, 3969, '', NULL),
(7, 3969, '0', NULL),
(5, 3969, '', NULL),
(8, 3969, '', NULL),
(2, 3970, 'Bug', NULL),
(4, 3970, 'R8239039', NULL),
(1, 3970, '2', NULL),
(6, 3970, '', NULL),
(7, 3970, '0', NULL),
(5, 3970, '', NULL),
(8, 3970, '', NULL),
(3, 3969, '0', NULL),
(3, 3970, '0', NULL),
(2, 4054, 'Bug', NULL),
(4, 4054, 'R8239963', NULL),
(3, 4054, '0', NULL),
(1, 4054, '2', NULL),
(6, 4054, '', NULL),
(7, 4054, '0', NULL),
(5, 4054, '', NULL),
(8, 4054, '', NULL),
(2, 4055, 'Bug', NULL),
(4, 4055, 'R8240194', NULL),
(3, 4055, '0', NULL),
(1, 4055, '2', NULL),
(6, 4055, '', NULL),
(7, 4055, '0', NULL),
(5, 4055, '', NULL),
(8, 4055, '', NULL),
(8, 4057, '1425510000', NULL),
(2, 4058, 'Bug', NULL),
(4, 4058, '', NULL),
(3, 4058, '0', NULL),
(1, 4058, '2', NULL),
(6, 4058, '', NULL),
(7, 4058, '0', NULL),
(5, 4058, '', NULL),
(8, 4058, '', NULL),
(2, 4059, 'Bug', NULL),
(4, 4059, 'R8240425', NULL),
(3, 4059, '0', NULL),
(1, 4059, '4', NULL),
(6, 4059, '', NULL),
(7, 4059, '0', NULL),
(5, 4059, '', NULL),
(8, 4059, '', NULL),
(2, 4060, 'Task', NULL),
(4, 4060, 'R8240656', NULL),
(3, 4060, '0', NULL),
(1, 4060, '2', NULL),
(6, 4060, '', NULL),
(7, 4060, '0', NULL),
(5, 4060, '', NULL),
(8, 4060, '', NULL),
(2, 4141, 'Bug', NULL),
(4, 4141, 'R8240887', NULL),
(3, 4141, '0', NULL),
(1, 4141, '2', NULL),
(6, 4141, '', NULL),
(7, 4141, '0', NULL),
(5, 4141, '', NULL),
(8, 4141, '', NULL),
(2, 4142, 'Bug', NULL),
(4, 4142, 'R8241118', NULL),
(3, 4142, '0', NULL),
(1, 4142, '2', NULL),
(6, 4142, '', NULL),
(7, 4142, '0', NULL),
(5, 4142, '', NULL),
(8, 4142, '', NULL),
(7, 4266, '0', NULL),
(8, 3708, '', NULL),
(1, 10792, '2', NULL),
(3, 10792, '0', NULL),
(4, 10792, 'R8252668', NULL),
(8, 4299, '', NULL),
(7, 4299, '1', NULL),
(6, 4299, '', NULL),
(2, 4144, 'Bug', NULL),
(4, 4144, 'R8241349', NULL),
(3, 4144, '0', NULL),
(1, 4144, '2', NULL),
(6, 4144, '', NULL),
(7, 4144, '0', NULL),
(5, 4144, '', NULL),
(8, 4144, '', NULL),
(2, 4145, 'Bug', NULL),
(4, 4145, 'R8241580', NULL),
(3, 4145, '0', NULL),
(1, 4145, '2', NULL),
(6, 4145, '', NULL),
(7, 4145, '0', NULL),
(5, 4145, '', NULL),
(8, 4145, '', NULL),
(2, 4146, 'Bug', NULL),
(4, 4146, 'R8241811', NULL),
(3, 4146, '0', NULL),
(1, 4146, '2', NULL),
(6, 4146, '', NULL),
(7, 4146, '0', NULL),
(5, 4146, '', NULL),
(8, 4146, '', NULL),
(2, 4147, 'Bug', NULL),
(4, 4147, 'R8242042', NULL),
(3, 4147, '0', NULL),
(1, 4147, '2', NULL),
(6, 4147, '', NULL),
(7, 4147, '0', NULL),
(5, 4147, '', NULL),
(8, 4147, '', NULL),
(2, 4148, 'Bug', NULL),
(4, 4148, 'R8242273', NULL),
(3, 4148, '0', NULL),
(1, 4148, '2', NULL),
(6, 4148, '', NULL),
(7, 4148, '0', NULL),
(5, 4148, '', NULL),
(8, 4148, '', NULL),
(2, 4151, 'Bug', NULL),
(4, 4151, 'R8242504', NULL),
(3, 4151, '0', NULL),
(1, 4151, '2', NULL),
(6, 4151, '', NULL),
(7, 4151, '0', NULL),
(5, 4151, '', NULL),
(8, 4151, '1425855600', NULL),
(2, 4152, 'Bug', NULL),
(4, 4152, 'R8242735', NULL),
(3, 4152, '0', NULL),
(1, 4152, '2', NULL),
(6, 4152, '', NULL),
(7, 4152, '0', NULL),
(5, 4152, '', NULL),
(8, 4152, '', NULL),
(2, 4159, 'Task', NULL),
(4, 4159, 'R8242966', NULL),
(3, 4159, '0', NULL),
(1, 4159, '2', NULL),
(6, 4159, '', NULL),
(7, 4159, '0', NULL),
(5, 4159, '', NULL),
(8, 4159, '', NULL),
(2, 4208, 'Task', NULL),
(4, 4208, '', NULL),
(3, 4208, '0', NULL),
(1, 4208, '2', NULL),
(6, 4208, '', NULL),
(7, 4208, '0', NULL),
(5, 4208, '', NULL),
(8, 4208, '', NULL),
(2, 4209, 'Bug', NULL),
(4, 4209, 'R8239501', NULL),
(1, 4209, '2', NULL),
(6, 4209, '', NULL),
(7, 4209, '0', NULL),
(5, 4209, '1428962400', NULL),
(8, 4209, '', NULL),
(2, 4210, 'Task', NULL),
(4, 4210, 'R8239732', NULL),
(1, 4210, '2', NULL),
(6, 4210, '', NULL),
(7, 4210, '0.5', NULL),
(5, 4210, '', NULL),
(8, 4210, '', NULL),
(2, 4244, 'Task', NULL),
(4, 4244, '', NULL),
(1, 4244, '2', NULL),
(6, 4244, '', NULL),
(7, 4244, '0', NULL),
(5, 4244, '1426028400', NULL),
(8, 4244, '', NULL),
(2, 4245, 'Task', NULL),
(4, 4245, '', NULL),
(1, 4245, '2', NULL),
(6, 4245, '', NULL),
(7, 4245, '0', NULL),
(5, 4245, '1426028400', NULL),
(8, 4245, '', NULL),
(2, 4246, 'Bug', NULL),
(4, 4246, '', NULL),
(1, 4246, '2', NULL),
(6, 4246, '', NULL),
(7, 4246, '0', NULL),
(5, 4246, '1426028400', NULL),
(8, 4246, '', NULL),
(5, 4255, '1394665200', NULL),
(7, 4255, '0', NULL),
(6, 4255, '', NULL),
(1, 4255, '2', NULL),
(4, 4255, '', NULL),
(2, 4255, 'Bug', NULL),
(8, 4255, '', NULL),
(8, 4262, '', NULL),
(5, 4262, '', NULL),
(7, 4262, '0', NULL),
(6, 4262, '', NULL),
(1, 4262, '2', NULL),
(4, 4262, 'R8244121', NULL),
(2, 4262, 'Bug', NULL),
(5, 4259, '1426201200', NULL),
(7, 4259, '0', NULL),
(6, 4259, '', NULL),
(1, 4259, '2', NULL),
(4, 4259, 'R8244352', NULL),
(2, 4259, 'Task', NULL),
(8, 4259, '', NULL),
(2, 4260, 'Task', NULL),
(4, 4260, 'R8244583', NULL),
(1, 4260, '3', NULL),
(6, 4260, '', NULL),
(7, 4260, '0', NULL),
(5, 4260, '1426201200', NULL),
(8, 4260, '', NULL),
(4, 4263, 'R8244814', NULL),
(3, 4263, '0', NULL),
(1, 4263, '2', NULL),
(2, 4263, 'Bug', NULL),
(5, 4263, '1426806000', NULL),
(4, 4264, 'R8245045', NULL),
(3, 4264, '0', NULL),
(1, 4264, '2', NULL),
(2, 4264, 'Bug', NULL),
(5, 4264, '1430949600', NULL),
(4, 4265, 'R8245276', NULL),
(3, 4265, '0', NULL),
(1, 4265, '2', NULL),
(2, 4265, 'Bug', NULL),
(5, 4265, '', NULL),
(4, 4266, 'R8245507', NULL),
(3, 4266, '0', NULL),
(1, 4266, '2', NULL),
(2, 4266, 'Bug', NULL),
(5, 4266, '', NULL),
(4, 4267, 'R8245738', NULL),
(3, 4267, '0', NULL),
(1, 4267, '2', NULL),
(2, 4267, 'Bug', NULL),
(5, 4267, '1430949600', NULL),
(4, 4268, 'R8245969', NULL),
(3, 4268, '0', NULL),
(1, 4268, '2', NULL),
(2, 4268, 'Bug', NULL),
(5, 4268, '1430949600', NULL),
(4, 4269, 'R8246200', NULL),
(3, 4269, '0', NULL),
(1, 4269, '2', NULL),
(2, 4269, 'Bug', NULL),
(5, 4269, '1426806000', NULL),
(4, 4270, 'R8246431', NULL),
(3, 4270, '0', NULL),
(1, 4270, '2', NULL),
(2, 4270, 'Bug', NULL),
(5, 4270, '1427666400', NULL),
(4, 4271, 'R8246662', NULL),
(3, 4271, '0', NULL),
(1, 4271, '2', NULL),
(2, 4271, 'Bug', NULL),
(5, 4271, '1426806000', NULL),
(4, 4272, 'R8246893', NULL),
(3, 4272, '0', NULL),
(1, 4272, '2', NULL),
(2, 4272, 'Bug', NULL),
(5, 4272, '1430949600', NULL),
(4, 4273, 'R8247124', NULL),
(3, 4273, '0', NULL),
(1, 4273, '2', NULL),
(2, 4273, 'Bug', NULL),
(5, 4273, '', NULL),
(5, 4275, '', NULL),
(2, 4275, 'Bug', NULL),
(1, 4275, '2', NULL),
(3, 4275, '0', NULL),
(4, 4275, 'R8247586', NULL),
(6, 4265, '', NULL),
(7, 4265, '0', NULL),
(8, 4265, '', NULL),
(6, 4263, '', NULL),
(7, 4263, '0', NULL),
(8, 4263, '', NULL),
(6, 4267, '', NULL),
(7, 4267, '0', NULL),
(8, 4267, '', NULL),
(6, 4269, '', NULL),
(7, 4269, '0', NULL),
(8, 4269, '', NULL),
(6, 4271, '', NULL),
(7, 4271, '0', NULL),
(8, 4271, '', NULL),
(3, 4210, '2', NULL),
(2, 6210, 'Bug', NULL),
(4, 4276, 'R8247355', NULL),
(3, 4276, '0', NULL),
(1, 4276, '2', NULL),
(2, 4276, 'Bug', NULL),
(5, 4276, '', NULL),
(8, 8793, '', NULL),
(5, 8793, '', NULL),
(7, 8793, '0', NULL),
(6, 8793, '', NULL),
(1, 8793, '3', NULL),
(4, 4278, 'R8248048', NULL),
(3, 4278, '0', NULL),
(1, 4278, '4', NULL),
(2, 4278, 'Bug', NULL),
(5, 4278, '', NULL),
(4, 4279, 'R8248279', NULL),
(3, 4279, '0', NULL),
(1, 4279, '2', NULL),
(2, 4279, 'Bug', NULL),
(5, 4279, '1428962400', NULL),
(4, 4280, 'R8248510', NULL),
(3, 4280, '0', NULL),
(1, 4280, '0', NULL),
(2, 4280, 'Bug', NULL),
(5, 4280, '', NULL),
(4, 4281, 'R8248741', NULL),
(3, 4281, '0', NULL),
(1, 4281, '2', NULL),
(2, 4281, 'Bug', NULL),
(5, 4281, '', NULL),
(4, 4282, 'R8248972', NULL),
(3, 4282, '0', NULL),
(1, 4282, '2', NULL),
(2, 4282, 'Bug', NULL),
(5, 4282, '', NULL),
(11, 9479, '', NULL),
(8, 4284, '', NULL),
(7, 4284, '0', NULL),
(6, 4284, '', NULL),
(11, 4284, 'Recette', NULL),
(4, 4284, 'R8249665', NULL),
(3, 4284, '0', NULL),
(1, 4284, '5', NULL),
(2, 4284, 'Bug', NULL),
(5, 4284, '', NULL),
(4, 4285, 'R8249896', NULL),
(3, 4285, '0', NULL),
(1, 4285, '2', NULL),
(2, 4285, 'Bug', NULL),
(5, 4285, '1428616800', NULL),
(4, 4286, 'R8250127', NULL),
(3, 4286, '0', NULL),
(1, 4286, '2', NULL),
(2, 4286, 'Bug', NULL),
(5, 4286, '', NULL),
(3, 4288, '0', NULL),
(1, 4288, '4', NULL),
(2, 4288, 'Bug', NULL),
(5, 4288, '', NULL),
(4, 4289, 'R8250589', NULL),
(3, 4289, '0', NULL),
(1, 4289, '2', NULL),
(2, 4289, 'Bug', NULL),
(5, 4289, '', NULL),
(4, 4290, 'R8250820', NULL),
(3, 4290, '0', NULL),
(1, 4290, '2', NULL),
(2, 4290, 'Bug', NULL),
(5, 4290, '1430344800', NULL),
(1, 4590, '3', NULL),
(3, 4590, '4', NULL),
(4, 4590, 'R8251051', NULL),
(2, 4590, 'Task', NULL),
(8, 4589, '', NULL),
(4, 4292, 'R8251282', NULL),
(3, 4292, '0', NULL),
(1, 4292, '2', NULL),
(2, 4292, 'Bug', NULL),
(5, 4292, '1430344800', NULL),
(4, 4293, 'R8251513', NULL),
(3, 4293, '0', NULL),
(1, 4293, '2', NULL),
(2, 4293, 'Bug', NULL),
(5, 4293, '', NULL),
(4, 4294, 'R8251744', NULL),
(3, 4294, '0', NULL),
(1, 4294, '2', NULL),
(2, 4294, 'Bug', NULL),
(5, 4294, '', NULL),
(4, 4295, 'R8251975', NULL),
(3, 4295, '0', NULL),
(1, 4295, '2', NULL),
(2, 4295, 'Bug', NULL),
(5, 4295, '1428962400', NULL),
(8, 6616, '', NULL),
(5, 6616, '', NULL),
(7, 6616, '0', NULL),
(6, 6616, '', NULL),
(1, 6616, '3', NULL),
(1, 4589, '4', NULL),
(3, 4589, '5', NULL),
(4, 4589, 'R8257057', NULL),
(2, 4589, 'Task', NULL),
(6, 4293, '', NULL),
(4, 4298, 'R8252206', NULL),
(3, 4298, '0', NULL),
(1, 4298, '2', NULL),
(2, 4298, 'Bug', NULL),
(5, 4298, '', NULL),
(4, 4299, 'R8252437', NULL),
(3, 4299, '0', NULL),
(1, 4299, '2', NULL),
(2, 4299, 'Bug', NULL),
(5, 4299, '', NULL),
(2, 10792, 'Bug', NULL),
(11, 10792, 'Production', NULL),
(11, 4299, 'Production', NULL),
(3, 4209, '0', NULL),
(8, 4302, '', NULL),
(7, 4302, '0', NULL),
(6, 4302, '', NULL),
(4, 4302, 'R8252899', NULL),
(3, 4302, '0', NULL),
(1, 4302, '2', NULL),
(2, 4302, 'Bug', NULL),
(5, 4302, '', NULL),
(6, 4276, '', NULL),
(7, 4276, '2', NULL),
(8, 4276, '', NULL),
(6, 4275, '', NULL),
(7, 4275, '1', NULL),
(8, 4275, '', NULL),
(3, 8793, '0', NULL),
(4, 8793, 'R82126357', NULL),
(2, 8793, 'Bug', NULL),
(6, 4278, '', NULL),
(7, 4278, '6', NULL),
(8, 4278, '', NULL),
(6, 4279, '', NULL),
(7, 4279, '0', NULL),
(8, 4279, '', NULL),
(6, 4280, '', NULL),
(7, 4280, '0', NULL),
(8, 4280, '', NULL),
(6, 4281, '', NULL),
(7, 4281, '0', NULL),
(8, 4281, '', NULL),
(6, 4282, '', NULL),
(7, 4282, '0', NULL),
(8, 4282, '', NULL),
(6, 4285, '', NULL),
(7, 4285, '0', NULL),
(8, 4285, '', NULL),
(6, 4286, '', NULL),
(7, 4286, '0', NULL),
(8, 4286, '', NULL),
(4, 4288, 'R8250358', NULL),
(6, 4288, '', NULL),
(7, 4288, '0', NULL),
(8, 4288, '', NULL),
(6, 4289, '', NULL),
(7, 4289, '2', NULL),
(8, 4289, '', NULL),
(6, 4290, '', NULL),
(7, 4290, '0', NULL),
(8, 4290, '', NULL),
(5, 4589, '', NULL),
(7, 4589, '0', NULL),
(6, 4589, '', NULL),
(6, 4292, '', NULL),
(7, 4292, '0', NULL),
(8, 4292, '', NULL),
(2, 4306, 'Task', NULL),
(4, 4306, 'R8253592', NULL),
(3, 4306, '0', NULL),
(1, 4306, '2', NULL),
(6, 4306, '', NULL),
(7, 4306, '0', NULL),
(5, 4306, '', NULL),
(8, 4306, '', NULL),
(2, 4307, 'Task', NULL),
(4, 4307, 'R8253823', NULL),
(3, 4307, '0', NULL),
(1, 4307, '2', NULL),
(6, 4307, '', NULL),
(7, 4307, '0', NULL),
(5, 4307, '', NULL),
(8, 4307, '', NULL),
(6, 3624, '', NULL),
(7, 3624, '0', NULL),
(8, 3624, '', NULL),
(2, 4308, 'Task', NULL),
(4, 4308, 'R8254054', NULL),
(3, 4308, '0', NULL),
(1, 4308, '2', NULL),
(6, 4308, '', NULL),
(7, 4308, '0', NULL),
(5, 4308, '', NULL),
(8, 4308, '', NULL),
(2, 4309, 'Task', NULL),
(4, 4309, 'R8254285', NULL),
(3, 4309, '0', NULL),
(1, 4309, '2', NULL),
(6, 4309, '', NULL),
(7, 4309, '0', NULL),
(5, 4309, '1430258400', NULL),
(8, 4309, '', NULL),
(4, 4323, 'R829009', NULL),
(3, 4323, '5', NULL),
(1, 4323, '2', NULL),
(2, 4323, 'Task', NULL),
(4, 4324, 'R828778', NULL),
(3, 4324, '15.4', NULL),
(1, 4324, '13', NULL),
(2, 4324, 'Task', NULL),
(4, 4325, 'R828547', NULL),
(3, 4325, '4', NULL),
(1, 4325, '3', NULL),
(2, 4325, 'Task', NULL),
(4, 4326, 'R8254516', NULL),
(3, 4326, '6', NULL),
(1, 4326, '5', NULL),
(2, 4326, 'Task', NULL),
(4, 4327, 'R8254747', NULL),
(3, 4327, '3', NULL),
(1, 4327, '2', NULL),
(2, 4327, 'Task', NULL),
(4, 4328, 'R8254978', NULL),
(3, 4328, '4', NULL),
(1, 4328, '2', NULL),
(2, 4328, 'Task', NULL),
(4, 4329, 'R8255209', NULL),
(3, 4329, '5', NULL),
(1, 4329, '4', NULL),
(2, 4329, 'Task', NULL),
(4, 4330, 'R8255440', NULL),
(3, 4330, '6', NULL),
(1, 4330, '5', NULL),
(2, 4330, 'Task', NULL),
(4, 4331, 'R8255671', NULL),
(3, 4331, '4', NULL),
(1, 4331, '3', NULL),
(2, 4331, 'Task', NULL),
(4, 4332, 'R8255902', NULL),
(3, 4332, '5', NULL),
(1, 4332, '4', NULL),
(2, 4332, 'Task', NULL),
(6, 4319, '', NULL),
(7, 4319, '0', NULL),
(5, 4319, '', NULL),
(8, 4319, '', NULL),
(2, 4333, 'Task', NULL),
(4, 4333, 'R8256133', NULL),
(3, 4333, '15', NULL),
(1, 4333, '10', NULL),
(6, 4333, '', NULL),
(7, 4333, '0', NULL),
(5, 4333, '', NULL),
(8, 4333, '', NULL),
(6, 4328, '', NULL),
(7, 4328, '0', NULL),
(5, 4328, '', NULL),
(8, 4328, '', NULL),
(2, 4334, 'Bug', NULL),
(4, 4334, 'R8256364', NULL),
(3, 4334, '0', NULL),
(1, 4334, '2', NULL),
(6, 4334, '', NULL),
(7, 4334, '0.5', NULL),
(5, 4334, '', NULL),
(8, 4334, '', NULL),
(2, 4335, 'Bug', NULL),
(4, 4335, 'R8256595', NULL),
(3, 4335, '0', NULL),
(1, 4335, '2', NULL),
(6, 4335, '', NULL),
(7, 4335, '1.5', NULL),
(5, 4335, '', NULL),
(8, 4335, '', NULL),
(2, 4336, 'Bug', NULL),
(4, 4336, 'R8256826', NULL),
(3, 4336, '0', NULL),
(1, 4336, '2', NULL),
(6, 4336, '', NULL),
(7, 4336, '0', NULL),
(5, 4336, '', NULL),
(8, 4336, '', NULL),
(6, 2902, '', NULL),
(5, 2902, '', NULL),
(8, 2902, '', NULL),
(3, 4245, '', NULL),
(3, 4246, '0', NULL),
(6, 3710, '', NULL),
(8, 3710, '', NULL),
(3, 4262, '0', NULL),
(8, 4264, '', NULL),
(7, 4329, '0', NULL),
(4, 8129, '', NULL),
(2, 8129, 'Task', NULL),
(8, 8129, '', NULL),
(8, 3459, '', NULL),
(2, 4344, 'Bug', NULL),
(4, 4344, 'R8257288', NULL),
(3, 4344, '0', NULL),
(1, 4344, '1', NULL),
(6, 4344, '', NULL),
(7, 4344, '0', NULL),
(5, 4344, '', NULL),
(8, 4344, '', NULL),
(2, 4345, 'Bug', NULL),
(4, 4345, 'R8257519', NULL),
(3, 4345, '0', NULL),
(1, 4345, '2', NULL),
(6, 4345, '', NULL),
(7, 4345, '0', NULL),
(5, 4345, '', NULL),
(8, 4345, '', NULL),
(2, 4346, 'Bug', NULL),
(4, 4346, 'R8257750', NULL),
(3, 4346, '0', NULL),
(1, 4346, '2', NULL),
(6, 4346, '', NULL),
(7, 4346, '0', NULL),
(5, 4346, '', NULL),
(8, 4346, '', NULL),
(2, 4347, 'Bug', NULL),
(4, 4347, 'R8257981', NULL),
(3, 4347, '0', NULL),
(1, 4347, '1', NULL),
(6, 4347, '', NULL),
(7, 4347, '0', NULL),
(5, 4347, '', NULL),
(8, 4347, '', NULL),
(2, 4348, 'Task', NULL),
(4, 4348, '', NULL),
(1, 4348, '2', NULL),
(6, 4348, '', NULL),
(7, 4348, '0', NULL),
(5, 4348, '', NULL),
(8, 4348, '', NULL),
(2, 4364, 'Task', NULL),
(4, 4364, '', NULL),
(3, 4364, '5', NULL),
(1, 4364, '4', NULL),
(6, 4364, '', NULL),
(7, 4364, '0', NULL),
(5, 4364, '1430949600', NULL),
(8, 4364, '', NULL),
(2, 4365, 'Task', NULL),
(4, 4365, '', NULL),
(3, 4365, '10', NULL),
(1, 4365, '8', NULL),
(6, 4365, '', NULL),
(7, 4365, '0', NULL),
(5, 4365, '', NULL),
(8, 4365, '', NULL),
(2, 4370, 'Bug', NULL),
(4, 4370, 'R8258905', NULL),
(1, 4370, '2', NULL),
(6, 4370, '', NULL),
(7, 4370, '0', NULL),
(5, 4370, '', NULL),
(8, 4370, '', NULL),
(2, 4371, 'Bug', NULL),
(4, 4371, 'R8259136', NULL),
(1, 4371, '2', NULL),
(6, 4371, '', NULL),
(7, 4371, '0', NULL),
(5, 4371, '1428616800', NULL),
(8, 4371, '', NULL),
(7, 4270, '0', NULL),
(8, 4270, '', NULL),
(6, 4266, '', NULL),
(8, 4266, '', NULL),
(2, 4385, 'Bug', NULL),
(4, 4385, 'R8259367', NULL),
(3, 4385, '0', NULL),
(1, 4385, '2', NULL),
(6, 4385, '', NULL),
(7, 4385, '0', NULL),
(5, 4385, '', NULL),
(8, 4385, '', NULL),
(6, 4327, '', NULL),
(7, 4327, '0', NULL),
(5, 4327, '', NULL),
(8, 4327, '1432245600', NULL),
(8, 14157, '', NULL),
(5, 14157, '', NULL),
(7, 14157, '0', NULL),
(6, 14157, '', NULL),
(1, 14157, '10', NULL),
(3, 14157, '22', NULL),
(4, 14157, 'R82262647', NULL),
(2, 14157, 'Task', NULL),
(11, 14157, '', NULL),
(8, 4456, '', NULL),
(5, 4456, '', NULL),
(7, 4456, '0', NULL),
(6, 4456, '', NULL),
(1, 4456, '2', NULL),
(4, 4456, 'R8259829', NULL),
(2, 4456, 'Bug', NULL),
(8, 4455, '', NULL),
(5, 4455, '1441058400', NULL),
(7, 4455, '0', NULL),
(6, 4455, '', NULL),
(1, 4455, '2', NULL),
(3, 4455, '3', NULL),
(4, 4455, 'R8260060', NULL),
(2, 4455, 'Task', NULL),
(8, 4454, '', NULL),
(5, 4454, '1427065200', NULL),
(7, 4454, '0', NULL),
(6, 4454, '', NULL),
(1, 4454, '0.5', NULL),
(3, 4454, '1', NULL),
(4, 4454, 'R8260291', NULL),
(2, 4454, 'Task', NULL),
(2, 4496, 'Bug', NULL),
(4, 4496, 'R8260522', NULL),
(1, 4496, '2', NULL),
(6, 4496, '', NULL),
(7, 4496, '0', NULL),
(5, 4496, '', NULL),
(8, 4496, '', NULL),
(8, 4329, '1427666400', NULL),
(6, 4590, '', NULL),
(7, 4590, '0', NULL),
(5, 4590, '', NULL),
(8, 4590, '', NULL),
(7, 4320, '0', NULL),
(7, 4318, '0', NULL),
(7, 4272, '0', NULL),
(2, 4623, 'Bug', NULL),
(4, 4623, '', NULL),
(1, 4623, '2', NULL),
(6, 4623, '', NULL),
(7, 4623, '0', NULL),
(5, 4623, '1428012000', NULL),
(8, 4623, '', NULL),
(2, 4624, 'Bug', NULL),
(4, 4624, 'R8260984', NULL),
(1, 4624, '2', NULL),
(6, 4624, '', NULL),
(7, 4624, '0', NULL),
(5, 4624, '1431295200', NULL),
(8, 4624, '', NULL),
(2, 4657, 'Bug', NULL),
(4, 4657, 'R8261215', NULL),
(1, 4657, '2', NULL),
(6, 4657, '', NULL),
(7, 4657, '0', NULL),
(5, 4657, '', NULL),
(8, 4657, '', NULL),
(2, 4658, 'Bug', NULL),
(4, 4658, 'R8261446', NULL),
(1, 4658, '2', NULL),
(6, 4658, '', NULL),
(7, 4658, '0', NULL),
(5, 4658, '', NULL),
(8, 4658, '', NULL),
(3, 4371, '0', NULL),
(2, 4681, 'Task', NULL),
(4, 4681, 'R8261677', NULL),
(3, 4681, '2', NULL),
(1, 4681, '1', NULL),
(6, 4681, '', NULL),
(7, 4681, '0', NULL),
(5, 4681, '1429480800', NULL),
(8, 4681, '', NULL),
(2, 4682, 'Task', NULL),
(4, 4682, 'R8261908', NULL),
(3, 4682, '2', NULL),
(1, 4682, '1', NULL),
(6, 4682, '', NULL),
(7, 4682, '0', NULL),
(5, 4682, '1430258400', NULL),
(8, 4682, '', NULL),
(2, 4683, 'Bug', NULL),
(4, 4683, 'R8262139', NULL),
(3, 4683, '0', NULL),
(1, 4683, '2', NULL),
(6, 4683, '', NULL),
(7, 4683, '0', NULL),
(5, 4683, '', NULL),
(8, 4683, '', NULL),
(2, 4684, 'Bug', NULL),
(4, 4684, 'R8262370', NULL),
(3, 4684, '0', NULL),
(1, 4684, '3', NULL),
(6, 4684, '', NULL),
(7, 4684, '0', NULL),
(5, 4684, '', NULL),
(8, 4684, '', NULL),
(8, 4715, '', NULL),
(5, 4715, '', NULL),
(7, 4715, '0', NULL),
(6, 4715, '', NULL),
(1, 4715, '2', NULL),
(4, 4715, 'R8262601', NULL),
(2, 4715, 'Bug', NULL),
(8, 4936, '', NULL),
(5, 4936, '', NULL),
(7, 4936, '0', NULL),
(6, 4936, '', NULL),
(1, 4936, '3', NULL),
(3, 4936, '5', NULL),
(4, 4936, 'R8262832', NULL),
(2, 4936, 'Task', NULL),
(5, 4937, '', NULL),
(7, 4937, '0', NULL),
(6, 4937, '', NULL),
(1, 4937, '4', NULL),
(3, 4937, '5', NULL),
(4, 4937, 'R8263063', NULL),
(2, 4937, 'Task', NULL),
(2, 4718, 'Task', NULL),
(4, 4718, 'R8263294', NULL),
(3, 4718, '5', NULL),
(1, 4718, '4', NULL),
(6, 4718, '', NULL),
(7, 4718, '0', NULL),
(5, 4718, '1431381600', NULL),
(8, 4718, '', NULL),
(2, 4719, 'Task', NULL),
(4, 4719, 'R8263525', NULL),
(3, 4719, '8', NULL),
(1, 4719, '7', NULL),
(6, 4719, '', NULL),
(7, 4719, '0', NULL),
(5, 4719, '1435183200', NULL),
(8, 4719, '', NULL),
(2, 4745, 'Bug', NULL),
(4, 4745, 'R8263756', NULL),
(1, 4745, '2', NULL),
(6, 4745, '', NULL),
(7, 4745, '0', NULL),
(5, 4745, '1429048800', NULL),
(8, 4745, '', NULL),
(7, 4268, '0', NULL),
(7, 4322, '0', NULL),
(2, 4798, 'Task', NULL),
(4, 4798, '', NULL),
(3, 4798, '0', NULL),
(1, 4798, '2', NULL),
(6, 4798, '', NULL),
(7, 4798, '0', NULL),
(5, 4798, '1430949600', NULL),
(8, 4798, '', NULL),
(2, 4843, 'Task', NULL),
(4, 4843, 'R8265142', NULL),
(3, 4843, '0', NULL),
(1, 4843, '2', NULL),
(6, 4843, '', NULL),
(7, 4843, '0', NULL),
(5, 4843, '', NULL),
(8, 4843, '', NULL),
(2, 4844, 'Task', NULL),
(4, 4844, 'R8265373', NULL),
(3, 4844, '5', NULL),
(1, 4844, '5', NULL),
(6, 4844, '', NULL),
(7, 4844, '0', NULL),
(5, 4844, '', NULL),
(8, 4844, '', NULL),
(6, 4268, '', NULL),
(8, 4268, '', NULL),
(6, 4272, '', NULL),
(8, 4272, '', NULL),
(6, 4324, '', NULL),
(7, 4324, '0', NULL),
(5, 4324, '1471644000', NULL),
(8, 4324, '', NULL),
(2, 4845, 'Bug', NULL),
(4, 4845, 'R8253130', NULL),
(3, 4845, '0', NULL),
(1, 4845, '0', NULL),
(6, 4845, '', NULL),
(7, 4845, '0', NULL),
(5, 4845, '', NULL),
(8, 4845, '', NULL),
(3, 4857, '0', NULL),
(1, 4857, '0', NULL),
(6, 4857, '', NULL),
(7, 4857, '', NULL),
(5, 4857, '', NULL),
(8, 4857, '', NULL),
(2, 4864, 'Bug', NULL),
(4, 4864, 'R8265604', NULL),
(3, 4864, '0', NULL),
(1, 4864, '2', NULL),
(6, 4864, '', NULL),
(7, 4864, '0', NULL),
(5, 4864, '', NULL),
(8, 4864, '', NULL),
(2, 4865, 'Bug', NULL),
(4, 4865, 'R8265835', NULL),
(3, 4865, '0', NULL),
(1, 4865, '2', NULL),
(6, 4865, '', NULL),
(7, 4865, '0', NULL),
(5, 4865, '', NULL),
(8, 4865, '', NULL),
(2, 4866, 'Bug', NULL),
(4, 4866, 'R8266066', NULL),
(3, 4866, '0', NULL),
(1, 4866, '2', NULL),
(6, 4866, '', NULL),
(7, 4866, '0', NULL),
(5, 4866, '', NULL),
(8, 4866, '', NULL),
(4, 4867, 'R8266297', NULL),
(3, 4867, '0', NULL),
(1, 4867, '2', NULL),
(2, 4867, 'Bug', NULL),
(4, 4868, 'R8266528', NULL),
(3, 4868, '0', NULL),
(1, 4868, '2', NULL),
(2, 4868, 'Bug', NULL),
(4, 4869, 'R8266759', NULL),
(3, 4869, '0', NULL),
(1, 4869, '2', NULL),
(2, 4869, 'Bug', NULL),
(4, 4870, 'R8266990', NULL),
(3, 4870, '0', NULL),
(1, 4870, '2', NULL),
(2, 4870, 'Bug', NULL),
(8, 6569, '', NULL),
(4, 4873, 'R8267221', NULL),
(3, 4873, '0', NULL),
(1, 4873, '2', NULL),
(2, 4873, 'Bug', NULL),
(4, 4874, 'R8267452', NULL),
(3, 4874, '0', NULL),
(1, 4874, '8', NULL),
(2, 4874, 'Bug', NULL),
(4, 4875, 'R8267683', NULL),
(3, 4875, '0', NULL),
(1, 4875, '2', NULL),
(2, 4875, 'Bug', NULL),
(4, 4876, 'R8267914', NULL),
(3, 4876, '0', NULL),
(1, 4876, '2', NULL),
(2, 4876, 'Bug', NULL),
(4, 4877, 'R8268145', NULL),
(3, 4877, '0', NULL),
(1, 4877, '2', NULL),
(2, 4877, 'Bug', NULL),
(4, 4878, 'R8268376', NULL),
(3, 4878, '0', NULL),
(1, 4878, '2', NULL),
(2, 4878, 'Bug', NULL),
(3, 4624, '0', NULL),
(8, 4294, '', NULL),
(7, 4294, '', NULL),
(6, 4294, '', NULL),
(8, 4293, '', NULL),
(7, 4293, '', NULL),
(8, 4273, '', NULL),
(6, 4273, '', NULL),
(4, 4881, 'R8268607', NULL),
(3, 4881, '0', NULL),
(1, 4881, '2', NULL),
(2, 4881, 'Bug', NULL),
(4, 4882, 'R8268838', NULL),
(3, 4882, '0', NULL),
(1, 4882, '2', NULL),
(2, 4882, 'Bug', NULL),
(4, 4883, 'R8269069', NULL),
(3, 4883, '0', NULL),
(1, 4883, '1', NULL),
(2, 4883, 'Bug', NULL),
(4, 4884, 'R8269300', NULL),
(3, 4884, '0', NULL),
(1, 4884, '2', NULL),
(2, 4884, 'Bug', NULL),
(2, 4885, 'Task', NULL),
(4, 4885, 'R8269531', NULL),
(3, 4885, '0', NULL),
(1, 4885, '2', NULL),
(6, 4885, '', NULL),
(7, 4885, '0', NULL),
(5, 4885, '', NULL),
(8, 4885, '', NULL),
(2, 4886, 'Task', NULL),
(4, 4886, 'R8269762', NULL),
(3, 4886, '0', NULL),
(1, 4886, '5', NULL),
(6, 4886, '', NULL),
(7, 4886, '0', NULL),
(5, 4886, '', NULL),
(8, 4886, '', NULL),
(3, 6616, '5', NULL),
(4, 6616, 'R8269993', NULL),
(2, 6616, 'Task', NULL),
(2, 4888, 'Bug', NULL),
(4, 4888, 'R8270224', NULL),
(3, 4888, '0', NULL),
(1, 4888, '2', NULL),
(6, 4888, '', NULL),
(7, 4888, '0', NULL),
(5, 4888, '', NULL),
(8, 4888, '', NULL),
(2, 4889, 'Bug', NULL),
(4, 4889, 'R8270455', NULL),
(3, 4889, '0', NULL),
(1, 4889, '1', NULL),
(6, 4889, '', NULL),
(7, 4889, '0', NULL),
(5, 4889, '', NULL),
(8, 4889, '', NULL),
(2, 4890, 'Task', NULL),
(4, 4890, 'R8270686', NULL),
(3, 4890, '12', NULL),
(1, 4890, '10', NULL),
(6, 4890, '', NULL),
(7, 4890, '0', NULL),
(5, 4890, '1437688800', NULL),
(8, 4890, '', NULL),
(2, 4891, 'Task', NULL),
(4, 4891, 'R8270917', NULL),
(3, 4891, '10', NULL),
(1, 4891, '10', NULL),
(6, 4891, '', NULL),
(7, 4891, '0', NULL),
(5, 4891, '1437688800', NULL),
(8, 4891, '', NULL),
(8, 4318, '', NULL),
(3, 4456, '0', NULL),
(7, 4321, '0', NULL),
(6, 4323, '', NULL),
(7, 4323, '0', NULL),
(5, 4323, '', NULL),
(8, 4323, '', NULL),
(2, 4909, 'Task', NULL),
(4, 4909, 'R8271379', NULL),
(3, 4909, '5', NULL),
(1, 4909, '4', NULL),
(6, 4909, '', NULL),
(7, 4909, '0', NULL),
(5, 4909, '', NULL),
(8, 4909, '', NULL),
(2, 4912, 'Task', NULL),
(4, 4912, 'R8271610', NULL),
(3, 4912, '15', NULL),
(1, 4912, '13', NULL),
(6, 4912, '', NULL),
(7, 4912, '0', NULL),
(5, 4912, '', NULL),
(8, 4912, '', NULL),
(2, 4913, 'Task', NULL),
(4, 4913, 'R8271841', NULL),
(3, 4913, '15', NULL),
(1, 4913, '10', NULL),
(6, 4913, '', NULL),
(7, 4913, '0', NULL);
INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(5, 4913, '', NULL),
(8, 4913, '', NULL),
(2, 4914, 'Task', NULL),
(4, 4914, 'R8272072', NULL),
(3, 4914, '15', NULL),
(1, 4914, '15', NULL),
(6, 4914, '', NULL),
(7, 4914, '0', NULL),
(5, 4914, '1441231200', NULL),
(8, 4914, '', NULL),
(2, 4915, 'Task', NULL),
(4, 4915, 'R8272303', NULL),
(3, 4915, '25', NULL),
(1, 4915, '15', NULL),
(6, 4915, '', NULL),
(7, 4915, '0', NULL),
(5, 4915, '1443132000', NULL),
(8, 4915, '', NULL),
(2, 4917, 'Task', NULL),
(4, 4917, '', NULL),
(3, 4917, '25', NULL),
(1, 4917, '20', NULL),
(6, 4917, '', NULL),
(7, 4917, '', NULL),
(5, 4917, '', NULL),
(8, 4917, '', NULL),
(2, 4918, 'Bug', NULL),
(4, 4918, 'R8272765', NULL),
(3, 4918, '0', NULL),
(1, 4918, '1', NULL),
(6, 4918, '', NULL),
(7, 4918, '0', NULL),
(5, 4918, '', NULL),
(8, 4918, '', NULL),
(2, 4934, 'Task', NULL),
(4, 4934, 'R8272996', NULL),
(3, 4934, '5', NULL),
(1, 4934, '4', NULL),
(6, 4934, '', NULL),
(7, 4934, '0', NULL),
(5, 4934, '1432245600', NULL),
(8, 4934, '', NULL),
(2, 4935, 'Task', NULL),
(4, 4935, 'R8273227', NULL),
(3, 4935, '7', NULL),
(1, 4935, '5', NULL),
(6, 4935, '', NULL),
(7, 4935, '0', NULL),
(5, 4935, '', NULL),
(8, 4935, '', NULL),
(8, 4937, '', NULL),
(2, 4938, 'Bug', NULL),
(4, 4938, 'R8273458', NULL),
(1, 4938, '2', NULL),
(6, 4938, '', NULL),
(7, 4938, '0', NULL),
(5, 4938, '', NULL),
(8, 4938, '', NULL),
(2, 4939, 'Bug', NULL),
(4, 4939, 'R8273689', NULL),
(1, 4939, '2', NULL),
(6, 4939, '', NULL),
(7, 4939, '0', NULL),
(5, 4939, '', NULL),
(8, 4939, '1461708000', NULL),
(2, 4940, 'Bug', NULL),
(4, 4940, 'R8273920', NULL),
(1, 4940, '2', NULL),
(6, 4940, '', NULL),
(7, 4940, '0', NULL),
(5, 4940, '', NULL),
(8, 4940, '', NULL),
(2, 4944, 'Bug', NULL),
(4, 4944, '', NULL),
(3, 4944, '0', NULL),
(1, 4944, '2', NULL),
(6, 4944, '', NULL),
(7, 4944, '', NULL),
(5, 4944, '', NULL),
(8, 4944, '', NULL),
(2, 4955, 'Bug', NULL),
(4, 4955, 'R8274382', NULL),
(3, 4955, '0', NULL),
(1, 4955, '1', NULL),
(6, 4955, '', NULL),
(7, 4955, '0', NULL),
(5, 4955, '', NULL),
(8, 4955, '', NULL),
(2, 4956, 'Task', NULL),
(4, 4956, 'R8274613', NULL),
(3, 4956, '3', NULL),
(1, 4956, '1', NULL),
(6, 4956, '', NULL),
(7, 4956, '0', NULL),
(5, 4956, '', NULL),
(8, 4956, '', NULL),
(2, 4957, 'Task', NULL),
(4, 4957, 'R8274844', NULL),
(3, 4957, '3', NULL),
(1, 4957, '2', NULL),
(6, 4957, '', NULL),
(7, 4957, '0', NULL),
(5, 4957, '1432072800', NULL),
(8, 4957, '', NULL),
(2, 4958, 'Task', NULL),
(4, 4958, 'R8275075', NULL),
(3, 4958, '5', NULL),
(1, 4958, '4', NULL),
(6, 4958, '', NULL),
(7, 4958, '0', NULL),
(5, 4958, '1438293600', NULL),
(8, 4958, '', NULL),
(2, 4959, 'Bug', NULL),
(4, 4959, '', NULL),
(3, 4959, '0', NULL),
(1, 4959, '2', NULL),
(6, 4959, '', NULL),
(7, 4959, '0', NULL),
(5, 4959, '', NULL),
(8, 4959, '', NULL),
(2, 4960, 'Bug', NULL),
(4, 4960, 'R8275768', NULL),
(3, 4960, '0', NULL),
(1, 4960, '4', NULL),
(6, 4960, '', NULL),
(7, 4960, '0', NULL),
(5, 4960, '1431295200', NULL),
(8, 4960, '', NULL),
(2, 4963, 'Bug', NULL),
(4, 4963, 'R8275999', NULL),
(3, 4963, '0', NULL),
(1, 4963, '2', NULL),
(6, 4963, '', NULL),
(7, 4963, '0', NULL),
(5, 4963, '', NULL),
(8, 4963, '', NULL),
(2, 4964, 'Bug', NULL),
(4, 4964, 'R8276230', NULL),
(3, 4964, '0', NULL),
(1, 4964, '2', NULL),
(6, 4964, '', NULL),
(7, 4964, '0', NULL),
(5, 4964, '', NULL),
(8, 4964, '', NULL),
(2, 4972, 'Bug', NULL),
(4, 4972, '', NULL),
(3, 4972, '0', NULL),
(1, 4972, '2', NULL),
(6, 4972, '', NULL),
(7, 4972, '0', NULL),
(5, 4972, '', NULL),
(8, 4972, '', NULL),
(2, 4973, 'Bug', NULL),
(4, 4973, '', NULL),
(3, 4973, '0', NULL),
(1, 4973, '2', NULL),
(6, 4973, '', NULL),
(7, 4973, '0', NULL),
(5, 4973, '', NULL),
(8, 4973, '', NULL),
(2, 4974, 'Bug', NULL),
(4, 4974, '', NULL),
(3, 4974, '0', NULL),
(1, 4974, '2', NULL),
(6, 4974, '', NULL),
(7, 4974, '0', NULL),
(5, 4974, '', NULL),
(8, 4974, '', NULL),
(2, 4985, 'Task', NULL),
(4, 4985, '', NULL),
(1, 4985, '10', NULL),
(6, 4985, '', NULL),
(7, 4985, '0.01', NULL),
(5, 4985, '', NULL),
(8, 4985, '', NULL),
(2, 4986, 'Bug', NULL),
(4, 4986, '', NULL),
(3, 4986, '0', NULL),
(1, 4986, '2', NULL),
(6, 4986, '', NULL),
(7, 4986, '0', NULL),
(5, 4986, '', NULL),
(8, 4986, '', NULL),
(2, 4987, 'Bug', NULL),
(4, 4987, '', NULL),
(3, 4987, '0', NULL),
(1, 4987, '2', NULL),
(6, 4987, '', NULL),
(7, 4987, '0', NULL),
(5, 4987, '', NULL),
(8, 4987, '', NULL),
(2, 4991, 'Task', NULL),
(4, 4991, 'R8277847', NULL),
(1, 4991, '5', NULL),
(6, 4991, '', NULL),
(7, 4991, '0', NULL),
(5, 4991, '', NULL),
(8, 4991, '', NULL),
(2, 5016, 'Bug', NULL),
(4, 5016, 'R8278078', NULL),
(3, 5016, '0', NULL),
(1, 5016, '2', NULL),
(6, 5016, '', NULL),
(7, 5016, '0', NULL),
(5, 5016, '', NULL),
(8, 5016, '', NULL),
(2, 5020, 'Task', NULL),
(4, 5020, '', NULL),
(3, 5020, '0', NULL),
(1, 5020, '2', NULL),
(6, 5020, '', NULL),
(7, 5020, '0', NULL),
(5, 5020, '', NULL),
(8, 5020, '', NULL),
(2, 5021, 'Bug', NULL),
(4, 5021, 'R8278540', NULL),
(3, 5021, '0', NULL),
(1, 5021, '2', NULL),
(6, 5021, '', NULL),
(7, 5021, '0', NULL),
(5, 5021, '', NULL),
(8, 5021, '', NULL),
(2, 5022, 'Bug', NULL),
(4, 5022, 'R8278771', NULL),
(3, 5022, '0', NULL),
(1, 5022, '2', NULL),
(6, 5022, '', NULL),
(7, 5022, '0', NULL),
(5, 5022, '', NULL),
(8, 5022, '', NULL),
(2, 5023, 'Bug', NULL),
(4, 5023, 'R8279002', NULL),
(3, 5023, '0', NULL),
(1, 5023, '2', NULL),
(6, 5023, '', NULL),
(7, 5023, '0', NULL),
(5, 5023, '1433282400', NULL),
(8, 5023, '', NULL),
(2, 5024, 'Task', NULL),
(4, 5024, 'R8279233', NULL),
(3, 5024, '1', NULL),
(1, 5024, '1', NULL),
(6, 5024, '', NULL),
(7, 5024, '0', NULL),
(5, 5024, '', NULL),
(8, 5024, '', NULL),
(2, 5025, 'Task', NULL),
(4, 5025, 'R8279464', NULL),
(3, 5025, '2', NULL),
(1, 5025, '1', NULL),
(6, 5025, '', NULL),
(7, 5025, '0', NULL),
(5, 5025, '', NULL),
(8, 5025, '', NULL),
(2, 5037, 'Bug', NULL),
(4, 5037, 'R8279695', NULL),
(1, 5037, '2', NULL),
(6, 5037, '', NULL),
(7, 5037, '0', NULL),
(5, 5037, '1433368800', NULL),
(8, 5037, '', NULL),
(6, 4881, '', NULL),
(7, 4881, '0', NULL),
(5, 4881, '', NULL),
(8, 4881, '', NULL),
(3, 5037, '0', NULL),
(2, 5083, 'Task', NULL),
(4, 5083, 'R8279926', NULL),
(3, 5083, '', NULL),
(1, 5083, '2', NULL),
(6, 5083, '', NULL),
(7, 5083, '', NULL),
(5, 5083, '', NULL),
(8, 5083, '', NULL),
(2, 5097, 'Bug', NULL),
(4, 5097, 'R8280157', NULL),
(3, 5097, '0', NULL),
(1, 5097, '4', NULL),
(6, 5097, '', NULL),
(7, 5097, '0', NULL),
(5, 5097, '', NULL),
(8, 5097, '', NULL),
(2, 5098, 'Bug', NULL),
(4, 5098, 'R8280388', NULL),
(3, 5098, '0', NULL),
(1, 5098, '2', NULL),
(6, 5098, '', NULL),
(7, 5098, '0', NULL),
(5, 5098, '', NULL),
(8, 5098, '', NULL),
(2, 5099, 'Bug', NULL),
(4, 5099, 'R8280619', NULL),
(3, 5099, '0', NULL),
(1, 5099, '2', NULL),
(6, 5099, '', NULL),
(7, 5099, '0', NULL),
(5, 5099, '', NULL),
(8, 5099, '', NULL),
(2, 5101, 'Task', NULL),
(4, 5101, '', NULL),
(3, 5101, '0', NULL),
(1, 5101, '2', NULL),
(6, 5101, '', NULL),
(7, 5101, '0', NULL),
(5, 5101, '', NULL),
(8, 5101, '', NULL),
(2, 5102, 'Task', NULL),
(4, 5102, '', NULL),
(3, 5102, '0', NULL),
(1, 5102, '5', NULL),
(6, 5102, '', NULL),
(7, 5102, '0', NULL),
(5, 5102, '', NULL),
(8, 5102, '', NULL),
(2, 5211, 'Task', NULL),
(4, 5211, '', NULL),
(3, 5211, '0', NULL),
(1, 5211, '2', NULL),
(6, 5211, '', NULL),
(7, 5211, '', NULL),
(5, 5211, '', NULL),
(8, 5211, '', NULL),
(7, 4882, '0', NULL),
(2, 5213, 'Task', NULL),
(4, 5213, '', NULL),
(3, 5213, '0', NULL),
(1, 5213, '2', NULL),
(6, 5213, '', NULL),
(7, 5213, '0', NULL),
(5, 5213, '', NULL),
(8, 5213, '', NULL),
(2, 5214, 'Bug', NULL),
(4, 5214, 'R8264680', NULL),
(3, 5214, '0', NULL),
(1, 5214, '2', NULL),
(6, 5214, '', NULL),
(7, 5214, '0', NULL),
(5, 5214, '', NULL),
(8, 5214, '', NULL),
(2, 5215, 'Bug', NULL),
(4, 5215, 'R8264449', NULL),
(3, 5215, '0', NULL),
(1, 5215, '2', NULL),
(6, 5215, '', NULL),
(7, 5215, '0', NULL),
(5, 5215, '', NULL),
(8, 5215, '', NULL),
(2, 5216, 'Bug', NULL),
(4, 5216, 'R8264218', NULL),
(3, 5216, '0', NULL),
(1, 5216, '2', NULL),
(6, 5216, '', NULL),
(7, 5216, '0', NULL),
(5, 5216, '', NULL),
(8, 5216, '', NULL),
(2, 5229, 'Bug', NULL),
(4, 5229, 'R8281312', NULL),
(3, 5229, '0', NULL),
(1, 5229, '2', NULL),
(6, 5229, '', NULL),
(7, 5229, '0', NULL),
(5, 5229, '', NULL),
(8, 5229, '', NULL),
(8, 5232, '', NULL),
(5, 5232, '', NULL),
(7, 5232, '0', NULL),
(6, 5232, '', NULL),
(1, 5232, '2', NULL),
(3, 5232, '0', NULL),
(4, 5232, 'R8281543', NULL),
(2, 5232, 'Task', NULL),
(2, 5263, 'Bug', NULL),
(4, 5263, 'R8281774', NULL),
(3, 5263, '0', NULL),
(1, 5263, '2', NULL),
(6, 5263, '', NULL),
(7, 5263, '0', NULL),
(5, 5263, '', NULL),
(8, 5263, '', NULL),
(1, 5354, '2', NULL),
(4, 5354, '', NULL),
(2, 5354, 'Task', NULL),
(2, 5279, 'Task', NULL),
(4, 5279, '', NULL),
(1, 5279, '2', NULL),
(6, 5279, '', NULL),
(7, 5279, '0', NULL),
(5, 5279, '', NULL),
(8, 5279, '', NULL),
(2, 5280, 'Bug', NULL),
(4, 5280, 'R8282467', NULL),
(3, 5280, '0', NULL),
(1, 5280, '2', NULL),
(6, 5280, '', NULL),
(7, 5280, '0', NULL),
(5, 5280, '', NULL),
(8, 5280, '', NULL),
(8, 5357, '', NULL),
(5, 5357, '', NULL),
(7, 5357, '0', NULL),
(6, 5357, '', NULL),
(1, 5357, '2', NULL),
(3, 5357, '0', NULL),
(4, 5357, 'R8282698', NULL),
(2, 5357, 'Bug', NULL),
(2, 5297, 'Task', NULL),
(4, 5297, 'R8282929', NULL),
(3, 5297, '5', NULL),
(1, 5297, '2', NULL),
(6, 5297, '', NULL),
(7, 5297, '0', NULL),
(5, 5297, '', NULL),
(8, 5297, '', NULL),
(2, 5341, 'Bug', NULL),
(4, 5341, 'R8283160', NULL),
(1, 5341, '2', NULL),
(6, 5341, '', NULL),
(7, 5341, '2', NULL),
(5, 5341, '', NULL),
(8, 5341, '', NULL),
(2, 5342, 'Bug', NULL),
(4, 5342, 'R8283391', NULL),
(1, 5342, '2', NULL),
(6, 5342, '', NULL),
(7, 5342, '0', NULL),
(5, 5342, '1434578400', NULL),
(8, 5342, '', NULL),
(2, 5343, 'Bug', NULL),
(4, 5343, 'R8283622', NULL),
(1, 5343, '2', NULL),
(6, 5343, '', NULL),
(7, 5343, '0', NULL),
(5, 5343, '1434664800', NULL),
(8, 5343, '', NULL),
(2, 5344, 'Bug', NULL),
(4, 5344, 'R8283853', NULL),
(3, 5344, '0', NULL),
(1, 5344, '2', NULL),
(6, 5344, '', NULL),
(7, 5344, '0', NULL),
(5, 5344, '', NULL),
(8, 5344, '', NULL),
(2, 5345, 'Task', NULL),
(4, 5345, 'R8284084', NULL),
(1, 5345, '0.5', NULL),
(6, 5345, '', NULL),
(7, 5345, '0', NULL),
(5, 5345, '', NULL),
(8, 5345, '', NULL),
(2, 5348, 'Bug', NULL),
(4, 5348, 'R8284315', NULL),
(1, 5348, '2', NULL),
(6, 5348, '', NULL),
(7, 5348, '0', NULL),
(5, 5348, '', NULL),
(8, 5348, '', NULL),
(6, 5354, '', NULL),
(7, 5354, '0', NULL),
(5, 5354, '', NULL),
(8, 5354, '', NULL),
(2, 5358, 'Bug', NULL),
(4, 5358, 'R8284546', NULL),
(3, 5358, '0', NULL),
(1, 5358, '2', NULL),
(6, 5358, '', NULL),
(7, 5358, '0', NULL),
(5, 5358, '', NULL),
(8, 5358, '', NULL),
(2, 5360, 'Task', NULL),
(4, 5360, 'R8284777', NULL),
(3, 5360, '15', NULL),
(1, 5360, '10', NULL),
(6, 5360, '', NULL),
(7, 5360, '0', NULL),
(5, 5360, '1438898400', NULL),
(8, 5360, '', NULL),
(2, 5361, 'Task', NULL),
(4, 5361, 'R8285008', NULL),
(3, 5361, '7', NULL),
(1, 5361, '5', NULL),
(6, 5361, '', NULL),
(7, 5361, '0', NULL),
(5, 5361, '', NULL),
(8, 5361, '', NULL),
(2, 5362, 'Bug', NULL),
(4, 5362, 'R8285239', NULL),
(3, 5362, '0', NULL),
(1, 5362, '2', NULL),
(6, 5362, '', NULL),
(7, 5362, '0', NULL),
(5, 5362, '', NULL),
(8, 5362, '', NULL),
(2, 5405, 'Task', NULL),
(4, 5405, 'R8285470', NULL),
(3, 5405, '11.3', NULL),
(1, 5405, '10', NULL),
(6, 5405, '', NULL),
(7, 5405, '0', NULL),
(5, 5405, '', NULL),
(8, 5405, '', NULL),
(2, 5406, 'Task', NULL),
(4, 5406, 'R8285701', NULL),
(3, 5406, '10.5', NULL),
(1, 5406, '9', NULL),
(6, 5406, '', NULL),
(7, 5406, '0', NULL),
(5, 5406, '', NULL),
(8, 5406, '', NULL),
(2, 5407, 'Bug', NULL),
(4, 5407, 'R8285932', NULL),
(1, 5407, '2', NULL),
(6, 5407, '', NULL),
(7, 5407, '0', NULL),
(5, 5407, '', NULL),
(8, 5407, '', NULL),
(2, 5408, 'Task', NULL),
(4, 5408, 'R8286163', NULL),
(3, 5408, '4', NULL),
(1, 5408, '4', NULL),
(6, 5408, '', NULL),
(7, 5408, '0', NULL),
(5, 5408, '1437688800', NULL),
(8, 5408, '', NULL),
(2, 5409, 'Task', NULL),
(4, 5409, 'R8286394', NULL),
(3, 5409, '5', NULL),
(1, 5409, '5', NULL),
(6, 5409, '', NULL),
(7, 5409, '0', NULL),
(5, 5409, '1437688800', NULL),
(8, 5409, '', NULL),
(2, 5410, 'Task', NULL),
(4, 5410, 'R8286625', NULL),
(3, 5410, '2', NULL),
(1, 5410, '2', NULL),
(6, 5410, '', NULL),
(7, 5410, '0', NULL),
(5, 5410, '1437688800', NULL),
(8, 5410, '', NULL),
(2, 5411, 'Task', NULL),
(4, 5411, 'R8286856', NULL),
(3, 5411, '8', NULL),
(1, 5411, '8', NULL),
(6, 5411, '', NULL),
(7, 5411, '0', NULL),
(5, 5411, '1437688800', NULL),
(8, 5411, '', NULL),
(2, 5412, 'Task', NULL),
(4, 5412, 'R8287087', NULL),
(3, 5412, '0', NULL),
(1, 5412, '15', NULL),
(6, 5412, '', NULL),
(7, 5412, '0', NULL),
(5, 5412, '1438293600', NULL),
(8, 5412, '', NULL),
(2, 5413, 'Task', NULL),
(4, 5413, 'R8275306', NULL),
(3, 5413, '15', NULL),
(1, 5413, '10', NULL),
(6, 5413, '', NULL),
(7, 5413, '0', NULL),
(5, 5413, '', NULL),
(8, 5413, '', NULL),
(2, 5414, 'Task', NULL),
(4, 5414, 'R8287318', NULL),
(3, 5414, '2', NULL),
(1, 5414, '2', NULL),
(6, 5414, '', NULL),
(7, 5414, '0', NULL),
(5, 5414, '', NULL),
(8, 5414, '', NULL),
(2, 5416, 'Task', NULL),
(4, 5416, 'R8287780', NULL),
(3, 5416, '4', NULL),
(1, 5416, '3', NULL),
(6, 5416, '', NULL),
(7, 5416, '0', NULL),
(5, 5416, '1443391200', NULL),
(8, 5416, '', NULL),
(3, 4939, '0', NULL),
(2, 5433, 'Task', NULL),
(4, 5433, 'R8288011', NULL),
(3, 5433, '1', NULL),
(1, 5433, '1', NULL),
(6, 5433, '', NULL),
(7, 5433, '0', NULL),
(5, 5433, '', NULL),
(8, 5433, '', NULL),
(2, 5434, 'Task', NULL),
(4, 5434, 'R8288242', NULL),
(3, 5434, '3', NULL),
(1, 5434, '2', NULL),
(6, 5434, '', NULL),
(7, 5434, '0', NULL),
(5, 5434, '', NULL),
(8, 5434, '', NULL),
(3, 4991, '', NULL),
(2, 5453, 'Bug', NULL),
(4, 5453, 'R8288473', NULL),
(1, 5453, '2', NULL),
(6, 5453, '', NULL),
(7, 5453, '0', NULL),
(5, 5453, '', NULL),
(8, 5453, '', NULL),
(2, 5457, 'Bug', NULL),
(4, 5457, 'R8288704', NULL),
(1, 5457, '2', NULL),
(6, 5457, '', NULL),
(7, 5457, '0', NULL),
(5, 5457, '1436479200', NULL),
(8, 5457, '', NULL),
(2, 5516, 'Bug', NULL),
(4, 5516, 'R8288935', NULL),
(1, 5516, '2', NULL),
(6, 5516, '', NULL),
(7, 5516, '0', NULL),
(5, 5516, '', NULL),
(8, 5516, '', NULL),
(2, 5526, 'Task', NULL),
(4, 5526, 'R8287549', NULL),
(3, 5526, '10', NULL),
(1, 5526, '8', NULL),
(6, 5526, '', NULL),
(7, 5526, '0', NULL),
(5, 5526, '', NULL),
(8, 5526, '', NULL),
(2, 5527, 'Task', NULL),
(4, 5527, 'R8289166', NULL),
(3, 5527, '10', NULL),
(1, 5527, '8', NULL),
(6, 5527, '', NULL),
(7, 5527, '0', NULL),
(5, 5527, '', NULL),
(8, 5527, '', NULL),
(2, 5528, 'Task', NULL),
(4, 5528, 'R8289397', NULL),
(3, 5528, '1', NULL),
(1, 5528, '1', NULL),
(6, 5528, '', NULL),
(7, 5528, '0', NULL),
(5, 5528, '', NULL),
(8, 5528, '', NULL),
(2, 5536, 'Task', NULL),
(4, 5536, '', NULL),
(1, 5536, '2', NULL),
(6, 5536, '', NULL),
(7, 5536, '0', NULL),
(5, 5536, '', NULL),
(8, 5536, '', NULL),
(2, 5564, 'Bug', NULL),
(4, 5564, 'R8289859', NULL),
(1, 5564, '2', NULL),
(6, 5564, '', NULL),
(7, 5564, '0', NULL),
(5, 5564, '', NULL),
(8, 5564, '', NULL),
(2, 5565, 'Task', NULL),
(4, 5565, 'R8290090', NULL),
(3, 5565, '8.4', NULL),
(1, 5565, '8', NULL),
(6, 5565, '', NULL),
(7, 5565, '0', NULL),
(5, 5565, '', NULL),
(8, 5565, '', NULL),
(2, 6486, 'Bug', NULL),
(2, 7191, 'Task', NULL),
(2, 5570, 'Bug', NULL),
(8, 5569, '', NULL),
(5, 5569, '', NULL),
(7, 5569, '0', NULL),
(6, 5569, '', NULL),
(1, 5569, '5', NULL),
(3, 5569, '7', NULL),
(4, 5569, 'R8290321', NULL),
(2, 5569, 'Task', NULL),
(4, 5570, 'R8290552', NULL),
(3, 5570, '0', NULL),
(1, 5570, '2', NULL),
(6, 5570, '', NULL),
(7, 5570, '0', NULL),
(5, 5570, '', NULL),
(8, 5570, '', NULL),
(3, 6517, '0', NULL),
(3, 6490, '0', NULL),
(2, 5615, 'Task', NULL),
(4, 5615, 'R8290783', NULL),
(3, 5615, '3', NULL),
(1, 5615, '2', NULL),
(6, 5615, '', NULL),
(7, 5615, '0', NULL),
(5, 5615, '1438898400', NULL),
(8, 5615, '', NULL),
(2, 5616, 'Task', NULL),
(4, 5616, 'R8291014', NULL),
(3, 5616, '3', NULL),
(1, 5616, '2', NULL),
(6, 5616, '', NULL),
(7, 5616, '0', NULL),
(5, 5616, '', NULL),
(8, 5616, '', NULL),
(2, 5617, 'Task', NULL),
(4, 5617, 'R8291245', NULL),
(3, 5617, '3', NULL),
(1, 5617, '2', NULL),
(6, 5617, '', NULL),
(7, 5617, '0', NULL),
(5, 5617, '1438898400', NULL),
(8, 5617, '', NULL),
(2, 5618, 'Task', NULL),
(4, 5618, 'R8291476', NULL),
(3, 5618, '10', NULL),
(1, 5618, '10', NULL),
(6, 5618, '', NULL),
(7, 5618, '0', NULL),
(5, 5618, '1441317600', NULL),
(8, 5618, '', NULL),
(2, 5619, 'Bug', NULL),
(4, 5619, 'R8291707', NULL),
(3, 5619, '0', NULL),
(1, 5619, '2', NULL),
(6, 5619, '', NULL),
(7, 5619, '0', NULL),
(5, 5619, '', NULL),
(8, 5619, '', NULL),
(2, 5630, 'Bug', NULL),
(4, 5630, 'R8291938', NULL),
(3, 5630, '0', NULL),
(1, 5630, '1', NULL),
(6, 5630, '', NULL),
(7, 5630, '0', NULL),
(5, 5630, '', NULL),
(8, 5630, '', NULL),
(3, 13783, '0', NULL),
(11, 13783, 'Recette', NULL),
(8, 13785, '', NULL),
(5, 13785, '', NULL),
(6, 13785, '', NULL),
(6, 4295, '', NULL),
(7, 4295, '', NULL),
(8, 4295, '', NULL),
(6, 4331, '', NULL),
(7, 4331, '0', NULL),
(5, 4331, '', NULL),
(8, 4331, '', NULL),
(6, 4332, '', NULL),
(7, 4332, '', NULL),
(5, 4332, '', NULL),
(8, 4332, '', NULL),
(6, 4325, '', NULL),
(7, 4325, '', NULL),
(5, 4325, '', NULL),
(8, 4325, '', NULL),
(6, 4870, '', NULL),
(7, 4870, '', NULL),
(5, 4870, '', NULL),
(8, 4870, '', NULL),
(2, 5710, 'Bug', NULL),
(4, 5710, 'R8292400', NULL),
(3, 5710, '0', NULL),
(1, 5710, '2', NULL),
(6, 5710, '', NULL),
(7, 5710, '', NULL),
(5, 5710, '', NULL),
(8, 5710, '', NULL),
(2, 5711, 'Task', NULL),
(4, 5711, 'R8292631', NULL),
(3, 5711, '14', NULL),
(1, 5711, '5', NULL),
(6, 5711, '', NULL),
(7, 5711, '0', NULL),
(5, 5711, '', NULL),
(8, 5711, '', NULL),
(2, 5712, 'Bug', NULL),
(4, 5712, 'R8292862', NULL),
(3, 5712, '0', NULL),
(1, 5712, '2', NULL),
(6, 5712, '', NULL),
(7, 5712, '0', NULL),
(5, 5712, '', NULL),
(8, 5712, '', NULL),
(3, 3893, '0', NULL),
(7, 4873, '1', NULL),
(5, 4873, '', NULL),
(8, 4873, '', NULL),
(2, 5713, 'Bug', NULL),
(4, 5713, 'R8293093', NULL),
(3, 5713, '0', NULL),
(1, 5713, '2', NULL),
(6, 5713, '', NULL),
(7, 5713, '0', NULL),
(5, 5713, '', NULL),
(8, 5713, '', NULL),
(2, 5714, 'Bug', NULL),
(4, 5714, 'R8293324', NULL),
(3, 5714, '0', NULL),
(1, 5714, '2', NULL),
(6, 5714, '', NULL),
(7, 5714, '0', NULL),
(5, 5714, '', NULL),
(8, 5714, '', NULL),
(2, 5716, 'Task', NULL),
(4, 5716, 'R8293555', NULL),
(3, 5716, '3', NULL),
(1, 5716, '0.5', NULL),
(6, 5716, '', NULL),
(7, 5716, '0', NULL),
(5, 5716, '', NULL),
(8, 5716, '', NULL),
(2, 5717, 'Task', NULL),
(4, 5717, 'R8293786', NULL),
(3, 5717, '2', NULL),
(1, 5717, '1', NULL),
(6, 5717, '', NULL),
(7, 5717, '0', NULL),
(5, 5717, '', NULL),
(8, 5717, '', NULL),
(2, 5718, 'Task', NULL),
(4, 5718, 'R8294017', NULL),
(3, 5718, '4', NULL),
(1, 5718, '3', NULL),
(6, 5718, '', NULL),
(7, 5718, '0', NULL),
(5, 5718, '', NULL),
(8, 5718, '', NULL),
(2, 5719, 'Task', NULL),
(4, 5719, 'R8294248', NULL),
(3, 5719, '3', NULL),
(1, 5719, '2', NULL),
(6, 5719, '', NULL),
(7, 5719, '0', NULL),
(5, 5719, '', NULL),
(8, 5719, '', NULL),
(2, 5720, 'Task', NULL),
(4, 5720, 'R8294479', NULL),
(3, 5720, '4', NULL),
(1, 5720, '3', NULL),
(6, 5720, '', NULL),
(7, 5720, '0', NULL),
(5, 5720, '', NULL),
(8, 5720, '', NULL),
(2, 5721, 'Task', NULL),
(4, 5721, 'R8294710', NULL),
(3, 5721, '5', NULL),
(1, 5721, '5', NULL),
(6, 5721, '', NULL),
(7, 5721, '0', NULL),
(5, 5721, '', NULL),
(8, 5721, '', NULL),
(2, 5722, 'Task', NULL),
(4, 5722, 'R8294941', NULL),
(3, 5722, '2', NULL),
(1, 5722, '1', NULL),
(6, 5722, '', NULL),
(7, 5722, '0', NULL),
(5, 5722, '', NULL),
(8, 5722, '', NULL),
(2, 5723, 'Task', NULL),
(4, 5723, 'R8295172', NULL),
(3, 5723, '3', NULL),
(1, 5723, '2', NULL),
(6, 5723, '', NULL),
(7, 5723, '0', NULL),
(5, 5723, '', NULL),
(8, 5723, '', NULL),
(2, 5724, 'Task', NULL),
(4, 5724, 'R8295403', NULL),
(3, 5724, '3', NULL),
(1, 5724, '2', NULL),
(6, 5724, '', NULL),
(7, 5724, '0', NULL),
(5, 5724, '', NULL),
(8, 5724, '', NULL),
(2, 5726, 'Bug', NULL),
(4, 5726, 'R8295634', NULL),
(3, 5726, '0', NULL),
(1, 5726, '2', NULL),
(6, 5726, '', NULL),
(7, 5726, '0', NULL),
(5, 5726, '', NULL),
(8, 5726, '', NULL),
(2, 5727, 'Bug', NULL),
(4, 5727, 'R8295865', NULL),
(3, 5727, '0', NULL),
(1, 5727, '2', NULL),
(6, 5727, '', NULL),
(7, 5727, '', NULL),
(5, 5727, '', NULL),
(8, 5727, '', NULL),
(2, 5728, 'Bug', NULL),
(4, 5728, 'R8296096', NULL),
(3, 5728, '0', NULL),
(1, 5728, '5', NULL),
(6, 5728, '', NULL),
(7, 5728, '0', NULL),
(5, 5728, '', NULL),
(8, 5728, '', NULL),
(2, 5729, 'Bug', NULL),
(4, 5729, 'R8296327', NULL),
(3, 5729, '0', NULL),
(1, 5729, '2', NULL),
(6, 5729, '', NULL),
(7, 5729, '0', NULL),
(5, 5729, '1442354400', NULL),
(8, 5729, '', NULL),
(2, 5730, 'Bug', NULL),
(4, 5730, 'R8296558', NULL),
(3, 5730, '0', NULL),
(1, 5730, '2', NULL),
(6, 5730, '', NULL),
(7, 5730, '0', NULL),
(5, 5730, '', NULL),
(8, 5730, '', NULL),
(2, 6021, 'Bug', NULL),
(4, 6021, 'R8296789', NULL),
(1, 6021, '2', NULL),
(6, 6021, '', NULL),
(7, 6021, '0', NULL),
(5, 6021, '', NULL),
(8, 6021, '', NULL),
(2, 6022, 'Bug', NULL),
(4, 6022, 'R8297020', NULL),
(1, 6022, '3', NULL),
(6, 6022, '', NULL),
(7, 6022, '0', NULL),
(5, 6022, '', NULL),
(8, 6022, '', NULL),
(2, 6036, 'Task', NULL),
(4, 6036, 'R8297251', NULL),
(1, 6036, '2', NULL),
(6, 6036, '', NULL),
(7, 6036, '0', NULL),
(5, 6036, '1438725600', NULL),
(8, 6036, '', NULL),
(2, 6058, 'Task', NULL),
(4, 6058, 'R8297482', NULL),
(1, 6058, '3', NULL),
(6, 6058, '', NULL),
(7, 6058, '0', NULL),
(5, 6058, '1440021600', NULL),
(8, 6058, '', NULL),
(2, 6059, 'Bug', NULL),
(4, 6059, 'R8297713', NULL),
(3, 6059, '0', NULL),
(1, 6059, '2', NULL),
(6, 6059, '', NULL),
(7, 6059, '0', NULL),
(5, 6059, '', NULL),
(8, 6059, '1457996400', NULL),
(2, 6066, 'Bug', NULL),
(4, 6066, 'R8297944', NULL),
(1, 6066, '2', NULL),
(6, 6066, '', NULL),
(7, 6066, '0', NULL),
(5, 6066, '', NULL),
(8, 6066, '', NULL),
(2, 6067, 'Bug', NULL),
(4, 6067, 'R8298175', NULL),
(1, 6067, '2', NULL),
(6, 6067, '', NULL),
(7, 6067, '0', NULL),
(5, 6067, '', NULL),
(8, 6067, '', NULL),
(3, 5341, '0', NULL),
(3, 6066, '0', NULL),
(4, 6486, 'R8298637', NULL),
(2, 8343, 'Bug', NULL),
(8, 8342, '', NULL),
(5, 8342, '', NULL),
(7, 8342, '0', NULL),
(6, 8342, '', NULL),
(1, 8342, '2', NULL),
(3, 8342, '0', NULL),
(2, 6129, 'Bug', NULL),
(4, 6129, 'R8298868', NULL),
(3, 6129, '0', NULL),
(1, 6129, '2', NULL),
(6, 6129, '', NULL),
(7, 6129, '0', NULL),
(5, 6129, '1444341600', NULL),
(8, 6129, '', NULL),
(2, 6131, 'Bug', NULL),
(4, 6131, '', NULL),
(1, 6131, '1', NULL),
(6, 6131, '', NULL),
(7, 6131, '0', NULL),
(5, 6131, '1439416800', NULL),
(8, 6131, '', NULL),
(2, 6132, 'Bug', NULL),
(4, 6132, '', NULL),
(1, 6132, '1', NULL),
(6, 6132, '', NULL),
(7, 6132, '0', NULL),
(5, 6132, '1439416800', NULL),
(8, 6132, '', NULL),
(2, 6133, 'Bug', NULL),
(4, 6133, 'R8299561', NULL),
(3, 6133, '0', NULL),
(1, 6133, '2', NULL),
(6, 6133, '', NULL),
(7, 6133, '0', NULL),
(5, 6133, '', NULL),
(8, 6133, '', NULL),
(2, 6134, 'Bug', NULL),
(4, 6134, 'R8299792', NULL),
(3, 6134, '0', NULL),
(1, 6134, '2', NULL),
(6, 6134, '', NULL),
(7, 6134, '0', NULL),
(5, 6134, '', NULL),
(8, 6134, '', NULL),
(2, 6135, 'Bug', NULL),
(4, 6135, 'R82100023', NULL),
(3, 6135, '0', NULL),
(1, 6135, '2', NULL),
(6, 6135, '', NULL),
(7, 6135, '0', NULL),
(5, 6135, '', NULL),
(8, 6135, '', NULL),
(2, 6136, 'Bug', NULL),
(4, 6136, 'R82100254', NULL),
(3, 6136, '0', NULL),
(1, 6136, '2', NULL),
(6, 6136, '', NULL),
(7, 6136, '0', NULL),
(5, 6136, '', NULL),
(8, 6136, '', NULL),
(2, 6137, 'Bug', NULL),
(4, 6137, 'R82100485', NULL),
(3, 6137, '0', NULL),
(1, 6137, '2', NULL),
(6, 6137, '', NULL),
(7, 6137, '1', NULL),
(5, 6137, '', NULL),
(8, 6137, '', NULL),
(2, 6138, 'Bug', NULL),
(4, 6138, 'R82100716', NULL),
(3, 6138, '0', NULL),
(1, 6138, '2', NULL),
(6, 6138, '', NULL),
(7, 6138, '0', NULL),
(5, 6138, '', NULL),
(8, 6138, '', NULL),
(2, 6139, 'Bug', NULL),
(4, 6139, 'R82100947', NULL),
(3, 6139, '0', NULL),
(1, 6139, '2', NULL),
(6, 6139, '', NULL),
(7, 6139, '0', NULL),
(5, 6139, '1440712800', NULL),
(8, 6139, '', NULL),
(2, 6140, 'Bug', NULL),
(4, 6140, 'R82101178', NULL),
(3, 6140, '0', NULL),
(1, 6140, '2', NULL),
(6, 6140, '', NULL),
(7, 6140, '0', NULL),
(5, 6140, '', NULL),
(8, 6140, '', NULL),
(2, 6141, 'Bug', NULL),
(4, 6141, 'R82101409', NULL),
(3, 6141, '0', NULL),
(1, 6141, '2', NULL),
(6, 6141, '', NULL),
(7, 6141, '0', NULL),
(5, 6141, '', NULL),
(8, 6141, '', NULL),
(2, 6153, 'Task', NULL),
(4, 6153, 'R82101640', NULL),
(3, 6153, '4', NULL),
(1, 6153, '3', NULL),
(6, 6153, '', NULL),
(7, 6153, '0', NULL),
(5, 6153, '', NULL),
(8, 6153, '', NULL),
(3, 6058, '', NULL),
(2, 6154, 'Task', NULL),
(4, 6154, 'R82101871', NULL),
(3, 6154, '0', NULL),
(1, 6154, '2', NULL),
(6, 6154, '', NULL),
(7, 6154, '0', NULL),
(5, 6154, '1443564000', NULL),
(8, 6154, '', NULL),
(2, 6179, 'Task', NULL),
(4, 6179, 'R82102102', NULL),
(3, 6179, '0', NULL),
(1, 6179, '2', NULL),
(6, 6179, '', NULL),
(7, 6179, '0', NULL),
(5, 6179, '', NULL),
(8, 6179, '', NULL),
(2, 6180, 'Bug', NULL),
(4, 6180, 'R82102333', NULL),
(3, 6180, '0', NULL),
(1, 6180, '2', NULL),
(6, 6180, '', NULL),
(7, 6180, '0', NULL),
(5, 6180, '', NULL),
(8, 6180, '', NULL),
(2, 6185, 'Bug', NULL),
(4, 6185, 'R82102564', NULL),
(3, 6185, '0', NULL),
(1, 6185, '2', NULL),
(6, 6185, '', NULL),
(7, 6185, '0', NULL),
(5, 6185, '', NULL),
(8, 6185, '', NULL),
(2, 6187, 'Bug', NULL),
(4, 6187, 'R82102795', NULL),
(3, 6187, '0', NULL),
(1, 6187, '2', NULL),
(6, 6187, '', NULL),
(7, 6187, '0', NULL),
(5, 6187, '', NULL),
(8, 6187, '', NULL),
(2, 6188, 'Bug', NULL),
(4, 6188, 'R82103026', NULL),
(3, 6188, '0', NULL),
(1, 6188, '2', NULL),
(6, 6188, '', NULL),
(7, 6188, '0', NULL),
(5, 6188, '', NULL),
(8, 6188, '', NULL),
(3, 5564, '0', NULL),
(2, 6189, 'Task', NULL),
(4, 6189, 'R82103257', NULL),
(3, 6189, '6.8', NULL),
(1, 6189, '10', NULL),
(6, 6189, '', NULL),
(7, 6189, '0', NULL),
(5, 6189, '', NULL),
(8, 6189, '', NULL),
(2, 6190, 'Bug', NULL),
(4, 6190, 'R82103488', NULL),
(3, 6190, '0', NULL),
(1, 6190, '2', NULL),
(6, 6190, '', NULL),
(7, 6190, '0', NULL),
(5, 6190, '1441144800', NULL),
(8, 6190, '', NULL),
(2, 6197, 'Task', NULL),
(4, 6197, 'R82103719', NULL),
(3, 6197, '0', NULL),
(1, 6197, '2', NULL),
(6, 6197, '', NULL),
(7, 6197, '0', NULL),
(5, 6197, '', NULL),
(8, 6197, '', NULL),
(2, 6198, 'Task', NULL),
(4, 6198, 'R82103950', NULL),
(3, 6198, '0', NULL),
(1, 6198, '2', NULL),
(6, 6198, '', NULL),
(7, 6198, '0', NULL),
(5, 6198, '', NULL),
(8, 6198, '', NULL),
(8, 6210, '', NULL),
(5, 6210, '', NULL),
(7, 6210, '0', NULL),
(6, 6210, '', NULL),
(1, 6210, '2', NULL),
(3, 6210, '0', NULL),
(4, 6210, 'R82104181', NULL),
(6, 6539, '', NULL),
(1, 6539, '2', NULL),
(4, 6539, 'R82112497', NULL),
(5, 6539, '1443391200', NULL),
(7, 6539, '0', NULL),
(2, 6256, 'Bug', NULL),
(4, 6256, 'R82104412', NULL),
(3, 6256, '0', NULL),
(1, 6256, '2', NULL),
(6, 6256, '', NULL),
(7, 6256, '0', NULL),
(5, 6256, '', NULL),
(8, 6256, '', NULL),
(2, 6257, 'Task', NULL),
(4, 6257, 'R82104643', NULL),
(3, 6257, '0', NULL),
(1, 6257, '2', NULL),
(6, 6257, '', NULL),
(7, 6257, '0', NULL),
(5, 6257, '', NULL),
(8, 6257, '', NULL),
(2, 6258, 'Bug', NULL),
(4, 6258, '', NULL),
(3, 6258, '0', NULL),
(1, 6258, '2', NULL),
(6, 6258, '', NULL),
(7, 6258, '0', NULL),
(5, 6258, '', NULL),
(8, 6258, '', NULL),
(3, 5516, '0', NULL),
(2, 6271, 'Bug', NULL),
(4, 6271, 'R82105105', NULL),
(3, 6271, '0', NULL),
(1, 6271, '2', NULL),
(6, 6271, '', NULL),
(7, 6271, '', NULL),
(5, 6271, '1441749600', NULL),
(8, 6271, '', NULL),
(2, 6272, 'Task', NULL),
(4, 6272, 'R82105336', NULL),
(3, 6272, '5', NULL),
(1, 6272, '3', NULL),
(6, 6272, '', NULL),
(7, 6272, '0', NULL),
(5, 6272, '1443564000', NULL),
(8, 6272, '', NULL),
(2, 6273, 'Task', NULL),
(4, 6273, 'R82105567', NULL),
(3, 6273, '7', NULL),
(1, 6273, '5', NULL),
(6, 6273, '', NULL),
(7, 6273, '0', NULL),
(5, 6273, '1446159600', NULL),
(8, 6273, '', NULL),
(2, 6274, 'Task', NULL),
(4, 6274, 'R82105798', NULL),
(3, 6274, '3', NULL),
(1, 6274, '2', NULL),
(6, 6274, '', NULL),
(7, 6274, '0', NULL),
(5, 6274, '1443477600', NULL),
(8, 6274, '', NULL),
(2, 6275, 'Task', NULL),
(4, 6275, 'R82106029', NULL),
(3, 6275, '5', NULL),
(1, 6275, '4', NULL),
(6, 6275, '', NULL),
(7, 6275, '0', NULL),
(5, 6275, '', NULL),
(8, 6275, '', NULL),
(5, 6618, '1443564000', NULL),
(7, 6618, '0', NULL),
(6, 6618, '', NULL),
(1, 6618, '2', NULL),
(3, 6618, '0', NULL),
(4, 6618, 'R82106260', NULL),
(2, 6618, 'Bug', NULL),
(6, 4330, '', NULL),
(7, 4330, '0', NULL),
(5, 4330, '', NULL),
(8, 4330, '', NULL),
(2, 6284, 'Bug', NULL),
(4, 6284, 'R82106953', NULL),
(3, 6284, '0', NULL),
(1, 6284, '2', NULL),
(6, 6284, '', NULL),
(7, 6284, '0', NULL),
(5, 6284, '', NULL),
(8, 6284, '', NULL),
(2, 6285, 'Task', NULL),
(4, 6285, 'R82107184', NULL),
(3, 6285, '2', NULL),
(1, 6285, '1', NULL),
(6, 6285, '', NULL),
(7, 6285, '0', NULL),
(5, 6285, '', NULL),
(8, 6285, '', NULL),
(2, 6286, 'Task', NULL),
(4, 6286, 'R82107415', NULL),
(3, 6286, '1', NULL),
(1, 6286, '1', NULL),
(6, 6286, '', NULL),
(7, 6286, '0', NULL),
(5, 6286, '', NULL),
(8, 6286, '', NULL),
(2, 6294, 'Bug', NULL),
(4, 6294, 'R82107646', NULL),
(3, 6294, '0', NULL),
(1, 6294, '2', NULL),
(6, 6294, '', NULL),
(7, 6294, '0', NULL),
(5, 6294, '', NULL),
(8, 6294, '', NULL),
(2, 6295, 'Bug', NULL),
(4, 6295, 'R82107877', NULL),
(3, 6295, '0', NULL),
(1, 6295, '2', NULL),
(6, 6295, '', NULL),
(7, 6295, '0', NULL),
(5, 6295, '', NULL),
(8, 6295, '', NULL),
(2, 6296, 'Bug', NULL),
(4, 6296, '', NULL),
(1, 6296, '2', NULL),
(6, 6296, '', NULL),
(7, 6296, '0', NULL),
(5, 6296, '', NULL),
(8, 6296, '', NULL),
(2, 6297, 'Bug', NULL),
(4, 6297, 'R82108339', NULL),
(1, 6297, '2', NULL),
(6, 6297, '', NULL),
(7, 6297, '0', NULL),
(5, 6297, '', NULL),
(8, 6297, '', NULL),
(2, 6298, 'Bug', NULL),
(4, 6298, 'R82108570', NULL),
(3, 6298, '0', NULL),
(1, 6298, '2', NULL),
(6, 6298, '', NULL),
(7, 6298, '0', NULL),
(5, 6298, '', NULL),
(8, 6298, '', NULL),
(2, 6299, 'Bug', NULL),
(4, 6299, 'R82108801', NULL),
(3, 6299, '0', NULL),
(1, 6299, '2', NULL),
(6, 6299, '', NULL),
(7, 6299, '', NULL),
(5, 6299, '', NULL),
(8, 6299, '', NULL),
(8, 4874, '', NULL),
(5, 4874, '', NULL),
(7, 4874, '1', NULL),
(6, 4874, '', NULL),
(3, 6301, '0', NULL),
(2, 6301, 'Bug', NULL),
(4, 6301, 'R82109263', NULL),
(1, 6301, '2', NULL),
(6, 6301, '', NULL),
(7, 6301, '0', NULL),
(5, 6301, '1441836000', NULL),
(8, 6301, '', NULL),
(8, 4882, '', NULL),
(2, 6305, 'Bug', NULL),
(4, 6305, 'R82109494', NULL),
(3, 6305, '0', NULL),
(1, 6305, '2', NULL),
(6, 6305, '', NULL),
(7, 6305, '0', NULL),
(5, 6305, '', NULL),
(8, 6305, '', NULL),
(2, 6306, 'Bug', NULL),
(4, 6306, 'R82109725', NULL),
(3, 6306, '0', NULL),
(1, 6306, '2', NULL),
(6, 6306, '', NULL),
(7, 6306, '0', NULL),
(5, 6306, '1449702000', NULL),
(8, 6306, '', NULL),
(2, 6539, 'Bug', NULL),
(5, 6569, '', NULL),
(7, 6569, '0', NULL),
(6, 6569, '', NULL),
(1, 6569, '1', NULL),
(4, 6569, 'R82109956', NULL),
(2, 6569, 'Task', NULL),
(2, 6477, 'Bug', NULL),
(4, 6477, 'R82110187', NULL),
(3, 6477, '0', NULL),
(1, 6477, '2', NULL),
(6, 6477, '', NULL),
(7, 6477, '0', NULL),
(5, 6477, '', NULL),
(8, 6477, '', NULL),
(2, 6482, 'Bug', NULL),
(4, 6482, 'R82110418', NULL),
(1, 6482, '5', NULL),
(6, 6482, '', NULL),
(7, 6482, '0', NULL),
(5, 6482, '1442440800', NULL),
(8, 6482, '', NULL),
(3, 6486, '0', NULL),
(1, 6486, '1', NULL),
(6, 6486, '', NULL),
(7, 6486, '0', NULL),
(5, 6486, '1442786400', NULL),
(8, 6486, '', NULL),
(3, 6482, '0', NULL),
(2, 6490, 'Bug', NULL),
(4, 6490, 'R82110649', NULL),
(1, 6490, '2', NULL),
(6, 6490, '', NULL),
(7, 6490, '0', NULL),
(5, 6490, '', NULL),
(8, 6490, '', NULL),
(2, 6491, 'Bug', NULL),
(4, 6491, 'R82106722', NULL),
(3, 6491, '0', NULL),
(1, 6491, '4', NULL),
(6, 6491, '', NULL),
(7, 6491, '0', NULL),
(5, 6491, '1443132000', NULL),
(8, 6491, '', NULL),
(2, 6494, 'Task', NULL),
(4, 6494, 'R82110880', NULL),
(3, 6494, '0', NULL),
(1, 6494, '2', NULL),
(6, 6494, '', NULL),
(7, 6494, '', NULL),
(5, 6494, '', NULL),
(8, 6494, '', NULL),
(2, 6495, 'Task', NULL),
(4, 6495, 'R82111111', NULL),
(3, 6495, '0', NULL),
(1, 6495, '2', NULL),
(6, 6495, '', NULL),
(7, 6495, '0', NULL),
(5, 6495, '', NULL),
(8, 6495, '', NULL),
(2, 6496, 'Task', NULL),
(4, 6496, 'R82111342', NULL),
(3, 6496, '0', NULL),
(1, 6496, '2', NULL),
(6, 6496, '', NULL),
(7, 6496, '', NULL),
(5, 6496, '', NULL),
(8, 6496, '', NULL),
(2, 6497, 'Task', NULL),
(4, 6497, 'R82111573', NULL),
(3, 6497, '0', NULL),
(1, 6497, '2', NULL),
(6, 6497, '', NULL),
(7, 6497, '', NULL),
(5, 6497, '', NULL),
(8, 6497, '', NULL),
(7, 6617, '0', NULL),
(6, 6617, '', NULL),
(1, 6617, '5', NULL),
(3, 6617, '7', NULL),
(4, 6617, 'R82111804', NULL),
(2, 6617, 'Task', NULL),
(2, 6516, 'Bug', NULL),
(4, 6516, 'R82112035', NULL),
(1, 6516, '2', NULL),
(6, 6516, '', NULL),
(7, 6516, '0', NULL),
(5, 6516, '1443132000', NULL),
(8, 6516, '', NULL),
(2, 6517, 'Bug', NULL),
(4, 6517, 'R82112266', NULL),
(1, 6517, '2', NULL),
(6, 6517, '', NULL),
(7, 6517, '0', NULL),
(5, 6517, '1443132000', NULL),
(8, 6517, '', NULL),
(8, 6539, '', NULL),
(2, 6566, 'Task', NULL),
(4, 6566, '', NULL),
(1, 6566, '2', NULL),
(6, 6566, '', NULL),
(7, 6566, '0', NULL),
(5, 6566, '', NULL),
(8, 6566, '', NULL),
(2, 6568, 'Task', NULL),
(4, 6568, '', NULL),
(1, 6568, '4', NULL),
(6, 6568, '', NULL),
(7, 6568, '0', NULL),
(5, 6568, '1430949600', NULL),
(8, 6568, '', NULL),
(2, 6615, 'Bug', NULL),
(4, 6615, 'R82113190', NULL),
(3, 6615, '0', NULL),
(1, 6615, '2', NULL),
(6, 6615, '', NULL),
(7, 6615, '0', NULL),
(5, 6615, '', NULL),
(8, 6615, '', NULL),
(5, 6617, '', NULL),
(8, 6617, '', NULL),
(8, 6618, '', NULL),
(3, 6297, '0', NULL),
(2, 6636, 'Bug', NULL),
(4, 6636, 'R82113421', NULL),
(3, 6636, '0', NULL),
(1, 6636, '5', NULL),
(6, 6636, '', NULL),
(7, 6636, '0', NULL),
(5, 6636, '1470002400', NULL),
(8, 6636, '', NULL),
(2, 6640, 'Bug', NULL),
(4, 6640, 'R82113652', NULL),
(3, 6640, '0', NULL),
(1, 6640, '2', NULL),
(6, 6640, '', NULL),
(7, 6640, '0', NULL),
(5, 6640, '', NULL),
(8, 6640, '', NULL),
(2, 6656, 'Task', NULL),
(4, 6656, 'R82113883', NULL),
(3, 6656, '2', NULL),
(1, 6656, '1', NULL),
(6, 6656, '', NULL),
(7, 6656, '0', NULL),
(5, 6656, '1448233200', NULL),
(8, 6656, '', NULL),
(2, 6662, 'Task', NULL),
(4, 6662, 'R82114114', NULL),
(3, 6662, '3', NULL),
(1, 6662, '2', NULL),
(6, 6662, '', NULL),
(7, 6662, '0', NULL),
(5, 6662, '', NULL),
(8, 6662, '', NULL),
(2, 6720, 'Bug', NULL),
(4, 6720, 'R82114345', NULL),
(1, 6720, '2', NULL),
(6, 6720, '', NULL),
(7, 6720, '0', NULL),
(5, 6720, '1444341600', NULL),
(8, 6720, '', NULL),
(2, 6723, 'Bug', NULL),
(4, 6723, 'R82114576', NULL),
(3, 6723, '0', NULL),
(1, 6723, '5', NULL),
(6, 6723, '', NULL),
(7, 6723, '0', NULL),
(5, 6723, '', NULL),
(8, 6723, '', NULL),
(2, 6725, 'Task', NULL),
(4, 6725, ' ', NULL),
(3, 6725, '5', NULL),
(1, 6725, '5', NULL),
(6, 6725, '', NULL),
(7, 6725, '0', NULL),
(5, 6725, '', NULL),
(8, 6725, '', NULL),
(2, 6741, 'Task', NULL),
(4, 6741, 'R82114807', NULL),
(3, 6741, '3.5', NULL),
(1, 6741, '3', NULL),
(6, 6741, '', NULL),
(7, 6741, '0', NULL),
(5, 6741, '', NULL),
(8, 6741, '', NULL),
(2, 6742, 'Task', NULL),
(4, 6742, 'R82115038', NULL),
(1, 6742, '1', NULL),
(6, 6742, '', NULL),
(7, 6742, '0', NULL),
(5, 6742, '', NULL),
(8, 6742, '', NULL),
(2, 6743, 'Task', NULL),
(4, 6743, 'R82115269', NULL),
(1, 6743, '3', NULL),
(6, 6743, '', NULL),
(7, 6743, '0', NULL),
(5, 6743, '', NULL),
(8, 6743, '', NULL),
(2, 6744, 'Task', NULL),
(4, 6744, 'R82115500', NULL),
(1, 6744, '2', NULL),
(6, 6744, '', NULL),
(7, 6744, '0', NULL),
(5, 6744, '', NULL),
(8, 6744, '', NULL),
(2, 6745, 'Task', NULL),
(4, 6745, 'R82115731', NULL),
(1, 6745, '1', NULL),
(6, 6745, '', NULL),
(7, 6745, '0', NULL),
(5, 6745, '', NULL),
(8, 6745, '', NULL),
(2, 6746, 'Task', NULL),
(4, 6746, 'R82115962', NULL),
(1, 6746, '4', NULL),
(6, 6746, '', NULL),
(7, 6746, '0', NULL),
(5, 6746, '', NULL),
(8, 6746, '', NULL),
(2, 6747, 'Task', NULL),
(4, 6747, 'R82116193', NULL),
(1, 6747, '1', NULL),
(6, 6747, '', NULL),
(7, 6747, '0', NULL),
(5, 6747, '', NULL),
(8, 6747, '', NULL),
(2, 6748, 'Task', NULL),
(4, 6748, 'R82116424', NULL),
(1, 6748, '5', NULL),
(6, 6748, '', NULL),
(7, 6748, '0', NULL),
(5, 6748, '', NULL),
(8, 6748, '', NULL),
(2, 6749, 'Task', NULL),
(4, 6749, 'R82116655', NULL),
(1, 6749, '5', NULL),
(6, 6749, '', NULL),
(7, 6749, '0', NULL),
(5, 6749, '', NULL),
(8, 6749, '', NULL),
(2, 6772, 'Bug', NULL),
(4, 6772, 'R82116886', NULL),
(3, 6772, '0', NULL),
(1, 6772, '0', NULL),
(6, 6772, '', NULL),
(7, 6772, '0', NULL),
(5, 6772, '', NULL),
(8, 6772, '', NULL),
(2, 6826, 'Bug', NULL),
(4, 6826, '', NULL),
(1, 6826, '2', NULL),
(6, 6826, '', NULL),
(7, 6826, '0', NULL),
(5, 6826, '', NULL),
(8, 6826, '', NULL),
(2, 6927, 'Task', NULL),
(4, 6927, 'R82117348', NULL),
(3, 6927, '3', NULL),
(1, 6927, '2', NULL),
(6, 6927, '', NULL),
(7, 6927, '0', NULL),
(5, 6927, '', NULL),
(8, 6927, '', NULL),
(2, 6928, 'Bug', NULL),
(4, 6928, 'R82117579', NULL),
(1, 6928, '2', NULL),
(6, 6928, '', NULL),
(7, 6928, '0', NULL),
(5, 6928, '', NULL),
(8, 6928, '', NULL),
(2, 6929, 'Task', NULL),
(4, 6929, 'R82117810', NULL),
(3, 6929, '5', NULL),
(1, 6929, '4', NULL),
(6, 6929, '', NULL),
(7, 6929, '0', NULL),
(5, 6929, '1446073200', NULL),
(8, 6929, '', NULL),
(2, 6930, 'Task', NULL),
(4, 6930, 'R82118041', NULL),
(3, 6930, '12', NULL),
(1, 6930, '10', NULL),
(6, 6930, '', NULL),
(7, 6930, '0', NULL),
(5, 6930, '1447801200', NULL),
(8, 6930, '', NULL),
(2, 6931, 'Task', NULL),
(4, 6931, 'R82118272', NULL),
(3, 6931, '2', NULL),
(1, 6931, '1', NULL),
(6, 6931, '', NULL),
(7, 6931, '0', NULL),
(5, 6931, '1446764400', NULL),
(8, 6931, '', NULL),
(2, 6932, 'Bug', NULL),
(4, 6932, '', NULL),
(1, 6932, '2', NULL),
(6, 6932, '', NULL),
(7, 6932, '0', NULL),
(5, 6932, '1444773600', NULL),
(8, 6932, '', NULL),
(2, 6949, 'Task', NULL),
(4, 6949, 'R82118734', NULL),
(3, 6949, '15', NULL),
(1, 6949, '10', NULL),
(6, 6949, '', NULL),
(7, 6949, '0', NULL),
(5, 6949, '1452466800', NULL),
(8, 6949, '', NULL),
(2, 6965, 'Bug', NULL),
(4, 6965, 'R82118965', NULL),
(3, 6965, '0', NULL),
(1, 6965, '2', NULL),
(6, 6965, '', NULL),
(7, 6965, '0', NULL),
(5, 6965, '', NULL),
(8, 6965, '', NULL),
(2, 6967, 'Task', NULL),
(4, 6967, '', NULL),
(1, 6967, '0', NULL),
(6, 6967, '', NULL),
(7, 6967, '0', NULL),
(5, 6967, '', NULL),
(8, 6967, '', NULL),
(2, 6968, 'Task', NULL),
(4, 6968, 'R82119427', NULL),
(3, 6968, '1', NULL),
(1, 6968, '1', NULL),
(6, 6968, '', NULL),
(7, 6968, '0', NULL),
(5, 6968, '1445292000', NULL),
(8, 6968, '', NULL),
(2, 6969, 'Task', NULL),
(4, 6969, 'R82119658', NULL),
(3, 6969, '5', NULL),
(1, 6969, '2', NULL),
(6, 6969, '', NULL),
(7, 6969, '0', NULL),
(5, 6969, '1445551200', NULL),
(8, 6969, '', NULL),
(2, 6970, 'Bug', NULL),
(4, 6970, '', NULL),
(3, 6970, '0', NULL),
(1, 6970, '2', NULL),
(6, 6970, '', NULL),
(7, 6970, '0', NULL),
(5, 6970, '', NULL),
(8, 6970, '', NULL),
(2, 7005, 'Bug', NULL),
(4, 7005, 'R82120120', NULL),
(1, 7005, '1', NULL),
(6, 7005, '', NULL),
(7, 7005, '0', NULL),
(5, 7005, '1446505200', NULL),
(8, 7005, '', NULL),
(2, 7008, 'Task', NULL),
(4, 7008, 'R82120351', NULL),
(3, 7008, '0', NULL),
(1, 7008, '2', NULL),
(6, 7008, '', NULL),
(7, 7008, '0', NULL),
(5, 7008, '', NULL),
(8, 7008, '', NULL),
(2, 7020, 'Bug', NULL),
(4, 7020, 'R82120582', NULL),
(3, 7020, '0', NULL),
(1, 7020, '2', NULL),
(6, 7020, '', NULL),
(7, 7020, '', NULL),
(5, 7020, '', NULL),
(8, 7020, '', NULL),
(2, 7021, 'Task', NULL),
(4, 7021, '', NULL),
(3, 7021, '0', NULL),
(1, 7021, '2', NULL),
(6, 7021, '', NULL),
(7, 7021, '0', NULL),
(5, 7021, '', NULL),
(8, 7021, '', NULL),
(2, 7067, 'Bug', NULL),
(4, 7067, 'R82121044', NULL),
(3, 7067, '0', NULL),
(1, 7067, '2', NULL),
(6, 7067, '', NULL),
(7, 7067, '0', NULL),
(5, 7067, '', NULL),
(8, 7067, '', NULL),
(3, 7005, '0', NULL),
(2, 7068, 'Bug', NULL),
(4, 7068, 'R82121275', NULL),
(3, 7068, '0', NULL),
(1, 7068, '2', NULL),
(6, 7068, '', NULL),
(7, 7068, '0', NULL),
(5, 7068, '', NULL),
(8, 7068, '', NULL),
(2, 7069, 'Task', NULL),
(4, 7069, 'R82121506', NULL),
(3, 7069, '10', NULL),
(1, 7069, '8', NULL),
(6, 7069, '', NULL),
(7, 7069, '0', NULL),
(5, 7069, '1454194800', NULL),
(8, 7069, '', NULL),
(2, 7070, 'Task', NULL),
(4, 7070, 'R82121737', NULL),
(3, 7070, '10', NULL),
(1, 7070, '8', NULL),
(6, 7070, '', NULL),
(7, 7070, '0', NULL),
(5, 7070, '1448578800', NULL),
(8, 7070, '', NULL),
(2, 7071, 'Bug', NULL),
(4, 7071, 'R82121968', NULL),
(3, 7071, '0', NULL),
(1, 7071, '2', NULL),
(6, 7071, '', NULL),
(7, 7071, '0', NULL),
(5, 7071, '', NULL),
(8, 7071, '', NULL),
(2, 7072, 'Task', NULL),
(4, 7072, 'R82106491', NULL),
(1, 7072, '2', NULL),
(6, 7072, '', NULL),
(7, 7072, '0', NULL),
(5, 7072, '1445551200', NULL),
(8, 7072, '', NULL),
(2, 7109, 'Task', NULL),
(4, 7109, 'R82122430', NULL),
(3, 7109, '0', NULL),
(1, 7109, '2', NULL),
(6, 7109, '', NULL),
(7, 7109, '0', NULL),
(5, 7109, '', NULL),
(8, 7109, '', NULL),
(2, 7110, 'Bug', NULL),
(4, 7110, 'R82122661', NULL),
(3, 7110, '0', NULL),
(1, 7110, '2', NULL),
(6, 7110, '', NULL),
(7, 7110, '0', NULL),
(5, 7110, '', NULL),
(8, 7110, '', NULL),
(2, 7111, 'Bug', NULL),
(4, 7111, 'R82122892', NULL),
(3, 7111, '0', NULL),
(1, 7111, '2', NULL),
(6, 7111, '', NULL),
(7, 7111, '0', NULL),
(5, 7111, '', NULL),
(8, 7111, '', NULL),
(2, 7112, 'Bug', NULL),
(4, 7112, 'R82123123', NULL),
(3, 7112, '0', NULL),
(1, 7112, '2', NULL),
(6, 7112, '', NULL),
(7, 7112, '1', NULL),
(5, 7112, '', NULL),
(8, 7112, '', NULL),
(2, 7113, 'Task', NULL),
(4, 7113, 'R82123354', NULL),
(3, 7113, '0', NULL),
(1, 7113, '5', NULL),
(6, 7113, '', NULL),
(7, 7113, '0', NULL),
(5, 7113, '', NULL),
(8, 7113, '', NULL),
(2, 8362, 'Bug', NULL),
(2, 7114, 'Task', NULL),
(4, 7114, 'R82123585', NULL),
(3, 7114, '0', NULL),
(1, 7114, '12', NULL),
(6, 7114, '', NULL),
(7, 7114, '1', NULL),
(5, 7114, '', NULL),
(8, 7114, '', NULL),
(2, 7115, 'Task', NULL),
(4, 7115, 'R82123816', NULL),
(3, 7115, '0', NULL),
(1, 7115, '3', NULL),
(6, 7115, '', NULL),
(7, 7115, '0', NULL),
(5, 7115, '', NULL),
(8, 7115, '', NULL),
(2, 7116, 'Task', NULL),
(4, 7116, 'R82124047', NULL),
(3, 7116, '0', NULL),
(1, 7116, '12', NULL),
(6, 7116, '', NULL),
(7, 7116, '', NULL),
(5, 7116, '', NULL),
(8, 7116, '', NULL),
(2, 7117, 'Task', NULL),
(4, 7117, 'R82124278', NULL),
(3, 7117, '5', NULL),
(1, 7117, '3', NULL),
(6, 7117, '', NULL),
(7, 7117, '0', NULL),
(5, 7117, '', NULL),
(8, 7117, '', NULL),
(2, 7118, 'Task', NULL),
(4, 7118, 'R82124509', NULL),
(3, 7118, '3', NULL),
(1, 7118, '2', NULL),
(6, 7118, '', NULL),
(7, 7118, '0', NULL),
(5, 7118, '', NULL),
(8, 7118, '', NULL),
(8, 12845, '', NULL),
(5, 12845, '', NULL),
(7, 12845, '1', NULL),
(6, 12845, '', NULL),
(1, 12845, '3', NULL),
(2, 7120, 'Task', NULL),
(4, 7120, 'R82124740', NULL),
(3, 7120, '10', NULL),
(1, 7120, '10', NULL),
(6, 7120, '', NULL),
(7, 7120, '', NULL),
(5, 7120, '', NULL),
(8, 7120, '', NULL),
(2, 7121, 'Bug', NULL),
(4, 7121, 'R82124971', NULL),
(1, 7121, '2', NULL),
(6, 7121, '', NULL),
(7, 7121, '0', NULL),
(5, 7121, '', NULL),
(8, 7121, '', NULL),
(3, 6516, '0', NULL),
(3, 6720, '0', NULL),
(3, 7072, '', NULL),
(2, 7133, 'Bug', NULL),
(4, 7133, 'R82125202', NULL),
(3, 7133, '0', NULL),
(1, 7133, '2', NULL),
(6, 7133, '', NULL),
(7, 7133, '0', NULL),
(5, 7133, '', NULL),
(8, 7133, '', NULL),
(2, 7148, 'Task', NULL),
(4, 7148, 'R82125433', NULL),
(1, 7148, '2', NULL),
(6, 7148, '', NULL),
(7, 7148, '0', NULL),
(5, 7148, '', NULL),
(8, 7148, '', NULL),
(8, 8454, '', NULL),
(5, 8454, '', NULL),
(7, 8454, '0', NULL),
(4, 7191, '', NULL),
(1, 7191, '2', NULL),
(6, 7191, '', NULL),
(7, 7191, '0', NULL),
(5, 7191, '', NULL),
(8, 7191, '', NULL),
(2, 7192, 'Task', NULL),
(4, 7192, 'R82126126', NULL),
(3, 7192, '7', NULL),
(1, 7192, '4', NULL),
(6, 7192, '', NULL),
(7, 7192, '0', NULL),
(5, 7192, '1450134000', NULL),
(8, 7192, '', NULL),
(2, 7193, 'Bug', NULL),
(4, 7193, 'R82126588', NULL),
(3, 7193, '0', NULL),
(1, 7193, '2', NULL),
(6, 7193, '', NULL),
(7, 7193, '0', NULL),
(5, 7193, '', NULL),
(8, 7193, '', NULL),
(2, 7985, 'Task', NULL),
(2, 7194, 'Task', NULL),
(4, 7194, 'R82126819', NULL),
(3, 7194, '3', NULL),
(1, 7194, '2', NULL),
(6, 7194, '', NULL),
(7, 7194, '0', NULL),
(5, 7194, '1448838000', NULL),
(8, 7194, '', NULL),
(2, 7195, 'Task', NULL),
(4, 7195, 'R82127050', NULL),
(3, 7195, '12', NULL),
(1, 7195, '8', NULL),
(6, 7195, '', NULL),
(7, 7195, '0', NULL),
(5, 7195, '', NULL),
(8, 7195, '', NULL),
(8, 8839, '', NULL),
(5, 8839, '', NULL),
(7, 8839, '0', NULL),
(2, 7242, 'Bug', NULL),
(4, 7242, '', NULL),
(1, 7242, '1', NULL),
(6, 7242, '', NULL),
(7, 7242, '0', NULL),
(5, 7242, '1446159600', NULL),
(8, 7242, '', NULL),
(2, 7243, 'Bug', NULL),
(4, 7243, 'R82127743', NULL),
(1, 7243, '2', NULL),
(6, 7243, '', NULL),
(7, 7243, '0', NULL),
(5, 7243, '1447974000', NULL),
(8, 7243, '', NULL),
(1, 8838, '3', NULL),
(3, 8838, '3', NULL),
(4, 8838, 'R82127974', NULL),
(6, 7278, '', NULL),
(1, 7278, '2', NULL),
(3, 7278, '0', NULL),
(4, 7278, 'R82128205', NULL),
(2, 7278, 'Bug', NULL),
(7, 7278, '0', NULL),
(5, 7278, '', NULL),
(8, 7278, '', NULL),
(6, 8454, '', NULL),
(1, 8454, '2', NULL),
(3, 8454, '30', NULL),
(4, 8454, 'R82125664', NULL),
(2, 8454, 'Task', NULL),
(6, 8839, '', NULL),
(1, 8839, '5', NULL),
(3, 8839, '4.23', NULL),
(4, 8839, 'R82127281', NULL),
(2, 8839, 'Task', NULL),
(3, 7243, '0', NULL),
(2, 7369, 'Task', NULL),
(4, 7369, 'R82128436', NULL),
(3, 7369, '3', NULL),
(1, 7369, '2', NULL),
(6, 7369, '', NULL),
(7, 7369, '0', NULL),
(5, 7369, '', NULL),
(8, 7369, '', NULL),
(2, 7377, 'Task', NULL),
(4, 7377, 'R82128667', NULL),
(3, 7377, '6', NULL),
(1, 7377, '5', NULL),
(6, 7377, '', NULL),
(7, 7377, '0', NULL),
(5, 7377, '', NULL),
(8, 7377, '', NULL),
(2, 7378, 'Task', NULL),
(4, 7378, 'R82128898', NULL),
(3, 7378, '5', NULL),
(1, 7378, '4', NULL),
(6, 7378, '', NULL),
(7, 7378, '0', NULL),
(5, 7378, '', NULL),
(8, 7378, '', NULL),
(2, 7379, 'Task', NULL),
(4, 7379, 'R82129129', NULL),
(3, 7379, '10', NULL),
(1, 7379, '8', NULL),
(6, 7379, '', NULL),
(7, 7379, '0', NULL),
(5, 7379, '', NULL),
(8, 7379, '', NULL),
(2, 7380, 'Task', NULL),
(4, 7380, 'R82129360', NULL),
(3, 7380, '5', NULL),
(1, 7380, '4', NULL),
(6, 7380, '', NULL),
(7, 7380, '0', NULL),
(5, 7380, '', NULL),
(8, 7380, '', NULL),
(2, 7381, 'Task', NULL),
(4, 7381, 'R82129591', NULL),
(3, 7381, '5', NULL),
(1, 7381, '4', NULL),
(6, 7381, '', NULL),
(7, 7381, '0', NULL),
(5, 7381, '', NULL),
(8, 7381, '', NULL),
(3, 7393, '0', NULL),
(3, 7392, '0', NULL),
(3, 6745, '', NULL),
(2, 7391, 'Bug', NULL),
(4, 7391, 'R82129822', NULL),
(1, 7391, '5', NULL),
(6, 7391, '', NULL),
(7, 7391, '0', NULL),
(5, 7391, '', NULL),
(8, 7391, '', NULL),
(2, 7392, 'Bug', NULL),
(4, 7392, 'R82130053', NULL),
(1, 7392, '5', NULL),
(6, 7392, '', NULL),
(7, 7392, '0', NULL),
(5, 7392, '', NULL),
(8, 7392, '', NULL),
(2, 7393, 'Bug', NULL),
(4, 7393, 'R82130284', NULL),
(1, 7393, '4', NULL),
(6, 7393, '', NULL),
(7, 7393, '0', NULL),
(5, 7393, '', NULL),
(8, 7393, '', NULL),
(2, 7394, 'Bug', NULL),
(4, 7394, 'R82130515', NULL),
(1, 7394, '2', NULL),
(6, 7394, '', NULL),
(7, 7394, '0', NULL),
(5, 7394, '', NULL),
(8, 7394, '', NULL),
(2, 7395, 'Bug', NULL),
(4, 7395, 'R82130746', NULL),
(1, 7395, '5', NULL),
(6, 7395, '', NULL),
(7, 7395, '1', NULL),
(5, 7395, '', NULL),
(8, 7395, '', NULL),
(2, 7406, 'Bug', NULL),
(4, 7406, 'R82130977', NULL),
(3, 7406, '0', NULL),
(1, 7406, '2', NULL),
(6, 7406, '', NULL),
(7, 7406, '0', NULL),
(5, 7406, '', NULL),
(8, 7406, '', NULL),
(2, 7407, 'Bug', NULL),
(4, 7407, 'R82131208', NULL),
(3, 7407, '0', NULL),
(1, 7407, '2', NULL),
(6, 7407, '', NULL),
(7, 7407, '0', NULL),
(5, 7407, '', NULL),
(8, 7407, '', NULL),
(2, 7408, 'Bug', NULL),
(4, 7408, 'R82131439', NULL),
(3, 7408, '0', NULL),
(1, 7408, '2', NULL),
(6, 7408, '', NULL),
(7, 7408, '0', NULL),
(5, 7408, '', NULL),
(8, 7408, '', NULL),
(2, 7409, 'Bug', NULL),
(4, 7409, 'R82131670', NULL),
(3, 7409, '0', NULL),
(1, 7409, '2', NULL),
(6, 7409, '', NULL),
(7, 7409, '0', NULL),
(5, 7409, '', NULL),
(8, 7409, '', NULL),
(2, 7418, 'Task', NULL),
(4, 7418, 'R82131901', NULL),
(3, 7418, '1', NULL),
(1, 7418, '1', NULL),
(6, 7418, '', NULL),
(7, 7418, '0', NULL),
(5, 7418, '', NULL),
(8, 7418, '', NULL),
(2, 7419, 'Task', NULL),
(4, 7419, 'R82132132', NULL),
(3, 7419, '1', NULL),
(1, 7419, '1', NULL),
(6, 7419, '', NULL),
(7, 7419, '0', NULL),
(5, 7419, '', NULL),
(8, 7419, '', NULL),
(2, 7420, 'Task', NULL),
(4, 7420, 'R82132363', NULL),
(3, 7420, '4', NULL),
(1, 7420, '3', NULL),
(6, 7420, '', NULL),
(7, 7420, '0', NULL),
(5, 7420, '', NULL),
(8, 7420, '', NULL),
(2, 7421, 'Task', NULL),
(4, 7421, 'R82132594', NULL),
(3, 7421, '2', NULL),
(1, 7421, '1', NULL),
(6, 7421, '', NULL),
(7, 7421, '0', NULL),
(5, 7421, '1447282800', NULL),
(8, 7421, '', NULL),
(2, 7422, 'Task', NULL),
(4, 7422, 'R82132825', NULL),
(3, 7422, '5', NULL),
(1, 7422, '3', NULL),
(6, 7422, '', NULL),
(7, 7422, '0', NULL),
(5, 7422, '1447628400', NULL),
(8, 7422, '', NULL),
(2, 7423, 'Task', NULL),
(4, 7423, 'R82133056', NULL),
(3, 7423, '1', NULL),
(1, 7423, '1', NULL),
(6, 7423, '', NULL),
(7, 7423, '0', NULL),
(5, 7423, '1447628400', NULL),
(8, 7423, '', NULL),
(2, 7424, 'Bug', NULL),
(4, 7424, 'R82133287', NULL),
(1, 7424, '5', NULL),
(6, 7424, '', NULL),
(7, 7424, '0', NULL),
(5, 7424, '', NULL),
(8, 7424, '', NULL),
(2, 7425, 'Bug', NULL),
(4, 7425, 'R82133518', NULL),
(3, 7425, '0', NULL),
(1, 7425, '2', NULL),
(6, 7425, '', NULL),
(7, 7425, '0', NULL),
(5, 7425, '', NULL),
(8, 7425, '', NULL),
(5, 7427, '', NULL),
(7, 7427, '0', NULL),
(6, 7427, '', NULL),
(1, 7427, '2', NULL),
(3, 7427, '3', NULL),
(4, 7427, 'R82133749', NULL),
(2, 7427, 'Task', NULL),
(8, 7427, '', NULL),
(2, 7428, 'Task', NULL),
(4, 7428, 'R82133980', NULL),
(3, 7428, '5', NULL),
(1, 7428, '4', NULL),
(6, 7428, '', NULL),
(7, 7428, '0', NULL),
(5, 7428, '', NULL),
(8, 7428, '', NULL),
(2, 7429, 'Task', NULL),
(4, 7429, 'R82134211', NULL),
(3, 7429, '10', NULL),
(1, 7429, '8', NULL),
(6, 7429, '', NULL),
(7, 7429, '0', NULL),
(5, 7429, '', NULL),
(8, 7429, '', NULL),
(2, 7430, 'Task', NULL),
(4, 7430, 'R82134442', NULL),
(3, 7430, '7', NULL),
(1, 7430, '5', NULL),
(6, 7430, '', NULL),
(7, 7430, '0', NULL),
(5, 7430, '1448233200', NULL),
(8, 7430, '', NULL),
(2, 7486, 'Bug', NULL),
(4, 7486, 'R82134673', NULL),
(3, 7486, '0', NULL),
(1, 7486, '2', NULL),
(6, 7486, '', NULL),
(7, 7486, '0', NULL),
(5, 7486, '', NULL),
(8, 7486, '', NULL),
(2, 7495, 'Bug', NULL),
(4, 7495, 'R82134904', NULL),
(3, 7495, '0', NULL),
(1, 7495, '5', NULL),
(6, 7495, '', NULL),
(7, 7495, '0', NULL),
(5, 7495, '', NULL),
(8, 7495, '', NULL),
(3, 7424, '0', NULL),
(2, 7496, 'Task', NULL),
(4, 7496, '', NULL),
(3, 7496, '0', NULL),
(1, 7496, '2', NULL),
(6, 7496, '', NULL),
(7, 7496, '0', NULL),
(5, 7496, '', NULL),
(8, 7496, '', NULL),
(2, 8838, 'Task', NULL),
(8, 8838, '', NULL),
(5, 8838, '1463695200', NULL),
(7, 8838, '0', NULL),
(6, 8838, '', NULL),
(2, 7498, 'Bug', NULL),
(4, 7498, 'R82135366', NULL),
(3, 7498, '0', NULL),
(1, 7498, '2', NULL),
(6, 7498, '', NULL),
(7, 7498, '0', NULL),
(5, 7498, '1448406000', NULL),
(8, 7498, '', NULL),
(5, 7797, '1449788400', NULL),
(7, 7797, '0', NULL),
(6, 7797, '', NULL),
(1, 7797, '2', NULL),
(3, 7797, '0', NULL),
(2, 7797, 'Bug', NULL),
(2, 7556, 'Bug', NULL),
(4, 7556, 'R82136290', NULL),
(3, 7556, '0', NULL),
(1, 7556, '2', NULL),
(6, 7556, '', NULL),
(7, 7556, '0', NULL),
(5, 7556, '', NULL),
(8, 7556, '', NULL),
(2, 7557, 'Bug', NULL),
(4, 7557, 'R82136521', NULL),
(3, 7557, '0', NULL),
(1, 7557, '2', NULL),
(6, 7557, '', NULL),
(7, 7557, '0', NULL),
(5, 7557, '1449702000', NULL),
(8, 7557, '', NULL),
(2, 7558, 'Bug', NULL),
(4, 7558, 'R82136752', NULL),
(3, 7558, '0', NULL),
(1, 7558, '2', NULL),
(6, 7558, '', NULL),
(7, 7558, '0', NULL),
(5, 7558, '1449702000', NULL),
(8, 7558, '', NULL),
(2, 7626, 'Bug', NULL),
(4, 7626, 'R82122199', NULL),
(3, 7626, '0', NULL),
(1, 7626, '2', NULL),
(6, 7626, '', NULL),
(7, 7626, '0', NULL),
(5, 7626, '', NULL),
(8, 7626, '', NULL),
(2, 7629, 'Bug', NULL),
(4, 7629, 'R82136983', NULL),
(3, 7629, '0', NULL),
(1, 7629, '2', NULL),
(6, 7629, '', NULL),
(7, 7629, '0', NULL),
(5, 7629, '', NULL),
(8, 7629, '', NULL),
(2, 7630, 'Bug', NULL),
(4, 7630, 'R82137214', NULL),
(3, 7630, '0', NULL),
(1, 7630, '2', NULL),
(6, 7630, '', NULL),
(7, 7630, '0', NULL),
(5, 7630, '', NULL),
(8, 7630, '', NULL),
(2, 7641, 'Bug', NULL),
(4, 7641, 'R82137445', NULL),
(3, 7641, '0', NULL),
(1, 7641, '2', NULL),
(6, 7641, '', NULL),
(7, 7641, '0', NULL),
(5, 7641, '', NULL),
(8, 7641, '', NULL),
(2, 7642, 'Task', NULL),
(4, 7642, 'R82137676', NULL),
(3, 7642, '2', NULL),
(1, 7642, '1', NULL),
(6, 7642, '', NULL),
(7, 7642, '0', NULL),
(5, 7642, '1448492400', NULL),
(8, 7642, '', NULL),
(2, 7643, 'Task', NULL),
(4, 7643, 'R82137907', NULL),
(3, 7643, '3', NULL),
(1, 7643, '2', NULL),
(6, 7643, '', NULL),
(7, 7643, '0', NULL),
(5, 7643, '', NULL),
(8, 7643, '', NULL),
(2, 7644, 'Bug', NULL),
(4, 7644, 'R82138138', NULL),
(3, 7644, '0', NULL),
(1, 7644, '2', NULL),
(6, 7644, '', NULL),
(7, 7644, '0', NULL),
(5, 7644, '', NULL),
(8, 7644, '', NULL),
(2, 7645, 'Bug', NULL),
(4, 7645, 'R82138369', NULL),
(3, 7645, '0', NULL),
(1, 7645, '2', NULL),
(6, 7645, '', NULL),
(7, 7645, '0', NULL),
(5, 7645, '', NULL),
(8, 7645, '', NULL),
(4, 7797, 'R82136059', NULL),
(3, 6746, '0', NULL),
(2, 7653, 'Task', NULL),
(4, 7653, 'R82138600', NULL),
(3, 7653, '3', NULL),
(1, 7653, '2', NULL),
(6, 7653, '', NULL),
(7, 7653, '0', NULL),
(5, 7653, '', NULL),
(8, 7653, '', NULL),
(2, 7654, 'Task', NULL),
(4, 7654, 'R82138831', NULL),
(3, 7654, '2', NULL),
(1, 7654, '1', NULL),
(6, 7654, '', NULL),
(7, 7654, '0', NULL),
(5, 7654, '', NULL),
(8, 7654, '', NULL),
(2, 7655, 'Task', NULL),
(4, 7655, 'R82139062', NULL),
(3, 7655, '2', NULL),
(1, 7655, '1', NULL),
(6, 7655, '', NULL),
(7, 7655, '0', NULL),
(5, 7655, '', NULL),
(8, 7655, '', NULL),
(2, 7656, 'Task', NULL),
(4, 7656, 'R82139293', NULL),
(3, 7656, '2', NULL),
(1, 7656, '1', NULL),
(6, 7656, '', NULL),
(7, 7656, '0', NULL),
(5, 7656, '', NULL),
(8, 7656, '', NULL),
(2, 7657, 'Task', NULL),
(4, 7657, 'R82139524', NULL),
(3, 7657, '0', NULL),
(1, 7657, '4', NULL),
(6, 7657, '', NULL),
(7, 7657, '0', NULL),
(5, 7657, '', NULL),
(8, 7657, '', NULL),
(5, 8075, '', NULL),
(7, 8075, '0', NULL),
(6, 8075, '', NULL),
(1, 8075, '4', NULL),
(3, 8075, '0', NULL),
(4, 8075, 'R82139755', NULL),
(2, 8075, 'Task', NULL);
INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(2, 7659, 'Task', NULL),
(4, 7659, 'R82139986', NULL),
(3, 7659, '5', NULL),
(1, 7659, '3', NULL),
(6, 7659, '', NULL),
(7, 7659, '0', NULL),
(5, 7659, '', NULL),
(8, 7659, '', NULL),
(2, 7660, 'Bug', NULL),
(4, 7660, 'R82140217', NULL),
(3, 7660, '0', NULL),
(1, 7660, '2', NULL),
(6, 7660, '', NULL),
(7, 7660, '0', NULL),
(5, 7660, '', NULL),
(8, 7660, '', NULL),
(2, 7661, 'Bug', NULL),
(4, 7661, 'R82140448', NULL),
(3, 7661, '0', NULL),
(1, 7661, '2', NULL),
(6, 7661, '', NULL),
(7, 7661, '0', NULL),
(5, 7661, '', NULL),
(8, 7661, '', NULL),
(2, 7702, 'Bug', NULL),
(4, 7702, 'R82140679', NULL),
(3, 7702, '0', NULL),
(1, 7702, '1', NULL),
(6, 7702, '', NULL),
(7, 7702, '0', NULL),
(5, 7702, '', NULL),
(8, 7702, '', NULL),
(2, 7703, 'Task', NULL),
(4, 7703, 'R82140910', NULL),
(3, 7703, '1', NULL),
(1, 7703, '0.5', NULL),
(6, 7703, '', NULL),
(7, 7703, '0', NULL),
(5, 7703, '', NULL),
(8, 7703, '', NULL),
(2, 7704, 'Task', NULL),
(4, 7704, 'R82141141', NULL),
(3, 7704, '1.5', NULL),
(1, 7704, '1', NULL),
(6, 7704, '', NULL),
(7, 7704, '0', NULL),
(5, 7704, '1449529200', NULL),
(8, 7704, '', NULL),
(2, 7707, 'Task', NULL),
(4, 7707, 'R82141372', NULL),
(3, 7707, '1', NULL),
(1, 7707, '1', NULL),
(6, 7707, '', NULL),
(7, 7707, '0', NULL),
(5, 7707, '', NULL),
(8, 7707, '', NULL),
(2, 7708, 'Task', NULL),
(4, 7708, 'R82141603', NULL),
(3, 7708, '2', NULL),
(1, 7708, '2', NULL),
(6, 7708, '', NULL),
(7, 7708, '0', NULL),
(5, 7708, '', NULL),
(8, 7708, '', NULL),
(11, 8840, '', NULL),
(11, 8842, '', NULL),
(8, 9467, '', NULL),
(7, 9467, '0', NULL),
(8, 9464, '', NULL),
(7, 9464, '0', NULL),
(2, 7754, 'Bug', NULL),
(4, 7754, '', NULL),
(1, 7754, '2', NULL),
(6, 7754, '', NULL),
(7, 7754, '0', NULL),
(5, 7754, '1449183600', NULL),
(8, 7754, '', NULL),
(2, 7794, 'Bug', NULL),
(4, 7794, 'R82142296', NULL),
(3, 7794, '0', NULL),
(1, 7794, '2', NULL),
(6, 7794, '', NULL),
(7, 7794, '0', NULL),
(5, 7794, '1449788400', NULL),
(8, 7794, '', NULL),
(2, 7795, 'Bug', NULL),
(4, 7795, 'R82142527', NULL),
(3, 7795, '0', NULL),
(1, 7795, '2', NULL),
(6, 7795, '', NULL),
(7, 7795, '0', NULL),
(5, 7795, '1449788400', NULL),
(8, 7795, '', NULL),
(2, 7796, 'Bug', NULL),
(4, 7796, 'R82142758', NULL),
(3, 7796, '0', NULL),
(1, 7796, '2', NULL),
(6, 7796, '', NULL),
(7, 7796, '0', NULL),
(5, 7796, '', NULL),
(8, 7796, '', NULL),
(8, 7797, '', NULL),
(2, 7798, 'Bug', NULL),
(4, 7798, 'R82142989', NULL),
(3, 7798, '0', NULL),
(1, 7798, '2', NULL),
(6, 7798, '', NULL),
(7, 7798, '0', NULL),
(5, 7798, '', NULL),
(8, 7798, '', NULL),
(2, 7813, 'Task', NULL),
(4, 7813, 'R82143220', NULL),
(3, 7813, '2', NULL),
(1, 7813, '2', NULL),
(6, 7813, '', NULL),
(7, 7813, '0', NULL),
(5, 7813, '', NULL),
(8, 7813, '', NULL),
(2, 7814, 'Task', NULL),
(4, 7814, 'R82143451', NULL),
(3, 7814, '3', NULL),
(1, 7814, '2', NULL),
(6, 7814, '', NULL),
(7, 7814, '0', NULL),
(5, 7814, '', NULL),
(8, 7814, '', NULL),
(2, 7893, 'Task', NULL),
(4, 7893, 'R82143682', NULL),
(3, 7893, '7', NULL),
(1, 7893, '7', NULL),
(6, 7893, '', NULL),
(7, 7893, '0', NULL),
(5, 7893, '', NULL),
(8, 7893, '', NULL),
(2, 7894, 'Task', NULL),
(4, 7894, 'R82143913', NULL),
(3, 7894, '5', NULL),
(1, 7894, '4', NULL),
(6, 7894, '', NULL),
(7, 7894, '0', NULL),
(5, 7894, '', NULL),
(8, 7894, '', NULL),
(2, 7896, 'Task', NULL),
(4, 7896, 'R82144144', NULL),
(3, 7896, '3', NULL),
(1, 7896, '2', NULL),
(6, 7896, '', NULL),
(7, 7896, '0', NULL),
(5, 7896, '1450738800', NULL),
(8, 7896, '', NULL),
(2, 7897, 'Task', NULL),
(4, 7897, 'R82144375', NULL),
(3, 7897, '5', NULL),
(1, 7897, '3', NULL),
(6, 7897, '', NULL),
(7, 7897, '0', NULL),
(5, 7897, '1455231600', NULL),
(8, 7897, '', NULL),
(2, 7899, 'Bug', NULL),
(4, 7899, 'R82144606', NULL),
(3, 7899, '0', NULL),
(1, 7899, '2', NULL),
(6, 7899, '', NULL),
(7, 7899, '0', NULL),
(5, 7899, '1450047600', NULL),
(8, 7899, '', NULL),
(2, 7900, 'Bug', NULL),
(4, 7900, 'R82144837', NULL),
(3, 7900, '0', NULL),
(1, 7900, '2', NULL),
(6, 7900, '', NULL),
(7, 7900, '0', NULL),
(5, 7900, '1451948400', NULL),
(8, 7900, '', NULL),
(2, 7901, 'Bug', NULL),
(4, 7901, 'R82145068', NULL),
(3, 7901, '0', NULL),
(1, 7901, '2', NULL),
(6, 7901, '', NULL),
(7, 7901, '0', NULL),
(5, 7901, '1451948400', NULL),
(8, 7901, '', NULL),
(2, 7902, 'Bug', NULL),
(4, 7902, 'R82145299', NULL),
(3, 7902, '0', NULL),
(1, 7902, '2', NULL),
(6, 7902, '', NULL),
(7, 7902, '0', NULL),
(5, 7902, '1451948400', NULL),
(8, 7902, '', NULL),
(4, 8342, 'R82145530', NULL),
(2, 8342, 'Bug', NULL),
(3, 8343, '0', NULL),
(4, 8343, 'R8298406', NULL),
(8, 8062, '', NULL),
(5, 8062, '', NULL),
(7, 8062, '0', NULL),
(6, 8062, '', NULL),
(1, 8062, '1', NULL),
(3, 8062, '2', NULL),
(4, 8062, 'R82145992', NULL),
(2, 8062, 'Task', NULL),
(4, 7985, 'R82146223', NULL),
(3, 7985, '2', NULL),
(1, 7985, '1', NULL),
(6, 7985, '', NULL),
(7, 7985, '0', NULL),
(5, 7985, '1451516400', NULL),
(8, 7985, '', NULL),
(8, 9461, '', NULL),
(2, 8041, 'Bug', NULL),
(4, 8041, 'R82146685', NULL),
(3, 8041, '0', NULL),
(1, 8041, '2', NULL),
(6, 8041, '', NULL),
(7, 8041, '0', NULL),
(5, 8041, '', NULL),
(8, 8041, '', NULL),
(2, 8060, 'Bug', NULL),
(4, 8060, 'R82146916', NULL),
(3, 8060, '0', NULL),
(1, 8060, '2', NULL),
(6, 8060, '', NULL),
(7, 8060, '0', NULL),
(5, 8060, '', NULL),
(8, 8060, '', NULL),
(2, 8063, 'Task', NULL),
(4, 8063, 'R82147147', NULL),
(3, 8063, '2', NULL),
(1, 8063, '1', NULL),
(6, 8063, '', NULL),
(7, 8063, '0', NULL),
(5, 8063, '', NULL),
(8, 8063, '', NULL),
(2, 8064, 'Task', NULL),
(4, 8064, 'R82147378', NULL),
(3, 8064, '2', NULL),
(1, 8064, '1', NULL),
(6, 8064, '', NULL),
(7, 8064, '0', NULL),
(5, 8064, '', NULL),
(8, 8064, '', NULL),
(2, 8065, 'Task', NULL),
(4, 8065, 'R82147609', NULL),
(3, 8065, '0', NULL),
(1, 8065, '1', NULL),
(6, 8065, '', NULL),
(7, 8065, '0', NULL),
(5, 8065, '', NULL),
(8, 8065, '', NULL),
(2, 8066, 'Task', NULL),
(4, 8066, 'R82147840', NULL),
(3, 8066, '3', NULL),
(1, 8066, '2', NULL),
(6, 8066, '', NULL),
(7, 8066, '0', NULL),
(5, 8066, '', NULL),
(8, 8066, '', NULL),
(2, 8067, 'Task', NULL),
(4, 8067, 'R82148071', NULL),
(3, 8067, '0', NULL),
(1, 8067, '2', NULL),
(6, 8067, '', NULL),
(7, 8067, '0', NULL),
(5, 8067, '', NULL),
(8, 8067, '', NULL),
(7, 8076, '0', NULL),
(6, 8076, '', NULL),
(1, 8076, '4', NULL),
(3, 8076, '0', NULL),
(4, 8076, 'R82148302', NULL),
(2, 8076, 'Task', NULL),
(8, 8075, '', NULL),
(2, 8072, 'Task', NULL),
(4, 8072, 'R82148533', NULL),
(3, 8072, '0', NULL),
(1, 8072, '2', NULL),
(6, 8072, '', NULL),
(7, 8072, '0', NULL),
(5, 8072, '', NULL),
(8, 8072, '', NULL),
(2, 8073, 'Task', NULL),
(4, 8073, 'R82148764', NULL),
(3, 8073, '0', NULL),
(1, 8073, '4', NULL),
(6, 8073, '', NULL),
(7, 8073, '0', NULL),
(5, 8073, '', NULL),
(8, 8073, '', NULL),
(2, 8074, 'Task', NULL),
(4, 8074, 'R82148995', NULL),
(3, 8074, '0', NULL),
(1, 8074, '4', NULL),
(6, 8074, '', NULL),
(7, 8074, '0', NULL),
(5, 8074, '', NULL),
(8, 8074, '', NULL),
(5, 8076, '', NULL),
(8, 8076, '', NULL),
(2, 8085, 'Bug', NULL),
(4, 8085, 'R82149226', NULL),
(1, 8085, '2', NULL),
(6, 8085, '', NULL),
(7, 8085, '0', NULL),
(5, 8085, '1450652400', NULL),
(8, 8085, '', NULL),
(2, 8086, 'Bug', NULL),
(4, 8086, '', NULL),
(1, 8086, '2', NULL),
(6, 8086, '', NULL),
(7, 8086, '0', NULL),
(5, 8086, '1448146800', NULL),
(8, 8086, '', NULL),
(2, 8087, 'Task', NULL),
(4, 8087, '', NULL),
(1, 8087, '2', NULL),
(6, 8087, '', NULL),
(7, 8087, '0', NULL),
(5, 8087, '', NULL),
(8, 8087, '', NULL),
(2, 8095, 'Task', NULL),
(4, 8095, 'R82149919', NULL),
(3, 8095, '0', NULL),
(1, 8095, '2', NULL),
(6, 8095, '', NULL),
(7, 8095, '0', NULL),
(5, 8095, '', NULL),
(8, 8095, '', NULL),
(1, 8130, '2', NULL),
(6, 8130, '', NULL),
(7, 8130, '0', NULL),
(5, 8130, '', NULL),
(8, 8130, '', NULL),
(2, 8131, 'Task', NULL),
(4, 8131, 'R82150150', NULL),
(3, 8131, '0', NULL),
(1, 8131, '2', NULL),
(6, 8131, '', NULL),
(7, 8131, '0', NULL),
(5, 8131, '', NULL),
(8, 8131, '', NULL),
(2, 8132, 'Task', NULL),
(4, 8132, 'R82150381', NULL),
(3, 8132, '0', NULL),
(1, 8132, '2', NULL),
(6, 8132, '', NULL),
(7, 8132, '0', NULL),
(5, 8132, '', NULL),
(8, 8132, '', NULL),
(2, 8133, 'Task', NULL),
(4, 8133, 'R82150612', NULL),
(3, 8133, '5', NULL),
(1, 8133, '4', NULL),
(6, 8133, '', NULL),
(7, 8133, '0', NULL),
(5, 8133, '', NULL),
(8, 8133, '', NULL),
(8, 8298, '', NULL),
(5, 8298, '', NULL),
(7, 8298, '0', NULL),
(6, 8298, '', NULL),
(1, 8298, '2', NULL),
(3, 8298, '0', NULL),
(4, 8298, 'R82146454', NULL),
(2, 8298, 'Bug', NULL),
(2, 8144, 'Task', NULL),
(4, 8144, 'R82150843', NULL),
(1, 8144, '1', NULL),
(6, 8144, '', NULL),
(7, 8144, '0', NULL),
(5, 8144, '', NULL),
(8, 8144, '', NULL),
(2, 8145, 'Task', NULL),
(4, 8145, 'R82151074', NULL),
(1, 8145, '1', NULL),
(6, 8145, '', NULL),
(7, 8145, '0', NULL),
(5, 8145, '', NULL),
(8, 8145, '', NULL),
(2, 8146, 'Task', NULL),
(4, 8146, 'R82151305', NULL),
(1, 8146, '0', NULL),
(6, 8146, '', NULL),
(7, 8146, '0', NULL),
(5, 8146, '', NULL),
(8, 8146, '', NULL),
(2, 8147, 'Bug', NULL),
(4, 8147, 'R82151536', NULL),
(3, 8147, '0', NULL),
(1, 8147, '4', NULL),
(6, 8147, '', NULL),
(7, 8147, '0', NULL),
(5, 8147, '1453417200', NULL),
(8, 8147, '', NULL),
(2, 8148, 'Bug', NULL),
(4, 8148, 'R82151767', NULL),
(3, 8148, '0', NULL),
(1, 8148, '4', NULL),
(6, 8148, '', NULL),
(7, 8148, '0', NULL),
(5, 8148, '1454626800', NULL),
(8, 8148, '', NULL),
(2, 8149, 'Bug', NULL),
(4, 8149, 'R82151998', NULL),
(3, 8149, '0', NULL),
(1, 8149, '2', NULL),
(6, 8149, '', NULL),
(7, 8149, '0', NULL),
(5, 8149, '', NULL),
(8, 8149, '', NULL),
(2, 8150, 'Bug', NULL),
(4, 8150, 'R82152229', NULL),
(3, 8150, '0', NULL),
(1, 8150, '4', NULL),
(6, 8150, '', NULL),
(7, 8150, '0', NULL),
(5, 8150, '', NULL),
(8, 8150, '', NULL),
(2, 8151, 'Task', NULL),
(4, 8151, 'R82152460', NULL),
(3, 8151, '10', NULL),
(1, 8151, '8', NULL),
(6, 8151, '', NULL),
(7, 8151, '0', NULL),
(5, 8151, '', NULL),
(8, 8151, '', NULL),
(2, 8152, 'Task', NULL),
(4, 8152, 'R82152691', NULL),
(3, 8152, '20', NULL),
(1, 8152, '18', NULL),
(6, 8152, '', NULL),
(7, 8152, '0', NULL),
(5, 8152, '', NULL),
(8, 8152, '', NULL),
(3, 7391, '0', NULL),
(2, 8153, 'Bug', NULL),
(4, 8153, 'R82152922', NULL),
(3, 8153, '0', NULL),
(1, 8153, '2', NULL),
(6, 8153, '', NULL),
(7, 8153, '0', NULL),
(5, 8153, '1452294000', NULL),
(8, 8153, '', NULL),
(3, 8145, '2', NULL),
(3, 8146, '0', NULL),
(2, 8154, 'Bug', NULL),
(4, 8154, 'R82153153', NULL),
(3, 8154, '0', NULL),
(1, 8154, '4', NULL),
(6, 8154, '', NULL),
(7, 8154, '0', NULL),
(5, 8154, '', NULL),
(8, 8154, '', NULL),
(2, 8155, 'Task', NULL),
(4, 8155, 'R82153384', NULL),
(3, 8155, '0', NULL),
(1, 8155, '2', NULL),
(6, 8155, '', NULL),
(7, 8155, '0', NULL),
(5, 8155, '', NULL),
(8, 8155, '', NULL),
(2, 8171, 'Bug', NULL),
(4, 8171, 'R82153615', NULL),
(3, 8171, '0', NULL),
(1, 8171, '5', NULL),
(6, 8171, '', NULL),
(7, 8171, '0', NULL),
(5, 8171, '', NULL),
(8, 8171, '', NULL),
(2, 8176, 'Bug', NULL),
(4, 8176, 'R82153846', NULL),
(3, 8176, '0', NULL),
(1, 8176, '2', NULL),
(6, 8176, '', NULL),
(7, 8176, '0', NULL),
(5, 8176, '', NULL),
(8, 8176, '', NULL),
(6, 8178, '', NULL),
(1, 8178, '2', NULL),
(3, 8178, '0', NULL),
(4, 8178, 'R82154077', NULL),
(2, 8178, 'Bug', NULL),
(7, 8178, '0', NULL),
(5, 8178, '', NULL),
(8, 8178, '', NULL),
(2, 8179, 'Bug', NULL),
(4, 8179, 'R82154308', NULL),
(3, 8179, '0', NULL),
(1, 8179, '2', NULL),
(6, 8179, '', NULL),
(7, 8179, '0', NULL),
(5, 8179, '', NULL),
(8, 8179, '', NULL),
(2, 8180, 'Task', NULL),
(4, 8180, 'R82154539', NULL),
(3, 8180, '8', NULL),
(1, 8180, '4', NULL),
(6, 8180, '', NULL),
(7, 8180, '0', NULL),
(5, 8180, '', NULL),
(8, 8180, '', NULL),
(3, 8144, '2', NULL),
(2, 8181, 'Task', NULL),
(4, 8181, '', NULL),
(3, 8181, '2', NULL),
(1, 8181, '1', NULL),
(6, 8181, '', NULL),
(7, 8181, '0', NULL),
(5, 8181, '1452812400', NULL),
(8, 8181, '', NULL),
(2, 8289, 'Task', NULL),
(4, 8289, 'R82155001', NULL),
(3, 8289, '2.2', NULL),
(1, 8289, '2', NULL),
(6, 8289, '', NULL),
(7, 8289, '0', NULL),
(5, 8289, '', NULL),
(8, 8289, '', NULL),
(2, 8290, 'Task', NULL),
(4, 8290, 'R82155232', NULL),
(3, 8290, '3.6', NULL),
(1, 8290, '3', NULL),
(6, 8290, '', NULL),
(7, 8290, '0', NULL),
(5, 8290, '', NULL),
(8, 8290, '', NULL),
(2, 8291, 'Task', NULL),
(4, 8291, 'R82155463', NULL),
(3, 8291, '0', NULL),
(1, 8291, '2', NULL),
(6, 8291, '', NULL),
(7, 8291, '0', NULL),
(5, 8291, '', NULL),
(8, 8291, '', NULL),
(2, 8292, 'Task', NULL),
(4, 8292, 'R82155694', NULL),
(3, 8292, '0', NULL),
(1, 8292, '2', NULL),
(6, 8292, '', NULL),
(7, 8292, '0', NULL),
(5, 8292, '', NULL),
(8, 8292, '', NULL),
(2, 8297, 'Bug', NULL),
(4, 8297, 'R82155925', NULL),
(3, 8297, '0', NULL),
(1, 8297, '2', NULL),
(6, 8297, '', NULL),
(7, 8297, '0', NULL),
(5, 8297, '1454886000', NULL),
(8, 8297, '', NULL),
(2, 8299, 'Bug', NULL),
(4, 8299, 'R82156156', NULL),
(3, 8299, '0', NULL),
(1, 8299, '2', NULL),
(6, 8299, '', NULL),
(7, 8299, '0', NULL),
(5, 8299, '', NULL),
(8, 8299, '', NULL),
(2, 8300, 'Bug', NULL),
(4, 8300, 'R82156387', NULL),
(3, 8300, '0', NULL),
(1, 8300, '2', NULL),
(6, 8300, '', NULL),
(7, 8300, '0', NULL),
(5, 8300, '', NULL),
(8, 8300, '', NULL),
(2, 8301, 'Bug', NULL),
(4, 8301, 'R82156618', NULL),
(3, 8301, '0', NULL),
(1, 8301, '2', NULL),
(6, 8301, '', NULL),
(7, 8301, '0', NULL),
(5, 8301, '', NULL),
(8, 8301, '', NULL),
(2, 8302, 'Bug', NULL),
(4, 8302, 'R82156849', NULL),
(3, 8302, '0', NULL),
(1, 8302, '2', NULL),
(6, 8302, '', NULL),
(7, 8302, '0', NULL),
(5, 8302, '', NULL),
(8, 8302, '', NULL),
(2, 8303, 'Bug', NULL),
(4, 8303, 'R82157080', NULL),
(3, 8303, '0', NULL),
(1, 8303, '2', NULL),
(6, 8303, '', NULL),
(7, 8303, '0', NULL),
(5, 8303, '', NULL),
(8, 8303, '', NULL),
(2, 8304, 'Bug', NULL),
(4, 8304, 'R82157311', NULL),
(3, 8304, '0', NULL),
(1, 8304, '2', NULL),
(6, 8304, '', NULL),
(7, 8304, '0', NULL),
(5, 8304, '', NULL),
(8, 8304, '', NULL),
(2, 8305, 'Bug', NULL),
(4, 8305, 'R82157542', NULL),
(3, 8305, '0', NULL),
(1, 8305, '2', NULL),
(6, 8305, '', NULL),
(7, 8305, '0', NULL),
(5, 8305, '', NULL),
(8, 8305, '', NULL),
(2, 8327, 'Bug', NULL),
(4, 8327, 'R82157773', NULL),
(3, 8327, '0', NULL),
(1, 8327, '5', NULL),
(6, 8327, '', NULL),
(7, 8327, '0', NULL),
(5, 8327, '', NULL),
(8, 8327, '', NULL),
(1, 8343, '1', NULL),
(6, 8343, '', NULL),
(7, 8343, '0', NULL),
(5, 8343, '1452553200', NULL),
(8, 8343, '', NULL),
(2, 8344, 'Bug', NULL),
(4, 8344, 'R82145761', NULL),
(3, 8344, '0', NULL),
(1, 8344, '1', NULL),
(6, 8344, '', NULL),
(7, 8344, '0', NULL),
(5, 8344, '', NULL),
(8, 8344, '', NULL),
(2, 8405, 'Bug', NULL),
(2, 8361, 'Bug', NULL),
(4, 8361, 'R82158004', NULL),
(3, 8361, '0', NULL),
(1, 8361, '2', NULL),
(6, 8361, '', NULL),
(7, 8361, '0', NULL),
(5, 8361, '', NULL),
(8, 8361, '', NULL),
(4, 8362, 'R82158235', NULL),
(3, 8362, '0', NULL),
(1, 8362, '2', NULL),
(6, 8362, '', NULL),
(7, 8362, '0', NULL),
(5, 8362, '', NULL),
(8, 8362, '', NULL),
(2, 8363, 'Task', NULL),
(4, 8363, '', NULL),
(3, 8363, '20', NULL),
(1, 8363, '20', NULL),
(6, 8363, '', NULL),
(7, 8363, '0', NULL),
(5, 8363, '', NULL),
(8, 8363, '', NULL),
(2, 8364, 'Task', NULL),
(4, 8364, 'R82158697', NULL),
(3, 8364, '3', NULL),
(1, 8364, '3', NULL),
(6, 8364, '', NULL),
(7, 8364, '0', NULL),
(5, 8364, '', NULL),
(8, 8364, '', NULL),
(2, 8382, 'Bug', NULL),
(4, 8382, 'R82158928', NULL),
(3, 8382, '0', NULL),
(1, 8382, '2', NULL),
(6, 8382, '', NULL),
(7, 8382, '0', NULL),
(5, 8382, '', NULL),
(8, 8382, '', NULL),
(2, 8386, 'Task', NULL),
(4, 8386, '', NULL),
(3, 8386, '1', NULL),
(1, 8386, '1', NULL),
(6, 8386, '', NULL),
(7, 8386, '0', NULL),
(5, 8386, '', NULL),
(8, 8386, '', NULL),
(2, 8387, 'Task', NULL),
(4, 8387, '', NULL),
(3, 8387, '1', NULL),
(1, 8387, '1', NULL),
(6, 8387, '', NULL),
(7, 8387, '0', NULL),
(5, 8387, '', NULL),
(8, 8387, '', NULL),
(2, 8388, 'Task', NULL),
(4, 8388, '', NULL),
(3, 8388, '7', NULL),
(1, 8388, '7', NULL),
(6, 8388, '', NULL),
(7, 8388, '0', NULL),
(5, 8388, '', NULL),
(8, 8388, '', NULL),
(2, 8389, 'Bug', NULL),
(4, 8389, 'R82159390', NULL),
(3, 8389, '0', NULL),
(1, 8389, '2', NULL),
(6, 8389, '', NULL),
(7, 8389, '2', NULL),
(5, 8389, '', NULL),
(8, 8389, '', NULL),
(2, 8390, 'Bug', NULL),
(4, 8390, 'R82159621', NULL),
(3, 8390, '0', NULL),
(1, 8390, '10', NULL),
(6, 8390, '', NULL),
(7, 8390, '10', NULL),
(5, 8390, '', NULL),
(8, 8390, '', NULL),
(2, 8395, 'Task', NULL),
(4, 8395, '', NULL),
(3, 8395, '18.7', NULL),
(1, 8395, '1', NULL),
(6, 8395, '', NULL),
(7, 8395, '0', NULL),
(5, 8395, '', NULL),
(8, 8395, '', NULL),
(3, 7395, '0', NULL),
(2, 8403, 'Bug', NULL),
(4, 8403, 'R82160083', NULL),
(3, 8403, '0', NULL),
(1, 8403, '5', NULL),
(6, 8403, '', NULL),
(7, 8403, '0', NULL),
(5, 8403, '', NULL),
(8, 8403, '', NULL),
(2, 8404, 'Bug', NULL),
(4, 8404, 'R82160314', NULL),
(3, 8404, '0', NULL),
(1, 8404, '4', NULL),
(6, 8404, '', NULL),
(7, 8404, '0', NULL),
(5, 8404, '1454108400', NULL),
(8, 8404, '', NULL),
(4, 8405, 'R82160545', NULL),
(3, 8405, '0', NULL),
(1, 8405, '2', NULL),
(6, 8405, '', NULL),
(7, 8405, '0', NULL),
(5, 8405, '', NULL),
(8, 8405, '', NULL),
(2, 8406, 'Bug', NULL),
(4, 8406, 'R82160776', NULL),
(3, 8406, '0', NULL),
(1, 8406, '2', NULL),
(6, 8406, '', NULL),
(7, 8406, '0', NULL),
(5, 8406, '', NULL),
(8, 8406, '', NULL),
(2, 8407, 'Bug', NULL),
(4, 8407, 'R82161007', NULL),
(3, 8407, '0', NULL),
(1, 8407, '2', NULL),
(6, 8407, '', NULL),
(7, 8407, '0', NULL),
(5, 8407, '', NULL),
(8, 8407, '', NULL),
(2, 8620, 'Task', NULL),
(2, 8450, 'Bug', NULL),
(4, 8450, 'R82161238', NULL),
(3, 8450, '0', NULL),
(1, 8450, '2', NULL),
(6, 8450, '', NULL),
(7, 8450, '0.5', NULL),
(5, 8450, '', NULL),
(8, 8450, '', NULL),
(4, 8857, 'R82169092', NULL),
(2, 8857, 'Bug', NULL),
(2, 8551, 'Task', NULL),
(4, 8551, 'R82161469', NULL),
(1, 8551, '4', NULL),
(6, 8551, '', NULL),
(7, 8551, '0', NULL),
(5, 8551, '1454022000', NULL),
(8, 8551, '', NULL),
(2, 8552, 'Task', NULL),
(4, 8552, 'R82161700', NULL),
(3, 8552, '7.5', NULL),
(1, 8552, '3', NULL),
(6, 8552, '', NULL),
(7, 8552, '0', NULL),
(5, 8552, '', NULL),
(8, 8552, '', NULL),
(2, 8554, 'Bug', NULL),
(4, 8554, 'R82161931', NULL),
(3, 8554, '0', NULL),
(1, 8554, '2', NULL),
(6, 8554, '', NULL),
(7, 8554, '0', NULL),
(5, 8554, '', NULL),
(8, 8554, '', NULL),
(2, 8557, 'Bug', NULL),
(4, 8557, 'R82162162', NULL),
(3, 8557, '0', NULL),
(1, 8557, '2', NULL),
(6, 8557, '', NULL),
(7, 8557, '0', NULL),
(5, 8557, '', NULL),
(8, 8557, '', NULL),
(2, 8558, 'Bug', NULL),
(4, 8558, 'R82162393', NULL),
(3, 8558, '0', NULL),
(1, 8558, '2', NULL),
(6, 8558, '', NULL),
(7, 8558, '0', NULL),
(5, 8558, '', NULL),
(8, 8558, '', NULL),
(2, 8559, 'Bug', NULL),
(4, 8559, 'R82162624', NULL),
(3, 8559, '0', NULL),
(1, 8559, '2', NULL),
(6, 8559, '', NULL),
(7, 8559, '0', NULL),
(5, 8559, '', NULL),
(8, 8559, '', NULL),
(2, 8560, 'Bug', NULL),
(4, 8560, 'R82162855', NULL),
(3, 8560, '0', NULL),
(1, 8560, '2', NULL),
(6, 8560, '', NULL),
(7, 8560, '0', NULL),
(5, 8560, '', NULL),
(8, 8560, '', NULL),
(8, 8627, '', NULL),
(5, 8627, '', NULL),
(7, 8627, '0', NULL),
(6, 8627, '', NULL),
(1, 8627, '2', NULL),
(4, 8627, 'R82163086', NULL),
(2, 8627, 'Bug', NULL),
(2, 8562, 'Bug', NULL),
(4, 8562, 'R82163317', NULL),
(3, 8562, '0', NULL),
(1, 8562, '2', NULL),
(6, 8562, '', NULL),
(7, 8562, '0', NULL),
(5, 8562, '', NULL),
(8, 8562, '', NULL),
(2, 8563, 'Bug', NULL),
(4, 8563, 'R82163548', NULL),
(3, 8563, '0', NULL),
(1, 8563, '2', NULL),
(6, 8563, '', NULL),
(7, 8563, '0', NULL),
(5, 8563, '', NULL),
(8, 8563, '', NULL),
(4, 8620, '', NULL),
(1, 8620, '2', NULL),
(6, 8620, '', NULL),
(7, 8620, '0', NULL),
(5, 8620, '', NULL),
(8, 8620, '', NULL),
(2, 8621, 'Task', NULL),
(4, 8621, 'R82164010', NULL),
(3, 8621, '13', NULL),
(1, 8621, '10', NULL),
(6, 8621, '', NULL),
(7, 8621, '0', NULL),
(5, 8621, '', NULL),
(8, 8621, '', NULL),
(2, 8642, 'Bug', NULL),
(4, 8642, 'R82164241', NULL),
(3, 8642, '0', NULL),
(1, 8642, '2', NULL),
(6, 8642, '', NULL),
(7, 8642, '0', NULL),
(5, 8642, '', NULL),
(8, 8642, '', NULL),
(2, 8643, 'Bug', NULL),
(4, 8643, 'R82164472', NULL),
(3, 8643, '0', NULL),
(1, 8643, '2', NULL),
(6, 8643, '', NULL),
(7, 8643, '0', NULL),
(5, 8643, '', NULL),
(8, 8643, '', NULL),
(2, 8669, 'Task', NULL),
(4, 8669, 'R82164703', NULL),
(3, 8669, '4', NULL),
(1, 8669, '3.9', NULL),
(6, 8669, '', NULL),
(7, 8669, '0', NULL),
(5, 8669, '1454454000', NULL),
(8, 8669, '', NULL),
(2, 8711, 'Bug', NULL),
(4, 8711, 'R82164934', NULL),
(3, 8711, '0', NULL),
(1, 8711, '2', NULL),
(6, 8711, '', NULL),
(7, 8711, '0', NULL),
(5, 8711, '', NULL),
(8, 8711, '', NULL),
(2, 8712, 'Task', NULL),
(4, 8712, 'R82165165', NULL),
(3, 8712, '6', NULL),
(1, 8712, '2', NULL),
(6, 8712, '', NULL),
(7, 8712, '0', NULL),
(5, 8712, '', NULL),
(8, 8712, '', NULL),
(2, 8713, 'Task', NULL),
(4, 8713, 'R82165396', NULL),
(3, 8713, '5.6', NULL),
(1, 8713, '2', NULL),
(6, 8713, '', NULL),
(7, 8713, '0', NULL),
(5, 8713, '', NULL),
(8, 8713, '', NULL),
(2, 8794, 'Bug', NULL),
(4, 8794, 'R8247817', NULL),
(3, 8794, '0', NULL),
(1, 8794, '8', NULL),
(6, 8794, '', NULL),
(7, 8794, '0', NULL),
(5, 8794, '', NULL),
(8, 8794, '', NULL),
(2, 8795, 'Task', NULL),
(4, 8795, 'R82165627', NULL),
(3, 8795, '5', NULL),
(1, 8795, '3', NULL),
(6, 8795, '', NULL),
(7, 8795, '0', NULL),
(5, 8795, '', NULL),
(8, 8795, '', NULL),
(2, 8796, 'Task', NULL),
(4, 8796, 'R82165858', NULL),
(3, 8796, '11', NULL),
(1, 8796, '5', NULL),
(6, 8796, '', NULL),
(7, 8796, '0', NULL),
(5, 8796, '', NULL),
(8, 8796, '', NULL),
(2, 8797, 'Task', NULL),
(4, 8797, 'R82166089', NULL),
(3, 8797, '7', NULL),
(1, 8797, '2', NULL),
(6, 8797, '', NULL),
(7, 8797, '0', NULL),
(5, 8797, '', NULL),
(8, 8797, '', NULL),
(2, 8798, 'Bug', NULL),
(4, 8798, 'R82166320', NULL),
(3, 8798, '0', NULL),
(1, 8798, '2', NULL),
(6, 8798, '', NULL),
(7, 8798, '0', NULL),
(5, 8798, '', NULL),
(8, 8798, '', NULL),
(2, 8799, 'Task', NULL),
(4, 8799, 'R82166551', NULL),
(3, 8799, '6.5', NULL),
(1, 8799, '4', NULL),
(6, 8799, '', NULL),
(7, 8799, '0', NULL),
(5, 8799, '', NULL),
(8, 8799, '', NULL),
(2, 8800, 'Task', NULL),
(4, 8800, 'R82166782', NULL),
(3, 8800, '4.4', NULL),
(1, 8800, '5', NULL),
(6, 8800, '', NULL),
(7, 8800, '0', NULL),
(5, 8800, '', NULL),
(8, 8800, '', NULL),
(2, 8801, 'Task', NULL),
(4, 8801, 'R82167013', NULL),
(3, 8801, '5', NULL),
(1, 8801, '5', NULL),
(6, 8801, '', NULL),
(7, 8801, '0', NULL),
(5, 8801, '', NULL),
(8, 8801, '', NULL),
(2, 8802, 'Task', NULL),
(4, 8802, 'R82167244', NULL),
(3, 8802, '34.8', NULL),
(1, 8802, '20', NULL),
(6, 8802, '', NULL),
(7, 8802, '0', NULL),
(5, 8802, '', NULL),
(8, 8802, '', NULL),
(2, 8804, 'Task', NULL),
(4, 8804, 'R8253361', NULL),
(3, 8804, '5', NULL),
(1, 8804, '8', NULL),
(6, 8804, '', NULL),
(7, 8804, '0', NULL),
(5, 8804, '', NULL),
(8, 8804, '', NULL),
(2, 8806, 'Bug', NULL),
(4, 8806, 'R82167475', NULL),
(3, 8806, '0', NULL),
(1, 8806, '2', NULL),
(6, 8806, '', NULL),
(7, 8806, '0.5', NULL),
(5, 8806, '', NULL),
(8, 8806, '', NULL),
(2, 8811, 'Task', NULL),
(4, 8811, 'R82167706', NULL),
(1, 8811, '20', NULL),
(6, 8811, '', NULL),
(7, 8811, '0', NULL),
(5, 8811, '', NULL),
(8, 8811, '', NULL),
(2, 8819, 'Task', NULL),
(4, 8819, 'R82167937', NULL),
(1, 8819, '2', NULL),
(6, 8819, '', NULL),
(7, 8819, '0', NULL),
(5, 8819, '', NULL),
(8, 8819, '', NULL),
(2, 8834, 'Bug', NULL),
(4, 8834, 'R82168168', NULL),
(3, 8834, '0', NULL),
(1, 8834, '2', NULL),
(6, 8834, '', NULL),
(7, 8834, '0', NULL),
(5, 8834, '', NULL),
(8, 8834, '', NULL),
(2, 8835, 'Bug', NULL),
(4, 8835, 'R82168399', NULL),
(3, 8835, '0', NULL),
(1, 8835, '2', NULL),
(6, 8835, '', NULL),
(7, 8835, '0', NULL),
(5, 8835, '', NULL),
(8, 8835, '', NULL),
(2, 8836, 'Bug', NULL),
(4, 8836, 'R82168630', NULL),
(1, 8836, '2', NULL),
(6, 8836, '', NULL),
(7, 8836, '0', NULL),
(5, 8836, '1454886000', NULL),
(8, 8836, '', NULL),
(2, 8837, 'Bug', NULL),
(4, 8837, 'R82168861', NULL),
(3, 8837, '0', NULL),
(1, 8837, '2', NULL),
(6, 8837, '', NULL),
(7, 8837, '0', NULL),
(5, 8837, '', NULL),
(8, 8837, '', NULL),
(2, 8840, 'Task', NULL),
(4, 8840, 'R82169323', NULL),
(3, 8840, '61.5', NULL),
(1, 8840, '25', NULL),
(6, 8840, '', NULL),
(7, 8840, '0', NULL),
(5, 8840, '1463695200', NULL),
(8, 8840, '', NULL),
(7, 9472, '0', NULL),
(2, 8842, 'Task', NULL),
(4, 8842, 'R82169554', NULL),
(3, 8842, '0', NULL),
(1, 8842, '2', NULL),
(6, 8842, '', NULL),
(7, 8842, '0', NULL),
(5, 8842, '', NULL),
(8, 8842, '', NULL),
(2, 8844, 'Bug', NULL),
(4, 8844, 'R82141834', NULL),
(3, 8844, '0', NULL),
(1, 8844, '2', NULL),
(6, 8844, '', NULL),
(7, 8844, '0', NULL),
(5, 8844, '', NULL),
(8, 8844, '', NULL),
(2, 8845, 'Task', NULL),
(4, 8845, 'R82169785', NULL),
(3, 8845, '0', NULL),
(1, 8845, '1', NULL),
(6, 8845, '', NULL),
(7, 8845, '0', NULL),
(5, 8845, '', NULL),
(8, 8845, '', NULL),
(2, 8846, 'Task', NULL),
(4, 8846, 'R82170016', NULL),
(3, 8846, '0', NULL),
(1, 8846, '2', NULL),
(6, 8846, '', NULL),
(7, 8846, '0', NULL),
(5, 8846, '', NULL),
(8, 8846, '', NULL),
(1, 8857, '2', NULL),
(6, 8857, '', NULL),
(7, 8857, '0', NULL),
(5, 8857, '', NULL),
(8, 8857, '', NULL),
(2, 8858, 'Bug', NULL),
(4, 8858, 'R82170247', NULL),
(1, 8858, '2', NULL),
(6, 8858, '', NULL),
(7, 8858, '0', NULL),
(5, 8858, '1456614000', NULL),
(8, 8858, '', NULL),
(2, 8859, 'Bug', NULL),
(4, 8859, 'R82170478', NULL),
(1, 8859, '1', NULL),
(6, 8859, '', NULL),
(7, 8859, '0', NULL),
(5, 8859, '1455058800', NULL),
(8, 8859, '', NULL),
(2, 8903, 'Bug', NULL),
(4, 8903, 'R82170940', NULL),
(3, 8903, '0', NULL),
(1, 8903, '2', NULL),
(6, 8903, '', NULL),
(7, 8903, '0', NULL),
(5, 8903, '', NULL),
(8, 8903, '', NULL),
(2, 8904, 'Bug', NULL),
(4, 8904, 'R82171171', NULL),
(3, 8904, '0', NULL),
(1, 8904, '2', NULL),
(6, 8904, '', NULL),
(7, 8904, '0', NULL),
(5, 8904, '', NULL),
(8, 8904, '', NULL),
(2, 8905, 'Task', NULL),
(4, 8905, 'R82171402', NULL),
(1, 8905, '2', NULL),
(6, 8905, '', NULL),
(7, 8905, '0', NULL),
(5, 8905, '1456441200', NULL),
(8, 8905, '', NULL),
(2, 8925, 'Bug', NULL),
(4, 8925, 'R82171633', NULL),
(1, 8925, '1', NULL),
(6, 8925, '', NULL),
(7, 8925, '0', NULL),
(5, 8925, '', NULL),
(8, 8925, '', NULL),
(2, 8926, 'Task', NULL),
(4, 8926, '', NULL),
(1, 8926, '5', NULL),
(6, 8926, '', NULL),
(7, 8926, '0', NULL),
(5, 8926, '', NULL),
(8, 8926, '', NULL),
(2, 8927, 'Bug', NULL),
(4, 8927, 'R82172095', NULL),
(1, 8927, '1', NULL),
(6, 8927, '', NULL),
(7, 8927, '0', NULL),
(5, 8927, '', NULL),
(8, 8927, '', NULL),
(2, 8928, 'Bug', NULL),
(4, 8928, 'R82172326', NULL),
(1, 8928, '1', NULL),
(6, 8928, '', NULL),
(7, 8928, '0', NULL),
(5, 8928, '', NULL),
(8, 8928, '', NULL),
(2, 8929, 'Bug', NULL),
(4, 8929, 'R82172557', NULL),
(1, 8929, '1', NULL),
(6, 8929, '', NULL),
(7, 8929, '0', NULL),
(5, 8929, '', NULL),
(8, 8929, '', NULL),
(3, 8905, '2.5', NULL),
(3, 8836, '0', NULL),
(2, 8930, 'Bug', NULL),
(4, 8930, 'R82170709', NULL),
(3, 8930, '0', NULL),
(1, 8930, '2', NULL),
(6, 8930, '', NULL),
(7, 8930, '0', NULL),
(5, 8930, '', NULL),
(8, 8930, '', NULL),
(2, 8940, 'Bug', NULL),
(4, 8940, 'R82172788', NULL),
(3, 8940, '0', NULL),
(1, 8940, '2', NULL),
(6, 8940, '', NULL),
(7, 8940, '0', NULL),
(5, 8940, '', NULL),
(8, 8940, '', NULL),
(2, 8941, 'Task', NULL),
(4, 8941, 'R82173019', NULL),
(3, 8941, '1', NULL),
(1, 8941, '2', NULL),
(6, 8941, '', NULL),
(7, 8941, '0', NULL),
(5, 8941, '', NULL),
(8, 8941, '', NULL),
(2, 8942, 'Task', NULL),
(4, 8942, 'R82173250', NULL),
(3, 8942, '1.5', NULL),
(1, 8942, '2', NULL),
(6, 8942, '', NULL),
(7, 8942, '0', NULL),
(5, 8942, '', NULL),
(8, 8942, '', NULL),
(2, 8949, 'Task', NULL),
(4, 8949, '', NULL),
(1, 8949, '2', NULL),
(6, 8949, '', NULL),
(7, 8949, '0', NULL),
(5, 8949, '', NULL),
(8, 8949, '', NULL),
(2, 8950, 'Bug', NULL),
(4, 8950, 'R82173712', NULL),
(3, 8950, '0', NULL),
(1, 8950, '2', NULL),
(6, 8950, '', NULL),
(7, 8950, '0', NULL),
(5, 8950, '', NULL),
(8, 8950, '', NULL),
(2, 8951, 'Task', NULL),
(4, 8951, 'R82173943', NULL),
(3, 8951, '0.9', NULL),
(1, 8951, '1', NULL),
(6, 8951, '', NULL),
(7, 8951, '0', NULL),
(5, 8951, '', NULL),
(8, 8951, '', NULL),
(1, 10329, '5', NULL),
(4, 10329, 'R82174174', NULL),
(2, 10329, 'Task', NULL),
(11, 10329, 'Recette', NULL),
(2, 9025, 'Task', NULL),
(4, 9025, 'R82174405', NULL),
(3, 9025, '1', NULL),
(1, 9025, '1', NULL),
(6, 9025, '', NULL),
(7, 9025, '0', NULL),
(5, 9025, '', NULL),
(8, 9025, '', NULL),
(2, 9026, 'Task', NULL),
(4, 9026, 'R82174636', NULL),
(3, 9026, '3.2', NULL),
(1, 9026, '2', NULL),
(6, 9026, '', NULL),
(7, 9026, '0', NULL),
(5, 9026, '', NULL),
(8, 9026, '', NULL),
(2, 9070, 'Bug', NULL),
(4, 9070, 'R82174867', NULL),
(3, 9070, '0', NULL),
(1, 9070, '2', NULL),
(6, 9070, '', NULL),
(7, 9070, '0', NULL),
(5, 9070, '', NULL),
(8, 9070, '', NULL),
(2, 9071, 'Bug', NULL),
(4, 9071, 'R82175098', NULL),
(3, 9071, '0', NULL),
(1, 9071, '2', NULL),
(6, 9071, '', NULL),
(7, 9071, '0', NULL),
(5, 9071, '', NULL),
(8, 9071, '', NULL),
(2, 9072, 'Bug', NULL),
(4, 9072, 'R82175329', NULL),
(3, 9072, '0', NULL),
(1, 9072, '2', NULL),
(6, 9072, '', NULL),
(7, 9072, '0', NULL),
(5, 9072, '', NULL),
(8, 9072, '', NULL),
(2, 9098, 'Task', NULL),
(4, 9098, 'R82175560', NULL),
(3, 9098, '3', NULL),
(1, 9098, '2', NULL),
(6, 9098, '', NULL),
(7, 9098, '0', NULL),
(5, 9098, '', NULL),
(8, 9098, '', NULL),
(2, 9099, 'Task', NULL),
(4, 9099, 'R82175791', NULL),
(3, 9099, '7', NULL),
(1, 9099, '5', NULL),
(6, 9099, '', NULL),
(7, 9099, '', NULL),
(5, 9099, '', NULL),
(8, 9099, '', NULL),
(2, 9102, 'Task', NULL),
(4, 9102, 'R82176022', NULL),
(3, 9102, '3', NULL),
(1, 9102, '2', NULL),
(6, 9102, '', NULL),
(7, 9102, '0', NULL),
(5, 9102, '', NULL),
(8, 9102, '', NULL),
(2, 9103, 'Task', NULL),
(4, 9103, 'R82176253', NULL),
(3, 9103, '3', NULL),
(1, 9103, '2', NULL),
(6, 9103, '', NULL),
(7, 9103, '0', NULL),
(5, 9103, '', NULL),
(8, 9103, '', NULL),
(2, 9201, 'Bug', NULL),
(4, 9201, 'R82176484', NULL),
(3, 9201, '0', NULL),
(1, 9201, '2', NULL),
(6, 9201, '', NULL),
(7, 9201, '0', NULL),
(5, 9201, '', NULL),
(8, 9201, '', NULL),
(2, 9202, 'Bug', NULL),
(4, 9202, 'R82176715', NULL),
(3, 9202, '0', NULL),
(1, 9202, '2', NULL),
(6, 9202, '', NULL),
(7, 9202, '0', NULL),
(5, 9202, '', NULL),
(8, 9202, '', NULL),
(2, 9236, 'Bug', NULL),
(4, 9236, 'R82176946', NULL),
(3, 9236, '0', NULL),
(1, 9236, '2', NULL),
(6, 9236, '', NULL),
(7, 9236, '0', NULL),
(5, 9236, '', NULL),
(8, 9236, '', NULL),
(2, 9241, 'Bug', NULL),
(4, 9241, 'R82177177', NULL),
(3, 9241, '0', NULL),
(1, 9241, '2', NULL),
(6, 9241, '', NULL),
(7, 9241, '0', NULL),
(5, 9241, '', NULL),
(8, 9241, '', NULL),
(8, 10636, '', NULL),
(2, 9279, 'Bug', NULL),
(4, 9279, 'R82177408', NULL),
(3, 9279, '0', NULL),
(1, 9279, '2', NULL),
(6, 9279, '', NULL),
(7, 9279, '0', NULL),
(5, 9279, '', NULL),
(8, 9279, '', NULL),
(2, 9303, 'Bug', NULL),
(4, 9303, 'R82177639', NULL),
(1, 9303, '2', NULL),
(6, 9303, '', NULL),
(7, 9303, '0', NULL),
(5, 9303, '', NULL),
(8, 9303, '', NULL),
(2, 9304, 'Task', NULL),
(4, 9304, '', NULL),
(1, 9304, '2', NULL),
(6, 9304, '', NULL),
(7, 9304, '0', NULL),
(5, 9304, '', NULL),
(8, 9304, '', NULL),
(2, 9305, 'Task', NULL),
(4, 9305, '', NULL),
(1, 9305, '15', NULL),
(6, 9305, '', NULL),
(7, 9305, '0', NULL),
(5, 9305, '', NULL),
(8, 9305, '', NULL),
(2, 9306, 'Bug', NULL),
(4, 9306, 'R82178332', NULL),
(1, 9306, '2', NULL),
(6, 9306, '', NULL),
(7, 9306, '0', NULL),
(5, 9306, '', NULL),
(8, 9306, '', NULL),
(2, 9307, 'Bug', NULL),
(4, 9307, 'R82178563', NULL),
(3, 9307, '0', NULL),
(1, 9307, '2', NULL),
(6, 9307, '', NULL),
(7, 9307, '0', NULL),
(5, 9307, '1461880800', NULL),
(8, 9307, '', NULL),
(2, 9308, 'Bug', NULL),
(4, 9308, 'R82178794', NULL),
(3, 9308, '0', NULL),
(1, 9308, '2', NULL),
(6, 9308, '', NULL),
(7, 9308, '0', NULL),
(5, 9308, '', NULL),
(8, 9308, '', NULL),
(2, 9309, 'Bug', NULL),
(4, 9309, 'R82179025', NULL),
(3, 9309, '0', NULL),
(1, 9309, '2', NULL),
(6, 9309, '', NULL),
(7, 9309, '0', NULL),
(5, 9309, '', NULL),
(8, 9309, '', NULL),
(2, 9310, 'Bug', NULL),
(4, 9310, 'R82179256', NULL),
(3, 9310, '0', NULL),
(1, 9310, '2', NULL),
(6, 9310, '', NULL),
(7, 9310, '0', NULL),
(5, 9310, '', NULL),
(8, 9310, '', NULL),
(2, 9311, 'Bug', NULL),
(4, 9311, 'R82179487', NULL),
(3, 9311, '0', NULL),
(1, 9311, '2', NULL),
(6, 9311, '', NULL),
(7, 9311, '0', NULL),
(5, 9311, '', NULL),
(8, 9311, '', NULL),
(2, 9318, 'Task', NULL),
(4, 9318, 'R82179718', NULL),
(3, 9318, '10.1', NULL),
(1, 9318, '3', NULL),
(6, 9318, '', NULL),
(7, 9318, '0', NULL),
(5, 9318, '', NULL),
(8, 9318, '', NULL),
(2, 9320, 'Task', NULL),
(4, 9320, '', NULL),
(1, 9320, '2', NULL),
(6, 9320, '', NULL),
(7, 9320, '0', NULL),
(5, 9320, '', NULL),
(8, 9320, '', NULL),
(2, 9343, 'Bug', NULL),
(4, 9343, 'R82180180', NULL),
(1, 9343, '2', NULL),
(6, 9343, '', NULL),
(7, 9343, '0', NULL),
(5, 9343, '', NULL),
(8, 9343, '', NULL),
(2, 9344, 'Task', NULL),
(4, 9344, '', NULL),
(1, 9344, '15', NULL),
(6, 9344, '', NULL),
(7, 9344, '0', NULL),
(5, 9344, '', NULL),
(8, 9344, '', NULL),
(2, 9444, 'Task', NULL),
(4, 9444, 'R82180642', NULL),
(3, 9444, '20', NULL),
(1, 9444, '17', NULL),
(6, 9444, '', NULL),
(7, 9444, '16', NULL),
(5, 9444, '1461967200', NULL),
(8, 9444, '', NULL),
(2, 9445, 'Bug', NULL),
(4, 9445, 'R82180873', NULL),
(3, 9445, '0', NULL),
(1, 9445, '1', NULL),
(6, 9445, '', NULL),
(7, 9445, '0', NULL),
(5, 9445, '', NULL),
(8, 9445, '', NULL),
(2, 9451, 'Bug', NULL),
(4, 9451, 'R82181104', NULL),
(1, 9451, '2', NULL),
(6, 9451, '', NULL),
(7, 9451, '0', NULL),
(5, 9451, '1457391600', NULL),
(8, 9451, '', NULL),
(2, 9452, 'Bug', NULL),
(4, 9452, 'R82181335', NULL),
(3, 9452, '0', NULL),
(1, 9452, '10', NULL),
(6, 9452, '', NULL),
(7, 9452, '0', NULL),
(5, 9452, '1460066400', NULL),
(8, 9452, '', NULL),
(2, 9456, 'Task', NULL),
(4, 9456, '', NULL),
(3, 9456, '2.4', NULL),
(1, 9456, '2', NULL),
(6, 9456, '', NULL),
(7, 9456, '0', NULL),
(5, 9456, '', NULL),
(8, 9456, '1426374000', NULL),
(2, 9457, 'Task', NULL),
(4, 9457, '', NULL),
(3, 9457, '4', NULL),
(1, 9457, '7', NULL),
(6, 9457, '', NULL),
(7, 9457, '0', NULL),
(5, 9457, '', NULL),
(8, 9457, '', NULL),
(4, 9459, 'R82182028', NULL),
(1, 9459, '5', NULL),
(2, 9459, 'Bug', NULL),
(4, 9460, 'R82182259', NULL),
(1, 9460, '5', NULL),
(2, 9460, 'Bug', NULL),
(4, 9461, 'R82182490', NULL),
(1, 9461, '5', NULL),
(2, 9461, 'Bug', NULL),
(4, 9462, 'R82182721', NULL),
(1, 9462, '5', NULL),
(2, 9462, 'Bug', NULL),
(4, 9463, 'R82182952', NULL),
(1, 9463, '5', NULL),
(2, 9463, 'Bug', NULL),
(4, 9464, 'R82183183', NULL),
(1, 9464, '5', NULL),
(2, 9464, 'Bug', NULL),
(4, 9465, 'R82183414', NULL),
(1, 9465, '5', NULL),
(2, 9465, 'Bug', NULL),
(4, 9466, 'R82183645', NULL),
(1, 9466, '5', NULL),
(2, 9466, 'Bug', NULL),
(4, 9467, 'R82183876', NULL),
(1, 9467, '5', NULL),
(2, 9467, 'Bug', NULL),
(4, 9468, 'R82184107', NULL),
(1, 9468, '5', NULL),
(2, 9468, 'Bug', NULL),
(4, 9469, 'R82184338', NULL),
(1, 9469, '5', NULL),
(2, 9469, 'Bug', NULL),
(4, 9470, 'R82184569', NULL),
(3, 9470, '2.4', NULL),
(1, 9470, '2', NULL),
(2, 9470, 'Task', NULL),
(4, 9471, 'R82184800', NULL),
(3, 9471, '6', NULL),
(1, 9471, '5', NULL),
(2, 9471, 'Task', NULL),
(4, 9472, 'R82185031', NULL),
(3, 9472, '45.72', NULL),
(1, 9472, '25', NULL),
(2, 9472, 'Task', NULL),
(4, 9474, 'R82185262', NULL),
(3, 9474, '0', NULL),
(1, 9474, '0', NULL),
(2, 9474, 'Task', NULL),
(5, 9471, '1465855200', NULL),
(4, 9477, 'R82185493', NULL),
(1, 9477, '2', NULL),
(2, 9477, 'Bug', NULL),
(4, 9478, 'R82185724', NULL),
(3, 9478, '15', NULL),
(1, 9478, '12', NULL),
(2, 9478, 'Task', NULL),
(4, 9479, 'R82185955', NULL),
(3, 9479, '20', NULL),
(1, 9479, '20', NULL),
(2, 9479, 'Task', NULL),
(2, 9493, 'Task', NULL),
(4, 9493, 'R82186186', NULL),
(1, 9493, '10', NULL),
(6, 9493, '', NULL),
(7, 9493, '0', NULL),
(5, 9493, '1461880800', NULL),
(8, 9493, '1461708000', NULL),
(2, 9494, 'Bug', NULL),
(4, 9494, 'R82186417', NULL),
(1, 9494, '2', NULL),
(6, 9494, '', NULL),
(7, 9494, '0', NULL),
(5, 9494, '', NULL),
(8, 9494, '', NULL),
(2, 9495, 'Bug', NULL),
(4, 9495, 'R82186648', NULL),
(1, 9495, '2', NULL),
(6, 9495, '', NULL),
(7, 9495, '0', NULL),
(5, 9495, '', NULL),
(8, 9495, '', NULL),
(2, 9496, 'Bug', NULL),
(4, 9496, 'R82186879', NULL),
(1, 9496, '2', NULL),
(6, 9496, '', NULL),
(7, 9496, '0', NULL),
(5, 9496, '', NULL),
(8, 9496, '', NULL),
(3, 10041, '7.2', NULL),
(2, 9510, 'Bug', NULL),
(4, 9510, 'R82187110', NULL),
(3, 9510, '0', NULL),
(1, 9510, '2', NULL),
(6, 9510, '', NULL),
(7, 9510, '0', NULL),
(5, 9510, '', NULL),
(8, 9510, '', NULL),
(2, 9511, 'Bug', NULL),
(4, 9511, 'R82187341', NULL),
(3, 9511, '0', NULL),
(1, 9511, '2', NULL),
(6, 9511, '', NULL),
(7, 9511, '0', NULL),
(5, 9511, '', NULL),
(8, 9511, '', NULL),
(2, 9512, 'Bug', NULL),
(4, 9512, 'R82187572', NULL),
(3, 9512, '0', NULL),
(1, 9512, '2', NULL),
(6, 9512, '', NULL),
(7, 9512, '0', NULL),
(5, 9512, '', NULL),
(8, 9512, '', NULL),
(2, 9513, 'Bug', NULL),
(4, 9513, 'R82187803', NULL),
(3, 9513, '0', NULL),
(1, 9513, '2', NULL),
(6, 9513, '', NULL),
(7, 9513, '0', NULL),
(5, 9513, '', NULL),
(8, 9513, '', NULL),
(2, 9514, 'Bug', NULL),
(4, 9514, 'R82188034', NULL),
(3, 9514, '0', NULL),
(1, 9514, '2', NULL),
(6, 9514, '', NULL),
(7, 9514, '0', NULL),
(5, 9514, '', NULL),
(8, 9514, '', NULL),
(2, 9515, 'Bug', NULL),
(4, 9515, 'R82188265', NULL),
(3, 9515, '0', NULL),
(1, 9515, '2', NULL),
(6, 9515, '', NULL),
(7, 9515, '0', NULL),
(5, 9515, '', NULL),
(8, 9515, '', NULL),
(2, 9516, 'Bug', NULL),
(4, 9516, 'R82188496', NULL),
(3, 9516, '0', NULL),
(1, 9516, '2', NULL),
(6, 9516, '', NULL),
(7, 9516, '0', NULL),
(5, 9516, '', NULL),
(8, 9516, '', NULL),
(2, 9563, 'Task', NULL),
(4, 9563, '', NULL),
(1, 9563, '2', NULL),
(6, 9563, '', NULL),
(7, 9563, '0', NULL),
(5, 9563, '', NULL),
(8, 9563, '', NULL),
(2, 9572, 'Bug', NULL),
(4, 9572, 'R82188958', NULL),
(1, 9572, '2', NULL),
(6, 9572, '', NULL),
(7, 9572, '0', NULL),
(5, 9572, '1458082800', NULL),
(8, 9572, '', NULL),
(2, 9574, 'Bug', NULL),
(4, 9574, 'R82189189', NULL),
(1, 9574, '2', NULL),
(6, 9574, '', NULL),
(7, 9574, '0', NULL),
(5, 9574, '1458255600', NULL),
(8, 9574, '', NULL),
(2, 9601, 'Bug', NULL),
(4, 9601, 'R82189420', NULL),
(3, 9601, '0', NULL),
(1, 9601, '2', NULL),
(6, 9601, '', NULL),
(7, 9601, '0', NULL),
(5, 9601, '', NULL),
(8, 9601, '', NULL),
(3, 8857, '0', NULL),
(4, 9628, 'R82189651', NULL),
(1, 9628, '2', NULL),
(2, 9628, 'Bug', NULL),
(3, 9343, '0', NULL),
(11, 9343, '', NULL),
(3, 10869, '0', NULL),
(4, 9630, 'R82190113', NULL),
(1, 9630, '2', NULL),
(2, 9630, 'Bug', NULL),
(4, 9631, 'R82190344', NULL),
(1, 9631, '2', NULL),
(2, 9631, 'Bug', NULL),
(4, 9632, 'R82190575', NULL),
(3, 9632, '14', NULL),
(1, 9632, '8', NULL),
(2, 9632, 'Task', NULL),
(4, 9633, 'R82190806', NULL),
(3, 9633, '12.06', NULL),
(1, 9633, '8', NULL),
(2, 9633, 'Task', NULL),
(4, 9634, 'R82191037', NULL),
(3, 9634, '2', NULL),
(1, 9634, '1', NULL),
(2, 9634, 'Task', NULL),
(4, 9635, 'R82191268', NULL),
(3, 9635, '2', NULL),
(1, 9635, '3', NULL),
(2, 9635, 'Task', NULL),
(6, 9635, '', NULL),
(7, 9635, '0', NULL),
(5, 9635, '', NULL),
(8, 9635, '', NULL),
(6, 9633, '', NULL),
(7, 9633, '0', NULL),
(5, 9633, '1462226400', NULL),
(8, 9633, '', NULL),
(7, 9632, '0', NULL),
(7, 9634, '0', NULL),
(2, 9643, 'Bug', NULL),
(4, 9643, 'R82191499', NULL),
(1, 9643, '2', NULL),
(6, 9643, '', NULL),
(7, 9643, '0', NULL),
(5, 9643, '', NULL),
(8, 9643, '', NULL),
(2, 9644, 'Task', NULL),
(4, 9644, 'R82191730', NULL),
(1, 9644, '8', NULL),
(6, 9644, '', NULL),
(7, 9644, '0', NULL),
(5, 9644, '', NULL),
(8, 9644, '', NULL),
(7, 9631, '0', NULL),
(3, 9646, '0', NULL),
(1, 9646, '0', NULL),
(6, 9646, '', NULL),
(7, 9646, '', NULL),
(5, 9646, '', NULL),
(8, 9646, '', NULL),
(2, 9646, 'Task', NULL),
(4, 9646, '', NULL),
(3, 9890, '', NULL),
(3, 9889, '5', NULL),
(6, 9632, '', NULL),
(5, 9632, '', NULL),
(8, 9632, '', NULL),
(2, 9670, 'Bug', NULL),
(4, 9670, 'R82191961', NULL),
(1, 9670, '2', NULL),
(6, 9670, '', NULL),
(7, 9670, '1', NULL),
(5, 9670, '1458687600', NULL),
(8, 9670, '', NULL),
(2, 9671, 'Bug', NULL),
(4, 9671, 'R82192192', NULL),
(1, 9671, '2', NULL),
(6, 9671, '', NULL),
(7, 9671, '0', NULL),
(5, 9671, '', NULL),
(8, 9671, '', NULL),
(2, 9672, 'Bug', NULL),
(4, 9672, 'R82192423', NULL),
(1, 9672, '2', NULL),
(6, 9672, '', NULL),
(7, 9672, '0', NULL),
(5, 9672, '', NULL),
(8, 9672, '', NULL),
(2, 9674, 'Task', NULL),
(4, 9674, 'R82192654', NULL),
(3, 9674, '5', NULL),
(1, 9674, '3', NULL),
(6, 9674, '', NULL),
(7, 9674, '0', NULL),
(5, 9674, '', NULL),
(8, 9674, '', NULL),
(2, 9675, 'Bug', NULL),
(4, 9675, 'R82192885', NULL),
(1, 9675, '2', NULL),
(6, 9675, '', NULL),
(7, 9675, '0', NULL),
(5, 9675, '1458774000', NULL),
(8, 9675, '', NULL),
(2, 9683, 'Task', NULL),
(4, 9683, 'R82193116', NULL),
(3, 9683, '0', NULL),
(1, 9683, '8', NULL),
(6, 9683, '', NULL),
(7, 9683, '0', NULL),
(5, 9683, '1461276000', NULL),
(8, 9683, '', NULL),
(2, 9684, 'Task', NULL),
(4, 9684, 'R82193347', NULL),
(3, 9684, '0', NULL),
(1, 9684, '5.5', NULL),
(6, 9684, '', NULL),
(7, 9684, '0', NULL),
(5, 9684, '1460412000', NULL),
(8, 9684, '', NULL),
(2, 9685, 'Task', NULL),
(4, 9685, 'R82193578', NULL),
(3, 9685, '0', NULL),
(1, 9685, '3', NULL),
(6, 9685, '', NULL),
(7, 9685, '0', NULL),
(5, 9685, '1460412000', NULL),
(8, 9685, '', NULL),
(8, 9766, '', NULL),
(5, 9766, '', NULL),
(4, 9766, 'R82193809', NULL),
(1, 9766, '2', NULL),
(6, 9766, '', NULL),
(7, 9766, '0', NULL),
(2, 9766, 'Bug', NULL),
(3, 9493, '', NULL),
(6, 9630, '', NULL),
(7, 9630, '', NULL),
(5, 9630, '', NULL),
(8, 9630, '', NULL),
(6, 4878, '', NULL),
(7, 4878, '', NULL),
(5, 4878, '', NULL),
(8, 4878, '', NULL),
(6, 4877, '', NULL),
(7, 4877, '', NULL),
(5, 4877, '', NULL),
(8, 4877, '', NULL),
(6, 9477, '', NULL),
(7, 9477, '0', NULL),
(5, 9477, '', NULL),
(8, 9477, '', NULL),
(3, 9462, '0', NULL),
(6, 9462, '', NULL),
(7, 9462, '0', NULL),
(5, 9462, '1464732000', NULL),
(8, 9462, '', NULL),
(2, 9889, 'Task', NULL),
(4, 9889, 'R82194040', NULL),
(1, 9889, '', NULL),
(6, 9889, '', NULL),
(7, 9889, '0', NULL),
(5, 9889, '', NULL),
(8, 9889, '', NULL),
(2, 9890, 'Task', NULL),
(4, 9890, 'R82194271', NULL),
(1, 9890, '5', NULL),
(6, 9890, '', NULL),
(7, 9890, '0', NULL),
(5, 9890, '', NULL),
(8, 9890, '', NULL),
(2, 9891, 'Task', NULL),
(4, 9891, '', NULL),
(1, 9891, '8', NULL),
(6, 9891, '', NULL),
(7, 9891, '0', NULL),
(5, 9891, '', NULL),
(8, 9891, '', NULL),
(5, 10636, '', NULL),
(7, 10636, '0', NULL),
(6, 10636, '', NULL),
(1, 10636, '1', NULL),
(4, 10636, 'R82194733', NULL),
(2, 10636, 'Task', NULL),
(11, 10636, 'Recette', NULL),
(8, 9631, '', NULL),
(2, 9943, 'Task', NULL),
(4, 9943, 'R82194964', NULL),
(1, 9943, '6', NULL),
(6, 9943, '', NULL),
(7, 9943, '0', NULL),
(5, 9943, '', NULL),
(8, 9943, '', NULL),
(3, 9943, '2', NULL),
(7, 9459, '0', NULL),
(2, 9951, 'Task', NULL),
(4, 9951, '', NULL),
(1, 9951, '2', NULL),
(6, 9951, '', NULL),
(7, 9951, '0', NULL),
(5, 9951, '', NULL),
(8, 9951, '', NULL),
(2, 10018, 'Task', NULL),
(4, 10018, 'R82195657', NULL),
(3, 10018, '5', NULL),
(1, 10018, '5', NULL),
(6, 10018, '', NULL),
(7, 10018, '0', NULL),
(5, 10018, '', NULL),
(8, 10018, '', NULL),
(2, 10040, 'Task', NULL),
(4, 10040, '', NULL),
(1, 10040, '6', NULL),
(6, 10040, '', NULL),
(7, 10040, '0', NULL),
(5, 10040, '', NULL),
(8, 10040, '', NULL),
(2, 10041, 'Task', NULL),
(4, 10041, 'R82196119', NULL),
(1, 10041, '5', NULL),
(6, 10041, '', NULL),
(7, 10041, '0', NULL),
(5, 10041, '', NULL),
(8, 10041, '', NULL),
(2, 10042, 'Bug', NULL),
(4, 10042, 'R82196350', NULL),
(1, 10042, '2', NULL),
(6, 10042, '', NULL),
(7, 10042, '0', NULL),
(5, 10042, '', NULL),
(8, 10042, '', NULL),
(2, 10043, 'Task', NULL),
(4, 10043, '', NULL),
(1, 10043, '1', NULL),
(6, 10043, '', NULL),
(7, 10043, '0', NULL),
(5, 10043, '', NULL),
(8, 10043, '', NULL),
(2, 10044, 'Task', NULL),
(4, 10044, '', NULL),
(1, 10044, '7', NULL),
(6, 10044, '', NULL),
(7, 10044, '0', NULL),
(5, 10044, '', NULL),
(8, 10044, '', NULL),
(2, 10045, 'Task', NULL),
(4, 10045, 'R82197043', NULL),
(1, 10045, '2', NULL),
(6, 10045, '', NULL),
(7, 10045, '0', NULL),
(5, 10045, '', NULL),
(8, 10045, '', NULL),
(2, 10046, 'Task', NULL),
(4, 10046, 'R82197274', NULL),
(1, 10046, '4', NULL),
(6, 10046, '', NULL),
(7, 10046, '0', NULL),
(5, 10046, '', NULL),
(8, 10046, '', NULL),
(3, 10046, '6', NULL),
(2, 10049, 'Bug', NULL),
(4, 10049, 'R82197505', NULL),
(1, 10049, '2', NULL),
(6, 10049, '', NULL),
(7, 10049, '0', NULL),
(5, 10049, '', NULL),
(8, 10049, '', NULL),
(2, 10075, 'Bug', NULL),
(4, 10075, 'R82197736', NULL),
(1, 10075, '2', NULL),
(6, 10075, '', NULL),
(7, 10075, '0.5', NULL),
(5, 10075, '', NULL),
(8, 10075, '', NULL),
(2, 10086, 'Task', NULL),
(4, 10086, 'R82197967', NULL),
(1, 10086, '2', NULL),
(6, 10086, '', NULL),
(7, 10086, '0', NULL),
(5, 10086, '', NULL),
(8, 10086, '', NULL),
(2, 10087, 'Task', NULL),
(4, 10087, 'R82198198', NULL),
(1, 10087, '7', NULL),
(6, 10087, '', NULL),
(7, 10087, '0', NULL),
(5, 10087, '', NULL),
(8, 10087, '', NULL),
(2, 10088, 'Bug', NULL),
(4, 10088, 'R82198429', NULL),
(1, 10088, '3', NULL),
(6, 10088, '', NULL),
(7, 10088, '0', NULL),
(5, 10088, '', NULL),
(8, 10088, '', NULL),
(2, 10089, 'Task', NULL),
(4, 10089, 'R82198660', NULL),
(1, 10089, '20', NULL),
(6, 10089, '', NULL),
(7, 10089, '0', NULL),
(5, 10089, '', NULL),
(8, 10089, '', NULL),
(3, 10087, '7.29', NULL),
(2, 10093, 'Bug', NULL),
(4, 10093, 'R82198891', NULL),
(3, 10093, '0', NULL),
(1, 10093, '2', NULL),
(6, 10093, '', NULL),
(7, 10093, '0', NULL),
(5, 10093, '1461621600', NULL),
(8, 10093, '', NULL),
(4, 10136, 'R82199122', NULL),
(1, 10136, '2', NULL),
(2, 10136, 'Bug', NULL),
(4, 10137, 'R82199353', NULL),
(1, 10137, '2', NULL),
(2, 10137, 'Bug', NULL),
(4, 10138, 'R82199584', NULL),
(1, 10138, '2', NULL),
(2, 10138, 'Bug', NULL),
(4, 10139, 'R82199815', NULL),
(1, 10139, '2', NULL),
(2, 10139, 'Bug', NULL),
(4, 10166, 'R82200046', NULL),
(2, 10165, 'Bug', NULL),
(1, 10165, '5', NULL),
(4, 10165, 'R82200277', NULL),
(8, 9465, '', NULL),
(7, 9465, '0', NULL),
(11, 9098, '', NULL),
(11, 9099, '', NULL),
(7, 9461, '0', NULL),
(8, 9460, '', NULL),
(7, 9460, '0', NULL),
(4, 10144, 'R82200508', NULL),
(3, 10144, '27', NULL),
(1, 10144, '15', NULL),
(2, 10144, 'Task', NULL),
(4, 10145, 'R82200739', NULL),
(3, 10145, '81', NULL),
(1, 10145, '70', NULL),
(2, 10145, 'Task', NULL),
(4, 10146, 'R82200970', NULL),
(1, 10146, '1', NULL),
(2, 10146, 'Bug', NULL),
(4, 10147, 'R82201201', NULL),
(1, 10147, '1', NULL),
(2, 10147, 'Bug', NULL),
(4, 10148, 'R82201432', NULL),
(1, 10148, '0.5', NULL),
(2, 10148, 'Bug', NULL),
(7, 10147, '0', NULL),
(7, 10138, '0', NULL),
(7, 10139, '0', NULL),
(1, 10166, '0', NULL),
(3, 10166, '0', NULL),
(11, 4334, 'Recette', NULL),
(11, 10153, 'Recette', NULL),
(2, 10153, 'Bug', NULL),
(4, 10153, 'R82201663', NULL),
(1, 10153, '2', NULL),
(6, 10153, '', NULL),
(7, 10153, '0', NULL),
(5, 10153, '', NULL),
(8, 10153, '', NULL),
(11, 10154, 'Production', NULL),
(2, 10154, 'Bug', NULL),
(4, 10154, 'R82201894', NULL),
(1, 10154, '2', NULL),
(6, 10154, '', NULL),
(7, 10154, '1', NULL),
(5, 10154, '', NULL),
(8, 10154, '', NULL),
(7, 10136, '0', NULL),
(7, 10137, '0', NULL),
(7, 9471, '0', NULL),
(7, 9470, '0', NULL),
(2, 10166, 'Task', NULL),
(11, 8150, 'Production', NULL),
(11, 8148, 'Production', NULL),
(11, 6636, 'Production', NULL),
(11, 9674, '', NULL),
(11, 8147, 'Production', NULL),
(11, 8153, 'Production', NULL),
(11, 8297, 'Production', NULL),
(11, 10166, '', NULL),
(6, 10166, '', NULL),
(7, 10166, '0', NULL),
(5, 10166, '1463695200', NULL),
(8, 10166, '', NULL),
(8, 9471, '', NULL),
(7, 10146, '0', NULL),
(11, 9474, '', NULL),
(6, 9474, '', NULL),
(7, 9474, '', NULL),
(5, 9474, '', NULL),
(8, 9474, '', NULL),
(11, 10049, 'Production', NULL),
(3, 10049, '0', NULL),
(11, 8403, 'Production', NULL),
(11, 9463, 'Production', NULL),
(3, 9463, '0', NULL),
(6, 9463, '', NULL),
(7, 9463, '0', NULL),
(5, 9463, '', NULL),
(8, 9463, '', NULL),
(7, 9469, '0', NULL),
(8, 9469, '', NULL),
(11, 9471, '', NULL),
(6, 9471, '', NULL),
(11, 9470, '', NULL),
(6, 9470, '', NULL),
(5, 9470, '', NULL),
(8, 9470, '', NULL),
(5, 10144, '1463695200', NULL),
(11, 6723, 'Production', NULL),
(11, 10144, '', NULL),
(6, 10144, '', NULL),
(7, 10144, '0', NULL),
(8, 10144, '', NULL),
(11, 10192, '', NULL),
(2, 10192, 'Task', NULL),
(4, 10192, 'R82202356', NULL),
(3, 10192, '0', NULL),
(1, 10192, '5', NULL),
(6, 10192, '', NULL),
(7, 10192, '0', NULL),
(5, 10192, '', NULL),
(8, 10192, '', NULL),
(11, 10193, '', NULL),
(2, 10193, 'Task', NULL),
(4, 10193, 'R82202587', NULL),
(3, 10193, '25', NULL),
(1, 10193, '3', NULL),
(6, 10193, '', NULL),
(7, 10193, '0', NULL),
(5, 10193, '', NULL),
(8, 10193, '', NULL),
(11, 10145, '', NULL),
(6, 10145, '', NULL),
(7, 10145, '0', NULL),
(5, 10145, '', NULL),
(8, 10145, '', NULL),
(4, 10194, 'R82202818', NULL),
(1, 10194, '5', NULL),
(2, 10194, 'Bug', NULL),
(4, 10195, 'R82203049', NULL),
(1, 10195, '5', NULL),
(2, 10195, 'Bug', NULL),
(11, 8327, 'Production', NULL),
(11, 7391, 'Production', NULL),
(11, 7392, 'Production', NULL),
(11, 7395, 'Production', NULL),
(8, 11032, '', NULL),
(5, 11032, '', NULL),
(7, 11032, '0', NULL),
(6, 11032, '', NULL),
(1, 11032, '2', NULL),
(3, 11032, '0', NULL),
(4, 11032, '', NULL),
(2, 11032, 'Task', NULL),
(11, 11032, '', NULL),
(8, 13294, '', NULL),
(5, 13294, '', NULL),
(11, 10235, 'Recette', NULL),
(2, 10235, 'Bug', NULL),
(4, 10235, 'R82203511', NULL),
(1, 10235, '1', NULL),
(6, 10235, '', NULL),
(7, 10235, '0', NULL),
(5, 10235, '', NULL),
(8, 10235, '', NULL),
(11, 10236, 'Production', NULL),
(2, 10236, 'Bug', NULL),
(4, 10236, 'R82203742', NULL),
(1, 10236, '1', NULL),
(6, 10236, '', NULL),
(7, 10236, '0', NULL),
(5, 10236, '', NULL),
(8, 10236, '', NULL),
(7, 13254, '0', NULL),
(11, 10248, '', NULL),
(2, 10248, 'Task', NULL),
(4, 10248, 'R82203973', NULL),
(1, 10248, '', NULL),
(6, 10248, '', NULL),
(7, 10248, '0', NULL),
(5, 10248, '', NULL),
(8, 10248, '', NULL),
(11, 10280, '', NULL),
(2, 10280, 'Task', NULL),
(4, 10280, 'R82204204', NULL),
(1, 10280, '5', NULL),
(6, 10280, '', NULL),
(7, 10280, '3', NULL),
(5, 10280, '', NULL),
(8, 10280, '', NULL),
(11, 10290, 'Production', NULL),
(2, 10290, 'Bug', NULL),
(4, 10290, 'R82204435', NULL),
(1, 10290, '1', NULL),
(6, 10290, '', NULL),
(7, 10290, '0.5', NULL),
(5, 10290, '', NULL),
(8, 10290, '', NULL),
(7, 10195, '0', NULL),
(6, 10329, '', NULL),
(7, 10329, '0', NULL),
(5, 10329, '', NULL),
(8, 10329, '', NULL),
(11, 10330, '', NULL),
(2, 10330, 'Task', NULL),
(4, 10330, 'R82204666', NULL),
(1, 10330, '10', NULL),
(6, 10330, '', NULL),
(7, 10330, '0', NULL),
(5, 10330, '1463954400', NULL),
(8, 10330, '', NULL),
(11, 9452, 'Production', NULL),
(3, 10290, '0', NULL),
(11, 10359, 'Production', NULL),
(2, 10359, 'Bug', NULL),
(4, 10359, 'R82204897', NULL),
(3, 10359, '0', NULL),
(1, 10359, '2', NULL),
(6, 10359, '', NULL),
(7, 10359, '0', NULL),
(5, 10359, '', NULL),
(8, 10359, '1461708000', NULL),
(7, 13227, '0', NULL),
(6, 13227, '', NULL),
(1, 13227, '2', NULL),
(3, 13227, '0', NULL),
(4, 13227, 'R82205128', NULL),
(2, 13227, 'Bug', NULL),
(11, 13227, 'Recette', NULL),
(11, 10366, '', NULL),
(2, 10366, 'Task', NULL),
(4, 10366, 'R82205359', NULL),
(1, 10366, '5', NULL),
(6, 10366, '', NULL),
(7, 10366, '0', NULL),
(5, 10366, '', NULL),
(8, 10366, '', NULL),
(11, 10390, '', NULL),
(2, 10390, 'Task', NULL),
(4, 10390, 'R82205590', NULL),
(3, 10390, '0', NULL),
(1, 10390, '4', NULL),
(6, 10390, '', NULL),
(7, 10390, '0', NULL),
(5, 10390, '1462744800', NULL),
(8, 10390, '', NULL),
(11, 10391, '', NULL),
(2, 10391, 'Task', NULL),
(4, 10391, 'R82206052', NULL),
(3, 10391, '5', NULL),
(1, 10391, '5', NULL),
(6, 10391, '', NULL),
(7, 10391, '0', NULL),
(5, 10391, '1462312800', NULL),
(8, 10391, '', NULL),
(11, 10392, '', NULL),
(2, 10392, 'Task', NULL),
(4, 10392, 'R82206283', NULL),
(3, 10392, '9', NULL),
(1, 10392, '1', NULL),
(6, 10392, '', NULL),
(7, 10392, '0', NULL),
(5, 10392, '', NULL),
(8, 10392, '', NULL),
(11, 10393, '', NULL),
(2, 10393, 'Task', NULL),
(4, 10393, 'R82206514', NULL),
(3, 10393, '5', NULL),
(1, 10393, '3', NULL),
(6, 10393, '', NULL),
(7, 10393, '0', NULL),
(5, 10393, '1463090400', NULL),
(8, 10393, '', NULL),
(11, 10394, '', NULL),
(2, 10394, 'Task', NULL),
(4, 10394, 'R82206745', NULL),
(3, 10394, '3', NULL),
(1, 10394, '3', NULL),
(6, 10394, '', NULL),
(7, 10394, '0', NULL),
(5, 10394, '', NULL),
(8, 10394, '', NULL),
(11, 10395, '', NULL),
(2, 10395, 'Task', NULL),
(4, 10395, 'R82206976', NULL),
(3, 10395, '5', NULL),
(1, 10395, '3', NULL),
(6, 10395, '', NULL),
(7, 10395, '0', NULL),
(5, 10395, '1463090400', NULL),
(8, 10395, '', NULL),
(11, 10396, '', NULL),
(2, 10396, 'Task', NULL),
(4, 10396, 'R82207207', NULL),
(3, 10396, '5', NULL),
(1, 10396, '0', NULL),
(6, 10396, '', NULL),
(7, 10396, '0', NULL),
(5, 10396, '1463695200', NULL),
(8, 10396, '', NULL),
(11, 10397, '', NULL),
(2, 10397, 'Task', NULL),
(4, 10397, 'R82207438', NULL),
(3, 10397, '5', NULL),
(1, 10397, '4', NULL),
(6, 10397, '', NULL),
(7, 10397, '0', NULL),
(5, 10397, '1463695200', NULL),
(8, 10397, '', NULL),
(11, 10398, '', NULL),
(2, 10398, 'Task', NULL),
(4, 10398, 'R82207669', NULL),
(3, 10398, '6', NULL),
(1, 10398, '6', NULL),
(6, 10398, '', NULL),
(7, 10398, '0', NULL),
(5, 10398, '1493676000', NULL),
(8, 10398, '', NULL),
(11, 10399, '', NULL),
(2, 10399, 'Task', NULL),
(4, 10399, 'R82207900', NULL),
(3, 10399, '9', NULL),
(1, 10399, '7', NULL),
(6, 10399, '', NULL),
(7, 10399, '0', NULL),
(5, 10399, '1464300000', NULL),
(8, 10399, '', NULL),
(11, 10400, '', NULL),
(2, 10400, 'Task', NULL),
(4, 10400, 'R82208131', NULL),
(3, 10400, '64', NULL),
(1, 10400, '2', NULL),
(6, 10400, '', NULL),
(7, 10400, '0', NULL),
(5, 10400, '1472594400', NULL),
(8, 10400, '', NULL),
(4, 10401, 'R82208362', NULL),
(3, 10401, '16.5', NULL),
(1, 10401, '17', NULL),
(2, 10401, 'Task', NULL),
(5, 10136, '', NULL),
(8, 10136, '1461708000', NULL),
(3, 10248, '0', NULL),
(7, 10415, '0', NULL),
(6, 10415, '', NULL),
(1, 10415, '5', NULL),
(3, 10415, '0', NULL),
(4, 10415, 'R82209286', NULL),
(2, 10415, 'Task', NULL),
(11, 10415, '', NULL),
(11, 9683, '', NULL),
(11, 10406, '', NULL),
(2, 10406, 'Task', NULL),
(4, 10406, 'R82208824', NULL),
(3, 10406, '22', NULL),
(1, 10406, '0', NULL),
(6, 10406, '', NULL),
(7, 10406, '0', NULL),
(5, 10406, '1491861600', NULL),
(8, 10406, '', NULL),
(11, 10413, '', NULL),
(2, 10413, 'Task', NULL),
(4, 10413, 'R82209055', NULL),
(1, 10413, '5', NULL),
(6, 10413, '', NULL),
(7, 10413, '0', NULL);
INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(5, 10413, '1463954400', NULL),
(8, 10413, '', NULL),
(11, 9472, '', NULL),
(6, 9472, '', NULL),
(5, 9472, '1463954400', NULL),
(8, 9472, '', NULL),
(7, 10401, '0', NULL),
(7, 9468, '0', NULL),
(11, 10414, '', NULL),
(2, 10414, 'Bug', NULL),
(4, 10414, 'R82209517', NULL),
(3, 10414, '0', NULL),
(1, 10414, '1', NULL),
(6, 10414, '', NULL),
(7, 10414, '0', NULL),
(5, 10414, '', NULL),
(8, 10414, '', NULL),
(5, 10415, '1462831200', NULL),
(8, 10415, '', NULL),
(11, 10401, '', NULL),
(6, 10401, '', NULL),
(5, 10401, '1463695200', NULL),
(8, 10401, '', NULL),
(3, 10422, '0', NULL),
(1, 10422, '2', NULL),
(6, 10422, '', NULL),
(7, 10422, '', NULL),
(5, 10422, '', NULL),
(8, 10422, '', NULL),
(2, 10422, 'Task', NULL),
(4, 10422, '', NULL),
(11, 10423, '', NULL),
(2, 10423, 'Task', NULL),
(4, 10423, 'R82209748', NULL),
(3, 10423, '4', NULL),
(1, 10423, '10', NULL),
(6, 10423, '', NULL),
(7, 10423, '0', NULL),
(5, 10423, '1467064800', NULL),
(8, 10423, '', NULL),
(7, 10148, '0', NULL),
(11, 8395, '', NULL),
(11, 10424, '', NULL),
(2, 10424, 'Task', NULL),
(4, 10424, '', NULL),
(3, 10424, '37', NULL),
(1, 10424, '0', NULL),
(6, 10424, '', NULL),
(7, 10424, '0', NULL),
(5, 10424, '', NULL),
(8, 10424, '', NULL),
(11, 8845, '', NULL),
(11, 10425, '', NULL),
(2, 10425, 'Task', NULL),
(4, 10425, '', NULL),
(3, 10425, '30.8', NULL),
(1, 10425, '', NULL),
(6, 10425, '', NULL),
(7, 10425, '0', NULL),
(5, 10425, '', NULL),
(8, 10425, '', NULL),
(11, 10426, 'Production', NULL),
(2, 10426, 'Bug', NULL),
(4, 10426, 'R82210441', NULL),
(3, 10426, '0', NULL),
(1, 10426, '2', NULL),
(6, 10426, '', NULL),
(7, 10426, '0', NULL),
(5, 10426, '', NULL),
(8, 10426, '', NULL),
(11, 10427, '', NULL),
(2, 10427, 'Task', NULL),
(4, 10427, 'R82210672', NULL),
(1, 10427, '5', NULL),
(6, 10427, '', NULL),
(7, 10427, '0', NULL),
(5, 10427, '1463954400', NULL),
(8, 10427, '', NULL),
(8, 10437, '', NULL),
(5, 10437, '', NULL),
(7, 10437, '0', NULL),
(6, 10437, '', NULL),
(1, 10437, '1', NULL),
(4, 10437, 'R82210903', NULL),
(2, 10437, 'Bug', NULL),
(11, 10437, 'Recette', NULL),
(11, 8857, 'Recette', NULL),
(2, 10488, 'Task', NULL),
(11, 10488, '', NULL),
(4, 10488, 'R82211134', NULL),
(1, 10488, '1', NULL),
(6, 10488, '', NULL),
(7, 10488, '0', NULL),
(5, 10488, '1462312800', NULL),
(8, 10488, '', NULL),
(11, 10489, '', NULL),
(2, 10489, 'Task', NULL),
(4, 10489, 'R82211365', NULL),
(1, 10489, '2', NULL),
(6, 10489, '', NULL),
(7, 10489, '0', NULL),
(5, 10489, '1462312800', NULL),
(8, 10489, '', NULL),
(7, 13294, '0', NULL),
(6, 13294, '', NULL),
(1, 13294, '2', NULL),
(5, 10598, '', NULL),
(7, 10598, '0', NULL),
(6, 10598, '', NULL),
(1, 10598, '6', NULL),
(3, 10598, '10', NULL),
(4, 10598, 'R82208593', NULL),
(2, 10598, 'Task', NULL),
(11, 10598, '', NULL),
(8, 10598, '', NULL),
(11, 9633, '', NULL),
(11, 10611, '', NULL),
(2, 10611, 'Task', NULL),
(4, 10611, 'R82211827', NULL),
(1, 10611, '7', NULL),
(6, 10611, '', NULL),
(7, 10611, '0', NULL),
(5, 10611, '', NULL),
(8, 10611, '', NULL),
(3, 9631, '0', NULL),
(3, 6748, '0', NULL),
(4, 10617, 'R82212058', NULL),
(3, 10617, '12', NULL),
(1, 10617, '2', NULL),
(2, 10617, 'Task', NULL),
(11, 4289, 'Production', NULL),
(4, 10621, 'R82212289', NULL),
(1, 10621, '2', NULL),
(2, 10621, 'Task', NULL),
(4, 10622, 'R82212520', NULL),
(1, 10622, '2', NULL),
(2, 10622, 'Task', NULL),
(11, 10623, '', NULL),
(2, 10623, 'Task', NULL),
(4, 10623, 'R82205821', NULL),
(3, 10623, '0', NULL),
(1, 10623, '2', NULL),
(6, 10623, '', NULL),
(7, 10623, '0', NULL),
(5, 10623, '', NULL),
(8, 10623, '', NULL),
(11, 10617, '', NULL),
(6, 10617, '', NULL),
(7, 10617, '0', NULL),
(5, 10617, '', NULL),
(8, 10617, '', NULL),
(11, 10625, 'Recette', NULL),
(2, 10625, 'Bug', NULL),
(4, 10625, 'R82212751', NULL),
(1, 10625, '2', NULL),
(6, 10625, '', NULL),
(7, 10625, '0', NULL),
(5, 10625, '', NULL),
(8, 10625, '', NULL),
(11, 10651, 'Recette', NULL),
(2, 10651, 'Bug', NULL),
(4, 10651, 'R82212982', NULL),
(1, 10651, '2', NULL),
(6, 10651, '', NULL),
(7, 10651, '0', NULL),
(5, 10651, '', NULL),
(8, 10651, '', NULL),
(11, 10659, '', NULL),
(2, 10659, 'Task', NULL),
(4, 10659, 'R82213213', NULL),
(1, 10659, '6', NULL),
(6, 10659, '', NULL),
(7, 10659, '0', NULL),
(5, 10659, '', NULL),
(8, 10659, '', NULL),
(3, 12845, '3', NULL),
(4, 12845, 'R82213444', NULL),
(2, 12845, 'Task', NULL),
(11, 12845, '', NULL),
(3, 11007, '7', NULL),
(3, 10280, '8', NULL),
(3, 10659, '3.9', NULL),
(11, 8801, '', NULL),
(11, 8621, '', NULL),
(3, 19115, '2.5', NULL),
(11, 8404, 'Production', NULL),
(11, 8389, 'Production', NULL),
(11, 8390, 'Production', NULL),
(11, 8557, 'Production', NULL),
(11, 8562, 'Production', NULL),
(11, 8563, 'Production', NULL),
(11, 8361, 'Production', NULL),
(11, 8362, 'Recette', NULL),
(11, 8364, 'Recette', NULL),
(11, 8301, 'Recette', NULL),
(11, 8305, 'Recette', NULL),
(11, 8304, 'Recette', NULL),
(11, 8559, 'Recette', NULL),
(11, 8554, 'Recette', NULL),
(11, 8303, 'Recette', NULL),
(11, 8302, 'Recette', NULL),
(11, 8300, 'Recette', NULL),
(11, 8344, 'Recette', NULL),
(11, 8407, 'Recette', NULL),
(11, 8406, 'Recette', NULL),
(11, 8405, 'Recette', NULL),
(11, 8382, 'Recette', NULL),
(11, 8343, 'Recette', NULL),
(11, 8342, 'Recette', NULL),
(11, 10737, '', NULL),
(2, 10737, 'Task', NULL),
(4, 10737, 'R82213906', NULL),
(3, 10737, '1', NULL),
(1, 10737, '2.5', NULL),
(6, 10737, '', NULL),
(7, 10737, '0', NULL),
(5, 10737, '', NULL),
(8, 10737, '', NULL),
(11, 10738, '', NULL),
(2, 10738, 'Task', NULL),
(4, 10738, 'R82214137', NULL),
(3, 10738, '', NULL),
(1, 10738, '2', NULL),
(6, 10738, '', NULL),
(7, 10738, '0', NULL),
(5, 10738, '', NULL),
(8, 10738, '', NULL),
(11, 9444, '', NULL),
(11, 8155, '', NULL),
(11, 10740, '', NULL),
(2, 10740, 'Task', NULL),
(4, 10740, 'R82214368', NULL),
(3, 10740, '', NULL),
(1, 10740, '2', NULL),
(6, 10740, '', NULL),
(7, 10740, '0', NULL),
(5, 10740, '', NULL),
(8, 10740, '', NULL),
(11, 10741, '', NULL),
(2, 10741, 'Task', NULL),
(4, 10741, 'R82214599', NULL),
(3, 10741, '', NULL),
(1, 10741, '5', NULL),
(6, 10741, '', NULL),
(7, 10741, '0', NULL),
(5, 10741, '', NULL),
(8, 10741, '', NULL),
(11, 10742, '', NULL),
(2, 10742, 'Task', NULL),
(4, 10742, 'R82214830', NULL),
(3, 10742, '', NULL),
(1, 10742, '6', NULL),
(6, 10742, '', NULL),
(7, 10742, '0', NULL),
(5, 10742, '', NULL),
(8, 10742, '', NULL),
(11, 10743, '', NULL),
(2, 10743, 'Task', NULL),
(4, 10743, 'R82215061', NULL),
(3, 10743, '', NULL),
(1, 10743, '6', NULL),
(6, 10743, '', NULL),
(7, 10743, '0', NULL),
(5, 10743, '1499378400', NULL),
(8, 10743, '', NULL),
(11, 10744, '', NULL),
(2, 10744, 'Task', NULL),
(4, 10744, 'R82215292', NULL),
(3, 10744, '5', NULL),
(1, 10744, '5', NULL),
(6, 10744, '', NULL),
(7, 10744, '0', NULL),
(5, 10744, '', NULL),
(8, 10744, '', NULL),
(11, 10745, '', NULL),
(2, 10745, 'Task', NULL),
(4, 10745, 'R82215523', NULL),
(3, 10745, '', NULL),
(1, 10745, '13', NULL),
(6, 10745, '', NULL),
(7, 10745, '0', NULL),
(5, 10745, '1499378400', NULL),
(8, 10745, '', NULL),
(11, 10746, '', NULL),
(2, 10746, 'Task', NULL),
(4, 10746, 'R82215754', NULL),
(3, 10746, '50', NULL),
(1, 10746, '0', NULL),
(6, 10746, '', NULL),
(7, 10746, '0', NULL),
(5, 10746, '1499378400', NULL),
(8, 10746, '', NULL),
(11, 10749, '', NULL),
(2, 10749, 'Task', NULL),
(4, 10749, 'R82215985', NULL),
(3, 10749, '0', NULL),
(1, 10749, '30', NULL),
(6, 10749, '', NULL),
(7, 10749, '0', NULL),
(5, 10749, '1496613600', NULL),
(8, 10749, '', NULL),
(11, 10770, '', NULL),
(2, 10770, 'Task', NULL),
(4, 10770, 'R82216216', NULL),
(3, 10770, '3', NULL),
(1, 10770, '5', NULL),
(6, 10770, '', NULL),
(7, 10770, '0', NULL),
(5, 10770, '', NULL),
(8, 10770, '', NULL),
(11, 10785, 'Production', NULL),
(2, 10785, 'Bug', NULL),
(4, 10785, 'R82216447', NULL),
(3, 10785, '0', NULL),
(1, 10785, '2', NULL),
(6, 10785, '', NULL),
(7, 10785, '0', NULL),
(5, 10785, '', NULL),
(8, 10785, '', NULL),
(11, 8154, 'Production', NULL),
(11, 8085, 'Production', NULL),
(11, 8149, 'Recette', NULL),
(11, 8060, 'Recette', NULL),
(11, 8299, 'Recette', NULL),
(11, 8298, 'Recette', NULL),
(11, 7985, 'Recette', NULL),
(11, 8179, 'Recette', NULL),
(11, 8178, 'Recette', NULL),
(11, 10786, 'Recette', NULL),
(2, 10786, 'Bug', NULL),
(4, 10786, 'R82202125', NULL),
(1, 10786, '2', NULL),
(6, 10786, '', NULL),
(7, 10786, '0', NULL),
(5, 10786, '', NULL),
(8, 10786, '', NULL),
(11, 10088, 'Production', NULL),
(11, 9468, 'Production', NULL),
(11, 4939, 'Production', NULL),
(11, 9675, 'Production', NULL),
(11, 9459, 'Production', NULL),
(11, 10195, 'Production', NULL),
(11, 4152, 'Production', NULL),
(11, 10075, 'Production', NULL),
(11, 4278, 'Production', NULL),
(11, 9563, 'Production', NULL),
(11, 9671, 'Production', NULL),
(11, 9672, 'Production', NULL),
(11, 8798, 'Production', NULL),
(11, 8558, 'Recette', NULL),
(11, 8835, 'Production', NULL),
(11, 8951, 'Production', NULL),
(11, 6059, 'Production', NULL),
(11, 9309, 'Production', NULL),
(11, 8711, 'Production', NULL),
(11, 9308, 'Production', NULL),
(11, 7645, 'Production', NULL),
(11, 9451, 'Production', NULL),
(11, 5714, 'Production', NULL),
(11, 8806, 'Production', NULL),
(11, 8927, 'Production', NULL),
(11, 8928, 'Production', NULL),
(11, 8794, 'Production', NULL),
(11, 9303, 'Production', NULL),
(11, 8836, 'Production', NULL),
(11, 8929, 'Production', NULL),
(11, 8560, 'Production', NULL),
(11, 3732, 'Recette', NULL),
(11, 10147, 'Recette', NULL),
(11, 10137, 'Recette', NULL),
(11, 10136, 'Recette', NULL),
(11, 10139, 'Recette', NULL),
(11, 4335, 'Recette', NULL),
(11, 6137, 'Recette', NULL),
(11, 10146, 'Recette', NULL),
(11, 10138, 'Recette', NULL),
(11, 10093, 'Recette', NULL),
(11, 9306, 'Recette', NULL),
(11, 9516, 'Recette', NULL),
(11, 9601, 'Recette', NULL),
(11, 9496, 'Recette', NULL),
(11, 9512, 'Recette', NULL),
(11, 9513, 'Recette', NULL),
(11, 9511, 'Recette', NULL),
(11, 9514, 'Recette', NULL),
(11, 9510, 'Recette', NULL),
(11, 9495, 'Recette', NULL),
(11, 9494, 'Recette', NULL),
(11, 9071, 'Recette', NULL),
(11, 9311, 'Recette', NULL),
(11, 9310, 'Recette', NULL),
(11, 8627, 'Recette', NULL),
(11, 5713, 'Recette', NULL),
(11, 8450, 'Recette', NULL),
(11, 9236, 'Recette', NULL),
(11, 9241, 'Recette', NULL),
(11, 8950, 'Recette', NULL),
(11, 9072, 'Recette', NULL),
(11, 9201, 'Recette', NULL),
(11, 9279, 'Recette', NULL),
(11, 9202, 'Recette', NULL),
(11, 8904, 'Recette', NULL),
(11, 9070, 'Recette', NULL),
(11, 8643, 'Recette', NULL),
(11, 8940, 'Recette', NULL),
(11, 8930, 'Recette', NULL),
(11, 8925, 'Recette', NULL),
(11, 8837, 'Recette', NULL),
(11, 8642, 'Recette', NULL),
(11, 8859, 'Recette', NULL),
(11, 8858, 'Recette', NULL),
(11, 8834, 'Recette', NULL),
(11, 8844, 'Recette', NULL),
(11, 7796, 'Recette', NULL),
(4, 10789, 'R82216678', NULL),
(1, 10789, '0.5', NULL),
(2, 10789, 'Bug', NULL),
(4, 10790, 'R82216909', NULL),
(1, 10790, '0.1', NULL),
(2, 10790, 'Bug', NULL),
(4, 10791, 'R82217140', NULL),
(1, 10791, '2', NULL),
(2, 10791, 'Bug', NULL),
(11, 10789, 'Recette', NULL),
(3, 10789, '0', NULL),
(6, 10789, '', NULL),
(7, 10789, '0', NULL),
(5, 10789, '', NULL),
(8, 10789, '', NULL),
(11, 10790, 'Recette', NULL),
(3, 10790, '0', NULL),
(6, 10790, '', NULL),
(7, 10790, '0', NULL),
(5, 10790, '', NULL),
(8, 10790, '', NULL),
(6, 10792, '', NULL),
(7, 10792, '', NULL),
(5, 10792, '', NULL),
(8, 10792, '', NULL),
(11, 8838, '', NULL),
(11, 8839, '', NULL),
(3, 10858, '0', NULL),
(1, 10858, '2', NULL),
(6, 10858, '', NULL),
(7, 10858, '', NULL),
(5, 10858, '', NULL),
(8, 10858, '', NULL),
(2, 10858, 'Task', NULL),
(4, 10858, '', NULL),
(11, 10869, 'Recette', NULL),
(2, 10869, 'Bug', NULL),
(4, 10869, 'R82217371', NULL),
(1, 10869, '2', NULL),
(6, 10869, '', NULL),
(7, 10869, '0', NULL),
(5, 10869, '', NULL),
(8, 10869, '', NULL),
(4, 10870, 'R82217602', NULL),
(1, 10870, '2', NULL),
(2, 10870, 'Bug', NULL),
(4, 10871, 'R82217833', NULL),
(1, 10871, '2', NULL),
(2, 10871, 'Bug', NULL),
(4, 10872, 'R82218064', NULL),
(1, 10872, '2', NULL),
(2, 10872, 'Bug', NULL),
(11, 10871, 'Production', NULL),
(3, 10871, '0', NULL),
(6, 10871, '', NULL),
(7, 10871, '0', NULL),
(5, 10871, '', NULL),
(8, 10871, '', NULL),
(11, 10872, 'Recette', NULL),
(3, 10872, '0', NULL),
(6, 10872, '', NULL),
(7, 10872, '0', NULL),
(5, 10872, '', NULL),
(8, 10872, '', NULL),
(11, 10870, 'Production', NULL),
(3, 10870, '0', NULL),
(6, 10870, '', NULL),
(7, 10870, '0', NULL),
(5, 10870, '', NULL),
(8, 10870, '', NULL),
(11, 10873, 'Recette', NULL),
(2, 10873, 'Bug', NULL),
(4, 10873, 'R82218295', NULL),
(3, 10873, '0', NULL),
(1, 10873, '2', NULL),
(6, 10873, '', NULL),
(7, 10873, '0', NULL),
(5, 10873, '', NULL),
(8, 10873, '', NULL),
(11, 10791, 'Production', NULL),
(3, 10791, '0', NULL),
(6, 10791, '', NULL),
(7, 10791, '0', NULL),
(5, 10791, '', NULL),
(8, 10791, '', NULL),
(11, 9344, '', NULL),
(3, 9344, '', NULL),
(4, 10895, 'R82218526', NULL),
(1, 10895, '2', NULL),
(2, 10895, 'Bug', NULL),
(4, 10896, 'R82218757', NULL),
(1, 10896, '2', NULL),
(2, 10896, 'Bug', NULL),
(4, 10897, 'R82218988', NULL),
(1, 10897, '2', NULL),
(2, 10897, 'Bug', NULL),
(11, 10895, 'Recette', NULL),
(11, 10896, 'Recette', NULL),
(11, 10897, 'Recette', NULL),
(11, 10046, '', NULL),
(7, 9466, '0', NULL),
(3, 10427, '', NULL),
(11, 10932, 'Recette', NULL),
(2, 10932, 'Bug', NULL),
(4, 10932, 'R82219219', NULL),
(3, 10932, '0', NULL),
(1, 10932, '1', NULL),
(6, 10932, '', NULL),
(7, 10932, '0', NULL),
(5, 10932, '', NULL),
(8, 10932, '', NULL),
(11, 10952, '', NULL),
(2, 10952, 'Task', NULL),
(4, 10952, 'R82219450', NULL),
(1, 10952, '2', NULL),
(6, 10952, '', NULL),
(7, 10952, '0', NULL),
(5, 10952, '', NULL),
(8, 10952, '', NULL),
(7, 10895, '0', NULL),
(7, 10896, '0', NULL),
(7, 10897, '0', NULL),
(11, 10995, 'Recette', NULL),
(2, 10995, 'Bug', NULL),
(4, 10995, 'R82219681', NULL),
(3, 10995, '0', NULL),
(1, 10995, '1', NULL),
(6, 10995, '', NULL),
(7, 10995, '0', NULL),
(5, 10995, '', NULL),
(8, 10995, '', NULL),
(11, 11007, 'Recette', NULL),
(11, 9632, '', NULL),
(11, 10087, '', NULL),
(2, 11007, 'Task', NULL),
(4, 11007, 'R82219912', NULL),
(1, 11007, '7', NULL),
(6, 11007, '', NULL),
(7, 11007, '0', NULL),
(5, 11007, '', NULL),
(8, 11007, '', NULL),
(11, 8949, '', NULL),
(3, 8949, '', NULL),
(11, 9951, '', NULL),
(3, 9951, '', NULL),
(11, 6967, '', NULL),
(3, 6967, '', NULL),
(11, 8386, '', NULL),
(11, 5536, '', NULL),
(3, 5536, '', NULL),
(11, 8387, '', NULL),
(11, 3562, '', NULL),
(11, 11019, 'Recette', NULL),
(2, 11019, 'Bug', NULL),
(4, 11019, 'R82220143', NULL),
(3, 11019, '0', NULL),
(1, 11019, '2', NULL),
(6, 11019, '', NULL),
(7, 11019, '0', NULL),
(5, 11019, '1465250400', NULL),
(8, 11019, '', NULL),
(11, 11020, 'Recette', NULL),
(2, 11020, 'Bug', NULL),
(4, 11020, 'R82220374', NULL),
(3, 11020, '0', NULL),
(1, 11020, '2', NULL),
(6, 11020, '', NULL),
(7, 11020, '0', NULL),
(5, 11020, '', NULL),
(8, 11020, '', NULL),
(11, 11111, 'Recette', NULL),
(2, 11111, 'Bug', NULL),
(4, 11111, 'R82220605', NULL),
(3, 11111, '0', NULL),
(1, 11111, '2', NULL),
(6, 11111, '', NULL),
(7, 11111, '0', NULL),
(5, 11111, '1465250400', NULL),
(8, 11111, '', NULL),
(11, 11112, '', NULL),
(2, 11112, 'Task', NULL),
(4, 11112, 'R82220836', NULL),
(3, 11112, '', NULL),
(1, 11112, '7', NULL),
(6, 11112, '', NULL),
(7, 11112, '0', NULL),
(5, 11112, '', NULL),
(8, 11112, '', NULL),
(11, 11114, '', NULL),
(2, 11114, 'Task', NULL),
(4, 11114, 'R82221067', NULL),
(3, 11114, '5', NULL),
(1, 11114, '3', NULL),
(6, 11114, '', NULL),
(7, 11114, '0', NULL),
(5, 11114, '1465509600', NULL),
(8, 11114, '', NULL),
(6, 9479, '', NULL),
(7, 9479, '', NULL),
(5, 9479, '', NULL),
(8, 9479, '', NULL),
(11, 11115, '', NULL),
(2, 11115, 'Task', NULL),
(4, 11115, 'R8249203', NULL),
(1, 11115, '2', NULL),
(6, 11115, '', NULL),
(7, 11115, '0', NULL),
(5, 11115, '', NULL),
(8, 11115, '', NULL),
(11, 11116, '', NULL),
(2, 11116, 'Task', NULL),
(4, 11116, '', NULL),
(1, 11116, '5', NULL),
(6, 11116, '', NULL),
(7, 11116, '2', NULL),
(5, 11116, '', NULL),
(8, 11116, '', NULL),
(11, 7495, 'Recette', NULL),
(4, 11132, 'R82221298', NULL),
(3, 11132, '4', NULL),
(1, 11132, '2', NULL),
(2, 11132, 'Task', NULL),
(4, 11133, 'R82221529', NULL),
(3, 11133, '2', NULL),
(1, 11133, '2', NULL),
(2, 11133, 'Task', NULL),
(3, 13294, '0', NULL),
(4, 13294, 'R82211596', NULL),
(2, 13294, 'Bug', NULL),
(11, 13294, 'Production', NULL),
(11, 11178, '', NULL),
(2, 11178, 'Task', NULL),
(4, 11178, 'R82221760', NULL),
(3, 11178, '80', NULL),
(1, 11178, '40', NULL),
(6, 11178, '', NULL),
(7, 11178, '1', NULL),
(5, 11178, '1472594400', NULL),
(8, 11178, '', NULL),
(11, 12181, 'Production', NULL),
(3, 12179, '0', NULL),
(8, 12058, '', NULL),
(5, 12058, '', NULL),
(7, 12058, '0', NULL),
(6, 12058, '', NULL),
(3, 12058, '15', NULL),
(11, 12058, '', NULL),
(4, 12157, 'R82223377', NULL),
(2, 12157, 'Bug', NULL),
(11, 12157, 'Recette', NULL),
(3, 12113, '3', NULL),
(4, 12113, 'R82226380', NULL),
(2, 12113, 'Task', NULL),
(11, 12113, '', NULL),
(11, 11661, '', NULL),
(2, 11661, 'Task', NULL),
(4, 11661, 'R82222915', NULL),
(1, 11661, '5', NULL),
(6, 11661, '', NULL),
(7, 11661, '0', NULL),
(5, 11661, '', NULL),
(8, 11661, '', NULL),
(11, 11664, 'Production', NULL),
(2, 11664, 'Bug', NULL),
(4, 11664, 'R82223146', NULL),
(1, 11664, '2', NULL),
(6, 11664, '', NULL),
(7, 11664, '0', NULL),
(5, 11664, '', NULL),
(8, 11664, '', NULL),
(3, 11664, '0', NULL),
(8, 12164, '', NULL),
(5, 12164, '', NULL),
(7, 12164, '', NULL),
(6, 12164, '', NULL),
(6, 12156, '', NULL),
(1, 12156, '2', NULL),
(4, 12156, 'R82224301', NULL),
(2, 12156, 'Bug', NULL),
(6, 12112, '', NULL),
(1, 12112, '3', NULL),
(3, 12112, '5', NULL),
(4, 12112, 'R82224763', NULL),
(11, 12164, 'Recette', NULL),
(8, 12163, '', NULL),
(5, 12163, '', NULL),
(5, 12155, '', NULL),
(7, 12155, '0', NULL),
(6, 12155, '', NULL),
(1, 12155, '2', NULL),
(4, 12163, '', NULL),
(2, 12163, 'Bug', NULL),
(11, 12163, '', NULL),
(11, 12155, 'Recette', NULL),
(8, 12154, '', NULL),
(5, 12154, '', NULL),
(7, 12154, '1', NULL),
(5, 12111, '', NULL),
(7, 12111, '0', NULL),
(6, 12111, '', NULL),
(1, 12111, '1', NULL),
(2, 12154, 'Bug', NULL),
(11, 12154, 'Recette', NULL),
(8, 12153, '', NULL),
(2, 12110, 'Bug', NULL),
(11, 12110, 'Production', NULL),
(8, 12109, '', NULL),
(1, 12153, '2', NULL),
(4, 12153, 'R82224994', NULL),
(2, 12153, 'Bug', NULL),
(11, 12153, 'Recette', NULL),
(3, 12109, '0', NULL),
(4, 12109, 'R82222453', NULL),
(2, 12109, 'Bug', NULL),
(2, 12158, 'Bug', NULL),
(11, 12158, 'Recette', NULL),
(8, 12157, '', NULL),
(7, 12152, '', NULL),
(6, 12152, '', NULL),
(1, 12152, '2', NULL),
(4, 12152, '', NULL),
(5, 12161, '', NULL),
(7, 12161, '', NULL),
(6, 12161, '', NULL),
(1, 12161, '2', NULL),
(4, 12137, 'R82225687', NULL),
(2, 12137, 'Bug', NULL),
(11, 12137, 'Production', NULL),
(7, 12158, '0', NULL),
(6, 12158, '', NULL),
(1, 12158, '2', NULL),
(4, 12158, 'R82222684', NULL),
(8, 12138, '', NULL),
(5, 12138, '', NULL),
(7, 12057, '0', NULL),
(8, 12137, '', NULL),
(3, 11115, '', NULL),
(11, 12151, 'Recette', NULL),
(1, 12151, '2', NULL),
(4, 12151, 'R82224070', NULL),
(2, 12151, 'Bug', NULL),
(5, 12151, '', NULL),
(7, 12151, '0', NULL),
(6, 12151, '', NULL),
(11, 12152, 'Recette', NULL),
(8, 12151, '', NULL),
(2, 12152, 'Bug', NULL),
(7, 12061, '0', NULL),
(8, 12159, '', NULL),
(5, 12159, '', NULL),
(7, 12159, '0', NULL),
(6, 12159, '', NULL),
(2, 12114, 'Bug', NULL),
(11, 12114, 'Recette', NULL),
(8, 12113, '', NULL),
(11, 12159, 'Recette', NULL),
(8, 12158, '', NULL),
(5, 12158, '', NULL),
(8, 12114, '', NULL),
(5, 12114, '', NULL),
(7, 12114, '0', NULL),
(8, 12160, '', NULL),
(5, 12160, '', NULL),
(7, 12160, '0', NULL),
(6, 12160, '', NULL),
(11, 12111, '', NULL),
(8, 12110, '', NULL),
(5, 12110, '', NULL),
(7, 12110, '0', NULL),
(5, 12181, '', NULL),
(7, 12181, '0', NULL),
(6, 12181, '', NULL),
(1, 12181, '2', NULL),
(4, 12179, '', NULL),
(2, 12179, 'Task', NULL),
(8, 12179, '', NULL),
(11, 11132, '', NULL),
(6, 11132, '', NULL),
(7, 11132, '0', NULL),
(5, 11132, '1466114400', NULL),
(8, 11132, '', NULL),
(11, 11133, '', NULL),
(6, 11133, '', NULL),
(7, 11133, '0', NULL),
(5, 11133, '1468533600', NULL),
(8, 11133, '', NULL),
(11, 10041, '', NULL),
(3, 11661, '', NULL),
(3, 10625, '0', NULL),
(5, 12113, '', NULL),
(7, 12113, '0', NULL),
(6, 12113, '', NULL),
(1, 12113, '1', NULL),
(1, 12159, '2', NULL),
(4, 12159, 'R82225918', NULL),
(2, 12159, 'Bug', NULL),
(6, 12114, '', NULL),
(1, 12114, '2', NULL),
(3, 12114, '0', NULL),
(4, 12114, 'R82223608', NULL),
(3, 12181, '0', NULL),
(4, 12181, 'R82228921', NULL),
(2, 12181, 'Bug', NULL),
(1, 12160, '2', NULL),
(4, 12160, 'R82224532', NULL),
(2, 12160, 'Bug', NULL),
(11, 12160, 'Recette', NULL),
(4, 12161, '', NULL),
(2, 12161, 'Bug', NULL),
(11, 12161, 'Recette', NULL),
(8, 12161, '', NULL),
(7, 12163, '', NULL),
(6, 12163, '', NULL),
(1, 12163, '2', NULL),
(1, 12164, '2', NULL),
(4, 12164, '', NULL),
(2, 12164, 'Bug', NULL),
(5, 12137, '', NULL),
(7, 12137, '0', NULL),
(6, 12137, '', NULL),
(1, 12137, '5', NULL),
(5, 12179, '', NULL),
(7, 12179, '', NULL),
(6, 12179, '', NULL),
(1, 12179, '2', NULL),
(8, 12152, '', NULL),
(5, 12152, '', NULL),
(5, 12153, '', NULL),
(7, 12153, '0', NULL),
(6, 12153, '', NULL),
(6, 12154, '', NULL),
(1, 12154, '2', NULL),
(4, 12154, 'R82226149', NULL),
(4, 12155, '', NULL),
(2, 12155, 'Bug', NULL),
(11, 12156, 'Recette', NULL),
(8, 12155, '', NULL),
(8, 12156, '', NULL),
(5, 12156, '', NULL),
(7, 12156, '0', NULL),
(6, 12110, '', NULL),
(1, 12110, '2', NULL),
(3, 12110, '0', NULL),
(4, 12110, 'R82222222', NULL),
(11, 12109, 'Production', NULL),
(5, 12109, '', NULL),
(7, 12109, '0', NULL),
(6, 12109, '', NULL),
(1, 12109, '2', NULL),
(3, 12111, '3', NULL),
(4, 12111, 'R82225456', NULL),
(2, 12111, 'Task', NULL),
(2, 12112, 'Task', NULL),
(11, 12112, '', NULL),
(8, 12111, '', NULL),
(8, 12112, '', NULL),
(5, 12112, '', NULL),
(7, 12112, '0', NULL),
(11, 11975, 'Recette', NULL),
(2, 11975, 'Bug', NULL),
(4, 11975, 'R82226842', NULL),
(3, 11975, '0', NULL),
(1, 11975, '2', NULL),
(6, 11975, '', NULL),
(7, 11975, '0', NULL),
(5, 11975, '', NULL),
(8, 11975, '', NULL),
(11, 9460, 'Recette', NULL),
(3, 9460, '0', NULL),
(6, 9460, '', NULL),
(5, 9460, '', NULL),
(3, 10611, '7', NULL),
(11, 10621, '', NULL),
(3, 10621, '10.5', NULL),
(6, 10621, '', NULL),
(7, 10621, '', NULL),
(5, 10621, '', NULL),
(8, 10621, '', NULL),
(11, 10622, '', NULL),
(3, 10622, '4', NULL),
(6, 10622, '', NULL),
(7, 10622, '0', NULL),
(5, 10622, '', NULL),
(8, 10622, '', NULL),
(7, 10165, '0', NULL),
(5, 10165, '', NULL),
(11, 10194, 'Production', NULL),
(3, 10194, '0', NULL),
(6, 10194, '', NULL),
(7, 10194, '0', NULL),
(5, 10194, '', NULL),
(8, 10194, '', NULL),
(11, 9466, 'Production', NULL),
(3, 9466, '0', NULL),
(6, 9466, '', NULL),
(5, 9466, '', NULL),
(8, 9466, '', NULL),
(11, 9467, 'Production', NULL),
(3, 9467, '0', NULL),
(6, 9467, '', NULL),
(5, 9467, '', NULL),
(11, 9469, 'Production', NULL),
(3, 9469, '0', NULL),
(6, 9469, '', NULL),
(5, 9469, '', NULL),
(11, 9464, 'Production', NULL),
(3, 9464, '0', NULL),
(6, 9464, '', NULL),
(5, 9464, '', NULL),
(11, 12059, 'Production', NULL),
(4, 12057, 'R82227304', NULL),
(3, 12057, '5', NULL),
(1, 12057, '2', NULL),
(2, 12057, 'Task', NULL),
(4, 12058, 'R82227535', NULL),
(1, 12058, '5', NULL),
(2, 12058, 'Task', NULL),
(4, 12059, 'R82227766', NULL),
(1, 12059, '2', NULL),
(2, 12059, 'Bug', NULL),
(4, 12060, 'R82227997', NULL),
(1, 12060, '2', NULL),
(2, 12060, 'Bug', NULL),
(4, 12061, 'R82228228', NULL),
(1, 12061, '2', NULL),
(2, 12061, 'Bug', NULL),
(11, 12060, 'Production', NULL),
(3, 12060, '0', NULL),
(6, 12060, '', NULL),
(7, 12060, '0', NULL),
(5, 12060, '', NULL),
(8, 12060, '1465509600', NULL),
(11, 4324, '', NULL),
(5, 12157, '', NULL),
(7, 12157, '0', NULL),
(6, 12157, '', NULL),
(1, 12157, '2', NULL),
(3, 12059, '0', NULL),
(6, 12059, '', NULL),
(7, 12059, '0', NULL),
(5, 12059, '', NULL),
(8, 12059, '', NULL),
(11, 12097, 'Production', NULL),
(2, 12097, 'Bug', NULL),
(4, 12097, 'R82227073', NULL),
(3, 12097, '0', NULL),
(1, 12097, '2', NULL),
(6, 12097, '', NULL),
(7, 12097, '0', NULL),
(5, 12097, '', NULL),
(8, 12097, '', NULL),
(4, 13542, 'R82245784', NULL),
(2, 13542, 'Bug', NULL),
(11, 13542, 'Production', NULL),
(8, 12181, '', NULL),
(11, 9889, '', NULL),
(11, 12182, 'Production', NULL),
(2, 12182, 'Bug', NULL),
(4, 12182, 'R82229152', NULL),
(1, 12182, '2', NULL),
(6, 12182, '', NULL),
(7, 12182, '0', NULL),
(5, 12182, '', NULL),
(8, 12182, '', NULL),
(3, 12154, '0', NULL),
(3, 12156, '0', NULL),
(3, 12157, '0', NULL),
(3, 12158, '0', NULL),
(3, 12159, '0', NULL),
(3, 12160, '0', NULL),
(3, 12151, '0', NULL),
(3, 12153, '0', NULL),
(11, 12183, '', NULL),
(2, 12183, 'Task', NULL),
(4, 12183, 'R82189882', NULL),
(3, 12183, '', NULL),
(1, 12183, '40', NULL),
(6, 12183, '', NULL),
(7, 12183, '0', NULL),
(5, 12183, '', NULL),
(8, 12183, '', NULL),
(3, 8085, '0', NULL),
(3, 8927, '0', NULL),
(3, 8928, '0', NULL),
(3, 8929, '0', NULL),
(3, 9303, '0', NULL),
(3, 10075, '0', NULL),
(3, 10154, '0', NULL),
(11, 10042, '', NULL),
(3, 10042, '0', NULL),
(11, 9643, 'Recette', NULL),
(3, 9643, '0', NULL),
(3, 10153, '0', NULL),
(3, 10651, '0', NULL),
(3, 8925, '0', NULL),
(3, 9306, '0', NULL),
(11, 12186, 'Production', NULL),
(2, 12186, 'Bug', NULL),
(4, 12186, 'R82229383', NULL),
(3, 12186, '0', NULL),
(1, 12186, '2', NULL),
(6, 12186, '', NULL),
(7, 12186, '0', NULL),
(5, 12186, '', NULL),
(8, 12186, '', NULL),
(4, 12196, 'R82229614', NULL),
(1, 12196, '2', NULL),
(2, 12196, 'Bug', NULL),
(4, 12197, 'R82229845', NULL),
(1, 12197, '2', NULL),
(2, 12197, 'Bug', NULL),
(11, 12197, 'Recette', NULL),
(3, 12197, '0', NULL),
(6, 12197, '', NULL),
(7, 12197, '0', NULL),
(5, 12197, '', NULL),
(8, 12197, '', NULL),
(11, 12196, 'Recette', NULL),
(3, 12196, '0', NULL),
(6, 12196, '', NULL),
(7, 12196, '0', NULL),
(5, 12196, '', NULL),
(8, 12196, '', NULL),
(11, 12199, '', NULL),
(2, 12199, 'Task', NULL),
(4, 12199, 'R82230076', NULL),
(3, 12199, '40', NULL),
(1, 12199, '30', NULL),
(6, 12199, '', NULL),
(7, 12199, '0', NULL),
(5, 12199, '', NULL),
(8, 12199, '', NULL),
(11, 12252, '', NULL),
(2, 12252, 'Bug', NULL),
(4, 12252, '', NULL),
(1, 12252, '2', NULL),
(6, 12252, '', NULL),
(7, 12252, '0', NULL),
(5, 12252, '', NULL),
(8, 12252, '', NULL),
(11, 12253, '', NULL),
(2, 12253, 'Bug', NULL),
(4, 12253, '', NULL),
(1, 12253, '2', NULL),
(6, 12253, '', NULL),
(7, 12253, '0', NULL),
(5, 12253, '', NULL),
(8, 12253, '', NULL),
(11, 5726, 'Production', NULL),
(11, 4288, 'Recette', NULL),
(11, 8146, '', NULL),
(8, 12798, '', NULL),
(5, 12798, '', NULL),
(7, 12798, '0', NULL),
(6, 12798, '', NULL),
(1, 12798, '3', NULL),
(3, 12798, '5', NULL),
(4, 12798, 'R82230769', NULL),
(2, 12798, 'Task', NULL),
(11, 12798, '', NULL),
(4, 12284, 'R82231000', NULL),
(3, 12284, '1.2', NULL),
(1, 12284, '1', NULL),
(2, 12284, 'Task', NULL),
(4, 12285, 'R82231231', NULL),
(3, 12285, '6', NULL),
(1, 12285, '1', NULL),
(2, 12285, 'Task', NULL),
(5, 9478, '', NULL),
(11, 5728, 'Production', NULL),
(11, 12285, '', NULL),
(6, 12285, '', NULL),
(7, 12285, '0', NULL),
(5, 12285, '', NULL),
(8, 12285, '', NULL),
(11, 12287, '', NULL),
(2, 12287, 'Task', NULL),
(4, 12287, 'R82231462', NULL),
(3, 12287, '', NULL),
(1, 12287, '1', NULL),
(6, 12287, '', NULL),
(7, 12287, '0', NULL),
(5, 12287, '', NULL),
(8, 12287, '', NULL),
(11, 12288, '', NULL),
(2, 12288, 'Task', NULL),
(4, 12288, 'R82231693', NULL),
(3, 12288, '11', NULL),
(1, 12288, '9', NULL),
(6, 12288, '', NULL),
(7, 12288, '0', NULL),
(5, 12288, '1499378400', NULL),
(8, 12288, '', NULL),
(11, 12057, '', NULL),
(6, 12057, '', NULL),
(5, 12057, '', NULL),
(8, 12057, '', NULL),
(3, 9675, '0', NULL),
(4, 12289, 'R82231924', NULL),
(3, 12289, '6', NULL),
(1, 12289, '0.5', NULL),
(2, 12289, 'Task', NULL),
(4, 12290, 'R82232155', NULL),
(3, 12290, '3', NULL),
(1, 12290, '2', NULL),
(2, 12290, 'Task', NULL),
(7, 12290, '0', NULL),
(11, 12290, '', NULL),
(6, 12290, '', NULL),
(5, 12290, '', NULL),
(8, 12290, '', NULL),
(11, 12289, '', NULL),
(6, 12289, '', NULL),
(7, 12289, '0', NULL),
(5, 12289, '', NULL),
(8, 12289, '', NULL),
(11, 12284, '', NULL),
(6, 12284, '', NULL),
(7, 12284, '0', NULL),
(5, 12284, '', NULL),
(8, 12284, '', NULL),
(4, 12302, 'R82232386', NULL),
(1, 12302, '1', NULL),
(2, 12302, 'Bug', NULL),
(11, 12302, 'Recette', NULL),
(3, 12302, '0', NULL),
(6, 12302, '', NULL),
(7, 12302, '0', NULL),
(5, 12302, '', NULL),
(8, 12302, '', NULL),
(4, 12303, 'R82232617', NULL),
(1, 12303, '5', NULL),
(2, 12303, 'Task', NULL),
(4, 12304, 'R82232848', NULL),
(1, 12304, '8', NULL),
(2, 12304, 'Task', NULL),
(6, 10195, '', NULL),
(5, 10195, '', NULL),
(8, 10195, '', NULL),
(4, 12305, 'R82233079', NULL),
(1, 12305, '3', NULL),
(2, 12305, 'Task', NULL),
(4, 12306, 'R82233310', NULL),
(1, 12306, '6', NULL),
(2, 12306, 'Task', NULL),
(4, 12307, 'R82233541', NULL),
(1, 12307, '2', NULL),
(2, 12307, 'Task', NULL),
(4, 12308, 'R82233772', NULL),
(1, 12308, '4', NULL),
(2, 12308, 'Task', NULL),
(4, 12309, 'R82234003', NULL),
(1, 12309, '1', NULL),
(2, 12309, 'Task', NULL),
(4, 16145, 'R82306999', NULL),
(2, 16145, 'Task', NULL),
(11, 16145, '', NULL),
(4, 12311, 'R82234234', NULL),
(1, 12311, '3', NULL),
(2, 12311, 'Task', NULL),
(4, 12312, 'R82234465', NULL),
(1, 12312, '1', NULL),
(2, 12312, 'Task', NULL),
(4, 12313, 'R82234696', NULL),
(1, 12313, '2', NULL),
(2, 12313, 'Task', NULL),
(4, 12314, 'R82234927', NULL),
(1, 12314, '4', NULL),
(2, 12314, 'Task', NULL),
(4, 12315, 'R82235158', NULL),
(1, 12315, '1', NULL),
(2, 12315, 'Task', NULL),
(4, 12316, 'R82235389', NULL),
(1, 12316, '5', NULL),
(2, 12316, 'Task', NULL),
(4, 12317, 'R82235620', NULL),
(1, 12317, '3', NULL),
(2, 12317, 'Task', NULL),
(4, 12318, 'R82235851', NULL),
(1, 12318, '9', NULL),
(2, 12318, 'Task', NULL),
(4, 12319, 'R82236082', NULL),
(1, 12319, '3', NULL),
(2, 12319, 'Task', NULL),
(4, 12320, 'R82236313', NULL),
(1, 12320, '2', NULL),
(2, 12320, 'Task', NULL),
(4, 12321, 'R82236544', NULL),
(1, 12321, '1', NULL),
(2, 12321, 'Task', NULL),
(6, 12318, '', NULL),
(3, 12318, '', NULL),
(11, 12318, '', NULL),
(4, 12323, 'R82237006', NULL),
(1, 12323, '4', NULL),
(2, 12323, 'Task', NULL),
(4, 12324, 'R82237237', NULL),
(1, 12324, '5', NULL),
(2, 12324, 'Task', NULL),
(4, 12325, 'R82237468', NULL),
(1, 12325, '2', NULL),
(2, 12325, 'Task', NULL),
(4, 12326, 'R82237699', NULL),
(1, 12326, '3', NULL),
(2, 12326, 'Task', NULL),
(4, 12327, 'R82237930', NULL),
(1, 12327, '3', NULL),
(2, 12327, 'Task', NULL),
(4, 12328, 'R82238161', NULL),
(1, 12328, '2', NULL),
(2, 12328, 'Task', NULL),
(11, 12330, '', NULL),
(2, 12330, 'Task', NULL),
(4, 12330, 'R82238623', NULL),
(3, 12330, '0', NULL),
(1, 12330, '12', NULL),
(6, 12330, '', NULL),
(7, 12330, '0', NULL),
(5, 12330, '', NULL),
(8, 12330, '', NULL),
(7, 12303, '0', NULL),
(7, 12318, '0', NULL),
(11, 12331, '', NULL),
(2, 12331, 'Task', NULL),
(4, 12331, 'R82238854', NULL),
(3, 12331, '8', NULL),
(1, 12331, '7', NULL),
(6, 12331, '', NULL),
(7, 12331, '0', NULL),
(5, 12331, '', NULL),
(8, 12331, '', NULL),
(4, 12465, 'R82239316', NULL),
(1, 12465, '2', NULL),
(2, 12465, 'Bug', NULL),
(4, 12466, 'R82239547', NULL),
(1, 12466, '2', NULL),
(2, 12466, 'Bug', NULL),
(4, 12467, 'R82239778', NULL),
(1, 12467, '2', NULL),
(2, 12467, 'Bug', NULL),
(11, 12467, 'Production', NULL),
(11, 12466, 'Production', NULL),
(11, 12465, 'Production', NULL),
(7, 12465, '0', NULL),
(7, 12467, '0', NULL),
(7, 12466, '0', NULL),
(11, 12654, '', NULL),
(2, 12654, 'Task', NULL),
(4, 12654, '', NULL),
(3, 12654, '0', NULL),
(1, 12654, '2', NULL),
(6, 12654, '', NULL),
(7, 12654, '0', NULL),
(5, 12654, '', NULL),
(8, 12654, '', NULL),
(11, 12657, 'Production', NULL),
(2, 12657, 'Bug', NULL),
(4, 12657, 'R82240240', NULL),
(3, 12657, '0', NULL),
(1, 12657, '2', NULL),
(6, 12657, '', NULL),
(7, 12657, '0', NULL),
(5, 12657, '', NULL),
(8, 12657, '', NULL),
(7, 12305, '0', NULL),
(11, 12686, 'Recette', NULL),
(2, 12686, 'Bug', NULL),
(4, 12686, 'R82240471', NULL),
(3, 12686, '0', NULL),
(1, 12686, '2', NULL),
(6, 12686, '', NULL),
(7, 12686, '0', NULL),
(5, 12686, '1470866400', NULL),
(8, 12686, '', NULL),
(11, 12687, '', NULL),
(2, 12687, 'Task', NULL),
(4, 12687, 'R82240702', NULL),
(3, 12687, '8.5', NULL),
(1, 12687, '2', NULL),
(6, 12687, '', NULL),
(7, 12687, '0', NULL),
(5, 12687, '', NULL),
(8, 12687, '', NULL),
(11, 12688, '', NULL),
(2, 12688, 'Task', NULL),
(4, 12688, 'R82240933', NULL),
(3, 12688, '18', NULL),
(1, 12688, '6', NULL),
(6, 12688, '', NULL),
(7, 12688, '0', NULL),
(5, 12688, '', NULL),
(8, 12688, '', NULL),
(11, 12689, '', NULL),
(2, 12689, 'Task', NULL),
(4, 12689, 'R82241164', NULL),
(3, 12689, '0', NULL),
(1, 12689, '2', NULL),
(6, 12689, '', NULL),
(7, 12689, '0', NULL),
(5, 12689, '', NULL),
(8, 12689, '', NULL),
(11, 12738, '', NULL),
(2, 12738, 'Task', NULL),
(4, 12738, 'R82241395', NULL),
(3, 12738, '0', NULL),
(1, 12738, '2', NULL),
(6, 12738, '', NULL),
(7, 12738, '0', NULL),
(5, 12738, '', NULL),
(8, 12738, '', NULL),
(11, 12739, '', NULL),
(2, 12739, 'Task', NULL),
(4, 12739, 'R82241626', NULL),
(3, 12739, '0', NULL),
(1, 12739, '2', NULL),
(6, 12739, '', NULL),
(7, 12739, '0', NULL),
(5, 12739, '', NULL),
(8, 12739, '', NULL),
(11, 12790, '', NULL),
(2, 12790, 'Task', NULL),
(11, 12781, '', NULL),
(2, 12781, 'Task', NULL),
(4, 12781, 'R82242088', NULL),
(3, 12781, '15', NULL),
(1, 12781, '13', NULL),
(6, 12781, '', NULL),
(7, 12781, '0', NULL),
(5, 12781, '1473631200', NULL),
(8, 12781, '', NULL),
(11, 12782, '', NULL),
(2, 12782, 'Bug', NULL),
(4, 12782, '', NULL),
(1, 12782, '2', NULL),
(6, 12782, '', NULL),
(7, 12782, '0', NULL),
(5, 12782, '', NULL),
(8, 12782, '', NULL),
(11, 12783, '', NULL),
(2, 12783, 'Bug', NULL),
(4, 12783, '', NULL),
(1, 12783, '2', NULL),
(6, 12783, '', NULL),
(7, 12783, '', NULL),
(5, 12783, '', NULL),
(8, 12783, '', NULL),
(4, 12790, 'R82241857', NULL),
(3, 12790, '1', NULL),
(1, 12790, '2', NULL),
(6, 12790, '', NULL),
(7, 12790, '0', NULL),
(5, 12790, '', NULL),
(8, 12790, '', NULL),
(11, 12791, '', NULL),
(2, 12791, 'Task', NULL),
(4, 12791, 'R82242781', NULL),
(3, 12791, '9', NULL),
(1, 12791, '5', NULL),
(6, 12791, '', NULL),
(7, 12791, '0', NULL),
(5, 12791, '', NULL),
(8, 12791, '', NULL),
(11, 7894, '', NULL),
(11, 12797, 'Production', NULL),
(2, 12797, 'Bug', NULL),
(4, 12797, 'R82243012', NULL),
(3, 12797, '0', NULL),
(1, 12797, '2', NULL),
(6, 12797, '', NULL),
(7, 12797, '0', NULL),
(5, 12797, '', NULL),
(8, 12797, '', NULL),
(6, 13250, '', NULL),
(1, 13250, '4', NULL),
(4, 13250, 'R82243243', NULL),
(2, 13250, 'Bug', NULL),
(11, 13250, 'Recette', NULL),
(8, 13250, '', NULL),
(5, 13250, '', NULL),
(7, 13250, '0', NULL),
(11, 12817, 'Recette', NULL),
(2, 12817, 'Bug', NULL),
(4, 12817, 'R82243474', NULL),
(3, 12817, '0', NULL),
(1, 12817, '2', NULL),
(6, 12817, '', NULL),
(7, 12817, '0', NULL),
(5, 12817, '', NULL),
(8, 12817, '', NULL),
(11, 12820, 'Production', NULL),
(2, 12820, 'Bug', NULL),
(4, 12820, 'R82243705', NULL),
(3, 12820, '0', NULL),
(1, 12820, '2', NULL),
(6, 12820, '', NULL),
(7, 12820, '0', NULL),
(5, 12820, '', NULL),
(8, 12820, '', NULL),
(8, 12998, '', NULL),
(5, 12998, '', NULL),
(7, 12998, '0', NULL),
(6, 12998, '', NULL),
(1, 12998, '2', NULL),
(3, 12998, '0', NULL),
(4, 12998, 'R82243936', NULL),
(2, 12998, 'Task', NULL),
(11, 12998, '', NULL),
(4, 12842, 'R82244167', NULL),
(1, 12842, '2', NULL),
(2, 12842, 'Bug', NULL),
(4, 12843, 'R82244629', NULL),
(1, 12843, '2', NULL),
(2, 12843, 'Bug', NULL),
(4, 12844, 'R82244860', NULL),
(1, 12844, '2', NULL),
(2, 12844, 'Bug', NULL),
(11, 12843, 'Production', NULL),
(3, 12843, '0', NULL),
(6, 12843, '', NULL),
(7, 12843, '0', NULL),
(5, 12843, '', NULL),
(8, 12843, '', NULL),
(4, 12868, 'R82245091', NULL),
(3, 12868, '1', NULL),
(1, 12868, '1', NULL),
(2, 12868, 'Task', NULL),
(4, 12869, 'R82245322', NULL),
(3, 12869, '1.5', NULL),
(1, 12869, '1.5', NULL),
(2, 12869, 'Task', NULL),
(11, 12869, '', NULL),
(6, 12869, '', NULL),
(7, 12869, '0', NULL),
(5, 12869, '', NULL),
(8, 12869, '', NULL),
(11, 12868, '', NULL),
(6, 12868, '', NULL),
(7, 12868, '0', NULL),
(5, 12868, '', NULL),
(8, 12868, '', NULL),
(7, 12844, '0', NULL),
(11, 12938, '', NULL),
(2, 12938, 'Task', NULL),
(4, 12938, 'R82246015', NULL),
(3, 12938, '22', NULL),
(1, 12938, '5', NULL),
(6, 12938, '', NULL),
(7, 12938, '0', NULL),
(5, 12938, '', NULL),
(8, 12938, '', NULL),
(11, 12962, '', NULL),
(2, 12962, 'Task', NULL),
(4, 12962, '', NULL),
(1, 12962, '6', NULL),
(6, 12962, '', NULL),
(7, 12962, '0', NULL),
(5, 12962, '', NULL),
(8, 12962, '', NULL),
(11, 12963, '', NULL),
(2, 12963, 'Bug', NULL),
(4, 12963, '', NULL),
(1, 12963, '2', NULL),
(6, 12963, '', NULL),
(7, 12963, '0', NULL),
(5, 12963, '', NULL),
(8, 12963, '', NULL),
(11, 12999, '', NULL),
(2, 12999, 'Task', NULL),
(4, 12999, 'R82246708', NULL),
(3, 12999, '0', NULL),
(1, 12999, '2', NULL),
(6, 12999, '', NULL),
(7, 12999, '0.5', NULL),
(5, 12999, '', NULL),
(8, 12999, '', NULL),
(11, 13000, 'Recette', NULL),
(2, 13000, 'Bug', NULL),
(4, 13000, 'R82246939', NULL),
(3, 13000, '0', NULL),
(1, 13000, '2', NULL),
(6, 13000, '', NULL),
(7, 13000, '0', NULL),
(5, 13000, '1469052000', NULL),
(8, 13000, '', NULL),
(11, 13001, 'Recette', NULL),
(2, 13001, 'Bug', NULL),
(4, 13001, 'R82247170', NULL),
(3, 13001, '0', NULL),
(1, 13001, '2', NULL),
(6, 13001, '', NULL),
(7, 13001, '0', NULL),
(5, 13001, '1470348000', NULL),
(8, 13001, '', NULL),
(6, 12466, '', NULL),
(5, 12466, '', NULL),
(8, 12466, '', NULL),
(11, 13002, '', NULL),
(2, 13002, 'Task', NULL),
(4, 13002, 'R82247401', NULL),
(3, 13002, '0', NULL),
(1, 13002, '0', NULL),
(6, 13002, '', NULL),
(7, 13002, '0', NULL),
(5, 13002, '1479337200', NULL),
(8, 13002, '', NULL),
(11, 13008, '', NULL),
(2, 13008, 'Task', NULL),
(4, 13008, 'R82247632', NULL),
(1, 13008, '2', NULL),
(6, 13008, '', NULL),
(7, 13008, '0', NULL),
(5, 13008, '1468533600', NULL),
(8, 13008, '', NULL),
(11, 13044, '', NULL),
(2, 13044, 'Task', NULL),
(4, 13044, 'R82248094', NULL),
(3, 13044, '0', NULL),
(1, 13044, '5', NULL),
(6, 13044, '', NULL),
(7, 13044, '0', NULL),
(5, 13044, '1472767200', NULL),
(8, 13044, '', NULL),
(3, 13785, '0', NULL),
(11, 13785, 'Production', NULL),
(8, 13788, '', NULL),
(5, 13788, '', NULL),
(6, 13788, '', NULL),
(3, 13788, '0', NULL),
(11, 13788, 'Recette', NULL),
(5, 13227, '1470002400', NULL),
(8, 13227, '', NULL),
(11, 13229, 'Recette', NULL),
(2, 13229, 'Bug', NULL),
(4, 13229, 'R82248325', NULL),
(3, 13229, '0', NULL),
(1, 13229, '2', NULL),
(6, 13229, '', NULL),
(7, 13229, '0', NULL),
(5, 13229, '1470002400', NULL),
(8, 13229, '', NULL),
(11, 13248, 'Recette', NULL),
(2, 13248, 'Bug', NULL),
(4, 13248, 'R82248556', NULL),
(1, 13248, '2', NULL),
(6, 13248, '', NULL),
(7, 13248, '', NULL),
(5, 13248, '', NULL),
(8, 13248, '', NULL),
(4, 13251, 'R82247863', NULL),
(1, 13251, '2', NULL),
(2, 13251, 'Bug', NULL),
(4, 13252, 'R82248787', NULL),
(1, 13252, '2', NULL),
(2, 13252, 'Bug', NULL),
(4, 13253, 'R82249018', NULL),
(1, 13253, '2', NULL),
(2, 13253, 'Bug', NULL),
(4, 13254, 'R82249249', NULL),
(1, 13254, '2', NULL),
(2, 13254, 'Bug', NULL),
(4, 13255, 'R82249480', NULL),
(1, 13255, '2', NULL),
(2, 13255, 'Bug', NULL),
(11, 13256, '', NULL),
(2, 13256, 'Task', NULL),
(4, 13256, 'R82249711', NULL),
(3, 13256, '2.8', NULL),
(1, 13256, '2', NULL),
(6, 13256, '', NULL),
(7, 13256, '0', NULL),
(5, 13256, '', NULL),
(8, 13256, '', NULL),
(5, 9468, '1470002400', NULL),
(11, 13252, 'Recette', NULL),
(3, 13252, '0', NULL),
(6, 13252, '', NULL),
(7, 13252, '0', NULL),
(5, 13252, '1469743200', NULL),
(8, 13252, '', NULL),
(5, 13253, '1470002400', NULL),
(5, 13255, '1470002400', NULL),
(5, 13254, '1470002400', NULL),
(5, 13251, '1470002400', NULL),
(11, 13257, '', NULL),
(2, 13257, 'Task', NULL),
(4, 13257, 'R82249942', NULL),
(3, 13257, '6.2', NULL),
(1, 13257, '5', NULL),
(6, 13257, '', NULL),
(7, 13257, '0', NULL),
(5, 13257, '1472076000', NULL),
(8, 13257, '', NULL),
(11, 13258, 'Recette', NULL),
(2, 13258, 'Bug', NULL),
(4, 13258, 'R82250173', NULL),
(3, 13258, '0', NULL),
(1, 13258, '2', NULL),
(6, 13258, '', NULL),
(7, 13258, '0', NULL),
(5, 13258, '1474581600', NULL),
(8, 13258, '', NULL),
(7, 14246, '0', NULL),
(11, 13342, '', NULL),
(2, 13342, 'Task', NULL),
(4, 13342, 'R82250404', NULL),
(3, 13342, '20', NULL),
(1, 13342, '0', NULL),
(6, 13342, '', NULL),
(7, 13342, '0', NULL),
(5, 13342, '', NULL),
(8, 13342, '', NULL),
(3, 13248, '0', NULL),
(11, 12842, 'Production', NULL),
(3, 12842, '0', NULL),
(6, 12842, '', NULL),
(7, 12842, '2', NULL),
(5, 12842, '1471557600', NULL),
(8, 12842, '', NULL),
(11, 13349, 'Recette', NULL),
(2, 13349, 'Bug', NULL),
(4, 13349, 'R82239085', NULL),
(3, 13349, '0', NULL),
(1, 13349, '2', NULL),
(6, 13349, '', NULL),
(7, 13349, '0', NULL),
(5, 13349, '1470693600', NULL),
(8, 13349, '', NULL),
(3, 13250, '0', NULL),
(11, 13362, '', NULL),
(2, 13362, 'Task', NULL),
(4, 13362, 'R82250635', NULL),
(3, 13362, '', NULL),
(1, 13362, '3', NULL),
(6, 13362, '', NULL),
(7, 13362, '0', NULL),
(5, 13362, '', NULL),
(8, 13362, '', NULL),
(11, 13370, 'Production', NULL),
(2, 13370, 'Bug', NULL),
(4, 13370, 'R82250866', NULL),
(3, 13370, '0', NULL),
(1, 13370, '2', NULL),
(6, 13370, '', NULL),
(7, 13370, '0', NULL),
(5, 13370, '', NULL),
(8, 13370, '', NULL),
(11, 13541, '', NULL),
(2, 13541, 'Task', NULL),
(4, 13541, '', NULL),
(3, 13541, '0', NULL),
(1, 13541, '2', NULL),
(6, 13541, '', NULL),
(7, 13541, '0', NULL),
(5, 13541, '', NULL),
(8, 13541, '', NULL),
(3, 13542, '0', NULL),
(1, 13542, '2', NULL),
(6, 13542, '', NULL),
(7, 13542, '0', NULL),
(5, 13542, '', NULL),
(8, 13542, '', NULL),
(11, 13543, 'Production', NULL),
(2, 13543, 'Bug', NULL),
(4, 13543, 'R82228690', NULL),
(3, 13543, '0', NULL),
(1, 13543, '2', NULL),
(6, 13543, '', NULL),
(7, 13543, '0', NULL),
(5, 13543, '', NULL),
(8, 13543, '', NULL),
(11, 13544, '', NULL),
(2, 13544, 'Task', NULL),
(4, 13544, 'R82251328', NULL),
(3, 13544, '4', NULL),
(1, 13544, '3', NULL),
(6, 13544, '', NULL),
(7, 13544, '0', NULL),
(5, 13544, '1472076000', NULL),
(8, 13544, '', NULL),
(11, 13545, '', NULL),
(2, 13545, 'Task', NULL),
(4, 13545, 'R82251559', NULL),
(3, 13545, '1', NULL),
(1, 13545, '1', NULL),
(6, 13545, '', NULL),
(7, 13545, '1', NULL),
(5, 13545, '', NULL),
(8, 13545, '', NULL),
(11, 13559, '', NULL),
(2, 13559, 'Task', NULL),
(4, 13559, 'R82251790', NULL),
(3, 13559, '9', NULL),
(1, 13559, '9', NULL),
(6, 13559, '', NULL),
(7, 13559, '0', NULL),
(5, 13559, '1474668000', NULL),
(8, 13559, '', NULL),
(3, 22946, '1.7', NULL),
(3, 20432, '1', NULL),
(3, 22787, '4', NULL),
(3, 22786, '1', NULL),
(7, 13253, '0', NULL),
(7, 13251, '0', NULL),
(11, 13589, '', NULL),
(2, 13589, 'Task', NULL),
(4, 13589, 'R82252252', NULL),
(3, 13589, '12', NULL),
(1, 13589, '2', NULL),
(6, 13589, '', NULL),
(7, 13589, '0', NULL),
(5, 13589, '', NULL),
(8, 13589, '', NULL),
(11, 13592, 'Recette', NULL),
(2, 13592, 'Bug', NULL),
(4, 13592, 'R82252483', NULL),
(3, 13592, '0', NULL),
(1, 13592, '2', NULL),
(6, 13592, '', NULL),
(7, 13592, '0', NULL),
(5, 13592, '', NULL),
(8, 13592, '', NULL),
(11, 13622, '', NULL),
(2, 13622, 'Task', NULL),
(4, 13622, 'R82252714', NULL),
(3, 13622, '7', NULL),
(1, 13622, '4', NULL),
(6, 13622, '', NULL),
(7, 13622, '', NULL),
(5, 13622, '', NULL),
(8, 13622, '', NULL),
(11, 13624, '', NULL),
(2, 13624, 'Task', NULL),
(4, 13624, 'R82245553', NULL),
(3, 13624, '2', NULL),
(1, 13624, '1', NULL),
(6, 13624, '', NULL),
(7, 13624, '1', NULL),
(5, 13624, '', NULL),
(8, 13624, '', NULL),
(11, 13625, '', NULL),
(2, 13625, 'Task', NULL),
(4, 13625, 'R82252945', NULL),
(3, 13625, '4', NULL),
(1, 13625, '2', NULL),
(6, 13625, '', NULL),
(7, 13625, '0', NULL),
(5, 13625, '', NULL),
(8, 13625, '', NULL),
(3, 12962, '8', NULL),
(11, 13626, '', NULL),
(2, 13626, 'Task', NULL),
(4, 13626, 'R82253176', NULL),
(1, 13626, '2', NULL),
(6, 13626, '', NULL),
(7, 13626, '0', NULL),
(5, 13626, '', NULL),
(8, 13626, '', NULL),
(11, 13627, '', NULL),
(2, 13627, 'Task', NULL),
(4, 13627, 'R82253407', NULL),
(1, 13627, '2', NULL),
(6, 13627, '', NULL),
(7, 13627, '0', NULL),
(5, 13627, '', NULL),
(8, 13627, '', NULL),
(11, 13628, '', NULL),
(2, 13628, 'Bug', NULL),
(4, 13628, '', NULL),
(1, 13628, '2', NULL),
(6, 13628, '', NULL),
(7, 13628, '0', NULL),
(5, 13628, '', NULL),
(8, 13628, '', NULL),
(11, 13676, 'Production', NULL),
(2, 13676, 'Bug', NULL),
(4, 13676, 'R8218018', NULL),
(3, 13676, '0', NULL),
(1, 13676, '2', NULL),
(6, 13676, '', NULL),
(7, 13676, '0', NULL),
(5, 13676, '', NULL),
(8, 13676, '', NULL),
(11, 13678, 'Production', NULL),
(2, 13678, 'Bug', NULL),
(4, 13678, 'R82253869', NULL),
(3, 13678, '0', NULL),
(1, 13678, '2', NULL),
(6, 13678, '', NULL),
(7, 13678, '0', NULL),
(5, 13678, '', NULL),
(8, 13678, '', NULL),
(7, 13255, '0', NULL),
(11, 13686, '', NULL),
(2, 13686, 'Task', NULL),
(4, 13686, 'R82254100', NULL),
(1, 13686, '4', NULL),
(6, 13686, '', NULL),
(7, 13686, '3', NULL),
(5, 13686, '', NULL),
(8, 13686, '', NULL),
(11, 13687, '', NULL),
(2, 13687, 'Task', NULL),
(4, 13687, 'R82254331', NULL),
(1, 13687, '4', NULL),
(6, 13687, '', NULL),
(7, 13687, '0', NULL),
(5, 13687, '', NULL),
(8, 13687, '', NULL),
(11, 13688, '', NULL),
(2, 13688, 'Task', NULL),
(4, 13688, 'R82254562', NULL),
(1, 13688, '4', NULL),
(6, 13688, '', NULL),
(7, 13688, '1', NULL),
(5, 13688, '', NULL),
(8, 13688, '', NULL),
(11, 13698, 'Production', NULL),
(2, 13698, 'Bug', NULL),
(4, 13698, 'R82254793', NULL),
(1, 13698, '4', NULL),
(6, 13698, '', NULL),
(7, 13698, '0', NULL),
(5, 13698, '', NULL),
(8, 13698, '', NULL),
(11, 13770, 'Recette', NULL),
(2, 13770, 'Bug', NULL),
(4, 13770, 'R82255717', NULL),
(1, 13770, '2', NULL),
(6, 13770, '', NULL),
(7, 13770, '0', NULL),
(5, 13770, '', NULL),
(8, 13770, '', NULL),
(5, 12318, '', NULL),
(8, 12318, '', NULL),
(11, 12305, '', NULL),
(3, 12305, '', NULL),
(6, 12305, '', NULL),
(5, 12305, '', NULL),
(8, 12305, '', NULL),
(11, 13774, '', NULL),
(2, 13774, 'Task', NULL),
(4, 13774, 'R82236775', NULL),
(3, 13774, '7.5', NULL),
(1, 13774, '3', NULL),
(6, 13774, '', NULL),
(7, 13774, '0', NULL),
(5, 13774, '', NULL),
(8, 13774, '', NULL),
(11, 13775, '', NULL),
(2, 13775, 'Task', NULL),
(4, 13775, 'R82238392', NULL),
(1, 13775, '15', NULL),
(6, 13775, '', NULL),
(7, 13775, '0', NULL),
(5, 13775, '', NULL),
(8, 13775, '', NULL),
(4, 13783, 'R82255948', NULL),
(1, 13783, '2', NULL),
(2, 13783, 'Bug', NULL),
(4, 13784, 'R82256179', NULL),
(1, 13784, '2', NULL),
(2, 13784, 'Bug', NULL),
(4, 13785, 'R82256410', NULL),
(1, 13785, '2', NULL),
(2, 13785, 'Bug', NULL),
(4, 13786, 'R82256641', NULL),
(1, 13786, '2', NULL),
(2, 13786, 'Bug', NULL),
(4, 13787, 'R82256872', NULL),
(1, 13787, '0', NULL),
(2, 13787, 'Bug', NULL),
(4, 13788, 'R82257103', NULL),
(1, 13788, '2', NULL),
(2, 13788, 'Bug', NULL),
(4, 13789, 'R82257334', NULL),
(1, 13789, '2', NULL),
(2, 13789, 'Bug', NULL),
(7, 13785, '0', NULL),
(7, 13788, '0', NULL),
(11, 13797, 'Recette', NULL),
(2, 13797, 'Bug', NULL),
(4, 13797, 'R82257565', NULL),
(1, 13797, '1', NULL),
(6, 13797, '', NULL),
(7, 13797, '0', NULL),
(5, 13797, '', NULL),
(8, 13797, '', NULL),
(11, 13798, 'Recette', NULL),
(2, 13798, 'Bug', NULL),
(4, 13798, 'R82257796', NULL),
(1, 13798, '1', NULL),
(6, 13798, '', NULL),
(7, 13798, '0', NULL),
(5, 13798, '', NULL),
(8, 13798, '', NULL),
(11, 13799, 'Recette', NULL),
(2, 13799, 'Bug', NULL),
(4, 13799, 'R82258027', NULL),
(1, 13799, '1', NULL),
(6, 13799, '', NULL),
(7, 13799, '0', NULL),
(5, 13799, '', NULL),
(8, 13799, '', NULL),
(7, 13783, '0', NULL),
(11, 13800, 'Recette', NULL),
(2, 13800, 'Bug', NULL),
(4, 13800, 'R82258258', NULL),
(1, 13800, '1', NULL),
(6, 13800, '', NULL),
(7, 13800, '0', NULL),
(5, 13800, '', NULL),
(8, 13800, '', NULL),
(11, 13808, 'Production', NULL),
(2, 13808, 'Bug', NULL),
(4, 13808, 'R82258489', NULL),
(3, 13808, '0', NULL),
(1, 13808, '2', NULL),
(6, 13808, '', NULL),
(7, 13808, '0', NULL),
(5, 13808, '', NULL),
(8, 13808, '', NULL),
(11, 13809, 'Production', NULL),
(2, 13809, 'Bug', NULL),
(4, 13809, '', NULL),
(3, 13809, '0', NULL),
(1, 13809, '2', NULL),
(6, 13809, '', NULL),
(7, 13809, '0', NULL),
(5, 13809, '', NULL),
(8, 13809, '', NULL),
(8, 13783, '', NULL),
(5, 13783, '', NULL),
(6, 13783, '', NULL),
(6, 14164, '', NULL),
(3, 14164, '0', NULL),
(7, 12306, '0', NULL),
(11, 13973, 'Production', NULL),
(2, 13973, 'Bug', NULL),
(4, 13973, 'R82258951', NULL),
(3, 13973, '0', NULL),
(1, 13973, '2', NULL),
(6, 13973, '', NULL),
(7, 13973, '0', NULL),
(5, 13973, '', NULL),
(8, 13973, '', NULL),
(11, 14013, '', NULL),
(2, 14013, 'Task', NULL),
(4, 14013, 'R82259182', NULL),
(3, 14013, '31', NULL),
(1, 14013, '25', NULL),
(6, 14013, '', NULL),
(7, 14013, '0', NULL),
(5, 14013, '1497823200', NULL),
(8, 14013, '', NULL),
(11, 14014, '', NULL),
(2, 14014, 'Task', NULL),
(4, 14014, 'R82259413', NULL),
(3, 14014, '100', NULL),
(1, 14014, '30', NULL),
(6, 14014, '', NULL),
(7, 14014, '0', NULL),
(5, 14014, '1497823200', NULL),
(8, 14014, '', NULL),
(11, 14022, '', NULL),
(2, 14022, 'Task', NULL),
(4, 14022, 'R82259644', NULL),
(1, 14022, '2', NULL),
(6, 14022, '', NULL),
(7, 14022, '0', NULL),
(5, 14022, '', NULL),
(8, 14022, '', NULL),
(11, 14036, 'Production', NULL),
(2, 14036, 'Bug', NULL),
(4, 14036, 'R82259875', NULL),
(3, 14036, '0', NULL),
(1, 14036, '2', NULL),
(6, 14036, '', NULL),
(7, 14036, '0', NULL),
(5, 14036, '', NULL),
(8, 14036, '', NULL),
(11, 14037, 'Production', NULL),
(2, 14037, 'Bug', NULL),
(4, 14037, 'R82260106', NULL),
(3, 14037, '0', NULL),
(1, 14037, '2', NULL),
(6, 14037, '', NULL),
(7, 14037, '0', NULL),
(5, 14037, '', NULL),
(8, 14037, '', NULL),
(11, 14038, 'Recette', NULL),
(2, 14038, 'Bug', NULL),
(4, 14038, 'R82260337', NULL),
(3, 14038, '0', NULL),
(1, 14038, '2', NULL),
(6, 14038, '', NULL),
(7, 14038, '0', NULL),
(5, 14038, '', NULL),
(8, 14038, '', NULL),
(11, 14039, 'Production', NULL),
(2, 14039, 'Bug', NULL),
(4, 14039, 'R82260568', NULL),
(3, 14039, '0', NULL),
(1, 14039, '2', NULL),
(6, 14039, '', NULL),
(7, 14039, '0', NULL),
(5, 14039, '', NULL),
(8, 14039, '', NULL),
(2, 14049, 'Task', NULL),
(11, 14049, '', NULL),
(8, 14048, '', NULL),
(5, 14048, '', NULL),
(7, 14048, '0', NULL),
(6, 14048, '', NULL),
(1, 14048, '2', NULL),
(4, 14048, 'R82261261', NULL),
(2, 14048, 'Task', NULL),
(11, 14048, '', NULL),
(4, 14049, 'R82261492', NULL),
(1, 14049, '2.3', NULL),
(6, 14049, '', NULL),
(7, 14049, '0', NULL),
(5, 14049, '', NULL),
(8, 14049, '', NULL),
(3, 10437, '0', NULL),
(3, 10786, '0', NULL),
(3, 13770, '0', NULL),
(11, 14057, '', NULL),
(2, 14057, 'Task', NULL),
(4, 14057, 'R82261723', NULL),
(3, 14057, '4', NULL),
(1, 14057, '2', NULL),
(6, 14057, '', NULL),
(7, 14057, '0', NULL),
(5, 14057, '', NULL),
(8, 14057, '', NULL),
(11, 14058, '', NULL),
(2, 14058, 'Task', NULL),
(4, 14058, 'R82261954', NULL),
(3, 14058, '5', NULL),
(1, 14058, '3', NULL),
(6, 14058, '', NULL),
(7, 14058, '0', NULL),
(5, 14058, '', NULL),
(8, 14058, '', NULL),
(11, 14059, '', NULL),
(2, 14059, 'Task', NULL),
(4, 14059, 'R82262185', NULL),
(3, 14059, '10', NULL),
(1, 14059, '3', NULL),
(6, 14059, '', NULL),
(7, 14059, '0', NULL),
(5, 14059, '', NULL),
(8, 14059, '', NULL),
(11, 14060, '', NULL),
(2, 14060, 'Task', NULL),
(4, 14060, 'R82262416', NULL),
(3, 14060, '12', NULL),
(1, 14060, '10', NULL),
(6, 14060, '', NULL),
(7, 14060, '0', NULL),
(5, 14060, '', NULL),
(8, 14060, '', NULL),
(11, 14069, '', NULL),
(2, 14069, 'Task', NULL),
(4, 14069, 'R82255255', NULL),
(1, 14069, '4', NULL),
(6, 14069, '', NULL),
(7, 14069, '0', NULL),
(5, 14069, '', NULL),
(8, 14069, '', NULL),
(11, 14164, 'Production', NULL),
(11, 14143, 'Production', NULL),
(2, 14143, 'Bug', NULL),
(4, 14143, 'R82264264', NULL),
(3, 14143, '0', NULL),
(1, 14143, '2', NULL),
(6, 14143, '', NULL),
(7, 14143, '0', NULL),
(5, 14143, '1473199200', NULL),
(8, 14143, '', NULL),
(5, 12304, '', NULL),
(5, 12313, '', NULL),
(5, 12316, '', NULL),
(11, 14150, '', NULL),
(2, 14150, 'Task', NULL),
(4, 14150, 'R82264495', NULL),
(3, 14150, '21.1', NULL),
(1, 14150, '5', NULL),
(6, 14150, '', NULL),
(7, 14150, '0', NULL),
(5, 14150, '', NULL),
(8, 14150, '', NULL),
(11, 14163, 'Production', NULL),
(8, 14164, '', NULL),
(5, 14164, '', NULL),
(7, 14164, '0', NULL),
(4, 14163, 'R82263802', NULL),
(1, 14163, '2', NULL),
(2, 14163, 'Bug', NULL),
(4, 14164, 'R82263109', NULL),
(1, 14164, '2', NULL),
(2, 14164, 'Bug', NULL),
(4, 14165, 'R82262878', NULL),
(1, 14165, '3', NULL),
(2, 14165, 'Bug', NULL),
(3, 14163, '0', NULL),
(6, 14163, '', NULL),
(7, 14163, '0', NULL),
(5, 14163, '', NULL),
(8, 14163, '', NULL),
(11, 14165, 'Production', NULL),
(3, 14165, '0', NULL),
(6, 14165, '', NULL),
(7, 14165, '0', NULL),
(5, 14165, '1474322400', NULL),
(8, 14165, '', NULL),
(4, 14166, 'R82263340', NULL),
(1, 14166, '2', NULL),
(2, 14166, 'Bug', NULL),
(4, 14167, 'R82263571', NULL),
(1, 14167, '2', NULL),
(2, 14167, 'Bug', NULL),
(4, 14168, 'R82264033', NULL),
(1, 14168, '2', NULL),
(2, 14168, 'Bug', NULL),
(4, 14169, 'R8259598', NULL),
(1, 14169, '2', NULL),
(2, 14169, 'Bug', NULL),
(4, 14170, 'R8292169', NULL),
(1, 14170, '2', NULL),
(2, 14170, 'Bug', NULL),
(7, 14166, '0', NULL),
(7, 14168, '0', NULL),
(11, 14194, '', NULL),
(2, 14194, 'Task', NULL),
(4, 14194, 'R82264726', NULL),
(1, 14194, '5', NULL),
(6, 14194, '', NULL),
(7, 14194, '', NULL),
(5, 14194, '', NULL),
(8, 14194, '', NULL),
(11, 14195, '', NULL),
(2, 14195, 'Task', NULL),
(4, 14195, 'R82264957', NULL),
(1, 14195, '2', NULL),
(6, 14195, '', NULL),
(7, 14195, '', NULL),
(5, 14195, '', NULL),
(8, 14195, '', NULL),
(11, 14198, 'Recette', NULL),
(2, 14198, 'Bug', NULL),
(4, 14198, 'R82265188', NULL),
(3, 14198, '0', NULL),
(1, 14198, '2', NULL),
(6, 14198, '', NULL),
(7, 14198, '0', NULL),
(5, 14198, '', NULL),
(8, 14198, '', NULL),
(11, 14206, '', NULL),
(2, 14206, 'Task', NULL),
(4, 14206, 'R82255486', NULL),
(1, 14206, '2', NULL),
(6, 14206, '', NULL),
(7, 14206, '2', NULL),
(5, 14206, '', NULL),
(8, 14206, '', NULL),
(4, 14230, 'R82266805', NULL),
(2, 14228, 'Bug', NULL),
(1, 14228, '2', NULL),
(4, 14228, 'R82266343', NULL),
(2, 14226, 'Bug', NULL),
(1, 14226, '2', NULL),
(4, 14226, 'R82265650', NULL),
(8, 13255, '', NULL),
(6, 13255, '', NULL),
(3, 13255, '0', NULL);
INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(11, 13255, 'Recette', NULL),
(4, 14231, 'R82267036', NULL),
(2, 14230, 'Bug', NULL),
(1, 14230, '2', NULL),
(2, 14229, 'Bug', NULL),
(1, 14229, '2', NULL),
(4, 14229, 'R82266112', NULL),
(2, 14227, 'Bug', NULL),
(1, 14227, '2', NULL),
(4, 14227, 'R82266574', NULL),
(8, 13254, '', NULL),
(6, 13254, '', NULL),
(3, 13254, '0', NULL),
(11, 13254, 'Recette', NULL),
(1, 14231, '2', NULL),
(2, 14231, 'Bug', NULL),
(4, 14232, 'R82267267', NULL),
(1, 14232, '2', NULL),
(2, 14232, 'Bug', NULL),
(4, 14233, 'R82267498', NULL),
(1, 14233, '2', NULL),
(2, 14233, 'Bug', NULL),
(4, 14234, 'R82267729', NULL),
(1, 14234, '2', NULL),
(2, 14234, 'Bug', NULL),
(4, 14235, 'R82267960', NULL),
(1, 14235, '2', NULL),
(2, 14235, 'Bug', NULL),
(7, 14233, '0', NULL),
(7, 14234, '0', NULL),
(11, 14236, '', NULL),
(2, 14236, 'Task', NULL),
(4, 14236, 'R82268191', NULL),
(1, 14236, '2', NULL),
(6, 14236, '', NULL),
(7, 14236, '0', NULL),
(5, 14236, '', NULL),
(8, 14236, '', NULL),
(11, 13253, 'Recette', NULL),
(3, 13253, '0', NULL),
(6, 13253, '', NULL),
(8, 13253, '', NULL),
(11, 14237, 'Recette', NULL),
(2, 14237, 'Bug', NULL),
(4, 14237, 'R82265881', NULL),
(3, 14237, '0', NULL),
(1, 14237, '2', NULL),
(6, 14237, '', NULL),
(7, 14237, '0', NULL),
(5, 14237, '', NULL),
(8, 14237, '', NULL),
(7, 12304, '0', NULL),
(11, 14239, '', NULL),
(2, 14239, 'Task', NULL),
(4, 14239, 'R82268422', NULL),
(1, 14239, '2', NULL),
(6, 14239, '', NULL),
(7, 14239, '1', NULL),
(5, 14239, '', NULL),
(8, 14239, '', NULL),
(11, 14240, '', NULL),
(2, 14240, 'Task', NULL),
(4, 14240, 'R82268653', NULL),
(1, 14240, '4', NULL),
(6, 14240, '', NULL),
(7, 14240, '', NULL),
(5, 14240, '', NULL),
(8, 14240, '', NULL),
(4, 14242, 'R82268884', NULL),
(1, 14242, '10', NULL),
(2, 14242, 'Task', NULL),
(4, 14243, 'R82269115', NULL),
(1, 14243, '5', NULL),
(2, 14243, 'Task', NULL),
(4, 14244, 'R82269346', NULL),
(1, 14244, '3.5', NULL),
(2, 14244, 'Task', NULL),
(4, 14245, 'R82269577', NULL),
(1, 14245, '4', NULL),
(2, 14245, 'Task', NULL),
(4, 14246, 'R82269808', NULL),
(1, 14246, '2', NULL),
(2, 14246, 'Task', NULL),
(4, 14247, 'R82270039', NULL),
(1, 14247, '2', NULL),
(2, 14247, 'Task', NULL),
(4, 14248, 'R82270270', NULL),
(1, 14248, '2', NULL),
(2, 14248, 'Task', NULL),
(4, 14249, 'R82270501', NULL),
(1, 14249, '3', NULL),
(2, 14249, 'Task', NULL),
(4, 14250, 'R82270732', NULL),
(1, 14250, '2', NULL),
(2, 14250, 'Task', NULL),
(4, 14251, 'R82270963', NULL),
(1, 14251, '5', NULL),
(2, 14251, 'Task', NULL),
(4, 14252, 'R82271194', NULL),
(1, 14252, '0', NULL),
(2, 14252, 'Task', NULL),
(5, 14252, '', NULL),
(4, 14253, 'R82271425', NULL),
(1, 14253, '1', NULL),
(2, 14253, 'Task', NULL),
(11, 14244, '', NULL),
(3, 14244, '4.4', NULL),
(6, 14244, '', NULL),
(7, 14244, '0', NULL),
(5, 14244, '', NULL),
(8, 14244, '', NULL),
(11, 14252, '', NULL),
(3, 14252, '0', NULL),
(6, 14252, '', NULL),
(7, 14252, '0', NULL),
(8, 14252, '', NULL),
(11, 14168, 'Recette', NULL),
(3, 14168, '0', NULL),
(6, 14168, '', NULL),
(5, 14168, '', NULL),
(8, 14168, '', NULL),
(11, 14169, 'Recette', NULL),
(3, 14169, '0', NULL),
(6, 14169, '', NULL),
(7, 14169, '0', NULL),
(5, 14169, '', NULL),
(8, 14169, '', NULL),
(11, 14167, 'Recette', NULL),
(3, 14167, '0', NULL),
(6, 14167, '', NULL),
(7, 14167, '1', NULL),
(5, 14167, '', NULL),
(8, 14167, '', NULL),
(11, 14170, 'Recette', NULL),
(3, 14170, '0', NULL),
(6, 14170, '', NULL),
(7, 14170, '0', NULL),
(5, 14170, '', NULL),
(8, 14170, '', NULL),
(11, 14257, 'Production', NULL),
(2, 14257, 'Bug', NULL),
(4, 14257, 'R82271656', NULL),
(1, 14257, '2', NULL),
(6, 14257, '', NULL),
(7, 14257, '0', NULL),
(5, 14257, '', NULL),
(8, 14257, '', NULL),
(11, 14258, 'Recette', NULL),
(2, 14258, 'Bug', NULL),
(4, 14258, 'R82271887', NULL),
(1, 14258, '2', NULL),
(6, 14258, '', NULL),
(7, 14258, '0', NULL),
(5, 14258, '', NULL),
(8, 14258, '', NULL),
(11, 13787, 'Production', NULL),
(3, 13787, '0', NULL),
(6, 13787, '', NULL),
(7, 13787, '0', NULL),
(5, 13787, '', NULL),
(8, 13787, '', NULL),
(11, 13786, 'Production', NULL),
(3, 13786, '0', NULL),
(6, 13786, '', NULL),
(7, 13786, '0', NULL),
(5, 13786, '', NULL),
(8, 13786, '', NULL),
(7, 14231, '0', NULL),
(7, 14230, '0', NULL),
(7, 14229, '0', NULL),
(7, 14228, '0', NULL),
(7, 14232, '0', NULL),
(7, 14235, '0', NULL),
(4, 14259, 'R82272349', NULL),
(3, 14259, '5.05', NULL),
(1, 14259, '2', NULL),
(2, 14259, 'Task', NULL),
(4, 14260, 'R82272580', NULL),
(3, 14260, '2', NULL),
(1, 14260, '2', NULL),
(2, 14260, 'Task', NULL),
(4, 14261, 'R82272811', NULL),
(3, 14261, '2', NULL),
(1, 14261, '2', NULL),
(2, 14261, 'Task', NULL),
(4, 14262, 'R82273042', NULL),
(3, 14262, '6', NULL),
(1, 14262, '5', NULL),
(2, 14262, 'Task', NULL),
(4, 14263, 'R82273273', NULL),
(3, 14263, '1', NULL),
(1, 14263, '1', NULL),
(2, 14263, 'Task', NULL),
(4, 14264, 'R82273504', NULL),
(3, 14264, '3.5', NULL),
(1, 14264, '2', NULL),
(2, 14264, 'Task', NULL),
(11, 14265, '', NULL),
(2, 14265, 'Task', NULL),
(4, 14265, '', NULL),
(3, 14265, '0', NULL),
(1, 14265, '2', NULL),
(6, 14265, '', NULL),
(7, 14265, '', NULL),
(5, 14265, '', NULL),
(8, 14265, '', NULL),
(11, 14266, '', NULL),
(2, 14266, 'Task', NULL),
(4, 14266, '', NULL),
(3, 14266, '0', NULL),
(1, 14266, '4', NULL),
(6, 14266, '', NULL),
(7, 14266, '0', NULL),
(5, 14266, '', NULL),
(8, 14266, '', NULL),
(11, 14267, 'Recette', NULL),
(2, 14267, 'Bug', NULL),
(4, 14267, 'R82274197', NULL),
(3, 14267, '0', NULL),
(1, 14267, '2', NULL),
(6, 14267, '', NULL),
(7, 14267, '0', NULL),
(5, 14267, '', NULL),
(8, 14267, '', NULL),
(11, 14278, '', NULL),
(2, 14278, 'Task', NULL),
(4, 14278, 'R82265419', NULL),
(1, 14278, '2', NULL),
(6, 14278, '', NULL),
(7, 14278, '0', NULL),
(5, 14278, '', NULL),
(8, 14278, '', NULL),
(11, 14247, '', NULL),
(3, 14247, '3.5', NULL),
(6, 14247, '', NULL),
(7, 14247, '0', NULL),
(5, 14247, '', NULL),
(8, 14247, '', NULL),
(11, 14251, '', NULL),
(3, 14251, '25', NULL),
(6, 14251, '', NULL),
(7, 14251, '0', NULL),
(5, 14251, '', NULL),
(8, 14251, '', NULL),
(5, 14261, '', NULL),
(5, 14262, '', NULL),
(5, 12308, '1496613600', NULL),
(8, 12325, '', NULL),
(5, 12309, '', NULL),
(11, 12312, '', NULL),
(3, 12312, '', NULL),
(6, 12312, '', NULL),
(7, 12312, '0', NULL),
(5, 12312, '', NULL),
(8, 12312, '', NULL),
(11, 12313, '', NULL),
(3, 12313, '', NULL),
(6, 12313, '', NULL),
(7, 12313, '0', NULL),
(8, 12313, '', NULL),
(11, 12315, '', NULL),
(3, 12315, '', NULL),
(6, 12315, '', NULL),
(7, 12315, '0', NULL),
(5, 12315, '', NULL),
(8, 12315, '', NULL),
(11, 12320, '', NULL),
(3, 12320, '', NULL),
(6, 12320, '', NULL),
(7, 12320, '0', NULL),
(5, 12320, '', NULL),
(8, 12320, '', NULL),
(11, 12321, '', NULL),
(3, 12321, '', NULL),
(6, 12321, '', NULL),
(7, 12321, '0', NULL),
(5, 12321, '', NULL),
(8, 12321, '', NULL),
(11, 14289, '', NULL),
(2, 14289, 'Task', NULL),
(4, 14289, 'R82274428', NULL),
(1, 14289, '4', NULL),
(6, 14289, '', NULL),
(7, 14289, '2', NULL),
(5, 14289, '', NULL),
(8, 14289, '', NULL),
(6, 14329, '', NULL),
(1, 14329, '30', NULL),
(3, 14329, '40', NULL),
(4, 14329, 'R82274659', NULL),
(2, 14329, 'Task', NULL),
(11, 14329, '', NULL),
(7, 14329, '0', NULL),
(5, 14329, '', NULL),
(8, 14329, '', NULL),
(7, 12311, '0', NULL),
(11, 14473, 'Production', NULL),
(2, 14473, 'Bug', NULL),
(4, 14473, 'R82274890', NULL),
(3, 14473, '0', NULL),
(1, 14473, '2', NULL),
(6, 14473, '', NULL),
(7, 14473, '0', NULL),
(5, 14473, '', NULL),
(8, 14473, '', NULL),
(11, 14476, 'Production', NULL),
(2, 14476, 'Bug', NULL),
(4, 14476, 'R82275121', NULL),
(3, 14476, '0', NULL),
(1, 14476, '2', NULL),
(6, 14476, '', NULL),
(7, 14476, '0.5', NULL),
(5, 14476, '', NULL),
(8, 14476, '', NULL),
(11, 4266, '', NULL),
(7, 12314, '0', NULL),
(11, 14477, '', NULL),
(2, 14477, 'Task', NULL),
(4, 14477, 'R82275352', NULL),
(1, 14477, '2', NULL),
(6, 14477, '', NULL),
(7, 14477, '0', NULL),
(5, 14477, '', NULL),
(8, 14477, '', NULL),
(11, 14478, '', NULL),
(2, 14478, 'Task', NULL),
(4, 14478, 'R82275583', NULL),
(1, 14478, '2', NULL),
(6, 14478, '', NULL),
(7, 14478, '0', NULL),
(5, 14478, '', NULL),
(8, 14478, '', NULL),
(7, 14248, '0', NULL),
(8, 14514, '', NULL),
(5, 14514, '', NULL),
(7, 14514, '0', NULL),
(6, 14514, '', NULL),
(11, 14514, 'Recette', NULL),
(1, 14514, '2', NULL),
(4, 14514, 'R82275814', NULL),
(2, 14514, 'Bug', NULL),
(11, 12304, '', NULL),
(3, 12304, '', NULL),
(6, 12304, '', NULL),
(8, 12304, '', NULL),
(5, 12307, '1496613600', NULL),
(5, 14243, '', NULL),
(3, 14243, '10', NULL),
(5, 14242, '', NULL),
(5, 12327, '', NULL),
(3, 14534, '0', NULL),
(1, 14534, '2', NULL),
(6, 14534, '', NULL),
(7, 14534, '', NULL),
(5, 14534, '', NULL),
(8, 14534, '', NULL),
(2, 14534, 'Task', NULL),
(4, 14534, '', NULL),
(11, 14540, '', NULL),
(2, 14540, 'Task', NULL),
(4, 14540, 'R82276045', NULL),
(3, 14540, '3', NULL),
(1, 14540, '2', NULL),
(6, 14540, '', NULL),
(7, 14540, '0', NULL),
(5, 14540, '', NULL),
(8, 14540, '', NULL),
(11, 14542, 'Production', NULL),
(2, 14542, 'Bug', NULL),
(4, 14542, 'R82276276', NULL),
(3, 14542, '0', NULL),
(1, 14542, '2', NULL),
(6, 14542, '', NULL),
(7, 14542, '0', NULL),
(5, 14542, '', NULL),
(8, 14542, '', NULL),
(11, 14545, 'Recette', NULL),
(2, 14545, 'Bug', NULL),
(4, 14545, 'R82276507', NULL),
(1, 14545, '2', NULL),
(6, 14545, '', NULL),
(7, 14545, '0', NULL),
(5, 14545, '', NULL),
(8, 14545, '', NULL),
(11, 14546, 'Recette', NULL),
(2, 14546, 'Bug', NULL),
(4, 14546, 'R82276738', NULL),
(1, 14546, '2', NULL),
(6, 14546, '', NULL),
(7, 14546, '0', NULL),
(5, 14546, '', NULL),
(8, 14546, '', NULL),
(7, 14261, '0', NULL),
(11, 14548, 'Production', NULL),
(2, 14548, 'Bug', NULL),
(4, 14548, 'R82276969', NULL),
(3, 14548, '0', NULL),
(1, 14548, '2', NULL),
(6, 14548, '', NULL),
(7, 14548, '0', NULL),
(5, 14548, '', NULL),
(8, 14548, '', NULL),
(11, 14552, 'Recette', NULL),
(2, 14552, 'Bug', NULL),
(4, 14552, 'R82277200', NULL),
(1, 14552, '2', NULL),
(6, 14552, '', NULL),
(7, 14552, '0', NULL),
(5, 14552, '', NULL),
(8, 14552, '', NULL),
(7, 12309, '0', NULL),
(7, 14250, '0', NULL),
(7, 14243, '0', NULL),
(7, 14262, '0', NULL),
(11, 14593, '', NULL),
(2, 14593, 'Task', NULL),
(4, 14593, 'R82277431', NULL),
(1, 14593, '2', NULL),
(6, 14593, '', NULL),
(7, 14593, '0', NULL),
(5, 14593, '', NULL),
(8, 14593, '', NULL),
(11, 14594, 'Recette', NULL),
(2, 14594, 'Bug', NULL),
(4, 14594, 'R82277662', NULL),
(1, 14594, '2', NULL),
(6, 14594, '', NULL),
(7, 14594, '3', NULL),
(5, 14594, '', NULL),
(8, 14594, '', NULL),
(11, 14595, 'Recette', NULL),
(2, 14595, 'Bug', NULL),
(4, 14595, 'R82277893', NULL),
(1, 14595, '2', NULL),
(6, 14595, '', NULL),
(7, 14595, '2', NULL),
(5, 14595, '', NULL),
(8, 14595, '', NULL),
(11, 14596, '', NULL),
(2, 14596, 'Task', NULL),
(4, 14596, 'R82278124', NULL),
(1, 14596, '10', NULL),
(6, 14596, '', NULL),
(7, 14596, '1', NULL),
(5, 14596, '', NULL),
(8, 14596, '', NULL),
(11, 14608, 'Recette', NULL),
(2, 14608, 'Bug', NULL),
(4, 14608, 'R82278355', NULL),
(1, 14608, '2', NULL),
(6, 14608, '', NULL),
(7, 14608, '', NULL),
(5, 14608, '', NULL),
(8, 14608, '', NULL),
(4, 14618, 'R82278586', NULL),
(1, 14618, '2', NULL),
(2, 14618, 'Bug', NULL),
(4, 14619, 'R82278817', NULL),
(1, 14619, '2', NULL),
(2, 14619, 'Bug', NULL),
(4, 14620, 'R82279048', NULL),
(1, 14620, '2', NULL),
(2, 14620, 'Bug', NULL),
(4, 14621, 'R82279279', NULL),
(1, 14621, '2', NULL),
(2, 14621, 'Bug', NULL),
(4, 14622, 'R82279510', NULL),
(1, 14622, '2', NULL),
(2, 14622, 'Bug', NULL),
(4, 14623, 'R82279741', NULL),
(1, 14623, '2', NULL),
(2, 14623, 'Bug', NULL),
(11, 14618, 'Recette', NULL),
(3, 14618, '0', NULL),
(6, 14618, '', NULL),
(7, 14618, '0', NULL),
(5, 14618, '', NULL),
(8, 14618, '', NULL),
(11, 14619, 'Recette', NULL),
(3, 14619, '0', NULL),
(6, 14619, '', NULL),
(7, 14619, '0', NULL),
(5, 14619, '', NULL),
(8, 14619, '', NULL),
(11, 14620, 'Recette', NULL),
(3, 14620, '0', NULL),
(6, 14620, '', NULL),
(7, 14620, '0', NULL),
(5, 14620, '', NULL),
(8, 14620, '', NULL),
(11, 14621, 'Recette', NULL),
(3, 14621, '0', NULL),
(6, 14621, '', NULL),
(7, 14621, '0', NULL),
(5, 14621, '', NULL),
(8, 14621, '', NULL),
(11, 14622, 'Recette', NULL),
(3, 14622, '0', NULL),
(6, 14622, '', NULL),
(7, 14622, '0', NULL),
(5, 14622, '', NULL),
(8, 14622, '', NULL),
(11, 14623, 'Recette', NULL),
(3, 14623, '0', NULL),
(6, 14623, '', NULL),
(7, 14623, '0', NULL),
(5, 14623, '', NULL),
(8, 14623, '', NULL),
(11, 14642, '', NULL),
(2, 14642, 'Task', NULL),
(4, 14642, 'R82279972', NULL),
(1, 14642, '15', NULL),
(6, 14642, '', NULL),
(7, 14642, '0', NULL),
(5, 14642, '', NULL),
(8, 14642, '', NULL),
(11, 14643, '', NULL),
(2, 14643, 'Task', NULL),
(4, 14643, 'R82280203', NULL),
(1, 14643, '15', NULL),
(6, 14643, '', NULL),
(7, 14643, '0', NULL),
(5, 14643, '', NULL),
(8, 14643, '', NULL),
(11, 14644, '', NULL),
(2, 14644, 'Task', NULL),
(4, 14644, 'R82280434', NULL),
(1, 14644, '4', NULL),
(6, 14644, '', NULL),
(7, 14644, '4', NULL),
(5, 14644, '', NULL),
(8, 14644, '', NULL),
(11, 14645, 'Recette', NULL),
(2, 14645, 'Bug', NULL),
(4, 14645, 'R82280665', NULL),
(1, 14645, '2', NULL),
(6, 14645, '', NULL),
(7, 14645, '2', NULL),
(5, 14645, '', NULL),
(8, 14645, '', NULL),
(11, 14705, 'Recette', NULL),
(2, 14705, 'Bug', NULL),
(4, 14705, 'R82280896', NULL),
(1, 14705, '2', NULL),
(6, 14705, '', NULL),
(7, 14705, '0', NULL),
(5, 14705, '', NULL),
(8, 14705, '', NULL),
(11, 14706, '', NULL),
(2, 14706, 'Task', NULL),
(4, 14706, 'R82281127', NULL),
(1, 14706, '4', NULL),
(6, 14706, '', NULL),
(7, 14706, '0', NULL),
(5, 14706, '', NULL),
(8, 14706, '', NULL),
(7, 14259, '0', NULL),
(11, 14166, 'Production', NULL),
(3, 14166, '0', NULL),
(6, 14166, '', NULL),
(5, 14166, '', NULL),
(8, 14166, '', NULL),
(11, 14233, 'Recette', NULL),
(3, 14233, '0', NULL),
(6, 14233, '', NULL),
(5, 14233, '', NULL),
(8, 14233, '', NULL),
(11, 14234, 'Recette', NULL),
(3, 14234, '0', NULL),
(6, 14234, '', NULL),
(5, 14234, '', NULL),
(8, 14234, '', NULL),
(3, 14595, '0', NULL),
(3, 14594, '0', NULL),
(4, 14708, 'R82281358', NULL),
(1, 14708, '2', NULL),
(2, 14708, 'Bug', NULL),
(4, 14709, 'R82281589', NULL),
(1, 14709, '5', NULL),
(2, 14709, 'Bug', NULL),
(4, 14710, 'R82281820', NULL),
(1, 14710, '3', NULL),
(2, 14710, 'Task', NULL),
(4, 14712, 'R82282051', NULL),
(1, 14712, '2', NULL),
(2, 14712, 'Task', NULL),
(6, 14712, '', NULL),
(3, 14712, '10', NULL),
(11, 14712, '', NULL),
(4, 14714, 'R82282282', NULL),
(1, 14714, '5', NULL),
(2, 14714, 'Task', NULL),
(5, 14714, '', NULL),
(4, 14715, 'R82282513', NULL),
(1, 14715, '5', NULL),
(2, 14715, 'Task', NULL),
(5, 14246, '', NULL),
(11, 14716, '', NULL),
(2, 14716, 'Task', NULL),
(4, 14716, 'R82282744', NULL),
(3, 14716, '17.5', NULL),
(1, 14716, '14', NULL),
(6, 14716, '', NULL),
(7, 14716, '0', NULL),
(5, 14716, '', NULL),
(8, 14716, '', NULL),
(4, 14717, 'R82282975', NULL),
(1, 14717, '2', NULL),
(2, 14717, 'Task', NULL),
(4, 14718, 'R82283206', NULL),
(1, 14718, '3', NULL),
(2, 14718, 'Task', NULL),
(4, 14719, 'R82283668', NULL),
(1, 14719, '1', NULL),
(2, 14719, 'Task', NULL),
(4, 14720, 'R82283899', NULL),
(1, 14720, '1', NULL),
(2, 14720, 'Task', NULL),
(11, 14721, '', NULL),
(2, 14721, 'Task', NULL),
(4, 14721, 'R82284130', NULL),
(3, 14721, '19.9', NULL),
(1, 14721, '11', NULL),
(6, 14721, '', NULL),
(7, 14721, '0', NULL),
(5, 14721, '', NULL),
(8, 14721, '', NULL),
(5, 12319, '', NULL),
(5, 12324, '', NULL),
(5, 12325, '1496613600', NULL),
(7, 14712, '0', NULL),
(5, 14712, '', NULL),
(8, 14712, '1480287600', NULL),
(11, 14714, '', NULL),
(3, 14714, '0', NULL),
(6, 14714, '', NULL),
(7, 14714, '0', NULL),
(8, 14714, '', NULL),
(11, 14709, 'Recette', NULL),
(3, 14709, '0', NULL),
(6, 14709, '', NULL),
(7, 14709, '0', NULL),
(5, 14709, '', NULL),
(8, 14709, '', NULL),
(3, 14715, '0', NULL),
(3, 14720, '2', NULL),
(3, 14718, '4', NULL),
(7, 14253, '0', NULL),
(5, 14253, '', NULL),
(11, 14245, '', NULL),
(3, 14245, '8', NULL),
(6, 14245, '', NULL),
(7, 14245, '0', NULL),
(5, 14245, '', NULL),
(8, 14245, '', NULL),
(11, 14249, '', NULL),
(3, 14249, '6', NULL),
(6, 14249, '', NULL),
(7, 14249, '0', NULL),
(5, 14249, '', NULL),
(8, 14249, '', NULL),
(3, 14706, '7', NULL),
(11, 14722, '', NULL),
(2, 14722, 'Task', NULL),
(4, 14722, 'R82272118', NULL),
(3, 14722, '', NULL),
(1, 14722, '3', NULL),
(6, 14722, '', NULL),
(7, 14722, '0', NULL),
(5, 14722, '', NULL),
(8, 14722, '', NULL),
(11, 14791, '', NULL),
(2, 14791, 'Task', NULL),
(4, 14791, '', NULL),
(3, 14791, '0', NULL),
(1, 14791, '62', NULL),
(6, 14791, '', NULL),
(7, 14791, '0', NULL),
(5, 14791, '', NULL),
(8, 14791, '', NULL),
(7, 14708, '0', NULL),
(7, 14226, '0', NULL),
(7, 14227, '0', NULL),
(11, 14796, 'Production', NULL),
(2, 14796, 'Bug', NULL),
(4, 14796, 'R82284592', NULL),
(3, 14796, '0', NULL),
(1, 14796, '0', NULL),
(6, 14796, '', NULL),
(7, 14796, '0', NULL),
(5, 14796, '', NULL),
(8, 14796, '', NULL),
(11, 14797, 'Production', NULL),
(2, 14797, 'Bug', NULL),
(4, 14797, 'R82284823', NULL),
(3, 14797, '0', NULL),
(1, 14797, '2', NULL),
(6, 14797, '', NULL),
(7, 14797, '0', NULL),
(5, 14797, '', NULL),
(8, 14797, '', NULL),
(11, 14800, 'Recette', NULL),
(2, 14800, 'Bug', NULL),
(4, 14800, 'R82285054', NULL),
(1, 14800, '2', NULL),
(6, 14800, '', NULL),
(7, 14800, '1', NULL),
(5, 14800, '', NULL),
(8, 14800, '', NULL),
(11, 14801, 'Recette', NULL),
(2, 14801, 'Bug', NULL),
(4, 14801, 'R82285285', NULL),
(1, 14801, '2', NULL),
(6, 14801, '', NULL),
(7, 14801, '0', NULL),
(5, 14801, '', NULL),
(8, 14801, '', NULL),
(3, 14719, '1', NULL),
(5, 14718, '', NULL),
(7, 14720, '0', NULL),
(11, 14807, '', NULL),
(2, 14807, 'Task', NULL),
(4, 14807, 'R82285516', NULL),
(3, 14807, '', NULL),
(1, 14807, '8', NULL),
(6, 14807, '', NULL),
(7, 14807, '0', NULL),
(5, 14807, '', NULL),
(8, 14807, '', NULL),
(11, 14808, '', NULL),
(2, 14808, 'Task', NULL),
(4, 14808, 'R82285747', NULL),
(3, 14808, '', NULL),
(1, 14808, '20', NULL),
(6, 14808, '', NULL),
(7, 14808, '', NULL),
(5, 14808, '', NULL),
(8, 14808, '', NULL),
(11, 14813, '', NULL),
(2, 14813, 'Task', NULL),
(4, 14813, 'R82285978', NULL),
(3, 14813, '3', NULL),
(1, 14813, '3', NULL),
(6, 14813, '', NULL),
(7, 14813, '0', NULL),
(5, 14813, '', NULL),
(8, 14813, '', NULL),
(11, 14814, '', NULL),
(2, 14814, 'Task', NULL),
(4, 14814, 'R82286209', NULL),
(3, 14814, '5.5', NULL),
(1, 14814, '5', NULL),
(6, 14814, '', NULL),
(7, 14814, '0', NULL),
(5, 14814, '', NULL),
(8, 14814, '', NULL),
(11, 14817, '', NULL),
(2, 14817, 'Task', NULL),
(4, 14817, 'R82286440', NULL),
(1, 14817, '8', NULL),
(6, 14817, '', NULL),
(7, 14817, '0', NULL),
(5, 14817, '', NULL),
(8, 14817, '', NULL),
(11, 14262, '', NULL),
(6, 14262, '', NULL),
(8, 14262, '', NULL),
(5, 15164, '', NULL),
(7, 15164, '0', NULL),
(6, 15164, '', NULL),
(1, 15164, '20', NULL),
(3, 15164, '15', NULL),
(4, 15164, 'R82283437', NULL),
(2, 15164, 'Task', NULL),
(11, 15164, '', NULL),
(3, 14717, '3.5', NULL),
(11, 14820, '', NULL),
(2, 14820, 'Task', NULL),
(4, 14820, 'R82286671', NULL),
(1, 14820, '10', NULL),
(6, 14820, '', NULL),
(7, 14820, '9.75', NULL),
(5, 14820, '', NULL),
(8, 14820, '', NULL),
(5, 14260, '', NULL),
(5, 14263, '', NULL),
(7, 14717, '0', NULL),
(11, 14827, 'Recette', NULL),
(2, 14827, 'Bug', NULL),
(4, 14827, 'R82286902', NULL),
(1, 14827, '2', NULL),
(6, 14827, '', NULL),
(7, 14827, '0', NULL),
(5, 14827, '', NULL),
(8, 14827, '', NULL),
(7, 14719, '0', NULL),
(7, 14715, '0', NULL),
(11, 15064, '', NULL),
(2, 15064, 'Task', NULL),
(4, 15064, 'R82287133', NULL),
(1, 15064, '3', NULL),
(6, 15064, '', NULL),
(7, 15064, '0', NULL),
(5, 15064, '', NULL),
(8, 15064, '', NULL),
(11, 15068, 'Production', NULL),
(2, 15068, 'Task', NULL),
(4, 15068, 'R82287364', NULL),
(1, 15068, '10', NULL),
(6, 15068, '', NULL),
(7, 15068, '0', NULL),
(5, 15068, '', NULL),
(8, 15068, '', NULL),
(11, 15069, 'Production', NULL),
(2, 15069, 'Bug', NULL),
(4, 15069, 'R82287595', NULL),
(1, 15069, '2', NULL),
(6, 15069, '', NULL),
(7, 15069, '0', NULL),
(5, 15069, '', NULL),
(8, 15069, '', NULL),
(3, 14827, '0', NULL),
(4, 15159, 'R82287826', NULL),
(3, 15159, '2', NULL),
(1, 15159, '2', NULL),
(2, 15159, 'Task', NULL),
(4, 15160, 'R82288057', NULL),
(3, 15160, '6', NULL),
(1, 15160, '0', NULL),
(2, 15160, 'Task', NULL),
(4, 15161, 'R82288288', NULL),
(1, 15161, '2', NULL),
(2, 15161, 'Task', NULL),
(4, 15162, 'R82288519', NULL),
(1, 15162, '2', NULL),
(2, 15162, 'Bug', NULL),
(4, 15163, 'R82288750', NULL),
(1, 15163, '2', NULL),
(2, 15163, 'Bug', NULL),
(7, 15160, '0', NULL),
(3, 14246, '3.5', NULL),
(3, 14248, '4', NULL),
(8, 15164, '', NULL),
(11, 15165, '', NULL),
(2, 15165, 'Task', NULL),
(4, 15165, 'R82255024', NULL),
(3, 15165, '9', NULL),
(1, 15165, '2', NULL),
(6, 15165, '', NULL),
(7, 15165, '0', NULL),
(5, 15165, '', NULL),
(8, 15165, '', NULL),
(3, 12137, '0', NULL),
(7, 14718, '0', NULL),
(8, 19800, '', NULL),
(5, 19800, '', NULL),
(7, 19800, '0', NULL),
(6, 19800, '', NULL),
(1, 19800, '2', NULL),
(4, 19800, '', NULL),
(11, 15195, '', NULL),
(2, 15195, 'Task', NULL),
(4, 15195, 'R82288981', NULL),
(3, 15195, '3', NULL),
(1, 15195, '2', NULL),
(6, 15195, '', NULL),
(7, 15195, '0', NULL),
(5, 15195, '', NULL),
(8, 15195, '', NULL),
(11, 15196, '', NULL),
(2, 15196, 'Task', NULL),
(4, 15196, 'R82289212', NULL),
(3, 15196, '1', NULL),
(1, 15196, '1', NULL),
(6, 15196, '', NULL),
(7, 15196, '0', NULL),
(5, 15196, '', NULL),
(8, 15196, '', NULL),
(7, 15163, '0', NULL),
(7, 14242, '0', NULL),
(7, 15162, '0', NULL),
(11, 15204, '', NULL),
(2, 15204, 'Task', NULL),
(4, 15204, 'R82289443', NULL),
(1, 15204, '7', NULL),
(6, 15204, '', NULL),
(7, 15204, '0', NULL),
(5, 15204, '', NULL),
(8, 15204, '', NULL),
(4, 15217, 'R82289674', NULL),
(1, 15217, '2', NULL),
(2, 15217, 'Bug', NULL),
(4, 15218, 'R82289905', NULL),
(1, 15218, '2', NULL),
(2, 15218, 'Bug', NULL),
(4, 15219, 'R82290136', NULL),
(1, 15219, '2', NULL),
(2, 15219, 'Bug', NULL),
(4, 15220, 'R82290367', NULL),
(1, 15220, '2', NULL),
(2, 15220, 'Bug', NULL),
(4, 15221, 'R82290598', NULL),
(1, 15221, '2', NULL),
(2, 15221, 'Bug', NULL),
(11, 15217, 'Recette', NULL),
(11, 15219, 'Recette', NULL),
(11, 15218, 'Recette', NULL),
(11, 15221, 'Recette', NULL),
(11, 15220, 'Recette', NULL),
(8, 14717, '', NULL),
(5, 14264, '', NULL),
(7, 14260, '0', NULL),
(11, 15256, '', NULL),
(2, 15256, 'Task', NULL),
(4, 15256, 'R82290829', NULL),
(3, 15256, '9.5', NULL),
(1, 15256, '2', NULL),
(6, 15256, '', NULL),
(7, 15256, '0', NULL),
(5, 15256, '1478559600', NULL),
(8, 15256, '', NULL),
(11, 15260, 'Recette', NULL),
(2, 15260, 'Bug', NULL),
(4, 15260, 'R82291060', NULL),
(1, 15260, '2', NULL),
(6, 15260, '', NULL),
(7, 15260, '0', NULL),
(5, 15260, '', NULL),
(8, 15260, '', NULL),
(2, 23149, 'Bug', NULL),
(1, 23149, '0.5', NULL),
(4, 23149, 'R82330561', NULL),
(7, 14263, '0', NULL),
(11, 14227, 'Recette', NULL),
(3, 14227, '0', NULL),
(6, 14227, '', NULL),
(5, 14227, '', NULL),
(8, 14227, '', NULL),
(11, 14708, 'Recette', NULL),
(3, 14708, '0', NULL),
(6, 14708, '', NULL),
(5, 14708, '', NULL),
(8, 14708, '', NULL),
(11, 15162, 'Recette', NULL),
(3, 15162, '0', NULL),
(6, 15162, '', NULL),
(5, 15162, '', NULL),
(8, 15162, '', NULL),
(11, 15163, 'Recette', NULL),
(3, 15163, '0', NULL),
(6, 15163, '', NULL),
(5, 15163, '', NULL),
(8, 15163, '', NULL),
(5, 14719, '', NULL),
(7, 15159, '0', NULL),
(7, 14264, '0', NULL),
(11, 15281, '', NULL),
(2, 15281, 'Task', NULL),
(4, 15281, '', NULL),
(3, 15281, '0', NULL),
(1, 15281, '2', NULL),
(6, 15281, '', NULL),
(7, 15281, '0', NULL),
(5, 15281, '', NULL),
(8, 15281, '', NULL),
(4, 15285, 'R82291984', NULL),
(2, 15284, 'Bug', NULL),
(1, 15284, '2', NULL),
(4, 15284, 'R82291753', NULL),
(2, 15283, 'Bug', NULL),
(1, 15283, '2', NULL),
(4, 15283, 'R82291522', NULL),
(7, 14710, '0', NULL),
(1, 15285, '2', NULL),
(2, 15285, 'Bug', NULL),
(4, 15286, 'R82292215', NULL),
(1, 15286, '2', NULL),
(2, 15286, 'Bug', NULL),
(4, 15287, 'R82292446', NULL),
(1, 15287, '2', NULL),
(2, 15287, 'Bug', NULL),
(4, 15288, 'R82292677', NULL),
(1, 15288, '2', NULL),
(2, 15288, 'Bug', NULL),
(4, 15289, 'R82292908', NULL),
(1, 15289, '2', NULL),
(2, 15289, 'Bug', NULL),
(4, 15290, 'R82293139', NULL),
(1, 15290, '2', NULL),
(2, 15290, 'Bug', NULL),
(4, 15291, 'R82293370', NULL),
(1, 15291, '2', NULL),
(2, 15291, 'Bug', NULL),
(4, 15292, 'R82293601', NULL),
(1, 15292, '2', NULL),
(2, 15292, 'Bug', NULL),
(7, 15289, '0', NULL),
(7, 15290, '0', NULL),
(11, 15308, '', NULL),
(2, 15308, 'Task', NULL),
(4, 15308, 'R82294063', NULL),
(1, 15308, '4', NULL),
(6, 15308, '', NULL),
(7, 15308, '3.75', NULL),
(5, 15308, '', NULL),
(8, 15308, '', NULL),
(11, 15309, '', NULL),
(2, 15309, 'Task', NULL),
(4, 15309, 'R82294294', NULL),
(1, 15309, '6', NULL),
(6, 15309, '', NULL),
(7, 15309, '0', NULL),
(5, 15309, '', NULL),
(8, 15309, '', NULL),
(11, 8130, '', NULL),
(4, 15316, 'R82294525', NULL),
(1, 15316, '2', NULL),
(2, 15316, 'Task', NULL),
(4, 15317, 'R82294756', NULL),
(1, 15317, '2', NULL),
(2, 15317, 'Task', NULL),
(4, 15318, 'R82294987', NULL),
(1, 15318, '2', NULL),
(2, 15318, 'Task', NULL),
(4, 15319, 'R82295218', NULL),
(1, 15319, '2', NULL),
(2, 15319, 'Task', NULL),
(11, 15320, 'Recette', NULL),
(2, 15320, 'Bug', NULL),
(4, 15320, 'R82295449', NULL),
(3, 15320, '0', NULL),
(1, 15320, '2', NULL),
(6, 15320, '', NULL),
(7, 15320, '0', NULL),
(5, 15320, '', NULL),
(8, 15320, '', NULL),
(7, 15283, '0', NULL),
(4, 15374, 'R82295680', NULL),
(1, 15374, '2', NULL),
(2, 15374, 'Bug', NULL),
(4, 15375, 'R82295911', NULL),
(1, 15375, '1', NULL),
(2, 15375, 'Task', NULL),
(4, 15376, 'R82296142', NULL),
(1, 15376, '2', NULL),
(2, 15376, 'Task', NULL),
(11, 15375, '', NULL),
(3, 15375, '1', NULL),
(6, 15375, '', NULL),
(7, 15375, '0', NULL),
(5, 15375, '', NULL),
(8, 15375, '', NULL),
(11, 15377, '', NULL),
(2, 15377, 'Task', NULL),
(4, 15377, 'R82296373', NULL),
(3, 15377, '3', NULL),
(1, 15377, '5', NULL),
(6, 15377, '', NULL),
(7, 15377, '0', NULL),
(5, 15377, '1482188400', NULL),
(8, 15377, '', NULL),
(11, 15374, 'Production', NULL),
(3, 15374, '0', NULL),
(6, 15374, '', NULL),
(7, 15374, '0', NULL),
(5, 15374, '', NULL),
(8, 15374, '', NULL),
(7, 15217, '0', NULL),
(7, 15218, '0', NULL),
(7, 15219, '0', NULL),
(11, 15380, 'Production', NULL),
(2, 15380, 'Bug', NULL),
(4, 15380, 'R82296604', NULL),
(3, 15380, '0', NULL),
(1, 15380, '2', NULL),
(6, 15380, '', NULL),
(7, 15380, '0', NULL),
(5, 15380, '', NULL),
(8, 15380, '', NULL),
(3, 15161, '6', NULL),
(3, 15290, '0', NULL),
(3, 15284, '0', NULL),
(3, 15260, '0', NULL),
(3, 15219, '0', NULL),
(3, 15218, '0', NULL),
(3, 15217, '0', NULL),
(3, 15283, '0', NULL),
(3, 15289, '0', NULL),
(3, 14545, '0', NULL),
(3, 14514, '0', NULL),
(3, 14645, '0', NULL),
(3, 15292, '0', NULL),
(3, 15291, '0', NULL),
(3, 15288, '0', NULL),
(3, 15287, '0', NULL),
(3, 15286, '0', NULL),
(3, 15285, '0', NULL),
(3, 15221, '0', NULL),
(3, 15220, '0', NULL),
(3, 15069, '0', NULL),
(3, 14705, '0', NULL),
(3, 14801, '0', NULL),
(3, 14800, '0', NULL),
(3, 14226, '0', NULL),
(3, 14608, '0', NULL),
(3, 14258, '0', NULL),
(3, 14546, '0', NULL),
(3, 14552, '0', NULL),
(3, 14235, '0', NULL),
(3, 14232, '0', NULL),
(3, 14228, '0', NULL),
(3, 14229, '0', NULL),
(3, 14230, '0', NULL),
(3, 14231, '0', NULL),
(3, 13799, '0', NULL),
(3, 14257, '0', NULL),
(3, 9468, '0', NULL),
(3, 13628, '0', NULL),
(3, 12155, '0', NULL),
(3, 13800, '0', NULL),
(3, 13797, '0', NULL),
(3, 13798, '0', NULL),
(3, 13698, '0', NULL),
(3, 13789, '0', NULL),
(3, 13784, '0', NULL),
(3, 10195, '0', NULL),
(3, 13251, '0', NULL),
(3, 12467, '0', NULL),
(3, 12782, '0', NULL),
(3, 12963, '0', NULL),
(3, 12466, '0', NULL),
(3, 12844, '0', NULL),
(3, 12465, '0', NULL),
(3, 12783, '0', NULL),
(3, 12182, '0', NULL),
(3, 9459, '0', NULL),
(3, 12253, '0', NULL),
(3, 12252, '0', NULL),
(3, 9572, '0', NULL),
(3, 9670, '0', NULL),
(3, 12164, '0', NULL),
(3, 12163, '0', NULL),
(3, 12161, '0', NULL),
(3, 12152, '0', NULL),
(3, 12061, '0', NULL),
(3, 10896, '0', NULL),
(3, 10088, '0', NULL),
(3, 10165, '0', NULL),
(3, 9461, '0', NULL),
(3, 9465, '0', NULL),
(3, 9477, '0', NULL),
(3, 10895, '0', NULL),
(3, 10897, '0', NULL),
(3, 9495, '0', NULL),
(3, 9494, '0', NULL),
(3, 8859, '0', NULL),
(3, 8858, '0', NULL),
(3, 8627, '0', NULL),
(3, 9496, '0', NULL),
(3, 10235, '0', NULL),
(3, 10147, '0', NULL),
(3, 10137, '0', NULL),
(3, 10139, '0', NULL),
(3, 10146, '0', NULL),
(3, 10136, '0', NULL),
(3, 10138, '0', NULL),
(3, 10236, '0', NULL),
(3, 9672, '0', NULL),
(3, 9671, '0', NULL),
(3, 9451, '0', NULL),
(3, 10148, '0', NULL),
(3, 9766, '0', NULL),
(3, 9574, '0', NULL),
(3, 6539, '0', NULL),
(3, 9630, '0', NULL),
(3, 9628, '0', NULL),
(3, 3896, '0', NULL),
(3, 3894, '0', NULL),
(3, 4715, '0', NULL),
(3, 4370, '0', NULL),
(3, 4938, '0', NULL),
(3, 3892, '0', NULL),
(3, 5457, '0', NULL),
(3, 5343, '0', NULL),
(3, 5342, '0', NULL),
(3, 4940, '0', NULL),
(3, 8086, '0', NULL),
(3, 7394, '0', NULL),
(3, 7754, '0', NULL),
(3, 4496, '0', NULL),
(3, 4657, '0', NULL),
(3, 4658, '0', NULL),
(3, 5407, '0', NULL),
(3, 5453, '0', NULL),
(3, 6067, '0', NULL),
(3, 7242, '0', NULL),
(3, 7121, '0', NULL),
(3, 6296, '0', NULL),
(3, 4623, '0', NULL),
(3, 6932, '0', NULL),
(3, 6928, '0', NULL),
(3, 6826, '0', NULL),
(3, 6021, '0', NULL),
(3, 6132, '0', NULL),
(3, 6131, '0', NULL),
(3, 6022, '0', NULL),
(3, 5348, '0', NULL),
(3, 4745, '0', NULL),
(3, 3891, '0', NULL),
(3, 3968, '0', NULL),
(11, 15398, 'Production', NULL),
(2, 15398, 'Bug', NULL),
(4, 15398, 'R82296835', NULL),
(3, 15398, '0', NULL),
(1, 15398, '2', NULL),
(6, 15398, '', NULL),
(7, 15398, '0', NULL),
(5, 15398, '', NULL),
(8, 15398, '', NULL),
(11, 15564, '', NULL),
(2, 15564, 'Task', NULL),
(4, 15564, 'R82297066', NULL),
(1, 15564, '4', NULL),
(6, 15564, '', NULL),
(7, 15564, '0', NULL),
(5, 15564, '', NULL),
(8, 15564, '', NULL),
(7, 15284, '0', NULL),
(7, 15316, '0', NULL),
(7, 15161, '0', NULL),
(5, 14710, '', NULL),
(8, 14259, '', NULL),
(11, 15571, '', NULL),
(2, 15571, 'Task', NULL),
(4, 15571, 'R82297297', NULL),
(3, 15571, '20', NULL),
(1, 15571, '8', NULL),
(6, 15571, '', NULL),
(7, 15571, '0', NULL),
(5, 15571, '1480460400', NULL),
(8, 15571, '', NULL),
(7, 15221, '0', NULL),
(5, 14250, '', NULL),
(7, 15288, '0', NULL),
(7, 15285, '0', NULL),
(11, 14242, '', NULL),
(6, 14242, '', NULL),
(8, 14242, '', NULL),
(3, 14242, '11', NULL),
(11, 14243, '', NULL),
(6, 14243, '', NULL),
(8, 14243, '', NULL),
(7, 15220, '0', NULL),
(7, 15318, '0', NULL),
(11, 15161, '', NULL),
(6, 15161, '', NULL),
(5, 15161, '', NULL),
(8, 15161, '', NULL),
(11, 15716, '', NULL),
(2, 15716, 'Task', NULL),
(4, 15716, 'R82297528', NULL),
(3, 15716, '2.5', NULL),
(1, 15716, '2', NULL),
(6, 15716, '', NULL),
(7, 15716, '0', NULL),
(5, 15716, '', NULL),
(8, 15716, '', NULL),
(7, 15287, '0', NULL),
(11, 15766, '', NULL),
(2, 15766, 'Task', NULL),
(4, 15766, 'R82297759', NULL),
(1, 15766, '4', NULL),
(6, 15766, '', NULL),
(7, 15766, '0', NULL),
(5, 15766, '', NULL),
(8, 15766, '', NULL),
(11, 15769, '', NULL),
(2, 15769, 'Task', NULL),
(4, 15769, 'R82297990', NULL),
(3, 15769, '1', NULL),
(1, 15769, '0.5', NULL),
(6, 15769, '', NULL),
(7, 15769, '0', NULL),
(5, 15769, '', NULL),
(8, 15769, '', NULL),
(11, 15770, '', NULL),
(2, 15770, 'Task', NULL),
(4, 15770, 'R82298221', NULL),
(3, 15770, '1.6', NULL),
(1, 15770, '1', NULL),
(6, 15770, '', NULL),
(7, 15770, '0', NULL),
(5, 15770, '', NULL),
(8, 15770, '', NULL),
(11, 15775, 'Production', NULL),
(2, 15775, 'Bug', NULL),
(4, 15775, 'R82298452', NULL),
(1, 15775, '2', NULL),
(6, 15775, '', NULL),
(7, 15775, '0', NULL),
(5, 15775, '', NULL),
(8, 15775, '', NULL),
(5, 15284, '', NULL),
(7, 15286, '0', NULL),
(5, 15290, '', NULL),
(11, 15779, '', NULL),
(2, 15779, 'Task', NULL),
(4, 15779, 'R82298683', NULL),
(3, 15779, '3', NULL),
(1, 15779, '0', NULL),
(6, 15779, '', NULL),
(7, 15779, '0', NULL),
(5, 15779, '', NULL),
(8, 15779, '', NULL),
(11, 15780, '', NULL),
(2, 15780, 'Task', NULL),
(4, 15780, 'R82298914', NULL),
(3, 15780, '6', NULL),
(1, 15780, '0', NULL),
(6, 15780, '', NULL),
(7, 15780, '0', NULL),
(5, 15780, '', NULL),
(8, 15780, '', NULL),
(11, 15781, '', NULL),
(2, 15781, 'Task', NULL),
(4, 15781, 'R82299145', NULL),
(3, 15781, '2', NULL),
(1, 15781, '1', NULL),
(6, 15781, '', NULL),
(7, 15781, '0', NULL),
(5, 15781, '', NULL),
(8, 15781, '', NULL),
(11, 15782, '', NULL),
(2, 15782, 'Task', NULL),
(4, 15782, 'R82299376', NULL),
(3, 15782, '4', NULL),
(1, 15782, '3', NULL),
(6, 15782, '', NULL),
(7, 15782, '0', NULL),
(5, 15782, '', NULL),
(8, 15782, '', NULL),
(11, 15785, '', NULL),
(2, 15785, 'Task', NULL),
(4, 15785, 'R82299607', NULL),
(1, 15785, '5', NULL),
(6, 15785, '', NULL),
(7, 15785, '0', NULL),
(5, 15785, '', NULL),
(8, 15785, '', NULL),
(7, 15317, '0', NULL),
(3, 14710, '5', NULL),
(7, 15319, '0', NULL),
(3, 15318, '5.5', NULL),
(3, 15319, '4', NULL),
(11, 15832, '', NULL),
(2, 15832, 'Task', NULL),
(4, 15832, 'R82299838', NULL),
(1, 15832, '5', NULL),
(6, 15832, '', NULL),
(7, 15832, '0', NULL),
(5, 15832, '', NULL),
(8, 15832, '', NULL),
(11, 15833, '', NULL),
(2, 15833, 'Task', NULL),
(4, 15833, 'R82300069', NULL),
(1, 15833, '5', NULL),
(6, 15833, '', NULL),
(7, 15833, '0', NULL),
(5, 15833, '', NULL),
(8, 15833, '', NULL),
(11, 15834, '', NULL),
(2, 15834, 'Task', NULL),
(4, 15834, 'R82300300', NULL),
(1, 15834, '5', NULL),
(6, 15834, '', NULL),
(7, 15834, '0', NULL),
(5, 15834, '', NULL),
(8, 15834, '', NULL),
(11, 15835, '', NULL),
(2, 15835, 'Task', NULL),
(4, 15835, 'R82300531', NULL),
(1, 15835, '8', NULL),
(6, 15835, '', NULL),
(7, 15835, '0', NULL),
(5, 15835, '', NULL),
(8, 15835, '', NULL),
(7, 15376, '0', NULL),
(11, 15836, '', NULL),
(2, 15836, 'Task', NULL),
(4, 15836, 'R82300762', NULL),
(3, 15836, '', NULL),
(1, 15836, '5', NULL),
(6, 15836, '', NULL),
(7, 15836, '0', NULL),
(5, 15836, '', NULL),
(8, 15836, '', NULL),
(3, 15316, '1', NULL),
(3, 15317, '2', NULL),
(3, 14253, '0', NULL),
(11, 15840, 'Recette', NULL),
(2, 15840, 'Bug', NULL),
(4, 15840, 'R82300993', NULL),
(3, 15840, '0', NULL),
(1, 15840, '2', NULL),
(6, 15840, '', NULL),
(7, 15840, '0', NULL),
(5, 15840, '', NULL),
(8, 15840, '', NULL),
(11, 15283, 'Production', NULL),
(6, 15283, '', NULL),
(5, 15283, '', NULL),
(8, 15283, '', NULL),
(11, 15284, 'Recette', NULL),
(6, 15284, '', NULL),
(8, 15284, '', NULL),
(11, 15285, 'Recette', NULL),
(6, 15285, '', NULL),
(5, 15285, '', NULL),
(8, 15285, '', NULL),
(11, 15287, 'Production', NULL),
(6, 15287, '', NULL),
(5, 15287, '', NULL),
(8, 15287, '', NULL),
(11, 15288, 'Recette', NULL),
(6, 15288, '', NULL),
(5, 15288, '', NULL),
(8, 15288, '', NULL),
(11, 15290, 'Recette', NULL),
(11, 15289, 'Recette', NULL),
(11, 15841, '', NULL),
(2, 15841, 'Task', NULL),
(4, 15841, 'R82301224', NULL),
(3, 15841, '2', NULL),
(1, 15841, '2', NULL),
(6, 15841, '', NULL),
(7, 15841, '0', NULL),
(5, 15841, '', NULL),
(8, 15841, '', NULL),
(11, 15843, '', NULL),
(2, 15843, 'Task', NULL),
(4, 15843, 'R82301455', NULL),
(3, 15843, '9', NULL),
(1, 15843, '2', NULL),
(6, 15843, '', NULL),
(7, 15843, '0', NULL),
(5, 15843, '', NULL),
(8, 15843, '', NULL),
(4, 15849, 'R82301686', NULL),
(1, 15849, '2', NULL),
(2, 15849, 'Bug', NULL),
(4, 15850, 'R82301917', NULL),
(1, 15850, '0', NULL),
(2, 15850, 'Bug', NULL),
(11, 15855, '', NULL),
(2, 15855, 'Task', NULL),
(4, 15855, 'R82302148', NULL),
(3, 15855, '10', NULL),
(1, 15855, '5', NULL),
(6, 15855, '', NULL),
(7, 15855, '0', NULL),
(5, 15855, '1493676000', NULL),
(8, 15855, '', NULL),
(11, 15856, '', NULL),
(2, 15856, 'Task', NULL),
(4, 15856, 'R82302379', NULL),
(3, 15856, '9', NULL),
(1, 15856, '8', NULL),
(6, 15856, '', NULL),
(7, 15856, '0', NULL),
(5, 15856, '1491861600', NULL),
(8, 15856, '', NULL),
(11, 15970, '', NULL),
(2, 15970, 'Task', NULL),
(4, 15970, 'R82302610', NULL),
(3, 15970, '0', NULL),
(1, 15970, '4', NULL),
(6, 15970, '', NULL),
(7, 15970, '0', NULL),
(5, 15970, '1496613600', NULL),
(8, 15970, '', NULL),
(5, 12323, '1496613600', NULL),
(5, 12328, '', NULL),
(7, 12308, '0', NULL),
(7, 15849, '0', NULL),
(8, 15849, '', NULL),
(11, 16047, '', NULL),
(2, 16047, 'Task', NULL),
(4, 16047, 'R82302841', NULL),
(1, 16047, '8', NULL),
(6, 16047, '', NULL),
(7, 16047, '0', NULL),
(5, 16047, '', NULL),
(8, 16047, '', NULL),
(11, 16068, '', NULL),
(2, 16068, 'Task', NULL),
(4, 16068, 'R82303072', NULL),
(3, 16068, '7', NULL),
(1, 16068, '2', NULL),
(6, 16068, '', NULL),
(7, 16068, '0', NULL),
(5, 16068, '', NULL),
(8, 16068, '', NULL),
(11, 16069, '', NULL),
(2, 16069, 'Task', NULL),
(4, 16069, 'R82303303', NULL),
(3, 16069, '15', NULL),
(1, 16069, '12', NULL),
(6, 16069, '', NULL),
(7, 16069, '0', NULL),
(5, 16069, '', NULL),
(8, 16069, '', NULL),
(11, 16070, '', NULL),
(2, 16070, 'Task', NULL),
(4, 16070, 'R82303534', NULL),
(3, 16070, '18', NULL),
(1, 16070, '13', NULL),
(6, 16070, '', NULL),
(7, 16070, '0', NULL),
(5, 16070, '', NULL),
(8, 16070, '', NULL),
(11, 16071, '', NULL),
(2, 16071, 'Task', NULL),
(4, 16071, 'R82303765', NULL),
(3, 16071, '13.7', NULL),
(1, 16071, '9', NULL),
(6, 16071, '', NULL),
(7, 16071, '0', NULL),
(5, 16071, '', NULL),
(8, 16071, '', NULL),
(4, 16072, 'R82303996', NULL),
(1, 16072, '1', NULL),
(2, 16072, 'Task', NULL),
(4, 16073, 'R82304227', NULL),
(1, 16073, '6', NULL),
(2, 16073, 'Task', NULL),
(4, 16075, 'R82304458', NULL),
(1, 16075, '2', NULL),
(2, 16075, 'Task', NULL),
(11, 14263, '', NULL),
(6, 14263, '', NULL),
(8, 14263, '', NULL),
(11, 14264, '', NULL),
(6, 14264, '', NULL),
(8, 14264, '', NULL),
(7, 15850, '0', NULL),
(3, 15850, '0', NULL),
(11, 16077, '', NULL),
(2, 16077, 'Task', NULL),
(4, 16077, 'R82304689', NULL),
(1, 16077, '9', NULL),
(6, 16077, '', NULL),
(7, 16077, '0', NULL),
(5, 16077, '', NULL),
(8, 16077, '', NULL),
(11, 16078, 'Production', NULL),
(2, 16078, 'Bug', NULL),
(4, 16078, 'R82304920', NULL),
(1, 16078, '2', NULL),
(6, 16078, '', NULL),
(7, 16078, '0', NULL),
(5, 16078, '', NULL),
(8, 16078, '', NULL),
(11, 16093, '', NULL),
(2, 16093, 'Task', NULL),
(4, 16093, '', NULL),
(1, 16093, '2', NULL),
(6, 16093, '', NULL),
(7, 16093, '0', NULL),
(5, 16093, '', NULL),
(8, 16093, '', NULL),
(11, 16101, '', NULL),
(2, 16101, 'Task', NULL),
(4, 16101, 'R82305382', NULL),
(1, 16101, '3', NULL),
(6, 16101, '', NULL),
(7, 16101, '0', NULL),
(5, 16101, '1496613600', NULL),
(8, 16101, '', NULL),
(11, 16102, '', NULL),
(2, 16102, 'Task', NULL),
(4, 16102, 'R82305613', NULL),
(1, 16102, '1', NULL),
(6, 16102, '', NULL),
(7, 16102, '0', NULL),
(5, 16102, '', NULL),
(8, 16102, '', NULL),
(11, 16106, 'Recette', NULL),
(2, 16106, 'Bug', NULL),
(4, 16106, 'R82305844', NULL),
(3, 16106, '0', NULL),
(1, 16106, '2', NULL),
(6, 16106, '', NULL),
(7, 16106, '0', NULL),
(5, 16106, '', NULL),
(8, 16106, '', NULL),
(11, 16110, '', NULL),
(2, 16110, 'Task', NULL),
(4, 16110, 'R82306075', NULL),
(3, 16110, '0', NULL),
(1, 16110, '1', NULL),
(6, 16110, '', NULL),
(7, 16110, '0', NULL),
(5, 16110, '', NULL),
(8, 16110, '', NULL),
(11, 16139, '', NULL),
(2, 16139, 'Task', NULL),
(4, 16139, '', NULL),
(1, 16139, '2', NULL),
(6, 16139, '', NULL),
(7, 16139, '0', NULL),
(5, 16139, '', NULL),
(8, 16139, '', NULL),
(11, 16140, '', NULL),
(2, 16140, 'Task', NULL),
(4, 16140, 'R82306537', NULL),
(1, 16140, '4', NULL),
(6, 16140, '', NULL),
(7, 16140, '0', NULL),
(5, 16140, '1496613600', NULL),
(8, 16140, '', NULL),
(11, 16144, 'Recette', NULL),
(2, 16144, 'Bug', NULL),
(4, 16144, 'R82306768', NULL),
(1, 16144, '0', NULL),
(6, 16144, '', NULL),
(7, 16144, '0', NULL),
(5, 16144, '', NULL),
(8, 16144, '', NULL),
(11, 12314, '', NULL),
(6, 12314, '', NULL),
(5, 12314, '', NULL),
(8, 12314, '', NULL),
(11, 12316, '', NULL),
(6, 12316, '', NULL),
(7, 12316, '0', NULL),
(8, 12316, '', NULL),
(11, 12311, '', NULL),
(6, 12311, '', NULL),
(5, 12311, '', NULL),
(8, 12311, '', NULL),
(7, 12325, '0', NULL),
(6, 12325, '', NULL),
(11, 12325, '', NULL),
(11, 12319, '', NULL),
(6, 12319, '', NULL),
(7, 12319, '0', NULL),
(8, 12319, '', NULL),
(11, 12317, '', NULL),
(3, 12317, '', NULL),
(6, 12317, '', NULL),
(7, 12317, '0', NULL),
(5, 12317, '', NULL),
(8, 12317, '', NULL),
(11, 12308, '', NULL),
(6, 12308, '', NULL),
(8, 12308, '', NULL),
(3, 16145, '2.4', NULL),
(1, 16145, '1', NULL),
(6, 16145, '', NULL),
(7, 16145, '0', NULL),
(5, 16145, '', NULL),
(8, 16145, '', NULL),
(11, 16162, 'Recette', NULL),
(2, 16162, 'Bug', NULL),
(4, 16162, 'R82307461', NULL),
(3, 16162, '0', NULL),
(1, 16162, '2', NULL),
(6, 16162, '', NULL),
(7, 16162, '0', NULL),
(5, 16162, '', NULL),
(8, 16162, '', NULL),
(11, 16312, '', NULL),
(2, 16312, 'Task', NULL),
(4, 16312, 'R82307692', NULL),
(1, 16312, '5', NULL),
(6, 16312, '', NULL),
(7, 16312, '0', NULL),
(5, 16312, '', NULL),
(8, 16312, '', NULL),
(11, 16332, 'Production', NULL),
(2, 16332, 'Bug', NULL),
(4, 16332, 'R82307923', NULL),
(3, 16332, '0', NULL),
(1, 16332, '2', NULL),
(6, 16332, '', NULL),
(7, 16332, '0', NULL),
(5, 16332, '', NULL),
(8, 16332, '', NULL),
(11, 16335, 'Recette', NULL),
(2, 16335, 'Bug', NULL),
(4, 16335, 'R82308154', NULL),
(1, 16335, '0', NULL),
(6, 16335, '', NULL),
(7, 16335, '0', NULL),
(5, 16335, '', NULL),
(8, 16335, '', NULL),
(11, 16356, 'Production', NULL),
(2, 16356, 'Bug', NULL),
(4, 16356, 'R82308385', NULL),
(1, 16356, '2', NULL),
(6, 16356, '', NULL),
(7, 16356, '0', NULL),
(5, 16356, '', NULL),
(8, 16356, '', NULL),
(11, 12328, '', NULL),
(3, 12328, '', NULL),
(6, 12328, '', NULL),
(7, 12328, '0', NULL),
(8, 12328, '', NULL),
(11, 16430, 'Recette', NULL),
(2, 16430, 'Bug', NULL),
(4, 16430, 'R82308616', NULL),
(1, 16430, '2', NULL),
(6, 16430, '', NULL),
(7, 16430, '0', NULL),
(5, 16430, '', NULL),
(8, 16430, '', NULL),
(11, 16431, 'Recette', NULL),
(2, 16431, 'Bug', NULL),
(4, 16431, 'R82308847', NULL),
(1, 16431, '2', NULL),
(6, 16431, '', NULL),
(7, 16431, '0', NULL),
(5, 16431, '', NULL),
(8, 16431, '', NULL),
(4, 16510, 'R82309078', NULL),
(1, 16510, '0', NULL),
(2, 16510, 'Task', NULL),
(4, 16511, 'R82309309', NULL),
(1, 16511, '2', NULL),
(2, 16511, 'Task', NULL),
(4, 16512, 'R82309540', NULL),
(1, 16512, '2', NULL),
(2, 16512, 'Task', NULL),
(4, 16513, 'R82309771', NULL),
(1, 16513, '2', NULL),
(2, 16513, 'Bug', NULL),
(11, 16514, '', NULL),
(2, 16514, 'Task', NULL),
(4, 16514, '', NULL),
(3, 16514, '0', NULL),
(1, 16514, '2.95', NULL),
(6, 16514, '', NULL),
(7, 16514, '0', NULL),
(5, 16514, '', NULL),
(8, 16514, '', NULL),
(11, 12326, '', NULL),
(8, 12327, '', NULL),
(7, 12327, '0', NULL),
(6, 12327, '', NULL),
(3, 12327, '', NULL),
(11, 12327, '', NULL),
(3, 16101, '', NULL),
(3, 16102, '', NULL),
(3, 16140, '', NULL),
(11, 16516, '', NULL),
(2, 16516, 'Task', NULL),
(4, 16516, 'R82310233', NULL),
(3, 16516, '10', NULL),
(1, 16516, '5', NULL),
(6, 16516, '', NULL),
(7, 16516, '0', NULL),
(5, 16516, '', NULL),
(8, 16516, '', NULL),
(11, 16517, '', NULL),
(2, 16517, 'Task', NULL),
(4, 16517, 'R82310464', NULL),
(3, 16517, '0', NULL),
(1, 16517, '0.6', NULL),
(6, 16517, '', NULL),
(7, 16517, '0', NULL),
(5, 16517, '', NULL),
(8, 16517, '', NULL),
(11, 21458, '', NULL),
(11, 16526, '', NULL),
(2, 16526, 'Task', NULL),
(4, 16526, '', NULL),
(3, 16526, '16', NULL),
(1, 16526, '3', NULL),
(6, 16526, '', NULL),
(7, 16526, '0', NULL),
(5, 16526, '', NULL),
(8, 16526, '', NULL),
(11, 16546, '', NULL),
(2, 16546, 'Task', NULL),
(4, 16546, 'R82311157', NULL),
(1, 16546, '5', NULL),
(6, 16546, '', NULL),
(7, 16546, '0', NULL),
(5, 16546, '', NULL),
(8, 16546, '', NULL),
(11, 16550, 'Recette', NULL),
(2, 16550, 'Bug', NULL),
(4, 16550, 'R82311388', NULL),
(1, 16550, '2', NULL),
(6, 16550, '', NULL),
(7, 16550, '0', NULL),
(5, 16550, '', NULL),
(8, 16550, '', NULL),
(11, 16551, 'Production', NULL),
(2, 16551, 'Bug', NULL),
(4, 16551, 'R82311619', NULL),
(1, 16551, '2', NULL),
(6, 16551, '', NULL),
(7, 16551, '0', NULL),
(5, 16551, '', NULL),
(8, 16551, '', NULL),
(11, 16552, 'Recette', NULL),
(2, 16552, 'Bug', NULL),
(4, 16552, 'R82311850', NULL),
(1, 16552, '2', NULL),
(6, 16552, '', NULL),
(7, 16552, '0', NULL),
(5, 16552, '', NULL),
(8, 16552, '', NULL),
(11, 16553, 'Recette', NULL),
(2, 16553, 'Bug', NULL),
(4, 16553, 'R82312081', NULL),
(1, 16553, '2', NULL),
(6, 16553, '', NULL),
(7, 16553, '0', NULL),
(5, 16553, '', NULL),
(8, 16553, '', NULL),
(11, 16554, 'Recette', NULL),
(2, 16554, 'Bug', NULL),
(4, 16554, 'R82312312', NULL),
(1, 16554, '2', NULL),
(6, 16554, '', NULL),
(7, 16554, '0', NULL),
(5, 16554, '', NULL),
(8, 16554, '', NULL),
(11, 15160, '', NULL),
(6, 15160, '', NULL),
(5, 15160, '', NULL),
(8, 15160, '', NULL),
(3, 15376, '2', NULL),
(3, 16356, '', NULL),
(11, 16559, '', NULL),
(2, 16559, 'Task', NULL),
(4, 16559, 'R82312543', NULL),
(3, 16559, '0', NULL),
(1, 16559, '2', NULL),
(6, 16559, '', NULL),
(7, 16559, '0', NULL),
(5, 16559, '', NULL),
(8, 16559, '', NULL),
(11, 16560, '', NULL),
(2, 16560, 'Task', NULL),
(4, 16560, 'R82312774', NULL),
(3, 16560, '0', NULL),
(1, 16560, '2', NULL),
(6, 16560, '', NULL),
(7, 16560, '0', NULL),
(5, 16560, '', NULL),
(8, 16560, '', NULL),
(3, 16072, '2', NULL),
(3, 16073, '3', NULL),
(4, 16562, 'R82313005', NULL),
(1, 16562, '2', NULL),
(2, 16562, 'Task', NULL),
(4, 16563, 'R82313236', NULL),
(1, 16563, '2', NULL),
(2, 16563, 'Task', NULL),
(7, 12326, '0', NULL),
(5, 12326, '', NULL),
(4, 18756, 'R82367290', NULL),
(2, 18756, 'Task', NULL),
(11, 18756, '', NULL),
(8, 18755, '', NULL),
(5, 18755, '', NULL),
(7, 18755, '0', NULL),
(6, 18755, '', NULL),
(1, 18755, '5', NULL),
(3, 18755, '37', NULL),
(4, 18755, 'R82353661', NULL),
(2, 18755, 'Task', NULL),
(3, 16588, '0', NULL),
(4, 16588, '', NULL),
(2, 16588, 'Task', NULL),
(11, 16588, '', NULL),
(11, 16587, 'Production', NULL),
(2, 16587, 'Bug', NULL),
(4, 16587, 'R82313698', NULL),
(3, 16587, '0', NULL),
(1, 16587, '2', NULL),
(6, 16587, '', NULL),
(7, 16587, '0', NULL),
(5, 16587, '', NULL),
(8, 16587, '', NULL),
(1, 16588, '2', NULL),
(6, 16588, '', NULL),
(7, 16588, '0', NULL),
(5, 16588, '', NULL),
(8, 16588, '', NULL),
(11, 16611, '', NULL),
(2, 16611, 'Task', NULL),
(4, 16611, '', NULL),
(3, 16611, '0', NULL),
(1, 16611, '2', NULL),
(6, 16611, '', NULL),
(7, 16611, '0', NULL),
(5, 16611, '', NULL),
(8, 16611, '', NULL),
(11, 16513, '', NULL),
(6, 16513, '', NULL),
(7, 16513, '0', NULL),
(5, 16513, '', NULL),
(8, 16513, '', NULL),
(11, 12303, '', NULL),
(3, 12303, '', NULL),
(6, 12303, '', NULL),
(5, 12303, '', NULL),
(8, 12303, '', NULL),
(3, 15785, '5', NULL),
(3, 12326, '', NULL),
(6, 12326, '', NULL),
(8, 12326, '', NULL),
(3, 12325, '', NULL),
(11, 12324, '', NULL),
(3, 12324, '', NULL),
(6, 12324, '', NULL),
(7, 12324, '0', NULL),
(8, 12324, '', NULL),
(11, 12323, '', NULL),
(3, 12323, '', NULL),
(6, 12323, '', NULL),
(7, 12323, '0', NULL),
(8, 12323, '', NULL),
(3, 12319, '', NULL),
(11, 12306, '', NULL),
(3, 12306, '', NULL),
(6, 12306, '', NULL),
(5, 12306, '', NULL),
(8, 12306, '', NULL),
(11, 12307, '', NULL),
(3, 12307, '', NULL),
(6, 12307, '', NULL),
(7, 12307, '0', NULL),
(8, 12307, '', NULL),
(3, 12308, '', NULL),
(11, 12309, '', NULL),
(3, 12309, '', NULL),
(6, 12309, '', NULL),
(8, 12309, '', NULL),
(3, 12311, '', NULL),
(3, 12314, '', NULL),
(3, 12316, '', NULL),
(11, 16623, '', NULL),
(2, 16623, 'Task', NULL),
(4, 16623, 'R82314160', NULL),
(3, 16623, '', NULL),
(1, 16623, '5', NULL),
(6, 16623, '', NULL),
(7, 16623, '0', NULL),
(5, 16623, '', NULL),
(8, 16623, '', NULL),
(4, 16624, 'R82314391', NULL),
(1, 16624, '0', NULL),
(2, 16624, 'Bug', NULL),
(4, 16625, 'R82314622', NULL),
(1, 16625, '2', NULL),
(2, 16625, 'Bug', NULL),
(4, 16626, 'R82314853', NULL),
(1, 16626, '2', NULL),
(2, 16626, 'Bug', NULL),
(11, 16626, 'Production', NULL),
(3, 16626, '', NULL),
(6, 16626, '', NULL),
(7, 16626, '0', NULL),
(5, 16626, '', NULL),
(8, 16626, '', NULL),
(11, 16625, 'Production', NULL),
(3, 16625, '', NULL),
(6, 16625, '', NULL),
(7, 16625, '0', NULL),
(5, 16625, '', NULL),
(8, 16625, '', NULL),
(4, 16676, 'R82315084', NULL),
(1, 16676, '2', NULL),
(2, 16676, 'Bug', NULL),
(4, 16677, 'R82315315', NULL),
(1, 16677, '2', NULL),
(2, 16677, 'Bug', NULL),
(4, 16678, 'R82315546', NULL),
(1, 16678, '2', NULL),
(2, 16678, 'Bug', NULL),
(4, 16679, 'R82315777', NULL),
(1, 16679, '2', NULL),
(2, 16679, 'Bug', NULL),
(4, 16680, 'R82316008', NULL),
(1, 16680, '2', NULL),
(2, 16680, 'Bug', NULL),
(4, 16681, 'R82316239', NULL),
(1, 16681, '2', NULL),
(2, 16681, 'Bug', NULL),
(7, 16874, '0', NULL),
(7, 16680, '0', NULL),
(7, 16681, '0', NULL),
(7, 16679, '0', NULL),
(11, 16701, '', NULL),
(2, 16701, 'Task', NULL),
(4, 16701, 'R82316470', NULL),
(1, 16701, '3', NULL),
(6, 16701, '', NULL),
(7, 16701, '0', NULL),
(5, 16701, '', NULL),
(8, 16701, '', NULL),
(11, 16722, '', NULL),
(2, 16722, 'Task', NULL),
(4, 16722, 'R82316701', NULL),
(1, 16722, '5', NULL),
(6, 16722, '', NULL),
(7, 16722, '0', NULL),
(5, 16722, '', NULL),
(8, 16722, '', NULL),
(11, 16723, '', NULL),
(2, 16723, 'Task', NULL),
(4, 16723, 'R82316932', NULL),
(1, 16723, '5', NULL),
(6, 16723, '', NULL),
(7, 16723, '0', NULL),
(5, 16723, '', NULL),
(8, 16723, '', NULL),
(7, 16676, '0', NULL),
(11, 16742, 'Recette', NULL),
(2, 16742, 'Bug', NULL),
(4, 16742, 'R82317163', NULL),
(3, 16742, '0', NULL),
(1, 16742, '2', NULL),
(6, 16742, '', NULL),
(7, 16742, '0', NULL),
(5, 16742, '', NULL),
(8, 16742, '', NULL),
(7, 16677, '0', NULL),
(7, 16678, '0', NULL),
(7, 16624, '0', NULL),
(1, 22409, '0.5', NULL),
(4, 22409, 'R82325941', NULL),
(2, 22408, 'Bug', NULL),
(1, 23136, '0.5', NULL),
(4, 23136, 'R82425733', NULL),
(2, 23138, 'Task', NULL),
(1, 23138, '0.5', NULL),
(4, 22410, 'R82326172', NULL),
(2, 22410, 'Bug', NULL),
(11, 22410, 'Recette', NULL),
(4, 23138, 'R82425502', NULL),
(2, 23137, 'Task', NULL),
(1, 23137, '0.5', NULL),
(4, 23137, 'R82425964', NULL),
(2, 23136, 'Bug', NULL),
(1, 22408, '0.5', NULL),
(4, 22408, 'R82330792', NULL),
(2, 22407, 'Bug', NULL),
(1, 22407, '0.5', NULL),
(4, 22407, 'R82317394', NULL),
(11, 16794, 'Production', NULL),
(2, 16794, 'Bug', NULL),
(4, 16794, 'R82318549', NULL),
(3, 16794, '0', NULL),
(1, 16794, '2', NULL),
(6, 16794, '', NULL),
(7, 16794, '0', NULL),
(5, 16794, '', NULL),
(8, 16794, '', NULL),
(4, 16802, 'R82318780', NULL),
(1, 16802, '2', NULL),
(2, 16802, 'Bug', NULL),
(4, 16803, 'R82319011', NULL),
(1, 16803, '2', NULL),
(2, 16803, 'Bug', NULL),
(4, 16804, 'R82319242', NULL),
(1, 16804, '1', NULL),
(2, 16804, 'Bug', NULL),
(4, 16805, 'R82319473', NULL),
(1, 16805, '2', NULL),
(2, 16805, 'Bug', NULL),
(7, 16803, '0', NULL),
(11, 16806, 'Production', NULL),
(2, 16806, 'Bug', NULL),
(4, 16806, 'R82319704', NULL),
(1, 16806, '2', NULL),
(6, 16806, '', NULL),
(7, 16806, '0', NULL),
(5, 16806, '', NULL),
(8, 16806, '', NULL),
(11, 16811, 'Production', NULL),
(2, 16811, 'Bug', NULL),
(4, 16811, 'R82319935', NULL),
(3, 16811, '0', NULL),
(1, 16811, '2', NULL),
(6, 16811, '', NULL),
(7, 16811, '0', NULL),
(5, 16811, '', NULL),
(8, 16811, '', NULL),
(4, 16844, 'R82320166', NULL),
(1, 16844, '2', NULL),
(2, 16844, 'Bug', NULL),
(4, 16845, 'R82320397', NULL),
(1, 16845, '2', NULL),
(2, 16845, 'Bug', NULL),
(4, 16846, 'R82320628', NULL),
(1, 16846, '2', NULL),
(2, 16846, 'Bug', NULL),
(4, 16847, 'R82320859', NULL),
(1, 16847, '1', NULL),
(2, 16847, 'Bug', NULL),
(4, 16848, 'R82321090', NULL),
(1, 16848, '0', NULL),
(2, 16848, 'Bug', NULL),
(4, 16849, 'R82321321', NULL),
(1, 16849, '1', NULL),
(2, 16849, 'Bug', NULL),
(4, 16850, 'R82321552', NULL),
(1, 16850, '2', NULL),
(2, 16850, 'Bug', NULL),
(4, 16851, 'R82321783', NULL),
(1, 16851, '2', NULL),
(2, 16851, 'Bug', NULL),
(4, 16852, 'R82322014', NULL),
(1, 16852, '0', NULL),
(2, 16852, 'Bug', NULL),
(11, 16844, 'Recette', NULL),
(3, 16844, '', NULL),
(6, 16844, '', NULL),
(7, 16844, '0', NULL),
(5, 16844, '', NULL),
(8, 16844, '', NULL),
(11, 16845, 'Recette', NULL),
(3, 16845, '', NULL),
(6, 16845, '', NULL),
(7, 16845, '0', NULL),
(5, 16845, '', NULL),
(8, 16845, '', NULL),
(11, 16847, 'Recette', NULL),
(3, 16847, '0', NULL),
(6, 16847, '', NULL),
(7, 16847, '0', NULL),
(5, 16847, '', NULL),
(8, 16847, '', NULL),
(11, 16848, 'Recette', NULL),
(3, 16848, '0', NULL),
(6, 16848, '', NULL),
(7, 16848, '0', NULL),
(5, 16848, '', NULL),
(8, 16848, '', NULL),
(11, 16849, 'Recette', NULL),
(3, 16849, '0', NULL),
(6, 16849, '', NULL),
(7, 16849, '0', NULL),
(5, 16849, '1510614000', NULL),
(8, 16849, '', NULL),
(11, 16850, 'Recette', NULL),
(3, 16850, '', NULL),
(6, 16850, '', NULL),
(7, 16850, '0', NULL),
(5, 16850, '', NULL),
(8, 16850, '', NULL),
(11, 16851, 'Recette', NULL),
(3, 16851, '', NULL),
(6, 16851, '', NULL),
(7, 16851, '0', NULL),
(5, 16851, '', NULL),
(8, 16851, '', NULL),
(11, 16852, 'Recette', NULL),
(3, 16852, '0', NULL),
(6, 16852, '', NULL),
(7, 16852, '0', NULL),
(5, 16852, '', NULL),
(8, 16852, '', NULL),
(11, 16855, 'Recette', NULL),
(2, 16855, 'Bug', NULL),
(4, 16855, 'R82322245', NULL),
(3, 16855, '0', NULL),
(1, 16855, '1', NULL),
(6, 16855, '', NULL),
(7, 16855, '0', NULL),
(5, 16855, '', NULL),
(8, 16855, '', NULL),
(11, 16867, 'Recette', NULL),
(2, 16867, 'Bug', NULL),
(4, 16867, 'R82322476', NULL),
(3, 16867, '0', NULL),
(1, 16867, '1', NULL),
(6, 16867, '', NULL),
(7, 16867, '0', NULL),
(5, 16867, '', NULL),
(8, 16867, '', NULL),
(4, 16872, 'R82322707', NULL),
(1, 16872, '1', NULL),
(2, 16872, 'Task', NULL),
(4, 16873, 'R82322938', NULL),
(1, 16873, '2', NULL),
(2, 16873, 'Task', NULL),
(4, 16874, 'R82323169', NULL),
(1, 16874, '1', NULL),
(2, 16874, 'Task', NULL),
(4, 16875, 'R82323400', NULL),
(1, 16875, '1', NULL),
(2, 16875, 'Task', NULL),
(11, 16907, 'Recette', NULL),
(2, 16907, 'Bug', NULL),
(4, 16907, 'R82323631', NULL),
(1, 16907, '2', NULL),
(6, 16907, '', NULL),
(7, 16907, '0', NULL),
(5, 16907, '', NULL),
(8, 16907, '', NULL),
(11, 16912, '', NULL),
(2, 16912, 'Task', NULL),
(4, 16912, '', NULL),
(3, 16912, '', NULL),
(1, 16912, '2', NULL),
(6, 16912, '', NULL),
(7, 16912, '0', NULL),
(5, 16912, '', NULL),
(8, 16912, '', NULL),
(7, 16804, '0', NULL),
(4, 16913, 'R82324093', NULL),
(1, 16913, '2', NULL),
(2, 16913, 'Task', NULL),
(4, 16914, 'R82324324', NULL),
(1, 16914, '2', NULL),
(2, 16914, 'Task', NULL),
(11, 16915, '', NULL),
(2, 16915, 'Task', NULL),
(4, 16915, 'R82324555', NULL),
(3, 16915, '8', NULL),
(1, 16915, '2', NULL),
(6, 16915, '', NULL),
(7, 16915, '0', NULL),
(5, 16915, '', NULL),
(8, 16915, '', NULL),
(11, 16922, '', NULL),
(2, 16922, 'Task', NULL),
(4, 16922, 'R82324786', NULL),
(1, 16922, '5', NULL),
(6, 16922, '', NULL),
(7, 16922, '0', NULL),
(5, 16922, '', NULL);
INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(8, 16922, '', NULL),
(11, 16925, '', NULL),
(2, 16925, 'Task', NULL),
(4, 16925, 'R82325017', NULL),
(1, 16925, '5', NULL),
(6, 16925, '', NULL),
(7, 16925, '0', NULL),
(5, 16925, '', NULL),
(8, 16925, '', NULL),
(11, 16926, '', NULL),
(2, 16926, 'Task', NULL),
(4, 16926, 'R82325248', NULL),
(1, 16926, '5', NULL),
(6, 16926, '', NULL),
(7, 16926, '0', NULL),
(5, 16926, '', NULL),
(8, 16926, '', NULL),
(7, 16802, '0', NULL),
(7, 16913, '0', NULL),
(11, 16935, 'Production', NULL),
(2, 16935, 'Bug', NULL),
(4, 16935, 'R82325479', NULL),
(3, 16935, '0', NULL),
(1, 16935, '1', NULL),
(6, 16935, '', NULL),
(7, 16935, '0', NULL),
(5, 16935, '', NULL),
(8, 16935, '', NULL),
(11, 16676, 'Production', NULL),
(3, 16676, '', NULL),
(6, 16676, '', NULL),
(5, 16676, '', NULL),
(8, 16676, '', NULL),
(11, 16677, 'Production', NULL),
(3, 16677, '', NULL),
(6, 16677, '', NULL),
(5, 16677, '', NULL),
(8, 16677, '', NULL),
(11, 16679, 'Production', NULL),
(3, 16679, '', NULL),
(6, 16679, '', NULL),
(5, 16679, '', NULL),
(8, 16679, '', NULL),
(11, 16680, 'Production', NULL),
(3, 16680, '', NULL),
(6, 16680, '', NULL),
(5, 16680, '', NULL),
(8, 16680, '', NULL),
(11, 16681, 'Production', NULL),
(3, 16681, '', NULL),
(6, 16681, '', NULL),
(5, 16681, '', NULL),
(8, 16681, '', NULL),
(11, 16803, 'Production', NULL),
(3, 16803, '0', NULL),
(6, 16803, '', NULL),
(5, 16803, '', NULL),
(8, 16803, '', NULL),
(11, 16804, 'Recette', NULL),
(3, 16804, '0', NULL),
(6, 16804, '', NULL),
(5, 16804, '', NULL),
(8, 16804, '', NULL),
(3, 16907, '', NULL),
(11, 16971, '', NULL),
(2, 16971, 'Task', NULL),
(4, 16971, 'R82325710', NULL),
(1, 16971, '10', NULL),
(6, 16971, '', NULL),
(7, 16971, '0', NULL),
(5, 16971, '', NULL),
(8, 16971, '', NULL),
(2, 22414, 'Task', NULL),
(1, 22414, '5', NULL),
(4, 22414, 'R82317856', NULL),
(2, 22413, 'Task', NULL),
(1, 22413, '5', NULL),
(4, 22413, 'R82326865', NULL),
(11, 23557, '', NULL),
(1, 22423, '0.5', NULL),
(3, 22423, '', NULL),
(4, 22423, 'R82422037', NULL),
(2, 22423, 'Task', NULL),
(11, 22423, '', NULL),
(7, 17301, '0', NULL),
(7, 22376, '0', NULL),
(8, 22411, '', NULL),
(5, 22411, '', NULL),
(7, 22411, '0', NULL),
(6, 22411, '', NULL),
(1, 22411, '0.5', NULL),
(4, 22411, 'R82327327', NULL),
(2, 22411, 'Bug', NULL),
(11, 22411, 'Recette', NULL),
(8, 22410, '', NULL),
(5, 22410, '', NULL),
(7, 22410, '0', NULL),
(6, 22410, '', NULL),
(1, 22410, '0.5', NULL),
(7, 16846, '0', NULL),
(7, 16805, '0', NULL),
(11, 17022, 'Production', NULL),
(2, 17022, 'Bug', NULL),
(4, 17022, 'R82327558', NULL),
(1, 17022, '2', NULL),
(6, 17022, '', NULL),
(7, 17022, '0', NULL),
(5, 17022, '', NULL),
(8, 17022, '', NULL),
(11, 17063, '', NULL),
(2, 17063, 'Task', NULL),
(4, 17063, 'R82329175', NULL),
(3, 17063, '30', NULL),
(1, 17063, '18', NULL),
(6, 17063, '', NULL),
(7, 17063, '0', NULL),
(5, 17063, '1493676000', NULL),
(8, 17063, '', NULL),
(11, 17064, '', NULL),
(2, 17064, 'Task', NULL),
(4, 17064, 'R82329406', NULL),
(3, 17064, '0', NULL),
(1, 17064, '2', NULL),
(6, 17064, '', NULL),
(7, 17064, '0', NULL),
(5, 17064, '1501970400', NULL),
(8, 17064, '', NULL),
(11, 17065, '', NULL),
(2, 17065, 'Task', NULL),
(4, 17065, 'R82329637', NULL),
(3, 17065, '30', NULL),
(1, 17065, '20', NULL),
(6, 17065, '', NULL),
(7, 17065, '0', NULL),
(5, 17065, '1501970400', NULL),
(8, 17065, '', NULL),
(11, 8454, '', NULL),
(7, 22407, '0', NULL),
(7, 22409, '0', NULL),
(2, 22409, 'Bug', NULL),
(11, 17133, '', NULL),
(2, 17133, 'Task', NULL),
(4, 17133, 'R82331023', NULL),
(3, 17133, '', NULL),
(1, 17133, '10', NULL),
(6, 17133, '', NULL),
(7, 17133, '0', NULL),
(5, 17133, '1496613600', NULL),
(8, 17133, '', NULL),
(11, 17142, 'Recette', NULL),
(2, 17142, 'Bug', NULL),
(4, 17142, 'R82331254', NULL),
(3, 17142, '0', NULL),
(1, 17142, '1', NULL),
(6, 17142, '', NULL),
(7, 17142, '0', NULL),
(5, 17142, '', NULL),
(8, 17142, '', NULL),
(3, 17145, '2.4', NULL),
(4, 17145, 'R82331485', NULL),
(1, 17145, '0.5', NULL),
(2, 17145, 'Task', NULL),
(7, 17145, '0', NULL),
(4, 17170, 'R82331716', NULL),
(1, 17170, '0', NULL),
(2, 17170, 'Bug', NULL),
(3, 17170, '0', NULL),
(11, 17170, 'Recette', NULL),
(11, 17211, '', NULL),
(2, 17211, 'Task', NULL),
(4, 17211, 'R82331947', NULL),
(3, 17211, '0', NULL),
(1, 17211, '3', NULL),
(6, 17211, '', NULL),
(7, 17211, '0', NULL),
(5, 17211, '1497823200', NULL),
(8, 17211, '', NULL),
(7, 23902, '0', NULL),
(7, 23906, '0', NULL),
(7, 23901, '0', NULL),
(7, 23905, '0', NULL),
(11, 17248, '', NULL),
(2, 17248, 'Task', NULL),
(4, 17248, 'R82332178', NULL),
(3, 17248, '0', NULL),
(1, 17248, '0.5', NULL),
(6, 17248, '', NULL),
(7, 17248, '0', NULL),
(5, 17248, '', NULL),
(8, 17248, '', NULL),
(11, 17251, '', NULL),
(2, 17251, 'Task', NULL),
(4, 17251, 'R82332409', NULL),
(1, 17251, '2', NULL),
(6, 17251, '', NULL),
(7, 17251, '0', NULL),
(5, 17251, '', NULL),
(8, 17251, '', NULL),
(4, 17252, 'R82332640', NULL),
(1, 17252, '1', NULL),
(2, 17252, 'Bug', NULL),
(4, 17253, 'R82332871', NULL),
(1, 17253, '0', NULL),
(2, 17253, 'Bug', NULL),
(4, 17254, 'R82333102', NULL),
(1, 17254, '2', NULL),
(2, 17254, 'Bug', NULL),
(6, 17170, '', NULL),
(7, 17170, '0', NULL),
(5, 17170, '', NULL),
(8, 17170, '', NULL),
(11, 17258, '', NULL),
(2, 17258, 'Task', NULL),
(4, 17258, 'R82333333', NULL),
(3, 17258, '1', NULL),
(1, 17258, '3', NULL),
(6, 17258, '', NULL),
(7, 17258, '0', NULL),
(5, 17258, '1493676000', NULL),
(8, 17258, '', NULL),
(7, 17254, '0', NULL),
(7, 17252, '0', NULL),
(11, 17292, 'Recette', NULL),
(2, 17292, 'Bug', NULL),
(4, 17292, 'R82333564', NULL),
(1, 17292, '1', NULL),
(6, 17292, '', NULL),
(7, 17292, '0', NULL),
(5, 17292, '', NULL),
(8, 17292, '', NULL),
(4, 17299, 'R82333795', NULL),
(1, 17299, '2', NULL),
(2, 17299, 'Task', NULL),
(4, 17300, 'R82334026', NULL),
(1, 17300, '10', NULL),
(2, 17300, 'Task', NULL),
(4, 17301, 'R82334257', NULL),
(1, 17301, '2', NULL),
(2, 17301, 'Task', NULL),
(5, 17827, '', NULL),
(7, 17827, '0', NULL),
(6, 17827, '', NULL),
(1, 17827, '2', NULL),
(4, 17827, 'R82334488', NULL),
(2, 17827, 'Bug', NULL),
(11, 17827, 'Production', NULL),
(8, 17826, '', NULL),
(5, 17826, '', NULL),
(4, 17368, 'R82334719', NULL),
(1, 17368, '2', NULL),
(2, 17368, 'Task', NULL),
(5, 17368, '1488495600', NULL),
(4, 17369, 'R82334950', NULL),
(1, 17369, '4', NULL),
(2, 17369, 'Task', NULL),
(5, 17369, '1488495600', NULL),
(11, 17370, 'Recette', NULL),
(2, 17370, 'Bug', NULL),
(4, 17370, 'R82335181', NULL),
(3, 17370, '', NULL),
(1, 17370, '2', NULL),
(6, 17370, '', NULL),
(7, 17370, '0', NULL),
(5, 17370, '', NULL),
(8, 17370, '', NULL),
(3, 17301, '5', NULL),
(11, 17382, 'Recette', NULL),
(2, 17382, 'Bug', NULL),
(4, 17382, 'R82335412', NULL),
(3, 17382, '0', NULL),
(1, 17382, '0.5', NULL),
(6, 17382, '', NULL),
(7, 17382, '0', NULL),
(5, 17382, '', NULL),
(8, 17382, '', NULL),
(11, 17401, '', NULL),
(2, 17401, 'Task', NULL),
(4, 17401, '', NULL),
(1, 17401, '2', NULL),
(6, 17401, '', NULL),
(7, 17401, '0', NULL),
(5, 17401, '', NULL),
(8, 17401, '', NULL),
(7, 17368, '0', NULL),
(7, 17369, '0', NULL),
(4, 17411, 'R82335874', NULL),
(1, 17411, '2', NULL),
(2, 17411, 'Bug', NULL),
(4, 17412, 'R82336105', NULL),
(1, 17412, '2', NULL),
(2, 17412, 'Bug', NULL),
(4, 17413, 'R82336336', NULL),
(1, 17413, '2', NULL),
(2, 17413, 'Bug', NULL),
(4, 17414, 'R82336567', NULL),
(1, 17414, '2', NULL),
(2, 17414, 'Bug', NULL),
(3, 16511, '1', NULL),
(3, 16512, '6.5', NULL),
(7, 16512, '0', NULL),
(5, 16512, '', NULL),
(7, 16511, '0', NULL),
(5, 16511, '', NULL),
(3, 16874, '5', NULL),
(3, 16875, '1', NULL),
(7, 16875, '0', NULL),
(4, 17415, 'R82336798', NULL),
(1, 17415, '1', NULL),
(2, 17415, 'Task', NULL),
(4, 17416, 'R82337029', NULL),
(1, 17416, '2', NULL),
(2, 17416, 'Task', NULL),
(4, 17417, 'R82337260', NULL),
(1, 17417, '1', NULL),
(2, 17417, 'Task', NULL),
(4, 17418, 'R82337491', NULL),
(1, 17418, '2', NULL),
(2, 17418, 'Task', NULL),
(11, 17422, 'Recette', NULL),
(2, 17422, 'Bug', NULL),
(4, 17422, 'R82337722', NULL),
(3, 17422, '0', NULL),
(1, 17422, '1', NULL),
(6, 17422, '', NULL),
(7, 17422, '0', NULL),
(5, 17422, '', NULL),
(8, 17422, '', NULL),
(11, 17424, '', NULL),
(2, 17424, 'Task', NULL),
(4, 17424, 'R82337953', NULL),
(3, 17424, '', NULL),
(1, 17424, '15', NULL),
(6, 17424, '', NULL),
(7, 17424, '0', NULL),
(5, 17424, '1499378400', NULL),
(8, 17424, '', NULL),
(11, 17425, '', NULL),
(2, 17425, 'Task', NULL),
(4, 17425, 'R82338184', NULL),
(3, 17425, '0', NULL),
(1, 17425, '5', NULL),
(6, 17425, '', NULL),
(7, 17425, '0', NULL),
(5, 17425, '1499378400', NULL),
(8, 17425, '', NULL),
(11, 17426, '', NULL),
(2, 17426, 'Task', NULL),
(4, 17426, 'R82338415', NULL),
(3, 17426, '', NULL),
(1, 17426, '2', NULL),
(6, 17426, '', NULL),
(7, 17426, '0', NULL),
(5, 17426, '1499378400', NULL),
(8, 17426, '', NULL),
(11, 17427, '', NULL),
(2, 17427, 'Task', NULL),
(4, 17427, 'R82338646', NULL),
(3, 17427, '0', NULL),
(1, 17427, '10', NULL),
(6, 17427, '', NULL),
(7, 17427, '0', NULL),
(5, 17427, '1499378400', NULL),
(8, 17427, '', NULL),
(11, 17428, '', NULL),
(2, 17428, 'Task', NULL),
(4, 17428, 'R82338877', NULL),
(3, 17428, '', NULL),
(1, 17428, '2', NULL),
(6, 17428, '', NULL),
(7, 17428, '0', NULL),
(5, 17428, '1499378400', NULL),
(8, 17428, '', NULL),
(11, 17429, '', NULL),
(2, 17429, 'Task', NULL),
(4, 17429, 'R82339108', NULL),
(3, 17429, '0', NULL),
(1, 17429, '14', NULL),
(6, 17429, '', NULL),
(7, 17429, '0', NULL),
(5, 17429, '1499378400', NULL),
(8, 17429, '', NULL),
(11, 17430, '', NULL),
(2, 17430, 'Task', NULL),
(4, 17430, 'R82339339', NULL),
(3, 17430, '0', NULL),
(1, 17430, '6', NULL),
(6, 17430, '', NULL),
(7, 17430, '0', NULL),
(5, 17430, '1499378400', NULL),
(8, 17430, '', NULL),
(11, 17431, '', NULL),
(2, 17431, 'Task', NULL),
(4, 17431, 'R82339570', NULL),
(3, 17431, '', NULL),
(1, 17431, '2', NULL),
(6, 17431, '', NULL),
(7, 17431, '0', NULL),
(5, 17431, '1499378400', NULL),
(8, 17431, '', NULL),
(11, 17432, '', NULL),
(2, 17432, 'Task', NULL),
(4, 17432, 'R82339801', NULL),
(3, 17432, '', NULL),
(1, 17432, '2', NULL),
(6, 17432, '', NULL),
(7, 17432, '0', NULL),
(5, 17432, '1499378400', NULL),
(8, 17432, '', NULL),
(7, 17411, '0', NULL),
(11, 17444, '', NULL),
(2, 17444, 'Task', NULL),
(4, 17444, 'R82340032', NULL),
(3, 17444, '0', NULL),
(1, 17444, '6', NULL),
(6, 17444, '', NULL),
(7, 17444, '0', NULL),
(5, 17444, '', NULL),
(8, 17444, '', NULL),
(11, 17446, '', NULL),
(2, 17446, 'Task', NULL),
(4, 17446, 'R82340263', NULL),
(1, 17446, '5', NULL),
(6, 17446, '', NULL),
(7, 17446, '0', NULL),
(5, 17446, '', NULL),
(8, 17446, '', NULL),
(4, 17447, 'R82340494', NULL),
(1, 17447, '2', NULL),
(2, 17447, 'Bug', NULL),
(4, 17448, 'R82340725', NULL),
(1, 17448, '2', NULL),
(2, 17448, 'Bug', NULL),
(4, 17449, 'R82340956', NULL),
(1, 17449, '1', NULL),
(2, 17449, 'Bug', NULL),
(4, 17450, 'R82341187', NULL),
(1, 17450, '5', NULL),
(2, 17450, 'Task', NULL),
(4, 17451, 'R82341418', NULL),
(1, 17451, '2', NULL),
(2, 17451, 'Task', NULL),
(4, 17452, 'R82341649', NULL),
(1, 17452, '2', NULL),
(2, 17452, 'Task', NULL),
(3, 17450, '10', NULL),
(7, 17450, '0', NULL),
(4, 17453, 'R82341880', NULL),
(1, 17453, '10', NULL),
(2, 17453, 'Task', NULL),
(11, 17454, '', NULL),
(2, 17454, 'Task', NULL),
(4, 17454, 'R82342111', NULL),
(3, 17454, '', NULL),
(1, 17454, '20', NULL),
(6, 17454, '', NULL),
(7, 17454, '0', NULL),
(5, 17454, '1498341600', NULL),
(8, 17454, '', NULL),
(11, 17453, '', NULL),
(3, 17453, '', NULL),
(6, 17453, '', NULL),
(7, 17453, '0', NULL),
(5, 17453, '1498341600', NULL),
(8, 17453, '', NULL),
(7, 17299, '0', NULL),
(7, 17300, '0', NULL),
(11, 17471, 'Recette', NULL),
(2, 17471, 'Bug', NULL),
(4, 17471, 'R82327789', NULL),
(1, 17471, '1', NULL),
(6, 17471, '', NULL),
(7, 17471, '0', NULL),
(5, 17471, '', NULL),
(8, 17471, '', NULL),
(7, 17414, '0', NULL),
(7, 17413, '0', NULL),
(7, 17412, '0', NULL),
(11, 17412, 'Recette', NULL),
(6, 17412, '', NULL),
(5, 17412, '', NULL),
(8, 17412, '', NULL),
(11, 17475, 'Production', NULL),
(2, 17475, 'Bug', NULL),
(4, 17475, 'R82328020', NULL),
(1, 17475, '1', NULL),
(6, 17475, '', NULL),
(7, 17475, '0', NULL),
(5, 17475, '', NULL),
(8, 17475, '', NULL),
(8, 17827, '', NULL),
(7, 17826, '0', NULL),
(6, 17826, '', NULL),
(1, 17826, '2', NULL),
(4, 17826, 'R82342342', NULL),
(2, 17826, 'Bug', NULL),
(11, 17826, 'Production', NULL),
(7, 17762, '0', NULL),
(7, 17740, '0', NULL),
(11, 17522, 'Recette', NULL),
(2, 17522, 'Bug', NULL),
(4, 17522, 'R82342573', NULL),
(1, 17522, '1', NULL),
(6, 17522, '', NULL),
(7, 17522, '0', NULL),
(5, 17522, '', NULL),
(8, 17522, '', NULL),
(11, 17559, 'Recette', NULL),
(2, 17559, 'Bug', NULL),
(4, 17559, 'R82244398', NULL),
(1, 17559, '2', NULL),
(6, 17559, '', NULL),
(7, 17559, '0', NULL),
(5, 17559, '', NULL),
(8, 17559, '', NULL),
(7, 17415, '0', NULL),
(7, 17416, '0', NULL),
(7, 17417, '0', NULL),
(8, 17417, '', NULL),
(7, 17418, '0', NULL),
(8, 17418, '', NULL),
(4, 17570, 'R82342804', NULL),
(1, 17570, '2', NULL),
(2, 17570, 'Bug', NULL),
(4, 17571, 'R82343035', NULL),
(1, 17571, '2', NULL),
(2, 17571, 'Bug', NULL),
(4, 17572, 'R82343266', NULL),
(1, 17572, '2', NULL),
(2, 17572, 'Bug', NULL),
(4, 17573, 'R82343497', NULL),
(1, 17573, '2', NULL),
(2, 17573, 'Bug', NULL),
(4, 17574, 'R82343728', NULL),
(1, 17574, '0', NULL),
(2, 17574, 'Bug', NULL),
(11, 17577, 'Recette', NULL),
(2, 17577, 'Bug', NULL),
(4, 17577, 'R82343959', NULL),
(1, 17577, '4', NULL),
(6, 17577, '', NULL),
(7, 17577, '0', NULL),
(5, 17577, '1488495600', NULL),
(8, 17577, '', NULL),
(11, 17570, 'Recette', NULL),
(3, 17570, '', NULL),
(6, 17570, '', NULL),
(7, 17570, '0', NULL),
(5, 17570, '', NULL),
(8, 17570, '', NULL),
(11, 17573, 'Recette', NULL),
(3, 17573, '', NULL),
(6, 17573, '', NULL),
(7, 17573, '0', NULL),
(5, 17573, '', NULL),
(8, 17573, '', NULL),
(11, 17572, 'Recette', NULL),
(3, 17572, '', NULL),
(6, 17572, '', NULL),
(7, 17572, '0', NULL),
(5, 17572, '', NULL),
(8, 17572, '', NULL),
(11, 17571, 'Recette', NULL),
(3, 17571, '', NULL),
(6, 17571, '', NULL),
(7, 17571, '0', NULL),
(5, 17571, '', NULL),
(8, 17571, '', NULL),
(11, 17581, '', NULL),
(2, 17581, 'Task', NULL),
(4, 17581, 'R82344190', NULL),
(1, 17581, '1', NULL),
(6, 17581, '', NULL),
(7, 17581, '0', NULL),
(5, 17581, '', NULL),
(8, 17581, '', NULL),
(11, 17582, '', NULL),
(2, 17582, 'Task', NULL),
(4, 17582, 'R82344421', NULL),
(1, 17582, '2', NULL),
(6, 17582, '', NULL),
(7, 17582, '0', NULL),
(5, 17582, '', NULL),
(8, 17582, '', NULL),
(7, 17448, '0', NULL),
(7, 17449, '0', NULL),
(11, 16802, 'Recette', NULL),
(3, 16802, '', NULL),
(6, 16802, '', NULL),
(5, 16802, '', NULL),
(8, 16802, '', NULL),
(11, 16846, 'Production', NULL),
(3, 16846, '', NULL),
(6, 16846, '', NULL),
(5, 16846, '', NULL),
(8, 16846, '', NULL),
(11, 17252, 'Production', NULL),
(3, 17252, '', NULL),
(6, 17252, '', NULL),
(5, 17252, '', NULL),
(8, 17252, '', NULL),
(11, 17254, 'Recette', NULL),
(3, 17254, '', NULL),
(6, 17254, '', NULL),
(5, 17254, '', NULL),
(8, 17254, '', NULL),
(11, 17411, 'Recette', NULL),
(3, 17411, '', NULL),
(6, 17411, '', NULL),
(5, 17411, '', NULL),
(8, 17411, '', NULL),
(3, 17412, '', NULL),
(11, 17413, 'Recette', NULL),
(3, 17413, '', NULL),
(6, 17413, '', NULL),
(5, 17413, '', NULL),
(8, 17413, '', NULL),
(11, 17414, 'Recette', NULL),
(3, 17414, '', NULL),
(6, 17414, '', NULL),
(5, 17414, '', NULL),
(8, 17414, '', NULL),
(11, 17449, 'Recette', NULL),
(3, 17449, '', NULL),
(6, 17449, '', NULL),
(5, 17449, '', NULL),
(8, 17449, '', NULL),
(3, 17471, '', NULL),
(11, 17633, '', NULL),
(2, 17633, 'Task', NULL),
(4, 17633, 'R82344652', NULL),
(1, 17633, '5', NULL),
(6, 17633, '', NULL),
(7, 17633, '0', NULL),
(5, 17633, '', NULL),
(8, 17633, '', NULL),
(11, 17634, '', NULL),
(2, 17634, 'Task', NULL),
(4, 17634, 'R82344883', NULL),
(1, 17634, '5', NULL),
(6, 17634, '', NULL),
(7, 17634, '0', NULL),
(5, 17634, '', NULL),
(8, 17634, '', NULL),
(11, 17637, '', NULL),
(2, 17637, 'Task', NULL),
(4, 17637, 'R82345114', NULL),
(3, 17637, '', NULL),
(1, 17637, '15', NULL),
(6, 17637, '', NULL),
(7, 17637, '0', NULL),
(5, 17637, '1499378400', NULL),
(8, 17637, '', NULL),
(11, 17638, 'Recette', NULL),
(2, 17638, 'Bug', NULL),
(4, 17638, 'R82345345', NULL),
(1, 17638, '2', NULL),
(6, 17638, '', NULL),
(7, 17638, '0', NULL),
(5, 17638, '', NULL),
(8, 17638, '', NULL),
(4, 17644, 'R82345576', NULL),
(1, 17644, '2', NULL),
(2, 17644, 'Bug', NULL),
(4, 17645, 'R82345807', NULL),
(1, 17645, '2', NULL),
(2, 17645, 'Bug', NULL),
(3, 16510, '0', NULL),
(7, 17644, '0', NULL),
(7, 17645, '0', NULL),
(11, 17646, 'Recette', NULL),
(2, 17646, 'Bug', NULL),
(4, 17646, 'R82346038', NULL),
(1, 17646, '1', NULL),
(6, 17646, '', NULL),
(7, 17646, '0', NULL),
(5, 17646, '', NULL),
(8, 17646, '', NULL),
(2, 23165, 'Bug', NULL),
(1, 23165, '0.5', NULL),
(4, 23165, 'R82328251', NULL),
(3, 22964, '0', NULL),
(3, 21759, '3', NULL),
(8, 23163, '', NULL),
(5, 23163, '', NULL),
(7, 23163, '0', NULL),
(6, 23163, '', NULL),
(1, 23163, '2', NULL),
(3, 23163, '0', NULL),
(4, 23163, 'R82328482', NULL),
(2, 23163, 'Task', NULL),
(11, 23163, '', NULL),
(4, 23160, '', NULL),
(2, 23160, 'Task', NULL),
(8, 23160, '', NULL),
(5, 23160, '', NULL),
(7, 23160, '', NULL),
(6, 23160, '', NULL),
(1, 23160, '2', NULL),
(3, 23160, '0', NULL),
(3, 22916, '0.5', NULL),
(3, 22915, '1', NULL),
(7, 23002, '0', NULL),
(7, 22877, '0', NULL),
(7, 21800, '0', NULL),
(7, 23150, '0', NULL),
(7, 23149, '0', NULL),
(2, 23152, 'Bug', NULL),
(1, 23152, '0.5', NULL),
(4, 23152, 'R82329868', NULL),
(2, 23151, 'Bug', NULL),
(1, 23151, '0.5', NULL),
(4, 23151, 'R82330099', NULL),
(2, 23150, 'Bug', NULL),
(1, 23150, '0.5', NULL),
(4, 23150, 'R82330330', NULL),
(7, 23243, '0', NULL),
(7, 23136, '0', NULL),
(2, 23172, 'Bug', NULL),
(1, 23172, '0.5', NULL),
(4, 23172, 'R82317625', NULL),
(2, 23171, 'Bug', NULL),
(1, 23171, '0.5', NULL),
(4, 23171, 'R82318087', NULL),
(2, 23170, 'Task', NULL),
(1, 23170, '0.5', NULL),
(4, 23170, 'R82318318', NULL),
(2, 23169, 'Task', NULL),
(1, 23169, '0.5', NULL),
(4, 23169, 'R82326403', NULL),
(2, 23168, 'Task', NULL),
(1, 23168, '3', NULL),
(4, 23168, 'R82328944', NULL),
(2, 23167, 'Task', NULL),
(1, 23167, '1', NULL),
(4, 23167, 'R82326634', NULL),
(2, 23166, 'Bug', NULL),
(1, 23166, '0.5', NULL),
(4, 23166, 'R82328713', NULL),
(2, 18442, 'Task', NULL),
(1, 18442, '1', NULL),
(4, 18442, 'R82346269', NULL),
(2, 18441, 'Task', NULL),
(1, 18441, '1', NULL),
(4, 18441, 'R82346500', NULL),
(11, 17729, '', NULL),
(2, 17729, 'Task', NULL),
(4, 17729, 'R82346731', NULL),
(1, 17729, '2', NULL),
(6, 17729, '', NULL),
(7, 17729, '0', NULL),
(5, 17729, '', NULL),
(8, 17729, '', NULL),
(11, 17730, '', NULL),
(2, 17730, 'Task', NULL),
(4, 17730, 'R82346962', NULL),
(3, 17730, '0', NULL),
(1, 17730, '3', NULL),
(6, 17730, '', NULL),
(7, 17730, '0', NULL),
(5, 17730, '', NULL),
(8, 17730, '', NULL),
(7, 19425, '0', NULL),
(7, 19422, '0', NULL),
(7, 19423, '0', NULL),
(11, 17733, 'Recette', NULL),
(2, 17733, 'Bug', NULL),
(4, 17733, 'R82347193', NULL),
(1, 17733, '1', NULL),
(6, 17733, '', NULL),
(7, 17733, '0', NULL),
(5, 17733, '', NULL),
(8, 17733, '', NULL),
(7, 17451, '0', NULL),
(11, 17734, 'Recette', NULL),
(2, 17734, 'Bug', NULL),
(4, 17734, 'R82347424', NULL),
(1, 17734, '2', NULL),
(6, 17734, '', NULL),
(7, 17734, '0', NULL),
(5, 17734, '', NULL),
(8, 17734, '', NULL),
(7, 17447, '0', NULL),
(7, 16914, '0', NULL),
(7, 16873, '0', NULL),
(7, 16872, '0', NULL),
(11, 16562, '', NULL),
(6, 16562, '', NULL),
(7, 16562, '0', NULL),
(5, 16562, '', NULL),
(8, 16562, '', NULL),
(11, 17300, '', NULL),
(6, 17300, '', NULL),
(5, 17300, '1489446000', NULL),
(8, 17300, '', NULL),
(3, 17300, '9', NULL),
(3, 17299, '7.5', NULL),
(3, 16624, '0', NULL),
(4, 17739, 'R82347886', NULL),
(1, 17739, '2', NULL),
(2, 17739, 'Task', NULL),
(4, 17740, 'R82348117', NULL),
(1, 17740, '2', NULL),
(2, 17740, 'Task', NULL),
(4, 17741, 'R82348348', NULL),
(1, 17741, '2', NULL),
(2, 17741, 'Task', NULL),
(4, 17742, 'R82348579', NULL),
(1, 17742, '5', NULL),
(2, 17742, 'Task', NULL),
(11, 17743, 'Recette', NULL),
(2, 17743, 'Bug', NULL),
(4, 17743, 'R82347655', NULL),
(1, 17743, '1', NULL),
(6, 17743, '', NULL),
(7, 17743, '0', NULL),
(5, 17743, '', NULL),
(8, 17743, '', NULL),
(11, 17746, '', NULL),
(2, 17746, 'Task', NULL),
(4, 17746, 'R82348810', NULL),
(3, 17746, '8', NULL),
(1, 17746, '2', NULL),
(6, 17746, '', NULL),
(7, 17746, '0', NULL),
(5, 17746, '', NULL),
(8, 17746, '', NULL),
(11, 17747, '', NULL),
(2, 17747, 'Task', NULL),
(4, 17747, 'R82349041', NULL),
(3, 17747, '8', NULL),
(1, 17747, '6', NULL),
(6, 17747, '', NULL),
(7, 17747, '0', NULL),
(5, 17747, '', NULL),
(8, 17747, '', NULL),
(7, 18401, '0', NULL),
(7, 17739, '0', NULL),
(11, 17757, 'Recette', NULL),
(2, 17757, 'Bug', NULL),
(4, 17757, 'R82349272', NULL),
(1, 17757, '1', NULL),
(6, 17757, '', NULL),
(7, 17757, '0', NULL),
(5, 17757, '', NULL),
(8, 17757, '', NULL),
(11, 17758, 'Recette', NULL),
(2, 17758, 'Bug', NULL),
(4, 17758, 'R82349503', NULL),
(1, 17758, '2', NULL),
(6, 17758, '', NULL),
(7, 17758, '0', NULL),
(5, 17758, '', NULL),
(8, 17758, '', NULL),
(11, 17759, 'Production', NULL),
(2, 17759, 'Bug', NULL),
(4, 17759, 'R82349734', NULL),
(3, 17759, '0', NULL),
(1, 17759, '1', NULL),
(6, 17759, '', NULL),
(7, 17759, '0', NULL),
(5, 17759, '', NULL),
(8, 17759, '', NULL),
(4, 17762, 'R82349965', NULL),
(1, 17762, '2', NULL),
(2, 17762, 'Task', NULL),
(4, 17764, 'R82350196', NULL),
(1, 17764, '6', NULL),
(2, 17764, 'Task', NULL),
(4, 17765, 'R82350427', NULL),
(1, 17765, '2', NULL),
(2, 17765, 'Task', NULL),
(7, 17764, '0', NULL),
(11, 17791, '', NULL),
(2, 17791, 'Task', NULL),
(4, 17791, 'R82350658', NULL),
(3, 17791, '15', NULL),
(1, 17791, '1', NULL),
(6, 17791, '', NULL),
(7, 17791, '0', NULL),
(5, 17791, '1464300000', NULL),
(8, 17791, '', NULL),
(1, 18660, '2', NULL),
(4, 18660, 'R82364980', NULL),
(11, 17845, 'Recette', NULL),
(2, 17845, 'Bug', NULL),
(4, 17845, 'R82350889', NULL),
(1, 17845, '2', NULL),
(6, 17845, '', NULL),
(7, 17845, '0', NULL),
(5, 17845, '', NULL),
(8, 17845, '', NULL),
(11, 17846, 'Recette', NULL),
(2, 17846, 'Bug', NULL),
(4, 17846, 'R82351120', NULL),
(1, 17846, '2', NULL),
(6, 17846, '', NULL),
(7, 17846, '0', NULL),
(5, 17846, '', NULL),
(8, 17846, '', NULL),
(11, 17847, 'Recette', NULL),
(2, 17847, 'Bug', NULL),
(4, 17847, 'R82351351', NULL),
(1, 17847, '2', NULL),
(6, 17847, '', NULL),
(7, 17847, '0', NULL),
(5, 17847, '', NULL),
(8, 17847, '', NULL),
(11, 17848, 'Recette', NULL),
(2, 17848, 'Task', NULL),
(4, 17848, 'R82351582', NULL),
(1, 17848, '2', NULL),
(6, 17848, '', NULL),
(7, 17848, '0', NULL),
(5, 17848, '', NULL),
(8, 17848, '', NULL),
(11, 17849, 'Recette', NULL),
(2, 17849, 'Task', NULL),
(4, 17849, 'R82351813', NULL),
(1, 17849, '2', NULL),
(6, 17849, '', NULL),
(7, 17849, '0', NULL),
(5, 17849, '', NULL),
(8, 17849, '', NULL),
(11, 17850, 'Recette', NULL),
(2, 17850, 'Task', NULL),
(4, 17850, 'R82352044', NULL),
(1, 17850, '2', NULL),
(6, 17850, '', NULL),
(7, 17850, '0', NULL),
(5, 17850, '', NULL),
(8, 17850, '', NULL),
(11, 17855, 'Recette', NULL),
(2, 17855, 'Task', NULL),
(4, 17855, 'R82352275', NULL),
(3, 17855, '3', NULL),
(1, 17855, '1', NULL),
(6, 17855, '', NULL),
(7, 17855, '0', NULL),
(5, 17855, '', NULL),
(8, 17855, '', NULL),
(4, 17856, 'R82352506', NULL),
(1, 17856, '1', NULL),
(2, 17856, 'Task', NULL),
(4, 17857, 'R82352737', NULL),
(1, 17857, '2', NULL),
(2, 17857, 'Task', NULL),
(3, 17858, '0', NULL),
(1, 17858, '10', NULL),
(6, 17858, '', NULL),
(7, 17858, '', NULL),
(5, 17858, '', NULL),
(8, 17858, '', NULL),
(2, 17858, 'Task', NULL),
(4, 17858, '', NULL),
(7, 17856, '0', NULL),
(5, 17299, '', NULL),
(11, 17917, 'Recette', NULL),
(2, 17917, 'Bug', NULL),
(4, 17917, 'R82352968', NULL),
(1, 17917, '2', NULL),
(6, 17917, '', NULL),
(7, 17917, '0', NULL),
(5, 17917, '', NULL),
(8, 17917, '', NULL),
(5, 17764, '', NULL),
(5, 17741, '', NULL),
(5, 17742, '', NULL),
(11, 17921, 'Recette', NULL),
(2, 17921, 'Bug', NULL),
(4, 17921, 'R82353199', NULL),
(1, 17921, '2', NULL),
(6, 17921, '', NULL),
(7, 17921, '0', NULL),
(5, 17921, '', NULL),
(8, 17921, '', NULL),
(11, 17447, 'Recette', NULL),
(3, 17447, '', NULL),
(6, 17447, '', NULL),
(5, 17447, '', NULL),
(8, 17447, '', NULL),
(11, 17448, 'Recette', NULL),
(3, 17448, '', NULL),
(6, 17448, '', NULL),
(5, 17448, '', NULL),
(8, 17448, '', NULL),
(11, 17644, 'Recette', NULL),
(3, 17644, '', NULL),
(6, 17644, '', NULL),
(5, 17644, '', NULL),
(8, 17644, '', NULL),
(11, 17645, 'Recette', NULL),
(3, 17645, '', NULL),
(6, 17645, '', NULL),
(5, 17645, '', NULL),
(8, 17645, '', NULL),
(11, 17923, 'Recette', NULL),
(2, 17923, 'Bug', NULL),
(4, 17923, 'R82353430', NULL),
(3, 17923, '0', NULL),
(1, 17923, '1', NULL),
(6, 17923, '', NULL),
(7, 17923, '0', NULL),
(5, 17923, '', NULL),
(8, 17923, '', NULL),
(7, 17574, '0', NULL),
(3, 17574, '0', NULL),
(7, 17741, '0', NULL),
(11, 18755, '', NULL),
(3, 17850, '6', NULL),
(7, 17857, '0', NULL),
(4, 17967, 'R82353892', NULL),
(1, 17967, '2', NULL),
(2, 17967, 'Task', NULL),
(4, 17968, 'R82354123', NULL),
(1, 17968, '2', NULL),
(2, 17968, 'Task', NULL),
(3, 17368, '7', NULL),
(3, 17369, '6', NULL),
(7, 17765, '3', NULL),
(5, 17301, '', NULL),
(7, 13784, '0', NULL),
(5, 13784, '', NULL),
(11, 17983, '', NULL),
(2, 17983, 'Task', NULL),
(4, 17983, 'R82260799', NULL),
(1, 17983, '5', NULL),
(6, 17983, '', NULL),
(7, 17983, '0', NULL),
(5, 17983, '', NULL),
(8, 17983, '', NULL),
(11, 17984, '', NULL),
(2, 17984, 'Task', NULL),
(4, 17984, 'R82354354', NULL),
(1, 17984, '5', NULL),
(6, 17984, '', NULL),
(7, 17984, '5', NULL),
(5, 17984, '', NULL),
(8, 17984, '', NULL),
(11, 17765, '', NULL),
(3, 17765, '', NULL),
(6, 17765, '', NULL),
(5, 17765, '', NULL),
(8, 17765, '', NULL),
(4, 17987, 'R82354585', NULL),
(1, 17987, '0.5', NULL),
(2, 17987, 'Bug', NULL),
(4, 17988, 'R82354816', NULL),
(1, 17988, '0.5', NULL),
(2, 17988, 'Bug', NULL),
(11, 17987, 'Recette', NULL),
(3, 17987, '', NULL),
(6, 17987, '', NULL),
(7, 17987, '0', NULL),
(5, 17987, '', NULL),
(8, 17987, '', NULL),
(11, 17988, 'Recette', NULL),
(3, 17988, '', NULL),
(6, 17988, '', NULL),
(7, 17988, '0', NULL),
(5, 17988, '', NULL),
(8, 17988, '', NULL),
(3, 17856, '2', NULL),
(3, 17857, '6', NULL),
(11, 18008, 'Production', NULL),
(2, 18008, 'Bug', NULL),
(4, 18008, 'R82355047', NULL),
(3, 18008, '0', NULL),
(1, 18008, '1', NULL),
(6, 18008, '', NULL),
(7, 18008, '0', NULL),
(5, 18008, '', NULL),
(8, 18008, '', NULL),
(11, 18009, 'Recette', NULL),
(2, 18009, 'Bug', NULL),
(4, 18009, 'R82355278', NULL),
(1, 18009, '1', NULL),
(6, 18009, '', NULL),
(7, 18009, '0', NULL),
(5, 18009, '', NULL),
(8, 18009, '', NULL),
(11, 18028, '', NULL),
(2, 18028, 'Task', NULL),
(4, 18028, 'R82355509', NULL),
(1, 18028, '3', NULL),
(6, 18028, '', NULL),
(7, 18028, '0', NULL),
(5, 18028, '', NULL),
(8, 18028, '', NULL),
(5, 18059, '', NULL),
(7, 18059, '0', NULL),
(6, 18059, '', NULL),
(1, 18059, '1', NULL),
(3, 18059, '0', NULL),
(4, 18059, 'R82355740', NULL),
(2, 18059, 'Bug', NULL),
(11, 18059, 'Production', NULL),
(8, 18059, '', NULL),
(11, 18060, '', NULL),
(2, 18060, 'Task', NULL),
(4, 18060, 'R82355971', NULL),
(3, 18060, '0', NULL),
(1, 18060, '7', NULL),
(6, 18060, '', NULL),
(7, 18060, '0', NULL),
(5, 18060, '1464300000', NULL),
(8, 18060, '', NULL),
(11, 18061, '', NULL),
(2, 18061, 'Task', NULL),
(4, 18061, 'R82356202', NULL),
(1, 18061, '2', NULL),
(6, 18061, '', NULL),
(7, 18061, '0', NULL),
(5, 18061, '1464300000', NULL),
(8, 18061, '', NULL),
(3, 18009, '', NULL),
(5, 17967, '1493330400', NULL),
(5, 17968, '', NULL),
(4, 18088, 'R82356433', NULL),
(1, 18088, '0.5', NULL),
(2, 18088, 'Task', NULL),
(4, 18089, 'R82356664', NULL),
(1, 18089, '0.5', NULL),
(2, 18089, 'Task', NULL),
(11, 18090, '', NULL),
(2, 18090, 'Task', NULL),
(4, 18090, '', NULL),
(3, 18090, '0', NULL),
(1, 18090, '2', NULL),
(6, 18090, '', NULL),
(7, 18090, '0', NULL),
(5, 18090, '', NULL),
(8, 18090, '', NULL),
(11, 18091, 'Production', NULL),
(2, 18091, 'Bug', NULL),
(4, 18091, 'R82357126', NULL),
(3, 18091, '0', NULL),
(1, 18091, '1', NULL),
(6, 18091, '', NULL),
(7, 18091, '0', NULL),
(5, 18091, '', NULL),
(8, 18091, '', NULL),
(8, 18180, '', NULL),
(5, 18180, '', NULL),
(7, 18180, '0', NULL),
(6, 18180, '', NULL),
(1, 18180, '1', NULL),
(3, 18180, '0', NULL),
(4, 18180, 'R82358974', NULL),
(2, 18180, 'Bug', NULL),
(11, 18180, 'Production', NULL),
(4, 18114, 'R82357357', NULL),
(1, 18114, '0.5', NULL),
(2, 18114, 'Task', NULL),
(4, 18115, 'R82357588', NULL),
(1, 18115, '0.5', NULL),
(2, 18115, 'Task', NULL),
(4, 18116, 'R82357819', NULL),
(1, 18116, '0.5', NULL),
(2, 18116, 'Task', NULL),
(4, 18118, 'R82358050', NULL),
(1, 18118, '0.5', NULL),
(2, 18118, 'Task', NULL),
(4, 18119, 'R82358281', NULL),
(1, 18119, '0.5', NULL),
(2, 18119, 'Task', NULL),
(11, 18120, '', NULL),
(2, 18120, 'Task', NULL),
(4, 18120, 'R82358512', NULL),
(3, 18120, '0', NULL),
(1, 18120, '2', NULL),
(6, 18120, '', NULL),
(7, 18120, '0', NULL),
(5, 18120, '', NULL),
(8, 18120, '', NULL),
(11, 18121, '', NULL),
(2, 18121, 'Task', NULL),
(4, 18121, 'R82358743', NULL),
(3, 18121, '0', NULL),
(1, 18121, '2', NULL),
(6, 18121, '', NULL),
(7, 18121, '0', NULL),
(5, 18121, '', NULL),
(8, 18121, '', NULL),
(7, 18118, '0', NULL),
(8, 17967, '', NULL),
(7, 16563, '0', NULL),
(4, 18243, 'R82359205', NULL),
(1, 18243, '0.5', NULL),
(2, 18243, 'Bug', NULL),
(4, 18244, 'R82359436', NULL),
(1, 18244, '0.5', NULL),
(2, 18244, 'Bug', NULL),
(2, 18266, 'Task', NULL),
(4, 18266, '', NULL),
(1, 18266, '5', NULL),
(6, 18266, '', NULL),
(7, 18266, '', NULL),
(5, 18266, '', NULL),
(8, 18266, '', NULL),
(3, 18267, '0', NULL),
(1, 18267, '2', NULL),
(6, 18267, '', NULL),
(7, 18267, '', NULL),
(5, 18267, '', NULL),
(8, 18267, '', NULL),
(2, 18267, 'Task', NULL),
(4, 18267, '', NULL),
(3, 18268, '0', NULL),
(1, 18268, '2', NULL),
(6, 18268, '', NULL),
(7, 18268, '', NULL),
(5, 18268, '', NULL),
(8, 18268, '', NULL),
(2, 18268, 'Task', NULL),
(4, 18268, '', NULL),
(3, 18269, '0', NULL),
(1, 18269, '2', NULL),
(6, 18269, '', NULL),
(7, 18269, '', NULL),
(5, 18269, '', NULL),
(8, 18269, '', NULL),
(2, 18269, 'Task', NULL),
(4, 18269, '', NULL),
(3, 18270, '0', NULL),
(1, 18270, '2', NULL),
(6, 18270, '', NULL),
(7, 18270, '', NULL),
(5, 18270, '', NULL),
(8, 18270, '', NULL),
(2, 18270, 'Task', NULL),
(4, 18270, '', NULL),
(3, 18271, '0', NULL),
(1, 18271, '2', NULL),
(6, 18271, '', NULL),
(7, 18271, '', NULL),
(5, 18271, '', NULL),
(8, 18271, '', NULL),
(2, 18271, 'Task', NULL),
(4, 18271, '', NULL),
(7, 18243, '0', NULL),
(7, 18244, '0', NULL),
(7, 17967, '0', NULL),
(11, 18279, '', NULL),
(2, 18279, 'Task', NULL),
(4, 18279, 'R82359898', NULL),
(1, 18279, '5', NULL),
(6, 18279, '', NULL),
(7, 18279, '0', NULL),
(5, 18279, '', NULL),
(8, 18279, '', NULL),
(4, 18287, 'R82360129', NULL),
(1, 18287, '2', NULL),
(2, 18287, 'Bug', NULL),
(4, 18288, 'R82360360', NULL),
(1, 18288, '2', NULL),
(2, 18288, 'Bug', NULL),
(4, 18289, 'R82360591', NULL),
(1, 18289, '2', NULL),
(2, 18289, 'Bug', NULL),
(7, 18287, '0', NULL),
(4, 18401, 'R82360822', NULL),
(1, 18401, '0.5', NULL),
(2, 18401, 'Bug', NULL),
(4, 18402, 'R82361053', NULL),
(1, 18402, '0.5', NULL),
(2, 18402, 'Bug', NULL),
(4, 18403, 'R82361284', NULL),
(1, 18403, '0.5', NULL),
(2, 18403, 'Task', NULL),
(4, 18404, 'R82361515', NULL),
(1, 18404, '0.5', NULL),
(2, 18404, 'Task', NULL),
(11, 18405, '', NULL),
(2, 18405, 'Task', NULL),
(4, 18405, 'R82361746', NULL),
(3, 18405, '7', NULL),
(1, 18405, '0', NULL),
(6, 18405, '', NULL),
(7, 18405, '0', NULL),
(5, 18405, '1464300000', NULL),
(8, 18405, '', NULL),
(7, 18116, '0', NULL),
(7, 18288, '0', NULL),
(11, 18473, 'Production', NULL),
(2, 18473, 'Bug', NULL),
(4, 18473, 'R82361977', NULL),
(3, 18473, '0', NULL),
(1, 18473, '1', NULL),
(6, 18473, '', NULL),
(7, 18473, '0', NULL),
(5, 18473, '', NULL),
(8, 18473, '', NULL),
(7, 18289, '0', NULL),
(7, 18402, '0', NULL),
(11, 18488, '', NULL),
(2, 18488, 'Task', NULL),
(4, 18488, 'R82362208', NULL),
(3, 18488, '6.9', NULL),
(1, 18488, '10', NULL),
(6, 18488, '', NULL),
(7, 18488, '0', NULL),
(5, 18488, '1503007200', NULL),
(8, 18488, '', NULL),
(4, 18489, 'R82362439', NULL),
(1, 18489, '10', NULL),
(2, 18489, 'Task', NULL),
(4, 18490, 'R82362670', NULL),
(2, 18490, 'Task', NULL),
(4, 18491, 'R82362901', NULL),
(1, 18491, '2', NULL),
(2, 18491, 'Task', NULL),
(4, 18492, 'R82363132', NULL),
(1, 18492, '0.5', NULL),
(2, 18492, 'Task', NULL),
(5, 18492, '943916400', NULL),
(4, 18493, 'R82363363', NULL),
(1, 18493, '2', NULL),
(2, 18493, 'Task', NULL),
(11, 18511, '', NULL),
(2, 18511, 'Task', NULL),
(4, 18511, 'R82363594', NULL),
(3, 18511, '2', NULL),
(1, 18511, '5', NULL),
(6, 18511, '', NULL),
(7, 18511, '0', NULL),
(5, 18511, '', NULL),
(8, 18511, '', NULL),
(5, 18489, '1496700000', NULL),
(11, 18512, 'Production', NULL),
(2, 18512, 'Bug', NULL),
(4, 18512, 'R82363825', NULL),
(3, 18512, '0', NULL),
(1, 18512, '1', NULL),
(6, 18512, '', NULL),
(7, 18512, '0', NULL),
(5, 18512, '', NULL),
(8, 18512, '', NULL),
(11, 18535, 'Production', NULL),
(2, 18535, 'Bug', NULL),
(4, 18535, 'R82364056', NULL),
(3, 18535, '0', NULL),
(1, 18535, '1', NULL),
(6, 18535, '', NULL),
(7, 18535, '0', NULL),
(5, 18535, '', NULL),
(8, 18535, '', NULL),
(6, 18661, '', NULL),
(1, 18661, '2', NULL),
(3, 18661, '0', NULL),
(4, 18661, '', NULL),
(2, 18661, 'Task', NULL),
(11, 18661, '', NULL),
(7, 17452, '0', NULL),
(7, 18489, '0', NULL),
(2, 18660, 'Task', NULL),
(11, 18575, '', NULL),
(2, 18575, 'Task', NULL),
(4, 18575, 'Arcos', NULL),
(3, 18575, '0', NULL),
(1, 18575, '2', NULL),
(6, 18575, '', NULL),
(7, 18575, '0', NULL),
(5, 18575, '', NULL),
(8, 18575, '', NULL),
(3, 17451, '5', NULL),
(3, 17452, '6', NULL),
(11, 18587, '', NULL),
(2, 18587, 'Task', NULL),
(4, 18587, 'R82364287', NULL),
(3, 18587, '3.4', NULL),
(1, 18587, '1', NULL),
(6, 18587, '', NULL),
(7, 18587, '0', NULL),
(5, 18587, '', NULL),
(8, 18587, '', NULL),
(7, 16073, '0', NULL),
(11, 16073, '', NULL),
(6, 16073, '', NULL),
(5, 16073, '', NULL),
(8, 16073, '', NULL),
(11, 18601, 'Production', NULL),
(2, 18601, 'Task', NULL),
(4, 18601, 'R82364518', NULL),
(3, 18601, '1', NULL),
(1, 18601, '2', NULL),
(6, 18601, '', NULL),
(7, 18601, '0', NULL),
(5, 18601, '', NULL),
(8, 18601, '', NULL),
(7, 16072, '0', NULL),
(5, 18491, '', NULL),
(3, 18491, '3', NULL),
(3, 18490, '3.5', NULL),
(1, 18490, '2', NULL),
(11, 18610, '', NULL),
(2, 18610, 'Task', NULL),
(4, 18610, '', NULL),
(3, 18610, '0', NULL),
(1, 18610, '2', NULL),
(6, 18610, '', NULL),
(7, 18610, '0', NULL),
(5, 18610, '', NULL),
(8, 18610, '', NULL),
(11, 18491, '', NULL),
(6, 18491, '', NULL),
(7, 18491, '0', NULL),
(8, 18491, '', NULL),
(7, 18661, '0', NULL),
(5, 18661, '', NULL),
(8, 18661, '', NULL),
(11, 18662, '', NULL),
(2, 18662, 'Task', NULL),
(4, 18662, '', NULL),
(3, 18662, '0', NULL),
(1, 18662, '3', NULL),
(6, 18662, '', NULL),
(7, 18662, '0', NULL),
(5, 18662, '', NULL),
(8, 18662, '', NULL),
(11, 18663, '', NULL),
(2, 18663, 'Task', NULL),
(4, 18663, '', NULL),
(3, 18663, '0', NULL),
(1, 18663, '2', NULL),
(6, 18663, '', NULL),
(7, 18663, '0', NULL),
(5, 18663, '', NULL),
(8, 18663, '', NULL),
(3, 18116, '0', NULL),
(7, 18119, '0', NULL),
(7, 18660, '0', NULL),
(7, 18490, '0', NULL),
(11, 18757, '', NULL),
(7, 18718, '0', NULL),
(4, 18718, 'R82366366', NULL),
(1, 18718, '1', NULL),
(2, 18718, 'Task', NULL),
(11, 18720, '', NULL),
(2, 18720, 'Task', NULL),
(4, 18720, 'R82366597', NULL),
(3, 18720, '1', NULL),
(1, 18720, '1', NULL),
(6, 18720, '', NULL),
(7, 18720, '0', NULL),
(5, 18720, '', NULL),
(8, 18720, '', NULL),
(11, 18721, '', NULL),
(2, 18721, 'Task', NULL),
(4, 18721, 'R82366828', NULL),
(3, 18721, '1', NULL),
(1, 18721, '1', NULL),
(6, 18721, '', NULL),
(7, 18721, '0', NULL),
(5, 18721, '', NULL),
(8, 18721, '', NULL),
(11, 18735, '', NULL),
(2, 18735, 'Task', NULL),
(4, 18735, '', NULL),
(1, 18735, '2', NULL),
(6, 18735, '', NULL),
(7, 18735, '0', NULL),
(5, 18735, '', NULL),
(8, 18735, '', NULL),
(3, 18756, '9', NULL),
(1, 18756, '5', NULL),
(6, 18756, '', NULL),
(7, 18756, '0', NULL),
(5, 18756, '', NULL),
(8, 18756, '', NULL),
(3, 18718, '2.5', NULL),
(2, 18757, 'Task', NULL),
(4, 18757, 'R82366135', NULL),
(3, 18757, '3', NULL),
(1, 18757, '3', NULL),
(6, 18757, '', NULL),
(7, 18757, '0', NULL),
(5, 18757, '', NULL),
(8, 18757, '', NULL),
(4, 18776, 'R82367521', NULL),
(1, 18776, '0.5', NULL),
(2, 18776, 'Task', NULL),
(4, 18777, 'R82367752', NULL),
(1, 18777, '2', NULL),
(2, 18777, 'Task', NULL),
(5, 18493, '', NULL),
(5, 18490, '', NULL),
(3, 18119, '1', NULL),
(3, 18118, '2.5', NULL),
(4, 1505, '', NULL),
(2, 1505, '', NULL),
(8, 1505, '', NULL),
(11, 18243, 'Production', NULL),
(3, 18243, '', NULL),
(6, 18243, '', NULL),
(5, 18243, '', NULL),
(8, 18243, '', NULL),
(11, 18244, 'Production', NULL),
(3, 18244, '', NULL),
(6, 18244, '', NULL),
(5, 18244, '', NULL),
(8, 18244, '', NULL),
(11, 18287, 'Production', NULL),
(3, 18287, '', NULL),
(6, 18287, '', NULL),
(5, 18287, '', NULL),
(8, 18287, '', NULL),
(11, 18288, 'Production', NULL),
(3, 18288, '', NULL),
(6, 18288, '', NULL),
(5, 18288, '', NULL),
(8, 18288, '', NULL),
(11, 18289, 'Production', NULL),
(3, 18289, '', NULL),
(6, 18289, '', NULL),
(5, 18289, '', NULL),
(8, 18289, '', NULL),
(11, 18401, 'Production', NULL),
(3, 18401, '', NULL),
(6, 18401, '', NULL),
(5, 18401, '', NULL),
(8, 18401, '', NULL),
(11, 18402, 'Recette', NULL),
(3, 18402, '', NULL),
(6, 18402, '', NULL),
(5, 18402, '', NULL),
(8, 18402, '', NULL),
(7, 17968, '0', NULL),
(7, 18403, '0', NULL),
(11, 18964, 'Production', NULL),
(2, 18964, 'Bug', NULL),
(4, 18964, 'R82367983', NULL),
(3, 18964, '0', NULL),
(1, 18964, '2', NULL),
(6, 18964, '', NULL),
(7, 18964, '0', NULL),
(5, 18964, '', NULL),
(8, 18964, '', NULL),
(7, 18493, '0', NULL),
(11, 18965, '', NULL),
(2, 18965, 'Task', NULL),
(4, 18965, 'R82368214', NULL),
(3, 18965, '1.8', NULL),
(1, 18965, '2', NULL),
(6, 18965, '', NULL),
(7, 18965, '0', NULL),
(5, 18965, '', NULL),
(8, 18965, '', NULL),
(3, 18492, '1', NULL),
(3, 18493, '1', NULL),
(5, 1505, '', NULL),
(7, 1505, '', NULL),
(6, 1505, '', NULL),
(1, 1505, '', NULL),
(3, 1505, '', NULL),
(1, 19428, '5', NULL),
(8, 14710, '', NULL),
(3, 19428, '0', NULL),
(6, 14710, '', NULL),
(11, 14710, '', NULL),
(7, 18492, '0', NULL),
(5, 18777, '1497909600', NULL),
(3, 18660, '4.2', NULL),
(3, 18998, '0', NULL),
(1, 18998, '2', NULL),
(6, 18998, '', NULL),
(7, 18998, '', NULL),
(5, 18998, '', NULL),
(8, 18998, '', NULL),
(2, 18998, 'Task', NULL),
(4, 18998, '', NULL),
(3, 16562, '2.5', NULL),
(3, 16563, '1.5', NULL),
(11, 19042, '', NULL),
(2, 19042, 'Task', NULL),
(4, 19042, 'R82368445', NULL),
(3, 19042, '35', NULL),
(1, 19042, '0', NULL),
(6, 19042, '', NULL),
(7, 19042, '0', NULL),
(5, 19042, '1460412000', NULL),
(8, 19042, '', NULL),
(2, 19800, 'Task', NULL),
(11, 19800, '', NULL),
(7, 19786, '0', NULL),
(11, 19043, '', NULL),
(2, 19043, 'Task', NULL),
(4, 19043, 'R82195426', NULL),
(3, 19043, '50', NULL),
(1, 19043, '0', NULL),
(6, 19043, '', NULL),
(7, 19043, '0', NULL),
(5, 19043, '1464300000', NULL),
(8, 19043, '', NULL),
(11, 19044, '', NULL),
(2, 19044, 'Task', NULL),
(4, 19044, 'R82368676', NULL),
(3, 19044, '85', NULL),
(1, 19044, '0', NULL),
(6, 19044, '', NULL),
(7, 19044, '0', NULL),
(5, 19044, '1464300000', NULL),
(8, 19044, '', NULL),
(11, 19045, '', NULL),
(2, 19045, 'Task', NULL),
(4, 19045, 'R82368907', NULL),
(3, 19045, '72', NULL),
(1, 19045, '0', NULL),
(6, 19045, '', NULL),
(7, 19045, '0', NULL),
(5, 19045, '1462831200', NULL),
(8, 19045, '', NULL),
(11, 19046, '', NULL),
(2, 19046, 'Task', NULL),
(4, 19046, 'R82369138', NULL),
(3, 19046, '47', NULL),
(1, 19046, '0', NULL),
(6, 19046, '', NULL),
(7, 19046, '0', NULL),
(5, 19046, '1464300000', NULL),
(8, 19046, '', NULL),
(11, 19047, '', NULL),
(2, 19047, 'Task', NULL),
(4, 19047, 'R82369369', NULL),
(3, 19047, '36', NULL),
(1, 19047, '0', NULL),
(6, 19047, '', NULL),
(7, 19047, '0', NULL),
(5, 19047, '1464300000', NULL),
(8, 19047, '', NULL),
(11, 19048, '', NULL),
(2, 19048, 'Task', NULL),
(4, 19048, 'R82369600', NULL),
(3, 19048, '50', NULL),
(1, 19048, '0', NULL),
(6, 19048, '', NULL),
(7, 19048, '0', NULL),
(5, 19048, '1491861600', NULL),
(8, 19048, '', NULL),
(11, 19049, '', NULL),
(2, 19049, 'Task', NULL),
(4, 19049, 'R82261030', NULL),
(3, 19049, '48', NULL),
(1, 19049, '0', NULL),
(6, 19049, '', NULL),
(7, 19049, '0', NULL),
(5, 19049, '1462744800', NULL),
(8, 19049, '', NULL),
(11, 19051, '', NULL),
(2, 19051, 'Task', NULL),
(4, 19051, 'R82369831', NULL),
(3, 19051, '55', NULL),
(1, 19051, '0', NULL),
(6, 19051, '', NULL),
(7, 19051, '0', NULL),
(5, 19051, '', NULL),
(8, 19051, '', NULL),
(11, 19054, '', NULL),
(2, 19054, 'Task', NULL),
(4, 19054, 'R82370062', NULL),
(3, 19054, '0.2', NULL),
(1, 19054, '0', NULL),
(6, 19054, '', NULL),
(7, 19054, '0', NULL),
(5, 19054, '', NULL),
(8, 19054, '', NULL),
(11, 19055, '', NULL),
(2, 19055, 'Task', NULL),
(4, 19055, 'R82370293', NULL),
(3, 19055, '0.6', NULL),
(1, 19055, '0', NULL),
(6, 19055, '', NULL),
(7, 19055, '0', NULL),
(5, 19055, '', NULL),
(8, 19055, '', NULL),
(11, 19064, '', NULL),
(2, 19064, 'Task', NULL),
(4, 19064, 'R82370524', NULL),
(3, 19064, '5', NULL),
(1, 19064, '0', NULL),
(6, 19064, '', NULL),
(7, 19064, '0', NULL),
(5, 19064, '', NULL),
(8, 19064, '', NULL),
(3, 17968, '6', NULL),
(3, 17967, '5', NULL),
(11, 19081, '', NULL),
(2, 19081, 'Task', NULL),
(4, 19081, 'R82370755', NULL),
(3, 19081, '0', NULL),
(1, 19081, '3', NULL),
(6, 19081, '', NULL),
(7, 19081, '0', NULL),
(5, 19081, '1496008800', NULL),
(8, 19081, '', NULL),
(11, 19085, '', NULL),
(2, 19085, 'Task', NULL),
(4, 19085, 'R82370986', NULL),
(3, 19085, '200', NULL),
(1, 19085, '0', NULL),
(6, 19085, '', NULL),
(7, 19085, '0', NULL),
(5, 19085, '', NULL),
(8, 19085, '', NULL),
(11, 19106, 'Production', NULL),
(2, 19106, 'Bug', NULL),
(4, 19106, 'R82371448', NULL),
(1, 19106, '2', NULL),
(6, 19106, '', NULL),
(7, 19106, '0', NULL),
(5, 19106, '', NULL),
(8, 19106, '', NULL),
(11, 19114, 'Recette', NULL),
(2, 19114, 'Bug', NULL),
(4, 19114, 'R82371679', NULL),
(1, 19114, '10', NULL),
(6, 19114, '', NULL),
(7, 19114, '0', NULL),
(5, 19114, '1496700000', NULL),
(8, 19114, '', NULL),
(3, 19106, '1', NULL),
(4, 19115, 'R82371910', NULL),
(1, 19115, '0.5', NULL),
(2, 19115, 'Task', NULL),
(4, 19116, 'R82372141', NULL),
(1, 19116, '0.5', NULL),
(2, 19116, 'Bug', NULL),
(4, 19117, 'R82372372', NULL),
(1, 19117, '0.5', NULL),
(2, 19117, 'Bug', NULL),
(4, 19118, 'R82372603', NULL),
(1, 19118, '0.5', NULL),
(2, 19118, 'Bug', NULL),
(5, 19118, '', NULL),
(5, 19116, '', NULL),
(5, 19117, '', NULL),
(7, 19116, '0', NULL),
(7, 19117, '0', NULL),
(7, 19118, '0', NULL),
(4, 19982, 'R82383691', NULL),
(2, 19981, 'Task', NULL),
(1, 19981, '0.5', NULL),
(4, 19981, 'R82382767', NULL),
(7, 19115, '0', NULL),
(11, 19196, 'Production', NULL),
(2, 19196, 'Bug', NULL),
(4, 19196, 'R82213675', NULL),
(1, 19196, '2', NULL),
(6, 19196, '', NULL),
(7, 19196, '0', NULL),
(5, 19196, '', NULL),
(8, 19196, '', NULL),
(3, 18061, '2.5', NULL),
(4, 19235, 'R82372834', NULL),
(1, 19235, '0.5', NULL),
(2, 19235, 'Bug', NULL),
(4, 19236, 'R82373065', NULL),
(1, 19236, '0', NULL),
(2, 19236, 'Bug', NULL),
(11, 19331, '', NULL),
(2, 19331, 'Task', NULL),
(4, 19331, '', NULL),
(1, 19331, '2', NULL),
(6, 19331, '', NULL),
(7, 19331, '0', NULL),
(5, 19331, '', NULL),
(8, 19331, '', NULL),
(4, 19341, 'R82373527', NULL),
(1, 19341, '2.5', NULL),
(2, 19341, 'Task', NULL),
(4, 19342, 'R82373758', NULL),
(1, 19342, '2', NULL),
(2, 19342, 'Task', NULL),
(11, 19370, 'Production', NULL),
(2, 19370, 'Bug', NULL),
(4, 19370, 'R82373989', NULL),
(3, 19370, '0', NULL),
(1, 19370, '1', NULL),
(6, 19370, '', NULL),
(7, 19370, '0', NULL),
(5, 19370, '', NULL),
(8, 19370, '', NULL),
(11, 19386, '', NULL),
(2, 19386, 'Task', NULL),
(4, 19386, 'R82374220', NULL),
(3, 19386, '', NULL),
(1, 19386, '2', NULL),
(6, 19386, '', NULL),
(7, 19386, '0', NULL),
(5, 19386, '', NULL),
(8, 19386, '', NULL),
(7, 19341, '0', NULL),
(4, 19420, 'R82374451', NULL),
(1, 19420, '0.5', NULL),
(2, 19420, 'Bug', NULL),
(4, 19421, 'R82374682', NULL),
(1, 19421, '0.5', NULL),
(2, 19421, 'Bug', NULL),
(4, 19422, 'R82374913', NULL),
(1, 19422, '0.5', NULL),
(2, 19422, 'Bug', NULL),
(4, 19423, 'R82375144', NULL),
(1, 19423, '0.5', NULL),
(2, 19423, 'Bug', NULL),
(4, 19424, 'R82375375', NULL),
(1, 19424, '0.5', NULL),
(2, 19424, 'Bug', NULL),
(4, 19425, 'R82375606', NULL),
(1, 19425, '0.5', NULL),
(2, 19425, 'Bug', NULL),
(11, 19427, '', NULL),
(2, 19427, 'Task', NULL),
(4, 19427, 'R82371217', NULL),
(3, 19427, '6', NULL),
(1, 19427, '3', NULL),
(6, 19427, '', NULL),
(7, 19427, '0', NULL),
(5, 19427, '1499896800', NULL),
(8, 19427, '', NULL),
(3, 19342, '10', NULL),
(3, 19341, '12', NULL),
(11, 18442, '', NULL),
(3, 18442, '1', NULL),
(6, 18442, '', NULL),
(7, 18442, '0', NULL),
(5, 18442, '1497909600', NULL),
(8, 18442, '', NULL),
(3, 18777, '4', NULL),
(11, 18777, '', NULL),
(6, 18777, '', NULL),
(7, 18777, '0', NULL),
(8, 18777, '', NULL),
(6, 19428, '', NULL),
(7, 19428, '', NULL),
(5, 19428, '', NULL),
(8, 19428, '', NULL),
(2, 19428, 'Task', NULL),
(4, 19428, '', NULL),
(3, 18489, '12', NULL),
(4, 19501, 'R82375837', NULL),
(1, 19501, '0.5', NULL),
(2, 19501, 'Bug', NULL),
(4, 19502, 'R82376068', NULL),
(1, 19502, '0.5', NULL),
(2, 19502, 'Bug', NULL),
(4, 19513, 'R82376299', NULL),
(1, 19513, '0.5', NULL),
(2, 19513, 'Task', NULL),
(4, 19514, 'R82376761', NULL),
(1, 19514, '0.5', NULL),
(2, 19514, 'Bug', NULL),
(4, 19515, 'R82376992', NULL),
(1, 19515, '1', NULL),
(2, 19515, 'Task', NULL),
(7, 19501, '0', NULL),
(7, 19502, '0', NULL),
(4, 19586, '9999', NULL),
(1, 19586, '0.5', NULL),
(2, 19586, 'Task', NULL),
(4, 19587, '9999', NULL),
(1, 19587, '0.5', NULL),
(2, 19587, 'Task', NULL),
(4, 19588, '9999', NULL),
(1, 19588, '0.5', NULL),
(2, 19588, 'Task', NULL),
(11, 19599, '', NULL),
(2, 19599, 'Task', NULL),
(4, 19599, 'R82377223', NULL),
(3, 19599, '0', NULL),
(1, 19599, '2', NULL),
(6, 19599, '', NULL),
(7, 19599, '0', NULL),
(5, 19599, '', NULL),
(8, 19599, '', NULL),
(4, 19603, 'R82377454', NULL),
(1, 19603, '0.5', NULL),
(2, 19603, 'Bug', NULL),
(4, 19604, 'R82377685', NULL),
(1, 19604, '0.5', NULL),
(2, 19604, 'Bug', NULL),
(5, 19604, '943916400', NULL),
(4, 19606, 'R82377916', NULL),
(1, 19606, '0.5', NULL),
(2, 19606, 'Task', NULL),
(11, 19607, 'Production', NULL),
(2, 19607, 'Bug', NULL),
(4, 19607, 'R82378147', NULL),
(3, 19607, '0', NULL),
(1, 19607, '0', NULL),
(6, 19607, '', NULL),
(7, 19607, '0', NULL),
(5, 19607, '1498773600', NULL),
(8, 19607, '', NULL),
(5, 19606, '', NULL),
(7, 19606, '0', NULL),
(7, 19603, '0', NULL),
(7, 19342, '0', NULL),
(11, 19705, 'Recette', NULL),
(2, 19705, 'Bug', NULL),
(4, 19705, 'R82378378', NULL),
(3, 19705, '0', NULL),
(1, 19705, '1', NULL),
(6, 19705, '', NULL),
(7, 19705, '0', NULL),
(5, 19705, '', NULL),
(8, 19705, '', NULL),
(11, 19706, 'Recette', NULL),
(2, 19706, 'Bug', NULL),
(4, 19706, 'R82378609', NULL),
(3, 19706, '0', NULL),
(1, 19706, '1', NULL),
(6, 19706, '', NULL),
(7, 19706, '0', NULL),
(5, 19706, '', NULL),
(8, 19706, '', NULL),
(4, 19712, 'R82378840', NULL),
(1, 19712, '0', NULL),
(2, 19712, 'Bug', NULL),
(4, 19713, 'R82379071', NULL),
(1, 19713, '0', NULL),
(2, 19713, 'Bug', NULL),
(11, 19714, 'Recette', NULL),
(2, 19714, 'Bug', NULL),
(4, 19714, 'R82379302', NULL),
(3, 19714, '0', NULL),
(1, 19714, '0', NULL),
(6, 19714, '', NULL),
(7, 19714, '0', NULL),
(5, 19714, '', NULL),
(8, 19714, '', NULL),
(11, 19715, '', NULL),
(2, 19715, 'Task', NULL),
(4, 19715, 'R82379533', NULL),
(1, 19715, '5', NULL),
(6, 19715, '', NULL),
(7, 19715, '4', NULL),
(5, 19715, '', NULL),
(8, 19715, '', NULL),
(7, 19515, '0', NULL),
(7, 19513, '0', NULL),
(7, 19514, '0', NULL),
(3, 19606, '1', NULL),
(7, 19424, '0', NULL),
(11, 19116, 'Recette', NULL),
(3, 19116, '', NULL),
(6, 19116, '', NULL),
(8, 19116, '', NULL),
(11, 19117, 'Recette', NULL),
(3, 19117, '', NULL),
(6, 19117, '', NULL),
(8, 19117, '', NULL),
(11, 19118, 'Production', NULL),
(3, 19118, '', NULL),
(6, 19118, '', NULL),
(8, 19118, '', NULL),
(5, 19514, '', NULL),
(5, 19713, '', NULL),
(7, 19713, '0', NULL),
(3, 19713, '0', NULL),
(5, 19712, '', NULL),
(7, 19712, '0', NULL),
(3, 19712, '0', NULL),
(7, 19421, '0', NULL),
(4, 19754, 'R82379995', NULL),
(1, 19754, '0.5', NULL),
(2, 19754, 'Bug', NULL),
(4, 19755, 'R82380226', NULL),
(1, 19755, '0.5', NULL),
(2, 19755, 'Bug', NULL),
(4, 19756, 'R82380457', NULL),
(1, 19756, '0.5', NULL),
(2, 19756, 'Bug', NULL),
(4, 19757, 'R82380688', NULL),
(1, 19757, '0.5', NULL),
(2, 19757, 'Bug', NULL),
(7, 19756, '0', NULL),
(7, 19755, '0', NULL),
(4, 19785, 'R82380919', NULL),
(1, 19785, '0.5', NULL),
(2, 19785, 'Bug', NULL),
(4, 19786, 'R82381150', NULL),
(1, 19786, '0.5', NULL),
(2, 19786, 'Bug', NULL),
(11, 19787, '', NULL),
(2, 19787, 'Task', NULL),
(4, 19787, '', NULL),
(3, 19787, '5.9', NULL),
(1, 19787, '3.5', NULL),
(6, 19787, '', NULL),
(7, 19787, '0', NULL),
(5, 19787, '', NULL),
(8, 19787, '', NULL),
(3, 18776, '3', NULL),
(3, 18441, '2', NULL),
(7, 18776, '0', NULL),
(5, 18776, '', NULL),
(7, 18441, '0', NULL),
(11, 19832, 'Recette', NULL),
(2, 19832, 'Bug', NULL),
(4, 19832, 'R82381612', NULL),
(1, 19832, '1', NULL),
(6, 19832, '', NULL),
(7, 19832, '0', NULL),
(5, 19832, '', NULL),
(8, 19832, '', NULL),
(11, 19833, 'Recette', NULL),
(2, 19833, 'Bug', NULL),
(4, 19833, 'R82381843', NULL),
(3, 19833, '', NULL),
(1, 19833, '0.5', NULL),
(6, 19833, '', NULL),
(7, 19833, '0', NULL),
(5, 19833, '', NULL),
(8, 19833, '', NULL),
(11, 19834, 'Recette', NULL),
(2, 19834, 'Bug', NULL),
(4, 19834, 'R82379764', NULL),
(3, 19834, '', NULL),
(1, 19834, '0.5', NULL),
(6, 19834, '', NULL),
(7, 19834, '0', NULL),
(5, 19834, '', NULL),
(8, 19834, '', NULL),
(2, 20210, 'Bug', NULL),
(1, 20210, '0.5', NULL),
(4, 20210, 'R82382074', NULL),
(2, 20209, 'Bug', NULL),
(1, 20209, '0.5', NULL),
(4, 20209, 'R82382305', NULL),
(2, 20208, 'Bug', NULL),
(1, 20208, '0.5', NULL),
(4, 20208, 'R82382536', NULL),
(2, 20180, 'Bug', NULL),
(1, 20180, '0.5', NULL),
(2, 20182, 'Bug', NULL),
(1, 20182, '0.5', NULL),
(4, 20180, 'R82385539', NULL),
(2, 20179, 'Bug', NULL),
(1, 20179, '0.5', NULL),
(4, 20182, 'R82386001', NULL),
(2, 20181, 'Bug', NULL),
(1, 20181, '0.5', NULL),
(4, 20179, 'R82385308', NULL),
(4, 19871, 'R82382998', NULL),
(1, 19871, '2', NULL),
(2, 19871, 'Task', NULL),
(4, 19872, 'R82383229', NULL),
(1, 19872, '5', NULL),
(2, 19872, 'Task', NULL),
(3, 19871, '8', NULL),
(3, 19872, '2.9', NULL),
(3, 17742, '4', NULL),
(7, 19754, '0', NULL),
(7, 18404, '0', NULL),
(7, 19235, '0', NULL),
(11, 19884, 'Production', NULL),
(2, 19884, 'Bug', NULL),
(4, 19884, 'R82383460', NULL),
(1, 19884, '1', NULL),
(6, 19884, '', NULL),
(7, 19884, '0', NULL),
(5, 19884, '', NULL),
(8, 19884, '', NULL),
(7, 19785, '0', NULL),
(7, 19757, '0', NULL),
(3, 20445, '', NULL),
(11, 20445, 'Recette', NULL),
(7, 17742, '0', NULL),
(4, 19984, 'R82384615', NULL),
(2, 19983, 'Bug', NULL),
(1, 19983, '0', NULL),
(4, 19983, 'R82384153', NULL),
(2, 19982, 'Bug', NULL),
(1, 19982, '0.5', NULL),
(1, 19985, '0', NULL),
(4, 19985, 'R82384846', NULL),
(2, 19984, 'Bug', NULL),
(1, 19984, '0', NULL),
(11, 19987, 'Production', NULL),
(2, 19985, 'Bug', NULL),
(3, 19987, '0', NULL),
(4, 19987, 'R82385077', NULL),
(2, 19987, 'Bug', NULL),
(11, 19968, '', NULL),
(2, 19968, 'Task', NULL),
(4, 19968, 'R82384384', NULL),
(3, 19968, '1', NULL),
(1, 19968, '1', NULL),
(6, 19968, '', NULL),
(7, 19968, '0', NULL),
(5, 19968, '', NULL),
(8, 19968, '', NULL),
(11, 19515, '', NULL),
(3, 19515, '1', NULL),
(6, 19515, '', NULL),
(5, 19515, '', NULL),
(8, 19515, '', NULL),
(11, 19422, 'Recette', NULL),
(3, 19422, '', NULL),
(6, 19422, '', NULL),
(5, 19422, '', NULL),
(8, 19422, '', NULL),
(11, 19423, 'Recette', NULL),
(3, 19423, '', NULL),
(6, 19423, '', NULL),
(5, 19423, '', NULL),
(8, 19423, '', NULL),
(11, 19425, 'Recette', NULL),
(3, 19425, '', NULL),
(6, 19425, '', NULL),
(5, 19425, '', NULL),
(8, 19425, '', NULL),
(11, 19501, 'Recette', NULL),
(3, 19501, '', NULL),
(6, 19501, '', NULL),
(5, 19501, '', NULL),
(8, 19501, '', NULL),
(11, 19502, 'Recette', NULL),
(3, 19502, '', NULL),
(6, 19502, '', NULL),
(5, 19502, '', NULL),
(8, 19502, '', NULL),
(11, 19513, 'Recette', NULL),
(3, 19513, '1', NULL),
(6, 19513, '', NULL),
(5, 19513, '', NULL),
(8, 19513, '', NULL),
(11, 19514, 'Recette', NULL),
(3, 19514, '', NULL),
(6, 19514, '', NULL),
(8, 19514, '', NULL),
(11, 19603, 'Recette', NULL),
(3, 19603, '', NULL),
(6, 19603, '', NULL),
(5, 19603, '', NULL),
(8, 19603, '', NULL),
(11, 19713, 'Recette', NULL),
(6, 19713, '', NULL),
(8, 19713, '', NULL),
(11, 19754, 'Recette', NULL),
(3, 19754, '', NULL),
(6, 19754, '', NULL),
(5, 19754, '', NULL),
(8, 19754, '', NULL),
(11, 19755, 'Recette', NULL),
(3, 19755, '', NULL),
(6, 19755, '', NULL),
(5, 19755, '', NULL),
(8, 19755, '', NULL),
(11, 19756, 'Recette', NULL),
(3, 19756, '', NULL),
(6, 19756, '', NULL),
(5, 19756, '', NULL),
(8, 19756, '', NULL),
(11, 19757, 'Recette', NULL),
(3, 19757, '', NULL),
(6, 19757, '', NULL),
(5, 19757, '', NULL),
(8, 19757, '', NULL),
(11, 19785, 'Recette', NULL),
(3, 19785, '', NULL),
(6, 19785, '', NULL),
(5, 19785, '', NULL),
(8, 19785, '', NULL),
(7, 19987, '0', NULL),
(6, 19987, '', NULL),
(1, 19987, '1', NULL),
(7, 19604, '0', NULL),
(5, 19987, '1499896800', NULL),
(8, 19987, '', NULL),
(4, 20181, 'R82385770', NULL),
(5, 20237, '', NULL),
(5, 20238, '', NULL),
(7, 20237, '0', NULL),
(6, 20237, '', NULL),
(1, 20237, '0.5', NULL),
(3, 20237, '', NULL),
(4, 20237, 'R82386232', NULL),
(2, 20237, 'Bug', NULL),
(11, 20237, 'Recette', NULL),
(7, 20238, '0', NULL),
(6, 20238, '', NULL),
(1, 20238, '0.5', NULL),
(3, 20238, '', NULL),
(4, 20238, 'R82386463', NULL),
(2, 20238, 'Bug', NULL),
(11, 20238, 'Recette', NULL),
(8, 20237, '', NULL),
(8, 20238, '', NULL),
(2, 21802, 'Task', NULL),
(1, 21802, '0.5', NULL),
(4, 21802, 'R82409563', NULL),
(2, 21801, 'Task', NULL),
(1, 21801, '0.5', NULL),
(4, 21801, 'R82409332', NULL),
(2, 21800, 'Task', NULL),
(1, 21800, '0.5', NULL),
(4, 21800, 'R82409101', NULL),
(2, 21799, 'Task', NULL),
(1, 21799, '0.5', NULL),
(4, 21799, 'R82408870', NULL),
(7, 20486, '0', NULL),
(3, 20563, '2.9', NULL),
(3, 20562, '2', NULL);
INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(7, 20182, '0', NULL),
(7, 20208, '0', NULL),
(7, 20209, '0', NULL),
(7, 20210, '0', NULL),
(7, 20181, '0', NULL),
(11, 20324, 'Recette', NULL),
(2, 20324, 'Bug', NULL),
(4, 20324, 'R82383922', NULL),
(3, 20324, '0', NULL),
(1, 20324, '1', NULL),
(6, 20324, '', NULL),
(7, 20324, '0', NULL),
(5, 20324, '', NULL),
(8, 20324, '', NULL),
(3, 19981, '2', NULL),
(11, 20425, 'Recette', NULL),
(2, 20425, 'Bug', NULL),
(4, 20425, 'R82386694', NULL),
(1, 20425, '1', NULL),
(6, 20425, '', NULL),
(7, 20425, '0', NULL),
(5, 20425, '', NULL),
(8, 20425, '', NULL),
(4, 20427, 'R82386925', NULL),
(1, 20427, '0.5', NULL),
(2, 20427, 'Bug', NULL),
(4, 20430, 'R82387156', NULL),
(3, 19236, '0', NULL),
(7, 19236, '0', NULL),
(4, 20429, 'R82387387', NULL),
(1, 20429, '0.5', NULL),
(2, 20429, 'Bug', NULL),
(1, 20430, '1', NULL),
(2, 20430, 'Task', NULL),
(4, 20431, 'R82387618', NULL),
(1, 20431, '1', NULL),
(2, 20431, 'Task', NULL),
(4, 20432, 'R82387849', NULL),
(1, 20432, '1', NULL),
(2, 20432, 'Task', NULL),
(4, 20433, 'R82388080', NULL),
(1, 20433, '2', NULL),
(2, 20433, 'Task', NULL),
(7, 20179, '0', NULL),
(5, 20179, '', NULL),
(7, 20180, '0', NULL),
(5, 20180, '', NULL),
(7, 19982, '0', NULL),
(5, 19982, '', NULL),
(3, 17762, '5', NULL),
(11, 20181, 'Recette', NULL),
(3, 20181, '', NULL),
(6, 20181, '', NULL),
(5, 20181, '', NULL),
(8, 20181, '', NULL),
(11, 20182, 'Recette', NULL),
(3, 20182, '', NULL),
(6, 20182, '', NULL),
(5, 20182, '', NULL),
(8, 20182, '', NULL),
(11, 20208, 'Recette', NULL),
(3, 20208, '', NULL),
(6, 20208, '', NULL),
(5, 20208, '', NULL),
(8, 20208, '', NULL),
(11, 20209, 'Recette', NULL),
(3, 20209, '', NULL),
(6, 20209, '', NULL),
(5, 20209, '', NULL),
(8, 20209, '', NULL),
(11, 20210, 'Recette', NULL),
(3, 20210, '', NULL),
(6, 20210, '', NULL),
(5, 20210, '', NULL),
(8, 20210, '', NULL),
(7, 20427, '0', NULL),
(7, 17253, '0', NULL),
(3, 17253, '0', NULL),
(4, 20441, 'R82388311', NULL),
(1, 20441, '0.5', NULL),
(2, 20441, 'Bug', NULL),
(4, 20442, 'R82388542', NULL),
(1, 20442, '0.5', NULL),
(2, 20442, 'Bug', NULL),
(4, 20443, 'R82388773', NULL),
(1, 20443, '0.5', NULL),
(2, 20443, 'Bug', NULL),
(4, 20444, 'R82389004', NULL),
(1, 20444, '0.5', NULL),
(2, 20444, 'Bug', NULL),
(4, 20445, 'R82389235', NULL),
(1, 20445, '0.5', NULL),
(2, 20445, 'Bug', NULL),
(4, 20446, 'R82389466', NULL),
(1, 20446, '0.5', NULL),
(2, 20446, 'Bug', NULL),
(4, 20449, 'R82389697', NULL),
(1, 20449, '0.5', NULL),
(2, 20449, 'Bug', NULL),
(4, 20450, 'R82389928', NULL),
(1, 20450, '0.5', NULL),
(2, 20450, 'Bug', NULL),
(4, 20451, 'R82390159', NULL),
(1, 20451, '0.5', NULL),
(2, 20451, 'Bug', NULL),
(7, 20445, '0', NULL),
(7, 20446, '0', NULL),
(7, 20449, '0', NULL),
(11, 20461, '', NULL),
(2, 20461, 'Task', NULL),
(4, 20461, 'R82390390', NULL),
(3, 20461, '0', NULL),
(1, 20461, '2', NULL),
(6, 20461, '', NULL),
(7, 20461, '0', NULL),
(5, 20461, '', NULL),
(8, 20461, '', NULL),
(11, 20462, 'Recette', NULL),
(2, 20462, 'Task', NULL),
(4, 20462, 'R82376530', NULL),
(3, 20462, '1', NULL),
(1, 20462, '0.5', NULL),
(6, 20462, '', NULL),
(7, 20462, '0', NULL),
(5, 20462, '', NULL),
(8, 20462, '', NULL),
(4, 20485, 'R82390621', NULL),
(1, 20485, '2', NULL),
(2, 20485, 'Task', NULL),
(4, 20486, 'R82390852', NULL),
(1, 20486, '2', NULL),
(2, 20486, 'Task', NULL),
(7, 20432, '0', NULL),
(7, 20450, '0', NULL),
(7, 20485, '0', NULL),
(4, 20561, 'R82391083', NULL),
(1, 20561, '0.5', NULL),
(2, 20561, 'Task', NULL),
(4, 20562, 'R82391314', NULL),
(1, 20562, '0.5', NULL),
(2, 20562, 'Task', NULL),
(4, 20563, 'R82391545', NULL),
(1, 20563, '0.5', NULL),
(2, 20563, 'Task', NULL),
(4, 20564, 'R82391776', NULL),
(1, 20564, '0.5', NULL),
(2, 20564, 'Bug', NULL),
(7, 20561, '0', NULL),
(4, 20598, 'R82392007', NULL),
(1, 20598, '0.5', NULL),
(2, 20598, 'Bug', NULL),
(4, 20599, 'R82392238', NULL),
(1, 20599, '0.5', NULL),
(2, 20599, 'Bug', NULL),
(7, 20563, '0', NULL),
(6, 20445, '', NULL),
(5, 20445, '', NULL),
(8, 20445, '', NULL),
(11, 20446, 'Production', NULL),
(3, 20446, '', NULL),
(6, 20446, '', NULL),
(5, 20446, '', NULL),
(8, 20446, '', NULL),
(11, 20449, 'Recette', NULL),
(3, 20449, '', NULL),
(6, 20449, '', NULL),
(5, 20449, '', NULL),
(8, 20449, '', NULL),
(11, 20450, 'Recette', NULL),
(3, 20450, '', NULL),
(6, 20450, '', NULL),
(5, 20450, '', NULL),
(8, 20450, '', NULL),
(11, 20615, '', NULL),
(2, 20615, 'Task', NULL),
(4, 20615, '', NULL),
(1, 20615, '2', NULL),
(6, 20615, '', NULL),
(7, 20615, '0', NULL),
(5, 20615, '', NULL),
(8, 20615, '', NULL),
(7, 19983, '0', NULL),
(5, 19983, '', NULL),
(3, 19983, '0', NULL),
(7, 19984, '0', NULL),
(5, 19984, '', NULL),
(3, 19984, '0', NULL),
(7, 19985, '0', NULL),
(5, 19985, '', NULL),
(3, 19985, '0', NULL),
(5, 20430, '1508277600', NULL),
(1, 20645, '0.5', NULL),
(4, 20645, 'R82393855', NULL),
(5, 20642, '', NULL),
(5, 20640, '', NULL),
(5, 20641, '1508191200', NULL),
(2, 20644, 'Task', NULL),
(1, 20644, '0.5', NULL),
(4, 20644, 'R82392700', NULL),
(2, 20643, 'Task', NULL),
(1, 20643, '0.5', NULL),
(4, 20643, 'R82392931', NULL),
(2, 20642, 'Task', NULL),
(1, 20642, '0.5', NULL),
(4, 20642, 'R82393162', NULL),
(2, 20641, 'Task', NULL),
(1, 20641, '1', NULL),
(4, 20641, 'R82393393', NULL),
(2, 20640, 'Task', NULL),
(1, 20640, '0.5', NULL),
(4, 20640, 'R82393624', NULL),
(2, 20645, 'Bug', NULL),
(4, 20646, 'R82394086', NULL),
(1, 20646, '0.5', NULL),
(2, 20646, 'Bug', NULL),
(11, 20680, 'Recette', NULL),
(2, 20680, 'Bug', NULL),
(4, 20680, 'R82307230', NULL),
(1, 20680, '2', NULL),
(6, 20680, '', NULL),
(7, 20680, '0', NULL),
(5, 20680, '', NULL),
(8, 20680, '', NULL),
(11, 20681, 'Recette', NULL),
(2, 20681, 'Bug', NULL),
(4, 20681, 'R82394317', NULL),
(1, 20681, '2', NULL),
(6, 20681, '', NULL),
(7, 20681, '0', NULL),
(5, 20681, '', NULL),
(8, 20681, '', NULL),
(11, 20682, 'Recette', NULL),
(2, 20682, 'Task', NULL),
(4, 20682, 'R82394548', NULL),
(1, 20682, '2', NULL),
(6, 20682, '', NULL),
(7, 20682, '0', NULL),
(5, 20682, '', NULL),
(8, 20682, '', NULL),
(4, 20683, 'R82394779', NULL),
(1, 20683, '0.5', NULL),
(2, 20683, 'Bug', NULL),
(5, 19981, '', NULL),
(7, 20598, '0', NULL),
(7, 20683, '0', NULL),
(7, 20599, '0', NULL),
(3, 16723, '', NULL),
(3, 17984, '', NULL),
(3, 19715, '', NULL),
(3, 14049, '0', NULL),
(3, 20682, '', NULL),
(3, 20681, '', NULL),
(3, 20680, '', NULL),
(11, 20713, 'Recette', NULL),
(2, 20713, 'Task', NULL),
(4, 20713, 'R82395010', NULL),
(1, 20713, '1', NULL),
(6, 20713, '', NULL),
(7, 20713, '0', NULL),
(5, 20713, '', NULL),
(8, 20713, '', NULL),
(7, 20429, '0', NULL),
(7, 20645, '0', NULL),
(7, 20642, '0', NULL),
(11, 20430, '', NULL),
(3, 20430, '1', NULL),
(6, 20430, '', NULL),
(7, 20430, '0', NULL),
(8, 20430, '', NULL),
(11, 20644, 'Production', NULL),
(3, 20644, '', NULL),
(6, 20644, '', NULL),
(7, 20644, '0', NULL),
(5, 20644, '', NULL),
(8, 20644, '', NULL),
(3, 20640, '1', NULL),
(7, 20564, '0', NULL),
(7, 20451, '0', NULL),
(3, 20800, '0', NULL),
(1, 20800, '2', NULL),
(6, 20800, '', NULL),
(7, 20800, '', NULL),
(5, 20800, '', NULL),
(8, 20800, '', NULL),
(2, 20800, 'Task', NULL),
(4, 20800, '', NULL),
(7, 20562, '0', NULL),
(4, 20926, 'R82395472', NULL),
(1, 20926, '0.5', NULL),
(2, 20926, 'Bug', NULL),
(4, 20927, 'R82395703', NULL),
(1, 20927, '0.5', NULL),
(2, 20927, 'Bug', NULL),
(4, 20928, 'R82395934', NULL),
(1, 20928, '0.5', NULL),
(2, 20928, 'Bug', NULL),
(4, 20929, 'R82396165', NULL),
(1, 20929, '0.5', NULL),
(2, 20929, 'Bug', NULL),
(4, 20930, 'R82396396', NULL),
(1, 20930, '0.5', NULL),
(2, 20930, 'Bug', NULL),
(4, 20931, 'R82396627', NULL),
(1, 20931, '0', NULL),
(2, 20931, 'Bug', NULL),
(11, 20928, 'Production', NULL),
(3, 20928, '', NULL),
(6, 20928, '', NULL),
(7, 20928, '0', NULL),
(5, 20928, '', NULL),
(8, 20928, '', NULL),
(7, 20930, '0', NULL),
(2, 21604, 'Bug', NULL),
(11, 20927, 'Recette', NULL),
(3, 20927, '', NULL),
(6, 20927, '', NULL),
(7, 20927, '0', NULL),
(5, 20927, '', NULL),
(8, 20927, '', NULL),
(7, 20640, '0', NULL),
(7, 20643, '0', NULL),
(7, 19981, '0', NULL),
(7, 20929, '0', NULL),
(5, 19872, '', NULL),
(5, 17740, '', NULL),
(3, 17740, '5', NULL),
(11, 21243, '', NULL),
(2, 21243, 'Task', NULL),
(4, 21243, '', NULL),
(3, 21243, '0', NULL),
(1, 21243, '2', NULL),
(6, 21243, '', NULL),
(7, 21243, '0', NULL),
(5, 21243, '', NULL),
(8, 21243, '', NULL),
(11, 21301, 'Recette', NULL),
(2, 21301, 'Bug', NULL),
(4, 21301, '', NULL),
(1, 21301, '2', NULL),
(6, 21301, '', NULL),
(7, 21301, '0', NULL),
(5, 21301, '', NULL),
(8, 21301, '', NULL),
(11, 21342, 'Recette', NULL),
(2, 21342, 'Bug', NULL),
(4, 21342, '', NULL),
(1, 21342, '2', NULL),
(6, 21342, '', NULL),
(7, 21342, '0', NULL),
(5, 21342, '', NULL),
(8, 21342, '', NULL),
(11, 21343, 'Recette', NULL),
(2, 21343, 'Bug', NULL),
(4, 21343, '', NULL),
(1, 21343, '2', NULL),
(6, 21343, '', NULL),
(7, 21343, '0', NULL),
(5, 21343, '', NULL),
(8, 21343, '', NULL),
(11, 21344, 'Recette', NULL),
(2, 21344, 'Bug', NULL),
(4, 21344, '', NULL),
(1, 21344, '2', NULL),
(6, 21344, '', NULL),
(7, 21344, '0', NULL),
(5, 21344, '', NULL),
(8, 21344, '', NULL),
(11, 21348, '', NULL),
(2, 21348, 'Task', NULL),
(4, 21348, '', NULL),
(3, 21348, '0', NULL),
(1, 21348, '2', NULL),
(6, 21348, '', NULL),
(7, 21348, '0', NULL),
(5, 21348, '', NULL),
(8, 21348, '', NULL),
(11, 21350, 'Recette', NULL),
(2, 21350, 'Bug', NULL),
(4, 21350, 'R82398244', NULL),
(1, 21350, '1', NULL),
(6, 21350, '', NULL),
(7, 21350, '0', NULL),
(5, 21350, '', NULL),
(8, 21350, '', NULL),
(11, 21352, 'Production', NULL),
(2, 21352, 'Task', NULL),
(4, 21352, 'R82398475', NULL),
(1, 21352, '2', NULL),
(6, 21352, '', NULL),
(7, 21352, '0', NULL),
(5, 21352, '', NULL),
(8, 21352, '', NULL),
(11, 21353, 'Recette', NULL),
(2, 21353, 'Bug', NULL),
(4, 21353, 'R82398706', NULL),
(1, 21353, '2', NULL),
(6, 21353, '', NULL),
(7, 21353, '0', NULL),
(5, 21353, '', NULL),
(8, 21353, '', NULL),
(11, 21354, 'Production', NULL),
(2, 21354, 'Bug', NULL),
(4, 21354, 'R82398937', NULL),
(1, 21354, '3', NULL),
(6, 21354, '', NULL),
(7, 21354, '0', NULL),
(5, 21354, '', NULL),
(8, 21354, '', NULL),
(11, 21453, 'Recette', NULL),
(2, 21453, 'Bug', NULL),
(4, 21453, 'R82399168', NULL),
(1, 21453, '2', NULL),
(6, 21453, '', NULL),
(7, 21453, '0', NULL),
(5, 21453, '', NULL),
(8, 21453, '', NULL),
(2, 21458, 'Task', NULL),
(4, 21458, 'R82310695', NULL),
(3, 21458, '3', NULL),
(1, 21458, '2', NULL),
(6, 21458, '', NULL),
(7, 21458, '0', NULL),
(5, 21458, '', NULL),
(8, 21458, '', NULL),
(7, 20646, '0', NULL),
(7, 19871, '0', NULL),
(11, 21560, 'Recette', NULL),
(2, 21560, 'Bug', NULL),
(4, 21560, 'R82399399', NULL),
(1, 21560, '2', NULL),
(6, 21560, '', NULL),
(7, 21560, '0', NULL),
(5, 21560, '', NULL),
(8, 21560, '', NULL),
(11, 21561, 'Recette', NULL),
(2, 21561, 'Bug', NULL),
(4, 21561, 'R82399630', NULL),
(1, 21561, '3', NULL),
(6, 21561, '', NULL),
(7, 21561, '0', NULL),
(5, 21561, '', NULL),
(8, 21561, '', NULL),
(11, 21562, 'Recette', NULL),
(2, 21562, 'Bug', NULL),
(4, 21562, 'R82399861', NULL),
(1, 21562, '3', NULL),
(6, 21562, '', NULL),
(7, 21562, '0', NULL),
(5, 21562, '', NULL),
(8, 21562, '', NULL),
(11, 21563, 'Recette', NULL),
(2, 21563, 'Bug', NULL),
(4, 21563, 'R82400092', NULL),
(1, 21563, '3', NULL),
(6, 21563, '', NULL),
(7, 21563, '0', NULL),
(5, 21563, '', NULL),
(8, 21563, '', NULL),
(11, 21564, 'Recette', NULL),
(2, 21564, 'Bug', NULL),
(4, 21564, 'R82400323', NULL),
(1, 21564, '3', NULL),
(6, 21564, '', NULL),
(7, 21564, '0', NULL),
(5, 21564, '', NULL),
(8, 21564, '', NULL),
(2, 21596, 'Bug', NULL),
(11, 21596, 'Recette', NULL),
(8, 21595, '', NULL),
(5, 21595, '', NULL),
(7, 21595, '0', NULL),
(6, 21595, '', NULL),
(1, 21595, '1', NULL),
(4, 21595, 'R82400554', NULL),
(2, 21595, 'Bug', NULL),
(11, 21595, 'Recette', NULL),
(4, 21596, 'R82400785', NULL),
(1, 21596, '1', NULL),
(6, 21596, '', NULL),
(7, 21596, '0', NULL),
(5, 21596, '', NULL),
(8, 21596, '', NULL),
(11, 21597, 'Recette', NULL),
(2, 21597, 'Bug', NULL),
(4, 21597, 'R82401016', NULL),
(1, 21597, '1', NULL),
(6, 21597, '', NULL),
(7, 21597, '0', NULL),
(5, 21597, '', NULL),
(8, 21597, '', NULL),
(11, 21598, 'Recette', NULL),
(2, 21598, 'Bug', NULL),
(4, 21598, 'R82401247', NULL),
(1, 21598, '1', NULL),
(6, 21598, '', NULL),
(7, 21598, '0', NULL),
(5, 21598, '', NULL),
(8, 21598, '', NULL),
(11, 21599, 'Recette', NULL),
(2, 21599, 'Bug', NULL),
(4, 21599, 'R82401478', NULL),
(1, 21599, '1', NULL),
(6, 21599, '', NULL),
(7, 21599, '0', NULL),
(5, 21599, '', NULL),
(8, 21599, '', NULL),
(11, 21600, 'Recette', NULL),
(2, 21600, 'Bug', NULL),
(4, 21600, 'R82401709', NULL),
(1, 21600, '1', NULL),
(6, 21600, '', NULL),
(7, 21600, '0', NULL),
(5, 21600, '', NULL),
(8, 21600, '', NULL),
(11, 21604, 'Recette', NULL),
(4, 21602, 'R82401940', NULL),
(1, 21602, '0.5', NULL),
(2, 21602, 'Bug', NULL),
(4, 21603, 'R82402171', NULL),
(1, 21603, '0.5', NULL),
(2, 21603, 'Bug', NULL),
(4, 21604, 'R82396858', NULL),
(3, 21604, '0', NULL),
(1, 21604, '0.5', NULL),
(6, 21604, '', NULL),
(7, 21604, '0', NULL),
(5, 21604, '', NULL),
(8, 21604, '', NULL),
(3, 20485, '5.5', NULL),
(3, 20486, '3', NULL),
(7, 20931, '0', NULL),
(3, 20931, '0', NULL),
(3, 21560, '', NULL),
(11, 21613, 'Recette', NULL),
(2, 21613, 'Bug', NULL),
(4, 21613, 'R82402402', NULL),
(3, 21613, '0', NULL),
(1, 21613, '0', NULL),
(6, 21613, '', NULL),
(7, 21613, '0', NULL),
(5, 21613, '1506636000', NULL),
(8, 21613, '', NULL),
(11, 21618, 'Recette', NULL),
(2, 21618, 'Task', NULL),
(4, 21618, 'R82402633', NULL),
(1, 21618, '10', NULL),
(6, 21618, '', NULL),
(7, 21618, '0', NULL),
(5, 21618, '1506376800', NULL),
(8, 21618, '', NULL),
(11, 21619, 'Recette', NULL),
(2, 21619, 'Bug', NULL),
(4, 21619, 'R82402864', NULL),
(1, 21619, '1', NULL),
(6, 21619, '', NULL),
(7, 21619, '0', NULL),
(5, 21619, '', NULL),
(8, 21619, '', NULL),
(11, 21620, 'Recette', NULL),
(2, 21620, 'Bug', NULL),
(4, 21620, 'R82403095', NULL),
(1, 21620, '1', NULL),
(6, 21620, '', NULL),
(7, 21620, '0', NULL),
(5, 21620, '', NULL),
(8, 21620, '', NULL),
(11, 21622, '', NULL),
(2, 21622, 'Task', NULL),
(4, 21622, '', NULL),
(3, 21622, '0', NULL),
(1, 21622, '2', NULL),
(6, 21622, '', NULL),
(7, 21622, '0', NULL),
(5, 21622, '', NULL),
(8, 21622, '', NULL),
(11, 21623, '', NULL),
(2, 21623, 'Task', NULL),
(4, 21623, '', NULL),
(3, 21623, '0', NULL),
(1, 21623, '8', NULL),
(6, 21623, '', NULL),
(7, 21623, '0', NULL),
(5, 21623, '', NULL),
(8, 21623, '', NULL),
(11, 21624, 'Recette', NULL),
(2, 21624, 'Bug', NULL),
(4, 21624, 'R82403557', NULL),
(3, 21624, '0', NULL),
(1, 21624, '0.5', NULL),
(6, 21624, '', NULL),
(7, 21624, '0', NULL),
(5, 21624, '', NULL),
(8, 21624, '', NULL),
(4, 21625, 'R82403788', NULL),
(1, 21625, '0.5', NULL),
(2, 21625, 'Task', NULL),
(4, 21626, 'R82404019', NULL),
(1, 21626, '0.5', NULL),
(2, 21626, 'Task', NULL),
(4, 21627, 'R82404250', NULL),
(1, 21627, '0.5', NULL),
(2, 21627, 'Task', NULL),
(4, 21628, 'R82404481', NULL),
(1, 21628, '0.5', NULL),
(2, 21628, 'Task', NULL),
(4, 21629, 'R82404712', NULL),
(1, 21629, '5', NULL),
(2, 21629, 'Bug', NULL),
(3, 21352, '4.5', NULL),
(11, 21630, '', NULL),
(2, 21630, 'Task', NULL),
(4, 21630, 'R82404943', NULL),
(3, 21630, '', NULL),
(1, 21630, '1', NULL),
(6, 21630, '', NULL),
(7, 21630, '0', NULL),
(5, 21630, '1507845600', NULL),
(8, 21630, '', NULL),
(3, 21618, '11', NULL),
(7, 21602, '0', NULL),
(5, 21602, '', NULL),
(4, 21634, 'R82405174', NULL),
(1, 21634, '3', NULL),
(2, 21634, 'Task', NULL),
(4, 21635, 'R82405405', NULL),
(1, 21635, '4', NULL),
(2, 21635, 'Task', NULL),
(3, 17634, '7', NULL),
(3, 17633, '4', NULL),
(3, 17739, '2', NULL),
(3, 17741, '2', NULL),
(7, 20926, '0', NULL),
(11, 21658, '', NULL),
(2, 21658, 'Task', NULL),
(4, 21658, 'R82405636', NULL),
(3, 21658, '8', NULL),
(1, 21658, '5', NULL),
(6, 21658, '', NULL),
(7, 21658, '0', NULL),
(5, 21658, '1509404400', NULL),
(8, 21658, '', NULL),
(7, 21603, '0', NULL),
(5, 21603, '', NULL),
(11, 20433, '', NULL),
(3, 20433, '2', NULL),
(6, 20433, '', NULL),
(7, 20433, '0', NULL),
(5, 20433, '', NULL),
(8, 20433, '', NULL),
(4, 21659, 'R82405867', NULL),
(1, 21659, '1', NULL),
(2, 21659, 'Task', NULL),
(4, 21660, 'R82406098', NULL),
(1, 21660, '3', NULL),
(2, 21660, 'Task', NULL),
(11, 20641, '', NULL),
(3, 20641, '1', NULL),
(6, 20641, '', NULL),
(7, 20641, '0', NULL),
(8, 20641, '', NULL),
(11, 21661, '', NULL),
(2, 21661, 'Task', NULL),
(4, 21661, 'R82406329', NULL),
(3, 21661, '24', NULL),
(1, 21661, '17', NULL),
(6, 21661, '', NULL),
(7, 21661, '0', NULL),
(5, 21661, '', NULL),
(8, 21661, '', NULL),
(7, 21634, '0', NULL),
(7, 20442, '0', NULL),
(7, 20443, '0', NULL),
(7, 20444, '0', NULL),
(7, 21635, '0', NULL),
(3, 21635, '4', NULL),
(3, 21634, '14', NULL),
(3, 21707, '0', NULL),
(1, 21707, '15', NULL),
(6, 21707, '', NULL),
(7, 21707, '0', NULL),
(5, 21707, '', NULL),
(8, 21707, '', NULL),
(2, 21707, 'Task', NULL),
(4, 21707, '', NULL),
(7, 21627, '0', NULL),
(7, 21628, '0', NULL),
(7, 21625, '0', NULL),
(11, 21719, 'Recette', NULL),
(2, 21719, 'Bug', NULL),
(4, 21719, 'R82406560', NULL),
(1, 21719, '2', NULL),
(6, 21719, '', NULL),
(7, 21719, '0', NULL),
(5, 21719, '', NULL),
(8, 21719, '', NULL),
(11, 21720, 'Recette', NULL),
(2, 21720, 'Bug', NULL),
(4, 21720, 'R82406791', NULL),
(1, 21720, '2', NULL),
(6, 21720, '', NULL),
(7, 21720, '0', NULL),
(5, 21720, '', NULL),
(8, 21720, '', NULL),
(4, 21756, 'R82407022', NULL),
(1, 21756, '1', NULL),
(2, 21756, 'Task', NULL),
(4, 21757, 'R82407253', NULL),
(1, 21757, '1', NULL),
(2, 21757, 'Task', NULL),
(4, 21758, 'R82407484', NULL),
(1, 21758, '0.5', NULL),
(2, 21758, 'Task', NULL),
(4, 21759, 'R82407715', NULL),
(1, 21759, '1', NULL),
(2, 21759, 'Task', NULL),
(4, 21760, 'R82407946', NULL),
(1, 21760, '0.5', NULL),
(2, 21760, 'Task', NULL),
(4, 21761, 'R82408177', NULL),
(1, 21761, '0.5', NULL),
(2, 21761, 'Task', NULL),
(2, 21798, 'Bug', NULL),
(1, 21798, '0.5', NULL),
(4, 21798, 'R82408639', NULL),
(2, 21797, 'Bug', NULL),
(1, 21797, '0.5', NULL),
(4, 21797, 'R82365904', NULL),
(2, 21796, 'Bug', NULL),
(1, 21796, '0.5', NULL),
(4, 21796, 'R82408408', NULL),
(4, 21830, 'R82409794', NULL),
(1, 21830, '0.5', NULL),
(2, 21830, 'Bug', NULL),
(4, 21831, 'R82410025', NULL),
(1, 21831, '0.5', NULL),
(2, 21831, 'Bug', NULL),
(4, 21832, 'R82410256', NULL),
(1, 21832, '0.5', NULL),
(2, 21832, 'Bug', NULL),
(4, 21833, 'R82410487', NULL),
(1, 21833, '0.5', NULL),
(2, 21833, 'Bug', NULL),
(4, 21834, 'R82410718', NULL),
(1, 21834, '3', NULL),
(2, 21834, 'Task', NULL),
(4, 21835, 'R82410949', NULL),
(1, 21835, '0.5', NULL),
(2, 21835, 'Task', NULL),
(4, 21836, 'R82411180', NULL),
(1, 21836, '0.5', NULL),
(2, 21836, 'Task', NULL),
(7, 21833, '0', NULL),
(7, 21830, '0', NULL),
(7, 21831, '0', NULL),
(11, 21834, '', NULL),
(3, 21834, '5', NULL),
(6, 21834, '', NULL),
(7, 21834, '0', NULL),
(5, 21834, '1509055200', NULL),
(8, 21834, '', NULL),
(11, 21837, 'Recette', NULL),
(2, 21837, 'Bug', NULL),
(4, 21837, 'R82411411', NULL),
(3, 21837, '', NULL),
(1, 21837, '0.5', NULL),
(6, 21837, '', NULL),
(7, 21837, '0', NULL),
(5, 21837, '', NULL),
(8, 21837, '', NULL),
(4, 21840, 'R82411642', NULL),
(1, 21840, '0.5', NULL),
(2, 21840, 'Bug', NULL),
(4, 21841, 'R82411873', NULL),
(1, 21841, '0.5', NULL),
(2, 21841, 'Bug', NULL),
(11, 21843, '', NULL),
(2, 21843, 'Task', NULL),
(4, 21843, 'R82412104', NULL),
(3, 21843, '4', NULL),
(1, 21843, '0.5', NULL),
(6, 21843, '', NULL),
(7, 21843, '0', NULL),
(5, 21843, '', NULL),
(8, 21843, '', NULL),
(11, 21844, '', NULL),
(2, 21844, 'Task', NULL),
(4, 21844, 'R82412335', NULL),
(3, 21844, '3', NULL),
(1, 21844, '0.5', NULL),
(6, 21844, '', NULL),
(7, 21844, '0', NULL),
(5, 21844, '', NULL),
(8, 21844, '', NULL),
(7, 21626, '0', NULL),
(7, 21832, '0', NULL),
(4, 21891, 'R82412566', NULL),
(1, 21891, '0.5', NULL),
(2, 21891, 'Bug', NULL),
(4, 21892, 'R82412797', NULL),
(1, 21892, '0.5', NULL),
(2, 21892, 'Bug', NULL),
(4, 21893, 'R82413028', NULL),
(1, 21893, '0.5', NULL),
(2, 21893, 'Bug', NULL),
(4, 21894, 'R82413259', NULL),
(1, 21894, '0.5', NULL),
(2, 21894, 'Task', NULL),
(11, 21895, 'Production', NULL),
(2, 21895, 'Bug', NULL),
(4, 21895, 'R82413490', NULL),
(3, 21895, '0', NULL),
(1, 21895, '1', NULL),
(6, 21895, '', NULL),
(7, 21895, '1', NULL),
(5, 21895, '', NULL),
(8, 21895, '', NULL),
(3, 21659, '1', NULL),
(5, 21659, '', NULL),
(3, 21660, '3', NULL),
(7, 19872, '0', NULL),
(7, 21841, '0', NULL),
(7, 21893, '0', NULL),
(7, 21797, '0', NULL),
(7, 21798, '0', NULL),
(7, 21760, '0', NULL),
(7, 21835, '0', NULL),
(7, 21892, '0', NULL),
(7, 21840, '0', NULL),
(7, 21761, '0', NULL),
(11, 21917, '', NULL),
(2, 21917, 'Task', NULL),
(4, 21917, 'R82413721', NULL),
(3, 21917, '0', NULL),
(1, 21917, '2', NULL),
(6, 21917, '', NULL),
(7, 21917, '0', NULL),
(5, 21917, '', NULL),
(8, 21917, '', NULL),
(5, 16075, '', NULL),
(7, 21836, '0', NULL),
(7, 21894, '4.5', NULL),
(7, 21891, '0', NULL),
(11, 22022, 'Production', NULL),
(2, 22022, 'Bug', NULL),
(4, 22022, 'R82413952', NULL),
(3, 22022, '0', NULL),
(1, 22022, '1', NULL),
(6, 22022, '', NULL),
(7, 22022, '0', NULL),
(5, 22022, '', NULL),
(8, 22022, '', NULL),
(4, 22047, 'R82414183', NULL),
(1, 22047, '0.5', NULL),
(2, 22047, 'Task', NULL),
(4, 22048, 'R82414414', NULL),
(1, 22048, '3', NULL),
(2, 22048, 'Task', NULL),
(4, 22049, 'R82414645', NULL),
(1, 22049, '0.5', NULL),
(2, 22049, 'Bug', NULL),
(4, 22050, 'R82414876', NULL),
(1, 22050, '0.5', NULL),
(2, 22050, 'Bug', NULL),
(4, 22051, 'R82415107', NULL),
(1, 22051, '0.5', NULL),
(2, 22051, 'Bug', NULL),
(11, 22214, 'Recette', NULL),
(2, 22214, 'Bug', NULL),
(4, 22214, 'R82415338', NULL),
(3, 22214, '', NULL),
(1, 22214, '0.5', NULL),
(6, 22214, '', NULL),
(7, 22214, '0', NULL),
(5, 22214, '1511737200', NULL),
(8, 22214, '', NULL),
(11, 22049, 'Recette', NULL),
(3, 22049, '', NULL),
(6, 22049, '', NULL),
(7, 22049, '0', NULL),
(5, 22049, '', NULL),
(8, 22049, '', NULL),
(11, 22050, 'Recette', NULL),
(3, 22050, '', NULL),
(6, 22050, '', NULL),
(7, 22050, '0', NULL),
(5, 22050, '', NULL),
(8, 22050, '', NULL),
(7, 21659, '0', NULL),
(7, 21758, '0', NULL),
(11, 22229, 'Recette', NULL),
(2, 22229, 'Bug', NULL),
(4, 22229, 'R82415569', NULL),
(3, 22229, '', NULL),
(1, 22229, '0.5', NULL),
(6, 22229, '', NULL),
(7, 22229, '0', NULL),
(5, 22229, '', NULL),
(8, 22229, '', NULL),
(3, 21629, '0', NULL),
(5, 21660, '', NULL),
(3, 20431, '2', NULL),
(11, 22232, '', NULL),
(2, 22232, 'Task', NULL),
(4, 22232, 'R82415800', NULL),
(3, 22232, '2.6', NULL),
(1, 22232, '1', NULL),
(6, 22232, '', NULL),
(7, 22232, '0', NULL),
(5, 22232, '', NULL),
(8, 22232, '', NULL),
(3, 20642, '3', NULL),
(7, 16075, '0', NULL),
(11, 22240, 'Recette', NULL),
(2, 22240, 'Bug', NULL),
(4, 22240, 'R82416031', NULL),
(1, 22240, '2', NULL),
(6, 22240, '', NULL),
(7, 22240, '0', NULL),
(5, 22240, '', NULL),
(8, 22240, '', NULL),
(11, 22247, 'Recette', NULL),
(2, 22247, 'Task', NULL),
(4, 22247, 'R82416262', NULL),
(3, 22247, '', NULL),
(1, 22247, '0.5', NULL),
(6, 22247, '', NULL),
(7, 22247, '0', NULL),
(5, 22247, '', NULL),
(8, 22247, '', NULL),
(11, 22248, 'Recette', NULL),
(2, 22248, 'Task', NULL),
(4, 22248, 'R82416493', NULL),
(3, 22248, '', NULL),
(1, 22248, '0.5', NULL),
(6, 22248, '', NULL),
(7, 22248, '0', NULL),
(5, 22248, '', NULL),
(8, 22248, '', NULL),
(3, 16075, '2.5', NULL),
(3, 21625, '2', NULL),
(3, 21626, '7', NULL),
(3, 21627, '1', NULL),
(3, 21628, '6', NULL),
(3, 21760, '3', NULL),
(3, 21761, '1', NULL),
(2, 23243, 'Task', NULL),
(11, 23243, '', NULL),
(8, 22877, '', NULL),
(5, 22877, '', NULL),
(6, 23243, '', NULL),
(1, 23243, '0.5', NULL),
(3, 23243, '3', NULL),
(4, 23243, 'R82416955', NULL),
(3, 22877, '2', NULL),
(11, 22877, '', NULL),
(2, 23242, 'Bug', NULL),
(1, 23242, '0.5', NULL),
(8, 23248, '', NULL),
(5, 23248, '', NULL),
(7, 23248, '0', NULL),
(6, 23248, '', NULL),
(1, 23248, '2', NULL),
(4, 23248, '', NULL),
(2, 23248, 'Task', NULL),
(11, 23248, '', NULL),
(8, 23243, '', NULL),
(5, 23243, '', NULL),
(8, 17741, '', NULL),
(6, 17741, '', NULL),
(11, 17741, '', NULL),
(4, 22369, 'R82417417', NULL),
(1, 22369, '0.5', NULL),
(2, 22369, 'Bug', NULL),
(4, 22370, 'R82417648', NULL),
(1, 22370, '0.5', NULL),
(2, 22370, 'Bug', NULL),
(4, 22371, 'R82417879', NULL),
(1, 22371, '0.5', NULL),
(2, 22371, 'Bug', NULL),
(4, 22372, 'R82418110', NULL),
(1, 22372, '0.5', NULL),
(2, 22372, 'Bug', NULL),
(4, 22373, 'R82418341', NULL),
(1, 22373, '0.5', NULL),
(2, 22373, 'Bug', NULL),
(4, 22374, 'R82418572', NULL),
(1, 22374, '0.5', NULL),
(2, 22374, 'Bug', NULL),
(4, 22375, 'R82418803', NULL),
(1, 22375, '0.5', NULL),
(2, 22375, 'Bug', NULL),
(4, 22376, 'R82419034', NULL),
(1, 22376, '0.5', NULL),
(2, 22376, 'Bug', NULL),
(4, 22377, 'R82419265', NULL),
(1, 22377, '0.5', NULL),
(2, 22377, 'Bug', NULL),
(4, 22378, 'R82419496', NULL),
(1, 22378, '0.5', NULL),
(2, 22378, 'Bug', NULL),
(4, 22379, 'R82419727', NULL),
(1, 22379, '0.5', NULL),
(2, 22379, 'Bug', NULL),
(4, 22380, 'R82419958', NULL),
(1, 22380, '0.5', NULL),
(2, 22380, 'Bug', NULL),
(4, 22381, 'R82420189', NULL),
(1, 22381, '0.5', NULL),
(2, 22381, 'Bug', NULL),
(4, 22382, 'R82420420', NULL),
(1, 22382, '0.5', NULL),
(2, 22382, 'Task', NULL),
(4, 22383, 'R82420651', NULL),
(1, 22383, '0.5', NULL),
(2, 22383, 'Task', NULL),
(4, 22384, 'R82420882', NULL),
(1, 22384, '0.5', NULL),
(2, 22384, 'Task', NULL),
(4, 22385, 'R82421113', NULL),
(1, 22385, '0.5', NULL),
(2, 22385, 'Task', NULL),
(4, 22386, 'R82421344', NULL),
(1, 22386, '0.5', NULL),
(2, 22386, 'Task', NULL),
(4, 22387, 'R82421575', NULL),
(1, 22387, '6', NULL),
(2, 22387, 'Task', NULL),
(5, 22376, '', NULL),
(5, 22372, '', NULL),
(5, 22377, '', NULL),
(5, 22371, '', NULL),
(5, 22373, '', NULL),
(5, 22374, '', NULL),
(5, 22375, '', NULL),
(5, 22378, '', NULL),
(11, 22405, 'Recette', NULL),
(2, 22405, 'Bug', NULL),
(4, 22405, '', NULL),
(3, 22405, '0', NULL),
(1, 22405, '2', NULL),
(6, 22405, '', NULL),
(7, 22405, '0', NULL),
(5, 22405, '', NULL),
(8, 22405, '', NULL),
(6, 22423, '', NULL),
(7, 22423, '1', NULL),
(5, 22423, '', NULL),
(8, 22423, '', NULL),
(11, 22380, 'Recette', NULL),
(3, 22380, '', NULL),
(6, 22380, '', NULL),
(7, 22380, '0', NULL),
(5, 22380, '', NULL),
(8, 22380, '', NULL),
(3, 21835, '0.5', NULL),
(3, 21836, '1.6', NULL),
(3, 22382, '0', NULL),
(7, 22382, '0', NULL),
(3, 22383, '1', NULL),
(11, 22424, '', NULL),
(2, 22424, 'Task', NULL),
(4, 22424, 'R82422268', NULL),
(3, 22424, '0', NULL),
(1, 22424, '1', NULL),
(6, 22424, '', NULL),
(7, 22424, '0', NULL),
(5, 22424, '', NULL),
(8, 22424, '', NULL),
(7, 22379, '0', NULL),
(5, 22379, '', NULL),
(7, 22373, '0', NULL),
(5, 23426, '', NULL),
(5, 22944, '', NULL),
(11, 22047, '', NULL),
(3, 22047, '1', NULL),
(6, 22047, '', NULL),
(7, 22047, '0', NULL),
(5, 22047, '', NULL),
(8, 22047, '', NULL),
(11, 22048, '', NULL),
(3, 22048, '7', NULL),
(6, 22048, '', NULL),
(7, 22048, '0', NULL),
(5, 22048, '', NULL),
(8, 22048, '', NULL),
(11, 21629, '', NULL),
(6, 21629, '', NULL),
(7, 21629, '0', NULL),
(5, 21629, '1512687600', NULL),
(8, 21629, '', NULL),
(7, 22413, '0', NULL),
(7, 22370, '0', NULL),
(5, 22381, '', NULL),
(11, 22426, 'Production', NULL),
(2, 22426, 'Bug', NULL),
(4, 22426, 'R82422499', NULL),
(3, 22426, '0', NULL),
(1, 22426, '2', NULL),
(6, 22426, '', NULL),
(7, 22426, '0', NULL),
(5, 22426, '', NULL),
(8, 22426, '', NULL),
(11, 22434, '', NULL),
(2, 22434, 'Task', NULL),
(4, 22434, 'R82422730', NULL),
(3, 22434, '0.5', NULL),
(1, 22434, '0.5', NULL),
(6, 22434, '', NULL),
(7, 22434, '0', NULL),
(5, 22434, '', NULL),
(8, 22434, '', NULL),
(7, 22371, '0', NULL),
(7, 22374, '0', NULL),
(7, 22375, '0', NULL),
(4, 22761, 'R82422961', NULL),
(1, 22761, '0.5', NULL),
(2, 22761, 'Bug', NULL),
(4, 22762, 'R82423192', NULL),
(1, 22762, '0', NULL),
(2, 22762, 'Bug', NULL),
(4, 22763, 'R82423423', NULL),
(1, 22763, '0.5', NULL),
(2, 22763, 'Bug', NULL),
(4, 22764, 'R82423654', NULL),
(1, 22764, '0.5', NULL),
(2, 22764, 'Bug', NULL),
(4, 22765, 'R82423885', NULL),
(1, 22765, '0.5', NULL),
(2, 22765, 'Bug', NULL),
(4, 22766, 'R82424116', NULL),
(1, 22766, '0.5', NULL),
(2, 22766, 'Bug', NULL),
(4, 22767, 'R82424347', NULL),
(1, 22767, '0.5', NULL),
(2, 22767, 'Bug', NULL),
(11, 22764, 'Recette', NULL),
(3, 22764, '', NULL),
(6, 22764, '', NULL),
(7, 22764, '0', NULL),
(5, 22764, '', NULL),
(8, 22764, '', NULL),
(11, 22763, 'Recette', NULL),
(3, 22763, '', NULL),
(6, 22763, '', NULL),
(7, 22763, '0', NULL),
(5, 22763, '', NULL),
(8, 22763, '', NULL),
(7, 22414, '0', NULL),
(4, 22785, 'R82424578', NULL),
(1, 22785, '0.5', NULL),
(2, 22785, 'Bug', NULL),
(11, 22414, '', NULL),
(3, 22414, '7', NULL),
(6, 22414, '', NULL),
(5, 22414, '1510182000', NULL),
(8, 22414, '', NULL),
(7, 22369, '0', NULL),
(5, 22369, '', NULL),
(5, 22413, '', NULL),
(3, 22413, '12.5', NULL),
(4, 22786, 'R82424809', NULL),
(1, 22786, '0.5', NULL),
(2, 22786, 'Task', NULL),
(4, 22787, 'R82425040', NULL),
(1, 22787, '0.5', NULL),
(2, 22787, 'Task', NULL),
(4, 22788, 'R82425271', NULL),
(1, 22788, '0.5', NULL),
(2, 22788, 'Task', NULL),
(11, 19982, 'Recette', NULL),
(3, 19982, '', NULL),
(6, 19982, '', NULL),
(8, 19982, '', NULL),
(7, 22767, '0', NULL),
(11, 22805, '', NULL),
(2, 22805, 'Task', NULL),
(4, 22805, 'R82426195', NULL),
(1, 22805, '2', NULL),
(6, 22805, '', NULL),
(7, 22805, '0', NULL),
(5, 22805, '', NULL),
(8, 22805, '', NULL),
(4, 22806, 'R82426426', NULL),
(1, 22806, '2', NULL),
(2, 22806, 'Task', NULL),
(4, 22807, 'R82426657', NULL),
(1, 22807, '4', NULL),
(2, 22807, 'Task', NULL),
(3, 22807, '6', NULL),
(11, 22807, '', NULL),
(6, 22807, '', NULL),
(7, 22807, '0', NULL),
(5, 22807, '', NULL),
(8, 22807, '', NULL),
(11, 22823, '', NULL),
(2, 22823, 'Task', NULL),
(4, 22823, 'R82426888', NULL),
(3, 22823, '3', NULL),
(1, 22823, '2', NULL),
(6, 22823, '', NULL),
(7, 22823, '0', NULL),
(5, 22823, '', NULL),
(8, 22823, '', NULL),
(4, 22824, 'R82427119', NULL),
(1, 22824, '0.5', NULL),
(2, 22824, 'Task', NULL),
(4, 22825, 'R82427350', NULL),
(1, 22825, '0.5', NULL),
(2, 22825, 'Task', NULL),
(7, 21756, '0', NULL),
(7, 22806, '0', NULL),
(3, 22806, '5', NULL),
(7, 22766, '0', NULL),
(7, 21757, '0', NULL),
(7, 22786, '0', NULL),
(5, 22786, '', NULL),
(7, 22788, '0', NULL),
(7, 22051, '0', NULL),
(4, 22874, 'R82427581', NULL),
(1, 22874, '0.5', NULL),
(2, 22874, 'Bug', NULL),
(4, 22875, 'R82427812', NULL),
(1, 22875, '0.5', NULL),
(2, 22875, 'Bug', NULL),
(4, 22876, 'R82428043', NULL),
(1, 22876, '0.5', NULL),
(2, 22876, 'Bug', NULL),
(4, 22877, 'R82428274', NULL),
(1, 22877, '0.5', NULL),
(2, 22877, 'Task', NULL),
(4, 22878, 'R82428505', NULL),
(1, 22878, '0.5', NULL),
(2, 22878, 'Bug', NULL),
(4, 22879, 'R82428736', NULL),
(1, 22879, '0.5', NULL),
(2, 22879, 'Bug', NULL),
(4, 22880, 'R82428967', NULL),
(1, 22880, '0.5', NULL),
(2, 22880, 'Bug', NULL),
(4, 22881, 'R82429198', NULL),
(1, 22881, '0.5', NULL),
(2, 22881, 'Bug', NULL),
(7, 21799, '0', NULL),
(7, 22787, '0', NULL),
(11, 22915, 'Production', NULL),
(2, 22915, 'Task', NULL),
(4, 22915, 'R82429429', NULL),
(1, 22915, '1', NULL),
(6, 22915, '', NULL),
(7, 22915, '0', NULL),
(5, 22915, '', NULL),
(8, 22915, '', NULL),
(11, 22916, 'Production', NULL),
(2, 22916, 'Task', NULL),
(4, 22916, 'R82429660', NULL),
(1, 22916, '1', NULL),
(6, 22916, '', NULL),
(7, 22916, '0', NULL),
(5, 22916, '', NULL),
(8, 22916, '', NULL),
(4, 22919, 'R82429891', NULL),
(1, 22919, '0.5', NULL),
(2, 22919, 'Bug', NULL),
(4, 22920, 'R82430122', NULL),
(1, 22920, '0.5', NULL),
(2, 22920, 'Bug', NULL),
(3, 22765, '0', NULL),
(7, 22765, '0', NULL),
(3, 22874, '0', NULL),
(7, 22874, '0', NULL),
(7, 22875, '0', NULL),
(7, 22876, '0', NULL),
(7, 22879, '0', NULL),
(7, 22881, '0', NULL),
(4, 22923, 'R82430353', NULL),
(1, 22923, '0.5', NULL),
(2, 22923, 'Task', NULL),
(4, 22924, 'R82430584', NULL),
(1, 22924, '0.5', NULL),
(2, 22924, 'Task', NULL),
(11, 22925, '', NULL),
(2, 22925, 'Task', NULL),
(4, 22925, 'R82430815', NULL),
(3, 22925, '3.8', NULL),
(1, 22925, '2', NULL),
(6, 22925, '', NULL),
(7, 22925, '0', NULL),
(5, 22925, '1543014000', NULL),
(8, 22925, '', NULL),
(3, 22788, '1.3', NULL),
(5, 21635, '', NULL),
(3, 21756, '1', NULL),
(3, 21757, '2', NULL),
(3, 21758, '1', NULL),
(3, 21799, '2', NULL),
(5, 22386, '', NULL),
(11, 22386, '', NULL),
(3, 22386, '5', NULL),
(6, 22386, '', NULL),
(7, 22386, '0', NULL),
(8, 22386, '', NULL),
(11, 22926, '', NULL),
(2, 22926, 'Task', NULL),
(4, 22926, '', NULL),
(3, 22926, '0', NULL),
(1, 22926, '2', NULL),
(6, 22926, '', NULL),
(7, 22926, '0', NULL),
(5, 22926, '', NULL),
(8, 22926, '', NULL),
(7, 20431, '0', NULL),
(7, 21660, '0', NULL),
(4, 22933, 'R82431277', NULL),
(1, 22933, '0.5', NULL),
(2, 22933, 'Bug', NULL),
(4, 22935, 'R82431508', NULL),
(1, 22935, '0.5', NULL),
(2, 22935, 'Bug', NULL),
(4, 22936, 'R82431739', NULL),
(1, 22936, '0.5', NULL),
(2, 22936, 'Bug', NULL),
(4, 22937, 'R82431970', NULL),
(1, 22937, '0.5', NULL),
(2, 22937, 'Bug', NULL),
(4, 22938, 'R82432201', NULL),
(1, 22938, '0', NULL),
(2, 22938, 'Bug', NULL),
(4, 22939, 'R82432432', NULL),
(1, 22939, '0', NULL),
(2, 22939, 'Bug', NULL),
(4, 22940, 'R82432663', NULL),
(1, 22940, '0.5', NULL),
(2, 22940, 'Bug', NULL),
(4, 22941, 'R82432894', NULL),
(1, 22941, '0.5', NULL),
(2, 22941, 'Bug', NULL),
(4, 22942, 'R82433125', NULL),
(1, 22942, '0.5', NULL),
(2, 22942, 'Bug', NULL),
(4, 22943, 'R82433356', NULL),
(1, 22943, '0', NULL),
(2, 22943, 'Bug', NULL),
(4, 22944, 'R82433587', NULL),
(1, 22944, '0.5', NULL),
(2, 22944, 'Bug', NULL),
(4, 22945, 'R82433818', NULL),
(1, 22945, '0.5', NULL),
(2, 22945, 'Task', NULL),
(4, 22946, 'R82434049', NULL),
(1, 22946, '0.5', NULL),
(2, 22946, 'Task', NULL),
(6, 22877, '', NULL),
(4, 22951, 'R82434280', NULL),
(1, 22951, '0.5', NULL),
(2, 22951, 'Bug', NULL),
(4, 22952, 'R82434511', NULL),
(1, 22952, '0.5', NULL),
(2, 22952, 'Bug', NULL),
(4, 22953, 'R82434742', NULL),
(1, 22953, '0.5', NULL),
(2, 22953, 'Bug', NULL),
(4, 22954, 'R82434973', NULL),
(1, 22954, '0.5', NULL),
(2, 22954, 'Task', NULL),
(4, 22955, 'R82435204', NULL),
(1, 22955, '0.5', NULL),
(2, 22955, 'Task', NULL),
(11, 22956, '', NULL),
(2, 22956, 'Task', NULL),
(4, 22956, 'R82435435', NULL),
(3, 22956, '1', NULL),
(1, 22956, '0.5', NULL),
(6, 22956, '', NULL),
(7, 22956, '0', NULL),
(5, 22956, '', NULL),
(8, 22956, '', NULL),
(7, 22824, '0', NULL),
(7, 22923, '0', NULL),
(7, 22381, '0', NULL),
(7, 22408, '0', NULL),
(7, 22945, '0', NULL),
(7, 23777, '0', NULL),
(7, 23778, '0', NULL),
(7, 22944, '0', NULL),
(11, 22964, 'Recette', NULL),
(2, 22964, 'Bug', NULL),
(4, 22964, 'R82435666', NULL),
(1, 22964, '2', NULL),
(6, 22964, '', NULL),
(7, 22964, '0', NULL),
(5, 22964, '', NULL),
(8, 22964, '', NULL),
(4, 23002, 'R82435897', NULL),
(1, 23002, '0.5', NULL),
(2, 23002, 'Bug', NULL),
(4, 23003, 'R82436128', NULL),
(1, 23003, '0.5', NULL),
(2, 23003, 'Bug', NULL),
(4, 23004, 'R82436359', NULL),
(1, 23004, '0.5', NULL),
(2, 23004, 'Bug', NULL),
(4, 23005, 'R82436590', NULL),
(1, 23005, '0.5', NULL),
(2, 23005, 'Bug', NULL),
(4, 23006, 'R82436821', NULL),
(1, 23006, '0.5', NULL),
(2, 23006, 'Bug', NULL),
(4, 23242, 'R82437052', NULL),
(7, 22378, '0', NULL),
(7, 22919, '0', NULL),
(7, 22920, '0', NULL),
(11, 23016, '', NULL),
(2, 23016, 'Task', NULL),
(4, 23016, 'R82437283', NULL),
(1, 23016, '0.5', NULL),
(6, 23016, '', NULL),
(7, 23016, '0', NULL),
(5, 23016, '', NULL),
(8, 23016, '', NULL),
(11, 23017, '', NULL),
(2, 23017, 'Task', NULL),
(4, 23017, 'R82437514', NULL),
(1, 23017, '0.5', NULL),
(6, 23017, '', NULL),
(7, 23017, '0', NULL),
(5, 23017, '', NULL),
(8, 23017, '', NULL),
(11, 23018, 'Recette', NULL),
(2, 23018, 'Bug', NULL),
(4, 23018, 'R82437745', NULL),
(1, 23018, '0.5', NULL),
(6, 23018, '', NULL),
(7, 23018, '0', NULL),
(5, 23018, '', NULL),
(8, 23018, '', NULL),
(7, 22825, '0', NULL),
(7, 22924, '0', NULL),
(3, 21800, '6', NULL),
(11, 23254, 'Recette', NULL),
(2, 23254, 'Bug', NULL),
(4, 23254, 'R82416724', NULL),
(1, 23254, '2', NULL),
(6, 23254, '', NULL),
(7, 23254, '0', NULL),
(5, 23254, '', NULL),
(8, 23254, '', NULL),
(11, 23255, 'Recette', NULL),
(2, 23255, 'Bug', NULL),
(4, 23255, 'R82437976', NULL),
(1, 23255, '2', NULL),
(6, 23255, '', NULL),
(7, 23255, '0', NULL),
(5, 23255, '', NULL),
(8, 23255, '', NULL),
(7, 22935, '0', NULL),
(7, 22761, '0', NULL),
(7, 22936, '0', NULL),
(7, 22937, '0', NULL),
(7, 22941, '0', NULL),
(7, 23004, '0', NULL),
(4, 23288, 'R82438207', NULL),
(1, 23288, '0.5', NULL),
(2, 23288, 'Task', NULL),
(4, 23289, 'R82438438', NULL),
(1, 23289, '0.5', NULL),
(2, 23289, 'Task', NULL),
(5, 21758, '', NULL),
(7, 21759, '0', NULL),
(5, 21759, '', NULL),
(7, 22762, '0', NULL),
(11, 22762, 'Recette', NULL),
(3, 22762, '', NULL),
(6, 22762, '', NULL),
(5, 22762, '', NULL),
(8, 22762, '', NULL),
(11, 22874, 'Recette', NULL),
(6, 22874, '', NULL),
(5, 22874, '', NULL),
(8, 22874, '', NULL),
(11, 22943, 'Recette', NULL),
(3, 22943, '', NULL),
(6, 22943, '', NULL),
(7, 22943, '0', NULL),
(5, 22943, '', NULL),
(8, 22943, '', NULL),
(11, 22939, 'Recette', NULL),
(3, 22939, '', NULL),
(6, 22939, '', NULL),
(7, 22939, '0', NULL),
(5, 22939, '', NULL),
(8, 22939, '', NULL),
(11, 22938, 'Recette', NULL),
(3, 22938, '', NULL),
(6, 22938, '', NULL),
(7, 22938, '0', NULL),
(5, 22938, '', NULL),
(8, 22938, '', NULL),
(5, 23421, '', NULL),
(5, 22824, '', NULL),
(3, 23016, '5.5', NULL),
(3, 23017, '6', NULL),
(3, 22824, '5.5', NULL),
(3, 22825, '2.5', NULL),
(3, 22923, '5.5', NULL),
(3, 22924, '2', NULL),
(3, 23167, '3', NULL),
(3, 23168, '5', NULL),
(5, 19871, '', NULL),
(11, 17764, '', NULL),
(3, 17764, '', NULL),
(6, 17764, '', NULL),
(8, 17764, '', NULL),
(5, 22933, '', NULL),
(11, 22933, 'Recette', NULL),
(3, 22933, '', NULL),
(6, 22933, '', NULL),
(7, 22933, '0', NULL),
(8, 22933, '', NULL),
(11, 22382, '', NULL),
(6, 22382, '', NULL),
(5, 22382, '', NULL),
(8, 22382, '', NULL),
(7, 23005, '0', NULL),
(11, 23419, '', NULL),
(2, 23419, 'Task', NULL),
(4, 23419, 'R82438669', NULL),
(1, 23419, '2', NULL),
(6, 23419, '', NULL),
(7, 23419, '0', NULL),
(5, 23419, '', NULL),
(8, 23419, '', NULL),
(11, 23420, 'Recette', NULL),
(2, 23420, 'Bug', NULL),
(4, 23420, 'R82438900', NULL),
(1, 23420, '0.5', NULL),
(6, 23420, '', NULL),
(7, 23420, '0', NULL),
(5, 23420, '', NULL),
(8, 23420, '', NULL),
(7, 22952, '0', NULL),
(4, 23421, 'R82439131', NULL),
(1, 23421, '0.5', NULL),
(2, 23421, 'Bug', NULL),
(4, 23422, 'R82439362', NULL),
(1, 23422, '2', NULL),
(2, 23422, 'Bug', NULL),
(4, 23423, 'R82439593', NULL),
(1, 23423, '2', NULL),
(2, 23423, 'Bug', NULL),
(4, 23424, 'R82439824', NULL),
(1, 23424, '0.5', NULL),
(2, 23424, 'Task', NULL),
(4, 23425, 'R82440055', NULL),
(1, 23425, '0.5', NULL),
(2, 23425, 'Task', NULL),
(4, 23426, 'R82440286', NULL),
(1, 23426, '4', NULL),
(2, 23426, 'Task', NULL),
(4, 23427, 'R82440517', NULL),
(1, 23427, '0.5', NULL),
(2, 23427, 'Task', NULL),
(4, 23428, 'R82440748', NULL),
(1, 23428, '0.5', NULL),
(2, 23428, 'Task', NULL),
(5, 20432, '', NULL),
(7, 23003, '0', NULL),
(7, 22940, '0', NULL),
(5, 22940, '', NULL),
(7, 22942, '0', NULL),
(5, 22942, '', NULL),
(7, 23423, '0', NULL),
(5, 21799, '', NULL),
(7, 23427, '0', NULL),
(4, 23432, 'R82440979', NULL),
(1, 23432, '0.5', NULL),
(2, 23432, 'Bug', NULL),
(4, 23433, 'R82441210', NULL),
(1, 23433, '0.5', NULL),
(2, 23433, 'Bug', NULL),
(4, 23434, 'R82441441', NULL),
(1, 23434, '0.5', NULL),
(2, 23434, 'Bug', NULL),
(4, 23435, 'R82441672', NULL),
(1, 23435, '0.5', NULL),
(2, 23435, 'Task', NULL),
(4, 23436, 'R82441903', NULL),
(1, 23436, '0.5', NULL),
(2, 23436, 'Task', NULL),
(4, 23437, 'R82442134', NULL),
(1, 23437, '0.5', NULL),
(2, 23437, 'Task', NULL),
(11, 23438, 'Recette', NULL),
(2, 23438, 'Bug', NULL),
(4, 23438, 'R82442365', NULL),
(3, 23438, '0', NULL),
(1, 23438, '0.5', NULL),
(6, 23438, '', NULL),
(7, 23438, '0', NULL),
(5, 23438, '1513724400', NULL),
(8, 23438, '1513810800', NULL),
(7, 23781, '0', NULL),
(7, 23776, '0', NULL),
(4, 23497, 'R82442596', NULL),
(1, 23497, '0.5', NULL),
(2, 23497, 'Task', NULL),
(4, 23498, 'R82442827', NULL),
(1, 23498, '0.5', NULL),
(2, 23498, 'Task', NULL),
(7, 23497, '0', NULL),
(4, 23543, 'R82443058', NULL),
(1, 23543, '0.5', NULL),
(2, 23543, 'Task', NULL),
(4, 23545, 'R82443289', NULL),
(1, 23545, '0.5', NULL),
(2, 23545, 'Bug', NULL),
(5, 22923, '', NULL),
(5, 22825, '', NULL),
(5, 22924, '', NULL),
(3, 22805, '0', NULL),
(11, 23498, '', NULL),
(3, 23498, '2', NULL),
(6, 23498, '', NULL),
(7, 23498, '0', NULL),
(5, 23498, '', NULL),
(8, 23498, '', NULL),
(5, 23427, '', NULL),
(5, 23137, '', NULL),
(5, 23138, '', NULL),
(5, 23167, '1515711600', NULL),
(5, 23424, '', NULL),
(5, 23425, '', NULL),
(5, 23428, '', NULL),
(11, 23006, 'Recette', NULL),
(3, 23006, '', NULL),
(6, 23006, '', NULL),
(7, 23006, '0', NULL),
(5, 23006, '', NULL),
(8, 23006, '', NULL),
(11, 23165, 'Recette', NULL),
(3, 23165, '', NULL),
(6, 23165, '', NULL),
(7, 23165, '0', NULL),
(5, 23165, '', NULL),
(8, 23165, '', NULL),
(11, 23166, 'Recette', NULL),
(3, 23166, '0', NULL),
(6, 23166, '', NULL),
(7, 23166, '1', NULL),
(5, 23166, '', NULL),
(8, 23166, '', NULL),
(11, 23424, '', NULL),
(3, 23424, '', NULL),
(6, 23424, '', NULL),
(7, 23424, '1', NULL),
(8, 23424, '', NULL),
(11, 23005, 'Recette', NULL),
(3, 23005, '', NULL),
(6, 23005, '', NULL),
(5, 23005, '', NULL),
(8, 23005, '', NULL),
(11, 22945, '', NULL),
(3, 22945, '2.5', NULL),
(6, 22945, '', NULL),
(5, 22945, '', NULL),
(8, 22945, '', NULL),
(3, 23419, '', NULL),
(11, 23556, '', NULL),
(2, 23556, 'Task', NULL),
(4, 23556, 'R82443520', NULL),
(3, 23556, '1', NULL),
(1, 23556, '2', NULL),
(6, 23556, '', NULL),
(7, 23556, '0', NULL),
(5, 23556, '', NULL),
(8, 23556, '', NULL),
(2, 23557, 'Task', NULL),
(4, 23557, 'R82327096', NULL),
(3, 23557, '8.7', NULL),
(1, 23557, '9', NULL),
(6, 23557, '', NULL),
(7, 23557, '0', NULL),
(5, 23557, '', NULL),
(8, 23557, '', NULL),
(3, 23423, '0', NULL),
(11, 22951, 'Recette', NULL),
(3, 22951, '', NULL),
(6, 22951, '', NULL),
(7, 22951, '0', NULL),
(5, 22951, '', NULL),
(8, 22951, '', NULL),
(7, 22953, '0', NULL),
(5, 22941, '', NULL),
(5, 23422, '', NULL),
(11, 23562, 'Recette', NULL),
(2, 23562, 'Bug', NULL),
(4, 23562, 'R82443751', NULL),
(3, 23562, '', NULL),
(1, 23562, '0.5', NULL),
(6, 23562, '', NULL),
(7, 23562, '0', NULL),
(5, 23562, '', NULL),
(8, 23562, '', NULL),
(11, 23563, 'Recette', NULL),
(2, 23563, 'Bug', NULL),
(4, 23563, 'R82443982', NULL),
(3, 23563, '', NULL),
(1, 23563, '0.5', NULL),
(6, 23563, '', NULL),
(7, 23563, '0', NULL),
(5, 23563, '', NULL),
(8, 23563, '', NULL),
(7, 22377, '0', NULL),
(11, 23569, 'Recette', NULL),
(2, 23569, 'Bug', NULL),
(4, 23569, 'R82444213', NULL),
(3, 23569, '', NULL),
(1, 23569, '0.5', NULL),
(6, 23569, '', NULL),
(7, 23569, '0', NULL),
(5, 23569, '', NULL),
(8, 23569, '', NULL),
(5, 23168, '', NULL),
(3, 23422, '0', NULL),
(7, 23422, '0', NULL),
(7, 23425, '0', NULL),
(7, 23138, '0', NULL),
(7, 23437, '0', NULL),
(7, 24280, '0', NULL),
(7, 24562, '0', NULL),
(7, 23172, '0', NULL),
(7, 23171, '0', NULL),
(7, 23152, '0', NULL),
(7, 23151, '0', NULL),
(7, 23421, '0', NULL),
(11, 23749, 'Recette', NULL),
(2, 23749, 'Bug', NULL),
(4, 23749, 'R82444675', NULL),
(1, 23749, '2', NULL),
(6, 23749, '', NULL),
(7, 23749, '0', NULL),
(5, 23749, '1513724400', NULL),
(8, 23749, '', NULL),
(4, 23767, 'R82444906', NULL),
(1, 23767, '0.5', NULL),
(2, 23767, 'Bug', NULL),
(4, 23768, 'R82445137', NULL),
(1, 23768, '0.5', NULL),
(2, 23768, 'Bug', NULL),
(4, 23769, 'R82445368', NULL),
(1, 23769, '0.5', NULL),
(2, 23769, 'Bug', NULL),
(4, 23770, 'R82445599', NULL),
(1, 23770, '0.5', NULL),
(2, 23770, 'Bug', NULL),
(4, 23771, 'R82445830', NULL),
(1, 23771, '0.5', NULL),
(2, 23771, 'Bug', NULL),
(4, 23772, 'R82446061', NULL),
(1, 23772, '0.5', NULL),
(2, 23772, 'Bug', NULL),
(4, 23773, 'R82446292', NULL),
(1, 23773, '0.5', NULL),
(2, 23773, 'Bug', NULL),
(4, 23774, 'R82446523', NULL),
(1, 23774, '0.5', NULL),
(2, 23774, 'Bug', NULL),
(4, 23775, 'R82446754', NULL),
(1, 23775, '0.5', NULL),
(2, 23775, 'Bug', NULL),
(4, 23776, 'R82446985', NULL),
(1, 23776, '0.5', NULL),
(2, 23776, 'Bug', NULL),
(4, 23777, 'R82447216', NULL),
(1, 23777, '0.5', NULL),
(2, 23777, 'Bug', NULL),
(4, 23778, 'R82447447', NULL),
(1, 23778, '0.5', NULL),
(2, 23778, 'Bug', NULL),
(7, 22785, '0', NULL),
(5, 22937, '', NULL),
(11, 22937, 'Recette', NULL),
(3, 22937, '', NULL),
(6, 22937, '', NULL),
(8, 22937, '', NULL),
(4, 23780, 'R82252021', NULL),
(1, 23780, '0.5', NULL),
(2, 23780, 'Bug', NULL),
(4, 23781, 'R82447678', NULL),
(1, 23781, '0.5', NULL),
(2, 23781, 'Bug', NULL),
(7, 23770, '0', NULL),
(7, 23772, '0', NULL),
(4, 23783, 'R82447909', NULL),
(1, 23783, '0.5', NULL),
(2, 23783, 'Bug', NULL),
(4, 23784, 'R82448140', NULL),
(1, 23784, '0.5', NULL),
(2, 23784, 'Bug', NULL),
(5, 23434, '', NULL),
(11, 23787, 'Recette', NULL),
(2, 23787, 'Bug', NULL),
(4, 23787, 'R82448371', NULL),
(3, 23787, '', NULL),
(1, 23787, '0.5', NULL),
(6, 23787, '', NULL),
(7, 23787, '', NULL),
(5, 23787, '', NULL),
(8, 23787, '', NULL),
(7, 23773, '0', NULL),
(3, 23789, '0', NULL),
(1, 23789, '1', NULL),
(6, 23789, '', NULL),
(7, 23789, '', NULL),
(5, 23789, '', NULL),
(8, 23789, '', NULL),
(2, 23789, 'Task', NULL),
(4, 23789, '', NULL),
(7, 23775, '0', NULL),
(7, 23774, '0', NULL),
(7, 23767, '0', NULL),
(3, 23790, '0', NULL),
(1, 23790, '1', NULL),
(6, 23790, '', NULL),
(7, 23790, '', NULL),
(5, 23790, '', NULL),
(8, 23790, '', NULL),
(2, 23790, 'Task', NULL),
(4, 23790, '', NULL),
(7, 23769, '0', NULL),
(7, 23771, '0', NULL),
(7, 23768, '0', NULL),
(3, 23791, '0', NULL),
(1, 23791, '1', NULL),
(6, 23791, '', NULL),
(7, 23791, '', NULL),
(5, 23791, '', NULL),
(8, 23791, '', NULL),
(2, 23791, 'Task', NULL),
(4, 23791, '', NULL),
(7, 23545, '0', NULL),
(3, 23792, '0', NULL),
(1, 23792, '1', NULL),
(6, 23792, '', NULL),
(7, 23792, '', NULL),
(5, 23792, '', NULL),
(8, 23792, '', NULL),
(2, 23792, 'Task', NULL),
(4, 23792, '', NULL),
(3, 23426, '6', NULL),
(7, 23426, '4', NULL),
(4, 23833, 'R82448602', NULL),
(1, 23833, '0.5', NULL),
(2, 23833, 'Bug', NULL),
(11, 23774, 'Recette', NULL),
(3, 23774, '', NULL),
(6, 23774, '', NULL),
(5, 23774, '', NULL),
(8, 23774, '', NULL),
(11, 23833, 'Recette', NULL),
(3, 23833, '', NULL),
(6, 23833, '', NULL),
(7, 23833, '0', NULL),
(5, 23833, '', NULL),
(8, 23833, '', NULL),
(11, 23834, 'Recette', NULL),
(2, 23834, 'Bug', NULL),
(4, 23834, 'R82448833', NULL),
(1, 23834, '0.5', NULL),
(6, 23834, '', NULL),
(7, 23834, '0', NULL),
(5, 23834, '', NULL),
(8, 23834, '', NULL),
(11, 23767, 'Recette', NULL),
(3, 23767, '', NULL),
(6, 23767, '', NULL),
(5, 23767, '', NULL),
(8, 23767, '', NULL),
(11, 23167, '', NULL),
(6, 23167, '', NULL),
(7, 23167, '0', NULL),
(8, 23167, '', NULL),
(11, 23893, 'Recette', NULL),
(2, 23893, 'Bug', NULL),
(4, 23893, 'R82449064', NULL),
(3, 23893, '', NULL),
(1, 23893, '0.5', NULL),
(6, 23893, '', NULL),
(7, 23893, '0', NULL),
(5, 23893, '', NULL),
(8, 23893, '', NULL),
(7, 22372, '0', NULL),
(3, 21350, '', NULL),
(3, 21595, '', NULL),
(11, 21797, 'Recette', NULL),
(3, 21797, '', NULL),
(6, 21797, '', NULL),
(5, 21797, '', NULL),
(8, 21797, '', NULL),
(11, 21798, 'Recette', NULL),
(3, 21798, '', NULL),
(6, 21798, '', NULL),
(5, 21798, '', NULL),
(8, 21798, '', NULL),
(11, 21832, 'Recette', NULL),
(3, 21832, '', NULL),
(6, 21832, '', NULL),
(5, 21832, '', NULL),
(8, 21832, '', NULL),
(11, 21830, 'Recette', NULL),
(3, 21830, '', NULL),
(6, 21830, '', NULL),
(5, 21830, '', NULL),
(8, 21830, '', NULL),
(11, 21833, 'Recette', NULL),
(3, 21833, '', NULL),
(6, 21833, '', NULL),
(5, 21833, '', NULL),
(8, 21833, '', NULL),
(11, 21831, 'Recette', NULL),
(3, 21831, '', NULL),
(6, 21831, '', NULL),
(5, 21831, '', NULL),
(8, 21831, '', NULL),
(11, 21840, 'Recette', NULL),
(3, 21840, '', NULL),
(6, 21840, '', NULL),
(5, 21840, '', NULL),
(8, 21840, '', NULL),
(11, 21841, 'Recette', NULL),
(3, 21841, '', NULL),
(6, 21841, '', NULL),
(5, 21841, '', NULL),
(8, 21841, '', NULL),
(11, 21892, 'Recette', NULL),
(3, 21892, '', NULL),
(6, 21892, '', NULL),
(5, 21892, '', NULL),
(8, 21892, '', NULL),
(11, 21893, 'Recette', NULL),
(3, 21893, '', NULL),
(6, 21893, '', NULL),
(5, 21893, '', NULL),
(8, 21893, '', NULL),
(11, 22407, 'Production', NULL),
(3, 22407, '', NULL),
(6, 22407, '', NULL),
(5, 22407, '', NULL),
(8, 22407, '', NULL),
(11, 22409, 'Production', NULL),
(3, 22409, '', NULL),
(6, 22409, '', NULL),
(5, 22409, '', NULL),
(8, 22409, '', NULL),
(11, 22408, 'Production', NULL),
(11, 22370, 'Recette', NULL),
(11, 22372, 'Recette', NULL),
(11, 22381, 'Recette', NULL),
(11, 22374, 'Recette', NULL),
(11, 22371, 'Recette', NULL),
(11, 22373, 'Recette', NULL),
(11, 22375, 'Recette', NULL),
(3, 22375, '', NULL),
(6, 22375, '', NULL),
(8, 22375, '', NULL),
(11, 22378, 'Recette', NULL),
(11, 22377, 'Recette', NULL),
(11, 22376, 'Recette', NULL),
(11, 23776, 'Recette', NULL),
(11, 23781, 'Recette', NULL),
(11, 22944, 'Recette', NULL),
(11, 22953, 'Recette', NULL),
(11, 23421, 'Recette', NULL),
(11, 23775, 'Recette', NULL),
(11, 23773, 'Recette', NULL),
(11, 23434, 'Recette', NULL),
(11, 23784, 'Recette', NULL),
(11, 23772, 'Recette', NULL),
(11, 23770, 'Recette', NULL),
(11, 23780, 'Recette', NULL),
(11, 22765, 'Recette', NULL),
(11, 22785, 'Recette', NULL),
(11, 22766, 'Recette', NULL),
(11, 22767, 'Recette', NULL),
(11, 22051, 'Recette', NULL),
(3, 22051, '', NULL),
(6, 22051, '', NULL),
(5, 22051, '', NULL),
(8, 22051, '', NULL),
(11, 22761, 'Recette', NULL),
(11, 22875, 'Production', NULL),
(3, 22875, '', NULL),
(6, 22875, '', NULL),
(5, 22875, '', NULL),
(8, 22875, '', NULL),
(11, 22881, 'Production', NULL),
(11, 22876, 'Production', NULL),
(11, 22879, 'Production', NULL),
(3, 22876, '', NULL),
(6, 22876, '', NULL),
(5, 22876, '', NULL),
(8, 22876, '', NULL),
(3, 22879, '', NULL),
(6, 22879, '', NULL),
(5, 22879, '', NULL),
(8, 22879, '', NULL),
(3, 22881, '', NULL),
(6, 22881, '', NULL),
(5, 22881, '', NULL),
(8, 22881, '', NULL),
(11, 22920, 'Recette', NULL),
(11, 22919, 'Recette', NULL),
(11, 22936, 'Recette', NULL),
(11, 22935, 'Recette', NULL),
(11, 22941, 'Recette', NULL),
(11, 22942, 'Recette', NULL),
(11, 22940, 'Recette', NULL),
(11, 22952, 'Recette', NULL),
(11, 23003, 'Recette', NULL),
(11, 23004, 'Recette', NULL),
(11, 23002, 'Recette', NULL),
(11, 23150, 'Recette', NULL),
(11, 23422, 'Recette', NULL),
(11, 23149, 'Recette', NULL),
(11, 23769, 'Recette', NULL),
(11, 23423, 'Production', NULL),
(11, 23151, 'Production', NULL),
(11, 23152, 'Production', NULL),
(11, 23171, 'Production', NULL),
(11, 23172, 'Production', NULL),
(11, 23242, 'Production', NULL),
(11, 23136, 'Production', NULL),
(11, 23768, 'Recette', NULL),
(11, 23771, 'Recette', NULL),
(11, 23777, 'Recette', NULL),
(11, 23778, 'Recette', NULL),
(11, 23545, 'Recette', NULL),
(3, 23545, '0', NULL),
(6, 23545, '', NULL),
(5, 23545, '', NULL),
(8, 23545, '', NULL),
(11, 20442, 'Recette', NULL),
(11, 19424, 'Recette', NULL),
(11, 19420, 'Recette', NULL),
(11, 19421, 'Production', NULL),
(11, 19236, 'Production', NULL),
(11, 19235, 'Production', NULL),
(11, 20444, 'Recette', NULL),
(11, 20443, 'Recette', NULL),
(11, 20683, 'Recette', NULL),
(11, 20931, 'Recette', NULL),
(11, 20599, 'Recette', NULL),
(11, 20930, 'Recette', NULL),
(11, 20451, 'Recette', NULL),
(11, 20564, 'Recette', NULL),
(11, 20598, 'Recette', NULL),
(11, 20646, 'Production', NULL),
(11, 20429, 'Production', NULL),
(11, 20645, 'Production', NULL),
(11, 19983, 'Recette', NULL),
(11, 19786, 'Recette', NULL),
(11, 21603, 'Recette', NULL),
(11, 20926, 'Recette', NULL),
(11, 21602, 'Recette', NULL),
(11, 20929, 'Production', NULL),
(3, 20929, '', NULL),
(6, 20929, '', NULL),
(5, 20929, '', NULL),
(8, 20929, '', NULL),
(4, 23901, 'R82449295', NULL),
(1, 23901, '0.5', NULL),
(2, 23901, 'Bug', NULL),
(4, 23902, 'R82449526', NULL),
(1, 23902, '0.5', NULL),
(2, 23902, 'Bug', NULL),
(7, 23783, '0', NULL),
(7, 23435, '0', NULL),
(4, 23905, 'R82449757', NULL),
(1, 23905, '0.5', NULL),
(2, 23905, 'Bug', NULL),
(4, 23906, 'R82449988', NULL),
(1, 23906, '0.5', NULL),
(2, 23906, 'Bug', NULL),
(4, 23908, 'R82450219', NULL),
(1, 23908, '0.5', NULL),
(2, 23908, 'Task', NULL),
(4, 23909, 'R82450450', NULL),
(1, 23909, '0.5', NULL),
(2, 23909, 'Task', NULL),
(3, 23909, '0.8', NULL),
(3, 23908, '0.8', NULL),
(3, 23169, '0.8', NULL),
(7, 23169, '0', NULL),
(3, 23170, '0.8', NULL),
(7, 23170, '0', NULL),
(3, 23497, '1', NULL),
(11, 23910, '', NULL),
(2, 23910, 'Task', NULL),
(4, 23910, 'R82450681', NULL),
(3, 23910, '5.5', NULL),
(1, 23910, '3.5', NULL),
(6, 23910, '', NULL),
(7, 23910, '0', NULL),
(5, 23910, '', NULL),
(8, 23910, '1519686000', NULL),
(3, 24769, '2', NULL),
(11, 24117, '', NULL),
(2, 24117, 'Task', NULL),
(4, 24117, '', NULL),
(1, 24117, '2', NULL),
(6, 24117, '', NULL),
(7, 24117, '0', NULL),
(5, 24117, '', NULL),
(8, 24117, '', NULL),
(8, 25321, '', NULL),
(5, 25321, '', NULL),
(7, 25154, '0.5', NULL),
(7, 25321, '0', NULL),
(6, 25321, '', NULL),
(1, 25321, '2', NULL),
(4, 25321, 'R82444444', NULL),
(2, 25321, 'Bug', NULL),
(7, 22946, '0', NULL),
(5, 22946, '', NULL),
(2, 24749, 'Bug', NULL),
(1, 24749, '0.5', NULL),
(4, 24749, 'R82466158', NULL),
(2, 24748, 'Bug', NULL),
(1, 24748, '0.5', NULL),
(4, 24748, 'R82462462', NULL),
(2, 24747, 'Bug', NULL),
(1, 24747, '0.5', NULL),
(4, 24747, 'R82450912', NULL),
(4, 24169, 'R82451605', NULL),
(1, 24169, '0.5', NULL),
(2, 24169, 'Bug', NULL),
(4, 24170, 'R82451836', NULL),
(1, 24170, '0.5', NULL),
(2, 24170, 'Bug', NULL),
(4, 24172, 'R82452067', NULL),
(1, 24172, '0.5', NULL),
(2, 24172, 'Bug', NULL),
(7, 24169, '0', NULL),
(7, 23784, '0', NULL),
(8, 23784, '', NULL),
(8, 23421, '', NULL),
(7, 23434, '0', NULL),
(8, 23434, '', NULL),
(3, 23421, '', NULL),
(6, 23421, '', NULL),
(11, 24175, 'Recette', NULL),
(2, 24175, 'Bug', NULL),
(4, 24175, 'R82452298', NULL),
(3, 24175, '', NULL),
(1, 24175, '0.5', NULL),
(6, 24175, '', NULL),
(7, 24175, '0', NULL),
(5, 24175, '', NULL),
(8, 24175, '', NULL),
(11, 24176, 'Recette', NULL),
(2, 24176, 'Bug', NULL),
(4, 24176, 'R82452529', NULL),
(3, 24176, '', NULL),
(1, 24176, '0.5', NULL),
(6, 24176, '', NULL),
(7, 24176, '0', NULL),
(5, 24176, '', NULL),
(8, 24176, '', NULL),
(11, 24177, 'Recette', NULL),
(2, 24177, 'Bug', NULL),
(4, 24177, 'R82452760', NULL),
(3, 24177, '', NULL),
(1, 24177, '0.5', NULL),
(6, 24177, '', NULL);
INSERT INTO `mantis_custom_field_string_table` (`field_id`, `bug_id`, `value`, `text`) VALUES
(7, 24177, '0', NULL),
(5, 24177, '', NULL),
(8, 24177, '', NULL),
(11, 24178, 'Recette', NULL),
(2, 24178, 'Bug', NULL),
(4, 24178, 'R82452991', NULL),
(3, 24178, '', NULL),
(1, 24178, '0.5', NULL),
(6, 24178, '', NULL),
(7, 24178, '0', NULL),
(5, 24178, '', NULL),
(8, 24178, '', NULL),
(11, 24179, 'Recette', NULL),
(2, 24179, 'Bug', NULL),
(4, 24179, 'R82453222', NULL),
(3, 24179, '', NULL),
(1, 24179, '0.5', NULL),
(6, 24179, '', NULL),
(7, 24179, '0', NULL),
(5, 24179, '', NULL),
(8, 24179, '', NULL),
(7, 18114, '0', NULL),
(7, 18115, '0', NULL),
(7, 20441, '0', NULL),
(7, 24170, '0', NULL),
(4, 24239, 'R82453453', NULL),
(1, 24239, '0.5', NULL),
(2, 24239, 'Task', NULL),
(4, 24240, 'R82453684', NULL),
(1, 24240, '0.5', NULL),
(2, 24240, 'Task', NULL),
(4, 24241, 'R82453915', NULL),
(1, 24241, '0.5', NULL),
(2, 24241, 'Bug', NULL),
(4, 24242, 'R82454146', NULL),
(1, 24242, '0.5', NULL),
(2, 24242, 'Bug', NULL),
(4, 24243, 'R82454377', NULL),
(1, 24243, '0.5', NULL),
(2, 24243, 'Bug', NULL),
(4, 24244, 'R82454608', NULL),
(1, 24244, '0.5', NULL),
(2, 24244, 'Bug', NULL),
(4, 24247, 'R82454839', NULL),
(1, 24247, '0.5', NULL),
(2, 24247, 'Task', NULL),
(7, 23432, '0', NULL),
(5, 23432, '', NULL),
(7, 24172, '0', NULL),
(3, 22387, '7', NULL),
(11, 24269, 'Production', NULL),
(2, 24269, 'Bug', NULL),
(4, 24269, 'R82455070', NULL),
(3, 24269, '0', NULL),
(1, 24269, '2', NULL),
(6, 24269, '', NULL),
(7, 24269, '0', NULL),
(5, 24269, '', NULL),
(8, 24269, '', NULL),
(7, 24247, '0', NULL),
(5, 23768, '', NULL),
(5, 23771, '', NULL),
(3, 21354, '', NULL),
(4, 24279, 'R82455301', NULL),
(1, 24279, '0.5', NULL),
(2, 24279, 'Task', NULL),
(4, 24280, 'R82455532', NULL),
(1, 24280, '0.5', NULL),
(2, 24280, 'Task', NULL),
(4, 24281, 'R82455763', NULL),
(1, 24281, '0.5', NULL),
(2, 24281, 'Task', NULL),
(7, 24244, '0', NULL),
(7, 24243, '0', NULL),
(7, 23137, '0', NULL),
(7, 23288, '0', NULL),
(7, 24281, '0', NULL),
(4, 24443, 'R82455994', NULL),
(1, 24443, '0.5', NULL),
(2, 24443, 'Bug', NULL),
(4, 24444, 'R82456225', NULL),
(1, 24444, '0.5', NULL),
(2, 24444, 'Bug', NULL),
(4, 24445, 'R82456456', NULL),
(1, 24445, '0.5', NULL),
(2, 24445, 'Bug', NULL),
(4, 24446, 'R82456687', NULL),
(1, 24446, '0.5', NULL),
(2, 24446, 'Bug', NULL),
(4, 24447, 'R82456918', NULL),
(1, 24447, '0.5', NULL),
(2, 24447, 'Bug', NULL),
(4, 24448, 'R82457149', NULL),
(1, 24448, '0.5', NULL),
(2, 24448, 'Bug', NULL),
(4, 24449, 'R82457380', NULL),
(1, 24449, '0.5', NULL),
(2, 24449, 'Bug', NULL),
(4, 24450, 'R82457611', NULL),
(1, 24450, '0.5', NULL),
(2, 24450, 'Bug', NULL),
(4, 24451, 'R82457842', NULL),
(1, 24451, '0.5', NULL),
(2, 24451, 'Bug', NULL),
(4, 24452, 'R82458073', NULL),
(1, 24452, '0.5', NULL),
(2, 24452, 'Task', NULL),
(4, 24453, 'R82458304', NULL),
(1, 24453, '0.5', NULL),
(2, 24453, 'Task', NULL),
(4, 24454, 'R82458535', NULL),
(1, 24454, '0.5', NULL),
(2, 24454, 'Task', NULL),
(4, 24455, 'R82458766', NULL),
(1, 24455, '0.5', NULL),
(2, 24455, 'Task', NULL),
(4, 24456, 'R82458997', NULL),
(1, 24456, '0.5', NULL),
(2, 24456, 'Task', NULL),
(4, 24457, 'R82459228', NULL),
(1, 24457, '0.5', NULL),
(2, 24457, 'Task', NULL),
(11, 24448, '', NULL),
(3, 24448, '', NULL),
(6, 24448, '', NULL),
(7, 24448, '0', NULL),
(5, 24448, '', NULL),
(8, 24448, '', NULL),
(11, 24452, '', NULL),
(3, 24452, '3', NULL),
(6, 24452, '', NULL),
(7, 24452, '0', NULL),
(5, 24452, '1516921200', NULL),
(8, 24452, '', NULL),
(11, 24453, '', NULL),
(3, 24453, '4', NULL),
(6, 24453, '', NULL),
(7, 24453, '0', NULL),
(5, 24453, '', NULL),
(8, 24453, '', NULL),
(5, 24456, '', NULL),
(5, 24457, '', NULL),
(3, 23137, '2.5', NULL),
(3, 23138, '2.7', NULL),
(3, 23420, '', NULL),
(7, 23543, '0', NULL),
(7, 22387, '0', NULL),
(7, 24451, '0', NULL),
(7, 24447, '0', NULL),
(11, 24546, 'Recette', NULL),
(2, 24546, 'Bug', NULL),
(4, 24546, 'R82459459', NULL),
(1, 24546, '0.5', NULL),
(6, 24546, '', NULL),
(7, 24546, '0', NULL),
(5, 24546, '1511737200', NULL),
(8, 24546, '', NULL),
(7, 24450, '0', NULL),
(7, 24449, '0', NULL),
(7, 24241, '0', NULL),
(11, 24547, 'Recette', NULL),
(2, 24547, 'Bug', NULL),
(4, 24547, 'R82459690', NULL),
(1, 24547, '2', NULL),
(6, 24547, '', NULL),
(7, 24547, '0', NULL),
(5, 24547, '', NULL),
(8, 24547, '', NULL),
(7, 23289, '0', NULL),
(7, 24454, '0', NULL),
(5, 24454, '', NULL),
(7, 24455, '0', NULL),
(5, 24455, '', NULL),
(7, 23436, '0', NULL),
(7, 24279, '0', NULL),
(7, 24239, '0', NULL),
(7, 24456, '0', NULL),
(7, 24457, '0', NULL),
(4, 24561, 'R82459921', NULL),
(1, 24561, '0.5', NULL),
(2, 24561, 'Bug', NULL),
(4, 24562, 'R82460152', NULL),
(1, 24562, '0.5', NULL),
(2, 24562, 'Bug', NULL),
(4, 24563, 'R82460383', NULL),
(1, 24563, '0.5', NULL),
(2, 24563, 'Bug', NULL),
(3, 23543, '2', NULL),
(3, 23427, '8.5', NULL),
(3, 24454, '3.5', NULL),
(3, 24455, '1', NULL),
(11, 24575, '', NULL),
(2, 24575, 'Task', NULL),
(4, 24575, 'R82460614', NULL),
(3, 24575, '10.6', NULL),
(1, 24575, '8', NULL),
(6, 24575, '', NULL),
(7, 24575, '0', NULL),
(5, 24575, '', NULL),
(8, 24575, '', NULL),
(3, 22953, '0', NULL),
(6, 22953, '', NULL),
(5, 22953, '', NULL),
(8, 22953, '', NULL),
(3, 23425, '1', NULL),
(4, 24588, 'R82460845', NULL),
(1, 24588, '0.5', NULL),
(2, 24588, 'Bug', NULL),
(4, 24589, 'R82461076', NULL),
(1, 24589, '0.5', NULL),
(2, 24589, 'Bug', NULL),
(4, 24590, 'R82461307', NULL),
(1, 24590, '0.5', NULL),
(2, 24590, 'Bug', NULL),
(4, 24591, 'R82461538', NULL),
(1, 24591, '0.5', NULL),
(2, 24591, 'Task', NULL),
(4, 24592, 'R82461769', NULL),
(1, 24592, '1', NULL),
(2, 24592, 'Task', NULL),
(4, 24593, 'R82462000', NULL),
(1, 24593, '0.5', NULL),
(2, 24593, 'Task', NULL),
(4, 24594, 'R82462231', NULL),
(1, 24594, '0.5', NULL),
(2, 24594, 'Task', NULL),
(11, 24445, '', NULL),
(3, 24445, '', NULL),
(6, 24445, '', NULL),
(7, 24445, '0', NULL),
(5, 24445, '', NULL),
(8, 24445, '', NULL),
(11, 24591, '', NULL),
(3, 24591, '1', NULL),
(6, 24591, '', NULL),
(7, 24591, '0', NULL),
(5, 24591, '', NULL),
(8, 24591, '', NULL),
(11, 24592, '', NULL),
(3, 24592, '2', NULL),
(6, 24592, '', NULL),
(7, 24592, '0', NULL),
(5, 24592, '', NULL),
(8, 24592, '', NULL),
(11, 23426, '', NULL),
(6, 23426, '', NULL),
(8, 23426, '', NULL),
(7, 24240, '0', NULL),
(5, 22765, '', NULL),
(4, 24769, 'R82467313', NULL),
(2, 24768, 'Bug', NULL),
(1, 24768, '0.5', NULL),
(4, 24768, 'R82467082', NULL),
(2, 24767, 'Bug', NULL),
(1, 24767, '0.5', NULL),
(4, 24767, 'R82451143', NULL),
(5, 24593, '', NULL),
(7, 23168, '0', NULL),
(11, 25321, 'Recette', NULL),
(5, 24594, '', NULL),
(3, 23435, '2', NULL),
(3, 23436, '5', NULL),
(3, 24648, '0', NULL),
(1, 24648, '2', NULL),
(6, 24648, '', NULL),
(7, 24648, '', NULL),
(5, 24648, '', NULL),
(8, 24648, '', NULL),
(2, 24648, 'Task', NULL),
(4, 24648, '', NULL),
(7, 22383, '0', NULL),
(5, 22383, '', NULL),
(7, 24594, '0', NULL),
(7, 24593, '0', NULL),
(4, 24670, 'R82462693', NULL),
(1, 24670, '0.5', NULL),
(2, 24670, 'Task', NULL),
(5, 24670, '1518476400', NULL),
(4, 24671, 'R82462924', NULL),
(1, 24671, '0.5', NULL),
(2, 24671, 'Task', NULL),
(5, 24671, '1518476400', NULL),
(7, 24670, '0', NULL),
(7, 24671, '0', NULL),
(3, 24593, '3', NULL),
(3, 24594, '0.5', NULL),
(3, 24670, '1', NULL),
(3, 24671, '1', NULL),
(11, 24693, '', NULL),
(2, 24693, 'Bug', NULL),
(4, 24693, 'R82463155', NULL),
(3, 24693, '', NULL),
(1, 24693, '0.5', NULL),
(6, 24693, '', NULL),
(7, 24693, '0', NULL),
(5, 24693, '', NULL),
(8, 24693, '', NULL),
(4, 24696, 'R82463386', NULL),
(1, 24696, '0.5', NULL),
(2, 24696, 'Bug', NULL),
(4, 24697, 'R82463617', NULL),
(1, 24697, '0.5', NULL),
(2, 24697, 'Bug', NULL),
(4, 24698, 'R82463848', NULL),
(1, 24698, '0.5', NULL),
(2, 24698, 'Bug', NULL),
(4, 24699, 'R82464079', NULL),
(1, 24699, '0.5', NULL),
(2, 24699, 'Bug', NULL),
(4, 24700, 'R82464310', NULL),
(1, 24700, '0.5', NULL),
(2, 24700, 'Bug', NULL),
(4, 24701, 'R82464541', NULL),
(1, 24701, '0.5', NULL),
(2, 24701, 'Bug', NULL),
(7, 24739, '0', NULL),
(7, 24737, '0', NULL),
(7, 24738, '0', NULL),
(3, 23289, '3', NULL),
(3, 23288, '1', NULL),
(5, 23288, '', NULL),
(7, 24589, '0', NULL),
(11, 24707, 'Recette', NULL),
(2, 24707, 'Bug', NULL),
(4, 24707, 'R82464772', NULL),
(1, 24707, '2', NULL),
(6, 24707, '', NULL),
(7, 24707, '0', NULL),
(5, 24707, '', NULL),
(8, 24707, '', NULL),
(4, 24737, 'R82465003', NULL),
(1, 24737, '0.5', NULL),
(2, 24737, 'Bug', NULL),
(4, 24738, 'R82465234', NULL),
(1, 24738, '0.5', NULL),
(2, 24738, 'Bug', NULL),
(4, 24739, 'R82465465', NULL),
(1, 24739, '0.5', NULL),
(2, 24739, 'Bug', NULL),
(4, 24740, 'R82465696', NULL),
(1, 24740, '0.5', NULL),
(2, 24740, 'Bug', NULL),
(4, 24741, 'R82465927', NULL),
(1, 24741, '0.5', NULL),
(2, 24741, 'Bug', NULL),
(5, 24741, '', NULL),
(11, 24753, 'Recette', NULL),
(2, 24753, 'Bug', NULL),
(4, 24753, 'R82466389', NULL),
(3, 24753, '', NULL),
(1, 24753, '0.5', NULL),
(6, 24753, '', NULL),
(7, 24753, '0', NULL),
(5, 24753, '', NULL),
(8, 24753, '', NULL),
(11, 24754, 'Recette', NULL),
(2, 24754, 'Bug', NULL),
(4, 24754, 'R82466620', NULL),
(3, 24754, '', NULL),
(1, 24754, '0.5', NULL),
(6, 24754, '', NULL),
(7, 24754, '0', NULL),
(5, 24754, '', NULL),
(8, 24754, '', NULL),
(7, 24740, '0', NULL),
(1, 24769, '0.5', NULL),
(2, 24769, 'Task', NULL),
(4, 24770, 'R82467544', NULL),
(1, 24770, '0.5', NULL),
(2, 24770, 'Task', NULL),
(4, 24771, 'R82467775', NULL),
(1, 24771, '0.5', NULL),
(2, 24771, 'Task', NULL),
(4, 24772, 'R82468006', NULL),
(1, 24772, '0.5', NULL),
(2, 24772, 'Task', NULL),
(3, 24767, '0', NULL),
(7, 24767, '0', NULL),
(4, 24797, 'R82468237', NULL),
(1, 24797, '0.5', NULL),
(2, 24797, 'Bug', NULL),
(4, 24798, 'R82468468', NULL),
(1, 24798, '0.5', NULL),
(2, 24798, 'Bug', NULL),
(7, 24699, '0', NULL),
(7, 24741, '0', NULL),
(7, 24748, '0', NULL),
(7, 24749, '0', NULL),
(7, 24768, '0', NULL),
(11, 24838, '', NULL),
(2, 24838, 'Task', NULL),
(4, 24838, 'R82466851', NULL),
(3, 24838, '1', NULL),
(1, 24838, '8', NULL),
(6, 24838, '', NULL),
(7, 24838, '1.5', NULL),
(5, 24838, '', NULL),
(8, 24838, '', NULL),
(11, 24843, '', NULL),
(2, 24843, 'Task', NULL),
(4, 24843, 'R82468699', NULL),
(1, 24843, '2', NULL),
(6, 24843, '', NULL),
(7, 24843, '0', NULL),
(5, 24843, '', NULL),
(8, 24843, '', NULL),
(7, 24797, '0', NULL),
(7, 24798, '0', NULL),
(7, 24747, '0', NULL),
(11, 24877, 'Recette', NULL),
(2, 24877, 'Bug', NULL),
(4, 24877, 'R82468930', NULL),
(3, 24877, '', NULL),
(1, 24877, '0.5', NULL),
(6, 24877, '', NULL),
(7, 24877, '0', NULL),
(5, 24877, '', NULL),
(8, 24877, '', NULL),
(11, 24878, 'Recette', NULL),
(2, 24878, 'Bug', NULL),
(4, 24878, 'R82469161', NULL),
(3, 24878, '', NULL),
(1, 24878, '0.5', NULL),
(6, 24878, '', NULL),
(7, 24878, '0', NULL),
(5, 24878, '', NULL),
(8, 24878, '', NULL),
(7, 24242, '0', NULL),
(4, 24890, 'R82469392', NULL),
(1, 24890, '0.5', NULL),
(2, 24890, 'Bug', NULL),
(4, 24891, 'R82469623', NULL),
(1, 24891, '0.5', NULL),
(2, 24891, 'Bug', NULL),
(7, 24891, '0', NULL),
(4, 24909, 'R82469854', NULL),
(1, 24909, '0.5', NULL),
(2, 24909, 'Bug', NULL),
(4, 24910, 'R82470085', NULL),
(1, 24910, '0.5', NULL),
(2, 24910, 'Bug', NULL),
(4, 24911, 'R82470316', NULL),
(1, 24911, '0.5', NULL),
(2, 24911, 'Bug', NULL),
(7, 24446, '0', NULL),
(7, 24769, '0', NULL),
(7, 24909, '0', NULL),
(7, 24563, '0', NULL),
(11, 24963, 'Recette', NULL),
(2, 24963, 'Bug', NULL),
(4, 24963, 'R82470547', NULL),
(3, 24963, '', NULL),
(1, 24963, '0.5', NULL),
(6, 24963, '', NULL),
(7, 24963, '0', NULL),
(5, 24963, '', NULL),
(8, 24963, '', NULL),
(7, 23780, '0', NULL),
(7, 24444, '0', NULL),
(7, 24910, '0', NULL),
(7, 24911, '0', NULL),
(7, 24890, '0', NULL),
(11, 24996, 'Recette', NULL),
(2, 24996, 'Bug', NULL),
(4, 24996, 'R82470778', NULL),
(3, 24996, '', NULL),
(1, 24996, '0.5', NULL),
(6, 24996, '', NULL),
(7, 24996, '0', NULL),
(5, 24996, '', NULL),
(8, 24996, '', NULL),
(7, 24770, '0', NULL),
(4, 24997, 'R82471009', NULL),
(1, 24997, '0.5', NULL),
(2, 24997, 'Bug', NULL),
(4, 24998, 'R82471240', NULL),
(1, 24998, '0.5', NULL),
(2, 24998, 'Bug', NULL),
(11, 24997, 'Production', NULL),
(3, 24997, '', NULL),
(6, 24997, '', NULL),
(7, 24997, '', NULL),
(5, 24997, '', NULL),
(8, 24997, '', NULL),
(11, 24998, 'Production', NULL),
(3, 24998, '', NULL),
(6, 24998, '', NULL),
(7, 24998, '', NULL),
(5, 24998, '', NULL),
(8, 24998, '', NULL),
(4, 25004, 'R82471471', NULL),
(1, 25004, '0.5', NULL),
(2, 25004, 'Bug', NULL),
(4, 25005, 'R82471702', NULL),
(1, 25005, '0.5', NULL),
(2, 25005, 'Bug', NULL),
(4, 25006, 'R82471933', NULL),
(1, 25006, '0.5', NULL),
(2, 25006, 'Bug', NULL),
(4, 25007, 'R82472164', NULL),
(1, 25007, '0.5', NULL),
(2, 25007, 'Bug', NULL),
(4, 25008, 'R82472395', NULL),
(1, 25008, '0.5', NULL),
(2, 25008, 'Bug', NULL),
(11, 24767, '', NULL),
(6, 24767, '', NULL),
(5, 24767, '', NULL),
(8, 24767, '', NULL),
(11, 24741, '', NULL),
(3, 24741, '', NULL),
(6, 24741, '', NULL),
(8, 24741, '', NULL),
(7, 25006, '0', NULL),
(7, 24698, '0', NULL),
(4, 25043, 'R82472626', NULL),
(1, 25043, '0.5', NULL),
(2, 25043, 'Bug', NULL),
(4, 25044, 'R82472857', NULL),
(1, 25044, '0.5', NULL),
(2, 25044, 'Bug', NULL),
(7, 23428, '0', NULL),
(7, 25008, '0.5', NULL),
(7, 25005, '0.25', NULL),
(7, 25044, '0', NULL),
(11, 25123, 'Recette', NULL),
(2, 25123, 'Bug', NULL),
(4, 25123, 'R82473088', NULL),
(1, 25123, '1', NULL),
(6, 25123, '', NULL),
(7, 25123, '0', NULL),
(5, 25123, '', NULL),
(8, 25123, '', NULL),
(7, 25043, '0', NULL),
(7, 24588, '0', NULL),
(5, 24588, '', NULL),
(7, 24590, '0', NULL),
(5, 24590, '', NULL),
(7, 24561, '0', NULL),
(4, 25153, 'R82473319', NULL),
(1, 25153, '0.5', NULL),
(2, 25153, 'Bug', NULL),
(4, 25154, 'R82473550', NULL),
(1, 25154, '0.5', NULL),
(2, 25154, 'Bug', NULL),
(4, 25155, 'R82473781', NULL),
(1, 25155, '0.5', NULL),
(2, 25155, 'Task', NULL),
(11, 24696, '', NULL),
(3, 24696, '', NULL),
(6, 24696, '', NULL),
(7, 24696, '0', NULL),
(5, 24696, '', NULL),
(8, 24696, '', NULL),
(11, 24701, '', NULL),
(3, 24701, '', NULL),
(6, 24701, '', NULL),
(7, 24701, '0', NULL),
(5, 24701, '', NULL),
(8, 24701, '', NULL),
(11, 25190, 'Recette', NULL),
(2, 25190, 'Bug', NULL),
(4, 25190, 'R82474012', NULL),
(3, 25190, '', NULL),
(1, 25190, '0.5', NULL),
(6, 25190, '', NULL),
(7, 25190, '0', NULL),
(5, 25190, '', NULL),
(8, 25190, '', NULL),
(7, 25004, '0', NULL),
(7, 25443, '', NULL),
(6, 25443, '', NULL),
(1, 25443, '2', NULL),
(3, 25443, '0', NULL),
(4, 25443, 'R82475398', NULL),
(2, 25443, 'Task', NULL),
(11, 25443, '', NULL),
(11, 25240, 'Recette', NULL),
(2, 25240, 'Bug', NULL),
(4, 25240, 'R82474243', NULL),
(3, 25240, '0', NULL),
(1, 25240, '0.5', NULL),
(6, 25240, '', NULL),
(7, 25240, '0', NULL),
(5, 25240, '', NULL),
(8, 25240, '', NULL),
(4, 25267, 'R82474474', NULL),
(1, 25267, '0.5', NULL),
(2, 25267, 'Bug', NULL),
(4, 25268, 'R82474705', NULL),
(1, 25268, '0.5', NULL),
(2, 25268, 'Bug', NULL),
(11, 25155, '', NULL),
(3, 25155, '2', NULL),
(6, 25155, '', NULL),
(7, 25155, '', NULL),
(5, 25155, '', NULL),
(8, 25155, '', NULL),
(11, 25354, 'Recette', NULL),
(2, 25354, 'Bug', NULL),
(4, 25354, 'R82474936', NULL),
(1, 25354, '0.5', NULL),
(6, 25354, '', NULL),
(7, 25354, '0', NULL),
(5, 25354, '', NULL),
(8, 25354, '', NULL),
(7, 24443, '0', NULL),
(3, 24770, '2', NULL),
(11, 24890, '', NULL),
(3, 24890, '', NULL),
(6, 24890, '', NULL),
(5, 24890, '', NULL),
(8, 24890, '', NULL),
(11, 25437, 'Recette', NULL),
(2, 25437, 'Bug', NULL),
(4, 25437, 'R82475167', NULL),
(3, 25437, '0', NULL),
(1, 25437, '0.5', NULL),
(6, 25437, '', NULL),
(7, 25437, '1.5', NULL),
(5, 25437, '', NULL),
(8, 25437, '', NULL),
(5, 25443, '', NULL),
(8, 25443, '', NULL),
(7, 25267, '1', NULL),
(4, 25544, 'R82475860', NULL),
(1, 25544, '0.5', NULL),
(2, 25544, 'Task', NULL),
(4, 25545, 'R82476091', NULL),
(1, 25545, '0.5', NULL),
(2, 25545, 'Task', NULL),
(4, 25546, 'R82476322', NULL),
(1, 25546, '0.5', NULL),
(2, 25546, 'Task', NULL),
(4, 25547, 'R82476553', NULL),
(1, 25547, '0.5', NULL),
(2, 25547, 'Task', NULL),
(4, 25548, 'R82476784', NULL),
(1, 25548, '0.5', NULL),
(2, 25548, 'Bug', NULL),
(4, 25549, 'R82477015', NULL),
(1, 25549, '0.5', NULL),
(2, 25549, 'Bug', NULL),
(7, 25546, '0.5', NULL),
(3, 25559, '', NULL),
(8, 25559, '', NULL),
(4, 25559, 'R82475629', NULL),
(2, 25559, 'Bug', NULL),
(11, 25559, 'Recette', NULL),
(5, 25559, '', NULL),
(7, 25559, '0', NULL),
(6, 25559, '', NULL),
(1, 25559, '0.5', NULL),
(11, 25573, 'Recette', NULL),
(2, 25573, 'Bug', NULL),
(4, 25573, 'R82477246', NULL),
(1, 25573, '2', NULL),
(6, 25573, '', NULL),
(7, 25573, '0', NULL),
(5, 25573, '', NULL),
(8, 25573, '', NULL),
(7, 25549, '0', NULL),
(7, 25548, '1', NULL),
(4, 25579, 'R82477477', NULL),
(1, 25579, '0.5', NULL),
(2, 25579, 'Task', NULL),
(4, 25580, 'R82477708', NULL),
(1, 25580, '0.5', NULL),
(2, 25580, 'Task', NULL),
(4, 25581, 'R82477939', NULL),
(1, 25581, '0.5', NULL),
(2, 25581, 'Task', NULL),
(4, 25582, 'R82478170', NULL),
(1, 25582, '0.5', NULL),
(2, 25582, 'Task', NULL);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_custom_field_table`
--

DROP TABLE IF EXISTS `mantis_custom_field_table`;
CREATE TABLE `mantis_custom_field_table` (
  `id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL DEFAULT '',
  `type` smallint(6) NOT NULL DEFAULT 0,
  `possible_values` text NOT NULL,
  `default_value` varchar(255) NOT NULL DEFAULT '',
  `valid_regexp` varchar(255) NOT NULL DEFAULT '',
  `access_level_r` smallint(6) NOT NULL DEFAULT 0,
  `access_level_rw` smallint(6) NOT NULL DEFAULT 0,
  `length_min` int(11) NOT NULL DEFAULT 0,
  `length_max` int(11) NOT NULL DEFAULT 0,
  `require_report` tinyint(4) NOT NULL DEFAULT 0,
  `require_update` tinyint(4) NOT NULL DEFAULT 0,
  `display_report` tinyint(4) NOT NULL DEFAULT 0,
  `display_update` tinyint(4) NOT NULL DEFAULT 1,
  `require_resolved` tinyint(4) NOT NULL DEFAULT 0,
  `display_resolved` tinyint(4) NOT NULL DEFAULT 0,
  `display_closed` tinyint(4) NOT NULL DEFAULT 0,
  `require_closed` tinyint(4) NOT NULL DEFAULT 0,
  `filter_by` tinyint(4) NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_custom_field_table`
--

INSERT INTO `mantis_custom_field_table` (`id`, `name`, `type`, `possible_values`, `default_value`, `valid_regexp`, `access_level_r`, `access_level_rw`, `length_min`, `length_max`, `require_report`, `require_update`, `display_report`, `display_update`, `require_resolved`, `display_resolved`, `display_closed`, `require_closed`, `filter_by`) VALUES
(1, 'CodevTT_ChargeInit', 2, '', '2', '', 10, 25, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 1),
(2, 'CodevTT_Type', 6, 'Bug|Task', '', '', 10, 25, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 1),
(3, 'CodevTT_ChargeMgr', 2, '', '0', '', 70, 70, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1),
(4, 'Ref. Externe', 0, '', '', '', 10, 25, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1),
(5, 'CodevTT_Dead Line', 8, '', '', '', 10, 25, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1),
(6, 'CodevTT_Charge Additionnelle', 2, '', '', '', 10, 25, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1),
(7, 'CodevTT_RAF', 2, '', '', '', 10, 25, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 1),
(8, 'CodevTT_Date Livraison', 8, '', '', '', 10, 25, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 1),
(12, 'FDJ_ChargeInit_UO', 2, '', '', '', 55, 55, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1),
(11, 'RSI_Type_Ano', 6, '|Production|Recette', '', '', 10, 55, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1),
(13, 'CNAF_Type', 6, '|Maj_CDR|Maj_SFD|Conf_SFD|PB_CAFPRO|Evolution|Env_Tech|Resp_ISU', '', '', 25, 55, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 1),
(14, 'Numéro Exigence', 0, '', '', '', 10, 55, 0, 25, 0, 0, 0, 1, 0, 0, 0, 0, 1),
(15, 'CNAF_Module', 6, '|PCA-Dialogue|PCA-Attestation|PCA-Synthèse|PCA-Droit|PCA-Dossier|PCA-Logement|PCA-Paiement|PCA-Courrier|PCA-Créance|PCA-Adresse|PCA-Aide en Ligne|PCA-Allocataire|PCA-Famille|PCA-QFCNAF|PCA-Ressources|PCA-RSA|PCA-TDBx|PCA-Maladie_Maternite_Affiliation|PCA-CMU_RSA|PCA-CMU_Ressources|PCA-Autres|PHA-Caf|PHA-Agent|PHA-Convention|PHA-Service|PHA-Groupe|PHA-OrganismePartenaire|PHA-TypePartenaire|PHA-Partenaire|PHA-TDBx|PHA-Autres', '', '', 10, 55, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1),
(17, 'Date Validation', 8, '', '', '', 70, 70, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1),
(18, 'Info COMIP', 3, 'N/A|Oui|Non', '', '', 10, 10, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1),
(19, 'FDJ_Appli', 3, 'ADOBE|BINGO|Calypso|Centura|CIRCE|CSAM|Digishop PSEL|EGIDE|ELPHE|ETL CLIENT|ETL COMMERCIAL|ETL REFERENTIEL|GDS|IIB|IIS|INFOCENTRE|MAG|Odyssee|PORTO CSAM MEIBO|RAM.003 Gestion des incidents|RAM.004 Gestion des problèmes et maintenance corrective|RAM.006 Gestion des applications (MCO)|SAFER GAME|SAGA|SAP BI4|SID CLIENT|SID COMMERCIAL|SID REFERENTIEL|STIM|Teradata 15|ZEUKI', '', '', 55, 55, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1),
(20, 'Demandeur', 0, '', '', '', 10, 10, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1),
(21, 'CodevTT_DailyPrice', 2, '', '0', '', 70, 70, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 1);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_email_table`
--

DROP TABLE IF EXISTS `mantis_email_table`;
CREATE TABLE `mantis_email_table` (
  `email_id` int(10) UNSIGNED NOT NULL,
  `email` varchar(64) NOT NULL DEFAULT '',
  `subject` varchar(250) NOT NULL DEFAULT '',
  `metadata` longtext NOT NULL,
  `body` longtext NOT NULL,
  `submitted` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_filters_table`
--

DROP TABLE IF EXISTS `mantis_filters_table`;
CREATE TABLE `mantis_filters_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `project_id` int(11) NOT NULL DEFAULT 0,
  `is_public` tinyint(4) DEFAULT NULL,
  `name` varchar(64) NOT NULL DEFAULT '',
  `filter_string` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_filters_table`
--

INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(1, 2, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"ACOSS_DITS_NAIA\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"project_id,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":8,\"start_day\":1,\"start_year\":2017,\"end_month\":8,\"end_day\":10,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":8,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":8,\"last_updated_end_day\":10,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(2, 2, -2, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2013,\"end_month\":3,\"end_day\":13,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(3, 2, -1, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2013,\"end_month\":4,\"end_day\":5,\"end_year\":2013,\"search\":\"\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(4, 2, -5, 0, '', 'v8#{\"_source_query_id\":4,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":2,\"start_day\":1,\"start_year\":2013,\"end_month\":2,\"end_day\":19,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"4\":[\"0\"],\"2\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(5, 1, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2014,\"end_month\":3,\"end_day\":18,\"end_year\":2014,\"search\":\"maladie\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(6, 1, -2, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":2,\"start_day\":1,\"start_year\":2013,\"end_month\":2,\"end_day\":19,\"end_year\":2013,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"4\":[\"0\"],\"2\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(7, 1, -1, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":2,\"start_day\":1,\"start_year\":2013,\"end_month\":2,\"end_day\":19,\"end_year\":2013,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"4\":[\"0\"],\"2\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(8, 6, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":10,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(9, 5, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[5],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2013,\"end_month\":3,\"end_day\":15,\"end_year\":2013,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(10, 14, -6, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[14],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2013,\"end_month\":10,\"end_day\":22,\"end_year\":2013,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(11, 14, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2013,\"end_month\":10,\"end_day\":10,\"end_year\":2013,\"search\":\"533\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(12, 2, -7, 0, '', 'v8#{\"_source_query_id\":12,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2013,\"end_month\":3,\"end_day\":13,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(13, 8, -1, 0, '', 'v8#{\"_source_query_id\":13,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2013,\"end_month\":3,\"end_day\":13,\"end_year\":2013,\"search\":\"\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":1,\"note_user_id\":[0],\"match_type\":0}'),
(14, 6, -1, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2013,\"end_month\":5,\"end_day\":13,\"end_year\":2013,\"search\":\"700\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(15, 6, -2, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2013,\"end_month\":5,\"end_day\":13,\"end_year\":2013,\"search\":\"700\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(16, 5, -2, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"off\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":4,\"start_day\":1,\"start_year\":2013,\"end_month\":4,\"end_day\":12,\"end_year\":2013,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[5],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(17, 3, 0, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2013,\"end_month\":5,\"end_day\":16,\"end_year\":2013,\"search\":\"738\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(18, 3, -2, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"id\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2013,\"end_month\":5,\"end_day\":14,\"end_year\":2013,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(19, 3, -1, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"id\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2013,\"end_month\":5,\"end_day\":14,\"end_year\":2013,\"search\":\"738\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(20, 5, -1, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"off\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":4,\"start_day\":1,\"start_year\":2013,\"end_month\":4,\"end_day\":4,\"end_year\":2013,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[5],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(21, 11, -6, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2014,\"end_month\":2,\"end_day\":4,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(25, 2, -3, 0, '', 'v9#{\"_source_query_id\":25,\"_version\":\"v9\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2013,\"end_month\":4,\"end_day\":18,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"],\"13\":[\"0\"],\"12\":[\"0\"],\"11\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"sticky\":true,\"filter_by_date\":false,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0]}'),
(24, 3, -5, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2013,\"end_month\":4,\"end_day\":16,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(26, 2, -10, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2013,\"end_month\":5,\"end_day\":17,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(27, 6, -10, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":7,\"start_day\":1,\"start_year\":2013,\"end_month\":7,\"end_day\":11,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(28, 13, -6, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2013,\"end_month\":12,\"end_day\":13,\"end_year\":2013,\"search\":\"deee\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(29, 6, -3, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2013,\"end_month\":5,\"end_day\":17,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(30, 26, -12, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[26],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2013,\"end_month\":7,\"end_day\":10,\"end_year\":2013,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(31, 15, 0, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":true,\"sort\":\"id\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":\"10\",\"start_day\":1,\"start_year\":\"2013\",\"end_month\":\"10\",\"end_day\":\"02\",\"end_year\":\"2013\",\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(32, 9, -10, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":8,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(34, 24, -10, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":8,\"start_day\":1,\"start_year\":2013,\"end_month\":8,\"end_day\":5,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(33, 15, -6, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":true,\"sort\":\"id\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":\"07\",\"start_day\":1,\"start_year\":\"2013\",\"end_month\":\"07\",\"end_day\":\"05\",\"end_year\":\"2013\",\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(35, 9, -12, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"id\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":9,\"start_day\":1,\"start_year\":2013,\"end_month\":9,\"end_day\":4,\"end_year\":2013,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(36, 1, -12, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":11,\"start_day\":1,\"start_year\":2013,\"end_month\":11,\"end_day\":12,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(37, 1, -14, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":11,\"start_day\":1,\"start_year\":2013,\"end_month\":11,\"end_day\":12,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(38, 25, -17, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":12,\"start_day\":1,\"start_year\":2013,\"end_month\":12,\"end_day\":6,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(39, 1, -20, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2014,\"end_month\":3,\"end_day\":15,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(40, 6, -19, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2014,\"end_month\":2,\"end_day\":24,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"Bug\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(41, 9, -19, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":5,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"Lot 1\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\",\"FilterBugList_list\":null}'),
(47, 2, -20, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2014,\"end_month\":1,\"end_day\":24,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(42, 11, 6, 0, 'Standard AMO', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2013,\"end_month\":12,\"end_day\":3,\"end_year\":2013,\"search\":\"\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(43, 9, 0, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":29,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[-1],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\",\"FilterBugList_list\":null}'),
(44, 28, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2015,\"end_month\":1,\"end_day\":14,\"end_year\":2015,\"search\":\"69218\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(45, 28, -19, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":12,\"start_day\":1,\"start_year\":2013,\"end_month\":12,\"end_day\":16,\"end_year\":2013,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(46, 27, -19, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2014,\"end_month\":1,\"end_day\":10,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(49, 3, -19, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":8,\"start_day\":1,\"start_year\":2014,\"end_month\":8,\"end_day\":7,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(52, 1, -26, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2014,\"end_month\":3,\"end_day\":20,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(50, 1, -24, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2014,\"end_month\":2,\"end_day\":13,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(48, 25, -19, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2014,\"end_month\":1,\"end_day\":31,\"end_year\":2014,\"search\":\"794\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(51, 24, -19, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":2,\"start_day\":1,\"start_year\":2014,\"end_month\":2,\"end_day\":19,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"Bug\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(53, 37, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":5,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":5,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(54, 40, -23, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-2],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2014,\"end_month\":6,\"end_day\":13,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(55, 1, -28, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2014,\"end_month\":4,\"end_day\":16,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(56, 1, -30, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2014,\"end_month\":4,\"end_day\":16,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(57, 39, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(58, 9, -29, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-1],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":29,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"Lot 1\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(72, 75, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[10],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-2],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":7,\"start_day\":1,\"start_year\":2014,\"end_month\":7,\"end_day\":25,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(59, 5, -29, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":8,\"start_day\":1,\"start_year\":2014,\"end_month\":8,\"end_day\":7,\"end_year\":2014,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(60, 56, -29, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2014,\"end_month\":4,\"end_day\":30,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(62, 46, -26, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2014,\"end_month\":5,\"end_day\":12,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(61, 3, -29, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2014,\"end_month\":7,\"end_day\":30,\"end_year\":2014,\"search\":\"\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"MCO V2\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(63, 61, -21, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":11,\"start_day\":1,\"start_year\":2014,\"end_month\":11,\"end_day\":6,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(64, 2, -37, 0, '', 'v9#{\"_source_query_id\":64,\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2014,\"end_month\":5,\"end_day\":20,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"],\"10\":[\"0\"],\"11\":[\"0\"],\"12\":[0]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":\"on\",\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(256, 2, -96, 0, '', 'v9#{\"_source_query_id\":256,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":24,\"end_year\":2016,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"],\"15\":[\"0\"],\"13\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"01\",\"last_updated_end_month\":\"01\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"17\",\"last_updated_start_year\":\"2018\",\"last_updated_end_year\":\"2018\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(65, 62, -34, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2014,\"end_month\":5,\"end_day\":23,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(66, 2, -38, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2014,\"end_month\":7,\"end_day\":3,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(67, 2, -40, 0, '', 'v8#{\"_source_query_id\":67,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":1,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(68, 2, -44, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":7,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":68}'),
(69, 76, -39, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"category_id\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2014,\"end_month\":7,\"end_day\":4,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(70, 63, -36, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2014,\"end_month\":7,\"end_day\":15,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(71, 9, -30, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":7,\"start_day\":1,\"start_year\":2014,\"end_month\":7,\"end_day\":24,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(73, 46, -25, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"tdb\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(74, 78, -39, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":\"12\",\"start_day\":1,\"start_year\":\"2014\",\"end_month\":\"12\",\"end_day\":\"09\",\"end_year\":\"2014\",\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(75, 81, -49, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[81],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2014,\"end_month\":9,\"end_day\":3,\"end_year\":2014,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(76, 81, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[81],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":5,\"end_year\":2016,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(94, 73, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[73],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":17,\"end_year\":2015,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(77, 41, -23, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":16,\"end_year\":2016,\"search\":\"REFONTE\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(78, 88, -45, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":8,\"start_day\":1,\"start_year\":2017,\"end_month\":8,\"end_day\":21,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":8,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":8,\"last_updated_end_day\":21,\"last_updated_end_year\":2017,\"search\":\"1413\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"RCU v1.0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(79, 26, -25, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2014,\"end_month\":9,\"end_day\":5,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(80, 13, -23, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2014,\"end_month\":10,\"end_day\":28,\"end_year\":2014,\"search\":\"TF\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(81, 64, -51, 0, '', 'v8#{\"_source_query_id\":81,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2014,\"end_month\":9,\"end_day\":15,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(82, 2, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[2],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"20\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":82}'),
(253, 54, -32, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":18,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(102, 108, -50, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":1,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":101}'),
(83, 2, -45, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":10,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":10,\"last_updated_end_year\":2017,\"search\":\"43781\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"17\":[\"0\"],\"18\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":83}'),
(90, 81, -47, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[81],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":30,\"end_year\":2016,\"search\":\"\",\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":false}'),
(267, 235, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[234],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":30,\"end_year\":2016,\"search\":\"PBA-SP2\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(84, 2, -30, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":21,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(100, 53, -39, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":11,\"start_day\":1,\"start_year\":2014,\"end_month\":11,\"end_day\":28,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"Task\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(85, 75, -39, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2015,\"end_month\":1,\"end_day\":27,\"end_year\":2015,\"search\":\"eclipse\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(86, 88, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":10,\"start_day\":1,\"start_year\":2017,\"end_month\":10,\"end_day\":16,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":10,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":10,\"last_updated_end_day\":16,\"last_updated_end_year\":2017,\"search\":\"45166\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(87, 72, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"45775\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(299, 256, -130, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(257, 2, -95, 0, '', 'v9#{\"_source_query_id\":257,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":3,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(88, 115, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2015,\"end_month\":12,\"end_day\":9,\"end_year\":2015,\"search\":\"41507\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(89, 81, -48, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-1],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2015,\"end_month\":9,\"end_day\":25,\"end_year\":2015,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(91, 77, -39, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"severity\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2014,\"end_month\":10,\"end_day\":27,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(92, 74, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":6,\"start_day\":1,\"start_year\":2017,\"end_month\":6,\"end_day\":23,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":6,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":6,\"last_updated_end_day\":23,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"18.0_PUMA\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(268, 234, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[234],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":18,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(93, 94, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[94],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2014,\"end_month\":10,\"end_day\":31,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(96, 2, -24, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2014,\"end_month\":11,\"end_day\":25,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(95, 82, 0, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":12,\"end_year\":2016,\"search\":\"\",\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":95,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":true,\"CodevTT_command\":[\"0\"]}'),
(279, 2, -105, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":17,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(97, 121, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2014,\"end_month\":11,\"end_day\":26,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(98, 64, -50, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":1,\"start_day\":1,\"start_year\":2016,\"end_month\":1,\"end_day\":14,\"end_year\":2016,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"V3.02\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":240}'),
(198, 52, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":27,\"end_year\":2016,\"search\":\"fluxelec\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(272, 2, -81, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":9,\"start_day\":1,\"start_year\":2017,\"end_month\":9,\"end_day\":15,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":9,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":9,\"last_updated_end_day\":15,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":272}'),
(99, 124, -50, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":\"11\",\"start_day\":1,\"start_year\":\"2014\",\"end_month\":\"11\",\"end_day\":\"27\",\"end_year\":\"2014\",\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":\"\",\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"show_category\":[0],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[0],\"show_version\":[0],\"hide_status\":[90],\"fixed_in_version\":[0],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[0],\"1\":[0],\"3\":[0],\"8\":[0],\"5\":[0],\"7\":[0],\"2\":[0],\"4\":[0],\"9\":[0]}}'),
(104, 2, -63, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":3,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(101, 64, 50, 1, 'Current tasks', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":1,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"_source_query_id\":\"\"}'),
(195, 123, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[123],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2015,\"end_month\":9,\"end_day\":25,\"end_year\":2015,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(105, 88, -44, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":3,\"end_year\":2014,\"search\":\"2865\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"9\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(121, 2, -67, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":7,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":121}'),
(159, 154, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":16,\"end_year\":2015,\"search\":\"sequence\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(141, 72, 41, 1, '15.0.0', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":\"03\",\"start_day\":\"1\",\"start_year\":\"2015\",\"end_month\":\"03\",\"end_day\":\"18\",\"end_year\":\"2015\",\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":\"\",\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[0],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[0],\"show_version\":[0],\"hide_status\":[90],\"fixed_in_version\":[0],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[0],\"1\":[0],\"3\":[0],\"8\":[0],\"5\":[0],\"7\":[0],\"2\":[0],\"4\":[0]}}'),
(106, 64, -37, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":10,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\",\"FilterBugList_list\":null}'),
(107, 64, -4, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":10,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\",\"FilterBugList_list\":null}'),
(108, 82, -49, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":25,\"end_year\":2016,\"search\":\"\",\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":108,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":\"on\",\"CodevTT_command\":[\"0\"]}'),
(270, 9, -98, 0, '', 'v9#{\"_source_query_id\":270,\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"AST\",\"CMP\",\"ENVM_F\",\"ENVM_M\",\"ENVM_S\",\"ENVREC\",\"EXE_F\",\"EXE_M\",\"EXE_S\",\"General\",\"INS_1_F\",\"INS_1_M\",\"INS_1_S\",\"INS_R_F\",\"INS_R_M\",\"INS_R_S\",\"MAD_F\",\"MAD_M\",\"MAD_S\",\"OUT\",\"RED_F_F\",\"RED_F_M\",\"RED_F_S\",\"RED_M_F\",\"RED_M_M\",\"RED_M_S\",\"RED_S_F\",\"RED_S_M\",\"RED_S_S\",\"REFPAR\",\"REFTST\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":2,\"end_year\":2016,\"search\":\"JS\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(171, 113, -45, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":9,\"end_year\":2015,\"search\":\"2790\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(114, 82, 0, 1, 'SAGESS 13.1.Mar', 'v8#{\"_source_query_id\":110,\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":12,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"SAGESS 13.1.Mar\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(111, 82, -47, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":12,\"end_year\":2016,\"search\":\"\",\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":111,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":true,\"CodevTT_command\":[\"0\"]}'),
(261, 176, -65, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":30,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[176],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"_source_query_id\":\"\"}'),
(118, 82, 0, 1, 'BDU 14.1.Mar', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":12,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"BDU 14.1.Mar\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(117, 82, 0, 1, 'BDU 15.0.Oct', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2014,\"end_month\":12,\"end_day\":12,\"end_year\":2014,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"BDU 15.0.Oct\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(119, 9, -63, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2015,\"end_month\":1,\"end_day\":29,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"ARCHIMED\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(120, 93, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":12,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(148, 72, 41, 1, '15.0.0_Juillet_Anomalies', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":18,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"15.0.0_Juillet\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":\"\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"Bug\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(122, 2, -68, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":7,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(123, 2, -69, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":7,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(124, 2, -71, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":27,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(125, 2, -72, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":7,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"15\":[\"0\"],\"13\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":125,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"priority\":[0],\"sticky\":true,\"filter_by_date\":false,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"04\",\"last_updated_end_month\":\"04\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"10\",\"last_updated_start_year\":\"2017\",\"last_updated_end_year\":\"2017\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(126, 2, -73, 0, '', 'v9#{\"_source_query_id\":126,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":6,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"15\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"20\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"01\",\"last_updated_end_month\":\"01\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"16\",\"last_updated_start_year\":\"2018\",\"last_updated_end_year\":\"2018\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(127, 82, -71, 0, '', 'v8#{\"_source_query_id\":127,\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":9,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(128, 140, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":13,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(139, 134, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(129, 2, -76, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":17,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(130, 144, -48, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2015,\"end_month\":12,\"end_day\":8,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(131, 144, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_ref. externe\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":9,\"end_year\":2016,\"search\":\"42363\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(132, 136, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[147],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":1,\"end_year\":2015,\"search\":\"38786\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(133, 9, -74, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"id\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":5,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"Lot 0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(222, 198, 0, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":12,\"end_year\":2016,\"search\":\"7928\",\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":false}'),
(134, 72, -73, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2015,\"end_month\":2,\"end_day\":27,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\",\"FilterBugList_list\":null}'),
(135, 144, -49, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_ref. externe\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":9,\"end_year\":2016,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(136, 114, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[114],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":19,\"end_year\":2015,\"search\":\"\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(137, 82, -48, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":8,\"start_day\":1,\"start_year\":2015,\"end_month\":8,\"end_day\":13,\"end_year\":2015,\"search\":\"\",\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":137,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":\"on\",\"CodevTT_command\":[\"0\"]}'),
(278, 2, -100, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":13,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(138, 144, -47, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":17,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(260, 229, -96, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":25,\"end_year\":2016,\"search\":\"9807\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(140, 2, -78, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":9,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(156, 88, -72, 0, '', 'v9#{\"_source_query_id\":156,\"_version\":\"v9\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_ref. externe\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":10,\"end_year\":2015,\"search\":\"3874\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"13\":[\"0\"],\"12\":[\"0\"],\"11\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"sticky\":true,\"filter_by_date\":false,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0]}'),
(149, 88, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":8,\"start_day\":1,\"start_year\":2017,\"end_month\":8,\"end_day\":18,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":8,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":8,\"last_updated_end_day\":18,\"last_updated_end_year\":2017,\"search\":\"44060\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(269, 9, -95, 0, '', 'v9#{\"_source_query_id\":269,\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":19,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(145, 72, 41, 1, '15.0.0 Anomalies', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":18,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"15.0.0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":\"\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"Bug\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(146, 72, 41, 1, '15.0.0 Evolutions', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":18,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"15.0.0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":\"\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"Task\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(150, 116, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":24,\"end_year\":2015,\"search\":\"39141\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(151, 147, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_ref. externe\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":16,\"end_year\":2016,\"search\":\"42424\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(152, 2, -56, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[90],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":10,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":10,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(153, 151, -23, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":30,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(154, 141, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2015,\"end_month\":3,\"end_day\":30,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(155, 141, -65, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-1],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":15,\"end_year\":2016,\"search\":\"sp11\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(157, 56, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":2,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(273, 56, -94, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"id\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":2,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(158, 56, -74, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2015,\"end_month\":5,\"end_day\":13,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[22],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(160, 154, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":11,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":11,\"last_updated_end_year\":2017,\"search\":\"4965\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(161, 22, -74, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":17,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(162, 158, -41, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2016,\"end_month\":11,\"end_day\":7,\"end_year\":2016,\"search\":\"9236\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(163, 37, -23, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":15,\"end_year\":2016,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(164, 162, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":20,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(165, 37, -43, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2015,\"end_month\":11,\"end_day\":6,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(166, 159, -45, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":21,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(167, 159, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":21,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(168, 159, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2015,\"end_month\":4,\"end_day\":21,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(169, 37, -79, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":17,\"end_year\":2017,\"search\":\"16705\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(170, 37, -65, 0, '', 'v8#{\"_source_query_id\":170,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2015,\"end_month\":6,\"end_day\":4,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(175, 163, -65, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":8,\"end_year\":2016,\"search\":\"attestation\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(265, 72, -56, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":21,\"end_year\":2016,\"search\":\"42405\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(172, 113, -47, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2015,\"end_month\":5,\"end_day\":12,\"end_year\":2015,\"search\":\"2395\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(173, 113, -41, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":1,\"end_year\":2015,\"search\":\"1.5\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(174, 113, -48, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2015,\"end_month\":5,\"end_day\":12,\"end_year\":2015,\"search\":\"2728\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(177, 115, -49, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":27,\"end_year\":2016,\"search\":\"42425\",\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":true,\"CodevTT_command\":[\"0\"]}'),
(187, 158, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":21,\"end_year\":2015,\"search\":\"6058\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(176, 2, -82, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":6,\"start_day\":1,\"start_year\":2015,\"end_month\":6,\"end_day\":3,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(178, 56, -83, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2015,\"end_month\":5,\"end_day\":13,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(179, 161, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"1114\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":27,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":27,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(182, 77, -23, 0, '', 'v8#{\"_source_query_id\":182,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"severity\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2014,\"end_month\":10,\"end_day\":27,\"end_year\":2014,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[0],\"os\":[0],\"os_build\":[0],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(180, 115, -47, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":17,\"end_year\":2016,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(181, 164, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":17,\"end_year\":2016,\"search\":\"8620\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(192, 179, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[179],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":true,\"start_month\":9,\"start_day\":1,\"start_year\":2015,\"end_month\":5,\"end_day\":27,\"end_year\":2016,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":27,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(264, 146, -41, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":10,\"end_year\":2016,\"search\":\"3924\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(183, 166, -65, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":25,\"end_year\":2016,\"search\":\"\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(184, 145, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2015,\"end_month\":7,\"end_day\":10,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(185, 142, -23, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2015,\"end_month\":7,\"end_day\":15,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(186, 142, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"848\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status,summary\",\"dir\":\"ASC,ASC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":6,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":6,\"last_updated_end_year\":2017,\"search\":\"gestionnaire\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(281, 179, 65, 0, 'Bugs corrigés par moi', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[179],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":23,\"end_year\":2016,\"search\":\"bug\",\"hide_status\":[90],\"resolution\":[20],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(189, 72, 41, 1, '15.1.0', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":7,\"start_day\":1,\"start_year\":2015,\"end_month\":7,\"end_day\":28,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"15.1.0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(190, 72, 41, 0, '15.0-Nov', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":7,\"start_day\":1,\"start_year\":2015,\"end_month\":7,\"end_day\":28,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"15.0.0_Nov\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(194, 169, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":4,\"end_year\":2016,\"search\":\"9633\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(274, 130, -65, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":4,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"ref n\\u00b024\"],\"11\":[\"Recette\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(211, 24, -87, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":\"9506, 9504, 9570, 9486, 9485, 9490, 9491, 9488, 9487, 9483, 9492, 9484, 9517, 9482, 8733, 8240, 8285, 8287, 8346, 8347, 9005, 8349, 8345, 8356, 8355, 8286, 8726, 8730, 8732, 8735, 8737, 8738, 9007, 9214, 9010, 8739, 9006, 9008, 9009, 8358, 9011, 9213, 9212, 9211, 9209, 9208, 9207, 9206, 9204, 9203, 8353, 9313, 8348, 9525, 9526, 9527, 9529, 9530, 9531, 9532, 9533, 9534, 9564, 9505\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"1\",\"1\"],\"5\":[\"0\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"_source_query_id\":\"\"}'),
(191, 173, -41, 0, '', 'v8#{\"_source_query_id\":191,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":8,\"start_day\":1,\"start_year\":2015,\"end_month\":8,\"end_day\":19,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(196, 2, -88, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2015,\"end_month\":9,\"end_day\":30,\"end_year\":2015,\"search\":\"39996\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(193, 177, -41, 0, '', 'v9#{\"_source_query_id\":193,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":14,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(221, 190, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":29,\"end_year\":2016,\"search\":\"14215\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(283, 202, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[202],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":11,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":11,\"last_updated_end_year\":2017,\"search\":\"admin\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(197, 64, -3, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":2,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":197}'),
(199, 46, -85, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":5,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":199}'),
(206, 64, 50, 0, 'GALA V3.01', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":22,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"V3.01\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(200, 187, -87, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":2,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30818\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30832\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30833\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30834\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30835\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30836\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30846\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30852\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30853\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30854\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30855\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30856\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30857\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30858\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30861\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30862\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30866\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30868\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30939\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=30940\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31004\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31005\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31006\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31007\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31008\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31009\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31010\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31011\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31012\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31013\",\"http:\\/\\/ideopeage\\/mantis\\/view.php?id=31015\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(201, 187, -88, 0, '', 'v8#{\"_source_query_id\":200,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":12,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(202, 2, -89, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":12,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(203, 9, -87, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":23,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":23,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(255, 226, -95, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":\"03\",\"start_day\":\"1\",\"start_year\":\"2016\",\"end_month\":\"03\",\"end_day\":\"23\",\"end_year\":\"2016\",\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"_source_query_id\":\"\"}'),
(209, 133, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":9,\"start_day\":1,\"start_year\":2017,\"end_month\":9,\"end_day\":5,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":9,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":9,\"last_updated_end_day\":5,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(204, 84, -43, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[84],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":20,\"end_year\":2015,\"search\":\"\",\"hide_status\":[80],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(220, 163, 0, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"id\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":9,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[-2],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(259, 229, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":24,\"end_year\":2016,\"search\":\"1191\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(207, 39, -23, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"REFONTE LOT3\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":19,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":19,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(284, 9, -37, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":10,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(280, 256, -106, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":18,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(208, 77, -25, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":30,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[77],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":208}'),
(217, 151, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[163],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2015,\"end_month\":11,\"end_day\":23,\"end_year\":2015,\"search\":\"sp8-PHA\\/BUG\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(210, 157, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2015,\"end_month\":11,\"end_day\":6,\"end_year\":2015,\"search\":\"41666\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(212, 109, -41, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":20,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":false}'),
(266, 109, -56, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":15,\"end_year\":2016,\"search\":\"40496\",\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":false}'),
(213, 205, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":11,\"start_day\":1,\"start_year\":2016,\"end_month\":11,\"end_day\":25,\"end_year\":2016,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(214, 189, -87, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":22,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(215, 3, -87, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2016,\"end_month\":1,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(232, 208, -25, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":1,\"start_day\":1,\"start_year\":2016,\"end_month\":1,\"end_day\":12,\"end_year\":2016,\"search\":\"7327\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(228, 177, -45, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"custom_ref. externe\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":28,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"41167\"],\"11\":[\"0\"]},\"_source_query_id\":228}'),
(276, 118, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[118],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":11,\"end_year\":2016,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(216, 37, -85, 0, '', 'v8#{\"_source_query_id\":216,\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2015,\"end_month\":11,\"end_day\":20,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(218, 188, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":11,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(219, 188, -87, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[10,20,30,40,50,80,82],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":12,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(237, 37, -32, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":24,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(241, 200, -41, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":8,\"start_day\":1,\"start_year\":2016,\"end_month\":8,\"end_day\":25,\"end_year\":2016,\"search\":\"10748\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(223, 157, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":13,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":13,\"last_updated_end_year\":2017,\"search\":\"23563\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(258, 227, -96, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":24,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(224, 208, 0, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2015,\"end_month\":12,\"end_day\":11,\"end_year\":2015,\"search\":\"7673\",\"hide_status\":[90],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(225, 130, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[111],\"project_id\":[65],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":9,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(271, 56, -93, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"id\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":\"04\",\"start_day\":\"1\",\"start_year\":\"2016\",\"end_month\":\"04\",\"end_day\":\"27\",\"end_year\":\"2016\",\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":271}'),
(229, 33, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":23,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(226, 191, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":14,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":14,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(227, 191, -79, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":12,\"end_year\":2016,\"search\":\"0184\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(254, 2, -34, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":\"03\",\"start_day\":\"1\",\"start_year\":\"2016\",\"end_month\":\"03\",\"end_day\":\"22\",\"end_year\":\"2016\",\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"],\"11\":[\"0\"],\"13\":[0],\"12\":[0]},\"_source_query_id\":254,\"CodevTT_command\":[\"0\"]}'),
(230, 33, -87, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[80],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2015,\"end_month\":12,\"end_day\":18,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"Bug\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(231, 22, -87, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":4,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(233, 46, -32, 0, '', 'v9#{\"_source_query_id\":233,\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2015,\"end_month\":12,\"end_day\":22,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":\"off\"}'),
(282, 179, 65, 0, 'Bug open et new', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":23,\"end_year\":2016,\"search\":\"bug\",\"hide_status\":[90],\"resolution\":[10],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(234, 205, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":4,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":4,\"last_updated_end_year\":2017,\"search\":\"44440\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(235, 198, -45, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"advanced\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2016,\"end_month\":1,\"end_day\":4,\"end_year\":2016,\"search\":\"41451\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"41207\"]},\"sticky_issues\":\"on\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(236, 190, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[65],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":8,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":8,\"last_updated_end_year\":2018,\"search\":\"dialogue\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(240, 64, 50, 1, 'GALA V3.02', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":1,\"start_day\":1,\"start_year\":2016,\"end_month\":1,\"end_day\":14,\"end_year\":2016,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"V3.02\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(238, 198, -41, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[0],\"os\":[0],\"os_build\":[0],\"project_id\":[-3],\"start_month\":\"03\",\"start_day\":\"1\",\"start_year\":\"2015\",\"end_month\":\"03\",\"end_day\":\"18\",\"end_year\":\"2015\",\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":\"\",\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":141}'),
(287, 2, -65, 0, '', 'v9#{\"_source_query_id\":287,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"15\":[\"0\"],\"17\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"05\",\"last_updated_end_month\":\"05\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"04\",\"last_updated_start_year\":\"2017\",\"last_updated_end_year\":\"2017\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(286, 256, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":9,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":9,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"T1710\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(245, 2, -87, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":1,\"start_day\":1,\"start_year\":2016,\"end_month\":1,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(239, 22, -10, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":23,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(242, 109, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":15,\"end_year\":2016,\"search\":\"40496\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(244, 77, 0, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":10,\"start_day\":1,\"start_year\":2015,\"end_month\":10,\"end_day\":30,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(285, 9, -88, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":30,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(243, 111, -65, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-1],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2016,\"end_month\":1,\"end_day\":22,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(246, 82, -56, 0, '', 'v8#{\"_version\":\"v8\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky_issues\":\"on\",\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2015,\"end_month\":12,\"end_day\":1,\"end_year\":2015,\"search\":\"\",\"and_not_assigned\":false,\"do_filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"target_version\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"show_resolution\":[0],\"show_priority\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"user_monitor\":[0],\"show_profile\":[0],\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"_source_query_id\":\"\"}'),
(247, 133, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(319, 209, -45, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":14,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(248, 2, -94, 0, '', 'v9#{\"_source_query_id\":248,\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"ASC\",\"start_month\":2,\"start_day\":1,\"start_year\":2016,\"end_month\":2,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":\"on\",\"CodevTT_command\":[\"0\"]}'),
(275, 177, -72, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2015,\"end_month\":12,\"end_day\":16,\"end_year\":2015,\"search\":\"\",\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"relationship_type\":-1,\"relationship_bug\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"priority\":[0],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"filter_by_date\":false,\"sticky\":\"off\",\"CodevTT_command\":[\"0\"]}'),
(249, 2, -93, 0, '', 'v8#{\"_source_query_id\":\"\",\"_version\":\"v8\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2016,\"end_month\":3,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(250, 212, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":25,\"end_year\":2016,\"search\":\"gac\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(277, 160, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":5,\"start_day\":1,\"start_year\":2016,\"end_month\":5,\"end_day\":12,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(251, 189, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":4,\"start_day\":1,\"start_year\":2016,\"end_month\":4,\"end_day\":6,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"4\":[\"0\"],\"10\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(263, 164, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":2,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":2,\"last_updated_end_year\":2017,\"search\":\"16139\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(262, 199, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":5,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":5,\"last_updated_end_year\":2017,\"search\":\"43794\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(252, 54, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":5,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":5,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(288, 142, 0, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"advanced\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":10,\"end_year\":2016,\"search\":\"SP14\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"category_id\":[\"0\"],\"severity\":[80],\"status\":[10,20,30,40,50,80,82,85],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[10],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":288}'),
(291, 256, -144, 0, '', 'v9#{\"_source_query_id\":291,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":9,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(289, 122, -65, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[122],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":8,\"start_day\":1,\"start_year\":2016,\"end_month\":8,\"end_day\":9,\"end_year\":2016,\"search\":\"pba-sp3\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(290, 256, -105, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(354, 36, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(292, 256, -143, 0, '', 'v9#{\"_source_query_id\":292,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(293, 24, -148, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":10,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(294, 256, -141, 0, '', 'v9#{\"_source_query_id\":294,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(295, 256, -140, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(296, 256, -138, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(301, 256, -127, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(297, 256, -137, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(298, 256, -131, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(300, 256, -129, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(302, 256, -125, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(303, 256, -124, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(304, 256, -123, 0, '', 'v9#{\"_source_query_id\":304,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(305, 256, -121, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(306, 256, -120, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(307, 256, -119, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(308, 256, -118, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(309, 256, -117, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(310, 256, -115, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(311, 256, -114, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(312, 256, -113, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(313, 256, -112, 0, '', 'v9#{\"_source_query_id\":313,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(314, 256, -111, 0, '', 'v9#{\"_source_query_id\":314,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(315, 256, -110, 0, '', 'v9#{\"_source_query_id\":315,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(316, 256, -109, 0, '', 'v9#{\"_source_query_id\":316,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(317, 256, -108, 0, '', 'v9#{\"_source_query_id\":317,\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(318, 256, -107, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(320, 161, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":24,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":24,\"last_updated_end_year\":2017,\"search\":\"SP12\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(325, 25, -98, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":30,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(326, 101, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_ref. externe\",\"dir\":\"ASC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":6,\"end_year\":2017,\"search\":\"14699\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(321, 2, -152, 0, '', 'v9#{\"_source_query_id\":321,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":22,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"14\":[0]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(322, 33, -148, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"category_id\",\"dir\":\"ASC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":23,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(324, 291, -56, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[291],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(323, 285, -98, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":6,\"start_day\":1,\"start_year\":2016,\"end_month\":6,\"end_day\":28,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(331, 101, -65, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-2],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":13,\"end_year\":2016,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(327, 294, -153, 0, '', 'v9#{\"_source_query_id\":327,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(328, 294, -56, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(329, 104, -154, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(330, 104, -153, 0, '', 'v9#{\"_source_query_id\":330,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"summary\",\"dir\":\"ASC\",\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(332, 235, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":7,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":7,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(333, 234, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":24,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":24,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(334, 212, -41, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":22,\"end_year\":2016,\"search\":\"42770\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(338, 300, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status\",\"dir\":\"ASC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":19,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(335, 9, -34, 0, '', 'v9#{\"_source_query_id\":335,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":7,\"start_day\":1,\"start_year\":2016,\"end_month\":7,\"end_day\":22,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(336, 191, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":14,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":14,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(337, 88, -100, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":18,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":18,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":337}'),
(340, 308, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":18,\"end_year\":2016,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"42527\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(339, 217, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":6,\"start_day\":1,\"start_year\":2017,\"end_month\":6,\"end_day\":22,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":6,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":6,\"last_updated_end_day\":22,\"last_updated_end_year\":2017,\"search\":\"44691\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(342, 307, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":19,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":19,\"last_updated_end_year\":2017,\"search\":\"infobull\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(341, 177, -47, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"advanced\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"custom_ref. externe\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":5,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"43171\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(343, 169, -41, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":16,\"end_year\":2017,\"search\":\"44060\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(344, 298, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":4,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":4,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(345, 177, 0, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"advanced\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"custom_ref. externe\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":8,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"43311\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(346, 177, -71, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"advanced\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"custom_ref. externe\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":8,\"start_day\":1,\"start_year\":2016,\"end_month\":8,\"end_day\":30,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(352, 2, -156, 0, '', 'v9#{\"_source_query_id\":352,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":21,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"15\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"01\",\"last_updated_end_month\":\"01\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"17\",\"last_updated_start_year\":\"2018\",\"last_updated_end_year\":\"2018\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(347, 164, -81, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(348, 9, -93, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":2,\"end_year\":2016,\"search\":\"Stream Sport\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(351, 219, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":12,\"end_year\":2016,\"search\":\"12144 \",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(349, 154, -100, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":6,\"end_year\":2016,\"search\":\"43124\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(350, 143, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":6,\"end_year\":2016,\"search\":\"14141\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(386, 48, -101, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":10,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":10,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(366, 324, -153, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":12,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(353, 268, -98, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":9,\"start_day\":1,\"start_year\":2017,\"end_month\":9,\"end_day\":12,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":9,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":9,\"last_updated_end_day\":12,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(355, 202, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":29,\"end_year\":2016,\"search\":\"sp15\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"xxxxxx - nxxx\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(356, 46, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":25,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":25,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":356}'),
(357, 277, -98, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":3,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(358, 168, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[168],\"project_id\":[-3],\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":17,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":17,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(359, 2, -162, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"show_category\":[\"0\"],\"show_severity\":[0],\"show_status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":6,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"and_not_assigned\":false,\"show_resolution\":[0],\"show_build\":[\"0\"],\"show_version\":[\"0\"],\"do_filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"show_priority\":[0],\"user_monitor\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky_issues\":\"off\",\"relationship_type\":-1,\"relationship_bug\":0,\"show_profile\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"sticky\":true,\"filter_by_date\":false,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0]}'),
(360, 177, -101, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":10,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(361, 324, -161, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":10,\"start_day\":1,\"start_year\":2017,\"end_month\":10,\"end_day\":26,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":10,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":10,\"last_updated_end_day\":26,\"last_updated_end_year\":2017,\"search\":\"n242\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"vP110\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(363, 9, -3, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":10,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(362, 268, -158, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":13,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":\"14420,14421\"}'),
(364, 166, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":6,\"start_day\":1,\"start_year\":2017,\"end_month\":6,\"end_day\":7,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":6,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":6,\"last_updated_end_day\":7,\"last_updated_end_year\":2017,\"search\":\"PBA-SP9.2\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(365, 282, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":26,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":26,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(367, 335, -65, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"monitor_user_id\":[0],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"per_page\":50,\"match_type\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"profile_id\":[0],\"priority\":[0],\"note_user_id\":[0],\"sticky\":true,\"filter_by_date\":false,\"start_month\":\"03\",\"end_month\":\"03\",\"start_day\":1,\"end_day\":\"19\",\"start_year\":\"2018\",\"end_year\":\"2018\",\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"03\",\"last_updated_end_month\":\"03\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"19\",\"last_updated_start_year\":\"2018\",\"last_updated_end_year\":\"2018\",\"search\":\"\",\"view_state\":0,\"tag_string\":\"\",\"tag_select\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]}}'),
(416, 163, -169, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":18,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(406, 328, -158, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(404, 133, 0, 1, 'V 01.07.00 (RAF)', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"severity\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":28,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"target_version\":[\"Version 01.07.00\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":403}'),
(407, 328, -98, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(452, 191, 65, 1, ' Version 1.8.04 (PPS/PHA/PCA)', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":20,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":3,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"PHA\\/PCA\\/PPS.0270.010800\",\"PHA\\/PCA\\/PPS.0270.010801 (patch assemblage)\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(379, 311, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":11,\"start_day\":1,\"start_year\":2016,\"end_month\":11,\"end_day\":29,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(401, 249, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[249],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":23,\"end_year\":2016,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(380, 177, -102, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":10,\"start_day\":1,\"start_year\":2016,\"end_month\":10,\"end_day\":10,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(381, 2, -151, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":1,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(389, 279, -23, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":7,\"end_year\":2016,\"search\":\"15679\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(390, 279, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":10,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":10,\"last_updated_end_year\":2017,\"search\":\"18682\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(408, 355, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":20,\"end_year\":2017,\"search\":\"alsh\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null}'),
(458, 156, -45, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":12,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":12,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(382, 282, -34, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":9,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(383, 282, -98, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":2,\"end_year\":2016,\"search\":\"SOP\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(384, 2, -98, 0, '', 'v9#{\"_source_query_id\":384,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":5,\"end_year\":2017,\"search\":\"SOP\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"15\":[\"0\"],\"17\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"05\",\"last_updated_end_month\":\"05\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"04\",\"last_updated_start_year\":\"2017\",\"last_updated_end_year\":\"2017\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(385, 226, -98, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":2,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(387, 279, -158, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":5,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(388, 279, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":7,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null}'),
(405, 133, 0, 1, 'V 01.07.00 (ALL)', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"severity\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":28,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"Version 01.07.00\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(393, 72, 41, 0, 'toto', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":15,\"end_year\":2016,\"search\":\"43424\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":\"7657;8806;9236;9318;9099;9685;10415;10391;10738;10399;10770;13362;13044;13256;13785;14059;12311;12314;13774;8454;\",\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"1\",\"1\"],\"5\":[\"0\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(410, 226, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":13,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":\"16576\"}'),
(395, 133, -32, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":21,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":\"\",\"CodevTT_command\":[\"729\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(399, 133, 65, 1, 'Version 01.06.09', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":12,\"start_day\":1,\"start_year\":2016,\"end_month\":12,\"end_day\":21,\"end_year\":2016,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"Version 01.06.09\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(409, 12, -98, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":5,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"]}'),
(413, 193, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":9,\"start_day\":1,\"start_year\":2017,\"end_month\":9,\"end_day\":12,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":9,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":9,\"last_updated_end_day\":12,\"last_updated_end_year\":2017,\"search\":\"eden\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(474, 48, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":10,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":10,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(475, 48, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":4,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":4,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(427, 191, 65, 1, 'Support Validation PPS/PHA/PCA 2017-01', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[65],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":13,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":3,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"SUP\\/VAL\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"Version 01.06.10\",\"Version 01.06.09\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(415, 9, -167, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":10,\"start_day\":1,\"start_year\":2017,\"end_month\":10,\"end_day\":20,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":10,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":10,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(473, 168, -41, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":3,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":3,\"last_updated_end_year\":2017,\"search\":\"43955\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\",\"codevtt_command\":[\"0\"]}'),
(453, 191, 65, 1, 'Suivi du support PPS/PHA/PCA', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"category_id\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":1,\"start_day\":1,\"start_year\":2017,\"end_month\":1,\"end_day\":19,\"end_year\":2017,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"Support\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"15\":[\"0\"]},\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"03\",\"last_updated_end_month\":\"03\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"20\",\"last_updated_start_year\":\"2017\",\"last_updated_end_year\":\"2017\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(419, 360, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[360],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":6,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(420, 361, -167, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":6,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(421, 338, -43, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":23,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":23,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(422, 369, -161, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":11,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":11,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(423, 323, -161, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[323],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":17,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":3,\"last_updated_end_day\":17,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(424, 360, -167, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[360],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":12,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":12,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(425, 56, -167, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(426, 364, -167, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":13,\"end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(448, 191, 65, 1, ' 	Version 01.07.05 (patch recette) ', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":28,\"end_year\":2017,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"PXX.0270.0140705 (patch recette)\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\"}'),
(434, 355, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":11,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":11,\"last_updated_end_year\":2018,\"search\":\"1806-SP1\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(431, 133, 0, 1, 'PCA V 02.00.00 ALL', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":14,\"end_year\":2017,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0000000000000000\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\",\"filterbuglist_list\":\"\",\"codevtt_command\":[\"849\"]}'),
(433, 133, 0, 1, 'PCA V 02.00.00 RAF', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":false,\"sort\":\"last_updated\",\"dir\":\"DESC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":14,\"end_year\":2017,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[80],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0000000000000000\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\",\"filterbuglist_list\":\"\",\"codevtt_command\":[\"849\"]}'),
(437, 301, 0, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":23,\"end_year\":2017,\"search\":\"0016388\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null}'),
(436, 355, 65, 0, 'ALSH v0 SPRT1', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":20,\"end_year\":2017,\"search\":\"[ALSH] v0 SPRT1\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(440, 323, 0, 0, 'jitier', 'v9#{\"_source_query_id\":439,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":27,\"end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(445, 191, 65, 1, 'Version 2.0.0 (PCA)', 'v9#{\"_version\":\"v9\",\"_view_type\":\"advanced\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"summary\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":28,\"end_year\":2017,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"PCA.0280.0200XX\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":444,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(446, 191, 65, 1, 'Version 2.0.0 (PHA)', 'v9#{\"_version\":\"v9\",\"_view_type\":\"advanced\",\"per_page\":50,\"highlight_changed\":6,\"sticky\":true,\"sort\":\"summary\",\"dir\":\"ASC\",\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"project_id\":[-3],\"start_month\":2,\"start_day\":1,\"start_year\":2017,\"end_month\":2,\"end_day\":28,\"end_year\":2017,\"search\":\"\",\"filter_by_date\":false,\"view_state\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"tag_string\":\"\",\"tag_select\":0,\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"reporter_id\":[0],\"handler_id\":[0],\"note_user_id\":[0],\"resolution\":[0],\"priority\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[-2],\"fixed_in_version\":[\"0\"],\"target_version\":[\"PHA.0280.020000\"],\"monitor_user_id\":[0],\"profile_id\":[0],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"_source_query_id\":\"\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(449, 79, -25, 0, '', 'v9#{\"_source_query_id\":\"\",\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id\",\"dir\":\"DESC\",\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":13,\"end_year\":2017,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(450, 324, -98, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":10,\"start_day\":1,\"start_year\":2017,\"end_month\":10,\"end_day\":26,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":10,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":10,\"last_updated_end_day\":26,\"last_updated_end_year\":2017,\"search\":\"n242\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(451, 355, 65, 0, 'ALSH SPRT2 v0', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":17,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":3,\"last_updated_end_day\":17,\"last_updated_end_year\":2017,\"search\":\"ALSH-SP2-v0\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":false,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(454, 191, 65, 1, 'Support recette PPS/PHA/PCA 1.08.X (2017-03)', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[65],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":20,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":3,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"\\/REC\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"PHA\\/PCA\\/PPS.0270.010800\",\"PHA\\/PCA\\/PPS.0270.010801 (patch assemblage)\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(455, 324, 98, 0, 'n215', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":21,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":3,\"last_updated_end_day\":21,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"n215\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(456, 324, 98, 0, 'n216', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2017,\"end_month\":3,\"end_day\":21,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":3,\"last_updated_end_day\":21,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"n216\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(457, 345, -81, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":4,\"start_day\":1,\"start_year\":2017,\"end_month\":4,\"end_day\":11,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":4,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":4,\"last_updated_end_day\":11,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"12\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(459, 137, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":30,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":30,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(493, 268, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":17,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":17,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(461, 2, -101, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"666\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":4,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":4,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(462, 248, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":23,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":23,\"last_updated_end_year\":2017,\"search\":\"10750\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(463, 323, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":9,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":9,\"last_updated_end_year\":2017,\"search\":\"T198\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(464, 137, -101, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":7,\"start_day\":1,\"start_year\":2017,\"end_month\":7,\"end_day\":13,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":7,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":7,\"last_updated_end_day\":13,\"last_updated_end_year\":2017,\"search\":\"absence\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(465, 248, -101, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_CodevTT_Dead Line,last_updated,custom_CodevTT_ChargeInit\",\"dir\":\"ASC,ASC,ASC\",\"filter_by_date\":false,\"start_month\":9,\"start_day\":1,\"start_year\":2017,\"end_month\":9,\"end_day\":15,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":9,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":9,\"last_updated_end_day\":15,\"last_updated_end_year\":2017,\"search\":\"18855\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(490, 429, -180, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":9,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":9,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(466, 54, 65, 0, 'Tickets \"open\" Backlog PCA/PHA ', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"660\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":16,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":16,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[50],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(512, 10, -181, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":3,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":3,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(467, 367, -98, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[456],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":13,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":13,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(494, 268, -167, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(468, 2, -103, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":22,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":22,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"19\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":468}'),
(469, 371, -101, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":23,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":23,\"last_updated_end_year\":2017,\"search\":\"4911\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(470, 254, -101, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[353],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":30,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":30,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(471, 345, -45, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":5,\"start_day\":1,\"start_year\":2017,\"end_month\":5,\"end_day\":31,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":5,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":5,\"last_updated_end_day\":31,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(476, 399, -102, 0, '', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"monitor_user_id\":[0],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"per_page\":50,\"match_type\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"profile_id\":[0],\"priority\":[0],\"note_user_id\":[0],\"sticky\":true,\"filter_by_date\":false,\"start_month\":\"07\",\"end_month\":\"07\",\"start_day\":1,\"end_day\":\"10\",\"start_year\":\"2017\",\"end_year\":\"2017\",\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"07\",\"last_updated_end_month\":\"07\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"10\",\"last_updated_start_year\":\"2017\",\"last_updated_end_year\":\"2017\",\"search\":\"\",\"view_state\":0,\"tag_string\":\"\",\"tag_select\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]}}'),
(485, 219, -79, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":9,\"start_day\":1,\"start_year\":2017,\"end_month\":9,\"end_day\":25,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":9,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":9,\"last_updated_end_day\":25,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":485}'),
(472, 225, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":6,\"start_day\":1,\"start_year\":2017,\"end_month\":6,\"end_day\":23,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":6,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":6,\"last_updated_end_day\":23,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(483, 181, -45, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":8,\"start_day\":1,\"start_year\":2017,\"end_month\":8,\"end_day\":21,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":8,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":8,\"last_updated_end_day\":21,\"last_updated_end_year\":2017,\"search\":\"44167\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(477, 394, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"PCA_Livraisons\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":12,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":12,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(478, 88, -49, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":14,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":14,\"last_updated_end_year\":2018,\"search\":\"45136\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(479, 404, -98, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_CodevTT_ChargeInit,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":8,\"start_day\":1,\"start_year\":2017,\"end_month\":8,\"end_day\":25,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":8,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":8,\"last_updated_end_day\":25,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(480, 88, -47, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":14,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":14,\"last_updated_end_year\":2018,\"search\":\"45732\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":480}'),
(484, 395, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"target_version,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":8,\"start_day\":1,\"start_year\":2017,\"end_month\":8,\"end_day\":25,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":8,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":8,\"last_updated_end_day\":25,\"last_updated_end_year\":2017,\"search\":\"1759\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(481, 394, -73, 0, '', 'v9#{\"filterbuglist_list\":\"#20998, #20999, #21000, #20993, #20996, #20986, #20987, #20988, #20989, #20990, #20979, #20980, #20982, #20983, #20984, #20985, #20976, #20977, #20972, #20973, #20974, #20967, #20968, #20969, #20970, #20964, #20965, #20966, #20730, #19684, #19683, #19682, #19680, #19761,\",\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":8,\"start_day\":1,\"start_year\":2017,\"end_month\":8,\"end_day\":8,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":8,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":8,\"last_updated_end_day\":8,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(482, 394, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":27,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":27,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(486, 240, -167, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":10,\"start_day\":1,\"start_year\":2017,\"end_month\":10,\"end_day\":3,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":10,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":10,\"last_updated_end_day\":3,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(489, 174, -45, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":10,\"start_day\":1,\"start_year\":2017,\"end_month\":10,\"end_day\":31,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":10,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":10,\"last_updated_end_day\":31,\"last_updated_end_year\":2017,\"search\":\"1414\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(487, 226, -167, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":10,\"start_day\":1,\"start_year\":2017,\"end_month\":10,\"end_day\":5,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":10,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":10,\"last_updated_end_day\":5,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(488, 219, -65, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"1093\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":14,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":14,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(491, 10, -182, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":9,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":9,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(492, 10, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":9,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":9,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(495, 443, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[102],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":20,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"PCA\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(496, 443, 102, 0, 'PCA', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":20,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(497, 433, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"project_id,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":20,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(498, 338, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":23,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":23,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(499, 445, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"General\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":14,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":14,\"last_updated_end_year\":2017,\"search\":\"1686\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(500, 445, 0, 1, 'LQuintian_Assigned', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"advanced\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[10,20,30,40,50,80,82,85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[-1],\"project_id\":[0],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":4,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":4,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":-2,\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(505, 56, -166, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":12,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":12,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(501, 250, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":19,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":19,\"last_updated_end_year\":2018,\"search\":\"1417\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(502, 72, 41, 0, 'titi', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"monitor_user_id\":[0],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"per_page\":50,\"match_type\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"profile_id\":[0],\"priority\":[0],\"note_user_id\":[0],\"sticky\":true,\"filter_by_date\":false,\"start_month\":\"12\",\"end_month\":\"12\",\"start_day\":1,\"end_day\":\"05\",\"start_year\":\"2017\",\"end_year\":\"2017\",\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"12\",\"last_updated_end_month\":\"12\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"05\",\"last_updated_start_year\":\"2017\",\"last_updated_end_year\":\"2017\",\"search\":\"\",\"view_state\":0,\"tag_string\":\"\",\"tag_select\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]}}'),
(503, 72, 41, 0, 'ATI', 'v9#{\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"hide_status\":[90],\"monitor_user_id\":[0],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"per_page\":50,\"match_type\":0,\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"profile_id\":[0],\"priority\":[0],\"note_user_id\":[0],\"sticky\":true,\"filter_by_date\":false,\"start_month\":\"12\",\"end_month\":\"12\",\"start_day\":1,\"end_day\":\"05\",\"start_year\":\"2017\",\"end_year\":\"2017\",\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"12\",\"last_updated_end_month\":\"12\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"05\",\"last_updated_start_year\":\"2017\",\"last_updated_end_year\":\"2017\",\"search\":\"\",\"view_state\":0,\"tag_string\":\"\",\"tag_select\":0,\"relationship_type\":-1,\"relationship_bug\":0,\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]}}'),
(504, 308, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":9,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":9,\"last_updated_end_year\":2018,\"search\":\"22401\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(532, 451, -158, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status,priority,last_updated\",\"dir\":\"ASC,DESC,DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(506, 445, 0, 1, 'Industrialisation des livrables', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"General\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":12,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":12,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(507, 2, -177, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":9,\"start_day\":1,\"start_year\":2017,\"end_month\":9,\"end_day\":15,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":9,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":9,\"last_updated_end_day\":15,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(508, 88, -177, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":16,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":16,\"last_updated_end_year\":2018,\"search\":\"45136\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(509, 408, -178, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":150,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_Ref. Externe,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":17,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":17,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"],\"20\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}');
INSERT INTO `mantis_filters_table` (`id`, `user_id`, `project_id`, `is_public`, `name`, `filter_string`) VALUES
(510, 249, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"severity,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":21,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":21,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"18.01\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(511, 72, -178, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":12,\"start_day\":1,\"start_year\":2017,\"end_month\":12,\"end_day\":27,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":12,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":12,\"last_updated_end_day\":27,\"last_updated_end_year\":2017,\"search\":\"45055\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(513, 227, -159, 0, '', 'v9#{\"filterbuglist_list\":\"\",\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"VTF_Lot2\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated,category_id\",\"dir\":\"DESC,ASC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":1,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":1,\"last_updated_end_year\":2018,\"search\":\"arriv\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(514, 227, -158, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":27,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":27,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(515, 227, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"project_id,category_id,last_updated\",\"dir\":\"ASC,ASC,DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":28,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":28,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":515}'),
(516, 227, -157, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":0,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":27,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":27,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"-2\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(517, 227, -97, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":8,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":8,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":517}'),
(522, 313, -159, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"VTF_Lot2\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,last_updated\",\"dir\":\"DESC,DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":12,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":12,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(518, 452, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated,custom_CodevTT_Date Livraison,fixed_in_version,status,id\",\"dir\":\"DESC,ASC,DESC,ASC,ASC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":12,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":12,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(519, 451, -159, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":16,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":16,\"last_updated_end_year\":2018,\"search\":\"INC000001643891 \",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(520, 452, -159, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[80],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated,id,fixed_in_version\",\"dir\":\"DESC,DESC,DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":6,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":6,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(521, 433, -182, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"project_id,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":11,\"start_day\":1,\"start_year\":2017,\"end_month\":11,\"end_day\":20,\"end_year\":2017,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":11,\"last_updated_start_day\":1,\"last_updated_start_year\":2017,\"last_updated_end_month\":11,\"last_updated_end_day\":20,\"last_updated_end_year\":2017,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\",\"codevtt_command\":[\"0\"]}'),
(523, 2, -97, 0, '', 'v9#{\"_source_query_id\":523,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"start_month\":9,\"start_day\":1,\"start_year\":2016,\"end_month\":9,\"end_day\":21,\"end_year\":2016,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"filter_by_date\":false,\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"FilterBugList_list\":null,\"CodevTT_command\":[\"0\"],\"filter_by_last_updated_date\":false,\"last_updated_start_month\":\"01\",\"last_updated_end_month\":\"01\",\"last_updated_start_day\":1,\"last_updated_end_day\":\"17\",\"last_updated_start_year\":\"2018\",\"last_updated_end_year\":\"2018\",\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"]}'),
(524, 452, -157, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[85],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":20,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":20,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(526, 324, -167, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":24,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":24,\"last_updated_end_year\":2018,\"search\":\"atelier 7\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(525, 419, -79, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":1,\"start_day\":1,\"start_year\":2018,\"end_month\":1,\"end_day\":24,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":1,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":1,\"last_updated_end_day\":24,\"last_updated_end_year\":2018,\"search\":\"1t18\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"\",\"1\",\"1\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(527, 315, -159, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":21,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":21,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[80],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"\",\"1\",\"1\"],\"5\":[\"\",\"1\",\"1\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(528, 381, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"custom_Ref. Externe\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":15,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":15,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(530, 452, -158, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"id,fixed_in_version,last_updated\",\"dir\":\"DESC,DESC,DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":9,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":9,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[-2],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(529, 72, -81, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":23,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":23,\"last_updated_end_year\":2018,\"search\":\"45707\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(531, 251, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"status,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":13,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":13,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(534, 417, -79, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"category_id,last_updated\",\"dir\":\"ASC,DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":26,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":26,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(533, 88, -178, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":2,\"start_day\":1,\"start_year\":2018,\"end_month\":2,\"end_day\":16,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":2,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":2,\"last_updated_end_day\":16,\"last_updated_end_year\":2018,\"search\":\"45251\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":\"\"}'),
(535, 343, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"project_id,category_id,last_updated\",\"dir\":\"ASC,DESC,DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":6,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":6,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(536, 466, -102, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[466],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":7,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":7,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\",\"0\",\"0\"],\"5\":[\"0\",\"0\",\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(537, 4, 0, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":7,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":7,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":-1,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0}'),
(538, 343, -184, 0, '', 'v9#{\"filterbuglist_list\":null,\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"project_id,category_id,last_updated\",\"dir\":\"ASC,DESC,DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":6,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":6,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"codevtt_command\":[\"0\"],\"_source_query_id\":\"\"}'),
(539, 451, -157, 0, '', 'v9#{\"filterbuglist_list\":null,\"codevtt_command\":[\"0\"],\"_version\":\"v9\",\"_view_type\":\"simple\",\"category_id\":[\"0\"],\"severity\":[0],\"status\":[0],\"per_page\":50,\"highlight_changed\":6,\"reporter_id\":[0],\"handler_id\":[0],\"project_id\":[-3],\"sort\":\"last_updated\",\"dir\":\"DESC\",\"filter_by_date\":false,\"start_month\":3,\"start_day\":1,\"start_year\":2018,\"end_month\":3,\"end_day\":7,\"end_year\":2018,\"filter_by_last_updated_date\":false,\"last_updated_start_month\":3,\"last_updated_start_day\":1,\"last_updated_start_year\":2018,\"last_updated_end_month\":3,\"last_updated_end_day\":7,\"last_updated_end_year\":2018,\"search\":\"\",\"hide_status\":[90],\"resolution\":[0],\"build\":[\"0\"],\"version\":[\"0\"],\"fixed_in_version\":[\"0\"],\"target_version\":[\"0\"],\"priority\":[0],\"monitor_user_id\":[0],\"view_state\":0,\"custom_fields\":{\"15\":[\"0\"],\"13\":[\"0\"],\"6\":[\"0\"],\"1\":[\"0\"],\"3\":[\"0\"],\"8\":[\"0\"],\"5\":[\"0\"],\"7\":[\"0\"],\"2\":[\"0\"],\"17\":[\"0\"],\"20\":[\"0\"],\"19\":[\"0\"],\"12\":[\"0\"],\"18\":[\"0\"],\"14\":[\"0\"],\"4\":[\"0\"],\"11\":[\"0\"]},\"sticky\":true,\"relationship_type\":-1,\"relationship_bug\":0,\"profile_id\":[0],\"platform\":[\"0\"],\"os\":[\"0\"],\"os_build\":[\"0\"],\"tag_string\":\"\",\"tag_select\":0,\"note_user_id\":[0],\"match_type\":0,\"_source_query_id\":539}');

-- --------------------------------------------------------

--
-- Structure de la table `mantis_news_table`
--

DROP TABLE IF EXISTS `mantis_news_table`;
CREATE TABLE `mantis_news_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `poster_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `view_state` smallint(6) NOT NULL DEFAULT 10,
  `announcement` tinyint(4) NOT NULL DEFAULT 0,
  `headline` varchar(64) NOT NULL DEFAULT '',
  `body` longtext NOT NULL,
  `last_modified` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `date_posted` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_plugin_source_branch_table`
--

DROP TABLE IF EXISTS `mantis_plugin_source_branch_table`;
CREATE TABLE `mantis_plugin_source_branch_table` (
  `repo_id` int(10) UNSIGNED NOT NULL,
  `branch` varchar(128) NOT NULL,
  `type` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `version` varchar(64) NOT NULL DEFAULT '',
  `regex` varchar(128) NOT NULL DEFAULT '',
  `pvm_version_id` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_plugin_source_bug_table`
--

DROP TABLE IF EXISTS `mantis_plugin_source_bug_table`;
CREATE TABLE `mantis_plugin_source_bug_table` (
  `change_id` int(10) UNSIGNED NOT NULL,
  `bug_id` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_plugin_source_bug_table`
--

INSERT INTO `mantis_plugin_source_bug_table` (`change_id`, `bug_id`) VALUES
(1717, 14791),
(1718, 14791),
(1719, 14791),
(2472, 12288),
(2473, 12288),
(2490, 12288);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_plugin_source_changeset_table`
--

DROP TABLE IF EXISTS `mantis_plugin_source_changeset_table`;
CREATE TABLE `mantis_plugin_source_changeset_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `repo_id` int(10) UNSIGNED NOT NULL,
  `revision` varchar(250) NOT NULL,
  `branch` varchar(250) NOT NULL DEFAULT '',
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `timestamp` datetime NOT NULL,
  `author` varchar(250) NOT NULL DEFAULT '',
  `message` longtext NOT NULL,
  `info` longtext NOT NULL,
  `parent` varchar(250) NOT NULL DEFAULT '',
  `ported` varchar(250) NOT NULL DEFAULT '',
  `author_email` varchar(250) NOT NULL DEFAULT '',
  `committer` varchar(250) NOT NULL DEFAULT '',
  `committer_email` varchar(250) NOT NULL DEFAULT '',
  `committer_id` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_plugin_source_changeset_table`
--

INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(1, 4, '2db6636dcd00f157a44226c4f43890af93b752bc', 'master', 2, '2016-12-29 11:57:23', 'Louis BAYLE', 'InternalTools: setTaigaDate.sh - format date DD/MM/YYYY\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2, 4, 'fa06ed102a8eb0547de4ed2e8b7a3d56cf92bceb', 'master', 2, '2016-12-16 16:51:10', 'Louis BAYLE', 'InternalTools: setTaigaDate.sh (dates dans le passé)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3, 4, 'e0cddbac46084aeaff81cb41d03667fd92104253', 'master', 164, '2016-12-16 16:12:34', 'Lionel Giordanengo', 'Merge branch \'16.0.55\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(4, 4, '58432250ecc97573be960bc9f914cbd85af29e37', 'master', 164, '2016-12-16 16:10:08', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.6.43\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(5, 4, 'd3e8b9c652e5db9198fae062abe342e258332dbf', 'master', 164, '2016-12-05 16:57:17', 'Lionel Giordanengo', 'Merge branch \'16.0.50\' into 16.0.55\n[D43867]\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(6, 4, '79f8f972d914e0fd3e2c07d2eda010bc72609472', 'master', 164, '2016-12-16 16:02:29', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.6.76\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(7, 4, '772fc9f5c880a455e00916a32710afebdd92b97b', 'master', 164, '2016-09-08 15:35:13', 'Lionel Giordanengo', 'Livraison 1.6.43_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(8, 4, '360772eea4866c5275e816720594817e73dfc884', 'master', 164, '2016-11-29 14:32:42', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 16.0.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(9, 4, '4ceaa08139768e8367a2f635aed44d004703e7f8', 'master', 164, '2016-11-29 14:30:10', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 16.0.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(10, 4, 'c02529a99ac235ad9e69d5e7375cc4e4ba7d0330', 'master', 2, '2016-12-16 14:31:15', 'Louis BAYLE', 'InternalTools: setTaigaDate.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(11, 4, '0f28228efec4b64c307a4b84b354f5f8a3b8ccc1', 'master', 164, '2016-10-13 14:35:03', 'Lionel Giordanengo', 'Livraison 1.6.76_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(12, 4, '4238e9dab7cb75bcc6c8a1d7436ffa5d3d949a26', 'master', 199, '2016-09-08 15:25:05', 'Bertrand FONTANEL', '[D43308] correction requete de selection\n\n[D43308] ajout d\'un distinct\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(13, 4, 'ed09fbab7227e2948ebbba6646d95d1c23070a5a', 'master', 164, '2016-11-15 14:36:51', 'Lionel Giordanengo', 'Livraison 16.0.55_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(14, 4, 'd0330e2c5cba6a43e1e54dc9d713a1bc403cf5e4', 'master', 2, '2016-11-28 13:41:38', 'Louis BAYLE', 'Doc: fix version (pour outil mathieu)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(15, 4, '69c27a0dbfadb7ec722c75cbc93276d0f76939bd', 'master', 2, '2016-11-24 13:49:53', 'Louis BAYLE', 'Livraison 16.0.50_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(16, 4, '7b1befb7639f2009eef231afca3dfb48b5c7bd76', 'master', 72, '2016-12-15 16:31:47', 'Alain Tassotti', ' Fix Bug   sur Choix Appli GAC\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(17, 4, '344500794a61ffe2bfa71eea937b7fed1acf4ac9', 'master', 198, '2016-10-13 14:28:03', 'Patrick CHAUVET', '[D43543] rajout jnl_stat sur RDD DRT\n', '', '', '', 'patrick.chauvet.external@atos.net', '', '', 0),
(18, 4, '2981d157045d7a78c214fbeb1221487120dddf72', 'master', 164, '2016-07-26 16:06:51', 'Lionel Giordanengo', 'Livraison 1.6.43_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(19, 4, '32cbd951df3359f90048e25b5526cc10d9381b85', 'master', 164, '2016-11-15 14:29:07', 'Lionel Giordanengo', 'integration : maj_base 16.0.55_01\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(20, 4, '3dcec5fff116a166f7da9b460ce84c30a45b6f4a', 'master', 2, '2016-11-28 13:19:55', 'Louis BAYLE', 'InternalTools: make_env.sh + remove make_env.pl\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(21, 4, '7e788c40831d02d44ee42bfe5120ee266718f241', 'master', 72, '2016-11-23 10:37:52', 'Alain Tassotti', '[D43776] Maj Base pour livraison du package\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(22, 4, '06b6116438afaf48f41a7997f52333caa3e0de4c', 'master', 342, '2016-12-15 14:29:43', 'Sara OUJANA', 'InternalTools: taigaDevClient32_to_app32.sh (remise en service)\n\npour Sara, a cause de problemes progra~1 avec taigaDevClient32_to_TMA.sh\n', '', '', '', 'sara.oujana@atos.net', '', '', 0),
(23, 4, 'b97909d1e379c6868a2f77367030f326b316dc01', 'master', 198, '2016-10-13 14:27:14', 'Patrick CHAUVET', '[D43534] rajout jnl_stat sur RDD MTT\n', '', '', '', 'patrick.chauvet.external@atos.net', '', '', 0),
(24, 4, '130e46b590ae69601d532857f9ea74a348983d6f', 'master', 199, '2016-07-26 16:02:26', 'Bertrand FONTANEL', '[D42981] RDD Assiette sociale\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(25, 4, '71980d2d2b818c6bc16f831fd9659ba51bf6000f', 'master', 246, '2016-11-15 14:25:12', 'Olga TOINON', '[D43549] Modification du revenus à l\'insertion dans la table ASSTE_SOCAL\n\n[D43549] maj_base_D43549.sql pour la modification du package pck_fc30s.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(26, 4, 'e5ebe576e2293e9517e0c4c78d2dbcf6a3715ba1', 'master', 2, '2016-11-28 09:45:47', 'Louis BAYLE', 'Merge branch \'16.0.40\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(27, 4, '866f498fb54f429a8b9107ada0e1f7c4b46fd4a2', 'master', 72, '2016-11-21 16:10:47', 'Alain Tassotti', '[D43776] Correction erreur de compil package\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(28, 4, '7cb510b223490ad016687aa09afb83d392944634', 'master', 2, '2016-12-09 17:24:14', 'Louis BAYLE', 'InternalTools: titulaire_to_TaigaDevClient32.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(29, 4, '310b94102be56f53f7d489d73420161e0f1a6aa1', 'master', 2, '2016-10-10 17:50:29', 'Louis BAYLE', 'InternalTools make_environnements.pl version Sodifrance !\n\nla version originelle communiquée par Benoît CONANEC\nle 12/03/2015\n\n----------------------\nLouis,\n\nEn PJ, un zip contenant les scripts permettant de passer d’une arborescence dimension à l’arborescence serveur en vue d’une maj d’environnement.\nA dézipper sous d:\\.\nLe script a pour base de départ une version SVN.\nIl faudra surement que vous l’adaptiez a vos outils.\nOn verra cela cet AM.\n\nCordialement,\nBenoît CONANEC\nTMA - SSA\nSodifrance Nantes\nTél. 02 40 18 52 80\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(30, 4, '189768860df199784c95dd8072272330eb9fd333', 'master', 164, '2016-07-26 15:58:39', 'Lionel Giordanengo', 'InternalTools Modifcation chaine de creation/installation des environnements pour repertoire en parametre.\n\nReorganize MAJ_BASE directory\n\nupdate putenv with new folder organization\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(31, 4, '531c421f4dc902f219a97281322209bf9e9c0fcb', 'master', 246, '2016-11-15 14:22:42', 'Olga TOINON', '[D43548] Modification du package afin de transcoder l\'identifiant du type de saisie à 9 lorsqu\'il n\'est pas vide\n\n[D43548] maj_base_D43548 pour la modification du package pck_fc30s.sql\n\n[D43548] ajout de la spec de reference\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(32, 4, '507fdf99f623ff56e5b04e80f4851e7f8446ea14', 'master', 2, '2016-11-25 11:03:30', 'Louis BAYLE', 'InternalTools: refreshBDD_manual.sh\n\ncosmetique...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(33, 4, 'a704c7f5ba49141bd346f6d007ae284819e9e35c', 'master', 164, '2016-11-07 14:11:55', 'Lionel Giordanengo', 'Livraison 16.0.40_011\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(34, 4, 'b0b01cf82038fa9b86c34ae5145a46c46c41890b', 'master', 72, '2016-11-21 11:29:15', 'Alain Tassotti', '[D43776] Modification du traitement en cas d\'absence de numero de CMR du REDA non presente dans la table CMR\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(35, 4, '5c9cec2db062fa46be238cc19e388e38f6454e96', 'master', 164, '2016-12-07 16:20:57', 'Lionel Giordanengo', 'InternalTools:Variabilisation du repertoire TAIGA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(36, 4, 'f693933b930322813d558a3bff3aaa83fc133ecd', 'master', 2, '2016-10-10 10:46:51', 'Louis BAYLE', 'DOC: OneNote archive\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(37, 4, '1101b7a5fc83a8c6d45902d6ec44f4cdbc41f70b', 'master', 109, '2016-07-25 16:27:27', 'Mathieu GONON', 'InternalTools: ALM_to_CodevTT => Update provision\'s type\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(38, 4, 'db19a2e75ab4c78ed713e0256755bab59d2f5726', 'master', 164, '2016-11-08 11:10:48', 'Lionel Giordanengo', 'internaltools : Post-traitement : on trie les .dat pour faciliter les comparaisons\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(39, 4, '05cd2b897c1a5a1e970eb227764bed1f64858460', 'master', 2, '2016-11-25 09:41:23', 'Louis BAYLE', 'InternalTools: integ.sh\n\nDIR_GIT_REPO compatible avec FusionPL\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(40, 4, '40d6347e3d6423555a49463733ef30218fe64e2d', 'master', 164, '2016-11-07 13:57:58', 'Lionel Giordanengo', '[D43691] Correction erreur\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(41, 4, 'e5cc83319fa8a6ae0d3739aeb0ce770cd823222b', 'master', 164, '2016-11-18 15:41:14', 'Lionel Giordanengo', 'Livraison 16.0.50_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(42, 4, '65f7a98f48266d44aced5d011cebd37d4717b72c', 'master', 342, '2016-12-07 16:08:13', 'Sara OUJANA', 'Correction des noms des répertoires  dans le script de copie de taiga\n', '', '', '', 'sara.oujana@atos.net', '', '', 0),
(43, 4, 'de1de0b2c1c332fc1bbcbad515a9556ec8054050', 'master', 2, '2016-10-07 14:23:01', 'Louis BAYLE', 'IntegrationTools: majNomenclaturesSpec.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(44, 4, '98bb80d69f31f880a727cb20e1e41ebc7a98a064', 'master', 246, '2016-07-22 15:28:01', 'Olga TOINON', 'InternalTools: Modification de l\'outil COMIP\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(45, 4, 'ee482d07080485303e72c3b267ef6d3e0fa2b297', 'master', 164, '2016-10-21 11:33:34', 'Lionel Giordanengo', 'Merge branch \'16.0.30\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(46, 4, '2254dfb9f4cefd7daba0ddbc4d4590cf0a5b3bf8', 'master', 2, '2016-11-18 11:17:13', 'Louis BAYLE', 'InternalTools: make_env.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(47, 4, '92f5eef1dc45e07df871d06518296cb696982876', 'master', 164, '2016-11-07 10:41:52', 'Lionel Giordanengo', 'Livraison 16.0.40_010\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(48, 4, '7f8f315def2f30e4ed0890a5c73d72dfd6e343df', 'master', 116, '2016-11-18 15:36:13', 'Arnaud Trousselard', '[D43728] AFFI - PATIO - Demande de modification du Lanceur Arcad (client TAIGA)\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(49, 4, '6a58383df40348c4036d4b32eded19bb0f3c28a2', 'master', 2, '2016-12-07 10:23:21', 'Louis BAYLE', 'cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(50, 4, 'e19bc58c451f012f51aa0b3f74979335e43c2212', 'master', 2, '2016-10-05 17:51:11', 'Louis BAYLE', 'Environnements: refreshBDD.sh (check system date)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(51, 4, 'eea795c088735a3743b5422d45ebd3e299883031', 'master', 246, '2016-07-22 15:25:31', 'Olga TOINON', 'InternalTools : Modification date COMIP\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(52, 4, '39a282c663309733d52ada5907bf8ebe4d904043', 'master', 164, '2016-10-20 16:04:17', 'Lionel Giordanengo', 'utils ubdd Ajout de Vincent-pierre Lys dans REDA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(53, 4, '38ba1cfe0a8ba58de758f80936c06027861c60b2', 'master', 164, '2016-10-12 17:19:54', 'Lionel Giordanengo', 'Livraison 16.0.30_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(54, 4, '12335ba30987b073f4411f712a3190fe07220dcf', 'master', 2, '2016-11-17 15:43:33', 'Louis BAYLE', 'InternalTools: make_env.sh -- deplacement kjbcor0.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(55, 4, '8b608534bad667b7fd3698315419e21faad39fb8', 'master', 164, '2016-11-07 10:37:24', 'Lionel Giordanengo', '[D43664]  grant_calcul_a_effectuer_arcv.sql livre mais pas appele\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(56, 4, 'b1cd21a24d7f973a6576b5e7d3b4b82543794d71', 'master', 116, '2016-11-18 15:36:07', 'Arnaud Trousselard', '[D43727] D39712 - Modification de la précision de la variable locale l_nb\nRe-application du commit c06a55ea6b perdu lors d\'un merge\n\nmaj_base correction\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(57, 4, '7a05df6619a6e0cbb34b274de00a7fc12e9e592e', 'master', 2, '2016-12-06 11:24:42', 'Louis BAYLE', 'InternalTools: refreshBDD.sh exit si tourne deja\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(58, 4, '430586b4c18dbeee4bc219f9288721b060ad9a33', 'master', 164, '2016-09-30 12:19:58', 'Lionel Giordanengo', 'Merge branch \'16.0.12\'\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(59, 4, '934dfee1ed8112bbd805494cb5ceff5629ad1fd2', 'master', 246, '2016-07-22 14:21:35', 'Olga TOINON', 'Ajout Saisie Date COMIP\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(60, 4, 'bc599912ad5459f15001fd8937720c427c6089f8', 'master', 164, '2016-10-19 16:20:51', 'Lionel Giordanengo', 'internaltools : correction make_env -delta_pjt-\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(61, 4, 'faebd4812877e8732235308f725f03d23a2baeb0', 'master', 164, '2016-10-12 17:16:20', 'Lionel Giordanengo', '[D43588] correction doublon\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(62, 4, '38b2423dded93d5993c4a67522da1f30c2c958fe', 'master', 2, '2016-11-17 15:14:58', 'Louis BAYLE', 'ImtegrationTools: FIX post_vm_delta.sh & co\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(63, 4, 'b51830bc48110e01a9308ded302a83bf2407296b', 'master', 2, '2016-11-02 14:25:14', 'Louis BAYLE', '[D43691] maj fichier seq.sql\n\nt_chipeaux:\n\nBonjour,\n\nLe seq.sql livré ne contient pas toutes les sequences.\nPar exemple il manque :\nWS_DR_00_SEQ\nECHEANCES_SEQ\nECHEANCIER_PAIEMENT_SEQ\nW01_MAINTIEN_DROIT_SEQ\nSEQUENCE W01_DCR_NPAI_SEQ\nSEQUENCE COTIS_U_COMPL_SEQ\nPER_AUTO_ENT_SEQ\nRIBA_ORDRE_DETAILLE_SEQ\nRIBA_ORDRE_SEQ01\nPER_SUSP_CALC_SEQ\nEIRL_SEQ\nDSI_AR_SEQ\n\nPour la mise à jour sur T_DAT_SEQ je pense que vous n\'êtes pas parti de la dernière version du SQL.\nCela est du à l\'historique de celui-ci. ( mises à jour faites par DQI car la TMA ne le maintenait pas à jour )\n\nCi-joint le seq.sql de QI ( incluant la mise en commentaire de T_DAT_SEQ ).\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(64, 4, '61f196336bdfc6ddb17c4f88f077af025d34abbe', 'master', 164, '2016-11-14 15:37:20', 'Lionel Giordanengo', 'Livraison 16.0.50_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(65, 4, '68f9d7f9bc6dd42374dbf333e58d214a6422e482', 'master', 2, '2016-12-06 10:38:04', 'Louis BAYLE', 'InternalTools: update ALM_to_CodevTT (GAC)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(66, 4, 'e0a795b4d9cdcf1f96e7fbfa2b0c8c628728f5c8', 'master', 2, '2016-09-28 10:24:35', 'Louis BAYLE', 'InternalTools: FIX bq.sh\n\npb corriges:\ntraces effacées\noption -n\nhorodatage du fichier trace\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(67, 4, '56f96bdd99fad7e7e3492f6a75ac01d225691996', 'master', 164, '2016-09-30 12:19:33', 'Lionel Giordanengo', 'Merge branch \'16.0.8\' into 16.0.12\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(68, 4, '910e55fd857251670f6bcf9bedbdf3055b5e189a', 'master', 164, '2016-07-22 14:05:55', 'Lionel Giordanengo', 'InternalTools :correction importer_cmr\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(69, 4, 'b992e58abcd2eee29034a05cc556c635199eb964', 'master', 2, '2016-10-19 14:59:47', 'Louis BAYLE', 'IntegrationTools: make_env.sh - integration du make_majbase.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(70, 4, '1b1aeb5556bac9dabfc9bb9d0902c990b21477ab', 'master', 164, '2016-10-11 14:50:10', 'Lionel Giordanengo', 'Livraison 16.0.30_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(71, 4, '0cddd33011af9268558d5896ab576baa610cc5fe', 'master', 2, '2016-11-16 17:24:15', 'Louis BAYLE', 'bq.sh: debut par default = TAIGA (au lieu de DEBLOC)\n\n=> plus besoin de préciser l\'option \"-t TAIGA\"\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(72, 4, '9a60994eb239290e00ec941c76200b67b7c189eb', 'master', 164, '2016-10-28 14:32:15', 'Lionel Giordanengo', 'Livraison 16.0.40_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(73, 4, 'dab14f81c5b00047fe48294fe9ab5631f052ef1c', 'master', 164, '2016-10-28 12:02:03', 'Lionel Giordanengo', 'Integ : renommage du maj_base_cir\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(74, 4, '7426f65edc212bd2e47ad19b24d1d0692f6e8504', 'master', 2, '2016-12-02 16:59:42', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(75, 4, 'e56458aeaa4341adf3a482e4f5d57af05d57bc64', 'master', 2, '2016-09-27 15:02:18', 'Louis BAYLE', 'InternalTools: cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(76, 4, '102a54a24482d0524270a427c9dd1e8601a3589f', 'master', 164, '2016-09-26 11:13:44', 'Lionel Giordanengo', 'Livraison 16.0.12_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(77, 4, '59f999b762e130b417f734f05833ed6e93bf6759', 'master', 164, '2016-09-23 14:21:57', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.10) into 16.0.8\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(78, 4, 'a21ae2fb7258f7f9462222d63472d77591f9057a', 'master', 109, '2016-07-20 16:17:54', 'Mathieu GONON', 'InternalTools: Integ create mail type\n\nligne vide\n\nGeneration mail.txt OK  (TODO => Gerer erreur requete)\n\nError Handle\n\nAdd iteration number to mail name\n\nok\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(79, 4, 'e2ba71cbf6e981324d8f8c31c95ab71c4f204679', 'master', 2, '2016-10-18 11:52:46', 'Louis BAYLE', 'InternalTools: bq.sh - ajout point de reprise: TAIGA_NTF\n\ncleanup:\n- renommage fonctions\n- renommage flag isAbonnement\n- suppression appel paliatif solaris inexistant pour 059\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(80, 4, '0baa055b929987e98da88db5f187942666d1b191', 'master', 167, '2016-10-11 14:40:46', 'Philippe Le Barbier', '[D43537] Livraison de copy supplémentaires pour le vidage SAGA\n', '', '', '', 'philippe.lebarbier@atos.net', '', '', 0),
(81, 4, '335edf2c9b170c5ad126666cea9e41bdaec602d0', 'master', 2, '2016-11-15 14:18:54', 'Louis BAYLE', 'InternalTools: post_vm_delta.sh & co\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(82, 4, '26fdd636075ee2279bfb8aa1dff4d87a34a2f0b5', 'master', 164, '2016-10-28 11:28:08', 'Lionel Giordanengo', '[D43672] Scripts de MAJ de nomenclatures DOM et caisses PL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(83, 4, '646500ed7c6dfca08f2ef33206c4a3d2a21831c3', 'master', 72, '2016-10-28 11:30:16', 'Alain Tassotti', '[D43011] - Version modifiée suite à validation SFD  + OK TU\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(84, 4, '748cd30d548b1616d898f01a223b57c3a5e93736', 'master', 2, '2016-12-02 12:35:16', 'Louis BAYLE', 'InternalTools: refreshBDD.sh avec maj ubbconfig\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(85, 4, '2f644ff6b4e4af7753e9f7923a86d4f5dc433092', 'master', 72, '2016-09-27 11:34:33', 'Alain Tassotti', 'récupération  suppression partielle de la règle RG_FC15R_004 qui avait disparu lors d\'un commit  précedent  40728\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(86, 4, '962fe62d2d11ce154a52799afbd907400d4a1c33', 'master', 164, '2016-09-26 11:13:22', 'Lionel Giordanengo', '[D43469] Passe plat P. Mangin : SAGESS-RDD-02S-PALIATIF SUR SPOC CIOC-SAGESS.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(87, 4, 'b0f8791c089d9430928cb9c477e58d5fb51b0a3b', 'master', 164, '2016-09-12 11:09:11', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 16.0.8\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(88, 4, '4c2d5944bb806b3805965605efec941f164eadcf', 'master', 164, '2016-09-23 10:39:03', 'Lionel Giordanengo', 'Merge branch \'16.0.10\'\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(89, 4, 'dd648e03b68e62ca30072e2983103eb6d1a255af', 'master', 164, '2016-07-20 15:43:07', 'Lionel Giordanengo', 'Internal_tools : correction integ.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(90, 4, 'e14c1909b412282c6384d5d1245a44f05b20cf43', 'master', 164, '2016-10-17 17:20:31', 'Lionel Giordanengo', 'InternalTools : correction refreshBDD.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(91, 4, 'aae40fd41cd0b48abd26ec70cf17bf02a0dea6c8', 'master', 164, '2016-10-11 12:15:09', 'Lionel Giordanengo', 'Livraison 16.0.30_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(92, 4, 'bae459c3351d9067f981c6dda2f5b9162bb0f0b5', 'master', 164, '2016-10-24 11:31:52', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.30) into 16.0.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(93, 4, '79f071a83f43417f9b82ae11a6b4fe6b21a344a5', 'master', 2, '2016-09-27 11:15:30', 'Louis BAYLE', 'InternalTools: refreshBDD.log dans $TRC_SH\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(94, 4, 'e57d4352d4009797eb7afc16e5137119535d81fb', 'master', 164, '2016-09-23 14:06:05', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.10) into 16.0.12\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(95, 4, '5f23e62a2dbf2efec1e0710069c133d5f4c28595', 'master', 164, '2016-09-05 14:21:03', 'Lionel Giordanengo', 'Livraison 16.0.8_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(96, 4, '3900b54680a2f7770cadb5afec2d0371ae7373eb', 'master', 164, '2016-09-07 11:38:22', 'Lionel Giordanengo', 'Merge branch \'16.0.7\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(97, 4, 'b24014b92e3c5d64f6146d52f3c925f993d7892b', 'master', 164, '2016-09-20 10:09:56', 'Lionel Giordanengo', 'Internaltools : choixenv ne changeait pas d\'envt la premeiere fois\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(98, 4, 'a55cd9b192c538b022950744c05467ab1719227f', 'master', 164, '2016-09-08 11:47:03', 'Lionel Giordanengo', 'Livraison 16.0.10_010\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(99, 4, 'f82fe03731e4a6a4ed8796b7f8175b1cbe3556a0', 'master', 109, '2016-07-20 09:55:41', 'Mathieu GONON', 'InternalTools: ALM_to_CodevTT back to V2.0 (@IP still tmp)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(100, 4, 'a6673c156c76fb7505d073032a49f24bba8542f1', 'master', 164, '2016-10-14 16:40:47', 'Lionel Giordanengo', 'InternalTools : Re-ecriture make_env en shell et simplification\nA tester er valider avant de deisntegrer cette &\"#$£*µù% de make_env.pl\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(101, 4, 'eb636b471754e93e41c538e110172fabdbee59fd', 'master', 164, '2016-10-11 12:15:07', 'Lionel Giordanengo', 'Commit bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(102, 4, 'b91ad72b749e3324dc7c753f65697cb2e91f0044', 'master', 164, '2016-10-21 15:39:49', 'Lionel Giordanengo', 'Livraison 16.0.40_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(103, 4, 'b58b9b4742c926f2c7736a41f293123ba5bd7946', 'master', 2, '2016-09-27 10:58:09', 'Louis BAYLE', 'InternalTools: refreshBDD.sh : add dump date\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(104, 4, '9689aa3d25f379b41828099e684bba02e452416a', 'master', 164, '2016-09-13 14:31:57', 'Lionel Giordanengo', 'Livraison 16.0.12_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(105, 4, 'e3d9cdb6f649053be78649999cd6557916549812', 'master', 164, '2016-09-05 14:17:25', 'Lionel Giordanengo', 'D43342 : Renumérotation des nomenclatures pour passage en production\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(106, 4, '52377b1b44bb727b8d28dfc672ad0e76175c8769', 'master', 2, '2016-09-02 09:40:01', 'Louis BAYLE', 'DOC: OneNote archive\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(107, 4, 'bd96090880d242950e2b45d60dfa768ac0f16966', 'master', 164, '2016-09-01 16:15:12', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.6) into 16.0.7\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(108, 4, '306d0d27123211bd991d28741d5330581484860e', 'master', 2, '2016-09-19 11:08:39', 'Louis BAYLE', 'InternalTools: code swarm\n\nun gadget...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(109, 4, '81823e9e2fabf58f1b15618ce08e6e39fb7c4700', 'master', 164, '2016-09-08 11:43:40', 'Lionel Giordanengo', '[D43369] Appel TO 2016 : Livraison de scripts de blocage / deblocage\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(110, 4, 'ad15ca4588fd8a391674db70cb6ca99f26ebace4', 'master', 109, '2016-07-12 09:35:33', 'Mathieu GONON', 'InternalTools: ADD Gestion Courante\n\nInternalTools: Pas de traitement 3en1/GC si tous SPOCS manquants\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(111, 4, 'a6db134281f3cc0cf09994d09b020db675215800', 'master', 164, '2016-10-11 12:15:05', 'Lionel Giordanengo', 'Livraison 16.0.30_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(112, 4, '3fff05ab8e4009775e003aa7010c3fee326b2dcb', 'master', 164, '2016-10-21 15:34:13', 'Lionel Giordanengo', '[D43533] Passe plat pour : RDD - Flag à null dans CALCUL_A_EFFECTUER_HISTO\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(113, 4, 'd6a71d3d82c7c2636c8ad65aecc767b5da4dfb14', 'master', 164, '2016-09-13 14:28:49', 'Lionel Giordanengo', '[D43370] SAGESS-RDD 02S-CONSERVATION SPOC AVEC COTISATION - Assistance pour livraison\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(114, 4, '4d2d34ebaf07eb4e3e79bf48abbb591d8f86afac', 'master', 164, '2016-08-22 15:31:59', 'Lionel Giordanengo', 'Livraison 16.0.8_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(115, 4, 'a0e6a99b98e42a7922f02609f19b1f4683833138', 'master', 109, '2016-08-31 17:33:01', 'Mathieu GONON', 'InternalTools: Message if option missing\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(116, 4, '6a30ec0dddaa472c22095d8915a16d70d11ac07f', 'master', 2, '2016-08-19 10:00:39', 'Louis BAYLE', 'Merge branch \'master\' into 16.0.7\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(117, 4, 'b20af4eab4107bac1fba235b39edc1a2a5b8fcad', 'master', 164, '2016-09-19 11:08:33', 'Lionel Giordanengo', 'Internaltools : verfie que le dump datapump date de moins de 24h\n\nInternaltools : verfie que le dump datapump date de moins de 24h\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(118, 4, 'b42c91db601fc3f50ca1fa7ef8756aaee4f1611e', 'master', 164, '2016-09-06 10:51:00', 'Lionel Giordanengo', 'Merge branch \'16.0.7\' into 16.0.10\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(119, 4, 'a61fbd14b77fe6e89564571b5869dfbeaa7f3843', 'master', 2, '2016-06-30 17:14:03', 'Louis BAYLE', 'InternalTools: majNomenclaturesSpec.sh\n\nactivation du \'expect\' pour executer test.profile\n\n1) appel à test.profile (ca marche !)\n2) parse du _jnnom05.sh (marche pas encore...)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(120, 4, 'adb7b5bcd0284829e811b682487094405a630e3e', 'master', 164, '2016-10-11 12:14:42', 'Lionel Giordanengo', '[D43512] Rénumérotation des nomenclatures + RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(121, 4, '35843269a2e1053fc7473f9465670ef906ad6a15', 'master', 164, '2016-10-07 16:41:56', 'Lionel Giordanengo', 'Livraison 16.0.40_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(122, 4, 'c01c134d7e7a0f6c929051e4677638ce29c39712', 'master', 2, '2016-09-12 16:43:22', 'Louis BAYLE', 'InternalTools: bq.sh (modernisation du chaine_quot.sh)\n\n--- A TESTER ---\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(123, 4, '76ccf3f28921a0ecdc4faf944d4cfafeaba61241', 'master', 164, '2016-08-22 15:29:14', 'Lionel Giordanengo', '[D43249] reports de la 16.0.3 Commit Bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(124, 4, 'a78ee0175dad88aeea6439e3f5a9fa79f6a179b5', 'master', 2, '2016-08-31 17:30:49', 'Louis BAYLE', 'Merge branch \'16.0.6\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(125, 4, '4c21d5112fa9169f824b2ef09786a1383af4b6f0', 'master', 2, '2016-08-18 16:51:27', 'Louis BAYLE', 'Livraison 16.0.7_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(126, 4, '6d4510039811538e9f055b6a40702d2448b12341', 'master', 2, '2016-08-19 09:58:43', 'Louis BAYLE', 'Merge branch \'16.0.3\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(127, 4, '423f76e9a3c65bf803645d8de9a7adc1b9c54b1c', 'master', 2, '2016-09-16 16:23:00', 'Louis BAYLE', 'InternalTools: bq.sh : cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(128, 4, 'e6626e7fc580a7ff5da91d2cedf841d55b88604b', 'master', 164, '2016-08-26 10:19:28', 'Lionel Giordanengo', 'Livraison 16.0.10_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(129, 4, '7bf804e318092db7943a66cd4271f1210f5981a2', 'master', 2, '2016-06-30 14:36:54', 'Louis BAYLE', 'InternalTools: cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(130, 4, '759f365c1ba5e9b764232aae25f17d1dc9a59f12', 'master', 164, '2016-10-11 11:17:09', 'Lionel Giordanengo', 'Merge branch \'16.0.20\' into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(131, 4, '5dcf62864b1dcfa023613c5c101bb29ded4e877f', 'master', 164, '2016-10-07 16:39:05', 'Lionel Giordanengo', 'integ modifs bidons pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(132, 4, '3b8e76ef030fd44b8526a8dba79131690f577d1b', 'master', 164, '2016-08-22 15:26:13', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.8\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(133, 4, '0f258478ce99c8148a393ff331ef08dfafde3672', 'master', 2, '2016-08-31 17:28:39', 'Louis BAYLE', 'Merge branch \'TAIGA_PALL_1.6.47\' into master\n\n# Conflicts:\n#	Templates/template_RDD.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(134, 4, '8105eb8070b71a5a9fe0009e5377204eb103cafe', 'master', 164, '2016-08-31 10:11:18', 'Lionel Giordanengo', 'Livraison 16.0.6_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(135, 4, '92b884fad312401e05f2b2dcb26ebbac1f985446', 'master', 2, '2016-08-18 16:10:07', 'Louis BAYLE', '[D43245] FIX majbase\n\nSP2-0310: impossible d\'ouvrir le fichier \"CMR_xxx/packages/pck_riba_11.sql;\"\nSP2-0310: impossible d\'ouvrir le fichier \"CMR_xxx/packages/pck_fin_periodes.sql;\"\n\nLe maj_base Oracle contient des commandes de chargement de package non livrés.\nVous justifiez la présence de ces lignes pour la recompilation des package.\n\nVia notre outillage QI il y a une recompilation des packages Oracle suite à\nl’exécution des maj_base.\nDonc si on charge un package ayant des dépendances avec d’autres ,\nOracle les passent invalides , et suite à l’exécution du maj_base\nl’outillage QI les recompilent.\n\nEric Magna (DPE) m\'a confirmé, qu\'en PROD, après déploiement des\ndifférents composants (shell, cobol, package, sql, etc), ils effectuaient\nune recompilation de tous les schémas caisse.\n\nMerci de retirer ces deux lignes du script maj_base_cmr_V16_0_7_01.sql\n@CMR_xxx/packages/pck_riba_11.sql;      -- Pour recompilation\n@CMR_xxx/packages/pck_fin_periodes.sql; -- Pour recompilation\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(136, 4, 'ba4747d3f390b5149a444e89b7d913619f2c6bc8', 'master', 2, '2016-08-18 18:29:58', 'Louis BAYLE', 'InternalTools: post_ubdd.sh & maj_cmr_global.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(137, 4, 'c71304fb8c45e689fc7c16d6c6fdc5b596ef00c8', 'master', 2, '2016-08-17 12:33:16', 'Louis BAYLE', 'Livraison 16.0.3_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(138, 4, '0588755f9004fbcec94ff26468eebdd51624648d', 'master', 164, '2016-09-16 11:58:22', 'Lionel Giordanengo', 'InternalTools sleep pour disconnect\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(139, 4, '459ae3abfbc17851d77cc6c24e631e5d64ce49c9', 'master', 199, '2016-08-26 09:36:23', 'Bertrand FONTANEL', '[D43068] correction date sur regul deja effectuer\n\n[D43068] LGO:  ajout entete\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(140, 4, '06a901cea9a32fc5b8bd6e1327b3bd628cd4d066', 'master', 246, '2016-06-30 14:31:54', 'Olga TOINON', '[Volumetrie]InternalTools:execRequeteVolumetrie\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(141, 4, 'dbd71777cab2a12ef09e5fe4e77156a60e22f251', 'master', 164, '2016-10-11 11:16:36', 'Lionel Giordanengo', 'Merge branch \'16.0.14\' into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(142, 4, 'd57c38e6395848ae2f1174efe9332d0f10b348eb', 'master', 164, '2016-10-07 09:48:26', 'Lionel Giordanengo', 'Livraison 16.0.20_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(143, 4, '0135ca827fa28c124b6013685bab0db48847ef81', 'master', 164, '2016-10-07 16:27:54', 'Lionel Giordanengo', 'Merge branch \'16.0.15\' into 16.0.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(144, 4, '2eb5f37870f0267c67ec500b55a1a6caf64e2b72', 'master', 164, '2016-07-08 10:21:51', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.98) into 16.0.8\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(145, 4, '9ffbb4acabe6f563abd8c1870a74d3bbdfc2ec2b', 'master', 164, '2016-08-31 17:12:27', 'Lionel Giordanengo', 'InternalTools : modif putenv pour recompilation des tous les obj oracles\na chaque installation\n\nInternalTools : correctif lanceur_BQ_APR.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(146, 4, 'bb5e7b48ab45c9cdf12c52f10c27dfeb85c96e8e', 'master', 164, '2016-08-23 14:47:48', 'Lionel Giordanengo', 'Livraison 1.6.47_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(147, 4, 'b72de2fbe2cb4e6a564847c1f46153ecf7663ecf', 'master', 164, '2016-08-31 09:48:07', 'Lionel Giordanengo', '[D43317] 3EN1 :gestion redressement quantiemes sur SPOC PL - cas des SPOC 34 en double\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(148, 4, '47720428501fb54491b518f0351135aeb5599cd7', 'master', 2, '2016-08-12 09:28:29', 'Louis BAYLE', 'Livraison 16.0.7_001\n\n27551/16.0.7\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(149, 4, '0f8476786e24ef7b819bfe130593f470e08be4bc', 'master', 157, '2016-08-17 11:19:05', 'Vincent GENTIL', 'InternalTools: refreshBDD.sh\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(150, 4, 'f1143233ab2176accf2494ad0fc0872a78c30169', 'master', 157, '2016-08-17 12:26:32', 'Vincent GENTIL', 'Livraison: suppression maj_base\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(151, 4, '6449aec120c6c130081e6714f15a4dd72482f205', 'master', 164, '2016-09-16 10:44:24', 'Lionel Giordanengo', 'ubdd environnement : Ajout des scripts de compil cobol a installer\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(152, 4, '72392f545107ebf906635ebbad97f8a7fd91be41', 'master', 199, '2016-08-26 09:35:17', 'Bertrand FONTANEL', '[D43260] correction acompte prov deja emis\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(153, 4, '3d827e5c56cc7c91914d65c4a7423af9333f8e1a', 'master', 2, '2016-06-29 19:10:17', 'Louis BAYLE', 'InternalTools: majNomenclaturesSpec.sh\n\ncorrection du \'expect\' (non teste)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(154, 4, 'e75388cb55dea8f1e69211b6bcb59b6566cd6947', 'master', 164, '2016-10-11 11:16:10', 'Lionel Giordanengo', 'Merge branch \'16.0.26\' into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(155, 4, 'b47bfc467c7aa8d3b04c129043c6ddcfbc1bbe85', 'master', 164, '2016-10-07 17:07:29', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.14\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(156, 4, '0e2017e7b7644c98c527ec8f42e5b2924a47bdf1', 'master', 164, '2016-10-07 09:45:34', 'Lionel Giordanengo', 'integ traitement des nomenclatures + maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(157, 4, '8a631f505972a790bc119f0bb8dc0fe6e496505d', 'master', 164, '2016-10-07 16:26:44', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(158, 4, 'e87d39604e965ca263d6d9e920da153eaf522d87', 'master', 164, '2016-10-07 16:15:39', 'Lionel Giordanengo', 'Livraison 16.0.15_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(159, 4, 'df85d35e4d5fc6592b084e4db1baf5d8d8495b4f', 'master', 164, '2016-06-24 10:09:30', 'Lionel Giordanengo', 'Livraison 16.0.8_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(160, 4, '79e308392f412a6b1cd40e21ea9abec27772cdcb', 'master', 109, '2016-08-31 11:29:00', 'Mathieu GONON', 'InternalTools: Improve some tools\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(161, 4, '8773499c366b4a5de2bbbfbe19c0b85f3bf5b538', 'master', 199, '2016-08-23 14:27:57', 'Bertrand FONTANEL', '[D43274] controle existence du fichier\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(162, 4, '250dddd37b6a599eda2f9e4d3b33858bccd89306', 'master', 164, '2016-08-22 11:53:44', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.6\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(163, 4, '273406de3b077ae2e6abe2c1bf6ecb454c7b34ec', 'master', 199, '2016-08-12 09:10:50', 'Bertrand FONTANEL', '[D43182] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(164, 4, 'f36e6f00302636305ab93a38601baa659c8aaf99', 'master', 157, '2016-08-16 13:22:00', 'Vincent GENTIL', 'InternalTools: post_ubdd.sh : compil cobol exe\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(165, 4, 'b6ace3069e8bbe048051def33dda608b5a60855a', 'master', 2, '2016-08-11 12:03:17', 'Louis BAYLE', '[43209] Merge branch \'15.1.93\' into 16.0.3\n\nLoB: modifs sur le .gitignore non reportées.\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(166, 4, 'f06a470e9e00c86b387ec3a9bb6b5016b8b9e608', 'master', 164, '2016-09-16 10:44:24', 'Lionel Giordanengo', 'internaltools : modif du make_env et putenv.sh pour récupération des scripts\ndans le repertoire MAJ_ENV_xxx\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(167, 4, '7842f3696b07fdc67563d8b26b94083be7d4e164', 'master', 199, '2016-08-24 11:57:10', 'Bertrand FONTANEL', '[D43183] Maj DEX shell ijcpen01\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(168, 4, 'a22ca130c33d08a0c3b8481f02442b616610bf9e', 'master', 2, '2016-06-29 16:17:36', 'Louis BAYLE', 'InternalTools: make_env.pl fix & cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(169, 4, 'c775cfc8f24b714a153e94f1f1a9ccb9a94b5d2b', 'master', 164, '2016-10-11 11:15:41', 'Lionel Giordanengo', 'Merge branch \'16.0.11\' into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(170, 4, 'd9d0b7f4f196cd17b4c125822fb7de1e2a2a5cda', 'master', 164, '2016-10-10 10:32:35', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.26\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(171, 4, 'a769d809b6b3511e9ab10d34f6f463a3934ff2fd', 'master', 164, '2016-09-23 14:49:51', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.10) into 16.0.14\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(172, 4, 'e117a745b10c36139a18392efb16d586599c3837', 'master', 2, '2016-10-07 09:39:29', 'Louis BAYLE', '[G4487][G4443] creation fichier\n(VLYS)\nDéplacement de la déclaration des tableaux de signalement dans le corps de la procédure pour qu’ils soient initialisés à chaque appel de la procédure. »\n\n-----\nVoici les infos complémentaires pour la livraison de demain :\nLes defects corrigés par la livraison  sont :\n\n•         4443 QF_GAC_RAD_2.0.50.02 : TAIGA -Pas de création de fichier\n•         4487 MOA_GAC_RAD : Liste instrance traitée dans GAC avec impacts sur ayd cjt coll dans TAIGA ou type de traitement \"Cessation pensionné\"\n\n\nNote complémentaire technique a ajouter à la livraison.\nRemarque le package body pck_ws_rad fait appel à la vue système V$PARAMETER.\nIl est impératif que le user Oracle sur lequel il sera compilé ait les droits de sélection sur cette vue.\nSi ce n’est pas le cas le package ne pourras pas être stocké suite à des erreurs de compilation.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(173, 4, 'd96648d3ee5f60370f3e57ac961c894fc943247b', 'master', 2, '2016-10-06 18:38:40', 'Louis BAYLE', 'Livraison 16.0.40_006\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(174, 4, '49403aaeea1da041eb825ec722e0f969c1845958', 'master', 164, '2016-10-07 16:09:52', 'Lionel Giordanengo', 'Integ : trt maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(175, 4, '88e604fe5e7214973ec1038edbcf050ae049a155', 'master', 164, '2016-06-24 09:52:29', 'Lionel Giordanengo', '[D42626] Nomenclatures specifiques Table Travail\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(176, 4, 'a8df3b46d3e75c6ef3ac2c2ea0d76213e14c6594', 'master', 109, '2016-08-26 11:25:59', 'Mathieu GONON', 'InternalTools: Change date + for PROV => IF NULL -d / Evol Only\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(177, 4, '68f78de4f837818405fc0bc2caaa9dc9323fde5c', 'master', 199, '2016-08-23 14:17:21', 'Bertrand FONTANEL', '[D43273] Utilisation du fichier .ctl non dynamique\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(178, 4, '705c2630689987710f05774c9dc56f4a33216493', 'master', 2, '2016-08-11 17:37:06', 'Louis BAYLE', 'Livraison 16.0.6_001\n\n27550/16.0.6\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(179, 4, '2a39f38474377088b0429ceb368a8709c6b851ac', 'master', 199, '2016-08-12 09:10:50', 'Bertrand FONTANEL', '[D43182] Gestion du D42044 que dans le cas d\'un 03S de SAGESS\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(180, 4, 'a0876f6c563d50e882c10bb2e45922b967757d25', 'master', 2, '2016-08-16 13:22:00', 'Louis BAYLE', 'InternalTools: ajout check dans tar_saga_file.sh (v2)\n\nperte de 1 jours sur recette Appel TO\nen raison de fichiers SAGA COMMUNS absents ...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(181, 4, '417657f17eea571d84d3f2c28bfb0bcf01f89255', 'master', 2, '2016-08-09 17:16:41', 'Louis BAYLE', 'Livraison 16.0.3_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(182, 4, 'd2ee75808cf49fdc6ae7abcaabb598efbd99ed7d', 'master', 164, '2016-07-22 13:52:44', 'Lionel Giordanengo', 'Merge branch \'16.0.0\' into 15.1.93\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(183, 4, '5ffeb04a7e7617689f9c1f8fc8442fb51097f77a', 'master', 2, '2016-09-16 09:30:33', 'Louis BAYLE', 'InternalTools: bq.sh : Oracle AWR (mot de passe oracle)\n\nplus besoin de saisir le mot de passe oracle pour ssh et scp ...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(184, 4, '6555f1708129672de4b5b88a8601da15a37bb380', 'master', 199, '2016-08-24 11:56:52', 'Bertrand FONTANEL', '[D43119] Maj DEX regulation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(185, 4, 'f0514cbe2f25424a4be8ddd95ac05f11b8ddf91f', 'master', 164, '2016-06-28 13:39:47', 'Lionel Giordanengo', 'gitignore\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(186, 4, '539a7e2baab703507d000897c0f55110bf710a7d', 'master', 164, '2016-10-11 11:14:36', 'Lionel Giordanengo', 'Merge branch \'16.0.25\' into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(187, 4, 'a449170eda7b324c739065ca6d2dfd3cb4a83509', 'master', 164, '2016-10-10 10:30:23', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.11\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(188, 4, 'a7dd9505c7e792a3b4a8ce76e09a5e6a9c671446', 'master', 164, '2016-09-23 14:59:41', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.10) into 16.0.26\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(189, 4, '3c069d0818339eb7c051577c457d19e5da8902a3', 'master', 164, '2016-09-20 11:50:03', 'Lionel Giordanengo', 'Livraison 16.0.14_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(190, 4, '8c9155fe4be4a67441232195d67604e3b0452d07', 'master', 2, '2016-10-07 09:39:29', 'Louis BAYLE', '[G4487] Ajout de deux nouveaux signalement\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(191, 4, 'e7a735e53743e72449f7042889e8e9fa977aa7e6', 'master', 2, '2016-10-06 18:29:06', 'Louis BAYLE', 'maj_base 16.0.40_06\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(192, 4, 'bbbdc59de95152c3802177e9176891b01902ede7', 'master', 157, '2016-10-07 16:05:32', 'Vincent GENTIL', '[D43490] Mise a jour du flag_spoc de tous les enregistrements calcul_a_effectuer_histo en fin de generation du spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(193, 4, 'c59128ef782dd7acee87962ce956d5be5d54d37e', 'master', 164, '2016-06-23 17:34:24', 'Lionel Giordanengo', '[D42626] Deplacement dans les palliatifs TAIGA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(194, 4, 'c9458bbc57bcfd4f99c405121de01b13d8bc2495', 'master', 109, '2016-08-26 11:25:59', 'Mathieu GONON', 'InternalTools: Dealing with IPs issues\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(195, 4, '277ba37b4a663aa1accc69b1cc368ce67952b65e', 'master', 199, '2016-08-23 14:12:00', 'Bertrand FONTANEL', '[D43272] controle du nombre de paramètres\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(196, 4, '297cc376963363256e2270275e7b1f25d3eeca14', 'master', 199, '2016-08-11 17:28:22', 'Bertrand FONTANEL', '[D43177] suppression du defect 42567\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(197, 4, '0cb25061c1a29104727c1fab35eda0ea9398e4ea', 'master', 199, '2016-08-12 09:10:50', 'Bertrand FONTANEL', '[D43182] Flux 11R: correction du defect 42044\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(198, 4, '5e101f58527637b63174107f9976cbb288710564', 'master', 246, '2016-08-16 10:37:53', 'Olga TOINON', 'InternalTools: Outil comparaison d\'environnement\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(199, 4, '8bcaef346dfa3ad1ed5d1b05950617feb7c25ebe', 'master', 2, '2016-08-09 17:11:01', 'Louis BAYLE', '[D43184] maj_base_cmr_V16_0_3_01.sql erreur de code\n\n-> suppression du 01\n-> livraison du 02\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(200, 4, '97b25aa19a246c9a880591518af9035542944364', 'master', 164, '2016-07-19 11:00:08', 'Lionel Giordanengo', 'Livraison 15.1.93_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(201, 4, '7d6e29121e6425d0c34b5a3dae6a38c696e2d1c5', 'master', 164, '2016-06-28 09:56:05', 'Lionel Giordanengo', 'Livraison 16.0.0_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(202, 4, '5c8232f416c18d10c6d07767081e38d56b62dada', 'master', 2, '2016-09-15 09:10:40', 'Louis BAYLE', 'InternalTools: bq.sh : Oracle AWR + changement parametres d\'entree\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(203, 4, 'd1f3aa5da1f98acfb194450bc914bff85ec433a5', 'master', 164, '2016-08-22 16:12:04', 'Lionel Giordanengo', 'Livraison 16.0.10_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(204, 4, '5a31d887e4d45e073cf9e18a714733d90fbe05e5', 'master', 2, '2016-06-28 11:45:11', 'Louis BAYLE', 'Merge branch \'15.1.83\' (15.1.98) into master\n\nNote: 15.1.83 a glissee en 15.1.98\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(205, 4, 'd3be95522e6d47906a514655f5c15b7efb648807', 'master', 164, '2016-10-10 10:33:32', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(206, 4, '2df0156d9c8ee54d7583c051550533a0a1e1dc3f', 'master', 164, '2016-10-05 10:52:56', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.25\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(207, 4, '4be356cbde7589e040a6c6ed703e3aea48a6b787', 'master', 2, '2016-09-30 16:54:30', 'Louis BAYLE', 'Livraison 16.0.11_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(208, 4, '40a843989752bf0994bd619cec5363e423ddf55c', 'master', 164, '2016-09-12 11:19:54', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 16.0.26\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(209, 4, '218a274455602f5e945dadbc202e8e0970ea842f', 'master', 164, '2016-09-20 11:42:49', 'Lionel Giordanengo', 'Integration : Ajout du maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(210, 4, '883808c099590f49ef977df96ceb73a2db4dd977', 'master', 164, '2016-10-07 09:29:54', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.20_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(211, 4, '8d1e72740c25f8305fa92d9361914bf064b7da7e', 'master', 157, '2016-10-06 18:15:47', 'Vincent GENTIL', '[D43490] Mise a jour du flag_spoc de tous les enregistrements calcul_a_effectuer_histo en fin de generation du spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(212, 4, 'ca5b1c89476e2a5d623f4c46cebf48db0ab208ed', 'master', 199, '2016-10-07 16:05:31', 'Bertrand FONTANEL', '[D43523] correction spoc23 effet de bord sur la D43104\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(213, 4, '54ba45be1967025d12faea95ab9d240cd2aca8fd', 'master', 167, '2016-06-23 17:31:19', 'Philippe Le Barbier', '[D42626] Redressement des dossiers TAIGA en collision\n\n[D42626] Version intermediaire\n\n[D42626] version avec écriture dans table data999tmp_alertes et dans fichier csv pour test\n\n[D42626] Mise à jour des NIR avec maj de la table cmr999.alertes\n\n[D42626] [maj_base] ajout dans cmr999.travail du code FUSPL (ne pas mélanger avec les pal_qc)\n\n[D42626] Modification du contrôle des champs de type TYP_RED\n\n[D42626] modification dates\n\n[D42626] [maj_base] renommage sql sur maj table TRAVAIL (cmr_999)\n\n[D42626] modification entête\n\n[D42626] changement dans la position du champ cle_nir.\n\n[D42626] Collisions NIR : corrections suite à relecture code\n\n[D42626] Collisions NIR : mv dans FC_A_TRAITER remplacé par mv dans FC_TRAITES\n\n[D42626] Collisions NIR : ajout du numero de ligne si exception\n', '', '', '', 'philippe.lebarbier@atos.net', '', '', 0),
(214, 4, '92e1ba7f84f24547d824bcc89f1366b5b61fda31', 'master', 164, '2016-08-25 17:07:58', 'Lionel Giordanengo', 'integ.sh : Correction pour le product correct dans le corps du mail\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(215, 4, 'a726a8ee1d92b36a6d1290f1c8520d1cdbb11c66', 'master', 2, '2016-08-19 17:59:45', 'Louis BAYLE', 'Livraison 1.6.47_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(216, 4, '785fc03003d92b9629500dc58b98bd2d9cdc2d8e', 'master', 2, '2016-08-11 13:24:38', 'Louis BAYLE', 'InternalTools: ajout check dans tar_saga_file.sh\n\nperte de 2 jours sur recette Appel TO en raison d\'un fichier 0k ...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(217, 4, 'fb1154428a7ba6755554c4110610f69dca1081fd', 'master', 2, '2016-08-08 17:11:19', 'Louis BAYLE', 'Livraison 16.0.3_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(218, 4, '11c1b0f43fdd0d429efd3c162933e36b9c0dd339', 'master', 72, '2016-07-12 15:41:38', 'Alain Tassotti', 'D43051  Ajout de la fonction d\'affichage apres creation du doc > modif  LanceARCAD.cmd\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(219, 4, 'b188f165ba52aaddeb7e341990058ff31b9c149d', 'master', 164, '2016-06-28 09:50:20', 'Lionel Giordanengo', '[D42962] Renumérotation Nomenclatures Specifiques\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(220, 4, 'ac5db2101ad574a10231bc3e4d2de9a8f0951b8b', 'master', 2, '2016-09-13 17:54:43', 'Louis BAYLE', 'InternalTools: bq.sh (modernisation du chaine_quot.sh)\n\n--- A TESTER ---\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(221, 4, '01622542c4239c5598c1edd8a60f0bd35d175bb7', 'master', 164, '2016-08-22 16:09:17', 'Lionel Giordanengo', '[D43249] Report de la 16.0.3 : modif bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(222, 4, '4a134361468eb339e6fc8ec292b1f00fb7e96ba3', 'master', 164, '2016-06-27 14:14:34', 'Lionel Giordanengo', 'Internal Tools modif corrective scripts integ\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(223, 4, 'b05eae3ed768682cc4a7cc29d7a28bb522a274aa', 'master', 164, '2016-06-22 11:10:19', 'Lionel Giordanengo', 'Merge branch \'15.1.82\' into 15.1.83\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(224, 4, '75dee2cf1f4c063d43e6553e881d55c1b6d884b3', 'master', 164, '2016-09-23 15:23:14', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.10) into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(225, 4, 'a1a2d2eaf2c485df9b36bb8e904b427e0cfc2d62', 'master', 164, '2016-10-05 10:39:07', 'Lionel Giordanengo', 'Livraison 16.0.25_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(226, 4, '3bb297294808ee3ec4f22eb4935a215c182bacda', 'master', 2, '2016-09-30 16:41:03', 'Louis BAYLE', 'majbase 16.0.11_02\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(227, 4, '9a8d31c9a7514ef627f627fe2874e241396d801f', 'master', 164, '2016-08-23 13:49:11', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.26\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(228, 4, '8182414da7eaee6cee50085f7eb17f5b340e1764', 'master', 199, '2016-09-20 11:39:36', 'Bertrand FONTANEL', '[D43339] ajout ctrl CT3040\n\n[D43339] passage de CT3040 à CT3041\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(229, 4, 'd40763088550ad1fc2bc7348ac497b8a63295b78', 'master', 164, '2016-09-23 11:45:55', 'Lionel Giordanengo', 'Livraison 16.0.20_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(230, 4, 'f36d6a07b3b7bb145bc09e50f48e84a3c4b975ae', 'master', 199, '2016-10-06 18:00:33', 'Bertrand FONTANEL', '[D43442] drop de la sequence t_dat_seq\n\n[D43442] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(231, 4, 'e3c3b25b74b90fbe5e22633c4785ca3b74b86dc1', 'master', 164, '2016-10-07 16:05:30', 'Lionel Giordanengo', '[D43508] Revert \"D41664 Correction du calcul de la dlp dans les packages pck_cqpntf50.sql et pck_cqpntf60.sql\"\n\nThis reverts commit 43a10390228a46f7a8e144ffad95024d39489a4d.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(232, 4, 'c6c5bcbbc02852f5cae6eea27655ba1e8fcd16fc', 'master', 164, '2016-06-21 17:04:23', 'Lionel Giordanengo', 'InternalTools : Amelioration du fichier_livraison_xx.txt avec toutes les infos renseignées\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(233, 4, '709836c05874bd5067d2416bf1f51da267b2c6d2', 'master', 164, '2016-08-24 11:44:43', 'Lionel Giordanengo', 'DOCS : Corrections des propriétés incorrectement positionnées\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(234, 4, '887c6441807280d976e38895330b6d28874ae81b', 'master', 199, '2016-08-19 17:52:25', 'Bertrand FONTANEL', '[D43236] correction spoc23 centimes\n\n[D43236] correction shell à la volée\n\n[D43236] final\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(235, 4, '94ecc5ff2d289c3065a5b4a0b8275191814cbc98', 'master', 246, '2016-08-10 16:31:55', 'Olga TOINON', 'InternalTools: modification de la saisie de date et de l\'extension des documents créés\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(236, 4, 'cc8a88fa02ff76fcc86bb424ed9a24bffccc411c', 'master', 2, '2016-08-08 11:38:53', 'Louis BAYLE', 'majbase 16.0.3\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(237, 4, '7ff93102f4f5ea5ac716fcdf8727397d4c8f0628', 'master', 164, '2016-07-08 10:09:20', 'Lionel Giordanengo', 'Merge branch \'master\'  (15.1.98) into 15.1.93\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(238, 4, '2018cec722ce701d3df96196cfedfc5073250577', 'master', 164, '2016-06-27 16:52:23', 'Lionel Giordanengo', 'Livraison 16.0.0_005 Pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(239, 4, '74810b890b21287c61659e047c66158a608243e0', 'master', 164, '2016-08-22 16:02:42', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.10\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(240, 4, 'c14b97a4eb4eeea5657aedfed7146bccebddac16', 'master', 164, '2016-06-27 10:12:02', 'Lionel Giordanengo', 'Merge branch \'15.1.95\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(241, 4, '635256838b04743ea2e6eaf167c824d0b4de79f2', 'master', 164, '2016-06-16 12:09:57', 'Lionel Giordanengo', 'Livraison 15.1.83_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(242, 4, '6706c3a6dee9470e61e4d5ac8c39573b75a0238a', 'master', 164, '2016-06-16 11:53:23', 'Lionel Giordanengo', 'Livraison 15.1.82_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(243, 4, 'e425ec0957550eec144afafb2da4417c10b46ca6', 'master', 164, '2016-09-12 11:27:41', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(244, 4, 'b02421d03d7cda1633134aa03742b4210fee9816', 'master', 164, '2016-10-05 10:36:00', 'Lionel Giordanengo', '[D43468] Deplacement des fichiers conformément à la demande de P. Lombardo\n\nmail du 30.09.2016 de p. Lombardo :\nBonjour,\nSuite aux points téléphoniques que j’ai eu avec Lionel et puis Corinne :\n\n1-      Les composants sont du type cbl, copy et sh sous solaris.\n\n2-      La livraison se ferait dans une nouvelle arborescence dimension du product TAIGA : (en bleu l’existante, en rouge la nouvelle)\n-          TAIGA/1_titulaire/Outils_qualif/Outils_qualif/Solaris/sh\n-          TAIGA/1_titulaire/Outils_qualif/Outils_qualif/Solaris/cbl\n-          TAIGA/1_titulaire/Outils_qualif/Outils_qualif/Solaris/copy\n\n3-      Les « upload rules » sont creées :\na.       + TAIGA/1_titulaire/Outils_qualif/Outils_qualif/solaris/sh/%           SH       SRC_DEV           TA_NP_SOLARIS\nb.      + TAIGA/1_titulaire/Outils_qualif/Outils_qualif/solaris/cbl/%          CBL     SRC_DEV           TA_NP_SOLARIS\nc.       + TAIGA/1_titulaire/Outils_qualif/Outils_qualif/solaris/copy/%       CBL     SRC_DEV           TA_NP_SOLARIS\n\n\n4-      Ne s’agissant que d’outillage, ne partant pas en production, il semble inutile de créer une version spécifique. Une simple livraison complémentaire dans le cadre d’un projet partant en prod incessamment sous peu, suffirait. La V16.0.25 (PC_27171_TAIGA - Documentation Colonne table), livraison « technique », semblerait être une bonne solution.\n\n5-      La qualification sera effectuée par QI (moi-même) rapidement.\n\n\nCordialement,\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(245, 4, 'a825ba3a2209c4319980f101ac3c98a563bc9cb4', 'master', 157, '2016-09-30 11:34:11', 'Vincent GENTIL', '[D43443] application du defect 42386 (periode regul n-1 ouverte meme si appel regul non passe, pour 3en1) uniquement aux cmr 53 et 54\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(246, 4, '8894e5029a4db8a79bf03ed04bd2c8f151dd3696', 'master', 164, '2016-07-28 11:35:33', 'Lionel Giordanengo', 'Livraison 16.0.26_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(247, 4, '6836cf375871cf8d5070f6e809cc1c7c03466040', 'master', 164, '2016-09-23 11:43:14', 'Lionel Giordanengo', '[D43436] report de la 16.0.10 commit bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(248, 4, 'dca2caac9801fa7ea1113363adffb73eab2691e5', 'master', 199, '2016-10-06 17:58:07', 'Bertrand FONTANEL', '[D43434] correction bug 39452\n\n[D43434] ajout commentaire\n\n[D43434] correction alim fichier trace et log\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(249, 4, 'e7ff6bc4f520221731a421e48875ef323586bfec', 'master', 199, '2016-10-07 14:30:34', 'Bertrand FONTANEL', '[D43523][D43528] correction spoc21 3en1 absents (squash)\n\n[D43523] Ajout spoc21 absent cas revenu estimé\n\n[D43523] ajout maj base\n\n[D43523] correction de la sélection des spocs22 (cas des 98)\n\n[D43523] maj du maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(250, 4, '927aef02d2cad4d3ea07520b723127fb62b428bb', 'master', 2, '2016-06-21 16:18:00', 'Louis BAYLE', 'Merge branch \'15.1.81\' into master\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(251, 4, '5a8a36beb90954b31a0727173909c064ccf39569', 'master', 2, '2016-08-23 11:14:01', 'Louis BAYLE', 'template_RDD.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(252, 4, 'f12d7eb60614ce3523e4efd0797d940271c6884f', 'master', 2, '2016-08-09 15:32:26', 'Louis BAYLE', 'Merge branch \'TAIGA_PALL_1.6.41\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(253, 4, 'eecd4581d3ab7509e6480dabe7551a086cc3fb45', 'master', 2, '2016-08-08 11:34:42', 'Louis BAYLE', '[43127][39671] Modification délai de prescription\n\nAuteurs: Isa Lagier, Alain Tassotti\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(254, 4, '11cb260cb46b698a7bc94fcf84e777325b04bd45', 'master', 164, '2016-06-24 11:01:47', 'Lionel Giordanengo', 'Livraison 15.1.93_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(255, 4, 'a6f0b8b813497b50e3084a6a2c7a0a495aaaf6a4', 'master', 164, '2016-06-27 16:47:57', 'Lionel Giordanengo', 'RF sur ifnnom94.dat et comparaison.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(256, 4, '26e35653c460970f30756ed02df4870a62f55d54', 'master', 2, '2016-08-19 15:14:04', 'Louis BAYLE', 'InternalTools: lanceur_BQ_APR.sh\n\nBQ + APR + DUMP\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(257, 4, 'fef866807e159c430309a1d025cb0b331a3736f2', 'master', 164, '2016-06-24 16:31:55', 'Lionel Giordanengo', 'Internal Tools modif corrective scripts\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(258, 4, 'a37e3eb42d4ffc41ff9e05bea1f28602b26d7a16', 'master', 164, '2016-06-16 15:49:39', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.79) into 15.1.95\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(259, 4, 'de492ec8d4f1ec1fc17b1fdc5e44ad4025199d95', 'master', 164, '2016-06-16 12:05:46', 'Lionel Giordanengo', 'Integ rennommage Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(260, 4, 'd3de0993ad2cb4e97f105c6c365509a21a3ad929', 'master', 164, '2016-06-16 11:49:33', 'Lionel Giordanengo', 'Integ Renommage du Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(261, 4, '78cfdf37f2b43a671909e5526a85b00b98ee0a14', 'master', 164, '2016-08-23 17:03:10', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(262, 4, '77115a9844bcab081e4245f5d000ba18cdff9ea4', '17.1.0', 199, '2016-11-22 16:59:56', 'Bertrand FONTANEL', '[D43417] decommissionnement + bilan v1\n[D43417] decommisionnement bilan perso DSI a la demande\n[D43417] Ajout bilan national\n[D43417] shell de fusion des fichiers\n[D43417] pour sauvegarde\n[D43417] Ajout index sur w01_cqpenv01_assu\n[D43417] correction erreur de compile\n[D43417] ajout relance recommandee\n[D43417] Mise à jour des DEX et guide d\'exploitation et modification du shell cjcenv02.sh\n[D43417] revert pck_cqprar00.sql\nrevert from commit 8935228f22cd6\n[D43417] gestion recommandées\n[D43417] modif diverses\n[D43417] Mise à jour des cartouches des DEX\n[D43417] Mise à jour des cartouches des différents guides\n[D43417] Mise à jour du dex de l\'émission à la demande et modification des dex de l\'émission initiale et complémentaire\n[D43417] correction diverses de mise au propre\n[D43417] correction faute de frappe\n[43417] Modification des différents dex\n[D43417] Ajout maj base\n[D43417] correction DEX emission initiale\n[D43417] Maj DEX à livrer\n[D43417][D43474] maj des guides d\'exploitation\n[D43417] Mise à jour des différents DEX\n[D43417] Ajout gestion lot plus de 10\n[D43417] Correction faute de frappe\n[D43417] passage au format UNIX\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(263, 4, '8d15953cf5ca178c51156a7ef58a7cdbcf8722a8', '17.1.0', 246, '2016-11-22 17:01:13', 'Olga TOINON', '[D43621] Modification de la règle RG1_004 afin d\'exclure tous les polyactif agricole dont la date de début est inférieure ou égale à la date de fin de la déblaration en cours, qui sont non prestataire et non multi-régime\n[D43621] maj_base_D43621.sql pour la modification du package pck_cqenv01.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(264, 4, 'bd3bc16611380a5bc4e8e768cb515fe526595bef', 'master', 167, '2016-10-05 10:28:26', 'Philippe Le Barbier', '[D43468] FUSION  PL - outils de vidage SAGA\n', '', '', '', 'philippe.lebarbier@atos.net', '', '', 0),
(265, 4, 'e089013fd2a38498ff81f60d0d11c93a8531c6b0', '17.1.0', 1, '2016-11-22 17:18:51', 'Louis BAYLE', 'majbase 17.0.0_01 (EM)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(266, 4, 'd429d85828c7b4df975f99401c6d44ef4f2baa70', 'master', 2, '2016-09-21 11:05:52', 'Louis BAYLE', 'Livraison 16.0.11_001\nmajbase 16.0.11_01\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(267, 4, '717044553177868b5f010052c4fd42bf5de89200', '17.1.0', 1, '2016-11-22 17:38:20', 'Louis BAYLE', 'Livraison 17.0.0_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(268, 4, '6e8d0a349455bb789e273dd62c17314081c5484b', 'master', 164, '2016-07-28 11:29:01', 'Lionel Giordanengo', '[D43093] Trt Assistance : SOCLE – Celtick – TAIGA  – 15.1 – IJCRIB13.SH - Inc 195929\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(269, 4, '7a17b7f0108576419bfcd942269e1fe344a5f636', '17.1.0', 164, '2016-11-29 15:44:14', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 17.0.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(270, 4, '01c2026fdf5cf225f0c19e45743487bc29c8c9c5', 'master', 164, '2016-09-23 11:32:27', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.10) into 16.0.20\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(271, 4, '26d4382b7fcc5b47292f8a54b132b544f1cd8050', '17.1.0', 1, '2016-11-30 13:49:13', 'Louis BAYLE', '[D43840] majbase + creation index\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(272, 4, 'cbc315be38c1a7fccd9327c0f02c6aa4dabd5711', 'master', 2, '2016-10-04 12:08:27', 'Louis BAYLE', '[D43518] Merge branch \'16.0.15\' into 16.0.40\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc23.sql\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(273, 4, '5fd88a468438039061a1ae4cdf4a3b5c9ed4a8bd', '17.1.0', 199, '2016-11-30 13:49:43', 'Bertrand FONTANEL', '[D43817] correction des fichiers log\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(274, 4, '9d1b6bcce3a5acb59cc8f5640a65f7c3571ddb83', 'master', 164, '2016-10-07 14:28:11', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.15\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(275, 4, '68b44ef814130e6fa9a1735b355eb2c6d4e454d5', '17.1.0', 134, '2016-11-30 13:50:10', 'Isabelle LAGIER', '[D43835] Augmentation nb de lignes li_decl\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(276, 4, 'd3fefaedc50346c9f0394135c20fbe398660649a', 'master', 246, '2016-06-21 14:15:05', 'Olga TOINON', 'InternalTools:execRequeteVolumetrie\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(277, 4, '1c4b17b48a6eef50011194b1ed9cd7f80516d1b2', '17.1.0', 1, '2016-11-30 14:50:32', 'Louis BAYLE', 'Livraison 17.0.0_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(278, 4, '125434f3836c0967707aa68318e22358017a064d', 'master', 164, '2016-06-14 11:27:52', 'Lionel Giordanengo', 'Livraison 15.1.81_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(279, 4, '5e2cc2829cd75ca3dd97565b1a3219732dfbfa3a', '17.1.0', 164, '2016-11-30 16:30:44', 'Lionel Giordanengo', '[D43840] correction majbase\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(280, 4, '657986c5765107d5719d0431146484941f1830d5', '17.1.0', 164, '2016-11-30 16:35:01', 'Lionel Giordanengo', 'Livraison 17.0.0_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(281, 4, 'fd692a2d9c63a9df5a4749443d2c8e1d1b000e5f', 'master', 2, '2016-08-05 18:01:17', 'Louis BAYLE', 'Merge branch \'16.0.2\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(282, 4, '30c62c2f616705b2adeaf19b9092e91cfcf950b9', '17.1.0', 164, '2016-12-02 11:44:25', 'Lionel Giordanengo', '[D43863] Retrait du defect 43464 de la version 17.0.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(283, 4, 'fd3cfdf0c990b24bad358820cab5abbccfa4bbae', 'master', 2, '2016-08-01 11:38:11', 'Louis BAYLE', 'Livraison 1.6.41_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(284, 4, '61809c6f7d9b81973d99095a2391475d446c843e', '17.1.0', 164, '2016-12-02 12:08:53', 'Lionel Giordanengo', 'Livraison 17.0.0_005\nL\'iteration _004 n\'existe pas dans GIT car ca a ete une action faite\nuniquement dans DIMENSION\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(285, 4, '73c7fcda97921192c5f3c129c6a44a86e584fac1', '17.1.0', 199, '2016-12-05 10:20:07', 'Bertrand FONTANEL', '[D43417] Dex\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(286, 4, '54933ab352bd0524463d4729e8374de83535224c', 'master', 72, '2016-06-24 10:51:34', 'Alain Tassotti', '[D42942]  Correction lanceur arcad pour supprimer la ligne de lancement dans le cas des tests\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(287, 4, '58f9fb81876c0c44db026c9529c457f54ce5d698', '17.1.0', 164, '2016-12-19 11:20:30', 'Lionel Giordanengo', '[D43907] Revert \"[D43835] Augmentation nb de lignes li_decl\"\n\nThis reverts commit 68b44ef814130e6fa9a1735b355eb2c6d4e454d5.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(288, 4, '9c3028754f3f8da8ea46e03f66e6227c8fb10a8b', 'master', 164, '2016-06-27 16:46:32', 'Lionel Giordanengo', 'Merge branch \'15.0.35\' into 16.0.0\n\n# Conflicts:\n#	1_titulaire/Nomenclatures/Nomenclatures/oracle/nomenclatures/data/specifique/ifnnom94.dat\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(289, 4, '9214bb36214011e63a747ffb9d92ade7aae3f40e', '17.1.0', 164, '2016-12-19 11:26:23', 'Lionel Giordanengo', 'Livraison 17.0.0_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(290, 4, '19c8f2afd0abb2a2e0a004e53dee6e4c9c10ff5b', 'master', 2, '2016-08-18 18:52:01', 'Louis BAYLE', 'Livraison 16.0.10_007\n\nAppel TO (RUN_2)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(291, 4, '15f5aa9ec91d2a6a1c0b636f8149be9d16889651', '17.1.0', 164, '2016-12-22 14:56:15', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.55) into 17.0.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(292, 4, 'd9e467709c415dc8e1ce4ec42641e1c5d17adf90', 'master', 2, '2016-06-24 13:07:44', 'Louis BAYLE', 'InternalTools: ALM_to_CodevTT\n\n@IP interne Atos en attendant le certificat SSL du serveur\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(293, 4, '5b3f10c9c7b75b5676ede4d536a5a257985edb07', '17.1.0', 164, '2017-01-03 11:10:26', 'Lionel Giordanengo', '[D43953] Merge branch \'17.0.0\' into 17.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(294, 4, 'c176e7a123e59a52cd48ed77983521e6bf44ae30', 'master', 164, '2016-06-03 14:46:23', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.75) into 15.1.95\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(295, 4, 'cbd385412af2dec24c2abeb231d966ee825faab0', '17.1.0', 164, '2017-01-03 11:20:11', 'Lionel Giordanengo', '[D43953] Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(296, 4, 'f37369196b0173377a496252f296312056a6a9b0', 'master', 164, '2016-06-14 14:58:05', 'Lionel Giordanengo', 'merge branch \'15.1.79\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(297, 4, '97de094649899a69ba655054318ad6ad4bb40385', '17.1.0', 164, '2017-01-03 11:46:34', 'Lionel Giordanengo', 'Livraison 17.1.0_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(298, 4, 'ada30ea32aab6955e39b4c7e602e1473cae7c7fe', 'master', 157, '2016-06-16 12:04:16', 'Vincent GENTIL', '[D42847] Correction anomalie génération SPOC23\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(299, 4, 'd374ef57deb1512a607fb0b58b7a2d6fa95f6a6a', 'master', 157, '2016-06-16 11:43:06', 'Vincent GENTIL', '[D42884] Correction procedure de limitation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(300, 4, '045abc82f5298d648244d88a6490274618510570', 'master', 164, '2016-07-05 16:29:46', 'Lionel Giordanengo', 'Livraison 16.0.30_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(301, 4, '02d848bf896acb6209915d159236b375f1c7b5c2', 'master', 164, '2016-09-23 15:04:14', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.10) into 16.0.25\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(302, 4, '8c3e53e18201380c9fde8044d30fb5f904590fdd', 'master', 199, '2016-09-20 16:40:33', 'Bertrand FONTANEL', '[D43331] repport sur master\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(303, 4, '552305cb5bfc3d03a8720edd203cb8a4016e6eb9', 'master', 164, '2016-07-27 14:48:31', 'Lionel Giordanengo', 'Livraison 16.0.26_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(304, 4, '211604c095bb8977a6817b008bcf0ca5da386d0c', 'master', 164, '2016-08-25 10:48:49', 'Lionel Giordanengo', 'Livraison 16.0.20_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(305, 4, '4035b0e3c4ea979f91840391ace8cb97d36974a6', 'master', 164, '2016-09-23 16:17:26', 'Lionel Giordanengo', 'Script : vidage fichier trace lanceurAPP\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(306, 4, '5bf4e291746a7bdf7d1a178e2706403097b2b1be', 'master', 164, '2016-09-29 16:24:29', 'Lionel Giordanengo', 'Livraison 16.0.15_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(307, 4, 'e067c18c424e2010176d7a8bcbb227fe95c80882', 'D41937', 199, '2017-01-03 10:09:48', 'Bertrand FONTANEL', '[D41937] pour sauvezgarde\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(308, 4, '88372e8c2a861aa4136e9f5c46a4ae4a63a31699', 'D41937', 199, '2017-01-02 08:51:21', 'Bertrand FONTANEL', '[D41937] spoc 11 et 41 : ajout des quantiemes\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(309, 4, '0eba6a8729c34368276fd719966aae7a7870a568', 'D41937', 199, '2016-12-23 16:33:54', 'Bertrand FONTANEL', '[D41937] vues + divers spoc 41 et 43\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(310, 4, '18167866e0ac396e5f016c7c54d61b3656400587', 'D41937', 199, '2016-12-22 10:10:12', 'Bertrand FONTANEL', '[D41937] correction create table w01_spoc11\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(311, 4, 'b08cf0132ab3d466883fe0401b0b7ac2624ecf5e', 'D41937', 199, '2016-12-22 09:24:38', 'Bertrand FONTANEL', '[D41937] pour saving\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(312, 4, '10f13f04e51af97cf9fb1a81a8b69b21f57806c8', 'D41937', 199, '2016-12-21 12:47:03', 'Bertrand FONTANEL', '[D41937] spoc 11 et 41 ok\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(313, 4, '335c52638f57ccdf246a44bb0c0c39d53e531ef4', 'D41937', 199, '2016-12-20 08:55:05', 'Bertrand FONTANEL', '[D41937] ajout package outils communs\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(314, 4, 'a07d7fb07ea80825cbddf1284ea6258d42fdcad8', 'D41937', 199, '2016-12-19 15:18:55', 'Bertrand FONTANEL', '[D41937] Maj tables de parametrage\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(315, 4, '9fe738f02ce6d04eeb091dead172bb46153abdf5', 'D41937', 199, '2016-12-19 14:57:37', 'Bertrand FONTANEL', '[D41937] Ajout maj nirnip, oc et doublons\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(316, 4, '20e7545f07c16b0406b45865c73fd025c8750279', 'D41937', 199, '2016-12-19 14:36:54', 'Bertrand FONTANEL', '[D41937] Ajout des grants + gestion evenements\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(317, 4, '5356d9ebc962d9467b9df2a2d9fd4e8d8b652a93', 'D41937', 199, '2016-12-19 09:16:32', 'Bertrand FONTANEL', '[D41937] grant + maj spoc 11 13 43 et evt\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(318, 4, 'e398608906fbddab01297fb32924085f316bcaa9', 'D41937', 199, '2016-12-16 14:59:01', 'Bertrand FONTANEL', '[D43937] Gestion spoc13 v1\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(319, 4, '95d118264cbf6ac1fafddf65939897415a9339ac', 'D41937', 199, '2016-12-16 11:37:54', 'Bertrand FONTANEL', '[D41937] Gestion spoc11 : deplacement du controle des champs obligatoires\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(320, 4, 'cf20b84f40d7704a1b73a2c283b7307f0fc8f7dd', 'D41937', 199, '2016-12-16 11:04:18', 'Bertrand FONTANEL', '[D41837] Gestion spoc11\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(321, 4, 'a7b5c5a89107d366d4644bc62983189255b0ab37', 'D41937', 134, '2016-12-15 17:27:26', 'Isabelle LAGIER', '[D41937](12303)package déplacé\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(322, 4, '3b3796055b03632450f73434e9ad7ba22ad31faa', 'D41937', 169, '2016-12-15 17:27:03', 'Fabien TROPIS', '[D41937](m12306) trigger de journalisation complementaire\n\n[41937](12309) alimentation de la table w01_spoc_evt\n\n[41937](12309) commit intermediare\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(323, 4, '20c5de4143b1eefd4d050643303dcf7322988f35', 'D41937', 246, '2016-12-15 17:15:49', 'Olga TOINON', '[D41937] Modification des spool de cotisation\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(324, 4, '8f35a929a8528c17a322ff3035f0fd6d4cffac82', 'D41937', 158, '2016-12-15 17:06:59', 'Martine RENIER', '[D41937](m12311) SPOC Moteur géné article - alim table W01_SPOC 11\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(325, 4, 'a008147877cf700380a96642b6e5bd0abf7c2dad', 'D41937', 169, '2016-09-21 11:29:27', 'Fabien TROPIS', '[D41937](m12305)Nouvelles definition Tables\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(326, 4, 'ec4ffa9993ad6e7d1cc9e773bc4fe1e9dfb7452a', 'D41937', 169, '2016-09-05 18:06:17', 'Fabien TROPIS', '[D41937](m12305) Corrections Tables + maj_base\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(327, 4, '7e666f16308c41f80bd46821e506eec2bd679a26', 'D41937', 169, '2016-09-05 14:23:14', 'Fabien TROPIS', '[D41937](m12305) Création nouvelles tables\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(328, 4, '782607a4b1852162c005341f220287b449999666', 'D41937', 169, '2016-08-29 18:09:54', 'Fabien TROPIS', '[D41937](m12330) Convertion MAJOC2\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(329, 4, '39f619bb4d4be2d0db88e86609018209aa944197', 'D41937', 169, '2016-08-29 18:05:02', 'Fabien TROPIS', '[D41937](m12330) Conversion MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(330, 4, 'a61ed6d78bf621ea7c96f37e2e1df5af8219f5c5', 'D41937', 134, '2016-07-04 15:18:14', 'Isabelle LAGIER', '[D41937] Package qui retourne la date d\'effet du code régime\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(331, 4, 'f73045752c01529726735ad1f084fef0bdcb2dc9', 'D43981', 199, '2017-01-04 10:15:32', 'Bertrand FONTANEL', '[D43981] correction libellé CMR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(332, 4, 'e110b676d53dedbe0ab881c8a38224c1f289435c', 'master', 164, '2017-01-04 11:33:58', 'Lionel Giordanengo', 'Internal Tools : traitement des REDA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(333, 4, 'd077214b3e5bba052276444fd91f9f91fc6f7f03', 'master', 74, '2017-01-05 15:29:24', 'Isabelle Finette', 'InternalTools : script NSDK (version)\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(334, 4, 'd1ffb7c4b1aeed4979dab5e7a9a88c546cc550cc', 'D43658', 157, '2016-11-23 13:53:23', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(335, 4, '85f1e549a8c108ef6e58838bdd8faf0a8a22d1d0', 'D43658', 157, '2016-11-28 14:31:47', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(336, 4, '473877811b2e925b2191d07733bce840b1dc4506', 'D43658', 157, '2016-11-29 10:10:50', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(337, 4, '7ad30d3555b1432a403df8dca89163281baa6f9b', 'D43658', 157, '2016-12-02 16:00:36', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(338, 4, 'a943725a2196d3189970eb1e5c9bb7c3ad793002', 'D43658', 157, '2016-12-05 10:37:45', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(339, 4, '98c67b5dc30897de92da3b0f687d4b9bff53af9e', 'D43658', 157, '2017-01-05 15:37:57', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(340, 4, '5ae603767027824a8094d1d938cd6b28ba29ca8a', 'master', 1, '2017-01-05 16:59:14', 'Louis BAYLE', 'InternalTools: maj scripts refreshBDD & putenv\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(341, 4, 'a9bedbfd4cf5932f812001279b12d552ac08da3d', 'D41937tmp', 146, '2017-01-05 17:34:01', 'Achraf AKRIMI', '[41937] SPOC-Moteur integration reemission\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(342, 4, '8bdd08d0c8535dda64355e842949fa41c216542b', 'D41937', 199, '2017-01-06 09:59:32', 'Bertrand FONTANEL', '[D41937] pour sauvegarde\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(343, 4, 'dad18e304a28edf0cf6fa6e8f3a07555acb88a45', 'D43995', 199, '2017-01-06 10:03:20', 'Bertrand FONTANEL', '[D43995] correction libellé\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(344, 4, '0134bf94a2011fadf2b92d2186b95385ca05b8d0', '17.0.0', 199, '2017-01-06 10:48:11', 'Bertrand FONTANEL', '[D43924] changement de caractere\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(345, 4, 'f496f42e7cf12f4988811cd8a2a750ff963c8bbb', '17.0.0', 199, '2017-01-06 10:59:59', 'Bertrand FONTANEL', '[D43925] Correction oc\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(346, 4, 'e41672854e669b3c35ee6ad6236110b881761ffb', '17.0.0', 199, '2017-01-06 11:01:36', 'Bertrand FONTANEL', '[D43930] correction jointure spoc80\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(347, 4, 'abcfdf972ded75abb8400c641288220984827c7f', '17.0.0', 199, '2017-01-06 11:08:46', 'Bertrand FONTANEL', '[D43995] correction libellé\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(348, 4, 'ab3acb6907b7258509d66589acb868903ccbc6cf', '17.0.0', 199, '2017-01-06 11:26:31', 'Bertrand FONTANEL', '[D43981] correction libellé CMR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(349, 4, 'd31df76051b2543a5ff6629906c81ef892d994c8', 'master', 1, '2017-01-06 12:11:01', 'Louis BAYLE', 'DOC: OneNote archive\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(350, 4, '90d5114a7ef16659b598600562751fafe56de7cf', '17.0.0', 164, '2017-01-06 14:41:42', 'Lionel Giordanengo', 'Livraison 17.0.0_008 prep\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(351, 4, 'b775785527b48dd51ee9e4dff45fdeba971686ea', '17.0.0', 164, '2017-01-06 14:47:29', 'Lionel Giordanengo', 'Livraison 17.0.0_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(352, 4, '631601795cd0d95bfe0d648d0e907aae75ab0e95', 'D44020', 157, '2017-01-09 15:45:40', 'Vincent GENTIL', '[D44020] Correction création enregistrement CAE année N estimée\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(353, 4, 'f666d5f563ff89470f38225a429fdfb403bece2d', 'D43802', 168, '2017-01-09 13:14:55', 'Vincent-Pierre LYS', '[D43802] Correction dans procedure stockée d\'erreurs sur le continue\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(354, 4, '8c5e8e1a090ec33a4e31c6e99cfc9cda2ab4628d', 'D43802', 168, '2016-12-22 17:40:08', 'Vincent-Pierre LYS', '[D43802] modification de IFKASS60_PB_ENREG_EXECUTED pour affichage du refresh => si\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(355, 4, 'f8dde5548366ee69a84449a605a0d108b93554f3', 'D43802', 168, '2016-12-22 11:55:24', 'Vincent-Pierre LYS', '[D43802] curseur de la procedure trait_isa modifié\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(356, 4, '2c3c0bdef3cd3e2ac1f8d168ee01a96defe53428', 'D43802', 72, '2016-12-21 16:00:57', 'Alain Tassotti', '[D43802]  Modification de la SFD de reference TP SFD Fiche Assure\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(357, 4, '9ff8e2ecb0afceb2ac9d8dff93374dfe11d3c2a5', 'G4674', 168, '2016-12-15 15:50:04', 'Vincent-Pierre LYS', '[G4484] fermeture des droits prestation pour conjoint collaborateur et conjoint collaborateur-IJ\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(358, 4, '1feb71bf7f37c63b5dd7ed2177e611d76cb75eb5', 'G4674', 168, '2016-12-15 15:50:04', 'Vincent-Pierre LYS', '[G4464]  Traitement de la regle RG_WS_RAD_TAIGA_063 dans le cas des cessation pensionne\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(359, 4, '1c68383dc5b70674ffca0533ffb1f65abb31ca64', 'G4674', 168, '2016-12-15 15:50:05', 'Vincent-Pierre LYS', '[G4484] fichier maj base\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(360, 4, '8f8badf92b29c0cd3ae2db75e1e81c33123a6ee5', 'G4674', 168, '2016-12-15 15:50:05', 'Vincent-Pierre LYS', '[G4484] correction d\'un mauvais copier coller\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(361, 4, '86dbb03f698f8781e646159495f4e2789e956cc6', 'G4674', 168, '2016-12-15 15:50:05', 'Vincent-Pierre LYS', '[4484] Suite QUAL 2.1.1.01 corrections d\'erreurs de repport et prise en compte des cas ayant plusieurs imma ouvertes=> sortie en erreur.\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(362, 4, '1d60b19dc6a4fe0a62e2eea30e2d8787da530585', 'G4674', 168, '2016-12-15 15:50:06', 'Vincent-Pierre LYS', '[G4498]ajout de l\'alerte 3771\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(363, 4, 'beb06817571b257afe9f3612d5df968c728807ee', 'G4674', 168, '2016-12-15 15:50:06', 'Vincent-Pierre LYS', '[G4485] Changement des criètes de selection du groupe professionnel\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(364, 4, '1defa97cf0402e3d3e9cb3f3aab94e0dc92db842', 'G4674', 168, '2016-12-15 15:50:07', 'Vincent-Pierre LYS', '[G4484] Affichage du groupe pro\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(365, 4, '4e57ebbbe6ced178e86b2baeedf32ac070cf6a80', 'G4674', 168, '2016-12-15 15:50:07', 'Vincent-Pierre LYS', '[G4484] MAJ de la W15\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(366, 4, 'abef8ff3894f8c13f1e71c2ab96a5d1e180829c5', 'G4674', 168, '2016-12-15 15:50:07', 'Vincent-Pierre LYS', '[G4484][G4080] Correction pour récupérer le benf_id  pour inscrire l\'AYD\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(367, 4, '148a899ec295e881030714cbd56ddef8355a674b', 'G4674', 168, '2016-12-15 15:50:08', 'Vincent-Pierre LYS', '[G4484] Suppression de traces restées des précédents commit\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(368, 4, '782f2f27c521a52cb0507a47ed3c3d1682e380f0', 'G4674', 164, '2016-12-15 15:50:08', 'Lionel Giordanengo', 'Nomenclatures : trie des fichiers pour comparaison\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(369, 4, 'ff05cd173234e1c41b3fa984b138aba9c01e8061', 'G4674', 164, '2016-12-15 15:50:08', 'Lionel Giordanengo', '15.1.80 Traitement des nomenclatures\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(370, 4, '73353b1181d6ed1e4f8257cba29363fa6cd29907', 'G4674', 164, '2016-12-15 15:50:09', 'Lionel Giordanengo', 'integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(371, 4, '90d8efe2a5ffec456712e748b1cc8e45a47864fb', 'G4674', 164, '2016-12-15 15:50:09', 'Lionel Giordanengo', 'Livraison 15.1.80_011\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(372, 4, '40f4e9f79a813e14fe6c44ccc20cb7d221a6cea6', 'G4674', 168, '2016-12-15 15:50:10', 'Vincent-Pierre LYS', '[G4656] Prise en compte de la règle RG_WS_RAD_TAIGA_008 sur les dates de fin d\'activité\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(373, 4, 'c7873a41f2a337c0162f5f5ba87459b1452ca547', 'G4674', 164, '2016-12-15 16:01:49', 'Lionel Giordanengo', 'Livraison 15.1.80_011\nA nouveau une 011 car problemes dimensions ont empeche livraisons et entre temp ajout d\'un defect (et suppression d\'un autre qui n\'avait rien à faire la)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(374, 4, 'abc9ed38aae38013191d469632dff9dad0f144f7', 'G4674', 168, '2016-12-22 13:52:38', 'Vincent-Pierre LYS', '[G4698] suppression des traces\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(375, 4, 'e4edc3facbe229676b280e73ac1d83dce179074b', 'G4674', 164, '2016-12-22 13:56:02', 'Lionel Giordanengo', 'Livraison 15.1.80_012\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(376, 4, '271034f6ec68336921b69dc51ede89093f8270ef', 'G4674', 168, '2017-01-09 16:52:46', 'Vincent-Pierre LYS', '[G4674]Suppression de l\'appel a pck_fin_periodes.prc_signalement\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(377, 4, '47c6cab3a6e4985d239ed6eb37e9ed0c4b9e2507', 'G4674', 168, '2016-12-15 15:50:04', 'Vincent-Pierre LYS', '[4488]Limitation du retour à 100 caractères\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(378, 4, 'e14c7a984e1a9f602c394c525b8b615aa7dc1210', 'G4674', 168, '2016-12-09 15:41:27', 'Vincent-Pierre LYS', '[G4534] Correction de la regle RG_WS_RAD_TAIGA_008 pour sortir si les autres périodes d\'activité commencent à la date de radiation +1\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(379, 4, '77748804c4d4f66a7292c7f571fede2f1379c93e', 'G4674', 168, '2016-12-09 15:41:27', 'Vincent-Pierre LYS', '[G4485] Retour du libelle du groupe pro au lieu du code\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(380, 4, '73db587c220b8321cf870bb6f271feef1edde4ad', 'G4674', 168, '2016-12-09 15:41:27', 'Vincent-Pierre LYS', '[G3729] Accusé de réception complémentaire pour le flux d\'affiliation\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(381, 4, 'fa4107abba062ce1e24650582335ca107ca05f69', 'G4674', 168, '2016-12-09 15:41:27', 'Vincent-Pierre LYS', '[G4505]Réouverture des périodes de polyactivite dont la date de fin est postérieure à la radiation\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(382, 4, '980bc9a37f41fd0dd904c3057f93ca8f0b8a4793', 'G4674', 168, '2016-12-09 15:41:27', 'Vincent-Pierre LYS', '[G4519] Modification du curseur de recherche des volets pour permettre un traitement de masse\n[G4519] Deplacement de l\'initialisation des variables utilisees dans les messages d\'erreur\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(383, 4, 'f509343f242beed45722b8860618291ebe0853d6', 'G4674', 164, '2016-12-09 15:39:42', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(384, 4, 'a1a72396b851b3d2e9c6d16a077632cab99a28a6', 'G4674', 164, '2016-10-25 15:15:44', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.30) into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(385, 4, '192fe19ac14a526f0dbb706110b64ffed7056770', 'G4674', 164, '2016-09-30 17:03:26', 'Lionel Giordanengo', 'Livraison 15.1.80_009\nATTENTION : une _010 existe sur DIMENSION pour rattrper un oublie de RF mais le contenu des fichiers est identiques !\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(386, 4, 'e19d34f352cb2ea8c7f9a149573d4c46bb5db4ac', 'G4674', 164, '2016-09-30 15:16:44', 'Lionel Giordanengo', 'commit bidon pour RF ..\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(387, 4, 'f15d261e5fca2815d5f921dbd35a35a1b4eaa071', 'G4674', 164, '2016-09-30 15:02:27', 'Lionel Giordanengo', 'Livraison 15.1.80_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(388, 4, '42f08bc79b73121413c5688e5abb79602cbb366d', 'G4674', 164, '2016-09-30 14:59:17', 'Lionel Giordanengo', 'integ 15.1.80_008 : maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(389, 4, 'a3ad2087ca813dd87fa8409048b5d1f68a93f538', 'G4674', 164, '2016-09-30 14:45:20', 'Lionel Giordanengo', '[G4185] Ajout d\'un test sur flag_annul=0 dans IS_BENF_PER_PENSION_OUVERTE et IS_BENF_PER_ACTI_OUVERTE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(390, 4, '5390a421d816b9d025ed87242c51bc64e8ca5546', 'G4674', 164, '2016-09-30 14:45:12', 'Lionel Giordanengo', '[G4185] Periode OC absente - Modification de Vincent P Lys\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(391, 4, 'a02183a0ca0b84ffea8248c380145b84a5597234', 'G4674', 146, '2016-09-30 14:30:29', 'Achraf AKRIMI', '[D4185] anomalie du traitement PAF dans le cas d’une reprise d’activité de pensionné\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(392, 4, 'df075d8ab5baa905115c603b9fb81ffb5d851123', 'G4674', 164, '2016-09-30 14:06:23', 'Lionel Giordanengo', '[D43501] commit bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(393, 4, '2d3d45433760f2cd509aca144cda2408290149f4', 'G4674', 164, '2016-09-30 14:01:51', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(394, 4, '3eae511bc58a441ed1e7905d137c3a7f068707b6', 'G4674', 164, '2016-09-30 10:16:27', 'Lionel Giordanengo', 'Merge branch \'master\' into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(395, 4, '88acbee4809f35eb7f2dd34d85535e782f40afe5', 'G4674', 164, '2016-06-23 15:09:56', 'Lionel Giordanengo', 'Livraison 15.1.80_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(396, 4, 'b0cc6cf70b50136ac5bc629b28a0a4f8811d52cd', 'G4674', 164, '2016-06-23 15:03:06', 'Lionel Giordanengo', 'Revert \"[D42439] Nomenclature Specifique - MTF_GRAT\"\n\nThis reverts commit 1a5245a7c4d45f6d68d266d1bc788c01c2fab568.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(397, 4, 'a87909ccaf10025ad5f902c5ba4d4aba6c85e7c5', 'G4674', 164, '2016-06-23 15:00:32', 'Lionel Giordanengo', 'Revert \"[D42792] Renumérotation de la nomenclature spécifique en V96\"\n\nThis reverts commit 3c01e8d7743db7e7c2c1c5b7fef9e6f4537370d5.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(398, 4, '0eba9b66efe5992c242c4f09fe9a71f6be4e47f3', 'G4674', 164, '2016-06-21 10:50:49', 'Lionel Giordanengo', 'Livraison 15.1.80_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(399, 4, '3c01e8d7743db7e7c2c1c5b7fef9e6f4537370d5', 'G4674', 164, '2016-06-21 10:35:05', 'Lionel Giordanengo', '[D42792] Renumérotation de la nomenclature spécifique en V96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(400, 4, '41ea4ec5c07aa1919e7defc8732f402120c6f110', 'G4674', 164, '2016-06-07 16:08:55', 'Lionel Giordanengo', 'Livraison 15.1.80_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(401, 4, 'b419eeeae841d7249e71fc12382f0ecb7a1b0397', 'G4674', 146, '2016-06-07 15:58:28', 'Achraf AKRIMI', '[G3662] correctif\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(402, 4, '540359d4efbc0698d85b42a3b3b8d74b7cf6c6cb', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4067] correction regles RG_HIST_012 RG_HIST_015 RG_HIST_009 RG_HIST_014\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(403, 4, 'ced5f8d871d617c204be9b394e90a75d744ce38c', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4067] correction regression (instance 44 n est plus levee en creation)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(404, 4, 'e35c6748be7e565033650ffb6730329693019a3b', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4067] ajout du maj_base\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(405, 4, '7b1e9c542d3eea0de53908b85f4be894925a0b3b', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4067] commit intermediaire\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(406, 4, 'cdc218addf1bb3dbeb5f694f23d99a5376f4e7f1', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4067] commit intermediaire\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(407, 4, '64cbbdec31be105f16d56af1f137387f458aee54', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4067] commit intermediaire\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(408, 4, '50658a0408825ffd5715abfcc896ac42d417ffe3', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4067]  MOA_GAC_REPRISE_PENSIONNES_KO\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(409, 4, '518e2417fb9f18e65c5597c8fc9509b5a1c551e5', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4035] maj base du defect\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(410, 4, '93abe2c02580dac4de30c46a399e7b3817c34f81', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4035] correction du bug qui lève une alerte de code 0, alors le code alerte 0 n\'existe pas\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(411, 4, '483a7c57e4cbfb232d8ac19a53730ab76da89ccd', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4034] maj base du defect\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(412, 4, '41e377abd0736dcfe42e4b3f9fc381cebb9f9833', 'G4674', 146, '2016-06-07 15:46:55', 'Achraf AKRIMI', '[G4034] Une erreur faisait que la periode d\'oc n\'était pas créée en reprise d\'activité. Ce defect corrige cette erreur\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(413, 4, '1a5245a7c4d45f6d68d266d1bc788c01c2fab568', 'G4674', 164, '2016-06-07 15:44:29', 'Lionel Giordanengo', '[D42439] Nomenclature Specifique - MTF_GRAT\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(414, 4, 'ce23fe40f66b973ac542c8d82fc35932f27849e7', 'G4674', 164, '2016-06-03 15:58:54', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.75) into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(415, 4, 'f27bd584057f7ee56ffee7126b32c9386ad1701b', 'G4674', 164, '2016-05-24 11:16:07', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.70) into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(416, 4, 'a5be7bc34a8fe5dfbd46cecb381fbc0084443919', 'G4674', 164, '2016-06-02 10:51:39', 'Lionel Giordanengo', 'Merge branch \'15.1.75\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(417, 4, 'b1d64d6969476cc0289c18d4e3e990d1ca75071f', 'G4674', 164, '2016-05-02 10:33:52', 'Lionel Giordanengo', 'Livraison 15.1.80_004 pour RF ifnnom94.dat\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(418, 4, '11ed47c151a8f18fd0108b8dcea7b6b3dc5ccefd', 'G4674', 164, '2016-05-24 11:13:09', 'Lionel Giordanengo', 'InternalTools correction make_env.pl\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(419, 4, '23b698c9d43e177cdac0e8a1b0f490ce9a44c4f7', 'G4674', 109, '2016-05-27 17:18:38', 'Mathieu GONON', 'InternalTools: Add check_grappe_3en1.sh  v1.0\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(420, 4, '5d2b71a6a598dba5f0a774d526cdb3b43825334e', 'G4674', 164, '2016-05-26 15:49:39', 'Lionel Giordanengo', 'Livraison 15.1.75_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(421, 4, 'ce7827c7ffb00f318ad10a0f6d078421c51a8782', 'G4674', 164, '2016-05-02 10:27:48', 'Lionel Giordanengo', 'Modif Factice dans le ifnnom94.dat pour relivraison ....\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(422, 4, 'd58465c1a4405456959a281e10945281f334c7af', 'G4674', 109, '2016-05-23 17:55:30', 'Mathieu GONON', 'InternalTools: serverInfo => FIX week-end time + Display KO message\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(423, 4, '6cdc31d0c32c7747054150afbf801a7bcbbfe557', 'G4674', 109, '2016-05-27 15:12:53', 'Mathieu GONON', 'InternalTools: Add tamcoc92 to the list\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(424, 4, 'ed7fd9a01637323cc9a8f55e5c081b3c3969de23', 'G4674', 164, '2016-05-26 15:43:17', 'Lionel Giordanengo', '[D42468] Modif pour RF bis\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(425, 4, 'e75b3492686b3590aee35a972355afe47b17a61d', 'G4674', 164, '2016-04-28 15:13:12', 'Lionel Giordanengo', 'Livraison 15.1.80_003 - Pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(426, 4, '23c75139754cf8f7c43e1b072941b68ae6738637', 'G4674', 1, '2016-05-23 11:16:56', 'Louis BAYLE', 'Merge branch \'TAIGA_PALL_1.6.25\' into master\n\nLoB: la branche 1.6.25 a ete reportée dans la 1.6.26,\nmais la 1.6.26 (SCU) n\'existe pas dans git.\n\n# Conflicts:\n#	TAIGA_PALL/1_titulaire/consignes/Note technique integration.doc\n#	TAIGA_PALL/1_titulaire/livraison_TAIGA_PALL.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(427, 4, '79928e7f5c993d316b0a61b65006370287994808', 'G4674', 1, '2016-05-26 10:59:32', 'Louis BAYLE', 'update lanceurDCR.sh\n\nmail de yann guegan 26/05/2016\n\nBonjour,\n\nIl manque le script cjcdcr12.sh dans le shell fourni, il est à ajouter en fin de chaine.\n\n	Contrôle des assiettes sociales\n	Cjcdcr12.sh\n\nObjet : Lancement du contrôle des assiettes sociales\nSyntaxe : cjcdcr12.sh <CMR> <PWD> <SID> <TRAITEMENT \"B\"ilan ou \"R\"eprise>\nExemple : cjcdcr12.sh 054 taiga tatma R\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(428, 4, 'aa9abd920fc7b14ec749ffee7b2e9432360eaef7', 'G4674', 164, '2016-05-26 11:33:35', 'Lionel Giordanengo', 'Livraison 15.1.75_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(429, 4, '78f4de755165f03565fbab6ac156578522b893dd', 'G4674', 164, '2016-04-28 15:05:53', 'Lionel Giordanengo', '[D42515] Report de la 15.1.56 avec RF - commit bidon pour relivrer pck_flux_affi01\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(430, 4, 'a0f887b6fa45a4045f559b5f96dc3b62cbc9b9f3', 'G4674', 164, '2016-05-23 11:05:12', 'Lionel Giordanengo', 'internal Tools : passage au format dos du fichier livraison_xx.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(431, 4, '8aa35fff075fdf41ee12019d9c4b65722491c2da', 'G4674', 164, '2016-02-15 11:17:05', 'Lionel Giordanengo', 'Livraison 1.6.25_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(432, 4, '97f6f8a045aea9a1b6173bb5b5ec775130446bd1', 'G4674', 164, '2016-05-25 15:52:59', 'Lionel Giordanengo', 'InternalTools : correction coquielle putconf_utils.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(433, 4, 'a8ce4d3b54df366dc31a859e00062aae30aadd8f', 'G4674', 164, '2016-05-26 11:31:12', 'Lionel Giordanengo', '[D42468] Modif pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(434, 4, '84d116c22f6be8f191d68c9c3276dc5d33910dd4', 'G4674', 164, '2016-04-27 16:23:33', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.56) into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(435, 4, '879fccbf22ea6308520f38bc04c974962c6077d8', 'G4674', 109, '2016-05-20 16:57:49', 'Mathieu GONON', 'InternalTools: serverInfo => ADD couloirInfo+Change display+Add exemple file\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(436, 4, '49bc636ed460e5e6a9e51aef08b0fa1d32eeadcf', 'G4674', 199, '2016-02-15 11:06:42', 'Bertrand FONTANEL', '[D42065] RDD DRT_PREST AYD - Ano D39144 - ORA0650\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(437, 4, '06e85586c17467fe3b3e5f823828a40ecd2924d9', 'G4674', 1, '2016-05-25 11:28:29', 'Louis BAYLE', 'IntegrationTools: remove deprecated files\n\nces fichiers existent dans IntegrationTools/integ\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(438, 4, '48915243ac3847e9415351470f5f3cddcc9da8ba', 'G4674', 164, '2016-05-26 11:26:08', 'Lionel Giordanengo', 'Merge branch \'master\' 15.1.72 into 15.1.75\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(439, 4, 'cdb470bad8deb40058b82a111541f5e908dd035a', 'G4674', 164, '2016-04-26 14:23:30', 'Lionel Giordanengo', 'Livraison 15.1.80_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(440, 4, '528200f3a45743b3f597470d9c02f82fe460c938', 'G4674', 1, '2016-04-27 09:43:19', 'Louis BAYLE', 'InternalTools: fix gitk open_dir.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(441, 4, 'ec3025d270b312e773c4b69cd9662067ec9a03da', 'G4674', 1, '2016-05-18 09:51:14', 'Louis BAYLE', 'Merge branch \'15.1.70\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(442, 4, '7da2c454bdbc795218eb8507be9662a250481307', 'G4674', 164, '2016-02-12 16:35:23', 'Lionel Giordanengo', 'Merge remote-tracking branch \'origin/TAIGA_PALL_1.4.81\'\n\n# Conflicts:\n#	TAIGA_PALL/1_titulaire/consignes/Note technique integration.doc\n#	TAIGA_PALL/1_titulaire/livraison_TAIGA_PALL.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(443, 4, '1acad62e675fa7cb978778f52ab999e8766ed62f', 'G4674', 164, '2016-05-25 10:23:00', 'Lionel Giordanengo', 'Merge branch \'15.1.72\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(444, 4, 'a93af30d130bc3c0f23b9f307582be1ec5d3f4ec', 'G4674', 1, '2016-05-19 11:01:24', 'Louis BAYLE', 'Livraison 15.1.75_002 bis\n\nen dernière minute: retrait du D41123\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(445, 4, '4136a09c1b18123d2d14e6dbd5d9af86114a7e63', 'G4674', 116, '2016-04-26 14:13:55', 'Arnaud Trousselard', '[G3424] - Correction mineure syntaxe\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(446, 4, '3285db41ae078e4129971de64c13f4c535f2ecf1', 'G4674', 164, '2016-04-22 16:18:46', 'Lionel Giordanengo', 'Correction Template_RDD.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(447, 4, '3508d07b09065c288ab8a555f772d73c2b72e0af', 'G4674', 164, '2016-05-13 16:29:41', 'Lionel Giordanengo', 'Integ.sh reintegration des differents PRODUCT dans le meme script.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(448, 4, '6c8e92930abf8e4d0c9ecc655d093fdbbe9a6961', 'G4674', 164, '2016-04-25 16:05:11', 'Lionel Giordanengo', 'Livraison 15.1.70_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(449, 4, '71929695b839db1b8d58b8edb9493e3cf98f276f', 'G4674', 93, '2016-02-09 16:28:15', 'jean-marc SCOTTO', 'Le document SFD gestion des radiation.doc a été réparé par la MOE\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(450, 4, 'b266c0ccd7d3b6ca99eb4ea42e77a1b42551d85a', 'G4674', 164, '2015-12-02 11:45:23', 'Lionel Giordanengo', 'Livraison 1.4.81_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(451, 4, 'c68d4aafe0fea8a5a85e53c19f107125d2b183d3', 'G4674', 1, '2016-05-20 14:08:20', 'Louis BAYLE', 'Livraison 15.1.72_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(452, 4, '05e347b5e201f87e3ddfd905bf3bbcd3660aad73', 'G4674', 1, '2016-05-19 10:54:11', 'Louis BAYLE', '[42741] Revert \"[D42605] Relivraison du D41123\"\n\nThis reverts commit f5077fd7a65f91930ad607eb8d23b643e315fc1b.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(453, 4, '2f811ce7738a3abcef85e7148a4836d4a350b3fb', 'G4674', 164, '2016-04-26 13:49:19', 'Lionel Giordanengo', 'integ 15.1.80 maj_base cmr et non cir\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(454, 4, 'e0bbf89649c569fc7a199a233e611ce22a1d6721', 'G4674', 164, '2016-04-21 16:58:21', 'Lionel Giordanengo', 'Merge branch \'15.1.56\'\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(455, 4, '68eaa4eebda861d49f6bc274971b1bd4715caa25', 'G4674', 1, '2016-05-13 16:21:03', 'Louis BAYLE', 'Environnements: arret_tuxedo.sh\n\najout des machines FusionPL\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(456, 4, '02c68ecd656d44e71ea135255a920463c789b65d', 'G4674', 164, '2016-04-22 14:32:28', 'Lionel Giordanengo', '[D42596] Revert \"[D41123] correction 1\"\n\nThis reverts commit 7f7a11dba9f48434510ae851abaada7029fe39cc.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(457, 4, '78eb94a59b5721c50d30023cdb1a095a35be7845', 'G4674', 164, '2016-02-08 14:29:00', 'Lionel Giordanengo', 'Internal Tools Putenv.sh : ajout d\'un menu pour faciliter l\'installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(458, 4, '13eef923a7512843381ab68258ccd502feef0c3d', 'G4674', 199, '2015-12-02 09:36:31', 'Bertrand FONTANEL', '[D41776]  Correction recette D37110 suite bug D40259\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(459, 4, '447c0be2ac765af3534a07f4494911f183fa0bb0', 'G4674', 134, '2016-05-20 14:00:28', 'Isabelle LAGIER', '[D42729]- si vide - Nom_fichier = non determine\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(460, 4, 'f713d3b8f583f58afafd8b24ed9a31948ead16a5', 'G4674', 1, '2016-05-18 14:32:06', 'Louis BAYLE', 'Livraison 15.1.75_002\n\nmaj_base_V15.1.75_02.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(461, 4, '42854fda6748e0b7e3e0554a31dc7f9738d5204c', 'G4674', 146, '2016-04-25 14:57:22', 'Achraf AKRIMI', '[G3822] modification des regles de creations et de modifications des entreprises\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(462, 4, 'bc60613f06f6c5b347ff51c602352dc9ccc12761', 'G4674', 109, '2016-04-20 15:33:31', 'Mathieu GONON', 'InternalTools: ALM_to_CodevTT v1.3 => Add schema ALM\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(463, 4, '1ef411422dc452648008849dbdf7c2233048df4f', 'G4674', 1, '2016-04-15 09:14:31', 'Louis BAYLE', 'Livraison 15.1.56_002\n\nun \'RR\' 15.1.53 malencontreux dans Dimensions...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(464, 4, 'fe39aaeee0af0e77bf0ff039b6653f6bddac402c', 'G4674', 164, '2016-05-09 13:08:07', 'Lionel Giordanengo', 'IntegrationTools: refreshBDD correctif\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(465, 4, '5a54250033b3aa1811fba714933a798dfbca479e', 'G4674', 164, '2016-04-22 10:27:32', 'Lionel Giordanengo', 'Merge branch \'master\' into 15.1.70\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(466, 4, '899fda214c234e48b6397164281baee4d6dfa1e3', 'G4674', 1, '2016-02-05 12:05:46', 'Louis BAYLE', 'Merge branch \'15.1.20\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(467, 4, 'cc9fc9b167910ccb6f9fd17f2b8fb2c940675301', 'G4674', 164, '2015-11-30 14:57:49', 'Lionel Giordanengo', 'Merge branch \'15.0.50\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(468, 4, 'fbd21b41a55c81d5914e41628086cb2b05cca8b1', 'G4674', 134, '2016-05-20 13:59:57', 'Isabelle LAGIER', '[D42729]- correction securisation select into\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(469, 4, 'adce91549541de65e6a6f7c205c8052cc72e5cea', 'G4674', 157, '2016-05-18 14:16:04', 'Vincent GENTIL', '[D42599] - Changement modalites de paiement quantieme et code prelevement spoc 31 et 34\n\n[D42599] - Changement modalites de paiement quantieme et code prelevement spoc 31 et 34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(470, 4, '32440130da18ff23854e8b53cabf8d9bfa38a477', 'G4674', 146, '2016-04-22 15:52:37', 'Achraf AKRIMI', '[G3822] modifications des regles de creation et de modification des entreprises\n\n[G3822] commit intermediaire .correction probleme assure avec siren provisoire qui ne s integre pas\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(471, 4, '9ea92428dfcf46ca61301dcf24ad496128f803ec', 'G4674', 1, '2016-04-19 17:01:02', 'Louis BAYLE', 'IntegrationTools: majNomenclaturesSpec.sh (pas fini)\n\nIntegrationTools: majNomenclaturesSpec.sh (pas fini)\n\ntmp\n\nIntegrationTools: majNomenclaturesSpec.sh (pas fini)\n\nmise a part 2 sections manuelles, le script fonctionne...\n\nsupprimer_cmr a ete corrigé\n\ncommit: 79164eedd7\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(472, 4, '2f83901260667271ef75c17e9dd34986f2e7c77f', 'G4674', 1, '2016-04-15 09:14:31', 'Louis BAYLE', 'Livraison 15.1.56_001\n\nrelivraison de la branche 15.1.53 (TAIGA_PALL) en TAIGA\nbasée sur la 15.1.55 en prévision d\'un MEP prochaine de celle-ci\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(473, 4, '3fcf77006dadeedc49db7c93ec2c9b1eba44df36', 'G4674', 1, '2016-05-06 11:39:59', 'Louis BAYLE', 'IntegrationTools: refreshBDD ameliorations\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(474, 4, 'de906b5a75243157f9c14ae75d168cdb22cc3393', 'G4674', 164, '2016-04-21 17:30:48', 'Lionel Giordanengo', 'Merge branch \'15.1.60\' into 15.1.70\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(475, 4, 'f00944fd26ceda0c7335b3a1eb313d9a5f354c41', 'G4674', 164, '2016-02-05 09:58:51', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.5.35\' into master\n\n# Conflicts:\n#	TAIGA_PALL/1_titulaire/consignes/Note technique integration.doc\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(476, 4, 'f1458ed0e7d7f0799da5b69a056fd5f5a1dfddcd', 'G4674', 164, '2016-01-20 16:10:41', 'Lionel Giordanengo', 'Livraison 15.1.20_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(477, 4, '0d5a11df0c6cd988cdfe9c41c150743bd0f07d4a', 'G4674', 109, '2015-11-30 14:50:40', 'Mathieu GONON', 'docCustomProp agit directement sur le repertoire Reference\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(478, 4, '60c19b989e0c3553f249b3ede56098faa73b203d', 'G4674', 164, '2015-11-26 14:44:28', 'Lionel Giordanengo', 'Livraison 15.0.50_012\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(479, 4, '090cf4585b87e45df9d6d0ada061a4c7149a6d79', 'G4674', 1, '2016-05-20 12:07:12', 'Louis BAYLE', 'Livraison 15.1.72_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(480, 4, 'dd3394016b3a09ccae58857ddb3060a7a26a64b7', 'G4674', 164, '2016-04-27 11:09:55', 'Lionel Giordanengo', 'Livraison 15.1.75_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(481, 4, '8472a417d075414430830a507f8b08ff37e9bd9a', 'G4674', 146, '2016-04-14 14:03:01', 'Achraf AKRIMI', '[G3205] gestion des pensionnes en reprise d activites dans le paf\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(482, 4, '79164eedd717ffbf57bab00ced795b0ce5a25182', 'G4674', 1, '2016-04-19 14:38:11', 'Louis BAYLE', 'InternalTools: supprimer_cmr\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(483, 4, 'a67d5c9eeb15ec98129ca73d29ea031c4b083ba4', 'G4674', 158, '2016-04-15 09:14:31', 'Martine RENIER', '[G3954][G3795] Correction ano G3624 (PAF TAB_NOM_ID incorrect pour instance 44)\n\nNote: le 3954 consiste a relivrer le 3795\n\nLoB: il y a eu un problème de report de version (merge) entre les branches\n15.1.42, 15.1.45 et master. Commit originel = 15d68d4fb8\nl\'entete de fichier a bien été reporté, en revanche le code est passé a l\'as...\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(484, 4, '53fbdd890b7518368d9e6c33fbc9c17c4239134d', 'G4674', 164, '2016-05-04 14:21:29', 'Lionel Giordanengo', 'Modif trt_assistances.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(485, 4, '383bc8f517b864aa2188d8f6daac6bdb7f966e15', 'G4674', 164, '2016-03-31 15:45:44', 'Lionel Giordanengo', 'Livraison 15.1.70_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(486, 4, 'dfddbd9301c33d5428858b1a760289ce03e5b6bf', 'G4674', 164, '2016-02-19 16:06:13', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.25) into 15.1.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(487, 4, '9ab166fab86e5a12d14f20fcfda98d761be87c83', 'G4674', 164, '2016-02-05 09:55:20', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.3.23\' into master\n\n# Conflicts:\n#	TAIGA_PALL/1_titulaire/consignes/Note technique integration.doc\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(488, 4, '1e4076099e65fe7d7bc9d393ce1871de21e0029c', 'G4674', 164, '2015-10-19 13:58:50', 'Lionel Giordanengo', 'Livraison 1.5.35_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(489, 4, '152c42799646fe52d574b935a1ff639dfb73c1bc', 'G4674', 164, '2016-01-20 15:53:07', 'Lionel Giordanengo', '[D42048] Assistance Livraison P.Mangin\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(490, 4, '1cc2658916bd6cb7748ca9ab892e532fcfdb1724', 'G4674', 109, '2015-11-30 14:50:38', 'Mathieu GONON', 'Changement de la fonction qui recupere les fichiers\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(491, 4, '4df3ff30a09ad6beb0e7b7ab1a3f93a285433121', 'G4674', 164, '2015-11-26 14:37:56', 'Lionel Giordanengo', '[D41782] assistance sur cqoapa08.sql\nsuppression du script deblocage.sh comme vu aves Louis\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(492, 4, 'bb026505665859cc99ae1cf9bc91c901ea912c3e', 'G4674', 134, '2016-05-20 11:52:12', 'Isabelle LAGIER', '[D42729] correction integration_dsi_ar\n\n[D42729] maj_base\n\n[D42729]ajout Nir dans gestion erreur\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(493, 4, 'cce0395a44d6c0b1717f643ecfb7d271086c7368', 'G4674', 157, '2016-04-27 10:42:34', 'Vincent GENTIL', '[D42612] Correction recherche dernier avis appel suite a appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(494, 4, '2de677b172545164ee45766c47a7637147074768', 'G4674', 1, '2016-04-14 12:06:58', 'Louis BAYLE', 'maj_base 15.1.80_02\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(495, 4, 'c7a04b5590e99359d146a878b8ccc33a34c6351c', 'G4674', 109, '2016-04-15 15:55:05', 'Mathieu GONON', 'InternalTools: ALM_to_CodevTT v1.2 => Add id_project condition (+ color info on main page)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(496, 4, '3bbbb515b4ac96c3ea55be71f43e420f677b0094', 'G4674', 116, '2016-04-15 09:14:31', 'Arnaud Trousselard', '[G3849] - Correction date instance 44 a tester\n\n[G3849] - Finalisation et ajout maj base\n\n[G3849] - Modification de la date\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(497, 4, '75280976d99b8e2cfc6323bb4d3a5eff1ebeb99f', 'G4674', 164, '2016-05-02 16:54:52', 'Lionel Giordanengo', 'Modfi putenv : ajout infos pour deploiement sur tafpl\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(498, 4, '48247961e8f67fd5ab2b73d7337c7edfef22e522', 'G4674', 164, '2016-03-31 15:32:16', 'Lionel Giordanengo', 'Création Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(499, 4, 'f57a472653e767ccf8358088ad4ffb5060080581', 'G4674', 164, '2016-02-15 17:29:16', 'Lionel Giordanengo', 'Livraison 15.1.60_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(500, 4, '0b2c6313c486ea0c10bf7ae71762b7cb6221d164', 'G4674', 164, '2016-02-19 11:31:38', 'Lionel Giordanengo', 'Merge branch \'15.1.25\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(501, 4, '31e9068394fc1d068defa494ccab68b71b2be22e', 'G4674', 1, '2016-02-04 17:20:12', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\n\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(502, 4, '1766f518f87c3a3aea0ff3317a04a4a8b533c860', 'G4674', 164, '2015-10-19 13:37:26', 'Lionel Giordanengo', 'Livraison 1.3.23_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(503, 4, '989fcb09a85cb0c6dca58398ca319d97394a1ee6', 'G4674', 134, '2015-10-19 13:42:19', 'Isabelle LAGIER', '[D41048] Palliatif corrigé\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(504, 4, '62cf8ee1a23dcc582ce39e7d9f9ef1863635ef49', 'G4674', 199, '2016-01-20 15:48:52', 'Bertrand FONTANEL', '[D42038] Modif nom fichier ebilsel\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(505, 4, '6046fd6093fc7de54e9e0b98118686317ae768ef', 'G4674', 109, '2015-11-30 14:50:37', 'Mathieu GONON', 'Script pour documentation. Fonctionne mais a perfectionner.\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(506, 4, 'e737d6c73ec80a3992423f58c7867f4e7120ef7b', 'G4674', 1, '2015-11-25 18:46:27', 'Louis BAYLE', 'Update InternalTools & Environnements\n\nrecup des scripts de master au 25/11/2015) SHA1 c6c28c37c58\n\n git checkout master IntegrationTools\n git checkout master Environnements/\n\n+ add fuspl dans putenv.sh\n+ dos2unix cjkntf31.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(507, 4, 'a6209eab1aa3510a7aac74248a84d9bb6e96ee85', 'G4674', 164, '2016-04-27 09:44:22', 'Lionel Giordanengo', 'Livraison 15.1.75_001 prep\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(508, 4, 'b0b21dc62a8ccca1c8d0c1ec38e74957576b405c', 'G4674', 146, '2016-04-14 10:50:02', 'Achraf AKRIMI', '[G3205] gestion du pensionne en reprise d\'activite dans le PAF\n\nsquash:\n[G3205] commit intermediaire\n[3205] ajout de la gestion des pensionnes dans le PAF\n[G3205] gestion du pensionne en reprise d\'activite dans le PAF\n[3205] gestion des pensionnes en reprise d activites ds le paf\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(509, 4, '1d7af9d1065097b4a47b0b7afb5bddf74bcdf94a', 'G4674', 1, '2016-04-15 09:10:54', 'Louis BAYLE', 'Merge branch \'15.1.55\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(510, 4, '474c801ff1af99ddba8ec274bc8e25e1144968fa', 'G4674', 1, '2016-04-15 09:14:31', 'Louis BAYLE', '[D42528][G3840] utilisation de sh au lieu de bash..\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(511, 4, '540350cc103095be75ceef1133bc5a0b2c296eb3', 'G4674', 164, '2016-04-29 11:57:49', 'Lionel Giordanengo', 'Outils : Ajout de tafpl dans listEnv.csv\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(512, 4, '3c9bfd68dff16f7072ecb5463f506a94cbddf8ad', 'G4674', 164, '2016-03-31 15:13:50', 'Lionel Giordanengo', 'Commit pour livraison RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(513, 4, '7c3798a57305069e52c070f856e7acb68332283c', 'G4674', 134, '2016-02-15 16:46:51', 'Isabelle LAGIER', '[D42188]- Nouvelle RG pour date de début et fin d\'activité\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(514, 4, '6f7a562d4f39466c2a91e310886b06a5dd001199', 'G4674', 164, '2016-02-18 17:32:34', 'Lionel Giordanengo', 'InternalTools : Amelioration Initinteg.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(515, 4, 'a964fafd9f8e3634dc9f3fce97ae9431b68d1ac5', 'G4674', 1, '2016-02-04 17:04:26', 'Louis BAYLE', 'Livraison 15.1.25_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(516, 4, '905c1e707213baa45e2d76b3a054c5c5930d10cb', 'G4674', 72, '2016-01-18 09:21:54', 'Alain Tassotti', 'DEX mis à jour par QI ( V1.7)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(517, 4, 'f19c335df2aeb36071b8e39035bec989523c101b', 'G4674', 134, '2015-10-19 11:49:42', 'Isabelle LAGIER', '[D40403] Correction palliatif 37354\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(518, 4, '5c744b4226112bcb8716127c0ec028017767cb1f', 'G4674', 1, '2015-10-16 18:14:44', 'Louis BAYLE', 'ENV compil_masse\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(519, 4, 'bb5756a05ebd5ce7de27b62bcb73891c6e3ce323', 'G4674', 199, '2016-01-20 15:45:09', 'Bertrand FONTANEL', '[D42037] Modif nom fichier fic_bil_e\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(520, 4, '9bafacc9b7c3f850c8cf428650c9e56133e590ce', 'G4674', 109, '2015-11-27 15:50:11', 'Mathieu GONON', 'IntegrationTools : putenv.sh effet des options inverse\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(521, 4, 'f364f9d9c10160a14d4c7af4a1e44627d2cf769c', 'G4674', 1, '2015-11-24 16:44:21', 'Louis BAYLE', '[D41965] maj DEX par QI\n\nla boucle est bouclée pour l\'APP 2016\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(522, 4, '716ef8f760148528c693059ab32f48e549d0751e', 'G4674', 164, '2016-04-26 16:51:01', 'Lionel Giordanengo', 'Correction Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(523, 4, 'cd9f85ce38db087fc9310ddb502209b8a501b21d', 'G4674', 146, '2016-04-12 11:24:00', 'Achraf AKRIMI', '[G3822] modification regles creation et maj des entreprises\n\nConflicts:\n	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_flux_affi01.sql\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(524, 4, 'de277905326b82ae010faf30dec2b63c84b159a8', 'G4674', 199, '2016-04-14 11:18:08', 'Bertrand FONTANEL', 'DOC: DEX Appel Regul v10.0\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(525, 4, 'a48e644cf5c55d88ec361e7d2a64cc724431bb91', 'G4674', 1, '2016-04-11 09:54:33', 'Louis BAYLE', 'Merge branch \'master\' (15.1.50) into 15.1.55\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(526, 4, '5bbf99c1f434138cd73a5fc8932d80dfe0e2de75', 'G4674', 116, '2016-04-15 09:14:31', 'Arnaud Trousselard', '[G3840] - Palliatif pour RDD a tester\n\n[G3840] - alimentation imma_id pour la creation des pensions a tester\n\n[G3840] - Ajout en tete package et dev teste\n\n[G3840] - RDD imma pensions\n\n[G3840] - Ajout maj base\n\n[G3840] - RDD corrigee\n\n[G3840] - RDD script sql version finale\n\n[G3840] - Correction mineure package\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(527, 4, '95094e890d3962008b5f3bcd4a5b5a8d88ba1dff', 'G4674', 109, '2016-04-27 16:06:08', 'Mathieu GONON', 'InternalTools: ALM_to_CodevTT => Combobox keep last select items + Fix variable type issue with Excel 2013 (Nabil\'s error)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(528, 4, 'dd845c1eed815ff9b8c5b7d5d2624448687a85b6', 'G4674', 164, '2016-03-31 14:39:02', 'Lionel Giordanengo', 'Merge branch \'15.1.50\' into 15.1.70\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(529, 4, '7af529767813db33f8a9328ace5458f5355313e1', 'G4674', 134, '2016-02-05 13:59:01', 'Isabelle LAGIER', '[D41847]  Ajout Group Pro 4 dans fichier CNBF\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(530, 4, '11df58ad31358d823d014f6da33d735dca05e32c', 'G4674', 164, '2016-02-18 11:28:48', 'Lionel Giordanengo', 'Ajout de Lindsay et Saliha dans les droits REDA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(531, 4, 'ddd6b747e29f2beb3e7155e8efd89ec405b3fa01', 'G4674', 199, '2016-02-04 11:35:16', 'Bertrand FONTANEL', '[D42113] FC06R gestion fichier vide\n\n[D42113] Correction fichier multiples\n\n[D42113] Correction fichier multiples\n\n[D42113] Ajout du cartouche\n\n[D42113] Finalisé\n\n[42113] Mise à jour DEX FC06R\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(532, 4, '45acbeed0b99a345e09e3676d531282ba7bb28be', 'G4674', 164, '2016-01-15 11:23:03', 'Lionel Giordanengo', 'Intergation Tools : modif putenv pour lanceur_transformation.xls\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(533, 4, 'c6a294ede7ebb3a438a08a78024802c026ea37e0', 'G4674', 1, '2015-10-16 14:49:46', 'Louis BAYLE', 'DOC integration des revenus\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(534, 4, '00822fd17d4d2502538afc56b8d4f63b1c8288a8', 'G4674', 199, '2016-01-20 15:43:28', 'Bertrand FONTANEL', '[D42036] Modif nom fichier fic_oc\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(535, 4, 'd241c0ea54e523239a22d23622bb2fbf72980be8', 'G4674', 109, '2015-11-27 13:54:44', 'Mathieu GONON', 'IntegrationTools : fix gunzip & tar probleme sur post_plateforme\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(536, 4, 'e3ae55b523b643a52afed216845267939a03b91d', 'G4674', 164, '2015-11-19 14:07:30', 'Lionel Giordanengo', 'Livraison 15.0.50_011\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(537, 4, 'f5077fd7a65f91930ad607eb8d23b643e315fc1b', 'G4674', 169, '2016-04-26 16:50:20', 'Fabien TROPIS', '[D42605] Relivraison du D41123\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(538, 4, '46234b74279d2362f15396407c16db3b291a60ed', 'G4674', 116, '2016-04-08 09:36:44', 'Arnaud Trousselard', '[G3424] Evolution RG_PACR_132a\n\nLoB: simplification par ATD suite a suppression de regles (?)\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(539, 4, '7612da3c8bf9c5f87815f1efa22f730ee273747c', 'G4674', 1, '2016-04-12 16:44:18', 'Louis BAYLE', 'Internal: template de RDD\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(540, 4, 'c6ba117f6139abdab7603edb3af1cf272a393ff9', 'G4674', 164, '2016-03-30 16:55:33', 'Lionel Giordanengo', 'Livraison 15.1.55_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(541, 4, '85c217b63cf9e6b60db2d8a33c0233f272174904', 'G4674', 1, '2016-04-07 09:17:19', 'Louis BAYLE', 'ENV: move orasnap.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(542, 4, '3f0c9e7225bc0f7693147678c5422b76302e1885', 'G4674', 164, '2016-03-31 10:46:07', 'Lionel Giordanengo', 'Livraison 15.1.70_003 _ Correction Note Technique\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(543, 4, 'a69aed2c117a58ee6c9da52cd9bb18d04c351d9d', 'G4674', 164, '2016-03-15 10:18:07', 'Lionel Giordanengo', 'Merge  \'15.1.40\' into 15.1.50\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(544, 4, 'c1b8a343123e14b96425a1155d1356568b9621dd', 'G4674', 134, '2016-02-05 13:59:00', 'Isabelle LAGIER', '[D41857] Code organisme URSSAF Non founi aux partenaires CNAVPL et CNBF\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(545, 4, 'd0a1090b3a43712dc6801be63f000001d92bb4ee', 'G4674', 109, '2016-02-18 09:36:01', 'Mathieu GONON', 'Add tamcoc to the env list\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(546, 4, 'c9bec391deb421311d16f28085f650c313c0bdc3', 'G4674', 1, '2016-02-04 11:35:02', 'Louis BAYLE', 'Pour report de fusion\n\nmodif batarde pour RF 14.2.60 -> 15.1.25\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(547, 4, 'ff0dff8867d0d3a9c37b8e656901f6b056b087d1', 'G4674', 1, '2016-01-14 17:18:46', 'Louis BAYLE', 'Merge branch \'15.1.0\' into master\n\nNote: branche Dimensions 15.1.1 (probleme de nomenclatures)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(548, 4, '57aad261664c3e03ce55731fd8591a350bd9f0a1', 'G4674', 1, '2015-10-15 15:58:47', 'Louis BAYLE', 'DOC Presentation FusionPL\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(549, 4, '52cd5f0bf178d90141caabf2b09b491e1897e773', 'G4674', 164, '2016-01-19 10:35:04', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.0) into 15.1.20\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(550, 4, 'c325baf38294e15e1baedabc5660d7dfaca91916', 'G4674', 109, '2015-11-26 16:26:57', 'Mathieu GONON', 'IntegrationTools: maj putenv\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(551, 4, 'a567ac8701716340aa493dc1764811be2b8b2632', 'G4674', 164, '2015-11-19 11:51:55', 'Lionel Giordanengo', '[D40755] 15.0 - Appel prov - Scripts blocage dossiers post-appel\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(552, 4, 'fe281acd5dc59c5dec6691acf4ebebf4b5a8fc1e', 'G4674', 164, '2016-04-26 16:26:51', 'Lionel Giordanengo', 'Livraison 15.1.75_001 prep\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(553, 4, '0d4ab819dc6cc9f3be5dcf025442164534516bba', 'G4674', 116, '2016-04-08 09:18:56', 'Arnaud Trousselard', '[G3843] - Dev pour extension des erreurs de 7 a 20\n\n[G3843] - Dev teste augmentation nb alertes de 7 a 20\n\n[G3843] Modification taille variable\n\n[G3843] - Ajout maj base\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(554, 4, 'b4d19888c463dd055dd03fed7a830c3fb627af86', 'G4674', 1, '2016-04-11 19:03:01', 'Louis BAYLE', 'InternalTools: supprimer_cmr\n\nrecherche automatique des tablespace.\nca permet surtout de supprimer le CMR si le chargement a planté...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(555, 4, 'ed81ba142f1d3672cc2296170bf2d8712389347f', 'G4674', 164, '2016-03-30 16:52:08', 'Lionel Giordanengo', '[D42462] Renumérotation des nomenclatures specifiques\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(556, 4, '2e37f75c75af2005749733814e33d7ffee4e2b01', 'G4674', 1, '2016-04-06 14:07:05', 'Louis BAYLE', 'Internal: template de RDD\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(557, 4, 'd0d63a8befdd31479b9dea29e9f4eb45327ce8cd', 'G4674', 157, '2016-03-29 16:39:48', 'Vincent GENTIL', '[D42312] 3en1 Changement modalites de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(558, 4, 'd7c7954decf9ade34f4fee27910888b15aa67d6f', 'G4674', 164, '2016-03-02 10:37:23', 'Lionel Giordanengo', 'Livraison 15.1.50_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(559, 4, '9d617f87feb823f5ccc145551aa9414894e9e080', 'G4674', 164, '2016-03-08 17:21:02', 'Lionel Giordanengo', 'Livraison 15.1.40_010\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(560, 4, '59e74d782d0d95d91485bca510293df594f53809', 'G4674', 134, '2016-02-05 13:58:58', 'Isabelle LAGIER', '[D41872] Revenus de remplacement non founis au CNAVPL et CNBF-MAJ SFD\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(561, 4, '8bd3860f750d615340d65e7cf9810b4fa2ccf904', 'G4674', 1, '2016-02-02 16:00:04', 'Louis BAYLE', 'Merge branch \'14.2.60\' into 15.1.25\n\n# Conflicts:\n#	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_flux_affi01.sql\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(562, 4, '0690dbdbd8d8df05bd0a4d30eee22813a7e8f063', 'G4674', 1, '2016-01-07 11:53:18', 'Louis BAYLE', 'chaine_quot_MOE.sh\n\nTODO: a comparer avec le notre pour mise à jour !\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(563, 4, '56aa5137e3565a04b1efc84b79f554f071d257c7', 'G4674', 1, '2016-01-07 15:08:09', 'Louis BAYLE', 'Livraison 15.1.0_015\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(564, 4, 'de92457ec2adae783dfa94c23223fb5ccfaabf1f', 'G4674', 1, '2015-10-14 17:47:32', 'Louis BAYLE', 'FIX windows line endings CRLF !\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(565, 4, '23453525ea0e42543e029f3e86a9cc0ea81abadd', 'G4674', 164, '2016-01-12 15:32:43', 'Lionel Giordanengo', 'Livraison 15.1.20_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(566, 4, 'c6c28c37c58b8500f1417b3bcb69c6ad05c8f712', 'G4674', 109, '2015-11-23 10:29:53', 'Mathieu GONON', 'Doc - mise aux normes\n\nDOC: OneNote archive\n\n           Copie de G:\\TMA_RSI_TAIGA\\OneNote\n\n           Des archives regulieres sont a prevoir.\n\nAjout script + Mise aux normes d\'une doc\n\nUpdate script : Choix d ecraser ou non le rep existant\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(567, 4, '9e2af1424274b44ef2dbe29d4eab225a3ef78fce', 'G4674', 1, '2015-11-17 17:46:49', 'Louis BAYLE', 'Livraison 15.0.50_010\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(568, 4, '292854892068eb2a4da0118bbbc1c800a274280a', 'G4674', 164, '2016-04-26 16:03:10', 'Lionel Giordanengo', 'Merge 15.1.70 into 15.1.75\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(569, 4, '58226893b744c921d973829aac3d261c47d70f2e', 'G4674', 1, '2016-04-07 15:40:40', 'Louis BAYLE', 'DOC: SFD PropagationAffiliation V5.0\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(570, 4, '228c6e604837cb16eb40b713be955699377d63ff', 'G4674', 164, '2016-03-22 11:05:18', 'Lionel Giordanengo', 'Livraison 15.1.55_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(571, 4, '5b40279c15db638e6f9a3912e19c51a06871c1f5', 'G4674', 1, '2016-04-05 18:14:45', 'Louis BAYLE', 'DOC: liste type alertes v3.0\n\n--- remplace \"liste type message.xls\" ---\n\nmis à jour par Lindsay le 5/4/2016:\nVoici une extraction de la table CMR_999.TYP_ALERTE\nqui contient l’ensemble des alertes générées par Taiga complétée avec\nles nouvelles Alertes dont j’ai connaissance. Les nouvelles alertes\nsont celles qui ne sont pas encore en production donc celles qui sont\nsoit en cours de recette, soit en cours de développement, soit en\nspécifications uniquement.\n\nPouvez-vous, s’il vous plaît, selon les sujets que vous traitez,\nmettre à jour ce tableau aussitôt que possible afin d’éviter tout\nécrasement d’alerte ?\n\nDésormais, dès que vous aurez besoin de créer une nouvelle alerte,\nce tableau devra être utilisé comme référence, mis à jour et diffusé.\n\nMerci\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(572, 4, '4e127fe9cc555e1f65c25b5651d2ae2fb7df8ce2', 'G4674', 164, '2016-03-29 16:39:32', 'Lionel Giordanengo', 'Preparation Liv 15.1.70_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(573, 4, 'd9de5acd6bc32579f259927a45590b6ab37778a0', 'G4674', 199, '2016-03-02 10:31:46', 'Bertrand FONTANEL', '[D42294] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(574, 4, 'cbd6fff952991fa6b9bfc0f35545c668c4d4a337', 'G4674', 74, '2016-03-08 16:58:50', 'Isabelle Finette', '[D42378] correction pour ouverture écran DSI 2016\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(575, 4, '1efcf779a97ffc3265476d3ed5432f1740bb4327', 'G4674', 134, '2016-02-05 13:58:57', 'Isabelle LAGIER', '[D41825] CNBF-CNAVPL - Exclure assuré NON PL sur année de revenu\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(576, 4, 'df249e4a459ef89e82b4c643c24b01c3b084b94b', 'G4674', 164, '2016-01-22 14:52:04', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.0) into 15.1.25\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(577, 4, '90512a406f6c495f3625c2582106d3ea24753fd0', 'G4674', 1, '2016-02-02 11:31:42', 'Louis BAYLE', 'Merge branch \'15.1.20\' into 14.2.60\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n\nLoB: j\'ai supprime des fichiers obsoletes de InternalTools/map au passage...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(578, 4, '1d1b396695679d8d3b11ecd4bb1f8fd55d6829ce', 'G4674', 1, '2016-01-05 10:16:20', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\n\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(579, 4, 'abf5c00506155982ed2fa1d32bfce23369f08465', 'G4674', 1, '2016-01-07 14:34:07', 'Louis BAYLE', '[D41994] Flux 06R: renommage fichier de log\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(580, 4, '60c0035047043ec2e09233f39dcf53e33dbfc05e', 'G4674', 164, '2015-10-14 09:30:26', 'Lionel Giordanengo', 'Env : Correction scripts et profile\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(581, 4, '7a9c1738e7178aab85450915ad03d1b737f68411', 'G4674', 134, '2016-01-12 15:27:07', 'Isabelle LAGIER', '[D41975] DSI-2016-EIC-Script rattrapage assures tele-declarant\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(582, 4, '6e1dab38fab7af9d0a61bfad11112fe6a3243eeb', 'G4674', 164, '2015-11-20 10:27:37', 'Lionel Giordanengo', 'Scripts assistances (pour TAIGA_PALL)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(583, 4, '915b6a555c56efd659dbbea242ec6231dad79229', 'G4674', 1, '2015-11-17 17:45:01', 'Louis BAYLE', '[41610] FIX typo\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(584, 4, '5d61a66d1c5412e0958b1eb2ec923ea8a71ec8cb', 'G4674', 157, '2016-04-21 08:59:19', 'Vincent GENTIL', '[42386] 3en1 Evolution generation spocs changement de code regime\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(585, 4, '7c171fbb398dade81e7a152175342bb222a82c7c', 'G4674', 164, '2016-03-24 10:20:00', 'Lionel Giordanengo', 'Livraison 15.1.80_001 bis -correctifs\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(586, 4, '46eab4eed78a7b4ce8dbf8d4f25c88984f271da1', 'G4674', 164, '2016-03-22 10:59:58', 'Lionel Giordanengo', '[D42326] MAJ nomenclatures spécifiques TAIGA - table CIV\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(587, 4, '13f20a59215d6502b9a3f85d778500ce3f8218b3', 'G4674', 1, '2016-04-05 17:12:46', 'Louis BAYLE', 'Internal: template de RDD\n\npas de bash !!\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(588, 4, 'a40b8d9893bdac6c1983e9270355506096955d2c', 'G4674', 164, '2016-03-29 15:35:54', 'Lionel Giordanengo', 'Integration Suppression Maj_Base inutiles\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(589, 4, 'c8168a56dcd78ef23646e9542213917e14c610c1', 'G4674', 199, '2016-02-29 14:02:13', 'Bertrand FONTANEL', '[D42294] Maintien de droit si diff 24 ou 36\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(590, 4, '8d3b6a344e65bdde292fa6596e7a0c663919cbdb', 'G4674', 164, '2016-03-03 11:34:07', 'Lionel Giordanengo', 'Livraison 15.1.40_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(591, 4, 'd83d0e5aa693022dd076e5646be9073884894c48', 'G4674', 134, '2016-02-05 13:58:56', 'Isabelle LAGIER', '[D41874]CNAVPL CNBF Rubrique XO manquante\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(592, 4, 'a822843b76a7df72fd07ce21fa2f0138f4e672fe', 'G4674', 164, '2016-01-18 14:39:53', 'Lionel Giordanengo', 'Livraison 15.1.25_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(593, 4, '7674618d033905a083347889e8cc2470d43f0dd5', 'G4674', 164, '2016-01-18 15:27:36', 'Lionel Giordanengo', 'Livraison 14.2.60_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(594, 4, '3cb8d404d1504f1c15b2fce6612d951a61944ff8', 'G4674', 164, '2015-12-30 13:22:29', 'Lionel Giordanengo', 'InternalTools : putenv\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(595, 4, 'de6a0106552bbf69d3f304136dfbb5345d3bf49e', 'G4674', 1, '2016-01-04 15:14:35', 'Louis BAYLE', '[D40137]  Mise à jour DEX FC06R après DQI\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(596, 4, '1722740dac829b2e6e7ad239091956d49f818c34', 'G4674', 1, '2015-10-13 15:55:09', 'Louis BAYLE', 'FIX dos2unix cjkntf31.sh\n\nrien ne garantit qu\'il n\'y en ait pas d\'autres !!!!\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(597, 4, '50a41592b351b3e98fafb3e36f1c2dfb83617418', 'G4674', 199, '2016-01-12 15:14:13', 'Bertrand FONTANEL', '[41983] Erreur lors de l\'exécution du cjcenv05\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(598, 4, '7495bf3fed74d36db0ace826770a503dda7c5615', 'G4674', 164, '2015-11-20 10:21:41', 'Lionel Giordanengo', 'Merge branch \'15.0.32\'\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(599, 4, 'c24b6f59d37c12e801eb6838389950df496ef157', 'G4674', 1, '2015-11-17 11:19:59', 'Louis BAYLE', 'Livraison 15.0.50_009\n\nLivraison 15.0.50_009\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(600, 4, '0b218251078f0ee32916019155a4951d10679f00', 'G4674', 157, '2016-04-20 14:22:58', 'Vincent GENTIL', '[42386] 3en1 Evolution generation spocs changement de code regime\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(601, 4, 'd0c7c63e179fd45dada85a8c089b8563cad9becf', 'G4674', 1, '2016-03-23 16:54:32', 'Louis BAYLE', 'Livraison 15.1.80_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(602, 4, 'c5befa0957d2e7b65877dcd2512a05bd0420b733', 'G4674', 164, '2016-03-21 16:14:15', 'Lionel Giordanengo', 'Merge branch \'15.1.42\' (ex \'15.1.30\' avant glissement) into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(603, 4, '4136b21c5799bf8ad161dc2564ce56f1056552b3', 'G4674', 1, '2016-04-05 16:11:45', 'Louis BAYLE', 'DOC: OneNote archive\n    Copie de G:\\TMA_RSI_TAIGA\\OneNote\n    Des archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(604, 4, 'a5dc33f24411d723cb2ee7ab7c3ed3ec8e06416b', 'G4674', 157, '2016-03-24 10:23:39', 'Vincent GENTIL', '[D42174] Saisie assiette n-2 ou anterieure - ne pas recalculer periodes deja 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(605, 4, '3c090e1beebf5f20de63414ddac61393efcabc0b', 'G4674', 164, '2016-02-19 15:43:19', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.25) into 15.1.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(606, 4, 'd57a9fe87869ff3077b85cab481caf8e117717dd', 'G4674', 74, '2016-03-03 11:24:24', 'Isabelle Finette', '[D42311] Correction du fichier de génération (.n_c) pour prise en compte des fenêtres CFCIDR07 et 08 et de la librairie CFCNCL04\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(607, 4, '4e4ee8785770e98a7a5af37f6f12987f58936e11', 'G4674', 134, '2016-02-05 13:58:55', 'Isabelle LAGIER', '[D41967] Ajout Date retour déclaration en paramètre\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(608, 4, '0244b52b642569f6bf1d14fa17da6570b0c596d5', 'G4674', 146, '2016-01-15 10:17:51', 'Achraf AKRIMI', '[G3626] correctif (les instances de poly activites sont maintenants crees)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(609, 4, '34e56aa47e5b82581baf8eeba12f89fa83a0a687', 'G4674', 164, '2016-01-18 15:21:58', 'Lionel Giordanengo', 'Integration Ajout Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(610, 4, '959f57d03c999b5d8cb27ce1b8f077825f3d54b7', 'G4674', 164, '2015-12-30 11:53:36', 'Lionel Giordanengo', 'InternalTools deplacement et modif make_env\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(611, 4, '7114c1813b2e689c20c2826e7d950d122dd7158f', 'G4674', 1, '2016-01-04 13:50:02', 'Louis BAYLE', '[D40137]  Mise à jour DEX FC06R par DQI\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(612, 4, 'e8989cb75b60dcf357d413fa061e6375e8de014a', 'G4674', 1, '2015-10-12 14:47:26', 'Louis BAYLE', 'cleanup\n\nce fichier est remplacé par le mode \'DEBUG\' du lanceurAPR.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(613, 4, 'd125dc029a0fc56e5d1b70ef3f3fdf5c227fe695', 'G4674', 164, '2016-01-05 11:29:35', 'Lionel Giordanengo', 'Livraison 15.1.20_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(614, 4, '7b355d4c2577097421c2b0b006d175c0bb3a8eca', 'G4674', 164, '2015-11-19 17:30:20', 'Lionel Giordanengo', 'Ajustement putfile.sh -> Copie un fichier sur les environnements et plateformes desires\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(615, 4, 'ef1d224bb16f9961506986d213b8d276fc76f3a5', 'G4674', 164, '2015-11-02 16:14:53', 'Lionel Giordanengo', 'Livraison 15.0.32_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(616, 4, '21a446fa1fb2b8878fabcbb5eee4ae19dbf05fdc', 'G4674', 1, '2015-11-17 11:15:30', 'Louis BAYLE', 'Restore \"[41610] Filtre pour ne prendre que les assures P\"\n\nThis reverts commit 341cda5a55bee340ed9085344f56905aca08aed5.\n\n[D41710] cartouches\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(617, 4, 'e979daab9b051cf97dc128f4fac254ba900d307a', 'G4674', 164, '2016-04-18 10:48:46', 'Lionel Giordanengo', 'integ : Suppression Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(618, 4, '6aa290028c18f9dc6c31fb6e9baf344ebaea5d2e', 'G4674', 146, '2016-03-23 15:51:18', 'Achraf AKRIMI', '[G3205] ajout de la gestion des pensionnes dans le paf\n\n[3205] ajout de la gestion des pensionnes sur la PAF\n\n[G3205] gestion des pensionnes dans le PAF\n\n[G3205] ajout correctif G3629:affichage dans l AR de l alerte 3943\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(619, 4, '54020d6e00df7f478549a23d767cf705c072660e', 'G4674', 164, '2016-03-18 17:32:17', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.5.51\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(620, 4, '6b4705a5d32f78152bda0c80beaa3bd5723761ec', 'G4674', 164, '2016-03-16 15:30:33', 'Lionel Giordanengo', 'Merge branch \'15.1.40\' into 15.1.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(621, 4, '75dbddb83afcac5e0033826c84cdcd134af920e2', 'G4674', 164, '2016-04-04 10:45:05', 'Lionel Giordanengo', 'Merge branch \'15.1.45\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(622, 4, '5b1100fe691ba8f0e8d6e9361985c04d7b54abbb', 'G4674', 157, '2016-03-24 10:23:29', 'Vincent GENTIL', '[D42132] Selection des 3en1 - on ne prend pas les radies\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(623, 4, 'a1f1e9c3cf64cd1ae028810396c044dddb6e258f', 'G4674', 164, '2016-02-11 14:30:28', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.20) into 15.1.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(624, 4, 'e710317765c823574185b8eb3f1d77dce6dc7064', 'G4674', 164, '2016-03-02 15:08:03', 'Lionel Giordanengo', 'Livraison 15.1.40_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(625, 4, 'b9e743e9899a067081c88526ad57fb6960759953', 'G4674', 1, '2016-02-05 13:58:53', 'Louis BAYLE', '[D41967] DSI - Parametrage de la date limite\n\n[D41967] DSI - Parametrage de la date limite (partie .sh)\n[D41967] Mise à jour SFD de référence\n[D41967] Maj DEX Appel Regul V1Maj10\n\nen fait V1Maj9 etait deja pris: maj des graph par DQI\n\n[D41967] Flux CNAVPL CNBF- Ajout date limite de retour déclaration en paramètre\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(626, 4, '16852da1b2f7654959965be0cf8bd9b3890b6897', 'G4674', 146, '2016-01-15 10:16:30', 'Achraf AKRIMI', '[G3626] mise en forme mineure\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(627, 4, 'e9c57c4175cb28aa8e9fbc015366a284c6ea2fb0', 'G4674', 164, '2016-01-18 15:21:44', 'Lionel Giordanengo', 'Revert \"[D40653] Integration PAF Siren\" - FIN\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(628, 4, 'ff9a7eeda5cb0a1f0890402538775f5f21fa90a0', 'G4674', 164, '2015-12-30 11:32:01', 'Lionel Giordanengo', 'InternalTools : Amelioration integ.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(629, 4, '03ae7e2403716f4178bedbf002b90264b3026366', 'G4674', 164, '2015-12-31 15:02:14', 'Lionel Giordanengo', 'Livraison 15.1.0_014\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(630, 4, '46376a12ff234eac5a685d8ddbcdcbeec9c9b4dc', 'G4674', 164, '2015-10-09 16:15:43', 'Lionel Giordanengo', 'Environnements : Correct export via datapump\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(631, 4, '4bf826d68b934151342ad6f0171643410a3bb511', 'G4674', 199, '2016-01-04 12:25:07', 'Bertrand FONTANEL', '[D41891] Suite\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(632, 4, '211dbf311ca45133ce0081265c82e734d1380c6f', 'G4674', 109, '2015-11-18 17:34:22', 'Mathieu GONON', 'Ajout putfile.sh -> Copie un fichier sur les environnements et plateformes desires\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(633, 4, 'cf65252175e895fcd15e927d38fa5609fa2b704b', 'G4674', 164, '2015-11-02 11:48:27', 'Lionel Giordanengo', '[D41665] Correction commentaires dans Maj_bAse\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(634, 4, 'e553367892dcdb32f59476243819cf4dbd50f945', 'G4674', 164, '2015-11-13 15:20:12', 'Lionel Giordanengo', 'Livraison 15.0.50_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(635, 4, '31886caa7676684034c4a91ff99f1b3d741b68e7', 'G4674', 157, '2016-04-18 10:36:28', 'Vincent GENTIL', '[D42174] Saisie assiette n-2 ou anterieure - ne pas recalculer periodes deja 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(636, 4, 'c816e7d64deb042b43618073abae4a5851b5dc7e', 'G4674', 116, '2016-03-14 11:16:14', 'Arnaud Trousselard', '[G3662] - Version finale PAF_transformation.xsl\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(637, 4, '23a667605e63f2e21b8a2155fc593e33c27f8fce', 'G4674', 164, '2016-03-18 17:30:29', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.5.81\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(638, 4, 'e380b0222395c06ca9668f8f3ba3072c56117473', 'G4674', 164, '2015-08-06 13:15:37', 'Lionel Giordanengo', 'Livraison TAIGA_PALL 1.5.51_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(639, 4, 'd87b95ebd8fd7d6dabaca64595a2a2d04c809769', 'G4674', 1, '2016-03-10 11:57:44', 'Louis BAYLE', 'Livraison 15.1.30_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(640, 4, '8c554ae2c1b3b918df3a601bef1afcebcac76398', 'G4674', 164, '2016-04-01 16:11:45', 'Lionel Giordanengo', 'Internal : Ajout Lamine et aurore pour droits REDA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(641, 4, 'ddfa3799b5d9dc1218c01a495bee5bdff9878df9', 'G4674', 164, '2016-03-17 10:43:04', 'Lionel Giordanengo', 'Livraison 15.1.45_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(642, 4, '6813a8119282d139ef9f4058c01fe25633cbc89e', 'G4674', 157, '2016-03-16 10:59:04', 'Vincent GENTIL', '[D40409] Gestion revenus estimes 3en1 dans moteur de calcul\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(643, 4, '61b8611e611fd8940a4b68587303dffaa24caba6', 'G4674', 164, '2016-01-19 11:18:17', 'Lionel Giordanengo', 'Livraison 15.1.50_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(644, 4, 'eb0846183a3ebdaab3dbab0e7b2acce6234a0cde', 'G4674', 74, '2016-03-02 15:02:57', 'Isabelle Finette', '[D42311] Suppresion des écrans CFCICD07 et CFCIDR08 et de la librairie CFCNCL04 dans le projet CEWAA04\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(645, 4, '3400b790c1906dcfb3cc73e75506cd5af99d0153', 'G4674', 164, '2016-01-13 16:58:24', 'Lionel Giordanengo', 'PAF : Ajout de lanceur_transformation.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(646, 4, '28cbd4502d15275c0e1308b71e790f42c03788f6', 'G4674', 164, '2016-01-18 13:42:18', 'Lionel Giordanengo', 'Revert \"[D40653] Integration PAF Siren\"\n\nThis reverts commit 08b3dfcf5acd463db9bae59a002e8460fc9edd75.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(647, 4, '57d6529702882b3e366fffcc065ea7d218fcdf81', 'G4674', 164, '2015-12-18 11:45:24', 'Lionel Giordanengo', 'Trt_assistances corrections scripts\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(648, 4, '47920914774e582b3f09bc6e4eb2531c10f4d2c9', 'G4674', 164, '2015-12-31 14:54:01', 'Lionel Giordanengo', '[D41955] Suppresion maj_base 15.0.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(649, 4, 'f05ef5e386e4bdd2b68a92f322c46751924dbec1', 'G4674', 164, '2015-10-09 09:14:20', 'Lionel Giordanengo', 'Environnements : Script d\'import et export via datapump\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(650, 4, '078c5bd5c26be3b299d4e2633855e0371ce49b71', 'G4674', 199, '2016-01-04 12:24:54', 'Bertrand FONTANEL', '[D41890] Gestion du type D\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(651, 4, 'f6782af575d2cd58ee09141a30c60388157f9a63', 'G4674', 164, '2015-11-18 10:37:59', 'Lionel Giordanengo', 'Environnements : TUXEDO on force les make clean à chaque compilation via gentptux.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(652, 4, 'c612849d0dbdb59b5aa5d2b76573b70c5cff56db', 'G4674', 164, '2015-10-27 16:22:25', 'Lionel Giordanengo', 'Livraison 15.0.32_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(653, 4, '1bbfdb0864552296656dd31ff5aa1f4a36b42a8d', 'G4674', 169, '2015-11-13 15:09:05', 'Fabien TROPIS', '[D41710] correction pour la sélection des assurés T_ASSUR et AVIS_APL\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(654, 4, 'b21983dfb66c5d695f093565b7b82d8b6bb9903e', 'G4674', 199, '2016-04-18 10:18:19', 'Bertrand FONTANEL', '[D42551] correction cle du NIR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(655, 4, 'f5fbb457a122090da52d79caacce62f181c2844f', 'G4674', 116, '2016-03-14 11:14:45', 'Arnaud Trousselard', '[G3662] - Ajout $ appel variable\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(656, 4, 'd9a7c814953dbd46625c16b334490cfc6a6cf0e2', 'G4674', 164, '2016-03-18 17:29:06', 'Lionel Giordanengo', 'Merge TAIGA_PALL_1.6.5 into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(657, 4, '2b10159638eb7efde1eb675651a84771468c2f9c', 'G4674', 164, '2016-01-15 14:12:41', 'Lionel Giordanengo', 'Livraison 1.5.81_002 prep\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(658, 4, '5d87f702f674637dc2b03342d36daddb85462209', 'G4674', 164, '2015-08-06 13:03:03', 'Lionel Giordanengo', '[D40641] Deplacement des fichiers de TAIGA vers TAIGA_PALL car livrés dans taiga_pall\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(659, 4, '8a1078aa3391a2a2c969e81049fcf4f8fe0446ee', 'G4674', 1, '2016-03-10 11:49:30', 'Louis BAYLE', '[G3795] maj_base\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(660, 4, 'b02bec625dec4942520e87e861fd016d050bbfb8', 'G4674', 164, '2016-03-30 16:00:09', 'Lionel Giordanengo', 'Merge branch \'15.1.50\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(661, 4, 'b6f4a57a024600a2388683c136afc1e695de1cc6', 'G4674', 164, '2016-03-17 10:11:13', 'Lionel Giordanengo', '[D42431] RF dans le cadre du report de la 15.1.42 (15.1.30 avt glissement) dans la 15.1.45 (15.1.35 avt glissement )\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(662, 4, '0ced3feb152a9c626f40c65f8481657f40f02d15', 'G4674', 164, '2016-03-11 11:05:31', 'Lionel Giordanengo', 'InternalTools : ajout de la version en parametre du make_env.pl et adaptation de putenv.sh et post_vm_delta.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(663, 4, 'b0eedd685633258a23c5a1e49284087d814e963c', 'G4674', 164, '2016-01-19 11:10:37', 'Lionel Giordanengo', 'Integration 15.1.50 - Creation Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(664, 4, '82cbe1fc00ff3307df5c3b485d0dd832fd9c7268', 'G4674', 164, '2016-03-02 10:11:29', 'Lionel Giordanengo', '[D42317] Renumerotation des nomenclatures avant passage en Production\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(665, 4, '62aba6e3be1df03917f19191c792c8e5be6d5e91', 'G4674', 164, '2016-01-13 15:36:16', 'Lionel Giordanengo', 'Integration - Renommage du maj_base car vrai nom connu\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(666, 4, '896d320210aa7f51b12d6d2a5025f1d27f932d2e', 'G4674', 164, '2016-01-18 13:40:17', 'Lionel Giordanengo', 'Revert \"[D41204] Correction intégration PAF Siren\"\n\nThis reverts commit 7dd6d8a8a80964d21b99129045b5605f0e5a158f.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(667, 4, '7c88355c8c37d735dbf83bfacd1a535025d39e0f', 'G4674', 1, '2015-12-17 14:07:37', 'Louis BAYLE', 'IntegrationTools: git-gui tools\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(668, 4, '6aca7b9d550b83b26c8782441b2ca55eba8c7c95', 'G4674', 164, '2015-12-28 13:51:15', 'Lionel Giordanengo', 'Livraison 15.1.0_013\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(669, 4, '3b8d8c81c8912273212eaeff97ce91c467ed54f0', 'G4674', 164, '2015-10-08 15:33:25', 'Lionel Giordanengo', 'Merge branch \'15.0.30\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(670, 4, 'ff87e29e4d201b66e00af3b286e34a1a6f1b095a', 'G4674', 199, '2016-01-04 11:02:02', 'Bertrand FONTANEL', '[D41885] Nouvelle gestion de doublons\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(671, 4, '99034c15155563f3f42075b5c1f8f55a0f2783b1', 'G4674', 164, '2015-11-16 13:51:09', 'Lionel Giordanengo', 'REDA : Ajout de SANAA et BERTAND et améliorations\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(672, 4, 'da78f445d1d37e346f1b92a27e222aa72abae910', 'G4674', 93, '2015-10-27 15:35:45', 'jean-marc SCOTTO', '[D41553] Mise à jour du script prepa_deblocage.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(673, 4, '341cda5a55bee340ed9085344f56905aca08aed5', 'G4674', 164, '2015-11-12 11:50:28', 'Lionel Giordanengo', 'Revert \"[41610] Filtre pour ne prendre que les assures P\"\n\nThis reverts commit 3c29839ef3692e1de163f0dd8c583e1f33358518.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(674, 4, '9fa7b5f22592c41c89b64c926a7ea2a6df1212a1', 'G4674', 164, '2016-04-07 10:48:21', 'Lionel Giordanengo', '[D42441][D42362] Merge de la SFD par ILR\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(675, 4, 'f45d986fb76a25a98d849a35f8fe9f29c259480d', 'G4674', 164, '2016-03-01 17:38:26', 'Lionel Giordanengo', '15.1.80 Integration Correction suite a TI\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(676, 4, '13815fd23e76c544d78f2fd9228d2c20ad4e7e5f', 'G4674', 164, '2016-03-18 17:23:22', 'Lionel Giordanengo', 'Merge \'TAIGA_PALL_1.6.16\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(677, 4, '17fa15aa5e5288618c72079fdf86f05eec257e4d', 'G4674', 164, '2015-12-15 17:17:05', 'Lionel Giordanengo', 'Livraison TAIGA_PALL 1.6.5_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(678, 4, '1394d014da4a9666be4232b0a8e9e4fe0193b759', 'G4674', 169, '2016-01-15 14:01:45', 'Fabien TROPIS', '[D41914] version corrigée\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(679, 4, '63492f820e8cdec3781fd38c9de9e9a1b57a553e', 'G4674', 158, '2015-08-06 11:27:58', 'Martine RENIER', '[D40641] FIAB-SIREN Rattrapage des SIREN vides avec SIREN en instance\n[D40641] FIAB-SIREN Rattrapage des SIREN vides avec SIREN en instance\n\n[40641] Ajout suppression instance 39 + modif emplacement fic. log + modif msg en trace si fic. SIGN ou TRT vide\n\nConflicts:\n	1_titulaire/Palliatifs/Palliatifs/aix/sh/PAL_FIABILISATION_SIREN.sh\n	1_titulaire/Palliatifs/Palliatifs/aix/sql/PAL_FIABILISATION_SIREN.sql\n\n[40641] Ajout trace en log (paramères passés)\n\nRevert \"[40641] Ajout trace en log (paramères passés)\"\n\nThis reverts commit 71e65034b0e155037c5ca3b344a46a4883a0de2f.\n\n[40641] Ajout trace en log (paramètres passés)\n\n[40641] réintegration version modifiée\n\n[40641] Ajout traces en log (paramètres passés)\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(680, 4, '15d68d4fb8dcacfb9dbfda3e5b720657b8d85a49', 'G4674', 158, '2016-03-10 11:22:15', 'Martine RENIER', '[G3795] Correction ano G3624 (PAF TAB_NOM_ID incorrect pour instance 44)\n\nLoB:\nle defect est importe de la branche 15.1.80 (8f59eab8d)\nil corrige G3824 et G3624.\n\n# Conflicts:\n#	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_flux_affi01.sql\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(681, 4, '05b6b62f316c47960dbb9da4bacbc1d7430e1641', 'G4674', 93, '2016-03-30 11:48:20', 'jean-marc SCOTTO', '1er ajout de l\'outil EXCEL Editeur SPOCs V2.0.xls (éditeur de fichiers notamment MAJOC, SPOC, ...)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(682, 4, '64e209618ab1c2fe68a0c3bf38889316d1a213e3', 'G4674', 164, '2016-03-16 15:52:07', 'Lionel Giordanengo', 'Merge branch \'15.1.42\' (glissement 15.1.30) into 15.1.45 (glissement 15.1.35)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(683, 4, 'a62a5c47e9951feaa5dabc64337358046980075e', 'G4674', 164, '2016-03-11 11:05:22', 'Lionel Giordanengo', 'InternalTools : ajout de la version en parametre du make_env\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(684, 4, 'db8ab04b9ed08e80215f05396b8506e106123f83', 'G4674', 199, '2016-01-19 11:01:54', 'Bertrand FONTANEL', '[D41837] RDD PUMA droits prolongés\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(685, 4, 'ef0c8f3e65abe2ebbedaf96b480eb2654504e0b3', 'G4674', 164, '2016-02-25 09:33:16', 'Lionel Giordanengo', 'Livraison 15.1.40_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(686, 4, 'b033051718bf42e07dd2758621fab27a3da17dff', 'G4674', 146, '2016-01-13 15:34:06', 'Achraf AKRIMI', '[G3626] ajout de la gestion des  multipensions\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(687, 4, 'a6334adb3f0904551aa8d3c0f79c400e2cfa12bc', 'G4674', 164, '2016-01-18 13:40:16', 'Lionel Giordanengo', 'Revert \"[D41225] Evolution du PAF avec prise en compte du SIREN\"\n\nThis reverts commit 88af5e84ef6dc3aba5cd36ae9195f1061dd97f95.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(688, 4, '6e31df573ad5bd432f5d53113f7aaf3060a1acab', 'G4674', 1, '2015-12-16 12:32:19', 'Louis BAYLE', 'DOC update versions (pour docCustomProp.pl)\n\ncmd //C docCustomProp.pl\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(689, 4, 'ec39f5099960436a18af47ca286e5e2e87dd12f4', 'G4674', 164, '2015-12-28 13:48:36', 'Lionel Giordanengo', '[D41912] Inversion d\'une position de lignes pour faire plaisir a DIMENSION\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(690, 4, '24fb1cf312afba958590c5b7bf6e4e7955e44736', 'G4674', 164, '2015-10-07 16:43:54', 'Lionel Giordanengo', 'Environnement : Modifications\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(691, 4, '66960080cd3b12ce1d8a92f260cbc72004873f6e', 'G4674', 164, '2015-09-30 11:12:01', 'Lionel Giordanengo', 'Livraison 15.0.30_012\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(692, 4, 'ef7fea425b21c3eaa6dde0c83a66c7478523aa1f', 'G4674', 72, '2015-12-29 09:25:31', 'Alain Tassotti', 'DEX Emission Initiale et Complementaire mis à jour par QI avec Graphe Automator\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(693, 4, '62d79005c54df8193dbdfc37516ec68c24c7359b', 'G4674', 1, '2015-11-11 18:44:36', 'Louis BAYLE', 'IntegrationTools: make_majbase.sh check retCode\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(694, 4, '8fec5a56993fb82f591bd8a23465900b221d1a80', 'G4674', 164, '2015-10-23 14:19:21', 'Lionel Giordanengo', 'Livraison RF + maj_base de la version\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(695, 4, '87335b4c3c4014944352258583167c8b6bda2b1d', 'G4674', 164, '2015-11-06 10:30:46', 'Lionel Giordanengo', 'Livraison 15.0.50_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(696, 4, '7f4ac035096188581606971e4e9f757f8d51190c', 'G4674', 164, '2016-04-07 10:44:37', 'Lionel Giordanengo', 'Integ 15.1.75 : renommage Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(697, 4, '09bb29034ccdf9ea7b86b151414d54b1cfc712db', 'G4674', 164, '2016-03-01 13:42:38', 'Lionel Giordanengo', 'Nomenclatures specifiques suite : ajout des donnees dans TYP_ALERTE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(698, 4, 'fc58eb41614c1775beac447f2508ea8e7dc94e88', 'G4674', 109, '2016-03-18 17:16:48', 'Mathieu GONON', 'InternalTools: Input num defect/Output info\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(699, 4, '7eeba813c6c081754cd950c5e24cf33c183fc37c', 'G4674', 164, '2016-02-26 11:55:10', 'Lionel Giordanengo', 'Livraison 1.6.16_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(700, 4, '6b2c315972daf821aa29ead60c69a61108dc8c2e', 'G4674', 157, '2015-12-15 17:05:32', 'Vincent GENTIL', '[41606] - LFSS2016 Suppression cotisation minimale mise a jour table coef\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(701, 4, '389b6033a4ee34d36f9e9d6e1c24dc87e9af7771', 'G4674', 164, '2016-01-05 17:13:19', 'Lionel Giordanengo', 'Livraison 1.5.81_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(702, 4, '9cf4ce2d26ed3228d42145b0419e1739f9006ae4', 'G4674', 164, '2015-08-05 14:19:42', 'Lionel Giordanengo', 'InternalTools : Ajout d\'un script permattant de killer les sessions ORACLE bis\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(703, 4, '56af7e50cf03cb9b3b0a9a62c10943a9cb8c9698', 'G4674', 164, '2016-03-07 13:30:43', 'Lionel Giordanengo', 'InternalTools : ajout de la version en parametre du make_env.pl et adaptation de putenv.sh et post_vm_delta.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(704, 4, '4c513386170129a7fe9eddb90a1a4dd85ed6cbc9', 'G4674', 1, '2016-03-30 11:15:20', 'Louis BAYLE', 'Internal: template de RDD\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(705, 4, '1f497119b960dd4488f3e04ae7a0c4679c751bf4', 'G4674', 164, '2016-02-16 13:50:04', 'Lionel Giordanengo', 'Livraison 15.1.35_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(706, 4, '289f49c455c4921bdba7b20a08462de79f606a57', 'G4674', 164, '2016-03-11 10:55:13', 'Lionel Giordanengo', 'Integration 15.1.70_002 : Traitement des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(707, 4, 'bef1e93655e8d372c9ec2e9558acbcc879d1ced2', 'G4674', 199, '2016-01-19 11:01:07', 'Bertrand FONTANEL', '[D41921] Ajout controle sur 36 mois\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(708, 4, '7dac8a6ce16d7c1fff5495b416554e1a0aef6e59', 'G4674', 74, '2016-02-24 16:14:25', 'Isabelle Finette', '[D42099] Correction D42271 et 42198\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(709, 4, '22bfeb5cdd062a32479df73f0662de7922debb6f', 'G4674', 116, '2016-01-13 15:23:16', 'Arnaud Trousselard', '[D3551] Gac - Correction pck_flux_affi01 sur la suppression inst 73/74\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(710, 4, '03765a28599dc22b1371e659003456ac359a6ce7', 'G4674', 164, '2016-01-18 13:38:25', 'Lionel Giordanengo', 'Revert \"[D41276-40641] [D41345] [D40642] Defect 40641 relivraison dans une version TAIGA\"\n\nThis reverts commit 804140c930c333474de1266cdd36549bca38c52f.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(711, 4, '56fa6be8e1af7f1de01c0ef6653bd57190ac2a21', 'G4674', 109, '2015-12-11 17:07:12', 'Mathieu GONON', 'IntegrationTools : Fix date problem\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(712, 4, '1e37d70a4861f6c09c810e837421d737ff14ea3e', 'G4674', 1, '2015-12-22 13:28:17', 'Louis BAYLE', 'Livraison 15.1.0_012\n\nlivraisons 10 et 11 faites par yann perrais pour tenter\nde débloquer dimensions...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(713, 4, '4f6c40a394b04b925b938b13ea2bdd233e6fc190', 'G4674', 164, '2015-10-07 12:26:05', 'Lionel Giordanengo', 'Env : correction du prompt en bash\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(714, 4, '5a5b07a9aeccfc9573db63316453ecfeb0d3b01a', 'G4674', 169, '2015-09-30 10:08:00', 'Fabien TROPIS', '[D41325] bordereau appel de cotisation\n\n[D41325] deuxième modif\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(715, 4, '66c0bdf7e4ff2c7534d19f2b7d56d356a847d32b', 'G4674', 117, '2015-12-28 11:24:48', 'Jean-Michel PERQUE', '[D41890] Renommer fichier de log et de trace\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(716, 4, '0e028e8776c341c1bfb8fdd11a61ba31cbb09ba9', 'G4674', 1, '2015-11-11 17:24:22', 'Louis BAYLE', 'Environnements: maj_all_cmr.sh\n\n    check return code\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(717, 4, 'df253f9af56447dff37be9bd7d89cc56b2dae7aa', 'G4674', 93, '2015-10-23 14:11:09', 'jean-marc SCOTTO', '[D41238] Modification du package pck_spoc31.sql + script maj_base_cmr_XXX_D41238.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(718, 4, '03c55a770c41b293727434ed36f9d399e5272c69', 'G4674', 1, '2015-11-06 10:11:21', 'Louis BAYLE', '[D41681] APP: VAL_REF: rename maj_base_cir -> pal_qc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(719, 4, '8c4b68d8b213531b1fcdf8e7f3ddd2a6a361e970', 'G4674', 134, '2016-04-07 10:29:12', 'Isabelle LAGIER', '[D42441] Categorie assiette sociale non determinee si WQ\n\n[D42441]- Assiette sociale non determinée si WQ-doc de référence\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(720, 4, 'f3f2bac87b03804a0f41b2acae557c8fe341edac', 'G4674', 164, '2016-03-01 12:17:44', 'Lionel Giordanengo', 'Integration 15.1.80_001 Modif maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(721, 4, 'ca7e0873bc6610891b8d8518a7a3a0be3cae291d', 'G4674', 1, '2016-03-18 17:07:14', 'Louis BAYLE', 'Doc : maj proprietes (pour macro extraction)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(722, 4, '8dafeead13a5df5fbb7866e7bb9acedf2d2066db', 'G4674', 199, '2016-02-26 11:51:31', 'Bertrand FONTANEL', '[D42125] correction alias\n\n[D42125] Maj Finale\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(723, 4, 'fc646257dbc32bcdbebc4590089c4c2a70f3b195', 'G4674', 169, '2016-01-05 17:04:29', 'Fabien TROPIS', '[D41914] Palliatif pour permettre une nouvelle saisie d\'IMMAT via TP\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(724, 4, '416a7e60d5841b58c0b9bc1f007eb6c4bb837be5', 'G4674', 164, '2015-08-04 10:24:37', 'Lionel Giordanengo', 'IntegrationTools : Modif script permettant de recharger REDA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(725, 4, '868e8e3152fcdbab60136a02b88dea881df29c95', 'G4674', 164, '2016-03-04 15:32:02', 'Lionel Giordanengo', 'InternalTools : ajout de la version en parametre du make_env\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(726, 4, 'd8691a493f529d094d10d2ef6fd587e2142a3e58', 'G4674', 1, '2016-03-29 11:32:34', 'Louis BAYLE', 'Internal: template de RDD\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(727, 4, '54eb7038081957857ba2372542e9b4ff2851cfbc', 'G4674', 146, '2016-02-16 13:33:52', 'Achraf AKRIMI', '[D3732] MOA_GAC : Correctifs suite tests TMA sur l\'evolution PAF 40653 (maj SIREN en reprise d\'activite)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(728, 4, '59bf338651069e7be4ffbb40624e9b0ac2e59a51', 'G4674', 157, '2016-03-11 10:40:05', 'Vincent GENTIL', '[D42312] 3en1 Changement modalites de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(729, 4, '352b0d083934f418be91b12b552ea2df411265fd', 'G4674', 74, '2016-02-24 16:14:23', 'Isabelle Finette', '[D42197] correction de la tabulation dans les écrans de saisies des revenus 2015\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(730, 4, '148bb2b875c1f03ba17efbcf35889cd7a0d5da02', 'G4674', 164, '2016-01-13 15:22:40', 'Lionel Giordanengo', 'Revert \"[G3514] PAF – KO sur l\'alerte 2725 - Option EIRL\"\n\nThis reverts commit 28bee991650566a6ad2d75f9a776230e89b1f3ad.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(731, 4, '88b954598ef327f44be1dd8043ff344543a2cf33', 'G4674', 164, '2016-01-18 13:38:24', 'Lionel Giordanengo', 'Revert \"D41643 - Correction du log genere par le D40641. Riba manquant.\"\n\nThis reverts commit ae3d84d6d88612c7c54338185fb2fb5dbdfd6eef.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(732, 4, '9d930abd9acbe183ac178cece8048073380884fb', 'G4674', 164, '2015-12-11 15:50:20', 'Lionel Giordanengo', 'Merge branch \'15.0.52\' (ex 15.0.46 glissement) into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(733, 4, '9853fa1645bb67700bf25bf1dd2a8783eee96852', 'G4674', 1, '2015-12-21 18:24:17', 'Louis BAYLE', 'Livraison 15.1.0_010\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(734, 4, '4c3fc71b3637544781090102ba407e0ee21e2ff3', 'G4674', 164, '2015-10-07 12:18:00', 'Lionel Giordanengo', 'Environnement UBDD : ajout d\'un .bashrc , correction du script et ajout d\'alias\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(735, 4, '8b17782246e4c0523a36c2557ccfdef4c244ef35', 'G4674', 164, '2015-09-29 15:26:18', 'Lionel Giordanengo', 'Livraison 15.0.30_011\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(736, 4, 'e2e957f1246fb6a5dd75d07501a7da796c0a0b23', 'G4674', 199, '2015-12-28 11:22:02', 'Bertrand FONTANEL', '[D41891] Ajout gestion Type D\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(737, 4, '95326f556dfc8c7c1cfc85939e8f136ff205f9f4', 'G4674', 1, '2015-11-10 19:25:15', 'Louis BAYLE', 'Environnements: maj_all_cmr.sh\n\ncheck return code\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(738, 4, '95a1aa95f73a338a24442491d4162b2ee88b2737', 'G4674', 157, '2015-10-23 14:04:00', 'Vincent GENTIL', '[41455] - Correction code enregistrement à 6 de spoc31_histo et spoc34_histo\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(739, 4, '3c29839ef3692e1de163f0dd8c583e1f33358518', 'G4674', 169, '2015-11-06 09:57:49', 'Fabien TROPIS', '[41610] Filtre pour ne prendre que les assures P\n[D41604] correction sur les interruptions d\'activite\n\n[41610] filtre sur AVIS_APL pour prendre UNIQUEMENT les PL\n\n[41610] filtre amélioré sur AVIS_APL\n\n[D41610] maj_base\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(740, 4, 'de9a0278d794570d0df7fbe013da2bc961324a01', 'G4674', 157, '2016-04-07 10:12:23', 'Vincent GENTIL', '[42386] 3en1 Evolution génération spocs changement de code régime\n\n[42386] 3en1 Evolution génération spocs changement de code régime\n\n[42386] 3en1 Evolution génération spocs changement de code régime\n\n[42386] 3en1 Evolution génération spocs changement de code régime\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(741, 4, '8f59eab8db433b7c3c5073b53c44bdda59e8ca69', 'G4674', 158, '2016-03-01 11:42:04', 'Martine RENIER', '[G3795] Correction ano G3624 (PAF TAB_NOM_ID incorrect pour instance 44)\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(742, 4, 'a732029bc325961e2b05e0b19b2f0f21cc0009ff', 'G4674', 164, '2016-03-18 17:05:49', 'Lionel Giordanengo', 'DOC : mise à jour SFD_PropagationAffiliation.doc pour Lindsay\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(743, 4, '3c88f33f29dc342028784b603a9df15ff33c9e2a', 'G4674', 164, '2016-02-23 11:25:20', 'Lionel Giordanengo', 'Livraison 1.6.16_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(744, 4, '8b3f3e32bab2eeaed1018688c353f8f50eba0999', 'G4674', 164, '2015-08-03 16:26:50', 'Lionel Giordanengo', 'InternalTools : Ajout d\'un script permattant de killer les sessions ORACLE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(745, 4, '76fa8f9bcbfe9d7a1eb5b758f73bbcc2375569bf', 'G4674', 1, '2016-03-03 10:29:48', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\n\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(746, 4, 'f9de378f8b9825f646af487a21f7502780345557', 'G4674', 1, '2016-03-29 10:46:34', 'Louis BAYLE', 'Internal: template de RDD\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(747, 4, '6bb002512f23f6c35d4a1df3ad8691dae6179aa3', 'G4674', 164, '2016-01-26 15:40:52', 'Lionel Giordanengo', 'Livraison 15.1.35_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(748, 4, '086fa8dc646fa4edbd81bc14ea471ac35981b32e', 'G4674', 199, '2016-03-09 10:08:32', 'Bertrand FONTANEL', '[D40422] Recalcul echeancier regul 3 en 1\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(749, 4, 'ca272d31fb17ddf40b517ebcb89d2c0d62732323', 'G4674', 74, '2016-02-24 16:14:22', 'Isabelle Finette', '[DXXXX] Modification sur l\'appel de l\'écran de la DSI 2015 et des années supérieures (pour la saisie des revenus anticipés) Defect non déclaré\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(750, 4, '5c5e1189a882144246a22c689a636909de5981d4', 'G4674', 146, '2016-01-11 09:21:05', 'Achraf AKRIMI', '[G3630] correctif\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(751, 4, 'ccef3c25b90d2b2315e483512c40051bd48d757d', 'G4674', 164, '2016-01-18 13:34:29', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.0) into 14.2.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(752, 4, '3b348d5641b2bec93a052f4a657a157666775c27', 'G4674', 164, '2015-12-11 15:11:54', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.5.75\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(753, 4, 'b59a3a952ecda9775aa2e9b9de8ba6041d327d9f', 'G4674', 164, '2015-12-03 17:24:51', 'Lionel Giordanengo', 'Merge branch \'15.0.34\' into 15.0.46 (D41844)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(754, 4, '55bb6d6518030bfb1253bb80a541e1df25ee0917', 'G4674', 147, '2015-12-21 17:58:04', 'Michel Siacchitano', '[G3489] reprise code perdu\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(755, 4, '980191af24daa9a35a319ac2678d394786e61990', 'G4674', 164, '2015-10-07 09:52:18', 'Lionel Giordanengo', 'Env : ajout d\'un alias h pour history dans profile_atos\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(756, 4, '43cb4af0dc28f3832ec23fa9467e2ed47e05f11d', 'G4674', 93, '2015-09-29 15:17:29', 'jean-marc SCOTTO', '[D41452] Ajout d\'un palliatif : 2 scripts pal_qc_41452.sql et pal_qc_41452.sh\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(757, 4, '913e29bcc5ace0a6605228e1d265b674a499bac1', 'G4674', 117, '2015-12-28 11:13:52', 'Jean-Michel PERQUE', '[D41885] Emission a la demande - Doublons\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(758, 4, 'a05a3e6f1ac6e1ff8b445bef696e11c17ab265db', 'G4674', 1, '2015-11-10 16:31:05', 'Louis BAYLE', 'Environnements: refreshBDD.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(759, 4, 'd3d61dcff481934d64ff1a6a3ef56d61b30df28d', 'G4674', 164, '2015-10-23 11:51:02', 'Lionel Giordanengo', 'Merge branch \'14.2.52\' into 15.0.32\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(760, 4, '4b9c0905bc370c2e88ad836179c09fc99bae5467', 'G4674', 164, '2015-11-06 09:29:54', 'Lionel Giordanengo', 'Integ Tools : Change tout en noir dans le word\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(761, 4, 'c055c9b24f879bb9af79116520281b608f27a979', 'G4674', 157, '2016-04-07 10:06:52', 'Vincent GENTIL', '[D40607] Correction historisation spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(762, 4, 'b1af2c401a63ed43345cf301420ea737de3edee8', 'G4674', 158, '2016-03-01 11:41:26', 'Martine RENIER', '[G3546] En attente des dernières réponses de Lindsay - Avant test\n\n[G3546] Reprise d activité auto-entrepreneur (avec suppression RG_PACR_041c)\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(763, 4, '7a67b272f5adc89da5b9b9bf4eca8f0158a1869c', 'G4674', 164, '2016-03-18 15:38:10', 'Lionel Giordanengo', 'Merge branch \'15.1.40\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(764, 4, '347807ed4c17d8438cf4afbaaef1d4dcf6880093', 'G4674', 164, '2016-02-23 10:46:35', 'Lionel Giordanengo', '[42125] Lionel : Deplacement car c\'est a livrer dans TAIGA_PALL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(765, 4, '74cabaa9cdbd2d3a4cacc172bc2c3f763e0d595b', 'G4674', 164, '2015-07-31 11:50:30', 'Lionel Giordanengo', 'InternalTools : Script de suivi des environnements\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(766, 4, '70c647546015aedf4d701104bdc5b527df24e900', 'G4674', 109, '2016-03-02 13:04:11', 'Mathieu GONON', 'Fix doc properties + clean temp file (renameDocWithVersion.pl)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(767, 4, '8fdc95322d5895fc86137767b7f0ad7eb4904424', 'G4674', 1, '2016-03-25 23:13:51', 'Louis BAYLE', 'Internal: template de RDD\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(768, 4, '545a97e026abdea79e2c0364e23394883016f933', 'G4674', 164, '2016-01-22 14:55:02', 'Lionel Giordanengo', 'Integration renommage Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(769, 4, 'a9fc8ac86ecd5043f5e34fde6310e91b24a86172', 'G4674', 199, '2016-03-09 10:06:16', 'Bertrand FONTANEL', '[D40673] Notification DLP par meme periode d\'appel\n\n[D40673] Maj Base\n\n[D40673] correction de la periode\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(770, 4, '083159620a642e29daa5d35ca30227b8d2e90331', 'G4674', 74, '2016-02-24 16:14:21', 'Isabelle Finette', '[D42099] : correction du bouton Creer ==> mis en grisé dans la fenêtre de consultation des revenus\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(771, 4, 'aff6f02b37bb6f2252477754ebd9c96e548aa99c', 'G4674', 164, '2016-01-08 14:50:06', 'Lionel Giordanengo', 'Integration - Preparation du Maj_base NOM A CHANGER !!!!!\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(772, 4, '408c33acd94e5b7f83e8f9dc46c9ddfc438eb61a', 'G4674', 164, '2015-12-14 11:41:57', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.52) into 14.2.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(773, 4, 'bd094604650e5d27f6e9cb33c5cc8071a7a7ebdf', 'G4674', 164, '2015-12-11 15:01:06', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.5.66\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(774, 4, 'b088742eeea86e699c654c7102513aa162ddf1f5', 'G4674', 164, '2015-10-26 15:11:57', 'Lionel Giordanengo', 'Livraison 1.5.75_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(775, 4, 'a39669df264f8d906d6c8396a3153ac565e00be4', 'G4674', 164, '2015-11-30 17:27:33', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.50) into 15.0.46\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(776, 4, 'cbbbcc32d65ac861495a0f4bf27e61f96cacba9b', 'G4674', 164, '2015-12-01 15:45:10', 'Lionel Giordanengo', 'Merge branch \'14.2.55\' into 15.0.34 (D41816)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(777, 4, '89860b45498cabc51416d18b23c5bed5dedd6a3f', 'G4674', 1, '2015-12-21 16:26:27', 'Louis BAYLE', '[D41832] Flux 06R: deplacement vers FC_A_TRAITER\n[D41832] Flux 06R: DEX V1maj3 (prise en compte FDR)\n[D41832] gestion des reprises et suppression 31.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(778, 4, '3ac43e8237c64fe033688d8161042e8822cdfa6d', 'G4674', 72, '2015-10-06 15:57:14', 'Alain Tassotti', 'Suppression doublon doc\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(779, 4, '6c80209ace86d6982708a4fa6c1e3d29f2cd5bc1', 'G4674', 164, '2015-09-28 15:00:54', 'Lionel Giordanengo', 'Livraison 15.0.30_010\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(780, 4, '2aef77dd9c97379f97a61583af81fc50ef9ce45b', 'G4674', 117, '2015-12-28 11:13:51', 'Jean-Michel PERQUE', '[D41891] Ajout des types D autres Editions\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(781, 4, 'e69f4cc2c15b884a1e3729cd614ef4f0d42dbbec', 'G4674', 72, '2015-11-09 11:56:07', 'Alain Tassotti', 'gitignore : ajout  fichier tmp word\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(782, 4, 'cf12fab1cd0dcb0f7c07f7947dde8132e684e304', 'G4674', 164, '2015-10-23 11:07:52', 'Lionel Giordanengo', 'Merge branch \'14.2.8\' into 15.0.32\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(783, 4, '924f802eb58dcf4262d52f8f4717b7b61497e750', 'G4674', 164, '2015-10-09 10:01:47', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 14.2.52\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(784, 4, '52b8226e4a8499d9b87ad53ed5925020231f3682', 'G4674', 169, '2015-11-04 16:10:58', 'Fabien TROPIS', '[D40965] Doc Fonctionnelle\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(785, 4, '2f80486cb082f79fed97b65349be5e1d249512e8', 'G4674', 164, '2016-04-07 10:01:57', 'Lionel Giordanengo', 'Merge branch \'15.1.65\' into 15.1.75\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(786, 4, '246f6d8d4d19ee858c09079f4056a9e5889652ed', 'G4674', 116, '2016-03-01 11:39:21', 'Arnaud Trousselard', '[G3662] - Correction alerte 2707 propagee par erreur pour GAC\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(787, 4, '1560a36b9c68df96559b7a5c1a29ee5d7b95300f', 'G4674', 109, '2016-03-18 11:13:41', 'Mathieu GONON', 'InternalTools: Add type for Ano + fix Evol \"Résumé\" display\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(788, 4, '5c3256327ca997e0fa1a59e8ce8f11d518fca09f', 'G4674', 199, '2016-02-23 10:41:15', 'Bertrand FONTANEL', '[D42125] Correction assiete sociale calcul_a_effectuer_histo\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(789, 4, '17bd3d4021999796f4177f47e2fb4a421bb2a974', 'G4674', 164, '2015-07-31 11:49:30', 'Lionel Giordanengo', 'InternalTools:Script pour maj du client NSDK new\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(790, 4, 'b7bf38d737fbf5722562e22427f94af940414819', 'G4674', 72, '2016-03-01 16:14:29', 'Alain Tassotti', 'InternalTools: update map\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(791, 4, '75ea70a110715e75453c44e887dad59668033ab3', 'G4674', 109, '2016-03-24 14:51:30', 'Mathieu GONON', 'InternalTools: Fix result order\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(792, 4, '7b05cf72332b4119b4c77d190559cd70891aa2e7', 'G4674', 116, '2016-01-22 14:54:49', 'Arnaud Trousselard', '[D3624] GAC pose automatique de l\'instance 44\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(793, 4, 'a499e4b35c81062ca21c129c987d6d6cace27496', 'G4674', 157, '2016-03-09 10:06:09', 'Vincent GENTIL', '[D42174] Saisie assiette n-2 ou anterieure - ne pas recalculer periodes deja 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(794, 4, 'a7195e7341271f2d91f4aae0a188fa3d26e1dbbe', 'G4674', 134, '2016-02-24 16:12:46', 'Isabelle LAGIER', '[D42150] Maj Spécifications de référence\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(795, 4, '4254a56fc38f320b5dec4bc220af1dd83f513a1c', 'G4674', 146, '2016-01-08 14:35:49', 'Achraf AKRIMI', '[G3630] Script passage du param instance 44 Oui ou NON\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(796, 4, '5c34a6ba03aef9a318bcc53c44febb9b96dee441', 'G4674', 164, '2015-11-30 16:44:29', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.50) into 14.2.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(797, 4, '2b7215f035934d87d1d4105d6b0319e53ab18447', 'G4674', 109, '2015-12-10 16:50:36', 'Mathieu GONON', 'IntegrationTools : putenv.sh => Add only UBDD/TUXEDO/SOLARIS option\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(798, 4, '7cc93aba7ae1afacbd29248ce7ba23bbae7e9fe8', 'G4674', 164, '2015-11-12 17:32:01', 'Lionel Giordanengo', 'Livraison 1.5.66_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(799, 4, 'ca31c83e683b6c2e7f6c72bce40123cc5b660ea1', 'G4674', 164, '2015-10-26 15:03:10', 'Lionel Giordanengo', 'InternalTools : Modification pour integration TAIGA_PALL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(800, 4, 'f0c01e0d6770aca26085cef65a366d9cd55ccb98', 'G4674', 164, '2015-11-20 16:09:21', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.32) into 15.0.46\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(801, 4, '2fc2646e45efde4e3d0d99944a8ef06d204c09ca', 'G4674', 164, '2015-11-30 17:15:32', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.50) into 15.0.34\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(802, 4, '1038b57978a4087d3dd4951a595f0352192cab8c', 'G4674', 164, '2015-11-30 16:38:39', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.50) into 14.2.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(803, 4, '73e6ea0ad0de87887ed9e74672245f37daee3668', 'G4674', 72, '2015-12-21 16:26:25', 'Alain Tassotti', '[D41819]  Ajout de la journalisation\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(804, 4, 'ebc45ac1c16cc4bb42f4a8b1b813869387545b4e', 'G4674', 164, '2015-10-06 14:24:50', 'Lionel Giordanengo', 'Environnement : Maj pour droits ATOS TP et suppression des droits SODIFRANCE obsoletes\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(805, 4, '6302437f22048c00b09594d788dd8f2caa4f9502', 'G4674', 164, '2015-09-28 14:51:21', 'Lionel Giordanengo', '[41467] TAIGA - Appels de Régul 2015 – livraison script de blocage des TO (post-appel)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(806, 4, 'a750b9081eaf502d7d7534576e022f9c674765ab', 'G4674', 117, '2015-12-28 11:13:49', 'Jean-Michel PERQUE', '[D41885] Suppression doublons fichier d\'entrée\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(807, 4, 'f81a462f6ec384b3cb805342a5118e03a725575b', 'G4674', 164, '2015-11-06 14:34:49', 'Lionel Giordanengo', 'InternalTools : Modification pour integration TAIGA_PALL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(808, 4, 'b859e490ce00e67cc10112f5b24a355790e55241', 'G4674', 164, '2015-10-19 15:10:10', 'Lionel Giordanengo', 'Livraison 15.0.32_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(809, 4, 'bdda3963ca36a470062f4340087e54fbf3da8aa5', 'G4674', 164, '2015-10-09 10:34:12', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 14.2.8\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(810, 4, '83fc32efe9a40fe37bc665959509cdfbc3b748aa', 'G4674', 164, '2015-10-05 16:39:18', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.1) into 14.2.52\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(811, 4, '7f1b54edd96bfe89eb6027011fccd8d75f12540c', 'G4674', 164, '2015-11-03 10:24:04', 'Lionel Giordanengo', 'Merge branch \'15.0.32\' into 15.0.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(812, 4, '6393a2f903a65574fdbfdcd8bea24bdf8712b60e', 'G4674', 164, '2016-03-29 16:17:50', 'Lionel Giordanengo', 'Livraison 15.1.65_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(813, 4, '59ef5d3f54d1bf56dc376b67ab307f76cd4ae9c8', 'G4674', 146, '2016-03-01 11:37:56', 'Achraf AKRIMI', '[G3532] rubrique DroitSante Prestataire obligatoire, si cette rubrique est absente l erreur bloquante est maintenant gere niveau package et apparait ds l AR\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(814, 4, 'c5d72d5c9084a01d190ae16703e3b73df370a52d', 'G4674', 72, '2016-03-18 10:09:03', 'Alain Tassotti', 'update Gitignore pour Sublime Text\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(815, 4, '5b0036e6e8d53ff3a0400133dac139cd91df552b', 'G4674', 164, '2016-02-23 10:36:56', 'Lionel Giordanengo', 'InternalTools : ajout de la version en parametre du make_env\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(816, 4, '78a421abf0a54a4ebd29973481035556a5ac41aa', 'G4674', 164, '2015-07-31 11:49:29', 'Lionel Giordanengo', 'IntegrationTools : Scripts initiaux pour integration\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(817, 4, '91408ba8f73ff268bf4eda28bfb0d9014773e2b2', 'G4674', 1, '2016-02-26 15:09:56', 'Louis BAYLE', 'FIX Doc export (renameDocWithVersion.pl)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(818, 4, '02b4111ac945c4c7084b3d48c55206e043bc1a1c', 'G4674', 116, '2016-01-22 14:54:32', 'Arnaud Trousselard', '[D41225] Evolution du PAF avec prise en compte du SIREN\n\n[41225] En cours de modif\n\n[D41225] Evolution SIREN\n\nEvolution RG_PACR_033_b pour prise en compte de plusieurs\nentreprises avec le meme SIREN, dans le cadre de l\'evolution du PAF avec\nprise en compte du SIREN\n\n[D41225] Evolution SIREN\n\nEvolution RG_PACR_033_b pour prise en compte de plusieurs\nentreprises avec le meme SIREN, dans le cadre de l\'evolution du PAF avec\nprise en compte du SIREN\n\n[D41225] Evolution SIREN\n\nEvolution RG_PACR_033_b pour prise en compte de plusieurs\nentreprises avec le meme SIREN, dans le cadre de l\'evolution du PAF avec\nprise en compte du SIREN\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(819, 4, '4f0c46f7823ca2cfb119168bb3a1dbddea556c76', 'G4674', 157, '2016-03-09 10:05:53', 'Vincent GENTIL', '[D42132] Selection des 3en1 - on ne prend pas les radies\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(820, 4, '1aa3dee8b50a35b78a26842ab4dfc09dd086b36c', 'G4674', 164, '2016-02-24 16:11:50', 'Lionel Giordanengo', '[D42258] Report de la 15.1.25 - RF sur le composant iqpjnl02.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(821, 4, '4a12dc1d95e15264d488a53bd80620b44bda62b9', 'G4674', 147, '2016-01-08 14:35:15', 'Michel Siacchitano', '[G3626] Boucle pour multi poly activites\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(822, 4, '006af2453d9d12fd220ec2426c3d41297560f394', 'G4674', 164, '2015-11-24 14:29:56', 'Lionel Giordanengo', 'Livraison 14.2.60_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(823, 4, '0b7cc899ef507e774ce65fc7beabaf1419a00606', 'G4674', 109, '2015-12-10 16:12:12', 'Mathieu GONON', 'IntegrationTools : Update post_plateforme\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(824, 4, '60a3ac1e19a6f3a9382757b3ea315ff292ef68ed', 'G4674', 157, '2015-11-12 16:27:32', 'Vincent GENTIL', '[D41729] - correction nom du fichier sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(825, 4, '7bff6786f65b48ee0dcd755d0ab41652282109ad', 'G4674', 164, '2015-10-26 14:53:09', 'Lionel Giordanengo', '[D41522][D41523][D41524] corrections sur D41041 Deplacement dans TAIGA_PALL car livres dans TAIGA_PALL et non dans TAIGA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(826, 4, 'bfd8adf8436eb158be6e178c0f2ea0bec2dcef41', 'G4674', 1, '2015-11-10 15:16:40', 'Louis BAYLE', 'Livraison 15.0.46_003\n\non ne livre qu\'une maj de la note technique d\'intégration...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(827, 4, 'ac6e6b7f6bb42372fab501a7cff1b7ef3dafbb45', 'G4674', 164, '2015-11-20 15:31:05', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.32) into 15.0.34\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(828, 4, '5dfcde0a17de872b0bb105c05dacf022ecdb9dcc', 'G4674', 164, '2015-11-20 15:33:12', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.32) into 14.2.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(829, 4, '5d595a2e88f603a0f97878179b621696a3f84142', 'G4674', 72, '2015-12-21 16:26:05', 'Alain Tassotti', '[D40137]  Mise à jour DEX\n\nMise à jour DEX suite à FDR\n\nMise à jour dex V1 maj 2  en modifiant la frequence du traitement\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(830, 4, '3802f82de679ef513d7be19d5edb77d50f6ef691', 'G4674', 1, '2015-10-05 09:53:07', 'Louis BAYLE', 'DOC: OneNote archive\n\n       Copie de G:\\TMA_RSI_TAIGA\\OneNote\n\n       Des archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(831, 4, '3dbfb15206f4b3adf8807ba02cad7a3647062a14', 'G4674', 164, '2015-09-28 14:49:16', 'Lionel Giordanengo', 'InternalTools : Correction git_extract_Taiga car probleme avec le nouveau GIT 2.5.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(832, 4, 'af1d8ce8da85d586c59c155822bad4c31740c47f', 'G4674', 164, '2015-12-14 17:04:40', 'Lionel Giordanengo', 'Livraison 15.1.20_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(833, 4, 'c79c2a13b35d65e17220094948b5d910344f6374', 'G4674', 164, '2015-11-06 14:14:42', 'Lionel Giordanengo', 'Integ Tools : Change tout en noir dans le word\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(834, 4, 'e3e5173f5705f2cd20d0410f74399a18b80957a8', 'G4674', 164, '2015-10-19 15:09:55', 'Lionel Giordanengo', '[D41582] Relivraison des scripts de deblocage sur les TO de l\'appel de régul 2015\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(835, 4, 'a6d3b8f8ad5949d70768fa7ff2a01166c3d074e9', 'G4674', 164, '2015-10-05 17:20:49', 'Lionel Giordanengo', 'Livraison 14.2.8_010 RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(836, 4, 'e08a25fd267230b3087c46c3abdc0fe5b45a062c', 'G4674', 164, '2015-09-09 16:21:09', 'Lionel Giordanengo', 'Livraison 14.2.52_002\n\nLivraison 14.2.52_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(837, 4, 'f6b708c79e619eb8c9d86097da0ab9166013bbea', 'G4674', 164, '2015-10-30 11:56:42', 'Lionel Giordanengo', 'Livraison 15.0.50_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(838, 4, '11b0c471df4ec0ea47ccbdd41bd6d06e92af971a', 'G4674', 164, '2016-03-29 16:09:45', 'Lionel Giordanengo', 'Integration : Trt Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(839, 4, 'a4701bea7076823e4ec913c0dc28e6a7156a8cb7', 'G4674', 146, '2016-03-01 11:07:20', 'Achraf AKRIMI', '[G3514] PAF - KO sur l\'alerte 2725 - Option EIRL\n\n[G3514] correctif sur la 3514. La periode EIRL est maintenant est cree dans le cas d\'un flux GAC\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(840, 4, '5166e1759a6751903db286055fc5fd9600d19bb9', 'G4674', 109, '2016-03-18 10:00:05', 'Mathieu GONON', 'InternalTools: Fix button issue\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(841, 4, '50281dfd37af393f8157c8212d9774546289ee5f', 'G4674', 164, '2015-07-31 11:49:28', 'Lionel Giordanengo', 'IntegrationTools : Ajout d\'un script permettant de recharger REDA depuis un Bash sur windows\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(842, 4, '31effb2c88b536f7618643de75583acc45526a9d', 'G4674', 116, '2016-01-22 14:54:19', 'Arnaud Trousselard', '[D41204] Correction intégration PAF Siren\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(843, 4, 'd9399b64fc1ec08eb4e1adbedb8a02aa80ba3dfc', 'G4674', 157, '2016-03-07 09:54:01', 'Vincent GENTIL', '[D42116] Correction recherche 3en1 pour determination code SCA spoc 31 et 34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(844, 4, '81081d77aee573f8900c637ad2fc0c76c98a2077', 'G4674', 164, '2016-02-24 15:50:51', 'Lionel Giordanengo', 'Revert \"[D41777] Base calcul KO\"\n\nThis reverts commit 7f1dd03066dafac162f56f1fc86e6ede61536c1b.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(845, 4, '2a4076a43a5c6384eab7cda0f3abe2cb8865fc52', 'G4674', 116, '2016-01-08 11:05:57', 'Arnaud Trousselard', '[D3551] - GAC - Gestion instances 73 et 74\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(846, 4, 'ae3d84d6d88612c7c54338185fb2fb5dbdfd6eef', 'G4674', 134, '2015-11-24 14:17:58', 'Isabelle LAGIER', 'D41643 - Correction du log genere par le D40641. Riba manquant.\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(847, 4, '9bb0b9250c2cfe974de65969a1b2f0031b68ca4d', 'G4674', 1, '2015-12-09 11:46:02', 'Louis BAYLE', 'DOC update des FreeMind lanceurAPR et chaineQuot\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(848, 4, 'd13864d09a965e5bc596b04607ad014bfb3714f6', 'G4674', 164, '2015-11-06 14:45:06', 'Lionel Giordanengo', 'Livraison 1.5.66_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(849, 4, '8a21fbc7fabd9552412176ab9c1098a7580abf32', 'G4674', 117, '2015-10-23 11:57:53', 'Jean-Michel PERQUE', '[D41522][D41523][D41524] corrections sur D41041\n\n[D41041] Correction des types de calculs :\n - S pour suppression des enregistrements de loi création,\n - C pour création des enregistrements de loi d\'orientation DOM\n\n[D41041] Corrections du type de calcul\n\n[D41041] Suppression du recours à ETRE_ASSUJETTI\n\n[D41041] Corrections suite aux retour RSI\n\n[D41041] Correction retrait abusif de la jointure sur la date de début du PSS\n\n[D41041] Corrections bugs écriture fichier CSV\n\n[D41041] cosmetic\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(850, 4, '38939388d79c2817030bbead72b8aef681a26b19', 'G4674', 72, '2015-11-09 11:48:02', 'Alain Tassotti', '[D41696] Maj Specs de references\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(851, 4, '725187ffaee1559caeb8942edcd26e8c0461b4f1', 'G4674', 164, '2015-11-16 09:51:27', 'Lionel Giordanengo', '[D41731] : Merge branch \'15.0.32\' into 15.0.34\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(852, 4, '6dd7a6ecc459b174984467de655e382c9582ce37', 'G4674', 164, '2015-10-29 11:51:15', 'Lionel Giordanengo', 'Livraison 14.2.55_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(853, 4, '09b8aaea2a3752261d692fb018081018ba55eafc', 'G4674', 147, '2015-12-21 16:21:03', 'Michel Siacchitano', '[D40137] impact LURA flux 06R\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(854, 4, 'f0f7f778a53b40821e031147e230ded37bc613ec', 'G4674', 164, '2015-10-02 11:40:40', 'Lionel Giordanengo', 'Correction pour putenv.sh RE7\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(855, 4, '808bc1b124300cb98b79546aa54b11365019c7bc', 'G4674', 164, '2015-09-24 17:01:19', 'Lionel Giordanengo', 'Livraison 15.0.30_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(856, 4, 'c77479cc67da21b91653a2dc0e7ad6721d9b89d8', 'G4674', 164, '2015-12-14 16:42:07', 'Lionel Giordanengo', '[D41896] DSI2015-EIC-emssion a la demande - ajout option ed  sur edi_adresse_pl.sh - Assistance Patrick MANGIN\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(857, 4, 'e321d84dc074a059315124cbcb3d948a2210fb8a', 'G4674', 164, '2015-11-05 15:39:50', 'Lionel Giordanengo', 'Tools : modif+correction refreshBDD.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(858, 4, 'a496eee70c833b901b0f0464795c94c0890a3f08', 'G4674', 164, '2015-10-02 14:23:02', 'Lionel Giordanengo', 'Livraison 15.0.32_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(859, 4, 'fe31f36f4a80c594fc5c8fc9866e0a02cca497ac', 'G4674', 164, '2015-10-05 16:56:36', 'Lionel Giordanengo', 'merge : Fin du merge de la master pour RF dimension\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(860, 4, '983a3cfbe8642dfab689050c947764031829ea75', 'G4674', 93, '2015-09-09 16:06:00', 'jean-marc SCOTTO', '[D41310] ajout de deux composants maj_base_cmr_XXX_D41310.sql et pck_cqpntf00.sql\n\n[D41310] ajout de deux composants maj_base_cmr_XXX_D41310.sql et pck_cqpntf00.sql\n\nConflicts:\n	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf00.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(861, 4, '7dccc71448e11f3d668c5255e7565ea044f9d514', 'G4674', 164, '2015-10-30 11:37:46', 'Lionel Giordanengo', '[D41659][D41654] relivraison du composant pck_spoc31.sql pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(862, 4, '9418b05e6cd63a7220ec88448a9e8e0df877f1bb', 'G4674', 134, '2016-03-29 16:07:32', 'Isabelle LAGIER', '[D42362] Forçage assiette sociale à -9 999 999\n\n[D42362] maj_base forçage assiette sociale à - 9 999 999,99\n\n[D42362] Forçage assiette sociale à -9 999 999 - maj doc de référence\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(863, 4, 'd1e05b71d2008aae1dbeda051191bf00e361f2da', 'G4674', 116, '2016-03-01 11:03:13', 'Arnaud Trousselard', '[G3701] - Modification generation signalement 3733\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(864, 4, '5464e44b5e469fb0d1eeaee601c2608f0100ed76', 'G4674', 109, '2016-03-17 17:23:08', 'Mathieu GONON', 'InternalTools: Implement button \"ne pas nettoyer...\" (ALM_to_CodevTT)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(865, 4, 'be4b3aedfce47a3b75cc656ddc7b8497a96db2e2', 'G4674', 109, '2015-07-31 10:50:48', 'Mathieu GONON', 'Update ChoixEnv : Integrate to TAIGA launcher\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(866, 4, 'e1f760dedf6453004a81a27b8d0958a1e7af9d0b', 'G4674', 116, '2016-01-22 14:54:06', 'Arnaud Trousselard', '[D40653] Integration PAF Siren\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(867, 4, '33c472e529fe6983813103d77a48567ac6d9e1d1', 'G4674', 157, '2016-03-07 09:52:55', 'Vincent GENTIL', '[41908] Pck_Cqpntf01 prc_maj_nat_mvt correction recherche assure 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(868, 4, 'db1e618947af448b275110d3950d0d52d49c4eb2', 'G4674', 164, '2016-02-24 15:49:34', 'Lionel Giordanengo', 'Revert \"[D41547] phase 1 pb per_oc annulées correction requete sql\"\n\nThis reverts commit 1bcd60017eefadb7d25a0c6663b670871918528b.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(869, 4, 'cba8474cb5f61b154d71b9c3dfaa872617aa6b4b', 'G4674', 116, '2016-01-08 11:05:56', 'Arnaud Trousselard', '[D3551] Ajout gestion pose instance 73/74 dans fichier PAF_transformation\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(870, 4, '798445190c7a4f78e61fd811f8ec9851b0ee79be', 'G4674', 134, '2015-11-24 11:36:01', 'Isabelle LAGIER', '[D41480] Journalisation Table ENT\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(871, 4, '432c57756740246776b3645c24f7af6a8e5de694', 'G4674', 1, '2015-12-07 18:54:31', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\n\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(872, 4, 'c0604bc8e39afccd17ba28591f32ce505c35fe70', 'G4674', 164, '2015-11-06 14:45:05', 'Lionel Giordanengo', '[D41612] Suppression assiettes TO sur radies\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(873, 4, '8440c17ea91d328d2dd0d78120f273b978f02cbd', 'G4674', 117, '2015-09-22 15:52:07', 'Jean-Michel PERQUE', '[D41041] RDD Manque a gagner\n\n[D41041] Version après premières dérivations  defects 38216 et 38315\n\n[D41041] Traitement calcul rejets (INSERT/DELETE)\n\n[D41041] Prise en compte \"Ne pas avoir de manque à gagner\" de la règle RG_D41041_08\n\n[DE41041] Version initiale à partir des sources des defect 38216 et 38315\n\n[D41041] Premiers debbug. Attention ROLLBACK dans les SQL\n\n[D41041] ROLLBACK au lieu de COMMIT en mise au point\n\n[D41041] Premire Debbug. Le PL/SQL s\'exécute. Attention ROLLBACK de mise au point au lieu de COMMIT!\n\n[D41041] Mise à dispo du soir. A ce stade les PL/SQL s\'excutent. Les résultats restent à tester.\nAttention il y a des ROLLBACK dans les PL/SQL au lieu des COMMIT\n\n[D41041] Correction de l\'erreur / > \'2015\' alors que ce doit être >= (ou égal!)\n\n[D41041] Correction : le n° de caisse DOIT commencer par 0.\nLes seuls numéros de CMR possibles sont :\n 053, 054, 058, 059\n\n[D41041] Version initiale après premiers TU.\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(874, 4, '86a5327dc4c6c0b50d282565e9675b86e3f0e13f', 'G4674', 164, '2015-11-06 17:18:02', 'Lionel Giordanengo', '[D41677] Modif couleur NoteTechnique\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(875, 4, 'a76edc82f4e6359c874b7c9eb9b4c237d481c6e1', 'G4674', 164, '2015-11-16 09:48:35', 'Lionel Giordanengo', '[D41730] : Merge branch \'15.0.31\' into 15.0.34\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(876, 4, 'e8036dc8a57e03eecc2a6958bc8c698ac067df93', 'G4674', 169, '2015-10-26 17:14:40', 'Fabien TROPIS', '[D41548] echeanciers spoc34\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(877, 4, '755517f6a824e48567283123939f32c69567f441', 'G4674', 72, '2015-12-17 14:40:16', 'Alain Tassotti', 'MAJ Specification de reference SFD_PropagationAffiliation  ( Lindsay)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(878, 4, '029e52c861f88e064c9838be4c1cbadd90c05e4b', 'G4674', 164, '2015-10-02 11:35:44', 'Lionel Giordanengo', 'Environnements : Correction du script import_999.ksh qui était buggé...\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(879, 4, 'd508584497caf656282c121f26013900f330663b', 'G4674', 164, '2015-09-24 16:54:06', 'Lionel Giordanengo', '[D41431] TAIGA - Appels de Régul 2015 – Relivraison script de blocage suite defect 41346 - CMR 053 et CMR 054\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(880, 4, '3e953e8656aaf314d384ffc4904fc249a84f32e7', 'G4674', 164, '2015-12-14 16:02:20', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.52) into 15.1.20\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(881, 4, '779247d70eeea9fe8af9c99edee0d1b4339fced5', 'G4674', 1, '2015-10-29 16:31:43', 'Louis BAYLE', 'integrationTools: refreshBDD.sh - check return codes\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(882, 4, '04031cf94cc4b7f1116e271ca13baf3ba2abbb48', 'G4674', 93, '2015-10-02 14:11:35', 'jean-marc SCOTTO', '[D41436] Appel regul: anomalie SPOC 22 de la notif pos appel\n\n[D41436] Modification du composant pck_spoc22.sql pour conditionner la création du message 720\n\n[D41356] Ajout du script maj_base_cmr_XXX_D41356.sql\n\n[D41356] Modification du composant pck_spoc22.sql pour conditionner la création du message 720 (solution 1)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(883, 4, 'ff2d26c70d06abc692ffcab222c3af73f380ea34', 'G4674', 164, '2015-10-05 16:51:37', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.1) into 14.2.8\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(884, 4, '15c8e7421146bfe8d3b833ea47f2c80777683dca', 'G4674', 164, '2015-09-09 15:48:42', 'Lionel Giordanengo', 'Merge branch \'master\' into 14.2.52\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(885, 4, '56e6e934e96e2411bd37a9ba2537bf5be8076a0a', 'G4674', 164, '2015-10-30 11:14:15', 'Lionel Giordanengo', 'Merge branch \'15.0.32\' into 15.0.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(886, 4, '96da3c6d82f2aa0bac036f4abcedcb16f20ab21c', 'G4674', 164, '2016-03-29 11:15:40', 'Lionel Giordanengo', 'Livraison 15.1.65_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(887, 4, 'ea26928541229b1b2ccb5cd4a51b7623a10ec9ef', 'G4674', 116, '2016-03-01 11:00:56', 'Arnaud Trousselard', '[G3629] - Fin du dev et tests faits, Numero alerte a verifier\n\n[G3629] - Suppression maj_cir et ajout du fichier nomenclatureSpec\n\n[G3629] - Modif package decalage developpement\n\n[G3629] - Correction alerte non affichee\n\n[G3629] - Correction niveau certification\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(888, 4, 'e31f390885446c6cc60606a91ec4bfc00e2d6fda', 'G4674', 109, '2016-03-17 10:49:16', 'Mathieu GONON', 'InternalTools: ServerInfo\n\nAvec XSL\n\nAjout tamcoc + modifs\n\nFiabilite des KO a verifier\n\nChange timeout method + compare CMR size + TMP 4 CSS\n\nServerInfo: FIX fonts\n\nla balise <FONT> n\'existe plus, et ne marche que sous IE.\n\nBefore implement config.ini\n\nConvert config\'s data into bash array\n\nServerInfo: works with config.ini\n\nServerInfo : Separate env (tadev/tamco/tapqua...) + Delete other CSS\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(889, 4, 'a6805fed10793727f68194e8da34b3c7dbce1c4a', 'G4674', 109, '2015-07-28 15:42:27', 'Mathieu GONON', 'IntegrationTools : Add script to update the version of \"Note technique integration.doc\"\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(890, 4, '85b9c3c114b1a62dda7fb05a90318e72cbc03a2a', 'G4674', 157, '2016-03-07 09:50:05', 'Vincent GENTIL', '[D40409] Gestion revenus estimes 3en1 dans moteur de calcul\n\nConflicts:\n	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf01.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(891, 4, 'a679475f17a26f2c50bd7162af37ce9dc4205b88', 'G4674', 164, '2016-02-24 15:49:13', 'Lionel Giordanengo', 'Revert \"[D41547] Dossiers rejettes a tort\"\n\nThis reverts commit 5871ce4e85b732c962b8c3fbb9cda2c8e8f81cc9.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(892, 4, '28bee991650566a6ad2d75f9a776230e89b1f3ad', 'G4674', 146, '2016-01-08 11:05:05', 'Achraf AKRIMI', '[G3514] PAF – KO sur l\'alerte 2725 - Option EIRL\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(893, 4, '183762b5d84a25aa582856d913fe1f08f1dca796', 'G4674', 164, '2015-11-20 16:52:36', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.32) into 14.2.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(894, 4, '3c0694d14a61a51b0e31f37e5c0cebaf3c6371e5', 'G4674', 164, '2015-12-04 16:00:41', 'Lionel Giordanengo', 'PAF : Ajout de lanceur_transformation.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(895, 4, 'dd86733dba325d90fce43404ef4e064636ef8b1c', 'G4674', 1, '2015-09-04 10:34:43', 'Louis BAYLE', 'Environnements: update refreshBDD.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(896, 4, '7316486dfede537f49024259de9eaaebbaf6b69c', 'G4674', 164, '2015-10-30 14:42:14', 'Lionel Giordanengo', 'Livraison 15.0.46_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(897, 4, '8d2e06f35753a969706b922567eda4334f0e7b85', 'G4674', 164, '2015-11-03 11:10:57', 'Lionel Giordanengo', 'Livraison 15.0.34_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(898, 4, '17652d4f3e4a1ab4ec5a537ee8bf7424d557ee7f', 'G4674', 164, '2015-10-23 16:51:32', 'Lionel Giordanengo', 'Livraison 15.0.31_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(899, 4, '811dd5db826d37dc29f7e09184e878bc26d73511', 'G4674', 169, '2015-10-26 17:14:38', 'Fabien TROPIS', '[D41549] problème spoc 23 sur cotisation et base de calcul\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(900, 4, '4c2fb2f2448342652b5a5d356ed190f954fea524', 'G4674', 164, '2015-12-17 09:55:20', 'Lionel Giordanengo', 'Livraison 15.1.0_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(901, 4, '9d99aeca61bfe151e9c8322492c34401a91aa5a4', 'G4674', 109, '2015-10-02 11:29:29', 'Mathieu GONON', 'Modif putenv.sh + putconf_utils + AddSSHkey\nModif putenv.sh + changement emplacement des scripts ubdd/utils\n\nAjout AddSSHkey.sh + Netoyage script test\n\nAjout de la fonction scriptBACKUP dans putenv.sh + Modif arborescence envrionnements/solaris/...\n\nUpdate putenv.sh\n\nAdd putconf_utils.sh + update gentptux.sh\n\nModif AddSSHkey (n\'ajoute plus les clefs sur solaris pour tamco58+)\n\nUpdate putenv.sh & putconf_utils.sh\n\nUpdate putenv.sh (ne laisse plus les tar.gz dans le repertoire git)\n\nUpdate putenv\n\nConflicts:\n	InternalTools/putenv/putconf_utils.sh\n	InternalTools/putenv/putenv.sh\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(902, 4, 'bef53c41b60149de7c496b8ec2eef0792b362901', 'G4674', 164, '2015-09-24 16:52:55', 'Lionel Giordanengo', 'InternalTools : creation script integ.sh et reorganisation des scripts pour integration\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(903, 4, '57482c780b4fe2ccaa7e71ecda267994633ea2b4', 'G4674', 117, '2015-12-11 16:08:24', 'Jean-Michel PERQUE', '[D41867] Version base Maj2\n\n[D41867] Err de commit précédant\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(904, 4, '475c2f22d33b095774ca3b74180c575f54afa525', 'G4674', 164, '2015-10-23 09:58:31', 'Lionel Giordanengo', 'Corrections putenv.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(905, 4, 'b6892d7709fbe6604e4f4efd2929d6b030abd67c', 'G4674', 164, '2015-08-25 15:18:53', 'Lionel Giordanengo', 'Livraison 14.2.8_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(906, 4, 'a07f87da50442677553def7a74f97db46b9257b8', 'G4674', 164, '2015-08-25 14:02:39', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.50) into 14.2.52\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(907, 4, 'f58307518efe55627e2a9d73f0ca8425bc66dfa8', 'G4674', 164, '2015-10-27 10:32:36', 'Lionel Giordanengo', 'Livraison 15.0.50_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(908, 4, '767ba63e054a0dc17ecd14e7d25d8a97b6766b59', 'G4674', 164, '2016-03-29 10:48:52', 'Lionel Giordanengo', 'Integration 15.1.65 : Re-nommage du Maj base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(909, 4, '47f115ce7cc55deab306bf8722b556e0b0e6cc7f', 'G4674', 158, '2016-03-01 10:55:58', 'Martine RENIER', '[G3424] Evolution RG_PACR_132a (gestion poly actifs de type exploitant agricole)\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(910, 4, 'bfd3356cd59ab13bd9411a9f3bb7cb34eaa05248', 'G4674', 109, '2016-03-17 10:38:25', 'Mathieu GONON', 'InternalTools: Macro ALM => CodevTT\n\nRecupere donnees depuis ALM et les tries selon leur type\n\nFonctionnel (sans verification des taches presentes ds mantis+ deadline a retravailler)\n\nMacro with SOAP request OK\n\nRecuperer un singleNode de la reponse OK\n\nMacro fonctionne (couleur de tri a changer + Deadline : trouver une solution pour l\'autre format)\n\nMacro OK en local\n\nProtection feuille result requete + Fusion bouton Requete et tri\n\nTest qu\'en local\n\nCommunication serveur OK + modification requete + ajout feuille Utilisation\n\nTODO => Gerer le non import de la colonne destinaire\n\nMacro OK\n\nSort result by Ref Externe + Switch DEV & SPEC in Evolution sheet\n\nInternalTools: Sort in ascending order\n\nUpdate SOAP password\n\nFix saving path issue\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(911, 4, '9f86aa9c655a8d2a4f0f635884c423a8d6eedbac', 'G4674', 164, '2015-07-28 10:08:18', 'Lionel Giordanengo', 'InternalTools : Modification Putenv.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(912, 4, '0579e459c946f47a79c498c16b7ba9fd3d8be68c', 'G4674', 164, '2016-03-04 17:06:44', 'Lionel Giordanengo', 'Merge branch \'15.1.10\' into 15.1.70\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(913, 4, '4a251771fd3be47773c963838e5da5a6b00dfad4', 'G4674', 164, '2016-02-19 15:37:07', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.25) into 15.1.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(914, 4, '02ab979aafd18a430db94aaa444284bd3c40cae8', 'G4674', 164, '2015-11-02 16:55:54', 'Lionel Giordanengo', 'Livraison 14.2.60_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(915, 4, '469524098ee147a2919933f47f8985b725abd4cf', 'G4674', 1, '2015-09-02 15:48:16', 'Louis BAYLE', 'DOC: OneNote archive\n\n   Copie de G:\\TMA_RSI_TAIGA\\OneNote\n\n   Des archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(916, 4, '975e2c884d8b60ea1202e111dedac58bc76ad9fe', 'G4674', 134, '2015-10-30 14:36:11', 'Isabelle LAGIER', '[D41593-D41605] evolution D40998 valeur CSG-CRDS + correction ano\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(917, 4, 'f68ec5e1fa434a0a81275de6e587d4761a11b212', 'G4674', 72, '2015-11-03 10:48:23', 'Alain Tassotti', '[D41544]  PUMA suppresssion courrier fin de droits\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(918, 4, '5f3ef0f12c8507bdfefd2b1432c8a042a276b4f8', 'G4674', 169, '2015-10-23 16:40:49', 'Fabien TROPIS', '[D40967] SPOC 21 absent pour les caisses non PL\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(919, 4, '83083a817b6c2ed0b263e6e5e6429eabe6902235', 'G4674', 169, '2015-10-26 17:14:36', 'Fabien TROPIS', '[D41551] problème de signe spoc22\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(920, 4, '70db9cf540c4dd41578aafba99d9f929917b38f1', 'G4674', 164, '2015-12-17 09:28:19', 'Lionel Giordanengo', '[D3532] Pose de l\'anomalie 3177 cas non presta\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(921, 4, '1b6dc1950a23dd391a17603b2c4c6da88f1a8394', 'G4674', 109, '2015-10-01 13:34:19', 'Mathieu GONON', 'Ajout putconf_utils.sh + Modif arborescence utils\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(922, 4, '9407ed9ff1f91b4c9894a0c4578d59442fa862f3', 'G4674', 164, '2015-09-24 10:33:03', 'Lionel Giordanengo', '[D41400] Merge branch \'15.0.25\' into 15.0.30\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(923, 4, 'e7fb100096a65f8492b245f4698d5b12f29e8b51', 'G4674', 134, '2015-12-11 16:08:18', 'Isabelle LAGIER', '[D41862][D41863][D41869] maj DEX Emission initiale et complémentaire\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(924, 4, '5475b85ea9a8e06bf886f578a21cf4dc059c4ae3', 'G4674', 164, '2015-10-22 16:48:15', 'Lionel Giordanengo', 'env ubdd refreshBDD_new.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(925, 4, 'd57bb54f9ae9099668a24ea7317a5cc341e87325', 'G4674', 164, '2015-08-25 14:24:17', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.50) into 14.2.8\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(926, 4, 'ba5b78fe144d897811790ec95a447053fd23baab', 'G4674', 1, '2015-08-10 11:52:09', 'Louis BAYLE', 'Livraison 14.2.52_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(927, 4, '49e57333b2c54f70820313e445d73332cbba1f59', 'G4674', 1, '2015-08-18 15:55:20', 'Louis BAYLE', 'IntegrationTools: make_env.pl : cleanup nomenclatures\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(928, 4, 'ecad9a77a046a3bc5e06216ddf4b8a1dbeb10116', 'G4674', 1, '2015-10-27 10:14:27', 'Louis BAYLE', '[D41633][D41635] APPEL PROV 2016 - MAJ du script d\'initialisation table VAL_REF\n\n\nVendredi soir, nous avons eu un plantage de l’appel prov suite\naux dernières insertions dans la table VAL_REF.\nL’erreur vient du fait que nous avons inséré des valeurs spécifiques\npour les caisses 058/059 et que TAIGA ne gère pas cette possibilité\nofferte par la table VAL_REF.\n\nL’erreur remontée (pck_cqpntf35.PRC_INSERT_RUB_COTIS.N9) vient du fait\nque 3 tuples sont remontées de la table VAL_REF alors que la requête\ns’attend à n’en avoir qu’un.\nRechercher et corriger toutes les requêtes de TAIGA ayant ce problème\nne semble pas envisageable dans l’immédiat, il faut se rabattre sur\nla deuxième option : supprimer les lignes spécifiques de VAL_REF et\nfaire des updates dans les CMR_999 des environnements utilisés pour\n058,059.\n\n\nLouis BAYLE\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(929, 4, '3566b75bdbe25a99575ae838c974fbd490df654d', 'G4674', 157, '2016-03-29 10:42:58', 'Vincent GENTIL', '[D42161] Pas de sauvegarde en base si verification TO N-1 non saisi\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(930, 4, '81e782cb6c41ecc03fec936a88ec5ea008032d8c', 'G4674', 164, '2016-03-01 10:25:20', 'Lionel Giordanengo', '[G3631] Nomenclatures specifiques : ajout des donnees dans TYP_ALERT_INST_44\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(931, 4, '10bf8217b12d0576a023ce998418db8445572f07', 'G4674', 109, '2016-03-11 15:38:55', 'Mathieu GONON', 'InternalTools : Add tamcoc to AddSSHkey.sh\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(932, 4, '06abb62ac2a42079b0e98f38af7dc211b4b81c6d', 'G4674', 164, '2015-07-24 14:58:28', 'Lionel Giordanengo', 'IntegrationTools : Scripts de deploiement FTP pour MAJ_environnements\nNB : Necessite l\'install de winscp sur sa machine !\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(933, 4, 'b3bc1983e4c9f5790a3c3f46fa17f3725aad8df6', 'G4674', 164, '2016-02-19 16:36:26', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.25) into 15.1.70\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(934, 4, 'e3864feada8e2559d2c7057973fda1754370a0b6', 'G4674', 164, '2016-02-19 15:39:40', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.25) into 15.1.10\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(935, 4, '686b76fb5ed26690013a607955d8b8495341dfdf', 'G4674', 164, '2016-02-17 11:27:11', 'Lionel Giordanengo', 'Livraison 15.1.40_006\nNOTA BENE : PAS DE 005 car RF sur DIMENSION uniquement !\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(936, 4, 'a8522dae9ab895608c53f0a71c57686a5f426eb4', 'G4674', 1, '2015-10-29 10:01:47', 'Louis BAYLE', '[D41462] fix PATH sur D40641\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(937, 4, 'f936142f60a35439325aac0187869c7460cb4507', 'G4674', 1, '2015-08-28 13:49:25', 'Louis BAYLE', 'gitignore update\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(938, 4, 'f16215bcdebf3a615033f61359ad19543c6909b4', 'G4674', 164, '2015-10-09 09:50:40', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 15.0.46\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(939, 4, 'c0b35a93186777c7ea18f68db2aa32eb98827a2f', 'G4674', 1, '2015-10-19 15:06:48', 'Louis BAYLE', 'IntegrationTools: killer.sh -> disconnect_all.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(940, 4, '1c3115431e252c5ba497e4018982009daebf8493', 'G4674', 169, '2015-10-26 17:14:26', 'Fabien TROPIS', '[D41545] problème quantième\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(941, 4, '92dfe51941caea8ecc376dba0036d2ad9c7d21c8', 'G4674', 164, '2015-12-16 14:12:59', 'Lionel Giordanengo', 'ifnnom74.dat : Modif Bidon Pour traitement  du Report de Fusion dans Dimension\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(942, 4, 'a96338ea02b698c8c3058f39f9b1c334f63269da', 'G4674', 1, '2015-09-29 16:16:53', 'Louis BAYLE', 'Outils : maj svgResBatch.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(943, 4, 'deb3c590e1072d89e694f395eb9eb96f33980bcc', 'G4674', 1, '2015-09-22 17:43:23', 'Louis BAYLE', '[D41430] maj DEX appel regul v1Maj8\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(944, 4, '3f2c3fcbb217cb125d4e1cd2cd64c384d826409b', 'G4674', 164, '2015-09-23 16:55:16', 'Lionel Giordanengo', 'Livraison 15.0.25_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(945, 4, 'e19db9fa0f7e1f47a2605e818264f2f907957289', 'G4674', 134, '2015-12-11 16:07:13', 'Isabelle LAGIER', '[D39996] DEX emission à la demande\n\n[D39996] DEX - Emission à la demande\n\n[D39996] maj dex Emission à la demande\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(946, 4, 'a784d372e9cd3aaedfbe210e3dcc64ae06fab83a', 'G4674', 109, '2015-10-22 16:33:57', 'Mathieu GONON', 'IntegrationTools : Update\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(947, 4, 'a2b113a0885382506b1aad72deb1336f39267336', 'G4674', 164, '2015-07-10 15:52:04', 'Lionel Giordanengo', 'Livraison 14.2.8_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(948, 4, '18aaab5f3e8b2f7f62cfce462532f1d75d6fde62', 'G4674', 93, '2015-08-10 11:24:05', 'jean-marc SCOTTO', '[D41190] 3en1 - Correction 1ere typologie de NIRs bloques (defect 40603)\n\n[D40955] Mise à jour du package pck_cqpntf00.sql\n\n[41190] Renommage de la D40955 en D41190 + ajout et modification de composants\n\nD41190  3 en 1 : Correction de la 1ere typologie de NIRs bloqués defect 40603\n\najout du composant maj_base_cmr_XXX_D41190.sql\nmodification des composants pck_cqpntf00.sql et prepa_deblocage.sql\n\n[41190] Mise à jour des trois composants maj_base_cmr_XXX_D41190.sql, pck_cqpntf00.sql et prepa_deblocage.sql\n\n[41190] Mise à jour du composant maj_base_cmr_XXX_D41190.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(949, 4, '42cc86bff6933527e9154969ed018825fd0cd664', 'G4674', 1, '2015-08-13 18:27:51', 'Louis BAYLE', 'Merge branch \'14.2.50\' into master\n\nfake commit: la branche 14.2.50 et master sont deja allignés.\n(c\'est juste pour garder une trace de la mise en prod)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(950, 4, 'c6f8d89b2ef7cb6a232c2ceb74c25ffac9f43a50', 'G4674', 1, '2015-10-22 10:19:14', 'Louis BAYLE', 'lanceurAPP.sh : fix f_diffDates\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(951, 4, '0a7deec9ab82bf2a72c986e9600d311bdb74e2d5', 'G4674', 164, '2016-03-01 10:20:55', 'Lionel Giordanengo', 'Integration : 15.1.80 : Maj Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(952, 4, '4a71b12429c813c320fddcc80b23823bc3ab0eab', 'G4674', 109, '2015-07-24 11:19:22', 'Mathieu GONON', 'Add \"ChoixEnv\" tool (graphic way to set WSNADDR)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(953, 4, 'de011dcb3a7fba069f41985614b071b56170a316', 'G4674', 164, '2016-02-15 12:17:51', 'Lionel Giordanengo', 'Livraison 15.1.70_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(954, 4, '66b28c51e947ee30d59b8f79b1c23ee155960b58', 'G4674', 164, '2016-02-12 16:13:38', 'Lionel Giordanengo', 'Livraison 15.1.10_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(955, 4, '60497260d17c8cb356ba6af3cd09cc986036af37', 'G4674', 164, '2016-02-16 17:31:43', 'Lionel Giordanengo', 'Ajout Maj Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(956, 4, '64e34fd18338b5d19fc97761f33cae500d6ff0d4', 'G4674', 164, '2015-10-20 14:02:21', 'Lionel Giordanengo', 'Livraison 14.2.60_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(957, 4, '0a324e7d196bad4fef7621927d3f12e7a76d2d5d', 'G4674', 109, '2015-08-27 11:53:02', 'Mathieu GONON', 'IntegrationTools : Appel de cksum dans initInteg\nIntegrationTools : Appel de cksum dans initInteg\n\nIntegrationTools : Appel de cksum dans initInteg (BIS)\n\nIntegrationTools :  Appel de cksum dans initInteg\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(958, 4, '049fb66456a8d460e3dff7d73eb63d89e45e2982', 'G4674', 164, '2015-09-22 14:28:37', 'Lionel Giordanengo', 'Livraison 15.0.46_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(959, 4, '1bcd60017eefadb7d25a0c6663b670871918528b', 'G4674', 147, '2015-10-26 17:14:15', 'Michel Siacchitano', '[D41547] phase 1 pb per_oc annulées correction requete sql\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(960, 4, '97091544eb58254f9662ad66404d93889486782f', 'G4674', 164, '2015-12-16 11:43:11', 'Lionel Giordanengo', 'Integration 15.1.0 -  Trt des Maj BASE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(961, 4, '004063b04a6e8e4240bf31cb3cff83589a55de1c', 'G4674', 1, '2015-09-28 15:11:08', 'Louis BAYLE', 'Environnements: add .profile_atos\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(962, 4, '137cfb241b7fef863e976c9119484013dcd154d7', 'G4674', 164, '2015-09-22 16:43:49', 'Lionel Giordanengo', 'Livraison 15.0.30_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(963, 4, '975e2146e98460107b82154586dde2cf9f368eec', 'G4674', 164, '2015-09-23 16:39:26', 'Lionel Giordanengo', '[D41352] Revert \"[D39842] MAJOC Suppression module AGM\"\n\nThis reverts commit d2bc1821f6a33fdf5a09b3036cb79500cda94d7d.\n\nConflicts:\n	1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_V15_0_25_03.sql\n	Docs/Reference/3B11 - Doc fonctionnelles/Nomenclatures internes.doc\n	Docs/Reference/3B11 - Doc fonctionnelles/SFD Conversion des flux OC vers CMR.doc\n	Docs/Reference/3B13 - Documentation technique/echanges oc-reception.doc\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(964, 4, 'bf91498ffb42c6838365ebb6c5d7aa02ef60cd7c', 'G4674', 164, '2015-12-07 14:49:03', 'Lionel Giordanengo', 'Livraison 15.1.20_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(965, 4, '264fb4181f6d7ba962f5dd6edad42eff6803452b', 'G4674', 109, '2015-10-22 16:23:41', 'Mathieu GONON', 'IntegrationTools: putenv nouvelle version\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(966, 4, 'a25b41af65b44810b16d63fdbffe3d4d93ffae63', 'G4674', 109, '2015-08-07 17:03:06', 'Mathieu GONON', 'InternalTools : Add import script option to putenv.sh\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(967, 4, 'ab497c1075a34e23da6150443085acf2a5ba48d7', 'G4674', 1, '2015-10-21 09:55:59', 'Louis BAYLE', '[D41564] DEX APP V1Maj4 ajout script correction quantieme\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(968, 4, 'c84b12f647c3402c9f19738f12a3947a7ca6d022', 'G4674', 116, '2016-03-01 10:08:24', 'Arnaud Trousselard', '[G3631] - Ajout maj base\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(969, 4, '5bbc21f3badbc3c02cdcbba19efe8b41fd5ebad3', 'G4674', 164, '2015-07-22 14:09:38', 'Lionel Giordanengo', 'IntegrationTools : Ajout de tous les users dans REDA et USER_ROLE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(970, 4, '99915c06f7684bed7df98fcdd64a68d548e84d46', 'G4674', 164, '2016-02-15 11:56:54', 'Lionel Giordanengo', 'Integration 15.1.70 renommage et fusion des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(971, 4, 'b1cdf6a6952c0d43248a1c3669cd3b6e9d393365', 'G4674', 164, '2016-02-12 16:11:41', 'Lionel Giordanengo', '[D42200] Modifs pour RF (merge 15.0.55 dans 15.1.10)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(972, 4, 'b6cc7e328e27b5d73d3915d75bb12f1bde1f0ab2', 'G4674', 164, '2016-02-10 14:33:48', 'Lionel Giordanengo', 'Livraison 15.1.40_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(973, 4, '88af5e84ef6dc3aba5cd36ae9195f1061dd97f95', 'G4674', 116, '2015-10-20 11:43:08', 'Arnaud Trousselard', '[D41225] Evolution du PAF avec prise en compte du SIREN\n\n[41225] En cours de modif\n\n[D41225] Evolution SIREN\n\nEvolution RG_PACR_033_b pour prise en compte de plusieurs\nentreprises avec le meme SIREN, dans le cadre de l\'evolution du PAF avec\nprise en compte du SIREN\n\n[D41225] Evolution SIREN\n\nEvolution RG_PACR_033_b pour prise en compte de plusieurs\nentreprises avec le meme SIREN, dans le cadre de l\'evolution du PAF avec\nprise en compte du SIREN\n\n[D41225] Evolution SIREN\n\nEvolution RG_PACR_033_b pour prise en compte de plusieurs\nentreprises avec le meme SIREN, dans le cadre de l\'evolution du PAF avec\nprise en compte du SIREN\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(974, 4, '683b9b7f733af072d982fa4fff8a3c1f2f8747f1', 'G4674', 134, '2015-09-22 14:11:33', 'Isabelle LAGIER', '[D40998] - Evolution transfert revenus CNBF CNAVPL\n\n[D40998] Documentations\n\n[D40998] Documentation\n\n[D40998] Documentations\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(975, 4, '2a142f715c9ec583b87fa04b208e53ae2767737a', 'G4674', 147, '2015-10-26 17:13:42', 'Michel Siacchitano', '[D41538][D41366][D41537] correction taille spoc 23 + ajout quantieme\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(976, 4, '85a825fd9f149d724dd5c877ac7ad22310636c18', 'G4674', 164, '2015-12-16 11:01:29', 'Lionel Giordanengo', '[D41883] Renumerotation des Nomenclatures Specifiques en V 93\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(977, 4, 'd1d28fefa83c2cf216159da8cd168392f90163d5', 'G4674', 164, '2015-09-28 14:17:49', 'Lionel Giordanengo', 'Outils : Permet de sauveagrder les fichiers après passage des chaines batch\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(978, 4, 'ed0f8f5a45a00dbd8069347a853a657f1df4ed1a', 'G4674', 164, '2015-09-22 16:39:02', 'Lionel Giordanengo', '[D40425] Relivraison script de blocage CMR 053\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(979, 4, 'a59ba78ca2650234e2048919ad81ca8751ba054c', 'G4674', 164, '2015-09-23 16:39:23', 'Lionel Giordanengo', '[D41352] Revert D38984\nRevert \"[D38984] Rejet si Art.51 sans Art 52 53 54\"\n\nThis reverts commit c02c709d68f6f5f63b260c907abd8912a5267436.\n\nConflicts:\n	1_titulaire/Interfaces/Interfaces_SAGA/aix/genpco/pco/kfbmj01.pco\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(980, 4, '46d52de835ba4fe6ca4a62697d3ca3680c5f8e02', 'G4674', 164, '2015-12-07 14:32:14', 'Lionel Giordanengo', '[41843] Assistance Livraison P. Mangin\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(981, 4, '867efaa5803bf44e7ea4b4490f7aacfcf7a6500d', 'G4674', 1, '2015-10-20 18:37:57', 'Louis BAYLE', 'place_libre: cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(982, 4, 'b353d121e7d603aaefbf497673fd7d603d411e42', 'G4674', 109, '2015-08-06 17:20:55', 'Mathieu GONON', 'IntegrationTools : Update 2 scripts on Tuxedo and 1 on ubdd\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(983, 4, 'f98e62cf421c7a1bd477cb963a9a06fd3cf4d6e0', 'G4674', 164, '2015-10-20 16:57:25', 'Lionel Giordanengo', 'Livraison 15.0.50_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(984, 4, 'b1d42dd42d35c086448c401d0b104648900e471a', 'G4674', 116, '2016-03-01 10:08:14', 'Arnaud Trousselard', '[G3631] - Parametrer pose instance 44 (tests a finir)\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(985, 4, 'e3fc7cabf0fa761529f7c1757704bda58c7b34e0', 'G4674', 164, '2015-07-17 11:54:57', 'Lionel Giordanengo', 'IntegrationTools : Ajout de tar_saga_file.sh dans environnement/solaris\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(986, 4, '421d3c5987b53dad08f14d9cd85712fa9e01e82e', 'G4674', 1, '2016-02-15 11:56:46', 'Louis BAYLE', '[D39671] Modification délai de prescription\n\nAuteurs: Isa Lagier, Alain Tassotti\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(987, 4, 'f564471e1e014712ab3c00d445aa6e4ecad0b5c2', 'G4674', 164, '2016-02-12 14:58:21', 'Lionel Giordanengo', 'Merge branch \'15.0.55\' into 15.1.10 D42200\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(988, 4, 'bfe27ac4982ed093fafe8ac59287f9509280304a', 'G4674', 164, '2016-02-10 14:21:31', 'Lionel Giordanengo', 'Integration Modification \'bidons\' pour RF Dimension\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(989, 4, '7dd6d8a8a80964d21b99129045b5605f0e5a158f', 'G4674', 116, '2015-10-20 11:41:55', 'Arnaud Trousselard', '[D41204] Correction intégration PAF Siren\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(990, 4, '52f91924fcec4cbc89f15714cbfdc2d96dbc0b63', 'G4674', 164, '2015-09-17 16:13:17', 'Lionel Giordanengo', 'Merge branch \'15.0.0\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(991, 4, 'd4a7006655fb3930b8b11e5147beef945fc5005c', 'G4674', 164, '2015-10-09 09:58:55', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 14.2.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(992, 4, 'be19f49f9c2dbe34d5d1987b3155572239667332', 'G4674', 146, '2015-12-16 10:44:20', 'Achraf AKRIMI', '[G3605] [G3608] pose automatique instance 44 non effectu?e dans ta?ga\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(993, 4, 'f8b8ee2137169b82226fa887ab1abad6f7bfe086', 'G4674', 164, '2015-09-25 13:48:47', 'Lionel Giordanengo', 'InternalTools : Correction git_extract_Taiga car probleme avec le nouveau GIT 2.5.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(994, 4, 'f1aaf2a4df004d74d673309e6d74bbed1060ad59', 'G4674', 1, '2015-09-18 15:20:16', 'Louis BAYLE', 'Livraison 15.0.30_007\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(995, 4, 'e35f7777cabbf1ed4776e6e3fa31aaea56b680be', 'G4674', 164, '2015-09-23 16:38:11', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.1) into 15.0.25\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(996, 4, '653e3075bc2191ae5149b7598ddebd5154d4b7a4', 'G4674', 164, '2015-12-01 15:31:55', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.50) into 15.1.20\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(997, 4, '520b6f3a5ffafbd81b50808a07f529dcf0ff59ff', 'G4674', 1, '2015-10-20 18:30:52', 'Louis BAYLE', 'IntegrationTools: killer.sh -> disconnect_all.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(998, 4, 'e48e6e37beae779b628a331acebeb6111c4f9fbe', 'G4674', 109, '2015-08-06 17:16:29', 'Mathieu GONON', 'InternalTools : Update putenv scripts\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(999, 4, '808a73ccfbba0da698ded1e1aca0f4bd0d59e69d', 'G4674', 1, '2015-10-20 16:48:19', 'Louis BAYLE', '[D41513] FIX cjkntf10.sh\n\ndbms_output.put_line(\"Execution des statistiques...\");\n                       *\nERREUR à la ligne 2 :\nORA-06550: Ligne 2, colonne 24 :\nPLS-00201: l\'identificateur \'Execution des statistiques...\' doit être déclaré\nORA-06550: Ligne 2, colonne 3 :\nPL/SQL: Statement ignored\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1000, 4, '7d2719bd0caade3d66fbe3451b71e10637fdcab8', 'G4674', 164, '2016-03-01 10:07:14', 'Lionel Giordanengo', '[G3631] Traitement de la création d\'une nouvelle table de nomenclature specifique\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1001, 4, '3afdd8ff0d1d2568b26ac01066a5c1b6de9ab939', 'G4674', 164, '2015-07-17 11:31:01', 'Lionel Giordanengo', 'IntegrationTools : git_extract_taiga.sh gestion des Reports de fusion\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1002, 4, 'fac4854cdc3b4543fd85db1c6011b375b31663fc', 'G4674', 93, '2016-02-15 11:37:41', 'jean-marc SCOTTO', '[D42012] Modification du package cqpdsi00.sql + Création du maj base maj_base_cmr_XXX_D42012.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1003, 4, '0fbd7fe5fe923cb3aa043ed54afcf71529f6e4e2', 'G4674', 164, '2016-02-11 14:17:43', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.20) into 15.1.10\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1004, 4, '02a2f995caa1c122bcf91f45f07dd2fb04267366', 'G4674', 164, '2016-02-09 09:03:26', 'Lionel Giordanengo', 'Livraison 15.0.55_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1005, 4, '872b40996e829dcca6990926db0ef4f5e2a6a1de', 'G4674', 199, '2016-02-09 16:46:15', 'Bertrand FONTANEL', '[D41885] Correction doublon suite TRA\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1006, 4, '08b3dfcf5acd463db9bae59a002e8460fc9edd75', 'G4674', 116, '2015-10-20 11:41:36', 'Arnaud Trousselard', '[D40653] Integration PAF Siren\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1007, 4, 'ee506ed9adf3323f99e003818196a1347f4d4a41', 'G4674', 164, '2015-09-15 17:43:29', 'Lionel Giordanengo', 'IntegrationTools : Killer.sh n\'est plus a lancer avec un CMR particulier il peut tout tuer !\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1008, 4, '4a087abd64952acf7b069e0f948d5c654f2dd5d0', 'G4674', 164, '2015-09-15 10:06:40', 'Lionel Giordanengo', 'Livraison 15.0.0_017 (15.0.1_003 dans DIMENSION !!)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1009, 4, '8c8ca0192233bbe6ff812ed71655d0401b4c700d', 'G4674', 164, '2015-10-01 15:17:01', 'Lionel Giordanengo', 'Livraison 14.2.55_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1010, 4, 'e1032b902da8db18747e3be94b80f2383d06927c', 'G4674', 116, '2015-12-16 10:20:59', 'Arnaud Trousselard', '[D39443] - Correction anomalie fonction EXIST_IMMAT_NON_VAL\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1011, 4, '48cf54750222965eabdcd1671f895f050d9dd03c', 'G4674', 72, '2015-09-24 17:57:28', 'Alain Tassotti', 'Outil  requetage_multicaisses.sh\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1012, 4, 'f2ca3ec994904740faa3a12a8c2ebdbbacd3e22c', 'G4674', 1, '2015-09-18 14:01:10', 'Louis BAYLE', '[D41416]  requete bloquée en base cqoapo02.sql\n\ncorrection de T_poret:\n\nLe  traitement CJEAPO01 n\'aboutit pas, durée d\'execution : lancé à 17h17,\n stoppé a 11h30  le lendemain, durée > 18h, sans aboutir ni sortir en erreur\nNous avons identifié un blocage en base sur le script cqoapo02.sql\nEnvironnement de qualification utilisé :  LT12 , CMR_053\nLe script a été corrigé par Pascal Lombardo (DQI) de la meme maniere\nque le cqoapo01.sql et mis en piece jointe pour faire l\'objet d\'une\nrelivraison dans dimensions nous avons relancé le traitement\nCJEAPO01avec le script rectifié, il a duré 5 minutes 10 secondes\n\nci dessous le fichier .trc obtenu\n---------------------------------------------\n- BILAN : SELECTION DES ASSURES             -\n-         DEBUT DU TRAITEMENT               -\nven 18 sep 12:12:44 DFT 2015\n---------------------------------------------\n---------------------------\n- Spool du bilan CMR      -\n---------------------------\n---------------------------\n- Selection des OC        -\n---------------------------\n---------------------------\n- Spool des bilans OC     -\n---------------------------\n--------------------------------------------\n- BILAN : SELECTION DES ASSURES            -\n-      FIN DU TRAITEMENT SANS ERREUR       -\nven 18 sep 12:17:54 DFT 2015\n--------------------------------------------\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1013, 4, '556e47f46b367996605c3764bac1d5b6e03a1520', 'G4674', 164, '2015-08-31 11:34:01', 'Lionel Giordanengo', 'Livraison 15.0.25_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1014, 4, 'b07a42c89da951515fd1719c42c063b909ea8dd1', 'G4674', 164, '2015-12-01 14:43:43', 'Lionel Giordanengo', 'Livraison 15.1.20_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1015, 4, '5dc9e830061503a641b812946290d4d54a820292', 'G4674', 164, '2015-10-20 16:26:55', 'Lionel Giordanengo', 'Env: Ajout de l\'analyse de la place restante dans place_libre\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1016, 4, '4c99dea2eeb5226554207d01834a0d710078fd12', 'G4674', 1, '2015-10-20 16:47:33', 'Louis BAYLE', '[D41546] APPEL PROV 2016 - MAJ du script d\'initialisation table VAL_REF\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1017, 4, 'a80edc375b3b52b3dcafc4806566c7679ce0530f', 'G4674', 164, '2015-07-16 16:14:47', 'Lionel Giordanengo', 'IntegrationTools : git_extract_taiga.sh remove Note integration et livraisontaiga du fichier cksum car inutiles dans la note technique\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(1018, 4, '021dc8447d0dd868a274fe85c42de1da30bb72a0', 'G4674', 157, '2016-02-15 11:34:37', 'Vincent GENTIL', '[D41741] - Correction pck_cqpntf01.prc_maj_nat_mvt insertion calcul_a_effectuer asste_socal_id\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1019, 4, '80faf859b920c6d6ed4211d12a0a8c325e1d1a4a', 'G4674', 164, '2016-01-19 15:01:55', 'Lionel Giordanengo', 'Livraison 15.1.10_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1020, 4, 'e178d2c5a64b2dc9565cce9b53a4d7e638caa801', 'G4674', 157, '2016-02-08 17:08:41', 'Vincent GENTIL', '[D41781] - prc_assu_chgt_preriodicite - suppression ajout enregistrement dans calcul_a_effectuer_histo\n\n[D41781] - maquillage du D41781 en D41711\n\nOubli d\'intagration du D41781 lors de la livraison du D41711 15.0.55\n\nLGO : Livre sous le nom D42084 ..\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1021, 4, '71610762ea891da8107807a87aac2044fa94b09d', 'G4674', 164, '2016-02-09 16:44:29', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.20) into 15.1.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1022, 4, '4d5961e95fc0d7a1ba9afaaed89b58c8284b8a8d', 'G4674', 164, '2015-10-09 09:56:50', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 14.2.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1023, 4, '00800fdf0cd12b60f8d6428ce90439311484e73d', 'G4674', 164, '2015-09-15 11:25:42', 'Lionel Giordanengo', 'IntegrationTools : Correction initInteg\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1024, 4, '80bd1d9000161a2419fa51733088d687c27eefdd', 'G4674', 164, '2015-09-11 10:44:26', 'Lionel Giordanengo', 'Livraison 15.0.0_016\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1025, 4, '197f8a6e78e4e63bc202fe0108a5f33d13eb1937', 'G4674', 147, '2015-10-01 14:52:01', 'Michel Siacchitano', '[D41424] [D41370] [D41366] correction flux 22R + anomalie lecture mvt comptables\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1026, 4, '805c7e7f7bfe4f3a8c7668ccc4f7cca3c84008c5', 'G4674', 146, '2015-12-16 10:16:56', 'Achraf AKRIMI', '[D41242]  commit non vraiment lié au D41242. Il correspond à une erreur existante depuis plusieurs commit (ajout à tort de la valeur de la qualité devant le sigalement 2710)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1027, 4, 'b2f3ecb4e9a279bfe597dd09a66683f2b9494508', 'G4674', 164, '2015-09-24 15:31:49', 'Lionel Giordanengo', 'InternalTools : creation script integ.sh et reorganisation des scripts pour integration\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1028, 4, 'e0c8c7f48332347ded17f7c4b1b29c5f0a8b6b61', 'G4674', 164, '2015-09-17 11:52:21', 'Lionel Giordanengo', 'Livraison 15.0.30_006\n\nLivraison 15.0.30_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1029, 4, 'beca2bee1b66f3a37e022099e5af1ddf4a23c34a', 'G4674', 1, '2015-08-31 11:07:28', 'Louis BAYLE', '[D41304] Revert \"D40653 Integration PAF Siren\"\n\nThis reverts commit 79378ab3daf96f24db21377dc39335cec5262084.\n\n# Conflicts:\n#	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_flux_affi02.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1030, 4, 'bbce1606d1418e43d0d0df38cf0bed8beb7d8e63', 'G4674', 164, '2015-12-01 14:38:58', 'Lionel Giordanengo', '[D41812] maj_base_cir livré à tort\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1031, 4, 'dcc692af997c9a6ead10a14248e78ac3d0f4f49d', 'G4674', 164, '2015-10-19 17:27:21', 'Lionel Giordanengo', 'Correction Make_env.pl pour jar solaris\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1032, 4, 'f3ccc153554e96d2512a5093d4cb78b3cecd54c3', 'G4674', 164, '2015-10-13 16:29:54', 'Lionel Giordanengo', 'Livraison 15.0.50_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1033, 4, 'b03af0a22901e58b5f2892524c91fce191b0ed76', 'G4674', 1, '2015-07-09 09:35:11', 'Louis BAYLE', 'IntegrationTools: update client32_to_titulaire_map.csv\n\n- probleme de fichiers en doublons (dont _aripro1.ncl)\n- ajout nouvelles images copier/coller (en 15.0.0)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1034, 4, '7f7a11dba9f48434510ae851abaada7029fe39cc', 'G4674', 169, '2016-02-15 11:31:50', 'Fabien TROPIS', '[D41123] correction 1\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1035, 4, 'c99404f5bec0cdf505e0c317cbf939e07da8496c', 'G4674', 164, '2016-01-19 14:53:50', 'Lionel Giordanengo', 'Integration 15.1.10 - Renommage Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1036, 4, 'eb0f5954c9e9e029282a657ba9f55e17382f2143', 'G4674', 164, '2016-02-08 17:07:12', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.20) into 15.0.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1037, 4, 'cdaf77021a4c3f1a899213b2d5225b28567d416b', 'G4674', 164, '2016-01-26 11:08:48', 'Lionel Giordanengo', 'Livraison 15.1.40_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1038, 4, '24cbf2fb3668c25dfdc747ab3bd80b52f214bb0d', 'G4674', 164, '2015-09-29 13:24:34', 'Lionel Giordanengo', 'Merge branch \'master\'  (15.0.0 ou 15.0.1 dans dimension) into 14.2.60\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1039, 4, '29ae559a64ddeb9fe54e2e23ddb80b5b0f51fdf7', 'G4674', 164, '2015-09-11 10:39:10', 'Lionel Giordanengo', '[D41330] rejet livraison 15.0.0_014\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1040, 4, '8c2a8b7216fced3eb5183f1c1412609e741e3872', 'G4674', 164, '2015-10-01 14:50:39', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.0 ou 15.0.1) into 14.2.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1041, 4, '625aecc6499345cf51ed68d56d1b442e7eebc7ab', 'G4674', 164, '2015-12-10 11:49:06', 'Lionel Giordanengo', '15.1.0_maj_base integration\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1042, 4, '27d61410cd93ef312c70cc007ac93e2e50184431', 'G4674', 164, '2015-09-17 11:04:09', 'Lionel Giordanengo', '[D41399] Report de fusion suite à report de la 15.0.0 dans 15.0.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1043, 4, 'c97e7d6d2ccbbbfd719984a196a07480331565e5', 'G4674', 1, '2015-08-31 11:07:28', 'Louis BAYLE', '[D41304] Revert \"D41204 Correction intégration PAF Siren\"\n\nThis reverts commit 386f28b8df1693ebec9225459f68c6d8dd134b08.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1044, 4, '19c85abcee612ea3d97ce656a58a0cd564f0e36b', 'G4674', 164, '2015-11-27 18:13:44', 'Lionel Giordanengo', 'Livraison V15.1.20_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1045, 4, 'b21a15ce785071cf73cbe1af92d96177cc779e14', 'G4674', 1, '2015-10-13 15:11:56', 'Louis BAYLE', '[D41546] maj CMR_999.VAL_REF pour les caisses 58,59\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1046, 4, '7cd58f28974b4914370e2e56ecf9a00b7aeb93a5', 'G4674', 1, '2015-07-09 09:26:45', 'Louis BAYLE', 'Merge branch \'14.2.47\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1047, 4, 'f68cc7cf9a73e21d900af0b57e1c1184f7fc5d1d', 'G4674', 157, '2016-01-19 14:49:20', 'Vincent GENTIL', '[41908] - Code SCA sur SPOC31 et SPOC34 errones\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1048, 4, '0d92904e6f00cd6786bf10282c9be841fcbb76f3', 'G4674', 164, '2016-01-21 09:55:18', 'Lionel Giordanengo', 'Livraison 15.0.55_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1049, 4, '72cbb4b7319795d3fe3ee7514b0de4c95d7db53b', 'G4674', 134, '2016-01-26 10:15:14', 'Isabelle LAGIER', '[D41541] -Intégration DSI 2015 campagne 2016 SFD de référence\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1050, 4, '09858a6f27c67809fc32099b9064c0f3c4fa0c34', 'G4674', 164, '2015-09-09 10:59:46', 'Lionel Giordanengo', 'Livraison 14.2.60_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1051, 4, '9104c462244305516cf7be597ddfe4551cf442cd', 'G4674', 164, '2015-09-08 16:20:01', 'Lionel Giordanengo', 'Livraison 15.0.0_015\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1052, 4, 'fa82c3046f3ff99f7b9b394c4d479be62126738e', 'G4674', 164, '2015-09-14 18:02:52', 'Lionel Giordanengo', 'Livraison 14.2.55_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1053, 4, '4c5bc4e1bf37d8e98d5c8cfae788b376cb626d2c', 'G4674', 147, '2015-12-10 11:43:27', 'Michel Siacchitano', '[D3489] ano 2078 non emise quand flux gac\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1054, 4, 'fca07e1ac8e72d71800624585937613c9034472c', 'G4674', 93, '2015-09-17 11:04:07', 'jean-marc SCOTTO', '[D41357] Mise à jour du composant pck_cqpapo02.sql + maj base maj_base_cmr_XXX_D41357.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1055, 4, '7371c7af6f482f048c86972c23233c75a4e1c712', 'G4674', 164, '2015-08-31 11:06:37', 'Lionel Giordanengo', 'Merge branch \'master\' into new_temp\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1056, 4, '05800764a8c83372af899b1b90236f56610c7afb', 'G4674', 164, '2015-11-27 17:31:58', 'Lionel Giordanengo', 'Maj_base 15.1.20_001 - Preparation Livraison -\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1057, 4, 'e774a284c118b0e3206a0e8d3b1eb0afbf3de9e9', 'G4674', 1, '2015-10-09 17:18:18', 'Louis BAYLE', '[40965] lanceurAPP.sh option AWR\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1058, 4, '6c24a104d180bffa9a52f7bc52023a84c6cf5af4', 'G4674', 164, '2015-07-07 11:46:14', 'Lionel Giordanengo', 'Livraison 14.2.47_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1059, 4, 'f51ebc795325086f392c2084098a72b5ff058d1a', 'G4674', 164, '2016-01-21 09:51:24', 'Lionel Giordanengo', 'Integration Renommage Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1060, 4, '96ee088dc65abf7cdafc72e1a0970b096aa50acf', 'G4674', 164, '2016-01-20 10:13:40', 'Lionel Giordanengo', 'Integration Creation Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1061, 4, '8a5bad39db5fd4110fbb7140103966057b245ef7', 'G4674', 158, '2015-09-07 18:24:17', 'Martine RENIER', '[41345] Optimisation du shell\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(1062, 4, '530eb635f4cb0e50ab43db4e7c00370b0c6637ac', 'G4674', 164, '2015-09-07 13:57:25', 'Lionel Giordanengo', '[D41343] Decommissionement D39002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1063, 4, '658f8116b3b50a83868f6581fd711c4ad13e3925', 'G4674', 147, '2015-09-14 17:26:32', 'Michel Siacchitano', '[D41366] correction spoc 22 zone D812\n\n[D41366] correction apres TU : un espace de trop dans spoc 22\n\n[D41370] reprise taille spoc22 (144) + recalage date et  quantieme\n\n[D41364] rejet ligne n\'ayant d\'un seul calcul (typologie non calculable)\n\n[D41364] correction suite a tu\n\n[D41373] pour les D810, D811 et D812 correction du type de revenu =1 ( revenu definitif)\n\n[D41364] recup pb base sur calcul a effectuer et mvt_f21I_comp\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1064, 4, 'cff6aa0fd840cfb505404a09e78359014b75a3ef', 'G4674', 116, '2015-12-10 11:43:03', 'Arnaud Trousselard', '[D3599][D3602] - Correction anomalie levée erreur 3745 à tort\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1065, 4, '3fbeb671034094664aa40bc44c4b9318616cb2de', 'G4674', 164, '2015-09-17 11:04:07', 'Lionel Giordanengo', '[D41382] TAIGA - Appels de Régul 2015 – Scrips de blocage et déblocage – DS 304268 – D  41371\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1066, 4, '82e556bd17afe2643f92df4133c02382ededf41e', 'G4674', 164, '2015-08-25 13:55:04', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.50) into 15.0.25\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1067, 4, '66ed53ff5fc68afb04ee29c9072197df79d0e282', 'G4674', 164, '2015-11-27 17:22:11', 'Lionel Giordanengo', 'Revert \"[D41176] - CE DEFECT EST LIVRE EN 15.1.15 DONC SUPPRIME DE LA 15.1.20\n\nRevert \"[D41176] - Debut dev integration cotisations sociales TAIGA\"\n\nThis reverts commit 78654e294966a54d214383ce436621f6aaa7cab9.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1068, 4, 'e700f7d145b800bc5ab86f1e63c375ff62300b25', 'G4674', 1, '2015-10-09 15:22:56', 'Louis BAYLE', '[D41513] maj DEX_TAIGA_Appels_Provisionnel.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1069, 4, 'a6a7b03e1d4f21b90c058c2c7d54fe2801a6d95c', 'G4674', 164, '2015-07-07 11:38:15', 'Lionel Giordanengo', '[D41071] TAIGA - Optimisation script cjkntf10.sh - packages pck_spoc31_outils et pck_spoc_sca_outils\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1070, 4, '2d42f5800cfa698f8536825f8d20d208b306df0c', 'G4674', 157, '2016-01-20 16:36:54', 'Vincent GENTIL', '[D42067] - Correction D41711\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1071, 4, '3e12545c4a186851c7dc0e01a0e277554e98a13c', 'G4674', 134, '2016-01-20 10:10:29', 'Isabelle LAGIER', '[D41541] Integration DSI 2015 campagne 2016\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1072, 4, '8044442fa67ad825a2b6e7279e22f13038197367', 'G4674', 164, '2015-08-26 13:46:12', 'Lionel Giordanengo', 'Livraison 14.2.60_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1073, 4, 'ae62a0647839617fe76cec9b95002a6327b501c2', 'G4674', 164, '2015-09-07 11:53:13', 'Lionel Giordanengo', '[D41343] Decommissionement D38786\nRevert \"[D38786] correction complete\"\n\nThis reverts commit e00ad8936ab080d3cb00e2b46feee72c555586df.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1074, 4, '2e48c25c35c91677006c942b43761eb46273c9e6', 'G4674', 164, '2015-09-07 16:07:49', 'Lionel Giordanengo', 'Livraison 14.2.55_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1075, 4, '12b13d16158d54427a131f33210281f4a2e96d48', 'G4674', 146, '2015-12-10 11:42:39', 'Achraf AKRIMI', '[D3573] GAC - Blocage à l\'intégration PAF du à l\'absence d\'une valeur dans PARAM_BATCH\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1076, 4, '437e365092172df3c6b8e1b5bfc7aeec8857d09c', 'G4674', 164, '2015-09-17 11:04:06', 'Lionel Giordanengo', '[D41351] TAIGA 15.0.30 : Livraison de régularisation du script pal_qc_30759.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1077, 4, 'e75772bfc627a075238121589ce108c553904f2c', 'G4674', 164, '2015-08-05 17:42:43', 'Lionel Giordanengo', 'Livraison 15.0.25_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1078, 4, '1bccbd38c69e2cee1b5e863f53bbd8a5fc45aae6', 'G4674', 134, '2015-11-27 17:06:20', 'Isabelle LAGIER', '[D41540] Correction suite aux tests IFE\n\n[D41540] Fichier cjcenv02.sh\n\n[D41540] selectionner les radiés pour motif 15 dans l\'année\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1079, 4, 'ce7548d09abd2f920085a5a93f960154e748ae77', 'G4674', 1, '2015-10-09 13:43:41', 'Louis BAYLE', '[D40965] suppression des nomenclatures creees lors de l\'APR (15.0.30)\n\napres mise en prod de la 15.0.30, PER_APL_COTIS est deja maj\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1080, 4, '031c929ff18bc6819e01a4f33472c9c6cd2f42b3', 'G4674', 164, '2015-07-03 14:22:12', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.45) into 14.2.47\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1081, 4, '603368eb23cdc0d57e8693501e596d20dabea85d', 'G4674', 164, '2016-01-15 14:57:57', 'Lionel Giordanengo', 'Livraison 15.0.55_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1082, 4, '8b458b4c4f3902665531dfd1954c8d09e0931b35', 'G4674', 164, '2016-01-19 16:11:16', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.0) into 15.1.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1083, 4, '804140c930c333474de1266cdd36549bca38c52f', 'G4674', 164, '2015-08-26 10:55:46', 'Lionel Giordanengo', '[D41276] Defect 40641 relivraison dans une version TAIGA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1084, 4, '1fbdc450943cb76223bc8ef668080de917969d82', 'G4674', 164, '2015-09-07 11:47:30', 'Lionel Giordanengo', '[D41343] Decommissionement D39671\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1085, 4, '2dc3493b649b1466d80b39778b8965fb5007ec37', 'G4674', 1, '2015-09-07 13:39:33', 'Louis BAYLE', '[D41261] rattrapage spocs22 (40714) - logs\n\nreduction des traces stdout qui saturent automator\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1086, 4, 'acdeac743b3aaa9788a31ae16cc7d7d463f597b5', 'G4674', 146, '2015-12-08 11:07:04', 'Achraf AKRIMI', '[D3479] - PAF – Pose automatique INSTANCE 44 KO\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1087, 4, 'cf4e4c2baaaf5c6ab8f3f39d36a1cf7a9856ecc1', 'G4674', 164, '2015-09-17 11:04:05', 'Lionel Giordanengo', '[D41301] Revert \"[D39108] calcul cotis clp\"\n\nThis reverts commit 50a2a4790e55fee576f6915990f5b2c752e5bf7c.\n\nConflicts:\n	1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_V14_2_50_01.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1088, 4, '386f28b8df1693ebec9225459f68c6d8dd134b08', 'G4674', 116, '2015-08-05 17:18:01', 'Arnaud Trousselard', '[D41204] Correction intégration PAF Siren\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1089, 4, '7909c2d2fd01234fded8054e8b94bf65d83276b0', 'G4674', 117, '2015-11-27 17:01:47', 'Jean-Michel PERQUE', '[D40018] Bis pour que les packages compilent\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(1090, 4, 'b93669fba6acf3aa45039128b9891b74d12dd6ec', 'G4674', 1, '2015-10-09 10:53:55', 'Louis BAYLE', '[D41513] perf appel prov\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1091, 4, 'dc4a257fcdf7e6a9d1487581b29d0c21e407a180', 'G4674', 164, '2015-07-01 11:09:44', 'Lionel Giordanengo', 'Livraison 14.2.47_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1092, 4, '66b9373096f6dd5875f90f4b4a5a3f674176ca54', 'G4674', 164, '2015-07-03 09:34:31', 'Lionel Giordanengo', 'IntergrationTools : modif make_env.pl pour traitement du fichier \\1_titulaire\\Interfaces\\Interfaces_SAGA\\aix\\sh\\kjbgui1.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1093, 4, '61569d0ba6b9f8e43fe1e6f1c6bc1e84824ffb70', 'G4674', 164, '2016-01-15 14:53:45', 'Lionel Giordanengo', 'Integ 15.0.55 renommage Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1094, 4, '30b2a873087fec1a6c604976eb71628566461ed3', 'G4674', 164, '2016-01-12 14:43:44', 'Lionel Giordanengo', 'Livraison 15.1.40_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1095, 4, '5bb80c2509908d278c30a5cf28100b8486be475f', 'G4674', 109, '2015-08-25 15:37:52', 'Mathieu GONON', 'IntegrationTools : Appel de cksum dans initInteg\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1096, 4, '9ad6180880b35d60655b9b306003789bbd4fc7b4', 'G4674', 164, '2015-09-07 10:41:26', 'Lionel Giordanengo', '[D41344] TAIGA - 15.0.0 : Renumérotation des nomenclatures\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1097, 4, '9595a4c104a5cde601ca1b82109669f29e4c1b6a', 'G4674', 164, '2015-08-27 10:58:12', 'Lionel Giordanengo', 'Livraison 14.2.55_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1098, 4, 'f0d8b7d2ee8f97742a3555a7596c74081a604f28', 'G4674', 146, '2015-12-08 11:06:42', 'Achraf AKRIMI', '[D3532] PAF – KO sur la rubrique <Prestataire>\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1099, 4, 'cf715f42d0e8be6ec3322e7c5b879a277b31cae0', 'G4674', 164, '2015-09-17 11:03:14', 'Lionel Giordanengo', 'Merge branch \'master\' into 15.0.30 Merge technique pour recupération des derniers outils\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1100, 4, '2b62c7b0f51bba83fd089e381cd4576b17919c7b', 'G4674', 164, '2015-11-26 10:42:27', 'Lionel Giordanengo', 'Merge branch \'14.1.50\' into 15.1.20\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1101, 4, '26e789096fcdc4818416c1cc4db9e7a3c6c844b8', 'G4674', 1, '2015-10-09 09:45:44', 'Louis BAYLE', '[D40965] lanceurAPP.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1102, 4, '9428eeb43e13b3b0f09075d1ad73d0f27cff0970', 'G4674', 134, '2015-07-01 10:38:09', 'Isabelle LAGIER', '[D41023] Correction Flux 02S en erreur\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1103, 4, '0f1cc483c1a10c715d6f01880fb84b845ae4c271', 'G4674', 1, '2015-07-02 16:04:28', 'Louis BAYLE', 'DOC: OneNote archive\n\n        Copie de G:\\TMA_RSI_TAIGA\\OneNote\n\n        Des archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1104, 4, '59b4442308828dc1d2cf5fe4d4914ee822bd38aa', 'G4674', 157, '2016-01-15 14:48:45', 'Vincent GENTIL', '[D42019] - Correction 41711\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1105, 4, '07f68101ca7204139c7e910a7c18912e002f53ad', 'G4674', 199, '2016-01-12 14:36:54', 'Bertrand FONTANEL', '[D42014] encodage UNIX - ANSI\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1106, 4, '64ef45dd2d24164fa774ad89c8dca989737f9b71', 'G4674', 164, '2015-08-27 15:00:26', 'Lionel Giordanengo', 'Livraison 15.0.0_014\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1107, 4, '6ba1b787aaf6adce846250bf52db5d3757abecf1', 'G4674', 169, '2015-08-27 10:31:26', 'Fabien TROPIS', '[D41264][D41265][D41261] 3en1 rattrapage spoc22 (D40714): correction spocs 23,34\n\n[D41263] Correction spoc23 sur D40714 - PAS FINI\n[D41263] en cours...\n[D41263] correction apres echange JM.Hubert\n[D41264][D41265][D41261] 3en1 rattrapage spoc22: correction spocs 23,34\nil y avait inversion entre les regles 40 et 41\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1108, 4, '3e22aa5074cc3a20e4ad429ee0b92b90bad3912d', 'G4674', 147, '2015-12-08 11:02:03', 'Michel Siacchitano', '[D41350] avec rejet des PL cc IJ  9 code\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1109, 4, '197aea92a890a26b9d605128b2525f2ac92cf726', 'G4674', 164, '2015-09-16 17:47:59', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.0) into 15.0.30\n\nFait en avance de phase comme demande dans D41399\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1110, 4, '9e46bd9fde0a03683df4936b94fcd1e4a8b24e6a', 'G4674', 164, '2015-11-19 15:51:08', 'Lionel Giordanengo', 'Livraison 15.1.20_001 POUR TESTS QUALIFICATION --- A REPRENDRE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1111, 4, 'ffe97724c5915927bb39de47e509db85edc4e6d1', 'G4674', 164, '2015-11-20 16:49:44', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.32) into 14.1.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1112, 4, '1cf0f60c2b7dd572293c93d6a1c659e5a9effd23', 'G4674', 164, '2015-10-09 09:42:26', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 15.0.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1113, 4, '44cd4398e6f3709db98bf802f224df3c249e0272', 'G4674', 164, '2015-07-01 10:32:27', 'Lionel Giordanengo', 'IntegrationTools:Modifs des droits accès TP avec DAS+anciens identifiants\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1114, 4, 'bb5381fe141bee05fd2171b48a9ea1e23bb62cbb', 'G4674', 1, '2015-07-02 15:06:59', 'Louis BAYLE', 'Merge branch \'14.2.45\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1115, 4, '74fc5c768ae03dcbce13a78d9444debca28d42dd', 'G4674', 164, '2016-01-15 14:46:04', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.1) into 15.0.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1116, 4, '6bf9af1c988a1a8af287843c7fc2a102df84eb36', 'G4674', 164, '2016-01-05 16:28:36', 'Lionel Giordanengo', 'Livraison 15.1.40_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1117, 4, '06eafbdf3a890ab5a76500d6f4c39cd2f56fc971', 'G4674', 164, '2015-08-24 16:39:00', 'Lionel Giordanengo', '[D41237] : retour arrière évolution  39443\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1118, 4, 'acef0c1f1983aab31a35cf5e3b98a999802d79a0', 'G4674', 109, '2015-08-27 10:30:40', 'Mathieu GONON', 'IntegrationTools : Appel de cksum dans initInteg (BIS)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1119, 4, 'a57a254c1a3b9c50908a0cc6f290704499d584f3', 'G4674', 146, '2015-12-08 11:01:43', 'Achraf AKRIMI', '[D41242] Affiliation impossible via PAF contenant la Nouvelle qualité ayant droit de SCR\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1120, 4, '7dbb66a62e5513495605d581b79c7e1376de346d', 'G4674', 1, '2015-09-16 15:55:15', 'Louis BAYLE', '[D41312] maj DEX appel regul v1Maj7\n\ny\'avait encore des erreurs de paramètres,\ny compris dans le chapitre de vincent :-(\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1121, 4, 'f6cef24faa264c1102ec36cd11a69c00845dcddc', 'G4674', 164, '2015-11-19 10:49:25', 'Lionel Giordanengo', 'Integration 15.1.20 - traitement des maj base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1122, 4, '88fd6cebc1457a8fcbea88083af0cdb29773d8bd', 'G4674', 164, '2015-10-09 10:36:54', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 14.1.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1123, 4, '20bbd6630c3847767d3644cd677ccf7602a71fc1', 'G4674', 164, '2015-10-05 15:59:13', 'Lionel Giordanengo', 'Livraison 15.0.50_002\n\nLivraison 15.0.50_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1124, 4, 'cb83231fbc83598fd6122c04ab647a300b6be1a2', 'G4674', 1, '2015-06-23 18:51:22', 'Louis BAYLE', 'Merge branch \'14.2.30\' into master\n\nNote: il faut rapidement reporter en 14.2.8 car notre version git\nn\'est pas en accord avec Dimensions !\n\nil reste des erreurs suite a 3ed555ec7 notemment sur la 38609:\nle TP ne compile pas !\nde plus, le report de version b83d975cc59bc de la 14.1.60 sur 14.2.10\ndemandée par loubatière semble ne pas avoir été effectuée dans dimension...\n\nvoir mail le vendredi 17 avril 2015 21:05\n\"Problème sur la livraison 14.2.8_001 - Plan action proposé\"\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1125, 4, 'fa0883471e2d740bde1394f6a20395187b5c455c', 'G4674', 93, '2015-07-01 17:53:06', 'jean-marc SCOTTO', 'Suppression du palliatif pal_qc_40561.sh parce qu\'il n\'a pas été livré en production\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1126, 4, '4210dd714313f01043417c1083ded8314428e92f', 'G4674', 164, '2015-06-26 16:34:15', 'Lionel Giordanengo', 'Livraison 14.2.45_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1127, 4, 'a63d37c134520726b66f778dfebc2e6ced25ca30', 'G4674', 164, '2015-12-14 15:43:43', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.52) into 15.0.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1128, 4, '89237a11fd49c8d991a286d897cc963473a41143', 'G4674', 164, '2016-01-05 15:16:53', 'Lionel Giordanengo', 'Livraison 15.1.40_001 preparation MAJ_BASES\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1129, 4, '8912f40ac94dc4a2d46f881ed2de9343874fd9e4', 'G4674', 164, '2015-08-24 16:19:42', 'Lionel Giordanengo', '[D41237] : retour arrière évolution  39843\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1130, 4, '9fcfde5019f2e647d0bafdb223d3994581fc8898', 'G4674', 109, '2015-08-27 10:30:18', 'Mathieu GONON', 'IntegrationTools : Appel de cksum dans initInteg\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1131, 4, '768c3f60758b93186ea2e14f69ca29be46d39f1b', 'G4674', 164, '2015-12-08 10:59:54', 'Lionel Giordanengo', 'Merge branch \'15.0.52\' (ex15.0.46 glissement) into 15.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1132, 4, '18b61734bf49af0391ea37954ce6512cf5711183', 'G4674', 1, '2015-09-16 15:30:25', 'Louis BAYLE', '[D41321] maj DEX appel regul v1Maj6\n(le vrai V1Maj6 de Vincent 03/09/15)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1133, 4, '78654e294966a54d214383ce436621f6aaa7cab9', 'G4674', 116, '2015-11-19 10:22:37', 'Arnaud Trousselard', '[D41176] - Debut dev integration cotisations sociales TAIGA\n\n[D41176] - Suite de dev\n\n[D41176] - Fin du dev en attente de tests V1.0\n\n[D41176] - Dev a terminer + nettoyer code\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1134, 4, '8c61ab91eb7a55c51d1af3af0716965717c3ac8c', 'G4674', 164, '2015-10-05 11:37:57', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.1) into 14.1.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1135, 4, '669d371571e42a5febb2d00d378ea763b1c09b0e', 'G4674', 164, '2015-10-05 15:40:53', 'Lionel Giordanengo', '[D41478] Corrections MAJ_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1136, 4, '9ae841095b52a65fa144fd0aef10489410dc62d0', 'G4674', 1, '2015-06-23 16:17:27', 'Louis BAYLE', 'IntegrationTools: titulaire_to_TaigaDevClient32.sh (clean sources)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1137, 4, 'e2aa95829149c53660ed0cd35f97ec9f67152b5c', 'G4674', 164, '2015-06-19 09:57:18', 'Lionel Giordanengo', '[D40973] Merge branch \'14.1.60\' into 14.2.30\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1138, 4, '9058d3a1836c92124e8dc6218ceadd697bab30a1', 'G4674', 109, '2015-07-01 14:42:55', 'Mathieu GONON', 'Environnements: uniformisation expl/utils\n\nLes tadev, tapqua, tamco et tamcoc doivent\navoir les memes versions de scripts.\n(en accord avec la version)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1139, 4, 'dededb98e125f2f03c1d547fd06e0b58499c848b', 'G4674', 164, '2015-06-25 17:49:48', 'Lionel Giordanengo', '[D40982] TAIGA - Optimisation vue V_cqpntf50_mt_calcule_anc\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1140, 4, 'a84ef289c25f02d78bc1bcd0b6583372c0300380', 'G4674', 164, '2015-12-01 09:50:54', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.50) into 15.0.55\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1141, 4, '9f18cfb19fdac63974939b12623df746307a4080', 'G4674', 164, '2016-01-05 14:51:04', 'Lionel Giordanengo', '[D41719] Traitement Nomenclatures Specifiques bis\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1142, 4, '37f7ae03ccc43dbda78988d64da477a48be6f985', 'G4674', 1, '2015-08-18 15:58:58', 'Louis BAYLE', 'Merge branch \'master\' (14.2.50) into 15.0.0\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1143, 4, '7be8c3e78ffaa59a406533fb80682324b8d58099', 'G4674', 1, '2015-08-14 08:58:39', 'Louis BAYLE', 'Livraison 14.2.55_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1144, 4, 'd98bc0dffefc76414d6c6b24065b5dc1c1fbb7c5', 'G4674', 164, '2015-12-07 17:01:58', 'Lionel Giordanengo', 'Livraison 15.1.0_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1145, 4, '9e2dfe3f44f36cf7c3fdadaeae585fbc30db24bb', 'G4674', 1, '2015-09-15 12:40:10', 'Louis BAYLE', '[D41312] cosmetique sur lanceurAPR.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1146, 4, '08ab0eb0c7d3286c436ac2cd413c9fb6e343fc62', 'G4674', 117, '2015-11-19 10:18:31', 'Jean-Michel PERQUE', '[D41139] TP mauvaise attribution du régime d\'imposition rubrique XA\n\n[D41139] Mise en place du MAJ_BASE\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(1147, 4, 'ceeb46e48163ca2639af57da2bea6a76736041de', 'G4674', 169, '2015-10-05 15:40:52', 'Fabien TROPIS', '[D40667] idem que D39649\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1148, 4, 'e5002c79a0d40f92d8ef49654dbe1c9713abdeba', 'G4674', 1, '2015-06-17 17:40:35', 'Louis BAYLE', 'Script blocage_nir.sh\n\nCe script n\'est pas livré au RSI, mais nous sera utile.\n\nDefects en relation: D40467, D40927\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1149, 4, '0f41ebc7a560cda2d6505daf4deb3f1e23d73316', 'G4674', 164, '2015-06-19 09:53:45', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.25) into 14.2.30\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1150, 4, '6c716c51539077a48e77fb88b06e0e8dc6288c37', 'G4674', 164, '2015-06-17 15:14:53', 'Lionel Giordanengo', '[D40958] Merge branch \'14.1.70\' into 14.1.60\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1151, 4, '15bbb49a3d09a6511ee0bb7910479aa5fd6c5320', 'G4674', 164, '2015-06-25 14:22:59', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.30) into 14.2.45\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1152, 4, '66e22c9aef99cfd55262763d21eec33331ca71a6', 'G4674', 164, '2015-11-23 17:26:29', 'Lionel Giordanengo', 'Livraison 15.0.55_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1153, 4, '504709656a9e1966e7039b7d5905ca1a9095b95b', 'G4674', 199, '2016-01-05 14:51:03', 'Bertrand FONTANEL', '[D41719] ajout rub WP et WN reg 32\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1154, 4, 'cd7fad5a85c43d79d20078978795cfdd0f66f28a', 'G4674', 1, '2015-08-12 16:45:34', 'Louis BAYLE', 'Livraison TAIGA_PALL 1.5.35_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1155, 4, '076bf95db148314b50763f4e3850ba71aaf8f3b5', 'G4674', 1, '2015-08-13 19:54:42', 'Louis BAYLE', '[D40714] 3en1 : rattrapage spocs envoyes sans article 22\n(caisses 53 et 54)\n\n------------------------------------\nThis is a combination of 22 commits.\n------------------------------------\n[D40714] dev premiere partie terminée\n[D40714] reprise pour changement de structure cimut\n[D40714] ctrl nb param (4->5)\n[D40714] pb ctrl param\n[D40714] retour debut qualif isabelle\n[D40714] horodatage trc et log\n[D40714] horodatage trc et log revu\n[D40714] 1er jet 2eme phase\n[D40714] modif traces\n[D40714] 1re livraison phase 2 generation spoc21 + correction log phase1\n[D40174] erreur de commit pour creat*.sh\n[D40714] commit intermediareibraison spoc 22 et 23\n[D40714] livraison fonctionnalites complete phase 2 avec ctrl echeancier\n[D40714] bug $ + bug - +bouchon spoc31 34\n[D40714] relivraison nouveau spoc31 et 34 + bug #\n[D40714] relivraison sql suite a pb de manip\n[D40714] re commit pb de chemin $utlfd\n[D40714] final avant conges\n[D40714] (LoB) Fix Spoc22 : indicateur SCA doit être à 1 et être à la position 129 et il se trouve en position 130 !\n[D40714] (LoB) Fix Spoc 23 : la ligne complète ne contient pas le bon nombre d’éléments : 120 char au lieu de 145\n[D40714] (LoB) Fix Spoc 31 : SCA devrait être à la position 138, se trouve en position 132, le spoc devrait faire 144 et il fait 138.\n[D40714] (LoB) Fix Spoc 34 : Date de traitement à la fin du spoc n\'existe pas\n==> la ligne devrait être à 145 caractères et elle s\'arrête à 137 caractères !\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1156, 4, 'a6cca8d3cd9156975ec593d9962c210d8e275369', 'G4674', 74, '2015-12-07 17:01:56', 'Isabelle Finette', '[D41772] Evolution D41772 pour correction du 41014\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1157, 4, 'be540da60e7fdeace7c8102727cc60d676416ba4', 'G4674', 72, '2015-09-14 17:37:23', 'Alain Tassotti', '[D41312] maj DEX appel regul v1Maj6\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1158, 4, 'a3f4111b598f2abed349afaef5cac679e8e5fcd2', 'G4674', 134, '2015-11-19 10:14:52', 'Isabelle LAGIER', '[D41540][D41639] Campagne 2016 emission DSI2015\n\n[D41540]- Campagne 2016 DSI 2015 sup fichier perso agricole\n\n[D41540][D41639] Campagne 2016 emission DSI2015\n\n[D41540][D41639] Campagne 2016 Emission DSI 2015\n\n[D41540]- suppression bilan perso agricole multi caisse\n\n[D41540] maj table Val_ref pour test\n\n[D41540] Campagne2016 Emission DSI 2015\n\n[D41540] ajout cas particulier assuré avec assiette sans per acti\n\n[D41540][D41639] campagne 2016 Emission DSI 2015\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1159, 4, '6153a9cb0526d43a228d7224f5c1239b632eef33', 'G4674', 1, '2015-10-05 15:40:51', 'Louis BAYLE', '[D41505] FIX perf sur appel prov 054\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1160, 4, 'c732f1e87af381b534176ac663345e8eba6e1abe', 'G4674', 1, '2015-06-17 12:07:01', 'Louis BAYLE', 'DOC: README de la base documentaire\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1161, 4, 'e598633ac4743df84c19b65cc8a30d7fa4d1a22e', 'G4674', 164, '2015-06-17 13:36:14', 'Lionel Giordanengo', 'Livraison 14.2.30_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1162, 4, 'efdd0ca375981c10c4d8e1f0e4c9bfa2b66084b0', 'G4674', 164, '2015-06-16 17:49:14', 'Lionel Giordanengo', 'Merge branch \'master\'(14.2.25) into 14.1.60\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1163, 4, '740b2e0b375ddc3c5f0d07bb154dbb325c2bd62d', 'G4674', 128, '2015-06-16 14:39:43', 'Julien FERRARO', 'Livraison 14.1.70_004\n\nsuppression maj_base 01 ET 02\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1164, 4, '9349822aceaee91aff278bd8390ef5f596fa4dc4', 'G4674', 164, '2015-06-09 15:21:26', 'Lionel Giordanengo', '[D40902] Merge branch \'14.2.25\' into 14.2.45\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1165, 4, 'd5765db516098005652909dd329ab9a71ab7a3c1', 'G4674', 157, '2015-11-23 17:21:43', 'Vincent GENTIL', '[D41711] - MajBase\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1166, 4, '41c93b9a0754df4e401a492d24a0668120b3ce76', 'G4674', 164, '2016-01-05 14:51:01', 'Lionel Giordanengo', '[D41719] Traitement Nomenclatures Specifiques\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1167, 4, 'fc264cb88708555961013b3dfaf15ad62aeefe19', 'G4674', 158, '2015-08-12 15:57:26', 'Martine RENIER', '[41048] corr. pall. 39144 (journalisation + format dates JNL_STAT)\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(1168, 4, 'e1afb445fa8466416a14dd2fa1db30985c4b47ef', 'G4674', 164, '2015-12-02 10:24:30', 'Lionel Giordanengo', 'Merge branch \'15.0.60\' into 15.1.0 (D41818)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1169, 4, '920c0d2baa5d357b38a1949101259db2c69088f8', 'G4674', 164, '2015-09-14 17:18:23', 'Lionel Giordanengo', 'Livraison 15.0.30_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1170, 4, '8a005372abd652476ec3932d6f9faacccf39dd65', 'G4674', 134, '2015-11-19 10:01:58', 'Isabelle LAGIER', '[D40004] Correction Bilans fichiers personnalisation Emission DSI\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1171, 4, 'b82bf60d57ca0ce38a4c045a1131a419086dbb2d', 'G4674', 1, '2015-10-05 15:40:49', 'Louis BAYLE', '[D40965] bilan 3en1 par OC\n\n[D40965] maj du DEX Appel Prov V1Maj2\n\n[D40965] bilan 3en1 par OC\n\n[D40965] bilan 3en1 par OC\ne_cmr_V15_0_50_02.sql\n\n[D40965] suppressions des doublons dans kjbgui1.sh\n\n[D40965] lanceurAPP.sh : add backup option\n\n[D40965] utilisation de svgResBatch.sh pour les backup\n\ncosmetic\n\n[D40965] lanceurAPP.sh\n\n[D40965] lanceurAPP.sh: check fichiers coordBancaires\n\n[D40965] lanceurAPP.sh : suppression parametre \'projet\'\n\n[D40965] lanceurAPP.sh: fix backup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1172, 4, 'de59f7b9d9795556bff530215c5386182441ddd1', 'G4674', 1, '2015-06-11 12:14:03', 'Louis BAYLE', 'Merge branch \'14.2.25\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1173, 4, '260fe7bca0805c28109eaeb698483fb54614e99e', 'G4674', 164, '2015-06-17 11:55:23', 'Lionel Giordanengo', '[D40961] Livraison de dsi-csg-abl.sh de Mangin\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1174, 4, '79267e2448885376044004172d72230423335a35', 'G4674', 164, '2015-06-11 16:42:00', 'Lionel Giordanengo', 'Livraison 14.1.60_013\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1175, 4, '57c795b8971df1d624b27ac4ec8d8029517ab319', 'G4674', 128, '2015-05-26 13:42:18', 'Julien FERRARO', 'Merge branch \'master\' (14.2.15) into 14.1.70\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1176, 4, '6be3ca19daccabd02cf2c2b55166b77b026a20bf', 'G4674', 164, '2015-05-26 17:39:21', 'Lionel Giordanengo', 'Livraison 14.2.45_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1177, 4, '210d406566ea1caef754ed3b23057cfba8061970', 'G4674', 164, '2015-06-09 14:15:48', 'Lionel Giordanengo', 'Livraison 14.2.25_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1178, 4, 'c34cd2df22c3bddc3a28d4b1b46b749e9468cdad', 'G4674', 157, '2015-11-23 16:27:09', 'Vincent GENTIL', '[D41711] - Changement modalites de paiement ajout codes 812 et 822\n\n[D41711] - Changement modalites de paiement ajout codes 812 et 822\n\n[D41711] - Changement modalites de paiement ajout codes 812 et 822\n\n[D41711] - modification de la doc de reference\n\n[D41711] - modification doc de référence\n\n[D41711] - Ajout maj_base pour livraison\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1179, 4, '28e78ab118c0bdc87034f38315badfb61f6dc6d5', 'G4674', 199, '2016-01-05 14:51:00', 'Bertrand FONTANEL', '[D41719] création maj_base_cir\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1180, 4, '18193c0d78b208704c5cf6e16f70a6948e029d81', 'G4674', 164, '2015-08-07 14:26:47', 'Lionel Giordanengo', 'Livraison 15.0.0_013\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1181, 4, '55f4c69de3d980f25858f8ad8c012dd70be909fc', 'G4674', 164, '2015-11-30 11:07:05', 'Lionel Giordanengo', 'Livraison 15.1.0_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1182, 4, '95b8ee2ca55864922b308a7293923e72840275ce', 'G4674', 164, '2015-11-19 16:40:05', 'Lionel Giordanengo', 'Livraison 15.0.60_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1183, 4, 'ead3486c9d9968751dcc2009a4fa7f73cd7af6ad', 'G4674', 74, '2015-09-14 16:40:28', 'Isabelle Finette', '[D41316] Rajout de l\'exclusion des radiés en 2014.\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1184, 4, '932ad15c9246533a7b36dd01e8044f7fe0e7b3f9', 'G4674', 117, '2015-11-19 09:37:05', 'Jean-Michel PERQUE', '[D40018] Version initiale des 2 packages\n\n[D40018] Prendre le RIBA certifié le plus récent.\nC\'est une demande du RSI en retour de relecture des spec.\n\nN.B. : Le cas de plusieur RIBA sur le même bénéficiaire semble impossible\nà la vue de la contrainte d\'unicité du BENF_ID sur le RIBA.\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(1185, 4, 'e02eb4edcc510f3476d30b5ff6bfa32602a8c03f', 'G4674', 164, '2015-10-05 15:37:44', 'Lionel Giordanengo', 'Merge branch \'master\' (pour recup outils) into 15.0.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1186, 4, '9051845b7b2bb73fd8030ac93cb5ec315c7231e5', 'G4674', 164, '2015-06-09 16:39:44', 'Lionel Giordanengo', 'IntegrationTools : extract_taiga.sh\nNon prise en compte du repertoire docs, ScriptsNomenclaturesSpec, et Envirronements\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1187, 4, '473d74a0693632cc0c70440c7c6c2a415039b58e', 'G4674', 164, '2015-06-10 10:27:50', 'Lionel Giordanengo', 'Livraison 14.2.25_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1188, 4, 'f1d673d3411d26ad75bb96b5921a402c7c8a19c1', 'G4674', 164, '2015-06-16 17:55:26', 'Lionel Giordanengo', 'Merge branch \'14.1.70\' into 14.2.30 D40959\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1189, 4, '086c5da2479c5fe9eb5dc91172e51cfc3234d477', 'G4674', 164, '2015-06-10 16:15:11', 'Lionel Giordanengo', 'IntegrationTools : extract_taiga.sh\nNon prise en compte du repertoire docs, ScriptsNomenclaturesSpec, et Envirronements\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1190, 4, '529e870311a36867be3ec32a8ee4046b5a32a750', 'G4674', 1, '2015-05-26 11:07:35', 'Louis BAYLE', 'cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1191, 4, '966b4840c9be60bd552b2a639f24a74471f84b01', 'G4674', 93, '2015-05-26 15:46:06', 'jean-marc SCOTTO', '[D40731] Correction integration DSI cas assiette sociale annualisée partie 3 en 1\n\n[40731] - SOCLE 3 en 1 Correction plantage batch quotidien\n[D40731] SOCLE 3 en 1 Correction plantage batch quotidien\n[D40731] Correction integration DSI cas assiette sociale annualisée partie 3 en 1\n[D40731] Création du maj base maj_base_cmr_D40731.sql\n[D40731] 2 modif pour éviter doublons d\'assiettes entre hors \"3 en 1\" et \"3 en 1\"\n[D40731] Mise à jour maj_base_cmr_D40731 : ajout pck_cqpntf00.sql\n[D40731] Correction integration DSI cas assiette sociale annualisée partie 3 en 1\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1192, 4, '0ef0479c62631b6404ffbab6c5d8b4878811b958', 'G4674', 164, '2015-06-08 15:43:58', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.17) into 14.2.25\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1193, 4, '9f7d8bb2b4f2cc76b698021af0f03aa07230799f', 'G4674', 157, '2015-11-23 15:25:45', 'Vincent GENTIL', '[D40009] - Correction spoc 23 changement modalites de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1194, 4, 'a42132e2509088ab759bd2ebaaf7d9e3dc12d50e', 'G4674', 199, '2016-01-05 14:50:59', 'Bertrand FONTANEL', '[D41719] Separation des scripts de nomenclatures\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1195, 4, '4f4b20b290c7ac1ffabdba3dee837260c0882d51', 'G4674', 116, '2015-08-05 16:36:56', 'Arnaud Trousselard', '[D41178] Alerte 3942 non présente pour immat KO\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1196, 4, '05f28efb34d967746b8269d758e518a8f49b8105', 'G4674', 164, '2015-11-30 10:38:41', 'Lionel Giordanengo', 'Revert \"[D39022] Integration directe du FC30A dans TAIGA\"\n\nThis reverts commit 1a7453fbf6ddf5818130c3beda511fc6080feaa6.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1197, 4, 'fbc64d60839f41d427930d264e4f0b82f94d231f', 'G4674', 164, '2015-11-19 16:20:53', 'Lionel Giordanengo', 'Creation Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1198, 4, '7470bce59de2ffe8e10faccf1efea557fc55d910', 'G4674', 74, '2015-09-14 16:38:14', 'Isabelle Finette', '[D41312] Changement du paramètre de kjnman02.sh (MJ à la place de AS) pour génération des spocs 23 avec année 2014 et 2015\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1199, 4, '8664f0bad324fa5a19ee5a1076cbad4bc3c709d1', 'G4674', 117, '2015-11-18 17:25:32', 'Jean-Michel PERQUE', '[D39996] DSI-2014-EIC-Emission initiale ou complÃ©mentaire Ã  la demande\n\n[D39996] Version initiale de la demande\n\nattention a la fusion avec le 40018 (a11d2bdd3)\n\n[D3996]Création du DEX Emission à la demande\nPrend pour base le DEX de l\'émission complémentaire.\n\n[D39996] Création du DEX Emission à la demande\n\n[D39996] Corrections après premiers tests\n\n[D39996] Corrections sur les noms de fichiers\nPrise en compte du \'ald\'\n\n[D39996] Suppression fichier personnel agricole\n\n[D3996] Suppression fichier personnel agricol\n\n[D39996] Suppression reprises / personnel agricole\n\n[D39996] Erreur / chaine étiquette reprise\nCorrection d\'un bug / chainage des étiquettes de reprise\nsuite à la suppression des fichiers personnel\nagricole.\n\n[D39996] Supprime \"_ald\" dans fichire DSI...\n\n[D39996] Suppression étiquertte personnel agricole\n\n[D39996] DEX Emission a la demande\n\n(suppression des revisions)\n\n[D39996] Télédéclarants obligatoires (cf D38492)\n\n[D39996]\n\n[D39996] Bilan télédéclarants obligatoires / émissions à la demande\n\n[D39996] Ajout type \"Emission à la demande\" dans les bilans.\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(1200, 4, '48066dccd7b5b39707c1cacb6dfb4b4470718568', 'G4674', 164, '2015-09-22 17:29:58', 'Lionel Giordanengo', 'Livraison 15.0.50_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1201, 4, 'e7cc6f01a18c346312edcf45e4a7ea0434501e65', 'G4674', 1, '2015-06-09 15:38:34', 'Louis BAYLE', 'DOC: OneNote archive\n\n    Copie de G:\\TMA_RSI_TAIGA\\OneNote\n\n    Des archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1202, 4, '230d36c0522f612cf265c4a35964bc71e3d17009', 'G4674', 164, '2015-06-16 16:29:15', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.25) into 14.2.30\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1203, 4, '50a2cdc4344fee6334b36ed406b26c754a1e9c21', 'G4674', 134, '2015-06-10 16:14:16', 'Isabelle LAGIER', '[D40917] Retrait l\'évolution date de modification du SPOC 51\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(1204, 4, '458dd7112a1aff426d72e5995668866cf97e0648', 'G4674', 164, '2015-05-26 10:19:48', 'Lionel Giordanengo', 'Modification de make_environnements.pl pour :\n- Ajout du fichier PAF_transformation.xsl\n- Ajout d\'un repertoire pour les nomenclatures avec le numero de version\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1205, 4, '704a5d5944be3f413bb33605f60a457f820b2fe7', 'G4674', 164, '2015-05-26 14:46:22', 'Lionel Giordanengo', 'Creation du script pour générer les droits des users ATOS dans REDA et USER_ROLE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1206, 4, '5faab1edcc4666dee4fafc607ec55e69a4098c58', 'G4674', 164, '2015-06-08 15:39:57', 'Lionel Giordanengo', '[D40899] Relivraison composant - SPOC 3 EN 1\ncaisses PL journalisers - remise a niveau quantieme -\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1207, 4, 'da9dbae409a0e90a0822b257ad4e2516d10fd859', 'G4674', 1, '2015-06-05 16:59:22', 'Louis BAYLE', 'IntegrationTools: titulaire_to_TaigaDevClient32.sh\n\nrm *.SYM\nrm *.lrf\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1208, 4, 'fa77b6071d535db244a3aa9207740d59fd1c4b57', 'G4674', 74, '2016-01-05 13:52:23', 'Isabelle Finette', '[D41541] TP correction sur rubrique ZZ\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1209, 4, 'adeddb4541fa0994a1ae180e7e865b4477b1a6b2', 'G4674', 164, '2015-08-04 14:52:54', 'Lionel Giordanengo', 'Livraison 15.0.0_012\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1210, 4, '4352694958f388a269fe2b0324d0fe56ba9adb36', 'G4674', 164, '2015-11-30 10:37:51', 'Lionel Giordanengo', 'Merge branch \'15.0.50\' into 15.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1211, 4, '703535b5e0f16083fe72dc71e809747cf004ec4c', 'G4674', 146, '2015-11-19 16:14:40', 'Achraf AKRIMI', '[D3463][D3486][D3479][3481] GAC_ISE correctifs suite au retour de la V1.5\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1212, 4, '86dfbfc6bce57f00c8a79079c47d9f46c70d7c08', 'G4674', 1, '2015-09-14 16:35:39', 'Louis BAYLE', '[40637] maj DEX appel regul v1Maj5\n\nfait par Vincent le 7 Aout 2015\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1213, 4, 'ecfae5a140f8c75c89b2c0f1b24905271a27e8e3', 'G4674', 1, '2015-09-22 17:09:19', 'Louis BAYLE', '[D40965] Appel Provisionnel 2016\n\nSigned-off-by: Louis BAYLE <louis.bayle@atos.net>\n\n[D40965] en cours...\n[D40965] FreeMind et lanceurAPP_debug.sh\n[D40965] update lanceurAPP\n[D40965] lanceurAPP_debug.sh mise en conformité DEX_V1Maj0\n[D40965] cjkapl10_filtre_3en1.sh\n[D40965] en cours...\n[D40965] creation table temporaire T_APL_PROV\n[D40965] FIX lanceurAPP_debug.sh\n[D40965] maj du DEX Appel Prov V1Maj1\ninsertion du shell cjkapl10_filtre_3en1.sh\n[D40965] filtre 3en1 & fix lanceurAPP\n[D40965] modif. fichier bilan\n[D40965] maj du DEX\n[D40965] nomenclature\n[D40965] update requete filtrage 3en1\n[D40965] fix filtre_3en1\n[D40965] Fix lanceurAPP_debug.sh\n[D40965] Fix lanceurAPP_debug.sh\n[D40965] rename lanceurAPP.sh : pour le debug ajouter un 5eme parametre \"DEBUG\"\n[D40965] modif. fichier bilan : $REP_FIC/ebilsel_053\n[D40965] revert CAKAPL10.D\n[D40965] orasnap.sh\n[D40965] fix lanceurAPP.sh\n[D40965] orasnap.sh (nouvelle version)\n[D40965] cosmetic\n[D40965]  MAJ DEX ( propriétés)\n[D40965] FIX orasnap.sh\n[D40965] check doublons dans kjbgui1.sh\n\n------------------------------\n- INDEXATION DU FICHIER /donnee/tapqua2/applidat/fic/m-059-fguinum-dist   -\n------------------------------\n\n/donnee/tapqua2/applidat/fic/m-059-fguinum-dist,/donnee/tapqua2/applidat/fic/m-fguinum-059 -r:v16-55 -k:1+16 -o:lseq,ind\n***Error on output file - status 22 - records read =    108847\n\n[D40965] cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1214, 4, 'd1897b41cc95610a83c5aa386979346bd1eb7067', 'G4674', 1, '2015-06-08 17:55:25', 'Louis BAYLE', 'IntegrationTools: taigaDevClient32_to_app32.sh (Coller.bmp)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1215, 4, '486c7bd2b2550af8d6a1a49d231b8afe9d203b08', 'G4674', 1, '2015-05-21 18:21:18', 'Louis BAYLE', 'Merge branch \'master\' (14.2.15) into 14.2.30\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1216, 4, '26a687ea5b5cdf9e176509cad28ac486ba8d02a8', 'G4674', 164, '2015-06-08 15:23:11', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.17) into 14.1.60\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1217, 4, '46eaa08b67c1fdaafdf143419fb4461cd73907a5', 'G4674', 74, '2015-05-25 15:49:04', 'Isabelle Finette', 'IntegrationTools: update client32 map\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1218, 4, 'aaf75b52e65a37c26792670c96b6aa4f8c34b897', 'G4674', 128, '2015-05-26 15:06:23', 'Julien FERRARO', 'Merge branch \'master\' (14.2.15) into 14.2.25\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1219, 4, '9cb1f340d987f1c3ba19eaec023d56fd8e16d560', 'G4674', 164, '2015-06-05 15:31:23', 'Lionel Giordanengo', 'IntegrationTools : Modif Droits REDA - num DAS\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1220, 4, '514c05d577d4cd130ce73fbb4ad8700109c43120', 'G4674', 199, '2016-01-05 08:22:44', 'Bertrand FONTANEL', '[D41541] correction rubrique TB\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1221, 4, '3641482c587c7fe3ed709b3f0a1d61f48aa74cb3', 'G4674', 164, '2015-08-04 14:09:38', 'Lionel Giordanengo', 'Merge branch \'master\'(pour recup outils) into 15.0.0\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n	InternalTools/choixEnv/ChoixEnv.ps1\n	InternalTools/choixEnv/readme.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1222, 4, 'ad96d857074a0e8e2006929d56875c7bb8d0a3de', 'G4674', 164, '2015-11-20 16:31:15', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.32) into 15.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1223, 4, 'efc5c40b3f35bad88f9e58f464b320ccda01f8e0', 'G4674', 164, '2015-09-29 17:32:30', 'Lionel Giordanengo', 'Livraison 15.0.60_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1224, 4, 'e729d67cc3787b6ca78a8e184d138663390ece31', 'G4674', 164, '2015-09-14 12:08:23', 'Lionel Giordanengo', 'Livraison 15.0.30_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1225, 4, '46ab172c807e2eb5b437139b3b90f4e38f1cff09', 'G4674', 128, '2015-05-13 17:34:47', 'Julien FERRARO', 'Livraison TAIGA 14.2.30_003\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1226, 4, '7271552d1ee3edcc60bdfc5acf9e06d285189806', 'G4674', 1, '2015-05-21 18:15:36', 'Louis BAYLE', 'Merge branch \'14.2.15\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1227, 4, '7c355746926d0d7aadac4d076889540fdfc6509d', 'G4674', 128, '2015-06-03 17:52:43', 'Julien FERRARO', 'Livraison 14.1.60_012\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1228, 4, 'cb4a929997b36cf97bc339e7fc9b8ccd76921790', 'G4674', 1, '2015-05-25 12:45:28', 'Louis BAYLE', 'IntegrationTools: update client32 map\n\ncertains fichiers portent le mm nom a differents endroits\nde l\'arborescence, avec un contenu different...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1229, 4, '80223805679cb7151f43d2816a277a0b4edf5716', 'G4674', 128, '2015-05-19 13:48:43', 'Julien FERRARO', 'Livraison 14.2.25_001\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1230, 4, '2d512bc096433f152f69bdcba84170a96fe6ef20', 'G4674', 1, '2015-06-05 15:19:09', 'Louis BAYLE', 'IntegrationTools: FIX make_env.pl\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1231, 4, 'd91387d7a3871160c8f7252955dc32d8585f2221', 'G4674', 199, '2016-01-04 16:16:25', 'Bertrand FONTANEL', '[D41541] correction rubrique TB en multiple\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1232, 4, '7d1193ee7e72856d12a29622f16bcb9c25044778', 'G4674', 74, '2015-08-04 14:07:20', 'Isabelle Finette', '[D41144] Décommissionnement des boutons copier/coller sur l\'écran des Ayant droit\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1233, 4, '7d5dac79c7aeb20a6833ab38bc8e4879c2b9b821', 'G4674', 164, '2015-11-03 16:07:31', 'Lionel Giordanengo', 'Livraison 15.1.0_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1234, 4, 'dc49d66b48348b827590fa860a57032d73565f24', 'G4674', 164, '2015-09-29 17:19:42', 'Lionel Giordanengo', 'GAC Nomenclatures Bis\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1235, 4, '2589db8c9fc4e217f57707d8d207d0fa177130de', 'G4674', 1, '2015-09-10 16:46:10', 'Louis BAYLE', '[D41315] perf appel régularisation\n\nBonjour,\nVous trouverez en PJ le composant modifié par l’ajout des  « hint »,\nbasé sur le version 1.4 de dimensions.\n\nTesté sur E12 caisse 53 : avant et après modif : pas de régression ni de temps, ni de résultat\nTesté sur E12 caisse 54 : durée du traitement de 50 min\n\nLOMBARDO Pascal\nEmail : pascal.lombardo@le-rsi.fr\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1236, 4, '6935f2b1c6d76387ea470b8aecf26b51f5efcc8f', 'G4674', 128, '2015-05-13 17:20:41', 'Julien FERRARO', '[D40761] DSI-2014-REL-RELANCES CMR , traitement editique vers ABL\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1237, 4, '022bbbb3dfd8252977f6daae17ca869cced47a04', 'G4674', 1, '2015-05-21 10:35:05', 'Louis BAYLE', 'DOC: OneNote archive\n\n    Copie de G:\\TMA_RSI_TAIGA\\OneNote\n\n    Des archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1238, 4, 'c4ca18756b0ac8fbea92f7c142a7d093f972afc7', 'G4674', 1, '2015-05-21 18:13:37', 'Louis BAYLE', 'Merge branch \'14.2.13\' into 14.2.15\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1239, 4, '686067d341e8267f81695f0906b397617cd0e36e', 'G4674', 73, '2015-06-03 17:09:11', 'Laure CAVALIER', '[D40806] - PAF - filtrage des ayd\n', '', '', '', 'laure.cavalier@atos.net', '', '', 0),
(1240, 4, '2f9b36a124554b09c9029373ac22bd78351045c4', 'G4674', 1, '2015-05-22 17:38:28', 'Louis BAYLE', 'IntegrationTools: client32_to_app32.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1241, 4, '51a6ed594b82038abaa61b299c9efbbf88a5689b', 'G4674', 109, '2015-05-13 14:57:55', 'Mathieu GONON', 'IntegrationTools: macro XLS cksum -> Note Technique Integration.doc\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1242, 4, 'dc25967c3b8cf4585122c69669c6aca2c9240593', 'G4674', 1, '2015-06-05 15:01:04', 'Louis BAYLE', 'IntegrationTools: rename titulaire_to_TaigaDevClient32.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1243, 4, '1bfeceee081811afd72db54525e8b98a98d98434', 'G4674', 199, '2015-12-31 16:00:31', 'Bertrand FONTANEL', '[D41541] ajout de rollback\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1244, 4, 'a5da06bd1dc74b19263e63f204e9dc4b99863eac', 'G4674', 109, '2015-07-28 11:58:05', 'Mathieu GONON', 'Add \"ChoixEnv\" tool (graphic way to set WSNADDR)\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1245, 4, '8b40a1591c8addbc16de005d33b765884d85f6bd', 'G4674', 74, '2015-11-03 15:52:02', 'Isabelle Finette', '[D41527] Correction de la case à cocher\n\n[D41527] Nouvelle correction\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1246, 4, '73cb3120c6b1b6ad42cd09b32cbccb7747fbf0de', 'G4674', 146, '2015-09-29 17:14:25', 'Achraf AKRIMI', '[GAC ISE D40599] PRESTA / NON PRESTA (correctif suite au tests)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1247, 4, '463c1328771b472d4ca2511fd30058ddf85b9328', 'G4674', 164, '2015-09-09 13:06:20', 'Lionel Giordanengo', 'Livraison 15.0.30_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1248, 4, 'cf0df086922d886a0a86d88666311b879b0fbddc', 'G4674', 128, '2015-04-28 10:17:19', 'Julien FERRARO', '[D40486] Livraison 14.2.30_002\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1249, 4, 'd299d6b1bc39270053c561cf9344d7b6624658e4', 'G4674', 1, '2015-05-20 18:12:19', 'Louis BAYLE', 'Nomenclatures specifiques ReadMe\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1250, 4, '581a22a2306e1588c5607b9e3e6cff0c288764aa', 'G4674', 128, '2015-05-13 14:49:20', 'Julien FERRARO', 'Livraison 14.2.15_001\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1251, 4, '2f3a7d76e1777973f47d2b607795fdb5c29b5f22', 'G4674', 128, '2015-05-12 16:26:06', 'Julien FERRARO', 'Livraison 14.2.13_003\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1252, 4, '1b7c8eb6436f80e289c321d1383b2de8fe5eb1cb', 'G4674', 164, '2015-05-29 13:58:10', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.16) into 14.1.60\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1253, 4, '6844752a5c7400b2153e41cadd2107de380fcc7d', 'G4674', 1, '2015-05-22 16:26:31', 'Louis BAYLE', 'cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1254, 4, 'f179bf52fbb0ce52e5266d57bd2e51eb38ad33a7', 'G4674', 1, '2015-05-12 14:55:19', 'Louis BAYLE', 'IntegrationTools: FIX git_extract_taiga.sh\n\nwrong cksum on comparaison.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1255, 4, 'c4d9f8184673480d7d91ec6939dceb9b77c2f380', 'G4674', 1, '2015-06-05 14:44:39', 'Louis BAYLE', 'IntegrationTools: client32_to_titulaire.pl (*.n_c)\n\nles .n_c doivent être remontés dans git\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1256, 4, '96af4e866ea39538684f81dcbe4ed4a4084523cb', 'G4674', 199, '2015-12-31 15:03:55', 'Bertrand FONTANEL', '[D41541] Correction mt_prov dans decl_elt\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1257, 4, '438fb0c89e1ff1b13f250b5e871840f84f67bf44', 'G4674', 74, '2015-07-28 10:50:05', 'Isabelle Finette', '[D41166] Correction du double affichage du message sur la radiation\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1258, 4, '585ccb87cdc67df509b13124635fee92daa4ce85', 'G4674', 164, '2015-10-26 15:50:35', 'Lionel Giordanengo', 'Livraison 15.1.0_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1259, 4, '61f6321da6d8db46867042d2979a220546b7c024', 'G4674', 164, '2015-09-29 17:14:24', 'Lionel Giordanengo', '[ GACE ISE 1.5 ] Nomenclatures TYP_ALERTE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1260, 4, 'c279a2c09b1ae287a2928e6d114e5d86b3d0c348', 'G4674', 1, '2015-09-09 11:14:47', 'Louis BAYLE', '[D41281] 3en1 Appel de regul (D40637)\n\n[D41281] Corrections sur appel de régul\nCorrige : [D41314] [D41322] [D41323] [D41325] [D41331] [D41332] [D41340]\n\n[D41281] Correction du defect D41332 sur bilan ebilsel\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1261, 4, 'd13feb41085a9a542f2badb991a5173ba091899e', 'G4674', 134, '2015-04-28 09:52:29', 'Isabelle LAGIER', '[D40486] traiter plusieurs fichiers AR\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1262, 4, '35ca4512f07b91b39ee2e4aaab4302ddf524e5d5', 'G4674', 128, '2015-05-20 17:48:58', 'Julien FERRARO', 'Nomenclatures spécifiques ReadMe\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1263, 4, 'cdbcc43b63e3527bba97a56ced37ea238847b948', 'G4674', 93, '2015-05-13 14:31:02', 'jean-marc SCOTTO', '[D40757] Assiette sociale erronee\nMise en commentaire de l\'affectation à NULL de cette variable l_xj (D40757)\n\nCréation d\'un maj base cmr pour livraison du package cqpdsi00.sql pour le defect 40757.\n\nModification du commentaire de l\'entête du package\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1264, 4, 'b7d61546f53287f9e42461495dbb895e33eb0715', 'G4674', 128, '2015-05-11 17:51:39', 'Julien FERRARO', 'Livraison 14.2.13_002\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1265, 4, '399831ad82d1c80f141b38246201f370132ae8b6', 'G4674', 1, '2015-05-29 10:49:09', 'Louis BAYLE', 'DOC remove bad link\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1266, 4, 'dc5e397965a40c9b20f5b743cd7917b81203d135', 'G4674', 109, '2015-05-22 14:09:18', 'Mathieu GONON', 'IntegrationTools: macro XLS cksum -> Note Technique Integration.doc\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1267, 4, 'dce5fcf4fb9cee335e7d4fef38e02d2fb796b2e8', 'G4674', 1, '2015-05-06 16:47:21', 'Louis BAYLE', 'InternalTools: git post-update hook\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1268, 4, 'b8ccee1a11bcb2534909b93a9a4c54f62b251d29', 'G4674', 72, '2015-06-04 10:44:43', 'Alain Tassotti', 'Import des  DEX\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1269, 4, 'ccabbfcccdc17baa231f14161f877947fc2c753d', 'G4674', 134, '2015-12-31 14:24:15', 'Isabelle LAGIER', '[D41541] correction maj_base\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1270, 4, '47c814a18e5f49db227caca6041405c42369102a', 'G4674', 74, '2015-07-28 10:49:48', 'Isabelle Finette', '[D41160] Correction de la largeur de la colonne sur le nature AR (libellé tronqué)\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1271, 4, '0e52820d9d347d19eadf4855e5760548607c534a', 'G4674', 164, '2015-10-26 15:43:57', 'Lionel Giordanengo', 'integ : Modification du MAJ_BASE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1272, 4, '0de924a685f587db260ea95ba76e51937bab2a27', 'G4674', 164, '2015-09-29 16:58:48', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.0) into 15.0.60_temp\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1273, 4, 'be9434e518cb60a470f454bf8dcda0d434108ee2', 'G4674', 1, '2015-08-18 16:02:26', 'Louis BAYLE', 'Merge branch \'master\' (14.2.50) into 15.0.30\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1274, 4, '18327ea55fb589736bfb58544d1711e9684ae850', 'G4674', 128, '2015-04-27 17:04:02', 'Julien FERRARO', 'Livraison 14.2.30_001\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1275, 4, 'f904b20bc43d398871576107bf783855e65658ee', 'G4674', 1, '2015-05-20 16:53:25', 'Louis BAYLE', 'InternalTools: creation repertoire pour depot de scripts nomenclatures specifiques.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1276, 4, '5435220a43169f8d47bcb80447c90c42aa858fac', 'G4674', 1, '2015-05-11 14:22:23', 'Louis BAYLE', 'Merge branch \'master\' (14.2.9) into 14.2.13\n\nConflicts:\n	1_titulaire/Declaration_Revenus/Campagne_DCR/aix/sql/extract_fc15r.sql\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1277, 4, '6abcf810b046bc2a17e925e3da07a47ba3fbf83a', 'G4674', 164, '2015-05-29 09:48:27', 'Lionel Giordanengo', 'IntegrationTools: Correction make_environnements\nremplacements mkdir et rmdir par commandes perls\n\nConflicts:\n	InternalTools/Sodifrance/script/make_environnements.pl\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1278, 4, '0a8f4e1848e26eede8847862483e4d7b68465bc5', 'G4674', 72, '2015-05-22 10:52:30', 'Alain Tassotti', 'IntegrationTools: update client32 map\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1279, 4, '06e928179c558fccf02dafc96b3e1861943082de', 'G4674', 1, '2015-05-06 15:38:28', 'Louis BAYLE', 'Merge branch \'14.2.9\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1280, 4, '63c0fb49f36e65cd8b74565fcf7284fc42a5e25d', 'G4674', 1, '2015-06-03 16:36:56', 'Louis BAYLE', 'IntegrationTools: make_env.sh (PAF)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1281, 4, 'f117a8f8fe508e4be9be0449db08bbddce6d7b63', 'G4674', 199, '2015-12-28 09:00:28', 'Bertrand FONTANEL', '[41541] regul\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1282, 4, 'e1ba97077fda188a0738015bb82db1418a362f33', 'G4674', 74, '2015-07-28 10:49:28', 'Isabelle Finette', '[D41147]Boutons copier/coller hachurés dans \"Cotisation procédures particulières\" cet écran avait été mis auparavant dans _Cotis\\_Cotis par erreur...\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1283, 4, '38dc81e04f270d34555a77c533fda9c8b1f6f88d', 'G4674', 147, '2015-10-26 10:41:20', 'Michel Siacchitano', '[D38786] correction complete\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1284, 4, '2b097edc910d9108c57d8cab94fba457522f83ec', 'G4674', 164, '2015-09-08 14:53:08', 'Lionel Giordanengo', 'Livraison 15.0.60_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1285, 4, 'b17ab1bedd3f9bc8e5df89cb43060d5d39a4d696', 'G4674', 164, '2015-08-07 11:48:44', 'Lionel Giordanengo', 'Livraison 15.0.30_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1286, 4, '4ad07a4fcae0836fed6581740d86ce8bfe813df0', 'G4674', 0, '2015-04-24 09:59:59', 'unknown', 'Merge branch \'14.2.2\' (14.2.7) into master\n\nla 14.2.7 est un glissement (renommage) de la 14.2.2\n', '', '', '', 'FR22380@FR-42X1M12.ww930.my-it-solutions.net', '', '', 0),
(1287, 4, '2852999d75bb3121b721551ecb85e772e66501bd', 'G4674', 128, '2015-05-06 15:07:02', 'Julien FERRARO', 'livraison 14.2.13_001\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1288, 4, '9a4400cbb9a288d9a443863e551a6d212f6c2530', 'G4674', 1, '2015-05-28 11:25:58', 'Louis BAYLE', 'Merge branch \'14.2.4\' (14.2.16) into master\n\nla 14.2.16 est un glissement (renommage) de la 14.2.4\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1289, 4, '5c30d45d741762dbdf42b2ad63702d9f50733c7e', 'G4674', 1, '2015-05-22 10:48:43', 'Louis BAYLE', 'IntegrationTools: WARNING clent32 (fichiers manquants)\n\nTODO il faudra faire évoluer les scripts pour prendre en compte\ncette action\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1290, 4, '8e4c0066501c56af043362a170039909d2f5f8ff', 'G4674', 1, '2015-05-05 13:46:26', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1291, 4, '195754d8cc72407f1967fd363ea25382db43cc8d', 'G4674', 128, '2015-04-29 15:47:57', 'Julien FERRARO', 'Livraison 14.2.9_003 preparation\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1292, 4, 'f7066b8bdede5561cc1ca80ff45ebdd1cd4cbb37', 'G4674', 1, '2015-06-03 16:31:00', 'Louis BAYLE', 'IntegrationTools: titulaire_to_client32.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1293, 4, '65960d28d8802b43f58f3f4f6140b1188b146d94', 'G4674', 199, '2015-12-24 15:00:41', 'Bertrand FONTANEL', '[D41541] suppression commentaires\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1294, 4, '8c7062bebc35b8d52bdee4bfccda4718c6a6d324', 'G4674', 74, '2015-07-28 10:49:00', 'Isabelle Finette', '[D41159] correction du nombre de lignes à l\'affichage\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1295, 4, 'c192dde4f74a2e61405066ab739e1f09258597c4', 'G4674', 164, '2015-10-20 10:35:43', 'Lionel Giordanengo', 'Livraison 15.1.0_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1296, 4, 'ffe7cd255831cf8dcbcf77cf33b3db1b98488a73', 'G4674', 164, '2015-09-08 11:55:23', 'Lionel Giordanengo', '[GAC_ISE D40599] PRESTA/NON PRESTA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1297, 4, '9563deccaed8b13f06d147d3432dd0e0a833e34a', 'G4674', 157, '2015-08-07 10:49:52', 'Vincent GENTIL', '[D40637] Appel Regularisation\n\n[D40637] Appel Regularisation\n\n[D40637] 3en1: gestion TO & RND dans pck_spoc22\n\n[D40637] majbase\n\n[40637] Evolution appel régularisateur\n\n[40637] Evolution appel régularisateur\n\n[D40637] 3en1: gestion TO & RND dans pck_spoc22\n\nATTENTION: pas de \'&\' dans les commentaires, ca plante !!!\n(le majbase reste en attente d\'une saisie clavier)\n\n[40637] Evolution appel régularisateur\n\n[D40637] CleanUp des scripts\n pour enlever les traces console inutiles\n\n[D40637] 3en1: gestion TO & RND dans pck_spoc21\n\n[D40637] DOC FreeMind du lanceurAPR.sh\n\n[D40637] declenchement 3en1\n\n[D40637] Corrections spoc 22 et decoupage calcul cotisations\n\n[D40637] DOC - DEX_TAIGA_Appels de Regularisation.doc\n\n[D40637] - Evolution des shells et packages sql\n\n[D40637] Appel régularisation - corrections\n\n[D40637] Corrections suite aux test integration\n\n[40637] Appel de regularisation, corrections\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1298, 4, 'd24be1aeb069a5aecccf6869fcbdeeefb5c757bb', 'G4674', 1, '2015-04-23 17:04:58', 'Louis BAYLE', 'gitignore (.doc ouverts)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1299, 4, '5b7b5ddc371df43d3d2266c3684f495c0a1f69dd', 'G4674', 1, '2015-04-17 10:41:03', 'Louis BAYLE', 'Merge branch \'master\' (14.2.6) into 14.2.2\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1300, 4, '66ab3ecea7d3e1c19865ae992b5ede36077d7022', 'G4674', 128, '2015-05-06 14:55:09', 'Julien FERRARO', '[D40728] FC15R - pas de code origine 2\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1301, 4, '0651d36860165cc9927ba98452523ef10566b11c', 'G4674', 74, '2015-05-28 11:17:35', 'Isabelle Finette', 'IntegrationTools: update client32 map\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1302, 4, 'fc2c00473fc68fab31ce13a9f47de5ef54e5b6aa', 'G4674', 1, '2015-05-27 10:18:36', 'Louis BAYLE', 'Merge branch \'master\' (14.2.15) into 14.2.4\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1303, 4, '31344deb4e4e7361dda69f7fcabd8246280943fb', 'G4674', 134, '2015-04-29 15:42:46', 'Isabelle LAGIER', '[D40656] Code commune erroné\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1304, 4, 'c2f8fc51cf3d549cf88f035bf626bc1d61352959', 'G4674', 1, '2015-06-03 14:52:56', 'Louis BAYLE', 'Merge branch \'14.1.45\' (14.2.17) into master\n\nla 14.2.17 est un glissement (renommage) de la 14.1.45\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1305, 4, 'a3ea2dbdb3bf0237e0b1d1b345862a127cef619b', 'G4674', 1, '2015-12-24 10:58:31', 'Louis BAYLE', '[D41541] fix CR/LF\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1306, 4, '23d6b3b0ae61320a897a021d5442afba76dc1e63', 'G4674', 74, '2015-07-28 10:48:41', 'Isabelle Finette', '[D41147][41155] correction Copier Coller (bouton griser procédures particulières) + inversion dans le coller entre comune et département de naissance\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1307, 4, 'e26b113c6b1165c10cd63c8d26077fd29cc8963e', 'G4674', 147, '2015-10-20 10:22:23', 'Michel Siacchitano', '[D41350][D41585] blocage \"conjoint colaborateur ij \" pour groupe prof PL + reintegration 39843 et 39443\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1308, 4, 'f9ddea7da0d98558553794ae3380ada258e0467c', 'G4674', 164, '2015-08-07 10:48:43', 'Lionel Giordanengo', 'Merge branch \'master\' (pour recup outils) into 15.030_temp\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1309, 4, '6fe16a3a95d28a96a13c7f38b59e2096d21aaca0', 'G4674', 128, '2015-04-14 17:30:37', 'Julien FERRARO', 'Livraison V14.2.2_001\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1310, 4, 'f1b023d8fb96d5daae8d3bd3a672e7af3d900e9d', 'G4674', 1, '2015-04-17 10:20:47', 'Louis BAYLE', 'Merge branch \'14.2.6\' into master\n\nVerifie, conforme a Dimensions.\n\nTAIGA_V14.2.6_PROD_C_LB_20150417092607.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1311, 4, '7d0f2795d839d9ed576e043125e4de191604dfb4', 'G4674', 164, '2015-05-20 18:01:00', 'Lionel Giordanengo', 'Livraison 14.2.4_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1312, 4, '8f2ee2b92cf6c3e0bcb1cffb2fadd95048556ab9', 'G4674', 164, '2015-06-02 18:44:16', 'Lionel Giordanengo', 'IntegrationTools : Modification make_environnements bis\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1313, 4, '7bc902a87cf99c777fe3f978eadc144c35fe21e7', 'G4674', 164, '2015-05-29 13:53:33', 'Lionel Giordanengo', 'Merge branch \'master\' (14.2.16) into 14.1.45\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1314, 4, 'b9f942b413c180c3cb31b8b79c9bc7402e3ecf3f', 'G4674', 199, '2015-12-24 10:11:26', 'Bertrand FONTANEL', '[D41541] Correction XR new négatif\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1315, 4, '49e092e60f0c3cc26d8029cdd5af7b2e3e9b226e', 'G4674', 164, '2015-07-10 10:07:10', 'Lionel Giordanengo', 'Livraison 15.0.0_011\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1316, 4, '6b135d78d7393878894c2a0413e6fbc05110b23f', 'G4674', 164, '2015-10-15 11:57:02', 'Lionel Giordanengo', 'Livraison 15.1.0_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1317, 4, '0addc42dc6c4bbcd54a466f47fd4e25844564437', 'G4674', 164, '2015-07-29 16:47:36', 'Lionel Giordanengo', 'Livraison 15.0.30_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1318, 4, '588375cbf6693a58fbdf512b82baf58ce1224a18', 'G4674', 128, '2015-04-14 16:57:29', 'Julien FERRARO', '[D40576] docs\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1319, 4, 'fc570081dced85ef23668f683f8d67a3095641e9', 'G4674', 1, '2015-04-16 19:37:00', 'Louis BAYLE', 'IntegrationTools: client32_to_titulaire.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1320, 4, 'b550f3f1bd40423f95304974ee1050052973eec9', 'G4674', 1, '2015-04-14 15:43:57', 'Louis BAYLE', 'Merge branch \'14.2.1\' into 14.2.6\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1321, 4, 'fa713386607f45d6ef052a3462ba8842afba1dc0', 'G4674', 134, '2015-05-20 15:50:34', 'Isabelle LAGIER', '[D40782]- Adaptation code pck_cqpenv02 pour compatibilité version 14.1.70\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1322, 4, 'ed2d50f3758a712551f47831be942ec2a94f430d', 'G4674', 164, '2015-06-02 17:24:58', 'Lionel Giordanengo', 'IntegrationTools : Modification make_environnements\n (archi solaris pour laure)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1323, 4, '4ecc809ded026bfb9886d52d57372659b2a82bb0', 'G4674', 128, '2015-05-26 11:40:55', 'Julien FERRARO', 'Merge branch \'master\' 14.2.15 into 14.1.45\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1324, 4, '9b167195802066cf47eea805e73cf2cc6aab14c1', 'G4674', 74, '2015-12-23 09:37:33', 'Isabelle Finette', '[D41541] partie TP - fin\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1325, 4, '6da26ad38fba9e60f8541f0e97b499e00bc4abdc', 'G4674', 74, '2015-07-09 17:24:53', 'Isabelle Finette', '[D41003][D40972] Correction Copier Coller et ouverture de gestion des AR\n[D41003][D40972]Correction suite analyse code par RSI\nFIX missing file: _aripro1.ncl\n[D41003][D40972] fichiers .n_c\n[D41003][D40972]correction copier coller\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1326, 4, 'a09cf0947a2505547805c2c75593d8640966231e', 'G4674', 134, '2015-10-15 09:45:03', 'Isabelle LAGIER', '[D41552] FC30S- Ajout purge Table FC30S avt chargmnt données.\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1327, 4, '5d7e6e12075de9fe2a89e73157b769e5f8bce659', 'G4674', 157, '2015-07-27 13:51:16', 'Vincent GENTIL', '[D40637] Appel Regularisation\n\n[D40637] Appel Regularisation\n\n[D40637] 3en1: gestion TO & RND dans pck_spoc22\n\n[D40637] majbase\n\n[40637] Evolution appel régularisateur\n\n[40637] Evolution appel régularisateur\n\n[D40637] 3en1: gestion TO & RND dans pck_spoc22\n\nATTENTION: pas de \'&\' dans les commentaires, ca plante !!!\n(le majbase reste en attente d\'une saisie clavier)\n\n[40637] Evolution appel régularisateur\n\n[D40637] CleanUp des scripts\n pour enlever les traces console inutiles\n\n[D40637] 3en1: gestion TO & RND dans pck_spoc21\n\n[D40637] DOC FreeMind du lanceurAPR.sh\n\n[D40637] declenchement 3en1\n\n[D40637] Corrections spoc 22 et decoupage calcul cotisations\n\n[D40637] DOC - DEX_TAIGA_Appels de Regularisation.doc\n\n[D40637] - Evolution des shells et packages sql\n\nConflicts:\n	1_titulaire/Cotisation/Appels_Octobre/oracle/schema/CMR_xxx/packages/pck_cqpapo01.sql\n	1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1328, 4, 'f99c51e3b58d2ff7a7d64464ba5bc07a370a4b97', 'G4674', 74, '2015-04-13 17:59:22', 'Isabelle Finette', '[D40576] rajout des .n_c et .sym\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1329, 4, '3cd92e1a9835ece93d123b973b14c4342a436fdb', 'G4674', 1, '2015-04-10 18:28:21', 'Louis BAYLE', 'IntegrationTools: make_env.pl\n\nremplace :\nmake_environnements.pl\nextraction_svn_src_tux.bat\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1330, 4, 'b6b7fc1fa862a34983aa4e8124998fa4dd23c960', 'G4674', 128, '2015-04-10 18:13:36', 'Julien FERRARO', 'Livraison V14.2.6_006\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1331, 4, 'f6588d3064e5b77d2e1e21a36fbe5b7072c4be0a', 'G4674', 128, '2015-04-08 16:59:50', 'Julien FERRARO', 'livraison V14.2.1_001\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1332, 4, '868b8f93efdb7a74a5c1cf0361ab361d6fb1e775', 'G4674', 128, '2015-05-15 16:15:11', 'Julien FERRARO', 'Livraison 14.2.4_003\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1333, 4, 'aeff6cdb19f8ca821ea0d58e775f7fa50a091976', 'G4674', 1, '2015-06-02 17:17:10', 'Louis BAYLE', 'IntegrationTools: FIX make_env.pl\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1334, 4, '8d5b6c7a62cdf19899d2963c6babb11ef0717e26', 'G4674', 199, '2015-12-18 16:48:35', 'Bertrand FONTANEL', '[D41541] Final Anticipée\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1335, 4, '5bab08b931752de02e3b325414d8f11411578396', 'G4674', 164, '2015-10-09 09:20:18', 'Lionel Giordanengo', 'Merge branch \'master\' (15.0.30) into 15.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1336, 4, 'ae81965f19a348e37cc2b15916b279ef12479775', 'G4674', 74, '2015-07-21 16:30:08', 'Isabelle Finette', '[D40209] Correction pour l\'integration des DSI (prise en compte de la case à cocher sur le régime 34 pour la télé déclaration)\n\nConflicts:\n	1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1337, 4, '8233cd8da2be3db1f78752b56921539bd9bcbfed', 'G4674', 74, '2015-04-13 17:54:13', 'Isabelle Finette', '[D40576] Rajout de l\'écran de saisie des revenus de l\'année 2014 (CFCIDR06) ainsi que de la librairie ncl associée pour permettre son affichage en consultation des revenus\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1338, 4, '865f38646d766ff806bbacdd6c94aa6d82e50764', 'G4674', 1, '2015-04-10 18:08:49', 'Louis BAYLE', 'IntegrationTools: putenv.sh\n\nTODO: mise a jour de la hashtable pour $TAIGA\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1339, 4, '96bfcb6156db4211586986871dbd779646c37eac', 'G4674', 128, '2015-04-10 16:46:09', 'Julien FERRARO', 'V14.2.6_006 docs et maj_base\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1340, 4, '39e848c6c7a226df07c6986325fa82c9e5eb3478', 'G4674', 128, '2015-04-08 16:51:49', 'Julien FERRARO', '[D40564][D40565]ajout MajBase\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1341, 4, '76801ad86563e337c61d3e3cf467320428b82f5e', 'G4674', 128, '2015-05-15 15:46:10', 'Julien FERRARO', '[D40772] TAIGA 14.2.4 : Livraison de régularisation du script dsi_fc15r_f.sh\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1342, 4, 'eee98826f8c4e71826a00d76b3d7fd982a5a9edf', 'G4674', 1, '2015-06-01 13:16:31', 'Louis BAYLE', 'DOC Slides_TAIGA (formation Sodifrance)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1343, 4, '9dbf975f4d337ae242b5c71c5fdbea258a35a83b', 'G4674', 164, '2015-12-18 15:42:25', 'Lionel Giordanengo', 'INTEGRATION 15.1.40 MAJ_BASE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1344, 4, '6ca8a050ee648092e3d7077123e9f91f155ce1a6', 'G4674', 164, '2015-09-25 13:27:26', 'Lionel Giordanengo', 'Livraison 15.1.0_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1345, 4, '50a2a4790e55fee576f6915990f5b2c752e5bf7c', 'G4674', 147, '2015-07-21 16:20:45', 'Michel Siacchitano', '[D39108] calcul cotis clp\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1346, 4, 'cf923564d7b8e833080baa2c12391307440cabf6', 'G4674', 1, '2015-04-02 13:38:07', 'Louis BAYLE', 'IMPORT Dimensions 14.2.0_PROD\n\nTAIGA_V14.2.0_PROD_C_LB_20150402120808.zip\n\nCosmetic: qq maj des CR/LF.\n\nIMPORTANT:\n[40417] (8787e477) le renomage de nomenclature  ifnnom94.dat (V14.2.0_038)\nn\'est pas présent dans l\'extract.\nLa livraison V14.2.0_038 a ete effectuer Yann PERRAIS (RSI)\na cause d\'un pb Dimensions. Pour cela il a déplacé le fichier vers 4_dqi.\n\n=> nous conservons la \"bonne\" version du fichier quite a avoir un diff\nentre le zip et git.\n\n---------------------\nPerrais Yann [Caisse Nationale] <Yann.Perrais@rsi.fr>\nven. 20/03/2015 08:51\nBonsoir\n\nLe chargement de la livraison 14.2.0_038  a été effectué moyennant 2 modifications :\n- Le fichier « note technique integration.txt » a été renommée « note technique integration_38.txt »\n- Le fichier ifnnom94.dat a été rangé et chargé dans l’arborescence du contributeur CQS  (4_dqi…) avec la même sous arborescence que 1_titulaire, raison pour laquelle on ne le verra pas apparaître dans le détail de chargement de la livraison 38 de 1_titulaire mais dans le chargement n°1 de 4_QUALIFICATION\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1347, 4, '8c9ddbdd31afa8d0b8bd76e82fdc0406ae9b276b', 'G4674', 114, '2015-04-10 16:27:10', 'Sabrina PERRET', '[40577] saisi revenus 2015 non 3en1\n\nGeneration de spoc 3en1\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1348, 4, '04a2e724ddc8fcae70caddfdeadded189fdd53c7', 'G4674', 73, '2015-04-08 14:42:56', 'Laure CAVALIER', '- ajout de commentaires\n', '', '', '', 'laure.cavalier@atos.net', '', '', 0),
(1349, 4, 'a0c4f62fde2c20d9e4e0a964325c40e474abe481', 'G4674', 134, '2015-05-15 13:59:48', 'Isabelle LAGIER', '[D40741] EMISSION DSI modification req assiette sociale\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1350, 4, '40ae6042a68c1d3fb5cc59b1f188d76251a02c52', 'G4674', 1, '2015-05-29 16:24:05', 'Louis BAYLE', 'IntegrationTools: exemple de .gitconfig\n\nemplacement: ~/.gitconfig\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1351, 4, '21e51ec6a5659712944f76ef7930f9c572877479', 'G4674', 199, '2015-12-18 15:26:10', 'Bertrand FONTANEL', '[D41541] ajout message erreur\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1352, 4, '115bee8d365216ed36ba380ce6da539f7a284925', 'G4674', 164, '2015-09-25 11:21:26', 'Lionel Giordanengo', '[D41426] TAIGA - V15.1.0 composant maj_base_cmr_V15.1.0_01.sql erreur de nommage\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1353, 4, 'fefb73bafa5df8635e7972570c6e3dc7f6903869', 'G4674', 1, '2015-04-02 12:04:10', 'Louis BAYLE', 'Merge branch \'14.2\'\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1354, 4, 'd6423b2b83aada09d4249aba7d0b012036647027', 'G4674', 128, '2015-04-10 11:39:23', 'Julien FERRARO', '[D40562] _jnnom06.sh\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1355, 4, 'c3f712e9ff754e577b5ca4371eae29b9dc0448e6', 'G4674', 73, '2015-04-08 10:52:21', 'Laure CAVALIER', '[D40564-D40565] commit de pck_ctr_rg.sql\n', '', '', '', 'laure.cavalier@atos.net', '', '', 0),
(1356, 4, '2a6b8a26e84ac8eb4e34668f90d80dd7d5a2e9a8', 'G4674', 109, '2015-05-29 14:30:50', 'Mathieu GONON', 'IntegrationTools: checksum -> Note tech integration.doc\n\nAdd perl script + new Macro\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1357, 4, '2cf6afe72969aa0f8bd64403ed15d6b705999f4d', 'G4674', 199, '2015-12-18 15:25:50', 'Bertrand FONTANEL', '[41541] ajout commit\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1358, 4, '018b7f3f566fdfdaa0ac66f6a8b70033092bf693', 'G4674', 164, '2015-09-25 11:11:02', 'Lionel Giordanengo', 'InternalTools : creation script integ.sh et reorganisation des scripts pour integration\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1359, 4, '654679ff1faa916c6f72cd5a6d09fb2f4f6bcabf', 'G4674', 1, '2015-04-01 11:36:56', 'Louis BAYLE', 'Revert \"Livraison TAIGA_PALL 1.5.10_003\"\n\nThis reverts commit c6753dad649c0d321d1757434b1493512d3cea77.\n\nLoB: on ne veut pas garder les celtic, elles n\'ont pas\nd\'interet pour nous puisqu\'elles ne sont pas dans notre\nperimettre (on ne fait que les livrer dans dimensions).\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1360, 4, '8a530009abb1cad2e28645214cba012820dac5ad', 'G4674', 128, '2015-03-27 09:51:09', 'Julien FERRARO', 'Livraison V14.2.0_039 [D40501] relivraison pal_qc_38915.sql\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1361, 4, '7c9f11caef4ef70056616422299adc9567dba9f7', 'G4674', 1, '2015-04-08 15:04:30', 'Louis BAYLE', 'Livraison V14.2.6_005\n\n\nLa livraison de TAIGA V14.2.6_005 (et _004) a été effectuée le 08.04.2015.\n\ndefect 40537 -> Report de fusion V14.2.0\n\nIMPORTANT:\nDe récents problèmes de chargements du composant ifnnom94.dat ont engendré de multiples discussions et décisions contradictoires. Au final (après analyse avec Lydie BRICKA):\n- ifnnom94.dat DOIT RESTER à son emplacement d\'origine, le déplacement dans le répertoire \'version\' est annulé (defect 40537).\n- la modification du script _jnnom06.sh EST ANNULE (Defect 40562) puisqu\'il est relatif au déplacement du fichier ifnnom94.dat\n- la branche 14.2.10 doit être mise à jour pour supprimer le dossier \'version\' et son fichier ifnnom94.dat.\n- les autres branches doivent subir un report version production V14.2.0 SANS déplacement du fichier ifnnom94.dat (defect 40537)\n\n\nDETAILS TECHNIQUES:\npour régulariser la situation du fichier ifnnom94.dat qui a subi qq erreurs de livraisons entre le 10/11/2014 et le 9/12/2014, lors des reports de fusion, il faudra spécifier la baseline suivante: RR - TAIGA_V14.2.6_TIT_CHARGT_004\n\n Cordialement\nLouis BAYLE\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1362, 4, '814a311ea151caae5feaf8b8323641fb1a963d5c', 'G4674', 199, '2015-12-18 14:44:47', 'Bertrand FONTANEL', '[41719] Nomenclature 2015\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1363, 4, 'cd2125801d6153457c0f5cc2ef4912bdf523cdfe', 'G4674', 116, '2015-09-22 14:52:04', 'Arnaud Trousselard', '[D39022] Mise à jour DEX\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1364, 4, 'c6753dad649c0d321d1757434b1493512d3cea77', 'G4674', 1, '2015-03-27 18:13:40', 'Louis BAYLE', 'Livraison TAIGA_PALL 1.5.10_003\n\nCommit de JFO repris par LoB:\nles paliatifs existants dans le répertoire ne doivent pas être supprimés !\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1365, 4, '3f03b428afdc54b427cfc8e1ebad7c5133ff2daf', 'G4674', 1, '2015-03-18 10:49:15', 'Louis BAYLE', 'Merge branch \'master\' into 14.2 (IntegrationTools)\n\n-> recup des scripts d\'intégration.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1366, 4, '9ace40907107b416c8563ce4521f87a8d866114d', 'G4674', 1, '2015-04-08 13:59:49', 'Louis BAYLE', 'Livraison TAIGA V14.2.6_004\n\non a simplement livré la maj du fichier ifnnom94.dat\navec le renommage voir [D40417] 8787e4776dcd\n\nce fichier devait initialement etre livré à un nouvel emplacement\nmais cette décision a été annulée par Lydie BRICKA le 8/4/2015\naprès avoir investigué sur les problèmes de livraisons de ce fichier.\n\nLe chargement 004 ne comporte pas de NoteTech.doc  parceque c\'etait\nun test, la note suit dans la 005.\n\n    --------------------------------\n        RE: [TAIGA]  Nomenclatures de la branche de prod (14.2.0)\n        Perrais Yann [Caisse Nationale] <Yann.Perrais@rsi.fr>\n        jeudi 2 avril 2015 15:37\n\n        >Je prends bien note que le fichier doit être livré dans le répertoire suivant (sans substitution de num de version) :\n        >1_titulaire/Nomenclatures/Nomenclatures/oracle/nomenclatures/version/ifnnom94.dat\n        => OK\n\n        >Pour éviter des confusions, il serait peut-être nécessaire de supprimer ifnnom94.dat de son emplacement originel ?\n        => NON\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1367, 4, '12310d234e4288fe2162637a66b11b0ed45317d9', 'G4674', 199, '2015-12-18 13:22:31', 'Bertrand FONTANEL', '[D41541] correction commentaire maj_base\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1368, 4, '87ab458ee1eb9b116b6f8d851410ecb0fa11214d', 'G4674', 164, '2015-09-18 15:42:48', 'Lionel Giordanengo', 'Livraison 15.1.0_001\n\nLivraison 15.1.0_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1369, 4, '68137eccdef03fd09be106a0d2edb8b9ed1b560d', 'G4674', 1, '2015-03-25 10:48:59', 'Louis BAYLE', '[D37354] import pal_qc_37354.sql from dimensions\n\n(see D40403)\n\nTAIGA_PALL_V1.3.23_QUA_C_LB_20150325100739.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1370, 4, 'c795ec70907c11eef3bc33d6e8267b1dd0033597', 'G4674', 1, '2015-03-16 15:09:58', 'Louis BAYLE', 'cosmetic: update from Dimensions 14.2.0_037\n\n=> qq changements de CR/LF.\n\nTAIGA_V14.2.0_DEV_C_LB_20150316095745.zip\n\nà l\'exception des modif relatives a la 038 (non encore chargée\ndans Dimensions), la branche Git est à jour.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1371, 4, '5adf89a0ef8140e562e2298494a7de3865818dc0', 'G4674', 1, '2015-03-17 11:58:14', 'Louis BAYLE', 'IntegrationTools: cir in make_majbase.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1372, 4, '79a28a2548bce2681d1af45e6b7d23545d22702f', 'G4674', 128, '2015-04-02 17:38:51', 'Julien FERRARO', 'Livraison TAIGA V14.2.6_003\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1373, 4, '91a7c787e338f0ca671c1cff8d076c765cea5f63', 'G4674', 199, '2015-12-18 13:22:20', 'Bertrand FONTANEL', '[D41541] Suppression commentaire script sql\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1374, 4, 'ab495fe68bb294098b29e15c22eb5ee6f5052ac4', 'G4674', 117, '2015-09-17 16:27:10', 'Jean-Michel PERQUE', '[D41125] RDD- Evolution date de revision polyactivite-partie rattrapage\n\n[D41125] Renommage des noms des scripts (ne respecter pas la norme)\n\n[D41125] correction - pb doublons\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(1375, 4, '473eaa5b71323ba91b0b0d32f450e7f0584a58ab', 'G4674', 73, '2015-03-18 11:46:48', 'Laure CAVALIER', '[init] - depot des composants\n', '', '', '', 'laure.cavalier@atos.net', '', '', 0),
(1376, 4, 'faa7d1959f822628d05523ebaa5a8f6b9b3704db', 'G4674', 128, '2015-03-13 12:41:50', 'Julien FERRARO', 'livraison 14.2.0_038 bis\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1377, 4, '9198389965a051d34fbb73f790da03bb784d7cee', 'G4674', 1, '2015-03-16 16:02:43', 'Louis BAYLE', 'cosmetic: update from Dimensions 14.1.65\n\n    => qq changements de CR/LF.\n\nTAIGA_V14.1.65_PROD_C_LB_20150312095603.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1378, 4, 'bd9c99654345cf83474b27d5d3b4c76df30f008a', 'G4674', 114, '2015-04-02 16:50:03', 'Sabrina PERRET', '[D40490][D40432] Maj base\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1379, 4, '74e90e3c6aca10100a339cf8eba70dee750cb5db', 'G4674', 199, '2015-12-18 13:22:07', 'Bertrand FONTANEL', '[D41541] correction historisation\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1380, 4, '1a7453fbf6ddf5818130c3beda511fc6080feaa6', 'G4674', 116, '2015-09-17 16:27:05', 'Arnaud Trousselard', '[D39022] Intégration directe du FC30A dans TAIGA\n\n[D39022] Integration du FC30A dans TAIGA\n\n[D39022] Integration FC30A dans TAIGA\n\n[D39022] - Correction package pck_fc30s\n\n[D39022] Fin dev integration FC30A dans TAIGA\n\n[D39022] Modif cjgass00.sh + ajout docs maj\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1381, 4, 'b7842f0ce326038a529b11800ced50d8345c0ee0', 'G4674', 114, '2015-03-13 11:31:16', 'Sabrina PERRET', '[D40305-retour] retour arriere suite a regression\n\nLa modification du curseur pour le code D710\ndans le cadre de la 40305 a provoqué une regression\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1382, 4, '29da7dc7e707c72b2bd5972b6da125d6ed57ad47', 'G4674', 1, '2015-03-15 17:53:09', 'Louis BAYLE', 'IntegrationTools: generate apply_all_cmr.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1383, 4, '43d0b1dc9d1e64d5f35a9eb8c69336877ac19570', 'G4674', 114, '2015-04-02 16:49:53', 'Sabrina PERRET', '[40432] reprise du defect, trunc au lieu d\'un arrondi\n\ndans le montant TNS du spoc31 et quelques cas de la base du spoc 22\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1384, 4, 'a5371c00240014e3f826715b0399c9081e74453f', 'G4674', 199, '2015-12-18 13:21:50', 'Bertrand FONTANEL', '[41541] DSI Anticipée\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1385, 4, '54b4d664478bf0bc0b43bb422d6a81c58acad223', 'G4674', 72, '2015-09-17 16:26:51', 'Alain Tassotti', '[D41014] - Mise à jour Doc de reference\n\n[D41014] Developpement\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1386, 4, 'bb133423b5763db378276259b633d76b3e68582b', 'G4674', 128, '2015-03-12 19:31:37', 'Julien FERRARO', 'TAIGA Livraison V14.2.0_038\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1387, 4, '673a6c8a2a50d15d7ce8e1603f79f3ec774321d5', 'G4674', 1, '2015-03-15 17:18:17', 'Louis BAYLE', 'IntegrationTools: version.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(1388, 4, '98d59039348cd6df3efdc847b5b19f06f9b8442c', 'G4674', 114, '2015-04-02 16:49:40', 'Sabrina PERRET', '[D40490] Nir exclu a cause de la clé sur un seul caractére\n\nTraitement de texte pour ajout du 0 à gauche\nde la clé dans le cas ou c\'est un (sur 2caractéres)\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1389, 4, '733b8f21c357370a5637ea103bc4bbe2c0f2b75f', 'G4674', 134, '2015-12-18 13:21:32', 'Isabelle LAGIER', '[D41541] Correction ano sur categorie assiette\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1390, 4, '0c79f2edafeba029209863581745ab8da213c023', 'G4674', 128, '2015-03-12 18:39:46', 'Julien FERRARO', '[D40416] suppression du maj_base maj_base_cmr_V14_2_0_29.sql\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1391, 4, '785dcd9ae46d6067cf930df46f151a07433e4b1f', 'G4674', 1, '2015-03-15 16:50:13', 'Louis BAYLE', 'IntegrationTools: nomenclatures spécifiques\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1392, 4, '1f5d0e914bf3a67b9de1254ae661fc554e327b79', 'G4674', 1, '2015-04-02 14:50:13', 'Louis BAYLE', 'Merge branch \'master\' (14.2.0) into 14.2.6\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1393, 4, '7f1dd03066dafac162f56f1fc86e6ede61536c1b', 'G4674', 169, '2015-12-17 17:57:12', 'Fabien TROPIS', '[D41777] Base calcul KO\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1394, 4, '818189cd81fcf7b0ad6b1369aae57d84a6959ce0', 'G4674', 114, '2015-03-12 18:25:40', 'Sabrina PERRET', '[D40412] sca spoc 34 année N\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1395, 4, '8564fde72271a4f9e3b0abaa38599a4aa70fe3a0', 'G4674', 1, '2015-03-14 19:11:35', 'Louis BAYLE', 'IntegrationTools: vmdelta_full_process.bat\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1396, 4, '4861ae22b0d9922f57344df121ee6f45712e2a50', 'G4674', 128, '2015-03-23 13:31:12', 'Julien FERRARO', 'Livraison V14.2.6_002\n\nmaj_base, doc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1397, 4, '5871ce4e85b732c962b8c3fbb9cda2c8e8f81cc9', 'G4674', 169, '2015-12-17 17:57:10', 'Fabien TROPIS', '[D41547] Dossiers rejettes a tort\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1398, 4, '8787e4776dcd92d25711d789e310ebe0f5adebf9', 'G4674', 128, '2015-03-12 17:21:45', 'Julien FERRARO', '[D40417] renumérotation de nomenclatures spécifiques\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1399, 4, '4979571a82f6572c1f8f604ff34375465937d999', 'G4674', 1, '2015-03-14 17:47:57', 'Louis BAYLE', 'IntegrationTools: git_extract_taiga.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1400, 4, 'b8a072610a0dce79a70aadada1212c745c21df61', 'G4674', 114, '2015-03-23 12:18:23', 'Sabrina PERRET', '[D39924] evenement code régime dans spoc22\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1401, 4, '3271995c9ff71fcb38f6f1c7c12d1933f135de39', 'G4674', 0, '2015-12-17 17:56:50', 'unknown', '[D41462] Flux FC10R-TS ajout rubrique XR\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1402, 4, 'edda9a5472e0b624ba88fd14c4e7138ed321595e', 'G4674', 128, '2015-03-12 10:42:51', 'Julien FERRARO', '[40416] ajout et suppressions de maj_base\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1403, 4, '17cf0db2d3a111b4d85c107b737d5dc2bed66a88', 'G4674', 1, '2015-03-14 17:47:47', 'Louis BAYLE', 'IntegrationTools: make_majbase.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1404, 4, '58b4c66972f95ad6ad9bd386a445b31fba045328', 'G4674', 114, '2015-03-23 12:08:21', 'Sabrina PERRET', '[D40432] Round au lieu de trunc\n\nConflicts:\n	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_calcul_echeancier.sql\n	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf01.sql\n	1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1405, 4, 'f50debb323a3f4079274e3e65535b2505a1e4485', 'G4674', 1, '2015-12-17 16:28:13', 'Louis BAYLE', '[D41541] Rebase: DOC update des champs\n\nLa branche D41541 etait initialement créée à partir du commit dcc692af997c\n\nListe des fichiers en conflit lors du rebasede la D41541\nCONFLICT (content): Merge conflict in 1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\nCONFLICT (content): Merge conflict in Docs/Reference/3B11 - Doc fonctionnelles/3B111 - DCR Cotisation Echeancier/3B1111 - Declaration/SFD_DSI_Integration_DR_-_Integration_des_revenus.doc\nCONFLICT (content): Merge conflict in Docs/Reference/3B11 - Doc fonctionnelles/3B114 - Specifications TP/SFD - Integration DR - Integration des revenus TP.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1406, 4, 'ca4f0cf82cfaa2830d71c776c63cc7d313b59d84', 'G4674', 128, '2015-03-11 17:15:29', 'Julien FERRARO', 'TAIGA livraison V14.2.0_037\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1407, 4, 'bd960d93f1bf72b84e79e7fbd989ac3f02e52601', 'G4674', 128, '2015-03-07 11:26:07', 'Julien FERRARO', 'Merge branch \'14.1.65\'\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1408, 4, 'e92def04888099af252049bb06672ea20cb559e7', 'G4674', 1, '2015-03-23 10:11:22', 'Louis BAYLE', 'maj_base_cmr_V14_2_6_01.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1409, 4, 'e9de7b6ba0b310c50d3f6a0cc989dc0f31d4ab22', 'G4674', 199, '2015-12-17 16:28:13', 'Bertrand FONTANEL', '[D41541] Bilan Liste revenus et cotisations\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1410, 4, '88cc604ed94a15324f3dc1bbdd57714f9b12529e', 'G4674', 134, '2015-03-11 15:46:17', 'Isabelle LAGIER', '[D40408] FC15R-AR 3 codes erreurs sur 6 caractères\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1411, 4, 'd3e3415d45417ffebefbb807992ba58b9402907a', 'G4674', 1, '2015-02-27 09:48:42', 'Louis BAYLE', 'IntegrationTools: git_extract_taiga_win.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1412, 4, 'bc46560c57d8dc9c11c00d919468228a3f8b4839', 'G4674', 1, '2015-01-16 15:55:10', 'Louis BAYLE', '[QC39725] TAIGA_V14.1.65_002 (Atos)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1413, 4, 'f8c605d2f7d6f009400f46bba6cc3a31f00fea06', 'G4674', 114, '2015-03-23 10:11:11', 'Sabrina PERRET', '[D40447-40446-40305-40454-40303] revenus estimés et definitifs\nMaj base uniquement pour les packages et non pour les :\ncqontf21.sql\ncqontf22.sql\n\n-Probléme de double evenements (cqpdsi00)\n-Abscence de spoc 22 (probléme date de traitement null)\n-Message D82X non présent lors de la modification ...\nde 2014 impactant 2015 (pck_spoc22)\n-Mauvais flag pour modalités de paiement ou...\n code régime (E au lieu de P)\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1414, 4, '9f371028a041e5efda993b6e839a20f2595bb3c8', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] DEV REG_DSI_298\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1415, 4, 'fbec6a6c452e953d6887fb73731ab4610b936086', 'G4674', 134, '2015-03-11 15:45:56', 'Isabelle LAGIER', '[D40413][D40407] Erreur Code CMR\n\nConflicts:\n	1_titulaire/Declaration_Revenus/Campagne_DCR/aix/sh/dsi_fc15r_ar_e.sh\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1416, 4, '3263946759beb2388ebd59013d294bcf2dd4022a', 'G4674', 1, '2015-02-25 18:23:12', 'Louis BAYLE', 'IntegrationTools: git_extract_taiga.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1417, 4, '28dbe2fcaf246035f22d2e440c486fdf7293a83a', 'G4674', 1, '2015-01-16 14:25:12', 'Louis BAYLE', '[QC39725] TAIGA_V14.1.65_001 (Atos)\n\nLa livraison a fouree parcequ\'il ne fallait pas livrer les .prj et .N_C :\nn\'ayant pas changé Dimensions a stoppe le chargement et la note technique\nd\'integration n\'a pas ete integree. il faut refaire ine 002...\n\n--- message de dimensions\nLe chargement 001 de la version V14.1.65 du product TAIGA pour le contributeur 1_titulaire s\'est déroulé correctement le 16.01.2015 a 11:46.\nLes fichiers suivants n\'ont pas été chargés dans Dimensions car leur contenu est identique au fichier contenu dans la version :\n- TAIGA/1_titulaire/Utilitaires/Outils/nsdk/sources/_uls_drt/_dadrt01.prj\n- TAIGA/1_titulaire/Utilitaires/Outils/nsdk/sources/_uls_drt/_DADRT01.N_C\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1418, 4, 'cc13271bc8da6143abc157fa180f1cc4cfd93d21', 'G4674', 128, '2015-03-20 17:30:45', 'Julien FERRARO', 'Livraison 14.2.6_001\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1419, 4, '15d17364f44ca7e3d420c7fa01e6040d2edcf4fe', 'G4674', 199, '2015-12-17 16:28:13', 'Bertrand FONTANEL', '[D41541] Gestion FC10R\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1420, 4, '15bac4e5809b57f8cd54d5714fa107e6ccaa5289', 'G4674', 128, '2015-03-10 19:51:55', 'Julien FERRARO', 'Livraison 14.2.0_036\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1421, 4, '9ca30de801c96a95487f45f48a9055a5f0fc0c6c', 'G4674', 1, '2015-02-22 16:21:23', 'Louis BAYLE', 'IntegrationTools: unix2dos Delta before servers\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1422, 4, 'e6283944ed33d4af9458b6a52b0c59810f9eae80', 'G4674', 74, '2015-01-16 09:12:45', 'Isabelle Finette', '[QC39725] : CALI\nFichiers à livrer :\n1_titulaire\\Utilitaires\\Outils\\nsdk\\sources\\_uls_drt\\_DADRT01.N_C\n1_titulaire\\Utilitaires\\Outils\\nsdk\\sources\\_uls_drt\\_dadrt01.prj\n1_titulaire\\Utilitaires\\Outils\\nsdk\\sources\\_uls_drt\\_drtncl1.ncl\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1423, 4, '90f46e1bf1ef59d74f6164b2bca061b7b445ac35', 'G4674', 134, '2015-03-20 15:23:48', 'Isabelle LAGIER', '[D40463] Mise à jour documentation\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1424, 4, '1c0f62aab6d8e187542391846b8ad3b73bc74258', 'G4674', 199, '2015-12-17 16:28:13', 'Bertrand FONTANEL', '[D41541] Gestion FC15R\n', '', '', '', 'a619343@FR-54VCY52.ww930.my-it-solutions.net', '', '', 0),
(1425, 4, 'af959f9e663a3ca75b89f6dcee713d16ff1562f2', 'G4674', 114, '2015-03-10 18:15:57', 'Sabrina PERRET', '[D40305-40031] revenus estimés\n\nPavé 2015 et type de regul ou d\'ajustement + année de revenus dans D713\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1426, 4, '35c1a7f405f0901534d2c5b7f0370314804132ec', 'G4674', 1, '2015-02-22 01:26:55', 'Louis BAYLE', 'IntegrationTools: git_extract_taiga.sh (handle deleted files)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1427, 4, 'fe6265b6bd3bcc5d001253df44d5bbaeb983820e', 'G4674', 0, '2015-01-15 14:35:57', 'taiga SAMBA', 'IntegrationTools: update map & scripts\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1428, 4, '76d37075b73f37f3e10ab393044f1a5a62a0009c', 'G4674', 134, '2015-03-20 15:18:10', 'Isabelle LAGIER', '[D40463] Modification repertoire du fichier traité\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1429, 4, 'ab00151c0f1f9e2cbcbdc8047c34c784ab03d7b3', 'G4674', 74, '2015-12-17 16:28:13', 'Isabelle Finette', '[D41541] Partie TP : rajout du fichier pour complément sur les messages\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1430, 4, 'b7506a0355d437c49bca0bd8879cf556c841e331', 'G4674', 1, '2015-03-09 18:20:22', 'Louis BAYLE', 'livraison TAIGA V14.2.0_035\n\nD40402\nD40405\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1431, 4, '4f6866a13ee76b335034bc87692ea1dd672a4fb9', 'G4674', 1, '2015-02-22 00:46:05', 'Louis BAYLE', 'IntegrationTools: post_vm_delta.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1432, 4, '79ed1e27856d9db27d96ff878b7107a790c39663', 'G4674', 1, '2015-01-14 14:04:10', 'Louis BAYLE', 'IntegrationTools: Scripts Sodifrance\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1433, 4, '952289c5d95a99154904d403b7bf8621dff5c756', 'G4674', 134, '2015-03-19 20:00:38', 'Isabelle LAGIER', '[D40465] modif format heure\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1434, 4, '70a1538e2e4929c2216654b5fb68e4101313ea6d', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] ajout reg 15 dans intégration DSI\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1435, 4, '62a3b3225e457fdbcab181c3e4160c0ce9fadd32', 'G4674', 1, '2015-03-09 17:41:20', 'Louis BAYLE', '[D40402] revert sur D36601\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1436, 4, '07b44def0c016636bf6ae9f8181bc0fefa8b8909', 'G4674', 1, '2015-02-20 11:52:27', 'Louis BAYLE', 'IntegrationTools: git_extract_taiga.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1437, 4, '965305d6c7aabb59378a1ef6e6a9c48964922e58', 'G4674', 0, '2015-01-12 18:45:45', 'taiga SAMBA', 'InternalTools: exclude some compile scripts\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1438, 4, '78b7292713327020996cfebfae7e6b5c8ce08695', 'G4674', 134, '2015-03-19 19:28:13', 'Isabelle LAGIER', '[D40465] Code evenement ISU erroné\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1439, 4, '1b507e112deea2e3f9bbe648621ef8a067fd3bcb', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] dev RG_DSI_107 et RG_DSI_029\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1440, 4, '4eff9ca021d818c67adaced625f88088f10730fd', 'G4674', 1, '2015-03-09 17:12:19', 'Louis BAYLE', '[D40405] revert du D35661\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1441, 4, '4774424cbf69be62ecfb918d2d01136ec0554874', 'G4674', 1, '2015-02-20 11:39:01', 'Louis BAYLE', 'InternalTools: git post-merge hook\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1442, 4, '7d40352aba9a1f4b09155d5c1e8f331aa2797782', 'G4674', 0, '2015-01-12 18:04:50', 'taiga SAMBA', 'IntegrationTools: dos2unix/unix2dos for client32\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1443, 4, '0ebf7d4136f1630de2db0313362764f066a6926f', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] Dev RG_DSI_029\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1444, 4, '0e578918cbe12c2c19d77584f26453a99ffb721f', 'G4674', 1, '2015-03-09 16:42:07', 'Louis BAYLE', 'Merge branch \'master\' (14.1.65) into 14.2\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1445, 4, '4d13c6ed607df57bb88de9066b3bfdac1dc852e5', 'G4674', 1, '2015-02-17 13:28:37', 'Louis BAYLE', 'IntegrationTools: copy_to_app32.bat\n\ncoie les DLL et .V de TaigaDevClient32 -> App32\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1446, 4, 'bb4a17805493d7b9941c74f4659cead01c771d7d', 'G4674', 74, '2015-01-12 10:33:45', 'Isabelle Finette', 'IntegrationTools: remove .D files from client32 map\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1447, 4, 'effee482c608202f99c1042fb2f8ad3489bc33b9', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] - ajout dev sur RG_DSI_301\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1448, 4, '5d4cd0df9f51ad20e84f34d82469487d9306e751', 'G4674', 114, '2015-03-06 17:42:56', 'Sabrina PERRET', '[D40305_D40031]revenus definitifs et estimés\n\ncorrection message spoc22\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1449, 4, 'aa48dddc810f0d6b1366305ba64c9759a59557a6', 'G4674', 1, '2015-02-11 16:26:35', 'Louis BAYLE', 'IntegrationTools: update git_extract_taiga.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1450, 4, 'b9799e11202481e6fb5946ddd5c066a1860fe3d4', 'G4674', 1, '2015-01-11 21:44:21', 'Louis BAYLE', 'IntegrationTools: update map (delta)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1451, 4, '7b7bc0c6fb307d1598f5fa79aa7238972cbeb0ea', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] traitement intégration dev en cours\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1452, 4, '470685ce8210291fe29209855e7b3286fdf6ba20', 'G4674', 128, '2015-03-05 18:19:23', 'Julien FERRARO', 'livraison TAIGA V14.2.0_034\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1453, 4, '90fb66164de57dd28be6ca9d73174f4147d06efe', 'G4674', 1, '2015-02-11 13:50:27', 'Louis BAYLE', 'IntegrationTools: cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1454, 4, '3d3c3d00a5949b1a1d0f6c6d3a3d0d9f147f863d', 'G4674', 1, '2015-01-10 23:19:49', 'Louis BAYLE', 'rm .gitattributes\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1455, 4, 'dbc7208f7a7bb85c586987118db1b21af3db4c5a', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] dev intégration DSI en cours\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1456, 4, '421269107121c08cc68a85611ec2a780a3d70e6e', 'G4674', 134, '2015-03-05 17:55:07', 'Isabelle LAGIER', '[D40394]Revenus de remplacement manquant\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1457, 4, '1ed98a47c932f84db3d6fabe075594b5e49bab91', 'G4674', 1, '2015-02-11 12:35:36', 'Louis BAYLE', 'IntegrationTools: update git_extract_taiga.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1458, 4, '2f64948fdef8eea2bc65e210caaa2829783de048', 'G4674', 0, '2015-01-09 16:48:32', 'taiga SAMBA', 'IntegrationTools: update map generation scripts (not tested)\n\nremove Makefile & bad tuxedo .sh files\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1459, 4, 'c4620c7bc82234e72982f1fdce7d48b264b0ce17', 'G4674', 134, '2015-12-17 16:28:13', 'Isabelle LAGIER', '[D41541] - maj specification de référence batch\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1460, 4, 'f21c4c2c316d53900eca0c117c98af77aa33dd6c', 'G4674', 134, '2015-03-05 17:54:39', 'Isabelle LAGIER', '[40362]Groupe professionnel erroné\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1461, 4, '02dcbc3a50820dd91227db2d278ad533bf7b72bc', 'G4674', 1, '2015-02-06 12:11:48', 'Louis BAYLE', 'Merge branch \'14.1.40\'\n\nConflicts:\n	1_titulaire/consignes/Note technique integration.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1462, 4, 'c76aba588fc3a7b06ea792f67a3096a05034fac6', 'G4674', 0, '2015-01-09 16:47:14', 'taiga SAMBA', 'Update tuxedo map: remove Makefile & .sh\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1463, 4, '9a24629f03489f0f7968186bb985ada70fb94a0c', 'G4674', 157, '2015-12-17 16:28:13', 'Vincent GENTIL', '[D41541] - Mise a jour du calcul de assiette evolution des regles RG_DSI_281 et RG_DSI_282\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1464, 4, 'd6fbd9cb5857cfd2844b3fca971e8fb29ac652c8', 'G4674', 128, '2015-03-05 15:01:49', 'Julien FERRARO', 'livraison 14.2.0_033\n\npck_calcul_echeancier.sql\nmaj_base, doc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1465, 4, '6b33781dee56364ec0f6fdf533227ac9c7232d37', 'G4674', 1, '2015-02-06 12:04:47', 'Louis BAYLE', '[QC40119] Livraison_14.1.37 retour arriere sur V13.2.25\n\nles fichiers sont issues de la V13.2.12 (baseline de la V13.2.25)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1466, 4, '6a5b9d58bedba3df2762414955ccc6a518ab4d61', 'G4674', 1, '2015-01-20 11:01:20', 'Louis BAYLE', '[QC40013] Livraison 14.1.40_008 (oubli maj_base)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1467, 4, '35f0e85eb46d8c853b1b0f2b6112d9bc20f7e890', 'G4674', 0, '2015-01-08 17:49:35', 'taiga SAMBA', 'IntegrationTools: upfate git_extract\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1468, 4, 'f37493f486f0089ebc256889e545a56251b2e266', 'G4674', 157, '2015-12-17 16:28:13', 'Vincent GENTIL', '[D41541] - Mise a jour du calcul de assiette evolution des regles RG_DSI_281 et RG_DSI_282\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1469, 4, '5416447b6ad9b129612d7799750fbeddeacf947c', 'G4674', 114, '2015-03-05 12:06:27', 'Sabrina PERRET', '[D40381-40199] modification du curseur dans prc_insert_caeh\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1470, 4, '196965abd8a7fa0335abe9f0b91765d6c58fd302', 'G4674', 1, '2015-02-04 19:17:46', 'Louis BAYLE', 'InternalTools: dos2unix\n\ncelui de git est foireux\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1471, 4, '986b91de4c33b41082f556b7871c7bd3aad78dfd', 'G4674', 1, '2015-01-19 17:25:31', 'Louis BAYLE', '[QC40013] Livraison 14.1.40_007\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1472, 4, '8a3b706c58d9ea7e2e87be2aa6942b036ac66af8', 'G4674', 0, '2015-01-08 16:48:03', 'taiga SAMBA', 'IntegrationTools: generate_delivery_tree.sh (exec rights for sh)\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1473, 4, 'd5b9b2e0a11fa26871770f013c2a6b44450c1ceb', 'G4674', 74, '2015-12-17 16:28:13', 'Isabelle Finette', '[D41541] écrans DSI2016\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1474, 4, '72214cb7c57dbc60474f8802d2449efab8cdb28b', 'G4674', 128, '2015-03-04 19:33:18', 'Julien FERRARO', 'livraison TAIGA V14.2.0_032\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1475, 4, 'ceec32ceab3530797e8bac2e2df85e5eef036dff', 'G4674', 139, '2015-01-28 11:39:35', 'Vincent Morello', 'suppression du repertoire MAJ_ENV avant modifications\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1476, 4, 'f3714ca142aa40c337c1842445b28f17e3b9b246', 'G4674', 0, '2015-01-19 16:47:39', '=', '[QC40013]choix papier\n', '', '', '', '=', '', '', 0),
(1477, 4, 'd53f3f96e279df34e4936a496d5394179a94936d', 'G4674', 0, '2015-01-08 12:50:24', 'taiga SAMBA', 'IntegrationTools: remove compilgnt.sh & compil_masse.sh from map\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1478, 4, '875b5c3a573efca557f19b94919d1579c1769e84', 'G4674', 74, '2015-12-17 16:28:13', 'Isabelle Finette', '[D41541] dev en cours écran DSI2016\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1479, 4, '65e11c9db894f971cd275accccdac5e06cf496ce', 'G4674', 128, '2015-03-04 18:54:18', 'Julien FERRARO', '[D39871] livraison du maj_base avec pck_cqpntf50\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1480, 4, '604152c47064d86c73f9ed0591e11d6cfd9767be', 'G4674', 1, '2015-01-26 18:07:32', 'Louis BAYLE', 'TAIGA_V14.1.36_PROD\n\nTAIGA_V14.1.36_PROD_C_LB_20150126153002.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1481, 4, '711bae28da35e22f08d59ff2aa45bf3d2dfcb915', 'G4674', 128, '2015-01-19 16:47:38', 'Julien FERRARO', 'TAIGA_V14.1.40_006 (sodifrance)\n\nTAIGA_V14.1.40_QUA_C_LB_20150115093916.zip\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1482, 4, '2c0550b59953911b2abcd3adb5f7543b38372383', 'G4674', 0, '2015-01-08 12:49:32', 'taiga SAMBA', 'IntegrationTools: update file_map\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1483, 4, '32c9ba09e69070af7dc61ace5e60cc499ac83c92', 'G4674', 74, '2015-12-17 16:28:13', 'Isabelle Finette', '[D41541] Début du dev des écrans de la DSI\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1484, 4, '1ef7366f8bb3f71b568478d32e92ecdaaf222f5f', 'G4674', 128, '2015-03-04 18:44:16', 'Julien FERRARO', '[D39871] relivraison de pck_cqpntf50 pour fusion\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1485, 4, '53dc74e2acec9f12221d30c8d9f59e66148807e4', 'G4674', 139, '2015-01-21 14:33:59', 'Vincent Morello', 'copie des vues et deplacement du repertoire bin\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1486, 4, '5c6ffd2cefe2ab71846f5159601ba2dcfcdc38bc', 'G4674', 1, '2015-01-19 16:47:37', 'Louis BAYLE', 'TAIGA_V14.1.40_004 (sodifrance)\n\nTAIGA_V14.1.40_QUA_C_LB_20150114123756.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1487, 4, '52296fb0033a4f68667c05c922b5b6629fa5c6f9', 'G4674', 0, '2015-01-08 12:25:36', 'taiga SAMBA', 'IntegrationTools: update create_file_map.sh (now ready)\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1488, 4, 'e3593594af7ea5476bf8a134d7c822ebd73fbe72', 'G4674', 72, '2015-12-17 16:28:13', 'Alain Tassotti', 'Mise à niveau SFD  avant  ajout des modifications pour la DSI 2016\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1489, 4, 'ecc25731a542fb89a2fc7e061303b5bfa566e123', 'G4674', 74, '2015-03-04 18:25:20', 'Isabelle Finette', '[D40209] cqdpsi01.sql : correction\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1490, 4, '05e158a0e68a5b36392becdb28090bf6f9a1d64d', 'G4674', 139, '2015-01-21 09:31:34', 'Vincent Morello', 'Merge branch \'master\' of 55.7.136.7:TAIGA\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1491, 4, '353ac045559d8ed159fb969df110e102a2bc01e7', 'G4674', 139, '2015-01-19 15:02:24', 'Vincent Morello', 'Ajout de la conversion des fichiers Unix et des fichiers Dos des repertoires correspondants\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1492, 4, '511228b4d0965994bbc6d1a344ce35f3755df1ca', 'G4674', 0, '2015-01-07 16:19:29', 'taiga SAMBA', 'IntegrationTools: generate cksum\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1493, 4, 'cbe0fe5df86a861c280ffc07f8c3dc7ee17bbcb2', 'G4674', 72, '2015-12-17 16:28:13', 'Alain Tassotti', '[D41541]  Maquettes Ecran pour DSI 2015\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1494, 4, '1dfc7c2aadd3a95878980b8d0330b6b2e84b6d8d', 'G4674', 114, '2015-03-04 17:52:42', 'Sabrina PERRET', '[D40359] Maj_base_32 livraison 3en1\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1495, 4, 'd99f080d04d77ccf13851ba9ceeeb4ddbe31dbcb', 'G4674', 139, '2015-01-21 09:30:09', 'Vincent Morello', 'creation du repertoire log dans priv.v32\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1496, 4, 'cef98a59e4fe494dc0b8a2f817a9ceebed98e905', 'G4674', 0, '2015-01-20 16:54:42', 'taiga SAMBA', 'IntegrationTools: update git extract\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1497, 4, 'c3638c6489fb736c60cec04bef004f640a6174aa', 'G4674', 139, '2015-01-16 16:07:42', 'Vincent Morello', 'IntegrationTools : adaptation des scripts Sodifrance\nActivePerl a installer : http://www.activestate.com/activeperl/downloads\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1498, 4, '378502eed7173c6b93f87996759003bd202f1e8b', 'G4674', 0, '2015-01-06 16:43:07', 'taiga SAMBA', 'IntegrationTools: update to run on SAMBA\n', '', '', '', 'taiga@SAMBA', '', '', 0),
(1499, 4, 'eca196c4351b9e3dbc63dfc93b24ed926138435f', 'G4674', 117, '2015-12-17 16:28:13', 'Jean-Michel PERQUE', '[D41199] Journalisation de la suppression d\'une adresse de correspondance\n', '', '', '', 'jean-michel.perque@atos.net', '', '', 0),
(1500, 4, '06ce968ef39bf9f02306301a402e5793d74e7685', 'G4674', 114, '2015-03-04 17:52:27', 'Sabrina PERRET', '[D40359-40315-40381-40199] Anomalies 3en1\n\n40359\nmaj_calcul_a_effectuer_3en1.sql\npck_calcul_echeancier.sql\npck_cqpntf01.sql\ncqpdsi00.sql\n\n40315\npck_spoc22.sql\n\n40199-40381\npck_calcul_echeancier.sql\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1501, 4, '539d3e7f415133f54bd19b0a3b2340529b972d2f', 'G4674', 139, '2015-01-20 15:49:28', 'Vincent Morello', 'recuperation de tous les repertoires sources de nsdk\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1502, 4, 'e0eb5ed89d5915345bde7efc5475d57232ae1808', 'G4674', 128, '2015-01-20 15:58:39', 'Julien FERRARO', 'TAIGA_OGMA : livraison OGMA_V1.0.0_005\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1503, 4, '06078dcab802158a4c645d2f6820615330f977bb', 'G4674', 128, '2015-01-05 11:38:43', 'Julien FERRARO', 'TAIGA_V14.1.35_PROD\n\nTAIGA_V14.1.35_PROD_C_LB_20150105101443.zip\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1504, 4, 'aff3a704cec438753d517770178d9696e726ccdb', 'G4674', 128, '2015-03-03 17:52:41', 'Julien FERRARO', 'Livraison 14.2.0_031\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1505, 4, '948bd28f8fac289b57e2d1e3eb49cb6f9ed09d0c', 'G4674', 1, '2014-12-23 17:04:48', 'Louis BAYLE', 'IntegrationTools: create_file_map.sh (non teste)\n\nremplacement de create_titulaire_to_server_map.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1506, 4, '1689b73d297b299477e052118eb65ad98e0bbb3c', 'G4674', 128, '2015-03-03 16:46:52', 'Julien FERRARO', 'Revert \"[40362] FC15R-Groupe professionnel erroné\"\n\nThis reverts commit ea849ed211f7e063bd461287ac99c672f5323af4.\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1507, 4, 'ab7d766d47660c38dafc0659044f1199933ce0f7', 'G4674', 1, '2014-12-22 18:22:08', 'Louis BAYLE', 'TAIGA_V14.1.30_PROD\n\nTAIGA_V14.1.30_PROD_C_AT_20141222172927.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1508, 4, '30519d7a86da96a68022f3a333389c4ed18b90a3', 'G4674', 134, '2015-03-03 16:13:11', 'Isabelle LAGIER', 'Merge branch \'14.2\' of 55.7.136.7:TAIGA into 14.2\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1509, 4, 'b2e2bf57523fdcefcf4e46d62ddbf0a6b7a6ecbf', 'G4674', 72, '2014-12-22 13:40:15', 'Alain Tassotti', 'TAIGA_OGMA_V1.0.0\nTAIGA_OGMA_V1.0.0_QUA_C_AT_20141217102203.ZIP\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1510, 4, 'ea849ed211f7e063bd461287ac99c672f5323af4', 'G4674', 134, '2015-03-03 16:09:38', 'Isabelle LAGIER', '[40362] FC15R-Groupe professionnel erroné\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1511, 4, 'b3b46eb1cf5741ed172f6569b394cc24ad83843e', 'G4674', 136, '2015-03-03 15:51:50', 'melodie jacques', '[D39871] Suppression de la RG12 -suppression des appels a prc_trt_arrondis\n', '', '', '', 'melodie.jacques-felix-alexandre@atos.net', '', '', 0),
(1512, 4, '4d338b03b294ce56c8a13176a4812270b376d3f1', 'G4674', 128, '2014-12-19 13:53:37', 'Julien FERRARO', 'IntegrationTools: update delivery scripts\nsuppression des echo de test\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1513, 4, '096cb85efea88d843b58ae8d953abe2b02a4208d', 'G4674', 1, '2015-03-03 14:38:51', 'Louis BAYLE', '[D39971] Win8 deplacement des fichiers\n\nreport de V14.1.75\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1514, 4, 'e05e0a08dc28ba87daeb186fbfd5129ffa4fc3ca', 'G4674', 128, '2014-12-19 09:33:15', 'Julien FERRARO', 'IntegrationTools: update map for 14.2.0_013\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1515, 4, '06b3c190cfd7964bfa5bf28104b63638c7932e11', 'G4674', 128, '2015-03-03 14:36:57', 'Julien FERRARO', '[D39971] Win8 App32\n\nreport de V14.1.75\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1516, 4, 'a4b6fb9b7c97d2c1dd963e93e6d6abff85a8dda7', 'G4674', 128, '2014-12-18 14:26:08', 'Julien FERRARO', 'IntegrationTools: update delivery scripts\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1517, 4, 'b4869a2651f3dceab77dac4591760206a64ce8e1', 'G4674', 1, '2015-03-03 14:33:37', 'Louis BAYLE', '[D39971] Win8 App32\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1518, 4, '6b58e32a259a7e734ff549f69f854e839688624d', 'G4674', 1, '2014-12-16 17:08:14', 'Louis BAYLE', 'remove COBOL compilation scripts\n\nils ne sont pas a jour et cassent la chaine de compilation cobol !\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1519, 4, 'e42100a3353a07f7d6f496a760c77f6a999766bf', 'G4674', 128, '2015-02-26 13:41:15', 'Julien FERRARO', 'IntegrationTools: update from master\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1520, 4, '652cd8569617754477a2d83206ec6a7824117d28', 'G4674', 1, '2014-12-16 15:24:24', 'Louis BAYLE', 'IntegrationTools: update git_extract_taiga.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1521, 4, '229a16151aedbde299a3404aa7a0f3a1db969b03', 'G4674', 128, '2015-02-26 13:28:02', 'Julien FERRARO', 'InternalTools/post_vm_delta.sh\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1522, 4, '9c1a2e87087bccd22463a4fb51c388de99f43488', 'G4674', 1, '2014-12-12 15:18:50', 'Louis BAYLE', 'InternalTools: update map QC38914\n\n\nAIX : /app/taiga/tadev2/oraexp/expl/sqlload/ctl\n1_titulaire/Declaration_Revenus/Campagne_DCR/aix/ctl/w01_dsi_assu_ald.ctl\n\n\nAIX : /app/taiga/tadev2/oraexp/expl/sh/src\n1_titulaire/Declaration_Revenus/Campagne_DCR/aix/sh/cjcenv06.sh\n\nAIX : /app/taiga/tadev2/oraexp/expl/sql\n1_titulaire/Declaration_Revenus/Campagne_DCR/aix/sql/cqoenv28.sql\n1_titulaire/Declaration_Revenus/Campagne_DCR/aix/sql/cqoenv29.sql\n\nCMR_XXX :\n1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/tables/w01_dsi_assu_ald.sql\n1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/pck_cqpenv03.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1523, 4, 'bf5d998a8d0888cda4d57a907f8ca4914aeac6f8', 'G4674', 128, '2015-02-25 19:20:14', 'Julien FERRARO', 'livraison TAIGA V14.2.0_030\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1524, 4, '3fa33fa05876fca112894db17e08bfa4ed37d991', 'G4674', 128, '2014-12-11 19:09:16', 'Julien FERRARO', 'InternalTools: update map + generate_delivery_tree.sh\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1525, 4, '0cc42542f798e5c0f819a58254ad40e26908c585', 'G4674', 114, '2015-02-25 18:33:02', 'Sabrina PERRET', '[D40199] Correction Bis erreur E1013 doublons\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1526, 4, 'eef3d1e4c01d890bb4e5640c7077b44af40e9804', 'G4674', 128, '2014-12-11 15:34:11', 'Julien FERRARO', 'InternalTools: generer l arborescence de livraison\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1527, 4, 'e46703f10e4cfa126a56fb5f63c22dac94ad1a7b', 'G4674', 1, '2015-02-25 18:02:46', 'Louis BAYLE', 'maj_base pour livraison 14.2.0_30\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1528, 4, '0d1856c50b7a71e46118672738ada462236a5a26', 'G4674', 128, '2014-12-11 15:32:45', 'Julien FERRARO', 'InternalTools: create map (tadev,tuxedo,solaris,TaigaDevClient32)\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1529, 4, 'd2dcfe4704a096022819854753bf6f0ef5b9bba7', 'G4674', 1, '2015-02-25 17:41:55', 'Louis BAYLE', '[D40202] Appel 3en1: revenus definitif et estime - deja 3 en 1\n\nmarie\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1530, 4, '500833321e6f4a4b0496f083e57224c06cdabf6c', 'G4674', 128, '2014-12-10 11:25:46', 'Julien FERRARO', 'InternalTools: Map titulaire vers serveurs tadev, tuxedo et solaris.\nMap Solaris plus complète et corrigée.\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1531, 4, '1988e039d7baecc0a54a2c4bb3a30d40620a61f6', 'G4674', 1, '2015-02-25 17:37:07', 'Louis BAYLE', '[D39905] 3en1 : Absence SPOC31 avec code SCA=2 suite modif modalité paiement\n\nmarie\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1532, 4, '2a89309ea82c1018304a96f62e9bbb1a494b0e41', 'G4674', 0, '2014-12-10 09:45:27', '=', 'Map titulaire vers serveurs tadev, tuxedo et solaris.\nMap Solaris plus complète.\n', '', '', '', '=', '', '', 0),
(1533, 4, 'd6ec302069c597e8fd127da2de133352fb28a2a0', 'G4674', 1, '2015-02-25 15:39:06', 'Louis BAYLE', '[D40219] Appel 3en1: base du SPOC23\n\n- benoit\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1534, 4, 'f8972b0db20ed7ca14882e1431d8fa4ae62ca420', 'G4674', 0, '2014-12-09 17:59:01', '=', 'InternalTools: create map (tadev + tuxedo + solaris)\n', '', '', '', '=', '', '', 0),
(1535, 4, 'c701076f8f1a9bf38cf99b9c95a4879916e8f467', 'G4674', 1, '2015-02-24 11:08:27', 'Louis BAYLE', '[D40169] Appel 3en1: SPOC 21 initialisation\n\n- marie et benoit\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1536, 4, '528a0e4eb6e7ee1a2c51c05613193f9d21bd8fa3', 'G4674', 1, '2014-11-28 17:48:16', 'Louis BAYLE', 'InternalTools: create_titulaire_dirmap.sh (not yet finished)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1537, 4, '13fd5bd00cb81d8d3e6bc880e4a09723394dcaaa', 'G4674', 1, '2015-02-23 15:43:25', 'Louis BAYLE', '[D40169] Appel 3en1: SPOC 21 initialisation\n\n- marie Cantiteau\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1538, 4, 'de596ae55ce0e834ddb3c9918b46133c999edfc9', 'G4674', 72, '2014-11-27 13:55:57', 'Alain Tassotti', 'TAIGA_V14.1.11_PROD\n\nTAIGA_V14.1.11_PROD_C_AT_20141127093103.zip\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1539, 4, 'da6021e12c1be04996c19fe799dc2cc24dcd8df9', 'G4674', 128, '2015-02-20 13:45:28', 'Julien FERRARO', 'livraison TAIGA V14.2.0_029\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1540, 4, 'efaadbc2409ab50984ea9be82fe1fa513737044d', 'G4674', 1, '2014-11-26 14:05:24', 'Louis BAYLE', 'InternalTools: git_extract_taiga.sh (not yet finished)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1541, 4, 'e87217046aa5b7872f665f2b6bdea629a4a0caae', 'G4674', 1, '2015-02-20 11:24:24', 'Louis BAYLE', '[D40279][D40261] Intégration FC30S / pck_fc30s Violation de contrainte dans DSI_AR\n\nMail de yannick Arnaud (19/02/2015):\nBonjour,\n\nAprès analyse de ce DEFECT, l’anomalie provient du fait qu’une\nclé étrangère a été positionnée du champ TYPE_FLUX de DSI_AR\nvers DECL_ORIGINE.\n\nLe champ type flux n’a pas de rapport avec DECL_ORIGINE.\nD’autant que nous souhaitons lier ce champ à une autre table\n(TYPE_FLUX_AR) dans le cadre de la v15.0 (39021)\n\nIl s’agit d’une évolution car spécifié comme cela à l’époque.\nPour autant celle-ci est bloquante car empêche toute intégration\nd’un FC30A car pb lors de l’insertion dans DSI_AR avec code 7.\n\nDEFECT 40279 crée.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1542, 4, '444260c39c1f1decdc09ab12895b19f50a27a4c3', 'G4674', 1, '2014-11-24 14:42:35', 'Louis BAYLE', 'InternalTools: git_extract_taiga.sh (not yet finished)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1543, 4, '02ab9fa3e64bc940d8223623da9b73b83bbf0a18', 'G4674', 128, '2015-02-19 16:28:48', 'Julien FERRARO', 'livraison TAIGA V14.2.0_028\n\ndoc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1544, 4, '420c1ca38d976084507cfb63a0a0109a0dbd6cdf', 'G4674', 1, '2014-11-20 17:31:48', 'Louis BAYLE', 'TAIGA_V14.1.10_PROD\n\nTAIGA_V14.1.10_PROD_C_LB_20141120170213.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1545, 4, 'c476235a71165da167bc66f5f2be6cc92fcd0bc9', 'G4674', 93, '2015-02-19 16:26:37', 'jean-marc SCOTTO', 'D40164 - Modification du fichier SFD FC15R\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1546, 4, 'e29d283444583286e202cde412a506d338f50f07', 'G4674', 1, '2014-11-19 11:33:51', 'Louis BAYLE', 'Creation arborescence TAIGA_PALL\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1547, 4, 'e7585a58812e137214d3eb4c8ff97694dce077d5', 'G4674', 93, '2015-02-19 16:26:36', 'jean-marc SCOTTO', 'Mise à jour de la SFD FC15R dans le cadre des defects 40164 et 40167 (1.6)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1548, 4, '734156792794481565d01551ffa207a493b97e59', 'G4674', 1, '2014-11-17 17:16:49', 'Louis BAYLE', 'TAIGA_V14.1.2_PROD\n\nTAIGA_V14.1.2_PROD_C_LB_20141117123843.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1549, 4, 'fdf0c4e408f9db5060581b58a99c2f18fe8c59df', 'G4674', 134, '2015-02-19 16:26:35', 'Isabelle LAGIER', '[D40164] fichier FC15R contient deux lignes pour un assuré\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1550, 4, '08271af08809c33c9c3eed5aaac35035947a4e24', 'G4674', 1, '2014-10-09 18:21:25', 'Louis BAYLE', 'Prod TAIGA_V14.1.00\nTAIGA_V14.1.0_PROD_C_PJ_20141009100509\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1551, 4, '6a33196a5d095b47cc681485221d61647a0eb464', 'G4674', 74, '2015-02-19 14:01:33', 'Isabelle Finette', '[D40199][D40267] Modif du commentaire dans le cartouche d\'entête qui contenait ORA-20999 ==> générer une \"erreur\" lors de l\'exécution de l\'insatallation\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1552, 4, '49048a43bcf7df4c9b213607512143e5fb9b8a3b', 'G4674', 73, '2014-10-06 16:36:51', 'Laure CAVALIER', 'remove toto file\n', '', '', '', 'laure.cavalier@atos.net', '', '', 0),
(1553, 4, '13195a267e05c967e675ab038438fa35c2feccbb', 'G4674', 128, '2015-02-19 14:01:13', 'Julien FERRARO', 'Livraison TAIGA V14.2.0_027\npour D39905 (a257779c67d) et D40202 (8b1a0709c)\najout maj_base, .txt et .doc\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1554, 4, 'dc274491a967f00e19a3690b0ec36ebcc2f61e45', 'G4674', 209, '2014-10-02 11:22:40', 'Louis BAYLE', 'Initial (Prod TAIGA_V14.0.44)\nTAIGA_V14.0.44_PROD_C_BC_20140901095415\n', '', '', '', 'lbayle.trash@gmail.com', '', '', 0),
(1555, 4, 'eca20987b1639777e2e20d26f90cd225567b6fe8', 'G4674', 128, '2015-02-18 18:50:49', 'Julien FERRARO', 'revert D39905 (a257779c67d) et D40202 (8b1a0709c)\n\na453435@FR-42X1M12 /c/RSI/TAIGA (14.2)\n$ git co ebf9022dd34 1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc22.sql\n$ git co 5518996ca6 1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1556, 4, '2ebb0d4de4563073f316dfe495c683ecb1bd71b8', 'G4674', 209, '2014-10-02 10:25:28', 'Louis BAYLE', 'commit test\n', '', '', '', 'lbayle.trash@gmail.com', '', '', 0),
(1557, 4, '4a5cc173a688f6f5494761a08c2b1023a89aec3e', 'G4674', 128, '2015-02-18 16:34:04', 'Julien FERRARO', 'Livraison TAIGA V14.2.0_026\n\najout doc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1558, 4, '93a6dcc25db4d3139df42444e80044c23da64c5f', 'G4674', 0, '2014-10-01 15:38:01', 'lmestraletti', '', '', '', '', 'lmestraletti@localhost', '', '', 0),
(1559, 4, 'a257779c67d4da9842c5915335513a3ce78e53b6', 'G4674', 114, '2015-02-18 15:40:34', 'Sabrina PERRET', '[D39905] Modification flag SCA\nMettre le flag SCA a 2 et non 1 quand on est en modification\nde modalités de paiement uniquement\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1560, 4, 'ebf9022dd34da87e4bd801a5ad803372ecd6fc76', 'G4674', 114, '2015-02-18 15:40:27', 'Sabrina PERRET', '[QC40199] plantage du cjcntf00\n\n[pck_calcul_echeancier.prc_insert_caeh]Plusieurs lignes renvoyées\ndans le select sur les informations de cotisations de l\'assuré\nqu\'on va mettre dans calcul_a_effectuer_histo, mais sans curseur.\nUne ligne doit être renvoyée, aujourd\'hui la solution\nd\'un DISTINCT régle le probléme.\nIl faudra voir si fonctionnellement cela reste coherent.\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1561, 4, '8b1a0709cc26aa98441373838244e3f896d51525', 'G4674', 1, '2015-02-18 15:40:14', 'Louis BAYLE', '[D40202] 3en1 - revenus définitif et estimé - déjà 3 en 1\n\n- marie cantiteau\n\n\n==================PRECEDEMMENT IDENTIFIE POUR ================\n+-- Modifié le   : 17/02/2015                                     --\n+-- Par          : MCA (SODIFRANCE/AtoS)                          --\n+--              : D40221 Appel 3 en 1 : revenu estime Avant revenu definitif\n+--              : D40223 Appel 3 en 1 : revenu definitif enrigistre apres revenu estime\n+--              : D40024 Appel 3 en 1 : modification d\'un revenu definitif deja 3 en 1\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1562, 4, '5518996ca6f048faa929329d1877882919fc4010', 'G4674', 1, '2015-02-18 15:36:06', 'Louis BAYLE', '[D39924][D40104] 3en1 - Création acompte provisionnel + passage de prestataire en non prestataire\n\n39924 - 14.2 - 3 en 1 : Création d\'un acompte provisionnel au lieu d\'une régul 2014 suite à modification du code régime\n40104 - Appel 3 en 1: passage de prestataire en non prestataire au cours de N-1 et tmodification AS N-1\n\n\n- marie Cantiteau\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1563, 4, 'ecbe58cf3f184cb415c4ad5a5b202d7d7d7b4257', 'G4674', 1, '2015-02-13 16:45:27', 'Louis BAYLE', '[D40182] Report version production V14.1.40 vers 14.2.0\n\nTAIGA_V14.2.0_QUA_C_LB_20150213151121.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1564, 4, 'c8c45c9f57632dba1d8c5d468f571360b86310a5', 'G4674', 1, '2015-02-10 17:27:46', 'Louis BAYLE', 'Livraison TAIGA_14.2.0_025\n\nDefects 40145, 40113, 40121, 40167, 40162, 40038\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1565, 4, '66de4945c61888680dbe289d3a1b1f9c96615762', 'G4674', 116, '2015-02-10 16:51:51', 'Arnaud Trousselard', '[D40145] - Modification dsi_fc15r_ex.sh pour D40145\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1566, 4, '6cd6cd4ae81ddc386f70006c5e15a5e4682f8be8', 'G4674', 116, '2015-02-10 16:41:40', 'Arnaud Trousselard', 'Modification extract_fc15r.sql pour :\nD40113, D40162, D40121, D40167\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(1567, 4, 'caa6534edd73ab05dec82ad4566c09d68bd9463a', 'G4674', 73, '2015-02-06 14:18:05', 'Laure CAVALIER', '[D40038] commit final\n', '', '', '', 'laure.cavalier@atos.net', '', '', 0),
(1568, 4, 'd9ef7120bf86128f67149ed7c787ea21666f46f1', 'G4674', 128, '2015-02-05 20:57:19', 'Julien FERRARO', '14.2.0_024 préparation doc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1569, 4, 'ca97ff23882ebb2d7a191d1707f571a74013c761', 'G4674', 128, '2015-02-05 20:57:18', 'Julien FERRARO', '14.2.0_024 préparation doc et txt\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1570, 4, '99a7e8ad12ed8fe79930348c74016295d2f0c794', 'G4674', 1, '2015-02-05 17:04:00', 'Louis BAYLE', '[D40029] - Correction saisie revenus estimes\n\n(Marie C. Sodifrance)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1571, 4, 'ad5a08d61d2c420a39bece4c0ec4d94fe47392e8', 'G4674', 114, '2015-02-05 16:47:04', 'Sabrina PERRET', '14_2_0_24 MAJBASE 3en1 V2\n\nAjout du package maj_base_cmr_V14_2_0_24.sql\n de la 40019\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1572, 4, '0b0f939e97bbc4548b57f6a56d77660b11bf9148', 'G4674', 114, '2015-02-05 16:15:18', 'Sabrina PERRET', '14.2.0_24 Majbase 3en1\n', '', '', '', 'sabrina.perret@atos.net', '', '', 0),
(1573, 4, '9c5735ba422db449d3390b9fbfeb4d230603f69b', 'G4674', 1, '2015-02-04 19:11:58', 'Louis BAYLE', 'InternalTools: dos2unix\n\ncelui de git est foireux\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1574, 4, 'e96f99c8577e7b9944b6c1d60ff5dc2c71df2d5b', 'G4674', 128, '2015-02-04 18:12:00', 'Julien FERRARO', '14.2.0_022 (livraison FC15R-DOUBLE-TAIGA.CBL)\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1575, 4, '80f1963b0cf3191714fb2f52befba2fcb0c2eed5', 'G4674', 128, '2015-02-03 15:42:22', 'Julien FERRARO', '14.2.0_023 (livraison dsi-flux-double.sh)\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1576, 4, '6e3377deda3385cc98501d17d431463c4ed5f549', 'G4674', 1, '2015-02-02 10:04:03', 'Louis BAYLE', '[D40010][D40029][D40031][D40106] Suppression des enregistrements dans Calcul_a_effectuer\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1577, 4, 'aee7199b9f3cc57a406f3b5d26f4ac41301be9fe', 'G4674', 1, '2015-02-02 09:53:43', 'Louis BAYLE', '[D40015][D40104] Changement de régime (prc_maj_nat_mvt)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1578, 4, '77ec111899ed768a3c3738007942f06aa357bc2f', 'G4674', 1, '2015-01-29 14:51:00', 'Louis BAYLE', '[QC40009] Appel 3 en 1: changement de fréquence de paiement\n\nintégtration des dev de sodifrance (du 28/01/2015)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1579, 4, '9b8d5598f980ab77e73b1e90376bbd1b29b50122', 'G4674', 128, '2015-01-29 10:59:51', 'Julien FERRARO', '[40117] script doublons\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1580, 4, '70a9bcd476ac2d5158e86425d34964d422304555', 'G4674', 0, '2015-01-28 15:00:48', '=', '[QC40094] Correction de l\'affichage des noms des fichiers logs et traces (ajout du numéro de CMR dans les noms).\n', '', '', '', '=', '', '', 0),
(1581, 4, 'b3c0df74974fcc317507d7909afca3f41cc6cfc6', 'G4674', 1, '2015-01-28 15:00:31', 'Louis BAYLE', '[QC40019] RIBA certifié\n\nDans le cadre du 38644, il était demandé d\'ajouter le numéro de RIBA dans les listes de relances.\nIl fallait ajouter des numéros de RIBA certifiés.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1582, 4, '1616150a7d3321548bdcf42fe1603f742855ce30', 'G4674', 139, '2015-01-28 11:41:30', 'Vincent Morello', 'suppression du repertoire MAJ_ENV avant modifications\n', '', '', '', 'vincentmorello04@gmail.com', '', '', 0),
(1583, 4, 'e9d70a2ecd952194888d503c317e9bfa2b060862', 'G4674', 1, '2015-01-26 15:16:55', 'Louis BAYLE', 'IntegrationScripts: update from master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1584, 4, '913045d1d7361b49c6759f2ecd0f7cc5dc636e66', 'G4674', 1, '2015-01-20 17:31:49', 'Louis BAYLE', '[QC40001] TAIGA_V14.2.0_021 (Livraison AtoS)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1585, 4, 'ed20a7df16b84e9b30ee818655cd79793f6ce3e8', 'G4674', 1, '2015-01-20 16:17:24', 'Louis BAYLE', '[QC40001] forcage_idriba : suppr contrainte RIBA\n\n    Problématique\n    Le nouveau traitement forcage_idriba.sh ne permet pas de renseigner un numéro RIBA si celui-ci existe déjà en base.\n\n    Il doit pourtant être possible d\'avoir plusieurs dossiers portant le même numéro RIBA lorsque ces dossiers correspondent à la même personne.\n\n    Analyse\n    Il n\'ya aucune contrainte d\'unicité sur l\'identifiant RIBA en base qui empêcherait d\'avoir un même identifiant RIBA sur deux dossiers différents. Le contrôle d\'unicité que réalise le traitement n\'est pas à faire.\n\n    Evolution demandée\n    Faire évoluer le traitement forcage_idriba.sh afin de retirer le contrôle empêchant la modification du numéro RIBA si celui-ci existe déjà en base. Il doit être possible d\'avoir deux dossiers avec le même identiant RIBA.\n    Cette évolution consiste à priori à retirer la règle de gestion RG_FE_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(1586, 4, '27e290ee266bee57f20c686e864b1ba1b99e5065', 'G4674', 1, '2015-01-19 17:45:40', 'Louis BAYLE', 'TAIGA_V14.2.0_020 (Livraison Sodifrance)\n\nNR	TAIGA/1_titulaire/Cotisation/Cotisation/aix/sql/maj_calcul_a_effectuer_3en1.sql\nNR	TAIGA/1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf00.sql\nNR	TAIGA/1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_fc30s.sql\nNR	TAIGA/1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_V14_2_0_20.sql\nNR	TAIGA/1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc31.sql\nNR	TAIGA/1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc31_sca.sql\nNR	TAIGA/1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc21.sql\nNR	TAIGA/1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc22.sql\nNR	TAIGA/1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc23.sql\nNR	TAIGA/1_titulaire/consignes/Note technique integration.doc\nNR	TAIGA/1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/iqpass23.sql\nNR	TAIGA/1_titulaire/Declaration_Revenus/Campagne_DCR/aix/gencbl/cbl/FC15R-DOUBLE-TAIGA.CBL\nNR	TAIGA/1_titulaire/Declaration_Revenus/Campagne_DCR/aix/sh/dsi-flux-double.sh\nNR	TAIGA/1_titulaire/Declaration_Revenus/Campagne_DCR/aix/sh/dsi_fc15r_ar.sh\nNR	TAIGA/1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\nNR	TAIGA/1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi01.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1587, 4, '2808d836bbfb563676bfa1d411c5ac6724688563', 'G4674', 1, '2015-01-19 15:22:19', 'Louis BAYLE', 'IntegrationTools : adaptation des scripts Sodifrance\n\nActivePerl a installer :\nhttp://www.activestate.com/activeperl/downloads\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1588, 4, '2c1a7432275bbfa8f9add97057f0035a8990fff1', 'G4674', 128, '2015-01-09 18:07:04', 'Julien FERRARO', 'Merge branch \'QC39966\' of 55.7.136.7:TAIGA into QC39966\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1589, 4, 'cda4589e7733b2ac869f2ba1cb235758d97908d6', 'G4674', 128, '2015-01-09 18:05:58', 'Julien FERRARO', 'Merge branch \'QC39966\' of 55.7.136.7:TAIGA into QC39966\n\nTAIGA_V14.2.0_019 (Livraison AtoS)\n\nDefect 39966\n\najout .doc\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1590, 4, 'a76b31eb3c01faee5c06e63ed737fd71aa50dd3b', 'G4674', 128, '2015-01-09 17:38:57', 'Julien FERRARO', 'Merge branch \'QC39966\' of 55.7.136.7:TAIGA into QC39966\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1591, 4, 'b39d53447156ec545cef7b64126e5a1d2666692c', 'G4674', 128, '2015-01-09 17:38:36', 'Julien FERRARO', 'TAIGA_V14.2.0_019 (Livraison AtoS)\n\nDefect 39966\nDefect 39967\n\ncorrection eol .sql\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1592, 4, '8f92c2f462d3b545a18a6262ec78b0e0fa18779e', 'G4674', 128, '2015-01-09 17:22:39', 'Julien FERRARO', 'TAIGA_V14.2.0_019 (Livraison AtoS)\n\nDefect 39966\nDefect 39967\n\najout maj_base\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1593, 4, 'c8ef6e126407b2e3b8f47f1f7561b7e02c2ffafd', 'G4674', 1, '2015-01-09 10:04:13', 'Louis BAYLE', '[QC39966][QC39967][QC39854] FIX -- DSI_AR.TYPE_FLUX=\'7\' lorsqu\'on genere un AR de type FC30S\n\n+ suppression du maj_base_15 (car encodage Windows et obsolete)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1594, 4, '8105a38f211bdc01ff5ccc221a3fa44aac3eea27', 'G4674', 1, '2015-01-06 16:34:22', 'Louis BAYLE', 'TAIGA_V14.2.0_018 (Livraison AtoS)\n\nDefect 39966\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1595, 4, 'c311b56621a457fa0d617a321006152944e6f753', 'G4674', 1, '2015-01-06 16:02:25', 'Louis BAYLE', '[QC39966][QC39854] FIX -- DSI_AR.TYPE_FLUX=7 lorsqu\'on genere un AR de type FC30S\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1596, 4, '0ec8285d0f8ed2dd31d66babfa81c2e746926f18', 'G4674', 1, '2015-01-06 16:01:48', 'Louis BAYLE', 'TAIGA_V14.2.0_017\n\nTAIGA_V14.2.0_QUA_C_LB_20150106144701.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1597, 4, 'c9ac47548b9b5fb1007f2af6b180663ff6be9cb7', 'G4674', 128, '2015-01-05 12:03:29', 'Julien FERRARO', 'TAIGA_V14.2.0_016\n\nTAIGA_V14.2.0_DEV_C_LB_20150105101600.zip\n', '', '', '', 'julien.ferraro@atos.net', '', '', 0),
(1598, 4, 'f25f8e3842de8a7e7fa0ebde0e4c1c913655cbcc', 'G4674', 1, '2014-12-22 17:10:45', 'Louis BAYLE', 'TAIGA_V14.2.0_015 (Livraison AtoS)\n\nDefect 39854\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1599, 4, '6f92ce03f26ccf3874a5040b2f4ac99f8307d76f', 'G4674', 1, '2014-12-22 16:04:43', 'Louis BAYLE', '[QC39854] DSI_AR.TYPE_FLUX=7 lorsqu\'on genere un AR de type FC30S\n\nDoc a metre à jour ?\nC:\\Users\\fr20648\\Documents\\RSI\\Doc\\DOC_SF_TAIGA\\3B11 - Doc fonctionnelles\\3B111 - DCR Cotisation Echeancier\\3B1111 - Declaration\\SFD_DSI_Intégration DR - Intégration des revenus  V2.16.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1600, 4, 'f468ec4c579e06c6f5a78f429fc67f066551ad33', 'G4674', 1, '2014-12-22 15:57:40', 'Louis BAYLE', 'TAIGA_V14.2.0_014\n\nTAIGA_V14.2.0_QUA_C_AT_20141222142152.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1601, 4, '14c86d348e1be668933959fd74c49be6751a8f0a', 'G4674', 72, '2014-12-18 10:41:56', 'Alain Tassotti', 'TAIGA_V14.2.0_013\n\nTAIGA_V14.2.0_QUA_C_AT_20141217093853.zip\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1602, 4, '2908fb08c5527309858ac7b64cd63769121f7cf5', 'G4674', 1, '2014-12-10 14:05:12', 'Louis BAYLE', 'TAIGA_V14.2.0_013 (ou _012 ?)\n\nTAIGA_V14.2.0_QUA_C_LB_20141210110556.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1603, 4, '7cbfdfc88d5dd470c386f09b0f4b798d6bb9ee14', 'G4674', 1, '2014-11-17 12:31:26', 'Louis BAYLE', 'TAIGA_V14.2.0_DEV_TO_QUA_010\n\nTAIGA_V14.2.0_QUA_C_LB_20141117113154.zip\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1604, 4, '16e23e9ab35e3638fc21ea3d059573147c03f2df', 'G4674', 1, '2014-10-28 14:18:45', 'Louis BAYLE', 'TAIGA_V14.2.0_QUA_C_NO_20141015082031\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1605, 4, '466e03db7169e1ecd2de88aacc65f3211bbbbea9', 'G4680', 168, '2017-01-09 11:36:18', 'Vincent-Pierre LYS', '[G4680] Modification de la règle RG_PACR_131 : Controle uniquement fait lors de la creation et les reprises d\'assures radies.\nModification de la règle RG_HIST_007 : si beneficiaire en reprise d\'activite l\'OC transmis dans le flux est ignore et l\'OC existant dans TAIGA n’est pas modifie.\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1606, 4, '8a4a96d56b6261dfcb83c38ddacedaf301a37b37', 'D44003', 157, '2017-01-05 11:31:15', 'Vincent GENTIL', '[D44003] Modification recherche assiette N-1 si saisie assiette N\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1607, 4, '5ea601392f1ca1e0ea12d7fc57eda70193119544', 'D43018', 147, '2016-12-28 16:03:47', 'Michel Siacchitano', '[D43018] Pris en compte FDR du 19/12/2016\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1608, 4, '545670d70fc60e2a04abe5ae87125568fe7f6f85', 'D43018', 147, '2016-11-22 15:47:41', 'Michel Siacchitano', '[43018] journaliation des siret : prise en compte FDE 1.3 (entetes, selection imma_va)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1609, 4, '02d00f162e5f2a64b14e98b74f8c8fc634a0a90b', 'D43018', 147, '2016-11-02 15:28:29', 'Michel Siacchitano', '[D43018]  : RDDpour journaliser les données ENTREPRISE dans JNL_STAT\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1610, 4, 'ce28cec59c1bc74b22d68dfa8c3fc5d35004918b', 'D43018', 147, '2016-10-20 17:15:44', 'Michel Siacchitano', '[D43018] Journalisation des siren sans entreprise ayant un periode d\'activite + correction erreur de fichier d\'entree\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1611, 4, 'a729058f11c969a77027c1a552e91bc1fff8c58d', 'D43018', 147, '2016-10-12 15:17:28', 'Michel Siacchitano', '[D43018] rdd Journalisation des entreprises ayant un periode d\'activité mais avec une entreprise inconnue dans BDU\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1612, 4, 'ffd76db53fc4b6bffc02903b35c25e1444a4bc74', 'D43018', 147, '2016-10-12 08:48:07', 'Michel Siacchitano', '[D43018]  RDD Mise a jour Entreprise BDU par Journalisation taiga\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1613, 4, '17df527eae27be7f28d46b5d8c6c9374b1733612', 'D43018', 147, '2016-10-07 08:34:03', 'Michel Siacchitano', '[D43018] Rattrapage entreprise manquant pour BDU\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1614, 4, '1d36ce60308f9e1ab98e42a0ac8fae2f56738197', 'D43018', 147, '2016-09-30 07:46:25', 'Michel Siacchitano', '[D43018] Rattrapage entreprise manquant pour BDU\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1615, 4, 'bd0cf6b5e0a58272c8e4aebcdc4727b8dde4bef3', 'D43018', 147, '2016-09-29 09:57:02', 'Michel Siacchitano', '[D43018] Rattrapage entrerise Bdu  par journalisation\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1616, 4, '99cee2eb39936cec5393537d33e2f7f0e7fb08c7', 'D43018', 147, '2016-09-23 16:09:54', 'Michel Siacchitano', '[D43018] rattrapage ent pour bdu\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1617, 4, '623c2cda249348ab97e497730d23051b4051d273', 'D43018', 147, '2016-07-20 10:53:54', 'Michel Siacchitano', '[D48018] rattrapage de la journalisation des periodes d\'activité et entreprise ayant une immatriculation validée\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1618, 4, 'f05a85acfebbbffd942734f94d1300cf2d12ade8', 'D41937', 199, '2017-01-10 16:16:36', 'Bertrand FONTANEL', '[D41937] dev spoc45\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1619, 4, '907bcad04f1df98be5e4a0f7d3d531894a496ff6', 'D41937', 199, '2017-01-10 16:36:54', 'Bertrand FONTANEL', '[D41937] correction diverses\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1620, 4, 'dd2020302809f203c628457371b8c4c3b5875601', 'D43884', 246, '2017-01-10 18:05:29', 'Olga TOINON', '[D43884] Création package et table de travail pour l\'extraction de PL\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1621, 4, 'ef3c41a978f42271b5464606aa81116c3bc3ff82', '17.1.0', 157, '2017-01-11 09:52:39', 'Vincent GENTIL', '[D43679] Modification regime rubrique WQ apres 2014\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1622, 4, '11895f7c89849426112d246d6b3880d0596129d8', '17.1.0', 164, '2017-01-11 10:20:46', 'Lionel Giordanengo', 'Livraison 17.1.0_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1623, 4, 'd704c9644b0e439fb620fb154e6c4b13424151b7', 'Amabis', 72, '2017-01-11 11:12:03', 'Alain Tassotti', '[D43459]   Etude Amabis :  package  et outil POC  de test des adresses de residence\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1624, 4, '5fc7adc9591319e9a9f3b975c9e01b56efffa685', 'master', 164, '2017-01-11 11:20:27', 'Lionel Giordanengo', 'InternalTools : Adpatation des scripts d\'import pour base 054 fusionnee\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1625, 4, '47e0e3820fc4f29ca1cd2f0980fbc2b1c1db87a2', 'D41937FTS', 169, '2017-01-11 11:22:33', 'Fabien TROPIS', '[D41937](m12326) Modif SPOC90\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1626, 4, '3233675a5bd285d50666f6dd0731ef1cd82fa2e9', 'D41937FTS', 169, '2016-12-23 16:51:35', 'Fabien TROPIS', '[D41937](m12315) génération spoc42\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1627, 4, 'f2db29c678796f72d7f3e1b37810f504ab776cbf', 'D41937FTS', 169, '2016-12-23 16:50:16', 'Fabien TROPIS', '[D41937](m12312) génération spoc12\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1628, 4, 'c7e2714c72c018acd0ab9f00436503602fcda5e0', 'D43884', 199, '2017-01-11 11:57:57', 'Bertrand FONTANEL', '[D43884] pour save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1629, 4, '656b3ebad593be1a0b81e399dad43b7e5cfcd45b', 'D43884', 199, '2017-01-11 13:28:50', 'Bertrand FONTANEL', '[D43884] pour save 2\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1630, 4, 'ea52b6a988facba3b5ed3f358137c9974e11e678', 'D43884', 246, '2017-01-11 18:11:42', 'Olga TOINON', '[D43884]modification package, table, création index,script sql et sh pour l\'extraction des pl\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1631, 4, 'd87ef7366dc0a520922c25e39d86ac0b39cc3f7c', 'D44029', 199, '2017-01-12 10:09:52', 'Bertrand FONTANEL', '[D44029] correction OC PL\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1632, 4, '9b29d67d36e0e741a5553e774663cb622551725d', '16.1.0', 157, '2017-01-11 15:22:23', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1633, 4, '962c89f9a32fe02c3d81ebd4c1912f4f23566502', '16.1.0', 157, '2017-01-11 15:45:05', 'Vincent GENTIL', '[D44003] Modification recherche assiette N-1 si saisie assiette N\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1634, 4, 'e11303337d7778a39850d708601c35f8d85ae4fc', '16.1.0', 157, '2017-01-11 15:50:36', 'Vincent GENTIL', '[D44020] Correction création enregistrement CAE année N estimée\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1635, 4, '024a11c34c00bee13929172c91f1e550c3e7c450', '16.1.0', 164, '2017-01-12 10:46:08', 'Lionel Giordanengo', 'integration : modif maj_base 16.1.0_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1636, 4, '7b2f31a4c5048f0b514ca84b9f8b0e365d1be46c', '16.1.0', 164, '2017-01-12 10:55:49', 'Lionel Giordanengo', 'Livraison 16.1.0_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1637, 4, 'b922de0e6cc396c4bb1a2951c5bef667e9ae9f3f', '16.1.0', 164, '2016-12-22 15:13:15', 'Lionel Giordanengo', 'Livraison 16.1.0_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1638, 4, 'a84b6dce8a65c77aeeecbf2045d6a654a61b0e62', '16.1.0', 164, '2016-12-22 15:07:18', 'Lionel Giordanengo', '[D43919] Report de la 16.0.55 (PROD)\nCommit bidon pour forcer relivraison et changement de cksum\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1639, 4, '2c4121b737d922e635637eedac187e61f3122f40', '16.1.0', 164, '2016-12-22 15:00:50', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.55) into 16.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1640, 4, '18c8fde0a16b72461553b58566d45c4871c13c79', '16.1.0', 164, '2016-12-15 10:49:17', 'Lionel Giordanengo', 'Correction de la Livraison 16.1.0_001 - note technique\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1641, 4, 'be19e8174b08ec7e9ee18d0f95d61d6b2104db41', '16.1.0', 164, '2016-12-13 16:55:16', 'Lionel Giordanengo', 'Livraison 16.1.0_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1642, 4, '070bc0e57e1a51273874829c2fb8dcd896142eda', '16.1.0', 164, '2016-12-13 16:38:45', 'Lionel Giordanengo', 'integration rennomage du maj_base pour livraison\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1643, 4, '3d0613b3f1840eabac20103f88844cf217635da6', '16.1.0', 199, '2016-12-13 14:52:24', 'Bertrand FONTANEL', '[D43714] generation spoc 23 sans histo (squash 5)\n\n[D43714] correction cas GC et 3en1 simultané\n\n[D43714] correction cas periode 1 = 2014\n\n[D43714] spoc23 ajout cas particulier\n\n[D43714] Ajout Spec Spocs2N validées\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1644, 4, '7136d2d9c035f5860c370384f2372e7c7d6ad9ec', '16.1.0', 157, '2016-12-13 14:52:24', 'Vincent GENTIL', '[D43713] Forcage notification si saisie revenu estime (squash 5)\n\n[D43713] Forcage notification si saisie revenu estime\n\n[D43713] Forcage notification si saisie revenu estime\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1645, 4, '5bfb776a5346f1cc8168c06450d4f083ed475886', '16.1.0', 157, '2016-12-13 14:52:00', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement (squash 5)\n\n[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n\n[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n\n[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n\n[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1646, 4, '56053664783c82ff58ae5294ded5fd323aacfa0b', '16.1.0', 164, '2016-12-13 14:42:37', 'Lionel Giordanengo', 'maj_base 16.1.0_3en1_QUAL2\n\n$ git diff --name-only a704c7f5ba49 200b327efae95b\n1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_calcul_echeancier.sql\n1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf01.sql\n1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\n1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi01.sql\n1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc21.sql\n1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc22.sql\n1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc23.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43389.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43559.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43560.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43658.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43659.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43684.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43686.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43713.sql\n1_titulaire/_Communs_TAIGA/_Communs_TAIGA/oracle/schema/maj_base_cmr_D43714.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1647, 4, '47179293deca42e5af954928e795716afdfef918', '16.1.0', 157, '2016-12-13 14:42:37', 'Vincent GENTIL', '[D43686] Mise a jour annee calcul dans calcul_a_effectuer\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf01.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1648, 4, '3ae0edfa13d602d3b0a0a4d97e1789b677a0d4a4', '16.1.0', 157, '2016-12-13 14:42:37', 'Vincent GENTIL', '[D43684] Correction calcul quantième\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc21.sql\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc23.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1649, 4, 'ec9669cf77ddfe1c37e231aae357d6bdcebbdbf2', '16.1.0', 157, '2016-12-13 14:42:36', 'Vincent GENTIL', '[D43659] [D43668] selection periodes a calculer dans les cas autres que saisie assiette sociale\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf01.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1650, 4, '9d536a464caa513fbe236bb8a64ecaaf6d0da43f', '16.1.0', 157, '2016-12-13 14:21:44', 'Vincent GENTIL', '[D43560] Pas de recalcul de l\'appel provisionnel N+1 en année N pour les caisses PL metropole\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1651, 4, '7630e92b61d1cf6c73c6ac51d7e22ec43c5d7179', '16.1.0', 157, '2016-12-13 14:21:43', 'Vincent GENTIL', '[D43559][D43733][D43734] Correction suppression 3en1 apres appel provisionnel\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1652, 4, 'a71f6ad0cb91e058cf3f826ddb5dc73b3f2281d3', '16.1.0', 199, '2016-12-13 14:21:43', 'Bertrand FONTANEL', '[D43559][D43733][D43734] Correction suppression 3en1 apres appel provisionnel\n[D43559] Correction bug 42564 3en1 apres APP\n\n[D43559] Correction suppression 3en1 apres appel provisionnel\n\n[D43559] Correction suppression 3en1 apres appel provisionnel\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1653, 4, '3bd9f5080ae7637e6d593d686677c16c4d9f77b5', '16.1.0', 157, '2016-12-13 14:21:43', 'Vincent GENTIL', '[D43389] Recherche dans spoc23_histo pour les changements de modalités de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1654, 4, '5a69792b89f4e89c0662ac493e1ba1c219740ee1', 'D44020', 157, '2017-01-12 14:22:12', 'Vincent GENTIL', '[D44020] Correction création enregistrement CAE année N estimée\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1655, 4, '6642eb42d105c34826fd8e1fc761d33d6ff3baa0', '16.1.0', 164, '2017-01-12 15:02:07', 'Lionel Giordanengo', 'integration : renommage maj_base 16.1.0_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1656, 4, '6eba58bc53531f1231cee5e5e7fb4023fc3dfdad', '16.1.0', 164, '2017-01-12 15:07:22', 'Lionel Giordanengo', 'Livraison 16.1.0_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1657, 4, '2a0aa548d3757544235946b2f07c66aab5e9d387', 'G4680', 168, '2017-01-12 16:30:54', 'Vincent-Pierre LYS', '[G4680] Suite à Test  d\'intégration => pour la modification de la RG_PACR_131 ajout d\'un else forçant la valeur du f_per_oc à NO\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1658, 4, 'faa800b5c93a4903c2b4fdc7ff38b71af53a358c', '17.1.0', 164, '2017-01-12 17:12:32', 'Lionel Giordanengo', 'Merge branch \'17.0.0\' into 17.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1659, 4, '2c2b006c1e9f32f8da34f1eaae9ffecf1adfd164', '17.1.0', 164, '2017-01-13 10:12:45', 'Lionel Giordanengo', '[D44068] Modif des fichiers pour forcer la relivraison dans DIM ....\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1660, 4, '915d4c4928d5af05caa4ab695685d7a58fca61e8', '17.1.0', 164, '2017-01-13 10:25:47', 'Lionel Giordanengo', 'Livraison 17.1.0_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1661, 4, 'b4cc93693f1a5f31d6158ce653a105933c610fe3', 'D44044', 157, '2017-01-12 14:28:07', 'Vincent GENTIL', '[D44044] Correction recherche revenu estimé\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1662, 4, '5acd67ba9510041760a8350b564f3268cf815596', '16.1.0', 157, '2017-01-13 11:50:01', 'Vincent GENTIL', '[D44044] Correction recherche revenu estimé\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1663, 4, '538c7a746df264e7328e23bc7725e762b26c5727', '16.1.0', 164, '2017-01-13 11:53:26', 'Lionel Giordanengo', 'Integration : renommage Maj_Base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1664, 4, '21c991e95004621012f5fe4a716abab4413f671c', '16.1.0', 164, '2017-01-13 12:02:54', 'Lionel Giordanengo', 'Livraison 16.1.0_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1665, 4, '506f836745a9da1f345e32e4284a7c3e5f904573', 'D44028', 169, '2017-01-13 16:15:50', 'Fabien TROPIS', '[D44028] palliatif delete VAL_REF\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1666, 4, 'a0788ea46eda9049d6a80129d0bee5a3db0261b0', 'TAIGA_PALL_1.7.4', 169, '2017-01-13 16:19:13', 'Fabien TROPIS', '[D44028] palliatif delete VAL_REF\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1667, 4, '2800ecdceb45663b997b9cbfaf92c892e89afadb', 'TAIGA_PALL_1.7.4', 164, '2017-01-13 16:22:06', 'Lionel Giordanengo', 'Livraison 1.7.4_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1668, 4, '9a53529e43b22470717b7896f980c6252243e6fc', 'D41937FTS', 169, '2017-01-13 17:36:05', 'Fabien TROPIS', '[D41937](m12312) COMMENT ON TABLE + lien avec ASSU\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1669, 4, 'f6dac82706956d51e9462ea9f4acc99129aeb3b6', 'D41937FTS', 169, '2017-01-13 17:36:32', 'Fabien TROPIS', '[D41937](m12315) COMMENT ON TABLE + lien avec ASSU\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1670, 4, '38dab8a77ca49e93e7c7c93bccc87c87dd4be2ec', 'D41937', 199, '2017-01-16 08:42:59', 'Bertrand FONTANEL', '[D41937] Ajout commentaires\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1671, 4, '31b77a021be22c12c6f04ad8cc631f40fc2d50c4', 'D41937', 199, '2017-01-16 09:07:02', 'Bertrand FONTANEL', '[D41937] correction gestion tables de conversion cmr999\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1672, 4, 'd92c88e3fbe80e6a99df5d00fbcd920fc5fad1a6', 'master', 1, '2017-01-16 14:55:23', 'Louis BAYLE', 'InternalTools: bq.sh -x (nettoyage $REP_FIC)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1673, 4, '91d17bed6e9ce1a0502dc263546958d0e8414d69', 'D41937FTS', 169, '2017-01-16 17:01:19', 'Fabien TROPIS', '[D41937](m12326) SPOC90 testé\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1674, 4, '966d73b13f75cb6564c0f48c7d3220ce7653da2a', 'D43884', 246, '2017-01-16 18:23:48', 'Olga TOINON', '[D43884] Modification du package, de la table de travail,\ndes index de la table de travail, scripts sql/sh et du maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1675, 4, '274545bdb96f54af7d8fb4b448a2ebd03bd28c0a', '15.1.80', 164, '2017-01-17 09:47:53', 'Lionel Giordanengo', 'Merge branch \'master\' into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1676, 4, '9e497bd45ea7a516ad114d2d05153f43e7fad49c', '15.1.80', 168, '2017-01-17 09:48:36', 'Vincent-Pierre LYS', '[G4674]Suppression de l\'appel a pck_fin_periodes.prc_signalement\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(1677, 4, '5af4d3f1ee0059dc6baf8776fc91a93302d8d3ab', '15.1.80', 168, '2017-01-17 09:49:07', 'Vincent-Pierre LYS', '[G4680] Modification de la règle RG_PACR_131 : Controle uniquement fait lors de la creation et les reprises d\'assures radies.\nModification de la règle RG_HIST_007 : si beneficiaire en reprise d\'activite l\'OC transmis dans le flux est ignore et l\'OC existant dans TAIGA n’est pas modifie.\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1678, 4, '890e61589f25a4f2ec47ad90bf5afbd5e72fbad6', '15.1.80', 168, '2017-01-17 09:49:25', 'Vincent-Pierre LYS', '[G4680] Suite à Test  d\'intégration => pour la modification de la RG_PACR_131 ajout d\'un else forçant la valeur du f_per_oc à NO\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1679, 4, '71955856783a14f550e0dfb659fdfd28a95110ff', '15.1.80', 164, '2017-01-17 10:36:51', 'Lionel Giordanengo', 'integration : maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1680, 4, 'c5b9428ecf1a85ac010fae93899b9673abad268d', '15.1.80', 164, '2017-01-17 10:58:12', 'Lionel Giordanengo', 'Livraison 15.1.80_013 (chargement dans 16.0.80 car glisement)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1681, 4, '8f0da853f47e4c28f424bf11e6067028a6487eef', 'D41937', 199, '2017-01-17 15:49:49', 'Bertrand FONTANEL', '[D41937] correction entreprise principale\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1682, 4, '5cc226d9b62b4b5d65a675bc83ce2a9157e1f339', 'D43802', 168, '2017-01-17 15:52:53', 'Vincent-Pierre LYS', '[D43802] Ne pas livrer ! module SQL avec Traces\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(1683, 4, '9fe45a5d9db4b40a94b1a46c9955f9e5875c7869', 'D43802', 168, '2017-01-17 15:57:48', 'Vincent-Pierre LYS', '[D43802] Sans les traces\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(1684, 4, '35ffcef6c28e7171616ebc99d278f20776a61f17', '17.15.00_QUAL', 169, '2017-01-17 14:29:52', 'Fabien TROPIS', '[D39116] PB AYD après passage non prestataire (squash 2)\n\n[D39116] + en tête\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1685, 4, 'b0b6523452c7565c9cd3a80b7d58c69a839dd6e2', '17.15.00_QUAL', 169, '2017-01-17 14:31:57', 'Fabien TROPIS', '[D43722] SEUL les fichiers 03S peuvent modifier les données liées au décès (squash 3)\n\n[D43722] Gestion du BENF_D_DECES is NULL pour UPDATE BENF_COMPL_02\n\n[D43722] Ajout MajBase\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1686, 4, '9fda1821cf370e46f5714617979b50e4e7deb9a5', '17.15.00_QUAL', 147, '2017-01-17 14:32:57', 'Michel Siacchitano', '[D43077]  Recuperation du 40641 et corrections associes  (sha1 : 3b7cf48ea3ca) (squash 2)\n\n[43077] reprise Pal pour prise en compte nic vide\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1687, 4, '5046a0f9baa9d4d1cb7f8c32fda4b707d3cba5b2', '17.15.00_QUAL', 147, '2017-01-17 14:45:08', 'Michel Siacchitano', '[D43018] rattrapage de la journalisation des periodes d\'activité et entreprise ayant une immatriculation validée (squash 11)\n\n[D43018] rattrapage ent pour bdu\n\n[D43018] Rattrapage entrerise Bdu  par journalisation\n\n[D43018] Rattrapage entreprise manquant pour BDU\n\n[D43018] Rattrapage entreprise manquant pour BDU\n\n[D43018]  RDD Mise a jour Entreprise BDU par Journalisation taiga\n\n[D43018] rdd Journalisation des entreprises ayant un periode d\'activité mais avec une entreprise inconnue dans BDU\n\n[D43018] Journalisation des siren sans entreprise ayant un periode d\'activite + correction erreur de fichier d\'entree\n\n[D43018]  : RDDpour journaliser les données ENTREPRISE dans JNL_STAT\n\n[43018] journaliation des siret : prise en compte FDE 1.3 (entetes, selection imma_va)\n\n[D43018] Pris en compte FDR du 19/12/2016\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1688, 4, '57b2f68c55be9243d3f4d3fe6a127f77a41c651c', '17.15.00_QUAL', 164, '2017-01-17 15:22:11', 'Lionel Giordanengo', 'maj_base 17.15.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1689, 4, '3b945af3e184e2b566c919c9e339352d3ac44047', 'master', 157, '2016-11-10 14:12:04', 'Vincent GENTIL', '[D43527] caisses DOM - Forcer un recalcul des cotisations sur dossiers impactés par le D43331\n\n[D43527] caisses DOM - Forcer un recalcul des cotisations sur dossiers impactés par le D43331\n\n[D43527] caisses DOM - Forcer un recalcul des cotisations sur dossiers impactés par le D43331\n\n[D43527] deplacement TAIGA_PALL (1.6.77/28171)\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1690, 4, 'e3b9070d9616a13c4630d658bbbe6b6054ddbfd1', 'master', 1, '2016-11-10 16:00:08', 'Louis BAYLE', 'Livraison 1.6.77_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1691, 4, '63b2eb170ea390a81e17e959436f064bd0df258d', 'master', 167, '2016-11-21 14:41:06', 'Philippe Le Barbier', '[D43774][D43736] Evolution collisions suite à defect 43774 (ajout RIBA) et defect 43736 (ajout NIR_NIP)\n', '', '', '', 'philippe.lebarbier@atos.net', '', '', 0),
(1692, 4, '94cf61431af7ee7c847e76603c64b7584095d1f0', 'master', 1, '2016-11-23 15:09:10', 'Louis BAYLE', 'Livraison TAIGA_PALL V1.6.79 (FUSION_PL)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1693, 4, '6711c0d6fb9eeff4057d6a0a92ca80b8a2e023a4', 'master', 167, '2016-11-24 14:14:00', 'Philippe Le Barbier', '[D43479] mise à jour en base des NIR en doublons RO SS\n\n[D43479] commit intermédiaire\n\n[D43479] Connexion avec OC_REDA pour ne pas activer le trigger de la table NIR_NIP qui insère dans la table RIBA_ORDRE\n\n[D43748] Evolution pour ajout dans la table NIR_NIP et update de la table RIBA\n', '', '', '', 'philippe.lebarbier@atos.net', '', '', 0),
(1694, 4, 'ccc320d5ae4b16d668d6b28eece53956d374d135', 'master', 1, '2016-11-24 15:02:34', 'Louis BAYLE', '[43479] move to TAIGA_PALL\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1695, 4, '5462d52fa2bef043ee042d94f458bf91273378d5', 'master', 1, '2016-11-24 15:10:11', 'Louis BAYLE', 'Livraison 1.6.81_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1696, 4, 'dee36d4c4246c29e000ce8f313a9d613698bc283', 'master', 157, '2016-11-30 13:26:39', 'Vincent GENTIL', '[D43527] caisses DOM - Forcer un recalcul des cotisations sur dossiers impactés par le D43331\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1697, 4, '4478e58a0b765f69f5418d178e1524e248581430', 'master', 164, '2016-12-01 10:48:11', 'Lionel Giordanengo', 'Livraison 1.6.77_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1698, 4, '81d809a473b9cc7e9573160e1a612b08fe3c37e6', 'master', 164, '2016-12-13 11:36:45', 'Lionel Giordanengo', '[D43870] Passe plat pour : FUSION - PL - Modification du script de redressement des périodes d\'OC\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1699, 4, '94d733d274e1d2f87cef9f05cf6b20544f8859bd', 'master', 164, '2016-12-13 11:39:11', 'Lionel Giordanengo', 'Livraison 1.7.3_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1700, 4, '9f9f5ee29f886b8e225a32b164fdf5f9b1371a8e', 'master', 164, '2017-01-10 10:07:36', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.6.76\' into TAIGA_PALL_1.7.3\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1701, 4, 'd001643676054edf5edc5a44b3ca01ae0bda8c66', 'master', 164, '2017-01-10 10:08:25', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.6.81\' into TAIGA_PALL_1.7.3\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1702, 4, '9ca01a92243a2fd7f98d0a49808a39186ec12a09', 'master', 164, '2017-01-10 10:08:46', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.6.79\' into TAIGA_PALL_1.7.3\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1703, 4, 'b7fe1981991f0b476ca8a4c5f580547752e3c1cd', 'master', 164, '2017-01-10 11:51:34', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.6.77\' into TAIGA_PALL_1.7.3\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1704, 4, '31e8af7421b94185659220eebbc57949bab80dfd', 'master', 198, '2017-01-12 16:14:47', 'Patrick CHAUVET', '[D44018] mise a jour des mtf_dp_ass_id et mtf_dp_ayd_id pour actions P03 et P07 MOE\n', '', '', '', 'patrick.chauvet.external@atos.net', '', '', 0),
(1705, 4, '1ddd2de2b37184fc11dcd255eb7b7acf1245227f', 'master', 154, '2017-01-12 16:15:34', 'Laurence DECHAMP', '[D44063] maj par MOE RSI  : Modification du script pour decaler la periode annuler et ainsi eviter que 2 dates de début soient identiques pour un meme dossier\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1706, 4, '35164f7e7b8bcc088bcde8a21397f16bd1c6ea44', 'master', 164, '2017-01-12 16:19:34', 'Lionel Giordanengo', 'Livraison 1.7.3_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1707, 4, '22b6c2173e34eb0b733571f9e593dfb37849c428', 'master', 164, '2017-01-17 16:16:28', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.3\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1708, 4, '550f4602f2d3010374f16c87b4df4b99439422f4', 'D43884', 246, '2017-01-17 16:45:48', 'Olga TOINON', '[D43884] Modification pour sauvegarde\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1709, 4, '91b73cc095103ba4e0a12e1164f54a9a58c9f5d0', 'TAIGA_PALL_1.7.2', 154, '2016-12-21 10:37:34', 'Laurence DECHAMP', '[D43627] RED03 : liste et maj en base\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1710, 4, 'acb21f3871b7af39b9dc8d710da4ff42b27eec57', 'TAIGA_PALL_1.7.2', 154, '2016-12-21 10:37:44', 'Laurence DECHAMP', '[D43627] Commit intermédiaire\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1711, 4, '07acff7d3c2b03120846c63fa4fbc1b95d5590dd', 'TAIGA_PALL_1.7.2', 154, '2016-12-21 10:37:54', 'Laurence DECHAMP', '[D43627] RED03 suppression périodes en base\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1712, 4, '772782af8a08f1e46e155e55c379faed7360a6ab', 'TAIGA_PALL_1.7.2', 154, '2016-12-21 10:38:01', 'Laurence DECHAMP', '[D43627] RED03 correction message shell\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1713, 4, '2e1ebbd4d98fb450a9c7cc10054b1b8b2746110f', 'TAIGA_PALL_1.7.2', 154, '2016-12-21 14:10:27', 'Laurence DECHAMP', '[D43627] maj shell\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1714, 4, 'a8fa3c591d01dd25e627238f6ed9c2cfba2d5271', 'TAIGA_PALL_1.7.2', 164, '2016-12-21 14:17:15', 'Lionel Giordanengo', 'Livraison 1.7.2_001\n\nLivraison 1.7.2_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1715, 4, 'f0b01321a0052800f6f8d52ffaf42b44cc84f7e7', 'TAIGA_PALL_1.7.2', 164, '2017-01-17 16:46:42', 'Lionel Giordanengo', 'Merge branch \'master\' into TAIGA_PALL_1.7.2\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1716, 4, '548ec2342ea4da665346128641c0ae00666d22f3', 'D41937', 199, '2017-01-18 11:10:42', 'Bertrand FONTANEL', '[41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1717, 4, 'ddecddcfc474f845e424fc25e6fd6af1dcc362d3', 'm14791', 322, '2017-01-18 17:14:39', 'Estelle CORSETTI', '[m14791] GUI, install, ...\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(1718, 4, 'c0e02fc84dd556fb3a9333b56d3a5fda4521205e', 'm14791', 322, '2016-12-02 17:12:41', 'Estelle CORSETTI', '[m14791] Amélioration des performances\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(1719, 4, '2305b8c140624df61142d1cc4a87f52838e46b60', 'm14791', 322, '2016-11-30 17:33:46', 'Estelle CORSETTI', '[m14791] fluxversXML\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(1720, 4, 'c6a8d3fcda388757110cd3b28efeb3dc79d12c6d', 'm14791', 146, '2016-11-16 09:55:17', 'Achraf AKRIMI', '[D14791] fluxVersXML\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1721, 4, '134e6917ad38469e168b458263a40218c63f05f6', 'D43884', 246, '2017-01-18 17:18:02', 'Olga TOINON', '[D43884] Modification du package, des scripts sh et sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1722, 4, 'a00f2cbd7f727704611500d03dbef7058a51c240', 'm14791', 322, '2017-01-18 17:19:12', 'Estelle CORSETTI', 'Executable\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(1723, 4, '030bd78b68db0934cd5b1a8124a217358168991f', 'D43884', 246, '2017-01-18 18:34:34', 'Olga TOINON', '[D43884] Modification du shell de fusion des fichiers\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1724, 4, '87c922244de1afe2b5ed953d7e68810aac693075', 'm14791', 322, '2017-01-19 10:08:23', 'Estelle CORSETTI', 'm14791 Executable + .jar executable\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(1725, 4, 'e6392ae6832e3efdfc48ec6e73d54634f808dcfb', 'D44103', 199, '2017-01-19 10:40:26', 'Bertrand FONTANEL', '[D44103] modification de la vue v_cqpntf50_dlp_derniere_notif\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1726, 4, 'd8f0dcd1afd018df14cae28af72d2f823eb89ea2', 'm14791', 322, '2017-01-19 11:02:36', 'Estelle CORSETTI', 'm14791 changement GUI, modification exploration de fichier\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(1727, 4, '42b2dba0a26aceab762780466d4ff30ae0d62fe3', 'D42609', 93, '2016-05-04 10:40:46', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel \"3 en 1\" TO\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1728, 4, '88c7193eddf0823c81629f491bd9efa1eaa226f0', 'D42609', 93, '2016-05-04 11:22:50', 'jean-marc SCOTTO', 'D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1729, 4, 'c392414ecd074bbf757f6401582d2c7eed582433', 'D42609', 93, '2016-05-04 13:02:22', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1730, 4, '29548882769d0ede06eed9b0a05d783081913e57', 'D42609', 93, '2016-05-04 14:20:00', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1731, 4, 'c530473c25bad9c6b955ae20b1f19a6949c6495e', 'D42609', 93, '2016-05-18 17:30:21', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1732, 4, 'fa7ea8c0e0035f6431faa1e1f739162a4d60cb33', 'D42609', 93, '2016-05-20 15:01:41', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1733, 4, 'ec4c3ed0a83db41b2b75192f8e122c4a7ec002a2', 'D42609', 93, '2016-05-20 15:05:22', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1734, 4, '54cb3d0e5ba54ff53f28d7a2098da0f38598b137', 'D42609', 157, '2016-05-20 16:18:15', 'Vincent GENTIL', '[D42609] Mise à jour de la SFD SFD_COTI_notification_V11maj0.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1735, 4, '0a3bef77e55c5cf88941032c1ce3f823973f3dba', 'D42609', 93, '2016-05-20 16:57:12', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1736, 4, '57bcaf4333accfaab59fb37d60158a956741a749', 'D42609', 93, '2016-05-20 18:26:42', 'jean-marc SCOTTO', '[D42609] Mise à jour de la SFD SFD_COTI_notification_V11maj0.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1737, 4, '64f10fddeb107c077e05234c65257f9b9d16430f', 'D42609', 157, '2016-05-27 16:08:21', 'Vincent GENTIL', '[D42609] Mise à jour de la SFD SFD_COTI_Calcul_échéancier_V4maj0.doc : mis à niveau et prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1738, 4, 'e5aa614ae0b499baf8efff40c9dd30e09cd6133b', 'D42609', 157, '2016-06-01 09:34:41', 'Vincent GENTIL', '[D42609] Mise à jour de la SFD : SFD Conversion des flux CMR vers OC_V7maj0.doc : mise à niveau et prise en compte du 3 en 1 (nouvelle version)\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1739, 4, '0f2dac163b0e89b49bfd6483fd7e32c8cd106e5e', 'D42609', 157, '2016-06-24 10:08:38', 'Vincent GENTIL', '[D42609] Mise à jour des SFD : SFD_COTI_Notification_V11maj1 SFD_COTI_Calcul_Echeancier_V4maj1 SFD Conversion des flux CMR vers OC_V7maj1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1740, 4, '93a62cccd5277151c24bc7cfa04f3f34e9ed19df', 'D42609', 157, '2017-01-19 11:03:55', 'Vincent GENTIL', '[D42609] Mise à jour des SFD : SFD_COTI_Notification  (V11_2) SFD Conversion des flux CMR vers OC (v7_2) SFD_COTI_Calcul_Echeancier (v4_2)\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1741, 4, 'c9b3201d6c5b301a3b159503f788274c21ccfe40', 'master', 1, '2017-01-19 11:15:30', 'Louis BAYLE', 'Merge remote-tracking branch \'origin/D42609\'\n\najout de docs qui n\'ont pas été intétrés (il n\'y a pas eu de livraison\nde code pour le defect)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1742, 4, 'c61914f247637914841662846695ccdc93034f6b', 'master', 93, '2017-01-19 11:19:24', 'jean-marc SCOTTO', '[D42609] Mise à jour des SFD\n\nSFD_COTI_Notification  (V11_2)\nSFD Conversion des flux CMR vers OC (v7_2)\nSFD_COTI_Calcul_Echeancier (v4_2)\n\n---- 14 squash ---\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel \"3 en 1\" TO\n\nD42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_notification_V11maj0.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_Echeancier.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_notification_V11maj0.doc : prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD SFD_COTI_Calcul_échéancier_V4maj0.doc : mis à niveau et prise en compte de l\'appel 3 en 1 TO (nouvelle version)\n\n[D42609] Mise à jour de la SFD : SFD Conversion des flux CMR vers OC_V7maj0.doc : mise à niveau et prise en compte du 3 en 1 (nouvelle version)\n\n[D42609] Mise à jour des SFD : SFD_COTI_Notification_V11maj1 SFD_COTI_Calcul_Echeancier_V4maj1 SFD Conversion des flux CMR vers OC_V7maj1\n\n[D42609] Mise à jour des SFD : SFD_COTI_Notification  (V11_2) SFD Conversion des flux CMR vers OC (v7_2) SFD_COTI_Calcul_Echeancier (v4_2)\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1743, 4, 'ae886709bec7fbe2f8274c3d4e37e57861bef92a', 'master', 1, '2017-01-19 11:22:45', 'Louis BAYLE', 'Merge branch \'D42609\' (Maj SFD)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1744, 4, '048f9a48ee5b3c36149896c0ff794b9ec34cd599', 'D43016_NTF50', 199, '2017-01-19 14:19:23', 'Bertrand FONTANEL', '[D43016] correction vue v_cqpntf50_dlp_derniere_notif\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1745, 4, '04d21a83dc25f1ec5dc09d3a9980203960fdda37', 'D43016_NTF50', 199, '2016-09-21 16:25:44', 'Bertrand FONTANEL', '[D43016] creation des tables et vues\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1746, 4, '813f55dd831d296582ff9155d8f6ce6847e4c654', 'D43016_NTF50', 199, '2016-09-21 16:22:42', 'Bertrand FONTANEL', '[D43016] optimisation pck_cqpntf50\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1747, 4, '9397a67eb075051a0d1187f6cd18471f54c5badf', 'D43016_NTF50', 164, '2016-09-20 17:14:20', 'Lionel Giordanengo', '[D43409] suppression maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1748, 4, '030250a2e351a54d563008b15739f891d5aaa755', 'D43016_NTF50', 164, '2016-09-20 16:57:37', 'Lionel Giordanengo', 'Livraison 16.0.40_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1749, 4, 'c0d8980fb51a60026356cd86f6d4cc1742330e3f', 'D43016_NTF50', 164, '2016-09-20 15:42:43', 'Lionel Giordanengo', 'integ ajout maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1750, 4, '553e4d17ae6f94a2d8a8bb56ca81799a4d8c1f2b', 'D43016_NTF50', 164, '2016-09-20 15:13:49', 'Lionel Giordanengo', '[D43378] commit bidon pour RF (report de la 16.0.4)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1751, 4, 'b386e6bc89201c7efa25c44162af6498e56d213b', 'D43016_NTF50', 164, '2016-09-20 15:04:31', 'Lionel Giordanengo', 'Merge branch \'16.0.4\' into 16.0.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1752, 4, '75ddf5fa6a6d739fb74fe6782c0687ac4c4b5b89', 'D43016_NTF50', 164, '2016-09-13 14:38:47', 'Lionel Giordanengo', 'Livraison 16.0.40_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1753, 4, '07f2a94db26f5b7991a614a91cef5d6a2f31604b', 'D43016_NTF50', 164, '2016-09-12 11:04:10', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 16.0.4\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1754, 4, 'd23fe9bd2376f596d9f01e98579505dcf0e93c4b', 'D43016_NTF50', 199, '2016-09-13 14:36:37', 'Bertrand FONTANEL', '[D43380] suppression commentaire maj base  + /\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1755, 4, '9a2525a9ef5554d1178757fa4bbaf0150e4e9585', 'D43016_NTF50', 164, '2016-09-09 10:38:19', 'Lionel Giordanengo', 'Livraison 16.0.4_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1756, 4, '4089bb5974525da7ef2c950086a7b9a3e012f191', 'D43016_NTF50', 164, '2016-09-12 16:06:27', 'Lionel Giordanengo', 'Livraison 16.0.40_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1757, 4, '672dd9d4ce0adf84623651e44841918c1e8d314e', 'D43016_NTF50', 164, '2016-09-09 10:15:34', 'Lionel Giordanengo', 'Integ 16.0.4 : Renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1758, 4, '62e28e853d13b1282c799cf5e5ecd2a46209b330', 'D43016_NTF50', 164, '2016-09-12 16:04:12', 'Lionel Giordanengo', 'Integ 16.0.40 : Renommage et nettoyage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1759, 4, 'd27efac2822cd3ee2343f90e7a87754e60d8bb65', 'D43016_NTF50', 157, '2016-09-09 10:12:30', 'Vincent GENTIL', '[D43104] == FIX == Correction ajout spoc23_histo et sca spoc31_histo et spoc34_histo\n\n[D43104] == FIX == Correction changement de modalites de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1760, 4, '501769bccb0d41624af0e3b767d455eaf1cf1275', 'D43016_NTF50', 199, '2016-09-12 15:50:44', 'Bertrand FONTANEL', '[D43380] maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1761, 4, 'ec78a0a06a7160203f5d57ea71864148b4638557', 'D43016_NTF50', 164, '2016-08-22 11:40:30', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.4\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1762, 4, '05640e0ff0ac3de96706d82e71bf6dd3143480eb', 'D43016_NTF50', 164, '2016-09-12 11:32:45', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 16.0.40\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1763, 4, '161e990b680e7b59570418dc22ee8256d32b5b08', 'D43016_NTF50', 1, '2016-08-08 12:09:48', 'Louis BAYLE', 'Livraison 16.0.4_001\n\nNote: la doc est livrée dans le repertoire suivant:\nTAIGA/1_titulaire/doc/Exploitation/Guide d_Exploitation TAIGA - batch.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1764, 4, '3348054a76faff006b92f5c96ea58543c6fd46a5', 'D43016_NTF50', 164, '2016-09-06 17:16:04', 'Lionel Giordanengo', 'Livraison 16.0.40_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1765, 4, 'ad2308e1c37e25a10f69342db32739ff9c62bf26', 'D43016_NTF50', 1, '2016-08-08 11:51:25', 'Louis BAYLE', 'majbase 16.0.4\n', '', '', '', 'louis.bayle@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(1766, 4, 'd66d80293c58528472ca2d2fbdaf590c16b44f30', 'D43016_NTF50', 164, '2016-09-06 17:14:16', 'Lionel Giordanengo', '[D43358]  Erreur à l\'exécution du maj_base_cmr_V16_0_40_01.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1767, 4, '6acedf95dc59a03f861cc04f6b4c6dacc0cd6c55', 'D43016_NTF50', 1, '2016-08-08 11:49:21', 'Louis BAYLE', '[43137] maj guide d\'exploitation batch v14.5\n\nmise a jour fournie par marandon alors\nque ce document n\'est pas maintenu...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1768, 4, '7d8e8331a61e0ea82b74b89fbb93cb243e5cc1f2', 'D43016_NTF50', 164, '2016-08-31 15:25:52', 'Lionel Giordanengo', 'Livraison 16.0.40_001 - LIVREE NON QUALIFIEE\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1769, 4, '0a932d3f91c35727974d79908314a3ee66a0ef65', 'D43016_NTF50', 157, '2016-08-08 11:48:15', 'Vincent GENTIL', '[D43104] Correction code sca spoc31 changement modalites de paiement\n\n[D43104] Correction recherche spoc23_histo changement modalites de paiement\n\n[D43104] Correction ajout spoc23_histo et sca spoc31_histo\n\n[D43104] Correction ajout spoc23_histo et sca spoc31_histo\n\n[D43104] Correction ajout spoc23_histo et sca spoc31_histo\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1770, 4, 'e84e747b47a52db4c519d3a3fb36984210a1d957', 'D43016_NTF50', 164, '2016-08-31 15:25:51', 'Lionel Giordanengo', 'Integ : creation maj_aj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1771, 4, '4d968a6b5084deeee0d9ce0ec5f6d12c85c41636', 'D43016_NTF50', 169, '2016-08-31 15:25:43', 'Fabien TROPIS', '[D39196]  APP - Retro-documentation du traitement apel_adresse_pl.sh\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1772, 4, '9494aeb31facecce4c10b4c5162aa43e3ba7cbde', 'D43016_NTF50', 1, '2016-08-31 15:19:00', 'Louis BAYLE', '[D42871] ==FIX== DSI-2015-Erreur à l\'intégration DSI en production sur CMR_054\n\ncorrection suite a probleme de merge :\n3d18e314cf37 a ete écrasé par a118804bd19\n\nmais pourquoi et comment ?!?\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1773, 4, 'f37bcb67ea6eab6bc674f44b9158f3d09c64aa2f', 'D43016_NTF50', 1, '2016-08-31 15:18:58', 'Louis BAYLE', 'lanceurAPP.sh : fix date\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1774, 4, 'fb7b3f797ef3cdbb197eae65e58f595f1de420d1', 'D43016_NTF50', 169, '2016-08-31 15:18:57', 'Fabien TROPIS', '[D41648] prise en compte des montant=0 pour les CMR 58, 59\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1775, 4, 'f60c4f02d8784305a90a4de4ece77b1a7eb8a159', 'D43016_NTF50', 147, '2016-08-31 15:18:56', 'Michel Siacchitano', '[D39452] Suppression a tord de spoc34 pour des benf bloqués\n\nLoB: commit michel sous le numero [D3954]...\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/aix/sh/cjchpl20.sh\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1776, 4, '23832c4e834ba3956a42b208922098ff6cd0a830', 'D43016_NTF50', 199, '2016-08-31 15:18:54', 'Bertrand FONTANEL', '[D43028] Correction année de revenu\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1777, 4, '160b6811e7878ae8e175bde5e2bdbbe9012220fe', 'D43016_NTF50', 157, '2016-08-31 15:18:53', 'Vincent GENTIL', '[D42925] Evolution generation echeancier notification procedures particulieres\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1778, 4, '534d01f3a122b3f961419edf3afc629cd68aeace', 'D43016_NTF50', 134, '2016-08-31 15:18:51', 'Isabelle LAGIER', '[D42514] CNAVPL/CNBF- SIREN Adresse Pro et Identifiant pro\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(1779, 4, '60fd3df265353b1153634c7f51cb5aa3a6538f18', 'D43016_NTF50', 164, '2016-08-29 14:12:25', 'Lionel Giordanengo', 'Livraison 16.0.15_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1780, 4, '17aa46cdbf2bebc74e15e4401ab887e19102a85a', 'D43016_NTF50', 164, '2016-08-29 13:57:57', 'Lionel Giordanengo', '[D43300] Fusion des branches 16.0.4 et 16.0.10 : Commit bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1781, 4, '9abcb6939ed38ec5fc9d71d45b667fbb918ccbd0', 'D43016_NTF50', 164, '2016-08-29 12:09:59', 'Lionel Giordanengo', 'Merge branch \'origin/16.0.4\' into 16.0.15\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc23.sql\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n\nNB : MERGE sur pck_spoc23.sql Resolu par BFL (entre 43104 et 42171)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1782, 4, 'e9d5841920263713c5647a0bf6ee8f319212e330', 'D43016_NTF50', 1, '2016-08-29 10:35:38', 'Louis BAYLE', 'lanceurAPR.sh (APL)\n\nle script cjkapl10.sh n\'est pas lancé...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1783, 4, '5defde150128055f69f57e4334fd373a768e8feb', 'D43016_NTF50', 1, '2016-08-26 15:53:55', 'Louis BAYLE', 'Merge branch \'16.0.10\' into \'16.0.15\' => MERGE_APPEL_TO\n\nRISQUE DE MERGE SUR:\n#	1_titulaire/Cotisation/Cotisation/aix/sh/ijmbnf20.sh\n=> il faut lancer d\'abord le cjchpl15.sh et ensuite ctrl_spocs2n.sh\n\nconflits non résolus dont j\'ai pris la version 16.0.10:\n#	Docs/Reference/3B11 - Doc fonctionnelles/Lanceurs/LanceurAPR.mm\n\nconflits non résolus dont j\'ai pris ce qu\'il y a sur tadev3 (env qualif):\n#	Environnements/ubdd/utils/lanceurAPR.sh\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/aix/sh/ijmbnf20.sh\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc_sca_outils.sql\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n#	Docs/Reference/3B11 - Doc fonctionnelles/Lanceurs/LanceurAPR.mm\n#	Docs/Reference/DEX/DEX_TAIGA_Appels_de_Regularisation.doc\n#	Environnements/ubdd/utils/lanceurAPR.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1784, 4, 'b6babbbe3b8b316c0f39e106399106093a08ec60', 'D43016_NTF50', 164, '2016-08-26 15:28:50', 'Lionel Giordanengo', 'Livraison 16.0.15_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1785, 4, '9a4e12c64182312a65bcf3995667555072cdbc72', 'D43016_NTF50', 164, '2016-08-26 15:26:29', 'Lionel Giordanengo', 'Integ : Creation du maj_base _05\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1786, 4, '451095c34a0855a46fcf52ecb13c0714cb0f9f85', 'D43016_NTF50', 164, '2016-08-26 15:23:35', 'Lionel Giordanengo', 'Revert \"[D42171] correction maj base\"\n\nThis reverts commit cf7bb02a49b280926170da6689870afe13d48a89.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1787, 4, '74bc1e9ece3a0255b2b2a0e157632edf34b8cf8d', 'D43016_NTF50', 157, '2016-08-23 11:40:17', 'Vincent GENTIL', 'lanceurAPP.sh: cobol exe\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1788, 4, 'f3ec5dfd606c518d37d68af4e6100280c6d578c8', 'D43016_NTF50', 157, '2016-08-23 11:40:17', 'Vincent GENTIL', 'lanceurAPP.sh: erreur sur cjkapl41.sh\n\nil manque un \'/\' dans le path...\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1789, 4, '5cb4ff9731e50bff12d97722e87d4b8f05aa1c44', 'D43016_NTF50', 157, '2016-08-23 11:40:17', 'Vincent GENTIL', 'lanceurAPP.sh: ajout check fichiers SAGA et cobol exe\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1790, 4, 'b748aeb67a76e8053370081f3d7c00b9a7918365', 'D43016_NTF50', 1, '2016-08-23 11:40:17', 'Louis BAYLE', 'lanceurAPP.sh: FIX des appels rsh suite a modification D42564\n\nvoir commit b1e4d82297\n\n+ cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1791, 4, '6bd7f9004bfdbccbb36b1b94940a245c94d45d7c', 'D43016_NTF50', 199, '2016-08-23 11:40:17', 'Bertrand FONTANEL', '[D42171] spoc21\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1792, 4, 'bf2b81b9d1f3f58869e3d1a0a3a690a9386f2849', 'D43016_NTF50', 199, '2016-08-23 11:40:17', 'Bertrand FONTANEL', '[D42171] correction spoc23\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1793, 4, 'cf7bb02a49b280926170da6689870afe13d48a89', 'D43016_NTF50', 199, '2016-08-23 11:40:17', 'Bertrand FONTANEL', '[D42171] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1794, 4, 'df5c105f07b18a71e0648ca96d07ba8d8b746091', 'D43016_NTF50', 199, '2016-08-23 11:40:17', 'Bertrand FONTANEL', '[D42171] Correction spoc 21\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1795, 4, '2c99d903db0c733833771dbb39b12f67a528c14e', 'D43016_NTF50', 1, '2016-08-23 11:40:17', 'Louis BAYLE', 'LanceurAPP.sh : check Environnement\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1796, 4, 'ab04cc69093b764ff9c091e00119ff393955dbe4', 'D43016_NTF50', 164, '2016-08-23 10:12:10', 'Lionel Giordanengo', 'Livraison 16.0.15_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1797, 4, '2877e53856774ee0b5700903e3361a29ecb8ada8', 'D43016_NTF50', 164, '2016-08-23 10:00:40', 'Lionel Giordanengo', '[D43249] reports 16.0.3 - Commit bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1798, 4, 'd553f6d3c2630d1512681aed05b4ae911dcd368e', 'D43016_NTF50', 164, '2016-08-23 09:48:18', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.15_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1799, 4, '28e3de02b2be52ad929893fd4f072310f79ca43f', 'D43016_NTF50', 164, '2016-07-22 16:08:16', 'Lionel Giordanengo', 'Livraison 16.0.15_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1800, 4, 'c2cd0258a68dc7463ddbe0f9627d57b5990ea1e4', 'D43016_NTF50', 164, '2016-07-22 16:05:31', 'Lionel Giordanengo', '[D43082] Modif Bidon pour RF :Demande de report de la 16.0 sur les versions en qualif\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1801, 4, '6618e04f26ea11fd088eb911af087fe606464039', 'D43016_NTF50', 164, '2016-07-22 15:24:19', 'Lionel Giordanengo', 'Merge branch \'16.0.0\' into 16.0.15\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1802, 4, '724287d564155c655f5a47a16c9ac0aa7dff5f1e', 'D43016_NTF50', 164, '2016-07-04 10:36:03', 'Lionel Giordanengo', 'Livraison 16.0.15_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1803, 4, 'd29ce112dc3ced1de29cb8a2ab32ab6232865a8f', 'D43016_NTF50', 164, '2016-07-04 10:12:54', 'Lionel Giordanengo', 'Integ 16.0.15 : Renommage du maj_base.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1804, 4, '43a10390228a46f7a8e144ffad95024d39489a4d', 'D43016_NTF50', 93, '2016-07-04 10:09:58', 'jean-marc SCOTTO', '[D41664] Correction du calcul de la dlp dans les packages pck_cqpntf50.sql et pck_cqpntf60.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1805, 4, '814d28dd5fa2d14b95255d41618ebfbf72320d99', 'D43016_NTF50', 164, '2016-06-30 15:20:11', 'Lionel Giordanengo', 'Livraison 16.0.15_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1806, 4, 'c14a4eca95ff7345eeceb9fc4ee32490be21d9ba', 'D43016_NTF50', 164, '2016-06-29 17:43:31', 'Lionel Giordanengo', 'Integ Suppression d\'un Maj_base inutile\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1807, 4, '2d7d9556849ef34c4ffc054c8fa4a22576f44ea3', 'D43016_NTF50', 74, '2016-06-29 16:32:21', 'Isabelle Finette', '[D42169] Correction sur la tele déclaration\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1808, 4, 'c548f545dba635f12a344b10534a701c1bd1b499', 'D43016_NTF50', 74, '2016-06-29 16:32:21', 'Isabelle Finette', '[D42169] Fin correction D42169\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1809, 4, 'b45beb7752a3d1ac6bc830065e2ccabfc9a477d5', 'D43016_NTF50', 74, '2016-06-29 16:32:21', 'Isabelle Finette', '[D42169] correction de la faute d\'orthographe dans le fichier des messages\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1810, 4, 'b439abfc88e1a4c9761b9c2478285e8652d33ae9', 'D43016_NTF50', 74, '2016-06-29 16:32:21', 'Isabelle Finette', '[D42150] Correction de l\'anomalie\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1811, 4, 'ba6502e67294932f44d8de38b44e0f76bf1f956f', 'D43016_NTF50', 74, '2016-06-29 16:32:21', 'Isabelle Finette', '[D42169] Dev evol\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1812, 4, '443c28dfd4032d225a62f6cba1cda380078be7f5', 'D43016_NTF50', 74, '2016-06-29 16:32:21', 'Isabelle Finette', '[D42169] Rajout du message 7512 pour évolution 42169\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1813, 4, '65a6680fd98a8bc7af95049410db80b84a287ab0', 'D43016_NTF50', 199, '2016-06-28 16:40:21', 'Bertrand FONTANEL', '[D42171] Correction suite rebase 16.0.15 sur master\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1814, 4, '3c46b76c4f211ff4ab4025e7f21a6095f075e2ea', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42171] correstion sca = 2\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1815, 4, 'b63a6f179038f00c35e83ce2eeff07e3dcab2e25', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42783] deplacement des shell datetaiga\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1816, 4, '362eabb1a72aad04b5c3a5aef58be9446cf2dddb', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42171] maj base\n\n[D42171] maj base correctif\n\n[D42171] correction ctrl\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1817, 4, '35a3f66be5b0967ecd5c65cb82583119b46f74e1', 'D43016_NTF50', 164, '2016-06-28 16:09:12', 'Lionel Giordanengo', 'Integration - Creation du maj_base 16.0.15 et suppression des maj_base des defect\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1818, 4, 'f2eaf3ef72118aa5a051f8fa5cbf81a977b57f0e', 'D43016_NTF50', 157, '2016-06-28 16:09:12', 'Vincent GENTIL', '[42003] Correction generation échéanciers de notification\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1819, 4, '9f587b41064561438801fe6a000164b421726b16', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', 'Revert \"[D42802] DSI AR Optimisation\"\n\nThis reverts commit c2bda8e0149f3c77d448126c0398f9a8996c8b84.\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1820, 4, '2bbf61598af9f1ae0b70f98e0b9c241c0466f501', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42802] DSI AR Optimisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1821, 4, 'e7b26904b7bb4f456f9390a5249250f0d0f8863a', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42171] correction bug\n\n[D42171] corrections diverses\n\n[D42171] corrections diverses TU BQ OK\n\n[D42171] ajout index calcul_a_effectuer_histo\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1822, 4, 'fdfdd95e6d084c4c662efb3978b13a8cc3484414', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42783] Correction suite retour Lombardo\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1823, 4, 'deb566e444e0404ad84fa7a4090f78340bb80fb7', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42171] correction d\'un if\n\n[D42171] correction passage parametres spoc_absent\n\n[D42171] corrections diverses\n\n[D42171] Refonte controle final\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1824, 4, 'b437d1bae930ec5f6aa0f4a7f8d2209a08514a25', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42783] Final TU OK\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1825, 4, 'b1e4d822976fd629fc951f2ea4be93ed726c3968', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42564] modification des appels rsh\n\n[D42564] shell de date\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1826, 4, '1e717d14553d14067891b201a81210a4e97a2f53', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42171] correction requete\n\n[D42171] pas de controle pour l\'appel prov\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1827, 4, '085204575fe704766b69d9b63a281eee9470f97b', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42564] shell stop taiga date\n\n[D42564] shell start Taiga Date\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1828, 4, 'c5d65384c065f37034e16b72c949970e9f12174a', 'D43016_NTF50', 157, '2016-06-28 16:09:12', 'Vincent GENTIL', 'Revert \"[D41529] Ajout chainage cjchpl15.sh\"\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1829, 4, '9c5146f29b0b1627a38e4ea96defec8196c1c7d3', 'D43016_NTF50', 157, '2016-06-28 16:09:12', 'Vincent GENTIL', 'Revert \"[D41555] Appel TO simplification procedures\"\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1830, 4, '1508858f5030705944d21cb0e3691736244563b7', 'D43016_NTF50', 164, '2016-06-28 16:09:12', 'Lionel Giordanengo', 'Revert \"[D41482] Appel TO correction indicateurs edibilan\"\n\nThis reverts commit bbcc220e46b94c34998936a863a5d01f318fba42.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1831, 4, '3be0554824312d0fcc37d60222f8f1ec19735460', 'D43016_NTF50', 164, '2016-06-28 16:09:12', 'Lionel Giordanengo', 'Revert \"[D41332]  Appel TO correction bilans\"\n\nThis reverts commit 7584c2cb21f9b2e666c238bc026dcd35d403b9a2.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1832, 4, '2e76031e53b98793e92adbfd7eae23fa4cbb1f3d', 'D43016_NTF50', 199, '2016-06-28 16:09:12', 'Bertrand FONTANEL', '[D42171] Correction spoc23 a partir du 31 et 21\n\n[D42171] spoc23 correction formatage\n\n[D42171] spoc23 ok\n\n[D42171] spoc23 ok + test de masse ok\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1833, 4, '440a690cd7a5877e7c9dffe9c0b37105c27b648b', 'D43016_NTF50', 93, '2016-06-28 16:07:55', 'jean-marc SCOTTO', '[D42394] Anomalie SPOC suite à deblocage sur caisse 058 (correction pck_spoc31.sql) + maj_base_cmr_XXX_D4294.sql\n\nLoB: cherrypick de la V15.1.90 effa442\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1834, 4, 'cc177b870e121a24104819d81984ca7bd0f61f51', 'D43016_NTF50', 157, '2016-06-28 16:07:55', 'Vincent GENTIL', '[D41555] mise a jour lanceur APR\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1835, 4, '62d90e55c9a542fc526e808091a0bb0d892f6a62', 'D43016_NTF50', 199, '2016-06-28 16:07:55', 'Bertrand FONTANEL', '[D42171] Spoc2n complet\n\n[D42171] correction nom du fichier erreur\n\n[D42171] 21 ok, maj base, ctrl\n\n[D42171] spoc 2n a tester\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1836, 4, 'fdecc50a83178d1c37e4d2074d8b87c0eb0469e2', 'D43016_NTF50', 157, '2016-06-28 16:07:42', 'Vincent GENTIL', '[D42386] correction generation spoc21\n\n[D42386] correction generation spoc22\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1837, 4, '7acc2263e4ac313bca810abeceec6a21398a895f', 'D43016_NTF50', 199, '2016-06-28 16:07:42', 'Bertrand FONTANEL', '[D42171] debut ajout controle spoc31 et spoc34\n\n[D42171] ctrl de coherence\n\n[D42171] table err\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1838, 4, '908ff3a6815b7796a5d4747a7b334bfa33c14fef', 'D43016_NTF50', 157, '2016-06-28 16:05:03', 'Vincent GENTIL', '[D41555] simplification procedures appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1839, 4, '41c8d79a85a7dbc5f721f4bed701e4f7f6668eaf', 'D43016_NTF50', 199, '2016-06-28 15:58:39', 'Bertrand FONTANEL', '[D42171] correction lien avec calcul_a_effectuer_histo\n\n[D42171] sca intermediaire\n\n[D42171] correction format penalité\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1840, 4, '4fff66c55ba266cae208bc27b731b408366abc1c', 'D43016_NTF50', 147, '2016-06-28 15:58:39', 'Michel Siacchitano', '[D42564] shell changement heure pour lancement app a une date particuliere en cours\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1841, 4, 'cd64f1493715efa4f7c0f498c0c3317b2704511c', 'D43016_NTF50', 199, '2016-06-28 15:58:39', 'Bertrand FONTANEL', '[D42171] spoc 23 histo\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1842, 4, 'd87549f48b769b3104bf9b2891c7651c95d3a454', 'D43016_NTF50', 157, '2016-06-28 15:58:39', 'Vincent GENTIL', '[D41555] simplification procedures appel TO : correction syntaxe\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1843, 4, 'ee26c4021a017c79d4cc5eb88ec9f909b6b8b04c', 'D43016_NTF50', 199, '2016-06-28 15:58:39', 'Bertrand FONTANEL', '[D42171] recupe donnée sur le 31\n\n[D42171] Constitution spoc23 à partir du 21 et 31\n\n[D42171] Correction alias group by\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1844, 4, 'cb78b0126716a3d7dc253b036c8047afd71346a7', 'D43016_NTF50', 157, '2016-06-28 15:54:24', 'Vincent GENTIL', '[D41555] mise a jour lanceur APR\n\n[D41555] mise a jour lanceur APR\n\n[D41555] Mise à jour du .mm\n\n[D41555] mise a jour lanceur APR, .mm et shell lancement sélection appel APR (correction analyse code retour)\n\n[D41555] mise a jour lanceur APR\n\n[D41555] mise a jour lanceur APR\n\n[D41555] simplification procedures appel TO : correction\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1845, 4, '3a56487e9d05c9f07a122d55e61343dbecc6553b', 'D43016_NTF50', 199, '2016-06-28 15:54:24', 'Bertrand FONTANEL', '[D41529] Mise à jour du .mm\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1846, 4, 'c842457b854f48ca93599a43f7d7ce26c4e97aa0', 'D43016_NTF50', 199, '2016-06-28 15:54:24', 'Bertrand FONTANEL', '[D42529] maj DEX Régul\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1847, 4, 'e5ad998ad7c5e61c899f5519a38af1166c789a02', 'D43016_NTF50', 157, '2016-06-28 15:54:24', 'Vincent GENTIL', '[D41555] simplification procedures appel TO : correction syntaxe\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1848, 4, '5cea381e73d5e18600f3c24cf3b7f72eb659d151', 'D43016_NTF50', 199, '2016-06-28 15:54:24', 'Bertrand FONTANEL', '[D42171] Shell + spool ctrl spoc2n ok\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1849, 4, '1fc074d83e1c5d82b1427d869288328b8dbc7bc0', 'D43016_NTF50', 157, '2016-06-28 15:54:24', 'Vincent GENTIL', '[D42564] Evolution permettant de gerer la sortie du 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1850, 4, '51009638dfbfaaf3bd19f9a41c82500c79c0e31a', 'D43016_NTF50', 157, '2016-06-28 15:54:24', 'Vincent GENTIL', '[D41555] simplification procedures appel TO : correction syntaxe\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1851, 4, '30cec73e9c9902c40ec7614342ea35e43da3a68c', 'D43016_NTF50', 199, '2016-06-28 15:54:24', 'Bertrand FONTANEL', '[D42171] correction erreur syntaxe\n\n[D42171] Correction lien caeh et spoc31\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1852, 4, '88446a0eda729392ee7eeb681c2da740c8c580b4', 'D43016_NTF50', 157, '2016-06-28 15:54:24', 'Vincent GENTIL', '[D41555] simplification procedures appel TO mise a jour schema lanceurAPR\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1853, 4, 'f60262ec4358a77d70a560372564f79fc58c9a95', 'D43016_NTF50', 199, '2016-06-28 15:54:24', 'Bertrand FONTANEL', '[D41529] Ajout chainage cjchpl15.sh\n\n[D41529] test appel_to + propre\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1854, 4, '573fd578567eaa47618cdbc84f030e7cc7f74828', 'D43016_NTF50', 157, '2016-06-28 15:54:24', 'Vincent GENTIL', '[D42564] Evolution permettant de gerer la sortie du 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1855, 4, '46ee49d3f9f88e4cd8bf3dcb37a3c74b69fca055', 'D43016_NTF50', 157, '2016-06-28 15:43:13', 'Vincent GENTIL', '[D41555] simplification procedures appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1856, 4, 'fd1b4dde4f679fcb1e983ef51096468aa43ac7fb', 'D43016_NTF50', 199, '2016-06-28 15:43:13', 'Bertrand FONTANEL', '[D42171] Gestion SPOC21 absent + ctrl coherence save\n\nsquash:\n[D42171] Gestion spoc21 absent\n[D42171] Gestion spoc21 absent\n[D42171] pour sauvegarde\n[D42171] controle de cohÃ©rence spoc2n 1er jet\n[D42171] Controle de coherence shell fini + prc 2nd jet\n[D42171] Ajout maj base\n[D42171] Spoc21 final avant TU\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc21.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1857, 4, 'e7014240925904bbefc31559d1306b56c0e01310', 'D43016_NTF50', 157, '2016-06-28 15:37:05', 'Vincent GENTIL', '[D41482] Appel TO correction indicateurs edibilan\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1858, 4, 'a2113bd64c2a6ad2a46a70c21d64f042135f7c73', 'D43016_NTF50', 157, '2016-06-28 15:37:05', 'Vincent GENTIL', '[D41332]  Appel TO correction bilans\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1859, 4, 'abed54e87cd6309488d6d8e911c90e7149b11a5b', 'D44103', 199, '2017-01-19 16:52:54', 'Bertrand FONTANEL', '[D44103] creation de l\'index mt_reclame_i04\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1860, 4, '386a0b2f19f8bf10ddcbe3ac28b3e9bc71456435', 'D44023', 157, '2017-01-13 16:31:06', 'Vincent GENTIL', '[D44023] Correction sélection des périodes à calculer\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1861, 4, '5116e9407367f116a8cb389143a14fc881f5b975', 'D43884', 199, '2017-01-19 14:36:29', 'Bertrand FONTANEL', '[D43884] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1862, 4, '069886b3945525d544d83fa6913ae42e589856ca', 'D43884', 199, '2017-01-20 09:07:11', 'Bertrand FONTANEL', '[D43884] Finalisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1863, 4, '19f259e300b288491eca9e33f5c20f92b303f384', 'D41937', 199, '2017-01-20 09:20:25', 'Bertrand FONTANEL', '[D41937] template spoc 57\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1864, 4, '19d58c59882e26457cc0e4bb9b0a9b2a23ab90e0', 'D44052', 157, '2017-01-18 11:47:47', 'Vincent GENTIL', '[D44052] Evolution : utilisation de trunc au lieu de round pour éviter les échéances négatives\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1865, 4, '9af53996188136d8ddf266d11361738e2cbb5f00', 'D44108', 157, '2017-01-20 09:49:00', 'Vincent GENTIL', '[D44108] correction calcul nombre échéances pour les cas a la hausse\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1866, 4, 'f4d6394ad6baf94a21a91fdc2ee5ccd9c56e90fe', 'D43884', 199, '2017-01-20 10:00:59', 'Bertrand FONTANEL', '[D43884] correction diverses\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1867, 4, 'ee9f02ef9e5380e2743b8635163a224e6d72a067', 'D43802', 74, '2017-01-20 10:41:17', 'Isabelle Finette', '[D43802] Modif du delta pour transmettre le numéro d\'erreur entre le pl sql et le nsdk\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(1868, 4, 'a145d527898f8060c7f7e98e33bb721de4a43778', 'D43656', 157, '2017-01-20 11:31:14', 'Vincent GENTIL', '[D43656] Changement modalites modification calcul de la date de la prochaine echeance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1869, 4, '87ac5a041ede727e472613b48ae2982bfb47d5cb', 'D41937_achraf', 146, '2017-01-20 11:47:48', 'Achraf AKRIMI', '[D41937] SPOC amelioration echange entre oc et taiga - reemission des spocs\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1870, 4, '30cb9016d2a3f2b7e9ff6b5d34c2547f5d0de350', 'D41937_achraf', 146, '2017-01-20 14:11:46', 'Achraf AKRIMI', '[D41937] Spoc amélioration des échanges entre taiga et les oc - reemission spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1871, 4, 'e1f50ce517fc0363ca84a5c0c681c48d9e594f31', 'D41937_AAI', 146, '2017-01-20 14:17:14', 'Achraf AKRIMI', '[D41937] Spoc amélioration des échanges entre oc et taiga - Reemission de Spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(1872, 4, 'ab2109dcb338c7f5012abff85969957608ffc3c7', '16.5.60', 157, '2017-01-20 10:02:22', 'Vincent GENTIL', '[D44052] Evolution : utilisation de trunc au lieu de round pour éviter les échéances négatives\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_calcul_echeancier.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1873, 4, 'a51f519507688e6bc67bc0484a196931e75bc52a', '16.5.60', 1, '2017-01-20 10:29:44', 'Louis BAYLE', 'Livraison 16.0.60_001\n\nmajbase 16.0.60\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1874, 4, 'cc10c51308f187cd01a5dfa803676b3831b871e5', 'D41937', 199, '2017-01-23 08:41:10', 'Bertrand FONTANEL', '[D41937] correction diverses spoc11\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1875, 4, '5455d90bbc9d9e234c46746de16fc6aac7fbc5a3', 'D41937', 199, '2017-01-23 09:00:47', 'Bertrand FONTANEL', '[D41937] correction + initiliastion param_spoc_emission\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1876, 4, '8c09f34978e62b8ad533aa2e4ec6e844fe12930a', 'D43802', 168, '2017-01-18 09:03:46', 'Vincent-Pierre LYS', '[D43802] suppression de commentaire.\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(1877, 4, '3dc81ffd1f385e1998c20d1e98c27a078b915d93', 'D43802', 168, '2017-01-21 09:26:19', 'Vincent-Pierre LYS', '[D43802] Version hybride fonctionnelle a vérifier\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(1878, 4, '30e85a0aa086984a31e7aeb7374a03da01185df1', 'D43802', 168, '2017-01-23 09:54:10', 'Vincent-Pierre LYS', '[D43802] Gestion du message 5766 et Suppression des traces\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(1879, 4, '1acc7004b9c9c2966f5ac43f46409d2e9f7808b0', 'D43802', 168, '2017-01-23 09:58:44', 'Vincent-Pierre LYS', 'Merge branch \'D43802\' of 55.7.144.73:RSI_TMA/TAIGA into D43802\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(1880, 4, 'ca63c13534abdfdcacfafcf1db90263525c9e744', 'D41937', 199, '2017-01-23 10:06:49', 'Bertrand FONTANEL', '[D41937] gestion tables CRM\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1881, 4, 'a244af7c7c47b95ec098339d4be11ed14e9a8b5a', 'TAIGA_PALL_1.7.4', 164, '2017-01-23 11:49:05', 'Lionel Giordanengo', 'Merge branch \'master\' (TAIGA_PALL 1.7.3) into TAIGA_PALL_1.7.4\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1882, 4, 'a943259b080c8d1c0c03819ba486f3418e669c5e', 'D43656', 157, '2017-01-23 14:01:46', 'Vincent GENTIL', '[D43656] Changement modalites modification calcul de la date de la prochaine echeance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1883, 4, '39c053cb04e4065f40d4c23701bf476dd50b3ea3', 'D44084', 246, '2017-01-23 15:56:51', 'Olga TOINON', '[D44084] Modification du package et maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1884, 4, '34e8c08354651c32de4fd5a039e04b67d465200a', 'master', 157, '2017-01-23 17:15:10', 'Vincent GENTIL', '[D42609] Mise à jour des SFD\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1885, 4, '632c7520b8607f297066c026e1bbebe9eea547ba', '16.1.0', 157, '2017-01-23 09:05:51', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1886, 4, '373ee9f60beff3516f4eb7142bbf06c1e0c2db74', 'D41937', 199, '2017-01-23 17:21:34', 'Bertrand FONTANEL', '[D41937] partie commune\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1887, 4, 'b20b36d92557374cc3299a9d80b51d5a4630d6de', 'D44084', 246, '2017-01-23 17:48:28', 'Olga TOINON', '[D44084] Modification du package\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1888, 4, '5500547923a2c4850e6d3a06586e1c8fd1a18602', 'G4709', 168, '2017-01-23 18:20:07', 'Vincent-Pierre LYS', '[G4709] dans règle INS_ADRT_ID : utilisation du INS_ADRT_ID nouvellement créé pour mettre à jours la table ADRT et pour l\'insertion de la nouvelle ligne de DRT_PREST.\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1889, 4, '7c88627935ed4111a0a9e037b9b52d945049e149', 'G4709', 168, '2017-01-24 09:47:41', 'Vincent-Pierre LYS', '[G4709] Création du maj_base\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1890, 4, 'b44d5bd46bbc66d78c0ce7be6ed82ba0d843e4bc', 'master', 1, '2017-01-24 11:38:15', 'Louis BAYLE', 'InternalTools: impdp_cmr.sh\n\nPARALLEL=4 (conseillé par laurence)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1891, 4, '4eb1dc1318c02b6b713f2d307ab27a28f580bbf4', '17.0.0', 199, '2017-01-24 10:20:09', 'Bertrand FONTANEL', '[D44029] correction OC PL\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1892, 4, '6dd7702d52467c930a6e4c6ef1984f31acda4187', '17.0.0', 246, '2017-01-24 10:22:23', 'Olga TOINON', '[D44084] Modification du package et maj_base associé (squash 2)\n\n[D44084] Modification du package\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1893, 4, '11446b766798e4039052085a614bbecee44ea35d', '17.0.0', 164, '2017-01-24 10:30:33', 'Lionel Giordanengo', '[D43922] dev P.Mangin : DSI-2015-EIC-EDITIQUE_AJOUT_EC_MULTIPLE_ET_FUSION_PL_ARRET_053\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1894, 4, 'fe1b287f83ada1e46e96d679fb68838684e93459', '17.0.0', 164, '2017-01-24 10:52:00', 'Lionel Giordanengo', 'integration : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1895, 4, 'd6e37e56e0c076131b68e9472f40e94a88be627e', '17.0.0', 164, '2017-01-24 10:59:30', 'Lionel Giordanengo', 'Livraison 17.0.0_009\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1896, 4, '6c787b34f6c662c9049631dc30406ee4a3836e4c', 'G4605', 168, '2017-01-23 13:47:55', 'Vincent-Pierre LYS', '[G4605] Sav intermédiaire\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1897, 4, '82c28071e7ae72b883bc8b369ce67d3b3acb0652', 'G4605', 168, '2017-01-24 13:44:06', 'Vincent-Pierre LYS', '[G4605] Modification du DEX pour prendre en compte les deux scripts demandés\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1898, 4, '76b5350bcc7cbc92354bf62f9a5650d2182abf22', 'G4605', 168, '2016-12-21 15:37:11', 'Vincent-Pierre LYS', '[G4605] modification du script pour lui enlever la partie traitement des fichiers mono CMR\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1899, 4, 'e3bbb674e631a9597795f9acbe0c83f7d6bca122', 'G4605', 168, '2016-12-21 15:18:21', 'Vincent-Pierre LYS', '[G4605] modification de la recherche des fichiers à concaténer\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1900, 4, '3d051509321dde5ab053720d132622acddf90329', 'G4605', 168, '2016-12-20 17:56:16', 'Vincent-Pierre LYS', '[G4605] Création du script de concaténation par couloir\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1901, 4, '2d4fcabda2a4222129f028a7e5b2aeacdc0094ab', 'G4605', 168, '2016-12-20 11:19:22', 'Vincent-Pierre LYS', '[G4605] remise en forme du script de départ\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1902, 4, '70ae41ad26e1131f1ae4ee8338dd1431ea0a8168', 'master', 1, '2017-01-24 14:31:38', 'Louis BAYLE', 'InternalTools: bq.sh (cosmetic)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1903, 4, '6c5cbeb092c97394ed5268a1ccec94626367f478', 'G4709', 168, '2017-01-24 14:34:13', 'Vincent-Pierre LYS', '[G4709] Dans la regle RG_WS_RAD_TAIGA_040 : Utilisation du INS_ADRT_ID nouvellement cree pour la creation de la ligne DRT_PREST + Mise a jours de la table ADRT avec le nouveau INS_ADRT_ID\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1904, 4, 'bd7c79984905b54446467ea55eb261aeb49dfd71', 'D44116', 1, '2017-01-24 15:02:24', 'Louis BAYLE', '[D44116] FusionPL liste_ref_num_cmr\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1905, 4, '9fcd9ac156382358ea24b034cd71525efdf59fb4', 'D43077', 147, '2017-01-24 15:28:15', 'michel.siacchitano@atos.net', '[43077] Correction NIC revu\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1906, 4, 'a233f2bbf79cce19df07237010c66ab741190245', 'D43077', 147, '2016-11-07 16:13:42', 'Michel Siacchitano', '[43077] reprise Pal pour prise en compte nic vide\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1907, 4, 'c379e5b79239401c4f088d99a00caf10e6b17b3b', 'D43077', 147, '2016-10-11 09:34:50', 'Michel Siacchitano', '[D43077]  Recuperation du 40641 et corrections associes  (sha1 : 3b7cf48ea3ca)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(1908, 4, '11985f22b202555b0cf263f0323dee1f1400367b', 'D41937', 199, '2017-01-23 18:14:46', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1909, 4, '8914c5b965301fa3a48fbaced8b0f008df0c9a96', 'D41937', 199, '2017-01-24 07:46:44', 'Bertrand FONTANEL', '[D41937] save du jour\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1910, 4, '22f86a07401ba24359a5214ce8d904268c03c764', 'D41937', 199, '2017-01-24 08:42:23', 'Bertrand FONTANEL', '[D41937] debut spoc51\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1911, 4, 'bd1ac432f19c2cc5fd49e00fa99cb83f387bdc62', 'D41937', 199, '2017-01-24 16:10:01', 'Bertrand FONTANEL', '[D41937] spoc 51 v1\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1912, 4, '662d1ed77e8bd25291cd719060df967c6c809b8c', '15.1.80', 164, '2017-01-24 15:56:56', 'Lionel Giordanengo', 'integration : renommage du maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1913, 4, '0d4bedf02548da70f946aadc18374811e74f426e', '15.1.80', 164, '2017-01-24 16:06:21', 'Lionel Giordanengo', 'Livraison 15.1.80_014\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1914, 4, '5935ff5355b6e0e742bc6fa3ec10d8eea46b17cc', 'D44114', 199, '2017-01-24 16:31:37', 'Bertrand FONTANEL', '[D44114] renommage D44103 en D44114\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1915, 4, 'bfd2ce94cbd274ac7ecb0228e21b3adeee6751ec', 'D44114', 199, '2017-01-24 16:35:09', 'Bertrand FONTANEL', '[D44114] deplacement du maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1916, 4, 'e32294f0ada50ca784b2d0e99da24ab03bd29cda', 'D41937', 199, '2017-01-24 20:01:19', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1917, 4, '8375ae3e7ba93861e65a22815ad531d15fbee832', 'TAIGA_PALL_1.7.2', 154, '2017-01-23 16:32:54', 'Laurence DECHAMP', '[D44024] Déplacement 43626 (RED03) pour livraison dans FUS_TAIGA.16.5.10\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1918, 4, '5f31c7cb49044b22ff55d6283dc58a9d11837104', 'TAIGA_PALL_1.7.2', 154, '2017-01-23 16:33:37', 'Laurence DECHAMP', '[D43998] ajout compteurs manquants en fin d\'éxecution (RG_RED03C_05)\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1919, 4, '8f7eae71d2c90295e587dd022a3427afb5e42b5b', 'TAIGA_PALL_1.7.2', 164, '2017-01-23 16:37:45', 'Lionel Giordanengo', '[D44024] Finalement doit etre livré dans TAIGA_PALL donc déplacement dans systeme de fichiers.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1920, 4, 'c3f05f4edff9ded65694d6e06a8ad94e40866c85', 'TAIGA_PALL_1.7.2', 154, '2017-01-23 16:50:40', 'Laurence DECHAMP', '[D44096] supp ADRT si plus de périodes INS_ADRT pour l\'ayd\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1921, 4, '2e08f8ac6800b884e4bf6426abc9f6d57b2d5e9d', 'TAIGA_PALL_1.7.2', 154, '2017-01-23 16:52:05', 'Laurence DECHAMP', '[D44070] RG_RED03M_05 KO l\'absence du champ obligatoire\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1922, 4, '6a954e5253dba553ccaa37f1653ce22017868f5a', 'TAIGA_PALL_1.7.2', 154, '2017-01-23 16:53:38', 'Laurence DECHAMP', '[D44075] RG_RED03M_05 manque rejet si le benf_id du fichier de référence n\'est pas associé à l\'IMMA_ID\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1923, 4, '0d1c265e36bf23d55a90e88c8c5cfc57b50f4a54', 'TAIGA_PALL_1.7.2', 154, '2017-01-23 20:07:49', 'Laurence DECHAMP', '[D44096] RED03 - Correction compteurs et précisions dans logs\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1924, 4, '9a9698bdd583370632567c1abe9ded69a92f5920', 'TAIGA_PALL_1.7.2', 154, '2017-01-25 09:59:18', 'Laurence DECHAMP', '[D44096] commit final\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(1925, 4, '96b941d93fb9541a225800803295081a87257dc4', 'TAIGA_PALL_1.7.2', 164, '2017-01-25 10:27:06', 'Lionel Giordanengo', '[D44024] Suite\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1926, 4, 'd3ab4641ee8640eec12fe2b629976a42f4e818ea', 'TAIGA_PALL_1.7.2', 164, '2017-01-25 10:29:27', 'Lionel Giordanengo', 'Livraison 1.7.2_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1927, 4, '9ae2a0c7817db5c339d5512f1786241ff5bedcce', 'D42497OTN', 246, '2017-01-25 12:13:34', 'Olga TOINON', '[D42497] Modification du package\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1928, 4, 'e9637af7fba8facb1ab0f26a430bf2c4c8397ee9', 'D42497OTN', 246, '2016-10-31 11:18:32', 'Olga TOINON', '[D42497]Modification du package de la bascule\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1929, 4, 'b3ff3ebad41dbb67ff75df7679ed4bb44ecd8202', 'D42497OTN', 246, '2016-09-26 16:52:21', 'Olga TOINON', '[42497](m10598) Nomeclature spec afin d\'inserer des enregitrements dans plusieurs table de la CMR999\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1930, 4, '94f1b55ee46c2660815565c1d70c0df167334385', 'D42497OTN', 246, '2016-09-26 16:43:13', 'Olga TOINON', '[D42497](m10598)- modification du package de bascule\n- ajout du maj_base_cir et du maj_bas_cmr\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1931, 4, 'd3fe1d18bbf90ee09d1ea73acd247359f485b5cc', 'D42497OTN', 246, '2016-09-26 16:42:11', 'Olga TOINON', '[D42497](m10744)- Modification du shell ainsi que du script sql associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1932, 4, '5e4a3d4e3d2cfb9e2f8624e96154120d01a4af27', 'D42497OTN', 246, '2016-09-02 17:13:41', 'Olga TOINON', '[D42497](m10744) bascule annuelle nouveaux maj shell+sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1933, 4, '87f1f279cd0514107307741cdf8349ec9da82b2b', 'master', 164, '2017-01-25 14:08:05', 'Lionel Giordanengo', 'Merge branch \'16.0.60\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1934, 4, 'e250768b7218eeea5cfdcaea0d7a68d532095104', 'D43802', 168, '2017-01-25 14:45:00', 'Vincent-Pierre LYS', '[D43802] ajout du majbase\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(1935, 4, 'a78fdaac84288ef2ff46ceda24f4f5f29575ef16', '16.1.0', 164, '2017-01-25 14:16:56', 'Lionel Giordanengo', 'Merge branch \'master\' into 16.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1936, 4, '544cf6c687e26aa1431eaede6152ebfe91b8327b', '16.1.0', 157, '2017-01-25 14:18:00', 'Vincent GENTIL', '[D43658] Correction calcul echeancier a la hausse pour regul et ajustement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1937, 4, '510dd7d8b0c873d7173aa2bbf754d31651561c20', '16.1.0', 157, '2017-01-25 14:23:33', 'Vincent GENTIL', '[D44023] Correction sélection des périodes à calculer\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(1938, 4, 'e8789c256b9c3315665313fee8271da7b74f5a45', '16.1.0', 164, '2017-01-25 14:28:44', 'Lionel Giordanengo', 'integration : renommage maj_bases\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1939, 4, '1aaeb423aaf582d19913f9b6f9581108bb486f24', '16.1.0', 164, '2017-01-25 14:42:32', 'Lionel Giordanengo', 'Livraison 16.1.0_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1940, 4, '667ff3353c83d031f18eda7ff67a97b365a87ccd', 'D43884', 246, '2017-01-25 17:56:00', 'Olga TOINON', '[D43884] Modification du code_com_naiss dans le package pck_extract_tram_pl\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1941, 4, '18037e776fa8b0df000810c3d436cbacc3d0f783', 'D43884', 246, '2017-01-25 18:41:46', 'Olga TOINON', '[D43884] Correction du tri des fichiers\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(1942, 4, '7924039d141183e1fff0b88146143a6fc8c92798', '16.0.35', 164, '2017-01-26 11:17:51', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60)into 16.0.35\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1943, 4, 'e74281d438d847626d752ebaf849bbe35c323a1c', '16.0.35', 164, '2016-12-22 14:59:43', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.55) into 16.0.35\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1944, 4, 'cf37d5c4071f5c33841b368c5702b6b02c1b76d7', '16.0.35', 164, '2016-11-29 14:45:37', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 16.0.35\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1945, 4, '9106a92ce31404df828ead5a1ea2a4b5ad52bcf3', '16.0.35', 164, '2016-10-18 10:14:44', 'Lionel Giordanengo', 'Livraison 16.0.35_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1946, 4, 'b610edd4a14dcf8e8187f2035a2c81f54adcb903', '16.0.35', 164, '2016-10-18 10:09:18', 'Lionel Giordanengo', '[G4584][G4585] Correction du problème de création du fichier dates.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1947, 4, 'f25d3ce54db9a5d4a327802a375cb4d91ec50c8b', '16.0.65', 164, '2017-01-26 11:20:03', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60) into 16.0.65\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1948, 4, '1250d2847c1b6e281d3d389ad58b12899deaa394', '16.0.65', 164, '2016-12-23 10:43:39', 'Lionel Giordanengo', 'Livraison 16.0.65_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1949, 4, '8d9f8c516929fcf30d57c1564e186abc2f4e3727', '16.0.65', 169, '2016-12-23 10:38:02', 'Fabien TROPIS', '[D43871] Tri curseur ENT_C\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1950, 4, '625c60f13a6652d738791c268f24306b3c2a97cc', '16.0.75', 164, '2017-01-26 11:24:44', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60) into 16.0.75\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1951, 4, 'f430f84779a78c6294eb78c7b76955090b2fd971', '16.0.75', 1, '2017-01-03 15:22:28', 'Louis BAYLE', '[D43830] DOC maj des guide d\'exploit et guide traitement batch\n\nfinalement, le truc sera testé en prod, et le dex doit\nêtre mis à jour\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1952, 4, '1085da59790fc412a8379fa793b4a149ebd94c16', '16.0.75', 1, '2016-12-28 16:44:54', 'Louis BAYLE', 'Livraison 16.0.75_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1953, 4, '7fe1b14ca415234a701d470bc352b587d2821d07', '16.0.75', 169, '2016-12-28 16:23:59', 'Fabien TROPIS', '[43830] protocole de test 41123\n\n[43830] correction commentaires\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1954, 4, 'ace511f08f34978460998ce4e970a8421e130c11', '15.1.96', 164, '2017-01-26 11:40:12', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1955, 4, '88f9474c6d58057459ae889f901f8643046c974c', '15.1.96', 164, '2016-12-22 14:55:00', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.55) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1956, 4, '1889d6be2d8ad76eba944402a0e83b730a9a5626', '15.1.96', 164, '2016-11-29 14:48:34', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1957, 4, 'b7a68e729fe9c76a49faf4f735d8b18fdcc8af79', '15.1.96', 164, '2016-10-24 11:58:49', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.30) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1958, 4, '9eae8f7845e5b2a37c3ec479ecad54e8c780295d', '15.1.96', 164, '2016-10-10 10:35:38', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1959, 4, 'b68df516c3936112174c6273d922bf8a90976a2a', '15.1.96', 164, '2016-09-12 13:55:00', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1960, 4, 'f4867940621a9731500aa13caa5d625c071c1dc4', '15.1.96', 164, '2016-08-22 16:46:18', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1961, 4, '369f0977c2a40d683d3620ea83e2f95659b81a54', '15.1.96', 164, '2016-07-08 10:12:23', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.98) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1962, 4, '106fe1fb58fdbc355a9e416bcd2767c267c4bad2', '15.1.96', 164, '2016-06-02 11:12:07', 'Lionel Giordanengo', 'Livraison 15.1.96_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1963, 4, '45852a9cf53c525e3021f5d0cf38ee2b043973d9', '15.1.96', 169, '2016-06-02 11:05:24', 'Fabien TROPIS', '[D42781] Relivraison -encore- du D41123\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1964, 4, '160590e95adcabc8105cd155cf4f3584443f605e', '17.0.0', 164, '2017-01-26 11:47:08', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60) into 17.0.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1965, 4, '4369a2fab23a33fbb524824ee095c6b0c5355d7e', 'master', 1, '2017-01-26 11:48:19', 'Louis BAYLE', 'InternalTools: gentptux.sh - gestion des logs\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(1966, 4, '3cb23f154292d80a66b2e1e969909308fe2d3ff7', '17.1.0', 164, '2017-01-26 11:53:07', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60) into 17.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1967, 4, '8cb919cc5792ddadd809f88e23d62a9b6c625b09', '16.0.5', 164, '2017-01-26 14:01:54', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60) into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1968, 4, 'a3f93d4fe01bf60f0eb7220549ab07e1d5a6ba31', '16.0.5', 164, '2016-12-22 14:57:43', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.55) into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1969, 4, '863c53f148f3804fad0666fd95f886fce564e757', '16.0.5', 164, '2016-11-29 15:07:42', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1970, 4, 'd25ef0302384bce4c1685029bb1dfd138680a336', '16.0.5', 164, '2016-10-24 11:40:05', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.30) into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1971, 4, '95dd785a3f60086e8c3ac574f6ff4911b6054803', '16.0.5', 164, '2016-10-10 10:34:32', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(1972, 4, 'e655f402c345dfc9b70517a7c3fb3392eb7378bd', '16.0.5', 164, '2016-09-12 11:49:17', 'Lionel Giordanengo', 'Livraison 16.0.5_004 - RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1973, 4, '3e7aa0a56cfd38e32ef8e8f183fdb509d3cc99b0', '16.0.5', 164, '2016-09-12 11:47:11', 'Lionel Giordanengo', '[D43377] Modif bidon pour RF dans DIM\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1974, 4, '1efef08e948aa90983ae8253e09dbfdb82a3439a', '16.0.5', 164, '2016-09-12 11:43:35', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1975, 4, 'f8c924642a9949653d7842a86ba28eb7ece1d141', '16.0.5', 164, '2016-09-01 14:04:27', 'Lionel Giordanengo', 'Livraison 16.0.5_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1976, 4, '3d483b877e7931b1a00e84587459fbeea0f95736', '16.0.5', 164, '2016-09-01 14:02:47', 'Lionel Giordanengo', 'Integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1977, 4, '006776c4fc2f07b1b2f4c48e6862d2e57be82c41', '16.0.5', 169, '2016-09-01 13:56:56', 'Fabien TROPIS', '[D42990]  Intégration 03S - Annulation DC sur non DCD actif\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1978, 4, '9e5c7d3327e38e86c411ce6e4f5a072018495c41', '16.0.5', 164, '2016-08-22 11:50:31', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1979, 4, '178d564973c2c136447c77fe8bb5911c3a21be62', '16.0.5', 164, '2016-07-28 12:02:28', 'Lionel Giordanengo', 'DOC : SFD_FLUX_GAYA apres fusion des versions par lindsay\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1980, 4, 'd3471e3a070dab276941b1770c872a45438dfc2d', '16.0.5', 164, '2016-07-25 11:47:58', 'Lionel Giordanengo', 'Livraison 16.0.5_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1981, 4, 'c3a772a247b5aadae768bc34f6da509906bc7f5a', '16.0.5', 164, '2016-07-25 11:37:19', 'Lionel Giordanengo', '[D43082] Commit Bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1982, 4, '8d69bbbada695595c77ff6bdfec89f03f16f514d', '16.0.5', 164, '2016-07-25 11:30:32', 'Lionel Giordanengo', 'Merge branch \'16.0.0\' into 16.0.5\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1983, 4, 'ccabf5aaecf879f8baaff7bb5593dc9d20a41382', '16.0.5', 109, '2016-07-12 16:08:13', 'Mathieu GONON', 'Livraison 16.0.5_001\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1984, 4, '4b337f46dcc86880eb95160f4125e33939e6406e', '16.0.5', 109, '2016-07-12 15:45:21', 'Mathieu GONON', 'Integ renommage maj base\n', '', '', '', 'mathieu.gonon@atos.net', '', '', 0),
(1985, 4, 'e54c1e1e9e58f9082ff9e84b2d2c676d8ab92bc3', '16.0.5', 169, '2016-07-12 15:39:31', 'Fabien TROPIS', '[D42990] Ajout evolution D42044\n\n[D42990] Cas presence dans BENF_COMPL_02 sans Certif\n\n[D42990] Maj_Base associé\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(1986, 4, '76aa4f9258da99fc28b327e2c14388399e1385d9', '16.0.5', 164, '2016-07-08 11:44:39', 'Lionel Giordanengo', 'Livraison 16.0.2_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1987, 4, 'a42107418379819b5f8f35cc7d0013b617cbc1bf', '16.0.5', 164, '2016-07-08 11:39:34', 'Lionel Giordanengo', '[D43005]  AFFI - Modifier la nomenclature civilité \"ex-Mademoiselle\" (code \'3\' de la table CIV) : de \"Madame \" en \"Mademoiselle\"\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1988, 4, '8421030b95c6a6abba4c8234f1146837bf0c94aa', '16.0.5', 164, '2016-07-08 10:20:11', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.98) into 16.0.2\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1989, 4, 'd32b7931a8e86719ae1ad9c408220225048abf09', '16.0.5', 72, '2016-06-29 09:44:58', 'Alain Tassotti', '[D42923] Mise à jour SFD Flux GAYA\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(1990, 4, '6d3330871224edb6dbdb7e8cc4acaad8c7ed79e2', '16.0.5', 164, '2016-06-27 14:34:27', 'Lionel Giordanengo', 'Livraison 16.0.2_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1991, 4, '3bceec32a72c598f60ea0d18f5af5a3277ae8e72', '16.0.5', 164, '2016-06-27 14:20:58', 'Lionel Giordanengo', 'Integ Renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1992, 4, '2a7bb0fc026559749407b18185a4f07a363ec3c7', '16.0.5', 93, '2016-06-27 14:19:10', 'jean-marc SCOTTO', '[D42829] Prise en compte du code de certification décès 7 ou 8 dans le composant pck_flux_trt.sql\n\n[D42829] ajout du maj base maj_base_cmr_XXX_D42829.sql\n\n[D42923] Renommer le fichier maj_base_cmr_XXX_D42829.sql en fichier maj_base_cmr_XXX_D42923.sql.\n\n[D42923] Modification des commentaires : 42829 en 42923.\n\n[D42923] Correction du fichier fichier maj_base_cmr_XXX_D42923.sql.\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(1993, 4, '26672d1253e657464e53d8944a7f49904ee89fe7', '15.1.69', 164, '2017-01-26 14:07:51', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.60) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1994, 4, '3903d930a1aaafe571aa549de8eb4c4f084967b3', '15.1.69', 164, '2016-12-22 14:58:37', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.55) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1995, 4, '10603ad17df3ab12e5976c37ab18f01ced0a63d2', '15.1.69', 164, '2016-11-29 15:16:10', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.40) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1996, 4, 'dafcf3dbb6f9daee6aab63d567fa10810099d811', '15.1.69', 164, '2016-10-24 14:21:50', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.30) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1997, 4, '5955e4d6229e14ac3cf62f8f128d31f7f342634d', '15.1.69', 164, '2016-10-21 11:20:52', 'Lionel Giordanengo', 'Livraison 15.1.69_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(1998, 4, 'd390d622a35782a7888e2bd6bce6c0e3d0ee8a6b', '15.1.69', 199, '2016-10-21 10:29:45', 'Bertrand FONTANEL', '[D43612] maj de langeur de champs\n\n[D43612] maj maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(1999, 4, 'd9b4e09d57c316c0e9ec32e7017bb3a729670d8a', '15.1.69', 164, '2016-10-10 10:36:29', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.12) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2000, 4, 'bddb3b851cdcecc8d825afc8f416599550e3bc4a', '15.1.69', 164, '2016-09-12 11:35:07', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.7) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2001, 4, '6c3ef6fc5fe2957d34e85d2ac9f716fe5d719499', '15.1.69', 164, '2016-08-23 17:08:40', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.3) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2002, 4, '512e468ff3c841573072b543bfc093641a6e9ba4', '15.1.69', 164, '2016-07-08 09:52:45', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.98) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2003, 4, '7d9543fb3124f53f8743cf701d404f418e281bcb', '15.1.69', 164, '2016-06-03 15:48:44', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.75) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2004, 4, 'f19b73d3aa58e8b226f7c067ebbcc57a9b6cfeda', '15.1.69', 164, '2016-05-24 16:36:37', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.70) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2005, 4, '318124c0051e26382e408642fb656b9e9b2f5347', '15.1.69', 164, '2016-04-27 14:50:05', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.56) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2006, 4, '377dd49dc3e76c1d0ad2396617a4ee74c93758cd', '15.1.69', 164, '2016-03-29 11:49:52', 'Lionel Giordanengo', 'Livraison 15.1.69_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2007, 4, 'cc0e9fd54c767589023fd15e347b52a5db921f33', '15.1.69', 147, '2016-03-29 11:43:01', 'Michel Siacchitano', '[D42374] Plug control connection ORA avant TU\n\n[D42374] Plug du test de connexion ora\n\n[D42374] Pb Dans Transmission du MDP lors du test de connection\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2008, 4, '418ef2541b245732c97d57390ad69454c97ae7d0', '15.1.69', 147, '2016-03-29 11:42:55', 'Michel Siacchitano', '[D42424] Version Finale  TU Fait\n\n[D42424] Trace modif + entete\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2009, 4, '16b647da7fe7d587902e3ce74d81b085eb3e5e37', '15.1.69', 164, '2016-02-26 10:48:56', 'Lionel Giordanengo', 'Livraison 15.1.69_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2010, 4, '9eb49abb691dd5d28780c0959c39a4f1e556cfca', '15.1.69', 164, '2016-02-26 10:38:32', 'Lionel Giordanengo', 'Integration 15.1.69 : renommage Maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2011, 4, '8cae842fa960e2de6b44f83b49d2deb477502247', '15.1.69', 199, '2016-02-26 10:30:28', 'Bertrand FONTANEL', '[D40997] Corrections diverses oubliées de pousser précédemment\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2012, 4, 'a4c8101f14e14bdd7b24eca3f608645704c1a504', '15.1.69', 164, '2016-02-19 11:45:23', 'Lionel Giordanengo', 'Merge branch \'master\' (15.1.25) into 15.1.69\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2013, 4, 'aa93e46c44f666f4c6ed039f7edc311d98ca5e1f', '15.1.69', 164, '2016-02-18 17:05:05', 'Lionel Giordanengo', 'Livraison 15.1.69_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2014, 4, 'ca5cd8e07a04289f13aaa92c7ae6a41dc0ad8da3', '15.1.69', 199, '2016-02-17 10:27:08', 'Bertrand FONTANEL', '[D40997] Correction siren apres maj\n\n[D40997] Gestion multi occurences\n\n[D40997] Correction suite FDR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2015, 4, 'c4205a63e7329684f3beadc0d7d071a8e7027168', '15.1.69', 164, '2016-02-15 10:14:20', 'Lionel Giordanengo', 'Integration Rennomage du maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2016, 4, '8046abdda3d9f57c57c6343b8b7f100124a4c91c', '15.1.69', 199, '2016-02-15 10:12:39', 'Bertrand FONTANEL', '[D40997] FIAB-SIREN-Alimenter les SIREN absents dans Taiga a partir de SCR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2017, 4, '353a543e5d173af975744935a1ce4b3bd091a592', '17.15.00_QUAL', 164, '2017-01-24 17:41:52', 'Lionel Giordanengo', 'maj_base 17.15.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2018, 4, '26c0a08e060f78080b586cfffa1dac23941995e1', '17.15.00_QUAL', 147, '2017-01-25 11:34:08', 'michel.siacchitano@atos.net', '[43077] Correction NIC revu\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2019, 4, 'c38a1b854f9753051e1fd55e7529e6cbdb3420f5', '17.15.00_QUAL', 72, '2017-01-25 11:42:32', 'Alain Tassotti', '[D43802]  Modification de la SFD de reference TP SFD Fiche Assure (squash 10)\n\n[D43802] curseur de la procedure trait_isa modifié\n\n[D43802] modification de IFKASS60_PB_ENREG_EXECUTED pour affichage du refresh => si\n\n[D43802] Correction dans procedure stockée d\'erreurs sur le continue\n\n[D43802] Ne pas livrer ! module SQL avec Traces\n\n[D43802] Sans les traces\n\n[D43802] suppression de commentaire.\n\n[D43802] Version hybride fonctionnelle a vérifier\n\n[D43802] Gestion du message 5766 et Suppression des traces\n\n[D43802] Modif du delta pour transmettre le numéro d\'erreur entre le pl sql et le nsdk\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2020, 4, '32ad4baf58fd42f5ffd3e0601089e415b531c7f0', '17.15.00_QUAL', 164, '2017-01-25 15:27:39', 'Lionel Giordanengo', 'integ : maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2021, 4, '8e664bab47c8f726248c1dcf6eeaaa9117ad998c', 'D41937_SPOC57_AAI', 146, '2017-01-26 19:20:13', 'Achraf AKRIMI', '[D41937] création du spoc 57\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2022, 4, 'f98ca9cd246e53b3602f19587359b50183710270', 'D43849', 157, '2017-01-27 09:30:35', 'Vincent GENTIL', '[D43849] correction pal_qc_37354 reprise echeanciers de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2023, 4, '96b1be974bd699e87df4d3513e8a3922ce6aff3b', 'D41937', 199, '2017-01-27 09:40:51', 'Bertrand FONTANEL', '[D41937] Gestion des Spools\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2024, 4, 'b66512e1e5edce11852c9def6c9206551c36a553', 'D43849', 157, '2017-01-27 16:34:46', 'Vincent GENTIL', '[D43849] correction pal_qc_37354 reprise echeanciers de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2025, 4, '7f07ff5483ed8db1fbc9f5f7c5ba7c608a89baee', 'D43849', 157, '2017-01-27 17:10:57', 'Vincent GENTIL', '[D43849] correction pal_qc_37354 reprise echeanciers de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2026, 4, 'cc57704c328d235891c97304044a523dc4d83e02', 'D41937FTS', 169, '2017-01-27 17:50:06', 'Fabien TROPIS', '[D41937] Correction avant regroupement\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2027, 4, 'a2c29479f8c9fc15e112e93c68385636f26bedd7', 'D43849', 157, '2017-01-27 19:50:37', 'Vincent GENTIL', '[D43849] correction pal_qc_37354 reprise echeanciers de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2028, 4, '4eb7080d074290b60dddd6ee6a9d298e24a77d4e', '17.1.0_QUAL6', 164, '2016-12-20 16:06:40', 'Lionel Giordanengo', 'Integ 17.1.0_001 : Finalisation des maj_base\n\nmaj_base ter\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2029, 4, 'c27c1da141e368eddac71f19213a5b75485e4648', '17.1.0_QUAL6', 157, '2016-12-20 16:06:45', 'Vincent GENTIL', '[D43597]  PLFSS 2017 ajout exonération réduction du taux de cotisation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2030, 4, 'ef5396edc64086673a52ce0528a5edb4c33ab2c0', '17.1.0_QUAL6', 164, '2016-12-20 16:11:17', 'Lionel Giordanengo', 'Livraison 17.1.0_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2031, 4, '96dfb3f541140b8e205e9ea16f3eeb1e10124bdd', '17.1.0_QUAL6', 164, '2016-12-20 14:21:18', 'Lionel Giordanengo', 'Integ 17.1.0_001 : traitement des nomenclatures\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2032, 4, 'd9b54a5d4c662b134f0d6bfb32533799c077ea59', '17.1.0_QUAL6', 74, '2016-12-20 14:21:18', 'Isabelle Finette', '[D43420] Correction incompatibilité entre regime 15 et régime 30 (squash 2)\n\nrenommage du : [D17.0.0EM]Correction incompatibilité entre réime 15 et régime 30\n\n[D43420] Correction de la faute d\'orthographe dans le fichier des messages cmsgtxt1.txt (r à la place de  z)\nrennomage de : [DXXXX][D42169] Correction de la faute d\'orthographe dans le fichier des messages cmsgtxt1.txt (r à la place de  z)\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2033, 4, '247c9073aae631099557633e151defac5199f54e', '17.1.0_QUAL6', 157, '2016-12-20 14:21:18', 'Vincent GENTIL', '[D43597]  PLFSS 2017 ajout exonération réduction du taux de cotisation (squash 2)\n\n[D43597]  PLFSS 2017 ajout exonération réduction du taux de cotisation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2034, 4, 'af62d670d7277af51658b8efb232e8ee9306ea5a', '17.1.0_QUAL6', 199, '2016-12-20 14:21:18', 'Bertrand FONTANEL', '[D43422] Correction sélection\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2035, 4, 'fbf0ef0e6f40e0b38640df7de6e5d86b4efa5b9b', '17.1.0_QUAL6', 74, '2016-12-20 14:21:17', 'Isabelle Finette', '[D43169] DSI INT - regression sur assiette sociale\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2036, 4, 'd525077d65e03401edf35ba80ffa6006a8c44446', '17.1.0_QUAL6', 1, '2016-12-20 14:21:17', 'Louis BAYLE', 'maj_base 17.1.0 DSI-INT (4)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2037, 4, 'ca2e2326bc372d95bf0e8badb6f7420fa0915299', '17.1.0_QUAL6', 246, '2016-12-20 14:21:17', 'Olga TOINON', '[D43423]Modification du script extract_fc15r.sql (squash 3)\n\n[D43423]ajout des \';\' dans le code du script extract_fc15r.sql\n\n[D43423]Modification du nombre de caratère pour un champs du script extract_fc15r.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2038, 4, '992529077768841cf4d2cc0a32e5ae9463ca148f', '17.1.0_QUAL6', 246, '2016-12-20 14:21:16', 'Olga TOINON', '[D43424]Modification du package cqpdsi00.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2039, 4, '6368d0fe5db3ea7c794261a9b53c82ba81d73753', '17.1.0_QUAL6', 246, '2016-12-20 14:21:16', 'Olga TOINON', '[D43423] Modification du script sql extract_fc15r.sql pour modifier le signe du montant dans la table fc15R\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2040, 4, '0d164ba4d8b96788cdabc6062765de13154b25c1', '17.1.0_QUAL6', 1, '2016-12-20 14:21:16', 'Louis BAYLE', 'maj_base 17.1.0 DSI-INT (3) ATTENTION Nomenclatures a retirer !\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2041, 4, '43fbc0ed36396c7689558e7522776913af14c2aa', '17.1.0_QUAL6', 157, '2016-12-20 14:21:16', 'Vincent GENTIL', '[D43597]  PLFSS 2017 ajout exonération réduction du taux de cotisation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2042, 4, 'c2078d08d56cceea99ad5e82c5348b9777eaf0ea', '17.1.0_QUAL6', 1, '2016-12-20 14:21:16', 'Louis BAYLE', 'maj_base 17.1.0 DSI-INT (2)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2043, 4, 'd6ed5ce8d3e75605aa373725a3527fe27eb6a94c', '17.1.0_QUAL6', 74, '2016-12-20 14:21:16', 'Isabelle Finette', '[D43421] Mise à jour de l\'écran suite à FDR suite à validation des specs (squash 3)\n\n[D43421] ajout choix batch ou TP\n\n[D43421] MAJ base rubrique XK\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2044, 4, 'b8d20899706a6e7a252b7f4664b111678b5c0a31', '17.1.0_QUAL6', 246, '2016-12-20 14:21:16', 'Olga TOINON', '[D43424]Modification du package cqpdsi00.sql et son maj_base (squash 2)\n[D43424] SFD V2Maj29\n\n# Conflicts:\n#	1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2045, 4, '6478961f58ebd42f76bcf064e8f4357e379b5cb1', '17.1.0_QUAL6', 72, '2016-12-20 14:21:15', 'Alain Tassotti', '[D43597]  PLFSS 2017 ajout exonération réduction du taux de cotisation (squash 3)\n[D43597]  PLFSS 2017 ajout exonération réduction du taux de cotisation\n[D43597]  Partie TP (ATI)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2046, 4, 'bffeed5b18170349de6d9e3e53bb66c3878b0279', '17.1.0_QUAL6', 199, '2016-12-20 14:21:15', 'Bertrand FONTANEL', '[D43804] correction delai sur la relance\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2047, 4, '8ae9a1883b3c0a8eea154c295bbdfd490b2f1bc2', '17.1.0_QUAL6', 134, '2016-12-20 14:21:15', 'Isabelle LAGIER', '[D43835] Augmentation nb de lignes li_decl\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(2048, 4, 'd2ba265411a2ee9f122c6bdb289619b483f20531', '17.1.0_QUAL6', 1, '2016-12-20 14:21:15', 'Louis BAYLE', 'maj_base 17.1.0 DSI-INT\n\nTODO: voir avec Yannick si il faut relivrer les nomenclatures\n      qui ont été livrées en 17.0.0 DSI-EM\n\nTODO: supprimer les maj_base des defects\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2049, 4, '9c915962fb21dd88fcf1cc1a6e1691a0a2838dc2', '17.1.0_QUAL6', 246, '2016-12-20 14:21:15', 'Olga TOINON', '[D43423] flux FC15R (squash 4)\n\n[D43423]Modification des specifictions afin de rajouter 2 nouveaux élément pour le flux FC15R\n\n[D43423]Rennomage de la doc\n\n[D43423] Modification du script sql extract_fc15r.sql afin de rajouter 2 nouveaux champs\nmodification du script sql de la table fc15r pour rajouter 2 nouvelles colonnes\ncréation d\'un maj_base pour la modification de la table fc15r\n\n[D43423] ajout de SFD_FC15R_Transfert_Revenus_vers_Acoss_V1Maj9_valide\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2050, 4, '3f957e2a74b194d57ed031104e1a52f4d200ba3f', '17.1.0_QUAL6', 74, '2016-12-20 14:21:14', 'Isabelle Finette', '[D43541] Mise à jour de la doc de spec avec le defect 42169\n\n# Conflicts:\n#	Docs/Reference/3B11 - Doc fonctionnelles/3B111 - DCR Cotisation Echeancier/3B1111 - Declaration/SFD_-_Integration_DR_-_Integration_des_revenus_TP.doc\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2051, 4, 'ba6477ccaa7686a251a7249f516c46aa10274cbb', '17.1.0_QUAL6', 246, '2016-12-20 14:21:14', 'Olga TOINON', '[D43422]Modification du script cjcenv02.sh ainsi que des fichiers sql associés. (squash 3)\nmodifications des tables associées. Ajout des maj_base (cmr et cir) après modifications de certaines tables.\n\n[D43422]Modification de package et misa à jour du maj_base correspondant\n\n[D43422]Modification des tags et du package pck_cqprar00.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2052, 4, 'cda4d0d98a402e1b3a6a4eedc3ce1cdc5b50aabc', '17.1.0_QUAL6', 246, '2016-12-20 14:21:14', 'Olga TOINON', '[D43542] Modification du script sql afin d\'intégrer dans le flux FC15R les assurés radiés éligibles à la campagne en cours.\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2053, 4, 'a16facb9ebf046d8c35f769c24024df108fa27a3', '17.1.0_QUAL6', 199, '2016-12-20 14:21:13', 'Bertrand FONTANEL', '[D43520][D43464] Spec de reference V2.27 en attente de validation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2054, 4, '7aaada0a8a469635c46015c12decd80609a696d7', '17.1.0_QUAL6', 199, '2016-12-20 14:21:12', 'Bertrand FONTANEL', '[D43520] maj table correspondance_rub_dcr\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2055, 4, 'bc1ad261207cbf149b501dd5a833ab49cf139861', '17.1.0_QUAL6', 246, '2016-12-20 14:21:12', 'Olga TOINON', '[D43474]En attente de la réponse de Pamela MUNEZERO\nModification du cjcenv60.sh afin d\'intégrer le nouveau fichier des assurés ayant coché l\'option \"pas de papier\"\nCréation d\'un nouveau spool afin de créer un fichier texte des assurés ayant coché l\'option \"pas de papier\"\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2056, 4, '58b17771e457e5ac2ce8ebb7d27ba1329b2c16e3', '17.1.0_QUAL6', 169, '2016-12-20 14:21:12', 'Fabien TROPIS', '[D43115] Inclusion des radiées de l\'année de déclaration (squash 3)\n\n[D43115] Gestion Groupe Professionnel des radiés\n\n[D43778] une seule ligne par assuré CNAVPL/CNBF\n\n# Conflicts:\n#	1_titulaire/Declaration_Revenus/Campagne_DCR/delta/batch/sources/CAKTRD01.D\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2057, 4, '78562325c683805d1615cd2ac53cf44a0777743f', '17.1.0_QUAL6', 168, '2016-12-20 14:21:12', 'Vincent-Pierre LYS', '[D43541] : Dev VPL (squash 3)\n\n[D43541] Correction de la requete et de la couleur du champ\n\n[D43541] Correction du package\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2058, 4, 'fd4ff0146be823ae7a157bbd0600bc95982f13f4', '17.1.0_QUAL6', 74, '2016-12-20 14:21:11', 'Isabelle Finette', '[D43421] Ajout rubriuqe XK\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2059, 4, 'ac0b3a297631af3834c15796307b4a12a084cda2', '17.1.0_QUAL6', 74, '2016-12-20 14:21:11', 'Isabelle Finette', '[D43420] Modification des messages d\'erreur\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2060, 4, '083f8c6b098396ccdd014d52b0012248c25ace0b', '17.1.0_QUAL6', 74, '2016-12-20 14:21:11', 'Isabelle Finette', '[D43419] Fin dev déplacement case à cocher WQ dans l\'écran principal\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2061, 4, 'e111731d70164f1bca4f2cf794e5abb4cff04d8c', '17.1.0_QUAL6', 74, '2016-12-20 14:21:10', 'Isabelle Finette', '[D43421] Rajout de la colonne XK dans l\'appel à la base (squash 2)\n\n[D43421] Rajout de la valeur XK dans le service\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2062, 4, 'b037a4bdceb1b00c504547806639ae63d6c6b4c5', '17.1.0_QUAL6', 199, '2016-12-20 14:21:10', 'Bertrand FONTANEL', '[D43464] DSI2016 - Maj nomenclatures (normales + anticipees) (squash 2)\n\n[D43464] alim de correspondance basculé dans le D43520\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2063, 4, '36465175ac36ed0034ff68783a9041be8add9667', '17.1.0_QUAL6', 74, '2016-12-20 14:21:10', 'Isabelle Finette', '[D43419] Dév du socle pour la DSI 2017\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2064, 4, '91b255b74544458a2754eccebb998ea42ce9f029', '16.0.75', 1, '2017-01-30 15:36:48', 'Louis BAYLE', 'Livraison 16.0.75_002\n\nne contient que la note tech d\'intégration\n(le defect part en prod)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2065, 4, 'e9ad74994e05d487c4679e30163cb80ba625e2ed', 'D44141', 199, '2017-01-30 15:51:32', 'Bertrand FONTANEL', '[D44141] Correction fonction get_ins\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2066, 4, '6ff36fb5b4b5550867c41635c0dd352dae605828', 'D43077', 147, '2017-01-30 16:03:02', 'michel.siacchitano@atos.net', '[43077] Bug Groupe Pro Correction\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2067, 4, '14be13d40163d8c2039b9d4a8dde1193b497b3cb', 'D44141', 199, '2017-01-30 16:16:29', 'Bertrand FONTANEL', '[D44141] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2068, 4, '9ef96bde99ac9890b219d6d86d6a32dc21387344', 'D44135', 199, '2017-01-30 16:27:31', 'Bertrand FONTANEL', '[D44135] correction PAF\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2069, 4, '45be0c34957d19dc40a3b0e16bb56df7c87f17bd', 'D44135', 199, '2017-01-30 16:28:57', 'Bertrand FONTANEL', '[D44135] correction PAF\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2070, 4, 'dc50f9f35c45946ddb0cc3212baf37f20871150c', 'D44135', 199, '2017-01-30 16:31:40', 'Bertrand FONTANEL', '[D44135] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2071, 4, '8a34423ecc94bc44ab07ce4464cfe4de5e1cbaef', 'D44141', 199, '2017-01-30 16:33:04', 'Bertrand FONTANEL', '[D44141] maj maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2072, 4, '99830cd045e9cf47fe1b961a759e76006dd078e0', 'D44135', 199, '2017-01-30 16:34:01', 'Bertrand FONTANEL', '[D44135] Maj maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2073, 4, 'ab9caee9114230a4c5b3cd89c46a6c1d6ae9b2f6', 'D43884', 246, '2017-01-30 16:50:33', 'Olga TOINON', '[D43884]Correction diverses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2074, 4, '79b7052ec552dd6c98f44d3a17378ee73e34583c', 'D44154', 199, '2017-01-30 17:23:52', 'Bertrand FONTANEL', '[D44154] correction optimisation DSI\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2075, 4, '4c8760fb1ac3b422a1ba4a16b0108c150b51fbba', 'D44141', 199, '2017-01-30 17:40:44', 'Bertrand FONTANEL', '[D44141] correction maj base avec un script\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2076, 4, '6cc727dd42bb75d8c15a5716fa9c12b0c626c09e', 'D44141', 199, '2017-01-30 17:58:59', 'Bertrand FONTANEL', '[D44141] Maj maj_base qui marche\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2077, 4, '7b8851993d28d0f34d370649f7b630d64bac667d', '16.0.64', 199, '2017-01-30 18:00:45', 'Bertrand FONTANEL', '[D44141] Correction fonction get_ins\n\n[D44141] Ajout maj base\n\n[D44141] maj maj_base\n\n[D44141] correction maj base avec un script\n\n[D44141] Maj maj_base qui marche\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2078, 4, 'ef33f62c3493329d864111171036cb02455936eb', '16.0.64', 1, '2017-01-30 18:03:52', 'Louis BAYLE', 'maj_base 16.0.64_01\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2079, 4, '31b32c2a6d409c112704869f1336b8fac58f65d0', '16.0.64', 1, '2017-01-30 18:09:10', 'Louis BAYLE', 'Livraison 16.0.64_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2080, 4, 'f53c81aac46bcaa4327d964ce11fc566bb9ee604', 'D43802', 168, '2017-01-30 19:18:53', 'Vincent-Pierre LYS', '[D43802] correction de l\'erreur no_data_found dans le second appel de la procedure.\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2081, 4, '47b1520efa55a4946fd7c06c32c402828b777f8e', 'D44136', 199, '2017-01-31 09:00:06', 'Bertrand FONTANEL', '[D44136] optimisation emission initiale\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2082, 4, 'a87d59dd66e1de767643c96b44d0d9e637722495', 'D44156', 74, '2017-01-31 09:39:34', 'Isabelle Finette', '[D44149] Correction de la tabulation dans l\'écran de saisie des revenus 2016\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2083, 4, '4143913f4352466648716a6a02fadddc96f2a600', 'D44156', 74, '2017-01-31 09:42:21', 'Isabelle Finette', '[D44150][D44143] Correction sur enregistrement de la télé déclaration\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2084, 4, '114a95fdf82b46bc95e17db83126ef69671987fd', 'D44136', 199, '2017-01-31 09:55:12', 'Bertrand FONTANEL', '[D44136] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2085, 4, '5127a2a25b487643db0a63d5e8e166c1d7b06208', 'D44137', 169, '2017-01-31 10:02:16', 'Fabien TROPIS', '[D44137] amélioration de la réinitialisation de HISTO_TRAVAIL\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2086, 4, 'f7c21e5a93218dcb3233ff5c968e5689b13c95a6', 'D41937_OTN', 246, '2017-01-31 10:18:33', 'Olga TOINON', '[D41937] Correction du script sql afin de compléter la sélection pour avoir 256 caractères dans le spool\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2087, 4, '9cfc928957f7ebea7c6e72e3b58c59dbc4bc5e91', 'D41937_OTN', 246, '2016-12-14 17:04:34', 'Olga TOINON', '[D41937] Modification des spool de cotisation\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2088, 4, '5f1c1c487531b7fccd5e92d013817bb1dd18afb0', 'master', 1, '2017-01-31 10:22:55', 'Louis BAYLE', 'DOC cleanup\n\npour l\'outil de mathieu...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2089, 4, 'ef7b66eec8cc5cb0a6a3e6efc2f12563e881046b', 'D43077', 147, '2017-01-31 10:18:45', 'michel.siacchitano@atos.net', '[D43077] Bug Groupe Pro Correction\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2090, 4, '1813ea9700aae6fc81e06d55526decf53b79d8ee', 'D41937_OTN', 246, '2017-01-31 10:32:39', 'Olga TOINON', '[D41937] Correction de la sélection du script sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2091, 4, '6c4bcfa8bc7bd6c176ee724a12f054ae05140543', '17.0.0', 199, '2017-01-31 10:45:14', 'Bertrand FONTANEL', '[D44136] optimisation emission initiale\n\n[D44136] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2092, 4, '0ca780cfba36637c78e36cfee9128d205f562ff1', '17.0.0', 1, '2017-01-31 10:48:35', 'Louis BAYLE', 'maj_base 17.0.0_010\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2093, 4, '1fdf84741ad73e782bbb1e28a7fdeffd35cbb99b', '17.0.0', 164, '2017-01-31 10:59:13', 'Lionel Giordanengo', '[D44140] Dev de P. Mangin : correction  edi_adresse_oc pour utilisation en instance gp92\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2094, 4, '04129416a2943a2bca5d32e318b04581b20479f8', '17.0.0', 164, '2017-01-31 11:19:45', 'Lionel Giordanengo', 'Livraison 17.0.0_010\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2095, 4, '225f0a3c2cc5ecad5b8a4a4867d1e08e6f958ee7', 'D44159', 157, '2017-01-31 10:46:40', 'Vincent GENTIL', '[D44159] correction mise a jour calcul_a_effectuer lors de la saisie de revenu\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2096, 4, 'fbabacae4b680019969a71f685035e034d84beea', 'D44136', 199, '2017-01-31 15:01:11', 'Bertrand FONTANEL', '[D44136] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2097, 4, '96cd98541d1d86a6af8494c8734f268f0c124955', '17.1.0_QUAL6', 168, '2017-01-31 15:21:16', 'Vincent-Pierre LYS', '[D44155] Test de commit et deverrouillage de la case à cocher. TU non fait\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2098, 4, 'a400660f8dcb1e79b44544f66b6be6ed316c7f59', 'D43884', 246, '2017-01-31 15:37:55', 'Olga TOINON', '[D43884] Corrections diverses sur le shell cjcrapp09.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2099, 4, '088f7fa4b124ba13edb30603df314bd8a84ce5a9', '17.0.0', 199, '2017-01-31 15:08:04', 'Bertrand FONTANEL', '[D44136] correction maj base\n\n[D44136] correction maj_base (manque EXIT)\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2100, 4, 'cef13fe5a929d2ff1e9d38c3112d8db34703846b', '17.0.0', 1, '2017-01-31 15:22:35', 'Louis BAYLE', 'Livraison 17.0.0_011\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2101, 4, '2b64349fb02dfe7480beec825623df2b12c3c201', 'D44136', 199, '2017-01-31 15:42:32', 'Bertrand FONTANEL', '[D44136] suppression d\'un NOT\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2102, 4, '8e90d9216bc34d841dc8798512b02d9cfdcc88cf', 'D43884', 246, '2017-01-31 15:58:02', 'Olga TOINON', '[D43884] Corrections diverses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2103, 4, 'c0f514bf9544ed74e6c4c6b8d191070fd3251fcf', 'D44136', 199, '2017-01-31 16:02:11', 'Bertrand FONTANEL', '[D44136] correction bulk pour l\'index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2104, 4, '46b3c8e11cb26ce36a7e0ad4c4756104f22a3a96', 'D44136', 199, '2017-01-31 16:16:17', 'Bertrand FONTANEL', '[D44136] correction index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2105, 4, '5d669681b9a82fd4aa63ee75f8e42ba36966802b', 'D44136', 199, '2017-01-31 16:21:03', 'Bertrand FONTANEL', '[D44136] correction index w01_cqpenv01_assu_i02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2106, 4, '837bc66f9c640890834dfcd114bc85b762d71948', '17.0.0', 199, '2017-01-31 16:30:22', 'Bertrand FONTANEL', '[D44136] correction maj base\n\n[D44136] suppression d\'un NOT\n\n[D44136] correction bulk pour l\'index\n\n[D44136] correction index\n\n[D44136] correction index w01_cqpenv01_assu_i02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2107, 4, 'b94ed2df2b511aab9236f5f830ed899e83f1c66d', '17.0.0', 1, '2017-01-31 16:39:13', 'Louis BAYLE', 'Livraison 17.0.0_011\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2108, 4, 'd119413e9e9b98c6528b3ebd3c159cb98d9dec80', '17.2.0', 168, '2017-01-31 10:09:41', 'Vincent-Pierre LYS', '[D43802] correction de l\'erreur no_data_found dans le second appel de la procedure.\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2109, 4, '8628ea858419dfd0df7b333edc05e019c378f8f5', '17.2.0', 147, '2017-01-31 16:42:39', 'michel.siacchitano@atos.net', '[D43077] Bug Groupe Pro Correction\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2110, 4, '6eba072b0954d31be0f27ba04e642fcf999bc6cf', '17.2.0', 164, '2017-01-31 17:10:02', 'Lionel Giordanengo', 'integration renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2111, 4, '87583aed3bacb485f9af2d9e5ff2cf24ff57c4eb', '17.2.0', 164, '2017-01-31 17:20:16', 'Lionel Giordanengo', 'Livraison 17.2.0_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2112, 4, '73762c089e93aa186cc16b61c821253c3a042a73', 'D43884', 246, '2017-02-01 09:35:40', 'Olga TOINON', '[D43884] Corrections diverses du script shell cjcrapp09.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2113, 4, '5a4aa09ea46d6841d50d3b40e7c57785771090f1', 'master', 1, '2017-02-01 10:33:26', 'Louis BAYLE', 'DOC: OneNote archive\n\n    Copie de G:\\TMA_RSI_TAIGA\\OneNote\n    Des archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2114, 4, '4a42c3a17fb561cb325bd6f27e8ad44adc4859c6', 'G4709', 168, '2017-02-01 14:28:23', 'Vincent-Pierre LYS', '[G4709] creation de la nouvelle ligne d\'INS_ADRT avec la colonne situ_adrt_id valorisée à 4 pour les conjoints collaborateurs (situ_adrt_id =3 avant traitement).\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2115, 4, '5b895c24785825e99aa8b4d81695512e2377c880', 'G4709', 168, '2017-02-01 14:31:53', 'Vincent-Pierre LYS', '[G4709] création du maj_base\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2116, 4, '07b661ee5ba914cfbbbf886cf12a4550836f4875', 'D43077', 147, '2017-02-01 14:35:38', 'michel.siacchitano@atos.net', '[D43077] Correction Commentaire 01/02/2017\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2117, 4, 'e62281c2406af9dab98f31dbfe1c6539a76b0a93', 'TAIGA_PALL_1.7.2', 154, '2017-02-01 14:17:50', 'Laurence DECHAMP', '[D44075] Correction libellé message d\'erreur\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(2118, 4, 'bb6ce91be2b799920029d0b7065ee0dcd81359a8', 'TAIGA_PALL_1.7.2', 154, '2017-02-01 14:17:59', 'Laurence DECHAMP', '[D44153] Suppression ADRT avant suppression INS_ADRT (pb fk)\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(2119, 4, '915bc65c8b26f2c1323171cbac0fd6b1a3089015', 'TAIGA_PALL_1.7.2', 154, '2017-02-01 14:18:00', 'Laurence DECHAMP', '[D44153] commit final sur suppression/recalcul des périodes ADRT\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(2120, 4, '5370a2c257ba2ea3b8b26e3f00566c217ae72cda', 'TAIGA_PALL_1.7.2', 164, '2017-02-01 14:18:00', 'Lionel Giordanengo', 'Livraison 1.7.2_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2121, 4, 'bf71e566a25140cdd565726755e31823ebf23e41', 'G4709', 168, '2017-02-01 15:25:20', 'Vincent-Pierre LYS', '[G4709] non fermeture de l\'IMMA en cas de cessation pensionné\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2122, 4, 'e244976d6d4bc790485ef2b8b358b5bcd9372e45', 'D42497MSI', 147, '2016-12-30 11:02:40', 'Michel Siacchitano', '[D42497MSI] Commit intermediaire le 30/12/2016\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2123, 4, 'f14e362a6b8d23333720c5013889569fda4021c5', 'D42497MSI', 147, '2017-02-01 15:12:38', 'Michel Siacchitano', '[D42497] commit intermediaire du 01022017 Avec Dbms_output\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2124, 4, 'a4337a021f730a6d9ffc61816c8ad97557605617', 'D42497MSI', 147, '2017-02-01 15:47:25', 'michel.siacchitano@atos.net', '[D42497m15836] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2125, 4, 'e159bbc6ebf15705a8da6679dede45092b6eb832', '15.1.80', 164, '2017-02-01 16:21:58', 'Lionel Giordanengo', 'integration renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2126, 4, '1d9ab60f9f8ce1daa894f6bc2bd51c316d190e21', '15.1.80', 164, '2017-02-01 16:32:33', 'Lionel Giordanengo', 'Livraison 15.1.80_015\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2127, 4, 'd2ad6880e88ef6463b49374efed75cb70fcb14e5', 'D44163', 199, '2017-02-01 16:58:37', 'Bertrand FONTANEL', '[D44163] optimisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2128, 4, 'b31afdb9b19430bfde40b6ba4684b8f09ef7897d', 'master', 1, '2017-02-02 09:21:19', 'Louis BAYLE', 'Merge branch \'16.0.64\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2129, 4, '1a280f49a4cd997a0ba900260980f81bccb0eda1', '16.0.66', 199, '2017-02-02 09:53:17', 'Bertrand FONTANEL', '[D44163] optimisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2130, 4, '38eb5bcd15374cc3642bb777a4fa4cd3d69f92f1', '16.0.66', 1, '2017-02-02 09:56:40', 'Louis BAYLE', 'maj_base_16.0.66\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2131, 4, '6b66f988b9783a7f1a302228b40fac94343a9126', '16.0.66', 1, '2017-02-02 10:12:47', 'Louis BAYLE', 'Livraison 16.0.66_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2132, 4, '93172f957857c2d636ea76366bb0d5e3eb2321f6', '16.1.0', 164, '2017-02-02 10:29:59', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.64) into 16.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2133, 4, 'cb3252f81dbcca8d668f174d515d0cce819f02c0', '17.2.0', 164, '2017-02-02 10:33:36', 'Lionel Giordanengo', 'Merge branch \'master\' (16.0.64) into 17.2.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2134, 4, '9135470730254b30ed965aaaad68415ac47778d8', 'D43884_LoB', 246, '2017-02-02 11:31:55', 'Olga TOINON', '[D43884] Création package et table de travail pour l\'extraction de PL\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2135, 4, 'b5b5bd1e7f4b8795e10d33c8ad82b2f9d275f5e7', 'D43884_LoB', 199, '2017-02-02 11:31:55', 'Bertrand FONTANEL', '[D43884] pour save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2136, 4, 'c515a3a9c94ed709634f1742f2d8ddd449a44f9f', 'D43884_LoB', 199, '2017-02-02 11:31:55', 'Bertrand FONTANEL', '[D43884] pour save 2\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2137, 4, 'c5d35f9101dd806df16650df6e01662919c377c1', 'D43884_LoB', 246, '2017-02-02 11:31:55', 'Olga TOINON', '[D43884]modification package, table, création index,script sql et sh pour l\'extraction des pl\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2138, 4, '08b8099d4ec22704c16144fe1f9f8379a8161ed9', 'D43884_LoB', 246, '2017-02-02 11:31:56', 'Olga TOINON', '[D43884] Modification du package, de la table de travail,\ndes index de la table de travail, scripts sql/sh et du maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2139, 4, 'af7831ec6ffc9dce563b586f0c4f6d82e4dc5d1f', 'D43884_LoB', 246, '2017-02-02 11:31:56', 'Olga TOINON', '[D43884] Modification pour sauvegarde\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2140, 4, '4766f2001dae70339346ffcc19fdf106b03a7d43', 'D43884_LoB', 246, '2017-02-02 11:31:56', 'Olga TOINON', '[D43884] Modification du package, des scripts sh et sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2141, 4, '73617da23e2232136804e1f4aacc7a4353d82086', 'D43884_LoB', 246, '2017-02-02 11:31:56', 'Olga TOINON', '[D43884] Modification du shell de fusion des fichiers\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2142, 4, '7aac441ed67a6c8c159425313b36b9be08efb484', 'D43884_LoB', 199, '2017-02-02 11:31:56', 'Bertrand FONTANEL', '[D43884] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2143, 4, '2bf6a6e63cff59785681d26fd06a53207ebd987c', 'D43884_LoB', 199, '2017-02-02 11:31:57', 'Bertrand FONTANEL', '[D43884] Finalisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2144, 4, '008c4dc01ae05f074b54ecbd4888d8b81d4205ec', 'D43884_LoB', 199, '2017-02-02 11:31:57', 'Bertrand FONTANEL', '[D43884] correction diverses\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2145, 4, '3110e5cac44ae3919ff54dc8fbec5e0100fc357c', 'D43884_LoB', 246, '2017-02-02 11:31:57', 'Olga TOINON', '[D43884] Modification du code_com_naiss dans le package pck_extract_tram_pl\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2146, 4, '5927812583d7088ac9d347fd8f776c7b9be779ca', 'D43884_LoB', 246, '2017-02-02 11:31:57', 'Olga TOINON', '[D43884] Correction du tri des fichiers\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2147, 4, '1a01000e95b7b93b40c3e229ffa85e816fd20a28', 'D43884_LoB', 246, '2017-02-02 11:31:57', 'Olga TOINON', '[D43884]Correction diverses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2148, 4, 'afd418cb51ad8ae0da2c664dda7ec6d43ecd04a1', 'D43884_LoB', 246, '2017-02-02 11:31:57', 'Olga TOINON', '[D43884] Corrections diverses sur le shell cjcrapp09.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2149, 4, '545373e580539a13a4de710edce485df707ff410', 'D43884_LoB', 246, '2017-02-02 11:31:57', 'Olga TOINON', '[D43884] Corrections diverses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2150, 4, 'd8ac4f11b833b793c53f305ea8b1c61630300abd', 'D43884_LoB', 246, '2017-02-02 11:31:58', 'Olga TOINON', '[D43884] Corrections diverses du script shell cjcrapp09.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2151, 4, '9de3227f04a6e356aec163d9d89ea864c2cdab7f', 'D43884_LoB', 246, '2017-02-02 11:40:16', 'Olga TOINON', '[D43884] Création package et table de travail pour l\'extraction de PL\n\n[D43884] pour save\n\n[D43884] pour save 2\n\n[D43884]modification package, table, création index,script sql et sh pour l\'extraction des pl\n\n[D43884] Modification du package, de la table de travail,\ndes index de la table de travail, scripts sql/sh et du maj_base associé\n\n[D43884] Modification pour sauvegarde\n\n[D43884] Modification du package, des scripts sh et sql\n\n[D43884] Modification du shell de fusion des fichiers\n\n[D43884] save\n\n[D43884] Finalisation\n\n[D43884] correction diverses\n\n[D43884] Modification du code_com_naiss dans le package pck_extract_tram_pl\n\n[D43884] Correction du tri des fichiers\n\n[D43884]Correction diverses\n\n[D43884] Corrections diverses sur le shell cjcrapp09.sh\n\n[D43884] Corrections diverses\n\n[D43884] Corrections diverses du script shell cjcrapp09.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2152, 4, 'f717e769c24d34880e84009b21663a6d0dc2aa7c', 'D43884', 199, '2017-02-02 12:00:28', 'Bertrand FONTANEL', '[D43884] correction script index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2153, 4, '0a925d49d4058385b360f81c6041a264bbdaf81d', '17.0.0', 1, '2017-02-02 11:00:02', 'Louis BAYLE', '[D44116] FusionPL liste_ref_num_cmr\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2154, 4, 'e1cf941f9aa37f02bba894cb95f883a6c4c3b33e', '17.0.0', 164, '2017-02-02 11:24:05', 'Lionel Giordanengo', 'Livraison 17.0.0_012\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2155, 4, '160b301b20bee704fc32539b0d5622b6c145f978', 'D41937_SPOC57_AAI', 146, '2017-02-02 14:21:17', 'Achraf AKRIMI', '[D41937] creation du SPOC 57\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2156, 4, 'b856fd777480d750e82d5ca9e787f9d00b019e18', '16.1.0', 164, '2017-02-02 14:57:08', 'Lionel Giordanengo', 'Merge branch \'16.0.66\' into 16.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2157, 4, 'e3263d1b1852b6827a1174653cf82d148afba47c', '16.1.0', 164, '2017-02-02 15:10:06', 'Lionel Giordanengo', '[D44172] Report de la 16.0.66 sur la 16.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2158, 4, '769cdd7edb32a66252093642437f197d13c87b6d', '16.1.0', 164, '2017-02-02 15:19:06', 'Lionel Giordanengo', 'Livraison 16.1.0_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2159, 4, 'a4943e56e40efda5adee3c2e2303c1570f470e98', 'master', 164, '2017-02-02 16:28:08', 'Lionel Giordanengo', 'inetrnalTools : correction du script integ.sh pour fichier modifies\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2160, 4, 'd30c8ad6844b0805ad2a02188ef3b73f59d49985', 'D41937', 199, '2017-02-02 18:55:03', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2161, 4, 'a4b40552a6205660e82ad754621c19ce68fd3722', 'D41937', 199, '2017-02-02 19:04:01', 'Bertrand FONTANEL', '[D41937] (m12311) Gestion Spoc 11\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2162, 4, '851177db2f74a5c9aba0943c4e39c27354a91f9f', 'D41937', 199, '2017-02-02 19:33:15', 'Bertrand FONTANEL', '[D41937] (m12313) Gestion Spoc 13\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2163, 4, '3e4733962b994702e0a8b0dc0248ebc344d2ac5b', 'D41937', 199, '2017-02-02 19:55:48', 'Bertrand FONTANEL', '[D41937] (m12314) Gestion Spoc 41\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2164, 4, 'f20b1686efec9ddb16c23a54f61ba7548c00e4a7', 'D41937', 199, '2017-02-02 20:34:02', 'Bertrand FONTANEL', '[D41937] (12316) Gestion spoc 43\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2165, 4, '78422b4d0a5ebf8d8f1451c6049d78f18d560fdd', 'D41937', 199, '2017-02-02 21:03:29', 'Bertrand FONTANEL', '[D41937] (m12317) Gestion Spoc 45\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2166, 4, '0f54f5f0fa14398c5632956d571b8d1739819d3f', 'D41937', 199, '2017-02-02 21:14:26', 'Bertrand FONTANEL', '[D41937] (m12317) Gestion Spoc 45 (correction)\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2167, 4, '2abe19523303ec86bb9d705115c2922426c900cb', 'D41937_SPOC57_AAI', 146, '2017-02-03 10:17:39', 'Achraf AKRIMI', '[D41937] creation du spoc57\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2168, 4, '3760e213f1e96f4e2f4b4974be1529736432a409', 'D41937_SPOC_AAI', 146, '2017-02-03 10:33:03', 'Achraf AKRIMI', '[D41937] partie historisatioin des alertes (correspond au [16102] ds codeVTT)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2169, 4, '8ebfc031f3a58da3b0bf343cb3a3427a07e18a9f', 'D41937_SPOC_AAI', 146, '2017-02-03 11:00:11', 'Achraf AKRIMI', '[D41937] partie historisation des alertes (correspond à D16102 ds codeVTT)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2170, 4, '55ab068726a0fbc3343fb33099f65e7dc54da2bd', 'G4666', 168, '2017-01-24 15:23:21', 'Vincent-Pierre LYS', '[G4666] Correction de l\'erreur sur l\'adresse de l\'entreprise\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2171, 4, '702519dd91332d42286e6318ba58cce81d79222a', 'G4666', 168, '2017-01-25 20:01:10', 'Vincent-Pierre LYS', '[G4666] Traitement de la nouvelle regle RG_CTR_005  et nouveaux libellés des messages\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2172, 4, '8aa0c5e940fb9d4180d2191eb5987109049575c7', 'G4666', 168, '2017-02-02 10:28:23', 'Vincent-Pierre LYS', '[G4666] corrections fautes de frappe\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2173, 4, 'ce0642b65db88a623c65d87ac47c62fc13e58aa7', 'G4666', 168, '2017-02-02 16:37:51', 'Vincent-Pierre LYS', '[G4666] ajout du sql%rowcount\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2174, 4, '3ca38aa6b7db28df885380e3fe6e7ce4244e92d2', 'G4666', 168, '2017-02-03 11:09:53', 'Vincent-Pierre LYS', '[G4666] traitement des doublons dans le flux xml\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2175, 4, 'c897edb421ab0e2e0aa69c59607b4ed9ed177749', 'G4666', 168, '2017-02-03 11:32:36', 'Vincent-Pierre LYS', '[G4666] ajout du maj_base\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2176, 4, 'aa31c095540d411ba713e1d9462ef2cbe076e3c0', 'G4666', 168, '2016-12-13 17:28:33', 'Vincent-Pierre LYS', '[G4666] Traitement des adresses (règle RG_PACR_062)\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(2177, 4, 'fd2a785c0036b913e9ad6a2fdfecc73e1e3f8bbe', 'G4666', 164, '2016-12-12 15:23:08', 'Lionel Giordanengo', 'Livraison 15.1.80_011\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2178, 4, 'd1844a012ee7f8286155d1bf20b4f6ba010e9281', 'G4666', 164, '2016-12-12 15:14:20', 'Lionel Giordanengo', 'integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2179, 4, '72dde73b922551e068f8ce865b3b065bb0b9de77', 'G4666', 164, '2016-12-09 15:41:29', 'Lionel Giordanengo', '15.1.80 Traitement des nomenclatures\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2180, 4, '94a61ba1cbc4235a84644e8602365bdf5fd7349b', 'G4666', 164, '2016-12-09 15:41:29', 'Lionel Giordanengo', 'Nomenclatures : trie des fichiers pour comparaison\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2181, 4, '8ac97b753a3a110a598668330a42670fc2d2174e', 'G4666', 168, '2016-12-09 15:41:29', 'Vincent-Pierre LYS', '[G4484] Suppression de traces restées des précédents commit\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2182, 4, '550ff3b30f0425956f709c7e1094cd0becee1f7d', 'G4666', 168, '2016-12-09 15:41:29', 'Vincent-Pierre LYS', '[G4484][G4080] Correction pour récupérer le benf_id  pour inscrire l\'AYD\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2183, 4, '8ae525e320f0a0c15f3d9422b0a2119742f7066d', 'G4666', 168, '2016-12-09 15:41:29', 'Vincent-Pierre LYS', '[G4484] MAJ de la W15\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2184, 4, '75f358ac51de79df10c8024b0118031a6f73ae81', 'G4666', 168, '2016-12-09 15:41:29', 'Vincent-Pierre LYS', '[G4484] Affichage du groupe pro\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2185, 4, '1ebfcff0af0595db0bc1efb08c65aa5d2c271352', 'G4666', 168, '2016-12-09 15:41:29', 'Vincent-Pierre LYS', '[G4485] Changement des criètes de selection du groupe professionnel\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2186, 4, '9a821d344afeb6e12dc6a4760d6fd15466bbd7bd', 'G4666', 168, '2016-12-09 15:41:28', 'Vincent-Pierre LYS', '[G4498]ajout de l\'alerte 3771\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2187, 4, '5d09e775aba35304ea1a19a5b14376abef42d8aa', 'G4666', 168, '2016-12-09 15:41:28', 'Vincent-Pierre LYS', '[4484] Suite QUAL 2.1.1.01 corrections d\'erreurs de repport et prise en compte des cas ayant plusieurs imma ouvertes=> sortie en erreur.\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2188, 4, '0ae57b842c698cfebdd29a04b4d9f7ea74277d53', 'G4666', 168, '2016-12-09 15:41:28', 'Vincent-Pierre LYS', '[G4484] correction d\'un mauvais copier coller\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2189, 4, '5568060f9ef2849445c556f1281df2274be5a72d', 'G4666', 168, '2016-12-09 15:41:28', 'Vincent-Pierre LYS', '[G4484] fichier maj base\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2190, 4, '629140ebefc6b49237d65945a54b218381162474', 'G4666', 168, '2016-12-09 15:41:28', 'Vincent-Pierre LYS', '[G4464]  Traitement de la regle RG_WS_RAD_TAIGA_063 dans le cas des cessation pensionne\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2191, 4, '56ef2df500e12982e8a460a323bdaeee0603f7e4', 'G4666', 168, '2016-12-09 15:41:28', 'Vincent-Pierre LYS', '[G4484] fermeture des droits prestation pour conjoint collaborateur et conjoint collaborateur-IJ\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2192, 4, '110de1e99e1731183dd9f2b7329dedc40d94f316', 'G4666', 168, '2016-12-09 15:41:28', 'Vincent-Pierre LYS', '[4488]Limitation du retour à 100 caractères\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2193, 4, '1d1c4c3a2188cb1f7455a5d68b4b2fc74964fd52', 'G4666', 168, '2016-12-09 15:41:27', 'Vincent-Pierre LYS', '[G4584] [G4585] modification du repertoire d\'ecriture du fichier dates\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2194, 4, '5abee0b614845029155400bdd7e09d8896ae3c55', 'G4666', 168, '2017-02-03 11:34:19', 'Vincent-Pierre LYS', '[G4584] [G4585] modification du repertoire d\'ecriture du fichier dates\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2195, 4, '706aa1d1b8cbc7781000bf852acfb650095b8bae', 'G4666', 168, '2017-02-03 11:43:14', 'Vincent-Pierre LYS', '[G4666] Traitement des adresses (règle RG_PACR_062)\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2196, 4, 'a4f022778378adbde64c1836294ff3f2060b93a2', 'G4666', 168, '2017-02-03 11:43:15', 'Vincent-Pierre LYS', '[G4666] Correction de l\'erreur sur l\'adresse de l\'entreprise\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2197, 4, '2d756ce9f5aafb07c9ee0dd20ce91e7444138505', 'G4666', 168, '2017-02-03 11:43:17', 'Vincent-Pierre LYS', '[G4666] Traitement de la nouvelle regle RG_CTR_005  et nouveaux libellés des messages\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2198, 4, 'edaf5709ba090c5c12c9b509232d442758fce011', 'G4666', 168, '2017-02-03 11:43:18', 'Vincent-Pierre LYS', '[G4666] corrections fautes de frappe\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2199, 4, '78aa8bcd114f2519c6846524b7ff15fff32beda0', 'G4666', 168, '2017-02-03 11:43:19', 'Vincent-Pierre LYS', '[G4666] ajout du sql%rowcount\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2200, 4, '756236ae1bf71ad3f262c0ab1cf86f9d69e719a7', 'G4666', 168, '2017-02-03 11:43:21', 'Vincent-Pierre LYS', '[G4666] traitement des doublons dans le flux xml\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2201, 4, 'dbd81a128c903cdfde5e62578ce37d7db0438684', 'G4666', 168, '2017-02-03 11:46:47', 'Vincent-Pierre LYS', '[G4666] ajout du maj_base\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2202, 4, '4ec8af8aa8c5dbae65444689a1aaedd7808558e8', 'G4666', 168, '2017-02-03 12:39:24', 'Vincent-Pierre LYS', 'Merge branch \'G4666\' of https://rsitools.bs.fr.myatos.net:8888/RSI_TMA/TAIGA into G4666\n\n# Conflicts:\n#	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_flux_affi01.sql\n#	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_ws_rad.sql\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2203, 4, '480b05846cbe2f569ef105e07a198206c21bade9', 'D42990_REVERT', 169, '2017-02-03 13:33:10', 'Fabien TROPIS', '[REVERT_D42990] Revert du D42990\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2204, 4, '4a6db11ab18dcd953748b0a42f080c6470e6a41e', 'master', 1, '2017-02-03 14:21:35', 'Louis BAYLE', 'Merge branch \'16.0.66\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2205, 4, '677dc039fafa4141431d3a35d1923e720c972bf3', 'D42990_MERGE', 169, '2017-02-03 14:31:40', 'Fabien TROPIS', '[D42990] Merge du D42990\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2206, 4, '7288f1ce0675093c21a91148d746587e06d21899', '16.0.5', 164, '2017-02-03 14:26:38', 'Lionel Giordanengo', 'integ creation maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2207, 4, '4fef0ce2c5dbcbbe88b42178411c9a98e327f4ed', '16.0.5', 164, '2017-02-03 14:29:18', 'Lionel Giordanengo', 'Livraison 16.0.5_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2208, 4, 'c57a717604160d59f859ef167b1bdf42d58b7c0f', 'D41937', 199, '2017-02-03 16:51:37', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2209, 4, '88dead888a57e08cf26db913286ac3ff0c49ad1e', '17.2.0', 164, '2017-02-03 16:21:42', 'Lionel Giordanengo', '[D44178] TAIGA - Relivraison du defect 42990 dans la 17.2.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2210, 4, '9f5903d739b103211cae3ed146f419ce9c4be0b5', '17.2.0', 164, '2017-02-03 16:25:43', 'Lionel Giordanengo', 'Livraison 17.2.0_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2211, 4, '59cf76ca5c88538546e8c1286f807e44038cf4ba', 'D41937FTS', 169, '2017-02-03 17:58:40', 'Fabien TROPIS', '[D41937](m12328) Archivage des W01_SPOCXX\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2212, 4, '754f49c57c3a97f79464b4807ca312cb30d9cd21', 'G4605', 168, '2017-01-26 09:38:50', 'Vincent-Pierre LYS', '[G4605] modification du chapitre 1.1.2.1\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2213, 4, '0755704b2c60fafbd9efdb9ef497205feda3d251', 'G4605', 168, '2017-02-03 18:58:56', 'Vincent-Pierre LYS', '[G4605] Dex et dev pour prise en compte du dex\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2214, 4, '762a215cb7136006042b5e67561009727bc93e6f', 'D41937', 199, '2017-02-06 08:47:49', 'Bertrand FONTANEL', '[D41937] Journalisation version alpha\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2215, 4, '489137ea81d1121e3038d821ed6173e95c4fec36', 'D41937', 199, '2017-02-06 08:54:38', 'Bertrand FONTANEL', '[D41937] gestion evt 57\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2216, 4, 'cf9451bc582aabc16b069670e7598b0cbac467e1', 'D41937_SPOC57_AAI', 199, '2017-02-06 09:38:31', 'Bertrand FONTANEL', '[D41937] correction Spoc57 avant finalisation partie commune\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2217, 4, 'b5cb276dd52e1a6c826fa1a61017014f076ed6ca', 'master', 1, '2017-02-06 11:03:02', 'Louis BAYLE', 'InternalTools: serverInfo\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2218, 4, '5c4534d4ccdaf63613011280bbd62a149539c402', 'D41937FTS', 169, '2017-02-06 16:25:15', 'Fabien TROPIS', '[D41937](m12328) archivage testé\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2219, 4, 'aa8fd221ddabdbebb0f2e54f4a4bb323ff146e2e', 'D41937', 199, '2017-02-06 16:57:32', 'Bertrand FONTANEL', '[D41937] save 51\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2220, 4, 'f00f9689f98bc6631bdd18aa93781eb2eb4fee02', 'D41937_SPOC57_AAI', 199, '2017-02-06 17:15:01', 'Bertrand FONTANEL', '[D41937] save 57\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2221, 4, '8d03310e63196dd123e6f9d59d6c8e0026ef9744', 'D41937', 169, '2017-02-07 09:42:59', 'Fabien TROPIS', '[D41937](m12312) génération spoc12\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2222, 4, '56568a3571926d7c3bd822ebf91c2802ba0ea9e5', 'D41937', 169, '2017-02-07 09:53:30', 'Fabien TROPIS', '[D41937](m12315) génération spoc42\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2223, 4, 'd3589a151b6db34fdaa4042b2301c69176cc22ef', 'D41937', 169, '2017-02-07 09:54:05', 'Fabien TROPIS', '[D41937](m12326) Modif SPOC90\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2224, 4, '5ac1d715d8a93019d94089f28ad20afef8089104', 'D41937', 169, '2017-02-07 09:54:15', 'Fabien TROPIS', '[D41937](m12312) COMMENT ON TABLE + lien avec ASSU\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2225, 4, '63519968967f9f3d3adccea5b830e3807f6179a3', 'D41937', 169, '2017-02-07 09:54:22', 'Fabien TROPIS', '[D41937](m12315) COMMENT ON TABLE + lien avec ASSU\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2226, 4, 'dc4d284d672f20d8755277f60aa585df2352d2c9', 'D41937', 169, '2017-02-07 09:54:30', 'Fabien TROPIS', '[D41937](m12326) SPOC90 testé\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2227, 4, '6fa78fa97eb76a44991442ecf104edca200f8ce2', 'D41937', 169, '2017-02-07 09:54:42', 'Fabien TROPIS', '[D41937] Correction avant regroupement\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2228, 4, 'baf44a002c2216e8c19a676a14828b0e773c163b', 'D41937', 169, '2017-02-07 09:55:01', 'Fabien TROPIS', '[D41937](m12328) Archivage des W01_SPOCXX\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2229, 4, '31417a91af39f60a99aea85a81fdfa1fc92d6099', 'D41937', 169, '2017-02-07 09:55:10', 'Fabien TROPIS', '[D41937](m12328) archivage testé\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2230, 4, '70eb87075ac16ac41aacd1446d7b1360be6e2caf', 'D41937', 199, '2017-02-07 09:58:37', 'Bertrand FONTANEL', '[D41937] correction Spoc57 avant finalisation partie commune\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc57.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2231, 4, '9d75561ff524cfe8c05bc97c75b29cc540c2b257', 'D41937', 199, '2017-02-07 09:59:17', 'Bertrand FONTANEL', '[D41937] save 57\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2232, 4, '49d0dc377a87070ea8078bdd39ca76d577877188', 'G4666', 168, '2017-02-07 16:05:56', 'Vincent-Pierre LYS', '[G4666] Correction erreur 3745 systématique\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2233, 4, 'a3ee2795bf6ea59764616a2c60b464f80067d7dd', 'D43884', 246, '2017-02-07 16:17:34', 'Olga TOINON', '[D43884] Corrections diverses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2234, 4, 'c1b1b693124271bc1b4a3fa6fa5e1e7cbc49a106', 'D41937MSI2', 147, '2017-02-07 18:06:05', 'michel.siacchitano@atos.net', '[D41937] Commit  internediaire du 07/02/2017 + majbase + TU ok\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2235, 4, '1761b9ff8f391144aa8bf4de5b13ccb054f2db21', 'D43955', 74, '2017-02-08 09:22:01', 'Isabelle Finette', '[D43955] Développement filtrage motif de radiation en fonction des périodes de gratuité\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2236, 4, 'f04427c54fb09e0645e37f62a1534c2e24581c27', 'D41937MSI2', 147, '2017-02-08 10:16:21', 'michel.siacchitano@atos.net', '[D41937] Reprise Trigger de journalisation complementaire Fini\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2237, 4, '9890aba9e7bfc207276eb3f5ddadc4792e2a5e33', '15.1.80', 164, '2017-02-08 10:27:07', 'Lionel Giordanengo', 'Merge branch \'16.1.0\' into 15.1.80\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2238, 4, '8f12e2467dd5e056fbb26cfb4504ed814f62a015', '15.1.80', 164, '2017-02-08 11:17:47', 'Lionel Giordanengo', '[D44195] RF - commit \'bidon\' pour forcer relivraison\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2239, 4, '4ee970767c18727a3fa214e50d03d582cf626284', '15.1.80', 164, '2017-02-08 11:28:23', 'Lionel Giordanengo', '[D44194] Renumérotation de la nomenclature spécifique en V100\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2240, 4, 'fcc2787af547972a2fa5906cba4f19f28fa1bc31', '15.1.80', 164, '2017-02-08 11:44:29', 'Lionel Giordanengo', 'Livraison 15.1.80_016\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2241, 4, 'fa88438a665949545b88ce3fe44dfdef1c8ee4ac', 'D44012', 157, '2017-02-02 07:30:52', 'Vincent GENTIL', '[D44012] Correction génération SPOC23\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2242, 4, '58782a60d6733342315c85a9a44aee160436cd30', 'D44027', 246, '2017-02-08 16:50:15', 'Olga TOINON', '[D44027] Modification du package amabis, script sql de la table amabis_decision et maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2243, 4, 'd4e43c88002c3d04c77c03243f50bd118873be1b', 'D42497OTN', 246, '2017-02-08 17:59:45', 'Olga TOINON', '[D42497](m13598) script création des tables de nomenclature des majoc, création des grant et maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2244, 4, 'fc05d44da54963c7b6d6bfaafd2743a55087f7fe', 'D44188', 72, '2017-02-08 18:07:40', 'Alain Tassotti', '[D44188]  Ajout libelles caisse en dur pour CALI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2245, 4, '085dee92cc5fa82f3dd82d472581afdb98beaeb6', 'D44147', 168, '2017-02-08 18:35:24', 'Vincent-Pierre LYS', '[D44147] correction de la taille du champs NOM pour éviter qu\'il n\'interfere avec le champ assiette sociale. suppresseion des blancs en fin de ligne dans le champs nom. Et création d\'un nouveau libellé pour le nom (solution de contournement au problème de couleur du libellé).\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2246, 4, '6dfd20427e7932ceabfe7789519f283ec6299de4', 'G4508', 168, '2017-01-16 11:09:44', 'Vincent-Pierre LYS', '[G4508] modification des règles RG_WS_RAD_TAIGA_033 et RG_WS_RAD_TAIGA_060 pour ajouter un  controle sur la caisse de vieillesse des pensions. (RG_WS_RAD_TAIGA_034 traite par defaut).\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2247, 4, 'e0add00483c70c7f8bc5ebde8a742c606b8f2523', 'G4508', 168, '2017-01-27 09:42:40', 'Vincent-Pierre LYS', '[G4508]  suppression de la fermeture d\'IMMA\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2248, 4, '2d8eae084dee2e95149824fc3daffa9cdea5518f', 'master', 1, '2017-02-09 09:52:56', 'Louis BAYLE', 'Merge branch \'16.1.0\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2249, 4, '674f1c7ac4a8c506e1ce9f484c9458e193325dc1', '17.1.0_QUAL7', 168, '2017-02-09 09:54:07', 'Vincent-Pierre LYS', '[D44155] Test de commit et deverrouillage de la case à cocher. TU non fait\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2250, 4, 'b9ad9bc9690a7daac58e4882704cd14fd92e0849', '41664_new', 93, '2017-02-09 10:17:18', 'jean-marc SCOTTO', '[D41664] Correction du calcul de la dlp dans les packages pck_cqpntf50.sql et pck_cqpntf60.sql\n', '', '', '', 'jean-marc.scottodivettimo@atos.net', '', '', 0),
(2251, 4, 'a03be5fcf4ec4a2d52faa9beba93fc590b9674b2', '17.1.0_QUAL7', 74, '2017-02-09 10:40:34', 'Isabelle Finette', '[D44147] Correction sur le nom\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2252, 4, 'b99a1ac16b76b47e862c2de6bd6e519352503226', '17.1.0_QUAL7', 168, '2017-02-09 10:43:10', 'Vincent-Pierre LYS', '[D44147] correction de la taille du champs NOM pour éviter qu\'il n\'interfere avec le champ assiette sociale. suppresseion des blancs en fin de ligne dans le champs nom. Et création d\'un nouveau libellé pour le nom (solution de contournement au problème de couleur du libellé).\n\n[D44147] Correction sur le nom\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2253, 4, '49184eb56f6e793e299c292acb48f064e0e9c73d', '17.1.0_QUAL7', 168, '2017-02-09 10:43:14', 'Vincent-Pierre LYS', '[D44155] Test de commit et deverrouillage de la case à cocher. TU non fait\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2254, 4, 'fd25a598ab50e9d935eb1551edbd9787de0a4719', 'G4666', 168, '2017-02-09 12:32:12', 'Vincent-Pierre LYS', '[G4666] dev suite à TI\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2255, 4, '859939b9f7c90b7b25f77a23fb41a331f9d659c8', 'D44200', 1, '2017-02-09 13:38:18', 'Louis BAYLE', '[D44200] correction 43018\n(pb memoire sur gros fichiers CMR_005)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2256, 4, '53419b6deaf0728235e4c7b0f75715df968f2bbf', 'D44200', 1, '2017-02-09 13:46:15', 'Louis BAYLE', '[D44200] correction 43018\n(pb memoire sur gros fichiers CMR_005)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2257, 4, 'afb2474069a02618f4a989bf983311e2ea1dfa66', 'D44026', 147, '2017-02-09 15:47:13', 'Michel Siacchitano', '[D42497MSI] Commit intermediaire le 30/12/2016\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2258, 4, '6b732814303fa6ee919f781d5d8454d89536b6ec', 'D44026', 147, '2017-02-09 15:47:13', 'Michel Siacchitano', '[D42497] commit intermediaire du 01022017 Avec Dbms_output\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2259, 4, '9b62dd582670ccde55f68fde546f6bb175c0141a', 'D44026', 147, '2017-02-09 15:47:13', 'michel.siacchitano@atos.net', '[D42497m15836] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2260, 4, '141dcc43564784f4c263cabab60c35e28a626465', 'D41937', 199, '2017-02-08 12:29:17', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2261, 4, 'b0d94203337fbe2cde95d89f519d4f48f4cf1b0a', 'D41937', 199, '2017-02-08 13:14:25', 'Bertrand FONTANEL', '[D41937] dispatching archivage\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2262, 4, 'e5c6645c484d2cbe6ae03158373a6d14543da6d3', 'D41937', 199, '2017-02-08 17:12:13', 'Bertrand FONTANEL', '[D41937] Ajout gestion erreur\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2263, 4, '6bb3ec791f3c1da253572c03c3bec1442eadc0de', 'D41937', 199, '2017-02-08 21:18:05', 'Bertrand FONTANEL', '[D41937] Gestion d\'erreur + generation bilan + controle coherence\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2264, 4, '04933fd50c319f496e81dd97fd19406d2ca6ca57', 'D41937', 199, '2017-02-09 15:19:10', 'Bertrand FONTANEL', '[D41937] save reglage\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2265, 4, '114b4f872834d69187894905ba65948f6547e8ed', 'D41937', 199, '2017-02-09 16:50:15', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2266, 4, '27fa4e09684168c826b5aaa9b8d6d22bc8a0d6f3', 'D44026', 246, '2017-02-09 16:27:32', 'Olga TOINON', '[D44025] PUMA - BASCULE (squash 7)\net renommage du defect (42497OTN devient 44025)\n\n[D42497](m10744) bascule annuelle nouveaux maj shell+sql\n\n[D42497](m10744)- Modification du shell ainsi que du script sql associé\n\n[D42497](m10598)- modification du package de bascule\n- ajout du maj_base_cir et du maj_bas_cmr\n\n[42497](m10598) Nomeclature spec afin d\'inserer des enregitrements dans plusieurs table de la CMR999\n\n[D42497]Modification du package de la bascule\n\n[D42497] Modification du package\n\n[D42497](m13598) script création des tables de nomenclature des majoc, création des grant et maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2267, 4, '66521d1b3abc4047d65d8f8018bc1fa7dcc008b0', 'D44026', 147, '2017-02-09 16:30:06', 'Michel Siacchitano', '[D42991] Ajout flux 07S (squash 2)\n\n[G42991] Livraison finale G42991 1 shell 4 packages, 1 maj_base cir, 1 maj base cmr,, 1 maj de nomenclature, 1 script ctl, 2 scriptes sql, 2 scripte de creation de tacle ,1 script de creation de trigger et 1  de creation de seq\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2268, 4, '9b76f739e8637a106aa6b85beee7835056590c82', 'D44026', 147, '2017-02-09 16:50:52', 'Michel Siacchitano', '[D44026] PUMA Flux GA (squash 3)\net chgt nume defect car ca a change encours de route\n[D42497MSI] Commit intermediaire le 30/12/2016\n\n[D42497] commit intermediaire du 01022017 Avec Dbms_output\n\n[D42497m15836] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2269, 4, '6ec2e17d23f6127d9918dd21d0cb59427be330e6', '17.2.0', 164, '2017-02-09 17:23:32', 'Lionel Giordanengo', 'Merge branch \'master\' (16.1.0) into 17.2.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2270, 4, 'e3336490fff9ee5d2404edb61430cb0984bc2e0b', '17.2.0', 1, '2017-02-09 17:24:27', 'Louis BAYLE', '[D44200] correction 43018\n(pb memoire sur gros fichiers CMR_005)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2271, 4, '8c19057d91fcfe125aa53a97c9d8498f82cd2c1b', '17.2.0', 164, '2017-02-10 09:59:09', 'Lionel Giordanengo', 'Livraison 17.2.0_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2272, 4, 'ecb726226cb1da64476233d103554facbf4e740e', 'G4666', 168, '2017-02-10 13:36:34', 'Vincent-Pierre LYS', '[G4666] traitement des beneficiaires indéterminés\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2273, 4, '9dbabab77d304e169e49520ef7f241b241016266', '16.1.50', 157, '2017-02-09 15:46:12', 'Vincent GENTIL', '[D43667] Correction premier calcul échéancier pour cotisation antérieure a N1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2274, 4, 'f1499de311e88b66eb41425e6561b7cb27faa1c3', '16.1.50', 157, '2017-02-09 15:50:32', 'Vincent GENTIL', '[D43798] Correction calcul assiette TO si premiere TO avant 2012\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2275, 4, '362a733f7c27d213394f29e26fc5ba974e168f25', '16.1.50', 157, '2017-02-09 16:02:48', 'Vincent GENTIL', '[D43881] Correction calcul échéancier à la baisse\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2276, 4, 'f1cf4485998c8b60b5c2537b78ce5f822b0cf818', '16.1.50', 164, '2017-02-10 10:58:27', 'Lionel Giordanengo', 'integration :renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2277, 4, '366841023f632b64f0fa3f4dfd08b8270d2b51dd', '16.1.50', 164, '2017-02-10 11:23:56', 'Lionel Giordanengo', 'Livraison 16.1.50_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2278, 4, '8a8b721e7730b6541bc901f25f7a75353706f3ca', '16.1.50', 157, '2017-02-10 14:14:59', 'Vincent GENTIL', '[D44012] Correction génération SPOC23\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2279, 4, '29fc6721168966612f4bf7b5a30f31e73ace6fa8', '16.1.50', 157, '2017-02-10 14:15:11', 'Vincent GENTIL', '[D44159] correction mise a jour calcul_a_effectuer lors de la saisie de revenu\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2280, 4, '29b26301bdd76939ba0139c7c63ff2a7ef383847', '16.1.50', 164, '2017-02-10 14:20:36', 'Lionel Giordanengo', 'integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2281, 4, 'f830cc7db37f9e8bb1bfe389baed8cf5b4c9af74', '16.1.50', 164, '2017-02-10 14:30:07', 'Lionel Giordanengo', 'Livraison 16.1.50_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2282, 4, '48e76505f9dfefa1234ff496d7092b0d70c9f93c', '17.1.50', 72, '2017-02-10 09:57:24', 'Alain Tassotti', '[D44188]  Ajout libelles caisse en dur pour CALI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2283, 4, '258606ae7c263b473f2ff4f53daf0b8e6a36cf81', '17.1.50', 157, '2017-02-10 10:29:06', 'Vincent GENTIL', '[D43656][D44069] Changement modalites modification calcul de la date de la prochaine echeance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2284, 4, 'f92e70531db0ef10a3be27775cb258420bc76ef3', '17.1.50', 157, '2017-02-10 10:29:29', 'Vincent GENTIL', '[D43849] correction pal_qc_37354 reprise echeanciers de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2285, 4, '71269c5f8e47fa2eb21c94badd4591683f4f182a', '17.1.50', 199, '2017-02-10 10:29:30', 'Bertrand FONTANEL', '[D44114][D44103] creation de l\'index mt_reclame_i04 (squash 3)\n\n[D44114] renommage D44103 en D44114\n\n[D44114] deplacement du maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2286, 4, 'b4b32bbe2c56ddb54b8ca66c587ce87fb1a7dd8f', 'master', 157, '2017-02-10 16:04:12', 'Vincent GENTIL', 'InternalTools: bq.sh (option -x)\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2287, 4, 'fa22b32ecf0753b88c7326b19442db11d1ffffd9', 'D44026', 147, '2017-02-10 17:10:58', 'michel.siacchitano@atos.net', '[D44026] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2288, 4, '92dea4820f1f2f1137196ad137535469cdb2989e', 'G4666', 168, '2017-02-10 17:48:38', 'Vincent-Pierre LYS', '[G4666] correction du pb sur les alertes\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2289, 4, '2d6b98765b7e5a783cfd947eefa0f8a9111f62d9', 'D41937', 199, '2017-02-13 08:54:52', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2290, 4, '0650731f4308b35f8d82312274b57c18c0da6a3c', 'D44027', 246, '2017-02-13 10:20:51', 'Olga TOINON', '[D44027] save\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2291, 4, '23f0aafede0e71800de10356cefac0a896fd1370', 'D44025', 246, '2017-02-13 10:42:42', 'Olga TOINON', '[D44025] Correction des maj_base\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2292, 4, '54ea4729311826dd7a300bf2b35d90f28a9ed73b', 'D42991', 147, '2017-02-13 10:59:45', 'michel.siacchitano@atos.net', '[D42991] Reprise des nom de scripts de creation de tables rattachement et w01_flux_rattachement\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2293, 4, 'db5b92862f8c91b6dc5ef4464961cfb4360b7cf8', '18.0.0_QUAL', 147, '2017-02-13 11:00:56', 'Michel Siacchitano', '[D42991] Ajout flux 07S (squash 2)\n\n[G42991] Livraison finale G42991 1 shell 4 packages, 1 maj_base cir, 1 maj base cmr,, 1 maj de nomenclature, 1 script ctl, 2 scriptes sql, 2 scripte de creation de tacle ,1 script de creation de trigger et 1  de creation de seq\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2294, 4, 'c33d37d7f078fdfb3560d92b76e71d3d51d255fd', '18.0.0_QUAL', 147, '2017-02-13 11:08:58', 'michel.siacchitano@atos.net', '[D42991] Reprise des nom de scripts de creation de tables rattachement et w01_flux_rattachement\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2295, 4, '3e58245d947b85a17a420924b997c9cea20d51de', '18.0.0_QUAL', 164, '2017-02-13 11:14:08', 'Lionel Giordanengo', '[D42991] Reprise des nom de scripts de creation de tables rattachement et\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2296, 4, '6fafa076256a244c7f30e2455344da82b49b776e', '18.0.0_QUAL', 164, '2017-02-13 11:14:55', 'Lionel Giordanengo', 'integ maj_base 18.0.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2297, 4, 'ab71368dfd440a009d30f3e285ed83a4c7070494', 'D44026', 147, '2017-02-13 13:52:54', 'michel.siacchitano@atos.net', '[D44026] Modif ajout init typ flux\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2298, 4, '9fca50cfb21ad31d0518766fe20e66c54a34630d', 'D42991_bis', 147, '2017-02-13 13:59:58', 'michel.siacchitano@atos.net', '[D42991] correction PCK_Flux_TRT pour compil\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2299, 4, '9d64635805d4b044e2d3ef2214ecf4f87f8c860c', 'D44025_bis', 246, '2017-02-13 14:45:28', 'Olga TOINON', '[D44025] Modification du package pck_bascule_ad.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2300, 4, 'f909306fa39c0329f06d6c4f9e0245746ce2b1d8', '18.0.0_QUAL', 147, '2017-02-13 14:56:47', 'michel.siacchitano@atos.net', '[D42991] correction PCK_Flux_TRT pour compil\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2301, 4, '5decb00004b92c3ec053b4b6de2a4b3b13ce585c', 'D44190', 158, '2017-02-13 16:21:59', 'Martine RENIER', '[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2302, 4, 'a013a1416ba5472ee4f426c6163b0f0fa09eed18', 'D44190', 158, '2017-02-13 16:22:22', 'Martine RENIER', '[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2303, 4, 'f216c5df649ec55006e51002326dc5cceb300f7a', 'D44190', 158, '2017-02-13 16:22:22', 'Martine RENIER', '[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2304, 4, '4711c2240edf89718d7d97daf9590d2ea9e7a1d1', 'D44190', 158, '2017-02-13 16:24:00', 'Martine RENIER', '[D44190] PUMA : suppression prolongation periode de maintien de droits (squash 6)\net rennomage des commits :\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2305, 4, 'b7886b6fb6a40177f01ab56e53e02ef1063aa08d', 'D41937', 199, '2017-02-14 08:49:01', 'Bertrand FONTANEL', '[D41937] Save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2306, 4, '69c6cd31e795dbcd89728a0a0c8c33910615a242', '15.1.80_QUAL', 168, '2017-02-14 09:42:46', 'Vincent-Pierre LYS', '[G4666] EVOL POUR REJET 3745 (squash 11)\n\n[G4666] Traitement des adresses (règle RG_PACR_062)\n\n[G4666] Correction de l\'erreur sur l\'adresse de l\'entreprise\n\n[G4666] Traitement de la nouvelle regle RG_CTR_005  et nouveaux libellés des messages\n\n[G4666] corrections fautes de frappe\n\n[G4666] ajout du sql%rowcount\n\n[G4666] traitement des doublons dans le flux xml\n\n[G4666] ajout du maj_base\n\n[G4666] Correction erreur 3745 systématique\n\n[G4666] dev suite à TI\n\n[G4666] traitement des beneficiaires indéterminés\n\n[G4666] correction du pb sur les alertes\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2307, 4, 'bdc07651f8bb723c5ae87b2fb19149c3e512742f', '15.1.80_QUAL', 168, '2017-02-14 09:57:17', 'Vincent-Pierre LYS', '[G4508] (squash 2) modification des règles RG_WS_RAD_TAIGA_033 et RG_WS_RAD_TAIGA_060 pour ajouter un  controle sur la caisse de vieillesse des pensions. (RG_WS_RAD_TAIGA_034 traite par defaut).\n\n[G4508]  suppression de la fermeture d\'IMMA\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2308, 4, 'f44b48ffdb96e1df3c4fc074d6e6bb1e1479e539', 'D44025_bis', 246, '2017-02-14 10:25:22', 'Olga TOINON', '[D44025] Correction du package pck_bascule_ad.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2309, 4, 'd85c9fc720db44bec5aadbb2d11fc620b1671ef5', 'D44217', 158, '2017-02-14 10:31:41', 'Martine RENIER', '[D44217] PUMA Continuité des droits et autonomie : inscription ayants droit (squash 3)\net rennomage des commits :\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2310, 4, 'c4a3a8ac5589ebba19428111716f4d1db8a3531a', '18.0.0_QUAL', 147, '2017-02-14 10:37:29', 'michel.siacchitano@atos.net', 'integration : traitement des nomenclatures\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2311, 4, 'a411296cfd5e82799f327555af71a081c7485af5', '18.0.0_QUAL', 147, '2017-02-14 10:41:36', 'Michel Siacchitano', '[D42991] Ajout flux 07S (squash 4 bis)\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et w01_flux_rattachement\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et\n\n[D42991] correction PCK_Flux_TRT pour compil\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2312, 4, 'e22514bc096d38e3465f48bbf9a4c3ca197624de', '18.0.0_QUAL', 164, '2017-02-14 10:41:56', 'Lionel Giordanengo', 'integ maj_base 18.0.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2313, 4, 'f6f9e3fd4c77529b676e76198fb3418d47be6ad5', '18.0.0_QUAL', 147, '2017-02-14 10:41:56', 'michel.siacchitano@atos.net', 'integration : traitement des nomenclatures\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2314, 4, '8617a0835ae0f965fbddeb2211d8ba3c5550ddd1', 'D44027', 246, '2017-02-14 14:18:52', 'Olga TOINON', '[D44027] Modification package pck_amabis\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2315, 4, 'bf8020940972d10ea41d1413084fded870f607ae', '17.1.0', 164, '2017-02-14 11:07:51', 'Lionel Giordanengo', 'Merge branch \'17.0.0\' into 17.1.0\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2316, 4, '1a51118559661a62110c1eeb52e243911bd702e6', '17.1.0', 74, '2017-02-14 11:08:27', 'Isabelle Finette', '[D44149] Correction de la tabulation dans l\'écran de saisie des revenus 2016\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2317, 4, '5741813b5f2eb24812166ccb0c39df03d2353420', '17.1.0', 74, '2017-02-14 11:08:27', 'Isabelle Finette', '[D44150][D44143] Correction sur enregistrement de la télé déclaration\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2318, 4, '60234eb10cb190c8d2485a4f4a4f08f131af032f', '17.1.0', 168, '2017-02-14 11:08:27', 'Vincent-Pierre LYS', '[D44147] correction de la taille du champs NOM pour éviter qu\'il n\'interfere avec le champ assiette sociale. suppresseion des blancs en fin de ligne dans le champs nom. Et création d\'un nouveau libellé pour le nom (solution de contournement au problème de couleur du libellé).\n\n[D44147] Correction sur le nom\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2319, 4, '223173d174197be4d40d90b37849702f1a6651fc', '17.1.0', 168, '2017-02-14 11:08:28', 'Vincent-Pierre LYS', '[D44155] Test de commit et deverrouillage de la case à cocher. TU non fait\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2320, 4, 'cd4be29fdf2c0c302195c1e3710f16feffce069d', '17.1.0', 164, '2017-02-14 11:19:14', 'Lionel Giordanengo', '[D44122] report 17.0.0 - donbi pour RF avec son accompagnement de maj_base !\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2321, 4, '386c84826536c6c2201bdc19d0c78d2c6f14181d', '17.1.0', 164, '2017-02-14 11:26:12', 'Lionel Giordanengo', 'Livraison 17.1.0_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2322, 4, '3f47c8c65ba9319f1de08338938915839a7b8f16', 'D44220', 199, '2017-02-14 14:02:27', 'Bertrand FONTANEL', '[D44220] correction d\'une declaration en double\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2323, 4, '76f1033fbb4fe2364f64a31a1febf891079a0b56', 'D44220', 199, '2017-02-14 14:04:06', 'Bertrand FONTANEL', '[D44220] ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2324, 4, 'd18c05af6596c29724a0a4c4bfb2d74c9f98c12b', '16.1.50', 199, '2017-02-14 14:48:53', 'Bertrand FONTANEL', '[D44220] correction d\'une declaration en double\n\n[D44220] ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2325, 4, '94dbf6ae61bef505af9be825b0ca30c148c8b8db', '16.1.50', 164, '2017-02-14 15:37:43', 'Lionel Giordanengo', 'integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2326, 4, 'ca3112bec4d50c5d053ba51118f796d363175d35', '16.1.50', 164, '2017-02-14 15:42:21', 'Lionel Giordanengo', 'Livraison 16.1.50_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2327, 4, '5b3890dadd66d011cdc818f55790973d48bcee04', '16.0.55', 246, '2017-02-14 15:57:53', 'Olga TOINON', '[D43884] Création package et table de travail pour l\'extraction de PL (squash 19)\n\n[D43884] pour save\n\n[D43884] pour save 2\n\n[D43884]modification package, table, création index,script sql et sh pour l\'extraction des pl\n\n[D43884] Modification du package, de la table de travail,\ndes index de la table de travail, scripts sql/sh et du maj_base associé\n\n[D43884] Modification pour sauvegarde\n\n[D43884] Modification du package, des scripts sh et sql\n\n[D43884] Modification du shell de fusion des fichiers\n\n[D43884] save\n\n[D43884] Finalisation\n\n[D43884] correction diverses\n\n[D43884] Modification du code_com_naiss dans le package pck_extract_tram_pl\n\n[D43884] Correction du tri des fichiers\n\n[D43884]Correction diverses\n\n[D43884] Corrections diverses sur le shell cjcrapp09.sh\n\n[D43884] Corrections diverses\n\n[D43884] Corrections diverses du script shell cjcrapp09.sh\n\n[D43884] correction script index\n\n[D43884] Corrections diverses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2328, 4, '678c339d4ffe2ce8bc1d939b24e18bfe6018fe7b', '16.0.55', 164, '2017-02-14 16:02:06', 'Lionel Giordanengo', 'integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2329, 4, '13778c584562eaba67184c43274efa4d165ccd70', '16.0.55', 164, '2017-02-14 16:07:03', 'Lionel Giordanengo', 'Livraison 16.0.55_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2330, 4, 'acd75e80ce79d2e8f5c6d3b6e9a6c9d67e485893', 'D44025_bis', 246, '2017-02-14 16:23:30', 'Olga TOINON', '[D44025] Correction fonctions du package pck_bascule_ad\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2331, 4, 'b0358a0f7818f30148af5aa2e2fa7b52a147f7b2', '16.0.75', 164, '2017-02-14 16:43:30', 'Lionel Giordanengo', 'Merge branch \'master\' (16.1.0) into 16.0.75\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2332, 4, '703a3ce3856dc0f7044b6b1c8a5f0868e854e4cb', '16.0.75', 169, '2017-02-14 16:44:48', 'Fabien TROPIS', '[D44137] amélioration de la réinitialisation de HISTO_TRAVAIL\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2333, 4, 'a250b21a13b92f251209c9e9626b6f45824816de', '16.0.75', 164, '2017-02-14 16:53:58', 'Lionel Giordanengo', 'Livraison 16.0.75_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2334, 4, 'f9fdfb2aeed615eb4675a6a29b844231e3780a7f', 'D44027', 246, '2017-02-14 17:15:58', 'Olga TOINON', '[D44027] Modif divers\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2335, 4, '2d045b0a8d34c91d954c1b6fe2cf7cf872553014', 'D44060', 164, '2017-02-15 10:22:27', 'Lionel Giordanengo', '[D44060] PUMA - TAIGA Nomenclature\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2336, 4, 'fbab4d5b9f9f7e7b8b65a83db03cb3b5a674edc3', 'D44025', 246, '2017-02-15 10:40:11', 'Olga TOINON', '[D44025] PUMA - BASCULE (squash 6)\n\n[D44025] PUMA - BASCULE (squash 7)\net renommage du defect (42497OTN devient 44025)\n\n[D42497](m10744) bascule annuelle nouveaux maj shell+sql\n\n[D42497](m10744)- Modification du shell ainsi que du script sql associé\n\n[D42497](m10598)- modification du package de bascule\n- ajout du maj_base_cir et du maj_bas_cmr\n\n[42497](m10598) Nomeclature spec afin d\'inserer des enregitrements dans plusieurs table de la CMR999\n\n[D42497]Modification du package de la bascule\n\n[D42497] Modification du package\n\n[D42497](m13598) script création des tables de nomenclature des majoc, création des grant et maj_base associé\n\n[D44025] Correction des maj_base\n\n[D44025] nettoyage de la branche avec fichier mal places.\n\n[D44025] Modification du package pck_bascule_ad.sql\n\n[D44025] Correction du package pck_bascule_ad.sql\n\n[D44025] Correction fonctions du package pck_bascule_ad\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2337, 4, 'd008b688407aadbf725a5a582ef7449933fe4fac', '18.0.0_QUAL', 147, '2017-02-15 10:43:57', 'Michel Siacchitano', '[D42991] Ajout flux 07S (squash 4 bis)\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et w01_flux_rattachement\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et\n\n[D42991] correction PCK_Flux_TRT pour compil\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2338, 4, 'ca56a0e12b69061c55e167385fdf94bef08de8ca', '18.0.0_QUAL', 164, '2017-02-15 10:46:46', 'Lionel Giordanengo', 'integ maj_base 18.0.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2339, 4, '65fea6fb4989574d18c091ab19f68ba33277b682', '18.0.0_QUAL', 147, '2017-02-15 10:46:59', 'michel.siacchitano@atos.net', 'integration : traitement des nomenclatures\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2340, 4, 'cd132e6b023c388f375957e2d13bb613b47be108', 'D44060', 246, '2017-02-15 14:35:28', 'Olga TOINON', '[D44060] Ajout de nouvelles données dans le maj_base_cir_D44060, script de nouvelles tables et de nouveaux grant\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2341, 4, 'cf61c195c8d4f2c11736c4c9c464c8e807548a22', 'TAIGA_PALL_1.7.2', 154, '2017-02-14 10:39:56', 'Laurence DECHAMP', '[D44209] RED03M Correction déclenchement recalcul des tables ASSU et ADRT\n', '', '', '', 'laurence.dechamp@atos.net', '', '', 0),
(2342, 4, '4bee9981e81edf759af52fb872fdfd5f645cbc67', 'TAIGA_PALL_1.7.2', 164, '2017-02-15 14:42:33', 'Lionel Giordanengo', '[D44218] Correction d\'une ligne d\'ADRT pour le BENF_ID 400835903 (RED03)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2343, 4, '73d8612d14f6b220a8433a58c3232bda4487921a', 'TAIGA_PALL_1.7.2', 164, '2017-02-15 14:52:03', 'Lionel Giordanengo', 'Livraison 1.7.2_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2344, 4, '1d34477ec5e61d572c3a8941164c7c19b3f394bb', '15.1.69', 164, '2017-02-15 15:36:09', 'Lionel Giordanengo', 'Merge branch \'master\' (16.1.0) into 15.1.69\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2345, 4, '5f25cedc45cd6e4edad2f257dda451f6c3959557', 'D41937', 199, '2017-02-14 17:16:41', 'Bertrand FONTANEL', 'D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2346, 4, '9830a626e2cc6fd98fa16f4f4322d964a8f53d8b', 'D41937', 199, '2017-02-15 09:55:32', 'Bertrand FONTANEL', '[D41937] save du jour\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2347, 4, 'edf14e735ef9204005ae4902c5f3fe7f02df493e', 'D41937', 199, '2017-02-15 15:38:42', 'Bertrand FONTANEL', '[D41937] save de l\'apres-midi\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2348, 4, '92b36a5134ee49bdf5305219c210b333a24f4066', '15.1.96', 164, '2017-02-15 15:39:37', 'Lionel Giordanengo', 'Merge branch \'master\' (16.1.0) into 15.1.96\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2349, 4, '04086f8388b9c6e25fd87464f49211a71ebcdc55', '16.0.35', 164, '2017-02-15 15:40:35', 'Lionel Giordanengo', 'Merge branch \'master\' (16.1.0) into 16.0.35\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2350, 4, '976434eeed0f4a9a4a1d3d39ba2ce876bf631768', '16.0.65', 164, '2017-02-15 15:41:27', 'Lionel Giordanengo', 'Merge branch \'master\' (16.1.0) into 16.0.65\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2351, 4, '2ea0433336022a05acd3d0c53a2807e050ead52c', 'master', 164, '2017-02-15 15:45:11', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.4\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2352, 4, '0d66018b4e426f1c0635cd93a63e2141f6ea41a3', 'D44060', 199, '2017-02-15 15:54:55', 'Bertrand FONTANEL', '[D44060] ossature package commun affiliation (à completer)\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2353, 4, '1cedc310fd54bbcb82a270b0b22d97e18bb07239', 'D44060', 246, '2017-02-15 17:17:25', 'Olga TOINON', '[D44060] Correction maj_base, script des tables, nouvelles fonctions du package pck_spoc_affi_outils.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2354, 4, '02e7fab8e4d482588ead5e695d788876a9561210', 'D44060', 246, '2017-02-15 17:41:42', 'Olga TOINON', '[D44060] Modifications diverses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2355, 4, 'e8b5a8f72ee0505b7f31649464cec29f0c013af0', 'D41937FTS', 169, '2017-02-16 11:19:03', 'Fabien TROPIS', '[D44027] Intégration PCK_AMABIS pour MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2356, 4, 'fbd61dd12412661170c0603a5a530a52836976be', 'm14791', 322, '2017-02-16 15:32:27', 'Estelle CORSETTI', 'AJOUT : Interface edition de flux\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(2357, 4, '3bd1b8165a4eb713e511fecefc43ca18b0984ec9', '17.0.0', 164, '2017-02-17 11:09:38', 'Lionel Giordanengo', 'Merge branch \'15.1.80\' into 17.0.0 (D44243)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2358, 4, '1dbb94bbf034de269c2f1f05a64bdd62d239755d', 'D44026', 147, '2017-02-17 13:10:57', 'michel.siacchitano@atos.net', '[D44026] Commit intermediaire du 17/02/206\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2359, 4, 'd1a47c63991efebed70ff6f19b346f814c6a9a0c', 'm14791', 322, '2017-02-17 14:19:53', 'Estelle CORSETTI', 'ADD : Installeur\nModification du squelette de l\'application\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(2360, 4, '70224d11ccc83e9870e10c2e6613f5274ab54a89', '17.1.0', 164, '2017-02-17 12:06:27', 'Lionel Giordanengo', 'commit bidon pour RF bis\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2361, 4, 'ecf6feb38f2f05b610d3454bf9a9515f621c5045', '17.1.0', 164, '2017-02-17 12:09:16', 'Lionel Giordanengo', 'Livraison 17.1.0_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2362, 4, '1f1bffebf94258431c8d3e2fb749d68e9b77067c', '16.1.55', 164, '2017-02-17 10:28:27', 'Lionel Giordanengo', '[D44245] renommage maj_base mal nommé.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2363, 4, '1d0e18c6845787b63cfc13c48e2fd3414b4665d4', '16.1.55', 164, '2017-02-17 10:32:16', 'Lionel Giordanengo', 'Livraison 16.1.55_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2364, 4, 'fed8bcc4f052124ec96081e43a135d417feaf692', 'm14791', 322, '2017-02-20 09:01:17', 'Estelle CORSETTI', 'ADD : Flux SPOC\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(2365, 4, 'dfbc5c7d2dc7f59fe3b8b674571dfd39564a1312', 'G4666', 168, '2017-02-20 10:37:10', 'Vincent-Pierre LYS', '[G4666] correction du double code erreur et modification du libelle de l\"erreur 3802\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2366, 4, '82df59d87962a7034590ea3552c1ad2ed27be823', 'master', 164, '2017-02-17 16:23:34', 'Lionel Giordanengo', 'internaltools : correction et amelioration du traitement des erreurs des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2367, 4, 'f66b3630d9a29c9cd4b3a6a2cbd2504d439e2b94', 'G4666', 168, '2017-02-20 13:29:50', 'Vincent-Pierre LYS', '[G4666] Gestion de l\'ensemble des créations d\'adresse entreprise => ajout de la procedure PCK_FLUX_AFFI02.FERMETURE_ADR_ENT\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2368, 4, '6996c967162d989583fa93024f10e9f60894a385', 'D44060', 246, '2017-02-20 13:41:39', 'Olga TOINON', '[D44060]Correction maj_base, tables de nomenclature, création d\'index, modification de la table mtf_rad\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2369, 4, 'e66ac70baa744b7fd9121c78d81207ed280f8e34', 'G4666', 168, '2017-02-20 13:57:36', 'Vincent-Pierre LYS', '[G4666] MAJ du maj_base pour ajouter dans le bon ordre de compilation le package pck_flux_affi02.sql;\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2370, 4, '534e76bfd0ade3f9f8c0296cd0e21a755fd568f5', 'm14791', 322, '2017-02-20 14:31:50', 'Estelle CORSETTI', 'Correction XML SPOC\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(2371, 4, '2809acfbbe692382d4698f4f7f75ce81c528888f', 'm14791', 322, '2017-02-20 14:42:56', 'Estelle CORSETTI', 'En cours : Ajout comboBox pour lister les ayants droit\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(2372, 4, '09622d898d39c6e26355e44d8c0aac587afb1e3c', 'D44060', 246, '2017-02-20 14:55:26', 'Olga TOINON', '[D44060] Correction maj_base\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2373, 4, 'b7703cb959d834da191a4071b1c30c01d411dfd4', 'D44060', 199, '2017-02-20 15:55:21', 'Bertrand FONTANEL', '[D44060] modification des fonctions en procedures\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2374, 4, 'a7fd23c9189fb78485a6e51f83b56a82109ceecf', '17.1.40', 168, '2017-02-20 15:14:13', 'Vincent-Pierre LYS', '[G4508] (squash 2) modification des règles RG_WS_RAD_TAIGA_033 et RG_WS_RAD_TAIGA_060 pour ajouter un  controle sur la caisse de vieillesse des pensions. (RG_WS_RAD_TAIGA_034 traite par defaut).\n\n[G4508]  suppression de la fermeture d\'IMMA\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2375, 4, '22bf97c0c43db569dee792f619652ce0cf2e2f4a', '17.1.40', 164, '2017-02-20 15:21:19', 'Lionel Giordanengo', 'integ ajout maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2376, 4, '4df5ae91ffb0a95e9f8bb2c716339b224537d935', '17.1.40', 164, '2017-02-20 15:35:18', 'Lionel Giordanengo', 'Livraison 17.1.40_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2377, 4, '354d19b5aad962ea3d851255c3ae7370dc1d2a5f', 'D41937', 199, '2017-02-15 16:58:04', 'Bertrand FONTANEL', '[D41937] save du soir\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2378, 4, 'd0f8e9d4c51946c3ba9ca4c46c7c09589f664964', 'D41937', 199, '2017-02-16 11:16:27', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2379, 4, 'e6dd4d6473b8048c23f12dc79b342080127ca3b5', 'D41937', 199, '2017-02-20 08:07:41', 'Bertrand FONTANEL', '[D41937] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2380, 4, '9b596674f1cfa9b1d55239fe75704e8dbae1580a', 'D44058', 134, '2017-02-20 16:27:35', 'Isabelle LAGIER', '[D44058] Gestion des nouveaux SPOC Administratifs\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(2381, 4, '45971cb087b0f1ac1e316484f9bfc22d1243730b', 'D44255', 246, '2017-02-20 17:01:42', 'Olga TOINON', '[D44255] Modification du script sh afin de rajouter le contrôle de la connexion\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2382, 4, '107d9df9f96121153d46dd23543a06a049d7002b', 'm14791', 322, '2017-02-21 16:32:51', 'Estelle CORSETTI', 'Modification XML SPOC\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(2383, 4, '9929ebf0d97cf78809ae65b06f59bd57cae99d0c', 'master', 164, '2017-02-21 15:59:19', 'Lionel Giordanengo', 'REDA : ajout du user RSI de Vincent Pierre\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2384, 4, '4dcf22da94abd5409f60e568ee9d0516a701a0b8', 'D44249', 246, '2017-02-22 09:50:59', 'Olga TOINON', '[D44249] Création script pal_qc_44249.sh et pal_qc_44249.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2385, 4, '4a0f2ec164696e4e2dc14ec51e423871b838a4ed', 'D44225', 72, '2017-02-17 17:23:26', 'Alain Tassotti', '[D44225]  Modif du code NSDK et remplacement de deux fichiers Excel\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2386, 4, '86157564b967946b27ec06d87bf8992181c1d0de', 'm14791', 322, '2017-02-22 11:51:47', 'Estelle CORSETTI', 'Modifications XML SPOC\nADD : Progress Indicator\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(2387, 4, 'b8d54d1e21ef89be63d1e9eb7a57a1904d38c4e2', 'D44060', 246, '2017-02-22 14:09:26', 'Olga TOINON', '[D44060] Correction du maj_bas_cir_D44060.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2388, 4, 'ce9f8f1850d7cdd2baee1def597f0a1dfb7f2e16', 'D44026_RG_F03S', 146, '2017-02-09 15:06:39', 'Achraf AKRIMI', '[D44026] commit intermediaire\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2389, 4, 'cf3e7086b3ce47c3a95d1aad897007fcc06989fe', 'D44026_RG_F03S', 146, '2017-02-20 11:09:38', 'Achraf AKRIMI', '[D44026_RG_F03S_034] Flux 03S (décés ouvrant droit)\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2390, 4, '4aacab3a0b7e4937d4d06b801347170e8a62f451', 'D44026_RG_F03S', 146, '2017-02-20 16:22:20', 'Achraf AKRIMI', '[D44026_RG_F03S_034] commit inter\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2391, 4, '44e4af1d349fc95c869769a7b8ad967c6a5bc448', 'D44026_RG_F03S', 146, '2017-02-22 14:47:05', 'Achraf AKRIMI', '[D44026] commit inter flux 3S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2392, 4, '592d142cdd162d9bb23fc4089144b0f367075fd0', 'D44026_RG_F03S', 158, '2017-02-22 11:46:14', 'Martine RENIER', '[D44217] PUMA Continuité des droits et autonomie : inscription ayants droit (squash 3)\net rennomage des commits :\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2393, 4, '8913993948d6578bc32ea7a574379f756188ea8b', 'D44026_RG_F03S', 158, '2017-02-22 14:12:23', 'Martine RENIER', '[D44190] PUMA : suppression prolongation periode de maintien de droits (squash 6)\net rennomage des commits :\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2394, 4, 'c596aa39d98bdc66570c80418a3ed79f3a536e2c', 'D44026_RG_F03S', 164, '2017-02-22 14:24:06', 'Lionel Giordanengo', '[D44060] PUMA - TAIGA Nomenclature (squash 9)\n\n[D44060] Ajout de nouvelles données dans le maj_base_cir_D44060, script de nouvelles tables et de nouveaux grant\n\n[D44060] ossature package commun affiliation (à completer)\n\n[D44060] Correction maj_base, script des tables, nouvelles fonctions du package pck_spoc_affi_outils.sql\n\n[D44060] Modifications diverses\n\n[D44060]Correction maj_base, tables de nomenclature, création d\'index, modification de la table mtf_rad\n\n[D44060] Correction maj_base\n\n[D44060] modification des fonctions en procedures\n\n[D44060] Correction du maj_bas_cir_D44060.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2395, 4, '349771b4d1f1f82fe0dd50db581528bbffcce351', 'D44026_RG_F03S', 147, '2017-02-22 14:26:52', 'Michel Siacchitano', '[D44026] PUMA Flux GA (squash 3+4)\net chgt nume defect car ca a change encours de route\n[D42497MSI] Commit intermediaire le 30/12/2016\n\n[D42497] commit intermediaire du 01022017 Avec Dbms_output\n\n[D42497m15836] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n\n[D44026] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n\n[D44026] Modif ajout init typ flux\n\n[D44026] Commit intermediaire du 17/02/206\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2396, 4, '45817ab9ee3f54ff78e2256c5f55e457b0ef2f27', 'D44026_RG_F03S', 146, '2017-02-22 15:12:38', 'Achraf AKRIMI', '[D44026] Flux 03S (décés ouvrant droit) (squash 4)\n[D44026] commit intermediaire\n\n[D44026_RG_F03S_034] commit inter\n\n[D44026] commit inter flux 3S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2397, 4, '73b4c767aa4b1a40bd33c9a69aea78ad8bd853c3', 'D44025', 246, '2017-02-22 15:16:13', 'Olga TOINON', '[D44025] Correction du package pck_bascule_ad.sql afin de rajouter le flag_annul = 0\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2398, 4, 'd23f92ad4f93438ebc2700e10b3a65d93bcd0e8f', 'D44271', 199, '2017-02-22 15:22:50', 'Bertrand FONTANEL', '[D44271] corection fichier temporaire\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2399, 4, '49fd60990a100720e09a8d2400024d28803203be', 'D44268', 199, '2017-02-22 15:38:42', 'Bertrand FONTANEL', '[D44268] Ajout date de fin not null\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2400, 4, '2df139d85d9e2c767450ce00837a5fa0958d9094', '18.0.0_QUAL', 147, '2017-02-22 15:37:30', 'Michel Siacchitano', '[D42991] Ajout flux 07S (squash 4 bis)\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et w01_flux_rattachement\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et\n\n[D42991] correction PCK_Flux_TRT pour compil\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2401, 4, 'd257732b9766f838f27e828a7447cc4056a9e2ae', '18.0.0_QUAL', 164, '2017-02-22 15:37:30', 'Lionel Giordanengo', 'integ maj_base 18.0.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2402, 4, 'ed83b5f1ad11bd1b50e19ede50de49ced322b44b', '18.0.0_QUAL', 147, '2017-02-22 15:37:30', 'michel.siacchitano@atos.net', 'integration : traitement des nomenclatures\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2403, 4, 'b4a607d6c3861f3e273993aa068abb8ff1011192', '18.0.0_QUAL', 158, '2017-02-22 15:37:30', 'Martine RENIER', '[D44217] PUMA Continuité des droits et autonomie : inscription ayants droit (squash 3)\net rennomage des commits :\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2404, 4, '42e7c291483c950a5a80c7202497fa57ac89cd7c', '18.0.0_QUAL', 158, '2017-02-22 15:37:31', 'Martine RENIER', '[D44190] PUMA : suppression prolongation periode de maintien de droits (squash 6)\net rennomage des commits :\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2405, 4, '833a479e6a8bee5cd453610cf7e252b890f6e502', '18.0.0_QUAL', 164, '2017-02-22 15:37:31', 'Lionel Giordanengo', '[D44060] PUMA - TAIGA Nomenclature (squash 9)\n\n[D44060] Ajout de nouvelles données dans le maj_base_cir_D44060, script de nouvelles tables et de nouveaux grant\n\n[D44060] ossature package commun affiliation (à completer)\n\n[D44060] Correction maj_base, script des tables, nouvelles fonctions du package pck_spoc_affi_outils.sql\n\n[D44060] Modifications diverses\n\n[D44060]Correction maj_base, tables de nomenclature, création d\'index, modification de la table mtf_rad\n\n[D44060] Correction maj_base\n\n[D44060] modification des fonctions en procedures\n\n[D44060] Correction du maj_bas_cir_D44060.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2406, 4, '0648674da88ccb41815fa7bebe519b503786bdb0', '18.0.0_QUAL', 147, '2017-02-22 15:37:31', 'Michel Siacchitano', '[D44026] PUMA Flux GA (squash 3+4)\net chgt nume defect car ca a change encours de route\n[D42497MSI] Commit intermediaire le 30/12/2016\n\n[D42497] commit intermediaire du 01022017 Avec Dbms_output\n\n[D42497m15836] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n\n[D44026] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n\n[D44026] Modif ajout init typ flux\n\n[D44026] Commit intermediaire du 17/02/206\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2407, 4, '852f63006b7af8034fb036bddf2d0b7c77432ca4', '18.0.0_QUAL', 1, '2017-02-22 16:04:28', 'Louis BAYLE', '[D44190] Maj du bq.sh (PUMA : suppression prolongation periode de maintien de droits)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2408, 4, 'ee966aaf88d6167f4a049f8bfb1795b3d88a8e49', 'D44252', 246, '2017-02-22 16:43:21', 'Olga TOINON', '[D44252] Correction de la vérification des paramètres d\'entrée du script pal_qc43018.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2409, 4, '87d5a109872f0e7619092ef2895555838efe6456', '18.0.0_QUAL', 164, '2017-02-22 16:43:51', 'Lionel Giordanengo', 'integ : modif des maj_base ATTENTION : Nomenclatures à modifier pour 44060\nactuellement chargés en maj_base_cir mais à modifier voire Olga\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2410, 4, '68bd3736ddfd1f1e4c5f5d296907f7771d3ba4bb', '18.0.0_QUAL', 164, '2017-02-22 16:47:45', 'Lionel Giordanengo', 'internaltools : correction et amelioration du traitement des erreurs des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2411, 4, '9950e4fbc05ede424236afe1c5ba289ed14d36f5', 'D43955', 74, '2017-02-22 16:59:23', 'Isabelle Finette', '[D43955] Développement filtrage motif de radiation en fonction des périodes de gratuité\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2412, 4, '78edfb8236a6332d7e8493746faf3b51242cee5e', '18.0.0_TP', 164, '2017-02-22 17:08:14', 'Lionel Giordanengo', 'Merge branch \'17.2.0\' into 18.0.0_TP\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2413, 4, 'f80b253f1419b8ea5014163e0b19a35f3a5afa9a', '18.0.0_TP', 74, '2017-02-22 17:17:13', 'Isabelle Finette', '[D43955] Développement filtrage motif de radiation en fonction des périodes de gratuité\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2414, 4, 'c1ef1791bc20ace4bd103df1ab044683988a6632', '17.1.50', 157, '2017-02-23 09:59:27', 'Vincent GENTIL', '[D43652][D44031] Application RG_ECH_78 au 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2415, 4, '9cdbc6ae8f6269d575c18b6e9b3ca7703afc6dee', '17.1.50', 72, '2017-02-23 10:01:59', 'Alain Tassotti', '[D44225]  Modif du code NSDK et remplacement de deux fichiers Excel\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2416, 4, '94de163acda9b07071d2287f60a619bca485b5f6', 'D44060_QUAL', 199, '2017-02-23 11:43:26', 'Bertrand FONTANEL', '[D44060] corrections suite mise en qualif\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2417, 4, '8b533a97285197ad30a4bf79df5c99cb2a9dc8b6', 'm14791', 322, '2017-02-23 12:08:03', 'Estelle CORSETTI', 'Modification XML SPOC\n', '', '', '', 'estelle.corsetti@atos.net', '', '', 0),
(2418, 4, '3d53eab70ac12bec6237c2522dd3c6e66ee0fd0c', '18.0.0_QUAL', 164, '2017-02-23 11:51:13', 'Lionel Giordanengo', 'integ correction Maj_base_cir\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2419, 4, '081f7536891b3ac98ccc80ce7c7ef34bc350357d', '18.0.0_QUAL', 164, '2017-02-23 14:38:39', 'Lionel Giordanengo', '[D44060] corection nom de fichier erronne\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2420, 4, '0ea49c0f4dc72d123e4e337d792bc146ef661695', 'D44060_QUAL', 199, '2017-02-23 15:36:42', 'Bertrand FONTANEL', '[D44060] Correction CMR026\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2421, 4, 'dec804851950fcb9bfd235adc930768357cc3a38', '18.0.0_QUAL', 164, '2017-02-23 15:34:14', 'Lionel Giordanengo', 'integ correctionmaj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2422, 4, '7a59e12b5159350cc4b086712cf81d2615cecfb1', '18.0.0_QUAL', 199, '2017-02-23 15:55:30', 'Bertrand FONTANEL', '[D44060] Correction CMR026\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2423, 4, 'd61ed80bff365494e3cd50c1bac53b213abe11f3', '18.0.0_TP', 164, '2017-02-23 16:21:23', 'Lionel Giordanengo', 'Merge branch \'17.2.0\' into 18.0.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2424, 4, '46ff197298a3750dcbbbbb3014d2c265cc38f3c0', '18.0.0_TP', 74, '2017-02-23 16:22:54', 'Isabelle Finette', '[D43955] Développement filtrage motif de radiation en fonction des périodes de gratuité\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2425, 4, 'bfb9b45b425e57a1a7cdc45a38bd1dd69f2042bd', '18.0.0_TP', 164, '2017-02-23 16:48:54', 'Lionel Giordanengo', 'integ maj_base provisoire pour install\nappele _99 pour ne pas confondre !\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2426, 4, 'd5a66b3714066da0ffa14510aaa86e7f897e1ab8', 'D41937FTS', 169, '2017-02-22 10:17:44', 'Fabien TROPIS', '[D44060] Nomenclatures MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2427, 4, 'fe59c7a4dd8feec2867b1eddd09023715d806b1d', 'master', 164, '2017-02-24 09:08:23', 'Lionel Giordanengo', 'Merge branch \'15.1.80\' (16.1.10 dimension) into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2428, 4, '1f91028de3e0f38a06337f12193c6a66eaabd509', '17.1.40', 168, '2017-02-24 10:22:26', 'Vincent-Pierre LYS', '[G4666] EVOL POUR REJET 3745 (squash 11)\n\n[G4666] Traitement des adresses (règle RG_PACR_062)\n\n[G4666] Correction de l\'erreur sur l\'adresse de l\'entreprise\n\n[G4666] Traitement de la nouvelle regle RG_CTR_005  et nouveaux libellés des messages\n\n[G4666] corrections fautes de frappe\n\n[G4666] ajout du sql%rowcount\n\n[G4666] traitement des doublons dans le flux xml\n\n[G4666] ajout du maj_base\n\n[G4666] Correction erreur 3745 systématique\n\n[G4666] dev suite à TI\n\n[G4666] traitement des beneficiaires indéterminés\n\n[G4666] correction du pb sur les alertes\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2429, 4, '7604ccbf3194893af857a2fd6d7816409a2a3473', '17.1.40', 168, '2017-02-24 10:22:52', 'Vincent-Pierre LYS', '[G4666] correction du double code erreur et modification du libelle de l\"erreur 3802\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2430, 4, '75095ffe7530f4efebaa4a3192bd2a9c17404185', '17.1.40', 168, '2017-02-24 10:23:00', 'Vincent-Pierre LYS', '[G4666] Gestion de l\'ensemble des créations d\'adresse entreprise => ajout de la procedure PCK_FLUX_AFFI02.FERMETURE_ADR_ENT\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2431, 4, 'd7c4cca35129dfef56df6268a3ff9a7337822e64', '17.1.40', 168, '2017-02-24 10:23:08', 'Vincent-Pierre LYS', '[G4666] MAJ du maj_base pour ajouter dans le bon ordre de compilation le package pck_flux_affi02.sql;\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2432, 4, '1fd0ff0d74cc5a58851770cab417f1e19debfcb2', '17.1.40', 164, '2017-02-24 11:12:25', 'Lionel Giordanengo', 'integ : traitement des nomenclatures et maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2433, 4, '495ba0db025c3e11b1e98cb5fdf0482e503be50c', '17.1.40', 164, '2017-02-24 11:17:00', 'Lionel Giordanengo', 'Livraison 17.1.40_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2434, 4, 'bc0da8415e727ad94a0d8cf58187f8f01708eecd', 'D44225', 72, '2017-02-24 13:48:27', 'Alain Tassotti', '[D44225]   Scripts Internal Tools à tester puis à  mettre dans master;  prerequis : modifier taigaDevClient32_to_titulaire.pl pour qu\'il prenne le repertoire qui contient les fichier excel\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2435, 4, 'd00506a44bf29ff9a8d9ea54ca7bf60ff0088993', 'D44225', 72, '2017-02-24 14:02:34', 'Alain Tassotti', '[D44225] nouvelle version du script à tester\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2436, 4, '685474e265a4c50ef4ab2ef8fd82ad5b374a6c34', 'D44060', 199, '2017-02-24 14:44:49', 'Bertrand FONTANEL', '[D44060] Correction avec des fetch\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2437, 4, '154098f5707717c92fbfa6a54b9efab87f89c24a', 'D44289', 199, '2017-02-24 15:28:39', 'Bertrand FONTANEL', '[D44289] ajout gestion erreur Oracle\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2438, 4, '9322cf487cb8490153dd352aaa57bf729fa3f254', 'D44225', 72, '2017-02-24 15:49:00', 'Alain Tassotti', '[D44225] nouvelle version du script à tester\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2439, 4, 'ff6015842af168d93acb85dbc9107732ef6b50bb', 'D44225', 72, '2017-02-24 15:51:37', 'Alain Tassotti', '[D44225] nouvelle version du script à tester\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2440, 4, '0ca23d1bd72b90aeaaa8c1a4ebf6596b327d6305', '16.1.55', 199, '2017-02-24 15:37:09', 'Bertrand FONTANEL', '[D44271] corection fichier temporaire\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2441, 4, '600ba1230431b5bb6262e83b865a8e7fea730108', '16.1.55', 199, '2017-02-24 15:38:57', 'Bertrand FONTANEL', '[D44268] Ajout date de fin not null\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2442, 4, 'ee087b44c11077414a84aaf42571a3de2b43f23e', '16.1.55', 199, '2017-02-24 15:41:48', 'Bertrand FONTANEL', '[D44289] ajout gestion erreur Oracle\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2443, 4, '75ff3c8a79ada2b805b23dad75edbe14926ea6ef', '16.1.55', 164, '2017-02-24 15:47:06', 'Lionel Giordanengo', 'integ maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2444, 4, '2bc0f9723e320ac7e8c6c230c3b2d775ac7c4255', '16.1.55', 164, '2017-02-24 16:00:40', 'Lionel Giordanengo', 'Livraison 16.1.55_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2445, 4, 'c234bdb6886ca27a0b6eaaa7d038101db1f6cb2d', 'D44026', 147, '2017-02-27 10:17:02', 'michel.siacchitano@atos.net', '[D44026] le package fin _periodes_ga n\'a plus de raison d\'exister\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2446, 4, '2ae20250c17fffb3bbc8ace4b72e403ab20b0c61', 'D44292', 157, '2017-02-27 11:20:01', 'Vincent GENTIL', '[D44292] Correction generation spoc23 SAGA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2447, 4, 'f59277f3fd55b2760cc37c5f6286d466025fb7b4', 'D44026', 147, '2017-02-27 12:22:43', 'michel.siacchitano@atos.net', '[44026] Pour determination POP_AD : sysdate est remplace par Trunc(SYSDATE) pour comparaison date uniquement (sans tenir compte des heures)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2448, 4, 'd4fdada2f5c0bf6184e29da3fd64663a6bd41764', 'D44294', 246, '2017-02-27 13:43:08', 'Olga TOINON', '[D44249] Correction nom de table pour le script w01_extract_trampl_ent.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2449, 4, 'c0483e30ede3a6b67a08830ff08a299dd3860ede', 'D44294', 246, '2017-02-27 14:14:34', 'Olga TOINON', '[D44294] Correction commentaire dans les script w01_extract_trampl.sql et w01_extract_trampl_ent.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2450, 4, '0628ace647f05160e21f66dba6b543683f730f4f', '16.1.55', 246, '2017-02-27 14:30:45', 'Olga TOINON', '[D44249] Correction nom de table pour le script w01_extract_trampl_ent.sql\n\n[D44294] Correction commentaire dans les script w01_extract_trampl.sql et w01_extract_trampl_ent.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2451, 4, 'b931d9b2f80bb74ea50a9466091abe6675bbbd65', '16.1.55', 164, '2017-02-27 14:37:10', 'Lionel Giordanengo', 'integ maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2452, 4, 'dfc9ae45828615c17f1328fa30c8a52dfa0a3373', '16.1.55', 164, '2017-02-27 14:43:50', 'Lionel Giordanengo', 'Livraison 16.1.55_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2453, 4, 'fcb99602fa1195608ced440a2531c2910813f005', '16.1.15', 164, '2017-02-28 10:44:51', 'Lionel Giordanengo', 'integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2454, 4, 'ced4640f0e7f0eb8ffba8b7b102f82efbf7a0274', '16.1.15', 164, '2017-02-28 10:57:27', 'Lionel Giordanengo', 'Livraison 16.1.15_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2455, 4, '676e1292f976c56a5fa3951825963160e373e0ba', 'D44025', 246, '2017-02-28 15:31:36', 'Olga TOINON', '[D44025] Correction du package de la bascule ainsi que les scripts sql et sh de la bascule des majeurs\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2456, 4, 'fca0706214a8546805fcb2fa91553e511c46c3a8', 'D44231', 246, '2017-02-28 17:25:25', 'Olga TOINON', '[D44231] Correction du package\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2457, 4, '08b667186c8c6abf03011759f08d8d56c5d263c4', 'D44265', 74, '2017-02-21 09:24:38', 'Isabelle Finette', '[D44265] Correction de l\'alignement des champs\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2458, 4, '9eb4479cb08f86bfe64eb9892134afe8e0891801', 'D44231', 246, '2017-03-01 11:23:04', 'Olga TOINON', '[D44231] Correction du package pck_cqprar00.sql sur la valeur de l\'envoie papier\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2459, 4, 'be92b0c2427a7203255e6c445b3d26326075e1ce', 'TAIGA_PALL_1.7.15', 164, '2017-03-01 14:17:20', 'Lionel Giordanengo', '[D44305] TAIGA - Table CONTRIBUER & RED03 (passe plat sevajol)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2460, 4, 'f088897b375ebd9b66c10ab6e60b0ac00f432c66', 'TAIGA_PALL_1.7.15', 164, '2017-03-01 14:22:44', 'Lionel Giordanengo', 'Livraison 1.7.15_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2461, 4, '7189e0c387ae259b1042a47e09fd1f702d9c135f', 'D44297', 199, '2017-03-02 07:51:31', 'Bertrand FONTANEL', '[D44297] Ajout d\'un distinct\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2462, 4, 'e087de86149a50911adfd39dc5253b609caefe04', '17.0.0', 164, '2017-03-02 15:05:34', 'Lionel Giordanengo', 'Merge branch \'16.1.15\' into 17.0.0 (D44321)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2463, 4, '223713e8483f0610e2a51d6f57e8c9179070dc1a', '16.1.50', 164, '2017-03-02 15:20:23', 'Lionel Giordanengo', 'Merge branch \'17.0.0\' into 16.1.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2464, 4, 'b892327ef55ae8b76ece4a579630b3ef5e61b807', '17.1.0', 164, '2017-03-02 15:13:16', 'Lionel Giordanengo', 'Merge branch \'17.0.0\' into 17.1.0 (D44303)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2465, 4, 'ab6640a2fa976169f1a6957e4ec79b1c8f466835', '17.1.0', 164, '2017-03-02 16:17:17', 'Lionel Giordanengo', '[D44323] commit bidon pour RF + rattrapage sur les cqpdsi0x.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2466, 4, '22b4da80333e13d4171a4cee8289825b57730d63', '17.1.0', 164, '2017-03-02 16:22:02', 'Lionel Giordanengo', 'Livraison 17.1.0_007 RF D44323\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2467, 4, '33fa09c65acb91f48861e37c476b88b6aa1f74d6', '16.1.50', 164, '2017-03-02 17:02:45', 'Lionel Giordanengo', '[D44323] commit bidon pour RF pck_spoc23.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2468, 4, '658e959dafe5792be35fdc096700f2f21ae11884', '16.1.50', 164, '2017-03-02 17:05:16', 'Lionel Giordanengo', 'Livraison 16.1.50_004 pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2469, 4, 'd10004b7d34239cf81008f44cdbbb22cdc90713b', 'TAIGA_PALL_1.7.27', 164, '2017-03-01 15:05:18', 'Lionel Giordanengo', '[D44302][D43849] correction pal_qc_37354 reprise echeanciers de paiement (partie TAIGA_PALL)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2470, 4, '22befba6ebf3475e60528cb44c39e62b237a5a0e', 'TAIGA_PALL_1.7.27', 164, '2017-03-03 11:08:48', 'Lionel Giordanengo', 'Livraison 1.7.27_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2471, 4, 'dc2bfe49c7b9c689db155edb38d37f0acab04523', 'D44325', 157, '2017-03-03 12:52:36', 'Vincent GENTIL', '[D44325] correction defect 43597 si exoneration superieure a la cotisation calculee\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2472, 4, '4522dd96e9ccdf5b1925aec500a93604c6a771cf', 'D43955', 74, '2017-03-03 13:50:45', 'Isabelle Finette', '[D43955][M12288] Mise à niveau de la base de données (suppression d\'un colonne créée en trop dans la table MTF_RAD) lors du premier dev\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2473, 4, 'c67b77f987a0e6bf9bdac9d298a9b3c36f63a397', 'D43955', 74, '2017-03-03 14:48:20', 'Isabelle Finette', '[D43955][M12288] Fin du dev du filtrage du motif de radiation\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2474, 4, 'ec745a6c578d26ef2ce70be96cb7db761054cd37', 'D44197', 157, '2017-02-27 16:31:16', 'Vincent GENTIL', '[D44197] Optimisation moteur de calcul\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2475, 4, '84fcd231b3176c2d929827ec6b3361d34e0bdae9', 'D44197', 157, '2017-02-28 09:50:56', 'Vincent GENTIL', 'Merge branch \'D41664_new\' into D44197\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2476, 4, '45c759458a85222685b1b48247efba68f3ef6f2c', 'D44197', 157, '2017-03-03 10:51:11', 'Vincent GENTIL', '[D44197] Optimisation moteur de calcul\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2477, 4, '61c28c2b4c03c7ea410253ebd256d5a87b612057', '17.1.51', 164, '2017-03-03 09:47:42', 'Lionel Giordanengo', 'Merge branch \'17.1.0\' into 17.1.51 (DXXXXX)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2478, 4, '18a9de1c9f18359044251e205b36e2ca30a1f270', '17.1.51', 164, '2017-03-03 09:59:33', 'Lionel Giordanengo', 'Merge branch \'16.1.50\' into 17.1.51 (DXXXXX)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2479, 4, '228a64835bd3bea5c1308425bd489fcabafe826a', '17.1.51', 72, '2017-03-03 10:00:53', 'Alain Tassotti', '[D44188]  Ajout libelles caisse en dur pour CALI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2480, 4, 'cf777288c83d81ddb5e5841f7d6bf83e5acf4b74', '17.1.51', 157, '2017-03-03 10:02:09', 'Vincent GENTIL', '[D43656][D44069] Changement modalites modification calcul de la date de la prochaine echeance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2481, 4, 'c86dbcb6ae4dffa688933e5f82169de010af2265', '17.1.51', 157, '2017-03-03 10:09:52', 'Vincent GENTIL', '[D43849] correction pal_qc_37354 reprise echeanciers de paiement\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2482, 4, '2c93ee0f68bc4ec55c6a431bb5c3a719e498e033', '17.1.51', 164, '2017-03-03 10:09:52', 'Lionel Giordanengo', '[D43849] suppression des modif de taiga_pall relivré via le D44302\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2483, 4, '11f43c974d06878470a93e02bc7018770a41a201', '17.1.51', 199, '2017-03-03 10:09:52', 'Bertrand FONTANEL', '[D44114][D44103] creation de l\'index mt_reclame_i04 (squash 3)\n\n[D44114] renommage D44103 en D44114\n\n[D44114] deplacement du maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2484, 4, '8d1538543a90a4d5e8f9786d1d6afb61df807c7d', '17.1.51', 157, '2017-03-03 10:09:52', 'Vincent GENTIL', '[D43652][D44031] Application RG_ECH_78 au 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2485, 4, '8fddaadfb2febde0044d35409b3e1be829824ade', '17.1.51', 72, '2017-03-03 10:09:52', 'Alain Tassotti', '[D44225]  Modif du code NSDK et remplacement de deux fichiers Excel\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2486, 4, '8087b72a25c9856602b0aad8bb93cf4a088598f6', '17.1.51', 164, '2017-03-03 10:26:47', 'Lionel Giordanengo', 'integ 17.1.51: renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2487, 4, '0632f48f838bee316cb7ed1c4a7437d2c5d7b88b', '17.1.51', 164, '2017-03-03 11:50:03', 'Lionel Giordanengo', 'commit bidon pour RF (D44303 merge de la 17.1.0)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2488, 4, 'ae9f5cadced9ac1b1efc27f88c39bcd16da76fee', '17.1.51', 164, '2017-03-03 11:57:17', 'Lionel Giordanengo', 'Livraison 17.1.51_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2489, 4, 'f7ae7e414c425c5000a51aef2cb15453fda5a309', 'D44291', 157, '2017-03-03 15:37:41', 'Vincent GENTIL', '[D44291] Modification recherche assiette N-1 si saisie assiette N pour eviter les assiette debut activite\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2490, 4, 'eb038897e306ddd24a0a328aa409b5a02e4fe54c', 'D43955', 74, '2017-03-03 15:43:33', 'Isabelle Finette', '[D43955][M12288] Modif sur une égalité de sélection\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2491, 4, '05b24b39b09da596fd3bf5c0a7ddedd99e5ccf95', 'master', 1, '2017-03-03 16:48:10', 'Louis BAYLE', 'Merge branch \'17.0.0\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2492, 4, '05acee3dfd8e1d1ddc1d58955193e75908bd6599', 'D44026', 147, '2017-03-03 07:32:19', 'michel.siacchitano@atos.net', '[D44026] Code 02S Terminé commit apres  test l 02/03/2017\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2493, 4, 'd18bb7b6dedff063b0fd19f4a96741d7d765735a', 'D44026_RG_F03S', 146, '2017-02-28 15:38:59', 'Achraf AKRIMI', '[D44026_RG_F03S] commit intermediaire\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2494, 4, '97771261747145b8aeff407638139efd0d3aaf39', 'D44026_RG_F03S', 146, '2017-02-28 18:58:30', 'Achraf AKRIMI', '[D44026_RG_F03S] finalisation du flux03S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2495, 4, '9d1083c1939890295e0867d3022ceedfeb7377da', '15.1.69', 1, '2017-03-06 12:16:18', 'Louis BAYLE', 'Merge branch \'master\' (17.0.0) into 15.1.69\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2496, 4, 'ae5b7d3c2ce8ce12c3993f83bbeeeb5b62da20da', '15.1.96', 1, '2017-03-06 12:09:53', 'Louis BAYLE', 'Merge branch \'master\' (17.0.0) into 15.1.96\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2497, 4, 'f63ed42b9e53c5993c604b6e996147c90593f6d8', '16.0.35', 1, '2017-03-06 12:02:40', 'Louis BAYLE', 'Merge branch \'master\' (17.0.0) into 16.0.35\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2498, 4, 'dae4ac9b82854e07fd20f5e88a3fd2026bd9dca3', '16.0.5', 1, '2017-03-06 12:13:36', 'Louis BAYLE', 'Merge branch \'master\' (17.0.0) into 16.0.5\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2499, 4, 'de457781b6ebbd516d2b683831860bc3f3c477ea', '16.0.65', 1, '2017-03-06 12:18:18', 'Louis BAYLE', 'Merge branch \'master\' (17.0.0) into 16.0.65\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2500, 4, 'f67ae3b2fc5fc3859e6b9a3c759f475f7e75631d', '17.2.0', 1, '2017-03-06 12:08:13', 'Louis BAYLE', 'Merge branch \'master\' (17.0.0) into 17.2.0\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2501, 4, '5d43825dcc97ac3b4efd0434dc6a4e684e110438', 'D44025', 246, '2017-03-06 14:40:39', 'Olga TOINON', '[D44025] Corrections divers de la bascule\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2502, 4, '142433ca4202793018461c459e069c29597b3ad0', 'D44333', 246, '2017-03-06 17:08:19', 'Olga TOINON', '[D44333] Correction du paramètre lot sur 2 caractères dans les scripts cjcenv04.sh et cjcenv05.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2503, 4, '808bb9d4e439a4046b948e3c5d1f96db92cb5d68', '17.1.51', 157, '2017-03-07 09:53:22', 'Vincent GENTIL', '[D44197] Optimisation moteur de calcul\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf35.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2504, 4, '8879c00c1aeb67f20b4697a331b53375d87b6579', '17.1.51', 157, '2017-03-07 10:13:20', 'Vincent GENTIL', '[D44197][D41664] Optimisation moteur de calcul\n\nATTENTION: ce commit contient également le defact D41664 de JMS 2016-06-03 17:15:20\nvenant de la branche \'D41664_new\'\nce merge a été fait par VGL, car il est necessaire au D44197.\n\nle defect D41664 a ete decommissionné de master par le 43508, il ne faut\ndonc pas le re-livrer...\n=> un commit de suppression du D41664 devrait suivre.\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf50.sql\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf60.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2505, 4, '665c972339ba28d73e0eaa5f416db414a4bb3a16', '17.1.51', 157, '2017-03-07 10:29:37', 'Vincent GENTIL', '[D44197][D41664] Optimisation moteur de calcul\n\nATTENTION: ce commit contient également le defact D41664 de JMS 2016-06-03 17:15:20\nvenant de la branche \'D41664_new\'\nce merge a été fait par VGL, car il est necessaire au D44197.\n\nle defect D41664 a ete decommissionné de master par le 43508, il ne faut\nle restituer suite a discussion avec yann G. le 07/03/2017\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf50.sql\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf60.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2506, 4, 'eb1d243ccf817896d398886803cc1ebf6a4a414e', '17.1.51', 157, '2017-03-07 10:31:45', 'Vincent GENTIL', '[D44197][D41664] Optimisation moteur de calcul\n\nATTENTION: ce commit contient également le defact D41664 de JMS 2016-06-03 17:15:20\nvenant de la branche \'D41664_new\'\nce merge a été fait par VGL, car il est necessaire au D44197.\n\nle defect D41664 a ete decommissionné de master par le 43508, il faut\nle restituer suite a discussion avec yann G. le 07/03/2017\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf50.sql\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf60.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2507, 4, '4e668768b347bee976356fc57960f69278c1d178', '17.1.51', 1, '2017-03-07 10:54:41', 'Louis BAYLE', 'majbase 17.1.50_02\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2508, 4, '96836c141c4d56a9b92239f37b22a9ae0e26f2c2', '17.1.0', 74, '2017-03-07 11:17:19', 'Isabelle Finette', '[D44265] Correction de l\'alignement des champs\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(2509, 4, '74d8cfa6937727a186f42417d3aab5c892249e37', '17.1.0', 246, '2017-03-07 11:18:16', 'Olga TOINON', '[D44231] Correction du package pck_cqprar00.sql sur la valeur de l\'envoie papier\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2510, 4, '1337e35530225e19937ffcbb91d229e5ba0d64c3', '17.1.0', 157, '2017-03-07 11:19:09', 'Vincent GENTIL', '[D44325] correction defect 43597 si exoneration superieure a la cotisation calculee\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2511, 4, '98579d128059999d14fbd3bdce749dc5a0c7ff83', '17.1.0', 1, '2017-03-07 11:40:54', 'Louis BAYLE', 'Livraison 17.1.0_009\n\nmaj_base 17.1.0_09\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2512, 4, '7b1bb3a48f839781a3a9daa90129af0ab6b84971', 'D44317', 147, '2017-03-07 14:50:14', 'michel.siacchitano@atos.net', '[D44317] Reprise algo de luhn\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2513, 4, '8c7e804d7f27c94b54679ce5430c646c02405d2e', 'D44317', 147, '2017-03-07 14:53:48', 'michel.siacchitano@atos.net', '[D44293] modif masque siren pour prise en compte siren commencant par zero\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2514, 4, '15c3a7101984589e04d7df77ddb03232b377c43e', 'D44025', 246, '2017-03-07 15:42:51', 'Olga TOINON', '[D44025] Correction diverses sur la bascule\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2515, 4, '150f7bb9f0fac31eb1e799ba0c21830bea683f56', '17.1.51', 1, '2017-03-07 16:33:49', 'Louis BAYLE', 'majbase 17.1.51_02 + FIX _01 !!\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2516, 4, '288e9a4a0c4074d4e2c24c24ebeea2201ba7657d', 'D44025', 246, '2017-03-07 16:34:35', 'Olga TOINON', '[D44025] Correction du formatage des dates\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2517, 4, '660958303a96575735dd1b565dd3a8e4c5c2f958', 'D44319', 157, '2017-03-07 15:49:27', 'Vincent GENTIL', '[D44319] correction defect 43597 ne pas proratiser le plafond de la securite sociale\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2518, 4, '0c7a03e0e443cb437ffe1ce0e0f92610e08b9b04', 'D43955', 168, '2017-02-27 10:29:36', 'Vincent-Pierre LYS', '[D43955]  mantis n°10743 : commit intermédiaire\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2519, 4, '5ce69cf1662e2e0aaef7cca7255f254505965fad', 'D43955', 168, '2017-03-08 14:32:58', 'Vincent-Pierre LYS', '[D43955]  mantis n°10743 : commit intermédiaire n°3 : fiche 1 terminée\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2520, 4, '3e60fc5960280884840c426da614bcf0de279d9b', 'D43955', 168, '2017-03-08 14:39:01', 'Vincent-Pierre LYS', '[D43955]  mantis n°10743 : commit intermédiaire n°3 : fiche 1 terminée\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2521, 4, 'ab70703927d4abca1b3068f606a0c345dfcb0bff', 'D44317', 147, '2017-03-08 16:25:02', 'michel.siacchitano@atos.net', '[44317] correction apres Test\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2522, 4, '80e85c848c20c09f8d17a49b44be72fe6f7edc6d', '16.0.75', 1, '2017-03-08 17:32:16', 'Louis BAYLE', 'Merge branch \'master\' into 16.0.75\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n#	Docs/Reference/3B12 - Guides d\'exploitation/Guide d_Exploitation TAIGA - batch.doc\n#	Docs/Reference/3B12 - Guides d\'exploitation/Guide_des_traitements_Batch.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2523, 4, '1fb393e411b4b3f68f417afb593cc16d8c9d99e9', '16.1.55', 1, '2017-03-08 17:34:20', 'Louis BAYLE', 'Merge branch \'16.0.75\' into 16.1.55\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2524, 4, '7c972a243bb38072108b63b4a77d67019d9fbbe8', 'D44244', 246, '2017-03-08 18:33:29', 'Olga TOINON', '[D44244] Optimisation des script pour réduire le temps d\'exécution\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2525, 4, '6b1a60973ad3447161874d13f8928aec7c287123', 'D44287', 157, '2017-03-09 11:40:12', 'Vincent GENTIL', '[D44287] RDD correction per_apl_id\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2526, 4, 'f54ffe63a4cfa7d76ebf3a9b87807b3d7fe0300d', '17.1.51', 157, '2017-03-09 14:34:42', 'Vincent GENTIL', '[D44197] Correction script creation vue\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2527, 4, '9d3e657e57ec127976f10f683cc9ad5744f1e970', 'master', 1, '2017-03-08 17:57:32', 'Louis BAYLE', 'InternalTools: liste_pck_pour_TP.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2528, 4, 'd9a92de7ed57cb686cddc81825eb591945796a10', 'master', 1, '2017-03-09 15:18:37', 'Louis BAYLE', 'InternalTools: maj_env_cmr.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2529, 4, 'd29bb9d6e4797bc4f6afb78d88d7f8a14bf0b879', 'master', 1, '2017-03-09 15:46:26', 'Louis BAYLE', 'InternalTools: maj_env_cmr.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2530, 4, '1bb31d60672ad5da38bf3ae14843f888101ee792', 'D44249', 199, '2017-03-10 08:52:38', 'Bertrand FONTANEL', '[D44249] suppression des accents dans l\'entete du fichier\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2531, 4, '530288ba26ab496b78f8016cb6a5260db08ed69a', 'D44249', 199, '2017-03-10 08:53:17', 'Bertrand FONTANEL', '[D44249] idem\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2532, 4, '3bbc09f09de76891ea92a5bbde3563da9bdd1de1', 'D44244', 147, '2017-03-10 09:18:51', 'michel.siacchitano@atos.net', '[D44244] Corrections optimisations : switch 1ere ligne, correction params et correction CMR\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2533, 4, '5f8c211f505b0f53c6115b62caa2861262b6aed5', 'D44026', 146, '2017-03-10 09:35:00', 'Achraf AKRIMI', '[D44026] Flux 03S (décés ouvrant droit) (squash 4)\n[D44026] commit intermediaire\n\n[D44026_RG_F03S_034] commit inter\n\n[D44026] commit inter flux 3S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2534, 4, 'd7adc84198b06857f3144d4d13050201cf3bb385', 'D44026', 146, '2017-03-10 09:35:47', 'Achraf AKRIMI', '[D44026_RG_F03S] commit intermediaire\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2535, 4, '98d37319277a00b9c56a39fd9244d335b1b55b32', 'D44026', 146, '2017-03-10 09:39:24', 'Achraf AKRIMI', '[D44026_RG_F03S] finalisation du flux03S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2536, 4, 'be3da8a683217208e3f6c9cf666cda68523517d5', '17.1.0', 1, '2017-03-09 15:00:29', 'Louis BAYLE', 'majbase 17.1.0_010\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2537, 4, '6c04e68d91e521a65124125deb0ea7d1e8cd92bc', '17.1.0', 1, '2017-03-09 15:42:11', 'Louis BAYLE', 'Merge branch \'16.1.50\' into 17.1.0 (D44347)\n\nNOTE: il n\'y a pas eu de RF sur le cqpdsi00.sql dans dimensions\ncela me parrait douteux...\n\n# Conflicts:\n#	1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/cqpdsi00.sql\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2538, 4, 'b9d323a40c075aabbb81f097d293d1f9becb9f06', '17.1.0', 1, '2017-03-09 16:19:56', 'Louis BAYLE', 'Livraison 17.1.0_010\n\nNote: je relivre le cqpdsi00.sql a cause du merge 16.1.50 -> 17.1.0\n(6c04e68d91e5) bien que dimensions n\'ait pas vu de RF ...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2539, 4, 'd9181b3aa94380459acd09dd043a07af8b7a5ee4', '17.1.51', 1, '2017-03-09 17:30:15', 'Louis BAYLE', 'correction majbase 01\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2540, 4, '20dbd5f79c6ffafed70ffe6292275ef3b63915e8', '17.1.51', 1, '2017-03-09 17:35:42', 'Louis BAYLE', 'Livraison 17.1.51_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2541, 4, '9c3fa210a703fdc6425b7ceb4523fc89303f5ecc', 'D44358', 72, '2017-03-10 10:50:11', 'Alain Tassotti', '[D44358] check oracle pal_qc_37354.sh (non teste)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2542, 4, '5d5d7d9549f1bf62c62de22fa381a5f40f0c13d0', '18.0.0_QUAL2', 246, '2017-03-10 12:01:12', 'Olga TOINON', '[D44025] Correction du package de la bascule ainsi que les scripts sql et sh de la bascule des majeurs\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2543, 4, '2451c737f1c80f44768596f7946f1cadf528b334', '18.0.0_QUAL2', 246, '2017-03-10 12:01:12', 'Olga TOINON', '[D44025] Corrections divers de la bascule\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2544, 4, '81692da0cc620bc5abf86f4f9682c2fa845e6374', '18.0.0_QUAL2', 246, '2017-03-10 12:01:12', 'Olga TOINON', '[D44025] Correction diverses sur la bascule\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2545, 4, '384d4815f4e7a678411a5f36af761b65999d164a', '18.0.0_QUAL2', 246, '2017-03-10 12:01:12', 'Olga TOINON', '[D44025] Correction du formatage des dates\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2546, 4, '8502b56162af7d0320a9d29bac9f403c6b77dd18', '18.0.0_QUAL2', 147, '2017-03-10 12:05:33', 'michel.siacchitano@atos.net', '[D44026] le package fin _periodes_ga n\'a plus de raison d\'exister\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2547, 4, '0daf5c2fd4c2f52cb78e160dbf117f6856a69216', '18.0.0_QUAL2', 147, '2017-03-10 12:05:34', 'michel.siacchitano@atos.net', '[44026] Pour determination POP_AD : sysdate est remplace par Trunc(SYSDATE) pour comparaison date uniquement (sans tenir compte des heures)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2548, 4, '82f65a784f8895fe74a94a0cb5e578d077f539c0', '18.0.0_QUAL2', 147, '2017-03-10 12:05:34', 'michel.siacchitano@atos.net', '[D44026] Code 02S Terminé commit apres  test l 02/03/2017\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2549, 4, '606958fb4162e0cbb72e6d153d1fa928e813cbdb', '18.0.0_QUAL2', 146, '2017-03-10 12:05:34', 'Achraf AKRIMI', '[D44026] Flux 03S (décés ouvrant droit) (squash 4)\n[D44026] commit intermediaire\n\n[D44026_RG_F03S_034] commit inter\n\n[D44026] commit inter flux 3S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2550, 4, 'bee6192513b928f4f5f9f15a3a8640db018c9f76', '18.0.0_QUAL2', 146, '2017-03-10 12:05:34', 'Achraf AKRIMI', '[D44026_RG_F03S] commit intermediaire\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2551, 4, '0b6cea0331fc25ad0280b0ff4890ddac00bc583b', '18.0.0_QUAL2', 146, '2017-03-10 12:05:34', 'Achraf AKRIMI', '[D44026_RG_F03S] finalisation du flux03S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2552, 4, 'cb3afc3dd08de93790e06f58013520cbff2fda8c', '18.0.0_QUAL2', 1, '2017-03-10 12:16:44', 'Louis BAYLE', 'InternalTools: update from master (d29bb9d6e479)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2553, 4, '27c04d483bd4221b035405f46b69f67fe71e8eb6', 'D43339', 72, '2017-03-10 13:28:59', 'Alain Tassotti', '[D43339]  Mise en gestion de conf de la version 1.2 du DEX mise à jour par QI  en 03/2016 et remontée via ticket AGIS\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2554, 4, 'f22c62a43d2544f24fe25587a6ae5723fb8a3942', 'master', 1, '2017-03-10 16:04:37', 'Louis BAYLE', 'InternalTools: bq.sh - FIX cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2555, 4, 'cf86c97cb92fbab1f08cc795cf16bc5d20a65e49', 'master', 1, '2017-03-10 16:05:00', 'Louis BAYLE', 'InternalTools: bq.sh - FIX cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(2556, 4, '276e9c78e5a598beb2d3c1dceddcf7cab86ff325', 'master', 1, '2017-03-10 16:17:21', 'Louis BAYLE', 'InternalTools: bq.sh - FIX cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2557, 4, '6d2578b82ffb225af76a1a64723bfb4550c75776', 'D44058', 199, '2017-02-21 15:13:40', 'Bertrand FONTANEL', '[D44058] correction compile\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2558, 4, '16bd0827bd4fa06c61f231edbf863f9cbab2cd01', 'D44058', 199, '2017-03-03 23:48:59', 'Bertrand FONTANEL', '[D44058] correction spoc 11 12 13\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2559, 4, '310a371b2f34748d945c97deaf9ed8dc575c4836', 'D44058', 199, '2017-03-03 23:52:44', 'Bertrand FONTANEL', '[D44058] correction spoc13_histo\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2560, 4, '88f0b7bbad5cdb1010af4f42f678a387767722d4', 'D44058', 199, '2017-03-04 00:09:07', 'Bertrand FONTANEL', '[D44058] correction spoc 11 41\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2561, 4, '231c65d6a3686c48b24b5e624e0186600edfaaa6', 'D44058', 199, '2017-03-04 00:20:57', 'Bertrand FONTANEL', '[D44058] correction spoc 42\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2562, 4, 'a8b4943539e963f59a177488758c04e04e9f2b1d', 'D44058', 199, '2017-03-04 00:41:04', 'Bertrand FONTANEL', '[D44058] correction spoc 43\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2563, 4, '5255975f5ed809fe164eeaa01672b6af27499811', 'D44058', 199, '2017-03-04 01:08:19', 'Bertrand FONTANEL', '[D44058] correction spoc 61\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2564, 4, '05ae1706eae5471e6c4f1eedca42c27477ddba75', 'D44058', 199, '2017-03-04 21:44:46', 'Bertrand FONTANEL', '[D44058] correction parametrage evenements\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2565, 4, '6277f60795996d510efbb13cf835fb702a7fbb68', 'D44058', 199, '2017-03-04 23:14:40', 'Bertrand FONTANEL', '[D44058] correction evenements\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2566, 4, '1833fbc332d82278a66576884fad80024a048e7b', 'D44058', 199, '2017-03-04 23:34:35', 'Bertrand FONTANEL', '[D44058] decommissionnement spoc admin SAGA\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2567, 4, '3aed24ff38659d6394047fdc3e059ebf6fb4bb9c', 'D44058', 199, '2017-03-06 11:11:52', 'Bertrand FONTANEL', '[D44058] correction diverses\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2568, 4, '0dda7bff65ad886b0a918fc9a166c0fa43a042d2', 'D44058', 199, '2017-03-07 09:03:13', 'Bertrand FONTANEL', '[D44077] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2569, 4, '2a7646328370c9e24e9bff1b11be861d4c7a2de7', 'D44058', 199, '2017-03-08 08:18:18', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2570, 4, '6fcd6e9a08e37d405bc8ee19cff00b3e225b2ea6', 'D44058', 199, '2017-03-09 08:06:48', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2571, 4, '4d9b6b24639ade229bd118746f3e801f8b48223f', 'D44058', 199, '2017-03-09 16:49:02', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2572, 4, '7d3a8b26819739546981c3c0d4e1b77723e6029f', 'D44058', 199, '2017-03-10 14:46:19', 'Bertrand FONTANEL', '[D44058] ajout des vues \"avant\"\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2573, 4, 'aea27c14e1740923da11d492eb326bb991d4c777', 'D44058', 199, '2017-03-10 16:56:17', 'Bertrand FONTANEL', '[D44058] save shell\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2574, 4, 'bd9e77ee104c685498db323ecbe4c6f349bd6487', 'MAJGUIDE', 72, '2017-03-13 09:54:07', 'Alain Tassotti', '[PUMA 18.0 ] Mise à jour guide de traitement batch\n[PUMA 18.0] Mise à jour guide d\'exploitation\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2575, 4, '74c8e591a425a7c0423c1c18c1e62a315adbb3ae', '18.0.0_QUAL2', 72, '2017-03-13 10:53:46', 'Alain Tassotti', '[18.0 PUMA]   DEX  Bascule Annuelle  AYD   (D44025)\n[18.0 PUMA]  DEX   Flux 07S  ( D42991)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2576, 4, '71487f92d3958263c4d906e26b174ed298d39203', 'D44026', 147, '2017-03-13 11:39:06', 'michel.siacchitano@atos.net', '[D44026] Test et correction AD2 + correction test majorité >=18 au lieu de >18\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2577, 4, '6706631043d2c51befe5632509b2c9e88f1707d9', '18.0.0_QUAL2', 72, '2017-03-13 11:56:05', 'Alain Tassotti', '[PUMA 18.0 ] Mise à jour guide de traitement batch\n[PUMA 18.0] Mise à jour guide d\'exploitation\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2578, 4, '4b233b9cdd2d2e5f6d6b233693f663896709249e', '18.0.0_QUAL2', 1, '2017-03-13 14:56:49', 'Louis BAYLE', 'majbase 18.0.0\n\nFIX pck_fin_periodes_ga.sql n\'a plus lieu d\'etre...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2579, 4, '10ac95cd6caf549d549c3fbe9f10a9ba542e7968', '18_0_0_DEX', 246, '2017-03-13 16:03:25', 'Olga TOINON', '[PUMA 18.0]Modification du guide d\'exploitation de la bascule annuelle des nouveaux majeurs\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2580, 4, 'cce18ef19df9ed1e76a2e7fd7fee93967956d357', 'D44366', 157, '2017-03-13 11:59:08', 'Vincent GENTIL', '[D44366] Correction recherche periode OC\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2581, 4, '1cf82cdd0c0d47e7dd691231f152442ec8d66f71', '17.2.0', 147, '2017-03-10 16:21:41', 'michel.siacchitano@atos.net', '[D44317] Reprise algo de luhn (squash 2)\n\n[44317] correction apres Test\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2582, 4, 'cb352691e9769b75eebee352eebfe559bcf4d8f7', '17.2.0', 147, '2017-03-10 16:21:56', 'michel.siacchitano@atos.net', '[D44293] modif masque siren pour prise en compte siren commencant par zero\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2583, 4, '6f5c0ebf19979da3ea09a64cf027ade482ddb764', '17.2.0', 246, '2017-03-10 16:21:56', 'Olga TOINON', '[D44252] Correction de la vérification des paramètres d\'entrée du script pal_qc43018.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2584, 4, 'edc626b783e0e18399387a9739a7e5a1200e03cf', '17.2.0', 246, '2017-03-10 16:21:57', 'Olga TOINON', '[D44255] Modification du script sh afin de rajouter le contrôle de la connexion\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2585, 4, '8d113d01ffe48f4d6aa40a37709461dd0bf11efd', '17.2.0', 1, '2017-03-10 16:32:05', 'Louis BAYLE', '[D44255] FIX check Oracle\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2586, 4, 'c8c870e2ad156c8361b0328012863a4d4d9d969a', 'D44255', 199, '2017-03-13 16:29:05', 'Bertrand FONTANEL', '[D44255] Correction variables de connexion\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2587, 4, '95e6870fde658f31cc1575d44c12b7f884d65757', 'D44255', 199, '2017-03-13 16:47:30', 'Bertrand FONTANEL', '[D44255] Correction code CMR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2588, 4, '7d11a4f896ea24ad7b06c97f2b87c209fdb70f2c', '17.2.0', 199, '2017-03-13 16:51:52', 'Bertrand FONTANEL', '[D44255] Correction variables de connexion\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2589, 4, '465adfcb47b15db398c3fb67d54a9575e0e0a511', '17.2.0', 199, '2017-03-13 16:52:01', 'Bertrand FONTANEL', '[D44255] Correction code CMR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2590, 4, '3a04a8a5e73826079165e856f76027e6368d9d94', 'D44363', 246, '2017-03-13 12:20:43', 'Olga TOINON', '[D44363] Modification du package afin de récupérer la premère entreprise pour l\'extraction de PL\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2591, 4, '1f38e8bda194b8d5fc93d6c036911da1534535db', '16.1.55', 72, '2017-03-14 10:41:51', 'Alain Tassotti', '[D43884]  Ajout du DEX  en V1Maj2  ( ajout du graphe Automator par QI)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2592, 4, '8759bd3f661cb6d4ca765b7676e37ebc26e13811', '17.1.51', 157, '2017-03-14 10:12:56', 'Vincent GENTIL', '[D44197] Optimisation moteur de calcul\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf35.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2593, 4, '150510dd18aff0c73258f9335db00182a854b8e4', '17.1.51', 157, '2017-03-14 10:12:56', 'Vincent GENTIL', '[D44197][D41664] Optimisation moteur de calcul\n\nATTENTION: ce commit contient également le defact D41664 de JMS 2016-06-03 17:15:20\nvenant de la branche \'D41664_new\'\nce merge a été fait par VGL, car il est necessaire au D44197.\n\nle defect D41664 a ete decommissionné de master par le 43508, il faut\nle restituer suite a discussion avec yann G. le 07/03/2017\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf50.sql\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf60.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2594, 4, '4d076e75d87bfa617a3ac15a3f70d5646e45d4e8', '17.1.51', 1, '2017-03-14 10:12:56', 'Louis BAYLE', 'majbase 17.1.51_02 + FIX _01 !!\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2595, 4, 'd70048dc6be885a5475937b43f9c5bea9c0d647b', '17.1.51', 157, '2017-03-14 10:12:57', 'Vincent GENTIL', '[D44197] Correction script creation vue\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2596, 4, '886c0c780a1733e5fb0265dc11eb4356b550f577', '17.1.51', 164, '2017-03-14 10:22:26', 'Lionel Giordanengo', 'integration : renommage maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2597, 4, '4e3605c5c20dc0a453ddde76e511bfeee61e4dde', '17.1.51', 164, '2017-03-14 10:34:57', 'Lionel Giordanengo', 'Livraison 17.1.51_003\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2598, 4, 'fdf39ab56f44160c1965db92555ca2bb4b1fbb65', 'D44370', 246, '2017-03-14 11:59:38', 'Olga TOINON', '[D44370] Correction du package par rapport à l\'ent_id de l\'entreprise principale du bénéficiaire\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2599, 4, 'dd491bd6a56a675ee37092a83fdc4297dce0befa', '17.2.0', 246, '2017-03-14 12:07:38', 'Olga TOINON', '[D44255] Modification du script sh afin de rajouter le contrôle de la connexion (squash3)\n\n[D44255] Correction variables de connexion\n\n[D44255] Correction code CMR\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2600, 4, '7e65492bf3e721adb673cda7c73d7a7d0bc70585', '17.2.0', 164, '2017-03-14 15:21:47', 'Lionel Giordanengo', 'Livraison 17.2.0_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2601, 4, '93d93389c79fa54d312a1c5702944f63a0161362', '18.0.0_QUAL2', 147, '2017-03-14 15:52:46', 'michel.siacchitano@atos.net', '[D42991] Erreur dans le fichier de controle sqlloader de la table W01_FLUX_RATTACCHEMENT Flux ID devient ID_FLUX\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2602, 4, '5828b30deace8b88af7cb28dc1546293a2c02839', '18.0.0_QUAL2', 147, '2017-03-14 16:01:21', 'michel.siacchitano@atos.net', '[42991] Faute de frappe FC_A_TRAIER=> FC_A_TRAITER\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2603, 4, 'b83d190238a21b0727c65c523354e857503219cb', 'D44372', 246, '2017-03-14 16:28:07', 'Olga TOINON', '[D44372] Remplacement des \';\' par des \',\' dans les adresses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2604, 4, '0fda8b6be25eb8bfe82b9dc85b038e1c9ca19de8', '17.1.51', 164, '2017-03-14 17:51:00', 'Lionel Giordanengo', '[D41664] Correction du calcul de la dlp dans les packages pck_cqpntf50.sql et pck_cqpntf60.sql\nAttention : - restitution des modifs de JM SCOTTO du 2016-06-03\nTODO      : - il faut réappliquer les optim sur les packages pck_cqpntf50.sql et pck_cqpntf60.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2605, 4, '34a8d79e4b7c8b723c03655c934d33b5a1a68b75', 'D43955', 168, '2017-03-14 18:06:16', 'Vincent-Pierre LYS', '[D43955] -10745 Radiation commit intermédiaire 2\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2606, 4, '5c78adb25ed1741a7416eddaa4f098c51e019828', '17.1.51', 164, '2017-03-15 14:06:22', 'Lionel Giordanengo', '[D44197] reintegration du 43957 dans package\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2607, 4, 'c6c54849be4e78becb98cbb22d93f79a9f20b048', '17.1.0', 164, '2017-03-15 14:55:42', 'Lionel Giordanengo', 'Merge branch \'16.1.55\' into 17.1.0 (D44371)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2608, 4, 'ce2b4ec11c71138bd38e590957e6f3b2cd6c00e0', '17.2.0', 246, '2017-03-15 14:51:06', 'Olga TOINON', '[D44244] Optimisation des script pour réduire le temps d\'exécution\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2609, 4, '7089b35c3fd8fa07f381eb793246ebcd4642465f', '17.2.0', 147, '2017-03-15 14:51:07', 'michel.siacchitano@atos.net', '[D44244] Corrections optimisations : switch 1ere ligne, correction params et correction CMR\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2610, 4, 'b6a3f5d3127652bc88c1da50fab30673bca03d1b', '17.2.0', 1, '2017-03-15 15:04:56', 'Louis BAYLE', 'Livraison 17.2.0_005\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2611, 4, '89f507592567e92278819f8ad2b53eaf1dd86a46', 'TAIGA_PALL_1.7.27', 72, '2017-03-13 16:07:34', 'Alain Tassotti', '[D44358] check oracle pal_qc_37354.sh\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2612, 4, '435457ae090a8d508b560388af7d9a76323dec66', 'TAIGA_PALL_1.7.27', 164, '2017-03-13 16:43:08', 'Lionel Giordanengo', 'Livraison 1.7.27_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2613, 4, 'c85f8df4891c8fbe18b13a5bb03d1b2c502dde65', '18.0.0_QUAL2', 147, '2017-03-15 16:31:36', 'michel.siacchitano@atos.net', '[42991]  cle erronée dans les sql de generation des rejets techniques et fonctionels\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2614, 4, '5966e41be36af1577c6d500e0da8134215fd84e9', 'D44030', 246, '2017-03-15 18:03:21', 'Olga TOINON', '[D44030] Création script sh et sql pour le pal_qc44030_nom_prenom concernant les noms et prénoms trop long. Création des tables de travail et du maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2615, 4, '932256b1736909689a4991587f6162848f662b66', 'D42991', 147, '2017-03-16 09:35:04', 'michel.siacchitano@atos.net', '[42991] Clean up ID_FLUX devient FLUX_ID\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2616, 4, 'b21693c622584b3472332c5f12b54d47994af42c', 'D42991', 147, '2017-03-16 10:40:53', 'michel.siacchitano@atos.net', '[42991]  CLEAN_UP ID_FLUX pour pck_FLUX_TRT\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2617, 4, '5f275a3a20d1c957a85c48c36c66b407a1d2edcc', 'master', 164, '2017-03-16 11:41:26', 'Lionel Giordanengo', 'internalTools : correction du script initInteg.sh pour que Livraison_TAIGA.txt soit propre\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2618, 4, 'd0703e89ff475eed571c0cb07cbcd764a7beace3', '17.1.51', 164, '2017-03-16 10:22:12', 'Lionel Giordanengo', 'integ : maj_base 17.1.51_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2619, 4, '4e86c952ffcc807c3963b74d6520259310051fc3', '17.1.51', 164, '2017-03-16 10:33:52', 'Lionel Giordanengo', 'Livraison 17.1.51_004\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2620, 4, 'e0d2bdd8b9cffac6c94d772a77d00d5697337271', '44026_qual_lindsay', 147, '2017-03-16 16:27:28', 'michel.siacchitano@atos.net', '[D44026 bug de qualif lindsay : Pas d\'ayant droit=> plantage. maintnemant skip partie AYD\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2621, 4, '1a738165a32e9462cb56a4f1e0df85ff1a949181', '18.0.0_QUAL2', 147, '2017-03-16 16:30:49', 'michel.siacchitano@atos.net', '[D44026 bug de qualif lindsay : Pas d\'ayant droit=> plantage. maintnemant skip partie AYD\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2622, 4, '733330e038c68d672dedbee2c8fe2d7b1f88e49e', 'D44058', 199, '2017-03-15 10:20:32', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2623, 4, '54425bafeb3ded59cff31cfb1c04bb9be503050b', 'D44058', 199, '2017-03-15 17:55:59', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2624, 4, 'a86cc46129418fd902c3709c2df4d792442ddaf6', 'D44058', 199, '2017-03-15 18:16:43', 'Bertrand FONTANEL', '[D44058] correction bilan\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2625, 4, 'bee4f03b67c77c54f458842b6ea9896a294dbfe8', 'D44058', 199, '2017-03-16 16:51:31', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2626, 4, '5d0e6aefbf86ffd194697fc716692d462fc37b37', '17.1.0', 164, '2017-03-16 16:25:51', 'Lionel Giordanengo', '[D44390] Renumerotation de la nomenclature specifique en v101\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2627, 4, '00a40538f18a3a6d21eb56898edc136053e0bff5', '17.1.0', 164, '2017-03-16 16:58:02', 'Lionel Giordanengo', 'Livraison 17.1.0_011\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2628, 4, '678cb415e57ea232904edf42d15a227e718e170c', 'D43955', 168, '2017-03-16 18:04:35', 'Vincent-Pierre LYS', '[D43955] - 10745 : Commit intermédiaire 3\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2629, 4, '45ada9fc83b51f1ff067b44165cf38be29276ad8', 'D43597', 157, '2017-03-17 10:07:03', 'Vincent GENTIL', '[D43597]  PLFSS 2017 amelioration ajout exonération réduction du taux de cotisation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2630, 4, '23474dbd42ec18b6f02d261e53247ebbd3950a0a', 'D44196', 157, '2017-03-17 11:28:43', 'Vincent GENTIL', '[D44196] décomissionnement 3en1\nrenommage du [D43545] décomissionnement 3en1 (2fa612a423ebd) car defect d\'etude et non de dev\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2631, 4, 'bcaba3067357fe7b68ff73d19542dc6c5fa7e48c', '17.1.51', 164, '2017-03-16 17:40:38', 'Lionel Giordanengo', 'Merge branch \'17.1.0\' into 17.1.51 (D44391)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2632, 4, '4140ce60755bef458e59c790286e987b4826d551', '17.1.51', 157, '2017-03-17 10:15:43', 'Vincent GENTIL', '[D43597]  PLFSS 2017 amelioration ajout exonération réduction du taux de cotisation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2633, 4, '75862e8f6f1102db850b428e985303aa7eb8b972', '17.1.51', 157, '2017-03-17 10:22:20', 'Vincent GENTIL', 'integ : maj_base 17.1.51_005\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2634, 4, '82a78a05e540bfb7e27eb36f2b74a1bac9419e06', '17.1.51', 164, '2017-03-17 10:26:39', 'Lionel Giordanengo', 'Livraison 17.1.51_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2635, 4, '019d21b130e961639c2a76cccb4ae157d6d031b8', 'D44326', 72, '2017-03-17 11:55:06', 'Alain Tassotti', '[D44326] Ajout des menus \"Contrôle de résidence\" dans  écran  ASSURE  et dans écran  AYANT DROIT\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2636, 4, '739cdcfb0e55555137d4134dc8bc97ac18bcf860', 'master', 164, '2017-03-17 12:01:13', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.15\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2637, 4, '28b8edec7053a40db965369f14973c61afb80fd4', 'D44058', 199, '2017-03-17 12:25:51', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2638, 4, '9fdba0a7cda021c4f8781bd2a82ef6be6198de41', 'D44058', 199, '2017-03-17 12:31:09', 'Bertrand FONTANEL', '[D44058] modif top_mansaga\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2639, 4, '6807d31fc96161f4d8bc8cd4ffb7f6537dfd3583', 'D44058', 199, '2017-03-17 14:36:25', 'Bertrand FONTANEL', '[D44058] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2640, 4, '24d6db1b6e82cf9fab6d6500ce424fc061edf8d3', 'D44058', 134, '2017-03-17 14:53:15', 'Isabelle LAGIER', '[D44058] Gestion des nouveaux SPOC Administratifs V0.9 (squash 27 de dev)\n\n[D44058] correction compile\n\n[D44058] correction spoc 11 12 13\n\n[D44058] correction spoc13_histo\n\n[D44058] correction spoc 11 41\n\n[D44058] correction spoc 42\n\n[D44058] correction spoc 43\n\n[D44058] correction spoc 61\n\n[D44058] correction parametrage evenements\n\n[D44058] correction evenements\n\n[D44058] decommissionnement spoc admin SAGA\n\n[D44058] correction diverses\n\n[D44077] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] ajout des vues \"avant\"\n\n[D44058] save shell\n\n[D44058] save\n\n[D44058] save\n\n[D44058] correction bilan\n\n[D44058] save\n\n[D44058] save\n\n[D44058] modif top_mansaga\n\n[D44058] save\n\n[D41937] Commit  internediaire du 07/02/2017 + majbase + TU ok\n\n[D41937] Reprise Trigger de journalisation complementaire Fini\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(2641, 4, '85da1164b865fd01875cc1665ea647cd7f61af31', 'D44058', 169, '2017-03-17 15:07:31', 'Fabien TROPIS', '[D44027] Intégration PCK_AMABIS pour MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2642, 4, 'e55a7981669994aff16d4694373e02a08823e3e1', 'D44058', 169, '2017-03-17 15:07:42', 'Fabien TROPIS', '[D44060] Nomenclatures MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2643, 4, '168dccfe0c498b5670f2548b2cad3d8c9b2e7d01', 'D44058', 146, '2017-03-17 15:15:18', 'Achraf AKRIMI', '[D44058] Spoc administratifs reemission\n\n[41937] SPOC-Moteur integration reemission\n\n[D41937] SPOC amelioration echange entre oc et taiga - reemission des spocs\n\n[D41937] Spoc amélioration des échanges entre taiga et les oc - reemission spoc\n\n[D41937] Spoc amélioration des échanges entre oc et taiga - Reemission de Spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2644, 4, '508a3cde402056f45830837e866226891c94b858', 'TAIGA_PALL_1.7.27', 164, '2017-03-17 15:48:42', 'Lionel Giordanengo', 'Merge branch \'master\' into TAIGA_PALL_1.7.27 (D44395)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2645, 4, 'b5fb54d910a48c6a4fb0438b1ebbc43e588db673', 'D44058', 199, '2017-03-17 15:59:21', 'Bertrand FONTANEL', '[D44058] Ajout maj base + index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2646, 4, '03c24be7b9cc20ab7ac22fa490e8e0869cc9b7e9', 'D44058', 199, '2017-03-17 16:24:31', 'Bertrand FONTANEL', '[D44058] Ajout maj base tables histo\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2647, 4, 'a143e99c9cf5ff2694d0820b379221ecbd83684a', 'D44058', 199, '2017-03-20 08:41:13', 'Bertrand FONTANEL', '[D44058] correction trigger benf_compl_02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2648, 4, '39cc558c2e78d71a10abf6288e5d35a997847a91', 'master', 199, '2017-03-20 09:08:12', 'Bertrand FONTANEL', '[D44084] Mise à jour des spécifications DSI Emission et relances amiables\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2649, 4, 'e55a8872c3d0518759aab765cf9c797dafb2eafb', 'master', 164, '2017-03-20 09:53:09', 'Lionel Giordanengo', 'Merge branch \'16.1.55\' (17.0.10 g) into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2650, 4, '4d165d59288e3df776fd886268bee731332a4501', '18.0.0_QUAL3', 134, '2017-03-20 10:23:56', 'Isabelle LAGIER', '[D44058] Gestion des nouveaux SPOC Administratifs V0.9 (squash 27 de dev)\n\n[D44058] correction compile\n\n[D44058] correction spoc 11 12 13\n\n[D44058] correction spoc13_histo\n\n[D44058] correction spoc 11 41\n\n[D44058] correction spoc 42\n\n[D44058] correction spoc 43\n\n[D44058] correction spoc 61\n\n[D44058] correction parametrage evenements\n\n[D44058] correction evenements\n\n[D44058] decommissionnement spoc admin SAGA\n\n[D44058] correction diverses\n\n[D44077] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] ajout des vues \"avant\"\n\n[D44058] save shell\n\n[D44058] save\n\n[D44058] save\n\n[D44058] correction bilan\n\n[D44058] save\n\n[D44058] save\n\n[D44058] modif top_mansaga\n\n[D44058] save\n\n[D41937] Commit  internediaire du 07/02/2017 + majbase + TU ok\n\n[D41937] Reprise Trigger de journalisation complementaire Fini\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(2651, 4, 'da05fac27cc80d2e4ec77312027c9773b30a5da8', '18.0.0_QUAL3', 169, '2017-03-20 10:24:24', 'Fabien TROPIS', '[D44027] Intégration PCK_AMABIS pour MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2652, 4, 'c76ce4cd35aaadbbb8ae0200fa01e0caa8b8df93', '18.0.0_QUAL3', 169, '2017-03-20 10:24:33', 'Fabien TROPIS', '[D44060] Nomenclatures MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2653, 4, '612e483e05caa41c27b2bb038a7b5dc9b4cae4d5', '18.0.0_QUAL3', 146, '2017-03-20 10:24:41', 'Achraf AKRIMI', '[D44058] Spoc administratifs reemission\n\n[41937] SPOC-Moteur integration reemission\n\n[D41937] SPOC amelioration echange entre oc et taiga - reemission des spocs\n\n[D41937] Spoc amélioration des échanges entre taiga et les oc - reemission spoc\n\n[D41937] Spoc amélioration des échanges entre oc et taiga - Reemission de Spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2654, 4, '67b00c44158393401fd0b86d09ce024a9901567f', 'master', 1, '2017-03-20 10:20:19', 'Louis BAYLE', 'DOC cosmetique\n\npour moulinette renameDocWithVersion.pl\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2655, 4, 'bceaab5b961eac0d011bdfb038aad4f681b209fe', '18.0.0_QUAL3', 199, '2017-03-20 10:34:35', 'Bertrand FONTANEL', '[D44058] Merge à la main de ijmbnf20 + pck_spoc_affi_outils\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2656, 4, '98198bb2313c95f6c5585e209b91136e637b033c', 'D44326', 72, '2017-03-20 11:03:21', 'Alain Tassotti', '[D44326]  Ajout des  ... dans menu  Contrôle de résidence\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2657, 4, 'c8bec43ea06ca531fb62c2b0095b3b04392d97fa', 'D44026_qual', 147, '2017-03-20 14:15:33', 'michel.siacchitano@atos.net', '[D44026] pb d Ayd in classable en AD1,2,3 ou 4\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2658, 4, 'c94d5f4dff43f48d05d91608b0ec6e75a4505e8d', 'D44392', 199, '2017-03-20 11:04:03', 'Bertrand FONTANEL', '[D44392] ajout spéc emission\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2659, 4, '772a6d2a0b672a13831143015d887b9f6df0863e', 'D44392', 199, '2017-03-20 14:26:38', 'Bertrand FONTANEL', '[D44392] maj spec\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2660, 4, '496e0f45a225d980cde75f822dd7447a938cc538', '18.0.0_QUAL3', 164, '2017-03-20 11:10:06', 'Lionel Giordanengo', 'integration 18.0.0_QUAL3 modification des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2661, 4, '2b0b90d7bab9a2dceb070af7c916875776f17b48', '18.0.0_QUAL3', 72, '2017-03-20 13:50:57', 'Alain Tassotti', '[D44027] AMABIS (squash 5)\n[D43459]   Etude Amabis :  package  et outil POC  de test des adresses de residence\n\n[D44027] Modification du package amabis, script sql de la table amabis_decision et maj_base associé\n\n[D44027] save\n\n[D44027] Modification package pck_amabis\n\n[D44027] Modif divers\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2662, 4, 'ac6cb5204acd5c5394fd75cd0091f43b3dc175e9', '18.0.0_QUAL3', 164, '2017-03-20 14:26:30', 'Lionel Giordanengo', 'integ ajout maj_base_cmr\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2663, 4, 'a649de1d72cb0c83f2827db0c5934c9539b7010c', '18.0.0_QUAL3', 199, '2017-03-20 15:36:53', 'Bertrand FONTANEL', '[D44058] suppression fichiers majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2664, 4, 'bbf7bc49d9e56847dfb1a1bfb0cef0804c499b79', '18.0.0_QUAL3', 199, '2017-03-20 15:40:18', 'Bertrand FONTANEL', '[D44058] Ajout scripts sans majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2665, 4, '61c118cf7c9fb118d6a340767618729aa0cc4ca1', '18.0.0_QUAL3', 164, '2017-03-20 15:45:12', 'Lionel Giordanengo', 'integ ajout maj_base_cmr\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2666, 4, '5cfad33952575edc690d70350facebabcf9b38be', '18.0.0_QUAL3', 199, '2017-03-20 15:45:25', 'Bertrand FONTANEL', '[D44058] suppression fichiers majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2667, 4, '5348a6272fa1b9c458ac4c4bb7da6f48a5635927', '18.0.0_QUAL3', 199, '2017-03-20 15:45:31', 'Bertrand FONTANEL', '[D44058] Ajout scripts sans majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2668, 4, 'fa342ccfdb1550b55534d799a92b8dabfb6296db', 'D44026_qual', 147, '2017-03-20 16:01:09', 'michel.siacchitano@atos.net', '[D44026] modif cartouche entete\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2669, 4, '8588c061ac1871d92b1279b5db376cd450845a33', 'master', 164, '2017-03-20 16:30:47', 'Lionel Giordanengo', 'tools solaris : chgt du path pour les fic SAGA\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2670, 4, '4f5af405a766f47d364b5c8ae2e336927fd38cd9', 'D44394', 157, '2017-03-20 14:52:26', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2671, 4, '3b2bb04e322f31fc688cebb6abe8bdd4f8554a0d', 'D44392', 199, '2017-03-21 08:09:44', 'Bertrand FONTANEL', '[D44392] Mise à jour spéc\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2672, 4, '687cbfc8d97568ef96126a38d85b576ff3c4937a', '18.0.0_QUAL3', 164, '2017-03-20 17:14:17', 'Lionel Giordanengo', 'integ Maj_base differentiation des maj_base pour lot1/lot2\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2673, 4, 'ae8b548f818e37032fddd38a0194a12a74688641', '18.0.0_QUAL3', 199, '2017-03-21 10:19:57', 'Bertrand FONTANEL', '[D44058] suppression script majuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2674, 4, '2897de3acc1796cf8925ec9a0805d01904c93bdb', '18.0.0_QUAL3', 199, '2017-03-21 10:21:51', 'Bertrand FONTANEL', '[D44058] ajout script minuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2675, 4, '6134af6d4449a33d7832c5c6030d2e8aeb03e3f5', 'D44058_MAJ', 199, '2017-03-21 11:10:40', 'Bertrand FONTANEL', '[D44058] Ajout maj base + index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2676, 4, 'eb4fe88c0b8c366346aa40f3c2279062a30ee6e0', 'D44058_MAJ', 199, '2017-03-21 11:10:50', 'Bertrand FONTANEL', '[D44058] Ajout maj base tables histo\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2677, 4, 'b63f70d4a27010e275b2618b8b8427a81923deef', 'D44058_MAJ', 199, '2017-03-21 11:10:59', 'Bertrand FONTANEL', '[D44058] correction trigger benf_compl_02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2678, 4, '160effca1dd98dd486fe51606e403fb1e0338af6', '18.0.0_QUAL3', 199, '2017-03-21 11:15:03', 'Bertrand FONTANEL', '[D44058] Ajout maj base + index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2679, 4, '0ad7535d66331e535d993284df2177a9ecc3b364', '18.0.0_QUAL3', 199, '2017-03-21 11:15:24', 'Bertrand FONTANEL', '[D44058] correction trigger benf_compl_02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2680, 4, 'f86b529fe434437875471f289e5cf2ea4288c4e6', '18.0.0_QUAL3', 164, '2017-03-21 12:08:21', 'Lionel Giordanengo', 'integration : corrections pour installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2681, 4, 'f9736085b3a79a57dfbb13a2e9905113614bf6fb', 'D42991', 147, '2017-03-21 14:28:14', 'michel.siacchitano@atos.net', '[D42991] commit intermediare 21/03/2017\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2682, 4, 'c539e7dc1a3703dcc1f208add039bd2227bf9b16', '18.0.0_QUAL3', 164, '2017-03-21 14:41:28', 'Lionel Giordanengo', 'integration : corrections pour installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2683, 4, '401f6871fc334447db814dccdbb4acfed9a4bf25', '18.0.0_QUAL3', 134, '2017-03-21 15:29:59', 'Isabelle LAGIER', '[D44058] Gestion des nouveaux SPOC Administratifs V0.9 (squash 27 de dev)\n\n[D44058] correction compile\n\n[D44058] correction spoc 11 12 13\n\n[D44058] correction spoc13_histo\n\n[D44058] correction spoc 11 41\n\n[D44058] correction spoc 42\n\n[D44058] correction spoc 43\n\n[D44058] correction spoc 61\n\n[D44058] correction parametrage evenements\n\n[D44058] correction evenements\n\n[D44058] decommissionnement spoc admin SAGA\n\n[D44058] correction diverses\n\n[D44077] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] ajout des vues \"avant\"\n\n[D44058] save shell\n\n[D44058] save\n\n[D44058] save\n\n[D44058] correction bilan\n\n[D44058] save\n\n[D44058] save\n\n[D44058] modif top_mansaga\n\n[D44058] save\n\n[D41937] Commit  internediaire du 07/02/2017 + majbase + TU ok\n\n[D41937] Reprise Trigger de journalisation complementaire Fini\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(2684, 4, 'cfc18a79b9b5092ec135500039bc25bc57e13b4b', '18.0.0_QUAL3', 169, '2017-03-21 15:29:59', 'Fabien TROPIS', '[D44027] Intégration PCK_AMABIS pour MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2685, 4, 'fd4dfa1b03342c4bb82a38f6fd47254ca6be6122', '18.0.0_QUAL3', 169, '2017-03-21 15:29:59', 'Fabien TROPIS', '[D44060] Nomenclatures MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2686, 4, '169c1e2ee5d144e4496e5724d67a9f11368fdbb4', '18.0.0_QUAL3', 146, '2017-03-21 15:30:00', 'Achraf AKRIMI', '[D44058] Spoc administratifs reemission\n\n[41937] SPOC-Moteur integration reemission\n\n[D41937] SPOC amelioration echange entre oc et taiga - reemission des spocs\n\n[D41937] Spoc amélioration des échanges entre taiga et les oc - reemission spoc\n\n[D41937] Spoc amélioration des échanges entre oc et taiga - Reemission de Spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2687, 4, 'a3a755ce98ecc5ad7b707f68e9bead1efd59e1bc', '18.0.0_QUAL3', 199, '2017-03-21 15:30:00', 'Bertrand FONTANEL', '[D44058] Merge à la main de ijmbnf20 + pck_spoc_affi_outils\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2688, 4, '0aeaea5864bd4a89378310f3112e06f1f7a938c2', '18.0.0_QUAL3', 164, '2017-03-21 15:30:00', 'Lionel Giordanengo', 'integration 18.0.0_QUAL3 modification des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2689, 4, 'd422e744dde65a3fc610317680ee62e3f92e813f', '18.0.0_QUAL3', 72, '2017-03-21 15:30:00', 'Alain Tassotti', '[D44027] AMABIS (squash 5)\n[D43459]   Etude Amabis :  package  et outil POC  de test des adresses de residence\n\n[D44027] Modification du package amabis, script sql de la table amabis_decision et maj_base associé\n\n[D44027] save\n\n[D44027] Modification package pck_amabis\n\n[D44027] Modif divers\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2690, 4, '294f3ff49296acdec0a2b2c8bde3d83fb5386555', '18.0.0_QUAL3', 164, '2017-03-21 15:30:01', 'Lionel Giordanengo', 'integ ajout maj_base_cmr\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2691, 4, 'e59f6c04cef4debc3b63365355d202264f1dc6b4', '18.0.0_QUAL3', 199, '2017-03-21 15:30:01', 'Bertrand FONTANEL', '[D44058] suppression fichiers majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2692, 4, '80d8b2fff7fbaed8403ef6021f455fa3a54f8ef6', '18.0.0_QUAL3', 199, '2017-03-21 15:30:01', 'Bertrand FONTANEL', '[D44058] Ajout scripts sans majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2693, 4, 'ba4ed1e39f11c550f5ddc363042baaa9f0365eb3', '18.0.0_QUAL3', 164, '2017-03-21 15:30:01', 'Lionel Giordanengo', 'integ Maj_base differentiation des maj_base pour lot1/lot2\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2694, 4, '355be7b0a6dbfdc0cd26ab290bcce7084484b9ad', '18.0.0_QUAL3', 199, '2017-03-21 15:30:01', 'Bertrand FONTANEL', '[D44058] suppression script majuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2695, 4, 'b806ab593876aa4a1250bc5d5b689c69559b968b', '18.0.0_QUAL3', 199, '2017-03-21 15:30:01', 'Bertrand FONTANEL', '[D44058] ajout script minuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2696, 4, 'c16d5f24cbd226e6c9f11e1e71a22e15471e144f', '18.0.0_QUAL3', 199, '2017-03-21 15:30:01', 'Bertrand FONTANEL', '[D44058] Ajout maj base + index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2697, 4, '95b205c464683e6565e4a1e1c1cca90716f72266', '18.0.0_QUAL3', 199, '2017-03-21 15:30:01', 'Bertrand FONTANEL', '[D44058] correction trigger benf_compl_02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2698, 4, '5a4198b44fdf7e795c759ebded6b05a4f518fc80', '18.0.0_QUAL3', 164, '2017-03-21 15:30:02', 'Lionel Giordanengo', 'integration : corrections pour installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2699, 4, 'bc87232371f72ba0ccbd3b4877d1b97708e0019a', 'D44377', 246, '2017-03-21 11:18:41', 'Olga TOINON', '[D44377] Correction du numéro riba pour ceux qui ne sont pas certifié\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2700, 4, 'a4e4e8b2c76de2ef28ddf0bd35a31d9752fcb116', 'D44394', 157, '2017-03-21 15:11:52', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2701, 4, '6bb1315996164e913973ac2a0d5b15a5980c4305', 'D44326', 72, '2017-03-21 16:15:27', 'Alain Tassotti', '[D44326]  Ajout des messages d\'erreur pour la partie TP\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2702, 4, 'be59fa726bf7946cfe2db40c7c1565dba2460ff0', '18.0.0_QUAL3', 164, '2017-03-21 16:24:51', 'Lionel Giordanengo', 'integration : corrections pour installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2703, 4, '7964c23e6391c34888568f7b3ce71df1833a6b9e', 'D44060_MAJ', 199, '2017-03-22 07:35:39', 'Bertrand FONTANEL', '[D44060] correction libellé nomenclature CRM017B\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2704, 4, '31e2db45e62bb7999351b7cb8c1ed2565fe265a8', 'D44326', 72, '2017-03-22 09:03:28', 'Alain Tassotti', '[D44326] Ajout des menus \"Contrôle de résidence\" dans  écran  ASSURE  et dans écran  AYANT DROIT\n\n[D44326]  Ajout des messages d\'erreur pour la partie TP\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2705, 4, 'e43e869e56bc6903853c136223b3ea3152da18d2', 'D44025_new', 246, '2017-03-22 10:26:11', 'Olga TOINON', '[D44025] Correction du type date d\'une variable dans le script bascule_annuelle_nouveaux_maj.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2706, 4, '4da5b2e9545a064d644bc0472a2e7caa23beed65', 'D44026', 147, '2017-03-22 10:41:49', 'michel.siacchitano@atos.net', '[D44026] Adaptation WS dans le sac du 27R : anomalie dans CSV au lieu de Alerte\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2707, 4, 'dc6f168bbe1b60a6052ab07a13e1c74c1ec519cf', 'D44026', 147, '2017-03-22 11:11:57', 'michel.siacchitano@atos.net', '[44026] ano qualif:  pas IMMA_ID sur Periode de residence de AYD uniquement sur assu\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2708, 4, '09b8bd84bb9432cec3963ff039b887dff6576e5b', 'D44377', 246, '2017-03-22 13:54:43', 'Olga TOINON', '[D44377] Correction en rapport avec l\'entête des fichiers csv découpés\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2709, 4, 'ff3244089601a63654871b4935e461fe6263902c', 'D44058_MAJ_BF', 199, '2017-03-22 14:44:52', 'Bertrand FONTANEL', '[D44058] correction pour maj base + correction BQ\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2710, 4, 'c6b37dd67784aae0f3827775aa2fd9349b339fa1', 'D44058_MAJ_BF', 199, '2017-03-22 14:50:23', 'Bertrand FONTANEL', '[D44058] correction param_spoc_emission\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2711, 4, 'd0e2d6fd19e1d8ed1c2cc6dd80cfa3225d0dc809', '18.0.0_LOT1', 246, '2017-03-22 11:03:20', 'Olga TOINON', '[D44025] Correction du type date d\'une variable dans le script bascule_annuelle_nouveaux_maj.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2712, 4, '2743aa5d6b8e88c2535df5519ddc48e9d05c2e94', '18.0.0_LOT1', 199, '2017-03-22 11:03:32', 'Bertrand FONTANEL', '[D44060] correction libellé nomenclature CRM017B\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2713, 4, 'c1e3b2b5a485d0024ee4bfb07c1f214c76a85756', '18.0.0_LOT1', 147, '2017-03-22 11:07:01', 'michel.siacchitano@atos.net', '[D42991] commit intermediare 21/03/2017\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2714, 4, 'bb8734c4e37456714e50779c8d64f98c49fa6607', '18.0.0_LOT1', 147, '2017-03-22 15:03:39', 'michel.siacchitano@atos.net', '[D44026] Adaptation WS dans le sac du 27R : anomalie dans CSV au lieu de Alerte\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2715, 4, '49db19ce3a064d039ad72e6178a81ff74b2a1ade', '18.0.0_LOT1', 147, '2017-03-22 15:03:39', 'michel.siacchitano@atos.net', '[44026] ano qualif:  pas IMMA_ID sur Periode de residence de AYD uniquement sur assu\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2716, 4, '8c495156da3d7fd2eb65fe2b3b8deee89e4cfa21', 'D44058_MAJ_BF', 199, '2017-03-22 15:09:37', 'Bertrand FONTANEL', '[D44058] suppression prefixe cmr_999\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2717, 4, '7cb8ffe492ed9c1d3c1be8d31a2708966be0380f', 'D44060_MAJ_BF2', 199, '2017-03-22 15:27:29', 'Bertrand FONTANEL', '[D44060] sysnonym sur les tables CRM\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2718, 4, '34021dd547ec40be6ea113c7195223402a78ca83', 'D44058_MAJ_BF', 199, '2017-03-22 15:44:58', 'Bertrand FONTANEL', '[D44058] correction type fs_rech_caisse_vi\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2719, 4, '33947029a267a6969ed8e951b0aa8cd5aca13589', '18.0.0_LOT1', 199, '2017-03-22 15:34:41', 'Bertrand FONTANEL', '[D44060] sysnonym sur les tables CRM\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2720, 4, '6af2044d0005dfcd02f3134808facc633cd1d188', '18.0.0_LOT2', 134, '2017-03-22 15:35:56', 'Isabelle LAGIER', '[D44058] Gestion des nouveaux SPOC Administratifs V0.9 (squash 27 de dev)\n\n[D44058] correction compile\n\n[D44058] correction spoc 11 12 13\n\n[D44058] correction spoc13_histo\n\n[D44058] correction spoc 11 41\n\n[D44058] correction spoc 42\n\n[D44058] correction spoc 43\n\n[D44058] correction spoc 61\n\n[D44058] correction parametrage evenements\n\n[D44058] correction evenements\n\n[D44058] decommissionnement spoc admin SAGA\n\n[D44058] correction diverses\n\n[D44077] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] ajout des vues \"avant\"\n\n[D44058] save shell\n\n[D44058] save\n\n[D44058] save\n\n[D44058] correction bilan\n\n[D44058] save\n\n[D44058] save\n\n[D44058] modif top_mansaga\n\n[D44058] save\n\n[D41937] Commit  internediaire du 07/02/2017 + majbase + TU ok\n\n[D41937] Reprise Trigger de journalisation complementaire Fini\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(2721, 4, '57fab54ec68aca26dd3de26043085f78c18d59bf', '18.0.0_LOT2', 169, '2017-03-22 15:35:56', 'Fabien TROPIS', '[D44027] Intégration PCK_AMABIS pour MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2722, 4, '0efd510e2317c3641a900dd06b38ade6014faf6d', '18.0.0_LOT2', 169, '2017-03-22 15:35:56', 'Fabien TROPIS', '[D44060] Nomenclatures MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2723, 4, '8c30b0f8efd9c77e60cd93ec387561a6b74613ed', '18.0.0_LOT2', 146, '2017-03-22 15:35:56', 'Achraf AKRIMI', '[D44058] Spoc administratifs reemission\n\n[41937] SPOC-Moteur integration reemission\n\n[D41937] SPOC amelioration echange entre oc et taiga - reemission des spocs\n\n[D41937] Spoc amélioration des échanges entre taiga et les oc - reemission spoc\n\n[D41937] Spoc amélioration des échanges entre oc et taiga - Reemission de Spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2724, 4, '25f7d790e73506966a856e7788acc0e69b645c1f', '18.0.0_LOT2', 199, '2017-03-22 15:37:53', 'Bertrand FONTANEL', '[D44058] Merge à la main de ijmbnf20 + pck_spoc_affi_outils\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2725, 4, '0104f8db69ec6986efb1e856ee7f94ba0c8d0658', '18.0.0_LOT2', 164, '2017-03-22 15:37:53', 'Lionel Giordanengo', 'integration 18.0.0_QUAL3 modification des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2726, 4, '880e9a5d26c70f77bcc33dee6517b95efd0942eb', '18.0.0_LOT2', 72, '2017-03-22 15:37:54', 'Alain Tassotti', '[D44027] AMABIS (squash 5)\n[D43459]   Etude Amabis :  package  et outil POC  de test des adresses de residence\n\n[D44027] Modification du package amabis, script sql de la table amabis_decision et maj_base associé\n\n[D44027] save\n\n[D44027] Modification package pck_amabis\n\n[D44027] Modif divers\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2727, 4, '9d60ca31d2afa291cef4fc848d007be6fab8220d', '18.0.0_LOT2', 164, '2017-03-22 15:37:54', 'Lionel Giordanengo', 'integ ajout maj_base_cmr\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2728, 4, '00afe5055aa9f7cc0e28162e2e1745d9b5e7f8fc', '18.0.0_LOT2', 199, '2017-03-22 15:37:54', 'Bertrand FONTANEL', '[D44058] suppression fichiers majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2729, 4, '77e848581a8e295523382ee3211a5a15024e7f02', '18.0.0_LOT2', 199, '2017-03-22 15:37:54', 'Bertrand FONTANEL', '[D44058] Ajout scripts sans majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2730, 4, '76cc059153d36f04a2fda78d49699ae7096b196a', '18.0.0_LOT2', 164, '2017-03-22 15:37:54', 'Lionel Giordanengo', 'integ Maj_base differentiation des maj_base pour lot1/lot2\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2731, 4, '957d48dc3f7c74f708b1e74481f8ddeae5b23e46', '18.0.0_LOT2', 199, '2017-03-22 15:37:54', 'Bertrand FONTANEL', '[D44058] suppression script majuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2732, 4, 'f4848fdd8b3461890f888da6a341da99cbcc0885', '18.0.0_LOT2', 199, '2017-03-22 15:37:55', 'Bertrand FONTANEL', '[D44058] ajout script minuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2733, 4, '5ea668e95dee64e72cc143b49243c18f7958aa54', '18.0.0_LOT2', 199, '2017-03-22 15:37:55', 'Bertrand FONTANEL', '[D44058] Ajout maj base + index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2734, 4, '4f8e9f3ed7b805310618ac0938127aa96b73d994', '18.0.0_LOT2', 199, '2017-03-22 15:37:55', 'Bertrand FONTANEL', '[D44058] correction trigger benf_compl_02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2735, 4, 'cc747b4f04af7bfee3dc4d3322ab283c9cd4251d', '18.0.0_LOT2', 164, '2017-03-22 15:37:55', 'Lionel Giordanengo', 'integration : corrections pour installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2736, 4, '8e5cd03c283a87ac6079826e599cc3d3b2c1fbc2', '18.0.0_LOT2', 199, '2017-03-22 15:37:55', 'Bertrand FONTANEL', '[D44058] correction pour maj base + correction BQ\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2737, 4, 'f798171492ed16b87b6c1ad4ddb3f9433b109edc', '18.0.0_LOT2', 199, '2017-03-22 15:37:55', 'Bertrand FONTANEL', '[D44058] correction param_spoc_emission\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2738, 4, 'bde5a10193aac5db898d772208b04ff48709f474', '18.0.0_LOT2', 199, '2017-03-22 15:47:52', 'Bertrand FONTANEL', '[D44058] correction type fs_rech_caisse_vi\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2739, 4, '9308a42e2e1a621c5a991a08da0b46c489d3ee00', 'D44377', 246, '2017-03-22 16:41:24', 'Olga TOINON', '[D44377] Ajout du cartouche et des tag dans le script cjcrapp09.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2740, 4, 'cfb1e1ce47c6504ed5183453a278c7f755e3e3dd', 'D44378', 246, '2017-03-22 16:36:12', 'Olga TOINON', '[D44378] Correction du package afin de récupérer la dernière immatriculation d\'un PL radié et son adresse entreprise associé à cette immatriculation\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2741, 4, 'f8d7dcbdcc77d5ed33f523ca107f3b34bba05f86', 'D43794', 169, '2017-03-22 17:25:34', 'Fabien TROPIS', '[D43794] Mise en conformite des dates de fin de droits pour les periodes de residence\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2742, 4, '8fb81bc8c72ba74037c26952d5be6f282ade9497', 'D43795', 169, '2017-03-22 17:29:35', 'Fabien TROPIS', '[D43795] Mise en conformite des assures gratuits\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2743, 4, 'f38b444ef3a337f1bd929cec5c50f132804cc50c', '17.1.51', 157, '2017-03-23 10:19:15', 'Vincent GENTIL', '[D44366] Correction recherche periode OC\n\n# Conflicts:\n#	1_titulaire/Cotisation/Cotisation/oracle/schema/CMR_xxx/packages/pck_cqpntf60.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2744, 4, '0080fd59c4a6f5ea5fb884a9a6a03dc6a9095d79', '17.1.51', 164, '2017-03-23 10:22:47', 'Lionel Giordanengo', 'integration : maj_base 06\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2745, 4, 'd981f48e12193243767d66bf1024274e3f501b88', '17.1.51', 164, '2017-03-23 10:36:31', 'Lionel Giordanengo', 'Livraison 17.1.51_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2746, 4, 'be1902f49da3a6080b98f59de6b09cc4e51ac16f', 'D44026_WS', 147, '2017-03-23 11:22:46', 'michel.siacchitano@atos.net', '[D44026] Coorection Entete PCK_WS_RAD : deplacement dans l\'entete de la variable globale v_CSV_ALERT_2729\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2747, 4, 'a0f27a9605aa2e786b7d1eb564a2d04a320bb979', 'D44394', 157, '2017-03-23 11:32:34', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2748, 4, 'f97cba32a36e0c848031f45e19734e004ebae316', 'D44026_WS', 147, '2017-03-23 11:55:02', 'michel.siacchitano@atos.net', '[44026] correction prc_fin_periode pour prise en charge WS\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2749, 4, '20c1c5e039f93ca4cbf1c25b8c956f79f29fff32', 'D44387', 1, '2017-03-23 14:12:45', 'Louis BAYLE', '[D44387] pal_qc43018.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2750, 4, 'fdd808a76a5e9861c7fcd00ea807c14e75f32d2c', 'D44387', 1, '2017-03-23 14:16:49', 'Louis BAYLE', '[D44387] pal_qc43018.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(2751, 4, '0ce7608d356df9f69839ca0880395dcad847a8d6', 'D44394', 157, '2017-03-23 14:18:46', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2752, 4, '1b9fe78798b10a80e8fd889a47226b70e091a951', 'D44394', 157, '2017-03-23 14:33:50', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2753, 4, 'bf0c945d2c94280566cca58c586aa9106ea1a298', '18.0.0_LOT1', 164, '2017-03-23 10:15:15', 'Lionel Giordanengo', 'integration : modif maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2754, 4, '33eb9a79a4dc250b4c0245e958ce4c8cd9a1be88', '18.0.0_LOT1', 147, '2017-03-23 11:27:13', 'michel.siacchitano@atos.net', '[D44026] Coorection Entete PCK_WS_RAD : deplacement dans l\'entete de la variable globale v_CSV_ALERT_2729\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2755, 4, '79962fad74753f9e3230e4e84a8321078af49001', '18.0.0_LOT1', 147, '2017-03-23 11:57:00', 'michel.siacchitano@atos.net', '[44026] correction prc_fin_periode pour prise en charge WS\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2756, 4, '916ffbeae615a76730a5b852f9834488479a9a2f', '18.0.0_LOT2', 134, '2017-03-23 14:54:49', 'Isabelle LAGIER', '[D44058] Gestion des nouveaux SPOC Administratifs V0.9 (squash 27 de dev)\n\n[D44058] correction compile\n\n[D44058] correction spoc 11 12 13\n\n[D44058] correction spoc13_histo\n\n[D44058] correction spoc 11 41\n\n[D44058] correction spoc 42\n\n[D44058] correction spoc 43\n\n[D44058] correction spoc 61\n\n[D44058] correction parametrage evenements\n\n[D44058] correction evenements\n\n[D44058] decommissionnement spoc admin SAGA\n\n[D44058] correction diverses\n\n[D44077] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] ajout des vues \"avant\"\n\n[D44058] save shell\n\n[D44058] save\n\n[D44058] save\n\n[D44058] correction bilan\n\n[D44058] save\n\n[D44058] save\n\n[D44058] modif top_mansaga\n\n[D44058] save\n\n[D41937] Commit  internediaire du 07/02/2017 + majbase + TU ok\n\n[D41937] Reprise Trigger de journalisation complementaire Fini\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(2757, 4, 'd160d8c68f31ae67e4c26c1ccc9bc8a005be5857', '18.0.0_LOT2', 169, '2017-03-23 14:54:49', 'Fabien TROPIS', '[D44027] Intégration PCK_AMABIS pour MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2758, 4, 'c01d0a0a4b72511ee55f7d0018850cd218c1f4ac', '18.0.0_LOT2', 169, '2017-03-23 14:57:25', 'Fabien TROPIS', '[D44027] Nomenclatures MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(2759, 4, '8044a636177a464e3cf57545a178ad5d0169394b', '18.0.0_LOT2', 146, '2017-03-23 14:57:51', 'Achraf AKRIMI', '[D44058] Spoc administratifs reemission\n\n[41937] SPOC-Moteur integration reemission\n\n[D41937] SPOC amelioration echange entre oc et taiga - reemission des spocs\n\n[D41937] Spoc amélioration des échanges entre taiga et les oc - reemission spoc\n\n[D41937] Spoc amélioration des échanges entre oc et taiga - Reemission de Spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(2760, 4, 'bdbb56139b5cdccc5944c1dc458f1e94d269e0cd', '18.0.0_LOT2', 199, '2017-03-23 14:57:52', 'Bertrand FONTANEL', '[D44058] Merge à la main de ijmbnf20 + pck_spoc_affi_outils\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2761, 4, 'd386e74d7d2276276e9f6109d193667617aa805e', '18.0.0_LOT2', 164, '2017-03-23 14:57:52', 'Lionel Giordanengo', 'integration 18.0.0_QUAL3 modification des maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2762, 4, '4851a5ef1bdfcced8f9a1a706370e62e9205e79f', '18.0.0_LOT2', 72, '2017-03-23 14:57:52', 'Alain Tassotti', '[D44027] AMABIS (squash 5)\n[D43459]   Etude Amabis :  package  et outil POC  de test des adresses de residence\n\n[D44027] Modification du package amabis, script sql de la table amabis_decision et maj_base associé\n\n[D44027] save\n\n[D44027] Modification package pck_amabis\n\n[D44027] Modif divers\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2763, 4, '0f2ed44e756dcaa154a77d71f4220b6a69f7fb6f', '18.0.0_LOT2', 164, '2017-03-23 14:57:53', 'Lionel Giordanengo', 'integ ajout maj_base_cmr\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2764, 4, 'd60226110cf6261fbae0cd90c01bab7be4e98fe6', '18.0.0_LOT2', 199, '2017-03-23 14:57:53', 'Bertrand FONTANEL', '[D44058] suppression fichiers majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2765, 4, 'ed10bbb1be01df5c7fbda2ae3688b62f2964fe8e', '18.0.0_LOT2', 199, '2017-03-23 14:57:54', 'Bertrand FONTANEL', '[D44058] Ajout scripts sans majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2766, 4, 'c13e4b4b920bb20f5193c2dcede70038fe0809ef', '18.0.0_LOT2', 164, '2017-03-23 14:57:54', 'Lionel Giordanengo', 'integ Maj_base differentiation des maj_base pour lot1/lot2\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2767, 4, '1ff2cc07cacf4fe2a5a24248d0087c4926362a8b', '18.0.0_LOT2', 199, '2017-03-23 14:57:54', 'Bertrand FONTANEL', '[D44058] suppression script majuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2768, 4, 'e7193f7d49cc6c02389f1e6ebc90040d32d5af9a', '18.0.0_LOT2', 199, '2017-03-23 14:57:55', 'Bertrand FONTANEL', '[D44058] ajout script minuscule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2769, 4, '459a716201fa04e0c9a417901362d2f5b89ca4ff', '18.0.0_LOT2', 199, '2017-03-23 14:57:55', 'Bertrand FONTANEL', '[D44058] Ajout maj base + index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2770, 4, '29fda33ca01367bb3f68032dba61d9fe81138a76', '18.0.0_LOT2', 199, '2017-03-23 14:57:55', 'Bertrand FONTANEL', '[D44058] correction trigger benf_compl_02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2771, 4, '986136c15a92a992b23a2debe6483a72d9cd961a', '18.0.0_LOT2', 164, '2017-03-23 14:57:56', 'Lionel Giordanengo', 'integration : corrections pour installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2772, 4, 'c51ae0b8f2a884fc19bad70572cb3608f1e4c3e8', '18.0.0_LOT2', 199, '2017-03-23 14:57:56', 'Bertrand FONTANEL', '[D44058] correction pour maj base + correction BQ\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2773, 4, 'a0cb2dcb02c78705516dc43405212cef95366601', '18.0.0_LOT2', 199, '2017-03-23 14:57:56', 'Bertrand FONTANEL', '[D44058] correction param_spoc_emission\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2774, 4, '99b43e5633315ad320771ec03487a2a7f8bd6fb0', '18.0.0_LOT2', 199, '2017-03-23 14:57:57', 'Bertrand FONTANEL', '[D44058] correction type fs_rech_caisse_vi\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2775, 4, 'd5688b6e9f0fcea93e405c84fa5d273d6442a500', 'D44394', 157, '2017-03-24 10:00:32', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2776, 4, 'f54d9f9c191875af28b50f539fa970c5e11976e5', 'D44196', 157, '2017-03-24 10:29:05', 'Vincent GENTIL', '[D44196] décomissionnement 3en1\nrenommage du [D43545] décomissionnement 3en1 (2fa612a423ebd) car defect d etude et non de dev\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2777, 4, '7d0e7626b8b0aebe533e2a07087bfc4a9ab1fe79', 'test_git_hooks', 1, '2017-03-24 11:32:44', 'Louis BAYLE', 'test git hooks\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2778, 4, '66cd0cb905f6fabbf1a0eff9c9908de377c12409', 'D44339', 158, '2017-03-24 11:50:31', 'Martine RENIER', '[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2779, 4, 'cae4e2f5b0163526a685e14baf29f7f7687a2322', 'D44058_MAJ_BF', 199, '2017-03-24 12:01:32', 'Bertrand FONTANEL', '[D44058] correction jnl_stat\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2780, 4, '74845a6e98dde51f0a91295923ae7c938bbf2c7d', 'D44026_2729', 147, '2017-03-24 13:08:10', 'michel.siacchitano@atos.net', '[44026]  reprise gestion erreur 2729\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(2781, 4, 'c22bf19d56e318afd12490a151da79ea8fcdedad', '18.0.0_LOT2', 199, '2017-03-24 12:03:36', 'Bertrand FONTANEL', '[D44058] correction jnl_stat\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2782, 4, '14b40bbabfd0801e82f0951de08dbefd4bb0e9aa', 'D44394', 157, '2017-03-24 15:17:47', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2783, 4, '4a4ccdb8235d6b1415ba3bd1a21489054c0851bd', 'master', 1, '2017-03-24 15:47:16', 'Louis BAYLE', 'InternalTools: git hook pre-push\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2784, 4, '80c21297639ccd3e8c2f1a6757b610b3076ec3e8', 'D44058_CORR_1', 199, '2017-03-27 10:38:17', 'Bertrand FONTANEL', '[D44058] correction RG_SPOC0001\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2785, 4, 'd0444976077f9a5a759292d76bf9a544f310d758', 'D44058_CORR_1', 199, '2017-03-27 10:42:41', 'Bertrand FONTANEL', '[D44058] correction RT_SPOC11_12\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2786, 4, 'd70848af64ac2826ab082211e941726cf2ecebcd', 'D44058_CORR_1', 199, '2017-03-27 10:56:31', 'Bertrand FONTANEL', '[D44058] correction RG_SPOC0009\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2787, 4, 'fa41e1ca55bb504286133bae2131f0e31cbce389', 'D44060_OTN', 246, '2017-03-27 14:20:05', 'Olga TOINON', '[D44060] Mise à jour du maj_base_cir_D44060.sql suite à la mise à jour de la spec\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2788, 4, '092424b068e0c714771be94e01bf07a9e6d028d2', 'D44058_CORR_1', 199, '2017-03-27 14:53:21', 'Bertrand FONTANEL', '[D44058] correction qualif cas 2\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2789, 4, 'bc13515186deef34ae20e63780ab3c020c3fdc7a', 'D44058_CORR_1', 199, '2017-03-27 15:09:51', 'Bertrand FONTANEL', '[D44058] correction Qualif cas 5\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2790, 4, 'fc815cfe097dd8e3851387803258e4b04e07a70f', 'D44058_CORR_1', 199, '2017-03-27 15:32:22', 'Bertrand FONTANEL', '[D44058] correction qualif cas 7\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2791, 4, 'e9d3f823114b221ee3a44571804af98dd5213a28', 'D44058_CORR_1', 199, '2017-03-27 15:38:50', 'Bertrand FONTANEL', '[D44058] correction qualif cas 8\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2792, 4, '0e49a4949cc353cbf88637abeb2ce4fb73d9dd08', 'D44058_CORR_1', 199, '2017-03-27 15:54:04', 'Bertrand FONTANEL', '[D44058] correction RT_SPOC51_24\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2793, 4, 'eb94e0749bc8a6f813a7804ef5668fde7c9a2df0', '18_0_0_DEX', 199, '2017-03-27 16:36:48', 'Bertrand FONTANEL', '[D44025] mise à jour DEX bascule\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2794, 4, 'e3522ddf05365febf7acf8630b7ee5d2980ed393', 'D44058_CORR_1', 199, '2017-03-28 08:03:11', 'Bertrand FONTANEL', '[D44058] correction qualif cas 9\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2795, 4, '86d1a582175e8cf7cbdd134920681b238f89091a', '18_0_0_DEX', 199, '2017-03-28 09:04:52', 'Bertrand FONTANEL', '[D42991] Ajout Guide de traitement V14.7\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2796, 4, 'bc6313b1e8557f8f4cc5bc1a897cfdeac3f5dd8c', '18_0_0_DEX', 199, '2017-03-28 09:09:15', 'Bertrand FONTANEL', '[D42991] fusion guide de traitemeent v14.7 et v14.6 en v14.6\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2797, 4, '7c9ffb0c070f549fe3f1baa410aea7a750f16353', '18_0_0_DEX', 199, '2017-03-28 09:27:31', 'Bertrand FONTANEL', '[D42991] mise à jour DEX 07S\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2798, 4, '06024583b875c53c576b02f3e81f358acb0df3d1', 'D43514_nomenc', 164, '2017-03-27 17:07:22', 'Lionel Giordanengo', 'Ajout/modif tables de nomencature PUMA - pour livraison des nomenclatures\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2799, 4, '0e84f84637fec57292019d565e1d563bad8ba7e3', 'D43514_nomenc', 164, '2017-03-27 17:08:27', 'Lionel Giordanengo', 'Traitement des nomenclatures pour 18.0.0_lot1\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2800, 4, '82787fdd1a799b0b6d42b0485ff176203445df67', '17.2.0', 164, '2017-03-28 09:42:10', 'Lionel Giordanengo', 'Livraison 17.2.0_005\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2801, 4, 'f50404a711566e70cd2086e21b42823dc4b76e3d', 'D44058_CORR_1', 199, '2017-03-28 10:35:08', 'Bertrand FONTANEL', '[D44058] correction qualif cas 10\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2802, 4, '85e60e2f6bbf14f73d048038318e7959791e18f3', 'D44058_CORR_1', 199, '2017-03-28 14:13:11', 'Bertrand FONTANEL', '[D44058] correction qualif cas 11\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2803, 4, 'da6fe8244ef0aa6b8cecdf3955bc25bcd5a23649', 'D44058_CORR_1', 199, '2017-03-28 15:03:10', 'Bertrand FONTANEL', '[D44058] correction qualif cas 11 - 2\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2804, 4, 'b6b7f35494b4d7aa1a90884dcbabcced49c95980', 'D44058_CORR_1', 199, '2017-03-28 15:51:13', 'Bertrand FONTANEL', '[D44058] correction qualif cas 13\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2805, 4, '1d0e147e54335f4c1c79c63c8c71e98bae6479ae', 'D44030', 246, '2017-03-28 18:08:46', 'Olga TOINON', '[D44030] script shell pour le fichier national des noms-prénoms trop long et modification du script sql et du shell mono caisse + création du spool de génération des fichiers mono caisse\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2806, 4, '7fdb708bdc9de5b49aba0a4015a52d02a8b6ffae', 'D44058_CORR_1', 199, '2017-03-29 11:40:51', 'Bertrand FONTANEL', '[D44058] correction requete dynamique\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2807, 4, 'd7f75de07da60a385d193e4c5b7aaf9bc4ea0fbf', 'D44058_CORR_1', 199, '2017-03-29 12:00:05', 'Bertrand FONTANEL', '[D44058] divers\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2808, 4, '837b10f44eca8fe95f01e6c2eddd0cb98033b57f', 'D44030', 246, '2017-03-29 12:07:52', 'Olga TOINON', '[D44030] Modification du script shell multi-caisse afin de supprimer les fichiers dans les autres couloirs autre que GP92\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2809, 4, '654d4791a030fc00419e778e2cff0c9d75b393ad', 'D43955', 168, '2017-03-29 17:38:50', 'Vincent-Pierre LYS', '[D43955] Code d\'appel de la procedure stockée depuis tuxedo\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2810, 4, '397293034f94cdeb2db83364f896933661b9358c', 'D44058_CORR_1', 199, '2017-03-30 07:51:35', 'Bertrand FONTANEL', '[D44058] ajout index jnl_stat\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2811, 4, '83dfd90575ce4feb05529f6c91986941904cdc88', 'D44058_CORR_1', 199, '2017-03-30 07:53:58', 'Bertrand FONTANEL', '[D44058] Ajout Spool SPOC90\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2812, 4, '8312221b1bdcdbb4170779f63cbbbd44e779bca0', 'D44058_CORR_1', 199, '2017-03-30 07:59:32', 'Bertrand FONTANEL', '[D44058] ajout suppression evenement inscription non ouverte\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2813, 4, '972dbf10f33f625897f7093513c9282c55525580', 'D44058_CORR_1', 199, '2017-03-30 08:23:49', 'Bertrand FONTANEL', '[D44058] Ajout gestion reemission partie 1\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2814, 4, 'd30602573b0c6c988bb28f9426e91e3409583317', 'D44058_CORR_1', 199, '2017-03-30 08:27:07', 'Bertrand FONTANEL', '[D44058] Ajout gestion reemission partie 2\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2815, 4, 'a62de938d8a9f7ea4fa5ab63483c56cac3b54f3c', 'D44058_CORR_1', 199, '2017-03-30 10:34:47', 'Bertrand FONTANEL', '[D44058] correction integration reemission et ins_adrt_en_cours\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2816, 4, '5384f3f3b47341c0398e7249f984c010c203e374', 'D44058_CORR_1', 199, '2017-03-30 14:51:39', 'Bertrand FONTANEL', '[D44058] correction tir 1\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2817, 4, '7fe66899b71601adab2eba629187210b2bbfd9c2', 'D44058_CORR_1', 199, '2017-03-30 14:52:19', 'Bertrand FONTANEL', '[D44058] correction 0 sur motif de radiation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2818, 4, 'ac99f187fd5e35a1179de5d3a54b1f8f4fc1242c', '17.1.05', 246, '2017-03-30 14:32:30', 'Olga TOINON', '[D44363] Modification du package afin de récupérer la premère entreprise pour l\'extraction de PL\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2819, 4, 'f1f7df076fb09a5bf12188f38ddab0eb0dc0e2ac', '17.1.05', 246, '2017-03-30 14:32:47', 'Olga TOINON', '[D44372] Remplacement des \';\' par des \',\' dans les adresses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2820, 4, '2ce047b5c768786552772ae47ed6bb0119f1ccf7', '17.1.05', 246, '2017-03-30 14:42:47', 'Olga TOINON', '[D44377] Correction du numéro riba pour ceux qui ne sont pas certifié (squash 3)\n\n[D44377] Correction en rapport avec l\'entête des fichiers csv découpés\n\n[D44377] Ajout du cartouche et des tag dans le script cjcrapp09.sh\n\nWARN conflit:\nset num_riba = (select replace(SUBSTR ( riba.riba_cmr || riba.riba_sep || riba.riba_datj || riba.riba_r || riba.riba_num, 1),\';\',\',\') -- D44372\nset num_riba = (select DECODE (riba_cod_certif,\'1\',SUBSTR ( riba.riba_cmr || riba.riba_sep || riba.riba_datj || riba.riba_r || riba.riba_num, 1),null) --D44377\n\n\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_extract_tram_pl.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2821, 4, '0442981d977970a7eb8468674978f5dae3364174', '17.1.05', 246, '2017-03-30 15:20:20', 'Olga TOINON', '[D44378] Correction du package afin de récupérer la dernière immatriculation d\'un PL radié et son adresse entreprise associé à cette immatriculation (WARN merge)\n\nWARNING: le code a ete entierrement remodelé par BFL lors du merge !!\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_extract_tram_pl.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2822, 4, 'aa20375a039329c0f29ff31acc84353f348cb277', 'D44427', 157, '2017-03-30 16:54:18', 'Vincent GENTIL', '[44427] LFSS2017: suppression periode exoneration taux degressivite\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2823, 4, 'a611af7c5fc13036309e96941da180f1cd3fbd23', 'D44428', 157, '2017-03-30 15:16:08', 'Vincent GENTIL', '[D44428] Correction calcul échéancier à la baisse\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2824, 4, 'f2e162f5c03e27bda40c69ee74b20e53f6b1a356', 'master', 1, '2017-03-30 17:10:25', 'Louis BAYLE', 'InternalTools: ALM_to_CodevTT.xlsm\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2825, 4, '5b489417c9fc5a1079aca73a9af2b410b0fbcd49', 'master', 164, '2017-03-31 10:06:53', 'Lionel Giordanengo', 'Merge branch \'17.1.0\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2826, 4, '03f5f5730c1bd58d6ae16c3320e242798d49c43e', 'master', 1, '2017-03-31 10:37:59', 'Louis BAYLE', 'InternalTools: refreshBDD.sh\n\n\'trim\' du nbre de process en cours pour essayer de corriger les pb de tamcoc58\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2827, 4, 'c2ba376c78424eb53db340e18f778be553e576a8', '17.1.1', 157, '2017-03-31 10:18:44', 'Vincent GENTIL', '[D44428] Correction calcul échéancier à la baisse\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2828, 4, '6595e64badb9e44692e6a16f994de1059899f94c', '17.1.1', 164, '2017-03-31 10:23:17', 'Lionel Giordanengo', 'integration maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2829, 4, 'aad049472e413882c4227a565a9354012e6dba3c', '17.1.1', 164, '2017-03-31 10:37:20', 'Lionel Giordanengo', 'Livraison 17.1.1_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2830, 4, '4a3b873f1518da228bd9b6a50e4609be80ad9c34', 'D44427', 157, '2017-03-31 11:00:33', 'Vincent GENTIL', '[44427] LFSS2017: suppression periode exoneration taux degressivite\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2831, 4, '2ae63820f2a4dd59e273b9feac01f1df52ff7b4d', 'D44392', 158, '2017-03-31 12:21:00', 'Martine RENIER', '[D44392] Remplacement civilité Mademoiselle par Madame\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2832, 4, '05cd926277a5ee632d541542247353e7c279fcc4', 'D44392', 158, '2017-03-31 12:21:12', 'Martine RENIER', '[D44392] DSI-2016 Remplacement civilité Mademoiselle par Madame\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2833, 4, 'c02fa4f0c9629c6475e0525d753ac408a4556559', 'D44392', 158, '2017-03-31 12:21:22', 'Martine RENIER', '[D44392] DSI-2016 Remplacement civilité Mademoiselle par Madame\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2834, 4, '63130a694cbcb4e82d5844dd7cea17708b7e4e05', 'master', 1, '2017-03-31 13:08:09', 'Louis BAYLE', 'Environnements: FIX ixpnom01.sh\n\nLe script d\'origine ne marche pas sur les env TMA.\nCette correction permet de recuperer le fichier ifnnom01.dat et\neffectuer le traitement.\n\nemplacement du script originel:\n1_titulaire\\Nomenclatures\\Nomenclatures\\tuxedo\\taiga\\sh\\ixpnom01.sh\n\nemplacement sur les environnement (tuxedo exec)\n/tuxtadev4/taiga/sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2835, 4, 'f05067bf2e3e5d0300358661a4f3706eecf65a44', '17.1.51', 164, '2017-03-31 11:33:45', 'Lionel Giordanengo', 'Merge branch \'17.1.1\' into 17.1.51\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2836, 4, 'b17f35accbea3760a08023ecab66e2e86f4edf4b', '17.1.51', 164, '2017-03-31 11:37:43', 'Lionel Giordanengo', '[D44435] commit bidon pour livraison RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2837, 4, '719ef88a44c4abd73329ebf401fd96802f195927', '17.1.51', 164, '2017-03-31 11:41:37', 'Lionel Giordanengo', 'Livraison 17.1.51_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2838, 4, 'e6cfd665b965ec4a696edd086c75c5e9f137e66b', 'D44339', 158, '2017-03-31 15:16:06', 'Martine RENIER', '[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2839, 4, '4a4467c96398e25405b5c22f4dbc2841d1ad3c11', 'D44339', 158, '2017-03-24 14:28:37', 'Martine RENIER', '[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(2840, 4, '765b9ad50b4fe03bea4c5fe657e078d7fb71e626', '17.2.0', 164, '2017-03-28 09:50:06', 'Lionel Giordanengo', 'Livraison 17.2.0_006\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2841, 4, 'eb0cfa49f2bb048e4cca2d434ec1f200349ac3eb', 'D45106_CORR', 72, '2017-12-27 09:32:36', 'Alain Tassotti', '[D45295]  Nomenclature specifique (table MESSAGE)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2842, 4, '63d77befb9c933465e7cc96a15485d4c66667eee', 'D45106_CORR', 199, '2017-12-27 09:33:34', 'Bertrand FONTANEL', '[D45285] gestion regle  RG_P_NP_002\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2843, 4, '02af00f30b4deec43ca52a4d898c7e6aba75928a', 'D45106_CORR', 199, '2017-12-27 09:33:53', 'Bertrand FONTANEL', '[D45277] revu regle RT_SPOC65_03  + nir alertes\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2844, 4, 'fb24f4cc2f9d7fb97c32827520ddac4672a6b6c8', 'D45106_CORR', 199, '2017-12-27 09:34:02', 'Bertrand FONTANEL', '[D45277] ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2845, 4, '4ff6feb3868fab5bbe0c094ae3dc3f032e96278e', 'D45106_CORR', 199, '2017-12-27 09:34:19', 'Bertrand FONTANEL', '[D45302] Ajout regle RG_41937_MAJOC_56 (cobol) + suppression regle RG_41937_MAJOC_54 (sql)\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2846, 4, '7e663ac38a9f28c880c1975a332282ab505aff87', 'D45106_CORR', 199, '2017-12-27 09:34:29', 'Bertrand FONTANEL', '[D45302] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2847, 4, 'f638aae0036eb6746f11fda8431e7c471bbc6efa', 'D45106_CORR', 164, '2017-12-27 11:02:23', 'Lionel Giordanengo', 'integ : traitement des nomenclatures (D45181 et D45295 changement identique)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2848, 4, 'aa214178223aeaafb39b755a50120bcfbbea6142', 'D45106_CORR', 164, '2017-12-27 11:27:15', 'Lionel Giordanengo', 'integ : traitement du maj_base pour _024\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2849, 4, 'ca331cf74ded4823564d8955b6cbadbb9221cee9', 'D45106_CORR', 72, '2017-12-27 15:32:25', 'Alain Tassotti', 'DOCS   Mise à jour spec de reference suite à FDR 14/11/2017\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2850, 4, '8e882ce13c31f24fb13401550a41ac58c23aa3dd', 'D45106_CORR', 72, '2018-01-04 13:52:53', 'Alain Tassotti', '[D45295]  Suppression du message 5766 dans fichier .txt car deja present dans table MESSAGE\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2851, 4, '7a5a67ffbf6278679eec96c253cdf45bd25bc9b4', 'D45106_CORR', 199, '2018-01-05 12:32:35', 'Bertrand FONTANEL', '[D45277] ajout du nir dans l\'ayant-droit dans les alertes\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2852, 4, '1565dc29f14c6bcb03cd8697cbd42caa2e4ebef4', 'D45106_CORR', 1, '2018-01-05 12:41:06', 'Louis BAYLE', 'majbase cleanup\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2853, 4, '9e2f748254d3240ddb1cc17b649dc005e8b04498', 'D45106_CORR', 1, '2018-01-05 13:23:33', 'Louis BAYLE', 'Merge branch \'master\' (17.5.90) into 18.0.0_TP10 <<<MERGE INCOMPLET>>>\n\nverifier nomenclatures\n	comparaison.txt (non mergé, recup celui de 18.0.0_TP10)\n	ifnnom94.dat (mergé)\n\nmanque 4 docs (non mergé, recup celles de de 18.0.0_TP10):\n	SFD_PropagationAffiliation.doc\n	TP SFD fiche assure.doc\n	TP SFD fiche ayant droit.doc\n	SFD_Flux_GA_gestion_administrative.doc\n\n\n# Conflicts:\n#	1_titulaire/Affiliation/Immatriculation/nsdk/sources/iewacc10/ayd/ifkayd01.scr\n#	1_titulaire/Nomenclatures/Nomenclatures/oracle/nomenclatures/data/specifique/comparaison.txt\n#	1_titulaire/Nomenclatures/Nomenclatures/oracle/nomenclatures/data/specifique/ifnnom94.dat\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n#	Docs/Reference/3B11 - Doc fonctionnelles/3B113 - Propagation Affiliation/SFD_PropagationAffiliation.doc\n#	Docs/Reference/3B11 - Doc fonctionnelles/3B114 - Specifications TP/TP SFD fiche assure.doc\n#	Docs/Reference/3B11 - Doc fonctionnelles/3B114 - Specifications TP/TP SFD fiche ayant droit.doc\n#	Docs/Reference/3B11 - Doc fonctionnelles/SFD_Flux_GA_gestion_administrative.doc\n#	Docs/Reference/DIT/DIT.xlsx\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2854, 4, '655994bc2aa8c9277c49da276d6edf1b99c7e4a2', 'D45106_CORR', 72, '2018-01-05 14:39:13', 'Alain Tassotti', '[DOCS]  MAJ Specs de reference suite au conflit de merge avec master ( 17.5.90)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2855, 4, 'fcd534801e73ff4659ca6d3822af178fd7d5a366', 'D45106_CORR', 1, '2018-01-08 11:37:45', 'Louis BAYLE', 'comparaison.txt (merge master)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2856, 4, '30aacddd0baabc5834370ffc65a852797e729e39', 'D45106_CORR', 1, '2018-01-08 15:34:24', 'Louis BAYLE', 'InternalTools: simplification du putenv.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2857, 4, 'e0100febf8947ee9f08ae5e302350fd1e7b3b506', 'D45106_CORR', 1, '2018-01-08 16:46:57', 'Louis BAYLE', 'move svc_tpr -> svc_TPR\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2858, 4, '6520317e94acd0e39fe52cd7a1f178fe8e1cc6e3', 'D45106_CORR', 164, '2018-01-09 16:22:24', 'Lionel Giordanengo', '[D45408] modif de la note technique pour expliquer ..\n..ce qui aurait pu se passer ...\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2859, 4, '6a5b2cba51a83c6e8d551c4a5cc4be4d9df7ef5e', 'D45106_CORR', 199, '2018-01-10 11:10:36', 'Bertrand FONTANEL', '[D45266] correction du defect 43955\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2860, 4, '93bac904a8ee4c5c13dced057e6124fbc9c8112b', 'D45106_CORR', 199, '2018-01-11 12:01:19', 'Bertrand FONTANEL', '[D45106] correction suite qualif\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2861, 4, 'ac76cab3249106e85aa0eadd4b504a8640c6f7e1', 'D45106_CORR', 164, '2017-12-20 09:57:45', 'Lionel Giordanengo', 'DIT 18.0.10.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2862, 4, '1241ed33a3896878f5e47012320790b2876112de', 'D45106_CORR', 164, '2017-12-29 16:00:07', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.69\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2863, 4, 'dc45b5bed8ab2b9d95f2613b08809142116458ac', 'D45106_CORR', 168, '2017-12-19 10:40:00', 'Vincent-Pierre LYS', '[D45106] Dernières modification\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2864, 4, '524fc3c6d2b3eeba7977a6a6af76cba0efe1c14f', 'D45106_CORR', 164, '2017-12-29 15:50:31', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.33\'\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2865, 4, '7ead06b88b5d1cfa34f3e0aa4fc64882951f539d', 'D45106_CORR', 1, '2017-09-14 18:30:27', 'Louis BAYLE', 'Livraison 1.7.69_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2866, 4, 'd15d2da60f6aa297995b7e5abbed647fbabc43ba', 'D45106_CORR', 168, '2017-12-19 10:37:42', 'Vincent-Pierre LYS', '[D45183] fichier manquant détecté avec Lionel\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2867, 4, '0f4b7a7e75858d0edefbc74c8ee5ffa5b3a30787', 'D45106_CORR', 164, '2017-12-29 15:49:01', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.27\'\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2868, 4, '58015f9a15235fbdf861747820ca7b62ab010188', 'D45106_CORR', 164, '2017-05-16 16:18:30', 'Lionel Giordanengo', 'Livraison 1.7.33_004\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2869, 4, '4212944c78790485286adcda37219f9a552b94f4', 'D45106_CORR', 1, '2017-09-14 18:21:33', 'Louis BAYLE', '[D44525][D45034] relivraison RDD Caisse vieillesse\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2870, 4, '6974106e62fbffc9c0c8bb52a0ab839472c1f1f1', 'D45106_CORR', 199, '2017-12-18 16:48:03', 'Bertrand FONTANEL', '[D45267] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2871, 4, '3438e8ab07a267d9505685b28c3286dd649ce974', 'D45106_CORR', 164, '2017-12-28 09:14:01', 'Lionel Giordanengo', 'Merge branch \'17.5.90\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2872, 4, 'b2a72a8a3e3f0789adc754bd3a649ca5ac846bac', 'D45106_CORR', 164, '2017-10-27 13:59:30', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.80\' into TAIGA_PALL_1.7.27 (1.7.85 apres glissement)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2873, 4, 'c694772b377404d26306a5e6e75cb0e431659d25', 'D45106_CORR', 164, '2017-05-16 16:18:12', 'Lionel Giordanengo', '[D44589] Passe plat : Erreur : Pb lors du passage du sql pal_cmr_017_D44529.sql\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2874, 4, 'b800882a53c4ec0fbb5bca0e5172a98a514157b6', 'D45106_CORR', 1, '2017-09-14 18:19:34', 'Louis BAYLE', 'Livraison TAIGA_PALL 1.7.69_001 (16/08/2017)\n\nAssistance D44696 (passe-plat)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2875, 4, '3ad29725c659f53ef9b76999b12c2fbb1a66951d', 'D45106_CORR', 199, '2017-12-18 16:47:47', 'Bertrand FONTANEL', '[D45267] pas maintien de droit si motif 10\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2876, 4, 'df1532b8f1b8e400d7533c2c3594f5d8e785be38', 'D45106_CORR', 1, '2017-12-22 16:40:04', 'Louis BAYLE', 'InternalTools: FIX make_env.sh\n\nregression suite a 3a35cd65b5e8\n\"internaltools ajout des pco tux non presnt dans 1_titulaire et\nmodification du script pour effacer les vieux inutiles\"\n\nLe post_tuxedo.sh va supprimer tous les .pco avant d\'extraire le tar.gz\ndonc tout ce qui a ete installe par putenv.sh est detruit.\nil manque donc les 3 .pco presentes dans TAIGA/Environnements\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2877, 4, '6d23dddaf22289be2124f4d95fdd14eeca97ae4d', 'D45106_CORR', 164, '2017-12-18 15:19:08', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.5.90 (D45452)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2878, 4, '920f9bb92c7d36a30bc97478a660e1d2618c771c', 'D45106_CORR', 164, '2017-09-18 15:12:30', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.60\' into TAIGA_PALL_1.7.27 (D45045)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2879, 4, 'beef866d162df272c970e49ac99ddcf7ddfde329', 'D45106_CORR', 1, '2017-10-10 10:38:25', 'Louis BAYLE', 'Livraison 1.7.80_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2880, 4, '96c4f727088e50ccb4146670fede0561f4486699', 'D45106_CORR', 164, '2017-05-15 11:01:51', 'Lionel Giordanengo', 'Livraison 1.7.33_003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2881, 4, '52a76972b35492cda0de58a544017325a0e39469', 'D45106_CORR', 199, '2017-09-13 11:14:23', 'Bertrand FONTANEL', 'Mise à jour doc code regime\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2882, 4, '37461e288df01a24a135c964e4dfd1e6402a449a', 'D45106_CORR', 199, '2017-12-18 16:46:06', 'Bertrand FONTANEL', '[D45266] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2883, 4, 'a0e6b1835a473f562e6e7045b39a5d294d3e3653', 'D45106_CORR', 72, '2017-12-22 15:30:07', 'Alain Tassotti', 'TOOLS  :   Ajout commentaire pour  penser verification droits MANTIS en cas de nouvelle appli\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2884, 4, '2facecf07c042c6c3447c905f655438bb0994da2', 'D45106_CORR', 164, '2017-12-12 18:15:03', 'Lionel Giordanengo', 'Livraison 17.5.90_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2885, 4, '4d1e61863c31aeb68469f3aa79fa042eead3e8ef', 'D45106_CORR', 164, '2017-12-18 14:39:26', 'Lionel Giordanengo', 'Merge branch \'17.5.50\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2886, 4, '32650272dfffc0c31cfd261029296f746e5029cb', 'D45106_CORR', 1, '2017-08-09 12:04:26', 'Louis BAYLE', 'Livraison 1.7.27_004\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2887, 4, 'b3c24b95811eb2a7e00e34c6e5e8c83497901d0b', 'D45106_CORR', 1, '2017-08-29 12:24:49', 'Louis BAYLE', '[D44924] TAIGA - Retrait du defect 44806 de la 1.7.60\n\npal_cmr_041_agis_Inc424183.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2888, 4, '1a778e3e8c89b6aad3c9584f1b0acc551069cf74', 'D45106_CORR', 1, '2017-10-10 10:33:59', 'Louis BAYLE', 'InternalTools: ALM12P\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2889, 4, '94f54d01076628884ce21e114e02437d68338761', 'D45106_CORR', 164, '2017-05-15 10:54:43', 'Lionel Giordanengo', '[D44529] Passe_plat : DSI2016 - Nettoyage des tables w01_emission_dcr et Envoyer\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2890, 4, '7b49630322ecab8f5a2b5625ef7566bb1bff1d3f', 'D45106_CORR', 164, '2017-09-11 15:19:11', 'Lionel Giordanengo', 'internaltools : ajout tafpl2 pour putenv et arret stop tuxedo\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2891, 4, 'acfc4e5c6b838de1bd91cc7a094488642bb89c8f', 'D45106_CORR', 199, '2017-12-18 16:45:25', 'Bertrand FONTANEL', '[D45266] modif bascule conjoint\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2892, 4, 'a6b50fcab923f79565df17b9caf2d8d5894c31e9', 'D45106_CORR', 1, '2017-12-22 11:11:59', 'Louis BAYLE', 'InternalTools: FIX post_tuxedo.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2893, 4, 'a55d8b11daec1ebcf1df85f3e39f98ba49c99778', 'D45106_CORR', 164, '2017-12-12 18:03:37', 'Lionel Giordanengo', 'integ : majbase renommage\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2894, 4, 'bbe312e7b03c6325748a5334c108d9b7382bde21', 'D45106_CORR', 72, '2017-12-13 15:35:29', 'Alain Tassotti', '[Internal TOOLS]  MAJ pour support CALI + @ Serveur HP ALM\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2895, 4, '19911f993f49b9b2013f3956cf5a5ef75b5ecc04', 'D45106_CORR', 0, '2017-12-05 11:34:45', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.5.50_005\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(2896, 4, 'f1e76f68e73742d9463e72e111f9738baeb9d90f', 'D45106_CORR', 157, '2017-08-03 16:04:27', 'Vincent GENTIL', '[D44906]  Deport du prefixe $TRC_SH  dans la fonction f_checkOracle\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2897, 4, '06090974a48af9cb62c02d455f2a27b2ec51cb2b', 'D45106_CORR', 1, '2017-08-29 12:09:37', 'Louis BAYLE', '[D44968] correction NTI 17.1.60_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2898, 4, '0910c073f41ae55586481c9dd175c6ade68591e5', 'D45106_CORR', 157, '2017-10-10 09:53:15', 'Vincent GENTIL', '[45142] correction rollback en commit\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2899, 4, 'b37005eaf047cb65e8e395941e918ba1305db75f', 'D45106_CORR', 164, '2017-04-28 11:59:02', 'Lionel Giordanengo', 'Livraison 1.7.33_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2900, 4, '17386b969fbe79e10a2d5b046026960a85de84fc', 'D45106_CORR', 1, '2017-08-28 14:35:43', 'Louis BAYLE', 'InternalTools: maj_all_cmr.sh\n\ngestion des erreurs/warnings\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2901, 4, '599f78b5f0c2060337ce86948deb97c39f71e780', 'D45106_CORR', 199, '2017-12-18 16:45:07', 'Bertrand FONTANEL', '[D44266] save\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2902, 4, '17ae1bcc2a60fda688a12b36d1ee7f84ac9c1bab', 'D45106_CORR', 1, '2017-12-19 14:24:02', 'Louis BAYLE', 'InternalTools: fix AddSSHkey.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2903, 4, 'e0dda5b4ca76ad3f4c26a4590d8e0f243c5da7f8', 'D45106_CORR', 72, '2017-12-11 12:55:34', 'Alain Tassotti', '[D45418] MAJBASE   ; attention c\'est à mettre dans la 999\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2904, 4, '030c104454810cf897135f31ca6a2ebed6522ed9', 'D45106_CORR', 72, '2017-12-06 10:47:30', 'Alain TASSOTTI', 'Internal Tools : update REDA\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2905, 4, '441c6cd2d6a3010f8e6bf650a54e1cd364c83d24', 'D45106_CORR', 0, '2017-12-05 11:30:29', 'Giordanengo Lionel [Caisse Nationale]', '[D45316] correction coquille\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(2906, 4, '7478174e796745cb60eb306db1a79bbba03cf85b', 'D45106_CORR', 164, '2017-07-25 15:52:48', 'Lionel Giordanengo', 'Livraison 1.7.27_003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2907, 4, 'cf31840e1c5db81e3f9b86952b594b1187d0f7c3', 'D45106_CORR', 1, '2017-08-09 12:23:04', 'Louis BAYLE', 'Livraison 1.7.60_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2908, 4, 'd310b152e214308ae73c63bae53d435fca876478', 'D45106_CORR', 164, '2017-09-26 17:16:21', 'Lionel Giordanengo', 'Livraison 1.7.80_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2909, 4, '0857cd7c0afb3940100fe5f1c3342dd051e76a9b', 'D45106_CORR', 164, '2017-04-28 11:53:34', 'Lionel Giordanengo', '[D44457] Deplacement dans taiga_pall pour livraison\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2910, 4, '704bfde44d897e4e3398631c15fded9eed7a4b7e', 'D45106_CORR', 1, '2017-08-25 11:54:22', 'Louis BAYLE', 'InternalTools: FIX integ.sh sur nouveaux PC\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2911, 4, '40517a21ef3979a8ebfd9365ec965c60cfbeb63c', 'D45106_CORR', 199, '2017-12-18 16:40:28', 'Bertrand FONTANEL', '[D45216] correction motif 18\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(2912, 4, '449e3ed234fe0f2fec84cff78be1052d5f2ec4ff', 'D45106_CORR', 72, '2017-12-11 11:37:16', 'Alain Tassotti', '[D45418] Modification package pour prise en compte remplacement \"Caisse RSI\" par \"Agence\"\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2913, 4, '859f0d27d0dde64ba8a33e61827d73b2b906e142', 'D45106_CORR', 1, '2017-12-06 09:43:47', 'Louis BAYLE', 'InternalTools: FIX createREDA.sh (pour linux)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2914, 4, 'c2590365f6ae7e682724fc943b1eced2b1dbeccc', 'D45106_CORR', 0, '2017-12-05 10:06:33', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.5.50_004\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(2915, 4, '08b605243f0871cf4f93a090c0f2340048336dd0', 'D45106_CORR', 72, '2017-07-25 11:59:36', 'Alain Tassotti', '[D44358]  Ajout du prefixe $TRC_SH  dans FIC_LOG\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2916, 4, '3a2c3298da82fda50366d2332835151dd29a14b6', 'D45106_CORR', 246, '2017-08-03 15:26:29', 'Olga TOINON', '[D44907] Correction d\'un des critères de sélection de la population afin de traiter ceux dont la première période d\'oc avait une date de fin à \"null\"\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2917, 4, '02fccffb077e025392a1db6e6130a52cb893388e', 'D45106_CORR', 164, '2017-09-26 15:57:31', 'Lionel Giordanengo', '[D45016] Deplacement pour livraison dans TAIGA_PALL\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2918, 4, 'ba42d130a7dfc37ab41a18a4aedb139097cb1c04', 'D45106_CORR', 157, '2017-04-28 11:51:22', 'Vincent GENTIL', '[D44457] RDD correction échéances fausses issues du defect 43881\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2919, 4, '94f765a7073251bcb511eccdd294c01608d5fe22', 'D45106_CORR', 1, '2017-08-25 11:02:20', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2920, 4, '8ddcc8a6b3f36e97b98c208c44cfde3ed54f3b68', 'D45106_CORR', 0, '2017-12-18 16:38:43', 'Vincent-Pierre LYS', '[D45253] encapsulation des différentes règles pour éviter le cheuvauchement\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2921, 4, 'e2543e2cd6c479ead33319a16010d3eb9a25154c', 'D45106_CORR', 0, '2017-12-05 16:58:43', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.5.90_001\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(2922, 4, '5fc99691af1da5b97e2b3762ab325867770bef41', 'D45106_CORR', 1, '2017-12-05 14:24:29', 'Louis BAYLE', 'InternalTools: createREDA.sh (pour linux)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2923, 4, '06a48acfd70d3eea0db1c352a039c5fdcd75313c', 'D45106_CORR', 0, '2017-12-05 10:03:09', 'Giordanengo Lionel [Caisse Nationale]', 'integ : maj_base\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(2924, 4, '2bdcc51ed7820195d970b4caea680194b581b010', 'D45106_CORR', 164, '2017-07-25 11:57:17', 'Lionel Giordanengo', 'Merge branch \'master\' into TAIGA_PALL_1.7.27 (D44770)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2925, 4, '8c7169478608cefdc63f1b2448255d1ee464d0fb', 'D45106_CORR', 164, '2017-08-03 14:30:17', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.50\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2926, 4, 'c01d95c42e5c5f05cfa69d6228a483ad21075597', 'D45106_CORR', 157, '2017-09-26 15:57:30', 'Vincent GENTIL', '[D45016] APPEL TO RDD sur DLP defect 44972\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2927, 4, '8c6df11bec85b169dbe19491e6ecbe9501e3008b', 'D45106_CORR', 164, '2017-04-04 17:06:35', 'Lionel Giordanengo', 'Livraison 1.7.33_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2928, 4, '79ffdc023fc086c3845f0a7eb1aa862e28297b8c', 'D45106_CORR', 1, '2017-08-25 10:53:18', 'Louis BAYLE', 'Merge branch \'TAIGA_PALL_1.7.55\' into master\n\n# Conflicts:\n#	TAIGA_PALL/1_titulaire/consignes/Note technique integration.doc\n#	TAIGA_PALL/1_titulaire/livraison_TAIGA_PALL.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2929, 4, 'dfaae2d0a0ccd3f6bd1654521abbffd445b2f6e6', 'D45106_CORR', 0, '2017-12-18 16:37:58', 'Vincent-Pierre LYS', '[D45185] en cas de plus de 9 AYD le dernier NIR et le nom associé son \"...\"\n\n[D45185] maj de l\'entête\n\n[D45185] Maj du cartouche\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2930, 4, 'b4fb7a72bb838e3f56638b2a7be2c6cb69a3fb81', 'D45106_CORR', 164, '2017-12-05 16:41:28', 'Lionel Giordanengo', '[D45269][D45320][D45374] Changement de marque RSI\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2931, 4, 'e42ef68ae2c4cf53b7264dc79703be4a6c3f2749', 'D45106_CORR', 164, '2017-12-05 09:38:03', 'Lionel Giordanengo', 'Merge branch \'17.3.50\' (17.5.1 apres glissement) into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2932, 4, '0d575da743b9330f5889f2a0ebce689f04f33fcd', 'D45106_CORR', 164, '2017-12-05 09:53:30', 'Lionel Giordanengo', '[D45394] commit bidon pour RF\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2933, 4, 'a408776ae93d44cf801c61d7c1a56516be9d99d6', 'D45106_CORR', 164, '2017-06-30 15:30:02', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.45\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2934, 4, 'd07d60b75cc6be2a775d90ef9b1a55d590f0ede3', 'D45106_CORR', 72, '2017-07-12 08:43:57', 'Alain Tassotti', '[DOC]   Resynchronisation dans master des versions des specs de reference qui étaient en décalage depuis Decembre 2016  ( Essentiellement à cause de GAC ISE)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2935, 4, '1bdcb09526bbdcd46d2aff81b52e2df21829a507', 'D45106_CORR', 164, '2017-07-07 09:15:32', 'Lionel Giordanengo', 'Merge branch \'master\' into TAIGA_PALL_1.7.50 (D44770)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2936, 4, 'eaf2580ceb6b606b2caa5c1db223d801e1c88ac6', 'D45106_CORR', 164, '2017-09-26 10:25:31', 'Lionel Giordanengo', 'Merge branch \'17.3.0\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2937, 4, '3539b4a2fe64b3fa4539867ba981b6eb1269ca9c', 'D45106_CORR', 164, '2017-04-04 17:01:50', 'Lionel Giordanengo', '[D44249] Deplacement des fichiers pour livraison dans TAIGA_PALL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2938, 4, '528b6cba6aa3f5afc9b7a1c435af21ac5897bc20', 'D45106_CORR', 1, '2017-08-09 13:09:56', 'Louis BAYLE', 'refreshBDD_manual.sh : add ubbconfig\n\nNote: non testeé, code recupere de refreshBDD.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2939, 4, 'efb69db0e4b3421cb3b682c0f956208e3de7e28d', 'D45106_CORR', 1, '2017-08-11 17:20:33', 'Louis BAYLE', 'Livraison 1.7.55_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2940, 4, '448bbbe7f428b018f8032c6874a433e930a4f925', 'D45106_CORR', 168, '2017-12-18 16:36:26', 'Vincent-Pierre LYS', '[D45183] écrans NSDK.\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(2941, 4, '788fccf63a3a1c1009bdc2b54c14bd95b6fa0c81', 'D45106_CORR', 1, '2017-12-05 09:24:32', 'Louis BAYLE', 'tools solaris : chgt du path pour les fic SAGA\n\nMail P.Lombardo:\n\nLa zone solaris t01prod a été déplacé hier matin de la zone globale\ntpro018sg vers prd960ucgz001 (emplacement définitif)\nPour les montages  il faut remplacer :\n/net/tpro018sg/export/zones/t01prod/zoneroot/root/xxx\npar\n/net/prd960ucgz001/export/zones/t01prod/zoneroot/root/xxx\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2942, 4, '29ad07b8720e2e92f4624a08f3004388162bf8bf', 'D45106_CORR', 164, '2017-11-28 10:11:20', 'Lionel Giordanengo', 'Merge branch \'17.5.0\' into 17.3.50 (D45322)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2943, 4, '05078b8c73ad442854eac14e571f1aa0d43dbc7a', 'D45106_CORR', 164, '2017-12-05 09:51:08', 'Lionel Giordanengo', '[D45316] renumerotation nomenclatures speciifiques\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2944, 4, 'a55ac0c772287337ed59c625ce02c7fdb9fd70b1', 'D45106_CORR', 164, '2017-06-30 15:28:35', 'Lionel Giordanengo', 'Merge branch \'17.2.50\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2945, 4, '8aa21509d2add8387fc10259e951a71f9ac3481f', 'D45106_CORR', 164, '2017-06-20 09:45:09', 'Lionel Giordanengo', 'Livraison 1.7.45_003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2946, 4, 'a21cb403a2673463b304fd97e3a5fe9491dbd569', 'D45106_CORR', 164, '2017-06-21 10:00:31', 'Lionel Giordanengo', 'Livraison 1.7.50_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2947, 4, '9d9ce8b978220ac0ef0702b17ba57b98ebe5c77c', 'D45106_CORR', 164, '2017-09-26 10:16:56', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.60\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2948, 4, 'a2d98ed73e912331894b79933a2d9dffda123bd6', 'D45106_CORR', 1, '2017-08-31 17:23:39', 'Louis BAYLE', 'Livraison 17.3.0_010\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2949, 4, 'cbf7bd042104fd9ba284a476f3e2f806056282e8', 'D45106_CORR', 246, '2017-04-04 16:59:18', 'Olga TOINON', '[D44249] Création script pal_qc_44249.sh et pal_qc_44249.sql (squash 3)\n\n[D44249] suppression des accents dans l\'entete du fichier\n\n[D44249] idem\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2950, 4, 'cfbf0a457e333b476a27d667af52ac37ff4db558', 'D45106_CORR', 246, '2017-08-04 14:51:09', 'Olga TOINON', '[InternalTools] Correction de la recherche de date pour le support et le compte-rendu\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2951, 4, '70672caf07a50465e85ff1acc570b1fc6bf7339c', 'D45106_CORR', 1, '2017-08-11 17:13:20', 'Louis BAYLE', '[D44923] Retrait defect 44525 de la 1.7.55\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2952, 4, 'd3d6ad9f7b19e5df02db58831d301663768853c6', 'D45106_CORR', 0, '2017-12-18 16:35:35', 'Vincent-Pierre LYS', '[D45181] Modification du libellé du message\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2953, 4, 'a8939e599547d66ee22dc4872903774ff5caf273', 'D45106_CORR', 164, '2017-12-05 09:03:18', 'Lionel Giordanengo', 'Merge branch \'17.5.0\' into master\nATTENTION concflit sur Docs/Reference/3B11 - Doc fonctionnelles/3B113 - Propagation Affiliation/SFD_PropagationAffiliation.doc\na resoudre\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2954, 4, '85e13597c72b304086788052e0799e4dc6992ad2', 'D45106_CORR', 164, '2017-11-14 15:45:47', 'Lionel Giordanengo', 'Livraison 17.3.50_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(2955, 4, '0592d3c086f5ee46570776e0eb748a150ac68fac', 'D45106_CORR', 164, '2017-11-21 16:01:28', 'Lionel Giordanengo', 'Livraison 17.5.0_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2956, 4, 'e3d20291337580c61aea929de74fee9550f0447c', 'D45106_CORR', 164, '2017-12-05 09:50:03', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.5.50 (D45394)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2957, 4, 'ebd11f6276daac41fc54c161bce3f299fb864244', 'D45106_CORR', 164, '2017-06-21 10:51:22', 'Lionel Giordanengo', 'utils correction coquille sur DAS OLGA\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2958, 4, '3c4af6fa18ddbe1e7ede3ca810e4e6df87b7c098', 'D45106_CORR', 1, '2017-06-15 17:43:47', 'Louis BAYLE', 'Merge branch \'master\' (17.2.10) into 17.2.50\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2959, 4, '9350a7f21517df2a98251ed6bedbbc0700f3a4ae', 'D45106_CORR', 164, '2017-06-20 09:44:50', 'Lionel Giordanengo', '[D44701] Revert \"[D44322] Modification du script sql pal_qc_41726 (squash 4)\"\n\nThis reverts commit 5d13c492455aebad494c4c925e3391abc95ee6ae.\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2960, 4, '61558b17c9dfb13881d290a002f14aca46c4ff49', 'D45106_CORR', 164, '2017-06-21 09:56:29', 'Lionel Giordanengo', 'integration : recuperation de la note technique 1.7.50 car\nc etait une version SCU mais ils nous font relivrer des dev palliatifs dedans ...\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2961, 4, 'c24f96620adb375546e12361a26b44a4feb01bd3', 'D45106_CORR', 164, '2017-09-18 14:07:04', 'Lionel Giordanengo', 'internalTools : ajout acces tafpl2 pour tp\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2962, 4, '455c6296626c5430a058da859c81f2fbd4f30c52', 'D45106_CORR', 1, '2017-08-31 17:19:49', 'Louis BAYLE', '[D44910] Relivraison de maj_nom_to_2016.sql dans une autre arborescence\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2963, 4, '4abca763239fd6b38b7584147c6cd0f92c8bcb75', 'D45106_CORR', 1, '2017-04-03 15:51:37', 'Louis BAYLE', 'Merge branch \'17.1.1\' into master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2964, 4, '2b8938d15ecb09de5df3962c9279e21301e72fa0', 'D45106_CORR', 246, '2017-08-04 14:51:04', 'Olga TOINON', '[InternalTools] Correction de l\'outil creationSupportCOMIP.xlsm afin de pouvoir enregistrer les fichiers de sortie en .xlsx et non en .xlsm\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2965, 4, '458018ba06efcac21e45286e62ef4ddba103f5fa', 'D45106_CORR', 164, '2017-08-01 11:36:33', 'Lionel Giordanengo', 'Livraison 1.7.55_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2966, 4, '1bd88e33eeb1652693cf42e01dc496b68a7ddba8', 'D45106_CORR', 0, '2017-12-18 16:35:06', 'Vincent-Pierre LYS', '[D45181] ajout du majbase\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2967, 4, 'cf7fe0fedc16e8e3838269e497e58ba8e7467503', 'D45106_CORR', 1, '2017-12-01 16:55:26', 'Louis BAYLE', 'InternalTools: post_vm_delta (pour linux)\n\nrecuperation des ZIP DELTA generes depuis Docker_Public\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2968, 4, 'e299b58e03bd3d335215e7b50a115947c37fb5fc', 'D45106_CORR', 164, '2017-11-14 15:42:25', 'Lionel Giordanengo', 'integ maj_base 17.3.50\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2969, 4, '298f470b6945e9c6fe305b9a36cb699734df844f', 'D45106_CORR', 164, '2017-11-21 15:58:08', 'Lionel Giordanengo', '[D44953] correction Note Technique 17.5.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2970, 4, '899d0c7965ba0ea6abe440276eba66cbe928dedb', 'D45106_CORR', 72, '2017-11-27 10:29:29', 'Alain Tassotti', '[DOCS]  Mise à jour doc reference FC301  suite au conflit Merge 17.4 et 17.5\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2971, 4, 'c3eb2b6cbc567597197de439d6a2372324b6604b', 'D45106_CORR', 72, '2017-06-21 08:44:10', 'Alain Tassotti', '[Internal Tools]  Outil ALMTOCODEVTT  prise en charge TAPAS dans le paramétrage\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2972, 4, '607db41e1682d1e4be7f52263aee54bc0f50ec23', 'D45106_CORR', 164, '2017-05-12 09:59:23', 'Lionel Giordanengo', 'Livraison 17.2.50_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2973, 4, '91e4c9732c7c791348d5e8d9b2f8dcd31988c547', 'D45106_CORR', 72, '2017-06-14 13:04:19', 'Alain Tassotti', '[Internal Tool]   Modification architecture pour  extension du paramétrage et  AJout PCA dans l\'outil ALM_to_CODEVTT\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2974, 4, '1613981678a3bce697ec500ae720664b9cf3eec6', 'D45106_CORR', 164, '2017-05-16 14:05:10', 'Lionel Giordanengo', 'Livraison 1.7.45_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2975, 4, '048e4a74614c8e0ac0fae52ea1d6255ddab243c7', 'D45106_CORR', 246, '2017-06-21 09:47:18', 'Olga TOINON', '[D44689] Modification du script pal_qc_41726.sql afin de modifier le critère d\'exclusion d\'un bénéficiaire ayant un chevauchement de période de droit de prestations en lien avec les périodes de chevauchement d\'OC sélectionnées.\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2976, 4, '65a10bc1d81b08fcf16dab58f4bed07f1da11750', 'D45106_CORR', 1, '2017-08-09 11:39:01', 'Louis BAYLE', 'Livraison 17.3.0_009\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2977, 4, '7279bf8c03f38b8db3d02753de6b45cdf5307310', 'D45106_CORR', 164, '2017-04-03 15:44:25', 'Lionel Giordanengo', 'correction majNomenclatureSpec.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(2978, 4, 'cf893a63ed2e22cc1a4ec215e7e785449526c686', 'D45106_CORR', 164, '2017-08-01 11:33:19', 'Lionel Giordanengo', '[D44525] Deplacement dans TAIGA_PALL\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2979, 4, '7b86d2d22a3a04f91d509b2abd18babba978b626', 'D45106_CORR', 0, '2017-12-18 16:34:51', 'Vincent-Pierre LYS', '[D45181] Correstion de l\'erreur lors du report\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2980, 4, 'ddf4c29bda3cb48e8825dfd589f003dd3c3444a9', 'D45106_CORR', 1, '2017-11-28 10:34:38', 'Louis BAYLE', 'InternalTools: putenv.sh - droits execution aux shell-scripts\n\n7zip ajoute automatiquement l\'attribut execution\npour pallier au fait que les droits unix ne sont pas gere sous windows,\nmais sous linux, si les droits ne sont pas sur le fichier qui est\nen g-conf, il n\'a aucune raison de l\'y ajouter\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2981, 4, 'cde5df91cfb5e8692351ae7e1ccc743f9a367dc4', 'D45106_CORR', 157, '2017-11-14 15:38:00', 'Vincent GENTIL', '[D45160] Limitation du code message D720 spoc22 aux seuls appels\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2982, 4, 'c53fdab59dae1da6f3576b8d48e6708d69914430', 'D45106_CORR', 164, '2017-11-21 15:53:46', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.5.0 (D44900)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2983, 4, '341c394cd72ac983430e4f6375ed3517f3ba1750', 'D45106_CORR', 164, '2017-11-22 15:23:03', 'Lionel Giordanengo', 'Livraison 17.5.50_003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2984, 4, '5fc64277d6d654d49fb453b355ea41cf43940178', 'D45106_CORR', 164, '2017-05-12 09:50:28', 'Lionel Giordanengo', 'integ 17.2.50 : maj_base 001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2985, 4, '9369d495deac1f7af235d7d0f2a5df5f35f1f1c6', 'D45106_CORR', 1, '2017-06-14 12:00:10', 'Louis BAYLE', 'InternalTools: cosmetic\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2986, 4, 'af1c9dddf912912f4adb2480aaab0afa7160fb41', 'D45106_CORR', 164, '2017-05-16 13:57:29', 'Lionel Giordanengo', '[D44422] Passe-plat : AFFI - post FUSION PL\n- Redressement sur chevauchement période groupe pro (PER_AFF_GR_P)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2987, 4, '585ddca7528e671c429635478b466f533f4668f7', 'D45106_CORR', 246, '2017-06-21 09:45:27', 'Olga TOINON', '[D44677][D44675] Modification du script pal_qc_41726.sql afin de modifier le critère de détection du chevauchement et les motifs du fichier de résultat\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(2988, 4, '9ecd30b0d06b7c6e781e815bfc30360cddadaac1', 'D45106_CORR', 157, '2017-08-09 11:23:42', 'Vincent GENTIL', '[D44909] Correction generation echancier des radies\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2989, 4, '3ddd3406b9a8abc169aa463def193ce46ee016fa', 'D45106_CORR', 1, '2017-04-03 12:10:43', 'Louis BAYLE', 'Environnements: FIX ixpnom01.sh\n\nLe script d\'origine ne marche pas sur les env TMA.\nCette correction permet de recuperer le fichier ifnnom01.dat et\neffectuer le traitement.\n\nemplacement du script originel:\n1_titulaire\\Nomenclatures\\Nomenclatures\\tuxedo\\taiga\\sh\\ixpnom01.sh\n\nemplacement sur les environnement (tuxedo exec)\n/tuxtadev4/taiga/sh\n\nInternalTools: putenv.sh -> post_tuxedo_exec.sh\n\ncompil des nomenclatures IFNNOM01\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(2990, 4, 'd42a4a4a3afa821b135c2c364e14df085834403b', 'D45106_CORR', 164, '2017-08-01 10:57:04', 'Lionel Giordanengo', 'Livraison 1.7.55_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2991, 4, '1b8ec8b4568c10b6b497a7fa1469b1d075789f2e', 'D45106_CORR', 0, '2017-12-18 16:32:31', 'Vincent-Pierre LYS', '[D45181] Modification du code avant TU\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(2992, 4, '5aeef817b0b89414d2f3ea6dfe802be61b63c064', 'D45106_CORR', 72, '2017-11-24 16:59:46', 'Alain Tassotti', '[DOCs]  Mise à jour de la propriete  Mise à jour  > Mise a jour  pour compatibilité  outil de creation de la doc RSI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(2993, 4, '5b0c3ecdb152f1fe5c197344ae9d8d7cec6fb723', 'D45106_CORR', 157, '2017-11-14 15:36:43', 'Vincent GENTIL', '[D45104] Spoc34 ne pas envoyer echeancier existant si reprise sans modification\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2994, 4, '27ea1fd23a6e0ca8f948fd524f8f2f4b45ac62e1', 'D45106_CORR', 164, '2017-10-04 16:07:54', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.5.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2995, 4, '3767e3a3786bd3ea76889f10fa15d3ac5900068d', 'D45106_CORR', 164, '2017-11-21 15:49:52', 'Lionel Giordanengo', 'Merge branch \'17.3.30\' (15.1.69 avt glissement) into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2996, 4, '8ca29dff98cafbee98ac7849faf17bc99b4ad2a5', 'D45106_CORR', 164, '2017-11-22 15:18:29', 'Lionel Giordanengo', 'integ maj_base 17.5.50 003 again\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2997, 4, '107b2fb5c11f75c116c6f21abd1242e9656895b0', 'D45106_CORR', 157, '2017-05-12 09:41:29', 'Vincent GENTIL', '[D44291] Modification recherche assiette N-1 si saisie assiette N pour éviter les assiette début activité\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(2998, 4, 'cb9b6645615312ca292eb96474426eb75dc0e888', 'D45106_CORR', 164, '2017-06-07 11:29:40', 'Lionel Giordanengo', 'internalTools : dans putenv les nomenclatures sont maintenant jouees par defaut\n(peuvent etre desactivées si besoin)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(2999, 4, '41d36808ff4fe459792d30ff16c01ab8f1bc0379', 'D45106_CORR', 164, '2017-05-12 10:49:33', 'Lionel Giordanengo', 'Livraison 1.7.45_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3000, 4, 'e903b8af4813341bb823f9348c3a17bb9ad613e2', 'D45106_CORR', 246, '2017-06-21 09:34:12', 'Olga TOINON', '[D44322] Modification du script sql pal_qc_41726 (squash 4)\n\n[D44322] Modification du script sql pal_qc_41726 reste les TU à faire\n\n[D44322] Correction du script pal_qc_41726.sql\n\n[D44322] Correction du script pal_qc_41726.sql\n\n[D44322] correction cas 14\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3001, 4, '29be4992cc64d45a6a1fb0ffe8e21862eb928683', 'D45106_CORR', 157, '2017-08-07 11:08:09', 'Vincent GENTIL', '[D44915] Correction defect 44755 prise en compte des specificites appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3002, 4, 'f23af3388e1d3eecfda656762dd36ef44bce3a1d', 'D45106_CORR', 164, '2017-08-01 10:39:41', 'Lionel Giordanengo', '[D44829] passe plat : DSI2016 - Nettoyage des tables w01_emission_dcr et Envoyer\n(avec dos2unix des fichiers)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3003, 4, '79d46371c56a023c466ed2204f0f24f96cf688bb', 'D45106_CORR', 0, '2017-12-18 16:28:22', 'Vincent-Pierre LYS', '[D45167] correction de l\'erreur.\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3004, 4, 'df348df5f8b363365a27d5dfd6da3688c6ce65bf', 'D45106_CORR', 1, '2017-11-14 11:24:22', 'Louis BAYLE', 'InternalTools: serverInfo.sh (pour linux)\n\nsous chrome uniquement:\nhttp://172.30.152.199/rsi/TAIGA/serverInfo/serverInfp.xml\n\ncrontab:\n30 9 * * * cd ~/RSI/TAIGA/InternalTools/serverInfo; ./call_serverInfo.sh > /tmp/serverInfo.log\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3005, 4, 'a1197389bfdd36771af2dd948963832ba54ac04b', 'D45106_CORR', 1, '2017-08-25 10:22:01', 'Louis BAYLE', '[44953] Correction NTI\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3006, 4, 'acd2fd674cb2e4889a25fb245d28b0de50f7dbf7', 'D45106_CORR', 157, '2017-09-27 15:44:09', 'Vincent GENTIL', 'bq - Correction lancement du deblocage\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3007, 4, 'e270b368c335bb6f9a986a2315fc715ea909132f', 'D45106_CORR', 0, '2017-11-14 17:17:02', 'Giordanengo Lionel [Caisse Nationale]', 'integ : modification BDD et user pwd pour interroger HP ALM via macros excel\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3008, 4, '9015c4fb1504561aa6a8a537804cb73646b858ab', 'D45106_CORR', 164, '2017-10-27 13:52:09', 'Lionel Giordanengo', 'Merge branch \'17.3.20\' into 15.1.69 (17.3.30 apres glissement)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3009, 4, 'fca17320b1c39453a040a91e823776fa27098b91', 'D45106_CORR', 164, '2017-11-22 15:16:39', 'Lionel Giordanengo', '[D45321] Passe Plat P. Mangin :\nFUSION PL 2017 - ETATS MINISTERES 2017 a passer en janvier 2018 - nominatif 2016 à migrer  - exoneration 70 - livraison composants vers QI\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3010, 4, '83b7510c22f25299749f355097937367fde454ff', 'D45106_CORR', 246, '2017-05-12 09:30:20', 'Olga TOINON', '[D44333] Correction du paramètre lot sur 2 caractères dans les scripts cjcenv04.sh et cjcenv05.sh\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3011, 4, '6f35a7d4b20da7517e9555401a2b85a365d23bf6', 'D45106_CORR', 164, '2017-06-02 14:18:54', 'Lionel Giordanengo', 'Merge branch \'17.2.10\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3012, 4, '2e84d8e3f38a6bbff1401b69e6b09a793c6bce40', 'D45106_CORR', 164, '2017-05-12 10:41:26', 'Lionel Giordanengo', '[D44453] Passe-plat pour AFFI - post FUSION PL - Redressement sur chevauchement d\'immatriculation (IMMA)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3013, 4, 'b6856b5dc39272e82729056e381cad8af0355318', 'D45106_CORR', 164, '2017-08-01 15:16:42', 'Lionel Giordanengo', 'Livraison 17.3.0_008\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3014, 4, 'ac5f25d51e63377bde017f0a49ccc0cf98d3abde', 'D45106_CORR', 164, '2017-08-01 10:36:31', 'Lionel Giordanengo', '[D44739] passe plat : TAIGA - Mise a jour du delai apres la derniere emission\n(avec dos2unix en plus....)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3015, 4, 'db409d54d09457cf63b820e82ba76571e89789ba', 'D45106_CORR', 199, '2017-12-18 16:27:23', 'Bertrand FONTANEL', '[D45163] correction update drt_prest\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3016, 4, '4435b11510ba496e5ec69f5ea9c80fe49293274b', 'D45106_CORR', 1, '2017-11-13 16:54:43', 'Louis BAYLE', 'DOC: OneNote archive\n\nCopie de G:\\TMA_RSI_TAIGA\\OneNote\nDes archives regulieres sont a prevoir.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3017, 4, 'a95431814e506a8df508affcc5089d91df7b8c5f', 'D45106_CORR', 1, '2017-08-22 12:39:55', 'Louis BAYLE', 'Livraison 17.5.0_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3018, 4, '9f777dc98fb2f26c146fbbbf149a80e5c815413d', 'D45106_CORR', 164, '2017-10-04 15:57:08', 'Lionel Giordanengo', 'Merge branch \'master\' into 15.1.69\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3019, 4, '8a1c8006c1270c392603d5682d360e1b3049e599', 'D45106_CORR', 164, '2017-10-04 14:32:58', 'Lionel Giordanengo', 'Livraison 17.3.20_003\nD45110 : probleme de note technique ...\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3020, 4, '417d444eb979042c81ba1d108b65227582513c53', 'D45106_CORR', 164, '2017-11-22 15:09:34', 'Lionel Giordanengo', 'Integ : commit bidon pour RF suite à merge 17.4.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3021, 4, '28906c161c9af4760e85a3f7136d108970fd1d58', 'D45106_CORR', 164, '2017-05-12 09:30:20', 'Lionel Giordanengo', 'Creation du DIT pour 17.2.50\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3022, 4, '59517cfde458c21d54a33705e53f8b5e4e3f2422', 'D45106_CORR', 164, '2017-06-01 15:59:30', 'Lionel Giordanengo', 'Ajout de deux nouveaux environnements : tafpl2 et tafpl3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3023, 4, 'c3fead622a4c55db94680ebacfdd499e4873df73', 'D45106_CORR', 164, '2017-06-01 15:06:46', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.2.10 (D44644)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3024, 4, '5d13c492455aebad494c4c925e3391abc95ee6ae', 'D45106_CORR', 246, '2017-05-12 10:35:48', 'Olga TOINON', '[D44322] Modification du script sql pal_qc_41726 (squash 4)\n\n[D44322] Modification du script sql pal_qc_41726 reste les TU à faire\n\n[D44322] Correction du script pal_qc_41726.sql\n\n[D44322] Correction du script pal_qc_41726.sql\n\n[D44322] correction cas 14\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3025, 4, '353122926437b541bdbccbb5c0e09329e2da95e4', 'D45106_CORR', 164, '2017-08-01 15:04:24', 'Lionel Giordanengo', 'integ 17.3.0_008 maj_base\n\ninteg 17.3.0_008 maj_base bis\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3026, 4, '3a89ca3b59c8607a3a60caa2a87a94a589d62e20', 'D45106_CORR', 246, '2017-08-01 09:54:56', 'Olga TOINON', '[D44525] correction libellé des messages d\'erreur et des fautes (squash 2)\n\n[D44525] Correction longueur champs nom et prénom + ajout d\'une exception\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3027, 4, '9fa29ee82c63dea5a3e195245bad695953dd2b44', 'D45106_CORR', 199, '2017-12-18 11:26:05', 'Bertrand FONTANEL', '[D45120] correction controle imma prc_ad1_ad3_27R\n\n# Conflicts:\n#	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_flux_lib.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3028, 4, '5a471148f8f15bdea2e5fa0883caaccb53e286de', 'D45106_CORR', 1, '2017-11-13 15:26:50', 'Louis BAYLE', 'InternalTools: make_env.sh (pour linux)\n\nFIX zip VM-DELTA\n\nTODO: modifier putenv.sh pour proposer de recup les\n      PCO generes à partir de ~/Public\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3029, 4, '6694da4f7ebb6069f5d535233dce1fcf623ca15a', 'D45106_CORR', 164, '2017-08-22 12:23:07', 'Lionel Giordanengo', 'DIT 17.5.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3030, 4, 'b1cc3763e6955278701824bd98cdc6bd2ff2d873', 'D45106_CORR', 164, '2017-07-07 09:05:53', 'Lionel Giordanengo', 'Merge branch \'master\' into 15.1.69 (17.2.80g) D44767\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3031, 4, '70605f304d69b4c77b3db49267e416999c55ca31', 'D45106_CORR', 0, '2017-10-03 16:54:06', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.3.20_002\nD45110 : probleme de note technique\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3032, 4, 'c9765c2128eb108616086a95e1cc383084147130', 'D45106_CORR', 164, '2017-11-22 15:06:24', 'Lionel Giordanengo', 'maj_base 003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3033, 4, '238968a730e3dfa3edae3b2887b5ea5c3abbd45b', 'D45106_CORR', 164, '2017-05-10 11:31:11', 'Lionel Giordanengo', 'Merge branch \'17.2.4\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3034, 4, '6d3f745fd4f595241cb3b3e68b64b70fbb15b1e0', 'D45106_CORR', 164, '2017-06-01 10:16:06', 'Lionel Giordanengo', 'Merge branch \'17.2.8\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3035, 4, '39b51a141b27b9d54ecca3d7096722099478168b', 'D45106_CORR', 164, '2017-05-24 10:32:45', 'Lionel Giordanengo', 'Livraison 17.2.10_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3036, 4, '51621a71e27b0f5fb46a749b153ccfd66e7b4b4c', 'D45106_CORR', 164, '2017-05-12 10:35:43', 'Lionel Giordanengo', '[D44287] Deplacement de TAIGA dans TAIGA_PALL pour livraison\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3037, 4, 'f4cad4ecc0b18f2a00a66171b34f9c473f3e5ba8', 'D45106_CORR', 157, '2017-08-01 15:03:42', 'Vincent GENTIL', '[D44863] Ajout mise a jour de la dlp si montant a la hausse et modif echeance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3038, 4, 'd8bacc761ca235280e290b9888c54e07ac1933a8', 'D45106_CORR', 72, '2017-08-01 09:54:55', 'Alain Tassotti', '[D44525] Ajout du DEX du traitement\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3039, 4, 'fd2f488315da8efae00159ce2cf287f990c3ce46', 'D45106_CORR', 199, '2017-12-18 11:23:22', 'Bertrand FONTANEL', '[D45120] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3040, 4, '47f6744984861fde1a79408a782cc659260652b0', 'D45106_CORR', 0, '2017-11-10 16:47:56', 'Giordanengo Lionel [Caisse Nationale]', 'integ modif pour appel perl depuis VM_RSI\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3041, 4, '6474874e84d5bd09ca58dc9a8d136b05b5c8eaf9', 'D45106_CORR', 164, '2017-08-22 12:23:07', 'Lionel Giordanengo', 'integration 17.5.0 001 maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3042, 4, '3ec4eb4a62b247db2cfb52076ad1a38258adf8b0', 'D45106_CORR', 164, '2017-06-27 14:24:13', 'Lionel Giordanengo', 'Livraison 15.1.69_008\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3043, 4, '3b931b506e25c3038d0e231eec467bb5af4ab3fb', 'D45106_CORR', 0, '2017-10-03 11:45:57', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.3.20_001\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3044, 4, 'dbe375416babd8b7725d07fd2625908131834db4', 'D45106_CORR', 164, '2017-11-22 15:06:23', 'Lionel Giordanengo', '[D45338] Revert \"[D45032] (D44788) correction recherche des calculs anciens suite a la fusion PL (squash2)\"\n\nThis reverts commit 2030122187d771c5f249237788a964e477c3b9ee.\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3045, 4, '59c13172392412b6801431380727bbbe9bf6f728', 'D45106_CORR', 1, '2017-05-09 17:48:47', 'Louis BAYLE', 'InternalTools: git pre-commit hook UTF-8\n\nverifie que les fichiers commites ne sont pas en UTF-8\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3046, 4, 'b2509944ae8b8081b02fb6ccda404dd91aab3baa', 'D45106_CORR', 164, '2017-05-05 09:55:37', 'Lionel Giordanengo', 'Merge branch \'17.1.4\' into 17.2.4 (D44559)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3047, 4, '17bda1fda90c07f6a598a49b11f37114d5135a0b', 'D45106_CORR', 1, '2017-05-24 14:52:56', 'Louis BAYLE', 'Ajout ijmass11-0.sh\n\nrecupere de :\n5_dep\\Interfaces\\Echanges_OC\\aix\\sh\\ijmass11-0.sh\n\nnotre script post_ubdd.sh fait un rm -rf $TAIGA/sh/src/*\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3048, 4, '9cb0e36a789c7c7571d018cd3c3ba32d8c8f0e09', 'D45106_CORR', 164, '2017-05-29 10:11:45', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.2.8 (D44626)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3049, 4, '9fc79e1e9bc5b334ddb3def9e9c74fee36bf4718', 'D45106_CORR', 164, '2017-05-24 10:23:35', 'Lionel Giordanengo', 'integration 17.2.10 renommage maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3050, 4, '7aae053d99a6b75a590c33af2bb0cebf8c96c36f', 'D45106_CORR', 157, '2017-05-12 10:35:37', 'Vincent GENTIL', '[D44287] RDD correction per_apl_id\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3051, 4, 'd72f4ca08852d546123b34f68f79a5df9868f50e', 'D45106_CORR', 157, '2017-08-01 15:03:42', 'Vincent GENTIL', '[D44822] Correction changement modalites de paiement et generation spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3052, 4, '0690e3d96040bd2c765c2f68def1da1ff63644ba', 'D45106_CORR', 169, '2017-08-01 09:54:44', 'Fabien TROPIS', '[D44525] RDD Caisse vieillesse (squash 4)\n\n[D44525] modif avant test\n\n[D44525] correction emplacement fichiers\n\n[D44525] Traitement n est pas en erreur si CAVI_ID inconnu\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3053, 4, 'ca7f4e3c146d11159528e82a5c06f1c918cd12d1', 'D45106_CORR', 199, '2017-12-18 11:23:02', 'Bertrand FONTANEL', '[D45120] correction 27R pour prendre en compte l\'imma_id\n\n# Conflicts:\n#	1_titulaire/Affiliation/Immatriculation/oracle/schema/CMR_xxx/packages/pck_flux_lib.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3054, 4, '3a35cd65b5e84fffa895948ad22346b08ce5d8b8', 'D45106_CORR', 0, '2017-11-10 16:47:29', 'Giordanengo Lionel [Caisse Nationale]', 'internaltools ajout des pco tux non presnt dans 1_titulaire et modification du script pour effacer les vieux inutiles\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3055, 4, 'b9032bcf8b2adbf7f1201b11b151c397ea7e73de', 'D45106_CORR', 72, '2017-08-22 12:23:07', 'Alain Tassotti', '[D44654]  Ajout valeur 7 indice certification pour flux 11R/S et modif\nTP\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3056, 4, '23b0ca8a1cf7991bbaaa50e0be4feb20e8fcb449', 'D45106_CORR', 157, '2017-06-26 11:04:26', 'Vincent GENTIL', '[D44717]  pal_maj_siren - sqlloader pas d arret si pb de donnees\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3057, 4, '5accd92027b40f9a1a27d2d80a7fcb01f8581fb2', 'D45106_CORR', 72, '2017-10-03 10:26:27', 'Alain Tassotti', '[D44836] Modification TP pour courrier multi caisse (squash 8)\n\n[D44836] Suppression MESSAGE de DEBUG\n\nRevert \"[D44893]  Mise à jour ordre des paramètres;  [D44894]  Modification num CMR pour autoriser 1 ou 2 caractères dans le fichier d\'entrée\"\n\nThis reverts commit 241943afe238df62cbed2674c782af2390a551fc.\n\n[D44836] minor changes\n\n[D44836]  Modification de la partie  Suivi  ( Editer et Imprimer)  des courriers\n\n[D44836]  Corrections suite à TU\n\n[D44836] Modification path du lanceur arcad suite à mail Bestagneo\n\n[D44836] MAJ specs de reference\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3058, 4, 'a9bd71d5ee04566a67c97623e39345be094e7ec8', 'D45106_CORR', 164, '2017-11-22 15:06:23', 'Lionel Giordanengo', '[D45338] Revert \"[D44574] Correction gestion des assiettes sociales CLP\"\n\nThis reverts commit 68ad902059b6427cbc2a1f891c39dc8e8da802d4.\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3059, 4, 'c0f73efb9f1d287aad14f9fcf563594a1b012c4c', 'D45106_CORR', 72, '2017-05-09 15:18:02', 'Alain Tassotti', ' [DOC]  Mise en conformite SFD_DCR_Transfert_revenus_PL   avec la version DSI  (V4 Maj13) qui n\'avait pas été poussée dans la branche DSI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3060, 4, '832d6d43c10ae39db6d194b9b978c72caacaa3f9', 'D45106_CORR', 164, '2017-05-02 16:26:01', 'Lionel Giordanengo', 'Livraison 17.2.4_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3061, 4, '0f6fa8f0538f1730659bf18e989ac7f91995750a', 'D45106_CORR', 164, '2017-04-28 11:29:24', 'Lionel Giordanengo', 'Livraison 17.1.4_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3062, 4, '8b321e8666fe423b03af8e34b006a08d7fa1e297', 'D45106_CORR', 164, '2017-05-24 10:04:55', 'Lionel Giordanengo', 'Merge branch \'17.2.5\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3063, 4, 'b4a360f46af44f94899dcf490283c7553f2be263', 'D45106_CORR', 164, '2017-05-22 10:59:00', 'Lionel Giordanengo', 'Livraison 17.2.8_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3064, 4, '414a1197156d5354d1211cf3890ce2c197f36d2d', 'D45106_CORR', 199, '2017-05-24 10:18:17', 'Bertrand FONTANEL', '[D44621] bug corrigé\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3065, 4, '6bf968680a30da65a05132c9e5c7203b6e3bde5f', 'D45106_CORR', 157, '2017-08-01 15:03:41', 'Vincent GENTIL', '[D44815] Prise en compte RND 3en1 uniquement pour appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3066, 4, 'f7706d6dec481477d3228a4eabd90c520010e87b', 'D45106_CORR', 199, '2017-12-18 11:17:54', 'Bertrand FONTANEL', '[D45107] Correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3067, 4, '53a5630f18f81bb515748820b08c9db7a0052ac7', 'D45106_CORR', 1, '2017-11-09 14:14:52', 'Louis BAYLE', 'tools solaris : chgt du path pour les fic SAGA\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3068, 4, 'e8053d766b3a3d5509146e46f76c446dc93a443f', 'D45106_CORR', 147, '2017-08-22 12:23:06', 'michel.siacchitano@atos.net', '[D43975]  Evolution traitement Décertification NIR2NIP commit intermediaire avant TU (squash 2)\n\n[D43975]  raz de l\'indicateur de certification en plus des 3 autres champs traites a ce jours\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3069, 4, 'e517fbd1c49129e35044a24f9b1f2e4760d97f26', 'D45106_CORR', 164, '2017-06-20 10:40:30', 'Lionel Giordanengo', 'Livraison 15.1.69_007\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3070, 4, '06c0b31465b4c6fb2d5a8dd3b0b534ef0545c5ff', 'D45106_CORR', 164, '2017-11-22 15:04:08', 'Lionel Giordanengo', 'Merge branch \'17.4.0\' into 17.5.50 (D45093)\nRAF MERGE DE LA DOC ../../Docs/Reference/3B11 - Doc fonctionnelles/3B111 - DCR Cotisation Echeancier/3B1111 - Declaration/SFD_Reception_FC30A_Taiga.doc\n17.4.0 et 17.5.50\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3071, 4, '89b7515582ef5e5430f9f8d072f7e2e7ce2bbfcd', 'D45106_CORR', 164, '2017-05-05 16:09:53', 'Lionel Giordanengo', 'Merge branch \'17.1.5\' into 17.2.3\nmerge de rattrage du report du 20/04/2017\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3072, 4, 'cea5f81569da9a478fa61cc456cd73c433aaf0f8', 'D45106_CORR', 199, '2017-05-02 16:26:01', 'Bertrand FONTANEL', '[D44527] correction FC15 (squash 2)\n\n[D44527] correction FC15\n\n[D44527] correction FC15 RG_FC15R_005\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3073, 4, '8235604d83a0b0a0a21098cb53a2a5c3df7d210f', 'D45106_CORR', 164, '2017-04-28 11:28:50', 'Lionel Giordanengo', '[D44539] Rcommit bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3074, 4, '7bd1e790f33e15d9ecf5872b8a7e713ba2aa475c', 'D45106_CORR', 72, '2017-05-16 10:38:34', 'Alain Tassotti', 'correction droits pour Olga\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3075, 4, '3f8eaa2d4c7cc7a2813913351730b9c2c1336212', 'D45106_CORR', 164, '2017-05-11 14:23:54', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.2.5 (D44573)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3076, 4, '9336ed652cae152f64d2a0aaf1dd40d62ba4036f', 'D45106_CORR', 164, '2017-05-22 10:52:26', 'Lionel Giordanengo', 'integ : renommage maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3077, 4, 'd24c0fc53bbf5e4d58f29856539ff78e57e2cd39', 'D45106_CORR', 157, '2017-08-01 14:27:16', 'Vincent GENTIL', '[D44861] Correction calcul exoneration reduction du taux de cotisation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3078, 4, '2e29e49be5b90e854cdf3db6b206f7328d7aef33', 'D45106_CORR', 199, '2017-12-18 11:17:48', 'Bertrand FONTANEL', '[D45107] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3079, 4, '158258b4d7d38e12ed19109fd65dbd4d5cb6ec1c', 'D45106_CORR', 164, '2017-11-07 14:30:03', 'Lionel Giordanengo', 'integTools pour VM rsi ET VM Docker\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3080, 4, '4975fc0aa067e23fe2a203f9c6ade6a4210887c8', 'D45106_CORR', 116, '2017-08-22 12:23:06', 'Arnaud Trousselard', '[D42045] - Prise en compte du FLAG ANNUL en reprise d\'activité (squash 2)\n\n[D42045] - Ajout commentaires et maj_base\n', '', '', '', 'arnaud.trousselard@atos.net', '', '', 0),
(3081, 4, '59e2f7ce2945a4ad982ce850cee027929cabe63f', 'D45106_CORR', 157, '2017-06-20 07:52:50', 'Vincent GENTIL', '[D44709]  pal_maj_siren - correction chargement de la table w01_fiab_siren_sqlloader\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3082, 4, '5609b97e6fb5981ba6e12a9bcbbaa2a03622ff49', 'D45106_CORR', 164, '2017-10-27 15:22:45', 'Lionel Giordanengo', 'changement du.cbl en .CBL car refusé à la livraison dans uloadrules ...\n\nPour pas tout refaire j\'ai renomme dans le SAS le fichier car checksum ne change pas\nmais là je regularise pour plus tard\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3083, 4, 'dd74951a1a8ecd3042c2d69e15bbefa6364ac722', 'D45106_CORR', 1, '2017-11-09 09:13:34', 'Louis BAYLE', 'Livraison 17.4.0_010\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3084, 4, '814cea6df01e87109d1118382b44636d6834c2fb', 'D45106_CORR', 72, '2017-05-05 10:11:14', 'Alain Tassotti', '  Internal Tools Outil Volumetrie  : suppression caisse 053\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3085, 4, 'a9c7f251e2c7f393648fe390166d5cfc0e494c8f', 'D45106_CORR', 1, '2017-04-18 15:36:36', 'Louis BAYLE', 'Merge branch \'master\' (17.1.3) into 17.1.5\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3086, 4, '4eabb33635242d77142d2abfb4385d1de4258931', 'D45106_CORR', 164, '2017-05-02 16:19:46', 'Lionel Giordanengo', 'internaltools : ajustement de la liste des defects dans $FILE_LIST_DEFECT\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3087, 4, 'a5d69aead30e079967d3c936e8dbf73d0adafc92', 'D45106_CORR', 164, '2017-04-28 11:09:50', 'Lionel Giordanengo', 'Merge branch \'17.1.51\' (17.2.3) into 17.1.4\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3088, 4, 'f48e4365810194f54d5c3342f4e029a5aa9251d9', 'D45106_CORR', 1, '2017-04-18 15:38:06', 'Louis BAYLE', 'Merge branch \'master\' (17.1.3) into 17.2.5\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3089, 4, 'ae4f77b83eeb1ad07285adedc2ee298fdf5d01f2', 'D45106_CORR', 199, '2017-05-22 10:47:30', 'Bertrand FONTANEL', '[D44580] changement exists en 1= (select distinct 1\n\n[D44580] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3090, 4, 'e5a299839d94a43b046aa17dd37caf2f11c08f24', 'D45106_CORR', 157, '2017-08-01 14:26:58', 'Vincent GENTIL', '[D44860] Correction EDIBILAN\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3091, 4, 'b3b4b69c9f92ee5b495b61303be2f93ee085b52a', 'D45106_CORR', 199, '2017-12-18 11:17:42', 'Bertrand FONTANEL', '[D45107] Correction flag_annul AYD 27R\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3092, 4, '7e29be7205bd3f45c9306ea9474f69944739a6a4', 'D45106_CORR', 1, '2017-11-07 00:22:00', 'Louis BAYLE', 'InternalTools: putenv.sh - changement IPs dans DMZ (pour linux)\n\nInternalTools: putenv.sh (pour linux)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3093, 4, 'e227764466ba3071781815b352ed823cadd8c7a9', 'D45106_CORR', 1, '2017-06-15 17:46:06', 'Louis BAYLE', 'Merge branch \'master\' (17.2.10) into 17.2.80\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3094, 4, '5bcdf495b0018445fec73ed8ceae34c822cafa64', 'D45106_CORR', 164, '2017-10-27 15:06:46', 'Lionel Giordanengo', 'Livraison 17.5.50_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3095, 4, 'd12a2563d0478daed8a06069ac4377aaa00bec3b', 'D45106_CORR', 157, '2017-11-06 15:17:02', 'Vincent GENTIL', '[D45240] Décommissionnement 2018 - Correction selection calculs en double pour un meme exercice\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3096, 4, 'd6414aa7e3b4f2794a3a365b95b2720de1d02ee6', 'D45106_CORR', 164, '2017-05-04 13:51:38', 'Lionel Giordanengo', 'Merge branch \'17.1.51\' (17.2.3G) into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3097, 4, 'bd59f8c725d627af5ed05734628b7066d540c880', 'D45106_CORR', 164, '2017-04-04 09:59:18', 'Lionel Giordanengo', 'Livraison 17.1.5_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3098, 4, '9a0c72d7e48390a8412f5e92a6b81dc75e117a78', 'D45106_CORR', 164, '2017-04-13 09:52:56', 'Lionel Giordanengo', 'Merge branch \'TAIGA_PALL_1.7.2\' (1.7.22g) into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3099, 4, '2837247104b0ed764fa02722968990d18dbe94e0', 'D45106_CORR', 164, '2017-05-02 15:51:27', 'Lionel Giordanengo', 'internalTools : correction post_tuxedo_exec\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3100, 4, '2ca0070d9dce492143af9afd57e642722e52b27e', 'D45106_CORR', 164, '2017-04-11 10:25:58', 'Lionel Giordanengo', 'Livraison 17.1.4_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3101, 4, '6642827ff12286771183c84d858a65ca6fa2c0a6', 'D45106_CORR', 1, '2017-04-18 15:10:40', 'Louis BAYLE', 'Livraison 17.2.5_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3102, 4, 'd3848ed4b7440570cfeefdb81b80c683befd3ee0', 'D45106_CORR', 157, '2017-08-01 14:10:28', 'Vincent GENTIL', '[D44823] Correction non selection des assures polyactifs agricoles\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3103, 4, 'acdf3702b3269e7e697e5bb0793bc6407100ec29', 'D45106_CORR', 168, '2017-12-18 11:17:32', 'Vincent-Pierre LYS', '[D45106] côté sql et nsdk\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(3104, 4, '4078a60549854f9039a35cfb99e32eae466ea3d5', 'D45106_CORR', 164, '2017-10-30 10:07:10', 'Lionel Giordanengo', 'Merge branch \'17.3.20\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3105, 4, '516ac31c15d386b2f5b55a8f1ebe97c32f10820f', 'D45106_CORR', 164, '2017-06-02 11:27:20', 'Lionel Giordanengo', 'Livraison 15.1.69_006\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3106, 4, '4a61c35200ac75f576789e3b89a91842edb7bb8d', 'D45106_CORR', 164, '2017-10-27 15:01:11', 'Lionel Giordanengo', '[D45226] correction maj base errone\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3107, 4, '524fd4a98208e018cd89b191b078fe1f1c4a553e', 'D45106_CORR', 1, '2017-10-23 10:20:17', 'Louis BAYLE', 'Livraison 17.4.0_009\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3108, 4, '5494ee32db3efa1c9eff082063d616bf092edba9', 'D45106_CORR', 164, '2017-04-04 09:46:46', 'Lionel Giordanengo', 'integration : maj_base 17.1.5_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3109, 4, '15070a1a8b9f35bc8530d860bde610557e5d6f8e', 'D45106_CORR', 1, '2017-04-13 09:40:37', 'Louis BAYLE', 'InternalTools: FIX bq.sh (clean REP_FIC)\n\nsi des Ctrl+M dans le fichier DQI, aucun fichier n\'est conservé !\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3110, 4, '77afb99f7c4f52ed64d014eb5caf430a318d5044', 'D45106_CORR', 1, '2017-04-28 16:25:13', 'Louis BAYLE', 'WARN IMPORT Dimensions 17.2.0\n\nremise en conformité Dimensions/Git\n\nil y a aussi des fichiers supprimés dans Git et encore présents\ndans Dimensions:\n1_titulaire/Cotisation/Cotisation/aix/sh/cjkntf23.sh\n1_titulaire/Cotisation/Cotisation/aix/sh/cjlsta15.sh\n1_titulaire/Cotisation/Cotisation/aix/sh/cjlsta16.sh\n1_titulaire/Cotisation/Cotisation/aix/sh/deblocage.sh\n1_titulaire/Utilitaires/Outils/nsdk/sources/_uls_ari/_aripro1.ncl\n1_titulaire/Affiliation/EDI-CFE/delta/communs/projects/immatu/IRZWCF01\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3111, 4, '7c30579b93cc498791ef84ad21dfe1c7f7b11738', 'D45106_CORR', 164, '2017-04-11 10:19:13', 'Lionel Giordanengo', 'integration 17.1.4_001 : maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3112, 4, '00cec9939c5dd89f531d9ea5326493b6bc1775c5', 'D45106_CORR', 199, '2017-04-18 14:23:57', 'Bertrand FONTANEL', '[D44392] ajout spéc emission (squash 7)\n[D44392] maj spec\n[D44392] Mise à jour spéc\n[D44392] Remplacement civilité Mademoiselle par Madame\n[D44392] DSI-2016 Remplacement civilité Mademoiselle par Madame\n[D44392] DSI-2016 Remplacement civilité Mademoiselle par Madame\n[D44392] correction du decode\n\n# Conflicts:\n#	1_titulaire/Declaration_Revenus/Campagne_DCR/oracle/schema/CMR_xxx/packages/pck_cqpenv02.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3113, 4, '9f85c5b8b010f87cc046c8a1015c4253929a2997', 'D45106_CORR', 157, '2017-08-01 14:08:59', 'Vincent GENTIL', '[D44819] Verification statut de validation lors de la selection des radies re immatricules\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3114, 4, '860e3d6f8555e08b3efaa23285e4aa0e522d52fd', 'D45106_CORR', 168, '2017-12-18 11:17:21', 'Vincent-Pierre LYS', '[D45106] Chaine de transmission delta a tester\n', '', '', '', 'vincent-pierre2.lys@atos.net', '', '', 0),
(3115, 4, 'd86997833289207f83193ca9899364747a246950', 'D45106_CORR', 1, '2017-10-26 10:47:33', 'Louis BAYLE', 'InternalTools: FIX desc_defects_ALM.sh (pour linux)\n\n    FIX: lignes vides dans le fichier\n    FIX: gestion des erreurs oracle\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3116, 4, 'd9dceb683c931bc64bf80179dc4acfa032a279e3', 'D45106_CORR', 1, '2017-06-02 11:03:03', 'Louis BAYLE', '[D44653] pal_maj_siren_bil_xxx.txt -> pal_maj_siren_bilxxx.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3117, 4, 'df8f183d405e10a0788a374ac72ba36b37e9bdea', 'D45106_CORR', 164, '2017-10-27 14:56:12', 'Lionel Giordanengo', '[D45184] Passe Plat p.mangin : exoneration 70\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3118, 4, '6df04b16a025f298f1fe7dce8ed6d5e0d5378b61', 'D45106_CORR', 1, '2017-10-23 09:31:05', 'Louis BAYLE', 'Commit bidon pour RF sur ces trois fichiers\n\nle RF de la _008 n\'a pas été fait dans dimensions, faut le refaire\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3119, 4, '205b1fa11a000df4eff8209355d3ce335c135b8c', 'D45106_CORR', 246, '2017-04-04 09:28:51', 'Olga TOINON', '[D44378] Correction du package afin de récupérer la dernière immatriculation d\'un PL radié et son adresse entreprise associé à cette immatriculation (WARN merge)\n\nWARNING: le code a ete entierrement remodelé par BFL lors du merge !!\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_extract_tram_pl.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3120, 4, '0e5f7305e06537e0d847d36c913710f78fccc122', 'D45106_CORR', 164, '2017-04-11 09:36:05', 'Lionel Giordanengo', 'Merge branch \'17.1.3\' into master\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3121, 4, '68d5b4653b8b15a19670fdc87ae6894fa8a467b3', 'D45106_CORR', 1, '2017-04-28 11:59:15', 'Louis BAYLE', 'Merge branch \'17.2.0\' into master\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3122, 4, 'a23147263404253ff0b1cc4352783e6fd32bc5c6', 'D45106_CORR', 157, '2017-04-11 10:17:13', 'Vincent GENTIL', '[D44427] LFSS2017: suppression periode exoneration taux degressivite\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3123, 4, 'b3369da22551b2663c92255eb613420e73d77b9f', 'D45106_CORR', 164, '2017-04-06 16:50:34', 'Lionel Giordanengo', 'Livraison 17.2.5_002\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3124, 4, '04bc442b09bb2bad33015355f9634c03d55d3ec5', 'D45106_CORR', 157, '2017-07-07 15:08:30', 'Vincent GENTIL', '[D44755] Prise en compte des specificites appel TO pour revenu annualise\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3125, 4, '7abe1ccc2aa388b6111bc82b82eacf28f457e020', 'D45106_CORR', 74, '2017-12-18 11:17:04', 'Isabelle Finette', '[D45105] : changement du paramètre lors de l\'ouverture de la fenêtre suite à bascule en assuré gratuit\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3126, 4, '44a726e2049755e754ac3c08132a0d211b300628', 'D45106_CORR', 72, '2017-10-25 15:42:21', 'Alain Tassotti', '[Internal Tools] MAJ suite à changement de version HP ALM\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3127, 4, '689812fae969bdbc6be0cd5f14e24e24f8eefdac', 'D45106_CORR', 164, '2017-05-16 11:58:57', 'Lionel Giordanengo', 'Livraison 15.1.69_005 (17.2.80_001 glissement)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3128, 4, '1f50cfabfdd4d69a9488e8625b6c4cba96e6d586', 'D45106_CORR', 1, '2017-10-24 16:19:56', 'Louis BAYLE', 'Livraison 17.5.50_001\n\nmajbase 17.5.50\n\n+ FIX doc name\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3129, 4, '4a8d1e56e11252bd13ee2408fe8489555a053587', 'D45106_CORR', 164, '2017-10-17 14:26:15', 'Lionel Giordanengo', 'Livraison 17.4.0_008\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3130, 4, '7fdb1c0673cac779d3cbbaf98fd9fe5023c6f2c2', 'D45106_CORR', 246, '2017-04-04 09:28:49', 'Olga TOINON', '[D44377] Correction du numéro riba pour ceux qui ne sont pas certifié (squash 3)\n\n[D44377] Correction en rapport avec l\'entête des fichiers csv découpés\n\n[D44377] Ajout du cartouche et des tag dans le script cjcrapp09.sh\n\nWARN conflit:\nset num_riba = (select replace(SUBSTR ( riba.riba_cmr || riba.riba_sep || riba.riba_datj || riba.riba_r || riba.riba_num, 1),\';\',\',\') -- D44372\nset num_riba = (select DECODE (riba_cod_certif,\'1\',SUBSTR ( riba.riba_cmr || riba.riba_sep || riba.riba_datj || riba.riba_r || riba.riba_num, 1),null) --D44377\n\n\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_extract_tram_pl.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3131, 4, '12570dd38daa497818e2f1e1f962f6259e8ac257', 'D45106_CORR', 1, '2017-04-07 13:39:41', 'Louis BAYLE', 'InternalTools: ALM_to_CodevTT.xls (ANVCTX)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3132, 4, '47a223939d65f28d8cb15b63c7c958068b530ad4', 'D45106_CORR', 164, '2017-04-07 10:26:53', 'Lionel Giordanengo', 'Livraison 17.1.3_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3133, 4, '8bef0ced5cf33fd8b773c462eee2947fbc7eb5bf', 'D45106_CORR', 157, '2017-04-28 11:29:39', 'Vincent GENTIL', 'Mise a jour documentation de reference\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3134, 4, '441200483b9d46c61b869ccbc59542e660c406fe', 'D45106_CORR', 164, '2017-04-12 14:33:58', 'Lionel Giordanengo', 'Livraison 17.2.0_008\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3135, 4, 'bda5ad5e181cc09c4bb69fb360e0e5988cd5da96', 'D45106_CORR', 164, '2017-04-06 16:05:45', 'Lionel Giordanengo', '[D44463] commit bidon pour RF\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3136, 4, '8f2a248abcef871f3f8ab2e956d9577eca0d0a78', 'D45106_CORR', 164, '2017-07-04 14:25:53', 'Lionel Giordanengo', 'Livraison 17.3.0_007\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3137, 4, '52970ef8608875103df5aa856181721c72a7de93', 'D45106_CORR', 72, '2017-12-18 11:16:57', 'Alain Tassotti', '[D45105]  Essai de correction à tester\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3138, 4, '27b407cf53cedd63b45c415b1db3caafdf8d3b34', 'D45106_CORR', 1, '2017-10-24 16:19:36', 'Louis BAYLE', 'InternalTools: FIX desc_defects_ALM.sh (pour linux)\n\nFIX: le fichier en entree contient les defects au format Dxxx ou Gxxx\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3139, 4, '3234e238eb201fa00f6a59ce135d990ded153082', 'D45106_CORR', 164, '2017-05-16 11:35:16', 'Lionel Giordanengo', 'integ: changement de l\'encodage  ! NE PAS utiliser UTF8!!!\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3140, 4, '2030122187d771c5f249237788a964e477c3b9ee', 'D45106_CORR', 157, '2017-10-24 16:19:56', 'Vincent GENTIL', '[D45032] (D44788) correction recherche des calculs anciens suite a la fusion PL (squash2)\n[D45032] (D44788) correction pour debloquer dossiers motif spoc31\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3141, 4, '49e15bbcc582db0490e5d41d3a6d598984fac8a4', 'D45106_CORR', 164, '2017-10-17 11:38:25', 'Lionel Giordanengo', 'Commit bidon pour RF sur ces trois fichiers\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3142, 4, '360014af71d965541f2e4e11eb4cd4d4960b807a', 'D45106_CORR', 246, '2017-04-04 09:28:49', 'Olga TOINON', '[D44372] Remplacement des \';\' par des \',\' dans les adresses\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3143, 4, 'd6185a061ef6023fb45f5b0af51d9388359ee2c5', 'D45106_CORR', 169, '2017-04-06 16:39:53', 'Fabien TROPIS', '[D44466] Correction D43830 Ajout clause WHERE pour CHOIX_TRAVAIL\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3144, 4, '18ffd4aabc5596ff4e913690a8a8573bcb11a92e', 'D45106_CORR', 72, '2017-04-28 11:26:37', 'Alain Tassotti', 'Internal Tools  Update Map ( imsgtxtX)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3145, 4, '96e2d9152cb8b5f8cdd3798efb37c38bb25b02a3', 'D45106_CORR', 164, '2017-04-12 14:33:49', 'Lionel Giordanengo', '[D44482] Renumérotation des nomenclatures pour preparer passage en prod\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3146, 4, '30567c8a68325aef1369471dba12047c828a1d5d', 'D45106_CORR', 164, '2017-04-06 15:38:36', 'Lionel Giordanengo', 'Merge branch \'17.1.51\' into 17.2.5 (D44463)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3147, 4, 'ac5a0bb7c621a5f1ab718f0573784f33b9e82d7b', 'D45106_CORR', 157, '2017-07-04 11:59:42', 'Vincent GENTIL', '[D44755] Correction prise en compte des specificites appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3148, 4, 'd23411d995dd83f4715823ce462362df6d8aa1b0', 'D45106_CORR', 164, '2017-12-05 15:49:08', 'Lionel Giordanengo', 'Livraison 18.0.0_023\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(3149, 4, '818c566a0d1abe7b70c891b993d5eed920a281d5', 'D45106_CORR', 1, '2017-10-24 12:05:35', 'Louis BAYLE', 'InternalTools: desc_defects_ALM.sh (pour linux)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3150, 4, '470c06aafe7f1ce4b1c540762b0052df385720a0', 'D45106_CORR', 164, '2017-05-16 10:50:24', 'Lionel Giordanengo', 'integration 15.1.69 (17.2.80g) : maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3151, 4, '9ec40dc17b3e973335081f5453b8be193c5445d0', 'D45106_CORR', 199, '2017-10-24 16:19:55', 'Bertrand FONTANEL', '[D45046] inregration mt_cot = 0 des FC30\n\n[D45046] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3152, 4, 'e85131ef0aee838c2daefc656c9b0da25c4c98a1', 'D45106_CORR', 157, '2017-10-17 11:24:29', 'Vincent GENTIL', '[D451553] Décommissionnement 2018 - MAJ des nomenclatures\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3153, 4, '18f08c9c3ebcef97f54e98d14191d0d7763905ed', 'D45106_CORR', 246, '2017-04-04 09:28:49', 'Olga TOINON', '[D44363] Modification du package afin de récupérer la premère entreprise pour l\'extraction de PL\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3154, 4, '6d8a6b3ef0cc54d39631c574f0c058924065fbff', 'D45106_CORR', 72, '2017-04-26 15:52:40', 'Alain Tassotti', 'InternalTools: update map + post-checkout\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3155, 4, '9172e2d036b264484f32c6c6a978910393138620', 'D45106_CORR', 164, '2017-04-05 16:01:37', 'Lionel Giordanengo', 'Livraison 17.2.0_007\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3156, 4, '064f975ec4d2bd0eaa97b224fcd1f6114c138385', 'D45106_CORR', 164, '2017-04-04 11:34:38', 'Lionel Giordanengo', 'Livraison 17.2.5_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3157, 4, '809bdc03d478e7efcc3f08429d57e1bfe1c322a3', 'D45106_CORR', 164, '2017-07-04 09:56:05', 'Lionel Giordanengo', 'Livraison 17.3.0_006\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3158, 4, '6271e9b3b1458991a0ca97c06a210feceb962807', 'D45106_CORR', 157, '2017-12-05 14:02:33', 'Vincent GENTIL', '[D45354] Correction calcul code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3159, 4, '3a0706bbc16d457ed159932cb0fa5354f520e1a3', 'D45106_CORR', 2, '2017-10-24 12:05:09', 'Louis BAYLE', 'InternalTools: make_env.sh et post_vm_delta.sh (pour linux)\n', '', '', '', 'fr20648@vmtmapsa01.bsfr.bs.fr.myatos.net', '', '', 0),
(3160, 4, 'a516724b8a8d8384a73b9dc1185ae14271175f8f', 'D45106_CORR', 72, '2017-05-16 10:45:08', 'Alain Tassotti', '[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR (squash 12)\n\n[D43339]  Mise en gestion de conf de la version 1.2 du DEX mise à jour par QI  en 03/2016 et remontée via ticket AGIS\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n\n[D44339] Récup. données SIREN absentes de TAIGA à partir de SCR\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3161, 4, '68ad902059b6427cbc2a1f891c39dc8e8da802d4', 'D45106_CORR', 157, '2017-10-24 16:19:55', 'Vincent GENTIL', '[D44574] Correction gestion des assiettes sociales CLP\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3162, 4, '2be98eb7aeec59fa31822295d7dc3258a2c932ea', 'D45106_CORR', 164, '2017-10-17 11:21:28', 'Lionel Giordanengo', 'integ : traitement de la nomenclature NAT_MVT\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3163, 4, '108bcc6fd9956a448f267e92b6a2c57de892a1d8', 'D45106_CORR', 72, '2017-04-26 14:51:36', 'Alain Tassotti', 'InternalTools: update map client32\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3164, 4, '2fb0f834ed5099ac4d9362a71ebf5bdbc2db7dd2', 'D45106_CORR', 164, '2017-04-05 15:56:29', 'Lionel Giordanengo', '[D44451] Modif bidon pour RF + maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3165, 4, '10c919311e8d3ed5e0fa86debacf365d68ee2683', 'D45106_CORR', 164, '2017-04-04 11:29:58', 'Lionel Giordanengo', 'integration maj_base v17.2.5_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3166, 4, '33a79719132dcfbcc27b4f2fdfb54d03e3b2f280', 'D45106_CORR', 157, '2017-07-04 09:37:34', 'Vincent GENTIL', '[D44755] Correction prise en compte des specificites appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3167, 4, '7d13b2ca902e191dfac21101ae43e20eed9b6c2f', 'D45106_CORR', 199, '2017-12-05 10:09:22', 'Bertrand FONTANEL', '[D45200] correction flag_annul\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3168, 4, '0465a8f0706098b12eafd273a688040c4c043a09', 'D45106_CORR', 74, '2017-10-06 12:08:21', 'Isabelle Finette', 'InternalTools: FIX map imsgtxt2.txt, imsgtxt8.txt\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3169, 4, '963f1fb82952aa1c3ea56a69bdfe957ca68927c2', 'D45106_CORR', 164, '2017-05-12 16:48:27', 'Lionel Giordanengo', '[D44532] report du D42581 PAL_FIABILISATION_SIREN_multi.sh : Contrôle des repertoires d\'entrée\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3170, 4, '6a8105aa29bc426e6140923c5dd9c663f722dcb1', 'D45106_CORR', 164, '2017-10-16 10:13:22', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.4.0 (D44966)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3171, 4, '78b77b62d700ea232f77c0792927ddb2324b9b53', 'D45106_CORR', 72, '2017-04-26 10:10:17', 'Alain Tassotti', 'Update Gitignore\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3172, 4, '6fff2597b3d4b00a81475ed5fe717fde9f63c5b2', 'D45106_CORR', 164, '2017-04-05 11:40:05', 'Lionel Giordanengo', '[D44451] Revert \"[D39116] PB AYD après passage non prestataire (squash 2)\"\n\nThis reverts commit 35ffcef6c28e7171616ebc99d278f20776a61f17.\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3173, 4, '82bdec272bef473339f4910ddb78335fa859eea8', 'D45106_CORR', 157, '2017-04-04 11:27:39', 'Vincent GENTIL', '[D44394] Correction code origine de traitement spoc21 spoc22 et spoc34\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3174, 4, 'aab147f452097ee4906c8ee800e032a7d0ec4f63', 'D45106_CORR', 164, '2017-06-30 15:50:21', 'Lionel Giordanengo', 'Livraison 17.3.0_005\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3175, 4, '59d7f6985a11a88959631187e20d148598ab2276', 'D45106_CORR', 1, '2017-12-01 17:05:20', 'Louis BAYLE', 'InternalTools: recup des post_ve_delta.sh de master (pour linux)\n\nmaster cf7fe0fedc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3176, 4, 'd418b71cffb4eb66c969b8742e312b161713a5f0', 'D45106_CORR', 164, '2017-05-11 14:28:56', 'Lionel Giordanengo', 'Merge branch \'master\' into 15.1.69 (D44573)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3177, 4, '7617ebda6a510f509af9b89269ffd43ed0f00d0f', 'D45106_CORR', 1, '2017-10-11 16:14:55', 'Louis BAYLE', 'Livraison 17.4.0_007\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3178, 4, 'a506a4d0f732b4d0dab4626925efe06c1c585034', 'D45106_CORR', 164, '2017-04-24 17:45:48', 'Lionel Giordanengo', 'internaltools correctif post_ubdd.sh\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3179, 4, 'd30d70a9ee077cc31ab26a185cd56703cc4d6337', 'D45106_CORR', 164, '2017-04-05 11:36:01', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.2.0_init (D44451)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3180, 4, '28c16aa6977b06a159f0b741b0dbf8ed817eb1c4', 'D45106_CORR', 164, '2017-06-30 15:40:39', 'Lionel Giordanengo', 'integration 17.3.0 renommage maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3181, 4, '85813a0a909f171ef10d22dbfbe943601a44e1d5', 'D45106_CORR', 199, '2017-12-01 15:08:11', 'Bertrand FONTANEL', '[D45220] correction pour livraison\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3182, 4, 'a0d2dca80b5084d987bdee9212ce90f5df6a380d', 'D45106_CORR', 1, '2017-04-18 15:42:42', 'Louis BAYLE', 'Merge branch \'master\' (17.1.3) into 15.1.69\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3183, 4, 'da94370c1983b44b9d082e7ef941426edea47fd9', 'D45106_CORR', 1, '2017-10-11 16:11:14', 'Louis BAYLE', 'majbase 17.4.0_007\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3184, 4, '61d527be97b25245a25c5f9a5ffa8bd92f963b6b', 'D45106_CORR', 1, '2017-04-24 12:32:54', 'Louis BAYLE', 'InternalTools: putenv.sh add f_diffDates\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3185, 4, '4d1aac091b124329cc947b0409787a118e7bdef1', 'D45106_CORR', 164, '2017-04-05 11:23:53', 'Lionel Giordanengo', 'Merge branch \'17.1.40\' into 17.2.0 (D44451)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3186, 4, '3b5ffe544126ab390a0dffb10b1a5a5e5a64b2b1', 'D45106_CORR', 157, '2017-06-30 15:35:09', 'Vincent GENTIL', '[D44755] Correction prise en compte des specificites appel TO\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3187, 4, '9bd3cf3fee1ada2d9bc6aee546ffd91600b83a87', 'D45106_CORR', 1, '2017-12-01 14:11:48', 'Louis BAYLE', 'FIX compil pck_spoc_affi.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3188, 4, '4cf355b3a943344fd0a5fe96ea3e649052868987', 'D45106_CORR', 157, '2017-10-11 16:08:27', 'Vincent GENTIL', '[D44948] Pour les spocs ne pas tester TO si changement de modalites de paiement ou changement de code regime\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3189, 4, '385ff0b2b6e6e5ba784bd278c61bec0c04aceaa0', 'D45106_CORR', 1, '2017-04-21 16:39:59', 'Louis BAYLE', 'InternalTools: compil_invalid_ora_obj.sh verif du resultat de la compil\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3190, 4, 'fcb63336f7be6b14bd001aa2a0e2b7afb1be7840', 'D45106_CORR', 164, '2017-06-30 15:33:03', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.3.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3191, 4, '5980b17247c0b26d9167fcbaec140795b98176c3', 'D45106_CORR', 1, '2017-12-01 12:34:16', 'Louis BAYLE', 'majbase 18.0.0_023\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3192, 4, 'f83c6c669b2529cc56c7197db359881e611989e6', 'D45106_CORR', 164, '2017-09-06 11:36:23', 'Lionel Giordanengo', 'Livraison 17.4.0_006\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3193, 4, '155e1e747eb3d7bbc3b8fa26c1700e3594942953', 'D45106_CORR', 1, '2017-04-21 15:45:38', 'Louis BAYLE', 'InternalTools: compil_masse_solaris.sh gestion des logs\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3194, 4, 'fb77af1c491127b0a5ce0a5756ba926f4b3d5838', 'D45106_CORR', 164, '2017-06-27 11:25:29', 'Lionel Giordanengo', 'Livraison 17.3.0_004\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3195, 4, '8714e67c27648d1acce1581d42ca46c6e409575e', 'D45106_CORR', 199, '2017-12-01 12:03:21', 'Bertrand FONTANEL', '[D45369] reactivation du cobol KFBMJ20\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3196, 4, '9fc61296beef6f99d8dcb93e33e1902c4607d028', 'D45106_CORR', 164, '2017-09-06 09:40:36', 'Lionel Giordanengo', '[D45008] Passe plat script de simulation d\'appel provisionnel\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3197, 4, '72922f504efa40b5b228ebbf307437fba509ba3e', 'D45106_CORR', 1, '2017-04-21 11:24:19', 'Louis BAYLE', 'InternalTools: post_ubdd.sh executer majbase_cir avant les nomenclatures\n\nEh oui, s\'il y a des création/modif de tables\nelles sont faites dans le majbase_cir. Donc si on\ncharge les nomenclatures avant d\'avoir créé/modifié les\ntables ca peut pas marcher...\n\nOrdre :\nmajbase_cir\n_jnnom06.sh\nmajbase_cmr\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3198, 4, '62978ca44b290b69bb184dcf087302e8d25deff0', 'D45106_CORR', 164, '2017-06-27 11:18:40', 'Lionel Giordanengo', 'integration : renommage maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3199, 4, '64bb28584153cd0a147a7bc725c77fa2d6bd6952', 'D45106_CORR', 199, '2017-12-01 12:02:51', 'Bertrand FONTANEL', '[D45354] spoc 13 :correction code regime sur 2 (squash 4)\n\n[D45354] spoc 13 : code regime sur 2\n\n[D45354] correction code regime sur 2\n\n[D45354] ajout pck_spoc13 dans le maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3200, 4, '9a0a977e5afae80f0bfca51e0bb724ffbc8a02f9', 'D45106_CORR', 1, '2017-08-18 10:31:32', 'Louis BAYLE', 'Livraison 17.4.0_005\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3201, 4, 'bf174fa7f0326e39be5fe149e024e9a17a37e8c4', 'D45106_CORR', 1, '2017-04-20 11:24:16', 'Louis BAYLE', 'InternalTools: git_files_per_defect.sh (CR revue code)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3202, 4, 'c874c74f6f17c7837c66c6a9951cabf60510400e', 'D45106_CORR', 157, '2017-06-26 16:14:05', 'Vincent GENTIL', '[D44736] Correction initialisation calcul avis appel\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3203, 4, '1b027a07ffdf76d72bbe45f81918b474efe04ac2', 'D45106_CORR', 199, '2017-12-01 12:01:23', 'Bertrand FONTANEL', '[D45324] correction spoc 23 (squash 5)\n\n[D45324] optimisations ctrl generes\n\n[D45324] ajout index et maj base\n\n[D45324] ajout index 41 et 42\n\n[D45324] ajout index + mise à jour maj base\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc_affi.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3204, 4, '5a480a27e2627ef4ea62eeb3f8e648b48697a10a', 'D45106_CORR', 246, '2017-08-17 18:13:12', 'Olga TOINON', '[D44922] ajout fenetre 2016 sur saisie revenus\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3205, 4, 'a036b6e7f7a16841acb018dfbef94008a85458e7', 'D45106_CORR', 1, '2017-04-19 17:48:15', 'Louis BAYLE', 'InternalTools: git_files_per_defect.sh (CR revue code)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3206, 4, '9be8cd0c2d34aeeefdef826866d596d0062be289', 'D45106_CORR', 157, '2017-06-26 15:54:28', 'Vincent GENTIL', '[D44737] Correction calcul exoneration reduction du taux de cotisation\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3207, 4, '7f6fdfc0c1fc970fdfd5266261a0b0e7ad2afe68', 'D45106_CORR', 199, '2017-12-01 11:55:57', 'Bertrand FONTANEL', '[D44812] RG_PUMA_MAJOC_009 que les conjoints (squash 2)\n\n[D44812] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3208, 4, 'aefab4af8d8387edd6bb2104209b495eb9a48b6d', 'D45106_CORR', 1, '2017-08-11 16:38:49', 'Louis BAYLE', 'Livraison 17.4.0_004\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3209, 4, '9ed7d7cebb768c7b5c3bb536bf05a80eb551b5cb', 'D45106_CORR', 1, '2017-04-19 11:00:19', 'Louis BAYLE', 'InternalTools: suppression du chaine_quot.sh\n\n--- remplacé par bq.sh ---\nsuppression pour éviter de maintenir 2 shell\net éviter les confusions.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3210, 4, '00caef5efaad0483480884a35b556b9e3827d920', 'D45106_CORR', 164, '2017-06-20 17:01:18', 'Lionel Giordanengo', 'Livraison 17.3.0_003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3211, 4, 'a411fc725a18df0bd8289c9749c0b95ecfa090f0', 'D45106_CORR', 199, '2017-12-01 11:53:21', 'Bertrand FONTANEL', '[D45215] correction reimmatriculation + regimr (squash2)\n\n[D45215] ajout imm_id dans w01_spoc_evt\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3212, 4, '91f011cbd72cf236fcf6bfa550325c3aacb6eb8c', 'D45106_CORR', 1, '2017-08-10 15:38:54', 'Louis BAYLE', '[D44925] passe-plat palliatif\n\nlié au pal_qc_421_provisionnel.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3213, 4, '5a2834c3337ec57740f0a3277c20ff3fe5507faa', 'D45106_CORR', 164, '2017-06-20 16:49:42', 'Lionel Giordanengo', 'integration : renommage maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3214, 4, 'ef20c1e4866e9f5ee2b0ae291b9e3a412c886dee', 'D45106_CORR', 157, '2017-11-30 17:25:12', 'Vincent GENTIL', '[D45354] Correction calcul code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3215, 4, 'ad921a58ed47fcce6faf0f7198967048a3eb9fb9', 'D45106_CORR', 164, '2017-07-28 10:50:18', 'Lionel Giordanengo', 'Livraison 17.4.0_003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3216, 4, 'c04d295badb0e00660c1b3a27f1bc0cd6450fdbb', 'D45106_CORR', 157, '2017-06-20 14:03:54', 'Vincent GENTIL', '[D44710] Cloture assiette annualisee si taxation office\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3217, 4, '2126bdbb0e7908f613773e2e5f5e0e93d9cc235d', 'D45106_CORR', 157, '2017-11-30 17:24:29', 'Vincent GENTIL', '[D45354] Correction calcul code régime SAGA a PUMA\n\nConflicts:\n	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc_affi.sql\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3218, 4, 'b07223ec84acae28f92e027a09e37eb45900938c', 'D45106_CORR', 164, '2017-07-28 10:18:46', 'Lionel Giordanengo', '[D44873] Passe plat pour script maj VAL_REF\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3219, 4, '2c3a39006c7d131019ad1ddc65c06627df635575', 'D45106_CORR', 72, '2017-06-16 09:08:44', 'Alain Tassotti', '[D44693]  Mise à jour du DEX appel de Regul\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3220, 4, '10d4dc39f9c1cbdbd9076c3d7d59c1ead3bbd27b', 'D45106_CORR', 199, '2017-11-30 17:08:10', 'Bertrand FONTANEL', '[D45200] correction spoc57 et spoc45 (squash2b)\n\n[D45200] Ajout maj base\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc_affi_outils.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3221, 4, 'c6035f9122c3bf7218b6568442f5d39698fe30e0', 'D45106_CORR', 164, '2017-07-25 14:56:51', 'Lionel Giordanengo', 'Livraison 17.4.0_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3222, 4, '3a7f834c177605b65d684a1dedbcadd5a62f67e0', 'D45106_CORR', 164, '2017-06-08 15:30:50', 'Lionel Giordanengo', 'Livraison 17.3.0_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3223, 4, 'e56d8363446b8a7942554bd88b7b0c46e511b1c8', 'D45106_CORR', 199, '2017-11-30 16:39:05', 'Bertrand FONTANEL', '[D44868] ajout alerte 2729. TU a faire (squash 3)\n\n[D44868] correction\n\n[D44868] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3224, 4, '1d2501a6f5585e58ac805aa39936b4acb12dd7bb', 'D45106_CORR', 164, '2017-07-25 14:51:48', 'Lionel Giordanengo', 'integration maj_base 17.4.0 002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3225, 4, '8f6ed40de2a2209dff0ca7b4eb508eb0c3788271', 'D45106_CORR', 157, '2017-06-08 11:10:33', 'Vincent GENTIL', '[D44663] Appel TO 2016 - MAJ des nomenclatures\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3226, 4, '10cf67c331d5eac917100201e7dafa050672836e', 'D45106_CORR', 199, '2017-11-30 16:38:57', 'Bertrand FONTANEL', '[D45220] ajout du * en position 34 (squash 3)\n\n[D45220] modif mieux + il faut recompiler KMB0500.pco\n\n[D45220] correction des espaces\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3227, 4, 'ebeb6d0c1be3ebd64ac3bf4e7d0557a9b93866b2', 'D45106_CORR', 157, '2017-07-25 14:48:07', 'Vincent GENTIL', '[D44196] décomissionnement 3en1\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3228, 4, 'f621592c148660c16ed54fb131246c41aed1e79b', 'D45106_CORR', 164, '2017-06-06 14:41:38', 'Lionel Giordanengo', 'Livraison 17.3.0_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3229, 4, '90eb06d35f090a29ebf8df73d5c54957042bed6e', 'D45106_CORR', 199, '2017-11-30 16:38:51', 'Bertrand FONTANEL', '[D45288] spoc 51 modif priorisation (squash 2)\n\n[D45288] correction priorisation ori_trt spoc 51\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3230, 4, '83f3aa606dcec5ec4114314cf48f186935d3dac0', 'D45106_CORR', 164, '2017-07-25 10:38:12', 'Lionel Giordanengo', 'Livraison 17.4.0_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3231, 4, 'b4a1ef9330c4a490fdc4f814ab9ad825e5cec912', 'D45106_CORR', 164, '2017-06-06 14:39:13', 'Lionel Giordanengo', 'integ : creation maj_base 17_3_0_01\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3232, 4, '788b95890f782544ee89506eba79c945237515a3', 'D45106_CORR', 199, '2017-11-30 16:38:31', 'Bertrand FONTANEL', '[D45215] modif ayant droit sur ouvrant droit de l\'evenement provoquant (squash 11b)\n\n[D45215] correction compil pck_spoc51\n\n[D45215] ajustement evt 14\n\n[D45215] revue des partition by\n\n[D45215] Ajout maj base\n\n[D45215] corrections diverses sur l\'imma\n\n[D45215] correction diverses\n\n[D45215] correction recherche imma\n\n[D45215] modif maj_base alter table\n\n[D45215] correction calcul du rang\n\n[D45215] correction des vues avant\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3233, 4, '03d04ae67eb142ccaa658f668cfda3ad7ca37bfd', 'D45106_CORR', 164, '2017-07-25 10:19:21', 'Lionel Giordanengo', '[D44543] on le livre dans un script sql non prod pour tests DQI\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3234, 4, 'd8d2b0c46709e797f06bb607093243861fa11c13', 'D45106_CORR', 72, '2017-06-06 14:39:13', 'Alain Tassotti', '[D44497] Prise en compte des revenus etrangers (squash 4)\n\n[D44497]  Mise à jour Spec de reference SFD_DCR_Transfert_revenus_PL   V4MAJ14\n\n[D44497] Correction Olga\n\n[D44497] Avant test: Prise en compte des revenus étrangers\n\n[D44497] correction longueur du select\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3235, 4, 'a7eebb3c51b906248cbbf9866cf53acdc53a1db7', 'D45106_CORR', 72, '2017-11-27 09:52:40', 'Alain Tassotti', '[DOCS]  Mise à jour Spec de reference suite à reception FDR\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3236, 4, '41b96c87f8f23447371a83697804d0263a02ae01', 'D45106_CORR', 157, '2017-07-25 09:31:50', 'Vincent GENTIL', '[D44196] Mise a jour de la SFD Notification\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3237, 4, '9af760d9f6bc1616346cf12049c53b5c5c9d4e91', 'D45106_CORR', 157, '2017-06-06 14:39:13', 'Vincent GENTIL', '[D44475] Correction calcul échéancier procédures particulières\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3238, 4, '0635266a5a4794c1d0ac52368d0d3dc663c4ec87', 'D45106_CORR', 164, '2017-11-21 11:15:55', 'Lionel Giordanengo', 'Livraison 18.0.0_022\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3239, 4, '3fb3a589412f4d7ad3505e50734f0dfc0921d8e1', 'D45106_CORR', 164, '2017-07-18 17:10:38', 'Lionel Giordanengo', '[D43906] correction sur un commentaire manquant un -\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3240, 4, '6a2c8a4e0768a077f6a7f99da53be129ceabd3c4', 'D45106_CORR', 157, '2017-06-06 14:39:12', 'Vincent GENTIL', '[D44520] correction defect 43597 calcul exonération réduction du taux en dernier\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3241, 4, '163e2096dc3906bcc9e7dbf908f8ceee9488f153', 'D45106_CORR', 164, '2017-11-21 11:04:31', 'Lionel Giordanengo', 'integ : majbase 18.0.0_022\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3242, 4, 'a9a054c3caf31a415d0585109eb6849ad0573266', 'D45106_CORR', 164, '2017-07-18 15:07:08', 'Lionel Giordanengo', 'maj_base 17.4.0_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3243, 4, 'ea3a4a13ef5f7af115c6d4d69336b05ebf65328a', 'D45106_CORR', 157, '2017-06-06 14:39:12', 'Vincent GENTIL', '[D44475] Correction calcul échéancier procédures particulières\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3244, 4, 'eeb3450c6995d1359671b69bbce01158b0a30110', 'D45106_CORR', 164, '2017-11-21 10:55:19', 'Lionel Giordanengo', '[D45092] report 17.3.20 commit bidon pour RF bis (car oublie du RF lors du chargement dans DIM)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3245, 4, 'e82ce3eb07a39431455f725455f76cef7aefaa99', 'D45106_CORR', 157, '2017-07-18 15:05:15', 'Vincent GENTIL', '[D44543] LFSS2017: suppression affichage seuil application\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3246, 4, '749944ea80e19fdf48f80abf287714fad67bc44a', 'D45106_CORR', 157, '2017-06-06 14:39:12', 'Vincent GENTIL', '[D43535] Appel TO taxer les assiettes sociales provisoires annualisées\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3247, 4, 'b4531eef9e8d5645b1648c0f75c38082b4656f51', 'D45106_CORR', 157, '2017-11-20 11:22:18', 'Vincent GENTIL', '[D45180] Adaptation calcul code régime SAGA a PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3248, 4, '4eae561dbe507ae65eed7df1df501987cc98bd4c', 'D45106_CORR', 164, '2017-07-18 15:05:14', 'Lionel Giordanengo', 'DIT 17.4.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3249, 4, '09bf7e02b55fc009e8aae50cf4d63cc5ade1cb1d', 'D45106_CORR', 157, '2017-06-06 14:39:12', 'Vincent GENTIL', '[D43407] Appel TO 2016 : Correction ebilsel ligne en double\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3250, 4, '0f92241357b2f44325b50f2e03be5206f410d97e', 'D45106_CORR', 0, '2017-11-14 13:45:51', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.0.0_021\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3251, 4, '3e593da16f474534137c8f99c926c67ab42e5024', 'D45106_CORR', 157, '2017-07-18 15:05:14', 'Vincent GENTIL', '[D44196] décomissionnement 3en1 (squash 2)\nrenommage du [D43545] décomissionnement 3en1 (2fa612a423ebd) car defect d\'etude et non de dev\n\n[D44196] décomissionnement 3en1\nrenommage du [D43545] décomissionnement 3en1 (2fa612a423ebd) car defect d etude et non de dev\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3252, 4, '555eef7d7a94f53d761b2d35a544782935b3b3f3', 'D45106_CORR', 157, '2017-06-06 14:39:12', 'Vincent GENTIL', '[D43405] Appel TO 2016 : Correction edibilan ajout OC\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3253, 4, 'f64ce4a3f91fd550c7d31927ac4ebbb5b82f1ea9', 'D45106_CORR', 164, '2017-11-14 13:21:53', 'Lionel Giordanengo', '[D45092] report 17.3.20 commit bidon pour RF\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3254, 4, '22713aeeacab41eb802ac990c58d7563f18b517f', 'D45106_CORR', 246, '2017-07-18 14:28:43', 'Olga TOINON', '[D43906] Correction des scripts afin de désactiver la purge et d\'enlever la clé primaire sur l\'id_flux_tech + maj_base associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3255, 4, 'f45fc27c9f06c8246e5ca20e4c89c47ed20ee598', 'D45106_CORR', 157, '2017-06-06 14:39:12', 'Vincent GENTIL', '[D43193]  Appel TO ne pas inclure les radies re immatriculés en année N\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3256, 4, 'a9afb9f6b2f96d668bb887c9ecd130ab89ef4252', 'D45106_CORR', 164, '2017-11-14 13:17:47', 'Lionel Giordanengo', 'integ maj_base 18.0.0_021 ajout d un pck\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3257, 4, '7b243cc0263e8bbdae8cc8032214349e41c01368', 'D45106_CORR', 147, '2017-07-18 14:28:43', 'michel.siacchitano@atos.net', '[D43887] dev Michel Squash 2 :\n\n[D43887] reprise de la doc existante dans le cadre du defect 43887 :Augmenter la taille du champ LISTE_ERREUR\n\n[D43887] Finalisation modif de la partie TP et tests TP\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3258, 4, '10ac08cf6ed91e0ed34dfe0a1f145b1bba873af5', 'D45106_CORR', 246, '2017-11-14 13:17:46', 'Olga TOINON', '[D43796] script pal_qc_43796.sql + pal_qc_43796.sh pour la mise en conformité des dates de fin de période d\'inscription des ayants droits\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3259, 4, '2e414fcc50b1712e47d7e8b50f4a68042798a6ce', 'D45106_CORR', 72, '2017-07-18 14:28:42', 'Alain Tassotti', '[D43887] Modification code partie TP et Delta (squash 2:)\n\n[D43887] Modification code partie TP et Delta\n\n[D43887] augmentation de la taille du champ LISTE_ERREUR de 25 a 50 caracteres\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3260, 4, 'a7fd1b7ad5a5e105bb631bbca0fcacee8a98f295', 'D45106_CORR', 72, '2017-11-14 13:17:46', 'Alain Tassotti', '[SPEC]  Mise à jour Spec de reference dans le cadre du D45180\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3261, 4, '8d264272a32148b6fdd520e3062ad48cc06ffe7a', 'D45106_CORR', 199, '2017-11-14 13:17:45', 'Bertrand FONTANEL', '[D45169] ne pas mettre en attente si pas de modif sur le 61\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3262, 4, '52382cf4bcda0c939d6367c930066ffd589f8fb5', 'D45106_CORR', 72, '2017-11-14 13:17:45', 'Alain Tassotti', '[DOC]  Mise à jour SFD TAIGA PUMA SPOC administratifs dans le cadre du 45180\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3263, 4, '7a5a7f9889cb913e10ce627409882ceb43402c27', 'D45106_CORR', 1, '2017-11-14 13:17:45', 'Louis BAYLE', 'maj_base 18.0.0_021 (45072)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3264, 4, 'e7d2b45ff3ef00d5a059189d6f3a96cc7db470bc', 'D45106_CORR', 199, '2017-11-14 13:17:45', 'Bertrand FONTANEL', '[D45072] correction calcul de l\'age (squash 3)\n\n[D45072] correction trigger TG_IQTBNF01 qui met à jour benf_ma\n\n[D45072] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3265, 4, 'd78705d42b11a3a0a93fd5905bab304c0f8ace87', 'D45106_CORR', 2, '2017-11-14 13:17:45', 'Louis BAYLE', 'cosmetic\n', '', '', '', 'fr20648@vmtmapsa01.bsfr.bs.fr.myatos.net', '', '', 0),
(3266, 4, '939c7df573ef155176c010372b6aac2285bce20c', 'D45106_CORR', 1, '2017-11-14 13:17:45', 'Louis BAYLE', 'maj_base 18.0.0_021\n(18.0.0 Run2 livraison 1)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3267, 4, '972feeffd635e4743e9189787c368fdf33f4655c', 'D45106_CORR', 1, '2017-11-14 13:17:44', 'Louis BAYLE', 'DIT 18.0.0_021 R2\n\nNote: je comprends pas pourquoi Git voit 2 fichiers\nfaudra regler ca sous linux...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3268, 4, '3ae51bc10daa3b954b804311847fcd6f6d6afe06', 'D45106_CORR', 199, '2017-11-14 13:17:44', 'Bertrand FONTANEL', '[D45196] suppression du \"-\" dans la fonction translate\n\n[D45196] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3269, 4, 'df144b4da3130cfcd9e78b4330f04cc74e9e98ae', 'D45106_CORR', 157, '2017-11-14 13:17:44', 'Vincent GENTIL', '[D45169] Spoc 61 correction detection changement adresse (squash 8)\n\n[D45169] suppression modif de VGL\n\n[D45169] modification du package pck_spoc61 pour prendre l\'adresse avant\n\n[D45169] modification du trigger iqtent03 pour journaliser per_adr_ent_id\n\n[D45169] correction \",\"\n\n[D45169] iqtent03: correction appel journalisation_complementaire\n\n[D45169] Correction maj_base\n\n[D45169] correction d\'initialisation oubliée\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3270, 4, '6bf03b44f1a10c32019423e8be03944255a21fc6', 'D45106_CORR', 164, '2017-11-14 13:17:44', 'Lionel Giordanengo', 'integ maj_base 18.0.0_021\n(18.0.0 Run2 livraison 1)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3271, 4, '2897a8a9fa226cec1c4f0f769fa07ed4c9b36b0f', 'D45106_CORR', 72, '2017-11-14 13:17:43', 'Alain Tassotti', '[D45186]  Maj mineure des specs de reference TP\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3272, 4, '9e3ab804d83c0080516abfbd818c4a7569a52547', 'D45106_CORR', 72, '2017-11-14 13:17:42', 'Alain Tassotti', '[D45180] MAJ des specs de reference  V1Maj15\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3273, 4, '755e85afb0b856257e583286d8357a1daf741c33', 'D45106_CORR', 157, '2017-11-14 13:17:42', 'Vincent GENTIL', '[D45173] Spoc 52 correction code commune\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3274, 4, 'f2c0ac98b436530c243c8bc257db97b9660818ec', 'D45106_CORR', 157, '2017-11-14 13:17:42', 'Vincent GENTIL', '[D45165] - Spoc 43 correction gestion date debut groupe professionnel et PNS\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3275, 4, '33ef57498ee429a7412d470e750a1d7c039a0d5b', 'D45106_CORR', 199, '2017-11-14 13:17:41', 'Bertrand FONTANEL', '[D45129] correction spoc 11 + 41 sur date certification\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3276, 4, '3a57c6d80f5db64ee5b4cf0e40fbdd658f1993f7', 'D45106_CORR', 199, '2017-11-14 13:17:41', 'Bertrand FONTANEL', '[D45162] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3277, 4, 'bd1ce1fe2c1400568b5cb483bd720a85ef2ac988', 'D45106_CORR', 199, '2017-11-14 13:17:41', 'Bertrand FONTANEL', '[D45162] correction date de validite de certification\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3278, 4, 'fa2f8b0fa88c5b5ddaf4c1e419aa49697ca77993', 'D45106_CORR', 164, '2017-11-14 13:15:32', 'Lionel Giordanengo', 'Merge branch \'master\' into 18.0.0 (D45092)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3279, 4, 'eca67dfc590612076d97205d62f9631b2ad83c61', 'D45106_CORR', 1, '2017-10-11 18:01:18', 'Louis BAYLE', 'Livraison 18.0.0_020\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3280, 4, '68dc95ed589768e0354c06f0e204ffbc3c842c3a', 'D45106_CORR', 1, '2017-10-11 15:51:13', 'Louis BAYLE', '[D44857] majbase AMABIS\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3281, 4, 'ba15b2d8d40aa6eb19f0c6d3da124a870c849d92', 'D45106_CORR', 72, '2017-10-11 10:55:58', 'Alain Tassotti', '[45063] Mise à jour specs de reference pour prise en compte  FDR + renommage du document  ( suppression de l\'ancien SFD_Bascule_ayants-droit_en_assure_gratuit_-_Bascule_annuelle_AD_majeurs.docx\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3282, 4, 'cf01158bace22b5708f3434b1e6f9004ed429ef4', 'D45106_CORR', 1, '2017-10-10 16:17:53', 'Louis BAYLE', 'Livraison 18.0.0_019\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3283, 4, '1ca929ef954cd06891d63b3765b93b0e6abc2fc1', 'D45106_CORR', 1, '2017-10-10 16:17:53', 'Louis BAYLE', '[45100] FIX dos2unix\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3284, 4, 'de629b675228c49a37d773f34fade517ebfaf593', 'D45106_CORR', 1, '2017-10-10 14:57:54', 'Louis BAYLE', 'Majbase 18.0.0_019\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3285, 4, '0796159d796988766d112045a086056ccfee5757', 'D45106_CORR', 1, '2017-10-09 18:21:57', 'Louis BAYLE', '[D44857] majbase: suppression PARAM_BATCH\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3286, 4, '504bec2bd8dc96abd364ef3b7487b367fa90aae1', 'D45106_CORR', 199, '2017-10-09 09:56:13', 'Bertrand FONTANEL', '[D45058] correction\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3287, 4, '30a0e8829ce6803cdd60deb328c4f2dd38cf3787', 'D45106_CORR', 199, '2017-10-09 09:56:13', 'Bertrand FONTANEL', '[D45058] correction message erreur instance 57\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3288, 4, 'dc12576f2f5beb72f4749e414395a8562943c2b8', 'D45106_CORR', 199, '2017-10-09 09:56:13', 'Bertrand FONTANEL', '[D45074] Correction syntaxe\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3289, 4, 'a74b5fcfea6991c4ae55107cf6d05876c2e96581', 'D45106_CORR', 199, '2017-10-09 09:56:13', 'Bertrand FONTANEL', '[D45056] correction gestion parametre\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3290, 4, '1398c50b874ba7324f3ee9077d233ee2411dfd03', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45055] correction controle repertoire\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3291, 4, 'bb8b07ad279ce08c4df476b7044e5abd219f476e', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45065][D45072] correction merge\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3292, 4, 'ca38b83e367ef7ffcfee1964c937fec43c3ac4b0', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45063] correction ;\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3293, 4, '03971ba6f73a8190cbad3f5e8431b65d2afe7480', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45072] SFD Bascule V2Maj12\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3294, 4, '3404e79404a90374cf55378303365e21acc4b280', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45072] correction règle RG_D42497_017\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3295, 4, '57802e1e665d6d4a76c11bd1c311e3aed5419dd5', 'D45106_CORR', 205, '2017-10-09 09:56:12', 'Lindsay VERDAT', '[D45075] PUMA changement 2e curseur\n', '', '', '', 'lindsay.verdat@atos.net', '', '', 0),
(3296, 4, '453e3a71dfc529b584b6984d3d126650d0c08b1b', 'D45106_CORR', 157, '2017-10-09 09:56:12', 'Vincent GENTIL', '[D45074] Suppression message si pas de fichiers a concatener\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3297, 4, '66305b0d2adafe638be9124febd07b0397120739', 'D45106_CORR', 157, '2017-10-09 09:56:12', 'Vincent GENTIL', '[D45073] Correction test transfert fichier\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3298, 4, '7f133e910dadf57683fa7f5417307dc99b08a4b6', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45067] modif calcul du rang ayd -1\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3299, 4, 'e5a00955d9966869dd24d4d6d70518c42650ea0f', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45065] Correction règle RG_D42497_017\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3300, 4, '60a9926644b40d1fc4649a76a58508e7a8e28541', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45065] correction règle RG_D42497_014\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3301, 4, '74080838da81f668536418f86727769903a7b216', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45063] suppression des instances sur la nationalité + civilité\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3302, 4, '1cbc1c4dc7c2d940dc2aefb5eff4bcb423b6de2e', 'D45106_CORR', 199, '2017-10-09 09:56:12', 'Bertrand FONTANEL', '[D45058] correction instance 57\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3303, 4, '3b22dd351daa7bdb9d766b5f003822877486808f', 'D45106_CORR', 157, '2017-10-09 09:56:11', 'Vincent GENTIL', '[D45056] Correction pal_qc_43795 suppression -x dans les parametres\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3304, 4, '294fb02a8991d7256b93ec93f61865a1fd643bf2', 'D45106_CORR', 157, '2017-10-09 09:56:11', 'Vincent GENTIL', '[D45055] Suppression sortie en erreur si couloirs non traites\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3305, 4, 'a5dd88d61e4019724255e8976218b8b4a7352518', 'D45106_CORR', 199, '2017-10-09 09:56:11', 'Bertrand FONTANEL', '[D45029] Correction recupération drt_prest_id article 45 reemission\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3306, 4, '66e1faccdcfb577a637604cd818c9f74a0466f11', 'D45106_CORR', 72, '2017-10-05 09:16:57', 'Alain Tassotti', '[PUMA]  Ajout de nouvelles specs de reference / màj specs existantes\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3307, 4, '6361b8e5c681ee8a1e0c0cab994d3f2b728345d9', 'D45106_CORR', 72, '2017-10-03 13:44:47', 'Alain Tassotti', '[PUMA ] Mise à jour DEX par DQI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3308, 4, '8f4a6bf965c4e9c72fb78d7c9a264a6fb0a25882', 'D45106_CORR', 72, '2017-10-03 09:16:13', 'Alain Tassotti', '[PUMA]  Mise à jour DEX  BILAN SPOC HEBDO : partie QI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3309, 4, 'dfc8445abc7ab2b708c66f123ce5e487760c6984', 'D45106_CORR', 1, '2017-10-02 11:21:58', 'Louis BAYLE', 'Livraison 18.0.0_018\n\nprep\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3310, 4, 'c999e5982c360870821fbed11c09e2a6c5672e6f', 'D45106_CORR', 1, '2017-10-02 11:21:58', 'Louis BAYLE', 'majbase 18.0.0_18\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3311, 4, '1bdc54da4e16e45cf4349acdd9616b18254cfbef', 'D45106_CORR', 0, '2017-10-02 11:21:58', 'Vincent-Pierre LYS', 'Revert \"[D43955]  point87 suppressions des messages 7290 et 7291\"\n(squash 3)\n\nThis reverts commit a0d076c92c7b2b3bab5513731b5c2c0e2d3ae334.\n\n[D43955] point88\n\n[D43955] point87 suppressions des messages 7290 et 7291\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3312, 4, 'a9103b671f3e596c20939ee2d3bc3b0ec6707cdb', 'D45106_CORR', 0, '2017-10-02 11:21:58', 'Vincent-Pierre LYS', '[D43955]  point87 suppressions des messages 7290 et 7291\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3313, 4, 'aa8d61cca42bc2198ea251ee15469c6ea61c39c9', 'D45106_CORR', 157, '2017-10-02 11:21:57', 'Vincent GENTIL', '[D43955] - correction passage liste Nirs pour traiter tous les cas\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3314, 4, '8943f1d8a9d64af30bd091a2034ee57b306f678d', 'D45106_CORR', 0, '2017-10-02 11:21:57', 'Vincent-Pierre LYS', '[D43955] (squash 12 )point80 Modification du calcul de la date de bascule dans le cadre de passage presta/non presta\n\n[D43955]point81 inclusion de la date de début dans les bornes\n\n[D43955] point79 ajout d\'un critère sur la présence d\'un droit ouvert pour l\'affichage des AD3\n\n[D43955] correction dernier points et ajout du maj_base\n\n[D43955]Point78\n\n[D43955] point 78 après TU\n\n[D43955] ajout du maj base\n\n[D43955] point76\n\n[D43955] point73\n\n[D43955] point82\n\n[D43955]point83 et correction d\'une regressions due au point 60\n\n[D43955] ajout du maj base\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3315, 4, 'a9dc6ddf986fac4a52ad23b8920e61f229f41125', 'D45106_CORR', 74, '2017-10-02 11:21:57', 'Isabelle Finette', '[D43955] Cas 9 Rajout du NVL sur la date de fin\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3316, 4, '6f44587ba2c2d8b68dacb038ed0d8687cabf388d', 'D45106_CORR', 0, '2017-10-02 11:21:56', 'Vincent-Pierre LYS', ' [D43955] maj base\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3317, 4, '1d5d13bb4e4f4f0c69c7a0af164f23d9562353fa', 'D45106_CORR', 0, '2017-10-02 11:21:56', 'Vincent-Pierre LYS', '[D43955] point 71 et 71 bis => creation d\'un curseur pour la maj d\'ADRT\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3318, 4, 'd688cbe1d778daba30a73afdfd198f78944c44f2', 'D45106_CORR', 74, '2017-10-02 11:21:56', 'Isabelle Finette', '[D43955] Cas12 : problème sur le package iqpayd01.sql : le / du fin de package n\'était pas à la ligne\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3319, 4, '256b2c586c36b9b7f5f50d231e3a06f3d42311db', 'D45106_CORR', 74, '2017-10-02 11:21:56', 'Isabelle Finette', '[D43955] D43955_Cas12 : commit stable enchainement de l\'écran ass suite à bascule en gratuit d\'un ayy conjoint\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3320, 4, 'df81a0bfdcc5254b6f065d2c37b1a79c632072e9', 'D45106_CORR', 74, '2017-10-02 11:21:55', 'Isabelle Finette', '[D43955] Cas 12 ==> codage de l\'ouverture de la fenêtre ASS après la bascule après la fermeture du conjoint motif 02\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3321, 4, 'd36e18d5f6a1e3cadd640845d61714544eccc0cf', 'D45106_CORR', 0, '2017-10-02 11:21:44', 'Vincent-Pierre LYS', '[D43955] point71  : maj d\'ADRT (squash 5)\n\n[D43955] point69\n\n[D43955]point 69 et 70 rebanchement au bon niveau\n\n[D43955] point70 ajout du maj base\n\n[D43955] correction du retour sur pt60: annulation de périodes post radiation\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3322, 4, '37efc4e8a622b09bb16aebe345804a739f784f91', 'D45106_CORR', 72, '2017-10-02 11:21:42', 'Alain Tassotti', 'Correction Maj Base\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3323, 4, '23cc77a0bdfee2d8769a9f7170670eb907769d72', 'D45106_CORR', 0, '2017-10-02 11:21:42', 'Vincent-Pierre LYS', '[D43955] point 60 : reactivation de l\'ancien code pour le cas de la modification d\'une radiation\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3324, 4, 'c2044a2718ece277cd3635cf16709e89c7f85af3', 'D45106_CORR', 74, '2017-10-02 11:21:42', 'Isabelle Finette', '[D43955] Correction cas12 - AYD code Lindsay\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3325, 4, 'e0bc4ebf31ef9cc190fcce89da5d4de73f94073a', 'D45106_CORR', 0, '2017-10-02 11:21:42', 'Vincent-Pierre LYS', '[D43955] point 69 modification du curseur pour récupérer tous les AYD\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3326, 4, 'a59451a900ad875ac3fc744a6e2314771a751aa6', 'D45106_CORR', 72, '2017-10-02 11:21:41', 'Alain Tassotti', '[D43955]  Creation Maj Base global pour version 18_0_0_99\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3327, 4, '10102f5d6cc4b50f7bf5d2c1507a292091471d52', 'D45106_CORR', 0, '2017-10-02 11:21:24', 'Vincent-Pierre LYS', '[D43955] point38bis : utilisatation d\'une table temporaire sur CMR_005 (squash 4)\n\n[D43955] point38 coté CMR_XXX\n\n[D43955] majbase  du point 38bis\n\n[D43955] point 38 ajout d\'une modification pour éviter de traiter deux fois un même AYD\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3328, 4, '5b8c7746d50dbfde2a33556c897fe69653725221', 'D45106_CORR', 74, '2017-10-02 11:07:12', 'Isabelle Finette', '[D43955] Cas 6 codage de l\'enchainement des écrans après la bascule d\'un AYD en assuré gratuit ==> ouverture de la fiche en assuré\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3329, 4, 'd2dc33e002d6b80a8ca37fbee4021f940170cb80', 'D45106_CORR', 0, '2017-10-02 11:06:58', 'Vincent-Pierre LYS', '[D43955] correction du point 40 (squash 8)\n\n[D43955] correction du point 48 faisant apparaitre des doublons dans la fenêtre des AD3 non basculés. Cas de radiations sans prolongation  testé\n\n[D43955] point 51 : correction de la maj d\'ADRT\n\n[D43955] ajout commentaire en entête\n\n[D43955] correction point 45 et 57\n\n[D43955] point 21\n\n[D43955]point 56\n\n[D43955]point59\n\n[D43955] point 56 seconde partie.\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3330, 4, 'af8cb09b92d27aa3ecbf66957eeb72cc5d73bc8f', 'D45106_CORR', 1, '2017-10-02 11:06:55', 'Louis BAYLE', '[D43955] correction du point 34 (VPL)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3331, 4, '7d09fd1473b307f8b50c085f8dbc6c950c51f633', 'D45106_CORR', 0, '2017-10-02 11:06:38', 'Vincent-Pierre LYS', '[D43955] Correction du cas 15 (encore à tester) (squash 8)\n\n[D43955] Correction Point 15 : affichage de la fenêtre et formatage des nirs des AD3.\n\n[D43955] Correction du point 36\n\n[D43955] création du maj_base pour la correction du point 36\n\n[D43955] correction des problèmes de compilation\n\n[D43955] point 39 ? a confirmer\n\n[D43955] Correction sur la maj d\'ADRT\n\n[D43955] point 10: suppression de la regle RG/IOKAYD10/09\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3332, 4, 'c3812f329e9f81bbb72eee95a3b2631ccd25f43b', 'D45106_CORR', 1, '2017-09-29 14:56:34', 'Louis BAYLE', 'InternalTools: maj_all_cmr.sh\n\ngestion des erreurs/warnings\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3333, 4, 'c11efe3677d9af04afdd65943a0407fd8b378994', 'D45106_CORR', 164, '2017-09-26 14:20:44', 'Lionel Giordanengo', 'Livraison 18.0.0_016\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3334, 4, '57252cfb5595c80d80bab8b812242e2330bdeb05', 'D45106_CORR', 164, '2017-09-26 14:11:15', 'Lionel Giordanengo', '[D45082] passe plat P. Mangin : Spoc PL traitement des quantieme\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3335, 4, 'dbe4a919a400f881d2d824538b2874dc32c154cc', 'D45106_CORR', 72, '2017-09-13 14:40:22', 'Alain Tassotti', 'Mise à jour Specs de reference PUMA\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3336, 4, '027ab925ebc78e42b36152ec4fd2e990ff41c20a', 'D45106_CORR', 164, '2017-09-12 14:35:50', 'Lionel Giordanengo', 'Livraison 18.0.0_015\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3337, 4, '33460050c3e378df05e6f1adb1457ffe08939dff', 'D45106_CORR', 164, '2017-09-12 14:14:16', 'Lionel Giordanengo', 'integration : trt des maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3338, 4, 'd128f91906ae83ff5782a4db0a5322d7b4963ea3', 'D45106_CORR', 199, '2017-09-12 11:45:49', 'Bertrand FONTANEL', '[D45022] Correction motif de fin de prestation (squash 3)\n\n[D44022] grant sur la table crm017b\n\n[D45022] correction code modif 13\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3339, 4, '93775d925695b8b30dcb2aef024907b3e17cafb0', 'D45106_CORR', 199, '2017-09-12 11:45:48', 'Bertrand FONTANEL', '[D45018] Ajout de TRAILING NULLCOLS dans w01_spoc_reemission.ctl\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3340, 4, 'f3cf94eca370bb07f02c5ffe36f8a97815682633', 'D45106_CORR', 199, '2017-09-12 11:45:35', 'Bertrand FONTANEL', '[D44971] Passage du benf_id de l\'assure dans jnl_modif (squash 2)\n\n[D44971] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3341, 4, '301f327b23a7432e06c2917aa6b4f0b3f7a414e5', 'D45106_CORR', 1, '2017-09-11 15:12:57', 'Louis BAYLE', '[D44944] cjkadm02.sh\n\ndate en paramètre d\'entrée. explication de N.Chipeaux :\n\nActuellement le cjkadm02.sh construit le nom des fichiers\navec la date système.\n\nLe problème qui est présent dans le cas où on exécute le cjkadm03.sh\njuste après les BQ du vendredi ou le lundi suivant c’est que les\nbatch quotidien ne se terminent pas tous le vendredi.\nLa 058 ou 059 doivent se terminer le Samedi entre 00h et 01h ,\nen période de DSI la caisse 054 peut se terminer le samedi …..\nRien ne te garantit que tous les cjkadm02.sh  seront exécutés\nle vendredi.\n\nEn prenant la date système tu auras des mono-caisses datés sur\nvendredi et sûrement du samedi.\n\nSi Automator passe une date au cjkadm02.sh il construira le\nmono-caisse avec celle-ci et cela palie au problème décrit ci-dessus.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3342, 4, '233e314b2eea49c224515a5af302b43429dd583e', 'D45106_CORR', 199, '2017-09-11 09:44:19', 'Bertrand FONTANEL', '[D44944] Correction commentaires + nom fichier trace\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(3343, 4, 'bde0f585685fcf44d060c8746d081ab8d4b1b217', 'D45106_CORR', 199, '2017-09-08 10:20:51', 'Bertrand FONTANEL', 'Integration Bertrand pour creation environnement\n\nCorrection maj base 18.0.0.14\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3344, 4, 'ac55bebb1101149eb9b1bcec59b801e15d548d00', 'D45106_CORR', 199, '2017-09-08 10:20:07', 'Bertrand FONTANEL', '[D44967] correction controle spoc + maj jnl_stat_compl\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3345, 4, '5424d3d2b90b1aa76a2a1b785b2c83a0e61e1bb5', 'D45106_CORR', 1, '2017-09-08 10:20:07', 'Louis BAYLE', '[D44961] erreur sur rattachement_seq.sql\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3346, 4, '7531790a5458ce5bce4382833f02030cffab8b16', 'D45106_CORR', 199, '2017-09-08 10:20:07', 'Bertrand FONTANEL', '[D44904] correction selection AYD 03S\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3347, 4, '44de309ca53c847505925bab68ac0ea69c30bf89', 'D45106_CORR', 1, '2017-09-08 10:20:06', 'Louis BAYLE', '[D44908][D44944] cjkadm03.sh - param date\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3348, 4, '25bb18b5167e4c7c2ef4e06153813684e9d8b746', 'D45106_CORR', 199, '2017-09-08 10:20:06', 'Bertrand FONTANEL', '[D44947] correction priorisation spoc 45 et 61\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3349, 4, '46bf77d5046de3de1dba4d7840c855706b553b0f', 'D45106_CORR', 199, '2017-09-08 10:20:06', 'Bertrand FONTANEL', '[D44838] correction heure de travail dans alertes\n\n# Conflicts:\n#	1_titulaire/Interfaces/Echanges_OC/oracle/schema/CMR_xxx/packages/pck_spoc_affi.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3350, 4, '5ac6bee73ab641ca7bb8ea16a3a0b28557c49862', 'D45106_CORR', 199, '2017-09-08 10:20:06', 'Bertrand FONTANEL', '[D44839] suppression des controle en dur\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3351, 4, 'fe281e4953a1e66e325e393080179e19c5b1b206', 'D45106_CORR', 164, '2017-09-07 17:25:11', 'Lionel Giordanengo', 'Livraison 18.0.0_014\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3352, 4, 'ffa581a948a32ec155eec704f224c7ca3ce28671', 'D45106_CORR', 1, '2017-09-07 16:59:55', 'Louis BAYLE', '[D44974] Longueur de spoc à 144 caractères sur GP94 (P.Mangin)\n\nIMPORTANT Ajouter a la NTI ici:\n\n4. Partie UNIX CIR\nCompilation des batchs	CIOC-SPOC3EN1-TAIGA.cbl\nShells	               spoc-spoc3en1.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3353, 4, '536bcc174f51f9c0d5d4de16ece51529c5ab3e61', 'D45106_CORR', 1, '2017-08-24 17:11:32', 'Louis BAYLE', 'Livraison 18.0.0_013\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3354, 4, '262520db135d861553bb245ce474d0815bcde037', 'D45106_CORR', 246, '2017-08-24 15:58:07', 'Olga TOINON', '[D44030] pal_qc44030_nom_prenom.sql (squash 4)\n\n[D44030] Création script sh et sql pour le pal_qc44030_nom_prenom concernant les noms et prénoms trop long. Création des tables de travail et du maj_base associé\n\n[D44030] script shell pour le fichier national des noms-prénoms trop long et modification du script sql et du shell mono caisse + création du spool de génération des fichiers mono caisse\n\n[D44030] Modification du script shell multi-caisse afin de supprimer les fichiers dans les autres couloirs autre que GP92\n\n[D44030] Modification du script sql pal_qc44030_nom_prenom.sql suite à la validation des spec\n\n[D44030] Correction du script pal_qc44030_nom_prenom.sql ainsi que les script w01_spoc41.sql et w01_spoc51.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3355, 4, '32a554ad476959e91bb7a814c4637705784ee8b5', 'D45106_CORR', 169, '2017-08-24 15:57:53', 'Fabien TROPIS', '[D43795] Mise en conformite des assures gratuits (squash2)\n\n[D43795] prise en compte date si renseignée\n\nmove to TAIGA\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3356, 4, 'af89b62c2aa9d7e98eb0b942aa8632fcf58458cc', 'D45106_CORR', 169, '2017-08-24 15:57:49', 'Fabien TROPIS', '[D43794] Mise en conformite des dates de fin de droits pour les periodes de residence (squash 4)\n\n[D43794] correction requete\n\n[D43794] Apres test\n\n[D43794] Modification des critères de sélection des population 1 et 2 suite à la modification des spécifications\n\n[D43794] deplacement fichiers\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3357, 4, '8a5b26d548dd1ca898196efc8adeb04f94e4754f', 'D45106_CORR', 1, '2017-08-24 15:55:37', 'Louis BAYLE', 'Livraison 18.0.0_012\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3358, 4, '4ac6b9dabdc1e5b4beea9ede9fe99eef17983e54', 'D45106_CORR', 1, '2017-08-24 15:19:18', 'Louis BAYLE', 'majbase 18.0.0_012\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3359, 4, '8dc8e3c9765bc8a7ba221925b30c4d7c509b70c1', 'D45106_CORR', 199, '2017-08-24 15:15:25', 'Bertrand FONTANEL', '[D44955] deplacement fusion spoc\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3360, 4, '015652d2021cd0d91f52178edca68914b00de65b', 'D45106_CORR', 199, '2017-08-24 15:15:21', 'Bertrand FONTANEL', '[D44941] correction spoc 57\n\n[D44058] correction taille du nati spoc 57\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3361, 4, '0a194316295a67919f499de42615d40dfa757d5e', 'D45106_CORR', 199, '2017-08-24 15:15:17', 'Bertrand FONTANEL', '[D44903] correction NIR Corse de ext_adrt\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3362, 4, 'd603b7c1844f03e5e6098ec97f90b4e828c5a4af', 'D45106_CORR', 1, '2017-08-24 15:15:12', 'Louis BAYLE', '[D44931] maj_base_12: pb perf sur 07S\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3363, 4, 'e187dfc75dcd761e5c1604906732f2f4da54b0f1', 'D45106_CORR', 1, '2017-08-07 19:09:00', 'Louis BAYLE', 'Livraison 18.0.0_011\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3364, 4, 'a6f54d2422f4ae7e3e73d6e01d77de0e1ad97e79', 'D45106_CORR', 164, '2017-08-04 12:56:38', 'Lionel Giordanengo', 'integration 18.0.0_011 : maj_base\n\ninteg suppression maj_base D44856\n\n[D44857] maj_base_V18_0_10 : gestion palliatif D44857\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3365, 4, '74dd87544ad63aecdac7d0f6198f155c51c52712', 'D45106_CORR', 0, '2017-08-04 12:52:00', 'Vincent-Pierre LYS', '[D43955] Résolution du cas 5\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3366, 4, '563fca4225b1ed0d4f26ae652c752b3283c29c3f', 'D45106_CORR', 246, '2017-08-04 12:52:00', 'Olga TOINON', '[D44857] script sql pour la mise à jour ou l\'insertion des paramètre de AMABIS\n\n[D44857] ajout commit + exit\n\n[D44857] correction id\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3367, 4, 'bb0a07a6910c784e461d9e88fc2afdc2c0034898', 'D45106_CORR', 74, '2017-08-04 12:52:00', 'Isabelle Finette', '[D43955]Cas 8 : en cas de problème après la bascule d\'un ayd en gratuit, affichage d\'un message d\'erreur\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3368, 4, 'ff564923aeeb1fa1735522872dfa5a83c26ef9a5', 'D45106_CORR', 164, '2017-08-04 12:52:00', 'Lionel Giordanengo', 'integration : nomenclature 43955 table message\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3369, 4, '241e3934395b52ac9087fa9a6038cf5086fea36f', 'D45106_CORR', 74, '2017-08-04 12:52:00', 'Isabelle Finette', '[D43955]Cas 8 bascule d\'un AYD en gratuit : prise en compte de la date de fin à null sur DRT_PREST (rajout de NVL)\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3370, 4, '2841c73c0ce89fa43adb22d1f91ea0bf282d2e22', 'D45106_CORR', 164, '2017-08-04 12:52:00', 'Lionel Giordanengo', '[D44856] ajout de la table AMABIS_DECISION dans nomenclature specifique et scripts associes\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3371, 4, '86c9bd74385533445216bdbb20cd9afd509795d0', 'D45106_CORR', 74, '2017-08-04 12:51:59', 'Isabelle Finette', '[D43955]Cas8 : correction sur le menu bascule en assuré gratuit (les critères n\'étaient pas corrects et le nom du menu à inversement dans le nom du menu à griser / dégriser avec le menu de transforamtion)\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3372, 4, '4171d9f0447b5d40deaa9022985caae2fde3a0b8', 'D45106_CORR', 0, '2017-08-04 12:51:59', 'Vincent-Pierre LYS', '[D43955] point 26 (squash 2)\n\n[D43955] 0731_29 partie 1\n\n[D43955] point 26\n\n[D43955] correction de la MAJ_ADRT\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3373, 4, '84c07461f95319a7ccd59b08b98434bc2ec9c0ab', 'D45106_CORR', 74, '2017-08-04 12:51:59', 'Isabelle Finette', '[D43955] Cas 17bis : Prise en compte de la date de radiation saisie au lieu de la date du jour pour déterminer la liste des motifs de radiation gratuit ou non\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3374, 4, '7f4623e66f45fdac4417d364db5f8067f169db88', 'D45106_CORR', 72, '2017-08-04 12:51:59', 'Alain Tassotti', '[DOC]   report des version 7.3 et 7.4 dans la version 8.1 du document.\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3375, 4, 'b8074c71ce82f949c63ab9e18e22cb0d2dd2ce73', 'D45106_CORR', 0, '2017-08-04 12:51:59', 'Vincent-Pierre LYS', '[D43955] D43955_0727 squash 3 :\n\n[D43955]  correction du point 7\n\n[D43955] correction des points 3, 24, 29\n\n[D43955] erreur de correction retour arrière\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3376, 4, '17ab71ae0904b3aabbef42de2892bd14b0a791c3', 'D45106_CORR', 0, '2017-08-04 12:51:58', 'Vincent-Pierre LYS', '[D43955] CAS 23 : modification du titre de la fenetre et de la colonne\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3377, 4, 'a3e19eadc68bd6c2df3b8ce406579e35f2033275', 'D45106_CORR', 0, '2017-08-04 12:51:58', 'Vincent-Pierre LYS', '[D43955] Correction Sql de la recherche des NIR des AD3\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3378, 4, '9920a8466c44808c6898cacb2ed8bfc7f8b62a70', 'D45106_CORR', 164, '2017-08-04 12:51:58', 'Lionel Giordanengo', 'DIT 18.0.0_LOT3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3379, 4, '38911d6cf1b77aa37aee42c63446fcdb96472dab', 'D45106_CORR', 157, '2017-08-04 12:51:58', 'Vincent GENTIL', '[D43955] Suppression du controle lors de la modification ou de la creation de lignes de periodes de droit\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3380, 4, '4630b58b258d2925687cb3020ca47f76201167da', 'D45106_CORR', 72, '2017-08-04 12:51:58', 'Alain Tassotti', '[D43955]  Ecran 16 (Archivage)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3381, 4, 'cbbd486a1e7504ab0b67da32867c02d019dd7a47', 'D45106_CORR', 72, '2017-08-04 12:51:58', 'Alain Tassotti', '[D43955]  Remontée des specs de reference liées au TP (squash 2)\n\n[D43955]  Remontée specs de reference Archivage et journalisation\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3382, 4, '02b0b2afab7c21192d62f30fdc95ef31c70d417e', 'D45106_CORR', 164, '2017-08-04 12:51:56', 'Lionel Giordanengo', 'maj_base pour installation LOT3 - A RENOMMER !!!!\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3383, 4, 'cc177675b5c00ea6883074e54a7139da83075a90', 'D45106_CORR', 164, '2017-08-04 12:51:56', 'Lionel Giordanengo', '[D43955] Renommage du fichier en minuscule\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3384, 4, 'e684e853157adda97232dd6e7725b8f948cc9190', 'D45106_CORR', 0, '2017-08-04 12:51:55', 'Vincent-Pierre LYS', '[D43955] Squash 8 :\n\n[D43955] remonté des projets pour palier au pb de compilation\n\n[D43955] Creation du maj_base pour IFKAYD01\n\n[D43955] maj de client32_to_titulaire et autres fichiers issus de la compilation\n\n[D43955] correction  de iqpdrt01.sql et livraison de la modification de ivaayd01.v\n\n[D43955] maj des commentaires - aucune modification de code\n\n[D43955] Maj commentaires 2\n\n[D43955] changement de nom du fichier\n\n[D43955] correction de bacule et moditfication du segment en entrée du service tux pour qu\'il ressemble aux autres.\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3385, 4, '45ab1c4151a69e97f3636a69d3644799b9483f2e', 'D45106_CORR', 164, '2017-08-04 12:51:55', 'Lionel Giordanengo', 'integ modif_maj_base cmr pour lot3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3386, 4, '5737ea11cb4175e1628f43436e18521126464d09', 'D45106_CORR', 0, '2017-08-04 12:51:55', 'Vincent-Pierre LYS', '[D43955] Squash 2 :\n\n[D43955] Fichier Map et autres fichiers n_c\n\n[D43955]deplacement de IPKAYD03.D\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3387, 4, '442d62e9062c388969f73e959d3ccad7d40c6f5e', 'D45106_CORR', 74, '2017-08-04 12:51:55', 'Isabelle Finette', '[D43955] Développement filtrage motif de radiation en fonction des périodes de gratuité\nnouveau commit car probleme de portion de codes perdues\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3388, 4, 'e766e33a1b4322a5adaa6cd3ab3b58046be2c073', 'D45106_CORR', 74, '2017-08-04 12:51:55', 'Isabelle Finette', '[D42497] Rajout de egale à la date de fin de periode de gratuite\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3389, 4, '41e92c37c4bfd50dc1d6c2c5f93e36fa9d3c10cd', 'D45106_CORR', 0, '2017-08-04 12:51:55', 'Vincent-Pierre LYS', '[D43955] Squash 15 :\n\n[D43955] 17428 TP FicheAyant droit Motif de fin Periode Coté client\n\n[D43955] 17637  TP Fenetre Ayant droit non basculé\n\n[D43955] Modification des libelles de la fenetre IFKASS60\n\n[D43955] pb cobol sources serveur\n\n[D43955] modif côté TP.... avec les messages de debug\n\n[D439555] point 13 remontée côte serveur\n\n[D43955] Sav avant rebase\n\n[D43955] Partie client avec message de debug\n\n[D43955] 17429 premier jet\n\n[D43955] 17429 premier jet\n\nD43955 correction effet de bords lors de l\'ajout d\'un ayd\n\n[D43955] modifications NSDK seul\n\n[D43955] procedure stockée\n\n[D43955] Delta\n\n[D43955} Ajout des lignes dans la table message\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3390, 4, 'f168787a15993f9cae80b01347692879239a7a31', 'D45106_CORR', 164, '2017-08-04 12:51:54', 'Lionel Giordanengo', '[D43955] Filtrage sur motif de radiation (squashed)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3391, 4, '1e4a4e1c47a837ae6085e778adb860af399aecf2', 'D45106_CORR', 164, '2017-08-04 12:51:54', 'Lionel Giordanengo', 'integ maj_base provisoire pour install\nappele _99 pour ne pas confondre !\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3392, 4, '52e30858d55a988181efeb19304a0ff147f9d9bd', 'D45106_CORR', 74, '2017-08-04 12:51:54', 'Isabelle Finette', '[D43955] Développement filtrage motif de radiation en fonction des périodes de gratuité\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3393, 4, 'b81387f4ac4904777f1b3d899ebee6b030d22bd6', 'D45106_CORR', 1, '2017-08-04 12:37:00', 'Louis BAYLE', 'Livraison 18.0.0_010\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3394, 4, '23beb8803d23d27423744ffb6c1f0d43da868e57', 'D45106_CORR', 1, '2017-08-02 08:59:05', 'Louis BAYLE', '[D44894] reemission_dossier.sh\n\nCorrection numcmr pour autoriser 1-2 char dans fichier d\'entree\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3395, 4, 'd79d7581bb57731a38ef57880a4b354e4ee88452', 'D45106_CORR', 72, '2017-08-01 13:37:24', 'Alain Tassotti', '[D44893] Correction ordre des paramètres du shell\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3396, 4, 'b81d63774ec03204e0a729c9270e9a0a40deaac8', 'D45106_CORR', 164, '2017-07-28 09:01:41', 'Lionel Giordanengo', 'Livraison 18.0.0_009\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3397, 4, '8592a9fae2a442a851cd790ee334f9991e55c5bf', 'D45106_CORR', 164, '2017-07-27 13:46:36', 'Lionel Giordanengo', 'integration 18.0.0_009 maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3398, 4, '62bd7c9642d812a0b15a57be2a848e57ed25435d', 'D45106_CORR', 199, '2017-07-27 13:40:58', 'Bertrand FONTANEL', '[D44841] correction regle 50 sur le lancement controle amabis (squash 3)\n\n[D44841] Application de la regle RG_41937_MAJOC_54\n\n[D44841] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3399, 4, '3e1dc343a2d0d7f7b3670d11cb4b01dc7ed7908c', 'D45106_CORR', 199, '2017-07-27 08:30:33', 'Bertrand FONTANEL', '[D44870] correction vue vw_per_adr_ent_avant\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3400, 4, 'd9053ffaae0010f54c4f265e408dcd6363f035b3', 'D45106_CORR', 199, '2017-07-25 11:50:41', 'Bertrand FONTANEL', '[D44058] correction spoc 41 (squash 2)\n\n[D44058] ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3401, 4, '0f3ca92afd07cf03afbaf9ca766620c364dfef70', 'D45106_CORR', 164, '2017-07-25 11:28:28', 'Lionel Giordanengo', 'Livraison 18.0.0_008\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3402, 4, '5b887bb5a0e37c5280c17a19662353538e786602', 'D45106_CORR', 164, '2017-07-25 11:24:35', 'Lionel Giordanengo', '[D44859] correction maj_base errone\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3403, 4, '0a8084f447662309b27a5d7c3cc670a7a858f611', 'D45106_CORR', 164, '2017-07-18 18:06:52', 'Lionel Giordanengo', 'Merge branch \'master\' into 18.0.0_LOT2_liv_Juillet\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3404, 4, '65d5794ee5e5540ed10eccb7e1bae5a6586265c0', 'D45106_CORR', 164, '2017-07-18 17:52:58', 'Lionel Giordanengo', 'Livraison 18.0.0_007\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3405, 4, '8524f26bff5eb357fb8d8194f101424de8f21f29', 'D45106_CORR', 164, '2017-07-18 17:38:53', 'Lionel Giordanengo', 'integration maj_base 007\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3406, 4, 'fe1ebefdf8a1c626c1bcd569d63c4216365e06c7', 'D45106_CORR', 199, '2017-07-18 17:14:52', 'Bertrand FONTANEL', '[D44058] correction spoc43\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3407, 4, '8fd704acc52fb056ff245ab58bea72f8140e1fab', 'D45106_CORR', 164, '2017-07-18 17:03:59', 'Lionel Giordanengo', 'integration maj_base 007\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3408, 4, '4715067d270ccded519c9fe911bfe2bf21beee9d', 'D45106_CORR', 199, '2017-07-18 16:48:12', 'Bertrand FONTANEL', '[D44058] correction diverses\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3409, 4, '91bcf49b9536e0154cd35031fe95858cd0b56818', 'D45106_CORR', 164, '2017-07-18 09:46:12', 'Lionel Giordanengo', 'integration : maj_base avant livraison\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3410, 4, 'fedcd20957f4288dc651c9a5d27abd8de62c0824', 'D45106_CORR', 199, '2017-07-17 17:13:28', 'Bertrand FONTANEL', '[D44058] correction (squash 8 :)\n\n[D44058] correction cas 61\n\n[D44058] correction cas 62\n\n[D44058] correction cas 65\n\n[D44058] correction cas 66\n\n[D44058] correction spoc 42\n\n[D44058] correction cas 68\n\n[D44058] correction cas spoc 65\n\n[D44058] Correction script - drop erroné\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3411, 4, 'd4bef3610867af4d8425379c1572d34828f5f4cb', 'D45106_CORR', 246, '2017-07-17 10:11:09', 'Olga TOINON', '[D44691] modification du script bascule_annuelle_nouveaux_maj.sql afin de rajouter la journalisation (squash 2 :)\n\n[D44691] modification du script bascule_annuelle_nouveaux_maj.sql afin de rajouter la journalisation\n\n[D44691] Ajout du cartouche et du numéro de defect dans le script\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3412, 4, '1b0c3bd9543af448d8bc1fbe2c71178c20ea9288', 'D45106_CORR', 164, '2017-07-10 13:43:38', 'Lionel Giordanengo', 'integration : maj_base liv_juillet\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3413, 4, '5885f397a608470d68b3380f83ef57eecd84bc8e', 'D45106_CORR', 199, '2017-07-10 11:45:26', 'Bertrand FONTANEL', '[D44058] correction type d\'alertes (squash 7)\n\n[D44058] correction spool spoc 65\n\n[D44058] Correction adresse la plus recente\n\n[D44058] correction spoc 45\n\n[D44058] correction spoc 45\n\n[D44058] ajout maj base\n\n[D44058] correction per residence ayd\n\n[D44058] correction type d\'alertes\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3414, 4, '4961f887d0bc047ab76d9f85511b97733414c40e', 'D45106_CORR', 199, '2017-07-10 11:36:59', 'Bertrand FONTANEL', '[D44503] correction cas 5 + 6 + 7 + 8\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3415, 4, '6c1afc9b6203d35e2cfe4fedf2d07ea962bf9e93', 'D45106_CORR', 199, '2017-07-10 11:36:09', 'Bertrand FONTANEL', '[D44779] Correctioin Alerte 1713 (Squash 2)\n\n[D44779] Ajout maj base\n\n[D44779] correction alerte 1713\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3416, 4, '2641b4d1f1e6bbc203d8bfbeddfa6c3756693a3e', 'D45106_CORR', 199, '2017-07-10 11:34:57', 'Bertrand FONTANEL', '[D44027] correction lot1 cas 4\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3417, 4, '3755468bc6b465d9f551d29ffc17ec02fde1beef', 'D45106_CORR', 199, '2017-07-10 11:34:57', 'Bertrand FONTANEL', '[D44790][D44785][D44786] Correction reemission_dossier\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3418, 4, '57ebb41f92df1be9d1cb27be134f1879f04c7e08', 'D45106_CORR', 199, '2017-07-10 11:34:57', 'Bertrand FONTANEL', '[D44795] cjkadm03 : ajout ctrl repertoire\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3419, 4, '7a351f66263a501db2a0b1b3425c03f9c059c6ac', 'D45106_CORR', 199, '2017-07-10 11:34:57', 'Bertrand FONTANEL', '[D44794] cjkadm03 : controle nb parametres\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3420, 4, '3f8228096563c88fa508ee93fa2228ba60a0d8f0', 'D45106_CORR', 199, '2017-07-10 11:34:57', 'Bertrand FONTANEL', '[D44792] cjkadm02 controle parametre\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3421, 4, '3a4c106a0aeb196e92e06fbd701a69ed402d9f9c', 'D45106_CORR', 199, '2017-07-10 11:34:57', 'Bertrand FONTANEL', '[D44791] controle 3 parametres sur le shell cjkadm01.sh\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3422, 4, 'bd3b21ca1f99f2079d0b2615121fc6d509d91cca', 'D45106_CORR', 199, '2017-07-10 11:34:57', 'Bertrand FONTANEL', '[D44555] correction per_grat regle 02_011\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3423, 4, 'e4d13d748e64f3426df85ad2e27d25e9dcaf99b3', 'D45106_CORR', 246, '2017-07-10 11:34:57', 'Olga TOINON', '[D44694] modification des sélections de période d\'OC et de l\'adresse d\'un assuré\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3424, 4, '31c4b18df133f033d03cfada46785da0bb76a20e', 'D45106_CORR', 164, '2017-07-10 11:34:57', 'Lionel Giordanengo', 'integration : nettoyage maj_base_inutile\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3425, 4, '4fa10efe350dd9e4ac918d1210b0dd5ea105a9d1', 'D45106_CORR', 246, '2017-07-10 11:34:56', 'Olga TOINON', '[D44695] Modification du package + maj_base\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3426, 4, '44cf016ed6c932efe63eb72313e8508aa2875067', 'D45106_CORR', 199, '2017-07-10 11:34:56', 'Bertrand FONTANEL', '[D44027] correction REDA\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3427, 4, '34bfc633fb1a1ad7b4b70eeee3e46efe35affc0f', 'D45106_CORR', 246, '2017-07-10 11:34:56', 'Olga TOINON', '[D44060] Ajout de nouvelle ligne à insérer dans le pal_qc_44060.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3428, 4, 'fa7be84b5897d7931751b2e940eaf01334042131', 'D45106_CORR', 164, '2017-07-10 11:34:56', 'Lionel Giordanengo', 'integration : renommage maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3429, 4, '2963303402b473d8238f5a830ebe3043a6eb90e3', 'D45106_CORR', 246, '2017-07-10 11:34:56', 'Olga TOINON', '[D44694] Modification du package de la bascule afin de modifier la récupération des données dans la table per_oc et per_adr_assu + maj_base_cmr associé\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3430, 4, '0e45cd9df3bc733818e80edc0406de931dfde038', 'D45106_CORR', 199, '2017-07-10 11:34:56', 'Bertrand FONTANEL', '[D44745] squash 2\n\n[D44745] Ajout flag_annul dans assu_is_grat\n\n[D44745] Ajout MAj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3431, 4, '98a5208afa8f0b046e0803340e61998771d267dd', 'D45106_CORR', 246, '2017-07-10 11:34:56', 'Olga TOINON', '[D44503] Modification du package pck_bascule_ad.sql (squash 3)\n\n[D44503] Modification du package pck_bascule_ad.sql suite à une mise à jour des spécifications\n\n[D44503] Correction du script pck_bascule_ad.sql\n\n[D44503] Maj_base associé à la modification du package pck_bascule_ad.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3432, 4, '7258f759febf4d23d7d36cf7a13410a5e0b0284c', 'D45106_CORR', 199, '2017-07-10 11:34:56', 'Bertrand FONTANEL', '[D44026] correction alerte 2729 (squash 2)\n\n[D44026] correction alerte 2729\n\n[D44026] correction alerte 2729\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3433, 4, 'e771c566ce1433e3de19dd8b5636fd33071aa4f2', 'D45106_CORR', 199, '2017-07-10 11:34:55', 'Bertrand FONTANEL', '[D44555] evol règle RG_F02S_011 (squash 2)\n\n[D44555] evol règle RG_F02S_011\n\n[D44555] evol RG_F02S_008\n\n[D44555] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3434, 4, '4021cb447809200ed7cb0ea9b96dc09dbb280b6c', 'D45106_CORR', 72, '2017-07-10 11:34:55', 'Alain Tassotti', '[D44058]  Mise à jour  pour sortie en OK lorsque le fichier d\'entrée est absent suite à retour sur DEX (squash 2)\n\n[D44058]  Mise à jour DEX  Et  shell reemisson dossier suite à retour MOE (  rendre passant l\'absence de fichier d\'entree ou un fichier d\'entree vide)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3435, 4, 'c74cfd5e3aaa21db1789d6d704cb494e35b50fa3', 'D45106_CORR', 164, '2017-07-07 13:06:07', 'Lionel Giordanengo', 'Livraison 18.0.0_006\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3436, 4, 'ae3680320d513364bddc29cd3755959b8b370e13', 'D45106_CORR', 164, '2017-07-07 12:58:52', 'Lionel Giordanengo', 'integration : renommage maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3437, 4, '5b75b9d44f5aa76f91915d885b57d0dc43a73960', 'D45106_CORR', 199, '2017-07-07 12:57:07', 'Bertrand FONTANEL', '[D44799] correction doublon d\'entreprise (squash 2)\n\n[D44799] correction doublon d\'entreprise\n\n[D44799] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3438, 4, '3ca011cae890540ba437b97db8af03ba91048374', 'D45106_CORR', 199, '2017-07-07 12:57:00', 'Bertrand FONTANEL', '[D44797] creation des fichiers à vide (squash 4)\n\n[D44797] creation des fichiers à vide\n\n[D44797] cjkadm03.sh controle existance repertoire\n\nRevert \"[D44797] cjkadm03.sh controle existance repertoire\"\n\nThis reverts commit 79479fa3e3e8440c311c0a6d53ea52ef0a7d1d17.\n\n[D44797] correction fichier index\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3439, 4, '20f0a3fffd1f8cc76642944fd9252fc96e12ef7d', 'D45106_CORR', 164, '2017-06-21 16:33:34', 'Lionel Giordanengo', 'Livraison 18.0.0_005\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3440, 4, '9d70bf81172b4e5071dfb489416575d2fdfd882e', 'D45106_CORR', 164, '2017-06-21 15:51:34', 'Lionel Giordanengo', 'integration correction table version_spe\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3441, 4, '447b767b6ac2c67707eef35926ed5c72aa62431f', 'D45106_CORR', 164, '2017-06-21 15:01:18', 'Lionel Giordanengo', '[D44722] Renommage des maj_base modifies\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3442, 4, '225678bb45750f3105250ece249d083a87cb7206', 'D45106_CORR', 164, '2017-06-21 11:04:32', 'Lionel Giordanengo', '[D44722] Suppression de fichiers inutiles ...\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3443, 4, '03ed05deec9d228886244108de2348cf1ee58fa5', 'D45106_CORR', 72, '2017-06-20 15:44:30', 'Alain Tassotti', '[D44058]  MAj DEX suite à reunion avec QI\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3444, 4, '5633e9409e4fccc9338ad6767e36352468df5d46', 'D45106_CORR', 164, '2017-06-19 15:54:55', 'Lionel Giordanengo', 'Livraison 18.0.0_004\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3445, 4, 'cea9e83e4eb4c28f37c5f52ca0429596ac803215', 'D45106_CORR', 164, '2017-06-19 15:33:19', 'Lionel Giordanengo', 'integ Nettoyage des maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3446, 4, '35aed0b22136beb7191f3001cd50e2c60da72c5a', 'D45106_CORR', 164, '2017-06-19 14:57:50', 'Lionel Giordanengo', 'nomenclature correction\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3447, 4, '83b0088a5a6ceea8594f8b94cff55a65003c79ba', 'D45106_CORR', 164, '2017-06-19 13:41:21', 'Lionel Giordanengo', '[D44027] correction qualif cas 46 (passe plat pour linbsay)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3448, 4, '400af580b8c1ea93d703ba1c0ccfe5c30ec83ec1', 'D45106_CORR', 1, '2017-06-19 12:13:53', 'Louis BAYLE', '[D44058] reemission_dossier.sh NO_EXIT\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3449, 4, '0ba9eb13b379fb04a9cafe90cfa339feff7dfb14', 'D45106_CORR', 164, '2017-06-19 10:53:55', 'Lionel Giordanengo', 'integ traitement modification/ajout de nomenclature derniere minute\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3450, 4, '82ef119c983a25461d4f87511aeb8db8ed77a2ac', 'D45106_CORR', 164, '2017-06-19 10:38:37', 'Lionel Giordanengo', '[D44601] retour arriere suite aux consignes RSI\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3451, 4, '9e9981639e6c4b2af233d0ebe529edf3d9cd7d88', 'D45106_CORR', 169, '2017-06-19 10:07:30', 'Fabien TROPIS', '[D44027] correction qualif cas 26 + 23\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3452, 4, 'e1f53a2f21d1b13f5472c6ff44546092132defe7', 'D45106_CORR', 169, '2017-06-15 18:27:28', 'Fabien TROPIS', '[D44027] correction qualif cas 42 + 40\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3453, 4, 'bba21d066859a73204eea1cf977c1fd584f973af', 'D45106_CORR', 72, '2017-06-15 11:18:20', 'Alain Tassotti', '[D44058] MAJ DEX Bilan SPOC\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3454, 4, 'd916bee275628f32ee86bd472f0ce1d4f813f6a0', 'D45106_CORR', 1, '2017-06-15 09:41:30', 'Louis BAYLE', '[D44058] reemission_dossier.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3455, 4, '077e49ff18abf687d1ec72a0aa22ec1edc5f4b6a', 'D45106_CORR', 72, '2017-06-15 09:35:10', 'Alain Tassotti', '[D44058] MAJ DEX  suite à FDR\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3456, 4, '3357c84cfb34e21b17323e8188aaf5ceae041e58', 'D45106_CORR', 72, '2017-06-15 08:19:37', 'Alain Tassotti', '[D44048]  Correction DEX  Réémission dossier  (  ajout des paramètres et des messages d\'erreur) suite à finalisation du shell multi\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3457, 4, 'bcce60e8785ce483f4bb90e7323228eae01b2006', 'D45106_CORR', 205, '2017-06-14 17:48:59', 'Lindsay VERDAT', '[D44027] correction qualif cas 41\n', '', '', '', 'lindsay.verdat@atos.net', '', '', 0),
(3458, 4, 'bc1048e6178e041a11ffae59190d93ed3e286e56', 'D45106_CORR', 169, '2017-06-14 17:29:16', 'Fabien TROPIS', '[D44027] correction qualif cas 40\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3459, 4, '2a643c8c9baf122752ff98c5a355e4876bd54d69', 'D45106_CORR', 169, '2017-06-14 17:29:11', 'Fabien TROPIS', '[D44027] correction 2 qualif cas 17\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3460, 4, 'f305e6c3ef98311992fc418e557d3d49c9cb9441', 'D45106_CORR', 1, '2017-06-14 17:27:58', 'Louis BAYLE', '[D44058] reemission_dossier.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3461, 4, 'd4426e302ae53509e96449437a1383cdebc1dfea', 'D45106_CORR', 1, '2017-06-14 14:03:45', 'Louis BAYLE', '[D44027] correction qualif cas 37 (lindsay)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3462, 4, 'd1e8e3dcc8d8df11db0d63fc87136a505d53c82d', 'D45106_CORR', 1, '2017-06-14 13:53:32', 'Louis BAYLE', 'Integration: correction pck_ws_rad.sql, ifnnom94.dat\n\nsuite a report master dans LOT1 puis rebase LOT2 sur LOT1\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3463, 4, '6263075a4260be49168ea080f25e12453a5e6c39', 'D45106_CORR', 169, '2017-06-14 13:34:47', 'Fabien TROPIS', '[D44027] correction qualif cas 30 (points 2 et 4)\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3464, 4, '1d3ea9794871a50ec4056e1ea083e26d6c5b113e', 'D45106_CORR', 169, '2017-06-14 13:34:47', 'Fabien TROPIS', '[D44027] correction qualif cas 23\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3465, 4, '3a154d9006656b3cf964bca865f9c660ad329a7a', 'D45106_CORR', 1, '2017-06-14 13:34:47', 'Louis BAYLE', '[D44058] reemission_dossier.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3466, 4, 'cf46a74daa15a5269e13bae43d309eac98a88915', 'D45106_CORR', 205, '2017-06-14 13:34:47', 'Lindsay VERDAT', '[D44027] correction qualif cas 33 et 39\n', '', '', '', 'lindsay.verdat@atos.net', '', '', 0),
(3467, 4, '4c170bd30c2cbcbd34b23de1b7733cc8b3dcd636', 'D45106_CORR', 1, '2017-06-14 13:34:47', 'Louis BAYLE', '[D44058]  DEX et Guides  MAJ\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3468, 4, '7383e4af4d3c2ac79df857dcd126545af318b177', 'D45106_CORR', 169, '2017-06-14 13:34:46', 'Fabien TROPIS', '[D44027] correction qualif cas 32\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3469, 4, 'c9876d90752daa9ff3461cbea2cd244d9ef97dd7', 'D45106_CORR', 169, '2017-06-14 13:34:46', 'Fabien TROPIS', '[D44027] correction qualif cas 17\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3470, 4, '8680b46c325bed3ee7cea59397a56ee908c8bac3', 'D45106_CORR', 169, '2017-06-14 13:34:46', 'Fabien TROPIS', '[D44027] Minuit c est trop tard pour travailler\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3471, 4, 'c7ce0519136e67302ea89edc079622233d6f8187', 'D45106_CORR', 199, '2017-06-14 13:34:46', 'Bertrand FONTANEL', '[D44027] correction mod 20 alerte 2729\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3472, 4, '2b90a122f27f150befab4e267de3b156b1540cc3', 'D45106_CORR', 199, '2017-06-14 13:34:46', 'Bertrand FONTANEL', '[D44027] correction mod 20\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3473, 4, '97ce00162648d7b490c7bf816c8718d1cf7a53f2', 'D45106_CORR', 72, '2017-06-14 13:34:46', 'Alain Tassotti', '[D44058]  DEX et Guides  MAJ\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3474, 4, 'e878f291eddc7eb48a7274f217dbf10047b992a0', 'D45106_CORR', 72, '2017-06-14 13:34:46', 'Alain Tassotti', '[D44058] Mise à jour docs exploiation et guide des traitements batch\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3475, 4, 'aef47cb54d3dfd167ac9f762bbbc2db7876a4e8f', 'D45106_CORR', 199, '2017-06-14 13:34:45', 'Bertrand FONTANEL', '[D44058] correction spoc 52 nati_id\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3476, 4, 'd13e7cd0e7d36f03f37fd31f74c0865c481d19a4', 'D45106_CORR', 169, '2017-06-14 13:34:45', 'Fabien TROPIS', '[D44027] correction qualif cas 29\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3477, 4, 'a7141489f3c81fd861d70d081342338673387afe', 'D45106_CORR', 199, '2017-06-14 13:34:45', 'Bertrand FONTANEL', '[D44027] correction alerte 3037\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3478, 4, '5078dc1d1e9c356f4ec8d872ea207ca8e2931e0e', 'D45106_CORR', 164, '2017-06-14 13:34:45', 'Lionel Giordanengo', 'integ : modif maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3479, 4, 'f0c11d19be15389350bb669e498bad373bd9e560', 'D45106_CORR', 72, '2017-06-14 13:34:45', 'Alain Tassotti', '[D44058] DEX  Bilan et Réémission Dossier  -  MAJ\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3480, 4, '062cdce40282e9a85b1085ea5f0b011141281ac2', 'D45106_CORR', 169, '2017-06-14 13:34:45', 'Fabien TROPIS', '[D44027] correction (squash 2)\n\n[D44027] correction qualif cas 25\n\n[D44027] correction qualif cas 28\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3481, 4, '7a04d7cb1c9f30d16ebc99d3004284d081120311', 'D45106_CORR', 1, '2017-06-14 13:34:45', 'Louis BAYLE', '[D44058] DEX_TAIGA_Reemission_dossier.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3482, 4, '59d8294a8b7ca6e5ab1b034e4036c34b01c55646', 'D45106_CORR', 1, '2017-06-14 13:34:45', 'Louis BAYLE', '[D44058] DEX_TAIGA_Bilan_spoc_hebdo.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3483, 4, '1a9a984641350249b6e70545dd4f7b40333ecbcc', 'D45106_CORR', 1, '2017-06-14 13:34:45', 'Louis BAYLE', 'DEX mise a jour Graphe par QI\n\n(AGIS 365694)\nDEX_Flux07S_V1.2.doc\nDEX_TAIGA_Bascule_annuelle_des_ayants_droit_majeurs_V1.1.doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3484, 4, '192f6255edb15af76c8dd6b07a54b4ea8f139345', 'D45106_CORR', 164, '2017-06-14 13:34:45', 'Lionel Giordanengo', 'integ : modif maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3485, 4, '624b8d417448e926ec6ad34ba53f2fd7f2690614', 'D45106_CORR', 199, '2017-06-14 13:34:45', 'Bertrand FONTANEL', '[D44027] correction diverse (squash 5)\n\n[D44027] module 24\n\n[D44027] mod24 + mod20\n\n[D44027] save\n\n[D44027] correction merge\n\n[D44027] correction diverse\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3486, 4, 'b000c1ddbd3bb916aac156b77c27eaed35d65268', 'D45106_CORR', 169, '2017-06-14 13:34:44', 'Fabien TROPIS', '[D44027] corrections (squash 5)\n\n[D44027] correction qualif cas 14\n\n[D44027] correction qualif cas 18\n\n[D44027] correction qualif cas 19\n\n[D44027] correction qualif cas 22\n\n[D44027] correction qualif cas 24 + 27\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3487, 4, '86f1ab18bbefced4e59677401e5c53d54f660c3d', 'D45106_CORR', 199, '2017-06-14 13:34:44', 'Bertrand FONTANEL', '[D44027] correction amabis (squash 4)\n\n[D44027] correction amabis\n\n[D44027] correction qualif majoc cas 13\n\n[D44027] correction amabis longueur adr\n\n[D44027] correction amabis\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3488, 4, '554bb934dc1bf79fead08f643081463b1a61d227', 'D45106_CORR', 169, '2017-06-14 13:34:44', 'Fabien TROPIS', '[D44027] squash 3 :\n\n[D44027] Retrait RG_CNV_006\n\n[D44027] Libelle corrige\n\n[D44027] correction qualif 10\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3489, 4, '2f1e6b77ba8d0cdc0791039e0a5074b6d6c354c3', 'D45106_CORR', 164, '2017-06-14 13:34:44', 'Lionel Giordanengo', '[D44060] modif de nomenclature\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3490, 4, '18feb82faca3e9fcfcd6ff7966bbbc28caaf0f83', 'D45106_CORR', 199, '2017-06-14 13:34:44', 'Bertrand FONTANEL', '[D44060] correction (squash 2)\n\n[D44060] correction crm018d_majoc\n\n[D44060] correction ps_rech_situ_adrt_id_taiga\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3491, 4, '694d7ce15c9e5038f11852887a66715aaa3813f4', 'D45106_CORR', 169, '2017-06-14 13:34:44', 'Fabien TROPIS', '[D44027] MAJOC PUMA (squash 7)\n\n[D44027] MAJOC PUMA V1 avant test\n\n[D42497] MAJOC PUMA (avant tests V1)\n\n[D44027] V1 Avant Test+compil\n\n[D44027] Evolutions MAJOC PUMA (squash 4)\n\n[D44027] Save\n\n[D44027] Save2\n\n[D44027] Save3 Oups encore un oubli!!\n\n[D44027] Save4 V1 pour Qualif\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3492, 4, 'd7eeecf2f60b15fe276163c91b8dd80a8e3847f4', 'D45106_CORR', 199, '2017-06-14 13:34:44', 'Bertrand FONTANEL', '[D44058] corrections (squash 13)\n\n[D44058] correction oc integration reemission\n\n[D44058] correction alerte 3779 reemission ayant droit\n\n[D44058] correction top_traitement 4 spoc reemission\n\n[D44058] correction spoc 61\n\n[D44058] correction spoc 61\n\n[D44058] correction shell\n\n[D44058] correction spoc61\n\n[D44058] corrections (squash 5)\n\n[D44058] correction qualif cas 59\n\n[D44058] correction qualif cas 38\n\n[D44058] corrigé cas 60\n\n[D44058] correction qualif cas 56\n\n[D44058] correction mail\n\n[D44058] correction de grant_w01_spoc12.sql\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3493, 4, '15549bdd1d3a25ecd5582c8959da331fa6139469', 'D45106_CORR', 164, '2017-06-14 13:34:44', 'Lionel Giordanengo', 'integ 18.0.0_LOT2 reorganisation du maj_base. compil triggers apres pck\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3494, 4, 'eb2790ffba0ca05959c3aeab6ff13409d4a0470f', 'D45106_CORR', 199, '2017-06-14 13:34:44', 'Bertrand FONTANEL', '[D44058] correction spoc 51 (squash 2)\n\n[D44058] correction spoc 51 des numeriques + motif sur 2\n\n[D44058] modif appel fs_rech_situ_adrt_id_saga\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3495, 4, 'd871355cdbbf9c96a27a2347434216623fcdf322', 'D45106_CORR', 199, '2017-06-14 13:34:44', 'Bertrand FONTANEL', '[D44026] Correction qualif cas 050 (squash 4)\n\n[D44026] correction cas 44\n\n[D44026] correction qualif cas 51\n\n[D44026] correction qualif cas 53 + 54\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3496, 4, 'b7e539fb83782ac9c957f0200482c2a0ca9e74a7', 'D45106_CORR', 199, '2017-06-14 13:34:44', 'Bertrand FONTANEL', '[D44058] corrections (squash 3 + 4)\n\n[D44058] correction evt 12 benf_com_naiss\n\n[D44058] correction cas 40\n\n[D44058] correction cas 39\n\n[D44058] CORR 5 (squash 3)\n\n[D44058] renommage du shell cjkadm00 en cjkadm01\n\n[D44058] correction diverses spoc57\n\n[D44058] correction evt 14\n\n[D44058] correction ajout du filler dans le spoc57\n\n[D44058] ajout reemission\n\n[D44058] correction\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3497, 4, '11fd19e6736e0c69612d08f444a933082b12b3da', 'D45106_CORR', 1, '2017-06-14 13:34:44', 'Louis BAYLE', 'FIX cqoenv33.sql\n\nrecupere de master (0e5f7305e06537e0d)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3498, 4, '8796e05938602e16dcdedd4e3cc5d49c09cc52ba', 'D45106_CORR', 199, '2017-06-14 13:34:44', 'Bertrand FONTANEL', '[D44058] corrections BFL (squash 27 + 7 + 7)\n\nsquash:\n[D44058] correction pour maj base + correction BQ\n[D44058] correction param_spoc_emission\n[D44058] correction type fs_rech_caisse_vi\n[D44058] correction jnl_stat\n[D44058] corrections diverse (squash 27)\n[D44058] correction RG_SPOC0001\n[D44058] correction RT_SPOC11_12\n[D44058] correction RG_SPOC0009\n[D44058] correction qualif cas 2\n[D44058] correction Qualif cas 5\n[D44058] correction qualif cas 7\n[D44058] correction qualif cas 8\n[D44058] correction RT_SPOC51_24\n[D44058] correction qualif cas 9\n[D44058] correction qualif cas 10\n[D44058] correction qualif cas 11\n[D44058] correction qualif cas 11 - 2\n[D44058] correction qualif cas 13\n[D44058] correction requete dynamique\n[D44058] divers\n[D44058] ajout index jnl_stat\n[D44058] Ajout Spool SPOC90\n[D44058] ajout suppression evenement inscription non ouverte\n[D44058] Ajout gestion reemission partie 1\n[D44058] Ajout gestion reemission partie 2\n[D44058] correction integration reemission et ins_adrt_en_cours\n[D44058] correction tir 1\n[D44058] correction 0 sur motif de radiation\n[D44058] correction spec v12\n[D44058] correction qualif cas 18 à 23\n[D44058] correction qualif cas 26\n[D44058] correction spoc 57\n[D44058] Corrections (squash7)\n[D44058] ajout gestion DEM_NIR creation\n[D44058] Ajout script cjkadm02 (bilan hebdo mono-caisse)\n[D44058] correction extension fichier spool\n[D44058] Ajout shell bilan hebdo\n[D44058] correction décalage\n[D44058] correction qualif cas 31\n[D44058] correction cas 29\n[D44058] correction qualif cas 34, 35, 36, 37 et 38\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3499, 4, 'e3f0a738b995e9f8456ca0b1116987eff5a491ad', 'D45106_CORR', 199, '2017-06-14 13:34:43', 'Bertrand FONTANEL', '[D44058] suppression script majuscule (squash 4)\n\n[D44058] ajout script minuscule\n[D44058] Ajout maj base + index\n[D44058] correction trigger benf_compl_02\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3500, 4, '51f8f3d96d9eb65acd0e00a11608170be6e49e7f', 'D45106_CORR', 199, '2017-06-14 13:34:43', 'Bertrand FONTANEL', '[D44058] suppression fichiers majuscules (squash 2)\n\n[D44058] Ajout scripts sans majuscules\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3501, 4, '785ef8ce78e7b34c4140d940f1e9621cfdd23829', 'D45106_CORR', 164, '2017-06-14 13:34:43', 'Lionel Giordanengo', 'integration 18.0.0_QUAL3 modification des maj_base (squash 4)\n\ninteg ajout maj_base_cmr\n\ninteg Maj_base differentiation des maj_base pour lot1/lot2\n\nintegration : corrections pour installation\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3502, 4, '135e80c89972063dd3414534e11f6e67deabf4c8', 'D45106_CORR', 72, '2017-06-14 13:34:43', 'Alain Tassotti', '[D44027] AMABIS (squash 5)\n[D43459]   Etude Amabis :  package  et outil POC  de test des adresses de residence\n\n[D44027] Modification du package amabis, script sql de la table amabis_decision et maj_base associé\n\n[D44027] save\n\n[D44027] Modification package pck_amabis\n\n[D44027] Modif divers\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3503, 4, '6d93079125b9717b758126015a5b593961abe42a', 'D45106_CORR', 199, '2017-06-14 13:34:43', 'Bertrand FONTANEL', '[D44058] Merge à la main de ijmbnf20 + pck_spoc_affi_outils\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3504, 4, '71d40a19adf5201dbb372a6a16cd9bf309a39984', 'D45106_CORR', 146, '2017-06-14 13:34:43', 'Achraf AKRIMI', '[D44058] Spoc administratifs reemission\n\n[41937] SPOC-Moteur integration reemission\n\n[D41937] SPOC amelioration echange entre oc et taiga - reemission des spocs\n\n[D41937] Spoc amélioration des échanges entre taiga et les oc - reemission spoc\n\n[D41937] Spoc amélioration des échanges entre oc et taiga - Reemission de Spoc\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(3505, 4, 'b1276b73980c7e11653276c3a17338934363204d', 'D45106_CORR', 134, '2017-06-14 13:34:42', 'Isabelle LAGIER', '[D44058] Gestion des nouveaux SPOC Administratifs V0.9 (squash 27 de dev)\n\n[D44058] correction compile\n\n[D44058] correction spoc 11 12 13\n\n[D44058] correction spoc13_histo\n\n[D44058] correction spoc 11 41\n\n[D44058] correction spoc 42\n\n[D44058] correction spoc 43\n\n[D44058] correction spoc 61\n\n[D44058] correction parametrage evenements\n\n[D44058] correction evenements\n\n[D44058] decommissionnement spoc admin SAGA\n\n[D44058] correction diverses\n\n[D44077] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] save\n\n[D44058] ajout des vues \"avant\"\n\n[D44058] save shell\n\n[D44058] save\n\n[D44058] save\n\n[D44058] correction bilan\n\n[D44058] save\n\n[D44058] save\n\n[D44058] modif top_mansaga\n\n[D44058] save\n\n[D41937] Commit  internediaire du 07/02/2017 + majbase + TU ok\n\n[D41937] Reprise Trigger de journalisation complementaire Fini\n', '', '', '', 'isabelle.lagier@atos.net', '', '', 0),
(3506, 4, 'b850f68b91068d04e0a1c6463e7f5e6ad49ba1cd', 'D45106_CORR', 169, '2017-06-14 13:34:04', 'Fabien TROPIS', '[D44027] Intégration PCK_AMABIS pour MAJOC (squash 2)\n\n[D44027] Nomenclatures MAJOC\n', '', '', '', 'fabien.tropis@atos.net', '', '', 0),
(3507, 4, '9c0071a4c55725c8ff0cb2a59afb8ecd134c2be5', 'D45106_CORR', 1, '2017-06-14 13:32:14', 'Louis BAYLE', 'Merge branch \'master\' (17.2.10) into 18.0.0_LOT1\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3508, 4, '2e356781f083fa8102ca588139b79ffceabb15bd', 'D45106_CORR', 164, '2017-05-23 10:11:50', 'Lionel Giordanengo', 'Livraison 18.0.0_003\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3509, 4, '39bf7b86b23c556bfae3dd92287e738e84ac2b8f', 'D45106_CORR', 164, '2017-05-22 15:23:17', 'Lionel Giordanengo', 'integ : ajustement tablespaces maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3510, 4, '2917e3e988be673084c27341cd55c550b4739808', 'D45106_CORR', 164, '2017-05-22 15:14:20', 'Lionel Giordanengo', '[D44602] Insertion de données de nomenclature par MajBase - correction\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3511, 4, 'c8079bc1f671d98c76a616bc66c15856ce4e8ca2', 'D45106_CORR', 1, '2017-05-22 15:14:19', 'Louis BAYLE', '[D44611] ijfrad01.sh - check connexion oracle\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3512, 4, '5522ee23b68450bb6283410e6365a40f46b5e4ec', 'D45106_CORR', 164, '2017-05-22 15:14:02', 'Lionel Giordanengo', '[D44601] integ : Correction nomenclatures ET correction oubli sur MTF_RAD\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3513, 4, '5dd6f2ea4e7c2e2bba21153e357ed6aa1177d192', 'D45106_CORR', 199, '2017-05-17 17:20:15', 'Bertrand FONTANEL', '[D44026] corrections (squash 20)\n\n[D44026] correction alerte 2729 si bascule échouée\n\n[D44026] correction signalement 2729\n\n[D44026] correction 03s\n\n[D44026] correction 27R\n\n[D44026] correction first_value\n\n[D44026] correction 03S cas 3 , 14 15\n\n[D44026] correction 03S cas 14\n\n[D44026] ajout EVOL 02S\n\n[D44026] correction 02s\n\n[D44026] correction libelel 2729 flux 27r\n\n[D44026] correction compil\n\n[D44026] correction distinct AD4\n\n[D44026] correction 02S periode de droit\n\n[D44026] Correction qualif  02s\n\n[D44026] correction 02s cas 10\n\n[D44026] correction cas 10\n\n[D44026] correction ordre entre drt_prest et ins_adrt\n\n[D44026] Flux 27R cas 6\n\n[44026] correction cas 12\n\n[D44026] correction conversion de type alerte 2729\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3514, 4, '3de236877e8e1e55ccb3519c4d09e00b9df7e6b1', 'D45106_CORR', 164, '2017-05-15 11:32:17', 'Lionel Giordanengo', 'Nomenclatures correction d\'un libelle typ_alerte\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3515, 4, 'd14b6e17803955def0a758a4f3b041806b00d6a3', 'D45106_CORR', 164, '2017-05-15 11:31:30', 'Lionel Giordanengo', 'integ : passage du fichier de utf8 en western(windows 1252)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3516, 4, '9defd381832eeb7eecdf10afd5c968f350adc994', 'D45106_CORR', 199, '2017-05-15 11:22:55', 'Bertrand FONTANEL', '[D42497] bascule: correction recuperation ins_adrt_id\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3517, 4, 'd4398554eff1f18e6d12956484d972862b01d408', 'D45106_CORR', 199, '2017-05-15 11:22:33', 'Bertrand FONTANEL', '[D44026] corrections (squash 5)\n\n[D44026] WS : correction alerte 2729\n\n[D44026] WS : suppression de la règle RG_WS_RAD_TAIGA_049\n\n[D44026] WS : alimentation 2729 par Ayants-droit\n\n[D44026] WS : modification du libellé du message de l\'alerte 2729\n\n[D44026] correction delete\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(3518, 4, 'ca4ff8912c087df9624d018907cc086a137b3aa9', 'D45106_CORR', 164, '2017-05-15 10:07:37', 'Lionel Giordanengo', 'Livraison 18.0.0_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3519, 4, '6c75ff5c670a116fc275ce16139d1baaff9a33d5', 'D45106_CORR', 164, '2017-05-15 10:02:09', 'Lionel Giordanengo', 'Integration 18.0.0_002 : modifications pour RF + passage d\'utf8 en ANSI(windows 1252)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3520, 4, '27800f12b74fdd47b78c00662e76eb3320e048b2', 'D45106_CORR', 164, '2017-05-15 09:41:16', 'Lionel Giordanengo', '[D44575] Ajout d\'un commit dans le maj_base_cir\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3521, 4, '4c602a8ecd69f10798582284db7b1f73d28e2aac', 'D45106_CORR', 164, '2017-05-12 17:25:21', 'Lionel Giordanengo', 'Merge branch \'master\' (17.2.4) into 18.0.0 (D44561)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3522, 4, '93b73964892e10bdf98333653169603a0f974bbe', 'D45106_CORR', 164, '2017-05-04 12:02:53', 'Lionel Giordanengo', 'Livraison 18.0.0_001\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3523, 4, '0d6cbe9e5940ef02e15870c6457ad0bc61fe9f92', 'D45106_CORR', 164, '2017-05-03 17:46:00', 'Lionel Giordanengo', 'integration 18.0.0 LOT1 : suppression des maj_base des developpeurs\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3524, 4, '2bc2be6c978d84bf27e7d87e1ac4d3c1011a2067', 'D45106_CORR', 1, '2017-05-02 14:51:31', 'Louis BAYLE', '[D42497] DOC guides: suppression ijmmdd01.sh (reduction maintien de droits)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3525, 4, '5a4ea69992907ebe98ac16c10767582c83d15547', 'D45106_CORR', 199, '2017-04-28 15:37:26', 'Bertrand FONTANEL', '[D44026] corrections (squash 3)\n\n[D44026] correction 02S\n\n[D44026] correction flux 02s et 03s\n\n[D44026] correction 02s + 03s\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3526, 4, '1caa1840f55994a020319f88ea2c33967557e43d', 'D45106_CORR', 72, '2017-04-27 15:30:57', 'Alain Tassotti', 'DOC: MAJ Specs de reference PUMA lot 1\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3527, 4, '3ad8de176aae49a496cf6d5e3814c002b967d138', 'D45106_CORR', 199, '2017-04-27 11:14:51', 'Bertrand FONTANEL', '[D44026] corrections  (squash 3)\n\n[D44026] correction 03S\n\n[D44026] correction 03S\n\n[D44026] ajout index table rattachement\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3528, 4, '67a3df26ed553d5a9fadb5f897fa44591bb6004c', 'D45106_CORR', 246, '2017-04-27 11:11:44', 'Olga TOINON', '[D44025] Correction du package de la bascule ainsi que du script des nouveaux majeurs\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3529, 4, 'e279a4bad9b98b4c7218a3a3fdc2aa5c941f6c7f', 'D45106_CORR', 72, '2017-04-27 10:43:09', 'Alain Tassotti', 'FIX DEX 18.0 LOT1\n\nsont a relivrer:\nDEX 07S\nGuide traitements BATCH\nguide exploitation BATCH\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3530, 4, 'c9c77c492c85bfea8e9da8559e53190e20d425f6', 'D45106_CORR', 164, '2017-04-25 17:20:41', 'Lionel Giordanengo', 'integ 18.0.0: reorganistaion appel pck dans maj_base pour installation\nVolontairement pck_ws_rad est mis deux fois car il existe une reference\ncirculaire avec pck_fin_periode et pck_flux_lib\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3531, 4, '5bde47060dcfe0c0d5d64f1a008282442794cd63', 'D45106_CORR', 199, '2017-04-25 10:36:58', 'Bertrand FONTANEL', '[D44026] suppression periode de residence 02S\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3532, 4, '45184461e76e58509f181fbfbda5c7ee816c662b', 'D45106_CORR', 1, '2017-04-25 09:22:20', 'Louis BAYLE', 'LOT1 maj des guides d\'exploitation suite a rebase master\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3533, 4, 'c8e2b60ea13f3bbfbe5e440dffbf8d80e7c68319', 'D45106_CORR', 199, '2017-04-25 09:22:19', 'Bertrand FONTANEL', '[D42497] correction guide d\'exploitation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3534, 4, 'c2b4fddac3761cdee2d4f13b010e3bfa09752f16', 'D45106_CORR', 199, '2017-04-25 09:22:19', 'Bertrand FONTANEL', '[D44026] correction appel de procedure\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3535, 4, 'f687bf58b840c58eb033c2bd3936b9c746c847bd', 'D45106_CORR', 147, '2017-04-25 09:22:19', 'michel.siacchitano@atos.net', '[D44026] commit correction creat per res sir presta + cas ad2 en erreur (technique) => ad3\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3536, 4, '43917c87c89e2e0233c5db3427a152ba3c0962dc', 'D45106_CORR', 199, '2017-04-25 09:22:18', 'Bertrand FONTANEL', '[D44026] correction 03S cas\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3537, 4, '83668ee268e89479dda4331054780ae2a6708258', 'D45106_CORR', 199, '2017-04-25 09:22:18', 'Bertrand FONTANEL', '[D44026] correction 02S cas 10\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3538, 4, '21e69695b70d0604337223588e23ef23296d693d', 'D45106_CORR', 199, '2017-04-25 09:22:18', 'Bertrand FONTANEL', '[D44058] correction 02S cas 11\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3539, 4, 'b7aff1f4cf8e029c8281097aa810767cb086f748', 'D45106_CORR', 199, '2017-04-25 09:22:18', 'Bertrand FONTANEL', '[D44058] correction 03s cas 2 + 02S cas11\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3540, 4, 'b9831a33ee8d6d09dfb870fc3adec3ffcfc8e46c', 'D45106_CORR', 1, '2017-04-25 09:22:17', 'Louis BAYLE', 'DIT 18.0.0_001 LOT_1\n\na communiquer 15 jours avant la livraison\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3541, 4, '8052f227097d20904cf2e2b5f537aa2ecc4ffa29', 'D45106_CORR', 164, '2017-04-25 09:22:17', 'Lionel Giordanengo', 'integration : prise en compte de la modif de nomenclature\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3542, 4, 'aee41eff13c12b622d38ae893608ca3294f90f02', 'D45106_CORR', 199, '2017-04-25 09:22:17', 'Bertrand FONTANEL', '[D44026] correction date de traitement 02s + signalement 03s\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3543, 4, '6cd48af2b39162464998938921a0826bf831f5e3', 'D45106_CORR', 1, '2017-04-25 09:22:16', 'Louis BAYLE', '[D42497] bq.sh: suppression ijmmdd01.sh (reduction maintien de droits)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3544, 4, '712a52c331bccc0da5658b436263051e021d2c4a', 'D45106_CORR', 199, '2017-04-25 09:22:15', 'Bertrand FONTANEL', '[D44026] Correctifs (squash 7) :\n\n[D44026] retour arriere 03s\n\n[D44026] flux 02S OK\n\n[D44026] correction code signalement\n\n[D44026] correction nir sur 15\n\n[D44026] correction nir 15 V2\n\n[D44026] correction message 2729 WS\n\n[D44026] correction 2729\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3545, 4, 'c296a33d967e377ac93e6f503ab15dfac4ab6bfd', 'D45106_CORR', 199, '2017-04-25 09:22:15', 'Bertrand FONTANEL', '[D44026] correction flux 02S (squash 3)\n\n[D44026] correction flux 02s\n\n[D44026] modification sur les signalements\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3546, 4, '1cf707449e9ce93eaabc3615666063328c2fc972', 'D45106_CORR', 199, '2017-04-25 09:22:15', 'Bertrand FONTANEL', '[D44026] refonte 03S TU (squash 5)\n\n[D44026] save\n[D44026] correction FLUX 03S\n[D44058] save\n[D44026] flux 03S ok\n[D44026] refonte 03S TU valide\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3547, 4, 'd8cb2d143c936d9040e4fb212f1d609eb89c2997', 'D45106_CORR', 164, '2017-04-25 09:22:15', 'Lionel Giordanengo', 'trt des nomenclatures suite à correction D44026\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3548, 4, 'f853f6b5ae00a894f50b403279188cac43fa21d0', 'D45106_CORR', 164, '2017-04-25 09:22:15', 'Lionel Giordanengo', 'Integration 18.0.0_LOT1 donnees de reference\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3549, 4, 'c661273067bdbddef38870d2e1bf6a2715933939', 'D45106_CORR', 1, '2017-04-25 09:22:14', 'Louis BAYLE', '[D44026] correction suplementaire pour 02S suppression logique periodes droit (squash3)\n\n[D44026] FIX commentaires format SQL dans shell\n\nca ca n\'a pas été testé, un peu de serieux....\n\n[D44026] corretion pour flux 02s + shell calul nb de flux a traiter\n\n[44026] correction suplementaire pour 02S suppression logique periodes droit + mise a jour tab de ref 999 (reda et travail)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3550, 4, '9c43149734255b8a61f0636d3bea3ab0e2d9ee02', 'D45106_CORR', 164, '2017-04-25 09:22:14', 'Lionel Giordanengo', 'traitement Nomenclatures second effort pour les fichier .dat\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3551, 4, '17dc2353075ebf4d47a0caba2490dae3fd6d348b', 'D45106_CORR', 164, '2017-04-25 09:22:14', 'Lionel Giordanengo', 'integration : trt des donnees\nTODO : regenerer nomenclatures\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3552, 4, 'b593b6823a26f7f2499b180e99d8212ec21852a7', 'D45106_CORR', 147, '2017-04-25 09:22:13', 'michel.siacchitano@atos.net', '[D44026]  reprise gestion erreur 2729 (squash 5)\n\n[D44026]  reprise gestion erreur 2729\n\n[D44026] ajout cle NIR sur alerte 2729\n\n[D44026] Correction Boucle for sur ayd for i 1.. nb_ayd  au lieu d\'utiliser for i first .. last\n\n[D44026] correction arret traitement 20S sans alerte + redacteur alerte 2729\n\n[D44026] correction purge des rejets si fichier vide\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3553, 4, 'b4e34a7e383b716427e47126b96f7d51d27a21c6', 'D45106_CORR', 147, '2017-04-25 09:22:13', 'michel.siacchitano@atos.net', '[D42991] retour de qualif 07S 1 commit intermediaire au 03/04/2017 avant modif alertes\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3554, 4, '49d133a465942d8dce46237d9e245234a428aef6', 'D45106_CORR', 164, '2017-04-25 09:22:13', 'Lionel Giordanengo', 'Ajout/modif tables de nomencature PUMA - pour livraison des nomenclatures (squash 4)\n\nTraitement des nomenclatures pour 18.0.0_lot1\n\nmodif maj_nomenclkaturesSpec.sh : prise en compte des nouvelles tables\n\nTraitement des nomenclatures de la 18.0.0 LOT1 (fichiers .dat)\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3555, 4, '278488d937c798095629aedd9504d65343ccb220', 'D45106_CORR', 147, '2017-04-25 09:22:12', 'michel.siacchitano@atos.net', '[D44026] Coorection Entete PCK_WS_RAD (squash 2)\n\n[D44026] Coorection Entete PCK_WS_RAD : deplacement dans l\'entete de la variable globale v_CSV_ALERT_2729\n[44026] correction prc_fin_periode pour prise en charge WS\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3556, 4, 'd49cdb502cf439765e7589ad6ac18549390e2fa1', 'D45106_CORR', 164, '2017-04-25 09:22:12', 'Lionel Giordanengo', 'integration : modif maj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3557, 4, 'dcd0c495aabaebcc9d3e34c828a51778a64a85e2', 'D45106_CORR', 199, '2017-04-25 09:22:12', 'Bertrand FONTANEL', '[D44060] sysnonym sur les tables CRM\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3558, 4, '7572dba887640437ad9a795cf9e2c309c06b602f', 'D45106_CORR', 147, '2017-04-25 09:22:12', 'michel.siacchitano@atos.net', '[D44026] Adaptation WS dans le sac du 27R (squash 2)\n\n[D44026] Adaptation WS dans le sac du 27R : anomalie dans CSV au lieu de Alerte\n[44026] ano qualif:  pas IMMA_ID sur Periode de residence de AYD uniquement sur assu\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3559, 4, '2965772955e4d5514a1bb1a16f9403020c7b70eb', 'D45106_CORR', 147, '2017-04-25 09:22:11', 'michel.siacchitano@atos.net', '[D42991] commit intermediare 21/03/2017\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3560, 4, 'd7930ce0c7cce44f5cb3fce49f0a84b17085c5fd', 'D45106_CORR', 199, '2017-04-25 09:22:11', 'Bertrand FONTANEL', '[D44060] correction libellé nomenclature CRM017B\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3561, 4, 'd40245b2eeac589dc54f64695405a767062d9713', 'D45106_CORR', 246, '2017-04-25 09:22:11', 'Olga TOINON', '[D44025] Correction du type date d\'une variable dans le script bascule_annuelle_nouveaux_maj.sql\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3562, 4, '28c26ba75833d5771605d3f59309ef57b38f0750', 'D45106_CORR', 147, '2017-04-25 09:22:11', 'michel.siacchitano@atos.net', '[D44026 bug de qualif lindsay : Pas d\'ayant droit=> plantage. maintnemant skip partie AYD (squash 3)\n\n[D44026] pb d Ayd in classable en AD1,2,3 ou 4\n\n[D44026] modif cartouche entete\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3563, 4, 'dc6b11cde7f382cf288088cc1c5fc3ca5c6a5351', 'D45106_CORR', 147, '2017-04-25 09:22:10', 'michel.siacchitano@atos.net', '[D42991] Erreur dans le fichier de controle sqlloader ID_FLUX (squash 5)\n\n[D42991] Erreur dans le fichier de controle sqlloader de la table W01_FLUX_RATTACCHEMENT Flux ID devient ID_FLUX\n[42991] Faute de frappe FC_A_TRAIER=> FC_A_TRAITER\n[42991]  cle erronée dans les sql de generation des rejets techniques et fonctionels\n[42991] Clean up ID_FLUX devient FLUX_ID\n[42991]  CLEAN_UP ID_FLUX pour pck_FLUX_TRT\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3564, 4, 'ea7da00e850e261920d02a3997d5d78a87e428fb', 'D45106_CORR', 1, '2017-04-25 09:22:10', 'Louis BAYLE', 'majbase 18.0.0\n\nFIX pck_fin_periodes_ga.sql n\'a plus lieu d\'etre...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3565, 4, 'beade7e0c4ea3acf233ceae605627e31773d696f', 'D45106_CORR', 72, '2017-04-25 09:22:10', 'Alain Tassotti', '[PUMA 18.0 ] Mise à jour guide de traitement batch\n[PUMA 18.0] Mise à jour guide d\'exploitation\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3566, 4, '76e2af01788d4caee14f0d59318e0be5b74b5c90', 'D45106_CORR', 147, '2017-04-25 09:22:09', 'michel.siacchitano@atos.net', '[D44026] Test et correction AD2 + correction test majorité >=18 au lieu de >18\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3567, 4, '33382f73b22b17d270bb2c8d3c9aa146bf7d9e0a', 'D45106_CORR', 72, '2017-04-25 09:22:09', 'Alain Tassotti', '[18.0 PUMA]   DEX  Bascule Annuelle  AYD   (D44025)\n[18.0 PUMA]  DEX   Flux 07S  ( D42991)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3568, 4, 'b505b1b8e58129ed18385525decc13119ee4065f', 'D45106_CORR', 146, '2017-04-25 09:22:09', 'Achraf AKRIMI', '[D44026] Flux 03S (décés ouvrant droit) (squash 6)\n[D44026] commit intermediaire\n[D44026_RG_F03S_034] commit inter\n[D44026] commit inter flux 3S\n[D44026_RG_F03S] commit intermediaire\n[D44026_RG_F03S] finalisation du flux03S\n', '', '', '', 'achraf.akrimi@atos.net', '', '', 0),
(3569, 4, 'd7498914f5226d5c40bb21aec34d435013000903', 'D45106_CORR', 147, '2017-04-25 09:22:09', 'michel.siacchitano@atos.net', '[D44026] Code 02S Terminé commit apres  test l 02/03/2017\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3570, 4, '1637e1755bd0d2dd6f29e8e30377c708ba7ed059', 'D45106_CORR', 147, '2017-04-25 09:22:08', 'michel.siacchitano@atos.net', '[44026] Pour determination POP_AD : sysdate est remplace par Trunc(SYSDATE) pour comparaison date uniquement (sans tenir compte des heures)\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3571, 4, '30329dd6702fcc362cf844d68009c93217050645', 'D45106_CORR', 147, '2017-04-25 09:22:06', 'michel.siacchitano@atos.net', '[D44026] le package fin _periodes_ga n\'a plus de raison d\'exister\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3572, 4, '89ddb702f62601a96f9d86b0c1388d3bdee97a75', 'D45106_CORR', 246, '2017-04-25 09:22:05', 'Olga TOINON', '[D44025] Correction du package de la bascule ainsi que les scripts sql et sh de la bascule des majeurs (squash 4)\n[D44025] Corrections divers de la bascule\n[D44025] Correction diverses sur la bascule\n[D44025] Correction du formatage des dates\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3573, 4, 'fe4887fed9e9ebc0456a7c7523c8d1da749171da', 'D45106_CORR', 199, '2017-04-25 09:22:05', 'Bertrand FONTANEL', '[D44060] Correction CMR026 (squash 2)\n\n[D44060] Correction avec des fetch\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3574, 4, 'c752827566a7c117d560aa39855bc270dd77f0be', 'D45106_CORR', 164, '2017-04-25 09:22:04', 'Lionel Giordanengo', 'integ correctionmaj_base\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3575, 4, 'f013c308cabb6794bfd154ffa2425168b0d5753e', 'D45106_CORR', 164, '2017-04-25 09:22:04', 'Lionel Giordanengo', '[D44060] corection nom de fichier erronne\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3576, 4, 'b9efa605d6a139d9db8a100958568b37dac5b3dd', 'D45106_CORR', 164, '2017-04-25 09:22:04', 'Lionel Giordanengo', 'integ correction Maj_base_cir\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3577, 4, '9e185feb9a200e9af93c1729acc33776f481d0fc', 'D45106_CORR', 199, '2017-04-25 09:22:03', 'Bertrand FONTANEL', '[D44060] corrections suite mise en qualif\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3578, 4, 'def1ce8634c6d48ab1b21ba68fc6b025203fc51f', 'D45106_CORR', 164, '2017-04-25 09:22:03', 'Lionel Giordanengo', 'integ : modif des maj_base ATTENTION : Nomenclatures à modifier pour 44060\nactuellement chargés en maj_base_cir mais à modifier voire Olga\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3579, 4, 'd9f1cd789b36ed4853be57e81f72e4376283156b', 'D45106_CORR', 1, '2017-04-25 09:22:03', 'Louis BAYLE', '[D44190] Maj du bq.sh (PUMA : suppression prolongation periode de maintien de droits)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3580, 4, '068270d5d0231b088bdd6e50217948695c7da8e4', 'D45106_CORR', 147, '2017-04-25 09:22:03', 'Michel Siacchitano', '[D44026] PUMA Flux GA (squash 3+4)\net chgt nume defect car ca a change encours de route\n[D42497MSI] Commit intermediaire le 30/12/2016\n\n[D42497] commit intermediaire du 01022017 Avec Dbms_output\n\n[D42497m15836] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n\n[D44026] Procedure Communes FLUX GA + plug flux 27R dans package Fin Periode (prc_radiation)\n\n[D44026] Modif ajout init typ flux\n\n[D44026] Commit intermediaire du 17/02/206\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3581, 4, 'f99ec22ef33c9b4a220da4146684504166479400', 'D45106_CORR', 164, '2017-04-25 09:22:02', 'Lionel Giordanengo', '[D44060] PUMA - TAIGA Nomenclature (squash 9)\n\n[D44060] Ajout de nouvelles données dans le maj_base_cir_D44060, script de nouvelles tables et de nouveaux grant\n\n[D44060] ossature package commun affiliation (à completer)\n\n[D44060] Correction maj_base, script des tables, nouvelles fonctions du package pck_spoc_affi_outils.sql\n\n[D44060] Modifications diverses\n\n[D44060]Correction maj_base, tables de nomenclature, création d\'index, modification de la table mtf_rad\n\n[D44060] Correction maj_base\n\n[D44060] modification des fonctions en procedures\n\n[D44060] Correction du maj_bas_cir_D44060.sql\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3582, 4, '42bd362e538c5db88c0a0cc45979c6aac2dccc53', 'D45106_CORR', 158, '2017-04-25 09:22:02', 'Martine RENIER', '[D44190] PUMA : suppression prolongation periode de maintien de droits (squash 6)\net rennomage des commits :\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n\n[D42497](m13256) PUMA Continuité des droits et autonomie : suppression prolongation période de maintien de droits\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(3583, 4, '908be4b16dae35ea752a54f6bbb74441ae719e70', 'D45106_CORR', 158, '2017-04-25 09:22:01', 'Martine RENIER', '[D44217] PUMA Continuité des droits et autonomie : inscription ayants droit (squash 3)\net rennomage des commits :\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n\n[D42497](m10770) PUMA Continuité des droits et autonomie : inscription ayants droit\n', '', '', '', 'martine.renier@atos.net', '', '', 0),
(3584, 4, '26dddefe347c54e761a6122f72e27581de550e9c', 'D45106_CORR', 147, '2017-04-25 09:22:01', 'michel.siacchitano@atos.net', 'integration : traitement des nomenclatures\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3585, 4, 'e3bcf0ed2ffba62a4700d9e6452278b3abd8f266', 'D45106_CORR', 164, '2017-04-25 09:22:01', 'Lionel Giordanengo', 'integ maj_base 18.0.0_QUAL\n', '', '', '', 'lionel.giordanengo.external@atos.net', '', '', 0),
(3586, 4, 'df04c66989fd32e5305752b6b5b3880f63fa48d5', 'D45106_CORR', 147, '2017-04-25 09:21:59', 'Michel Siacchitano', '[D42991] Ajout flux 07S (squash 4 bis)\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et w01_flux_rattachement\n\n[D42991] Reprise des nom de scripts de creation de tables rattachement et\n\n[D42991] correction PCK_Flux_TRT pour compil\n', '', '', '', 'michel.siacchitano@atos.net', '', '', 0),
(3587, 4, '249b1a38a23196ea858057f941365fa55ee0d806', 'D45106_CORR', 246, '2017-04-25 09:21:58', 'Olga TOINON', '[D44025] Correction du package pck_bascule_ad.sql afin de rajouter le flag_annul = 0\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3588, 4, 'b8a4aa25d2aa86467b95480a0a6a686b85fc2f16', 'D45106_CORR', 246, '2017-04-25 09:21:58', 'Olga TOINON', '[D44025] PUMA - BASCULE (squash 6)\n\n[D44025] PUMA - BASCULE (squash 7)\net renommage du defect (42497OTN devient 44025)\n\n[D42497](m10744) bascule annuelle nouveaux maj shell+sql\n\n[D42497](m10744)- Modification du shell ainsi que du script sql associé\n\n[D42497](m10598)- modification du package de bascule\n- ajout du maj_base_cir et du maj_bas_cmr\n\n[42497](m10598) Nomeclature spec afin d\'inserer des enregitrements dans plusieurs table de la CMR999\n\n[D42497]Modification du package de la bascule\n\n[D42497] Modification du package\n\n[D42497](m13598) script création des tables de nomenclature des majoc, création des grant et maj_base associé\n\n[D44025] Correction des maj_base\n\n[D44025] nettoyage de la branche avec fichier mal places.\n\n[D44025] Modification du package pck_bascule_ad.sql\n\n[D44025] Correction du package pck_bascule_ad.sql\n\n[D44025] Correction fonctions du package pck_bascule_ad\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3589, 4, '134cc13508eeafae3cbf46b819adfc94ef7f68c9', '18.0.0_TP10', 199, '2018-01-11 12:14:55', 'Bertrand FONTANEL', '[D45488] correction recherche imma pour \'PER_GRAT\'\n\n[D45488] ajout maj base\n\n[D45488] majbase 24\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3590, 4, '56630a11cb286d7a873e69676708896bb46af0a5', 'D45106_CORR2', 199, '2018-01-11 17:04:43', 'Bertrand FONTANEL', '[D45106] correction test oublié\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3591, 4, 'ee2eec5c0963afe41a2c7d226580b79f1b987c01', '18.0.0_TP10', 199, '2018-01-12 10:04:56', 'Bertrand FONTANEL', '[D45183] suppression retour chariot\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3592, 4, '8fa5ee25c3573aebc39672381938641b359fcb8c', '18.0.0_TP10', 1, '2018-01-12 14:26:46', 'Louis BAYLE', 'FIX iaydsrv0.ncl a deux endroits dans git ! (a supprimer !!!)\n\nil faut identifier quel est le bon et fixer la map\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3593, 4, '878b32e36ef6afe86bea2b482a56df410fab103e', '18.0.0_TP10', 1, '2018-01-12 16:47:21', 'Louis BAYLE', 'Revert \"[D45302] Ajout regle RG_41937_MAJOC_56 (cobol) + suppression regle RG_41937_MAJOC_54 (sql)\"\n\nThis reverts commit 4ff6feb3868fab5bbe0c094ae3dc3f032e96278e.\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3594, 4, 'dad09469442e708f2b69f8a883622b562f8b0a45', '18.0.0_TP10', 1, '2018-01-12 17:14:42', 'Louis BAYLE', 'Livraison 18.0.0_024\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3595, 4, '7afbf24017c2899d052607bbd6d2e919d8c0af7f', 'ubbconfig', 1, '2018-01-15 10:28:37', 'Louis BAYLE', 'InternalTools: ubbconfig auto update\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3596, 4, 'f6d13491c5e633d2692da5128df536bca0c3d49e', 'ubbconfig', 1, '2018-01-08 17:13:16', 'Louis BAYLE', 'move svc_tpr -> svc_TPR\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3597, 4, '89489c9233d11a9bb71d7ecdcb8b0fe13793aa6c', 'ubbconfig', 1, '2018-01-03 16:32:55', 'Louis BAYLE', 'InternalTools: simplification du putenv.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3598, 4, '9e83aa3ed5a4cd9022a7f4c1ee2b2a6c8b28bdfe', 'ubbconfig', 1, '2018-01-15 15:02:40', 'Louis BAYLE', 'InternalTools: ubbconfig.data\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3599, 4, '30e87c27db9df58632c699dbb2fa8fb89a1b6113', 'ubbconfig', 1, '2018-01-15 15:25:54', 'Louis BAYLE', 'InternalTools: ubbconfig.data\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3600, 4, '3cb4217e283608175a3d261bf5d309bacda36326', 'ubbconfig', 1, '2018-01-15 15:26:45', 'Louis BAYLE', 'InternalTools: ubbconfig auto update\n\nInternalTools: ubbconfig.data\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3601, 4, '7adf32dcf2026f30bc470dc7d31952000097d812', '18.0.0', 1, '2018-01-15 10:42:43', 'Louis BAYLE', '[D45553][D45554] Correction NTI 024\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3602, 4, '8628f499f232677bd1b1ee688b8f950bf9442421', '18.0.0', 1, '2018-01-15 10:46:34', 'Louis BAYLE', 'Livraison 18.0.0_025\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3603, 4, '33cca3445bf0bd6aa6ec8f7dd8339ce708e474ca', 'D45556', 157, '2018-01-15 15:44:56', 'Vincent GENTIL', '[D45556] MAJOC evolution du calcul du siecle de la date de naissance des ayant droit\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3604, 4, '01509654ed9bdcada183a085c1f4ab60db7f4374', 'D45556', 157, '2018-01-15 16:05:03', 'Vincent GENTIL', '[D45556] MAJOC evolution du calcul du siecle de la date de naissance des ayant droit\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3605, 4, '670135f5e7fd332f40896859746633fad1cabd3a', 'D45560', 164, '2017-10-31 11:25:47', 'Lionel Giordanengo', 'integ 18.1.0 Traitement des nomenclatures\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3606, 4, '91e1d486d15a20f96f3b409156a6b8bd8c7e93a2', 'D45560', 199, '2017-10-31 11:25:47', 'Bertrand FONTANEL', '[D44078][D45004][D45005] SFD DSI 2017\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3607, 4, '90b27e4d579e525623aecdf755a5bdab3d37a751', 'D45560', 1, '2017-10-31 11:25:47', 'Louis BAYLE', 'integ majbase 18.1.0\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3608, 4, '6a41b15f94457971b6ac4647b477e8fa4fb2ed64', 'D45560', 0, '2017-11-14 16:59:21', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.1.0_001\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3609, 4, 'b35e14f851b415653b0a3f3ee1019a9e228a34df', 'D45560', 1, '2017-12-07 11:54:55', 'Louis BAYLE', 'tools solaris : chgt du path pour les fic SAGA\n\nMail P.Lombardo:\n\nLa zone solaris t01prod a été déplacé hier matin de la zone globale\ntpro018sg vers prd960ucgz001 (emplacement définitif)\nPour les montages  il faut remplacer :\n/net/tpro018sg/export/zones/t01prod/zoneroot/root/xxx\npar\n/net/prd960ucgz001/export/zones/t01prod/zoneroot/root/xxx\n\n# Conflicts:\n#	Environnements/solaris/tools/tar_saga_file.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3610, 4, '8c6a54f95e03cd870a73e6096e5128b8528b4904', 'D45560', 164, '2017-12-20 10:09:09', 'Lionel Giordanengo', '[D45423] Passeplat Mangin : decommisionnement guide PL, enr elance amibale, NPAI tous pays, FC15R Doublons\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3611, 4, '045529ee11e0bd2c569c184a18def64afbe79426', 'D45560', 164, '2017-12-20 10:19:25', 'Lionel Giordanengo', 'Livraison 18.1.0_002\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3612, 4, 'e139db7a9d6c848a188c33c0632ca0b6920fbd1d', 'D45560', 1, '2017-12-22 15:31:11', 'Louis BAYLE', 'InternalTools: update from master (7feb980531)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3613, 4, '3ef18d30b00feb3f1b8cd994b05c6774eb5142b6', 'D45560', 1, '2017-12-22 16:38:10', 'Louis BAYLE', 'InternalTools: FIX make_env.sh\n\nregression suite a 3a35cd65b5e8\n\"internaltools ajout des pco tux non presnt dans 1_titulaire et\nmodification du script pour effacer les vieux inutiles\"\n\nLe post_tuxedo.sh va supprimer tous les .pco avant d\'extraire le tar.gz\ndonc tout ce qui a ete installe par putenv.sh est detruit.\nil manque donc les 3 .pco presentes dans TAIGA/Environnements\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3614, 4, '484d0e48c265a0dc6a28f78c03ab354482b95d1e', 'D45560', 199, '2018-01-05 11:31:50', 'Bertrand FONTANEL', '[D45417][D45432][D45435] Correction top teledecl sur annee de revenus (squash 4)\n\n[D45417] idem relances a l\'amiable\n\n[D45417] Ajout maj base\n\n[D45417] Correction cas 3\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3615, 4, '2fed7fd9b1d570a2795e3de7df9f7ffccac14548', 'D45560', 199, '2018-01-05 11:32:39', 'Bertrand FONTANEL', '[D45421][D45448][D45485] correction per_poly durant la per_acti et non l\'année (squash 6)\n\n[D45421] Ajout alias\n\n[D45421] correction volontaire poly actif\n\n[D45421] correction volontaire\n\n[D45421] ajout du and oublié\n\n[D45421] correction selection prestataire\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3616, 4, '5b0bb093ee40a4cb215b4f9ba128423312bbc58a', 'D45560', 199, '2018-01-05 11:34:07', 'Bertrand FONTANEL', '[D45433][D45492][D45449] correction regle des pensionnés (squash 3)\n\n[D45433] retour arriere radié\n\n[D45433] correction selection volontaire\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3617, 4, 'dca960706d6d6e0482c64b78aff34d1af83e7856', 'D45560', 199, '2018-01-05 11:35:07', 'Bertrand FONTANEL', '[D45496] correction teledeclarant (squash 3)\n\n[D45496] correction recherche derniere declaration pour env_papier et teledecl\n\n[D45496] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3618, 4, 'f5d630dc60a08c85f48398a65580e64d503343cd', 'D45560', 199, '2018-01-05 11:35:08', 'Bertrand FONTANEL', '[D45433] correction radiés\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3619, 4, '65ec30f79be6f3949c228b1525e29deb598da87d', 'D45560', 1, '2018-01-05 11:35:08', 'Louis BAYLE', 'majbase 18.1.0_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3620, 4, 'b05e49a833fdb41667a757a5f88cdfee1d2b286f', 'D45560', 1, '2018-01-05 11:35:08', 'Louis BAYLE', 'Livraison 18.1.0_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3621, 4, 'b8356ecd2fe717582b7f873dcfd2b0d97552f07c', 'D45560', 164, '2018-01-08 11:16:45', 'Lionel Giordanengo', 'Merge branch \'master\' into 18.1.0 (D45486)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3622, 4, 'cd3e444a93fabea5bab06084809b35a5a8139194', 'D45560', 164, '2018-01-08 11:22:50', 'Lionel Giordanengo', '[D45486] commit bidon pour RF\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3623, 4, '41c7b68d3c072150717d8332e762a778e16b1c25', 'D45560', 0, '2018-01-08 11:37:43', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.1.0_004\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3624, 4, '6e57c5c20db823b4a5aa78924f3dd168fd5b4092', 'D45560', 199, '2018-01-15 16:05:37', 'Bertrand FONTANEL', '[D45560] correction pb de compil dans l\'appel de fonction sans package du 45496\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3625, 4, '961f50ea3d3db946effecd33fd0a6179662e0405', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D45004][D45005] SFD V5Maj30\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3626, 4, 'd9447152b41c8d045f91417dc5802d608668c78c', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D45004][D45005] correction date\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3627, 4, '436876e120240d900a363c1be861c0fa553ed29f', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D45004][D45005] mise SFD V1Maj29\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3628, 4, '1aeec0e04eddf2685a8e42eae584c0a049f0f02d', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', 'DIT 18.1.0\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3629, 4, '8891ff0a217a97e6135c03f78f258d1892024d2d', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D44297] Ajout d\'un distinct\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3630, 4, 'dbcd0fa9c82d7261c72527b991a697800dea4c4b', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D45004] Suppression des tabulations\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3631, 4, '4c6c66b68c81f2c65c48dc86612ef11175d65cb8', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D45004] correction parentheses\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3632, 4, '09db919148425d4f6cc8ce746ee301e9b047d73f', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D45005] correction regle RG1_004\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3633, 4, '78360879f5337387e92c1f97df7e5cf9f6ec3345', 'D45560', 199, '2017-10-31 11:25:46', 'Bertrand FONTANEL', '[D45004] correction rÃ¨gle RG1_007 + RG6\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3634, 4, '57cd01d73f08250eb6d7fb968721ff2827200f65', 'D45560', 246, '2017-10-31 11:25:46', 'Olga TOINON', '[D44840] Ajout de la vérification de l\'exitance des fichiers avant de les renommer pour ne pas sortir en erreur du shell\n', '', '', '', 'olga.toinon@atos.net', '', '', 0),
(3635, 4, 'ba39d55a89be860d0c955b4b7bc4a6624dbfb7e0', 'D45560', 199, '2017-10-31 11:25:45', 'Bertrand FONTANEL', '[D44078] filtrage annee de declaration N-1\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3636, 4, '9e5ccec2b1b09c738ca72db36d2caf8197e1f651', 'D45560', 199, '2017-10-31 11:25:45', 'Bertrand FONTANEL', '[D44078] Relances_amiables_recommandees_SFD_V5Maj14\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3637, 4, '2b14c3c592af6cbb248dceeec6973bfcc591da9a', 'D45560', 199, '2017-10-31 11:25:45', 'Bertrand FONTANEL', '[D44078] Ajout SFD emission V5Maj32\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3638, 4, '1f3a34612808a3c2e6c4a71db744c5c6fc0b7186', 'D45560', 199, '2017-10-31 11:25:45', 'Bertrand FONTANEL', '[D43888] ajout du script des nomenclatures\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3639, 4, 'b7f39f78c217dad0f411c75663011e23b721f039', '18.1.0', 0, '2018-01-15 16:42:06', 'Giordanengo Lionel [Caisse Nationale]', '[D45544] Passe Plat P/Mangin :DSI-2017-EIC- PREPARATIFS EMISSION - CREATION DU TI97AE A PARTIR DU FA40\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3640, 4, '7a6a5cedcdb8836144c18780d32002274ce95424', '18.1.0', 0, '2018-01-15 16:43:58', 'Giordanengo Lionel [Caisse Nationale]', 'integ : maj_base\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3641, 4, '211947876cc884c2ab90b5cff73f900d192b490a', '18.1.0', 0, '2018-01-15 17:06:44', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.1.0_005\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3642, 4, '6e2540bab3f8c1e27851d828b7f66d5053c24d96', '18.1.0', 0, '2018-01-16 09:29:27', 'Giordanengo Lionel [Caisse Nationale]', '[D45561] Passe-Plat P.Mangin : DSI-2017-EIC- livraison script edi_ei_ec_raa_rar.sh\n - nouveaux parametrages internes avec composant GAB2008EDI-TAIGA\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3643, 4, '363e08869342961a551b2fb899d33e9b4129986a', '18.1.0', 0, '2018-01-16 09:33:05', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.1.0_006\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3644, 4, '5ae90ffaa0cfb6c6365adfbc6d93e4f510b6e08b', '18.2.0', 164, '2018-01-16 10:18:10', 'Lionel Giordanengo', 'Merge branch \'18.1.0\' into 18.2.0 (D45545)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3645, 4, 'fabc6aee94c7c26fbc789eefdd58c77e9ce5285d', '18.2.0', 164, '2018-01-16 10:23:21', 'Lionel Giordanengo', 'integ commit bidon pour RF (D45545)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3646, 4, 'c7afddaf2e68aa7a5835d9b05ce0df9bd3710133', '18.2.0', 1, '2018-01-03 14:00:25', 'Louis BAYLE', 'Livraison 18.2.0_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3647, 4, 'bf0b536a3a82e3f848e87a86c262c544b85b8561', '18.2.0', 199, '2018-01-03 10:02:22', 'Bertrand FONTANEL', '[D45235] guide de traitement batch v14maj8\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3648, 4, 'bb7bf2d5b2445dbbc3d0e5bf1345b0c258b91f70', '18.2.0', 199, '2018-01-03 09:58:25', 'Bertrand FONTANEL', '[D45235] DSI-INT suppresion AR Techniques\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3649, 4, '6cc8c84aac9a5def186fdde48c4f38cc4c928d76', '18.2.0', 0, '2017-12-28 11:48:19', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.2.0_002\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3650, 4, '519e33e79fa4c60057505ccf62e6d7ec57e7d2e4', '18.2.0', 164, '2017-12-28 11:41:39', 'Lionel Giordanengo', 'commit bidon pour RF dans dimension (D45493)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3651, 4, '9712587bac4e8bcf9c5074c975534a65ab66633b', '18.2.0', 72, '2017-12-28 11:17:05', 'Alain Tassotti', 'Commit bidon pour PB Fusion  DIMENSION\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3652, 4, '39bd56a403ba318684eda6666995102d7ba07eeb', '18.2.0', 164, '2017-12-28 10:11:30', 'Lionel Giordanengo', 'Merge branch \'master\' into 18.2.0 (D45493)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3653, 4, '90745fdca0947e0955e6cb440d5f79a519f337c3', '18.2.0', 164, '2017-12-20 14:37:36', 'Lionel Giordanengo', 'Livraison 18.2.0_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3654, 4, '529228af621214292f8e4464c4cf5bfefad1fb76', '18.2.0', 199, '2017-12-20 14:16:51', 'Bertrand FONTANEL', '[D45229] Ajout controle regle XU et XV\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3655, 4, '037748cd54457119ec5a4d18c14c750e16556323', '18.2.0', 72, '2017-12-20 14:16:51', 'Alain Tassotti', 'DOC - Ajout RG_CFCIDR11_07\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3656, 4, 'c497bdf83e9c9804237802718e31fb55ca78952a', '18.2.0', 72, '2017-12-20 14:16:50', 'Alain Tassotti', 'DOC  - Suppression  doublon doc  en 3B114\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3657, 4, 'a46c31ff2a6219a08c4bb3fecac3da8923fbd736', '18.2.0', 74, '2017-12-20 14:16:50', 'Isabelle Finette', '[D44149] Problème de tabulation....\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3658, 4, 'b6e3fac5cb14430945406a5cb86112cacbb9c8f1', '18.2.0', 199, '2017-12-20 14:16:50', 'Bertrand FONTANEL', '[D45229] ajout de crfdcr96\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3659, 4, 'fa65af7885605b8d6d0891e2e5416459e1228229', '18.2.0', 164, '2017-12-20 14:16:50', 'Lionel Giordanengo', 'integ : maj_base 18.2.0_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3660, 4, 'cb1555091dba30dc9b88c5ee9c7b02551a426995', '18.2.0', 164, '2017-12-20 14:16:50', 'Lionel Giordanengo', 'integ : traitement des nomenclatures specifiques\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3661, 4, '96ad7110bcd5ce3ad498c0ee17ac081b8cc81592', '18.2.0', 199, '2017-12-20 14:16:50', 'Bertrand FONTANEL', '[D44612] ajout regle 26 et 27 (squash 3)\n\n[D45612] ajout regle 26 et 27\n\n[D44612] correction numérotation defect 45612 en 44612\n\n[D44612] correction radiés\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3662, 4, '06ae218596aca617c5ec526e7acf1f96d234692d', '18.2.0', 157, '2017-12-20 14:16:50', 'Vincent GENTIL', '[D45279] LFSS2017 Evolution du calcul des cotisations ACCRE\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3663, 4, '25cc8263c04ebe6ca48021d212804a92684e670e', '18.2.0', 157, '2017-12-20 14:16:49', 'Vincent GENTIL', '[D45264] Prise en compte des revenus agricoles même si non polyactivité\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3664, 4, '27f3234dabc8cd6cf3dc6ce0805597e71832db78', '18.2.0', 199, '2017-12-20 14:16:49', 'Bertrand FONTANEL', '[D44817][45229] Cherry Picking simultané\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3665, 4, 'e30e06f7ea266212ef7bac72af0d03225d40d652', '18.2.0', 157, '2017-12-20 14:16:49', 'Vincent GENTIL', '[D45234] LFSS2016 Evolution du calcul des cotisations définitives des créateurs entreprise\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3666, 4, 'e7d7a3daee43320c75a2f52da4488a8737b259e4', '18.2.0', 199, '2017-12-20 14:16:48', 'Bertrand FONTANEL', '[D45041] DSI-INT Palliatif DSI anticipee (squash 2)\n\n[D45041] insertion table CORRESPONDANCE_RUB_DCR\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3667, 4, 'e2f8ad4dcfb96b866628787b2194dd127f9c8681', '18.2.0', 74, '2017-12-20 14:16:48', 'Isabelle Finette', '[D45229] nouveux écrans de la DSIINT 2017 + maj de la map (squash 7)\n\n[D45229] Commit intermédiaire de dev sur les nouveux écrans de la DSIINT 2017 + maj de la map\n\n[D45229] commit intermédiaire de dev\n\n[D45229] Modification Ecran Saisie Complementaire pour mise à jour spec\n\n[D45229] dev écran complémentaire\n\n[D45229] messages d\'erreur\n\n[D45229] Correction\n\n[D45229] Correction consultation\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3668, 4, '33e8253952788e38c5c5aad133b7bb47767ae540', '18.2.0', 199, '2017-12-20 14:16:48', 'Bertrand FONTANEL', '[D45038] DSI-INT maj nomenclatures (squash 5)\n\n[D45038] SFD V2Maj28\n\n[D45038] maj base cir pour mise à jour nomenclature\n\n[D45038] Ajout correspondance_rub_dcr\n\n[D45038] suppresion table correspondance\n\n[D45038] maj des nomenclatures\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3669, 4, '25bc0d5ec6857504347d0e41b93cafd57048acc2', '18.2.0', 74, '2017-12-20 14:16:48', 'Isabelle Finette', '[D44408] DSI-INT Affichage d\'une message d\'erreur lorsque de la déclaration d\'une déclaration sans revenus (squash 2)\n\n[D44408] Rajout du message d\'erreur\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3670, 4, '51aee59112f14a4028bec181054c1bccafec33ea', '18.2.0', 74, '2017-12-20 14:16:47', 'Isabelle Finette', '[D44149] DSI-INT Correction du circuit de tabulation sur l\'écran DSI2016\n', '', '', '', 'isabelle.finette@atos.net', '', '', 0),
(3671, 4, '878ba830c87d07651c5cfa09e89c5556b0e3d3c3', '18.2.0', 72, '2017-12-20 14:16:47', 'Alain Tassotti', '[DOCS]  Mise à jour des specifications de reference valdiées ( copie de la branche DSI INT Doc)\n', '', '', '', 'alain.tassotti@atos.net', '', '', 0),
(3672, 4, 'e82ccf04e75a072480076695d8994611e632c65a', '18.2.0', 164, '2018-01-16 10:33:10', 'Lionel Giordanengo', 'integ commit bidon pour RF (D45545)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3673, 4, '8440f717e0565169d777ac0da08d2c3109d5c947', '18.2.0', 0, '2018-01-16 10:35:45', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.2.0_004\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3674, 4, 'ca57e91ac02d117dd6574ee10b504c67daa8ab1d', 'D45426', 164, '2018-01-16 15:36:02', 'Lionel Giordanengo', '[D45426] factorisation des scripts maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3675, 4, '2e08ddbab42180cd29e05b370edadb0e6bcd1c2d', 'D45426', 164, '2018-01-16 16:14:12', 'Lionel Giordanengo', '[D45426] factorisation des scripts maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3676, 4, 'f613ea516e176a3f5f7818e6544be2ee19c487c6', 'master', 1, '2018-01-16 17:28:17', 'Louis BAYLE', 'InternalTools: ubbconfig auto update\n\nInternalTools: ubbconfig.data\n\nInternalTools: tuxedo_exec\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3677, 4, 'eb227926c6ccb8c7c6b6c9c63acc64ccddfe7cac', 'D45379', 199, '2018-01-17 09:53:21', 'Bertrand FONTANEL', '[D45379] evolution code profession\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3678, 4, '205bd327303d3bc588174ab96313a506f1c59a88', 'D45319', 199, '2018-01-17 11:42:10', 'Bertrand FONTANEL', '[D45319] maj nomenclature crm018b et crm018b_majoc\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3679, 4, '1430aeecd83ac7c2e40fe77550d55de97c72f667', '17.5.91', 157, '2018-01-17 16:28:33', 'Vincent GENTIL', '[D45556] MAJOC evolution du calcul du siecle de la date de naissance des ayant droit\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3680, 4, '9f55cca3b97d6ce2daafda927c7584a16d7fd887', '17.5.91', 0, '2018-01-17 17:09:24', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.5.91_001\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3681, 4, 'd4f185c47fd9c9791009e9587395408c688d5309', 'D45241', 199, '2018-01-17 23:51:06', 'Bertrand FONTANEL', '[D45241] suppression SFD V6Maj1 et ajout de la V6maj3\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3682, 4, 'c2e235cd8fcf362eba8c9ef89eefd027e3613564', 'D45241', 199, '2017-12-12 17:00:44', 'Bertrand FONTANEL', '[D45241] maj std fc30a\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3683, 4, 'eca267c72b014526c2fb4d9280e8f8ecff4fd672', 'D45241', 199, '2017-11-16 15:57:25', 'Bertrand FONTANEL', '[D45241] recuperation du top decl_teledecl\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3684, 4, '26dfd4d5ef41465377efc77af7acc9a02ccaf609', 'D45241', 199, '2018-01-18 00:08:29', 'Bertrand FONTANEL', '[D45241] modification declaration initiale\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3685, 4, '792b52b661bc067ab8b5f7c4a14e4b07d408f489', 'D45241', 199, '2018-01-18 00:10:15', 'Bertrand FONTANEL', '[D45241] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3686, 4, 'b9690b04fb76f365105cffa60a9a2152c14d15de', 'D45241', 199, '2018-01-18 00:13:51', 'Bertrand FONTANEL', '[D45241] integration SFD V6maj3 dans la spec de reference\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3687, 4, 'b34a2785ade63d4a39f98bdfca843db049522b4a', 'D45379', 199, '2018-01-18 08:51:35', 'Bertrand FONTANEL', '[D45379] ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3688, 4, '2d3c9a25870d6117c864592fd2f34d044b0fe60b', 'D45516', 199, '2018-01-15 13:59:51', 'Bertrand FONTANEL', '[D45516] modification du nir dans les alertes\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3689, 4, 'c0da0b6c1f367093c684392586562ece98ee48fe', 'D45516', 199, '2018-01-18 09:37:28', 'Bertrand FONTANEL', '[D45516] correction paranthèses de sélection\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3690, 4, '620dfdb7cf230dbbff87280c2683aa0f38cba2cc', '18.2.0', 1, '2018-01-18 13:53:59', 'Louis BAYLE', '[D45577] DSI_2017_EIC- Changement de nom FA83S en amont de IJCRIB25.sh - correction QC 45575\n\npasse-plat mangin\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3691, 4, 'd880a45806be43615bfc86784730f0e8706fc488', '18.2.0', 1, '2018-01-18 14:08:54', 'Louis BAYLE', 'Livraison 18.2.0_005\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3692, 4, '6a57cd24269d32d1cdedcfe81ca59fa2064fe726', '18.1.0', 1, '2018-01-18 14:59:34', 'Louis BAYLE', '[D45577] DSI_2017_EIC- Changement de nom FA83S en amont de IJCRIB25.sh - correction QC 45575\n\npasse-plat mangin\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3693, 4, 'fc7d4bd18ea51734d8b6d33658a707ac7a8b71e1', '18.1.0', 1, '2018-01-18 15:06:23', 'Louis BAYLE', 'Livraison 18.1.0_007\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3694, 4, 'e931af32038cd698f70b71278fd6525047f0a1d4', 'D45557', 157, '2018-01-19 10:38:51', 'Vincent GENTIL', '[D45557] RDD modification du siecle de naissance des AD\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3695, 4, '0df2a458eef10bd4011e87a21333f5e30aca2ad9', 'D44788_rebased_master', 157, '2018-01-19 16:02:02', 'Vincent GENTIL', '[D44788] correction recherche des calculs anciens suite a la fusion PL\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3696, 4, '87aea71aef13284aca934d9e81d24cdeae268bf3', 'D44788_rebased_master', 157, '2018-01-19 16:03:42', 'Vincent GENTIL', '[D44788] correction pour debloquer dossiers motif spoc31\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3697, 4, '6a0d3f067ac824592a51ebfa4cdb0c7f87317e50', '18.0.0_R3', 157, '2018-01-22 10:23:29', 'Vincent GENTIL', '[D45297] correction requete ajout colonnes benfid dans rapport\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3698, 4, 'df3ed9412fe92b0200b6a256e929609678900ac2', '18.0.0_R3', 157, '2018-01-22 10:23:29', 'Vincent GENTIL', '[D45299] Correction pal_qc_43795 ajout benf_id fichier resultat\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3699, 4, '79f5279a9372554cd9243c383c9efd43a7d2d89a', '18.0.0_R3', 157, '2018-01-22 10:23:29', 'Vincent GENTIL', '[D45415] 45416 correction oc sur 3 caracteres\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3700, 4, '3d74c7cdcf65578f5f6b0e1ef0afd0ab9af9b1a2', '18.0.0_R3', 157, '2018-01-22 10:23:30', 'Vincent GENTIL', '[D45434] Correction calcul date effet du code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3701, 4, '55762133da476e81b2889b0f493f38c2a50b3ebc', '18.0.0_R3', 157, '2018-01-22 10:23:30', 'Vincent GENTIL', '[D45437] Correction calcul code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3702, 4, '96e4576c2443b803670c89c7a20cbc5ab2abe994', '18.0.0_R3', 199, '2018-01-22 10:23:31', 'Bertrand FONTANEL', '[D45438] Ajout ASSU pour la gestion RE_ID\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3703, 4, 'c144cb136f7383054efe8323eff8d9f9846ceb1a', '18.0.0_R3', 199, '2018-01-22 10:23:31', 'Bertrand FONTANEL', '[D45438] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0);
INSERT INTO `mantis_plugin_source_changeset_table` (`id`, `repo_id`, `revision`, `branch`, `user_id`, `timestamp`, `author`, `message`, `info`, `parent`, `ported`, `author_email`, `committer`, `committer_email`, `committer_id`) VALUES
(3704, 4, '4e630996bde533e91abc1bac1482e1846bcbf45c', '18.0.0_R3', 199, '2018-01-22 10:23:31', 'Bertrand FONTANEL', '[D45319] maj nomenclature crm018b et crm018b_majoc\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3705, 4, '183859ef2cb3df899f61868ea7064884b72179d5', '18.0.0_R3', 157, '2018-01-22 10:34:31', 'Vincent GENTIL', '[D45385] Evolution calcul code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3706, 4, '3a65a208abb6e84c881c36da45c8470dac9ba694', '18.0.0_R3', 199, '2018-01-22 10:41:14', 'Bertrand FONTANEL', '[D45447] Pas de tentative de creation de spoc61 si pas d\'entreprise principale\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3707, 4, 'fd1b07cb38c4771f4dc56a5a399f6168c1a7c091', '18.0.0_R3', 199, '2018-01-22 10:41:19', 'Bertrand FONTANEL', '[D45447] ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3708, 4, '86785afdfd36c643fd25a5b60442d791d757b11c', '18.0.0_R3', 199, '2018-01-22 10:41:23', 'Bertrand FONTANEL', '[D45447] deplacement du controle\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3709, 4, '69ca9cb95ca7155010f4412882a757870d7c3291', '18.0.0_R3', 199, '2018-01-22 10:42:04', 'Bertrand FONTANEL', '[D45457] correction cas de la suppression d\'un ayant-droit\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3710, 4, '89b6a0277ea701238caa137d7c990d15b0748641', '18.0.0_R3', 199, '2018-01-22 10:43:04', 'Bertrand FONTANEL', '[D45457] Correction selection evt 10\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3711, 4, 'ff222550b4e1196ca9281c25891fb4ada1842c05', '18.0.0_R3', 199, '2018-01-22 10:43:35', 'Bertrand FONTANEL', '[D45457] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3712, 4, '1810c992d292eff5bf318d7e1fbe38d463ab5ff7', '18.0.0_R3', 199, '2018-01-22 10:52:04', 'Bertrand FONTANEL', '[D45490] correction code regime = 40\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3713, 4, '1bad2751286cc86616b2e22ac7ccad3ca452d2dc', '18.0.0_R3', 199, '2018-01-22 10:52:31', 'Bertrand FONTANEL', '[D45490] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3714, 4, 'b8c66a2bb27367641276de461ccdcf5e50611b7b', '18.0.0_R3', 199, '2018-01-22 10:55:44', 'Bertrand FONTANEL', '[D45516] modification du nir dans les alertes\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3715, 4, '272a6b102acae756f9859c5b1a29055d884f313c', '18.0.0_R3', 199, '2018-01-22 10:56:01', 'Bertrand FONTANEL', '[D45516] correction paranthèses de sélection\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3716, 4, 'cb6bb9b508d54fa025d785a1d0d0ab883f681c8c', '18.0.0_R3', 157, '2018-01-22 10:58:17', 'Vincent GENTIL', '[D45523] ajout codes regime 61 et 68\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3717, 4, '13f327a52b3517c85e1c12b9d513ca28aa01c30f', '18.0.0_R3', 164, '2018-01-22 11:44:03', 'Lionel Giordanengo', 'integ : DIT 18.0.0_R3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3718, 4, '51dbc685ad46617884617aefc21ff9426c9c0331', '18.0.0_R3', 199, '2018-01-22 11:48:04', 'Bertrand FONTANEL', '[D45447] Pas de tentative de creation de spoc61 si pas d\'entreprise principale (squash3)\n\n[D45447] ajout maj base\n\n[D45447] deplacement du controle\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3719, 4, 'd504e7988994e8fe594c4214571cf66d4ce08df6', '18.0.0_R3', 199, '2018-01-22 11:48:21', 'Bertrand FONTANEL', '[D45457] correction cas de la suppression d\'un ayant-droit (squash 3)\n\n[D45457] Correction selection evt 10\n\n[D45457] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3720, 4, '0465c04867540c3154cc8da86fca690d5c3ac049', '18.0.0_R3', 199, '2018-01-22 11:48:52', 'Bertrand FONTANEL', '[D45490] correction code regime = 40 (squash 2)\n\n[D45490] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3721, 4, 'd375985ca0564a6a530ab389e9e4f89a5e808930', '18.0.0_R3', 199, '2018-01-22 11:49:10', 'Bertrand FONTANEL', '[D45516] modification du nir dans les alertes (squash 2)\n\n[D45516] correction paranthèses de sélection\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3722, 4, '4fa90f0e282eb47069f0a5dfc29b9999358fabf9', '18.0.0_R3', 157, '2018-01-22 11:50:34', 'Vincent GENTIL', '[D45523] ajout codes regime 61 et 68\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3723, 4, '6aa244f8781ed0669987f0a2474eb0ef42135f82', '18.0.0_R3', 164, '2018-01-22 11:50:35', 'Lionel Giordanengo', 'integ : DIT 18.0.0_R3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3724, 4, '2e828f83b12f1862f4df698a3a5c653d91b116c9', 'D123', 450, '2018-01-22 12:08:36', 'Vuthy SREY', '[D123] modif d\'un commentaire\n', '', '', '', 'vuthy.srey.external@atos.net', '', '', 0),
(3725, 4, 'febc09448271e89451e2602c6f04aad81bb47a3f', 'D123', 450, '2018-01-22 12:16:46', 'Vuthy SREY', '[D123] suppr comment\n', '', '', '', 'vuthy.srey.external@atos.net', '', '', 0),
(3726, 4, '5512fb73c639ba94fe5cd842eb3ad0957967ff34', 'D45591', 157, '2017-11-28 10:37:44', 'Vincent GENTIL', '[D44615] Modification delta suppression adresse correspondance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3727, 4, 'f0f51ab430a986ed511d84c8966ca7ba82aadcc7', 'D45591', 199, '2017-11-28 10:43:20', 'Bertrand FONTANEL', '[D45121] Ajout de INSERT INTO CONNEXIONS\n\n[D45121] Ajout maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3728, 4, '92ac9592bc4aace928477ee0cb3a713ac45f9177', 'D45591', 1, '2017-11-28 10:43:20', 'Louis BAYLE', 'majbase 18.1.50_01\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3729, 4, '083cc6b4ea912c8426518f52aba4d8cdffda09a9', 'D45591', 199, '2017-11-28 10:43:20', 'Bertrand FONTANEL', '[D45127] top_mansaga table nir_nip\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3730, 4, '2ac07a1952256eeae53783b5a1dfa2b8bddaf75e', 'D45591', 1, '2017-11-28 10:43:20', 'Louis BAYLE', 'majbase 18.1.50_01 (45127)\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3731, 4, '91bf1af4704fb4b4039710f367d7a2b4fe137ebf', 'D45591', 164, '2017-11-28 10:43:21', 'Lionel Giordanengo', 'DIT 18.1.50\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3732, 4, 'a3c2ea00da57a628a4507a68bc8da4e2b3a5d3c4', 'D45591', 164, '2017-11-28 10:43:21', 'Lionel Giordanengo', 'integ correction du maj_base errone\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3733, 4, '94e23aeae4272a38a9e6ecaa21cd6b4ca9e695b8', 'D45591', 164, '2017-11-28 11:26:17', 'Lionel Giordanengo', 'Livraison 18.1.50_001\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3734, 4, '15691500c1dd6832a7b280f34cec11f83eb88a5f', 'D45591', 164, '2017-12-18 15:35:59', 'Lionel Giordanengo', 'Merge branch \'master\' into 18.1.50 (D45452)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3735, 4, 'be87309c94ba0386c300e578b9049bc56fee3544', 'D45591', 1, '2018-01-03 15:11:44', 'Louis BAYLE', 'Merge branch \'master\' (17.5.90) into 18.1.50\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3736, 4, 'dd1a895d1218d80430a34424e109c733676f5c44', 'D45591', 1, '2018-01-03 15:13:50', 'Louis BAYLE', 'Commit bidon pour RF\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3737, 4, '1644f4ecbe988458d434788af4ead652e8d55998', 'D45591', 1, '2018-01-03 15:34:46', 'Louis BAYLE', 'maj_base pour commit bidon RF\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3738, 4, '077a6354eafdad90412033f831d02800dac7c37f', 'D45591', 1, '2018-01-03 15:39:52', 'Louis BAYLE', 'Livraison 18.1.50_002\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3739, 4, '5abeb0e60b4cefc7c667b68ed584859c6a99dff9', 'D45591', 1, '2018-01-05 10:09:55', 'Louis BAYLE', 'Commit bidon pour Dimensions\n\noubli de cocher la case RF lors de la dernière livraison...\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3740, 4, '53064cc29ca91ef42d298a0840d60efb9802e966', 'D45591', 1, '2018-01-05 10:21:30', 'Louis BAYLE', 'Livraison 18.1.50_003\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3741, 4, 'a322c0e9c447941d7716d71e19e4f42fae01805b', 'D45591', 1, '2018-01-08 09:53:50', 'Louis BAYLE', '[D45517] maj_base_cmr au lieu de maj_base_cir\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3742, 4, '97dd2ac72d36cbf5172191ff34fec2afaf7e6ca5', 'D45591', 1, '2018-01-08 10:08:01', 'Louis BAYLE', 'Livraison 18.1.50_004\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3743, 4, 'd4326547e1b7e2dcb2999fe3b1ffcb9d21394e07', 'D45591', 157, '2018-01-09 14:07:08', 'Vincent GENTIL', '[D45459] Modification delta correction suppression adresse correspondance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3744, 4, 'ddedff0532ff7ff63af13c08b430987abcd3c8be', 'D45591', 0, '2018-01-09 14:38:53', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.1.50_006\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3745, 4, 'd97fc1c02be5a589f1f0277bf405c41702ed6801', 'D45591', 199, '2018-01-22 15:46:31', 'Bertrand FONTANEL', '[D45591] correction initialisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3746, 4, '9c8ec60d53d6dd4c77a74bf71bc6f89a72fd674b', '18.0.0_R3', 164, '2018-01-22 16:08:45', 'Lionel Giordanengo', '[D45426] factorisation des scripts maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3747, 4, '041194769336eae9d171c0515c779cc76eb2708b', '18.0.0_R3', 164, '2018-01-22 16:24:11', 'Lionel Giordanengo', 'integ maj_base 18.0.0_R3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3748, 4, 'dc1796697509142043881ba59098c994f85cc824', 'D45591', 199, '2018-01-22 16:31:40', 'Bertrand FONTANEL', '[D45591] correciton lien avec benf\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3749, 4, '75c0cb9c9aff9b4fc3d603be211f803578870509', 'D45569', 157, '2018-01-22 16:32:25', 'Vincent GENTIL', '[D45569] correction recherche cotisation precedente si notif et appel le meme jour\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3750, 4, '05224117533993bd6143fc75d50bb0603dcf82ae', 'D45191', 199, '2018-01-23 08:06:23', 'Bertrand FONTANEL', '[D45191] evolution RG_PUMA_MAJOC_010\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3751, 4, '9a875c5419aa785dd3c8cf84f88c6762d5ec5f7d', '18.1.0', 0, '2018-01-23 09:51:01', 'Giordanengo Lionel [Caisse Nationale]', '[D45597] passe plat Mangin : DSi-2017-EM-livraison cioccxv61-fa83a.sh pour\n prise en charge FA83S et TI97 horodatés sous FC_A_TRAITER - livraison composants vers QI\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3752, 4, '74511e065bf6233a9a6950e5d95c86cfd81001ce', '18.1.0', 0, '2018-01-23 09:56:16', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.1.0_008\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3753, 4, '14635dd36f21a01ed0f68d0d4633375016108ef6', '18.0.0', 1, '2018-01-23 09:59:13', 'Louis BAYLE', '[D45405] cobol dans le mauvais chapitre\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3754, 4, '0045aef5deae654240c8f5a40e670dfa75a6bbfc', '18.2.0', 164, '2018-01-23 10:48:02', 'Lionel Giordanengo', 'Merge branch \'18.1.0\' into 18.2.0\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3755, 4, 'a554cb11e9fa5955a5b187ecd79d549d819e269a', '18.2.0', 164, '2018-01-23 14:14:51', 'Lionel Giordanengo', '[D45598] commit bidon pour RF\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3756, 4, 'ab63a614dac4325ee0630cad5d7cec48fde7f0c0', '18.2.0', 0, '2018-01-23 14:35:09', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 18.2.0_006\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3757, 4, '73bbc3d6b6f0387733f208b55b71136d539f786d', 'master', 164, '2018-01-23 15:05:33', 'Lionel Giordanengo', 'Merge branch \'17.5.91\' into master\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3758, 4, '1e406996f3bc688d1b5fe91fd62d81c76bfe9e2d', '17.5.60', 164, '2018-01-23 15:08:21', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.5.60 (D45599)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3759, 4, '88c10ed183a6612c2c51bc5a3ef249b720ad1aed', '17.5.60', 0, '2018-01-09 10:28:35', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.5.60_002 (17.5.95 apres glissement DIMENSION)\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3760, 4, '7e62b2ae5de8e97b5902a93b72f9db830d77d75e', '17.5.60', 0, '2018-01-09 10:18:28', 'Giordanengo Lionel [Caisse Nationale]', '[D45513] passe plat P.Mangin : TRAM-PL : débiteurs ISU qui devient débiteurs ISU et PL - livraison  QI17.5.60 vers QI\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3761, 4, '70b4d22c6c8cac00f9c04c2c82508ebf8fc0c2e7', '17.5.60', 1, '2018-01-03 15:20:25', 'Louis BAYLE', 'Merge branch \'master\' (17.5.90) into 17.5.60\n\n# Conflicts:\n#	1_titulaire/consignes/Note technique integration.doc\n#	1_titulaire/livraison_TAIGA.txt\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3762, 4, '5ad88c47a29d23260b92ad300e7a7b0ba950c4c5', '17.5.60', 164, '2017-12-18 15:33:29', 'Lionel Giordanengo', 'Merge branch \'master\' into 17.5.60 (D45452)\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3763, 4, '42cd24043f69f96a898cef450542b581e1bcfeeb', '17.5.60', 0, '2017-11-07 14:41:50', 'Giordanengo Lionel [Caisse Nationale]', 'Livraison 17.5.60_001\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3764, 4, '1357795d3f4fb827b93eaa2fbbbbd85efd156afb', '17.5.60', 0, '2017-11-07 14:33:03', 'Giordanengo Lionel [Caisse Nationale]', '[D45252] PassePlat Mangin : TRAM-PL : débiteurs ISU qui devienne débiteurs ISU et PL\n', '', '', '', 'Lionel.Giordanengo-ext@rsi.fr', '', '', 0),
(3765, 4, '2568e234a8569c985a48b523ff9399ba1ffe8b82', 'D45569', 157, '2018-01-23 15:30:46', 'Vincent GENTIL', '[D45569] correction recherche cotisation precedente si notif et appel le meme jour\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3766, 4, 'cae09337f72c97a67062a098123c2a53b15af7c0', 'D45191', 199, '2018-01-23 15:39:10', 'Bertrand FONTANEL', '[D45191] ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3767, 4, '00ee58c40dbc32ee7c8777e32c9477c476cb4bd0', 'NTI_V2', 1, '2018-01-23 23:15:47', 'Louis BAYLE', 'Note_technique_integration_V2.0.0.docx (template)\n\ntestNTI.pl: sauvrgarde des recherches perl OLE\n\nListe des bookmarks de la NTI:\nTABLE_NSDK_DEV\nTABLE_NSDK_EXPL\nTABLE_NSDK_OFFICE\nTABLE_NSDK_TUXEDO\nTABLE_ORACLE_SCRIPTS\nTABLE_ORACLE_MAJBASE\nTABLE_ORACLE_SEQENCES\nTABLE_ORACLE_NOMENCLATURES\nTABLE_ORACLE_PALLIATIFS\nTABLE_DELTA_UNIX\nTABLE_UX_CIR_BATCH\nTABLE_UX_CIR_SHELLS\nTABLE_UX_CIR_TUXEDO\nTABLE_UX_CMR_TUXEDO\nTABLE_UX_CMR_SHELLS\nTABLE_UX_CMR_PALLIATIFS\nTABLE_COPY_SOLARIS\nTABLE_COBOL_SOLARIS\nTABLE_SHELL_SOLARIS_CONFIG\nTABLE_SHELL_SOLARIS_COMPIL\nTABLE_SHELL_SOLARIS_SHELLS\nTABLE_ANNEXE_CKSUM_INSTALL\nTABLE_ANNEXE_CKSUM_INTEG\nTABLE_ANNEXE_CKSUM_SUPPR\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3768, 4, 'c8ef972742e4da477bd61a82645493744c7267d5', '18.0.0_R3', 157, '2018-01-24 17:07:16', 'Vincent GENTIL', '[D45297] correction requete ajout colonnes benfid dans rapport\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3769, 4, '4ae48c41207bfc7dcfb659033e9539015ea15df9', '18.0.0_R3', 157, '2018-01-24 17:07:16', 'Vincent GENTIL', '[D45299] Correction pal_qc_43795 ajout benf_id fichier resultat\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3770, 4, '9f345bc1a1b8cdee9dd8f7229a40a6d45e39e8c0', '18.0.0_R3', 157, '2018-01-24 17:07:16', 'Vincent GENTIL', '[D45415] 45416 correction oc sur 3 caracteres\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3771, 4, '02b7536f01332b7f415ef4fecc80e8ca74d5348c', '18.0.0_R3', 157, '2018-01-24 17:07:16', 'Vincent GENTIL', '[D45434] Correction calcul date effet du code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3772, 4, '9b7f3aaee24213ffcfb386c28eb3684875e946fe', '18.0.0_R3', 157, '2018-01-24 17:07:16', 'Vincent GENTIL', '[D45437] Correction calcul code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3773, 4, '319bef4e03752bab6de0222f0c66782c46c160bc', '18.0.0_R3', 199, '2018-01-24 17:07:17', 'Bertrand FONTANEL', '[D45438] Ajout ASSU pour la gestion RE_ID\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3774, 4, '76d87be32fd1ec0bff321f1dd0dfdcd435a6ea03', '18.0.0_R3', 199, '2018-01-24 17:07:17', 'Bertrand FONTANEL', '[D45438] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3775, 4, 'b82fe022bcf3e8b0c19fc8ae84a014b0d0cc29da', '18.0.0_R3', 199, '2018-01-24 17:07:17', 'Bertrand FONTANEL', '[D45319] maj nomenclature crm018b et crm018b_majoc\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3776, 4, '22cfe87116f854d49e18ab88994015b0baaa6daa', '18.0.0_R3', 157, '2018-01-24 17:07:17', 'Vincent GENTIL', '[D45385] Evolution calcul code régime SAGA pour PUMA\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3777, 4, 'cbd8d936032d2017154e9bd8aa4791ff01debeb2', '18.0.0_R3', 199, '2018-01-24 17:07:17', 'Bertrand FONTANEL', '[D45447] Pas de tentative de creation de spoc61 si pas d\'entreprise principale (squash3)\n\n[D45447] ajout maj base\n\n[D45447] deplacement du controle\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3778, 4, '64af18ef7851a4b7fda51f75102d801d0af0e59a', '18.0.0_R3', 199, '2018-01-24 17:07:17', 'Bertrand FONTANEL', '[D45457] correction cas de la suppression d\'un ayant-droit (squash 3)\n\n[D45457] Correction selection evt 10\n\n[D45457] correction maj base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3779, 4, 'fd3b48de7c2a858f6fd5e2081cbc22f528f0adba', '18.0.0_R3', 199, '2018-01-24 17:07:17', 'Bertrand FONTANEL', '[D45490] correction code regime = 40 (squash 2)\n\n[D45490] Ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3780, 4, '7f93fabf264bcd5f160f82f47b45c5d082ac2520', '18.0.0_R3', 199, '2018-01-24 17:07:17', 'Bertrand FONTANEL', '[D45516] modification du nir dans les alertes (squash 2)\n\n[D45516] correction paranthèses de sélection\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3781, 4, '4eb1e499b4addee2642e409dc110a36a665a090f', '18.0.0_R3', 157, '2018-01-24 17:07:17', 'Vincent GENTIL', '[D45523] ajout codes regime 61 et 68\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3782, 4, '5ac201f538c137d0fc399a3c0642adaad9e6f5c4', '18.0.0_R3', 164, '2018-01-24 17:07:17', 'Lionel Giordanengo', 'integ : DIT 18.0.0_R3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3783, 4, '637b7c5d48a30c2e73ff43a112b2c34591710bad', '18.0.0_R3', 164, '2018-01-24 17:07:17', 'Lionel Giordanengo', '[D45426] factorisation des scripts maj_base\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3784, 4, 'c4130464904fdc572297d8f2921f028e4b7173e2', '18.0.0_R3', 164, '2018-01-24 17:07:18', 'Lionel Giordanengo', 'integ maj_base 18.0.0_R3\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0),
(3785, 4, 'c1fcf57ad69582be4f775a05d4b161d56166f619', '18.0.0_R3', 199, '2018-01-24 17:07:18', 'Bertrand FONTANEL', '[D45191] evolution RG_PUMA_MAJOC_010\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3786, 4, '48d829c1e73fbe9f71eed38bd2ac5cf7d0eb6966', '18.0.0_R3', 1, '2018-01-24 17:07:18', 'Louis BAYLE', 'majbase 18.0.0_026\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3787, 4, '36a6037fd61f4a8b44070cdbe32e13b6f22e1d97', 'NTI_V2', 1, '2018-01-23 23:23:38', 'Louis BAYLE', 'Livraison 19.0.0_001 prep\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3788, 4, '58407910af98295176b434dc89b6ace1cff66c9c', 'NTI_V2', 1, '2018-01-24 11:42:20', 'Louis BAYLE', 'updateNTI_v2.pl mail loop\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3789, 4, 'e71d46b49c74f1200f793cd357a67075d414b192', 'NTI_V2', 1, '2018-01-24 16:51:15', 'Louis BAYLE', 'NTI regEx\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3790, 4, 'cdf47f4c78876ca3362b2efb6b29a8706ee898ae', 'NTI_V2', 1, '2018-01-25 13:44:18', 'Louis BAYLE', 'updateNTI.pl: change text color in cell\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3791, 4, '913a9dbfd8d9d2ba4d18aac82aa98cbcf20c0122', 'NTI_V2', 1, '2018-01-25 15:59:36', 'Louis BAYLE', 'NTI docx add ERR_NO_REGEX\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3792, 4, 'aa98387e93ee7d94f0867b8ffcc84761b5045e4e', 'NTI_V2', 1, '2018-01-25 16:09:04', 'Louis BAYLE', 'tmp\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3793, 4, 'ece772466426061b070d2d8aeaab96569e00fcd4', 'NTI_V2', 1, '2018-01-25 16:10:43', 'Louis BAYLE', 'updateNTI_v2.pl mail loop\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3794, 4, '34e628c97ea4abfc5db76c2f41d85c363f4609cf', 'NTI_V2', 1, '2018-01-25 16:10:44', 'Louis BAYLE', 'NTI regEx\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3795, 4, 'f2b33a49b546c98507251990206a97ff6aeb34df', 'NTI_V2', 1, '2018-01-25 16:10:44', 'Louis BAYLE', 'updateNTI.pl: change text color in cell\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3796, 4, 'dab6e6398a976e6d09c08d21291ae86d98eaab04', 'NTI_V2', 1, '2018-01-25 16:10:44', 'Louis BAYLE', 'NTI docx add ERR_NO_REGEX\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3797, 4, 'c721097c6669e494e655f7afb3550369cccb0db4', 'NTI_V2', 1, '2018-01-25 16:10:45', 'Louis BAYLE', 'tmp\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3798, 4, '43affd0fe9e4ca03063971c75efa988b2d4a9793', 'D45253', 0, '2018-01-25 18:21:50', 'Vincent-Pierre LYS', '[D45253] correction de la règle RG_RAD_SANS_PROLONG_01 Avant TU....\n', '', '', '', 'Vincent-pierre.Lys@le-rsi.fr', '', '', 0),
(3799, 4, '8d728b860af521fbe9abd9441401d5f9581c0a25', 'NTI_V2', 1, '2018-01-25 16:12:09', 'Louis BAYLE', 'Note_technique_integration_V2.0.0.docx (template)\n\ntestNTI.pl: sauvrgarde des recherches perl OLE\n\nListe des bookmarks de la NTI:\nTABLE_NSDK_DEV\nTABLE_NSDK_EXPL\nTABLE_NSDK_OFFICE\nTABLE_NSDK_TUXEDO\nTABLE_ORACLE_SCRIPTS\nTABLE_ORACLE_MAJBASE\nTABLE_ORACLE_SEQENCES\nTABLE_ORACLE_NOMENCLATURES\nTABLE_ORACLE_PALLIATIFS\nTABLE_DELTA_UNIX\nTABLE_UX_CIR_BATCH\nTABLE_UX_CIR_SHELLS\nTABLE_UX_CIR_TUXEDO\nTABLE_UX_CMR_TUXEDO\nTABLE_UX_CMR_SHELLS\nTABLE_UX_CMR_PALLIATIFS\nTABLE_COPY_SOLARIS\nTABLE_COBOL_SOLARIS\nTABLE_SHELL_SOLARIS_CONFIG\nTABLE_SHELL_SOLARIS_COMPIL\nTABLE_SHELL_SOLARIS_SHELLS\nTABLE_ANNEXE_CKSUM_INSTALL\nTABLE_ANNEXE_CKSUM_INTEG\nTABLE_ANNEXE_CKSUM_SUPPR\n\nupdateNTI_v2.pl mail loop\n\nNTI regEx\n\nupdateNTI.pl: change text color in cell\n\nNTI docx add ERR_NO_REGEX\n\ntmp\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3800, 4, 'a500a82fc4a862b8543dc40229678031093355b4', 'NTI_V2', 1, '2018-01-25 18:35:10', 'Louis BAYLE', 'git_extract_taiga.sh\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3801, 4, 'bb48c92d4d8d1998a9c8fafa496417065d82b078', 'NTI_V2', 1, '2018-01-25 18:35:25', 'Louis BAYLE', 'handle deleted files\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3802, 4, 'cf315aa00f565e16daab25ec74df9f6b3bff801d', 'NTI_V2', 1, '2018-01-26 00:17:34', 'Louis BAYLE', 'handle maj_base\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3803, 4, '03ee1cfe34a2faf9c38de10b60e8e517a627811b', 'NTI_V2', 1, '2018-01-26 00:17:44', 'Louis BAYLE', 'fix regEx parsing order\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3804, 4, '6b9ba98b2537bf37a8e73fe5c6b41231228a24a0', 'NTI_V2', 1, '2018-01-26 00:18:01', 'Louis BAYLE', 'f_processChecksumList\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3805, 4, 'bddaf48109999445fae07ec8ce90962937224345', 'NTI_V2', 1, '2018-01-26 00:51:08', 'Louis BAYLE', 'perl input params\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3806, 4, '3ac7e30116350063bd5318043c2c12335c0f5c99', 'NTI_V2', 1, '2018-01-26 01:02:53', 'Louis BAYLE', 'update fields in word doc\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3807, 4, 'fee5d7b4e5249b641fd6cffbf8299182c7e6eb5a', 'D45592', 157, '2018-01-24 16:10:48', 'Vincent GENTIL', '[D45592] Correction delta suppression adresse correspondance\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3808, 4, '84415cc6f585647a3b6bb08601851b7ffeeabbdf', 'TAIGA_PALL_1.8.2', 157, '2018-01-26 11:56:56', 'Vincent GENTIL', '[D45557] RDD modification du siecle de naissance des AD\n', '', '', '', 'vincent.gentil@atos.net', '', '', 0),
(3809, 4, 'cba68f7f9fe16e977b6412100c5acaeb4d54a5be', 'TAIGA_PALL_1.8.2', 1, '2018-01-26 12:15:17', 'Louis BAYLE', '[D45557] move to TAIGA_PALL\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3810, 4, '915ba140a8c4c4e7ad1bf66e4e643faaeaeb4d86', 'TAIGA_PALL_1.8.2', 1, '2018-01-26 12:20:21', 'Louis BAYLE', 'Livraison 1.8.2_001\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3811, 4, '18b3591da901cc887721968f94c6146c6733e638', 'D45319_CORR1', 199, '2018-01-26 13:48:37', 'Bertrand FONTANEL', '[D45319] ajout modif crm008a\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3812, 4, 'ee61fa2fc73e7b7cf7b424eedf5b20b71f38fdc0', 'D45510', 199, '2018-01-17 23:47:10', 'Bertrand FONTANEL', '[D45510] correction evt droit obligatoire attention au merge requete deplacÃƒÆ’Ã‚Â©e\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3813, 4, '9a03fc394b5685d104f19672262950a249e0afaf', 'D45510', 199, '2018-01-18 08:51:04', 'Bertrand FONTANEL', '[D45510] correction boucle folle\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3814, 4, '32fc7dea2ddd5d5b420b41998b4fab274f17ea91', 'D45510', 199, '2018-01-26 14:52:05', 'Bertrand FONTANEL', '[D45510] finalisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3815, 4, 'b79072a70ad0c523cf6aca77f5ae765777fd80c4', 'D45510', 199, '2018-01-26 15:03:42', 'Bertrand FONTANEL', '[D45510] correction evt droit obligatoire attention au merge requete deplacÃƒÆ’Ã‚Â©e\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3816, 4, '2d61452d6856d0c077dbb50858df61e8ec5afbb0', 'D45510', 199, '2018-01-26 15:03:42', 'Bertrand FONTANEL', '[D45510] correction boucle folle\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3817, 4, '7325f1fffa5c0e267138cfa8324c973d32bb5aca', 'D45510', 199, '2018-01-26 15:03:43', 'Bertrand FONTANEL', '[D45510] finalisation\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3818, 4, '96e70ba1a1b938c56d63d883fd16164238931d39', 'D45510', 199, '2018-01-26 15:06:23', 'Bertrand FONTANEL', '[D45510] ajout maj_base\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3819, 4, '857fb08565dfad3393128d7339ab9997f65a446b', 'D45510', 199, '2018-01-26 15:26:20', 'Bertrand FONTANEL', '[D45510] modification evt 6\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3820, 4, '9f7a2b978f437a038d3cd8bcbd88c9e0670bbe75', 'D45510', 199, '2018-01-28 15:38:08', 'Bertrand FONTANEL', '[D45510] correction du champs top_traitement\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3821, 4, 'c7e4a25cc52666aa3bed7f950ebf2b9bfe694b8b', 'NTI_V2', 1, '2018-01-29 01:08:23', 'Louis BAYLE', 'NTI add product as input param\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3822, 4, '3be63b2b461bcf04633875df924b81d2e9081156', 'NTI_V2', 1, '2018-01-29 01:34:45', 'Louis BAYLE', 'desc defect ALM\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3823, 4, '95ce79f1c349e57d444b1e35ee4968ec61dd6f29', 'D45391', 199, '2018-01-26 13:12:59', 'Bertrand FONTANEL', '[D45391] creation cobol KFBMJ20\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3824, 4, '86a24f456004ed8527594d17694e65be03c178a7', '18.0.0_R3', 199, '2018-01-29 10:28:14', 'Bertrand FONTANEL', '[D45510] correction evt droit obligatoire attention au merge requete deplacee (squash 6)\n\n[D45510] correction boucle folle\n\n[D45510] finalisation\n\n[D45510] ajout maj_base\n\n[D45510] modification evt 6\n\n[D45510] correction du champs top_traitement\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3825, 4, 'f607cd838da9b2409e9bc7ebc4c80644f7e8ae76', '18.0.0_R3', 199, '2018-01-29 10:49:40', 'Bertrand FONTANEL', '[D45319] ajout modif crm008a\n', '', '', '', 'bertrand.fontanel@atos.net', '', '', 0),
(3826, 4, 'a60d0316389f4fdafa2c3e20b039d04fb55e50da', '18.0.0_R3', 1, '2018-01-29 14:06:26', 'Louis BAYLE', 'update nomenclaturesSpec_V18.0.0.sql\n\najout: D43955, D44856, D45181, D45295, D45319\n\npreced maj: 35aed0b221\n', '', '', '', 'louis.bayle@atos.net', '', '', 0),
(3827, 4, '24113ce1e6b47e2c922fc10a0292c9989f7e855a', '18.2.0', 164, '2018-01-29 15:47:02', 'Lionel Giordanengo', '[D45612] rattrapge d\'un erreur de report sur le fichier\n', '', '', '', 'lionel.giordanengo@atos.net', '', '', 0);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_plugin_source_file_table`
--

DROP TABLE IF EXISTS `mantis_plugin_source_file_table`;
CREATE TABLE `mantis_plugin_source_file_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `change_id` int(10) UNSIGNED NOT NULL,
  `revision` varchar(250) NOT NULL,
  `filename` longtext NOT NULL,
  `action` varchar(8) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_plugin_source_repository_table`
--

DROP TABLE IF EXISTS `mantis_plugin_source_repository_table`;
CREATE TABLE `mantis_plugin_source_repository_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `type` varchar(8) NOT NULL DEFAULT '',
  `name` varchar(128) NOT NULL DEFAULT '',
  `url` varchar(250) DEFAULT '',
  `info` longtext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_plugin_source_repository_table`
--

INSERT INTO `mantis_plugin_source_repository_table` (`id`, `type`, `name`, `url`, `info`) VALUES
(4, 'gitlab', 'Gitlab', '', 'a:5:{s:8:\"hub_root\";s:38:\"https://rsitools.bs.fr.myatos.net:8888\";s:12:\"hub_reponame\";s:13:\"RSI_TMA/TAIGA\";s:14:\"hub_app_secret\";s:20:\"AFT9wmmHkjxnrtpBE4j_\";s:10:\"hub_repoid\";s:1:\"2\";s:13:\"master_branch\";s:6:\"master\";}'),
(5, 'gitlab', 'GitLab_TAIGA', 'https://rsitools.bs.fr.myatos.net:8888/RSI_TMA/TAIGA.git', 'a:5:{s:8:\"hub_root\";s:38:\"https://rsitools.bs.fr.myatos.net:8888\";s:12:\"hub_reponame\";s:13:\"RSI_TMA/TAIGA\";s:14:\"hub_app_secret\";s:0:\"\";s:10:\"hub_repoid\";s:26:\"Repository Name is invalid\";s:13:\"master_branch\";s:6:\"master\";}');

-- --------------------------------------------------------

--
-- Structure de la table `mantis_plugin_source_user_table`
--

DROP TABLE IF EXISTS `mantis_plugin_source_user_table`;
CREATE TABLE `mantis_plugin_source_user_table` (
  `user_id` int(10) UNSIGNED NOT NULL,
  `username` varchar(64) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_plugin_table`
--

DROP TABLE IF EXISTS `mantis_plugin_table`;
CREATE TABLE `mantis_plugin_table` (
  `basename` varchar(40) NOT NULL,
  `enabled` tinyint(4) NOT NULL DEFAULT 0,
  `protected` tinyint(4) NOT NULL DEFAULT 0,
  `priority` int(10) UNSIGNED NOT NULL DEFAULT 3
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_plugin_table`
--

INSERT INTO `mantis_plugin_table` (`basename`, `enabled`, `protected`, `priority`) VALUES
('MantisCoreFormatting', 1, 0, 3),
('CodevTT', 1, 0, 3),
('Csv_import', 1, 0, 3),
('FilterBugList', 1, 0, 3),
('MantisGraph', 1, 0, 3),
('Source', 1, 0, 3),
('SourceGitlab', 1, 0, 3),
('SourceSVN', 1, 0, 3),
('jQuery', 1, 0, 3),
('jQueryUI', 1, 0, 3),
('InlineColumnConfiguration', 1, 0, 3),
('Freemind', 1, 0, 3),
('XmlImportExport', 1, 0, 3),
('Gravatar', 1, 0, 3),
('BBCodePlus', 1, 0, 3),
('Taskodrome', 1, 0, 3);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_project_file_table`
--

DROP TABLE IF EXISTS `mantis_project_file_table`;
CREATE TABLE `mantis_project_file_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `title` varchar(250) NOT NULL DEFAULT '',
  `description` varchar(250) NOT NULL DEFAULT '',
  `diskfile` varchar(250) NOT NULL DEFAULT '',
  `filename` varchar(250) NOT NULL DEFAULT '',
  `folder` varchar(250) NOT NULL DEFAULT '',
  `filesize` int(11) NOT NULL DEFAULT 0,
  `file_type` varchar(250) NOT NULL DEFAULT '',
  `content` longblob DEFAULT NULL,
  `date_added` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_project_hierarchy_table`
--

DROP TABLE IF EXISTS `mantis_project_hierarchy_table`;
CREATE TABLE `mantis_project_hierarchy_table` (
  `child_id` int(10) UNSIGNED NOT NULL,
  `parent_id` int(10) UNSIGNED NOT NULL,
  `inherit_parent` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_project_table`
--

DROP TABLE IF EXISTS `mantis_project_table`;
CREATE TABLE `mantis_project_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(128) NOT NULL DEFAULT '',
  `status` smallint(6) NOT NULL DEFAULT 10,
  `enabled` tinyint(4) NOT NULL DEFAULT 1,
  `view_state` smallint(6) NOT NULL DEFAULT 10,
  `access_min` smallint(6) NOT NULL DEFAULT 10,
  `file_path` varchar(250) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `category_id` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `inherit_global` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_project_table`
--

INSERT INTO `mantis_project_table` (`id`, `name`, `status`, `enabled`, `view_state`, `access_min`, `file_path`, `description`, `category_id`, `inherit_global`) VALUES
(3, 'ExternalTasks', 50, 1, 50, 10, '', '', 1, 1),
(41, 'Project_41', 10, 1, 50, 10, '', '', 1, 0),
(73, 'SideTasks DEMO_Team', 50, 1, 50, 10, '', '', 1, 0),
(81, 'SideTasks Project_81', 50, 1, 50, 10, '', '', 1, 0);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_project_user_list_table`
--

DROP TABLE IF EXISTS `mantis_project_user_list_table`;
CREATE TABLE `mantis_project_user_list_table` (
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `access_level` smallint(6) NOT NULL DEFAULT 10
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_project_user_list_table`
--

INSERT INTO `mantis_project_user_list_table` (`project_id`, `user_id`, `access_level`) VALUES
(41, 157, 55),
(41, 74, 55),
(41, 109, 55),
(3, 64, 70),
(41, 116, 55),
(41, 134, 55),
(41, 140, 55),
(41, 148, 55),
(81, 164, 70),
(41, 164, 55),
(3, 72, 70),
(73, 173, 70),
(41, 199, 55),
(41, 209, 55),
(41, 212, 55),
(3, 9, 70),
(81, 83, 70),
(81, 345, 70),
(73, 345, 70),
(73, 394, 10),
(41, 450, 55),
(73, 88, 10),
(3, 37, 70);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_project_version_table`
--

DROP TABLE IF EXISTS `mantis_project_version_table`;
CREATE TABLE `mantis_project_version_table` (
  `id` int(11) NOT NULL,
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `version` varchar(64) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `released` tinyint(4) NOT NULL DEFAULT 1,
  `obsolete` tinyint(4) NOT NULL DEFAULT 0,
  `date_order` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_project_version_table`
--

INSERT INTO `mantis_project_version_table` (`id`, `project_id`, `version`, `description`, `released`, `obsolete`, `date_order`) VALUES
(40, 41, '15.0.0', '', 0, 0, 1427752800),
(42, 41, 'PALL_Dec_2014', '', 1, 0, 1418684400),
(43, 41, 'Experimentation', '', 1, 1, 1415919600),
(44, 41, 'PALL_Nov_2014', '', 1, 0, 1416265200),
(66, 41, '14.2.0', 'V14.2 pour livraison en parallèle avec SF', 1, 0, 1427752800),
(83, 41, '14.1.60', '', 0, 0, 1423781100),
(84, 41, '14.2.10', '', 0, 0, 1),
(85, 41, '14.1.75', '', 0, 0, 1423814306),
(86, 41, '14.1.50', '', 0, 0, 1423814340),
(87, 41, '14.1.45', '', 0, 0, 1423815395),
(88, 41, '14.1.65', '', 1, 0, 1423782000),
(89, 41, 'Paliatifs', '', 0, 0, 1),
(96, 41, '15.0.0_Juillet', '', 0, 0, 1430344800),
(97, 41, '15.0.0_Sept', '', 0, 0, 1434319200),
(98, 41, '15.0.0_Nov', '', 0, 0, 1441836000),
(99, 41, '15.1.0_AFFI', '', 0, 0, 1441058400),
(100, 41, '14.2.1', '', 0, 0, 1446591600),
(101, 41, '14.2.2', '', 0, 0, 1449010800),
(107, 41, '15.0.1', '', 0, 0, 1431381600),
(111, 41, '16.0.0', '', 0, 0, 1458514800),
(128, 41, '15.1.0_3en1', '', 0, 0, 1443650400),
(129, 41, '15.1.0_Jan', 'livraisons spec le 12/10', 0, 0, 1447282800),
(161, 41, '15.1.0_Mars', '', 0, 0, 1450539420),
(163, 41, '15.1.2', '', 0, 0, 1448455866),
(164, 41, 'GAC_1.5.4.01', '', 0, 0, 1450393200),
(165, 41, 'FusPL_Lot 1', '', 0, 0, 1453071600),
(168, 41, 'FusPL_Lot 2', '', 0, 0, 1449850981),
(169, 41, 'FusPL_Lot 1 V2', '', 0, 0, 1449852080),
(173, 41, 'GAC_1.7', '', 0, 0, 1455836400),
(174, 41, 'GAC_1.5.5', '', 0, 0, 1452812400),
(175, 41, '15.1.0_Avril', '', 0, 0, 1456182000),
(176, 41, '15.1.0_Patch', '', 0, 0, 1),
(177, 41, 'GAC_2.0', '', 0, 0, 1),
(178, 41, '15.1.0_PUMA', '', 0, 0, 1452598620),
(179, 41, '17.3_PUMA', '', 0, 0, 1485870660),
(182, 41, 'GAC_1.5.6', '', 0, 0, 1453762800),
(184, 41, 'GAC_1.7.1', '', 0, 0, 1454972400),
(185, 41, '16.0_Prov', 'livraison 23 Aout...', 0, 0, 1470693600),
(186, 41, '15.1_P', '', 0, 0, 1),
(187, 41, '16.0.P_3en1', '', 0, 0, 1461941940),
(188, 41, '16.0_TO', '', 0, 0, 1465250400),
(190, 41, '15.1.P_Avril', '', 0, 0, 1460412000),
(194, 41, 'GAC 1.7.10.02', '', 0, 0, 1461189600),
(213, 41, '16.1_PUMA', '', 0, 0, 1467928800),
(214, 41, 'GAC_15.1.80', '', 0, 0, 1),
(227, 41, 'GAC_2.1', '', 0, 0, 1468311840),
(245, 41, '17.0.DSI_EM', '', 0, 0, 1478599500),
(246, 41, '17.1.DSI_INT', '', 0, 0, 1480978800),
(247, 41, '18.0_PUMA', '', 0, 0, 1502143200),
(250, 41, '16.1-3en1', '', 0, 0, 1481624640),
(254, 41, '17.15_AFFI', '', 0, 0, 1485260880),
(271, 41, '16.1.P_3en1', '', 0, 0, 1485879900),
(277, 41, '17.1.50 MCO', '', 0, 0, 1489359600),
(278, 41, '17.2.50', '', 0, 0, 1493330400),
(279, 41, '17.4', '', 0, 0, 1498773600),
(280, 41, '17.3.TO', '', 0, 0, 1494939600),
(287, 41, '17.2.50 MCO', '', 0, 0, 1494593160),
(288, 41, '17.5', '', 0, 0, 1501658940),
(313, 41, '17.5.1', '', 0, 0, 1506676140),
(314, 41, '18.0.05', '', 0, 0, 1502186760),
(315, 41, '18.0.06', '', 0, 0, 1503396420),
(316, 41, '18.0.07', '', 0, 0, 1504273020),
(317, 41, '18.0.08', '', 0, 0, 1505482620),
(351, 41, '18.2.10 MCO', 'Version pour reliquat cotis de 2017', 0, 0, 1519340400),
(328, 41, '18.1.0 DSI EM', 'Emission DSI 2018', 0, 0, 1509455460),
(329, 41, '18.2.0 DSI INT', '', 0, 0, 1511861520),
(330, 41, '17.5.50 MCO', '--', 0, 0, 1509094800),
(335, 41, '18.0.R2_PUMA', 'R2 de PUMA', 0, 0, 1510641660),
(337, 41, '18.0.10_PUMA', '', 0, 0, 1515758880),
(339, 41, '18.0.R3_PUMA', '', 0, 0, 1517920500),
(344, 41, '18.0.11_PUMA', '', 0, 0, 1519744440),
(345, 41, '18.1.R2 DSI EM', '', 0, 0, 1515106800),
(440, 41, '18.2.20', '', 0, 0, 1523351640),
(441, 41, '18.0.11.1_PUMA', '', 0, 0, 1522142160),
(442, 41, '18.0.12_PUMA', '', 0, 0, 1524561420);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_sponsorship_table`
--

DROP TABLE IF EXISTS `mantis_sponsorship_table`;
CREATE TABLE `mantis_sponsorship_table` (
  `id` int(11) NOT NULL,
  `bug_id` int(11) NOT NULL DEFAULT 0,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `amount` int(11) NOT NULL DEFAULT 0,
  `logo` varchar(128) NOT NULL DEFAULT '',
  `url` varchar(128) NOT NULL DEFAULT '',
  `paid` tinyint(4) NOT NULL DEFAULT 0,
  `date_submitted` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `last_updated` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_tag_table`
--

DROP TABLE IF EXISTS `mantis_tag_table`;
CREATE TABLE `mantis_tag_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `name` varchar(100) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `date_created` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `date_updated` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_tag_table`
--

INSERT INTO `mantis_tag_table` (`id`, `user_id`, `name`, `description`, `date_created`, `date_updated`) VALUES
(2, 64, 'GALA', 'IAM GALA.', 1443022070, 1443022153),
(3, 64, 'Magellan', 'Projet Magellan.', 1443022091, 1443022137),
(4, 64, 'Perform', 'Projet Perform.', 1443022091, 1443022167),
(5, 64, 'CIDC', 'Projet CIDC.', 1443022185, 1443022185),
(6, 64, 'PSDE', 'Projet \"nouvelle prestation\" PSDE.', 1443022199, 1443022286),
(7, 64, 'GID', 'Projet d\'étude du remplacement de l\'IAM GALA par un outil du marché.', 1443022239, 1443022239),
(8, 64, 'P3M', 'Projet P3M.', 1443022253, 1443022253),
(9, 64, 'REFPSA', 'Référentiel projet SA.', 1443022708, 1443022708),
(10, 64, 'CBP', 'Commandes - Budgets - Projets.', 1443022723, 1443022723),
(11, 227, 'VCS', '', 1515401970, 1515401970);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_tokens_table`
--

DROP TABLE IF EXISTS `mantis_tokens_table`;
CREATE TABLE `mantis_tokens_table` (
  `id` int(11) NOT NULL,
  `owner` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `value` longtext NOT NULL,
  `timestamp` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `expiry` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_tokens_table`
--

INSERT INTO `mantis_tokens_table` (`id`, `owner`, `type`, `value`, `timestamp`, `expiry`) VALUES
(13586, 1, 4, '1', 1590275957, 1590276314);

-- --------------------------------------------------------

--
-- Structure de la table `mantis_user_pref_table`
--

DROP TABLE IF EXISTS `mantis_user_pref_table`;
CREATE TABLE `mantis_user_pref_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `project_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `default_profile` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `default_project` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `refresh_delay` int(11) NOT NULL DEFAULT 0,
  `redirect_delay` int(11) NOT NULL DEFAULT 0,
  `bugnote_order` varchar(4) NOT NULL DEFAULT 'ASC',
  `email_on_new` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_assigned` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_feedback` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_resolved` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_closed` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_reopened` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_bugnote` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_status` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_priority` tinyint(4) NOT NULL DEFAULT 0,
  `email_on_priority_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_status_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_bugnote_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_reopened_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_closed_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_resolved_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_feedback_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_assigned_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_on_new_min_severity` smallint(6) NOT NULL DEFAULT 10,
  `email_bugnote_limit` smallint(6) NOT NULL DEFAULT 0,
  `language` varchar(32) NOT NULL DEFAULT 'english',
  `timezone` varchar(32) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_user_pref_table`
--

INSERT INTO `mantis_user_pref_table` (`id`, `user_id`, `project_id`, `default_profile`, `default_project`, `refresh_delay`, `redirect_delay`, `bugnote_order`, `email_on_new`, `email_on_assigned`, `email_on_feedback`, `email_on_resolved`, `email_on_closed`, `email_on_reopened`, `email_on_bugnote`, `email_on_status`, `email_on_priority`, `email_on_priority_min_severity`, `email_on_status_min_severity`, `email_on_bugnote_min_severity`, `email_on_reopened_min_severity`, `email_on_closed_min_severity`, `email_on_resolved_min_severity`, `email_on_feedback_min_severity`, `email_on_assigned_min_severity`, `email_on_new_min_severity`, `email_bugnote_limit`, `language`, `timezone`) VALUES
(1, 1, 0, 0, 0, 30, 1, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(2, 10, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(3, 11, 0, 0, 6, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(4, 13, 0, 0, 6, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(5, 2, 0, 0, 41, 30, 1, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(6, 8, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(7, 16, 0, 0, 6, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(8, 3, 0, 0, 19, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(9, 12, 0, 0, 6, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(10, 5, 0, 0, 29, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(11, 9, 0, 0, 10, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(12, 24, 0, 0, 10, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(13, 27, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(14, 25, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(15, 26, 0, 0, 12, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(16, 23, 0, 0, 10, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(17, 17, 0, 0, 6, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(18, 22, 0, 0, 10, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(19, 28, 0, 0, 0, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(20, 19, 0, 0, 6, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(21, 32, 0, 0, 0, 30, 2, 'ASC', 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(22, 29, 0, 0, 14, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(23, 6, 0, 0, 0, 30, 1, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(24, 34, 0, 0, 6, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(25, 41, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(26, 40, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(27, 42, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(28, 44, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(29, 46, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(30, 47, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(31, 48, 0, 0, 0, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(32, 50, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(60, 82, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(33, 49, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(34, 56, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(35, 53, 0, 0, 39, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(36, 60, 0, 0, 41, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(37, 61, 0, 0, 21, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(38, 64, 0, 0, 50, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(39, 62, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(40, 70, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(41, 71, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(42, 65, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(43, 68, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(44, 72, 0, 0, 41, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(45, 76, 0, 0, 39, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(46, 77, 0, 0, 39, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(47, 78, 0, 0, 39, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(48, 79, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(49, 74, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(50, 84, 0, 0, 43, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(51, 83, 0, 0, 45, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(52, 89, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(53, 90, 0, 0, 32, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(54, 63, 0, 0, 36, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(55, 73, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(56, 80, 0, 0, 39, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(80, 149, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(57, 99, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(58, 98, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(59, 97, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(61, 81, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(62, 107, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(63, 108, 0, 0, 50, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(64, 109, 0, 0, 27, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(65, 112, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(66, 113, 0, 0, 45, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(67, 114, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(68, 54, 0, 0, 32, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(69, 88, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(70, 111, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(71, 110, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(72, 118, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(73, 124, 0, 0, 50, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(74, 125, 0, 0, 50, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(75, 126, 0, 0, 50, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(76, 127, 0, 0, 50, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(77, 134, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(78, 128, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(79, 146, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(81, 152, 0, 0, 0, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(82, 141, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(83, 173, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(84, 178, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(85, 180, 0, 0, 45, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(86, 123, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(87, 187, 0, 0, 56, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(88, 190, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(89, 93, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(90, 191, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(91, 192, 0, 0, 56, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(92, 195, 0, 0, 43, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(93, 196, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(94, 197, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(95, 198, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(96, 157, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(97, 204, 0, 0, 56, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(98, 205, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(99, 179, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(100, 206, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(101, 208, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(102, 200, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(103, 212, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(104, 199, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(105, 164, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'english', 'Europe/Paris'),
(106, 217, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(107, 218, 0, 0, 0, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(108, 229, 0, 0, 96, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(109, 280, 0, 0, 56, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(110, 291, 0, 0, 158, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(111, 290, 0, 0, 158, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(112, 282, 0, 0, 56, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(113, 268, 0, 0, 158, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(115, 51, 0, 0, 32, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(116, 235, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(117, 234, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(118, 296, 0, 0, 153, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(119, 36, 0, 0, 21, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(120, 267, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(121, 307, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(122, 252, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(123, 253, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(124, 169, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(125, 310, 0, 0, 87, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(126, 158, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(127, 311, 0, 0, 32, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(128, 245, 0, 0, 93, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(129, 303, 0, 0, 158, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(130, 322, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(131, 242, 0, 0, 158, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(132, 244, 0, 0, 158, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(133, 219, 0, 0, 79, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(134, 329, 0, 0, 158, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(135, 335, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(136, 328, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(137, 324, 0, 0, 161, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(138, 369, 0, 0, 161, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(139, 370, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(140, 360, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(141, 312, 0, 0, 85, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(142, 364, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(143, 346, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(144, 355, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(145, 356, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(146, 367, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(147, 372, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(148, 359, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(149, 368, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(150, 352, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(151, 376, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(152, 251, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(153, 345, 0, 0, 0, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(154, 375, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(155, 279, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(156, 379, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(157, 374, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(158, 373, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(159, 147, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(160, 381, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(161, 181, 0, 0, 45, 30, 2, 'ASC', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(162, 156, 0, 0, 45, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(163, 224, 0, 0, 45, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(164, 382, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(165, 385, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(166, 384, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(167, 254, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(168, 174, 0, 0, 45, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(169, 389, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(170, 371, 0, 0, 101, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(171, 95, 0, 0, 45, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(172, 96, 0, 0, 45, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(173, 392, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(174, 393, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(175, 394, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(176, 390, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(177, 395, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(178, 249, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(179, 343, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(180, 396, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(181, 399, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(182, 401, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(183, 404, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(184, 406, 0, 0, 23, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(185, 403, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(186, 405, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(187, 202, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(188, 397, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(189, 411, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(190, 410, 0, 0, 178, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(191, 308, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(192, 226, 0, 0, 0, 30, 2, 'ASC', 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(193, 413, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(194, 418, 0, 0, 79, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(195, 419, 0, 0, 79, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(196, 417, 0, 0, 79, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(197, 175, 0, 0, 85, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(198, 420, 0, 0, 79, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(199, 421, 0, 0, 25, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(200, 423, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(201, 440, 0, 0, 79, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(202, 441, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(203, 415, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(204, 442, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(205, 443, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(206, 445, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(207, 250, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(208, 409, 0, 0, 178, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(209, 408, 0, 0, 178, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(210, 422, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(211, 447, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(212, 297, 0, 0, 87, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(213, 398, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(214, 313, 0, 0, 159, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(215, 450, 0, 0, 41, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(216, 457, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(217, 455, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(218, 456, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(219, 459, 0, 0, 34, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(220, 361, 0, 0, 167, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(221, 461, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(222, 463, 0, 0, 65, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(223, 465, 0, 0, 184, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(224, 466, 0, 0, 102, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris'),
(225, 462, 0, 0, 98, 30, 2, 'ASC', 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'french', 'Europe/Paris');

-- --------------------------------------------------------

--
-- Structure de la table `mantis_user_print_pref_table`
--

DROP TABLE IF EXISTS `mantis_user_print_pref_table`;
CREATE TABLE `mantis_user_print_pref_table` (
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `print_pref` varchar(64) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_user_profile_table`
--

DROP TABLE IF EXISTS `mantis_user_profile_table`;
CREATE TABLE `mantis_user_profile_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `platform` varchar(32) NOT NULL DEFAULT '',
  `os` varchar(32) NOT NULL DEFAULT '',
  `os_build` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mantis_user_table`
--

DROP TABLE IF EXISTS `mantis_user_table`;
CREATE TABLE `mantis_user_table` (
  `id` int(10) UNSIGNED NOT NULL,
  `username` varchar(191) NOT NULL DEFAULT '',
  `realname` varchar(191) NOT NULL DEFAULT '',
  `email` varchar(191) NOT NULL DEFAULT '',
  `password` varchar(64) NOT NULL DEFAULT '',
  `enabled` tinyint(4) NOT NULL DEFAULT 1,
  `protected` tinyint(4) NOT NULL DEFAULT 0,
  `access_level` smallint(6) NOT NULL DEFAULT 10,
  `login_count` int(11) NOT NULL DEFAULT 0,
  `lost_password_request_count` smallint(6) NOT NULL DEFAULT 0,
  `failed_login_count` smallint(6) NOT NULL DEFAULT 0,
  `cookie_string` varchar(64) NOT NULL DEFAULT '',
  `last_visit` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `date_created` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `mantis_user_table`
--

INSERT INTO `mantis_user_table` (`id`, `username`, `realname`, `email`, `password`, `enabled`, `protected`, `access_level`, `login_count`, `lost_password_request_count`, `failed_login_count`, `cookie_string`, `last_visit`, `date_created`) VALUES
(1, 'administrator', '', 'louis.bayle@atos.net', '63a9f0ea7bb98050796b649e85481845', 1, 0, 90, 115, 0, 0, '9581034235262dc526f396da192a2f4fbadb31173f16be4fa9df2afedb1ced37', 1590276014, 1360853404),
(2, 'manager', 'John the MANAGER', 'manager@yahoo.com', '63a9f0ea7bb98050796b649e85481845', 1, 0, 90, 1052, 0, 0, '5da8f50937317a1020a58f4a7185d883d205faa6b51ffbed640471ccd0bd4685', 1522016880, 1360853646),
(3, 'user3', 'User NAME3', 'user3@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 90, 90, 0, 0, 'b3c86e2bbb6b89c4684585e8c9191cb8eb087f910cf7de6e12d846b0d56fa826', 1454058583, 1360853733),
(4, 'user4', 'User NAME4', 'user4@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'VTvrMfrYXiOAtOtNSp8Sx3p_0_vS6-cEuKet3utB_H4eLqPjecUYIqqKt7xHR9RD', 1520852380, 1360853771),
(5, 'user5', 'User NAME5', 'user5@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 38, 0, 0, 'cfb6c41f64c1a34a760b20a7d7bd67627db81f66b10a06f23482ac08af552994', 1457692681, 1360853896),
(6, 'user6', 'User NAME6', 'user6@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 90, 129, 0, 0, '167d5f0612d9260f4711de83feb22caad3eee428d380304ff742ad428aef32f6', 1427701700, 1360853929),
(7, 'user7', 'User NAME7', 'user7@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 10, 2, 0, 0, '4054faa2911d96747bf41ea6815be93edb16296218af02d90b390785bfa9ce97', 1369678767, 1360854530),
(8, 'user8', 'User NAME8', 'user8@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, '95794911ecbf28ec6942f26f86869e31bedd17bd3673be557601b1c548ef9d60', 1363362218, 1361300036),
(9, 'user9', 'User NAME9', 'user9@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 90, 417, 0, 0, 'aaadf77ed663374dcbbb864765eb0deeb2b8514096fb2301e0d047bf558af78f', 1521201702, 1361358303),
(10, 'user10', 'User NAME10', 'user10@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 24, 0, 0, 'KiB-7lnQULnkoIODfuZSwcEIs-CwCp9MShVVO2aDYSDVZk7GmCeVfgf54Ux5xgeg', 1521455485, 1361371389),
(11, 'user11', 'User NAME11', 'user11@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 70, 81, 0, 0, 'b8190c5e3492a9c746281ba0b58dca83363f24d5f869c5d19d3b4c616fe3fe46', 1391523022, 1361374727),
(12, 'user12', 'User NAME12', 'user12@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 11, 0, 0, 'S9-Pem1N35VqExiDnQHXF2Ele_Z6fESm0NV1ni5oCXzO77PErq9I1AVMUgg0khFd', 1521455080, 1361374756),
(13, 'user13', 'User NAME13', 'user13@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 34, 0, 0, '5b1d01a4c002680be8d5a7658b86e58f99b318faec151e71aca7fedb447ee885', 1414507396, 1361374791),
(14, 'user14', 'User NAME14', 'user14@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 53, 0, 0, 'd7e93657f42d80f1fc3ebd0beadd49c0b7263830c78252ad83fec0ba17c2274f', 1389260134, 1361374813),
(15, 'user15', 'User NAME15', 'user15@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 17, 0, 0, '02118157eb518dbfdcaef88e9e8e6861b5107a6da7b3219a08a601619fe97f5f', 1391163952, 1361374844),
(16, 'user16', 'User NAME16', 'user16@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'd80b2e7417945720790ba3cca03fa51d87042960c080fde716391977cc0aa1a2', 1364208296, 1361374875),
(17, 'user17', 'User NAME17', 'user17@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 9, 0, 0, 'dfb122fc97c71d24fadcaf248f4e41ca2305422712e51222a0b0ac6842755a93', 1386083301, 1361374898),
(18, 'user18', 'User NAME18', 'user18@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '295eb79569f0d9358d5dc471af936550ea59abd99149ad8bf52f0990a4af9c08', 1361374929, 1361374929),
(19, 'user19', 'User NAME19', 'user19@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 13, 0, 0, 'f4b5f57e6a2cb263ec7d34b97e7d34a08fb6fb46b1d31c94cb726bcc83327a76', 1386771133, 1361374969),
(21, 'user21', 'User NAME21', 'user21@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 10, 0, 0, 0, 'ab8609c352f1f0f80651ca9079f3abad3caac51ec76b86d4762412754c735483', 1366408415, 1366408415),
(22, 'user22', 'User NAME22', 'user22@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 25, 0, 0, '355e5d26d03d3b58d9a22b221a43a546b386cbbbe072086c3a813679df98a843', 1457107232, 1368697526),
(23, 'user23', 'User NAME23', 'user23@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 1, 0, 0, 'd270c334d775c550a733519b7a4abbf0b6b9dd2445e7b8f3917eb1000d117476', 1370618730, 1368697590),
(24, 'user24', 'User NAME24', 'user24@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 22, 0, 0, '65bf461cebc8e18e63d55c4cfc207f537c2b2aa53cd3dfa770d34b2272e59e02', 1518440535, 1368697641),
(25, 'user25', 'User NAME25', 'user25@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 40, 0, 0, '0_GeErplfXDYO7w8oj4MyVjoIVfUG1GFBdfXkhPqna91Ug2KiOaYSzjJtpXrZc_v', 1521467797, 1369307296),
(26, 'user26', 'User NAME26', 'user26@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 39, 0, 0, '02bb46e3e5decda02b65ab7667374956be40df86044119c72485b6a1a32176a5', 1409926183, 1369307353),
(27, 'user27', 'User NAME27', 'user27@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 36, 0, 0, '0436725b9d4cb6b335c09c0bcc8f0a45425cf1e585641e535a6c237bdf1c453c', 1422602989, 1369826480),
(28, 'user28', 'User NAME28', 'user28@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 13, 0, 0, '58e007e7f9077c5f4665b31abfae5a787e892d39cc90515617bc8a3423833af1', 1421229333, 1375277739),
(29, 'user29', 'User NAME29', 'user29@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '7d34bea71f3456a50916e8e978e62c98af86b6d383b1e8918af782aacad3cee2', 1379591275, 1375277949),
(30, 'user30', 'User NAME30', 'user30@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 0, 0, 0, '7fa492d45fc580b3406750e0d4d3c817e70bf151a072c698c3aa49b8f857f704', 1375278015, 1375278015),
(31, 'user31', 'User NAME31', 'user31@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'ce6ffb6a862dd1cb6b6d6a3fe4356fe3c36579be194c03cfcf86887a4cf144a5', 1378913741, 1378913741),
(32, 'user32', 'User NAME32', 'user32@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 0, 0, 0, 'ba746a637265feb6957d8d3a7bb7a975adf754b26e855ed57ec3f8fb55729a1e', 1379062623, 1379062623),
(33, 'user33', 'User NAME33', 'user33@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, 'f77195b8020c8116e5ed160437b2c7cfbabc4848c932dac74e984f8f44423b6b', 1467298417, 1379337105),
(34, 'user34', 'User NAME34', 'user34@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'a334710cdd2aebd08a941b15468d2dc1686efe570f5cf580463b06bf07f9ecf8', 1390485949, 1379337258),
(35, 'user35', 'User NAME35', 'user35@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 10, 0, 0, 0, 'c3df6d4df2aec965bdaca5f769aa267f5103931665fc25708d819a402c623b44', 1384793420, 1384793420),
(36, 'user36', 'User NAME36', 'user36@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'X-MPrmTlGn8mDwBB_yC4buwiLD66TxpmK3CMBHCjL72Euy3kb0VdUEHWAcDwLHN4', 1521465683, 1389609572),
(37, 'user37', 'User NAME37', 'user37@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 182, 0, 0, '86457020d1c6247ef79349c96455f37fe1d62bfe24726d4e694ff9e2807a58c6', 1521190824, 1392286302),
(38, 'user38', 'User NAME38', 'user38@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 1, 0, 0, '445b91469158188eb40fcf983cb09152fc98f1305d3839065e1d2ad36eeb1f86', 1392286382, 1392286358),
(39, 'user39', 'User NAME39', 'user39@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 217, 0, 0, 'a82d259f1d4f8d27e13a0d8bfec3398acd1c686df398449c4d69e2994bd71f30', 1521219843, 1392307414),
(40, 'user40', 'User NAME40', 'user40@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 18, 0, 0, '8c1c99f986bab0ae39f811e4b7ba2d6b17dc1bc15085e211190ce775b35c8228', 1402666945, 1392307476),
(41, 'user41', 'User NAME41', 'user41@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, 'f996eabcafee8a1c5f70b93a2c3b2cae86c62d12085615819a9d0b82362dba10', 1486734124, 1392307537),
(42, 'user42', 'User NAME42', 'user42@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 13, 0, 0, '33cb66a4852f9b946b50d0296b7c1847bb7ba9fe3c5b0d6772283264e77b8542', 1408441597, 1392307595),
(43, 'user43', 'User NAME43', 'user43@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '56621519ac4ed823e0f3b5010f049b54d31a7c0ab3c36ddc72aaa082ea19ac79', 1392307654, 1392307654),
(44, 'user44', 'User NAME44', 'user44@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, 'a292003266004d8caab3fdcdf43d22d63b45fac584c61ffe8db872408e9115c2', 1521474482, 1392307710),
(45, 'user45', 'User NAME45', 'user45@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 10, 0, 0, 0, 'efd486eb84c6854f2781cee51af9acf370cac9764a0b4d0f8a11280dc390f3a1', 1395236503, 1395236503),
(46, 'user46', 'User NAME46', 'user46@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 59, 0, 0, 'c8daad7f44c3bcc52e711be2fe3dd591ce1436f6b034d22508c6351d89803c55', 1520862349, 1395311577),
(47, 'user47', 'User NAME47', 'user47@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '92554d97c3ac5510604e82b74b26de9ac08037ef43f8e884067756208b1ac11a', 1401282366, 1395311645),
(48, 'user48', 'User NAME48', 'user48@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 26, 0, 0, 'VOjfForRZjjZAn-oGoQ0eCIBx5wFJa7pK3bFKitcFE5UwVTCB0phYsJqf1OrYuSU', 1502886565, 1395313066),
(49, 'user49', 'User NAME49', 'user49@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 86, 0, 0, 'b9094a6f58494f82476e97b656fab441059853d24dba02f6ea5943047e58b324', 1512378747, 1395933795),
(50, 'user50', 'User NAME50', 'user50@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 38, 0, 0, '83a9710dbaedd6417cdcdfbe2dbdfba2f08cd85f93e9e5dfcae890a4214eb16e', 1512403215, 1396817168),
(51, 'user51', 'User NAME51', 'user51@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'eb6d0d75fd852926bae20252ed81cbd07bc230d45784d0ccccae02037327ec6b', 1478601117, 1397776858),
(52, 'user52', 'User NAME52', 'user52@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, '8e806fd2e2ef324501e662c1be76f3d25d3be51c680ce0fde6973bc422f4e6b8', 1516978798, 1397776940),
(53, 'user53', 'User NAME53', 'user53@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 18, 0, 0, 'bdc6ba23b6d1d1621ca03f7781960f72bc1c24603569ce8e3d3fd20d92b2adb4', 1445009747, 1397777010),
(54, 'user54', 'User NAME54', 'user54@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 118, 0, 0, '93b22474223633975d39874bc9ccc7e007505ad8db722b90fb40172988a2fa79', 1521213347, 1397777055),
(56, 'user56', 'User NAME56', 'user56@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 52, 0, 0, 'UpNPxyV9MzSrh_pTytp2MhN63NYCtlJUWgsmBU3b0gccgjUeAnHXipWUVNQ7Yhji', 1521474454, 1397837818),
(57, 'user57', 'User NAME57', 'user57@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '73903cb7bbdc7ea8b7e94781d3eb5747aca5e2fccd823ccbd1a3c452ff4cc652', 1397857639, 1397857639),
(58, 'user58', 'User NAME58', 'user58@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '65bac5a74bda3815b617892722999723a1ed218039463bd68bc9e1bc2c184e77', 1397857709, 1397857709),
(59, 'user59', 'User NAME59', 'user59@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '855cb234055afa5e6413314c93c55a7d450852b6215d513ae8eb9c374fc9a2cf', 1397857803, 1397857803),
(60, 'lbayle_test', 'lbayle TEST', 'lbayle.work@gmail.com', '9eeb7c4f0e3995c4a9e16f87b5591157', 1, 0, 25, 7, 0, 0, '-ATMN5XJPFT0JT4B6otK5pZJA0f1ynSgkv8pJThAB8jCwaVpbg6KhaVwJbnc5755', 1491769108, 1398191431),
(61, 'user61', 'User NAME61', 'user61@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 21, 0, 0, '8af59d0d5087bfe105032214c009dbc36a7db0cf12589d5d00ce4f0541764c65', 1428478864, 1399984228),
(62, 'user62', 'User NAME62', 'user62@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 12, 0, 0, '3b2b81be68032731fe4f64fd41695e806ab1d02d4c87845799eb66b89f0ae7dd', 1442039706, 1400067851),
(63, 'user63', 'User NAME63', 'user63@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'a733f05a809d09861aa6b41afafadbd61b7dbf643e98ca979612f67a31ce8340', 1405411237, 1400071957),
(64, 'user64', 'User NAME64', 'user64@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 90, 42, 0, 0, '0e457755d32c15aa90fcdac36738c4940e31d10d62df6924603933905c2d9339', 1457514024, 1400146674),
(65, 'user65', 'User NAME65', 'user65@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'rBjHQncf6MYnHzgIVVJnMRapRFdpEJ98mF-qGCDk5NNGCXv4EossWNwGXNGZ6oPs', 1512404764, 1401132002),
(66, 'user66', 'User NAME66', 'user66@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'ivP8ep0R9mRVtmnUzVkyYcMaD74ieko5DxWpgnY3jqgThxBXX6sDgRqs7T_lIi4X', 1512723942, 1401132130),
(67, 'user67', 'User NAME67', 'user67@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '6305a93a6912e72c0aa5206ab5eef86f7f94a5645b1f1005a4e5f03debfff8ea', 1401132230, 1401132230),
(68, 'user68', 'User NAME68', 'user68@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '6e519c64c8060b9e4a47228bdf2c6982190f1618f50d6e6766ed0f24ffbffe50', 1401193894, 1401132321),
(69, 'user69', 'User NAME69', 'user69@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'mcQ4SelDo3EzxYPUgg17cFnTM47M5OY5WgdnzgKlbnMQHQGnoUysIs_M46J7DTCo', 1510819209, 1401132404),
(70, 'user70', 'User NAME70', 'user70@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'bd488dd3f083ec45e254d78f1253c23b650cb2013106e6d6601b22b42dc40451', 1401198821, 1401132484),
(71, 'user71', 'User NAME71', 'user71@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '444edd4f2df51b1c6316d9ef4ef4ca10b285e246f58d43a89fbc61e96bf5cb68', 1401194158, 1401132559),
(72, 'user72', 'User NAME72', 'user72@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 90, 659, 0, 0, '6799bcc757179d61bd977b1af7003d1f0025904f0e49f9fa29f2f82a876b5e8f', 1521476547, 1402671325),
(73, 'user73', 'User NAME73', 'user73@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 20, 0, 0, '287f6a8c68a4c54c4b8cc70af659d9e6dd80747cd524d7714aa11e5c09826e4e', 1460101379, 1403018968),
(74, 'user74', 'User NAME74', 'user74@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 140, 0, 0, '457966451c16ff98deaf20d80fdd7308b6a406c02f09115f924c6529c91547d2', 1521473640, 1403095290),
(75, 'user75', 'User NAME75', 'user75@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 36, 0, 0, '0ddbbce12542ed4b55398fce3efa13a41f3b598160a7634aa252bd53c1faed40', 1435668134, 1403187322),
(76, 'user76', 'User NAME76', 'user76@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'b3c8bf00f52c9ad5f98ce6fdd06eac85a441adc2bcb1f2c00746a518016cbb7c', 1418826356, 1403269447),
(77, 'user77', 'User NAME77', 'user77@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 9, 0, 0, '0e2ec14fecb42c0b0d1beeabd60bf468dce4a360332e40178df9447fe10c5650', 1454035116, 1403269516),
(78, 'user78', 'User NAME78', 'user78@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'ef0c6447be191b754bb7bf0ce659c8667d2eea7d1ba99eff99db8cf5c2c42a3a', 1418638998, 1403269627),
(79, 'user79', 'User NAME79', 'user79@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 21, 0, 0, '9991f9034d149ce3bd9f0ba2b714982fdf60cfbc8769bda30c91eb8bc099b01b', 1520936159, 1403610804),
(80, 'user80', 'User NAME80', 'user80@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 11, 0, 0, 'e5c6fa333c3d72a671a3b7400fa03830b82816aebcc2a9675a79daad976de70d', 1409055515, 1403617894),
(81, 'user81', 'User NAME81', 'user81@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 61, 0, 0, '5b95c9d16440a0cdf1f37a4c2d77189031fd3ebfd0ddbdc7cb46ec23036d8680', 1459838575, 1403618153),
(82, 'user82', 'User NAME82', 'user82@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 81, 0, 0, 'd4187e700fb76e084416e1618b8e0538c9dcc610da60bb5a3f83b6ef2fcb373c', 1463762199, 1403618206),
(83, 'user83', 'User NAME83', 'user83@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, '939b4c49236adbb9fe4af352405ae3eef2c9b8159d2cff9ab5eaaf0d07e01ef9', 1521193253, 1403791681),
(84, 'user84', 'User NAME84', 'user84@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 15, 0, 0, '65174e5876b37ad1b546f3d34d1ba67d3fe4a75b6eb4eb5a7c30ffb1c656c7b3', 1483604476, 1403856570),
(85, 'user85', 'User NAME85', 'user85@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, '0ebd6186247d21852e29bc45b905bed32fa3ec1c3b730bc9a429a0b8a8f2e9b0', 1423056327, 1403856612),
(86, 'user86', 'User NAME86', 'user86@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'm7Iq-i7KUI9h1xuO-9hwyDNMDG1dg1P_cc2GTgygiv5zmMhn_1myuQ9nD4ksOjOD', 1504516584, 1403856813),
(87, 'user87', 'User NAME87', 'user87@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '4d1f580f60c586415bf3a6c16943c11dbba71bae2dc1842164265e188ee07bb9', 1426059059, 1403857545),
(88, 'user88', 'User NAME88', 'user88@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 102, 0, 0, '6addf9990f5f0fa4fcc1b7f39d7d5f4d5d71ca660aa8d55c537ee0c184c07662', 1521212113, 1403860069),
(89, 'user89', 'User NAME89', 'user89@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 10, 0, 0, 'PutGgN8ugqFgX1tw7IGkjm04WmTiQuKARjrJQseBbq9D1fL4kXzKfyP7Wj3RUw0D', 1521456066, 1403878392),
(90, 'user90', 'User NAME90', 'user90@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, 'a9c97cab5f76511f12fe75557d5fa3b189cf99e96a118a028592d1605f38607c', 1481219923, 1403878475),
(91, 'user91', 'User NAME91', 'user91@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '7720c4295f873ed7836018153dc72a43526315a21f68c084976c00c21e91e4e8', 1405587926, 1404314067),
(92, 'user92', 'User NAME92', 'user92@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 2, 0, 0, '62c2c0c274cefbbef04778f9e881d204b832e8474d8a693ded27c0c6b338667d', 1404470836, 1404456608),
(93, 'user93', 'User NAME93', 'user93@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 52, 0, 0, '3817ca0c0ed805b5a0a8654687fd2f06bfbe64113c79eb53175841d429948ad0', 1465911452, 1404974597),
(94, 'user94', 'User NAME94', 'user94@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, 'w0u94eThJQAkMHRHcz1TUkAGv9Az0usOGoR8no74EDU3HfyIW-61n8Oot4YW6Blm', 1462976171, 1404974787),
(95, 'user95', 'User NAME95', 'user95@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '57fd0060a3e7d09cc31b37c6d9969c48400798191997178cc9e12d27db8c0b8e', 1505477686, 1404974866),
(96, 'user96', 'User NAME96', 'user96@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, '69d7df68221dfd4311ba4dde27680f10333a636852f79fb1da54f7fac842901a', 1521128237, 1404974926),
(97, 'user97', 'User NAME97', 'user97@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'c0c6a3c731311497e15dde9bca4fe1d28abbc438ec552670f564e660f372e25e', 1409573095, 1406193487),
(98, 'user98', 'User NAME98', 'user98@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 3, 0, 0, 'c433e6693d3dfb3d5e167dcc25ddc10c400e8d6c279eb2766ff4e0e117ca75a0', 1407492182, 1407115040),
(99, 'user99', 'User NAME99', 'user99@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 4, 0, 0, '00b65d76b0f24f78761ff33c31cd178a0db2a68d7de63e189e9837635ac1b35d', 1407504727, 1407115091),
(100, 'user100', 'User NAME100', 'user100@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '2c681807661dcb251b64ed4a5dd679fc99d4eb4d22ac40d6cbc5b5b56d41c9ae', 1409841211, 1409841211),
(101, 'user101', 'User NAME101', 'user101@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 96, 0, 1, '0h2knYwsuxBmMBsLOm7HT-z8OL-33sTuhWNq0J4hiZKIIe_dxWrE1Z042F5RXzkP', 1483699989, 1409841329),
(102, 'user102', 'User NAME102', 'user102@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '202084d5c82e9d35b06c15ac1a6231569d09a0ce80e6411086ac7d91efa9d848', 1409841379, 1409841379),
(103, 'user103', 'User NAME103', 'user103@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '92e11c92680e3edeaf847f7c30bfd1753ddf38a8a6f83cb47699c84305a3c817', 1419006952, 1409841424),
(104, 'user104', 'User NAME104', 'user104@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 't9dAzB1vGgaBXXHNjBw59dOcRsetTdGXZGLEG2PJHkErsQjyHCvJws42vnWlAMU9', 1469106495, 1409841479),
(105, 'user105', 'User NAME105', 'user105@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '7a839e861f435ae1bb7f74926614f0ab3bfe90fa76e2323a511ee424e4725689', 1409841546, 1409841546),
(106, 'user106', 'User NAME106', 'user106@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '7fbcc34b995ed05078c81692b437c535af1e1ccf2e6979f089f0291401bcd9bf', 1409841590, 1409841590),
(107, 'user107', 'User NAME107', 'user107@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '3f346f409af77e1592fdd26ed32bdc8438d33dd80774a136662d5fdca2f956f1', 1423756453, 1410362182),
(108, 'user108', 'User NAME108', 'user108@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 10, 0, 0, '47b8a3eb6565dc48993c76b00d266734d9399a5d6113e3b104b63591fe9b7bd4', 1418398019, 1410778027),
(109, 'user109', 'User NAME109', 'user109@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 15, 0, 0, '89b51fe5b243afac324b27d815aa6bb90672ee14edca0fc2cf8b58492c5633fe', 1461151723, 1412241215),
(110, 'user110', 'User NAME110', 'user110@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'bd70072f91cb7da609dccb4a263157be0b19246c9bcca753b3fd6108bdbc2502', 1428913583, 1412319851),
(111, 'user111', 'User NAME111', 'user111@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '22573e472ed6a42043dfee10c1a6f1ac5c63964e7f2637f331ef79ea01b748f5', 1475427130, 1412319990),
(112, 'user112', 'User NAME112', 'user112@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'e7a5f89119d2d1868f0aacb464a73903fd07d029735aa1363cb39b0001c21f9e', 1414413136, 1412583232),
(113, 'user113', 'User NAME113', 'user113@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 24, 1, 0, '58bc0fc06ac5e51944d6014d8009e3220d0670f2f111b66e13939b88536ef56d', 1521451749, 1412770825),
(114, 'user114', 'User NAME114', 'user114@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 14, 0, 0, 'b3d214a91a4d838f99e95232a167501a521e046908419695698612aab4ce9f1f', 1435306828, 1412942775),
(115, 'user115', 'User NAME115', 'user115@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 12, 0, 0, '4ca237f828cf863c452bf7803fe04021b995c28315613aaa4002e24310884487', 1461761077, 1413454565),
(116, 'user116', 'User NAME116', 'user116@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 10, 0, 0, '4059cd8945317f061a9309af51a798fdc2b98cb33a40345d3e6ef9f9879817e4', 1462283139, 1414417470),
(117, 'user117', 'User NAME117', 'user117@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 13, 0, 0, 'c6d80938828fe24bbcd66cee67476e7366a149d7dc7f1beba1b68ec9eb5a4f1e', 1478096032, 1414418545),
(118, 'user118', 'User NAME118', 'user118@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, '1bed0d03c2bc6461e3784095e16c4935d14626918345e2d987940063ca64c7b2', 1462970496, 1414589381),
(119, 'user119', 'User NAME119', 'user119@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'OvC8xHdZz78_jb2TxdkzpIXKEZIlURpjZAy7izLDAQLRxSDj8ditVfPH4hpTs3M-', 1504164593, 1415369181),
(120, 'user120', 'User NAME120', 'user120@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '74e9025c608376454c92adf9bc5ca08216fe797323b0554c7897f1203b110951', 1415369280, 1415369280),
(121, 'user121', 'User NAME121', 'user121@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, '8c6ccd59bd601a6368305a6b00eab7b17fefad66099dd02c07a081688f0d60b9', 1426589172, 1416580781),
(122, 'user122', 'User NAME122', 'user122@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 16, 0, 0, 'a32581c317e241c70c15d07d85e15136cc2b63dfdbc1ff8cfb2d5a555e820965', 1476258155, 1416998005),
(123, 'user123', 'User NAME123', 'user123@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, '494e662e822a6a7219a1ca478f32254c2b0c4ef9b75e6c38289e32bad2ad6d0a', 1443184423, 1417009068),
(124, 'user124', 'User NAME124', 'user124@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '4d3052625858de291d38fb1daba8e7e8c7a29f5cefd60254a4dcf1494bd72657', 1417107295, 1417093323),
(125, 'user125', 'User NAME125', 'user125@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'a1612ab821ff96d3563e7bdf7dfd6806c19311edaf39c630fa75640e544bcd3a', 1417095131, 1417095131),
(126, 'user126', 'User NAME126', 'user126@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'a1970201dbea242ef300dd4d2ea5a862d442c5ae495d0ec0b8e64b8d54e45a41', 1425658505, 1417095204),
(127, 'user127', 'User NAME127', 'user127@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '23f9fc30e608c46b8d68c3484133b36c469f0301f607e5df6d0b315cc6795825', 1417095305, 1417095305),
(128, 'user128', 'User NAME128', 'user128@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, '8d4af8dcfe157e94725f0ad7100b331c885e9bffa656d27e7417e19b220fabb5', 1426846849, 1417513660),
(129, 'user129', 'User NAME129', 'user129@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '7910467e73d4be9b055f1b8552df6249613609511ce881593e176bb3defaf657', 1417564446, 1417522690),
(130, 'user130', 'User NAME130', 'user130@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, 'c60cebfa3dcf19b1fe73b4539c89e36c364f711acc15ab6f961dc30145d9b23f', 1467623268, 1417523123),
(131, 'user131', 'User NAME131', 'user131@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 2, 0, 0, '40f1e538fac24afe021ce6730b0b8a9ea879c72381ba5b833f4b1c0424824fc7', 1417525205, 1417523430),
(132, 'user132', 'User NAME132', 'user132@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'dc795e3474c4aa1a0c854cfaed8d443922dd21d6d2662874248a4dbb425cbce0', 1417523561, 1417523561),
(133, 'user133', 'User NAME133', 'user133@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 130, 0, 0, '1c3fd5e1d29dab30fc518cbcb0672812db4d25a1dc12fe6b6276be7aa992d9ca', 1521465238, 1417523629),
(134, 'user1', 'User ONE', 'user1@yahoo.com', 'ea36a50f4c8944dacadb16e6ca0dd582', 0, 0, 25, 13, 0, 0, '6246a08e4833ebcb01f62beae63f558646c7b1e8214ebf379d7884c91f894c33', 1481038388, 1417609218),
(135, 'user135', 'User NAME135', 'user135@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'eda077e3bca9b23d0f094cf274445cc2e54d1b22831c244d9040af096465ffce', 1418050106, 1418050106),
(136, 'user136', 'User NAME136', 'user136@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 13, 0, 0, 'cf26da571596ed89e49cdc649eab387ef644ab13ee287939969f8954d7abb263', 1427892869, 1420452668),
(137, 'user137', 'User NAME137', 'user137@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 20, 0, 0, 'kSiaFoTdZ_N4_9gE1xNyDHp7WrFBCP6hq2JpnHPLZh7TjR7BdBr3eotuw0-TE8re', 1521463395, 1420712222),
(138, 'user138', 'User NAME138', 'user138@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'bb50555b98e2e7f4c1661471ef48bcc6ad803e969aff92972b61c652bc3997cc', 1420712284, 1420712284),
(139, 'user139', 'User NAME139', 'user139@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '49802c6fc616379120a99bf775d942cb1c9cc5935b6529ef5d44f92ab8c41fbd', 1425031447, 1421225465),
(140, 'user140', 'User NAME140', 'user140@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 9, 0, 0, '986051cafbfffe89146cda0244afb61081fe8d7f32aa4ebbe193803036a3b369', 1425655478, 1423757491),
(141, 'user141', 'User NAME141', 'user141@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 12, 0, 0, '96ba508af81480a716d9a11797d189cf9121a9fc7acf6b0540944e24326df81b', 1458142690, 1423823911),
(142, 'user142', 'User NAME142', 'user142@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 46, 0, 0, 'a67975695b5808c3165b90f1002cf98a0b9b0b45f98cf009b01da43a89a344cd', 1521455024, 1423823975),
(143, 'user143', 'User NAME143', 'user143@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 11, 0, 0, 'f47e9fe4f98a2b8e1d72939badb43054663a30b31c97495c14bfef46ebe093e6', 1520601625, 1423824068),
(144, 'user144', 'User NAME144', 'user144@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 91, 0, 0, '1f20447bdf4028086bbb749007a9e306813944ae5342883f85c1bf4fca249834', 1458926427, 1424340389),
(145, 'user145', 'User NAME145', 'user145@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 15, 0, 0, '25f85585708725f2d8f8e5ea21a7da7ce64a604d42369f8c851444a2ff710de5', 1438347592, 1424447025),
(146, 'user146', 'User NAME146', 'user146@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 11, 0, 0, 'ace55772329af4e649886cd794d631c620ba1283fe7245651a59bc91948216e0', 1489484498, 1424769018),
(147, 'user147', 'User NAME147', 'user147@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 20, 0, 0, 'bc0708acdf8f53b39a106454fa156e01bea5ab0f8b168733257467f4e25c4f53', 1496069073, 1424854734),
(148, 'user148', 'User NAME148', 'user148@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 2, 0, 0, 'a22ce7ede07ec65cc6a96a7b184d9b911ec6d133a53ad26c1bdac14333c258f9', 1425565065, 1424854865),
(154, 'user154', 'User NAME154', 'user154@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, '480c9ae2c1232d09f6bb80adaa276f7361e5f77066603502459f0beddeb2850b', 1508405030, 1427730016),
(149, 'user149', 'User NAME149', 'user149@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '66535697df044078bd07701371fb4bb29689d66e35a782912e25ab9887d4876e', 1425486732, 1425486732),
(150, 'user150', 'User NAME150', 'user150@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '9ad84e691a6f46f04eca98b50b3c66ca1f80d9aa0ceb94992c35a8c16e23654a', 1425650571, 1425650184),
(151, 'user151', 'User NAME151', 'user151@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 16, 0, 0, '41bd08f9351d9a5af1c73f7996098a980294ee75b2683b1744f3bf56b19b9d63', 1450881402, 1425892888),
(152, 'user152', 'User NAME152', 'user152@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 3, 0, 0, 'a6b3da55514561f8b8ef18766237692d8f7a5038c1eafc2e258b3ebed2d38606', 1428480867, 1426845479),
(153, 'user153', 'User NAME153', 'user153@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '13b06dc14567a5ab3b5e5a7fda6d7d06cf270c77d8cc350794a38eb38a0cb648', 1427207853, 1427207853),
(155, 'user155', 'User NAME155', 'user155@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '320235a79c2c0800957f5541ddbd1a4beffbbaf8b6acd9ac8b40a6b12271b3fc', 1427829517, 1427829517),
(156, 'user156', 'User NAME156', 'user156@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'DZaV167YjTqH2EWHVIetsSgxwE_maguDfD-TDAnQyg21Lo36oD5TxMYn7AmsovsW', 1510584254, 1427829686),
(157, 'user157', 'User NAME157', 'user157@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 63, 0, 0, 'U3vRDyb2FKYLoa85gF-GJJIuIJ-aAYqyMJv0TCTRRbB5EQlezn895jWHcl7L2zVZ', 1521205752, 1428390747),
(158, 'user158', 'User NAME158', 'user158@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 36, 0, 0, '1b3d179b1c8072576a958a84d6524d119dbe373e41770601513faee5a23bc863', 1507883303, 1428911879),
(159, 'user159', 'User NAME159', 'user159@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 13, 0, 0, '4dc918db716f58cc41ba6872542dc1c4ec16e286c9bf18538648f9ab554f2e4c', 1486461769, 1428991268),
(160, 'user160', 'User NAME160', 'user160@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '95b09a214850dd501664ab34d29aaf95cb04cf09985a7319905a19a4becb4a8e', 1463064221, 1429095242),
(161, 'user161', 'User NAME161', 'user161@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 74, 0, 0, 'Lg2ipCjx5w0uCNHCel0327-_QUO-xYCGb8ZE_drTHgEnWxjQPNmRY3RCgmuzrlFY', 1521449691, 1429522049),
(162, 'user162', 'User NAME162', 'user162@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 5, 0, 0, 'a60650e15df0e5f21ebdbdc21b4e86ef9a8f0eebaa90d96e4e241a0812164091', 1452090056, 1429522101),
(163, 'user163', 'User NAME163', 'user163@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 270, 0, 0, '93fb4aaf716114ff5761a1e13de7966abb0948791e50dcaf6c0253af20e41c31', 1516357660, 1430991906),
(164, 'user164', 'User NAME164', 'user164@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 34, 0, 0, '963d4e4e1cdd6351df4780de644996e4ce68d39b6c9f4ec04800f6aaf04785ac', 1521472818, 1432020973),
(165, 'user165', 'User NAME165', 'user165@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '6fa0d57ad333064431ca3d44d62c0a00a5d122731cf50a31305754838ea2151b', 1435049615, 1433317275),
(166, 'user166', 'User NAME166', 'user166@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, '12ee47dc2530e46849916ba61d62a0557b587312df730e23a35bcbc8aaf3cce5', 1502457800, 1433844029),
(167, 'user167', 'User NAME167', 'user167@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'bb77a2553efce888f7393fe5c35eb4daf6befa47b8d79fccf57761eeab3fbb61', 1478610832, 1434007463),
(168, 'user168', 'User NAME168', 'user168@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 30, 0, 0, 'Sqgr9oIk_iGjWpZGmCBnySmI8domDHeo9EySPdgxI99uUjon5othkWuLbekH-t3_', 1517848508, 1434007613),
(169, 'user169', 'User NAME169', 'user169@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 17, 0, 0, 'e72fb0c436b0bb908a0ec43f2f9acf00a9d2fcd766a2fd21eec79caa7137a3de', 1506026373, 1435823809),
(170, 'user170', 'User NAME170', 'user170@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 2, '61e2ec5cce4102709db1d3a8bfbc73539aba37314b4505b764ed46bb4e6eb3d2', 1435839528, 1435839528),
(171, 'user171', 'User NAME171', 'user171@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, '5fe90ef53aecdb6b31e0d7c78f6efaf2f23fe0aa6aa672905fbf842bf7462e9f', 1447670839, 1436253467),
(172, 'user172', 'User NAME172', 'user172@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, '9090aa15c49e9e399ba971a9dd1c6275cea3cebd87dba46e0c4198e9fd2c6776', 1519833949, 1436347300),
(173, 'user173', 'User NAME173', 'user173@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, '0uSi5eNatJ3No7iB0K-aFR-CojB4erl8YDOAgcHk_Qy19skd8DM1gn59rtLRGyfW', 1464078901, 1437567841),
(174, 'user174', 'User NAME174', 'user174@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 12, 0, 0, 'Ulk3RGajIsn9-qRWMqLbJVuxa_pBJOW0rnDQIRRUKyFWDBDTuQA-1j9RcHru2obO', 1511189072, 1438468289),
(175, 'user175', 'User NAME175', 'user175@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'cc7760d06cc49e5810c3ec629c286af8dd569007f4006c52b6bc556ce9f0b979', 1516276184, 1438468539),
(176, 'user176', 'User NAME176', 'user176@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, '8a2486fba1f3cfd3a8da530834048507372570ab0003c52ed0ce214ca45e74d2', 1482142711, 1438468726),
(177, 'user177', 'User NAME177', 'user177@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 60, 0, 0, 'd7438037e8f4d2a290205c957af1b141236c1c6318e677bac3b1abe32c375c5e', 1480522866, 1440075482),
(178, 'user178', 'User NAME178', 'user178@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 12, 0, 0, '009acd6e7c3a7e8f6adaea804a063f09e903818d64f4cad6ac8b03183ea3605d', 1448010780, 1441178024),
(179, 'user179', 'User NAME179', 'user179@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 130, 0, 0, '67e58432a44ef55bd21386a1ea50f3bf925648c74cdcb207ccdb990eea3b9d55', 1504214243, 1441614889),
(180, 'user180', 'User NAME180', 'user180@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, 'TF3H8yysBlJhWRII4haX6mT4miZ8xZyOGAsLS4mofaNU2ULgLwgX-6w47eQ0lKCZ', 1502354626, 1442495800),
(181, 'user181', 'User NAME181', 'user181@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'b_oQR7tWYcJj4I1jPEst6kKyb1qSEpn5UYjwJZGsaFGTSvrZmA-M1twaiqi4urRT', 1504767638, 1442495906),
(182, 'user182', 'User NAME182', 'user182@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'Vblx6Fev06Ow-zPR2vMjRQc11lDPCVmSnE9T7HuHQLWUDKJ0ZVmy4veTHIexE_g2', 1463039765, 1442495966),
(183, 'user183', 'User NAME183', 'user183@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '1913048c52d4f8c005fb9032662c801101e04df33ee2cfed51ef9c95c174e7df', 1442500756, 1442496041),
(184, 'user184', 'User NAME184', 'user184@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '27872df4d12d6e934e499cd494421045bc759f739b29053b59e8e3fd5585154e', 1521018340, 1443172560),
(185, 'user185', 'User NAME185', 'user185@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '0d10c5fbe728f2afca3ebf1f22c488aa07194352fd8b8b7fb57d431754ccdf1e', 1447612510, 1443172715),
(186, 'user186', 'User NAME186', 'user186@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'a8f99eccdcecbbcbfd0990136234da1c9ab4180ac9b41db0b48143a507ad5c35', 1520845861, 1443189598),
(187, 'user187', 'User NAME187', 'user187@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 39, 0, 0, '2e17ae87e64f6328015cfaf17a2069257534bd2f663217ae68ef8728e787def1', 1458134762, 1443524423),
(188, 'user188', 'User NAME188', 'user188@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 31, 0, 0, '9fda2dc0e50349b5c40bb1d8806fbac99f9d659e1df57d3f3dc1782e02b334f2', 1466692363, 1443530901),
(189, 'user189', 'User NAME189', 'user189@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 20, 0, 0, 'd5012f3adb5d1c7b7eb5cfedb4b1283a8f9cece9108cf8cbe0e3ff10d0586c93', 1520604637, 1443530997),
(190, 'user190', 'User NAME190', 'user190@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 17, 0, 0, '01fb9d0d772197d93007a23ae9251ff15355b3f6659571c80e21f31ec7983400', 1521453799, 1443790497),
(191, 'user191', 'User NAME191', 'user191@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 191, 0, 0, '055f5fddcf2036d84a0b7009375661b4a4bffc3d3edbb5b304233e3fd4aaced8', 1521451100, 1444379454),
(192, 'user192', 'User NAME192', 'user192@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '22741447cb570f79e4e1317f343c9034568dbc59a14334f7bb0c815e3b342a3e', 1445335591, 1445335591),
(193, 'user193', 'User NAME193', 'user193@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 18, 0, 1, 'ISidccjY77j44Tfp4R5uCPDY33YajMw-ENXMTDl_vmLdHJH0jF9DG7pHPhLyKUYs', 1507905411, 1445345372),
(194, 'user194', 'User NAME194', 'user194@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 10, 0, 0, 'VRWwhgNoCchzGrjSFPwEUV8bOhMnSNVqv_wEYT9cJOysJTJLp1SEbNKd4TmHJWHn', 1520266792, 1445438640),
(195, 'user195', 'User NAME195', 'user195@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 111, 0, 0, '7e0e85eb2537130c29f4c2d3cc5d401dce8045b6ede8f3d1dc5ede03adb42364', 1521473498, 1445941059),
(196, 'user196', 'User NAME196', 'user196@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'abc11424458ee121ab045dcdae52019e4502f359d021c3e2f34c6233c28f6677', 1445941133, 1445941133),
(197, 'user197', 'User NAME197', 'user197@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '1a4d9a6c830a42186348fc6d81aac1207c65fbc2daa888024bb3e5dbdc9beb1f', 1445941183, 1445941183),
(198, 'user198', 'User NAME198', 'user198@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'ba97bd8ebb5a4870fb9abf101cd21fdd92dbe8d4636fa72f9a808154b73fc647', 1521206282, 1445942206),
(199, 'user199', 'User NAME199', 'user199@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 101, 0, 0, 'EmuLRJvT4Ja-krJhR3vdgdKZS65PAxB53OCryHWozbYh95_VJBZPmcqF4FF_A0Ft', 1521454659, 1446210299),
(200, 'user200', 'User NAME200', 'user200@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 14, 0, 0, '1f68fe801449423ea1dfe9d01ca64e1daa23c7ca28626899bbb9bc6f1ab2c148', 1472203077, 1446210381),
(201, 'user201', 'User NAME201', 'user201@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '7b18b801bb8293749b8bf3ddabfd24ca938b0120727da1c618321d03eaf22b43', 1446629742, 1446629742),
(202, 'user202', 'User NAME202', 'user202@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, '9952cb7a992d7bc559a612f7d77da7f37ea0bb4d9b72872f9813d31b98f58297', 1521475024, 1446798799),
(203, 'user203', 'User NAME203', 'user203@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '4cc9c1515d781e06cb0edb55ffe8c18827fc2710b001385e249e05f123ec5978', 1448289061, 1447061213),
(204, 'user204', 'User NAME204', 'user204@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '5ee9dc3e508e83538e5832f6d005e65076a2a5397e4bda98053154984ffeb4ab', 1477037659, 1447061295),
(205, 'user205', 'User NAME205', 'user205@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 18, 0, 0, '5T4xu7jJ0EN0bVNXVyx_HuOo7rHYoNaearzX5fMJzISHzcebYJWpM1Izs5n8p-ie', 1508766224, 1447857191),
(206, 'user206', 'User NAME206', 'user206@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'a515ccf4f9325321a5dccfd74f894d745486b13e804407da40f40dbd071470b3', 1449491049, 1448643746),
(207, 'user207', 'User NAME207', 'user207@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '0256a6048a8fb57a9efc3f07a0dce5a668a7527b05445169515d198e73b739f8', 1449493788, 1448643798),
(208, 'user208', 'User NAME208', 'user208@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 5, 0, 0, '8753b64cf1e86fd0ff6d9251707acd1203b72b80b08666cde017db967ebbee33', 1455272208, 1449226374),
(209, 'user209', 'User NAME209', 'user209@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '9lmIlPIntPnPsh-sWWe51XjiHHg4fJWAzmbgyslD4rejbz8SiPki9NKpgJbDPZ6T', 1492765177, 1454339057),
(210, 'user210', 'User NAME210', 'user210@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '388d8eea3409e74ff517185d2865415adb8affbab3e37f4f5d49a265624a9739', 1454406358, 1454406358),
(211, 'user211', 'User NAME211', 'user211@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'a7f9e73912328c457049b481ecd5746772ee6a61bc10d5b76c4e3c715589eda9', 1481897312, 1454406425),
(212, 'user212', 'User NAME212', 'user212@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 7, 0, 0, '490001b64104acb747b7ac22e48f77304b4f872df51da2bee76246d3e639d4a9', 1482415272, 1454590295),
(213, 'user213', 'User NAME213', 'user213@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'NIg-nGVs_B1ULUwvr8FwcA5m1AIlEiDENsch5v2p6wrxQSKamwBxKfYaTZBk9IAF', 1461136563, 1455808814),
(214, 'user214', 'User NAME214', 'user214@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '639f06d3180a48aafb4770336d2577674c46b0d0f84b498f382df2eb5cb7387c', 1455808953, 1455808953),
(215, 'user215', 'User NAME215', 'user215@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '12373b653fc9f427e054959ce89a129c7486b14606a1774dd8d7b28a8c2711d2', 1455809020, 1455809020),
(216, 'user216', 'User NAME216', 'user216@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'eb4945c5552819ea03f2ff8936dc442d3b40eeaa894f09b2bd99cc62015ee211', 1455809082, 1455809082),
(217, 'user217', 'User NAME217', 'user217@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, 'ef3cae4412db2ec22b516068d01e8367a3bd9e10e9415bd6aa39f5598654b58d', 1512986039, 1455864493),
(218, 'user218', 'User NAME218', 'user218@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '25fd8a87f078f34aeba86befd581f607f2a5ecd5aa7e79ff3c8316c72eee2559', 1505121569, 1455864795),
(219, 'user219', 'User NAME219', 'user219@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 68, 0, 0, 'f65f3abf4a0c53946013d46f63cbb55a2026aa2b7a7f0516d7554216515a2990', 1521451378, 1456475566),
(220, 'user220', 'User NAME220', 'user220@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '11897a4fe8f24602b4fa595a01ffe8a364a9684243355dc09e0c11e67967ea3c', 1457000137, 1457000137),
(221, 'user221', 'User NAME221', 'user221@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '2fe16a4a39ea143ed66823cb3628d8f542c38c1bfd912ed3181aa371add71171', 1457000218, 1457000218),
(222, 'user222', 'User NAME222', 'user222@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 0, 0, 0, '24aa5a7c54ed5139c227b855558fc2918dc29cb9c1fb630544b6daff858e2382', 1458032769, 1458032769),
(223, 'user223', 'User NAME223', 'user223@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'BIhDq2AbnPMj3U_o25CjsnvEdd813LgLnLlbz1W5Zh1L47YGEdlJoB-3Q5gOc5Wl', 1464356461, 1458118843),
(224, 'user224', 'User NAME224', 'user224@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '340a78604ebe66349c3eee2e3ec7d8a5ee73025c6cac4b41b2b00be93bddf2cd', 1521452268, 1458118937),
(225, 'user225', 'User NAME225', 'user225@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, 'riQuslITh3EbPw_5HhEAI3Y7rsEqJJICUHzL8ttuNXaRxXvke54jsPjw7LWiF-tG', 1511173442, 1458119031),
(226, 'user226', 'User NAME226', 'user226@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 32, 0, 0, 'YcZOCFPc8lg_ZlEfDj7yJi9cGT0ew6y_GCknGc6VYZ8ktNyNiSRNbXM24viT6Xhg', 1521477256, 1458660394),
(227, 'user227', 'User NAME227', 'user227@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 41, 0, 0, 'G2v8_uvQ509Q6W0zVK5N441bmrDPgl8tU4j3mfJ3N0dXd0XLrpem1tyDS-YT5nzy', 1520871527, 1458735351),
(228, 'user228', 'User NAME228', 'user228@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'ixaEF-5pJNSH9u5xW8I5BkDPwNEBuyrogndyuY2n7U50QkpN6zXo--xgdKgo4hVt', 1458735594, 1458735594),
(229, 'user229', 'User NAME229', 'user229@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'NqyKDJgRpnbOh8oRdQoqsR7_qJ8DlU1Jk9C-90dbyQk2hfJ4yx80AWqzCQTFLblA', 1521449937, 1458735674),
(230, 'user230', 'User NAME230', 'user230@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'euJ5xQZG4jedluhA6qTTqo06GX3hdz4TWh3doQgDQ6wETrUzrxJcv6JRFGgDncGA', 1458894358, 1458735754),
(231, 'user231', 'User NAME231', 'user231@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'HtNpXEOgTN215VbIeBs4gMzukYjT6hN6xJ3AU8X_lmB46cy90DQoAKGiOVlWBYTY', 1458735829, 1458735829),
(232, 'user232', 'User NAME232', 'user232@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 10, 0, 0, 0, 'xpd44KvweBoSD8OL8AjhDki5ugkPFDJNIe6iRsuSxo8hPJjUR7HN5rglHHA4tu3t', 1458737140, 1458737140),
(233, 'user233', 'User NAME233', 'user233@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 10, 0, 0, 0, 'V8YIOVqsOPPoYq-zCIIYMWEgOBghrZi2PVEToFWFDsFRUe-ZFjtjtMi-5q8ApB6s', 1458737280, 1458737280),
(234, 'user234', 'User NAME234', 'user234@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 77, 0, 0, 'PFIFqutOOBm1MKqZ3TJwVM1DKCv5bSSO3ToXUcsUMOmZvPzF5GmlL0diz9DexL6_', 1521469006, 1459494247),
(235, 'user235', 'User NAME235', 'user235@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, 'pFPeRod63oIggCuhM3HyZJVAxIYWNhQED8gMDgEi-lZCjsjLJALGGP3ZcNjZoruD', 1521130509, 1459494328),
(236, 'user236', 'User NAME236', 'user236@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'dxtS27xwmlgQBvL1A_HxMb2mRhDp3MvyxVTIjAXqHNAuDQ8m3YbPZn0vExWWJP51', 1521206247, 1459957578),
(237, 'user237', 'User NAME237', 'user237@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '0SHBO0-hG2MUdews6pmofqohWmiBfSyoeaIyqgIUOZPMKKIDmZ4Hr9zWyK98u-TS', 1521457682, 1461590258),
(238, 'user238', 'User NAME238', 'user238@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'CLAhvbCNCIa_dPssoH_0fmMp0GZKGop_ZQPnDKU_FpVuAVD253mv-RHAOdxJml9o', 1501485597, 1461590363),
(239, 'user239', 'User NAME239', 'user239@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'xASahrFW0RQ3N83loFxxioI0pJSpJwDUxjWeZFp6ixF_6pUe0-IURHkbuSovxHT2', 1487596222, 1461590493),
(240, 'user240', 'User NAME240', 'user240@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, 'QaRkiVU4airF_SKBdklXgp9gmlua7yCa2GaSdMoMF73Axx913--94wXhlgz6oW7F', 1521191565, 1461590563),
(241, 'user241', 'User NAME241', 'user241@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'FTwePkEU7xokxUOXg2RGM2pIGWRh-EqY3NZ9lZllcLymt58uVxGj8KfRHvhT4PjT', 1461590629, 1461590629),
(242, 'user242', 'User NAME242', 'user242@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'sbDq64yawqLMp-p6SiQM03PWRoLcvymeLlrlprrLpWcXUUuSq7xLtXCp0hYijuKH', 1490705753, 1461590687),
(243, 'user243', 'User NAME243', 'user243@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'VxuFGnOjnyiRDxh1O5bczh8wKCk7B1xhECDlYuaWIIgeZf6Wjru1Rj3NG7jqOIe8', 1521207699, 1461590746),
(244, 'user244', 'User NAME244', 'user244@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'eqXQwGfHYEzrD1NqqTuKShgwRZuyj1EljpHfkYAMrjnPI3woD7h6Nk5wsqeV23sl', 1521125355, 1461590870),
(245, 'user245', 'User NAME245', 'user245@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, 'SJsZaQdHR2NaBM7Dl4bsIqby3IWvO6GxkbpitmzHMogDexpq7YlbNlb7JYbar0xX', 1474546835, 1461692880),
(246, 'user246', 'User NAME246', 'user246@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 12, 0, 0, 'OWbd8SOEtwplXcDy0tEYPFZls9Vjz1wa2s-ukapXtuK3w5tKNE-hNDm8w1MdP2xn', 1504688032, 1461837143),
(247, 'user247', 'User NAME247', 'user247@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'y0N8qSIuM83ZW5LFzzPVePYdh_YT9m-9cjjerD0rHaeL6nskWmT58EQAKVQ-ignE', 1509716141, 1462783860),
(248, 'user248', 'User NAME248', 'user248@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 13, 0, 0, 'W4GUJDWQn4GBA5p3-_mAYSav3KQaB_gVsNraxuIkA0AgDi9DjkY1SSdyjec3kH2j', 1505466245, 1463146526),
(249, 'user249', 'User NAME249', 'user249@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 43, 0, 0, 'APuQfyEAvA7_YtGdtk5y240G_sD0tCYWXcCefgB3lyV2Bd1P66gEFMn2U4XcS9v4', 1521042368, 1463150943),
(250, 'user250', 'User NAME250', 'user250@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, 'fdBfosHO01aM9F6mzCTqQW8lt8_uYUtVcjip08H0De-5Rp5nzzD5mQ2Fub4cu4dV', 1521466822, 1463151006),
(251, 'user251', 'User NAME251', 'user251@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 34, 0, 0, 'mDyiX7m63imSNT_V3ipkiVId2hs2lefzaJn9rqwI1prUlHTWrDo3Tl0R7Nf95CMy', 1521451911, 1463151119),
(252, 'user252', 'User NAME252', 'user252@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '4PGo1oXJB4cXEDEh9aBv13fXqCN4aOWd5LQ2dFpG_4yYZZl5xSeRdBaETizCud9V', 1503910800, 1463151203);
INSERT INTO `mantis_user_table` (`id`, `username`, `realname`, `email`, `password`, `enabled`, `protected`, `access_level`, `login_count`, `lost_password_request_count`, `failed_login_count`, `cookie_string`, `last_visit`, `date_created`) VALUES
(253, 'user253', 'User NAME253', 'user253@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'TPeHadMYaidxDZxTAEEdAOI5_Aoo2Bluzr_u0K8KaPgrlr7-wPsROo2Ee2cgjO3A', 1521130954, 1463151280),
(254, 'user254', 'User NAME254', 'user254@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '0H-X-Rtb5YF0mdYBIMWWQFYCwrZ_aTN_bnDpQ86CJKgPDg8SzQnwPEZYZIvamMvn', 1513330527, 1463151350),
(255, 'user255', 'User NAME255', 'user255@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '0Cfwesa4qFbIsjl3OiSc5MXJ91HQAvUhWWWJ_DL9jknXx5Jz_d4zWWFTFpW2X8GE', 1521133764, 1463151431),
(256, 'user256', 'User NAME256', 'user256@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 31, 0, 0, 'pywAKQ0e_d8VlTLclGxZkX1tIzCqvpNw_T5-0hnJgpTs4xJFI7ziqXvNReZZMWD5', 1513287551, 1463476669),
(257, 'user257', 'User NAME257', 'user257@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'O0NxDrJ0_HYfwdltj32Z60XDPsv3H_Hd_9__pwXS2bvEhWbhJ4Vp2IV7JBDakcrk', 1465985688, 1463476719),
(258, 'user258', 'User NAME258', 'user258@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'JxAVY65Bws5W-gd-2-cO_9PjHWMsMAqD9yPfVjPIciEDYuoCVkFdR6_akEOhPttg', 1476875756, 1463476859),
(259, 'user259', 'User NAME259', 'user259@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'LHE_R8d2V8xPyl3I6JPfmAUs_MoBxf73b14q2osn9ZWULWk42WHM2A7h720xUqKw', 1477039558, 1463476931),
(260, 'user260', 'User NAME260', 'user260@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'Lsy7uv3DEUJe0qSCEpQhHksyd-k-4pDj6O1D5OBtjK9thwdPBlX-G8XPHL4wKYyG', 1510925200, 1463476977),
(261, 'user261', 'User NAME261', 'user261@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'FyA1KVLxyTKZO25cOHbV2KtrtaUwhDJV5KQZ8f0o26bQUwUc3ubMal8BgZwoxlvj', 1519985921, 1463477021),
(262, 'user262', 'User NAME262', 'user262@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'LvWb8iCRhKIee08f5KAn0NTq2YuILE7LuPng-zmgKiHez1WE4YhelSY_nMObSYnY', 1467360946, 1463477080),
(263, 'user263', 'User NAME263', 'user263@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'GZFb_FYB9i9I1R4bna7hKktx-P3X9gdNuoqcRoHTVGT-0_EQc76WZ7dngAOnSk0T', 1479203882, 1463477129),
(264, 'user264', 'User NAME264', 'user264@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'RxEYkQh0PRHIfpRvjtPlyyqJrybAuUv7rcAhiGzT1Mr6263LhGXSg4HDweovutN-', 1508397620, 1463477178),
(265, 'user265', 'User NAME265', 'user265@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '7JxiDkqm11aOLJ5I-gOTHwy4UcYaqL9q2a6wwcG8RXi1pXarDJnbLxDZ8TlI2Hk_', 1505398179, 1463477234),
(266, 'user266', 'User NAME266', 'user266@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'dyzY-LrkaUwwdII50oXyTPsZnoo036VqHyRyBjCx7cleYaPZEGTF734Ou8oe_mm7', 1516021999, 1463477294),
(267, 'user267', 'User NAME267', 'user267@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 76, 0, 0, '6KMuGSU1FbEbyV18Gpw9q5J9rqN_WBudb1vglraczM8s40BAXkjaSKFl5zsjpR3-', 1518686505, 1464599038),
(268, 'user268', 'User NAME268', 'user268@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 24, 0, 0, 'MgTiutFeA_0OEnyR13NMw_AilUU_oeYmm9JPBYWH1rCsvW1_sJcqXzY24ICrtiOq', 1521470481, 1464772076),
(269, 'user269', 'User NAME269', 'user269@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'IunBZ0-ANll-_o_qDQd5980FWLI8WSx7Gp_cnoMuDudGwgeZW29EyUzqBqy0EqWN', 1465545883, 1465295217),
(270, 'user270', 'User NAME270', 'user270@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'o1sR1nD5AF0plmfrMhwtmNdmtQDiJomGPB_OqzeV07754jR3dRCLdZX7tIUAGIbI', 1465307413, 1465295279),
(271, 'user271', 'User NAME271', 'user271@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'SviCO25ljJrqD1fZkfpL0E9m--5W8hzC5Fgi44kYMmy9s4VjtJLcJ155Rme5nS4k', 1465307526, 1465295351),
(272, 'user272', 'User NAME272', 'user272@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'j-cN_kAKRD9d0jB0UIFpAcPWC09PfJraKKHjc-1Mku879Bmwe0stXj2NRtR4mbYI', 1465307694, 1465295439),
(273, 'user273', 'User NAME273', 'user273@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'MUVz1wkpJD8nuV9U9Tx7lsBRCeCjdnvT08WigEEw9apJyJIRjkSwkNVDFlC8Idqp', 1521103660, 1465533017),
(274, 'user274', 'User NAME274', 'user274@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'K9NRovko1MX2dUlrQOWuLEoUUDN-2oiUEUw8WAav8vGqNhB2vK3JrXQPt9OSHagf', 1521102447, 1465533247),
(275, 'user275', 'User NAME275', 'user275@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'FW2q_j7rH_YCW-XI023z5xflDJvGEOP7TwYFobcviSbc3HLd8VpGKno2txVXxmQF', 1521104123, 1465533538),
(276, 'user276', 'User NAME276', 'user276@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'CFcqUb3h0IUe9vzLQxfAVAK1CMzr5M6WNtep4cWUeXwIDyrl1B06DIFSVlmmXLnN', 1521452087, 1465533727),
(277, 'user277', 'User NAME277', 'user277@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'Os71HeSogDAbqIgzjaj4DN2VMaJ37U2x9TU3mV39sCO8ksp8xa8R5qzfnpwsNagZ', 1508321369, 1465534078),
(278, 'user278', 'User NAME278', 'user278@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'S2bsjF8hqFCt5sujeStl3i3NJwBWDfuhNKaUd_QGuZd0D1chWkzajHbvrbML37pc', 1521131773, 1465534464),
(279, 'user279', 'User NAME279', 'user279@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 16, 0, 0, 'rhIVm3jRHEuD0Wyx2Uag6fO71O3gd5kdQuzysT7jHsppnRt4-5ttGlb0ZLQyWnkI', 1517996087, 1465903422),
(280, 'user280', 'User NAME280', 'user280@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'aAGANr1y5rBXsi3Km0VtqEqjkIW8JSfWmz-xory-K-rn516G-QSC87Piv4HC4ynN', 1483613624, 1466770335),
(281, 'user281', 'User NAME281', 'user281@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'TTzlwdB6hps70NizprfWVOtrn4YiWGinx86R1rW3NKsOqXKDK1CWpf4AIJAuZ5vO', 1521112852, 1466771755),
(282, 'user282', 'User NAME282', 'user282@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 32, 0, 0, 'V4M8Hop-hSYdsV9-anwzQnxarLmKV49cp5kgAkjVum6ID8v25qlqk8wz4CN2yoPv', 1521213511, 1467324000),
(283, 'user283', 'User NAME283', 'user283@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 1, 1, 'niswd8U9pMgvC1whZPgT3V9k3bgxDRpYLhWuPJdvow8nUzfB51whz9ArAA_h6Pfz', 1514532120, 1464127200),
(284, 'user284', 'User NAME284', 'user284@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'EJsGs8uWBsDv_Tzrt_t4h6L1IJNcMKe3iqiEOoemTp_ALqw5XEC9jT-b2T_b4vmb', 1512125811, 1460930400),
(285, 'user285', 'User NAME285', 'user285@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '1FzhsZCK_n8CCeVcRJenPRsTNaHEyM8ZgMIgb5u1sViCfEa8TgCzAGnJKhPgrbjj', 1521215739, 1464818400),
(286, 'user286', 'User NAME286', 'user286@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'swsjB5ZhVMRYQUOsRnnbvmAMN-6iNKZHw4YDoUFiS14j6PFZLYiwkmlpIHNi252E', 1490691075, 1465509600),
(287, 'user287', 'User NAME287', 'user287@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '2EvQP3B9QgK--n8PdW3iIfOSuft27hvr6EIkDd4D9yYKcpv-0MXW-hl-QhI2FquF', 1521129695, 1465768800),
(288, 'user288', 'User NAME288', 'user288@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'ZTy3baxIbhqHu-k00ORGDSKUasZHeEuhLbWMSgqJoQvfI0LS9SiTHouV8dXpF2ok', 1466775796, 1464732000),
(289, 'user289', 'User NAME289', 'user289@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '0_0C2FlbMuCQWRNMyWsfgGKJgNpCzK7VyzpyUVX3jUzoIaAMZEzRIseolcGCZO7S', 1499761480, 1467064800),
(290, 'user290', 'User NAME290', 'user290@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'zqPUj4lzZZxyYo_ig-kJ-fPbWz1i6rp-CYxf0HiJt20JKTKOVgMAem5x9zKDt4ZM', 1475147349, 1466776826),
(291, 'user291', 'User NAME291', 'user291@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'fj1Pak338mUJZVF1IeKk2W-cu6mfAchgYBubvzca5UxT0kwjAER7v8QDzf5hiMJ2', 1519911382, 1466780147),
(292, 'user292', 'User NAME292', 'user292@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, 'Rbc5ga6d0zCv6pSXKupbD7VNbYJQb_IQl0Spic0PDf5chwL7O0fLI-XzoTkptULf', 1520611827, 1467014174),
(293, 'user293', 'User NAME293', 'user293@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'oGtaG_NoS7_qM2qU_pXvv-faiK_7ocPCJyg60-3k9vZffku3pHA7Su87IGzPyla4', 1521193319, 1464732000),
(295, 'user295', 'User NAME295', 'user295@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'rk15az3958BP2mQYHXDtpXheEJZRFO2ZwGvj8sqxYjYu5oX3gw6ZIX2WPejXqYd1', 1467364953, 1467583200),
(296, 'user296', 'User NAME296', 'user296@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'b-8Y9Yek-S3E-uZL7BBjLIhxxit6YlaazBKDii7W8HWJK57AFSp9RmsA56cosB6C', 1469175882, 1467583200),
(297, 'user297', 'User NAME297', 'user297@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 1, 1, 'fgFSFHgJbQnxVjdmLGmCLnl-eRR6VcQI6zQpTk0eDZuWK9enNMnj1s4pP0zc6zIs', 1516270366, 1465768800),
(298, 'user298', 'User NAME298', 'user298@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 51, 0, 0, 'wfd-ghGUxZqRjd7Av067UE4mHpZduPKxxtlziMCW6F95r7p24a8LqkGfV-78v3eG', 1521463396, 1467842400),
(299, 'user299', 'User NAME299', 'user299@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'QC4R1MGqiTdqTC21ngQDCt6KzeqGxDkKGvoPdmHbPFqRUZqGsZOZrJFUUNqmefDb', 1516787618, 1467583200),
(300, 'user300', 'User NAME300', 'user300@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, 'gKpysxaflDxKlu0VBndBp726m3tB1XypIJG2lV_2R1zM_SpZ1hc8hWfPEI_TPuB_', 1521125190, 1465768800),
(301, 'user301', 'User NAME301', 'user301@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, 'kP_9NpaXxLBZYhgPxmfSIYR_2C-heBFYh0yDF_oNSxjq9m1gEKwV272HIEau9ao-', 1487842458, 1469192810),
(302, 'user302', 'User NAME302', 'user302@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '5w0hiL-Vn-6BxRZ5W824LrYNMk-oZ2Z4MPHsOrJRLaB-SojQnofGaVcrbgh5pivu', 1472119396, 1469192961),
(303, 'user303', 'User NAME303', 'user303@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'YdPbtEupk0wx_Dj6_sbhvfalJEE5MQHHdHIOEIUTciVqPlXuFFBKf2DxRDBh6X8A', 1520495917, 1469537198),
(304, 'user304', 'User NAME304', 'user304@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'ZvdRZRKSwn3f0WHs9Oi6-6hrVz_QSeBuMArJD-z3R2qrEX1R-oWkv3ewYG8VVJZL', 1521448194, 1470002400),
(305, 'user305', 'User NAME305', 'user305@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 1, 0, 0, 'bb7w8P6ZKeTSLfDguCljlwmWjXYcZUo0b234dzSSZ86qakgR2TZrh5kOh6mD8yen', 1469795406, 1467324000),
(306, 'user306', 'User NAME306', 'user306@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'm5TGY7jn9TIMaMufFgKdd_wfDr16xH8_bfJyXhnpIRwPcMkCG0JKmHhBgw7xMqjy', 1521190247, 1472680800),
(307, 'user307', 'User NAME307', 'user307@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 20, 0, 0, 'jCXy72BlGVML8dvgCdHD_GnoKB-QhxhROzXMaAulnTZ-VBJ4fe7O2XJQnba4hVp6', 1516813054, 1469224800),
(308, 'user308', 'User NAME308', 'user308@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 15, 0, 0, '8fMQW2gdHxi17kAKYwho1gODuN-UcfoKMJ44G_-5zfKi-_9R8YJ6SQJEC20SYLHc', 1521034735, 1468188000),
(309, 'user309', 'User NAME309', 'user309@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'pvg4LFlcsKZ9UnN5x4Zv3whoqAiDr4erQUI_iYNVN7cbaSriLS9hCHC254Fe1_EH', 1521124524, 1467324000),
(310, 'user310', 'User NAME310', 'user310@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'wEUM83E1UiqwJvG-CGW1Sb3-w7mPvcF8Dm9g2lUGQdJ_tdyKZD8HzxmIiYvC6BkN', 1472647375, 1472647199),
(311, 'user311', 'User NAME311', 'user311@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '8EhRcIz4ivOeHgSj1fEpa4M55560RSQtXV9_OvjLz1hl5hRR3advtM_aySqqKPwb', 1520932110, 1473631200),
(312, 'user312', 'User NAME312', 'user312@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '8FHyqPx-JoYaLbNZcj0WJXLYck5EDimwh0e63iCCvMgDKbR2jblqGMVjk5JQaV_K', 1521191829, 1473631200),
(313, 'user313', 'User NAME313', 'user313@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'Xq9RWeav07yw-EzxCpf0QZRnraHaBp6Oxv_0G1xpt5dk5ZF5_v8OVFqcGT7TpIgD', 1518539807, 1474840800),
(314, 'user314', 'User NAME314', 'user314@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'BpTAlS1A8DUpOIU-1NO-10aPkxoGgZU865ooKUNy0tEKz4C6ouGG0-I-g3oTfuTo', 1474459097, 1474840800),
(315, 'user315', 'User NAME315', 'user315@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, 'I2TATJewcOeORehW30E_iPfie7UNvmC-UqCv711Xi55rCQLxOXLARzjhiMYxbotp', 1521475319, 1474840800),
(316, 'user316', 'User NAME316', 'user316@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '_SvY6PBiW8B9HgQD88qHlk7FTbWDQiS1a3AFDHmtG7FIbesfHVeJod0REvYJ2leP', 1474459097, 1474840800),
(317, 'user317', 'User NAME317', 'user317@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '8cLon58z7oFgKNLbIhrdXtkue6gZIbzT5Uk5TOsElkXDcGUlAodc2hM9B9LjhFKA', 1474459097, 1474840800),
(318, 'user318', 'User NAME318', 'user318@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'ET4lgJ-F83DqPqPB1xqRWFzglJXDNDvhu7mabVNp6DIlLWkL9Nh0A6HjXq8yPoGG', 1474459097, 1474840800),
(319, 'user319', 'User NAME319', 'user319@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'cV5ksh0Q2hObI6bLTRdv_FTW8allOb4_gVifF6_sFLdxzKB51X-G0LvRAZXIVoIR', 1474459097, 1474840800),
(320, 'user320', 'User NAME320', 'user320@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'NDhh3-gm3cUTGL8sfHCtHdMH6qzN7KYzvz3UKJnL4n4C4pj3FTQyHylUSLU-6MIR', 1474459097, 1474840800),
(321, 'user321', 'User NAME321', 'user321@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'wrW4EHKCXQefE-xSDxc7i5BNGy-NvyaXpFpKDJnDTkbNh1Cz4AQjLWwEhwmKUz9F', 1474459097, 1474840800),
(322, 'user322', 'User NAME322', 'user322@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, 'xBJwVjxKnh7uQfrIgDldbn3zEMp5in7dd28-T6_jLc7HrSIjh6uVFq7S-xdHbGxu', 1521464619, 1475073868),
(323, 'user323', 'User NAME323', 'user323@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 15, 0, 0, 'xwmt8aggSz-9LT-J7Keu7eRtZYjiFTqEfq2JFseMEeehMCAdQdNS-8hkAcHPNMuQ', 1508741533, 1476050400),
(324, 'user324', 'User NAME324', 'user324@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 109, 0, 0, 'wuJ8a3AgMuvD1RY1Hb1Jn0PH1Zgue3gBkwwVpw81KUIK4vJ6GQxXrITiq4-WuPDg', 1521467220, 1476050400),
(325, 'user325', 'User NAME325', 'user325@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'barGXR6AVzBKvPzxjOR2FHB-aYnqYQV80HTG0tvwnikoZpDdutXAC6zYckTtW9rc', 1518775063, 1475445600),
(326, 'user326', 'User NAME326', 'user326@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'AQENsTO2mSF3RAXkJj8D7bH-hGyPl6ceWevBZA4SBUh9OZcAoRK2GexI3OmyaH7J', 1489141338, 1475445600),
(327, 'user327', 'User NAME327', 'user327@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '2aLgZXcFd1LiZBekrNdth-koUwaz9kZ7-qmqCtU_wiWdflVK58anE9zXLN5nRKsi', 1506606161, 1476655200),
(328, 'user328', 'User NAME328', 'user328@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 0, 0, 25, 17, 0, 0, 'ZXJJwIqtqIPNlsPy55aztd1keDGgINSbqSQtwUKJt09a9gvcmsulH4bnYE4GCEMe', 1496926336, 1476088916),
(329, 'user329', 'User NAME329', 'user329@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'E81PZWAKJ4GSLmI-oc1p0uy8S2mGaxCaa30SwoGQuJN6M9oCgjO6SvpE3HBbYh-V', 1521476783, 1476093080),
(330, 'user330', 'User NAME330', 'user330@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'aY3YR6e99IOA8gLW_wN4H81D7teJWmsejFLUY-47O55KJ1juJC8HVYZeUQ8yItE0', 1521471090, 1475272800),
(331, 'user331', 'User NAME331', 'user331@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '_K27DizkhL0sKsfvjX_nwWSdZHjewa14e3H1QxemZS5riS9IC4UzB1ZAluiJ34ax', 1521131604, 1475272800),
(332, 'user332', 'User NAME332', 'user332@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'fsTFUep361z127vjHYzHkvruSuWeosL7Kf-sDc_WHCq4bbHq7QfitLZ85RznCXE_', 1502458535, 1478041200),
(333, 'user333', 'User NAME333', 'user333@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'pQ9w7xkbawtPbGD9bLWDhkHdCQ9ovbYvxS4MuYoKB6ySThUCVVl_kHf7UGHnQNHC', 1494509608, 1478041200),
(334, 'user334', 'User NAME334', 'user334@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '4IJr5pU_1mtxnbqaG1DylgLU-cWMVNlCg5P8MTLW6q8J_It32spUVTrtbvKJXG_3', 1521103110, 1479078000),
(335, 'user335', 'User NAME335', 'user335@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 71, 0, 0, 'MXwalyq7TWupmwF_v7bPOEoZWxIirGtfhPn320tCaO9lGd2LMQzZHznDu9B7vaow', 1521478869, 1479164400),
(337, 'user337', 'User NAME337', 'user337@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'uWnAGZyZ2hmJta9FuxRixgyYiOqbYShnVj-x2BU4jB8ZbkInznYyOg431wB30HC1', 1479738600, 1479078000),
(338, 'user338', 'User NAME338', 'user338@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 10, 0, 0, '_maePiUwVcNpp-bukOnMpFiQIl9gjlMQT6QglyDlkHdubANUFVof0aUygDwK05aY', 1521125250, 1478214000),
(339, 'user339', 'User NAME339', 'user339@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, '1RfgtluMhrLhbnPevh79ifZWn25eOpzMTUiXm-E5ddbdD_i1l_FuysWDmZci304a', 1520342020, 1478473200),
(340, 'user340', 'User NAME340', 'user340@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'peGwgCEwHFKw6wVC1u9-lb8IOSZoiVvJsB1fz0RquF7XnY6VO0KRCQtwUGYHRTmI', 1499090217, 1478473200),
(341, 'user341', 'User NAME341', 'user341@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '5sngFZmrHz_oJlhYw0oEX6pZwTUg8uXgablsQlFkaoG2xgEJOsmX1XsNFa1MYVnY', 1489735866, 1480201200),
(342, 'user342', 'User NAME342', 'user342@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'l-6-U3eog_aoIj4JH5mZDUIpsqUYdalpe2NBxuTLYs0WC-Zaom46j22aIpY6asjY', 1488807401, 1480326227),
(343, 'user343', 'User NAME343', 'user343@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, 'aAhn0qDzZolBWsxmR9FYbSU5-zOWJoUw7Ng9joWnDODLl8Ub1LEAgwjcdreLAwjv', 1520519698, 1480460400),
(344, 'user344', 'User NAME344', 'user344@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '6N_9umjk8f4LllMBHwQsm8fVH_GdK0VMy923AFpqjLszuDtS_-4KaI8pb0U6zPaa', 1521183454, 1479682800),
(345, 'user345', 'User NAME345', 'user345@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'kHhigDwSA7hUK9HnFgbXta4nWCeHcoieE_rs_HEsKXxjrK4MCFrmwn3TK_T2RSiE', 1521190780, 1480633200),
(346, 'user346', 'User NAME346', 'user346@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'hcvAzkz73fy7nE2wqglOua5dqTdOuavNVIaXjyGG_4zQLpG6AxVt-nT9O0eyr6F-', 1521463103, 1479164400),
(347, 'user347', 'User NAME347', 'user347@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'L7vkxm6cOfSrmeO6OjDwGVfhtmBpSO3xYoVvLoXazVbueAhX4UnNI9fp2y66I6U1', 1521103892, 1480287600),
(348, 'user348', 'User NAME348', 'user348@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'XQLJdt53qy_Df5Q82gBJtrw8AEOmg_zW5lpfS34T2So24Y1Br9ovlMzvdkf9i533', 1500559482, 1480892400),
(349, 'user349', 'User NAME349', 'user349@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'aewuxTnGjMqOA17swjSye6eD776OucdQ6qDMyaOOFtvoE_aGLB_PsutEs03BPFpT', 1521099716, 1480892400),
(350, 'user350', 'User NAME350', 'user350@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'Oi3eZ6rSj7MSHjQUMe50ZPFjGzGHY4NdZVaWhfZ90Q7QxcKfRuGJ9IfABZYlqVYU', 1502369339, 1480546800),
(351, 'user351', 'User NAME351', 'user351@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '0GYf88VCB5esaBK1dIo7vj6-Va_1G4oGWBUtcGz8DBQNx-vWRpVtTnu8BEbvvYgO', 1486027396, 1482102000),
(352, 'user352', 'User NAME352', 'user352@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'z46SwkDLbKCIv-T3-IFlV7-Z2yeGMwFRPHKUxDmonzLVAwnGIlXypKHdBjq-PE-T', 1521205512, 1482966000),
(353, 'user353', 'User NAME353', 'user353@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'cpZXpN6Ou8SzIFSLkgV40LboNUJRqWe0skFoHD6G9K9SQR4Do0GZd6ar5qOH7fJe', 1510829910, 943916400),
(354, 'user354', 'User NAME354', 'user354@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'rHYwBKyeCnAufM9LCOF63Ce6oHS6H9dwqgbo7IkbzTy50h-DYE3BuUskJQkt7Wg7', 1509719532, 1483311600),
(355, 'user355', 'User NAME355', 'user355@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 16, 0, 0, 'dLa5_jc6vyW_zA-UbNmGajL3w1rTDmec02tihV3d0kb-Y1ETChYFfNbQwkqwK1q_', 1521052785, 1483311600),
(356, 'user356', 'User NAME356', 'user356@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'F4udXO8J4OIumEIkYIkx6cqJAjNJ5ya0rlBtjkfnydIzlbqv445Nax0FQ5j4mYGj', 1506433302, 1483916400),
(357, 'user357', 'User NAME357', 'user357@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'MfwhlLOAq35e6y5eWJNnCjw3o3-O4qszu9MtoxM--tI4x7JBq52nsKZl4shLQp2_', 1502440381, 1485126000),
(358, 'user358', 'User NAME358', 'user358@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '13gbI1FWy1dg2Nl2dgxzHhB2viIZ3zY5Tal9OwpQbs0F-zz4B3gdqI58-szbAgtY', 1504711860, 943916400),
(359, 'user359', 'User NAME359', 'user359@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'bmbxX4bO-JSLePJcd7X52s0ORQ2ywItc-oTL-aRFfM4xx8yJu2kadW9Avbp6qqIy', 1493997368, 1475445600),
(360, 'user360', 'User NAME360', 'user360@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 1, 0, 'ITfajMKILxNZ84tmPGg5dLXKdVdQFy9coSPkEObQ2_zYw5LR8awoHWur0e47XDsb', 1521120422, 1478127600),
(361, 'user361', 'User NAME361', 'user361@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'g9EV9-o4vhjHwfn5PlCLbRr4K8WqgF1rFj4D17MJS17v5ILPUH85W0dvuxOhaKL0', 1521478808, 1478127600),
(362, 'user362', 'User NAME362', 'user362@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'RWzx-vFoHx43CXdu9yWnXc402qYohA1GIs0zdqgzLy2KCgVxvoUh89yDP54aFCkp', 1486649903, 1480719600),
(363, 'user363', 'User NAME363', 'user363@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'iIebT61Bk-kciHeenrtsyFhYoNSmi21eqwV70xr_RiwLoGb1cB5UMpOhA-jG4fX_', 1484675555, 1478127600),
(364, 'user364', 'User NAME364', 'user364@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'noSulZcitBlQGq4RvQSHC5hRydThZKbJsTg_rPtgVrk-zS8lQjYf2g5v-uXfJt7J', 1494580881, 1482102000),
(365, 'user365', 'User NAME365', 'user365@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'Aj6dI5i2Jg2pOTMre4NjkcQ5ReUwZsrIyKEqSIj-MmAk8NbeFDJnOQx2GZU1t9Gw', 1490294816, 1481497200),
(366, 'user366', 'User NAME366', 'user366@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'TXMrg1wTrVYFMUuTGMt5fKslj1dOluk-D8KpXrZJv-EhLHXT6lbH7Jzz_kuZfJd0', 1513334395, 1484734989),
(367, 'user367', 'User NAME367', 'user367@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'ADu6DqQpsQubklQsTQDS5zbIqebO7-PRdrtemGAyEftYr-8EeNibs3vmc14Q3Het', 1521192235, 1487113200),
(368, 'user368', 'User NAME368', 'user368@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'qwp9TNs9Z7RruG2fBtakxYHhKVbYnUqOzPoqzcunyFe2OCL57WqKqi8IEFK1J5cq', 1521111865, 1485644400),
(369, 'user369', 'User NAME369', 'user369@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 47, 0, 0, 'YQ6aCGl7FLNcC191_ksnwLke_VgeV2ygQbu5-1L46pON-3044vLv5TOHJT14AyQy', 1496412107, 1486335600),
(370, 'user370', 'User NAME370', 'user370@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '3_ZTrknlPOj-dZgaw4N9Q4VCu1qtZXNmWJm3huNgjRjkcH2nfbdpabOPWr0YG6UQ', 1521451580, 1486508400),
(371, 'user371', 'User NAME371', 'user371@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'wI2FJtxw2SBuy5a-y6WKHkfAxcOrzWfrnZ0WTExKRwfQxxZZ3KE9aMUrGspGQTVn', 1521196767, 1484521200),
(372, 'user372', 'User NAME372', 'user372@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'nrQv4EIJnKylgL4kjuQ81YavfG3seZLYqcFf0oXYBA4BzAKTEsMwxYGriAkh6X-z', 1520413040, 1487545200),
(373, 'user373', 'User NAME373', 'user373@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, 'jdrOcyNiHmC4msR37VZjirf5sMuZihcXlHXpQaRW5DI-0M-W3_VahOgXsS60mYfH', 1517566461, 1487026800),
(374, 'user374', 'User NAME374', 'user374@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'FlOLTwlNwokvWeBXdXZyswlCfqbM5rEU431RmWvAISIs73Pv1RZk2MlmJwUj6YA_', 1519982370, 1488063600),
(375, 'user375', 'User NAME375', 'user375@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'Vvd0pAXproKO-1QW1Bi3cJtaOl2450sIKZHveZ7BKGmsWqzTSg8nT4QBHD02SfG_', 1521194366, 1488063600),
(376, 'user376', 'User NAME376', 'user376@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '8xUzuROYT1rcJqykdARBO4IFEAFZSLqbXbtgIA-5J9b1NtRWn_De4e3eW-uraeH5', 1520503607, 1488063600),
(377, 'user377', 'User NAME377', 'user377@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'dLkDfw7YmQJfYw2KIdT0FggHLdLK2yRjv_2ZE_q42LjyZKhNWxHfo00yBu7QQO2N', 1512048073, 1488322800),
(378, 'user378', 'User NAME378', 'user378@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '4yjTuLK33O83BH5YhDjp5UOXWxfz6vtMceTvm72RjH7dqv5iVZFL32ycf7Q5PeH8', 1506588336, 1489359600),
(379, 'user379', 'User NAME379', 'user379@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'wZW-rkLFkS6AAJ56xIg6LnnorvnZ61V99n9rHJrKbHwBTirQSVB-kEOD_cQv-IQO', 1521034814, 1489359600),
(380, 'user380', 'User NAME380', 'user380@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 55, 6, 0, 0, '-01asNyTJZOKqo6mtPKk2UrYkiuHc1ICaDJuQOWhm_iE2OKdaR22kbcbvyHEBWaN', 1521447896, 1489745782),
(381, 'user381', 'User NAME381', 'user381@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 16, 0, 0, 'qnuAtH-uTP3SazhXdZ1rB_F6tkaWhgiYVOdDNaNQ_2b4xYCBkkKLKQnkCx9Y3Oy5', 1521466002, 1491343200),
(382, 'user382', 'User NAME382', 'user382@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '0lrWz23rjnY49Zk9c1P1x0_D-0dVKvYrkWTAGnysIoEl58TdH2b2cyDmrJmNapl1', 1521471479, 1491170400),
(383, 'user383', 'User NAME383', 'user383@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'G8TO6XabOXjsYN4bzIpIzoqZRLm_9rXjbLujc8pF5MHG4tD2eKN2Dc2gdVccYnYB', 1492176815, 1488322800),
(384, 'user384', 'User NAME384', 'user384@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, 'aCiMJtiTdw4AER5OfcO4LjrKEEIJHQZ6VUo1oPZPPTVKzyzSuL4XnPSaRchsrvj1', 1521194270, 1493071200),
(385, 'user385', 'User NAME385', 'user385@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'eSTBvnl6x1aN5-eF2qL7um3gl8fvIMZQOGZZ2WLuMz3coNm2cpMxRWe_X_b12ZLk', 1495185168, 1493383089),
(386, 'user386', 'User NAME386', 'user386@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '5NTchuheJEWHYdM2VsEm8-TQ_sk6clH08xKEuy9EyA8y8mJlgbcP6qo4-IOQFHpr', 1494417884, 1494367200),
(387, 'user387', 'User NAME387', 'user387@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 1, 'stO3rTS4DmG-Fh3zTlfHgwqP4aiL9-lSdz5D1u1UpgvtbavqJE3mYifIb2bHsKU1', 1494417979, 1494367200),
(388, 'user388', 'User NAME388', 'user388@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 1, 0, 'SWHrpQLDxVXAfbSUlU1UGvw6sM_hrhUHcoCTc2aTZvbyIgkEpuNaR0rosOyvA9of', 1518516017, 1494367200),
(389, 'user389', 'User NAME389', 'user389@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'F8F0VgTSETKCLgdKmh1EXYdXDz_sVINQ_NoDNJ8hybnWYcYsX9u4PyqxWVlzO8Gp', 1521475916, 1493244000),
(390, 'user390', 'User NAME390', 'user390@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'nZeDkyfMVI1bz4c4SwR_qIFSO4cVZkXg1pO4t2aI_ct0REqsI4nogl-EwWImAQk6', 1521466084, 1494496564),
(391, 'user391', 'User NAME391', 'user391@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'FBJ38UNY9DP9pD9_JHxzntWNxaYY5JkYQBmq4FsuoOvVxxcMUx6uFpQad-_ivXaB', 1494496656, 1494496656),
(392, 'user392', 'User NAME392', 'user392@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'V-hsIr2K1ICNMqXJ68miKmd6TzQIfey1YCmq0W7_pfbTK1AKAfxdPbCVimqNLsbn', 1512745918, 1494972000),
(393, 'user393', 'User NAME393', 'user393@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'CdqhmL9_6kniGyOU4CUgYSJXggfpIZFlLCK8IwP7uKeN8mzjFn15GQ31VnyXp3dA', 1511257484, 1495404000),
(394, 'user394', 'User NAME394', 'user394@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 59, 0, 0, 'b3ChdOU6obLP01ZZr6QB1j-qybo5-EcB18CB-kDJKRQl3emWTqCiSLynXgBLf4C_', 1521465471, 1497016587),
(395, 'user395', 'User NAME395', 'user395@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'QkB1KYsWQk4SpcUNZFCYBEcKtxZaTpQJRBCiCL_uJh0qcfjyhF0FiymzLFrKgz29', 1503663433, 1496268000),
(396, 'user396', 'User NAME396', 'user396@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'rdk6bSfFl0Xx7ILop511WZpVQfSmRJYJM_WqlYCA72WT5Amj5S6srxvtHl8EGbuq', 1504252063, 1496268000),
(397, 'user397', 'User NAME397', 'user397@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'CJdGtUZP4zTBGlvlb6-1xTP2-nb2xMQf2EgUN-WiU0xWGhgr6IvD_hz-WR92Sps_', 1520590257, 1496008800),
(398, 'user398', 'User NAME398', 'user398@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'JAUZIXcDFQlx6nGpWMm8c4Ote6Jj-p8dYeL9egHr1mNcc6DzoRSfjecGO3-STaoY', 1521454448, 1498428000),
(399, 'user399', 'User NAME399', 'user399@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'EjAlnrUERaGlipA2vzqHz4luIQq3jHRFFBNbEpyfFqipwaogqVyEFT7tKe93GCe3', 1501254043, 1499032800),
(400, 'user400', 'User NAME400', 'user400@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'Lyr2706Xm3iXOQfZ2C5Yk6l8FFKkGwC9MHFOKY6y0iHCstokbvoBZuX0x88ihw6z', 1502456423, 1499032800),
(401, 'user401', 'User NAME401', 'user401@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'lWTCdRyM5mYT5HBd-Qr3LFrxPYr_M8O9BOxE33k_sS627vfrUuUL9FzDF4WHQ-wb', 1500628703, 1499032800),
(402, 'user402', 'User NAME402', 'user402@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'au6URp53lpD8B15lVe6bxA2VZaPduHIxtpOfJ8faowzXTpeNa8vZIPOjv3u5uSGH', 1500531798, 1500531798),
(403, 'user403', 'User NAME403', 'user403@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'vq8rB8dCk_FLRnozIDnzQeQUzhDwHQywrmeTqukh2CZtMel-Qlciz7zMtaI50YZo', 1512720235, 1500760800),
(404, 'user404', 'User NAME404', 'user404@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 9, 0, 0, 'ChsJqXyO0gH0VxXSAmXFq39k9sM0waV8pA_3hmyAMTD-LZvdQDNotooxRhp2fw4m', 1504855416, 1501538400),
(405, 'user405', 'User NAME405', 'user405@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'euz-hhRWsu8bgPtzZqiiY8meGKnrmaP9AHG6QDfiYMZX9NUI00YSmwKZoxSYmCqF', 1520514234, 1501581486),
(406, 'user406', 'User NAME406', 'user406@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'sb49s9JXulfNnGctu_q-U0X0vSfjW5tG182nxYdDpn-_HujVP4aTmIa7D0MtikR-', 1521448552, 1498860000),
(407, 'user407', 'User NAME407', 'user407@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'wJlF9mqNrAN5S1TXDf6Jonz31CtOdy_o6fVG0ZyGmSyMZLucMQ-gATlKqhigL_-q', 1518686264, 1496268000),
(408, 'user408', 'User NAME408', 'user408@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 10, 0, 0, 'PQYscE-No4UJ4aoVGTzkLO_QFnnaUw9YC3RVeJV_Swb4hmCXljIriF9IK4570pJN', 1520436830, 1505145955),
(409, 'user409', 'User NAME409', 'user409@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 7, 0, 0, 'MbjE9s-7kTwHjzesGv8k5tn1IrccYHNnGhHOJRo8HpsZDSSCdDNqqFRPdiBsN-VR', 1518684333, 1505145955),
(410, 'user410', 'User NAME410', 'user410@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'fA_Vf4RIhSQufwqb2FA8gXHRsHGuhd9IH4girDwiMXC0w7UhtJ99J2VoKuEFiUyi', 1518688212, 1505145955),
(411, 'user411', 'User NAME411', 'user411@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 8, 0, 0, 'yladc2E2HFXBRIxFnYik79HyzHvM4ni6oAK2ryn5dpI_CnFnhl1oxdIF9_xbOXjX', 1519401443, 1505340000),
(412, 'user412', 'User NAME412', 'user412@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'jMQUoPfzdQnb3HHXe4IPcvWfipqPsn0oA5a61vlXtDlU9tDpOyKaZkGT_NgoaF-K', 1506087553, 1505685600),
(413, 'user413', 'User NAME413', 'user413@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '6sYJFb1bNrOV3j11dTbF6_EKeoIanKdm1XFq04YfghBujDKlWurDDiiGsPMMDTmz', 1521105968, 1506588659),
(414, 'user414', 'User NAME414', 'user414@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'QGIEsRW1M-j4GacVAVySedLU7gkKP6Oq09yviO3Rg7xOOvGjwC5iBzAnswaDhfeg', 1521467936, 1506290400),
(415, 'user415', 'User NAME415', 'user415@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'T0EG5da3okeiqHvPCSUYpLydSwb9H0047724WpnYhOiAhxz6MB2QCCRnRPzdLkvb', 1521472304, 1507500000),
(417, 'user417', 'User NAME417', 'user417@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '8j3wjAVFRJQoA6UKLQMLU1Y7BNUxySummUa7CyEih4gqv6xHG2-3YyIG8AChk5QI', 1521471533, 1508104800),
(418, 'user418', 'User NAME418', 'user418@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'cXtP_pxja2al8OlnXxzeP0wsmQj5HJD5Zkzu89OFHj89FdgXtqNU6Z43yfJyNbR6', 1512123947, 1508104800),
(419, 'user419', 'User NAME419', 'user419@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, '-HQWJjg4CqDf6WIvuj00ygpSkEqfikz1-C2yVvQRzjgz-plB6e_wiT-NhshFPL-R', 1521447265, 1508104800),
(420, 'user420', 'User NAME420', 'user420@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, '4GiAvIAEEW1not1U3EYQppmL2ZFEYNhCUWUn4QmgOXi-L3j3W_MvWDK0iSCrN4T4', 1519289451, 1508882400),
(422, 'user422', 'User NAME422', 'user422@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '_49Di0kTYdmk0qgRDrC9llS6hr1rSyvzfaZftAxhDEyc5bwocR4dzuiqBLP4su0n', 1520584426, 1509318000),
(421, 'user421', 'User NAME421', 'user421@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'ozV-1jmlo7K5NHa-gS2w6YNFOWhugEtj7y4laBQhxRYHY_GhSJhIejH4ak5hHToi', 1521474832, 1509577200),
(423, 'user423', 'User NAME423', 'user423@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '1MpE6fqmrVMmQtQEcrLYK15x8hZLFnDZZi0feRnUPHQbpsZXp7ukdcZINPUS7JN0', 1521448117, 1507586400),
(424, 'user424', 'User NAME424', 'user424@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'n1ywLOB-6GigOxr06-pYY2TuKxkiRnTkxhufF3YYmCB_tSXto4N49G0SHpbwojOC', 1521018339, 1509490800),
(425, 'user425', 'User NAME425', 'user425@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'FpYgNgMFk6vfRS5DcJHz8LfPPPG7J_Aqu4R0L9bLNYLb3fy2Kv8IznOi0yKD4dgU', 1521102300, 1509490800),
(426, 'user426', 'User NAME426', 'user426@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'NPUIB0gMEbxUrvmpBquDhVi1vcsemmQ8EYa-SUGSdROh7Vgxcu7tV_vy13lp-uvl', 1521118079, 1509490800),
(427, 'user427', 'User NAME427', 'user427@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'QMQ0UNJVXyb9KxOsoTbnz3GSObEZjz_THP6IJi3bAG08F5sQvSddubMY5_P8K3Cw', 1520439868, 1509490800),
(428, 'user428', 'User NAME428', 'user428@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'Aje15EiEj80Tv9X_cA30BKr_m8wNHcVJ-FbQyccbTW5EeIoqbmhljs8EI2Xm5sQP', 1521457666, 1509490800),
(429, 'user429', 'User NAME429', 'user429@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'X4ZB08fh8QgLhCL4kZGZJTTn3GpimknvZohQ1S8kKBwIUR1hFAAv5RUvLIxTHIoV', 1521106414, 1509490800),
(430, 'user430', 'User NAME430', 'user430@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '9S4XdlB47pVEhl5smn4h35WrSWOmjPAGdu0DYTF8avPo-t5sCIiPhZK_lNgxO1gd', 1516783269, 1509490800),
(431, 'user431', 'User NAME431', 'user431@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'AyU1UaXHLngdJGyC92TBwBKsVCS5wenJtKVvOts1LF6DSgmRgRRcVCon0KoQWCTo', 1518776281, 1509490800),
(432, 'user432', 'User NAME432', 'user432@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'Bcs7mEvIZb2UIO-e0eCWhMAfNrlwBR2ahViO4vMpfKYpuhfuwM98wi1Yyzw5vITb', 1519121862, 1509490800),
(433, 'user433', 'User NAME433', 'user433@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'KTygZX-rIQcf2AWtdfq67yJt-b0wP-JP_3OGmJffSHN0F3D-nTiqAAGvCwNRzTEZ', 1521217184, 1509490800),
(434, 'user434', 'User NAME434', 'user434@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'YL0PJ44rQuM1WdrS2zsNp3Z6f4db45akjDdo6xfap9Wdm_nXSFhIP9SOrAboSykl', 1519143729, 1509490800),
(435, 'user435', 'User NAME435', 'user435@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'qTaU0cio9B5eCjpUVurlf-ROWtuiy2mBATtn1bfIw73kQ1jVHWBofFazmXTbJGZE', 1518426902, 1509490800),
(436, 'user436', 'User NAME436', 'user436@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'ZILl24w0N-oKcqgdRXL7F8etg_t_7hZ6LnsdQKn65C-nXp97FwGZxXvuPw2OM9md', 1521464262, 1509490800),
(437, 'user437', 'User NAME437', 'user437@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, '6OX5Z5Xgu8R-ZSUDJq9mdiesKc1V6XcJSvgN5KsOu1H78UQ-gNEwJ3DJOunK2CWD', 1510846642, 1509490800),
(438, 'user438', 'User NAME438', 'user438@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'r4QD9aSfSdd8b7fdV5UOxH-jCL8jJRpqUGpmz1_dRMTWbQr1zkTTO1GX-s1NjqqZ', 1510331718, 1509490800),
(439, 'user439', 'User NAME439', 'user439@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'wvHeFeSj6wdE5YvGTI6wg9NtmoiK1oEa3wHvSr5XUwFojMZbB2ka7BUcpVc5GYYU', 1511965211, 1508364000),
(440, 'user440', 'User NAME440', 'user440@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'jqDZgvxCov0xiR3a5i4AcJLyYoeEnQzwMXn3oJaKxsO4z2kBwMl3tYRZd6ymED_Q', 1519829021, 1509922800),
(441, 'user441', 'User NAME441', 'user441@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 5, 0, 0, 'EwfhqlQJk2al345Dc7Z2sv6OQTCgYHy3i9Eg-8dYDt22Da2SKiYPVGICvZnBXKUN', 1519373970, 1510527600),
(442, 'user442', 'User NAME442', 'user442@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, '8HhGPRYFSdNJ7IB8X7ANHgyyozDo3myNF0d2gcKUJseHlV6PFrtcW2d6HHy9tvkC', 1521448514, 1510786800),
(443, 'user443', 'User NAME443', 'user443@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'ebSatV_jqItGj-eXjrLVQuSOUPWKcQWxAjtEkOcp3Ny28ZGAtlHCI4TMqA8FclvA', 1511172405, 1511132400),
(444, 'user444', 'User NAME444', 'user444@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'VPJ7nWGZzFAeEu0G8aT7_velWpsovBuEAvDu6OtcpdUghbssiqJVIDDPLvhhGVtf', 1516962542, 1509922800),
(445, 'user445', 'User NAME445', 'user445@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 12, 0, 0, '6srgVaRCdqt2abW0gXgSEm4UvOJGj7k7KFRu9gId1P5ibKGfqycWRhjY6xrMfwLa', 1513958452, 1511737200),
(446, 'user446', 'User NAME446', 'user446@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'rJgbMYaJu_nXc77KVrzEKB0wdwrcIb7OZGK8pyNzWHwYwDvfaEE4J6VRLCwzPzVI', 1513160546, 1513119600),
(447, 'user447', 'User NAME447', 'user447@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'KKdg4sNe-8MvFbcQxvnYYiiYN2iyue3o64JOBp9J7Vzajf0Mn55wL_K9a5Un7YE4', 1521450062, 1514847600),
(448, 'user448', 'User NAME448', 'user448@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'rYkLXB7Pq6aWjsDRL4fKAtsd6PMM9KmcPBjBB6lcFvq-l0_R1KmcjfGGJzNLn5El', 1521450070, 1514847600),
(449, 'user449', 'User NAME449', 'user449@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'T3jghjLaQjfxu-PUeFoIDKvPLDp5guDfKyntrxtcwM7axDwx6LZJwfXD5bWLqbFC', 1515406975, 1515366000),
(450, 'user450', 'User NAME450', 'user450@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '1EWE2G4VIXNL02N9swTy8o-u7ly6fKl7RSmwjyCrRJ9sfqLF6sIGmQSVbP6PqmQi', 1521469050, 1515366000),
(451, 'user451', 'User NAME451', 'user451@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 6, 0, 0, 'yNKUHJf3820cHUIslEWoemg4wD8NLg6t6yHcG6B6LEsWuiILOSIMYpY-2_ZoHDVZ', 1521477855, 1515366000),
(452, 'user452', 'User NAME452', 'user452@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 65, 0, 0, 'i7uVffw_tbtbCVW1NYQZN22cBaj19gUSRXulaGt1jtzHCSNplHE77zmjo6LmSTUI', 1521477169, 1515366000),
(453, 'user453', 'User NAME453', 'user453@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, '6NWsU9ANy2KqHwGh-0rNGLh8tEn73_xsEGkZDQ9wt7h_SFNEDeJxlgVu_-_KrXNW', 1521041263, 1501538400),
(454, 'user454', 'User NAME454', 'user454@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'MHyPC0U5dG0mj5VKjTy8KGZQ4uXUEu3oE0J_3iqOHzTw7GYQIxiIqkd6sUBP2YRi', 1518448226, 1511132400),
(455, 'user455', 'User NAME455', 'user455@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'Yz7iwGa0ZOZDR3GQoUmCNq3_gXGOoEK_Lww28ySA0ioIBkJ9BjhkxZ2hu0jjG73l', 1521472313, 1515970800),
(456, 'user456', 'User NAME456', 'user456@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '44EfmdVzOeaE2-lBZIAE4LY6rmNeAMvp0gBP21zK-x6nDTbocoQMjH3oJa-Dwboi', 1521457710, 1515970800),
(457, 'user457', 'User NAME457', 'user457@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '_OF6lE4r4hAY2br6i6Jx4Zn7RhbeEgoP1eeuEuQmoY387J0q8ztauiayOr5pf2Zn', 1519921601, 1517180400),
(458, 'user458', 'User NAME458', 'user458@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'bu8f1Q7OS0yurXyY_wTINfG3iq21ExdegjoYL3GZ2kqLSFYxrwEQbClMLdYd4ana', 1517235402, 1517235402),
(459, 'user459', 'User NAME459', 'user459@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 3, 0, 0, 'Y0JP3M6qp6FXg03DUiLY_B9BRCjtzKgW_ZRjuoYrUmbtZUzCwj9v9QtiJ92pBaWY', 1521222697, 1517785200),
(460, 'user460', 'User NAME460', 'user460@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, '0_ZWOdMTVqTrMIL7vBv7sf_ppO2sLQdMjbGj7Yo-_W40x1PfUQjv21ivz-BMXgwT', 1521474592, 1516575600),
(461, 'user461', 'User NAME461', 'user461@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'EsyOBzVyAkyssn2TUJbNwBk0u7oW1q1hf4i_7TaBmwGF3Q7BAfTg8VMC22eXKW_f', 1521454345, 1518390000),
(462, 'user462', 'User NAME462', 'user462@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, 'JDG3M2hq1RiwzCzPyMsRyFaQFEPiyomYzZerrY0X4Qspwsq6WkqQjQYSUCsfmcAj', 1521457703, 1518649200),
(463, 'user463', 'User NAME463', 'user463@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'AotvLoPavcBkvI1kKixUlHZkRSVMqZ533IBfUzhx6cZ3kYpUWCi77J9pgxEyDEd0', 1520932112, 1518994800),
(464, 'user464', 'User NAME464', 'user464@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'TOBKJwG6uw6TMvXyYQIDu9gjeXVY-ChfZz9zlTSGbGQGqDmkBPi3m8_CwnYd6U20', 1519217183, 1518649200),
(465, 'user465', 'User NAME465', 'user465@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 4, 0, 0, 'nqRXskaxcuAyHjy8jsDHy5nNfFlqD8MsTa_N1KznhN8dkq8uOuF790ZAEYCnFPd4', 1521452275, 1519167600),
(466, 'user466', 'User NAME466', 'user466@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 1, 0, 0, 'VZ0wO2_FNZuzTG-lv95XTCnHBnz5J6OzBkuP4NNiQXRYtayeb2cWj1RToP21d7oc', 1521127159, 1462140000),
(467, 'user467', 'User NAME467', 'user467@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'EtGfPAKJFcU6Qs0BOTfaKSDiRXNWuvQORBJI9gHQfwg4kmGAzFaod9kMQG3epK60', 1521205520, 1520204400),
(468, 'user468', 'User NAME468', 'user468@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 2, 0, 0, '59PG9IVzB6YUdAf0xttlFSi8azPoITpVBtlTwcbNFjvRNZne4KvqO2se98oNaYP2', 1521465522, 1521458360),
(469, 'user469', 'User NAME469', 'user469@yahoo.com', '5ebe2294ecd0e0f08eab7690d2a6ee69', 1, 0, 25, 0, 0, 0, 'AV8S3sjx2X3LUTY3sRx-tUPMFOrmVE8F5kPxst2hEgFpwvypQ2duloGiJCNj5sjK', 1521470590, 1521470590);

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `codev_blog_activity_table`
--
ALTER TABLE `codev_blog_activity_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `key1` (`blog_id`,`user_id`,`action`);

--
-- Index pour la table `codev_blog_table`
--
ALTER TABLE `codev_blog_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `date` (`date_submitted`),
  ADD KEY `key1` (`dest_team_id`,`dest_user_id`,`date_submitted`);

--
-- Index pour la table `codev_commandset_cmd_table`
--
ALTER TABLE `codev_commandset_cmd_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `codev_commandset_table`
--
ALTER TABLE `codev_commandset_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Index pour la table `codev_command_bug_table`
--
ALTER TABLE `codev_command_bug_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `command_id` (`command_id`),
  ADD KEY `bug_id` (`bug_id`);

--
-- Index pour la table `codev_command_provision_table`
--
ALTER TABLE `codev_command_provision_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `command_id` (`command_id`);

--
-- Index pour la table `codev_command_table`
--
ALTER TABLE `codev_command_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Index pour la table `codev_config_table`
--
ALTER TABLE `codev_config_table`
  ADD PRIMARY KEY (`config_id`,`team_id`,`project_id`,`user_id`,`servicecontract_id`,`commandset_id`,`command_id`);

--
-- Index pour la table `codev_currencies_table`
--
ALTER TABLE `codev_currencies_table`
  ADD PRIMARY KEY (`currency`);

--
-- Index pour la table `codev_holidays_table`
--
ALTER TABLE `codev_holidays_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `date` (`date`);

--
-- Index pour la table `codev_job_table`
--
ALTER TABLE `codev_job_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `codev_plugin_table`
--
ALTER TABLE `codev_plugin_table`
  ADD PRIMARY KEY (`name`);

--
-- Index pour la table `codev_project_category_table`
--
ALTER TABLE `codev_project_category_table`
  ADD PRIMARY KEY (`id`,`project_id`,`category_id`);

--
-- Index pour la table `codev_project_job_table`
--
ALTER TABLE `codev_project_job_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `codev_servicecontract_cmdset_table`
--
ALTER TABLE `codev_servicecontract_cmdset_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `codev_servicecontract_stproj_table`
--
ALTER TABLE `codev_servicecontract_stproj_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `codev_servicecontract_table`
--
ALTER TABLE `codev_servicecontract_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Index pour la table `codev_sidetasks_category_table`
--
ALTER TABLE `codev_sidetasks_category_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `project_id` (`project_id`),
  ADD KEY `project_id_2` (`project_id`);

--
-- Index pour la table `codev_team_project_table`
--
ALTER TABLE `codev_team_project_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `team_id` (`team_id`);

--
-- Index pour la table `codev_team_table`
--
ALTER TABLE `codev_team_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Index pour la table `codev_team_user_table`
--
ALTER TABLE `codev_team_user_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `team_access_user` (`team_id`,`access_level`,`user_id`);

--
-- Index pour la table `codev_timetracking_table`
--
ALTER TABLE `codev_timetracking_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `bugid` (`bugid`),
  ADD KEY `userid` (`userid`),
  ADD KEY `date` (`date`);

--
-- Index pour la table `codev_timetrack_note_table`
--
ALTER TABLE `codev_timetrack_note_table`
  ADD PRIMARY KEY (`timetrackid`,`noteid`);

--
-- Index pour la table `codev_uo_table`
--
ALTER TABLE `codev_uo_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `timetrackid` (`timetrackid`);

--
-- Index pour la table `codev_userdailycost_table`
--
ALTER TABLE `codev_userdailycost_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `user_team_date` (`user_id`,`team_id`,`start_date`);

--
-- Index pour la table `codev_user_dailyrate_table`
--
ALTER TABLE `codev_user_dailyrate_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`user_id`,`team_id`);

--
-- Index pour la table `codev_wbs_table`
--
ALTER TABLE `codev_wbs_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `bug_id` (`bug_id`),
  ADD KEY `parent_id` (`parent_id`),
  ADD KEY `order` (`wbs_order`);

--
-- Index pour la table `mantis_api_token_table`
--
ALTER TABLE `mantis_api_token_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_user_id_name` (`user_id`,`name`);

--
-- Index pour la table `mantis_bugnote_table`
--
ALTER TABLE `mantis_bugnote_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_bug` (`bug_id`),
  ADD KEY `idx_last_mod` (`last_modified`);

--
-- Index pour la table `mantis_bugnote_text_table`
--
ALTER TABLE `mantis_bugnote_text_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `mantis_bug_file_table`
--
ALTER TABLE `mantis_bug_file_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_bug_file_bug_id` (`bug_id`),
  ADD KEY `idx_diskfile` (`diskfile`);

--
-- Index pour la table `mantis_bug_history_table`
--
ALTER TABLE `mantis_bug_history_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_bug_history_bug_id` (`bug_id`),
  ADD KEY `idx_history_user_id` (`user_id`),
  ADD KEY `idx_bug_history_date_modified` (`date_modified`),
  ADD KEY `idx_bug_history_field_name` (`field_name`);

--
-- Index pour la table `mantis_bug_monitor_table`
--
ALTER TABLE `mantis_bug_monitor_table`
  ADD PRIMARY KEY (`user_id`,`bug_id`),
  ADD KEY `idx_bug_id` (`bug_id`);

--
-- Index pour la table `mantis_bug_relationship_table`
--
ALTER TABLE `mantis_bug_relationship_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_relationship_source` (`source_bug_id`),
  ADD KEY `idx_relationship_destination` (`destination_bug_id`);

--
-- Index pour la table `mantis_bug_revision_table`
--
ALTER TABLE `mantis_bug_revision_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_bug_rev_type` (`type`),
  ADD KEY `idx_bug_rev_id_time` (`bug_id`,`timestamp`);

--
-- Index pour la table `mantis_bug_table`
--
ALTER TABLE `mantis_bug_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_bug_sponsorship_total` (`sponsorship_total`),
  ADD KEY `idx_bug_fixed_in_version` (`fixed_in_version`),
  ADD KEY `idx_bug_status` (`status`),
  ADD KEY `idx_project` (`project_id`),
  ADD KEY `handler_id` (`handler_id`);

--
-- Index pour la table `mantis_bug_tag_table`
--
ALTER TABLE `mantis_bug_tag_table`
  ADD PRIMARY KEY (`bug_id`,`tag_id`),
  ADD KEY `idx_bug_tag_tag_id` (`tag_id`);

--
-- Index pour la table `mantis_bug_text_table`
--
ALTER TABLE `mantis_bug_text_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `mantis_category_table`
--
ALTER TABLE `mantis_category_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_category_project_name` (`project_id`,`name`);

--
-- Index pour la table `mantis_config_table`
--
ALTER TABLE `mantis_config_table`
  ADD PRIMARY KEY (`config_id`,`project_id`,`user_id`);

--
-- Index pour la table `mantis_custom_field_project_table`
--
ALTER TABLE `mantis_custom_field_project_table`
  ADD PRIMARY KEY (`field_id`,`project_id`);

--
-- Index pour la table `mantis_custom_field_string_table`
--
ALTER TABLE `mantis_custom_field_string_table`
  ADD PRIMARY KEY (`field_id`,`bug_id`),
  ADD KEY `idx_custom_field_bug` (`bug_id`);

--
-- Index pour la table `mantis_custom_field_table`
--
ALTER TABLE `mantis_custom_field_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_custom_field_name` (`name`);

--
-- Index pour la table `mantis_email_table`
--
ALTER TABLE `mantis_email_table`
  ADD PRIMARY KEY (`email_id`);

--
-- Index pour la table `mantis_filters_table`
--
ALTER TABLE `mantis_filters_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `mantis_news_table`
--
ALTER TABLE `mantis_news_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `mantis_plugin_source_branch_table`
--
ALTER TABLE `mantis_plugin_source_branch_table`
  ADD PRIMARY KEY (`repo_id`,`branch`);

--
-- Index pour la table `mantis_plugin_source_bug_table`
--
ALTER TABLE `mantis_plugin_source_bug_table`
  ADD PRIMARY KEY (`change_id`,`bug_id`);

--
-- Index pour la table `mantis_plugin_source_changeset_table`
--
ALTER TABLE `mantis_plugin_source_changeset_table`
  ADD PRIMARY KEY (`id`,`repo_id`,`revision`),
  ADD KEY `idx_changeset_stamp_author` (`timestamp`,`author`);

--
-- Index pour la table `mantis_plugin_source_file_table`
--
ALTER TABLE `mantis_plugin_source_file_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_file_change_revision` (`change_id`,`revision`);

--
-- Index pour la table `mantis_plugin_source_repository_table`
--
ALTER TABLE `mantis_plugin_source_repository_table`
  ADD PRIMARY KEY (`id`,`type`,`name`);

--
-- Index pour la table `mantis_plugin_source_user_table`
--
ALTER TABLE `mantis_plugin_source_user_table`
  ADD PRIMARY KEY (`user_id`),
  ADD UNIQUE KEY `idx_source_user_username` (`username`);

--
-- Index pour la table `mantis_plugin_table`
--
ALTER TABLE `mantis_plugin_table`
  ADD PRIMARY KEY (`basename`);

--
-- Index pour la table `mantis_project_file_table`
--
ALTER TABLE `mantis_project_file_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `mantis_project_hierarchy_table`
--
ALTER TABLE `mantis_project_hierarchy_table`
  ADD UNIQUE KEY `idx_project_hierarchy` (`child_id`,`parent_id`),
  ADD KEY `idx_project_hierarchy_child_id` (`child_id`),
  ADD KEY `idx_project_hierarchy_parent_id` (`parent_id`);

--
-- Index pour la table `mantis_project_table`
--
ALTER TABLE `mantis_project_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_project_name` (`name`),
  ADD KEY `idx_project_view` (`view_state`);

--
-- Index pour la table `mantis_project_user_list_table`
--
ALTER TABLE `mantis_project_user_list_table`
  ADD PRIMARY KEY (`project_id`,`user_id`),
  ADD KEY `idx_project_user` (`user_id`);

--
-- Index pour la table `mantis_project_version_table`
--
ALTER TABLE `mantis_project_version_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_project_version` (`project_id`,`version`);

--
-- Index pour la table `mantis_sponsorship_table`
--
ALTER TABLE `mantis_sponsorship_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_sponsorship_bug_id` (`bug_id`),
  ADD KEY `idx_sponsorship_user_id` (`user_id`);

--
-- Index pour la table `mantis_tag_table`
--
ALTER TABLE `mantis_tag_table`
  ADD PRIMARY KEY (`id`,`name`),
  ADD KEY `idx_tag_name` (`name`);

--
-- Index pour la table `mantis_tokens_table`
--
ALTER TABLE `mantis_tokens_table`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_typeowner` (`type`,`owner`);

--
-- Index pour la table `mantis_user_pref_table`
--
ALTER TABLE `mantis_user_pref_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `mantis_user_print_pref_table`
--
ALTER TABLE `mantis_user_print_pref_table`
  ADD PRIMARY KEY (`user_id`);

--
-- Index pour la table `mantis_user_profile_table`
--
ALTER TABLE `mantis_user_profile_table`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `mantis_user_table`
--
ALTER TABLE `mantis_user_table`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_user_cookie_string` (`cookie_string`),
  ADD UNIQUE KEY `idx_user_username` (`username`),
  ADD KEY `idx_enable` (`enabled`),
  ADD KEY `idx_access` (`access_level`),
  ADD KEY `idx_email` (`email`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `codev_blog_activity_table`
--
ALTER TABLE `codev_blog_activity_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `codev_blog_table`
--
ALTER TABLE `codev_blog_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT pour la table `codev_commandset_cmd_table`
--
ALTER TABLE `codev_commandset_cmd_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1068;

--
-- AUTO_INCREMENT pour la table `codev_commandset_table`
--
ALTER TABLE `codev_commandset_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=189;

--
-- AUTO_INCREMENT pour la table `codev_command_bug_table`
--
ALTER TABLE `codev_command_bug_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=26623;

--
-- AUTO_INCREMENT pour la table `codev_command_provision_table`
--
ALTER TABLE `codev_command_provision_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1134;

--
-- AUTO_INCREMENT pour la table `codev_command_table`
--
ALTER TABLE `codev_command_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1191;

--
-- AUTO_INCREMENT pour la table `codev_holidays_table`
--
ALTER TABLE `codev_holidays_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=115;

--
-- AUTO_INCREMENT pour la table `codev_job_table`
--
ALTER TABLE `codev_job_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=31;

--
-- AUTO_INCREMENT pour la table `codev_project_category_table`
--
ALTER TABLE `codev_project_category_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=307;

--
-- AUTO_INCREMENT pour la table `codev_project_job_table`
--
ALTER TABLE `codev_project_job_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=466;

--
-- AUTO_INCREMENT pour la table `codev_servicecontract_cmdset_table`
--
ALTER TABLE `codev_servicecontract_cmdset_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=180;

--
-- AUTO_INCREMENT pour la table `codev_servicecontract_stproj_table`
--
ALTER TABLE `codev_servicecontract_stproj_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=31;

--
-- AUTO_INCREMENT pour la table `codev_servicecontract_table`
--
ALTER TABLE `codev_servicecontract_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=53;

--
-- AUTO_INCREMENT pour la table `codev_sidetasks_category_table`
--
ALTER TABLE `codev_sidetasks_category_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `codev_team_project_table`
--
ALTER TABLE `codev_team_project_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=357;

--
-- AUTO_INCREMENT pour la table `codev_team_table`
--
ALTER TABLE `codev_team_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=66;

--
-- AUTO_INCREMENT pour la table `codev_team_user_table`
--
ALTER TABLE `codev_team_user_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1807;

--
-- AUTO_INCREMENT pour la table `codev_timetracking_table`
--
ALTER TABLE `codev_timetracking_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=162860;

--
-- AUTO_INCREMENT pour la table `codev_uo_table`
--
ALTER TABLE `codev_uo_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=30730;

--
-- AUTO_INCREMENT pour la table `codev_userdailycost_table`
--
ALTER TABLE `codev_userdailycost_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=109;

--
-- AUTO_INCREMENT pour la table `codev_user_dailyrate_table`
--
ALTER TABLE `codev_user_dailyrate_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `codev_wbs_table`
--
ALTER TABLE `codev_wbs_table`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=220027;

--
-- AUTO_INCREMENT pour la table `mantis_api_token_table`
--
ALTER TABLE `mantis_api_token_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT pour la table `mantis_bugnote_table`
--
ALTER TABLE `mantis_bugnote_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=42257;

--
-- AUTO_INCREMENT pour la table `mantis_bugnote_text_table`
--
ALTER TABLE `mantis_bugnote_text_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=42257;

--
-- AUTO_INCREMENT pour la table `mantis_bug_file_table`
--
ALTER TABLE `mantis_bug_file_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=696;

--
-- AUTO_INCREMENT pour la table `mantis_bug_history_table`
--
ALTER TABLE `mantis_bug_history_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=392378;

--
-- AUTO_INCREMENT pour la table `mantis_bug_relationship_table`
--
ALTER TABLE `mantis_bug_relationship_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=413;

--
-- AUTO_INCREMENT pour la table `mantis_bug_revision_table`
--
ALTER TABLE `mantis_bug_revision_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4872;

--
-- AUTO_INCREMENT pour la table `mantis_bug_table`
--
ALTER TABLE `mantis_bug_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25584;

--
-- AUTO_INCREMENT pour la table `mantis_bug_text_table`
--
ALTER TABLE `mantis_bug_text_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25589;

--
-- AUTO_INCREMENT pour la table `mantis_category_table`
--
ALTER TABLE `mantis_category_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=704;

--
-- AUTO_INCREMENT pour la table `mantis_custom_field_table`
--
ALTER TABLE `mantis_custom_field_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT pour la table `mantis_email_table`
--
ALTER TABLE `mantis_email_table`
  MODIFY `email_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=67131;

--
-- AUTO_INCREMENT pour la table `mantis_filters_table`
--
ALTER TABLE `mantis_filters_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=540;

--
-- AUTO_INCREMENT pour la table `mantis_news_table`
--
ALTER TABLE `mantis_news_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `mantis_plugin_source_changeset_table`
--
ALTER TABLE `mantis_plugin_source_changeset_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3828;

--
-- AUTO_INCREMENT pour la table `mantis_plugin_source_file_table`
--
ALTER TABLE `mantis_plugin_source_file_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `mantis_plugin_source_repository_table`
--
ALTER TABLE `mantis_plugin_source_repository_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT pour la table `mantis_project_file_table`
--
ALTER TABLE `mantis_project_file_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `mantis_project_table`
--
ALTER TABLE `mantis_project_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=188;

--
-- AUTO_INCREMENT pour la table `mantis_project_version_table`
--
ALTER TABLE `mantis_project_version_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=464;

--
-- AUTO_INCREMENT pour la table `mantis_sponsorship_table`
--
ALTER TABLE `mantis_sponsorship_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `mantis_tag_table`
--
ALTER TABLE `mantis_tag_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT pour la table `mantis_tokens_table`
--
ALTER TABLE `mantis_tokens_table`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13587;

--
-- AUTO_INCREMENT pour la table `mantis_user_pref_table`
--
ALTER TABLE `mantis_user_pref_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=226;

--
-- AUTO_INCREMENT pour la table `mantis_user_profile_table`
--
ALTER TABLE `mantis_user_profile_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `mantis_user_table`
--
ALTER TABLE `mantis_user_table`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=471;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
